#ifndef `MINCERHFILE'
#define  MINCERHFILE  "1"
*
*	This is the mincer system as adapted to version 3 of FORM.
*	All necessary files are included in the file mincer.h
*	All local variables have names that start with mnc to avoid namespace problems.
*	When needed one should use replace_ to change external names to internal ones.
*	All procedures are included here as well.
*	The only variables that have external names are:
*	S D,ep,z3,z4,z5,z6,z7,zz5;
*	CF acc;
*	V P,Q,p1,p2,p3,p4,p5,p6,p7,p8;
*	I mu,nu,ka,la,ro,si,ga,alfa,beta,MU,NU,KA,RO,SI,mmu,nnu;
*	S cw1,cw2,cw3;
*	S cf,ca,nf,nc,[cf-ca/2],[cf-ca],[dabc^2/n];
*	CF Glonel;
*	S ab,a,[alfas/pi];  * used in total and other renormalizations.
*
*	Conversion by J. Vermaseren 2-may-2000.
*	Extended to O(ep^2) by J.Vermaseren 18-jul-2005
*	Correction of the two basic integrals by K.Chetyrkin 1-jul-2008 (to ep).
*	Extensive optimizations for running very high moments by J. Vermaseren(2013)
*
*--#[ Declarations :
#define OLDTWO "1"
#define EXTRARED "1"
#define LATRANS "0"
#define BEPATH "0"
#define O1PATH "0"
#define O2PATH "0"
#define INNOTABL "31"
#define NOSPEC "0"
#define CUTOFF "0"
#define HARMBRACKET ""
#ifndef `SCHEME'
	#define SCHEME "0"
#endif
S   D,[D-4],[D-1],[D-2],ep(:{6+`CUTOFF'}),[1-ep/2],n;
dimension D:[D-4];
AutoDeclare Index mnci,mncj,mu,nu,ka,la,ro,si,ga;
AutoDeclare Vector Q,P,mncp,mncq;
AutoDeclare Symbol mnce,mncx,mncy,mncsgn,mnck,D;
V	p1,p2,p3,p4,p5,p6,p7,p8,p;
V	[P+Q],[P+p1],[P+p2],[P+p3],[P+p4],[P+p5],[P+p6],[P+p7],[P+p8];
V	[P-Q],[P-p1],[P-p2],[P-p3],[P-p4],[P-p5],[P-p6],[P-p7],[P-p8];
set mncpp18:p1,p2,p3,p4,p5,p6,p7,p8;
set mncpQ18:p1,p2,p3,p4,p5,p6,p7,p8,Q;
set [mncpp18]:[P+p1],[P+p2],[P+p3],[P+p4],[P+p5],[P+p6],[P+p7],[P+p8];
set [-mncpp18]:[P-p1],[P-p2],[P-p3],[P-p4],[P-p5],[P-p6],[P-p7],[P-p8];
set mncee18:mnce1,mnce2,mnce3,mnce4,mnce5,mnce6,mnce7,mnce8;
set [mncPp]:[P+p1],[P+p2],[P+p3],[P+p4],[P+p5],[P+p6],[P+p7],[P+p8],[P+Q],
	[P-p1],[P-p2],[P-p3],[P-p4],[P-p5],[P-p6],[P-p7],[P-p8],[P-Q];
set mncPcenter:[P+p7],[P+p2],[P+p8],[P-p7],[P-p2],[P-p8];
set mncpcenter:p7,p2,p8;
set [mncx18]:mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,mncx8;
S	z3,z4,z5,z6,z7,z8,z6z2,zz5;
S   mncs,mncj;
S   mncexp11,mncexp10,mncexp20,mncG311,mncF321,mncint1,mncint2,mncint3;
S	mncF321ep2, mncG311ep4;
S	mncN1,mncN2,mncN3,mncA,mncB,mncm,mncstilltodo;
I	alfa,beta;
I	MU,NU,KA,RO,SI,mmu,nnu;
S	mncxi;
S	cw1,cw2,cw3;
S	cf,ca,nf,nc,[cf-ca/2],[cf-ca],[dabc^2/n];
S	mncfermi1,mncfermi2,mncfermi3,mncghost1,mncghost2,mncghost3,mncgluon1,mncgluon2,mncgluon3;
F	mncS,mncSS,mncSSS;
S	ab,[(mu^2/Q.Q)^ep],a,[ln(mu^2/Q.Q)],[alfas/pi];
CF	mncv2gi,mncV3G,mncv3g,mncv3gi,mncV4G,mncv4g,mncv4gi,mncDg,mncDs,Glonel,mncVgh,mncDgh,mncDL,mncVv;
CF	mncv2gp,mncv2gc,mncv3gp,mncv3gc,mncv4gp,mncv4gc,mncv2gz,mncv3gz,mncv4gz;
CF	mncv2hz,mncv3hz,mncv2gzaux;
CF  mncG,mncdeno,mncpo,mncpoinv,mncaccm,mncftri;
F   mncdel,mncdd,mncfp;
S	mncproexp;
CF	mncepexp,mncpropxp,mncnaar,mncsumm1,mncsumm2,mncsumm3;
T	mncFQ,mncFFPP;
CF	mncNO,mncNOp,acc;
#ifndef `SCHEME'
#define SCHEME "1"
#endif
*--#] Declarations :
*-#[ Procedures :
*--#[ benz :
#procedure benz(P1,P2,P3,P4,P5,P6,P7,P8,Q)
*
*   Reduction procedure for three loop graphs of the BE or benz type.
*   Notation is from S.G.Gorishny et.al. Comp.Phys.Comm 55(1989)381
*
*                     /-<------<------<-\
*                 P1 /    \   P2    /    \ P3
*                   /      \       /      \
*                  /     P6 v     ^ P7     \
*                 /          \   /          \
*          Q --<--            \ /            --<-- Q
*                 \            |            /
*                  \           v P8        / 
*                   \          |          /
*                 P5 \         |         / P4
*                     \---->------->----/
*
*   We start with reducing the dotproducts in the numerator to sums
*   of denominators. Only one dotproduct is irreducible: Q.P2 
*   The easiest reduction (and quite fast) is by writing everything
*   in terms of Q,P1,P2,P3 and use vertex identities and P8 = P3-P1
*   to write the few remaining dotproducts in terms of denominators.
*
*   Routine coded by J.A.M.Vermaseren 8-jul-1990, modified 13-nov-1990.
*
*  id  `P4'.P?!{,`P4'} = `P3'.P-'Q'.P;
*  id  `P5'.P?!{,`P5'} = `P1'.P-'Q'.P;

*#call ACCU(Benz momenta 1)

*  id  `P6'.P?!{,`P6'} = `P2'.P-`P1'.P;

*#call ACCU(Benz momenta 2)

*  id  `P7'.P?!{,`P7'} = `P2'.P-`P3'.P;

*#call ACCU(Benz momenta 3)

*  id  `P8'.P?!{,`P8'} = `P3'.P-`P1'.P;

*#call ACCU(Benz momenta 4)

  id  'Q'.`P1' = `P1'.`P1'/2+'Q'.'Q'/2-`P5'.`P5'/2;

#call ACCU(Benz scalar 1)

  id  'Q'.`P3' = `P3'.`P3'/2+'Q'.'Q'/2-`P4'.`P4'/2;

#call ACCU(Benz scalar 2)

  id  `P1'.`P2' = `P1'.`P1'/2+`P2'.`P2'/2-`P6'.`P6'/2;

#call ACCU(Benz scalar 3)

  id  `P2'.`P3' = `P2'.`P2'/2+`P3'.`P3'/2-`P7'.`P7'/2;

#call ACCU(Benz scalar 4)

  id  `P1'.`P3' = `P1'.`P1'/2+`P3'.`P3'/2-`P8'.`P8'/2;

#call ACCU(Benz scalar 5)

  if ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
              /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 );
    #call triangle(`P2',`P6',`P7',`P1',`P3')
  endif;
*
#endprocedure
*--#] benz :
*--#[ benzbar :
#procedure benzbar(P1,P2,P3,P4,P5,P6,P7,Q)
*
*   Reduction procedure for three loop graphs of the BEbar or benz-bar type.
*   Notation is from S.G.Gorishny et.al. Comp.Phys.Comm 55(1989)381
*
*                     /-<------<------<-\
*                 P1 /     |  P2   |     \ P3
*                   /      \       /      \
*                  /     P6 |     | P7     \
*                 /         \     /         \
*          Q --<--           v   ^           --<-- Q
*                 \          \   /          /
*                  \          | |          / 
*                   \         \ /         /
*                 P5 \         |         / P4
*                     \---->------->----/
*
*
*   Note that from the ladder graphs we can have powers of p7.p8 (P6.P7)
*   Here they can be written as a fake (P6-P7)^2
*   Such a (P6-P7)^2 isn't affected by the transformations here.
*	It is better than writing it as (P3-P1)^2 because then we would
*	generate positive powers of P1.P1 and P3.P3 in the end.
*
*	Coded by J.A.M. Vermaseren, 13-nov-1990.
*
  id  `P6'.`P7' = `P6'.`P6'/2+`P7'.`P7'/2-mncx8/2;

  if ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
              /`P5'.`P5'/`P6'.`P6'/`P7'.`P7') > 0 );
    #call triangle(`P2',`P6',`P7',`P1',`P3')
  endif;

  id  mncx8 = `P6'.`P6' + `P7'.`P7' - 2*`P6'.`P7';

#endprocedure
*--#] benzbar :
*--#[ benzbu :
#procedure benzbu(P1,P2,P3,P4,P5,P6,P7,Q)
*
*   Reduction procedure for three loop graphs of the BU or benz-bu type.
*   Notation is from S.G.Gorishny et.al. Comp.Phys.Comm 55(1989)381
*
*                     /-<-------------<-\
*                 P1 /         |         \ P6
*                   /          ^ P4       \
*                  /           |           \
*                 /     P2     |            \
*          Q --<-- ----->------|             --<-- Q
*                 \            |            /
*                  \           |           / 
*                   \          v P5       /
*                 P3 \         |         / P7
*                     \---->------->----/
*
*   The main complication is to make sure that no loop momentum
*   survives in the numerator (Q.P4 and Q.P5 are independent objects)
*   Because this is a service routine it is best if the calling
*   routine takes care of that.
*   BU is BE with 1 or 3 missing.
*
*   Procedure coded by J.A.M. Vermaseren, 13-nov-1990.
*
  if ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
              /`P5'.`P5'/`P6'.`P6'/`P7'.`P7') > 0 );
    if ( count(`P6'.`P6',1) > count(`P7'.`P7',1) );
      #call triangle(`P4',`P2',`P1',`P5',`P6')
    else;
      #call triangle(`P5',`P2',`P3',`P4',`P7')
    endif;
  endif;
*
#endprocedure
*--#] benzbu :
*--#[ benzred :
#procedure benzred(P1,P2,P3,P4,P5,P6,P7,P8,Q)
*
*   Reduction procedure for three loop graphs of the BE or benz type.
*   Notation is from S.G.Gorishny et.al. Comp.Phys.Comm 55(1989)381
*
*                     /-<------<------<-\
*                 P1 /    \   P2    /    \ P3
*                   /      \       /      \
*                  /     P6 v     ^ P7     \
*                 /          \   /          \
*        `Q' --<--            \ /            --<-- `Q'
*                 \            |            /
*                  \           v P8        / 
*                   \          |          /
*                 P5 \         |         / P4
*                     \---->------->----/
*
*   We start with reducing the dotproducts in the numerator to sums
*   of denominators. Only one dotproduct is irreducible: `Q'.P2 
*   The easiest reduction (and quite fast) is by writing everything
*   in terms of `Q',P1,P2,P3 and use vertex identities and P8 = P3-P1
*   to write the few remaining dotproducts in terms of denominators.
*
*   Routine coded by J.A.M.Vermaseren 8-jul-1990, modified 13-nov-1990.
*	BEPATH added 21-dec-1994 to improve efficiency.
*
#define NEWTRY "1"
#switch `BEPATH'
*--#[ 0 :
 #case 0
  #call ObviouslyZero(be)
  if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
  elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	endif;
  endif;
  #call ACCU2A(`P1'.`P3' `P1'.`P1' `P3'.`P3' `P8'.`P8',Benz scalar 0 \(`BEPATH'\))
    id  `P1'.`P3' = `P1'.`P1'/2+`P3'.`P3'/2-`P8'.`P8'/2;
  #call ACCU2A(`P2'.`P3' `P2'.`P2' `P3'.`P3' `P7'.`P7',Benz scalar 1 \(`BEPATH'\))
    id  `P2'.`P3' = `P2'.`P2'/2+`P3'.`P3'/2-`P7'.`P7'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P1'.`P2' `P1'.`P1' `P2'.`P2' `P6'.`P6',Benz scalar 2 \(`BEPATH'\))
    id  `P1'.`P2' = `P1'.`P1'/2+`P2'.`P2'/2-`P6'.`P6'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P1' `P1'.`P1' `Q'.`Q' `P5'.`P5',Benz scalar 3 \(`BEPATH'\))
    id  `Q'.`P1' = `P1'.`P1'/2+`Q'.`Q'/2-`P5'.`P5'/2;
    #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P3' `P3'.`P3' `Q'.`Q' `P4'.`P4',Benz scalar 4 \(`BEPATH'\))
    id  `Q'.`P3' = `P3'.`P3'/2+`Q'.`Q'/2-`P4'.`P4'/2;
    #call ObviouslyZero(be)

  if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
  elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	endif;
  endif;
  #call ObviouslyZero(be)
  #call ACCU(Benz scalar 5 \(`BEPATH'\))
 #break
*--#] 0 :
*--#[ 1 :
 #case 1
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P1' `P1'.`P1' `Q'.`Q' `P5'.`P5',Benz scalar 0 \(`BEPATH'\))
	id  `Q'.`P1' = `P1'.`P1'/2+`Q'.`Q'/2-`P5'.`P5'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P1'.`P6' `P2'.`P2' `P1'.`P1' `P6'.`P6',Benz scalar 1 \(`BEPATH'\))
	id	`P1'.`P6' = `P2'.`P2'/2-`P1'.`P1'/2-`P6'.`P6'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P6'.`P8' `P6'.`P6' `P8'.`P8' `P7'.`P7',Benz scalar 2 \(`BEPATH'\))
	id	`P6'.`P8' = `P6'.`P6'/2+`P8'.`P8'/2-`P7'.`P7'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P1'.`P8' `P3'.`P3' `P1'.`P1' `P8'.`P8',Benz scalar 3 \(`BEPATH'\))
	id	`P1'.`P8' = `P3'.`P3'/2-`P1'.`P1'/2-`P8'.`P8'/2;
  #call ACCU2A(`Q'.`P8' `P3'.`P3' `P4'.`P4' `P1'.`P1' `P5'.`P5',Benz scalar 4 \(`BEPATH'\))
	id	`Q'.`P8' = `P3'.`P3'/2-`P4'.`P4'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P6' `Q'.`P2' `Q'.`Q' `P1'.`P1' `P5'.`P5',Benz scalar 5 \(`BEPATH'\))
	id	`Q'.`P6' = `Q'.`P2'-`Q'.`Q'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  #call ObviouslyZero(be)

  if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',
           `P7',`P7',`P6',`P8',-`P8');
  elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',
            `P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',
              `P7',`P7',`P6',`P8',-`P8');
	endif;
  endif;
  #call ACCU(Benz scalar 6 \(`BEPATH'\))
 #break
*--#] 1 :
*--#[ 2 :
 #case 2
  #call ObviouslyZero(be)
  #call ACCU2A(`P1'.`P2' `P1'.`P1' `P2'.`P2' `P6'.`P6',Benz scalar 0 \(`BEPATH'\))
	id	`P1'.`P2' = `P1'.`P1'/2+`P2'.`P2'/2-`P6'.`P6'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P2'.`P7' `P2'.`P2' `P7'.`P7' `P3'.`P3',Benz scalar 1 \(`BEPATH'\))
	id	`P2'.`P7' = `P2'.`P2'/2+`P7'.`P7'/2-`P3'.`P3'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P1' `P1'.`P1' `Q'.`Q' `P5'.`P5',Benz scalar 2 \(`BEPATH'\))
	id	`Q'.`P1' = `P1'.`P1'/2+`Q'.`Q'/2-`P5'.`P5'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P7' `Q'.`P2' `Q'.`Q' `P3'.`P3' `P4'.`P4',Benz scalar 3 \(`BEPATH'\))
	id	`Q'.`P7' = `Q'.`P2'-`Q'.`Q'/2-`P3'.`P3'/2+`P4'.`P4'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P1'.`P7' `P2'.`P2' `P6'.`P6' `P3'.`P3' `P8'.`P8',Benz scalar 4 \(`BEPATH'\))
	id	`P1'.`P7' = `P2'.`P2'/2-`P6'.`P6'/2-`P3'.`P3'/2+`P8'.`P8'/2;

  #call ObviouslyZero(be)
  if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
  elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	endif;
  endif;
  #call ACCU(Benz scalar 5 \(`BEPATH'\))
 #break
*--#] 2 :
*--#[ 3 :
 #case 3
  #switch `NEWTRY'
  #case 0
  #call ObviouslyZero(be)
    #call ACCU2A(`P6'.`P8' `P6'.`P6' `P8'.`P8' `P7'.`P7',Benz scalar 0 \(`BEPATH'\))
  	id	`P6'.`P8' = `P6'.`P6'/2+`P8'.`P8'/2-`P7'.`P7'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`P2'.`P6' `P2'.`P2' `P6'.`P6' `P1'.`P1',Benz scalar 1 \(`BEPATH'\))
  	id	`P2'.`P6' = `P2'.`P2'/2+`P6'.`P6'/2-`P1'.`P1'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`P2'.`P8' `P3'.`P3' `P1'.`P1' `P7'.`P7' `P6'.`P6',Benz scalar 2 \(`BEPATH'\))
  	id	`P2'.`P8' = `P3'.`P3'/2-`P1'.`P1'/2-`P7'.`P7'/2+`P6'.`P6'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`Q'.`P8' `P3'.`P3' `P4'.`P4' `P1'.`P1' `P5'.`P5',Benz scalar 3 \(`BEPATH'\))
  	id	`Q'.`P8' = `P3'.`P3'/2-`P4'.`P4'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`Q'.`P6' `Q'.`P2' `Q'.`Q' `P1'.`P1' `P5'.`P5',Benz scalar 4 \(`BEPATH'\))
  	id	`Q'.`P6' = `Q'.`P2'-`Q'.`Q'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  #call ObviouslyZero(be)
  #break
  #case 3
  #call ObviouslyZero(be)
    #call ACCU2A(`P6'.`P8' `P6'.`P6' `P8'.`P8' `P7'.`P7',Benz scalar 0 \(`BEPATH'\))
  	id	`P6'.`P8' = `P6'.`P6'/2+`P8'.`P8'/2-`P7'.`P7'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`P2'.`P6' `P2'.`P2' `P6'.`P6' `P1'.`P1',Benz scalar 1 \(`BEPATH'\))
  	id	`P2'.`P6' = `P2'.`P2'/2+`P6'.`P6'/2-`P1'.`P1'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`P2'.`P8' `P3'.`P3' `P1'.`P1' `P7'.`P7' `P6'.`P6',Benz scalar 2 \(`BEPATH'\))
  	id	`P2'.`P8' = `P3'.`P3'/2-`P1'.`P1'/2-`P7'.`P7'/2+`P6'.`P6'/2;
  #call ObviouslyZero(be)
  	#$maxpow = 0;
  	if ( count(`Q'.`P6',1,`Q'.`P8',1) > $maxpow ) $maxpow = count_(`Q'.`P6',1,`Q'.`P8',1);
  	ModuleOption maximum,$maxpow;
  	.sort(PolyFun=acc):Benz scalar 3 \(`BEPATH'\);
  	#do i = `$maxpow',2,-1
  		if ( count(`Q'.`P6',1,`Q'.`P8',1) == `i' );
  			if ( count(`Q'.`P6',1,`Q'.`P8',-1) > 0 );
  				id,once,`Q'.`P6' = `Q'.`P2'-`Q'.`Q'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  			else;
  				id,once,`Q'.`P8' = `P3'.`P3'/2-`P4'.`P4'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  			endif;
  		endif;
	    #call ObviouslyZero(be)
  		AB+ `Q'.`P8',`Q'.`P6',`Q'.`P2',`P3'.`P3',`P4'.`P4',`P1'.`P1',`P5'.`P5';
  		.sort(PolyFun=acc):Benz scalar 4,{`i'-1} \(`BEPATH'\);
  	#enddo
  	id	`Q'.`P8' = `P3'.`P3'/2-`P4'.`P4'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  	id	`Q'.`P6' = `Q'.`P2'-`Q'.`Q'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  #call ObviouslyZero(be)
  #break
  #case 1
  #call ObviouslyZero(be)
    #call ACCU2A(`P6'.`P8' `P6'.`P6' `P8'.`P8' `P7'.`P7',Benz scalar 0 \(`BEPATH'\))
  	id	`P6'.`P8' = `P6'.`P6'/2+`P8'.`P8'/2-`P7'.`P7'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`P2'.`P6' `P2'.`P2' `P6'.`P6' `P1'.`P1',Benz scalar 1 \(`BEPATH'\))
  	id	`P2'.`P6' = `P2'.`P2'/2+`P6'.`P6'/2-`P1'.`P1'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`P2'.`P8' `P3'.`P3' `P1'.`P1' `P7'.`P7' `P6'.`P6',Benz scalar 2 \(`BEPATH'\))
  	id	`P2'.`P8' = `P3'.`P3'/2-`P1'.`P1'/2-`P7'.`P7'/2+`P6'.`P6'/2;
  #call ObviouslyZero(be)
    #call SlowSub(1,`Q'.`P8',`P3'.`P3'/2-`P4'.`P4'/2-`P1'.`P1'/2+`P5'.`P5'/2,\
  `Q'.`P8' `P3'.`P3' `P4'.`P4' `P1'.`P1' `P5'.`P5',Benz scalar 3 \(`BEPATH'\),Benz scalar 4 \(`BEPATH'\))
  #call ObviouslyZero(be)
    #call SlowSub(1,`Q'.`P6',`Q'.`P2'-`Q'.`Q'/2-`P1'.`P1'/2+`P5'.`P5'/2,\
  `Q'.`P6' `Q'.`P2' `Q'.`Q' `P1'.`P1' `P5'.`P5',Benz scalar 4 \(`BEPATH'\),Benz scalar 5 \(`BEPATH'\))
  #call ObviouslyZero(be)
  #break
  #case 2
  #call ObviouslyZero(be)
    #call SlowSub(4,`Q'.`P8',`P3'.`P3'/2-`P4'.`P4'/2-`P1'.`P1'/2+`P5'.`P5'/2,\
  `Q'.`P8' `P3'.`P3' `P4'.`P4' `P1'.`P1' `P5'.`P5',Harmonics\(`BEPATH'\),Benz scalar 1\(`BEPATH'\))
  #call ObviouslyZero(be)
    #call SlowSub(4,`Q'.`P6',`Q'.`P2'-`Q'.`Q'/2-`P1'.`P1'/2+`P5'.`P5'/2,\
  `Q'.`P6' `Q'.`P2' `Q'.`Q' `P1'.`P1' `P5'.`P5',Benz scalar 1\(`BEPATH'\),Benz scalar 2\(`BEPATH'\))
  #call ObviouslyZero(be)
    #call ACCU2A(`P6'.`P8' `P6'.`P6' `P8'.`P8' `P7'.`P7',Benz scalar 2 \(`BEPATH'\))
  	id	`P6'.`P8' = `P6'.`P6'/2+`P8'.`P8'/2-`P7'.`P7'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`P2'.`P6' `P2'.`P2' `P6'.`P6' `P1'.`P1',Benz scalar 3 \(`BEPATH'\))
  	id	`P2'.`P6' = `P2'.`P2'/2+`P6'.`P6'/2-`P1'.`P1'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`P2'.`P8' `P3'.`P3' `P1'.`P1' `P7'.`P7' `P6'.`P6',Benz scalar 4 \(`BEPATH'\))
  	id	`P2'.`P8' = `P3'.`P3'/2-`P1'.`P1'/2-`P7'.`P7'/2+`P6'.`P6'/2;
  #call ObviouslyZero(be)
  #break
  #endswitch
  if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
  elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	endif;
  endif;
  #call ACCU(Benz scalar 5 \(`BEPATH'\))
 #break
*--#] 3 :
*--#[ 4 :
 #case 4
  #switch `NEWTRY'
  #case 0
  #call ObviouslyZero(be)
    #call ACCU2A(`P6'.`P8' `P6'.`P6' `P8'.`P8' `P7'.`P7',Benz scalar 0 \(`BEPATH'\))
  	id	`P6'.`P8' = `P6'.`P6'/2+`P8'.`P8'/2-`P7'.`P7'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`P4'.`P8' `P4'.`P4' `P8'.`P8' `P5'.`P5',Benz scalar 1 \(`BEPATH'\))
  	id	`P4'.`P8' = `P4'.`P4'/2+`P8'.`P8'/2-`P5'.`P5'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`Q'.`P4' `P3'.`P3' `Q'.`Q' `P4'.`P4',Benz scalar 2 \(`BEPATH'\))
  	id	`Q'.`P4' = `P3'.`P3'/2-`Q'.`Q'/2-`P4'.`P4'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`Q'.`P8' `P3'.`P3' `P4'.`P4' `P1'.`P1' `P5'.`P5',Benz scalar 3 \(`BEPATH'\))
  	id	`Q'.`P8' = `P3'.`P3'/2-`P4'.`P4'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`Q'.`P6' `Q'.`P2' `Q'.`Q' `P1'.`P1' `P5'.`P5',Benz scalar 4 \(`BEPATH'\))
  	id	`Q'.`P6' = `Q'.`P2'-`Q'.`Q'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`P4'.`P6' `Q'.`P2' `Q'.`Q' `P2'.`P2' `P8'.`P8' `P7'.`P7' `P5'.`P5',Benz scalar 5 \(`BEPATH'\))
  	id	`P4'.`P6' = -`Q'.`P2'+`Q'.`Q'/2+`P2'.`P2'/2+`P8'.`P8'/2
  	                -`P7'.`P7'/2-`P5'.`P5'/2;
  #call ObviouslyZero(be)
  #break
  #case 2
  #call ObviouslyZero(be)
    #call ACCU2A(`P6'.`P8' `P6'.`P6' `P8'.`P8' `P7'.`P7',Benz scalar 0 \(`BEPATH'\))
  	id	`P6'.`P8' = `P6'.`P6'/2+`P8'.`P8'/2-`P7'.`P7'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`P4'.`P8' `P4'.`P4' `P8'.`P8' `P5'.`P5',Benz scalar 1 \(`BEPATH'\))
  	id	`P4'.`P8' = `P4'.`P4'/2+`P8'.`P8'/2-`P5'.`P5'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`Q'.`P4' `P3'.`P3' `Q'.`Q' `P4'.`P4',Benz scalar 2 \(`BEPATH'\))
  	id	`Q'.`P4' = `P3'.`P3'/2-`Q'.`Q'/2-`P4'.`P4'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`P4'.`P6' `Q'.`P2' `Q'.`Q' `P2'.`P2' `P8'.`P8' `P7'.`P7' `P5'.`P5',Benz scalar 3 \(`BEPATH'\))
  	id	`P4'.`P6' = -`Q'.`P2'+`Q'.`Q'/2+`P2'.`P2'/2+`P8'.`P8'/2
  	                -`P7'.`P7'/2-`P5'.`P5'/2;
  #call ObviouslyZero(be)
  	#$maxpow = 0;
  	if ( count(`Q'.`P6',1,`Q'.`P8',1) > $maxpow ) $maxpow = count_(`Q'.`P6',1,`Q'.`P8',1);
  	ModuleOption maximum,$maxpow;
  	.sort(PolyFun=acc):Benz scalar 3 \(`BEPATH'\);
  	#do i = `$maxpow',2,-1
  		if ( count(`Q'.`P6',1,`Q'.`P8',1) == `i' );
  			if ( count(`Q'.`P6',1,`Q'.`P8',-1) > 0 );
  				id,once,`Q'.`P6' = `Q'.`P2'-`Q'.`Q'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  			else;
  				id,once,`Q'.`P8' = `P3'.`P3'/2-`P4'.`P4'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  			endif;
  		endif;
	    #call ObviouslyZero(be)
  		AB+ `Q'.`P8',`Q'.`P6',`Q'.`P2',`P3'.`P3',`P4'.`P4',`P1'.`P1',`P5'.`P5';
  		.sort(PolyFun=acc):Benz scalar 4,{`i'-1} \(`BEPATH'\);
  	#enddo
  	id	`Q'.`P8' = `P3'.`P3'/2-`P4'.`P4'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  	id	`Q'.`P6' = `Q'.`P2'-`Q'.`Q'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  #call ObviouslyZero(be)
  #break
  #case 1
  #call ObviouslyZero(be)
    #call ACCU2A(`P6'.`P8' `P6'.`P6' `P8'.`P8' `P7'.`P7',Benz scalar 0 \(`BEPATH'\))
  	id	`P6'.`P8' = `P6'.`P6'/2+`P8'.`P8'/2-`P7'.`P7'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`P4'.`P8' `P4'.`P4' `P8'.`P8' `P5'.`P5',Benz scalar 1 \(`BEPATH'\))
  	id	`P4'.`P8' = `P4'.`P4'/2+`P8'.`P8'/2-`P5'.`P5'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`Q'.`P4' `P3'.`P3' `Q'.`Q' `P4'.`P4',Benz scalar 2 \(`BEPATH'\))
  	id	`Q'.`P4' = `P3'.`P3'/2-`Q'.`Q'/2-`P4'.`P4'/2;
  #call ObviouslyZero(be)
    #call SlowSub(1,`Q'.`P8',`P3'.`P3'/2-`P4'.`P4'/2-`P1'.`P1'/2+`P5'.`P5'/2,\
  `Q'.`P8' `P3'.`P3' `P4'.`P4' `P1'.`P1' `P5'.`P5',Benz scalar 3 \(`BEPATH'\),Benz scalar 4 \(`BEPATH'\))
  #call ObviouslyZero(be)
    #call SlowSub(1,`Q'.`P6',`Q'.`P2'-`Q'.`Q'/2-`P1'.`P1'/2+`P5'.`P5'/2,\
  `Q'.`P6' `Q'.`P2' `Q'.`Q' `P1'.`P1' `P5'.`P5',Benz scalar 4 \(`BEPATH'\),Benz scalar 5 \(`BEPATH'\))
  #call ObviouslyZero(be)
    #call SlowSub(1,`P4'.`P6',-`Q'.`P2'+`Q'.`Q'/2+`P2'.`P2'/2+`P8'.`P8'/2-`P7'.`P7'/2-`P5'.`P5'/2,\
  `P4'.`P6' `Q'.`P2' `Q'.`Q' `P2'.`P2' `P8'.`P8' `P7'.`P7' `P5'.`P5',Benz scalar 5 \(`BEPATH'\),Benz scalar 6 \(`BEPATH'\))
  #call ObviouslyZero(be)
  #break
  #case 3
  #call ObviouslyZero(be)
    #call ACCU2A(`P6'.`P8' `P6'.`P6' `P8'.`P8' `P7'.`P7',Benz scalar 0 \(`BEPATH'\))
  	id	`P6'.`P8' = `P6'.`P6'/2+`P8'.`P8'/2-`P7'.`P7'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`P4'.`P8' `P4'.`P4' `P8'.`P8' `P5'.`P5',Benz scalar 1 \(`BEPATH'\))
  	id	`P4'.`P8' = `P4'.`P4'/2+`P8'.`P8'/2-`P5'.`P5'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`Q'.`P4' `P3'.`P3' `Q'.`Q' `P4'.`P4',Benz scalar 2 \(`BEPATH'\))
  	id	`Q'.`P4' = `P3'.`P3'/2-`Q'.`Q'/2-`P4'.`P4'/2;
  #call ObviouslyZero(be)
  	#$maxpow = 0;
  	if ( count(`Q'.`P6',1,`Q'.`P8',1) > $maxpow ) $maxpow = count_(`Q'.`P6',1,`Q'.`P8',1);
  	ModuleOption maximum,$maxpow;
  	.sort(PolyFun=acc):Benz scalar 3 \(`BEPATH'\);
  	#do i = `$maxpow',2,-1
  		if ( count(`Q'.`P6',1,`Q'.`P8',1) == `i' );
  			if ( count(`Q'.`P6',1,`Q'.`P8',-1) > 0 );
  				id,once,`Q'.`P6' = `Q'.`P2'-`Q'.`Q'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  			else;
  				id,once,`Q'.`P8' = `P3'.`P3'/2-`P4'.`P4'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  			endif;
  		endif;
	    #call ObviouslyZero(be)
  		AB+ `Q'.`P8',`Q'.`P6',`Q'.`P2',`P3'.`P3',`P4'.`P4',`P1'.`P1',`P5'.`P5';
  		.sort(PolyFun=acc):Benz scalar 4,{`i'-1} \(`BEPATH'\);
  	#enddo
  	id	`Q'.`P8' = `P3'.`P3'/2-`P4'.`P4'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  	id	`Q'.`P6' = `Q'.`P2'-`Q'.`Q'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  #call ObviouslyZero(be)
    #call SlowSub(1,`P4'.`P6',-`Q'.`P2'+`Q'.`Q'/2+`P2'.`P2'/2+`P8'.`P8'/2-`P7'.`P7'/2-`P5'.`P5'/2,\
`P4'.`P6' `Q'.`P2' `Q'.`Q' `P2'.`P2' `P8'.`P8' `P7'.`P7' `P5'.`P5',Benz scalar 5 \(`BEPATH'\),Benz scalar 6 \(`BEPATH'\))
    if ( ( count(p4.p4,1) >= 0 ) && ( count(p5.p5,1) >= 0 ) ) discard;
  #break
  #endswitch
  if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
  elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	endif;
  endif;
  #call ACCU(Benz scalar 6 \(`BEPATH'\))
 #break
*--#] 4 :
*--#[ 5 :
 #case 5
  #call ObviouslyZero(be)
  #call ACCU2A(`P1'.`P6' `P2'.`P2' `P1'.`P1' `P6'.`P6',Benz scalar 0 \(`BEPATH'\))
	id	`P1'.`P6' = `P2'.`P2'/2-`P1'.`P1'/2-`P6'.`P6'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P6'.`P7' `P6'.`P6' `P7'.`P7' `P8'.`P8',Benz scalar 1 \(`BEPATH'\))
	id	`P6'.`P7' = `P6'.`P6'/2+`P7'.`P7'/2-`P8'.`P8'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P1' `P1'.`P1' `Q'.`Q' `P5'.`P5',Benz scalar 2 \(`BEPATH'\))
	id	`Q'.`P1' = `P1'.`P1'/2+`Q'.`Q'/2-`P5'.`P5'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P1'.`P7' `P2'.`P2' `P6'.`P6' `P3'.`P3' `P8'.`P8',Benz scalar 3 \(`BEPATH'\))
	id	`P1'.`P7' = `P2'.`P2'/2-`P6'.`P6'/2-`P3'.`P3'/2+`P8'.`P8'/2;
    #call ObviouslyZero(be)
	if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    	if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
		elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
		    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
				multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
		endif;
	    if ( ( count(p4.p4,1) >= 0 ) && ( count(p5.p5,1) >= 0 ) ) discard;
	endif;
  #call ACCU2A(`Q'.`P6' `Q'.`P2' `Q'.`Q' `P1'.`P1' `P5'.`P5',Benz scalar 4 \(`BEPATH'\))
	id	`Q'.`P6' = `Q'.`P2'-`Q'.`Q'/2-`P1'.`P1'/2+`P5'.`P5'/2;
    #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P7' `Q'.`P2' `Q'.`Q' `P3'.`P3' `P4'.`P4',Benz scalar 5 \(`BEPATH'\))
	id	`Q'.`P7' = `Q'.`P2'-`Q'.`Q'/2-`P3'.`P3'/2+`P4'.`P4'/2;
    #call ObviouslyZero(be)

  if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
  elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	endif;
  endif;
  #call ACCU(Benz scalar 6 \(`BEPATH'\))
 #break
*--#] 5 :
*--#[ 6 :
 #case 6
  #call ObviouslyZero(be)
  #call ACCU2A(`P5'.`P8' `P4'.`P4' `P5'.`P5' `P8'.`P8',Benz scalar 0 \(`BEPATH'\))
	id	`P5'.`P8' = `P4'.`P4'/2-`P5'.`P5'/2-`P8'.`P8'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P6'.`P8' `P6'.`P6' `P8'.`P8' `P7'.`P7',Benz scalar 1 \(`BEPATH'\))
	id	`P6'.`P8' = `P6'.`P6'/2+`P8'.`P8'/2-`P7'.`P7'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P5' `P1'.`P1' `Q'.`Q' `P5'.`P5',Benz scalar 2 \(`BEPATH'\))
	id	`Q'.`P5' = `P1'.`P1'/2-`Q'.`Q'/2-`P5'.`P5'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P5'.`P6' `P2'.`P2' `P1'.`P1' `P6'.`P6' `Q'.`P6',Benz scalar 3 \(`BEPATH'\))
	id	`P5'.`P6' = `P2'.`P2'/2-`P1'.`P1'/2-`P6'.`P6'/2-`Q'.`P6';
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P8' `P3'.`P3' `P4'.`P4' `P1'.`P1' `P5'.`P5',Benz scalar 4 \(`BEPATH'\))
	id	`Q'.`P8' = `P3'.`P3'/2-`P4'.`P4'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P6' `Q'.`P2' `Q'.`Q' `P1'.`P1' `P5'.`P5',Benz scalar 5 \(`BEPATH'\))
	id	`Q'.`P6' = `Q'.`P2'-`Q'.`Q'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  #call ObviouslyZero(be)

  if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
  elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	endif;
  endif;
  #call ACCU(Benz scalar 6 \(`BEPATH'\))
 #break
*--#] 6 :
*--#[ 7 :
 #case 7
  #call ObviouslyZero(be)
  #call ACCU2A(`P4'.`P5' `P4'.`P4' `P5'.`P5' `P8'.`P8',Benz scalar 0 \(`BEPATH'\))
	id	`P4'.`P5' = `P4'.`P4'/2+`P5'.`P5'/2-`P8'.`P8'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P4' `P3'.`P3' `Q'.`Q' `P4'.`P4',Benz scalar 1 \(`BEPATH'\))
	id	`Q'.`P4' = `P3'.`P3'/2-`Q'.`Q'/2-`P4'.`P4'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P5' `P1'.`P1' `Q'.`Q' `P5'.`P5',Benz scalar 2 \(`BEPATH'\))
	id	`Q'.`P5' = `P1'.`P1'/2-`Q'.`Q'/2-`P5'.`P5'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P2'.`P4' `P2'.`P2' `P3'.`P3' `P7'.`P7' `Q'.`P2',Benz scalar 3 \(`BEPATH'\))
	id	`P2'.`P4' = `P2'.`P2'/2+`P3'.`P3'/2-`P7'.`P7'/2-`Q'.`P2';
  #call ObviouslyZero(be)
  #call ACCU2A(`P2'.`P5' `P2'.`P2' `P1'.`P1' `P6'.`P6' `Q'.`P2',Benz scalar 4 \(`BEPATH'\))
	id	`P2'.`P5' = `P2'.`P2'/2+`P1'.`P1'/2-`P6'.`P6'/2-`Q'.`P2';
  #call ObviouslyZero(be)

  if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
  elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	endif;
  endif;
  #call ACCU(Benz scalar 5 \(`BEPATH'\))
 #break
*--#] 7 :
*--#[ 8 :
 #case 8
  #call ObviouslyZero(be)
  if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
  elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	endif;
  endif;
  #call ACCU2A(`P2'.`P6' `P2'.`P2' `P1'.`P1' `P6'.`P6',Benz scalar 0 \(`BEPATH'\))
	id	`P2'.`P6' = `P2'.`P2'/2+`P6'.`P6'/2-`P1'.`P1'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P2'.`P7' `P2'.`P2' `P7'.`P7' `P3'.`P3',Benz scalar 1 \(`BEPATH'\))
	id	`P2'.`P7' = `P2'.`P2'/2+`P7'.`P7'/2-`P3'.`P3'/2;
  #call ObviouslyZero(be)
  if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
  elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	endif;
  endif;
  #call ACCU2A(`P6'.`P7' `P6'.`P6' `P7'.`P7' `P8'.`P8',Benz scalar 2 \(`BEPATH'\))
	id	`P6'.`P7' = `P6'.`P6'/2+`P7'.`P7'/2-`P8'.`P8'/2;
  #call ObviouslyZero(be)
	if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    	if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
		elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
		    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
				multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
		endif;
	endif;
  #call ACCU2A(`Q'.`P6' `Q'.`P2' `Q'.`Q' `P1'.`P1' `P5'.`P5',Benz scalar 3 \(`BEPATH'\))
	id	`Q'.`P6' = `Q'.`P2'-`Q'.`Q'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P7' `Q'.`P2' `Q'.`Q' `P3'.`P3' `P4'.`P4',Benz scalar 4 \(`BEPATH'\))
	id	`Q'.`P7' = `Q'.`P2'-`Q'.`Q'/2-`P3'.`P3'/2+`P4'.`P4'/2;
  #call ObviouslyZero(be)
  if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
  elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	endif;
  endif;
  #call ACCU(Benz scalar 5 \(`BEPATH'\))
 #break
*--#] 8 :
*--#[ 9 :
 #case 9
  #call ObviouslyZero(be)
  #call ACCU2A(`P1'.`P3' `P2'.`P2' `P3'.`P3' `P7'.`P7' `P3'.`P6',Benz scalar 0 \(`BEPATH'\))
    id `P3'.`P6' = `P2'.`P2'/2+`P3'.`P3'/2-`P7'.`P7'/2-`P1'.`P3';
  #call ObviouslyZero(be)
  #call ACCU2A(`P1'.`P3' `P1'.`P1' `P3'.`P3' `P8'.`P8',Benz scalar 1 \(`BEPATH'\))
    id `P1'.`P3' = `P1'.`P1'/2+`P3'.`P3'/2-`P8'.`P8'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P1'.`P2' `P1'.`P1' `P2'.`P2' `P6'.`P6',Benz scalar 2 \(`BEPATH'\))
    id `P1'.`P6' = -`P1'.`P1'/2+`P2'.`P2'/2-`P6'.`P6'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P1' `P1'.`P1' `Q'.`Q' `P5'.`P5',Benz scalar 3 \(`BEPATH'\))
    id  `Q'.`P1' = `P1'.`P1'/2+`Q'.`Q'/2-`P5'.`P5'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P3' `P3'.`P3' `Q'.`Q' `P4'.`P4',Benz scalar 4 \(`BEPATH'\))
    id  `Q'.`P3' = `P3'.`P3'/2+`Q'.`Q'/2-`P4'.`P4'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P6' `Q'.`P2' `Q'.`Q' `P1'.`P1' `P5'.`P5',Benz scalar 5 \(`BEPATH'\))
	id	`Q'.`P6' = `Q'.`P2'-`Q'.`Q'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  #call ObviouslyZero(be)

  if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
  elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	endif;
  endif;
  #call ACCU(Benz scalar 6 \(`BEPATH'\))
 #break
*--#] 9 :
*--#[ 10 :
 #case 10
  #call ObviouslyZero(be)
  #call ACCU2A(`P4'.`P8' `P4'.`P4' `P8'.`P8' `P5'.`P5',Benz scalar 0 \(`BEPATH'\))
    id `P4'.`P8' = -`P5'.`P5'/2+`P4'.`P4'/2+`P8'.`P8'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P2'.`P8' `P1'.`P1' `P3'.`P3' `P6'.`P6' `P7'.`P7',Benz scalar 1 \(`BEPATH'\))
    id `P2'.`P8' = -`P1'.`P1'/2+`P6'.`P6'/2+`P3'.`P3'/2-`P7'.`P7'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P2'.`P4' `P2'.`P2' `P3'.`P3' `P7'.`P7' `P2'.`Q',Benz scalar 2 \(`BEPATH'\))
    id `P2'.`P4' = `P2'.`P2'/2+`P3'.`P3'/2-`P7'.`P7'/2-`P2'.`Q';
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P4' `P3'.`P3' `Q'.`Q' `P4'.`P4',Benz scalar 3 \(`BEPATH'\))
    id  `Q'.`P4' = `P3'.`P3'/2-`P4'.`P4'/2-`Q'.`Q'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P8' `P1'.`P1' `P3'.`P3' `P4'.`P4' `P5'.`P5',Benz scalar 4 \(`BEPATH'\))
    id  `Q'.`P8' = -`P1'.`P1'/2+`P3'.`P3'/2-`P4'.`P4'/2+`P5'.`P5'/2;
  #call ObviouslyZero(be)
  #call ACCU(Benz scalar 5 \(`BEPATH'\))

   if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
   elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	endif;
   endif;
  #call ACCU(Benz scalar 6 \(`BEPATH'\))
 #break
*--#] 10 :
*--#[ 11 :
 #case 11
  #call ObviouslyZero(be)
  #call ACCU2A(`Q'.`P1' `P1'.`P1' `Q'.`Q' `P5'.`P5',Benz scalar 0 \(`BEPATH'\))
	id  `Q'.`P1' = `P1'.`P1'/2+`Q'.`Q'/2-`P5'.`P5'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P1'.`P2' `P2'.`P2' `P1'.`P1' `P6'.`P6',Benz scalar 1 \(`BEPATH'\))
	id	`P1'.`P2' = `P2'.`P2'/2+`P1'.`P1'/2-`P6'.`P6'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P2'.`P8' `P6'.`P6' `P1'.`P1' `P3'.`P3' `P7'.`P7',Benz scalar 2 \(`BEPATH'\))
	id	`P2'.`P8' = `P6'.`P6'/2-`P1'.`P1'/2-`P7'.`P7'/2+`P3'.`P3'/2;
  #call ObviouslyZero(be)
  #call ACCU2A(`P1'.`P8' `P3'.`P3' `P1'.`P1' `P8'.`P8',Benz scalar 3 \(`BEPATH'\))
	id	`P1'.`P8' = `P3'.`P3'/2-`P1'.`P1'/2-`P8'.`P8'/2;
  #call ACCU2A(`Q'.`P8' `P3'.`P3' `P4'.`P4' `P1'.`P1' `P5'.`P5',Benz scalar 4 \(`BEPATH'\))
	id	`Q'.`P8' = `P3'.`P3'/2-`P4'.`P4'/2-`P1'.`P1'/2+`P5'.`P5'/2;
  #call ObviouslyZero(be)
  if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',
           `P7',`P7',`P6',`P8',-`P8');
  elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',
            `P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',
              `P7',`P7',`P6',`P8',-`P8');
	endif;
  endif;
  #call ACCU(Benz scalar 5 \(`BEPATH'\))
 #break
*--#] 11 :
*--#[ 14 :
 #case 14
  #call ObviouslyZero(be)
    #call ACCU2A(`P6'.`P8' `P6'.`P6' `P8'.`P8' `P7'.`P7',Benz scalar 0 \(`BEPATH'\))
  	id	`P6'.`P8' = `P6'.`P6'/2+`P8'.`P8'/2-`P7'.`P7'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`P4'.`P8' `P4'.`P4' `P8'.`P8' `P5'.`P5',Benz scalar 1 \(`BEPATH'\))
  	id	`P4'.`P8' = `P4'.`P4'/2+`P8'.`P8'/2-`P5'.`P5'/2;
  #call ObviouslyZero(be)
    #call ACCU2A(`Q'.`P4' `P3'.`P3' `Q'.`Q' `P4'.`P4',Benz scalar 2 \(`BEPATH'\))
  	id	`Q'.`P4' = `P3'.`P3'/2-`Q'.`Q'/2-`P4'.`P4'/2;
  #call ObviouslyZero(be)
    #call SlowSub(1,`Q'.`P8',`P3'.`P3'/2-`P4'.`P4'/2-`P1'.`P1'/2+`P5'.`P5'/2,\
  `Q'.`P8' `P3'.`P3' `P4'.`P4' `P1'.`P1' `P5'.`P5',Benz scalar 3 \(`BEPATH'\),Benz scalar 4 \(`BEPATH'\))
  #call ObviouslyZero(be)
    #call SlowSub(1,`P4'.`P6',-`Q'.`P2'+`Q'.`Q'/2+`P2'.`P2'/2+`P8'.`P8'/2-`P7'.`P7'/2-`P5'.`P5'/2,\
  `P4'.`P6' `Q'.`P2' `Q'.`Q' `P2'.`P2' `P8'.`P8' `P7'.`P7' `P5'.`P5',Benz scalar 4 \(`BEPATH'\),Benz scalar 5 \(`BEPATH'\))
  #call ObviouslyZero(be)
    #call SlowSub(1,`Q'.`P6',`Q'.`P2'-`Q'.`Q'/2-`P1'.`P1'/2+`P5'.`P5'/2,\
  `Q'.`P6' `Q'.`P2' `Q'.`Q' `P1'.`P1' `P5'.`P5',Benz scalar 5 \(`BEPATH'\),Benz scalar 6 \(`BEPATH'\))
  #call ObviouslyZero(be)
  if ( count(`P6'.`P6',1) < count(`P7'.`P7',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
  elseif ( count(`P6'.`P6',1) == count(`P7'.`P7',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P5'.`P5',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P5',`P5',`P4',`P6',`P7',`P7',`P6',`P8',-`P8');
	endif;
  endif;
  #call ACCU(Benz scalar 6 \(`BEPATH'\))
 #break
*--#] 14 :
#endswitch
*
#endprocedure
*--#] benzred :
*--#[ dotwo :
#procedure dotwo()
#ifdef `OLDTWO'
 
if ( count(p1.p1,1,p3.p3,1) > count(p4.p4,1,p6.p6,1) );
    multiply replace_(p1,p6,p6,p1,p3,p4,p4,p3,mnce1,mnce6,mnce6,mnce1,mnce3,mnce4,mnce4,mnce3);
    id  Q.mncq1?{p1,p3,p4,p6,p7} = -Q.mncq1;
endif;
if ( count(p1.p1,1,p6.p6,1) > count(p3.p3,1,p4.p4,1) );
    multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,mnce1,mnce3,mnce3,mnce1,mnce4,mnce6,mnce6,mnce4);
    id  p7.mncq1?{Q,p1,p3,p4,p6} = -p7.mncq1;
endif;

#call ACCU2A(p1.Q p3.Q p7.Q p1.p3 p1.p4 p3.p6,Presymmetrize)

id  p1.p4 = p1.p3-p1.Q;
id  p3.p6 = p1.p3-p3.Q;
id  p7.Q = Q.p1-Q.p3;

#call ACCU2A(p1.p7 p3.p7 p1.p1 p3.p3 p7.p7,Rewrite vectors\(2\) 1)

id  p1.p7 = p1.p1/2+p7.p7/2-p3.p3/2;
id  p3.p7 = p1.p1/2-p3.p3/2-p7.p7/2;

#call ACCU2A(p4.p7 p6.p7 p4.p4 p6.p6 p7.p7,Rewrite vectors\(2\) 2)

id  p4.p7 = p6.p6/2-p4.p4/2-p7.p7/2;
id  p6.p7 = p6.p6/2+p7.p7/2-p4.p4/2;

#call ACCU2A(p1.Q Q.Q p6.Q p1.p6 p1.p1,Rewrite vectors\(2\) 3)

id  p6.Q = p1.Q-Q.Q;
id  p1.p6 = p1.p1-p1.Q;
 
#call ACCU2A( p3.Q Q.Q p4.Q p3.p4 p3.p3,Scalars\(2\) 1)

id  p4.Q = p3.Q-Q.Q;
id  p3.p4 = p3.p3-p3.Q;

#call ACCU2A(p1.Q p1.p1 Q.Q p6.p6,Scalars\(2\) 2)

id  p1.Q = p1.p1/2+Q.Q/2-p6.p6/2;

#call ACCU2A(p3.Q p3.p3 Q.Q p4.p4,Scalars\(2\) 3)

id  p3.Q = p3.p3/2+Q.Q/2-p4.p4/2;

#call ACCU2A(p1.p3 p1.p1 p3.p3 p7.p7,Scalars\(2\) 4)

id  p1.p3 = p1.p1/2+p3.p3/2-p7.p7/2;

#call ACCU2A(p4.p6 p4.p4 p6.p6 p7.p7,Scalars\(2\) 5)

id  p4.p6 = p4.p4/2+p6.p6/2-p7.p7/2;

#call ACCU(Scalars\(2\) 6)

*id p1.p6 = p1.p1/2+p6.p6/2-Q.Q/2;
*id p3.p4 = p3.p3/2+p4.p4/2-Q.Q/2;

*#call ACCU(Scalars\(2\) 7)

#else
 
if ( count(Q.p6,1,p4.p6,1,Q.p4,1,p4.p7,1,p6.p7,1)
   > count(Q.p1,1,Q.p3,1,p1.p3,1,p1.p7,1,p3.p7,1) );
    multiply replace_(p1,p6,p6,p1,p3,p4,p4,p3,mnce1,mnce6,mnce6,mnce1,mnce3,mnce4,mnce4,mnce3);
    id  Q = -Q;
endif;
if ( count(Q.p3,1,p3.p4,1,Q.p4,1,p3.p7,1,p4.p7,1)
   > count(Q.p1,1,Q.p6,1,p1.p6,1,p1.p7,1,p6.p7,1) );
    multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,mnce1,mnce3,mnce3,mnce1,mnce4,mnce6,mnce6,mnce4);
    id  p7 = -p7;
endif;

#call ACCU(Presymmetrize)

id  p7.mncq1?{Q,p1,p3,p4,p6,p7} = p1.mncq1-p3.mncq1;

#call ACCU(Eliminate p7)

id  p6.mncq1?{Q,p1,p3,p4} = p1.mncq1-Q.mncq1;

#call ACCU(Eliminate p6)

id  p4.mncq1?{Q,p1,p3} = p3.mncq1-Q.mncq1;

#call ACCU2A(p1.Q p1.p1 Q.Q p6.p6,Eliminate p4)

id  p1.Q = p1.p1/2+Q.Q/2-p6.p6/2;

#call ACCU2A(p3.Q p3.p3 Q.Q p4.p4,Eliminate Q.p1)

id  p3.Q = p3.p3/2+Q.Q/2-p4.p4/2;

#call ACCU2A(p1.p3 p1.p1 p3.p3 p7.p7,Eliminate Q.p3)

id  p1.p3 = p1.p1/2+p3.p3/2-p7.p7/2;

#call ACCU(Eliminate p1.p3)
#endif
*
*   Now relabel the lines so that we get a uniform orientation.
*   This can be done easily because we have only squares of momenta.
*
if ( count(mnce7,1,mnceq,1) > 0 );
label 2;
  if ( ( ( count(p1.p1,1) > count(p3.p3,1) ) &&
         ( count(p6.p6,1) > count(p3.p3,1) ) ) ||
       ( ( count(p1.p1,1) > count(p4.p4,1) ) &&
         ( count(p6.p6,1) > count(p4.p4,1) ) ) );
    multiply replace_(p1,p3,p3,p1,mnce1,mnce3,mnce3,mnce1,p6,p4,p4,p6,mnce6,mnce4,mnce4,mnce6);
  endif;
  if ( ( count(p1.p1,1) > count(p6.p6,1) ) ||
     ( ( count(p1.p1,1) == count(p6.p6,1) ) &&
       ( count(p3.p3,1) > count(p4.p4,1) ) ) );
    multiply replace_(p1,p6,p6,p1,mnce1,mnce6,mnce6,mnce1,p3,p4,p4,p3,mnce3,mnce4,mnce4,mnce3);
  endif;
else;
  if ( ( count(mnce3,1) > 0 ) || ( count(mnce4,1) > 0 ) );
    multiply replace_(p1,p3,p3,p1,mnce1,mnce3,mnce3,mnce1,p6,p4,p4,p6,mnce6,mnce4,mnce4,mnce6);
  endif;
  if ( count(mnce6,1) > 0 );
    multiply replace_(p1,p6,p6,p1,mnce1,mnce6,mnce6,mnce1,p3,p4,p4,p3,mnce3,mnce4,mnce4,mnce3);
  endif;
  if ( count(mnce1,1) == 0 ) goto 2;
endif;
#call ACCU(Use symmetry\(2\))

multiply acc(1/ep);
#call newtwo(p1,mnce1,p3,mnce3,p4,mnce4,p6,mnce6,p7,mnce7,Q,mnceq,0,mncint1*mncint3)
multiply ep;
if ( count(mnce7,1) );
    if ( count(p1.p1,1) < count(p6.p6,1) )
        multiply replace_(p1,-p6,p6,-p1,p3,-p4,p4,-p3,p7,-p7);
    if ( count(p1.p1,1) < count(p3.p3,1) );
        multiply replace_(p1,-p3,p3,-p1,p6,-p4,p4,-p6,Q,-Q);
        if ( count(p1.p1,1) < count(p6.p6,1) );
            multiply replace_(p1,-p6,p6,-p1,p3,-p4,p4,-p3,p7,-p7);
        endif;
    elseif ( count(p1.p1,1) < count(p4.p4,1) );
        multiply replace_(p1,p4,p4,p1,p3,p6,p6,p3,p7,-p7,Q,-Q);
    endif;
endif;
#call ACCU(Two loop reduction)
if ( count(mncint3,1) );
if ( count(mnce7,1) );
    if ( count(p1.p1,1) < count(p6.p6,1) )
        multiply replace_(p1,-p6,p6,-p1,p3,-p4,p4,-p3,p7,-p7);
    if ( count(p1.p1,1) < count(p3.p3,1) );
        multiply replace_(p1,-p3,p3,-p1,p6,-p4,p4,-p6,Q,-Q);
        if ( count(p1.p1,1) < count(p6.p6,1) );
            multiply replace_(p1,-p6,p6,-p1,p3,-p4,p4,-p3,p7,-p7);
        endif;
    elseif ( count(p1.p1,1) < count(p4.p4,1) );
        multiply replace_(p1,p4,p4,p1,p3,p6,p6,p3,p7,-p7,Q,-Q);
    endif;
    id p1.p1 = mncx+p6.p6;
    if ( count(p6.p6,1) >= 0 ) discard;
    id,many,p1.p?^n?pos_ = (Q.p+p6.p)^n;
    if ( count(p6.p6,1) >= 0 ) discard;
	id mncx = Q.Q+2*Q.p6;
*   Integrate over (6,7)->4
    multiply replace_(p6,-mncp9,p7,-p8,p4,-p1,p3,-p2,mnce7,mnce8);
    multiply mncnaar(p1,mnce1);
elseif ( count(mnce1,1) );
    if ( count(p7.p7,1) >= 0 );
        id  p7.p7 = p6.p6+p4.p4-2*p4.p6;
        if ( count(p6.p6,1) >= 0 ) discard;
        if ( count(p4.p4,1) >= 0 ) discard;
        id,many,p7.p?^n?pos_ = (p6.p-p4.p)^n;
        if ( count(p3.p3,1) >= 0 ) discard;
        if ( count(p6.p6,1) >= 0 ) discard;
        if ( count(p4.p4,1) >= 0 ) discard;
*       Integrate over (6,1)->Q
        multiply replace_(p6,-mncp9,p1,-p8,mnce1,mnce8,p3,p1,p4,p2);
        multiply mncnaar(Q,mnceq);
    elseif ( count(p3.p3,1) >= 0 );
        id  p3.p3 = Q.Q+p4.p4+2*Q.p4;
        if ( count(p4.p4,1) >= 0 ) discard;
        id,many,p3.p?^n?pos_ = (p4.p+Q.p)^n;
        if ( count(p4.p4,1) >= 0 ) discard;
*       if ( count(p7.p7,1) >= 0 ) discard;
*       Integrate over (4,7)->6
        multiply replace_(p4,-mncp9,p7,p8,p6,-p1,p1,-p2,mnce1,mnce2);
        multiply mncnaar(p1,mnce1);
    elseif ( count(p4.p4,1) >= 0 );
        id  p4.p4 = p3.p3+Q.Q-2*Q.p3;
        if ( count(p3.p3,1) >= 0 ) discard;
        id,many,p4.p?^n?pos_ = (p3.p-Q.p)^n;
        if ( count(p3.p3,1) >= 0 ) discard;
        if ( count(p6.p6,1) >= 0 ) discard;
*       if ( count(p7.p7,1) >= 0 ) discard;
*       Integrate over (3,7)->1
*       id p7 = -p7;
        multiply replace_(p3,mncp9,p7,-p8,p6,p2);
        multiply mncnaar(p1,mnce1);
    else;
        id  p6.p6 = p4.p4+p7.p7+2*p4.p7;
        if ( count(p4.p4,1) >= 0 ) discard;
        if ( count(p7.p7,1) >= 0 ) discard;
        id,many,p6.p?^n?pos_ = (p4.p+p7.p)^n;
        if ( count(p4.p4,1) >= 0 ) discard;
        if ( count(p7.p7,1) >= 0 ) discard;
*       Integrate over (7,1)->3
        multiply replace_(p1,-p8,p7,-mncp9,p3,p1,p4,p2,mnce1,mnce8);
        multiply mncnaar(p1,mnce1);
    endif;
else;
*   Here we have no internal fractional power.
*   1: order so that p1.p1 has the highest power (or p7.p7).
    if ( count(p1.p1,1) < count(p6.p6,1) )
        multiply replace_(p1,-p6,p6,-p1,p3,-p4,p4,-p3,p7,-p7);
    if ( count(p1.p1,1) < count(p3.p3,1) );
        multiply replace_(p1,-p3,p3,-p1,p6,-p4,p4,-p6,Q,-Q);
        if ( count(p1.p1,1) < count(p6.p6,1) )
            multiply replace_(p1,-p6,p6,-p1,p3,-p4,p4,-p3,p7,-p7);
    elseif ( count(p1.p1,1) < count(p4.p4,1) );
        multiply replace_(p1,p4,p4,p1,p3,p6,p6,p3,p7,-p7,Q,-Q);
    endif;
    if ( count(p7.p7,1) >= 0 );
        id p7.p7 = p1.p1+p3.p3-2*p1.p3;
        if ( count(p1.p1,1) >= 0 ) discard;
        if ( count(p3.p3,1) >= 0 ) discard;
        if ( count(p1.p1,1) < count(p3.p3,1) )
            multiply replace_(p1,-p3,p3,-p1,p6,-p4,p4,-p6,Q,-Q);
*       Integrate over (1,6)->Q
        multiply replace_(p1,mncp9,p6,p8,p3,p1,p4,p2);
        multiply mncnaar(Q,mnceq);
    else;
*       p1.p1 is missing or positive
        if ( count(p7.p7,1) >= 0 ) discard;
        if ( count(p3.p3,1) >= 0 ) discard;
        id p1.p1 = Q.Q+p6.p6+2*Q.p6;
        if ( count(p6.p6,1) >= 0 ) discard;
*       Integrate over (6,7)->4
        multiply replace_(p6,-mncp9,p7,-p8,p4,-p1,p3,-p2);
        multiply mncnaar(p1,mnce1);
    endif;
endif;
ToTensor,nosquare,mncFQ,mncp9;
endif;

#call ACCU2(B mncnaar p8 mncp9 mnce8 mnce9 mncint3 mncFQ,Prepare second loop)

Keep brackets;
if ( count(mncint3,1) );
if ( count(mncFQ,1) == 0 );
    id  mncint3/mncp9.mncp9^mncx1?/p8.p8^mncx2?*mnce9^mncy1?*mnce8^mncy2? =
        mncq1.mncq1^2/mncq1.mncq1^mncx1/mncq1.mncq1^mncx2*mnce3^mncy1*mnce3^mncy2*mnce3*mncG(mncx1,mncy1,mncx2,mncy2,0,0);
elseif ( match(mncFQ(mnci1?)) );
    id  mncint3/mncp9.mncp9^mncx1?/p8.p8^mncx2?*mnce9^mncy1?*mnce8^mncy2?*mncFQ(mnci1?) =
        mncq1.mncq1^2/mncq1.mncq1^mncx1/mncq1.mncq1^mncx2*mnce3^mncy1*mnce3^mncy2*mnce3*mncG(mncx1,mncy1,mncx2,mncy2,1,0)*mncq1(mnci1);
elseif ( match(mncFQ(mnci1?,mnci2?)) );
    id  mncint3/mncp9.mncp9^mncx1?/p8.p8^mncx2?*mnce9^mncy1?*mnce8^mncy2?*mncFQ(mnci1?,mnci2?) =
        mncq1.mncq1^2/mncq1.mncq1^mncx1/mncq1.mncq1^mncx2*mnce3^mncy1*mnce3^mncy2*mnce3*(
        +mncG(mncx1,mncy1,mncx2,mncy2,2,0)*mncq1(mnci1)*mncq1(mnci2)+mncG(mncx1,mncy1,mncx2,mncy2,2,1)*mncq1.mncq1*d_(mnci1,mnci2)/2);
else;
    id  mncint3/mncp9.mncp9^mncx1?/p8.p8^mncx2?*mnce9^mncy1?*mnce8^mncy2?*mncFQ(?a) =
        mncq1.mncq1^2/mncq1.mncq1^mncx1/mncq1.mncq1^mncx2*mnce3^mncy1*mnce3^mncy2*mnce3
        *sum_(mncj,0,integer_(nargs_(?a)/2),mncG(mncx1,mncy1,mncx2,mncy2,nargs_(?a),mncj)
        *mncy^mncj*mncq1.mncq1^mncj/2^mncj)*mncFQ(?a);
endif;
#call simplify
if ( count(mncFQ,1) );
    id  mncy^mncj?*mncFQ(?a) = distrib_(1,2*mncj,mncdel,mncFQ,?a);
    tovector,mncFQ,mncq1;
    id  mncnaar(mncq2?,mnce4?) = replace_(mncq1,mncq2,mnce3,mnce4);
    id  mncdel(?a) = dd_(?a);
else;
    id  mncnaar(mncq2?,mnce4?) = replace_(mncq1,mncq2,mnce3,mnce4);
endif;
else;
    multiply ep;
endif;

#call ACCU(Second loop)

if ( count(mncint1,1) );
    #call one(p1,p2,Q,mnce1,mnce2,mnceq,mncint1)
endif;

#call ACCU(Third loop)

multiply 1/Q.Q/mnceq^3;
#call simplify

#endprocedure
*--#] dotwo :
*--#[ dovert1 :
#procedure dovert1(P1,P2,P3)
*
*	P3 = P1+P2
*
id	g_(mnci1?,`P1',`P2',`P3') = g_(mnci1,`P1')*`P3'.`P3'-g_(mnci1,`P3')*`P1'.`P1';
id	g_(mnci1?,`P1',`P3',`P2') = g_(mnci1,`P1')*`P2'.`P2'+g_(mnci1,`P2')*`P1'.`P1';
id	g_(mnci1?,`P2',`P1',`P3') = g_(mnci1,`P2')*`P3'.`P3'-g_(mnci1,`P3')*`P2'.`P2';
id	g_(mnci1?,`P3',`P2',`P1') = g_(mnci1,`P1')*`P3'.`P3'-g_(mnci1,`P3')*`P1'.`P1';
id	g_(mnci1?,`P2',`P3',`P1') = g_(mnci1,`P1')*`P2'.`P2'+g_(mnci1,`P2')*`P1'.`P1';
id	g_(mnci1?,`P3',`P1',`P2') = g_(mnci1,`P2')*`P3'.`P3'-g_(mnci1,`P3')*`P2'.`P2';
*
id	g_(mnci1?,[P+`P1'],`P2',[P+`P3']) =
	g_(mnci1,[P+`P1'])*[P+`P3'].[P+`P3']-g_(mnci1,[P+`P3'])*[P+`P1'].[P+`P1'];
id	g_(mnci1?,[P+`P1'],[P+`P3'],`P2') =
	g_(mnci1,[P+`P1'])*`P2'.`P2'+g_(mnci1,`P2')*[P+`P1'].[P+`P1'];
id	g_(mnci1?,`P2',[P+`P1'],[P+`P3']) =
	g_(mnci1,`P2')*[P+`P3'].[P+`P3']-g_(mnci1,[P+`P3'])*`P2'.`P2';
id	g_(mnci1?,[P+`P3'],`P2',[P+`P1']) =
	g_(mnci1,[P+`P1'])*[P+`P3'].[P+`P3']-g_(mnci1,[P+`P3'])*[P+`P1'].[P+`P1'];
id	g_(mnci1?,`P2',[P+`P3'],[P+`P1']) =
	g_(mnci1,[P+`P1'])*`P2'.`P2'+g_(mnci1,`P2')*[P+`P1'].[P+`P1'];
id	g_(mnci1?,[P+`P3'],[P+`P1'],`P2') =
	g_(mnci1,`P2')*[P+`P3'].[P+`P3']-g_(mnci1,[P+`P3'])*`P2'.`P2';
*
id	g_(mnci1?,`P1',[P+`P2'],[P+`P3']) =
	g_(mnci1,`P1')*[P+`P3'].[P+`P3']-g_(mnci1,[P+`P3'])*`P1'.`P1';
id	g_(mnci1?,`P1',[P+`P3'],[P+`P2']) =
	g_(mnci1,`P1')*[P+`P2'].[P+`P2']+g_(mnci1,[P+`P2'])*`P1'.`P1';
id	g_(mnci1?,[P+`P2'],`P1',[P+`P3']) =
	g_(mnci1,[P+`P2'])*[P+`P3'].[P+`P3']-g_(mnci1,[P+`P3'])*[P+`P2'].[P+`P2'];
id	g_(mnci1?,[P+`P3'],[P+`P2'],`P1') =
	g_(mnci1,`P1')*[P+`P3'].[P+`P3']-g_(mnci1,[P+`P3'])*`P1'.`P1';
id	g_(mnci1?,[P+`P2'],[P+`P3'],`P1') =
	g_(mnci1,`P1')*[P+`P2'].[P+`P2']+g_(mnci1,[P+`P2'])*`P1'.`P1';
id	g_(mnci1?,[P+`P3'],`P1',[P+`P2']) =
	g_(mnci1,[P+`P2'])*[P+`P3'].[P+`P3']-g_(mnci1,[P+`P3'])*[P+`P2'].[P+`P2'];
*
id	g_(mnci1?,[P-`P3'],`P2',[P-`P1']) =
	g_(mnci1,[P-`P3'])*[P-`P1'].[P-`P1']-g_(mnci1,[P-`P1'])*[P-`P3'].[P-`P3'];
id	g_(mnci1?,[P-`P3'],[P-`P1'],`P2') =
	g_(mnci1,[P-`P3'])*`P2'.`P2'+g_(mnci1,`P2')*[P-`P3'].[P-`P3'];
id	g_(mnci1?,`P2',[P-`P3'],[P-`P1']) =
	g_(mnci1,`P2')*[P-`P1'].[P-`P1']-g_(mnci1,[P-`P1'])*`P2'.`P2';
id	g_(mnci1?,[P-`P1'],`P2',[P-`P3']) =
	g_(mnci1,[P-`P3'])*[P-`P1'].[P-`P1']-g_(mnci1,[P-`P1'])*[P-`P3'].[P-`P3'];
id	g_(mnci1?,`P2',[P-`P1'],[P-`P3']) =
	g_(mnci1,[P-`P3'])*`P2'.`P2'+g_(mnci1,`P2')*[P-`P3'].[P-`P3'];
id	g_(mnci1?,[P-`P1'],[P-`P3'],`P2') =
	g_(mnci1,`P2')*[P-`P1'].[P-`P1']-g_(mnci1,[P-`P1'])*`P2'.`P2';
*
id	g_(mnci1?,`P1',[P-`P3'],[P-`P2']) =
	g_(mnci1,`P1')*[P-`P2'].[P-`P2']-g_(mnci1,[P-`P2'])*`P1'.`P1';
id	g_(mnci1?,`P1',[P-`P2'],[P-`P3']) =
	g_(mnci1,`P1')*[P-`P3'].[P-`P3']+g_(mnci1,[P-`P3'])*`P1'.`P1';
id	g_(mnci1?,[P-`P3'],`P1',[P-`P2']) =
	g_(mnci1,[P-`P3'])*[P-`P2'].[P-`P2']-g_(mnci1,[P-`P2'])*[P-`P3'].[P-`P3'];
id	g_(mnci1?,[P-`P2'],[P-`P3'],`P1') =
	g_(mnci1,`P1')*[P-`P2'].[P-`P2']-g_(mnci1,[P-`P2'])*`P1'.`P1';
id	g_(mnci1?,[P-`P3'],[P-`P2'],`P1') =
	g_(mnci1,`P1')*[P-`P3'].[P-`P3']+g_(mnci1,[P-`P3'])*`P1'.`P1';
id	g_(mnci1?,[P-`P2'],`P1',[P-`P3']) =
	g_(mnci1,[P-`P3'])*[P-`P2'].[P-`P2']-g_(mnci1,[P-`P2'])*[P-`P3'].[P-`P3'];
*
id	g_(mnci1?,`P3',[P-`P2'],[P+`P1']) =
	g_(mnci1,`P3')*[P+`P1'].[P+`P1']-g_(mnci1,[P+`P1'])*`P3'.`P3';
id	g_(mnci1?,`P3',[P+`P1'],[P-`P2']) =
	g_(mnci1,`P3')*[P-`P2'].[P-`P2']+g_(mnci1,[P-`P2'])*`P3'.`P3';
id	g_(mnci1?,[P-`P2'],`P3',[P+`P1']) =
	g_(mnci1,[P-`P2'])*[P+`P1'].[P+`P1']-g_(mnci1,[P+`P1'])*[P-`P2'].[P-`P2'];
id	g_(mnci1?,[P+`P1'],[P-`P2'],`P3') =
	g_(mnci1,`P3')*[P+`P1'].[P+`P1']-g_(mnci1,[P+`P1'])*`P3'.`P3';
id	g_(mnci1?,[P-`P2'],[P+`P1'],`P3') =
	g_(mnci1,`P3')*[P-`P2'].[P-`P2']+g_(mnci1,[P-`P2'])*`P3'.`P3';
id	g_(mnci1?,[P+`P1'],`P3',[P-`P2']) =
	g_(mnci1,[P-`P2'])*[P+`P1'].[P+`P1']-g_(mnci1,[P+`P1'])*[P-`P2'].[P-`P2'];
*
id	g_(mnci1?,[P-`P1'],`P3',[P+`P2']) =
	g_(mnci1,[P-`P1'])*[P+`P2'].[P+`P2']-g_(mnci1,[P+`P2'])*[P-`P1'].[P-`P1'];
id	g_(mnci1?,[P-`P1'],[P+`P2'],`P3') =
	g_(mnci1,[P-`P1'])*`P3'.`P3'+g_(mnci1,`P3')*[P-`P1'].[P-`P1'];
id	g_(mnci1?,`P3',[P-`P1'],[P+`P2']) =
	g_(mnci1,`P3')*[P+`P2'].[P+`P2']-g_(mnci1,[P+`P2'])*`P3'.`P3';
id	g_(mnci1?,[P+`P2'],`P3',[P-`P1']) =
	g_(mnci1,[P-`P1'])*[P+`P2'].[P+`P2']-g_(mnci1,[P+`P2'])*[P-`P1'].[P-`P1'];
id	g_(mnci1?,`P3',[P+`P2'],[P-`P1']) =
	g_(mnci1,[P-`P1'])*`P3'.`P3'+g_(mnci1,`P3')*[P-`P1'].[P-`P1'];
id	g_(mnci1?,[P+`P2'],[P-`P1'],`P3') =
	g_(mnci1,`P3')*[P+`P2'].[P+`P2']-g_(mnci1,[P+`P2'])*`P3'.`P3';
*
#endprocedure
*--#] dovert1 :
*--#[ dovert2 :
#procedure dovert2(P1,P2,P3)
*
*	P1 + P2 + P3 = 0
*
id	g_(mnci1?,`P3',`P2',`P1') = -g_(mnci1,`P3')*`P1'.`P1'-g_(mnci1,`P1')*`P3'.`P3';
id	g_(mnci1?,`P3',`P1',`P2') = -g_(mnci1,`P3')*`P2'.`P2'-g_(mnci1,`P2')*`P3'.`P3';
id	g_(mnci1?,`P2',`P3',`P1') = -g_(mnci1,`P2')*`P1'.`P1'-g_(mnci1,`P1')*`P2'.`P2';
id	g_(mnci1?,`P1',`P2',`P3') = -g_(mnci1,`P3')*`P1'.`P1'-g_(mnci1,`P1')*`P3'.`P3';
id	g_(mnci1?,`P2',`P1',`P3') = -g_(mnci1,`P3')*`P2'.`P2'-g_(mnci1,`P2')*`P3'.`P3';
id	g_(mnci1?,`P1',`P3',`P2') = -g_(mnci1,`P2')*`P1'.`P1'-g_(mnci1,`P1')*`P2'.`P2';
*
#endprocedure
*--#] dovert2 :
*--#[ expandP :
*
#procedure expandP(topo,power)
*
*	Expands the denominators in P.
*
id	1/P.Q = 1/Q.Q/mncproexp;
#do mnci = 1,8
id	1/P.p`mnci' = 1/P.p`mnci'/mncproexp;
#enddo
id  P = mncproexp*P;
if ( count(mncproexp,1) > `power' ) discard;

id	mncepexp(mncp?mncpp18[mncn],mncx?) = mncee18[mncn]^mncx/mnceq^mncx;
id	mncepexp(-mncp?mncpp18[mncn],mncx?) = mncee18[mncn]^mncx/mnceq^mncx;
id	mncepexp(-mncp?[mncPp],mncx?) = mncepexp(mncp,mncx);

id  mncepexp([P+Q],mncx?) = mncepexp( mncproexp*2*P.Q/Q.Q,mncx);
id  mncepexp([P-Q],mncx?) = mncepexp(-mncproexp*2*P.Q/Q.Q,mncx);
id  mncepexp(mncp?[mncpp18][D],mncx?)  = mncee18[D]^mncx/mnceq^mncx
    *mncepexp( 2*mncproexp*P.mncpp18[D]/mncpp18[D].mncpp18[D],mncx);
id  mncepexp(mncp?[-mncpp18][D],mncx?) = mncee18[D]^mncx/mnceq^mncx
    *mncepexp(-2*mncproexp*P.mncpp18[D]/mncpp18[D].mncpp18[D],mncx);

#do mnci = 1,8
if ( count([P+p`mnci'].[P+p`mnci'],1) < 0 );
    repeat;
      id,once,mncproexp^mncx?/[P+p`mnci'].[P+p`mnci'] = (
        sum_(mncj,0,`power'-mncx,2^mncj*mncproexp^mncj*P.p`mnci'^mncj/
			p`mnci'.p`mnci'^mncj*sign_(mncj)))*mncproexp^mncx/p`mnci'.p`mnci';
    endrepeat;
endif;
if ( count([P-p`mnci'].[P-p`mnci'],1) < 0 );
    repeat;
      id,once,mncproexp^mncx?/[P-p`mnci'].[P-p`mnci'] = (
        sum_(mncj,0,`power'-mncx,2^mncj*mncproexp^mncj*P.p`mnci'^mncj/
			p`mnci'.p`mnci'^mncj))*mncproexp^mncx/p`mnci'.p`mnci';
    endrepeat;
endif;
#enddo
if ( count([P+Q].[P+Q],1) < 0 );
    repeat;
      id,once,mncproexp^mncx?/[P+Q].[P+Q] =
        (sum_(mncj,0,`power'-mncx,2^mncj*mncproexp^mncj*P.Q^mncj/
			Q.Q^mncj*sign_(mncj)))*mncproexp^mncx/Q.Q;
	endrepeat;
endif;
if ( count([P-Q].[P-Q],1) < 0 );
    repeat;
      id,once,mncproexp^mncx?/[P-Q].[P-Q] =
        (sum_(mncj,0,`power'-mncx,2^mncj*mncproexp^mncj*P.Q^mncj/Q.Q^mncj))
				*mncproexp^mncx/Q.Q;
    endrepeat;
endif;

repeat;
    id,once,mncproexp^mncx?*mncepexp(y?,D?) =
    sump_(mncj,0,`power'-mncx, y*acc((-D*ep-mncj+1)/mncj))*mncproexp^mncx;
    if ( count(P.P,1) > 0 ) discard;
    if ( count(mncproexp,1) > `power' ) discard;
endrepeat;
if ( count(mncproexp,1) != `power' ) discard;
id  mncproexp^`power' = 1;

#call ACCU(Expand in P)
#endprocedure
*
*--#] expandP :
*--#[ finish :
#procedure finish(LOOPS,SCHEME)
*
id  ep^{1+`CUTOFF'} = 0;
*
*   Substitute the integrals.
*
id  mncexp20*mncexp10 = 1
      +ep*(3)
      +ep^2*(13)
      +ep^3*(55-22*z3)
      +ep^4*(229-33*z4-66*z3)
      +ep^5*(943-234*z5-99*z4-286*z3)
      +ep^6*(3853-530*z6-702*z5-429*z4-1210*z3+242*z3^2)
      +ep^7*(15655-2598*z7-1590*z6-3042*z5-1815*z4-5038*z3+726*z3*z4+726*z3^2);
id  mncexp11 = 1
      +ep*(2)
      +ep^2*(8)
      +ep^3*(32-22*z3)
      +ep^4*(128-33*z4-44*z3)
      +ep^5*(512-234*z5-66*z4-176*z3)
      +ep^6*(2048-530*z6-468*z5-264*z4-704*z3+242*z3^2)
      +ep^7*(8192-2598*z7-1060*z6-1872*z5-1056*z4-2816*z3+726*z3*z4+484*z3^2);
id  mncexp20 = 1
      +ep*(2)
      +ep^2*(8)
      +ep^3*(32-16*z3)
      +ep^4*(128-24*z4-32*z3)
      +ep^5*(512-192*z5-48*z4-128*z3)
      +ep^6*(2048-440*z6-384*z5-192*z4-512*z3+128*z3^2)
      +ep^7*(8192-2304*z7-880*z6-1536*z5-768*z4-2048*z3+384*z3*z4+256*z3^2);
id  mncexp10 = 1
      +ep*(1)
      +ep^2*(3)
      +ep^3*(9-6*z3)
      +ep^4*(27-9*z4-6*z3)
      +ep^5*(81-42*z5-9*z4-18*z3)
      +ep^6*(243-90*z6-42*z5-27*z4-54*z3+18*z3^2)
      +ep^7*(729-294*z7-90*z6-126*z5-81*z4-162*z3+54*z3*z4+18*z3^2);
#if ( `SCHEME' <= 3 )
*
*   Note that in Gorishny,Larin,Surguladze and Tkachov Comp.Phys.Comm.
*   55(1989)381 the factor (1-2*ep) is erroneously absent in the
*   following integral:
*
*id  mncG311 = (1-2*ep)*(6*z3+9*z4*ep+102*z5*ep^2);
*id  mncG311 = (1-2*ep)*(6*z3+9*z4*ep+102*z5*ep^2+240*z6*ep^3-186*ep^3*z3^2);
*id  mncG311 = (1-2*ep)*(6*z3+9*z4*ep+102*z5*ep^2+240*z6*ep^3-186*ep^3*z3^2
*				+1413*ep^4*z7-639*ep^4*z3*z4);
*id  mncG311 = (1-2*ep)*(6*z3+9*z4*ep+102*z5*ep^2+240*z6*ep^3-186*ep^3*z3^2
*				+1413*ep^4*z7-639*ep^4*z3*z4+288*ep^5*z6z2+25701/8*ep^5*z8
*				-486*ep^5*z4^2-5880*ep^5*z3*z5);
* changed  by Chet 17.09.07
#if 1==2
id  mncG311 = (1-2*ep)*(6*z3+9*z4*ep+102*z5*ep^2+240*z6*ep^3-186*ep^3*z3^2
                                +1413*ep^4*z7-639*ep^4*z3*z4+288*ep^5*z6z2+25701/8*ep^5*z8
                                -486*ep^5*z4^2-5880*ep^5*z3*z5);


#else
id  mncG311 = (     (+6*z3)
              +ep^1*(-12*z3+9*z4)
              +ep^2*(-18*z4+102*z5)
              +ep^3*(-78*z3^2-204*z5+240*z6)
              +ep^4*mncG311ep4
              );

#endif 
#endif
#if ( `SCHEME' <= 2 )
*
*id  mncF321 = 20*z5;
*id  mncF321 = (20*z5+50*z6*ep+68*z3^2*ep)*(1+2*ep);
*id  mncF321 = (20*z5+50*z6*ep+68*z3^2*ep+450*z7*ep^2+204*z3*z4*ep^2+ep^3*zz5)*(1+2*ep+4*ep^2);

*changed  by Chet 17.09.07
#if 1==2
id  mncF321 =
(20*z5+50*z6*ep+68*z3^2*ep+450*z7*ep^2+204*z3*z4*ep^2+ep^3*zz5)*(1+2*ep+4*ep^2);
#else
id mncF321 = 20*z5+ep*(68*z3^2 - 80*z5 + 50*z6) + mncF321ep2*ep^2;
#endif
#endif
*
*   Now follow some convenient integrals.
*
*
*	The three loop fermion propagator
*
id	mncfermi3 =ep^3*(
*    +cf*ca*nf*(+260075/1296-1/6*ep^-3*mncxi+1/6*ep^-3-13/12*ep^-2*mncxi
*        +227/36*ep^-2+2*ep^-1*z3*mncxi-6*ep^-1*z3-155/24*ep^-1*mncxi
*        +8267/216*ep^-1+61/6*z3*mncxi-137/6*z3+3*z4*mncxi-9*z4-4483/144*mncxi)
*    +cf*ca^2*(-2008997/2592+55/24*ep^-3*mncxi-5/8*ep^-3*mncxi^2+1/12*ep^-3*mncxi^3
*        -7/4*ep^-3+623/48*ep^-2*mncxi-49/16*ep^-2*mncxi^2+3/8*ep^-2*mncxi^3
*        -1841/72*ep^-2-18*ep^-1*z3*mncxi+11/8*ep^-1*z3*mncxi^2+83/2*ep^-1*z3
*        +6869/96*ep^-1*mncxi-497/32*ep^-1*mncxi^2+89/48*ep^-1*mncxi^3
*        -66629/432*ep^-1-2917/24*z3*mncxi+23*z3*mncxi^2-29/12*z3*mncxi^3+1015/4*z3
*        -27*z4*mncxi+33/16*z4*mncxi^2+249/4*z4+5*z5*mncxi-5/4*z5*mncxi^2-45*z5
*        +189061/576*mncxi-4403/64*mncxi^2+49/6*mncxi^3)
*    +cf*nf^2*(-1108/81-4/9*ep^-2-68/27*ep^-1)
*    +cf^2*ca*(-1199/16+9/4*ep^-3*mncxi-3/2*ep^-3*mncxi^2+1/4*ep^-3*mncxi^3-ep^-3
*        +49/4*ep^-2*mncxi-47/8*ep^-2*mncxi^2+7/8*ep^-2*mncxi^3-43/12*ep^-2
*        -9*ep^-1*z3*mncxi+3*ep^-1*z3*mncxi^2+2*ep^-1*z3+365/8*ep^-1*mncxi
*        -81/4*ep^-1*mncxi^2+11/4*ep^-1*mncxi^3-93/8*ep^-1-101/4*z3*mncxi
*        +3/2*z3*mncxi^2+3/4*z3*mncxi^3+23*z3-27/2*z4*mncxi+9/2*z4*mncxi^2+3*z4
*        +20*z5*mncxi+2147/16*mncxi-217/4*mncxi^2+27/4*mncxi^3)
*    +cf^2*nf*(+163/8-1/2*ep^-2*mncxi-1/6*ep^-2-9/4*ep^-1*mncxi+11/12*ep^-1
*        -16*z3-67/8*mncxi)
*    +cf^3*(+79/48+1/2*ep^-3*mncxi-1/2*ep^-3*mncxi^2+1/6*ep^-3*mncxi^3-1/6*ep^-3
*        +3/4*ep^-2*mncxi-3/2*ep^-2*mncxi^2+1/2*ep^-2*mncxi^3+1/4*ep^-2+13/8*ep^-1*mncxi
*        -3*ep^-1*mncxi^2+ep^-1*mncxi^3-1/8*ep^-1-5/2*z3*mncxi-7/2*z3*mncxi^2
*        +7/6*z3*mncxi^3+29/6*z3+103/16*mncxi-3*mncxi^2+mncxi^3))
*	+2*mncfermi2*mncfermi1-mncfermi1^3;
      +cf*nf^2*(-1108/81-4/9*ep^-2-68/27*ep^-1-15068/243*ep+92/9*ep*z3-
         198616/729*ep^2+15*ep^2*z4+1564/27*ep^2*z3)
      +cf*ca*nf*(260075/1296+1/6*ep^-3+227/36*ep^-2+8267/216*ep^-1-6*
         ep^-1*z3-9*z4-137/6*z3+6995555/7776*ep-166/3*ep*z5-273/8*ep*z4
         -7903/36*ep*z3+178592891/46656*ep^2-370/3*ep^2*z6-17129/90*
         ep^2*z5-5193/16*ep^2*z4-227743/216*ep^2*z3-100/3*ep^2*z3^2)
      +cf*ca^2*(-2008997/2592-7/4*ep^-3-1841/72*ep^-2-66629/432*ep^-1+
         83/2*ep^-1*z3-45*z5+249/4*z4+1015/4*z3-53410973/15552*ep-225/2
         *ep*z6+1433/6*ep*z5+6069/16*ep*z4+101833/72*ep*z3+156*ep*z3^2-
         1343385317/93312*ep^2-3231/4*ep^2*z7+1480/3*ep^2*z6+282949/180
         *ep^2*z5+67275/32*ep^2*z4+2778337/432*ep^2*z3+2601/4*ep^2*z3*
         z4+2491/3*ep^2*z3^2)
      +cf^2*nf*(13/8-7/6*ep^-2-43/12*ep^-1-16*z3+1591/16*ep-24*ep*z4-
         493/6*ep*z3+232013/288*ep^2-112*ep^2*z5-993/8*ep^2*z4-6497/12*
         ep^2*z3)
      +cf^2*ca*(2359/16+ep^-3+131/12*ep^-2+389/8*ep^-1-10*ep^-1*z3-15*
         z4-27*z3+7637/32*ep-30*ep*z5-159/4*ep*z4+353/12*ep*z3-392233/
         576*ep^2-50*ep^2*z6+1907/5*ep^2*z5+837/16*ep^2*z4+28685/24*
         ep^2*z3-2616*ep^2*z3^2)
      +cf^3*(-71/48-1/6*ep^-3-5/4*ep^-2-31/8*ep^-1-7/6*z3+5531/96*ep+40
         *ep*z5-15/8*ep*z4-335/4*ep*z3+80689/192*ep^2+100*ep^2*z6+801/
         10*ep^2*z5-2025/16*ep^2*z4-6573/8*ep^2*z3+1528*ep^2*z3^2)
      +mncxi*cf*ca*nf*(-4483/144-1/6*ep^-3-13/12*ep^-2-155/24*ep^-1+2*
         ep^-1*z3+3*z4+61/6*z3-125083/864*ep+34*ep*z5+121/8*ep*z4+1619/
         36*ep*z3-3290611/5184*ep^2+80*ep^2*z6+3983/30*ep^2*z5+3199/48*
         ep^2*z4+47591/216*ep^2*z3-76*ep^2*z3^2)
      +mncxi*cf*ca^2*(189061/576+55/24*ep^-3+623/48*ep^-2+6869/96*ep^-1-18
         *ep^-1*z3+5*z5-27*z4-2917/24*z3+5068285/3456*ep+25/2*ep*z6-221
         *ep*z5-5779/32*ep*z4-79757/144*ep*z3+29*ep*z3^2+129424069/
         20736*ep^2+95*ep^2*z7-1015/2*ep^2*z6-28027/24*ep^2*z5-157645/
         192*ep^2*z4-2351801/864*ep^2*z3+87*ep^2*z3*z4+672*ep^2*z3^2)
      +mncxi*cf^2*nf*(83/8+1/2*ep^-2+9/4*ep^-1+697/16*ep-29/2*ep*z3+5739/
         32*ep^2-171/8*ep^2*z4-261/4*ep^2*z3)
      +mncxi*cf^2*ca*(-3651/16-9/4*ep^-3-49/4*ep^-2-437/8*ep^-1+9*ep^-1*z3
         +20*z5+27/2*z4+277/4*z3-29809/32*ep+50*ep*z6+113*ep*z5+1635/16
         *ep*z4+1401/4*ep*z3-112*ep*z3^2-240611/64*ep^2+359*ep^2*z7+260
         *ep^2*z6+11327/20*ep^2*z5+8259/16*ep^2*z4+13137/8*ep^2*z3-417*
         ep^2*z3*z4-514*ep^2*z3^2)
      +mncxi*cf^3*(377/16+1/2*ep^-3+9/4*ep^-2+59/8*ep^-1-17/2*z3+2459/32*
         ep-99/8*ep*z4-141/4*ep*z3+16721/64*ep^2-843/10*ep^2*z5-819/16*
         ep^2*z4-799/8*ep^2*z3)
      +mncxi^2*cf*ca^2*(-4403/64-5/8*ep^-3-49/16*ep^-2-497/32*ep^-1+11/8*
         ep^-1*z3-5/4*z5+33/16*z4+23*z3-38185/128*ep-25/8*ep*z6+57/8*ep
         *z5+1089/32*ep*z4+1689/16*ep*z3+7*ep*z3^2-320251/256*ep^2-359/
         16*ep^2*z7+115/8*ep^2*z6+773/4*ep^2*z5+9987/64*ep^2*z4+16493/
         32*ep^2*z3+417/16*ep^2*z3*z4-153/4*ep^2*z3^2)
      +mncxi^2*cf^2*ca*(431/4+3/2*ep^-3+47/8*ep^-2+105/4*ep^-1-3*ep^-1*z3-
         9/2*z4-99/2*z3+1757/4*ep-21*ep*z5-585/8*ep*z4-1531/8*ep*z3+
         7083/4*ep^2-45*ep^2*z6-4209/10*ep^2*z5-9045/32*ep^2*z4-3357/4*
         ep^2*z3+78*ep^2*z3^2)
      +mncxi^2*cf^3*(-24-1/2*ep^-3-3/2*ep^-2-6*ep^-1+29/2*z3-96*ep+171/8*
         ep*z4+87/2*ep*z3-384*ep^2+1263/10*ep^2*z5+513/8*ep^2*z4+174*
         ep^2*z3)
      +mncxi^3*cf*ca^2*(49/6+1/12*ep^-3+3/8*ep^-2+89/48*ep^-1-29/12*z3+106/
         3*ep-57/16*ep*z4-43/4*ep*z3+593/4*ep^2-421/20*ep^2*z5-507/32*
         ep^2*z4-2539/48*ep^2*z3)
      +mncxi^3*cf^2*ca*(-61/4-1/4*ep^-3-7/8*ep^-2-15/4*ep^-1+29/4*z3-247/4
         *ep+171/16*ep*z4+203/8*ep*z3-993/4*ep^2+1263/20*ep^2*z5+1197/
         32*ep^2*z4+435/4*ep^2*z3)
      +mncxi^3*cf^3*(8+1/6*ep^-3+1/2*ep^-2+2*ep^-1-29/6*z3+32*ep-57/8*ep*
         z4-29/2*ep*z3+128*ep^2-421/10*ep^2*z5-171/8*ep^2*z4-58*ep^2*z3)
         );
*
*   The two loop fermion propagator
*
id  mncfermi2 =
*    +cf*ca*(-1+5/4*mncxi-1/4*mncxi^2-25/4*ep+15/4*ep*mncxi-5/8*ep*mncxi^2
*        -175/8*ep^2+55/4*ep^2*mncxi-17/8*ep^2*mncxi^2+6*ep^2*z3-3*ep^2*z3*mncxi
*        -1165/16*ep^3+175/4*ep^3*mncxi-53/8*ep^3*mncxi^2
*        +50/3*ep^3*z3-49/3*ep^3*z3*mncxi+8/3*ep^3*z3*mncxi^2
*        +9*ep^3*z4-9/2*ep^3*z4*mncxi)
*    +cf*nf*(+1/2*ep+7/4*ep^2+53/8*ep^3)
*    +cf^2*(+1/2-mncxi+1/2*mncxi^2+7/4*ep-2*ep*mncxi+ep*mncxi^2+29/8*ep^2-6*ep^2*mncxi
*        +3*ep^2*mncxi^2+79/16*ep^3-18*ep^3*mncxi+9*ep^3*mncxi^2+2/3*ep^3*z3
*        +32/3*ep^3*z3*mncxi-16/3*ep^3*z3*mncxi^2);
      +cf*nf*(1/2*ep+7/4*ep^2+53/8*ep^3+351/16*ep^4-16/3*ep^4*z3+2269/
         32*ep^5-31/4*ep^5*z4-56/3*ep^5*z3)
      +cf*ca*(-1-25/4*ep-175/8*ep^2+6*ep^2*z3-1165/16*ep^3+9*ep^3*z4+50/
         3*ep^3*z3-7351/32*ep^4+42*ep^4*z5+49/2*ep^4*z4+218/3*ep^4*z3-
         45445/64*ep^5+90*ep^5*z6+482/5*ep^5*z5+847/8*ep^5*z4+718/3*
         ep^5*z3-46*ep^5*z3^2)
      +cf^2*(1/2+7/4*ep+29/8*ep^2+79/16*ep^3+2/3*ep^3*z3-83/32*ep^4+5/4
         *ep^4*z4+16/3*ep^4*z3-3449/64*ep^5+74/5*ep^5*z5+71/8*ep^5*z4+
         82/3*ep^5*z3)
      +mncxi*cf*ca*(5/4+15/4*ep+55/4*ep^2-3*ep^2*z3+175/4*ep^3-9/2*ep^3*z4
         -49/3*ep^3*z3+555/4*ep^4-21*ep^4*z5-191/8*ep^4*z4-46*ep^4*z3+
         1715/4*ep^5-45*ep^5*z6-89*ep^5*z5-537/8*ep^5*z4-476/3*ep^5*z3+
         23*ep^5*z3^2)
      +mncxi*cf^2*(-1-2*ep-6*ep^2-18*ep^3+32/3*ep^3*z3-54*ep^4+31/2*ep^4*
         z4+64/3*ep^4*z3-162*ep^5+272/5*ep^5*z5+31*ep^5*z4+64*ep^5*z3)
      +mncxi^2*cf*ca*(-1/4-5/8*ep-17/8*ep^2-53/8*ep^3+8/3*ep^3*z3-165/8*
         ep^4+31/8*ep^4*z4+20/3*ep^4*z3-505/8*ep^5+68/5*ep^5*z5+155/16*
         ep^5*z4+68/3*ep^5*z3)
      +mncxi^2*cf^2*(1/2+ep+3*ep^2+9*ep^3-16/3*ep^3*z3+27*ep^4-31/4*ep^4*
         z4-32/3*ep^4*z3+81*ep^5-136/5*ep^5*z5-31/2*ep^5*z4-32*ep^5*z3)
         ;
*
*   The one loop fermion propagator in QCD (times ep)
*
id  mncfermi1 =
*    cf*(mncxi-1)*(1+ep+2*ep^2-7/3*ep^3*z3+4*ep^3);
    cf*(1-mncxi)*(-1-ep-2*ep^2-4*ep^3+7/3*ep^3*z3-8*ep^4+13/4*ep^4*z4+
         7/3*ep^4*z3-16*ep^5+31/5*ep^5*z5+13/4*ep^5*z4+14/3*ep^5*z3);
*
*	The three loop ghost propagator (has not been checked yet)
*
id	mncghost3 = ep^3*(
      +ca*nf^2*(3767/243+1/9*ep^-3+17/27*ep^-2+277/81*ep^-1-23/9*z3+
         49654/729*ep-15/4*ep*z4-391/27*ep*z3+624188/2187*ep^2-117/5*
         ep^2*z5-85/4*ep^2*z4-6371/81*ep^2*z3)
      +ca^2*nf*(-91637/486-47/36*ep^-3-425/54*ep^-2-6763/162*ep^-1-1/2*
         ep^-1*z3-3/4*z4+1051/36*z3-595214/729*ep-1/6*ep*z5+685/16*ep*
         z4+4661/27*ep*z3-59352761/17496*ep^2+5/6*ep^2*z6+45841/180*
         ep^2*z5+6073/24*ep^2*z4+310555/324*ep^2*z3-83/3*ep^2*z3^2)
      +ca^3*(2179685/3888+505/144*ep^-3+10013/432*ep^-2+39805/324*ep^-1
         -45/8*ep^-1*z3-25/8*z5-135/16*z4-14861/144*z3+14193281/5832*ep
         -125/16*ep*z6-2285/24*ep*z5-9739/64*ep*z4-266563/432*ep*z3+115/
         4*ep*z3^2+713916871/69984*ep^2-1753/32*ep^2*z7-5375/24*ep^2*z6
         -145595/144*ep^2*z5-174371/192*ep^2*z4-1053365/324*ep^2*z3+
         3327/32*ep^2*z3*z4+4709/12*ep^2*z3^2)
      +cf*ca*nf*(-995/48-1/4*ep^-2-23/8*ep^-1+2*ep^-1*z3+3*z4+11*z3-
         3891/32*ep+14*ep*z5+33/2*ep*z4+277/4*ep*z3-40473/64*ep^2+30*
         ep^2*z6+77*ep^2*z5+1659/16*ep^2*z4+2931/8*ep^2*z3-52*ep^2*z3^2
         )
      +mncxi*ca^2*nf*(-4153/1152-5/48*ep^-3-23/96*ep^-2-67/64*ep^-1+1/4*
         ep^-1*z3+3/8*z4+67/16*z3-111169/6912*ep+17/4*ep*z5+397/64*ep*
         z4+3713/288*ep*z3-2884297/41472*ep^2+10*ep^2*z6+1855/48*ep^2*
         z5+7357/384*ep^2*z4+102221/1728*ep^2*z3-19/2*ep^2*z3^2)
      +mncxi*ca^3*(-28801/2304+25/24*ep^-3+341/192*ep^-2+325/128*ep^-1-
         ep^-1*z3+5/16*z5-3/2*z4-201/8*z3-1287865/13824*ep+25/32*ep*z6-
         41/8*ep*z5-1181/32*ep*z4-28999/576*ep*z3+5*ep*z3^2-42089377/
         82944*ep^2+443/64*ep^2*z7-165/16*ep^2*z6-3671/24*ep^2*z5-56975/
         768*ep^2*z4-508195/3456*ep^2*z3+1203/64*ep^2*z3*z4+213/4*ep^2*
         z3^2)
      +mncxi^2*ca^3*(9567/512-3/32*ep^-3-15/128*ep^-2+533/256*ep^-1-ep^-1*
         z3+5/8*z5-3/2*z4-6*z3+109493/1024*ep+25/16*ep*z6-71/8*ep*z5-
         1161/128*ep*z4-4129/128*ep*z3-65/16*ep*z3^2+3233309/6144*ep^2+
         697/64*ep^2*z7-315/16*ep^2*z6-10951/160*ep^2*z5-24819/512*ep^2
         *z4-46129/256*ep^2*z3-1023/64*ep^2*z3*z4-23/8*ep^2*z3^2)
      +mncxi^3*ca^3*(-973/384+1/128*ep^-3+1/96*ep^-2-17/64*ep^-1+9/64*
         ep^-1*z3+5/32*z5+27/128*z4+111/128*z3-5833/384*ep+25/64*ep*z6+
         153/64*ep*z5+669/512*ep*z4+791/192*ep*z3-7/8*ep*z3^2-29683/384
         *ep^2+359/128*ep^2*z7+45/8*ep^2*z6+7987/640*ep^2*z5+99/16*ep^2
         *z4+177/8*ep^2*z3-417/128*ep^2*z3*z4-147/32*ep^2*z3^2));
*
*   The two loop ghost propagator
*
id  mncghost2 =
*    +ca*nf*(-1/4-7/8*ep-53/16*ep^2-351/32*ep^3+8/3*ep^3*z3)
*    +ca^2*(+5/4+7/16*mncxi-1/32*mncxi^2+83/16*ep+7/32*ep*mncxi
*        +599/32*ep^2-9/64*ep^2*mncxi+3/8*ep^2*mncxi^2-3/4*ep^2*z3-3/16*ep^2*z3*mncxi^2
*        +3881/64*ep^3-383/128*ep^3*mncxi+17/8*ep^3*mncxi^2
*        -40/3*ep^3*z3-85/24*ep^3*z3*mncxi-29/48*ep^3*z3*mncxi^2
*        -9/8*ep^3*z4-9/32*ep^3*z4*mncxi^2);
      +ca*nf*(-1/4-7/8*ep-53/16*ep^2-351/32*ep^3+8/3*ep^3*z3-2269/64*
         ep^4+31/8*ep^4*z4+28/3*ep^4*z3-14231/128*ep^5+68/5*ep^5*z5+217/
         16*ep^5*z4+106/3*ep^5*z3)
      +ca^2*(5/4+83/16*ep+599/32*ep^2-3/4*ep^2*z3+3881/64*ep^3-9/8*ep^3
         *z4-40/3*ep^3*z3+24275/128*ep^4-21/4*ep^4*z5-155/8*ep^4*z4-157/
         3*ep^4*z3+148361/256*ep^5-45/4*ep^5*z6-68*ep^5*z5-2429/32*ep^5
         *z4-563/3*ep^5*z3+23/4*ep^5*z3^2)
      +mncxi*ca^2*(7/16+7/32*ep-9/64*ep^2-383/128*ep^3-85/24*ep^3*z3-3157/
         256*ep^4-163/32*ep^4*z4-5/6*ep^4*z3-22479/512*ep^5-637/40*ep^5
         *z5-73/64*ep^5*z4+3*ep^5*z3)
      +mncxi^2*ca^2*(-1/32+3/8*ep^2-3/16*ep^2*z3+17/8*ep^3-9/32*ep^3*z4-29/
         48*ep^3*z3+17/2*ep^4-21/16*ep^4*z5-59/64*ep^4*z4-9/4*ep^4*z3+
         243/8*ep^5-45/16*ep^5*z6-389/80*ep^5*z5-27/8*ep^5*z4-37/4*ep^5
         *z3+23/16*ep^5*z3^2);
*
*   The one loop ghost propagator (times ep)
*
id  mncghost1 =
*    ca*(1/2+1/4*mncxi+ep+2*ep^2-7/12*ep^3*z3*mncxi-7/6*ep^3*z3+4*ep^3);
      +ca*(1/2+ep+2*ep^2+4*ep^3-7/6*ep^3*z3+8*ep^4-13/8*ep^4*z4-7/3*
         ep^4*z3+16*ep^5-31/10*ep^5*z5-13/4*ep^5*z4-14/3*ep^5*z3)
      +mncxi*ca*(1/4-7/12*ep^3*z3-13/16*ep^4*z4-31/20*ep^5*z5);
*
*	The three loop gluon propagator
*
id	mncgluon3 = ep^3*(
*  + cf*ca*nf*(-416699/648-1/2*ep^-2*mncxi-131/18*ep^-2+4*ep^-1*z3
*    *mncxi+68*ep^-1*z3-49/12*ep^-1*mncxi-9551/108*ep^-1+26/3*z3*mncxi+
*    358*z3+6*z4*mncxi+102*z4+40*z5-1309/72*mncxi)
*  + cf*nf^2*(11536/81+16/9*ep^-2-16*ep^-1*z3+566/27*ep^-1-256/
*    3*z3-24*z4)
*  + cf^2*nf*(143/9+1/3*ep^-1+148/3*z3-80*z5)
*  + ca*nf^2*(475477/1944+2/9*ep^-3*mncxi+31/9*ep^-3+14/27*ep^-2*mncxi
*    +1021/54*ep^-2+8*ep^-1*z3+22/27*ep^-1*mncxi+8003/108*ep^-1-26/
*    3*z3*mncxi-5/3*z3+12*z4+586/243*mncxi)
*  + ca^2*nf*(-3265189/2592-73/36*ep^-3*mncxi-155/12*ep^-3-947/216
*    *ep^-2*mncxi-1/24*ep^-2*mncxi^2-16451/216*ep^-2+2/3*ep^-1*z3*mncxi-89/
*    3*ep^-1*z3-2299/432*ep^-1*mncxi-121/144*ep^-1*mncxi^2-144949/432*
*    ep^-1+2735/36*z3*mncxi+13/12*z3*mncxi^2+1913/36*z3+z4*mncxi-89/2*z4
*    +80/3*z5+14435/7776*mncxi-5503/864*mncxi^2)
*  + ca^3*(99584761/46656+665/144*ep^-3*mncxi+3325/216*ep^-3+5455/
*    864*ep^-2*mncxi+37/24*ep^-2*mncxi^2-47/96*ep^-2*mncxi^3+1/16*ep^-2*mncxi^4
*    +14017/144*ep^-2-379/24*ep^-1*z3*mncxi-1/16*ep^-1*z3*mncxi^2-77/6*
*    ep^-1*z3-1519/192*ep^-1*mncxi+281/18*ep^-1*mncxi^2-757/192*ep^-1*mncxi^3
*    +15/32*ep^-1*mncxi^4+1266119/2592*ep^-1-23483/144*z3*mncxi-247/24*
*    z3*mncxi^2+59/32*z3*mncxi^3-13/96*z3*mncxi^4-73711/216*z3-379/16*z4*mncxi
*    -3/32*z4*mncxi^2-77/4*z4+505/24*z5*mncxi-55/24*z5*mncxi^2-15/16*z5*
*    mncxi^3+35/192*z5*mncxi^4-655/12*z5-4628509/31104*mncxi+178133/1728*
*    mncxi^2-8873/384*mncxi^3+493/192*mncxi^4)
*  + nf^3*(-11656/729-8/27*ep^-3-40/27*ep^-2-424/81*ep^-1+56/
*    27*z3) );
      +nf^3*(-11656/729-8/27*ep^-3-40/27*ep^-2-424/81*ep^-1+56/27*z3-
         32800/729*ep+26/9*ep*z4+280/27*ep*z3-262432/2187*ep^2+248/45*
         ep^2*z5+130/9*ep^2*z4+2968/81*ep^2*z3)
      +ca*nf^2*(475477/1944+31/9*ep^-3+1021/54*ep^-2+8003/108*ep^-1+8*
         ep^-1*z3+12*z4-5/3*z3+8641789/11664*ep+424/9*ep*z5+1/12*ep*z4-
         3073/54*ep*z3+48869351/23328*ep^2+880/9*ep^2*z6+11761/135*ep^2
         *z5-5125/72*ep^2*z4-33007/108*ep^2*z3+400/9*ep^2*z3^2)
      +ca^2*nf*(-3265189/2592-155/12*ep^-3-16451/216*ep^-2-144949/432*
         ep^-1-89/3*ep^-1*z3+80/3*z5-89/2*z4+1913/36*z3-209763863/46656
         *ep+200/3*ep*z6-1729/9*ep*z5+3361/48*ep*z4+108479/216*ep*z3+
         1112/3*ep*z3^2-488435255/31104*ep^2+530*ep^2*z7-3655/9*ep^2*z6
         -43715/108*ep^2*z5+200507/288*ep^2*z4+3882731/1296*ep^2*z3+
         1382*ep^2*z3*z4+14198/9*ep^2*z3^2)
      +ca^3*(99584761/46656+3325/216*ep^-3+14017/144*ep^-2+1266119/2592
         *ep^-1-77/6*ep^-1*z3-655/12*z5-77/4*z4-73711/216*z3+837928219/
         93312*ep-3275/24*ep*z6-19879/36*ep*z5-144097/288*ep*z4-289517/
         144*ep*z3+2221/6*ep*z3^2+20712808243/559872*ep^2-46399/48*ep^2
         *z7-97085/72*ep^2*z6-949777/216*ep^2*z5-188339/64*ep^2*z4-
         9078377/864*ep^2*z3+22115/16*ep^2*z3*z4+55009/18*ep^2*z3^2)
      +cf*nf^2*(11536/81+16/9*ep^-2+566/27*ep^-1-16*ep^-1*z3-24*z4-256/
         3*z3+374293/486*ep-496/3*ep*z5-128*ep*z4-3464/9*ep*z3+5403341/
         1458*ep^2-1120/3*ep^2*z6-8416/9*ep^2*z5-576*ep^2*z4-14806/9*
         ep^2*z3+928/3*ep^2*z3^2)
      +cf*ca*nf*(-416699/648-131/18*ep^-2-9551/108*ep^-1+68*ep^-1*z3+40
         *z5+102*z4+358*z3-14550179/3888*ep+100*ep*z6+4228/3*ep*z5+537*
         ep*z4+3103/2*ep*z3-1720*ep*z3^2-451266347/23328*ep^2+564*ep^2*
         z7+10060/3*ep^2*z6+81394/9*ep^2*z5+55723/24*ep^2*z4+696827/108
         *ep^2*z3-6456*ep^2*z3*z4-30680/3*ep^2*z3^2)
      +cf^2*nf*(143/9+1/3*ep^-1-80*z5+148/3*z3+21037/108*ep-200*ep*z6-
         2080/3*ep*z5+74*ep*z4+4424/9*ep*z3+1360*ep*z3^2+259249/162*
         ep^2-4000/3*ep^2*z7-5200/3*ep^2*z6-34652/9*ep^2*z5+2212/3*ep^2
         *z4+80029/27*ep^2*z3+5160*ep^2*z3*z4+20096/3*ep^2*z3^2)
      +mncxi*ca*nf^2*(586/243+2/9*ep^-3+14/27*ep^-2+22/27*ep^-1-26/3*z3+
         8236/729*ep-77/6*ep*z4-278/9*ep*z3+15496/243*ep^2-1342/15*ep^2
         *z5-827/18*ep^2*z4-266/3*ep^2*z3)
      +mncxi*ca^2*nf*(14435/7776-73/36*ep^-3-947/216*ep^-2-2299/432*ep^-1+
         2/3*ep^-1*z3+z4+2735/36*z3+1491403/46656*ep-11/3*ep*z5+1799/16
         *ep*z4+6247/24*ep*z3+8057953/93312*ep^2-65/6*ep^2*z6+121129/
         180*ep^2*z5+111499/288*ep^2*z4+982813/1296*ep^2*z3+328/3*ep^2*
         z3^2)
      +mncxi*ca^3*(-4628509/31104+665/144*ep^-3+5455/864*ep^-2-1519/192*
         ep^-1-379/24*ep^-1*z3+505/24*z5-379/16*z4-23483/144*z3-
         156823589/186624*ep+2525/48*ep*z6-9049/72*ep*z5-46301/192*ep*
         z4-111229/288*ep*z3-208/3*ep*z3^2-1491363823/373248*ep^2+36679/
         96*ep^2*z7-4945/18*ep^2*z6-516715/432*ep^2*z5-661919/1152*ep^2
         *z4-4769431/5184*ep^2*z3-8843/32*ep^2*z3*z4+11329/36*ep^2*z3^2
         )
      +mncxi*cf*ca*nf*(-1309/72-1/2*ep^-2-49/12*ep^-1+4*ep^-1*z3+6*z4+26/3
         *z3-29365/432*ep+28*ep*z5+13*ep*z4+725/18*ep*z3-650845/2592*
         ep^2+60*ep^2*z6+182/3*ep^2*z5+1441/24*ep^2*z4+28253/108*ep^2*
         z3-168*ep^2*z3^2)
      +mncxi^2*ca^2*nf*(-5503/864-1/24*ep^-2-121/144*ep^-1+13/12*z3-148963/
         5184*ep-5/6*ep*z5+13/8*ep*z4+59/72*ep*z3-3601507/31104*ep^2-25/
         12*ep^2*z6+293/36*ep^2*z5+115/96*ep^2*z4+685/144*ep^2*z3+7/3*
         ep^2*z3^2)
      +mncxi^2*ca^3*(178133/1728+37/24*ep^-2+281/18*ep^-1-1/16*ep^-1*z3-55/
         24*z5-3/32*z4-247/24*z3+5198513/10368*ep-275/48*ep*z6+467/144*
         ep*z5-247/16*ep*z4-523/8*ep*z3+143/24*ep*z3^2+140395181/62208*
         ep^2-2027/48*ep^2*z7+595/72*ep^2*z6-33181/216*ep^2*z5-3101/32*
         ep^2*z4-44389/108*ep^2*z3+367/16*ep^2*z3*z4-2753/72*ep^2*z3^2)
      +mncxi^3*ca^3*(-8873/384-47/96*ep^-2-757/192*ep^-1-15/16*z5+59/32*z3
         -252431/2304*ep-75/32*ep*z6-65/24*ep*z5+177/64*ep*z4+259/16*ep
         *z3+49/8*ep*z3^2-6652091/13824*ep^2-1063/64*ep^2*z7-325/48*
         ep^2*z6+3151/144*ep^2*z5+3061/128*ep^2*z4+57377/576*ep^2*z3+
         1473/64*ep^2*z3*z4+93/4*ep^2*z3^2)
      +mncxi^4*ca^3*(493/192+1/16*ep^-2+15/32*ep^-1+35/192*z5-13/96*z3+104/
         9*ep+175/384*ep*z6+25/36*ep*z5-13/64*ep*z4-473/288*ep*z3-119/
         96*ep*z3^2+83503/1728*ep^2+2471/768*ep^2*z7+125/72*ep^2*z6-71/
         216*ep^2*z5-29/12*ep^2*z4-2203/216*ep^2*z3-1195/256*ep^2*z3*z4
         -385/72*ep^2*z3^2));
*
*   The two loop gluon propagator
*
id  mncgluon2 =
*    +nf^2*(+4/9+40/27*ep+4*ep^2+2432/243*ep^3-56/27*ep^3*z3)
*    +cf*nf*(-ep-55/6*ep^2+8*z3*ep^2-1711/36*ep^3+76/3*ep^3*z3+12*ep^3*z4)
*    +ca*nf*(-55/18-1/3*mncxi-1199/108*ep-2/9*ep*mncxi-2371/72*ep^2
*        +5/27*ep^2*mncxi-4*ep^2*z3-337315/3888*ep^3+37/81*ep^3*mncxi
*        +286/27*ep^3*z3+50/9*ep^3*z3*mncxi-6*ep^3*z4)
*    +ca^2*(+175/36+35/24*mncxi+4229/216*ep-97/144*ep*mncxi+5/8*ep*mncxi^2
*        -1/8*ep*mncxi^3+9821/144*ep^2-6121/864*ep^2*mncxi+27/8*ep^2*mncxi^2
*        -9/16*ep^2*mncxi^3-ep^2*z3-2*ep^2*z3*mncxi+1659373/7776*ep^3
*        -165073/5184*ep^3*mncxi+113/8*ep^3*mncxi^2-33/16*ep^3*mncxi^3
*        -1184/27*ep^3*z3-134/9*ep^3*z3*mncxi-3/2*ep^3*z3*mncxi^2
*        -3/2*ep^3*z4-3*ep^3*z4*mncxi);
      +nf^2*(4/9+40/27*ep+4*ep^2+2432/243*ep^3-56/27*ep^3*z3+17504/729*
         ep^4-26/9*ep^4*z4-560/81*ep^4*z3+40832/729*ep^5-248/45*ep^5*z5
         -260/27*ep^5*z4-56/3*ep^5*z3)
      +ca*nf*(-55/18-1199/108*ep-2371/72*ep^2-4*ep^2*z3-337315/3888*
         ep^3-6*ep^3*z4+286/27*ep^3*z3-5110043/23328*ep^4-28*ep^4*z5+
         517/36*ep^4*z4+3634/81*ep^4*z3-25047697/46656*ep^5-60*ep^5*z6+
         110/9*ep^5*z5+13337/216*ep^5*z4+4004/27*ep^5*z3+92/3*ep^5*z3^2
         )
      +ca^2*(175/36+4229/216*ep+9821/144*ep^2-ep^2*z3+1659373/7776*ep^3
         -3/2*ep^3*z4-1184/27*ep^3*z3+30135413/46656*ep^4-7*ep^4*z5-
         4561/72*ep^4*z4-13910/81*ep^4*z3+178854175/93312*ep^5-15*ep^5*
         z6-1876/9*ep^5*z5-107051/432*ep^5*z4-5492/9*ep^5*z3+23/3*ep^5*
         z3^2)
      +cf*nf*(-ep-55/6*ep^2+8*ep^2*z3-1711/36*ep^3+12*ep^3*z4+76/3*ep^3
         *z3-42727/216*ep^4+56*ep^4*z5+38*ep^4*z4+788/9*ep^4*z3-951775/
         1296*ep^5+120*ep^5*z6+532/3*ep^5*z5+785/6*ep^5*z4+8128/27*ep^5
         *z3-184/3*ep^5*z3^2)
      +mncxi*ca*nf*(-1/3-2/9*ep+5/27*ep^2+37/81*ep^3+50/9*ep^3*z3-169/243*
         ep^4+49/6*ep^4*z4+262/27*ep^4*z3-7871/729*ep^5+482/15*ep^5*z5+
         130/9*ep^5*z4+1532/81*ep^5*z3)
      +mncxi*ca^2*(35/24-97/144*ep-6121/864*ep^2-2*ep^2*z3-165073/5184*
         ep^3-3*ep^3*z4-134/9*ep^3*z3-3301945/31104*ep^4-14*ep^4*z5-
         1037/48*ep^4*z4-37/27*ep^4*z3-61492609/186624*ep^5-30*ep^5*z6-
         224/3*ep^5*z5-689/288*ep^5*z4+3067/81*ep^5*z3+46/3*ep^5*z3^2)
      +mncxi^2*ca^2*(5/8*ep+27/8*ep^2+113/8*ep^3-3/2*ep^3*z3+1133/24*ep^4-
         9/4*ep^4*z4-23/3*ep^4*z3+10801/72*ep^5-21/2*ep^5*z5-179/16*
         ep^5*z4-101/3*ep^5*z3)
      +mncxi^3*ca^2*(-1/8*ep-9/16*ep^2-33/16*ep^3-105/16*ep^4+23/24*ep^4*
         z3-321/16*ep^5+11/8*ep^5*z4+9/2*ep^5*z3);
*
*   The one loop gluon propagator
*
id  mncgluon1 =
*    +ca*(5/3+mncxi/2-ep*mncxi+ep*mncxi^2/4+31/9*ep-2*ep^2*mncxi+ep^2*mncxi^2/2+188/27*ep^2
*        -7/6*ep^3*z3*mncxi-35/9*ep^3*z3-4*ep^3*mncxi+ep^3*mncxi^2+1132/81*ep^3)
*    +nf*(-2/3-10/9*ep-56/27*ep^2+14/9*ep^3*z3-328/81*ep^3);
      -nf*(2/3+10/9*ep+56/27*ep^2+328/81*ep^3-14/9*ep^3*z3+1952/243*
         ep^4-13/6*ep^4*z4-70/27*ep^4*z3+11680/729*ep^5-62/15*ep^5*z5-
         65/18*ep^5*z4-392/81*ep^5*z3)
      -ca*(-5/3-31/9*ep-188/27*ep^2-1132/81*ep^3+35/9*ep^3*z3-6800/243*
         ep^4+65/12*ep^4*z4+217/27*ep^4*z3-40816/729*ep^5+31/3*ep^5*z5+
         403/36*ep^5*z4+1316/81*ep^5*z3)
      -mncxi*ca*(-1/2+ep+2*ep^2+4*ep^3+7/6*ep^3*z3+8*ep^4+13/8*ep^4*z4-7/3
         *ep^4*z3+16*ep^5+31/10*ep^5*z5-13/4*ep^5*z4-14/3*ep^5*z3)
      -mncxi^2*ca*(-1/4*ep-1/2*ep^2-ep^3-2*ep^4+7/12*ep^4*z3-4*ep^5+13/16*
         ep^5*z4+7/6*ep^5*z3);

id  ep^{1+`CUTOFF'} = 0;
*
.sort: Sub integrals;
*
*   The next factor is the conversion to MS-bar. Because there are three
*   loops we need the factor (1/(1-2*ep)-7/3*ep^3*z3+...)^3
*   We have multiplied it out here.
*   Note also that somehow the original Mincer program has a different
*   normalization for mncG311, using effectively only two powers.
*   For the comparison we have corrected that in subint.prc
*   This may have to be changed as it isn't clear to me why this has
*   been done! (But the factor 1-2*ep was needed to get the answer to
*   come out right)
*
#if `SCHEME' == 0
*
*   This is MS-bar
*
#message Answer in MS-bar
#if `LOOPS' == 0
#else
#if `LOOPS' == 1
Multiply,1
      +ep*(2)
      +ep^2*(4)
      +ep^3*(8-7/3*z3)
      +ep^4*(16-13/4*z4-14/3*z3)
      +ep^5*(32-31/5*z5-13/2*z4-28/3*z3)
      +ep^6*(64-61/6*z6-62/5*z5-13*z4-56/3*z3+49/18*z3^2)
      +ep^7*(128-127/7*z7-61/3*z6-124/5*z5-26*z4-112/3*z3+91/12*z3*z4+
         49/9*z3^2);
#else
#if `LOOPS' == 2
Multiply,1
      +ep*(4)
      +ep^2*(12)
      +ep^3*(32-14/3*z3)
      +ep^4*(80-13/2*z4-56/3*z3)
      +ep^5*(192-62/5*z5-26*z4-56*z3)
      +ep^6*(448-61/3*z6-248/5*z5-78*z4-448/3*z3+98/9*z3^2)
      +ep^7*(1024-254/7*z7-244/3*z6-744/5*z5-208*z4-1120/3*z3+91/3*z3*
         z4+392/9*z3^2);
#else
#if `LOOPS' == 3
Multiply,1
      +ep*(6)
      +ep^2*(24)
      +ep^3*(80-7*z3)
      +ep^4*(240-39/4*z4-42*z3)
      +ep^5*(672-93/5*z5-117/2*z4-168*z3)
      +ep^6*(1792-61/2*z6-558/5*z5-234*z4-560*z3+49/2*z3^2)
      +ep^7*(4608-381/7*z7-183*z6-2232/5*z5-780*z4-1680*z3+273/4*z3*z4+
         147*z3^2);
#else
#message Illegal number of loops specified: 'LOOPS'
#message Answer will be in the G-scheme anyway
#endif
#endif
#endif
#endif
#else
*#if ( `SCHEME' != 1 )
*#message Invalid value `SCHEME' for output corrected to G-scheme
*#else
#message Answer in the G-scheme
*#endif
#endif
id  ep^{1+`CUTOFF'} = 0;
#endprocedure
*--#] finish :
*--#[ gtreat :
#procedure gtreat(POWER)
Multiply d_(MU,NU)/Q.Q;
sum mu,mu1,nu,nu1,MU,NU,ga1,ga2,ro,ro1,si,si1,ka,ka1,la,la1;

id	mncVv(mnci1?,p1?,mnci2?,p2?) = p1(11)*p2(mnci2)-p1(mnci2)*p2(mnci1);
*print +f +s;
.sort
id Glonel(mu?,ro?,Q?,p1?,p2?)  =
   (-1)*nf/2
  *mncSS(mu,p1,ro,-p2)
   +1/2*ca
  *mncV3G(mu,Q,ga4,-p2,ga2,-p1)*mncV3G(ro,-Q,ga3,p1,ga5,p2)
  *mncDg(ga4,ga5,p2)*mncDg(ga2,ga3,p1)
   +(-1)*ca
  *mncVgh(p1,ro)*(-mncVgh(p2,mu))*mncDs(p1)*mncDs(p2);
.sort
repeat;
	id	mncS(mnci1?index_,?a) = g_(1,mnci1)*mncS(?a);
	id	mncS(mncp?,?a)     = g_(1,mncp) *mncS(?a)*mncpropxp(mncp);
endrepeat;
id	mncS = 1;
repeat;
	id	mncSS(mnci1?index_,?a) = g_(2,mnci1)*mncSS(?a);
	id	mncSS(mncp?,?a)     = g_(2,mncp) *mncSS(?a)*mncpropxp(mncp);
endrepeat;
id	mncSS = 1;
repeat;
	id	mncSSS(mnci1?index_,?a) = g_(3,mnci1)*mncSSS(?a);
	id	mncSSS(mncp?,?a)     = g_(3,mncp) *mncSSS(?a)*mncpropxp(mncp);
endrepeat;
id	mncSSS = 1;
id	mncVgh(mncp?,mu?) = mncp(mu);
id	mncDs(mncp?) = mncpropxp(mncp);
id	mncDL(mnci1?,mnci2?,mncp?) = (d_(mnci1,mnci2)-mncp(mnci1)*mncp(mnci2)*mncpropxp(mncp))*mncpropxp(mncp);

#call vertsub
#call ACCU(Vertex substitutions)
id	mncpropxp(mncp?) = 1/mncp.mncp;

*#call reduceto(`TOPO')
*id	g_(1,P,Q,[P+Q]) = [P+Q].[P+Q]*g_(1,P);

#call sym1(`TOPO')
id	P.P = 0;
id D = acc(4-2*ep);

#call ACCU(Vertex identities)

*tracen,3;
*tracen,2;
*tracen,1;
*id	P.P = 0;
*id D = acc(4-2*ep);
*id [D-4] = acc(-2*ep);
*id [1-ep/2] = acc(1-ep/2);

*#call ACCU(Traces)

#do mnci = 1,8
id	[P+p`mnci'] = P+p`mnci';
id	[P-p`mnci'] = P-p`mnci';
#enddo
id	[P+Q] = P+Q;
id	[P-Q] = P-Q;
id	P.P = 0;
#call ACCU(Introduce P)
#call momsubs(`TOPO')
#call ACCU(moms)
id	P = mncproexp*P;
if ( count(mncproexp,1) > `POWER' ) discard;
#do mnci = 1,8
repeat id,once,mncproexp^mncx?/[P+p`mnci'].[P+p`mnci'] =
	sump_(mncj,0,`POWER'-mncx,-2*mncproexp*P.p`mnci'/p`mnci'.p`mnci')*mncproexp^mncx/p`mnci'.p`mnci';
repeat id,once,mncproexp^mncx?/[P-p`mnci'].[P-p`mnci'] =
	sump_(mncj,0,`POWER'-mncx, 2*mncproexp*P.p`mnci'/p`mnci'.p`mnci')*mncproexp^mncx/p`mnci'.p`mnci';
#enddo
repeat id,once,mncproexp^mncx?/[P-Q].[P-Q] =
	sump_(mncj,0,`POWER'-mncx, 2*mncproexp*P.Q/Q.Q)*mncproexp^mncx/Q.Q;
repeat id,once,mncproexp^mncx?/[P+Q].[P+Q] =
	sump_(mncj,0,`POWER'-mncx,-2*mncproexp*P.Q/Q.Q)*mncproexp^mncx/Q.Q;
if ( count(mncproexp,1) != `POWER' ) discard;
id	mncproexp^`POWER' = 1;

#call ACCU(Expand in P)
#call momsubs(`TOPO')
#call sym2(`TOPO')
#call ACCU(moms)
#call harmo(P,Q,mncFFPP)
#call ACCU(Harmonics)
#endprocedure
*--#] gtreat :
*--#[ harmo :
*
#procedure harmo(P,Q,TT)
#call harmo1(`P',`Q',`TT')
#endprocedure
*
*--#] harmo :
*--#[ harmo1 :
#procedure harmo1(P,Q,TT)
*
*   Routine to generate the harmonic projection for
*   P(mnci1)*P(mnci2)*...*P(in) = TT(mnci1,mnci2,...,in) at P->Q
*   The object mnchfac1 is a table to give better speed.
*	It has been generated with the program hfac1.frm
*
id  `P'.`P' = 0;
id  `Q'.`P' = `Q'.`Q';
id  1/`Q'.`P' = 1/`Q'.`Q';
ToTensor,nosquare,`TT',`P';
*
*   Next generate the splits between indices that connect to a Q and
*   the indices that go to d_.
*
id  `TT'(?a) = sum_(mncj,0,nargs_(?a),2,`Q'.`Q'^(mncj/2)*
               acc(mnchfac1(nargs_(?a),mncj))*distrib_(1,mncj,mncdd,`TT',?a));
*
*   The indices in TT contract with Q and the indices in mncdd go to
*   d_'mncs. We do not expand the mncdd directly to make the multiplication
*   of the acc'mncs much faster.
*
tovector,`TT',`Q';
id  mncdd(?a) = dd_(?a);
id  D = acc(4-2*ep);
*
#endprocedure
#procedure harmo1x(P,Q,TT)
*
*   Routine to generate the harmonic projection for
*   P(mnci1)*P(mnci2)*...*P(in) = TT(mnci1,mnci2,...,in) at P->Q
*   The object mnchfac1 is a table to give better speed.
*	It has been generated with the program hfac1.frm
*
id	`P' = mncx*`P';
id  `P'.`P' = 0;
id  `Q'.`P' = `Q'.`Q';
id  1/`Q'.`P' = 1/`Q'.`Q'/mncx;
ToTensor,nosquare,`TT',`P';
*
*   Next generate the splits between indices that connect to a Q and
*   the indices that go to d_.
*
id  `TT'(?a) = sum_(mncj,0,nargs_(?a),2,`Q'.`Q'^(mncj/2)*
               acc(mnchfac1(nargs_(?a),mncj))*distrib_(1,mncj,mncdd,`TT',?a));
*
*   The indices in TT contract with Q and the indices in mncdd go to
*   d_'mncs. We do not expand the mncdd directly to make the multiplication
*   of the acc'mncs much faster.
*
tovector,`TT',`Q';
id  mncdd(?a) = dd_(?a);
id  D = acc(4-2*ep);
id	mncx^n? = (`P'.`Q'/`Q'.`Q')^n;
*
#endprocedure

CTable,relax,mnchfac1(0:50,0:50);
Fill mnchfac1(0,0)=
      1;
Fill mnchfac1(1,0)=
      1;
Fill mnchfac1(2,0)=
      4/3+2/9*ep+4/27*ep^2+8/81*ep^3+16/243*ep^4+32/729*ep^5+64/2187*ep^6+128/
      6561*ep^7+256/19683*ep^8;
Fill mnchfac1(2,2)=
      -1/3-2/9*ep-4/27*ep^2-8/81*ep^3-16/243*ep^4-32/729*ep^5-64/2187*ep^6-
      128/6561*ep^7-256/19683*ep^8;
Fill mnchfac1(3,0)=
      2+2/3*ep+4/9*ep^2+8/27*ep^3+16/81*ep^4+32/243*ep^5+64/729*ep^6+128/2187
      *ep^7+256/6561*ep^8;
Fill mnchfac1(3,2)=
      -1/3-2/9*ep-4/27*ep^2-8/81*ep^3-16/243*ep^4-32/729*ep^5-64/2187*ep^6-
      128/6561*ep^7-256/19683*ep^8;
Fill mnchfac1(4,0)=
      16/5+116/75*ep+1196/1125*ep^2+12176/16875*ep^3+123056/253125*ep^4+
      1238336/3796875*ep^5+12430016/56953125*ep^6+124580096/854296875*ep^7+
      1247480576/12814453125*ep^8;
Fill mnchfac1(4,2)=
      -2/5-22/75*ep-232/1125*ep^2-2392/16875*ep^3-24352/253125*ep^4-246112/
      3796875*ep^5-2476672/56953125*ep^6-24860032/854296875*ep^7-249160192/
      12814453125*ep^8;
Fill mnchfac1(4,4)=
      1/15+16/225*ep+196/3375*ep^2+2176/50625*ep^3+23056/759375*ep^4+238336/
      11390625*ep^5+2430016/170859375*ep^6+24580096/2562890625*ep^7+247480576/
      38443359375*ep^8;
Fill mnchfac1(5,0)=
      16/3+148/45*ep+1588/675*ep^2+16528/10125*ep^3+169168/151875*ep^4+
      1715008/2278125*ep^5+17290048/34171875*ep^6+173740288/512578125*ep^7+
      1742441728/7688671875*ep^8;
Fill mnchfac1(5,2)=
      -8/15-98/225*ep-1088/3375*ep^2-11528/50625*ep^3-119168/759375*ep^4-
      1215008/11390625*ep^5-12290048/170859375*ep^6-123740288/2562890625*ep^7
      -1242441728/38443359375*ep^8;
Fill mnchfac1(5,4)=
      1/15+16/225*ep+196/3375*ep^2+2176/50625*ep^3+23056/759375*ep^4+238336/
      11390625*ep^5+2430016/170859375*ep^6+24580096/2562890625*ep^7+247480576/
      38443359375*ep^8;
Fill mnchfac1(6,0)=
      64/7+1648/245*ep+129016/25725*ep^2+9613672/2701125*ep^3+697694224/
      283618125*ep^4+49885657408/29779903125*ep^5+3536215611136/3126889828125
      *ep^6+249399605667712/328323431953125*ep^7+17536500638043904/
      34473960355078125*ep^8;
Fill mnchfac1(6,2)=
      -16/21-1516/2205*ep-123292/231525*ep^2-9367864/24310125*ep^3-687208288/
      2552563125*ep^4-49440388096/268019128125*ep^5-3517368500032/
      28142008453125*ep^6-248603653001344/2954910887578125*ep^7-
      17502939406056448/310265643195703125*ep^8;
Fill mnchfac1(6,4)=
      8/105+926/11025*ep+81092/1157625*ep^2+6386864/121550625*ep^3+477728288/
      12762815625*ep^4+34752488096/1340095640625*ep^5+2488486500032/
      140710042265625*ep^6+176560043001344/14774554437890625*ep^7+
      12459230606056448/1551328215978515625*ep^8;
Fill mnchfac1(6,6)=
      -1/105-142/11025*ep-13864/1157625*ep^2-1162288/121550625*ep^3-90226096/
      12762815625*ep^4-6712496032/1340095640625*ep^5-487263833344/
      140710042265625*ep^6-34860681000448/14774554437890625*ep^7-
      2472496702018816/1551328215978515625*ep^8;
Fill mnchfac1(7,0)=
      16+472/35*ep+38464/3675*ep^2+2929288/385875*ep^3+215266096/40516875*
      ep^4+15505796032/4254271875*ep^5+1104009833344/446698546875*ep^6+
      78069351000448/46903347421875*ep^7+5498197102018816/4924851479296875*
      ep^8;
Fill mnchfac1(7,2)=
      -8/7-276/245*ep-23372/25725*ep^2-1815224/2701125*ep^3-134861408/
      283618125*ep^4-9775819136/29779903125*ep^5-698642203712/3126889828125*
      ep^6-49514308555904/328323431953125*ep^7-3491813179347968/
      34473960355078125*ep^8;
Fill mnchfac1(7,4)=
      2/21+242/2205*ep+21764/231525*ep^2+1742288/24310125*ep^3+131636096/
      2552563125*ep^4+9635496032/268019128125*ep^5+692602833344/
      28142008453125*ep^6+49256281000448/2954910887578125*ep^7+
      3480844802018816/310265643195703125*ep^8;
Fill mnchfac1(7,6)=
      -1/105-142/11025*ep-13864/1157625*ep^2-1162288/121550625*ep^3-90226096/
      12762815625*ep^4-6712496032/1340095640625*ep^5-487263833344/
      140710042265625*ep^6-34860681000448/14774554437890625*ep^7-
      2472496702018816/1551328215978515625*ep^8;
Fill mnchfac1(8,0)=
      256/9+75808/2835*ep+19246768/893025*ep^2+4489358368/281302875*ep^3+
      1001728100368/88610405625*ep^4+218025485306368/27912277771875*ep^5+
      46771949116202368/8792367498140625*ep^6+9948328840277498368/
      2769595761914296875*ep^7+2105225038258224794368/872422665003003515625*
      ep^8;
Fill mnchfac1(8,2)=
      -16/9-5368/2835*ep-1414288/893025*ep^2-336272488/281302875*ep^3-
      75848735488/88610405625*ep^4-16613136791488/27912277771875*ep^5-
      3577389080927488/8792367498140625*ep^6-762630247578863488/
      2769595761914296875*ep^7-161605130889556799488/872422665003003515625*
      ep^8;
Fill mnchfac1(8,4)=
      8/63+3044/19845*ep+844124/6251175*ep^2+206121824/1969120125*ep^3+
      47199849824/620272839375*ep^4+10430561637824/195385944403125*ep^5+
      2258069814165824/61546572486984375*ep^6+482928265426893824/
      19387170333400078125*ep^7+102534337388988621824/6106958655021024609375*
      ep^8;
Fill mnchfac1(8,6)=
      -2/189-866/59535*ep-256496/18753525*ep^2-64996496/5907360375*ep^3-
      15212278496/1860818518125*ep^4-3406285030496/586157833209375*ep^5-
      743347417642496/184639717460953125*ep^6-159757805782954496/
      58161511000200234375*ep^7-34020869150852266496/18320875965063073828125*
      ep^8;
Fill mnchfac1(8,8)=
      1/945+496/297675*ep+159496/93767625*ep^2+42546496/29536801875*ep^3+
      10286568496/9304092590625*ep^4+2351196330496/2930789166046875*ep^5+
      519799077642496/923198587304765625*ep^6+112626244782954496/
      290807555001001171875*ep^7+24105887996752266496/91604379825315369140625
      *ep^8;
Fill mnchfac1(9,0)=
      256/5+82976/1575*ep+21820976/496125*ep^2+5190442976/156279375*ep^3+
      1171598464976/49228003125*ep^4+256775705086976/15506820984375*ep^5+
      55317926550958976/4884648610078125*ep^6+11796339993920830976/
      1538664312174609375*ep^7+2500202948465524702976/484679258335001953125*
      ep^8;
Fill mnchfac1(9,2)=
      -128/45-45968/14175*ep-12519368/4465125*ep^2-3033399368/1406514375*ep^3
      -691968210368/443052028125*ep^4-152606739906368/139561388859375*ep^5-
      33000199172202368/43961837490703125*ep^6-7053176967987498368/
      13847978809571484375*ep^7-1496962668112324794368/4362113325015017578125
      *ep^8;
Fill mnchfac1(9,4)=
      8/45+3188/14175*ep+907988/4465125*ep^2+225339488/1406514375*ep^3+
      52120755488/443052028125*ep^4+11590175991488/139561388859375*ep^5+
      2518875627927488/43961837490703125*ep^6+540004288348863488/
      13847978809571484375*ep^7+114822835610756799488/4362113325015017578125*
      ep^8;
Fill mnchfac1(9,6)=
      -4/315-1774/99225*ep-533824/31255875*ep^2-136691824/9845600625*ep^3-
      32211509824/3101364196875*ep^4-7244605937824/976929722015625*ep^5-
      1585445081165824/307732862434921875*ep^6-341347172826893824/
      96935851667000390625*ep^7-72772040582588621824/30534793275105123046875*
      ep^8;
Fill mnchfac1(9,8)=
      1/945+496/297675*ep+159496/93767625*ep^2+42546496/29536801875*ep^3+
      10286568496/9304092590625*ep^4+2351196330496/2930789166046875*ep^5+
      519799077642496/923198587304765625*ep^6+112626244782954496/
      290807555001001171875*ep^7+24105887996752266496/91604379825315369140625
      *ep^8;
Fill mnchfac1(10,0)=
      1024/11+3941248/38115*ep+11779286528/132068475*ep^2+31395360315808/
      457617265875*ep^3+78817416774749888/1585643826256875*ep^4+
      191296333735703644768/5494255857980071875*ep^5+455196393432838909648448/
      19037596547900949046875*ep^6+1070456179753324087652748928/
      65965272038476788447421875*ep^7+2499540288103431912396110014208/
      228569667613322071970316796875*ep^8;
Fill mnchfac1(10,2)=
      -256/55-1074016/190575*ep-3316968176/660342375*ep^2-8998169551936/
      2288086329375*ep^3-22822219943433296/7928219131284375*ep^4-
      55731982644325548256/27471279289900359375*ep^5-133110230344468529882816/
      95187982739504745234375*ep^6-313736739752689367517582976/
      329826360192383942237109375*ep^7-733594852350164843943870004736/
      1142848338066610359851583984375*ep^8;
Fill mnchfac1(10,4)=
      128/495+586288/1715175*ep+1884204968/5943081375*ep^2+5224503688648/
      20592776964375*ep^3+13422543891846128/71353972181559375*ep^4+
      33033670720523533408/247241513609103234375*ep^5+79273078399635825303488/
      856691844655542707109375*ep^6+187388505060204476500634368/
      2968437241731455480133984375*ep^7+438942000623261145424679234048/
      10285635042599493238664255859375*ep^8;
Fill mnchfac1(10,6)=
      -8/495-40108/1715175*ep-135134588/5943081375*ep^2-385061648968/
      20592776964375*ep^3-1005688819949648/71353972181559375*ep^4-
      2500193390173412128/247241513609103234375*ep^5-6037463662096098209408/
      856691844655542707109375*ep^6-14326758014908152318239488/
      2968437241731455480133984375*ep^7-33639152104160915061879930368/
      10285635042599493238664255859375*ep^8;
Fill mnchfac1(10,8)=
      4/3465+22034/12006225*ep+78474124/41601569625*ep^2+231375515864/
      144149438750625*ep^3+617375290327504/499477805270915625*ep^4+
      1555697463798820544/1730690595263722640625*ep^5+3788802075628465273984/
      5996842912588798949765625*ep^6+9038836034890166469741824/
      20779060692120188360937890625*ep^7+21293799889351089933462168064/
      71999445298196452670649791015625*ep^8;
Fill mnchfac1(10,10)=
      -1/10395-6086/36018675*ep-23133196/124804708875*ep^2-71203299656/
      432448316251875*ep^3-195463728133216/1498433415812746875*ep^4-
      501804668946637376/5192071785791167921875*ep^5-1236992715223799403136/
      17990528737766396849296875*ep^6-2974072301764285772746496/
      62337182076360565082813671875*ep^7-7040976726606647517126643456/
      215998335894589358011949373046875*ep^8;
Fill mnchfac1(11,0)=
      512/3+2105024/10395*ep+6484548064/36018675*ep^2+17587269036704/
      124804708875*ep^3+44620587006331744/432448316251875*ep^4+
      109002812721985297184/1498433415812746875*ep^5+260418148499992639897024/
      5192071785791167921875*ep^6+613926138669735665097275264/
      17990528737766396849296875*ep^7+1435715640822339758986423515904/
      62337182076360565082813671875*ep^8;
Fill mnchfac1(11,2)=
      -256/33-1133152/114345*ep-3599216912/396205425*ep^2-9927387845632/
      1372851797625*ep^3-25437420674539952/4756931478770625*ep^4-
      62514193873472733472/16482767573940215625*ep^5-149901045320140230992192/
      57112789643702847140625*ep^6-354181898610712005311178112/
      197895816115430365342265625*ep^7-829425118473544161166232863232/
      685709002839966215910950390625*ep^8;
Fill mnchfac1(11,4)=
      64/165+305464/571725*ep+1005647504/1981027125*ep^2+2830303821544/
      6864258988125*ep^3+7340055442799984/23784657393853125*ep^4+
      18171877679298377824/82413837869701078125*ep^5+43771816945911945664064/
      285563948218514235703125*ep^6+103712409224436490500392704/
      989479080577151826711328125*ep^7+243292629414653284249944287744/
      3428545014199831079554751953125*ep^8;
Fill mnchfac1(11,6)=
      -32/1485-165052/5145525*ep-566368772/17829244125*ep^2-1633203887992/
      61778330893125*ep^3-4298811218276912/214061916544678125*ep^4-
      10740981158685800032/741724540827309703125*ep^5-26021186219050005844352/
      2570075533966628121328125*ep^6-61874361306552497500271872/
      8905311725194366440401953125*ep^7-145467943810349353662576814592/
      30856905127798479715992767578125*ep^8;
Fill mnchfac1(11,8)=
      2/1485+11182/5145525*ep+40241252/17829244125*ep^2+119504735272/
      61778330893125*ep^3+320436189606992/214061916544678125*ep^4+
      810100247041390912/741724540827309703125*ep^5+1977198808190427804032/
      2570075533966628121328125*ep^6+4723521815457010136388352/
      8905311725194366440401953125*ep^7+11137621874466652119234255872/
      30856905127798479715992767578125*ep^8;
Fill mnchfac1(11,10)=
      -1/10395-6086/36018675*ep-23133196/124804708875*ep^2-71203299656/
      432448316251875*ep^3-195463728133216/1498433415812746875*ep^4-
      501804668946637376/5192071785791167921875*ep^5-1236992715223799403136/
      17990528737766396849296875*ep^6-2974072301764285772746496/
      62337182076360565082813671875*ep^7-7040976726606647517126643456/
      215998335894589358011949373046875*ep^8;
Fill mnchfac1(12,0)=
      4096/13+231932416/585585*ep+9552620306048/26377676325*ep^2+
      342403963966857664/1188182430059625*ep^3+11407792075081681333952/
      53521677562035808125*ep^4+364561360009988883783267136/
      2410883965781902976990625*ep^5+11366945928654188627099169856448/
      108598268238645819598542703125*ep^6+349209203729890331065811618631480064
      /4891808992809800943816356062265625*ep^7+106324342894456741093468800006\
      23747793152/220351536081117483514207758824755078125*ep^8;
Fill mnchfac1(12,2)=
      -512/39-30913472/1756755*ep-1310118983776/79133028975*ep^2-
      47718354631206368/3564547290178875*ep^3-1605096783082101070624/
      160565032686107424375*ep^4-51595302050743047366763232/
      7232651897345708930971875*ep^5-1614544106154750292440383714176/
      325794804715937458795628109375*ep^6-49711745404714685293474542696023168/
      14675426978429402831449068186796875*ep^7-151565975049365701358874006472\
      3165441024/661054608243352450542623276474265234375*ep^8;
Fill mnchfac1(12,4)=
      256/429+16505056/19324305*ep+722647696208/870463318725*ep^2+
      26818419631574944/39210020191967625*ep^3+912369819932349930992/
      1766215359547181668125*ep^4+29533805437994496650793856/
      79559170870802798240690625*ep^5+928212986345962610005192697408/
      3583742851875312046751909203125*ep^6+
      28656904881444059534708535443897344/161429696762723431145939750054765625
      *ep^7+875179900736341930589001485004342344192/7271600690676876955968856\
      041216917578125*ep^8;
Fill mnchfac1(12,6)=
      -64/2145-4414552/96621525*ep-200547273536/4352316593625*ep^2-
      7607970101536648/196050100959838125*ep^3-262362556305459313664/
      8831076797735908340625*ep^4-8565263494376565641097952/
      397795854354013991203453125*ep^5-270635475996909892431623899136/
      17918714259376560233759546015625*ep^6-
      8383303721989095494135383714632448/807148483813617155729698750273828125
      *ep^7-256557566799785363300583207193647448064/3635800345338438477984428\
      0206084587890625*ep^8;
Fill mnchfac1(12,8)=
      32/19305+2367436/869593725*ep+112122653948/39170849342625*ep^2+
      4365158933778064/1764450908638543125*ep^3+153028898616288867152/
      79479691179623175065625*ep^4+5048541384762808600644736/
      3580162689186125920831078125*ep^5+160585687629192803262038853248/
      161268428334389042103835914140625*ep^6+
      4995383227578657727394196317822464/7264336354322554401567288752464453125
      *ep^7+153280676453923863575899556167525156352/3272220310804594630185985\
      21854761291015625*ep^8;
Fill mnchfac1(12,10)=
      -2/19305-159226/869593725*ep-7904207768/39170849342625*ep^2-
      317328063224824/1764450908638543125*ep^3-11351061489513328832/
      79479691179623175065625*ep^4-379447407147066524694976/
      3580162689186125920831078125*ep^5-12173131533692001654488077568/
      161268428334389042103835914140625*ep^6-
      380753790465560634777939201620224/7264336354322554401567288752464453125
      *ep^7-11723924089810388822690256177593196032/32722203108045946301859852\
      1854761291015625*ep^8;
Fill mnchfac1(12,12)=
      1/135135+86048/6087156075*ep+4505822764/274195945398375*ep^2+
      187659001098752/12351156360469801875*ep^3+6883116416827133536/
      556357838257362225459375*ep^4+234016557715815866651648/
      25061138824302881445817546875*ep^5+7592462315747275929147393664/
      1128878998340723294726851398984375*ep^6+
      239234390234614037993033079037952/50850354480257880810971021267251171875
      *ep^7+7401435346064935745830295952405819136/229055421756321624113018965\
      2983329037109375*ep^8;
Fill mnchfac1(13,0)=
      4096/7+244097536/315315*ep+10319742128768/14203364175*ep^2+
      375711675205023424/639790539262875*ep^3+12639066969880845261632/
      28819364841096204375*ep^4+406365756421014097219725376/
      1298168289267178526071875*ep^5+12718704458788802860399082024768/
      58475990590040056706907609375*ep^6+391667599279409513879581087908269824/
      2634050996128354354362653264296875*ep^7+1194280539988460433401894704275\
      5385688832/118650827120601721892265716290252734375*ep^8;
Fill mnchfac1(13,2)=
      -2048/91-129145088/4099095*ep-5607358794304/184643734275*ep^2-
      207285335824775072/8317277010417375*ep^3-7037777173573268255296/
      374651742934250656875*ep^4-227568776116938423114463328/
      16876187760473320838934375*ep^5-7147878038639593066291156443904/
      760187877670520737189798921875*ep^6-220601197043590946914489401032262272
      /34242662949668606606714492435859375*ep^7-67357858476983447980681792959\
      54481616896/1542460752567822384599454311773285546875*ep^8;
Fill mnchfac1(13,4)=
      256/273+17104096/12297285*ep+765124349648/553931202825*ep^2+
      28782752505588064/24951831031252125*ep^3+987765403914509727152/
      1123955228802751970625*ep^4+32153921399561393777604736/
      50628563281419962516803125*ep^5+1014182537283552715179078333248/
      2280563633011562211569396765625*ep^6+
      31382137329777004368914640422462464/102727988849005819820143477307578125
      *ep^7+959773928963943529908335743480128676352/4627382257703467153798362\
      935319856640625*ep^8;
Fill mnchfac1(13,6)=
      -128/3003-9076208/135270135*ep-419729246584/6093243231075*ep^2-
      16110167517555512/274470141343773375*ep^3-559853837941644685216/
      12363507516830271676875*ep^4-18369562166151731874761888/
      556914196095619587684834375*ep^5-582314625712167699616689097984/
      25086199963127184327263364421875*ep^6-
      18075647057179828914387662067475712/11300078773390640180215782503833593\
      75*ep^7-553906739181123164358585347906377378816/50901204834738138691781\
      992288518423046875*ep^8;
Fill mnchfac1(13,8)=
      32/15015+2413196/676350675*ep+115802553028/30466216155375*ep^2+
      4549174479503504/1372350706718866875*ep^3+160455215928334705072/
      61817537584151358384375*ep^4+5315161061687116647687296/
      2784570980478097938424171875*ep^5+169520799430411541843679699328/
      125430999815635921636316822109375*ep^6+
      5282518205329246018831770722491904/5650039386695320090107891251916796875
      *ep^7+162271788051186379781474048196059126272/2545060241736906934589099\
      61442592115234375*ep^8;
Fill mnchfac1(13,10)=
      -16/135135-1286678/6087156075*ep-64341099904/274195945398375*ep^2-
      2596614444771272/12351156360469801875*ep^3-93223663260247568896/
      556357838257362225459375*ep^4-3124164965461097406168128/
      25061138824302881445817546875*ep^5-100396845367338563439711330304/
      1128878998340723294726851398984375*ep^6-
      3143745313728152519431640569417472/508503544802578808109710212672511718\
      75*ep^7-96870339320802593250492385147964010496/229055421756321624113018\
      9652983329037109375*ep^8;
Fill mnchfac1(13,12)=
      1/135135+86048/6087156075*ep+4505822764/274195945398375*ep^2+
      187659001098752/12351156360469801875*ep^3+6883116416827133536/
      556357838257362225459375*ep^4+234016557715815866651648/
      25061138824302881445817546875*ep^5+7592462315747275929147393664/
      1128878998340723294726851398984375*ep^6+
      239234390234614037993033079037952/50850354480257880810971021267251171875
      *ep^7+7401435346064935745830295952405819136/229055421756321624113018965\
      2983329037109375*ep^8;
Fill mnchfac1(14,0)=
      16384/15+1022076928/675675*ep+8855205451264/6087156075*ep^2+
      1635953439324307456/1370979726991875*ep^3+55546394976216520160384/
      61755781802349009375*ep^4+1796409882008846330444963968/
      2781789191286811127296875*ep^5+11286825660272378214206183220352/
      25061138824302881445817546875*ep^6+1741924045311005680477599848081485696
      /5644394991703616473634256994921875*ep^7+531924554129503170093940442572\
      19513210624/254251772401289404054855106336255859375*ep^8;
Fill mnchfac1(14,2)=
      -4096/105-268698112/4729725*ep-2386708597888/42610092525*ep^2-
      447384534399600064/9596858088943125*ep^3-15326058483484843246016/
      432290472616443065625*ep^4-498414063672824065755297472/
      19472524339007677891078125*ep^5-628487173008311367973015945664/
      35085594354024034024144565625*ep^6-486034948306607465780729432149719424/
      39510764941925315315439798964453125*ep^7-148619312994140887734980080122\
      46600549376/1779762406809025828383985744353791015625*ep^8;
Fill mnchfac1(14,4)=
      2048/1365+141445376/61486425*ep+1291375944512/553931202825*ep^2+
      246065355438470432/124759155156260625*ep^3+8515645698336721669888/
      5619776144013759853125*ep^4+278713744181148773463810656/
      253142816407099812584015625*ep^5+1764366557238314519942960648768/
      2280563633011562211569396765625*ep^6+2735851247574575319483765093147653\
      12/513639944245029099100717386537890625*ep^7+83789381069916347349501286\
      10898962080768/23136911288517335768991814676599283203125*ep^8;
Fill mnchfac1(14,6)=
      -256/4095-18641632/184459275*ep-175417198288/1661793608475*ep^2-
      34050530970176704/374277465468781875*ep^3-1192272892921391011376/
      16859328432041279559375*ep^4-39314712394447268191928992/
      759428449221299437752046875*ep^5-50012267996984120317592154368/
      1368338179806937326941638059375*ep^6-
      38891479369524170034601102400817664/15409198327350872973021521596136718\
      75*ep^7-1193356154057305695136149964499439566336/6941073386555200730697\
      5444029797849609375*ep^8;
Fill mnchfac1(14,8)=
      128/45045+9844976/2029052025*ep+95771634488/18279729693225*ep^2+
      18986189701230152/4117052120156600625*ep^3+673884893287232978128/
      185452612752454075153125*ep^4+22416914835234853141398656/
      8353712941434293815272515625*ep^5+143390123242517645516785885184/
      75258599889381552981790093265625*ep^6+
      22381652458152633809256742199551232/16950118160085960270323673755750390\
      625*ep^7+688330943844787883016981341556882078208/7635180725210720803767\
      29884327776345703125*ep^8;
Fill mnchfac1(14,10)=
      -32/225225-2605388/10145260125*ep-131450513356/456993242330625*ep^2-
      1067733252543928/4117052120156600625*ep^3-192519245502228862912/
      927263063762270375765625*ep^4-6471431650173503198336768/
      41768564707171469076362578125*ep^5-208388217921353602052890327936/
      1881464997234538824544752331640625*ep^6-
      1306819568432979150552286006415104/169501181600859602703236737557503906\
      25*ep^7-201515579691228743672559196968704699392/38175903626053604018836\
      49421638881728515625*ep^8;
Fill mnchfac1(14,12)=
      16/2027025+1382774/91307341125*ep+72646040548/4112939180975625*ep^2+
      606585312860512/37053469081409405625*ep^3+111439420205448744256/
      8345367573860433381890625*ep^4+3793470123215022564169664/
      375917082364543221687263203125*ep^5+123180426927367988960114332288/
      16933184975110849420902770984765625*ep^6+
      155342678314156986445043489965568/30510212688154728486582612760350703125
      *ep^7+120195042469673264765215665166294045696/3435831326344824361695284\
      4794749935556640625*ep^8;
Fill mnchfac1(14,14)=
      -1/2027025-92054/91307341125*ep-5058699088/4112939180975625*ep^2-
      43608309564256/37053469081409405625*ep^3-8192673953041741216/
      8345367573860433381890625*ep^4-283221757477784564394944/
      375917082364543221687263203125*ep^5-9293492191158850022903427328/
      16933184975110849420902770984765625*ep^6-
      59010220866942818246118212713984/152551063440773642432913063801753515625
      *ep^7-9173512278699228577761225880206758656/343583132634482436169528447\
      94749935556640625*ep^8;
Fill mnchfac1(15,0)=
      2048+133140992/45045*ep+5900508278272/2029052025*ep^2+
      221097615608542592/91398648466125*ep^3+7574121111626553240832/
      4117052120156600625*ep^4+246347542921060776392076032/
      185452612752454075153125*ep^5+7767029312071063526660719270912/
      8353712941434293815272515625*ep^6+240289774173032122268715763323266432/
      376292999446907764908950466328125*ep^7+73481637978131998623142641840409\
      18511872/16950118160085960270323673755750390625*ep^8;
Fill mnchfac1(15,2)=
      -1024/15-69645568/675675*ep-631879955968/6087156075*ep^2-
      120036485343130816/1370979726991875*ep^3-4147530121298698460864/
      61755781802349009375*ep^4-135628804414790379674012608/
      2781789191286811127296875*ep^5-858161591138629454698283899456/
      25061138824302881445817546875*ep^6-133030183377462582396652614411965056/
      5644394991703616473634256994921875*ep^7-4073571539589120066094279893099\
      590319104/254251772401289404054855106336255859375*ep^8;
Fill mnchfac1(15,4)=
      256/105+18235072/4729725*ep+169704257824/42610092525*ep^2+
      32739238583526304/9596858088943125*ep^3+1142221030467170498336/
      432290472616443065625*ep^4+37582297269225715996899232/
      19472524339007677891078125*ep^5+238724606077404111918575630656/
      175427971770120170120722828125*ep^6+37098027944635884249653239061169664/
      39510764941925315315439798964453125*ep^7+113775578980914597409682926995\
      4210973696/1779762406809025828383985744353791015625*ep^8;
Fill mnchfac1(15,6)=
      -128/1365-9561056/61486425*ep-18295588144/110786240565*ep^2-
      17954474614737152/124759155156260625*ep^3-633322769773649480848/
      5619776144013759853125*ep^4-20985612031878553449587936/
      253142816407099812584015625*ep^5-133905332176793893499852254976/
      2280563633011562211569396765625*ep^6-
      20868923852280896329711559848044032/513639944245029099100717386537890625
      *ep^7-641188716052726292830865189850578057728/2313691128851733576899181\
      4676599283203125*ep^8;
Fill mnchfac1(15,8)=
      16/4095+1255192/184459275*ep+12377077984/1661793608475*ep^2+
      2476611609254344/374277465468781875*ep^3+88461927049944678896/
      16859328432041279559375*ep^4+2955265462648549019604352/
      759428449221299437752046875*ep^5+18956832068182634863949499136/
      6841690899034686634708190296875*ep^6+2964411523414814869316697142914304/
      1540919832735087297302152159613671875*ep^7+9127624926260914791955570063\
      1536825856/69410733865552007306975444029797849609375*ep^8;
Fill mnchfac1(15,10)=
      -8/45045-660356/2029052025*ep-6729370556/18279729693225*ep^2-
      1376089666761272/4117052120156600625*ep^3-49866050710359748288/
      185452612752454075153125*ep^4-1681834208983197679041536/
      8353712941434293815272515625*ep^5-10855838251248556331109767552/
      75258599889381552981790093265625*ep^6-
      1704479049901721625537821062084352/169501181600859602703236737557503906\
      25*ep^7-52617966340652124016355227565003834368/763518072521072080376729\
      884327776345703125*ep^8;
Fill mnchfac1(15,12)=
      2/225225+174098/10145260125*ep+9195937636/456993242330625*ep^2+
      77089103554336/4117052120156600625*ep^3+14202752012392469632/
      927263063762270375765625*ep^4+484434848685621299217728/
      41768564707171469076362578125*ep^5+15751934589965076556213465216/
      1881464997234538824544752331640625*ep^6+
      99414870367185618746383763917312/16950118160085960270323673755750390625
      *ep^7+15393563003007969102304235214078618112/38175903626053604018836494\
      21638881728515625*ep^8;
Fill mnchfac1(15,14)=
      -1/2027025-92054/91307341125*ep-5058699088/4112939180975625*ep^2-
      43608309564256/37053469081409405625*ep^3-8192673953041741216/
      8345367573860433381890625*ep^4-283221757477784564394944/
      375917082364543221687263203125*ep^5-9293492191158850022903427328/
      16933184975110849420902770984765625*ep^6-
      59010220866942818246118212713984/152551063440773642432913063801753515625
      *ep^7-9173512278699228577761225880206758656/343583132634482436169528447\
      94749935556640625*ep^8;
Fill mnchfac1(16,0)=
      65536/17+75196264448/13018005*ep+57875871822457856/9968732598825*ep^2+
      37362483254848926620672/7633706518539226125*ep^3+
      21945499113835013680434024704/5845625272169190493610625*ep^4+
      12201132004815697250304907827488768/4476375236542640158339740253125*
      ep^5+6562774638413504361334915855526075204096/3427851483011074840851031\
      194934265625*ep^6+3459319388181729219023847043597726260209380352/
      2624928690887975725504289902988837916328125*ep^7+1800929204467570939483\
      061561452801715533979799851264/2010078518977830731440792557562247466997\
      006640625*ep^8;
Fill mnchfac1(16,2)=
      -2048/17-2447901184/13018005*ep-1925778310087168/9968732598825*ep^2-
      1259745953440522719616/7633706518539226125*ep^3-
      746088682309618045037734912/5845625272169190493610625*ep^4-
      416993412638542080463173436789504/4476375236542640158339740253125*ep^5-
      225044142489744084807083745911634508288/3427851483011074840851031194934\
      265625*ep^6-118874413866532718038388750405430370583990656/2624928690887\
      975725504289902988837916328125*ep^7-61968404235518181035637346386288452\
      843577469038592/2010078518977830731440792557562247466997006640625*ep^8;
Fill mnchfac1(16,4)=
      1024/255+1276226816/195270075*ep+41121672409088/5981239559295*ep^2+
      682355539174170147008/114505597778088391875*ep^3+
      407879273785189582693772864/87684379082537857404159375*ep^4+
      229319351125278753617686516874816/67145628548139602375096103796875*ep^5
      +24845810687833729610895677465758697152/1028355444903322452255309358480\
      2796875*ep^6+65779224340389357671023551354237421533529088/3937393036331\
      9635882564348544832568744921875*ep^7+3434229729956030761628209651332940\
      1028496927990784/30151177784667460971611888363433712004955099609375*
      ep^8;
Fill mnchfac1(16,6)=
      -256/1785-333059264/1366890525*ep-55045592329888/209343384575325*ep^2-
      185643166225862781152/801539184446618743125*ep^3-
      112124035530936525145504736/613790653577765001829115625*ep^4-
      63462742214773088988567874516064/470019399836977216625672726578125*ep^5
      -6905703340416942609714357629708156416/71984881143232571657871655093619\
      578125*ep^6-18333429627409618009730143220814164811203072/27561751254323\
      7451177950439813827981214453125*ep^7-9588367091935314485157738637152833\
      036885012028416/211058244492672226801283218544035984034685697265625*
      ep^8;
Fill mnchfac1(16,8)=
      128/23205+174069472/17769576825*ep+29573508614576/2721463999479225*ep^2
      +101531720737639386976/10420009397806043660625*ep^3+
      62042743775518910662573648/7979278496510945023778503125*ep^4+
      35385998929483485926862837993472/6110252197880703816133745445515625*
      ep^5+773946824719343250512309981851034368/18716069097240468631046630324\
      3410903125*ep^6+10306448256457131859150762097430461891777536/3583027663\
      062086865313355717579763755787890625*ep^7+54012848805142645947421449599\
      25557876177661772288/27437571784047389484166818410724677924509140644531\
      25*ep^8;
Fill mnchfac1(16,10)=
      -16/69615-22779704/53308730475*ep-3987420244048/8164391998437675*ep^2-
      13963726285198013672/31260028193418130981875*ep^3-
      8646420710171918577783296/23937835489532835071335509375*ep^4-
      4975010395779169010000873554304/18330756593642111448401236336546875*
      ep^5-547211579378320120852582387612089856/28074103645860702946569945486\
      51163546875*ep^6-1462904146674907860454127658866212731713792/1074908298\
      9186260595940067152739291267363671875*ep^7-7685140095541589758228227088\
      81668517230608715776/82312715352142168452500455232174033773527421933593\
      75*ep^8;
Fill mnchfac1(16,12)=
      8/765765+11946772/586396035225*ep+432009005716/17961662396562885*ep^2+
      7733720815921990336/343860310127599440800625*ep^3+
      4861593329686368646132288/263316190384861185784690603125*ep^4+
      2825945017535701058300936006272/201638322530063225932413599702015625*
      ep^5+312951422168309626261015125821369984/30881514010446773241226940035\
      162799015625*ep^6+840382639608688303387866669353379723037696/
      118239912881048866555340738680132203941000390625*ep^7+44276024223343832\
      4151757692627869788034573564928/905439868873563852977505007553914371508\
      80164126953125*ep^8;
Fill mnchfac1(16,14)=
      -2/3828825-3139846/2931980176125*ep-2940494702944/2245207799570360625*
      ep^2-86344119864019552/68772062025519888160125*ep^3-
      1380696594790769492126272/1316580951924305928923453015625*ep^4-
      812215167174920624589041469376/1008191612650316129662067998510078125*
      ep^5-453385872459557342035111641356383744/77203785026116933103067350087\
      9069975390625*ep^6-48962872632914273729863678788534410106368/
      118239912881048866555340738680132203941000390625*ep^7-12943708763923138\
      0449313953150718473286194836992/452719934436781926488752503776957185754\
      400820634765625*ep^8;
Fill mnchfac1(16,16)=
      1/34459425+1655008/26387821585125*ep+1611063707152/20206870196133245625
      *ep^2+243275770764654464/3094742791148394967205625*ep^3+
      793843892172937871410336/11849228567318753360311077140625*ep^4+
      473651791152994731083469173248/9073724513852845166958611986590703125*
      ep^5+266993598880031227711792795283997952/69483406523505239792760615079\
      11629778515625*ep^6+29024866388598628266903417391614998202368/
      1064159215929439798998066648121189835469003515625*ep^7+7706644760298526\
      1655104362919187047253339824896/407447940993103733839877253399261467178\
      9607385712890625*ep^8;
Fill mnchfac1(17,0)=
      65536/9+77820325888/6891885*ep+61109998518578176/5277564317025*ep^2+
      39955008832559536602112/4041374039226649125*ep^3+
      23662077982138671952596553984/3094742791148394967205625*ep^4+
      13225884902343267962156434980425728/2369845713463750672062215428125*
      ep^5+7138499064172458233255011552746366716416/1814744902770569033391722\
      397318140625*ep^6+3771078397469506523844018416850978814707131392/
      1389668130470104795855212301582325955703125*ep^7+1965966368075617909393\
      400678371707668592204536383744/1064159215929439798998066648121189835469\
      003515625*ep^8;
Fill mnchfac1(17,2)=
      -32768/153-40386197504/117162045*ep-32374195525856768/89718593389425*
      ep^2-21435800053741986415616/68703358666853035125*ep^3-
      12796614604490143754389699712/52610627449522714442495625*ep^4-
      7189365956030892506494701513739904/40287377128883761425057662278125*
      ep^5-3893094521575640669582559606059597333888/3085066334709967356765928\
      0754408390625*ep^6-2060903641459127995883355605880443969258550656/
      23624358217991781529538609126899541246953125*ep^7-107581658856733537527\
      1266092452738432891353682491392/180907066708004765829671330180602272029\
      73059765625*ep^8;
Fill mnchfac1(17,4)=
      1024/153+1311077632/117162045*ep+1074442195362304/89718593389425*ep^2+
      721291890912662995648/68703358666853035125*ep^3+
      434415461693112953503577536/52610627449522714442495625*ep^4+
      245458945877429555880438613045312/40287377128883761425057662278125*ep^5
      +133406945654853136165628992346777625664/308506633470996735676592807544\
      08390625*ep^6+70788136904309538109846918016540759571616768/236243582179\
      91781529538609126899541246953125*ep^7+370072107462622675678949982125815\
      96949939747224576/18090706670800476582967133018060227202973059765625*
      ep^8;
Fill mnchfac1(17,6)=
      -512/2295-681676928/1757430675*ep-114404277306496/269155780168275*ep^2-
      389848209260201134304/1030550380002795526875*ep^3-
      237109871777499004859142272/789159411742840716637434375*ep^4-
      134834169002827879637283378650528/604310656933256421375864934171875*
      ep^5-14717378397837986833235489987375383552/925519900412990207029778422\
      63225171875*ep^6-39150752875094904384040984004997883314374144/
      354365373269876722943079136903493118704296875*ep^7-20502290458157603747\
      657175380729945416051988037632/2713606000620071487445069952709034080445\
      95896484375*ep^8;
Fill mnchfac1(17,8)=
      128/16065+177420512/12302014725*ep+30541961017648/1884090461177925*ep^2
      +105814896878864290976/7213852660019568688125*ep^3+
      65065278266406430770445328/5524115882199885016462040625*ep^4+
      37267450308683735656387277990912/4230174598532794949631054539203125*
      ep^5+4087031872111342434521921124425427712/6478639302890931449208448958\
      42576203125*ep^6+10905440347897776860071559904765769989979136/
      2480557612889137060601553958324451830930078125*ep^7+5722072937968539586\
      718057993073412058039880800768/1899524200434050041211548966896323856312\
      171275390625*ep^8;
Fill mnchfac1(17,10)=
      -64/208845-92480176/159926191425*ep-3272097892456/4898635199062605*ep^2
      -57726021598310162488/93780084580254392945625*ep^3-
      35932990435451675506578304/71813506468598505214006528125*ep^4-
      20750357955942148773908633992576/54992269780926334345203709009640625*
      ep^5-2287975903134625671966378179279251712/8422231093758210883970983645\
      953490640625*ep^6-6126586276819614056071677485635106605466368/
      32247248967558781787820201458217873802091015625*ep^7-322192303362032915\
      9331931158828041983614936807424/246938146056426505357501365696522101320\
      58226580078125*ep^8;
Fill mnchfac1(17,12)=
      8/626535+12070532/479778574275*ep+2199114365068/73479527985939075*ep^2+
      7917421371358060736/281340253740763178836875*ep^3+
      4996864152467959886614208/215440519405795515642019584375*ep^4+
      2912663384302320871953006664832/164976809342779003035611127028921875*
      ep^5+323170582499832654704315508221491072/25266693281274632651912950937\
      860471921875*ep^6+868936918397445237354647254518234205162496/9674174690\
      2676345363460604374653621406273046875*ep^7+4581905024789261159317315160\
      91518215961555330048/74081443816927951607250409708956630396174679740234\
      375*ep^8;
Fill mnchfac1(17,14)=
      -4/6891885-6313726/5277564317025*ep-1187463189632/808274807845329825*
      ep^2-4372036935410188768/3094742791148394967205625*ep^3-
      2802791427492560234391424/2369845713463750672062215428125*ep^4-
      1651448017376055016693662314176/1814744902770569033391722397318140625*
      ep^5-184578401995843141349583614511017984/27793362609402095917104246031\
      6465191140625*ep^6-498715586473425720102579943880039687362048/
      1064159215929439798998066648121189835469003515625*ep^7-2638133367918105\
      89470806860838968070816486636544/81489588198620746767975450679852293435\
      7921477142578125*ep^8;
Fill mnchfac1(17,16)=
      1/34459425+1655008/26387821585125*ep+1611063707152/20206870196133245625
      *ep^2+243275770764654464/3094742791148394967205625*ep^3+
      793843892172937871410336/11849228567318753360311077140625*ep^4+
      473651791152994731083469173248/9073724513852845166958611986590703125*
      ep^5+266993598880031227711792795283997952/69483406523505239792760615079\
      11629778515625*ep^6+29024866388598628266903417391614998202368/
      1064159215929439798998066648121189835469003515625*ep^7+7706644760298526\
      1655104362919187047253339824896/407447940993103733839877253399261467178\
      9607385712890625*ep^8;
Fill mnchfac1(18,0)=
      262144/19+2034644402176/92147055*ep+30936861817158135808/
      1340696801869425*ep^2+389006823534136572381927424/
      19506515043187264467375*ep^3+4411972764703764644295250155246592/
      283810723348879615922328920625*ep^4+47098469043699353462338273266177106\
      095616/4129314052739841182648481912145659375*ep^5+484620769213642826023\
      838328042569508681648268288/60079599336330165181385480277630196174640625
      *ep^6+4874745723163842251060940661762734062329725148514980864/
      874130233329912509862349393791190256299799885859375*ep^7+48351715319853\
      094401014608187285635081297916958063619339328512/1271818842439172860918\
      0097687193705325692908932306981640625*ep^8;
Fill mnchfac1(18,2)=
      -65536/171-1578956541952/2487970485*ep-24478928777902468096/
      36198813650474475*ep^2-311541619373746828516953088/
      526675906166056140619125*ep^3-3560801001029768347812904674613504/
      7662889530419749629902880856875*ep^4-3820207393791438457555348439490798\
      4456192/111491479423975711931509011627932803125*ep^5-394344599789802850\
      928182944119464217157059616256/1622149182080914459897407967496015296715\
      296875*ep^6-3974810989967477756222337731425894369456973827153082368/
      23601516299907637766283433632362136920094596918203125*ep^7-
      39476656024162957827198643396308762424013280590339254630668544/
      343391087458576672447862637554230043793708541172288504296875*ep^8;
Fill mnchfac1(18,4)=
      32768/2907+817522927616/42295498245*ep+12939145474166025728/
      615379832058066075*ep^2+166844842036665778207913984/
      8953490404822954390525125*ep^3+1923195492796174763514586560083072/
      130269122017135743708348974566875*ep^4+20747013447444262440004518677833\
      889814656/1895355150207587102835653197674857653125*ep^5+214928735088963\
      834694681539392749632345852219008/2757653609537554581825593544743226004\
      4160046875*ep^6+2171353327553304020853785534609928921319846264475633024/
      401225777098429842026818371750156327641608147609453125*ep^7+
      21596691614234611926367138316877961928962837319852420217089792/
      5837648486795803431613664838421910744493045199928904573046875*ep^8;
Fill mnchfac1(18,6)=
      -1024/2907-26478761728/42295498245*ep-428426650475075584/
      615379832058066075*ep^2-5603489347772047996313152/
      8953490404822954390525125*ep^3-65195369424101497881333209751616/
      130269122017135743708348974566875*ep^4-70762931456225161293619642005377\
      6450368/1895355150207587102835653197674857653125*ep^5-73600028139832129\
      29285150767301371157483193024/27576536095375545818255935447432260044160\
      046875*ep^6-74547580144924953522123724585880788491482210065766272/
      401225777098429842026818371750156327641608147609453125*ep^7-
      742686152100074790426692597726975875154114767322214299051776/
      5837648486795803431613664838421910744493045199928904573046875*ep^8;
Fill mnchfac1(18,8)=
      512/43605+13736004992/634432473675*ep+45507364852724608/
      1846139496174198225*ep^2+3022448339780186174642336/
      134302356072344315857876875*ep^3+35529365905738996344298256883392/
      1954036830257036155625234618503125*ep^4+3882770407993495550131808459578\
      15080032/28430327253113806542534797965122864796875*ep^5+811323619995742\
      150633831079124708302821031104/8272960828612663745476780634229678013248\
      0140625*ep^6+41208583874280726851602594782877965184636168627462016/
      6018386656476447630402275576252344914624122214141796875*ep^7+
      411314124941989597556868416122441294589233743508517853723392/
      87564727301937051474204972576328661167395677998933568595703125*ep^8;
Fill mnchfac1(18,10)=
      -128/305235-3567025568/4441027315725*ep-12118249261002736/
      12922976473219387575*ep^2-818581689145647773134784/
      940116492506410211005138125*ep^3-9733054543333586398424321329808/
      13678257811799253089376642329521875*ep^4-107184361466633176751823683492\
      260058528/199012290771796645797743585755860053578125*ep^5-4502184562439\
      1195352582539661377015000066368/115821451600577292436674928879215492185\
      472196875*ep^6-11471872609064246981604643340705371703192953984613504/
      42128706595335133412815929033766414402368855498992578125*ep^7-
      114750703524148940725467183634046732953280971288024008996608/
      612953091113559360319434808034300628171769745992534980169921875*ep^8;
Fill mnchfac1(18,12)=
      64/3968055+1855141264/57733355104425*ep+6474377595893864/
      167998694151852038475*ep^2+445521299740006052164792/
      12221514402583332743066795625*ep^3+5365152482729309272764735047344/
      177817351553390290161896350283784375*ep^4+59596832566224817667443769387\
      442197344/2587159780033356395370666614826180696515625*ep^5+125894709465\
      769185343319295049358211511449536/7528394354037524008383870377149006992\
      055692796875*ep^6+6440439951334831207753902862466518169259260809524352/
      547673185739356734366607077438963387230795121486903515625*ep^7+
      64583459953408656776295721131181581279084604045727611634944/
      7968390184476271684152652504445908166233006697902954742208984375*ep^8;
Fill mnchfac1(18,14)=
      -8/11904165-241592348/173200065313275*ep-867881471536036/
      503996082455556115425*ep^2-60951525736652864663624/
      36664543207749998229200386875*ep^3-744545423425232962201730265488/
      533452054660170870485689050851353125*ep^4-83523365455460394473227838032\
      86687008/7761479340100069186111999844478542089546875*ep^5-3552443112981\
      566950416994040378464513309376/4517036612422514405030322226289404195233\
      415678125*ep^6-912734984349841948260769773194310360079600792732544/
      1643019557218070203099821232316890161692385364460710546875*ep^7-
      9179588294219621902927653386567087691955638382373442668288/
      23905170553428815052457957513337724498699020093708864226626953125*ep^8;
Fill mnchfac1(18,16)=
      4/130945815+126086914/1905200718446025*ep+467295389736836/
      5543956907011117269675*ep^2+33566185881196766955112/
      403309975285249980521204255625*ep^3+416670202284887226800887448464/
      5867972601261879575342579559364884375*ep^4+4727291699282205785242523716\
      414949344/85376272741100761047231998289263962985015625*ep^5+10131651346\
      706934247853186597315422737887168/2484370136832382922766677224459172307\
      37837862296875*ep^6+523372408482516280758493347169505929660111840396672/
      18073215129398772234098033555485791778616239009067816015625*ep^7+
      5282050981223507998278874466184441796550304220801793438464/
      262956876087716965577037532646714969485689221030797506492896484375*ep^8
      ;
Fill mnchfac1(18,18)=
      -1/654729075-32976682/9526003592230125*ep-632098776065332/
      138598922675277931741875*ep^2-1862244159376232552168/
      403309975285249980521204255625*ep^3-117714943858916843543175683056/
      29339863006309397876712897796824421875*ep^4-135309269439038601403272679\
      0280955232/426881363705503805236159991446319814925078125*ep^5-
      14633251134911390307284448204707320220500672/62109253420809573069166930\
      61147930768445946557421875*ep^6-304267604151494739414145840406768228890\
      93236915584/18073215129398772234098033555485791778616239009067816015625
      *ep^7-1541860353104292900240818336551244878294407639583739086336/
      1314784380438584827885187663233574847428446105153987532464482421875*
      ep^8;
Fill mnchfac1(19,0)=
      131072/5+1047433306112/24249225*ep+16213367928007141376/352814947860375
      *ep^2+206247925186001974627463168/5133293432417701175625*ep^3+
      2357123617857184999963740483106304/74687032460231477874297084375*ep^4+
      25289472617501961380594504604509557663232/10866615928262739954338110295\
      12015625*ep^5+261072211731185835277436236662544995221740660736/
      15810420877981622416154073757271104256484375*ep^6+263166797812450841638\
      2727375803606070962416231604866048/230034271928924344700618261523997435\
      868368391015625*ep^7+26138357366187444326010970015686719481597013354485\
      832982572544/3346891690629402265573709917682554033077081297975521484375
      *ep^8;
Fill mnchfac1(19,2)=
      -65536/95-540445044736/460735275*ep-8520537863685833728/
      6703484009347125*ep^2-109648692270186369778453504/
      97532575215936322336875*ep^3-1262526939764871765435267689043712/
      1419053616744398079611644603125*ep^4-1361153525078002771775579006415533\
      6951296/20646570263699205913242409560728296875*ep^5-1409593431569064855\
      64005380909750409211379511808/30039799668165082590692740138815098087320\
      3125*ep^6-1423775720474802703109284268414158057590960147662086144/
      4370651166649562549311746968955951281498999429296875*ep^7-
      14159456297683109454951966075645527485769648274717373887346432/
      63590942121958643045900488435968526628464544661534908203125*ep^8;
Fill mnchfac1(19,4)=
      16384/855+418577093632/12439852425*ep+6728742401875323136/
      180994068252372375*ep^2+87675412151643615089592448/
      2633379530830280703095625*ep^3+1017763898031418495480481514444544/
      38314447652098748149514404284375*ep^4+110313176300930515938524318598533\
      85962752/557457397119878559657545058139664015625*ep^5+11463620414296630\
      3474201910247871247682621796096/811074591040457229948703983748007648357\
      6484375*ep^6+1160493093936392762677436661878299731729440928194432128/
      118007581499538188831417168161810684600472984591015625*ep^7+
      11557627494789322884231866691305339374732131279104551362813184/
      1716955437292883362239313187771150218968542705861442521484375*ep^8;
Fill mnchfac1(19,6)=
      -8192/14535-216299710976/211477491225*ep-3549492390075026048/
      3076899160290330375*ep^2-46875556885329468963107264/
      44767452024114771952625625*ep^3-549000628753802900399660924652992/
      651345610085678718541744872834375*ep^4-59855237481686117782477677305955\
      79449536/9476775751037935514178265988374288265625*ep^5-6244084249897199\
      8970573198375004503491093531328/137882680476877729091279677237161300220\
      800234375*ep^6-633686854225154061517678255634389345200090318351941504/
      2006128885492149210134091858750781638208040738047265625*ep^7-
      6321157810017530671436145869128639980402288938965376577312512/
      29188242433979017158068324192109553722465225999644522865234375*ep^8;
Fill mnchfac1(19,8)=
      256/14535+6992158528/211477491225*ep+117279928141637344/
      3076899160290330375*ep^2+1571509178872435748461792/
      44767452024114771952625625*ep^3+18585315136107950916082906324576/
      651345610085678718541744872834375*ep^4+20394809794644614279723213586055\
      8099808/9476775751037935514178265988374288265625*ep^5+21367357024213278\
      60345620378208137308639797184/13788268047687772909127967723716130022080\
      0234375*ep^6+21745746125044107825588302725415450228556605668592512/
      2006128885492149210134091858750781638208040738047265625*ep^7+
      217310587459763059941890240041146717052642925196192090171136/
      29188242433979017158068324192109553722465225999644522865234375*ep^8;
Fill mnchfac1(19,10)=
      -128/218025-3620235296/3172162368375*ep-62151480080644496/
      46153487404354955625*ep^2-169207919683712107074304/
      134302356072344315857876875*ep^3-10113289751292428201975231045168/
      9770184151285180778126173092515625*ep^4-1117836265199944366892577808119\
      29609696/142151636265569032712673989825614323984375*ep^5-11767945036426\
      36413933852869500435205907118016/20682402071531659363691951585574195033\
      12003515625*ep^6-2402865450085159662516231339336838550103364837831552/
      6018386656476447630402275576252344914624122214141796875*ep^7-
      120308818718649791134401152000499428284347516040029208395008/
      437823636509685257371024862881643305836978389994667842978515625*ep^8;
Fill mnchfac1(19,12)=
      32/1526175+938314904/22205136578625*ep+16513016129930384/
      323074411830484689375*ep^2+45734218580042122048168/
      940116492506410211005138125*ep^3+2765969442797383177713126333392/
      68391289058996265446883211647609375*ep^4+308204472883493966332107560277\
      75871904/995061453858983228988717928779300267890625*ep^5+32622885280619\
      4434808019078603864945792691264/144776814500721615545843661099019365231\
      84024609375*ep^6+133704638538296766400224400866312453688264997005184/
      8425741319067026682563185806753282880473771099798515625*ep^7+
      33551026676225479289184018229157791653003469480010551722752/
      3064765455567796801597174040171503140858848729962674900849609375*ep^8;
Fill mnchfac1(19,14)=
      -16/19840275-487064572/288666775522125*ep-8801628298624732/
      4199967353796300961875*ep^2-24837256966756922410232/
      12221514402583332743066795625*ep^3-1521973390453239157741161182896/
      889086757766951450809481751418921875*ep^4-17113608652903011315753496903\
      979224672/12935798900166781976853333074130903482578125*ep^5-18226789163\
      9383003153544274269381501253124672/188209858850938100209596759428725174\
      801392319921875*ep^6-375060258942409768043447198973965220079660665968768
      /547673185739356734366607077438963387230795121486903515625*ep^7-
      18874341170647991146318938553857230848937013835249852370176/
      39841950922381358420763262522229540831165033489514773711044921875*ep^8;
Fill mnchfac1(19,16)=
      2/59520825+63307994/866000326566375*ep+1176962026868324/
      12599902061388902885625*ep^2+3390061290904475641768/
      36664543207749998229200386875*ep^3+210798263558388165553708055312/
      2667260273300854352428445254256765625*ep^4+2394785807744709177661642923\
      876059744/38807396700500345930559999222392710447734375*ep^5+25687071448\
      863285164627141940209109898925504/5646295765528143006287902782861755244\
      04176959765625*ep^6+10622289623869367793478591186379265007969060258688/
      328603911443614040619964246463378032338477072892142109375*ep^7+
      2681270510211465981079637182184063521758212398470585942272/
      119525852767144075262289787566688622493495100468544321133134765625*ep^8
      ;
Fill mnchfac1(19,18)=
      -1/654729075-32976682/9526003592230125*ep-632098776065332/
      138598922675277931741875*ep^2-1862244159376232552168/
      403309975285249980521204255625*ep^3-117714943858916843543175683056/
      29339863006309397876712897796824421875*ep^4-135309269439038601403272679\
      0280955232/426881363705503805236159991446319814925078125*ep^5-
      14633251134911390307284448204707320220500672/62109253420809573069166930\
      61147930768445946557421875*ep^6-304267604151494739414145840406768228890\
      93236915584/18073215129398772234098033555485791778616239009067816015625
      *ep^7-1541860353104292900240818336551244878294407639583739086336/
      1314784380438584827885187663233574847428446105153987532464482421875*
      ep^8;
Fill mnchfac1(20,0)=
      1048576/21+1721904332800/20369349*ep+27108206457847021568/
      296364556202715*ep^2+348687951609134651084066816/4311966483230868987525
      *ep^3+573499901426290890388104664567808/8962443895227777344915650125*
      ep^4+1731292929627261545714560281195489901568/
      36511829518962806246576050591603725*ep^5+448254550256421612121106702037\
      098017287971345408/13280753537504562829569421956107727575446875*ep^6+
      4527923305084205289330354266250316795391005344415164416/193228788420296\
      449548519339680157846129429448453125*ep^7+45032415643567800099927538793\
      236810071970263051068845269579776/2811389020128697903081916330853345387\
      784748290299438046875*ep^8;
Fill mnchfac1(20,2)=
      -131072/105-1107974152192/509233725*ep-17748654471475030016/
      7409113905067875*ep^2-230841703227490779469733888/
      107799162080771724688125*ep^3-382427720109774592621652377098752/
      224061097380694433622891253125*ep^4-28998902949973540898900819950130551\
      450112/22819893449351753904110031619752328125*ep^5-30125512158187567169\
      4816135842842396449617355776/332018838437614070739235548902693189386171\
      875*ep^6-3049108162446866078380083250756957494450757512982995968/
      4830719710507411238712983492003946153235736211328125*ep^7-
      30363415073645193244839899973763112772932594517500981005551104/
      70284725503217447577047908271333634694618707257485951171875*ep^8;
Fill mnchfac1(20,4)=
      65536/1995+570715467776/9675440775*ep+9311361165919003648/
      140773164196289625*ep^2+122551166096965355563377664/
      2048184079534662769074375*ep^3+204620344870064821382681888102656/
      4257160850233194238834933809375*ep^4+1559628916371274676507317574736578\
      8327936/433577975537683324178090600775294234375*ep^5+162570653162388327\
      373964328347602761123750588928/6308357930314667344045475429151170598337\
      265625*ep^6+1649044997442329336701565419275580775597307626221947904/
      91783674499640813535546686348074976911478988015234375*ep^7+
      16444488479289021946939224230173121499091569533144340439482112/
      1335409784561131503963910257155339059197755437892233072265625*ep^8;
Fill mnchfac1(20,6)=
      -16384/17955-441279910912/261236900925*ep-7340210736028754176/
      3800875433299819875*ep^2-97846521962236578888650368/
      55300970147435894765008125*ep^3-164763841159832979392731095695872/
      114943342956296244448543212853125*ep^4-12629475812552671945738311741463\
      678642432/11706605339517449752808446220932944328125*ep^5-13213648989214\
      6164409253116678665223267080545536/170325664118496018289227836587081606\
      155106171875*ep^6-13435906638852429383144064280664257716539364277273012\
      48/2478159211490301965459760531398024376609932676411328125*ep^7-
      13419400770015187466565990246484143573739841368913440883129344/
      36056064183150550607025576943194154598339396823090292951171875*ep^8;
Fill mnchfac1(20,8)=
      8192/305235+227651119616/4441027315725*ep+3864941716993328768/
      64614882366096937875*ep^2+52231090674315614837061824/
      940116492506410211005138125*ep^3+88767954881211688344418911759296/
      1954036830257036155625234618503125*ep^4+6846545392450351979565244404798\
      105267776/199012290771796645797743585755860053578125*ep^5+7192789505292\
      8678198097370589401094017492701248/289553629001443231091687322198038730\
      4636804921875*ep^6+7333551805631457430364358391390047591473094296902576\
      64/42128706595335133412815929033766414402368855498992578125*ep^7+
      7337346083068464833189443918348384705009941196404275914587392/
      612953091113559360319434808034300628171769745992534980169921875*ep^8;
Fill mnchfac1(20,10)=
      -256/305235-7346890048/4441027315725*ep-127460293274449504/
      64614882366096937875*ep^2-1748127083454042192669472/
      940116492506410211005138125*ep^3-3001091770262530508742744798688/
      1954036830257036155625234618503125*ep^4-2330577577795439073475790501569\
      44106528/199012290771796645797743585755860053578125*ep^5-24596768456437\
      08466439940240639110048732450944/28955362900144323109168732219803873046\
      36804921875*ep^6-25154046539747225336280134718661845849783700968164992/
      42128706595335133412815929033766414402368855498992578125*ep^7-
      252165795128494597673613534316754876991312706116749274635776/
      612953091113559360319434808034300628171769745992534980169921875*ep^8;
Fill mnchfac1(20,12)=
      128/4578525+3797601056/66615409735875*ep+67413701935912016/
      969223235491454068125*ep^2+187890548556019147716448/
      2820349477519230633015414375*ep^3+1630723033340074780579497649424/
      29310552453855542334378519277546875*ep^4+127601134419252826637696928367\
      071088256/2985184361576949686966153786337900803671875*ep^5+135360756757\
      3362478220910372230834600770809536/434330443502164846637530983297058095\
      69552073828125*ep^6+2777996129717035899555505114434658666353382367781376
      /126386119786005400238447787101299243207106566496977734375*ep^7+
      139555748203974816809086535860092795655376972767847304804608/
      9194296366703390404791522120514509422576546189888024702548828125*ep^8;
Fill mnchfac1(20,14)=
      -32/32049675-982656344/466307868151125*ep-17874653546120864/
      6784562648440178476875*ep^2-50687892815892781571944/
      19742446342634614431107900625*ep^3-3117152904988373930917104545792/
      1436217070238921574384547444599796875*ep^4-5019970364886376676866380040\
      534781792/2985184361576949686966153786337900803671875*ep^5-374921009154\
      779173796853136419239763392735744/3040313104515153926462716883079406669\
      86864516796875*ep^6-772426551642584403552139101439971861029407412703616/
      884702838502037801669134509709094702449745965478844140625*ep^7-
      38902668175298378941534481172619420696366564327815649636352/
      64360074566923732833540654843601565958035823329216172917841796875*ep^8;
Fill mnchfac1(20,16)=
      16/416645775+509235292/6062002285964625*ep+9507260365690372/
      88199314429722320199375*ep^2+5494408412188431592816/
      51330360490849997520880541625*ep^3+1712309313066167757871594850896/
      18670821913105980466999116779797359375*ep^4+278375775696277257040048996\
      3002897856/38807396700500345930559999222392710447734375*ep^5+2092694789\
      17017238626932202758621079557989312/39524070358697001044015319480032286\
      70829238718359375*ep^6+433055946712598423453083428053272914341884475960\
      576/11501136900526491421698748626218231131846697551224973828125*ep^7+
      21874704339054222433450109122610124245017609144271309099776/
      836680969370008526836028512966820357454465703279810247931943359375*ep^8
      ;
Fill mnchfac1(20,18)=
      -2/1249937325-66079334/18186006857893875*ep-1268526177612104/
      264597943289166960598125*ep^2-3741613024610828471704/
      769955407362749962813208124375*ep^3-236721468157450598995638463712/
      56012465739317941400997350339392078125*ep^4-388971949218063392738847039\
      126838112/116422190101501037791679997667178131343203125*ep^5-2945997877\
      4974242474542209177157310265510784/118572211076091003132045958440096860\
      12487716155078125*ep^6-612758098771705506813327365299986390629673669064\
      96/34503410701579474265096245878654693395540092653674921484375*ep^7-
      3105810767573960565892648847321679592710122354977207503872/
      2510042908110025580508085538900461072363397109839430743795830078125*
      ep^8;
Fill mnchfac1(20,20)=
      1/13749310575+34362352/200046075436832625*ep+679713656361172/
      2910577376180836566579375*ep^2+2050615923818229593216/
      8469509480990249590945289368125*ep^3+131922328694702874545333756656/
      616137123132497355410970853733312859375*ep^4+21941335822753927802913705\
      9552353536/1280644091116511415708479974338959444775234375*ep^5+
      16761492691577470766990888649876688290104512/13042943218370010344525055\
      4284106546137364877705859375*ep^6+3507193993073710472495383697577174902\
      1683060744192/379537517717374216916058704665201627350941019190424136328\
      125*ep^7+1784851028123415319761952252962333075628785473490761729536/
      27610471989210281385588940927905071795997368208233738181754130859375*
      ep^8;
Fill mnchfac1(21,0)=
      1048576/11+588644679680/3556553*ep+28250985333859155968/155238577058565
      *ep^2+367273591924227707607535616/2258649110263788517275*ep^3+
      4258703363965218552169776465760256/32862294282501850264690717125*ep^4+
      1845354426808603360009855613902819638272/
      19125244033742422319635074119411475*ep^5+684696581906496366680491306490\
      60337281477817344/993797883758844837586827493314183696121875*ep^6+
      4851303392664593324430377254952310596103354125154953216/101215079648726\
      711668272035070558871782082092046875*ep^7+48312058128416352349618536334\
      645868775842500814301544125925376/1472632343876936996852432363780323774\
      553915771109229453125*ep^8;
Fill mnchfac1(21,2)=
      -524288/231-907183357952/224062839*ep-14754021048736251904/
      3260010118229865*ep^2-193858898135415034891675648/
      47431631315539558862775*ep^3-323380558810322793112008904351744/
      98586882847505550794072151375*ep^4-492705518427019838933670119970220587\
      1616/2008150623542954343561682782538204875*ep^5-25671198506024294284355\
      2424150189569510477717504/146088288912550191125263641517185003329915625
      *ep^6-2603510744501510081520201271262251888443468891984360448/
      2125516672623260945033712736481736307423723932984375*ep^7-
      25959832430874879912139316815097916675050981176928756433952768/
      30925279221415676933901079639386799265632231193293818515625*ep^8;
Fill mnchfac1(21,4)=
      65536/1155+582881570816/5601570975*ep+9645295946232275968/
      81500252955746625*ep^2+128178539882387627673601024/
      1185790782888488971569375*ep^3+30776262294051978642555924291328/
      352096010169662681407400540625*ep^4+16494109199114769376621035028407759\
      333376/251018827942869292945210347817275609375*ep^5+1724440716169689545\
      80324061637970715378675112448/36522072228137547781315910379296250832478\
      90625*ep^6+1752643268090123620879117556846098042896021647599780864/
      53137916815581523625842818412043407685593098324609375*ep^7+
      17499902497876381783902445592558537576334221651706006654875392/
      773131980535391923347526990984669981640805779832345462890625*ep^8;
Fill mnchfac1(21,6)=
      -32768/21945-299804981248/106429848525*ep-5052228134581512704/
      1548504806159185875*ep^2-67958089418671625912579072/
      22530024874881290459818125*ep^3-115151193221137507765652322601088/
      46828769352565136627184271903125*ep^4-886430587389627523374967076992023\
      4732928/4769357730914516565958996608528236578125*ep^5-93010010996008658\
      494534347456113326239598166144/6939193723346134078450022972066287658170\
      9921875*ep^6-947545445115420380811625873002779642715876713497150592/
      1009620419496048948891013549828824746026268868167578125*ep^7-
      9475548386717000779863437482919242341271434157364148850520576/
      14689507630172446543603012828708729651175309816814563794921875*ep^8;
Fill mnchfac1(21,8)=
      8192/197505+231475390976/2873605910175*ep+3976274395527467648/
      41809629766298018625*ep^2+54182619479966537990320064/
      608310671621794842415089375*ep^3+92619997443753566882326475541056/
      1264376772519258688933975341384375*ep^4+7172287475508574279151405830838\
      990908736/128772658734691947280892908430262387609375*ep^5+7555492200561\
      6140775045935560695882323661748928/187358230530345620118150620245789766\
      7706167890625*ep^6+7717306939556198543182448473103119189382407542444823\
      04/27259751326393321620057365845378268142709259440524609375*ep^7+
      7730456997942282780291922809106711707370747656484583517830912/
      396616706014656056677281346375135700581733365053993222462890625*ep^8;
Fill mnchfac1(21,10)=
      -4096/3357585-119243277568/48851300472975*ep-2090192153086694464/
      710763706027066316625*ep^2-28880211145163281885646752/
      10341281417570512321056519375*ep^3-49841037737540172100911837903808/
      21494405132827397711877580803534375*ep^4-388474064722432424752968422262\
      3640625248/2189135198489763103775179443314460589359375*ep^5-41102235709\
      438244416392485670701497109152501504/3185089919015875542008560544178426\
      0351004854140625*ep^6-4210429009209111958341140144788541892774740912969\
      47072/463415772548686467540975219371430558426057410488918359375*ep^7-
      4225580170938807841656567054415155605849446416649240395222016/
      6742484002249152963513782888377306909889467205917884781869140625*ep^8;
Fill mnchfac1(21,12)=
      128/3357585+3842748704/48851300472975*ep+68812892706774992/
      710763706027066316625*ep^2+965081322716881776628256/
      10341281417570512321056519375*ep^3+240414689495033378639166358832/
      3070629304689628244553940114790625*ep^4+1321105311649341266706314670897\
      25545344/2189135198489763103775179443314460589359375*ep^5+1404579040735\
      745128555314302367128657309554112/3185089919015875542008560544178426035\
      1004854140625*ep^6+14434838898369171713503253257357388492985338064713216
      /463415772548686467540975219371430558426057410488918359375*ep^7+
      145175642452536726724681817693085195894500664936499837422848/
      6742484002249152963513782888377306909889467205917884781869140625*ep^8;
Fill mnchfac1(21,14)=
      -64/50363775-1983452368/732769507094625*ep-36330333663324088/
      10661455590405994749375*ep^2-20711198350860867625096/
      6204768850542307392633911625*ep^3-913198628779710271342249191712/
      322416076992410965678163712053015625*ep^4-72255686107778850880600724288\
      512651168/32837027977346446556627691649716908840390625*ep^5-77237529596\
      6148708487462555120968656395550848/477763487852381331301284081626763905\
      265072812109375*ep^6-15933199085275150306749004391613650186336010185680\
      64/1390247317646059402622925658114291675278172231466755078125*ep^7-
      80315175818040989496284421366907148276045409200147151061504/
      101137260033737294452706743325659603648342008088768271728037109375*ep^8
      ;
Fill mnchfac1(21,16)=
      16/352546425+512491132/5129386549662375*ep+9615191105989852/
      74630189132841963245625*ep^2+27887520217551628264496/
      217166909768980758742186906875*ep^3+1743008475888948342613676731696/
      15798387772628137318230021890597765625*ep^4+283933534900478457251175730\
      7105008576/32837027977346446556627691649716908840390625*ep^5+2137493285\
      10078341274475564205857199574793792/33443444149666693191089885713873473\
      36855509684765625*ep^6+442757881937362795941795493048310776518620931706\
      112/9731731223522415818360479606800041726947205620267285546875*ep^7+
      22379480133000793019518609444922735045380942799176318571776/
      707960820236161061168947203279617225538394056621377902096259765625*ep^8
      ;
Fill mnchfac1(21,18)=
      -8/4583103525-265199126/66682025145610875*ep-5104405088818496/
      970192458726945522193125*ep^2-15086325039451857458392/
      2823169826996749863648429789375*ep^3-955926935707120779347563538048/
      205379041044165785136990284577770953125*ep^4-22464372180256075600883769\
      2833329824/60983051957929115033737141635188544989296875*ep^5-1191942506\
      35957202917982026082827929833609216/43476477394566701148416851428035515\
      379121625901953125*ep^6-49611852567356684462971185052101901849067143830\
      656/25302501181158281127737246977680108490062734612694942421875*ep^7-
      12577873499853465621447680608821047223689638950576935333888/
      9203490663070093795196313642635023931999122736077912727251376953125*
      ep^8;
Fill mnchfac1(21,20)=
      1/13749310575+34362352/200046075436832625*ep+679713656361172/
      2910577376180836566579375*ep^2+2050615923818229593216/
      8469509480990249590945289368125*ep^3+131922328694702874545333756656/
      616137123132497355410970853733312859375*ep^4+21941335822753927802913705\
      9552353536/1280644091116511415708479974338959444775234375*ep^5+
      16761492691577470766990888649876688290104512/13042943218370010344525055\
      4284106546137364877705859375*ep^6+3507193993073710472495383697577174902\
      1683060744192/379537517717374216916058704665201627350941019190424136328\
      125*ep^7+1784851028123415319761952252962333075628785473490761729536/
      27610471989210281385588940927905071795997368208233738181754130859375*
      ep^8;
Fill mnchfac1(22,0)=
      4194304/23+55449783894016/171037867*ep+62148447012132082024448/
      171707978824687305*ep^2+18773640843278935056606227120128/
      57460238696848076587523025*ep^3+5041448329983946376409848137016655847424
      /19228454342647346039835476757497625*ep^4+25238480256124189915183972630\
      4251570188585611264/1286919319489547947773009251294531753830125*ep^5+
      43208773716402314365724491929872346118892115358985406464/30760984761789\
      6628576382938294123183144388655759375*ep^6+7055575633943985521776427984\
      4250954317974421889323077578840680448/720568419326061833440507481192222\
      873142781540892410480640625*ep^7+16181562945767082198249595678159584966\
      229990518254062270620009427482558464/2411305150482219003295571823534660\
      33673603580611065323016294704765625*ep^8;
Fill mnchfac1(22,2)=
      -1048576/253-14216885108736/1881416537*ep-16185865646494692933632/
      1888787767071560355*ep^2-4939611430400022842765148762112/
      632062625665328842462753275*ep^3-13354979068614011175609644733439262351\
      36/211512997769120806438190244332473875*ep^4-67159019652865511163476517\
      453240188013484381184/14156112514385027425503101764239849292131375*ep^5
      -1647410043030677534927152648628894859139012208775308288/48338690339955\
      1844905744617319336430655467887621875*ep^6-1886680815034362267600423558\
      8805377049968025711086365724991803392/792625261258668016784558229311445\
      1604570596949816515287046875*ep^7-4332371444032648976993321536562355203\
      205872647571700668618051366770436096/2652435665530440903625129005888126\
      370409639386721718553179241752421875*ep^8;
Fill mnchfac1(22,4)=
      524288/5313+21882303447040/118529241831*ep+8441631814548135510016/
      39664543108502767455*ep^2+2604324848699357943102458894336/
      13273315138971905691717818775*ep^3+101321343397331258710314036451040088\
      064/634538993307362419314570732997421625*ep^4+7167983351101874733275580\
      885186961755973448192/59455672560417115187113027409807367026951775*ep^5
      +43217128157661483349691907463896316521620720902405037056/4974051235981\
      38848408011211221597187144476456362909375*ep^6+101220778718754193957835\
      45026680906427500925975370792121015858176/16645130486432028352475722815\
      5403483695982535946146821027984375*ep^7+2327483107930623031029447693908\
      068315110981216893208857769798191670704128/5570114897613925897612770912\
      3650653778602427121156089616764076800859375*ep^8;
Fill mnchfac1(22,6)=
      -65536/26565-14041955012608/2963231045775*ep-5510969387405605061632/
      991613577712569186375*ep^2-1719912378720983085985487541248/
      331832878474297642292945469375*ep^3-67436913073875512185452978431109980\
      416/15863474832684060482864268324935540625*ep^4-11989820446380228297642\
      1606865374599415825975808/371597953502606969919456421311296043918448593\
      75*ep^5-29016837689164161775189595060355807051671221091269944832/
      12435128089953471210200280280539929678611911409072734375*ep^6-
      6811807389802122178732566258387011533412346560330940870933352448/
      4161282621608007088118930703885087092399563398653670525699609375*ep^7-
      15686518669925017070642123963711966949727678571266698672583854580201285\
      12/13925287244034814744031927280912663444650606780289022404191019200214\
      84375*ep^8;
Fill mnchfac1(22,8)=
      32768/504735+7213354010624/56301389869725*ep+2882530576483548740096/
      18840657976538814541125*ep^2+910725032979212811114814879744/
      6304824691011655203565963918125*ep^3+3600991813154125875858030821225567\
      2448/301406021820997149174421098173775271875*ep^4+643886989601390919023\
      46347637310732074867965824/70603611165495324284696720049146248344505232\
      8125*ep^5+15642470921943931856938603300843064339023769706166925696/
      236267433709115952993805325330258663893626316772381953125*ep^6+
      3681408200048536173870140688996917817468341631373457500145417344/
      79064369810552134674259683373816654755591704574419739988292578125*ep^7+
      849165085153384701505330568733922017253737755038354934328966405795911936
      /2645804576366614801366066183373406054483615288254914256796293648040820\
      3125*ep^8;
Fill mnchfac1(22,10)=
      -8192/4542615-5562313573888/1520137526482575*ep-2265307307282547469952/
      508697765366547992610375*ep^2-725158267118879226334680363328/
      170230266657314690496281025789375*ep^3-28933362872653294042582652859042\
      781376/8137962589166923027709369650691932340625*ep^4-520568399479444585\
      25126066033796625460291034688/19062975014683737556868114413269487053016\
      412859375*ep^5-12699645677051080547117814240906398768455443776609817152/
      6379220710146130730832743783916983925127910552854312734375*ep^6-
      2997156183542770355057412467341911688319522091800720039993638528/
      2134737984884907636205011451093049678400976023509332979683899609375*
      ep^7-692594161767105476650721023393198875426448954652785042562449437759\
      775232/7143672356189859963688378695108196347105761278288268493349992849\
      71021484375*ep^8;
Fill mnchfac1(22,12)=
      4096/77224455+2861785174784/25842337950203775*ep+1188986936108863222336/
      8647862011231315874376375*ep^2+385983943086118989229844859104/
      2893914533174349738436777438419375*ep^3+1555210495275940680030962700858\
      3453568/138345364015837691471059284061762849790625*ep^4+281713858062515\
      97501802751344470734586349460384/32407057524962353846675794502558127990\
      1279018609375*ep^5+6904367130707357876096731176747405396863924588894719\
      936/108446752072484222424156644326588726727174479398523316484375*ep^6+
      1634488245776370730354781894480284309016219452018015302205800704/
      36290545743043429815485194668581844532816592399658660654626293359375*
      ep^7+378471434448098261068199724437509183440965236805850726470019666794\
      891776/1214424300552276193827024378168393379007979417309005643869498784\
      4507365234375*ep^8;
Fill mnchfac1(22,14)=
      -128/77224455-92107901152/25842337950203775*ep-39082274505059099408/
      8647862011231315874376375*ep^2-12879402295078230664046341312/
      2893914533174349738436777438419375*ep^3-5244850139955206056350879524507\
      37104/138345364015837691471059284061762849790625*ep^4-95714287544315204\
      8186356880274330079482289952/324070575249623538466757945025581279901279\
      018609375*ep^5-235780074498604806653923410329417045348156910237070208/
      108446752072484222424156644326588726727174479398523316484375*ep^6-
      56009087696952918821607453299750505976160652342605513171514112/
      36290545743043429815485194668581844532816592399658660654626293359375*
      ep^7-129986599627900941191427499608626911071089603544500933782433538521\
      76128/12144243005522761938270243781683933790079794173090056438694987844\
      507365234375*ep^8;
Fill mnchfac1(22,16)=
      64/1158366825+47481744944/387635069253056625*ep+20600421127746044632/
      129717930168469738115645625*ep^2+1379856370959773100966653608/
      8681743599523049215310332315258125*ep^3+2842308011395603339349332996328\
      38192/2075180460237565372065889260926442746859375*ep^4+5229583433396126\
      73898170304288726912690368704/48610586287443530770013691753837191985191\
      85279140625*ep^5+129556865019910360937793395257963062233911832671889152/
      1626701281087263336362349664898830900907617190977849747265625*ep^6+
      6178973026605180073447709730277917995771105275815181701982336/
      108871637229130289446455584005745533598449777198975981963878880078125*
      ep^7+718857239447401504929750515975865886520509204675192192685503893986\
      0224/182163645082841429074053656725259006851196912596350846580424817667\
      610478515625*ep^8;
Fill mnchfac1(22,18)=
      -16/8108567775-12252881156/2713445484771396375*ep-5442983541528756628/
      908025511179288166809519375*ep^2-370984610303709300320350024/
      60772205196661344507172326206806875*ep^3-541741770621990984093718349138\
      928736/101683842551640703231228573785395694596109375*ep^4-2052696215611\
      2824890581469675838190357916928/486105862874435307700136917538371919851\
      9185279140625*ep^5-35823780429819038845933790843591299215393469184799808
      /11386908967610843354536447654291816306353320336844948230859375*ep^6-
      1716001042158541367435802944625404585706866545090085772827776/
      762101460603912026125189088040218735189148440392831873747152160546875*
      ep^7-200222931152107875625740012190623574341011542396537243364571503687\
      0656/127514551557989000351837559707681304795837838817445592606297372367\
      3273349609375*ep^8;
Fill mnchfac1(22,20)=
      8/105411381075+6332372458/35274791302028152875*ep+2884496441406398444/
      11804331645330746168523751875*ep^2+40068509905531577410044976/158007733\
      511319495718648048137697875*ep^3+296656458978635304970034464545198368/
      1321889953171329142005971459210144029749421875*ep^4+1135439219076379187\
      7198815926286703123515104/631937621736765900010177992799883495807494086\
      28828125*ep^5+19957842628748162433017141557085541526770654970625984/
      148029816578940963608973819505793611982593164378984327001171875*ep^6+
      960749422411326962127316323139621115039082055218351727963136/
      9907318987850856339627458144522843557458929725106814358712978087109375*
      ep^7+112477023998933856225717946706488642089736673767354808047329324792\
      0128/165768917025385700457388827619985696234589190462679270388186584077\
      52553544921875*ep^8;
Fill mnchfac1(22,22)=
      -1/316234143225-819433166/105824373906084458625*ep-383413267272815608/
      35412994935992238505571255625*ep^2-27181237845756473555515984/237011600\
      2669792435779720722065468125*ep^3-40872020098055931250366286319046096/
      3965669859513987426017914377630432089248265625*ep^4-1582125028602134326\
      134975265181511626491808/1895812865210297700030533978399650487422482258\
      86484375*ep^5-2803571040256992259702239379013002878077204164761088/
      444089449736822890826921458517380835947779493136952981003515625*ep^6-
      135730095541911318785533488604728353864597845869606565651456/
      29721956963552569018882374433568530672376789175320443076138934261328125
      *ep^7-15952154034855432115299092116682401763343879522848611912292836768\
      9216/497306751076157101372166482859957088703767571388037811164559752232\
      57660634765625*ep^8;
Fill mnchfac1(23,0)=
      1048576/3+42519666950144/66927861*ep+16117764640820675428352/
      22396692890176605*ep^2+4916822256033218930723353403392/
      7494813743067140424459525*ep^3+1329188644911598202334432724426974703616/
      2508059262084436439978540446630125*ep^4+6684197693303930940701575099321\
      0783356571215872/167859041672549732318218597994938924412625*ep^5+
      11477890342832701810009410232447772818601434197345468416/40123023602334\
      342857789078907929110844920259446875*ep^6+18779326906107534051855169992\
      397295067871529657013180421112399872/9398718512948632610093575841637689\
      6496884548812053540953125*ep^7+4312444116882701323622337753946689131515\
      343177276795762766459656974155776/3145180631063763917342050204610426526\
      1774380079704172567342787578125*ep^8;
Fill mnchfac1(23,2)=
      -524288/69-21768376582144/1539340803*ep-8375602077385422217216/
      515123936474061915*ep^2-2580272243587601374400838496256/
      172380716090544229762569075*ep^3-702136083773405432930109465944111392768
      /57685363027942038119506430272492875*ep^4-35464139171644473586629231542\
      322423028880960512/3860757958468643843319027753883595261490375*ep^5-
      6107507124361145387865589070758260748688938202817707008/922829542853689\
      885729148814882369549433165967278125*ep^6-10011693173734259888153457740\
      562951073050996201969723497684688896/2161705257978185500321522443576668\
      619428344622677231441921875*ep^7-23018875386818583567529536957406861420\
      98314614663823442353115628543541248/72339154514466570098867154706039810\
      1020810741833195969048884114296875*ep^8;
Fill mnchfac1(23,4)=
      131072/759+5575008821248/16932748833*ep+2178701295587778279424/
      5666363301214681065*ep^2+678208019413177329505688858624/
      1896187876995986527388259825*ep^3+1858501600461628204774155352676723307\
      52/634538993307362419314570732997421625*ep^4+94314235964746337981245997\
      30291304463861871104/42468337543155082276509305292719547876394125*ep^5+
      1629348373216418551652563707856703809682953192335665152/101511249713905\
      88743020636963706065043764825640059375*ep^6+267641002300229953708376641\
      8988816532682844054420393064977808384/237787578377600405035367468793433\
      54813711790849449545861140625*ep^7+616182429670124749665126302173024097\
      673192140929347793001505890683382272/7957306996591322710875387017664379\
      111228918160165155659537725257265625*ep^8;
Fill mnchfac1(23,6)=
      -65536/15939-2857126383616/355587725493*ep-1134879542427718740992/
      118993629325508302365*ep^2-357188547865480560572893852672/
      39819945416915717075153456325*ep^3-140881361081385936278502498027720404\
      48/1903616979922087257943712198992264875*ep^4-5030008069968843820082382\
      281017387077860976128/891835088406256727806695411147110505404276625*
      ep^5-6103490354990504280213952370180361692140664253673759232/
      1492215370794416545224033633664791561433429369088728125*ep^6-
      1435465381523446227300469984373468216879830400928659888971466752/
      499353914592960850574271684466210451087947607838440463083953125*ep^7-
      330965649960041702771072736883850061433560628268704282206790507185495296
      /1671034469284177769283831273709519613358072813634682688502922304025781\
      25*ep^8;
Fill mnchfac1(23,8)=
      8192/79695+1831393409536/8889693137325*ep+739942524904759583744/
      2974840733137707559125*ep^2+235623535029629047272867730816/
      995498635422892926878836408125*ep^3+93682914676148940087435818609981918\
      72/47590424498052181448592804974806621875*ep^4+168160247096686642863145\
      60283190599155321505536/111479386050782090975836926393388813175534578125
      *ep^5+4096046612954382604986251504590101321781433941752134144/
      37305384269860413630600840841619789035835734227218203125*ep^6+
      965700773042486821644628177135979426359920021388979663217913216/
      12483847864824021264356792111655261277198690195961011577098828125*ep^7+
      223011603001471090505261327061416340682544508458599840837162894098562304
      /4177586173210444423209578184273799033395182034086706721257305760064453\
      125*ep^8;
Fill mnchfac1(23,10)=
      -4096/1514205-939743767808/168904169609175*ep-386522588838556133632/
      56521973929616443623375*ep^2-124619433330379533202860160448/
      18914474073034965610697891754375*ep^3-713956974388359284595787048185700\
      288/129174009351855921074751899217332259375*ep^4-9024169471663381838066\
      971604906370551893193408/2118108334964859728540901601474387450335156984\
      375*ep^5-2206962348592962423137354906048766578341138269627840832/
      708802301127347858981415975990775991680878950317145859375*ep^6-
      521720720547260077831250949899489689173818250876445792907435648/
      237193109431656404022779050121449964266775113723259219964877734375*ep^7
      -1206946572548426153631409648546531729433665996855951552085139836060677\
      12/79374137290998444040981985501202181634508458647647427703888809441224\
      609375*ep^8;
Fill mnchfac1(23,12)=
      1024/13627845+723845084096/4560412579447725*ep+303348998066114433184/
      1526093296099643977831125*ep^2+99104158213634143122765270176/
      510690799971944071488843077368125*ep^3+40114816284533352217379827941640\
      84192/24413887767500769083128108952075797021875*ep^4+729017132425649450\
      4369169602590177376686926496/571889250440512126706043432398084611590492\
      38578125*ep^5+1790753865071395315279594978383125109153700162510187584/
      19137662130438392192498231351750951775383731658562938203125*ep^6+
      424582575345642586355961520438373878561210541521823024043320576/
      6404213954654722908615034353279149035202928070527998939051698828125*
      ep^7+984144383816195154043869150746699202659626106293928385785441036737\
      08544/21431017068569579891065136085324589041317283834864805480049978549\
      13064453125*ep^8;
Fill mnchfac1(23,14)=
      -512/231673365-372001090528/77527013850611325*ep-158997215879735569712/
      25943586033693947623129125*ep^2-52681886037342346539747501568/
      8681743599523049215310332315258125*ep^3-3076981832204068338373832353577\
      01008/59290870292501867773311121740755507053125*ep^4-394187550936056140\
      6886762921062081164462936928/972211725748870615400273835076743839703837\
      055828125*ep^5-972971431409164673146292110227091066502112899598902912/
      325340256217452667272469932979766180181523438195569949453125*ep^6-
      231443904354681177698700016401150300849192084981694550211904768/
      108871637229130289446455584005745533598449777198975981963878880078125*
      ep^7-537631149143236978669978382956861094198468670282126076425190762068\
      36992/36432729016568285814810731345051801370239382519270169316084963533\
      522095703125*ep^8;
Fill mnchfac1(23,16)=
      16/231673365+11959673384/77527013850611325*ep+5218799045569783936/
      25943586033693947623129125*ep^2+1755459894013456818451059704/
      8681743599523049215310332315258125*ep^3+
      72554030069535752494552348768961968/41503609204751307441317785218528854\
      9371875*ep^4+133805860378888157790961535029886365752008384/972211725748\
      870615400273835076743839703837055828125*ep^5+33203900989168781648065234\
      904854991307205271110961536/3253402562174526672724699329797661801815234\
      38195569949453125*ep^6+792708015797780265423470706273734786508876599423\
      4751337170304/108871637229130289446455584005745533598449777198975981963\
      878880078125*ep^7+18458918782441769386961985516372545123149982456077909\
      38473626831288576/36432729016568285814810731345051801370239382519270169\
      316084963533522095703125*ep^8;
Fill mnchfac1(23,18)=
      -8/3475100475-6158310988/1162905207759169875*ep-2746787050051437524/
      389153790505409214346936875*ep^2-187801761526841858742203048/
      26045230798569147645930996945774375*ep^3-
      39269674604059214268914222105985824/62255413807126961161976677827793282\
      40578125*ep^4-73035479277414057528318685430352458034836608/145831758862\
      33059231004107526151157595557555837421875*ep^5-182313199629667736512663\
      89633155947151057261441459264/48801038432617900090870489946964927027228\
      51572933549241796875*ep^6-874053565686311290393498666229714934658830359\
      209784817593984/3266149116873908683393667520172366007953493315969279458\
      91636640234375*ep^7-102044349837343482209174379921380684818494959064351\
      6382756547608291328/546490935248524287222160970175777020553590737789052\
      539741274453002831435546875*ep^8;
Fill mnchfac1(23,20)=
      2/24325703325+1587383362/8140336454314189125*ep+724639681443448196/
      2724076533537864500428558125*ep^2+50414624944191277558592816/1823166155\
      89984033521516978620420625*ep^3+74747185933232136723910458944129792/
      305051527654922109693685721356187083788328125*ep^4+28636482022688957141\
      43569100709471740271456/14583175886233059231004107526151157595557555837\
      421875*ep^5+5036974612827574755265838725329433102805105633953856/
      34160726902832530063609342962875448919059961010534844692578125*ep^6+
      48518591666427746522354091486589539274560643959911820233728/
      457260876362347215675113452824131241113489064235699124248291296328125*
      ep^7+284104138512701871467501557194485176766075215652124344589672036856\
      832/3825436546739670010555126791230439143875135164523367778188921171019\
      820048828125*ep^8;
Fill mnchfac1(23,22)=
      -1/316234143225-819433166/105824373906084458625*ep-383413267272815608/
      35412994935992238505571255625*ep^2-27181237845756473555515984/237011600\
      2669792435779720722065468125*ep^3-40872020098055931250366286319046096/
      3965669859513987426017914377630432089248265625*ep^4-1582125028602134326\
      134975265181511626491808/1895812865210297700030533978399650487422482258\
      86484375*ep^5-2803571040256992259702239379013002878077204164761088/
      444089449736822890826921458517380835947779493136952981003515625*ep^6-
      135730095541911318785533488604728353864597845869606565651456/
      29721956963552569018882374433568530672376789175320443076138934261328125
      *ep^7-15952154034855432115299092116682401763343879522848611912292836768\
      9216/497306751076157101372166482859957088703767571388037811164559752232\
      57660634765625*ep^8;
Fill mnchfac1(24,0)=
      16777216/25+17366559184912384/13943304375*ep+33374413283574558039605248/
      23329888427267296875*ep^2+51388229764415700241549844693549056/
      39035488245141356377393359375*ep^3+699102033793153959975854773105822721\
      42098432/65314043283448865624441157464326171875*ep^4+882770314528551867\
      80029445308724636035459266770427904/10928323025556623197800689973628836\
      2247802734375*ep^5+1520327694244988289926166464482031364650297330164279\
      1425552384/26121760157769754464706431580683014872994960577392578125*
      ep^6+124614374756261869573642536171933098278729066897800141420624940463\
      988736/3059478682600466344431502552616435432841293906642367869567871093\
      75*ep^7+143261542288116035630869881515621696332587616362998264228062944\
      268018875257147392/5119109100038678250882243171566449424116923841097684\
      33713261516571044921875*ep^8;
Fill mnchfac1(24,2)=
      -1048576/75-1109777639604224/41829913125*ep-2163270667311263626313728/
      69989665281801890625*ep^2-3362580067075132823134658137071616/
      117106464735424069132180078125*ep^3-46038150980098947145816902319951920\
      74186752/195942129850346596873323472392978515625*ep^4-58382764417923112\
      67587421620328656385351071491794944/32784969076669869593402069920886508\
      6743408203125*ep^5-1008351141369762085874363677139625419703391032097304\
      620724224/78365280473309263394119294742049044618984881732177734375*ep^6
      -8280489563101270499816498437338889573434969299418742791823871364868096/
      917843604780139903329450765784930629852388171992710360870361328125*ep^7
      -9531133324768911144570116691518996032521314478740271720885121515907192\
      424845312/1535732730011603475264672951469934827235077152329305301139784\
      549713134765625*ep^8;
Fill mnchfac1(24,4)=
      524288/1725+567602397478912/962088001875*ep+1122927088396648522686464/
      1609762301481443484375*ep^2+1762980368412942069384954078507008/
      2693448688914753590040141796875*ep^3+2430160271877632332748289205190748\
      340299776/4506668986557971728086439865038505859375*ep^4+309592673055262\
      1270505975210069553065942453252918272/754054288763407000648247608180389\
      6995098388671875*ep^5+5363500666303174233064469485898407918283291100409\
      36775078912/1802401450886113058064743779067128026236652279840087890625*
      ep^6+441337232388478998931099301481473291029717424294145253237485720914\
      1248/211104029099432177765773676130534044866049279558323383000183105468\
      75*ep^7+508662923785642101187070793952851039123076022461401169329569384\
      8375610751021056/353218527902668799310874778838085010264067745035740219\
      26215044643402099609375*ep^8;
Fill mnchfac1(24,6)=
      -131072/18975-145223466262528/10582968020625*ep-
      291776653876385611913216/17707385316295878328125*ep^2-
      462935986800603525774110865661952/29627935578062289490441559765625*ep^3
      -642748380897236068970162766542701626489344/495733588521376890089508385\
      15423564453125*ep^4-822865517063911307294927287502098931283514146426368/
      82945971763974770071307236899842866946082275390625*ep^5-204325540713922\
      87012590247688576120915974453057666981397504/28323451371067490912445973\
      67105486898371882154034423828125*ep^6-117948836483425570871511930144865\
      2661120421984389832991102606278976512/232214432009375395542351043743587\
      449352654207514155721300201416015625*ep^7-13613625746149511099123837953\
      43232738649448813917806232689525132295115434801664/38854038069293567924\
      1962256721893511290474519539314241188365491077423095703125*ep^8;
Fill mnchfac1(24,8)=
      65536/398475+74352282456064/222242328433125*ep+151812421253969222622208/
      371855091642213444890625*ep^2+243563803671443546017933042994176/
      622186647139308079299272755078125*ep^3+48682912308434151749099266693325\
      836439296/148720076556413067026852515546270693359375*ep^4+4385847850990\
      72903946768832054823142382739886761984/17418654070434701714974519748967\
      00205867727783203125*ep^5+535542267051284391980146420502135852504439842\
      698986050472448/2914483146082844814890690690751546018424666736501422119\
      140625*ep^6+63241406147526266585507959642791501929775105371279697558339\
      7168147456/487650307219688330638937191861533643640573835779727014730422\
      9736328125*ep^7+7310695258799301200024278659735968371001675023583002709\
      91269708501803625343232/81593479945516492640812073911597637370999649103\
      25599064955675312625885009765625*ep^8;
Fill mnchfac1(24,10)=
      -8192/1992375-9522482405888/1111211642165625*ep-19773201880291424884736/
      1859275458211067224453125*ep^2-32099698092641797157463570411392/
      3110933235696540396496363775390625*ep^3-6469000490712535990591857792568\
      828946432/743600382782065335134262577731353466796875*ep^4-5861146633683\
      3341491034609209990010193613787587328/870932703521735085748725987448350\
      1029338638916015625*ep^5-7184620847140775032186517390201139558008843866\
      6533523490816/145724157304142240744534534537577300921233336825071105957\
      03125*ep^6-850623990018470837167155715780576852919690984525755982129666\
      06049152/24382515360984416531946859593076682182028691788986350736521148\
      681640625*ep^7-98499996255893965453113112185589348901524253091699152285\
      395310321849708447744/4079673997275824632040603695579881868549982455162\
      7995324778376563129425048828125*ep^8;
Fill mnchfac1(24,12)=
      4096/37855125+4881476518144/21113021201146875*ep+
      10316478284726114560768/35326233706010277264609375*ep^2+
      16958348815596777287143833570496/59107731478234267533430911732421875*
      ep^3+3447843480754722082198545358730521614016/1412840727285924136755098\
      8976895715869140625*ep^4+3143112464816398324851349371973076879323124839\
      6864/165477213669129666292257937615186519557434139404296875*ep^5+
      38691022579817023813646849535609005489013322930058586255808/
      276875898877870257414615615621396871750343339967635101318359375*ep^6+
      45938446055094403931033372958511940106138392258144475136463866533376/
      463267791858703914106990332268456961458545143990740663993901824951171875
      *ep^7+53295474354435609842575049739805787469530489129818746603028194227\
      856881577472/7751380594824066800877147021601775550244966664809319111707\
      89154699459075927734375*ep^8;
Fill mnchfac1(24,14)=
      -1024/340696125-3756293679808/570051572430965625*ep-
      8086526354207597490976/953808310062277486144453125*ep^2-
      13470447600318753590385639736672/1595908749912325223402634616775390625*
      ep^3-2764761230526739398154976684264569825312/3814669963671995169238767\
      02376184328466796875*ep^4-253723391629899013232748141118521045330525067\
      46848/4467884769066500989890964315610036028050721763916015625*ep^5-
      31376761919231440721579377184594082040017781193730891264256/
      7475649269702496950194621621777715537259270179126147735595703125*ep^6-
      37370472819599157241946702297602127390988386550917294077264899672832/
      12508230380185005680888738971248337959380718887749997927835349273681640\
      625*ep^7-43445391613568944148050943222607529234548371552494701730742407\
      428506891144704/2092872760602498036236829695832479398566140999498516160\
      1611307176885395050048828125*ep^8;
Fill mnchfac1(24,16)=
      512/5791834125+1928539582304/9690876731326415625*ep+
      4233076455188269586288/16214741271058717264455703125*ep^2+
      7151857259858219788871659235936/27130448748509528797844788485181640625*
      ep^3+1482939125469174701963423585027682142256/6484938938242391787705903\
      940395133583935546875*ep^4+13707860178003829175849276299278965120913963\
      021824/75954041074130516828146393365370612476862269986572265625*ep^5+
      17037554136969949091008784064515771869768269876400411276928/
      127086037584942448153308567570221164133407593045144511505126953125*ep^6
      +20362129137827666435591163280637720477858253376191314547875199382016/
      21263991646314509657510856251122174530947222109174996477320093765258789\
      0625*ep^7+2372680426060885428160725224200203718712558395222457587929395\
      2522469405495552/355788369302424666160261048291521497756243969914747747\
      227392222007051715850830078125*ep^8;
Fill mnchfac1(24,18)=
      -16/5791834125-61940058472/9690876731326415625*ep-138761007386736375184/
      16214741271058717264455703125*ep^2-238006441580881033030299665848/
      27130448748509528797844788485181640625*ep^3-498974865189540813194347336\
      44664484608/6484938938242391787705903940395133583935546875*ep^4-
      464896762271884549775772339295584685219758288832/7595404107413051682814\
      6393365370612476862269986572265625*ep^5-5810400447251276799619002399723\
      98698627315835525865896704/12708603758494244815330856757022116413340759\
      3045144511505126953125*ep^6-6970786720396100895055715783898339898366796\
      13385937977494921340288/21263991646314509657510856251122174530947222109\
      1749964773200937652587890625*ep^7-8143594838757948378074554658813533700\
      42775601422998927966062928309557927936/35578836930242466616026104829152\
      1497756243969914747747227392222007051715850830078125*ep^8;
Fill mnchfac1(24,20)=
      8/86877511875+31862400716/145363150969896234375*ep+72934640903779435052/
      243221119065880758966835546875*ep^2+127138819971262290521514472544/
      406956731227642931967671827277724609375*ep^3+26974726419177199367947256\
      852787753824/97274084073635876815588559105927003759033203125*ep^4+
      253510923106059000447337558037496898864952866496/1139310616111957752422\
      195900480559187152934049798583984375*ep^5+31879826206860384838051402982\
      6887724705598956463592690112/190629056377413672229962851355331746200111\
      3895677167672576904296875*ep^6+3841001456377535294669126526895899877545\
      10794826202960621514020864/31895987469471764486266284376683261796420833\
      16376249471598014064788818359375*ep^7+450024743866769626524429289804593\
      609767097135043378848826806737484673783808/5336825539536369992403915724\
      372822466343659548721216208410883330105775737762451171875*ep^8;
Fill mnchfac1(24,22)=
      -2/608142583125-8204628254/1017542056789273640625*ep-
      19214228474766974288/1702547833461165312767848828125*ep^2-
      34081075015282440599196185936/2848697118593500523773702790944072265625*
      ep^3-51278938110976877572771554928190645792/476643011960815796396383939\
      6190423184192626953125*ep^4-9929469101267174259957074014856473052081788\
      832/1139310616111957752422195900480559187152934049798583984375*ep^5-
      88006542114818516629293318902134755718649435660641276928/
      13344033946418957056097399594873222234007797269740173708038330078125*
      ep^6-106543053583994131868855898486166688963639706809450459000199382016/
      22327191228630235140386399063678283257494583214633746301186098453521728\
      515625*ep^7-12523957646809439070706171138492032133782555581695837971804\
      3725820905495552/373577787767545899468274100706097572644056168410485134\
      58876183310740430164337158203125*ep^8;
Fill mnchfac1(24,24)=
      1/7905853580625+4231021552/13228046738260557328125*ep+
      10151678126460910744/22133121834995149065982034765625*ep^2+
      18347133858726828484613167168/37033062541715506809058136282272939453125
      *ep^3+28000881410575482659056990331383145296/61963591554906053531529912\
      150475501394504150390625*ep^4+54795804569315211501470196008285538573907\
      54816/14811038009455450781488546706247269432988142647381591796875*ep^5+
      48940109892253114734625888300797575093534786728536600064/
      173472441303446441729266194733351889042101364506622258204498291015625*
      ep^6+59570482315445991780151205664616625818352849952479349312591966208/
      29025348597219305682502318782781768234742958179023870191541927989578247\
      0703125*ep^7+7028695161887628668212528348419838019018149096727417927472\
      1094956771442176/485651124097809669308756330917926844437273018933630674\
      965390383039625592136383056640625*ep^8;
Fill mnchfac1(25,0)=
      16777216/13+17712055548116992/7250518275*ep+34491779685453570345140224/
      12131541982178994375*ep^2+53593899818198107634118071655497728/
      20298453887473505316244546875*ep^3+733688319219147658390615420291054329\
      89679616/33963302507393410124709401881449609375*ep^4+930412045105300862\
      62166663638758767230080445615562752/56827279732894440628563587862869948\
      368857421875*ep^5+16069977079718367584102878631428363160574577275994006\
      292180992/13583315282040272321647344421955167733957379500244140625*ep^6
      +1319699927027973299572795714202637408872990954968636427644582996318535\
      68/159092891495224249910438132736054642507747283145403129217529296875*
      ep^7+151906886673872866980121818233624824740160979903233010193616324985\
      006082342916096/2661936732020112690458766449214553700540800397370795855\
      30895988616943359375*ep^8;
Fill mnchfac1(25,2)=
      -8388608/325-9043171637460992/181262956875*ep-
      17851129977077916838068224/303288549554474859375*ep^2-
      27991687854897857821366825432137728/507461347186837632906113671875*ep^3
      -38557839754865374916996972737086095287279616/8490825626848352531177350\
      47036240234375*ep^4-491011959948389470172409917481478713454600280155627\
      52/1420681993322361015714089696571748709221435546875*ep^5-
      8504451114212946329673763558460208400409407457437244532180992/
      339582882051006808041183610548879193348934487506103515625*ep^6-
      69969289405772039353109846469644301856624979906257884610138886031853568/
      3977322287380606247760953318401366062693682078635078230438232421875*
      ep^7-806363382125547171375723748390641069241827285359103258281495770475\
      37778342916096/66548418300502817261469161230363842513520009934269896382\
      72399715423583984375*ep^8;
Fill mnchfac1(25,4)=
      524288/975+577382072614912/543788870625*ep+1155948693463060153278464/
      909865648663424578125*ep^2+1830069213305311216515905477931008/
      1522384041560512898718341015625*ep^3+2537451045021249702792224781605490\
      404427776/2547247688054505759353205141108720703125*ep^4+324572701096439\
      9753322113371825958228491643393334272/426204597996708304714226908971524\
      6127664306640625*ep^5+5638540229469059942115710396620679429583699525021\
      26069414912/1018748646153020424123550831646637580046803462518310546875*
      ep^6+464825017713634552553250271470578823251001540119681806985028774328\
      5248/119319668621418187432828599552040981880810462359052346913146972656\
      25*ep^7+536383097343946847878661852397478965226232260836852023240646142\
      8900901522989056/199645254901508451784407483691091527540560029802809689\
      14817199146270751953125*ep^8;
Fill mnchfac1(25,6)=
      -262144/22425-295047825145856/12507144024375*ep-
      599438390024697636524032/20926909919258765296875*ep^2-
      958642355832695553893071148591104/35014832955891796670521843359375*ep^3
      -1338464525053976141924670515472327543897088/58586696825253632465123718\
      245500576171875*ep^4-17202336877498558904915464910546424699027952879375\
      36/98027057539242910084272189063450660936279052734375*ep^5-
      299804583079235568194116179027981619713711523850836076025856/
      23431218861519469754841669127872664341076479637921142578125*ep^6-
      2476795693181683861310232662282080075693354453464396634284173718836224/
      274435237829261831095505778969694258325864063425820397900238037109375*
      ep^7-286209661484871509288865114187747634580167685362469066662522964179\
      1889763273728/459184086273469439104137212489510513343288068546462285040\
      795580364227294921875*ep^8;
Fill mnchfac1(25,8)=
      65536/246675+75423389732864/137578584268125*ep+155595877215481169271808/
      230196009111846418265625*ep^2+251494338097322514320018965605376/
      385163162514809763375740276953125*ep^3+35374337910720381469773665028558\
      2324361472/644453665077789957116360900700506337890625*ep^4+456962157967\
      642655587386481337432281235836903542784/1078297632931672010926994079697\
      957270299069580078125*ep^5+79915999631938507332753634980409489638730640\
      783972307172864/2577434074767141673032583604065993077518412760171325683\
      59375*ep^6+661744660119622125617556020348355346558967399502251894044001\
      626694656/3018787616121880142050563568666636841584504697684024376902618\
      408203125*ep^7+76585273851897231071745406784390078896531171160778423932\
      8538852215238152421632/505102494900816383014550933738461564677616875401\
      1085135448751384006500244140625*ep^8;
Fill mnchfac1(25,10)=
      -32768/5180175-38581969528832/2889150269630625*ep-
      80871996576469041288704/4834116191348774783578125*ep^2-
      132190728269687918905454294924288/8088426412811005030890545816015625*
      ep^3-26772017331997966959682467740219443710848/193336099523336987134908\
      2702101519013671875*ep^4-2434126944395342510016950807108360659360597779\
      05792/22644250291565112229466875673657102676280461181640625*ep^5-
      299100154639266467635805054724526805895980390009819406141824/
      37888280899076982593578978979770098239520667574518487548828125*ep^6-
      354703441458353123865790104609535439179221980705058068271241935916928/
      63394539938559482983061834941999373673274598651364511914954986572265625
      *ep^7-41118772952870793531468582294157235537308552581909784393830060537\
      4784629462016/106071523929171440433055696085076928582299543834232787844\
      423779064136505126953125*ep^8;
Fill mnchfac1(25,12)=
      4096/25900875+4936969740544/14445751348153125*ep+
      10522025602754048781568/24170580956743873917890625*ep^2+
      17404111867435445105731789948096/40442132064055025154452729080078125*
      ep^3+507786533476804764497124361201045329088/13809721394524070509636305\
      01501085009765625*ep^4+325081721299169868303589631303078712259514036352\
      64/113221251457825561147334378368285513381402305908203125*ep^5+
      40107147362002255999627000921177563352768017670297230380608/
      189441404495384912967894894898850491197603337872592437744140625*ep^6+
      47693287161982395072260578038066234792893687402986254613403128638976/
      316972699692797414915309174709996868366372993256822559574774932861328125
      *ep^7+55388478308351294691639904021085731510400881350242874284383142334\
      991209820672/5303576196458572021652784804253846429114977191711639392221\
      18895320682525634765625*ep^8;
Fill mnchfac1(25,14)=
      -2048/492116625-2528602527872/274469275614909375*ep-
      5483689062573953129984/459241038178133604439921875*ep^2-
      9184965906542946023002847716448/768400509217045477934601852521484375*
      ep^3-1892803641883637217461370864686853982208/1836692945471701377781628\
      56699644306298828125*ep^4-174208875035242472955120734266124632484225366\
      59232/2151203777698685661799353188997424754246643812255859375*ep^5-
      21587708861701796201291997794954719362118261470407146325504/
      3599386685412313346390003003078159332754463419579256317138671875*ep^6-
      25747721446786521272459761188550269973765080108405055073385764933888/
      60224812941631508833908743194899404989610868718796286319207237243652343\
      75*ep^7-299616601042509725989735441485961384661433655805809087969927649\
      50224460507136/10076794773271286841140291128082308215318456664252114845\
      220259011092967987060546875*ep^8;
Fill mnchfac1(25,16)=
      512/4429049625+1944045041504/7410670441602553125*ep+
      4293476208479796712688/12399508030809607319877890625*ep^2+
      7287826067251574594606357176736/20746813748860227904234250018080078125*
      ep^3+1516380233401059269544231645110564979056/4959070952773593720010397\
      130890396270068359375*ep^4+14052355347628595977625339906445914877772590\
      209024/58082501997864512868582536102930468364659382930908203125*ep^5+
      17497023431593976805435203706405435625696190418249136435328/
      97183440506132460352530081083110301984370512328639920562744140625*ep^6+
      20937233240844703021110642222202963320880813776501166397697195746816/
      16260699494240507385155360662622839347194934554074997306185954055786132\
      8125*ep^7+2441747318383799862476234301181978585367420404932534150191533\
      5708547084881152/272073458878324744710787860458222321813598329934807100\
      820946993299510135650634765625*ep^8;
Fill mnchfac1(25,18)=
      -256/75293843625-997218891952/125981397507243403125*ep-
      2244887703338629936744/210791636523763324437924140625*ep^2-
      3864862345639988856622062742168/352695833730623874371982250307361328125
      *ep^3-812531917089842057090928920189967099328/8430420619715109324017675\
      1225136736591162109375*ep^4-7585982324454544041698773314869250793781564\
      283712/987402533963696718765903113749817962199209509825439453125*ep^5-
      9495149319561033438660533771273421416230966089628746600064/
      1652118488604251825993011378412875133734298709586878649566650390625*
      ep^6-114031607878250359620244743911450012803520675387540924548093419662\
      08/27643189140208862554764113126458826890231388741927495420516121894836\
      42578125*ep^7-133310735921663588700081940068637345099786096824514148877\
      17415531649771442176/46252488009315206600833936277897794708311716088917\
      20713956098886091672306060791015625*ep^8;
Fill mnchfac1(25,20)=
      8/75293843625+31999688636/125981397507243403125*ep+73499101218509509892/
      210791636523763324437924140625*ep^2+128463100848089237871361181024/
      352695833730623874371982250307361328125*ep^3+39015379129390238080542234\
      00222114272/12043458028164441891453821603590962370166015625*ep^4+
      257054069153340815768955484004441647654117754816/9874025339636967187659\
      03113749817962199209509825439453125*ep^5+323604789689062266525971775272\
      039722345976704632081657152/1652118488604251825993011378412875133734298\
      709586878649566650390625*ep^6+39018967521835079974200731201285990207920\
      5427456149791229227423744/276431891402088625547641131264588268902313887\
      4192749542051612189483642578125*ep^7+4574000502968376630852121584010234\
      49903754477325404804026432910604253063168/46252488009315206600833936277\
      89779470831171608891720713956098886091672306060791015625*ep^8;
Fill mnchfac1(25,22)=
      -4/1129407654375-16446030058/1889720962608651046875*ep-
      38584046632127498176/3161874547856449866568862109375*ep^2-
      68535463273732197822682393072/5290437505959358115579733754610419921875*
      ep^3-14747509352323477015594779484270299712/126456309295726639860265126\
      8377051048867431640625*ep^4-1400422592303363076797360013947912573918447\
      64448/14811038009455450781488546706247269432988142647381591796875*ep^5-
      177423609611020992235723560332763853504216033863629971456/
      24781777329063777389895170676193127006014480643803179743499755859375*
      ep^6-214885808746116528265061298807057172594860269775402095089682271232/
      41464783710313293832146169689688240335347083112891243130774182842254638\
      671875*ep^7-25266977104613995036515040213890870539601360107928675641200\
      1517940759189504/693787320139728099012509044168466920624675741333758107\
      09341483291375084590911865234375*ep^8;
Fill mnchfac1(25,24)=
      1/7905853580625+4231021552/13228046738260557328125*ep+
      10151678126460910744/22133121834995149065982034765625*ep^2+
      18347133858726828484613167168/37033062541715506809058136282272939453125
      *ep^3+28000881410575482659056990331383145296/61963591554906053531529912\
      150475501394504150390625*ep^4+54795804569315211501470196008285538573907\
      54816/14811038009455450781488546706247269432988142647381591796875*ep^5+
      48940109892253114734625888300797575093534786728536600064/
      173472441303446441729266194733351889042101364506622258204498291015625*
      ep^6+59570482315445991780151205664616625818352849952479349312591966208/
      29025348597219305682502318782781768234742958179023870191541927989578247\
      0703125*ep^7+7028695161887628668212528348419838019018149096727417927472\
      1094956771442176/485651124097809669308756330917926844437273018933630674\
      965390383039625592136383056640625*ep^8;
Fill mnchfac1(26,0)=
      67108864/27+649630401232371712/135528918525*ep+
      3843556378482312345660424192/680299546539114376875*ep^2+180743658470891\
      38731789559108881743872/3414824511684965855894371078125*ep^3+7468254618\
      4320506403371326748725723314168266752/171410175193083202944783373649377\
      60546875*ep^4+285308665580901526549564629704738404621481549505087864832/
      86040872844812405760924392300374553364940048828125*ep^5+148252276811607\
      597936431740727223027010185818920115315444956758016/6169855262224584925\
      5458003136310053809419177085378173828125*ep^6+3659300165689407786848599\
      240628770784228527353312277631012797988010270318592/2167909880746499246\
      068029530753374750486146766719902163961358642578125*ep^7+
      12651887396050122089758234647434420648202222089617828211809246962633110\
      770532506550272/1088201783693462083330844077336178179360848849214717784\
      7240376545121307373046875*ep^8;
Fill mnchfac1(26,2)=
      -16777216/351-165646628713136128/1761875940825*ep-
      992869021182976308479131648/8843894105008486899375*ep^2-471027588439038\
      1684697921828195565568/44392718651904556126626824015625*ep^3-1958000776\
      6259352182949778819218946289555980288/222833227751008163828218385744190\
      887109375*ep^4-75107304966838246289844549830396417787583469300600823808/
      1118531346982561274892017099904869193744220634765625*ep^5-
      39134540878824355427996869965867437394545897295653160929497698304/
      802081184089196040320954040772030699522449302109916259765625*ep^6-
      96771255426559450476358343559154237152033930892306821913483517756998200\
      5248/281828284497044901988843838997938717563199079673587281314976623535\
      15625*ep^7-334979953551207667464296524851006631767571983377110850332858\
      2285914952904420836487168/141466231880150070833009730053703163316910350\
      397913312014124895086576995849609375*ep^8;
Fill mnchfac1(26,4)=
      8388608/8775+84507609127190528/44046898520625*ep+
      513402251142808971175067648/221097352625212172484375*ep^2+2458220685699\
      909872266034716730605568/1109817966297613903165670600390625*ep^3+
      10283574240209220858405536189237034176480780288/55708306937752040957054\
      59643604772177734375*ep^4+396184253654148331785112741383093866520390000\
      47160823808/27963283674564031872300427497621729843605515869140625*ep^5+
      20703660353367331212131116729703003870777057888570311776377698304/
      20052029602229901008023851019300767488061232552747906494140625*ep^6+
      51295496288154622451322764857523826726143206120099304318863505197238200\
      5248/704570711242612254972109597494846793907997699183968203287441558837\
      890625*ep^7+17778927031210271928593709024306343432173218438445649180337\
      79033571882528268836487168/35366557970037517708252432513425790829227587\
      59947832800353122377164424896240234375*ep^8;
Fill mnchfac1(26,6)=
      -524288/26325-5391380177911808/132140695561875*ep-
      33215245518755050561200128/663292057875636517453125*ep^2-16058574702861\
      9713632277089045557248/3329453898892841709497011801171875*ep^3-
      676309829249678251199848655980832380285319168/1671249208132561228711637\
      8930814316533203125*ep^4-2617601492353915199566412615108467816415046820\
      499237888/83889851023692095616901282492865189530816547607421875*ep^5-
      1372188802814768646866394850862074364218208873352994907440569344/
      60156088806689703024071553057902302464183697658243719482421875*ep^6-
      34068634024546022510865556539225168274278308825103161854577915859875913\
      728/2113712133727836764916328792484540381723993097551904609862324676513\
      671875*ep^7-11824373395273509574967968439486746866971545439141523777481\
      0230118053503739413454848/106099673910112553124757297540277372487682762\
      79843498401059367131493274688720703125*ep^8;
Fill mnchfac1(26,8)=
      262144/605475+2752901188501504/3039235997923125*ep+
      17208424242282188730609664/15255717331139639901421875*ep^2+
      84048492076428854588327707688372224/76577439674535359318431271426953125
      *ep^3+356497911782287490022566096607642301634397184/3843873178704890826\
      03676715408729280263671875*ep^4+138660392885050716302538845074032800223\
      4176695737260544/1929466573544918199188729497335899359208780594970703125
      *ep^5+729325349394415674296458700758127563923360648171098074625385472/
      1383590042553863169553645720331752956676225046139605548095703125*ep^6+
      18148508205500145619493895525099749007344760084711329056934397000340286\
      464/4861537907574024559307556222714442877965184124369380602683346755981\
      4453125*ep^7+6308265230637322129277868892586546698496139485449427559256\
      0875086931942016976641024/244029249993258872186941784342637956721670354\
      436400463224365444024345317840576171875*ep^8;
Fill mnchfac1(26,10)=
      -65536/6660225-703178198142976/33431595977154375*ep-
      4462545422059900213974016/167812890642536038915640625*ep^2-
      22030311495404297744336665105478656/842351836419888952502743985696484375
      *ep^3-94150983487223421295080994127079981637808896/42282604965753799086\
      40443869496022082900390625*ep^4-368132768357556964903102637998760496059\
      468581216308736/21224132308994100191076024470694892951296586544677734375
      *ep^5-194330528298366793986428018610659014675268324837017532625223168/
      15219490468092494865090102923649282523438475507535661029052734375*ep^6-
      48475005267229941839799796729086549708182919418940707854156241670391132\
      16/53476916983314270152383118449858871657617025368063186629516814315795\
      8984375*ep^7-1687668412699083943768065123032292103800359541593438632853\
      9506458596057836802265856/268432174992584759405635962776901752393837389\
      8800405095468019884267798496246337890625*ep^8;
Fill mnchfac1(26,12)=
      32768/139864725+359421571033088/702063515520241875*ep+
      2317184557267464892932608/3524070703493256817228453125*ep^2+
      11569027911845518265656094947708928/17689388564817668002557623699626171\
      875*ep^3+7120116316428773510851087435844011648436864/126847814897261397\
      25921331608488066248701171875*ep^4+195979738057022906699919408289505608\
      761958373134851968/4457067784888761040125965138845927519772283174382324\
      21875*ep^5+727001508571058204571884403955886119727513180090116745509282\
      688/2237265098809596745168245129776444530945455899607742171270751953125
      *ep^6+25975240344773331353417635646544253295268329709211043249121608190\
      63022208/11230152566495996732000454874470363048099575327293269192198531\
      006317138671875*ep^7+90592232332227702893147818271259458457498372538529\
      95707927681573969086420461622528/56370756748442799475183552183149368002\
      705851874808507004828417569623768421173095703125*ep^8;
Fill mnchfac1(26,14)=
      -4096/699323625-45955708324096/3510317577601209375*ep-
      301182009379201761761536/17620353517466284086142265625*ep^2-
      1521718992703559452465003855542976/884469428240883400127881184981308593\
      75*ep^3-944574573781127318092000510949203801012288/63423907448630698629\
      606658042440331243505859375*ep^4-26156949096304498593664736165667554959\
      183875993950656/2228533892444380520062982569422963759886141587191162109\
      375*ep^5-97440046021263062179803634029601281555382094233630966984760896/
      11186325494047983725841225648882222654727279498038710856353759765625*
      ep^6-349145956269459256680236400427908257905955908632978121427713851254\
      340736/5615076283247998366000227437235181524049787663646634596099265503\
      1585693359375*ep^7-1220031374265025464950315915596915922240787037200811\
      937467042024938105274153874176/2818537837422139973759177609157468400135\
      29259374042535024142087848118842105865478515625*ep^8;
Fill mnchfac1(26,16)=
      2048/13287148875+23518913080448/66696033974422978125*ep+
      156804441053492876519168/334786716831859397636703046875*ep^2+
      802285493068927876775258663585888/1680491913657678460242974251464486328\
      125*ep^3+502566564312988659998541405893129385633344/1205054241523983273\
      962526502806366293626611328125*ep^4+14007882190719792160187804171970039\
      100526623165581728/4234214395644322988119666881903631143783669015663208\
      0078125*ep^5+5242075034812443795692526079710392053986714262481061721234\
      2848/212540184386911690790983287328762230439818310462735506270721435546\
      875*ep^6+18842195981689399937018748116928565683369087436935945600377227\
      9371728768/106686449381711968954004321307468448956945965609286057325886\
      0445600128173828125*ep^7+6597946821429311550077184654970292818172052144\
      82357096353742406901069335686431488/53552218911020659501424374573991899\
      60257055928106808165458699669114258000011444091796875*ep^8;
Fill mnchfac1(26,18)=
      -512/119584339875-6022507706912/600264305769806803125*ep-
      40880583424538365276592/3013080451486734578730327421875*ep^2-
      211971581621550334612143732270272/1512442722291910614218676826318037695\
      3125*ep^3-134086167596531257499293116131262095722736/108454881737158494\
      65662738525257296642639501953125*ep^4-376371514229854569249893138017096\
      7154630404903203232/381079295607989068930770019371326802940530211409688\
      720703125*ep^5-14154760103228410683438470291195232826469574180099755828\
      280512/1912861659482205217118849585958860073958364794164619556436492919\
      921875*ep^6-51052772523711902848680557549412014485391855181735303268480\
      978076868992/9601780444354077205860388917672160406125136904835745159329\
      744010401153564453125*ep^7-17918555746544782807652126799538043685933585\
      6179486399571542854149737063970716672/481969970199185935512819371165927\
      09642313503352961273489128297022028322000102996826171875*ep^8;
Fill mnchfac1(26,20)=
      256/2032933777875+3086842967056/10204493198086715653125*ep+
      21351743757980733581896/51222367675274487838415566171875*ep^2+
      112290319656400544561279958507736/2571152627896248044171750604740664082\
      03125*ep^3+71779649495078114090017346539428225865168/184373298953169440\
      916266554929374042924871533203125*ep^4+20302181983327161878423116777213\
      26738673720012717216/64783480253358141718230903293125556499890135939647\
      08251953125*ep^5+767684252828045149218552981862060061632980793136188996\
      4529856/325186482111974886910204429613006212572922015007985324594203796\
      38671875*ep^6+277931273632602571294266128596118665211646145705156786000\
      19970506308096/16323026755401931249962661160042672690412732738220766770\
      8605648176819610595703125*ep^7+9779925475444558607936000174108249276707\
      5540804863999943107358765766860833575936/819348949338616090371792930982\
      076063919329557000341649315181049374481474001750946044921875*ep^8;
Fill mnchfac1(26,22)=
      -8/2032933777875-98973637508/10204493198086715653125*ep-
      698292432376584535628/51222367675274487838415566171875*ep^2-
      3728143827628698030611531508248/257115262789624804417175060474066408203\
      125*ep^3-2410201117178919722503048101085575695024/184373298953169440916\
      266554929374042924871533203125*ep^4-68737290123529419116438949433637017\
      683010684673888/6478348025335814171823090329312555649989013593964708251\
      953125*ep^5-261465890566127780030965473188208552278789690817725341361408
      /32518648211197488691020442961300621257292201500798532459420379638671875
      *ep^6-95056344625837215109216461851290043265792265693149791554506407232\
      9728/163230267554019312499626611600426726904127327382207667708605648176\
      819610595703125*ep^7-33544416089023369153607847033632783373950292820201\
      03024847369590191048690510848/81934894933861609037179293098207606391932\
      9557000341649315181049374481474001750946044921875*ep^8;
Fill mnchfac1(26,24)=
      4/30494006668125+50825375974/153067397971300734796875*ep+
      366154384680595325884/768335515129117317576233492578125*ep^2+
      1986601562626566082145836024744/385672894184437206625762590711099612304\
      6875*ep^3+1300071268050783868146646261394829985072/27655994842975416137\
      43998323940610643873072998046875*ep^4+374140296809015906866121121177766\
      08499088923521664/97175220380037212577346354939688334749835203909470623\
      779296875*ep^5+14325315017273017009624508659777911855278705590935046408\
      4224/487779723167962330365306644419509318859383022511977986891305694580\
      078125*ep^6+52321985774204912961962154814519583510497859466825014007510\
      4216989184/244845401331028968749439917400640090356190991073311501562908\
      4722652294158935546875*ep^7+1852310734008166647692157420915971542045939\
      279969711444864570318071354071532544/1229023424007924135557689396473114\
      0958789943355005124739727715740617222110026264190673828125*ep^8;
Fill mnchfac1(26,26)=
      -1/213458046676875-13064886106/1071471785799105143578125*ep-
      96222908034165970396/5378348605903821223033634448046875*ep^2-
      531150355374104609737853307736/2699710259291060446380338134977697286132\
      8125*ep^3-2465564489559828963828028953611730506176/13551437473057953907\
      3455917873089921549780576904296875*ep^4-1462502302973880420497516516740\
      466640748181173888/9717522038003721257734635493968833474983520390947062\
      3779296875*ep^5-3948386819989313335207424675985515930346418418766734952\
      9856/341445806217573631255714651093656523201568115758384590823913986206\
      0546875*ep^6-1449615939495735387112022937264237077869327258337978829664\
      86506308096/17139178093172027812460794218044806324933369375131805109403\
      593058566059112548828125*ep^7-51505251962808897696665435303651033877149\
      4379408261078072974418192287833575936/860316396805546894890382577531179\
      86711529603485035873178094010184320554770183849334716796875*ep^8;
Fill mnchfac1(27,0)=
      33554432/7+47229678395588608/5019589575*ep+1979928360456130264959287296/
      176373956510140764375*ep^2+9389791444050161230739377115371995136/
      885324873399805962639281390625*ep^3+39027799523170633104694270841561213\
      545231384576/4443967505005860817086976353872752734375*ep^4+
      149705299324728350277192879486515966589568437057794031616/2230689295976\
      6179271350768374171180502021494140625*ep^5+5460376526794955444973176337\
      54951718092392161385121222673031520256/11197144735148320790805341309922\
      9356913390358414204833984375*ep^6+2755659524876626017235941120562502682\
      56580090635292908704179426055627644928/80292958546166638743260352990865\
      731499486917285922302368939208984375*ep^7+66774061157931003375068480668\
      91806037989580425893341468814650505180946002359738638336/
      28212638836497165123392253856863878724170155350011201826178754005870056\
      15234375*ep^8;
Fill mnchfac1(27,2)=
      -16777216/189-24060419824943104/135528918525*ep-
      1021275810882281951318376448/4762096825773800638125*ep^2-48847618484511\
      68542593702628956602368/23903771581794760991260597546875*ep^3-
      20422029378283213423197924056964334712387289088/11998712263515824206134\
      8361554564323828125*ep^4-7864932395005210660143289762318316406030680592\
      4031684608/602286109913686840326470746102621873554580341796875*ep^5-
      287640579176061823174708492913452617884441662704331636744960380928/
      3023229078490046613517442153679192636661539677183530517578125*ep^6-
      14542232890298009460340160711115332533458211899387041938461717367275677\
      2864/216790988074649924606802953075337475048614676671990216396135864257\
      8125*ep^7-3527952052079340557091432895155300711088581418145977775974262\
      880825144871922515283968/7617412485854234583315908541353247255525941944\
      5030244930682635815849151611328125*ep^8;
Fill mnchfac1(27,4)=
      4194304/2457+6130784542130176/1761875940825*ep+
      263604266382867966991040512/61907258735059408295625*ep^2+12720822016305\
      21635868028390794452992/310749030563331892886387768109375*ep^3+
      5351096981411096217538523375250155301422620672/155983259425705714679752\
      8700209336209765625*ep^4+2069541985761706924123815917869192534462100799\
      6175255552/7829719428877928924244119699334084356209544443359375*ep^5+
      75905626092767095220806824147807483340208026986221099672462405632/
      39301978020370605975726747997829504276600015803385896728515625*ep^6+
      38449071728047780211693227368893785742884509916551968036049503340660668\
      416/2818282844970449019888438389979387175631990796735872813149766235351\
      5625*ep^7+9339491636852871049869946207270185425175633166458313151818892\
      27055092208501951803392/99026362316105049583106811037592214321837245278\
      5393184098874265606038970947265625*ep^8;
Fill mnchfac1(27,6)=
      -2097152/61425-446506522247168/6292414074375*ep-
      136195040980547108025024512/1547681468376485207390625*ep^2-663386829130\
      166899583566670579412992/7768725764083297322159694202734375*ep^3-
      2808745675173311792255651411663392877281820672/389958148564264286699382\
      17505233405244140625*ep^4-109116599492055863082443209317787466841478272\
      53375255552/195742985721948223106102992483352108905238611083984375*ep^5
      -40143695227462643232988449269988176992596583550708282489502405632/
      982549450509265149393168699945737606915000395084647418212890625*ep^6-
      20375992287256740035413774347595744377758213032400279896027387797460668\
      416/7045707112426122549721095974948467939079976991839682032874415588378\
      90625*ep^7-495612735012953967029966781870955598200810454965174020605035\
      338244278523393951803392/2475659057902626239577670275939805358045931131\
      9634829602471856640150974273681640625*ep^8;
Fill mnchfac1(27,8)=
      131072/184275+199262839463936/132140695561875*ep+
      8803920215517798507333632/4643044405129455622171875*ep^2+
      43303012909508135166238019420966912/23306177292249891966479082608203125
      *ep^3+184603411038609380918400682156217598492411392/1169874445692792860\
      09814652515700215732421875*ep^4+720588470056967626388403724478848266876\
      907700831555072/587228957165844669318308977450056326715715833251953125*
      ep^5+2659691717223213300125600005886144356554875792891404850195965952/
      2947648351527795448179506099837212820745001185253942254638671875*ep^6+
      13529671418612098797687883251781032429498165136048838916752123766253045\
      76/21137121337278367649163287924845403817239930975519046098623246765136\
      71875*ep^7+329566033684858115421071277424397256957211592077807698695717\
      20195323052200298061312/74269771737078787187330108278194160741377933958\
      904488807415569920452922821044921875*ep^8;
Fill mnchfac1(27,10)=
      -65536/4238325-101674673287168/3039235997923125*ep-
      4557288625607446919689216/106790021317977479309953125*ep^2-
      22646102910204729261398916270201856/536042077721747515229018899988671875
      *ep^3-97244059522889073942514056296639369660260096/26907112250934235782\
      25737007861104961845703125*ep^4-381517072742039181430864805990623006807\
      202236053607936/13506266014814427394321106481351295514461464164794921875
      *ep^5-1413109298655974325686795766568503864917637304228805883214629376/
      67795912085139295308128640296255894877135027260840671856689453125*ep^6-
      720540892072648978621568664110923643361167762677833358421971536780095488
      /4861537907574024559307556222714442877965184124369380602683346755981445\
      3125*ep^7-1757907285169783980105628419972530122815871654430543210290130\
      2160217033693778829056/170820474995281210530859249039846569705169248105\
      4803242570558108170417224884033203125*ep^8;
Fill mnchfac1(27,12)=
      16384/46621575+25952700500992/33431595977154375*ep+
      1180772307953913413672704/1174690234497752272409484375*ep^2+
      5930934471526371104064463952116864/5896462854939222667519207899875390625
      *ep^3+25664235646325991518880478773342074674887424/29597823476027659360\
      483107086472154580302734375*ep^4+10123490135372076508861214999409560015\
      3934033004720384/148568926162958701337532171294864250659076105812744140\
      625*ep^5+376375399912234042326236282520703174687866401843937851045311744
      /745755032936532248389415043258814843648485299869247390423583984375*
      ep^6+192403080379759036303579727019469069134659590472631009826628921096\
      371072/5347691698331427015238311844985887165761702536806318662951681431\
      57958984375*ep^7+470206327998377260924091047404486664023254462973869055\
      2008611159513435360871953664/187902522494809331583945173943831226675686\
      17291602835668276139189874589473724365234375*ep^8;
Fill mnchfac1(27,14)=
      -8192/979053075-92792569743872/4914444608641693125*ep-
      612566183297137674042752/24668494924452797720599171875*ep^2-
      3111887751366797523268648454320832/123825719953723676017903365897383203\
      125*ep^3-13575946361988279990341912134559071242802112/62155429299658084\
      6570145248815915246186357421875*ep^4-7694640428867099183279788692341513\
      692845980419950656/4457067784888761040125965138845927519772283174382324\
      21875*ep^5-201062345582821961203412221803111702168043012720848403813326\
      272/15660855691667177216177715908435111716618191297254195198895263671875
      *ep^6-72147032674880331351670535137721256115050921450207344072352326198\
      0385152/786110679654719771240031841212925413366970272910528843453897170\
      44219970703125*ep^7-252348330336427376920397479750432703747389831768153\
      7974049075952285609831077119232/394595297239099596326284865282045576018\
      940963123659549033798922987366378948211669921875*ep^8;
Fill mnchfac1(27,16)=
      1024/4895265375+11856074204224/24572223043208465625*ep+
      79546404235939669823584/123342474622263988602995859375*ep^2+
      408950483992422620757351273566944/6191285997686183800895168294869160156\
      25*ep^3+1799631474555513447100127969690364163700704/3107771464982904232\
      850726244079576230931787109375*ep^4+10263544206692497768945172746700011\
      25420502175483552/22285338924443805200629825694229637598861415871911621\
      09375*ep^5+269359504804390308965363059006957949960450336640687708477754\
      24/78304278458335886080888579542175558583090956486270975994476318359375
      *ep^6+96944161654816814235155996157558750034237892673293362801968279260\
      128384/3930553398273598856200159206064627066834851364552644217269485852\
      21099853515625*ep^7+339766408080515882613971881528601977640331860666833\
      858998007132238442686359039744/1972976486195497981631424326410227880094\
      704815618297745168994614936831894741058349609375*ep^8;
Fill mnchfac1(27,18)=
      -512/93010042125-6063301831712/466872237820960846875*ep-
      41375059310840359101392/2343507017823015783456921328125*ep^2-
      215406074437353465696286355267072/1176344339560374922170081976025140429\
      6875*ep^3-956723636521831115497390253535357921427952/590476578346751804\
      24163798637511948387703955078125*ep^4-549285180199595360080802404675998\
      228246291816860576/4234214395644322988119666881903631143783669015663208\
      0078125*ep^5-1448378066914705213357129865334926611457856412436323256213\
      3312/148778129070838183553688301130133561307872817323914854389505004882\
      8125*ep^6-5229853527232614748766515588086166528146838402070577012109913\
      5034033792/746805145671983782678030249152279142698621759265002401281202\
      3119200897216796875*ep^7-1836998978529283684611436490564232602445868851\
      29334364648593866422292569101673472/37486553237714461650997062201794329\
      721799391496747657158210897683799806000080108642578125*ep^8;
Fill mnchfac1(27,20)=
      128/837090379125+1551520317128/4201850140388647621875*ep+
      10776431228224334372048/21091563160407142051112291953125*ep^2+
      56856699823166106122696383938968/10587099056043374299530737784226263867\
      1875*ep^3+255036314558306052751393698923297325304688/531428920512076623\
      817474187737607535489335595703125*ep^4+14748143493722656852853628273912\
      7112448277681067744/381079295607989068930770019371326802940530211409688\
      720703125*ep^5+39088381624655743022590494802220956557400072323213502826\
      54528/13390031616375436519831947101712020517708553559152336895055450439\
      453125*ep^6+14164676223119000931027812510233860766934058739275601026315\
      671096027648/6721246311047854044102272242370512284287595833385021611530\
      8208072808074951171875*ep^7+4987502230227756495183049569251828552324137\
      1613450560604568102344059209265005568/337378979139430154858973559816148\
      967496194523470728914423898079154198254000720977783203125*ep^8;
Fill mnchfac1(27,22)=
      -64/14230536445125-794657436964/71431452386607009571875*ep-
      5622854095658091541924/358556573726921414868908963203125*ep^2-
      30088609899836665359479802901384/17998068395273736309202254233184648574\
      21875*ep^3-136402420372062551060473816877345243797744/90342916487053026\
      04897061191539328103318705126953125*ep^4-794943659333559128571341881406\
      39028824500094239072/64783480253358141718230903293125556499890135939647\
      08251953125*ep^5-211872517732526711551752207223857030554524457165495417\
      5569664/227630537478382420837143100729104348801045410505589727215942657\
      470703125*ep^6-77079340417002026535810871094487612316211160956792445412\
      04435848052224/11426118728781351874973862812029870883288912916754536739\
      60239537237737274169921875*ep^7-272134326429332502709330690975389007542\
      62421965768588445984371414773088611677184/57354426453703126326025505168\
      74532447435306899002391545206267345621370318012256622314453125*ep^8;
Fill mnchfac1(27,24)=
      2/14230536445125+25460493602/71431452386607009571875*ep+
      183701767255499948132/358556573726921414868908963203125*ep^2+
      997900776608944786299770585912/1799806839527373630920225423318464857421\
      875*ep^3+4575641407573871164456114981038008685392/903429164870530260489\
      7061191539328103318705126953125*ep^4+2689268952456623435173809676750502\
      785372352391296/6478348025335814171823090329312555649989013593964708251\
      953125*ep^5+72115985840593163825190939980277609898429183982719196509952/
      227630537478382420837143100729104348801045410505589727215942657470703125
      *ep^6+26349747947289939898398369496461455075391437428968978309724683543\
      6032/114261187287813518749738628120298708832889129167545367396023953723\
      7737274169921875*ep^7+9330853451542229658518940434989880981243042479069\
      66818013196070858936944525312/57354426453703126326025505168745324474353\
      06899002391545206267345621370318012256622314453125*ep^8;
Fill mnchfac1(27,26)=
      -1/213458046676875-13064886106/1071471785799105143578125*ep-
      96222908034165970396/5378348605903821223033634448046875*ep^2-
      531150355374104609737853307736/2699710259291060446380338134977697286132\
      8125*ep^3-2465564489559828963828028953611730506176/13551437473057953907\
      3455917873089921549780576904296875*ep^4-1462502302973880420497516516740\
      466640748181173888/9717522038003721257734635493968833474983520390947062\
      3779296875*ep^5-3948386819989313335207424675985515930346418418766734952\
      9856/341445806217573631255714651093656523201568115758384590823913986206\
      0546875*ep^6-1449615939495735387112022937264237077869327258337978829664\
      86506308096/17139178093172027812460794218044806324933369375131805109403\
      593058566059112548828125*ep^7-51505251962808897696665435303651033877149\
      4379408261078072974418192287833575936/860316396805546894890382577531179\
      86711529603485035873178094010184320554770183849334716796875*ep^8;
Fill mnchfac1(28,0)=
      268435456/29+78000310823201800192/4221474832575*ep+
      13705259305863474244225322713088/614512060760831871763125*ep^2+
      1900396737535984816840884348536253822533632/
      89453351683298308723067654463234375*ep^3+230382762154814676375467511520\
      887291624131368898920448/13021554235190493870361816850537251196417578125
      *ep^4+25729816395581576455947799313251900181505964546260353639004700672/
      1895522878788519733952317742889467458386124622586943359375*ep^5+
      27289635522302797832288155253916947310783942972000450169484212297924667\
      31008/27592765956468442630063600298956953571108538692545868211719262695\
      3125*ep^6+2800828051485761081191828848740882363484703948098554678162075\
      97749855865864298279616512/40166264498746130548282320597807250180595678\
      184230337382612272117102337646484375*ep^7+28150679443258090473109277926\
      018153850090401430193370680500093366288487300774417826639404828704768/
      58469267137933616466806621482572701851121130716049083968103070741960321\
      24494267120361328125*ep^8;
Fill mnchfac1(28,2)=
      -33554432/203-1417783381204140032/4221474832575*ep-
      1764753420662213284351303745536/4301584425325823102341875*ep^2-
      246724299274542653053615298304309506146304/6261734617830881610614735812\
      42640625*ep^3-30080530515622997281242807109947911026735570880659456/
      91150879646333457092532717953760758374923046875*ep^4-337261153531248372\
      0626053928112633307563318893937998542712029184/132686601515196381376662\
      24200226272208702872358108603515625*ep^5-358654181364220663685421256043\
      866028303257698614289182020678093854557003776/1931493616952790984104452\
      020926986749977597708478210774820348388671875*ep^6-52678491067570939629\
      52820530268487251593414862383034169162288340614533171911041277952/
      40166264498746130548282320597807250180595678184230337382612272117102337\
      646484375*ep^7-37105426237346558482632269933439863428149108072927138853\
      62381286309333421170120734119893993578496/40928486996553531526764635037\
      800891295784791501234358777672149519372224871459869842529296875*ep^8;
Fill mnchfac1(28,4)=
      16777216/5481+721813528789385216/113979820479525*ep+
      909617864250871366671252717568/116142779483797223763230625*ep^2+
      128266273419130427778935858604212079460352/1690668346814338034865978669\
      3551296875*ep^3+15731801458459062874861724605820545630008503263510528/
      2461073750451003341498383384751540476122922265625*ep^4+1771122375482489\
      131407724661446651322662802862307638412218785792/3582538240910302297169\
      88053406109349634977553668932294921875*ep^5+188875939383910813440224908\
      531820882541963917016391549687688903358380658688/5215032765772535657082\
      0204565028642249395138128911690920149406494140625*ep^6+
      27793970993716396196476026580396830071484180436707111569672929217839141\
      58726555672576/10844891414661455248036226561407957548760833109742191093\
      30531347161763116455078125*ep^7+196016541701816487305547773776961433437\
      3171347610043367890038423515038512826144032553764752642048/
      11050691489069453512226451460206240649861893705333276869971480370230500\
      71529416485748291015625*ep^8;
Fill mnchfac1(28,6)=
      -4194304/71253-26258298598326272/211676809461975*ep-
      234608164454328735642686881792/1509856133289363908921998125*ep^2-
      33380086208576460347295268416750675058688/21978688508586394453257722701\
      6166859375*ep^3-4119837889599764895736232768953401979543098167468032/
      31993958755863043439478984001770026189597989453125*ep^4-465846630959792\
      453736529939313491466314995641188990371886082048/4657299713183392986320\
      844694279421545254708197696119833984375*ep^5-49827154379713270548642654\
      399168610951407143016167049098435601437146243072/6779542595504296354206\
      62659345372349242136795675851981961942284423828125*ep^6-
      73470226426935718736090349282997264628033808055102998213895286956520862\
      0367156434944/140983588390598918224470945298303448133890830426648484212\
      96907513102920513916015625*ep^7-518835372591865762375965854667159539069\
      800581286807782427624843462360734461132452599500066086912/
      14365898935790289565894386898268112844820461816933259930962924481299650\
      929882414314727783203125*ep^8;
Fill mnchfac1(28,8)=
      2097152/1781325+93648493249429504/37043441655845625*ep+
      121121107470650236830707105792/37746403332234097723049953125*ep^2+
      17395297872399901608477004384985194098688/54946721271465986133144306754\
      04171484375*ep^3+2161206961590891590428243191768898111291015018668032/
      799848968896576085986974600044250654739949736328125*ep^4+24550742692312\
      6342085296753657468481809159160377989587166082048/116432492829584824658\
      021117356985538631367704942402995849609375*ep^5+26343099153947978477562\
      844840295136893832757162784491675006807038986243072/1694885648876074088\
      5516566483634308731053419891896299549048557110595703125*ep^6+
      38926378831013064621125555209306033607267728541715366969303423617312446\
      4266356434944/352458970976497295561177363245758620334727076066621210532\
      422687827573012847900390625*ep^7+27528371526019237509589638406319099368\
      8407118278464153196713304319523519293358192106472066086912/
      35914747339475723914735967245670282112051154542333149827407311203249127\
      3247060357868194580078125*ep^8;
Fill mnchfac1(28,10)=
      -131072/5343975-852371667361792/15875760709648125*ep-
      7823395382930901194566387712/113239209996702293169149859375*ep^2-
      1134657649660520077732580028467088621568/164840163814397958399432920262\
      12514453125*ep^3-141957516581658579287876649573624941830158927652352/
      2399546906689728257960923800132751964219849208984375*ep^4-
      16205234417672867554634353773111996056245312858677300630358528/
      349297478488754473974063352070956615894103114827208987548828125*ep^5-
      17447339115616684769472758028915657154741195100062336784156491596938577\
      92/50846569466282222656549699450902926193160259675688898647145671331787\
      109375*ep^6-25840758176853961630097695398081053656350770146710262474615\
      138309194369279524752384/1057376912929491886683532089737275861004181228\
      199863631597268063482719038543701171875*ep^7-18302362623428287063304580\
      037470346513171365456964199365411566754552931709372101578667008620032/
      10774424201842717174420790173701084633615346362699944948222193360974738\
      19741181073604583740234375*ep^8;
Fill mnchfac1(28,12)=
      65536/122911425+3042555188867072/2555997474253348125*ep+
      4046493030439453208866272256/2604501829924152742890446765625*ep^2+
      592939272338791215948109044484611728384/3791323767731153043186957166028\
      87832421875*ep^3+74731499243488271618484688052859726572116536952576/
      55189578853863749933101247403053295177056531806640625*ep^4+
      8575596434109272443868329469424284560328032645973229880868864/
      8033842005241352901403457097632002165564371641025806713623046875*ep^5+
      926642314882651641635907942273793082993356515274839440196239684569463296
      /1169471097724491121100643087370767302442685972540844668884350440631103\
      515625*ep^6+13758202436269377959972170333377295605181076393800009852838\
      181201622767393765204992/2431966899737831339372123806395734480309616824\
      8596863526737165460102537886505126953125*ep^7+9760715550519664680105379\
      058717591706802049256824717777954364905967344250658047738204938012416/
      24781175664238249501167817399512494657315296634209873380911044730241897\
      854047164692905426025390625*ep^8;
Fill mnchfac1(28,14)=
      -16384/1352025675-776125730413568/28115972216786829375*ep-
      1047571167743066070097694464/28649520129165680171794914421875*ep^2-
      155166315451404006305025424054237421696/4170456144504268347505652882631\
      766156640625*ep^3-19709568691031151545789183684673364711169292972544/
      607085367392501249264113721433586246947621849873046875*ep^4-
      2274312036724961045725499054881936992570480425260942746818816/
      88372262057654881915438028073952023821208088051283873849853515625*ep^5-
      246709091298181424800556057734774361190507103539894426009582839461268224
      /1286418207496940233210707396107844032686954569794929135772785484694213\
      8671875*ep^6-3672751733089449465286795905465418534112577327871279671420\
      915529371287544614066048/2675163589711614473309336187035307928340578507\
      34565498794108820061127916751556396484375*ep^7-261029017768122224115924\
      9937305855234907747988359220288727522688524659127048340980304832533504/
      27259293230662074451284599139463744123046826297630860719002149203266087\
      6394518811621959686279296875*ep^8;
Fill mnchfac1(28,16)=
      8192/28392539175+2773225478169088/4133047915867663918125*ep+
      543009067551576672294069632/601639922712479283607693202859375*ep^2+
      81347195677309554873120073670653344448/87579579034589635297618710535267\
      089289453125*ep^3+10418667989608048871227025895483961490140450436672/
      12748792715242526234546388150105311185900058847333984375*ep^4+
      172768041259637764103201967883768041289678558529754183262144/
      265116786172964645746314084221856071463624264153851621549560546875*ep^5
      +1317377173508245057603091998144393670224200055624180334524059623712725\
      12/27014782357435744897424855318264724686426045965693511851228495178578\
      4912109375*ep^6+1376781244232766188547046613278560304339805918491062702\
      1534216190619209817618688768/393249047687607327576472419494190265466065\
      04057981128322733996548985803762478790283203125*ep^7+
      14005810062870793772319363723360282928660238010050625748597702542999783\
      04165238881699351953152/57244515784390356347697658192873862658398335225\
      02480750990451332685878404284895044061153411865234375*ep^8;
Fill mnchfac1(28,18)=
      -1024/141962695875-354106271372096/20665239579338319590625*ep-
      70453462258868250376632544/3008199613562396418038466014296875*ep^2-
      10681188283445737339429109293960454816/43789789517294817648809355267633\
      5446447265625*ep^3-1380075511667490842832798797457569474979701912224/
      63743963576212631172731940750526555929500294236669921875*ep^4-
      67145682818095580610947258788168820024392305099369131936/
      3864676183279368013794665950755919409090732713612997398681640625*ep^5-
      17640615700109101983678667796127957672172913901196619315294425458757504/
      13507391178717872448712427659132362343213022982846755925614247589289245\
      60546875*ep^6-184937209875498874896964189507623195688581401612676611668\
      5205551155572178522896256/196624523843803663788236209747095132733032520\
      289905641613669982744929018812393951416015625*ep^7-
      18853310470133421955916899089161498836179850330170407762024690423240061\
      5020841535183283984384/286222578921951781738488290964369313291991676125\
      12403754952256663429392021424475220305767059326171875*ep^8;
Fill mnchfac1(28,20)=
      512/2697291221625+180975812844448/392639552007428072221875*ep+
      36613273487379026559129872/57155792657685531942730854271640625*ep^2+
      5621105961260356986446440771733187808/832006000828601535327377750085037\
      3482498046875*ep^3+733103740129022916779999616698035214430591121712/
      1211135307948039992281906874260004562660505590496728515625*ep^4+
      12317864429235793766898841203148111664821038654717446948224/
      25186094686431641345899838001076326789044305094615904047208251953125*
      ep^5+948091925251122620597947110262867630209779014607167910071036606087\
      6352/256640432395639576525536125523514884521047436674088362586670704196\
      49566650390625*ep^6+997323911472143962136717753775604983769208530346804\
      884704890287611188921052694528/3735865953032269611976487985194807521927\
      617885508207190659729672153651357435485076904296875*ep^7+
      10190752838007711532284656027136085556561151149311345434069653542868159\
      1262140583427107361792/543822899951708385303127752832301695254784184637\
      735671344092876605158448407065029185809574127197265625*ep^8;
Fill mnchfac1(28,22)=
      -128/24275620994625-46279104127912/3533755968066852649996875*ep-
      9527582880178278290327168/514402133919169787484577688444765625*ep^2-
      1482327163387780881921592259551637752/748805400745741381794639975076533\
      61342482421875*ep^3-195263687549274516490614347715060845607056304128/
      10900217771532359930537161868340041063944550314470556640625*ep^4-
      3305054706845087125787362265778634187966339558508958639456/
      226674852177884772113098542009686941101398745851543136424874267578125*
      ep^5-255732835116729038131395101627374211551410581347662751296292833844\
      4288/230976389156075618872982512971163396068942693006679526328003633776\
      846099853515625*ep^6-27001239026857859200596817268707355743168649302539\
      2945906032565293057428770386432/336227935772904265077883918667532676973\
      48560969573864715937567049382862216919365692138671875*ep^7-
      27660503761690204828741570575876502270187625737539397285446652736965431\
      081681366261269659648/4894406099565375467728149775490715257293057661739\
      621042096835889446426035663585262672286167144775390625*ep^8;
Fill mnchfac1(28,24)=
      64/412685556908625+23687573137556/60073851457136495049946875*ep+
      4966624084805107263915484/8744836276625886387237820703561015625*ep^2+
      783691935805179696109766787296812976/1272969181267760349050887957630107\
      142822201171875*ep^3+104342464025131271643791488517218271068620824464/
      185303702116050118819131751761780698087057355345999462890625*ep^4+
      1780165454219690475543600437156611801564780054910904374528/
      3853472487024041125922675214164677998723778679476233319222862548828125*
      ep^5+138536694564379745585493940167218309081679863298020415294600162817\
      2544/392659861565328552084070272050977773317202578111355194757606177420\
      6383697509765625*ep^6+1468688557730653385801492816055263320390493135089\
      59345569338882882442238899618816/57158749081393725063240266173480555085\
      4925536482755700170938639839508657687629216766357421875*ep^7+
      15087864818644459052052674490340271012861154773652868701749302897224288\
      327586882914620468224/8320490369261138295137854618334215937398198024957\
      3557715646210120589242606280949465428864841461181640625*ep^8;
Fill mnchfac1(28,26)=
      -2/412685556908625-758432672758/60073851457136495049946875*ep-
      162107227736906342974712/8744836276625886387237820703561015625*ep^2-
      25965225541476206236959582507462568/12729691812677603490508879576301071\
      42822201171875*ep^3-3496933781271290560942870060005166753083796352/
      185303702116050118819131751761780698087057355345999462890625*ep^4-
      8596455469392886447004131095711487921421294473234579072/
      550496069574863017988953602023525428389111239925176188460408935546875*
      ep^5-471250366639899962264741295683171401955803852941646732231550468817\
      92/39265986156532855208407027205097777331720257811135519475760617742063\
      83697509765625*ep^6-501839561416089507599955676978903506680572318026842\
      3096497008273586188842802688/571587490813937250632402661734805550854925\
      536482755700170938639839508657687629216766357421875*ep^7-
      51715316951601214460092920458071832826120956556129748730648461870792635\
      1487096147802924032/832049036926113829513785461833421593739819802495735\
      57715646210120589242606280949465428864841461181640625*ep^8;
Fill mnchfac1(28,28)=
      1/6190283353629375+388920876224/901107771857047425749203125*ep+
      84827912008321292632636/131172544149388295808567310553415234375*ep^2+
      13805828622791011074395112263112704/19094537719016405235763319364451607\
      142333017578125*ep^3+1882446104598762122550738656233208736235589056/
      2779555531740751782286976276426710471305860330189991943359375*ep^4+
      32697347461181348958224518309789769409688869127892160512/
      57802087305360616888840128212470169980856680192143499788342938232421875
      *ep^5+25783707310834906055388638332911578193458006963614675719440400645\
      376/5889897923479928281261054080764666599758038671670327921364092661309\
      5755462646484375*ep^6+2759416822030262684031129202556552318843107937046\
      897633994567545958909528408064/8573812362209058759486039926022083262823\
      883047241335502564079597592629865314438251495361328125*ep^7+
      28535545525636203031346134085691230197464486805935611337597881661726528\
      1994734290408772096/124807355538917074427067819275013239060972970374360\
      3365734693151808838639094214241981432972621917724609375*ep^8;
Fill mnchfac1(29,0)=
      268435456/15+79257917585266573312/2183521465125*ep+
      14082891378046516465513244131328/317851065910775106084375*ep^2+
      1968269941312660162454311760742311570440192/
      46268975008602573477448786791328125*ep^3+239944704573899557950976765485\
      369914839729017078284288/6735286673374393381221629405450302342974609375
      *ep^4+26901942430543726177519644383992455040845896943743748686603026432/
      980442868338889517561543660115241788820409287544970703125*ep^5+
      28608814063094621616929834374093885937016264591586418731850654086302322\
      19648/14272120322311263429343241533943251847125106220282345626751342773\
      4375*ep^6+2941480657505958376686236530484984128694328083021019753940125\
      08549064215894973001449472/20775654051075584766352924447141681127894316\
      302188105542730485577811553955078125*ep^7+29599350338803878653846464806\
      904363916396154839927681484457513656230314159345835645351569973854208/
      30242724381689801620762045594434156129890240025542629638674002107910510\
      98876345062255859375*ep^8;
Fill mnchfac1(29,2)=
      -134217728/435-40302676700882272256/63322122488625*ep-
      7243748584835602279875151396864/9217680911412478076446875*ep^2-
      1020495615536691873520063422624401007312896/134180027524947463084601481\
      6948515625*ep^3-125094821440030965533796911652229219856791820063801344/
      195323313527857408055427252758058767946263671875*ep^4-14078895876858729\
      011030453479892953337926483684809407404514902016/2843284318182779600928\
      4766143342011875791869338804150390625*ep^5-1501110982125721640738010242\
      999887437541830459199997823862163514406776193024/4138914893470266394509\
      540044843543035666280803881880231757889404296875*ep^6-
      15460899391209420252151223804625465814237483995046875961368745648839372\
      4035347958849536/602493967481191958224234808967108752708935172763455060\
      739184081756535064697265625*ep^7-15575748863444325852318153946784080208\
      004731032321507244348803412012564325336177368414444886114304/
      87703900706900424700209932223859052776681696074073625952154606112940481\
      867414006805419921875*ep^8;
Fill mnchfac1(29,4)=
      16777216/3045+732150999339237376/63322122488625*ep+
      932113030150616026686788599808/64523766379887346535128125*ep^2+
      132407877678411666109085172454083248422912/9392601926746322415922103718\
      639609375*ep^3+16325222782533530750689856727553302830634968355258368/
      1367263194695001856387990769306411375623845703125*ep^4+1844734542627840\
      279531629439906198990462907784022918218881687552/1990299022727945720649\
      93363003394083130543085371629052734375*ep^5+197229390554490058841721263\
      859277755317074912891755655258652815116503011328/2897240425429186476156\
      6780313904801249663965627173161622305225830078125*ep^6+
      41533657863042743449021939611113928224436053304792992899040182076470179\
      3718034833408/860705667830274226034621155667298218155621675376364372484\
      54868822362152099609375*ep^7+205277318031117089393379510489726024283882\
      5196802301631923304022671074959992362714119334780735488/
      61392730494830297290146952556701336943677187251851538166508224279058337\
      3071898047637939453125*ep^8;
Fill mnchfac1(29,6)=
      -8388608/82215-372536418763276288/1709697307192875*ep-
      480115993762648425853104226304/1742141692256958356448459375*ep^2-
      68792441501256607010885907383211104813056/25360025202215070522989680040\
      3269453125*ep^3-8533499718813307797737510939859624665709024859971584/
      36916106256765050122475750771273107141843833984375*ep^4-968374875779764\
      607343255206490316787606519468083508988605157376/5373807361365453445754\
      820801091640244524663305033984423828125*ep^5-10383560225885705779679585\
      4009299423142981828867980393611178852407077976064/782254914865880348562\
      303068475429633740927071933675363802241097412109375*ep^6-
      15336523696073412843307260831004199682065779204582537176948562624070802\
      76325427017728/16267337121992182872054339842111936323141249664613286639\
      957970207426446746826171875*ep^7-10842664422137142100158459069034088142\
      10446254146312230982443010808060259475068033038148657926144/
      16576037233604180268339677190309360974792840557999915304957220555345751\
      072941247286224365234375*ep^8;
Fill mnchfac1(29,8)=
      2097152/1068795+94811458686287872/22226064993507375*ep+
      123744793277249931884093259776/22647841999340458633829971875*ep^2+
      17890929381258590269640353169567465304064/32968032762879591679886584052\
      42502890625*ep^3+2233542181844387633388370485630640498230493212164096/
      479909381337945651592184760026550392843969841796875*ep^4+25459881457909\
      3322246107663394170283825446293965943694253446144/698594956977508947948\
      12670414191323178820622965441797509765625*ep^5+273843415304292133240321\
      03915152878935802574092783608203126866351582729216/10169313893256444531\
      309939890180585238632051935137779729429134266357421875*ep^6+
      40531576549341267663117666762981226784002007989508402717949265308245064\
      9396509304832/211475382585898377336706417947455172200836245639972726319\
      453612696543807708740234375*ep^7+28695150726819537702575040771531461357\
      6763299299997375743517567662244198011768074568337798260736/
      21548848403685434348841580347402169267230692725399889896444386721949476\
      3948236214720916748046875*ep^8;
Fill mnchfac1(29,10)=
      -1048576/26719875-48277953420787712/555651624837684375*ep-
      63840160993574737232086245376/566196049983511465845749296875*ep^2-
      9317188322273311630692688173220436056064/824200819071989791997164601310\
      62572265625*ep^3-1171022506112315848914280713211627039319855251204096/
      11997734533448641289804619000663759821099246044921875*ep^4-
      134117948031521896243662013999611493424938497173937427442246144/
      1746487392443772369870316760354783079470515574136044937744140625*ep^5-
      14473102547575532796867996263719745999378649743891141497653477660238729\
      216/2542328473314111132827484972545146309658012983784444932357283566589\
      35546875*ep^6-214696865634167861130529170467470082745517135805989781704\
      590139223219963545869304832/5286884564647459433417660448686379305020906\
      140999318157986340317413595192718505859375*ep^7-15222659764009993996026\
      57215967500217046487854161486047818619813381626080446914491305681982607\
      36/53872121009213585872103950868505423168076731813499724741110966804873\
      69098705905368022918701171875*ep^8;
Fill mnchfac1(29,12)=
      65536/80159625+3074157510520832/1666954874513053125*ep+
      4120530679820038543209051136/1698588149950534397537247890625*ep^2+
      607316678995118540338298005147498824704/2472602457215969375991493803931\
      87716796875*ep^3+76872487200670492079149577557250388361510102157056/
      35993203600345923869413857001991279463297738134765625*ep^4+
      8848629323859593078415040855675252190618655480091820715075584/
      5239462177331317109610950281064349238411546722408134813232421875*ep^5+
      958238831627865068688602874876986237001342032309995517595871976961573376
      /7626985419942333398482454917635438928974038951353334797071850699768066\
      40625*ep^6+142488457916496754966734489128441357439605475120730782219190\
      74612874686191374257152/15860653693942378300252981346059137915062718422\
      997954473959020952240785578155517578125*ep^7+10119130753826417440623803\
      568233048189798659688554601325800691260899658249638490206205525860096/
      16161636302764075761631185260551626950423019544049917422333290041462107\
      296117716104068756103515625*ep^8;
Fill mnchfac1(29,14)=
      -32768/1843671375-1566705931810816/38339962113800221875*ep-
      2129675636204318022550880768/39067527448862291143356701484375*ep^2-
      317137158237866136784951153195206065152/5686985651596729564780435749043\
      317486328125*ep^3-40443419810193577721448122688991439608311518457728/
      827843682807956248996518711045799427655847977099609375*ep^4-
      4680282996070722134095062352447908248706786647032089264606592/
      120507630078620293521051856464480032483465574615387100704345703125*ep^5
      -5087411502625701222062029367539867003831574383754565813600912625983898\
      88/17542066465867366816509646310561509536640289588112670033265256609466\
      552734375*ep^6-75844010414938666889941731246722305020860279294175407069\
      72874879486016968445614976/36479503496067470090581857095936017204644252\
      3728952952901057481901538068297576904296875*ep^7-5395579630013289433297\
      924761787264547708652124024066489006276588198873498863409916853314037248
      /3717176349635737425175172609926874198597294495131481007136656709536284\
      67810707470393581390380859375*ep^8;
Fill mnchfac1(29,16)=
      8192/20280385125+399419949551104/421739583251802440625*ep+
      550918891578679085471019392/429742801937485202576923716328125*ep^2+
      82929572060390529289934380309550385088/62556842167564025212584793239476\
      492349609375*ep^3+10659577681904434410649399593486097501706236317632/
      9106280510887518738961705821503793704214327748095703125*ep^4+
      1240602314707394842083085718121281131944103338459917193456448/
      1325583930864823228731570421109280357318121320769258107747802734375*
      ep^5+135394020243967855161420817019445591882651804930829000344090092618\
      804672/1929627311245410349816061094161766049030431854692393703659178227\
      04132080078125*ep^6+289154443470314199996264957034829158278139258219630\
      129646815211569151770241742592/5732493406524888157091434686504231275015\
      52537288354640273090328702416964467620849609375*ep^7+
      14426445189234178677777445228622915357984966813483162177254430101655515\
      41555171027200997600512/40888939845993111676926898709195616184570239446\
      44629107850322380489913145917782174329395294189453125*ep^8;
Fill mnchfac1(29,18)=
      -4096/425888087625-1426362534289664/61995718738014958771875*ep-
      285346725823217559206696896/9024598840687189254115398042890625*ep^2-
      43442756509046482665985073453396493344/13136936855188445294642806580290\
      06339341796875*ep^3-5630925956322699129602666919245718765310350510016/
      191231890728637893518195822251579667788500882710009765625*ep^4-
      94190527102301505391768969675610231373927636452786569286432/
      3976751792594469686194711263327841071954363962307774323243408203125*
      ep^5-722673887384131143320999300159805770166156516759282087866502091188\
      17536/40522173536153617346137282977397087029639068948540267776842742767\
      86773681640625*ep^6-758522797466986529284163739975459651810286741119499\
      9840296634153780752026206066304/589873571531410991364708629241285398199\
      097560869716924841009948234787056437181854248046875*ep^7-
      77390165025713204707113244958897482156483944110322516244481244991474231\
      7515000695477555859456/858667736765855345215464872893107939875975028375\
      37211264856769990288176064273425660917301177978515625*ep^8;
Fill mnchfac1(29,20)=
      512/2129440438125+182021860086688/309978593690074793859375*ep+
      36993169523306404038399632/45122994203435946270576990214453125*ep^2+
      5699595829354635323848872785757564448/656846842759422264732140329014503\
      1696708984375*ep^3+745349710660113300552135263436505170185622386672/
      956159453643189467590979111257898338942504413550048828125*ep^4+
      12548809741240576471552120191292257784413977252767866262144/
      19883758962972348430973556316639205359771819811538871616217041015625*
      ep^5+967277081904290419053196331379835200004845498616917542038346637127\
      2512/202610867680768086730686414886985435148195344742701338884213713839\
      33868408203125*ep^6+101855583920244952296635585726295032372271268140735\
      0745120508750157017745318688768/294936785765705495682354314620642699099\
      5487804348584624205049741173935282185909271240234375*ep^7+
      10415116807656469419681273845706492823972196559905646479203586860877023\
      6226238044963851953152/429333868382927672607732436446553969937987514187\
      686056324283849951440880321367128304586505889892578125*ep^8;
Fill mnchfac1(29,22)=
      -256/40459368324375-92972268622544/5889593280111421083328125*ep-
      19208889829017034792830616/857336889865282979140962814074609375*ep^2-
      2996966417354089544553996419174488424/124800900124290230299106662512755\
      602237470703125*ep^3-395636050075851119848821969352883752133494815136/
      18167029619220599884228603113900068439907583857450927734375*ep^4-
      6707427330629255807000958198416402866443748497728469344672/
      377791420296474620188497570016144901835664576419238560708123779296875*
      ep^5-519610709676834831630190455284231793368172406826739330957879626762\
      9056/384960648593459364788304188285272326781571155011132543880006056294\
      743499755859375*ep^6-54908778409554768803874937267024767427417662394219\
      8860839538992351937918158083584/560379892954840441796473197779221128289\
      14268282623107859895945082304770361532276153564453125*ep^7-
      56282408469196557487092953326727600383818084248171376992279184017051327\
      420801762863322085376/8157343499275625779546916292484525428821762769566\
      035070161393149077376726105975437787143611907958984375*ep^8;
Fill mnchfac1(29,24)=
      64/364134314919375+23760642614036/53006339521002789749953125*ep+
      4994377543079856463428004/7716032008787546812268665326671484375*ep^2+
      789631717561682112027013979882638256/1123208101118612072691959962614800\
      420137236328125*ep^3+105294856240590388546697084741673514182601462384/
      163503266572985398958057428025100615959168254717058349609375*ep^4+
      1798504228831165896033031633178018829749773850320307418368/
      3400122782668271581696478130145304116520981187773147046373114013671875*
      ep^5+140083976723429652116797928857912161173732156870952118196087355533\
      2864/346464583734113428309473769456745094103414039510019289492005450665\
      2691497802734375*ep^6+1486007004718750520432036272876876178320487033498\
      15926494227075295263305311159296/50434190365935639761682587800129901546\
      0228414543607970739063505740742933253790485382080078125*ep^7+
      15272353299569324158785503550400144900258062028408572274802144183163413\
      426999228641808978944/7341609149348063201592224663236072885939586492609\
      4315631452538341696390534953778940084292507171630859375*ep^8;
Fill mnchfac1(29,26)=
      -32/6190283353629375-12154331843818/901107771857047425749203125*ep-
      2601264240070237729885952/131172544149388295808567310553415234375*ep^2-
      417090040367725115703183962138163928/1909453771901640523576331936445160\
      7142333017578125*ep^3-56218898928266882659244528212543918768728123392/
      2779555531740751782286976276426710471305860330189991943359375*ep^4-
      968022519208615774851882801669285770568613657945415123584/
      57802087305360616888840128212470169980856680192143499788342938232421875
      *ep^5-75844296458151975550788922019058025932062179333969944978620650451\
      7632/588989792347992828126105408076466659975803867167032792136409266130\
      95755462646484375*ep^6-807947678564739515080556099519486306397720635781\
      20141715444259195710651698856448/85738123622090587594860399260220832628\
      23883047241335502564079597592629865314438251495361328125*ep^7-
      83280084532529062296408607504245995278674332195381745363492269138534258\
      36295910797861404672/12480735553891707442706781927501323906097297037436\
      03365734693151808838639094214241981432972621917724609375*ep^8;
Fill mnchfac1(29,28)=
      1/6190283353629375+388920876224/901107771857047425749203125*ep+
      84827912008321292632636/131172544149388295808567310553415234375*ep^2+
      13805828622791011074395112263112704/19094537719016405235763319364451607\
      142333017578125*ep^3+1882446104598762122550738656233208736235589056/
      2779555531740751782286976276426710471305860330189991943359375*ep^4+
      32697347461181348958224518309789769409688869127892160512/
      57802087305360616888840128212470169980856680192143499788342938232421875
      *ep^5+25783707310834906055388638332911578193458006963614675719440400645\
      376/5889897923479928281261054080764666599758038671670327921364092661309\
      5755462646484375*ep^6+2759416822030262684031129202556552318843107937046\
      897633994567545958909528408064/8573812362209058759486039926022083262823\
      883047241335502564079597592629865314438251495361328125*ep^7+
      28535545525636203031346134085691230197464486805935611337597881661726528\
      1994734290408772096/124807355538917074427067819275013239060972970374360\
      3365734693151808838639094214241981432972621917724609375*ep^8;
Fill mnchfac1(30,0)=
      1073741824/31+9979074250129694261248/139890941865675*ep+
      55561575535333391193766474444439552/631273406969860079023974375*ep^2+
      242579953380780498786203325032020785111727341568/2848691337927977150697\
      798735087609421875*ep^3+92171906492868117670384297402405443859850510839\
      1338520870912/12855035946688212509626306180978461918178258730859375*
      ep^4+321573588208152967151109544887892296919447341058747348917434752997\
      3137408/580097769773975201525456094929659981188758593748499301373730468\
      75*ep^5+106289853282720462094841819733484468255437601141487116179120983\
      97149645240626751209472/26177555931567382290692474565949893082829400811\
      9009291129825421517782958984375*ep^6+3393791625422258843234931634759386\
      4931965940349236991427432496356011761265724488972244645417320448/
      11812912758091446595520320881111306522855062956520408129779870800211589\
      72209528582763671875*ep^7+105991361180150384427995635531508443477671981\
      659257097432936166792960759129382137148627669258890284789152120832/
      53307080384079389682561196911537534644440743154014148511766469575716514\
      20332277286344841777191162109375*ep^8;
Fill mnchfac1(30,2)=
      -268435456/465-2535146722500146102272/2098364127985125*ep-
      14271731585745417099392829681041408/9469101104547901185359615625*ep^2-
      62791747456575801927692462892683153545910812672/42730370068919657260466\
      981026314141328125*ep^3-23987492396667781197054759288926113779909771713\
      2906831413248/192825539200323187644394592714676928772673880962890625*
      ep^4-840016044760872457195230616985502179756529733361823291638486607084\
      716032/8701466546609628022881841423944899717831378906227489520605957031\
      25*ep^5-278360185430874000136716516656785767159305475408040202347912320\
      2803674843514029375488/392663338973510734360387118489248396242441012178\
      5139366947381322766744384765625*ep^6-8903189477725850418350030723820100\
      701380572816845966892300436627035660629016365830370479670280192/
      17719369137137169893280481321666959784282594434780612194669806200317384\
      583142928741455078125*ep^7-27837061329067312565255419663779549416379128\
      753669360738709188068088646860903434110204783196338518273750908928/
      79960620576119084523841795367306301966661114731021222767649704363574771\
      304984159295172626657867431640625*ep^8;
Fill mnchfac1(30,4)=
      134217728/13485+1288458616405791604736/60852559711568625*ep+
      7336359329473321050467830573563904/274603932031889134375428853125*ep^2+
      32537464625356927413998478954159333709511131136/12391807319986700605535\
      42449763110098515625*ep^3+125000528248480466303815289139379376825242311\
      284551844429824/5591940636809372441687443188725630934407542547923828125
      *ep^4+43945901418286876090335817874352991257660633666066972602149926099\
      6386816/252342529851679212663573401294402091817109988280597196097572753\
      90625*ep^5+146018394762756526113411617647580112558050340828800699188648\
      5942809235110359107026944/113872368302318112964512264361882034910307893\
      531769041641474058360235587158203125*ep^6+46788099866168290587650651912\
      34630889352138391099311349464234260597018080492341907486717576912896/
      51386170497697792690513395832834183374419523860863775364542437980920415\
      2911144933502197265625*ep^7+1464658754533271574717866952374139348051567\
      8520364181026577539450069692812672419034593225800170537373659889664/
      23188579967074534511914120656518827570331723271996154602618414265436683\
      67844540619560006173078155517578125*ep^8;
Fill mnchfac1(30,6)=
      -16777216/94395-23394460241631379456/60852559711568625*ep-
      943437441003849812089947793522688/1922227524223223940628001971875*ep^2-
      4219231871042162864050436205165916811992072192/867426512399069042387479\
      7148341770689609375*ep^3-1630505718358282598808255046216665081958880976\
      2757977980928/39143584457665607091812102321079416540852797835466796875*
      ep^4-575601760892008666063646866943995795712771921736318069812413368433\
      13152/17663977089617544886450138090608146427197699179641803726830092773\
      4375*ep^5-1917996607887825408256340990298835355943425332138494594708855\
      52145618836563080941568/79710657811622679075158585053317424437215525472\
      2383291490318408521649110107421875*ep^6-8796608274278895920174584764864\
      4806630530121191164731562622134643711405556486550704273779900416/
      51386170497697792690513395832834183374419523860863775364542437980920415\
      2911144933502197265625*ep^7-1930062621933707590538516494720762056335012\
      161514556804503395171889440671450378211880415858673077534181265408/
      16232005976952174158339884459563179299232206290397308221832889985805678\
      574911784336920043211547088623046875*ep^8;
Fill mnchfac1(30,8)=
      8388608/2548665+11897518612719075328/1643019112212352875*ep+
      485638058126995029210380974751744/51900143154027046396956053240625*ep^2
      +2190782441324191059393974498566489182422941696/23420515834774864144461\
      9523005227808619453125*ep^3+8518682258624894431622791452917672120477811\
      687634133540864/1056876780356971391478926762669144246603025541557603515\
      625*ep^4+30203847285476720175703822368096409068156651355034023726515298\
      608050176/4769273814196737119341537284464199535343378778503287006244125\
      048828125*ep^5+10094791240721367127043706479149166202867332874974569010\
      3289407210954293333367773184/215218776091381233502928179643957045980481\
      91877504348870238597030084525972900390625*ep^6+463932988463934179410676\
      33049786704980774469277452320033688545159411196751572802979914236459008/
      13874266034378404026438616874865229511093271442433219348426458254848512\
      128600913204559326171875*ep^7+10193085103732384555988125970100555762511\
      00146171391110456393710196859535907636719688713484892441701203247104/
      43826416137770870227517688040820584107926956984072732198948802961675332\
      1522618177096841166711771392822265625*ep^8;
Fill mnchfac1(30,10)=
      -2097152/33132645-3026377627039301632/21359248458760587375*ep-
      125086362815637269475044303323136/674701861002351603160428692128125*
      ep^2-569405844957389010843482851516773535543988224/30446670585207323387\
      80053799067961512052890625*ep^3-222849776063005693106133279099365716741\
      2168045891561660416/137393981446406280892260479146988752058393320402488\
      45703125*ep^4-793774426638169395943856912383896366905419620251710434076\
      3184865209344/620005595845575825514399846980345939594639241205427310811\
      73625634765625*ep^5-266146685753927436252517602236351506019674624119739\
      35667805653154030463348655594496/27978440891879560355380663353714415977\
      4626494407556535313101761391098837647705078125*ep^6-
      12258223870487839343351157365137301766282114973661439907665017003086510\
      328379688436986232369152/1803654584469192523437020193732479836442125287\
      51631851529543957313030657671811871659271240234375*ep^7-
      26972005734504647179942949012797984472339514310815015040250792548206202\
      7895930493997610592395534402357118976/569743409791021312957729944530667\
      59340305044079294551858633443850177931797940363022589351672530281066894\
      53125*ep^8;
Fill mnchfac1(30,12)=
      1048576/828316125+1540227759926607872/533981211469014684375*ep+
      64489307064807723157632960372736/16867546525058790079010717303203125*
      ep^2+296343528808450223189375221763085687456180224/76116676463018308469\
      501344976699037801322265625*ep^3+11677402033612373620143784831535823011\
      01743571706528700416/34348495361601570223065119786747188014598330100622\
      1142578125*ep^4+4179654425968419054611269355339229407463931138023686547\
      390302838009344/1550013989613939563785999617450864848986598103013568277\
      029340640869140625*ep^5+14061780473917996745570540788493031785123459164\
      391707162047504525655487297871594496/6994610222969890088845165838428603\
      994365662360188913382827544034777470941192626953125*ep^6+
      92738770147473365509339767527157027324510263753325176745678511160430118\
      5145214575460856052736/644162351596140186941792926333028513015044745541\
      542326891228418975109491685042398783111572265625*ep^7+
      14306251101144356162005890006675449268688138480179194485288749554699635\
      5925186154270904904178732620757118976/142435852447755328239432486132666\
      89835076261019823637964658360962544482949485090755647337918132570266723\
      6328125*ep^8;
Fill mnchfac1(30,14)=
      -65536/2484948375-98024583068782592/1601943634407044053125*ep-
      4159599512464964778362237572096/50602639575176370237032151909609375*
      ep^2-19303581160182341180962373722201988251710464/228350029389054925408\
      504034930097113403966796875*ep^3-76613327427655839239109308352236140593\
      818553672929656576/1030454860848047106691953593602415640437949903018663\
      427734375*ep^4-27563365771619571644578456828473600956555429460110273762\
      0545618870784/465004196884181869135799885235259454695979430904070483108\
      8021922607421875*ep^5-9306874247647668615944460379566680248290861393591\
      60051905151613427294783783251456/20983830668909670266535497515285811983\
      096987080566740148482632104332412823577880859375*ep^6-
      43073110949367576986897272900163689491456551002658282113491671595111460\
      7468294049223999004672/135274093835189439257776514529935987733159396563\
      72388864715796798477299325385890374445343017578125*ep^7-
      95083258416902527510489160618507842884124264958949410778845301615515210\
      67407420851898393797810981946580736/42730755734326598471829745839800069\
      50522878305947091389397508288763344884845527226694201375439771080017089\
      84375*ep^8;
Fill mnchfac1(30,16)=
      32768/57153812625+49930734007453696/36844703591362013221875*ep+
      2148374793902090112834545013248/1163860710229056515451739493921015625*
      ep^2+10073302744746764976823981444043721952940032/525205067594826328439\
      5592803392233608291236328125*ep^3+4028305054224406844546265659811795142\
      6939694500786671488/237004617995050834539149326528555597300728477694292\
      58837890625*ep^4+145720382689201803194366775255126019235347475793515734\
      520907721144192/1069509652833618299012339736041096745800752691079362111\
      15024504219970703125*ep^5+493934121335285314488992366902399302840066317\
      298498769161534711014367457903084928/4826281053849224161303164428515736\
      75611230702853035023415100538399645494942291259765625*ep^6+
      22920985638041585721143871692879928513515800368397183131134270855096794\
      0713350187605606052736/311130415820935710292885983418852771786266612096\
      564943888463326364977884483875478612242889404296875*ep^7+
      50689605069007607298178999199374566784630999314662241666720198827419761\
      80806899188341804667118848322445568/98280738188951176485208415431540159\
      86202620103678310195614269064155693235144712621396663163511473484039306\
      640625*ep^8;
Fill mnchfac1(30,18)=
      -8192/628691938875-12722730966413824/405291739504982145440625*ep-
      555361387223274046608681264512/12802467812519621669969134433131171875*
      ep^2-2632240682571576364976485157432666176575808/5777255743543089612835\
      1520837314569691203599609375*ep^3-1061068437793944096830858104292656645\
      5328157102267915072/260705079794555917993064259181411157030801325463721\
      847216796875*ep^4-38606545278560498066837095779632369427121833430854438\
      429399863030848/1176460618116980128913573709645206420380827960187298322\
      265269546419677734375*ep^5-13140245405991759883341580636831112143179510\
      6603380086690926529501432282624154432/530890915923414657743348087136731\
      0431723537731383385257566105922396100444365203857421875*ep^6-
      61152906713851966544499018730996231743728088023508957621873453618677772\
      000755499159982451584/3422434574030292813221745817607380489648932733062\
      214382773096590014756729322630264734671783447265625*ep^7-
      13550453525700165504586832068111297669211642672880211085651146708213649\
      17102349633384836357419350739310592/10810881200784629413372925697469417\
      58482288211404614121517569597057126255865918388353632947986262083244323\
      73046875*ep^8;
Fill mnchfac1(30,20)=
      4096/13202530716375+45409732419133184/59577885707232375379771875*ep+
      287438620244480061132327211456/268851824062912055069351823095754609375*
      ep^2+1377886945455635176939362480484709707140704/1213223706144048818695\
      381937583605963515275591796875*ep^3+56014311330314820205015346061515824\
      47844337503041012736/54748066756856742778543494428096342976468278347381\
      58791552734375*ep^4+292956330155078587213408905911051381961300322846231\
      3849011785976032/352938185435094038674072112893561926114248388056189496\
      6795808639259033203125*ep^5+7010788691715294894372209626497762466713047\
      0809852598583900944336963428956308416/111487092343917078126103098298713\
      519066194292359051090408888224370318109331669281005859375*ep^6+
      22910039367214203663181203278714569119953709236044031082481564194064852\
      3274818515204657081344/503097882382453043543596635188284931978393111760\
      145514267645198732169239210426648915996752166748046875*ep^7+
      72675319833200194386561228445465942252204297672214446931288008867622572\
      8763380153224109123166383854442496/227028505216477217680831439646857769\
      28128052439496896551868961538199651373184286155426291907711503748130798\
      33984375*ep^8;
Fill mnchfac1(30,22)=
      -512/66012653581875-5791739394706528/297889428536161876898859375*ep-
      37236620883731024772630291152/1344259120314560275346759115478773046875*
      ep^2-180637587484083746197841950938659651013568/60661185307202440934769\
      09687918029817576377958984375*ep^3-740936250095857415988023244601047423\
      299645130910220912/2737403337842837138927174721404817148823413917369079\
      3957763671875*ep^4-3900779633593622484006607602695851297329674336255356\
      10987824325344/17646909271754701933703605644678096305712419402809474833\
      979043196295166015625*ep^5-93795804063662123746399727623494736767304620\
      79226291935047578640827896233769472/55743546171958539063051549149356759\
      5330971461795255452044441121851590546658346405029296875*ep^6-
      30753869107971625720872151232838204407263805526879918354987014801789497\
      769176599057552360448/2515489411912265217717983175941424659891965558800\
      727571338225993660846196052133244579983760833740234375*ep^7-
      97783162235899980021001447931948631095529071430033102893406912480264740\
      878304194505711487571585951480832/1135142526082386088404157198234288846\
      40640262197484482759344807690998256865921430777131459538557518740653991\
      69921875*ep^8;
Fill mnchfac1(30,24)=
      256/1254240418055625+2956671193308464/5659899142187075661078328125*ep+
      19320537127806141023822664376/25540923285976645231588423194096687890625
      *ep^2+94907534210903578211849391543155806490984/11525625208368463777606\
      1284070442566533951181220703125*ep^3+3930092190223125343002029020998314\
      02488123181006938256/52010663419013905639616319706691525827644864430012\
      5085197509765625*ep^4+2976765016029416621650160150000880714650210342271\
      3059732175600896/478987537376199052486240724641262614012194240933400031\
      20800260104229736328125*ep^5+503621975544884753327265884970504261681694\
      5103125390610799916073794961403201536/105912737726721224219797943383777\
      84311288457774109853588844381315180220386508581695556640625*ep^6+
      16573066175432771596587556337001487490270336791512220443512925973540623\
      144240246042191911424/4779429882633303913664168034288706853794734561721\
      3823855426293879556077724990531647019691455841064453125*ep^7+
      52827781180570449369248551125141690820171001659484020263061354359894664\
      268556045791572088750591775241216/2156770799556533567967898676645148808\
      17216498175220517242755134612896688045250718476549773123259285607242584\
      228515625*ep^8;
Fill mnchfac1(30,26)=
      -64/11288163762500625-755212637537516/50939092279683680949704953125*ep-
      5019466552872653062484062444/229868309573789807084295808746870191015625
      *ep^2-24985266892769995625068909234641658719896/10373062687531617399845\
      51556633983098805560630986328125*ep^3-104516126473131649169952945713863\
      118431753957930017664/4680959707711251507565468773602237324488037798701\
      125766777587890625*ep^4-55836567343361282277724404493124282107879182910\
      821380054771168768/3017621485470054030663316565239954468276823717880420\
      196610416386566473388671875*ep^5-13570427703558731776019144942055402312\
      56641862301257393265823247163391848073984/95321463954049101797818149045\
      400058801596119966988682299599431836621983478577235260009765625*ep^6-
      44834779977956265979268397204806396147454162450293253015140810831714532\
      87613767419975200256/43014868943699735222977512308598361684152611055492\
      4414698836644916004699524914784823177223102569580078125*ep^7-
      14330955976048814754875477051562359305429294236463437139133931256395451\
      024874282762750586832383270651904/1941093719600880211171108808980633927\
      35494848357698465518479621151607019240725646628894795810933357046518325\
      8056640625*ep^8;
Fill mnchfac1(30,28)=
      32/191898783962510625+386100645409558/865964568754622576144984203125*ep
      +2612222807634216617065555172/39077612627544267204330287486967932472656\
      25*ep^2+13186042002216019682283767030369636429248/176342065688037495797\
      37376462777712679694530726767578125*ep^3+557582678573824279794689776716\
      64356259388587424700032/79576315031091275628612969151238034516296642577\
      919138035218994140625*ep^4+42903855118381948393143647676680347530180964\
      28120601984630474112/73285093218558455030394830870113179943865718862810\
      20477482439795947149658203125*ep^5+734326162105216794673641156751346459\
      833444411463144928944024730808624668584192/1620464887218834730562908533\
      771800999627134039438807599093190341222573719135812999420166015625*ep^6
      +2436664195204274624952666535844453901592520434862077303172060925425781\
      301580720363842044928/7312527720428954987906177092461721486305943879433\
      715049880222963572079891923551341994012792743682861328125*ep^7+
      78122849126496311757119530193568731808779236143525730792533236114816291\
      43473754260695248143537289009152/32998593233214963589908849752670776765\
      03412422080873913814153559577319327092335992691211528785867069790811538\
      6962890625*ep^8;
Fill mnchfac1(30,30)=
      -1/191898783962510625-12347683358294/865964568754622576144984203125*ep-
      85114480994316988246696096/3907761262754426720433028748696793247265625*
      ep^2-436069346667442343847318558027528918464/17634206568803749579737376\
      462777712679694530726767578125*ep^3-18654340794626727598833755208267321\
      35180736766528576/79576315031091275628612969151238034516296642577919138\
      035218994140625*ep^4-10136823521329120662307781492859245838866065811126\
      61666970474112/51299565252990918521276381609079225960706003203967143342\
      377078571630047607421875*ep^5-24948972511246495142796358164207857912831\
      761190063538178659686989159424083456/1620464887218834730562908533771800\
      999627134039438807599093190341222573719135812999420166015625*ep^6-
      83182319130736620471607566337284964902227893521407462243905902194737506\
      739706597691720704/7312527720428954987906177092461721486305943879433715\
      049880222963572079891923551341994012792743682861328125*ep^7-
      26759449418515964757654988299280873269750324805515828223849372788192396\
      9096943508473135266881755572736/329985932332149635899088497526707767650\
      34124220808739138141535595773193270923359926912115287858670697908115386\
      962890625*ep^8;
Fill mnchfac1(31,0)=
      67108864+632850493448365539328/4512611027925*ep+
      3560296799746706673279081981673472/20363658289350325129805625*ep^2+
      15659887195468704447734969831292005596198862848/91893268965418617764445\
      120486697078125*ep^3+59817133889705271898053689444483684103314299993451\
      823890432/414678578925426209987945360676724578005750281640625*ep^4+
      209468403078664500229181510976202322801212315878311194813711812873945088
      /1871283128303145811372439015902128971576640624995159036689453125*ep^5+
      69413288743917626631022858390796980197650058542736997362186455709874557\
      3518905966592/844437288115076848086854018256448163962238735867771906870\
      4045855412353515625*ep^6+2220189175154624425174029599481291543709542349\
      715849432328493943202235367749408067955652610326528/
      38106170187391763211355873810036472654371170827485187515418938065198676\
      522888018798828125*ep^7+69418708392407630088741234423520045359931583996\
      94293911974309266765045837563863740226509133124115229118103552/
      17195832381961093445987482874689527304658304243230370487666603088940811\
      0333299267301446508941650390625*ep^8;
Fill mnchfac1(31,2)=
      -33554432/31-321309701558987915264/139890941865675*ep-
      1826920841893817189262835566247936/631273406969860079023974375*ep^2-
      8095884989291644636452691324601046279014580224/284869133792797715069779\
      8735087609421875*ep^3-3108706952173940840452737995849799228680793971352\
      2267324416/12855035946688212509626306180978461918178258730859375*ep^4-
      109259487111902327853117713046111634588103612721339118335023955637305344
      /58009776977397520152545609492965998118875859374849930137373046875*ep^5
      -3629711394114139348710968042599539011909252678033252521455234290970489\
      17948644458496/26177555931567382290692474565949893082829400811900929112\
      9825421517782958984375*ep^6-1162931605852358958268186707877539097434329\
      083065144699158360529441917837816905371146019516760064/
      11812912758091446595520320881111306522855062956520408129779870800211589\
      72209528582763671875*ep^7-364022116121044229490340637271345657127053095\
      7708867127942247349225188727836587959946470462265242910450302976/
      53307080384079389682561196911537534644440743154014148511766469575716514\
      20332277286344841777191162109375*ep^8;
Fill mnchfac1(31,4)=
      8388608/465+81589242888738308096/2098364127985125*ep+
      469002894380780026412489421881344/9469101104547901185359615625*ep^2+
      2094518835099959557824925249154733594260996096/427303700689196572604669\
      81026314141328125*ep^3+808682567355047550347725380315031237510790637749\
      7399230464/192825539200323187644394592714676928772673880962890625*ep^4+
      28531295068487945021483395668077583538036587766366552978102597409816576/
      870146654660962802288184142394489971783137890622748952060595703125*ep^5
      +9503447274508817934640310347612324450967229510605274138227600834471639\
      0204129910784/392663338973510734360387118489248396242441012178513936694\
      7381322766744384765625*ep^6+3050280217878404984168846390836780628619415\
      51040400128395534689806896676365614812029279038611456/
      17719369137137169893280481321666959784282594434780612194669806200317384\
      583142928741455078125*ep^7+95593771746747578065341699739008211259567270\
      0427273077872304363224613716308763760321152633487147335107272704/
      79960620576119084523841795367306301966661114731021222767649704363574771\
      304984159295172626657867431640625*ep^8;
Fill mnchfac1(31,6)=
      -4194304/13485-41447285667985358848/60852559711568625*ep-
      240950946444973065980552410038272/274603932031889134375428853125*ep^2-
      1084753138174688452420167433512613097079144448/123918073199867006055354\
      2449763110098515625*ep^3-4212208318633973972962502736614603155880268217\
      802797432832/5591940636809372441687443188725630934407542547923828125*
      ep^4-149210978001262171046023190627200003856328734063061657824413870726\
      26688/25234252985167921266357340129440209181710998828059719609757275390\
      625*ep^5-49839067768461228458137454781991267892307428837981634930750703\
      814905392521563860992/1138723683023181129645122643618820349103078935317\
      69041641474058360235587158203125*ep^6-160269332508867130589407282392001\
      266678621791887395860538702759377037905158095678513937482416128/
      51386170497697792690513395832834183374419523860863775364542437980920415\
      2911144933502197265625*ep^7-5029079331240031496834778230988841455676472\
      99693336085835357195517080960010835769796930791190643667094269952/
      23188579967074534511914120656518827570331723271996154602618414265436683\
      67844540619560006173078155517578125*ep^8;
Fill mnchfac1(31,8)=
      524288/94395+752201059431415808/60852559711568625*ep+
      30967466004623402073913294864384/1922227524223223940628001971875*ep^2+
      140585004007527345953780659559265619481747456/8674265123990690423874797\
      148341770689609375*ep^3+54918337695229132594395702892231546964887782341\
      0900168704/39143584457665607091812102321079416540852797835466796875*
      ep^4+195364618798677721357714778102668429700637173627130639566034886104\
      4736/176639770896175448864501380906081464271976991796418037268300927734\
      375*ep^5+65447422329352524325553368518356391521587278605009160435153906\
      06613287961994420224/79710657811622679075158585053317424437215525472238\
      3291490318408521649110107421875*ep^6+4303764867028462582598894925199789\
      28857688516048994815333813242460276783342911475057522038784/
      73408814996711132415019136904048833392027891229805393377917768544172021\
      844449276214599609375*ep^7+66262204580596435718576177790476123443271622\
      347449824847671049863755252026061340695754153319226172311609344/
      16232005976952174158339884459563179299232206290397308221832889985805678\
      574911784336920043211547088623046875*ep^8;
Fill mnchfac1(31,10)=
      -262144/2548665-382359545087688704/1643019112212352875*ep-
      15931069272628946672058090299392/51900143154027046396956053240625*ep^2-
      72955121221774876425368332251531024708374528/23420515834774864144461952\
      3005227808619453125*ep^3-2867849508675896076756385603629475254564495247\
      48189591552/1056876780356971391478926762669144246603025541557603515625*
      ep^4-102475453591664839049450762361927577050069934201323858892336912000\
      7168/476927381419673711934153728446419953534337877850328700624412504882\
      8125*ep^5-3443642176456279291298046827639572503618741976535411048710279\
      053072930983658253312/2152187760913812335029281796439570459804819187750\
      4348870238597030084525972900390625*ep^6-1588538960929296585002340047113\
      150571514939102536713639291007166617323422738066627543519494144/
      13874266034378404026438616874865229511093271442433219348426458254848512\
      128600913204559326171875*ep^7-34989591513766604945579281969672716214419\
      711691352461837760210732933284945273612686211302487575679600463872/
      43826416137770870227517688040820584107926956984072732198948802961675332\
      1522618177096841166711771392822265625*ep^8;
Fill mnchfac1(31,12)=
      65536/33132645+97214822955032576/21359248458760587375*ep+
      4100876886426951863085543528448/674701861002351603160428692128125*ep^2+
      18950536546284219134315273387656489283244032/30446670585207323387800537\
      99067961512052890625*ep^3+749853300324303984360984246862330331760837887\
      91745151488/13739398144640628089226047914698875205839332040248845703125
      *ep^4+26920323502673675584950149916058106737274476218274986576203068474\
      4192/620005595845575825514399846980345939594639241205427310811736256347\
      65625*ep^5+907633985926944358081142426783964597253809164149320398271398\
      726795881971945084928/2797844089187956035538066335371441597746264944075\
      56535313101761391098837647705078125*ep^6+419639131079650813083963162366\
      682783170604667965791870155903808146934708360758886053976052736/
      18036545844691925234370201937324798364421252875163185152954395731303065\
      7671811871659271240234375*ep^7+9257231616695969624655058773888273303203\
      055443971592674418740702303533819631323546156816997147471622445568/
      56974340979102131295772994453066759340305044079294551858633443850177931\
      79794036302258935167253028106689453125*ep^8;
Fill mnchfac1(31,14)=
      -32768/828316125-49452378552733696/533981211469014684375*ep-
      2112923060881448523305868213248/16867546525058790079010717303203125*
      ep^2-9856660269369736398250367384907030256940032/7611667646301830846950\
      1344976699037801322265625*ep^3-3927183596941792216044900744456908490557\
      5063782616671488/343484953616015702230651197867471880145983301006221142\
      578125*ep^4-14169035831666665786812600687084984871414932869694778314780\
      3571144192/155001398961393956378599961745086484898659810301356827702934\
      0640869140625*ep^5-4793927319030895670254455489503379525678761077411834\
      88596525758013420111153084928/69946102229698900888451658384286039943656\
      62360188913382827544034777470941192626953125*ep^6-
      22218135370378526341362751845922653703052212424511302120556107902462552\
      2944581673506856052736/450913646117298130859255048433119959110531321879\
      0796288238598932825766441795296791481781005859375*ep^7-
      49093488558864266109065316266917966607330556276387706670878345561439994\
      20310940799056417819441898322445568/14243585244775532823943248613266689\
      83507626101982363796465836096254448294948509075564733791813257026672363\
      28125*ep^8;
Fill mnchfac1(31,16)=
      2048/2484948375+3145784536838656/1601943634407044053125*ep+
      136198104386211299472210441728/50602639575176370237032151909609375*ep^2
      +641649977995429250861795527032443907444352/228350029389054925408504034\
      930097113403966796875*ep^3+25751362800373704526398571238419446326816648\
      54682522368/10304548608480471066919535936024156404379499030186634277343\
      75*ep^4+933983857711276607241209077048834603605585571810878823892906841\
      0112/465004196884181869135799885235259454695979430904070483108802192260\
      7421875*ep^5+3171817318403136496761816305589661455465888649152440086777\
      6603788310346854750208/209838306689096702665354975152858119830969870805\
      66740148482632104332412823577880859375*ep^6+147383094761050012732443641\
      48502669761062553919297265155110407570172622585340685706035572096/
      13527409383518943925777651452993598773315939656372388864715796798477299\
      325385890374445343017578125*ep^7+32623254537306419260441742613903785586\
      1671274188835682711185844180029824595337596579428728782169563797248/
      42730755734326598471829745839800069505228783059470913893975082887633448\
      8484552722669420137543977108001708984375*ep^8;
Fill mnchfac1(31,18)=
      -1024/57153812625-1601593595702528/36844703591362013221875*ep-
      70298686212912126787592510464/1163860710229056515451739493921015625*
      ep^2-334617624939150556642665405550177708448576/52520506759482632843955\
      92803392233608291236328125*ep^3-135322027847253228323243266073191250890\
      9899796922238784/237004617995050834539149326528555597300728477694292588\
      37890625*ep^4-493542175602798689079366517615042425670980040878474249817\
      5775163456/106950965283361829901233973604109674580075269107936211115024\
      504219970703125*ep^5-16827418706959719983301813098801630851220576571897\
      317914094798294055037125440704/4826281053849224161303164428515736756112\
      30702853035023415100538399645494942291259765625*ep^6-
      78408043978570837195129756061972942406629097471332333754426189687858841\
      96391827402372293248/31113041582093571029288598341885277178626661209656\
      4943888463326364977884483875478612242889404296875*ep^7-
      17388485976283683572026434866145814331109566963407118112037532381419355\
      6063276109498932578205075117492224/982807381889511764852084154315401598\
      62026201036783101956142690641556932351447126213966631635114734840393066\
      40625*ep^8;
Fill mnchfac1(31,20)=
      256/628691938875+407899882192832/405291739504982145440625*ep+
      18160346759896612337903029216/12802467812519621669969134433131171875*
      ep^2+87379432646589979841069525301607384696544/577725574354308961283515\
      20837314569691203599609375*ep^3+356228223771534512270681518760372595223\
      395055323059296/2607050797945559179930642591814111570308013254637218472\
      16796875*ep^4+130692450314561314432443509650185811639049758881481075421\
      1138647264/117646061811698012891357370964520642038082796018729832226526\
      9546419677734375*ep^5+4474929309719943415242011476542234827635936307290\
      867530343020977764427146307776/5308909159234146577433480871367310431723\
      537731383385257566105922396100444365203857421875*ep^6+
      29876121026876136154932991591873815361385618089234058938089708378532088\
      2851840503168009216/488919224861470401888820831086768641378418961866030\
      626110442370002108104188947180676381683349609375*ep^7+
      46474008735099053538685385705409150791740674890563490313251157594563683\
      299473964258618500236372962758656/1081088120078462941337292569746941758\
      48228821140461412151756959705712625586591838835363294798626208324432373\
      046875*ep^8;
Fill mnchfac1(31,22)=
      -128/13202530716375-1455155026321312/59577885707232375379771875*ep-
      9392866171334879796363640208/268851824062912055069351823095754609375*
      ep^2-45708114012275439972309755084904537148672/121322370614404881869538\
      1937583605963515275591796875*ep^3-1879361566170742737182777287816242051\
      84695865874323248/54748066756856742778543494428096342976468278347381587\
      91552734375*ep^4-991210207886053560839216230395060529558489537982118413\
      62162996576/35293818543509403867407211289356192611424838805618949667958\
      08639259033203125*ep^5-238656285869658627763601447424093067132241916432\
      5561955330249619608954111615488/111487092343917078126103098298713519066\
      194292359051090408888224370318109331669281005859375*ep^6-
      78324891694413404402448450693235868869120917777778155648127457274446665\
      17972536255522440192/50309788238245304354359663518828493197839311176014\
      5514267645198732169239210426648915996752166748046875*ep^7-
      24920098510507818044678081535893274410451119597968882726539422080961162\
      052557309620687938179744836348928/2270285052164772176808314396468577692\
      81280524394968965518689615381996513731842861554262919077115037481307983\
      3984375*ep^8;
Fill mnchfac1(31,24)=
      16/66012653581875+185504467112504/297889428536161876898859375*ep+
      1215963746617921776148488736/1344259120314560275346759115478773046875*
      ep^2+5987872822161681707963353060732879341224/6066118530720244093476909\
      687918029817576377958984375*ep^3+24843066623689244075420674913384200327\
      979274807674416/2737403337842837138927174721404817148823413917369079395\
      7763671875*ep^4+1319089257295806650236841936599314188078466692069044947\
      7873832192/176469092717547019337036056446780963057124194028094748339790\
      43196295166015625*ep^5+319154235889589876692512451106897459985204217800\
      189730200458682152109290538496/5574354617195853906305154914935675953309\
      71461795255452044441121851590546658346405029296875*ep^6+
      10510720924043845600440092642224662534120816702511449336345892294292293\
      52585760277507480064/25154894119122652177179831759414246598919655588007\
      27571338225993660846196052133244579983760833740234375*ep^7+
      33521662895798887752986199684397176195908158199764138424112747405676336\
      73060294199716025415892278782976/11351425260823860884041571982342888464\
      06402621974844827593448076909982568659214307771314595385575187406539916\
      9921875*ep^8;
Fill mnchfac1(31,26)=
      -8/1254240418055625-94652280304852/5659899142187075661078328125*ep-
      630462342989062120499770268/25540923285976645231588423194096687890625*
      ep^2-3143674901694729039909052768461483498712/1152562520836846377760612\
      84070442566533951181220703125*ep^3-131681744712971838554649868757447339\
      57247173389812608/52010663419013905639616319706691525827644864430012508\
      5197509765625*ep^4-7042234627357350004914792908968007618232324589021186\
      992395600896/3352912761633393367403685072488838298085359686533800218456\
      01820729608154296875*ep^5-171285121075560020647512953554334853816989172\
      513035710501466481182519186171648/1059127377267212242197979433837778431\
      1288457774109853588844381315180220386508581695556640625*ep^6-
      56621726337508917404143661387089522075986915720992221592404489760245575\
      9148199871741701632/477942988263330391366416803428870685379473456172138\
      23855426293879556077724990531647019691455841064453125*ep^7-
      18105630535745728935708713792021573253424164866779737904588109518150625\
      86598257333838732358560253605888/21567707995565335679678986766451488081\
      72164981752205172427551346128966880452507184765497731232592856072425842\
      28515625*ep^8;
Fill mnchfac1(31,28)=
      2/11288163762500625+24164471301538/50939092279683680949704953125*ep+
      163673633507226505503467492/229868309573789807084295808746870191015625*
      ep^2+826951805620641433528141420377923192128/10373062687531617399845515\
      56633983098805560630986328125*ep^3+349936094213575138230798404195987179\
      5867650644573952/468095970771125150756546877360223732448803779870112576\
      6777587890625*ep^4+1885886075713716941627182921896946614052934597592325\
      719197309824/3017621485470054030663316565239954468276823717880420196610\
      416386566473388671875*ep^5+46130829831041752056425521945868363274065172\
      579016000311843770869820206867712/9532146395404910179781814904540005880\
      1596119966988682299599431836621983478577235260009765625*ep^6+
      15311934314504399211152245108935434302335154246499366045058074881266213\
      6180007856425028608/430148689436997352229775123085983616841526110554924\
      414698836644916004699524914784823177223102569580078125*ep^7+
      49102787653058532181559134031426415566311353590958174374884182748502806\
      3627508310449501098664752950272/194109371960088021117110880898063392735\
      49484835769846551847962115160701924072564662889479581093335704651832580\
      56640625*ep^8;
Fill mnchfac1(31,30)=
      -1/191898783962510625-12347683358294/865964568754622576144984203125*ep-
      85114480994316988246696096/3907761262754426720433028748696793247265625*
      ep^2-436069346667442343847318558027528918464/17634206568803749579737376\
      462777712679694530726767578125*ep^3-18654340794626727598833755208267321\
      35180736766528576/79576315031091275628612969151238034516296642577919138\
      035218994140625*ep^4-10136823521329120662307781492859245838866065811126\
      61666970474112/51299565252990918521276381609079225960706003203967143342\
      377078571630047607421875*ep^5-24948972511246495142796358164207857912831\
      761190063538178659686989159424083456/1620464887218834730562908533771800\
      999627134039438807599093190341222573719135812999420166015625*ep^6-
      83182319130736620471607566337284964902227893521407462243905902194737506\
      739706597691720704/7312527720428954987906177092461721486305943879433715\
      049880222963572079891923551341994012792743682861328125*ep^7-
      26759449418515964757654988299280873269750324805515828223849372788192396\
      9096943508473135266881755572736/329985932332149635899088497526707767650\
      34124220808739138141535595773193270923359926912115287858670697908115386\
      962890625*ep^8;
Fill mnchfac1(32,0)=
      4294967296/33+41071396562058757537792/148916163921525*ep+23338005998609\
      5438919782912709623808/672000723548560729283585625*ep^2+939934356416839\
      82140943715587978116565043249152/275679806896255853293335361460091234375
      *ep^3+3969733152451951507666681056236268003113509784801050385973248/
      13684393104539064929602196902331911074189759294140625*ep^4+
      13951803462855073046639947722691217275465367268277560861003974132767916\
      032/61752343234003811775290487524770256062029140624840248210751953125*
      ep^5+463497066819666465620843397423189734302062491960129144160310107450\
      53792611531437375488/27866430507797535986866182602462789410753878283636\
      4729267233513228607666015625*ep^6+1485036581592849277836300314889298799\
      18508384946280193299045694353196734825904616390601586486280192/
      12575036161839281859747438357312035975942486373070111880088249561515563\
      25255304620361328125*ep^7+422596848297020268759358572721608728377438742\
      99061790514948535822058846749434399142154913291286285561852264448/
      51587497145883280337962448624068581913974912729691111462999809266822433\
      0999897801904339526824951171875*ep^8;
Fill mnchfac1(32,2)=
      -67108864/33-651204202524603056128/148916163921525*ep-
      3738395664337229635534619590787072/672000723548560729283585625*ep^2-
      1516573356621866735410929228842003218595053568/275679806896255853293335\
      361460091234375*ep^3-64379604325537985000997074340913110571101222097327\
      103148032/13684393104539064929602196902331911074189759294140625*ep^4-
      227075682621262727066998640660533568484689059493331981682305945417023488
      /61752343234003811775290487524770256062029140624840248210751953125*ep^5
      -7562361740798009604466708539792248375800558024809582350486929148643609\
      25335727112192/27866430507797535986866182602462789410753878283636472926\
      7233513228607666015625*ep^6-2427013399328461992028614667937008354067531\
      851795392323619528846049127990005617746711775817596928/
      12575036161839281859747438357312035975942486373070111880088249561515563\
      25255304620361328125*ep^7-691421687483217349977854417584027717089174164\
      515448670291148645863345459249767997466947931997223866919288832/
      51587497145883280337962448624068581913974912729691111462999809266822433\
      0999897801904339526824951171875*ep^8;
Fill mnchfac1(32,4)=
      33554432/1023+330486556097106673664/4616401081567275*ep+
      1917306131446832808824125297524736/20832022430005382607791154375*ep^2+
      783659278875963272013128693803412446186307584/8546074013783931452093396\
      205262828265625*ep^3+33444635857733691644189853997857678697912961188651\
      909513216/424216186240711012817668103972289243299882538118359375*ep^4+
      118406313329874748962899080343270920055791090499624156106748061099884544
      /1914322640254118165034005113267877937922903359370047694533310546875*
      ep^5+395354268824040342175882825268189352609696415151723171231283006916\
      985323900078391296/8638593457417236155928516606763464717333702267927306\
      607284238910086837646484375*ep^6+12710576684846371079323066671064989227\
      84849229810599550344120577791023415248836996560220906635264/
      38982612101701773765217058907667311525421707756517346828273573640698246\
      082914443231201171875*ep^7+36253133890856589533114716644705136261906228\
      3684562323972374688761660105283898070401240500176490039418863616/
      15992124115223816904768359073461260393332222946204244553529940872714954\
      260996831859034525331573486328125*ep^8;
Fill mnchfac1(32,6)=
      -8388608/15345-83883456523267997696/69246016223509125*ep-
      491944313227287083731471427436544/312480336450080739116867315625*ep^2-
      202641951031095200248968691095814292963393536/1281911102067589717814009\
      43078942423984375*ep^3-869645520884591418696660868384832859593087064342\
      0906225664/6363242793610665192265021559584338649498238071775390625*ep^4
      -30909702321778483286464227707500131262283665229787633086067970443493376
      /28714839603811772475510076699018169068843550390550715417999658203125*
      ep^5-103488015991581304229886665344843452604676314399115077883486549199\
      227369694995881984/1295789018612585423389277491014519707600055340189095\
      99109263583651302564697265625*ep^6-333331122528548895230644700623559546\
      938098787512066259929969033453250404024713561164337234272256/
      58473918152552660647825588361500967288132561634776020242410360461047369\
      1243716648468017578125*ep^7-9519099745281707733359098164946385561107096\
      8666170949109952120064854090012302954631672207488366984665227264/
      23988186172835725357152538610191890589998334419306366830294911309072431\
      3914952477885517879973602294921875*ep^8;
Fill mnchfac1(32,8)=
      4194304/445005+42594392485250203648/2008134470481764625*ep+
      252600154036288570034177674575872/9061929757052341434389152153125*ep^2+
      104894286615107817998383589649631008188039168/3717542195996010181660627\
      349289330295546875*ep^3+45277730616644148125707624609327850055178558988\
      68558610432/184534041014709290575685625227945820835448904081486328125*
      ep^4+161594055970964340342234429779097517552136587702295155470162147785\
      85088/83273034851054140178979222427152690299646296132597074712199008789\
      0625*ep^5+5425852909586549134192709148778993140357871863683773223625346\
      8035428630717730926592/375778815397649772782890472394210715204016048654\
      8378374168643925887774376220703125*ep^6+1751085832214121060895302399658\
      87402432413828222634325607676436428080433859981435312233714966528/
      16957436264240271587869420624835280513558442874085045870299004533703737\
      046067782805572509765625*ep^7+50072605070387431744948199941511975040724\
      647689557970667301595813181029212971134997108065743628462160351232/
      69565739901223603535742361969556482710995169815988463807855242796310051\
      03533621858680018519234466552734375*ep^8;
Fill mnchfac1(32,10)=
      -524288/3115035-772685109739716608/2008134470481764625*ep-
      32446726091367292252178477891584/63433508299366390040724065071875*ep^2-
      13587173664485769049014919516070443429175296/26022795371972071271624391\
      445025312068828125*ep^3-59005913009675173616716327269969932783530535302\
      2617595904/1291738287102965034029799376595620745848142328570404296875*
      ep^4-211502239026571261702253148136902958631675409107189120749226047980\
      9536/582911243957378981252854556990068832097524072928179522985393061523\
      4375*ep^5-7123183042791091700833196708867540339296217872231908531207234\
      183902691838186983424/2630451707783548409480233306759475006428112340583\
      8648619180507481214420633544921875*ep^6-3290939773611070453543294225816\
      185646360338305013761881111546844337238995989951503215048869888/
      16957436264240271587869420624835280513558442874085045870299004533703737\
      046067782805572509765625*ep^7-65965922500401180460395159225719763024025\
      07251502448701221653091347889061417996647499739141205248616853504/
      48696017930856522475019653378689537897696618871191924665498669957417035\
      724735353010760129634641265869140625*ep^8;
Fill mnchfac1(32,12)=
      262144/84105945+392601570241839104/54219630703007644875*ep+
      16682681831912459553852472532992/1712704724082892531099549756940625*
      ep^2+7047063108371006430823706199014709450600448/7026154750432459243338\
      58569015683425858359375*ep^3+307985387332468563010349327186410167213829\
      057853353265152/3487693375178005591880458316808176013789984287140091601\
      5625*ep^4+1108985945329754465394742781787033257334727722500199484181897\
      714029568/1573860358684923249382707303873185846663314996906084712060561\
      26611328125*ep^5+374694049201439330046003646796750935912282844402823646\
      3578862581617426531920294912/710221961101558070559662992825058251735590\
      331957643512717873701992789357105712890625*ep^6+17349327703253388066948\
      43930585859218654102088174286699686120395177799044827261517993817913344/
      45785077913448733287247435687055257386607795760029623849807312241000090\
      0243830135750457763671875*ep^7+3482819819513493924110908761925010072457\
      550510309939496176381012742530943926908163040907111895936850173952/
      13147924841331261068255306412246175232378087095221819659684640888502599\
      64567854531290523500135314178466796875*ep^8;
Fill mnchfac1(32,14)=
      -65536/1093377285-14253618463367168/100693599877014197625*ep-
      4291890871724871722013642446848/22265161413077602904294146840228125*
      ep^2-1829484777366864536724334759169566053056512/9134001175562197016340\
      161397203884536158671875*ep^3-80489165486941482670699644146191688366790\
      143261368549888/4534001387731407269444595811850628817926979573282119082\
      03125*ep^4-291216343863394479320952983733276690634257012656413038116718\
      825569792/2046018466290400224197519495035141600662309495977910125678729\
      645947265625*ep^5-98727920318936574154225126314246262943268775554944741\
      4924687135619075781093475328/923288549432025491727561890672575727256267\
      4315449365665332358125906261642374267578125*ep^6-4582123520316277713295\
      88775763980947256493321231294493724986287813818010886808236533601217536/
      59520601287483353273421666393171834602590134488038511004749505913300117\
      03169791764755950927734375*ep^7-921313831767763796814559872808437422754\
      683700111286075107196371512752674323991341108491655958145483417088/
      17092302293730639388731898335920027802091513223788365557590033155053379\
      539382108906776805501759084320068359375*ep^8;
Fill mnchfac1(32,16)=
      32768/27334432125+50732631697002496/17621379978477484584375*ep+
      2210047693178470104779259419648/556629035326940072607353671005703125*
      ep^2+951008154474259071962192166148121209152512/22835002938905492540850\
      4034930097113403966796875*ep^3+4213285589310268443956905046964778866386\
      9204512227269888/113350034693285181736114895296265720448174489332052977\
      05078125*ep^4+153213339537344839610333315681992485781735145259473477002\
      379575969792/5115046165726000560493798737587854001655773739944775314196\
      8241148681640625*ep^5+5212952898195404603950928507764949000633695490163\
      01779378342845649060638781475328/23082213735800637293189047266814393181\
      4066857886234141633308953147656541059356689453125*ep^6+
      24254847815092827003470654617323811525912370180550780254947891691369458\
      9117588863977281217536/148801503218708383183554165982929586506475336220\
      096277511873764783250292579244794118898773193359375*ep^7+
      48851760156087147574378834941973797568634856587446116920096503643451874\
      1009821242973119878860467183417088/427307557343265984718297458398000695\
      05228783059470913893975082887633448848455272266942013754397710800170898\
      4375*ep^8;
Fill mnchfac1(32,18)=
      -2048/82003296375-460828622622208/7552019990776064821875*ep-
      142373708986029162116988912128/1669887105980820217822061013017109375*
      ep^2-61871635295765964220079327823135460341632/685050088167164776225512\
      104790291340211900390625*ep^3-27612713625383218921061244214772795408741\
      78222143904768/34005010407985554520834468588879716134452346799615893115\
      234375*ep^4-10095023037820882562760063441324135877024146472055361274831\
      964691712/1534513849717800168148139621276356200496732121983432594259047\
      23446044921875*ep^5-344790769590390891502586114323264279924243595219066\
      73966560040795529364675844608/69246641207401911879567141800443179544220\
      0573658702424899926859442969623178070068359375*ep^6-
      16085414782754651205803708107941749577487121738647577168652886728359148\
      135768264242177984896/4464045096561251495506624979487887595194260086602\
      88832535621294349750877737734382356696319580078125*ep^7-
      32457011237561456627874184656140023964935458337125097297955838450897783\
      282896729278738230015659523923968/1281922672029797954154892375194002085\
      15686349178412741681925248662900346545365816800826041263193132400512695\
      3125*ep^8;
Fill mnchfac1(32,20)=
      1024/1886075816625+1641601506460928/1215875218514946436321875*ep+
      73441435511736195746168625664/38407403437558865009907403299393515625*
      ep^2+32245748998858885164140640252429420193216/157561520278447898531867\
      78410176700824873708984375*ep^3+145022862682983370552081414537110128046\
      7646600836609984/782115239383667753979192777544233471092403976391165541\
      650390625*ep^4+53320470708428255036377314105762403615486119513366774524\
      10354424256/35293818543509403867407211289356192611424838805618949667958\
      08639259033203125*ep^5+182856886714021762313067869756195404411908647793\
      26308466596353430258397108067904/15926727477702439732300442614101931295\
      170613194150155772698317767188301333095611572265625*ep^6+
      85552303749287088453505454983191946415636752564228902684161514447943252\
      80133828714754459648/10267303722090878439665237452822141468946798199186\
      643148319289770044270187967890794204015350341796875*ep^7+
      17296667628877153483101015469757393943094502527051053422450639456005257\
      485907418839552427364995669059584/2948422145668535294556252462946204795\
      86078603110349305868428071924670797054341378641899894905344204521179199\
      21875*ep^8;
Fill mnchfac1(32,22)=
      -256/20746833982875-417901859882432/13374627403664410799540625*ep-
      18960395232046358732459538016/422481437813147515108981436293328671875*
      ep^2-92564941047677797282338466871901468035744/190649439536921957223560\
      0187631380799809718787109375*ep^3-3468581413774819715534268991727122679\
      9769221351584736/782115239383667753979192777544233471092403976391165541\
      650390625*ep^4-14112735614059860706644261210706660123771191848922451897\
      76938482464/38823200397860344254147932418291811872567322686180844634753\
      895031849365234375*ep^5-48609007422423459855807525459928359582830558574\
      53705875567290496965115669144576/17519400225472683705530486875512124424\
      6876745135651713499681495439071314664051727294921875*ep^6-
      22812449592847202528146172640256934156726954576837378914173126853025867\
      40245178148226266112/11294034094299966283631761198104355615841478019105\
      3074631512187470486972067646798736244168853759765625*ep^7-
      50841317712351527698055013051103880998817503125871116707203561232366782\
      446559714459221200305833471379456/3567590796258927706413065480164907802\
      99155109763522660100797967028851664435753068156698872835466487470626831\
      0546875*ep^8;
Fill mnchfac1(32,24)=
      128/435683513640375+1490161948234912/1966070228338668387532471875*ep+
      9800412913213611122405574608/8872110194076097817288610162159902109375*
      ep^2+48388444399571580426987320723120122538272/400363823027536110169476\
      03940258996796004094529296875*ep^3+182881807823877021230403668797581274\
      71229561195589968/16424420027057022833563048328428902892940483504214476\
      374658203125*ep^4+10698077757710905124709608921203314328759356437063831\
      1597715173376/116469601193581032762443797254875435617701968058542533904\
      261685095548095703125*ep^5+25913712500113242816897028684332047744782600\
      64864919873446095887685771485413888/36790740473492635781614022438575461\
      29184411647848685983493311404220497607945086273193359375*ep^6+
      85412073803655158484076500582331738706430226236490618221693728593118061\
      91438610150780065792/16602230118620950436938688961213402755286972688084\
      801970832291558161584893944079414227892821502685546875*ep^7+
      27256046790291565131642064820967049492253402101146702319497095245331564\
      849262531795660360721213699939328/7491940672143748183467437508346306386\
      28225730503397586211675730760588495315081443129067632954479623688316345\
      21484375*ep^8;
Fill mnchfac1(32,26)=
      -16/2178417568201875-189880332351704/9830351141693341937662359375*ep-
      1267894418239519571303963536/44360550970380489086443050810799510546875*
      ep^2-6334631266646057967449421801630799204424/2001819115137680550847380\
      19701294983980020472646484375*ep^3-241595772012439691270568709409114805\
      3172854507846656/821221001352851141678152416421445144647024175210723818\
      73291015625*ep^4-203274353016181758484331850984473539534844517286544337\
      1811008256/831925722811293091160312837534824540126442628989589527887583\
      46496820068359375*ep^5-346395209385736496799371922234058241839937305274\
      048324373620418201321548471296/1839537023674631789080701121928773064592\
      2058239243429917466557021102488039725431365966796875*ep^6-
      11458082646404126800837063674034975700880597142796466144150599607706374\
      74551851656593355264/83011150593104752184693444806067013776434863440424\
      009854161457790807924469720397071139464107513427734375*ep^7-
      36655351993316422961936950209035094306814412066445506854162013982751304\
      33617564341096137840231899979776/37459703360718740917337187541731531931\
      41128652516987931058378653802942476575407215645338164772398118441581726\
      07421875*ep^8;
Fill mnchfac1(32,28)=
      8/41389933795835625+96840212924452/186776671692173496815584828125*ep+
      656947325582364375656577668/842850468437229292642417965405190700390625*
      ep^2+3323344462069808612908054574351245885312/3803456318761593046610022\
      374324604695620388980283203125*ep^3+12797346536943979550026188320995222\
      27708543095929728/15603199025704171691884895912007457748293459329003752\
      55592529296875*ep^4+759222936174583772439463916268111123593529931068095\
      9540361853696/110646121133901981124321607392131663836816869655615407209\
      04860084077069091796875*ep^5+185819996567102551564027811030811283799633\
      221455347943310078813360395255458048/3495120344981800399253332131664668\
      82272519106545625168431864583400947272754783195953369140625*ep^6+
      61703746735797963564460254458538230931949047667717050967853152675221439\
      2918917141559519232/157721186126899029150917545131527326175226240536805\
      6187229067698025350564924687544351649818042755126953125*ep^7+
      19793176038680596279682899766990974893295277731746655875534130314660825\
      76198246092829690226383546124288/71173436385365607742940656329289910669\
      68144439782277069010919442225590705493273709726142513067556425039005279\
      541015625*ep^8;
Fill mnchfac1(32,30)=
      -2/372509404162520625-24711454456438/1680990045229561471340263453125*ep
      -170432008167601566431590592/7585654215935063633781761688646716303515625
      *ep^2-873563524382370069914608098896582542528/3423110686885433741949020\
      1368921442260583500822548828125*ep^3-3398430189474424826998724543386948\
      87257978643215232/14042879123133754522696406320806711973464113396103377\
      300332763671875*ep^4-20319412523866268152849053471769209532236173585272\
      95709915153024/99581509020511783011889446652918497453135182690053866488\
      143740756693621826171875*ep^5-50020861559848382071402691687881855384182\
      765996867826499954960513163490829312/3145608310483620359327998918498201\
      940452671958910626515886781250608525454793048763580322265625*ep^6-
      16679962747845499370706067177324915470160446291658126407920634331735968\
      0776665004003243008/141949067514209126235825790618374593557703616483125\
      05685061609282228155084322187899164848362384796142578125*ep^7-
      53664616976774034393336518664038675569433442451859758142297899206293902\
      8692146863544558593838355919872/640560927468290469686465906963609196027\
      13299958040493621098274980030316349439463387535282617608007825351047515\
      869140625*ep^8;
Fill mnchfac1(32,32)=
      1/6332659870762850625+12621174935744/28576830768902545012784478703125*
      ep+88566266036766017196068896/12895612167089608177428994870699417715976\
      5625*ep^2+460291474474693841586825266333448913664/581928816770523736131\
      333423271664518429919513983330078125*ep^3+18102908371850392624770516127\
      7616677843426635073216/238728945093273826885838907453714103548889927733\
      757414105656982421875*ep^4+10914836701865576742277119755721449365434779\
      18246192058531955712/16928856533487003112021205930996144567032981057309\
      15730298443592863791571044921875*ep^5+270385536462881555015659392751322\
      30407658902674656290603464658081518349344256/53475341278221546108575981\
      614469432987695423301480650770075281260344932731481828980865478515625*
      ep^6+905771358194264174569817310148317881537553833754352352976130639687\
      76850792987344228347904/24131341477415551460090384405123680904809614802\
      1312596646047357797878636433477194285802422160541534423828125*ep^7+
      29236657794131747684106203412388666778607803099593557032034984496647250\
      7567360900644032288154116737536/108895357669609379846699204183813563324\
      61260992866883915586706746605153779404708775880998044993361330309678077\
      69775390625*ep^8;
Fill mnchfac1(33,0)=
      4294967296/17+3784015190385200463872/6974035224975*ep+23881275920198226\
      7443530285510033408/346182190918955527206695625*ep^2+106540635114092341\
      1550756651745051041232240771072/1562185572412116501995567048273850328125
      *ep^3+4111157554535144166598747727078125001317727253041654921166848/
      7049535841732245569795071131504317826097754787890625*ep^4+
      14500256520020689456127628797941865375604307920515059090921471057888018\
      432/31811813181153478793331463270336192516802890624917703623720703125*
      ep^5+439008328773329723996846268255587590421988441422776573061807702172\
      9632466118215467008/130503944526875512886150166457814716248709622815928\
      38560724434503819091796875*ep^6+154984243952185801730903919217108268367\
      691615364597127162288188718967520096098990301531515523694592/
      64780489318565997459304985477062003512430990406724818776212194710837750\
      0889096319580078125*ep^7+4856894955227861632858398974964384812774328625\
      39371068327340739107338642709359232904761418875150134198630678528/
      29232915049333858858178720886972196417919117213491629829033225251199378\
      75666087544124590652008056640625*ep^8;
Fill mnchfac1(33,2)=
      -2147483648/561-21105742892338402820096/2531574786665925*ep-12229250105\
      9431011375005934555234304/11424012300325532397820955625*ep^2-4540712066\
      801541301864280654089560062758486016/4260506106578499550897001040746864\
      53125*ep^3-2130710490874268183357034282423799030954854156523648619905024
      /232634682777164103803237347339642488261225908000390625*ep^4-
      75414939466295784456041449701978394910009661817587004801044057704140636\
      16/1049789834978064800179938287921094353054495390622284219582783203125*
      ep^5-251767256204298095797849430671362626536972439385143567231823367569\
      35690962652430598144/47372931863255811177672510424186741998281593082182\
      00397542969724886330322265625*ep^6-809349331785714901499412124641489030\
      47474398842029434695991669491299489722840256290947282562973696/
      21377561475126779161570645207430461159102226834219190196150024254576457\
      529340178546142578125*ep^7-20984484217710910027460514740414221749734452\
      40153587404056525875985839583487763958231962303049953261489782784/
      79726131952728705976851056964469626594324865127704444988272432503271032\
      9727114784761251996002197265625*ep^8;
Fill mnchfac1(33,4)=
      33554432/561+334509048314005028864/2531574786665925*ep+
      1957992492189936919030580050395136/11424012300325532397820955625*ep^2+
      805536189074840660617376343489036865807581184/4686556717236349505986701\
      144821550984375*ep^3+34541907244670747944669467287609205041537779362302\
      928879616/232634682777164103803237347339642488261225908000390625*ep^4+
      122706911402270402848838935965625627558708405679068559716840156610822144
      /1049789834978064800179938287921094353054495390622284219582783203125*
      ep^5+410690355369106441739717951649648013827876509877935557578485240141\
      385174398168989696/4737293186325581117767251042418674199828159308218200\
      397542969724886330322265625*ep^6+13225235129995878761818254369739920342\
      77545245383592173148655970282143796424825153228236455460864/
      21377561475126779161570645207430461159102226834219190196150024254576457\
      529340178546142578125*ep^7+37762546507557686935276803718423909113973122\
      8164227801655741921872245420370644919453782349653222671291990016/
      87698745148001576574536162660916589253757351640474889487099675753598136\
      26998262632373771956024169921875*ep^8;
Fill mnchfac1(33,6)=
      -16777216/17391-169696751574405087232/78478818386643675*ep-
      1003698679403281669283494696583168/354144381310091504332449624375*ep^2-
      416050504301024459104124244767933259102420992/1452832582343268346855877\
      35489468080515625*ep^3-179371541072614438690544988554394578008268150008\
      68154769408/7211675166092087217900357767528917136098003148012109375*
      ep^4-639645331022325627123115231820996004775540013413398106216902791513\
      37472/32543484884320008805578086925553924944689357109290810807066279296\
      875*ep^5-21465637308691478131933030255642390836783331245131101335718683\
      3099792496430068072448/146856088776093014650784782314978900194672938554\
      764212323832061471476239990234375*ep^6-69250887638387119024240625733511\
      6834830766632146827321848510187724966415354976814591127668088832/
      66270440572893015400869000143034429593216903186079489608065075189187018\
      3409545534930419921875*ep^7-1979770234249022403323681186825549521717003\
      30373339369421343923896120937202275903794505869151770433568964608/
      27186610995880488738106210424884142668664779008547215741000899483615422\
      2436946141603586930636749267578125*ep^8;
Fill mnchfac1(33,8)=
      4194304/260865+43055096643096936448/1177182275799655125*ep+
      257401033314820946762207930089472/5312165719651372564986744365625*ep^2+
      9775679709743875812340545184930615056498688/198113533955900229116710548\
      394729200703125*ep^3+46622143484054275714378898156219338800606701567256\
      50604032/108175127491381308268505366512933757041470047220181640625*ep^4
      +16692425271663624031337729873230452911711065815911822956238411143487488
      /488152273264800132083671303883308874170340356639362162105994189453125*
      ep^5+561749740171861364569954318263084588937693208455657260130204292350\
      00852370618888192/22028413316413952197617717347246835029200940783214631\
      84857480922072143599853515625*ep^6+181577079337412947489043613439470777\
      865916157480664746496853047968047667765558526118199309180928/
      99405660859339523101303500214551644389825354779119234412097612783780527\
      51143183023956298828125*ep^7+472520417718756395214851430838265292722831\
      6392570574847730674186501029817569889259367694090819292881907712/
      37072651358018848279235741488478376366361062284382566919546681114021030\
      3323108374913982178141021728515625*ep^8;
Fill mnchfac1(33,10)=
      -2097152/7565085-21853880433356570624/34138285998189998625*ep-
      132101139479704240230125396033536/154052805869889804384615586603125*
      ep^2-55634956456310978256838037081214127659433984/631982173319321730882\
      30664937918615024296875*ep^3-242633641897759782324982678404911405949816\
      1844344932130816/313707869725005793978665562887507895420263136938526757\
      8125*ep^4-8723768238650238263624818154134056441707862898647545892984927\
      996882944/1415641592467920383042646781261595735093987034254150270107383\
      1494140625*ep^5-2944496882786185851833779031960485308576967032063185859\
      8386812133864083189438416896/638823986176004613730913803070158215846827\
      28271322432360866946740092164395751953125*ep^6-953703910842070697358437\
      79596856946531688895298103921378259957158167291232563035713325283825664/
      28827641649208461699378015062219976873049352885944577979508307707296352\
      9783152307694732666015625*ep^7-2733774359692694004463569439034844617056\
      3079937813661461748247361239625632678557449477387388736273858441216/
      11826175783208012601076201534824602060869178868718038847335391275372708\
      6760071571597560314826985931396484375*ep^8;
Fill mnchfac1(33,12)=
      262144/52955595+396283343990063104/34138285998189998625*ep+
      16959710582031168787447438548992/1078369641089228630692309106221875*
      ep^2+7202851949905398816573301263422788878184448/4423875213235252116176\
      14654565430305170078125*ep^3+316061350963563874904864175111314083785770\
      086774092081152/2195955088075040557850658940212555267941841958569687304\
      6875*ep^4+1141408956183388788908667813439313278389555488286848669251184\
      900973568/9909491147275442681298527468831170145657909239779051890751682\
      0458984375*ep^5+3864575912162929577918190372112990265106908564385480234\
      462941082304673685313190912/4471767903232032296116396621491107510927790\
      97899257026526068627180645150770263671875*ep^6+179201886058267600116398\
      9898090081388343779277857725881789257309292464922760630007212247865344/
      28827641649208461699378015062219976873049352885944577979508307707296352\
      9783152307694732666015625*ep^7+3601006223991207887717185911305251184231\
      769831325181923248619498898330244756543597220279378212031387389952/
      82783230482456088207533410743772214426084252081026271931347738927608960\
      7320501001182922203788901519775390625*ep^8;
Fill mnchfac1(33,14)=
      -131072/1429801065-201271179681021952/921733721951129962875*ep-
      8715329728616487242279440388096/29115980309409173028692345867990625*
      ep^2-3733846490256932936173806436458261952538624/1194446307573518071367\
      5595673266618239592109375*ep^3-1648952445682129525627697082918253709790\
      34917969674034176/59290787378026095061967791385738992234429732881381557\
      2265625*ep^4-5982640373172835694411701836240946570913813450620761419344\
      86559389184/26755626097643695239506024165844159393276354947403440105029\
      54152392578125*ep^5-203227806320772062479852600458015390263992238449639\
      7322482937266736496923040557056/120737733387264871995142708780259902795\
      05035643279939716203852933877419070797119140625*ep^6-
      94453260701007461588076902142362953840811525015978624568229503164369845\
      7623678219441789391872/778346324528628465883206406679939375572332527920\
      5036054467243080970015304145112307757781982421875*ep^7-
      19009615558016608129239285326258305371239713385255470246357124626815945\
      28083461917662606115474696050328576/22351472230263143816034020900818497\
      89504274806187709342146388951045441939765352703193889950230034103393554\
      6875*ep^8;
Fill mnchfac1(33,16)=
      32768/18587413845+51130263261810688/11982538385364689517375*ep+
      2240952314038417493077822413824/378507744022319249373000496283878125*
      ep^2+88074561404562783060332286707448396368896/141161836349597590252529\
      76704769639737699765625*ep^3+430734647838201765507840142949150622495567\
      49897916505344/77078023591433923580558128801460689904758652745796024394\
      53125*ep^4+157041924413721125237722870202640377855866015035998233175783\
      624298496/3478231392693680381135783141559740721125926143162447213653840\
      3981103515625*ep^5+5353260204156194731201425881177853352201832863395866\
      18808805731225009540052120064/15695905340344433359368552141433787363356\
      5463362639216310650088140406447920362548828125*ep^6+
      24940632814407210521372156058441710533028398839695637780805936214073187\
      5779559823981780077568/101185022188721700564816832868392118824403228629\
      665468708074160052610198953886460000851165771484375*ep^7+
      45707904471563666778603803466628084827181840903738626482029917672444108\
      088773495609947077524659471899904/2641537627212916996440384288278549751\
      23232477094911104071845966941734047426814410377459721390822212219238281\
      25*ep^8;
Fill mnchfac1(33,18)=
      -16384/464685346125-3712516452644864/42794779947731033990625*ep-
      1153312316682902846606134388224/9462693600557981234325012407096953125*
      ep^2-503335360012022569889632001251890527865856/38819504996139337319445\
      68593811650927867435546875*ep^3-225361293382974236435579062118040093095\
      71391921253065344/19269505897858480895139532200365172476189663186449006\
      0986328125*ep^4-8258883363801036609796283677950857425669705665555667002\
      2133613498496/869557848173420095283945785389935180281481535790611803413\
      460099527587890625*ep^5-28257066146614368758043663998401375496420623907\
      5783451299269681536950477626120064/392397633508610833984213803535844684\
      0839136584065980407766252203510161198009063720703125*ep^6-
      13198962968975137748456423310408622961574979870189230011627140412409305\
      4968124056995670077568/252962555471804251412042082170980297061008071574\
      1636717701854001315254973847161500021279144287109375*ep^7-
      26655465644657457977947775082419860880044253929139265038386385878345694\
      5452859385137025523665838290898944/726422847483552174021105679276601181\
      58888931201100553619757640908976863042373962853801423382476108360290527\
      34375*ep^8;
Fill mnchfac1(33,20)=
      1024/1394056038375+1651731386678528/898690378902351713803125*ep+
      74255992663300913130685118464/28388080801673943702975037221290859375*
      ep^2+32727734286289022709110530768740625556416/116458514988418011958337\
      05781434952783602306640625*ep^3+147619820369577134034782881930701969527\
      5224713379486784/578085176935754426854185966010955174285689895593470182\
      958984375*ep^4+54393649479340067662119594168582437757629057101234905995\
      89817195456/26086735445202602858518373561698055408444446073718354102403\
      80298582763671875*ep^5+186834054353404676562081089716065706443860432396\
      38349747592025077632302384928704/11771929005258325019526414106075340522\
      517409752197941223298756610530483594027191162109375*ep^6+
      87512026973160758539306901055177818592834518963334348915510812850124033\
      28307977062141749248/75888766641541275423612624651294089118302421472249\
      10153105562003945764921541484500063837432861328125*ep^7+
      17706769878655641190326579522729672785530344724503664077595880191793465\
      753523839833751904337950211856384/2179268542450656522063317037829803544\
      76666793603301660859272922726930589127121888561404270147428325080871582\
      03125*ep^8;
Fill mnchfac1(33,22)=
      -512/32063288882625-840216356980864/20669878714754089417471875*ep-
      38281952296367139526740924032/652925858438500705168425856089689765625*
      ep^2-1549698148515503594842055480225259428128/2435041677030558431856138\
      4815727628547532095703125*ep^3-7748893357412973195121851977293942686150\
      14682792152192/13295959069522351817646277218251969008570867598649814208\
      056640625*ep^4-28717161331795101717528027173286267246850356800097305916\
      32480856928/59999491523965986574592259191905527439422225969552214435528\
      746867403564453125*ep^5-99051347999161466800475939801182447767195244385\
      94566688539880705929183668017152/27075436712094147544910752443973283201\
      7900424300552648135871402042201122662625396728515625*ep^6-
      46532288053734745224538832462902228214114095213733223285500245828151455\
      65734032023202868224/17454416327554493347430903669797640497209556938617\
      2933521427926090752593195454143501468260955810546875*ep^7-
      85766937513763741033934898512808164420144989169482095153821495196333587\
      1747137847756837383090367414272/455665240694228181885966289728049832087\
      57602298872165452393429297449123181125485790111801939916831607818603515\
      625*ep^8;
Fill mnchfac1(33,24)=
      128/352696177708875+213804830878816/227368665862294983592190625*ep+
      9877475631525043634233801808/7182184442823507756852684416986587421875*
      ep^2+48904423786361273093502190735749534223072/324104047212767327280052\
      03189733473596765219380859375*ep^3+168391359454161788973963153759803102\
      7444890180138288/120872355177475925614966156529563354623371523624089220\
      0732421875*ep^4+7597226921072848687985585832413571761124366336938868281\
      74933522432/65999440676362585232051485111096080183364448566507435879081\
      6215541439208984375*ep^5+2632117018095773172565074049942248125310281924\
      782723368929474931681405397273088/2978298038330356229940182768837061152\
      196904667306079129494585422464212349288879364013671875*ep^6+
      12404352551267975449144222220755662969089681954483001459955954760822626\
      63890632373538502656/19199857960309942682173994036777404546930512632479\
      02268735707186998278525149995578516150870513916015625*ep^7+
      27725553719821942229473827733671069145223225270599770247490356011296474\
      370392532955759015169411001494528/6064904353640177100902211316280343265\
      08563686597988522171356543949047829540780215866388083820293028700065612\
      79296875*ep^8;
Fill mnchfac1(33,26)=
      -64/7406619731886375-762069627399056/33423193881757362588052021875*ep-
      5102496092174315904751883704/150825873299293662893906372756718335859375
      *ep^2-25548668090108733463095194144712266941736/68061849914681138728810\
      9266984402945532069606998046875*ep^3-9760620879815349554771081028657125\
      041108386410864384/2792151404599693881705718215832913491799882195716460\
      98369189453125*ep^4-575618571888750918993802791399385115560274133476011\
      48420455327488/19799832202908775569615445533328824055009334569952230763\
      72448646624317626953125*ep^5-140264326622734047939270078567784118317318\
      7414716694112366917934331424761337344/625442588049374808287438381455782\
      84196134998013427661719386293871748459335066466644287109375*ep^6-
      46429321296781837099362519568930362305858675161082588105591495469739882\
      92183323293362346496/28223791201655615742795771234062784683987853569744\
      1633504148956488746943197049350041874177965545654296875*ep^7-
      14860479085163022447629410056331576335172486870387654470730857133323669\
      917597518943089148287124766552064/1273629914264437191189464376418872085\
      66798374185577589655984874229300044203563845331941497602261536027013778\
      6865234375*ep^8;
Fill mnchfac1(33,28)=
      8/37033098659431875+97063747836052/167115969408786812940260109375*ep+
      659712558466624468598673068/754129366496468314469531863783591679296875*
      ep^2+3342434819593446978139300015972958038912/3403092495734056936440546\
      334922014727660348034990234375*ep^3+12886371928270000429764540906226847\
      16933900903488128/13960757022998469408528591079164567458999410978582304\
      91845947265625*ep^4+765213430918652781675774883802817428894534852783633\
      0142794442496/989991610145438778480772276666441202750466728497611538186\
      2243233121588134765625*ep^5+1874162952631969918956968750683693007645004\
      80654108174580507093705776247112448/31272129402468740414371919072789142\
      0980674990067138308596931469358742296675332333221435546875*ep^6+
      62265335825065049804304192310095374357205373963121693462328806696151739\
      8922523050787448832/141118956008278078713978856170313923419939267848720\
      8167520744782443734715985246750209370889827728271484375*ep^7+
      19980495061961988671423724877163702257129889731634851169298103159901887\
      02748166819468566358613588850688/63681495713221859559473218820943604283\
      39918709278879482799243711465002210178192266597074880113076801350688934\
      326171875*ep^8;
Fill mnchfac1(33,30)=
      -4/703628874529205625-49481897292326/3175203418766949445864942078125*ep
      -341608518991417629303241984/143284579634328979749211054118882419066406\
      25*ep^2-1752351429272186541302443134878755672256/6465875741894708179237\
      0380363518279825546612664814453125*ep^3-6201403524791444503427517218498\
      0267061338284897024/241140348579064471601857482276478892473626189630057\
      9940461181640625*ep^4-4080663181216196800922090539239105119765383436828\
      490131735723648/1880984059276333679113467325666238285225886784145461922\
      55382621429310174560546875*ep^5-100492417089999867357441959693806222482\
      936091921785070189573738320757338087424/5941704586469060678730664623829\
      936998632824811275627863341697917816103636831314331207275390625*ep^6-
      33519421541917641421488832024165546735942073737030577332685932937029647\
      4976586639612425216/268126016415728349556559826723596454497884608912569\
      55182894150866430959603719688253978046906726837158203125*ep^7-
      10786353379926912000610369156815942424862045865342255583145936172225453\
      89211246497949506741284476012544/12099484185512153316299911575979284813\
      84584554762987101731856305178350419933856530653444227221484592256630897\
      52197265625*ep^8;
Fill mnchfac1(33,32)=
      1/6332659870762850625+12621174935744/28576830768902545012784478703125*
      ep+88566266036766017196068896/12895612167089608177428994870699417715976\
      5625*ep^2+460291474474693841586825266333448913664/581928816770523736131\
      333423271664518429919513983330078125*ep^3+18102908371850392624770516127\
      7616677843426635073216/238728945093273826885838907453714103548889927733\
      757414105656982421875*ep^4+10914836701865576742277119755721449365434779\
      18246192058531955712/16928856533487003112021205930996144567032981057309\
      15730298443592863791571044921875*ep^5+270385536462881555015659392751322\
      30407658902674656290603464658081518349344256/53475341278221546108575981\
      614469432987695423301480650770075281260344932731481828980865478515625*
      ep^6+905771358194264174569817310148317881537553833754352352976130639687\
      76850792987344228347904/24131341477415551460090384405123680904809614802\
      1312596646047357797878636433477194285802422160541534423828125*ep^7+
      29236657794131747684106203412388666778607803099593557032034984496647250\
      7567360900644032288154116737536/108895357669609379846699204183813563324\
      61260992866883915586706746605153779404708775880998044993361330309678077\
      69775390625*ep^8;
Fill mnchfac1(34,0)=
      17179869184/35+15331504628275324387328/14358307816125*ep+97664074508304\
      4740458745344150208512/712728040127261379543196875*ep^2+438668079402407\
      2215873299417246908853217403076608/321626441378965162175557921703439773\
      4375*ep^3+17010175678417557160451858116389841502160836355482880177078272
      /14513750262389917349578087623685360230201259857421875*ep^4+
      60204734604024375844097864019651688603272237238265036920838408977040539\
      648/65494909490610103398035365556574514005182421874830566284130859375*
      ep^5+182718316158458166827835928975484017614629275635960466577998777672\
      43771787654580928512/26868459167297899711854446035432441580616687050338\
      197036785600449039306640625*ep^6+64612757024817985538858992230475271671\
      2913806007428057056862813072231218598040758999328046357413888/
      13337159565587117123974555833512765429029909789619815630396628322819536\
      78301080657958984375*ep^7+202709026608327117926930763793034104803266749\
      8136611750965122639718747778398890961526114172896405266097948065792/
      60185413336863827060956190061413345566304064851306296706833110811292838\
      61665474355550627812957763671875*ep^8;
Fill mnchfac1(34,2)=
      -4294967296/595-3884698394460560556032/244091232874125*ep-2498316998285\
      57006887124571445526528/12116376682163443452234346875*ep^2-112982882449\
      9300250471806281276383759441437130752/546764950344240775698448466895847\
      61484375*ep^3-440249915528389169384016416760281607547314436929548608392\
      3968/246733754460628594942827489602651123913421417576171875*ep^4-
      15635500305081522981369596375942830851802341085832683620363680775260864\
      512/1113413461340371757766601214461766738088101171872119626830224609375
      *ep^5-47566127999610145517704510717838537362779943661563937154837947358\
      36575275030010134528/45676380584406429510152558260235150687048367985574\
      9349625355207633668212890625*ep^6-1684763683603804388189209547449092967\
      04555398920162955129896400517092954933431158861665871052931072/
      22673171261498099110756744916971701229350846642353686571674268148793212\
      531118371185302734375*ep^7-52913339939751801007799495249819548399530900\
      8468012496210610878983692719331926460432645190260867722021607374848/
      10231520267266850600362552310440268746271691024722070440161628837919782\
      5648313064044360672820281982421875*ep^8;
Fill mnchfac1(34,4)=
      2147483648/19635+21659500514752883326976/88605117533307375*ep+127877695\
      395557929972577520911908864/399840430511393633923733446875*ep^2+
      52945558960622817748311961032408730779428847616/16402948510327223270953\
      4540068754284453125*ep^3+2280890482057065789652555407937418206683673184\
      142688357187584/8142213897200743633113307156887487089142906780013671875
      *ep^4+81296523205050004125500518209415818040143044990620658925273310844\
      87622656/36742644224232268006297840077238302356907338671779947685397412\
      109375*ep^5+27273066118413062806458088119605474625468013453766723658362\
      442019868633585259955093504/1658052615213953391218537864846535969939855\
      75787637013914003940371021561279296875*ep^6+879676611175016879282725506\
      56025651115765296932075719513770089834470495887219976524252221130407936/
      74821465162943727065497258226006614056857793919767165686525084891017601\
      3526906249114990234375*ep^7+2514508244550593529602435612866577143939195\
      5094996978647421618538597739301709363141246131745431327754556637184/
      30694560801800551801087656931320806238815073074166211320484886513759347\
      6944939192133082018460845947265625*ep^8;
Fill mnchfac1(34,6)=
      -33554432/19635-343161511164231286784/88605117533307375*ep-
      2046481316169315096776111005106176/399840430511393633923733446875*ep^2-
      77591825526656409488099652069882258545967104/14911771373024748428139503\
      642614025859375*ep^3-36962887189434124537556001823141242421718996774554\
      684358656/8142213897200743633113307156887487089142906780013671875*ep^4-
      132238290393984010787609967660161546188258975872229872497859503555477504
      /36742644224232268006297840077238302356907338671779947685397412109375*
      ep^5-444789782086011632605791717650613591085942607173757901486739952238\
      625947631863463936/1658052615213953391218537864846535969939855757876370\
      13914003940371021561279296875*ep^6-143721855732814180213478139179089413\
      5036248735987930808743694168089498724563830902112549834113024/
      74821465162943727065497258226006614056857793919767165686525084891017601\
      3526906249114990234375*ep^7-3739244880207130052876951356494483777273154\
      2662222588054766931890498901532090253794243728863851204574724096/
      27904146183455047091897869937564369308013702794696555745895351376144861\
      540449017466643819860076904296875*ep^8;
Fill mnchfac1(34,8)=
      16777216/608685+174022982999518216192/2746758643532528625*ep+
      1048572852671626280560634325106688/12395053345853202651635736853125*
      ep^2+440631290890888132103616029220451336873705472/50849140382014392139\
      95570742131382818046875*ep^3+191870040414187898239751332065554626683092\
      73147437399932928/25240863081322305262651252186351209976343011018042382\
      8125*ep^4+6891216087538387553648169207746377463413474833674935835831425\
      3330481152/113902197095120030819523304239438737306412749882517837824731\
      9775390625*ep^5+2324263032083090098001104688034883159551872180218744251\
      32866642996469148205014253568/51399631071632555127774673810242615068135\
      52849416747431334122151501668399658203125*ep^6+752443133471737192877555\
      708844023295075810321869885140976172690385208737927947016844428758310912
      /2319465420051255539030415005006205035762591611512782136282277631621545\
      6419334093722564697265625*ep^7+2156158970975827803213896285835839390552\
      57203138926836923277275492440467420856293001089115639307243891376128/
      95153138485581710583371736487094499340326726529915255093503148192653977\
      85293114956125542572286224365234375*ep^8;
Fill mnchfac1(34,10)=
      -4194304/9130275-44136654499375218688/41201379652987929375*ep-
      268782264962226442869289492938752/185925800187798039774536052796875*
      ep^2-113833307004477191752125221684339330254143488/76273710573021588209\
      933561131970742270703125*ep^3-49851023370836752943720341820625701689006\
      25669046529114112/37861294621983457893976878279526814964514516527063574\
      21875*ep^4-179779011449012516780161934239556307040853568597730628762547\
      76397406208/17085329564268004622928495635915810595961912482377675673709\
      796630859375*ep^5-60810818300924814840272676725261147121835281629332638\
      661491384868880295604142108672/7709944660744883269166201071536392260220\
      3292741251211470011832272525025994873046875*ep^6-
      19725796901066418924187236649115488803320357264900043949010934707585850\
      7884986273541178222133248/347919813007688330854562250750930755364388741\
      726917320442341644743231846290011405838470458984375*ep^7-
      56601393929861183329746656801057508353838249437769249498913982823348421\
      261937481206390980384967235953446912/1427297077283725658750576047306417\
      49010490089794872882640254722288980966779396724341883138584293365478515\
      625*ep^8;
Fill mnchfac1(34,12)=
      2097152/264777975+22394659361495711744/1194840009936649951875*ep+
      137875904439779062398043758002176/5391848205446143153461545531109375*
      ep^2+58867062050389318340100005695797656925650944/221193760661762605808\
      8073272827151525850390625*ep^3+2593312743965680857523697992960675774594\
      890428272900857856/1097977544037520278925329470106277633970920979284843\
      65234375*ep^4+939248890649469388850439016956614412863913684698933552856\
      1566766690304/495474557363772134064926373441558507282895461988952594537\
      584102294921875*ep^5+31866948771811068792438476688974061240490639392544\
      846532161379848360246125642459136/2235883951616016148058198310745553755\
      463895489496285132630343135903225753851318359375*ep^6+
      10358771362443539335912027575449994018929531614727719552061185063756702\
      3283691116640338413389824/100896745772229615947823052717769919055672735\
      10080602292827907697553723542410330769315643310546875*ep^7+
      29766060785805713695669727981237918534417453733557829752492036705813796\
      497932062793636081415577402504544256/4139161524122804410376670537188610\
      72130421260405131359656738694638044803660250500591461101894450759887695\
      3125*ep^8;
Fill mnchfac1(34,14)=
      -262144/1853445825-2841580773947834368/8363880069556549663125*ep-
      17692450509874406153602188419072/37742937438123002074230818717765625*
      ep^2-62955378239290149468962808205740254916608/127963332614242829806748\
      040576777360999609375*ep^3-33766866304928716099979237246803511855534666\
      4800813484032/768584280826264195247730629074394343779644685499390556640\
      625*ep^4-17549733931322618780766910011283703508054092407405200868122106\
      0086784/495474557363772134064926373441558507282895461988952594537584102\
      294921875*ep^5-41813564036654736342825082761363699716520321902058151199\
      48891478945625899692168192/15651187661312113036407388175218876288247268\
      426473995928412401951322580276959228515625*ep^6-13622351168013911106126\
      876440449030532421013807418929885995948270776916995689688795969912700928
      /7062772204056073116347613690243894333897091457056421604979535388287606\
      4796872315385209503173828125*ep^7-3563948383590810380934484371124746246\
      44200138694906670795422400343095311337858933561657106803552895987712/
      26340118789872391702396994327563886408299534753053813796337916931511942\
      05110685003763843375691959381103515625*ep^8;
Fill mnchfac1(34,16)=
      131072/50043037275+1442696940775849984/225824761878026840904375*ep+
      9087348592896416456183088091136/1019059310829321056004232105379671875*
      ep^2+3946873344672013976264119428006012867037184/4180562076507313249786\
      45848564331638385723828125*ep^3+176090544339121053015655487706476853512\
      007253720177519616/2075177558230913327168872698500864728205040650848354\
      5029296875*ep^4+1313615018699766333534747958591072677983231747886483853\
      1733352070656/191111614983169251710757315470315424237688249624310286464\
      4967251708984375*ep^5+2198257404563029803035753331335610665379346614641\
      215892195645557671289841329949696/4225820668554270519829994807309096597\
      82676247514797890067134852685709667477899169921875*ep^6+
      71785785694161746828756449285965572350199545532191303541962273978037177\
      24516864933049960100864/19069484950951397414138556963658514701522146934\
      05233833344474554837653749515552515400656585693359375*ep^7+
      20692427652415231506008782726579418273678128602101650191573956162128157\
      36022259797348470877844255176150016/78230152805921003356119073152864742\
      63264961821656982697512361328659046789178734461178614825805119361877441\
      40625*ep^8;
Fill mnchfac1(34,18)=
      -32768/650559484575-366361513584848896/2935721904414348931756875*ep-
      2335423571547576568979785923584/13247771040781173728055017369935734375*
      ep^2-1023567490587030012541507187159443215850496/5434730699459507224722\
      396031336311299014409765625*ep^3-45976812292639265289769461168363053936\
      565179525601768704/2697730825700187325319534508051124146666552846102860\
      85380859375*ep^4-241282379381283374898827230179220145697300479645123023\
      82871583349248/17391156963468401905678915707798703605629630715812236068\
      2692019905517578125*ep^5-5788785614572179929564589837200265833661818216\
      73545584719717156285378472674420224/54935668691205516757789932495018255\
      77174791217692372570872753084914225677212689208984375*ep^6-
      18951159415948591235306824546219443087846960020349636495044948498217071\
      08983946309065491900416/24790330436236816638380124052756069111978791014\
      268039833478169212889498743702182700208535614013671875*ep^7-
      54721251332869348517935018881773124101862108439957494432144851216915429\
      1418328326805911562645965918146304/101699198647697304362954795098724165\
      42244450368154077506766069727256760825932354799532199273546655170440673\
      828125*ep^8;
Fill mnchfac1(34,20)=
      16384/16263987114375+186138141555685376/73393047610358723293921875*ep+
      1201310546985854306218662966784/331194276019529343201375434248393359375
      *ep^2+531496644283664024493370642344660794730496/1358682674864876806180\
      59900783407782475360244140625*ep^3+240437186983714536479806541197290681\
      71942051393079128704/67443270642504683132988362701278103666663821152571\
      52134521484375*ep^4+126841186842104404504835927700338328639843943890016\
      13964074767749248/43477892408671004764197289269496759014074076789530590\
      17067300497637939453125*ep^5+305466059007694717239746146237345544027155\
      144945747921501232670222746339996420224/1373391717280137918944748312375\
      45639429369780442309314271818827122855641930317230224609375*ep^6+
      10026959510588260403032549503364987642505799579273651806083918156759919\
      50493884250846541900416/61975826090592041595950310131890172779946977535\
      6700995836954230322237468592554567505213390350341796875*ep^7+
      29005999050581512248013556277308864783000254898604205630673184978719094\
      6307208646023459715856320518146304/254247996619243260907386987746810413\
      55611125920385193766915174318141902064830886998830498183866637926101684\
      5703125*ep^8;
Fill mnchfac1(34,22)=
      -1024/48791961343125-11826171917755136/220179142831076169881765625*ep-
      77305530595540843006308442624/993582828058588029604126302745180078125*
      ep^2-3139994635180952997631072378517905522496/3705498204176936744128906\
      3850020304311461884765625*ep^3-1574170689674028002443688744880116552399\
      483785458103744/2023298119275140493989650881038343109999914634577145640\
      3564453125*ep^4-8350408702277913477223831712161753625491272781836452995\
      59632097728/13043367722601301429259186780849027704222223036859177051201\
      901492913818359375*ep^5-20190691291243675673227278823523589194457993957\
      684732564459779457777572039750464/4120175151840413756834244937126369182\
      88109341326927942815456481368566925790951690673828125*ep^6-
      66464860948772272053595828858279979786714935321569537953473887092302848\
      926630644024222856576/1859274782717761247878509303956705183398409326070\
      102987510862690966712405777663702515640171051025390625*ep^7-
      17513498305209645159368979372288629090660530181853001832471310674741366\
      26211828978245192277907021954304/69340362714339071156560087567311930969\
      84852523741416481885956632220518744953878272408317686509083070755004882\
      8125*ep^8;
Fill mnchfac1(34,24)=
      512/1122215110891875+6013540604368768/5064120285114751907280609375*ep+
      39832624847689955064469258112/22852405045347524680894904963139141796875
      *ep^2+17980441411119293126042722898027747032928/93749104565676499626461\
      33154055136990799856845703125*ep^3+825890828323385261207123564701261936\
      696601197073732672/4653585674332823136176197026388189152999803659527434\
      97281982421875*ep^4+629527188226188329720883032640116846130486882879894\
      66645573168352/42856779659975704696137327994218233885301589978251581739\
      663390619573974609375*ep^5+10700561972867218789323783966991271298850045\
      970539910443970827529214793503060032/9476402849232951640718763355390649\
      120626514850519342684755499071477039293191888885498046875*ep^6+
      35331885864114636293772969854484994895331652696330491130467580030295896\
      518878815170220271488/4276332000250850870120571399100421921816341449961\
      2368712749841892234385332886265157859723934173583984375*ep^7+
      10262617972164874504671438076780989361468473208943170910846491233188386\
      891722241828150113983698645449472/1754311176672778500260970215452991853\
      53716768850657836991714702795179124247333120291930437468679801690101623\
      53515625*ep^8;
Fill mnchfac1(34,26)=
      -128/12344366219810625-1529640342527392/55705323136262270980086703125*
      ep-10271914024579219834553197328/25137645549882277148984395459453055976\
      5625*ep^2-51553175358087767775399199434458188130752/1134364165244685645\
      480182111640671575886782678330078125*ep^3-19731566047206930406373935858\
      446665681146497524499088/4653585674332823136176197026388189152999803659\
      52743497281982421875*ep^4-116527320978358421650889603902457092738062869\
      967306087870496261216/3299972033818129261602574255554804009168222428325\
      371793954081077707196044921875*ep^5-28424540075763717380871146543250333\
      22387848700949299663460831134723726625455808/10424043134156246804790639\
      6909297140326891663355712769532310489786247432225110777740478515625*
      ep^6-941601188879951119194102488786902234510566353053354074069138763256\
      6723228273559483943315072/470396520027593595713262853901046411399797559\
      495736055840248260814578238661748916736456963275909423828125*ep^7-
      30153599382020204114851115179112476961652485979014635727806997646713134\
      548294734194955362344239005230848/2122716523774061985315773960698120142\
      77997290309295982759974790382166740339273075553235829337102560045022964\
      4775390625*ep^8;
Fill mnchfac1(34,28)=
      64/259231690616023125+778572890586896/1169811785861507690581820765625*
      ep+5303261612866079979900173464/527890556547527820128672304648514175507\
      8125*ep^2+26916185623719636010721627579813229683576/2382164747013839855\
      5083824344454103093622436244931640625*ep^3+1349557628901823824060571744\
      42264569323344941807472/12691597293634972189571446435604152235454009980\
      5293681076904296875*ep^4+6177267699069980545576741600767872043405154316\
      3912521509212146208/692994127101807144936540593666508841925326709948328\
      07673035702631851116943359375*ep^5+151414569159241281729784003458589405\
      1297609029264428428547903732514056069680704/218904905817281182900603433\
      5095239946864724930469968160178520285511196076727326332550048828125*
      ep^6+503337501800761502614181487914188588238765301105932816927841516283\
      0228223904061985018212736/987832692057946550997851993192197463939574874\
      9410457172645213477106143011896727251465596228794097900390625*ep^7+
      16158402720245500106406295255679549209095023585105634829766707273521054\
      056896607869420345597093182932224/4457704699925530169163125317466052299\
      83794309649521563795947059802550154712473458661795241607915376094548225\
      40283203125*ep^8;
Fill mnchfac1(34,30)=
      -8/1296158453080115625-99126655734532/5849058929307538452909103828125*
      ep-685273703599708699709461988/2639452782737639100643361523242570877539\
      0625*ep^2-3519141886565507163746527468002523411192/11910823735069199277\
      5419121722270515468112181224658203125*ep^3-1958761989650061634901748282\
      42225545622893456394064/69803785114992347042642955395822837294997054892\
      91152459229736328125*ep^4-820773682639411073846317414148150041143410346\
      9058210509651048736/346497063550903572468270296833254420962663354974164\
      038365178513159255584716796875*ep^5-20223162475003387402796190910730894\
      5946105664685671206484354076573622339893568/109452452908640591450301716\
      75476199734323624652349840800892601427555980383636631662750244140625*
      ep^6-674801510253061539840521417435209677383276833640809626915398694099\
      606431446400629506070912/4939163460289732754989259965960987319697874374\
      7052285863226067385530715059483636257327981143970489501953125*ep^7-
      21720561768721080364096878416649576291041007729612390112580350615897331\
      37659440133140381086798060977408/22288523499627650845815626587330261499\
      18971548247607818979735299012750773562367293308976208039576880472741127\
      01416015625*ep^8;
Fill mnchfac1(34,32)=
      4/24627010608522196875+50513351241566/111132119656843230605272972734375
      *ep+354634067898282756288769444/501496028720151429122238689416088466732\
      421875*ep^2+1843798606739369055199504057097165427896/226305650966314786\
      2732963312723139793894131443268505859375*ep^3+1036252805666075431427290\
      88809456892820456667383632/13262719171848545938102161525206339086049440\
      4296531896725364990234375*ep^4+4374596119640405332842379938259942875153\
      181874369615024206532768/6583444207467167876897135639831833998290603744\
      509116728938391750025856109619140625*ep^5+10838875736688274967360256125\
      1884062024414803921758488855882204557439208305984/
      20795966052641712375557326183404779495214886839464697521695942712356362\
      7289096001592254638671875*ep^6+3631437183789982531496052409370141709008\
      44677071560281650832886644048524433693191393488256/
      93844105745504922344795939353258759074259613119399343140129528032508358\
      6130189088889231641735439300537109375*ep^7+1172276843608620229882592314\
      25946548865358471918854889096396318913861366437857836714483490140216604\
      3904/423481946492925366070496905159274968484604594167045485606149706812\
      4226469768497857287054795275196072898208141326904296875*ep^8;
Fill mnchfac1(34,34)=
      -1/221643095476699771875-12879038423054/
      1000189076911589075447456754609375*ep-91887299797734204736513636/
      4513464258481362862100148204744796200591796875*ep^2-4839858540400370412\
      56652192203776872824/20367508586968330764596669814508258145047182989416\
      552734375*ep^3-3926015215278322435147998985289806595282404440944/
      170520675066624162061313505324081502534921376952683867218326416015625*
      ep^4-1169436620234129397611500299314413097356909730709813169240344992/
      59250997867204510892074220758486505984615433700582050560445525750232704\
      986572265625*ep^5-29149438681859304507615176637328493951671641682856228\
      581676808163810647704896/1871636944737754113800159356506430154569339815\
      551822776952634844112072645601864014330291748046875*ep^6-
      98093711731059667352086582914014952726163675503809299441038740889246942\
      148681674549217664/8445969517095443011031634541793288316683365180745940\
      882611657522925752275171701800003084775618953704833984375*ep^7-
      31766136453147037950615963399915602536953138783919505746342412842098521\
      4549573781762384027225408581376/381133751843632829463447214643347471636\
      14413475034093704553473613118038227916480715583493157476764656083873271\
      942138671875*ep^8;
Fill mnchfac1(35,0)=
      8589934592/9+7760842006875502280704/3692136295575*ep+498850551911248148\
      242177479499841536/183272924604152926168250625*ep^2+2255442538909174615\
      944170744249675014913575092224/827039420688767559880006084380273703125*
      ep^3+8787737463722661383467233773462053207133682160121181336764416/
      3732107210328835889891508246090521202051752534765625*ep^4+
      31208882663036538900937853028011489675058365211431683466423235928962105\
      344/16841548154728312302351951143119160744189765624956431330205078125*
      ep^5+949436447153596702014064500565624374772545784189442632391655277980\
      0400559124314587136/690903235730517421161971469482548497787286238437267\
      9238030582972610107421875*ep^6+3362894529074879024131668855483854696198\
      60796604353058070877925172575023349892876565325727676760064/
      34295553168652586890220286429032825388934053744736668763877044258678808\
      8705992169189453125*ep^7+1056199927789646583780793446241751406508048513\
      222852430116230781062619729358423438209457236085536991898610302976/
      15476249143764984101388734587220574574192473818907333438899942780046729\
      92999693405713018580474853515625*ep^8;
Fill mnchfac1(35,2)=
      -4294967296/315-3930762605475431186432/129224770345125*ep-2550000767984\
      20074245514814268899328/6414552361145352415888771875*ep^2-1160598873988\
      366518093714155691660171853485309952/2894637972410686459580021295330957\
      9609375*ep^3-4543506768368680411096660559519508492065627894261630152736\
      768/130623752361509256146202788613168242071811338716796875*ep^4-
      16190243581472337615763061170692262976399783742815399677566693432950259\
      712/589454185415490930582318290009170626046641796873475096557177734375*
      ep^5-493694917532783810470206585647155633285954930570413239461413080552\
      4119808248817123328/241816132505681097406690014318891974225550183453043\
      773331070404041353759765625*ep^6-17514655057436640841069210863090344077\
      2908930208397191734381237158530730878349524964483766219702272/
      12003443609028405411577100250161488886126918810657834067356965490537583\
      104709725921630859375*ep^7-55068191405553499467364711403200675869081442\
      5869715567511234517050675309469258873046940461968416097693230235648/
      54166872003177444354860571055272011009673658366175667036149799730163554\
      754989269199955650316619873046875*ep^8;
Fill mnchfac1(35,4)=
      1073741824/5355+995646210716790161408/2196821095867125*ep+
      65203625222379006255925959361298432/109047390139470991070109121875*ep^2
      +298803794915891517292090128602211533954259877888/492088455309816698128\
      603620206262853359375*ep^3+11755350832722669295025547501064468651830429\
      64962135557537792/22206037901456573544854474064238601152207927581855468\
      75*ep^4+420358244185300101986392726619634352914297668298023881048002066\
      8212707328/100207211520633458198994109301559006427929105468490766414720\
      21484375*ep^5+128495689940387865043753312231130543850344965317383460215\
      8939720980651852029993746432/411087425259657865591373024342116356183435\
      3118701744146628196868703013916015625*ep^6+4566262639127515605035866418\
      8161713212451663226915176978606669595037057204095671707538474570579968/
      20405854135348289199681070425274531106415761978118317914506841333913891\
      2780065340667724609375*ep^7+1437309982614510255859389489393861106808145\
      05111657880681109027469007680843439459309505660659852005080951488512/
      92083682405401655403262970793962418716445219222498633961454659541278043\
      0834817576399246055382537841796875*ep^8;
Fill mnchfac1(35,6)=
      -536870912/176715-5549468995247295954944/797446057799766375*ep-
      33360679125949527889745299023855616/3598563874602542705313601021875*
      ep^2-13996711803402306404715424550498534161597333504/147626536592945009\
      4385810860618788560078125*ep^3-6088214469823738855570436027358660896962\
      45306215542606135296/73279925074806692698019764411987383802286161020123\
      046875*ep^4-21850449898868009980853044465335033408529830015596429237698\
      23409687691264/33068379801809041205668056069514472121216604804601952916\
      8576708984375*ep^5-7366058647263012828356724344085153418251336767273381\
      588614438017905297333984937803776/1492247353692558052096684078361882372\
      945870182088733125226035463339194051513671875*ep^6-
      23838590695152165276912765410170189198967240469983978822336309604199614\
      158339245921016655688515584/6733931864664935435894753240340595265117201\
      452779044911787257640191584121742156242034912109375*ep^7-
      68295750924933219697865880553388796362638639826666944738844171853214462\
      93831136988576726542355802181728157696/27625104721620496620978891238188\
      72561493356576674959018843639786238341292504452729197738166147613525390\
      625*ep^8;
Fill mnchfac1(35,8)=
      8388608/176715+87893406956043370496/797446057799766375*ep+
      533655260015203286384296427782144/3598563874602542705313601021875*ep^2+
      225540038437975780906912821270721091626663936/1476265365929450094385810\
      860618788560078125*ep^3+98626950813380987399656995116998181393133691158\
      76801675264/73279925074806692698019764411987383802286161020123046875*
      ep^4+355321562978908893213148120568589080413804363824847882603245670602\
      99776/33068379801809041205668056069514472121216604804601952916857670898\
      4375*ep^5+1201053788746038619608785316153439678027804750967700169726349\
      44562773707332077379584/14922473536925580520966840783618823729458701820\
      88733125226035463339194051513671875*ep^6+389415131399960323489276174430\
      433642272892923074735769415823646121218772759455992928703827910656/
      67339318646649354358947532403405952651172014527790449117872576401915841\
      21742156242034912109375*ep^7+111704380753152257765657364728905024884408\
      616396666366302231818862930537219792923676664192315519033172516864/
      27625104721620496620978891238188725614933565766749590188436397862383412\
      92504452729197738166147613525390625*ep^8;
Fill mnchfac1(35,10)=
      -4194304/5478165-44557260332372328448/24720827791792757625*ep-
      273313745631794821264133859049472/111555480112678823864721631678125*
      ep^2-116386906675356000737759738323395838790893568/45764226343812952925\
      960136679182445362421875*ep^3-51177119672581520201215571539882768578434\
      99394817086636032/22716776773190074736386126967716088978708709916238144\
      53125*ep^4-185110537444677957358624594255943145221377228010109311863551\
      26880575488/10251197738560802773757097381549486357577147489426605404225\
      877978515625*ep^5-62747308316843793561009240801702621472673452530884642\
      305995519018375484363433480192/4625966796446929961499720642921835356132\
      1975644750726882007099363515015596923828125*ep^6-
      20384157200588981893344461645181666364528414301876317627326841601118858\
      9007369716507306147708928/208751887804612998512737350450558453218633245\
      036150392265404986845939107774006843503082275390625*ep^7-
      58549720364210575686264294205530781535359703078704454733065034819957017\
      193302846037184150808743262820216832/8563782463702353952503456283838504\
      94062940538769237295841528333733885800676380346051298831505760192871093\
      75*ep^8;
Fill mnchfac1(35,12)=
      1048576/82172475+11297042270466998272/370812416876891364375*ep+
      70027741659036847214100102053888/1673332201690182357970824475171875*
      ep^2+30054326545418553554052878320495150399004672/686463395157194293889\
      402050187736680436328125*ep^3+13291566031299667771864604029692092228144\
      52495868230729728/34075165159785112104579190451574133468063064874357216\
      796875*ep^4+48276956609544029556579646070130850623040679282169334128764\
      13151332352/15376796607841204160635646072324229536365721234139908106338\
      8169677734375*ep^5+1641301083518056541052852172909120824973267722080316\
      1943187930060654566875592634368/693895019467039494224958096438275303419\
      829634671260903230106490452725233953857421875*ep^6+
      53429244124682065867700747848202331765851249643351820362001754853545927\
      672736220239124509018112/3131278317069194977691060256758376798279498675\
      542255883981074802689086616610102652546234130859375*ep^7+
      15368052503933666055260187578060172826910470885026815646072903203717477\
      772587723320843476611101825780092928/1284567369555353092875518442575775\
      74109441080815385594376229250060082870101457051907694824725864028930664\
      0625*ep^8;
Fill mnchfac1(35,14)=
      -524288/2383001775-5730104163185524736/10753560089429849566875*ep-
      35905516734275318528477688070144/48526633849015288381153909779984375*
      ep^2-15535086880165190363937882728735474965467136/199074384595586345227\
      92659455444363732653515625*ep^3-691169399776268582758821352248226613193\
      868569351026520064/9881797896337682510327965230956498705738288813563592\
      87109375*ep^4-252139881860115639625188463987655316586662446797213860074\
      3721840382976/445927101627394920658433736097402656554605915790057335083\
      8256920654296875*ep^5-8598853421542580807880947270130840367174176585017\
      639889227161505624555648245648384/2012295556454414533252378479670998379\
      9175059405466566193673088223129031784661865234375*ep^6-
      28052666227084607724147236627607643613910381560532183218752010682487667\
      861642288053252956409856/9080707119500665435304074744599292715010546159\
      0725420635451169277983511881692976923840789794921875*ep^7-
      80808625246284041973417221787547156895748441847162357256220846616128494\
      05620700507351640408261651140081664/37252453717105239693390034834697496\
      49173791343646182236910648251742403232942254505323149917050056838989257\
      8125*ep^8;
Fill mnchfac1(35,16)=
      65536/16681012425+726825108838408192/75274920626008946968125*ep+
      4605328127552878715846206035968/339686436943107018668077368459890625*
      ep^2+2009360062928467988793234048254859357704192/1393520692169104416595\
      48616188110546128574609375*ep^3+899583915495147815156809056762635112679\
      48000112493214208/69172585274363777572295756616695490940168021694945150\
      09765625*ep^4+470961382391060352991431369430509925070878075652835261306\
      36614980096/44592710162739492065843373609740265655460591579005733508382\
      56920654296875*ep^5+112798831589044014733120282028442764126754731916355\
      7157252505361443062822024501248/140860688951809017327666493576969886594\
      225415838265963355711617561903222492633056640625*ep^6+
      36883751538733527056944384214606115252791773328477456778650270170210711\
      03514440860452074028032/63564949836504658047128523212195049005073823113\
      5077944448158184945884583171850838466885528564453125*ep^7+
      10641474337424903305070329988574010993624047781108944835303887498661755\
      00844843456442871464213991063889408/26076717601973667785373024384288247\
      54421653940552327565837453776219682263059578153726204941935039787292480\
      46875*ep^8;
Fill mnchfac1(35,18)=
      -32768/450387335475-368889192869687296/2032422856902241568139375*ep-
      2364317894881109845677765008384/9171533797463889504038088948417046875*
      ep^2-1040603422056694995057791358379282603037696/3762505868856581924807\
      812637078984745471514453125*ep^3-46892315154711645765693614661156840145\
      918373308651061504/1867659802407821994451985428650778255384536585763519\
      05263671875*ep^4-246676817041672312749985268638889450312186001718983543\
      34888190222848/12040031743939662857777710874629871726974359726331548047\
      2632936857666015625*ep^5-5928537715541453194789275647588361292116476714\
      24727789780935263328949312371777024/38032386016988434678469953265781869\
      38044086227633181010604213674171387007301092529296875*ep^6-
      19432734461019417171038351678926386704087887226620533396994268266297477\
      93013228824153130991616/17162536455856257672724701267292663231369932240\
      647104500100270993538883745639972638605909271240234375*ep^7-
      56159976799297392046011036195713073535970073706125921571688531669285538\
      3256135285990071757398859007759104/704071375253289030205071658375782683\
      69384656394912844277611251957931421102608610150607533432246074256896972\
      65625*ep^8;
Fill mnchfac1(35,20)=
      8192/5855035361175+93644117815143424/26421497139729140385811875*ep+
      607332530595389929562054487296/119229939367030563552495156329421609375*
      ep^2+269733566965860301429857685905980306052224/48912576295135565022501\
      564282026801691129687890625*ep^3+12238049148593625459130740004985714779\
      240764830127992576/2427957743130168592787581057246011731999897561492574\
      768427734375*ep^4+64703575444386855728772713793286346423919606596292428\
      06731388922112/15652041267121561715111024137018833245066667644231012461\
      44228179149658203125*ep^5+156074498568057951038620468024039401840986458\
      341221937792169001044245925422707456/4944210182208496508201093924551643\
      0194573120959231353137854777764228031094914202880859375*ep^6+
      51290695781071938816085719318792524601574933601825128565950594361195983\
      3019778620775079736704/223112973926131349745421116474804622007809119128\
      412358501303522916005488693319644301876820526123046875*ep^7+
      14849277274690122496045518788019489940678248888751220658915453171779570\
      9972800236038608048898217114846976/915292787829275739266593155888517488\
      80200053313386697560894627545310847433391193195789793461919896533966064\
      453125*ep^8;
Fill mnchfac1(35,22)=
      -4096/146375884029375-47561405098386944/660537428493228509645296875*ep-
      312251310143718534505956820096/2980748484175764088812378908235540234375
      *ep^2-139990669685252236807579026181968607052224/1222814407378389125562\
      539107050670042278242197265625*ep^3-63969828878212538318887580747915182\
      80967189872534832576/60698943578254214819689526431150293299997439037314\
      369210693359375*ep^4-48573337197013444150591275053991194167285170397669\
      9433587875646016/559001473825770061253965147750672615895238130151107587\
      9086529211248779296875*ep^5-8233342379515688005769974174749108212716179\
      6715629796520937928150102219685707456/123605254555212412705027348113791\
      0754864328023980783828446369444105700777372855072021484375*ep^6-
      27131502755275359580658109119068873372417955565071396542943730351536201\
      9360679090125579736704/557782434815328374363552791187011555019522797821\
      0308962532588072900137217332991107546920513153076171875*ep^7-
      78698528865728180120725688003362475335681377236673332712019760347155302\
      325366291911004555696324514846976/2288231969573189348166482889721293722\
      00500133283466743902236568863277118583477982989474483654799741334915161\
      1328125*ep^8;
Fill mnchfac1(35,24)=
      256/439127652088125+3020722336280384/1981612285479685528935890625*ep+
      20083679589274001371757873056/8942245452527292266437136724706620703125*
      ep^2+9092711681070196971438409422719431202464/3668443222135167376687617\
      321152010126834726591796875*ep^3+41861770469979245613942296003779215594\
      2184629040130336/182096830734762644459068579293450879899992317111943107\
      632080078125*ep^4+22375274827689176184355993503271437601564502332149003\
      4109058307232/117390309503411712863332681027641249338000007331732593460\
      817113436224365234375*ep^5+54403374803564632595044763192300786359469537\
      10643899706889647444192375891614016/37081576366563723811508204434137322\
      64592984071942351485339108332317102332118565216064453125*ep^6+
      17980111176609194911448401153962198591008687421501337892253910559613368\
      145196789513227791744/1673347304445985123090658373561034665058568393463\
      0926887597764218700411651998973322640761539459228515625*ep^7+
      52259961146340877737020140187024998341254069091396066662161087801271984\
      15093983907228302631348197588736/68646959087195680444994486691638811660\
      15003998504002317067097065898313557504339489684234509643992240047454833\
      984375*ep^8;
Fill mnchfac1(35,26)=
      -128/10099935998026875-1535474829512992/45577082566032767165525484375*
      ep-10343100692409243597020775728/20567164540812772212805414466825227617\
      1875*ep^2-4730839596454089220869891064029719436032/84374194109108849663\
      815198386496232917198711611328125*ep^3-21951897531847591403426159985578\
      6215640083569425940368/418822710689954082255857732374937023769982329357\
      4691475537841796875*ep^4-1180291924543524045160315400119694517737768174\
      25093438583723146016/26999771185784693958566516636357487347740001686298\
      49649598793609033160400390625*ep^5-288227042923936858646888996393703669\
      3712952160995049926272444345349150397958208/852876256430965647664688701\
      98515842085638633654674084162799491643293353638726999969482421875*ep^6-
      95555584284979756319356497850765613535214936427556351347631722598444398\
      66961682227225676672/38486988002257657831085142591903797296347073049651\
      1318414748577030109467995976386420737515407562255859375*ep^7-
      27834348887100148253103379739128591931668100029722415125352080844230081\
      52166145341289993466772073549568/15788800590055006502348731939076926681\
      83450919655920532925432325156612118225998082627373937218118215210914611\
      81640625*ep^8;
Fill mnchfac1(35,28)=
      32/111099295978295625+390432505237048/501347908226360438820780328125*ep
      +2665860174411087632031219632/22623880994894049434085955913507750378906\
      25*ep^2+13556626618519360718333002979684044822888/102092774872021708093\
      21639004766044182981044104970703125*ep^3+524186011170169254711202214122\
      0778063720636463181072/418822710689954082255857732374937023769982329357\
      4691475537841796875*ep^4+3119690352408133185229256312619376685862239524\
      6284129198311031904/296997483043631633544231682999932360825140018549283\
      46145586729699364764404296875*ep^5+765361081680713601046719714297762966\
      168979432800231527231175948290889343554752/9381638820740622124311575721\
      83674262942024970201414925790794408076226890025996999664306640625*ep^6+
      25458794642852664029778654556276217228481822869387649770215507706485411\
      85264558642999075968/42335686802483423614193656851094177025981780354616\
      24502562234347331204147955740250628112669483184814453125*ep^7+
      81766533869662446036113572789304587147889545685636876833121499243457219\
      34681372317686368547658731552512/19104448713966557867841965646283081285\
      01975612783663844839773113439500663053457679979122464033923040405206680\
      2978515625*ep^8;
Fill mnchfac1(35,30)=
      -16/2333085215544208125-198654432449324/
      10528306072753569215236386890625*ep-1375618191139686742259008516/
      47510150089277503811580507418366275795703125*ep^2-707391472923830849808\
      3069059174312354744/214394827231245586995754419100086927842601926204384\
      765625*ep^3-394159968162836963856067692313023638025126691767248/
      12564681320698622467675731971248110713099469880724074426613525390625*
      ep^4-16530146848234953299372846930160103354101068616125669930270392352/
      62369471439162643044288653429985795773279403895349526905732132368666005\
      2490234375*ep^5-4075452484938783777167589481633293046450144709041677024\
      87260220247028597920576/19701441523555306461054309015857159521782524374\
      229713441606682569600764690545936992950439453125*ep^6-
      13605155979870098712098067759838472063871584876966851656578049530245518\
      12569862272969446784/88904942285215189589806679387297771754561738744694\
      114553806921293955287107070545263190366059146881103515625*ep^7-
      43806827740136059530303075927372816881188056123144546469424638249284456\
      86039891307771771521165786035456/40119342299329771522468127857194470698\
      54148786845694074163523538222951392412261127956157174471238384850934028\
      62548828125*ep^8;
Fill mnchfac1(35,32)=
      2/11665426077721040625+25283065158958/52641530363767846076181934453125*
      ep+177656905825263853477471172/2375507504463875190579025370918313789785\
      15625*ep^2+924324166775494504174149520962212768248/10719741361562279349\
      78772095500434639213009631021923828125*ep^3+519785125322823369671912518\
      46272069879898087822416/62823406603493112338378659856240553565497349403\
      620372133067626953125*ep^4+21952757009069424626739168443667532668996029\
      64776113766123130784/31184735719581321522144326714992897886639701947674\
      76345286606618433300262451171875*ep^5+544104049297717555830343897127165\
      02427530343087449413519278603018135482640192/98507207617776532305271545\
      079285797608912621871148567208033412848003823452729684964752197265625*
      ep^6+182341099414373874371085280750587233871575233929034796512609129556\
      575294957926424823148928/4445247114260759479490333969364888587728086937\
      23470572769034606469776435535352726315951830295734405517578125*ep^7+
      58872706955476435936608684717544744466428027623028053334750089258365754\
      7816123835148856956161595345152/200596711496648857612340639285972353492\
      70743934228470370817617691114756962061305639780785872356191924254670143\
      12744140625*ep^8;
Fill mnchfac1(35,34)=
      -1/221643095476699771875-12879038423054/
      1000189076911589075447456754609375*ep-91887299797734204736513636/
      4513464258481362862100148204744796200591796875*ep^2-4839858540400370412\
      56652192203776872824/20367508586968330764596669814508258145047182989416\
      552734375*ep^3-3926015215278322435147998985289806595282404440944/
      170520675066624162061313505324081502534921376952683867218326416015625*
      ep^4-1169436620234129397611500299314413097356909730709813169240344992/
      59250997867204510892074220758486505984615433700582050560445525750232704\
      986572265625*ep^5-29149438681859304507615176637328493951671641682856228\
      581676808163810647704896/1871636944737754113800159356506430154569339815\
      551822776952634844112072645601864014330291748046875*ep^6-
      98093711731059667352086582914014952726163675503809299441038740889246942\
      148681674549217664/8445969517095443011031634541793288316683365180745940\
      882611657522925752275171701800003084775618953704833984375*ep^7-
      31766136453147037950615963399915602536953138783919505746342412842098521\
      4549573781762384027225408581376/381133751843632829463447214643347471636\
      14413475034093704553473613118038227916480715583493157476764656083873271\
      942138671875*ep^8;
Fill mnchfac1(36,0)=
      68719476736/37+2324617439588996700176384/561614954293575*ep+55769952753\
      45437768899329860967461814272/1031480383330462018800044323125*ep^2+
      938953978046070076874142522267398350357058242452914176/1722227808574979\
      22088030231456468682635828125*ep^3+135992438236014105433455547982256811\
      406161091710500353948646593527808/2875545354582586131207705360911628003\
      8073893282825389453125*ep^4+1792945705587686503351103954634218274803746\
      8539009493352633047448780688717107953664/480120054100351656601599931784\
      2063261698197219052345037589129814580078125*ep^5+1839003587698634765325\
      16056053544435148479401438181251490622539178977327570496336122624050462\
      72/66251253621375369014408373366635104120865029855382283303711046833554\
      00223104736328125*ep^6+265537304099663337800560413320422814388680885166\
      986999039823173303196892022470476314510000679809714863363588096/
      13384713985083051068391661694627269515811869948177057714187499834279076\
      7607485631328341394854736328125*ep^7+3089105742230044143269746814799669\
      36954303060855225638745018496650893191021671733912570996222678149728183\
      20308864272766599168/22348002935841867573345161403827599751609013210471\
      084889863030658840192541077374525390407065768120285454864501953125*ep^8
      ;
Fill mnchfac1(36,2)=
      -8589934592/333-294198978539668790837248/5054534588642175*ep-7121337277\
      75671070490941510845762371584/9283323449974158169200398908125*ep^2-
      120672095950002088127849706119796285073945239247388672/1550005027717481\
      298792272083108218143722453125*ep^3-17558727294641533085725358918411741\
      255093133612325510632343575986176/2587990819124327518086934824820465203\
      42665039545428505078125*ep^4-232261883025590540890020775815285568336026\
      1160335665748701904738424299337503735808/432108048690316490941439938605\
      78569355283774971471105338302168331220703125*ep^5-
      26265591724396443449302203053536036756473527490717182000502745429570123\
      222998279804432677863424/6558874108516161532426428963296875307965637955\
      68284604706739363652184622087368896484375*ep^6-
      34532169799688145342997987417502057958415662291142540310117853240158634\
      585737106618244766745277979661971750912/1204624258657474596155249552516\
      454256423068295335935194276874985085116908467370681955072553692626953125
      *ep^7-40215410461064801909573504390259230058810819846484854504156994564\
      01574950898571132404187313466850389834630891826549593604096/
      20113202642257680816010645263444839776448111889423976400876727592956173\
      2869696370728513663591913082569093780517578125*ep^8;
Fill mnchfac1(36,4)=
      4294967296/11655+148962128545228557123584/176908710602476125*ep+
      363883684305397437770451242195125010432/
      324916320749095535922013961784375*ep^2+62071945817489760683566857528716\
      135098393439141625856/54250175970111845457729522908787635030285859375*
      ep^3+9075476282954149194744194226105885042221998016779207396083129909248
      /9057967866935146313304271886871628211993276384089997677734375*ep^4+
      12046037434494051390236330546370409996087052036641807951498095650037310\
      51095261184/15123781704161077182950397851202499274349321240014886868405\
      75891592724609375*ep^5+136552078130238642053177273156342147810988689981\
      89127802476434953313583439402774730629803671552/22956059379806565363492\
      501371539063577879732844889961164735877727826461773057911376953125*ep^6
      +1798264492943902290575683879972825151374669863154344370006895517060993\
      3187833835742713549696778182584946917376/421618490530116108654337343380\
      75898974807390336757731799690624477979091796357973868427539379241943359\
      375*ep^7+20965562724056488490555076361768811728303159294171365726727786\
      91854375843192792921966545693906629176725564410790755995025408/
      70396209247901882856037258422056939217568391612983917403068546575346606\
      50439372975497978225716957889918282318115234375*ep^8;
Fill mnchfac1(36,6)=
      -1073741824/198135-37719887832180636778496/3007448080242094125*ep-
      93008496929115891555363016057718571008/
      5523577452734624110674237350334375*ep^2-1597473096174076676390244033796\
      5320193078671561457664/922252991491901372781401889449389795514859609375
      *ep^3-23473175014128077115711004471700918992172979933470868065594043269\
      12/153985453737897487326172622076817679603885698529529960521484375*ep^4
      -3126781017796430887365467792095021103674061951579823863345621809601373\
      49928452096/25710428897073831211015676347044248766393846108025307676289\
      790157076318359375*ep^5-32303566664514968476077305955104675194673490644\
      4179597359187660048804617544536385494620766208/354775463142465101072156\
      83937833098256723223487557212709137265579368168194725863037109375*ep^6-
      46876105415818898837176903106953226618187692912050104954183487865078912\
      03005625923296642389240678482941804544/71675143390119738471237348374729\
      02825717256357248814405947406161256445605380855557632681694471130371093\
      75*ep^7-547158904334021534862639128813566893409998485728578068013038429\
      185782590146157449625447319912600315513682294130230416637952/
      11967355572143320085526333931749679666986626574207265958521652917808923\
      1057469340583465629837188284128610799407958984375*ep^8;
Fill mnchfac1(36,8)=
      536870912/6538455+210175732020276654768128/1091703653127880167375*ep+
      47567652375658723625093479256874287104/18227805594024259565224983256103\
      4375*ep^2+748003499829173459239291593893416458496641190592512/
      2766758974475704118344205668348169386544578828125*ep^3+1215289286427556\
      551857095245564553523879870903613498117411946233856/5081519973350617081\
      763696528534983426928228051474488697208984375*ep^4+16248792149387995472\
      3828264159911435076144047127026024514287662489048159632949248/
      84844415360343642996351731945246020929099692156483515331756307518351850\
      5859375*ep^5+2036578077440131623078632596759613382525591792164851916770\
      5729136180934390194593324803814621184/141661842432786314858112225963767\
      561339095831385815950347585101458417095601540371107177734375*ep^6+
      24468478567257950651321549053888649690606097029857837594243738109927917\
      69380114514754265150862051488884867072/23652797318739513695508324963660\
      57932486694597892108753962644033214627049775682334018784959175473022460\
      9375*ep^7+2599631903174167447218048248690415783154433884748760514085237\
      5963409881849767353742527880686178128591277150058979981705216/
      35902066716429960256579001795249039000959879722621797875564958753426769\
      3172408021750396889511564852385832398223876953125*ep^8;
Fill mnchfac1(36,10)=
      -8388608/6538455-3327765107313084465152/1091703653127880167375*ep-
      760607870004023391106285640756494336/1822780559402425956522498325610343\
      75*ep^2-12048339105563641915518924217328168396019299319808/276675897447\
      5704118344205668348169386544578828125*ep^3-1968040677048651593967257767\
      2234086589611282448778117212774498304/508151997335061708176369652853498\
      3426928228051474488697208984375*ep^4-2641560359691319592282769046768775\
      004721177654982976971629620513738723292332032/8484441536034364299635173\
      19452460209290996921564835153317563075183518505859375*ep^5-
      33199821126166698492847825005743867615813532903668820856671199835871979\
      2594923048018034221056/141661842432786314858112225963767561339095831385\
      815950347585101458417095601540371107177734375*ep^6-
      39964266986573628438573171071329609853581174343827051992419103603277559\
      432111360682334099700595857171406848/2365279731873951369550832496366057\
      93248669459789210875396264403321462704977568233401878495917547302246093\
      75*ep^7-425149013567788643892791083001216172413507429776740032392260173\
      421142916681356200759741857620433419219712780333640556544/
      35902066716429960256579001795249039000959879722621797875564958753426769\
      3172408021750396889511564852385832398223876953125*ep^8;
Fill mnchfac1(36,12)=
      4194304/202692105+1686473157267516030976/33842813246964285188625*ep+
      389387312505496881712107300040736768/5650619734147520465219744809392065\
      625*ep^2+6214828434835240867296244872050374066096735944704/857695282087\
      46827668670375718793250982881943671875*ep^3+102084084515658917018831005\
      51202049413742200845935982201669271552/15752711917386912953467459238458\
      4486234775069595709149613478515625*ep^4+1375762867993261847649837596395\
      748874266221471151883523120207457434484135305216/2630176876170652932886\
      9036903026266488020904568509889752844455330689073681640625*ep^5+
      17340899142202369952381919858063021128217405949777942857514606193677309\
      2783751385158141104128/439151711541637576060147900487679440151197077296\
      0294460775138145210929963647751504322509765625*ep^6+
      20916117722325456391709167606921744725272824989648514636473556078430719\
      770107987834808872544281999424692224/7332367168809249245607580738734779\
      59070875325346553713728419650296534385430461523545823337344396636962890\
      625*ep^7+22281583590213568657132182398285365257613984518630678221188203\
      5798284634715221593596425590607385683303940206929698844672/
      11129640682093287679539490556527202090297562714012757341425137213562298\
      488344648674262303574858510423960804344940185546875*ep^8;
Fill mnchfac1(36,14)=
      -1048576/3040381575-427454195249713905664/507642198704464277829375*ep-
      99725847362054774075904218751107072/84759296012212806978296172140880984\
      375*ep^2-1604164340427844837479407678032091279326175830016/128654292313\
      1202415030055635781898764743229155078125*ep^3-2650310801729473648678261\
      613144835849360182601609150592900087808/2362906787608036943020118885768\
      767293521626043935637244202177734375*ep^4-35869116382493503941688122532\
      7628441785928895466180456886591216780388389873664/394526531425597939933\
      035553545393997320313568527648346292666829960336105224609375*ep^5-
      45348562754017232323283680405706342431237930367228597715590122878475643\
      981181700651710758912/6587275673124563640902218507315191602267956159440\
      4416911627072178163949454716272564837646484375*ep^6-
      54814192873220341529962538378317012520285350374666031110390490760884384\
      86486692880727628029963683204868096/10998550753213873868411371108102169\
      38606312988019830570592629475444801578145692285318735006016594955444335\
      9375*ep^7-5847733468950985377012503819190444880064864580722396740555313\
      0974250834095951990266216582485212887459921228856728076288/
      16694461023139931519309235834790803135446344071019136012137705820343447\
      7325169730113934553622877656359412065174102783203125*ep^8;
Fill mnchfac1(36,16)=
      524288/88171065675+216745669659081900032/14721623762429464057051875*ep+
      51110830207540035179916286188814336/24580195843541714023705889920855485\
      46875*ep^2+828833900475725092820696972864811457319249809408/
      37309744770804870035871613437675064177553645497265625*ep^3+
      1377647243445397980399568455248445716184478129044584108615471104/
      68524296840633071347583447687294251512127155274133480081863154296875*
      ep^4+187277343543653749489848880854690374011208676159882979313079577133\
      837100434432/1144126941134234025805803105281642592228909348730180204248\
      7338068849747051513671875*ep^5+2375252492228299051398803654408434437787\
      0687746204248340493377957023622391775821881324000256/
      19103099452061234558616433671214055646577072862377280904371850931667545\
      34186771904380291748046875*ep^6+287746407533336991038638938009423193500\
      9237909683840928656401935115222570458855610360489827179856828520448/
      31895797184320234218392976213496291219583076652575086547186254787899245\
      7662250762742433151744812537078857421875*ep^7+
      30744750154773337502772332949977755477776986723316068974935107943067215\
      656279316119713796325104732680091484661367097344/
      48413936967105801405996783920893329092794397805955494435199346878995998\
      42429922173304102055063452034422949890048980712890625*ep^8;
Fill mnchfac1(36,18)=
      -65536/617197459725-27484005979673288704/103051366337006248399363125*ep
      -6552743463570751613981901525358592/17206137090479199816594122944598839\
      828125*ep^2-107156475706947113442113815418016038554763288576/
      261168213395634090251101294063725449242875518480859375*ep^3-
      179234729932582604342589875673855114066197121330282323761945088/
      479670077884431499433084133811059760584890086918934360573042080078125*
      ep^4-349692304745603358797637470151583755274275624251184446037177000510\
      7357046272/114412694113423402580580310528164259222890934873018020424873\
      38068849747051513671875*ep^5-311503296023210937064105746401294977321342\
      1670543757578944002466854145334042134440975096832/
      13372169616442864191031503569849838952603951003664096633060295652167281\
      739307403330662042236328125*ep^6-37825824110530163752703667194531018566\
      0070614875458710851135551153498662704688061845530444372910083859456/
      22327058029024163952875083349447403853708153656802560583030378351529472\
      03635755339197032062213687759552001953125*ep^7-
      40481473260933100946499782041795343588548998421183577438607326863650225\
      34084956282668139148146192990223444850792570368/
      33889755876974060984197748744625330364956078464168846104639542815297198\
      897009455213128714385444164240960649230342864990234375*ep^8;
Fill mnchfac1(36,20)=
      32768/16664331412575+13944638612504522752/2782386891099168706782804375*
      ep+3362604658058672739082088836176896/464565701442938395048041319504168\
      675359375*ep^2+55468617294257324370856923898526963434522201088/
      7051541761682120436779734939720587129557638998983203125*ep^3+
      93390530732997506227908032526838740379581463040739753213810944/
      12951092102879650484693271612898613535792032346811227735472136162109375
      *ep^4+18309646990661715435698620664795176008416192138098972381985606129\
      95407732736/30891427410624318696756683842604349990180552415714865514715\
      8127858943170390869140625*ep^5+1636774619250187004806351080473935981315\
      349188735508296119627482405359255004426861593366016/
      36104857964395733315785059638594565172030667709893060909262798260851660\
      6961299889927875140380859375*ep^6+1992508504152833026258436544911202460\
      84039816895430174172037813580429966127618632378759736314989609110528/
      60283056678365242672762725043507990405012014873366913574182021549129574\
      498165394158319865679769569507904052734375*ep^7+
      21360879345671107843738860578421239775057155147969340564377906856677862\
      93918212699551142346733946753790161102203427584/
      91502340867829964657333921610488391985381411853255884482526765601302437\
      0219255290754475288406992434505937529219257354736328125*ep^8;
Fill mnchfac1(36,22)=
      -8192/216636308363475-3538766978241829888/36171029584289193188176456875
      *ep-863376392167630633730693928353024/603935411875819913562453715355419\
      2779671875*ep^2-14371192881802767228870433347040837885176428672/
      91670042901867565678136554216367632684249306986781640625*ep^3-
      24362809707000307110049142037666295577908195366807264672871936/
      168364197337435456301012530967681975965296420508545960561137770107421875
      *ep^4-48009159069476689405531317136202628126958169238859037857848536281\
      5166537984/401588556338116143057836889953856549872347181404293251691305\
      5662166261215081298828125*ep^5-4307749952396646144040344025256069314120\
      13265786393590798986691637731161746213593301250304/
      46936315353714453310520577530172934723639868022860979182041637739107158\
      90496898569062376824951171875*ep^6-525790602876937274619035067965716486\
      55743254059839110126255597425653271136609591108767596850104435868032/
      78367973681874815474591542556560387526515619335376987646436628013868446\
      8476150124058158253837004403602752685546875*ep^7-
      56471760374601079083210473770546196716780406707629867096139698357470776\
      6102809601395518937630907057356573697079428096/
      11895304312817895405453409809363490958099583540923264982728479528169316\
      812850318779808178749290901648577187879850345611572265625*ep^8;
Fill mnchfac1(36,24)=
      4096/5415907709086875+1796739298181078528/
      904275739607229829704411421875*ep+443688014729306993456701338500224/
      150983852968954978390613428838854819491796875*ep^2+74549821966990125641\
      71670645215113889831348672/22917510725466891419534138554091908171062326\
      74669541015625*ep^3+127290874132457560266653294015316586005847808644839\
      00436111936/42091049334358864075253132741920493991324105127136490140284\
      44252685546875*ep^4+252190552768800944647502059083083806980616886390698\
      697121527300003142737984/1003971390845290357644592224884641374680867953\
      51073312922826391554156530377032470703125*ep^5+227177569948504912461822\
      325304732243522415052064626845071938233375245626389321980258250304/
      11734078838428613327630144382543233680909967005715244795510409434776789\
      7262422464226559420623779296875*ep^6+2780677287486816671761681255313973\
      4560168320710015810311617809502414327616662912130397728027769385868032/
      19591993420468703868647885639140096881628904833844246911609157003467111\
      711903753101453956345925110090068817138671875*ep^7+
      29924172022670367277163952476168509204430110298821873158867130612412402\
      7827668970708225605525401342054108944979428096/
      29738260782044738513633524523408727395248958852308162456821198820423292\
      0321257969495204468732272541214429696996258640289306640625*ep^8;
Fill mnchfac1(36,26)=
      -256/16247723127260625-114077183288671808/
      2712827218821689489113234265625*ep-28524129268402271716950224690464/
      452951558906864935171840286516564458475390625*ep^2-48397645210825784239\
      3366463050188160695719392/687525321764006742586024156622757245131869802\
      4008623046875*ep^3-8326049205087420084126778599019634695601997446574501\
      83123296/12627314800307659222575939822576148197397231538140947042085332\
      758056640625*ep^4-16589392996913854195085993214681078858595820515157110\
      329150928638495465824/3011914172535871072933776674653924124042603860532\
      19938768479174662469591131097412109375*ep^5-150064782362054696537963032\
      28503529121963700857217764902308361396725343328173895345641344/
      35202236515285839982890433147629701042729901017145734386531228304330369\
      1787267392679678261871337890625*ep^6-1842322503413578765623518692998319\
      466189292010473220914645318873539585817314216411153495521114756852352/
      58775980261406111605943656917420290644886714501532740734827471010401335\
      135711259304361869037775330270206451416015625*ep^7-
      19867783041813846339185432705493061281347856577575615413689529285342510\
      516559670984144772143687198344559869888621056/
      89214782346134215540900573570226182185746876556924487370463596461269876\
      0963773908485613406196817623643289090988775920867919921875*ep^8;
Fill mnchfac1(36,28)=
      128/373697631926994375+57967797115129504/
      62395026032898858249604388109375*ep+14682877088960759285551312770032/
      10417885854857893508952326589880982544933984375*ep^2+251678147728882007\
      419188082633480520894264096/1581308240057215507947855560232341663803300\
      54552198330078125*ep^3+436399865170290122796006430066034917927323512493\
      603405408848/2904282404070761621192466159192514085401363253772417819679\
      62653435302734375*ep^4+874726920177146169194942865022384613671919974545\
      3324767065925045286819712/692740259683250346774768635170402548529798887\
      9224058591675021017236800596015240478515625*ep^5+7947739686677210304461\
      158430245955716610510177524408681221768538712970109232548558321472/
      80965143985157431960647996239548312398278772339435189089021825099959849\
      11107150031632600023040771484375*ep^6+978857214185725915269514877073702\
      942684454180026832742338207283165602237545920664179246794438126552576/
      13518475460123405669367041091006666848323944335352530369010318332392307\
      08121358964000322987868832596214748382568359375*ep^7+
      10579885468738712375251084132846778775576756387764853564959151902494350\
      297265723839414596171960447911819678568489728/
      20519399939610869574407131921152021902721781608092632095206627186092071\
      502166799895169108342526805343795649092741846179962158203125*ep^8;
Fill mnchfac1(36,30)=
      -32/4110673951196938125-14734809799557976/
      686345286361887440745648269203125*ep-3782547509160504330826724635808/
      114596744403436828598475592488690807994273828125*ep^2-72082213931483704\
      2070008400177644842699622664/191338297046923076461690522788113341320199\
      36600815997939453125*ep^3-104155061406332511402642703603104794814480625\
      11163295060992/29042824040707616211924661591925140854013632537724178196\
      7962653435302734375*ep^4-2311034566960776859160542677898194317650678336\
      822760433721508963717237728/7620142856515753814522454986874428033827787\
      7671464644508425231189604806556167645263671875*ep^5-
      21097103407079760912490809460430593716577743888818408594823593022267432\
      42274184545607168/89061658383673175156712795863503143638106649573378707\
      997924007609955834022178650347958600253448486328125*ep^6-
      26072572079736921575242326628251625201932220746871743263792333584077999\
      3653113181670748513290165372544/148703230061357462363037452001073335331\
      56338768887783405911350165631537789334948604003552866557158558362232208\
      251953125*ep^7-31073434549420295638817521035548949420416806516965438039\
      145426288621957246927638370789109361350888637812923120381952/
      24828473926929152185032629624593946502293355745792084835200018895171406\
      51762182787315462109445743446599273540221763387775421142578125*ep^8;
Fill mnchfac1(36,32)=
      16/86324152975135700625+7494617553518588/
      14413251013599636255658613653265625*ep+1950861891314407678343131798204/
      2406531632472173400567987442262506967879750390625*ep^2+3759219645495160\
      78078862722543870655922541232/40181042379853846056955009785503801677241\
      8668617135956728515625*ep^3+7827813076989236002294197672175793498292474\
      60005917172528/87128472122122848635773984775775422562040897613172534590\
      3887960305908203125*ep^4+1223978318602355865057759945927144979375530973\
      952650901047950813948793664/1600229999868308301049715547243629887103835\
      431100757534676929854981700937679520550537109375*ep^5+
      11229763397417364920355948649769506480068844467274412597964119240944340\
      64324899066632384/18702948260571366782909687131335660164002396410409528\
      67956404159809072514465751657307130605322418212890625*ep^6+
      13929141041526766630444598956103441587965970573426663552896037770103461\
      1758843246972763300022336636672/312276783128850670962378649202254004196\
      28311414664345152413835347826229357603392068407461019770032972560687637\
      3291015625*ep^7+1664419414733877023683621339440183391943952162649844964\
      9328132620339087945610859467605798655546203038072860766354176/
      52139795246551219588568522211647287654816047066163378153920039679859953\
      687005838533624704298360612378584744344657031143283843994140625*ep^8;
Fill mnchfac1(36,34)=
      -2/431620764875678503125-953523854993146/
      72066255067998181278293068266328125*ep-251818068601649473840437238568/
      12032658162360867002839937211312534839398751953125*ep^2-490925060064842\
      78318928457454430545220088744/20090521189926923028477504892751900838620\
      93343085679783642578125*ep^3-103170266844023504878226085761278575031196\
      377896582374176/4356423606106142431788699238788771128102044880658626729\
      519439801529541015625*ep^4-16247158405295059912094484219133438613543933\
      0474160881036395957158097888/800114999934154150524857773621814943551917\
      7155503787673384649274908504688397602752685546875*ep^5-
      14986660771960422181188228712117035464087182234337423347233138398621657\
      0959377980544128/935147413028568339145484356566783008200119820520476433\
      9782020799045362572328758286535653026612091064453125*ep^6-
      18662562259327870791050421187409486389664678785403068107861739309791441\
      961826440510168831496862212224/1561383915644253354811893246011270020981\
      41557073321725762069176739131146788016960342037305098850164862803438186\
      6455078125*ep^7-2236325504299789008450033378783516464602748096287552163\
      536400061713378220219499779244642971358525662004140755451392/
      26069897623275609794284261105823643827408023533081689076960019839929976\
      8435029192668123521491803061892923721723285155716419219970703125*ep^8;
Fill mnchfac1(36,36)=
      1/8200794532637891559375+485549643708848/136925884629196544428756829706\
      0234375*ep+130175906776709330449682328484/22862050508485647305395880701\
      4938161948576287109375*ep^2+25690201929671426781032162441357691432985472
      /38171990260861153754107259296228611593379773518627915889208984375*ep^3
      +54517058149206454861028717560433058021674985169056681488/
      82772048516016706203985285536986651433938852732513907860869356229061279\
      296875*ep^4+86505676819651824722864161572959058349235884297810775915583\
      571758566144/1520218499874892885997229769881448392748643659545719657943\
      08336223261589079554452301025390625*ep^5+802546152302952429160064439212\
      76048996538696326801591754790688015631103229846115795264/
      17767800847542798443764202774768877155802276589889052245585839518186188\
      8874246407444177407505629730224609375*ep^6+1003653591303309303443300976\
      70501113544048797397719613933917197503698839753818830825118941558947717\
      12/29666294397240813741425971674214130398646895843931127894793143580434\
      917889723222464987087968781531323932653255462646484375*ep^7+
      12063609815079356853522920241340879169528218680673418300163838455567578\
      55448123990570829809483538142634522834890496/
      49532805484223658609140096101064923272075244712855209246224037695866956\
      00265554660694346908344258175965550712742417958611965179443359375*ep^8;
Fill mnchfac1(37,0)=
      68719476736/19+2351324984248986956201984/288396868421025*ep+56888947816\
      44413743616476605145438748672/529679115764291306951374111875*ep^2+
      963779560566443893273336935500504150940351010623717376/8843872530520163\
      5666826335072240674867046875*ep^3+1402247254294183755441082127300811210\
      53295334086783036980178251153408/14766313982991658511607135637113765424\
      956864118207632421875*ep^4+18548031172396528667428928493642285084712529\
      301935667879755942287178777605873598464/2465481358893697696062269919972\
      951404655831004378231235518742337216796875*ep^5+20975277361088558839982\
      20484703404677486906282478363384039259202381607571765327114775764580433\
      92/37423005423966086821652297388180369625029165512905127595880023751926\
      449908888916015625*ep^6+27577159391820021172687190323899708403559279271\
      9944388354694866886058030576127623343108594410017860255320375296/
      68732315058534586567416641134572465081196088923071377451233107257108772\
      555195324195634770330810546875*ep^7+32116193362254712132040414510967277\
      39598720872354956668277060302184467955802928203717921441250020779587334\
      0229476162514976768/114760015075944725376637315316952539265019257026743\
      40889389123851836855629201895026551830655394440146584930419921875*ep^8;
Fill mnchfac1(37,2)=
      -34359738368/703-1189758140695043891003392/10670684131577925*ep-
      2903505463591110858464510195333318311936/
      19598127283278778357200842139375*ep^2-494992171057863683069576630289946\
      803555802244068671488/3272232836292460519672574397672904970080734375*
      ep^3-723460698445614414415652349819478350626351838530962678678419448791\
      04/546353617370691364929464018573209320723403972373682399609375*ep^4-
      96004852588058645849489056356739743311569911647344260514150545305217134\
      94229778432/91222810279066814754303987038999201972265747161994555714193\
      466477021484375*ep^5-10881486459201722531288417283009773922495371541977\
      6565688645777221425607480787136102985730359296/138465120068674521240113\
      5003362673676126079123977489721047560878821278646628889892578125*ep^6-
      14328722769666123376898923796541273988699990312403303853797416061176128\
      2858049528158870221673729895751192936448/254309565716577970299441572197\
      91812080042552901536409656956249685130245845422269952384865022399902343\
      75*ep^7-167046962049921100462289845026070023177319696429557014901938102\
      26987668908497420581715167789983866776771263961727689735798784/
      42461205578099548389355806667272439528057125099895061290739758251796365\
      8280470115982417734249594285423642425537109375*ep^8;
Fill mnchfac1(37,4)=
      4294967296/6327+150530666882402588033024/96036157184201325*ep+370617892\
      487713158436844207409717051392/176383145549509005214807579254375*ep^2+
      63592932837374513917560154598040935752860607379931136/29450095526632144\
      677053169579056144730726609375*ep^3+93382002942018777748619204525796303\
      44616091648343579670472045887488/49171825563362222843651761671588838865\
      10635751363141596484375*ep^4+124337086924678172045400597988710326460493\
      9954006828977570567668959815706926383104/821005292511601332788735883350\
      992817750391724457951001427741198293193359375*ep^5+
      12841912795845524125112719183253875792823166215357289657440102455374281\
      44625981039151472443392/11328964369255188101463831845694602804667920105\
      27037044493458900853773438150909912109375*ep^6+
      18631583031643421835410040610475751699208868958370267086750830410083455\
      546865903755387689026567277887743328256/2288786091449201732694974149781\
      26308720382976113827686912606247166172212608800429571463785201599121093\
      75*ep^7+217449958732076078787856477005795540434844614936117911334841183\
      4448796944394233344698733857470136576002452609142493098344448/
      38215085020289593550420226000545195575251412589905555161665782426616729\
      24524231043841759608246348568812781829833984375*ep^8;
Fill mnchfac1(37,6)=
      -2147483648/221445-76196653078898374868992/3361265501447046375*ep-
      189307382352106538364092926801022550016/
      6173410094232815182518265273903125*ep^2-3269955246174382919146359743393\
      2068265020184831459328/1030753343432125063696860935266965065575431328125
      *ep^3-48250925287792777318758601732586014456045389179131358731544418058\
      24/172101389471767779952781165850560936027872251297709955876953125*ep^4
      -6447034155655832054512869143107761021439843600193618470976089587038331\
      17862920192/28735185237906046647605755917284748621263710356028285049970\
      941940261767578125*ep^5-73426466935187268411188396736945042869629183851\
      76944486387240013092242197885936880979706904576/43616512821632474190635\
      7526059242207979714924052909262129981676828702773688100316162109375*
      ep^6-970109851400557278218660888036920408472259811073855992921777862847\
      9131674108242260219114740345914279907033088/801075132007220606443240952\
      42344208052134041639839690419412186508160274413080150350012324820559692\
      3828125*ep^7-1133528636891228107615472558270865527138112892772364815200\
      363095639836001035471923346603650850900806321878672342590454267904/
      13375279757101357742647079100190818451337994406466944306583023849315855\
      2358348086534461586288622199908447364044189453125*ep^8;
Fill mnchfac1(37,8)=
      536870912/3764565+19288841117661342466048/57141513524599788375*ep+
      48368801944420307087922748350691016704/10494797160195785810281050965635\
      3125*ep^2+8412416785885684258024492998516802561228279415570432/
      17522806838346126082846635899538406114782332578125*ep^3+124758468208014\
      5830734623814972149283004949991030955350633227616256/292572362102005225\
      9197279819459535912473828272061069249908203125*ep^4+1673024710267231935\
      55916291276755121315567213744249535343422361990751778500968448/
      48849814904440279300929785059384072656148307605248084584950601298445004\
      8828125*ep^5+1910351315366069072800623500221260057383400570039150680683\
      761975745598409908427413609309241344/7414807179677520612408077943007117\
      535655153708899457456209688506087947152697705374755859375*ep^6+
      25284691482679609835512078354355112955242517116553439794584536580165101\
      86757774196036291506343588386084175872/13618277244122750309535096191198\
      51536886278707877274737130007170638724665022362555950209521949514770507\
      8125*ep^7+2957989214934822889024296681048980995519315982762406188719480\
      82378244760160867705133625432870863590423732461378321993547776/
      22737975587072308162500034470324391367274590490993805321191140543836953\
      90091917471085846966906577398443605188751220703125*ep^8;
Fill mnchfac1(37,10)=
      -268435456/124230645-107446800618778959806464/20742369409429723180125*
      ep-24728038179584085179452663917578289152/34632830628646093173927468186\
      59653125*ep^2-35796051496437522884827723089530827831976154628096/
      4778947319548943477139991608965019849486090703125*ep^3-6457070738043299\
      26034206293869800335194492947691609369288197603328/96548879493661724553\
      510234042164685111636332978015285246970703125*ep^4-86918251267790937414\
      017878324807204891677898505240721448624012800103344910925824/
      16120438918465292169306829069596743976528941509731867913033698428486851\
      611328125*ep^5-10946703313009216608631647756999673505368284514746065460\
      778455128864802477966495641746670600192/2691575006222939982304132293311\
      583665442820796330503056604116927709924816429267051036376953125*ep^6-
      13196204505375930792742469773922656550053115045677307104666381537743497\
      33742299024602377922962837087570190336/44940314905605076021465817430955\
      10071724719735995006632529023663107791394573796434635691422433398742675\
      78125*ep^7-127748929505634757057097349695946525927419596339758882772613\
      3453993332874470855176275475862257163402717310172124501065728/
      62012660692015385897727366737248340092567064975437650875975837846828056\
      0934159310296140081883612017757346869659423828125*ep^8;
Fill mnchfac1(37,12)=
      4194304/124230645+1700740906916552114176/20742369409429723180125*ep+
      395249563442601567247432182430957568/3463283062864609317392746818659653\
      125*ep^2+6339927825196290589932515148292457947206577455104/525684205150\
      38378248539907698615218344346997734375*ep^3+104530517371186970454010506\
      96052026538149176198647120855595466752/96548879493661724553510234042164\
      685111636332978015285246970703125*ep^4+14126386320636871215632794783154\
      03069306750886944775345679277809194907782946816/16120438918465292169306\
      829069596743976528941509731867913033698428486851611328125*ep^5+
      17841297303990553442271388484262840993706589473265344223118950615573563\
      1487036835746308476928/269157500622293998230413229331158366544282079633\
      0503056604116927709924816429267051036376953125*ep^6+
      21549976068949774574667566424500117991818045847500643177333660973541388\
      635853198909155001101981376973594624/4494031490560507602146581743095510\
      07172471973599500663252902366310779139457379643463569142243339874267578\
      125*ep^7+22979042260891688624298761113580809908305824736982371113594325\
      7650959469316678427869043815001560094796764194885782351872/
      68213926761216924487500103410973174101823771472981415963573421631510861\
      70275752413257540900719732195330815566253662109375*ep^8;
Fill mnchfac1(37,14)=
      -2097152/3851149995-861665755263762956288/643013451692321418583875*ep-
      202265730379841993005848289774403584/1073617749488028888391751513784492\
      46875*ep^2-3269000929967309658719971542837878712815246589952/
      1629621035966189725704737138657071768674756929765625*ep^3-
      5420201802955319419652235879365578492563443586886545195489304576/
      2993015264303513461158817255307105238460726322318473842656091796875*
      ep^4-735512629254263569296447895677427772393794564308427032365569599741\
      122612523008/4997336064724240572485117011574990632723971868016879053040\
      44651283092399951171875*ep^5-931679719674425531729819023787294455703223\
      16927268648593295813084546492216952732922120075264/
      83438825192911139451428101092659093628727444686245594754727624759007669\
      309307278582127685546875*ep^6-11276792558885805848842515609499604498590\
      656102883256683514413528733307169974891555101518992502695713011712/
      13931497620737573566654403403596081222346631181584520560839973355634153\
      323178768947370643409543536102294921875*ep^7-
      12041675911399355952822922039732631969283952541352942429952009612551397\
      8717825874400344668479501456496867754574790619136/
      21146317295977246591125032057401683971565369156624238948707760705768367\
      1278548324810983767922311698055255282553863525390625*ep^8;
Fill mnchfac1(37,16)=
      524288/57767249925+218334391782358188032/9645201775384821278758125*ep+
      51781584355390417620252008652046336/16104266242320433325876272706767387\
      03125*ep^2+76677237526366086647482757272555563574509744128/222221050359\
      0258716870096098168734230011032176953125*ep^3+1406687355066808725904389\
      433669627102300372016942014393965359104/4489522896455270191738225882960\
      6578576910894834777107639841376953125*ep^4+1917071511881903541148170524\
      51658008726103156853135309301741403513157262738432/74960040970863608587\
      27675517362485949085957802025318579560669769246385999267578125*ep^5+
      24358949417514131066015391271478235334605185315076653286510220980780006\
      709629030974968032256/1251582377893667091771421516389886404430911670293\
      683921320914371385115039639609178731915283203125*ep^6+
      29547691783712926738958596010768974404689852650628814155897395675145125\
      59380736754213538741737747945576448/20897246431106360349981605105394121\
      83351994677237678084125996003345122998476815342105596511431530415344238\
      28125*ep^7+287265300664965360037629165418888540570358930109787596606318\
      9889966710053488844218789483305675524734357491612991842304/
      28835887221787154442443225532820478143043685213578507657328764598775046\
      0834384079287705138075879588257166294391632080078125*ep^8;
Fill mnchfac1(37,18)=
      -262144/1675250247825-110676481908291567616/279710851486159817083985625
      *ep-26528008618153072128444940666093568/4670237210272925664504119084962\
      5422390625*ep^2-435609733093600243847687854275690354560143099904/
      708885150645292530681560655315826219373519264448046875*ep^3-
      730931783573744571181774646334935867960285201973565968065073152/
      1301961639972028355604085506058590778730415950208536121555399931640625*
      ep^4-100061892856404951451128289242948257342201335085157368140099436816\
      932785558016/2173841188155044649031025900035120925234927762587342388072\
      59423308145193978759765625*ep^5-127555779792266490574336826267633140762\
      00365347967111341971111362958568456775064126445846528/
      36295888958916345661371223975306705728496438438516833718306516770168336\
      149548666183225543212890625*ep^6-15508244370716729622819265104719809504\
      21252620141529170381540534536581769166155463767165839698870533991424/
      60602014650208445014946654805642953317207845639892664439653884097008566\
      95582764492106229883151438204498291015625*ep^7-
      16611302809027304298368135581833854517084111965360856132519526199055170\
      479681714975964152216675123466915080798921142272/
      91986480237501022671393889449697325276309355831315439426878759070092397\
      006168521292777939046205588654036047910930633544921875*ep^8;
Fill mnchfac1(37,20)=
      32768/11726751734775+14029958874680471552/1957975960403118719587899375*
      ep+3399663028845956901858803093380096/326916604719104796515288335947377\
      956734375*ep^2+56294171845733697307425138165973763854472178688/
      4962196054517047714770924587210783535614634851136328125*ep^3+
      95059034238730139764623049252294661581347283807755423609919744/
      9113731479804198489228598542410135451112911651459752850887799521484375*
      ep^4+266828213926510422853787062810693205080071162519304153912982593015\
      023822848/3105487411650063784330037000050172750335611089410489125817991\
      7615449313425537109375*ep^5+1672412200565359186658649253949841824574863\
      649746576966325651815026734325034716361477449216/
      25407122271241441962959856782714694009947506906961783602814561739117835\
      3046840663282578802490234375*ep^6+2038258043611655346088771559079429514\
      11523703242054927027733792768866544043000837294726801933711230256128/
      42421410255145911510462658363950067322045491947924865107757718867905996\
      869079351444743609182060067431488037109375*ep^7+
      21869066926343465716792979551903238222969825976265108774601534640250425\
      11675435303391912316774899858564450745966064384/
      64390536166250715869975722614788127693416549081920807598815131349064677\
      9043179649049445573323439120578252335376514434814453125*ep^8;
Fill mnchfac1(37,22)=
      -16384/316622296838925-7116297248674174976/
      52865350930884205428873283125*ep-1743838329732878394226749727118848/
      8826748327415829505912785070579204831828125*ep^2-2912743195274504151588\
      7323525579957425926687744/133979293471960288298814963854691155461595140\
      980680859375*ep^3-49510865032422572207160606987626237217770554064708820\
      400339072/2460707499547133592091721606450736571800486145894133269739705\
      87080078125*ep^4-977637696865825661971148475506886334008917790860027347\
      736316152057922224768/5869371208018620552383769930094826498134304958985\
      824447796004429319920237426513671875*ep^5-87852572809444655927892870797\
      7559101158105247323932529032479802501250058178326961851073408/
      68599230132351893299991613313329673826858268648796815727599316695618155\
      32264697908629627667236328125*ep^6-107345659991317917784290860886448438\
      282148966657644357530005871670701708296016786985074291389087540238464/
      11453780768889396107824917758266518176952282825939713579094584094334619\
      15465142489008077447915621820650177001953125*ep^7-
      11538006215220157832648256056961492268381209596733779136941325313117630\
      14424419493756870497811081741201694324951163392/
      17385444764887693284893445105992794477222468252118618051680085464247463\
      034165850524335030479732856255612813055165889739990234375*ep^8;
Fill mnchfac1(37,24)=
      4096/4116089858906025+1805377974726393344/
      687249562101494670575352680625*ep+447553345381602648861754415274112/
      114747728256405783576866205917529662813765625*ep^2+68573993916514910622\
      0759559991970952718797376/158339165012316704353144957282816820090976075\
      704441015625*ep^3+12910561499177685971582442294534390560768677919419759\
      744274368/3198919749411273669719238088385957543340631989662373250661617\
      632041015625*ep^4+25625355971822590132671285183650164271384850898550988\
      0541492005947487478592/763018257042420671809890090912327444757459644668\
      15717821348057581158963086544677734375*ep^5+231150682548155542639244253\
      980124044159079726090688903731535020814239905938585159381442752/
      89178999172057461289989097307328575974915749243435860445879111704303601\
      919441072812185159674072265625*ep^6+28320816744353722101401040170640598\
      086343909958030968249372855759407861160902571409955817707582410114816/
      14889914999556214940172393085746473630037967673721627652822959322635004\
      901046852357105006822903083668452301025390625*ep^7+
      27725802653324676341771057517182873848748670138339208634786884539827737\
      867299162287821147120498886661344973895168768/
      20546434722140001154874071488900575291262917025231094061076464639565183\
      585832368801486854203320648302087869974286960601806640625*ep^8;
Fill mnchfac1(37,26)=
      -2048/102902246472650625-916366891893278464/
      17181239052537366764383817015625*ep-229896779556936112155544579195712/
      2868693206410144589421655147938241570344140625*ep^2-3911151794427897124\
      287261394892070674239471136/4354327037838709369711486325277462552501842\
      0818721279296875*ep^3-6742614718981065398576649894521520884008842630024\
      990443394368/7997299373528184174298095220964893858351579974155933126654\
      0440801025390625*ep^4-1345598741957024654054401811111623946012076569345\
      39314019023454052289578592/19075456426060516795247252272808186118936491\
      11670392945533701439528974077163616943359375*ep^5-121866102890191269100\
      540180726099039754258930253276044743462423852194228922292613302442752/
      22294749793014365322497274326832143993728937310858965111469777926075900\
      47986026820304628991851806640625*ep^6-149743111655289904083588804796966\
      66292949971288372817526131917786610358692164079564278217513495160114816/
      37224787498890537350430982714366184075094919184304069132057398306587512\
      2526171308927625170572577091711307525634765625*ep^7-
      16158358711307635094382415389610612996368027760559387286513653600785594\
      8731796598807877412762880694403483155546856448/
      56502695485885003175903696594476582050973021819385508667960277758804254\
      86103901420408884905913178283074164242928914165496826171875*ep^8;
Fill mnchfac1(37,28)=
      128/308706739417951875+58163419319507104/
      51543717157612100293151451046875*ep+14773188257116517384457946846832/
      8606079619230433768264965443814724711032421875*ep^2+2537902793226792367\
      38782138672263696949974496/13062981113516128109134458975832387657505526\
      2456163837890625*ep^3+4408350667277098035889070345427256730382732741583\
      41785084048/23991898120584552522894285662894681575054739922467799379962\
      1322403076171875*ep^4+8848115564574416650968667225454668549030238101563\
      284580320271802545488512/5722636927818155038574175681842455835680947335\
      011178836601104318586922231490850830078125*ep^5+80475222182669883879490\
      78083673006594546647447269060108652840501880116353157382834014272/
      66884249379043095967491822980496431981186811932576895334409333778227701\
      43958080460913886975555419921875*ep^6+991880593172897467822978627212192\
      902125336566612725520013469476257894554752212688091823763930510014976/
      11167436249667161205129294814309855222528475755291220739617219491976253\
      67578513926782875511717731275133922576904296875*ep^7+
      10726288354476597238694924028395022554543155784284492573530855160206014\
      638075604772488156755858531466381193875676928/
      16950808645765500952771108978342974615291906545815652600388083327641276\
      458311704261226654717739534849222492728786742496490478515625*ep^8;
Fill mnchfac1(37,30)=
      -64/7100255006612893125-29546312395150352/
      1185505494625078306742483374078125*ep-7601083152928184177132229355816/
      197939831242299976670094205207738668353745703125*ep^2-11991950199691639\
      818493359311658353782481768/2731350596462463150091750513128590146569337\
      30590160751953125*ep^3-230951137062726643677592452903503379907642321032\
      924544270624/5518136567734447080265685702465776762262590182167593857391\
      290415270751953125*ep^4-46635678939442263531550252289005375037538351465\
      42796846639209449762082656/13162064933981756588720604068237648422066178\
      8705257113241825399327499211324289569091796875*ep^5-
      42607446216592171422583482187257491323716497392780771944752161634620305\
      05900172821777536/15383377357179912072523119285514179355672966744492685\
      9269141467689923713311035850601019400437774658203125*ep^6-
      52687082168098117122596572018501010473476395144785810698548244672314153\
      0741049900838282184509665730688/256851033742344707717973780729126670118\
      15494237169807701119604831545383454305820316006136769507819328080219268\
      798828125*ep^7-51916827553325228818423470601132638657425240535239899382\
      9383892469837284405569963844889524062474015934017799309824/
      35442599895691501992157773318353492377428531868523637255356901503249941\
      685560836182564823500728118321101575705645007038116455078125*ep^8;
Fill mnchfac1(37,32)=
      16/78102805072741824375+7508008359175388/
      13040560440875861374167317114859375*ep+1957252001360073943791125805604/
      2177338143665299743371036257285125351891202734375*ep^2+3776108448012781\
      33180750273407002812198400432/36354276438915384527721199329741534850837\
      8795415503960849609375*ep^3+5008563695559829092813835766303677236383202\
      01830635425936/50164877888494973456960779113325243293296274383341762339\
      9208219570068359375*ep^4+1759426205031364181108325389961957263316499574\
      36626596960062705637033152/20683244896257046067989520678659161806103995\
      3679689749380011341800355903509597894287109375*ep^5+
      11306157274666404718515487385275187324317389572173121348437585092957023\
      26948732445502784/16921715092897903279775431214065597291240263418941954\
      51960556144589160846421394356611213404815521240234375*ep^6+
      14029839055679629736493014377788372728588025400346799278662725549662282\
      6457066409579480379515530159872/282536137116579178489771158802039337129\
      97043660886788471231565314699921799736402347606750446458601260888241195\
      6787109375*ep^7+1676961971596219640594724900427423025706843795028328967\
      3857810232256039642031415472092479776914338514955358599019776/
      47174100461165389151561996286728498354357375917004961186880035900825672\
      383481472958993780079469125485386197264213504367733001708984375*ep^8;
Fill mnchfac1(37,34)=
      -8/1640158906527578311875-3817610506457494/2738517692583930888575136594\
      12046875*ep-1008979023396951732773534437952/457241010169712946107917614\
      02987632389715257421875*ep^2-196827603596508828324341003303379148409531\
      416/7634398052172230750821451859245722318675954703725583177841796875*
      ep^3-413853837266971900481670612917031808327216230074635694464/
      16554409703203341240797057107397330286787770546502781572173871245812255\
      859375*ep^4-65199429012907300654873606495625429065436380952093565830453\
      8065904198432/304043699974978577199445953976289678549728731909143931588\
      61667244652317815910890460205078125*ep^5-601594955426614140051555268628\
      957767233928403435542723896775534353875410937574772385792/
      35535601695085596887528405549537754311604553179778104491171679036372377\
      774849281488835481501125946044921875*ep^6-74932350950659146219764804418\
      976092822487731280440443367231297277355433045093227171646317350434315136
      /5933258879448162748285194334842826079729379168786225578958628716086983\
      577944644492997417593756306264786530651092529296875*ep^7-
      89805813089423725062510436490309977322715715131196349534448737727335403\
      79013348757357975214955812772669544004671488/
      99065610968447317218280192202129846544150489425710418492448075391733912\
      0053110932138869381668851635193110142548483591722393035888671875*ep^8;
Fill mnchfac1(37,36)=
      1/8200794532637891559375+485549643708848/136925884629196544428756829706\
      0234375*ep+130175906776709330449682328484/22862050508485647305395880701\
      4938161948576287109375*ep^2+25690201929671426781032162441357691432985472
      /38171990260861153754107259296228611593379773518627915889208984375*ep^3
      +54517058149206454861028717560433058021674985169056681488/
      82772048516016706203985285536986651433938852732513907860869356229061279\
      296875*ep^4+86505676819651824722864161572959058349235884297810775915583\
      571758566144/1520218499874892885997229769881448392748643659545719657943\
      08336223261589079554452301025390625*ep^5+802546152302952429160064439212\
      76048996538696326801591754790688015631103229846115795264/
      17767800847542798443764202774768877155802276589889052245585839518186188\
      8874246407444177407505629730224609375*ep^6+1003653591303309303443300976\
      70501113544048797397719613933917197503698839753818830825118941558947717\
      12/29666294397240813741425971674214130398646895843931127894793143580434\
      917889723222464987087968781531323932653255462646484375*ep^7+
      12063609815079356853522920241340879169528218680673418300163838455567578\
      55448123990570829809483538142634522834890496/
      49532805484223658609140096101064923272075244712855209246224037695866956\
      00265554660694346908344258175965550712742417958611965179443359375*ep^8;
Fill mnchfac1(38,0)=
      274877906944/39+731497459242845572431872/45536347645425*ep+231966594695\
      88390472200978293020361228288/1087236079726703209005452124375*ep^2+
      3953752305144658370805158140973553736466256272822370304/181532120363308\
      620579275108832494016832359375*ep^3+44447202230294555081750637915506514\
      398606924275171954041237970878464/2331523260472367133411652995333752435\
      519504860769626171875*ep^4+76675080232189677361043941281958575697259058\
      086027956628641412125354820632425005056/5060724894571274218233080362049\
      742356925126798460579904485839534287109375*ep^5+86905948386874282639793\
      72259335246300462442407245261978436254132925128598931224482232313504071\
      68/76815642712351441370759978849422863967165129210699998749437943490796\
      397181403564453125*ep^6+88029877927050478065877529342019802973790377207\
      266364138780763849464324064614899140331599688349943690604576768/
      10852470798715987352749995968616705012820435093116533281773648514280332\
      508715051188784437420654296875*ep^7+13341666851753806525430800094806893\
      62543339095848425109774914840604247622878498558687468662027586714814551\
      75473178323527401472/23556003094536022577309764722953415954398689600226\
      278667693464748507229975730205580816915555809640300884857177734375*ep^8
      ;
Fill mnchfac1(38,2)=
      -68719476736/741-184985858726137973178368/865190605263075*ep-5915395498\
      325602242453405404505804111872/20657485514807360971103590363125*ep^2-
      1014429484747491816422644978215617813680680534305406976/344911028690286\
      3791006227067817386319814828125*ep^3-1145466665100922756543074276228055\
      1632801231323457243671432072790016/442989419489749755348214069113412962\
      74870592354622897265625*ep^4-198230623969767365359488290028422654038954\
      98942136219692802840031939709875324452864/96153772996854210146428526878\
      945104781577409170751018185230951151455078125*ep^5-
      22518302764004258794507425411874837104539746140811839354799383684512094\
      0759041912665294967406592/145949721153467738604443959813903441537613745\
      5003299976239320926325131546446667724609375*ep^6-
      22844672942144822920839387777875270389060507804816966312777024661666163\
      932413519287485800293205279712311508992/2061969451756037597022499234037\
      17395243588266769214132353699321771326317665585972586904310992431640625
      *ep^7-34659058397440255856277725732042864064563328159285800214710396737\
      733188667729871947464894480132612273205082838941021863149568/
      44756405879618442896888552973611490313357510240429929468617583022163736\
      9538873906035521395560383165716812286376953125*ep^8;
Fill mnchfac1(38,4)=
      34359738368/27417+93577210022342095273984/32012052394733775*ep+
      3018083438799827414018860067106152513536/
      764326964047872355930832843435625*ep^2+52083417898287181622641073179056\
      9536214539778589196288/127617080615405960267230401509243293833148640625
      *ep^3+59081273301044884456069079216724830064497144973894060639845959598\
      08/1639060852112074094788392055719627962170211917121047198828125*ep^4+
      10258125245563158086202838666110823457971737298125643217957655842612069\
      688915525632/3557689600883605775417855494520968876918364139317787672853\
      545192603837890625*ep^5+96528743886491238884657961322783421461783026463\
      4969185222806765438931786619563745123841867776/446292535758537713087969\
      133315241928668736246571257017527726233669668324120055419921875*ep^6+
      11868320450553564193259703825289908135263973697317961084537926589896120\
      483575760833153255595068733202912772096/7629286971497339108983247165937\
      543624012765870460922897086874905539073753626680985715459506719970703125
      *ep^7+18025771677445633567981298756683225142779895023380064280763602298\
      388825522131595981980272913015309994700250586669654549725184/
      16559870175458823871848764600236251415942278788959073903388505718200582\
      672938334523314291635734177131522054595947265625*ep^8;
Fill mnchfac1(38,6)=
      -4294967296/246753-11836451198602154344448/288108471552603975*ep-
      385110701278110107488873227726557806592/
      6878942676430851203377495590920625*ep^2-6689040091479516070463183505428\
      8767623311949075316736/1148553725538653642405073613583189644498337765625
      *ep^3-762380154191962505632618482948892606793913803984058047407431090176
      /14751547669008666853095528501476651659531907254089424789453125*ep^4-
      13282322214983010811551307508909207212773629538443775404959625301235095\
      34245781504/32019206407952451978760699450688719892265277253860089055681\
      906733434541015625*ep^5-15159998847942927469290592298288490551718282652\
      989506557680490067498183078307850080117639872512/4860125714410475695527\
      98386180298460320253772516098892087693868466268804966740352294921875*
      ep^6-154303439272884279494264280594490660968936837578032874244208630541\
      8627809441943522188370705330811065544998912/686635827434760519808492244\
      93437892616114892834148306073781874149851663782640128871439135560479736\
      328125*ep^7-23462563997424554965020503872087504701645350116768058517055\
      86640666556026297250405896116235630377681460806167377868488245248/
      14903883157912941484663888140212626274348050910063166513049655146380524\
      4056445010709828624721607594183698491363525390625*ep^8;
Fill mnchfac1(38,8)=
      2147483648/8636355+5989865571431621853184/10083796504341139125*ep+
      196641504290377379545514155651278831616/2407629936750797921182123456822\
      21875*ep^2+34383273742252299554678513773443748531617129329328128/
      40199380393852877484177576475411637557441821796875*ep^3+393807348721963\
      048435937625272110867773334399538794323864411701248/5163041684153033398\
      58343497551682808083616753893129867630859375*ep^4+688538533722025575091\
      270536227805072938461720767680705824256102092688454901563392/
      11206722242783358192566244807741051962292847038851031169488667356702089\
      35546875*ep^5+787860447196039079424309623116166135866406696234619014676\
      4993285543192323329781111158349234176/170104400004366649343479435163104\
      46111208882038063461223069285396319408173835912330322265625*ep^6+
      80331961946750901536879585699884255112774512322889761928450596142627671\
      9617525693417278402114214337237221376/240322539602166181932972285727032\
      62415640212491951907125823655952448082323924045105003697446167907714843\
      75*ep^7+122294700491058213485704302515298422249588137388922506506068940\
      9463737318710334167607952447221873787244353149576269979746304/
      52163591052695295196323608490744191960218178185221082795673793012331835\
      41975575374844001865256265796429447197723388671875*ep^8;
Fill mnchfac1(38,10)=
      -536870912/146818035-116607934645500116992/13186503121061489625*ep-
      50224906796690464684301843461889327104/40929708924763564660096098765977\
      71875*ep^2-8842462033405082978157914041599600867227182806597632/
      683389466695498917231018800081997838476510970546875*ep^3-
      101792099380446011420933385679635755280408097209194394958459174912/
      8777170863060156777591839458378607737421484816183207749724609375*ep^4-
      17863305873214586992658150883031850029816303162154621105582350406677187\
      4889269248/190514278127317089273626161731597883358978399660467529881307\
      34506393551904296875*ep^5-186309011674137773237957114172787150029268075\
      637487009242439400627448061160431378554635976704/2628886181885666398944\
      6821797934325808231908604279894617470713794311812632291864510498046875*
      ep^6-209345727108405872779858829747372051124100412411214744464180702420\
      592195628434972413270976445202709475180544/4085483173236825092860528857\
      35955461065883612363182421139002151191617399506708766785062856584854431\
      15234375*ep^7-319101418801175414668102564534817444824298311149773861035\
      370508556275474889718632728406886924419805400980605139380410597376/
      88678104789582001833750134434265126332370902914875840752645448120964120\
      213584781372348031709356518539300602361297607421875*ep^8;
Fill mnchfac1(38,12)=
      268435456/4844995155+8441942286510302691328/62227108228289169540375*ep+
      25667719825444667132715071905807204352/13506803945171976337831712592772\
      6471875*ep^2+413736296601613022847505515532965831917176966086656/
      2050168400086496751693056400245993515429532911640625*ep^3+
      311641038383021827479330012232868489737012571735390516275380224/
      1713885434798728838227992320275112753460999993692579028052734375*ep^4+
      92780708841369153645573797656778871076442296363208771420216264259238571\
      104436224/6286971178201463946029663337142730150846287188795428486083142\
      38710987212841796875*ep^5+117411279410175066963899442358871045687964566\
      64644039812396325062210104132329969057057085243392/
      10497142524269465930986115943915176295227001105688961920756056018068706\
      7840741414990418701171875*ep^6+1092425052949857245893555722032029897066\
      43670217292386515483285872462713130053963549289201992710301850755072/
      13482094471681522806439745229286530215174159207985019897587070989323374\
      18372138930390707426730019622802734375*ep^7+
      15157827734235301341828150496623768083120920931546517630059269403914319\
      315598482502334870957960604312489472280619639799808/
      26603431436874600550125040330279537899711270874462752225793634436289236\
      0640754344117044095128069555617901807083892822265625*ep^8;
Fill mnchfac1(38,14)=
      -4194304/4844995155-10276060202340450304/4786700632945320733875*ep-
      410119474047328240402608671639994368/1350680394517197633783171259277264\
      71875*ep^2-6659164456758307593605496989982398879044817813504/
      2050168400086496751693056400245993515429532911640625*ep^3-
      852327211014983908312144799167947806044303841093585387350114304/
      289646638480985173660530702126494055334908998934045855740912109375*ep^4
      -1507512087635414236184235920099126054939160470894501317548977188025486\
      702780416/6286971178201463946029663337142730150846287188795428486083142\
      38710987212841796875*ep^5-191320879698447634156164109080983863250035470\
      802822222615197372885456580173421298518042185728/
      10497142524269465930986115943915176295227001105688961920756056018068706\
      7840741414990418701171875*ep^6-1783703083525456034614114917188105429247\
      581306991618279339292118073541888899774672872967947470646837198848/
      13482094471681522806439745229286530215174159207985019897587070989323374\
      18372138930390707426730019622802734375*ep^7-
      24784005009950171113406534649309008875526597136493571583029929422107600\
      0489920952617686486915990424616626747202965123072/
      26603431436874600550125040330279537899711270874462752225793634436289236\
      0640754344117044095128069555617901807083892822265625*ep^8;
Fill mnchfac1(38,16)=
      2097152/150194849805+67663260684865765376/1929040355076964255751625*ep+
      209797400463188596750121109549481984/4187109223003312664727830903759520\
      628125*ep^2+3432307038729672117899631152990308497851945009152/
      63555220402681399302484748407625798978315520260859375*ep^3+
      441806005765154039074773092874332456942742970140935279190679552/
      8979045792910540383476451765921315715382178966955421527968275390625*
      ep^4+784690529381807048658688938767531503467651590856560286163525149516\
      795908599808/1948961065242453823269195634514246346762349028526582830685\
      7741400040603598095703125*ep^5+9988679843137465587368666038000223406558\
      8227596696156779677471702253947344126246525940209664/
      32541141825235344386056959426137046515203703427635781954343773656012991\
      03062983864702979736328125*ep^6+933235561418770414196087634970976296126\
      219661221321591694557177133907697650797399728584756264433252788224/
      41794492862212720699963210210788243667039893544753561682519920066902459\
      969536306842111930228630608306884765625*ep^7+
      12986034554951322711109070199087244710402189657327650621991279878079612\
      3704014801284123435812832450423373336298916724736/
      82470637454311261705387625023866567489104939710834531899960266752496631\
      79863384667628366948970156224154956019600677490234375*ep^8;
Fill mnchfac1(38,18)=
      -524288/2252922747075-17140273091710091264/28935605326154463836274375*
      ep-53689486527981079241047062181543936/62806638345049689970917463556392\
      809421875*ep^2-885241461054001456986874496425156699729261662208/
      953328306040220989537271226114386984674732803912890625*ep^3-
      114620381965565924209925147243147883201906119108951714569719808/
      134685686893658105752146776488819735730732684504331322919524130859375*
      ep^4-204465668780365805685831858852300486271273845027434629984998214558\
      990732485632/2923441597863680734903793451771369520143523542789874246028\
      66121000609053971435546875*ep^5-261096642470270822157476021958277301397\
      24818412497755881964926537304235642207689993588089856/
      48811712737853016579085439139205569772805555141453672931515660484019486\
      545944757970544696044921875*ep^6-24448694696036562815493979625399772002\
      3159005863389506126149474022146561267607177775626434226345474052096/
      62691739293319081049944815316182365500559840317130342523779880100353689\
      9543044602631678953429459124603271484375*ep^7-
      34073192542380810100234829057907374643499458972769466850361119948391582\
      981595611876245866621794602157677911548107167744/
      12370595618146689255808143753579985123365740956625179784994040012874494\
      7697950770014425504234552343362324340294010162353515625*ep^8;
Fill mnchfac1(38,20)=
      262144/65334759665175+8686235470248312832/839132554458479451251956875*
      ep+27494882800183236051632216699322368/18213925120064410091566064431353\
      91473234375*ep^2+457011725258717512766291267346190550752789858304/
      27646520875166408696580865557317222555567251313473828125*ep^3+
      59536617172640952028552912160341105735495886749415885175087104/
      3905884919916085066812256518175772336191247850625608364666199794921875*
      ep^4+106688977538463960962901085591670108711636286182866679584266851913\
      176452911616/8477980633804674131221001010136971608416218274090635313483\
      117509017662565171630859375*ep^5+13669090630207687948250886380801838162\
      116078178511451486321554022444140200515553099087715328/
      14155396693977374807934777350369615234113610991021565150139541540365651\
      09832397981145796185302734375*ep^6+128297271086083385770919713681578475\
      231992279453353061395458586475394998382217987589035214393021428712448/
      18180604395062533504483996441692885995162353691967799331896165229102570\
      086748293476318689649454314613494873046875*ep^7+
      17909567061946243435286987104620712552379154924275849973274260881063381\
      987299255807817273451669139334893225459851753472/
      35874727292625398841843616885381956857760648774213021376482716037336034\
      83240572330418339622802017957507405868526294708251953125*ep^8;
Fill mnchfac1(38,22)=
      -32768/457343317656225-1100810098099810304/5873927881209356158763698125
      *ep-3522195380958254893466599779613696/12749747584045087064096245101947\
      740312640625*ep^2-59035845578082846727909322526491592055594943488/
      193525646126164860876066058901220557888970759194316796875*ep^3-
      7739953970135073229764778668559044435554667989567348552697088/
      27341194439412595467685795627230406353338734954379258552663398564453125
      *ep^4-19908750080309773837539539673147566896927564008880379744719178835\
      33820545536/84779806338046741312210010101369716084162182740906353134831\
      17509017662565171630859375*ep^5-179173874055322396223934610362170799861\
      1344994674332865738262198298020160426760799764322816/
      99087776857841623655543441452587306638795276937150956050976790782559557\
      68826785868020573297119140625*ep^6-168590285011227703864592075321894395\
      52316167438076861687353454530656785679207258896415652644118606483456/
      12726423076543773453138797509185020196613647584377459532327315660371799\
      0607238054334230827546180202294464111328125*ep^7-
      23575063776990698677362523223483740468865743036762956230572847688510009\
      38573694930731549047497816521190529360369750784/
      25112309104837779189290531819767369800432454141949114963537901226135224\
      382684006312928377359614125702551841079684062957763671875*ep^8;
Fill mnchfac1(38,24)=
      16384/12348269576718075+558198726844823552/
      158596052792652616286619849375*ep+1805972028419374983250330312795648/
      344243184769217350730598617752588988441296875*ep^2+30533198963412016168\
      929739381176976392661510144/5225192445406451243653783590332955063002210\
      498246553515625*ep^3+40297441397586173721444802058810325404442915682794\
      63314786944/73821224986414007762751648193522097154014584376823998092191\
      1761240234375*ep^4+1041717002604612569632131104848657573023775265362397\
      249935030195010279197568/2289054771127262015429670272736982334272378934\
      00447153464044172743476889259634033203125*ep^5+940962839950242077905608\
      345777420734489347347371574582844424470433186137504519338762990208/
      26753699751617238386996729192198572792474724773030758133763733511291080\
      5758323218436555479022216796875*ep^6+8877119303757403138768401380651303\
      537739308057009479531235043821041872563369708616533316481595983622528/
      34361342306668188323474753274799554530856848477819140737283752283003857\
      46395427467024232343746865461950531005859375*ep^7+
      12436298639010847254367076054170852946167192514665495458983680025212178\
      51929160191548924991187257211018547603792526592/
      67803234583062003811084435913371898461167626183262610401552333310565105\
      8332468170449066188709581393968899709151469699859619140625*ep^8;
Fill mnchfac1(38,26)=
      -4096/160527504497334975-1840449524803526144/
      26802732921958292152438754544375*ep-35639384021120541281928235921024/
      344243184769217350730598617752588988441296875*ep^2-79037809709620956636\
      44673901441934952941196736/67927501790283866167499186674328415819028736\
      477205195703125*ep^3-13654989319328967923130915792850251343469756629373\
      743859407168/1247578702270396731190502854470523441902846475968325567758\
      03087649599609375*ep^4-209966402653796050501532730260886649909407491081\
      43662177734936705216673984/22890547711272620154296702727369823342723789\
      3400447153464044172743476889259634033203125*ep^5-2475107923057754499878\
      75583837048602012108169099507871649819407990466419688763860618661952/
      34779809677102409903095747949858144630217142204939985573892853564678404\
      74858201839675221227288818359375*ep^6-304401007157850744997860974365451\
      51731579274867030329157937002395320759841098497785065661138000556748416/
      58070668498269238266672333034411247157148073927514347846009541358276519\
      1140827241927095266093220263069639739990234375*ep^7-
      25282952026259262012174054411542342892924087453950435457723139438992500\
      177560602773140548939291842399551035788612096/
      67803234583062003811084435913371898461167626183262610401552333310565105\
      8332468170449066188709581393968899709151469699859619140625*ep^8;
Fill mnchfac1(38,28)=
      2048/4013187612433374375+933902666931844864/
      670068323048957303810968863609375*ep+18299478350655017780142923676224/
      8606079619230433768264965443814724711032421875*ep^2+4096327662851309431\
      264877557750692502562776736/1698187544757096654187479666858210395475718\
      411930129892578125*ep^3+71284326311784225030712317213560881009453684693\
      97179017527168/31189467556759918279762571361763086047571161899208139193\
      95077191239990234375*ep^4+110214894588529754579555711198844946336268869\
      90906692035118459588504373984/57226369278181550385741756818424558356809\
      47335011178836601104318586922231490850830078125*ep^5+
      13045379953881152316143841341894113635332781341908464056822278813873505\
      1295425872424661952/869495241927560247577393698746453615755428555123499\
      63934732133911696011871455045991880530682220458984375*ep^6+
      16091307494454203324423281564132618896766635584474395039025478745928637\
      003005758329071913220336606748416/1451766712456730956666808325860281178\
      92870184818785869615023853395691297785206810481773816523305065767409934\
      99755859375*ep^7+133930035742956815884435362363854711301873957756344788\
      95242625268294968931238661173171044108513997888938766188612096/
      16950808645765500952771108978342974615291906545815652600388083327641276\
      458311704261226654717739534849222492728786742496490478515625*ep^8;
Fill mnchfac1(38,30)=
      -128/12039562837300123125-59259405259417504/
      2010204969146871911432906590828125*ep-1175430031179500131894992276464/
      25818238857691301304794896331444174133097265625*ep^2-265684677218826451\
      220236585003754814071036096/5094562634271289962562439000574631186427155\
      235790389677734375*ep^3-46585892123939835213848009076688478381593863511\
      2911937144848/935684026702797548392877140852892581427134856976244175818\
      5231573719970703125*ep^4-7244579647595196023289679648099420281988829631\
      14469151599395928652961824/17167910783454465115722527045527367507042842\
      005033536509803312955760766694472552490234375*ep^5-
      86120035671135580393667994437306835414071322015289530519119538714311795\
      68126631860825472/26084857257826807427321810962393608472662856653704989\
      1804196401735088035614365137975641592046661376953125*ep^6-
      10656199277355120809081864701247037230457534061696544262834585181920025\
      97075664461292734763079992184576/43553001373701928700004249775808435367\
      86105544563576088450715601870738933556204314453214495699151973022298049\
      9267578125*ep^7-8889050732730281165828707359968161918814133304499954405\
      70590036029651431054352133560962450885155474185857437645056/
      50852425937296502858313326935028923845875719637446957801164249982923829\
      374935112783679964153218604547667478186360227489471435546875*ep^8;
Fill mnchfac1(38,32)=
      64/276909945257902831875+30094305365105552/
      46234714290378053962956851589046875*ep+604520179763421500312590613032/
      593819493726899930010282615623216005061237109375*ep^2+13802870576647069\
      9418827187197846707278450248/117174940588239669138936097013216517287824\
      570423178962587890625*ep^3+24395154900854614225127663205738831590979115\
      5330416761111024/215207326141643436130361742396165293728241017104536160\
      438260326195559326171875*ep^4+38168992966232454201445535770386487675897\
      1816000628563838354001390267712/394861948019452697661618122047129452661\
      985366115771339725476197982497633972868707275390625*ep^5+
      45581488284146237653372580965002150414099572576172728013487869525568486\
      19543684678523136/59995171693001657082840165213505299487124570303521475\
      11496517239907024819130398173439756617073211669921875*ep^6+
      56589947033693031186794653223611307791379060506222651886939007088764857\
      6262762353862842050708979535488/100171903159514436010009774484359401346\
      08042752496225003436645884302699547179269923242393340108049537951285514\
      83154296875*ep^7+473180513240331595903754518507571665188882460531532619\
      536271768168193218409470037860111725185276197207447669801728/
      11696057965578195657412065195056652484551415516612800294267777496072480\
      75623507594024639175524027904596351998286285232257843017578125*ep^8;
Fill mnchfac1(38,34)=
      -16/3046009397836931150625-7645006601664188/508581857194158593592525367\
      479515625*ep-155593194663482934413023865308/653201443099589923011310877\
      1855376055673608203125*ep^2-3949300900986214871257657976132683809909726\
      32/14178167811176999965811267738599198591826773021204654473134765625*
      ep^3-5816833293805894833912615536592112493790357749014832676896/
      21520732614164343613036174239616529372824101710453616043826032619555932\
      6171875*ep^4-1007588391439410363663051231644806782768081739675511332121\
      15439383049728/43434814282139796742777993425184239792818390272734847369\
      80238177807473973701555780029296875*ep^5-120912474827237660329988765178\
      5826978134342100462965511186014923118588812795993217829184/
      65994688862301822791124181734855829435837027333873622626461689638977273\
      010434379907837322787805328369140625*ep^6-15065138839823556666302724945\
      19556985804733499098479977769655630791688214129591837783055513386197310\
      72/11018909347546587961101075193279534148068847027745847503780310472732\
      969501897196915566632674118854491746414066314697265625*ep^7-
      13891965908387067773025099453186961433298927746931155884630906503166521\
      00290325632959215883335080863447018449789952/
      14152230138349616745468598886018549506307212775101488356064010770247701\
      7150444418876981340238407376456158591792640513103199005126953125*ep^8;
Fill mnchfac1(38,36)=
      8/63966197354575554163125+3886109627701894/1068021900107733046544303271\
      7069828125*ep+474398457085377562826228516/81167043225392830670044546869\
      2088148929856640625*ep^2+205751783935735641663927540348949737612900016/
      297741524034716999282036622510583170428362233445297743935830078125*ep^3
      +436733409335260127650897568670698985536546758044568648864/
      64562197842493030839108522718849588118472305131360848131478097858667797\
      8515625*ep^4+5331758387851424801539979719511045728329340825192227418027\
      0009777149664/912131099924935731598337861928869035649186195727431794765\
      85001733956953447732671380615234375*ep^5+643138817360652402428995070324\
      337872899325458578703167644022515229741347383480483788992/
      13858884661083382786136078164319724181525775740113460751556954824185227\
      33219121978064583778543911895751953125*ep^6+804391564290800657842482887\
      17000683370972942723210220664752076948561120304502333216736733814692020\
      736/2313970962984783471831225790588702171094457875826627975793865199273\
      92359539841135226899286156495944326674695392608642578125*ep^7+
      74379482692857493486652596819987527103767790973217416579676077948302432\
      3018930673356535968389753271459585143858176/
      29719683290534195165484057660638953963245146827713125547734422617520173\
      60159332796416608145006554905579330427645450775167179107666015625*ep^8;
Fill mnchfac1(38,38)=
      -1/319830986772877770815625-494112033864398/534010950053866523272151635\
      85349140625*ep-10338975907016049239116110568/68586151525456941916187642\
      1044814485845728861328125*ep^2-2684104442149256385938336653179872217806\
      6672/1488707620173584996410183112552915852141811167226488719679150390625
      *ep^3-57501778857248898674367858496605664837409368629632666288/
      32281098921246515419554261359424794059236152565680424065739048929333898\
      92578125*ep^4-418395794888506858485591790335805406435466767229529180745\
      52269881952/26986127216714074899359108341090799871277698098444727655794\
      37921122986788394457733154296875*ep^5-857640928217475384207240386919234\
      53631618136148253759783275743539093710953403902929664/
      69294423305416913930680390821598620907628878700567303757784774120926136\
      66095609890322918892719559478759765625*ep^6-107708815371097005783540626\
      70049074033074403764944608981483314478380126482618225865719796993564006\
      912/1156985481492391735915612895294351085547228937913313987896932599636\
      961797699205676134496430782479721633373476963043212890625*ep^7-
      99891190119067618275753768597112604329923944458845338934652360744848048\
      750281395070190413498151929394357214619392/
      14859841645267097582742028830319476981622573413856562773867211308760086\
      800796663982083040725032774527896652138227253875835895538330078125*ep^8
      ;
Fill mnchfac1(39,0)=
      68719476736/5+2402775052654881290584064/75893912742375*ep+5907857948863\
      373974855910408468396244992/139389240990602975513519503125*ep^2+
      1012931470323850607220979363682156347061844993151860736/232733487645267\
      46228112193440063335491328125*ep^3+148677997610079618483480183137063313\
      582366638392885599114713825804288/3885872100787278555686088325556254059\
      199174767949376953125*ep^4+19791549889473842772782552655111081884740510\
      094734160155832114061180261635933077504/6488108839193941305427026105191\
      97738067323948520587167241774299267578125*ep^5+224824975841619926705999\
      091027799137643554967163601305500668525993850594313064527226989562560512
      /9848159322096338637276920365310623585533990924448717788389479934717486\
      818128662109375*ep^6+29651146199475942707238935430223516095405173871245\
      9405772043739320796862303961469207575010995861740194004729856/
      18087451331193312254583326614361175021367391821860888802956080857133887\
      514525085314640729034423828125*ep^7+34604705271741517207067120069782603\
      18691377701254979765666025822670439272462424876993925881439490831268445\
      7890580095327797248/302000039673538750991150829781454050697419097438798\
      4444576085224167593586632077638566271225103800038574981689453125*ep^8;
Fill mnchfac1(39,2)=
      -34359738368/195-93443101625010947620864/227681738227125*ep-30111358594\
      13937701536200380662253879296/5436180398633516045027260621875*ep^2-
      519356995181760048094536959966745496133701930758176768/9076606018165431\
      02896375544162470084161796875*ep^3-588942057049384421162335157456993075\
      6685928784284132293103990079488/116576163023618356670582649766687621775\
      97524303848130859375*ep^4-102235538033824074035078907141984030268048579\
      80644538498269615467348844753664868352/25303624472856371091165401810248\
      711784625633992302899522429197671435546875*ep^5-11639149048630165814590\
      20636951721899438795398883636822449459328236212862827343242299062154690\
      56/38407821356175720685379989424711431983582564605349999374718971745398\
      1985907017822265625*ep^6-1182592095655331291809948463675280178929482447\
      6343326226900721018817604383916050313712290382785144792868192256/
      54262353993579936763749979843083525064102175465582666408868242571401662\
      543575255943922187103271484375*ep^7-17960530605532338021159938894241495\
      86889388830434814615058664869840388170581832691273412533546337017861626\
      2641229792109133824/117780015472680112886548823614767079771993448001131\
      393338467323742536149878651027904084577779048201504424285888671875*ep^8
      ;
Fill mnchfac1(39,4)=
      8589934592/3705+23624712145681059414016/4325953026315375*ep+76762788436\
      7689031025577228057050087424/103287427574036804855517951815625*ep^2+
      133212096797666161991193815230279871059359278135508992/1724555143451431\
      8955031135339086931599074140625*ep^3+1517379377342691727602499058484053\
      505917402507892008200328206876672/2214947097448748776741070345567064813\
      74352961773114486328125*ep^4+264256139664950161074738273765439806916152\
      2414487920361197458158886930581750284288/480768864984271050732142634394\
      725523907887045853755090926154755757275390625*ep^5+
      30153421695542182362410220544848048714075665301064388747611209428422214\
      877131738806715090468864/7297486057673386930222197990695172076880687275\
      016499881196604631625657732233338623046875*ep^6+
      30685870406608008566581463669146356125360868340677324096452382235889906\
      56453815542308458772413648680637169664/10309847258780187985112496170185\
      86976217941333846070661768496608856631588327929862934521554962158203125
      *ep^7+46654108199420317533513947313992805885046454718384937718776205994\
      72439140886079211239553027031693667435654888573915021049856/
      22378202939809221448444276486805745156678755120214964734308791511081868\
      47694369530177606977801915828584061431884765625*ep^8;
Fill mnchfac1(39,6)=
      -4294967296/137085-11947891155249668292608/160060261973668875*ep-
      391523956694275208172119326546473254912/
      3821634820239361779654164217178125*ep^2-6837284372350849742770933836963\
      2574944811599943172096/638085403077029801336152007546216469165743203125
      *ep^3-782423538563445638036997810457281314314568244266390385065313959936
      /8195304260560370473941960278598139810851059585605235994140625*ep^4-
      13671807484769343872540872930193709196799306719242599198387550784045906\
      78828908544/17788448004418028877089277472604844384591820696588938364267\
      725963019189453125*ep^5-15637579477111433886970514534015826546382714883\
      389000782406372228266712339677596177898059333632/2700069841339153164182\
      21325655721366844585429175610495604274371370149336092633529052734375*
      ep^6-159400347799064149206037930733505814669162777570342040394659356833\
      2707407968010908813138135410627504970924032/381464348574866955449162358\
      29687718120063829352304614485434374527695368768133404928577297533599853\
      515625*ep^7-24262159397243237362969150375987428253168355100330572986957\
      04432015768253003733850175355806914591638871116998349605383241728/
      82799350877294119359243823001181257079711393944795369516942528591002913\
      364691672616571458178670885657610272979736328125*ep^8;
Fill mnchfac1(39,8)=
      536870912/1233765+1510898887632382590976/1440542357763019875*ep+
      49942565745560198003272118758920945664/
      34394713382154256016887477954603125*ep^2+877823715430002104144452718922\
      6541762085770440998912/5742768627693268212025368067915948222491688828125
      *ep^3+100934721128474944192808996230345899839423286827413225892208443392
      /73757738345043334265477642507383258297659536270447123947265625*ep^4+
      17698330090002825248472287133499170846039253994051411175215572046949276\
      3694727168/160096032039762259893803497253443599461326386269300445278409\
      533667172705078125*ep^5+20293194079465083636338021660843745674641568964\
      23546070414215616153421739548722350015447957504/24300628572052378477639\
      91930901492301601268862580494460438469342331344024833701761474609375*
      ep^6+207214354320986232932193741759093445993056503200910622603403455871\
      913363265699392761762177876299756781666304/3433179137173802599042461224\
      67189463080574464170741530368909370749258318913200644357195677802398681\
      640625*ep^7+31577067058770737950506198132327915865715139162229645092916\
      8958900285442048354769440550658877482385704250692133034562748416/
      74519415789564707423319440701063131371740254550315832565248275731902622\
      0282225053549143123608037970918492456817626953125*ep^8;
Fill mnchfac1(39,10)=
      -268435456/43181775-764404440332509380608/50418982521705695625*ep-
      25492742654757334412898445943527964672/12038149683753989605910617284111\
      09375*ep^2-4510731056307974622572196091857007300497210626277376/
      200996901969264387420887882377058187787209108984375*ep^3-
      52122616529560260152287558056718405183771434708849709563507900416/
      2581520842076516699291717487758414040418083769465649338154296875*ep^4-
      91724095429695365383631593852856147714047676469319679406805656865626815\
      160254464/5603361121391679096283122403870525981146423519425515584744333\
      678351044677734375*ep^5-10544385639441946251989198219048267689308385521\
      03105391022419337921793308918545889824964411392/85052200002183324671739\
      717581552230556044410190317306115346426981597040869179561651611328125*
      ep^6-107863476796565769192760055885801928470608399862912789823219704946\
      186137207061675985842807169980660039073792/1201612698010830909664861428\
      63516312078201062459759535629118279762240411619620225525018487230839538\
      57421875*ep^7-164574614867228253613065140684994981350696394577808348573\
      915550473043462604691536412650360820083818780900282559161993248768/
      26081795526347647598161804245372095980109089092610541397836896506165917\
      709877876874220009326281328982147235988616943359375*ep^8;
Fill mnchfac1(39,12)=
      67108864/734090175+193405704774826852352/857122702868996825625*ep+
      6509003255265084342777298704661741568/204648544623817823300480493829888\
      59375*ep^2+1159647063936076917604920119770397134725595236204544/
      3416947333477494586155094000409989192382554852734375*ep^3+
      1036054901374435070011597688368225581654049186825475515899281408/
      3375834947330829529843015176299464514392878775455079903740234375*ep^4+
      23790868880146137924601055405248643201714119352525124808449237370778445\
      831356416/9525713906365854463681308086579894167948919983023376494065367\
      2531967759521484375*ep^5+2742307123204903964390712747456700650076611152\
      03250219251677203934315817421126939518550581248/14458874000371165194195\
      75198886387919452754973235394203960889258687149694776052548077392578125
      *ep^6+28105373928556739727772385761491876013565740557622989452636838285\
      078691227781201060463315702273488331726848/2042741586618412546430264428\
      67977730532941806181591210569501075595808699753354383392531428292427215\
      576171875*ep^7+42937905669178687074342663177529552101440969716924022163\
      561136259298624636827248406179346404261639009657206350316136865792/
      44339052394791000916875067217132563166185451457437920376322724060482060\
      1067923906861740158546782592696503011806488037109375*ep^8;
Fill mnchfac1(39,14)=
      -33554432/24224975775-1076790746181178228736/311135541141445847701875*
      ep-3325327242174017217233672989415440384/675340197258598816891585629638\
      632359375*ep^2-54240758030775601483739722371013932484265418391552/
      10250842000432483758465282001229967577147664558203125*ep^3-
      6966572125229969262113136460507496180838903001220154233388285952/
      1448233192404925868302653510632470276674544994670229278704560546875*
      ep^4-123536588014606455109217630803581103951674791083571254452978273822\
      88302188945408/31434855891007319730148316685713650754231435943977142430\
      41571193554936064208984375*ep^5-157077341797117232405512121358625810591\
      5334672906139635629892296811773887008432067690324414464/
      52485712621347329654930579719575881476135005528444809603780280090343533\
      9203707074952093505859375*ep^6-8676941583237227766720775355330381427274\
      7175083089831442785442431789541389738237880938417890640329015296/
      39887853466513381084141258074812219571521181088713076620080091684388681\
      016927187289665900199113006591796875*ep^7-20394068590907520966879706557\
      48839072643011711270749166937963913781702974326512796417834016268534441\
      020163755686546599936/1330171571843730027506252016513976894985563543723\
      13761128968172181446180320377172058522047564034777808950903541946411132\
      8125*ep^8;
Fill mnchfac1(39,16)=
      524288/24224975775+17035284709543706624/311135541141445847701875*ep+
      53113744664057333967526234633977856/67534019725859881689158562963863235\
      9375*ep^2+872705656124335979821343225879247420376722055168/102508420004\
      32483758465282001229967577147664558203125*ep^3+866966689152259525818080\
      9181627426764799307037667395181531136/111402553261917374484819500817882\
      328974964999590017636823427734375*ep^4+20067076513681559708335764499427\
      0005019653198078525785731372560090036194793472/314348558910073197301483\
      1668571365075423143594397714243041571193554936064208984375*ep^5+
      25590375811622256386429194507555782902714888287167855106412726349353791\
      089221898962504728576/5248571262134732965493057971957588147613500552844\
      48096037802800903435339203707074952093505859375*ep^6+
      23939649408515144802864732352365906107734858558683708821392829919186346\
      0431953701563073036923540892399616/674104723584076140321987261464326510\
      75870796039925099487935354946616870918606946519535371336500981140136718\
      75*ep^7+333419420247184808757351634701411928694450772685862744911028101\
      11513457161537834722058399237024263247376250819655041024/
      13301715718437300275062520165139768949855635437231376112896817218144618\
      03203771720585220475640347778089509035419464111328125*ep^8;
Fill mnchfac1(39,18)=
      -262144/750974249025-8626251025978458112/9645201775384821278758125*ep-
      27160867375901562238304896632086528/20935546115016563323639154518797603\
      140625*ep^2-449651824827547944771067465332051251928120848384/
      317776102013406996512423742038128994891577601304296875*ep^3-
      58402078566265258803318210719281395522745722067058357372893184/
      44895228964552701917382258829606578576910894834777107639841376953125*
      ep^4-104424594196920375740483740953850574466863235734158996675223800691\
      233749799936/9744805326212269116345978172571231733811745142632914153428\
      8707000203017990478515625*ep^5-1335762081833712130049416944700991362073\
      7290859941942018200325378122626683874892509452069888/
      16270570912617672193028479713068523257601851713817890977171886828006495\
      515314919323514898681640625*ep^6-12523243225208376445034676610811588239\
      8486720322060989825408699512646762960753534082379107423072790929408/
      20897246431106360349981605105394121833519946772376780841259960033451229\
      9847681534210559651143153041534423828125*ep^7-
      17468112500850307799651661710000670156031268748172362642028323616042570\
      613072675907417872603799541297808958814305574912/
      41235318727155630852693812511933283744552469855417265949980133376248315\
      899316923338141834744850781120774780098003387451171875*ep^8;
Fill mnchfac1(39,20)=
      65536/11264613735375+2184619996556320768/144678026630772319181371875*ep
      +6948278899930901868466906928678912/31403319172524844985458731778196404\
      7109375*ep^2+115928503357160594331581974892749264013775220736/
      4766641530201104947686356130571934923373664019564453125*ep^3+
      15146463433307463050007371228674075841582761773055839387239936/
      673428434468290528760733882444098678653663422521656614597620654296875*
      ep^4+272020284525988303839048410023128092823289655437605900101682968786\
      77629228544/14617207989318403674518967258856847600717617713949371230143\
      30605003045269857177734375*ep^5+349079955199607042143372653630050268062\
      1763541832017543159012399265911102354246883692029952/
      24405856368926508289542719569602784886402777570726836465757830242009743\
      2729723789852723480224609375*ep^6+3280258744897141629902512551758748179\
      3075288775698365837519156128948431903663356117877722010718224684032/
      31345869646659540524972407658091182750279920158565171261889940050176844\
      97715223013158394767147295623016357421875*ep^7+
      45827862400425283246800390180236589561485868179369052689309627249340322\
      14405603961501937797401005433937241223702389248/
      61852978090733446279040718767899925616828704783125898924970200064372473\
      8489753850072127521172761716811621701470050811767578125*ep^8;
Fill mnchfac1(39,22)=
      -32768/326673798325875-1106822363827318784/4195662772292397256259784375
      *ep-3556981894282220773743289857504256/91069625600322050457830322156769\
      57366171875*ep^2-59825998392448315099134496397709772368640672768/
      138232604375832043482904327786586112777836256567369140625*ep^3-
      7864686316817314905969400268324592818245592092863328686362368/
      19529424599580425334061282590878861680956239253128041823330998974609375
      *ep^4-14189663190724793128818608950484495868297698325262428465197019439\
      764943503872/4238990316902337065610500505068485804208109137045317656741\
      5587545088312825858154296875*ep^5-1827096325380422360017979869372521495\
      969486212253958406666866081471706720316410785090571776/
      70776983469886874039673886751848076170568054955107825750697707701828255\
      49161989905728980926513671875*ep^6-172104822549863413231738928667858108\
      79956776512693739017264588631251640738619299415182103685873409570816/
      90903021975312667522419982208464429975811768459838996659480826145512850\
      433741467381593448247271573067474365234375*ep^7-
      24084980917501169021825664444212526092451801721550557184792563676538902\
      37848124213581657159237970050539659343783917824/
      17937363646312699420921808442690978428880324387106510688241358018668017\
      416202861652091698114010089787537029342631473541259765625*ep^8;
Fill mnchfac1(39,24)=
      4096/2286716588281125+140231628518261248/29369639406046780793818490625*
      ep+455493522199016934304376881528832/6374873792022543532048122550973870\
      1563203125*ep^2+7725172553545248253399678884469402893906874496/
      967628230630824304380330294506102789444853795971583984375*ep^3+
      1022064647940364887060119283467307971871612793887909877565696/
      136705972197062977338428978136152031766693674771896292763316992822265625
      *ep^4+26470550941061913812805244461941952623961977005138991205233937638\
      0990048512/423899031690233706561050050506848580420810913704531765674155\
      87545088312825858154296875*ep^5+239436285931052294308070535468694404920\
      604907025377782373546973675740390005066968550774272/
      49543888428920811827771720726293653319397638468575478025488395391279778\
      844133929340102866485595703125*ep^6+22611395799556585831200757754095923\
      99882287399904491542755302985342347298393675089012278911282552161152/
      63632115382718867265693987545925100983068237921887297661636578301858995\
      3036190271671154137730901011472320556640625*ep^7+
      31699717210971681103729396870043112689271185541899449462927317058263918\
      5754274677588365929823544234239060537789916928/
      12556154552418889594645265909883684900216227070974557481768950613067612\
      1913420031564641886798070628512759205398420314788818359375*ep^8;
Fill mnchfac1(39,26)=
      -2048/61741347883590375-71090023983495424/
      792980263963263081433099246875*ep-233461782662613022140466016950016/
      1721215923846086753652993088762944942206484375*ep^2-3993833152047258714\
      081616641056356869441290048/2612596222703225621826891795166477531501105\
      2491232767578125*ep^3-5319303425426260778500585445865823241651491138268\
      75008595648/36910612493207003881375824096761048577007292188411999046095\
      58806201171875*ep^4-138461695790260991521197177177217095953632676041110\
      098267000870516809665856/1144527385563631007714835136368491167136189467\
      002235767320220863717384446298170166015625*ep^5-12571182288480011119927\
      5909197688947172113982344809086418831852648504274472443675503996736/
      13376849875808619193498364596099286396237362386515379066881866755645540\
      28791616092182777395111083984375*ep^6-119036943857255471788571707377160\
      5507723229965169562428444140107073858159984334594333210585474927874176/
      17180671153334094161737376637399777265428424238909570368641876141501928\
      731977137335121161718734327309752655029296875*ep^7-
      16719816624692359077309993770187242521568741707000740182132397093751205\
      3979972524081518224949957733525849750097508864/
      33901617291531001905542217956685949230583813091631305200776166655282552\
      91662340852245330943547906969844498545757348499298095703125*ep^8;
Fill mnchfac1(39,28)=
      512/802637522486674875+234330535766091328/
      134013664609791460762193772721875*ep+4605405213084192977568736445408/
      1721215923846086753652993088762944942206484375*ep^2+1033410510150323747\
      069803902210247044835898912/3396375089514193308374959333716420790951436\
      82386025978515625*ep^3+180177344108824729508377625590676300554678475748\
      9429762969056/623789351135198365595251427235261720951423237984162783879\
      015438247998046875*ep^4+27898745386135805225359010038978142499107442083\
      65982281527182249227191328/11445273855636310077148351363684911671361894\
      67002235767320220863717384446298170166015625*ep^5+330583113311270163042\
      67408365392775264745077082081563766309753706518622474829039871553984/
      17389904838551204951547873974929072315108571102469992786946426782339202\
      374291009198376106136444091796875*ep^6+40809942949863645686463081903896\
      31012277457481542033718114555509906519152655004793082023604605002249472/
      29035334249134619133336166517205623578574036963757173923004770679138259\
      55704136209635476330466101315348198699951171875*ep^7+
      33986171763022733926858054703467258959222483166879353777256894785457960\
      91014125851317956687791543460674547596204032/
      33901617291531001905542217956685949230583813091631305200776166655282552\
      91662340852245330943547906969844498545757348499298095703125*ep^8;
Fill mnchfac1(39,30)=
      -256/20065938062166871875-118875005949305888/
      3350341615244786519054844318046875*ep-2363773857382973553850379275408/
      43030398096152168841324827219073623555162109375*ep^2-535362443950154652\
      042070976650271360808358912/8490937723785483270937398334291051977378592\
      059650649462890625*ep^3-94021728713140698617382477908886346339427765902\
      4984898659056/155947337783799591398812856808815430237855809496040695969\
      75385956199951171875*ep^4-209134516729637653908852421400326901137631003\
      637372812322675118402255904/4087597805584396456124411201316039882629248\
      096436556311857931656133515879636322021484375*ep^5-
      17418878558411779179949314204011369985198785995661589131662990196929030\
      539359663466553984/4347476209637801237886968493732268078777142775617498\
      19673660669558480059357275229959402653411102294921875*ep^6-
      21568319902388097594041296939077680823103259116178867757736494018019793\
      80134632818169102401344202249472/72588335622836547833340416293014058946\
      43509240939293480751192669784564889260340524088690826165253288370496749\
      8779296875*ep^7-1800041153607842687492745557674079174711922903902598996\
      692911062217005761915984041709369665221859707216985896204032/
      84754043228827504763855544891714873076459532729078263001940416638206382\
      291558521306133273588697674246112463643933712482452392578125*ep^8;
Fill mnchfac1(39,32)=
      16/60197814186500615625+7540998943853768/
      10051024845734359557164532954140625*ep+151771427031427500259522055488/
      129091194288456506523974481657220870665486328125*ep^2+34707993219541462\
      503128750616505001508737032/2547281317135644981281219500287315593213577\
      6178951948388671875*ep^3+6141965689965364972863423542902080888789247518\
      8799376281616/467842013351398774196438570426446290713567428488122087909\
      26157868599853515625*ep^4+961918784405990900551326281696443478619795326\
      01560412597399730397820608/85839553917272325578612635227636837535214210\
      025167682549016564778803833472362762451171875*ep^5+
      11495772299584434178767431741725865310700871224175002669286501542038992\
      22180728886941824/13042428628913403713660905481196804236331428326852494\
      59020982008675440178071825689878207960233306884765625*ep^6+
      14279954150485860920893209138747320396277633800067352448795695180574064\
      4378197018505454173579080728192/217765006868509643500021248879042176839\
      30527722817880442253578009353694667781021572266072478495759865111490249\
      6337890625*ep^7+1194497618072984349454853741297695705910877574322274734\
      03222875812845016309523932165412092654975218840208812548352/
      25426212968648251429156663467514461922937859818723478900582124991461914\
      6874675563918399820766093022738337390931801137447357177734375*ep^8;
Fill mnchfac1(39,34)=
      -8/1384549726289514159375-3828574813851484/2311735714518902698147842579\
      45234375*ep-78023653817620834067675701844/29690974686344996500514130781\
      16080025306185546875*ep^2-18023385869516690079637554698396916384783416/
      585874702941198345694680485066082586439122852115894812939453125*ep^3-
      32149060608217205417034042430089504145428525448383641487008/
      10760366307082171806518087119808264686412050855226808021913016309777966\
      30859375*ep^4-506605926370260601992956098970826028384450283054577784247\
      37298699755904/19743097400972634883080906102356472633099268305788566986\
      27380989912488169864343536376953125*ep^5-608255357828513297413133753911\
      402501260369587919357022102503130650906502073056834507712/
      29997585846500828541420082606752649743562285151760737557482586199535124\
      095651990867198783085366058349609375*ep^6-75815350487849408744284240121\
      886383595817124784059744812676589515631989897453276051872623128993178496
      /5008595157975721800500488724217970067304021376248112501718322942151349\
      773589634961621196670054024768975642757415771484375*ep^7-
      63573659227701004037898502074473632941767686380594798432127883809078213\
      845283375083986584189674841214594056600576/
      58480289827890978287060325975283262422757077583064001471338887480362403\
      78117537970123195877620139522981759991431426161289215087890625*ep^8;
Fill mnchfac1(39,36)=
      2/15230046989184655753125+972322486011346/25429092859707929679626268373\
      97578125*ep+20073554669103625669828348436/32660072154979496150565543859\
      276880278368041015625*ep^2+51544809929603016001828782609921244400982544/
      70890839055884999829056338692995992959133865106023272365673828125*ep^3+
      766223534796932811867741186782235419119184175827369525632/
      10760366307082171806518087119808264686412050855226808021913016309777966\
      30859375*ep^4+133680808218953700901815232613763099597136103805699741528\
      83272195516576/21717407141069898371388996712592119896409195136367423684\
      901190889037369868507778900146484375*ep^5+16129629868794081376125825852\
      4073155798088741199524921799364955391756864705914772609728/
      32997344431150911395562090867427914717918513666936811313230844819488636\
      5052171899539186613939026641845703125*ep^6+2017797834379141571799759852\
      02429316629054057688543010136536673190269454517975294197677744314565770\
      24/55094546737732939805505375966397670740344235138729237518901552363664\
      847509485984577833163370594272458732070331573486328125*ep^7+
      18660745308957190051829225610445721732610654464659816699300517232880084\
      3456915055091574317568812867432697149929984/
      70761150691748083727342994430092747531536063875507441780320053851238508\
      5752222094384906701192036882280792958963202565515995025634765625*ep^8;
Fill mnchfac1(39,38)=
      -1/319830986772877770815625-494112033864398/534010950053866523272151635\
      85349140625*ep-10338975907016049239116110568/68586151525456941916187642\
      1044814485845728861328125*ep^2-2684104442149256385938336653179872217806\
      6672/1488707620173584996410183112552915852141811167226488719679150390625
      *ep^3-57501778857248898674367858496605664837409368629632666288/
      32281098921246515419554261359424794059236152565680424065739048929333898\
      92578125*ep^4-418395794888506858485591790335805406435466767229529180745\
      52269881952/26986127216714074899359108341090799871277698098444727655794\
      37921122986788394457733154296875*ep^5-857640928217475384207240386919234\
      53631618136148253759783275743539093710953403902929664/
      69294423305416913930680390821598620907628878700567303757784774120926136\
      66095609890322918892719559478759765625*ep^6-107708815371097005783540626\
      70049074033074403764944608981483314478380126482618225865719796993564006\
      912/1156985481492391735915612895294351085547228937913313987896932599636\
      961797699205676134496430782479721633373476963043212890625*ep^7-
      99891190119067618275753768597112604329923944458845338934652360744848048\
      750281395070190413498151929394357214619392/
      14859841645267097582742028830319476981622573413856562773867211308760086\
      800796663982083040725032774527896652138227253875835895538330078125*ep^8
      ;
Fill mnchfac1(40,0)=
      1099511627776/41+1592492451251445523277676544/25515533463986475*ep+
      161780083353014183072488412800149476366876672/
      1921369175662669535073455534975625*ep^2+1143825858034687873608681885238\
      832473455491322712331770658816/1315298425563957258965930796947736219226\
      2170765625*ep^3+6912853683895047132394857282136355657585936292407676505\
      056255719187622658048/9004047583382064051811142838987976141792909818993\
      4274821203515625*ep^4+3784559414987668613207793947708586355837584259517\
      2863387602511488574283845987822070812114944/616383866262494552328279860\
      365802477502240526277701355785065674263145209072265625*ep^5+
      17665178600669803925374079145490711035614833651808670859373325584346730\
      376321343606998424051694704485466112/3835942235678547260063103329731863\
      51483197019627010792619856275421024685627567339269065185546875*ep^6+
      95667163657485000954415294223086715906185104791670782718092540848151851\
      8507962742963186877607914625642002148798219625168896/
      28885389292988739061754333269712856533307760642778147828306557472050001\
      765858531614301939132199032577447509765625*ep^7+
      45823946670502593614711337185139763452779306197113569471892078842699609\
      87810967691493442237552865397035158313891802618264488147517374988288/
      19773871435075216510650875083756399300197306438970841285761986612128988\
      7903179092147027759882047637098214055300957965240478515625*ep^8;
Fill mnchfac1(40,2)=
      -68719476736/205-100599933147291594023501824/127577667319932375*ep-
      10300639463370726093369175967658898570084352/
      9606845878313347675367277674878125*ep^2-7325197552973448595723198867939\
      2527329426421637637530976256/657649212781978629482965398473868109613108\
      53828125*ep^3-444589754976521327101253618811214371277050824325587476519\
      014654771218874368/4502023791691032025905571419493988070896454909496713\
      74106017578125*ep^4-244143706880591407299559217045077839500192417411190\
      4384980031065560598076092405151541755904/308191933131247276164139930182\
      9012387511202631388506778925328371315726045361328125*ep^5-
      11420581559743836908323872458381669779688627494765483054128276405571975\
      77306808411359005475293209865224192/19179711178392736300315516648659317\
      57415985098135053963099281377105123428137836696345325927734375*ep^6-
      61941957160736998610345934769221524503738496074145276659817414802949874\
      612488622880966223257811480205347685934746656833536/
      14442694646494369530877166634856428266653880321389073914153278736025000\
      8829292658071509695660995162887237548828125*ep^7-
      29700046113476048878079991015130431912029828602112182569637962224452252\
      3367208543837991843716080372313811398454509215024948430564997726208/
      98869357175376082553254375418781996500986532194854206428809933060644943\
      9515895460735138799410238185491070276504789826202392578125*ep^8;
Fill mnchfac1(40,4)=
      34359738368/7995+3911403935411658895130624/382733001959797125*ep+
      5248498500129468035508686386569563368062976/374666989254220559339323829\
      320246875*ep^2+37547251448590256677523802809830212052631479521802901782\
      528/2564831929849716654983565054048085627491123299296875*ep^3+
      17606577609213364785384845949097371014282849023596063716124247993580781\
      568/1350607137507309607771671425848196421268936472849014122318052734375
      *ep^4+12608945784835728458009585051108649803249202761378906156784578368\
      64064337209992147529367552/12019485392118643770401457277133148311293690\
      2624151764378087806481313315769091796875*ep^5+5911494018219990522468015\
      51810698393594615602662019977682011374393571293514496731361367676703525\
      774032896/7480087359573167157123051492977133853922341882726710456087197\
      3707099813697375631157467711181640625*ep^6+
      24701831588820999511359639955856537358484273817743409989961555728093882\
      05397747744444599880016218473965806693722867367936/
      43328083939483108592631499904569284799961640964167221742459836208075002\
      6487877974214529086982985488661712646484375*ep^7+
      15413688464525790658529722589805609130718561099894511826475116152548827\
      5607870774368665968538840239289752493336493525958521305324130402304/
      38559049298396672195769206413324978635384747555993140507235873893651528\
      141119922968670413176999289234151740783686803221893310546875*ep^8;
Fill mnchfac1(40,6)=
      -8589934592/151905-988672390169475946643456/7271927037236145375*ep-
      1337594002398697056210035234568621569081344/711867279583019062744715275\
      7084690625*ep^2-9627777990404141294244412196224090007869485079165174546\
      432/48731806667144616444687736026913626922331342686640625*ep^3-
      45350618411538340642331341145945940284300816313167034930139345715640401\
      92/25661535612638882547661757091115732004109792984131268324043001953125
      *ep^4-32584442553886295081344964786640251330134646604412260991132574461\
      3381760318435091533529088/228370222450254231637627688265529817914580114\
      9858883523183668323144952999612744140625*ep^5-1531237396364306403454840\
      51232523415871662127736502779685431087084264716425425442073863971607375\
      929933824/1421216598318901759853379783665655432245244957718074986656567\
      500434896460250136991991886512451171875*ep^6-
      64088691257239206994254038454058344225263374029466969318307241801601221\
      8803988453655010191078191854855027881290009411584/
      82323359485017906325999849818681641119927117831917721310673688795342505\
      03269681510076052652676724284572540283203125*ep^7-
      40035131122421776850967826620516854565326446471349999589001628027087755\
      483434286593406666937532252693777908185682175888899545652832894976/
      73262193666953677171961492185317459407231020356386966963748160397937903\
      4681278536404737850362986495448883074890049261215972900390625*ep^8;
Fill mnchfac1(40,8)=
      4294967296/5620485+499893133463512655331328/269061300377737378875*ep+
      682022893012898468404262653761500450127872/2633908934457170532155446520\
      12133553125*ep^2+494007486036267068749157222907818229341045989279071312\
      2816/1803076846684350808453446232995804196126259679405703125*ep^3+
      23378384658107288267769181356091300965800068067507274922703383902247976\
      96/949476817667638654263485012371282084152062340412856927989591072265625
      *ep^4+16854523252679057140979577502731422701291243019209484517292915201\
      8339134375994878741970944/844969823065940657059222446582460326283946425\
      44778690357795727956363260985671533203125*ep^5+
      79396755461414203842522118505277485249960276424446254924886555119221423\
      115870560226148166760980440154112/5258501413779936511457505199562925099\
      3074063435568774506292997516091169029255068703699800960693359375*ep^6+
      25605634448634994618158509755275130339067470503174118605704054651109425\
      235944870065599073673250282228642637447714832384/
      23430494622658942569707649563778620934133102767545812988422511426366712\
      970844478144062611396079907579167999267578125*ep^7+
      20818199512884689515911673886093803989963346218206225698336713821366509\
      393380025155841468549513042941455978986938417139393521231077900288/
      27107011656772860553625752108567459980675477531863177776586819347237024\
      283207305846975300463430500331608673770931822664990997314453125*ep^8;
Fill mnchfac1(40,10)=
      -536870912/50584365-63200553905212218146816/2421551703399636409875*ep-
      86971434302139735775962780221610114678784/23705180410114534789399018681\
      09201978125*ep^2-634047533673937239655832950546698669823254524773835210\
      752/16227691620159157276081016096962237765136337114651328125*ep^3-
      301504285592161918810529077374547548319289329612874465206675476145242112
      /8545291359008747888371365111341538757368561063715712351906319650390625
      *ep^4-21813482727410058823892292787347954743827925394601794729099985144\
      209810368994179310419968/7604728407593465913533002019242142936555517829\
      03008213220161551607269348871043798828125*ep^5-
      10301682947918863772061432874339678496230231095586775920945404414479423\
      963337539359251580798457674072064/4732651272401942860311754679606632589\
      37666570920118970556636977644820521263295618333298208646240234375*ep^6-
      43266713059246235417734253299816087414178642279830372702582267509269733\
      148468495778276361052376071875344038559460327424/
      27413678708510962806557949989620986492935730238028601196454338368849054\
      17588803942855325533341349186762655914306640625*ep^7-
      27092316985187199341729717355536613710483441877428129762448858551693642\
      30750631207425475835282714705428400939247161512570918586717044736/
      24396310491095574498263176897710713982607929778676859998928137412513321\
      8548865752622777704170874502984478063938386403984918975830078125*ep^8;
Fill mnchfac1(40,12)=
      268435456/1770452775+31967431809775150563328/84754309618987274345625*ep
      +44379823588495189899562879823533212434432/8296813143540087176289656538\
      3822069234375*ep^2+3257039923511698176034455816693967116328831024332430\
      37696/567969206705570504662835563393678321779771799012796484375*ep^3+
      155652470980379697122510336968649215165677974440128891456974072048254976
      /2990851975653061760929977788969538565078996372300499323167211877636718\
      75*ep^4+113025131295471512548068007453495482349847263978603965511541919\
      00246160727543050061348864/26616549426577130697365507067347500277944312\
      401605287462705654306254427210486532958984375*ep^5+
      53518098725546282891790198448715990239945260490432924606655620744113177\
      68035108669881633028231140278272/16564279453406800011091141378623214062\
      818329982204163969482294217568718244215346641665437302618408203125*ep^6
      +2251907447931078096356047148397411486869848446222161901106087735245149\
      3158040912279284086077210857661427629040789143552/
      95947875479788369822952824963673452725275055833100104187590184290971689\
      615608137999936393666947221536692957000732421875*ep^7+
      14118742648545130676226947343891603559450283041167841802354632845468903\
      53199338759464823264384620664012287406122188757021224881224368128/
      85387086718834510743921119141987498939127754225369009996248480943796626\
      49210301341797219645980607604456732237843524139472164154052734375*ep^8;
Fill mnchfac1(40,14)=
      -67108864/30097697175-8086346334803467436032/1440823263522783663875625*
      ep-11327777320307161122370916776891582251008/14104582344018148199692416\
      11524975176984375*ep^2-837067564049931204626066002154528488866548155967\
      60858624/9655476513994698579268204577692531470256120583217540234375*
      ep^3-402095556651008302428670438879858552888011448072809700737290100566\
      58944/50844483586102049935809622412482155606342938329108488493842601919\
      82421875*ep^4-293087466806090669912211856138499134306601081324507303547\
      9712119853123976048776615510016/452481340251811221855213620144907504725\
      053310827289886865996123206325262578271060302734375*ep^5-
      13915986881326730814710438219155243314274753940817883574000042304209025\
      41341196307160171825903875923968/28159275070791560018854940343659463906\
      7911609697470787481199001698668210151660892908312434144512939453125*
      ep^6-586685025156559153795912350681639394931380336412939747517784232113\
      2903348858884780357513111266410718757473032349196288/
      16311138831564022869901980243824486963296759491627017711890331329465187\
      23465338345998918692338102766123780269012451171875*ep^7-
      36832473650835478252857047764260763014293527562176023282919488984858214\
      7607209675675536441055874391794375757266298807401934962344517632/
      14515804742201866826466590254137874819651718218312731699362241760445426\
      5036575122810552733981670329275764448043339910371026790618896484375*
      ep^8;
Fill mnchfac1(40,16)=
      33554432/993224006775+45010339008123923070976/
      523018844658770469986851875*ep+5785270908490435056371131101356825903104/
      46545121735259889058984973180324180840484375*ep^2+391395402244707467854\
      1038360780793831571764554030088192/289664295419840957378046137330775944\
      10768361749652620703125*ep^3+207917902610674763183764490317819273998573\
      39356456263132744926542774272/16778679583413676478817175396119111350093\
      1696486058012029680586335419921875*ep^4+1521507879252989273400113355939\
      937213373885136768053202022091063938379947888418498142208/
      14931884228309770321222049464781947655926759257300566266577872065808733\
      665082944989990234375*ep^5+79694194937443258564924218393561649172312869\
      18670052197292317812759010712438805313271912027793765863424/
      10221816850697336286844343344748385398165191432018189585567523761661656\
      0285052904125717413594458197021484375*ep^6+3060594600317617219043851909\
      19136620427224902382242582330440824804963331633209983383296840043281381\
      9896935399812767744/538267581441612754706765348046208069788793063223691\
      58449238093387235117874356165417964316847157391282084748877410888671875
      *ep^7+17492369879184867161727872734009205162508070853891988072104382914\
      945442713428377391637729721643063994126761261871462607344213830086656/
      43547414226605600479399770762413624458955154654938195098086725281336279\
      5109725368431658201945010987827293344130019731113080371856689453125*
      ep^8;
Fill mnchfac1(40,18)=
      -524288/993224006775-711914148320910966784/523018844658770469986851875*
      ep-92374717934736501825880673223845134336/46545121735259889058984973180\
      324180840484375*ep^2-57229107307965016437355719584072164494886089434644\
      48/2633311776544008703436783066643417673706214704513874609375*ep^3-
      336266937010119366035725810183538382129458792427785005994443060891648/
      16778679583413676478817175396119111350093169648605801202968058633541992\
      1875*ep^4-2470873159703854610693517286664708007960605183591455722572352\
      0847985725093758479644672/149318842283097703212220494647819476559267592\
      57300566266577872065808733665082944989990234375*ep^5-
      12980801887869249014324300524423587173524236464063672895994301329969813\
      8925340273719363320388951945216/102218168506973362868443433447483853981\
      651914320181895855675237616616560285052904125717413594458197021484375*
      ep^6-499578910840858770265095763318482375189092885196637134111350580418\
      07701539284087206512320662750076812796469718276096/
      53826758144161275470676534804620806978879306322369158449238093387235117\
      874356165417964316847157391282084748877410888671875*ep^7-
      25995337560004862707855983403409997833920306193214719357876529102822360\
      737217460669333168432984534646080189998672390967966932004864/
      39588558387823273163090700693103294962686504231761995543715204801214799\
      555429578948332563813182817075208485830001793737552761077880859375*ep^8
      ;
Fill mnchfac1(40,20)=
      262144/30789944210025+360410029679926280192/
      16213584184421884569592408125*ep+47222005502967618360766147102817312768/
      1442898773793056560828534168590049606055015625*ep^2+3242399852500430250\
      2361603138699920551236045384331264/897959315801506967871943025725405426\
      733819214239231241796875*ep^3+17419200448203241447015457274458428146521\
      4005598575555014475724314624/520139067085823970843332437279692451852888\
      2591067798372920098176398017578125*ep^4+1285442722612854587480023931283\
      9451591069249375501898824863984333332824355214474945536/
      46288841107760287995788353340824037733372953697631755426391403404007074\
      3617571294689697265625*ep^5+6774261152316629169976060883070099952272812\
      3741554648104125016994115875423383755389285672945124062208/
      31687632237161742489217464368719994734312093439256387715259323661151133\
      68836640027897239821428204107666015625*ep^6+
      26129667419657720235163215252073654922277727515155543792980913788216721\
      568870133997063355415061400200134593158555648/
      16686295024689995395909725789432450163452584959934439119263808950042886\
      54105041127956893822261879129744627215199737548828125*ep^7+
      14979360224866441440410269964621306787884056520455036126859914271659116\
      2745338505039057994442284010812300323865117338807697400369152/
      13499698410247736148613928936348223582276097943030840480406884837214246\
      648401486421381404260295340622646093668030611664505491527557373046875*
      ep^8;
Fill mnchfac1(40,22)=
      -65536/461849163150375-91252854262511525888/
      243203762766328268543886121875*ep-12076197499072451986046553374251599872
      /21643481606895848412428012528850744090825234375*ep^2-83565123315805820\
      70337822848715197644195326275936256/13469389737022604518079145385881081\
      401007288213588468626953125*ep^3-45161492382214035954241659927257027778\
      239656729703137523439421277696/7802086006287359562649986559195386777793\
      3238866016975593801472645970263671875*ep^4-3347575667128200865461976121\
      425000404495987107682549088263005519623089276730774290944/
      69433261661640431993682530011236056600059430546447633139587105106010611\
      54263569420345458984375*ep^5-176995284649673461265653716799678634347966\
      44627797177708773064009033155640834668914170354760431455232/
      47531448355742613733826196553079992101468140158884581572888985491726700\
      532549600418458597321423061614990234375*ep^6-
      68430949049013725442197449767708851085490945573071917622513568427410891\
      83889432626692302353432907260479174839380992/
      25029442537034993093864588684148675245178877439901658678895713425064329\
      811575616919353407333928186946169408227996063232421875*ep^7-
      39293821555306105313927099392519833672770748853784845827912490248670681\
      385891159211150412289271258582932846830378724208073600158208/
      20249547615371604222920893404522335373414146914546260720610327255821369\
      9726022296320721063904430109339691405020459174967582372913360595703125*
      ep^8;
Fill mnchfac1(40,24)=
      32768/13393625731360875+46221434118771257344/
      7052909120223519787772697534375*ep+6179939902192715861658162799073268736
      /627660966599979603960412363336671578633931796875*ep^2+4310875563081984\
      512761851113967762800204825051798528/3906123023736555310242952161905513\
      60629211358194065590181640625*ep^3+234418000212394427439247765031756380\
      45596015310976853786086985365248/22626049418233342731684961021666621655\
      60063927114492292220242706733137646484375*ep^4+174572441447614078784402\
      1989759296994213867756319192039360922183981334520254392195072/
      20135645881875725278167933703258456414017234858469813610480260480743077\
      3473643513190018310546875*ep^5+9261853371996798226588102538526316739264\
      796400350437629178684888415969613129109734853461235207036416/
      13784120023165357982809597000393197709425760646076528656137805792600743\
      15443938412135299322321268786834716796875*ep^6+
      27613275239348455903937917429914239672603214407109011637084038773038356\
      1660482620443942568641143877944102476321792/
      55834910274924215363236390141562429393091341981319084745228899178989658\
      810437914666249908667993647802993295277837371826171875*ep^7+
      20648356520150589483370626695540936916616308978255589071387401339958694\
      920182968342110888550926509494985365843010492469381572866304/
      58723688084577652246470590873114772582901026052184156089769949041881972\
      92054646593300910853228473170851050745593316074059888814487457275390625
      *ep^8;
Fill mnchfac1(40,26)=
      -4096/93755380119526125-5854711419480109568/
      49370363841564638514408882740625*ep-791100684791370993494345369444283392
      /4393626766199857227722886543356701050437522578125*ep^2-505856825545170\
      74785200168445558758851785404726656/24857146514687170156091513757580541\
      1309498137032587193751953125*ep^3-3045338190793529922592930448857670466\
      740812608932581217164815405056/1583823459276333991217947271516663515892\
      0447489801446045541698947131963525390625*ep^4-3255637677391289395907968\
      4766811644777655940291376002011765859884179897269249683712/
      20135645881875725278167933703258456414017234858469813610480260480743077\
      3473643513190018310546875*ep^5-1213448906447466798527288754423185489163\
      584845296006517225374177216529739426880051539354828183524352/
      96488840162157505879667179002752383965980324522535700592964640548205202\
      08107568884947095256248881507843017578125*ep^6-
      47153666595033973744953223848030911805450874269048380694627205503949242\
      0323589803000678166072593576370470535331712/
      50809768350181035980545115028821810747713121203000367118158298252880589\
      51749850234628741688787421950072389870283200836181640625*ep^7-
      22456941178159588800207381088727592428202863875598165421435402579290056\
      985649569928226291787192918041846608061308996787569584128/
      33972381536532526092999515381140777527298114245065214266809061429187918\
      2184979554984350214649581092528573183629365392714208443813323974609375*
      ep^8;
Fill mnchfac1(40,28)=
      2048/2531395263227205375+2967298308439011584/
      1332999823722245239889039833996875*ep+405330689729004978877251278521815\
      296/118627922687396145148517936670630928361813109609375*ep^2+
      287563827471489029234035915929453795017767384345408/7382572514862089536\
      3591795860014207158920946698678396544330078125*ep^3+1584361728292920766\
      674699347366658380805943654975490974285837963328/4276323340046101776288\
      45763309499149290852082224639043229625871572563015185546875*ep^4+
      24320295000689841161917333626064513508753392752538009471612157305523930\
      84586406208/77666062687234940358647744283996903311209334454097852497566\
      7189971518697684053550875784912109375*ep^5+6369388992227291685995200446\
      65692924431720296897048351539578975234835866840020694239300717529315776/
      26051986843782526587510138330743143670814687621084639160100452948015404\
      5618904359893571571918719800711761474609375*ep^6+
      24819069374050617655703473207609441685313834522748628184536206723382638\
      5211888945891651720116699657822842938067456/
      13718637454548879714747181057781888901882542724810099121902740528277759\
      1697245956334976025597260392651954526497646422576904296875*ep^7+
      14330129027697271646116335763225623013530215408721645625332392424251933\
      75179088958218640736055080446404095361413850663720166598144/
      11098777047985176274582941675018692018168293923862805500966520368915692\
      88198328206133872151260181429290848590917136737997318985938129425048828\
      125*ep^8;
Fill mnchfac1(40,30)=
      -512/32908138421953669875-9778525773035766848/2252769702090594455412477\
      31945471875*ep-7992868821639028606385126724350048/118627922687396145148\
      517936670630928361813109609375*ep^2-74378058232406218018068251142669948\
      688040131910752/9597344269320716397266933461801846930659723070828191550\
      76291015625*ep^3-536459146675654292828108145105489948420109708394784951\
      4580118826016/722698644467791200192749339993053562301540018959639983058\
      06772295763149566357421875*ep^4-342910147523327428459032191352181314272\
      374090104651501319580523184795553859420128/5436624388106445825105342099\
      879783231784653411786849674829670329800630883788374856130494384765625*
      ep^5-167450751897254779824919391163475721960319893997405398426351911273\
      807597493688378664910515169855744/3386758289691728456376317982996608677\
      20590939074100309081305888324200259304575667861643043494335740925289916\
      9921875*ep^6-8507084487463684430245373600820230133825596362381656742598\
      19516313752151863990266620119106634119479499320593829632/
      23184497298187606717922735987651392244181497204929067516015631492789412\
      996834566620610948325937006358180314978102245415496826171875*ep^7-
      29124276120667937393108472639707174370440608422108994092335162737384435\
      515987640171159599287870656793124070134792560310376540672/
      11098777047985176274582941675018692018168293923862805500966520368915692\
      88198328206133872151260181429290848590917136737997318985938129425048828\
      125*ep^8;
Fill mnchfac1(40,32)=
      256/822703460548841746875+4959362147234552608/5631924255226486138531193\
      298636796875*ep+4100895835142643872745130896484048/29656980671849036287\
      12948416765773209045327740234375*ep^2+385161267590136100825168615018334\
      74045757134470752/23993360673301790993167333654504617326649307677070478\
      876907275390625*ep^3+27983092963713968893409079701636138698293169316542\
      35935943860916016/18067466111694780004818733499826339057538500473990999\
      57645169307394078739158935546875*ep^4+179875378231624979988410442605205\
      450405290107457721153289473344100639827953520128/
      13591560970266114562763355249699458079461633529467124187074175824501577\
      2094709371403262359619140625*ep^5+8820752799628482187051582854452657667\
      4730007323038950346578980004561710951104935277057599559855744/
      84668957242293211409407949574915216930147734768525077270326472081050064\
      826143916965410760873583935231322479248046875*ep^6+
      44950767164734229133300920238783229800894233212272267751658272290286766\
      7156322906006316860230746838025871293829632/
      57961243245469016794806839969128480610453743012322668790039078731973532\
      4920864165515273708148425158954507874452556135387420654296875*ep^7+
      15422883128869533923564427927122360525318232407279109555580270828875253\
      210268755135650765135515163013584675656100419149676540672/
      27746942619962940686457354187546730045420734809657013752416300922289232\
      20495820515334680378150453573227121477292841844993297464845323562622070\
      3125*ep^8;
Fill mnchfac1(40,34)=
      -16/2468110381646525240625-314523888155067688/1689577276567945841559357\
      9895910390625*ep-263206997570702410406981871880528/88970942015547108861\
      38845250297319627135983220703125*ep^2-187526957700935146755897639096862\
      0003106272312/540797009916644425090172809643229541547317227882880816158\
      69140625*ep^3-182725681999554370668354353592126505969956246157379188667\
      720978176/5420239833508434001445620049947901717261550142197299872935507\
      922182236217476806640625*ep^4-11814954994918390816229272418501809567857\
      437415327654395971678195282170948937408/4077468291079834368829006574909\
      83742383849005884013725612225274735047316284128114209787078857421875*
      ep^5-581964361402377970827693057006778959857065121761254703241771445660\
      3722888372323157642360409981184/254006871726879634228223848724745650790\
      44320430557523181097941624315019447843175089623228262075180569396743774\
      4140625*ep^6-2975419332470999924666944668309253001215816864326609299648\
      9985872280661710613101350343976676876232272364679629952/
      17388372973640705038442051990738544183136122903696800637011723619592059\
      74762592496545821124445275476863523623357668406162261962890625*ep^7-
      71557995037336235881138848156755135903663478824338666236786992213463024\
      68559982422615902863491102637688847914955851324575744/
      58210369132789386055504938854993139955428114985294434445628603333473913\
      71669553528674154639476476027749205896418549325160763912262916564941406\
      25*ep^8;
Fill mnchfac1(40,36)=
      8/56766538777870080534375+159643033096442444/38860277361062754355865233\
      7605938984375*ep+135258539872381986916461201292364/20463316663575835038\
      1193440756838351424127614076171875*ep^2+1295569336591184960051249610925\
      119062942068781536/1655541886457823578528546022160818595538802229717863\
      042506602001953125*ep^3+95604531640591144583593057799186319409178637227\
      634209225368952288/1246655161706939820332492611488017394970156532705378\
      97077516682210191433001966552734375*ep^4+888596255611775045516510966877\
      942136871562678669028981873304475054160759153472/
      13397395813548027211866735888989465821183610193331879555830259027008697\
      53504992375260728973388671875*ep^5+307829451488539942698430863916244460\
      5566902317631803064327193467887811145380725521436090954979392/
      58421580497182315872491485206691499681801936990282303316525265735924544\
      73003930270613342500277291530961251068115234375*ep^6+
      15793308320650024685879811351345035555815545564309286684471053459814917\
      200212414697004079209754040504833756261376/
      39993257839373621588416719578698651621213082678502641465126964325061737\
      419539627420553885862241335967861043337226373341732025146484375*ep^7+
      54451140666252890852664620042760848769423934639373253000870800342902863\
      5970214374047816084898045106686683879549013896025220096/
      19145390407774429073655574389407243731340307018663339489167247636379570\
      22142116155580929460923812965526713819332060873045375250743273258209228\
      515625*ep^8;
Fill mnchfac1(40,38)=
      -2/624431926556570885878125-40533088358598086/4274630509716902979145175\
      713665328828125*ep-34784825748970290430277870552816/2250964832993341854\
      193127848325221865665403754837890625*ep^2-37035253586828106886191667817\
      81913705408496016624/20032056826139665300195406868145905006019506979586\
      1428143298842236328125*ep^3-2277594594075734182782949815788369820795730\
      798986381387491102752/1246655161706939820332492611488017394970156532705\
      37897077516682210191433001966552734375*ep^4-164071142533023846037851278\
      1965927700848055481116057794457743648429903203806176/
      10315994776431980953137386634521888682311379848865547257989299450796697\
      1019884412895076130950927734375*ep^5-8160320443588625005497634676721481\
      48418322551345009540133499430842119506830130863439398822619648/
      64263738546900547459740633727360649649982130689310533648177792309516999\
      203043232976746767503050206840573761749267578125*ep^6-
      42022477257176750949376632590722764829884361706612496140222586637469823\
      29289801734534645622861263916681911519744/
      43992583623310983747258391536568516783334390946352905611639660757567911\
      1614935901626092744484654695646471476709490106759052276611328125*ep^7-
      15979904137905383604564111903177272251186072807235737548367367197250167\
      41604377920353295687774537853719885192803917675476401664/
      23165922393407059179123245011182764914921771492582640781892369640019279\
      96791960548252924647717813688287323721391793656384904053399360642433166\
      50390625*ep^8;
Fill mnchfac1(40,40)=
      1/13113070457687988603440625+20592526604506768/897672407040549625620486\
      89986971905390625*ep+17908782240922969426713825152008/47270261492860178\
      938055684814829659178973478851595703125*ep^2+19276560068177757171475012\
      23158098832962559211712/42067319334893297130410354423106400512640964657\
      13089991009275686962890625*ep^3+155314666440203487729684804948005217496\
      05478701938856440441488/33999686228371086009067980313309565317367905437\
      419426475686367875506754455081787109375*ep^4+86748042072679056196382924\
      9980205645917879516684079829628303380156154069554688/
      21663589030507160001588511932495966232853897682617649241777528846673063\
      91417572670796598749969482421875*ep^5+433749308973986300917773183387809\
      845525211009621441190083420687127936829888874791849254339706624/
      13495385094849114966545533082745736426496247444755212066117336384998569\
      83263907892511682117564054343652048996734619140625*ep^6+
      22425185145303524389654083618150106448966345690454449951230226309687008\
      59932539430424379491666857396139714230272/
      92384425608953065869242622226793885245002220987341101784443287590892613\
      43913653934147947634177748608575901010899292241940097808837890625*ep^7+
      85522763950602527119662296202685007589639917092851130130831306387673814\
      6297448031412597440733325365016043183802281692206143232/
      48648437026154824276158814523483806321335720134423545641973976244040487\
      93263117151331141760207408745403379814922766678408298512138657349109649\
      658203125*ep^8;
Fill mnchfac1(41,0)=
      1099511627776/21+1608386973068142369826668544/13068931774236975*ep+
      164622624408756429701925410375710720416284672/
      984115919241855127720550395963125*ep^2+11704780686187295324596581824049\
      31103588344791149236050722816/67368943748397810825084260331469416106708\
      67953125*ep^3+710342823965908954788062162490796834302148180859824183679\
      5123684436552450048/461182925002495963629351218582310973116222210241126\
      77347445703125*ep^4+390069711832998571359278933231980801768635111183165\
      42788462727002456261072575516110900690944/31570880954908257558277748945\
      5654927501147586630042157841131199012830472939453125*ep^5+
      16587900924752132184471555063780103476157345899091956470434564303085930\
      13826360434747829833017113488392192/17861371829101883029118662954405572\
      907199861224317575709572021693661903321904465908315673828125*ep^6+
      98965629859897515575658592966163392083752261647562077056577101200693996\
      3157443687274275842380552038051884640291750879952896/
      14794955491530817568215634113755365541450316426788807424254578217391464\
      319098272290252212726248284978692626953125*ep^7+
      47452730092291568805583361892508796885409928863966709713675229300112023\
      52878325232358566062750787929590946232308182485864718183637385740288/
      10128080491136086505455326262411814275710815493131406512219554118407530\
      8438213681343599584329829277538109638080978470001220703125*ep^8;
Fill mnchfac1(41,2)=
      -549755813888/861-812538110487837029351555072/535826202743715975*ep-
      83803646258642894331417128915025013334081536/
      40348752688916060236542566234488125*ep^2-599231444865986637126591647214\
      667332613920466503992772395008/2762126693684310243828454673590246060375\
      05586078125*ep^3-365176576160566704207033709240908083136440230029916771\
      7560467523973964365824/189084999251023345088033999618747498977651106198\
      8619771245273828125*ep^4-2011320853419709334498517243080795381313778153\
      3808703079682976646016168580246297426496847872/129440611915123855988938\
      77067681852027547051051831728471486379159526049390517578125*ep^5-
      94286395273063819771702867830294433756696198340266287192439753199473527\
      83323508508107608740128234726752256/80554786949249492461325169924369133\
      81147137412167226645016981783841518398178914124650368896484375*ep^6-
      51214509686215327963982028323196951035098888173123968055992944785431624\
      0019699339400459627695910660541130628179979348738048/
      60659317515276352029684099866396998719946297349834110439443770691305003\
      7083029163900340721776179684126397705078125*ep^7-
      24581476342584996377999493917623140994836041332081253483773768640197528\
      93099525325133473039604303294387261773322690673422479860781698514944/
      41525130013657954672366837675888438530414343521838766700100171885470876\
      45966760935087582957523000379062495161320117270050048828125*ep^8;
Fill mnchfac1(41,4)=
      34359738368/4305+51318209377527938743795712/2679131013718579875*ep+
      5334336909537611149903498664586531492069376/201743763444580301182712831\
      172440625*ep^2+38364887847513394224502275626476147082938091529725676617\
      728/1381063346842155121914227336795123030187527930390625*ep^3+
      23480115667161545634803577544762900947378800501732898897113236499142698\
      5984/9454249962551167254401699980937374948882555309943098856226369140625
      *ep^4+12972595848963492418952217519624584939644342108603558766798481803\
      50217981665552077634404352/64720305957561927994469385338409260137735255\
      259158642357431895797630246952587890625*ep^5+60947306213341716785187636\
      19090976405526837218717270837513288460009372313993306816315507557758885\
      91159296/40277393474624746230662584962184566905735687060836133225084908\
      919207591990894570623251844482421875*ep^6+33156431156191827036364125947\
      53146150464305239734598928798635601077983771674304253952651184382926890\
      5088203586058340794368/303296587576381760148420499331984993599731486749\
      1705521972188534565250185415145819501703608880898420631988525390625*
      ep^7+159308644406908629594814443306162626207677806831501800059550322446\
      415565125953873817619381052206017193322881554441048726012691106408955904
      /2076256500682897733618341883794421926520717176091938335005008594273543\
      8229833804675437914787615001895312475806600586350250244140625*ep^8;
Fill mnchfac1(41,6)=
      -17179869184/167895-1994865152470527206490112/8037393041155739625*ep-
      2717240860256889058348723161136497151705088/786800677433863174612580041\
      5725184375*ep^2-1965939848979519401465524695628153564248123610281779029\
      6064/53861470526844049754654866135009798177313589285234375*ep^3-
      92962594505934919041951544836622843644840051543463785798552190863634595\
      84/28362749887653501763205099942812124846647665929829296568679107421875
      *ep^4-66984271285562751866926443664465879660526690068494934059073512387\
      5365283431852664711806976/252409193234491519178430602819796114537167495\
      5107187051939843936107579631150927734375*ep^5-3154253329150358180288984\
      86845281714335214930474859353749432948104765412799151811806715507346822\
      605570048/1570818345510365102995840813525198109323691795372609195778311\
      447849096087644888254306821934814453125*ep^6-
      10169967335908414986161780755405054713912859439054873266034145513534692\
      4865120566207784055664844484534151004679476084736/
      69991520209934252341943192153534998523014958480577819737819735413044235\
      0480418266038854678972515020145843505859375*ep^7-
      82671182064417236552958931807810125129126017651408964410074671760415368\
      115192078254032514492233045707077500571023245977376320592866967552/
      80974003526633011611115333467982455134307969867585595065195335176668209\
      0963518382342078676716985073917186556457422867659759521484375*ep^8;
Fill mnchfac1(41,8)=
      4294967296/3190005+504126991275912413052928/152710467781959052875*ep+
      692297126309066292006323533401540968579072/1494921287124340031763902078\
      98778503125*ep^2+503956569140063879703873635437186138358483233209027500\
      4416/1023367940010036945338442456565186165368958196419453125*ep^3+
      23939009087366420832591799642087331861224818727920711665869569599429672\
      96/538892247865416533500896898913430372086305652666756634804903041015625
      *ep^4+17306701788061179081275240267806071635799398017904301950253313872\
      7968335838766579627065344/479577467145533886439018145357612617620618241\
      47036553986857034786044012991867626953125*ep^5+
      81690670382959914567467828652275318796005264604581451407210976035911288\
      183822062964013271642198087565312/2984554856469693695692097545697876407\
      7150144112079574719787917509132825665252876831829616761474609375*ep^6+
      34297629869628092785371324677935978988410159612580804147822996000277746\
      6082383009604924933428663491999403313198246920192/
      17287905491853760328459968461923144635184694744702721475241474647021926\
      0568663311711597105706211209976023345947265625*ep^7+
      21471020754502064136349863097574659752398204690541774483011311025854386\
      148133219657796404990125016525445189380885764114801753898675929088/
      15385060670060272206111913358916666475518514274841263062387113683566959\
      728306849264499494857622716404426544572691034485535430908203125*ep^8;
Fill mnchfac1(41,10)=
      -2147483648/118030185-254841964827343547531264/5650287307932484956375*
      ep-352891028755143280242014218964547074523136/5531208762360058117526437\
      692254804615625*ep^2-25850737035689859704096946344099075947193480793354\
      74987008/37864613780371366977522370892911888118651453267519765625*ep^3-
      12337414325384516161960743071228561205734901984856673695637594163490324\
      48/19939013171020411739533185259796923767193309148669995487781412517578\
      125*ep^4-89500930578751070639566488234832741811706757268456249155069185\
      642178331379327218519375872/1774436628438475379824367137823166685196287\
      493440352497513710287083628480699102197265625*ep^5-
      42350716858744329946979536610104987662594655795504448395130889244533368\
      042754205153730610899398124896256/1104285296893786667406076091908214270\
      854555332146944264632152947837914549614356442777695820174560546875*ep^6
      -1781182764776575249946911552389438013483231127902613486042906750109341\
      61113600682108552357001975692361202580159655837696/
      63965250319858913215301883309115635150183370555400069458393456193981126\
      41040542533329092911129814769112863800048828125*ep^7-
      11163924317062434162837493218821641470296978217741091131448359928372362\
      194373393720806129534214115927215514011470828510012529637449170944/
      56924724479223007162614079427991665959418502816912673330832320629197750\
      9947353422786481309732040506963782149189568275964810943603515625*ep^8;
Fill mnchfac1(41,12)=
      268435456/1062271665+2477861670350347042816/3911737367030181892875*ep+
      44987304615045169029430319534237042081792/49780878861240523057737939230\
      293241540625*ep^2+33168883749893972336382532494028320953952625645895784\
      8576/340781524023342302797701338036206993067863079407677890625*ep^3+
      159069429847022141691451937974673552348544528816688085224454991603040256
      /1794511185391837056557986673381723139047397823380299593900327126582031\
      25*ep^4+115808412644382800151453415193062542228324794043156184361507660\
      91706632155502240038518784/15969929655946278418419304240408500166766587\
      440963172477623392583752656326291919775390625*ep^5+
      49945790855273584942280527009033830467429408834005376126158942574767396\
      7135453090422097882809005965312/903506152004007273332244075197629857971\
      908908120227125608125139140111904229927998636296580142822265625*ep^6+
      23148783801824892705993369261811879214571884241197143689479615246791435\
      130152257587772254363929457395619947056274522112/
      57568725287873021893771694978204071635165033499860062512554110574583013\
      769364882799961836200168332922015774200439453125*ep^7+
      14527151061556262949301677507589294813552525339023582560630878798931536\
      96786576271044005775566334484364773545968235494204115880532819968/
      51232252031300706446352671485192499363476652535221405997749088566277975\
      89526180805078331787588364562674039342706114483683298492431640625*ep^8;
Fill mnchfac1(41,14)=
      -134217728/37179508275-16289678285861776523264/
      1779840501998732761258125*ep-3278466153919295551730819935735199039488/
      248904394306202615288689696151466207703125*ep^2-17033305261029729100219\
      7469923306478199745493748765032448/119273533408169805979195468312672447\
      57375207779268726171875*ep^3-820974340734929042724321697418550290614221\
      80190763437937838185467609088/62807891488714296979529533568360309866658\
      92381831048578651144943037109375*ep^4-857023819055355225403796620017236\
      657471722065285603661688973384206952806960073214590976/
      79849648279731392092096521202042500833832937204815862388116962918763281\
      631459598876953125*ep^5-28536888381841467126793075800884524212756491778\
      93269871847683048222028722086148490892621117450476814336/
      34784986852154280023291396895108749531918492962628744335912817856894308\
      3128522279474974183354986572265625*ep^6-1204667389279803015982135796428\
      42628666909919548302153535538610441506740441596377752522533970036784984\
      54212039751294976/20149053850755557662820093242371425072307761724951021\
      87939393870110405481927770897998664267005891652270552097015380859375*
      ep^7-108141169150521152563669805379541654962184919898622812128894626636\
      610622297673752743769967309921801063821625409807542855603741392535552/
      25616126015650353223176335742596249681738326267610702998874544283138987\
      947630904025391658937941822813370196713530572418416492462158203125*ep^8
      ;
Fill mnchfac1(41,16)=
      33554432/632051640675+4119663762645284028416/30257288533978456941388125
      *ep+836561255988713115858122637570139881472/423137470320544445990772483\
      4574925530953125*ep^2+4376230807193070835856224554506539626061239485373\
      1827712/202765006793888670164632296131543160875378532247568344921875*
      ep^3+212021427031639206742745755370704820376674239342337720536515362215\
      19872/10677341553081430486520020706621252677332017049112782583706946403\
      1630859375*ep^4+2221838815291661051730071867745403518392785642353862747\
      02823506613800991929804415442944/13574440207554336655656408604347225141\
      75159932481869660597988369618975787734813180908203125*ep^5+
      74188991532093690017908879235683385391188664417184739676963549926675134\
      2588438534415805794333719670784/591344776486622760395953747216848742042\
      6143803646886537105179035672032413184878751074561117034771728515625*
      ep^6+313806157287265732383928814421877676146757663789985823198772880795\
      2711093256817761222328169710304206915948884478418944/
      34253391546284448026794158512031422622923194932416737194969695791876893\
      192772105265977292539100158088599385649261474609375*ep^7+
      28208679462838278692179817635553278612628377361973350296293230126024389\
      855339414216056927734655670873147706160301223320748412178444288/
      43547414226605600479399770762413624458955154654938195098086725281336279\
      5109725368431658201945010987827293344130019731113080371856689453125*
      ep^8;
Fill mnchfac1(41,18)=
      -16777216/20857704142275-22925867777901488242688/
      10983395737834179869723889375*ep-427112863423176152258527238989339099136
      /139635365205779667176954919540972542521453125*ep^2-1859617035772862000\
      99715647949998175450114124721831936/55299547307424182772172444399511771\
      147830508794791366796875*ep^3-10960129738416349148548148460662726326917\
      535972672206332619051579662336/3523522712516872060551606833185013383519\
      565626207218252623292313043818359375*ep^4-16473478885139962205410101760\
      357261729610340532521353923374419800239838631061251280896/
      63993789549899015662380211991922632811114682531288141142476594567751715\
      70749833567138671875*ep^5-424784291220288549077784887496046773783990943\
      9262896203509958840245479683266178183926139614977964890112/
      21465815386464406202373121023971609336146902007238198129691799899489477\
      65986110986640065685483622137451171875*ep^6-
      16368143874219887536156507777583726182796999812676824735917698938915486\
      01437537067076853882972956192099611241321654272/
      11303619210273867848842072308970369465564654327697523274339999611319374\
      75361479473777250653790305216923779726425628662109375*ep^7-
      12177624526878876739149937388118265284227621031910638891123690012589712\
      6612625418459309068329688714534328919300338189925047708504064/
      11876567516346981948927210207930988488805951269528598663114561440364439\
      8666288736844997691439548451225625457490005381212658283233642578125*
      ep^8;
Fill mnchfac1(41,20)=
      262144/20857704142275+362530484689198088192/
      10983395737834179869723889375*ep+6817668619043938490040237241718349824/
      139635365205779667176954919540972542521453125*ep^2+32890289115279832790\
      634318411723315005426668454539264/6082950203816660104938968883946294826\
      26135596742705034765625*ep^3+177205639145629202808995747582200922827222\
      787804032782124352150042624/3523522712516872060551606833185013383519565\
      626207218252623292313043818359375*ep^4+18721889729483680507756906237527\
      08721293374009995718444838653457169167960734241819648/
      44795652684929310963666148394345842967780277771901698799733616197426200\
      995248834969970703125*ep^5+69176114352288327171352080219614292336355444\
      627705677061416161861446307537910565264523176673180638208/
      21465815386464406202373121023971609336146902007238198129691799899489477\
      65986110986640065685483622137451171875*ep^6+
      26713576120735697093588621581343619562845678288852022361724257955163039\
      505116874351822506775236571774131153510811648/
      11303619210273867848842072308970369465564654327697523274339999611319374\
      75361479473777250653790305216923779726425628662109375*ep^7+
      21895116294387089633965711835476329670257645869731115418803656408715022\
      200486518225654781515367555298044174652160508510573456244736/
      13064224267981680143819931228724087337686546396481458529426017584400883\
      85329176105294974605835032963481880032390059193339241115570068359375*
      ep^8;
Fill mnchfac1(41,22)=
      -131072/646588828410525-183491720104334442496/
      340485267872859575961440570625*ep-3484085534072961905447445659240845312/
      4328696321379169682485602505770148818165046875*ep^2-1693474967742922319\
      8003510242536221679613488450988032/188571456318316463253108035402335139\
      61410203499023856077734375*ep^3-917671359695912291602811073705979348437\
      20615217746479527546322035712/10922920408802303387709981182873541488910\
      6534412423765831322061704358369140625*ep^4-2838859545628829730269051224\
      171372534531610230810725264636487488665558850891847168/
      40485866858099377255791562688767379941725615478978211743199478195924554\
      83535608991455078125*ep^5-360932351467223008308470850681661036224864092\
      44311418935863783041420107489208433001260967251049723904/
      66544027698039659227356675174311988942055396222438414202044579688417380\
      745569440585842036249992286260986328125*ep^6-
      13969892196499724248140987436405272654019187456807313678042640352875153\
      585617514548408362315802216039761965125274624/
      35041219551848990331410424157808145343250428415862322150453998795090061\
      736205863687094770267499461724637171519194488525390625*ep^7-
      11468389919000326772031448398056350807073266317400674708855796026019609\
      998953327493906212182477109090123422131081187370234247123968/
      40499095230743208445841786809044670746828293829092521441220654511642739\
      945204459264144212780886021867938281004091834993516474582672119140625*
      ep^8;
Fill mnchfac1(41,24)=
      32768/9698832426157875+3572931034411429888/
      392867616776376433801662196875*ep+890705028548726256865112486992104448/
      64930444820687545237284037586552232272475703125*ep^2+360580744711873849\
      82992825443078133455509859949568/23376626816320222717327442405248157803\
      40107871779816869140625*ep^3+237842055287429823536189862270317466284875\
      79830135072495609276872448/16384380613203455081564971774310312233365980\
      16186356487469830925565375537109375*ep^4+253511408937540353658241121338\
      150582037620739692974123431428420573057358758123933696/
      20829978498492129598104759003370816980017829163934289941876131531803183\
      462790708261036376953125*ep^5+94282460798066802113796372635092456781425\
      88971162808452984577857311407993366580434518725488704738816/
      99816041547059488841035012761467983413083094333657621303066869532626071\
      1183541608787630543749884293914794921875*ep^6+
      36579661080315022385277870574383612517087125638143710090756173108646906\
      06810257392532615850830121562575933625117696/
      52561829327773485497115636236712218014875642623793483225680998192635092\
      6043087955306421554012491925869557572787917327880859375*ep^7+
      27345648544993225070045670602669576306963004141240193509646196790041467\
      5892052700884555282168398285874003997348897161259055082752/
      55226038951013466062511527466879096472947673403307983783482710697694645\
      379824262632923926519390029819915837732852502263886101703643798828125*
      ep^8;
Fill mnchfac1(41,26)=
      -16384/281266140358578375-23521555217432041472/
      148111091524693915543226648221875*ep-4556641325834321165071108578469514\
      24/1882982899799938811881237090010014735901795390625*ep^2-2249962280917\
      178696082684442902384468192673279704064/8202858349846766151510199540001\
      578573213438522075377393814453125*ep^3-12341509992969886914533143376077\
      015829288968346462698304052646039424/4751470377829001973653841814549990\
      5476761342469404338136625096841395890576171875*ep^4-
      13216610098501549328480790934552974352808738638366709133929110279216624\
      0201401093248/604069376456271758345038011097753692420517045754094408314\
      407814422292320420930539570054931640625*ep^5-49325134689038102107287079\
      58294717071348397234772640932737523450330966870744970510570022077068103\
      808/2894665204864725176390015370082571518979409735676071017788939216446\
      1560624322706654841285768746644523529052734375*ep^6-
      19185484830932675187222068801279126245841180637005723433720922602925822\
      04011606812640596152190077914747631193285248/
      15242930505054310794163534508646543224313936360900110135447489475864176\
      855249550703886225066362265850217169610849602508544921875*ep^7-
      15804718311297887202083630709933211043351910172368406301005727337722623\
      03063494159740029334933720294303198601579169814593365799936/
      17617106425373295673941177261934431774870307815655246826930984712564591\
      876163939779902732559685419512553152236779948222179666443462371826171875
      *ep^8;
Fill mnchfac1(41,28)=
      2048/1968862982510048625+2978710479495856384/
      1036777640672857408802586537553125*ep+408173436854955917533369948297904\
      896/92266162090197001782180617410490722059187974140625*ep^2+29031737830\
      9057614085539442099472713041877461862208/574200084489273630605713967800\
      11050012494069654527641756701171875*ep^3+228963958613521224768168002107\
      428887790466465690353903754157130304/4751470377829001973653841814549990\
      5476761342469404338136625096841395890576171875*ep^4+1724848533163840570\
      3784427522547404597559782754769542651996761569813274196826021056/
      42284856351939023084152660776842758469436193202786608582008547009560462\
      42946513776990384521484375*ep^5+646083374780704907573420847512580301928\
      821349442310690530700459340688826232165177975978796258765376/
      20262656434053076234730107590578000632855868149732497124522574515123092\
      4370258946583889000381226511664703369140625*ep^6+
      25196924262112415318680508234349263521029591781456046126663804758705247\
      1520418701819280826986148592818109793645056/
      10670051353538017555914474156052580257019755452630077094813242633104923\
      7986746854927203575464535860951520187275947217559814453125*ep^7+
      14557165851182951534916310808725658394543487669078751813614790000617727\
      17826832617117030712892506405466035742399511434132900780544/
      86323821484329148802311768583478715696864508296710709451961825091566500\
      19320330492152338954245855561151044596022174628868036557296562194824218\
      75*ep^8;
Fill mnchfac1(41,30)=
      -1024/53159300527771312875-1509326539097406592/
      27992996298167150037669836513934375*ep-20906152589789210141489264625710\
      9248/2491186376435319048118876670083249495598075301796875*ep^2-
      149977403120273830532900891847269463063131366585504/1550340228121038802\
      635427713060298350337339880672246327430931640625*ep^3-11907847480719256\
      4059703167900050402327063634059423539875394052352/128289700201383053288\
      6537289928497447872556246673917129688877614717689045556640625*ep^4-
      90167306203413574101662282338026312962866050763724093642678208328130516\
      56675071328/11416911215023536232721218409747544786747772164752384317142\
      3076925813248559555871978740382080078125*ep^5-3390445196168099969910368\
      28738343061584337516675364438499812826855587092052335435527176035905919\
      488/5470917237194330583377129049456060170871084400427774223621095119083\
      234957996991557765003010293115814946990966796875*ep^6-
      10199775527049502745807742626130246133090285456512311124657845339359375\
      907702801829460873116508456357751684160256/
      22160875888117421077668523247186128226117953632385544735381350084140995\
      5818628083310345887503266788130080388957736528778076171875*ep^7-
      76758973666914155728581117339878911140449702901643117363015907589490020\
      8546967711630697815911748631091413537924662065288735209472/
      23307431800768870176624177517539253238153417240111891552029692774722955\
      05216489232881131517646381001510782040925987149794369870470071792602539\
      0625*ep^8;
Fill mnchfac1(41,32)=
      256/691070906861027067375+4972714387371061024/4730816374390248356366202\
      370854909375*ep+4121128064347250068080498504575824/24911863764353190481\
      18876670083249495598075301796875*ep^2+352515470620935653225707563653121\
      9067016954504416/183222026959759131220550547907126168676231076806720020\
      5145646484375*ep^3+4030487842145914541246591021943819540670462904199029\
      69520123836944/21680959334033736005782480199791606869046200568789199491\
      7420316887289448699072265625*ep^4+1815617522351481412526552215406823696\
      56674918417472783655662984593234502562724864/11416911215023536232721218\
      40974754478674777216475238431714230769258132485595558719787403820800781\
      25*ep^5+891112965176179584560171559165469639429669942834224333544176612\
      37267264931290470989016764820998272/71121924083526297583902677642928782\
      22132409720556106490707423654808205445396089025094503913381050559431088\
      2568359375*ep^6+4544029409254020229024325987885667473365604786956068381\
      41707636798375368007926002030303699765256954849471762966016/
      48687444326193974107637745574067923712781144130351041783632826134857767\
      2933525899032829914844677133521786614540147153725433349609375*ep^7+
      10907687981476564477659667689855835638128968681967992845532913175512382\
      0077781306319123238368157229675390255310502306832746752/
      16298903357181028095541382879398079187519872195882441644776008933372695\
      84067474988028763299053413287769777650997193811045013895433616638183593\
      75*ep^8;
Fill mnchfac1(41,34)=
      -128/17276772671525676684375-2521406824043865104/1182704093597562089091\
      55059271372734375*ep-2113673633835716296795589223528824/622796594108829\
      76202971916752081237389951882544921875*ep^2-200723602835359043297302135\
      63447786058595333103576/50386057413933761085651400674459696385963546121\
      8480056415052783203125*ep^3-3002306636161778009095988650658405789621797\
      2598836900538777020992/774319976215490571635088578563985959608792877456\
      757124705072560311748031068115234375*ep^4-95207607876822368944970155475\
      968097863222587978084421539079298589678272130524864/
      28542278037558840581803046024368861966869430411880960792855769231453312\
      13988896799468509552001953125*ep^5-469280406273084627649495623098269985\
      50605587912717859572785368854485711663632266738401191220998272/
      17780481020881574395975669410732195555331024301390266226768559137020513\
      61349022256273625978345262639857772064208984375*ep^6-
      24005155231760780682095271494621130315327787410162434071180671737489539\
      8739421128078117303660717534086687112966016/
      12171861081548493526909436393516980928195286032587760445908206533714441\
      823338147475820747871116928338044665363503678843135833740234375*ep^7-
      82586624539408709601850166803470691289284687284368054450769948272734174\
      20303039030274938665042959100530246744617118097982785536/
      58268579501922175441560443793848133095383543100279728880074231936807387\
      63041223082202828794115952503776955102314967874485924676175179481506347\
      65625*ep^8;
Fill mnchfac1(41,36)=
      8/51830318014577030053125+159869803479195644/35481122807926862672746517\
      7814118203125*ep+135612325420399711973358060182564/18683897823264892860\
      8915750256243712169855647634765625*ep^2+1300236817269888353241615264396\
      576744827096986336/1511581722418012832569542020233790891578906383655440\
      169245158349609375*ep^3+13717891265885044984182425976980949651784781017\
      239557551859084384/1626071950052530200433686014984370515178465042659189\
      9618806523766546708652430419921875*ep^4+6251461456196816615682624273227\
      715444110263035395420383638775611351537743981504/
      85626834112676521745409138073106585900608291235642882378567307694359936\
      41966690398405528656005859375*ep^5+309526766457100240350552415967623568\
      0305514694715015172930683829129825722513002317452334175564992/
      53341443062644723187927008232196586665993072904170798680305677411061540\
      84047066768820877935035787919573316192626953125*ep^6+
      15886099522318906047133294082281796534085346799380844868188408134465383\
      382564709312854733461291954090067177778176/
      36515583244645480580728309180550942784585858097763281337724619601143325\
      470014442427462243613350785014133996090511036529407501220703125*ep^7+
      54785357535175687424150898992794001248587724906025247738730845335288432\
      4637248312618209949344182680101854990873155461041232896/
      17480573850576652632468133138154439928615062930083918664022269581042216\
      28912366924660848638234785751133086530694490362345777402852553844451904\
      296875*ep^8;
Fill mnchfac1(41,38)=
      -4/1192097314335271691221875-81125446249052122/816065824582317841473169\
      9089724718671875*ep-5358733602868685579645195328064/3305612691808404121\
      54235558145661952300513838123046875*ep^2-613293347452851809882024829930\
      40109300904233488/31605799650558450135544969513979264096649860749159203\
      53876240185546875*ep^3-717447604839565022135415601825072094087851292840\
      1799004163020992/373996548512081946099747783446405218491046959811613691\
      232550046630574299005899658203125*ep^4-32899909793989626174433115382949\
      90273604084012436852122079020307030934129003552/
      19694171845915600001444101756814514757139906984197862947070480769702785\
      3765233879163327159088134765625*ep^5-1636742868134916828489143562535520\
      982530472327044371156633666311085489391200954337811443995856896/
      12268531904408286333223211893405214933178406767959283696470305804544154\
      3933082535682880192505823122150186272430419921875*ep^6-
      84302035699210801701474313785588934029591298838161028986103161091476391\
      48631901389643301551220023367509051852288/
      83985841462684605335675111115267168404547473624855547076766625082629648\
      5810332175831631603107068055325081910081753840176372528076171875*ep^7-
      26497561208575023374889467258246410127185237593577814766482417161516775\
      256413848527606614819483054589143257262574631532243968/
      36550290778478455504251551107050192578013313399266375388410200033088270\
      42271312660654501698127279297823726382361207121268443660509885311126708\
      984375*ep^8;
Fill mnchfac1(41,40)=
      1/13113070457687988603440625+20592526604506768/897672407040549625620486\
      89986971905390625*ep+17908782240922969426713825152008/47270261492860178\
      938055684814829659178973478851595703125*ep^2+19276560068177757171475012\
      23158098832962559211712/42067319334893297130410354423106400512640964657\
      13089991009275686962890625*ep^3+155314666440203487729684804948005217496\
      05478701938856440441488/33999686228371086009067980313309565317367905437\
      419426475686367875506754455081787109375*ep^4+86748042072679056196382924\
      9980205645917879516684079829628303380156154069554688/
      21663589030507160001588511932495966232853897682617649241777528846673063\
      91417572670796598749969482421875*ep^5+433749308973986300917773183387809\
      845525211009621441190083420687127936829888874791849254339706624/
      13495385094849114966545533082745736426496247444755212066117336384998569\
      83263907892511682117564054343652048996734619140625*ep^6+
      22425185145303524389654083618150106448966345690454449951230226309687008\
      59932539430424379491666857396139714230272/
      92384425608953065869242622226793885245002220987341101784443287590892613\
      43913653934147947634177748608575901010899292241940097808837890625*ep^7+
      85522763950602527119662296202685007589639917092851130130831306387673814\
      6297448031412597440733325365016043183802281692206143232/
      48648437026154824276158814523483806321335720134423545641973976244040487\
      93263117151331141760207408745403379814922766678408298512138657349109649\
      658203125*ep^8;
Fill mnchfac1(42,0)=
      4398046511104/43+39902061212158175359296077824/164384046602477325*ep+
      176898150297803610938642398655383314167251337216/5322728189874977934671\
      95920624763125*ep^2+110981099446769542279085060321117545132990737755179\
      1726564212736/3197570626904986589568358938018714025475936974734375*ep^3
      +1424909909611523918713214371451895961072402086336694670593145811953381\
      9135793299456/461209413216344916509765658122028595235582892309977561456\
      41924105078125*ep^4+337460143629652425429618026366539929607703307037761\
      6644763901463108636339272045251259957453336346624/135762585233152989465\
      21899745809280155105634416453570951626886896603889990072472099609375*
      ep^5+680232772343021760482546915277590904810324219708364562908366794830\
      67128560789033829126780129692759837740522155278336/
      36330330689506034074767006141600773495627645757162331997222487322265153\
      9073333306032169893050866943359375*ep^6+
      22697352879914172755879815001865448056902759815269033057014018172007887\
      293489026406972323676761725842331699655674767535945791163072512/
      16805286966297856297887702857397833735100371052647446970765023411176878\
      6181314200805564041626083293981735005562261962890625*ep^7+
      32791478031483907723467997245721959414573117703238799949803950314451646\
      19777797828980726287381189465637601125226250814332132931527548562965522\
      5294913536/346278804622222407119460058511068647328792106199449910483709\
      88984718012434084905078627974896479896030226139363278398871698502817825\
      3173828125*ep^8;
Fill mnchfac1(42,2)=
      -1099511627776/903-70529158170347720390414958592/24164454850564166775*
      ep-315009197436832520772425585356090608157278076928/7824410439116217563\
      9677800331840179375*ep^2-9737407321168363380633865954307160765976551415\
      0725766999873421312/230321012255966184046608894305487971255031740290117\
      03125*ep^3-256183815037665013482175851484008931311110514800021858733466\
      60993415378170542030848/67797783742802702726935551743938203499630685169\
      56670153409362843446484375*ep^4-608510206936754981940255959944233019476\
      9743352336165514923849002191902460734504320235656873133473792/
      19957100029273489451387192626339641828005282592186749298891523738007718\
      28540653398642578125*ep^5-122917842532709996136866205936021651701145130\
      069701110157494736308785831262300927352789922003434853136616619547557888
      /5340558611357387008990749902815313703857263926302862803591705636372977\
      6243779995986728974278477440673828125*ep^6-
      28751890461994059031492926245522989748830658403913093826565313235678052\
      7889874003773312320279248766827259867750977198287620586677993472/
      17292640288320494130526446240262370913418281813174222932917209090101008\
      0980572312628925398833239709507205320723567559814453125*ep^7-
      59400197916249989747221835426751827480126878707750364603491577643873835\
      53586383216794647295360839172490827826596185033460296341578158619074158\
      3836479488/509029842794666938465606286011270911573324396113191368411053\
      53807535478278104810465583123097825447164432424864019246341396799142203\
      216552734375*ep^8;
Fill mnchfac1(42,4)=
      549755813888/37023+35623397915185791506050973696/990742648873130837775*
      ep+160317963892928532104140187973149261520399499264/3208008280037649201\
      226789813605447354375*ep^2+49838049711275615514483497209661128785707235\
      266036909044563705856/9443161502494613545910964666525006821456301351894\
      79828125*ep^3+131670062266684170114293650934418083665519682791664241141\
      73974658424431564998836224/27797091334549108118043576215014663434848580\
      9195223476289783876581305859375*ep^4+3137084400491399585674663208208528\
      962458760372105895031521983022702857430010024134839511901165060096/
      81824110120021306750687489767992531494821658627965672125455247325831644\
      970166789344345703125*ep^5+63506457510259694659483859179101163166285452\
      140459677916380219849095992200769005828930229371799951746148654324383744
      /2189629030656528673686207460154278618581478209784173749472599310912920\
      825994979835455887945417575067626953125*ep^6+
      14877488784875264630244460884355818770918393987713918659223960233590276\
      7002065174108122989592483675624828622887651974166203698235047936/
      70899825182114025935158429585075720745014955434014314024960557269414133\
      20203464817785941352162828089795418149666269952392578125*ep^7+
      30768237808664071631026379893531374461457488361943160936404729646929251\
      83163757546759770893464339944403152712528331105417998826053124040937355\
      5812204544/208702235545813444770898577264621073745063002406408461048531\
      95061089546094022972290889080470108433337417294194247890999972687648303\
      31878662109375*ep^8;
Fill mnchfac1(42,6)=
      -34359738368/185115-2249449200996751318729097216/4953713244365654188875
      *ep-10201964724271238130414147879472025628703719424/1604004140018824600\
      6133949068027236771875*ep^2-3189954908605714537413375179303604481222712\
      055953158710174416896/4721580751247306772955482333262503410728150675947\
      399140625*ep^3-84641293720131985201858432460420197590232479638265940225\
      5663036968236980197392384/138985456672745540590217881075073317174242904\
      5976117381448919382906529296875*ep^4-2022965729062739820448026629331382\
      82522995619454198568102051946576176522206868656606871797404532736/
      40912055060010653375343744883996265747410829313982836062727623662915822\
      4850833946721728515625*ep^5-4104490980947640659461966824256508545641785\
      177342650142304308782699462474178191707409497938200582803325850646216704
      /1094814515328264336843103730077139309290739104892086874736299655456460\
      4129974899177279439727087875338134765625*ep^6-
      96306873351271209015076889242198914331532305190437987137759976491896356\
      98945840830392860005791186566184926917900064007159593803186176/
      35449912591057012967579214792537860372507477717007157012480278634707066\
      601017324088929706760814140448977090748331349761962890625*ep^7-
      19938876039657950058524522992001723810994138217091399554986393328978662\
      15103429155436018301001752808809804190661678422216426590506101040299758\
      601109504/1043511177729067223854492886323105368725315012032042305242659\
      75305447730470114861454445402350542166687086470971239454999863438241516\
      59393310546875*ep^8;
Fill mnchfac1(42,8)=
      17179869184/7219485+87424055316349975753916416/14861139733096962566625*
      ep+5195341576289537392114852426483700585109389312/625561614607341594239\
      224013653062234103125*ep^2+16341905776946447961892645440988086980467222\
      20360675011852238848/18414164929864496414526381099723763301839787636194\
      8566484375*ep^3+3350314811566213957962623271499841615602675122867264025\
      8683491074129606144425984/416956370018236621770653643225219951522728713\
      7928352144346758148719587890625*ep^4+1044356391330629780435387997879155\
      81666385380969747217255223916361677502342981493238474207047712768/
      15955701473404154816384060504758543641490223432453306064463773228537170\
      769182523922147412109375*ep^5+21239049244579959435783979732178699340939\
      30505553071943786559590931922687366643141600753315638015832404195595517\
      952/4269776609780230913688104547300843306233882509079138811471568656280\
      19561069021067913898149356427138187255859375*ep^6+
      38397548715265267728980635145179521431353021439738182774116601264387355\
      1764864340073158666482225699109243798312189186119358743576576/
      10634973777317103890273764437761358111752243315102147103744083590412119\
      9803051972266789120282442421346931272244994049285888671875*ep^7+
      10346197494001216541975580917647079237248205894530552359480714729472591\
      53355725342132951395250829454478081657288722498900476980063219973168438\
      819684352/4069693593143362173032522256660110938028728546924964990446373\
      03691246148833447959672337069167114450079637236787833874499467409141914\
      716339111328125*ep^8;
Fill mnchfac1(42,10)=
      -4294967296/137170215-22088674064893560229986304/
      282361654928842288765875*ep-1323303706910493235504103967667696767523094\
      528/11885670677539490290545256259408182447959375*ep^2-41879844699612290\
      3261854468206499733115954964396068513630912512/349869133667425431876001\
      2408947515027349559650877022763203125*ep^3-8625338451755206130445151805\
      752979220309485028178597574843762533916167447248896/7922171030346495813\
      6424192212791790789318455620638690742588404825672169921875*ep^4-
      26977505809002270147569287263494981705982704132028975157107729267239474\
      045558996767889783879892992/3031583279946789415112971495904123291883142\
      45216612815224811691342206244614467954520800830078125*ep^5-
      54997421214563694395772968669615127082663264002518209882976769809391709\
      5478075334203415811412875987912273979506688/811257555858243873600739863\
      98716022818443767672503637417959804469323716603114002903640648377721156\
      25557861328125*ep^6-995987450384232313084929591957256047465654777604878\
      17895632384828212690234463212320912885058321733671448252123681385955549\
      649567744/2020645017690249739152015243174658041232926229869407949711375\
      882178302796257987473068993285366406005591694172654886936431884765625*
      ep^7-268684813231725864056548144488983022559273546244249114064312133424\
      02769146581130832430560349989214918115802919421909832616919609948470664\
      5888344588288/773241782697238812876179228765421078225458423915743348184\
      81087701336768278355112337744043141751745515131074989688436154898807736\
      96379610443115234375*ep^8;
Fill mnchfac1(42,12)=
      2147483648/5075297955+11163811207590435778199552/
      10447381232367164684337375*ep+67435258491784106230483942891904955304011\
      3664/439769815068961140750174481598102750574496875*ep^2+214764192774877\
      245679547770897589149372781669344333347847929856/1294515794569474097941\
      20459131058056011933707082449842238515625*ep^3+444410050493146184189200\
      4845497591714610383383466748143669204926801231961653248/
      29312032812282034510476951118732962592047828579636315574757709785498702\
      87109375*ep^4+139483819200468642887070720207403030431445045762787281977\
      74005217124938704384728993019060508164096/11216858135803120835917994534\
      845256179967627073014674163318032579661631050735314317269630712890625*
      ep^5+285075252047060427491505606988658073957598645376677105790218431404\
      904127064209042763083514450689585200442350239744/
      30016529566755023323227374967524928442824194038826345844645127653649775\
      1431521810743470398997568278145640869140625*ep^6+
      51718434769344877622486572049250485523142395875066843022335075389721716\
      226994106579223617226811903299416875999739498816010633347072/
      74763865654539240348624563997462347525618270505168094139320907640597203\
      461545536503552751558557022206892684388230816647979736328125*ep^7+
      13969136153536167694214401458499493694290841687790850781266956354068097\
      51080985817311289151132240758569406750275333933496599338282194722009929\
      13260544/28609945959797836076418631464320579894341961684882503882838002\
      44949460426299139156496529596244814584059849774618472137731255886267660\
      45586395263671875*ep^8;
Fill mnchfac1(42,14)=
      -268435456/45677681595-1410825513727676901228544/
      94026431091304482159036375*ep-85943711594212872645539256726305568019447\
      808/3957928335620650266751570334382924755170471875*ep^2-275482622635752\
      61584136570805073695424072176516926157895237632/11650642151125266881470\
      84132179522504107403363742048580146640625*ep^3-572839839092231149670424\
      406844448036808790550127268464397393465588622950137856/
      26380829531053831059429256006859666332843045721672684017281938806948832\
      583984375*ep^4-18044391460367999161899560669667121320512790952763542160\
      03428565136827533911568231756916093222912/10095172322222808752326195081\
      3607305619708643657132067469862293216954679456617828855426676416015625*
      ep^5-369757159766281179936843960514996288020270321485964831230952864375\
      86974929967777197007268631253947625439272173568/
      27014876610079520990904637470772435598541774634943711260180614888284797\
      62883696296691233590978114503310767822265625*ep^6-
      67206307470858157070963934400303262973890684014921205203128191116109352\
      35522488224490208033160733175244328149414299904336334045184/
      67287479089085316313762107597716112773056443454651284725388816876537483\
      1153909828531974764027013199862034159494077349831817626953125*ep^7-
      18175806007427266288756263921440127129748820352466395369765004755284924\
      82130612996575459323739217681783946086276375851470682041426740196665072\
      8071168/257489513638180524687767683178885219049077655163942534945542022\
      04545143836692252408468766366203331256538647971566249239581302976408944\
      10277557373046875*ep^8;
Fill mnchfac1(42,16)=
      134217728/1598718855825+713306586292972842647552/
      3290925088195656875566273125*ep+626139072116307154800866603707516185424\
      6912/19789641678103251333757851671914623775852359375*ep^2+
      14142754393629524691450972807641082550620669789579403134631936/
      40777247528938434085147944626283287643759117730971700305132421875*ep^3+
      29556957076995373369727974602569857534326826588684519486444625422456904\
      7973888/923329033586884087080023960240088321649506600258543940604867858\
      243209140439453125*ep^4+19072153588860396685254784533045011167335353706\
      282489213531055788432941940495260961558397517824/
      72108373730162919659472822009719504014077602612237191049901638012110485\
      326155592039590483154296875*ep^5+19202382320563737127131284766088396396\
      69436698022747868370259034414385813146493420362437375087856438380211480\
      1664/945520681352783234681662311477035245948962112223029894106321521089\
      96791700929370384193175684234007615876873779296875*ep^6+
      34969681114826997896194001424572335898845957714626532393599191810457572\
      28261820158507195813258017438751881822855247935788490924032/
      23550617681179860709816737659200639470569755209127949653886085906788119\
      090386843998619116740945461995171195582292707244113616943359375*ep^7+
      13528917546619242976146474166084754746982419979970027957117005054811227\
      61240213851329393807094479718599242447659475244016351623408200553549636\
      452352/1287447568190902623438838415894426095245388275819712674727710110\
      22725719183461262042343831831016656282693239857831246197906514882044720\
      51387786865234375*ep^8;
Fill mnchfac1(42,18)=
      -33554432/27178220549025-180358146793976326258688/
      55945726499326166884626643125*ep-15972466591951041045446226433995455986\
      40128/336423908527755272673883478422548604189490109375*ep^2-
      3632488083723085683508222963927331262374938811380665079005184/
      693213207991953379447515058646815889943905001426518905187251171875*ep^3
      -5870119126256228679240431317680785954518785155949929492527266207181336\
      428544/1207430274690540729258492871083192420618585554184249768483288737\
      702658106728515625*ep^4-34603251931700918900856959069773418193465295530\
      890899250480146725857255483772928833895125409792/
      85808964738893874394772658191566209776752347108562257349382949234411477\
      53812515452711267495361328125*ep^5-499124052291026491186264103680952973\
      73406828914820984801067262403645888555434792288348561248360409262017514\
      33216/16073851582997314989588259295109599181132355907791508199807465858\
      52945458915799296531283986631978129469906854248046875*ep^6-
      91080662992106689600035555917619345445504604382412959297444436666557961\
      0550642125548705815163951863510273563716169293081998737408/
      40036050058005763206688454020641087099968583855517514411606346041539802\
      4536576347976524984596072853917910324898976023149931488037109375*ep^7-
      35286743754942564827187538922278789796776480078443849425376284123545564\
      81220647810118152981357530422550857405852874516269545475036396830359027\
      83488/21886608659245344598460253070205243619171600688935115470371071873\
      86337226118841454719845141127283156805785077583131185364410752994760248\
      73592376708984375*ep^8;
Fill mnchfac1(42,20)=
      16777216/896881278117825+1003481641951024116137984/
      20308298719255398579119471454375*ep+81524684005443343966755748008085308\
      6961664/11101988981415923998238154787944103938253173609375*ep^2+
      169740765717401349150716581112342389244675418143375393308672/
      2079639623975860138342545175940447669831715004279556715561753515625*
      ep^3+394369346626668404052915660673992621318827338766733978243969703486\
      06210727936/51798758784224197285189344169468954844537320274504315067933\
      0868474440327786533203125*ep^4+1795493168500400077297947361685900300129\
      0882688925538643615356475388647397552751695618255671296/
      28316958363834978550274977203216849226328274545825544925296373247355787\
      5875813009939471827346923828125*ep^5+2857293692264016030891920687343314\
      97662583268483870490609722345588731727009514842054028656913043784944166\
      10981888/58348081246280253412205381241247845027510451945283174765301101\
      0664619201586435144640856087147408060997576188092041015625*ep^6+
      36539145183773270418962488427293316399791748889900855452947882523852891\
      206224702635578197283759833324965684310279755878204049408/
      10162997322416847583236299866778122109992025132554445966023149379775488\
      31515924575632717268590031090714695440128169904919056854248046875*ep^7+
      16754785202250135429886126765372523516072596215100875605695654796516017\
      36943839749843593693300380555855212112769204630713172868367757158116361\
      8304/656598259777360337953807592106157308575148020668053464111132156215\
      90116783565243641595354233818494704173552327493935560932322589842807462\
      0777130126953125*ep^8;
Fill mnchfac1(42,22)=
      -262144/896881278117825-15864894083842707193856/
      20308298719255398579119471454375*ep-13009260055243191530472777985883440\
      357376/11101988981415923998238154787944103938253173609375*ep^2-
      2728352971418740072679199175810681341943224695444195381248/
      2079639623975860138342545175940447669831715004279556715561753515625*
      ep^3-490337346558536302015013729733292672303646660347368110012371003191\
      85614848/39845199064787844065530264745745349880413323288080242359948528\
      344187717522041015625*ep^4-29143549955537744723589843430537468461175755\
      8742935591343073702110636424213934883231660299264/
      28316958363834978550274977203216849226328274545825544925296373247355787\
      5875813009939471827346923828125*ep^5-4652181713153399195235178299448735\
      84959215038447935582388524966817720648368716647924709416542325550504485\
      409792/5834808124628025341220538124124784502751045194528317476530110106\
      64619201586435144640856087147408060997576188092041015625*ep^6-
      77512028361406712373752178052598894962033211584489416407812733972159626\
      05999959704933109717060858652462218404665989357534683136/
      13211896519141901858207189826811558742989632672320779755830094193708134\
      809707019483225324491670404179291040721666208763947739105224609375*ep^7
      -2738315007234855700703705312168349135865659913069602242800123458768941\
      58374433585225458186308742230353320456563670515717185091798584850799067\
      136/6565982597773603379538075921061573085751480206680534641111321562159\
      01167835652436415953542338184947041735523274939355609323225898428074620\
      777130126953125*ep^8;
Fill mnchfac1(42,24)=
      131072/27803319621652575+8028185585589975728128/
      629557260296917355952703615085625*ep+6646203850263155538328739764901303\
      308288/344161658423893643945382798426267222085848381890625*ep^2+
      1404336999054538766026188191023054967671352191002301159424/
      64468828343251664288618900454153877764783165132666258182414358984375*
      ep^3+330002699413163738205048961651803595444533917991364153127504790304\
      483750912/1605761522310950115840869669253537600180656928509633767105925\
      6922707650161382529296875*ep^4+1515372146044378503306685974345355599293\
      54547402556646914383588664489133014094818934781548032/
      87782570927888433505852429329972232601617651092059189268418757066802941\
      52150203308123626647754638671875*ep^5+242681592780796017366566627513825\
      91723660889353229830096407160808882874888478583349638801131475496453989\
      2100096/180879051863468785577836681847868319585282401030377841772433413\
      30603195249179489483866538701569649890924861830853271484375*ep^6+
      40528626353250888295258058737199059586345155289937626281765474738370771\
      60425716146695374981927229972703789205971027847653383168/
      40956879209339895760442288463115832103267861284194417243073292000495217\
      9100917603979985059241782529558022262371652471682379912261962890625*
      ep^7+143413077806711532267735574165300812228648930768635109526435951511\
      28992982249955365470325348875015241829298952842161127884163592681314715\
      5975168/203545460530981704765680353552908765658295886407096573874450968\
      42692936202905225528894559812483733358293801221523120023889020002851270\
      313244091033935546875*ep^8;
Fill mnchfac1(42,26)=
      -32768/417049794324788625-2031778853511887982592/
      9443358904453760339290554226284375*ep-169857488524257379825627046883754\
      7133952/5162424876358404659180741976394008331287725728359375*ep^2-
      361690228090442543020981144506687509472634384451524176896/
      967032425148774964329283506812308166471747476989993872736215384765625*
      ep^3-855036157897034405937489320178042557790323655414176946847604544231\
      03893248/24086422834664251737613045038803064002709853927644506506588885\
      3840614752420737939453125*ep^4-3944238624169834202343715075051311033234\
      4667015713851467244536874610635447075360058429577728/
      13167385639183265025877864399495834890242647663808878390262813560020441\
      2282253049621854399716319580078125*ep^5-6337947865434535096357560208463\
      78485566572071375190497645486387804316639604862199779376263175177968661\
      21757184/27131857779520317836675502277180247937792360154556676265865011\
      9959047928737692342257998080523544748363872927462799072265625*ep^6-
      10610528853251457895807973237350188509029080535847642215845514920180611\
      49559830270817449512752301760974366752930765474194307072/
      61435318814009843640663432694673748154901791926291625864609938000742826\
      86513764059699775888626737943370333935574787075235698683929443359375*
      ep^7-376109920643420406855772749993107971318858073330118633754714597276\
      51966745536619093385297182420071876369269864144532275677711025763215138\
      275072/3053181907964725571485205303293631484874438296106448608116764526\
      40394043043578382933418397187256000374407018322846800358335300042769054\
      698661365509033203125*ep^8;
Fill mnchfac1(42,28)=
      16384/12094444035418870125+1028682076987527120896/273857408229159049839\
      426072562246875*ep+868678898848246857486732041430086667776/149710321414\
      393735116241517315426241607344046122421875*ep^2+18645622124406015361748\
      5035640988190164321169851244494848/280439403293144739655492216975569368\
      27680676832709822309350246158203125*ep^3+443532459710637170684751699268\
      98524829454237800756487373368872932278269824/69850626220526330039077830\
      61252888560785857639016906886910776761377827820201400244140625*ep^4+
      29367551801159283498722382910962543387533032907333600403865606697033145\
      76102764312460449152/54550597648044955107208295369339887402433826035779\
      6390453745133200846850883619777004825370253323974609375*ep^5+
      33150394706134056845539338190547328908907669794775585327518659532047489\
      371718166984758339956602454491791544192/7868238756060892172635895660382\
      27190195978444482143611710085347881238993339307792548194433518279770255\
      2314896421173095703125*ep^6+5564103174498347353560044978134084138087714\
      86975824944053848094622388698055033512691610475196436662732370247318559\
      746057118336/1781624245606285465579239548145538696492151965862457150073\
      68820202154197908899157731293500770175400357739684131668825181835261833\
      953857421875*ep^7+19759020277719574361516444072489200994457694451456062\
      80362178685430579891477330615948454230239478583532429957100508454443692\
      0831073518000302336/885422753309770415730709537955153130613587105870870\
      09635386171265714272482637731050691335184304240108578035313625572103917\
      23701240302586261179599761962890625*ep^8;
Fill mnchfac1(42,30)=
      -2048/84661108247932090875-130241450948065491712/1917001857604113348875\
      982507935728125*ep-777893892272085837040325042365594011904/733580574930\
      5293020695834348455885838759858259998671875*ep^2-2405047734061819963301\
      0686099830609256151113882056376256/196307582305201317758844551882898557\
      793764737828968756165451723107421875*ep^3-82258545478257869752721199805\
      1129638627388648915741527961413725303008704/698506262205263300390778306\
      1252888560785857639016906886910776761377827820201400244140625*ep^4-
      26820819999263815921973812816205142173111334593436174267676675507985806\
      83962637594266742208/26729792847542028002532064730976544827192574757532\
      023132233511526841495693297369073236443142412874755859375*ep^5-
      43411751808249107107499466872432991524811350911146689516767323940384203\
      01763535560497565991405988397203090624/55077671292426245208451269622675\
      90331371849111375005281970597435168672953375154547837361034627958391786\
      6204274948211669921875*ep^6-7306194235366969994979463634125927801234774\
      11705593802892630174207496569651479670536463938970290618744711789421290\
      65964510592/12471369719243998259054676837018770875445063761037200050515\
      81741415079385362294104119054505391227802504177788921681776272846832837\
      677001953125*ep^7-18196891757990272761563241652685822193058605178812094\
      74450990629738742803291281635622211267228753423962590192087215098887803\
      8918283558129510144/433857149121787503708047673598025034000657681876726\
      34721339223920199993516492488214838754240309077653203237303676530330919\
      4461360774826726797800388336181640625*ep^8;
Fill mnchfac1(42,32)=
      1024/2285849922694166453625+65979491346060317056/5175905015531106041965\
      1527714264659375*ep+398298213798419117535900592537004849152/
      198066755231242911558787527408308917646516173019964140625*ep^2+
      12419999311972372544688765704280887484216681418330408928/
      53003047222404355794888029008382610604316479213821564164671965239003906\
      25*ep^3+427660554809956435421818381111500997755844719611581561848006994\
      132111552/1885966907954210911055101426538279911412181562534564859465909\
      72557201351145437806591796875*ep^4+140165329379996349910928749989939978\
      4734862468985572636758440029024076999959744086631225504/
      72170440688363475606836574773636671033419951845336462457030481122472038\
      3719028964977383964845147618408203125*ep^5+2277556314235570905293825512\
      72971300005871424842591343810852121488074497480660762661430430310188081\
      6050808512/148709712489550862062818427981224938947039926007125142613206\
      1307495541697411291727916087479349548765782387515423601715087890625*
      ep^6+384410176946926732391097529901601235831091550147870368276002419098\
      98598008373919489401977595703541963248896838709262001440896/
      33672698241958795299447627459950681363701672154800440136392707018207143\
      404781940811214471645563150667612800300885407959366864486617279052734375
      *ep^7+95937406197527267715451845253395307593622284888447674991228219757\
      17852759270457020096607930312954585616338123606501354875906340563372568\
      854272/1171414302628826260011728718714667591801775741067161137476159045\
      84539982494529718180064636448834509663648740719926631893482504567409203\
      21623540610485076904296875*ep^8;
Fill mnchfac1(42,34)=
      -256/29716048995024163897125-217331681692789083232/87472794762475692109\
      21108183710727434375*ep-7848853865151367374780488659299423376/
      198066755231242911558787527408308917646516173019964140625*ep^2-
      3210018252607227282305189697768587360212657399458237632/
      68903961389125662533354437710897393785611422977968033414073554810705078\
      125*ep^3-29530747261797210962166085914897265773341870409980798621504126\
      013613456/6504661376413502938128819205815700102625687429966152270402831\
      50248306700889367128857421875*ep^4-282150602343338755504133565905801558\
      82377647055141180688262322068816457785315480732008352/
      72170440688363475606836574773636671033419951845336462457030481122472038\
      3719028964977383964845147618408203125*ep^5-5984581368554958383627024663\
      65133962494265386963842238494077337016051725633990615174171363904693649\
      374833728/1933226262364161206816639563755924206311519038092626853971679\
      6997442042066346792462909137231544133955171037700506822296142578125*
      ep^6-131708823348451894387645399382038130335704820336943547990819978596\
      656711577683462490008046718142765953596864741585132879389312/
      56906860028910364056066490407316651504655825941612743830503674860770072\
      35408147997095245708100172462826563250849633945133000098238320159912109\
      375*ep^7-19492268533836333571533162642983995687735525249219341591265744\
      37233542788841167070289744084774386489265103474542962351208357319262477\
      80327936/11714143026288262600117287187146675918017757410671611374761590\
      45845399824945297181800646364488345096636487407199266318934825045674092\
      0321623540610485076904296875*ep^8;
Fill mnchfac1(42,36)=
      128/742901224875604097428125+110172974951802929072/21868198690618923027\
      3027704592768185859375*ep+4024213860486841251455043441054196376/
      4951668880781072788969688185207722941162904325499103515625*ep^2+
      1661007272209692685606251226183689940057807368088172632/
      17225990347281415633338609427724348446402855744492008353518388702676269\
      53125*ep^3+754236530907407106090653744317389910389967581374963399611751\
      072170119344/7968210186106541099207803527124232625716467101708536531243\
      46859054175708589474732850341796875*ep^4+147906644917315174535649227901\
      33450817721436095959290440983209162111628912688662576408352/
      18042610172090868901709143693409167758354987961334115614257620280618009\
      592975724124434599121128690460205078125*ep^5+31507694229993437066167809\
      01662313569829316734154143188176500125663273442378246102474170568816099\
      20754833728/48330656559104030170415989093898105157787975952315671349291\
      9924936051051658669811572728430788603348879275942512670557403564453125*
      ep^6+695642804677261167266043829161930975847534419565559931682487978509\
      86977129663849655072274813275550487008160681687266329389312/
      14226715007227591014016622601829162876163956485403185957625918715192518\
      08852036999273811427025043115706640812712408486283250024559580039978027\
      34375*ep^7+103189199946886244007499815905600211480262471127885424531607\
      14903267843356751695456780153516675808826945850826971147812757664461377\
      6180327936/292853575657206565002932179678666897950443935266790284369039\
      76146134995623632429545016159112208627415912185179981657973370626141852\
      3008040588515262126922607421875*ep^8;
Fill mnchfac1(42,38)=
      -8/2228703674626812292284375-6983931644475208292/6560459607185676908190\
      83113778304557578125*ep-258102484852160770899870206445494636/
      14855006642343218366909064555623168823488712976497310546875*ep^2-
      107554177101993296973593234203357769676359620056402952/
      51677971041844246900015828283173045339208567233476025060555166108028808\
      59375*ep^3-703039304231890966178123320324132806284656901955847671793021\
      3308940112/341494722261708904251763008305324255387848590073222994196148\
      653880361017966917742650146484375*ep^4-97084720474885274697787867565363\
      8416415813370851736361198813434626978218786497240835872/
      54127830516272606705127431080227503275064963884002346842772860841854028\
      778927172373303797363386071380615234375*ep^5-20775893862341137535480781\
      08269327870683054849920568379370002729623365928620535181273707767350474\
      7962587008/144991969677312090511247967281694315473363927856947014047875\
      9774808153154976009434718185292365810046637827827538011672210693359375*
      ep^6-460258571128267980489182865316072559381099515010368633229294506834\
      6470160234764238272451767953434015478709476289291477746432/
      42680145021682773042049867805487488628491869456209557872877756145577554\
      26556110997821434281075129347119922438137225458849750073678740119934082\
      03125*ep^7-684408808913624281339896691078131101261533220713199700483230\
      43184158500475336794126281199950044180763108688856303852389056664786690\
      66999296/87856072697161969500879653903600069385133180580037085310711928\
      43840498687089728863504847733662588224773655553994497392011187842555690\
      24121765545786380767822265625*ep^8;
Fill mnchfac1(42,40)=
      4/51260184516416682722540625+3543159236144139046/1508905709652705688883\
      8911616901004824296875*ep+132539442759016711248652554639126268/
      341665152773894022438908484779332882940240398459438142578125*ep^2+
      55781790941390962622840126342418332219274541138060376/
      11885933339624176787003640505129800428017970463699485763927688204846625\
      9765625*ep^3+2572824219930242284429957263324524965741745812973193386193\
      6036176374192/549806502841351335845338443371572051174436230017889020655\
      79933274738123892673756566673583984375*ep^4+510752766835896887217579043\
      220127866729483599293320952395050989811505709684461245558336/
      12449401018742699542179309148452325753264941693320539773837757993626426\
      61915324964585987339357879641754150390625*ep^5+
      10982795226041807835059210835203365811004539079943828365575433845606746\
      575032232285373061828891156697119104/3334815302578178081758703247478969\
      25588737034070978132310114748205875225644482169985182617244136310726700\
      40033374268460845947265625*ep^6+244185455110570835137769175690917755528\
      62063298359989553222196893023385242888041194910319351963171038871037502\
      86933047055616/98164333549870377996714695952621223845531299749281983107\
      61883913482837481079055294989298846472797498375821607715618555354425169\
      461102275848388671875*ep^7+36405875248728600528372203484736761167247686\
      87499799277564094938918273261108542161641864824839770198729308942470565\
      069692791989293740046848/2020689672034725298520232039782801595858063153\
      34085296214637435408331469803063763860611497874239529169794077741873440\
      01625732037878087554800607553086757659912109375*ep^8;
Fill mnchfac1(42,42)=
      -1/563862029680583509947946875-899169905852515474/165979628061797625777\
      228027785911053067265625*ep-34060320720121293525442004669688892/
      3758316680512834246827993332572661712342644383053819568359375*ep^2-
      159324420143688037804060958198486750300989082145108184/
      14381979340945253912274405011207058517901744261076377774352502727864417\
      431640625*ep^3-61241818201988877655794777146381237944894795907331783032\
      7956958059168/549806502841351335845338443371572051174436230017889020655\
      79933274738123892673756566673583984375*ep^4-134621757881558176633274380\
      051150582497858327025809234766988496045650621295093093217984/
      13694341120616969496397240063297558328591435862652593751221533792989069\
      281068574610445860732936676059295654296875*ep^5-
      29096127525299186769376530675125467557668542909767538851731796589668304\
      06528084067615641385155826140437376/36682968328359958899345735722268661\
      81476107374780759455411262230264627482089303869837008789685499417993704\
      40367116953069305419921875*ep^6-649394538103744335898755902198419040258\
      65542432836531496292737589114899657101052558224048742075425898665336111\
      0263079874304/107980766904857415796386165547883346230084429724210181418\
      38072304831121229186960824488228731120077248213403768487180410889867686\
      4072125034332275390625*ep^7-1067999736970204763286660015402853275925728\
      07192696348275233957783075217817242176224581716828604199613744464652717\
      65546562966122203949772032/24450345031620176112094807681371899309882564\
      15542432084197112968440810784617071542713399124278298302954508340676668\
      624196713576583248594130873513923497676849365234375*ep^8;
Fill mnchfac1(43,0)=
      2199023255552/11+221514114159496362207930744832/462569061369761775*ep+
      8173691284407902425813903644508210293194620928/
      12378437650872041708539440014529375*ep^2+567099841388023621349673504146\
      219989891638663671723464188755968/8179831836268570345407429841443221925\
      63611784234375*ep^3+731021900289224710301539881553517008145825765174200\
      2228456016565939349869012451328/117983803380925443758312145100984059246\
      31190268394774827954910817578125*ep^4+173634011941268058853078205069054\
      8799972034685754321844981966935786680724853546862760306545065459712/
      34729963664294950793428115628814437606084181065346344294859478107591346\
      48623190537109375*ep^5+385809785709452478669844144035763830699836360860\
      932853841450621997854525277476267205316639157928657582898182721896448/
      10223186077744721216387924984031845565048709620038702724799816199986240\
      98322635582090524582771044189453125*ep^6+
      10654774673662765462452361029376763566531623814316460409916609385739177\
      74594404924315104446606514321790185526701907668388860443754496/
      39082062712320596041599308970692636593256676866621969699453542816690415\
      39100330251292187014560076604226395478192138671875*ep^7+
      16949643821152829125439050044300506146542633896924543009035762314708863\
      86643501121225834917763216700938696725712743079524251709018459664228841\
      2412346368/885829500196382901933502475260873283864351899579988143097862\
      50891139101575566036247652959037506710774997100696758694788065937440948\
      486328125*ep^8;
Fill mnchfac1(43,2)=
      -1099511627776/473-111832321480647722773004681216/19890469638899756325*
      ep-4156442260279433175508463287106422105717080064/532272818987497793467\
      195920624763125*ep^2-20295620400900610112227673404940882667852468974690\
      66661318361088/246212938271683967396763638227440979961647147054546875*
      ep^3-375236493016902367550496590972151804249382975066356385853244459572\
      6667473185931264/507330354537979408160742223934231454759141181540975317\
      602061165155859375*ep^4-89385736513055948832299155427081443195119351698\
      2906100995753860586482653255000412734134510740832256/
      14933884375646828841174089720390208170616197858098928046789575586264278\
      9890797193095703125*ep^5-1990239104799022209753447742542617802830485823\
      46402416761693774487062429311333485631054168764240674659476635148877824/
      43959700134302301230468077431336935929709451366166421716639209659940836\
      227873330029892557059154900146484375*ep^6-
      55043281468656473173012708153463417331388625205456539775303338539691850\
      0335009174728027798269485476063006618869220528685123998056448/
      16805286966297856297887702857397833735100371052647446970765023411176878\
      6181314200805564041626083293981735005562261962890625*ep^7-
      87649625229344920818031233857614335890721181626697273795403410969884056\
      68598755260457836262529817623416749244799807967116514581188269373623672\
      749686784/3809066850844446478314060643621755120616713168193949015320808\
      78831898136774933955864907723861278856332487532996062387588683530996078\
      4912109375*ep^8;
Fill mnchfac1(43,4)=
      274877906944/9933+197633077976078527009786953728/2923899036918264179775
      *ep+7399695370606103900682962946213836034578317312/78244104391162175639\
      677800331840179375*ep^2+25432613348103820216962558459865728556614960045\
      942153937449648128/2533531134815628024512697837360367683805349143191287\
      34375*ep^3+674488620483537413672091380241633319510928517668799606493640\
      2116106273967059238912/745775621170829729996291069183320238495937536865\
      23371687502991277911328125*ep^4+161152274777872991925129007209860223385\
      8956753019734404555336962052550574010137828733138686860853248/
      21952810032200838396525911888973606010805810851405424228780676111808490\
      113947187385068359375*ep^5+35958639735219292377037177242794654614423952\
      16621830233728030439058772881506902544519345561481940486353113600407633\
      92/64620759197424382808788073824065295816672893508264639923459638200113\
      02925497379514394205887695770321533203125*ep^6+
      69719115423133629658842876110977166712920592331254214005554555304162152\
      23871260925545707103501294701039348576636268143234300183052288/
      17292640288320494130526446240262370913418281813174222932917209090101008\
      0980572312628925398833239709507205320723567559814453125*ep^7+
      15876182844815511220140473700316515882805142603179897853850569679367086\
      05973787173599726820255477204170677695149978543713737614652695374561306\
      1800067072/559932827074133632312166914612398002730656835724510505252158\
      89188289026105915291512141435407607991880875667350421170975536479056423\
      5382080078125*ep^8;
Fill mnchfac1(43,6)=
      -137438953472/407253-99803290770572074609713086464/
      119879860513648831370775*ep-3764988060576887574312139284779421470981881\
      856/3208008280037649201226789813605447354375*ep^2-130136473802164436377\
      93327040742696162590362472558481893295652864/10387477652744074900502061\
      133177507503601931487084278109375*ep^3-34658754185499408547324855229265\
      72867563395820352030879117862250465486458801094656/30576800468004018929\
      84793383651612977833343901147458239187622642394364453125*ep^4-
      83064484877690871702319993857233876318870691528011224315860532090587215\
      2744878565653264611802087424/900065211320234374257562387447917846443038\
      244907622393380007720584148094671834682787802734375*ep^5-
      18575686664996017949441304497038335917877054418826007711586626837895667\
      7839085545453388396002320048230625752326864896/
      26494511270943996951603110267866771284835886338388502368618451662046341\
      9945392560090162441395526583182861328125*ep^6-
      36071969838446114552318732424065314687839602284474497586982651160832120\
      30964645364190815832922879134678543914590395255431647612370944/
      70899825182114025935158429585075720745014955434014314024960557269414133\
      20203464817785941352162828089795418149666269952392578125*ep^7-
      82229705458455571601176116548455797926046967039210800449321402825744410\
      07927352921902978895359691048042922542983546877017172398467406817553326\
      838644736/2295724591003947892479884349910831811195693026470493071533851\
      45671985007034252695199779885171192766711590236136726800999699564131336\
      50665283203125*ep^8;
Fill mnchfac1(43,8)=
      8589934592/2036265+6300919459229262874509574144/
      599399302568244156853875*ep+2395270994059222150318485706784744923946024\
      96/16040041400188246006133949068027236771875*ep^2+832742580733871063261\
      653006427050875541721659647435101515546624/5193738826372037450251030566\
      5887537518009657435421390546875*ep^3+2227454106537551639293888901107400\
      72302539065043080582521583829046578486439837696/15288400234002009464923\
      966918258064889166719505737291195938113211971822265625*ep^4+
      53554498386542493961754733349921464116405076733454915740845977560872750\
      540245489044187035765571584/4500326056601171871287811937239589232215191\
      224538111966900038602920740473359173413939013671875*ep^5+
      12003914570976010491032423308802201718644353180078881065569721644115234\
      161662959185288686930259158943075023151169536/
      13247255635471998475801555133933385642417943169194251184309225831023170\
      99726962800450812206977632915914306640625*ep^6+
      23348048844710934374032436910591016418796029508870694665875910920073401\
      2663260721960033865522866919644660907084775340833295673851904/
      35449912591057012967579214792537860372507477717007157012480278634707066\
      601017324088929706760814140448977090748331349761962890625*ep^7+
      53283580793344557600586341619516674363694254113346835317154635419432435\
      20416401083255192546049770650918546282677575483529213749102756290130358\
      21694976/11478622955019739462399421749554159055978465132352465357669257\
      28359925035171263475998899425855963833557951180683634004998497820656682\
      53326416015625*ep^8;
Fill mnchfac1(43,10)=
      -4294967296/79414335-244836696600277692861906944/
      1798197907704732470561625*ep-121947508839453793944918877352258959361179\
      648/625561614607341594239224013653062234103125*ep^2-4264960086464670208\
      56545801928473190223917655949486583197990912/20255581422850946055979019\
      20969613963202376639981434231328125*ep^3-881475302026417518859641501374\
      2283505627145047465961903506855450714993874436096/458652007020060283947\
      71900754774194667500158517211873587814339635915466796875*ep^4-
      27642159017984250177338464793525461829692905939338891884868530732223080\
      744022871973531709333307392/1755127162074457029802246655523439800563924\
      57756986366709101505513908878461007763143621533203125*ep^5-
      62105933061366735287434810083506942647577700838574898929131009887568084\
      45102693767428459973173743619382889289351168/
      51664296978340794055626065022340204005429978359857579618805980740990366\
      889351549217581676072127683720657958984375*ep^6-
      93078228879022162920931398784098611250103138490805591833856269105390731\
      24262288994321850884893384112492321263004024599427302293504/
      10634973777317103890273764437761358111752243315102147103744083590412119\
      9803051972266789120282442421346931272244994049285888671875*ep^7-
      27646409605891291964869218300587399531963919471240171112533887091643526\
      59620878076833172229951465158624538903607822617017260835530979360781050\
      00869888/44766629524576983903357744823261220318316014016174614894910103\
      40603707637167927556395707760838258950876009604666172619494141500561061\
      879730224609375*ep^8;
Fill mnchfac1(43,12)=
      1073741824/1508872365+4757614599887392732086272/
      2628135403568455149282375*ep+310530925324727765452923344382882331356037\
      12/11885670677539490290545256259408182447959375*ep^2+109270038978922545\
      637311596449046673436841589208859107213180928/3848560470341679750636013\
      6498422665300845156159647250395234375*ep^3+2268799512991001910888600481\
      181894224484731893496521963854652052828345052954624/8714388133381145395\
      00666114340709698682503011827025598168472453082393869140625*ep^4+
      71390142950836181795677709743293429999486083560975068463849081866438849\
      88602675095322339207938048/33347416079414683566242686454945356210714566\
      97382740967472928604764268690759147499728809130859375*ep^5+
      16079497858429602133512764708884027268867213171951648127170946036567309\
      97003252066953982072166972944715304530542592/
      98162164258847508705689523542446387610316958883729401275731363407881697\
      0897679435134051845370425990692501220703125*ep^6+
      24140590572412149450398968279394298946447026678763377058967039522509280\
      97703758705350071304832892639559557871043596294799034187776/
      20206450176902497391520152431746580412329262298694079497113758821783027\
      96257987473068993285366406005591694172654886936431884765625*ep^7+
      71790152486573780271972558991649770716285490339027883021062658742123920\
      22361699857548954995028031751230892486620165283577920095045403163685072\
      5814272/850565960966962694163797151641963186048004266307317683003291964\
      71470445106190623571518447455926920066644182488657279770388688510660175\
      714874267578125*ep^8;
Fill mnchfac1(43,14)=
      -536870912/55828277505-31253048880913105832378368/
      1264133129116426926804822375*ep-158203946261217223290325648432538357659\
      07456/439769815068961140750174481598102750574496875*ep^2-56019510723216\
      149536850119624708209135418014598004004685348864/1423967374026421507735\
      325050441638616131270777906948264623671875*ep^3-11686825475473663480688\
      72150108552581507362094707902769408695725327840512704512/
      32243236093510237961524646230606258851252611437599947132233480764048573\
      158203125*ep^4-36903775932526121822743244607347452507836319612180581046\
      90918183914980627668898653457229503463424/12338543949383432919509793988\
      3297817979643897803161415796498358376277941558088457489965937841796875*
      ep^5-833334552616507205584168365908109131531308421521438942330535671176\
      854917145034410098807714054818638173758108368896/
      36320000775773578221105123710705163415817274786979878472020604460916227\
      923214139099959918278705761655622545166015625*ep^6-
      12533916782860025114663203528169473526237200945452550698614323614520874\
      46268165517290967368400170812142892174295785469718454386688/
      74763865654539240348624563997462347525618270505168094139320907640597203\
      461545536503552751558557022206892684388230816647979736328125*ep^7-
      37321022170475047456646684075203240337685685229567936194665105817036477\
      40282481827502317606383023045096942649155312760258570543521283254508516\
      0308736/314709405557776196840604946107526378837761578533707542711218026\
      94444064689290530721461825558692960424658347520803193515043814748944265\
      01450347900390625*ep^8;
Fill mnchfac1(43,16)=
      67108864/502454497545+3948841170256037408669696/
      11377198162047842341243401375*ep+20157085728886652969912081022492483526\
      32832/3957928335620650266751570334382924755170471875*ep^2+
      7183739700343481014505314205948686876927435346280296618590208/
      12815706366237793569617925453974747545181437001162534381613046875*ep^3+
      15060373921113408879447074556028731530962724289182756486810476451698972\
      0100864/290189124841592141653721816075456329661273502938399524190101326\
      876437158423828125*ep^4+47730599045959680579926440749924549301745062867\
      5808091649305337097490099142601333278178160918528/
      11104689554445089627558814589496803618167950802284527421684852253865014\
      74022796117409693440576171875*ep^5+108069619299162949036489406105054539\
      24058946084688485796715326363013108170640030893040678293255857431734539\
      4368512/326880006981962203989946113396346470742355473082818906248185440\
      148246051308927251899639264508351854900602906494140625*ep^6+
      16285336991029310343216034769007856700801473033625625387285971933778042\
      0746107193968874938658600147644346479258848904397491265536/
      67287479089085316313762107597716112773056443454651284725388816876537483\
      1153909828531974764027013199862034159494077349831817626953125*ep^7+
      48555476233062677833393304836067058789976479710350384530203892873283615\
      56823426244711002105827076037946098890484885884339154441427645402593158\
      356992/2832384650019985771565444514967737409539854206803367884400962242\
      49996582203614776493156430028236643821925127687228741635394332740498385\
      13053131103515625*ep^8;
Fill mnchfac1(43,18)=
      -33554432/17585907414075-153548355081395252494336/
      30630918128590344764886080625*ep-14681354397231749757489901823734922726\
      6048/19789641678103251333757851671914623775852359375*ep^2-
      3686945814696040919297126781698158947524341132093728737296384/
      448549722818322774936627390889116164081350295040688703356456640625*ep^3
      -7768713822770007835139995724336045027157702217148721641825992160093771\
      8300672/101566193694557249578802635626409715381445726028439833466535464\
      40675300544833984375*ep^4-353066971521435955473732164789139078924011887\
      69049568800178284222235152549802752782726699835392/
      55523447772225448137794072947484018090839754011422637108424261269325073\
      70113980587048467202880859375*ep^5-561134005647111932267016829607774195\
      93100489424363273389321184438968500992952068227911083799355531179501265\
      842176/1144080024436867713964811396887212647598244155789866171868649040\
      5188611795812453816487374257792314921521101727294921875*ep^6-
      84726916745290724250238924103673702130612299627165986391929653683713749\
      917381985784747193838191835723086344277094758389373206528/
      23550617681179860709816737659200639470569755209127949653886085906788119\
      090386843998619116740945461995171195582292707244113616943359375*ep^7-
      36138187750962198626675118597462689128106068758492928893358618755190220\
      80951838022666030250421578186591856741603923745198424749864623432276842\
      61888/14161923250099928857827222574838687047699271034016839422004811212\
      49982911018073882465782150141183219109625638436143708176971663702491925\
      65265655517578125*ep^8;
Fill mnchfac1(43,20)=
      8388608/298960426039275+504618779621550638497792/
      6769432906418466193039823818125*ep+374409828472622230928608611098079693\
      70112/336423908527755272673883478422548604189490109375*ep^2+
      946696247036614712894195945236169092574561346683586361040896/
      7625345287911487173922665645114974789382955015691707957059762890625*
      ep^3+200522631173441929517673997795323026300259624839351150699591499828\
      75420909568/17266252928074732428396448056489651614845773424834771689311\
      0289491480109262177734375*ep^4+1307012382962684621404274585559695440730\
      368799012159391950888201152189184673479643651830462464/
      13484265887540465976321417715817547250632511688488354726331606308264660\
      755991095711403420349853515625*ep^5+14582821096997842938272876869969293\
      11935357043103507214689776084909788605664267388272795139516179491587956\
      6495744/194493604154267511374017937470826150091701506484277249217670336\
      888206400528811714880285362382469353665858729364013671875*ep^6+
      22064623114536475677237756274427478406890127076570507320348322748231422\
      418535484699666520003554555990924762041435066647389407232/
      40036050058005763206688454020641087099968583855517514411606346041539802\
      4536576347976524984596072853917910324898976023149931488037109375*ep^7+
      94247921025828818147672536671582928088859120013123936461648913949680225\
      34480883530842846442597497718334222142868784995586758550957597172815424\
      3072/240752695251698790583062783772257679810887607578286270174081790612\
      49709487307256001918296552400114724863635853414443039008518282942362736\
      09516143798828125*ep^8;
Fill mnchfac1(43,22)=
      -4194304/9865694059296075-255187348456813899677696/
      223391285911809384370314185998125*ep-3002182813608713731406078118162927\
      8732288/17445982685082166282945671809626449045826415671875*ep^2-
      486470159109214649012352721736370498016127220236814878363648/
      251636394501079076739447966288794168049637515517826362582972175390625*
      ep^3-941811576789351747727756057781711170827052435233270335703658163637\
      275090944/5179875878422419728518934416946895484453732027450431506793308\
      68474440327786533203125*ep^4-474616417860618813825514633994730062702343\
      1045164904293676647874403662740295160410535092020224/
      31148654200218476405302474923538534148961102000408099417826010572091366\
      34633943109334190100816162109375*ep^5-758776318417668425294971186823736\
      47959011922223590836898605239942102427344882687213904942470905031266110\
      44252672/64182889370908278753425919365372629530261497139811492241831211\
      17310811217450786591049416958621488670973338069012451171875*ep^6-
      12656183769532559095116680375064683711504072897905781034158608894077467\
      7065374930413239297714211257237981625666860186473598898176/
      14533086171056092044027908809492714617288595939552857731413103613078948\
      2906777214315478569408374445972201447938328296403425130157470703125*
      ep^7-703150898948106890816215825683221611355562869094729840873532422052\
      60346407574381030350062153487907432823808486750743206538386434481876994\
      04494848/11349769919008657270344388377835004905370415785833495593920998\
      70030343447258770640090433980327433979886428547375252314696115861910139\
      9575587718963623046875*ep^8;
Fill mnchfac1(43,24)=
      65536/9865694059296075+4033675676727206027264/
      223391285911809384370314185998125*ep+3352546817246742718161245521334355\
      359744/122121878795575163980619702667385143320784909703125*ep^2+
      7816972478377355010908481073163902782049851604403361861632/
      251636394501079076739447966288794168049637515517826362582972175390625*
      ep^3+152186513131627277554119104564215348416155888390845896343787929743\
      93104896/51798758784224197285189344169468954844537320274504315067933086\
      8474440327786533203125*ep^4+7701868417485181093301317812940895481470489\
      4949630639445141857559333103697093834749341436416/
      31148654200218476405302474923538534148961102000408099417826010572091366\
      34633943109334190100816162109375*ep^5+123518164985397256909550786942187\
      76806749133997158961417933746796076578012161927971093453325624610355308\
      5237248/641828893709082787534259193653726295302614971398114922418312111\
      7310811217450786591049416958621488670973338069012451171875*ep^6+
      20649303248889103670019703946394026328402098118059726146496040785699544\
      19968768682948754541327090603044861160776715177035869184/
      14533086171056092044027908809492714617288595939552857731413103613078948\
      2906777214315478569408374445972201447938328296403425130157470703125*
      ep^7+804347566941286418931013676029424412545745794424445086163288784628\
      90246609978014544823014820418626651124453482606939213987371982542734745\
      7217024/794483894330606008924107186448450343375929105008344691574469909\
      02124041308113944806330378622920378592049998316267662028728110333709797\
      029114032745361328125*ep^8;
Fill mnchfac1(43,26)=
      -32768/305836515838178325-156982498021596811264/
      532702297174314685806133828149375*ep-2446088014424945503284323313289736\
      48896/540825463237547154771315826098419920420618885828125*ep^2-
      4022298330227711924944119008571740841961765812512543190016/
      7800728229533451378922886954952619209538762981052617240072137437109375*
      ep^3-787641618304893456737334791651466581364162977890322919656876621676\
      1250048/160576152231095011584086966925353760018065692850963376710592569\
      22707650161382529296875*ep^4-400372138206438769603363305684325800018306\
      51222801483707843228279441430636381437163721527808/
      96560828020677276856437672262969455861779416201265108195260632773483235\
      673652236389359893125301025390625*ep^5-64420310775475487397991194030874\
      20669386298390355537383081521210036794144653075014326124480451803334482\
      3847424/198966957049815664135620350032655151543810641133415625949676754\
      636635147740974384322531925717266148800173480139385986328125*ep^6-
      10795195046100135695709565346056953373926018526140978968997613457478187\
      91908275086542348109996682166369389706577603564662484992/
      45052567130273885336486517309427415313594647412613858967380621200544739\
      70110093643779835651659607825138244886088177188506179034881591796875*
      ep^7-601729536552998697021065038326250675337428492393091223679619221478\
      56309052148718386317785096754014438374038465628065012668629900348071153\
      180416/3518428674892683753806760397128851520664828893608383634115509597\
      09406468650218898428034533901504533764792849686328217555795917192143386\
      843219287872314453125*ep^8;
Fill mnchfac1(43,28)=
      8192/4587547737572674875+516376232848788149248/103876947948991363732196\
      096489128125*ep+437475025862101000229151227020575916288/567866736399424\
      51250988161740334091644164983011953125*ep^2+103562233465450819803894166\
      5204182748952357916815857652864/117010923443001770683843304324289288143\
      081444715789258601082061556640625*ep^3+20401641847519111198032054206197\
      33214099505071383171453985689926769678592/24086422834664251737613045038\
      8030640027098539276445065065888853840614752420737939453125*ep^4+
      14883210593837177870288955381325400568898967068675882989103439158116470\
      50249041042974085376/20691606004430845040665215484922026256095589185985\
      3803275558498800321219300683363691485485268502197265625*ep^5+
      16820649777145840648158517970756047892794717502538816253262072182548176\
      133288302024475298910942170915313648896/2984504355747234962034305250489\
      82727315715961700123438924515131954952721611461576483797888575899223200\
      2602202090789794921875*ep^6+2825756769108499911359735911250139188098149\
      49986191376004147110876163077091624582446454813104682070301425707276602\
      078362493568/6757885069541082800472977596414112297039197111892078845107\
      09318008171095516514046566975347748941173770736732913226578275926855232\
      23876953125*ep^7+110451880876318712235395789219314102380301030177063898\
      76274719990493902964160528251648415475539642618678702408309115131082519\
      4088699902459541248/369435010863731794149709841698529409669807033828880\
      28158212850769487679208272984334943626059657976045303249217064462843358\
      571305175055618538025226593017578125*ep^8;
Fill mnchfac1(43,30)=
      -4096/133038884389607571375-261386278982289857024/301243149052074954823\
      3686798184715625*ep-223664847333586683877952366276124873344/
      1646813535558331086278656690469688657680784507346640625*ep^2-
      533703209603532796815258498454409193552537002547092004032/
      33933167798470513498314558254043893561493618967578884994313797851425781\
      25*ep^3-105796538476726467184412766221955274138795780495396319944400963\
      8860172096/698506262205263300390778306125288856078585763901690688691077\
      6761377827820201400244140625*ep^4-5428501870426301987621674701892431961\
      760334150546550112073903095900652060045891404591767616/
      42003960188994615432550387434391713299874046047550322064938375256465207\
      518038722829371553509505946044921875*ep^5-87960358406967681068331643611\
      36055063790174273649588052992488460098194626890065848388709206763996938\
      170630848/8655062631666981389899485226420499092155762889303579728810938\
      8266936289267323857180301387687010774728075463860632904052734375*ep^6-
      14815579560474768957337033333413650668486765663324825139485265532588953\
      9789410303667105310919641196334662342179807361848857984/
      19597866701669140121371635029600925661413671624487028650810570222236961\
      76997890735044228508471929403935136525448357077000187880173492431640625
      *ep^7-58018792272083868363070582470636832049953489036333533205816613419\
      44501363707022483431506209405194809589881787985915415264737200088582094\
      9293824/107136153150482220303415854092573528804244039810375281658817267\
      23151426970399165457133651557300813053137942272948694224573985678500766\
      12937602731571197509765625*ep^8;
Fill mnchfac1(43,32)=
      512/931272190727252999625+2545179438764798656/1622078494895788218279677\
      506714846875*ep+200228725362733608548007540125715388576/806938632423582\
      23227654177833014744226358440859985390625*ep^2+688178924174939518427097\
      05925113386239456186508401875104/23753217458929359448820190777830725493\
      045533277305219496019658495998046875*ep^3+19614994165390497859742972014\
      035258563380763003185139290216326129763616/6985062622052633003907783061\
      252888560785857639016906886910776761377827820201400244140625*ep^4+
      70805092448282636659837740128511394515832258342050492417274821771001474\
      1394352191267350752/294027721322962308027852712040741993099118322332852\
      254454568626795256452626271059805600874566541622314453125*ep^5+
      11516103246502799107985614140230078974365611594404798252086135738553949\
      22402630814437311545156842183163368256/60585438421668869729296396584943\
      49364509034022512505810167657178685540248712670002621097138090754230965\
      28247024430328369140625*ep^6+194507669452389272971542777987586240548540\
      36963048714715172949637748379325770374006635570297514057810287785574602\
      650611032448/1371850669116839808496014452072064796298957013714092005556\
      73991555658732389852351453095995593035058275459556781384995390013151612\
      14447021484375*ep^7+534247432179405454701088584238516904239691446786733\
      05249942949630743906352832519814880200771812817808692328640630690318789\
      876577591224403722496/5249671504373628794867376850536102911407957950708\
      38880128204609434419921549559107399548926307739839603759171374486017004\
      12529824653754033942533846988677978515625*ep^8;
Fill mnchfac1(43,34)=
      -256/25144349149635830989875-16758357819978084064/569349551708421664616\
      166804856911253125*ep-102489523301119713790129706548726215088/
      2178734307543672027146662801491398094111677903219605546875*ep^2-
      35526317852367962184582140976007404287509858410887114752/
      64133687139109270511814515100142958831222939848724092639253077939194726\
      5625*ep^3-1019442876555870067912418632674509834554358814744171989878338\
      1137150608/188596690795421091105510142653827991141218156253456485946590\
      972557201351145437806591796875*ep^4-36991887292367134079540273358046788\
      8719122259351233394832136155890555101809032421127498976/
      79387484757199823167520232251000338136761947029870108702733529234719242\
      20909318614751223613296623802490234375*ep^5-604035930896627763332907753\
      85943702301412945722079074614388331304074681819983480970500643851140499\
      6885204928/163580683738505948269100270779347432841743918607837656874526\
      74382450958671524209007076962272845036423606262669659618865966796875*
      ep^6-102319512879831631392958217674721490066858292839657892206066979210\
      32166370368698379573864448014059928203234528846968448202624/
      37039968066154674829392390205945749500071839370280484150031977720027857\
      74526013489233591881011946573437408033097394875530355093527900695800781\
      25*ep^7-281625451894314788335971849877912419564337259173962374354598180\
      96822528765475273557007586127107857597511596034064197466734200038679497\
      806914048/1417411306180879774614191749644747786080148646691264976346152\
      44547293378818380958997878210103089756693014976271111224591113830526565\
      1358916448413868694305419921875*ep^8;
Fill mnchfac1(43,36)=
      64/326876538945265802868375+55189246619452036408/9622007423872326132013\
      2190020818001778125*ep+2019016348056834083443041412054069744/
      2178734307543672027146662801491398094111677903219605546875*ep^2+
      9178740439413625905079984907262148143987076750885717288/
      83373793280842051665358869630185846480589821803341320431029001320953144\
      53125*ep^3+344814806939196347032311599237444496878893433535739413050861\
      54688924176/31872840744426164396831214108496930502865868406834146124973\
      874362167028343578989314013671875*ep^4+74441512932498387176069763855107\
      71751621017718085050907656326641696758271320266634425888/
      79387484757199823167520232251000338136761947029870108702733529234719242\
      20909318614751223613296623802490234375*ep^5+158678449530713337667259208\
      76952596396834546090850188455445404529414245682799446990614983721207935\
      2048061632/212654888860057732749830352013151662694267094190188953936884\
      766971862462729814717092000509546985473506881414705575045257568359375*
      ep^6+350503388545229665346118106875467185546440156604799187979390230114\
      01536154723992344736822226850712797097640402212650759120128/
      62597546031801400461673139448048316655121408535774018213554042346847079\
      58948962796804770278910189709109219575934597339646300108062152175903320\
      3125*ep^7+5721125329361894015052572737225758967842175457301042637535334\
      25787082627562144000812710337667222634675480499011794127139134559450439\
      548404224/1417411306180879774614191749644747786080148646691264976346152\
      44547293378818380958997878210103089756693014976271111224591113830526565\
      1358916448413868694305419921875*ep^8;
Fill mnchfac1(43,38)=
      -32/8171913473631645071709375-27971406836078115068/24055018559680815330\
      03304750520450044453125*ep-79603285077764081026545608330199788/
      4189873668353215436820505387483457873291688275422318359375*ep^2-
      4747771841327972111440537385554536808780371205579007288/
      20843448320210512916339717407546461620147455450835330107757250330238286\
      1328125*ep^3-1796674774009729358168754229603688863454433374406418883590\
      0465842164176/796821018610654109920780352712423262571646710170853653124\
      346859054175708589474732850341796875*ep^4-39010788203665459918267098243\
      83555799264940982762346306765477543198506457238562920025888/
      19846871189299955791880058062750084534190486757467527175683382308679810\
      5522732965368780590332415595062255859375*ep^5-8351914549475922740050353\
      79016006953993980191904982678112001656873267723472985058220263841007124\
      45483061632/53163722215014433187457588003287915673566773547547238484221\
      19174296561568245367927300012738674636837672035367639376131439208984375
      *ep^6-18508564369681146562107842518423981738968754998313674182956466487\
      363609240299577068770922120872794095058540426126056559120128/
      15649386507950350115418284862012079163780352133943504553388510586711769\
      89737240699201192569727547427277304893983649334911575027015538043975830\
      078125*ep^7-30282002163858325212065901974779530508227993946307837091897\
      84352871625378973414196022954477504728643804221624432940541735983313323\
      45148404224/35435282654521994365354793741118694652003716167281624408653\
      81113682334470459523974946955252577243917325374406777780614777845763164\
      1283972911210346717357635498046875*ep^8;
Fill mnchfac1(43,40)=
      2/24515740420894935215128125+1772743104751763498/7216505567904244599009\
      914251561350133359375*ep+66350196164757670034176613494337684/
      163405073065775402035999710111854857058375842741470416015625*ep^2+
      307315023660681850129207704514330073875399897478066168/
      62530344960631538749019152222639384860442366352505990323271750990714858\
      3984375*ep^3+1171872981014878278148498616355342365926754523820807370547\
      476090977936/2390463055831962329762341058137269787714940130512560959373\
      040577162527125768424198551025390625*ep^4+25597930221556443968086601024\
      0161204305218967229484736777371212174689741266054777720768/
      59540613567899867375640174188250253602571460272402581527050146926039431\
      6568198896106341770997246785186767578125*ep^5+5505650999631292327805505\
      44879400510576450602005807042572504920085251622340916188149282447339627\
      7215181952/159491166645043299562372764009863747020700320642641715452663\
      57522889684704736103781900038216023910513016106102918128394317626953125
      *ep^6+12243125712334904581283530926259909212463295859501182234117509275\
      69913989579081146328949228782652028727454259798990855537408/
      46948159523851050346254854586036237491341056401830513660165531760135309\
      69211722097603577709182642281831914681950948004734725081046614131927490\
      234375*ep^7+20081351532566093985175515759711820680096155331565868793056\
      62083329243948511226246972095596397100147691283804215138715330233751951\
      9584574464/106305847963565983096064381223356083956011148501844873225961\
      43341047003411378571924840865757731731751976123220333341844333537289492\
      3851918733631040152072906494140625*ep^8;
Fill mnchfac1(43,42)=
      -1/563862029680583509947946875-899169905852515474/165979628061797625777\
      228027785911053067265625*ep-34060320720121293525442004669688892/
      3758316680512834246827993332572661712342644383053819568359375*ep^2-
      159324420143688037804060958198486750300989082145108184/
      14381979340945253912274405011207058517901744261076377774352502727864417\
      431640625*ep^3-61241818201988877655794777146381237944894795907331783032\
      7956958059168/549806502841351335845338443371572051174436230017889020655\
      79933274738123892673756566673583984375*ep^4-134621757881558176633274380\
      051150582497858327025809234766988496045650621295093093217984/
      13694341120616969496397240063297558328591435862652593751221533792989069\
      281068574610445860732936676059295654296875*ep^5-
      29096127525299186769376530675125467557668542909767538851731796589668304\
      06528084067615641385155826140437376/36682968328359958899345735722268661\
      81476107374780759455411262230264627482089303869837008789685499417993704\
      40367116953069305419921875*ep^6-649394538103744335898755902198419040258\
      65542432836531496292737589114899657101052558224048742075425898665336111\
      0263079874304/107980766904857415796386165547883346230084429724210181418\
      38072304831121229186960824488228731120077248213403768487180410889867686\
      4072125034332275390625*ep^7-1067999736970204763286660015402853275925728\
      07192696348275233957783075217817242176224581716828604199613744464652717\
      65546562966122203949772032/24450345031620176112094807681371899309882564\
      15542432084197112968440810784617071542713399124278298302954508340676668\
      624196713576583248594130873513923497676849365234375*ep^8;
Fill mnchfac1(44,0)=
      17592186044416/45+1788178884001330514197213085696/1892327978330843625*
      ep+730823629410932798789981322931088756253963321344/5570296942892418768\
      84274800653821875*ep^2+324360397987090938740715134850608650645157489324\
      54922776968429568/23424063894769087807303094545951044605230701093984375
      *ep^3+59965004040408415237348624273930751587789891693129808757365605490\
      414295587911368704/4826610138310586335567315026858438787349123291616044\
      2477997362435546875*ep^4+1428398303938123558059134942049801792495883957\
      7153443187153802040609676864582497410883053721292374016/
      14207712408120661688220592757242269929761710435823504484260695589469187\
      198913052197265625*ep^5+31804226310291418146062760368663803304563394495\
      12700383595253711548671888339681583207929248907446827813167939257892864/
      41822124863501132248859693116493913675199266627431056601453793545398258\
      56774418290370327838608817138671875*ep^6+
      96756305853010009191216267934107100562157752064576778087390341818466997\
      828740792080252378129018402672103897973250841565635172062199808/
      17586928220544268218719689036811686466965504589979886364754094267510686\
      9259514861308148415655203447190187796518646240234375*ep^7+
      14006712113279066831396625501701904310742029931229986455820623633503540\
      28103624285813233972385402978039173179021974734228782892345349013028145\
      75295463424/36238479553488391442734192169762997976268941346454060399458\
      01172819326882636792391949439233352547258977154119412855695875424713493\
      34716796875*ep^8;
Fill mnchfac1(44,2)=
      -2199023255552/495-225624013647379054809592102912/20815607761639279875*
      ep-8442035386339004409961759509958588210702450688/557029694289241876884\
      274800653821875*ep^2-41432555290365719044102208030141911370652804465211\
      92077376618496/257664702842459965880334040005461490657537712033828125*
      ep^3-768965556544980111570097489102687473953644684409390223373257941691\
      3639706080575488/530927115214164496912404652954428266608403562077764867\
      257970986791015625*ep^4-18369420478982084861074337521954302599024575462\
      73102140337286286890832857953438667337204567587684352/
      15628483648932727857042652032966496922737881479405854932686765148416105\
      9188043574169921875*ep^5-4098420601022139167564197656725770058959790164\
      16226181318197972956556677540699195140650534322677337551498351380267008/
      46004337349851245473745662428143305042719193290174162261599172899938084\
      424518601194073606224696988525390625*ep^6-
      11351120888727340607018754256258526630875684860500629358782697577358301\
      85395176057815643675156401353291756959806162709026429118447616/
      17586928220544268218719689036811686466965504589979886364754094267510686\
      9259514861308148415655203447190187796518646240234375*ep^7-
      18093124662995814902531896585899690641562901559853350575201378965662571\
      09126537697309143387512780838187620861287064702013367238422272245181352\
      9527779328/398623275088372305870076113867392977738958354810994664394038\
      12901012595709004716311443831566878019848748695313541412654629671848426\
      81884765625*ep^8;
Fill mnchfac1(44,4)=
      1099511627776/21285+113887271224589069073835360256/
      895071133750489034625*ep+4291893168292748700743288073376348739096018944/
      23952276854437400706023816428114340625*ep^2+211779746206145966791743815\
      1399420655816364605226908769948008448/110795822222257785328543637202348\
      44098274121617454609375*ep^3+394631140138378981896142571650456833872792\
      3793077498107720509954136255391904825344/228298659542090733672334000770\
      40415464161353169343889292092752432013671875*ep^4+
      94548601533531190068500076590772809117077966403689310950474113682717301\
      2085923027377164473730072576/672024796904107297852834037417559367677728\
      9036144517621055309013818925545085873689306640625*ep^5+
      21139347836096581650330573371900075953146125610511261079039738988327141\
      0127806305796354521499616955000926354332975104/
      19781865060436035553710634844101621168369253114774889772487644346973376\
      30254299851345165067661970506591796875*ep^6+
      58634983318615004103231523494763723691806252579749422789949017657998452\
      3339442868861254319746302726066103693232928602373313955627008/
      75623791348340353340494662858290251807951669736913511368442605350295953\
      78159139036250381873173748229178075250301788330078125*ep^7+
      93556352921162901738470975813273703921697426769160083574230230770490805\
      32621151783471439629674487008949347666766986910865969667514754722315036\
      486795264/1714080082880000915241327289629789804277520925687277056894363\
      95474354161548720280139208475737575485349619389848228074414907588948235\
      321044921875*ep^8;
Fill mnchfac1(44,6)=
      -274877906944/446985-201229240027975883036240642048/
      131575456661321888089875*ep-6944568859248470477355011986170178160631480\
      32/320089517963845263980500092266618915625*ep^2-26531948405040258680095\
      608387078104353522204531053646079263244288/1140089010667032611030714026\
      8121654577124071144360793046875*ep^3-7091997353482699159868934851729142\
      359309922170036728177250688923929415745957527552/3355990295268733784983\
      309811324941073231718915893551725937634607506009765625*ep^4-
      17043056565191795649842835729230494584218347878855189459540200979802476\
      14004473916191075300758519808/98787645144903772784366603500381227048626\
      1488313244090295130425031382055127623432328076171875*ep^5-
      38188342149264855016203110506244915575984682493982865985672511120708767\
      4923242705172488708558332312731978535515717632/
      29079341638840972263954633220829383117502802078719087965556837190050863\
      1647382078147739264946309664468994140625*ep^6-
      67510013739964349360713154839562113422038152343817621791044264063420603\
      5995524406547025350492744157518065301603849569689036251987968/
      70742619361311112352153643710164244645802061962985457452843128095867760\
      4011432188027422086135980629802203584778230926513671875*ep^7-
      16944875895497350016646205844637954690326173240091226285074583506530665\
      78479756625770319375505602175483972164608350592887475934694759040071083\
      5450150912/251969772183360134540475111575579101228795576076029727363471\
      50134730061747661881180463645933423596346394050307689526938991415575390\
      592193603515625*ep^8;
Fill mnchfac1(44,8)=
      137438953472/18326385+101601371796520752622939930624/
      5394593723114197411684875*ep+388582683313908318066661548003246132027824\
      5376/144360372601694214055205541612245130946875*ep^2+135728581755921795\
      18465411541534620302103893905623454163553746944/46743649437348337052259\
      2750992987837662086916918792514921875*ep^3+3643445882649819651126067037\
      545920478144702623126066640729039043517814998329982976/
      13759560210601808518431570226432258400250047555163562076344301890774640\
      0390625*ep^4+8783111816844721594138278176781022554541463544784115092426\
      37420984483927044970138092896751351496704/40502934509410546841590307435\
      156303089936721020843007702100347426286664260232560725451123046875*ep^5
      +1972476022148752021458023860511666006245687928124667995651823643902038\
      96462002739639717817048303314908998948687446016/
      11922530071924798628221399620540047078176148852274826065878303247920853\
      897542665204057309862798696243228759765625*ep^6+
      38417918295738297332805954707603031199490231564995198685456135324941184\
      01096553134165451907856704161624674996399145119873816407834624/
      31904921331951311670821293313284074335256729945306441311232250771236359\
      9409155916800367360847327264040793816734982147857666015625*ep^7+
      87758442473605750939784301395163527469232905720889642071922057041056068\
      05945117164329645774759751210445866839328760368056550683616699990249852\
      586950656/1033076065951776551615947957459874315038061861911721882190233\
      15552393253165413712839900948327036745020215606261527060449864803859101\
      4279937744140625*ep^8;
Fill mnchfac1(44,10)=
      -8589934592/91631925-6413299523351055250336251904/
      26972968615570987058424375*ep-24715470549796903505428262056088441267526\
      0416/721801863008471070276027708061225654734375*ep^2-868310706998191421\
      301504926241594631746914138399505464273403904/2337182471867416852612963\
      754964939188310434584593962574609375*ep^3-23410531239514616796593814664\
      9894261060264433962620199719254940299801231481634816/687978010530090425\
      921578511321612920012502377758178103817215094538732001953125*ep^4-
      56617242315084244822576459646972725486642951982473895367860517562375596\
      026108676670744775637336064/2025146725470527342079515371757815154496836\
      05104215038510501737131433321301162803627255615234375*ep^5-
      12744624439441586818072939467420969308109944884536695710722124227595255\
      572433729567445662096567269203046248618131456/
      59612650359623993141106998102700235390880744261374130329391516239604269\
      487713326020286549313993481216143798828125*ep^6-
      24863820479283509137395373554387309175105435724302247837382593566964461\
      2446743805217878159735843126403246690376595293196307906166784/
      15952460665975655835410646656642037167628364972653220655616125385618179\
      97045779584001836804236636320203969083674910739288330078125*ep^7-
      56861742513708070141795134196569315059868681455539271837832693090809823\
      39386223127714246404735653749455964549884203475543226156320313327332185\
      98813696/51653803297588827580797397872993715751903093095586094109511657\
      77619662658270685641995047416351837251010780313076353022493240192955071\
      399688720703125*ep^8;
Fill mnchfac1(44,12)=
      4294967296/3573645075+249159006758808168855240704/
      80918905846712961175273125*ep+12579986717107186786653553700069208857824\
      4608/28150272657330371740765080614387800534640625*ep^2+4445999146617711\
      96733761546564875669031919905450115662507671552/91150116402829257251905\
      586443632628344106948799164540409765625*ep^3+92621833719257763760901746\
      76705455315987023477330070106059282594461483942281216/
      20639340315902712777647355339648387600375071332745343114516452836161960\
      05859375*ep^4+292174331660301300030379094097966821709967987892797510462\
      87160666139685198097247010609676662341632/78980722293350566341101099498\
      55479102537660599064386501909567748125899530745349341462968994140625*
      ep^5+659283801097186597307236345011019882127843020373769962233555455703\
      5108705918007078669700696160758668077990245040128/
      23248933640253357325031729260053091802443490261935910828462691333445665\
      10020819714791175423245745767429608154296875*ep^6+
      99109874067547133629596943061568340796272408642558264202765029101416832\
      34800860936640945132949305883260170130139538564081670160384/
      47857381997926967506231939969926111502885094917959661966848376156854539\
      91137338752005510412709908960611907251024732217864990234375*ep^7+
      29500591689985048397299860913326372981712187895764360654892427618715891\
      37973429955253419982935592851232677781307027811527547954472671167600242\
      51957248/20144983286059642756510985170467549143242206307278576702709546\
      53271668436725567400378068492377216527894204322099777678772363675252477\
      84587860107421875*ep^8;
Fill mnchfac1(44,14)=
      -1073741824/67899256425-62929567338168724515454976/
      1537459211087546262330189375*ep-320260745899706627395490372029090061898\
      21952/534855180489277063074536531673368210158171875*ep^2-11387892337168\
      1876911691856275017335708019570617856056872665088/173185221165375588778\
      6206142429019938538032027184126267785546875*ep^3-2383403418774021456636\
      332167878013254901306801997672375537646029596537661947904/
      39214746600215154277529975145331936440712635532216151917581260388707724\
      111328125*ep^4-75443737701874081282958253206876298790726387410299181223\
      26941427667070783120235932647696523460608/15006337235736607604809208904\
      7254102948215551382223343536281787214392091084161637487796410888671875*
      ep^5-170665102727523367379249885039082757723831337410431858877762191674\
      5618404751477144574036128372278457461068089720832/
      44172973916481378917560285594100874424642631497678230574079113533546763\
      690395574581032333041669169581162554931640625*ep^6-
      25701968758866090764335107922485645888356760118201775877387702400451682\
      92404748905013701574469569129089133170183529014567586922496/
      90929025796061238261840685942859611855481680344123357737011914698023625\
      831609436288104697841488270251626237769469912139434814453125*ep^7-
      76598566425849647846716400609928102719111891449644315757475535618078804\
      90602425738982155547790361707381245695175091820297667970089173531555413\
      3082112/382754682435133212373708718238883433721601919838292957351481384\
      12161700297785780607183301355167114029989882119895775896674909829797079\
      07169342041015625*ep^8;
Fill mnchfac1(44,16)=
      536870912/2512272487725+31793337650729415331545088/
      56885990810239211706217006875*ep+16311965574256448846787895122800366191\
      640576/19789641678103251333757851671914623775852359375*ep^2+
      58366971800258714364632527553923172762169429515534272187858944/
      64078531831188967848089627269873737725907185005812671908065234375*ep^3+
      94417007572963682314177834102391576295801213294584226184354364602968356\
      552704/1116112018621508237129699292597908960235667318993844323808082026\
      44783522470703125*ep^4+389913233795057077740003228042685411173876535045\
      8426062586397053362327266563734141461704955592704/
      55523447772225448137794072947484018090839754011422637108424261269325073\
      70113980587048467202880859375*ep^5+884345970394511092380513137882610670\
      30719709908258742689303123160791067945786572051010309025198152442208291\
      1830016/163440003490981101994973056698173235371177736541409453124092720\
      0741230256544636259498196322541759274503014532470703125*ep^6+
      13342985822391180280019132219460089282362968338900031931920704350457686\
      80583043489910807816460909352754061360464835427643802370048/
      33643739544542658156881053798858056386528221727325642362694408438268741\
      55769549142659873820135065999310170797470386749159088134765625*ep^7+
      39817274485691718440669173764937723634871867182975260491953967451802562\
      01364761038094326309689908487715299017568597349633725532235919800505761\
      0694656/141619232500999288578272225748386870476992710340168394220048112\
      12499829110180738824657821501411832191096256384361437081769716637024919\
      2565265655517578125*ep^8;
Fill mnchfac1(44,18)=
      -67108864/22610452389525-4016377266483076096065536/
      511973917292152905355953061875*ep-1888915972670643139949046851986098311\
      65952/16191525009357205636710969549748328543879203125*ep^2-
      7482757766180436430701985508059912792510750928044263031635968/
      576706786480700710632806645428863639533164665052314047172587109375*ep^3
      -1581341341309524753706527051765513050990931861234857053520276390845466\
      78226944/13058510617871646374417481723395534834757307632227978588554559\
      709439672129072265625*ep^4-50420079521752891613457008097687554888383740\
      2359795201446623455958292256950242491690271383666688/
      49971102995002903324014665652735616281755778610280373397581835142392566\
      331025825283436204825927734375*ep^5-11466595796623211573268870245244599\
      13680832649493877123524216378190850903086213919526897251963962176117853\
      13329152/14709600314188299179547575102835591183405996288726850781168344\
      806671072308901726335483766902875833470527130792236328125*ep^6-
      14325943049246625643005825991614768407609454055336692116467543756387509\
      00420130909273920449498370838932035713968569988034011136/
      25024269082717679620820618528076240287500330210407502583822287268133774\
      7123354894908585656043104082593318489068045295391998291015625*ep^7-
      51798454563867931746575071156347314132945424426000227422840070050535847\
      43176826385796084189254568229140831907753848024880494371740323664030606\
      303232/1274573092508993597204450031735481834292934393061515547980433009\
      12498461991626649421920393512706489719866307459252933735927449733224273\
      3087390899658203125*ep^8;
Fill mnchfac1(44,20)=
      33554432/791365833633375+2029896664171657626124288/
      17919087105225351687458357165625*ep+15129713483736999515397207460971301\
      9486208/890533875514646310019103325236158069913356171875*ep^2+
      3839358406199737348247951504227191803971237261493256517156864/
      20184737526824524872148232590010227383660763276830991651040548828125*
      ep^3+815509389734733244863938642091230166498918206642029979399708358366\
      77456576512/45704787162550762310461186031884371921650576712797925059940\
      9589830388524517529296875*ep^4+3728810416964731124164222653333007557044\
      5340687669816449003779591635176800403543329146217029632/
      24985551497501451662007332826367808140877889305140186698790917571196283\
      1655129126417181024129638671875*ep^5+5952822013624481421770115410402503\
      26477356899652889051926121609565758246447562259235256644361147485333971\
      60144896/51483601099659047128416512859924569141920987010543977734089206\
      8233487530811560421741931841600654171468449577728271484375*ep^6+
      90173025112714534742088628911341512989802012368504788947486814602519652\
      679882601618457175236278715813531430247505190872089714688/
      10597777956530937319417531946640287761756389844107577344248738658054653\
      59067407979937860253342545789782703801203171825985112762451171875*ep^7+
      38548171176003905965134928837261787835299925086713182837634626341729297\
      40640344330793313927750295722416321680620633308403824193724325149962895\
      89248/63728654625449679860222501586774091714646719653075777399021650456\
      24923099581332471096019675635324485993315372962646686796372486661213665\
      436954498291015625*ep^8;
Fill mnchfac1(44,22)=
      -8388608/13453219171767375-513060791649930474422272/
      304624480788830978686792071815625*ep-5510602882661427816389978375302873\
      972736/2162725126249855324332108075573526741218150703125*ep^2-
      985554860380342297390276436358028326158946645418433675862016/
      343140537956016922826519954030173865522232975706126858067689330078125*
      ep^3-210440922725459927582244652815712028129127234571465559491888026084\
      40122646528/77698138176336295927784016254203432266805980411756472601899\
      63027116604916797998046875*ep^4-966038566307646240719875463544814003771\
      7592173980724833414542160646017931944093428050395383808/
      42475437545752467825412465804825273839492411818738317387944559871033681\
      38137195149092077410203857421875*ep^5-154675127370112569338539200269481\
      46288721567826666658333217717306625397670084152868572977505724780602311\
      792615424/8752212186942038011830807186187176754126567791792476214795165\
      159969288023796527169612841307211120914963642821380615234375*ep^6-
      23479712467913290658252506919285617065938195296474286203982666285757395\
      074952496349077329515512310836453044449696097638826166272/
      18016222526102593443009804309288489194985862734982881485222855718692911\
      104145935658943624306823278426305964620453921041746916961669921875*ep^7
      -1436045126557992048091722827399547930436227865932089404735208292148056\
      16060384333755860420994200543779959434333175364985867067167728821563352\
      92416/15476958980466350823196893242502279416414203344318403082619543682\
      23195609898323600123319064082864518026948019148071338221976175332009033\
      0346889495849609375*ep^8;
Fill mnchfac1(44,24)=
      4194304/443956232668323375+259408354471003817639936/
      10052607866031422296664138369915625*ep+21645552676072570607227566568720\
      8569716736/5495484545800882379127886620032331449435320936640625*ep^2+
      506293011077935076586821424841822016786643542292935322718208/
      11323637752548558453275158482995737562233688198302186316233747892578125
      *ep^3+89830111957217097952053563829162795461129051021396115761479612388\
      064886784/2119040132081898979848654988751002698185617647593358343688171\
      734668164977308544921875*ep^4+50102542306783234864798722701028615727917\
      21176616344108915749378721608020993945935789709845504/
      14016894390098314382386113715592340367032495900183644738021704757441114\
      8558527439920038554536727294921875*ep^5+8046598906353366068306777467552\
      73389105990896542099804535529006567510476480023581906361983665929138946\
      6293568512/288823002169087254390416637144176832886176737129151715088240\
      450278986504785285396597223763137966990193800213105560302734375*ep^6+
      13465966331251775791157875442483672975041581374107449650830161235214637\
      8298375443148538200809117250377299141915760716741997520896/
      65398887769752414198125589642717215777798681727987859791358966258855267\
      30804974644196535623376850068749065157224773338154130857086181640625*
      ep^7+524923290791630916676571371614670306446506348883203583898430488283\
      95658055061195585921369863388737008719665036366786674646194232778888228\
      620793856/3575177524487727040158482339018026545191680972537551112085114\
      59059558185886512751628486703803141703664224992423204479129276496501694\
      0866310131473541259765625*ep^8;
Fill mnchfac1(44,26)=
      -65536/443956232668323375-4099628895698923495424/
      10052607866031422296664138369915625*ep-34521536834011728292115588014296\
      09396224/5495484545800882379127886620032331449435320936640625*ep^2-
      8133118397418636899786304028918231136547380004988633628672/
      11323637752548558453275158482995737562233688198302186316233747892578125
      *ep^3-15962732759845543604160696399043246431564108604028986306801581706\
      369686016/2330944145290088877833520487626102968004179412352694178056988\
      9081349814750393994140625*ep^4-8128491804263115760496206601470834769105\
      2679151735017572861357292190439717090703793123431936/
      14016894390098314382386113715592340367032495900183644738021704757441114\
      8558527439920038554536727294921875*ep^5-1309621832637099740724732660607\
      51806738042035089445547751847579338981297859335170109029781059379827872\
      497783808/2888230021690872543904166371441768328861767371291517150882404\
      50278986504785285396597223763137966990193800213105560302734375*ep^6-
      21967262469745679682363203508454532248740195899897752025826015166578120\
      73672676442939170865757798591593704720042554409230705664/
      65398887769752414198125589642717215777798681727987859791358966258855267\
      30804974644196535623376850068749065157224773338154130857086181640625*
      ep^7-857720450884484358724290617902259583162740744169491026973423869478\
      68668845110994951321122074738710609019268258914021201851983371761355752\
      8738304/357517752448772704015848233901802654519168097253755111208511459\
      05955818588651275162848670380314170366422499242320447912927649650169408\
      66310131473541259765625*ep^8;
Fill mnchfac1(44,28)=
      32768/13762643212718024625+2073749083766617280512/311630843846974091196\
      588289467384375*ep+1762646572414739667770714027981834816512/
      170360020919827353752964485221002274932494949035859375*ep^2+
      4183720321160629839464121735925695726158195211269599937536/
      351032770329005312051529912972867864429244334147367775803246184669921875
      *ep^3+82591757245888115410106430663047457508596486278972506861914443025\
      41412608/72259268503992755212839135116409192008129561782933519519766656\
      1521844257262213818359375*ep^4+4224457867015243661992289240449956931413\
      2573451630516347397459028414073681920420307021037568/
      43452372609304774585396952518336255137800737290569298687867284748067456\
      05314350637521195190638546142578125*ep^5+682890409575654272551216186172\
      92159273851106594871773995328847940697815796794500996068658625733127266\
      491656704/8953513067241704886102915751469481819471478851003703167735453\
      958648581648343847294513936657276976696007806606272369384765625*ep^6+
      11482432911035880226254639305266329287310308189440368187983168504553134\
      49881211225688743052273003461928371148548648604490591232/
      20273655208623248401418932789242336891117591335676236535321279540245132\
      8654954213970092604324682352131221019873967973482778056569671630859375*
      ep^7+449109033882326833193497673393714753230350915227755781780478498662\
      62058767985659665996738457008739651224417903473565256373508391978693353\
      7591552/110830503259119538244912952509558822900942110148664084474638552\
      30846303762481895300483087817897392813590974765119338853007571391552516\
      6855614075679779052734375*ep^8;
Fill mnchfac1(44,30)=
      -8192/206439648190770369375-524620385220252832768/467446265770461136794\
      8824342010765625*ep-64317356404062381011894335274301009664/365057187685\
      344329470638182616433446283917747933984375*ep^2-10768533171971052453472\
      96740313147479301121460822026978944/52654915549350796807729486945930179\
      66438665012210516637048692770048828125*ep^3-194425742757552561963729709\
      495049646232830310340703302203124956566579712/9853536614180830256296245\
      69769216254656312206130911629814999856620696714448473388671875*ep^4-
      10989836423094363092316086103716228119444742607411162070280236796369485\
      626690558404565244672/6517855891395716187809542877750438270670110593585\
      3948031800927122101184079715259562817927859578192138671875*ep^5-
      17827091626127905310646064705024015595466954087255325235542631393053287\
      396929594922642761892906614520550710016/1343026960086255732915437362720\
      42227292072182765055547516031809379728724725157709417709049859154650440\
      117099094085540771484375*ep^6-30051626037103804921754315715159117230158\
      59689854626907858755178268242186063374783493786129589572510240940267188\
      42369403110528/30410482812934872602128399183863505336676387003514354802\
      98191931036769929824313209551389064870235281968315298109519602241670848\
      545074462890625*ep^7-16821913036195813783901472247967492298492546385223\
      44078460527127825764267929153558721641718627115970741187239792317123303\
      7071664812460879852544/237493935555256153381956326806197477644875950318\
      56589530279689780384936633889775643892331038351556029123517353827154685\
      0162244104696786119173019313812255859375*ep^8;
Fill mnchfac1(44,32)=
      4096/5986749797532340711875+265508355168022198784/135559417073433729670\
      515905918312203125*ep+230115786154866351608207198327498897024/
      74106609100124898882539551071135989595635302830598828125*ep^2+
      554777058965928942952690233740989476143719788401510939072/
      15269925509311731074241551214319752102672128535410498247441209033141601\
      5625*ep^3+8528621079959974576002386111858558453144833003405922738352915\
      6189533632/241790629224898834750654029043369219411818149042892930700757\
      65712461711685312539306640625*ep^4+572482093081176463339931810943162901\
      4206346064640688076523171367629672343997006194289427136/
      18901782085047576944647674345476270984943320721397644929222268865409343\
      38311742527321719907927767572021484375*ep^5+932031110202728378471103693\
      80441518767679866320133053420057176687789674077619453522421677376855352\
      98330169408/38947781842501416254547683518892245914700933001866108779649\
      22472012133017029573573113562445915484862763395873728480682373046875*
      ep^6+157535442195881338192852812104615476609765273237095901540155425177\
      913311466178708239403137263531264972224721288853648422430464/
      88190400157511130546172357633204165476361522310191628928647566000066327\
      964905083076990282881236823177081143645176068465008454607807159423828125
      *ep^7+61846361084921240137986358089134114949698454581949960385624805047\
      02121924830935435851960727543905817608948401421090949518413907054366276\
      0911104/482112689177169991365371343416580879619098179146688767464677702\
      54181421366796244557101432007853658739120740228269124010582935553253447\
      582192122920703887939453125*ep^8;
Fill mnchfac1(44,34)=
      -512/41907248582726384983125-33602592227158925248/948915919514036107693\
      611341428185421875*ep-205943716387767167649255764762750315296/
      3631223845906120045244438002485663490186129838699342578125*ep^2-
      71512204906752251613354079050620359293682738721135653984/
      10688947856518211751969085850023826471870489974787348773208846323199121\
      09375*ep^3-205496366320203901083524049009114512324267232090398807205585\
      77693143136/31432781799236848517585023775637998523536359375576080991098\
      4954262002251909063010986328125*ep^4-7464959012686514488062039734719341\
      42483627836232917722535320888768822095021199522999564192/
      13231247459533303861253372041833389689460324504978351450455588205786540\
      368182197691252039355494373004150390625*ep^5-12199739186298536824583631\
      75933973432066423113570140478150219350723636395110475528728741330158258\
      985996328576/2726344728975099137818337846322457214029065310130627614575\
      4457304084931119207015011794937121408394039343771116099364776611328125*
      ep^6-206785075304925126343661076171063867090841135747708316907550220497\
      01464600325829761565572496053295758420245287714205587323008/
      61733280110257791382320650343242915833453065617134140250053296200046429\
      57543355815389319801686577622395680055162324792550591822546501159667968\
      75*ep^7-569416589412560200551302652085677784960557058159317566043802467\
      20051268844517724717986520160448822657929993442541227356225306224094034\
      283375616/2362352176968132957690319582741246310133581077818774960576920\
      74245488964697301598329797016838482927821691627118518707651856384210941\
      8931527414023114490509033203125*ep^8;
Fill mnchfac1(44,36)=
      256/1131495711733612394544375+17015987581586355424/25620729826878974907\
      727506218561006390625*ep+105383532657702933997118761544619870448/
      98043043839465241221599826067112914235025505644882249609375*ep^2+
      36905025458416943917151532271824056443498924108971388192/
      28860159212599171730316531795064331474050322931925841687663885072637626\
      953125*ep^3+10676766068267666929436283069008861969562228889911042667758\
      827393676368/8486851085793949099747956419422259601354817031405541867596\
      593765074060801544701296630859375*ep^4+38989333918759764244159825251346\
      2983855272211942586193445281886853690776018436463361197696/
      35724368140739920425384104512950152161542876163441548916230088155623658\
      9940919337663805062598348071112060546875*ep^5+
      63974210140642223071055075850473518112862205460646770373124148696717509\
      4332252537661191797917751973562961088/736113076823276767210951218507063\
      44778784763373526945593537034721029314021858940531846330227802663906228\
      1820134682848968505859375*ep^6+1087576615156172220661921401395841509382\
      31943044835489692315765439435619491339973868273952480895876342445632189\
      07774520955904/16667985629769603673226575592675587275032327716626217867\
      51438997401253598536706070155116346455375958046833614893827693988659792\
      0875553131103515625*ep^7+3001225087661066599740487068674712570599848786\
      08140826358416496760411627061768063689216298458071799862320001573026947\
      35004918478884613815556608/63783508778139589857638628734013650373606689\
      10110692393557686004628202046827143154904519454639039051185673932200005\
      1066001223736954311151240178624091243743896484375*ep^8;
Fill mnchfac1(44,38)=
      -64/14709444252536961129076875-56026543344678918328/4329903340742546759\
      405948550936810080015625*ep-2075399570735057177454556857455247424/
      98043043839465241221599826067112914235025505644882249609375*ep^2-
      9531715883686729313481514100988009612295365660967252648/
      37518206976378923249411491333583630916265419811503594193963050594428915\
      0390625*ep^3-3281906939101975966614670676545421258454496512781024053537\
      206084801536/1303888939544706725324913304438510793299058253006851432385\
      29486027046934132823138102783203125*ep^4-784379014162212859275490216649\
      6893576046630661251271800106741139619521972717780687433248/
      35724368140739920425384104512950152161542876163441548916230088155623658\
      9940919337663805062598348071112060546875*ep^5-
      16801672705734125774435649513326985372807728128592790622224389890526652\
      4151361691974107242626743544879388672/956946999870259797374236584059182\
      48212420192385585029271598145137338108228416622691400229296143463078096\
      63661750877036590576171875*ep^6-372484615943425084087308124884814022710\
      19876105160489984697200059056120348723700408667542388408319188276766556\
      549229983020288/2816889571431063020775291275162174249480463384109830819\
      60993190560811858152703325856214662550958536909914880917056880284083504\
      8627968479156494140625*ep^7-6095981277831632756668990527473157643869569\
      00422770109561806502231777780840046618907094950111737346547911100253137\
      001963409043373547733909504/6378350877813958985763862873401365037360668\
      91011069239355768600462820204682714315490451945463903905118567393220000\
      51066001223736954311151240178624091243743896484375*ep^8;
Fill mnchfac1(44,40)=
      32/367736106313424028226921875+28390055198691556028/1082475835185636689\
      85148713773420252000390625*ep+1063413499576888407166948112642861924/
      2451076095986631030539995651677822855875637641122056240234375*ep^2+
      4928632846481897564442734034949216782453487454625197648/
      93795517440947308123528728333959077290663549528758985484907626486072287\
      59765625*ep^3+188041519897330359286190065456661715040983045063786234214\
      42142084606896/35856945837479434946435115872059046815724101957688414390\
      595608657437906886526362978265380859375*ep^4+41092413248117290373341224\
      13032465686848684461395242239644407809311051748441837156933248/
      89310920351849801063460261282375380403857190408603872290575220389059147\
      48522983441595126564958701777801513671875*ep^5+
      88411325833873242117250634551943010045804233715155120810418003340391669\
      631121907472298756227305715049388672/2392367499675649493435591460147956\
      20531050480963962573178995362843345270571041556728500573240358657695241\
      591543771925914764404296875*ep^6+19665228644582222984683479776591175704\
      38058554097938227687780190900811858092230842439941285418644908585696894\
      7611640883020288/704222392857765755193822818790543562370115846027457704\
      90248297640202964538175831464053665637739634227478720229264220071020876\
      215699211978912353515625*ep^7+32261044416856710924856408600642107619426\
      50469461452095382265935744260631241603181148157208044309533157560392760\
      38522254660234876632333909504/15945877194534897464409657183503412593401\
      67227527673098389421501157050511706785788726129863659759762796418483050\
      001276650030593423857778781004465602281093597412109375*ep^8;
Fill mnchfac1(44,42)=
      -2/1103208318940272084680765625-1798908627415103558/3247427505556910069\
      55446141320260756001171875*ep-68160557105523356654298910227796664/
      7353228287959893091619986955033468567626912923366168720703125*ep^2-
      318907491571669812504618467234265674322488992454205128/
      28138655232284192437058618500187723187199064858627695645472287945821686\
      279296875*ep^3-12260572745098617563915273003360360151969866490665128632\
      30000719937856/10757083751243830483930534761617714044717230587306524317\
      1786825972313720659579088934796142578125*ep^4-2073475319832788016316401\
      9956157509405415380996382399075679971283900433034693499317056/
      20610212388888415630029291065163549323967043940447047451671204705167495\
      57351457717291183053452008102569580078125*ep^5-
      58265608394038572001680528200329334593366434142840644245422653276039262\
      79984479249906389126361556821659392/71771024990269484803067743804438686\
      15931514428918877195369860885300358117131246701855017197210759730857247\
      74631315777744293212890625*ep^6-130054007607986611275818338720131188568\
      56417517276089257015379954594087372360912294651744224466686549451550506\
      26778049959168/21126671785732972655814684563716306871103475380823731147\
      07448929206088936145274943921609969132189026824361606877926602130626286\
      47097635936737060546875*ep^7-213901711800756994709313496107437659928227\
      16972657177642377281075039470847476381069001381344865931162063468643767\
      714955125172083838565292544/4783763158360469239322897155051023778020501\
      68258301929516826450347115153512035736617838959097927928838925544915000\
      3829950091780271573336343013396806843280792236328125*ep^8;
Fill mnchfac1(44,44)=
      1/25373791335626257947657609375+912252667184185504/74690832627808931599\
      75261250365997388026953125*ep+34978381021578994403984725103323132/
      169124250623077541107259699965769777055418997237421880576171875*ep^2+
      165273399682443986423481627456206745872738129916849664/
      64718907034253642605234822550431763330557849174843699984586262275389878\
      4423828125*ep^3+5822719298471140471795256289611557039345770638459031723\
      0177585991648/224920842071461910118547545015643111844087548643681872086\
      463363396655961379119913227301025390625*ep^4+14171210162991822028869486\
      4589319099815574201756921759113829091831951519094167100990464/
      61624535042776362733787580284839012478661461381936671880496902068450811\
      7648085857470063732982150422668304443359375*ep^5+
      30783254424423751416708268226928655552343554345795569316790178813829361\
      45879239705143087574303630578484096/16507335747761981504705581075020897\
      81664248318651341754935068003619082366940186741426653955358474738097166\
      9816520262888118743896484375*ep^6+6896675351684254779942023067013165591\
      30266194958566117803641980464696110734624626498189782339437409339164914\
      454056554717184/4859134510718583710837377449654750580353799337589458163\
      82713253717400455313413237101970292900403476169603169581923118490044045\
      8883245626544952392578125*ep^7+1137405550514894435242403411582264366834\
      48580039815185361246547020693493143669715764140452031975184656096878694\
      27994372545482429109261987072/11002655264229079250442663456617354689447\
      15386994094437888700835798364853077682194221029605925234236329528753304\
      50088088852110946246186735889308126557395458221435546875*ep^8;
Fill mnchfac1(45,0)=
      17592186044416/23+1803903716824533859803569586176/967189855591320075*ep
      +742213468037805832828954133466867076185146261504/284704065970056959296\
      407120334175625*ep^2+33110113335780804812285811953117381316177111394695\
      112577817509888/11972299323993089323732692767930533909340136114703125*
      ep^3+614460531939587885436681347299299955370797286297253054644143392702\
      85203021353713664/24669340706920774604010721248387576024228852379370892\
      822087540800390625*ep^4+14678137429844912680224609694139834949775830161\
      231598797542605927768665216269330376660552679849721856/
      72617196752616715295349696314793824085448742227542356252887999679509179\
      01666671123046875*ep^5+327484165174998137350255438930056134993278167121\
      2593330043606397917797960610960195562393181698465092130280723368116224/
      21375752708011689816083843148430222545101847387353651151854161145425776\
      60129147126189278673066728759765625*ep^6+
      14253109528619820633426806045720866932857547781393495090004830107886044\
      850661100984886398488249741480077148804915395725670501113135104/
      12841249176905338699382630090370437737784336684747218615534735496912565\
      057043942254245757333554537413886727999774169921875*ep^7+
      14457508269449336048501365122507167104200431504925796399606193855485382\
      06459219978862895593699181537331451370293092398758277160393460935473357\
      73988061184/18521889549560733404064142664545532298981903354854297537500\
      76154996544851125471666996380052602413043477212105477681800114105964674\
      37744140625*ep^8;
Fill mnchfac1(45,2)=
      -8796093022208/1035-910171657388032315105107509248/43523543501609403375
      *ep-377060513301132002389394672240772205329327849472/128116829686525631\
      68338320415037903125*ep^2-169074132895415240329367438121336877896388133\
      48064019139352592384/53875346957968901956797117455687402592030612516164\
      0625*ep^3-3149721138178981668195562964878278437839591544081029873816446\
      2292802394032703537152/111012033181143485718048245617744092109029835707\
      1690176993939336017578125*ep^4-7545103964483014824011509081019049101496\
      796522293017104201814086717440155607327874986696250079838208/
      32677738538677521882907363341657220838451934002394060313799599855779130\
      5575000200537109375*ep^5-1686776223069975001628877242513602571510894724\
      222149796119805739560942154447284826966484555717264820594540226105311232
      /9619088718605260417237729416793600145295831324309143018334372515441599\
      4705811620678517540288002794189453125*ep^6-
      51462146974909392912078857770854767520920437583038296757762355049076435\
      861300195281668427882528302381043459549172279490377247572885504/
      40449934907251816903055284784666878874020660556953738638934416815274579\
      92968841810087413560069679285374319319928863525390625*ep^7-
      74643975799954905695554328175836072850443802114402533976910086346877446\
      91882168289801345534454295610230529214928122512922833112218798817421305\
      9037888512/833485029730233003182886419904548953454185650968443389187534\
      26974844518300646225014837102367108586956474544746495681005134768410346\
      98486328125*ep^8;
Fill mnchfac1(45,4)=
      1099511627776/11385+114822283747110409655608672256/
      478758978517703437125*ep+4354611890841307165720814369326778011504082944/
      12811682968652563168338320415037903125*ep^2+308458057881345614152615998\
      177361120862331620948016301881688064/8466125950537970307496689885893734\
      69303338196682578125*ep^3+403826779034148947239022627721410736078611410\
      5589369874856184729328871931425849344/122113236499257834289853070179518\
      50131993281927788591946933332696193359375*ep^4+970154202563199235325133\
      89501701533663591043287956759329672310370006395187503612562137984991336\
      8576/359455123925452740711980996758229429222971274026334663451795598413\
      5704361325002205908203125*ep^5+2173374064623524983933332156471513607383\
      88680687391561595221660884989526559144085914199233892103196734654295366\
      959104/1058099759046578645896150235847296015982541445674005732016780976\
      698575941763927827463692943168030736083984375*ep^6+
      60368021263896451228418388051095610166443720009254402934671787193219860\
      9457408236950205317950739791793644035086441361494508996395008/
      40449934907251816903055284784666878874020660556953738638934416815274579\
      92968841810087413560069679285374319319928863525390625*ep^7+
      96414730131095290450681902013929503952127401757571621551518865144145900\
      23998448607072500706238879151004890846334966546629456607308220322015058\
      816139264/9168335327032563035011750618950038487996042160652877281062876\
      96723289701307108475163208126038194456521219992211452491056482452513816\
      83349609375*ep^8;
Fill mnchfac1(45,6)=
      -549755813888/489555-57948774074004975662323990528/
      20586636076261247796375*ep-22133692108860747002224848048348858373866782\
      72/550902367652060216238547777846629834375*ep^2-11034133448717864374459\
      08449229975557394635799628350128939597824/25483039111119290625565036556\
      5401414260304797201456015625*ep^3-2072008818821422036916673461015038618\
      076516482489011203531105360400190475937513472/5250869169468086874463682\
      01771929555675711122894909453718133305936314453125*ep^4-
      49926130893763483508064349674634783446040540852432162482875118280194426\
      6316258094301113766262079488/154565703287944678506151828606038654565877\
      647831323905284272107317835287536975094854052734375*ep^5-
      11208646188947359128343240993226227606317760947850617751038478626848268\
      0227591266524860326571731187364220713778020352/
      45498289639002881773534460141433728687249282163982246476721581998038765\
      495848896580938796556225321651611328125*ep^6-
      31180507450485057711191641145438639806138403776592565050551486079362240\
      4246534205126249482942921208690157714108990517241941646639104/
      17393472010118281268313772457406757915828884039490107614741799230568069\
      3697660197833758783082996209271095730756941131591796875*ep^7-
      49850931961258768734862233572341836993560936497122445112700397336924629\
      69541169977106860472143965057184382751419071563878733294035352880835042\
      247442432/3942384190624002105055052766148516549838298129080737230857037\
      09591014571562056644320179494196423616304124596650924571154287454580941\
      2384033203125*ep^8;
Fill mnchfac1(45,8)=
      137438953472/10280655+102373612321981213487581364224/
      3026235503210403426067125*ep+393862320687543889093745955422691343768066\
      4576/80982648044852851787066523343454585653125*ep^2+1382046101466163932\
      8674757930390748642843935094824695338310303744/262220472453417500537064\
      226166798055273853636320298240078125*ep^3+37228778220170252302569867678\
      80010594555781921448418390587016913906616784362930176/
      77187776791180877054616125660473644684329535065551689696565595972638224\
      609375*ep^4+89979953457608396742673873274955247689414197188706166033905\
      1621535266105957553678680762940081045504/227211583833278677404043188050\
      87682221184014231204614076787999775721787267935338943545751953125*ep^5+
      20245766324793950697204865377911115786343767420327233992952331641326151\
      2374245630531242834452706351308024700223881216/
      66882485769334236207095656407907581170256444781053902320780725537116985\
      27889787797398003093765122282786865234375*ep^6+
      39486075500889852622515185695387225433528328797704976641798106230574559\
      70074105847855613270357938207634257013483613187121889016807424/
      17897882698411711425094871858671553895387921676635320735569311408254543\
      3814892343570937787792403099339957506948892424407958984375*ep^7+
      90283303745806539478845289233355801559958889996210983842100110579628090\
      38742314808093027185233535869599754384175865355948798137984270901747420\
      921593856/5795304760217283094430927566238319328262298249748683729359844\
      53098791420196223267150663856468742715967063157076859119596802558233983\
      620452880859375*ep^8;
Fill mnchfac1(45,10)=
      -68719476736/421506855-51680182052257012296200486912/
      124075655631626540468752125*ep-2003042619991502260363991268959912238291\
      877888/3320288569838966923269727457081638011778125*ep^2-706842121006964\
      1209748905824742345205783660529402029530805174272/107510393705901175220\
      19633272838720266227999089132227843203125*ep^3-191218709449311617957324\
      7656097896204984969401319045035480549874146153977702514688/
      31646988484384159592392611520794194320575109376876192775591894348781672\
      08984375*ep^4-463628437191016194388284673225980546589290408176835093370\
      012661119521667284038545827073757284401152/9315674937164425773565770710\
      08594971068544583479389177148307990804593277985348896685375830078125*
      ep^5-104557481728427503791681664604631268278773955767984154086423933110\
      250899686611328890762400568055115575612135815774208/
      27421819165427036844909219127242108279805142360232099951520097470217963\
      9643481299693318126844370013594261474609375*ep^6-
      20425471520402864413016268201000181255177393186417068681895312304997492\
      09661600491007631950110313077656583684323550080969435341914112/
      73381319063488016842888974620553370971090478874204815015834176773843627\
      86410586086408449299488527072938257784904589400726318359375*ep^7-
      46754757685698217972711609068856298115721046062894126940886033939457281\
      68102700343117562827086130355925972012406916420238890498171416866552712\
      452374528/2376074951689086068716680302157710924587542282396960329037536\
      25770504482280451539531772181152184513546495894401512239034689048875933\
      28438568115234375*ep^8;
Fill mnchfac1(45,12)=
      4294967296/2107534275+3261618271300317374213783552/
      620378278158132702343760625*ep+1273722021618889263403369432911535205861\
      29408/16601442849194834616348637285408190058890625*ep^2+452087052629111\
      863494409288828089691139390513641809469874634752/5375519685295058761009\
      8166364193601331139995445661139216015625*ep^3+1228386260993299716073429\
      67868879794721728383101616487760584874818686516601028608/
      15823494242192079796196305760397097160287554688438096387795947174390836\
      044921875*ep^4+29880753314945392383004846889692060198637180743743408040\
      860923578322636112343916638477616081272832/4657837468582212886782885355\
      042974855342722917396945885741539954022966389926744483426879150390625*
      ep^5+675473666279355947478619750801394256786297195575225791427972965636\
      9518243149437188310640429977305476705792966524928/
      13710909582713518422454609563621054139902571180116049975760048735108981\
      98217406498466590634221850067971307373046875*ep^6+
      13217814852841838543844700538208851521513077578291227465734293035579176\
      3589202792206675355194916867088477780675178195921532201992192/
      36690659531744008421444487310276685485545239437102407507917088386921813\
      932052930432042246497442635364691288924522947003631591796875*ep^7+
      30291700190283096628655657850638842923796253813744208669827933996595239\
      58801526035836778648393720045847394587441445325719127156270695199970451\
      32034048/11880374758445430343583401510788554622937711411984801645187681\
      28852522411402257697658860905760922567732479472007561195173445244379666\
      42192840576171875*ep^8;
Fill mnchfac1(45,14)=
      -2147483648/82193836725-126693676826511382467837952/
      1861134834474398107031281875*ep-648162168555942239482132324168459145487\
      31904/647456271118598550037596854130919412296734375*ep^2-23142490672858\
      2035981420209165729923959439756458684658982322176/209645267726507291679\
      3828488203550451914459822380784429424609375*ep^3-4858926898240533067873\
      590188825434746796362791445557838824722649482669347831808/
      47470482726576239388588917281191291480862664065314289163387841523172508\
      134765625*ep^4-15417138014505541027103659758520833056685114901642457485\
      280353882292814025786752114268889497993216/1816556612747063025845325288\
      46676019358366193778480889543920058206895689207143034853648286865234375
      *ep^5-34937329873936219417499169831252871017891253621365927294747406808\
      31365976459808985459745648669295757054129689329664/
      53472547372582721847572977298122111145620027602452594905464190066925029\
      730478853440197034734652152650880987548828125*ep^6-
      52681792259342734052271264720205738066864308584641505095521632541911430\
      11474642971165135235216142685951544657260162524709943508992/
      11007197859523202526433346193083005645663571831130722252375126516076544\
      1796158791296126739492327906094073866773568841010894775390625*ep^7-
      15714459329730770480614807974012759232771049285420120095648862207398401\
      31870957075837678364994888944053024998129835251184761129427677373251313\
      23572224/46333461557937178339975265892075363029457074506740726416231957\
      02524837404468805020869557532467598014156669940829488661176436453080699\
      045520782470703125*ep^8;
Fill mnchfac1(45,16)=
      536870912/1561682897775+2461025156220091289829376/
      2720120142693351079507258125*ep+164969468228988337335474520084388411353\
      33376/12301669151253372450714340228487468833637953125*ep^2+
      59261933009812517155935709327448994464830174950143973753094144/
      39832600868036385419082741275867458586374736625234904159067578125*ep^3+
      12500444144922544928987524575496318442133612197173044766767957219816783\
      79466752/90193917180494854838318942834263453813639061724097149410436898\
      8940277654560546875*ep^4+3980167518709829752138851767869344695278216402\
      917285846893569030907361282606095457340396014075904/
      34514575642194197491061180480868443678089576817911369013344811059310180\
      94935717662219317450439453125*ep^5+904265104438281413200698304013047355\
      25040580920653114393782562835489100811507987995107787907180716208079660\
      1122816/101597840007907171510388656866432011176678052444659930320381961\
      1271575564879098215363743659958390900366738763427734375*ep^6+
      13660292382453061980448218248891305594607212679651591721166462102864282\
      16423633054560747775210220702134309519124064021147814248448/
      20913675933094084800223357766857710726760786479148372279512740380545433\
      94127017034626408050354230215787403468697807979207000732421875*ep^7+
      40799341495143483028077876701135929722897528696266785191711550006329457\
      92387535080418977058328352670010203288521386195275275042640256989732500\
      2899456/880335769600806388459530051949431897559684415628073801908407183\
      47971910684907295396521593116884362268976728875760284562352292608533281\
      864894866943359375*ep^8;
Fill mnchfac1(45,18)=
      -268435456/57782267217675-16160940506253119920799744/
      1308377788635501869242991158125*ep-840042229426280445232621916027959641\
      4271488/455161758596374780676430588454036346844604265625*ep^2-
      30366113212754025156538325406263565059600699796358527447990272/
      1473806232117346260506061427207095967695865255133691453885500390625*
      ep^3-643605645424902686618381019025760604408921512659270785997124524894\
      091479678976/3337174935678309629017800884867747791104645283791594528186\
      1652590790273218740234375*ep^4-2056648372121449033890599034333861041260\
      800137406992031984818639865672868766415952427694233649152/
      12770392987611853071692636777921324160893143422627206534937580091944766\
      9512621553502114745666259765625*ep^5-4684946980408091844169298241850966\
      68828552916490790768112851068648179345454537285230625373209331783402913\
      116766208/3759120080292565345884380304057984413537087940452417421854132\
      5617048295900526633968458515418460463313569334246826171875*ep^6-
      70907908655630766727194297914784376252185213340145771160351034909089872\
      6938015098242824568006330388058072889889255498095059738624/
      77380600952448113760826423737373529689014909972848977434197139408018105\
      582699630281177097863106517984133928341818895230659027099609375*ep^7-
      21206368648192833853696087191016491290898414876908573599228074958668964\
      88819617646404737358402898341890201581114769649414624619152262614588214\
      5046528/325724234752298363730026119221289802097083233782387306706110657\
      88749606953415699296712989453247214039521389684031305288070348265157314\
      29001110076904296875*ep^8;
Fill mnchfac1(45,20)=
      33554432/520040404959075+2041222593352589579911168/
      11775400097719516823186920423125*ep+10697779438383834088548110418180030\
      93979136/4096455827367373026087875296086327121601438390625*ep^2+
      3891984242024468788565356229653618896486885647008026819395584/
      13264256089056116344554552844863863709262787296203223084969503515625*
      ep^3+828986816850852786938621904681217470154288589651256096491340394270\
      09604534272/30034574421104786661160207963809730119941807554124350753675\
      4873317112458968662109375*ep^4+2658929638111490859200107479437158364238\
      05422399524563638116471990397458040083317806654087634944/
      11493353688850667764523373100129191744803829080364485881443822082750290\
      25613593981519032710996337890625*ep^5+607359711209209229961741638946004\
      69922733121330046135727306228769025270461251675083221718437187424829044\
      455550976/3383208072263308811295942273652185972183379146407175679668719\
      30553434663104739705716126638766144169822124008221435546875*ep^6+
      92107762630824349576883286110161685186883005269727614939179835169824799\
      483573521679850019273192594145184639116491123313726332928/
      69642540857203302384743781363636176720113418975564079690777425467216295\
      0244296672530593880767958661857205355076370057075931243896484375*ep^7+
      27584950898784331410054661945980615043196637581683322815584812889149321\
      11565330050119862534746376211533808016230413995194801737449084270778283\
      094016/2931518112770685273570235072991608218873749104041485760354995920\
      98746462580741293670416905079224926355692507156281747592633134386415828\
      61009990692138671875*ep^8;
Fill mnchfac1(45,22)=
      -16777216/18201414173567625-79343485549334967615488/
      31703000263091006831657093446875*ep-77877317413850298155529062211109000\
      904704/20482279136836865130439376480431635608007191953125*ep^2-
      1996425213677602024586857643360468745237605859622334949343232/
      464248963116964072059409349570235229824197555367112807973932623046875*
      ep^3-427409276078374287957549078989346567746874245209469743791817564875\
      73110726656/10512101047386675331406072787333405541979632643943522763786\
      420566098936063903173828125*ep^4-19659934298077386293428438727166143499\
      949344840884043327645642889349092657963962185954476937216/
      57466768444253338822616865500645958724019145401822429407219110413751451\
      28067969907595163554981689453125*ep^5-315254135874417324107903829966016\
      95683239099056248747126068262704776687471433976319652910969621693864517\
      552539648/1184122825292158083953579795778265090264182701242511487884051\
      7569370213208665889700064432356815045943774340287750244140625*ep^6-
      47908004770267414005119856203950174282310787498535682378295728961913165\
      428657225898759818505305430473759978057690413580098258944/
      24374889300021155834660323477272661852039696641447427891772098913525703\
      258550383538570785826878553165002187427672951997657593536376953125*ep^7
      -2052665032879694722102623891841706799783056675374012231306850994157050\
      89764744095407278776662758370671312508988525556943550543403311396207364\
      788224/1465759056385342636785117536495804109436874552020742880177497960\
      49373231290370646835208452539612463177846253578140873796316567193207914\
      305049953460693359375*ep^8;
Fill mnchfac1(45,24)=
      4194304/309424040950649625+260659640838846678695936/
      7006363058143112509796217651759375*ep+198503332694075086456912517802313\
      77534976/348198745326226707217469400167337805336122263203125*ep^2+
      512339401989607344454555540949696234881069398588896345182208/
      7892232372988389225009958942693998907011358441240917735556854591796875*
      ep^3+110264385029399298222123060366250682033042535155330808006703363770\
      28184612864/17870571780557348063390323738466789421365375494703988698436\
      9149623681913086353955078125*ep^4+7274676156919281274202084528994624586\
      46975599308260164944425061195299758121254599454980611072/
      13956215193604382285492667335871161404404649597585447141753212529053923\
      882450784061302540062098388671875*ep^5+81899653652386609774907431964737\
      02817021301088313434521779680360400888209201912793496409265995401901983\
      052864512/2013008802996668742721085652823050653449110592112269529402887\
      98679293624547320124901095350065855781044163784891754150390625*ep^6+
      12472849742388197861237722560162898649213858893463546260883003080913805\
      707421155647733560715154962218886345665351217507666753536/
      41437311810035964918922549911363525148467484290460627416012568152993695\
      5395356520155703359056935403805037186270440183960179090118408203125*
      ep^7+535226319153233559157630392735286087104031583629616750726346063503\
      91641246748265838835746602739252116134807274582322353086338929811804925\
      237241856/2491790395855082482534699812042866986042686738435262896301746\
      53283934493193630099619854369317341187402338631082839485453738164228453\
      4543185849208831787109375*ep^8;
Fill mnchfac1(45,26)=
      -2097152/10210993351371437625-131768799742442629562368/2312099809187227\
      12823275182508059375*ep-15908527580701674276597029181558521012224/
      18056592079060042102848770322963374762430340220390625*ep^2-
      263123050543226780275172003998903468249124434034803348424704/
      260443668308616844425328645108901963931374828560950285273376201529296875
      *ep^3-51761485918219318423836832305485086791235553190930125571783335984\
      5206874112/536117153416720441901709712154003682640961264841119660953107\
      448871045739259061865234375*ep^4-26404585959616978622515545203705005886\
      62088818901609179854997671275862982157452797546859735552/
      32238857097226123079488061545862382844174740570422382897449920942114564\
      16846131118160886754344727783203125*ep^5-425985411033741963430693218649\
      59656733662514854830192087778890191350950656628849173459124767342280403\
      85799622656/66429290498890068509795826543160671563820649539704894470295\
      30356416689610061564121736146552173240774457404901427886962890625*ep^6-
      71523610014950369583149096878394371270253353114127693650479651713617238\
      546562215385545196049577726338893160622999773510854427648/
      15041744187043055265568885617824959628893696797437207752012562239536711\
      4808514416816520319337667551581228498616169786777545009712982177734375*
      ep^7-570329882025428200881700144196635084302387370965680647378114169907\
      98369987376048388304911329842282513458810635181688177039460952028074823\
      9337472/167814455231056575354377742443703286815119719119109541995831909\
      35448649541611823035622845280555630988320764950476944938721141672528497\
      94390469875335693359375*ep^8;
Fill mnchfac1(45,28)=
      32768/10210993351371437625+2082074174520410509312/231209980918722712823\
      275182508059375*ep+1775564352593596936906297324334923942912/
      126396144553420294719941392260743623337012381542734375*ep^2+
      4225629300144340643338167296321341783807482995559154164736/
      260443668308616844425328645108901963931374828560950285273376201529296875
      *ep^3+75995962477649334011450659533765757568879310109411399323937868989\
      2444928/487379230378836765365190647412730620582692058946472419048279498\
      97367794478096533203125*ep^4+428280822767322909631903890017893662093265\
      11022872431982177025197526826036909256128056711168/
      32238857097226123079488061545862382844174740570422382897449920942114564\
      16846131118160886754344727783203125*ep^5+693179941817827905911137259499\
      26339910626926579209533915855260796584734161009778046568195131582888851\
      019477504/6642929049889006850979582654316067156382064953970489447029530\
      356416689610061564121736146552173240774457404901427886962890625*ep^6+
      11666059074741836840952071560527192832306056969090479995044342683604200\
      47338369844330237007619353262902108447890056783252677632/
      15041744187043055265568885617824959628893696797437207752012562239536711\
      4808514416816520319337667551581228498616169786777545009712982177734375*
      ep^7+456588547161268977363590158549063817670774670078892116729935851526\
      74485885770749285919713746848972175113252842715568501796553838825804669\
      8141952/822290830632177219236450937974146105394086623683636755779576355\
      83698382753897932874551941874722591842771748257337030199733594195389639\
      925133023891448974609375*ep^8;
Fill mnchfac1(45,30)=
      -16384/316540793892514566375-81000338862983309312/551346877575415699809\
      348512134603125*ep-129478783614843684690792807239289655808/559754354450\
      861305188311880011864617635340546832109375*ep^2-21730588073612546022380\
      24141229412099774592687695811283968/80737537175671221771851879983759608\
      81872619685389458843474662247408203125*ep^3-432407439895259772098762240\
      5320755065006658064466006619514057143429451904/166196317559183336989530\
      01076774114161869799210074709489546330915002417917030917822265625*ep^4-
      22252827572824686100042220859498766141504540770096469716084138966862994\
      528751079556767136384/9994045700140098154641299079217338681694169576830\
      9386982094754920555148922230064662987489384686561279296875*ep^5-
      36138117350703855091045517265624804620678704517090296843684348878629812\
      229064349783377181292950476703268481152/2059308005465592123803670622837\
      98081847844013573085172857915441048917377911908487773820543117370464008\
      179551944264495849609375*ep^6-60969921476982310541035946472010877620844\
      17355292275720172609224188007575138504364622660646200544703508015917483\
      02648596838016/46629406979833471323263545415257374849570460072055344031\
      23894294256380559063946921312129899467694099018083457101263390103895301\
      102447509765625*ep^7-34149439131301974418043289526478026995499497519707\
      79140783041007222158132100205853085590550367117191520975235216880559456\
      2721070365178359623168/364157367851392768518999701102836132388809790488\
      46770613095524329923569505297655987301574258805719244656059942534970517\
      0248774293868405382731962947845458984375*ep^8;
Fill mnchfac1(45,32)=
      4096/4748111908387718495625+266342658443995011584/107512641127206061462\
      822959866247609375*ep+231441278464610253544161198640210807424/
      58774207217340437044772747401245784851710757417371484375*ep^2+
      559161129634671313613038363659913533763792622609324910272/
      12110630576350683265777781997563941322808929528084188265211993371112304\
      6875*ep^3+1119385933330583402713622826968840391299557317913725988237160\
      224292650816/2492944763387750054842950161516117124280469881511206423431\
      94963725036268755463767333984375*ep^4+826797712869387146707789107214369\
      850768765628377452225763435083535170903238605612719453248/
      21415812214585924617088498026894297175058934807494868639020304625833246\
      1976207281420687477252899774169921875*ep^5+9432046632829714587201662197\
      77283647246004455353442658841319365280154095047032596641958541838607261\
      2597206208/308896200819838818570550593425697122771766020359627759286873\
      1615733760668678627316607308146760556960122693279163967437744140625*
      ep^6+159543873786676532082278525451073905727867767590912263727412637590\
      361023911571038921305919374628591550561518692226088048644864/
      69944110469750206984895318122886062274355690108083016046858414413845708\
      385959203819681948492015411485271251856518950851558429516536712646484375
      *ep^7+62668793568512949620457740596959041033581947967738866535767455841\
      69896909566277972843049363541545272883661006514957277929408388239553757\
      8869504/382365236243962406944949686157977939008250280012891091437503005\
      46419747980562538786666652971746005206888862939661719042876121300856182\
      565186856109523773193359375*ep^8;
Fill mnchfac1(45,34)=
      -2048/137695245343243836373125-134770410500945396992/311786659268897578\
      2421865836121180671875*ep-118261166159314272149325766586136565312/
      1704452009302872674298409674636127760699611965103773046875*ep^2-
      287983366932425200572186430841227877320369243536305899936/
      35120828671416981470755567792935429836145895631444145969114780776225683\
      59375*ep^3-580134586458882891370660625636606797732009294942862055933535\
      733651359808/7229539813824475159044555468396739660413362656382498627952\
      653948026051793908449252685546875*ep^4-30140878586512503511247393539658\
      01031609455256157248005828698375179769120458816409449348768/
      43474098795609426972689650994595423265369637659214583337211218390441489\
      781170078128399557882338654156494140625*ep^5-49301830837861829983745295\
      13366397044639799959682695683154259129110703098759559160383176597202399\
      491977090304/8957989823775325738545967209345216560381214590429205019319\
      3216856279059391680192181611936256056151843558105095755055694580078125*
      ep^6-836214307756957209958718799729156086736303313069374927226159759190\
      38627476120819934299958733584171717092954369243553307900032/
      20283792036227560025619642255636958059563150131344074653588940180015255\
      43192816910770776506268446933072866303839049574695194455979564666748046\
      875*ep^7-32910725711140584651632353438477295510901002973298170055657141\
      94398183842192545515654444567432914925718362996354055768419110283058052\
      8857188352/110885918510749098014035408985813602312392581203738416516875\
      87158461726914363136248133329361806341509997770252501898522434075177248\
      29294390418827176189422607421875*ep^8;
Fill mnchfac1(45,36)=
      256/963866717402706854611875+1311794248322788448/1678851242217140805919\
      466219449866515625*ep+105809166488775447938407997317743444848/
      83518148455840761040622074057170260274280986290084879296875*ep^2+
      37110285567167461689816119772432687748788171416802125792/
      24584580069991887029528897455054800885302126942010902178380346543357978\
      515625*ep^3+97720858111285380798686648105130381260176964668131635782444\
      0424627888/657230892165861378094959588036067241855760241489318057086604\
      904366004708537131750244140625*ep^4+39292092813797691353304840879061219\
      4414274655974362842248850818457547565772412583715546496/
      30431869156926598880882755696216796285758746361450208336047852873309042\
      8468190546898796905176370579095458984375*ep^5+
      64518814580166462920793535470833903749508681056656387846247688371312846\
      0377597696192118558677683976592407488/627059287664272801698217704654165\
      15922668502133004435135235251799395341574176134527128355379239306290490\
      6735670285389862060546875*ep^6+1097443422285422563806826846169623664064\
      77706928833320170946324290136706525351655024091543725863399575985038967\
      27814464687104/14198654425359292017933749578945870641694205091940852257\
      51225812601067880234971837539543554387912853151006412687334702286636119\
      1856952667236328125*ep^7+3029674041970001866619892186883285746248679119\
      25179930826454280693930899250439634156987874351805392469608019035039097\
      33218199554428312548459008/54334100070267058026877350403048665133072364\
      78983182409326917707646246188037936761585331387285107339898907423725930\
      2759926968368516635425130522531633281707763671875*ep^8;
Fill mnchfac1(45,38)=
      -128/26024401369873085074520625-8634008348101571312/5892767860182164228\
      77732643026903146984375*ep-54128280508721201550410551506601998824/
      2254990008307700548096795999543597027405586629832291741015625*ep^2-
      19145265596241469441318748950466158877100671718414433496/
      66378366188978094979728023128647962390315742743429435881626935667066541\
      9921875*ep^3-5583166127545155199383104285629175880349290074549622114425\
      722007490784/1951975749732608292942029976467119708311607917223274629547\
      21656596703398435528129822509765625*ep^4-205164782301328861154443403692\
      110077564269354578539286434686087589862053428887637876526048/
      82166046723701816978383440379785349971548615175915562507329202757934415\
      68641144766267516439762005635577392578125*ep^5-
      33825145053715421028394839143953060580112957866855844158354020750118015\
      7569166178872473716523646497005862144/169306007669353656458518780256624\
      59299120495575911197486513517985836742225027556322324655952394612698432\
      481863097705526275634765625*ep^6-57708878163930601844501657680943552674\
      44542463091042271153601884083397848545941083502134669221332908441831397\
      096522070570752/3833636694847008844842112386315385073257435374824030109\
      52830969402288327663442396135676759684736470350771731425580369617391752\
      180137722015380859375*ep^7-15966277646231898255882358082912907531147267\
      67490773907588357691558333571676505821733372178703867749807570597208044\
      7986472282869402290131323904/146702070189721056672568846088231395859295\
      38493254592505182677810644864707702429256280394745669789817727050044060\
      01174518028145949949156478524108354098606109619140625*ep^8;
Fill mnchfac1(45,40)=
      32/338317217808350105968768125+28422818983591738364/9958777683707857546\
      6336816671546631840359375*ep+1065681730302481078159290630855218012/
      2254990008307700548096795999543597027405586629832291741015625*ep^2+
      4943164571057388087844818672222640719919220356190137424/
      86291876045671523473646430067242351107410465566458266646115016367186504\
      58984375*ep^3+188721033270552181903721571842231908983404008108811752988\
      38979968525648/32988390170481080150720306602294323070466173801073341239\
      347959964842874335604253940004150390625*ep^4+41262681740033172535134423\
      10446920885866141561626672505371840229768841342729780344260224/
      82166046723701816978383440379785349971548615175915562507329202757934415\
      68641144766267516439762005635577392578125*ep^5+
      88814022444025967595188283441448539944817842185819649579068837115701998\
      819640234989615289065383821475044736/2200978099701597533960744143336119\
      70888566442486845567324675733815877648925358232190220527381129965079622\
      264220270171841583251953125*ep^6+19760904050091579628544887928812297994\
      11175430728247902948718617530057806393648895208454736083565336605064588\
      4779990052831744/647884601429144494778316993287300077380506578345261088\
      51028433828986727375121764946929372386720463489280422610923082465339206\
      118443275020599365234375*ep^7+32425345120319048592394664495410749170787\
      64941973377593270045607087411262406643304117563224114530879122917777097\
      16156885645811968448708567552/14670207018972105667256884608823139585929\
      53849325459250518267781064486470770242925628039474566978981772705004406\
      001174518028145949949156478524108354098606109619140625*ep^8;
Fill mnchfac1(45,42)=
      -16/8457930445208752649219203125-14399801254971917614/24896944209269643\
      86658420416788665796008984375*ep-41991014755646030560431907319127424/
      4336519246745577977109223076045378898856897365062099501953125*ep^2-
      2555139701837764553484396000433508000387574362093472424/
      21572969011417880868411607516810587776852616391614566661528754091796626\
      1474609375*ep^3-9826771853130157100266694763814456966062254156330260944\
      451307816795648/8247097542620270037680076650573580767616543450268335309\
      83698999121071858390106348500103759765625*ep^4-216103846985329086978781\
      0565356577837283449107144060280618656532516710838520563499260224/
      20541511680925454244595860094946337492887153793978890626832300689483603\
      9216028619156687910994050140889434814453125*ep^5-
      46722516730391155295735622835381066891737169799230865209276712765885392\
      243800500719377708351641022685044736/5502445249253993834901860358340299\
      27221416106217113918311689334539694122313395580475551318452824912699055\
      6605506754296039581298828125*ep^6-1043058560672459051647554083967760216\
      30100975598840458422475526188319310592997825102317970936507512941389653\
      31108002752831744/16197115035728612369457924832182501934512664458631527\
      21275710845724668184378044123673234309668011587232010565273077061633480\
      152961081875514984130859375*ep^7-17157401605067965884542303642625063505\
      72040687930260409489755913766821760402302359132866204461038178862263848\
      48504477570989974262168508567552/
      36675517547430264168142211522057848964823846233136481262956694526612161\
      76925607314070098686417447454431762511015002936295070364874872891196310\
      2708852465152740478515625*ep^8;
Fill mnchfac1(45,44)=
      1/25373791335626257947657609375+912252667184185504/74690832627808931599\
      75261250365997388026953125*ep+34978381021578994403984725103323132/
      169124250623077541107259699965769777055418997237421880576171875*ep^2+
      165273399682443986423481627456206745872738129916849664/
      64718907034253642605234822550431763330557849174843699984586262275389878\
      4423828125*ep^3+5822719298471140471795256289611557039345770638459031723\
      0177585991648/224920842071461910118547545015643111844087548643681872086\
      463363396655961379119913227301025390625*ep^4+14171210162991822028869486\
      4589319099815574201756921759113829091831951519094167100990464/
      61624535042776362733787580284839012478661461381936671880496902068450811\
      7648085857470063732982150422668304443359375*ep^5+
      30783254424423751416708268226928655552343554345795569316790178813829361\
      45879239705143087574303630578484096/16507335747761981504705581075020897\
      81664248318651341754935068003619082366940186741426653955358474738097166\
      9816520262888118743896484375*ep^6+6896675351684254779942023067013165591\
      30266194958566117803641980464696110734624626498189782339437409339164914\
      454056554717184/4859134510718583710837377449654750580353799337589458163\
      82713253717400455313413237101970292900403476169603169581923118490044045\
      8883245626544952392578125*ep^7+1137405550514894435242403411582264366834\
      48580039815185361246547020693493143669715764140452031975184656096878694\
      27994372545482429109261987072/11002655264229079250442663456617354689447\
      15386994094437888700835798364853077682194221029605925234236329528753304\
      50088088852110946246186735889308126557395458221435546875*ep^8;
Fill mnchfac1(46,0)=
      70368744177664/47+342028697532738436084241256153088/
      92892277869618523725*ep+66575604408716454117210717151263354287917498829\
      37344/1285166532226487986305690280628483300625*ep^2+1402851019917827337\
      3356339003488558817274191716891380549712227698999296/254004354511312704\
      8013968259935131984228816727666550421875*ep^3+1228211978566516815388708\
      539139266174092015422800407246448742332795068964580822305248116736/
      24599087465713608695662004751245640704303470950212104651643116519471189\
      1015625*ep^4+1382779067644684909757584897551081061235333040659403414350\
      4837278288726899898292288019448557676216610841427968/
      34032886973252831233620096040518278176365151654908442283387362028935323\
      02837647652954283486328125*ep^5+145291768802656090016497836342786545194\
      25058837718277324595840348220049924755488340761964032788057171659979101\
      0530653619863158784/470845675616448034561131964447615731557262246935961\
      33175168214729508075132614851158645269188007048612873340087890625*ep^6+
      20833945281592621761188363045486386143770203722127304384959137172601732\
      91898657296258480284687196053325822144011947998422104031102802820806014\
      40256/93059419857598633860497900038832829177063028887085131432964364200\
      153700224984744264543781994545119147434365169803474911583660888671875*
      ep^7+142029867573868686809408193499945682749140151300559707827473849121\
      42496815432555322272982250194094774538726314309573035872027219508255374\
      791715156141386936152380932096/9012352614937869365242135648803383322175\
      54158162080439621490178535190708185345049456247236677791469197310491114\
      6028610212242555523841933274774322509765625*ep^8;
Fill mnchfac1(46,2)=
      -17592186044416/1081-86263038506390860747365859459072/
      2136522391001226045675*ep-169033469439908287750631432108833720914310682\
      2209536/29558830241209223685030876454455115914375*ep^2-3579754302858757\
      203999470087178601698200043697353878022323202502426624/5842100153760192\
      2104321269978508035637262784736330659703125*ep^3-3145895557142008008373\
      60182997564090403440791161487023966840639187614475698447209132457984/
      56577901171141300000022610927864973619897983185487840698779167994783734\
      93359375*ep^4-355156403496276854197557641019187852719940057253365764495\
      4711823409565685168472365239612078895662906728251392/
      78275640038481511837326220893192039805639848806289417251790932666551242\
      965265896017948520185546875*ep^5-37391115240651319160743542828339174408\
      16102193572861454950513242034100920274355782534994152482359604820612420\
      0828291298042576896/108294505391783047949060351822951618258170316795271\
      1063028868938778685728050141576648841191324162118096086822021484375*
      ep^6-536914061580932613575970616296322705059476317163576074690558080519\
      91014372400932090756371763753769691414859649718912230082089543358730045\
      818404864/2140366656724768578791451700893155071072449664402958022958180\
      37660353510517464911808450698587453774039099039890547992296642420043945\
      3125*ep^7-3663784771669732513853800199243115194565260346759924155835399\
      83024674748378120575134157535566812834017690874095923086761022378392772\
      4587636929688057618552071414349824/
      20728411014357099540056911992247781641003745637727850111294274106309386\
      28826293613749368644358920379153814129563586580348815787770483644653198\
      09417724609375*ep^8;
Fill mnchfac1(46,4)=
      8796093022208/48645+43517849805056403478239097389056/
      96143507595055172055375*ep+85854668780221631636534933471910422645425585\
      3109248/1330147360854415065826389440450480216146875*ep^2+
      1827585121872576759195612812583738387255103535437910000618811982610432/
      2628945069192086494694457149032861603676825313134879686640625*ep^3+
      16122794982097606647045064138141601961423566806332255880770718585461977\
      4357743568695590912/254600555270135850000101749175392381289540924334695\
      283144506255976526807201171875*ep^4+18253507269876883590181823837230534\
      11816629763872553809853270868378550921293455872116208178148312123657158\
      656/3522403801731668032679679940193641791253793196283023776330591969994\
      805933436965320807683408349609375*ep^5+19256752376158261797786840251671\
      03971778082319351809987430920292422333516932880395500544076005313794410\
      0831460163319972052860928/487325274263023715770771583203282282161766425\
      57871997836299102245040857762256370949197853609587295314323906990966796\
      875*ep^6+27691473099184942746813266825769531199183118495102069945733788\
      50043997109237431140387210944408100746638023205815995361433930911090284\
      9767055818752/963164995526145860456153265401919781982602348981331110331\
      18116947159079732859210313802814364354198317594567950746596533489089019\
      775390625*ep^7+18914875993921613644802542763652209472607195205898911822\
      95912352094109736819800038105919397176346281650629985580732488261909262\
      328310105555871530652195024400948396032/
      93277849564606947930256103965115017384516855369775325500824233478392238\
      29718321261872158899615141706192163583036139611569671044967176400939391\
      423797607421875*ep^8;
Fill mnchfac1(46,6)=
      -1099511627776/535095-5489120074591549837350988152832/
      1057578583545606892609125*ep-991311749900973859752968840128024763331384\
      0234496/1330147360854415065826389440450480216146875*ep^2-
      233346289517434810157433688590399912647116495237618294022696813461504/
      28918395761112951441639028639361477640445078444483676553046875*ep^3-
      20667094960658373066809617144300556648740231308472082288056054479502299\
      500493032143192064/2800606107971494350001119240929316194184950167681648\
      114589568815741794879212890625*ep^4-23466724256345277220737182050752924\
      62802201554300397877031781518851676625828367535500376251539885727751864\
      32/38746441819048348359476479342130059703791725159113261539636511669942\
      865267806618528884517491845703125*ep^5-24808810020109384221405018317433\
      05281986097510348660533221843029725212262442689057872596790397151395155\
      634017888810116019388416/5360578016893260873478487415236105103779430681\
      36591976199290124695449435384820080441176389705460248457562976900634765\
      625*ep^6-32480659765867616597049406235706147263890993905121101524206504\
      11228695547819018307792944040787850478049220877894876422128206376634287\
      15692949504/96316499552614586045615326540191978198260234898133111033118\
      11694715907973285921031380281436435419831759456795074659653348908901977\
      5390625*ep^7-2442999350913401783202480012513182898239364523098233980434\
      18767027258334925182709884625022933435086410364317792793081109929171947\
      417510443571167641777296703911624704/
      10260563452106764272328171436162651912296854090675285805090665682623146\
      21269015338805937478957665587681137994133975357272663814946389404103333\
      05661773681640625*ep^8;
Fill mnchfac1(46,8)=
      549755813888/23009085+2769828750716914147897917833216/
      45475879092461096382192375*ep+50375748942459955408353220862225204086537\
      95688448/57196336516739847830534745939370649294315625*ep^2+
      17031448040777996783542712900879926322135514585535968708578231975936/
      177641573961122415998639747356077648362734053301828298825859375*ep^3+
      10602056570555109565800123176197837869943614026980561192038219462048196\
      692717385214328832/1204260626427742570500481273599605963499528572103108\
      68927351459076897179806154296875*ep^4+120744776301315668861828947449009\
      31764276692975312399855272817388401565857902853309335191873221483027863\
      9616/166609699821907897945748861171159256726304418184187024620437000180\
      7543206515684596742034252149365234375*ep^5+
      12792894872402080595794352351725953428034974743486871064206645454103620\
      03073424384912066907027636431928580734275307342458257408/
      23050485472641021755957495885515251946251551929873454976569475361904325\
      721547263458970584757334790683675208006727294921875*ep^6+
      16774881250503414739615195487078606369890947006726294155049265221785233\
      38064508307660293515674295999547214634662846459316874357832883237310955\
      52/41416094807624271999614590412282550625251901006197237744240790287278\
      40428512946043493521017667230527656566421882103650940030827850341796875
      *ep^7+12630583338168949339282045539446122490890018490912610066609577827\
      14456438162279239383343240862792063323747818269171293591644656497229388\
      81912708557344025825511473152/44120422844059086371011137175499403222876\
      47258990372896188986243527952871456765956865531159517962027028893374776\
      094036272454404269474437644332143456268310546875*ep^8;
Fill mnchfac1(46,10)=
      -137438953472/483190785-4892473425300807544511532105728/
      6684954226591781168182279125*ep-896226573639817979808087792908674773599\
      4279133184/8407861467960757631088607653087485446264396875*ep^2-
      1492921059817264539753275393851650015407588527355846444182368746995712/
      1279552257241964762438202100205827301156773385933069236442665078125*
      ep^3-190453750194854513681122395898036151868443593324616629540948684511\
      36580812795186885165056/17702631208487815786357074721914207663443070009\
      915697732320664484303885431504681640625*ep^4-21757700486929225687057882\
      27695232247745806816227547481447606752641906726401457710309922073648342\
      12213424128/24491625873820460998025082592160410738766749473075492619204\
      2390265708851357805635721079035065956689453125*ep^5-
      23104276083241145967821607046740514342918468704886490384574841111870314\
      10202550685586286652135771324281372232928847107524132864/
      33884213644782301981257518951707420360989781336913978815557128781999358\
      81067447728468675959328214230500255576988912353515625*ep^6-
      21241108588572298158634452117733586187903127858670430611225731950112193\
      30428940786715441851195091240966544933486193925725573212393916423798259\
      712/4261716155704537588760341353423874459338420613537695763882377320560\
      94780093982147875483312717958021295860684811668465681729172185800170898\
      4375*ep^7-2287318341534007208593174777126708681090488263121310977727441\
      23827547311855553479085261092783445448456934019005381085027331985717043\
      932880059753720439638143969263616/
      64857021580766856965386371647984122737628414707158481573978097779860907\
      21041445956592330804491404179732473260920858233320507974276127423337168\
      25088071441650390625*ep^8;
Fill mnchfac1(46,12)=
      68719476736/19810822185+2469425379539924833219026878464/
      274083123290263027895473444125*ep+4556885750198503786958437987866619681\
      702508756992/344722320186391062874632913776586903296840271875*ep^2+
      763374936392400264053015446403802823874500320737619409959091286573056/
      52461642546920555259966286108438919347427708823255838694149268203125*
      ep^3+978028037791628898390177378518407499551621401116074252063678992133\
      4314579581188207280128/725807879548000447240640063598482514201165870406\
      543607025147243856459302691691947265625*ep^4+11208875550032191623017970\
      87399201950544780031851581969364571697190910663174351577732748021207017\
      25443620864/10041566608266389009190283862785768402894367283960951973873\
      738000894062905670031064564240437704224267578125*ep^5+
      11930369794365614218015159904941611002591986637441183086387240737619254\
      85892010225261500597333307938504272196620658230094200832/
      13892527594360743812315582770200042348005810348134731314378422800619737\
      1123765356867215714332456783450510478656545406494140625*ep^6+
      10986534130214752169518288434808502023516554420051789284498769102893189\
      87466162943181130309213794791458752165699248797709294125454610394493485\
      056/1747303623838860411391739954903788528328752451550455263191774701429\
      98859838532680628948158214362788731302880772784070929508960596178070068\
      359375*ep^7+11844393689798176386907477984563761004644274452312558089658\
      23423548613765712535270935392633335995008776012288486704536705192439550\
      37937008901512547260201986223505408/
      26591378848114411355808412375673490322427650029934977445331020089742971\
      95626992842202855629841475713690314036977551875661408269453212243568238\
      9828610929107666015625*ep^8;
Fill mnchfac1(46,14)=
      -4294967296/99054110925-155824610193855245044148076544/
      1370415616451315139477367220625*ep-289704988058749240465435984121686861\
      839358492672/1723611600931955314373164568882934516484201359375*ep^2-
      48813153966718912518085291487911290521931798869391471940246328836096/
      262308212734602776299831430542194596737138544116279193470746341015625*
      ep^3-628150797786673632906454385110041314392960938826205985042945368705\
      630000522346022043648/3629039397740002236203200317992412571005829352032\
      718035125736219282296513458459736328125*ep^4-72228091917297770538816017\
      88634374178474222192226921814713209781906134554463917470212058791420472\
      930074624/5020783304133194504595141931392884201447183641980475986936869\
      0004470314528350155322821202188521121337890625*ep^5-
      77063003974924333851891430339349923268302646215282565942522295855504830\
      100596293489192405595317246776972496745866497752563712/
      69462637971803719061577913851000211740029051740673656571892114003098685\
      5618826784336078571662283917252552393282727032470703125*ep^6-
      71088947881102516154889939705323435454520268581119371048394855974207289\
      784388098609681956996652513929777218389580552942673808975700817303044096
      /8736518119194302056958699774518942641643762257752276315958873507149942\
      99192663403144740791071813943656514403863920354647544802980890350341796\
      875*ep^7-76732132375612675294395318809303446664860502438210335402845101\
      46313960643307520334530235457521127901156992800063451262977822261876822\
      044832861580580396439474864128/1329568942405720567790420618783674516121\
      38250149674887226655100448714859781349642110142781492073785684515701848\
      877593783070413472660612178411949143054645538330078125*ep^8;
Fill mnchfac1(46,16)=
      2147483648/3863110326075+6051854789412970685838393344/
      4111246849353945418432101661875*ep+147389691990092298876666482307470781\
      469096411136/67220852436346257260553418186434446142883853015625*ep^2+
      24981718851993666783402381301500069976742490505490212588454515048448/
      10230020296649508275693425791145589272748403220534888545359107299609375
      *ep^3+24841347415179275954327843172865267399897669822580546853699200590\
      265440439027955662848/1088711819322000670860960095397723771301748805609\
      8154105377208657846889540375379208984375*ep^4+3725964776199824287309299\
      87147394809387175964590126599262098061496077048421890392461354579228460\
      8246054912/195810548861194585679210535324322483856440162037238563490537\
      8910174342266605656057590026885352323732177734375*ep^5+
      39853266028521717123571536208790811028149387136480146913332839345295890\
      769110258585805202677878965300855427273545363934150656/
      27090428809003450434015386401890082578611330178862726063037924461208487\
      369134244589107064294829072772849543338026354266357421875*ep^6+
      28330554164210449831329713811615801392785337215039849447450829486011857\
      15588880641234576626914117357595530425644122858468660725034627153002496/
      26209554357582906170876099323556827924931286773256828947876620521449828\
      97577990209434222373215441830969543211591761063942634408942671051025390\
      625*ep^7+39803230071784372233067241506083649290400145920417152834950011\
      88605581586832371652870617170264620910887951731204458491961504418403372\
      427350910214336922439613579264/5185318875382310214382640413256330612873\
      39175583732060183954891749987953147263604229556847819087764169611237210\
      6226157539746125433763874958066016579131175994873046875*ep^8;
Fill mnchfac1(46,18)=
      -536870912/73399096195425-1527999365092209705548251136/
      78113690137724962950209931575625*ep-37504884062687174618571243240337898\
      093762576384/1277196196290578887950514945542254476714793207296875*ep^2-
      6395632057124990184712128506959506648240356781842087696315986214912/
      194370385636340657238175090031766196182219661190162882361823038692578125
      *ep^3-63894536515989391383649375040156056013627409723943674826108192972\
      27078845895871168512/20685524567118012746358241812556751654733227306586\
      4928002166964499090901267132204970703125*ep^4-9617326902804058721255626\
      22252724957759849969035131239306507770854425368405187908450224405777588\
      707196928/3720400428362697127905000171162127193272363078707532706320219\
      9293312503065507465094210510821694150911376953125*ep^5-
      10313463641572065689627170093010466308692705440891288592129300760837700\
      306674940984240563586345159800492673655438501493899264/
      51471814737106555824629234163591156899361527339839179519772056476296126\
      0013550647193034221601752382684141323422500731060791015625*ep^6-
      73452203902737434171918924228460968769575767832718289163697202932387350\
      5210299497708191463544791243509771091370688783999454128696166445236224/
      49798153279407521724664588714757973057369444869187975000965578990754675\
      05398181397925022509109339478842132102024346021491005376991074996948242\
      1875*ep^7-1033322440918931998321244210614983511335640377192257221002973\
      49074354448448739250563948274911386372497742991356566833449699730212464\
      3947551320318695467691620745216/
      98521058632263894073270167851870281644594443360909091434951429432497711\
      09798008480361580108562667519222613507001829699325517638324151362420325\
      4315003492343902587890625*ep^8;
Fill mnchfac1(46,20)=
      268435456/2715766559230725+771720701114763600008839168/
      2890206535095823629157767468298125*ep+190934691282288264530841091857330\
      99664826171392/47256259262751418854169052985063415638447348669984375*
      ep^2+3276349645388883800165431944471857280418362909080098858805735981056
      /7191704268544604317812478331175349258742127464036026647387452431625390\
      625*ep^3+32889645871832193882478254263498966019234474368629833269331217\
      72433141949353041657856/76536440898336647161525494706459981122512941034\
      37002336080177686466363346883891583916015625*ep^4+
      49685384745335546640148264457283967397778261208730003819959896827736100\
      5299466535476280243196108715556864/137654815849419793732485006332998706\
      15107743391217871013384813738525626134237762084857889004026835837209472\
      65625*ep^5+534251514430965736997593602617198566520007851880347434685255\
      1185958150527745565995243731240982047540724453675209450914168832/
      19044571452729425655112816640528728052763765115740496422315660896229566\
      620501373946142266199264838159313228966632527049249267578125*ep^6+
      38123074252448030650430406336299838919121835443518944262182240260627696\
      2365995081533232647639343125217872898482131123324528609756000752525312/
      18425316713380783038125897824460450031226694601599550750357264226579229\
      76997327117232258328370455607171588877749008027951671989486697748870849\
      609375*ep^7+53704581244284267796740325851037321769911031701766040835538\
      25115209118600373559300368444650751903675462974136124527654507538748705\
      45688451533114163812834897297408/
      36452791693937640807109962105192004208499944043536363830932028890024153\
      10625263137733784640168186982112366997590676988750441526179936004095520\
      409655129216724395751953125*ep^8;
Fill mnchfac1(46,22)=
      -33554432/24441899033076525-97457024052680080722231296/
      26011858815862412662419907214683125*ep-24309466676370782968089574350770\
      94470289588224/425306333364762769687521476865570740746026138029859375*
      ep^2-419820210015750092753340057926972592533489741633724576446262444032/
      64725338416901438860312304980578143328679147176324239826487071884628515\
      625*ep^3-42353130213169277826358615628809416284821064657632416966152728\
      5422899352127901253632/688827968085029824453729452358139830102616469309\
      33021024721599178197270121955024255244140625*ep^4-
      64222684627752748382401035163036003704020142365737008204654785237198305\
      087475936941914311565195228766208/1238893342644778143592365056996988355\
      35969690520960839120463323646730635208139858763721001036241522534885253\
      90625*ep^5-692495563406212256767821356505815675115179049577572436790009\
      960699329157989129239909840358355894201537853467644027805691904/
      17140114307456483089601534976475855247487388604166446780084094806606609\
      9584512365515280395793383543433819060699692743443243408203125*ep^6-
      49514893717773065946505490229209512437896942077713166075260070921133955\
      563180207040155492094214341217629393096723627594722791740373182398464/
      16582785042042704734313308042014405028104025141439595675321537803921306\
      79297594405509032495533410046454429989974107225156504790538027973983764\
      6484375*ep^7-6985185587993093772851077240182446394637508086658565879524\
      18103233707465175714381052244178884141780063446903074498059689862289287\
      24460501536317883408565831397376/
      32807512524543876726398965894672803787649949639182727447838826001021737\
      79562736823960406176151368283901130297831609289875397373561942403685968\
      3686896162950519561767578125*ep^8;
Fill mnchfac1(46,24)=
      16777216/855466466157678375+49238650753197850446266368/9104150585551844\
      43184696752513909375*ep+176925070101183129506230145627891415239950336/
      2126531666823813848437607384327853703730130690149296875*ep^2+
      215295181193379066149081736323181967454015441673590658594480603136/
      22653868445915503601109306743202350165037701511713483939270475159619980\
      46875*ep^3+218312053617533864226134980335555284745829905678382193588312\
      799734205514428689063936/2410897888297604385588053083253489405359157642\
      582655735865255971236904454268425848933544921875*ep^4+
      67822831047077716987345873989300295512815542357963164766717914827987537\
      2834864531584811872845717180416/884923816174841531137403612140705968114\
      06921800686313657473802604807596577242756259800715025886801810632324218\
      75*ep^5+359384404941784313205586081381491340750937285391718985195975744\
      375361329881092397413122018867175283024490754168215343982592/
      59990400076097690813605372417665493366205860114582563730294331823123134\
      85457932793034813852768424020183667124489246020513519287109375*ep^6+
      25750871528008977043236679923003471493833686411775393586994390478510046\
      172157355536079594416103720276686410858872138659392538170261541865472/
      58039747647149466570096578147050417598364087995038584863625382313724573\
      77541580419281613734366935162590504964909375288047766766883097908943176\
      26953125*ep^7+519736002012342327195338261724779424285795150495152953945\
      09036520101111408381698847462438269520406581011507105793434399514428171\
      67370922170214158014374870155264/
      16403756262271938363199482947336401893824974819591363723919413000510868\
      89781368411980203088075684141950565148915804644937698686780971201842984\
      18434480814752597808837890625*ep^8;
Fill mnchfac1(46,26)=
      -4194304/14542929924680532375-12440948390064340207009792/15477055995438\
      135534139844792736459375*ep-45085954318591306261157602004532940441206784
      /36151038336004835423439325533573512963412221732538046875*ep^2-
      55236439754637855635192356232244703504646233546446518550052777984/
      38511576358056356121885821463443995280564092569912922696759807771353966\
      796875*ep^3-43313051130265493267014819862583198432850437761274295459341\
      16096701868520341127168/31527126231584057349997617242545630685465907633\
      77319039208411654694413517120249187066943359375*ep^4-
      12294504011952330917315407994372633356903780737670594146843434893432477\
      07567359072594973263370700848128/10530593412480614220535102984474401020\
      55742369428167132523938250997210399269188799491628508808052941546524658\
      203125*ep^5-93348051151868066254802536266231351127928037312267267100130\
      374000387055514089225988262958391316281143994443376071459714048/
      10198368012936607438312913311003133872254996219479035834150036409930932\
      9252784857481591835497063208343122341116317182348729827880859375*ep^6-
      67033435843369232887594108558015004730365631772316754852123334327597149\
      54773171704091555070811192027090888263611487277996468507913353760768/
      98667571000154093169164182849985709917218949591565594268163149933331775\
      41820686712778743348423789776403858440345937989681203503701266445203399\
      658203125*ep^7-13550624745236720026290586132245539822122406863523236042\
      98523964804754647605642561168360721804444557152364740983945592739978041\
      629861087482342229236754250991616/
      27886385645862295217439121010471883219502457193305318330663002100868477\
      12628326300366345249728663041315960753156867896394087767527651043133073\
      113386173850794162750244140625*ep^8;
Fill mnchfac1(46,28)=
      2097152/479916687514457568375+6288106223214076743581696/510742847849458\
      472626614878160303159375*ep+2528686318194902459929618948750950047785861\
      12/13122826915969755258708475168687185205718636488911311015625*ep^2+
      28360313763432938819021902948352733726524733665123782847754401792/
      12708820198158597520222321082936518442586150548071264489930736564546809\
      04296875*ep^3+264255346871533229615036446023586527383165539035485960177\
      4486622781072780717852672/122955792303177823664990707245927959673317039\
      771715442529128054533082127167689718295610791015625*ep^4+
      63735744559276531228907154954593407226697710718153842475385401330795205\
      8144609510985424928103059121664/347509582611860269277658398487655233678\
      39498191129515373289962282907943175883230383223740790665747071035313720\
      703125*ep^5+48544479258703470812653757060553525685277994434537025155509\
      417182139402760139990378107032209066198969059433694048817818624/
      33654614442690804546432613926310341778441487524280818252695120152772078\
      65341900296892530571403085875323037256838467017508084320068359375*ep^6+
      29564556273859106913604481316941683289997936182246309187929770612282654\
      63016950216335462938818310938397849023888693238354599469486539240448/
      27551021748504566015697383365034471307654214385952546707187094942922641\
      90523776366722064488829104376026615856804288838657136055264276707391410\
      82763671875*ep^7+707455667115200066574008081515859696710908491605559284\
      39517236142903121177125691131441881417297802563373150618147508137487480\
      1269704428489527906510440738603008/
      92025072631345574217549099334557214624358108737907550491187906932865974\
      51673476791208939324104588036342670485417664058100489632841248442339141\
      2741743737076207370758056640625*ep^8;
Fill mnchfac1(46,30)=
      -32768/479916687514457568375-99341433629322936971264/510742847849458472\
      626614878160303159375*ep-4030836120009719483090552221804129191390208/
      13122826915969755258708475168687185205718636488911311015625*ep^2-
      455328867910311913188051259863065431151367719639452582001251328/
      12708820198158597520222321082936518442586150548071264489930736564546809\
      04296875*ep^3-328204103443632430943982174314023343516838584091884844322\
      7922087700013831972096/945813786947521720499928517276368920563977229013\
      1957117625234964083240551360747561200830078125*ep^4-
      10335548506102316559374207863080772211424126870453202136474209912185390\
      708167113973405225888213413376/3475095826118602692776583984876552336783\
      94981911295153732899622829079431758832303832237407906657470710353137207\
      03125*ep^5-789787102476034998524214405958307322044692020961570408419940\
      781524645508605876609241154156657281819695285487187088662016/
      33654614442690804546432613926310341778441487524280818252695120152772078\
      65341900296892530571403085875323037256838467017508084320068359375*ep^6-
      62679620422618951371399575996928679703969383791886396753836740963428307\
      8085468160503017636153380595410935790792034405421671105876179746816/
      35816328273055935820406598374544812699950478701738310719343223425799434\
      47680909276738683835477835688834600613845575490254276871843559719608834\
      075927734375*ep^7-11557265312782592554749706200233931935895119732539841\
      29195473720530953812198020566029596314111529344167787577187692688277685\
      3324312486974037300050735852271872/
      92025072631345574217549099334557214624358108737907550491187906932865974\
      51673476791208939324104588036342670485417664058100489632841248442339141\
      2741743737076207370758056640625*ep^8;
Fill mnchfac1(46,32)=
      16384/14877417312948184619625+50233180758714623506432/15833028283333212\
      651425061222969397940625*ep+2057052630772926189749456499592974359227904/
      406807634395062413019962730229302741377277731156250641484375*ep^2+
      234090742070419672675076345083769966750147672528989729338302464/
      39397342614291652312689195357103207172017066699020919918785283350095108\
      033203125*ep^3+22063844238768958647743857001591244449574803003248878880\
      423655278991861557047424/3811629561398512533614711924623766749872828232\
      923178718402969690525545942198381267163934521484375*ep^4+
      53689322401724062067608072746394188870037335994613290038868052448247532\
      19068251012797277356051292288/10772797060967668347607410353117312244030\
      24443925014976571988830770146238452380141879935964510638159202094725341\
      796875*ep^5+41166629312569435724142651056191634820550042069520419739545\
      5977638548029298255750426207545548793130601372484686600500608/
      10432930477234149409394110317156205951316861132527053658335487247359344\
      3825598909203668447713495662135014154961992477542750613922119140625*
      ep^6+327530636711802048500449594821705396945160222932491504782908376840\
      686235045504211909501504285769795973712408690812002055099103294724923008
      /1110306176464734010432604549610889193698464839753887632299639926199782\
      46878108187578899198899812906353872619029212840197882583027150351307873\
      856353759765625*ep^7+60500985931869004776469678517610269493543259462372\
      83338608540004798067351071694570172916345541537451480845290002896210669\
      264114961211181276512856149227579136/
      28527772515717128007440220793712736533551013708751340652268251149188452\
      10018777805274771190472422291266227850479475858011151786180787017125133\
      794994055849362428493499755859375*ep^8;
Fill mnchfac1(46,34)=
      -4096/223161259694222769294375-12703598375225720923648/2374954242499981\
      89771375918344540969109375*ep-525143200581743268655876874420923748402816
      /6102114515925936195299440953439541120659165967343759622265625*ep^2-
      60217937756880964603350809294936843761705979957534827122581056/
      59096013921437478469033793035654810758025600048531379878177925025142662\
      0498046875*ep^3-5710160682010015069747554521333859878395564067300651618\
      309338452642950147048896/5717444342097768800422067886935650124809242349\
      3847680776044545357883189132975719007459017822265625*ep^4-
      13960284260599402734626848863308279548985505939398524653001047239538715\
      62327176279652491196106639552/16159195591451502521411115529675968366045\
      36665887522464857983246155219357678570212819903946765957238803142088012\
      6953125*ep^5-1074231922622071795956632025178957046604754751252649313086\
      57856661261412391667752907757435923874726059022133714320928832/
      15649395715851224114091165475734308926975291698790580487503230871039016\
      57383983638055026715702434932025212324429887163141259208831787109375*
      ep^6-856934336011276439740450672193124535943066793322406084994682109550\
      41682895108070525001041304769068549576228853545961565599502086653538432/
      16654592646971010156489068244163337905476972596308314484494598892996737\
      03171622813683487983497193595308089285438192602968238745407255269618107\
      845306396484375*ep^7-15859171002072283108216235209218268968344788546357\
      03660436167361581739671073082436120502954534266159142298719810129927171\
      878682861650635159695985775026105344/
      42791658773575692011160331190569104800326520563127010978402376723782678\
      15028166707912156785708633436899341775719213787016727679271180525687700\
      6924910837740436427402496337890625*ep^8;
Fill mnchfac1(46,36)=
      2048/6471676531132460309536875+6426956007723411348224/68873673032499475\
      03369901631991688104171875*ep+268265796610188101241907299448575643935808
      /176961320961852149663683787649746692499115813052969029045703125*ep^2+
      31004839183033130758535110410855889041721518918184116040840928/
      17137844037216868756019799980339895119827424014074100164671598257291371\
      994443359375*ep^3+29585171805396213717358800306754519083069183708166485\
      55714515523420391230830848/16580588592083529521223996872113385361946802\
      81321582742505291815378612484856295851216311516845703125*ep^4+
      10383535463392110234490180348306871779700407254215444356908636520528720\
      6150098581246611480493502368/669452388788705104458460500515147260879022\
      33301054502115545020197859087675255051673967449223161085607558743646240\
      234375*ep^5+56138894294759636086706461288891136050086565019466739055258\
      867327055613935715755267398584304481217190462041326880513216/
      45383247575968549930864379879629495888228345926492683413759369526013148\
      064135525503595774755370613028731157408466727731096517056121826171875*
      ep^6+449068831969097601893837067289203799533086465582230497393807568461\
      63305447076533999065704554768861692136741091515859780613523505687958016/
      48298318676215929453818297908073679925883220529294112005034336789690537\
      39197706159682115152141861426393458927770758548607892361681040281892512\
      7513885498046875*ep^7+8327454427950418721811310652847641652284067675440\
      95941424536986742199874402109168936790718035120981875760431256969155611\
      703252570670475500505868596235062272/
      12409581044336950683236496045265040392094690963306833183736689249896976\
      66358168345294525467855503696700809114958571998234851026988642352449433\
      200822414294472656394672393798828125*ep^8;
Fill mnchfac1(46,38)=
      -256/45301735717927222166758125-813099624997595952928/48211571122749632\
      523589311423941816729203125*ep-2399554379483426255049026852733476531556\
      32/8671104727130755333520505594837587932456674839595482423239453125*
      ep^2-3994168766061180964858017747636345900595135482219599811006016/
      11996490826051808129213859986237926583879196809851870115270118780103960\
      3961103515625*ep^3-5480224254510651150287888795810098504931592718677714\
      0035049643321040647502608/165805885920835295212239968721133853619468028\
      1321582742505291815378612484856295851216311516845703125*ep^4-
      94728120599149537944071712726171317192058000718946039412045591123031138\
      292689448153871997654019872/3280316705064655011846456452524221578307209\
      43175167060366170598969509529608749753202440501193489319477037843866577\
      1484375*ep^5-7345003150171233939756351948702052214120790681773380034281\
      350422960019425948542974144348131914033007801573138217373952/
      31768273303177984951605065915740647121759842148544878389631558668209203\
      6448948678525170423287594291201118101859267094117675619392852783203125*
      ep^6-589253146081622806654163408472423537982821968057653148783349301405\
      1430828410953607326467784421524962693602389240780765355322524252119552/
      33808823073351150617672808535651575948118254370505878403524035752783376\
      17438394311777480606499302998475421249439530984025524653176728197324758\
      92597198486328125*ep^7-766502361954049578461342426391913306951462551475\
      38059996990108318402284317222714248556362083552856619052851200793744874\
      1142844983719102107343124599694130688/
      60806947117251058347858830621798697921263985720203482600309777324495185\
      65155024891943174792491968113833964663297002791350770032244347527002222\
      6840298300429160163338947296142578125*ep^8;
Fill mnchfac1(46,40)=
      128/1223146864384034998502469375+411595061996959957264/1301712420314240\
      078136911408446429051688484375*ep+1227194796211842257234425447586353301\
      85416/234119827632530394005053651060614874176330220669078025427465234375
      *ep^2+2059966844816959458040394998403097528642739306906419091566808/
      32390525230339881948877421962842401776473831386600049311229320706280693\
      06949794921875*ep^3+284556105876956140798750752570533220926558484929098\
      82180859764982867081950704/44767589198625529707304791554706140477256367\
      595682734047642879015222537091119987982840410954833984375*ep^4+
      49449127117657938180549610009385345678487829979088007622820132524309003\
      226647494648184764398449536/8856855103674568531985432421815398261429465\
      46572951062988660617217675729943624333646589353222421162588002178439758\
      30078125*ep^5+384986852605059326278986903763014538547147303608682034638\
      0431771006587616825951715503248908645459767144801276426520576/
      85774337918580559369333677972499747228751573801071171652005208404164849\
      84121614320179601428765045862430188750200211541177241723607025146484375
      *ep^6+30980121932912887236257956734462625909635436440561762424835889409\
      23037418667173781112128942940068281432645132297348123275686729251973376/
      91283822298048106667716583046259255059919286800365871689514896532515115\
      67083664641799197637548118095883637373486733656868916563577166132776849\
      100124359130859375*ep^7+40388798812024302868463337011910022449209631655\
      78223826694164711269470921636152218383140231942194689342492342037497844\
      60777412472948068758092344934197983744/
      16417875721657785753921884267885648438741276144454940302083639877613700\
      12591856720824657193972831390735170459090190753664707908705973832290600\
      124688054111587324410151576995849609375*ep^8;
Fill mnchfac1(46,42)=
      -32/15900909236992454980532101875-1354711668546416546308/21998939903310\
      6573205138028027446509735353859375*ep-241544106719794654914210271827080\
      6105108/234119827632530394005053651060614874176330220669078025427465234\
      375*ep^2-531700549071717278528488471190044036307893976573840443017352/
      42107682799441846533540648551695122309415980802580064104598116918164900\
      990347333984375*ep^3-13736443419210184978327371326321240786189225227069\
      178956709923695718923697984/1080817510652530645790644253249333962950903\
      731952911722007378079081801252628468281300004207338134765625*ep^4-
      99423879297530830892546670981174384494185148318355623553063149492916529\
      9705140731306412138535168/885685510367456853198543242181539826142946546\
      57295106298866061721767572994362433364658935322242116258800217843975830\
      078125*ep^5-10106107294388717921182178696137436302900464869660865887713\
      14862729603960384978744015348333238492500479908191740546944/
      11150663929415472718013378136424967139737704594139252314760677092541430\
      47935809861623348185739455962115924537526027500353041424068913269042968\
      75*ep^6-106063019267886480946099103872055058718124890383340303756088205\
      25639062591189700913069894509409290442451920107998194250113658725762351\
      872/1542696596837013002684410253481781410512635946926183231552801751399\
      50545483713932446406440074563195820433471611925798801084689924454107643\
      9287497921016693115234375*ep^7-8201213974002297328733768531580123828443\
      63063616613541076957718301162852579852771800050681794490241127955100319\
      6359197941601543912368260817430857748073472/
      16417875721657785753921884267885648438741276144454940302083639877613700\
      12591856720824657193972831390735170459090190753664707908705973832290600\
      124688054111587324410151576995849609375*ep^8;
Fill mnchfac1(46,44)=
      16/397522730924811374513302546875+686210247142482549458/549973497582766\
      4330128450700686162743383846484375*ep+123693201842265730905606102668372\
      9194108/585299569081325985012634127651537185440825551672695063568663085\
      9375*ep^2+274749023796509063033640273319906718286036721183791154672352/
      10526920699860461633385162137923780577353995200645016026149529229541225\
      24758683349609375*ep^3+500521796394145063785083898774423860001226576059\
      21175602408281449553013005888/18914306436419286301336274431863344351640\
      8153091759551351291163839315219209981949227500736284173583984375*ep^4+
      52055694119380346614138570728460531630628824862342930004037442484633869\
      1129072176572205587535168/221421377591864213299635810545384956535736636\
      64323776574716515430441893248590608341164733830560529064700054460993957\
      51953125*ep^5+531520338045434546818079300804664962283047006540580189871\
      919937182764672680507219830232478110667170833256599480546944/
      27876659823538681795033445341062417849344261485348130786901692731353576\
      19839524654058370464348639905289811343815068750882603560172283172607421\
      875*ep^6+55972947459862308842963999895079107639234956921081485589756981\
      07445933267878304001512247363613720463423382765387223112338164054862351\
      872/3856741492092532506711025633704453526281589867315458078882004378498\
      76363709284831116016100186407989551083679029814497002711724811135269109\
      82187448025417327880859375*ep^7+433887986503952257856903338270980123285\
      16984417886408076806999940820979011278549394494290900340658134952099222\
      02767910057959325664270278842159370548073472/
      41044689304144464384804710669714121096853190361137350755209099694034250\
      31479641802061642984932078476837926147725476884161769771764934580726500\
      3117201352789683110253789424896240234375*ep^8;
Fill mnchfac1(46,46)=
      -1/1192568192774434123539907640625-43464599617581870038/164992049274829\
      92990385352102058488230151539453125*ep-79235602464575991163276965648870\
      048688/1755898707243977955037902382954611556322476655018085190705989257\
      8125*ep^2-17765603153699234985999568612589764951081493020590578739872/
      31580762099581384900155486413771341732061985601935048078448587688623675\
      74276050048828125*ep^3-465894729840664435331410062639133512672274020429\
      657976723507796169328785824/8106131329893979843429831899370004722131777\
      9896468379150553355931135093947135121097500315550360107421875*ep^4-
      34125565387390033271858632069048218514346237355138142427691271977895566\
      782534320232716130982848/6642641327755926398989074316361548696072099099\
      29713297241495462913256797457718250234942014916815871941001633829818725\
      5859375*ep^5-3501017268550244611970191392805571860898278609258298246057\
      4074578895713975106661301138377523814814598171254703984384/
      83629979470616045385100336023187253548032784456044392360705078194060728\
      59518573962175111393045919715869434031445206252647810680516849517822265\
      625*ep^6-37001285675317768609012975887765444081385996543018225401921060\
      00305871735473319844892392452104996066677820752354818984380551197646545\
      92/11570224476277597520133076901113360578844769601946374236646013135496\
      29091127854493348048300559223968653251037089443491008135174433405807329\
      46562344076251983642578125*ep^7-287587476544098145030470587255110991909\
      11363838745367795547886315582633662626940146893065001103530424462616775\
      7679355308207314407191907461399339962792192/
      12313406791243339315441413200914236329055957108341205226562729908210275\
      09443892540618492895479623543051377844317643065248530931529480374217950\
      09351604058369049330761368274688720703125*ep^8;
Fill mnchfac1(47,0)=
      8796093022208/3+43108066022422186747423449153536/5929294332103310025*ep
      +844460058130014289331962329493512252987167387680768/820319063123290204\
      02490868976286168125*ep^2+178811092293089413395634776769861645570985550\
      3662077351500035561357312/162130439049774066894508612336285020269924471\
      978715984375*ep^3+15712862853042011295822402030493798642650368797303295\
      7354094118150643682567672641976532992/157015451908810268270183009050504\
      08960193704861837513607431776501790120703125*ep^4+
      17738596867695867192157450105993431888034909410207617399560723339451620\
      34983482516022395346870198111563677696/21723119344629466744863891089692\
      5179849139265882394312447153374652778657627934956571550009765625*ep^5+
      18675231545626544411661009566622155395630232484011856208293167264016494\
      404127523389327700829430423457079251111416467735548264448/
      30053979294666895823050976454103131801527377463997531813937158337983877\
      74422224542041187394979173315715319580078125*ep^6+
      26816640056558998045123506141929398029381050677746503666689218262330927\
      47143435216785202369199992415757909531373884063714320082028514333900878\
      6432/593996296963395535279773830035103164959976780130330626167857643830\
      7682993084132612630454169864582073240491393817243079462786865234375*
      ep^7+182992289192822896810981343009010360454311883902884427630825909911\
      84391481847784021772269103867534408174922499074550878917656498044436753\
      71424033567834965591732518912/57525654988965123607928525417893936098992\
      81860609024082690362841713983243736244996529237680922073207642407390093\
      20975119930375884500548932432403564453125*ep^8;
Fill mnchfac1(47,2)=
      -4398046511104/141-21738978488165814540786485690368/
      278676833608855571175*ep-4286291610759942470312829204525232522613395124\
      38784/3855499596679463958917070841885449901875*ep^2-1302971514913577769\
      43724621339656201759442961246718925066350895300608/10885900907627687348\
      63129254257913707526635740428521609375*ep^3-804436870702216274537044203\
      67701887821078849268072331658612968580327091020394505590276096/
      73797262397140826086986014253736922112910412850636313954929349558413567\
      3046875*ep^4-9106094184528267067480971428616673486240018045259499858134\
      97562186009455315843508456396426736318726325403648/
      10209866091975849370086028812155483452909545496472532685016208608680596\
      908512942958862850458984375*ep^5-96056647007930286369255204478887319133\
      01503513413237435910948933960298679376716284250935173904091028976639765\
      325696145895194624/1412537026849344103683395893342847194671786740807883\
      99525504644188524225397844553475935807564021145838620020263671875*ep^6-
      13812254874141179462720736897958480936256592830223185669252590068510904\
      42582211658720654408951820911757545296830741544389346150483828023242627\
      4816/279178259572795901581493700116498487531189086661255394298893092600\
      461100674954232793631345983635357442303095509410424734750982666015625*
      ep^7-943422079314481640398668981831547056277924783569299318222739628742\
      15542431275910729371126168685059553925993049394934833254138874530623082\
      7864871940523534225093165056/270370578448136080957264069464101499665266\
      24744862413188644705356055721245560351483687417100333744075919314733438\
      085830636727666571525799824322967529296875*ep^8;
Fill mnchfac1(47,4)=
      1099511627776/3243+5481986129741844368090718011392/
      6409567173003678137025*ep+108806059580695887481831004707795981240488370\
      896896/88676490723627671055092629363365347743125*ep^2+23269496548937114\
      7180483040321564622469776947015002565198020150820864/175263004612805766\
      312963809935524106911788354208991979109375*ep^3+20600821260738523384616\
      389078737526106238435447300058096535826358742719690312090935885824/
      16973370351342390000006783278359492085969394955646352209633750398435120\
      480078125*ep^4+23384828453469792339271602398278894174440544969308810770\
      1052465001125464017249627244960944960189590574989312/
      23482692011544453551197866267957611941691954641886825175537279799965372\
      8895797688053845560556640625*ep^5+2471748690824675026524007768555075245\
      03298897730269584948719155045599640948713184231185646421189330731464413\
      6363775851396857856/324883516175349143847181055468854854774510950385813\
      3189086606816336057184150424729946523573972486354288260466064453125*
      ep^6+355926462797653053567694917645791477309224408968319199967368516863\
      13126971978610280336681538103977415907008936798595118023487723000967092\
      80661504/64210999701743057363743551026794652132173489932088740688745411\
      29810605315523947354253520957623613221172971196716439768899272601318359\
      375*ep^7+24334894339145182244563604509991447069764747685941163299129118\
      11438484615420418684938780216316631517470966404200714183822222861217924\
      89684775067964981491612793176064/62185233043071298620170735976743344923\
      01123691318355033388282231892815886478880841248105933076761137461442388\
      69075974104644736331145093395959428253173828125*ep^8;
Fill mnchfac1(47,6)=
      -549755813888/145935-2765138724362233003080119484416/
      288430522785165516166125*ep-5525315756487299970443683827841682086807640\
      7881728/3990442082563245197479168321351440648440625*ep^2-
      16967748576203984168486048900405417855015823161093147728076431425536/
      1126690743939465640583338778156940687290067991343519865703125*ep^3-
      10556026363578698878485371057117633712810061689012736617166443537608644\
      356924128238764032/7638016658104075500003052475261771438686227730040858\
      49433518767929580421603515625*ep^4-120169538645198606562325569715627193\
      882103712965983414690179721902737931354663466897014714018180838211977216
      /1056721140519500409803903982058092537376137958884907132899177590998441\
      7800310895962423050225048828125*ep^5-1272819856157990257148091162618220\
      63983671510471588127628561930947261506949844097711945758593751869040134\
      5041806665557064286208/146197582278907114731231474960984684648529927673\
      615993508897306735122573286769112847593560828761885942971720972900390625
      *ep^6-18355354514616439491672122015070850283714673464389864320979635020\
      73551383256686001188065204505354189820020096216995647335423033828471490\
      868150272/2889494986578437581368459796205759345947807046943993330993543\
      50841477239198577630941408443093062594952783703852239789600467267059326\
      171875*ep^7-12562475367711542658602045715239257951457090230723452232667\
      53832188297990222019992358750662356143567539871157657384848193875021070\
      41231408268177773037667842210660352/
      27983354869382084379076831189534505215355056610932597650247270043517671\
      48915496378561647669884542511857649074910841883470901313490152920281817\
      4271392822265625*ep^8;
Fill mnchfac1(47,8)=
      68719476736/1605285+348729143605247838045708746752/
      3172735750636820677827375*ep+579859206087358725269267569876729044730338\
      34496/362767462051204108861742574668312786221875*ep^2+15161944295385058\
      762528117489000435922371722442282937324844869484544/8675518728333885432\
      4917085918084432921335235333451029659140625*ep^3+1352875127934764211572\
      755754884807522367249616343096398116567886879704735617157854920704/
      84018183239144830500033577227879485825548505030449443437687064472253846\
      37638671875*ep^4+154465799351706588890866451337327848465620094083924549\
      62061062131865356428819696880426224468450587550154752/
      11623932545714504507842943802639017911137517547733978461890953500982859\
      5803419855586653552475537109375*ep^5+1639593852926269390551874323392627\
      79806139340520717810986907082875578224428869589367406076853031285223697\
      335155172269491224576/1608173405067978262043546224570831531133829204409\
      775928597870374086348306154460241323529169116380745372688930701904296875
      *ep^6+19570810420127623892175682146270468419425852938303486053903826788\
      74869815706773883750413618793179650921031438292119819765820729177693963\
      157504/2626813624162215983062236178368872132679824588130903028175948644\
      01342944725979664492189493720965995411621548956581626909515697326660156\
      25*ep^7+162243121293562289371370256230590876297117642112527387865793228\
      58133819611716846548518766494786316626569133001118602242086875183380025\
      354005911314452061403814559744/3078169035632029281698451430848795573689\
      05622720258574152719970478694386380704601641781243687299676304341398240\
      192607181799144483916821230999916985321044921875*ep^8;
Fill mnchfac1(47,10)=
      -34359738368/69027255-175943866391445120849255858176/
      136427637277383289146577125*ep-3240688359261600284929049946447821734153\
      58332928/171589009550219543491604237818111947882946875*ep^2-
      7744820943295252482481896871277376102556269966366077949689118851072/
      3730473053183570735971434694477630615617415119338394275343046875*ep^3-
      69388054709288243158495073503824236452528661636345951428678317762322930\
      4036464003121152/361278187928322771150144382079881789049858571630932606\
      782054377230691539418462890625*ep^4-79465423239050348854010236421968893\
      54575410928986935992380030263635877650056878067849260419650809837387776/
      49982909946572369383724658351347777017891325455256107386131100054226296\
      19547053790226102756448095703125*ep^5-845364501542719526482829969755398\
      29032986821561705382978289761247862569505818926001638436410458841285085\
      347601223304230207488/6915145641792306526787248765654575583875465578962\
      03649297084260857129771646417903769117542720043720510256240201818847656\
      25*ep^6-226881254219620927986817347425475276660641478936609057840049973\
      39111515650373338062076132491239805318017372712852778568967287730998081\
      2771328/253567927393617991834375043340505411991338169425697373944331369\
      10578614868446608429552169495921819557081018909482267250653249966430664\
      0625*ep^7-8387576879401299055748177252846239298708034377802354363805882\
      84435308715408264815187642071097299989329864140966706600874321673516242\
      8252013580548668593760197148672/132361268532177259113033411526498209668\
      62941776971118688566958730583858614370297870596593478553886081086680124\
      328282108817363212808423312932996430368804931640625*ep^8;
Fill mnchfac1(47,12)=
      8589934592/1449572355+310731335656666948091833745408/
      20054862679775343504546837375*ep+57642560199863846650595556737563156344\
      6523265024/25223584403882272893265822959262456338793190625*ep^2+
      96962710311083921811501269416374165647434339258976524380083251576832/
      3838656771725894287314606300617481903470320157799207709327995234375*
      ep^3+124623098233881564829586220225585505624122373911232110382979227103\
      3471257082629105647616/531078936254634473590712241657426229903292100297\
      47093196961993452911656294514044921875*ep^4+143169640835045377095059446\
      41510362799967871158133759623488400637830611017720104524468462766504622\
      484881408/7347487762146138299407524777648123221630024841922647785761271\
      70797126554073416907163237105197870068359375*ep^5+
      15265487076960092358197551226061668236037561550290956062322618249651954\
      1298548057374499727664725991557317483294257899979669504/
      10165264093434690594377255685512226108296934401074193644667138634599807\
      643202343185406027877984642691500766730966737060546875*ep^6+
      14075686506766159340091616220055036300375737921837878116626222564777109\
      20774421784481411447172985699027195748635810473633965697129109247041208\
      32/12785148467113612766281024060271623378015261840613087291647131961682\
      84340281946443626449938153874063887582054435005397045187516557400512695\
      3125*ep^7+1518828607810524440602860063973290479397040485001535550447867\
      79621461632245413566963902935045192955262249508390254291167571361921595\
      87622383807763693454675474251776/
      19457106474230057089615911494395236821288524412147544472193429333958272\
      16312433786977699241347421253919741978276257469996152392282838227001150\
      475264214324951171875*ep^8;
Fill mnchfac1(47,14)=
      -4294967296/59432466555-156814959508928540356120674304/
      822249369870789083686420332375*ep-2421680221523739855583097787749400840\
      106934272/8546834384786555277883460672146782726367940625*ep^2-
      49569009222860000062132520789998009409450204335446449109004101615616/
      157384927640761665779898858325316758042283126469767516082447804609375*
      ep^3-639842033592428665541912615792289185862986213827145226326797451422\
      628758871889079697408/2177423638644001341721920190795447542603497611219\
      630821075441731569377908075075841796875*ep^4-73743900271388322764471942\
      37710714401036726703764986875107438735111230963947612123040663737193657\
      222037504/3012469982479916702757085158835730520868310185188285592162121\
      4002682188717010093193692721313112672802734375*ep^5-
      78815845977763341219307295035376490470523654246674619401061801796221315\
      751895284604999618889818877598152947800076447320113152/
      41677582783082231436946748310600127044017431044404193943135268401859211\
      3371296070601647142997370350351531435969636219482421875*ep^6-
      66178375099189830978130377534224980644360594169465059959013917665525609\
      96728985258904802154459510672821513562323734087624002625308868260397056/
      47653735195605283947047453315557868954420521405921507177957491857181507\
      228690731080622224967553487835809876574395655708047898344412200927734375
      *ep^7-78643505443638155599984790203569490121605401553309656762905520406\
      88487132130442449158360108367429821835861701589153905161319176865567102\
      677399431460324580463935488/7977413654434323406742523712702047096728295\
      00898049323359930602692289158688097852660856688952442714107094211093265\
      56269842248083596367307047169485832787322998046875*ep^8;
Fill mnchfac1(47,16)=
      268435456/297162332775+9893780217596155207754973184/
      4111246849353945418432101661875*ep+186250490576754653509833190382289663\
      35831867392/5170834802795865943119493706648803549452604078125*ep^2+
      3168924506691976961137710296445505483795488283408057178883797549056/
      786924638203808328899494291626583790211415632348837580412239023046875*
      ep^3+410861804563163259059437476134788120667515078955346305157859734686\
      32931024762729136128/10887118193220006708609600953977237713017488056098\
      154105377208657846889540375379208984375*ep^4+47511008001577594439347393\
      19578265459300302169420052791061738853074297236358221313927231972408396\
      03748864/15062349912399583513785425794178652604341550925941427960810607\
      0013410943585050465968463606565563364013671875*ep^5+
      50903193113763657669019432549635213296159478933601687243044412942060027\
      64302735704919402426973207739370226523836960729464832/
      20838791391541115718473374155300063522008715522202096971567634200929605\
      66856480353008235714986851751757657179848181097412109375*ep^6+
      47098193563198913098452267913208464743882019433968661446684993511802807\
      95841559169084945234541110787995362211220741124728084920777665700397056/
      26209554357582906170876099323556827924931286773256828947876620521449828\
      97577990209434222373215441830969543211591761063942634408942671051025390\
      625*ep^7+50944103153547735036480623309355347066701718891224149251872593\
      01406423040853016013187841927898051689283853158673567417772852843342927\
      93090262887986263549496721408/39887068272171617033712618563510235483641\
      47504490246616799653013461445793440489263304283444762213570535471055466\
      32781349211240417981836535235847429163936614990234375*ep^8;
Fill mnchfac1(47,18)=
      -134217728/11589330978225-384192542818318452191657984/
      12333740548061836255296304985625*ep-94735945759688750686116665189505780\
      89671786496/201662557309038771781660254559303338428651559046875*ep^2-
      1621429973500203371138785255229150131259885717881453073703485308928/
      30690060889948524827080277373436767818245209661604665636077321898828125
      *ep^3-16244833041137049951615904440613544666853838072954083662086772878\
      36749058573477347328/32661354579660020125828802861931713139052464168294\
      462316131625973540668621126137626953125*ep^4-24504662640052629898058612\
      43977797003218633174344802635759279894035815923046783783491855771846306\
      60268032/58743164658358375703763160597296745156932048611171569047161367\
      30523026799816968172770080656056971196533203125*ep^5-
      26320885019371037846153726105734966256857935477202046502624897479382145\
      16682530557814702887277273531095751753633512554889216/
      81271286427010351302046159205670247735833990536588178189113773383625462\
      107402733767321192884487218318548630014079062799072265625*ep^6-
      14436645691529587128555810847378971808535909399176009230180126173685346\
      771174450214233604674053795618460244504435525125072493813407988826112/
      60483586979037475778944844592823449057533738707515759110484508895653451\
      48256900483309743938189481148391253565211756301406079405252317810058593\
      75*ep^7-264241040278276833143575687960783018963120886381742411924843590\
      32227683662765491642735773360028462851810573750711791511432042779424338\
      8282250732948450370384379904/155559566261469306431479212397689918386201\
      75267511961805518646752499638594417908126886705434572632925088337116318\
      678472619238376301291624874198049737393527984619140625*ep^8;
Fill mnchfac1(47,20)=
      33554432/220197288586275+96987864938265052678455296/
      234341070413174888850629794726875*ep+2410130169833825087425283362108831\
      765088436224/3831588588871736663851544836626763430144379621890625*ep^2+
      415009761611746196339304797445547591043455653365048046836366508032/
      583111156909021971714525270095298588546658983570488647085469116077734375
      *ep^3+41774363654869919617769306875424707367621676505105916107615752061\
      4892699114587717632/620565737013540382390747254376702549641996819197594\
      784006500893497272703801396614912109375*ep^4+63238851098885073723373160\
      59998712260128046871963326035796816021802764816333305226013759818482915\
      7982208/111612012850880913837150005134863815798170892361225981189606597\
      879937509196522395282631532465082452734130859375*ep^5+
      68104609328888481567180604720946560578399861014321509209283581886832053\
      2033687773062773717829739917476473655454329787899904/
      15441544421131966747388770249077347069808458201951753855931616942888837\
      80040651941579102664805257148052423970267502193182373046875*ep^6+
      48653048883060178414132769730313463343610592379104485890841967033166433\
      458899668206825927280604063829655968517268155496233699493688353726464/
      14939445983822256517399376614427391917210833460756392500289673697226402\
      51619454419377506752732801843652639630607303806447301613097322499084472\
      65625*ep^7+685933015189451369558644799789259580818705610598690772701109\
      90853308087230830924828619596109422027389704259712079835131467722204167\
      590525314391783362641515749376/
      29556317589679168221981050355561084493378333008272727430485428829749313\
      32939402544108474032568800255766784052100548909797655291497245408726097\
      62945010477031707763671875*ep^8;
Fill mnchfac1(47,22)=
      -16777216/8147299677692175-48976496129673698041397248/
      8670619605287470887473302404894375*ep-111518912234842828235955093849047\
      119978299392/12888070708023114232955196268653658810485640546359375*ep^2
      -212550470902613764002230064310372654898183478741018506020321263616/
      21575112805633812953437434993526047776226382392108079942162357294876171\
      875*ep^3-21498541502893123437812181787913276616344915370385534534686395\
      9440446308430023868416/229609322695009941484576484119379943367538823103\
      11007008240533059399090040651674751748046875*ep^4-
      32664459549949281867706115710807865935154981014020404563308654739805383\
      313266281815240400125013565333504/4129644475482593811974550189989961184\
      53232301736536130401544412155768784027132862545736670120805075116284179\
      6875*ep^5-3527369237984525411511159872397796314772197314957128987260489\
      13086669542384990369907362839875162858632929393314686515761152/
      57133714358188276965338449921586184158291295347221489266946982688688699\
      861504121838426798597794514477939686899897581147747802734375*ep^6-
      22953516821670828035314695452188915249648141773471945807541453580710739\
      54130428248436578204420702748404378110813036305549164517477156749312/
      50250863763765771922161539521255772812436439822544229319156175163397899\
      37265437592451613622828515292286151484770021894413650880418266587829589\
      84375*ep^7-356467199566323859024913839880438767666107618523913320741522\
      74115756294131872170328784294647040150414621744942676753981232465267021\
      684003155121288191508899647488/
      10935837508181292242132988631557601262549983213060909149279608667007245\
      93187578941320135392050456094633710099277203096625132457853980801228656\
      1228965387650173187255859375*ep^8;
Fill mnchfac1(47,24)=
      2097152/73325697099229575+475696772464817436557312/
      6002736649814402922096901664926875*ep+156147179514091879372195082742682\
      561124286464/1275919000094288309062564430596712222238078414089578125*
      ep^2+27228900336511399906668766875518171520132586823666367701837668352/
      19417601525070431658093691494173442998603744152897271947946121565388554\
      6875*ep^3+2767811786938761560884741216866301695526710181690523329738307\
      4112304946645271293952/206648390425508947336118835707441949030784940792\
      799063074164797534591810365865072765732421875*ep^4+
      42213367527618871525896639961734492626806000845405256856588973727772306\
      06540363562975861101230683404288/37166800279343344307770951709909650660\
      79090715628825173613899709401919056244195762911630031087245676046557617\
      1875*ep^5+4571440099864317083569082565169040241456001811369578242351709\
      7320084933645730233726531020158699296795116839037503967698944/
      51420342922369449268804604929427565742462165812499340340252284419819829\
      8753537096545841187380150630301457182099078230329730224609375*ep^6+
      32789639742175833212541255953767384857427407218430318862033407369014356\
      15390490644781448581458606184964385570013321311049954667046623791104/
      49748355126128114202939924126043215084312075424318787025964613411763920\
      37892783216527097486600230139363289969922321675469514371614083921951293\
      9453125*ep^7+4636037998745777497370422445288395794182150586323542178401\
      87650298726698475563411014105825658828415469006806507255699683889585904\
      2573938491130747645745108443136/
      98422537573631630179196897684018411362949848917548182343516478003065213\
      38688210471881218528454104851703390893494827869626192120685827211057905\
      1060688488851558685302734375*ep^8;
Fill mnchfac1(47,26)=
      -1048576/2566399398473035125-3123912691449926467944448/2731245175665553\
      329554090257541728125*ep-11361849421223182197376589855897207268253696/
      6379595000471441545312822152983561111190392070447890625*ep^2-
      13960271281716445376643710530617731856481555173070495171858026496/
      67961605337746510803327920229607050495113104535140451817811425478859941\
      40625*ep^3-142635438443620433468752038589336245089481293889334811201576\
      90669457117695383095296/72326936648928131567641592497604682160774729277\
      47967207595767913710713362805277546800634765625*ep^4-
      31199496563286887252753120195973564798689711488774381033107839772767137\
      2871348302345375280745152556032/185834001396716721538854758549548253303\
      95453578144125868069498547009595281220978814558150155436228380232788085\
      9375*ep^5-2372049182396172907420093880294045737530858080928161041978050\
      7867131303998058226735873620406952251761618959263999674432512/
      17997120022829307244081611725299648009861758034374769119088299546936940\
      456373798379104441558305272060551001373467738061540557861328125*ep^6-
      17050511142540220506447434576897923872497666376899970570969888343645503\
      64645232089050541686488184347440648289720446814025945401629418504192/
      17411924294144839971028973444115125279509226398511575459087614694117372\
      13262474125784484120310080548777151489472812586414330030064929372682952\
      880859375*ep^7-34491408787993716686327110794084528374258629167105101243\
      89396163139091591483482225666618091856953999612221906193070301972795838\
      05034405724773239281163678715904/
      49211268786815815089598448842009205681474924458774091171758239001532606\
      69344105235940609264227052425851695446747413934813096060342913605528952\
      55303442444257793426513671875*ep^8;
Fill mnchfac1(47,28)=
      262144/43628789774041597125+789183529222786466701312/464311679863144066\
      02419534378209378125*ep+263152623659182629872405552439335010166784/
      9859374091637682388210725145520048990021515017964921875*ep^2+
      3580764626263300224868300516188366552312386865142943113571405824/
      11553472907416906836565746439033198584169227770973876809027942331406190\
      0390625*ep^3+3677967297305965657776033406889857138200074617144971337562\
      510680469906426410433024/1229557923031778236649907072459279596733170397\
      71715442529128054533082127167689718295610791015625*ep^4+
      80778160608653577888670401750185800435305836589523326578765114667033510\
      805542196104322999127774545408/3159178023744184266160530895342320306167\
      22710828450139757181475299163119780756639847488552642415882463957397460\
      9375*ep^5+6160210377587259774850417542564686099823088091049278791793875\
      587003550071236108827253133587211971825776948867989004310528/
      30595104038809822314938739933009401616764988658437107502450109229792798\
      7758354572444775506491189625029367023348951547046189483642578125*ep^6+
      40344719042307295430374573696918041655165196859249652340962772208719142\
      430224683643566106626661626478265255156423336383871210472545696768/
      26909337545496570864317504413632466341059713524972434800408131799999575\
      11405641830757839095024669939019234120094346724458510046463981757782745\
      361328125*ep^7+89917603519395791439421649766035393849362244967544819928\
      32007914610958813524960500640842953717440639418415087881913675669093998\
      9800081743705919003475989259776/
      83659156937586885652317363031415649658507371579915954991989006302605431\
      37884978901099035749185989123947882259470603689182263302582953129399219\
      340158521552382488250732421875*ep^8;
Fill mnchfac1(47,30)=
      -131072/1439750062543372705125-398818766372762398355456/153222854354837\
      5417879844634480909478125*ep-162312517118136390612016492369433156255672\
      32/39368480747909265776125425506061555617155909466733933046875*ep^2-
      1838016187577227275754900454953216391485253641908098566921843712/
      38126460594475792560666963248809555327758451644213793469792209693640427\
      12890625*ep^3-172568971431772226937611491108998644061403204465018622631\
      337342948138940948763392/3688673769095334709949721217377838790199511193\
      15146327587384163599246381503069154886832373046875*ep^4-
      59810076452958105830072111834788031552711213167432897050610059054622990\
      64675110622907811007201449472/14893267826222582969042502792328081443359\
      78493905550658855284097838911850394995587852446033885674874472942016601\
      5625*ep^5-3202972482459397785116805984609670235462662427834173592370535\
      712483274670576201120279572875044248519081167308971704932864/
      10096384332807241363929784177893102533532446257284245475808536045831623\
      596025700890677591714209257625969111770515401052524252960205078125*ep^6
      -2544149648215695205023788646428954194337926663790180886918791335639621\
      259234783519537578285908097107233169550441074771387131339272218712064/
      10744898481916780746121979512363443809985143610521493215802967027739830\
      34304272783021605150643350706650380184153672647076283061553067915882650\
      2227783203125*ep^7-4693966193302560654327167765175493927201270050623895\
      58027247515296957096194147906260123184559900741170490255809225704914542\
      56436349411781872867087965857209088/
      27607521789403672265264729800367164387307432621372265147356372079859792\
      35502043037362681797231376410902801145625299217430146889852374532701742\
      38225231211228622112274169921875*ep^8;
Fill mnchfac1(47,32)=
      2048/1439750062543372705125+6299654092799599215104/15322285435483754178\
      79844634480909478125*ep+258671459486530038245624535720683003212288/
      39368480747909265776125425506061555617155909466733933046875*ep^2+
      29501848990393221011921667210251256126946905186858801307380608/
      38126460594475792560666963248809555327758451644213793469792209693640427\
      12890625*ep^3+278558569304722367934115269540809625561475979182397083409\
      0523845489900093865728/368867376909533470994972121737783879019951119315\
      146327587384163599246381503069154886832373046875*ep^4+
      67877549992273277518299091844433159078909178786521384537527572510499508\
      3014027027508687461610619136/104252874783558080783297519546296570103518\
      49457338854611986988684872382952764969114967122237199724121310594116210\
      9375*ep^5+5210069843945579934651017292092176683303664780934139794441958\
      5494333634047410705784756900317025191249706927963152434176/
      10096384332807241363929784177893102533532446257284245475808536045831623\
      596025700890677591714209257625969111770515401052524252960205078125*ep^6
      +4148506472107041649261258540756836270117782187709931151898056917104825\
      1561148689876782836090497207562522636129060722195132376352729966976/
      10744898481916780746121979512363443809985143610521493215802967027739830\
      34304272783021605150643350706650380184153672647076283061553067915882650\
      2227783203125*ep^7+7667416246673643049389099406908214665204588317887144\
      95428783744610443453342135852820276814540262112000962391580736865195231\
      028963246928735060433484893774592/
      27607521789403672265264729800367164387307432621372265147356372079859792\
      35502043037362681797231376410902801145625299217430146889852374532701742\
      38225231211228622112274169921875*ep^8;
Fill mnchfac1(47,34)=
      -1024/44632251938844553858875-3184981042903121796352/474990848499996379\
      54275183668908193821875*ep-131975525125975186883285079183017858706944/
      1220422903185187239059888190687908224131833193468751924453125*ep^2-
      15163220892209345238881617733319931406065074514689546608135104/
      11819202784287495693806758607130962151605120009706275975635585005028532\
      4099609375*ep^3-1440115983439789865453154468062660755380938895485461372\
      538233812372237017049664/1143488868419553760084413577387130024961848469\
      8769536155208909071576637826595143801491803564453125*ep^4-
      71942329112062644466330854925014907484703274423289244824681220754819065\
      83425779612795159244570432/65955900373271438862902512366024360677736190\
      444388672035019724332866096231778376033465467214937030155230289306640625
      *ep^5-27151626589003336286966844918773266229116772857426481720759944100\
      621326255354616289202948084385824066914093771280282688/
      31298791431702448228182330951468617853950583397581160975006461742078033\
      1476796727611005343140486986405042464885977432628251841766357421875*
      ep^6-216746497298411975549743830835359323500737006709002959099766081271\
      74078089935482175125957567721717608361749566317598705986168360746729088/
      33309185293942020312978136488326675810953945192616628968989197785993474\
      06343245627366975966994387190616178570876385205936477490814510539236215\
      69061279296875*ep^7-401335327509113715726093186152313186719374710481307\
      09589047686203782464288508055192213087243739379411337844778529672778888\
      3539498358660496952490684573162496/
      85583317547151384022320662381138209600653041126254021956804753447565356\
      30056333415824313571417266873798683551438427574033455358542361051375401\
      384982167548087285480499267578125*ep^8;
Fill mnchfac1(47,36)=
      256/669483779082668307883125+61948208447882462656/548066363653841976395\
      48288848740223640625*ep+33683606262033166440137130373541386282976/
      18306343547777808585898322860318623361977497902031278866796875*ep^2+
      3899541676041440397764319842915703317154848153978226479523616/
      17728804176431243540710137910696443227407680014559413963453377507542798\
      61494140625*ep^3+372604808797233564379554454744860974627282602531663811\
      095457652304558734549856/1715233302629330640126620366080695037442772704\
      81543042328133636073649567398927157022377053466796875*ep^4+
      91639659296398628990605264833009319619169907357683508226146296134798887\
      653034931370580704703279072/4847758677435450756423334658902790509813609\
      99766256739457394973846565807303571063845971184029787171640942626403808\
      59375*ep^5+708373517070237545979275551899265662127709729046686932378546\
      5960461304721276332134564326124513598568887083785520121152/
      46948187147553672342273496427202926780925875096371741462509692613117049\
      72151950914165080147107304796075636973289661489423777626495361328125*
      ep^6+566995376201958595020671204959180203901545600556521776260370742020\
      7176888642335087657186633459879873058129744510507991082834929270026752/
      49963777940913030469467204732490013716430917788924943453483796678990211\
      09514868441050463950491580785924267856314577808904716236221765808854323\
      535919189453125*ep^7+10518988433458506695221060245993475919059867444270\
      79547540542371518458858380800808725378519131757028561483797790884279431\
      34753657535666831266616911959926784/
      12837497632072707603348099357170731440097956168938103293520713017134803\
      44508450012373647035712590031069802532715764136105018303781354157706310\
      20774732513221309282207489013671875*ep^8;
Fill mnchfac1(47,38)=
      -128/19415029593397380928610625-407360656168145437664/20662101909749842\
      510109704895975064312515625*ep-17202719176839752303825488248697327039888
      /530883962885556448991051362949240077497347439158907087137109375*ep^2-
      2007219105610237925955994421198772907232603971081621978366208/
      51413532111650606268059399941019685359482272042222300494014794771874115\
      983330078125*ep^3-19299879135009092517994390955746125392704403609683048\
      5462472534657102960945328/497417657762505885636719906163401560858404084\
      3964748227515875446135837454568887553648934550537109375*ep^4-
      47700767228321709148461480701282719521884178998757842360742891859813641\
      278594280356799934603154336/1405850016456280719362767051081809247845946\
      89932214454442644542415504084118035608515331643368638279775873361657104\
      4921875*ep^5-3701163706608998007387052618411363386677612636513899322400\
      191087221099510986636610016970469745070692633930579944197376/
      13614974272790564979259313963888848766468503777947805024127810857803944\
      4192406576510787324266111839086193472225400183193289551168365478515625*
      ep^6-297080095078387119878435292514011192715222844867221658973652446475\
      1821342939811554486129870602993124227553931625715239956164243176690176/
      14489495602864778836145489372422103977764966158788233601510301036907161\
      21759311847904634545642558427918037678331227564582367708504312084567753\
      82541656494140625*ep^7-552270317317841325070714275483815520842141256206\
      24286359396191717693106609799483849322555137673243720102171982265694351\
      579809835652291160521428465813268992/
      37228743133010852049709488135795121176284072889920499551210067749690929\
      99074505035883576403566511090102427344875715994704553080965927057348299\
      602467242883417969184017181396484375*ep^8;
Fill mnchfac1(47,40)=
      16/135905207153781666500274375+51528214773028775608/1446347133682488975\
      70767934271825450187609375*ep+15383365727514998296592608545765758185952/
      26013314181392266000561516784512763797370024518786447269718359375*ep^2+
      258503430136015323389738463185296581105352668864069301943176/
      35989472478155424387641579958713779751637590429555610345810356340311881\
      1883310546875*ep^3+3574007964346423833913405710394787347387031817062383\
      169665450586747627304688/4974176577625058856367199061634015608584040843\
      964748227515875446135837454568887553648934550537109375*ep^4+
      62151261001004187758769033413081356346269063543083472861329337062002592\
      59011452254497943657502592/98409501151939650355393693575726647349216282\
      95255011810985117969085285888262492596073215035804679584311135315997314\
      453125*ep^5+48414206196866052905503906034667338304761455128464439424466\
      0792708454787382603418460718611559174478129099330619657472/
      95304819909533954854815197747221941365279526445634635168894676004627610\
      9346846035575511269862782873603354305577801282353026858178558349609375*
      ep^6+389751534129801773983196027726009668822617512371990208081899026388\
      557114418227507427938217619547122689008794207208047953397766185059072/
      10142646922005345185301842560695472784435476311151763521057210725835012\
      85231518293533244181949790899542626374831859295207657395953018459197427\
      677791595458984375*ep^7+50827183624409219682809083836869516409013062623\
      05602896258876807686171179543666014501429240492540546417761138840083462\
      5497768374475620067940077628220973568/
      18242084135175317504357649186539609376379195716061044780092933197348555\
      69546507467582952437747590434150189398989100837405231009673304258100666\
      80520894901287480490016841888427734375*ep^8;
Fill mnchfac1(47,42)=
      -8/3669440593152104995507408125-26079435480149511604/390513726094272023\
      4410734225339287155065453125*ep-7865405963225379472945466076628246744076
      /702359482897591182015160953181844622528990662007234076282395703125*
      ep^2-133282013203589226233625585132285850652717356435102312960888/
      97171575691019645846632265888527205329421494159800147933687962118842079\
      20849384765625*ep^3-185523054571110021267278806824988201691371893032578\
      3173064645148930781895744/134302767595876589121914374664118421431769102\
      787048202142928637045667611273359963948521232864501953125*ep^4-
      32435038916229154011712600311939375165771636048435589761881354157466650\
      52227787821148364259536896/26570565311023705595956297265446194784288396\
      39718853188965981851653027189830873000939768059667263487764006535319274\
      90234375*ep^5-253705015833675749352741252744957530978528962737489600910\
      757681684752734808739525321609297693555268008546349575198336/
      25732301375574167810800103391749924168625472140321351495601562521249454\
      952364842960538804286295137587290566250600634623531725170821075439453125
      *ep^6-15759677456804893931652637541839401093846691049682139625134703714\
      383715811418222528435192909071377798785923675674011857880506400521472/
      21065497453395716923319211472213674244596758492392124236041899199811180\
      53942384148107507147126488791357762470804630843892826899287038338333119\
      023105621337890625*ep^7-26778332249719974230324192206362711594510623524\
      84093899694122078240415699765735973340730422505459012167463414592886358\
      4351251448666255926684176859895389184/
      49253627164973357261765652803656945316223828433364820906250919632841100\
      37775570162473971581918494172205511377270572260994123726117921496871800\
      374064162334761973230454730987548828125*ep^8;
Fill mnchfac1(47,44)=
      2/47702727710977364941596305625+85822397626504455538/659968197099319719\
      615414084082339529206061578125*ep+1547706904078849563797894804539571071\
      88/702359482897591182015160953181844622528990662007234076282395703125*
      ep^2+34391131107877026362916798287395987390410925983702184859872/
      12632304839832553960062194565508536692824794240774019231379435075449470\
      2971042001953125*ep^3+6267162605440512849206596420371001087111192364151\
      149539254158139801185680768/2269716772370314356160352931823601322196897\
      8371011146162154939660717826305197833907300088354100830078125*ep^4+
      65196878174247618598714975439676495437902288823222567399060232739792288\
      278091406807281960982848/2657056531102370559595629726544619478428839639\
      71885318896598185165302718983087300093976805966726348776400653531927490\
      234375*ep^5+66583254380292341307745669210804252962684263672276261381476\
      318428243417839669399283718967575185245667844492313984384/
      33451991788246418154040134409274901419213113782417756944282031277624291\
      43807429584870044557218367886347773612578082501059124272206739807128906\
      25*ep^6+701276398058601921002778379451161646935928280287392407398620620\
      895958966029183038940608823250486424144228497865305325355624096164654592
      /4628089790511039008053230760445344231537907840778549694658405254198516\
      36451141797339219320223689587461300414835777396403254069773362322931786\
      2493763050079345703125*ep^7+4182096784063619700236320406966038671499483\
      87758179377813940237186398350050341649885727648311515939968457910834574\
      22894739361864022137389074697820214784/
      37887405511517967124435117541274573320172175717972939158654553563723923\
      36750438586518439678398841670927316444054286354610864404706093459132154\
      13389550948827844094650363922119140625*ep^8;
Fill mnchfac1(47,46)=
      -1/1192568192774434123539907640625-43464599617581870038/164992049274829\
      92990385352102058488230151539453125*ep-79235602464575991163276965648870\
      048688/1755898707243977955037902382954611556322476655018085190705989257\
      8125*ep^2-17765603153699234985999568612589764951081493020590578739872/
      31580762099581384900155486413771341732061985601935048078448587688623675\
      74276050048828125*ep^3-465894729840664435331410062639133512672274020429\
      657976723507796169328785824/8106131329893979843429831899370004722131777\
      9896468379150553355931135093947135121097500315550360107421875*ep^4-
      34125565387390033271858632069048218514346237355138142427691271977895566\
      782534320232716130982848/6642641327755926398989074316361548696072099099\
      29713297241495462913256797457718250234942014916815871941001633829818725\
      5859375*ep^5-3501017268550244611970191392805571860898278609258298246057\
      4074578895713975106661301138377523814814598171254703984384/
      83629979470616045385100336023187253548032784456044392360705078194060728\
      59518573962175111393045919715869434031445206252647810680516849517822265\
      625*ep^6-37001285675317768609012975887765444081385996543018225401921060\
      00305871735473319844892392452104996066677820752354818984380551197646545\
      92/11570224476277597520133076901113360578844769601946374236646013135496\
      29091127854493348048300559223968653251037089443491008135174433405807329\
      46562344076251983642578125*ep^7-287587476544098145030470587255110991909\
      11363838745367795547886315582633662626940146893065001103530424462616775\
      7679355308207314407191907461399339962792192/
      12313406791243339315441413200914236329055957108341205226562729908210275\
      09443892540618492895479623543051377844317643065248530931529480374217950\
      09351604058369049330761368274688720703125*ep^8;
Fill mnchfac1(48,0)=
      281474976710656/49+68138173601281960897384164672667648/
      4745411897126682456675*ep+940175743614772201680541908363506192666051235\
      2376455168/459570083130437948634888011628147209225625*ep^2+
      98015204330269961888227365716308256672163558504427845936981323469982321\
      8688/44507129388789361457501435376420391482718136475589232640046875*
      ep^3+864416436563534207707933941897203856128783199059021968537368046712\
      96579150894460287675959083008/43102992103779111587343775274159763154349\
      34761010750489601729171871247124737890625*ep^4+
      68493591226462657402213435798278252711964111057711037867020855540375934\
      87886422837398843448808308247274889704112128/41743153373679764840086034\
      73925017245731659630326975382632207404505710194240590218595426892822949\
      21875*ep^5+505756052717059904878602406505509657302752262880282271161762\
      74723576560631264519935990328314245611598315480232756073866049804194073\
      8048/404262156414375036651113548265043772729345929974271015929872403422\
      59152494213033745095017983447777722420976737959228515625*ep^6+
      35634949029585894327561339169797730970201836775213582651993628541729622\
      39007228892779623038744368006617769047040557565238788638154740104124397\
      0183802912768/391508254409563894665165593706648705613100870670244590851\
      21350872118237481971798213042188687697009406456027678187265318511475139\
      79022216796875*ep^7+243400052909128845257140851483542272075708517543178\
      42018826947648434356211613135212055972686811927059905032578052665854011\
      41238669272785618074502873657537778451768408736268288/
      37915672006090702934752573380452310195357198531590071952782326117648450\
      08297854823345734615963505417491708037777378967918253215114884048674262\
      30535920562744140625*ep^8;
Fill mnchfac1(48,2)=
      -8796093022208/147-2147064984766174730033804097880064/
      14236235691380047370025*ep-29813685343514927424710566764058990093672797\
      3880397824/1378710249391313845904664034884441627676875*ep^2-
      31231274385208968274170392805009064008090323916605472549426508889203933\
      184/133521388166368084372504306129261174448154409426767697920140625*
      ep^3-276431380517515938779628719606748112091474112794321510133931237595\
      2216748507543622803148242944/129308976311337334762031325822479289463048\
      04283032251468805187515613741374213671875*ep^4-
      21961977174020844536473158907734833190280170078778474597544150883645481\
      7430307521709534247412601272299665284399104/125229460121039294520258104\
      21775051737194978890980926147896622213517130582721770655786280678468847\
      65625*ep^5-162479830579779483548849494094003871400013802055829486109641\
      62322338509834810092369010038637084234168487381697409975822404245377777\
      664/1212786469243125109953340644795131318188037789922813047789617210267\
      77457482639101235285053950343333167262930213877685546875*ep^6-
      11463742031386924168250337888730093738131672145339215166189092784110198\
      88616092631340741698924893510803833619353509405266494660469635155615351\
      532498714624/1174524763228691683995496781119946116839302612010733772553\
      64052616354712445915394639126566063091028219368083034561795955534425419\
      37066650390625*ep^7-783754492646016889881573891159264979865414967926916\
      31270665580129155944922554006882190459799076299287144990754862756081779\
      149088525939517129708703284315558730590976143785984/
      11374701601827210880425772014135693058607159559477021585834697835294535\
      02489356447003720384789051625247512411333213690375475964534465214602278\
      691607761688232421875*ep^8;
Fill mnchfac1(48,4)=
      4398046511104/6909+1082594820753868702203565343506432/
      669103077494862226391175*ep+1512991511388395684390932074458259342948862\
      57484890112/64799381721391750757519209639568756500813125*ep^2+
      15927394375339793444512173800265657707137926258720237864036026893616545\
      792/6275505243819299965507702388075275199063257243058081802246609375*
      ep^3+141497585471913247751820886116207326402573542779011150070707959302\
      6797192436573287875893788672/607752188663285473381547231365652660476325\
      801302515819033843813233845844588042578125*ep^4+
      11272549301518940178342772287487308458703746022873071237062476345168682\
      0560227189932337045581028952627663446474752/588578462568884684245213089\
      82342743164816400787610352895114124403530513738792322082195519188803583\
      984375*ep^5+83562663425642023716745440403833850716075094305111460584195\
      00197151269238353051721295761967839036907630177922394299875114004126892\
      032/5700096405442688016780701030537117195483777612637221324611200888258\
      540501684037758058397535666136658861357720052251220703125*ep^6+
      59040548008326867292392229928958386911784488377404327996936082046300269\
      45924716174281659679257123140918179030009324010022998125714465982270398\
      45731008512/55202663871748509147788348712637467491447222764504487310021\
      10472968671484958023548038948604965278326310299902624404409910117994710\
      42132568359375*ep^7+404042757349130606155688873126321397761374140924987\
      58533950932609612756431197940988761999491175668722012431077434273104405\
      854712005909585880623737246563147026339532155912192/
      53461097528587891138001128466437757375453649929542001453423079825884314\
      61699975300917485808508542638663308333266104344764737033311986508630709\
      8505564799346923828125*ep^8;
Fill mnchfac1(48,6)=
      -1099511627776/158907-272963539065786321462702068727808/
      15389370782381831206997025*ep-38399465879547774260279304072792312373802\
      229592752128/1490385779592010267422941821710081399518701875*ep^2-
      40626921085767922456121733239666937995708090156974235656268723136212500\
      48/144336620607843899206677154925731329578454916590335881451672015625*
      ep^3-362297267790875842306550439433882479313534767339458901657382013782\
      750693584244077105426464768/1397830033925556588777558632141001119095549\
      3429957863837778407704378454425524979296875*ep^4-
      28944128251521979477827555775583145845227239638712613213051967630182413\
      878909783722148231346423720895348146700288/1353730463908434773763990106\
      59388309279077721811503811658762486128120181599222340789049694134248243\
      1640625*ep^5-2150003502480772386638375055153474240778669248287243046346\
      77267845714517628524185274334646658329166572531900910210877637820678982\
      8608/131102217325181824385956123702353695496126885090656090466057620429\
      946431538732868435343143320321143153811227561201778076171875*ep^6-
      15212783506054045750465268996275274639210142517183091862178776542678843\
      42386524518074272678459220097255282681821920774391438914293272770808132\
      13191241728/12696612690502157103991320203906617523032861235836032081304\
      85408782794441540345416048958179142014015051368977603613014279327138783\
      3969049072265625*ep^7-1042134809893696716372652540859823778902354188248\
      56551888811700336117326737457264498346940545307054671880129086727049270\
      74993866439950593604580561159778174781387471635611648/
      12296052431575214961740259547280684196354339483794660334287308359953392\
      36190994319211021735956964806892560916651203999295889517661756896985063\
      265627990384979248046875*ep^8;
Fill mnchfac1(48,8)=
      549755813888/7150815+137664906847967390864054297821184/
      692521685207182404314866125*ep+1949600354602022769951460347147079386564\
      2442546479104/67067360081640462034032381976953662978341584375*ep^2+
      20733036811245450466847623510096382371871544714997834472499149793803632\
      64/6495147927352975464300471971657909831030471246565114665325240703125*
      ep^3+185610620269480987641714435073972784106349460895634985918806980730\
      023058820893076283115700224/6290235152665004649499013844634505035929972\
      04348103872700028346697030449148624068359375*ep^4+
      14871519384563646443735097640951809758938546759318376575560385179355685\
      247308413630860807078105964048424930115584/6091787087587956481937955479\
      67247391755849748151767152464431187576540817196500533550723623604117094\
      23828125*ep^5+110700695986435825980350892452286766087270172356725408301\
      74748576707865160004416846360001834184577846348489102714669040685616138\
      81344/58995997796331820973680255666059162973257098290795240709725929193\
      47589419242979079590441449414451441921505240254080013427734375*ep^6+
      78446322971332526055534384964097791635871902694325308487292502822378303\
      35710421140564234028708023198611092622320353317489137703201212475438831\
      1557013504/571347571072597069679609409175797788536478755612621443658718\
      43395225749869315543722203118061390630677311603992162585642569721245252\
      8607208251953125*ep^7+5379499498136965909300053744253883575540106863661\
      44536903138619497957042796688844891219265803183266778193134168878274489\
      5129053501861005975266000626450070595321787070808064/
      55332235942088467327831167962763078883594527677075971504292887619790265\
      62859474436449597811806341631016524124930417996831502829477906036432784\
      6953259567324066162109375*ep^8;
Fill mnchfac1(48,10)=
      -68719476736/78658965-17359366705934390778380783976448/
      7617738537279006447463527375*ep-225018987221511943444973472304122828343\
      111957086208/67067360081640462034032381976953662978341584375*ep^2-
      264610959013223027309325446150311143801049327466989765806008882648055808
      /71446627200882730107305191688237008141335183712216261318577647734375*
      ep^3-237837431148592651530153023889385021481269799758959540541734389939\
      91819742191354046136188928/69192586679315051144489152290979555395229692\
      47829142599700311813667334940634864751953125*ep^4-
      19112885582909836242723203358174875777456024603331258864979401008736666\
      43953239295986946118390184332639860686848/67009657963467521301317510276\
      39721309314347229669438677108743063341948989161505869057959859645288036\
      62109375*ep^5-142582665652504957989554184969072907271159892939168538736\
      57161196156764383703732480544406622728242021439355546633410677967208369\
      3568/648955975759650030710482812326650792705828081198747647806985221128\
      23483611672769875494855943558965861136557642794880147705078125*ep^6-
      91996531956002482669192789040514700582865269235342141693153253684621614\
      73707402946951798575337809071447632240599267372121822168050554707117289\
      32651008/57134757107259706967960940917579778853647875561262144365871843\
      39522574986931554372220311806139063067731160399216258564256972124525286\
      07208251953125*ep^7-694710979983366106442797040175429433116195454965527\
      10576022009145015584914487631061591577463684116434411676249079356578944\
      3106644105584647025522685605317213022781107601408/
      60865459536297314060614284759039386771953980444783568654722176381769292\
      19145421880094557592986975794118176537423459796514653112425696640076063\
      16485855240564727783203125*ep^8;
Fill mnchfac1(48,12)=
      34359738368/3382335495+8757068787819434278684064743424/
      327562757102997277240931677125*ep+1143024736517308640338812179481737197\
      34105044680704/2883896483510539867463392425009007508068688128125*ep^2+
      135137247661199677273524469983810676643719536328906513425339349943189504
      /3072204969637957394614123242594191350077412899625299236698838852578125
      *ep^3+12196229366065803384456565392939361101654379001721986096085881034\
      926516707570987823282520064/2975281227210547199213033548512120881994876\
      77656653131787113407987695402447299184333984375*ep^4+
      98311278030060072517067751207004583499770871068890798712440631064133228\
      5866587810406032399305797786544084353024/288141529242910341595665294188\
      50801630051693087578586311567595172370380653394475236949227396474738557\
      470703125*ep^5+73505511793436039061065099160459787540960409808217888950\
      86985829263062067958388685410529807489181887365442720254617982104511080\
      0384/279051069576649513205507609300459840863506074915461488557003645085\
      1409795301929104646278805573035532028871978640179846351318359375*ep^6+
      47503266323900007547143664199746790576589106246519282782975222354312067\
      18139506870966080471419496126844439713717011579959041686622978407306169\
      45967104/24567945556121673996223204594559304907068586491342722077324892\
      65994707244380568380054734076639797119124398971662991182630498013545873\
      0109954833984375*ep^7+3591241099101640033829392965401709132887416983601\
      54180966847041175471236455467554959989351525896860184904611951411215770\
      589711227424927251267596146324463619438609895522304/
      26172147600607845046064142446386936311940211591256934521530535844160795\
      64232531408440659764984399591470815911092087712501300838343049555232707\
      1608891775344283294677734375*ep^8;
Fill mnchfac1(48,14)=
      -8589934592/71029045395-2209074183256324475910468141056/
      6878817899162942822059565219625*ep-263988071763017451072910716790326423\
      5275593711616/5505620559429212474248294629562650697222040971875*ep^2-
      34520855105337307110231772416543531642333752085183381047887632558718976/
      64516304362397105286896588094478018351625670892131283970675615904140625
      *ep^3-31286567956057871104922280291007854749433779243810354992380648811\
      03999740985043218245615616/62480905771421491183473704518754538521892412\
      30789715767529381567741603451393282871013671875*ep^4-
      25299236668831536370527353101621696638794121163668905508588641705677266\
      0395202170803781404380178205781688057856/605097211410111717350897117795\
      86683423108555483915031254291949861977799372128397997593377532596950970\
      6884765625*ep^5-1895973702841973275474488763754686363635408278130820371\
      36552029732321338878242995495896530008968038711750738926071011480356740\
      13696/58600724611096397773156597953096566581336275732246912596970765467\
      879605701340511197571854917033746172606311551443776773377685546875*ep^6
      -1014318468129057198537380220202493858021900237884445070154061199922091\
      86126069638599967210284036582641250282020158113812587867356914861247373\
      6134656/426385831965748061091477104533673886816892823403468730267622104\
      01561034819828046265412740173087388017861469756134557715074758912779614\
      24041748046875*ep^7-928940404662123345497982617289565029683854816264097\
      88581504362632481312409081600301403166376333240994514795220376243545558\
      909067678060311612441355867770482383066979762176/
      54961509961276474596734699137412566255074444341639562495214125272737670\
      84888315957725385506467239142088713413293384196252731760520404065988685\
      03786727282229949188232421875*ep^8;
Fill mnchfac1(48,16)=
      4294967296/2912190861195+1114682133392327702126660681728/
      282031533865680655704442174004625*ep+1475870436405788720469606607059480\
      2686078367039488/2483034872302574825885980877932755464447140478315625*
      ep^2+176439006457642900144012543079026743391228560977778834178291211834\
      49088/26451684788582813167627601118735987524166525065773826427977002520\
      69765625*ep^3+160600464271883731690426884417530830439648575239614081020\
      1189901904337531147511927598481408/256171713662828113852242188526893607\
      939758890462378346468704644277405741507124597711560546875*ep^4+
      13028968933639195643860797235023941672523032294865220219499205094236274\
      5286696384009386674044473648104266006528/248089856678145804113867818296\
      30540203474507748405162814259699443410897742572643179013284788364749897\
      982275390625*ep^5+97876227411137259309132266488541812560470351972349169\
      59454631692298759155544078574151192880640066767317221756547352832788697\
      448448/2402629709054952308699420516076959229834787305022123416475801384\
      183063833754960959100446051598383593076858773609194847708485107421875*
      ep^6+634680050203585169238561981111834460391211963152587612192444090214\
      55212707681437813071493942397532202897944157243707050096238690334566943\
      606178316288/2115300112382076131074817915591556152498605296904608370857\
      67325802144293741166937522712603998686531956610751460183540824485878966\
      29966624671112060546875*ep^7+480960994203712536254873918178973145640440\
      04191854185606698538905781674990621302456101582102633519950363513113620\
      183039640886427915889876397064379283786978495001020530688/
      22534219084123354584661226646339152164580522180072220623037791361822445\
      04804209542667408057651568048256372499450287520463620021813365667055360\
      8655255818571427916717529296875*ep^8;
Fill mnchfac1(48,18)=
      -268435456/14560954305975-70317550075037331431398309888/
      1410157669328403278522210870023125*ep-937896097832601410186109075554395\
      653485791019008/12415174361512874129429904389663777322235702391578125*
      ep^2-112772222725320623503757337377915358159559706160161935753695550033\
      1008/132258423942914065838138005593679937620832625328869132139885012603\
      48828125*ep^3-103105650615775069613321556706399121327134858373514525982\
      395016674531998503395139285680128/1280858568314140569261210942634468039\
      698794452311891732343523221387028707535622988557802734375*ep^4-
      83927376146944391490130696582210560164934432191029405614201449898089396\
      62621485628818578393453402281650946048/12404492833907290205693390914815\
      27010173725387420258140712984972170544887128632158950664239418237494899\
      11376953125*ep^5-632046317710543384037549802132707856636897740470451315\
      33013519303915280116339412181615768944460512540183508219015900366980304\
      0768/120131485452747615434971025803847961491739365251106170823790069209\
      15319168774804795502230257991917965384293868045974238542425537109375*
      ep^6-410586534696344272319585412235757356970351338438130402137626700032\
      23234243022476157695819387352532558795018158698631501440668611607993118\
      33172574208/10576500561910380655374089577957780762493026484523041854288\
      36629010721468705834687613563019993432659783053757300917704122429394831\
      49833123355560302734375*ep^7-311535531832436939513800250192364567415290\
      78849679184931010951693443172608605556518672779766968832257188664613072\
      79632027002222684332045642188165710968715121445183684608/
      11267109542061677292330613323169576082290261090036110311518895680911222\
      52402104771333704028825784024128186249725143760231810010906682833527680\
      43276279092857139583587646484375*ep^8;
Fill mnchfac1(48,20)=
      134217728/567877217933025+2730158897876853972153663488/
      4230473007985209835566632610069375*ep+476960249605868481293849746021416\
      982504961736704/484191800099002091047766271196887315567192393271546875*
      ep^2+576889424077831900266751648025884945729082280759640452903682307784\
      704/5158078533773648567687382218153517567212472387825896153455515491536\
      04296875*ep^3+407579708971213551255857641261458870104606398538089927831\
      3806061616907086830151083491328/384257570494242170778363282790340411909\
      6383356935675197030569664161086122606868965673408203125*ep^4+
      43279425216315343782807199319207067896922759832782931789405238077639603\
      98995385992520731708735186246043828224/48377522052238431802204224567779\
      55339677529010939006748780641391465125059801665419907590533731126230106\
      543701171875*ep^5+32677034353985083251068819456444491336513529478126268\
      30978421161076893883236690313313583747951960745288706000109646321787728\
      03584/46851279326571570019638700063500704981778352447931406621278126991\
      5697447582217387024586980061684800649987460853792995303154595947265625*
      ep^6+163592296367081438877019540570815055157791545533741367592724256560\
      82452912040475332025906401634724894637375770630611240919945446040803043\
      9945617408/317295016857311419661222687338733422874790794535691255628650\
      98870321644061175040628406890599802979793491612719027531123672881844944\
      9499370066680908203125*ep^7+1615769095380176850938589736825989509496003\
      90744708359891765341869273218966319060754937154759870272039694388897697\
      0113957743461300811307186651048023508874181600795541504/
      43941727214040541440089391960361346720932018251140830214923693155553767\
      84368208608201445712420557694099926373928060664904059042536063050757953\
      687774884621428443759918212890625*ep^8;
Fill mnchfac1(48,22)=
      -33554432/10789667140727475-689117829105011570452201472/
      80378987151718986875766019591318125*ep-12131563721261063369166814155494\
      8799985812504576/9199644201881039729907559152740858995776655472159390625
      *ep^2-14762333311371065863679946599349983726611867290099281785152414620\
      0576/980034921416993227860602621449168337770369753686920269156547943391\
      8481640625*ep^3-1047889763267135666944575555326250790701555167805371372\
      093091075107397166357064451653632/7300893839390601244788902373016467826\
      2831283781777828743580823619060636329530510347794755859375*ep^4-
      11167035096470386265913250335740086702121082456116531949958436954474112\
      64056908962978644609038510348988563456/91917291899253020424188026678781\
      15145387305120784112822683218643783737613623164297824422014089139837202\
      4330322265625*ep^5-8453856768960404975679379718389921556475443070710275\
      82498936364665994558059768995353984492514860337051943923989463776215381\
      03296/89017430720485983037313530120651339465378869651069672580428441283\
      98251504062130353467152621172011212349761756222066910759937322998046875
      *ep^6-42404726555398071910724971678774835608187835527315131432802934736\
      75229007020749814208422331179713391097220361739275093573647945271680635\
      5713073152/602860532028891697356323105943593503462102509617813385694436\
      87853611123716232577193973092139625661607634064166152309134978475505395\
      40488031266937255859375*ep^7-419396403182490903292084592866339848840152\
      78223475432852446565023099952553177539168790580248470123165001492933451\
      8978835438266652975772784375788524361199629310100299776/
      83489281706677028736169844724686558769770834677167577408355016995552158\
      90299596355582746853599059618789860110463315263317712180818519796440112\
      0067722807807140431438446044921875*ep^8;
Fill mnchfac1(48,24)=
      16777216/399217684206916575+347936860176293987141287936/297402252461360\
      2514403342724878770625*ep+617341034332863804020764501554368845491278970\
      88/340386835469598470006579688651411782843736252469897453125*ep^2+
      75589102429882593519043982035802430718904846805457449192914157273088/
      36261292092428749430842296993619228497503680886416049958792273905498382\
      0703125*ep^3+5391640859258115553439056718163675379837564689877545297092\
      46872590585096589100264636416/27013307205745224605718938780160930957247\
      57499925779663512490473905243544192628882868405966796875*ep^4+
      57669771383186190986810914365649913848050666233607048718261269124682687\
      9205935124209653027770833451085078528/340093980027236175569495698711490\
      26037933028946901217443927908981999829170405707901950361452129817397649\
      00221923828125*ep^5+437787533386042733328350360579360846630562460326633\
      93638289561962129368008424416535096296625192180979288900770044713250020\
      200448/3293644936657981372380600614464099560219018177089577885475852327\
      50735305650298823078284646983364414856941184980216475698117680950927734\
      375*ep^6+16925906638497711230922630041603638898100957321938244421741556\
      48783434990940334831344393256587533044934584211842655050962331675285310\
      371787415552/1715833821928384061706458070762535356007522527373776559284\
      16650044893198269277335090538800705088421498650798011356572153400276438\
      43307542858221282958984375*ep^7+
      21793403287876644050147146094709069178047852409407869529269515855129873\
      74583143737063503677688764787873128696752038163820333565189720766332537\
      80155770686006833341042688/30891034231470500632382842548134026744815208\
      83055200364109135628835429879410850651565616335831652058952248240871426\
      647427553506902852324682841442505743888864195963222503662109375*ep^8;
Fill mnchfac1(48,26)=
      -2097152/3592959157862249175-43926079702870649333153792/267662027215224\
      22629630084523908935625*ep-64929052420496881511335845394808168049852416/
      25318029084515588678175348742666992112344018778752703125*ep^2-
      9681121474486793193044081454147302944838053674076365250932248846336/
      32635162883185874487758067294257305647753312797774444962913046514948543\
      86328125*ep^3-693988645268139308404287761789683721775473460535959554425\
      82633351160921801407822589952/24311976485170702145147044902144837861522\
      817499332016971612414265147191897733659945815653701171875*ep^4-
      74514221352477145978601418978600926964730022852255488691257778354450569\
      019623716875784681349855667693398016/3060845820245125580125461288403412\
      34341397260522110956995351180837998462533651371117553253069168356578841\
      01997314453125*ep^5-567279806330692652690234857016235993207166118748343\
      40232057509352713637613034978999533442645582506065136416578330655980583\
      36256/29642804429921832351425405530176896041971163593806200969282670947\
      56617750852689407704561822850279733712470664821948281283059128558349609\
      375*ep^6-25974341536635862279111083036477728581953967776493057434805484\
      87100828592124433369589202927820287964487123656000082530109018893540158\
      35399473152/18250232469601903201786872207201512422989103245702896130567\
      95277750227654318677109599367243863213210485649397029883540177075667572\
      42452955855626373291015625*ep^7-
      28340882949553164271518966219816858576180477331281290705573214770135267\
      46854358321487671538115681965247757967689198289954525600011429194883005\
      1268223833076673618497536/278019308083234505691445582933206240703336879\
      47496803276982220659518868914697655864090547022484868530570234167842839\
      826847981562125670922145572982551694999777763669002532958984375*ep^8;
Fill mnchfac1(48,28)=
      1048576/125753570525178721125+22186225544435616578830336/93681709525328\
      4792037052958336812746875*ep+400075875134791761948566473994991567302786\
      2528/107221853172923518052072601925194711595776919528017697734375*ep^2+
      4962332008344260205299619428907780178926018133279855782343374204928/
      11422307009115056070715323552990056976713659479221055737019566280231990\
      3521484375*ep^3+3575564708062559722373744321258147792194850654272492000\
      8807619891412943966911810103296/850919176980974575080146571575069325153\
      298612476620594006434499280151716420678098103547879541015625*ep^4+
      38543278926732000001688822079159353357858967858426747554933864957471059\
      889843263140168670639524389004909568/1071296037085793953043911450941194\
      32019489041182738834948372913293299461886777979891143638574208924802594\
      3569906005859375*ep^5+2943048439451239462519026368740602190708183790666\
      32160869715196197863443934820775967505078399619158668308190667108136970\
      5817088/103749815504726413229988919355619136146899072578321703392489348\
      31648162127984412926965966379975979067993647326876818984490706949954223\
      6328125*ep^6+1485535825549007893977409313476392625421613438116416288131\
      07944990698765000906164684998811273427073012299446892391080055200661240\
      4065841528825856/702633950079673273268794579977258228285080474959561501\
      02686618193383764691269068719575638888733708603697501785650516296817413\
      201538344388004416153717041015625*ep^7+
      14758240630090896014512591976329381361746557337546564232491502812146795\
      14963587465538612108575476764006235658164856564509973681420933284449263\
      6702211958076112369942528/973067578291320769920059540266221842461679078\
      16238811469437772308316041201441795524316914578697039856995819587449939\
      3939679354674398482275095054389309324992221728415088653564453125*ep^8;
Fill mnchfac1(48,30)=
      -262144/2137810698928038259125-5603993880631038092713984/15925890619305\
      841464629900291725816696875*ep-1019054272035573287807135750569559356151\
      007232/1822771503939699806885234232728310097128207631976300861484375*
      ep^2-1272512266749744032143789658729178231422527485436847546844354936832
      /1941792191549559532021605004008309686041322111467579475293326267639438\
      359865234375*ep^3-92177276742045052174654726487737011695275806628334161\
      71412511531969264540881038785024/14465626008676567776362491716776178527\
      606076412102550098109386487762579179151527667760313952197265625*ep^4-
      99771431947114339769749976139913765551763648166386339920675785515462404\
      21159737670445793219848462417940992/18212032630458497201746494666000303\
      44331313700106560194122339525986090852075225658149441855761551721644104\
      0688402099609375*ep^5-7641808697760872697634729667787259078469940205767\
      62837875760925042270158668817921632535345854847083179032200119815960350\
      671872/1763746863580349024909811629045525314497284233831468957672318921\
      38018756175735019758421428459591644155892004556905922736342018149221801\
      7578125*ep^6-3866055121046104996991269906190015382307159911834386451703\
      20622298203859636032533498950300938221760334689175789428649825535409716\
      410136836977664/1194477715135444564556950785961338988084636807431254551\
      74567250928752399975157416823278586110847304626285753035605877704589602\
      4426151854596075074613189697265625*ep^7-
      38470320319038428753629037401072634635163049615498974977352059077377065\
      53435017062221367597544472813825765299399451820921907684943095236892580\
      966559910724851285791232/1654214883095245308864101218452577132184854432\
      87605979498044212924137270042451052391338754783784967756892893298664896\
      96974549029464774198676615924618258524867769383056507110595703125*ep^8;
Fill mnchfac1(48,32)=
      131072/70547753064625262551125+2831585952645103201390592/52555439043709\
      2768332786709626951950996875*ep+571282666049772186896318580773198473905\
      3362176/661666055930111029899340026480376565257539370407397212718828125
      *ep^2+653021572831240837478379223039069043838279356462738613624016802816
      /6407914232113546455671296513227421963936362967843012268467976683210146\
      5875552734375*ep^3+3930810750073232580434953812213113386846372399141856\
      9948039184681295162347390652672/394517072963906393900795228639350323480\
      1657203300695481302559951207976139768598454843721986962890625*ep^4+
      51700290260714577780624142939768771154499547578760993584148440510188920\
      07406138021550833743536341056976896/60099707680513040765763432397801001\
      36293335210351648640603720435754099811848244671893158124013120681425543\
      42717269287109375*ep^5+397262925456262417126791743930243727993259461905\
      42952296640316944327181952109627173440378962247028458002530706038430134\
      6638336/582036464981515178220237837585023353784103797164384756031865244\
      05546189537992556520279071391665242571444361503778954502992865989243194\
      580078125*ep^6+22160109318052468150275708768024463175550345302457728368\
      93767024755390066110249104860159021135618248139293494629223053205777106\
      157770573361533952/4335954105941663769341731353039660526747231610975454\
      02283679120871371211909821423068501267582375715793417283519249336067660\
      256866693123218375252084587860107421875*ep^7+
      20080593061927181273628793228381889406556705637947465745964183228027547\
      63560255619926191881676821221297476726878388285021635258255798447578745\
      245726919469979022710016/5458909114214309519251534020893504536210019628\
      49099732343545902649652991140088472891417890786490393597746547885594160\
      000160117972337548556328325512402531320636389640864734649658203125*ep^8
      ;
Fill mnchfac1(48,34)=
      -2048/70547753064625262551125-44720306587656044707328/52555439043709276\
      8332786709626951950996875*ep-910223627271741010779316157249643669376291\
      84/661666055930111029899340026480376565257539370407397212718828125*ep^2
      -10478933123313464795400784149091745474178848065813516003391394944/
      64079142321135464556712965132274219639363629678430122684679766832101465\
      875552734375*ep^3-69778540871161843464691763920916904117520059438203949\
      84567666106413701978539209728/43396878026029703329087475150328535582818\
      229236307650294328159463287737537454583003280941856591796875*ep^4-
      83801556356092530196982204289205061102493842006595114492107278377192749\
      856786133289448317077065483409664/6009970768051304076576343239780100136\
      29333521035164864060372043575409981184824467189315812401312068142554342\
      717269287109375*ep^5-64608511327859457065487035043694003754935307718326\
      94850334346571063452775396599174382095061198876335901570602098345710426\
      624/5820364649815151782202378375850233537841037971643847560318652440554\
      61895379925565202790713916652425714443615037789545029928659892431945800\
      78125*ep^6-361292622454404405705576134674331855652164179400869946590834\
      73052706209638301227000505735279618499970921807178207026040481858522907\
      473925936768/4335954105941663769341731353039660526747231610975454022836\
      79120871371211909821423068501267582375715793417283519249336067660256866\
      693123218375252084587860107421875*ep^7-
      32797372451111347192237714389445584017752543937892191812888864841389520\
      41183851129370310424156731313388750321790394918834126857489084875188633\
      9258404421530936479744/545890911421430951925153402089350453621001962849\
      09973234354590264965299114008847289141789078649039359774654788559416000\
      0160117972337548556328325512402531320636389640864734649658203125*ep^8;
Fill mnchfac1(48,36)=
      1024/2186980345003383139084875+22606231269351277675264/1629218610354987\
      5818316387998435510480903125*ep+464292764423178590360390585880703249060\
      68992/20511647733833441926879540820891673522983720482629313594283671875
      *ep^2+5384513329796534094426227644456617119831429436294752789400503872/
      19864534119551994012581019191005008088202725200313338032250727717951454\
      42142134765625*ep^3+360655933576106745075740754936449442726923878026639\
      9961834383039003342193526121664/134530321880692080320171172966018460306\
      7365106325537159124172943361919863661092073101709197554345703125*ep^4+
      43511962621683384321840022833285435548612076063157882012918977835294376\
      031725674063804741214180408343232/1863090938095904263738666404331831042\
      25093391520901107858715333508377094167295584828687901844406741124191846\
      24235347900390625*ep^5+336635853880394575942823492929710520841698866473\
      45000853881613224431626014692328513255001982576679573983272290983363156\
      27712/18043130414426970524827372965135723967307217712095927436987822565\
      71931875677769252128651213141622519714775206617147589592778845666539031\
      982421875*ep^6+18873602503691215318806835959228582160634493710273073622\
      82186469822336391990545645885690203705041702813585128406284552998947913\
      4209535350109184/134414577284191576849593671944229476329164179940239074\
      70794052747012507569204464115123539295053647189595935789096729418097467\
      962867486819769632814622223663330078125*ep^7+
      17165189999232125894312725091058997626042831600160540299973039365612537\
      60353072300615129260555433575599180160533277559932528038915499440786112\
      9783036321208892726272/169226182540643595096797554647698640622510608483\
      22091702649922982139242725342742659633954614381202201530142984453418960\
      004963657142464005246178090884478470939728078866806774139404296875*ep^8
      ;
Fill mnchfac1(48,38)=
      -256/32804705175050747086273125-5715127961014660376896/2443827915532481\
      37274745819976532657213546875*ep-11847161471706950652836466239358617666\
      641568/3076747160075016289031931123133751028447558072394397039142550781\
      25*ep^2-1384372999792683877378953733360457376913628056409930854514013088
      /2979680117932799101887152878650751213230408780047000704837609157692718\
      1632132021484375*ep^3-8480832137380396814604058838172948433978025453510\
      9782776415274785711589601948896/183450438928216473163869781317297900418\
      2770599534823398805690377311708904992398281502330723937744140625*ep^4-
      11308639979428422911266374653153143134479167258353362208017115765930079\
      830434698687001463741685293418528/2794636407143856395607999606497746563\
      37640087281351661788073000262565641250943377243031852766610111686287769\
      363530218505859375*ep^5-87809586238717833076679883007383565847818165762\
      15275032904219893012862821381792731103582879039001652232799038749877088\
      40448/27064695621640455787241059447703585950960826568143891155481733848\
      57897813516653878192976819712433779572162809925721384389168268499808547\
      9736328125*ep^6-4936450157696212004067210234276058409571729734520681261\
      89078768139328945952966301756589731122392843249455576326865782793872380\
      2864324892903936/201621865926287365274390507916344214493746269910358612\
      06191079120518761353806696172685308942580470784393903683645094127146201\
      9443012302296544492219333354949951171875*ep^7-
      44984616909663705201490317412467617279824255314991858386881963355799129\
      24618193946127047292329000456781213706061786659644579470687507146919581\
      505671852578096882688/2538392738109653926451963319715479609337659127248\
      31375539748844732088640880141139894509319215718033022952144766801284400\
      074454857136960078692671363267177064095921183002101612091064453125*ep^8
      ;
Fill mnchfac1(48,40)=
      128/951336450076471665501920625+2890445089305696201248/7087100955044195\
      980967628779319447059192859375*ep+6049064608261761329095837771727104085\
      911984/8922566764217547238192600257087877982497918409943751413513397265\
      625*ep^2+712387276221840402494140003373943075404093188213241576722835744
      /8641072342005117395472743348087178518368185462136302044029066557308882\
      67331828623046875*ep^3+483082190521846509121302964249549604569677488216\
      001213500226825196498981196089328/5852069001810105493927446024021803023\
      34303821251608664219015230362435140692575051799243500936140380859375*
      ep^4+588501430942533857844055250368953645749093483511436618149370816395\
      8530669569408436431314300963865534464/810444558071718354726319885884346\
      50337915625311591981918541170076144035962773579400479237302316932389023\
      45311542376336669921875*ep^5+458700863578323696694919750052309781442753\
      34071514825197225485665933561110799168934866099647291683527870461902019\
      4953223424/784876173027573217829990723983403992577863970476172843508970\
      28160879036591982962467596327771660579607592721487845920147285879786494\
      4478912353515625*ep^6+1989275258977048531930465051589845917373205667449\
      69713792520521059188404437220917825800429711281085329583138518479428402\
      745651166331922830336/4497718547586410456121019022749217092552801405692\
      61519215031764996187753277226299236826122565256655959556312942852099759\
      415274142104366661522328796974407196044921875*ep^7+
      23615002509175974194482166881727023119473735206060572831370549462297543\
      16402337683869144530080851293704485124763614884094444707005333011082926\
      370496631860297260544/7361338940517996386710693627174890867079211469020\
      10989065271649723057058552409305694077025725582295766561219823723724760\
      2159190856971842282087469534748134858781714307060946750640869140625*
      ep^8;
Fill mnchfac1(48,42)=
      -16/6659355150535301658513444375-365562565427286196456/4960970668530937\
      1866773401455236129414350015625*ep-772570163724116913364573040529449028\
      130448/6245796734952283066734820179961514587748542886960625989459378085\
      9375*ep^2-91720540465267611035377953266045984170141430270611182757270168
      /6048750639403582176830920343661024962857729823495411430820346590116217\
      871322800361328125*ep^3-62603727524454091485224695827313267936940581970\
      428895972256229116227376426850816/4096448301267073845749212216815262116\
      340126748761260649533106612537045984848025362594704506552982666015625*
      ep^4-766590715570339398498559895278610512543388495368206932429933540753\
      250558625340012405314287433208411008/5673111906502028483084239201190425\
      52365409377181143873429788190533008251739415055803354661116218526723164\
      17180796634356689453125*ep^5-599890574384670986153457171772293435475717\
      10306538353602824173449836630142560322299265408953639608036831768983690\
      379760128/5494133211193012524809935067883827948045047793333209904562791\
      97126153256143880737273174294401624057253149050414921441031001158505461\
      1352386474609375*ep^6-3392178029671476950495021232358714277468731097450\
      44755762027184545668815928559578687319921375271236859860214885725407185\
      898069260920273469696/4092923878303633515070127310701787554223049279180\
      27982485678906146530855482275932305511771534383556923196244777995410781\
      06789946931497366198531920524671054840087890625*ep^7-
      31044005802135216119147426298961773649800913364886515140013009664193100\
      52620223069846747649894066172874092165973632451451155826447150077799591\
      78337910583776800768/51529372583625974706974855390224236069554480283140\
      76923456901548061399409866865139858539180079076070365928538766066073321\
      5114335998802895974612286743236944011472000149426627254486083984375*
      ep^8;
Fill mnchfac1(48,44)=
      8/179802589064453144779862998125+184988579369088964828/1339462080503353\
      040402881839291375494187450421875*ep+3949109405694041092602816088621406\
      65399124/16863651184371164280184014485896089386921065794793690171540320\
      83203125*ep^2+472767593299002745293319057729826561347196015403474721025\
      29984/16331626726389671877443484927884767399715870523437610863214935793\
      3137882525715609755859375*ep^3+3248770277074077353117617664934912968844\
      4176832858747911148225250447249751654208/110604104134210993835228729854\
      01207714118342221655403753739387853850024159089668479005702167693053198\
      2421875*ep^4+3999589684934978863747272346871283298339880097151667092239\
      73273501194928627275375159914865790813899904/
      15317402147555476904327445843214148913866053183890884582604281144391222\
      79696420650669057585013790022152543263881509127630615234375*ep^5+
      31429124371124373813980447443961671248376287071698551691263177802328952\
      694194455553325488159032862884704351596437462190464/
      14834159670221133816986824683286335459721629041999666742319538322406137\
      91588477990637570594884384954583502436120287890783703127964745065144348\
      14453125*ep^6+178280576622070723241363436193939262806320121563086284000\
      23259159224174687471335707887531640964658097734133341854140877560007256\
      5136478747648/110508944714198104906893437388948263964022330537867555271\
      13330465956333098021450172248817831428356036926298609005876091088833285\
      67150428887360361854166118480682373046875*ep^7+
      16353309930642569023707911130070250869433423903893143184974620609170961\
      51052494362418833550645862567094132541547299083282936949967387698542118\
      42452919517654262784/13912930597579013170883210955360543738779709676448\
      00769333363417976577840664053587761805578621350538998800705466837839796\
      808087071967678191314531742067397488309744004034518935871124267578125*
      ep^8;
Fill mnchfac1(48,46)=
      -2/2337433657837890882138218975625-608662509161668935466/22636909160506\
      6663828087030840242458517679121296875*ep-776883763335744299746902209739\
      6550346912/168636511843711642801840144858960893869210657947936901715403\
      2083203125*ep^2-1219537691953812893325738207750338989357279567214483879\
      7673696/212311147443065734406765304062501976196306316804688941221794165\
      3130792472834302926826171875*ep^3-9974056808572559193776539936921441486\
      795551260696916726607966981796889361601216/1699281236243787087104877758\
      66618554880545439587251203125632413390968552989650361177451242394556908\
      2275390625*ep^4-8037313332572346809745515185835276419024485734921476486\
      434481580869201789815251701963003278310255552/
      15317402147555476904327445843214148913866053183890884582604281144391222\
      79696420650669057585013790022152543263881509127630615234375*ep^5-
      82464684632843967061707583864627193151188420099597693660750831596067672\
      06327976511016319357010579363306991205845839202816/
      19284407571287473962082872088272236097638117754599566765015399819127979\
      29065021387828841773349700440958553166956374258018814066354168584687652\
      587890625*ep^6-61012842783252244606641869476889420678096551375276724436\
      38263671191130728528514872849678930158934888063924088922093495561407490\
      49795404013056/18676011656699479729264990918732256609919773860899616840\
      82152848746620293565625079110050213511392170240544464921993059394012825\
      27848422481963901153354074023235321044921875*ep^7-
      33196837839215211235187719155019348728420901730163596182303362234195339\
      19497396709793031453570797862112097831002969752708756190802974549275911\
      850058483061268992/1391293059757901317088321095536054373877970967644800\
      76933336341797657784066405358776180557862135053899880070546683783979680\
      8087071967678191314531742067397488309744004034518935871124267578125*
      ep^8;
Fill mnchfac1(48,48)=
      1/58435841445947272053455474390625+308205060211141963616/56592272901266\
      66595702175771006061462941978032421875*ep+39762593164891201536975579119\
      76771772912/42159127960927910700460036214740223467302664486984225428850\
      802080078125*ep^2+62979307842301809217398022657885678064932386065551130\
      60813696/53077786860766433601691326015625494049076579201172235305448541\
      328269811820857573170654296875*ep^3+57075217877261600825600422141256895\
      882138651444739365943536453129401820593353376/
      46730233996704144895384138363320102592149995886494080859548913682516352\
      0721538493237990916585031497625732421875*ep^4+4205739843517219047993965\
      63560067133589043992189919355556496713228570346186066073719289735170325\
      5552/382935053688886922608186146080353722846651329597272114565107028609\
      78056992410516266726439625344750553813581597037728190765380859375*ep^5+
      43350330745527307609652465471984481851884759996857642801771932836765893\
      38790556599944164037599317072322532857362099202816/
      48211018928218684905207180220680590244095294386498916912538499547819948\
      22662553469572104433374251102396382917390935645047035165885421461719131\
      4697265625*ep^6+3218572894480328060100045004687267831168726458160204920\
      30264174109324040751456381515341095196203819033552796608164753720328578\
      924081204013056/4669002914174869932316247729683064152479943465224904210\
      20538212186655073391406269777512553377848042560136116230498264848503206\
      3196210562049097528833851850580883026123046875*ep^7+
      17557505519622450900490061654846678588883939526170542993187028013093777\
      48171648623808635213670896238510912125807996264873571889281542280954059\
      807036701361268992/3478232649394753292720802738840135934694927419112001\
      92333340854494144460166013396940451394655337634749700176366709459949202\
      02176799191954782863293551684937207743600100862973396778106689453125*
      ep^8;
Fill mnchfac1(49,0)=
      281474976710656/25+68672236956174570117122610845188096/
      2421128518942184926875*ep+953310990546971072156141309779024042829769647\
      3079873536/234474532209407116650453067157217963890625*ep^2+
      99849952910286139882980529777856215954310059131444759925860994776603138\
      4576/22707719075912939519133385396132852797305171671218996244921875*
      ep^3+883724334357334102868549951440905274045501830521723187974678699287\
      34992388632255788350456201216/21991322501928118156808048609265185282831\
      29980107525760000882230546554655478515625*ep^4+
      70208507702571474336444235082191112442096635093841957661777619063611448\
      80845912577266093109406826364752208599187456/21297527231469267775554099\
      35676029207005948790983150705424595614543729690939076642140523924909667\
      96875*ep^5+519416175218948560609587423832564002819801473868636008610713\
      99587792064462807711148499189377104550237642049906203438870472847429048\
      7296/206256202252232161556690585849512128943543841823607661188710409909\
      48547190925017216885213256861111082867845274468994140625*ep^6+
      36647474168021106691724169412302342893351737190492651902060313404169804\
      55746500079177344139130423249148038854989824056723333466551420972336661\
      1975967604736/199749109392634640135288568217677911027092280954206423903\
      68036159243998715291733782164381983518882350232667182748604754342589357\
      03582763671875*ep^7+250553568709127913205542873587520259619650449301530\
      90266447764977708061065953454575209896502846395390414496470678033069206\
      37986807464873787808431074701555294258177323382603776/
      19344730615352399456506414990026688875182244148770444873868533733494107\
      18519313685380476844879339498720259202947642330570537354650451045241970\
      56395877838134765625*ep^8;
Fill mnchfac1(49,2)=
      -140737488355328/1225-34614276475427185693841746137448448/
      118635297428167061416875*ep-4834967697173391144507786764600942350418214\
      966072967168/11489252078260948715872200290703680230640625*ep^2-
      50880574673901495980424204504317670103272998642293689332138659527166577\
      8688/1112678234719734036437535884410509787067953411889730816001171875*
      ep^3-451918363946271163497095814024463792187708535814351812444271981192\
      83336422304563050776528683008/10775748025944777896835943818539940788587\
      3369025268762240043229296781178118447265625*ep^4-
      35997439515925745988133992168133503997159007149072499557324623866824221\
      24256023861480572419598474701895541224112128/10435788343419941210021508\
      68481254311432914907581743845658051851126427548560147554648856723205737\
      3046875*ep^5-2668227347458746218313484084407894730333638676574189092266\
      85773273416071436659343307646264921246389934702799913555553750400920660\
      738048/1010655391035937591627783870662609431823364824935677539824681008\
      556478812355325843627375449586194443060524418448980712890625*ep^6-
      18851093926945559785530225457455656823316441728204174518773221734605830\
      49091620449170818476016282063391868285801821659343200498065648438362218\
      1921402912768/978770636023909736662913984266621764032752176675611477128\
      03377180295593704929495532605471719242523516140069195468163296278687849\
      475555419921875*ep^7-12900257383373013782589748997291533165562831410824\
      07026219305818118408514461231028924761690560781661734759401274806195918\
      390216392374149482307303142061203436611593304736268288/
      94789180015226757336881433451130775488392996328975179881955815294121125\
      20744637058364336539908763543729270094443447419795633037787210121685655\
      763398014068603515625*ep^8;
Fill mnchfac1(49,4)=
      4398046511104/3675+1090569669720156278927829042724864/
      355905892284501184250625*ep+1532930816443791647249069261475669462573140\
      33721933824/34467756234782846147616600872111040691921875*ep^2+
      16209464795365666794749267717484858758607214377253779700619501382280413\
      184/3338034704159202109312607653231529361203860235669192448003515625*
      ep^3+144494921857613835552655574577504586159660940316793839564779967302\
      2708490309241273527193042944/323272440778343336905078314556198223657620\
      107075806286720129687890343534355341796875*ep^4+
      11540733828853288396351973746752919351255781793537241777850759650295425\
      9500225729167464371162617223873804164399104/313073650302598236300645260\
      54437629342987447227452315369741555533792826456804426639465701696172119\
      140625*ep^5+85710571258298947091722063062469291434795021267974567914337\
      66560038814531298385232558431061665941643302692550117766645458622337777\
      664/3031966173107812774883351611987828295470094474807032619474043025669\
      436437065977530882126348758583329181573255346942138671875*ep^6+
      60638971092107323773836590544655948097000314828835838349667246181613030\
      99423108193827393871166548724273958280481937967094271397875777013148425\
      53298714624/29363119080717292099887419527998652920982565300268344313841\
      01315408867811147884865978164151577275705484202075864044898888360635484\
      26666259765625*ep^7+415367605086274328276736950280282065218546087702158\
      76019375607633181020006953106841728773406639945717948987716366297515449\
      824390521173054753895474871211333512391424143785984/
      28436754004568027201064430035339232646517898898692553964586744588236337\
      56223391117509300961972629063118781028333034225938689911336163036505696\
      7290194042205810546875*ep^8;
Fill mnchfac1(49,6)=
      -2199023255552/172725-549815999045468808057246168645632/
      16727576937371555659779375*ep-77779455882155262070302166881590866289127\
      344268378112/1619984543034793768937980240989218912520328125*ep^2-
      82649996817884432554638917662533390676384299832482204392776339233355857\
      92/156887631095482499137692559701881879976581431076452045056165234375*
      ep^3-739504929661367972086202239144893724872664914866825388131127154690\
      849300764091083156380188672/1519380471658213683453868078414131651190814\
      5032562895475846095330846146114701064453125*ep^4-
      59227444867757056856812149752319204100324566755550814234641771576060901\
      875112034603690893298120129690391126474752/1471446156422211710613032724\
      55856857912041001969025882237785311008826284346980805205488797972008959\
      9609375*ep^5-4407568780679545273618865804182296430757928731743223130384\
      08007711460345482267756586027751596189396691982049535630762406148060689\
      2032/142502410136067200419517525763427929887094440315930533115280022206\
      463512542100943951459938391653416471533943001306280517578125*ep^6-
      31227680480019830342284409258519770176463695170913095511612693622234220\
      91472004108019227726440902534498217350736772368246722785393178865027637\
      24131008512/13800665967937127286947087178159366872861805691126121827505\
      27618242167871239505887009737151241319581577574975656101102477529498677\
      6053314208984375*ep^7-2141183751210597335253276098867095936644843772471\
      99365809518237163452052169738067464136900643792211521202646757581626276\
      36258603507895316509488497449610318168725196155912192/
      13365274382146972784500282116609439343863412482385500363355769956471078\
      65424993825229371452127135659665827083316526086191184258327996627157677\
      462639119983673095703125*ep^8;
Fill mnchfac1(49,8)=
      549755813888/3972675+138611416700026774970216908587008/
      384734269559545780174925625*ep+1973668662621134931214207705849481226916\
      3647103664128/37259644489800256685573545542752034987967546875*ep^2+
      21078021420646283032229804172537965134860396243398447848265183903854100\
      48/3608415515196097480166928873143283239461372914758397036291800390625*
      ep^3+189313849700942078579021202725845087838879139486916937751937481269\
      542061380190309165740064768/3494575084813891471943896580352502797738873\
      35748946595944460192609461360638124482421875*ep^4+
      15205429182627686208595013093184834480399620104996509454058608464162866\
      575115052448361541957051665726078386700288/3384326159771086934409975266\
      48470773197694304528759529146906215320300453998055851972624235335620607\
      91015625*ep^5+113390462841929122922082231231799909257061022911697752000\
      39172574335059536616794689572076476795540380005451468010084748561639098\
      28608/32775554331295456096489030925588423874031721272664022616514405107\
      48660788468321710883578583008028578845280689030044451904296875*ep^6+
      80456443664072608121645163818826868590097958571767595288719652320099046\
      53379281317282243034919108538589745719380415502354440763502689196531512\
      6791241728/317415317262553927599783005097665438075821530895900802032621\
      35219569861038508635401223954478550350376284224440090325356983178469584\
      9226226806640625*ep^7+5522346673928885905121199226773240969112512395390\
      88480094911177703920007492272366480113143136796309093013725775285993473\
      2359552849591129514374319341585308293952207635611648/
      30740131078938037404350648868201710490885848709486650835718270899883480\
      90477485798027554339892412017231402291628009998239723794154392242462658\
      1640699759624481201171875*ep^8;
Fill mnchfac1(49,10)=
      -274877906944/178770375-69897277007550502551460086022144/
      17313042130179560107871653125*ep-10018770238225125663963209521137417636\
      782576400072704/1676684002041011550850809549423841574458539609375*ep^2-
      10754626091198661869478765000294971794298230326949607283986363270708592\
      64/162378698183824386607511799291447745775761781164127866633131017578125
      *ep^3-96971443245134221125327331145342733752270618863009688771675303471\
      970407289655925134510260224/1572558788166251162374753461158626258982493\
      0108702596817500708667425761228715601708984375*ep^4-
      78114082151038679573349537042380576911129808935470877760906937850859216\
      17436675485118730277866896411572603715584/15229467718969891204844888699\
      18118479389624370379417881161077968941352042991251333876809059010292735\
      595703125*ep^5-58376335705647872049623202353095669109649793052706590811\
      84851285684526253691133496793584890029621773538327212314677191703333898\
      81344/14748999449082955243420063916514790743314274572698810177431482298\
      3689735481074476989761036235361286048037631006352000335693359375*ep^6-
      41484547264998855352141818693619107391440264209285226895251794596124987\
      75232678269089877146341482606781531045352746616718034794439767548948682\
      2917013504/142836892768149267419902352293949447134119688903155360914679\
      60848806437467328885930550779515347657669327900998040646410642430311313\
      215180206298828125*ep^7-28504528218343929499488155399612188555390096550\
      26342045423134377306868566808758842331152449019063059932697326416478211\
      014448838517126891969129858867752177708620116670808064/
      13833058985522116831957791990690769720898631919268992876073221904947566\
      40714868609112399452951585407754131031232604499207875707369476509108196\
      173831489183101654052734375*ep^8;
Fill mnchfac1(49,12)=
      34359738368/1966474125+8812786300913046279119509127168/
      190443463431975161186588184375*ep+9554796776179484727792241656229549648\
      11826331648/13856892578851335130998426028296211359161484375*ep^2+
      137231966447051378255092245962281325755311057183416417558809935041527808
      /1786165680022068252682629792205925203533379592805406532964441193359375
      *ep^3+12423481521710389567189949549350197830836902844623887503528746403\
      733657542932403298058108928/1729814666982876278612228807274488884880742\
      31195728564992507795341683373515871618798828125*ep^4+
      10037704318123146558914863776626696094369139031760478519618191872132492\
      55078222314121904739388980321350055886848/16752414490866880325329377569\
      09930327328586807417359669277185765835487247290376467264489964911322009\
      1552734375*ep^5+7517974437654320988736046406878160316532841874522398739\
      18170030319417837666924664825484664039611433034821328128366379311017156\
      93568/16223899393991250767762070308166269817645702029968691195174630528\
      20587090291819246887371398588974146528413941069872003692626953125*ep^6+
      44223479129182379628812491467680459917999872967582993952065744437726277\
      67478056297492649527528780715118715275605095152362629790495523617630047\
      7513728/129851720698317515836274865721772224667381535366504873558799644\
      08005852243026259936864345013952416063025364543673314918765845737557468\
      34564208984375*ep^7+368084382647214994430711708820728199553268942925041\
      70672760462800320152648090630263802059403391222501728293495556371516902\
      2619936467268302231325800135290117611888307601408/
      15216364884074328515153571189759846692988495111195892163680544095442323\
      04786355470023639398246743948529544134355864949128663278106424160019015\
      7912146381014118194580078125*ep^8;
Fill mnchfac1(49,14)=
      -17179869184/84558387375-4445085867882642584306590941184/
      8189068927574931931023291928125*ep-587166367042476195284242468064414357\
      93425174626304/72097412087763496686584810625225187701717203203125*ep^2-
      70070649047033814809190411855078613649594084740673419983203984950165504/
      76805124240948934865353081064854783751935322490632480917470971314453125
      *ep^3-63695547578306018549376026610715133106840929798827086180441408190\
      94009907133851284289880064/74382030680263679980325838712803022049871919\
      41416328294677835199692385061182479608349609375*ep^4-
      51623080723373644650186045660399020363457166859298216545133520233712252\
      2824968451308085939196700254290285953024/720353823107275853989163235471\
      27004075129232718946465778918987930925951633486188092373068491186846393\
      6767578125*ep^5-3875253370431825135082979099850317354403088224553289539\
      10106853627147551382827468721375445416120469502325286357866926530901668\
      00384/69762767394162378301376902325114960215876518728865372139250911271\
      285244882548227616156970139325888300721799466004496158782958984375*ep^6
      -2511635846424517688233997892854488860296295375565815400995358758462920\
      15133956641936806419073955346261122888036654753354934297013510574809019\
      505967104/6141986389030418499055801148639826226767146622835680519331223\
      16498676811095142095013683519159949279781099742915747795657624503386468\
      252748870849609375*ep^7-19026460294655957433186447404963999301588950241\
      03594129198839715208579090914522816509764376475223380866819695639988710\
      55645274349513037658729364048547385682537387495522304/
      65430369001519612615160356115967340779850528978142336303826339610401989\
      10581328521101649412460998978677039777730219281253252095857623888081767\
      90222294383607082366943359375*ep^8;
Fill mnchfac1(49,16)=
      4294967296/1775726134875+1121174960121393599196373712896/
      171970447479073570551489130490625*ep+1491418157179123587195307975770213\
      1969445305778176/1514045653843033430418281023129728941736061267265625*
      ep^2+178959485986552186246236570159724292818568228654281556897086138231\
      02976/16129076090599276321724147023619504587906417723032820992668903976\
      03515625*ep^3+163365382424405768209952809279359243090533836670620569111\
      6921622746300427211317544527855616/156202264428553727958684261296886346\
      304731030769742894188234539193540086284832071775341796875*ep^4+
      13282464072648768482080092097877559166551396322162938521561408301941930\
      7924831859040449106283125005751582457856/151274302852527929337724279448\
      96670855777138870978757813572987465494449843032099499398344383149237742\
      672119140625*ep^5+99944053552997046911412770597027956916410722830436973\
      63818950537829603256127358693386679716218614387514889824598324029823578\
      013696/1465018115277409944328914948827414164533406893306172814924269136\
      696990142533512779939296372925843654315157788786094419334442138671875*
      ep^6+648859385706202682269358943788789025325285902672872354374770077355\
      23659926455379794821373219439871958404694637057849341848154404030809360\
      481112293376/1289817141696387884801718241214363507621100790795492909059\
      55686464722130329979839952873539023589348754030946012307037088101145711\
      15833307726287841796875*ep^7+492119308888953734477705121123096258565894\
      85586979498728822186356646567079219350209865471505577590439925043539252\
      064809693471607288890677735459150670612860991425379762176/
      13740377490319118649183674784353141563768611085409890623803531318184417\
      71222078989431346376616809785522178353323346049063182940130101016497171\
      2594668182055748729705810546875*ep^8;
Fill mnchfac1(49,18)=
      -2147483648/72804771529875-565660000942779531683900162048/
      7050788346642016392611054350115625*ep-688959759494299689297371074718515\
      180668461252608/5643261073414942786104501995301716964652591996171875*
      ep^2-914488676252364728904808062366571068993932296994085305726016053628\
      1088/661292119714570329190690027968399688104163126644345660699425063017\
      44140625*ep^3-838427835188607251358560334379830689287710288282841033773\
      876218280933726155506910490001408/6404292841570702846306054713172340198\
      493972261559458661717616106935143537678114942789013671875*ep^4-
      68392751136756130208988701605431682504853575574078116842668004069910093\
      523459269388242078328008876037757206528/6202246416953645102846695457407\
      63505086862693710129070356492486085272443564316079475332119709118747449\
      556884765625*ep^5-51587515949826482519988029133268778736283776148099583\
      72819099366985773581644366939846063948405047522036873090463983262595289\
      448448/6006574272637380771748551290192398074586968262555308541189503460\
      4576595843874023977511151289959589826921469340229871192712127685546875*
      ep^6-305006635195019339263626908168877515015807469624235120015752014664\
      79822138995301882411617995372058102901814664439748487595692139400540062\
      20372574208/48075002554138093888064043536171730738604665838741099337674\
      39222776006675935612216425286454515602999013880715004171382374679067415\
      9015056070709228515625*ep^7-2547770877923215533504394378616443112559590\
      01334314002410701927493114804838268999125607743488388502899324674146509\
      40037700317975029602214913350490481264151196044220530688/
      56335547710308386461653066615847880411451305450180551557594478404556112\
      62010523856668520144128920120640931248625718801159050054533414167638402\
      16381395464285697917938232421875*ep^8;
Fill mnchfac1(49,20)=
      134217728/364023857649375+35678708427932145754484768768/
      35253941733210081963055271750578125*ep+48151281087904825522342274068861\
      4786654019780608/310379359037821853235747609741594433055892559789453125
      *ep^2+58437927104293601897670229246165713032688961032212604492923050577\
      1008/330646059857285164595345013984199844052081563322172830349712531508\
      720703125*ep^3+53816597018288650548658758474639180442005999402544733976\
      983522484712288939755202343600128/3202146420785351423153027356586170099\
      2469861307797293308588080534675717688390574713945068359375*ep^4+
      44048438438806557439872255523877337370643932464272356725945465201442325\
      35058640207358197726790310771583746048/31011232084768225514233477287038\
      17525434313468550645351782462430426362217821580397376660598545593737247\
      784423828125*ep^5+33308666773832188863517565044388976507398148540961696\
      60280705669650015959712327217942125835303369825046162799188647073743790\
      40768/30032871363186903858742756450961990372934841312776542705947517302\
      2882979219370119887555756449797949134607346701149355963560638427734375*
      ep^6+217023385610581895050328154779810980053687578945989051580856443525\
      26978718972656653008116835388329389657478419224012642724878412560995848\
      76372574208/26441251404775951638435223944894451906232566211307604635720\
      91572526803671764586719033907549983581649457634393252294260306073487078\
      745828083889007568359375*ep^7+16501553646017180598923218794243671258052\
      26784765301295927452817098315696587353608870730744225739026889689184685\
      756979594217810267990331117068276987736762598136383684608/
      28167773855154193230826533307923940205725652725090275778797239202278056\
      31005261928334260072064460060320465624312859400579525027266707083819201\
      081906977321428489589691162109375*ep^8;
Fill mnchfac1(49,22)=
      -67108864/14196930448325625-1385076887031253141414739968/10576182519963\
      0245889165815251734375*ep-244821192290577497191687258440019718460097429\
      504/12104795002475052276194156779922182889179809831788671875*ep^2-
      298876998883168115479378507334196587125772777984710872487426143944704/
      12895196334434121419218455545383793918031180969564740383638788728840107\
      421875*ep^3-21269594218593772797147094681626008499952285204682757133251\
      93425489792487446851069411328/96064392623560542694590820697585102977409\
      583923391879925764241604027153065171724141835205078125*ep^4-
      22710838168056148056601356516108552144001584653108879199169363961259306\
      74728654224069693522372945140738228224/12094380513059607950551056141944\
      88834919382252734751687195160347866281264950416354976897633432781557526\
      63592529296875*ep^5-172182909046367244428737339400020642991317698622981\
      94991602497174795812624236965595322612099297287337350963987720027796898\
      0803584/117128198316428925049096750158751762454445881119828516553195317\
      47892436189555434675614674501542120016249686521344824882578864898681640\
      625*ep^6-86460505683586459985155576040141179380922811787004905628842388\
      99062429956005993438914137322170777118706784225391253509240989865207492\
      8343945617408/793237542143278549153056718346833557186976986339228139071\
      62747175804110152937601571017226499507449483729031797568827809182204612\
      36237484251667022705078125*ep^7-
      85577970839152082365485035274644929175013381855963073457961872855414312\
      23331080556151503691012947870990814635114381912582467167118335797821209\
      50069071853099546395541504/10985431803510135360022347990090336680233004\
      56278520755373092328888844196092052152050361428105139423524981593482015\
      16622601476063401576268948842194372115535711093997955322265625*ep^8;
Fill mnchfac1(49,24)=
      16777216/269741678518186875+349558274075712324060577792/200947467879297\
      4671894150489782953125*ep+622581432002194847827059373648713327344822517\
      76/229991105047025993247688978818521474894416386803984765625*ep^2+
      76464601959131835699546345750470739374489075353257158883576656920576/
      24500873035424830696515065536229208444259243842173006728913698584796204\
      1015625*ep^3+5467301897557606400371188850743517839373254882216520865712\
      07623331581850098598424133632/18252234598476503111972255932541169565707\
      82094544445718589520590476515908238262758694868896484375*ep^4+
      58588479915887367856767121312523201224231941156213617705868073616182312\
      3785450237802233142273969190358163456/229793229748132551060470066696952\
      87863468262801960282056708046609459344034057910744561055035222849593006\
      08258056640625*ep^5+445388876784952461625447891924196856813913656215033\
      88159889751982546846286753883643320579522282067364108590295890224648930\
      103296/2225435768012149575932838253016283486634471741276741814510711032\
      09956287601553258836678815529300280308744043905551672768998433074951171\
      875*ep^6+22408901696276574690378140492050443001262982145008266197228154\
      70780978614945966537852232724682766556846091970728920743701446492582705\
      6909313073152/150715133007222924339080776485898375865525627404453346423\
      60921963402780929058144298493273034906415401908516041538077283744618876\
      3488512200781673431396484375*ep^7+
      22211170691833165642846314925092462777879703833708175938081209949052812\
      25397949332496235365695026986012374835905519678084896519692478344711885\
      89930897508390716500299776/20872320426669257184042461181171639692442708\
      66929189435208875424888803972574899088895686713399764904697465027615828\
      815829428045204629949110028001693070195178510785961151123046875*ep^8;
Fill mnchfac1(49,26)=
      -8388608/9980442105172914375-176468109849750262987882496/74350563115340\
      062860083568121969265625*ep-2879540577939247829197759199296656050938052\
      608/773606444249087431833135656025935870099400573795221484375*ep^2-
      39144279655867211787796468411348191203478109080586610369561765593088/
      90653230231071873577105742484048071243759202216040124896980684763745955\
      17578125*ep^3-281246453034077283240656539680909481503630472479469331683\
      479593687662543288359794876416/6753326801436306151429734695040232739311\
      8937498144491587812261847631088604815722071710149169921875*ep^4-
      30251228012840743167921276225921274962304798622488651548357791486736598\
      3329720028893387523744417656921878528/850234950068090438923739246778725\
      65094832572367253043609819772454999572926014269754875903630324543494122\
      505548095703125*ep^5-23061250443300719778886720777963593901461432382460\
      02170661174059587496301663680339272725111227633199957480507070085336499\
      6200448/823411234164495343095150153616024890054754544272394471368963081\
      87683826412574705769571161745841103714235296245054118924529420237731933\
      59375*ep^6-105695983716309715355683985550662169264564100909967009693500\
      43118725216495242378743121147717487704031413415163668097863893083628328\
      60737930582016/50695090193338620004963533908893090063858620126952489251\
      57764660417299039774103082220464566286703362460137213971898722714099076\
      59006813766265628814697265625*ep^7-
      11540759725037959480484791660862266388764697150500240478219452989029467\
      07297730494823879857854036616067902146237636416401368004119944983167763\
      88481205860845236541042688/77227585578676251580957106370335066862038022\
      07638000910272839072088574698527126628914040839579130147380620602178566\
      6185688837672571308117071036062643597221604899080562591552734375*ep^8;
Fill mnchfac1(49,28)=
      1048576/89823978946556229375+22275499821635733343731712/669155068038060\
      565740752113097723390625*ep+4030187892908294023581237655048829122366529\
      536/76587037980659655751480429946567651139840656805726926953125*ep^2+
      5012294547301594375639371788565961236834165448789561911488621326336/
      81587907207964686219395168235643264119383281994436112407282616287371359\
      658203125*ep^3+36193021097106694461599520575180728595181390953423868140\
      306841336815447480001935869952/6077994121292675536286761225536209465380\
      70437483300424290310356628679797443341498645391342529296875*ep^4+
      39079772151988101620358153903085980567690059305345064639579853406592255\
      658040333552085030906971237270998016/7652114550612813950313653221008530\
      85853493151305277392488377952094996156334128427793883132672920891447102\
      549932861328125*ep^5+29877864730469688562464442158006066732436982615933\
      79308152813271867753323506535592532347881660487401515100190476410924250\
      336256/7410701107480458087856351382544224010492790898451550242320667736\
      89154437713172351926140455712569933428117666205487070320764782139587402\
      34375*ep^6+150952657515445440611689397022008154416113856888688325685683\
      37945503116827035287224180128130941068585271322536505408761156140158226\
      75378194204672/50188139291405233804913898569804159163220033925682964359\
      06187013813126049376362051398259920623836328835535841832179735486958085\
      8241674562860297252655029296875*ep^7+
      15006650068844874838893504271917386844741400466499517063655472716330470\
      44792581204407154488816874832496238362234423646693635471386787209682891\
      8846602587304104018497536/695048270208086264228613957333015601758342198\
      68742008192455551648797172286744139660226367556212171326425585419607099\
      5671199539053141773053639324563792374994444091725063323974609375*ep^8;
Fill mnchfac1(49,30)=
      -524288/3143839263129468028125-11249342757318012627992576/2342042738133\
      2119800926323958420318671875*ep-205188037340461751691008497139805637285\
      6598528/2680546329323087951301815048129867789894422988200442443359375*
      ep^2-2568600447347464900744376343855706940802266868781913617175869564928
      /2855576752278764017678830888247514244178414869805263934254891570057997\
      588037109375*ep^3-18643228069154718778127356990839427639131800990085619\
      234527447475160853131363625143296/2127297942452436437700366428937673312\
      8832465311915514850160862482003792910516952452588696988525390625*ep^4-
      20210502607564177833515741731451274296133893961320428675597412264697622\
      539266504790937965787794178968109568/2678240092714484882609778627352985\
      80048722602956847087370932283233248654716944949727859096435522312006485\
      89247650146484375*ep^5-154981577851814617028249441672530893979124221945\
      55117783959832732952752669511775873377953129106134692975729499948674053\
      05817088/25937453876181603307497229838904784036724768144580425848122337\
      07912040531996103231741491594993994766998411831719204746122676737488555\
      908203125*ep^6-78475172458403534323280280603965192050497569790652533933\
      56098280793108822198482056690372819968485897687383577335580325123162621\
      84599609928825856/17565848751991831831719864499431455707127011873989037\
      52567165454834594117281726717989390972218342715092437544641262907420435\
      330038458609700110403842926025390625*ep^7-
      78138368328649109499228925054437002761142541444409495707826987383948293\
      46825327757892552197101850018606225612041706760763949731507110113834812\
      103789580187041569942528/2432668945728301924800148850665554606154197695\
      40597028673594430770790103003604488810792286446742599642489548968624848\
      48491983866859962056877376359732733124805543210377216339111328125*ep^8;
Fill mnchfac1(49,32)=
      131072/53445267473200956478125+2841054436590570131001344/39814726548264\
      6036615747507293145417421875*ep+431846168364975463374336581704682021799\
      2192/376605682632169381587858312547171507671117279333946458984375*ep^2+
      658522274231294583836647576517642344893074979631741267826717176832/
      48544804788738988300540125100207742151033052786689486882333156690985958\
      996630859375*ep^3+36962258683981875551935150694413564370534658231034240\
      4707922302472234571415195118848/278185115551472457237740225322618817838\
      57839254043365573287281707235729190676014745692911446533203125*ep^4+
      52305535811558429858551482824937360641592820514711909824148080395113095\
      91029841093600032660904971222740992/45530081576146243004366236665000758\
      60828284250266400485305848814965227130188064145373604639403879304110260\
      17210052490234375*ep^5+402352582800350175039754495270116904459792623129\
      14607143542736222016253174719838577384092628384732769905195260651927119\
      0671872/440936715895087256227452907261381328624321058457867239418079730\
      34504689043933754939605357114897911038973001139226480684085504537305450\
      439453125*ep^6+18563846036936052234744812814136586832407510529419013330\
      54217939339994195372023312575695086106506069546122569057964801551005663\
      7514848221543424/271472207985328310126579724082122497291962910779830579\
      94219829756534636357990322005290587752465296505974034780819517660134000\
      55513981487718352442302703857421875*ep^7+
      20366347422837452369231432827700732281130386898193725144403183810705241\
      70008619184924399856228868331703427939984595522774414072891305056270960\
      088912505281023585791232/4135537207738113272160253046131442830462136082\
      19014948745110532310343175106127630978346886959462419392232233246662242\
      424363725736619354966915398115456463121694234576412677764892578125*ep^8
      ;
Fill mnchfac1(49,34)=
      -65536/1763693826615631563778125-1435321724460077143017472/131388597609\
      27319208319667740673798774921875*ep-29286953761565703783643882243029916\
      22408562176/16541651398252775747483500662009414131438484260184930317970\
      703125*ep^2-33785598305323127060311809056909195534465565101743728110507\
      7922816/160197855802838661391782412830685549098409074196075306711699417\
      0802536646888818359375*ep^3-2253469577532213668161616117022017681675620\
      38278952940493637125566311164978761259392/10849219506507425832271868787\
      58213389570455730907691257358203986582193438436364575082023546414794921\
      875*ep^4-27098464078972733801037209983044601394379649219779261537073477\
      51775057269926956596876889638840970245376896/
      15024926920128260191440858099450250340733338025879121601509301089385249\
      529620611679732895310032801703563858567931732177734375*ep^5-
      20912888100031220925888154660361029045885437597663014270056398232397300\
      3726883746073540989175325293723005109969095525976638336/
      14550911624537879455505945939625583844602594929109618900796631101386547\
      38449813913006976784791631064286109037594473862574821649731079864501953\
      125*ep^6-90024826588242722104070988686472275398689068691470188973609359\
      12962123350215703485405542913385736131487661931131710671051552163294482\
      9877810304/833837328065704571027256029430703947451390694418356542853229\
      07859879079213427196743942551458149176114118708369086410782242357089748\
      6775419952407854976654052734375*ep^7-
      10629664900341024771494840787786058132086570418231642882262530315786517\
      82579877662771899888352007775861012740470746570375923934313631604217065\
      736933730470268922710016/1364727278553577379812883505223376134052504907\
      12274933085886475662413247785022118222854472696622598399436636971398540\
      00004002949308438713908208137810063283015909741021618366241455078125*
      ep^8;
Fill mnchfac1(49,36)=
      1024/1763693826615631563778125+22665289983476858952448/1313885976092731\
      9208319667740673798774921875*ep+466525934269441322440069879413487463548\
      45184/16541651398252775747483500662009414131438484260184930317970703125
      *ep^2+5420189640742475051292749060128451320727460669435670072878074944/
      16019785580283866139178241283068554909840907419607530671169941708025366\
      46888818359375*ep^3+279673657007234934914462647801700592712977415843093\
      768568381719263563821512533056/8345553466544173717132206759678564535157\
      3517762130096719861845121707187572028044237078734339599609375*ep^4+
      43914821356782866084226135076738115133972776558074877957476128024659894\
      536235947474334407993880940009664/1502492692012826019144085809945025034\
      07333380258791216015093010893852495296206116797328953100328017035638585\
      67931732177734375*ep^5+340054304861882618536885421388394864796543619148\
      66265315860941462419060244263404795706151889538132375332746369026345154\
      26624/14550911624537879455505945939625583844602594929109618900796631101\
      38654738449813913006976784791631064286109037594473862574821649731079864\
      501953125*ep^6+19077942107938883792070179731307852932324817463352685012\
      84534588338719961217934129214837119640594270145363368513905258747537986\
      8256852875936768/108398852648541594233543283825991513168680790274386350\
      57091978021784280297745535576712531689559392894835432087981233401691506\
      421667328080459381302114696502685546875*ep^7+
      17359441339737056953110087074461872340345960241132820921716529324565269\
      44885106288780873445091606767955894000165341719052801571009717038713623\
      2533829995142536479744/136472727855357737981288350522337613405250490712\
      27493308588647566241324778502211822285447269662259839943663697139854000\
      004002949308438713908208137810063283015909741021618366241455078125*ep^8
      ;
Fill mnchfac1(49,38)=
      -512/54674508625084578477121875-11455683979500057137024/407304652588746\
      895457909699960887762022578125*ep-2379154043144346863860334679000441786\
      2372992/512791193345836048171988520522291838074593012065732839857091796\
      875*ep^2-27844204681752811857849608127138802455637954037614127103506438\
      72/49661335298879985031452547977512520220506813000783345080626819294878\
      636053553369140625*ep^3-18787083649907493751327715274977481817999107565\
      08899140599854740677722102616481664/33632580470173020080042793241504615\
      076684127658138428978104323584047996591527301827542729938858642578125*
      ep^4-227966997098486867137508013788954733698211809767811805298987935735\
      08110819181043342437343121316577643232/46577273452397606593466660108295\
      77605627334788022527696467883337709427354182389620717197546110168528104\
      79615605883697509765625*ep^5-177148925309041398006071728316456482304198\
      37764769100287054071227016684767071444652959638250938759523811110847102\
      71840627712/45107826036067426312068432412839309918268044280239818592469\
      55641429829689194423130321628032854056299286938016542868973981947114166\
      3475799560546875*ep^6-9964678562818751215333722724152407240517249883925\
      53290230492541078492416499359738209807968019364983680553017814495766349\
      9983130060337950109184/336036443210478942123984179860573690822910449850\
      59768676985131867531268923011160287808848237634117973989839472741823545\
      2436699071687170494240820365555591583251953125*ep^7-
      90844109625871348490495476693202584916378314559253284228238687434341594\
      02176239530690704403294975347211008326494711910269706440344785150391246\
      997735151599692726272/4230654563516089877419938866192466015562765212080\
      52292566248074553481068133568566490848865359530055038253574611335474000\
      124091428561600131154452272111961773493201971670169353485107421875*ep^8
      ;
Fill mnchfac1(49,40)=
      128/820117629376268677156828125+2895706066713434763296/6109569788831203\
      431868645499413316430338671875*ep+6069406967897826325813854586610082626\
      955568/7691867900187540722579827807834377571118895180985992597856376953\
      125*ep^2+715698202781212085230056885669676926061622964617291929240933088
      /7449200294831997754717882196626878033076021950117501762094022894231795\
      40803300537109375*ep^3+485833709706514938683041110749061453355909135047\
      829684548362054409514439871127856/5044887070525953012006418986225692261\
      50261914872076434671564853760719948872909527413140949082879638671875*
      ep^4+592344961620197279246026543546035221853385331928836527480540094543\
      6966652684818296152355327761632918528/698659101785964098901999901624436\
      64084410021820337915447018250065641410312735844310757963191652527921571\
      94234088255462646484375*ep^5+461994223667675143174078849562258088367521\
      52066154628483205571079928700971526851516805001788106351551346686737793\
      8488840448/676617390541011394681026486192589648774020664203597278887043\
      34621447445337916346954824420492810844489304070248143034609729206712495\
      2136993408203125*ep^6+2605892449987596812832558500538464836846550489586\
      59619873041891269416259866623852923237624223065367397190585904579192540\
      3165187929694692903936/504054664815718413185976269790860536234365674775\
      89653015477697801296903384516740431713272356451176960984759209112735317\
      86550486075307557413612305483333873748779296875*ep^7+
      23804622164647759732017421508634834175006833551400280375153122762014567\
      91718874430718438374119961878863478224587601216293110983798409858287916\
      732423095954296882688/6345981845274134816129908299288699023344147818120\
      78438849372111830221602200352849736273298039295082557380361917003211000\
      1861371428424001967316784081679426602398029575052540302276611328125*
      ep^8;
Fill mnchfac1(49,42)=
      -64/23783411251911791637548015625-1464293587755900388048/17717752387610\
      4899524190719482986176479821484375*ep-309827335781161627765072983981434\
      9254238984/223064169105438680954815006427196949562447960248593785337834\
      931640625*ep^2-36819574688864255116476870000900674633559203357130331623\
      9520744/216026808550127934886818583702179462959204636553407551100726663\
      93272206683295715576171875*ep^3-251515352305346311721952263185505254134\
      928463873378814299603618495430528295059328/1463017250452526373481861506\
      00545075583575955312902166054753807590608785173143762949810875234035095\
      21484375*ep^4-308183514177796831504173562951397536252604692268792980400\
      1740414838595773578064959704430872623839534464/
      20261113951792958868157997147108662584478906327897995479635292519036008\
      9906933948501198093255792330972558632788559408416748046875*ep^5-
      24128886211306084183441161074971750332366132266326699510290552458699162\
      5505374338269615700840990133490365459806917793223424/
      19621904325689330445749768099585099814446599261904321087724257040219759\
      14799574061689908194291514490189818037196148003682146994662361197280883\
      7890625*ep^6-1364929391610778785550510292368185994240097500737016597576\
      62239048681048990301488179422142106532547663384373672776895072493172761\
      2908896794368/146175852796558339823933118239349555507966045685009993744\
      88532362376101981509854725196848983370841318685580170642693242180996409\
      6183919164994756859016682338714599609375*ep^7-
      12494872505673209670806381463404326636044349104886726261897102942622986\
      31223614549263262449682201518053592549243757896267387606877570076659553\
      247231748270897260544/1840334735129499096677673406793722716769802867255\
      02747266317912430764264638102326423519256431395573941640304955930931190\
      053979771424296057052186738368703371469542857676523668766021728515625*
      ep^8;
Fill mnchfac1(49,44)=
      8/166483878763382541462836109375+185165163101524634156/1240242667132734\
      296669335036380903235358750390625*ep+3956099019297318515734638109107031\
      79401948/15614491837380707666837050449903786469371357217401564973648445\
      21484375*ep^2+473927860981345970448220114019829366826014130389739407908\
      15168/15121876598508955442077300859152562407144324558738528577050866475\
      2905446783070009033203125*ep^3+3258571300434531582050807443595084675349\
      7449642154883465136600260388214565690816/102411207531676846143730305420\
      38155290850316871903151623832766531342614962120063406486761266382456665\
      0390625*ep^4+4013463505312155404713586707720941206829360124350558862106\
      40730839817741568825734633026487089444411008/
      14182779766255071207710598002976063809135234429528596835744704763325206\
      29348537639508386652790546316807910429519915858917236328125*ep^5+
      31549266471624737909539724302881489096056083496568354274955722643837604\
      162268718400945780340990122251960665676027509760128/
      13735333027982531312024837669709569870112619483333024761406979928153831\
      40359701843182935736004060143132872626037303602577502896263652838096618\
      65234375*ep^6+179010111182793187102669827613419377668142460255499548164\
      27951996099217185118578422942531884591623582340013082520791257117839362\
      7892573469696/102323096957590837876753182767544688855576231979506995621\
      41972653663271387056898307637794288359588923079906119449885269526697486\
      73287434154963298013116776371002197265625*ep^7+
      16423488390624045662960174160709753879680267203317993305411994063130254\
      78357906950376613371733741990316529049620373575406372803375192236863155\
      45362412216976800768/12882343145906493676743713847556059017388620070785\
      19230864225387015349852466716284964634795019769017591482134691516518330\
      377858399970072399365307168580923600286800003735665681362152099609375*
      ep^8;
Fill mnchfac1(49,46)=
      -4/4495064726611328619496574953125-93686229878485250378/334865520125838\
      26010072045982284387354686260546875*ep-20217345946691431524412066825886\
      7302218624/421591279609279107004600362147402234673026644869842254288508\
      02080078125*ep^2-244215603505318142442241658822432217655620283859023996\
      97189984/40829066815974179693608712319711918499289676308594027158037339\
      48328447063142890243896484375*ep^3-169054204622010472185783983842361550\
      33331679879178288944995643942325137370574208/27651026033552748458807182\
      46350301928529585555413850938434846963462506039772417119751425541923263\
      299560546875*ep^4-20934431300134310833962581091708325314739302321683529\
      9271991973786301451669102614023460876661162899904/
      38293505368888692260818614608035372284665132959727211456510702860978056\
      992410516266726439625344750553813581597037728190765380859375*ep^5-
      16525521363939644552015342519689606096026769403720443285556266581347873\
      756598501998099716307727932171332295835451552190464/
      37085399175552834542467061708215838649304072604999166855798845806015344\
      78971194976593926487210962386458756090300719726959257819911862662860870\
      361328125*ep^6-94064646595911992684499860178460406720460846955332675107\
      43306228518624202854556180565017464964346069956754920426960500795370345\
      6171878747648/276272361785495262267233593472370659910055826344668888177\
      83326164890832745053625430622044578570890092315746522514690227722083214\
      178760722184009046354152962017059326171875*ep^7-
      86503595701962518268067310218517707538829042230643099054395811188107103\
      48377821499244305676661173902982427002669023634746604854863744829380591\
      5865535479254262784/347823264939475329272080273884013593469492741911200\
      19233334085449414446016601339694045139465533763474970017636670945994920\
      202176799191954782863293551684937207743600100862973396778106689453125*
      ep^8;
Fill mnchfac1(49,48)=
      1/58435841445947272053455474390625+308205060211141963616/56592272901266\
      66595702175771006061462941978032421875*ep+39762593164891201536975579119\
      76771772912/42159127960927910700460036214740223467302664486984225428850\
      802080078125*ep^2+62979307842301809217398022657885678064932386065551130\
      60813696/53077786860766433601691326015625494049076579201172235305448541\
      328269811820857573170654296875*ep^3+57075217877261600825600422141256895\
      882138651444739365943536453129401820593353376/
      46730233996704144895384138363320102592149995886494080859548913682516352\
      0721538493237990916585031497625732421875*ep^4+4205739843517219047993965\
      63560067133589043992189919355556496713228570346186066073719289735170325\
      5552/382935053688886922608186146080353722846651329597272114565107028609\
      78056992410516266726439625344750553813581597037728190765380859375*ep^5+
      43350330745527307609652465471984481851884759996857642801771932836765893\
      38790556599944164037599317072322532857362099202816/
      48211018928218684905207180220680590244095294386498916912538499547819948\
      22662553469572104433374251102396382917390935645047035165885421461719131\
      4697265625*ep^6+3218572894480328060100045004687267831168726458160204920\
      30264174109324040751456381515341095196203819033552796608164753720328578\
      924081204013056/4669002914174869932316247729683064152479943465224904210\
      20538212186655073391406269777512553377848042560136116230498264848503206\
      3196210562049097528833851850580883026123046875*ep^7+
      17557505519622450900490061654846678588883939526170542993187028013093777\
      48171648623808635213670896238510912125807996264873571889281542280954059\
      807036701361268992/3478232649394753292720802738840135934694927419112001\
      92333340854494144460166013396940451394655337634749700176366709459949202\
      02176799191954782863293551684937207743600100862973396778106689453125*
      ep^8;
Fill mnchfac1(50,0)=
      1125899906842624/51+276784186574857030038085229753663488/
      4939102178642057250825*ep+386515782768531731894682412391837050996702257\
      43467511808/478328045707190517966924257000724646336875*ep^2+
      40669321314151723822754289346716994952991013776225762636881905315105503\
      96928/46323746914862396619032106208111019706502550209286752339640625*
      ep^3+361199340281610643064059623775935429754747147755408601380072337843\
      665872990390362030413707214848/4486229790393336103988841916290097797697\
      585159419352550401799750314971497176171875*ep^4+
      28770508250071066881980997260493800291541646687865261172327862690122157\
      804551690146399659683618199454734086012141568/4344695555219730626213036\
      26877909958229213553360562743906617505366920856951571634996666880681572\
      265625*ep^5+21325359145125168026153146440026670840498517280231230806094\
      81892473778258799531831351541776207674236963993785792514997241714520346\
      329088/4207626525945536095756487951330047430448294373201596288249692362\
      1535036269487035122445835043996666609050404359916748046875*ep^6+
      15066471072329834725217904518658550556671308016025345091005600542064647\
      56464130173958954890629547884815538987952350903341021452879605000830913\
      66651686289408/40748818316097466587598867916406293849526825314658110476\
      35079376485775737919513691561533924637851999447464105280715369885888228\
      835308837890625*ep^7+10310414134130372202707874080748260669767071133007\
      84059052956324692439942230906899984193714054437500480898489239419090921\
      0740158545599228044356127209752084596747221060213014528/
      39463250455318894891273086579654445305371778063491707542691808816327978\
      65779399918176172763553852577389328774013190354363896203486920132293619\
      95047590789794921875*ep^8;
Fill mnchfac1(50,2)=
      -281474976710656/1275-69741236318500462754670971239530496/
      123477554466051431270625*ep-9797976566170899651777019652903885013236186\
      193053351936/11958201142679762949173106425018116158421875*ep^2-
      10357107612476199636033806771446085152199878425209710006125644071774726\
      38976/1158093672871559915475802655202775492662563755232168808491015625*
      ep^3-923059061595482071830997110622401805354412113923352403230805526474\
      72698223255387868458559471616/11215574475983340259972104790725244494243\
      9628985483813760044993757874287429404296875*ep^4-
      73714146320135133251767210733300068129356801677150519435332797965027664\
      52870422698355525377769527382979377790713856/10861738888049326565532590\
      67194774895573033883401406859766543763417302142378929087491667201703930\
      6640625*ep^5-5474116923805417035570185200939982236211513884342375627773\
      59867797357216203191083633754241283031332712293861074471859328606343262\
      109696/1051906631486384023939121987832511857612073593300399072062423090\
      538375906737175878061145876099916665226260108997918701171875*ep^6-
      38726460928844535510745785502800370440956906271249204607067839834765344\
      05570633458197840235953783377496627864971565284538068498485281237113442\
      7663628763136/101872045790243666468997169791015734623817063286645276190\
      87698441214439344798784228903834811594629998618660263201788424714720572\
      0882720947265625*ep^7-2652612924726613659854489520185126210982756105743\
      16845723174448544487498206865523800975421120597466590021816957952661382\
      2774829315495349753687208070082097855337009857404338176/
      98658126138297237228182716449136113263429445158729268856729522040819946\
      64448499795440431908884631443473321935032975885909740508717300330734049\
      876189769744873046875*ep^8;
Fill mnchfac1(50,4)=
      140737488355328/62475+35148776156590132012615926334619648/
      6050400168836520132260625*ep+496845742950066243759950719143919799526051\
      4046593466368/585951855991308384509482214825887691762671875*ep^2+
      52767519611582160141594274218901713815128031863739994618350935303917456\
      5888/56746589970706435858314330104935999140465624006376271616059765625*
      ep^3+471958669296144514497169615005319894910490601185368623907480845881\
      42809689403857233295030878208/54956314932318367273863313474553698021795\
      41820288706874242204694135840084040810546875*ep^4+
      37789867114349116679611909050146694350710083352716552657611729427198303\
      79863691389019394683216694297219508708835328/53222520551441700171109694\
      29254396988307866028666893612856064440744780497656752528709169288349260\
      25390625*ep^5+281174754353339101295641247960120209207124697505303749053\
      82253372609114788695184232689358110393551949430971057569761416662263544\
      9909248/515434249428328171730169774037930810229916060717195545310587314\
      36380419430121618024996147928895916596086745340898016357421875*ep^6+
      19918953090194865765202170027808077736547869769208470750827443477417117\
      09984859500935796367763936175837223038461995623741747468604908728980543\
      9947367251968/499173024372193965698086131975977099656703610104561853335\
      29722361950752789514042721628790576813686993231435289688763281102130803\
      23253326416015625*ep^7+136567490758301487322685673623158223816562997843\
      00531078121464481438306358264111529215980878828275293752757626464188954\
      35703523413791287539000015642317051481794089882367295488/
      48342481807765646241809531060076695499080428127777341739797465800001773\
      85579764899765811635353469407301927748166158184095772849271477162059684\
      43933298717498779296875*ep^8;
Fill mnchfac1(50,6)=
      -4398046511104/187425-1107272784756498351389522173886464/
      18151200506509560396781875*ep-15749833610308110915173929646203732725907\
      8364888039424/1757855567973925153528446644477663075288015625*ep^2-
      16807619639640351060347012732784969283663844948272379418198521969360502\
      784/170239769912119307574942990314807997421396872019128814848179296875*
      ep^3-150878201425467329371770092149041398959378001764546064431569934311\
      7117690276450372222183276544/164868944796955101821589940423661094065386\
      25460866120622726614082407520252122431640625*ep^4-
      12113746403532350937209035787111154302383502869135494423510292014464053\
      1223990266211500024896813432757655860936704/159667561654325100513329082\
      87763190964923598086000680838568193322234341492970257586127507865047780\
      76171875*ep^5-903111888094872608264758271692816091786487742331646557329\
      65668136954200569919528915600168703743007705442624815797054129217370471\
      79264/15463027482849845151905093221137924306897481821515866359317619430\
      9141258290364854074988443786687749788260236022694049072265625*ep^6-
      64068853363577471490999664234777110400385441655375854875893410843619345\
      53886207386567596064437485951404334205200441128904808873106844244968744\
      36085940224/14975190731165818970942583959279312989701108303136855600058\
      91670858522583685421281648863717304410609796943058690662898433063924096\
      9759979248046875*ep^7-4396999859575656767709359471700684848627344195575\
      88810321840745586502197138805557741472626646632301446761980978794558448\
      70433918328756373878919504633763920805562378128195584/
      14502744542329693872542859318023008649724128438333202521939239740000532\
      15673929469929743490606040822190578324449847455228731854781443148617905\
      331799896152496337890625*ep^8;
Fill mnchfac1(50,8)=
      2199023255552/8808975+558167556563639844288092734226432/
      853106423805949338648748125*ep+7989929178732311080340317262220046977746\
      9502140710912/82619211694774482215836992290450164538536734375*ep^2+
      85684450998112998559918864735342619507590879865847114012132837783681105\
      92/8001269185869607456022320544795975878805652984899054297864426953125*
      ep^3+772046587377671586705479746829299477730273259793687336933729865983\
      051560558709819848074985472/7748840405456889785614727199912071421073153\
      96660707669268150861873153451849754287109375*ep^4+
      62159560962897559088158771687766584023341707999083508211235044102767417\
      951089040631448037487118714544183209623552/7504375397753279724126466895\
      24869975351409110042031999412705086145014050169602106547992869657245695\
      80078125*ep^5+464364138581240271929940073679828942258127612969696516965\
      93152630427899182015169777778288277566405558760346830482433855857239596\
      72832/72676229169394272213953938139348244242418164561124571888792811325\
      29639139647148141524456857974324240048231093066620306396484375*ep^6+
      32991265200165809595825101089535253716708541955490635071505649649213115\
      66687896224644102348373856057130107505973147494835887325138826916212127\
      57333901312/70383396436479349163430144608612771051595209024743221320276\
      90853035056143321480023749659471330729866045632375846115622635400443255\
      78719024658203125*ep^7+226647958344919544149820497971419290968832894874\
      40712625211825458673368848528418077158677952461198559108088654341119318\
      592121055408113684426169845298994838401312715536596992/
      68162899348949561200951438794708140653703403660166051853114426778002501\
      13667468508669794405848391864295718124914283039575039717472782798504155\
      0594595119167327880859375*ep^8;
Fill mnchfac1(50,10)=
      -549755813888/202606425-140699306079569534027928549982208/
      19621447747536834788921206875*ep-20271041296869578867293342447009155589\
      132988949987328/1900241868979813090964250822680353784386344890625*ep^2-
      21847884890332647127668631124718146995041708012223482488232460729953812\
      48/184029191275000971488513372530307445212530018652678248850881819921875
      *ep^3-19761134573020488991941348385501923190276704540053768107626769202\
      1061969816112685098853203968/178223329325508465069138725597977642684682\
      54123196276393167469823082529392544348603515625*ep^4-
      15955927166649557619251367830883045708206796551807285529302853236374254\
      086443420967240639570587694694785758527488/1726006341483254336549087385\
      90720094330824095309667359864922169813353231539008484506038360021166510\
      0341796875*ep^5-1194502824982961215942055585808358609713859251172301106\
      87718221758232596297290823346518226845720675236880476154288208904408028\
      4663808/167155327089606826092094057720500961757561778490586515344223466\
      048181700211884407255062507733409457521109315140532267047119140625*ep^6
      -8499298461391300470331389989836434284751143323421216357857554026814549\
      34185055571918900354500274043102067548013226178517506355715348882208980\
      96398204928/16188181180390250307588933259980937341866898075690940903663\
      68896198062912963940405462421678406067869190495446444606593206142101948\
      8310537567138671875*ep^7-5845137166413213911790389872410465361062866488\
      93173818369432402245093365109987094804370463187418168834265948547438750\
      3811425538513596759428507711108683672200942191900622848/
      15677466850258399076218830922782872350351782841838191926216318158940575\
      26143517756994052713345130128788015168730285099102259135018740043655955\
      663675687740848541259765625*ep^8;
Fill mnchfac1(50,12)=
      274877906944/9117289125+70941221697321882080315906719744/
      882965148639157565501454309375*ep+1028819426178588820938658268044624877\
      0130079649890304/85510884104091589093391287020615920297385520078125*
      ep^2+111453561388163427026069586050582834171196695865545318073629796420\
      9700864/828131360737504371698310176386383503456385083937052119828968189\
      6484375*ep^3+1012042808296762761277413560272663080579157815643769620788\
      87324714802509485964580707394125824/80200498196478809281112426519089939\
      2081071435543832437692536142038713822664495687158203125*ep^4+
      81957667571521237703135618839383619133985594682160608266154618614733187\
      53863679327814706064236783186542470365184/77670285366746445144708932365\
      82404244887084288935031193921497641600895419255381802771726200952492951\
      5380859375*ep^5+6148896388295599992842222605460857997744172268172612434\
      72575852159322677947592042879126131831364943885916550939098469981964357\
      074944/7521989719032307174144232597422543279090280032076393190490055972\
      168176509534798326477812848003425588449919181323952017120361328125*ep^6
      +4381980505413188688948442928338002438909130822733335357379635352985058\
      53452329270871593397594122324230954649469132571487841245014048338455534\
      96644911104/72846815311756126384150199669914218038401041340609234066486\
      60032891283108337731824580897552827305411357229509000729669427639458769\
      73974190521240234375*ep^7+301687380961642527136353722360125075936767947\
      68098659987093519940420953177499356846943059880606656389449259794642833\
      05378904063300984171380954466606036004766737761161969664/
      70548600826162795842984739152522925576583022788271863667973431715232588\
      67645829906473237210053085579546068259286282945960166107584330196451800\
      4865405948338184356689453125*ep^8;
Fill mnchfac1(50,14)=
      -34359738368/100290180375-8943279387134468720226486714368/
      9712616635030733220515997403125*ep-118700788410960221185567306875324153\
      575035117764608/85510884104091589093391287020615920297385520078125*ep^2
      -1421908503756312616718364843645341660894803413204256133135127275456430\
      08/91094449681125480886814119402502185380202359233075733181186500861328\
      125*ep^3-12963500851870518094012634845488359439578150057630495140210662\
      304659758639352914042712752128/8822054801612669020922366917099893312891\
      785790982156814617897562425852049309452558740234375*ep^4-
      10530038461147382168373885260142116477324741915783305038572243764413728\
      18473273907722827702642341044949035778048/85437313903421089659179825602\
      40644669375792717828534313313647405760984961180919983048898821047742246\
      69189453125*ep^5-791788936194988185911097621215968117861308145671202789\
      51774789706041040143843153542173396311972866872094413158794990143660011\
      552768/8274188690935537891558655857164797606999308035284032509539061569\
      3849941604882781591255941328037681472949110994563472188323974609375*
      ep^6-513795493585420862641097880270575307434956202500521458559120835142\
      86874512651435833042097053988574625079654731807225254134517234391746893\
      6457534046208/728468153117561263841501996699142180384010413406092340664\
      86600328912831083377318245808975528273054113572295090007296694276394587\
      6973974190521240234375*ep^7-3895488754262895478116922245880167615088583\
      28533281052505271240710804612019542462083738258728048609527371786253334\
      240149940299447324194642613554509716115038808353218756608/
      77603460908779075427283213067775218134241325067099050034770774886755847\
      54410412897120560931058394137500675085214911240556182718342763216096980\
      53519465431720027923583984375*ep^8;
Fill mnchfac1(50,16)=
      17179869184/4312477756125+4510332410993353804860079734784/
      417642515306321528482187888334375*ep+6027386942156174042942164595744072\
      5093195033083904/3676968016475938331015825341886484572787577363359375*
      ep^2+725886704215262770462930806590274241633816101429701986667898300572\
      63104/39170613362883956781330071343075939713487014470222565267910195370\
      37109375*ep^3+664523554231633095544930178975292220162776315725980432882\
      3065637902146177952825381081841664/379348356469344767899661777435295412\
      454346789012232743028569595184311638120306460025830078125*ep^4+
      54146840611466241578322352376593144191809243256074632079550151050816521\
      5150782486153405951845398627542970138624/367380449784710685534473250090\
      34772078315908686662697547248683844772235333077955927110264930505291660\
      775146484375*ep^5+40808948763377668015011440865857173030230000910399837\
      99956488582460892040379530033812689342264625374394859444008752145342234\
      2569984/355790113710228129337022201858086297100970245517213397910179647\
      4835547489009959608424005477105620303336811772766229304097930908203125*
      ep^6+265253240211658768102109131373624143776914579775336119227596178370\
      92752196023796198374212458409612655619954985164898394789123608855462425\
      7362261704704/313241305840551343451845858580631137565124477764619706485\
      89238141432517365852246845697859477157413268836086888703137578538849672\
      709880890192413330078125*ep^7+20134591123016892185650507087865946003058\
      69572572215771089308800857384272336074144400270515794985990644630388894\
      12282931700682411707869972491007926910750767410069318139904/
      33369488190775002433731781619143343797723769778852591514951433201305014\
      44396477545761841200355109479125290286642411833439158568887388182921701\
      6301337013563961200714111328125*ep^8;
Fill mnchfac1(50,18)=
      -4294967296/90562032878625-1137486595899071404334745911296/
      8770492821432752098125945655021875*ep-153069090209528339257044696201044\
      39288345003032576/77216328345994704951332332179616176028539124630546875
      *ep^2-18535415161231383882313581394696424668373207480773885812952943218\
      917376/8225828806205630924079314982045947339832273038746738706261141027\
      7779296875*ep^3-1704048525824121462950284995525398553273053624255739413\
      888526534420719634825216310054486016/7966315485856240125892897326141203\
      661541282569256887603599961498870544400526435660542431640625*ep^4-
      13929635913203147895717718270203045773753724119613860880937010565700257\
      0121212345398746077827696845002171744256/771498944547892439622393825189\
      73021364463408241991664849222236074021694199463707446931556354061112487\
      6278076171875*ep^5-1052343184577715421415257964055024404124652523282327\
      37101847310571962897702183640526649726166188483290806394602219219697232\
      33796096/74715923879147907160774662390198122391203751558614813561137725\
      971546497269209151776904115019218026370073047228090815386056549072265625
      *ep^6-68519247798278801532441246834038878489583274898497257468733101553\
      87185772472038885220286612347227841822882183014176807489272979557805551\
      5759720267776/657806742265157821248876303019325388886761403305701383620\
      37400097008286468289718375965504902030567864555782466276588914931584312\
      6907498694040679931640625*ep^7-
      52074413954541918580312435476486598241098858711081778306594453867016122\
      75350208613749784958742465054295595745987280715973779632345854075326674\
      9993361348794092386706456576/700759252006275051108367414002010219752199\
      16535590442181398009722740530332326028460998665207457299061631096019490\
      6485022223299466351518413557342328077284843185214996337890625*ep^8;
Fill mnchfac1(50,20)=
      2147483648/3713043348023625+573815818831618434253086261248/359590205678\
      742836023163771855896875*ep+7776672412347227911550260693780483692488334\
      245888/3165869462185782903004625619364263217170104109852421875*ep^2+
      9469767636186475078496926625019424716657936620798252013251693052428288/
      33725898105443086788725191426388384093312319458861628695670678213889511\
      71875*ep^3+874392579489355166505648637521612113887805609421303975708448\
      412223286612706548912169156608/3266189349201058451616087903717893501231\
      92585339532391747598421453692320421583862082239697265625*ep^4+
      71713561820604128922123893835684934177144984992377387168003423366828729\
      202363981372523974071197353779465289728/3163145672646359002451814683277\
      89387594299973792165825881811167903488946217801200532419381051650561199\
      27401123046875*ep^5+543110884944349232026828440912545916567936374807891\
      43581870937299604331585512971686166005133133986409169577501753436892352\
      52379648/30633528790450641935917611579981230180393538139032073560066467\
      64833406388037575222853068715787939081172994936351723430828318511962890\
      625*ep^6+35425868912431366760036908560264230930136592459562210739667366\
      49803961757148062926893631424264486953466419007615298712633818040639774\
      1246984500543488/269700764328714706712039284237923409443572175355337567\
      28435334039773397451998784534145857009832532824467870811173401455121949\
      568203207446455667877197265625*ep^7+
      26957671754689636764695765207792404531602009688688758008896541236541146\
      07156173019667136584818159056369801347443829521375914298500936961043083\
      4668170026736993212894117888/
      28731129332257277095443063974082419009840165779592081294373183986323617\
      43625367166900945273505749261526874936799116588591115527812041225495585\
      1035451168678570593814849853515625*ep^8;
Fill mnchfac1(50,22)=
      -134217728/18565216740118125-36188447045984577165058899968/179795102839\
      3714180115818859279484375*ep-494007196789816501426094610130450494589195\
      255808/15829347310928914515023128096821316085850520549262109375*ep^2-
      605017081301470290505959179639745170228217688881476957754058947166208/
      16862949052721543394362595713194192046656159729430814347835339106944755\
      859375*ep^3-56114360328070850156780913979360771272300761295749601576416\
      634979176080262249284183523328/1633094674600529225808043951858946750615\
      962926697661958737992107268461602107919310411198486328125*ep^4-
      46179576919002483333541712416086293205324437722102729840584567002340616\
      11166526078874199527230376536088117248/15815728363231795012259073416389\
      46937971499868960829129409055839517444731089006002662096905258252805996\
      37005615234375*ep^5-350624972157346388998188409413410958952543551189796\
      77667254723222714084131805575970959175194895886540859856810395235758906\
      6579968/153167643952253209679588057899906150901967690695160367800332338\
      24167031940187876114265343578939695405864974681758617154141592559814453\
      125*ep^6-22912902724400023215350753056419846490793895529433323238655188\
      37665879185884227497046212943198064406416131394576636936337724900963021\
      634697500049408/1348503821643573533560196421189617047217860876776687836\
      42176670198866987259993922670729285049162664122339354055867007275609747\
      841016037232278339385986328125*ep^7-
      17458770751296745782403589720110103186877062903590835845580211210583320\
      63167366101067226251220526291279859274248892072741055400047563488454610\
      041878467544567624444919808/1436556466612863854772153198704120950492008\
      28897960406471865919931618087181268358345047263675287463076343746839955\
      829429555776390602061274779255177255843392852969074249267578125*ep^8;
Fill mnchfac1(50,24)=
      67108864/724043452864606875+1404682218494808195667591168/53938530851811\
      42540347456577838453125*ep+25112592103642189625339405980172457953754244\
      7104/617344545126227666085901995776031327348170301421222265625*ep^2+
      309368119545028423714226078959482803536521414413235068724057985122304/
      65765501305614019238014123281457348981959022944780175956557822517084547\
      8515625*ep^3+2217338906273492933514539224510728535820208494198768272209\
      816305094400886183646222614528/4899284023801587677424131855576840251847\
      888780092985876213976321805384806323757931233595458984375*ep^4+
      23805583454453085152646577848364047246798972364942726837968909298779977\
      19419746357353311552628314175177293824/61681340616604000547810386323918\
      93058088849488947233604695317774118034451247123410382177930507185943385\
      843218994140625*ep^5+18122390936191776685421272806377683728118503209740\
      72164634099443597269767793823027799831909395473781069019452709973247983\
      54653184/59735381141378751775039342580963398851767399371112543442129611\
      91425142456673271684563483995786481208287340125885860690115221098327636\
      71875*ep^6+912735195354480557541589458843982888448557502849165475750220\
      24980585121484800956936756622047670255137330897362235982196306291541971\
      983650047172608/4045511464930720600680589263568851141653582630330063509\
      26530010596600961779981768012187855147487992367018062167601021826829243\
      523048111696835018157958984375*ep^7+
      90534965933665727944357895993927735368754520657270712348897290981532041\
      57236580409351538879049811562170872983934608549159473351685727215126527\
      10360650730742981006639104/56025702197901690336113974749460717069188323\
      27020455852402770877333105400069465975456843283336211059977406126758277\
      347752675279233480389716390951912977892321265793895721435546875*ep^8;
Fill mnchfac1(50,26)=
      -16777216/13756825604427530625-354459606941601087623790592/102483208618\
      441708266601674978930609375*ep-6384908785923289219585937322497316167018\
      8466176/11729546357398325655632137919744595219615235727003223046875*
      ep^2-791319828575926571957372746782466223637985612334140481077876885749\
      76/12495445248066663655222683423476896306572214359508233431745986278246\
      064091796875*ep^3-56984798166610292379532728507647604799121445961889363\
      0274196840275317699298430343954432/930863964522301658710585052559599647\
      85109886821766731648065550114302311320151400693438313720703125*ep^4-
      61401935225433216732309064170019428578239030014888943848592840493715909\
      4236688746471961169758621624804089856/117194547171547601040839734015445\
      96810368814028999743848921103770824265457369534479726138067963653292433\
      1021160888671875*ep^5-4687084025092720063761030337593423754366223852616\
      25726660164636689969359273526274804132428886005899384639542023419085629\
      32125696/11349722416861962837257475090383045781835805880511383254004626\
      26370777066767921620067061959199431429574594623918313531121892008682250\
      9765625*ep^6-2365371538653631000478939226835979579951388664071971311467\
      13033813127285835510098997494851727009561447112057924293632976832731232\
      11511479037181952/76864717833683691412931196007808171691418069976271206\
      67604070201335418273819653592231569247802271854973343181184419414709755\
      626937914122239865345001220703125*ep^7-
      23495785898246295326305518508196454813378839878761062471476272849896614\
      59687984472814849402060001735784618802543042354068010847108496860283913\
      36415063638247603904434176/10644883417601321163861655202397536243145781\
      42133886611956526466693290026013198535336800223833880101395707164084072\
      69607300830305436127404611428086346579954104050084018707275390625*ep^8;
Fill mnchfac1(50,28)=
      8388608/509002547363818633125+178918776282694644769488896/3791878718882\
      343205864261974220432546875*ep+3247799941598691213334147384863404074872\
      7205888/433993215223738049258389103030550023125763721899119252734375*
      ep^2+405010914470304571767243162659290120036157914141914196148041057402\
      88/46233147417846655524323928666864516334317193130180463697460149229510\
      4371396484375*ep^3+2930785311699072493545054793088360964778165612802664\
      52360340165744172398536329269026816/34441966687325161372291646944705186\
      97049065812405369070978425354229185518845601825657217607666015625*ep^4+
      31698216290702222501367403772553644970317364382781291018769031845387918\
      8562685310691295633482769548466761728/433619824534726123851107015857150\
      08198364611907299052241008083952049782192267277574986710851465517182002\
      47782952880859375*ep^5+242651007250421615160155854449314565278682510418\
      50177461104799363620152846242184510704355658788212858471793342648134574\
      507931648/4199397294238926249785265783441726939279248175789211803981711\
      71757187514704130999424812924903789628942600010849776006515100043212432\
      861328125*ep^6+12271000028406346392687841521308594565556921721813672211\
      40438287600375270470825733920150280169022526921834885383070225434257017\
      4330045684579096576/284399455984629658227845425228890235258246858912203\
      46470135059744941047613132718291256806216868405863401369770382351834426\
      0958196702822522875017765045166015625*ep^7+
      12207188359051173633416513482577967055131196558202045524149130130681387\
      79837876967744850222854965078459473314607526515828114484039008247345601\
      58035471987480620907429888/39386068645124888306288124248870884099639391\
      25895380464239147926765173096248834580746160828185356375164116507111068\
      975470130721301136713970622839194823458301849853108692169189453125*ep^8
      ;
Fill mnchfac1(50,30)=
      -1048576/4581022926274367698125-22581833125753781066432512/341269084699\
      41088852778357767983892921875*ep-41315434383599625713061973442960038808\
      50087936/3905938937013642443325501927274950208131873497092073274609375*
      ep^2-5184895290994895306329089770309384997809508801878815192729393524736
      /4160983267606198997189153580017806470088547381716241732771413430655939\
      342568359375*ep^3-37707747836986848888046369735490843330766576804656228\
      385114884929522084064136413898752/3099777001859264523506248225023466827\
      3441592311648321638805828188062669669610416430914958468994140625*ep^4-
      40941480305324135356419070974878239922684274756081804527173349635652745\
      643052894526920196432828230256188416/3902578420812535114659963142714350\
      73785281507165691470169072755568448039730405498174880397663189654638022\
      30046575927734375*ep^5-314327601904685914169388638088343659120884038263\
      75834492452246384440931484450640655804504268766218213798109699779168587\
      52582656/37794575648150336248067392050975542453513233582102906235835405\
      45814687632337178994823316324134106660483400097647984058635900388911895\
      751953125*ep^6-15930069010847591820109038671691996351330584991948573239\
      49567731522279929737826248071184368924408458956256892776130267008896036\
      286379374919401472/2559595103861666924050608827060012117324221730209831\
      18231215537704469428518194464621311255951815652770612327933441166509834\
      8623770325402705875159885406494140625*ep^7-
      15871799943024619534472261693534776470476012687938510806047266820403376\
      61951775508203411482251725743049735325748656211578804501084980693679840\
      7673453139753156343975936/354474617806123994756593118239837956896754521\
      33058424178152331340886557866239511226715447453668207376477048563999620\
      779231176491710230425735605552753411124716648677978229522705078125*ep^8
      ;
Fill mnchfac1(50,32)=
      524288/160335802419602869434375+11402509409377036489342976/119444179644\
      7938109847242521879436252265625*ep+210305901573490508596329334258206635\
      8635081728/136707862795477485516392567454623257284615572398222564611328\
      125*ep^2+26564585457947697780818393907467063653903788293621545931347066\
      08128/14563441436621696490162037530062322645309915836006846064699947007\
      2957876989892578125*ep^3+1941929172461310807353303864259835299900570198\
      2557969079901113226319443818169979165696/108492195065074258322718687875\
      82133895704557309076912573582039865821934384363645750820235464147949218\
      75*ep^4+211692725105564035771244555693012320100590012860800682102946953\
      55171965684434713900230032630078154294368768/
      13659024472843872901309870999500227582484852750799201455917546444895681\
      39056419243612081391821163791233078051630157470703125*ep^5+
      16302134716955060670988846356805013033134768526360168434414587056570642\
      93740378175846747578012656674427219131552044862407564288/
      13228101476852617686823587217841439858729631753736017182542391910351406\
      71318012648188160713446937331169190034176794420522565136119163513183593\
      75*ep^6+828047557062145729763615381205249435994909835715116528006251019\
      53868118671640316807213429107973778869807026330279472037806483676887884\
      2937312256/895858286351583423417713089471004241063477605573440913809254\
      38196564299981368062617458939583135478469714314776704408278442201831961\
      389094705630595989227294921875*ep^7+
      82635431331448013294979811313730769676228148795452342158808791082095728\
      94475248011509150354521561006236308305152769960716849424888454051703623\
      751452173780071156425728/1240661162321433981648075913839432849138640824\
      65704484623533159693102952531838289293504066087838725817669669973998672\
      7273091177209858064900746194346369389365082703729238033294677734375*
      ep^8;
Fill mnchfac1(50,34)=
      -131072/2725708641133248780384375-221488161508102007410688/156196234920\
      1149835954086374765416637578125*ep-535457424570044153914451550994070619\
      503916032/2324033667523117253778673646728595373838464730769783598392578\
      125*ep^2-68089172310088602657189666119377933071115389046693078965455507\
      7632/247578504422568840332754638011059484970268569212116383099899099124\
      0283908828173828125*ep^3-5004010837860176608278329871777062894497185272\
      454615296292143429902295532977369530624/1844367316106262391486217693888\
      96276226977474254307513750894677718972884534181977763944002890515136718\
      75*ep^4-547761176708887461955901072182002381758115513166649526305027123\
      6638036911345190619429934647363240626145792/
      23220341603834583932226780699150386890224249676358642475059828956322658\
      363959127141405383660959784450962326877712677001953125*ep^5-
      42315572329445554197962114987015058993409898324857862913517661899657669\
      8498783018525224799161114691330063273732487048835548672/
      22487772510649450067600098270330447759840373981351229210322066247597391\
      41240621501919873212859793462987623058100550514888360731402577972412109\
      375*ep^6-21544063784325600601703655833874207052546198824428908809835909\
      95564831022436354749221549126645907857478498155136663358662329677308888\
      51626379264/15229590867976918198101122521007072098079119294748495534757\
      32449341593099683257064496801972913303133985143351203974940733517431143\
      343614609995720131816864013671875*ep^7-
      21536389062935656187285512830628572832836988100871166725599239649980003\
      84449390456735950785834956011126024485198983392393607206214538882890743\
      484714657937000399052032/2109123975946437768801729053527035843535689401\
      91697623860006371478275019304125091798956912349325833890038438955797743\
      63642550012567587103312685303888279619206405963397046566009521484375*
      ep^8;
Fill mnchfac1(50,36)=
      65536/89948385157397209752684375+1454467555967455125686272/670081847807\
      293279624303054774363737521015625*ep+3000505395662729238290807571426337\
      475805656576/8436242213108915631216585337624801207033626972694314462165\
      05859375*ep^2+349251448440962938407571146691401879392709345567960981482\
      756233216/8170090645944771730980903054364963004018862783999840642296670\
      2710929368991329736328125*ep^3+1067922217619857416844408259298709909557\
      24225918289968857561428791534431346238336/25184806319156973939274706789\
      562532029173073407506715578183160362171991515819113941366955333251953125
      *ep^4+28372681007447946706771721937688879245894605549413406561056143645\
      68486487207766933364431452139830543239296/
      76627127292654126976348376307196276737740023931983520167697435555864772\
      6010651195666377660811672886881756786964518341064453125*ep^5+
      21990439584674068087496927126205631029491288482633049891547102189096052\
      4025917904105455194958346322267921828316546719117636736/
      74209649285143185223080324292090477607473234138459056394062818617071391\
      66094050956335581602437318427859156091731816699131590413628507308959960\
      9375*ep^6+1234566100606467028612347011855483534094123279348813579346756\
      53573763255350063755256689891876660164498041896187050921135805176291134\
      8728759162752/552834148507562130591070747512556717160272030399370387911\
      69087911099829518502231441233911616752903763660703648704290348626682750\
      5033732103428446407849521636962890625*ep^7+
      11239195277298959388945669548910262583147034399928980996625724156281847\
      85017074951394632108440076786549810549837225123987794477005638088021612\
      160797563862486540700416/6960109120623244637045705876639218283667775026\
      32602158738021025878307563703612802936557810752775251837126848554132554\
      000204150414730374409318615028313227433811396792102536678314208984375*
      ep^8;
Fill mnchfac1(50,38)=
      -1024/89948385157397209752684375-1766495661598433840896/515447575236379\
      44586484850367258749040078125*ep-47786394683736807218957783570580877823\
      734784/8436242213108915631216585337624801207033626972694314462165058593\
      75*ep^2-5601675135622823907049303432680835541200680878980139058921108544
      /8170090645944771730980903054364963004018862783999840642296670271092936\
      8991329736328125*ep^3-3784528970406608664032904544261467243155545972193\
      222539940413783327564000375092928/5533101948318787174458653081666888286\
      8093242276292254125268403315691865360254593329183200867154541015625*
      ep^4-459701701191437307985876388350187732889883808061170677134101411777\
      56297373825662474875126496300200211264/76627127292654126976348376307196\
      27673774002393198352016769743555586477260106511956663776608116728868817\
      56786964518341064453125*ep^5-357513079747542657085828510415191763451351\
      06969625035234292477255864089830903492036426015632078343964403709103471\
      04525452224/74209649285143185223080324292090477607473234138459056394062\
      81861707139166094050956335581602437318427859156091731816699131590413628\
      5073089599609375*ep^6-2012238870012184270898214196606023342658135297829\
      43572070495304372988748676531651282563067499921974774064341483398099536\
      00568433096094775875968/55283414850756213059107074751255671716027203039\
      93703879116908791109982951850223144123391161675290376366070364870429034\
      86266827505033732103428446407849521636962890625*ep^7-
      18352924569485079560457885699497751458235343668855710204233032313488926\
      39428236493202974241871979499171573921176160363622043659928326140597417\
      7044018008478244633344/696010912062324463704570587663921828366777502632\
      60215873802102587830756370361280293655781075277525183712684855413255400\
      0204150414730374409318615028313227433811396792102536678314208984375*
      ep^8;
Fill mnchfac1(50,40)=
      512/2788399939879313502333215625+11605260788151447626624/20772537282026\
      091668353394698005275863151484375*ep+2436451574474764756535641858161653\
      6504977792/261523508606376384567714145466368837418042436153523748327116\
      81640625*ep^2+287695321157892733122685499679072811395159469605020569078\
      8320672/253272810024287923660407994685313853124584746303995059911196778\
      4038810438731221826171875*ep^3+1955115588006968223022608451792757024184\
      225141457822051596385046235514252562483264/1715261603978824024082182455\
      31673536891089051056505987788332050278644782616789239320467922688179077\
      1484375*ep^4+2385850804465205748681144850562843909979632501579899019007\
      9627660139233346396575114256765654378249704032/
      23754409460722779362667996655230845788699407418914891251986205022318079\
      506330187065657707485161859493334460395900068572998046875*ep^5+
      18621002558297373375918415261196946086161508186831997965755378395812351\
      05794223416620590307241381156201348445503306947000512/
      23004991278394387419154900530548048058316702582922307482159473771292131\
      41489155796464030296755568712636338388436863176730793028224837265777587\
      890625*ep^6+10508676636365528363311503819644951541603836204265717763725\
      84069147581713477951386263122232362563455659249268301284252028349834480\
      9245690598784/171378586037344260483231931728892582319684329423804820252\
      62417252440947150735691746782512601193400166734818131098330008074271652\
      656045695206281838643335170745849609375*ep^7+
      96032456874630535520606841408270101937969317711213878879278814366376898\
      82887736075245099128388172912311499173943582299916227829108823719567808\
      316369593749204963072/2157633827393205837484168821758157667937010258161\
      06669208786518022275344748119968910332921333360328069509323051781091740\
      06328662856641606688877065877710050448153300555178637027740478515625*
      ep^8;
Fill mnchfac1(50,42)=
      -128/41825999098189702534998234375-2933100268876282385696/3115880592303\
      91375025300920470079137947272265625*ep-62142200898250634293155216452370\
      92622214768/39228526290956457685157121819955325612706365423028562249067\
      5224609375*ep^2-7392988702046770690744359758563776089034610272523552189\
      48580288/37990921503643188549061199202797077968687711945599258986679516\
      760582156580968327392578125*ep^3-50546829167469571916711445874324680462\
      3556803825335206886590102071941928334414256/257289240596823603612327368\
      29751030533663357658475898168249807541796717392518385898070188403226861\
      572265625*ep^4-61979655826089166540775767084387359279687062170309137595\
      68774076089244545446988178897929233314496301728/
      35631614191084169044001994982846268683049111128372336877979307533477119\
      2594952805984865612277427892400016905938501028594970703125*ep^5-
      48553315893273641799995572934669518027762941405657071357758070477276545\
      4603850775082033744076275339092601827363860141571648/
      34507486917591581128732350795822072087475053874383461223239210656938197\
      12233733694696045445133353068954507582655294765096189542337255898666381\
      8359375*ep^6-2747737177346165332801341529690285160542607566118817813404\
      02731385944049885717143873523850006902010848002127042858328985456117641\
      3806224542336/257067879056016390724847897593338873479526494135707230378\
      93625878661420726103537620173768901790100250102227196647495012111407478\
      9840685428094227579650027561187744140625*ep^7-
      25161235858046920719579347131519442904910139394088209339596994959212279\
      85072605018004014427300504206959455350576230274199417473657050335648152\
      376885112507659269888/3236450741089808756226253232637236501905515387241\
      60003813179777033413017122179953365499382000040492104263984577671637610\
      094929942849624100333155988165650756722299508327679555416107177734375*
      ep^8;
Fill mnchfac1(50,44)=
      64/1212953973847501373514948796875+1482990688837324199248/9036053717681\
      349875733726693632295000470895703125*ep+3171491622362058469994700840191\
      982011148584/1137627262437737272869556532778704442768484597267828305222\
      9581513671875*ep^2+3802405920878378419650627999108009421550251540259760\
      31613324344/11017367236056524679227747768811152610919436464223785106137\
      05986056882540848081494384765625*ep^3+261613927284787708289536268727627\
      053314542236198914495775904059545622711235712528/
      74613879773078845047574936806277988547623737209580104687924441871210480\
      4383033191044035463693578985595703125*ep^4+3223915666426028414445886777\
      07294263175201246240172557477224100711710105221162060615913903747208235\
      6064/103331681154144090227605785450254179180842422272279776946139991847\
      08364585253631373561102756045408879600490272216529829254150390625*ep^5+
      25353280589760759834910342897408107979207507883056199192880838349623218\
      3248225889375511119331641146525259220485590950169024/
      10007171206101558527332381730788400905367765623571203754739371090512077\
      16547782771461853179088672389996807198970035481877894967277804210613250\
      732421875*ep^6+14389970244127252268804113500343977070700924114082671589\
      01292883870919925972030393116660575381426262513512324187528416972965143\
      963146682173568/7454968492624475331020589030206827330906268329935509680\
      98915150481181201057002590985039298151912907252964588702777355351230816\
      8905379877414732599809850799274444580078125*ep^7+
      13205334584861001093810801740063312257733176868476433070222943391911973\
      39243029072812861922560334940155855022182717891735191255042626546308457\
      617264157272336934144/9385707149160445393056134374647985855525994623000\
      64011058221353396897749654321864759948207800117427102365555275247749069\
      2752968342639098909661523656803871944946685741502707107067108154296875*
      ep^8;
Fill mnchfac1(50,46)=
      -8/8490677816932509614604641578125-187502300736702610556/63252376023769\
      449130136086855426065003296269921875*ep-4048672716236169719432503049796\
      02385708148/79633908370641609100868957294509310993793921808747981365607\
      070595703125*ep^2-48930410722000088893903403574895364854500802638832248\
      192339368/7712157065239567275459423438167806827643605524956649574295941\
      902398177785936570460693359375*ep^3-33885225554380570236168416971979237\
      754685144328500482741872360707912007159951216/
      52229715841155191533302455764394591983336616046706073281547109309847336\
      30681232337308248245855052899169921875*ep^4-419749157578041267416383046\
      02675965348687012052484576533260195539780050909424635536592448414858230\
      6208/723321768079008631593240498151779254265896955905958438622979942929\
      58552096775419614927719292317862157203431905515708804779052734375*ep^5-
      33143410246078311011439612674322322929133058697789575095783365927581494\
      092375317436068607586198358165364118784346730683328/
      70050198442710909691326672115518806337574359364998426283175597633584540\
      15834479400232972253620706729977650392790248373145264770944629474292755\
      126953125*ep^6-18869270011332480918534364839127913768307628136547863118\
      61589338171677434787475512231865533056511621202359194454190755361315865\
      43901105652096/52184779448371327317144123211447791316343878309548567766\
      92406053368268407399018136895275087063390350770752120919441487458615718\
      2337659141903128198668955594921112060546875*ep^7-
      17355102603688749551157447921646882035525750684826531267918868042839028\
      70151756125538610524160520860953374004430240015147674976169810832314221\
      01473215568108339968/65699950044123117751392940622535900988681962361004\
      48077407549473778284247580253053319637454600821989716558886926734243484\
      9270778398473692367630665597627103614626800190518949749469757080078125*
      ep^8;
Fill mnchfac1(50,48)=
      4/229248301057177759594325322609375+94854798696074238578/17078141526417\
      75126513674345096503755088999287890625*ep+20685663367500938833920138441\
      5677333656724/215011552600732344572346184695175139683243588883619549687\
      1390906083984375*ep^2+2520717053895995789331981217592351367595274118914\
      9438878824584/208228240761468316437404432830530784346377349173829538505\
      990431364750800220287402438720703125*ep^3+17574882132007329409682980215\
      798504225527741010473432611925299351680729139799408/
      14102023277111901713991663056386539835500886332610639786017719513658780\
      8028393273107322702638086428277587890625*ep^4+2188890971795385649738086\
      28650421577876149690037411800369554044213079903473472759894485454097471\
      457504/1952968773813323305301749345009803986517921780946087784282045845\
      909880906612936329603048420892582278244492661448924137729034423828125*
      ep^5+173568290277308417186956912341776027297424484168586400075937614653\
      19592969203322956922291044410376575628039856444188912064/
      18913553579531945616658201471190077711145077028549575096457411361067825\
      84275309438062902508477590817093965606053367060749221488155049958059043\
      88427734375*ep^6+991353088894194070315952124876853248998521340486522038\
      49068345506343576823453410312626010706921627189474938536188394689971320\
      140188012158848/1408989045106025837562891326709090365541284714357811329\
      70694963440943246999773489696172427350711539470810307264824920161382624\
      3923116796831384461364061801062870025634765625*ep^7+
      91398107398624649047026039233418355037223843713455130187969333657691823\
      91235085811321750671206921135102401353348199572598465322599312808809834\
      3544836965652592384/177389865119132417928760939680846932669441298374712\
      09809000383579201367468466683243963021127422219372234708994702182457409\
      30311016758789693926027971135931797594923605144011643235683441162109375
      *ep^8;
Fill mnchfac1(50,50)=
      -1/2980227913743310874726229193921875-312002908868306175266/
      288620591796459996380810964321309134610040879653515625*ep-4067408534064\
      260500625930904861973238212/2150115526007323445723461846951751396832435\
      888836195496871390906083984375*ep^2-64987470107402256044276427317887196\
      56230466524631939323221096/27069671298990881136862576267969001965029055\
      39259784000577875607741760402863736231703369140625*ep^3-
      59318968568897028130802127265845524125117007088302448295016480834550374\
      365077776/2383241933831911389664591056529325232199649790211198123836994\
      5978083339556798463155137536745836606378912353515625*ep^4-
      43963651601603935261163812347873397457372540205529290357407204665090269\
      18579062297647689160605424352/19529687738133233053017493450098039865179\
      21780946087784282045845909880906612936329603048420892582278244492661448\
      924137729034423828125*ep^5-45520905583116735338164121371879780420395534\
      35188341809682041581648652321324811842837417659769724794715342408307396\
      513216/2458761965339152930165566191254710102448860013711444762539463476\
      93881735955790226948177326102086806222215528786937717897398793460156494\
      5476757049560546875*ep^6-3391454404622066818293613865137539691145057176\
      05177356949077510996538404839350885551399954463360224310071985599436262\
      868395578563632650179456/2381191486229183665481286342138362717764771167\
      26470114720474488215194087429617197586531402222702501705669419277554115\
      072736635223006738664503973970526444379625034332275390625*ep^7-
      18548292485501494545267247937002942339157521299853609227154907909135587\
      55596778298977110814853503186967495117274186217432486872634471759441293\
      385965196227873792/1773898651191324179287609396808469326694412983747120\
      98090003835792013674684666832439630211274222193722347089947021824574093\
      0311016758789693926027971135931797594923605144011643235683441162109375*
      ep^8;
*--#] harmo1 :
*--#[ integral :
#procedure integral(TOPO1)
#switch `TOPO1'
*--#[ la :
#case la
*
*   Reduction procedure for three loop graphs of the la or ladder type.
*   Notation is from S.G.Gorishny et.al. Comp.Phys.Comm 55(1989)381
*
*                     /-<------<-----<-\
*                 P1 /    |   P2   |    \ P3
*                   /     |        |     \
*                  /      |        |      \
*                 /       |        |       \
*          Q --<--     P7 ^        v P8     --<-- Q
*                 \       |        |       /
*                  \      |        |      / 
*                   \     |        |     /
*                 P6 \    |   P5   |    / P4
*                     \->------>----->-/
*
#call ladder(p1,p2,p3,p4,p5,p6,p7,p8,Q) 
multiply Q.Q;
*
*   Now use some symmetry relations to diminish the number of terms.
*   Note that these transformations are sign insensitive, because the
*   only `nonsquare' is p7.p8 and either both change sign or neither.
*
if ( ( count(p2.p2,1) > count(p5.p5,1) )
  || ( ( count(p2.p2,1) == count(p5.p5,1) )
  && ( ( count(p1.p1,1) < count(p6.p6,1) )
  || ( ( count(p1.p1,1) == count(p6.p6,1) )
  && ( count(p3.p3,1) < count(p4.p4,1) ) ) ) ) );
    multiply replace_(p1,p6,p6,p1,p2,p5,p5,p2,p3,p4,p4,p3);
endif;
if ( ( count(p1.p1,1) < count(p3.p3,1) )
  || ( ( count(p1.p1,1) == count(p3.p3,1) )
  && ( ( count(p6.p6,1) < count(p4.p4,1) )
  || ( ( count(p6.p6,1) == count(p4.p4,1) )
  && ( count(p7.p7,1) < count(p8.p8,1) ) ) ) ) );
    multiply replace_(p1,p3,p3,p1,p7,p8,p8,p7,p6,p4,p4,p6);
endif;
if ( match(1/p1.p1/p2.p2/p3.p3/p4.p4/p6.p6/p7.p7/p8.p8) );
*
*   type BEbar or benzbar. Note the introduction of Q.p2. This will
*   need some sign corrections in future transformations.
*
    id  p5.p5 = p2.p2+Q.Q-2*Q.p2;
endif;
if ( match(1/p1.p1/p2.p2/p3.p3/p4.p4/p6.p6/p7.p7/p8.p8) );
    id  p7.p8 = p7.p7/2+p8.p8/2-mncx8/2;
endif;

#call ACCU2A(Q.Q mncx8,Rearrange)
Keep Brackets;
if ( match(1/p1.p1/p2.p2/p3.p3/p4.p4/p6.p6/p7.p7/p8.p8) );
    multiply acc(1/ep);
    #call triangle(p2,p7,p8,p1,p3)
    multiply ep;
endif;
#call ACCU(Second recursion)

id  mncx8 = p7.p7 + p8.p8 - 2*p7.p8;
#call ACCU(Second recursion B)

*
*   Now bring the integrals to a standard form again. We can make it
*   such that either p1.p1 is missing, or p2.p2 and p5.p5, or p8.p8.
*   `missing' means: not occurring in the denominator.
*
if ( ( count(p7.p7,1) >= 0 ) || ( count(p8.p8,1) >= 0 ) );
  if ( count(p7.p7,1) > count(p8.p8,1) );
    multiply replace_(p1,p3,p3,p1,p7,p8,p8,p7,p6,p4,p4,p6);
  endif;
  if ( ( count(p1.p1,1) < count(p6.p6,1) )
    || ( ( count(p1.p1,1) == count(p6.p6,1) )
    && ( ( count(p3.p3,1) < count(p4.p4,1) )
    || ( ( count(p3.p3,1) == count(p4.p4,1) )
    && ( count(p2.p2,1) < count(p5.p5,1) ) ) ) ) );
      id  Q.p2 = -Q.p2;
      multiply replace_(p1,p6,p6,p1,p2,p5,p5,p2,p3,p4,p4,p3);
  endif;
else;
if ( ( count(p1.p1,1) >= 0 ) || ( count(p3.p3,1) >= 0 )
  || ( count(p4.p4,1) >= 0 ) || ( count(p6.p6,1) >= 0 ) );
    if ( count(p1.p1,1) < count(p3.p3,1) );
      multiply replace_(p1,p3,p3,p1,p7,p8,p8,p7,p6,p4,p4,p6);
    endif;
    if ( count(p1.p1,1) < count(p6.p6,1) );
      id  Q.p2 = -Q.p2;
      multiply replace_(p1,p6,p6,p1,p2,p5,p5,p2,p3,p4,p4,p3);
    endif;
    if ( count(p1.p1,1) < count(p4.p4,1) );
      id  Q.p2 = -Q.p2;
     multiply replace_(p1,p4,p4,p1,p2,p5,p5,p2,p6,p3,p3,p6,p7,p8,p8,p7);
    endif;
    if ( count(p1.p1,1) < count(p3.p3,1) );
      multiply replace_(p1,p3,p3,p1,p7,p8,p8,p7,p6,p4,p4,p6);
    endif;
    if ( ( count(p1.p1,1) == count(p3.p3,1) )
    && ( count(p4.p4,1) > count(p6.p6,1) ) );
      multiply replace_(p1,p3,p3,p1,p7,p8,p8,p7,p6,p4,p4,p6);
    else;
    if ( ( count(p1.p1,1) == count(p6.p6,1) )
    && ( count(p4.p4,1) > count(p3.p3,1) ) );
      id  Q.p2 = -Q.p2;
      multiply replace_(p1,p6,p6,p1,p2,p5,p5,p2,p3,p4,p4,p3);
    endif;
    endif;
else;
if ( ( count(p2.p2,1) > count(p5.p5,1) )
  || ( ( count(p2.p2,1) == count(p5.p5,1) )
  && ( ( count(p1.p1,1) < count(p6.p6,1) )
  || ( ( count(p1.p1,1) == count(p6.p6,1) )
  && ( count(p3.p3,1) < count(p4.p4,1) ) ) ) ) );
    id  Q.p2 = -Q.p2;
    multiply replace_(p1,p6,p6,p1,p2,p5,p5,p2,p3,p4,p4,p3);
endif;
if ( ( count(p1.p1,1) < count(p3.p3,1) )
  || ( ( count(p1.p1,1) == count(p3.p3,1) )
  && ( ( count(p6.p6,1) < count(p4.p4,1) )
  || ( ( count(p6.p6,1) == count(p4.p4,1) )
  && ( count(p7.p7,1) < count(p8.p8,1) ) ) ) ) );
    multiply replace_(p1,p3,p3,p1,p7,p8,p8,p7,p6,p4,p4,p6);
endif;
endif;
endif;

#call ACCU(Use symmetry)

repeat;
if ( count(p1.p1,1) >= 0 );
	id	p1.p1 = p6.p6+2*Q.p6+Q.Q;
    if ( count(p6.p6,1) >= 0 ) discard;
    id,many,p1.p?^n? = (p6.p+Q.p)^n;
    if ( count(p6.p6,1) >= 0 ) discard;
elseif ( ( count(p2.p2,1) >= 0 ) && ( count(p5.p5,1) >= 0 ) );
    if ( match(1/p7.p7/p8.p8) == 0 ) discard;
	if ( match(p2.p2/p1.p1) );
		id	p2.p2 = mncxa1; id 1/p1.p1 = 1/mncxb1;
		ratio mncxa1,mncxb1,mncxc1;
		multiply replace_(mncxa1,p2.p2,mncxb1,p1.p1,mncxc1,2*p1.p7-p7.p7);
	endif;
	if ( match(p5.p5/p6.p6) );
		id	p5.p5 = mncxa2; id 1/p6.p6 = 1/mncxb2;
		ratio mncxa2,mncxb2,mncxc2;
		multiply replace_(mncxa2,p5.p5,mncxb2,p6.p6,mncxc2,2*p6.p7-p7.p7);
	endif;
*    id,p2.p2/p1.p1 = 1-2*p1.p7/p1.p1+p7.p7/p1.p1;
*    id,p5.p5/p6.p6 = 1+p7.p7/p6.p6-2*p6.p7/p6.p6;
    if ( count(p7.p7,1) >= 0 ) discard;
    if ( ( count(p1.p1,1) < 0 ) && ( count(p6.p6,1) >= 0 ) );
        multiply replace_(p1,p6,p6,p1,p2,p5,p5,p2,p3,p4,p4,p3,Q,-Q);
    endif;
    if ( ( count(p1.p1,1) < 0 ) && ( count(p2.p2,1) == 0 ) );
		id	p2.p2 = p1.p1-2*p1.p7+p7.p7;
		id	p5.p5 = p6.p6-2*p6.p7+p7.p7;
        id,many,p2.p?^n?pos_ = (p1.p-p7.p)^n;
        id,many,p5.p?^n?pos_ = (p6.p-p7.p)^n;
*        id  p2 = p1-p7;
*        id  p5 = p6-p7;
        if ( count(p7.p7,1) >= 0 ) discard;
    endif;
else;
    if ( match(1/p3.p3/p4.p4) == 0 ) discard;
	id	p8.p8 = p3.p3-2*p2.p3+p2.p2;
    if ( count(p3.p3,1) >= 0 ) discard;
    id,many,p8.p?^n?pos_ = (p3.p-p2.p)^n;
*    id  p8 = p3-p2;
    if ( count(p3.p3,1) >= 0 ) discard;
endif;
endrepeat;
#call ACCU(Preprepare first loop)
if ( count(p1.p1,1) >= 0 );
    id  p6.p7 = p6.p6/2+p7.p7/2-p5.p5/2;
    id  p5.p7 = p6.p6/2-p7.p7/2-p5.p5/2;
    id  p5.p6 = p6.p6/2+p5.p5/2-p7.p7/2;
    if ( match(1/p6.p6/p7.p7) == 0 ) discard;
    if ( count(p7.p2,1,p7.p3,1,p7.p4,1,p7.p8,1,p7.Q,1)
       > count(p6.p2,1,p6.p3,1,p6.p4,1,p6.p8,1,p6.Q,1) );
        multiply replace_(p6,-p7,p7,-p6);
    endif;
	id	p7.p7 = p5.p5-2*p5.p6+p6.p6;
    id,many,p7.p?^n?pos_ = (p6.p-p5.p)^n;
elseif ( ( count(p2.p2,1) >= 0 ) && ( count(p5.p5,1) >= 0 ) );
    id  p7.p8 = p7.p7/2+p8.p8/2-mncp9.mncp9/2;
    if ( match(1/p7.p7/p8.p8) == 0 ) discard;
    if ( count(p8.p1,1,p8.p3,1,p8.p4,1,p8.p6,1,p8.Q,1)
       > count(p7.p1,1,p7.p3,1,p7.p4,1,p7.p6,1,p7.Q,1) );
        multiply replace_(p7,-p8,p8,-p7);
    endif;
	id	p8.p8 = p7.p7-2*p7.mncp9+mncp9.mncp9;
    id,many,p8.p?^n?pos_ = (p7.p-mncp9.p)^n;
else;
    id  p3.p4 = p3.p3/2+p4.p4/2-Q.Q/2;
    id  p3.Q = p3.p3/2+Q.Q/2-p4.p4/2;
    id  p4.Q = p3.p3/2-p4.p4/2-Q.Q/2;
    if ( match(1/p3.p3/p4.p4) == 0 ) discard;
    if ( count(p4.p1,1,p4.p2,1,p4.p5,1,p4.p6,1,p4.p7,1)
       > count(p3.p1,1,p3.p2,1,p3.p5,1,p3.p6,1,p3.p7,1) );
        multiply replace_(p3,-p4,p4,-p3);
    endif;
	id	p4.p4 = p3.p3-2*p3.Q+Q.Q;
    id,many,p4.p?^n?pos_ = (p3.p-Q.p)^n;
endif;

#call ACCU(Prepare first loop)

multiply mncint1*mncint2*mncint3;
*
*   Now we do the first integral.
*   The order of the selection of the integrals determines the speed only.
*   On atari ST (4 Mbytes, 28msec hard disk):
*       8, 1, 2+5:   426 sec.
*       2+5, 8, 1:   416 sec.
*       2+5, 1, 8:   408 sec.
*       1, 2+5, 8:   408 sec.
*   It seems important to keep the p8.p8 for the last.
*
if ( count(p1.p1,1) >= 0 );
    if ( count(p6.p6,1) >= 0 ) discard;
    if ( count(p7.p7,1) >= 0 ) discard;
    totensor,nosquare,mncFQ,p6;
    if ( count(mncFQ,1) == 0 );
        id  mncint2/p6.p6^mncx1?/p7.p7^mncx2? =
            p5.p5^2/p5.p5^mncx1/p5.p5^mncx2*mnce5*mncG(mncx1,0,mncx2,0,0,0);
    elseif ( match(mncFQ(mnci1?)) );
        id  mncint2/p6.p6^mncx1?/p7.p7^mncx2?*mncFQ(mnci1?) =
            p5.p5^2/p5.p5^mncx1/p5.p5^mncx2*mnce5*mncG(mncx1,0,mncx2,0,1,0)*p5(mnci1);
    elseif ( match(mncFQ(mnci1?,mnci2?)) );
        id  mncint2/p6.p6^mncx1?/p7.p7^mncx2?*mncFQ(mnci1?,mnci2?) =
            p5.p5^2/p5.p5^mncx1/p5.p5^mncx2*mnce5*(
            +mncG(mncx1,0,mncx2,0,2,0)*p5(mnci1)*p5(mnci2)
            +mncG(mncx1,0,mncx2,0,2,1)*p5.p5*d_(mnci1,mnci2)/2
            );
    else;
        id  mncint2/p6.p6^mncx1?/p7.p7^mncx2?*mncFQ(?a) =
            p5.p5^2/p5.p5^mncx1/p5.p5^mncx2*mnce5
            *sum_(mncj,0,integer_(nargs_(?a)/2),mncG(mncx1,0,mncx2,0,nargs_(?a),mncj)
            *p5.p5^mncj/2^mncj*mncy^mncj)*mncFQ(?a);
    endif;
    #call simplify
    if ( count(mncFQ,1) );
        id  mncy^mncj?*mncFQ(?a) = distrib_(1,2*mncj,mncdel,mncFQ,?a);
        tovector,mncFQ,p5;
        id  mncdel(?a) = dd_(?a);
    endif;
*    #call one(p6,p7,p5,mnce6,mnce7,mnce5,mncint2)
    id  1/p8.p8 = 1/p7.p7;
    id  p8 = -p7;
    multiply replace_(p2,p1,mnce2,mnce1,p5,p6,mnce5,mnce6);
elseif ( ( count(p2.p2,1) >= 0 ) && ( count(p5.p5,1) >= 0 ) );
    if ( count(p7.p7,1) >= 0 ) discard;
    if ( count(p8.p8,1) >= 0 ) discard;
    totensor,nosquare,mncFQ,p7;
    if ( count(mncFQ,1) == 0 );
        id  mncint2/p7.p7^mncx1?/p8.p8^mncx2? =
            mncp9.mncp9^2/mncp9.mncp9^mncx1/mncp9.mncp9^mncx2*mnce9*mncG(mncx1,0,mncx2,0,0,0);
    elseif ( match(mncFQ(mnci1?)) );
        id  mncint2/p7.p7^mncx1?/p8.p8^mncx2?*mncFQ(mnci1?) =
            mncp9.mncp9^2/mncp9.mncp9^mncx1/mncp9.mncp9^mncx2*mnce9*mncG(mncx1,0,mncx2,0,1,0)*mncp9(mnci1);
    elseif ( match(mncFQ(mnci1?,mnci2?)) );
        id  mncint2/p7.p7^mncx1?/p8.p8^mncx2?*mncFQ(mnci1?,mnci2?) =
            mncp9.mncp9^2/mncp9.mncp9^mncx1/mncp9.mncp9^mncx2*mnce9*(
            +mncG(mncx1,0,mncx2,0,2,0)*mncp9(mnci1)*mncp9(mnci2)
            +mncG(mncx1,0,mncx2,0,2,1)*mncp9.mncp9*d_(mnci1,mnci2)/2
            );
    else;
        id  mncint2/p7.p7^mncx1?/p8.p8^mncx2?*mncFQ(?a) =
            mncp9.mncp9^2/mncp9.mncp9^mncx1/mncp9.mncp9^mncx2*mnce9
            *sum_(mncj,0,integer_(nargs_(?a)/2),mncG(mncx1,0,mncx2,0,nargs_(?a),mncj)
            *mncp9.mncp9^mncj/2^mncj*mncy^mncj)*mncFQ(?a);
    endif;
    #call simplify
    if ( count(mncFQ,1) );
        id  mncy^mncj?*mncFQ(?a) = distrib_(1,2*mncj,mncdel,mncFQ,?a);
        tovector,mncFQ,mncp9;
        id  mncdel(?a) = dd_(?a);
    endif;
*    #call one(p7,p8,mncp9,mnce7,mnce8,mnce9,mncint2)
    multiply replace_(mncp9,p7,mnce9,mnce7);
elseif ( count(p8.p8,1) >= 0 );
*    #call one(p3,p4,Q,mnce3,mnce4,mnceq,mncint2)
    if ( count(p3.p3,1) >= 0 ) discard;
    if ( count(p4.p4,1) >= 0 ) discard;
    totensor,nosquare,mncFQ,p3;
    if ( count(mncFQ,1) == 0 );
        id  mncint2/p3.p3^mncx1?/p4.p4^mncx2? =
            Q.Q^2/Q.Q^mncx1/Q.Q^mncx2*mnceq*mncG(mncx1,0,mncx2,0,0,0);
    elseif ( match(mncFQ(mnci1?)) );
        id  mncint2/p3.p3^mncx1?/p4.p4^mncx2?*mncFQ(mnci1?) =
            Q.Q^2/Q.Q^mncx1/Q.Q^mncx2*mnceq*mncG(mncx1,0,mncx2,0,1,0)*Q(mnci1);
    elseif ( match(mncFQ(mnci1?,mnci2?)) );
        id  mncint2/p3.p3^mncx1?/p4.p4^mncx2?*mncFQ(mnci1?,mnci2?) =
            Q.Q^2/Q.Q^mncx1/Q.Q^mncx2*mnceq*(
            +mncG(mncx1,0,mncx2,0,2,0)*Q(mnci1)*Q(mnci2)
            +mncG(mncx1,0,mncx2,0,2,1)*Q.Q*d_(mnci1,mnci2)/2
            );
    else;
        id  mncint2/p3.p3^mncx1?/p4.p4^mncx2?*mncFQ(?a) =
            Q.Q^2/Q.Q^mncx1/Q.Q^mncx2*mnceq
            *sum_(mncj,0,integer_(nargs_(?a)/2),mncG(mncx1,0,mncx2,0,nargs_(?a),mncj)
            *Q.Q^mncj/2^mncj*mncy^mncj)*mncFQ(?a);
    endif;
    #call simplify
    if ( count(mncFQ,1) );
        id  mncy^mncj?*mncFQ(?a) = distrib_(1,2*mncj,mncdel,mncFQ,?a);
        tovector,mncFQ,Q;
        id  mncdel(?a) = dd_(?a);
    endif;
    multiply replace_(p2,p3,mnce2,mnce3,p5,p4,mnce5,mnce4);
else;
	print "Illegal symmetry in LA";
	setexitflag;
endif;
#call ACCU(First loop integral)
*
*   The rest is standard. Note that the momenta that still exist
*   have to be called p1,p3,p4,p6,p7.
*
#call dotwo{}
#call ACCU(Simplify mncG\(3\))
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
*   Now approximate and convert to MSbar.
*
#call finish(3,`SCHEME')
*
#break
*--#] la :
*--#[ bu :
#case bu
*
*   Integral of type BU
*   It may as well be handled by BE
*   We only need renumbering.
*
multiply replace_(p1,p2,p2,p6,p3,p5,p4,p7,p5,p8,p6,p3,p7,p4,p8,p1);
id	p6.p?!{p6} = p2.p-p1.p;
Print +f +s;
.sort
*
*--#] bu :
*--#[ fa :
#case fa
*
*   Integral of type FA.
*   This may as well be done by BE.
*
*--#] fa :
*--#[ be :
#case be
*
*   Reduction procedure for three loop graphs of the BE or benz type.
*   Notation is from S.G.Gorishny et.al. Comp.Phys.Comm 55(1989)381
*
*                     /-<------<------<-\
*                 P1 /    \   P2    /    \ P3
*                   /      \       /      \
*                  /     P6 v     ^ P7     \
*                 /          \   /          \
*          Q --<--            \ /            --<-- Q
*                 \            |            /
*                  \           v P8        / 
*                   \          |          /
*                 P5 \         |         / P4
*                     \---->------->----/
*
*--#[ Dotproducts :
*
#ifdef `BEPATH'
  #call benzred(p1,p2,p3,p4,p5,p6,p7,p8,Q)
#else
  if ( count(p6.p6,1) < count(p7.p7,1) );
    multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
  elseif ( count(p6.p6,1) == count(p7.p7,1) );
    if ( count(p1.p1,1) < count(p3.p3,1) );
        multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
    elseif ( count(p1.p1,1) == count(p3.p3,1) );
        if ( count(p5.p5,1) < count(p4.p4,1) )
            multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
    endif;
  endif;
  #call ACCU2A(p1.p3 p1.p1 p3.p3 p8.p8,Benz scalar 0)
    id  p1.p3 = p1.p1/2+p3.p3/2-p8.p8/2;
  #call ACCU2A(p2.p3 p2.p2 p3.p3 p7.p7,Benz scalar 1)
    id  p2.p3 = p2.p2/2+p3.p3/2-p7.p7/2;
  #call ACCU2A(p1.p2 p1.p1 p2.p2 p6.p6,Benz scalar 2)
    id  p1.p2 = p1.p1/2+p2.p2/2-p6.p6/2;
  #call ACCU2A(Q.p1 p1.p1 Q.Q p5.p5,Benz scalar 3)
    id  Q.p1 = p1.p1/2+Q.Q/2-p5.p5/2;
  #call ACCU2A(Q.p3 p3.p3 Q.Q p4.p4,Benz scalar 4)
    id  Q.p3 = p3.p3/2+Q.Q/2-p4.p4/2;

  if ( count(p6.p6,1) < count(p7.p7,1) );
    multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
  elseif ( count(p6.p6,1) == count(p7.p7,1) );
    if ( count(p1.p1,1) < count(p3.p3,1) );
        multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
    elseif ( count(p1.p1,1) == count(p3.p3,1) );
        if ( count(p5.p5,1) < count(p4.p4,1) )
            multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
    endif;
  endif;
  #call ACCU(Benz scalar 5)
#endif
*--#] Dotproducts :
*--#[ Recursions :
multiply Q.Q;
if ( match(1/p1.p1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7) > 0 );
    multiply acc(1/ep);
    #call triangle(p2,p6,p7,p1,p3)
    multiply ep;
endif;
*
*   Use the left-right symmetry relation.
*
if ( ( count(p1.p1,1) < count(p3.p3,1) )
  || ( ( count(p1.p1,1) == count(p3.p3,1) )
  && ( ( count(p5.p5,1) < count(p4.p4,1) )
  || ( ( count(p5.p5,1) == count(p4.p4,1) )
  && ( count(p6.p6,1) < count(p7.p7,1) ) ) ) ) );
    multiply replace_(p1,-p3,p2,-p2,p3,-p1,p4,-p5,p5,-p4,p6,-p7,p7,-p6,Q,-Q);
endif;
#call ACCU2A(p1.p1 p5.p5 p3.p3 p4.p4 Q.p8 Q.Q Q.p2 Q.p7,Benz recursion)
*
*   Now we use the second level reduction. We have only BU left
*   because FA was treated already together with BE.
*
if ( match(1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) > 0 );
	repeat id p1.p1/p5.p5 = 1+mncx/p5.p5;
	id	mncx = Q.Q+2*Q.p5;
*	id	p1.p1 = Q.Q+p5.p5+2*Q.p5;
endif;
#if(1==2)
if ( match(1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) > 0 );
	repeat id Q.p5/p3.p3/p4.p4 = (p3.p3-p4.p4-mncx1)/2/p3.p3/p4.p4;
	repeat id Q.p2/p3.p3/p4.p4 = (p3.p3-p4.p4+mncx2)/2/p3.p3/p4.p4;
	#call ObviouslyZero(be)
	id	mncx1 = Q.Q+2*Q.p8;
	id	mncx2 = Q.Q+2*Q.p7;
	if ( ( count(Q.p2,1,Q.p5,-1) < 0 ) ||
       ( ( count(Q.p2,1,Q.p5,-1) = 0 ) && ( count(p7.p7,1,p8.p8,-1) > 0 ) ) );
		multiply replace_(p2,-p5,p5,-p2,p7,p8,p8,p7,p3,-p4,p4,-p3);
	endif;
endif;
#else
if ( match(1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) > 0 );
*
*	This is bu. We select the configuration with fewest Q.p to transform.
*	The alternative would be fewest terms in the triangle
*
	if ( ( count(Q.p2,1,Q.p5,-1) < 0 ) ||
       ( ( count(Q.p2,1,Q.p5,-1) = 0 ) && ( count(p7.p7,1,p8.p8,-1) > 0 ) ) );
		multiply replace_(p2,-p5,p5,-p2,p7,p8,p8,p7,p3,-p4,p4,-p3);
	endif;
*	if ( ( count(p7.p7,1,p8.p8,-1) > 0 ) ||
*	   ( ( count(p7.p7,1,p8.p8,-1) == 0 ) && ( count(Q.p2,1,Q.p5,-1) < 0 ) ) );
*		Multiply replace_(p7,p8,p8,p7,p3,-p4,p4,-p3,p2,-p5,p5,-p2);
*	endif;
*	id	Q.p5 = (p3.p3-p4.p4-Q.Q)/2-Q.p8;
	repeat id Q.p5/p3.p3/p4.p4 = (p3.p3-p4.p4-mncx1)/2/p3.p3/p4.p4;
	#call ObviouslyZero(be)
	id	mncx1 = Q.Q+2*Q.p8;
endif;
#endif
#call ACCU(Prepare second)
if ( match(1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) > 0 );
	if ( count(Q.p5,1,Q.p6,1) );
		print "<<!!>> %t";
		exit "From second recursion";
	endif;
    multiply acc(1/ep);
    #call triangle(p8,p5,p6,p4,p7)
    multiply ep;
endif;
*--#] Recursions :
*--#[ Symmetry :
if ( match(1/p6.p6/p7.p7) == 0 );
  if ( ( count(p6.p6,1) < count(p7.p7,1) )
  || ( ( count(p6.p6,1) == count(p7.p7,1) )
  && ( ( count(p1.p1,1) < count(p3.p3,1) )
  || ( ( count(p1.p1,1) == count(p3.p3,1) )
  && ( count(p5.p5,1) < count(p4.p4,1) ) ) ) ) );
    multiply replace_(p1,-p3,p2,-p2,p3,-p1,p4,-p5,p5,-p4,p6,-p7,p7,-p6,Q,-Q);
  endif;
elseif ( ( count(p5.p5,1) >= 0 ) || ( count(p4.p4,1) >= 0 ) );
  if ( ( count(p4.p4,1) < count(p5.p5,1) )
  || ( ( count(p4.p4,1) == count(p5.p5,1) )
  && ( ( count(p1.p1,1) < count(p3.p3,1) )
  || ( ( count(p1.p1,1) == count(p3.p3,1) )
  && ( count(p6.p6,1) < count(p7.p7,1) ) ) ) ) );
    multiply replace_(p1,-p3,p2,-p2,p3,-p1,p4,-p5,p5,-p4,p6,-p7,p7,-p6,Q,-Q);
  endif;
elseif ( ( count(p1.p1,1) < count(p3.p3,1) )
  || ( ( count(p1.p1,1) == count(p3.p3,1) )
  && ( ( count(p5.p5,1) < count(p4.p4,1) )
  || ( ( count(p5.p5,1) == count(p4.p4,1) )
  && ( count(p6.p6,1) < count(p7.p7,1) ) ) ) ) );
    multiply replace_(p1,-p3,p2,-p2,p3,-p1,p4,-p5,p5,-p4,p6,-p7,p7,-p6,Q,-Q);
endif;
#call ACCU(Second recursion)
*--#] Symmetry :
*--#[ Pre-setup 1 :
*
#ifdef `POW'
#if `POW' >= 1
if ( count(p6.p6,1) >= 0 );
*    id  p6.p6 = p1.p1+p2.p2-2*p1.p2;
*    id  p6 = p2-p1;
    if ( ( count(p2.p2,1) >= 0 ) || ( count(p7.p7,1) >= 0 ) ) discard;
elseif ( ( count(p8.p8,1) >= 0 ) && ( count(p1.p1,1) >= 0 ) );
*    id  p8 = p6-p7;
*    id  p1 = p2-p6;
    if ( ( count(p6.p6,1) >= 0 ) || ( count(p5.p5,1) >= 0 ) ) discard;
elseif ( count(p2.p2,1) >= 0 );
*    id  p2.p2 = p1.p1+p6.p6+2*p1.p6;
*    id  p2 = p1+p6;
    if ( ( count(p6.p6,1) >= 0 ) || ( count(p7.p7,1) >= 0 ) ) discard;
    if ( ( count(p1.p1,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) ) discard;
elseif ( count(p4.p4,1) >= 0 );
    if ( count(p5.p5,1) >= 0 ) discard;
    id  p4.p4 = Q.Q+p3.p3-2*Q.p3;
    id,many,p4.p?^n?pos_ = (p3.p-Q.p)^n;
    if ( count(p3.p3,1) >= 0 );
*       repeat id p3.p3/p2.p2 = 1+p7.p7/p2.p2-2*p2.p7/p2.p2;
*       repeat id p2.p3/p2.p2 = 1-p2.p7/p2.p2;
        if ( count(p7.p7,1) >= 0 ) discard;
        if ( count(p8.p8,1) >= 0 ) discard;
*       if ( count(p2.p2,1) < 0 );
*           id p3 = p2-p7;
*       endif;
    endif;
elseif ( ( count(p1.p1,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) );
*    repeat id  p3.p3/p4.p4 = 1+Q.Q/p4.p4+2*Q.p4/p4.p4;
    repeat id  p3.p3/p4.p4 = 1+mncxa1/p4.p4;
    repeat id  p3.p4/p4.p4 = 1+Q.p4/p4.p4;
    if ( count(p4.p4,1) < 0 );
*        repeat id  p1.p1/p5.p5 = 1+Q.Q/p5.p5+2*Q.p5/p5.p5;
        repeat id  p1.p1/p5.p5 = 1+mncxb1/p5.p5;
        repeat id  p1.p5/p5.p5 = 1+Q.p5/p5.p5;
        if ( count(p5.p5,1) >= 0 );
            multiply replace_(p1,-p3,p3,-p1,p2,-p2,p6,-p7,p7,-p6
            ,Q,-Q,p4,-p5,p5,-p4,mncxa1,mncxb1,mncxb1,mncxa1);
        else;
			id	p1.p1 = Q.Q+mncxb1;
            id,many,p1.p?^n?pos_ = (Q.p+p5.p)^n;
			id	p3.p3 = Q.Q+mncxa1;
            id,many,p3.p?^n?pos_ = (Q.p+p4.p)^n;
        endif;
    endif;
	id	mncxb1 = Q.Q+2*Q.p5;
	id	mncxa1 = Q.Q+2*Q.p4;
else;
    exit "mincer integral Pre-Setup 1";*       Just in case we forgot something
endif;
#call ACCU(Pre-setup 1)
*--#] Pre-setup 1 :
*--#[ Pre-setup 2 :
if ( count(p6.p6,1) >= 0 );
*    id  p6.p6 = p1.p1+p2.p2-2*p1.p2;
*    id  p6 = p2-p1;
    if ( ( count(p2.p2,1) >= 0 ) || ( count(p7.p7,1) >= 0 ) ) discard;
elseif ( ( count(p8.p8,1) >= 0 ) && ( count(p1.p1,1) >= 0 ) );
*    id  p8 = p6-p7;
*    id  p1 = p2-p6;
    if ( ( count(p6.p6,1) >= 0 ) || ( count(p5.p5,1) >= 0 ) ) discard;
elseif ( count(p2.p2,1) >= 0 );
*   id  Q.p2 = Q.Q/2+p1.p1/2-p5.p5/2+Q.p6;
*    id  p2.p2 = p1.p1+p6.p6+2*p1.p6;
*    id  p2 = p1+p6;
    if ( ( count(p6.p6,1) >= 0 ) || ( count(p7.p7,1) >= 0 ) ) discard;
    if ( ( count(p1.p1,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) ) discard;
elseif ( count(p4.p4,1) >= 0 );
    id Q.p5 = p1.p1/2-Q.Q/2-p5.p5/2;
    if ( count(p5.p5,1) >= 0 ) discard;
    id  p4.p4 = Q.Q+p3.p3-2*Q.p3;
    id,many,p4.p^n?pos_ = (p3.p-Q.p)^n;
    if ( count(p3.p3,1) >= 0 );
        repeat id p3.p3/p2.p2 = 1+mncxc1/p2.p2;
        repeat id p2.p3/p2.p2 = 1-p2.p7/p2.p2;
		id	mncxc1 = p7.p7-2*p2.p7;
        if ( count(p7.p7,1) >= 0 ) discard;
        if ( count(p8.p8,1) >= 0 ) discard;
        if ( count(p2.p2,1) < 0 );
			id	p3.p3 = p2.p2-2*p2.p7+p7.p7;
            id,many,p3.p?^n?pos_ = (p2.p-p7.p)^n;
        endif;
    endif;
elseif ( ( count(p1.p1,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) );
    repeat id  p3.p3/p4.p4 = 1+mncx1/p4.p4;
    repeat id  p3.p4/p4.p4 = 1+Q.p4/p4.p4;
    if ( count(p4.p4,1) < 0 );
*        repeat id  p1.p1/p5.p5 = 1+Q.Q/p5.p5+2*Q.p5/p5.p5;
        repeat id  p1.p1/p5.p5 = 1+mncx2/p5.p5;
        repeat id  p1.p5/p5.p5 = 1+Q.p5/p5.p5;
        if ( count(p5.p5,1) >= 0 );
            multiply replace_(p1,-p3,p3,-p1,p2,-p2,p6,-p7,p7,-p6
            ,Q,-Q,p4,-p5,p5,-p4,mncx1,mncx2,mncx2,mncx1);
        else;
			id	p1.p1 = mncx2+p5.p5;
            id,many,p1.p?^n?pos_ = (Q.p+p5.p)^n;
			id	p3.p3 = mncx1+p4.p4;
            id,many,p3.p?^n?pos_ = (Q.p+p4.p)^n;
        endif;
    endif;
	id mncx2 = Q.Q+2*Q.p5;
	id mncx1 = Q.Q+2*Q.p4;
else;
    exit "mincer integral Pre-Setup 2";*       Just in case we forgot something
endif;
#call ACCU(Pre-setup 2)
*--#] Pre-setup 2 :
*--#[ Pre-setup 3 :
#if `POW' >= 4
#$mnccount = 0;
#do mnci = 1,1
#$mnccount = $mnccount+1;
#$mnci = 0;
Multiply mncy^5;
if ( count(p6.p6,1) >= 0 );
    if ( ( count(p2.p2,1) >= 0 ) || ( count(p7.p7,1) >= 0 ) ) discard;
elseif ( ( count(p8.p8,1) >= 0 ) && ( count(p1.p1,1) >= 0 ) );
    if ( ( count(p6.p6,1) >= 0 ) || ( count(p5.p5,1) >= 0 ) ) discard;
elseif ( count(p2.p2,1) >= 0 );
*
*	Dit kan dus helemaal mis gaan.
*
    id  mncy*Q.p5  = p1.p1/2-Q.Q/2-p5.p5/2;
    id  mncy*Q.p4  = p3.p3/2-Q.Q/2-p4.p4/2;
    id  mncy*Q.p3  = p3.p3/2+Q.Q/2-p4.p4/2;
    id  mncy*p2.p2 = p1.p1+p6.p6+2*p1.p6;
    id  mncy*Q.p2  = Q.Q/2+p1.p1/2-p5.p5/2+Q.p6;
    id,many,mncy*p2.p?!{p2} = p1.p+p6.p;
    if ( ( count(p6.p6,1) >= 0 ) || ( count(p7.p7,1) >= 0 ) ) discard;
    if ( ( count(p1.p1,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) ) discard;
elseif ( count(p4.p4,1) >= 0 );
    id	mncy*Q.p5 = p1.p1/2-Q.Q/2-p5.p5/2;
    if ( count(p5.p5,1) >= 0 ) discard;
    id  mncy*p4.p4 = Q.Q+p3.p3-2*Q.p3;
    id,many,mncy*p4.p?!{p4} = p3.p-Q.p;
    if ( count(p3.p3,1) >= 0 );
        repeat id mncy*p3.p3/p2.p2 = 1+mncxa1/p2.p2;
        repeat id mncy*p2.p3/p2.p2 = 1-p2.p7/p2.p2;
		id	mncxa1 = p7.p7-2*p2.p7;
        if ( count(p7.p7,1) >= 0 ) discard;
        if ( count(p8.p8,1) >= 0 ) discard;
        if ( count(p2.p2,1) < 0 );
			id	mncy*p3.p3 = p2.p2-2*p2.p7+p7.p7;
            id,many,mncy*p3.p?!{p3} = p2.p-p7.p;
        endif;
    endif;
elseif ( ( count(p1.p1,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) );
    repeat id  mncy*p3.p3/p4.p4 = 1+Q.Q/p4.p4+2*Q.p4/p4.p4;
    repeat id  mncy*p3.p4/p4.p4 = 1+Q.p4/p4.p4;
    if ( count(p4.p4,1) < 0 );
*        repeat id  p1.p1/p5.p5 = 1+Q.Q/p5.p5+2*Q.p5/p5.p5;
        repeat id  mncy*p1.p1/p5.p5 = 1+mncxb1/p5.p5;
        repeat id  mncy*p1.p5/p5.p5 = 1+Q.p5/p5.p5;
		id	mncxb1 = Q.Q+2*Q.p5;
        if ( count(p5.p5,1) >= 0 );
            multiply replace_(p1,-p3,p3,-p1,p2,-p2,p6,-p7,p7,-p6
            ,Q,-Q,p4,-p5,p5,-p4);
        else;
			id	mncy*p1.p1 = Q.Q+2*Q.p5+p5.p5;
            id,many,mncy*p1.p?!{p1} = Q.p+p5.p;
			id	mncy*p3.p3 = Q.Q+2*Q.p4+p4.p4;
            id,many,mncy*p3.p?!{p3} = Q.p+p4.p;
        endif;
    endif;
else;
    exit "mincer integral Pre-Setup 3";
endif;
if ( count(mncy,1) == 0 ) $mnci = 1;
id	mncy = 1;
ModuleOption,maximum,$mnci;
.sort(PolyFun=acc):Pre-setup 3,`$mnccount';
#if ( `$mnci' == 1 )
	#redefine mnci "0"
#endif
#enddo
*--#] Pre-setup 3 :
*--#[ Pre-setup 4 :
#if `POW' >= 6
if ( count(p6.p6,1) >= 0 );
*    id  p6.p6 = p1.p1+p2.p2-2*p1.p2;
*    id  p6 = p2-p1;
*   id Q.p5 = p1.p1/2-Q.Q/2-p5.p5/2;
*   id Q.p4 = p3.p3/2-Q.Q/2-p4.p4/2;
*   id Q.p3 = p3.p3/2+Q.Q/2-p4.p4/2;
    if ( ( count(p2.p2,1) >= 0 ) || ( count(p7.p7,1) >= 0 ) ) discard;
elseif ( ( count(p8.p8,1) >= 0 ) && ( count(p1.p1,1) >= 0 ) );
    id  p8.p8 = p6.p6-2*p6.p7+p7.p7;
    id  p1.p1 = p2.p2-2*p2.p6+p6.p6;
    id,many,p8.p?^n?pos_ = (p6.p-p7.p)^n;
    id,many,p1.p?^n?pos_ = (p2.p-p6.p)^n;
    id Q.p4 = p3.p3/2-Q.Q/2-p4.p4/2;
    id Q.p3 = p3.p3/2+Q.Q/2-p4.p4/2;
    if ( ( count(p6.p6,1) >= 0 ) || ( count(p5.p5,1) >= 0 ) ) discard;
elseif ( count(p2.p2,1) >= 0 );
    id Q.p5 = p1.p1/2-Q.Q/2-p5.p5/2;
    id Q.p4 = p3.p3/2-Q.Q/2-p4.p4/2;
    id Q.p3 = p3.p3/2+Q.Q/2-p4.p4/2;
    id  p2.p2 = p1.p1+p6.p6+2*p1.p6;
    id  Q.p2 = Q.Q/2+p1.p1/2-p5.p5/2+Q.p6;
    id,many,p2.p?^n?pos_ = (p1.p+p6.p)^n;
    if ( ( count(p6.p6,1) >= 0 ) || ( count(p7.p7,1) >= 0 ) ) discard;
    if ( ( count(p1.p1,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) ) discard;
elseif ( count(p4.p4,1) >= 0 );
    id Q.p5 = p1.p1/2-Q.Q/2-p5.p5/2;
    if ( count(p5.p5,1) >= 0 ) discard;
    id  p4.p4 = Q.Q+p3.p3-2*Q.p3;
    id,many,p4.p?^n?pos_ = (p3.p-Q.p)^n;
    if ( count(p3.p3,1) >= 0 );
*        repeat id p3.p3/p2.p2 = 1+p7.p7/p2.p2-2*p2.p7/p2.p2;
        repeat id p3.p3/p2.p2 = 1+mncxa1/p2.p2;
        repeat id p2.p3/p2.p2 = 1-p2.p7/p2.p2;
		id	mncxa1 = p7.p7-2*p2.p7;
        if ( count(p7.p7,1) >= 0 ) discard;
        if ( count(p8.p8,1) >= 0 ) discard;
        if ( count(p2.p2,1) < 0 );
			id	p3.p3 = p2.p2-2*p2.p7+p7.p7;
            id,many,p3.p?^n?pos_ = (p2.p-p7.p)^n;
        endif;
    endif;
elseif ( ( count(p1.p1,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) );
*    repeat id  p3.p3/p4.p4 = 1+Q.Q/p4.p4+2*Q.p4/p4.p4;
    repeat id  p3.p3/p4.p4 = 1+mncxb1/p4.p4;
    repeat id  p3.p4/p4.p4 = 1+Q.p4/p4.p4;
	id	mncxb1 = Q.Q+2*Q.p4;
    if ( count(p4.p4,1) < 0 );
        repeat id  p1.p1/p5.p5 = 1+Q.Q/p5.p5+2*Q.p5/p5.p5;
        repeat id  p1.p5/p5.p5 = 1+Q.p5/p5.p5;
        if ( count(p5.p5,1) >= 0 );
            multiply replace_(p1,-p3,p3,-p1,p2,-p2,p6,-p7,p7,-p6
            ,Q,-Q,p4,-p5,p5,-p4);
        else;
			id	p1.p1 = Q.Q+2*Q.p5+p5.p5;
            id,many,p1.p?^n?pos_ = (Q.p+p5.p)^n;
			id	p3.p3 = Q.Q+2*Q.p4+p4.p4;
            id,many,p3.p?^n?pos_ = (Q.p+p4.p)^n;
        endif;
    endif;
else;
    exit "mincer integral Pre-Setup 4";*       Just in case we forgot something
endif;
#call ACCU(Pre-setup 4)
#endif
#endif
#endif
#endif
*--#] Pre-setup 4 :
*--#[ Setup first loop :
repeat;
if ( count(p6.p6,1) >= 0 );
    id  p6.p6 = p1.p1+p2.p2-2*p1.p2;
    id,many,p6.p?^n?pos_ = (p2.p-p1.p)^n;
    id Q.p5 = p1.p1/2-Q.Q/2-p5.p5/2;
    id Q.p4 = p3.p3/2-Q.Q/2-p4.p4/2;
    id Q.p3 = p3.p3/2+Q.Q/2-p4.p4/2;
    if ( ( count(p2.p2,1) >= 0 ) || ( count(p7.p7,1) >= 0 ) ) discard;
elseif ( ( count(p8.p8,1) >= 0 ) && ( count(p1.p1,1) >= 0 ) );
    id  p8.p8 = p6.p6-2*p6.p7+p7.p7;
    id  p1.p1 = p2.p2-2*p2.p6+p6.p6;
    id,many,p8.p?^n?pos_ = (p6.p-p7.p)^n;
    id,many,p1.p?^n?pos_ = (p2.p-p6.p)^n;
    id Q.p4 = p3.p3/2-Q.Q/2-p4.p4/2;
    id Q.p3 = p3.p3/2+Q.Q/2-p4.p4/2;
    if ( ( count(p6.p6,1) >= 0 ) || ( count(p5.p5,1) >= 0 ) ) discard;
elseif ( count(p2.p2,1) >= 0 );
    id Q.p5 = p1.p1/2-Q.Q/2-p5.p5/2;
    id Q.p4 = p3.p3/2-Q.Q/2-p4.p4/2;
    id Q.p3 = p3.p3/2+Q.Q/2-p4.p4/2;
    id  p2.p2 = p1.p1+p6.p6+2*p1.p6;
*   id  Q.p2 = Q.Q/2+p1.p1/2-p5.p5/2+Q.p6; Reactivated 13-sep-1994
    id  Q.p2 = Q.Q/2+p1.p1/2-p5.p5/2+Q.p6;
    id,many,p2.p?^n?pos_ = (p1.p+p6.p)^n;
    if ( ( count(p6.p6,1) >= 0 ) || ( count(p7.p7,1) >= 0 ) ) discard;
    if ( ( count(p1.p1,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) ) discard;
elseif ( count(p4.p4,1) >= 0 );
    id Q.p5 = p1.p1/2-Q.Q/2-p5.p5/2;
    if ( count(p5.p5,1) >= 0 ) discard;
    id  p4.p4 = Q.Q+p3.p3-2*Q.p3;
    id,many,p4.p?^n?pos_ = (p3.p-Q.p)^n;
    if ( count(p3.p3,1) >= 0 );
*        repeat id p3.p3/p2.p2 = 1+p7.p7/p2.p2-2*p2.p7/p2.p2;
        repeat id p3.p3/p2.p2 = 1+mncxa1/p2.p2;
        repeat id p2.p3/p2.p2 = 1-p2.p7/p2.p2;
		id	mncxa1 = p7.p7-2*p2.p7;
        if ( count(p7.p7,1) >= 0 ) discard;
        if ( count(p8.p8,1) >= 0 ) discard;
        if ( count(p2.p2,1) < 0 );
			id	p3.p3 = p2.p2-2*p2.p7+p7.p7;
            id,many,p3.p?^n?pos_ = (p2.p-p7.p)^n;
        endif;
    endif;
elseif ( ( count(p1.p1,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) );
*    repeat id  p3.p3/p4.p4 = 1+Q.Q/p4.p4+2*Q.p4/p4.p4;
    repeat id  p3.p3/p4.p4 = 1+mncxb1/p4.p4;
    repeat id  p3.p4/p4.p4 = 1+Q.p4/p4.p4;
	id	mncxb1 = Q.Q+2*Q.p4;
    if ( count(p4.p4,1) < 0 );
        repeat id  p1.p1/p5.p5 = 1+Q.Q/p5.p5+2*Q.p5/p5.p5;
        repeat id  p1.p5/p5.p5 = 1+Q.p5/p5.p5;
        if ( count(p5.p5,1) >= 0 );
            multiply replace_(p1,-p3,p3,-p1,p2,-p2,p6,-p7,p7,-p6
            ,Q,-Q,p4,-p5,p5,-p4);
        else;
			id	p1.p1 = Q.Q+2*Q.p5+p5.p5;
            id,many,p1.p?^n?pos_ = (Q.p+p5.p)^n;
			id	p3.p3 = Q.Q+2*Q.p4+p4.p4;
            id,many,p3.p?^n?pos_ = (Q.p+p4.p)^n;
        endif;
    endif;
else;
    exit "mincer integral setup first loop";*       Just in case we forgot something
endif;
endrepeat;
#call ACCU(setup first loop)
*--#] Setup first loop :
*--#[ Prepare first loop :
if ( count(p6.p6,1) >= 0 );
    multiply replace_(p2,mncp9,p7,p8,p8,-p7,p5,p6);
    multiply mncnaar(p3,mnce3);
    id  p8.mncp9 = mncp9.mncp9/2+p8.p8/2-p3.p3/2;
    if ( ( count(p8.p8,1) >= 0 ) || ( count(mncp9.mncp9,1) >= 0 ) ) discard;
    if ( count(p8.Q,1,p8.p1,1,p8.p3,1,p8.p4,1,p8.p6,1,p8.p7,1)
    > count(mncp9.Q,1,mncp9.p1,1,mncp9.p3,1,mncp9.p4,1,mncp9.p6,1,mncp9.p7,1) )
        multiply replace_(p8,-mncp9,mncp9,-p8);
    id  p8.mncq1?!{p8} = mncp9.mncq1 - p3.mncq1;
    totensor,nosquare,mncp9,mncFQ;
elseif ( ( count(p8.p8,1) >= 0 ) && ( count(p1.p1,1) >= 0 ) );
    multiply replace_(p2,p4,p3,p6,p4,p1,p7,-p7,p5,mncp9,p6,-p8,Q,-Q);
    multiply mncnaar(p3,mnce3);
    id  p8.mncp9 = mncp9.mncp9/2+p8.p8/2-p3.p3/2;
    if ( ( count(p8.p8,1) >= 0 ) || ( count(mncp9.mncp9,1) >= 0 ) ) discard;
    if ( count(p8.Q,1,p8.p1,1,p8.p3,1,p8.p4,1,p8.p6,1,p8.p7,1)
    > count(mncp9.Q,1,mncp9.p1,1,mncp9.p3,1,mncp9.p4,1,mncp9.p6,1,mncp9.p7,1) )
        multiply replace_(p8,-mncp9,mncp9,-p8);
    id  p8.mncq1?!{p8} = mncp9.mncq1 - p3.mncq1;
    totensor,nosquare,mncp9,mncFQ;
elseif ( count(p2.p2,1) >= 0 );
    multiply replace_(p5,p6,p8,-p7,p6,p8,p7,mncp9);
label 2;
    multiply mncnaar(p7,mnce7);
    id  p8.mncp9 = mncp9.mncp9/2+p8.p8/2-p7.p7/2;
    if ( ( count(p8.p8,1) >= 0 ) || ( count(mncp9.mncp9,1) >= 0 ) ) discard;
    if ( count(p8.Q,1,p8.p1,1,p8.p3,1,p8.p4,1,p8.p6,1,p8.p7,1)
    > count(mncp9.Q,1,mncp9.p1,1,mncp9.p3,1,mncp9.p4,1,mncp9.p6,1,mncp9.p7,1) )
        multiply replace_(p8,-mncp9,mncp9,-p8);
    id  p8.mncq1?!{p8} = mncp9.mncq1 - p7.mncq1;
    totensor,nosquare,mncp9,mncFQ;
elseif ( count(p4.p4,1) >= 0 );
    if ( count(p3.p3,1) >= 0 );
        multiply replace_(p2,p3,p6,-p7,p5,p6,p7,-mncp9);
        goto 2;
    else;
        multiply replace_(p2,p1,p8,p4,p1,mncp9,p5,p8);
        multiply mncnaar(Q,mnceq,1);
        id  Q.p8 = mncp9.mncp9/2-p8.p8/2-Q.Q/2;
        if ( count(p8.p8,1) >= 0 ) discard;
        id,many,p8.p?^n?pos_ = (mncp9.p-Q.p)^n;
        id  mncp9.mncq1?{p1,p3,p4,p6,p7} = p1.mncq1-p6.mncq1;
        id  Q.mncp9 = mncp9.mncp9/2+Q.Q/2-p8.p8/2;
        if ( count(p8.p8,1) >= 0 ) discard;
        if ( count(p1.p1,1,p3.p3,1) > count(p4.p4,1,p6.p6,1) );
            multiply replace_(p1,-p6,p6,-p1,p3,-p4,p4,-p3,p7,-p7);
        endif;
        if ( count(p1.p1,1,p6.p6,1) > count(p3.p3,1,p4.p4,1) );
            multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4);
            id p7 = -p7;
        endif;
        totensor,nosquare,Q,mncFQ;
        id,many,mncq1?{p1,p3,p4,p6,p7}.mncq2?{p1,p3,p4,p6,p7}^D? = mncx^D*mncq1.mncq2^D;
    endif;
elseif ( ( count(p1.p1,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) );
    multiply replace_(p5,-p1,p4,-p3,p7,p4,p8,p7,p2,-p8);
    multiply mncnaar(Q,mnceq,1);
    id  Q.p8 = mncp9.mncp9/2-p8.p8/2-Q.Q/2;
    if ( count(p8.p8,1) >= 0 ) discard;
    id,many,p8.p?^n?pos_ = (mncp9.p-Q.p)^n;
    id  mncp9.mncq1?{p1,p3,p4,p6,p7} = p1.mncq1-p6.mncq1;
    id  Q.mncp9 = mncp9.mncp9/2+Q.Q/2-p8.p8/2;
    if ( count(p8.p8,1) >= 0 ) discard;
    if ( count(p1.p1,1,p3.p3,1) > count(p4.p4,1,p6.p6,1) );
        multiply replace_(p1,-p6,p6,-p1,p3,-p4,p4,-p3,p7,-p7);
    endif;
    if ( count(p1.p1,1,p6.p6,1) > count(p3.p3,1,p4.p4,1) );
        multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4);
        id p7 = -p7;
    endif;
    totensor,nosquare,Q,mncFQ;
    id,many,mncq1?{p1,p3,p4,p6,p7}.mncq2?{p1,p3,p4,p6,p7}^D? = mncx^D*mncq1.mncq2^D;
else;
    Print "Illegal case in BE";
    SetExitFlag;
endif;

#call ACCU2(B+ p8 mncp9 mncnaar mncFQ mncx mncint3,Prepare first loop)
*--#] Prepare first loop :
*--#[ First loop integral :
keep brackets;
*
multiply mncint1*mncint2*mncint3;
if ( match(mncnaar(Q,mnceq,1)) );
  id  mncnaar(Q,mnceq,1) = 1;
  id  mncx^D? = mncp9.mncp9^D/Q.Q^D;
  multiply mncp9.mncp9^4/Q.Q^4;
  if ( count(p8.p8,1) >= 0 ) discard;
  if ( count(mncFQ,1) == 0 );
  id  mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2? =
        1/Q.Q^mncx1/Q.Q^mncx2*Q.Q^2*mnceq*mncG(mncx1,2,mncx2,0,0,0);
  elseif ( match(mncFQ(mnci1?)) );
  id  mncint2*mncFQ(mnci1?)/mncp9.mncp9^mncx1?/p8.p8^mncx2? =
        1/Q.Q^mncx1/Q.Q^mncx2*Q.Q^2*mnceq*Q(mnci1)*mncG(mncx1,2,mncx2,0,1,0);
  elseif ( match(mncFQ(mnci1?,mnci2?)) );
  id  mncint2*mncFQ(mnci1?,mnci2?)/mncp9.mncp9^mncx1?/p8.p8^mncx2? =
        1/Q.Q^mncx1/Q.Q^mncx2*Q.Q^2*mnceq*
        (mncG(mncx1,2,mncx2,0,2,0)*mncFFPP(mnci1,mnci2)
        +mncG(mncx1-1,2,mncx2,0,0,0)*acc(mncpoch(3,1))*d_(mnci1,mnci2)*Q.Q/2);
  else;
  id  mncint2*mncFQ(?a)/mncp9.mncp9^mncx1?/p8.p8^mncx2? =
        mncFQ(?a)/Q.Q^mncx1/Q.Q^mncx2*Q.Q^2*mnceq*
        sum_(mncs,0,integer_(nargs_(?a)/2),mncG(mncx1-mncs,2,mncx2,0,nargs_(?a)-2*mncs,0)
        *acc(mncpoch(nargs_(?a)+2-mncs,mncs))*Q.Q^mncs
        *sum_(mncj,0,integer_(nargs_(?a)/2)-mncs,sign_(mncj)*Q.Q^mncj
*   the original mncy/4 becomes mncy/2 when we consider the normalization of 
*   the distrib_ to expand the mncFQ.
        *mncy^mncj*mncy^mncs/2^mncj/2^mncs*acc(mncpoch(nargs_(?a)+1-2*mncs,mncj))
        ));
  endif;
  #call simplify
  if ( count(mncFQ,1) );
    id  mncy^mncs?*mncFQ(?a) = fac_(mncs)*distrib_(1,2*mncs,mncdel,mncFQ,?a);
    tovector,mncFQ,Q;
    id  mncdel(?a) = dd_(?a);
  else;
    id mncFFPP(mnci1?,mnci2?) = Q(mnci1)*Q(mnci2) - d_(mnci1,mnci2)*Q.Q/2*acc(mncpoch(3,1));
  endif;
else;
  id  p8.p8 = mncp9.mncp9-2*mncp9.mncq9+mncq9.mncq9;
  id,many,p8.p?^n?pos_ = (mncp9.p - mncq9.p)^n;
  id  mncnaar(mncq1?,mncy?) = mncnaar(mncq1,mncy)*replace_(mncq9,mncq1);
  repeat;
    id mncFQ(mncp9) = mncp9.mncp9;
    id mncFQ(?a,mncp9,?b) = mncFQ(?a,?b)*mncp9.mncp9;
  endrepeat;
  totensor,nosquare,mncFQ,mncp9;
  if ( count(mncFQ,1) == 0 );
    id  mncnaar(mncq9?,mncy?)*mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2? =
          mncq9.mncq9^2/mncq9.mncq9^mncx1/mncq9.mncq9^mncx2*mncy
          *mncG(mncx1,0,mncx2,0,0,0);
  elseif ( match(mncFQ(mnci1?)) );
    id  mncnaar(mncq9?,mncy?)*mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2?*mncFQ(mnci1?) =
          mncq9.mncq9^2/mncq9.mncq9^mncx1/mncq9.mncq9^mncx2*mncy
          *mncG(mncx1,0,mncx2,0,1,0)*mncq9(mnci1);
  elseif ( match(mncFQ(mnci1?,mnci2?)) );
    id  mncnaar(mncq9?,mncy?)*mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2?*mncFQ(mnci1?,mnci2?) =
          mncq9.mncq9^2/mncq9.mncq9^mncx1/mncq9.mncq9^mncx2*mncy*(
          +mncG(mncx1,0,mncx2,0,2,0)*mncq9(mnci1)*mncq9(mnci2)
          +mncG(mncx1,0,mncx2,0,2,1)*mncq9.mncq9*d_(mnci1,mnci2)/2
      );
  else;
    id  mncnaar(mncq9?,mncx?)*mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2?*mncFQ(?a) =
          mncnaar(mncq9,mncx)*mncq9.mncq9^2/mncq9.mncq9^mncx1/mncq9.mncq9^mncx2*mncx
          *sum_(mncj,0,integer_(nargs_(?a)/2),mncG(mncx1,0,mncx2,0,nargs_(?a),mncj)
      *mncq9.mncq9^mncj/2^mncj*mncy^mncj)*mncFQ(?a);
  endif;
  #call simplify
  if ( count(mncFQ,1) );
    id  mncy^mncj?*mncFQ(?a) = distrib_(1,2*mncj,mncdel,mncFQ,?a);
    tovector,mncFQ,mncq9;
    id  mncnaar(mncq1?,mncy?) = replace_(mncq9,mncq1);
    id  mncdel(?a) = dd_(?a);
  endif;
endif;

#call ACCU(First loop integral)
*--#] First loop integral :
*
*   The rest is standard. Note that the momenta that still exist
*   have to be called p1,p3,p4,p6,p7.
*
#call dotwo{}
#call ACCU(Simplify mncG\(3\))
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
*   Now approximate and convert to MSbar.
*
#call finish(3,`SCHEME')
*
#break
*--#] be :
*--#[ no :
#case no
*
*   Reduction procedure for three loop graphs of the NO or nonplanar type.
*   Notation is from S.G.Gorishny et.al. Comp.Phys.Comm 55(1989)381
*
*                     /-<------<-----<-\
*                 P1 /     \  P2   /    \ P3
*                   /       v     /      \
*                  /      P7 \   /        \
*                 /           \ /          \
*          Q --<--             /            --<-- Q
*                 \           / \          /
*                  \      P8 /   \        / 
*                   \       ^     \      /
*                 P6 \     /  P5   \    / P4
*                     \->------>----->-/
*
multiply mncint3*Q.Q;
#call newerplane(p1,p2,p3,p4,p5,p6,p7,p8,Q,mncint3)
*--#[ Rewire :
*
*	Next we rewire the integrals into a single notation.
*
if ( match(1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
label 1;
    if ( count(p3.p3,1) < count(p4.p4,1) );
        multiply replace_(p3,-p4,p4,-p3,p2,-p7,p7,-p2,p5,p8,p8,p5);
    endif;
elseif ( match(1/p1.p1/p2.p2/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
    multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
    goto 1;
elseif ( match(1/p1.p1/p2.p2/p3.p3/p5.p5/p6.p6/p7.p7/p8.p8) );
    multiply replace_(p1,p4,p4,p1,p3,p6,p6,p3,p2,p5,p5,p2,p7,-p7,p8,-p8,Q,-Q);
    goto 1;
elseif ( match(1/p1.p1/p2.p2/p3.p3/p4.p4/p5.p5/p7.p7/p8.p8) );
    multiply replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,p8,p8,p7);
    goto 1;
elseif ( match(1/p1.p1/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
    if ( count(p7.p7,1) > count(p8.p8,1) );
        multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
    elseif ( count(p7.p7,1) == count(p8.p8,1) );
        if ( count(p1.p1,1) < count(p3.p3,1) );
            multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
        elseif ( count(p1.p1,1) == count(p3.p3,1) );
            if ( count(p6.p6,1) < count(p4.p4,1) )
                multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
        endif;
    endif;
elseif ( match(1/p1.p1/p2.p2/p3.p3/p4.p4/p6.p6/p7.p7/p8.p8) );
    if ( count(p7.p7,1) < count(p8.p8,1) );
        multiply replace_(p1,p4,p4,p1,p3,p6,p6,p3,p2,p5,p5,p2,p7,-p7,p8,-p8,Q,-Q);
    else;
        multiply replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,p8,p8,p7);
    endif;
    if ( count(p7.p7,1) > count(p8.p8,1) );
        multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
    elseif ( count(p7.p7,1) == count(p8.p8,1) );
        if ( count(p1.p1,1) < count(p3.p3,1) );
            multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
        elseif ( count(p1.p1,1) == count(p3.p3,1) );
            if ( count(p6.p6,1) < count(p4.p4,1) )
                multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
        endif;
    endif;
elseif ( match(1/p1.p1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p8.p8) );
    multiply replace_(p3,-p4,p4,-p3,p2,-p7,p7,-p2,p5,p8,p8,p5);
    if ( count(p7.p7,1) > count(p8.p8,1) );
        multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
    elseif ( count(p7.p7,1) == count(p8.p8,1) );
        if ( count(p1.p1,1) < count(p3.p3,1) );
            multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
        elseif ( count(p1.p1,1) == count(p3.p3,1) );
            if ( count(p6.p6,1) < count(p4.p4,1) )
                multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
        endif;
    endif;
elseif ( match(1/p1.p1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7) );
    multiply replace_(p1,-p6,p6,-p1,p2,-p8,p8,-p2,p5,p7,p7,p5);
    if ( count(p7.p7,1) > count(p8.p8,1) );
        multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
    elseif ( count(p7.p7,1) == count(p8.p8,1) );
        if ( count(p1.p1,1) < count(p3.p3,1) );
            multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
        elseif ( count(p1.p1,1) == count(p3.p3,1) );
            if ( count(p6.p6,1) < count(p4.p4,1) )
                multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
        endif;
    endif;
else;
	repeat;
    if ( count(p2.p2,1) < count(p5.p5,1) )
        multiply replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,p8,p8,p7);
    if ( count(p7.p7,1) < count(p8.p8,1) )
        multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
    if ( count(p2.p2,1) < count(p7.p7,1) )
        multiply replace_(p3,-p4,p4,-p3,p2,-p7,p7,-p2,p5,p8,p8,p5);
	endrepeat;
	if ( match(1/p1.p1/p3.p3/p4.p4/p6.p6) == 0 );
	  repeat;
	    if ( count(p1.p1,1) < count(p6.p6,1) )
    	    multiply replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,p8,p8,p7);
	    if ( count(p1.p1,1) < count(p3.p3,1) )
    	    multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
	    if ( count(p3.p3,1) < count(p4.p4,1) )
    	    multiply replace_(p3,-p4,p4,-p3,p2,-p7,p7,-p2,p5,p8,p8,p5);
	  endrepeat;
	endif;
endif;
#call ACCU(Rewiring)
*--#] Rewire :
*--#[ Second recursion :
*
*	Now all integrals have either p1.p1 or p2.p2 missing.
*	We have to replace the positive powers of these dotproducts.
*	Additionally we have to make sure that the Q.pi is of the proper type for
*	the second recursion.
*
#$mnccount = 0;
#do mnci = 1,1
#$mnccount = $mnccount+1;
#$mnci = 0;
if ( match(1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
*
*	bu topology
*
	repeat id p1.p1/p6.p6 = 1+mncx1/p6.p6;
	id	mncx1 = 2*Q.p2-2*Q.p7-Q.Q;
elseif ( match(1/p1.p1/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
*
*	fa topology
*
	Multiply mncxx^7;
	repeat;
		id,mncxx*p2.p2/p5.p5/p7.p7/p8.p8 =
			(mncx1-p5.p5+p7.p7+p8.p8)/p5.p5/p7.p7/p8.p8;
	endrepeat;
	if ( count(mncxx,1) == 0 ) $mnci = 1;
	id	mncxx = 1;
	id mncx1 = 2*p1.p3-2*Q.p5-Q.Q;
endif;
ModuleOption,maximum,$mnci;
.sort(PolyFun=acc):Prepare second-A(`$mnccount');
#if ( `$mnci' > 0 )
	#redefine mnci "0"
#endif
#enddo
#$mnccount = 0;
#do mnci = 1,1
#$mnccount = $mnccount+1;
#$mnci = 0;
if ( match(1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
*
*	First normalize everything onto Q.p2,Q.p7
*	In the next module we flip if that makes the power of Q.p7 smaller.
*	This can only be done when p1 is fully absent.
*
	Multiply mncxx^5;
	repeat id mncxx*Q.p8/p3.p3/p4.p4 = (-p3.p3+p4.p4-mncx2)/2/p3.p3/p4.p4;
	if ( count(mncxx,1) == 0 ) $mnci = 1;
	id	mncxx = 1;
	id	mncx2 = Q.Q-2*Q.p2;
elseif ( match(1/p1.p1/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
	Multiply mncxx^5;
    repeat id mncxx*Q.p2/p1.p1/p3.p3/p4.p4/p6.p6 =
        (p1.p1+p3.p3-p4.p4-p6.p6-2*Q.p5)/2/p1.p1/p3.p3/p4.p4/p6.p6;
	if ( count(mncxx,1) == 0 ) $mnci = 1;
	id	mncxx = 1;
endif;
ModuleOption,maximum,$mnci;
.sort(PolyFun=acc):Prepare second-B(`$mnccount');
#if ( `$mnci' > 0 )
	#redefine mnci "0"
#endif
#enddo
#$mnccount = 0;
#do mnci = 1,1
#$mnccount = $mnccount+1;
#$mnci = 0;
if ( match(1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
*
*	First normalize everything onto Q.p2,Q.p7
*	In the next module we flip if that makes the power of Q.p7 smaller.
*	This can only be done when p1 is fully absent.
*
	Multiply mncxx^5;
	repeat id mncxx*Q.p5/p3.p3/p4.p4 = (p3.p3-p4.p4-mncx1)/2/p3.p3/p4.p4;
	if ( count(mncxx,1) == 0 ) $mnci = 1;
	id	mncxx = 1;
	id	mncx1 = Q.Q+2*Q.p7;
elseif ( match(1/p1.p1/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
	Multiply mncxx^5;
    repeat id mncxx*Q.p7/p1.p1/p3.p3/p4.p4/p6.p6 =
        (p3.p3-p4.p4-mncx3)/2/p1.p1/p3.p3/p4.p4/p6.p6;
    repeat id mncxx*Q.p8/p1.p1/p3.p3/p4.p4/p6.p6 =
        (p1.p1-p6.p6-mncx3)/2/p1.p1/p3.p3/p4.p4/p6.p6;
	if ( count(mncxx,1) == 0 ) $mnci = 1;
	id	mncxx = 1;
	id	mncx3 = Q.Q+2*Q.p5;
endif;
ModuleOption,maximum,$mnci;
.sort(PolyFun=acc):Prepare second-C(`$mnccount');
#if ( `$mnci' > 0 )
	#redefine mnci "0"
#endif
#enddo
if ( match(1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
	if ( count(Q.p7,1) > count(Q.p2,1) );
		Multiply replace_(p2,-p7,p7,-p2,p5,p8,p8,p5,p3,-p4,p4,-p3);
	endif;
	repeat id Q.p7/p3.p3/p4.p4 = (p3.p3-p4.p4-mncx1)/2/p3.p3/p4.p4;
	id	mncx1 = Q.Q+2*Q.p5;
endif;
#call ACCU(Prepare second-D);

if ( match(1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
    multiply acc(1/ep);
	repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
    #call triangle(p5,p6,p7,p8,p4)
    multiply ep;
elseif ( match(1/p1.p1/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
    multiply acc(1/ep);
	repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
    #call triangle(p5,p8,p7,p6,p4)
    multiply ep;
	if ( count(p3.p3,1) >= 0 );
		Multiply replace_(p1,-p3,p3,-p1,p4,-p6,p6,-p4,p7,-p8,p8,-p7,p5,-p5,p2,-p2,Q,-Q);
	endif;
endif;
id  mncy9 = p7.p7+p8.p8-2*p7.p8;
repeat;
    if ( count(p2.p2,1) < count(p5.p5,1) )
        multiply replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,p8,p8,p7);
    if ( count(p7.p7,1) < count(p8.p8,1) )
        multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
    if ( count(p2.p2,1) < count(p7.p7,1) )
        multiply replace_(p3,-p4,p4,-p3,p2,-p7,p7,-p2,p5,p8,p8,p5);
endrepeat;
if ( match(1/p1.p1/p3.p3/p4.p4/p6.p6) == 0 );
  repeat;
    if ( count(p1.p1,1) < count(p6.p6,1) )
	    multiply replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,p8,p8,p7);
    if ( count(p1.p1,1) < count(p3.p3,1) )
	    multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
    if ( count(p3.p3,1) < count(p4.p4,1) )
	    multiply replace_(p3,-p4,p4,-p3,p2,-p7,p7,-p2,p5,p8,p8,p5);
  endrepeat;
endif;

#call ObviouslyZero(no)
#call ACCU(Second recursion)
*--#] Second recursion :
*----------------------------------------
#if(1==3)
*--#[ Q.p2 :
#$mncxcount = 0;
if ( ( count(Q.p2,1) > $mncxcount ) && (
	match(1/p1.p1/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) ||
	match(1/p1.p1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p8.p8) ||
	match(1/p1.p1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7)
		) ) $mncxcount = count_(Q.p2,1);
if ( count(ep,1) );
	if ( count(acc,1) > 1 );
		repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
		id	ep^mncx?*acc(mncy?) = acc(ep^mncx*mncy);
	elseif ( count(acc,1) == 1 );
		id	ep^mncx?*acc(mncy?) = acc(ep^mncx*mncy);
	else;
		id	ep^mncx? = acc(ep^mncx);
	endif;
endif;
ModuleOption,maximum,$mncxcount;
.sort(PolyFun = acc):noplane recursion;
#write <> " ---> $mncxcount = `$mncxcount'"
#do mnci = {7,2,0}
 #if ( `$mncxcount' > `mnci' )
	repeat id Q.p2^{`mnci'+1}/p1.p1/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8 =
    	( p1.p1/2+p3.p3/2-p4.p4/2-p6.p6/2-Q.p5 )*Q.p2^`mnci'
        	/p1.p1/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8;
	repeat id Q.p2^{`mnci'+1}/p1.p1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p8.p8 =
    	( mncx8+p3.p3/2-p4.p4/2 )*Q.p2^`mnci'
        	/p1.p1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p8.p8;
	repeat id Q.p2^{`mnci'+1}/p1.p1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7 =
    	( mncx7+p1.p1/2-p6.p6/2 )*Q.p2^`mnci'
        	/p1.p1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7;
	id	mncx7 = Q.p7+Q.Q/2;
	id	mncx8 = Q.p8+Q.Q/2;
	.sort(PolyFun = acc):Q.p2 -> `mnci';
 #endif
#enddo
*--#] Q.p2 :
*--#[ Rewire :
*
*	Next we rewire the integrals into a single notation.
*
if ( match(1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
label 1;
    if ( count(p3.p3,1) < count(p4.p4,1) );
        multiply replace_(p3,-p4,p4,-p3,p2,-p7,p7,-p2,p5,p8,p8,p5);
    endif;
elseif ( match(1/p1.p1/p2.p2/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
    multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
    goto 1;
elseif ( match(1/p1.p1/p2.p2/p3.p3/p5.p5/p6.p6/p7.p7/p8.p8) );
    multiply replace_(p1,p4,p4,p1,p3,p6,p6,p3,p2,p5,p5,p2,p7,-p7,p8,-p8,Q,-Q);
    goto 1;
elseif ( match(1/p1.p1/p2.p2/p3.p3/p4.p4/p5.p5/p7.p7/p8.p8) );
    multiply replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,p8,p8,p7);
    goto 1;
elseif ( match(1/p1.p1/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
    if ( count(p7.p7,1) > count(p8.p8,1) );
        multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
    elseif ( count(p7.p7,1) == count(p8.p8,1) );
        if ( count(p1.p1,1) < count(p3.p3,1) );
            multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
        elseif ( count(p1.p1,1) == count(p3.p3,1) );
            if ( count(p6.p6,1) < count(p4.p4,1) )
                multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
        endif;
    endif;
elseif ( match(1/p1.p1/p2.p2/p3.p3/p4.p4/p6.p6/p7.p7/p8.p8) );
    if ( count(p7.p7,1) < count(p8.p8,1) );
        multiply replace_(p1,p4,p4,p1,p3,p6,p6,p3,p2,p5,p5,p2,p7,-p7,p8,-p8,Q,-Q);
    else;
        multiply replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,p8,p8,p7);
    endif;
    if ( count(p7.p7,1) > count(p8.p8,1) );
        multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
    elseif ( count(p7.p7,1) == count(p8.p8,1) );
        if ( count(p1.p1,1) < count(p3.p3,1) );
            multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
        elseif ( count(p1.p1,1) == count(p3.p3,1) );
            if ( count(p6.p6,1) < count(p4.p4,1) )
                multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
        endif;
    endif;
elseif ( match(1/p1.p1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p8.p8) );
    multiply replace_(p3,-p4,p4,-p3,p2,-p7,p7,-p2,p5,p8,p8,p5);
    if ( count(p7.p7,1) > count(p8.p8,1) );
        multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
    elseif ( count(p7.p7,1) == count(p8.p8,1) );
        if ( count(p1.p1,1) < count(p3.p3,1) );
            multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
        elseif ( count(p1.p1,1) == count(p3.p3,1) );
            if ( count(p6.p6,1) < count(p4.p4,1) )
                multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
        endif;
    endif;
elseif ( match(1/p1.p1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7) );
    multiply replace_(p1,-p6,p6,-p1,p2,-p8,p8,-p2,p5,p7,p7,p5);
    if ( count(p7.p7,1) > count(p8.p8,1) );
        multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
    elseif ( count(p7.p7,1) == count(p8.p8,1) );
        if ( count(p1.p1,1) < count(p3.p3,1) );
            multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
        elseif ( count(p1.p1,1) == count(p3.p3,1) );
            if ( count(p6.p6,1) < count(p4.p4,1) )
                multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
        endif;
    endif;
else;
    repeat;
    if ( count(p2.p2,1) < count(p5.p5,1) )
        multiply replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,p8,p8,p7);
    if ( count(p7.p7,1) < count(p8.p8,1) )
        multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
    if ( count(p2.p2,1) < count(p7.p7,1) )
        multiply replace_(p3,-p4,p4,-p3,p2,-p7,p7,-p2,p5,p8,p8,p5);
    endrepeat;
endif;
#call ACCU(Move Q.p2)
*--#] Rewire :
*--#[ NEWCODE :
if ( match(1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
	repeat id,p1.p1/p6.p6 = 1+mncx/p6.p6;
	id	mncx = Q.Q+2*Q.p5+2*Q.p8;
endif;
#do mnci = {7,2,0}
if ( match(1/p1.p1/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
	repeat;
		if ( count(p2.p2,1,p2.p5,1) > `mnci' );
			id,p2.p2/p5.p5/p7.p7/p8.p8 =
		        (mncx-p5.p5+p7.p7+p8.p8)/p5.p5/p7.p7/p8.p8;
		endif;
	endrepeat;
	repeat;
		if ( count(p2.p2,1,p2.p5,1) > `mnci' );
		    id p2.p5/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8 =
    	    	(p4.p4/2+p6.p6/2-p7.p7/2-p8.p8/2+Q.p5)
					/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8;
		endif;
	endrepeat;
   	id mncx = 2*p1.p3-2*Q.p5-Q.Q;
endif;
.sort(PolyFun = acc):Prepare second A -> `mnci';
#enddo

#ifdef `POW'
#if `POW' >= 8
#$mncxcount = 0;
#do mnci = 1,1
  #$mncxcount = $mncxcount+1;
  #$mnci = 0;
  if ( match(1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
    repeat id p1.p1/p6.p6 = 1+mncx/p6.p6;
    id mncx = Q.Q+2*Q.p5+2*Q.p8;
	#do mncci = 1,4
    id Q.p7/p6.p6/p3.p3/p4.p4 =
        (p3.p3/2-Q.Q/2-p4.p4/2-Q.p5)/p6.p6/p3.p3/p4.p4;
	#enddo
	if ( match(Q.p7/p6.p6/p3.p3/p4.p4) ) $mnci = 1;
  elseif ( match(1/p1.p1/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
    repeat id p2.p2/p5.p5/p7.p7/p8.p8 =
        (mncx-p5.p5+p7.p7+p8.p8)/p5.p5/p7.p7/p8.p8;
    id mncx = 2*p1.p3-2*Q.p5-Q.Q;
	if ( match(p2.p5/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
		#do mncci = 1,4
	    id p2.p5/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8 =
        	(p4.p4/2+p6.p6/2-p7.p7/2-p8.p8/2+Q.p5)/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8;
		#enddo
		$mnci = 1;
	elseif ( match(p7.p8/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
		#do mncci = 1,4
    	id p7.p8/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8 =
        	(p7.p7+p8.p8-mncy9)/2/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8;
		#enddo
		$mnci = 1;
	elseif ( match(Q.p2/p1.p1/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
		#do mncci = 1,4
        id Q.p2/p1.p1/p3.p3/p4.p4/p6.p6 =
            (p1.p1/2+p3.p3/2-p4.p4/2-p6.p6/2-Q.p5)/p1.p1/p3.p3/p4.p4/p6.p6;
		#enddo
		$mnci = 1;
	endif;
  endif;
  ModuleOption,maximum,$mnci;
  .sort(PolyFun=acc):Prepare second B,`$mncxcount';
  #if ( `$mnci' > 0 )
	#redefine mnci "0"
  #endif
#enddo
#endif
#endif
if ( match(1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
    repeat id p1.p1/p6.p6 = 1+mncx/p6.p6;
    id mncx = Q.Q+2*Q.p5+2*Q.p8;
    repeat id Q.p7/p6.p6/p3.p3/p4.p4 =
        (p3.p3/2-Q.Q/2-p4.p4/2-Q.p5)/p6.p6/p3.p3/p4.p4;
    repeat id p7.p8/p6.p6/p3.p3/p4.p4/p2.p2/p5.p5 =
        (p2.p2/2-p3.p3/2+p5.p5/2-p6.p6/2-Q.p8)
				   /p6.p6/p3.p3/p4.p4/p2.p2/p5.p5;
elseif ( match(1/p1.p1/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
    repeat id p2.p2/p5.p5/p7.p7/p8.p8 =
        (mncx-p5.p5+p7.p7+p8.p8)/p5.p5/p7.p7/p8.p8;
    id mncx = 2*p1.p3-2*Q.p5-Q.Q;
    repeat id p2.p5/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8 =
        (p4.p4/2+p6.p6/2-p7.p7/2-p8.p8/2+Q.p5)/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8;
    repeat id p7.p8/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8 =
        (p7.p7+p8.p8-mncy9)/2/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8;
    if ( match(1/p1.p1/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
        repeat id Q.p2/p1.p1/p3.p3/p4.p4/p6.p6 =
            (p1.p1/2+p3.p3/2-p4.p4/2-p6.p6/2-Q.p5)/p1.p1/p3.p3/p4.p4/p6.p6;
        repeat id Q.p7/p1.p1/p3.p3/p4.p4/p6.p6 =
            (p3.p3/2-Q.Q/2-p4.p4/2-Q.p5)/p1.p1/p3.p3/p4.p4/p6.p6;
        repeat id Q.p8/p1.p1/p3.p3/p4.p4/p6.p6 =
            (p1.p1/2-Q.Q/2-p6.p6/2-Q.p5)/p1.p1/p3.p3/p4.p4/p6.p6;
    endif;
endif;
if ( ( match(1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) == 0 )
  && ( match(1/p1.p1/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) == 0 ) );
    repeat;
    if ( count(p2.p2,1) < count(p5.p5,1) )
        multiply replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,p8,p8,p7);
    if ( count(p7.p7,1) < count(p8.p8,1) )
        multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
    if ( count(p2.p2,1) < count(p7.p7,1) )
        multiply replace_(p3,-p4,p4,-p3,p2,-p7,p7,-p2,p5,p8,p8,p5,mncy9,mncx9,mncx9,mncy9);
    endrepeat;
endif;

#call ACCU(Prepare second B)
*--#] NEWCODE :
*--#[ Second recursion :
if ( match(1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
    id Q.p8 = Q.p2 - p3.p3/2 - Q.Q/2 + p4.p4/2;
    id p2.p5 = Q.p5+p4.p4/2+p6.p6/2-p7.p7/2-p8.p8/2;
elseif ( match(1/p1.p1/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
    id  mncy9 = p1.p1+p3.p3-2*p1.p3;
endif;
#call ACCU(Minimize second)
if ( match(1/p2.p2/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
    multiply acc(1/ep);
    #call triangle(p5,p6,p7,p8,p4)
    multiply ep;
elseif ( match(1/p1.p1/p3.p3/p4.p4/p5.p5/p6.p6/p7.p7/p8.p8) );
    multiply acc(1/ep);
    #call triangle(p5,p8,p7,p6,p4)
    multiply ep;
endif;
id  mncx9 = p2.p2+p5.p5+2*p2.p5;
id  mncy9 = p7.p7+p8.p8-2*p7.p8;
repeat;
    if ( count(p2.p2,1) < count(p5.p5,1) )
        multiply replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,p8,p8,p7);
    if ( count(p7.p7,1) < count(p8.p8,1) )
        multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
    if ( count(p2.p2,1) < count(p7.p7,1) )
        multiply replace_(p3,-p4,p4,-p3,p2,-p7,p7,-p2,p5,p8,p8,p5);
endrepeat;
#call ACCU(Second recursion)
*--#] Second recursion :
#endif
*--#[ reduce number of one loop integrals :
*
*   Now we try to reduce the number of one loop integrals
*
id	mncxconst = 1;
if ( count(mncint3,1) );
if ( count(p2.p2,1) >= 0 );
    if ( count(p8.p8,1) >= 0 );
            multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
*           Everybody flips sign -> nobody flips sign
    elseif ( count(p3.p3,1) >= 0 );
            multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
*           Everybody flips sign -> nobody flips sign
    elseif ( count(p4.p4,1) >= 0 );
            multiply replace_(p1,p4,p4,p1,p3,p6,p6,p3,p2,p5,p5,p2);
			Multiply replace_(Q,-Q,p7,-p7,p8,-p8);
*            id  Q = -Q;
*            id  p7 = -p7;
*            id  p8 = -p8;
    elseif ( count(p6.p6,1) >= 0 );
            multiply replace_(p1,p6,p6,p1,p7,p8,p8,p7,p3,p4,p4,p3
            ,p2,p5,p5,p2);
*            id  Q = -Q;
*            id  p7 = -p7;
*            id  p8 = -p8;
			Multiply replace_(Q,-Q,p7,-p7,p8,-p8);
    endif;
elseif ( count(p5.p5,1) >= 0 );
    if ( count(p7.p7,1) >= 0 );
            multiply replace_(p1,p4,p4,p1,p3,p6,p6,p3,p2,p5,p5,p2);
			Multiply replace_(Q,-Q,p7,-p7,p8,-p8);
*            id  Q = -Q;
*            id  p7 = -p7;
*            id  p8 = -p8;
    elseif ( count(p8.p8,1) >= 0 );
            multiply replace_(p1,p6,p6,p1,p7,p8,p8,p7,p3,p4,p4,p3
            ,p2,p5,p5,p2);
			Multiply replace_(Q,-Q,p7,-p7,p8,-p8);
*            id  Q = -Q;
*            id  p7 = -p7;
*            id  p8 = -p8;
    elseif ( count(p3.p3,1) >= 0 );
            multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
*           Everybody flips sign -> nobody flips sign
    elseif ( count(p4.p4,1) >= 0 );
            multiply replace_(p1,p4,p4,p1,p3,p6,p6,p3,p2,p5,p5,p2);
			Multiply replace_(Q,-Q,p7,-p7,p8,-p8);
*            id  Q = -Q;
*            id  p7 = -p7;
*            id  p8 = -p8;
    elseif ( count(p6.p6,1) >= 0 );
            multiply replace_(p1,p6,p6,p1,p7,p8,p8,p7,p3,p4,p4,p3
            ,p2,p5,p5,p2);
			Multiply replace_(Q,-Q,p7,-p7,p8,-p8);
*            id  Q = -Q;
*            id  p7 = -p7;
*            id  p8 = -p8;
    endif;
elseif ( count(p7.p7,1) >= 0 );
    if ( count(p8.p8,1) >= 0 );
            multiply replace_(p3,-p4,p4,-p3,p5,p8,p8,p5,p2,-p7,p7,-p2);
    elseif ( count(p1.p1,1) >= 0 );
            multiply replace_(p3,-p4,p4,-p3,p5,p8,p8,p5,p2,-p7,p7,-p2);
    elseif ( count(p3.p3,1) >= 0 );
            multiply replace_(p3,p4,p4,p3,p5,p8,p8,p5,p2,p7,p7,p2);
			Multiply replace_(p3,-p3,p4,-p4,p2,-p2,p7,-p7);
*            id p3 = -p3;
*            id p4 = -p4;
*            id p2 = -p2;
*            id p7 = -p7;
            multiply replace_(p1,p4,p4,p1,p3,p6,p6,p3,p2,p5,p5,p2);
			Multiply replace_(Q,-Q,p7,-p7,p8,-p8);
*            id  Q = -Q;
*            id  p7 = -p7;
*            id  p8 = -p8;
    elseif ( count(p4.p4,1) >= 0 );
            multiply replace_(p3,-p4,p4,-p3,p5,p8,p8,p5,p2,-p7,p7,-p2);
            multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
*           Everybody flips sign -> nobody flips sign
    elseif ( count(p6.p6,1) >= 0 );
            multiply replace_(p1,-p6,p6,-p1,p5,p7,p7,p5,p2,-p8,p8,-p2);
    endif;
elseif ( count(p8.p8,1) >= 0 );
    if ( count(p1.p1,1) >= 0 );
            multiply replace_(p3,-p4,p4,-p3,p5,p8,p8,p5,p2,-p7,p7,-p2);
    elseif ( count(p3.p3,1) >= 0 );
            multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
*           Everybody flips sign -> nobody flips sign
            multiply replace_(p3,-p4,p4,-p3,p5,p8,p8,p5,p2,-p7,p7,-p2);
    elseif ( count(p4.p4,1) >= 0 );
            multiply replace_(p1,p4,p4,p1,p3,p6,p6,p3,p2,p5,p5,p2);
			Multiply replace_(Q,-Q,p7,-p7,p8,-p8);
*            id  Q = -Q;
*            id  p7 = -p7;
*            id  p8 = -p8;
            multiply replace_(p3,-p4,p4,-p3,p5,p8,p8,p5,p2,-p7,p7,-p2);
    elseif ( count(p6.p6,1) >= 0 );
            multiply replace_(p1,-p6,p6,-p1,p5,p7,p7,p5,p2,-p8,p8,-p2);
    endif;
elseif ( count(p3.p3,1) >= 0 );
    if ( count(p4.p4,1) >= 0 );
            multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
*           Everybody flips sign -> nobody flips sign
    elseif ( count(p6.p6,1) >= 0 );
            multiply replace_(p1,p6,p6,p1,p5,p7,p7,p5,p2,p8,p8,p2);
			Multiply replace_(p1,-p1,p6,-p6,p2,-p2,p8,-p8);
*            id  p1 = -p1;
*            id  p6 = -p6;
*            id  p2 = -p2;
*            id  p8 = -p8;
    endif;
elseif ( count(p4.p4,1) >= 0 );
    if ( count(p1.p1,1) >= 0 );
            multiply replace_(p3,-p4,p4,-p3,p5,p8,p8,p5,p2,-p7,p7,-p2);
    elseif ( count(p6.p6,1) >= 0 );
            multiply replace_(p1,p6,p6,p1,p7,p8,p8,p7,p3,p4,p4,p3
            ,p2,p5,p5,p2);
			Multiply replace_(Q,-Q,p7,-p7,p8,-p8);
*            id  Q = -Q;
*            id  p7 = -p7;
*            id  p8 = -p8;
    endif;
endif;
endif;
#call ACCU(Symmetry)
*--#] reduce number of one loop integrals :
*--#[ Setup first loop :

#$mnccount = 0;
#do mnci = 1,1
#$mnccount = $mnccount+1;
#$mnci = 0;

if ( count(mncint3,1) );
  Multiply mncy^4;
  if ( count(p2.p2,1) >= 0 );
      if ( count(p1.p1,1) >= 0 );
          if ( ( count(p6.p6,1) >= 0 ) || ( count(p8.p8,1) >= 0 ) ) discard;
      elseif ( count(p7.p7,1) >= 0 );
          if ( count(p5.p5,1) >= 0 ) discard;
          if ( ( count(p3.p3,1) >= 0 ) || ( count(p4.p4,1) >= 0 ) ) discard;
      elseif( count(p5.p5,1) >= 0);
          repeat;
			id  mncy*p5.p5/p6.p6 = 1+p8.p8/p6.p6-2*p6.p8/p6.p6;
			if ( count(p8.p8,1) >= 0 ) discard;
		  endrepeat;
          repeat id  mncy*p5.p6/p6.p6 = 1-p6.p8/p6.p6;
          if ( count(p6.p6,1) >= 0 );
             multiply replace_(p1,-p6,p6,-p1,p5,-p2,p2,-p5,p3,-p4,p4,-p3
             ,p7,p8,p8,p7);
          else;
             repeat;
				id  mncy*p2.p2/p3.p3 = 1+p8.p8/p3.p3+2*p3.p8/p3.p3;
				if ( count(p8.p8,1) >= 0 ) discard;
			 endrepeat;
             repeat id  mncy*p2.p3/p3.p3 = 1+p3.p8/p3.p3;
             if ( count(p3.p3,1) >= 0 );
                multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
             else;
                if ( count(p8.p8,1) >= 0 ) discard;
             endif;
          endif;
      else;
          exit "mincer integral Setup first loop";
      endif;
  elseif ( count(p1.p1,1) >= 0 );
      if ( count(p6.p6,1) >= 0 );
          if ( ( count(p2.p2,1) >= 0 ) || ( count(p7.p7,1) >= 0 ) ) discard;
          if ( ( count(p5.p5,1) >= 0 ) || ( count(p8.p8,1) >= 0 ) ) discard;
      elseif ( count(p5.p5,1) >= 0 );
          repeat;
			id  mncy*p1.p7/p7.p7 = p2.p7/p7.p7-1;
            if ( count(p7.p7,1) >= 0 ) discard;
		  endrepeat;
          repeat;
			id  mncy*p1.p1/p2.p2/p7.p7 = 1/p7.p7+1/p2.p2-2*p2.p7/p2.p2/p7.p7;
			if ( count(p7.p7,1) >= 0 ) discard;
		  endrepeat;
          repeat id  mncy*p1.p2/p2.p2 = 1-p2.p7/p2.p2;
          if ( count(p2.p2,1) < 0 );
             id  p5.p7 = p4.p7-p7.p7;
             if ( count(p7.p7,1) >= 0 ) discard;
             repeat;
				id  mncy*p5.p5/p4.p4 = 1+p7.p7/p4.p4-2*p4.p7/p4.p4;
				if ( count(p7.p7,1) >= 0 ) discard;
			 endrepeat;
             repeat id  mncy*p4.p5/p4.p4 = 1-p4.p7/p4.p4;
             if ( count(p4.p4,1) >= 0 );
               multiply replace_(Q,-Q,p1,p4,p4,p1,p2,p5,p5,p2,p3,p6,p6,p3
               ,p7,-p7,p8,-p8);
             else;
             endif;
          endif;
      elseif ( count(p3.p3,1) >= 0 );
          repeat id  mncy*p1.p6/p6.p6 = 1+Q.p6/p6.p6;
          repeat id  mncy*p1.p1/p6.p6 = 1+mncx/p6.p6;
          if ( count(p6.p6,1) < 0 );
            repeat id  mncy*p3.p4/p4.p4 = 1+Q.p4/p4.p4;
            repeat id  mncy*p3.p3/p4.p4 = 1+mncxx/p4.p4;
            if ( count(p4.p4,1) >= 0 );
              multiply replace_(p1,p3,p3,p1,p7,p8,p8,p7,p4,
								p6,p6,p4,mncx,mncxx,mncxx,mncx);
            else;
              id  p1.p1 = mncx+p6.p6;
              id,many,p1.p?^n?pos_ = (Q.p+p6.p)^n;
              id  p3.p3 = mncxx+p4.p4;
              id,many,p3.p?^n?pos_ = (Q.p+p4.p)^n;
            endif;
          endif;
		  id mncx = Q.Q+2*Q.p6;
		  id mncxx = Q.Q+2*Q.p4;
      else;
          exit "mincer integral Setup first loop";
      endif;
  else;
      exit "mincer integral Setup first loop";
  endif;
  if ( count(mncy,1) == 0 ) $mnci = 1;
  id mncy = 1;
endif;
ModuleOption,maximum,$mnci;
.sort(PolyFun=acc):Setup first loop `$mnccount';
#if ( `$mnci' == 1 )
	#redefine mnci "0"
#endif
#enddo

*--#] Setup first loop :
*--#[ Prepare first loop :
*
#$mnccount = 0;
#do mnci = 1,1
#$mnci = 0;
#$mnccount = $mnccount+1;
if ( count(mncint3,1) );
  Multiply mncy^5;
  repeat;
    if ( count(p2.p2,1) >= 0 );
      if ( count(p1.p1,1) >= 0 );
          id  mncy*p1.p1 = p6.p6+Q.Q+2*Q.p6;
          id  mncy*p2.p2 = p3.p3+p8.p8+2*p3.p8;
          id,many,mncy*p1.p?!{p1} = p6.p+Q.p;
          id,many,mncy*p2.p?!{p2} = p3.p+p8.p;
          if ( ( count(p6.p6,1) >= 0 ) || ( count(p8.p8,1) >= 0 ) ) discard;
      elseif ( count(p7.p7,1) >= 0 );
          if ( count(p5.p5,1) >= 0 ) discard;
          id  mncy*p2.p2 = p3.p3+p8.p8+2*p3.p8;
          id  mncy*p7.p7 = p4.p4+p5.p5-2*p4.p5;
          id,many,mncy*p2.p?!{p2} = p3.p+p8.p;
          id,many,mncy*p7.p?!{p7} = p4.p-p5.p;
          if ( ( count(p3.p3,1) >= 0 ) || ( count(p4.p4,1) >= 0 ) ) discard;
      elseif( count(p5.p5,1) >= 0);
          repeat id  mncy*p5.p5/p6.p6 = 1+p8.p8/p6.p6-2*p6.p8/p6.p6;
          if ( count(p8.p8,1) >= 0 ) discard;
          repeat id  mncy*p5.p6/p6.p6 = 1-p6.p8/p6.p6;
          if ( count(p6.p6,1) >= 0 );
             multiply replace_(p1,-p6,p6,-p1,p5,-p2,p2,-p5,p3,-p4,p4,-p3
             ,p7,p8,p8,p7);
          else;
             repeat id  mncy*p2.p2/p3.p3 = 1+p8.p8/p3.p3+2*p3.p8/p3.p3;
             repeat id  mncy*p2.p3/p3.p3 = 1+p3.p8/p3.p3;
             if ( count(p8.p8,1) >= 0 ) discard;
             if ( count(p3.p3,1) >= 0 );
                multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
             else;
                id  mncy*p5.p5 = p6.p6-2*p6.p8+p8.p8;
                id,many,mncy*p5.p?!{p5} = p6.p-p8.p;
                id  mncy*p2.p2 = p3.p3+2*p3.p8+p8.p8;
                id,many,mncy*p2.p?!{p2} = p3.p+p8.p;
                if ( count(p8.p8,1) >= 0 ) discard;
             endif;
          endif;
      else;
          exit "mincer integral Prepare first loop";
      endif;
    elseif ( count(p1.p1,1) >= 0 );
      if ( count(p6.p6,1) >= 0 );
          id  mncy*p1.p1 = p2.p2+p7.p7-2*p2.p7;
          if ( ( count(p2.p2,1) >= 0 ) || ( count(p7.p7,1) >= 0 ) ) discard;
          id  mncy*p6.p6 = p5.p5+p8.p8+2*p5.p8;
          if ( ( count(p5.p5,1) >= 0 ) || ( count(p8.p8,1) >= 0 ) ) discard;
          id,many,mncy*p1.p?!{p1} = p2.p-p7.p;
          id,many,mncy*p6.p?!{p6} = p5.p+p8.p;
          if ( ( count(p2.p2,1) >= 0 ) || ( count(p8.p8,1) >= 0 ) ) discard;
          if ( ( count(p5.p5,1) >= 0 ) || ( count(p7.p7,1) >= 0 ) ) discard;
      elseif ( count(p5.p5,1) >= 0 );
          repeat id  mncy*p1.p1/p2.p2/p7.p7 = 1/p7.p7+1/p2.p2-2*p2.p7/p2.p2/p7.p7;
          repeat id  mncy*p1.p2/p2.p2 = 1-p2.p7/p2.p2;
          repeat id  mncy*p1.p7/p7.p7 = p2.p7/p7.p7-1;
          if ( ( count(p6.p6,1) >= 0 ) || ( count(p7.p7,1) >= 0 ) ) discard;
          if ( count(p2.p2,1) < 0 );
             repeat id  mncy*p5.p5/p4.p4 = 1+p7.p7/p4.p4-2*p4.p7/p4.p4;
             id  mncy*p5.p7 = p4.p7-p7.p7;
             if ( count(p7.p7,1) >= 0 ) discard;
             repeat id  mncy*p4.p5/p4.p4 = 1-p4.p7/p4.p4;
             if ( count(p4.p4,1) >= 0 );
               multiply replace_(Q,-Q,p1,p4,p4,p1,p2,p5,p5,p2,p3,p6,p6,p3
               ,p7,-p7,p8,-p8);
             else;
               id  mncy*p1.p1 = p2.p2-2*p2.p7+p7.p7;
               id,many,mncy*p1.p?!{p1} = p2.p-p7.p;
               id  mncy*p5.p5 = p4.p4-2*p4.p7+p7.p7;
               id,many,mncy*p5.p?!{p5} = p4.p-p7.p;
             endif;
          endif;
      elseif ( count(p3.p3,1) >= 0 );
          repeat id  mncy*p1.p1/p6.p6 = 1+Q.Q/p6.p6+2*Q.p6/p6.p6;
          repeat id  mncy*p1.p6/p6.p6 = 1+Q.p6/p6.p6;
          if ( count(p6.p6,1) < 0 );
            repeat id  mncy*p3.p3/p4.p4 = 1+Q.Q/p4.p4+2*Q.p4/p4.p4;
            repeat id  mncy*p3.p4/p4.p4 = 1+Q.p4/p4.p4;
            if ( count(p4.p4,1) >= 0 );
              multiply replace_(p1,p3,p3,p1,p7,p8,p8,p7,p4,p6,p6,p4);
            else;
              id  mncy*p1.p1 = Q.Q+2*Q.p6+p6.p6;
              id,many,mncy*p1.p?!{p1} = Q.p+p6.p;
              id  mncy*p3.p3 = Q.Q+2*Q.p4+p4.p4;
              id,many,mncy*p3.p?!{p3} = Q.p+p4.p;
            endif;
          endif;
      else;
          exit "mincer integral Prepare first loop";
      endif;
    else;
      exit "mincer integral Prepare first loop";
    endif;
  endrepeat;
  if ( count(mncy,1) == 0 ) $mnci = 1;
  id mncy = 1;
endif;
ModuleOption maximum,$mnci;
.sort(PolyFun=acc):Prepare first loop `$mnccount';
#if ( `$mnci' > 0 )
	#redefine mnci "0"
#endif
#enddo
if ( count(mncint3,1) );
  if ( count(p2.p2,1) >= 0 );
      if ( count(p1.p1,1) >= 0 );
        multiply replace_(p5,p6,p6,mncp9,p7,-p7);
        multiply mncnaar(p6,mnce6);
        id  p8.mncp9 = mncp9.mncp9/2+p8.p8/2-p6.p6/2;
        if ( ( count(p8.p8,1) >= 0 ) || ( count(mncp9.mncp9,1) >= 0 ) ) discard;
        if ( count(p8.Q,1,p8.p1,1,p8.p3,1,p8.p4,1,p8.p6,1,p8.p7,1)
        > count(mncp9.Q,1,mncp9.p1,1,mncp9.p3,1,mncp9.p4,1,mncp9.p6,1,mncp9.p7,1) )
            multiply replace_(p8,-mncp9,mncp9,-p8);
        id  p8.mncq1?!{p8} = mncp9.mncq1 - p6.mncq1;
        totensor,nosquare,mncp9,mncFQ;
      elseif ( count(p7.p7,1) >= 0 );
        multiply replace_(p8,p7,p5,p4,p3,mncp9,p4,p8);
        multiply mncnaar(Q,mnceq);
        id  p8.mncp9 = mncp9.mncp9/2+p8.p8/2-Q.Q/2;
        if ( ( count(p8.p8,1) >= 0 ) || ( count(mncp9.mncp9,1) >= 0 ) ) discard;
        if ( count(p8.Q,1,p8.p1,1,p8.p3,1,p8.p4,1,p8.p6,1,p8.p7,1)
        > count(mncp9.Q,1,mncp9.p1,1,mncp9.p3,1,mncp9.p4,1,mncp9.p6,1,mncp9.p7,1) )
            multiply replace_(p8,-mncp9,mncp9,-p8);
        id  p8.mncq1?!{p8} = mncp9.mncq1 - Q.mncq1;
        totensor,nosquare,mncp9,mncFQ;
      else;   * must be p5
        multiply replace_(p7,-mncp9,p8,-p8);
        multiply mncnaar(p7,mnce7);
        id  p8.mncp9 = mncp9.mncp9/2+p8.p8/2-p7.p7/2;
        if ( ( count(p8.p8,1) >= 0 ) || ( count(mncp9.mncp9,1) >= 0 ) ) discard;
        if ( count(p8.Q,1,p8.p1,1,p8.p3,1,p8.p4,1,p8.p6,1,p8.p7,1)
        > count(mncp9.Q,1,mncp9.p1,1,mncp9.p3,1,mncp9.p4,1,mncp9.p6,1,mncp9.p7,1) )
            multiply replace_(p8,-mncp9,mncp9,-p8);
        id  p8.mncq1?!{p8} = mncp9.mncq1 - p7.mncq1;
        totensor,nosquare,mncp9,mncFQ;
      endif;
  else;
      if ( count(p6.p6,1) >= 0 );
        multiply replace_(p7,-p8,p8,p7,p2,p1,p5,mncp9);
        multiply mncnaar(p4,mnce4);
        id  p8.mncp9 = mncp9.mncp9/2+p8.p8/2-p4.p4/2;
        if ( ( count(p8.p8,1) >= 0 ) || ( count(mncp9.mncp9,1) >= 0 ) ) discard;
        if ( count(p8.Q,1,p8.p1,1,p8.p3,1,p8.p4,1,p8.p6,1,p8.p7,1)
        > count(mncp9.Q,1,mncp9.p1,1,mncp9.p3,1,mncp9.p4,1,mncp9.p6,1,mncp9.p7,1) )
            multiply replace_(p8,-mncp9,mncp9,-p8);
        id  p8.mncq1?!{p8} = mncp9.mncq1 - p4.mncq1;
        totensor,nosquare,mncp9,mncFQ;
      elseif ( count(p5.p5,1) >= 0 );
        multiply replace_(p8,p7,p7,-p8,p2,p1,p6,mncp9);
        multiply mncnaar(p6,mnce6);
        id  p8.mncp9 = mncp9.mncp9/2+p8.p8/2-p6.p6/2;
        if ( ( count(p8.p8,1) >= 0 ) || ( count(mncp9.mncp9,1) >= 0 ) ) discard;
        if ( count(p8.Q,1,p8.p1,1,p8.p3,1,p8.p4,1,p8.p6,1,p8.p7,1)
        > count(mncp9.Q,1,mncp9.p1,1,mncp9.p3,1,mncp9.p4,1,mncp9.p6,1,mncp9.p7,1) )
            multiply replace_(p8,-mncp9,mncp9,-p8);
        id  p8.mncq1?!{p8} = mncp9.mncq1 - p6.mncq1;
        totensor,nosquare,mncp9,mncFQ;
      else;
          if ( count(p2.p2,1) >= 0 ) discard;
          multiply replace_(p7,-p1,p4,-p3,p8,p4,p5,p7,p2,-p8);
        multiply mncnaar(Q,mnceq,1);
        id  Q.p8 = mncp9.mncp9/2-p8.p8/2-Q.Q/2;
        if ( count(p8.p8,1) >= 0 ) discard;
        id,many,p8.p?^n?pos_ = (mncp9.p-Q.p)^n;
        id  mncp9.mncq1?{p1,p3,p4,p6,p7} = p1.mncq1-p6.mncq1;
        id  Q.mncp9 = mncp9.mncp9/2+Q.Q/2-p8.p8/2;
        if ( count(p8.p8,1) >= 0 ) discard;
        if ( count(p1.p1,1,p3.p3,1) > count(p4.p4,1,p6.p6,1) );
            multiply replace_(p1,-p6,p6,-p1,p3,-p4,p4,-p3,p7,-p7);
        endif;
        if ( count(p1.p1,1,p6.p6,1) > count(p3.p3,1,p4.p4,1) );
            multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4);
            id p7 = -p7;
        endif;
        totensor,nosquare,Q,mncFQ;
        id,many,mncq1?{p1,p3,p4,p6,p7}.mncq2?{p1,p3,p4,p6,p7}^D? = mncx^D*mncq1.mncq2^D;
      endif;
  endif;
endif;
if ( ( count(mncint3,1) > 0 ) && ( count(mncnaar,1) == 0 ) );
    Print "Illegal case in NO";
    SetExitFlag;
endif;
#call ACCU2(B+ p8 mncp9 mncnaar mncFQ mncx mncint3,Prepare first loop)
*--#] Prepare first loop :
*--#[ First loop integral :
#ifdef `ORIGINALONELOOP'
keep brackets;
if ( count(mncint3,1) );
  id  mncint3 = mncint1*mncint2*mncint3;
  if ( match(mncnaar(Q,mnceq,1)) );
    id  mncnaar(Q,mnceq,1) = 1;
    id  mncx^D? = mncp9.mncp9^D/Q.Q^D;
    multiply mncp9.mncp9^4/Q.Q^4;
    if ( count(p8.p8,1) >= 0 ) discard;
    if ( count(mncFQ,1) == 0 );
    id  mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2? =
          1/Q.Q^mncx1/Q.Q^mncx2*Q.Q^2*mnceq*
          mncG(mncx1,2,mncx2,0,0,0);
    elseif ( match(mncFQ(mnci1?)) );
    id  mncint2*mncFQ(mnci1?)/mncp9.mncp9^mncx1?/p8.p8^mncx2? =
          1/Q.Q^mncx1/Q.Q^mncx2*Q.Q^2*mnceq*Q(mnci1)*
          mncG(mncx1,2,mncx2,0,1,0);
    elseif ( match(mncFQ(mnci1?,mnci2?)) );
    id  mncint2*mncFQ(mnci1?,mnci2?)/mncp9.mncp9^mncx1?/p8.p8^mncx2? =
          1/Q.Q^mncx1/Q.Q^mncx2*Q.Q^2*mnceq*
        (mncG(mncx1,2,mncx2,0,2,0)*mncFFPP(mnci1,mnci2)
        +mncG(mncx1-1,2,mncx2,0,0,0)*acc(mncpoch(3,1))*d_(mnci1,mnci2)*Q.Q/2);
    else;
    id  mncint2*mncFQ(?a)/mncp9.mncp9^mncx1?/p8.p8^mncx2? =
          mncFQ(?a)/Q.Q^mncx1/Q.Q^mncx2*Q.Q^2*mnceq*
          sum_(mncs,0,integer_(nargs_(?a)/2),mncG(mncx1-mncs,2,mncx2,0,nargs_(?a)-2*mncs,0)
          *acc(mncpoch(nargs_(?a)+2-mncs,mncs))*Q.Q^mncs
          *sum_(mncj,0,integer_(nargs_(?a)/2)-mncs,sign_(mncj)*Q.Q^mncj
*   the original mncy/4 becomes mncy/2 when we consider the normalization of 
*   the distrib_ to expand the mncFQ.
          *mncy^mncj*mncy^mncs/2^mncj/2^mncs*acc(mncpoch(nargs_(?a)+1-2*mncs,mncj))
          ));
    endif;
    #call simplify
    if ( count(mncFQ,1) );
      id  mncy^mncs?*mncFQ(?a) = fac_(mncs)*distrib_(1,2*mncs,mncdel,mncFQ,?a);
      tovector,mncFQ,Q;
      id  mncdel(?a) = dd_(?a);
    else;
      id mncFFPP(mnci1?,mnci2?) = Q(mnci1)*Q(mnci2) - d_(mnci1,mnci2)*Q.Q/2*acc(mncpoch(3,1));
    endif;
  else;
    id  p8.p8 = mncp9.mncp9-2*mncp9.mncq9+mncq9.mncq9;
    id,many,p8.p?^n?pos_ = (mncp9.p - mncq9.p)^n;
    id  mncnaar(mncq1?,mncy?) = mncnaar(mncq1,mncy)*replace_(mncq9,mncq1);
    repeat;
      id mncFQ(mncp9) = mncp9.mncp9;
      id mncFQ(?a,mncp9,?b) = mncFQ(?a,?b)*mncp9.mncp9;
    endrepeat;
    totensor,nosquare,mncFQ,mncp9;
    if ( count(mncFQ,1) == 0 );
      id  mncnaar(mncq9?,mncy?)*mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2? =
            mncq9.mncq9^2/mncq9.mncq9^mncx1/mncq9.mncq9^mncx2*mncy
            *mncG(mncx1,0,mncx2,0,0,0);
    elseif ( match(mncFQ(mnci1?)) );
      id  mncnaar(mncq9?,mncy?)*mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2?*mncFQ(mnci1?) =
            mncq9.mncq9^2/mncq9.mncq9^mncx1/mncq9.mncq9^mncx2*mncy
            *mncG(mncx1,0,mncx2,0,1,0)*mncq9(mnci1);
    elseif ( match(mncFQ(mnci1?,mnci2?)) );
      id  mncnaar(mncq9?,mncy?)*mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2?*mncFQ(mnci1?,mnci2?) =
            mncq9.mncq9^2/mncq9.mncq9^mncx1/mncq9.mncq9^mncx2*mncy*(
            +mncG(mncx1,0,mncx2,0,2,0)*mncq9(mnci1)*mncq9(mnci2)
            +mncG(mncx1,0,mncx2,0,2,1)*mncq9.mncq9*d_(mnci1,mnci2)/2
        );
    else;
      id  mncnaar(mncq9?,mncx?)*mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2?*mncFQ(?a) =
            mncnaar(mncq9,mncx)*mncq9.mncq9^2/mncq9.mncq9^mncx1/mncq9.mncq9^mncx2*mncx
            *sum_(mncj,0,integer_(nargs_(?a)/2),mncG(mncx1,0,mncx2,0,nargs_(?a),mncj)
            *mncq9.mncq9^mncj/2^mncj*mncy^mncj)*mncFQ(?a);
    endif;
    #call simplify
    if ( count(mncFQ,1) );
      id  mncy^mncj?*mncFQ(?a) = distrib_(1,2*mncj,mncdel,mncFQ,?a);
      tovector,mncFQ,mncq9;
      id  mncnaar(mncq1?,mncy?) = replace_(mncq9,mncq1);
      id  mncdel(?a) = dd_(?a);
    endif;
  endif;
else;
  multiply ep;
endif;
#call ACCU(First loop integral)
#else
keep brackets;
if ( count(mncint3,1) );
  id  mncint3 = mncint1*mncint2*mncint3;
  if ( match(mncnaar(Q,mnceq,1)) );
    id  mncnaar(Q,mnceq,1) = 1;
    id  mncx^D? = mncp9.mncp9^D/Q.Q^D;
    multiply mncp9.mncp9^4/Q.Q^4;
    if ( count(p8.p8,1) >= 0 ) discard;
    if ( count(mncFQ,1) == 0 );
    id  mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2? =
          1/Q.Q^mncx1/Q.Q^mncx2*Q.Q^2*mnceq*
          mncG(mncx1,2,mncx2,0,0,0);
    elseif ( match(mncFQ(mnci1?)) );
    id  mncint2*mncFQ(mnci1?)/mncp9.mncp9^mncx1?/p8.p8^mncx2? =
          1/Q.Q^mncx1/Q.Q^mncx2*Q.Q^2*mnceq*Q(mnci1)*
          mncG(mncx1,2,mncx2,0,1,0);
    elseif ( match(mncFQ(mnci1?,mnci2?)) );
    id  mncint2*mncFQ(mnci1?,mnci2?)/mncp9.mncp9^mncx1?/p8.p8^mncx2? =
          1/Q.Q^mncx1/Q.Q^mncx2*Q.Q^2*mnceq*
        (mncG(mncx1,2,mncx2,0,2,0)*mncFFPP(mnci1,mnci2)
        +mncG(mncx1-1,2,mncx2,0,0,0)*acc(mncpoch(3,1))*d_(mnci1,mnci2)*Q.Q/2);
    else;
    id  mncint2*mncFQ(?a)/mncp9.mncp9^mncx1?/p8.p8^mncx2? =
          mncFQ(?a)/Q.Q^mncx1/Q.Q^mncx2*Q.Q^2*mnceq*
          sum_(mncs,0,integer_(nargs_(?a)/2),mncG(mncx1-mncs,2,mncx2,0,nargs_(?a)-2*mncs,0)
          *acc(mncpoch(nargs_(?a)+2-mncs,mncs))*Q.Q^mncs
          *sum_(mncj,0,integer_(nargs_(?a)/2)-mncs,sign_(mncj)*Q.Q^mncj
*   the original mncy/4 becomes mncy/2 when we consider the normalization of 
*   the distrib_ to expand the mncFQ.
          *mncy^mncj*mncy^mncs/2^mncj/2^mncs*acc(mncpoch(nargs_(?a)+1-2*mncs,mncj))
          ));
    endif;
    #call simplify
    if ( count(mncFQ,1) );
      id  mncy^mncs?*mncFQ(?a) = fac_(mncs)*distrib_(1,2*mncs,mncdel,mncFQ,?a);
      tovector,mncFQ,Q;
      id  mncdel(?a) = dd_(?a);
    else;
      id mncFFPP(mnci1?,mnci2?) = Q(mnci1)*Q(mnci2) - d_(mnci1,mnci2)*Q.Q/2*acc(mncpoch(3,1));
    endif;
  else;
    Multiply mncstilltodo;
*    id  p8.p8 = mncp9.mncp9-2*mncp9.mncq9+mncq9.mncq9;
*    id,many,p8.p?^n?pos_ = (mncp9.p - mncq9.p)^n;
*    id  mncnaar(mncq1?,mncy?) = mncnaar(mncq1,mncy)*replace_(mncq9,mncq1);
*    repeat;
*      id mncFQ(mncp9) = mncp9.mncp9;
*      id mncFQ(?a,mncp9,?b) = mncFQ(?a,?b)*mncp9.mncp9;
*    endrepeat;
*    totensor,nosquare,mncFQ,mncp9;
*    if ( count(mncFQ,1) == 0 );
*      id  mncnaar(mncq9?,mncy?)*mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2? =
*            mncq9.mncq9^2/mncq9.mncq9^mncx1/mncq9.mncq9^mncx2*mncy
*            *mncG(mncx1,0,mncx2,0,0,0);
*    elseif ( match(mncFQ(mnci1?)) );
*      id  mncnaar(mncq9?,mncy?)*mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2?*mncFQ(mnci1?) =
*            mncq9.mncq9^2/mncq9.mncq9^mncx1/mncq9.mncq9^mncx2*mncy
*            *mncG(mncx1,0,mncx2,0,1,0)*mncq9(mnci1);
*    elseif ( match(mncFQ(mnci1?,mnci2?)) );
*      id  mncnaar(mncq9?,mncy?)*mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2?*mncFQ(mnci1?,mnci2?) =
*            mncq9.mncq9^2/mncq9.mncq9^mncx1/mncq9.mncq9^mncx2*mncy*(
*            +mncG(mncx1,0,mncx2,0,2,0)*mncq9(mnci1)*mncq9(mnci2)
*            +mncG(mncx1,0,mncx2,0,2,1)*mncq9.mncq9*d_(mnci1,mnci2)/2
*        );
*    else;
*      id  mncnaar(mncq9?,mncx?)*mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2?*mncFQ(?a) =
*            mncnaar(mncq9,mncx)*mncq9.mncq9^2/mncq9.mncq9^mncx1/mncq9.mncq9^mncx2*mncx
*            *sum_(mncj,0,integer_(nargs_(?a)/2),mncG(mncx1,0,mncx2,0,nargs_(?a),mncj)
*            *mncq9.mncq9^mncj/2^mncj*mncy^mncj)*mncFQ(?a);
*    endif;
*    #call simplify
*    if ( count(mncFQ,1) );
*      id  mncy^mncj?*mncFQ(?a) = distrib_(1,2*mncj,mncdel,mncFQ,?a);
*      tovector,mncFQ,mncq9;
*      id  mncnaar(mncq1?,mncy?) = replace_(mncq9,mncq1);
*      id  mncdel(?a) = dd_(?a);
*    endif;
  endif;
else;
  multiply ep;
endif;

#call ACCU2(B+ p8 mncp9 mncnaar mncFQ mncx mncint2 mncstilltodo,First loop integral A)
keep brackets;
if ( count(mncstilltodo,1) );
	id	mncstilltodo = 1;
    id  p8.p8 = mncp9.mncp9-2*mncp9.mncq9+mncq9.mncq9;
    id,many,p8.p?^n?pos_ = (mncp9.p - mncq9.p)^n;
    id  mncnaar(mncq1?,mncy?) = mncnaar(mncq1,mncy)*replace_(mncq9,mncq1);
    repeat;
      id mncFQ(mncp9) = mncp9.mncp9;
      id mncFQ(?a,mncp9,?b) = mncFQ(?a,?b)*mncp9.mncp9;
    endrepeat;
    totensor,nosquare,mncFQ,mncp9;
    if ( count(mncFQ,1) == 0 );
      id  mncnaar(mncq9?,mncy?)*mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2? =
            mncq9.mncq9^2/mncq9.mncq9^mncx1/mncq9.mncq9^mncx2*mncy
            *mncG(mncx1,0,mncx2,0,0,0);
    elseif ( match(mncFQ(mnci1?)) );
      id  mncnaar(mncq9?,mncy?)*mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2?*mncFQ(mnci1?) =
            mncq9.mncq9^2/mncq9.mncq9^mncx1/mncq9.mncq9^mncx2*mncy
            *mncG(mncx1,0,mncx2,0,1,0)*mncq9(mnci1);
    elseif ( match(mncFQ(mnci1?,mnci2?)) );
      id  mncnaar(mncq9?,mncy?)*mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2?*mncFQ(mnci1?,mnci2?) =
            mncq9.mncq9^2/mncq9.mncq9^mncx1/mncq9.mncq9^mncx2*mncy*(
            +mncG(mncx1,0,mncx2,0,2,0)*mncq9(mnci1)*mncq9(mnci2)
            +mncG(mncx1,0,mncx2,0,2,1)*mncq9.mncq9*d_(mnci1,mnci2)/2
        );
    else;
      id  mncnaar(mncq9?,mncx?)*mncint2/mncp9.mncp9^mncx1?/p8.p8^mncx2?*mncFQ(?a) =
            mncnaar(mncq9,mncx)*mncq9.mncq9^2/mncq9.mncq9^mncx1/mncq9.mncq9^mncx2*mncx
            *sum_(mncj,0,integer_(nargs_(?a)/2),mncG(mncx1,0,mncx2,0,nargs_(?a),mncj)
            *mncq9.mncq9^mncj/2^mncj*mncy^mncj)*mncFQ(?a);
    endif;
    #call simplify
    if ( count(mncFQ,1) );
      id  mncy^mncj?*mncFQ(?a) = distrib_(1,2*mncj,mncdel,mncFQ,?a);
      tovector,mncFQ,mncq9;
      id  mncnaar(mncq1?,mncy?) = replace_(mncq9,mncq1);
      id  mncdel(?a) = dd_(?a);
    endif;
endif;
#call ACCU(First loop integral B)
#endif
*--#] First loop integral :
#call dotwo{}
#call ACCU(Simplify mncG\(3\))
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
#call finish(3,`SCHEME')
*
#break
*--#] no :
*--#[ o1 :
#case o1
*
*   Integral of type O1.
*
#call ObviouslyZero(`TOPO1')
id  p7.mncq1?!{p7} = p5.mncq1-p6.mncq1;
id  p5.p6 = p5.p5/2+p6.p6/2-p7.p7/2;
#call ObviouslyZero(`TOPO1')
#call ACCU(Momenta 1)
multiply mncint1*mncint2*mncint3*Q.Q;
#call one(p6,p7,p5,mnce6,mnce7,mnce5,mncint2)
#call ACCU2(B mncG,Integral 1)
Keep Brackets;
#call simplify
#call ACCU(Simplify 1)
*
*   The rest is standard. Note that the momenta that still exist
*   have to be called p1,p3,p4,p6,p7.
*
multiply replace_(p2,p3,p3,p4,p4,p6,p5,p7,mnce5,mnce7);
#call dotwo{}
#call ACCU(Simplify mncG\(3\))
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
#call finish(3,`SCHEME')
*
#break
*--#] o1 :
*--#[ o2 :
#case o2
*
*   Integral of type O2.
*
#call ObviouslyZero(`TOPO1')
id,many,p7.mncq1?!{p7} = p4.mncq1-p6.mncq1;
id  p4.p6 = p4.p4/2+p6.p6/2-p7.p7/2;
#call ObviouslyZero(`TOPO1')
#call ACCU(Momenta 1)
multiply mncint1*mncint2*mncint3*Q.Q;
#call one(p6,p7,p4,mnce6,mnce7,mnce4,mncint2)
#call ACCU2(B mncG,Integral 1)
Keep Brackets;
#call simplify
#call ACCU(Simplify 1)
*
*   The rest is standard. Note that the momenta that still exist
*   have to be called p1,p3,p4,p6,p7.
*
multiply replace_(p2,p3,p3,p4,p4,p6,p5,p7,mnce4,mnce6);
#call dotwo{}
#call ACCU(Simplify mncG\(3\))
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
#call finish(3,`SCHEME')
*
#break
*--#] o2 :
*--#[ o3 :
#case o3
*
*   Integral of type O3.
*
#call ObviouslyZero(`TOPO1')
id,many,p7.p?!{p7} = Q.p-p6.p;
id  Q.p6 = Q.Q/2+p6.p6/2-p7.p7/2;
#call ObviouslyZero(`TOPO1')
#call ACCU(Momenta 1)
multiply mncint1*mncint2*mncint3*Q.Q;
#call one(p6,p7,Q,mnce6,mnce7,mnceq,mncint2)
#call ACCU2(B mncG,Integral 1)
Keep Brackets;
#call simplify
#call ACCU(Simplify 1)
*
*   The rest is standard. Note that the momenta that still exist
*   have to be called p1,p3,p4,p6,p7.
*
multiply replace_(p2,p3,p3,p4,p4,p6,p5,p7);
#call dotwo{}
#call ACCU(Simplify mncG\(3\))
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
#call finish(3,`SCHEME')
*
#break
*--#] o3 :
*--#[ o4 :
#case o4
*
*   Integral of type O4
*   Note that this is a hacked up version of BE
*   The multiplicative constant is for the Bjorken sumrule
*
#call ObviouslyZero(`TOPO1')
id  p6.p1 = p1.p1/2+p6.p6/2-p4.p4/2;
#call ObviouslyZero(`TOPO1')
#call ACCU(scalars 1)
id  p6.p2 = p2.p2/2+p6.p6/2-p3.p3/2;
#call ObviouslyZero(`TOPO1')
#call ACCU(scalars 2)
id  p1.p2 = p1.p1/2+p2.p2/2-p5.p5/2;
#call ObviouslyZero(`TOPO1')
#call ACCU(scalars 3)
id  Q.p6 = Q.Q/2+p6.p6/2-p7.p7/2;
#call ObviouslyZero(`TOPO1')
#call ACCU(scalars 4)
id,many,mncq1?{p1,p2,p3,p4,p5}.mncq2?{p1,p2,p3,p4,p5}^mncx1?
        = mncq1.mncq2^mncx1*p6.p6^mncx1/Q.Q^mncx1;
totensor,nosquare,mncFQ,Q;
#call ACCU2(B p6 p7 mncFQ,Prepare first loop)
keep brackets;
multiply mncint1*mncint2*mncint3*mnce6^2/mnceq^2*p6.p6^4/Q.Q^3;
if ( count(mncFQ,1) == 0 );
   id  mncint2/p6.p6^mncx1?/p7.p7^mncx2?*mnce6^mncy1? =
        1/Q.Q^mncx1/Q.Q^mncx2*Q.Q^2*mnceq*mnceq^mncy1*
        mncG(mncx1,mncy1,mncx2,0,0,0);
   #call simplify
elseif ( match(mncFQ(mnci1?)) );
   id  mncint2*mncFQ(mnci1?)/p6.p6^mncx1?/p7.p7^mncx2?*mnce6^mncy1? =
        1/Q.Q^mncx1/Q.Q^mncx2*Q.Q^2*mnceq*mnceq^mncy1*Q(mnci1)*
        mncG(mncx1,mncy1,mncx2,0,1,0);
   #call simplify
elseif ( match(mncFQ(mnci1?,mnci2?)) );
   id  mncint2*mncFQ(mnci1?,mnci2?)/p6.p6^mncx1?/p7.p7^mncx2?*mnce6^mncy1? =
        1/Q.Q^mncx1/Q.Q^mncx2*Q.Q^2*mnceq*mnceq^mncy1*
        (mncG(mncx1,mncy1,mncx2,0,2,0)*Q(mnci1)*Q(mnci2)
        -mncG(mncx1,mncy1,mncx2,0,2,0)*d_(mnci1,mnci2)*Q.Q/2*acc(mncpoch(3,1))
        +mncG(mncx1-1,mncy1,mncx2,0,0,0)*acc(mncpoch(3,1))*d_(mnci1,mnci2)*Q.Q/2);
   #call simplify
else;
   id  mncint2*mncFQ(?a)/p6.p6^mncx1?/p7.p7^mncx2?*mnce6^mncy1? =
        mncFQ(?a)/Q.Q^mncx1/Q.Q^mncx2*Q.Q^2*mnceq*mnceq^mncy1*
        sum_(mncs,0,integer_(nargs_(?a)/2),mncG(mncx1-mncs,mncy1,mncx2,0,nargs_(?a)-2*mncs,0)
        *acc(mncpoch(nargs_(?a)+2-mncs,mncs))*Q.Q^mncs
        *sum_(mncj,0,integer_(nargs_(?a)/2)-mncs,sign_(mncj)*Q.Q^mncj
*   the original mncy/4 becomes mncy/2 when we consider the normalization of 
*   the distrib_ to expand the mncFQ.
        *mncy^mncj*mncy^mncs/2^mncj/2^mncs*acc(mncpoch(nargs_(?a)+1-2*mncs,mncj))
        ));
   #call simplify
   id  mncy^mncs?*mncFQ(?a) = fac_(mncs)*distrib_(1,2*mncs,mncdel,mncFQ,?a);
   tovector,mncFQ,Q;
   id  mncdel(?a) = dd_(?a);
endif;

*#call one4(p6,p7,Q,mnce6,mnce7,mnceq,p1,p2,p3,p4,p5,mncint2)
#call ACCU(First loop integral)
*#call simplify
*#call ACCU(Simplify first mncG)
*
*   The rest is standard. Note that the momenta that still exist
*   have to be called p1,p3,p4,p6,p7.
*
multiply replace_(p2,p3,p3,p4,p4,p6,p5,p7);
#call dotwo{}
#call ACCU(Simplify mncG\(3\));
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
#call finish(3,`SCHEME')
*
#break
*--#] o4 :
*--#[ o5 :
#case o5
*
*   Integral of type O5 which is a flipped version of O2.
*
#call ObviouslyZero(`TOPO1')
id  p7.p?!{p7} = p3-p6;
id  p3.p6 = p3.p3/2+p6.p6/2-p7.p7/2;
#call ObviouslyZero(`TOPO1')
#call ACCU(Momenta 1)
multiply mncint1*mncint2*mncint3*Q.Q;
#call one(p6,p7,p3,mnce6,mnce7,mnce3,mncint2)
#call ACCU2(B mncG,Integral 1)
Keep Brackets;
#call simplify
#call ACCU(Simplify 1)
*
*   The rest is standard. Note that the momenta that still exist
*   have to be called p1,p3,p4,p6,p7.
*
multiply replace_(p2,p3,p3,p4,p4,p6,p5,p7,mnce3,mnce4);
#call dotwo{}
#call ACCU(Simplify mncG\(3\))
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
#call finish(3,`SCHEME')
*
#break
*--#] o5 :
*--#[ o6 :
#case o6
*
*   Integral of type O3.
*
#call ObviouslyZero(`TOPO1')
id,many,p7.p?!{p7} = Q.p-p6.p;
id  Q.p6 = Q.Q/2+p6.p6/2-p7.p7/2;
#call ObviouslyZero(`TOPO1')
#call ACCU(Momenta 1)
multiply mncint1*mncint2*mncint3*Q.Q;
#call one(p6,p7,Q,mnce6,mnce7,mnceq,mncint2)
#call ACCU2(B mncG,Integral 1)
Keep Brackets;
#call simplify
#call ACCU(Simplify 1)
*
*   The rest is standard. Note that the momenta that still exist
*   have to be called p1,p3,p4,p6,p7.
*
multiply replace_(p2,p3,p3,p4,p4,p6,p5,p7);
#call dotwo{}
#call ACCU(Simplify mncG\(3\))
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
#call finish(3,`SCHEME')
*
#break
*--#] o6 :
*--#[ y1 :
#case y1
*
*   File inpy1 does 3-loop diagrams of type Y1.
*   The algorithm here is designed especially for these diagrams
*   so that things may proceed faster.
*
#call ObviouslyZero(`TOPO1')
id  p1.p3 = p1.p1/2+p3.p3/2-p4.p4/2;
id  p2.p5 = p2.p2/2+p5.p5/2-p6.p6/2;
#call ObviouslyZero(`TOPO1')
#call ACCU(Momenta substitutions)
multiply mncint1*mncint2*mncint3/mnceq^3;
#call one(p3,p4,p1,mnce3,mnce4,mnce1,mncint1)
#call ACCU2(B mncG,integral 1)
Keep Brackets;
#call simplify
#call ACCU(Simplify 1)
#call one(p5,p6,p2,mnce5,mnce6,mnce2,mncint2)
#call ACCU2(B mncG mncexp10 mncexp20 mncexp11,integral 2)
Keep Brackets;
#call simplify
#call ACCU(Simplify 2)
id  p2.mncq1?!{p2} = Q.mncq1-p1.mncq1;
id  Q.p1 = Q.Q/2+p1.p1/2-p2.p2/2;
#call ACCU(Momenta 3)
#call one(p1,p2,Q,mnce1,mnce2,mnceq,mncint3)
#call ACCU2(B mncG mncexp10 mncexp20 mncexp11,integral 3)
Keep Brackets;
#call simplify
#call ACCU(Simplify 3)
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
#call finish(3,`SCHEME')
*
#break
*--#] y1 :
*--#[ y2 :
#case y2
*
*   File inpy2 does 3-loop diagrams of type Y2.
*   The algorithm here is designed especially for these diagrams
*   so that things may proceed faster.
*
#call ObviouslyZero(`TOPO1')
id  p1.p3 = p1.p1/2+p3.p3/2-p4.p4/2;
id  p1.p5 = p1.p1/2+p5.p5/2-p6.p6/2;
#call ObviouslyZero(`TOPO1')
#call ACCU(Momenta substitutions)
multiply mncint1*mncint2*mncint3/mnceq^3;
#call one(p3,p4,p1,mnce3,mnce4,mnce1,mncint1)
#call ACCU2(B mncG,integral 1)
Keep Brackets;
#call simplify
#call ACCU(Simplify 1)
#call one(p5,p6,p1,mnce5,mnce6,mnce1,mncint2)
#call ACCU2(B mncG mncexp10 mncexp20 mncexp11,integral 2)
Keep Brackets;
#call simplify
#call ACCU(Simplify 2)
id  p2.mncq1?!{p2} = Q.mncq1-p1.mncq1;
id  Q.p1 = Q.Q/2+p1.p1/2-p2.p2/2;
#call ACCU(Momenta 3)
#call one(p1,p2,Q,mnce1,mnce2,mnceq,mncint3)
#call ACCU2(B mncG mncexp10 mncexp20 mncexp11,integral 3)
Keep Brackets;
#call simplify
#call ACCU(Simplify 3)
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
#call finish(3,`SCHEME')
*
#break
*--#] y2 :
*--#[ y3 :
#case y3
*
*   File inpy3 does 3-loop diagrams of type Y3.
*   The algorithm here is designed especially for these diagrams
*   so that things may proceed faster.
*
#call ObviouslyZero(`TOPO1')
id  p2.mncq1?!{p2} = Q.mncq1-p1.mncq1;
id	p4.mncq1?!{p4} = p1.mncq1-p3.mncq1;
id	p6.mncq1?!{p6} = p3.mncq1-p5.mncq1;
#call ObviouslyZero(`TOPO1')
id  p1.p3 = p1.p1/2+p3.p3/2-p4.p4/2;
id  p3.p5 = p3.p3/2+p5.p5/2-p6.p6/2;
#call ObviouslyZero(`TOPO1')
#call ACCU(Momenta substitutions)
multiply mncint1*mncint2*mncint3/mnceq^3;
#call one(p5,p6,p3,mnce5,mnce6,mnce3,mncint1)
#call ACCU2(B mncG,Integral 1)
Keep Brackets;
#call simplify
#call ACCU(Simplify 1)
id  p1.p3 = p1.p1/2+p3.p3/2-p4.p4/2;
if ( count(p4.p4,1) >= 0 ) discard;
#call one(p3,p4,p1,mnce3,mnce4,mnce1,mncint2)
#call ACCU2(B mncG mncexp10 mncexp20 mncexp11,Integral 2)
Keep Brackets;
#call simplify
#call ACCU(Simplify 2)
id  Q.p1 = Q.Q/2+p1.p1/2-p2.p2/2;
#call ACCU(Momenta 3)
#call one(p1,p2,Q,mnce1,mnce2,mnceq,mncint3)
#call ACCU2(B mncG mncexp10 mncexp20 mncexp11,integral 3)
Keep Brackets;
#call simplify
#call ACCU(Simplify 3)
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
#call finish(3,`SCHEME')
*
#break
*--#] y3 :
*--#[ y4 :
#case y4
*
*   File inpy4 does 3-loop diagrams of type Y4.
*   The algorithm here is designed especially for these diagrams
*   so that things may proceed faster.
*
#call ObviouslyZero(`TOPO1')
id  p1.p3 = p1.p1/2+p3.p3/2-p4.p4/2;
id  Q.p5 = Q.Q/2+p5.p5/2-p6.p6/2;
#call ObviouslyZero(`TOPO1')
#call ACCU(Momenta substitutions)
multiply mncint1*mncint2*mncint3/mnceq^3;
#call one(p5,p6,Q,mnce5,mnce6,mnceq,mncint1)
#call ACCU2(B mncG,integral 1)
Keep Brackets;
#call simplify
#call ACCU(Simplify 1)
#call one(p3,p4,p1,mnce3,mnce4,mnce1,mncint2)
#call ACCU2(B mncG mncexp10 mncexp20 mncexp11,integral 2)
Keep Brackets;
#call simplify
#call ACCU(Simplify 2)
id  p2.mncq1?!{p2} = Q.mncq1-p1.mncq1;
id  Q.p1 = Q.Q/2+p1.p1/2-p2.p2/2;
if ( count(p2.p2,1) >= 0 ) discard;
#call ACCU(Momenta 3)
#call one(p1,p2,Q,mnce1,mnce2,mnceq,mncint3)
#call ACCU2(B mncG mncexp10 mncexp20 mncexp11,integral3)
Keep Brackets;
#call simplify
#call ACCU(Simplify 3)
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
#call finish(3,`SCHEME')
*
#break
*--#] y4 :
*--#[ y5 :
#case y5
*
*   File inpy5 does 3-loop diagrams of type Y5.
*   The algorithm here is designed especially for these diagrams
*   so that things may proceed faster.
*
#call ObviouslyZero(`TOPO1')
id	p2.mncq1?!{p2} = Q.mncq1-p1.mncq1;
id	p4.mncq1?!{p4} = Q.mncq1-p3.mncq1;
id	p6.mncq1?!{p6} = Q.mncq1-p5.mncq1;
#call ObviouslyZero(`TOPO1')
id  Q.p1 = Q.Q/2+p1.p1/2-p2.p2/2;
#call ObviouslyZero(`TOPO1')
id  Q.p3 = Q.Q/2+p3.p3/2-p4.p4/2;
#call ObviouslyZero(`TOPO1')
id  Q.p5 = Q.Q/2+p5.p5/2-p6.p6/2;
#call ObviouslyZero(`TOPO1')
#call ACCU(Momenta substitutions)
multiply mncint1*mncint2*mncint3/mnceq^3;
#call one(p3,p4,Q,mnce3,mnce4,mnceq,mncint1)
id  Q.p1 = Q.Q/2+p1.p1/2-p2.p2/2;
id  Q.p5 = Q.Q/2+p5.p5/2-p6.p6/2;
if ( ( count(p1.p1,1) >= 0 ) || ( count(p2.p2,1) >= 0 )
  || ( count(p5.p5,1) >= 0 ) || ( count(p6.p6,1) >= 0 ) ) discard;
#call ACCU2(B mncG,integral 1)
Keep Brackets;
#call simplify
#call ACCU(Simplify 1)
#call one(p5,p6,Q,mnce5,mnce6,mnceq,mncint2)
#call ACCU2(B mncG mncexp10 mncexp20 mncexp11,integral 2)
Keep Brackets;
#call simplify
#call ACCU(Simplify 2)
*id  p2.mncq1?!{p2} = Q.mncq1-p1.mncq1;
id  Q.p1 = Q.Q/2+p1.p1/2-p2.p2/2;
if ( ( count(p1.p1,1) >= 0 ) || ( count(p2.p2,1) >= 0 ) ) discard;
#call ACCU(Momenta 3)
#call one(p1,p2,Q,mnce1,mnce2,mnceq,mncint3)
#call ACCU2(B mncG mncexp10 mncexp20 mncexp11,integral3)
Keep Brackets;
#call simplify
#call ACCU(Simplify 3)
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
#call finish(3,`SCHEME')
*
#break
*--#] y5 :
*--#[ y6 :
#case y6
*
*   File inpy4 does 3-loop diagrams of type Y6. (flipped Y4)
*   The algorithm here is designed especially for these diagrams
*   so that things may proceed faster.
*
#call ObviouslyZero(`TOPO1')
id  p1.p3 = p1.p1/2+p3.p3/2-p4.p4/2;
id  Q.p5 = Q.Q/2+p5.p5/2-p6.p6/2;
#call ObviouslyZero(`TOPO1')
#call ACCU(Momenta substitutions)
multiply mncint1*mncint2*mncint3/mnceq^3;
#call one(p5,p6,Q,mnce5,mnce6,mnceq,mncint1)
#call ACCU2(B mncG,integral 1)
Keep Brackets;
#call simplify
#call ACCU(Simplify 1)
#call one(p3,p4,p1,mnce3,mnce4,mnce1,mncint2)
#call ACCU2(B mncG mncexp10 mncexp20 mncexp11,integral 2)
Keep Brackets;
#call simplify
#call ACCU(Simplify 2)
id  p2.mncq1?!{p2} = Q.mncq1-p1.mncq1;
id  Q.p1 = Q.Q/2+p1.p1/2-p2.p2/2;
if ( count(p2.p2,1) >= 0 ) discard;
#call ACCU(Momenta 3)
#call one(p1,p2,Q,mnce1,mnce2,mnceq,mncint3)
#call ACCU2(B mncG mncexp10 mncexp20 mncexp11,integral3)
Keep Brackets;
#call simplify
#call ACCU(Simplify 3)
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
#call finish(3,`SCHEME')
*
#break
*--#] y6 :
*--#[ t1 :
#case t1
*
*   This is inpt1. It does two loop topologies of type T1.
*
multiply replace_(p2,p3,p3,p4,p4,p6,p5,p7,mnce2,mnce3,mnce3,mnce4,mnce4,mnce6,mnce5,mnce7)
     *mncint1*mncint3*Q.Q*mnceq;
*Print +f ">%t";
#call dotwo{}
;
*#message We are at the print statement
#call ACCU(Simplify mncG\(3\))
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
*   Now approximate and convert to MSbar.
*
#call finish(2,`SCHEME')
multiply ep;
*
#break
*--#] t1 :
*--#[ t2 :
#case t2
*
*   This is inpt2. It does two loop topologies of type T2.
*
multiply mncint1*mncint2/mnceq^2;
if ( count(mnce3,1) < count(mnce4,1) ) multiply replace_(p3,p4,p4,p3,mnce3,mnce4,mnce4,mnce3);
id  p4.mncq1?!{p4} = p1.mncq1-p3.mncq1;
id  p1.p3 = p1.p1/2+p3.p3/2-p4.p4/2;
if ( ( count(p3.p3,1) >= 0 ) && ( count(mnce3,1) == 0 ) ) discard;
if ( ( count(p4.p4,1) >= 0 ) && ( count(mnce4,1) == 0 ) ) discard;
#call ACCU(momenta)
#call one(p3,p4,p1,mnce3,mnce4,mnce1,mncint1)
#call ACCU2(B mncG mncexp10 mncexp20 mncexp11,integral 1)
Keep Brackets;
#call simplify
#call ACCU(simplify 1)
id  p2.mncq1?!{p2} = Q.mncq1-p1.mncq1;
id  Q.p1 = Q.Q/2+p1.p1/2-p2.p2/2;
if ( ( count(p2.p2,1) >= 0 ) && ( count(mnce2,1) == 0 ) ) discard;
#call ACCU(momenta 2)
#call one(p1,p2,Q,mnce1,mnce2,mnceq,mncint2)
#call ACCU2(B mncG mncexp10 mncexp20 mncexp11,integral 2)
Keep Brackets;
#call simplify
#call ACCU(Simplify 2)
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
*   Now approximate and convert to MSbar.
*
#call finish(2,`SCHEME')
multiply ep;
*
#break
*--#] t2 :
*--#[ t3 :
#case t3
*
*   This is inpt3. It does two loop topologies of type T3.
*
multiply mncint1*mncint2/mnceq^2;
id  p2.mncq1?!{p2} = Q.mncq1-p1.mncq1;
id  p4.mncq1?!{p4} = Q.mncq1-p3.mncq1;
id  Q.p1 = p1.p1/2+Q.Q/2-p2.p2/2;
id  Q.p3 = p3.p3/2+Q.Q/2-p4.p4/2;
if ( ( count(p1.p1,1) >= 0 ) && ( count(mnce1,1) == 0 ) ) discard;
if ( ( count(p2.p2,1) >= 0 ) && ( count(mnce2,1) == 0 ) ) discard;
if ( ( count(p3.p3,1) >= 0 ) && ( count(mnce3,1) == 0 ) ) discard;
if ( ( count(p4.p4,1) >= 0 ) && ( count(mnce4,1) == 0 ) ) discard;
#call ACCU(momenta 1)
#call one(p3,p4,Q,mnce3,mnce4,mnceq,mncint2)
#call ACCU2(B mncG mncexp10 mncexp20 mncexp11,integral 1)
Keep Brackets;
#call simplify
#call ACCU(Simplify 1)
id  Q.p1 = p1.p1/2+Q.Q/2-p2.p2/2;
if ( ( count(p1.p1,1) >= 0 ) && ( count(mnce1,1) == 0 ) ) discard;
if ( ( count(p2.p2,1) >= 0 ) && ( count(mnce2,1) == 0 ) ) discard;
#call ACCU(momenta 2)
#call one(p1,p2,Q,mnce1,mnce2,mnceq,mncint1)
#call ACCU2(B mncG mncexp10 mncexp20 mncexp11,integral 2)
Keep Brackets;
#call simplify
#call ACCU(Simplify 2)
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
#call finish(2,`SCHEME')
multiply ep;
*
#break
*--#] t3 :
*--#[ l1 :
#case l1
*
*   This is inpl1. It does the one loop topology of type L1.
*
multiply mncint1/mnceq;
id  Q.p1 = Q.Q/2+p1.p1/2-p2.p2/2;
.sort:prepare 1;
id  Q.p2 = Q.Q/2-p1.p1/2+p2.p2/2;
.sort:prepare 2;
id	p1.p2 = Q.Q/2-p1.p1/2-p2.p2/2;
.sort:prepare 3;
id	P.p2 = Q.P-P.p1;
.sort:prepare 4;
#call one(p1,p2,Q,mnce1,mnce2,mnceq,mncint1)
#call ACCU(integral 1)
#call simplify
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
*   Now approximate and convert to MSbar.
*
#call finish(1,`SCHEME')
multiply ep^2;
*
#break
*--#] l1 :
*--#[ l2 :
#case l2
*
*   This is file inpl2. It does topologies of type L2 which are
*   meant to have an entire expanded gluon propagator in two loops.
*   It is done to avoid enormous problems with the gluon insertion
*   inside the three loop graph.
*
multiply mnce2^2*mncint1/ep^5/mnceq^3;
id  p2.p2 = Q.Q-2*Q.p1+p1.p1;
id,many,p2.p?^n?pos_ = (Q.p-p1.p)^n;
id  Q.p1 = Q.Q/2+p1.p1/2-p2.p2/2;
if ( count(p1.p1,1) >= 0 ) discard;
#call one(p1,p2,Q,mnce1,mnce2,mnceq,mncint1)
#call ACCU(integral 1)
#call simplify
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-1;
id  acc(mncx1?) = mncx1;
.sort
#call finish(1,`SCHEME')
multiply,ep^2;
print +f +s;
B   ep;
.sort
multiply,
       + ep^-2*ca*nf * (  - 55/18 - 1/3*mncxi )
       + ep^-2*ca^2 * ( 175/36 + 35/24*mncxi )
       + ep^-2*nf^2 * ( 4/9 )
       + ep^-1*cf*nf * (  - 1 )
       + ep^-1*ca*nf * (  - 1199/108 - 2/9*mncxi )
       + ep^-1*ca^2 * ( 4229/216 - 97/144*mncxi + 5/8*mncxi^2 - 1/8*mncxi^3 )
       + ep^-1*nf^2 * ( 40/27 )
       + ep*cf*nf * (  - 1711/36 + 76/3*z3 + 12*z4 )
       + ep*ca*nf * (  - 337315/3888 + 50/9*z3*mncxi + 286/27*z3 - 6*z4 + 37/81*
         mncxi )
       + ep*ca^2 * ( 1659373/7776 - 134/9*z3*mncxi - 3/2*z3*mncxi^2 - 1184/27*z3 - 3
         *z4*mncxi - 3/2*z4 - 165073/5184*mncxi + 113/8*mncxi^2 - 33/16*mncxi^3 )
       + ep*nf^2 * ( 2432/243 - 56/27*z3 )
       + cf*nf * (  - 55/6 + 8*z3 )
       + ca*nf * (  - 2371/72 - 4*z3 + 5/27*mncxi )
       + ca^2 * ( 9821/144 - 2*z3*mncxi - z3 - 6121/864*mncxi + 27/8*mncxi^2 - 9/16*
         mncxi^3 )
       + nf^2 * ( 4 );
id  ep^{1+`CUTOFF'} = 0;
*
#break
*--#] l2 :
*--#[ l3 :
#case l3
*
*   This is file inpl3. It does topologies of type L3 which are
*   meant to have an entire expanded gluon propagator in one loop.
*   It is done to avoid enormous problems with the gluon insertion
*   inside the two loop graph.
*
multiply mnce1*mncint1/ep^5/mnceq^2;
id	p2.p2 = Q.Q-2*Q.p1+p1.p1;
id,many,p2.p?^n?pos_ = (Q.p-p1.p)^n;
id  Q.p1 = Q.Q/2+p1.p1/2-p2.p2/2;
if ( count(p2.p2,1) >= 0 ) discard;
#call one(p1,p2,Q,mnce1,mnce2,mnceq,mncint1)

#call ACCU(integral 1)
#call simplify
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
multiply ep^-1;
id  acc(mncx1?) = mncx1;

.sort
#call finish(1,`SCHEME')
multiply,ep;

*B  ep;
.sort
multiply,ep^-1*(
    +ca*(5/3+mncxi/2-ep*mncxi+ep*mncxi^2/4+31/9*ep-2*ep^2*mncxi+ep^2*mncxi^2/2+188/27*ep^2
        -7/6*ep^3*z3*mncxi-35/9*ep^3*z3-4*ep^3*mncxi+ep^3*mncxi^2+1132/81*ep^3)
    +nf*(-2/3-10/9*ep-56/27*ep^2+14/9*ep^3*z3-328/81*ep^3));
id  ep^{1+`CUTOFF'} = 0;
multiply ep;
*
#break
*--#] l3 :
*--#[ tr :
#case tr
*
*   This is inptr. It does the tree level topology tr.
*
multiply 1/ep^6;
id  acc(mncx1?) = mncx1;
id  ep^{1+`CUTOFF'} = 0;
.sort: Expression G scheme;
*
*   Now approximate and convert to MSbar.
*
#call finish(0,`SCHEME')
multiply ep^3;
*
#break
*--#] tr :
#endswitch
*
#endprocedure
*--#] integral :
*--#[ intpow :
#procedure intpow(TOPO)
#switch `TOPO'
#case la
#case be
#case no
#case fa
#case bu
#case o1
#case o2
#case o3
#case o4
#case o5
#case o6
#case y1
#case y2
#case y3
#case y4
#case y5
#case y6
Multiply,i_^3;
#break
#case t1
#case t2
#case t3
Multiply,i_^2;
#break
#case l1
#case l2
#case l3
Multiply,i_;
#break
#endswitch
#endprocedure

*--#] intpow :
*--#[ ladder :
#procedure ladder(P1,P2,P3,P4,P5,P6,P7,P8,Q)
*
*   Reduction procedure for three loop graphs of the LA or ladder type.
*   Notation is from S.G.Gorishny et.al. Comp.Phys.Comm 55(1989)381
*
*                     /-<------<-----<-\
*                 P1 /    |   P2   |    \ P3
*                   /     |        |     \
*                  /      |        |      \
*                 /       |        |       \
*          Q --<--     P7 ^        v P8     --<-- Q
*                 \       |        |       /
*                  \      |        |      / 
*                   \     |        |     /
*                 P6 \    |   P5   |    / P4
*                     \->------>----->-/
*
*   We start with reducing the dotproducts in the numerator to sums
*   of denominators. Only one dotproduct is irreducible: P7.P8
*   The easiest reduction (and quite fast) is by writing everything
*   in terms of Q,P1,P2,P3 and then rewriting
*   the few remaining dotproducts in terms of denominators.
*   There are variations to this principle.
*
*   Routine coded and tested by J.A.M.Vermaseren 8-jul-1990.
*   modified 13-nov-1990. Variations added april 1993.
*   Backward reduction added 15-may-1993
*
#switch `LATRANS'
*--#[ 0 : Q,p1,p2,p3
#case 0
*
*	Q,p1,p2,p3 with symmetries. Eventually p1.p3 -> p7.p8
*
  #call ObviouslyZero(la)
    #call SlowSub(4,`Q'.`P3',`P3'.`P3'/2-`P4'.`P4'/2+`Q'.`Q'/2,\
 `Q'.`P3' `P3'.`P3' `P4'.`P4' `Q'.`Q',Harmonics,Ladder scalar 1 \(`LATRANS'\))
  #call ObviouslyZero(la)
    #call SlowSub(4,`Q'.`P2',`P2'.`P2'/2+`Q'.`Q'/2-`P5'.`P5'/2,\
 `Q'.`P2' `P2'.`P2' `Q'.`Q' `P5'.`P5',Ladder scalar 1 \(`LATRANS'\),Ladder scalar 2 \(`LATRANS'\))
  #call ObviouslyZero(la)
    #call SlowSub(4,`Q'.`P1',`P1'.`P1'/2-`P6'.`P6'/2+`Q'.`Q'/2,\
 `Q'.`P1' `P1'.`P1' `P6'.`P6' `Q'.`Q',Ladder scalar 2 \(`LATRANS'\),Ladder scalar 3 \(`LATRANS'\))

  #call ObviouslyZero(la)
  #call ACCU2A(`P1'.`P2' `P1'.`P1' `P2'.`P2' `P7'.`P7',Ladder scalar 3)
    id  `P1'.`P2' = `P1'.`P1'/2+`P2'.`P2'/2-`P7'.`P7'/2;
  #call ObviouslyZero(la)
  #call ACCU2A(`P2'.`P3' `P3'.`P3' `P2'.`P2' `P8'.`P8',Ladder scalar 4)
    id  `P2'.`P3' = `P3'.`P3'/2+`P2'.`P2'/2-`P8'.`P8'/2;
 
  #call ObviouslyZero(la)
    #call SlowSub(4,`P1'.`P3',`P1'.`P1'/2+`P3'.`P3'/2-`P7'.`P7'/2-`P8'.`P8'/2+`P7'.`P8',\
 `P1'.`P1' `P3'.`P3' `P7'.`P7' `P8'.`P8' `P7'.`P8',Ladder scalar 5 \(`LATRANS'\),Ladder scalar 6 \(`LATRANS'\))

  #call ObviouslyZero(la)
    if ( count(`P7'.`P7',1) > count(`P8'.`P8',1) );
      multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
       ,`P7',`P8',`P8',`P7');
    elseif ( count(`P7'.`P7',1) == count(`P8'.`P8',1) );
      if ( count(`P1'.`P1',1) > count(`P3'.`P3',1) );
        multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
           ,`P7',`P8',`P8',`P7');
      elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
        if ( count(`P6'.`P6',1) > count(`P4'.`P4',1) )
            multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
               ,`P7',`P8',`P8',`P7');
      endif;
    endif;

    #call ACCU(Ladder scalar 6)

*  	#$maxpow = 0;
*  	if ( count(`Q'.`P1',1,`Q'.`P2',1,`Q'.`P3',1) > $maxpow ) $maxpow = count_(`Q'.`P1',1,`Q'.`P2',1,`Q'.`P3',1);
*  	ModuleOption maximum,$maxpow;
*  	.sort(PolyFun=acc):Ladder scalar 3 \(`LATRANS'\);
*  	#do i = `$maxpow',2,-1
*  		if ( count(`Q'.`P1',1,`Q'.`P2',1,`Q'.`P3',1) == `i' );
*			if ( ( count(`Q'.`P1',1) >= count(`Q'.`P2',1) ) &&
*			     ( count(`Q'.`P1',1) >= count(`Q'.`P3',1) ) );
*			    id,once,`Q'.`P1' = `P1'.`P1'/2-`P6'.`P6'/2+`Q'.`Q'/2;
*			elseif ( count(`Q'.`P2',1) >= count(`Q'.`P3',1) );
*			    id,once,`Q'.`P2' = `P2'.`P2'/2+`Q'.`Q'/2-`P5'.`P5'/2;
*			else;
*			    id,once,`Q'.`P3' = `P3'.`P3'/2-`P4'.`P4'/2+`Q'.`Q'/2;
*			endif;
*  		endif;
*  		.sort(PolyFun=acc):Ladder scalar 4,{`i'-1} \(`LATRANS'\);
*  	#enddo
*    id  `Q'.`P1' = `P1'.`P1'/2-`P6'.`P6'/2+`Q'.`Q'/2;
*    id  `Q'.`P2' = `P2'.`P2'/2+`Q'.`Q'/2-`P5'.`P5'/2;
*    id  `Q'.`P3' = `P3'.`P3'/2-`P4'.`P4'/2+`Q'.`Q'/2;
#break
*--#] 0 :
*--#[ 1 : Q,p2,p3,p7
#case 1
*
*	Q,p2,p3,p7
*
  #call ObviouslyZero(la)
  #call ACCU2A(`P2'.`P7' `P1'.`P1' `P2'.`P2' `P7'.`P7',Harmonics)
    id  `P2'.`P7' = `P1'.`P1'/2-`P2'.`P2'/2-`P7'.`P7'/2;
  #call ObviouslyZero(la)
  #call ACCU2A(`P2'.`P3' `P3'.`P3' `P2'.`P2' `P8'.`P8',Ladder scalar 1)
    id  `P2'.`P3' = `P3'.`P3'/2+`P2'.`P2'/2-`P8'.`P8'/2;
  #call ObviouslyZero(la)

    #call SlowSub(4,`Q'.`P3',`P3'.`P3'/2-`P4'.`P4'/2+`Q'.`Q'/2,\
 `Q'.`P3' `P3'.`P3' `P4'.`P4' `Q'.`Q',Ladder scalar 2\(`LATRANS'\),Ladder scalar 3\(`LATRANS'\))
  #call ObviouslyZero(la)
    #call SlowSub(4,`Q'.`P2',`P2'.`P2'/2+`Q'.`Q'/2-`P5'.`P5'/2,\
 `Q'.`P2' `P2'.`P2' `Q'.`Q' `P5'.`P5',Ladder scalar 3\(`LATRANS'\),Ladder scalar 4\(`LATRANS'\))
  #call ObviouslyZero(la)
    #call SlowSub(4,`Q'.`P7',`P1'.`P1'/2-`P2'.`P2'/2+`P5'.`P5'/2-`P6'.`P6'/2,\
 `Q'.`P7' `P1'.`P1' `P2'.`P2' `P5'.`P5' `P6'.`P6',Ladder scalar 4\(`LATRANS'\),Ladder scalar 5\(`LATRANS'\))
  #call ObviouslyZero(la)

    #call SlowSub(4,`P3'.`P7',`P1'.`P1'/2-`P2'.`P2'/2-`P7'.`P7'/2+`P7'.`P8',\
 `P3'.`P7' `P1'.`P1' `P2'.`P2' `P7'.`P7' `P7'.`P8',Ladder scalar 5\(`LATRANS'\),Ladder scalar 6\(`LATRANS'\))
  #call ObviouslyZero(la)

*  #call ACCU2A(`P3'.`P7' `P2'.`P7' `P7'.`P8',Ladder scalar 3)
*    id  `P3'.`P7' = `P2'.`P7'+`P7'.`P8';
*  #call ACCU2A(`Q'.`P3' `P3'.`P3' `Q'.`Q' `P4'.`P4',Ladder scalar 1)
*    id  `Q'.`P3' = `P3'.`P3'/2-`P4'.`P4'/2+`Q'.`Q'/2;
*  #call ACCU2A(`Q'.`P2' `P2'.`P2' `Q'.`Q' `P5'.`P5',Ladder scalar 2)
*    id  `Q'.`P2' = `P2'.`P2'/2+`Q'.`Q'/2-`P5'.`P5'/2;
*  #call ACCU2A(`P2'.`P7' `P1'.`P1' `P2'.`P2' `P7'.`P7',Ladder scalar 4)
*    id  `P2'.`P7' = `P1'.`P1'/2-`P2'.`P2'/2-`P7'.`P7'/2;
*  #call ACCU2A(`P2'.`P3' `P3'.`P3' `P2'.`P2' `P8'.`P8',Ladder scalar 5)
*    id  `P2'.`P3' = `P3'.`P3'/2+`P2'.`P2'/2-`P8'.`P8'/2;
*  #call ACCU2A(`Q'.`P7' `P1'.`P1' `P2'.`P2' `P5'.`P5' `P6'.`P6',Ladder scalar 5)
*    id  `Q'.`P7' = `P1'.`P1'/2-`P2'.`P2'/2+`P5'.`P5'/2-`P6'.`P6'/2;
  #call ACCU(Ladder scalar 6)
#break
*--#] 1 :
*--#[ 2 : Q,p1,p3,p7
#case 2
  #call ObviouslyZero(la)
  #call ACCU2A(`P3'.`P7' `P1'.`P7' `P7'.`P8' `P7'.`P7',Ladder scalar 0)
    id  `P3'.`P7' = `P1'.`P7'-`P7'.`P7'+`P7'.`P8';
  #call ObviouslyZero(la)
  #call ACCU2A(`Q'.`P3' `P3'.`P3' `Q'.`Q' `P4'.`P4',Ladder scalar 1)
    id  `Q'.`P3' = `P3'.`P3'/2-`P4'.`P4'/2+`Q'.`Q'/2;
  #call ObviouslyZero(la)
  #call ACCU2A(`Q'.`P1' `P1'.`P1' `Q'.`Q' `P6'.`P6',Ladder scalar 2)
    id  `Q'.`P1' = `P1'.`P1'/2+`Q'.`Q'/2-`P6'.`P6'/2;
  #call ObviouslyZero(la)
  #call ACCU2A(`P1'.`P7' `P1'.`P1' `P2'.`P2' `P7'.`P7',Ladder scalar 3)
    id  `P1'.`P7' = `P1'.`P1'/2-`P2'.`P2'/2+`P7'.`P7'/2;
  #call ObviouslyZero(la)
  #call ACCU2A(`Q'.`P7' `P1'.`P1' `P2'.`P2' `P5'.`P5' `P6'.`P6',Ladder scalar 4)
    id  `Q'.`P7' = `P1'.`P1'/2-`P2'.`P2'/2+`P5'.`P5'/2-`P6'.`P6'/2;
  #call ObviouslyZero(la)
  #call ACCU2A(`P1'.`P3' `P1'.`P1' `P3'.`P3' `P7'.`P7' `P8'.`P8' `P7'.`P8',Ladder scalar 5)
    id  `P1'.`P3' = `P1'.`P1'/2+`P3'.`P3'/2-`P7'.`P7'/2-`P8'.`P8'/2+`P7'.`P8';
  #call ObviouslyZero(la)
  #call ACCU(Ladder scalar 6)
#break
*--#] 2 :
*--#[ 3 : Q,p2,p7,p8
#case 3
  #call ObviouslyZero(la)
  if ( count(`P7'.`P7',1) > count(`P8'.`P8',1) );
    multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
       ,`P7',`P8',`P8',`P7');
  elseif ( count(`P7'.`P7',1) == count(`P8'.`P8',1) );
    if ( count(`P1'.`P1',1) > count(`P3'.`P3',1) );
        multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
           ,`P7',`P8',`P8',`P7');
    elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
        if ( count(`P6'.`P6',1) > count(`P4'.`P4',1) )
            multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
               ,`P7',`P8',`P8',`P7');
    endif;
  endif;
  #call ACCU2A(`P2'.`P7' `P1'.`P1' `P2'.`P2' `P7'.`P7',Ladder scalar 0)
    id  `P2'.`P7' = `P1'.`P1'/2-`P2'.`P2'/2-`P7'.`P7'/2;
  #call ObviouslyZero(la)
  #call ACCU2A(`P2'.`P8' `P3'.`P3' `P2'.`P2' `P8'.`P8',Ladder scalar 1)
    id  `P2'.`P8' = `P3'.`P3'/2-`P2'.`P2'/2-`P8'.`P8'/2;
  #call ObviouslyZero(la)

    #call SlowSub(4,`Q'.`P2',`P2'.`P2'/2+`Q'.`Q'/2-`P5'.`P5'/2,\
 `Q'.`P2' `P2'.`P2' `Q'.`Q' `P5'.`P5',Ladder scalar 2\(`LATRANS'\),Ladder scalar 3\(`LATRANS'\))
  #call ObviouslyZero(la)

    #call SlowSub(4,`Q'.`P7',`P1'.`P1'/2-`P2'.`P2'/2+`P5'.`P5'/2-`P6'.`P6'/2,\
 `Q'.`P7' `P1'.`P1' `P2'.`P2' `P5'.`P5' `P6'.`P6',Ladder scalar 3\(`LATRANS'\),Ladder scalar 4\(`LATRANS'\))
  #call ObviouslyZero(la)
    #call SlowSub(4,`Q'.`P8',`P3'.`P3'/2-`P2'.`P2'/2+`P5'.`P5'/2-`P4'.`P4'/2,\
 `Q'.`P8' `P3'.`P3' `P2'.`P2' `P5'.`P5' `P4'.`P4',Ladder scalar 4\(`LATRANS'\),Ladder scalar 5\(`LATRANS'\))
  #call ObviouslyZero(la)

*  #call ACCU2A(`Q'.`P2' `P2'.`P2' `Q'.`Q' `P5'.`P5',Ladder scalar 2)
*    id  `Q'.`P2' = `P2'.`P2'/2+`Q'.`Q'/2-`P5'.`P5'/2;
*  #call ACCU2A(`Q'.`P7' `P1'.`P1' `P2'.`P2' `P5'.`P5' `P6'.`P6',Ladder scalar 3)
*    id  `Q'.`P7' = `P1'.`P1'/2-`P2'.`P2'/2+`P5'.`P5'/2-`P6'.`P6'/2;
*  #call ACCU2A(`Q'.`P8' `P3'.`P3' `P2'.`P2' `P5'.`P5' `P4'.`P4',Ladder scalar 4)
*    id  `Q'.`P8' = `P3'.`P3'/2-`P2'.`P2'/2+`P5'.`P5'/2-`P4'.`P4'/2;
  if ( count(`P7'.`P7',1) > count(`P8'.`P8',1) );
    multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
       ,`P7',`P8',`P8',`P7');
  elseif ( count(`P7'.`P7',1) == count(`P8'.`P8',1) );
    if ( count(`P1'.`P1',1) > count(`P3'.`P3',1) );
        multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
           ,`P7',`P8',`P8',`P7');
    elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
        if ( count(`P6'.`P6',1) > count(`P4'.`P4',1) )
            multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
               ,`P7',`P8',`P8',`P7');
    endif;
  endif;
  #call ACCU(Ladder scalar 5)
#break
*--#] 3 :
#endswitch
*--#[ First recursion :
  if ( count(`P7'.`P7',1) > count(`P8'.`P8',1) );
    multiply replace_(`P1',`P3',`P3',`P1',`P7',`P8',`P8',`P7',`P6',`P4',`P4',`P6');
  endif;
*
*   The rule of the triangle is applied in the procedure `triangle'
*   We apply it in the triangle at the right side. The above reordering
*   makes it the simplest triangle.
*
#$mnccount = 0;
#do mnci = 1,1
#$mnccount = $mnccount+1;
#$mnci = 0;
  Multiply mncxx^3;
  if ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
            /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 );
    multiply acc(1/ep);
    #call triangle(`P8',`P4',`P3',`P5',`P2')
    multiply ep;
  else;
    repeat;
        if ( match(mncxx*`P2'.`P2'/`P7'.`P7'/`P1'.`P1'^2) );
            id mncxx*`P7'.`P8'^mncx9?*`P2'.`P2'/`P1'.`P1'^mncx1?/`P7'.`P7'^mncx7?/`P6'.`P6'^mncx6? =
                `P1'.`P1'*`P7'.`P8'^mncx9/`P1'.`P1'^mncx1/`P7'.`P7'^mncx7/`P6'.`P6'^mncx6 *(
                    +`P7'.`P7'/`P1'.`P1'
                    +mncx6/(mncx1-1)*(`P7'.`P7'-`P5'.`P5')/`P6'.`P6'
                    -acc(5-2*mncx7+mncx9-mncx1-mncx6-2*ep)/(mncx1-1)
                );
        endif;
        if ( match(mncxx*`P2'.`P2'/`P8'.`P8'/`P3'.`P3'^2) );
            id mncxx*`P7'.`P8'^mncx9?*`P2'.`P2'/`P3'.`P3'^mncx3?/`P8'.`P8'^mncx8?/`P4'.`P4'^mncx4? =
                `P3'.`P3'*`P7'.`P8'^mncx9/`P3'.`P3'^mncx3/`P8'.`P8'^mncx8/`P4'.`P4'^mncx4 *(
                    +`P8'.`P8'/`P3'.`P3'
                    +mncx4/(mncx3-1)*(`P8'.`P8'-`P5'.`P5')/`P4'.`P4'
                    -acc(5-2*mncx8+mncx9-mncx3-mncx4-2*ep)/(mncx3-1)
                );
        endif;
        if ( match(mncxx*`P5'.`P5'/`P7'.`P7'/`P6'.`P6'^2/`P2'.`P2') );
            id mncxx*`P7'.`P8'^mncx9?*`P5'.`P5'/`P1'.`P1'^mncx1?/`P7'.`P7'^mncx7?/`P6'.`P6'^mncx6? =
                `P6'.`P6'*`P7'.`P8'^mncx9/`P1'.`P1'^mncx1/`P7'.`P7'^mncx7/`P6'.`P6'^mncx6 *(
                    +`P7'.`P7'/`P6'.`P6'
                    +mncx1/(mncx6-1)*(`P7'.`P7'-`P2'.`P2')/`P1'.`P1'
                    -acc(5-2*mncx7+mncx9-mncx1-mncx6-2*ep)/(mncx6-1)
                );
        endif;
        if ( match(mncxx*`P5'.`P5'/`P8'.`P8'/`P4'.`P4'^2/`P2'.`P2') );
            id mncxx*`P7'.`P8'^mncx9?*`P5'.`P5'/`P3'.`P3'^mncx3?/`P8'.`P8'^mncx8?/`P4'.`P4'^mncx4? =
                `P4'.`P4'*`P7'.`P8'^mncx9/`P3'.`P3'^mncx3/`P8'.`P8'^mncx8/`P4'.`P4'^mncx4 *(
                    +`P8'.`P8'/`P4'.`P4'
                    +mncx3/(mncx4-1)*(`P8'.`P8'-`P2'.`P2')/`P3'.`P3'
                    -acc(5-2*mncx8+mncx9-mncx3-mncx4-2*ep)/(mncx4-1)
                );
        endif;
    endrepeat;
  endif;
  if ( count(mncxx,1) == 0 ) $mnci = 1;
  id mncxx = 1;
  id ep^D? = acc(ep^D);
  ModuleOption maximum,$mnci;
  .sort(PolyFun=acc):Ladder recursion, `$mnccount';
  #if ( `$mnci' == 1 )
	#redefine mnci "0"
  #endif
#enddo
*--#] First recursion :
*
#endprocedure
*--#] ladder :
*--#[ makepochs :
*
#procedure makepochs(nval)
#do mncj = 0,`nval'-2
L	mncFp`mncj' = mncpoc(`nval',`mncj');
#enddo
repeat;
	id	mncpoc(mncn?,mncj?pos_) =
			mncpoc(mncn,mncj-1)/mncj*mncden(mncn-mncj,-ep);
	id	mncpoc(mncn?,0) = 1;
endrepeat;
#do jj = 1,1
id,once,mncden(mncx?,-ep) = mncden1(mncx,-ep);
repeat id mncden1(mncx?,-ep) = 1/mncx+ep/mncx*mncden1(mncx,-ep);
if ( count(mncden,1) ) redefine jj "0";
.sort
#enddo
Format nospaces;
Format 80;
.sort
#do mncj = 0,`nval'-2
#write <> "Fill mncpoch(`nval',`mncj') = %e",mncFp`mncj';
Drop mncFp`mncj';
#enddo
#endprocedure
*
*--#] makepochs :
*--#[ momsubs :
#procedure momsubs(TOPO)
#switch `TOPO'
*--#[ la :
#case la
*
#switch `LATRANS'
#case 0
id	p5.mncq1?!{p5} = p2.mncq1-Q.mncq1;
id	p4.mncq1?!{p4} = p3.mncq1-Q.mncq1;
#call ACCU(moms1\(0\))
id	p6.mncq1?!{p6} = p1.mncq1-Q.mncq1;
id	p8.mncq1?!{p8} = p3.mncq1-p2.mncq1;
#call ACCU(moms2\(0\))
id	p7.mncq1?!{p7} = p1.mncq1-p2.mncq1;
#call ACCU2A(P Q p1 p2 p3,moms3\(0\))
#break
#case 1
id	p5.mncq1?!{p5} = p2.mncq1-Q.mncq1;
id	p4.mncq1?!{p4} = p3.mncq1-Q.mncq1;
#call ACCU(moms1\(1\))
id	p6.mncq1?!{p6} = p1.mncq1-Q.mncq1;
id	p8.mncq1?!{p8} = p3.mncq1-p2.mncq1;
#call ACCU(moms2\(1\))
id	p1.mncq1?!{p1} = p2.mncq1+p7.mncq1;
#call ACCU2A(P Q p7 p2 p3,moms3\(1\))
#break
#case 2
id	p5.mncq1?!{p5} = p6.mncq1-p7.mncq1;
id	p4.mncq1?!{p4} = p3.mncq1-Q.mncq1;
#call ACCU(moms1\(2\))
id	p6.mncq1?!{p6} = p1.mncq1-Q.mncq1;
id	p8.mncq1?!{p8} = p3.mncq1-p2.mncq1;
#call ACCU(moms2\(2\))
id	p2.mncq1?!{p2} = p1.mncq1-p7.mncq1;
#call ACCU2A(P Q p1 p7 p3,moms3\(2\))
#break
#case 3
id	p5.mncq1?!{p5} = p2.mncq1-Q.mncq1;
id	p4.mncq1?!{p4} = p3.mncq1-Q.mncq1;
#call ACCU(moms1\(3\))
id	p6.mncq1?!{p6} = p1.mncq1-Q.mncq1;
id	p3.mncq1?!{p3} = p2.mncq1+p8.mncq1;
#call ACCU(moms2\(3\))
id	p1.mncq1?!{p1} = p2.mncq1+p7.mncq1;
#call ACCU2A(P Q p7 p2 p8,moms3\(3\))
#break
#endswitch
*
#break
*--#] la :
*--#[ be :
#case be
*
#switch `BEPATH'
 #case 0
  id	p6.p7 = p6.p6/2+p7.p7/2-p8.p8/2;
  id	p6.p8 = p6.p6/2+p8.p8/2-p7.p7/2;
  id	p7.p8 = p6.p6/2-p7.p7/2-p8.p8/2;

  id	p4.p5 = p4.p4/2+p5.p5/2-p8.p8/2;
  id	p4.p8 = p4.p4/2+p8.p8/2-p5.p5/2;
  id	p5.p8 = p4.p4/2-p5.p5/2-p8.p8/2;
  
  id	p6.mncq1?!{p6} = p2.mncq1-p1.mncq1;
  id	p7.mncq1?!{p7} = p2.mncq1-p3.mncq1;
  id	p8.mncq1?!{p8} = p3.mncq1-p1.mncq1;
  #call ACCU(moms1\(`BEPATH'\))
  id	p4.mncq1?!{p4} = p3.mncq1-Q.mncq1;
  id	p5.mncq1?!{p5} = p1.mncq1-Q.mncq1;
  #call ACCU2A(P Q p1 p2 p3,moms2\(`BEPATH'\))
 #break
 #case 1
  id	p4.p5 = p4.p4/2+p5.p5/2-p8.p8/2;
  id	p3.p4 = p3.p3/2+p4.p4/2-Q.Q/2;
  id	p2.p3 = p2.p2/2+p3.p3/2-p7.p7/2;
  id	p2.p7 = p2.p2/2+p7.p7/2-p3.p3/2;
  id	p3.p7 = p2.p2/2-p3.p3/2-p7.p7/2;
  id	p4.mncq1?!{p4} = p5.mncq1+p8.mncq1;
  id	p3.mncq1?!{p3} = p1.mncq1+p8.mncq1;
  id	p2.mncq1?!{p2} = p1.mncq1+p6.mncq1;
  #call ACCU(moms1\(`BEPATH'\))
  id	p5.mncq1?!{p5} = p1.mncq1-Q.mncq1;
  id	p7.mncq1?!{p7} = p6.mncq1-p8.mncq1;
  #call ACCU2A(P Q p1 p6 p8,moms2\(`BEPATH'\))
 #break
 #case 2
  id	p6.p8 = p6.p6/2+p8.p8/2-p7.p7/2;
  id	p3.p4 = p3.p3/2+p4.p4/2-Q.Q/2;
  id	p4.p5 = p4.p4/2+p5.p5/2-p8.p8/2;
  id	p4.p8 = p4.p4/2+p8.p8/2-p5.p5/2;
  id	p5.p8 = p4.p4/2-p5.p5/2-p8.p8/2;
  id	p4.mncq1?!{p4} = p3.mncq1-Q.mncq1;
  id	p8.mncq1?!{p8} = p6.mncq1-p7.mncq1;
  id	p5.mncq1?!{p5} = p1.mncq1-Q.mncq1;
  #call ACCU(moms1\(`BEPATH'\))
  id	p6.mncq1?!{p6} = p2.mncq1-p1.mncq1;
  id	p3.mncq1?!{p3} = p2.mncq1-p7.mncq1;
  #call ACCU2A(P Q p1 p2 p7,moms2\(`BEPATH'\))
 #break
 #case 3
  id	p1.p5 = p1.p1/2+p5.p5/2-Q.Q/2;
  id	p3.p7 = p2.p2/2-p3.p3/2-p7.p7/2;
  id	p3.p4 = p3.p3/2+p4.p4/2-Q.Q/2;
  id	p3.mncq1?!{p3} = p2.mncq1-p7.mncq1;
  id	p4.mncq1?!{p4} = p8.mncq1+p5.mncq1;
  id	p5.mncq1?!{p5} = p1.mncq1-Q.mncq1;
  #call ACCU(moms1\(`BEPATH'\))
  id	p7.mncq1?!{p7} = p6.mncq1-p8.mncq1;
  id	p1.mncq1?!{p1} = p2.mncq1-p6.mncq1;
  #call ACCU2A(P Q p2 p6 p8,moms2\(`BEPATH'\))
 #break
 #case 4
  id	p1.p2 = p1.p1/2+p2.p2/2-p6.p6/2;
  id	p1.p5 = p1.p1/2+p5.p5/2-Q.Q/2;
  id	p2.p3 = p2.p2/2+p3.p3/2-p7.p7/2;
  id	p2.p7 = p2.p2/2+p7.p7/2-p3.p3/2;
  id	p3.p7 = p2.p2/2-p3.p3/2-p7.p7/2;
  id	p1.mncq1?!{p1} = Q.mncq1+p5.mncq1;
  id	p2.mncq1?!{p2} = p3.mncq1+p7.mncq1;
  id	p7.mncq1?!{p7} = p6.mncq1-p8.mncq1;
  #call ACCU(moms1\(`BEPATH'\))
  id	p3.mncq1?!{p3} = Q.mncq1+p4.mncq1;
  id	p5.mncq1?!{p5} = p4.mncq1-p8.mncq1;
  #call ACCU2A(P Q p4 p6 p8,moms2\(`BEPATH'\))
 #break
 #case 5
  id	p2.p3 = p2.p2/2+p3.p3/2-p7.p7/2;
  id	p3.p4 = p3.p3/2+p4.p4/2-Q.Q/2;
  id	p4.p5 = p4.p4/2+p5.p5/2-p8.p8/2;
  id	p4.p8 = p4.p4/2+p8.p8/2-p5.p5/2;
  id	p5.p8 = p4.p4/2-p5.p5/2-p8.p8/2;
  id	p4.mncq1?!{p4} = -Q.mncq1+p3.mncq1;
  id	p5.mncq1?!{p5} = -Q.mncq1+p1.mncq1;
  id	p8.mncq1?!{p8} = p6.mncq1-p7.mncq1;
  #call ACCU(moms1\(`BEPATH'\))
  id	p3.mncq1?!{p3} = p2.mncq1-p7.mncq1;
  id	p2.mncq1?!{p2} = p1.mncq1+p6.mncq1;
  #call ACCU2A(P Q p1 p6 p7,moms2\(`BEPATH'\))
 #break
 #case 6
  id	p3.p4 = p3.p3/2+p4.p4/2-Q.Q/2;
  id	p1.p2 = p1.p1/2+p2.p2/2-p6.p6/2;
  id	p2.p3 = p2.p2/2+p3.p3/2-p7.p7/2;
  id	p2.p7 = p2.p2/2+p7.p7/2-p3.p3/2;
  id	p3.p7 = p2.p2/2-p3.p3/2-p7.p7/2;
  id	p3.mncq1?!{p3} = Q.mncq1+p4.mncq1;
  id	p2.mncq1?!{p2} = p1.mncq1+p6.mncq1;
  id	p7.mncq1?!{p7} = p6.mncq1-p8.mncq1;
  #call ACCU(moms1\(`BEPATH'\))
  id	p1.mncq1?!{p1} = Q.mncq1+p5.mncq1;
  id	p4.mncq1?!{p4} = p5.mncq1+p8.mncq1;
  #call ACCU2A(P Q p5 p6 p8,moms2\(`BEPATH'\))
 #break
 #case 7
  id	p1.p6 = p2.p2/2-p1.p1/2-p6.p6/2;
  id	p3.p7 = p2.p2/2-p3.p3/2-p7.p7/2;
  id	p6.p7 = p6.p6/2+p7.p7/2-p8.p8/2;
  id	p6.p8 = p6.p6/2+p8.p8/2-p7.p7/2;
  id	p7.p8 = p6.p6/2-p7.p7/2-p8.p8/2;
  id	p6.mncq1?!{p6} = p2.mncq1-p1.mncq1;
  id	p7.mncq1?!{p7} = p2.mncq1-p3.mncq1;
  id	p8.mncq1?!{p8} = p4.mncq1-p5.mncq1;
  #call ACCU(moms1\(`BEPATH'\))
  id	p1.mncq1?!{p1} = Q.mncq1+p5.mncq1;
  id	p3.mncq1?!{p3} = Q.mncq1+p4.mncq1;
  #call ACCU2A(P Q p2 p4 p5,moms2\(`BEPATH'\))
 #break
 #case 8
  id	p1.p5 = p1.p1/2+p5.p5/2-Q.Q/2;
  id	p3.p4 = p3.p3/2+p4.p4/2-Q.Q/2;
  id	p4.p5 = p4.p4/2+p5.p5/2-p8.p8/2;
  id	p4.p8 = p4.p4/2+p8.p8/2-p5.p5/2;
  id	p5.p8 = p4.p4/2-p5.p5/2-p8.p8/2;
  id	p4.mncq1?!{p4} = -Q.mncq1+p3.mncq1;
  id	p5.mncq1?!{p5} = -Q.mncq1+p1.mncq1;
  id	p8.mncq1?!{p8} = p6.mncq1-p7.mncq1;
  #call ACCU(moms1\(`BEPATH'\))
  id	p3.mncq1?!{p3} = p2.mncq1-p7.mncq1;
  id	p1.mncq1?!{p1} = p2.mncq1-p6.mncq1;
  #call ACCU2A(P Q p2 p6 p7,moms2\(`BEPATH'\))
 #break
 #case 9
  id	p6.p7 = p6.p6/2+p7.p7/2-p8.p8/2;
  id	p6.p8 = p6.p6/2+p8.p8/2-p7.p7/2;
  id	p7.p8 = p6.p6/2-p7.p7/2-p8.p8/2;

  id	p4.p5 = p4.p4/2+p5.p5/2-p8.p8/2;
  id	p4.p8 = p4.p4/2+p8.p8/2-p5.p5/2;
  id	p5.p8 = p4.p4/2-p5.p5/2-p8.p8/2;
  
  id	p7.mncq1?!{p7} = p2.mncq1-p3.mncq1;
  id	p2.mncq1?!{p2} = p6.mncq1+p1.mncq1;
  id	p8.mncq1?!{p8} = p3.mncq1-p1.mncq1;
  #call ACCU(moms1\(`BEPATH'\))
  id	p4.mncq1?!{p4} = p3.mncq1-Q.mncq1;
  id	p5.mncq1?!{p5} = p1.mncq1-Q.mncq1;
  #call ACCU2A(P Q p1 p6 p3,moms2\(`BEPATH'\))
 #break
 #case 10
  id	p6.p7 = p6.p6/2+p7.p7/2-p8.p8/2;
  id	p6.p8 = p6.p6/2+p8.p8/2-p7.p7/2;
  id	p7.p8 = p6.p6/2-p7.p7/2-p8.p8/2;

  id    p1.p6 = p2.p2/2-p1.p1/2-p6.p6/2;
  id	p3.p7 = p2.p2/2-p3.p3/2-p7.p7/2;
  id    Q.p1 = p1.p1/2+Q.Q/2-p5.p5/2;
  
  id	p6.mncq1?!{p6} = p2.mncq1-p1.mncq1;
  id	p7.mncq1?!{p7} = p2.mncq1-p3.mncq1;
  id	p1.mncq1?!{p1} = Q.mncq1+p5.mncq1;
  #call ACCU(moms1\(`BEPATH'\))
  id	p3.mncq1?!{p3} = p4.mncq1+Q.mncq1;
  id	p5.mncq1?!{p5} = p4.mncq1-p8.mncq1;
  #call ACCU2A(P Q p2 p4 p8,moms2\(`BEPATH'\))
 #break
 #case 11
  id	p4.p5 = p4.p4/2+p5.p5/2-p8.p8/2;
  id	p3.p4 = p3.p3/2+p4.p4/2-Q.Q/2;
  id	p2.p3 = p2.p2/2+p3.p3/2-p7.p7/2;
  id	p6.p7 = p6.p6/2+p7.p7/2-p8.p8/2;
  id	p3.p7 = p2.p2/2-p3.p3/2-p7.p7/2;
  id	p4.mncq1?!{p4} = p5.mncq1+p8.mncq1;
  id	p7.mncq1?!{p7} = p2.mncq1-p3.mncq1;
  id	p6.mncq1?!{p6} = p2.mncq1-p1.mncq1;
  #call ACCU(moms1\(`BEPATH'\))
  id	p3.mncq1?!{p3} = p1.mncq1+p8.mncq1;
  id	p5.mncq1?!{p5} = p1.mncq1-Q.mncq1;
  #call ACCU2A(P Q p1 p2 p8,moms2\(`BEPATH'\))
 #break
 #case 14
  id	p1.p2 = p1.p1/2+p2.p2/2-p6.p6/2;
  id	p1.p5 = p1.p1/2+p5.p5/2-Q.Q/2;
  id	p2.p3 = p2.p2/2+p3.p3/2-p7.p7/2;
  id	p2.p7 = p2.p2/2+p7.p7/2-p3.p3/2;
  id	p3.p7 = p2.p2/2-p3.p3/2-p7.p7/2;
  id	p1.mncq1?!{p1} = Q.mncq1+p5.mncq1;
  id	p2.mncq1?!{p2} = p3.mncq1+p7.mncq1;
  id	p7.mncq1?!{p7} = p6.mncq1-p8.mncq1;
  #call ACCU(moms1\(`BEPATH'\))
  id	p3.mncq1?!{p3} = Q.mncq1+p4.mncq1;
  id	p5.mncq1?!{p5} = p4.mncq1-p8.mncq1;
  #call ACCU2A(P Q p4 p6 p8,moms2\(`BEPATH'\))
 #break
#endswitch
*
#break
*--#] be :
*--#[ no :
#case no
*
#switch `NOSPEC'
#case 0
  id	p5.mncq1?!{p5} = p6.mncq1-p8.mncq1;
  id	p4.mncq1?!{p4} = p3.mncq1-Q.mncq1;
  #call ACCU(moms1\(`NOSPEC'\))
  id	p6.mncq1?!{p6} = p1.mncq1-Q.mncq1;
  id	p7.mncq1?!{p7} = p2.mncq1-p1.mncq1;
  #call ACCU(moms2\(`NOSPEC'\))
  id	p8.mncq1?!{p8} = p2.mncq1-p3.mncq1;
  #call ACCU2A(P Q p1 p2 p3,moms3)
#break
#case 1
  id	p5.mncq1?!{p5} = p6.mncq1-p8.mncq1;
  id	p4.mncq1?!{p4} = p3.mncq1-Q.mncq1;
  #call ACCU(moms1\(`NOSPEC'\))
  id	p6.mncq1?!{p6} = p1.mncq1-Q.mncq1;
  id	p1.mncq1?!{p1} = p2.mncq1-p7.mncq1;
  #call ACCU(moms2\(`NOSPEC'\))
  id	p3.mncq1?!{p3} = p2.mncq1-p8.mncq1;
  #call ACCU2A(P Q p7 p2 p8,moms3)
#break
#case 2
  id	p5.mncq1?!{p5} = p6.mncq1-p8.mncq1;
  id	p4.mncq1?!{p4} = p3.mncq1-Q.mncq1;
  #call ACCU(moms1\(`NOSPEC'\))
  id	p6.mncq1?!{p6} = p1.mncq1-Q.mncq1;
  id	p7.mncq1?!{p7} = p2.mncq1-p1.mncq1;
  #call ACCU(moms2\(`NOSPEC'\))
  id	p3.mncq1?!{p3} = p2.mncq1-p8.mncq1;
  #call ACCU2A(P Q p1 p2 p8,moms3)
#break
#endswitch
*
#break
*--#] no :
*--#[ fa :
#case fa
*
id	p6.mncq1?!{p6} = p2.mncq1-p1.mncq1;
id	p7.mncq1?!{p7} = p2.mncq1-p3.mncq1;
id	p8.mncq1?!{p8} = p3.mncq1-p1.mncq1;
#call ACCU(moms1)
id	p4.mncq1?!{p4} = p3.mncq1-Q.mncq1;
id	p5.mncq1?!{p5} = p1.mncq1-Q.mncq1;
#call ACCU2(AB+	P Q p1 p2 p3,moms2)
*
#break
*--#] fa :
*--#[ bu :
#case bu
*
id	p2.mncq1?!{p2} = p1.mncq1-p8.mncq1;
id	p4.mncq1?!{p4} = p1.mncq1-p6.mncq1;
id	p5.mncq1?!{p5} = p6.mncq1-p8.mncq1;
#call ACCU(moms1)
id	p7.mncq1?!{p7} = p6.mncq1-Q.mncq1;
id	p3.mncq1?!{p3} = p8.mncq1-Q.mncq1;
#call ACCU2(AB+	P Q p1 p6 p8,moms2)
*
#break
*--#] bu :
*--#[ o1 :
#case o1
*
#switch `O1PATH'
#case 0
id p7.mncq1?!{p7} = p5.mncq1-p6.mncq1;
id p3.mncq1?!{p3} = p2.mncq1-Q.mncq1;
#call ACCU(moms1)
id p4.mncq1?!{p4} = p1.mncq1-Q.mncq1;
id p5.mncq1?!{p5} = p1.mncq1-p2.mncq1;
#call ACCU2A(P Q p1 p2 p6,moms2)
#break
#case 1
id p3.mncq1?!{p3} = p4.mncq1-p5.mncq1;
id p2.mncq1?!{p2} = p1.mncq1-p5.mncq1;
#call ACCU(moms1)
id p5.mncq1?!{p5} = p6.mncq1+p7.mncq1;
id p4.mncq1?!{p4} = p1.mncq1-Q.mncq1;
#call ACCU2A(P Q p1 p6 p7,moms2)
#break
#case 2
id p7.mncq1?!{p7} = p5.mncq1-p6.mncq1;
id p3.mncq1?!{p3} = p2.mncq1-Q.mncq1;
#call ACCU(moms1)
id p4.mncq1?!{p4} = p1.mncq1-Q.mncq1;
id p2.mncq1?!{p2} = p1.mncq1-p5.mncq1;
#call ACCU2A(P Q p1 p5 p6,moms2)
#break
#endswitch
*
#break
*--#] o1 :
*--#[ o2 :
#case o2
*
#switch `O2PATH'
#case 0
	id	p7.mncq1?!{p7} = p4.mncq1-p6.mncq1;
	id	p3.mncq1?!{p3} = p2.mncq1-Q.mncq1;
	#call ACCU(moms1\(`O2PATH'\))
	id	p4.mncq1?!{p4} = p1.mncq1-Q.mncq1;
	id	p5.mncq1?!{p5} = p1.mncq1-p2.mncq1;
	#call ACCU2A(P Q p1 p2 p6,moms2\(`O2PATH'\))
#break
#case 1
	id	p7.mncq1?!{p7} = p4.mncq1-p6.mncq1;
	id	p5.mncq1?!{p5} = p4.mncq1-p3.mncq1;
	#call ACCU(moms1\(`O2PATH'\))
	id	p2.mncq1?!{p2} = p3.mncq1+Q.mncq1;
	id	p4.mncq1?!{p4} = p1.mncq1-Q.mncq1;
	#call ACCU2A(P Q p1 p3 p6,moms2\(`O2PATH'\))
#break
#case 2
	id	p7.mncq1?!{p7} = p4.mncq1-p6.mncq1;
	id	p2.mncq1?!{p2} = p3.mncq1+Q.mncq1;
	#call ACCU(moms1\(`O2PATH'\))
	id	p1.mncq1?!{p1} = p4.mncq1+Q.mncq1;
	id	p5.mncq1?!{p5} = p4.mncq1-p3.mncq1;
	#call ACCU2A(P Q p3 p4 p6,moms2\(`O2PATH'\))
#break
#case 3
	id	p7.mncq1?!{p7} = p4.mncq1-p6.mncq1;
	id	p3.mncq1?!{p3} = p4.mncq1-p5.mncq1;
	#call ACCU(moms1\(`O2PATH'\))
	id	p2.mncq1?!{p2} = p1.mncq1-p5.mncq1;
	id	p4.mncq1?!{p4} = p1.mncq1-Q.mncq1;
	#call ACCU2A(P Q p1 p5 p6,moms2\(`O2PATH'\))
#break
#case 4
	id	p7.mncq1?!{p7} = p4.mncq1-p6.mncq1;
	id	p4.mncq1?!{p4} = p1.mncq1-Q.mncq1;
	#call ACCU(moms1\(`O2PATH'\))
	id	p1.mncq1?!{p1} = p2.mncq1+p5.mncq1;
	id	p3.mncq1?!{p3} = p2.mncq1-Q.mncq1;
	#call ACCU2A(P Q p2 p5 p6,moms2\(`O2PATH'\))
#break
#case 5
	id	p7.mncq1?!{p7} = p4.mncq1-p6.mncq1;
	id	p1.mncq1?!{p1} = p2.mncq1+p5.mncq1;
	#call ACCU(moms1\(`O2PATH'\))
	id	p4.mncq1?!{p4} = p3.mncq1+p5.mncq1;
	id	p2.mncq1?!{p2} = p3.mncq1+Q.mncq1;
	#call ACCU2A(P Q p3 p5 p6,moms2\(`O2PATH'\))
#break
#case 9
#case 6
	id	p1.mncq1?!{p1} = p4.mncq1+Q.mncq1;
	id	p5.mncq1?!{p5} = p4.mncq1-p3.mncq1;
	#call ACCU(moms1\(`O2PATH'\))
	id	p3.mncq1?!{p3} = p2.mncq1-Q.mncq1;
	id	p7.mncq1?!{p7} = p4.mncq1-p6.mncq1;
	#call ACCU2A(P Q p2 p4 p6,moms2\(`O2PATH'\))
#break
#case 7
	id	p1.mncq1?!{p1} = p4.mncq1+Q.mncq1;
	id	p2.mncq1?!{p2} = p3.mncq1+Q.mncq1;
	#call ACCU(moms1\(`O2PATH'\))
	id	p3.mncq1?!{p3} = p4.mncq1-p5.mncq1;
	id	p7.mncq1?!{p7} = p4.mncq1-p6.mncq1;
	#call ACCU2A(P Q p4 p5 p6,moms2\(`O2PATH'\))
#break
#case 8
	id	p1.mncq1?!{p1} = p4.mncq1+Q.mncq1;
	id	p5.mncq1?!{p5} = p4.mncq1-p3.mncq1;
	#call ACCU(moms1\(`O2PATH'\))
	id	p2.mncq1?!{p2} = p3.mncq1+Q.mncq1;
	id	p4.mncq1?!{p4} = p6.mncq1+p7.mncq1;
	#call ACCU2A(P Q p3 p6 p7,moms2\(`O2PATH'\))
#break
#endswitch
*
#break
*--#] o2 :
*--#[ o3 :
#case o3
*
id	p7.mncq1?!{p7} = Q.mncq1-p6.mncq1;
id	p4.mncq1?!{p4} = p1.mncq1-Q.mncq1;
#call ACCU(moms1)
id	p5.mncq1?!{p5} = p1.mncq1-p2.mncq1;
id	p3.mncq1?!{p3} = p2.mncq1-Q.mncq1;
#call ACCU2A(P Q p1 p2 p6,moms2)
*
#break
*--#] o3 :
*--#[ o4 :
#case o4
*
id	p7.mncq1?!{p7} = Q.mncq1-p6.mncq1;
id	p5.mncq1?!{p5} = p1.mncq1-p2.mncq1;
#call ACCU(moms1)
id	p4.mncq1?!{p4} = p1.mncq1-p6.mncq1;
id	p3.mncq1?!{p3} = p2.mncq1-p6.mncq1;
#call ACCU2A(P Q p1 p2 p6,moms2)
*
#break
*--#] o4 :
*--#[ o5 :
#case o5
*
id	p7.mncq1?!{p7} = p3.mncq1-p6.mncq1;
id	p2.mncq1?!{p2} = p3.mncq1+Q.mncq1;
#call ACCU(moms1)
id	p1.mncq1?!{p1} = p4.mncq1+Q.mncq1;
id	p5.mncq1?!{p5} = p4.mncq1-p3.mncq1;
#call ACCU2A(P Q p3 p4 p6,moms2)
*
#break
*--#] o5 :
*--#[ o6 :
#case o6
*
id	p7.mncq1?!{p7} = Q.mncq1-p6.mncq1;
id	p4.mncq1?!{p4} = p1.mncq1-Q.mncq1;
#call ACCU(moms1)
id	p5.mncq1?!{p5} = p1.mncq1-p2.mncq1;
id	p3.mncq1?!{p3} = p2.mncq1-Q.mncq1;
#call ACCU2A(P Q p1 p2 p6,moms2)
*
#break
*--#] o6 :
*--#[ y1 :
#case y1
*
id	p4.mncq1?!{p4} = p1.mncq1-p3.mncq1;
id	p6.mncq1?!{p6} = p2.mncq1-p5.mncq1;
id	p2.mncq1?!{p2} = Q.mncq1-p1.mncq1;
#call ACCU2A(P Q p1 p3 p5,moms2)
*
#break
*--#] y1 :
*--#[ y2 :
#case y2
*
id	p4.mncq1?!{p4} = p1.mncq1-p3.mncq1;
id	p6.mncq1?!{p6} = p1.mncq1-p5.mncq1;
id	p2.mncq1?!{p2} = Q.mncq1-p1.mncq1;
#call ACCU2A(P Q p1 p3 p5,moms2)
*
#break
*--#] y2 :
*--#[ y3 :
#case y3
*
id	p4.mncq1?!{p4} = p1.mncq1-p3.mncq1;
id	p6.mncq1?!{p6} = p3.mncq1-p5.mncq1;
id	p2.mncq1?!{p2} = Q.mncq1-p1.mncq1;
#call ACCU2A(P Q p1 p3 p5,moms2)
*
#break
*--#] y3 :
*--#[ y4 :
#case y4
*
id	p4.mncq1?!{p4} = p1.mncq1-p3.mncq1;
id	p6.mncq1?!{p6} = Q.mncq1-p5.mncq1;
id	p2.mncq1?!{p2} = Q.mncq1-p1.mncq1;
#call ACCU2A(P Q p1 p3 p5,moms2)
*
#break
*--#] y4 :
*--#[ y5 :
#case y5
*
id	p2.mncq1?!{p2} = Q.mncq1-p1.mncq1;
id	p4.mncq1?!{p4} = Q.mncq1-p3.mncq1;
id	p6.mncq1?!{p6} = Q.mncq1-p5.mncq1;
#call ACCU2A(P Q p1 p3 p5,moms2)
*
#break
*--#] y5 :
*--#[ y6 :
#case y6
*
id	p4.mncq1?!{p4} = p1.mncq1-p3.mncq1;
id	p6.mncq1?!{p6} = Q.mncq1-p5.mncq1;
id	p2.mncq1?!{p2} = Q.mncq1-p1.mncq1;
#call ACCU2A(P Q p1 p3 p5,moms2)
*
#break
*--#] y6 :
*--#[ t1 :
#case t1
*
id	p4.mncq1?!{p4} = p1.mncq1-Q.mncq1;
#call ACCU(moms1)
id	p3.mncq1?!{p3} = p2.mncq1-Q.mncq1;
#call ACCU(moms2)
id	p5.mncq1?!{p5} = p1.mncq1-p2.mncq1;
#call ACCU2A(P Q p1 p2,moms3)
*
#break
*--#] t1 :
*--#[ t2 :
#case t2
*
id	p2.mncq1?!{p2} = Q.mncq1-p1.mncq1;
#call ACCU(moms1)
id	p4.mncq1?!{p4} = p1.mncq1-p3.mncq1;
#call ACCU2A(P Q p1 p3,moms2)
*
#break
*--#] t2 :
*--#[ t3 :
#case t3
*
id	p2.mncq1?!{p2} = Q.mncq1-p1.mncq1;
#call ACCU{moms1}
id	p4.mncq1?!{p4} = Q.mncq1-p3.mncq1;
#call ACCU2A(P Q p1 p3,moms2)
*
#break
*--#] t3 :
*--#[ l1 :
#case l1
*
*
#break
*--#] l1 :
*--#[ l2 :
#case l2
*
*
#break
*--#] l2 :
*--#[ l3 :
#case l3
*
*
#break
*--#] l3 :
*--#[ tr :
#case tr
*
*
#break
*--#] tr :
#default
#message Unknown case `TOPO' in momsubs.prc
#break
#endswitch
#endprocedure
*--#] momsubs :
*--#[ newplane :
#procedure newplane(P1,P2,P3,P4,P5,P6,P7,P8,Q,INTS)
*
*   Reduction procedure for three loop graphs of the NO or nonplanar type.
*   Notation is from S.G.Gorishny et.al. Comp.Phys.Comm 55(1989)381
*   For the first part we use the algorithms from Chetyrkin & Tkachov
*   (Nuclear physics B192(1981)159.
*   To reduce powers in the numerator. These algorithms work faster.
*
*                     /-<------<-----<-\
*                 P1 /     \  P2   /    \ P3
*                   /       v     /      \
*                  /      P7 \   /        \
*                 /           \ /          \
*          Q --<--             /            --<-- Q
*                 \           / \          /
*                  \      P8 /   \        / 
*                   \       ^     \      /
*                 P6 \     /  P5   \    / P4
*                     \->------>----->-/
*
*   Express everything in powers of pi.pi, Q.Q and Q.p2 or p2.p5;
*	We need p2.p5 only when there are enough denominators.
*   The only difficult relation here is the one for p7.p8
*
*   Note that the system here is optimized for the big and difficult
*   expressions.
*   Note also that the final stages can be improved.
*   At the moment the goto statements are not so good
*
#switch `NOSPEC'
*--#[ 0 :
#case 0
#call ObviouslyZero(no)
if ( count(`P7'.`P7',1) < count(`P8'.`P8',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
       ,`P7',`P8',`P8',`P7');
elseif ( count(`P7'.`P7',1) == count(`P8'.`P8',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
           ,`P7',`P8',`P8',`P7');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P6'.`P6',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
               ,`P7',`P8',`P8',`P7');
	endif;
endif;
#call ACCU2A(`P2'.`P3' `P3'.`P3' `P2'.`P2' `P8'.`P8',dots 0)
  id  `P2'.`P3' = `P3'.`P3'/2+`P2'.`P2'/2-`P8'.`P8'/2;
#call ObviouslyZero(no)
#call ACCU2A(`P1'.`P2' `P1'.`P1' `P2'.`P2' `P7'.`P7',dots 1)
  id  `P1'.`P2' = `P1'.`P1'/2+`P2'.`P2'/2-`P7'.`P7'/2;
#call ObviouslyZero(no)
    #call SlowSub(1,`P3'.`Q',`P3'.`P3'/2+`Q'.`Q'/2-`P4'.`P4'/2,\
`P3'.`Q' `P3'.`P3' `Q'.`Q' `P4'.`P4',dots 2,dots 3)
#call ObviouslyZero(no)
    #call SlowSub(1,`P1'.`Q',`P1'.`P1'/2+`Q'.`Q'/2-`P6'.`P6'/2,\
`P1'.`Q' `P1'.`P1' `Q'.`Q' `P6'.`P6',dots 3,dots 4)
#call ObviouslyZero(no)

*#call ACCU2A(`P3'.`Q' `P3'.`P3' `Q'.`Q' `P4'.`P4',dots 2)
*  id  `P3'.`Q' = `P3'.`P3'/2+`Q'.`Q'/2-`P4'.`P4'/2;
*#call ObviouslyZero(no)
*#call ACCU2A(`P1'.`Q' `P1'.`P1' `Q'.`Q' `P6'.`P6',dots 3)
*  id  `P1'.`Q' = `P1'.`P1'/2+`Q'.`Q'/2-`P6'.`P6'/2;
*#call ObviouslyZero(no)

if ( count(`P7'.`P7',1) < count(`P8'.`P8',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
       ,`P7',`P8',`P8',`P7');
elseif ( count(`P7'.`P7',1) == count(`P8'.`P8',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
           ,`P7',`P8',`P8',`P7');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P6'.`P6',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
               ,`P7',`P8',`P8',`P7');
	endif;
endif;
#$mnccount = 0;
if ( count(`P1'.`P3',1) > $mnccount ) $mnccount = count_(`P1'.`P3',1);
ModuleOption,maximum,$mnccount;
.sort(Polyfun=acc):dots 4;
#do i = `$mnccount',1,-2
	if ( count(`P1'.`P3',1) >= 2 );
	    id,once,`P1'.`P3'^`i' = `P1'.`P3'^{`i'-2}*
				(-`P2'.`Q'+`P1'.`P1'/2+`P2'.`P2'/2+`P3'.`P3'/2+`P5'.`P5'/2
                 +`Q'.`Q'/2-`P4'.`P4'/2-`P6'.`P6'/2-`P7'.`P7'/2-`P8'.`P8'/2)^2;
	    id,once,`P1'.`P3'^{`i'-1} = `P1'.`P3'^{`i'-2}*
				(-`P2'.`Q'+`P1'.`P1'/2+`P2'.`P2'/2+`P3'.`P3'/2+`P5'.`P5'/2
                 +`Q'.`Q'/2-`P4'.`P4'/2-`P6'.`P6'/2-`P7'.`P7'/2-`P8'.`P8'/2);
	else;
	    id  `P1'.`P3' = 
				 -`P2'.`Q'+`P1'.`P1'/2+`P2'.`P2'/2+`P3'.`P3'/2+`P5'.`P5'/2
                 +`Q'.`Q'/2-`P4'.`P4'/2-`P6'.`P6'/2-`P7'.`P7'/2-`P8'.`P8'/2;
	endif;
	#call ObviouslyZero(no)
	.sort(Polyfun=acc):dots 5,`i';
#enddo
  #$mnc25 = 0;
  repeat id	`Q'.`P2'/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    	/`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8' =
		(`P1'.`P1'/2+`P3'.`P3'/2-`P7'.`P7'/2-`P8'.`P8'/2-`P2'.`P5')
		/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    	/`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8';
  #call ObviouslyZero(no)
  if ( count(`P2'.`P5',1) > $mnc25 ) $mnc25 = count_(`P2'.`P5',1);
  ModuleOption maximum,$mnc25;
  .sort(PolyFun=acc):dots 6;
#break
*--#] 0 :
*--#[ 1 :
#case 1
  id  `P2'.`P7' = `P2'.`P2'/2+`P7'.`P7'/2-`P1'.`P1'/2;
  #call ObviouslyZero(no)
#call ACCU2A(`P2'.`P8' `P3'.`P3' `P2'.`P2' `P8'.`P8',dots 0)
  id  `P2'.`P8' = -`P3'.`P3'/2+`P2'.`P2'/2+`P8'.`P8'/2;
#call ObviouslyZero(no)
#call ACCU2A(`P7'.`P8' `P2'.`P2' `P5'.`P5' `P4'.`P4' `P6'.`P6' `P2'.`Q' `Q'.`Q',dots 1)
  id  `P7'.`P8' = -`P2'.`Q'+`P2'.`P2'/2+`P5'.`P5'/2+`Q'.`Q'/2-`P4'.`P4'/2-`P6'.`P6'/2;
#call ObviouslyZero(no)

    #call SlowSub(1,`P7'.`Q',`P2'.`Q'-`P1'.`P1'/2-`Q'.`Q'/2+`P6'.`P6'/2,\
`P7'.`Q' `P2'.`Q' `P1'.`P1' `Q'.`Q' `P6'.`P6',dots 2,dots 3)
    #call SlowSub(1,`P8'.`Q',`P2'.`Q'-`P3'.`P3'/2-`Q'.`Q'/2+`P4'.`P4'/2,\
`P8'.`Q' `P2'.`Q' `P3'.`P3' `Q'.`Q' `P4'.`P4',dots 3,dots 4)
#call ObviouslyZero(no)

#call ACCU2A(`P2'.`Q' `P1'.`P1' `P3'.`P3' `P7'.`P7' `P8'.`P8' `P2'.`P5',dots 4)
#$mncicount = 0;
#do mnci = 1,1
#$mncicount = $mncicount+1;
#$mnci = 0;
#$mnc25 = 0;
  #do mncj = 1,4
  id,once,`P2'.`Q'/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    	/`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8' =
		(`P1'.`P1'/2+`P3'.`P3'/2-`P7'.`P7'/2-`P8'.`P8'/2-`P2'.`P5')
		/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    	/`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8';
  #enddo
  if ( match(`P2'.`Q'/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    	/`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') ) $mnci = 1;
  if ( count(`P2'.`P5',1) > $mnc25 ) $mnc25 = count_(`P2'.`P5',1);
AB+,`P2'.`Q' `P1'.`P1' `P3'.`P3' `P7'.`P7' `P8'.`P8' `P2'.`P5';
ModuleOption maximum,$mnci,$mnc25;
.sort(PolyFun = acc):dots 6,`$mncicount';
#if ( `$mnci' > 0 )
	#redefine mnci "0"
#endif
#enddo
#break
*--#] 1 :
*--#[ 2 :
#case 2
	#call ACCU2A(`P1'.`P2' `P1'.`P1' `P2'.`P2' `P7'.`P7',dots 0)
	  id  `P1'.`P2' = `P1'.`P1'/2+`P2'.`P2'/2-`P7'.`P7'/2;
	#call ObviouslyZero(no)
	#call ACCU2A(`P2'.`P8' `P3'.`P3' `P2'.`P2' `P8'.`P8',dots 1)
	  id  `P2'.`P8' = `P8'.`P8'/2+`P2'.`P2'/2-`P3'.`P3'/2;
	#call ObviouslyZero(no)
    #call SlowSub(1,`P1'.`P8',`P2'.`Q'-`P3'.`P3'/2-`P5'.`P5'/2-`Q'.`Q'/2+`P4'.`P4'/2+`P6'.`P6'/2+`P8'.`P8'/2,\
`P2'.`Q' `P3'.`P3' `P5'.`P5' `Q'.`Q' `P4'.`P4' `P6'.`P6' `P8'.`P8',dots 2,dots 3)
	#call ObviouslyZero(no)

    #call SlowSub(1,`P1'.`Q',`P1'.`P1'/2+`Q'.`Q'/2-`P6'.`P6'/2,\
`P1'.`Q' `P1'.`P1' `Q'.`Q' `P6'.`P6',dots 3,dots 4)
    #call SlowSub(1,`P8'.`Q',`P2'.`Q'-`P3'.`P3'/2-`Q'.`Q'/2+`P4'.`P4'/2,\
`P8'.`Q' `P2'.`Q' `P3'.`P3' `Q'.`Q' `P4'.`P4',dots 4,dots 5)

  #call ObviouslyZero(no)
  #$maxpow = 0;
  if ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    	      /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') );
	  if ( count(`Q'.`P2',1) > $maxpow ) $maxpow = count_(`Q'.`P2',1);
  endif;
  AB+ `Q'.`P2',`P1'.`P1',`P3'.`P3',`P7'.`P7',`P8'.`P8',`P2'.`P5';
  ModuleOption maximum,$maxpow;
  .sort(PolyFun=acc):dots 5;
  #do i = `$maxpow',2,-1
     id	`Q'.`P2'^`i'/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    	/`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8' = `Q'.`P2'^{`i'-1}*
		(`P1'.`P1'/2+`P3'.`P3'/2-`P7'.`P7'/2-`P8'.`P8'/2-`P2'.`P5')
		/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    	/`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8';
  #call ObviouslyZero(no)
     AB+ `Q'.`P2',`P1'.`P1',`P3'.`P3',`P7'.`P7',`P8'.`P8',`P2'.`P5';
    .sort(PolyFun=acc):dots 6,`i';
  #enddo
  #$mnc25 = 0;
  repeat id	`Q'.`P2'/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    	/`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8' =
		(`P1'.`P1'/2+`P3'.`P3'/2-`P7'.`P7'/2-`P8'.`P8'/2-`P2'.`P5')
		/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    	/`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8';
  #call ObviouslyZero(no)

  if ( count(`P2'.`P5',1) > $mnc25 ) $mnc25 = count_(`P2'.`P5',1);

  ModuleOption maximum,$mnc25;
  .sort(PolyFun=acc):dots 6;
#break
*--#] 2 :
#endswitch
*--#[ Pass 1 :
if ( count(`P7'.`P7',1) < count(`P8'.`P8',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
       ,`P7',`P8',`P8',`P7');
elseif ( count(`P7'.`P7',1) == count(`P8'.`P8',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
           ,`P7',`P8',`P8',`P7');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P6'.`P6',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
               ,`P7',`P8',`P8',`P7');
	endif;
endif;
*
* Now we start a set of iterations to make either
* 1:  the power of `P2'.`P5' equal to zero
* 2:  the power of `P2'.`P2',`P5'.`P5',`P7'.`P7',`P8'.`P8' >= 0
* 3:  the power of `P1'.`P1',`P3'.`P3',`P4'.`P4',`P6'.`P6' >= -1
*
#write <> "---> $mnc25 = `$mnc25'"
#do mncj = {7,2,0}
 #if ( `$mnc25' > `mncj' )
  repeat;
  if ( match(`P2'.`P5'^{`mncj'+1}/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'/`P5'.`P5'
  /`P6'.`P6'/`P7'.`P7'/`P8'.`P8') );
    if ( count(`P6'.`P6',1) < -1 );
      id `P2'.`P5'^mncx9?/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?/`P4'.`P4'^mncx4?
         /`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?/`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? =
         `P2'.`P5'^mncx9/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3/`P4'.`P4'^mncx4
         /`P5'.`P5'^mncx5/`P6'.`P6'^mncx6/`P7'.`P7'^mncx7/`P8'.`P8'^mncx8 * (
        +acc(mncx6-1)*(`P3'.`P3'-`P2'.`P2'-`P8'.`P8')
        +acc(3-2*ep+mncx9-mncx1-mncx8-2*mncx2)*`P6'.`P6'
        +mncx1*`P6'.`P6'/`P1'.`P1'*(`P7'.`P7'-`P2'.`P2')
        +mncx8*`P6'.`P6'/`P8'.`P8'*(`P3'.`P3'-`P2'.`P2')
        )/(mncx6-1)/2/`P2'.`P5';
    elseif ( count(`P1'.`P1',1) < -1 );
      id `P2'.`P5'^mncx9?/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?/`P4'.`P4'^mncx4?
         /`P5'.`P5'^mncx5?/`P6'.`P6'/`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? =
         `P2'.`P5'^mncx9/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3/`P4'.`P4'^mncx4
         /`P5'.`P5'^mncx5/`P6'.`P6'/`P7'.`P7'^mncx7/`P8'.`P8'^mncx8 * (
        +acc(mncx1-1)*(`P4'.`P4'-`P5'.`P5'-`P7'.`P7')
        +acc(2-2*ep+mncx9-mncx7-2*mncx5)*`P1'.`P1'
        +`P1'.`P1'/`P6'.`P6'*(`P8'.`P8'-`P5'.`P5')
        +mncx7*`P1'.`P1'/`P7'.`P7'*(`P4'.`P4'-`P5'.`P5')
        )/(mncx1-1)/2/`P2'.`P5';
    elseif ( count(`P4'.`P4',1) < -1 );
      id `P2'.`P5'^mncx9?/`P1'.`P1'/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?/`P4'.`P4'^mncx4?
         /`P5'.`P5'^mncx5?/`P6'.`P6'/`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? =
         `P2'.`P5'^mncx9/`P1'.`P1'/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3/`P4'.`P4'^mncx4
         /`P5'.`P5'^mncx5/`P6'.`P6'/`P7'.`P7'^mncx7/`P8'.`P8'^mncx8 * (
        +acc(mncx4-1)*(`P1'.`P1'-`P2'.`P2'-`P7'.`P7')
        +acc(3-2*ep+mncx9-mncx3-mncx7-2*mncx2)*`P4'.`P4'
        +mncx3*`P4'.`P4'/`P3'.`P3'*(`P8'.`P8'-`P2'.`P2')
        +mncx7*`P4'.`P4'/`P7'.`P7'*(`P1'.`P1'-`P2'.`P2')
        )/(mncx4-1)/2/`P2'.`P5';
    elseif ( count(`P3'.`P3',1) < -1 );
      id `P2'.`P5'^mncx9?/`P1'.`P1'/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?/`P4'.`P4'
         /`P5'.`P5'^mncx5?/`P6'.`P6'/`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? =
         `P2'.`P5'^mncx9/`P1'.`P1'/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3/`P4'.`P4'
         /`P5'.`P5'^mncx5/`P6'.`P6'/`P7'.`P7'^mncx7/`P8'.`P8'^mncx8 * (
        +acc(mncx3-1)*(`P6'.`P6'-`P5'.`P5'-`P8'.`P8')
        +acc(2-2*ep+mncx9-mncx8-2*mncx5)*`P3'.`P3'
        +`P3'.`P3'/`P4'.`P4'*(`P7'.`P7'-`P5'.`P5')
        +mncx8*`P3'.`P3'/`P8'.`P8'*(`P6'.`P6'-`P5'.`P5')
        )/(mncx3-1)/2/`P2'.`P5';
    endif;
  endif;
  endrepeat;
  .sort(PolyFun=acc):nonplanar pass 1 -> A`mncj';
 #endif
#enddo
*--#] Pass 1 :
*--#[ Pass 2 :
*
* The next set of iterations has two phases.
* The first phase stops when either
* 1:  the power of `P2'.`P5' equal to zero
* 2:  the power of `P1'.`P1',`P3'.`P3',`P4'.`P4',`P6'.`P6',`P7'.`P7',`P8'.`P8' >= 0
* 3:  the power of `P2'.`P2',`P5'.`P5' >= -1
* The second phase stops when
* 1:  the power of `P2'.`P5' equal to zero
* 2:  the power of all others is >= -1
*
#do mncj = {11,6,2,0}
 #if ( `$mnc25' > `mncj' )
  repeat;
  if ( match(`P2'.`P5'^{`mncj'+1}/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
  /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') );
    if ( count(`P5'.`P5',1) < -1 );
      id `P2'.`P5'^mncx9?/`P1'.`P1'/`P2'.`P2'^mncx2?/`P3'.`P3'/`P4'.`P4'
         /`P5'.`P5'^mncx5?/`P6'.`P6'/`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? =
         `P2'.`P5'^mncx9/`P1'.`P1'/`P2'.`P2'^mncx2/`P3'.`P3'/`P4'.`P4'
         /`P5'.`P5'^mncx5/`P6'.`P6'/`P7'.`P7'^mncx7/`P8'.`P8'^mncx8 * (
          +acc(2*mncx2+mncx7+mncx8-mncx9-3+2*ep)
          +acc(mncx9-1)*`P2'.`P2'/`P2'.`P5'
          +mncx7*(`P2'.`P2'-`P1'.`P1')/`P7'.`P7'
          +mncx8*(`P2'.`P2'-`P3'.`P3')/`P8'.`P8'
        )/(mncx5-1)/2/`P2'.`P5'*`P5'.`P5';
    elseif ( count(`P2'.`P2',1) < -1 );
      id `P2'.`P5'^mncx9?/`P1'.`P1'/`P2'.`P2'^mncx2?/`P3'.`P3'/`P4'.`P4'
         /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? =
         `P2'.`P5'^mncx9/`P1'.`P1'/`P2'.`P2'^mncx2/`P3'.`P3'/`P4'.`P4'
         /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'^mncx7/`P8'.`P8'^mncx8 * (
          +acc(mncx7+mncx8-mncx9-1+2*ep)
          +acc(mncx9-1)*`P5'.`P5'/`P2'.`P5'
          +mncx7*(`P5'.`P5'-`P4'.`P4')/`P7'.`P7'
          +mncx8*(`P5'.`P5'-`P6'.`P6')/`P8'.`P8'
        )/(mncx2-1)/2/`P2'.`P5'*`P2'.`P2';
    elseif ( count(`P8'.`P8',1) < -1 );
      id `P2'.`P5'^mncx9?/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
         /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? =
         `P2'.`P5'^mncx9/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
         /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'^mncx7/`P8'.`P8'^mncx8 * (
          +acc(mncx8-1)*(2*`P1'.`P1'+2*`P3'.`P3'-2*`P2'.`P2'-`P7'.`P7'-`Q'.`Q')
          +acc(mncx9-1)*`P8'.`P8'*(`P1'.`P1'-`P2'.`P2'-`P7'.`P7')/`P2'.`P5'
          +acc(3-2*ep-2*mncx7-mncx8)*`P8'.`P8'
          +2*`P8'.`P8'/`P2'.`P2'*(`P1'.`P1'-`P7'.`P7')
        )/(mncx8-1)/2/`P2'.`P5';
    elseif ( count(`P7'.`P7',1) < -1 );
      id `P2'.`P5'^mncx9?/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
         /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'^mncx7?/`P8'.`P8' =
         `P2'.`P5'^mncx9/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
         /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'^mncx7/`P8'.`P8' * (
          +acc(mncx7-1)*(2*`P6'.`P6'+2*`P4'.`P4'-2*`P5'.`P5'-`P8'.`P8'-`Q'.`Q')
          +acc(mncx9-1)*`P7'.`P7'*(`P6'.`P6'-`P5'.`P5'-`P8'.`P8')/`P2'.`P5'
          +acc(1-2*ep-mncx7)*`P7'.`P7'
          +2*`P7'.`P7'/`P5'.`P5'*(`P6'.`P6'-`P8'.`P8')
        )/(mncx7-1)/2/`P2'.`P5';
    endif;
  endif;
  endrepeat;
  #call ACCU(nonplanar pass 2 -> B`mncj')
  #endif
#enddo
*--#] Pass 2 :
*--#[ Pass 3 :
*
*   Note: equation 6.14 is wrong!!! 6.13 is confusing. Use d/dk instead
*
multiply acc(1/ep);
while ( match(`P2'.`P5'/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'/`P5'.`P5'
  /`P6'.`P6'/`P7'.`P7'/`P8'.`P8') );
    id `P2'.`P5'^mncx9?/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
         /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8' =
         `P2'.`P5'^mncx9/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
         /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8' * (
            +2*`P3'.`P3'-2*`P8'.`P8'
            +acc(1+2*ep-mncx9)*mncdeno(mncx9-1,-4)*`Q'.`Q'
            +2*`Q'.`Q'*mncdeno(mncx9-1,-4)*(`P2'.`P2'-`P8'.`P8')/`P3'.`P3'
        )/2/`P2'.`P5';
    id  1/`P2'.`P5' = 0;
    id  mncdeno(0,-4) = acc(-1/4/ep);
    id  mncdeno(mncx1?,-4)=acc(1+4/mncx1*ep+16/mncx1^2*ep^2+64/mncx1^3*ep^3
        +256/mncx1^4*ep^4+1024/mncx1^5*ep^5+4096/mncx1^6*ep^6
		+16384/mncx1^7*ep^7+65536/mncx1^8*ep^8)/mncx1;
endwhile;
multiply ep;

#call ACCU(nonplanar pass 3)
*--#] Pass 3 :
*--#[ Preparation :
*
*   Next are four recursions that reduce the powers of the propagators
*   that connect to `Q' to 1.
*
#ifdef `LONGINT'
label 6;
while ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
  /`P5'.`P5'/`P6'.`P6'^2/`P7'.`P7'/`P8'.`P8') > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx1+2*mncx2+mncx5+mncx6+2*mncx7+mncx8-9+4*ep)*`P6'.`P6'
      +acc(mncx6-1)*`P1'.`P1'
      +mncx8*`P2'.`P2'*`P6'.`P6'/`P8'.`P8'
      -mncx8*`P3'.`P3'*`P6'.`P6'/`P8'.`P8'
      +mncx5*`P6'.`P6'*`P7'.`P7'/`P5'.`P5'
      -mncx5*`P4'.`P4'*`P6'.`P6'/`P5'.`P5'
    )/(mncx6-1);
label 1;
while ( match(1/`P1'.`P1'^2/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx6+2*mncx5+mncx2+mncx1+2*mncx8+mncx7-9+4*ep)*`P1'.`P1'
      +acc(mncx1-1)*`P6'.`P6'
      +mncx7*`P5'.`P5'*`P1'.`P1'/`P7'.`P7'
      -mncx7*`P4'.`P4'*`P1'.`P1'/`P7'.`P7'
      +mncx2*`P1'.`P1'*`P8'.`P8'/`P2'.`P2'
      -mncx2*`P3'.`P3'*`P1'.`P1'/`P2'.`P2'
    )/(mncx1-1);
label 3;
while ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'^2/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx4+2*mncx5+mncx2+mncx3+2*mncx7+mncx8-9+4*ep)*`P3'.`P3'
      +acc(mncx3-1)*`P4'.`P4'
      +mncx8*`P5'.`P5'*`P3'.`P3'/`P8'.`P8'
      -mncx8*`P6'.`P6'*`P3'.`P3'/`P8'.`P8'
      +mncx2*`P3'.`P3'*`P7'.`P7'/`P2'.`P2'
      -mncx2*`P1'.`P1'*`P3'.`P3'/`P2'.`P2'
    )/(mncx3-1);
label 4;
while ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'^2
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx3+2*mncx2+mncx5+mncx4+2*mncx8+mncx7-9+4*ep)*`P4'.`P4'
      +acc(mncx4-1)*`P3'.`P3'
      +mncx7*`P2'.`P2'*`P4'.`P4'/`P7'.`P7'
      -mncx7*`P1'.`P1'*`P4'.`P4'/`P7'.`P7'
      +mncx5*`P4'.`P4'*`P8'.`P8'/`P5'.`P5'
      -mncx5*`P6'.`P6'*`P4'.`P4'/`P5'.`P5'
    )/(mncx4-1);
id  mncdeno(0,mncx1?) = 1/mncx1/ep;
id  mncdeno(mncx1?,mncx2?) = mncaccm(1+ep*mncx2/mncx1)/mncx1;
repeat id mncaccm(mncx1?)*mncaccm(mncx2?) = mncaccm(mncx1*mncx2);
id  mncaccm(mncx1?) = mncaccm(mncx1-1);
id  mncaccm(mncx1?) = mncaccm(mncx1-mncx1^2,mncx1^3);
id  mncaccm(mncx1?,mncx2?) = acc(1-mncx1-mncx2+mncx2*mncx1+mncx2^2);
#call ACCU(Preparation)
#endif
*--#] Preparation :
*--#[ Last recursion :

#$mnccount = 0;
#do mnci = 1,1
#$mnccount = $mnccount+1;;
#$mnci = 0;

Multiply mncx^2;
label 6;
while ( match(mncx/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
  /`P5'.`P5'/`P6'.`P6'^2/`P7'.`P7'/`P8'.`P8') > 0 )
  id  mncx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx1+2*mncx2+mncx5+mncx6+2*mncx7+mncx8-9+4*ep)*`P6'.`P6'
      +acc(mncx6-1)*`P1'.`P1'
      +mncx8*`P2'.`P2'*`P6'.`P6'/`P8'.`P8'
      -mncx8*`P3'.`P3'*`P6'.`P6'/`P8'.`P8'
      +mncx5*`P6'.`P6'*`P7'.`P7'/`P5'.`P5'
      -mncx5*`P4'.`P4'*`P6'.`P6'/`P5'.`P5'
    )/(mncx6-1);
label 1;
while ( match(mncx/`P1'.`P1'^2/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
  id  mncx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx6+2*mncx5+mncx2+mncx1+2*mncx8+mncx7-9+4*ep)*`P1'.`P1'
      +acc(mncx1-1)*`P6'.`P6'
      +mncx7*`P5'.`P5'*`P1'.`P1'/`P7'.`P7'
      -mncx7*`P4'.`P4'*`P1'.`P1'/`P7'.`P7'
      +mncx2*`P1'.`P1'*`P8'.`P8'/`P2'.`P2'
      -mncx2*`P3'.`P3'*`P1'.`P1'/`P2'.`P2'
    )/(mncx1-1);
label 3;
while ( match(mncx/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'^2/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
  id  mncx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx4+2*mncx5+mncx2+mncx3+2*mncx7+mncx8-9+4*ep)*`P3'.`P3'
      +acc(mncx3-1)*`P4'.`P4'
      +mncx8*`P5'.`P5'*`P3'.`P3'/`P8'.`P8'
      -mncx8*`P6'.`P6'*`P3'.`P3'/`P8'.`P8'
      +mncx2*`P3'.`P3'*`P7'.`P7'/`P2'.`P2'
      -mncx2*`P1'.`P1'*`P3'.`P3'/`P2'.`P2'
    )/(mncx3-1);
label 4;
while ( match(mncx/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'^2
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
  id  mncx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx3+2*mncx2+mncx5+mncx4+2*mncx8+mncx7-9+4*ep)*`P4'.`P4'
      +acc(mncx4-1)*`P3'.`P3'
      +mncx7*`P2'.`P2'*`P4'.`P4'/`P7'.`P7'
      -mncx7*`P1'.`P1'*`P4'.`P4'/`P7'.`P7'
      +mncx5*`P4'.`P4'*`P8'.`P8'/`P5'.`P5'
      -mncx5*`P6'.`P6'*`P4'.`P4'/`P5'.`P5'
    )/(mncx4-1);
*
*   Now we have that in the 'active terms' the powers of `P1'.`P1', `P3'.`P3',
*   `P4'.`P4' and `P6'.`P6' is 1 and the power of `Q'.`P2' is zero.
*   The final recursion is for lines that don't touch the outside.
*
*   Remark: it seems better to combine this recursion more directly
*   with the above recursions.This can give:
*   1: 5 a: mncx7=mncx8=1 b: mncx7>1,mncx8=1 c: mncx7=1,mncx8>1 d: mncx7>1,mncx8>1
*   2: 2 mncx5=1 ( a: mncx7=mncx8=1 b: mncx7>1,mncx8=1 c: mncx7=1,mncx8>1 d: mncx7>1,mncx8>1 )
*   3: 8 mncx2=mncx5=1
*   4: 7 mncx2=mncx5=mncx8=1
*
if ( count(`P2'.`P2',-1,`P5'.`P5',-1,`P7'.`P7',-1,`P8'.`P8',-1) > `INNOTABL' );
while ( match(mncx/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    /`P5'.`P5'^2/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 );
  id  mncx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8*(
      +acc(mncx1+mncx2+mncx3+mncx4+mncx5+mncx6+mncx7+mncx8-8+4*ep)*(
        +acc(2*mncx1+2*mncx2+2*mncx3+mncx4+2*mncx5+mncx6+2*mncx7+2*mncx8-14+6*ep)
        +mncx4*`P3'.`P3'/`P4'.`P4'+mncx6*`P1'.`P1'/`P6'.`P6'
      )*`P5'.`P5'/`Q'.`Q'
      +acc(mncx5-1)*mncx4*`P7'.`P7'/`P4'.`P4'
      +acc(mncx5-1)*mncx6*`P8'.`P8'/`P6'.`P6'
      -acc(mncx1+mncx2+mncx3+mncx4+2*mncx5+mncx6+mncx7+mncx8-9+4*ep)*mncx4*`P5'.`P5'/`P4'.`P4'
      -acc(mncx1+mncx2+mncx3+mncx4+2*mncx5+mncx6+mncx7+mncx8-9+4*ep)*mncx6*`P5'.`P5'/`P6'.`P6'
    )/(mncx5-1)*mncdeno(mncx4+mncx6+2*mncx5-4,2);
  if ( count(`P4'.`P4',1) < -1 ) goto 4;
  if ( count(`P6'.`P6',1) < -1 ) goto 6;
  if ( count(`P2'.`P2',-1,`P5'.`P5',-1,`P7'.`P7',-1,`P8'.`P8',-1)
     <= `INNOTABL' ) goto 9;
endwhile;

while ( match(mncx/`P1'.`P1'/`P2'.`P2'^2/`P3'.`P3'/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 );
  id  mncx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8*(
      +acc(mncx1+mncx2+mncx3+mncx4+mncx5+mncx6+mncx7+mncx8-8+4*ep)*(
        +acc(2*mncx6+2*mncx2+2*mncx4+mncx3+2*mncx5+mncx1+2*mncx7+2*mncx8-14+6*ep)
        +mncx3*`P4'.`P4'/`P3'.`P3'+mncx1*`P6'.`P6'/`P1'.`P1'
      )*`P2'.`P2'/`Q'.`Q'
      +acc(mncx2-1)*mncx3*`P8'.`P8'/`P3'.`P3'
      +acc(mncx2-1)*mncx1*`P7'.`P7'/`P1'.`P1'
      -acc(mncx1+mncx5+mncx3+mncx4+2*mncx2+mncx6+mncx7+mncx8-9+4*ep)*mncx3*`P2'.`P2'/`P3'.`P3'
      -acc(mncx1+mncx5+mncx3+mncx4+2*mncx2+mncx6+mncx7+mncx8-9+4*ep)*mncx1*`P2'.`P2'/`P1'.`P1'
    )/(mncx2-1)*mncdeno(mncx3+mncx1+2*mncx2-4,2);
  if ( count(`P3'.`P3',1) < -1 ) goto 3;
  if ( count(`P1'.`P1',1) < -1 ) goto 1;
  if ( count(`P2'.`P2',-1,`P5'.`P5',-1,`P7'.`P7',-1,`P8'.`P8',-1)
     <= `INNOTABL' ) goto 9;
endwhile;

while ( match(mncx/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8'^2) > 0 );
  id  mncx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8*(
      +acc(mncx1+mncx2+mncx3+mncx4+mncx5+mncx6+mncx7+mncx8-8+4*ep)*(
        +acc(2*mncx1+2*mncx2+2*mncx4+mncx3+2*mncx5+mncx6+2*mncx7+2*mncx8-14+6*ep)
        +mncx3*`P4'.`P4'/`P3'.`P3'+mncx6*`P1'.`P1'/`P6'.`P6'
      )*`P8'.`P8'/`Q'.`Q'
      +acc(mncx8-1)*mncx3*`P2'.`P2'/`P3'.`P3'
      +acc(mncx8-1)*mncx6*`P5'.`P5'/`P6'.`P6'
      -acc(mncx1+mncx2+mncx3+mncx4+2*mncx8+mncx6+mncx7+mncx5-9+4*ep)*mncx3*`P8'.`P8'/`P3'.`P3'
      -acc(mncx1+mncx2+mncx3+mncx4+2*mncx8+mncx6+mncx7+mncx5-9+4*ep)*mncx6*`P8'.`P8'/`P6'.`P6'
    )/(mncx8-1)*mncdeno(mncx3+mncx6+2*mncx8-4,2);
  if ( count(`P3'.`P3',1) < -1 ) goto 3;
  if ( count(`P6'.`P6',1) < -1 ) goto 6;
  if ( count(`P2'.`P2',-1,`P5'.`P5',-1,`P7'.`P7',-1,`P8'.`P8',-1)
     <= `INNOTABL' ) goto 9;
endwhile;

while ( match(mncx/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'^2/`P8'.`P8') > 0 );
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    mncx/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8*(
      +acc(mncx1+mncx2+mncx3+mncx4+mncx5+mncx6+mncx7+mncx8-8+4*ep)*(
        +acc(2*mncx6+2*mncx2+2*mncx3+mncx4+2*mncx5+mncx1+2*mncx7+2*mncx8-14+6*ep)
        +mncx4*`P3'.`P3'/`P4'.`P4'+mncx1*`P6'.`P6'/`P1'.`P1'
      )*`P7'.`P7'/`Q'.`Q'
      +acc(mncx7-1)*mncx4*`P5'.`P5'/`P4'.`P4'
      +acc(mncx7-1)*mncx1*`P2'.`P2'/`P1'.`P1'
      -acc(mncx1+mncx5+mncx3+mncx4+2*mncx7+mncx6+mncx2+mncx8-9+4*ep)*mncx4*`P7'.`P7'/`P4'.`P4'
      -acc(mncx1+mncx5+mncx3+mncx4+2*mncx7+mncx6+mncx2+mncx8-9+4*ep)*mncx1*`P7'.`P7'/`P1'.`P1'
    )/(mncx7-1)*mncdeno(mncx4+mncx1+2*mncx7-4,2);
  if ( count(`P4'.`P4',1) < -1 ) goto 4;
  if ( count(`P1'.`P1',1) < -1 ) goto 1;
  if ( count(`P2'.`P2',-1,`P5'.`P5',-1,`P7'.`P7',-1,`P8'.`P8',-1)
     <= `INNOTABL' ) goto 9;
endwhile;
endif;
label 9;
if ( count(mncx,1) == 0 ) $mnci = 1;
id	mncx = 1;
ModuleOption,maximum,$mnci;
.sort(PolyFun=acc):noplane recursion,`$mnccount';
#if ( `$mnci' == 1 )
	#redefine mnci "0"
#endif
#enddo
*
*	Here we take those integrals that have been tabulated
*
if ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
     /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') );
	if ( count(`P2'.`P2',1) > count(`P5'.`P5',1) )
		multiply replace_(`P2',`P5',`P5',`P2');
	if ( count(`P7'.`P7',1) > count(`P8'.`P8',1) )
		multiply replace_(`P7',`P8',`P8',`P7');
	if ( ( count(`P2'.`P2',1) > count(`P7'.`P7',1) )
	|| ( ( count(`P2'.`P2',1) == count(`P7'.`P7',1) )
	  && ( count(`P8'.`P8',1) > count(`P5'.`P5',1) ) ) )
		multiply replace_(`P2',`P7',`P7',`P2',`P8',`P5',`P5',`P8');
	if ( ( count(`P2'.`P2',1) > count(`P8'.`P8',1) )
	|| ( ( count(`P2'.`P2',1) == count(`P8'.`P8',1) )
	  && ( count(`P7'.`P7',1) > count(`P5'.`P5',1) ) ) )
		multiply replace_(`P2',`P8',`P8',`P2',`P7',`P5',`P5',`P7');
	if ( count(`P2'.`P2',1) > count(`P5'.`P5',1) )
		multiply replace_(`P2',`P5',`P5',`P2');
	if ( count(`P7'.`P7',1) > count(`P8'.`P8',1) )
		multiply replace_(`P7',`P8',`P8',`P7');
  id `INTS'/`P1'.`P1'/`P2'.`P2'^mncx2?/`P3'.`P3'/`P4'.`P4'
           /`P5'.`P5'^mncx5?/`P6'.`P6'/`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? =
           mncxconst*mncnoptab(mncx2,mncx7,mncx8,mncx5)*mnceq^3/`Q'.`Q'^(mncx2+mncx5+mncx7+mncx8-2);
endif;
*
*   The value will only be substituted when the routine subint is
*   invoked. This way we can keep an eye on the accuracy of the calculation.
*
id  mncdeno(0,mncx1?) = 1/mncx1/ep;
id  mncdeno(mncx1?,mncx2?) = mncaccm(1+ep*mncx2/mncx1)/mncx1;
repeat id mncaccm(mncx1?)*mncaccm(mncx2?) = mncaccm(mncx1*mncx2);
id  mncaccm(mncx1?) = mncaccm(mncx1-1);
id  mncaccm(mncx1?) = mncaccm(mncx1-mncx1^2,mncx1^3);
id  mncaccm(mncx1?,mncx2?) = acc(1-mncx1-mncx2+mncx2*mncx1+mncx2^2);
*--#] Last recursion :
*
#endprocedure
*--#] newplane :
*--#[ newerplane :
#procedure newerplane(P1,P2,P3,P4,P5,P6,P7,P8,Q,INTS)
*
*   Reduction procedure for three loop graphs of the NO or nonplanar type.
*   Notation is from S.G.Gorishny et.al. Comp.Phys.Comm 55(1989)381
*   For the first part we use the algorithms from Chetyrkin & Tkachov
*   (Nuclear physics B192(1981)159.
*   To reduce powers in the numerator. These algorithms work faster.
*
*                     /-<------<-----<-\
*                 P1 /     \  P2   /    \ P3
*                   /       v     /      \
*                  /      P7 \   /        \
*                 /           \ /          \
*          Q --<--             /            --<-- Q
*                 \           / \          /
*                  \      P8 /   \        / 
*                   \       ^     \      /
*                 P6 \     /  P5   \    / P4
*                     \->------>----->-/
*
*   Express everything in powers of pi.pi, Q.Q and Q.p2.
*   The only difficult relation here is the one for p7.p8
*	Contrary to newplane (the previous version) we work with Q.p2
*	and not with p2.p5.
*
*   Note that the system here is optimized for the big and difficult
*   expressions.
*
#switch `NOSPEC'
*--#[ 0 :
#case 0
#call ObviouslyZero(no)
if ( count(`P7'.`P7',1) < count(`P8'.`P8',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
       ,`P7',`P8',`P8',`P7');
elseif ( count(`P7'.`P7',1) == count(`P8'.`P8',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
           ,`P7',`P8',`P8',`P7');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P6'.`P6',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
               ,`P7',`P8',`P8',`P7');
	endif;
endif;
#call ACCU2A(`P2'.`P3' `P3'.`P3' `P2'.`P2' `P8'.`P8',dots 0)
  id  `P2'.`P3' = `P3'.`P3'/2+`P2'.`P2'/2-`P8'.`P8'/2;
#call ObviouslyZero(no)
#call ACCU2A(`P1'.`P2' `P1'.`P1' `P2'.`P2' `P7'.`P7',dots 1)
  id  `P1'.`P2' = `P1'.`P1'/2+`P2'.`P2'/2-`P7'.`P7'/2;
#call ObviouslyZero(no)
    #call SlowSub(1,`P3'.`Q',`P3'.`P3'/2+`Q'.`Q'/2-`P4'.`P4'/2,\
`P3'.`Q' `P3'.`P3' `Q'.`Q' `P4'.`P4',dots 2,dots 3)
#call ObviouslyZero(no)
    #call SlowSub(1,`P1'.`Q',`P1'.`P1'/2+`Q'.`Q'/2-`P6'.`P6'/2,\
`P1'.`Q' `P1'.`P1' `Q'.`Q' `P6'.`P6',dots 3,dots 4)
#call ObviouslyZero(no)

if ( count(`P7'.`P7',1) < count(`P8'.`P8',1) );
	multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
       ,`P7',`P8',`P8',`P7');
elseif ( count(`P7'.`P7',1) == count(`P8'.`P8',1) );
    if ( count(`P1'.`P1',1) < count(`P3'.`P3',1) );
		multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
           ,`P7',`P8',`P8',`P7');
	elseif ( count(`P1'.`P1',1) == count(`P3'.`P3',1) );
	    if ( count(`P6'.`P6',1) < count(`P4'.`P4',1) )
			multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4'
               ,`P7',`P8',`P8',`P7');
	endif;
endif;
#$mnccount = 0;
if ( count(`P1'.`P3',1) > $mnccount ) $mnccount = count_(`P1'.`P3',1);
ModuleOption,maximum,$mnccount;
.sort(Polyfun=acc):dots 4;
#do i = `$mnccount',1,-2
	if ( count(`P1'.`P3',1) >= 2 );
	    id,once,`P1'.`P3'^`i' = `P1'.`P3'^{`i'-2}*
				(-`P2'.`Q'+`P1'.`P1'/2+`P2'.`P2'/2+`P3'.`P3'/2+`P5'.`P5'/2
                 +`Q'.`Q'/2-`P4'.`P4'/2-`P6'.`P6'/2-`P7'.`P7'/2-`P8'.`P8'/2)^2;
	    id,once,`P1'.`P3'^{`i'-1} = `P1'.`P3'^{`i'-2}*
				(-`P2'.`Q'+`P1'.`P1'/2+`P2'.`P2'/2+`P3'.`P3'/2+`P5'.`P5'/2
                 +`Q'.`Q'/2-`P4'.`P4'/2-`P6'.`P6'/2-`P7'.`P7'/2-`P8'.`P8'/2);
	else;
	    id  `P1'.`P3' = 
				 -`P2'.`Q'+`P1'.`P1'/2+`P2'.`P2'/2+`P3'.`P3'/2+`P5'.`P5'/2
                 +`Q'.`Q'/2-`P4'.`P4'/2-`P6'.`P6'/2-`P7'.`P7'/2-`P8'.`P8'/2;
	endif;
	#call ObviouslyZero(no)
	.sort(Polyfun=acc):dots 5,`i';
#enddo
#break
*--#] 0 :
*--#[ 1 :
#case 1
  id  `P2'.`P7' = `P2'.`P2'/2+`P7'.`P7'/2-`P1'.`P1'/2;
  #call ObviouslyZero(no)
#call ACCU2A(`P2'.`P8' `P3'.`P3' `P2'.`P2' `P8'.`P8',dots 0)
  id  `P2'.`P8' = -`P3'.`P3'/2+`P2'.`P2'/2+`P8'.`P8'/2;
#call ObviouslyZero(no)
#call ACCU2A(`P7'.`P8' `P2'.`P2' `P5'.`P5' `P4'.`P4' `P6'.`P6' `P2'.`Q' `Q'.`Q',dots 1)
  id  `P7'.`P8' = -`P2'.`Q'+`P2'.`P2'/2+`P5'.`P5'/2+`Q'.`Q'/2-`P4'.`P4'/2-`P6'.`P6'/2;
#call ObviouslyZero(no)
    #call SlowSub(1,`P7'.`Q',`P2'.`Q'-`P1'.`P1'/2-`Q'.`Q'/2+`P6'.`P6'/2,\
`P7'.`Q' `P2'.`Q' `P1'.`P1' `Q'.`Q' `P6'.`P6',dots 2,dots 3)
    #call SlowSub(1,`P8'.`Q',`P2'.`Q'-`P3'.`P3'/2-`Q'.`Q'/2+`P4'.`P4'/2,\
`P8'.`Q' `P2'.`Q' `P3'.`P3' `Q'.`Q' `P4'.`P4',dots 3,dots 4)
#call ObviouslyZero(no)

#call ACCU(dots 4)
#break
*--#] 1 :
*--#[ 2 :
#case 2
	#call ACCU2A(`P1'.`P2' `P1'.`P1' `P2'.`P2' `P7'.`P7',dots 0)
	  id  `P1'.`P2' = `P1'.`P1'/2+`P2'.`P2'/2-`P7'.`P7'/2;
	#call ObviouslyZero(no)
	#call ACCU2A(`P2'.`P8' `P3'.`P3' `P2'.`P2' `P8'.`P8',dots 1)
	  id  `P2'.`P8' = `P8'.`P8'/2+`P2'.`P2'/2-`P3'.`P3'/2;
	#call ObviouslyZero(no)
    #call SlowSub(1,`P1'.`P8',`P2'.`Q'-`P3'.`P3'/2-`P5'.`P5'/2-`Q'.`Q'/2+`P4'.`P4'/2+`P6'.`P6'/2+`P8'.`P8'/2,\
`P2'.`Q' `P3'.`P3' `P5'.`P5' `Q'.`Q' `P4'.`P4' `P6'.`P6' `P8'.`P8',dots 2,dots 3)
	#call ObviouslyZero(no)

    #call SlowSub(1,`P1'.`Q',`P1'.`P1'/2+`Q'.`Q'/2-`P6'.`P6'/2,\
`P1'.`Q' `P1'.`P1' `Q'.`Q' `P6'.`P6',dots 3,dots 4)
    #call SlowSub(1,`P8'.`Q',`P2'.`Q'-`P3'.`P3'/2-`Q'.`Q'/2+`P4'.`P4'/2,\
`P8'.`Q' `P2'.`Q' `P3'.`P3' `Q'.`Q' `P4'.`P4',dots 4,dots 5)

  #call ObviouslyZero(no)
  .sort(PolyFun=acc):dots 5;
#break
*--#] 2 :
#endswitch
*--#[ Eliminate Q.p2 :
*
*	First we go to a different notation
*
id	`Q'.`P2'^mnck9?/<`P1'.`P1'^mncx1?pos_>/.../<`P8'.`P8'^mncx8?pos_> =
			mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,mnck9)/2^mnck9;
*
*	The master loop eliminates combinations of excess powers and Q.`P2'
*
#$inocount = 0;
#do ino = 1,1
#$inocount = $inocount+1;
#$ino = 0;
if ( count(mncNO,1) );
*
*   F22=
*
	id,ifmatch->1,mncNO(mncx1?pos_,mncx2?pos_,mncx3?pos_,mncx4?pos_,mncx5?{>1},mncx6?pos_,mncx7?pos_,
				mncx8?pos_,mnck9?pos_) = acc(1/(-1+mncx5))*(
      +mncNO(-1+mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*acc(-1+mncx5)
      +mncNO(-1+mncx1,mncx2,mncx3,mncx4,-1+mncx5,mncx6,1+mncx7,mncx8,-1+mnck9)*(mncx7)
      +mncNO(mncx1,-1+mncx2,mncx3,mncx4,-1+mncx5,mncx6,1+mncx7,mncx8,-1+mnck9)*(-mncx7)
      +mncNO(mncx1,-1+mncx2,mncx3,mncx4,-1+mncx5,mncx6,mncx7,1+mncx8,-1+mnck9)*(-mncx8)
      +mncNO(mncx1,mncx2,-1+mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*acc(-1+mncx5)
      +mncNO(mncx1,mncx2,-1+mncx3,mncx4,-1+mncx5,mncx6,mncx7,1+mncx8,-1+mnck9)*(mncx8)
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,-1+mncx7,mncx8,-1+mnck9)*(-acc(-1+mncx5))
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,-1+mncx8,-1+mnck9)*(-acc(-1+mncx5))
      +mncNO(mncx1,mncx2,mncx3,mncx4,-1+mncx5,mncx6,mncx7,mncx8,-1+mnck9)*acc(3+mnck9-mncx8-mncx7-2*mncx2-2*ep));
*
*   F16=
*
	id,ifmatch->1,mncNO(mncx1?pos_,mncx2?pos_,mncx3?pos_,mncx4?pos_,mncx5?pos_,mncx6?pos_
			,mncx7?{>1},mncx8?pos_,mnck9?pos_) = acc(1/(-1+mncx7))*(
      +mncNO(1+mncx1,mncx2,mncx3,mncx4,mncx5,-1+mncx6,-1+mncx7,mncx8,-1+mnck9)*(-mncx1)
      +mncNO(1+mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,-1+mncx7,mncx8,-1+mnck9)*`Q'.`Q'*(mncx1)
      +mncNO(mncx1,-1+mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*acc(-1+mncx7)
      +mncNO(mncx1,mncx2,mncx3,mncx4,1+mncx5,-1+mncx6,-1+mncx7,mncx8,-1+mnck9)*(-mncx5)
      +mncNO(mncx1,mncx2,mncx3,mncx4,1+mncx5,mncx6,-1+mncx7,-1+mncx8,-1+mnck9)*(mncx5)
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,-1+mncx6,mncx7,mncx8,-1+mnck9)*(-acc(-1+mncx7))
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*`Q'.`Q'*acc(-1+mncx7)
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,-1+mncx7,mncx8,-1+mnck9)*acc(5-mncx7-2*mncx6-mncx5-mncx1-2*ep));
*
*   F25=
*
	id,ifmatch->1,mncNO(mncx1?pos_,mncx2?{>1},mncx3?pos_,mncx4?pos_,mncx5?pos_,mncx6?pos_
			,mncx7?pos_,mncx8?pos_,mnck9?pos_) = acc(-1/(-1+mncx2))*(
      +mncNO(-1+mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*(-acc(-1+mncx2))
      +mncNO(-1+mncx1,-1+mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-2+mnck9)*acc(-1+mnck9)
      +mncNO(mncx1,mncx2,-1+mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*(-acc(-1+mncx2))
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,-1+mncx7,mncx8,-1+mnck9)*acc(-1+mncx2)
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,-1+mncx8,-1+mnck9)*acc(-1+mncx2)
      +mncNO(mncx1,-1+mncx2,-1+mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-2+mnck9)*acc(-1+mnck9)
      +mncNO(mncx1,-1+mncx2,mncx3,-1+mncx4,mncx5,mncx6,1+mncx7,mncx8,-1+mnck9)*(-mncx7)
      +mncNO(mncx1,-1+mncx2,mncx3,-1+mncx4,mncx5,mncx6,mncx7,mncx8,-2+mnck9)*(-acc(-1+mnck9))
      +mncNO(mncx1,-1+mncx2,mncx3,mncx4,-1+mncx5,mncx6,1+mncx7,mncx8,-1+mnck9)*(mncx7)
      +mncNO(mncx1,-1+mncx2,mncx3,mncx4,-1+mncx5,mncx6,mncx7,1+mncx8,-1+mnck9)*(mncx8)
      +mncNO(mncx1,-1+mncx2,mncx3,mncx4,mncx5,-1+mncx6,mncx7,1+mncx8,-1+mnck9)*(-mncx8)
      +mncNO(mncx1,-1+mncx2,mncx3,mncx4,mncx5,-1+mncx6,mncx7,mncx8,-2+mnck9)*(-acc(-1+mnck9))
      +mncNO(mncx1,-1+mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*acc(-3-mnck9+mncx8+mncx7+2*mncx5+2*ep));
*
*   F24=
*
	id,ifmatch->1,mncNO(mncx1?pos_,mncx2?pos_,mncx3?pos_,mncx4?pos_,mncx5?pos_,mncx6?pos_,
			mncx7?pos_,mncx8?{>1},mnck9?pos_) = acc(-1/(-1+mncx8))*(
      +mncNO(-1+mncx1,1+mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,-1+mncx8,-1+mnck9)*(mncx2)
      +mncNO(-1+mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,-1+mncx8,-2+mnck9)*(-acc(-1+mnck9))
      +mncNO(mncx1,-1+mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*(-acc(-1+mncx8))
      +mncNO(mncx1,1+mncx2,mncx3,mncx4,mncx5,mncx6,-1+mncx7,-1+mncx8,-1+mnck9)*(-mncx2)
      +mncNO(mncx1,mncx2,mncx3,-1+mncx4,1+mncx5,mncx6,mncx7,-1+mncx8,-1+mnck9)*(mncx5)
      +mncNO(mncx1,mncx2,mncx3,-1+mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*acc(-1+mncx8)
      +mncNO(mncx1,mncx2,mncx3,mncx4,-1+mncx5,mncx6,mncx7,mncx8,-1+mnck9)*(-acc(-1+mncx8))
      +mncNO(mncx1,mncx2,mncx3,mncx4,1+mncx5,mncx6,-1+mncx7,-1+mncx8,-1+mnck9)*(-mncx5)
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,-1+mncx6,mncx7,mncx8,-1+mnck9)*acc(-1+mncx8)
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,-1+mncx6,mncx7,-1+mncx8,-2+mnck9)*acc(-1+mnck9)
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*`Q'.`Q'*(-acc(-1+mncx8))
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,-1+mncx8,-2+mnck9)*`Q'.`Q'*(-acc(-1+mnck9))
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,-1+mncx8,-1+mnck9)*acc(3+mnck9-2*mncx7-mncx5-mncx2-2*ep));
*
*   F35=
*
	id,ifmatch->1,mncNO(mncx1?pos_,mncx2?pos_,mncx3?{>1},mncx4?pos_,mncx5?pos_,mncx6?pos_,
			mncx7?pos_,mncx8?pos_,mnck9?pos_) = acc(-1/(-1+mncx3))*(
      +mncNO(-1+mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*(-acc(-1+mncx3))
      +mncNO(mncx1,mncx2,mncx3,mncx4,-1+mncx5,mncx6,mncx7,mncx8,-1+mnck9)*(-acc(-1+mncx3))
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,-1+mncx6,mncx7,mncx8,-1+mnck9)*acc(-1+mncx3)
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,-1+mncx7,mncx8,-1+mnck9)*acc(-1+mncx3)
      +mncNO(mncx1,mncx2,-1+mncx3,1+mncx4,-1+mncx5,mncx6,mncx7,mncx8,-1+mnck9)*(-mncx4)
      +mncNO(mncx1,mncx2,-1+mncx3,1+mncx4,mncx5,mncx6,-1+mncx7,mncx8,-1+mnck9)*(mncx4)
      +mncNO(mncx1,mncx2,-1+mncx3,mncx4,-1+mncx5,mncx6,mncx7,1+mncx8,-1+mnck9)*(-mncx8)
      +mncNO(mncx1,mncx2,-1+mncx3,mncx4,mncx5,-1+mncx6,mncx7,1+mncx8,-1+mnck9)*(mncx8)
      +mncNO(mncx1,mncx2,-1+mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*acc(5-mncx8-2*mncx5-mncx4-mncx3-2*ep));
*
*   F15a=
*
	id,ifmatch->1,mncNO(mncx1?{>1},mncx2?pos_,mncx3?pos_,mncx4?pos_,mncx5?pos_,mncx6?pos_,
			mncx7?pos_,mncx8?pos_,mnck9?pos_) = acc(-1/(-1+mncx1))*(
      +mncNO(mncx1,mncx2,-1+mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*(-acc(-1+mncx1))
      +mncNO(mncx1,mncx2,mncx3,-1+mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*acc(-1+mncx1)
      +mncNO(mncx1,mncx2,mncx3,mncx4,-1+mncx5,mncx6,mncx7,mncx8,-1+mnck9)*(-acc(-1+mncx1))
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,-1+mncx8,-1+mnck9)*acc(-1+mncx1)
      +mncNO(-1+mncx1,mncx2,mncx3,-1+mncx4,mncx5,mncx6,1+mncx7,mncx8,-1+mnck9)*(mncx7)
      +mncNO(-1+mncx1,mncx2,mncx3,mncx4,-1+mncx5,1+mncx6,mncx7,mncx8,-1+mnck9)*(-mncx6)
      +mncNO(-1+mncx1,mncx2,mncx3,mncx4,-1+mncx5,mncx6,1+mncx7,mncx8,-1+mnck9)*(-mncx7)
      +mncNO(-1+mncx1,mncx2,mncx3,mncx4,mncx5,1+mncx6,mncx7,-1+mncx8,-1+mnck9)*(mncx6)
      +mncNO(-1+mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*acc(5-mncx7-mncx6-2*mncx5-mncx1-2*ep));
*
*   F38=
*
	id,ifmatch->1,mncNO(mncx1?pos_,mncx2?pos_,mncx3?pos_,mncx4?{>1},mncx5?pos_,mncx6?pos_,
			mncx7?pos_,mncx8?pos_,mnck9?pos_) = acc(-1/(-1+mncx4))*(
      +mncNO(mncx1,-1+mncx2,1+mncx3,-1+mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*(-mncx3)
      +mncNO(mncx1,-1+mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*(-acc(-1+mncx4))
      +mncNO(mncx1,mncx2,1+mncx3,-1+mncx4,mncx5,mncx6,mncx7,-1+mncx8,-1+mnck9)*(mncx3)
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,-1+mncx8,-1+mnck9)*acc(-1+mncx4)
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*`Q'.`Q'*(-acc(-1+mncx4))
      +mncNO(mncx1,mncx2,mncx3,-1+mncx4,1+mncx5,-1+mncx6,mncx7,mncx8,-1+mnck9)*(-mncx5)
      +mncNO(mncx1,mncx2,mncx3,-1+mncx4,1+mncx5,mncx6,mncx7,-1+mncx8,-1+mnck9)*(mncx5)
      +mncNO(mncx1,mncx2,mncx3,-1+mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*acc(-5+2*mncx8+mncx5+mncx4+mncx3+2*ep));
*
*   F17=
*
	id,ifmatch->1,mncNO(mncx1?pos_,mncx2?pos_,mncx3?pos_,mncx4?pos_,mncx5?pos_,mncx6?{>1},
			mncx7?pos_,mncx8?pos_,mnck9?pos_) = acc(-1/(-1+mncx6))*(
      +mncNO(1+mncx1,-1+mncx2,mncx3,mncx4,mncx5,-1+mncx6,mncx7,mncx8,-1+mnck9)*(-mncx1)
      +mncNO(1+mncx1,mncx2,mncx3,mncx4,mncx5,-1+mncx6,-1+mncx7,mncx8,-1+mnck9)*(mncx1)
      +mncNO(mncx1,-1+mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*(-acc(-1+mncx6))
      +mncNO(mncx1,mncx2,mncx3,-1+mncx4,1+mncx5,-1+mncx6,mncx7,mncx8,-1+mnck9)*(-mncx5)
      +mncNO(mncx1,mncx2,mncx3,mncx4,1+mncx5,-1+mncx6,-1+mncx7,mncx8,-1+mnck9)*(mncx5)
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,-1+mncx7,mncx8,-1+mnck9)*acc(-1+mncx6)
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,mncx6,mncx7,mncx8,-1+mnck9)*`Q'.`Q'*(-acc(-1+mncx6))
      +mncNO(mncx1,mncx2,mncx3,mncx4,mncx5,-1+mncx6,mncx7,mncx8,-1+mnck9)*acc(-5+2*mncx7+mncx6+mncx5+mncx1+2*ep));
    Multiply replace_(mncNO,mncNOp);
    label 1;
    if ( count(mncNO,1) ) $ino = 1;
endif;
ModuleOption,maximum,$ino;
.sort(PolyFun=acc): Q.p2 recursion(`$inocount');
#if ( `$ino' == 1 )
	#redefine ino "0"
#endif
#enddo
Multiply replace_(mncNOp,mncNO);
repeat;
	id	mncNO(1,1,1,1,1,1,1,1,mnck9?pos_) = `Q'.`Q'*mncdeno(-1+mnck9,-4)*(
      +mncNO(1,1,1,1,1,1,1,1,-1+mnck9)*acc(-1+mnck9-2*ep)
      -mncNO(0,0,1,1,1,1,1,1,-2+mnck9)*`Q'.`Q'^-1*acc(-1+mnck9)
      -mncNO(0,2,1,1,1,1,1,0,-1+mnck9)*`Q'.`Q'^-1
      +mncNO(0,1,1,1,1,1,1,0,-2+mnck9)*`Q'.`Q'^-1*acc(-1+mnck9)
      +mncNO(1,0,0,1,1,1,1,1,-2+mnck9)*`Q'.`Q'^-1*(-acc(-1+mnck9))
      +mncNO(1,0,1,0,1,1,2,1,-1+mnck9)*`Q'.`Q'^-1
      +mncNO(1,0,1,0,1,1,1,1,-2+mnck9)*`Q'.`Q'^-1*acc(-1+mnck9)
      -mncNO(1,0,1,1,0,1,2,1,-1+mnck9)*`Q'.`Q'^-1
      -mncNO(1,0,1,1,0,1,1,2,-1+mnck9)*`Q'.`Q'^-1
      +mncNO(1,0,1,1,1,0,1,2,-1+mnck9)*`Q'.`Q'^-1
      +mncNO(1,0,1,1,1,0,1,1,-2+mnck9)*`Q'.`Q'^-1*acc(-1+mnck9)
      +mncNO(1,0,1,1,1,1,1,1,-1+mnck9)*`Q'.`Q'^-1*acc(-1+mnck9-4*ep)*2
      -mncNO(1,0,2,0,1,1,1,1,-1+mnck9)*`Q'.`Q'^-1
      -mncNO(1,2,0,1,1,1,0,1,-1+mnck9)*`Q'.`Q'^-1
      +mncNO(1,2,1,1,1,1,0,0,-1+mnck9)*`Q'.`Q'^-1*2
      +mncNO(1,1,0,1,1,1,0,1,-2+mnck9)*`Q'.`Q'^-1*acc(-1+mnck9)
      +mncNO(1,1,1,0,1,1,0,1,-2+mnck9)*`Q'.`Q'^-1*(-acc(-1+mnck9))
      +mncNO(1,1,1,1,1,0,1,0,-2+mnck9)*`Q'.`Q'^-1*(-acc(-1+mnck9))
      +mncNO(1,1,1,1,1,1,0,1,-2+mnck9)*acc(-1+mnck9)
      -mncNO(1,1,1,1,1,1,0,1,-1+mnck9)*`Q'.`Q'^-1*acc(-1+mnck9-4*ep)
      +mncNO(1,1,1,1,1,1,1,0,-2+mnck9)*acc(-1+mnck9)
      -mncNO(1,1,1,1,1,1,1,0,-1+mnck9)*`Q'.`Q'^-1*acc(-1+mnck9-4*ep)
      +mncNO(1,1,2,0,1,1,1,0,-1+mnck9)*`Q'.`Q'^-1
      -mncNO(2,0,1,1,1,0,1,1,-1+mnck9)*`Q'.`Q'^-1
      +mncNO(2,1,1,1,1,0,0,1,-1+mnck9)*`Q'.`Q'^-1);
	id  mncdeno(0,-4) = acc(-1/4/ep);
    id  mncdeno(mncx1?,-4)=acc(1+4/mncx1*ep+16/mncx1^2*ep^2+64/mncx1^3*ep^3
        +256/mncx1^4*ep^4+1024/mncx1^5*ep^5+4096/mncx1^6*ep^6
		+16384/mncx1^7*ep^7+65536/mncx1^8*ep^8)/mncx1;
endrepeat;

id	mncNO(mncx1?,...,mncx8?,mnck9?) =
		 2^mnck9*`Q'.`P2'^mnck9/<`P1'.`P1'^mncx1>/.../<`P8'.`P8'^mncx8>;

.sort(PolyFun=acc):Q.p2 recursion;

*--#] Eliminate Q.p2 :
*--#[ Preparation :
*
*   Next are four recursions that reduce the powers of the propagators
*   that connect to `Q' to 1.
*
#ifdef `LONGINT'
#$mnccount = 0;
#do mnci = 1,1
#$mnci = 0;
#$mnccount = $mnccount+1;
if ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
		    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') );
	Multiply mncxx^5;
	while ( match(mncxx/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
	  /`P5'.`P5'/`P6'.`P6'^2/`P7'.`P7'/`P8'.`P8') > 0 )
	  id  mncxx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
	    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
	    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    	1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
	    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    	/`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
	      +acc(2*mncx1+2*mncx2+mncx5+mncx6+2*mncx7+mncx8-9+4*ep)*`P6'.`P6'
    	  +acc(mncx6-1)*`P1'.`P1'
	      +mncx8*`P2'.`P2'*`P6'.`P6'/`P8'.`P8'
    	  -mncx8*`P3'.`P3'*`P6'.`P6'/`P8'.`P8'
	      +mncx5*`P6'.`P6'*`P7'.`P7'/`P5'.`P5'
    	  -mncx5*`P4'.`P4'*`P6'.`P6'/`P5'.`P5'
	    )/(mncx6-1);
	while ( match(mncxx/`P1'.`P1'^2/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
	    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
	  id  mncxx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    	/`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
	    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    	1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
	    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    	/`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
	      +acc(2*mncx6+2*mncx5+mncx2+mncx1+2*mncx8+mncx7-9+4*ep)*`P1'.`P1'
    	  +acc(mncx1-1)*`P6'.`P6'
	      +mncx7*`P5'.`P5'*`P1'.`P1'/`P7'.`P7'
    	  -mncx7*`P4'.`P4'*`P1'.`P1'/`P7'.`P7'
	      +mncx2*`P1'.`P1'*`P8'.`P8'/`P2'.`P2'
    	  -mncx2*`P3'.`P3'*`P1'.`P1'/`P2'.`P2'
	    )/(mncx1-1);
	while ( match(mncxx/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'^2/`P4'.`P4'
    	/`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
	  id  mncxx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    	/`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
	    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    	1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
	    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    	/`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
	      +acc(2*mncx4+2*mncx5+mncx2+mncx3+2*mncx7+mncx8-9+4*ep)*`P3'.`P3'
    	  +acc(mncx3-1)*`P4'.`P4'
	      +mncx8*`P5'.`P5'*`P3'.`P3'/`P8'.`P8'
	      -mncx8*`P6'.`P6'*`P3'.`P3'/`P8'.`P8'
    	  +mncx2*`P3'.`P3'*`P7'.`P7'/`P2'.`P2'
	      -mncx2*`P1'.`P1'*`P3'.`P3'/`P2'.`P2'
    	)/(mncx3-1);
	while ( match(mncxx/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'^2
	    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
	  id  mncxx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    	/`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
	    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    	1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
	    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    	/`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
	      +acc(2*mncx3+2*mncx2+mncx5+mncx4+2*mncx8+mncx7-9+4*ep)*`P4'.`P4'
    	  +acc(mncx4-1)*`P3'.`P3'
	      +mncx7*`P2'.`P2'*`P4'.`P4'/`P7'.`P7'
    	  -mncx7*`P1'.`P1'*`P4'.`P4'/`P7'.`P7'
	      +mncx5*`P4'.`P4'*`P8'.`P8'/`P5'.`P5'
    	  -mncx5*`P6'.`P6'*`P4'.`P4'/`P5'.`P5'
	    )/(mncx4-1);
	if ( count(mncxx,1) == 0 ) $mnci = 1;
	id	mncxx = 1;
	id  mncdeno(0,mncx1?) = 1/mncx1/ep;
	id  mncdeno(mncx1?,mncx2?) = mncaccm(1+ep*mncx2/mncx1)/mncx1;
	repeat id mncaccm(mncx1?)*mncaccm(mncx2?) = mncaccm(mncx1*mncx2);
	id  mncaccm(mncx1?) = mncaccm(mncx1-1);
	id  mncaccm(mncx1?) = mncaccm(mncx1-mncx1^2,mncx1^3);
	id  mncaccm(mncx1?,mncx2?) = acc(1-mncx1-mncx2+mncx2*mncx1+mncx2^2);
endif;
ModuleOption,maximum,$mnci;
.sort(PolyFun=acc):Preparation-`$mnccount';
#if ( `$mnci' > 0 )
	#redefine mnci "0"
#endif
#enddo
#endif
*--#] Preparation :
*--#[ Last recursion :

#$mnccount = 0;
#do mnci = 1,1
#$mnccount = $mnccount+1;;
#$mnci = 0;

Multiply mncx^2;
label 6;
while ( match(mncx/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
  /`P5'.`P5'/`P6'.`P6'^2/`P7'.`P7'/`P8'.`P8') > 0 )
  id  mncx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx1+2*mncx2+mncx5+mncx6+2*mncx7+mncx8-9+4*ep)*`P6'.`P6'
      +acc(mncx6-1)*`P1'.`P1'
      +mncx8*`P2'.`P2'*`P6'.`P6'/`P8'.`P8'
      -mncx8*`P3'.`P3'*`P6'.`P6'/`P8'.`P8'
      +mncx5*`P6'.`P6'*`P7'.`P7'/`P5'.`P5'
      -mncx5*`P4'.`P4'*`P6'.`P6'/`P5'.`P5'
    )/(mncx6-1);
label 1;
while ( match(mncx/`P1'.`P1'^2/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
  id  mncx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx6+2*mncx5+mncx2+mncx1+2*mncx8+mncx7-9+4*ep)*`P1'.`P1'
      +acc(mncx1-1)*`P6'.`P6'
      +mncx7*`P5'.`P5'*`P1'.`P1'/`P7'.`P7'
      -mncx7*`P4'.`P4'*`P1'.`P1'/`P7'.`P7'
      +mncx2*`P1'.`P1'*`P8'.`P8'/`P2'.`P2'
      -mncx2*`P3'.`P3'*`P1'.`P1'/`P2'.`P2'
    )/(mncx1-1);
label 3;
while ( match(mncx/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'^2/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
  id  mncx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx4+2*mncx5+mncx2+mncx3+2*mncx7+mncx8-9+4*ep)*`P3'.`P3'
      +acc(mncx3-1)*`P4'.`P4'
      +mncx8*`P5'.`P5'*`P3'.`P3'/`P8'.`P8'
      -mncx8*`P6'.`P6'*`P3'.`P3'/`P8'.`P8'
      +mncx2*`P3'.`P3'*`P7'.`P7'/`P2'.`P2'
      -mncx2*`P1'.`P1'*`P3'.`P3'/`P2'.`P2'
    )/(mncx3-1);
label 4;
while ( match(mncx/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'^2
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
  id  mncx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx3+2*mncx2+mncx5+mncx4+2*mncx8+mncx7-9+4*ep)*`P4'.`P4'
      +acc(mncx4-1)*`P3'.`P3'
      +mncx7*`P2'.`P2'*`P4'.`P4'/`P7'.`P7'
      -mncx7*`P1'.`P1'*`P4'.`P4'/`P7'.`P7'
      +mncx5*`P4'.`P4'*`P8'.`P8'/`P5'.`P5'
      -mncx5*`P6'.`P6'*`P4'.`P4'/`P5'.`P5'
    )/(mncx4-1);
*
*   Now we have that in the 'active terms' the powers of `P1'.`P1', `P3'.`P3',
*   `P4'.`P4' and `P6'.`P6' is 1 and the power of `Q'.`P2' is zero.
*   The final recursion is for lines that don't touch the outside.
*
*   Remark: it seems better to combine this recursion more directly
*   with the above recursions.This can give:
*   1: 5 a: mncx7=mncx8=1 b: mncx7>1,mncx8=1 c: mncx7=1,mncx8>1 d: mncx7>1,mncx8>1
*   2: 2 mncx5=1 ( a: mncx7=mncx8=1 b: mncx7>1,mncx8=1 c: mncx7=1,mncx8>1 d: mncx7>1,mncx8>1 )
*   3: 8 mncx2=mncx5=1
*   4: 7 mncx2=mncx5=mncx8=1
*
if ( count(`P2'.`P2',-1,`P5'.`P5',-1,`P7'.`P7',-1,`P8'.`P8',-1) > `INNOTABL' );
while ( match(mncx/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    /`P5'.`P5'^2/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 );
  id  mncx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8*(
      +acc(mncx1+mncx2+mncx3+mncx4+mncx5+mncx6+mncx7+mncx8-8+4*ep)*(
        +acc(2*mncx1+2*mncx2+2*mncx3+mncx4+2*mncx5+mncx6+2*mncx7+2*mncx8-14+6*ep)
        +mncx4*`P3'.`P3'/`P4'.`P4'+mncx6*`P1'.`P1'/`P6'.`P6'
      )*`P5'.`P5'/`Q'.`Q'
      +acc(mncx5-1)*mncx4*`P7'.`P7'/`P4'.`P4'
      +acc(mncx5-1)*mncx6*`P8'.`P8'/`P6'.`P6'
      -acc(mncx1+mncx2+mncx3+mncx4+2*mncx5+mncx6+mncx7+mncx8-9+4*ep)*mncx4*`P5'.`P5'/`P4'.`P4'
      -acc(mncx1+mncx2+mncx3+mncx4+2*mncx5+mncx6+mncx7+mncx8-9+4*ep)*mncx6*`P5'.`P5'/`P6'.`P6'
    )/(mncx5-1)*mncdeno(mncx4+mncx6+2*mncx5-4,2);
  if ( count(`P4'.`P4',1) < -1 ) goto 4;
  if ( count(`P6'.`P6',1) < -1 ) goto 6;
  if ( count(`P2'.`P2',-1,`P5'.`P5',-1,`P7'.`P7',-1,`P8'.`P8',-1)
     <= `INNOTABL' ) goto 9;
endwhile;

while ( match(mncx/`P1'.`P1'/`P2'.`P2'^2/`P3'.`P3'/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 );
  id  mncx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8*(
      +acc(mncx1+mncx2+mncx3+mncx4+mncx5+mncx6+mncx7+mncx8-8+4*ep)*(
        +acc(2*mncx6+2*mncx2+2*mncx4+mncx3+2*mncx5+mncx1+2*mncx7+2*mncx8-14+6*ep)
        +mncx3*`P4'.`P4'/`P3'.`P3'+mncx1*`P6'.`P6'/`P1'.`P1'
      )*`P2'.`P2'/`Q'.`Q'
      +acc(mncx2-1)*mncx3*`P8'.`P8'/`P3'.`P3'
      +acc(mncx2-1)*mncx1*`P7'.`P7'/`P1'.`P1'
      -acc(mncx1+mncx5+mncx3+mncx4+2*mncx2+mncx6+mncx7+mncx8-9+4*ep)*mncx3*`P2'.`P2'/`P3'.`P3'
      -acc(mncx1+mncx5+mncx3+mncx4+2*mncx2+mncx6+mncx7+mncx8-9+4*ep)*mncx1*`P2'.`P2'/`P1'.`P1'
    )/(mncx2-1)*mncdeno(mncx3+mncx1+2*mncx2-4,2);
  if ( count(`P3'.`P3',1) < -1 ) goto 3;
  if ( count(`P1'.`P1',1) < -1 ) goto 1;
  if ( count(`P2'.`P2',-1,`P5'.`P5',-1,`P7'.`P7',-1,`P8'.`P8',-1)
     <= `INNOTABL' ) goto 9;
endwhile;

while ( match(mncx/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8'^2) > 0 );
  id  mncx/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8*(
      +acc(mncx1+mncx2+mncx3+mncx4+mncx5+mncx6+mncx7+mncx8-8+4*ep)*(
        +acc(2*mncx1+2*mncx2+2*mncx4+mncx3+2*mncx5+mncx6+2*mncx7+2*mncx8-14+6*ep)
        +mncx3*`P4'.`P4'/`P3'.`P3'+mncx6*`P1'.`P1'/`P6'.`P6'
      )*`P8'.`P8'/`Q'.`Q'
      +acc(mncx8-1)*mncx3*`P2'.`P2'/`P3'.`P3'
      +acc(mncx8-1)*mncx6*`P5'.`P5'/`P6'.`P6'
      -acc(mncx1+mncx2+mncx3+mncx4+2*mncx8+mncx6+mncx7+mncx5-9+4*ep)*mncx3*`P8'.`P8'/`P3'.`P3'
      -acc(mncx1+mncx2+mncx3+mncx4+2*mncx8+mncx6+mncx7+mncx5-9+4*ep)*mncx6*`P8'.`P8'/`P6'.`P6'
    )/(mncx8-1)*mncdeno(mncx3+mncx6+2*mncx8-4,2);
  if ( count(`P3'.`P3',1) < -1 ) goto 3;
  if ( count(`P6'.`P6',1) < -1 ) goto 6;
  if ( count(`P2'.`P2',-1,`P5'.`P5',-1,`P7'.`P7',-1,`P8'.`P8',-1)
     <= `INNOTABL' ) goto 9;
endwhile;

while ( match(mncx/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'^2/`P8'.`P8') > 0 );
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    mncx/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8*(
      +acc(mncx1+mncx2+mncx3+mncx4+mncx5+mncx6+mncx7+mncx8-8+4*ep)*(
        +acc(2*mncx6+2*mncx2+2*mncx3+mncx4+2*mncx5+mncx1+2*mncx7+2*mncx8-14+6*ep)
        +mncx4*`P3'.`P3'/`P4'.`P4'+mncx1*`P6'.`P6'/`P1'.`P1'
      )*`P7'.`P7'/`Q'.`Q'
      +acc(mncx7-1)*mncx4*`P5'.`P5'/`P4'.`P4'
      +acc(mncx7-1)*mncx1*`P2'.`P2'/`P1'.`P1'
      -acc(mncx1+mncx5+mncx3+mncx4+2*mncx7+mncx6+mncx2+mncx8-9+4*ep)*mncx4*`P7'.`P7'/`P4'.`P4'
      -acc(mncx1+mncx5+mncx3+mncx4+2*mncx7+mncx6+mncx2+mncx8-9+4*ep)*mncx1*`P7'.`P7'/`P1'.`P1'
    )/(mncx7-1)*mncdeno(mncx4+mncx1+2*mncx7-4,2);
  if ( count(`P4'.`P4',1) < -1 ) goto 4;
  if ( count(`P1'.`P1',1) < -1 ) goto 1;
  if ( count(`P2'.`P2',-1,`P5'.`P5',-1,`P7'.`P7',-1,`P8'.`P8',-1)
     <= `INNOTABL' ) goto 9;
endwhile;
endif;
label 9;
if ( count(mncx,1) == 0 ) $mnci = 1;
id	mncx = 1;
ModuleOption,maximum,$mnci;
.sort(PolyFun=acc):noplane recursion,`$mnccount';
#if ( `$mnci' == 1 )
	#redefine mnci "0"
#endif
#enddo
*
*	Here we take those integrals that have been tabulated
*
if ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
     /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') );
	if ( count(`P2'.`P2',1) > count(`P5'.`P5',1) )
		multiply replace_(`P2',`P5',`P5',`P2');
	if ( count(`P7'.`P7',1) > count(`P8'.`P8',1) )
		multiply replace_(`P7',`P8',`P8',`P7');
	if ( ( count(`P2'.`P2',1) > count(`P7'.`P7',1) )
	|| ( ( count(`P2'.`P2',1) == count(`P7'.`P7',1) )
	  && ( count(`P8'.`P8',1) > count(`P5'.`P5',1) ) ) )
		multiply replace_(`P2',`P7',`P7',`P2',`P8',`P5',`P5',`P8');
	if ( ( count(`P2'.`P2',1) > count(`P8'.`P8',1) )
	|| ( ( count(`P2'.`P2',1) == count(`P8'.`P8',1) )
	  && ( count(`P7'.`P7',1) > count(`P5'.`P5',1) ) ) )
		multiply replace_(`P2',`P8',`P8',`P2',`P7',`P5',`P5',`P7');
	if ( count(`P2'.`P2',1) > count(`P5'.`P5',1) )
		multiply replace_(`P2',`P5',`P5',`P2');
	if ( count(`P7'.`P7',1) > count(`P8'.`P8',1) )
		multiply replace_(`P7',`P8',`P8',`P7');
  id `INTS'/`P1'.`P1'/`P2'.`P2'^mncx2?/`P3'.`P3'/`P4'.`P4'
           /`P5'.`P5'^mncx5?/`P6'.`P6'/`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? =
           mncxconst*mncnoptab(mncx2,mncx7,mncx8,mncx5)*mnceq^3/`Q'.`Q'^(mncx2+mncx5+mncx7+mncx8-2);
endif;
*
*   The value will only be substituted when the routine subint is
*   invoked. This way we can keep an eye on the accuracy of the calculation.
*
id  mncdeno(0,mncx1?) = 1/mncx1/ep;
id  mncdeno(mncx1?,mncx2?) = mncaccm(1+ep*mncx2/mncx1)/mncx1;
repeat id mncaccm(mncx1?)*mncaccm(mncx2?) = mncaccm(mncx1*mncx2);
id  mncaccm(mncx1?) = mncaccm(mncx1-1);
id  mncaccm(mncx1?) = mncaccm(mncx1-mncx1^2,mncx1^3);
id  mncaccm(mncx1?,mncx2?) = acc(1-mncx1-mncx2+mncx2*mncx1+mncx2^2);
*--#] Last recursion :
*
#endprocedure
*--#] newerplane :
*--#[ newtwo :
#procedure newtwo(P1,E1,P2,E2,P3,E3,P4,E4,P5,E5,Q,EQ,REDUCTION,INTS)
*
*   Newer way to do two loop integrals.
*   The case with the ep power on the outside can be done
*   with the resolved triangle and the part with the ep on the
*   inside and all other powers one is done with a table.
*   This leaves only one type of explicit recursion. We deal
*   with them by making powers equal to 1 as quickly as possible
*   so that in the next recursion they may get killed. It isn't
*   clear whether this is the best strategy.
*
#if ( `REDUCTION' > 0 )
  id  `P4'.mncp?!{`P4'} = `P1'.mncp-`Q'.mncp;
  id  `P3'.mncp?!{`P3'} = `P2'.mncp-`Q'.mncp;
  id  `P5'.mncp?!{`P5'} = `P1'.mncp-`P2'.mncp;
  #call ACCU(Two loop momenta)
  id  `P1'.`Q' = `P1'.`P1'/2+`Q'.`Q'/2-`P4'.`P4'/2;
  id  `P2'.`Q' = `P2'.`P2'/2+`Q'.`Q'/2-`P3'.`P3'/2;
  id  `P1'.`P2' = `P1'.`P1'/2+`P2'.`P2'/2-`P5'.`P5'/2;
  #call ACCU(Two loop scalars)
#endif

#$mnccount = 0;
#do mnci = 1,1
#$mnccount = $mnccount+1;
#$mnci = 0;
if ( count(`E5',1) == 1 );
  Multiply mncx^5;
  repeat;
    if ( match(mncx*`E5'/`P1'.`P1'^2/`P4'.`P4'^2/`P2'.`P2'/`P3'.`P3') );
      id  mncx/`P1'.`P1'^mncx1?/`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?*`E5' =
        1/`P1'.`P1'^mncx1/`P4'.`P4'^mncx4/`P5'.`P5'^mncx5*`E5' * (
          +acc(ep+mncx5)*acc(1-2*ep-mncx5)/(mncx1-1)/(mncx4-1)*
                 `P1'.`P1'*`P4'.`P4'/`P5'.`P5'/`Q'.`Q'
          +acc(mncx1+mncx4-3+ep)/(mncx1-1)*`P1'.`P1'/`Q'.`Q'
          +acc(mncx1+mncx4-3+ep)/(mncx4-1)*`P4'.`P4'/`Q'.`Q'
        );
    endif;
  endrepeat;
  repeat;
    if ( match(mncx*`E5'/`P1'.`P1'/`P4'.`P4'/`P2'.`P2'^2/`P3'.`P3'^2) );
      id  mncx/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?/`P5'.`P5'^mncx5?*`E5' =
        1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3/`P5'.`P5'^mncx5*`E5' * (
          +acc(ep+mncx5)*acc(1-2*ep-mncx5)/(mncx2-1)/(mncx3-1)*
                 `P2'.`P2'*`P3'.`P3'/`P5'.`P5'/`Q'.`Q'
          +acc(mncx2+mncx3-3+ep)/(mncx2-1)*`P2'.`P2'/`Q'.`Q'
          +acc(mncx2+mncx3-3+ep)/(mncx3-1)*`P3'.`P3'/`Q'.`Q'
        );
    endif;
  endrepeat;
  if ( count(mncx,1) == 0 ) $mnci = 1;
  id mncx = 1;
endif;

if ( count(ep,1) );
	if ( count(acc,1) == 1 );
		id	ep^mncx?*acc(mncy?) = acc(ep^mncx*mncy);
	else;
		id	ep^mncx? = acc(ep^mncx);
	endif;
endif;
ModuleOption maximum,$mnci;
.sort(PolyFun = acc):Reduction 2 loops,`$mnccount';
#if ( `$mnci' > 0 )
	#redefine i "0"
#endif
#enddo
#$mnccount = 0;
#do mnci = 1,1
#$mnccount = $mnccount+1;
#$mnci = 0;
if ( count(`E5',1) == 0 );
  if ( count(`E2',1,`E3',1) == 0 );
    if ( ( match(1/`P2'.`P2'/`P3'.`P3'/`P5'.`P5') > 0 )
	&& ( ( count(`E1',1) > 0 ) || ( count(`P1'.`P1',1) < 0 ) )
	&& ( ( count(`E4',1) > 0 ) || ( count(`P4'.`P4',1) < 0 ) ) );
      #call triangl2(`P5',`P1',`P4',`P2',`P3',`E1',`E4')
    endif;
  else;
    if ( ( match(1/`P1'.`P1'/`P4'.`P4'/`P5'.`P5') > 0 )
	&& ( ( count(`E2',1) > 0 ) || ( count(`P2'.`P2',1) < 0 ) )
	&& ( ( count(`E3',1) > 0 ) || ( count(`P3'.`P3',1) < 0 ) ) );
      #call triangl2(`P5',`P2',`P3',`P1',`P4',`E2',`E3')
    endif;
  endif;
else;
  Multiply mncx^5;
  repeat;
    if ( match(mncx/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4') > 0 );
      if ( count(`P1'.`P1',1) < count(`P4'.`P4',1) );
        multiply replace_(`P1',`P4',`P4',`P1',`P2',`P3',`P3',`P2');
      endif;
      if ( count(`P3'.`P3',1) < count(`P4'.`P4',1) );
        multiply replace_(`P3',`P4',`P4',`P3',`P2',`P1',`P1',`P2');
        if ( count(`P1'.`P1',1) < count(`P4'.`P4',1) );
          multiply replace_(`P1',`P4',`P4',`P1',`P2',`P3',`P3',`P2');
        endif;
      else;
        if ( count(`P2'.`P2',1) < count(`P4'.`P4',1) );
          multiply replace_(`P2',`P4',`P4',`P2',`P3',`P1',`P1',`P3');
        endif;
      endif;
      if ( count(`P4'.`P4',1) < -1 );
        id mncx/`P1'.`P1'^mncx1?/`P4'.`P4'^mncx4?*`E5'^mncy5?/`P5'.`P5'^mncx5? =
           1/`P1'.`P1'^mncx1/`P4'.`P4'^mncx4*`E5'^mncy5/`P5'.`P5'^mncx5*(
             +acc((2*mncx1+mncx4+mncx5+mncy5*ep-5+2*ep)/(mncx4-1))*`P4'.`P4'
             +`P1'.`P1'
             +acc((mncx5+mncy5*ep)/(mncx4-1))*`P1'.`P1'*`P4'.`P4'/`P5'.`P5'
             -acc((mncx5+mncy5*ep)/(mncx4-1))*`P2'.`P2'*`P4'.`P4'/`P5'.`P5'
           )/`Q'.`Q';
      endif;
    endif;
  endrepeat;
  if ( count(mncx,1) == 0 ) $mnci = 1;
  if ( match(mncx/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4') > 0 );
*
*   Here we substitute from the table
*
    id `INTS'/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'*`E5'/`P5'.`P5'^mncx5? =
       mncTabTwo(mncx5)*`EQ'^3/`Q'.`Q'^mncx5;
  endif;
  id mncx = 1;
endif;
ModuleOption maximum,$mnci;
.sort(Polyfun=acc):Two loop reduction,`$mnccount';
#if ( `$mnci' > 0 )
	#redefine mnci "0"
#endif
#enddo
#endprocedure
*--#] newtwo :
*--#[ noplane :
#procedure noplane(P1,P2,P3,P4,P5,P6,P7,P8,Q,INTS)
*
*   Reduction procedure for three loop graphs of the NO or nonplanar type.
*   Notation is from S.G.Gorishny et.al. Comp.Phys.Comm 55(1989)381
*
*                     /-<------<-----<-\
*                 P1 /     \  P2   /    \ P3
*                   /       v     /      \
*                  /      P7 \   /        \
*                 /           \ /          \
*          Q --<--             /            --<-- Q
*                 \           / \          /
*                  \      P8 /   \        / 
*                   \       ^     \      /
*                 P6 \     /  P5   \    / P4
*                     \->------>----->-/
*
*   Express everything in powers of pi.pi, Q.Q and p2.Q;
*   The only difficult relation here is the one for p1.p3
*   It is derived by squaring:
*   p1-p3 = p6-p4 = p5+p8-p4
*   and p2-Q = p4+p8
*
*  id  `P5'.P?!{`P5'} = `P6'.P-`P8'.P;
*  id  `P4'.P?!{`P4'} = `P3'.P-Q.P;
*#call ACCU(moms 1)
*  id  `P6'.P?!{`P6'} = `P1'.P-Q.P;
*#call ACCU(moms 2)
*  id  `P7'.P?!{`P7'} = `P2'.P-`P1'.P;
*#call ACCU(moms 3)
*  id  `P8'.P?!{`P8'} = `P2'.P-`P3'.P;
*#call ACCU(moms 4)
  id  `P1'.`Q' = `P1'.`P1'/2+`Q'.`Q'/2-`P6'.`P6'/2;
#call ACCU(dots 1)
  id  `P3'.`Q' = `P3'.`P3'/2+`Q'.`Q'/2-`P4'.`P4'/2;
#call ACCU(dots 2)
  id  `P1'.`P2' = `P1'.`P1'/2+`P2'.`P2'/2-`P7'.`P7'/2;
#call ACCU(dots 3)
  id  `P3'.`P2' = `P3'.`P3'/2+`P2'.`P2'/2-`P8'.`P8'/2;
#call ACCU(dots 4)
  id `P1'.`P3' = -`P2'.`Q'+`P1'.`P1'/2+`P2'.`P2'/2+`P3'.`P3'/2+`P5'.`P5'/2
                 +`Q'.`Q'/2-`P4'.`P4'/2-`P6'.`P6'/2-`P7'.`P7'/2-`P8'.`P8'/2;
#call ACCU(dots 5)
*
*   First step: eliminate the powers of `Q'.`P2'
*   Equation 3.18 hasn't been checked yet.
*   Note how common factors are kept together in acc till the end.
*   This trick allows us to do an 'intermediate sort' in the argument
*   of acc, thereby making in the end only the terms that are necessary.
*
while ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
  /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8'*`Q'.`P2') > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8?*`Q'.`P2'^mncx9? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8*`Q'.`P2'^mncx9*`Q'.`Q'/`Q'.`P2'/2*(
      +acc(3-2*mncx2-mncx1-mncx3+mncx9-2*ep)
      +mncx1*`P7'.`P7'/`P1'.`P1'-mncx1*`P2'.`P2'/`P1'.`P1'
      +mncx3*`P8'.`P8'/`P3'.`P3'-mncx3*`P2'.`P2'/`P3'.`P3'
      +2*acc(mncx9-1)*`P2'.`P2'/`Q'.`P2'/2
    )*mncdeno(7-mncx1-mncx2-mncx3-mncx4-mncx5-mncx6-mncx7-mncx8+mncx9,-4);
#ifdef `LONGINT'
id  mncdeno(0,-4) = -1/4/ep;
id  mncdeno(mncx1?,-4) = mncaccm(1-4*ep/mncx1)/mncx1;
repeat id mncaccm(mncx1?)*mncaccm(mncx2?) = mncaccm(mncx1*mncx2);
id  mncaccm(mncx1?) = mncaccm(mncx1-1);
id  mncaccm(mncx1?) = mncaccm(mncx1-mncx1^2,mncx1^3);
id  mncaccm(mncx1?,mncx2?) = acc(1-mncx1-mncx2+mncx2*mncx1+mncx2^2);
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
#endif
#call ACCU(Eliminate `Q'.`P2')
*
*   Next are four recursions that reduce the powers of the propagators
*   that connect to `Q' to 1.
*
#ifdef `LONGINT'
label 6;
while ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
  /`P5'.`P5'/`P6'.`P6'^2/`P7'.`P7'/`P8'.`P8') > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx1+2*mncx2+mncx5+mncx6+2*mncx7+mncx8-9+4*ep)*`P6'.`P6'
      +acc(mncx6-1)*`P1'.`P1'
      +mncx8*`P2'.`P2'*`P6'.`P6'/`P8'.`P8'
      -mncx8*`P3'.`P3'*`P6'.`P6'/`P8'.`P8'
      +mncx5*`P6'.`P6'*`P7'.`P7'/`P5'.`P5'
      -mncx5*`P4'.`P4'*`P6'.`P6'/`P5'.`P5'
    )/(mncx6-1);
label 1;
while ( match(1/`P1'.`P1'^2/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx6+2*mncx5+mncx2+mncx1+2*mncx8+mncx7-9+4*ep)*`P1'.`P1'
      +acc(mncx1-1)*`P6'.`P6'
      +mncx7*`P5'.`P5'*`P1'.`P1'/`P7'.`P7'
      -mncx7*`P4'.`P4'*`P1'.`P1'/`P7'.`P7'
      +mncx2*`P1'.`P1'*`P8'.`P8'/`P2'.`P2'
      -mncx2*`P3'.`P3'*`P1'.`P1'/`P2'.`P2'
    )/(mncx1-1);
label 3;
while ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'^2/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx4+2*mncx5+mncx2+mncx3+2*mncx7+mncx8-9+4*ep)*`P3'.`P3'
      +acc(mncx3-1)*`P4'.`P4'
      +mncx8*`P5'.`P5'*`P3'.`P3'/`P8'.`P8'
      -mncx8*`P6'.`P6'*`P3'.`P3'/`P8'.`P8'
      +mncx2*`P3'.`P3'*`P7'.`P7'/`P2'.`P2'
      -mncx2*`P1'.`P1'*`P3'.`P3'/`P2'.`P2'
    )/(mncx3-1);
label 4;
while ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'^2
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx3+2*mncx2+mncx5+mncx4+2*mncx8+mncx7-9+4*ep)*`P4'.`P4'
      +acc(mncx4-1)*`P3'.`P3'
      +mncx7*`P2'.`P2'*`P4'.`P4'/`P7'.`P7'
      -mncx7*`P1'.`P1'*`P4'.`P4'/`P7'.`P7'
      +mncx5*`P4'.`P4'*`P8'.`P8'/`P5'.`P5'
      -mncx5*`P6'.`P6'*`P4'.`P4'/`P5'.`P5'
    )/(mncx4-1);
id  mncdeno(0,mncx1?) = 1/mncx1/ep;
id  mncdeno(mncx1?,mncx2?) = mncaccm(1+ep*mncx2/mncx1)/mncx1;
repeat id mncaccm(mncx1?)*mncaccm(mncx2?) = mncaccm(mncx1*mncx2);
id  mncaccm(mncx1?) = mncaccm(mncx1-1);
id  mncaccm(mncx1?) = mncaccm(mncx1-mncx1^2,mncx1^3);
id  mncaccm(mncx1?,mncx2?) = acc(1-mncx1-mncx2+mncx2*mncx1+mncx2^2);
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
#call ACCU(Preparation)
#endif
label 6;
while ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
  /`P5'.`P5'/`P6'.`P6'^2/`P7'.`P7'/`P8'.`P8') > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx1+2*mncx2+mncx5+mncx6+2*mncx7+mncx8-9+4*ep)*`P6'.`P6'
      +acc(mncx6-1)*`P1'.`P1'
      +mncx8*`P2'.`P2'*`P6'.`P6'/`P8'.`P8'
      -mncx8*`P3'.`P3'*`P6'.`P6'/`P8'.`P8'
      +mncx5*`P6'.`P6'*`P7'.`P7'/`P5'.`P5'
      -mncx5*`P4'.`P4'*`P6'.`P6'/`P5'.`P5'
    )/(mncx6-1);
label 1;
while ( match(1/`P1'.`P1'^2/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx6+2*mncx5+mncx2+mncx1+2*mncx8+mncx7-9+4*ep)*`P1'.`P1'
      +acc(mncx1-1)*`P6'.`P6'
      +mncx7*`P5'.`P5'*`P1'.`P1'/`P7'.`P7'
      -mncx7*`P4'.`P4'*`P1'.`P1'/`P7'.`P7'
      +mncx2*`P1'.`P1'*`P8'.`P8'/`P2'.`P2'
      -mncx2*`P3'.`P3'*`P1'.`P1'/`P2'.`P2'
    )/(mncx1-1);
label 3;
while ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'^2/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx4+2*mncx5+mncx2+mncx3+2*mncx7+mncx8-9+4*ep)*`P3'.`P3'
      +acc(mncx3-1)*`P4'.`P4'
      +mncx8*`P5'.`P5'*`P3'.`P3'/`P8'.`P8'
      -mncx8*`P6'.`P6'*`P3'.`P3'/`P8'.`P8'
      +mncx2*`P3'.`P3'*`P7'.`P7'/`P2'.`P2'
      -mncx2*`P1'.`P1'*`P3'.`P3'/`P2'.`P2'
    )/(mncx3-1);
label 4;
while ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'^2
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8/`Q'.`Q'*(
      +acc(2*mncx3+2*mncx2+mncx5+mncx4+2*mncx8+mncx7-9+4*ep)*`P4'.`P4'
      +acc(mncx4-1)*`P3'.`P3'
      +mncx7*`P2'.`P2'*`P4'.`P4'/`P7'.`P7'
      -mncx7*`P1'.`P1'*`P4'.`P4'/`P7'.`P7'
      +mncx5*`P4'.`P4'*`P8'.`P8'/`P5'.`P5'
      -mncx5*`P6'.`P6'*`P4'.`P4'/`P5'.`P5'
    )/(mncx4-1);
*
*   Now we have that in the 'active terms' the powers of `P1'.`P1', `P3'.`P3',
*   `P4'.`P4' and `P6'.`P6' is 1 and the power of `Q'.`P2' is zero.
*   The final recursion is for lines that don't touch the outside.
*
*   Remark: it seems better to combine this recursion more directly
*   with the above recursions.This can give:
*   1: 5 a: mncx7=mncx8=1 b: mncx7>1,mncx8=1 c: mncx7=1,mncx8>1 d: mncx7>1,mncx8>1
*   2: 2 mncx5=1 ( a: mncx7=mncx8=1 b: mncx7>1,mncx8=1 c: mncx7=1,mncx8>1 d: mncx7>1,mncx8>1 )
*   3: 8 mncx2=mncx5=1
*   4: 7 mncx2=mncx5=mncx8=1
*
if ( count(`P2'.`P2',-1,`P5'.`P5',-1,`P7'.`P7',-1,`P8'.`P8',-1) > `INNOTABL' );
while ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    /`P5'.`P5'^2/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 );
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8*(
      +acc(mncx1+mncx2+mncx3+mncx4+mncx5+mncx6+mncx7+mncx8-8+4*ep)*(
        +acc(2*mncx1+2*mncx2+2*mncx3+mncx4+2*mncx5+mncx6+2*mncx7+2*mncx8-14+6*ep)
        +mncx4*`P3'.`P3'/`P4'.`P4'+mncx6*`P1'.`P1'/`P6'.`P6'
      )*`P5'.`P5'/`Q'.`Q'
      +acc(mncx5-1)*mncx4*`P7'.`P7'/`P4'.`P4'
      +acc(mncx5-1)*mncx6*`P8'.`P8'/`P6'.`P6'
      -acc(mncx1+mncx2+mncx3+mncx4+2*mncx5+mncx6+mncx7+mncx8-9+4*ep)*mncx4*`P5'.`P5'/`P4'.`P4'
      -acc(mncx1+mncx2+mncx3+mncx4+2*mncx5+mncx6+mncx7+mncx8-9+4*ep)*mncx6*`P5'.`P5'/`P6'.`P6'
    )/(mncx5-1)*mncdeno(mncx4+mncx6+2*mncx5-4,2);
  if ( count(`P4'.`P4',1) < -1 ) goto 4;
  if ( count(`P6'.`P6',1) < -1 ) goto 6;
  if ( count(`P2'.`P2',-1,`P5'.`P5',-1,`P7'.`P7',-1,`P8'.`P8',-1)
     <= `INNOTABL' ) goto 9;
endwhile;

while ( match(1/`P1'.`P1'/`P2'.`P2'^2/`P3'.`P3'/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 );
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8*(
      +acc(mncx1+mncx2+mncx3+mncx4+mncx5+mncx6+mncx7+mncx8-8+4*ep)*(
        +acc(2*mncx6+2*mncx2+2*mncx4+mncx3+2*mncx5+mncx1+2*mncx7+2*mncx8-14+6*ep)
        +mncx3*`P4'.`P4'/`P3'.`P3'+mncx1*`P6'.`P6'/`P1'.`P1'
      )*`P2'.`P2'/`Q'.`Q'
      +acc(mncx2-1)*mncx3*`P8'.`P8'/`P3'.`P3'
      +acc(mncx2-1)*mncx1*`P7'.`P7'/`P1'.`P1'
      -acc(mncx1+mncx5+mncx3+mncx4+2*mncx2+mncx6+mncx7+mncx8-9+4*ep)*mncx3*`P2'.`P2'/`P3'.`P3'
      -acc(mncx1+mncx5+mncx3+mncx4+2*mncx2+mncx6+mncx7+mncx8-9+4*ep)*mncx1*`P2'.`P2'/`P1'.`P1'
    )/(mncx2-1)*mncdeno(mncx3+mncx1+2*mncx2-4,2);
  if ( count(`P3'.`P3',1) < -1 ) goto 3;
  if ( count(`P1'.`P1',1) < -1 ) goto 1;
  if ( count(`P2'.`P2',-1,`P5'.`P5',-1,`P7'.`P7',-1,`P8'.`P8',-1)
     <= `INNOTABL' ) goto 9;
endwhile;

while ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8'^2) > 0 );
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8*(
      +acc(mncx1+mncx2+mncx3+mncx4+mncx5+mncx6+mncx7+mncx8-8+4*ep)*(
        +acc(2*mncx1+2*mncx2+2*mncx4+mncx3+2*mncx5+mncx6+2*mncx7+2*mncx8-14+6*ep)
        +mncx3*`P4'.`P4'/`P3'.`P3'+mncx6*`P1'.`P1'/`P6'.`P6'
      )*`P8'.`P8'/`Q'.`Q'
      +acc(mncx8-1)*mncx3*`P2'.`P2'/`P3'.`P3'
      +acc(mncx8-1)*mncx6*`P5'.`P5'/`P6'.`P6'
      -acc(mncx1+mncx2+mncx3+mncx4+2*mncx8+mncx6+mncx7+mncx5-9+4*ep)*mncx3*`P8'.`P8'/`P3'.`P3'
      -acc(mncx1+mncx2+mncx3+mncx4+2*mncx8+mncx6+mncx7+mncx5-9+4*ep)*mncx6*`P8'.`P8'/`P6'.`P6'
    )/(mncx8-1)*mncdeno(mncx3+mncx6+2*mncx8-4,2);
  if ( count(`P3'.`P3',1) < -1 ) goto 3;
  if ( count(`P6'.`P6',1) < -1 ) goto 6;
  if ( count(`P2'.`P2',-1,`P5'.`P5',-1,`P7'.`P7',-1,`P8'.`P8',-1)
     <= `INNOTABL' ) goto 9;
endwhile;

while ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
    /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'^2/`P8'.`P8') > 0 );
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8*(
      +acc(mncx1+mncx2+mncx3+mncx4+mncx5+mncx6+mncx7+mncx8-8+4*ep)*(
        +acc(2*mncx6+2*mncx2+2*mncx3+mncx4+2*mncx5+mncx1+2*mncx7+2*mncx8-14+6*ep)
        +mncx4*`P3'.`P3'/`P4'.`P4'+mncx1*`P6'.`P6'/`P1'.`P1'
      )*`P7'.`P7'/`Q'.`Q'
      +acc(mncx7-1)*mncx4*`P5'.`P5'/`P4'.`P4'
      +acc(mncx7-1)*mncx1*`P2'.`P2'/`P1'.`P1'
      -acc(mncx1+mncx5+mncx3+mncx4+2*mncx7+mncx6+mncx2+mncx8-9+4*ep)*mncx4*`P7'.`P7'/`P4'.`P4'
      -acc(mncx1+mncx5+mncx3+mncx4+2*mncx7+mncx6+mncx2+mncx8-9+4*ep)*mncx1*`P7'.`P7'/`P1'.`P1'
    )/(mncx7-1)*mncdeno(mncx4+mncx1+2*mncx7-4,2);
  if ( count(`P4'.`P4',1) < -1 ) goto 4;
  if ( count(`P1'.`P1',1) < -1 ) goto 1;
  if ( count(`P2'.`P2',-1,`P5'.`P5',-1,`P7'.`P7',-1,`P8'.`P8',-1)
     <= `INNOTABL' ) goto 9;
endwhile;
*
*   If we ever get here (luckily we have to do this only at the beginning
*   of the program and for rather few terms), the only interesting integral
*   left is the fundamental integral below:
*
endif;
label 9;
*
*	Here we take those integrals that have been tabulated
*
if ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
     /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') );
	if ( count(`P2'.`P2',1) > count(`P5'.`P5',1) )
		multiply replace_(`P2',`P5',`P5',`P2');
	if ( count(`P7'.`P7',1) > count(`P8'.`P8',1) )
		multiply replace_(`P7',`P8',`P8',`P7');
	if ( ( count(`P2'.`P2',1) > count(`P7'.`P7',1) )
	|| ( ( count(`P2'.`P2',1) == count(`P7'.`P7',1) )
	  && ( count(`P8'.`P8',1) > count(`P5'.`P5',1) ) ) )
		multiply replace_(`P2',`P7',`P7',`P2',`P8',`P5',`P5',`P8');
	if ( ( count(`P2'.`P2',1) > count(`P8'.`P8',1) )
	|| ( ( count(`P2'.`P2',1) == count(`P8'.`P8',1) )
	  && ( count(`P7'.`P7',1) > count(`P5'.`P5',1) ) ) )
		multiply replace_(`P2',`P8',`P8',`P2',`P7',`P5',`P5',`P7');
	if ( count(`P2'.`P2',1) > count(`P5'.`P5',1) )
		multiply replace_(`P2',`P5',`P5',`P2');
	if ( count(`P7'.`P7',1) > count(`P8'.`P8',1) )
		multiply replace_(`P7',`P8',`P8',`P7');
  id `INTS'/`P1'.`P1'/`P2'.`P2'^mncx2?/`P3'.`P3'/`P4'.`P4'
           /`P5'.`P5'^mncx5?/`P6'.`P6'/`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? =
           mncxconst*mncnoptab(mncx2,mncx7,mncx8,mncx5)*mnceq^3/`Q'.`Q'^(mncx2+mncx5+mncx7+mncx8-2);
endif;
*
*   The value will only be substituted when the routine subint is
*   invoked. This way we can keep an eye on the accuracy of the calculation.
*
id  mncdeno(0,mncx1?) = 1/mncx1/ep;
id  mncdeno(mncx1?,mncx2?) = mncaccm(1+ep*mncx2/mncx1)/mncx1;
repeat id mncaccm(mncx1?)*mncaccm(mncx2?) = mncaccm(mncx1*mncx2);
id  mncaccm(mncx1?) = mncaccm(mncx1-1);
id  mncaccm(mncx1?) = mncaccm(mncx1-mncx1^2,mncx1^3);
id  mncaccm(mncx1?,mncx2?) = acc(1-mncx1-mncx2+mncx2*mncx1+mncx2^2);
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
*
#endprocedure
*--#] noplane :
*--#[ noplred :
#procedure noplred(P1,P2,P3,P4,P5,P6,P7,P8,Q)
*
*                     /-<------<-----<-\
*                 P1 /     \  P2   /    \ P3
*                   /       v     /      \
*                  /      P7 \   /        \
*                 /           \ /          \
*          Q --<--             /            --<-- Q
*                 \           / \          /
*                  \      P8 /   \        / 
*                   \       ^     \      /
*                 P6 \     /  P5   \    / P4
*                     \->------>----->-/
*
*   Express everything in powers of pi.pi, Q.Q and p2.Q;
*   The only difficult relation here is the one for p1.p3
*   It is derived by squaring:
*   p1-p3 = p6-p4 = p5+p8-p4
*   and p2-Q = p4+p8
*
  id  `P5'.P?!{`P5'} = `P6'.P-`P8'.P;
  id  `P4'.P?!{`P4'} = `P3'.P-Q.P;
#call ACCU(moms 1)
  id  `P6'.P?!{`P6'} = `P1'.P-Q.P;
#call ACCU(moms 2)
  id  `P7'.P?!{`P7'} = `P2'.P-`P1'.P;
#call ACCU(moms 3)
  id  `P8'.P?!{`P8'} = `P2'.P-`P3'.P;
#call ACCU(moms 4)
  id  `P1'.`Q' = `P1'.`P1'/2+`Q'.`Q'/2-`P6'.`P6'/2;
#call ACCU(dots 1)
  id  `P3'.`Q' = `P3'.`P3'/2+`Q'.`Q'/2-`P4'.`P4'/2;
#call ACCU(dots 2)
  id  `P1'.`P2' = `P1'.`P1'/2+`P2'.`P2'/2-`P7'.`P7'/2;
#call ACCU(dots 3)
  id  `P3'.`P2' = `P3'.`P3'/2+`P2'.`P2'/2-`P8'.`P8'/2;
#call ACCU(dots 4)
  id `P1'.`P3' = -`P2'.`Q'+`P1'.`P1'/2+`P2'.`P2'/2+`P3'.`P3'/2+`P5'.`P5'/2
                 +`Q'.`Q'/2-`P4'.`P4'/2-`P6'.`P6'/2-`P7'.`P7'/2-`P8'.`P8'/2;
#call ACCU(dots 5)
#endprocedure
*--#] noplred :
*--#[ one :
#procedure one(P,PQ,Q,EP,EPQ,EQ,INT)
*
*   Routine for the reduction of one loop integrals.
*   Notation is from S.G.Gorishny et.al. Comp.Phys.Comm 55(1989)381
*
*   Method involves a reduction to a standard function mncG.
*   One problem is the presence of loopmomenta in the numerator.
*   The two propagators are P and P-Q (=PQ) in which Q is the external
*   momentum.
*
*   The formula we use is (3.1)
*   This means that we have to find a way to take the d'Alembertian (dal)
*   of a polynomial in dotproducts. Such is done with the help of the
*   noncommuting(!) function mncFQ.
*	The use of the function distrib_ avoids the generation of double
*	terms. They can speed things up very much over the conventional
*	differentiation by commutation. Example:
*	8 FQ, 3 d'Alembertians: commutation: 229.7 sec, distrib_: 13.6 sec
*	The simple cases have dedicated code.
*
*   Recoded by J.A.M.Vermaseren 4-nov-1990
*
*   We start with some trivialities
*
id  `P'.`PQ' = `P'.`P'/2+`PQ'.`PQ'/2-`Q'.`Q'/2;
id  `PQ'.mncp?!{`PQ'} = `P'.mncp-`Q'.mncp;
id	`P'.`Q' = `P'.`P'/2+`Q'.`Q'/2-`PQ'.`PQ'/2;
if ( ( count(`EP',1) == 0 ) && ( count(`P'.`P',1) >= 0 ) ) discard;
if ( ( count(`EPQ',1) == 0 ) && ( count(`PQ'.`PQ',1) >= 0 ) ) discard;
totensor,nosquare,mncFQ,`P';
*
*   Now relation (3.1) after which we don't need mncx anymore
*
if ( count(mncFQ,1) == 0 );
	id  `INT'/`P'.`P'^mncx1?/`PQ'.`PQ'^mncx2?*`EP'^mncy1?*`EPQ'^mncy2? =
        `Q'.`Q'^2/`Q'.`Q'^mncx1/`Q'.`Q'^mncx2*`EQ'^mncy1*`EQ'^mncy2*`EQ'
        *mncG(mncx1,mncy1,mncx2,mncy2,0,0);
else;
if ( match(mncFQ(mnci1?)) );
	id  `INT'/`P'.`P'^mncx1?/`PQ'.`PQ'^mncx2?*`EP'^mncy1?*`EPQ'^mncy2?*mncFQ(mnci1?) =
        `Q'.`Q'^2/`Q'.`Q'^mncx1/`Q'.`Q'^mncx2*`EQ'^mncy1*`EQ'^mncy2*`EQ'
        *mncG(mncx1,mncy1,mncx2,mncy2,1,0)*`Q'(mnci1);
else;
if ( match(mncFQ(mnci1?,mnci2?)) );
	id  `INT'/`P'.`P'^mncx1?/`PQ'.`PQ'^mncx2?*`EP'^mncy1?*`EPQ'^mncy2?*mncFQ(mnci1?,mnci2?) =
        `Q'.`Q'^2/`Q'.`Q'^mncx1/`Q'.`Q'^mncx2*`EQ'^mncy1*`EQ'^mncy2*`EQ'*(
        +mncG(mncx1,mncy1,mncx2,mncy2,2,0)*`Q'(mnci1)*`Q'(mnci2)
        +mncG(mncx1,mncy1,mncx2,mncy2,2,1)*`Q'.`Q'*d_(mnci1,mnci2)/2
		);
else;
	id  `INT'/`P'.`P'^mncx1?/`PQ'.`PQ'^mncx2?*`EP'^mncy1?*`EPQ'^mncy2?*mncFQ(?a) =
        `Q'.`Q'^2/`Q'.`Q'^mncx1/`Q'.`Q'^mncx2*`EQ'^mncy1*`EQ'^mncy2*`EQ'
        *sum_(mncj,0,integer_(nargs_(?a)/2),mncG(mncx1,mncy1,mncx2,mncy2,nargs_(?a),mncj)
		*`Q'.`Q'^mncj/2^mncj*distrib_(1,2*mncj,mncdel,mncFQ,?a));
	tovector,mncFQ,`Q';
	id	mncdel(?a) = dd_(?a);
endif;
endif;
endif;
*
id  mncG(mncx1?,mncy1?,0,0,?a) = 0;
id  mncG(0,0,?a) = 0;
id  mncG(2,0,1,0,0,0) = mncG(1,0,2,0,0,0);
*

#endprocedure
*--#] one :
*--#[ one4 :
#procedure one4(P,PQ,Q,EP,EPQ,EQ,P1,P2,P3,P4,P5,INT)
*
*   The procedure one4 does an integral of type one4 in which
*   P1-P5 are the 5 momenta in the sub two loop part, P is its
*   momentum flow, Q is the overall momentum flow and PQ = P-Q
*
*   Note that the central formula (B6 in ref 9b) is wrong
*   This can be tested by trying A16 on P.p1^2*P.p2^2. This shows
*   that it isn't an identity operator. Also the first two arguments
*   of the mncG function in B6 should be exchanged.
*
*   Recoded from the old one4 by J.A.M.Vermaseren, 25-mar-1993
*
id,many,mncq1?{`P1',`P2',`P3',`P4',`P5'}.mncq2?{`P1',`P2',`P3',`P4',`P5'}^mncx1?
        = mncq1.mncq2^mncx1*`P'.`P'^mncx1/`Q'.`Q'^mncx1;
multiply `EP'^2/`EQ'^2*`P'.`P'^4/`Q'.`Q'^4;
id  `Q'.`P' = `P'.`P'/2+`Q'.`Q'/2-`PQ'.`PQ'/2;
id  `Q'.`PQ' = `P'.`P'/2-`Q'.`Q'/2-`PQ'.`PQ'/2;
if ( ( count(`EPQ',1) == 0 ) && ( count(`PQ'.`PQ',1) >= 0 ) ) discard;
totensor,nosquare,mncFQ,`Q';
if ( count(mncFQ,1) == 0 );
id  `INT'/`P'.`P'^mncx1?/`PQ'.`PQ'^mncx2?*`EP'^mncy1?*`EPQ'^mncy2? =
        1/`Q'.`Q'^mncx1/`Q'.`Q'^mncx2*`Q'.`Q'^2*`EQ'*`EQ'^mncy1*`EQ'^mncy2*
        mncG(mncx1,mncy1,mncx2,mncy2,0,0);
elseif ( match(mncFQ(mnci1?)) );
id  `INT'*mncFQ(mnci1?)/`P'.`P'^mncx1?/`PQ'.`PQ'^mncx2?*`EP'^mncy1?*`EPQ'^mncy2? =
        1/`Q'.`Q'^mncx1/`Q'.`Q'^mncx2*`Q'.`Q'^2*`EQ'*`EQ'^mncy1*`EQ'^mncy2*`Q'(mnci1)*
        mncG(mncx1,mncy1,mncx2,mncy2,1,0);
elseif ( match(mncFQ(mnci1?,mnci2?)) );
id  `INT'*mncFQ(mnci1?,mnci2?)/`P'.`P'^mncx1?/`PQ'.`PQ'^mncx2?*`EP'^mncy1?*`EPQ'^mncy2? =
        1/`Q'.`Q'^mncx1/`Q'.`Q'^mncx2*`Q'.`Q'^2*`EQ'*`EQ'^mncy1*`EQ'^mncy2*
        (mncG(mncx1,mncy1,mncx2,mncy2,2,0)*`Q'(mnci1)*`Q'(mnci2)
        -mncG(mncx1,mncy1,mncx2,mncy2,2,0)*d_(mnci1,mnci2)*`Q'.`Q'/2*acc(mncpoch(3,1))
        +mncG(mncx1-1,mncy1,mncx2,mncy2,0,0)*acc(mncpoch(3,1))*d_(mnci1,mnci2)*`Q'.`Q'/2);
else;
id  `INT'*mncFQ(?a)/`P'.`P'^mncx1?/`PQ'.`PQ'^mncx2?*`EP'^mncy1?*`EPQ'^mncy2? =
        mncFQ(?a)/`Q'.`Q'^mncx1/`Q'.`Q'^mncx2*`Q'.`Q'^2*`EQ'*`EQ'^mncy1*`EQ'^mncy2*
        sum_(mncs,0,integer_(nargs_(?a)/2),mncG(mncx1-mncs,mncy1,mncx2,mncy2,nargs_(?a)-2*mncs,0)
        *acc(mncpoch(nargs_(?a)+2-mncs,mncs))*`Q'.`Q'^mncs
        *sum_(mncj,0,integer_(nargs_(?a)/2)-mncs,sign_(mncj)*`Q'.`Q'^mncj
*   the original mncy/4 becomes mncy/2 when we consider the normalization of 
*   the distrib_ to expand the mncFQ.
        *mncy^mncj*mncy^mncs/2^mncj/2^mncs*acc(mncpoch(nargs_(?a)+1-2*mncs,mncj))
        ));

id  mncy^mncs?*mncFQ(?a) = fac_(mncs)*distrib_(1,2*mncs,mncdel,mncFQ,?a);
tovector,mncFQ,`Q';
id  mncdel(?a) = dd_(?a);
endif;
#endprocedure

*--#] one4 :
*--#[ pochtabl :
#procedure pochtabl(NN)
*  #[ Declarations :  The tables and their variables. Commentary.
*
*   The variable ep should be declared in the rest of the program.
*   It has a power limitation of 6+CUTOFF.
*   Note the funny convention:
*   When the argument of mncPO or mncPOINV is 0 or less we have
*   taken out an overal factor of 1/mncx/ep, cq. x*ep. This is to
*   avoid a temporary anomalous number of powers of ep which could
*   destroy the accuracy.
*
*	The parameter NN was to be friendly to older versions of FORM
*	At the moment it has been disabled.
*
*	Values are generated with the program potabl.frm in lib/progs
*
CTable,check,strict,mncPO(-61:62,mncx?);
CTable,check,strict,mncPOINV(-61:62,mncx?);
*
*  #] Declarations :
*--#[ mncPO-neg : mncPO negative values
*
Fill mncPO(-0)=
      +1
      ;
Fill mncPO(-1)=
      -1
      -mncx*ep
      -mncx^2*ep^2
      -mncx^3*ep^3
      -mncx^4*ep^4
      -mncx^5*ep^5
      -mncx^6*ep^6
      -mncx^7*ep^7
      -mncx^8*ep^8
      ;
Fill mncPO(-2)=
      +1/2
      +3/4*mncx*ep
      +7/8*mncx^2*ep^2
      +15/16*mncx^3*ep^3
      +31/32*mncx^4*ep^4
      +63/64*mncx^5*ep^5
      +127/128*mncx^6*ep^6
      +255/256*mncx^7*ep^7
      +511/512*mncx^8*ep^8
      ;
Fill mncPO(-3)=
      -1/6
      -11/36*mncx*ep
      -85/216*mncx^2*ep^2
      -575/1296*mncx^3*ep^3
      -3661/7776*mncx^4*ep^4
      -22631/46656*mncx^5*ep^5
      -137845/279936*mncx^6*ep^6
      -833375/1679616*mncx^7*ep^7
      -5019421/10077696*mncx^8*ep^8
      ;
Fill mncPO(-4)=
      +1/24
      +25/288*mncx*ep
      +415/3456*mncx^2*ep^2
      +5845/41472*mncx^3*ep^3
      +76111/497664*mncx^4*ep^4
      +952525/5971968*mncx^5*ep^5
      +11679655/71663616*mncx^6*ep^6
      +141710965/859963392*mncx^7*ep^7
      +1710104671/10319560704*mncx^8*ep^8
      ;
Fill mncPO(-5)=
      -1/120
      -137/7200*mncx*ep
      -12019/432000*mncx^2*ep^2
      -874853/25920000*mncx^3*ep^3
      -58067611/1555200000*mncx^4*ep^4
      -3673451957/93312000000*mncx^5*ep^5
      -226576032859/5598720000000*mncx^6*ep^6
      -13790081534933/335923200000000*mncx^7*ep^7
      -833490615528571/20155392000000000*mncx^8*ep^8
      ;
Fill mncPO(-6)=
      +1/720
      +49/14400*mncx*ep
      +13489/2592000*mncx^2*ep^2
      +336581/51840000*mncx^3*ep^3
      +68165041/9331200000*mncx^4*ep^4
      +483900263/62208000000*mncx^5*ep^5
      +270127056529/33592320000000*mncx^6*ep^6
      +5497117366741/671846400000000*mncx^7*ep^7
      +998404136530801/120932352000000000*mncx^8*ep^8
      ;
Fill mncPO(-7)=
      -1/5040
      -121/235200*mncx*ep
      -726301/889056000*mncx^2*ep^2
      -129973303/124467840000*mncx^3*ep^3
      -187059457981/156829478400000*mncx^4*ep^4
      -28139924320343/21956126976000000*mncx^5*ep^5
      -36845364451242061/27664719989760000000*mncx^6*ep^6
      -1754673272194274861/1291020266188800000000*mncx^7*ep^7
      -6703124731661806560541/4880056606193664000000000*mncx^8*ep^8
      ;
Fill mncPO(-8)=
      +1/40320
      +761/11289600*mncx*ep
      +3144919/28449792000*mncx^2*ep^2
      +1149858589/7965941760000*mncx^3*ep^3
      +3355156783231/20074173235200000*mncx^4*ep^4
      +339302688554687/1873589501952000000*mncx^5*ep^5
      +2678744365563671119/14164336634757120000000*mncx^6*ep^6
      +767550589317330035789/3966014257731993600000000*mncx^7*ep^7
      +1957778366940381440772031/9994355929484623872000000000*mncx^8*ep^8
      ;
Fill mncPO(-9)=
      -1/362880
      -7129/914457600*mncx*ep
      -30300391/2304433152000*mncx^2*ep^2
      -101622655189/5807171543040000*mncx^3*ep^3
      -300222042894631/14634072288460800000*mncx^4*ep^4
      -826117151879597149/36877862166921216000000*mncx^5*ep^5
      -2184117445022203447471/92932212660641464320000000*mncx^6*ep^6
      -5647452301117219330103509/234189175904816490086400000000*mncx^7*ep^7
      -14426270509808664045334277911/590156723280137555017728000000000*mncx^8*
      ep^8
      ;
Fill mncPO(-10)=
      +1/3628800
      +7381/9144576000*mncx*ep
      +32160403/23044331520000*mncx^2*ep^2
      +21945415349/11614343086080000*mncx^3*ep^3
      +327873266234371/146340722884608000000*mncx^4*ep^4
      +908741214970658641/368778621669212160000000*mncx^5*ep^5
      +2413120231194809425003/929322126606414643200000000*mncx^6*ep^6
      +1251111719875662261040853/468378351809632980172800000000*mncx^7*ep^7
      +16002671276851998494245752691/5901567232801375550177280000000000*mncx^8*
      ep^8
      ;
Fill mncPO(-11)=
      -1/39916800
      -83711/1106493696000*mncx*ep
      -4102360483/30672005253120000*mncx^2*ep^2
      -31276937512951/170045597123297280000*mncx^3*ep^3
      -5194481903600608411/23568319761289003008000000*mncx^4*ep^4
      -159443775809313077987411/653313823782931163381760000000*mncx^5*ep^5
      -4676788004935176736296015403/18109859195262851848942387200000000*mncx^6*
      ep^6
      -1069509167192338331769717286399/4016042375141490026021463785472000000*
      mncx^7*ep^7
      -3767210095582422174347665431061183771/1391558682986526294016437201666048\
      0000000000*mncx^8*ep^8
      ;
Fill mncPO(-12)=
      +1/479001600
      +86021/13277924352000*mncx*ep
      +4301068993/368064063037440000*mncx^2*ep^2
      +33264031387717/2040547165479567360000*mncx^3*ep^3
      +5578681466128739761/282819837135468036096000000*mncx^4*ep^4
      +172330529996070466835321/7839765885395173960581120000000*mncx^5*ep^5
      +5074871529226099514685606913/217318310343154222187308646400000000*mncx^6
      *ep^6
      +29082319826310916270027682553781/1204812712542447007806439135641600000000
      *mncx^7*ep^7
      +4103110889576313257266485164557354321/1669870419583831552819724641999257\
      60000000000*mncx^8*ep^8
      ;
Fill mncPO(-13)=
      -1/6227020800
      -1145993/2243969215488000*mncx*ep
      -758647585777/808636746493255680000*mncx^2*ep^2
      -77287019174361937/58280067593261923368960000*mncx^3*ep^3
      -170044702211669500782121/105009025789539333526192128000000*mncx^4*ep^4
      -68698758619138470404367234173/37841052533518394229498595246080000000*
      mncx^5*ep^5
      -26399765160034818571989179349406177/136364016909786885445421137828773888\
      00000000*mncx^6*ep^6
      -394246547613588122203703327901927667613/19656054853444320815644784491190\
      7833118720000000*mncx^7*ep^7
      -3620246461793253966559014838656210159777604441/1770813981746798862281438\
      634811377668566548480000000000*mncx^8*ep^8
      ;
Fill mncPO(-14)=
      +1/87178291200
      +1171733/31415569016832000*mncx*ep
      +112686856171/1617273492986511360000*mncx^2*ep^2
      +81347802723340093/815920946305666927165440000*mncx^3*ep^3
      +180514164422163370751221/1470126361053550669366689792000000*mncx^4*ep^4
      +10477884744480707938214808959/75682105067036788458997190492160000000*
      mncx^5*ep^5
      +28287670433295352528296723627638797/190909623673701639623589592960283443\
      200000000*mncx^6*ep^6
      +2116857665458545085834188172744722865021/1375923839741102457095134914383\
      3548318310400000000*mncx^7*ep^7
      +556098006191109817015124979498350856072258163/35416279634935977245628772\
      69622755337133096960000000000*mncx^8*ep^8
      ;
Fill mncPO(-15)=
      -1/1307674368000
      -1195757/471233535252480000*mncx*ep
      -476696711/99016744468561920000*mncx^2*ep^2
      -17055178843123409/2447762838917000781496320000*mncx^3*ep^3
      -190757504835343290196621/22051895415803260040500346880000000*mncx^4*ep^4
      -11132564501075606110169612231/1135231576005551826884957857382400000000*
      mncx^5*ep^5
      -6031962308062447011326345395460321/5727288710211049188707687788808503296\
      00000000*mncx^6*ep^6
      -90470781117897492513371691781010464669/825554303844661474257080948630012\
      8990986240000000*mncx^7*ep^7
      -594909971290687841303361435272404345415259163/53124419452403965868443159\
      044341330056996454400000000000*mncx^8*ep^8
      ;
Fill mncPO(-16)=
      +1/20922789888000
      +2436559/15079473128079360000*mncx*ep
      +96568406789/310516510653410181120000*mncx^2*ep^2
      +142531324182321979/313313643381376100031528960000*mncx^3*ep^3
      +3212628164810309981747311/5645285226445634570368088801280000000*mncx^4*
      ep^4
      +376915326274973740257971537677/581238566914842535365098422979788800000000
      *mncx^5*ep^5
      +81962999787375055541354912877997039/117294872785122287384733445914798147\
      502080000000*mncx^6*ep^6
      +12318664648175340917083642958087214801983/169073521427386669927850178279\
      42664173539819520000000*mncx^7*ep^7
      +162205778526792127223839682734146915832651421353/21759762207704664419714\
      3179445622087913457477222400000000000*mncx^8*ep^8
      ;
Fill mncPO(-17)=
      -1/355687428096000
      -42142223/4357967734014935040000*mncx*ep
      -28776062218037/1525567616840204219842560000*mncx^2*ep^2
      -729291672694244960123/26168268808855913250733330268160000*mncx^3*ep^3
      -281462294311726805677013376031/80154977457654193641791234611190169600000\
      00*mncx^4*ep^4
      -564145222241140781833967990767603949/14029686014368128821510003376465837\
      765427200000000*mncx^5*ep^5
      -10461164856476842638038161189836649078663547/240653112241754467740880813\
      276977714544308859699200000000*mncx^6*ep^6
      -26782036671393404321410898113684325645353188261563/589707937586582751966\
      705907132943486649672556632185241600000000*mncx^7*ep^7
      -171492161274804974580747141595489718159708281406811314239/
      3686348561844812580079873869189048726973767390444451685990400000000000*
      mncx^8*ep^8
      ;
Fill mncPO(-18)=
      +1/6402373705728000
      +14274301/26147806404089610240000*mncx*ep
      +29608882035581/27460217103123675957166080000*mncx^2*ep^2
      +50500501069854396349/31401922570627095900879996321792000*mncx^3*ep^3
      +294352799712312489617077371031/14427895942377754855522422230014230528000\
      0000*mncx^4*ep^4
      +65863120942796227591592510480739821/280593720287362576430200067529316755\
      30854400000000*mncx^5*ep^5
      +88208355135479668752967444674123414750223/346540481628126433546868371118\
      84790894380475796684800000*mncx^6*ep^6
      +9427692750244620614860048373234627931385911017521/3538247625519496511800\
      235442797660919898035339793111449600000000*mncx^7*ep^7
      +1269201292151168840209404323954428168621555418898459852673/
      464479918792446385090064107517820139598694691196000912434790400000000000*
      mncx^8*ep^8
      ;
Fill mncPO(-19)=
      -1/121645100408832000
      -275295799/9439358111876349296640000*mncx*ep
      -1568274265798307/26907089872903613341457448960000*mncx^2*ep^2
      -1794683268312579709384043/20461649756633468824492910003261276160000*
      mncx^3*ep^3
      -40009517970859535080774906095604951/357248987150256164200042141613160061\
      961502720000000*mncx^4*ep^4
      -170864658958309558725823727346322640908759/13200778773986545574588597183\
      17620008155187930726400000000*mncx^5*ep^5
      -545107754958038941477256969841397265941063458146891/38720342868353865808\
      30089611201274450551405153503756576358400000000*mncx^6*ep^6
      -354896033975706289616875512403413146928912506038418666323/
      2403682064107157175309555961655864945617213379416886568072819769344000000
      *mncx^7*ep^7
      -22720275706071206186110416877319158649139016036279339985751605408593/
      1498819556597114017400036584224457070637031828555468744851658876404105216\
      00000000000*mncx^8*ep^8
      ;
Fill mncPO(-20)=
      +1/2432902008176640000
      +11167027/7551486489501079437312000*mncx*ep
      +11256448518043769/3766992582206505867804042854400000*mncx^2*ep^2
      +9279131712715653650968723/2046164975663346882449291000326127616000000*
      mncx^3*ep^3
      +41629602590344731254886672725930611/714497974300512328400084283226320123\
      9230054400000000*mncx^4*ep^4
      +7142239112579651595742062778098987074987/1056062301918923645967087774654\
      096006524150344581120000000*mncx^5*ep^5
      +571294651960644279934630828168658674310905345370231/77440685736707731616\
      601792224025489011028103070075131527168000000000*mncx^6*ep^6
      +46578556656033742888365094769498346108764761442576003661731/
      6009205160267892938273889904139662364043033448542216420182049423360000000\
      000*mncx^7*ep^7
      +23882040860899399163256592372965672567684593242065757223642719714453/
      2997639113194228034800073168448914141274063657110937489703317752808210432\
      000000000000*mncx^8*ep^8
      ;
Fill mncPO(-21)=
      -1/51090942171709440000
      -18858053/264302027132537780305920000*mncx*ep
      -80676574383943103/553747909584356362567194299596800000*mncx^2*ep^2
      -9577241336253249489726083/42969464488930284531435111006848679936000000*
      mncx^3*ep^3
      -6174587158661922297334017385371973/2143493922901536985200252849678960371\
      7690163200000000*mncx^4*ep^4
      -111696754789037742399995916535691943099157/33265962510446094847963264901\
      6040242055107358543052800000000*mncx^5*ep^5
      -597296825451676635924546421568548733116332437242151/16262544004708623639\
      48637636704535269231590164471577762070528000000000*mncx^6*ep^6
      -16261880033898914086434201580921573967825861252692740221617/
      4206443612187525056791722932897763654830123413979551494127434596352000000\
      0000*mncx^7*ep^7
      -175286381776661969124369887448428523037791166712787050328938728221571/
      4406529496395515211156107557619903787672873575953078109863877096628069335\
      04000000000000*mncx^8*ep^8
      ;
Fill mncPO(-22)=
      +1/1124000727777607680000
      +6364399/1938214865638610388910080000*mncx*ep
      +82494882923667143/12182454010855839976478274591129600000*mncx^2*ep^2
      +9868213987506291289829963/945328218756466259691572442150670958592000000*
      mncx^3*ep^3
      +6398344963543032449814395864411773/4715686630383381367440556269293712817\
      89183590400000000*mncx^4*ep^4
      +116210352073359830867133385439115668950093/73185117522981408665519182783\
      52885325212361887947161600000000*mncx^5*ep^5
      +623120053293078163170149467651030900158655068872591/35777596810358972006\
      870028007499775923094983618374710765551616000000000*mncx^6*ep^6
      +16994494742956651944436609713028244017760395190267622912137/
      9254175946812555124941790452375080040626271510755013287080356111974400000\
      00000*mncx^7*ep^7
      +183378592557133512028135656811008157695698473705193137421093102245771/
      9694364892070133464543436626763788332880321867096771841700529612581752537\
      088000000000000*mncx^8*ep^8
      ;
Fill mncPO(-23)=
      -1/25852016738884976640000
      -444316699/3075946991768474687200296960000*mncx*ep
      -44570695662918553607/148223917950083004993811166950273843200000*mncx^2*
      ep^2
      -123525135034106281845251414461/26454159406502827457834932378388591172334\
      3872000000*mncx^3*ep^3
      -264591239933345908907390540426325365899/43359680905230948543794931799963\
      8620563548468255129600000000*mncx^4*ep^4
      -776713959740478684849561077289313689586845388571/10834023934084030762272\
      43586991318834832866105871976452482662400000000*mncx^5*ep^5
      -96041208895558385773482948005826382154738052851832630885359/
      1218164720524162610937517301815379439097517152218903519958149931487723520\
      00000000*mncx^6*ep^6
      -60347474702425622475414985005172956929989423209576655768704056986799/
      7247036363586222432553176680977312245526808303006454787215091949490656262\
      4880640000000000*mncx^7*ep^7
      -149927382032402590609412104923753394009713590884261797974140245677746279\
      69191451/1746103112654558963331603182446407233239977952358142797165458503\
      9518267872844903815839744000000000000*mncx^8*ep^8
      ;
Fill mncPO(-24)=
      +1/620448401733239439360000
      +269564591/44293636681466035495684276224000*mncx*ep
      +45472764736767046157/3557374030801992119851468006806572236800000*mncx^2*
      ep^2
      +126906684898093000128113947991/63489982575606785898803837708132618813602\
      52928000000*mncx^3*ep^3
      +1912807200725066844334929443722155255943/7284426392078799355357548542393\
      9288254676142666861772800000000*mncx^4*ep^4
      +53677524641216006737724172489720819744162618911/173344382945344492196358\
      9739186110135732585769395162323972259840000000*mncx^5*ep^5
      +99813356898970334531896288222195044055013592737697579224909/
      2923595329257990266250041524356910653834041165325368447899559835570536448\
      000000000*mncx^6*ep^6
      +188464973525585398084771904842797767482638076393018004019891279060007/
      5217866181782080151438287210303664816779301978164647446794866203633272508\
      991406080000000000*mncx^7*ep^7
      +156234160808147120342735745055765391926307751429331443145910608057766459\
      26942801/4190647470370941511995847637871377359775947085659542713197100409\
      48438428948277691580153856000000000000*mncx^8*ep^8
      ;
Fill mncPO(-25)=
      -1/15511210043330985984000000
      -34052522467/138417614629581360924013363200000000*mncx*ep
      -5793490591633676917801/11116793846256225374535837521270538240000000000*
      mncx^2*ep^2
      -81384656370757013035663184180567/992030977743856029668809964189572168962\
      53952000000000000*mncx^3*ep^3
      -176122096932442395019595242667343669886849/16259880339461605703923099424\
      9864482711330675595673600000000000000*mncx^4*ep^4
      -1446748397713984600368618807470929295440186517370209/1128544159800419871\
      070045403115957119617568860283308804669440000000000000000*mncx^5*ep^5
      -8090725701340520405271382597523589771894308313467672735828693401/
      5710147127457012238769612352259591120769611651026110249803827803848704000\
      000000000000000*mncx^6*ep^6
      -765071034307835073980729147252972259787687731163288382408408709455018757\
      67/5095572443146562647888952353812172672636037088051413522260611526985617\
      6845619200000000000000000000*mncx^7*ep^7
      -634867883219679577019118843506161382647304255932522877705870827927695774\
      4807537771201/40924291702841225703084449588587669529061983258393971808565\
      43368637094032698024331837440000000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-26)=
      +1/403291461126605635584000000
      +34395742267/3598857980369115384024347443200000000*mncx*ep
      +5899738289669258497201/289036640002661859737931775553033994240000000000*
      mncx^2*ep^2
      +83409563366589638003220811960367/257928054213402567713890590689288763930\
      2602752000000000000*mncx^3*ep^3
      +1269661867514370193728286786947387535922143/2959298221782012238114004095\
      3475335853462182958412595200000000000000*mncx^4*ep^4
      +4485502890553923346111651037532362873187789797454427/8802644446443274994\
      3463541443044655330170371102098086764216320000000000000000*mncx^5*ep^5
      +8381693734884639563224191438763431636799403704468574686255012801/
      1484638253138823182080099211587493691400099029266788664948995229000663040\
      00000000000000000*mncx^6*ep^6
      +793838666781318664120348090660713232324647370958958015509423791880585355\
      67/1324848835218106288451127611991164894885369642893367515787758997016260\
      597986099200000000000000000000*mncx^7*ep^7
      +659389386579725152226327617790787050358327966448318221752109547804500426\
      1497925410601/10640315842738718682801956893032794077556115647182432670227\
      0127584564444850148632627773440000000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-27)=
      -1/10888869450418352160768000000
      -312536252003/874522489229695038317916428697600000000*mncx*ep
      -54027306066201893389609/702359035206468319163174214593872606003200000000\
      00*mncx^2*ep^2
      -6916882722942792550203844435294127/5640886545647114155902787218374745267\
      154792218624000000000000*mncx^3*ep^3
      -105781863112692028426923791152458954384121183/64719852110372607647553269\
      565250559511521794130048345702400000000000000*mncx^4*ep^4
      -10124450547451531665251301003609713279538398648943034649/
      5197873519180289451411578658670343852591230243207789925340209479680000000\
      000000000*mncx^5*ep^5
      -6321066054179278690866136146657264317464969772671961192473023910729/
      2922213473653145669288259278167663832782814919305820129219107309242005061\
      632000000000000000000*mncx^6*ep^6
      -539640012841708919231695970266074085100625823166820825855165340543827470\
      551487/234692996612381874680251903081398887634258576129631375319254143044\
      439516151443514982400000000000000000000*mncx^7*ep^7
      -448677355099183498841826516562414467910462025944928058200332279667392707\
      08890178186922361/1884900030593635798502318257730080372456833218551426400\
      2327046291222837711869279824112181575680000000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-28)=
      +1/304888344611713860501504000000
      +315404588903/24486629698431461072901660003532800000000*mncx*ep
      +54931992686981698810309/196660529857811129365688780086284329680896000000\
      0000*mncx^2*ep^2
      +1010635169222484615218019977199461/2256354618258845662361114887349898106\
      8619168874496000000000000*mncx^3*ep^3
      +108680705261010625358435939397997327030532083/18121558590904330141314915\
      47827015666322610235641353679667200000000000000*mncx^4*ep^4
      +10436183424669712573258978534871152798761441249245797349/
      1455404585370481046395242024427696278725544468098181179095258654310400000\
      00000000000*mncx^5*ep^5
      +6530607484264318239070044916372416367692549786298717916415436057429/
      8182197726228807874007125978869458731791881774056296361813500465877614172\
      5696000000000000000000*mncx^6*ep^6
      +558371995268240432590163601784362501110242331573948552877510851516941590\
      381587/657140390514669249104705328627916885375924013162967850893911600524\
      4306452240418419507200000000000000000000*mncx^7*ep^7
      +464693345078728693150529804922764395959570016420883975329533935222957352\
      47726369259582661/5277720085662180235806491121644225042879133011943993920\
      65157296154239455932339835075141084119040000000000000000000000*mncx^8*
      ep^8
      ;
Fill mncPO(-29)=
      -1/8841761993739701954543616000000
      -9227046511387/20593255576380858762310296062971084800000000*mncx*ep
      -46938861633377181563318269/479635366270215563409978365752438851658737254\
      40000000000*mncx^2*ep^2
      -25186927017635217446536551133584958729/159587675075673461892043169863972\
      32829194034380722405376000000000000*mncx^3*ep^3
      -78890646478256977372499817524180507318888060599123/371693988370268760273\
      70128729720544557277340612164915885352209612800000000000000*mncx^4*ep^4
      -220394091880767057381928499928284371416460564271231904088227601/
      8657085888686975513843729395688454248908700080473386830091375281109030928\
      3840000000000000000*mncx^5*ep^5
      -400846187516914154875914463903897327820615883520726692055932081171823277\
      4109/14114189871322798085914817932007871078118996653282259744392959396270\
      27196088509806936064000000000000000000*mncx^6*ep^6
      -995378118783282432673058672671077952714535074610638646384551893512180951\
      7185573722141183/32873212316675404051596020135301812575494938561567841533\
      06423755165727967201497176340229709312819200000000000000000000*mncx^7*
      ep^7
      -240455402407646472783981904444056897203631939432854930600939782020359353\
      18024856780095224902960744821/7656465570247709197204512317915009549750704\
      8447974904918784266783504795926730677979477001177149651589634457600000000\
      00000000000000*mncx^8*ep^8
      ;
Fill mncPO(-30)=
      +1/265252859812191058636308480000000
      +9304682830147/617797667291425762869308881889132544000000000*mncx*ep
      +47661242955539172992975989/143890609881064669022993509725731655497621176\
      3200000000000*mncx^2*ep^2
      +25715533224862937981129332151160709249/478763025227020385676129509591916\
      984875821031421672161280000000000000*mncx^3*ep^3
      +80887105812785807182912885219853936646131104810363/111508196511080628082\
      1103861891616336718320218364947476560566288384000000000000000*mncx^4*ep^4
      +226673869011222345191985022310524244322560444045040215307537481/
      2597125766606092654153118818706536274672610024142016049027412584332709278\
      515200000000000000000*mncx^5*ep^5
      +413164874841296575681906255716369228175069979546000212222776589085717687\
      9029/42342569613968394257744453796023613234356989959846779233178878188810\
      815882655294208081920000000000000000000*mncx^6*ep^6
      +102745471870689683803439561110431206626298998062797859894370702491470526\
      70999571125425223/9861963695002621215478806040590543772648481568470352459\
      9192712654971839016044915290206891279384576000000000000000000000*mncx^7*
      ep^7
      +248432182612945950576789347394820833922322712645526927749144965808592285\
      17305088891812029456332828301/2296939671074312759161353695374502864925211\
      4534392471475635280035051438778019203393843100353144895476890337280000000\
      0000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-31)=
      -1/8222838654177922817725562880000000
      -290774257297357/593703558267060158117405835495456374784000000000*mncx*ep
      -46479693768075341170975445029/428664515896679755486399964823927174892963\
      24637491200000000000*mncx^2*ep^2
      -781556503107229568390876511159818552568559/44214770782068309360000480082\
      7836765789503114759574096057466880000000000000*mncx^3*ep^3
      -76521255941455275592333629944010738538900877943907253323/
      3192384995653400474537578644877822973797563399792305441352141291565508198\
      4000000000000000*mncx^4*ep^4
      -6667705282222096185300565038664400439373549415795418232677816898893031/
      2304958677882854107587952889232422602531968466303538110272905138501002413\
      385094214451200000000000000000*mncx^5*ep^5
      -377556125228009940562091755613952065421188786959973299420548922518209727\
      5036627133349/11649547782572666665636314305404667771607764719807658217286\
      58963444626575362564967578131202435973120000000000000000000*mncx^6*ep^6
      -291473272229486733419042104667613485088466987677538071957517233716020968\
      722905170264320580894938953/841118044703626331568407529150728643454848548\
      5146045784991473640738594126503418844651751909080180680065391001600000000\
      0000000000000*mncx^7*ep^7
      -218674255524336040316771348082036928987371402553161892450028588429683874\
      50701693163803072795570992535801075166141/
      6073021702906075715318413404121886377605639890940294398169517984527028703\
      587193663774521291373823244786337543031555411148800000000000000000000000*
      mncx^8*ep^8
      ;
Fill mncPO(-32)=
      +1/263130836933693530167218012160000000
      +586061125622639/37997027729091850119513973471709207986176000000000*mncx*
      ep
      +188563440970824224217342974191/54869058034775008702259195497462678386299\
      29553598873600000000000*mncx^2*ep^2
      +6374011091027611713181285626046594885588997/1131898132020948719616012290\
      11926212042112797378450968590711521280000000000000*mncx^3*ep^3
      +1253103527804771871114914850704998968323017858623755794393/
      1634501117774541042963240266177445362584352460693660385972296341281540197\
      5808000000000000000*mncx^4*ep^4
      +219021337829810613341650082757499547365333779437895662406850111446001517/
      2360277686152042606170063758574000744992735709494823024919454861825026471\
      306336475598028800000000000000000*mncx^5*ep^5
      +248554426877018194483796891687105191326133831297962684645980033038470417\
      598667492069911/238582738587088213312231716974687595962527021461660840290\
      0293557134595226342533053600012702588872949760000000000000000000*mncx^6*
      ep^6
      +384302082931391121998058436536075937362216030050944911378807944872594414\
      48761488715332917218225450659/3445219511106053454104197239401384523591059\
      6547158203535325076032465281542158003587693575819592420065547841542553600\
      0000000000000000000*mncx^7*ep^7
      +577148152317207698093833426701527338328130466460335516738619891871717468\
      8771890382743438398942899371607781601184671/
      4975019379020657225988844260656649320534540198658289170980469132924541913\
      9786290493640878418934360021289677152514501928130969600000000000000000000\
      000*mncx^8*ep^8
      ;
Fill mncPO(-33)=
      -1/8683317618811886495518194401280000000
      -53676090078349/113991083187275550358541920415127623958528000000000*mncx*
      ep
      -191147113675074393547229862991/18106789151475752871745534514162683867478\
      7675268762828800000000000*mncx^2*ep^2
      -6493501663928207284923763331891522805938597/3735263835669130774732840557\
      393564997389722313488881963493480202240000000000000*mncx^3*ep^3
      -1281518216016642673897384956891070655754678612565673196793/
      5393853688655985441778692878385569696528363120289079273708577926229082652\
      01664000000000000000*mncx^4*ep^4
      -224629088844679436707044990778140173948721827021389476075843741063887117/
      7788916364301740600361210403294202458476027841332915982234201044022587355\
      3109103694734950400000000000000000*mncx^5*ep^5
      -255435053228138403128470654509381028350984604020895179028694925583796862\
      430658515774711/787323037337391103930364666016469066676339170823480772957\
      09687385441642469303590768800419185432807342080000000000000000000*mncx^6*
      ep^6
      -395479576634333247853823149225324669084906262309239029022593214314630089\
      05825831734876939941551321859/1136922438664997639854385089002456892785049\
      6860562207166657275090713542908912141183938880020465498621630787709042688\
      000000000000000000000*mncx^7*ep^7
      -540412550581168010890324776287928240550872098478754071472417407137572114\
      058503060563774057338436352786671893168861/
      1492505813706197167796653278196994796160362059597486751294140739877362574\
      1935887148092263525680308006386903145754350578439290880000000000000000000\
      0000*mncx^8*ep^8
      ;
Fill mncPO(-34)=
      +1/295232799039604140847618609643520000000
      +54062195834749/3875696828367368712190425294114339214589952000000000*mncx
      *ep
      +193672834401940297285176238591/61563083115017559763934817348153125149427\
      80959137936179200000000000*mncx^2*ep^2
      +6611010257989610727955230791776284831303797/1269989704127504463409165789\
      51381209911250558658621986758778326876160000000000000*mncx^3*ep^3
      +1309596256295164289625430756003219542652775000893320755593/
      1833910254143035050204755578651093696819643460898286953060916494917888101\
      6856576000000000000000*mncx^4*ep^4
      +230191158028949416073834042540087090094585156318457665222350343814884317/
      2648231563862591804122811537120028835881849466053191433959628354967679700\
      805709525620988313600000000000000000*mncx^5*ep^5
      +262278669329565080577541157375092806300683649718885554909323049217499202\
      181779758942311/267689832694712975336323986445599482669955318079983462805\
      4129371105015843956322086139214252304715449630720000000000000000000*
      mncx^6*ep^6
      +239187635338430435617034812789160735411510540243846796483738814318199149\
      6420502963543992771785927427/22738448773299952797087701780049137855700993\
      7211244143333145501814270858178242823678777600409309972432615754180853760\
      00000000000000000000*mncx^7*ep^7
      +505556675880023872688075654452576146782093782443650908907972226474522343\
      32857069616391197413953409116726062406951/
      4613199787819154882280564678063438460859300911483140867636435014166393411\
      1438196639557905443011861110650427905058901787903262720000000000000000000\
      0000*mncx^8*ep^8
      ;
Fill mncPO(-35)=
      -1/10333147966386144929666651337523200000000
      -54437269998109/135649388992857904926664885294001872510648320000000000*
      mncx*ep
      -28020487719351088554569096233/307815415575087798819674086740765625747139\
      04795689680896000000000000*mncx^2*ep^2
      -6726617628860633132194043822000226660155477/4444963964446265621932080263\
      298342346893769553051769536557241440665600000000000000*mncx^3*ep^3
      -1337349041568427108208504105948050572191945009309584705513/
      6418685889500622675716644525278827938868752113144004335713207732212608355\
      89980160000000000000000*mncx^4*ep^4
      -235708813830701748331660980065818578642451649931134784063493088815524797/
      9268810473519071314429840379920100925586473131186170018858699242386878952\
      8199833396734590976000000000000000000*mncx^5*ep^5
      -269086107362662971607704557753188335966759017341527797426919736935809337\
      701066139462151/936914414431495413677133952559598189344843613279942119818\
      94527988675554538471273014872498830665040737075200000000000000000000*
      mncx^6*ep^6
      -245718221882544255922632009450470706478202717227383278660473757211162501\
      1184604961686740126716566307/79584570706549834789806956230171982494953478\
      0239354501666009256349948003623849882875721601432584903514155139632988160\
      000000000000000000000*mncx^7*ep^7
      -816828540103085174604576510413683166815268804927011007085895297485429585\
      42089963386441153282837822948376644996043/
      2537259883300535185254310572934891153472615501315727477200039257791516376\
      1291008151756847993656523610857735347782395983346794496000000000000000000\
      000000*mncx^8*ep^8
      ;
Fill mncPO(-36)=
      +1/371993326789901217467999448150835200000000
      +54801925434709/4883378003742884577359935870584067410383339520000000000*
      mncx*ep
      +28365922323001895565692364433/110813549607031607575082671226675625268970\
      0572644828512256000000000000*mncx^2*ep^2
      +6840399294542448499145530506469847851081277/1600187027200655623895548894\
      78740324488175703909863703316060691863961600000000000000*mncx^3*ep^3
      +1364787318272393902310082315639579768613532772621310625713/
      2310726920220224163257992029100378057992750760731841560856754783596539008\
      1239285760000000000000000*mncx^4*ep^4
      +241183262100220140849575649035124968298858892399689742143012614029778597/
      3336771770466865673194742536771236333211130327227021206789131727259276423\
      015194002282445275136000000000000000000*mncx^5*ep^5
      +275858164018779108255860951501407989498653796590642496343098766635251225\
      077224664127551/337289189195338348923768222921455348164143700780779163134\
      8203007592319963384965828535409957903941466534707200000000000000000000*
      mncx^6*ep^6
      +252227192303952287508043750847911947155725999394372053017906536185205380\
      7228335697848559253065474107/28650445454357940524330504242861913698183252\
      0886167620599763332285981281304585957835259776515730565265095850267875737\
      60000000000000000000000*mncx^7*ep^7
      +839165572786568431493374298122467426413886885962513054254372610981149100\
      15887991504503388273813326652785125278243/
      9134135579881926666915518062565608152501415804736618917920141328049458954\
      0647629346324652777163484999087847252016625540048460185600000000000000000\
      0000000*mncx^8*ep^8
      ;
Fill mncPO(-37)=
      -1/13763753091226345046315979581580902400000000
      -2040798836801833/6685344487124008986405752206829588284814791802880000000\
      000*mncx*ep
      -39296045464550797787239457431177/561303872824497201850066254564480044674\
      91403106178498631303168000000000000*mncx^2*ep^2
      -352161234046208215339252267574509136702023691081/29990081190854079447357\
      0581220365445283083865415414068070531622324454136217600000000000000*
      mncx^3*ep^3
      -2608684498588375105517626756450359829025314345805903633658883393/
      1602349481944936549073231791722793647371928150639061097268636868732627063\
      281683538452152320000000000000000*mncx^4*ep^4
      -171013050661720159566906093714710194318958438162996619791883595630791538\
      85873129/8561243452292523517171314326549614651700120853307180048661925366\
      808910708761138659914476119513706266624000000000000000000*mncx^5*ep^5
      -725063001035943052469479181619316097777903710198896844188251120449343750\
      417133885707805597715159/320194958669810512763942477217493534214642269186\
      7684368272132390570951849184846348139270834635216735174966551905304576000\
      00000000000000000*mncx^6*ep^6
      -245602930259961626549022170288154353783132839086321253618207959562908667\
      637550478222385474906261084233824782431/
      1006341010041165756625706059570901881888037389060124871006728619889702799\
      5603599716501979910951497959487125227506313523739330871296000000000000000\
      0000000*mncx^7*ep^7
      -432264749914112238108769602794820549174363880137386855236016131320963376\
      74043608981065289239761150175174142649448794390890629/
      1695840216407956741069424431497323702460196044302890864765395127888956243\
      3727962663264686187541588505558117436083171773840192306425640481980416000\
      000000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-38)=
      +1/523022617466601111760007224100074291200000000
      +2053580969474233/2540430905107123414834185838595243548229620885094400000\
      00000*mncx*ep
      +39749780674985882178980437798777/213295471673308936703025176734502416976\
      4673318034782947989520384000000000000*mncx^2*ep^2
      +357750190719359398209347777918099374415101893881/11396230852524550189995\
      682086373886920757186885785734586680201648329257176268800000000000000*
      mncx^3*ep^3
      +2658985413003238910771173525609793878940548365941169558772311793/
      6088928031390758886478280808546615860013326972428432169620820101183982840\
      4703974461181788160000000000000000*mncx^4*ep^4
      +174751676137248367434629126308906747211036344655198215819163300076987902\
      67618329/3253272511871158936525099444088853567646045924256728418491531639\
      38738606932923269076750092541520838131712000000000000000000*mncx^5*ep^5
      +742262484176094563006431126693903121562516373538281131135537536308520808\
      714695198186793014024359/121674084294527994850298141342647543001564062290\
      9720059943410308416961702690241612292922917161382359366487289724015738880\
      0000000000000000000*mncx^6*ep^6
      +251742028674980715337092849137223725061018161689321246937188184022405326\
      241754074550047757403326092258356365231/
      3824095838156429875177683026369427151174542078428474509825568755580870638\
      3293678922707523661615692246051075864523991390209457310924800000000000000\
      00000000*mncx^7*ep^7
      +282181801914906020042353777216446621677351673565137168203067512892413081\
      71290590125296922283368158660576768843999991651950073/
      4100849977859240846586062716166255498676474070768808818432682763804203279\
      4287618803894604780782386749804174890892033562195374122811094256425369600\
      0000000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-39)=
      -1/20397882081197443358640281739902897356800000000
      -2066035355155033/9907680529917781317853324770521449838095521451868160000\
      000000*mncx*ep
      -40194562866176681556204641717977/831852339525904853141798189264559426208\
      22259403356534971591294976000000000000*mncx^2*ep^2
      -363256775189631187172928799970374912083283051481/44445300324845745740983\
      1601368581589909530288545643648880527864284841029874483200000000000000*
      mncx^3*ep^3
      -2708750952776367511754929445487032491402381958608770810738224593/
      2374681932242395965726529515333180185405197519247088546152119839461753307\
      783455003986089738240000000000000000*mncx^4*ep^4
      -178462617335950615774363407395022425191767023902592242501363486714297999\
      54676729/1268776279629751985244788783194652891381957910460124083211697339\
      3610805670384007493993253609119312687136768000000000000000000*mncx^5*ep^5
      -759376829623578102586033668224832815298091263145655117559915634200781766\
      870276142570887835970759/474528928748659179916162751236325417706099842934\
      7908233779300202826150640491942287942399376929391201529300429923661381632\
      00000000000000000000*mncx^6*ep^6
      -257861634030577604520856804598615878794432719873098961670694536552823499\
      129061356975515049897198346412955482831/
      1491397376881007651319296380284076588958071410587105058831971814676539548\
      9484534779855934228030119975959919587164356642181688351260672000000000000\
      0000000000*mncx^7*ep^7
      -454570513238213126805466407798576154119525517839805521895228210744727232\
      90929426556136551775332771735176762545727137146694229/
      2513235200716591890264887007479033727046010537656884261582315579531433152\
      6784840666958264929936634165237130040275260568831164998122799194294976512\
      000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-40)=
      +1/815915283247897734345611269596115894272000000000
      +2078178381193813/3963072211967112527141329908208579935238208580747264000\
      00000000*mncx*ep
      +40630774334422967689121916324397/332740935810361941256719275705823770483\
      2890376134261398863651799040000000000000*mncx^2*ep^2
      +368683961247536801596614790345267288407486323741/17778120129938298296393\
      264054743263596381211541825745955221114571393641194979328000000000000000*
      mncx^3*ep^3
      +2757997281132970865939093578334734854928763733759781509645660373/
      9498727728969583862906118061332720741620790076988354184608479357847013231\
      1338200159443589529600000000000000000*mncx^4*ep^4
      +182146564943915647791277936566142100003343018525106594345690078194760414\
      34591069/5075105118519007940979155132778611565527831641840496332846789357\
      44432226815360299759730144364772507485470720000000000000000000*mncx^5*
      ep^5
      +776407770327188012905286289437702564472631687637943515864539604489420665\
      928534152925141981468899/189811571499463671966465100494530167082439937173\
      9163293511720081130460256196776915176959750771756480611720171969464552652\
      8000000000000000000000*mncx^6*ep^6
      +263962065647620888326135708068973411098878098198879015730048279543781591\
      780089569660293392569913582453374126091/
      5965589507524030605277185521136306355832285642348420235327887258706158195\
      7938139119423736912120479903839678348657426568726753405042688000000000000\
      00000000000*mncx^7*ep^7
      +325983654983742999513160157936468656971432379829929375757986537376456715\
      164542084314538100265261454807219787389042299968109983/
      7037058562006457292741683620941294435728829505439275932430483622688012827\
      4997553867483141803822575662663964112770729592727261994743837744025934233\
      60000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-41)=
      -1/33452526613163807108170062053440751665152000000000
      -85691034670497533/666192438831671615812457557569862287113542862423615078\
      400000000000*mncx*ep
      -69019796595025328727596152952160157/229328380369859553533543492009210800\
      854787637613549429871081745641635840000000000000*mncx^2*ep^2
      -25778835335529148272555532835762030780136300189475861/
      5023671851649457573231452622859537928337376870764106171617157193237586693\
      6765980868608000000000000000*mncx^3*ep^3
      -7931175705372235945545978617347153576894970986448024210728865252684053/
      1100486509011773630907207658243494022118087320938368237071191090787074492\
      1558993096650728556702833049600000000000000000*mncx^4*ep^4
      -215265663212791323538761354007345287183895949159380254551131768449038591\
      5870236096018469/24107278346997947259557762488808600911505402485440534676\
      2004817300299401273271688383172543976264813880693871295332352000000000000\
      0000000*mncx^5*ep^5
      -376852832042889340431165040539244300710503976617098110571229510888568253\
      9271602709224278127462994451186259/36966614781589561814766886029139916702\
      3901982301013339358363522963889196826932518767831924882716162744491616790\
      2735186562645563015168000000000000000000000*mncx^6*ep^6
      -525921515161579119617981400717393318423848864183368906309961692035526998\
      85801670555767665446585133397291899019789426315571/
      4763478616520815363425634690907334481661576198737807810808792290778512683\
      3562591529290895564449964803812351968580434476702870428600295239518571724\
      800000000000000000000000*mncx^7*ep^7
      -266499324644667860320080190275340939758087785365222374713704976999237083\
      7249532678413451011495919945390829480005723065771692535720661486143/
      2303805844473259537132802467745690293821996200241139075111107634567173676\
      5614705245752121995319209441480005893984233518489352767444360297932684357\
      02697685900328960000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-42)=
      +1/1405006117752879898543142606244511569936384000000000
      +1758473284190717/5710220904271470992678207636313105318116081677916700672\
      00000000000*mncx*ep
      +69726017662384499725824274712792557/963179197553410124840882666438685363\
      5901080779769076054585433316948705280000000000000*mncx^2*ep^2
      +3734643805275960078986687210595236725659529875988723/
      3014203110989674543938871573715722757002426122458463702970294315942552016\
      20595885211648000000000000000*mncx^3*ep^3
      +8067527668804492729808627329814942599850221254531330663173364891023653/
      4622043337849449249810272164622674892895966747941146595699002581305712867\
      05477710059330599381518988083200000000000000000*mncx^4*ep^4
      +219473458788643023660297833007655442227129211100008338740180780200388092\
      9618818709129269/10125056905739137849014260245299612382832269043885024564\
      0042023266125748534774109120932468470031221829891425944039587840000000000\
      000000000*mncx^5*ep^5
      +384865814963730088859531599761826885092618143886145092300980929365855131\
      4209803846853026688169529120325059/15525978208267615962202092132238765015\
      0038832566425602530512679644833462667311657882489408450740788352686479051\
      914877835631113646637056000000000000000000000*mncx^6*ep^6
      +109740707617444464226003146421803408600174937503907096942563554581687986\
      4462569917964347741646741341986541899949750076179/
      4082981671303556025793401163634858127138493884632406694978964820667296585\
      7339364167963624769528541260410587401640372408602460367371681633873061478\
      400000000000000000000000*mncx^7*ep^7
      +247901272321022910984119414897697938808585166011733388104236234348707762\
      659155923727349261635147269363650216443454741856681524622442237613/
      8796349587988809141779791240483544758229440037284349195878774604711026765\
      0528874574689920345764254231105477049757982525141165112060284773924794817\
      73936618892165120000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-43)=
      -1/60415263063373835637355132068513997507264512000000000
      -532145396070491417/73907389163985649058234041436800522132376445157275856\
      79769600000000000*mncx*ep
      -130205697243503709344085710235529472293/76579488459878978795724058160540\
      5572029587229557099929871924046730640710696960000000000000*mncx^2*ep^2
      -43000717549507510111474242095596046703685878803616212623/
      1472137230007801474356108296441555239623235918555302595168363596805530396\
      50813547565352484864000000000000000*mncx^3*ep^3
      -280428391835578190806092385141667249077281341499180987050436656570312420\
      62453/6794793945757705026221261563274191184998278325946014166684608661307\
      3375559078877727027629037333869413046786457600000000000000000*mncx^4*ep^4
      -328787584235817788534526067174564461802443894538380384698652007532906579\
      221443350666440810631767/640041605929616620318760857887066456508587474988\
      4135368335350006816856001751869449589563786108129295517978236445717923649\
      65724160000000000000000000*mncx^5*ep^5
      -248329353094569870743333301833526788587287564341575097192832076146078356\
      09697092558683240914105759759968893026897691/
      4220249832648851755411836092634793284883297563032152759928958116971146187\
      0546190455127819620718389715301481208109552242070827548224558543239380992\
      000000000000000000000*mncx^6*ep^6
      -213378317943026730245012587803217948226505502920531767826049657889870124\
      3711331319468301478334420418586040386798641827646315978337871/
      3340589525277901293335182145794963363147427662189347576006570728484537639\
      4806316586188008999545158692407652706936473184829740878645570280104691729\
      16414336257228800000000000000000000000*mncx^7*ep^7
      -325951040212474703984422635598389032049982418798249976998447751923256892\
      4903697018043046719762092252297559368115311352127459671162711196502656744\
      9824943/48630783464305551986487718283421544904504458800746838751062498539\
      5455334727411737879002784276494992080625123888169887702424378340586417271\
      09130784899416093991718288523930642677760000000000000000000000000*mncx^8*
      ep^8
      ;
Fill mncPO(-44)=
      +1/2658271574788448768043625811014615890319638528000000000
      +5884182435213075787/3577117635536905414418527605541145271207019945612151\
      469008486400000000000*mncx*ep
      +131465392134207488570775194393709604093/33694974922346750670118585590637\
      845169301838100512396914364658056148191270666240000000000000*mncx^2*ep^2
      +305025639246032109339920839324049203942460251044617616961/
      4534182668424028541016813553039990138039566629150331993118559878161033621\
      2450572650128565338112000000000000000*mncx^3*ep^3
      +284999417130353518731041549663275213124737319640958886477392446345766109\
      10253/2989709336133390211537355087840644121399242463416246233341227810975\
      228524599470619989215677642690254174058604134400000000000000000*mncx^4*
      ep^4
      +334888895905969311342901875918382526381971136789986134376909557254585298\
      369999285644467098555967/281618306609031312940254777470309240863778488994\
      9019562067554002999416640770822557819408065887576890027910424036115886405\
      8491863040000000000000000000*mncx^5*ep^5
      +253347900446554415523375302861892278642645331425041802898669443097109707\
      47515301772589088579786411392165846642984291/
      1856909926365494772381207880759309045348650927734147214368741571467304322\
      3040323800256240633116091474732651731568202986511164121218805759025327636\
      48000000000000000000000*mncx^6*ep^6
      +180112444926845637431084471234403578147306794960716684807709957690936273\
      25396049450911486202984484723112405388277512069917031050351/
      1214759827373782288485520780289077586599064604432490027638752992176195505\
      2656842394977457818016421342693691893431444794483542137689298283674433356\
      05968849548083200000000000000000000000*mncx^7*ep^7
      +333161526689789644934653779387519470731704535526667225630869389059977763\
      7956329969141862128722696587226058127639940456787235859549227051340762135\
      2246743/21397544724294442874054596044705479757981961872328609050467499357\
      4000347280061164666761225081657796515475054510794750589066726469858023599\
      2801754535574308135635604695052948277821440000000000000000000000000*
      mncx^8*ep^8
      ;
Fill mncPO(-45)=
      -1/119622220865480194561963161495657715064383733760000000000
      -5914085889685464427/1609702935991607436488337422493515372043158975525468\
      16105381888000000000000*mncx*ep
      -132703353321243526022407156378781969053/15162738715056037801553363515787\
      03032618582714523057861146409612526668607179980800000000000000*mncx^2*
      ep^2
      -308993927930407218941991407060622443258106199324086374881/
      2040382200790812843457566098867995562117804983117649396903351945172465129\
      560275769255785440215040000000000000000*mncx^3*ep^3
      -289527010199848138470580945923970070601768528608519422671394308560583327\
      50413/1345369201260025595191809789528289854629659108537310805003552514938\
      85283606976177899514705493921061437832637186048000000000000000000*mncx^4*
      ep^4
      -340949396343595883488021002524236864072959288586302307348607682772445132\
      220301987010426494114207/126728237974064090823114649861639158388700320047\
      7058802930399301349737488346870151018733629649409600512559690816252148882\
      632133836800000000000000000000*mncx^5*ep^5
      -258343727174519479101957660440048106968293028318869427341055915584630272\
      84743026459712421168580057752298102863999811/
      8356094668644726475715435463416890704068929174803662464659337071602869450\
      3681457101153082849022411636296932792056913439300238545484625915613974364\
      160000000000000000000000*mncx^6*ep^6
      -202254903261129364354905031510463614506085365802339409984487275921170592\
      877794447397895034106790965265712041763087094216959906679781/
      6013061145500222328003327862430934053665369791940825636811827311272167751\
      0651369855138416199181285646333774872485651732693533581562026504188445112\
      4954580526301184000000000000000000000000*mncx^7*ep^7
      -340358789836658640172325982402744990343239931334672492734681564677359157\
      2014096460877227339478196529254661185944699952721217310161768732804057814\
      0699703/96288951259324992933245682201174658910918828425478740727103747108\
      3001562760275241000425512867460084319637745298576377650800269114361106196\
      76078954100843866103602211277382672501964800000000000000000000000000*
      mncx^8*ep^8
      ;
Fill mncPO(-46)=
      +1/5502622159812088949850305428800254892961651752960000000000
      +5943339269060627227/7404633505561394207846352143470170711398531287417153\
      540847566848000000000000*mncx*ep
      +133920392629995459148866374571444858253/69748598089257773887145472172620\
      339500454804868060661612734842176226755930279116800000000000000*mncx^2*
      ep^2
      +312911551982083232352920672977891208184254539278884963281/
      9385758123637739079904804054792779585741902922341187225755418947793339595\
      9772685385766130249891840000000000000000*mncx^3*ep^3
      +294012333166939537910340329212173583414933961386133316795844262259267929\
      43613/6188698325796117737882325031830133331296431899271629703016341568718\
      723045920904183377676452720368826140301310558208000000000000000000*mncx^4
      *ep^4
      +346969994369772353390633573224041402549669497736968384369236370664328338\
      177125141688938160489007/582949894680694817786327389363540128588021472219\
      4470493479836786208792446395602694686174696387284162357774577754759884860\
      1078156492800000000000000000000*mncx^5*ep^5
      +263317249164297034288548683949898799849247617857734587230293093925333117\
      22275768087848907407495617056905456395640211/
      3843803547576574178829100313171769723871707420409684733743295052937319947\
      1693470266530418110550309352696589084346180182078109730922927921182428207\
      51360000000000000000000000*mncx^6*ep^6
      +206374111488844578738538317835022726169504765213100261412558951621620522\
      993869164539027381225055236958446354949750449279469309628181/
      2766008126930102270881530816718229664686070104292779792933440563185197165\
      4899630133363671451623391397313536441343399797039025447518532191926684751\
      747910704209854464000000000000000000000000*mncx^7*ep^7
      +347542986646807064126971058450749840528386829466111221585601608894797183\
      6398216287834389955308263865695559942706342701570341792949514810198572494\
      1848903/44292917579289496749293013812540343099022661075720220734467723669\
      8180718869726610860195735919031638787033362837345133719368123792606108850\
      5099631888638817840765701718759602935090380800000000000000000000000000*
      mncx^8*ep^8
      ;
Fill mncPO(-47)=
      -1/258623241511168180642964355153611979969197632389120000000000
      -280682601097106968469/16356835413785119805132591884925607101479355613904\
      492171732275167232000000000000*mncx*ep
      -298474061825336141649960195547433736411277/72415086994210098582851043573\
      77961507955719205816662070618969519262390480949368743526400000000000000*
      mncx^2*ep^2
      -4698437044255722249929484530623586759225180737191522366274409/
      6542786512358675181595564879270755068818947799141823831851632640941021593\
      2911362456557236603417494814720000000000000000*mncx^3*ep^3
      -145637249347439011808373208776594697378965982286479068612358283711999764\
      564015313053/141934706085059890316744599960135715167711349301347520913969\
      0778192186517997791091383082489692888157473729187052081387667456000000000\
      000000000*mncx^4*ep^4
      -809476786969590931946796759958969548386239195708243999600089337889741729\
      48106556326571296336216922982849/6283742440781081140253242042040023307782\
      6321791290112862356051238319911332766891364754921131669734363565848510860\
      6101535983491870394250638131200000000000000000000*mncx^5*ep^5
      -289172789428345235526299518586722903659775184465074008541133633502673194\
      325835848430771352768044171114689527475149866449963219/
      1947359747719993491917790592249932518427952275207706693675081450522815805\
      5831488945450948731475086226413119605567925709978861459884699028381871495\
      17401173451079680000000000000000000000*mncx^6*ep^6
      -969407173408494849916966049053920292446972706350059128198773216429763887\
      9794674632706491023112117137528882283070297799100795499934367383706673/
      5987473856281206478781910115956732978345136054698513242859380069584578291\
      6245546247070423602683301849919942032168464158135252834589479954316778501\
      573029971077398562663473086464000000000000000000000000*mncx^7*ep^7
      -844620316773442823493370731028136167540044565205550958676569902600557153\
      7494029996437982322470425469425934899883884103751377772690889374998764640\
      43956731923765879783/
      4956955380561211976183909667605840265446484996664672125699781091805583917\
      3191910532874298542991870281088891804216573916231014499808013247835545338\
      3006181740659670383973431627457165427728455156367360000000000000000000000\
      0000*mncx^8*ep^8
      ;
Fill mncPO(-48)=
      +1/12413915592536072670862289047373375038521486354677760000000000
      +40285746008542370417/112161157123097964378052058639489877267287009923916\
      517749021315432448000000000000*mncx*ep
      +301075047653819961044229037371505211298127/34759241757220847319768500915\
      4142152381874521879199779389710536924594743085569699689267200000000000000
      *mncx^2*ep^2
      +33285762103921506563699280684169031838046270253892435182326013/
      2198376268152514861016109799434973703123166460511652807502148567356183255\
      3458217785403231498748278257745920000000000000000*mncx^3*ep^3
      +147786292224893128675273433919341018270071253794417821873862981615304144\
      453370387703/681286589208287473520374079808651432805014476646468100387051\
      5735322495286389397238638795950525863155873900097849990660803788800000000\
      0000000000*mncx^4*ep^4
      +823107629133949501099977193703941263321810738580649935638321223047789155\
      69769913932693707878080699951299/3016196371574918947321556180179211187735\
      6634459819254173930904594393557439728107855082362143201472494511607285213\
      092873727207609778924030630297600000000000000000000*mncx^5*ep^5
      +294487054375158815207501790541656362288947181798829767934389642696446544\
      565024870733437905675298371503659482028319078833330169/
      9347326789055968761205394842799676088454170920996992129640390962509515866\
      7991146938164553911080413886782974106726043407898535007446555336232983176\
      835256325651824640000000000000000000000*mncx^6*ep^6
      +155299678174928705902934066917566732092919149336915165604856992247579468\
      59586877865895359739572685304893105857555603446850058905631274442895079/
      4516265994452110029709783630321650017951759766972592846042503823915224768\
      5396640597790262374595404823939613418549927250707733566661779165541798641\
      18651403532695205869473398521856000000000000000000000000*mncx^7*ep^7
      +861665671858247283954324177358255376189973652911638156847957396616180552\
      5778407173736652447598511648270869476518017399768798412655089745871559630\
      42696367451912810933/
      2379338582669381748568276640450803327414312798399042620335894924066680280\
      3132117055779663300636097734922668066023955479790886959907846358961061762\
      3842967235516641784307247181179439405309658475056332800000000000000000000\
      000000*mncx^8*ep^8
      ;
Fill mncPO(-49)=
      -1/608281864034267560872252163321295376887552831379210240000000000
      -13881256687139135026631/188509256776790748730192094955390636723129277579\
      1264913807801248473153536000000000000*mncx*ep
      -104146672615633849236401659749877718134199161/58419857621361078090334919\
      4885366715508216508922371069220286499409166384703916994267751383040000000\
      0000000*mncx^2*ep^2
      -566020643954179926599734630059744132802897019479664478329917450091/
      1810457387003126546185790112556076548391161876389148088048741937606213226\
      6572641049644333478173653321218848194560000000000000000*mncx^3*ep^3
      -251964264538165598392130359056811248827973620773487567934631578253748699\
      4912903705721921/56106880153636069080538943080785622692654003714086227879\
      7053614021469373563898337010030993348392092097785930828367485877033463971\
      84000000000000000000*mncx^4*ep^4
      -984313577646399974572497676383786728894724729477916378436608274193399411\
      6093062045556873068634849562453661651/
      1738777185905146432243825438905329683426974036906004962811310527366645743\
      2210203589108665636548999183783300818940372301155548015606115103070157023\
      4777600000000000000000000*mncx^5*ep^5
      -352686445179911800615209401413765177410754896986239020488868342991391377\
      04441471947603336115851877758996398871166654121433195466281/
      5388547882087663777056562139516641551439669297953438122594305546106581957\
      8439403186027795855115028105494037591342840176389688250946290964887123765\
      0803062501373964336496640000000000000000000000*mncx^6*ep^6
      -638618527422496077823364554230725934675071215774658435406289530612519053\
      4487522878437221250857227407671015541134134725136210277518642839062877321\
      36753/8930133529331646794523679700978624272382444671146355982530324525707\
      3368996894628016370192498274177763287004229580423433528867258279109179986\
      02253753915545299682905433600318224362538795008000000000000000000000000*
      mncx^7*ep^7
      -354579469292160600499111039558930564235618273774062662096838697950114727\
      5857594029190184879727203123940632617632985883469431917529115490066497919\
      2159454407584161326382838931/
      4704729810163884858720155362585568995129705737241594558786960676195001233\
      4940499216599550959883404962424316603861256848831916833515753421108885118\
      4371813547259835221661957580057471817866803898925485276948070400000000000\
      000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-50)=
      +1/30414093201713378043612608166064768844377641568960512000000000000
      +13943237577224054960759/942546283883953743650960474776953183615646387895\
      63245690390062423657676800000000000000*mncx*ep
      +105010886891335698708867338705752424039082313/29209928810680539045167459\
      7442683357754108254461185534610143249704583192351958497133875691520000000\
      000000000*mncx^2*ep^2
      +114505862438462352818403432966589997043375979329347648409489465631/
      1810457387003126546185790112556076548391161876389148088048741937606213226\
      65726410496443334781736533212188481945600000000000000000*mncx^3*ep^3
      +255512852175104246969491711861446900305722469762068454580238044976538369\
      9820375905495761/28053440076818034540269471540392811346327001857043113939\
      8526807010734686781949168505015496674196046048892965414183742938516731985\
      9200000000000000000000*mncx^4*ep^4
      +100015049165234950621801382970676504426033070728349920468606032962888586\
      35699093181157447473969037939756893059/
      8693885929525732161219127194526648417134870184530024814056552636833228716\
      1051017945543328182744995918916504094701861505777740078030575515350785117\
      38880000000000000000000000*mncx^5*ep^5
      +358885466949060091300775137927965257139738515590871125605542802202128611\
      80885477057368276882589954973232368183153984822337415883833/
      2694273941043831888528281069758320775719834648976719061297152773053290978\
      9219701593013897927557514052747018795671420088194844125473145482443561882\
      540153125068698216824832000000000000000000000000*mncx^6*ep^6
      +130102747268461232605861574463623639670285127818993745335317222571502933\
      6982067809502518794164738746392034899918387861558641460286335103547493531\
      22701/8930133529331646794523679700978624272382444671146355982530324525707\
      3368996894628016370192498274177763287004229580423433528867258279109179986\
      022537539155452996829054336003182243625387950080000000000000000000000000*
      mncx^7*ep^7
      +361433770758624321426131237054768463262268009184686492240469519141279365\
      9245939257679192971810807517124634702195137865600547679006232612723378863\
      8604535101440893628205215811/
      2352364905081942429360077681292784497564852868620797279393480338097500616\
      7470249608299775479941702481212158301930628424415958416757876710554442559\
      2185906773629917610830978790028735908933401949462742638474035200000000000\
      00000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-51)=
      -1/1551118753287382280224243016469303211063259720016986112000000000000
      -14004003155738682347159/480698604780816409261989842136246123643979657826\
      7725530209893183606541516800000000000000*mncx*ep
      -6227167543800872194225058956256039863195289/8762978643204161713550237923\
      2805007326232476338355660383042974911374957705587549140162707456000000000\
      0000000*mncx^2*ep^2
      -115792413728704695148396471752902527867270984645053968654422542271/
      9233332673715945385547529574035990396794925569584655249048583881791687455\
      952046935318610073868563193821612579225600000000000000000*mncx^3*ep^3
      -259030948679019158586570153511873816152069211359504785667697306782988242\
      6661217158067761/14307254439177197615537430485600333786626770947091988109\
      3248671575474690258794075937557903303839983484935412361233708898643533312\
      819200000000000000000000*mncx^4*ep^4
      -101589065710202286197799659022139650280393933218069716197477521105105670\
      85987686965002904198599143457286743459/
      4433881824058123402221754869208590692738783794110312655168841844784946645\
      2136019152227097373199947918647417088297949367946647439795593512828900409\
      8682880000000000000000000000*mncx^5*ep^5
      -365058585297701029091765118897926919739119422970169688969009845213785159\
      60880431665723451533277251571853979199879975946009881441433/
      1374079709932354263149423345576743595617115670978126721261547914257178399\
      2502047812437087943054332166900979585792424244979370503991304196046216560\
      09547809378503609058066432000000000000000000000000*mncx^6*ep^6
      -204734493072307235636925452934716980512065871923792719880018626541203482\
      0013096621514070690347317513081453278066916602360207586629130816028812803\
      80887/7038568881755034337138209364316788403777799572621718760776173967080\
      2373563916038627448142632730647382518029697314751924426843557207261508225\
      34685458767979795295526373574069000474837395701760000000000000000000000000
      *mncx^7*ep^7
      -368276216211015068549665930756039830581731024687067578690133524586138388\
      6923955947947099209613556005921245136436520727054574831475730861761480872\
      8090730712118204661010739811/
      1199706101591790638973639617459320093758074962996606612490674972429725314\
      5409827300232885494770268265418200733984620496452138792546517122382765705\
      2014812454551257981523799182914655313556034994225998745621757952000000000\
      0000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-52)=
      +1/80658175170943878571660636856403766975289505440883277824000000000000
      +14063600165435720745359/249963274486024532816234717910847984294869422069\
      921727570914445547540158873600000000000000*mncx*ep
      +6276470397649974751308777592999483830486689/4556748894466164091046123720\
      1058603809640887695944943399182346953914978006905525552884607877120000000\
      000000000*mncx^2*ep^2
      +117064213877021223136262474997602315557612941477618274946159845591/
      4801332990332291600484715378498715006333361296184020729505263618531677477\
      09506440636567723841165286078723854119731200000000000000000*mncx^3*ep^3
      +262519287223821664014482117567423594194971294043828562754537379959310186\
      3315767019748761/74397723083721427600794638525121735690459208924878338168\
      4893092192468389345729194875301097179967914121664144278415286272946373226\
      6598400000000000000000000*mncx^4*ep^4
      +103153602160836057016576103467951450168573040674511846851900590205315905\
      25162257036495831869905056591161373659/
      2305618548510224169155312531988467160224167572937362580687797759288172255\
      5110729959158090634063972917696656885914933671332256668693708626671028213\
      131509760000000000000000000000*mncx^5*ep^5
      +285543255019972935883119801570099562720059435271750161406087978193791679\
      6032895553611169491808169511249081872205479849999301111941/
      5496318839729417052597693382306974382468462683912506885046191657028713597\
      0008191249748351772217328667603918343169696979917482015965216784184866240\
      38191237514014436232265728000000000000000000000000*mncx^6*ep^6
      +229230266266784142098104250118524012504741866046087791551910236420921593\
      7793488609618778055104068051059479536925810965225362764664467710986709282\
      876677/402606140036387964084305575638920296696090135553962313116397150916\
      9895767855997409490033758592193030280031298686403810077215451472255358270\
      4898400824152844429090410856843674682716069903414067200000000000000000000\
      00000*mncx^7*ep^7
      +375106935411793182817284285831277680781325700366051343060710184549682786\
      3712879381830265182192384909794572731492410135940214661051058825585245095\
      6759636937540817782104646811/
      6238471728277311322662926010788464487541989807582354384951509856634571635\
      6131101961211004572805394980174643816720026581551121721241889036390381667\
      0477024763666541503923755751156207630491381969975193477233141350400000000\
      00000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-53)=
      -1/4274883284060025564298013753389399649690343788366813724672000000000000
      -748469853272339196210427/70214683803124291268080332261157198788428820659\
      4410132746698677543040306275942400000000000000*mncx*ep
      -17767048957903334977601908501461114574151087801/
      6783951051614391113826737610782001759367906437509195338440070267458000180\
      734073927736801766921994240000000000000000*mncx^2*ep^2
      -17615375945830132273573128253222501696469074686183339905548118275381067/
      3788482673489013056008423748445191928188826697367538806976742198201544903\
      114654089220465530181961707663735075178510758707200000000000000000*mncx^3
      *ep^3
      -209869886498068358609699578595972791268783663255618334624843960548480688\
      75429992463188812088041/3111279248307436269017812104977007714208728427272\
      9496595392103734172376896935316809536961585861759157029099879693500990165\
      09411140850125321011200000000000000000000*mncx^4*ep^4
      -437887676287352700104399099681179720980544762927199805339068296973115828\
      1538659543845656241725510500525280692710881287/
      5110256213490141343390232984785175060236555467999515153517575074058006384\
      9505882339757934161550648463630449809542314346548993135144586669183931039\
      7594362289628119040000000000000000000000*mncx^5*ep^5
      -643327100657246613842044030950053386132112948954557902149963155531754565\
      40070570333283850062329037518130404491387437244564659006674916074989/
      6456586969126120826516581374926857685464286989123961205712722131824159922\
      1706524989218575849753457148004255412552347262796761797177448440294607856\
      16441712439873492648077825015950606336000000000000000000000000*mncx^6*
      ep^6
      -273991727572196022352116844091224218939561703235426483739533066378174802\
      7026935283517185128032809359578125607912993646460641301628905446901104667\
      548450036289445009/
      2506613363637856773512858829823475550740848822084800613792331161884923518\
      2266385631666351026471455145363847897553686348916406778904608753983807002\
      5187721166819773419911478206468882173136165499704948209745920000000000000\
      000000000000*mncx^7*ep^7
      -237785979486633701686703993287078892207298863695020006424149810305452461\
      5318966776816531875623770164197174524918857928475863811074575945624195637\
      556125793634541641622570424103187798607771/
      2058548187745640109671344097910822914859931443553886764384764719526469873\
      0909318837220527636732981781495256637943844832299166884290258266596797566\
      5944819109449198062429212680380898406467402595906694230307671911607994465\
      722040320000000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-54)=
      +1/2308436973392413804720927426830275810832785645718079411322880000000000\
      00
      +250503836021181200128409/12638643084562372428254459807008295781917187718\
      699382389440576195774725512966963200000000000000*mncx*ep
      +17901510050794318778437646579447768708683186601/
      3663333567871771201466438309822280950058669476254965482757637944427320097\
      59639992097787295413787688960000000000000000*mncx^2*ep^2
      +5933502224267942072509681758972087559033624011906948712757892823229129/
      6819268812280223500815162747201345470739888055261569852558135956762780825\
      6063773605968379543275310737947231353213193656729600000000000000000*
      mncx^3*ep^3
      +212577036318428344874457328018396036362407576234565388494837755461709178\
      09854882933957328326041/1680090794086015585269618536687584165672713350727\
      3928161511736016453083524345071077149959256365349944795713935034490534689\
      1508201605906767334604800000000000000000000*mncx^4*ep^4
      +493726150997258335787862237436413091088033518558897697799849151827236729\
      771819484587905966296871029870289863185205343/
      3066153728094084806034139790871105036141933280799709092110545044434803830\
      9703529403854760496930389078178269885725388607929395881086752001510358623\
      85566173737768714240000000000000000000000*mncx^5*ep^5
      +653723793437641597982405965174684357304236621384281923621784678383786096\
      55732738008051152198773270656648467433724982930824914852547238660189/
      3486556963328105246318953942460503150150714974126939051084869951185046357\
      9721523494178030958866866859922297922778267521910251370475822157759088242\
      3287852471753168602996202550861332742144000000000000000000000000*mncx^6*
      ep^6
      +844519960912792888882037137306225436580481805260616416320799700347330675\
      0458560694653015170280388666984947119192821661151053899410125450662735531\
      0037933150391713/41017309586801292657483144488020509012122980725024010043\
      8745099217532939346177219427267562251351084196862965596333049345904838200\
      2572341560986600412162710002505383234915097924036253742228162722444607068\
      56960000000000000000000000000*mncx^7*ep^7
      +242024397492507653525166616140354258649975815729808378395934910943852306\
      4258528025180149008061617891608982880147978088370172541650168403417470315\
      267834632684102069199719734392954164953771/
      1111616021382645659222525812871844374024362979519098852767772948544293731\
      4691032172099084923835810162007438584489676209441550117516739463962270685\
      9610202319102566953711774847405685139492397401789614884366142832268317011\
      48990177280000000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-55)=
      -1/1269640335365827592596510084756651695958032105144943676227584000000000\
      0000
      -251499286680120823312889/69512536965093048355399528938545626800544532452\
      8466031419231690767609903213182976000000000000000*mncx*ep
      -18034051002314150733001191640058968924593708041/
      2014833462329474160806541070402254522532268211940231015516700869435026053\
      6780199565378301247758322892800000000000000000*mncx^2*ep^2
      -5994539051310197009735619439731653918383892104558099215277922551401641/
      3750597846754122925448339510960740008906938430393863418906974776219529454\
      083507548328260874880142090587097724426725651120128000000000000000000*
      mncx^3*ep^3
      -215262306850328062536207070111952126504205884437155016814712441345734642\
      95382129682133626251641/9240499367473085718982901951781712911199923429000\
      6604888314548090491959383897890924324775910009424696376426642689697940790\
      32951088324872203403264000000000000000000000*mncx^4*ep^4
      -500868917837225750175487192423752236105113321047085286612669186265544929\
      974303847101657228012381974900034877267115903/
      1686384550451746643318776884979107769878063304439840000660799774439142107\
      0336941172120118273311713992998048437148963734361167734597713600830697243\
      1206139555577279283200000000000000000000000*mncx^5*ep^5
      -603708300290298616104483704438949635498042109995202678903303719842676029\
      6691391077163704408135361724046109217072578819921139144747490166359/
      1743278481664052623159476971230251575075357487063469525542434975592523178\
      9860761747089015479433433429961148961389133760955125685237911078879544121\
      16439262358765843014981012754306663710720000000000000000000000000*mncx^6*
      ep^6
      -377838785785074366814044492837001116128480417416009383183419334876465539\
      1408169120165263896235994236197935603307846115057112282404064092869920764\
      0958358355050819/
      9926188920005912823110920966100963180933761335455810430617631401064297132\
      1774887101398750064826962375640837674312597941708970844462250665775875729\
      9743375820606302742849453697616773405619215378831594910593843200000000000\
      0000000000000*mncx^7*ep^7
      -223868860009716383515254445112728542517367398437668462552825752801658443\
      3930649468836154597589937450423978205179215156903345390883663218660066958\
      82822657484294126620232622483099342292161/
      5558080106913228296112629064359221870121814897595494263838864742721468657\
      3455160860495424619179050810037192922448381047207750587583697319811353429\
      8051011595512834768558874237028425697461987008948074421830714161341585057\
      44950886400000000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-56)=
      +1/7109985878048634518540456474637249497364979788811684586874470400000000\
      00000
      +252476961434436524654789/38927020700452107079023736205585551008304938173\
      594097759476974682986154579938246656000000000000000*mncx*ep
      +18164731188265155896945165014871154683067368741/
      1128306738904505530051662999425262532618070198686529368689352486883614590\
      059691175661184869874466081996800000000000000000*mncx^2*ep^2
      +6054920328255969849300618496075732205671969126498425642872284317464501/
      2100334794182308838251070126138014404987885521020563514587905874682936494\
      28676422706382608993287957072877472567896636462727168000000000000000000*
      mncx^3*ep^3
      +217926191085276023006085548954691103372573464199965300592017460656968934\
      36553362697842751387141/5174679645784928002630425092997759230271957120240\
      3698737456146930675497254982818917621874509605277829970798919906230846842\
      5845260946192843390582784000000000000000000000*mncx^4*ep^4
      +507970949014834210834665542002823871482012102900196684624972432283606381\
      909273873201679690481639507162175710635285203/
      9443753482529781202585150555883003511317154504863104003700478736859195799\
      3886870563872662330545598360789071248034196912422539313747196164651904561\
      47543815112327639859200000000000000000000000*mncx^5*ep^5
      +613085237398686710944572282144574328515958980564778423487449977858544329\
      2602491508016246420717711177935013230321030510746441864719941043659/
      9762359497318694689693071038889408820422001927555429343037635863318129802\
      3220265783698486684827227207782434183779149061348703837332302041725447078\
      520598692090887208838936714241173167800320000000000000000000000000*mncx^6
      *ep^6
      +192036262278548574610418822640824391826558151822920300693991404084511593\
      0609871754910704683148658910481999853527063232934377191235826137706660828\
      69621968823980387/
      2779332897601655590471057870508269690661453173927626920572936792298003197\
      0096968388391650018151549465179434548807527423678511836449430186417245204\
      3928145229769764767997847035332696553573380306072846574966276096000000000\
      0000000000000000*mncx^7*ep^7
      +227709180577639042755451740666502660669605139178006136448697015320636980\
      8713225554122009774006496709196524542613412889115620238753422518345856269\
      80089679672829655193370130073273505559661/
      3112524859871407845823072276041164247268216342653476787749764255924022448\
      1134890081877437786740268453620828036571093386436340329046870499094357920\
      6908566493487187470392969572735918390578712725010921676225199930351287632\
      1717249638400000000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-57)=
      -1/4052691950487721675568060190543232213498038479622660214518448128000000\
      0000000
      -253437484000080020709989/22188401799257701035043529637183764074733814758\
      94863572290187556930210811056480059392000000000000000*mncx*ep
      -18293607176574444372593593678807447331456694341/
      6431348411755681521294479096723996435923000132513217401529309175236603163\
      3402397012687537582844566673817600000000000000000*mncx^2*ep^2
      -6114663164756369544038057925035560094393828413770667987638707573783381/
      1197190832683916037803109971898668210843094746981721203315106348569273801\
      7434556094263808712617413553154015936370108278375448576000000000000000000
      *mncx^3*ep^3
      -220569163463251928291051703251587144455752191292848733792549208711775331\
      11710533210419589791141/2949567398097408961499342303008722761255015558537\
      0108280350003750485033435340206783044468470475008363083355384346551582700\
      273179873932992073263218688000000000000000000000*mncx^4*ep^4
      -515033004307886291234354996488621150575855501712906245224476615350485553\
      166148380812694029867515562216864519104279603/
      5382939485041975285473535816853312001450778067771969282109272880009741605\
      6515516221407417528410991065649770611379492240080847408835901813851585600\
      0409997461402675471974400000000000000000000000*mncx^5*ep^5
      -229085661554090147623513945989107151834215030237068701811348029165524538\
      8109980387231057913940806915342325096160903948701224186469281127/
      2048047446989935948886658259906868983305315089696943218819084446849957301\
      1864391423153528675138579134499811367226394907975252553286496931830513373\
      11620951582326305080537133865199437086720000000000000000000000000*mncx^6*
      ep^6
      -195145102928026214931338377293341246309862529097757781948407249044013444\
      6899462276454427069213561630482350708578180439963078301024237359857475348\
      96418466461641923/
      1584219751632943686568502986189713723677028309138747344726573971609861822\
      2955271981383240510346383195152277692820290631496751746776175206257829766\
      5039042780968765917758772810139637035536826774461522547730777374720000000\
      000000000000000000*mncx^7*ep^7
      -231543206655899785229337784945687145405364963219524140569493548473562578\
      2309562250215518067552484676708805510087310587299193728526493325727111965\
      38138059835631136056806341825748458619661/
      1774139170126702472119151197343463620942883315312481769017365625876692795\
      4246887346670139538441953018563871980845523230268713987556716184483784014\
      7937882901287696858123992656459473482629866253256225355448363960300233950\
      337883229388800000000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-58)=
      +1/2350561331282878571829474910515074683828862318181142924420699914240000\
      000000000
      +254381445831833111660789/12869273043569466600325247189566583163345612560\
      1902087192830878301952227041275843444736000000000000000*mncx*ep
      +18420732904818135655163833536031555942973966741/
      3730182078818295282350797876099917932835340076857666092886999321637229834\
      737339026735877179804984867081420800000000000000000*mncx^2*ep^2
      +6173783958591595859301500311845919793180875744134489388715040282748901/
      6943706829566713019258037837012275622889949532493982979227616821701788050\
      11204253467300905331809986082932924309466280145776017408000000000000000000
      *mncx^3*ep^3
      +223191680849731915619037211168081679354956306752642446125415997846488379\
      96720236286548117977141/1710749090896497197669618535745059201527909023951\
      4662802603002175281319392497319934165791712875504850588346122920999917966\
      15844432688113540249266683904000000000000000000000*mncx^4*ep^4
      +522055818570785098236643617307621221733875850538396472000398965388115237\
      764075272442983300581496634857706748556167203/
      3122104901324345665574650773774920960841451279307742183623378270405650131\
      2778999408416302166478374818076866954600105499246891497124823052033919648\
      023779852761355177374515200000000000000000000000*mncx^5*ep^5
      +332489669634029741305843672734826285873312286983282697022632181647745087\
      499418295323202151240170310881869176668721237033108981313615945561/
      1698650552533452876006594360766757134753428335394644705688548640217354585\
      6040326246363536683159937534154143547977571936674674467695820555260227791\
      662584172423814374337974988277964131197255680000000000000000000000000*
      mncx^6*ep^6
      +198246015596982996437698589211213915474416773461602001261469298776034326\
      0822425171148411559298001578654798135253299189941887779670744636271056125\
      70899862812102067/
      9188474559471073382097317319900339597326764193004734599414129035337198569\
      3140577492022794960009022531883210618357685662681160131301816196295412645\
      7226448129618842323000882298809894806113595291876830776838508773376000000\
      0000000000000000000*mncx^7*ep^7
      +235371002219959146979208148420391018114617719144175750907564826534919049\
      1738864046336435975718908880584632435512045123169864222437771827405618725\
      10004564626920146911325981960869089829661/
      1029000718673487433829107694459208900146872322881239426030072063008481821\
      3463194661068680932296332750767045748890403473555854112782895387000594728\
      5803972082746864177711915740746494619925322426888610706160051096974135691\
      19597227304550400000000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-59)=
      -1/1386831185456898357379390197203894063459028767726874325408212949401600\
      00000000000
      -15063255090319832863132951/447979394646653132357321854668812759916060773\
      220221165518244287369095702330681211031126016000000000000000*mncx*ep
      -64559182416183111558653247047075263779673478298221/
      7661010651656226667939245169955250451277893096449506044910390336785326262\
      28519951971987719311167987016315122483200000000000000000*mncx^2*ep^2
      -127998322051814362198461114412150706057104694970993834513254069802564402\
      3439/84139402332025335237749596622736905154057381757010822087156534198233\
      2001486937098399878676553236638477187418264347863385350062807502028800000\
      0000000000000*mncx^3*ep^3
      -273602963252532543998729824837805483646098097879267472844486454110780010\
      196612408795102855928648376901/
      1223056094574065540599416465264942892365840087884276240437232670545847239\
      4476252313312204790107529579577973089498663698731013331533326022583951152\
      69254121783296000000000000000000000*mncx^4*ep^4
      -378223624714978447096060315266267610761728836608780208880666893563799035\
      240562923780235349342422930154320076210191949449334497/
      1316920508210425477990840925600397341508888793541027063680807064089139200\
      7884352477450229320659622715128985415023909697131326069591504535224890411\
      86557925247378368803995260449665843200000000000000000000000*mncx^5*ep^5
      -109464405102945040435524417501149193676513662038968724682768861654791475\
      2474468759181813168659539665357592738281914663471920145331125098856754247\
      877/325180709211614789387905919627509407903052422640814621473289525326309\
      4544888995564073368643523550222863692220453511781901216465798820944191457\
      4565120968837960841505270643803627415042309595129392293478400000000000000\
      00000000000*mncx^6*ep^6
      -100212569301220736839430304691084365306852178549721555665941935351800047\
      5163753001717821182693930812432887617193452903522810703503756485838604601\
      41794022891149055925122788821/
      2698295480966616655613071231902137119206771888101889976363621456170990362\
      1043381323300955856992459550653741507093385864513288582206328845408356170\
      8564443683174623243719406221596075252009567814945583267041091947025913011\
      494715392000000000000000000000000*mncx^7*ep^7
      -351207585136394583091948709383071839518968848250265867628018515470311388\
      5150239285447048218985547473874964878960812648893730940478671133205823562\
      6912908460471813147520194245353154624908911353234265181/
      8914228923261348848424406870196350437862154336753415270630750692525819883\
      7269007401665281575385132577748581490306861607479569729023520616289560419\
      0716086030042001996034483348541719473901336096316916044238549299035007652\
      39639067529335416023842134425600000000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-60)=
      +1/8320987112741390144276341183223364380754172606361245952449277696409600\
      000000000000
      +15117092380124150817026911/268787636787991879414393112801287655949636463\
      93213269931094657242145742139840872661867560960000000000000000*mncx*ep
      +64990051213312906569171461890069960673344245546341/
      4596606390993736000763547101973150270766735857869703626946234202071195757\
      3711197118319263158670079220978907348992000000000000000000*mncx^2*ep^2
      +129187944047147683687136111701391100866726248978661418115640491515481602\
      4663/50483641399215201142649757973642143092434429054206493252293920518939\
      9200892162259039927205931941983086312450958608718031210037684501217280000\
      000000000000000*mncx^3*ep^3
      +276732771204833180031981191131949946023071135239987857078911912279715431\
      590621798277433201299751473501/
      7338336567444393243596498791589657354195040527305657442623396023275083436\
      6857513879873228740645177477467838536991982192386079989199956135503706916\
      155247306997760000000000000000000000*mncx^4*ep^4
      +383189805515547319903076180548138038156635543436622992425482208709349775\
      905464393081774262492091649173918878876186579683985817/
      7901523049262552867945045553602384049053332761246162382084842384534835204\
      7306114864701375923957736290773912490143458182787956417549027211349342471\
      193475514842702128239715626979950592000000000000000000000000*mncx^5*ep^5
      +759756888264348025637679416797016396158018728629174422858183401949156838\
      6846465754242588509928592928911941047574456713602815180982110540903893218\
      59/1334952385184523872224034827944512306128320471893870551311399103971165\
      1289544297578827513378675627230703578589230206262541836017489896507733351\
      6635759766808470823021637379825417809121060443162768362700800000000000000\
      000000000000*mncx^6*ep^6
      +254370602464589002840507787440612098466041884787729954888969219975578666\
      9899664450686585518072469631462157700447783519061089550153942038713209859\
      679959809386584995694462561829/
      4047443221449924983419606847853205678810157832152834964545432184256485543\
      1565071984951433785488689325980612260640078796769932873309493268112534256\
      2846665524761934865579109332394112878014351722418374900561637920538869517\
      242073088000000000000000000000000000*mncx^7*ep^7
      +356809931253815732921728040187835875038284664006068279177232787774521499\
      2696841948287974149745393469400247811436203241143253225609331733247247216\
      9379189639482879856035950943143269783762152585182844981/
      5348537353956809309054644122117810262717292602052049162378450415515491930\
      2361404440999168945231079546649148894184116964487741837414112369773736251\
      4429651618025201197620690009125031684340801657790149626543129579421004591\
      4378344051760124961430528065536000000000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPO(-61)=
      -1/5075802138772247988008568121766252272260045289880360030994059394809856\
      00000000000000
      -925372872575832277072279171/10001587964881177833009567727335913677885972\
      8229146577413603219598024306502347887174809194332160000000000000000*mncx*
      ep
      -243410484474130055165930332974242885014242613641574061/
      1043342315234149191189310684752967621608904471755123198947883185420322084\
      2038541233113224671018093251657013368981553152000000000000000000*mncx^2*
      ep^2
      -295905417679641091738851701138111064419087489101315103065728094834572786\
      930630643/698988471914551199804146867591531304157095407610323486738834508\
      7718796221079936784867644744907925519037771472293193891073967219383612018\
      765332480000000000000000000*mncx^3*ep^3
      -387461096305247242705659233827345705641720119854137555642854860958048346\
      4435373641491955063246971182874515341/
      6197931920356571556730994815927594511210578061907447772412840017316245376\
      0911533216997087343275805250957847274808679826347153522768402901408685633\
      172839017230519511285760000000000000000000000*mncx^4*ep^4
      -327812663385277533223750773646571585147341718313113544662986222340095344\
      002497440012987768655756693623962084307858857038590544119470117/
      4070894255200769687350829436967933183493226915141081187996065993149146265\
      9316318193938817520740948424427875219048446881723842813142783120000939920\
      67084716985383225675721579050188886341123571712000000000000000000000000*
      mncx^5*ep^5
      -754239098923343199993232951863667106988282601131294209732151012403227822\
      3042556841062986256905077948076165095839764556078501268151640383529445715\
      19848334340081/
      7971282885438836981424685703322245435272360354552061938974578319367501707\
      4780950435426212079396484813299520143150886009881096788956390866012624994\
      7055181567036114711580007867234557066887683082203673912433199462481920000\
      0000000000000000000000*mncx^6*ep^6
      -811457062994856173466476815506772454997034743851872884450456781183740822\
      2646402489810219336255186823692219847789214946341067413306106364517479784\
      022933828194003667276685881971765287935049/
      7759244644932240845038200342884199681017235288672401772398315121989327161\
      9288614929681903757863720741127805203048238815003565360841149243389140116\
      9678880723334654141993595381469896385880485512264274916800582352707870937\
      02139816032711347273728000000000000000000000000000*mncx^7*ep^7
      -694753818302624767446888984803040359433435569119476698779918520971871730\
      5813901200123711802998940886340255014808199403862947964828894832056561183\
      511875888554564204712001840056518501391426136949415638003952642124661/
      6254657720015147661523747364897891155002039295346074706118812769197178912\
      9477006365713292035794127870053227416017078063647886249877591101864084181\
      5285914538299974737298087112073745359571172635680152024696533144027005711\
      6184624061138757732482370290253675639642626457600000000000000000000000000\
      0000*mncx^8*ep^8
      ;
*--#] mncPO-neg : mncPO negative values
*--#[ mncPO-pos : mncPO positive values
*
Fill mncPO(1)=
      +1
      ;
Fill mncPO(2)=
      +1
      +mncx*ep
      ;
Fill mncPO(3)=
      +2
      +3*mncx*ep
      +mncx^2*ep^2
      ;
Fill mncPO(4)=
      +6
      +11*mncx*ep
      +6*mncx^2*ep^2
      +mncx^3*ep^3
      ;
Fill mncPO(5)=
      +24
      +50*mncx*ep
      +35*mncx^2*ep^2
      +10*mncx^3*ep^3
      +mncx^4*ep^4
      ;
Fill mncPO(6)=
      +120
      +274*mncx*ep
      +225*mncx^2*ep^2
      +85*mncx^3*ep^3
      +15*mncx^4*ep^4
      +mncx^5*ep^5
      ;
Fill mncPO(7)=
      +720
      +1764*mncx*ep
      +1624*mncx^2*ep^2
      +735*mncx^3*ep^3
      +175*mncx^4*ep^4
      +21*mncx^5*ep^5
      +mncx^6*ep^6
      ;
Fill mncPO(8)=
      +5040
      +13068*mncx*ep
      +13132*mncx^2*ep^2
      +6769*mncx^3*ep^3
      +1960*mncx^4*ep^4
      +322*mncx^5*ep^5
      +28*mncx^6*ep^6
      +mncx^7*ep^7
      ;
Fill mncPO(9)=
      +40320
      +109584*mncx*ep
      +118124*mncx^2*ep^2
      +67284*mncx^3*ep^3
      +22449*mncx^4*ep^4
      +4536*mncx^5*ep^5
      +546*mncx^6*ep^6
      +36*mncx^7*ep^7
      +mncx^8*ep^8
      ;
Fill mncPO(10)=
      +362880
      +1026576*mncx*ep
      +1172700*mncx^2*ep^2
      +723680*mncx^3*ep^3
      +269325*mncx^4*ep^4
      +63273*mncx^5*ep^5
      +9450*mncx^6*ep^6
      +870*mncx^7*ep^7
      +45*mncx^8*ep^8
      ;
Fill mncPO(11)=
      +3628800
      +10628640*mncx*ep
      +12753576*mncx^2*ep^2
      +8409500*mncx^3*ep^3
      +3416930*mncx^4*ep^4
      +902055*mncx^5*ep^5
      +157773*mncx^6*ep^6
      +18150*mncx^7*ep^7
      +1320*mncx^8*ep^8
      ;
Fill mncPO(12)=
      +39916800
      +120543840*mncx*ep
      +150917976*mncx^2*ep^2
      +105258076*mncx^3*ep^3
      +45995730*mncx^4*ep^4
      +13339535*mncx^5*ep^5
      +2637558*mncx^6*ep^6
      +357423*mncx^7*ep^7
      +32670*mncx^8*ep^8
      ;
Fill mncPO(13)=
      +479001600
      +1486442880*mncx*ep
      +1931559552*mncx^2*ep^2
      +1414014888*mncx^3*ep^3
      +657206836*mncx^4*ep^4
      +206070150*mncx^5*ep^5
      +44990231*mncx^6*ep^6
      +6926634*mncx^7*ep^7
      +749463*mncx^8*ep^8
      ;
Fill mncPO(14)=
      +6227020800
      +19802759040*mncx*ep
      +26596717056*mncx^2*ep^2
      +20313753096*mncx^3*ep^3
      +9957703756*mncx^4*ep^4
      +3336118786*mncx^5*ep^5
      +790943153*mncx^6*ep^6
      +135036473*mncx^7*ep^7
      +16669653*mncx^8*ep^8
      ;
Fill mncPO(15)=
      +87178291200
      +283465647360*mncx*ep
      +392156797824*mncx^2*ep^2
      +310989260400*mncx^3*ep^3
      +159721605680*mncx^4*ep^4
      +56663366760*mncx^5*ep^5
      +14409322928*mncx^6*ep^6
      +2681453775*mncx^7*ep^7
      +368411615*mncx^8*ep^8
      ;
Fill mncPO(16)=
      +1307674368000
      +4339163001600*mncx*ep
      +6165817614720*mncx^2*ep^2
      +5056995703824*mncx^3*ep^3
      +2706813345600*mncx^4*ep^4
      +1009672107080*mncx^5*ep^5
      +272803210680*mncx^6*ep^6
      +54631129553*mncx^7*ep^7
      +8207628000*mncx^8*ep^8
      ;
Fill mncPO(17)=
      +20922789888000
      +70734282393600*mncx*ep
      +102992244837120*mncx^2*ep^2
      +87077748875904*mncx^3*ep^3
      +48366009233424*mncx^4*ep^4
      +18861567058880*mncx^5*ep^5
      +5374523477960*mncx^6*ep^6
      +1146901283528*mncx^7*ep^7
      +185953177553*mncx^8*ep^8
      ;
Fill mncPO(18)=
      +355687428096000
      +1223405590579200*mncx*ep
      +1821602444624640*mncx^2*ep^2
      +1583313975727488*mncx^3*ep^3
      +909299905844112*mncx^4*ep^4
      +369012649234384*mncx^5*ep^5
      +110228466184200*mncx^6*ep^6
      +24871845297936*mncx^7*ep^7
      +4308105301929*mncx^8*ep^8
      ;
Fill mncPO(19)=
      +6402373705728000
      +22376988058521600*mncx*ep
      +34012249593822720*mncx^2*ep^2
      +30321254007719424*mncx^3*ep^3
      +17950712280921504*mncx^4*ep^4
      +7551527592063024*mncx^5*ep^5
      +2353125040549984*mncx^6*ep^6
      +557921681547048*mncx^7*ep^7
      +102417740732658*mncx^8*ep^8
      ;
Fill mncPO(20)=
      +121645100408832000
      +431565146817638400*mncx*ep
      +668609730341153280*mncx^2*ep^2
      +610116075740491776*mncx^3*ep^3
      +371384787345228000*mncx^4*ep^4
      +161429736530118960*mncx^5*ep^5
      +52260903362512720*mncx^6*ep^6
      +12953636989943896*mncx^7*ep^7
      +2503858755467550*mncx^8*ep^8
      ;
Fill mncPO(21)=
      +2432902008176640000
      +8752948036761600000*mncx*ep
      +13803759753640704000*mncx^2*ep^2
      +12870931245150988800*mncx^3*ep^3
      +8037811822645051776*mncx^4*ep^4
      +3599979517947607200*mncx^5*ep^5
      +1206647803780373360*mncx^6*ep^6
      +311333643161390640*mncx^7*ep^7
      +63030812099294896*mncx^8*ep^8
      ;
Fill mncPO(22)=
      +51090942171709440000
      +186244810780170240000*mncx*ep
      +298631902863216384000*mncx^2*ep^2
      +284093315901811468800*mncx^3*ep^3
      +181664979520697076096*mncx^4*ep^4
      +83637381699544802976*mncx^5*ep^5
      +28939583397335447760*mncx^6*ep^6
      +7744654310169576800*mncx^7*ep^7
      +1634980697246583456*mncx^8*ep^8
      ;
Fill mncPO(23)=
      +1124000727777607680000
      +4148476779335454720000*mncx*ep
      +6756146673770930688000*mncx^2*ep^2
      +6548684852703068697600*mncx^3*ep^3
      +4280722865357147142912*mncx^4*ep^4
      +2021687376910682741568*mncx^5*ep^5
      +720308216440924653696*mncx^6*ep^6
      +199321978221066137360*mncx^7*ep^7
      +43714229649594412832*mncx^8*ep^8
      ;
Fill mncPO(24)=
      +25852016738884976640000
      +96538966652493066240000*mncx*ep
      +159539850276066860544000*mncx^2*ep^2
      +157375898285941510732800*mncx^3*ep^3
      +105005310755917452984576*mncx^4*ep^4
      +50779532534302850198976*mncx^5*ep^5
      +18588776355051949776576*mncx^6*ep^6
      +5304713715525445812976*mncx^7*ep^7
      +1204749260161737632496*mncx^8*ep^8
      ;
Fill mncPO(25)=
      +620448401733239439360000
      +2342787216398718566400000*mncx*ep
      +3925495373278097719296000*mncx^2*ep^2
      +3936561409138663118131200*mncx^3*ep^3
      +2677503356427960382362624*mncx^4*ep^4
      +1323714091579185857760000*mncx^5*ep^5
      +496910165055549644836800*mncx^6*ep^6
      +145901905527662649288000*mncx^7*ep^7
      +34218695959407148992880*mncx^8*ep^8
      ;
Fill mncPO(26)=
      +15511210043330985984000000
      +59190128811701203599360000*mncx*ep
      +100480171548351161548800000*mncx^2*ep^2
      +102339530601744675672576000*mncx^3*ep^3
      +70874145319837672677196800*mncx^4*ep^4
      +35770355645907606826362624*mncx^5*ep^5
      +13746468217967926978680000*mncx^6*ep^6
      +4144457803247115877036800*mncx^7*ep^7
      +1001369304512841374110000*mncx^8*ep^8
      ;
Fill mncPO(27)=
      +403291461126605635584000000
      +1554454559147562279567360000*mncx*ep
      +2671674589068831403868160000*mncx^2*ep^2
      +2761307967193712729035776000*mncx^3*ep^3
      +1945067308917524165279692800*mncx^4*ep^4
      +1000903392113435450162625024*mncx^5*ep^5
      +393178529313073708272042624*mncx^6*ep^6
      +121502371102392939781636800*mncx^7*ep^7
      +30180059720580991603896800*mncx^8*ep^8
      ;
Fill mncPO(28)=
      +10888869450418352160768000000
      +42373564558110787183902720000*mncx*ep
      +73689668464006010184007680000*mncx^2*ep^2
      +77226989703299075087834112000*mncx^3*ep^3
      +55278125307966865191587481600*mncx^4*ep^4
      +28969458895980281319670568448*mncx^5*ep^5
      +11616723683566425573507775872*mncx^6*ep^6
      +3673742549077683082376236224*mncx^7*ep^7
      +936363983558079713086850400*mncx^8*ep^8
      ;
Fill mncPO(29)=
      +304888344611713860501504000000
      +1197348677077520393310044160000*mncx*ep
      +2105684281550279072336117760000*mncx^2*ep^2
      +2236045380156380112643362816000*mncx^3*ep^3
      +1625014498326371300452283596800*mncx^4*ep^4
      +866422974395414742142363398144*mncx^5*ep^5
      +354237722035840197377888292864*mncx^6*ep^6
      +114481515057741551880042390144*mncx^7*ep^7
      +29891934088703915048808047424*mncx^8*ep^8
      ;
Fill mncPO(30)=
      +8841761993739701954543616000000
      +35027999979859805266492784640000*mncx*ep
      +62262192842035613491057459200000*mncx^2*ep^2
      +66951000306085302338993639424000*mncx^3*ep^3
      +49361465831621147825759587123200*mncx^4*ep^4
      +26751280755793398822580822142976*mncx^5*ep^5
      +11139316913434780466101123891200*mncx^6*ep^6
      +3674201658710345201899117607040*mncx^7*ep^7
      +981347603630155088295475765440*mncx^8*ep^8
      ;
Fill mncPO(31)=
      +265252859812191058636308480000000
      +1059681761389533859949327155200000*mncx*ep
      +1902893785240928209998216560640000*mncx^2*ep^2
      +2070792202024594683660866641920000*mncx^3*ep^3
      +1547794975254719737111781253120000*mncx^4*ep^4
      +851899888505423112503184251412480*mncx^5*ep^5
      +360930788158836812805614538878976*mncx^6*ep^6
      +121365366674745136523074652102400*mncx^7*ep^7
      +33114629767614997850763390570240*mncx^8*ep^8
      ;
Fill mncPO(32)=
      +8222838654177922817725562880000000
      +33115387462887740717065450291200000*mncx*ep
      +60049389103858308369894040535040000*mncx^2*ep^2
      +66097452048003363403485082460160000*mncx^3*ep^3
      +50052436434920906534126085488640000*mncx^4*ep^4
      +27956691518922836224710493046906880*mncx^5*ep^5
      +12040754321429364309477234956660736*mncx^6*ep^6
      +4123257155075936045020928754053376*mncx^7*ep^7
      +1147918889470810069896739759779840*mncx^8*ep^8
      ;
Fill mncPO(33)=
      +263130836933693530167218012160000000
      +1067915237466585625763819972198400000*mncx*ep
      +1954695838786353608553674747412480000*mncx^2*ep^2
      +2175167854639965937281416679260160000*mncx^3*ep^3
      +1667775417965472372495519818096640000*mncx^4*ep^4
      +944666565040451665724861862989660160*mncx^5*ep^5
      +413260829804662494127982011660050432*mncx^6*ep^6
      +143984983283859317750146955086368768*mncx^7*ep^7
      +40856661618141858281716601067008256*mncx^8*ep^8
      ;
Fill mncPO(34)=
      +8683317618811886495518194401280000000
      +35504333673331019180373277094707200000*mncx*ep
      +65572877917416254708035086636810240000*mncx^2*ep^2
      +73735235041905229538840425162997760000*mncx^3*ep^3
      +57211756647500554229633570676449280000*mncx^4*ep^4
      +32841772064300377341415961296755425280*mncx^5*ep^5
      +14582273948594313971948268247771324416*mncx^6*ep^6
      +5164765278172019979882831529510219776*mncx^7*ep^7
      +1492254816682540641046794790297641216*mncx^8*ep^8
      ;
Fill mncPO(35)=
      +295232799039604140847618609643520000000
      +1215830662512066538628209615621324800000*mncx*ep
      +2264982182865483679253566222746255360000*mncx^2*ep^2
      +2572570869342194059028609542178734080000*mncx^3*ep^3
      +2018934961056924073346381828162273280000*mncx^4*ep^4
      +1173832006833713383837776254766133739520*mncx^5*ep^5
      +528639086316507052387657081720980455424*mncx^6*ep^6
      +190184293406442993287964540251118796800*mncx^7*ep^7
      +55901429045378401775473854399630021120*mncx^8*ep^8
      ;
Fill mncPO(36)=
      +10333147966386144929666651337523200000000
      +42849305986961932992834955156389888000000*mncx*ep
      +80490207062803995312503027411740262400000*mncx^2*ep^2
      +92304962609842275745254900199001948160000*mncx^3*ep^3
      +73235294506334536626151973527858298880000*mncx^4*ep^4
      +43103055200236892507668550744976954163200*mncx^5*ep^5
      +19676200027911460217405774115000449679360*mncx^6*ep^6
      +7185089355542011817466415990510138343424*mncx^7*ep^7
      +2146734309994687055429549444238169536000*mncx^8*ep^8
      ;
Fill mncPO(37)=
      +371993326789901217467999448150835200000000
      +1552908163497015732671725036967559168000000*mncx*ep
      +2940496760247905764242943941979039334400000*mncx^2*ep^2
      +3403468861017125922141679434575810396160000*mncx^3*ep^3
      +2728775564837885594286725947201900707840000*mncx^4*ep^4
      +1624945281714862666902219800347028648755200*mncx^5*ep^5
      +751446256205049460334276418884993142620160*mncx^6*ep^6
      +278339416827423885646196749773365430042624*mncx^7*ep^7
      +84467524515350745812930195983084241639424*mncx^8*ep^8
      ;
Fill mncPO(38)=
      +13763753091226345046315979581580902400000000
      +57829595376179483326321825815950524416000000*mncx*ep
      +110351288292669529009660650890192014540800000*mncx^2*ep^2
      +128868844617881564883485083021284023992320000*mncx^3*ep^3
      +104368164760018892910750539481046136586240000*mncx^4*ep^4
      +62851750988287804269668858560041960711782400*mncx^5*ep^5
      +29428456761301692699270447299091774925701120*mncx^6*ep^6
      +11050004678819733229243556160499514054197248*mncx^7*ep^7
      +3403637823895401480724614001147482370701312*mncx^8*ep^8
      ;
Fill mncPO(39)=
      +523022617466601111760007224100074291200000000
      +2211288377386046711446545360587700830208000000*mncx*ep
      +4251178550497621585693426559643247076966400000*mncx^2*ep^2
      +5007367383772168994582093805698984926248960000*mncx^3*ep^3
      +4094859105498599495492005583301037214269440000*mncx^4*ep^4
      +2492734702314955455158167164762640643633971200*mncx^5*ep^5
      +1181133107917752126841945855925529407888424960*mncx^6*ep^6
      +449328634556451555410525581398073308985196544*mncx^7*ep^7
      +140388241986844989496778888204103844140847104*mncx^8*ep^8
      ;
Fill mncPO(40)=
      +20397882081197443358640281739902897356800000000
      +86763269335522422858175276287020406669312000000*mncx*ep
      +168007251846793288553490181186674336831897600000*mncx^2*ep^2
      +199538506517612212374395084981903659200675840000*mncx^3*ep^3
      +164706872498217549318770311554439436282757120000*mncx^4*ep^4
      +101311512495781862246660525009044022315994316800*mncx^5*ep^5
      +48556925911107288401994055545858287551282544640*mncx^6*ep^6
      +18704949855619362787852443530450388458311090176*mncx^7*ep^7
      +5924470072043406145784902221358123230478233600*mncx^8*ep^8
      ;
Fill mncPO(41)=
      +815915283247897734345611269596115894272000000000
      +3490928655502094357685651333220719164129280000000*mncx*ep
      +6807053343207253964997782523753993879945216000000*mncx^2*ep^2
      +8149547512551281783529293580462820704858931200000*mncx^3*ep^3
      +6787813406446314185125207547159481110510960640000*mncx^4*ep^4
      +4217167372329492039185191311916200328922529792000*mncx^5*ep^5
      +2043588548940073398326422746843375524367296102400*mncx^6*ep^6
      +796754920135881799916091796763873825883726151680*mncx^7*ep^7
      +255683752737355608619248532384775317677440434176*mncx^8*ep^8
      ;
Fill mncPO(42)=
      +33452526613163807108170062053440751665152000000000
      +143943990158833766399457315931645601623572480000000*mncx*ep
      +282580115726999506922594734807134468241883136000000*mncx^2*ep^2
      +340938501357809807089698819322729642779161395200000*mncx^3*ep^3
      +286449897176850163373662803014001546235808317440000*mncx^4*ep^4
      +179691675671955487791718051335723694596334682112000*mncx^5*ep^5
      +88004297878872501370568523932494596827981669990400*mncx^6*ep^6
      +34710540274511227194886186414162202385600068321280*mncx^7*ep^7
      +11279788782367461753305281624539661850658783952896*mncx^8*ep^8
      ;
Fill mncPO(43)=
      +1405006117752879898543142606244511569936384000000000
      +6079100113284181995885377331182556019855196160000000*mncx*ep
      +12012308850692813057148436177831293267782664192000000*mncx^2*ep^2
      +14601997172755011404689945146361779464966661734400000*mncx^3*ep^3
      +12371834182785516668783536545910794584683110727680000*mncx^4*ep^4
      +7833500275398980650625820959114396719281864966144000*mncx^5*ep^5
      +3875872186584600545355596056500496761371564821708800*mncx^6*ep^6
      +1545846989408344043555788353327307097023184539484160*mncx^7*ep^7
      +508461669133944620833708014644828000113268994342912*mncx^8*ep^8
      ;
Fill mncPO(44)=
      +60415263063373835637355132068513997507264512000000000
      +262806310988972705721614367847094420423709818880000000*mncx*ep
      +522608380693075143453268132977928166534509756416000000*mncx^2*ep^2
      +639898187279158303458816077471387810261349118771200000*mncx^3*ep^3
      +546590867032532228162382016620525946606340423024640000*mncx^4*ep^4
      +349212346024941684645693837787829853513803304271872000*mncx^5*ep^5
      +174496004298536804100916451388635757458259152299622400*mncx^6*ep^6
      +70347292731143394418254495249574701933368500019527680*mncx^7*ep^7
      +23409698762167962739405232983054911101893751296229376*mncx^8*ep^8
      ;
Fill mncPO(45)=
      +2658271574788448768043625811014615890319638528000000000
      +11623892946578172887388387317340668496150496542720000000*mncx*ep
      +23257575061484279017665412218875933747942139101184000000*mncx^2*ep^2
      +28678128620976040495641175541718991818033870982348800000*mncx^3*ep^3
      +24689896336710576342603624808774529460940327731855360000*mncx^4*ep^4
      +15911934092129966352572910879285039501213685810987008000*mncx^5*ep^5
      +8027036535160561065086017698887803181677206005455257600*mncx^6*ep^6
      +3269776884468846158504114242369922642526473153158840320*mncx^7*ep^7
      +1100374038266533754952084746503990790416693557053620224*mncx^8*ep^8
      ;
Fill mncPO(46)=
      +119622220865480194561963161495657715064383733760000000000
      +525733454170806228700521055091344698217091982950400000000*mncx*ep
      +1058214770713370728682331937166757687153546756096000000000*mncx^2*ep^2
      +1313773363005406101321518311596230565559466333306880000000*mncx^3*ep^3
      +1139723463772951975912804291936572817560348618915840000000*mncx^4*ep^4
      +740726930482559062208384614376601307015556189226270720000*mncx^5*ep^5
      +377128578174355214281443707329236182676687956056473600000*mncx^6*ep^6
      +155166996336258638197771158605534322095368497897603072000*mncx^7*ep^7
      +52786608606462865131347927835049508211277683220571750400*mncx^8*ep^8
      ;
Fill mncPO(47)=
      +5502622159812088949850305428800254892961651752960000000000
      +24303361112722566714785931695697513833050614949478400000000*mncx*ep
      +49203612906985859748087790164762198307280242763366400000000*mncx^2*ep^2
      +61491789468962051389472174270593363702888998088212480000000*mncx^3*ep^3
      +53741052696561196993310515740678580173335502803435520000000*mncx^4*ep^4
      +35213162265970668837498496553260232940275933323324293120000*mncx^5*ep^5
      +18088641526502898919154795151521465710143202167824056320000*mncx^6*ep^6
      +7514810409642252571378917003183814999063638859346214912000*mncx^7*ep^7
      +2583350992233550434239775839017811699814141926043903590400*mncx^8*ep^8
      ;
Fill mncPO(48)=
      +258623241511168180642964355153611979969197632389120000000000
      +1147760594457772724544789095126583405046340554378444800000000*mncx*ep
      +2336873167741057974874912069439520834275222024827699200000000*mncx^2*
      ep^2
      +2939317717948202275053279980882650292343063152909352960000000*mncx^3*
      ep^3
      +2587321266207338310075066414082486631849657629849681920000000*mncx^4*
      ep^4
      +1708759679197182632355739853743909528366304368999677296640000*mncx^5*
      ep^5
      +885379314011606918037773868674769121317006435211054940160000*mncx^6*ep^6
      +371284730779688769773963894301160770666134228557096157184000*mncx^7*ep^7
      +128932307044619122980648381437020964890328309383409683660800*mncx^8*ep^8
      ;
Fill mncPO(49)=
      +12413915592536072670862289047373375038521486354677760000000000
      +55351131775484258958792840921229615422193544242554470400000000*mncx*ep
      +113317672646028555518540568428223583450256997746108006400000000*mncx^2*
      ep^2
      +143424123629254767177432351151806734866742253364476641280000000*mncx^3*
      ep^3
      +127130738495900441158656467856842008621126629385694085120000000*mncx^4*
      ep^4
      +84607785867672104663150579393790143993432267341834192158720000*mncx^5*
      ep^5
      +44206966751754314698168885550132827351582613259130314424320000*mncx^6*
      ep^6
      +18707046391436667867188040795130486113291449405951670484992000*mncx^7*
      ep^7
      +6560035468921406672845086203278167085401893078960760972902400*mncx^8*
      ep^8
      ;
Fill mncPO(50)=
      +608281864034267560872252163321295376887552831379210240000000000
      +2724619372591264761651711494187624530726005154239846809600000000*mncx*ep
      +5607917091430883479367280693904185204484786433801846784000000000*mncx^2*
      ep^2
      +7141099730479512147212725774866753591920627412605463429120000000*mncx^3*
      ep^3
      +6372830309928376383951599276137065157301947093263486812160000000*mncx^4*
      ep^4
      +4272912246011833569653034858152559064299307729135569500897280000*mncx^5*
      ep^5
      +2250749156703633524873425971350298684220980317039219598950400000*mncx^6*
      ep^6
      +960852239932151040190382884511526646902863634150762168188928000*mncx^7*
      ep^7
      +340148784368585594836597264755760673297984210275028958157209600*mncx^8*
      ep^8
      ;
Fill mncPO(51)=
      +30414093201713378043612608166064768844377641568960512000000000000
      +136839250493597505643457826872702521913187810543371550720000000000*mncx*
      ep
      +283120473944135438730015746189396884754965326844332186009600000000*
      mncx^2*ep^2
      +362662903615406490840003569437241864800516157064075018240000000000*
      mncx^3*ep^3
      +325782615226898331344792689581720011457017982075779804037120000000*
      mncx^4*ep^4
      +220018442610520054866603342183765018372267333550041961857024000000*
      mncx^5*ep^5
      +116810370081193509813324333425667493275348323581096549448417280000*
      mncx^6*ep^6
      +50293361153311185534392570196926631029364162024577328008396800000*mncx^7
      *ep^7
      +17968291458361430782020246122299560311802074147902210076049408000*mncx^8
      *ep^8
      ;
Fill mncPO(52)=
      +1551118753287382280224243016469303211063259720016986112000000000000
      +7009215868375186165859961778673893386416955979280909598720000000000*mncx
      *ep
      +14575983421644504880874260882531943644416419479604313037209600000000*
      mncx^2*ep^2
      +18778928558329866471570197787488731989581289337112158116249600000000*
      mncx^3*ep^3
      +16977576280187221389424430738104962449108433242928845024133120000000*
      mncx^4*ep^4
      +11546723188363421129541563140953735948442651993127919858745344000000*
      mncx^5*ep^5
      +6177347316751389055346144346892807175415031836185965983726305280000*
      mncx^6*ep^6
      +2681771788900063972067345413468925675772920586834540277876654080000*
      mncx^7*ep^7
      +966676225529744155417425122434204206931269943567590041886916608000*
      mncx^8*ep^8
      ;
Fill mncPO(53)=
      +80658175170943878571660636856403766975289505440883277824000000000000
      +366030343908797062904942255507511759304744970642624285245440000000000*
      mncx*ep
      +764960353793889439971321527670334962896070768918705187533619200000000*
      mncx^2*ep^2
      +991080268454797561402524545831946007102643465009436535082188800000000*
      mncx^3*ep^3
      +901612895128065378721640596168946779343219817969412099371171840000000*
      mncx^4*ep^4
      +617407182075085120125585714067699231768126336885580677678891008000000*
      mncx^5*ep^5
      +332768783659435652007541069179379709070024307474798151012513218560000*
      mncx^6*ep^6
      +145629480339554715602848105847276942315606902351582060433312317440000*
      mncx^7*ep^7
      +52948935516446760053773451780047544436198957652349222455996317696000*
      mncx^8*ep^8
      ;
Fill mncPO(54)=
      +4274883284060025564298013753389399649690343788366813724672000000000000
      +19480266402337188212533600178754527010126772949499970395832320000000000*
      mncx*ep
      +40908929094984937381384983222035264792796495723333999224527257600000000*
      mncx^2*ep^2
      +53292214581898160194305122456763473339336174414418841546889625600000000*
      mncx^3*ep^3
      +48776563710242262633649476142786125312293293817388277801754296320000000*
      mncx^4*ep^4
      +33624193545107576745377683441757006063053915672905188016352395264000000*
      mncx^5*ep^5
      +18254152716025174676525262380574823812479414633049882681342091591680000*
      mncx^6*ep^6
      +8051131241655835578958490679085057651797190132108647353978066042880000*
      mncx^7*ep^7
      +2951923062711232998452841050189796797434151657926090850601117155328000*
      mncx^8*ep^8
      ;
Fill mncPO(55)=
      +230843697339241380472092742683027581083278564571807941132288000000000000
      +1056209269010268189041112423406133858196536083061365215099617280000000000
      *mncx*ep
      +2228562437531523806807322694168658825821137542009535928520304230400000000
      *mncx^2*ep^2
      +2918688516517485587873861595887262825116949914101951442756567040000000000
      *mncx^3*ep^3
      +2687226654934980342411376834167214240203174040553385842841621626880000000
      *mncx^4*ep^4
      +1864483015146051406884044381997664452717204740154268430684783640576000000
      *mncx^5*ep^5
      +1019348440210467009277741851992797491936942305857598852808825341214720000
      *mncx^6*ep^6
      +453015239765440295940283759051167937009527681766916839796157657907200000
      *mncx^7*ep^7
      +167454976628062417495411907389334084713241379660117553286438392430592000
      *mncx^8*ep^8
      ;
Fill mncPO(56)=
      +126964033536582759259651008475665169595803210514494367622758400000000000\
      00
      +583223534929039917777332760300203897818927631329468947716112384000000000\
      00*mncx*ep
      +123627143333244077563443860602682369278359100893585841283716349952000000\
      000*mncx^2*ep^2
      +162756430845993231139869710467968114207253382817616865280131491430400000\
      000*mncx^3*ep^3
      +150716154537941404420499587475084046036291522144538172799045756518400000\
      000*mncx^4*ep^4
      +105233792487967807721033817844038759139649434749038149530504721858560000\
      000*mncx^5*ep^5
      +579286472267217369171598462416015265092490315623222053351701774073856000\
      00*mncx^6*ep^6
      +259351866273096832859933485998070340274609648030380250415974965261107200\
      00*mncx^7*ep^7
      +9663038954308873258187938665464542596237803563073382270550269241589760000
      *mncx^8*ep^8
      ;
Fill mncPO(57)=
      +710998587804863451854045647463724949736497978881168458687447040000000000\
      000
      +327874819895628181547902855852870834474557505649647554397250519040000000\
      0000*mncx*ep
      +698144238015457233533058946978023306937000241317375400665972683571200000\
      0000*mncx^2*ep^2
      +923798727070886502139614764680889676488454853868013029697107987005440000\
      0000*mncx^3*ep^3
      +860286108497071187868784660907267469223957862291175454202669385646080000\
      0000*mncx^4*ep^4
      +604380853386413863679839338674125455785665986809067454650731018059776000\
      0000*mncx^5*ep^5
      +334923803718438507508198520737372424365759520223908164830003465667215360\
      0000*mncx^6*ep^6
      +151029909835606400093278736783079543204706306053245160766462998286958592\
      0000*mncx^7*ep^7
      +567065368068606585744517913865821419416777964335147432192412574055137280\
      000*mncx^8*ep^8
      ;
Fill mncPO(58)=
      +405269195048772167556806019054323221349803847962266021451844812800000000\
      00000
      +187599645928312926934158673483600100600234276199180274465120242892800000\
      000000*mncx*ep
      +401220963867766904929322628336001993298835712607400453923576934825984000\
      000000*mncx^2*ep^2
      +533546716810559878554911005337887348667789269117941180934011279428812800\
      000000*mncx^3*ep^3
      +499601069114039442106603404363951354222540530044650139192492629688320000\
      000000*mncx^4*ep^4
      +353099947515226614176196269653324184490069191104080203692943374150533120\
      000000*mncx^5*ep^5
      +196950376653374087916471550207043536446339586395718328499609285610910515\
      200000*mncx^6*ep^6
      +894362866434800331282508651737290638703401896525888232851839436802385510\
      40000*mncx^7*ep^7
      +338330250782666393883703084581826163388034070276358552426321467040124108\
      80000*mncx^8*ep^8
      ;
Fill mncPO(59)=
      +235056133128287857182947491051507468382886231818114292442069991424000000\
      0000000
      +109213063833470269789368836639542381569485684043486825211221585690624000\
      00000000*mncx*ep
      +234584155502587934128348711169717157119327056074284066020325824627998720\
      00000000*mncx^2*ep^2
      +313469305388802398611141609379334682160306133214479889480962311416971264\
      00000000*mncx^3*ep^3
      +295104087254248475207379084584470658935751400117076492540985838013513728\
      00000000*mncx^4*ep^4
      +209793980249971830643259870442567540546465536140813019533832083304192409\
      60000000*mncx^5*ep^5
      +117762217934109237133315461816618492983777652020557432566702819395833430\
      01600000*mncx^6*ep^6
      +538425500197521600935502173028332924092607058624587007904027801906474647\
      5520000*mncx^7*ep^7
      +205175174118294511765372875574832081152093779725546842735784845251295838\
      2080000*mncx^8*ep^8
      ;
Fill mncPO(60)=
      +138683118545689835737939019720389406345902876772687432540821294940160000\
      000000000
      +646707637948757470329105611083815125943794398174753411670628055488921600\
      000000000*mncx*ep
      +139496782384861583833619427956528546516097819924262467204104452387425484\
      8000000000*mncx^2*ep^2
      +187292731734419294521857036645504634045773889157285975453971021982293032\
      9600000000*mncx^3*ep^3
      +177246104533894624358465075998631035593696387401219929493991267542142812\
      1600000000*mncx^4*ep^4
      +126729489220025864831597114406959555511772180324250446450370787529608658\
      9440000000*mncx^5*ep^5
      +715776483836241682150887211762305862658934700535370154096929842765836478\
      054400000*mncx^6*ep^6
      +329447266909948668265277828268378274513015929790562077920046685064403385\
      057280000*mncx^7*ep^7
      +126437607731768977950925018319434257120661400624318507293153336717329291\
      018240000*mncx^8*ep^8
      ;
Fill mncPO(61)=
      +832098711274139014427634118322336438075417260636124595244927769640960000\
      0000000000
      +389411413954711380554842756847492969629735667672578921327785046242754560\
      00000000000*mncx*ep
      +843447770688657077705007623850009430356024863527322337341332994879442124\
      80000000000*mncx^2*ep^2
      +113770606864500192551450416266868065892625311693614209944423657713250074\
      624000000000*mncx^3*ep^3
      +108220590037680967560297615965633667696675571332304817450934470745108617\
      625600000000*mncx^4*ep^4
      +778101545773544651425429194041620436630002720685624671651623851931866234\
      88000000000*mncx^5*ep^5
      +442138839223747595773692038498079473146538038353647137103194984412462752\
      72704000000*mncx^6*ep^6
      +204826124984331617780675569078650023334398904879690948292997309466300395\
      81491200000*mncx^7*ep^7
      +791570373081608734532077892743443370175269996724967251550924688810416084\
      6151680000*mncx^8*ep^8
      ;
Fill mncPO(62)=
      +507580213877224798800856812176625227226004528988036003099405939480985600\
      000000000000
      +238373061223648081152881715795293047912214174540909266605193805977721241\
      6000000000000*mncx*ep
      +518397254259627931205603078116980682213472523428392414991490977338887241\
      7280000000000*mncx^2*ep^2
      +702435179580337745340897615466395296248574649966319904034397641999619876\
      4544000000000*mncx^3*ep^3
      +671522659916303921372960499017052179538983516296420807445142637316487574\
      9785600000000*mncx^4*ep^4
      +485464001925630334125541569961951833113969216751461531452583996752949265\
      0393600000000*mncx^5*ep^5
      +277485707384221479936206435424244682985688230602581000349465179010920941\
      5122944000000*mncx^6*ep^6
      +129365324632679762803949017522957308965448712360147949829760308618567868\
      9743667200000*mncx^7*ep^7
      +503340540078214489842635071481365458140354588490199118275363791120983851\
      196743680000*mncx^8*ep^8
      ;
*--#] mncPO-pos : mncPO positivevalues
*--#[ mncPOINV-pos : mncPOINV positive values
*
Fill mncPOINV(1)=
      +1
      ;
Fill mncPOINV(2)=
      +1
      -mncx*ep
      +mncx^2*ep^2
      -mncx^3*ep^3
      +mncx^4*ep^4
      -mncx^5*ep^5
      +mncx^6*ep^6
      -mncx^7*ep^7
      +mncx^8*ep^8
      ;
Fill mncPOINV(3)=
      +1/2
      -3/4*mncx*ep
      +7/8*mncx^2*ep^2
      -15/16*mncx^3*ep^3
      +31/32*mncx^4*ep^4
      -63/64*mncx^5*ep^5
      +127/128*mncx^6*ep^6
      -255/256*mncx^7*ep^7
      +511/512*mncx^8*ep^8
      ;
Fill mncPOINV(4)=
      +1/6
      -11/36*mncx*ep
      +85/216*mncx^2*ep^2
      -575/1296*mncx^3*ep^3
      +3661/7776*mncx^4*ep^4
      -22631/46656*mncx^5*ep^5
      +137845/279936*mncx^6*ep^6
      -833375/1679616*mncx^7*ep^7
      +5019421/10077696*mncx^8*ep^8
      ;
Fill mncPOINV(5)=
      +1/24
      -25/288*mncx*ep
      +415/3456*mncx^2*ep^2
      -5845/41472*mncx^3*ep^3
      +76111/497664*mncx^4*ep^4
      -952525/5971968*mncx^5*ep^5
      +11679655/71663616*mncx^6*ep^6
      -141710965/859963392*mncx^7*ep^7
      +1710104671/10319560704*mncx^8*ep^8
      ;
Fill mncPOINV(6)=
      +1/120
      -137/7200*mncx*ep
      +12019/432000*mncx^2*ep^2
      -874853/25920000*mncx^3*ep^3
      +58067611/1555200000*mncx^4*ep^4
      -3673451957/93312000000*mncx^5*ep^5
      +226576032859/5598720000000*mncx^6*ep^6
      -13790081534933/335923200000000*mncx^7*ep^7
      +833490615528571/20155392000000000*mncx^8*ep^8
      ;
Fill mncPOINV(7)=
      +1/720
      -49/14400*mncx*ep
      +13489/2592000*mncx^2*ep^2
      -336581/51840000*mncx^3*ep^3
      +68165041/9331200000*mncx^4*ep^4
      -483900263/62208000000*mncx^5*ep^5
      +270127056529/33592320000000*mncx^6*ep^6
      -5497117366741/671846400000000*mncx^7*ep^7
      +998404136530801/120932352000000000*mncx^8*ep^8
      ;
Fill mncPOINV(8)=
      +1/5040
      -121/235200*mncx*ep
      +726301/889056000*mncx^2*ep^2
      -129973303/124467840000*mncx^3*ep^3
      +187059457981/156829478400000*mncx^4*ep^4
      -28139924320343/21956126976000000*mncx^5*ep^5
      +36845364451242061/27664719989760000000*mncx^6*ep^6
      -1754673272194274861/1291020266188800000000*mncx^7*ep^7
      +6703124731661806560541/4880056606193664000000000*mncx^8*ep^8
      ;
Fill mncPOINV(9)=
      +1/40320
      -761/11289600*mncx*ep
      +3144919/28449792000*mncx^2*ep^2
      -1149858589/7965941760000*mncx^3*ep^3
      +3355156783231/20074173235200000*mncx^4*ep^4
      -339302688554687/1873589501952000000*mncx^5*ep^5
      +2678744365563671119/14164336634757120000000*mncx^6*ep^6
      -767550589317330035789/3966014257731993600000000*mncx^7*ep^7
      +1957778366940381440772031/9994355929484623872000000000*mncx^8*ep^8
      ;
Fill mncPOINV(10)=
      +1/362880
      -7129/914457600*mncx*ep
      +30300391/2304433152000*mncx^2*ep^2
      -101622655189/5807171543040000*mncx^3*ep^3
      +300222042894631/14634072288460800000*mncx^4*ep^4
      -826117151879597149/36877862166921216000000*mncx^5*ep^5
      +2184117445022203447471/92932212660641464320000000*mncx^6*ep^6
      -5647452301117219330103509/234189175904816490086400000000*mncx^7*ep^7
      +14426270509808664045334277911/590156723280137555017728000000000*mncx^8*
      ep^8
      ;
Fill mncPOINV(11)=
      +1/3628800
      -7381/9144576000*mncx*ep
      +32160403/23044331520000*mncx^2*ep^2
      -21945415349/11614343086080000*mncx^3*ep^3
      +327873266234371/146340722884608000000*mncx^4*ep^4
      -908741214970658641/368778621669212160000000*mncx^5*ep^5
      +2413120231194809425003/929322126606414643200000000*mncx^6*ep^6
      -1251111719875662261040853/468378351809632980172800000000*mncx^7*ep^7
      +16002671276851998494245752691/5901567232801375550177280000000000*mncx^8*
      ep^8
      ;
Fill mncPOINV(12)=
      +1/39916800
      -83711/1106493696000*mncx*ep
      +4102360483/30672005253120000*mncx^2*ep^2
      -31276937512951/170045597123297280000*mncx^3*ep^3
      +5194481903600608411/23568319761289003008000000*mncx^4*ep^4
      -159443775809313077987411/653313823782931163381760000000*mncx^5*ep^5
      +4676788004935176736296015403/18109859195262851848942387200000000*mncx^6*
      ep^6
      -1069509167192338331769717286399/4016042375141490026021463785472000000*
      mncx^7*ep^7
      +3767210095582422174347665431061183771/1391558682986526294016437201666048\
      0000000000*mncx^8*ep^8
      ;
Fill mncPOINV(13)=
      +1/479001600
      -86021/13277924352000*mncx*ep
      +4301068993/368064063037440000*mncx^2*ep^2
      -33264031387717/2040547165479567360000*mncx^3*ep^3
      +5578681466128739761/282819837135468036096000000*mncx^4*ep^4
      -172330529996070466835321/7839765885395173960581120000000*mncx^5*ep^5
      +5074871529226099514685606913/217318310343154222187308646400000000*mncx^6
      *ep^6
      -29082319826310916270027682553781/1204812712542447007806439135641600000000
      *mncx^7*ep^7
      +4103110889576313257266485164557354321/1669870419583831552819724641999257\
      60000000000*mncx^8*ep^8
      ;
Fill mncPOINV(14)=
      +1/6227020800
      -1145993/2243969215488000*mncx*ep
      +758647585777/808636746493255680000*mncx^2*ep^2
      -77287019174361937/58280067593261923368960000*mncx^3*ep^3
      +170044702211669500782121/105009025789539333526192128000000*mncx^4*ep^4
      -68698758619138470404367234173/37841052533518394229498595246080000000*
      mncx^5*ep^5
      +26399765160034818571989179349406177/136364016909786885445421137828773888\
      00000000*mncx^6*ep^6
      -394246547613588122203703327901927667613/19656054853444320815644784491190\
      7833118720000000*mncx^7*ep^7
      +3620246461793253966559014838656210159777604441/1770813981746798862281438\
      634811377668566548480000000000*mncx^8*ep^8
      ;
Fill mncPOINV(15)=
      +1/87178291200
      -1171733/31415569016832000*mncx*ep
      +112686856171/1617273492986511360000*mncx^2*ep^2
      -81347802723340093/815920946305666927165440000*mncx^3*ep^3
      +180514164422163370751221/1470126361053550669366689792000000*mncx^4*ep^4
      -10477884744480707938214808959/75682105067036788458997190492160000000*
      mncx^5*ep^5
      +28287670433295352528296723627638797/190909623673701639623589592960283443\
      200000000*mncx^6*ep^6
      -2116857665458545085834188172744722865021/1375923839741102457095134914383\
      3548318310400000000*mncx^7*ep^7
      +556098006191109817015124979498350856072258163/35416279634935977245628772\
      69622755337133096960000000000*mncx^8*ep^8
      ;
Fill mncPOINV(16)=
      +1/1307674368000
      -1195757/471233535252480000*mncx*ep
      +476696711/99016744468561920000*mncx^2*ep^2
      -17055178843123409/2447762838917000781496320000*mncx^3*ep^3
      +190757504835343290196621/22051895415803260040500346880000000*mncx^4*ep^4
      -11132564501075606110169612231/1135231576005551826884957857382400000000*
      mncx^5*ep^5
      +6031962308062447011326345395460321/5727288710211049188707687788808503296\
      00000000*mncx^6*ep^6
      -90470781117897492513371691781010464669/825554303844661474257080948630012\
      8990986240000000*mncx^7*ep^7
      +594909971290687841303361435272404345415259163/53124419452403965868443159\
      044341330056996454400000000000*mncx^8*ep^8
      ;
Fill mncPOINV(17)=
      +1/20922789888000
      -2436559/15079473128079360000*mncx*ep
      +96568406789/310516510653410181120000*mncx^2*ep^2
      -142531324182321979/313313643381376100031528960000*mncx^3*ep^3
      +3212628164810309981747311/5645285226445634570368088801280000000*mncx^4*
      ep^4
      -376915326274973740257971537677/581238566914842535365098422979788800000000
      *mncx^5*ep^5
      +81962999787375055541354912877997039/117294872785122287384733445914798147\
      502080000000*mncx^6*ep^6
      -12318664648175340917083642958087214801983/169073521427386669927850178279\
      42664173539819520000000*mncx^7*ep^7
      +162205778526792127223839682734146915832651421353/21759762207704664419714\
      3179445622087913457477222400000000000*mncx^8*ep^8
      ;
Fill mncPOINV(18)=
      +1/355687428096000
      -42142223/4357967734014935040000*mncx*ep
      +28776062218037/1525567616840204219842560000*mncx^2*ep^2
      -729291672694244960123/26168268808855913250733330268160000*mncx^3*ep^3
      +281462294311726805677013376031/80154977457654193641791234611190169600000\
      00*mncx^4*ep^4
      -564145222241140781833967990767603949/14029686014368128821510003376465837\
      765427200000000*mncx^5*ep^5
      +10461164856476842638038161189836649078663547/240653112241754467740880813\
      276977714544308859699200000000*mncx^6*ep^6
      -26782036671393404321410898113684325645353188261563/589707937586582751966\
      705907132943486649672556632185241600000000*mncx^7*ep^7
      +171492161274804974580747141595489718159708281406811314239/
      3686348561844812580079873869189048726973767390444451685990400000000000*
      mncx^8*ep^8
      ;
Fill mncPOINV(19)=
      +1/6402373705728000
      -14274301/26147806404089610240000*mncx*ep
      +29608882035581/27460217103123675957166080000*mncx^2*ep^2
      -50500501069854396349/31401922570627095900879996321792000*mncx^3*ep^3
      +294352799712312489617077371031/14427895942377754855522422230014230528000\
      0000*mncx^4*ep^4
      -65863120942796227591592510480739821/280593720287362576430200067529316755\
      30854400000000*mncx^5*ep^5
      +88208355135479668752967444674123414750223/346540481628126433546868371118\
      84790894380475796684800000*mncx^6*ep^6
      -9427692750244620614860048373234627931385911017521/3538247625519496511800\
      235442797660919898035339793111449600000000*mncx^7*ep^7
      +1269201292151168840209404323954428168621555418898459852673/
      464479918792446385090064107517820139598694691196000912434790400000000000*
      mncx^8*ep^8
      ;
Fill mncPOINV(20)=
      +1/121645100408832000
      -275295799/9439358111876349296640000*mncx*ep
      +1568274265798307/26907089872903613341457448960000*mncx^2*ep^2
      -1794683268312579709384043/20461649756633468824492910003261276160000*
      mncx^3*ep^3
      +40009517970859535080774906095604951/357248987150256164200042141613160061\
      961502720000000*mncx^4*ep^4
      -170864658958309558725823727346322640908759/13200778773986545574588597183\
      17620008155187930726400000000*mncx^5*ep^5
      +545107754958038941477256969841397265941063458146891/38720342868353865808\
      30089611201274450551405153503756576358400000000*mncx^6*ep^6
      -354896033975706289616875512403413146928912506038418666323/
      2403682064107157175309555961655864945617213379416886568072819769344000000
      *mncx^7*ep^7
      +22720275706071206186110416877319158649139016036279339985751605408593/
      1498819556597114017400036584224457070637031828555468744851658876404105216\
      00000000000*mncx^8*ep^8
      ;
Fill mncPOINV(21)=
      +1/2432902008176640000
      -11167027/7551486489501079437312000*mncx*ep
      +11256448518043769/3766992582206505867804042854400000*mncx^2*ep^2
      -9279131712715653650968723/2046164975663346882449291000326127616000000*
      mncx^3*ep^3
      +41629602590344731254886672725930611/714497974300512328400084283226320123\
      9230054400000000*mncx^4*ep^4
      -7142239112579651595742062778098987074987/1056062301918923645967087774654\
      096006524150344581120000000*mncx^5*ep^5
      +571294651960644279934630828168658674310905345370231/77440685736707731616\
      601792224025489011028103070075131527168000000000*mncx^6*ep^6
      -46578556656033742888365094769498346108764761442576003661731/
      6009205160267892938273889904139662364043033448542216420182049423360000000\
      000*mncx^7*ep^7
      +23882040860899399163256592372965672567684593242065757223642719714453/
      2997639113194228034800073168448914141274063657110937489703317752808210432\
      000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(22)=
      +1/51090942171709440000
      -18858053/264302027132537780305920000*mncx*ep
      +80676574383943103/553747909584356362567194299596800000*mncx^2*ep^2
      -9577241336253249489726083/42969464488930284531435111006848679936000000*
      mncx^3*ep^3
      +6174587158661922297334017385371973/2143493922901536985200252849678960371\
      7690163200000000*mncx^4*ep^4
      -111696754789037742399995916535691943099157/33265962510446094847963264901\
      6040242055107358543052800000000*mncx^5*ep^5
      +597296825451676635924546421568548733116332437242151/16262544004708623639\
      48637636704535269231590164471577762070528000000000*mncx^6*ep^6
      -16261880033898914086434201580921573967825861252692740221617/
      4206443612187525056791722932897763654830123413979551494127434596352000000\
      0000*mncx^7*ep^7
      +175286381776661969124369887448428523037791166712787050328938728221571/
      4406529496395515211156107557619903787672873575953078109863877096628069335\
      04000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(23)=
      +1/1124000727777607680000
      -6364399/1938214865638610388910080000*mncx*ep
      +82494882923667143/12182454010855839976478274591129600000*mncx^2*ep^2
      -9868213987506291289829963/945328218756466259691572442150670958592000000*
      mncx^3*ep^3
      +6398344963543032449814395864411773/4715686630383381367440556269293712817\
      89183590400000000*mncx^4*ep^4
      -116210352073359830867133385439115668950093/73185117522981408665519182783\
      52885325212361887947161600000000*mncx^5*ep^5
      +623120053293078163170149467651030900158655068872591/35777596810358972006\
      870028007499775923094983618374710765551616000000000*mncx^6*ep^6
      -16994494742956651944436609713028244017760395190267622912137/
      9254175946812555124941790452375080040626271510755013287080356111974400000\
      00000*mncx^7*ep^7
      +183378592557133512028135656811008157695698473705193137421093102245771/
      9694364892070133464543436626763788332880321867096771841700529612581752537\
      088000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(24)=
      +1/25852016738884976640000
      -444316699/3075946991768474687200296960000*mncx*ep
      +44570695662918553607/148223917950083004993811166950273843200000*mncx^2*
      ep^2
      -123525135034106281845251414461/26454159406502827457834932378388591172334\
      3872000000*mncx^3*ep^3
      +264591239933345908907390540426325365899/43359680905230948543794931799963\
      8620563548468255129600000000*mncx^4*ep^4
      -776713959740478684849561077289313689586845388571/10834023934084030762272\
      43586991318834832866105871976452482662400000000*mncx^5*ep^5
      +96041208895558385773482948005826382154738052851832630885359/
      1218164720524162610937517301815379439097517152218903519958149931487723520\
      00000000*mncx^6*ep^6
      -60347474702425622475414985005172956929989423209576655768704056986799/
      7247036363586222432553176680977312245526808303006454787215091949490656262\
      4880640000000000*mncx^7*ep^7
      +149927382032402590609412104923753394009713590884261797974140245677746279\
      69191451/1746103112654558963331603182446407233239977952358142797165458503\
      9518267872844903815839744000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(25)=
      +1/620448401733239439360000
      -269564591/44293636681466035495684276224000*mncx*ep
      +45472764736767046157/3557374030801992119851468006806572236800000*mncx^2*
      ep^2
      -126906684898093000128113947991/63489982575606785898803837708132618813602\
      52928000000*mncx^3*ep^3
      +1912807200725066844334929443722155255943/7284426392078799355357548542393\
      9288254676142666861772800000000*mncx^4*ep^4
      -53677524641216006737724172489720819744162618911/173344382945344492196358\
      9739186110135732585769395162323972259840000000*mncx^5*ep^5
      +99813356898970334531896288222195044055013592737697579224909/
      2923595329257990266250041524356910653834041165325368447899559835570536448\
      000000000*mncx^6*ep^6
      -188464973525585398084771904842797767482638076393018004019891279060007/
      5217866181782080151438287210303664816779301978164647446794866203633272508\
      991406080000000000*mncx^7*ep^7
      +156234160808147120342735745055765391926307751429331443145910608057766459\
      26942801/4190647470370941511995847637871377359775947085659542713197100409\
      48438428948277691580153856000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(26)=
      +1/15511210043330985984000000
      -34052522467/138417614629581360924013363200000000*mncx*ep
      +5793490591633676917801/11116793846256225374535837521270538240000000000*
      mncx^2*ep^2
      -81384656370757013035663184180567/992030977743856029668809964189572168962\
      53952000000000000*mncx^3*ep^3
      +176122096932442395019595242667343669886849/16259880339461605703923099424\
      9864482711330675595673600000000000000*mncx^4*ep^4
      -1446748397713984600368618807470929295440186517370209/1128544159800419871\
      070045403115957119617568860283308804669440000000000000000*mncx^5*ep^5
      +8090725701340520405271382597523589771894308313467672735828693401/
      5710147127457012238769612352259591120769611651026110249803827803848704000\
      000000000000000*mncx^6*ep^6
      -765071034307835073980729147252972259787687731163288382408408709455018757\
      67/5095572443146562647888952353812172672636037088051413522260611526985617\
      6845619200000000000000000000*mncx^7*ep^7
      +634867883219679577019118843506161382647304255932522877705870827927695774\
      4807537771201/40924291702841225703084449588587669529061983258393971808565\
      43368637094032698024331837440000000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(27)=
      +1/403291461126605635584000000
      -34395742267/3598857980369115384024347443200000000*mncx*ep
      +5899738289669258497201/289036640002661859737931775553033994240000000000*
      mncx^2*ep^2
      -83409563366589638003220811960367/257928054213402567713890590689288763930\
      2602752000000000000*mncx^3*ep^3
      +1269661867514370193728286786947387535922143/2959298221782012238114004095\
      3475335853462182958412595200000000000000*mncx^4*ep^4
      -4485502890553923346111651037532362873187789797454427/8802644446443274994\
      3463541443044655330170371102098086764216320000000000000000*mncx^5*ep^5
      +8381693734884639563224191438763431636799403704468574686255012801/
      1484638253138823182080099211587493691400099029266788664948995229000663040\
      00000000000000000*mncx^6*ep^6
      -793838666781318664120348090660713232324647370958958015509423791880585355\
      67/1324848835218106288451127611991164894885369642893367515787758997016260\
      597986099200000000000000000000*mncx^7*ep^7
      +659389386579725152226327617790787050358327966448318221752109547804500426\
      1497925410601/10640315842738718682801956893032794077556115647182432670227\
      0127584564444850148632627773440000000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(28)=
      +1/10888869450418352160768000000
      -312536252003/874522489229695038317916428697600000000*mncx*ep
      +54027306066201893389609/702359035206468319163174214593872606003200000000\
      00*mncx^2*ep^2
      -6916882722942792550203844435294127/5640886545647114155902787218374745267\
      154792218624000000000000*mncx^3*ep^3
      +105781863112692028426923791152458954384121183/64719852110372607647553269\
      565250559511521794130048345702400000000000000*mncx^4*ep^4
      -10124450547451531665251301003609713279538398648943034649/
      5197873519180289451411578658670343852591230243207789925340209479680000000\
      000000000*mncx^5*ep^5
      +6321066054179278690866136146657264317464969772671961192473023910729/
      2922213473653145669288259278167663832782814919305820129219107309242005061\
      632000000000000000000*mncx^6*ep^6
      -539640012841708919231695970266074085100625823166820825855165340543827470\
      551487/234692996612381874680251903081398887634258576129631375319254143044\
      439516151443514982400000000000000000000*mncx^7*ep^7
      +448677355099183498841826516562414467910462025944928058200332279667392707\
      08890178186922361/1884900030593635798502318257730080372456833218551426400\
      2327046291222837711869279824112181575680000000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(29)=
      +1/304888344611713860501504000000
      -315404588903/24486629698431461072901660003532800000000*mncx*ep
      +54931992686981698810309/196660529857811129365688780086284329680896000000\
      0000*mncx^2*ep^2
      -1010635169222484615218019977199461/2256354618258845662361114887349898106\
      8619168874496000000000000*mncx^3*ep^3
      +108680705261010625358435939397997327030532083/18121558590904330141314915\
      47827015666322610235641353679667200000000000000*mncx^4*ep^4
      -10436183424669712573258978534871152798761441249245797349/
      1455404585370481046395242024427696278725544468098181179095258654310400000\
      00000000000*mncx^5*ep^5
      +6530607484264318239070044916372416367692549786298717916415436057429/
      8182197726228807874007125978869458731791881774056296361813500465877614172\
      5696000000000000000000*mncx^6*ep^6
      -558371995268240432590163601784362501110242331573948552877510851516941590\
      381587/657140390514669249104705328627916885375924013162967850893911600524\
      4306452240418419507200000000000000000000*mncx^7*ep^7
      +464693345078728693150529804922764395959570016420883975329533935222957352\
      47726369259582661/5277720085662180235806491121644225042879133011943993920\
      65157296154239455932339835075141084119040000000000000000000000*mncx^8*
      ep^8
      ;
Fill mncPOINV(30)=
      +1/8841761993739701954543616000000
      -9227046511387/20593255576380858762310296062971084800000000*mncx*ep
      +46938861633377181563318269/479635366270215563409978365752438851658737254\
      40000000000*mncx^2*ep^2
      -25186927017635217446536551133584958729/159587675075673461892043169863972\
      32829194034380722405376000000000000*mncx^3*ep^3
      +78890646478256977372499817524180507318888060599123/371693988370268760273\
      70128729720544557277340612164915885352209612800000000000000*mncx^4*ep^4
      -220394091880767057381928499928284371416460564271231904088227601/
      8657085888686975513843729395688454248908700080473386830091375281109030928\
      3840000000000000000*mncx^5*ep^5
      +400846187516914154875914463903897327820615883520726692055932081171823277\
      4109/14114189871322798085914817932007871078118996653282259744392959396270\
      27196088509806936064000000000000000000*mncx^6*ep^6
      -995378118783282432673058672671077952714535074610638646384551893512180951\
      7185573722141183/32873212316675404051596020135301812575494938561567841533\
      06423755165727967201497176340229709312819200000000000000000000*mncx^7*
      ep^7
      +240455402407646472783981904444056897203631939432854930600939782020359353\
      18024856780095224902960744821/7656465570247709197204512317915009549750704\
      8447974904918784266783504795926730677979477001177149651589634457600000000\
      00000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(31)=
      +1/265252859812191058636308480000000
      -9304682830147/617797667291425762869308881889132544000000000*mncx*ep
      +47661242955539172992975989/143890609881064669022993509725731655497621176\
      3200000000000*mncx^2*ep^2
      -25715533224862937981129332151160709249/478763025227020385676129509591916\
      984875821031421672161280000000000000*mncx^3*ep^3
      +80887105812785807182912885219853936646131104810363/111508196511080628082\
      1103861891616336718320218364947476560566288384000000000000000*mncx^4*ep^4
      -226673869011222345191985022310524244322560444045040215307537481/
      2597125766606092654153118818706536274672610024142016049027412584332709278\
      515200000000000000000*mncx^5*ep^5
      +413164874841296575681906255716369228175069979546000212222776589085717687\
      9029/42342569613968394257744453796023613234356989959846779233178878188810\
      815882655294208081920000000000000000000*mncx^6*ep^6
      -102745471870689683803439561110431206626298998062797859894370702491470526\
      70999571125425223/9861963695002621215478806040590543772648481568470352459\
      9192712654971839016044915290206891279384576000000000000000000000*mncx^7*
      ep^7
      +248432182612945950576789347394820833922322712645526927749144965808592285\
      17305088891812029456332828301/2296939671074312759161353695374502864925211\
      4534392471475635280035051438778019203393843100353144895476890337280000000\
      0000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(32)=
      +1/8222838654177922817725562880000000
      -290774257297357/593703558267060158117405835495456374784000000000*mncx*ep
      +46479693768075341170975445029/428664515896679755486399964823927174892963\
      24637491200000000000*mncx^2*ep^2
      -781556503107229568390876511159818552568559/44214770782068309360000480082\
      7836765789503114759574096057466880000000000000*mncx^3*ep^3
      +76521255941455275592333629944010738538900877943907253323/
      3192384995653400474537578644877822973797563399792305441352141291565508198\
      4000000000000000*mncx^4*ep^4
      -6667705282222096185300565038664400439373549415795418232677816898893031/
      2304958677882854107587952889232422602531968466303538110272905138501002413\
      385094214451200000000000000000*mncx^5*ep^5
      +377556125228009940562091755613952065421188786959973299420548922518209727\
      5036627133349/11649547782572666665636314305404667771607764719807658217286\
      58963444626575362564967578131202435973120000000000000000000*mncx^6*ep^6
      -291473272229486733419042104667613485088466987677538071957517233716020968\
      722905170264320580894938953/841118044703626331568407529150728643454848548\
      5146045784991473640738594126503418844651751909080180680065391001600000000\
      0000000000000*mncx^7*ep^7
      +218674255524336040316771348082036928987371402553161892450028588429683874\
      50701693163803072795570992535801075166141/
      6073021702906075715318413404121886377605639890940294398169517984527028703\
      587193663774521291373823244786337543031555411148800000000000000000000000*
      mncx^8*ep^8
      ;
Fill mncPOINV(33)=
      +1/263130836933693530167218012160000000
      -586061125622639/37997027729091850119513973471709207986176000000000*mncx*
      ep
      +188563440970824224217342974191/54869058034775008702259195497462678386299\
      29553598873600000000000*mncx^2*ep^2
      -6374011091027611713181285626046594885588997/1131898132020948719616012290\
      11926212042112797378450968590711521280000000000000*mncx^3*ep^3
      +1253103527804771871114914850704998968323017858623755794393/
      1634501117774541042963240266177445362584352460693660385972296341281540197\
      5808000000000000000*mncx^4*ep^4
      -219021337829810613341650082757499547365333779437895662406850111446001517/
      2360277686152042606170063758574000744992735709494823024919454861825026471\
      306336475598028800000000000000000*mncx^5*ep^5
      +248554426877018194483796891687105191326133831297962684645980033038470417\
      598667492069911/238582738587088213312231716974687595962527021461660840290\
      0293557134595226342533053600012702588872949760000000000000000000*mncx^6*
      ep^6
      -384302082931391121998058436536075937362216030050944911378807944872594414\
      48761488715332917218225450659/3445219511106053454104197239401384523591059\
      6547158203535325076032465281542158003587693575819592420065547841542553600\
      0000000000000000000*mncx^7*ep^7
      +577148152317207698093833426701527338328130466460335516738619891871717468\
      8771890382743438398942899371607781601184671/
      4975019379020657225988844260656649320534540198658289170980469132924541913\
      9786290493640878418934360021289677152514501928130969600000000000000000000\
      000*mncx^8*ep^8
      ;
Fill mncPOINV(34)=
      +1/8683317618811886495518194401280000000
      -53676090078349/113991083187275550358541920415127623958528000000000*mncx*
      ep
      +191147113675074393547229862991/18106789151475752871745534514162683867478\
      7675268762828800000000000*mncx^2*ep^2
      -6493501663928207284923763331891522805938597/3735263835669130774732840557\
      393564997389722313488881963493480202240000000000000*mncx^3*ep^3
      +1281518216016642673897384956891070655754678612565673196793/
      5393853688655985441778692878385569696528363120289079273708577926229082652\
      01664000000000000000*mncx^4*ep^4
      -224629088844679436707044990778140173948721827021389476075843741063887117/
      7788916364301740600361210403294202458476027841332915982234201044022587355\
      3109103694734950400000000000000000*mncx^5*ep^5
      +255435053228138403128470654509381028350984604020895179028694925583796862\
      430658515774711/787323037337391103930364666016469066676339170823480772957\
      09687385441642469303590768800419185432807342080000000000000000000*mncx^6*
      ep^6
      -395479576634333247853823149225324669084906262309239029022593214314630089\
      05825831734876939941551321859/1136922438664997639854385089002456892785049\
      6860562207166657275090713542908912141183938880020465498621630787709042688\
      000000000000000000000*mncx^7*ep^7
      +540412550581168010890324776287928240550872098478754071472417407137572114\
      058503060563774057338436352786671893168861/
      1492505813706197167796653278196994796160362059597486751294140739877362574\
      1935887148092263525680308006386903145754350578439290880000000000000000000\
      0000*mncx^8*ep^8
      ;
Fill mncPOINV(35)=
      +1/295232799039604140847618609643520000000
      -54062195834749/3875696828367368712190425294114339214589952000000000*mncx
      *ep
      +193672834401940297285176238591/61563083115017559763934817348153125149427\
      80959137936179200000000000*mncx^2*ep^2
      -6611010257989610727955230791776284831303797/1269989704127504463409165789\
      51381209911250558658621986758778326876160000000000000*mncx^3*ep^3
      +1309596256295164289625430756003219542652775000893320755593/
      1833910254143035050204755578651093696819643460898286953060916494917888101\
      6856576000000000000000*mncx^4*ep^4
      -230191158028949416073834042540087090094585156318457665222350343814884317/
      2648231563862591804122811537120028835881849466053191433959628354967679700\
      805709525620988313600000000000000000*mncx^5*ep^5
      +262278669329565080577541157375092806300683649718885554909323049217499202\
      181779758942311/267689832694712975336323986445599482669955318079983462805\
      4129371105015843956322086139214252304715449630720000000000000000000*
      mncx^6*ep^6
      -239187635338430435617034812789160735411510540243846796483738814318199149\
      6420502963543992771785927427/22738448773299952797087701780049137855700993\
      7211244143333145501814270858178242823678777600409309972432615754180853760\
      00000000000000000000*mncx^7*ep^7
      +505556675880023872688075654452576146782093782443650908907972226474522343\
      32857069616391197413953409116726062406951/
      4613199787819154882280564678063438460859300911483140867636435014166393411\
      1438196639557905443011861110650427905058901787903262720000000000000000000\
      0000*mncx^8*ep^8
      ;
Fill mncPOINV(36)=
      +1/10333147966386144929666651337523200000000
      -54437269998109/135649388992857904926664885294001872510648320000000000*
      mncx*ep
      +28020487719351088554569096233/307815415575087798819674086740765625747139\
      04795689680896000000000000*mncx^2*ep^2
      -6726617628860633132194043822000226660155477/4444963964446265621932080263\
      298342346893769553051769536557241440665600000000000000*mncx^3*ep^3
      +1337349041568427108208504105948050572191945009309584705513/
      6418685889500622675716644525278827938868752113144004335713207732212608355\
      89980160000000000000000*mncx^4*ep^4
      -235708813830701748331660980065818578642451649931134784063493088815524797/
      9268810473519071314429840379920100925586473131186170018858699242386878952\
      8199833396734590976000000000000000000*mncx^5*ep^5
      +269086107362662971607704557753188335966759017341527797426919736935809337\
      701066139462151/936914414431495413677133952559598189344843613279942119818\
      94527988675554538471273014872498830665040737075200000000000000000000*
      mncx^6*ep^6
      -245718221882544255922632009450470706478202717227383278660473757211162501\
      1184604961686740126716566307/79584570706549834789806956230171982494953478\
      0239354501666009256349948003623849882875721601432584903514155139632988160\
      000000000000000000000*mncx^7*ep^7
      +816828540103085174604576510413683166815268804927011007085895297485429585\
      42089963386441153282837822948376644996043/
      2537259883300535185254310572934891153472615501315727477200039257791516376\
      1291008151756847993656523610857735347782395983346794496000000000000000000\
      000000*mncx^8*ep^8
      ;
Fill mncPOINV(37)=
      +1/371993326789901217467999448150835200000000
      -54801925434709/4883378003742884577359935870584067410383339520000000000*
      mncx*ep
      +28365922323001895565692364433/110813549607031607575082671226675625268970\
      0572644828512256000000000000*mncx^2*ep^2
      -6840399294542448499145530506469847851081277/1600187027200655623895548894\
      78740324488175703909863703316060691863961600000000000000*mncx^3*ep^3
      +1364787318272393902310082315639579768613532772621310625713/
      2310726920220224163257992029100378057992750760731841560856754783596539008\
      1239285760000000000000000*mncx^4*ep^4
      -241183262100220140849575649035124968298858892399689742143012614029778597/
      3336771770466865673194742536771236333211130327227021206789131727259276423\
      015194002282445275136000000000000000000*mncx^5*ep^5
      +275858164018779108255860951501407989498653796590642496343098766635251225\
      077224664127551/337289189195338348923768222921455348164143700780779163134\
      8203007592319963384965828535409957903941466534707200000000000000000000*
      mncx^6*ep^6
      -252227192303952287508043750847911947155725999394372053017906536185205380\
      7228335697848559253065474107/28650445454357940524330504242861913698183252\
      0886167620599763332285981281304585957835259776515730565265095850267875737\
      60000000000000000000000*mncx^7*ep^7
      +839165572786568431493374298122467426413886885962513054254372610981149100\
      15887991504503388273813326652785125278243/
      9134135579881926666915518062565608152501415804736618917920141328049458954\
      0647629346324652777163484999087847252016625540048460185600000000000000000\
      0000000*mncx^8*ep^8
      ;
Fill mncPOINV(38)=
      +1/13763753091226345046315979581580902400000000
      -2040798836801833/6685344487124008986405752206829588284814791802880000000\
      000*mncx*ep
      +39296045464550797787239457431177/561303872824497201850066254564480044674\
      91403106178498631303168000000000000*mncx^2*ep^2
      -352161234046208215339252267574509136702023691081/29990081190854079447357\
      0581220365445283083865415414068070531622324454136217600000000000000*
      mncx^3*ep^3
      +2608684498588375105517626756450359829025314345805903633658883393/
      1602349481944936549073231791722793647371928150639061097268636868732627063\
      281683538452152320000000000000000*mncx^4*ep^4
      -171013050661720159566906093714710194318958438162996619791883595630791538\
      85873129/8561243452292523517171314326549614651700120853307180048661925366\
      808910708761138659914476119513706266624000000000000000000*mncx^5*ep^5
      +725063001035943052469479181619316097777903710198896844188251120449343750\
      417133885707805597715159/320194958669810512763942477217493534214642269186\
      7684368272132390570951849184846348139270834635216735174966551905304576000\
      00000000000000000*mncx^6*ep^6
      -245602930259961626549022170288154353783132839086321253618207959562908667\
      637550478222385474906261084233824782431/
      1006341010041165756625706059570901881888037389060124871006728619889702799\
      5603599716501979910951497959487125227506313523739330871296000000000000000\
      0000000*mncx^7*ep^7
      +432264749914112238108769602794820549174363880137386855236016131320963376\
      74043608981065289239761150175174142649448794390890629/
      1695840216407956741069424431497323702460196044302890864765395127888956243\
      3727962663264686187541588505558117436083171773840192306425640481980416000\
      000000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(39)=
      +1/523022617466601111760007224100074291200000000
      -2053580969474233/2540430905107123414834185838595243548229620885094400000\
      00000*mncx*ep
      +39749780674985882178980437798777/213295471673308936703025176734502416976\
      4673318034782947989520384000000000000*mncx^2*ep^2
      -357750190719359398209347777918099374415101893881/11396230852524550189995\
      682086373886920757186885785734586680201648329257176268800000000000000*
      mncx^3*ep^3
      +2658985413003238910771173525609793878940548365941169558772311793/
      6088928031390758886478280808546615860013326972428432169620820101183982840\
      4703974461181788160000000000000000*mncx^4*ep^4
      -174751676137248367434629126308906747211036344655198215819163300076987902\
      67618329/3253272511871158936525099444088853567646045924256728418491531639\
      38738606932923269076750092541520838131712000000000000000000*mncx^5*ep^5
      +742262484176094563006431126693903121562516373538281131135537536308520808\
      714695198186793014024359/121674084294527994850298141342647543001564062290\
      9720059943410308416961702690241612292922917161382359366487289724015738880\
      0000000000000000000*mncx^6*ep^6
      -251742028674980715337092849137223725061018161689321246937188184022405326\
      241754074550047757403326092258356365231/
      3824095838156429875177683026369427151174542078428474509825568755580870638\
      3293678922707523661615692246051075864523991390209457310924800000000000000\
      00000000*mncx^7*ep^7
      +282181801914906020042353777216446621677351673565137168203067512892413081\
      71290590125296922283368158660576768843999991651950073/
      4100849977859240846586062716166255498676474070768808818432682763804203279\
      4287618803894604780782386749804174890892033562195374122811094256425369600\
      0000000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(40)=
      +1/20397882081197443358640281739902897356800000000
      -2066035355155033/9907680529917781317853324770521449838095521451868160000\
      000000*mncx*ep
      +40194562866176681556204641717977/831852339525904853141798189264559426208\
      22259403356534971591294976000000000000*mncx^2*ep^2
      -363256775189631187172928799970374912083283051481/44445300324845745740983\
      1601368581589909530288545643648880527864284841029874483200000000000000*
      mncx^3*ep^3
      +2708750952776367511754929445487032491402381958608770810738224593/
      2374681932242395965726529515333180185405197519247088546152119839461753307\
      783455003986089738240000000000000000*mncx^4*ep^4
      -178462617335950615774363407395022425191767023902592242501363486714297999\
      54676729/1268776279629751985244788783194652891381957910460124083211697339\
      3610805670384007493993253609119312687136768000000000000000000*mncx^5*ep^5
      +759376829623578102586033668224832815298091263145655117559915634200781766\
      870276142570887835970759/474528928748659179916162751236325417706099842934\
      7908233779300202826150640491942287942399376929391201529300429923661381632\
      00000000000000000000*mncx^6*ep^6
      -257861634030577604520856804598615878794432719873098961670694536552823499\
      129061356975515049897198346412955482831/
      1491397376881007651319296380284076588958071410587105058831971814676539548\
      9484534779855934228030119975959919587164356642181688351260672000000000000\
      0000000000*mncx^7*ep^7
      +454570513238213126805466407798576154119525517839805521895228210744727232\
      90929426556136551775332771735176762545727137146694229/
      2513235200716591890264887007479033727046010537656884261582315579531433152\
      6784840666958264929936634165237130040275260568831164998122799194294976512\
      000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(41)=
      +1/815915283247897734345611269596115894272000000000
      -2078178381193813/3963072211967112527141329908208579935238208580747264000\
      00000000*mncx*ep
      +40630774334422967689121916324397/332740935810361941256719275705823770483\
      2890376134261398863651799040000000000000*mncx^2*ep^2
      -368683961247536801596614790345267288407486323741/17778120129938298296393\
      264054743263596381211541825745955221114571393641194979328000000000000000*
      mncx^3*ep^3
      +2757997281132970865939093578334734854928763733759781509645660373/
      9498727728969583862906118061332720741620790076988354184608479357847013231\
      1338200159443589529600000000000000000*mncx^4*ep^4
      -182146564943915647791277936566142100003343018525106594345690078194760414\
      34591069/5075105118519007940979155132778611565527831641840496332846789357\
      44432226815360299759730144364772507485470720000000000000000000*mncx^5*
      ep^5
      +776407770327188012905286289437702564472631687637943515864539604489420665\
      928534152925141981468899/189811571499463671966465100494530167082439937173\
      9163293511720081130460256196776915176959750771756480611720171969464552652\
      8000000000000000000000*mncx^6*ep^6
      -263962065647620888326135708068973411098878098198879015730048279543781591\
      780089569660293392569913582453374126091/
      5965589507524030605277185521136306355832285642348420235327887258706158195\
      7938139119423736912120479903839678348657426568726753405042688000000000000\
      00000000000*mncx^7*ep^7
      +325983654983742999513160157936468656971432379829929375757986537376456715\
      164542084314538100265261454807219787389042299968109983/
      7037058562006457292741683620941294435728829505439275932430483622688012827\
      4997553867483141803822575662663964112770729592727261994743837744025934233\
      60000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(42)=
      +1/33452526613163807108170062053440751665152000000000
      -85691034670497533/666192438831671615812457557569862287113542862423615078\
      400000000000*mncx*ep
      +69019796595025328727596152952160157/229328380369859553533543492009210800\
      854787637613549429871081745641635840000000000000*mncx^2*ep^2
      -25778835335529148272555532835762030780136300189475861/
      5023671851649457573231452622859537928337376870764106171617157193237586693\
      6765980868608000000000000000*mncx^3*ep^3
      +7931175705372235945545978617347153576894970986448024210728865252684053/
      1100486509011773630907207658243494022118087320938368237071191090787074492\
      1558993096650728556702833049600000000000000000*mncx^4*ep^4
      -215265663212791323538761354007345287183895949159380254551131768449038591\
      5870236096018469/24107278346997947259557762488808600911505402485440534676\
      2004817300299401273271688383172543976264813880693871295332352000000000000\
      0000000*mncx^5*ep^5
      +376852832042889340431165040539244300710503976617098110571229510888568253\
      9271602709224278127462994451186259/36966614781589561814766886029139916702\
      3901982301013339358363522963889196826932518767831924882716162744491616790\
      2735186562645563015168000000000000000000000*mncx^6*ep^6
      -525921515161579119617981400717393318423848864183368906309961692035526998\
      85801670555767665446585133397291899019789426315571/
      4763478616520815363425634690907334481661576198737807810808792290778512683\
      3562591529290895564449964803812351968580434476702870428600295239518571724\
      800000000000000000000000*mncx^7*ep^7
      +266499324644667860320080190275340939758087785365222374713704976999237083\
      7249532678413451011495919945390829480005723065771692535720661486143/
      2303805844473259537132802467745690293821996200241139075111107634567173676\
      5614705245752121995319209441480005893984233518489352767444360297932684357\
      02697685900328960000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(43)=
      +1/1405006117752879898543142606244511569936384000000000
      -1758473284190717/5710220904271470992678207636313105318116081677916700672\
      00000000000*mncx*ep
      +69726017662384499725824274712792557/963179197553410124840882666438685363\
      5901080779769076054585433316948705280000000000000*mncx^2*ep^2
      -3734643805275960078986687210595236725659529875988723/
      3014203110989674543938871573715722757002426122458463702970294315942552016\
      20595885211648000000000000000*mncx^3*ep^3
      +8067527668804492729808627329814942599850221254531330663173364891023653/
      4622043337849449249810272164622674892895966747941146595699002581305712867\
      05477710059330599381518988083200000000000000000*mncx^4*ep^4
      -219473458788643023660297833007655442227129211100008338740180780200388092\
      9618818709129269/10125056905739137849014260245299612382832269043885024564\
      0042023266125748534774109120932468470031221829891425944039587840000000000\
      000000000*mncx^5*ep^5
      +384865814963730088859531599761826885092618143886145092300980929365855131\
      4209803846853026688169529120325059/15525978208267615962202092132238765015\
      0038832566425602530512679644833462667311657882489408450740788352686479051\
      914877835631113646637056000000000000000000000*mncx^6*ep^6
      -109740707617444464226003146421803408600174937503907096942563554581687986\
      4462569917964347741646741341986541899949750076179/
      4082981671303556025793401163634858127138493884632406694978964820667296585\
      7339364167963624769528541260410587401640372408602460367371681633873061478\
      400000000000000000000000*mncx^7*ep^7
      +247901272321022910984119414897697938808585166011733388104236234348707762\
      659155923727349261635147269363650216443454741856681524622442237613/
      8796349587988809141779791240483544758229440037284349195878774604711026765\
      0528874574689920345764254231105477049757982525141165112060284773924794817\
      73936618892165120000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(44)=
      +1/60415263063373835637355132068513997507264512000000000
      -532145396070491417/73907389163985649058234041436800522132376445157275856\
      79769600000000000*mncx*ep
      +130205697243503709344085710235529472293/76579488459878978795724058160540\
      5572029587229557099929871924046730640710696960000000000000*mncx^2*ep^2
      -43000717549507510111474242095596046703685878803616212623/
      1472137230007801474356108296441555239623235918555302595168363596805530396\
      50813547565352484864000000000000000*mncx^3*ep^3
      +280428391835578190806092385141667249077281341499180987050436656570312420\
      62453/6794793945757705026221261563274191184998278325946014166684608661307\
      3375559078877727027629037333869413046786457600000000000000000*mncx^4*ep^4
      -328787584235817788534526067174564461802443894538380384698652007532906579\
      221443350666440810631767/640041605929616620318760857887066456508587474988\
      4135368335350006816856001751869449589563786108129295517978236445717923649\
      65724160000000000000000000*mncx^5*ep^5
      +248329353094569870743333301833526788587287564341575097192832076146078356\
      09697092558683240914105759759968893026897691/
      4220249832648851755411836092634793284883297563032152759928958116971146187\
      0546190455127819620718389715301481208109552242070827548224558543239380992\
      000000000000000000000*mncx^6*ep^6
      -213378317943026730245012587803217948226505502920531767826049657889870124\
      3711331319468301478334420418586040386798641827646315978337871/
      3340589525277901293335182145794963363147427662189347576006570728484537639\
      4806316586188008999545158692407652706936473184829740878645570280104691729\
      16414336257228800000000000000000000000*mncx^7*ep^7
      +325951040212474703984422635598389032049982418798249976998447751923256892\
      4903697018043046719762092252297559368115311352127459671162711196502656744\
      9824943/48630783464305551986487718283421544904504458800746838751062498539\
      5455334727411737879002784276494992080625123888169887702424378340586417271\
      09130784899416093991718288523930642677760000000000000000000000000*mncx^8*
      ep^8
      ;
Fill mncPOINV(45)=
      +1/2658271574788448768043625811014615890319638528000000000
      -5884182435213075787/3577117635536905414418527605541145271207019945612151\
      469008486400000000000*mncx*ep
      +131465392134207488570775194393709604093/33694974922346750670118585590637\
      845169301838100512396914364658056148191270666240000000000000*mncx^2*ep^2
      -305025639246032109339920839324049203942460251044617616961/
      4534182668424028541016813553039990138039566629150331993118559878161033621\
      2450572650128565338112000000000000000*mncx^3*ep^3
      +284999417130353518731041549663275213124737319640958886477392446345766109\
      10253/2989709336133390211537355087840644121399242463416246233341227810975\
      228524599470619989215677642690254174058604134400000000000000000*mncx^4*
      ep^4
      -334888895905969311342901875918382526381971136789986134376909557254585298\
      369999285644467098555967/281618306609031312940254777470309240863778488994\
      9019562067554002999416640770822557819408065887576890027910424036115886405\
      8491863040000000000000000000*mncx^5*ep^5
      +253347900446554415523375302861892278642645331425041802898669443097109707\
      47515301772589088579786411392165846642984291/
      1856909926365494772381207880759309045348650927734147214368741571467304322\
      3040323800256240633116091474732651731568202986511164121218805759025327636\
      48000000000000000000000*mncx^6*ep^6
      -180112444926845637431084471234403578147306794960716684807709957690936273\
      25396049450911486202984484723112405388277512069917031050351/
      1214759827373782288485520780289077586599064604432490027638752992176195505\
      2656842394977457818016421342693691893431444794483542137689298283674433356\
      05968849548083200000000000000000000000*mncx^7*ep^7
      +333161526689789644934653779387519470731704535526667225630869389059977763\
      7956329969141862128722696587226058127639940456787235859549227051340762135\
      2246743/21397544724294442874054596044705479757981961872328609050467499357\
      4000347280061164666761225081657796515475054510794750589066726469858023599\
      2801754535574308135635604695052948277821440000000000000000000000000*
      mncx^8*ep^8
      ;
Fill mncPOINV(46)=
      +1/119622220865480194561963161495657715064383733760000000000
      -5914085889685464427/1609702935991607436488337422493515372043158975525468\
      16105381888000000000000*mncx*ep
      +132703353321243526022407156378781969053/15162738715056037801553363515787\
      03032618582714523057861146409612526668607179980800000000000000*mncx^2*
      ep^2
      -308993927930407218941991407060622443258106199324086374881/
      2040382200790812843457566098867995562117804983117649396903351945172465129\
      560275769255785440215040000000000000000*mncx^3*ep^3
      +289527010199848138470580945923970070601768528608519422671394308560583327\
      50413/1345369201260025595191809789528289854629659108537310805003552514938\
      85283606976177899514705493921061437832637186048000000000000000000*mncx^4*
      ep^4
      -340949396343595883488021002524236864072959288586302307348607682772445132\
      220301987010426494114207/126728237974064090823114649861639158388700320047\
      7058802930399301349737488346870151018733629649409600512559690816252148882\
      632133836800000000000000000000*mncx^5*ep^5
      +258343727174519479101957660440048106968293028318869427341055915584630272\
      84743026459712421168580057752298102863999811/
      8356094668644726475715435463416890704068929174803662464659337071602869450\
      3681457101153082849022411636296932792056913439300238545484625915613974364\
      160000000000000000000000*mncx^6*ep^6
      -202254903261129364354905031510463614506085365802339409984487275921170592\
      877794447397895034106790965265712041763087094216959906679781/
      6013061145500222328003327862430934053665369791940825636811827311272167751\
      0651369855138416199181285646333774872485651732693533581562026504188445112\
      4954580526301184000000000000000000000000*mncx^7*ep^7
      +340358789836658640172325982402744990343239931334672492734681564677359157\
      2014096460877227339478196529254661185944699952721217310161768732804057814\
      0699703/96288951259324992933245682201174658910918828425478740727103747108\
      3001562760275241000425512867460084319637745298576377650800269114361106196\
      76078954100843866103602211277382672501964800000000000000000000000000*
      mncx^8*ep^8
      ;
Fill mncPOINV(47)=
      +1/5502622159812088949850305428800254892961651752960000000000
      -5943339269060627227/7404633505561394207846352143470170711398531287417153\
      540847566848000000000000*mncx*ep
      +133920392629995459148866374571444858253/69748598089257773887145472172620\
      339500454804868060661612734842176226755930279116800000000000000*mncx^2*
      ep^2
      -312911551982083232352920672977891208184254539278884963281/
      9385758123637739079904804054792779585741902922341187225755418947793339595\
      9772685385766130249891840000000000000000*mncx^3*ep^3
      +294012333166939537910340329212173583414933961386133316795844262259267929\
      43613/6188698325796117737882325031830133331296431899271629703016341568718\
      723045920904183377676452720368826140301310558208000000000000000000*mncx^4
      *ep^4
      -346969994369772353390633573224041402549669497736968384369236370664328338\
      177125141688938160489007/582949894680694817786327389363540128588021472219\
      4470493479836786208792446395602694686174696387284162357774577754759884860\
      1078156492800000000000000000000*mncx^5*ep^5
      +263317249164297034288548683949898799849247617857734587230293093925333117\
      22275768087848907407495617056905456395640211/
      3843803547576574178829100313171769723871707420409684733743295052937319947\
      1693470266530418110550309352696589084346180182078109730922927921182428207\
      51360000000000000000000000*mncx^6*ep^6
      -206374111488844578738538317835022726169504765213100261412558951621620522\
      993869164539027381225055236958446354949750449279469309628181/
      2766008126930102270881530816718229664686070104292779792933440563185197165\
      4899630133363671451623391397313536441343399797039025447518532191926684751\
      747910704209854464000000000000000000000000*mncx^7*ep^7
      +347542986646807064126971058450749840528386829466111221585601608894797183\
      6398216287834389955308263865695559942706342701570341792949514810198572494\
      1848903/44292917579289496749293013812540343099022661075720220734467723669\
      8180718869726610860195735919031638787033362837345133719368123792606108850\
      5099631888638817840765701718759602935090380800000000000000000000000000*
      mncx^8*ep^8
      ;
Fill mncPOINV(48)=
      +1/258623241511168180642964355153611979969197632389120000000000
      -280682601097106968469/16356835413785119805132591884925607101479355613904\
      492171732275167232000000000000*mncx*ep
      +298474061825336141649960195547433736411277/72415086994210098582851043573\
      77961507955719205816662070618969519262390480949368743526400000000000000*
      mncx^2*ep^2
      -4698437044255722249929484530623586759225180737191522366274409/
      6542786512358675181595564879270755068818947799141823831851632640941021593\
      2911362456557236603417494814720000000000000000*mncx^3*ep^3
      +145637249347439011808373208776594697378965982286479068612358283711999764\
      564015313053/141934706085059890316744599960135715167711349301347520913969\
      0778192186517997791091383082489692888157473729187052081387667456000000000\
      000000000*mncx^4*ep^4
      -809476786969590931946796759958969548386239195708243999600089337889741729\
      48106556326571296336216922982849/6283742440781081140253242042040023307782\
      6321791290112862356051238319911332766891364754921131669734363565848510860\
      6101535983491870394250638131200000000000000000000*mncx^5*ep^5
      +289172789428345235526299518586722903659775184465074008541133633502673194\
      325835848430771352768044171114689527475149866449963219/
      1947359747719993491917790592249932518427952275207706693675081450522815805\
      5831488945450948731475086226413119605567925709978861459884699028381871495\
      17401173451079680000000000000000000000*mncx^6*ep^6
      -969407173408494849916966049053920292446972706350059128198773216429763887\
      9794674632706491023112117137528882283070297799100795499934367383706673/
      5987473856281206478781910115956732978345136054698513242859380069584578291\
      6245546247070423602683301849919942032168464158135252834589479954316778501\
      573029971077398562663473086464000000000000000000000000*mncx^7*ep^7
      +844620316773442823493370731028136167540044565205550958676569902600557153\
      7494029996437982322470425469425934899883884103751377772690889374998764640\
      43956731923765879783/
      4956955380561211976183909667605840265446484996664672125699781091805583917\
      3191910532874298542991870281088891804216573916231014499808013247835545338\
      3006181740659670383973431627457165427728455156367360000000000000000000000\
      0000*mncx^8*ep^8
      ;
Fill mncPOINV(49)=
      +1/12413915592536072670862289047373375038521486354677760000000000
      -40285746008542370417/112161157123097964378052058639489877267287009923916\
      517749021315432448000000000000*mncx*ep
      +301075047653819961044229037371505211298127/34759241757220847319768500915\
      4142152381874521879199779389710536924594743085569699689267200000000000000
      *mncx^2*ep^2
      -33285762103921506563699280684169031838046270253892435182326013/
      2198376268152514861016109799434973703123166460511652807502148567356183255\
      3458217785403231498748278257745920000000000000000*mncx^3*ep^3
      +147786292224893128675273433919341018270071253794417821873862981615304144\
      453370387703/681286589208287473520374079808651432805014476646468100387051\
      5735322495286389397238638795950525863155873900097849990660803788800000000\
      0000000000*mncx^4*ep^4
      -823107629133949501099977193703941263321810738580649935638321223047789155\
      69769913932693707878080699951299/3016196371574918947321556180179211187735\
      6634459819254173930904594393557439728107855082362143201472494511607285213\
      092873727207609778924030630297600000000000000000000*mncx^5*ep^5
      +294487054375158815207501790541656362288947181798829767934389642696446544\
      565024870733437905675298371503659482028319078833330169/
      9347326789055968761205394842799676088454170920996992129640390962509515866\
      7991146938164553911080413886782974106726043407898535007446555336232983176\
      835256325651824640000000000000000000000*mncx^6*ep^6
      -155299678174928705902934066917566732092919149336915165604856992247579468\
      59586877865895359739572685304893105857555603446850058905631274442895079/
      4516265994452110029709783630321650017951759766972592846042503823915224768\
      5396640597790262374595404823939613418549927250707733566661779165541798641\
      18651403532695205869473398521856000000000000000000000000*mncx^7*ep^7
      +861665671858247283954324177358255376189973652911638156847957396616180552\
      5778407173736652447598511648270869476518017399768798412655089745871559630\
      42696367451912810933/
      2379338582669381748568276640450803327414312798399042620335894924066680280\
      3132117055779663300636097734922668066023955479790886959907846358961061762\
      3842967235516641784307247181179439405309658475056332800000000000000000000\
      000000*mncx^8*ep^8
      ;
Fill mncPOINV(50)=
      +1/608281864034267560872252163321295376887552831379210240000000000
      -13881256687139135026631/188509256776790748730192094955390636723129277579\
      1264913807801248473153536000000000000*mncx*ep
      +104146672615633849236401659749877718134199161/58419857621361078090334919\
      4885366715508216508922371069220286499409166384703916994267751383040000000\
      0000000*mncx^2*ep^2
      -566020643954179926599734630059744132802897019479664478329917450091/
      1810457387003126546185790112556076548391161876389148088048741937606213226\
      6572641049644333478173653321218848194560000000000000000*mncx^3*ep^3
      +251964264538165598392130359056811248827973620773487567934631578253748699\
      4912903705721921/56106880153636069080538943080785622692654003714086227879\
      7053614021469373563898337010030993348392092097785930828367485877033463971\
      84000000000000000000*mncx^4*ep^4
      -984313577646399974572497676383786728894724729477916378436608274193399411\
      6093062045556873068634849562453661651/
      1738777185905146432243825438905329683426974036906004962811310527366645743\
      2210203589108665636548999183783300818940372301155548015606115103070157023\
      4777600000000000000000000*mncx^5*ep^5
      +352686445179911800615209401413765177410754896986239020488868342991391377\
      04441471947603336115851877758996398871166654121433195466281/
      5388547882087663777056562139516641551439669297953438122594305546106581957\
      8439403186027795855115028105494037591342840176389688250946290964887123765\
      0803062501373964336496640000000000000000000000*mncx^6*ep^6
      -638618527422496077823364554230725934675071215774658435406289530612519053\
      4487522878437221250857227407671015541134134725136210277518642839062877321\
      36753/8930133529331646794523679700978624272382444671146355982530324525707\
      3368996894628016370192498274177763287004229580423433528867258279109179986\
      02253753915545299682905433600318224362538795008000000000000000000000000*
      mncx^7*ep^7
      +354579469292160600499111039558930564235618273774062662096838697950114727\
      5857594029190184879727203123940632617632985883469431917529115490066497919\
      2159454407584161326382838931/
      4704729810163884858720155362585568995129705737241594558786960676195001233\
      4940499216599550959883404962424316603861256848831916833515753421108885118\
      4371813547259835221661957580057471817866803898925485276948070400000000000\
      000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(51)=
      +1/30414093201713378043612608166064768844377641568960512000000000000
      -13943237577224054960759/942546283883953743650960474776953183615646387895\
      63245690390062423657676800000000000000*mncx*ep
      +105010886891335698708867338705752424039082313/29209928810680539045167459\
      7442683357754108254461185534610143249704583192351958497133875691520000000\
      000000000*mncx^2*ep^2
      -114505862438462352818403432966589997043375979329347648409489465631/
      1810457387003126546185790112556076548391161876389148088048741937606213226\
      65726410496443334781736533212188481945600000000000000000*mncx^3*ep^3
      +255512852175104246969491711861446900305722469762068454580238044976538369\
      9820375905495761/28053440076818034540269471540392811346327001857043113939\
      8526807010734686781949168505015496674196046048892965414183742938516731985\
      9200000000000000000000*mncx^4*ep^4
      -100015049165234950621801382970676504426033070728349920468606032962888586\
      35699093181157447473969037939756893059/
      8693885929525732161219127194526648417134870184530024814056552636833228716\
      1051017945543328182744995918916504094701861505777740078030575515350785117\
      38880000000000000000000000*mncx^5*ep^5
      +358885466949060091300775137927965257139738515590871125605542802202128611\
      80885477057368276882589954973232368183153984822337415883833/
      2694273941043831888528281069758320775719834648976719061297152773053290978\
      9219701593013897927557514052747018795671420088194844125473145482443561882\
      540153125068698216824832000000000000000000000000*mncx^6*ep^6
      -130102747268461232605861574463623639670285127818993745335317222571502933\
      6982067809502518794164738746392034899918387861558641460286335103547493531\
      22701/8930133529331646794523679700978624272382444671146355982530324525707\
      3368996894628016370192498274177763287004229580423433528867258279109179986\
      022537539155452996829054336003182243625387950080000000000000000000000000*
      mncx^7*ep^7
      +361433770758624321426131237054768463262268009184686492240469519141279365\
      9245939257679192971810807517124634702195137865600547679006232612723378863\
      8604535101440893628205215811/
      2352364905081942429360077681292784497564852868620797279393480338097500616\
      7470249608299775479941702481212158301930628424415958416757876710554442559\
      2185906773629917610830978790028735908933401949462742638474035200000000000\
      00000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(52)=
      +1/1551118753287382280224243016469303211063259720016986112000000000000
      -14004003155738682347159/480698604780816409261989842136246123643979657826\
      7725530209893183606541516800000000000000*mncx*ep
      +6227167543800872194225058956256039863195289/8762978643204161713550237923\
      2805007326232476338355660383042974911374957705587549140162707456000000000\
      0000000*mncx^2*ep^2
      -115792413728704695148396471752902527867270984645053968654422542271/
      9233332673715945385547529574035990396794925569584655249048583881791687455\
      952046935318610073868563193821612579225600000000000000000*mncx^3*ep^3
      +259030948679019158586570153511873816152069211359504785667697306782988242\
      6661217158067761/14307254439177197615537430485600333786626770947091988109\
      3248671575474690258794075937557903303839983484935412361233708898643533312\
      819200000000000000000000*mncx^4*ep^4
      -101589065710202286197799659022139650280393933218069716197477521105105670\
      85987686965002904198599143457286743459/
      4433881824058123402221754869208590692738783794110312655168841844784946645\
      2136019152227097373199947918647417088297949367946647439795593512828900409\
      8682880000000000000000000000*mncx^5*ep^5
      +365058585297701029091765118897926919739119422970169688969009845213785159\
      60880431665723451533277251571853979199879975946009881441433/
      1374079709932354263149423345576743595617115670978126721261547914257178399\
      2502047812437087943054332166900979585792424244979370503991304196046216560\
      09547809378503609058066432000000000000000000000000*mncx^6*ep^6
      -204734493072307235636925452934716980512065871923792719880018626541203482\
      0013096621514070690347317513081453278066916602360207586629130816028812803\
      80887/7038568881755034337138209364316788403777799572621718760776173967080\
      2373563916038627448142632730647382518029697314751924426843557207261508225\
      34685458767979795295526373574069000474837395701760000000000000000000000000
      *mncx^7*ep^7
      +368276216211015068549665930756039830581731024687067578690133524586138388\
      6923955947947099209613556005921245136436520727054574831475730861761480872\
      8090730712118204661010739811/
      1199706101591790638973639617459320093758074962996606612490674972429725314\
      5409827300232885494770268265418200733984620496452138792546517122382765705\
      2014812454551257981523799182914655313556034994225998745621757952000000000\
      0000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(53)=
      +1/80658175170943878571660636856403766975289505440883277824000000000000
      -14063600165435720745359/249963274486024532816234717910847984294869422069\
      921727570914445547540158873600000000000000*mncx*ep
      +6276470397649974751308777592999483830486689/4556748894466164091046123720\
      1058603809640887695944943399182346953914978006905525552884607877120000000\
      000000000*mncx^2*ep^2
      -117064213877021223136262474997602315557612941477618274946159845591/
      4801332990332291600484715378498715006333361296184020729505263618531677477\
      09506440636567723841165286078723854119731200000000000000000*mncx^3*ep^3
      +262519287223821664014482117567423594194971294043828562754537379959310186\
      3315767019748761/74397723083721427600794638525121735690459208924878338168\
      4893092192468389345729194875301097179967914121664144278415286272946373226\
      6598400000000000000000000*mncx^4*ep^4
      -103153602160836057016576103467951450168573040674511846851900590205315905\
      25162257036495831869905056591161373659/
      2305618548510224169155312531988467160224167572937362580687797759288172255\
      5110729959158090634063972917696656885914933671332256668693708626671028213\
      131509760000000000000000000000*mncx^5*ep^5
      +285543255019972935883119801570099562720059435271750161406087978193791679\
      6032895553611169491808169511249081872205479849999301111941/
      5496318839729417052597693382306974382468462683912506885046191657028713597\
      0008191249748351772217328667603918343169696979917482015965216784184866240\
      38191237514014436232265728000000000000000000000000*mncx^6*ep^6
      -229230266266784142098104250118524012504741866046087791551910236420921593\
      7793488609618778055104068051059479536925810965225362764664467710986709282\
      876677/402606140036387964084305575638920296696090135553962313116397150916\
      9895767855997409490033758592193030280031298686403810077215451472255358270\
      4898400824152844429090410856843674682716069903414067200000000000000000000\
      00000*mncx^7*ep^7
      +375106935411793182817284285831277680781325700366051343060710184549682786\
      3712879381830265182192384909794572731492410135940214661051058825585245095\
      6759636937540817782104646811/
      6238471728277311322662926010788464487541989807582354384951509856634571635\
      6131101961211004572805394980174643816720026581551121721241889036390381667\
      0477024763666541503923755751156207630491381969975193477233141350400000000\
      00000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(54)=
      +1/4274883284060025564298013753389399649690343788366813724672000000000000
      -748469853272339196210427/70214683803124291268080332261157198788428820659\
      4410132746698677543040306275942400000000000000*mncx*ep
      +17767048957903334977601908501461114574151087801/
      6783951051614391113826737610782001759367906437509195338440070267458000180\
      734073927736801766921994240000000000000000*mncx^2*ep^2
      -17615375945830132273573128253222501696469074686183339905548118275381067/
      3788482673489013056008423748445191928188826697367538806976742198201544903\
      114654089220465530181961707663735075178510758707200000000000000000*mncx^3
      *ep^3
      +209869886498068358609699578595972791268783663255618334624843960548480688\
      75429992463188812088041/3111279248307436269017812104977007714208728427272\
      9496595392103734172376896935316809536961585861759157029099879693500990165\
      09411140850125321011200000000000000000000*mncx^4*ep^4
      -437887676287352700104399099681179720980544762927199805339068296973115828\
      1538659543845656241725510500525280692710881287/
      5110256213490141343390232984785175060236555467999515153517575074058006384\
      9505882339757934161550648463630449809542314346548993135144586669183931039\
      7594362289628119040000000000000000000000*mncx^5*ep^5
      +643327100657246613842044030950053386132112948954557902149963155531754565\
      40070570333283850062329037518130404491387437244564659006674916074989/
      6456586969126120826516581374926857685464286989123961205712722131824159922\
      1706524989218575849753457148004255412552347262796761797177448440294607856\
      16441712439873492648077825015950606336000000000000000000000000*mncx^6*
      ep^6
      -273991727572196022352116844091224218939561703235426483739533066378174802\
      7026935283517185128032809359578125607912993646460641301628905446901104667\
      548450036289445009/
      2506613363637856773512858829823475550740848822084800613792331161884923518\
      2266385631666351026471455145363847897553686348916406778904608753983807002\
      5187721166819773419911478206468882173136165499704948209745920000000000000\
      000000000000*mncx^7*ep^7
      +237785979486633701686703993287078892207298863695020006424149810305452461\
      5318966776816531875623770164197174524918857928475863811074575945624195637\
      556125793634541641622570424103187798607771/
      2058548187745640109671344097910822914859931443553886764384764719526469873\
      0909318837220527636732981781495256637943844832299166884290258266596797566\
      5944819109449198062429212680380898406467402595906694230307671911607994465\
      722040320000000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(55)=
      +1/2308436973392413804720927426830275810832785645718079411322880000000000\
      00
      -250503836021181200128409/12638643084562372428254459807008295781917187718\
      699382389440576195774725512966963200000000000000*mncx*ep
      +17901510050794318778437646579447768708683186601/
      3663333567871771201466438309822280950058669476254965482757637944427320097\
      59639992097787295413787688960000000000000000*mncx^2*ep^2
      -5933502224267942072509681758972087559033624011906948712757892823229129/
      6819268812280223500815162747201345470739888055261569852558135956762780825\
      6063773605968379543275310737947231353213193656729600000000000000000*
      mncx^3*ep^3
      +212577036318428344874457328018396036362407576234565388494837755461709178\
      09854882933957328326041/1680090794086015585269618536687584165672713350727\
      3928161511736016453083524345071077149959256365349944795713935034490534689\
      1508201605906767334604800000000000000000000*mncx^4*ep^4
      -493726150997258335787862237436413091088033518558897697799849151827236729\
      771819484587905966296871029870289863185205343/
      3066153728094084806034139790871105036141933280799709092110545044434803830\
      9703529403854760496930389078178269885725388607929395881086752001510358623\
      85566173737768714240000000000000000000000*mncx^5*ep^5
      +653723793437641597982405965174684357304236621384281923621784678383786096\
      55732738008051152198773270656648467433724982930824914852547238660189/
      3486556963328105246318953942460503150150714974126939051084869951185046357\
      9721523494178030958866866859922297922778267521910251370475822157759088242\
      3287852471753168602996202550861332742144000000000000000000000000*mncx^6*
      ep^6
      -844519960912792888882037137306225436580481805260616416320799700347330675\
      0458560694653015170280388666984947119192821661151053899410125450662735531\
      0037933150391713/41017309586801292657483144488020509012122980725024010043\
      8745099217532939346177219427267562251351084196862965596333049345904838200\
      2572341560986600412162710002505383234915097924036253742228162722444607068\
      56960000000000000000000000000*mncx^7*ep^7
      +242024397492507653525166616140354258649975815729808378395934910943852306\
      4258528025180149008061617891608982880147978088370172541650168403417470315\
      267834632684102069199719734392954164953771/
      1111616021382645659222525812871844374024362979519098852767772948544293731\
      4691032172099084923835810162007438584489676209441550117516739463962270685\
      9610202319102566953711774847405685139492397401789614884366142832268317011\
      48990177280000000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(56)=
      +1/1269640335365827592596510084756651695958032105144943676227584000000000\
      0000
      -251499286680120823312889/69512536965093048355399528938545626800544532452\
      8466031419231690767609903213182976000000000000000*mncx*ep
      +18034051002314150733001191640058968924593708041/
      2014833462329474160806541070402254522532268211940231015516700869435026053\
      6780199565378301247758322892800000000000000000*mncx^2*ep^2
      -5994539051310197009735619439731653918383892104558099215277922551401641/
      3750597846754122925448339510960740008906938430393863418906974776219529454\
      083507548328260874880142090587097724426725651120128000000000000000000*
      mncx^3*ep^3
      +215262306850328062536207070111952126504205884437155016814712441345734642\
      95382129682133626251641/9240499367473085718982901951781712911199923429000\
      6604888314548090491959383897890924324775910009424696376426642689697940790\
      32951088324872203403264000000000000000000000*mncx^4*ep^4
      -500868917837225750175487192423752236105113321047085286612669186265544929\
      974303847101657228012381974900034877267115903/
      1686384550451746643318776884979107769878063304439840000660799774439142107\
      0336941172120118273311713992998048437148963734361167734597713600830697243\
      1206139555577279283200000000000000000000000*mncx^5*ep^5
      +603708300290298616104483704438949635498042109995202678903303719842676029\
      6691391077163704408135361724046109217072578819921139144747490166359/
      1743278481664052623159476971230251575075357487063469525542434975592523178\
      9860761747089015479433433429961148961389133760955125685237911078879544121\
      16439262358765843014981012754306663710720000000000000000000000000*mncx^6*
      ep^6
      -377838785785074366814044492837001116128480417416009383183419334876465539\
      1408169120165263896235994236197935603307846115057112282404064092869920764\
      0958358355050819/
      9926188920005912823110920966100963180933761335455810430617631401064297132\
      1774887101398750064826962375640837674312597941708970844462250665775875729\
      9743375820606302742849453697616773405619215378831594910593843200000000000\
      0000000000000*mncx^7*ep^7
      +223868860009716383515254445112728542517367398437668462552825752801658443\
      3930649468836154597589937450423978205179215156903345390883663218660066958\
      82822657484294126620232622483099342292161/
      5558080106913228296112629064359221870121814897595494263838864742721468657\
      3455160860495424619179050810037192922448381047207750587583697319811353429\
      8051011595512834768558874237028425697461987008948074421830714161341585057\
      44950886400000000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(57)=
      +1/7109985878048634518540456474637249497364979788811684586874470400000000\
      00000
      -252476961434436524654789/38927020700452107079023736205585551008304938173\
      594097759476974682986154579938246656000000000000000*mncx*ep
      +18164731188265155896945165014871154683067368741/
      1128306738904505530051662999425262532618070198686529368689352486883614590\
      059691175661184869874466081996800000000000000000*mncx^2*ep^2
      -6054920328255969849300618496075732205671969126498425642872284317464501/
      2100334794182308838251070126138014404987885521020563514587905874682936494\
      28676422706382608993287957072877472567896636462727168000000000000000000*
      mncx^3*ep^3
      +217926191085276023006085548954691103372573464199965300592017460656968934\
      36553362697842751387141/5174679645784928002630425092997759230271957120240\
      3698737456146930675497254982818917621874509605277829970798919906230846842\
      5845260946192843390582784000000000000000000000*mncx^4*ep^4
      -507970949014834210834665542002823871482012102900196684624972432283606381\
      909273873201679690481639507162175710635285203/
      9443753482529781202585150555883003511317154504863104003700478736859195799\
      3886870563872662330545598360789071248034196912422539313747196164651904561\
      47543815112327639859200000000000000000000000*mncx^5*ep^5
      +613085237398686710944572282144574328515958980564778423487449977858544329\
      2602491508016246420717711177935013230321030510746441864719941043659/
      9762359497318694689693071038889408820422001927555429343037635863318129802\
      3220265783698486684827227207782434183779149061348703837332302041725447078\
      520598692090887208838936714241173167800320000000000000000000000000*mncx^6
      *ep^6
      -192036262278548574610418822640824391826558151822920300693991404084511593\
      0609871754910704683148658910481999853527063232934377191235826137706660828\
      69621968823980387/
      2779332897601655590471057870508269690661453173927626920572936792298003197\
      0096968388391650018151549465179434548807527423678511836449430186417245204\
      3928145229769764767997847035332696553573380306072846574966276096000000000\
      0000000000000000*mncx^7*ep^7
      +227709180577639042755451740666502660669605139178006136448697015320636980\
      8713225554122009774006496709196524542613412889115620238753422518345856269\
      80089679672829655193370130073273505559661/
      3112524859871407845823072276041164247268216342653476787749764255924022448\
      1134890081877437786740268453620828036571093386436340329046870499094357920\
      6908566493487187470392969572735918390578712725010921676225199930351287632\
      1717249638400000000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(58)=
      +1/4052691950487721675568060190543232213498038479622660214518448128000000\
      0000000
      -253437484000080020709989/22188401799257701035043529637183764074733814758\
      94863572290187556930210811056480059392000000000000000*mncx*ep
      +18293607176574444372593593678807447331456694341/
      6431348411755681521294479096723996435923000132513217401529309175236603163\
      3402397012687537582844566673817600000000000000000*mncx^2*ep^2
      -6114663164756369544038057925035560094393828413770667987638707573783381/
      1197190832683916037803109971898668210843094746981721203315106348569273801\
      7434556094263808712617413553154015936370108278375448576000000000000000000
      *mncx^3*ep^3
      +220569163463251928291051703251587144455752191292848733792549208711775331\
      11710533210419589791141/2949567398097408961499342303008722761255015558537\
      0108280350003750485033435340206783044468470475008363083355384346551582700\
      273179873932992073263218688000000000000000000000*mncx^4*ep^4
      -515033004307886291234354996488621150575855501712906245224476615350485553\
      166148380812694029867515562216864519104279603/
      5382939485041975285473535816853312001450778067771969282109272880009741605\
      6515516221407417528410991065649770611379492240080847408835901813851585600\
      0409997461402675471974400000000000000000000000*mncx^5*ep^5
      +229085661554090147623513945989107151834215030237068701811348029165524538\
      8109980387231057913940806915342325096160903948701224186469281127/
      2048047446989935948886658259906868983305315089696943218819084446849957301\
      1864391423153528675138579134499811367226394907975252553286496931830513373\
      11620951582326305080537133865199437086720000000000000000000000000*mncx^6*
      ep^6
      -195145102928026214931338377293341246309862529097757781948407249044013444\
      6899462276454427069213561630482350708578180439963078301024237359857475348\
      96418466461641923/
      1584219751632943686568502986189713723677028309138747344726573971609861822\
      2955271981383240510346383195152277692820290631496751746776175206257829766\
      5039042780968765917758772810139637035536826774461522547730777374720000000\
      000000000000000000*mncx^7*ep^7
      +231543206655899785229337784945687145405364963219524140569493548473562578\
      2309562250215518067552484676708805510087310587299193728526493325727111965\
      38138059835631136056806341825748458619661/
      1774139170126702472119151197343463620942883315312481769017365625876692795\
      4246887346670139538441953018563871980845523230268713987556716184483784014\
      7937882901287696858123992656459473482629866253256225355448363960300233950\
      337883229388800000000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(59)=
      +1/2350561331282878571829474910515074683828862318181142924420699914240000\
      000000000
      -254381445831833111660789/12869273043569466600325247189566583163345612560\
      1902087192830878301952227041275843444736000000000000000*mncx*ep
      +18420732904818135655163833536031555942973966741/
      3730182078818295282350797876099917932835340076857666092886999321637229834\
      737339026735877179804984867081420800000000000000000*mncx^2*ep^2
      -6173783958591595859301500311845919793180875744134489388715040282748901/
      6943706829566713019258037837012275622889949532493982979227616821701788050\
      11204253467300905331809986082932924309466280145776017408000000000000000000
      *mncx^3*ep^3
      +223191680849731915619037211168081679354956306752642446125415997846488379\
      96720236286548117977141/1710749090896497197669618535745059201527909023951\
      4662802603002175281319392497319934165791712875504850588346122920999917966\
      15844432688113540249266683904000000000000000000000*mncx^4*ep^4
      -522055818570785098236643617307621221733875850538396472000398965388115237\
      764075272442983300581496634857706748556167203/
      3122104901324345665574650773774920960841451279307742183623378270405650131\
      2778999408416302166478374818076866954600105499246891497124823052033919648\
      023779852761355177374515200000000000000000000000*mncx^5*ep^5
      +332489669634029741305843672734826285873312286983282697022632181647745087\
      499418295323202151240170310881869176668721237033108981313615945561/
      1698650552533452876006594360766757134753428335394644705688548640217354585\
      6040326246363536683159937534154143547977571936674674467695820555260227791\
      662584172423814374337974988277964131197255680000000000000000000000000*
      mncx^6*ep^6
      -198246015596982996437698589211213915474416773461602001261469298776034326\
      0822425171148411559298001578654798135253299189941887779670744636271056125\
      70899862812102067/
      9188474559471073382097317319900339597326764193004734599414129035337198569\
      3140577492022794960009022531883210618357685662681160131301816196295412645\
      7226448129618842323000882298809894806113595291876830776838508773376000000\
      0000000000000000000*mncx^7*ep^7
      +235371002219959146979208148420391018114617719144175750907564826534919049\
      1738864046336435975718908880584632435512045123169864222437771827405618725\
      10004564626920146911325981960869089829661/
      1029000718673487433829107694459208900146872322881239426030072063008481821\
      3463194661068680932296332750767045748890403473555854112782895387000594728\
      5803972082746864177711915740746494619925322426888610706160051096974135691\
      19597227304550400000000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(60)=
      +1/1386831185456898357379390197203894063459028767726874325408212949401600\
      00000000000
      -15063255090319832863132951/447979394646653132357321854668812759916060773\
      220221165518244287369095702330681211031126016000000000000000*mncx*ep
      +64559182416183111558653247047075263779673478298221/
      7661010651656226667939245169955250451277893096449506044910390336785326262\
      28519951971987719311167987016315122483200000000000000000*mncx^2*ep^2
      -127998322051814362198461114412150706057104694970993834513254069802564402\
      3439/84139402332025335237749596622736905154057381757010822087156534198233\
      2001486937098399878676553236638477187418264347863385350062807502028800000\
      0000000000000*mncx^3*ep^3
      +273602963252532543998729824837805483646098097879267472844486454110780010\
      196612408795102855928648376901/
      1223056094574065540599416465264942892365840087884276240437232670545847239\
      4476252313312204790107529579577973089498663698731013331533326022583951152\
      69254121783296000000000000000000000*mncx^4*ep^4
      -378223624714978447096060315266267610761728836608780208880666893563799035\
      240562923780235349342422930154320076210191949449334497/
      1316920508210425477990840925600397341508888793541027063680807064089139200\
      7884352477450229320659622715128985415023909697131326069591504535224890411\
      86557925247378368803995260449665843200000000000000000000000*mncx^5*ep^5
      +109464405102945040435524417501149193676513662038968724682768861654791475\
      2474468759181813168659539665357592738281914663471920145331125098856754247\
      877/325180709211614789387905919627509407903052422640814621473289525326309\
      4544888995564073368643523550222863692220453511781901216465798820944191457\
      4565120968837960841505270643803627415042309595129392293478400000000000000\
      00000000000*mncx^6*ep^6
      -100212569301220736839430304691084365306852178549721555665941935351800047\
      5163753001717821182693930812432887617193452903522810703503756485838604601\
      41794022891149055925122788821/
      2698295480966616655613071231902137119206771888101889976363621456170990362\
      1043381323300955856992459550653741507093385864513288582206328845408356170\
      8564443683174623243719406221596075252009567814945583267041091947025913011\
      494715392000000000000000000000000*mncx^7*ep^7
      +351207585136394583091948709383071839518968848250265867628018515470311388\
      5150239285447048218985547473874964878960812648893730940478671133205823562\
      6912908460471813147520194245353154624908911353234265181/
      8914228923261348848424406870196350437862154336753415270630750692525819883\
      7269007401665281575385132577748581490306861607479569729023520616289560419\
      0716086030042001996034483348541719473901336096316916044238549299035007652\
      39639067529335416023842134425600000000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(61)=
      +1/8320987112741390144276341183223364380754172606361245952449277696409600\
      000000000000
      -15117092380124150817026911/268787636787991879414393112801287655949636463\
      93213269931094657242145742139840872661867560960000000000000000*mncx*ep
      +64990051213312906569171461890069960673344245546341/
      4596606390993736000763547101973150270766735857869703626946234202071195757\
      3711197118319263158670079220978907348992000000000000000000*mncx^2*ep^2
      -129187944047147683687136111701391100866726248978661418115640491515481602\
      4663/50483641399215201142649757973642143092434429054206493252293920518939\
      9200892162259039927205931941983086312450958608718031210037684501217280000\
      000000000000000*mncx^3*ep^3
      +276732771204833180031981191131949946023071135239987857078911912279715431\
      590621798277433201299751473501/
      7338336567444393243596498791589657354195040527305657442623396023275083436\
      6857513879873228740645177477467838536991982192386079989199956135503706916\
      155247306997760000000000000000000000*mncx^4*ep^4
      -383189805515547319903076180548138038156635543436622992425482208709349775\
      905464393081774262492091649173918878876186579683985817/
      7901523049262552867945045553602384049053332761246162382084842384534835204\
      7306114864701375923957736290773912490143458182787956417549027211349342471\
      193475514842702128239715626979950592000000000000000000000000*mncx^5*ep^5
      +759756888264348025637679416797016396158018728629174422858183401949156838\
      6846465754242588509928592928911941047574456713602815180982110540903893218\
      59/1334952385184523872224034827944512306128320471893870551311399103971165\
      1289544297578827513378675627230703578589230206262541836017489896507733351\
      6635759766808470823021637379825417809121060443162768362700800000000000000\
      000000000000*mncx^6*ep^6
      -254370602464589002840507787440612098466041884787729954888969219975578666\
      9899664450686585518072469631462157700447783519061089550153942038713209859\
      679959809386584995694462561829/
      4047443221449924983419606847853205678810157832152834964545432184256485543\
      1565071984951433785488689325980612260640078796769932873309493268112534256\
      2846665524761934865579109332394112878014351722418374900561637920538869517\
      242073088000000000000000000000000000*mncx^7*ep^7
      +356809931253815732921728040187835875038284664006068279177232787774521499\
      2696841948287974149745393469400247811436203241143253225609331733247247216\
      9379189639482879856035950943143269783762152585182844981/
      5348537353956809309054644122117810262717292602052049162378450415515491930\
      2361404440999168945231079546649148894184116964487741837414112369773736251\
      4429651618025201197620690009125031684340801657790149626543129579421004591\
      4378344051760124961430528065536000000000000000000000000000000*mncx^8*ep^8
      ;
Fill mncPOINV(62)=
      +1/5075802138772247988008568121766252272260045289880360030994059394809856\
      00000000000000
      -925372872575832277072279171/10001587964881177833009567727335913677885972\
      8229146577413603219598024306502347887174809194332160000000000000000*mncx*
      ep
      +243410484474130055165930332974242885014242613641574061/
      1043342315234149191189310684752967621608904471755123198947883185420322084\
      2038541233113224671018093251657013368981553152000000000000000000*mncx^2*
      ep^2
      -295905417679641091738851701138111064419087489101315103065728094834572786\
      930630643/698988471914551199804146867591531304157095407610323486738834508\
      7718796221079936784867644744907925519037771472293193891073967219383612018\
      765332480000000000000000000*mncx^3*ep^3
      +387461096305247242705659233827345705641720119854137555642854860958048346\
      4435373641491955063246971182874515341/
      6197931920356571556730994815927594511210578061907447772412840017316245376\
      0911533216997087343275805250957847274808679826347153522768402901408685633\
      172839017230519511285760000000000000000000000*mncx^4*ep^4
      -327812663385277533223750773646571585147341718313113544662986222340095344\
      002497440012987768655756693623962084307858857038590544119470117/
      4070894255200769687350829436967933183493226915141081187996065993149146265\
      9316318193938817520740948424427875219048446881723842813142783120000939920\
      67084716985383225675721579050188886341123571712000000000000000000000000*
      mncx^5*ep^5
      +754239098923343199993232951863667106988282601131294209732151012403227822\
      3042556841062986256905077948076165095839764556078501268151640383529445715\
      19848334340081/
      7971282885438836981424685703322245435272360354552061938974578319367501707\
      4780950435426212079396484813299520143150886009881096788956390866012624994\
      7055181567036114711580007867234557066887683082203673912433199462481920000\
      0000000000000000000000*mncx^6*ep^6
      -811457062994856173466476815506772454997034743851872884450456781183740822\
      2646402489810219336255186823692219847789214946341067413306106364517479784\
      022933828194003667276685881971765287935049/
      7759244644932240845038200342884199681017235288672401772398315121989327161\
      9288614929681903757863720741127805203048238815003565360841149243389140116\
      9678880723334654141993595381469896385880485512264274916800582352707870937\
      02139816032711347273728000000000000000000000000000*mncx^7*ep^7
      +694753818302624767446888984803040359433435569119476698779918520971871730\
      5813901200123711802998940886340255014808199403862947964828894832056561183\
      511875888554564204712001840056518501391426136949415638003952642124661/
      6254657720015147661523747364897891155002039295346074706118812769197178912\
      9477006365713292035794127870053227416017078063647886249877591101864084181\
      5285914538299974737298087112073745359571172635680152024696533144027005711\
      6184624061138757732482370290253675639642626457600000000000000000000000000\
      0000*mncx^8*ep^8
      ;
*--#] mncPOINV-pos : mncPOINV positive values
*--#[ mncPOINV-neg : mncPOINV negative values
*
Fill mncPOINV(-0)=
      +1
      ;
Fill mncPOINV(-1)=
      -1
      +mncx*ep
      ;
Fill mncPOINV(-2)=
      +2
      -3*mncx*ep
      +mncx^2*ep^2
      ;
Fill mncPOINV(-3)=
      -6
      +11*mncx*ep
      -6*mncx^2*ep^2
      +mncx^3*ep^3
      ;
Fill mncPOINV(-4)=
      +24
      -50*mncx*ep
      +35*mncx^2*ep^2
      -10*mncx^3*ep^3
      +mncx^4*ep^4
      ;
Fill mncPOINV(-5)=
      -120
      +274*mncx*ep
      -225*mncx^2*ep^2
      +85*mncx^3*ep^3
      -15*mncx^4*ep^4
      +mncx^5*ep^5
      ;
Fill mncPOINV(-6)=
      +720
      -1764*mncx*ep
      +1624*mncx^2*ep^2
      -735*mncx^3*ep^3
      +175*mncx^4*ep^4
      -21*mncx^5*ep^5
      +mncx^6*ep^6
      ;
Fill mncPOINV(-7)=
      -5040
      +13068*mncx*ep
      -13132*mncx^2*ep^2
      +6769*mncx^3*ep^3
      -1960*mncx^4*ep^4
      +322*mncx^5*ep^5
      -28*mncx^6*ep^6
      +mncx^7*ep^7
      ;
Fill mncPOINV(-8)=
      +40320
      -109584*mncx*ep
      +118124*mncx^2*ep^2
      -67284*mncx^3*ep^3
      +22449*mncx^4*ep^4
      -4536*mncx^5*ep^5
      +546*mncx^6*ep^6
      -36*mncx^7*ep^7
      +mncx^8*ep^8
      ;
Fill mncPOINV(-9)=
      -362880
      +1026576*mncx*ep
      -1172700*mncx^2*ep^2
      +723680*mncx^3*ep^3
      -269325*mncx^4*ep^4
      +63273*mncx^5*ep^5
      -9450*mncx^6*ep^6
      +870*mncx^7*ep^7
      -45*mncx^8*ep^8
      ;
Fill mncPOINV(-10)=
      +3628800
      -10628640*mncx*ep
      +12753576*mncx^2*ep^2
      -8409500*mncx^3*ep^3
      +3416930*mncx^4*ep^4
      -902055*mncx^5*ep^5
      +157773*mncx^6*ep^6
      -18150*mncx^7*ep^7
      +1320*mncx^8*ep^8
      ;
Fill mncPOINV(-11)=
      -39916800
      +120543840*mncx*ep
      -150917976*mncx^2*ep^2
      +105258076*mncx^3*ep^3
      -45995730*mncx^4*ep^4
      +13339535*mncx^5*ep^5
      -2637558*mncx^6*ep^6
      +357423*mncx^7*ep^7
      -32670*mncx^8*ep^8
      ;
Fill mncPOINV(-12)=
      +479001600
      -1486442880*mncx*ep
      +1931559552*mncx^2*ep^2
      -1414014888*mncx^3*ep^3
      +657206836*mncx^4*ep^4
      -206070150*mncx^5*ep^5
      +44990231*mncx^6*ep^6
      -6926634*mncx^7*ep^7
      +749463*mncx^8*ep^8
      ;
Fill mncPOINV(-13)=
      -6227020800
      +19802759040*mncx*ep
      -26596717056*mncx^2*ep^2
      +20313753096*mncx^3*ep^3
      -9957703756*mncx^4*ep^4
      +3336118786*mncx^5*ep^5
      -790943153*mncx^6*ep^6
      +135036473*mncx^7*ep^7
      -16669653*mncx^8*ep^8
      ;
Fill mncPOINV(-14)=
      +87178291200
      -283465647360*mncx*ep
      +392156797824*mncx^2*ep^2
      -310989260400*mncx^3*ep^3
      +159721605680*mncx^4*ep^4
      -56663366760*mncx^5*ep^5
      +14409322928*mncx^6*ep^6
      -2681453775*mncx^7*ep^7
      +368411615*mncx^8*ep^8
      ;
Fill mncPOINV(-15)=
      -1307674368000
      +4339163001600*mncx*ep
      -6165817614720*mncx^2*ep^2
      +5056995703824*mncx^3*ep^3
      -2706813345600*mncx^4*ep^4
      +1009672107080*mncx^5*ep^5
      -272803210680*mncx^6*ep^6
      +54631129553*mncx^7*ep^7
      -8207628000*mncx^8*ep^8
      ;
Fill mncPOINV(-16)=
      +20922789888000
      -70734282393600*mncx*ep
      +102992244837120*mncx^2*ep^2
      -87077748875904*mncx^3*ep^3
      +48366009233424*mncx^4*ep^4
      -18861567058880*mncx^5*ep^5
      +5374523477960*mncx^6*ep^6
      -1146901283528*mncx^7*ep^7
      +185953177553*mncx^8*ep^8
      ;
Fill mncPOINV(-17)=
      -355687428096000
      +1223405590579200*mncx*ep
      -1821602444624640*mncx^2*ep^2
      +1583313975727488*mncx^3*ep^3
      -909299905844112*mncx^4*ep^4
      +369012649234384*mncx^5*ep^5
      -110228466184200*mncx^6*ep^6
      +24871845297936*mncx^7*ep^7
      -4308105301929*mncx^8*ep^8
      ;
Fill mncPOINV(-18)=
      +6402373705728000
      -22376988058521600*mncx*ep
      +34012249593822720*mncx^2*ep^2
      -30321254007719424*mncx^3*ep^3
      +17950712280921504*mncx^4*ep^4
      -7551527592063024*mncx^5*ep^5
      +2353125040549984*mncx^6*ep^6
      -557921681547048*mncx^7*ep^7
      +102417740732658*mncx^8*ep^8
      ;
Fill mncPOINV(-19)=
      -121645100408832000
      +431565146817638400*mncx*ep
      -668609730341153280*mncx^2*ep^2
      +610116075740491776*mncx^3*ep^3
      -371384787345228000*mncx^4*ep^4
      +161429736530118960*mncx^5*ep^5
      -52260903362512720*mncx^6*ep^6
      +12953636989943896*mncx^7*ep^7
      -2503858755467550*mncx^8*ep^8
      ;
Fill mncPOINV(-20)=
      +2432902008176640000
      -8752948036761600000*mncx*ep
      +13803759753640704000*mncx^2*ep^2
      -12870931245150988800*mncx^3*ep^3
      +8037811822645051776*mncx^4*ep^4
      -3599979517947607200*mncx^5*ep^5
      +1206647803780373360*mncx^6*ep^6
      -311333643161390640*mncx^7*ep^7
      +63030812099294896*mncx^8*ep^8
      ;
Fill mncPOINV(-21)=
      -51090942171709440000
      +186244810780170240000*mncx*ep
      -298631902863216384000*mncx^2*ep^2
      +284093315901811468800*mncx^3*ep^3
      -181664979520697076096*mncx^4*ep^4
      +83637381699544802976*mncx^5*ep^5
      -28939583397335447760*mncx^6*ep^6
      +7744654310169576800*mncx^7*ep^7
      -1634980697246583456*mncx^8*ep^8
      ;
Fill mncPOINV(-22)=
      +1124000727777607680000
      -4148476779335454720000*mncx*ep
      +6756146673770930688000*mncx^2*ep^2
      -6548684852703068697600*mncx^3*ep^3
      +4280722865357147142912*mncx^4*ep^4
      -2021687376910682741568*mncx^5*ep^5
      +720308216440924653696*mncx^6*ep^6
      -199321978221066137360*mncx^7*ep^7
      +43714229649594412832*mncx^8*ep^8
      ;
Fill mncPOINV(-23)=
      -25852016738884976640000
      +96538966652493066240000*mncx*ep
      -159539850276066860544000*mncx^2*ep^2
      +157375898285941510732800*mncx^3*ep^3
      -105005310755917452984576*mncx^4*ep^4
      +50779532534302850198976*mncx^5*ep^5
      -18588776355051949776576*mncx^6*ep^6
      +5304713715525445812976*mncx^7*ep^7
      -1204749260161737632496*mncx^8*ep^8
      ;
Fill mncPOINV(-24)=
      +620448401733239439360000
      -2342787216398718566400000*mncx*ep
      +3925495373278097719296000*mncx^2*ep^2
      -3936561409138663118131200*mncx^3*ep^3
      +2677503356427960382362624*mncx^4*ep^4
      -1323714091579185857760000*mncx^5*ep^5
      +496910165055549644836800*mncx^6*ep^6
      -145901905527662649288000*mncx^7*ep^7
      +34218695959407148992880*mncx^8*ep^8
      ;
Fill mncPOINV(-25)=
      -15511210043330985984000000
      +59190128811701203599360000*mncx*ep
      -100480171548351161548800000*mncx^2*ep^2
      +102339530601744675672576000*mncx^3*ep^3
      -70874145319837672677196800*mncx^4*ep^4
      +35770355645907606826362624*mncx^5*ep^5
      -13746468217967926978680000*mncx^6*ep^6
      +4144457803247115877036800*mncx^7*ep^7
      -1001369304512841374110000*mncx^8*ep^8
      ;
Fill mncPOINV(-26)=
      +403291461126605635584000000
      -1554454559147562279567360000*mncx*ep
      +2671674589068831403868160000*mncx^2*ep^2
      -2761307967193712729035776000*mncx^3*ep^3
      +1945067308917524165279692800*mncx^4*ep^4
      -1000903392113435450162625024*mncx^5*ep^5
      +393178529313073708272042624*mncx^6*ep^6
      -121502371102392939781636800*mncx^7*ep^7
      +30180059720580991603896800*mncx^8*ep^8
      ;
Fill mncPOINV(-27)=
      -10888869450418352160768000000
      +42373564558110787183902720000*mncx*ep
      -73689668464006010184007680000*mncx^2*ep^2
      +77226989703299075087834112000*mncx^3*ep^3
      -55278125307966865191587481600*mncx^4*ep^4
      +28969458895980281319670568448*mncx^5*ep^5
      -11616723683566425573507775872*mncx^6*ep^6
      +3673742549077683082376236224*mncx^7*ep^7
      -936363983558079713086850400*mncx^8*ep^8
      ;
Fill mncPOINV(-28)=
      +304888344611713860501504000000
      -1197348677077520393310044160000*mncx*ep
      +2105684281550279072336117760000*mncx^2*ep^2
      -2236045380156380112643362816000*mncx^3*ep^3
      +1625014498326371300452283596800*mncx^4*ep^4
      -866422974395414742142363398144*mncx^5*ep^5
      +354237722035840197377888292864*mncx^6*ep^6
      -114481515057741551880042390144*mncx^7*ep^7
      +29891934088703915048808047424*mncx^8*ep^8
      ;
Fill mncPOINV(-29)=
      -8841761993739701954543616000000
      +35027999979859805266492784640000*mncx*ep
      -62262192842035613491057459200000*mncx^2*ep^2
      +66951000306085302338993639424000*mncx^3*ep^3
      -49361465831621147825759587123200*mncx^4*ep^4
      +26751280755793398822580822142976*mncx^5*ep^5
      -11139316913434780466101123891200*mncx^6*ep^6
      +3674201658710345201899117607040*mncx^7*ep^7
      -981347603630155088295475765440*mncx^8*ep^8
      ;
Fill mncPOINV(-30)=
      +265252859812191058636308480000000
      -1059681761389533859949327155200000*mncx*ep
      +1902893785240928209998216560640000*mncx^2*ep^2
      -2070792202024594683660866641920000*mncx^3*ep^3
      +1547794975254719737111781253120000*mncx^4*ep^4
      -851899888505423112503184251412480*mncx^5*ep^5
      +360930788158836812805614538878976*mncx^6*ep^6
      -121365366674745136523074652102400*mncx^7*ep^7
      +33114629767614997850763390570240*mncx^8*ep^8
      ;
Fill mncPOINV(-31)=
      -8222838654177922817725562880000000
      +33115387462887740717065450291200000*mncx*ep
      -60049389103858308369894040535040000*mncx^2*ep^2
      +66097452048003363403485082460160000*mncx^3*ep^3
      -50052436434920906534126085488640000*mncx^4*ep^4
      +27956691518922836224710493046906880*mncx^5*ep^5
      -12040754321429364309477234956660736*mncx^6*ep^6
      +4123257155075936045020928754053376*mncx^7*ep^7
      -1147918889470810069896739759779840*mncx^8*ep^8
      ;
Fill mncPOINV(-32)=
      +263130836933693530167218012160000000
      -1067915237466585625763819972198400000*mncx*ep
      +1954695838786353608553674747412480000*mncx^2*ep^2
      -2175167854639965937281416679260160000*mncx^3*ep^3
      +1667775417965472372495519818096640000*mncx^4*ep^4
      -944666565040451665724861862989660160*mncx^5*ep^5
      +413260829804662494127982011660050432*mncx^6*ep^6
      -143984983283859317750146955086368768*mncx^7*ep^7
      +40856661618141858281716601067008256*mncx^8*ep^8
      ;
Fill mncPOINV(-33)=
      -8683317618811886495518194401280000000
      +35504333673331019180373277094707200000*mncx*ep
      -65572877917416254708035086636810240000*mncx^2*ep^2
      +73735235041905229538840425162997760000*mncx^3*ep^3
      -57211756647500554229633570676449280000*mncx^4*ep^4
      +32841772064300377341415961296755425280*mncx^5*ep^5
      -14582273948594313971948268247771324416*mncx^6*ep^6
      +5164765278172019979882831529510219776*mncx^7*ep^7
      -1492254816682540641046794790297641216*mncx^8*ep^8
      ;
Fill mncPOINV(-34)=
      +295232799039604140847618609643520000000
      -1215830662512066538628209615621324800000*mncx*ep
      +2264982182865483679253566222746255360000*mncx^2*ep^2
      -2572570869342194059028609542178734080000*mncx^3*ep^3
      +2018934961056924073346381828162273280000*mncx^4*ep^4
      -1173832006833713383837776254766133739520*mncx^5*ep^5
      +528639086316507052387657081720980455424*mncx^6*ep^6
      -190184293406442993287964540251118796800*mncx^7*ep^7
      +55901429045378401775473854399630021120*mncx^8*ep^8
      ;
Fill mncPOINV(-35)=
      -10333147966386144929666651337523200000000
      +42849305986961932992834955156389888000000*mncx*ep
      -80490207062803995312503027411740262400000*mncx^2*ep^2
      +92304962609842275745254900199001948160000*mncx^3*ep^3
      -73235294506334536626151973527858298880000*mncx^4*ep^4
      +43103055200236892507668550744976954163200*mncx^5*ep^5
      -19676200027911460217405774115000449679360*mncx^6*ep^6
      +7185089355542011817466415990510138343424*mncx^7*ep^7
      -2146734309994687055429549444238169536000*mncx^8*ep^8
      ;
Fill mncPOINV(-36)=
      +371993326789901217467999448150835200000000
      -1552908163497015732671725036967559168000000*mncx*ep
      +2940496760247905764242943941979039334400000*mncx^2*ep^2
      -3403468861017125922141679434575810396160000*mncx^3*ep^3
      +2728775564837885594286725947201900707840000*mncx^4*ep^4
      -1624945281714862666902219800347028648755200*mncx^5*ep^5
      +751446256205049460334276418884993142620160*mncx^6*ep^6
      -278339416827423885646196749773365430042624*mncx^7*ep^7
      +84467524515350745812930195983084241639424*mncx^8*ep^8
      ;
Fill mncPOINV(-37)=
      -13763753091226345046315979581580902400000000
      +57829595376179483326321825815950524416000000*mncx*ep
      -110351288292669529009660650890192014540800000*mncx^2*ep^2
      +128868844617881564883485083021284023992320000*mncx^3*ep^3
      -104368164760018892910750539481046136586240000*mncx^4*ep^4
      +62851750988287804269668858560041960711782400*mncx^5*ep^5
      -29428456761301692699270447299091774925701120*mncx^6*ep^6
      +11050004678819733229243556160499514054197248*mncx^7*ep^7
      -3403637823895401480724614001147482370701312*mncx^8*ep^8
      ;
Fill mncPOINV(-38)=
      +523022617466601111760007224100074291200000000
      -2211288377386046711446545360587700830208000000*mncx*ep
      +4251178550497621585693426559643247076966400000*mncx^2*ep^2
      -5007367383772168994582093805698984926248960000*mncx^3*ep^3
      +4094859105498599495492005583301037214269440000*mncx^4*ep^4
      -2492734702314955455158167164762640643633971200*mncx^5*ep^5
      +1181133107917752126841945855925529407888424960*mncx^6*ep^6
      -449328634556451555410525581398073308985196544*mncx^7*ep^7
      +140388241986844989496778888204103844140847104*mncx^8*ep^8
      ;
Fill mncPOINV(-39)=
      -20397882081197443358640281739902897356800000000
      +86763269335522422858175276287020406669312000000*mncx*ep
      -168007251846793288553490181186674336831897600000*mncx^2*ep^2
      +199538506517612212374395084981903659200675840000*mncx^3*ep^3
      -164706872498217549318770311554439436282757120000*mncx^4*ep^4
      +101311512495781862246660525009044022315994316800*mncx^5*ep^5
      -48556925911107288401994055545858287551282544640*mncx^6*ep^6
      +18704949855619362787852443530450388458311090176*mncx^7*ep^7
      -5924470072043406145784902221358123230478233600*mncx^8*ep^8
      ;
Fill mncPOINV(-40)=
      +815915283247897734345611269596115894272000000000
      -3490928655502094357685651333220719164129280000000*mncx*ep
      +6807053343207253964997782523753993879945216000000*mncx^2*ep^2
      -8149547512551281783529293580462820704858931200000*mncx^3*ep^3
      +6787813406446314185125207547159481110510960640000*mncx^4*ep^4
      -4217167372329492039185191311916200328922529792000*mncx^5*ep^5
      +2043588548940073398326422746843375524367296102400*mncx^6*ep^6
      -796754920135881799916091796763873825883726151680*mncx^7*ep^7
      +255683752737355608619248532384775317677440434176*mncx^8*ep^8
      ;
Fill mncPOINV(-41)=
      -33452526613163807108170062053440751665152000000000
      +143943990158833766399457315931645601623572480000000*mncx*ep
      -282580115726999506922594734807134468241883136000000*mncx^2*ep^2
      +340938501357809807089698819322729642779161395200000*mncx^3*ep^3
      -286449897176850163373662803014001546235808317440000*mncx^4*ep^4
      +179691675671955487791718051335723694596334682112000*mncx^5*ep^5
      -88004297878872501370568523932494596827981669990400*mncx^6*ep^6
      +34710540274511227194886186414162202385600068321280*mncx^7*ep^7
      -11279788782367461753305281624539661850658783952896*mncx^8*ep^8
      ;
Fill mncPOINV(-42)=
      +1405006117752879898543142606244511569936384000000000
      -6079100113284181995885377331182556019855196160000000*mncx*ep
      +12012308850692813057148436177831293267782664192000000*mncx^2*ep^2
      -14601997172755011404689945146361779464966661734400000*mncx^3*ep^3
      +12371834182785516668783536545910794584683110727680000*mncx^4*ep^4
      -7833500275398980650625820959114396719281864966144000*mncx^5*ep^5
      +3875872186584600545355596056500496761371564821708800*mncx^6*ep^6
      -1545846989408344043555788353327307097023184539484160*mncx^7*ep^7
      +508461669133944620833708014644828000113268994342912*mncx^8*ep^8
      ;
Fill mncPOINV(-43)=
      -60415263063373835637355132068513997507264512000000000
      +262806310988972705721614367847094420423709818880000000*mncx*ep
      -522608380693075143453268132977928166534509756416000000*mncx^2*ep^2
      +639898187279158303458816077471387810261349118771200000*mncx^3*ep^3
      -546590867032532228162382016620525946606340423024640000*mncx^4*ep^4
      +349212346024941684645693837787829853513803304271872000*mncx^5*ep^5
      -174496004298536804100916451388635757458259152299622400*mncx^6*ep^6
      +70347292731143394418254495249574701933368500019527680*mncx^7*ep^7
      -23409698762167962739405232983054911101893751296229376*mncx^8*ep^8
      ;
Fill mncPOINV(-44)=
      +2658271574788448768043625811014615890319638528000000000
      -11623892946578172887388387317340668496150496542720000000*mncx*ep
      +23257575061484279017665412218875933747942139101184000000*mncx^2*ep^2
      -28678128620976040495641175541718991818033870982348800000*mncx^3*ep^3
      +24689896336710576342603624808774529460940327731855360000*mncx^4*ep^4
      -15911934092129966352572910879285039501213685810987008000*mncx^5*ep^5
      +8027036535160561065086017698887803181677206005455257600*mncx^6*ep^6
      -3269776884468846158504114242369922642526473153158840320*mncx^7*ep^7
      +1100374038266533754952084746503990790416693557053620224*mncx^8*ep^8
      ;
Fill mncPOINV(-45)=
      -119622220865480194561963161495657715064383733760000000000
      +525733454170806228700521055091344698217091982950400000000*mncx*ep
      -1058214770713370728682331937166757687153546756096000000000*mncx^2*ep^2
      +1313773363005406101321518311596230565559466333306880000000*mncx^3*ep^3
      -1139723463772951975912804291936572817560348618915840000000*mncx^4*ep^4
      +740726930482559062208384614376601307015556189226270720000*mncx^5*ep^5
      -377128578174355214281443707329236182676687956056473600000*mncx^6*ep^6
      +155166996336258638197771158605534322095368497897603072000*mncx^7*ep^7
      -52786608606462865131347927835049508211277683220571750400*mncx^8*ep^8
      ;
Fill mncPOINV(-46)=
      +5502622159812088949850305428800254892961651752960000000000
      -24303361112722566714785931695697513833050614949478400000000*mncx*ep
      +49203612906985859748087790164762198307280242763366400000000*mncx^2*ep^2
      -61491789468962051389472174270593363702888998088212480000000*mncx^3*ep^3
      +53741052696561196993310515740678580173335502803435520000000*mncx^4*ep^4
      -35213162265970668837498496553260232940275933323324293120000*mncx^5*ep^5
      +18088641526502898919154795151521465710143202167824056320000*mncx^6*ep^6
      -7514810409642252571378917003183814999063638859346214912000*mncx^7*ep^7
      +2583350992233550434239775839017811699814141926043903590400*mncx^8*ep^8
      ;
Fill mncPOINV(-47)=
      -258623241511168180642964355153611979969197632389120000000000
      +1147760594457772724544789095126583405046340554378444800000000*mncx*ep
      -2336873167741057974874912069439520834275222024827699200000000*mncx^2*
      ep^2
      +2939317717948202275053279980882650292343063152909352960000000*mncx^3*
      ep^3
      -2587321266207338310075066414082486631849657629849681920000000*mncx^4*
      ep^4
      +1708759679197182632355739853743909528366304368999677296640000*mncx^5*
      ep^5
      -885379314011606918037773868674769121317006435211054940160000*mncx^6*ep^6
      +371284730779688769773963894301160770666134228557096157184000*mncx^7*ep^7
      -128932307044619122980648381437020964890328309383409683660800*mncx^8*ep^8
      ;
Fill mncPOINV(-48)=
      +12413915592536072670862289047373375038521486354677760000000000
      -55351131775484258958792840921229615422193544242554470400000000*mncx*ep
      +113317672646028555518540568428223583450256997746108006400000000*mncx^2*
      ep^2
      -143424123629254767177432351151806734866742253364476641280000000*mncx^3*
      ep^3
      +127130738495900441158656467856842008621126629385694085120000000*mncx^4*
      ep^4
      -84607785867672104663150579393790143993432267341834192158720000*mncx^5*
      ep^5
      +44206966751754314698168885550132827351582613259130314424320000*mncx^6*
      ep^6
      -18707046391436667867188040795130486113291449405951670484992000*mncx^7*
      ep^7
      +6560035468921406672845086203278167085401893078960760972902400*mncx^8*
      ep^8
      ;
Fill mncPOINV(-49)=
      -608281864034267560872252163321295376887552831379210240000000000
      +2724619372591264761651711494187624530726005154239846809600000000*mncx*ep
      -5607917091430883479367280693904185204484786433801846784000000000*mncx^2*
      ep^2
      +7141099730479512147212725774866753591920627412605463429120000000*mncx^3*
      ep^3
      -6372830309928376383951599276137065157301947093263486812160000000*mncx^4*
      ep^4
      +4272912246011833569653034858152559064299307729135569500897280000*mncx^5*
      ep^5
      -2250749156703633524873425971350298684220980317039219598950400000*mncx^6*
      ep^6
      +960852239932151040190382884511526646902863634150762168188928000*mncx^7*
      ep^7
      -340148784368585594836597264755760673297984210275028958157209600*mncx^8*
      ep^8
      ;
Fill mncPOINV(-50)=
      +30414093201713378043612608166064768844377641568960512000000000000
      -136839250493597505643457826872702521913187810543371550720000000000*mncx*
      ep
      +283120473944135438730015746189396884754965326844332186009600000000*
      mncx^2*ep^2
      -362662903615406490840003569437241864800516157064075018240000000000*
      mncx^3*ep^3
      +325782615226898331344792689581720011457017982075779804037120000000*
      mncx^4*ep^4
      -220018442610520054866603342183765018372267333550041961857024000000*
      mncx^5*ep^5
      +116810370081193509813324333425667493275348323581096549448417280000*
      mncx^6*ep^6
      -50293361153311185534392570196926631029364162024577328008396800000*mncx^7
      *ep^7
      +17968291458361430782020246122299560311802074147902210076049408000*mncx^8
      *ep^8
      ;
Fill mncPOINV(-51)=
      -1551118753287382280224243016469303211063259720016986112000000000000
      +7009215868375186165859961778673893386416955979280909598720000000000*mncx
      *ep
      -14575983421644504880874260882531943644416419479604313037209600000000*
      mncx^2*ep^2
      +18778928558329866471570197787488731989581289337112158116249600000000*
      mncx^3*ep^3
      -16977576280187221389424430738104962449108433242928845024133120000000*
      mncx^4*ep^4
      +11546723188363421129541563140953735948442651993127919858745344000000*
      mncx^5*ep^5
      -6177347316751389055346144346892807175415031836185965983726305280000*
      mncx^6*ep^6
      +2681771788900063972067345413468925675772920586834540277876654080000*
      mncx^7*ep^7
      -966676225529744155417425122434204206931269943567590041886916608000*
      mncx^8*ep^8
      ;
Fill mncPOINV(-52)=
      +80658175170943878571660636856403766975289505440883277824000000000000
      -366030343908797062904942255507511759304744970642624285245440000000000*
      mncx*ep
      +764960353793889439971321527670334962896070768918705187533619200000000*
      mncx^2*ep^2
      -991080268454797561402524545831946007102643465009436535082188800000000*
      mncx^3*ep^3
      +901612895128065378721640596168946779343219817969412099371171840000000*
      mncx^4*ep^4
      -617407182075085120125585714067699231768126336885580677678891008000000*
      mncx^5*ep^5
      +332768783659435652007541069179379709070024307474798151012513218560000*
      mncx^6*ep^6
      -145629480339554715602848105847276942315606902351582060433312317440000*
      mncx^7*ep^7
      +52948935516446760053773451780047544436198957652349222455996317696000*
      mncx^8*ep^8
      ;
Fill mncPOINV(-53)=
      -4274883284060025564298013753389399649690343788366813724672000000000000
      +19480266402337188212533600178754527010126772949499970395832320000000000*
      mncx*ep
      -40908929094984937381384983222035264792796495723333999224527257600000000*
      mncx^2*ep^2
      +53292214581898160194305122456763473339336174414418841546889625600000000*
      mncx^3*ep^3
      -48776563710242262633649476142786125312293293817388277801754296320000000*
      mncx^4*ep^4
      +33624193545107576745377683441757006063053915672905188016352395264000000*
      mncx^5*ep^5
      -18254152716025174676525262380574823812479414633049882681342091591680000*
      mncx^6*ep^6
      +8051131241655835578958490679085057651797190132108647353978066042880000*
      mncx^7*ep^7
      -2951923062711232998452841050189796797434151657926090850601117155328000*
      mncx^8*ep^8
      ;
Fill mncPOINV(-54)=
      +230843697339241380472092742683027581083278564571807941132288000000000000
      -1056209269010268189041112423406133858196536083061365215099617280000000000
      *mncx*ep
      +2228562437531523806807322694168658825821137542009535928520304230400000000
      *mncx^2*ep^2
      -2918688516517485587873861595887262825116949914101951442756567040000000000
      *mncx^3*ep^3
      +2687226654934980342411376834167214240203174040553385842841621626880000000
      *mncx^4*ep^4
      -1864483015146051406884044381997664452717204740154268430684783640576000000
      *mncx^5*ep^5
      +1019348440210467009277741851992797491936942305857598852808825341214720000
      *mncx^6*ep^6
      -453015239765440295940283759051167937009527681766916839796157657907200000
      *mncx^7*ep^7
      +167454976628062417495411907389334084713241379660117553286438392430592000
      *mncx^8*ep^8
      ;
Fill mncPOINV(-55)=
      -126964033536582759259651008475665169595803210514494367622758400000000000\
      00
      +583223534929039917777332760300203897818927631329468947716112384000000000\
      00*mncx*ep
      -123627143333244077563443860602682369278359100893585841283716349952000000\
      000*mncx^2*ep^2
      +162756430845993231139869710467968114207253382817616865280131491430400000\
      000*mncx^3*ep^3
      -150716154537941404420499587475084046036291522144538172799045756518400000\
      000*mncx^4*ep^4
      +105233792487967807721033817844038759139649434749038149530504721858560000\
      000*mncx^5*ep^5
      -579286472267217369171598462416015265092490315623222053351701774073856000\
      00*mncx^6*ep^6
      +259351866273096832859933485998070340274609648030380250415974965261107200\
      00*mncx^7*ep^7
      -9663038954308873258187938665464542596237803563073382270550269241589760000
      *mncx^8*ep^8
      ;
Fill mncPOINV(-56)=
      +710998587804863451854045647463724949736497978881168458687447040000000000\
      000
      -327874819895628181547902855852870834474557505649647554397250519040000000\
      0000*mncx*ep
      +698144238015457233533058946978023306937000241317375400665972683571200000\
      0000*mncx^2*ep^2
      -923798727070886502139614764680889676488454853868013029697107987005440000\
      0000*mncx^3*ep^3
      +860286108497071187868784660907267469223957862291175454202669385646080000\
      0000*mncx^4*ep^4
      -604380853386413863679839338674125455785665986809067454650731018059776000\
      0000*mncx^5*ep^5
      +334923803718438507508198520737372424365759520223908164830003465667215360\
      0000*mncx^6*ep^6
      -151029909835606400093278736783079543204706306053245160766462998286958592\
      0000*mncx^7*ep^7
      +567065368068606585744517913865821419416777964335147432192412574055137280\
      000*mncx^8*ep^8
      ;
Fill mncPOINV(-57)=
      -405269195048772167556806019054323221349803847962266021451844812800000000\
      00000
      +187599645928312926934158673483600100600234276199180274465120242892800000\
      000000*mncx*ep
      -401220963867766904929322628336001993298835712607400453923576934825984000\
      000000*mncx^2*ep^2
      +533546716810559878554911005337887348667789269117941180934011279428812800\
      000000*mncx^3*ep^3
      -499601069114039442106603404363951354222540530044650139192492629688320000\
      000000*mncx^4*ep^4
      +353099947515226614176196269653324184490069191104080203692943374150533120\
      000000*mncx^5*ep^5
      -196950376653374087916471550207043536446339586395718328499609285610910515\
      200000*mncx^6*ep^6
      +894362866434800331282508651737290638703401896525888232851839436802385510\
      40000*mncx^7*ep^7
      -338330250782666393883703084581826163388034070276358552426321467040124108\
      80000*mncx^8*ep^8
      ;
Fill mncPOINV(-58)=
      +235056133128287857182947491051507468382886231818114292442069991424000000\
      0000000
      -109213063833470269789368836639542381569485684043486825211221585690624000\
      00000000*mncx*ep
      +234584155502587934128348711169717157119327056074284066020325824627998720\
      00000000*mncx^2*ep^2
      -313469305388802398611141609379334682160306133214479889480962311416971264\
      00000000*mncx^3*ep^3
      +295104087254248475207379084584470658935751400117076492540985838013513728\
      00000000*mncx^4*ep^4
      -209793980249971830643259870442567540546465536140813019533832083304192409\
      60000000*mncx^5*ep^5
      +117762217934109237133315461816618492983777652020557432566702819395833430\
      01600000*mncx^6*ep^6
      -538425500197521600935502173028332924092607058624587007904027801906474647\
      5520000*mncx^7*ep^7
      +205175174118294511765372875574832081152093779725546842735784845251295838\
      2080000*mncx^8*ep^8
      ;
Fill mncPOINV(-59)=
      -138683118545689835737939019720389406345902876772687432540821294940160000\
      000000000
      +646707637948757470329105611083815125943794398174753411670628055488921600\
      000000000*mncx*ep
      -139496782384861583833619427956528546516097819924262467204104452387425484\
      8000000000*mncx^2*ep^2
      +187292731734419294521857036645504634045773889157285975453971021982293032\
      9600000000*mncx^3*ep^3
      -177246104533894624358465075998631035593696387401219929493991267542142812\
      1600000000*mncx^4*ep^4
      +126729489220025864831597114406959555511772180324250446450370787529608658\
      9440000000*mncx^5*ep^5
      -715776483836241682150887211762305862658934700535370154096929842765836478\
      054400000*mncx^6*ep^6
      +329447266909948668265277828268378274513015929790562077920046685064403385\
      057280000*mncx^7*ep^7
      -126437607731768977950925018319434257120661400624318507293153336717329291\
      018240000*mncx^8*ep^8
      ;
Fill mncPOINV(-60)=
      +832098711274139014427634118322336438075417260636124595244927769640960000\
      0000000000
      -389411413954711380554842756847492969629735667672578921327785046242754560\
      00000000000*mncx*ep
      +843447770688657077705007623850009430356024863527322337341332994879442124\
      80000000000*mncx^2*ep^2
      -113770606864500192551450416266868065892625311693614209944423657713250074\
      624000000000*mncx^3*ep^3
      +108220590037680967560297615965633667696675571332304817450934470745108617\
      625600000000*mncx^4*ep^4
      -778101545773544651425429194041620436630002720685624671651623851931866234\
      88000000000*mncx^5*ep^5
      +442138839223747595773692038498079473146538038353647137103194984412462752\
      72704000000*mncx^6*ep^6
      -204826124984331617780675569078650023334398904879690948292997309466300395\
      81491200000*mncx^7*ep^7
      +791570373081608734532077892743443370175269996724967251550924688810416084\
      6151680000*mncx^8*ep^8
      ;
Fill mncPOINV(-61)=
      -507580213877224798800856812176625227226004528988036003099405939480985600\
      000000000000
      +238373061223648081152881715795293047912214174540909266605193805977721241\
      6000000000000*mncx*ep
      -518397254259627931205603078116980682213472523428392414991490977338887241\
      7280000000000*mncx^2*ep^2
      +702435179580337745340897615466395296248574649966319904034397641999619876\
      4544000000000*mncx^3*ep^3
      -671522659916303921372960499017052179538983516296420807445142637316487574\
      9785600000000*mncx^4*ep^4
      +485464001925630334125541569961951833113969216751461531452583996752949265\
      0393600000000*mncx^5*ep^5
      -277485707384221479936206435424244682985688230602581000349465179010920941\
      5122944000000*mncx^6*ep^6
      +129365324632679762803949017522957308965448712360147949829760308618567868\
      9743667200000*mncx^7*ep^7
      -503340540078214489842635071481365458140354588490199118275363791120983851\
      196743680000*mncx^8*ep^8
      ;
*--#] mncPOINV-neg : mncPOINV negative values
*--#[ Program to extend the tables :
*
#if ( 1==2 )
#-
*
*	Program to extend the pochtables in mincer.
*
#define TYPE "POINVpos"
S	mncx,ep(:8),n,j,x;
CF	den,num;
Format nospaces;
Format 80;
Off Statistics;
.global
G	F0 = 1;
#if ( `TYPE' == POpos )
	G	F1 = 1;
#elseif ( `TYPE' == POINVpos )
	G	F1 = 1;
#endif
#do i = 1,51
#switch `TYPE'
#case POneg
G	F`i' = -F{`i'-1}*den(1,-mncx*ep/`i')/`i';
repeat id den(1,x?) = 1-x*den(1,x);
#break
#case POpos
G	F{`i'+1} = F`i'*(`i'+mncx*ep);
#break
#case POINVneg
G	F`i' = F{`i'-1}*(-`i'+mncx*ep);
#break
#case POINVpos
G	F{`i'+1} = F`i'*den(1,mncx*ep/`i')/`i';
repeat id den(1,x?) = 1-x*den(1,x);
#break
#endswitch
Print +f +s;
.store
#enddo

.end
#endif
*
*--#] Program to extend the tables :
#endprocedure
*--#] pochtabl :
*--#[ projectP :
*
#procedure projectP(topo,power)
*
*	Projects out the P, using harmonic projections.
*
id	1/P.Q = 1/Q.Q/mncproexp;
#do mnci = 1,8
id	1/P.p`mnci' = 1/P.p`mnci'/mncproexp;
#enddo
id  P = mncproexp*P;
if ( count(mncproexp,1) > `power' ) discard;

id	mncepexp(mncp?mncpp18[mncn],mncx?) = mncee18[mncn]^mncx/mnceq^mncx;
id	mncepexp(-mncp?mncpp18[mncn],mncx?) = mncee18[mncn]^mncx/mnceq^mncx;
id	mncepexp(-mncp?[mncPp],mncx?) = mncepexp(mncp,mncx);

id  mncepexp([P+Q],mncx?) = mncepexp( mncproexp*2*P.Q/Q.Q,mncx);
id  mncepexp([P-Q],mncx?) = mncepexp(-mncproexp*2*P.Q/Q.Q,mncx);
id  mncepexp(mncp?[mncpp18][D],mncx?)  = mncee18[D]^mncx/mnceq^mncx
    *mncepexp( 2*mncproexp*P.mncpp18[D]/mncpp18[D].mncpp18[D],mncx);
id  mncepexp(mncp?[-mncpp18][D],mncx?) = mncee18[D]^mncx/mnceq^mncx
    *mncepexp(-2*mncproexp*P.mncpp18[D]/mncpp18[D].mncpp18[D],mncx);

#do mnci = 1,8
if ( count([P+p`mnci'].[P+p`mnci'],1) < 0 );
    repeat;
      id,once,mncproexp^mncx?/[P+p`mnci'].[P+p`mnci'] = (
        sum_(mncj,0,`power'-mncx,2^mncj*mncproexp^mncj*P.p`mnci'^mncj/
			p`mnci'.p`mnci'^mncj*sign_(mncj)))*mncproexp^mncx/p`mnci'.p`mnci';
    endrepeat;
endif;
if ( count([P-p`mnci'].[P-p`mnci'],1) < 0 );
    repeat;
      id,once,mncproexp^mncx?/[P-p`mnci'].[P-p`mnci'] = (
        sum_(mncj,0,`power'-mncx,2^mncj*mncproexp^mncj*P.p`mnci'^mncj/
			p`mnci'.p`mnci'^mncj))*mncproexp^mncx/p`mnci'.p`mnci';
    endrepeat;
endif;
#enddo
if ( count([P+Q].[P+Q],1) < 0 );
    repeat;
      id,once,mncproexp^mncx?/[P+Q].[P+Q] =
        (sum_(mncj,0,`power'-mncx,2^mncj*mncproexp^mncj*P.Q^mncj/
			Q.Q^mncj*sign_(mncj)))*mncproexp^mncx/Q.Q;
	endrepeat;
endif;
if ( count([P-Q].[P-Q],1) < 0 );
    repeat;
      id,once,mncproexp^mncx?/[P-Q].[P-Q] =
        (sum_(mncj,0,`power'-mncx,2^mncj*mncproexp^mncj*P.Q^mncj/Q.Q^mncj))
				*mncproexp^mncx/Q.Q;
    endrepeat;
endif;

repeat;
    id,once,mncproexp^mncx?*mncepexp(y?,D?) =
    sump_(mncj,0,`power'-mncx, y*acc((-D*ep-mncj+1)/mncj))*mncproexp^mncx;
    if ( count(P.P,1) > 0 ) discard;
    if ( count(mncproexp,1) > `power' ) discard;
endrepeat;
if ( count(mncproexp,1) != `power' ) discard;
id  mncproexp^`power' = 1;

#call ACCU(Expand in P)
#call momsubs(`topo')
#call sym2(`topo')
#call ACCU(moms)
#call harmo1(P,Q,mncFFPP)
#call ACCU(Harmonics)
#endprocedure
*
*--#] projectP :
*--#[ reduceto :
#procedure reduceto(TOPO)
#switch `TOPO'
*--#[ reducela :
#case reducela
*
#call dovert1(p2,p7,p1)
#call dovert1(p2,p8,p3)
#call dovert1(Q,p4,p3)
#call dovert1(p8,p5,p4)
#call dovert1(p5,p7,p6)
#call dovert1(p6,Q,p1)
*
#break
*--#] reducela :
*--#[ reducebe :
#case reducebe
*
#call dovert1(p1,p6,p2)
#call dovert1(p7,p3,p2)
#call dovert1(Q,p4,p3)
#call dovert1(p8,p5,p4)
#call dovert1(p5,Q,p1)
#call dovert1(p7,p8,p6)
*
#break
*--#] reducebe :
*--#[ reduceno :
#case reduceno
*
#call dovert1(p1,p7,p2)
#call dovert1(p8,p3,p2)
#call dovert1(Q,p4,p3)
#call dovert1(p7,p5,p4)
#call dovert1(p6,Q,p1)
#call dovert1(p5,p8,p6)
*
#break
*--#] reduceno :
*--#[ reducefa :
#case reducefa
*
#call dovert1(p1,p6,p2)
#call dovert1(p7,p3,p2)
#call dovert1(Q,p4,p3)
#call dovert1(p5,Q,p1)
*
#break
*--#] reducefa :
*--#[ reducebu :
#case reducebu
*
#call dovert1(p4,p6,p1)
#call dovert1(p4,p5,p2)
#call dovert1(p3,p5,p7)
#call dovert1(p7,Q,p6)
*
#break
*--#] reducebu :
*--#[ reduceo1 :
#case reduceo1
*
#call dovert1(p2,p5,p1)
#call dovert1(p3,p5,p4)
#call dovert1(Q,p4,p1)
#call dovert1(p6,p7,p5)
#call dovert1(p3,Q,p2)
*
#break
*--#] reduceo1 :
*--#[ reduceo2 :
#case reduceo2
*
#call dovert1(p2,p5,p1)
#call dovert1(p3,p5,p4)
#call dovert1(Q,p3,p2)
#call dovert1(p6,p7,p4)
#call dovert1(p4,Q,p1)
*
#break
*--#] reduceo2 :
*--#[ reduceo3 :
#case reduceo3
*
#call dovert1(p3,p5,p4)
#call dovert1(p2,p5,p1)
#call dovert1(p7,p6,Q)
#call dovert1(p3,Q,p2)
#call dovert1(p4,Q,p1)
*
#break
*--#] reduceo3 :
*--#[ reduceo4 :
#case reduceo4
*
#call dovert1(p4,p6,p1)
#call dovert1(p2,p5,p1)
#call dovert1(p7,p6,Q)
#call dovert1(p3,p5,p4)
#call dovert1(p3,p6,p2)
*
#break
*--#] reduceo4 :
*--#[ reduceo5 :
#case reduceo5
*
#call dovert1(p2,p5,p1)
#call dovert1(p3,p5,p4)
#call dovert1(Q,p3,p2)
#call dovert1(p6,p7,p3)
#call dovert1(p4,Q,p1)
*
#break
*--#] reduceo5 :
*--#[ reduceo6 :
#case reduceo6
*
#call dovert1(p3,p5,p4)
#call dovert1(p2,p5,p1)
#call dovert1(p7,p6,Q)
#call dovert1(p3,Q,p2)
#call dovert1(p4,Q,p1)
*
#break
*--#] reduceo6 :
*--#[ reducey1 :
#case reducey1
*
#call dovert1(p5,p6,p2)
#call dovert1(p3,p4,p1)
#call dovert1(p1,p2,Q)
*
#break
*--#] reducey1 :
*--#[ reducey2 :
#case reducey2
*
#call dovert1(p5,p6,p1)
#call dovert1(p3,p4,p1)
#call dovert1(p1,p2,Q)
*
#break
*--#] reducey2 :
*--#[ reducey3 :
#case reducey3
*
#call dovert1(p5,p6,p3)
#call dovert1(p3,p4,p1)
#call dovert1(p1,p2,Q)
*
#break
*--#] reducey3 :
*--#[ reducey4 :
#case reducey4
*
#call dovert1(p5,p6,Q)
#call dovert1(p3,p4,p1)
#call dovert1(p1,p2,Q)
*
#break
*--#] reducey4 :
*--#[ reducey5 :
#case reducey5
*
#call dovert1(p5,p6,Q)
#call dovert1(p3,p4,Q)
#call dovert1(p1,p2,Q)
*
#break
*--#] reducey5 :
*--#[ reducey6 :
#case reducey6
*
#call dovert1(p5,p6,Q)
#call dovert1(p3,p4,p1)
#call dovert1(p1,p2,Q)
*
#break
*--#] reducey6 :
*--#[ reducet1 :
#case reducet1
*
#call dovert1(p4,Q,p1)
#call dovert1(p2,p5,p1)
#call dovert1(p3,p5,p4)
#call dovert1(p3,Q,p2)
*
#break
*--#] reducet1 :
*--#[ reducet2 :
#case reducet2
*
#call dovert1(p3,p4,p1)
#call dovert1(p1,p2,Q)
*
#break
*--#] reducet2 :
*--#[ reducet3 :
#case reducet3
*
#call dovert1(p3,p4,Q)
#call dovert1(p1,p2,Q)
*
#break
*--#] reducet3 :
*--#[ reducel1 :
#case reducel1
*
*
#break
*--#] reducel1 :
*--#[ reducel2 :
#case reducel2
*
*
#break
*--#] reducel2 :
*--#[ reducel3 :
#case reducel3
*
*
#break
*--#] reducel3 :
*--#[ reducetr :
#case reducetr
*
*
#break
*--#] reducetr :
#default
#message Illegal case `TOPO' in reduceto.prc
#break
#endswitch
#endprocedure
*--#] reduceto :
*--#[ rename :
#procedure rename(TOPO)
#switch `TOPO'
*--#[ la :
*
*
*--#] la :
*--#[ be :
*
*
*--#] be :
*--#[ no :
*
*
*--#] no :
*--#[ fa :
*
*
*--#] fa :
*--#[ bu :
*
*
*--#] bu :
*--#[ o1 :
#case o1
*
Multiply replace_(p8,p5,[P+p8],[P+p5],[P-p8],[P-p5]);
*
#break
*--#] o1 :
*--#[ o2 :
#case o2
*
Multiply replace_(p8,p4,[P+p8],[P+p4],[P-p8],[P-p4]);
*
#break
*--#] o2 :
*--#[ o3 :
#case o3
*
Multiply replace_(p8,Q,[P+p8],[P+Q],[P-p8],[P-Q]);
*
#break
*--#] o3 :
*--#[ o4 :
#case o4
*
Multiply replace_(p8,p6,[P+p8],[P+p6],[P-p8],[P-p6]);
*
#break
*--#] o4 :
*--#[ o5 :
#case o5
*
Multiply replace_(p8,p3,[P+p8],[P+p3],[P-p8],[P-p3]);
*
#break
*--#] o5 :
*--#[ o6 :
#case o6
*
Multiply replace_(p8,Q,[P+p8],[P+Q],[P-p8],[P-Q]);
*
#break
*--#] o6 :
*--#[ y1 :
#case y1
*
Multiply replace_(p8,p2,[P+p8],[P+p2],[P-p8],[P-p2]);
Multiply replace_(p7,p1,[P+p7],[P+p1],[P-p7],[P-p1]);
*
#break
*--#] y1 :
*--#[ y2 :
#case y2
*
Multiply replace_(p8,p1,[P+p8],[P+p1],[P-p8],[P-p1]);
Multiply replace_(p7,p1,[P+p7],[P+p1],[P-p7],[P-p1]);
*
#break
*--#] y2 :
*--#[ y3 :
#case y3
*
Multiply replace_(p8,p3,[P+p8],[P+p3],[P-p8],[P-p3]);
Multiply replace_(p7,p1,[P+p7],[P+p1],[P-p7],[P-p1]);
*
#break
*--#] y3 :
*--#[ y4 :
#case y4
*
Multiply replace_(p8,Q,[P+p8],[P+Q],[P-p8],[P-Q]);
Multiply replace_(p7,p1,[P+p7],[P+p1],[P-p7],[P-p1]);
*
#break
*--#] y4 :
*--#[ y5 :
#case y5
*
Multiply replace_(p8,Q,[P+p8],[P+Q],[P-p8],[P-Q]);
Multiply replace_(p7,Q,[P+p7],[P+Q],[P-p7],[P-Q]);
*
#break
*--#] y5 :
*--#[ y6 :
#case y6
*
Multiply replace_(p8,Q,[P+p8],[P+Q],[P-p8],[P-Q]);
Multiply replace_(p7,p1,[P+p7],[P+p1],[P-p7],[P-p1]);
*
#break
*--#] y6 :
*--#[ t1 :
*
*
*--#] t1 :
*--#[ t2 :
#case t2
*
Multiply replace_(p5,p1,[P+p5],[P+p1],[P-p5],[P-p1]);
*
#break
*--#] t2 :
*--#[ t3 :
#case t3
*
Multiply replace_(p5,Q,[P+p5],[P+Q],[P-p5],[P-Q]);
*
#break
*--#] t3 :
*--#[ l1 :
*
*
*--#] l1 :
*--#[ l2 :
*
*
*--#] l2 :
*--#[ l3 :
*
*
*--#] l3 :
*--#[ tr :
*
*
*--#] tr :
#endswitch
#endprocedure
*--#] rename :
*--#[ rplane :
#procedure rplane(P1,P2,P3,P4,P5,P6,P7,P8,Q,INTS)
*
*   Reduction procedure for three loop graphs of the NO or nonplanar type.
*   Notation is from S.G.Gorishny et.al. Comp.Phys.Comm 55(1989)381
*
*                     /-<------<-----<-\
*                 p1 /     \  p2   /    \ p3
*                   /       v     /      \
*                  /      p7 \   /        \
*                 /           \ /          \
*          Q --<--             /            --<-- Q
*                 \           / \          /
*                  \      p8 /   \        / 
*                   \       ^     \      /
*                 p6 \     /  p5   \    / p4
*                     \->------>----->-/
*
*   Routine put together 26-feb-1993 by J.Vermaseren.
*
*   First express everything in powers of pi.pi, Q.Q and p2.Q;
*
*  id  `P5'.P?!{`P5'} = `P6'.P-`P8'.P;
*  id  `P4'.P?!{`P4'} = `P3'.P-`Q'.P;
*#call ACCU(moms 1)
*  id  `P6'.P?!{`P6'} = `P1'.P-`Q'.P;
*#call ACCU(moms 2)
*  id  `P7'.P?!{`P7'} = `P2'.P-`P1'.P;
*#call ACCU(moms 3)
*  id  `P8'.P?!{`P8'} = `P2'.P-`P3'.P;
*#call ACCU(moms 4)
  id  `P1'.`Q' = `P1'.`P1'/2+`Q'.`Q'/2-`P6'.`P6'/2;
#call ACCU(dots 1)
  id  `P3'.`Q' = `P3'.`P3'/2+`Q'.`Q'/2-`P4'.`P4'/2;
#call ACCU(dots 2)
  id  `P1'.`P2' = `P1'.`P1'/2+`P2'.`P2'/2-`P7'.`P7'/2;
#call ACCU(dots 3)
  id  `P3'.`P2' = `P3'.`P3'/2+`P2'.`P2'/2-`P8'.`P8'/2;
#call ACCU(dots 4)
  id `P1'.`P3' = -`P2'.`Q'+`P1'.`P1'/2+`P2'.`P2'/2+`P3'.`P3'/2+`P5'.`P5'/2
                 +`Q'.`Q'/2-`P4'.`P4'/2-`P6'.`P6'/2-`P7'.`P7'/2-`P8'.`P8'/2;
#call ACCU(dots 5)
*
*   First step: eliminate the powers of `Q'.`P2'
*   Note how common factors are kept together in acc till the end.
*   This trick allows us to do an intermediate sort in the argument
*   of acc, thereby making in the end only the terms that are necessary.
*
while ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
  /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8'*`Q'.`P2') > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?/`P6'.`P6'^mncx6?
    /`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8?*`Q'.`P2'^mncx9? = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'^mncx5/`P6'.`P6'^mncx6
    /`P7'.`P7'^mncx7/`P8'.`P8'^mncx8*`Q'.`P2'^mncx9*`Q'.`Q'/`Q'.`P2'/2*(
      +acc(3-2*mncx2-mncx1-mncx3+mncx9-2*ep)
      +mncx1*`P7'.`P7'/`P1'.`P1'-mncx1*`P2'.`P2'/`P1'.`P1'
      +mncx3*`P8'.`P8'/`P3'.`P3'-mncx3*`P2'.`P2'/`P3'.`P3'
      +2*acc(mncx9-1)*`P2'.`P2'/`Q'.`P2'/2
    )*mncdeno(7-mncx1-mncx2-mncx3-mncx4-mncx5-mncx6-mncx7-mncx8+mncx9,-4);
id  mncdeno(0,-4) = -1/4/ep;
id  mncdeno(mncx1?,-4) = acc(1+4*ep/mncx1+16*ep^2/mncx1^2+64*ep^3/mncx1^3+256*ep^4/mncx1^4
	+1024*ep^5/mncx1^5+4096*ep^6/mncx1^6+16384*ep^7/mncx1^7+65536*ep^8/mncx1^8)/mncx1;
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
#call ACCU(Eliminate `Q'.`P2')
*
*   The essence of the strategy is now to depopulate the inner
*   propagators. This will leave integrals with only excess powers
*   in `P1',`P3',`P4',`P6'. These are tabulated.
*   In case an integral is not in the tables we have to use
*   recursions at the edge to reach the table. The paper has the
*   extra recursion (29) which we combine directly with the
*   recursions below (more general form of (30)) to reach the
*   table automatically.
*
repeat;
repeat;
while ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'/`P5'.`P5'^2
               /`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?/`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?
       /`P6'.`P6'^mncx6?/`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? =
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3/`P4'.`P4'^mncx4/`P5'.`P5'^mncx5
     /`P6'.`P6'^mncx6/`P7'.`P7'^mncx7/`P8'.`P8'^mncx8*(
        acc(-8+4*ep+mncx1+mncx2+mncx3+mncx4+mncx5+mncx6+mncx7+mncx8)*`P5'.`P5'/`Q'.`Q'*
            (acc(-14+6*ep+2*(mncx1+mncx2+mncx3+mncx5+mncx7+mncx8)+mncx4+mncx6)
                +mncx4*`P3'.`P3'/`P4'.`P4'+mncx6*`P1'.`P1'/`P6'.`P6')/(mncx5-1)
            +mncx4*`P7'.`P7'/`P4'.`P4'+mncx6*`P8'.`P8'/`P6'.`P6'
            -acc(mncx1+mncx2+mncx3+mncx4+mncx5+mncx6+mncx7+mncx8+mncx5-9+4*ep)*`P5'.`P5'
                *(mncx4/`P4'.`P4'+mncx6/`P6'.`P6')/(mncx5-1)
    )*mncdeno(-4+mncx4+mncx6+2*mncx5,2);

while ( match(1/`P1'.`P1'/`P2'.`P2'^2/`P3'.`P3'/`P4'.`P4'/`P5'.`P5'
               /`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?/`P4'.`P4'^mncx4?/`P5'.`P5'
       /`P6'.`P6'^mncx6?/`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? =
    1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3/`P4'.`P4'^mncx4/`P5'.`P5'
     /`P6'.`P6'^mncx6/`P7'.`P7'^mncx7/`P8'.`P8'^mncx8*(
        acc(-7+4*ep+mncx1+mncx2+mncx3+mncx4+mncx6+mncx7+mncx8)*`P2'.`P2'/`Q'.`Q'*
            (acc(-12+6*ep+2*(mncx6+mncx2+mncx4+mncx7+mncx8)+mncx1+mncx3)
                +mncx3*`P4'.`P4'/`P3'.`P3'+mncx1*`P6'.`P6'/`P1'.`P1')/(mncx2-1)
            +mncx3*`P8'.`P8'/`P3'.`P3'+mncx1*`P7'.`P7'/`P1'.`P1'
            -acc(mncx1+mncx2+mncx3+mncx4+mncx6+mncx7+mncx8+mncx2-8+4*ep)*`P2'.`P2'
                *(mncx3/`P3'.`P3'+mncx1/`P1'.`P1')/(mncx2-1)
    )*mncdeno(-4+mncx1+mncx3+2*mncx2,2);

if ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'/`P5'.`P5'
               /`P6'.`P6'/`P7'.`P7'^2/`P8'.`P8') > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'/`P3'.`P3'^mncx3?/`P4'.`P4'^mncx4?/`P5'.`P5'
       /`P6'.`P6'^mncx6?/`P7'.`P7'^mncx7?/`P8'.`P8'^mncx8? =
    1/`P1'.`P1'^mncx1/`P2'.`P2'/`P3'.`P3'^mncx3/`P4'.`P4'^mncx4/`P5'.`P5'
     /`P6'.`P6'^mncx6/`P7'.`P7'^mncx7/`P8'.`P8'^mncx8*(
        acc(-6+4*ep+mncx1+mncx3+mncx4+mncx6+mncx7+mncx8)*`P7'.`P7'/`Q'.`Q'*
            (acc(-10+6*ep+2*(mncx6+mncx3+mncx7+mncx8)+mncx4+mncx1)
                +mncx4*`P3'.`P3'/`P4'.`P4'+mncx1*`P6'.`P6'/`P1'.`P1')/(mncx7-1)
            +mncx4*`P5'.`P5'/`P4'.`P4'+mncx1*`P2'.`P2'/`P1'.`P1'
            -acc(mncx1+mncx3+mncx4+mncx6+mncx7+mncx8+mncx7-7+4*ep)*`P7'.`P7'
                *(mncx4/`P4'.`P4'+mncx1/`P1'.`P1')/(mncx7-1)
    )*mncdeno(-4+mncx4+mncx1+2*mncx7,2);
endrepeat;

if ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'/`P5'.`P5'
               /`P6'.`P6'/`P7'.`P7'/`P8'.`P8'^2) > 0 )
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'/`P3'.`P3'^mncx3?/`P4'.`P4'^mncx4?/`P5'.`P5'
       /`P6'.`P6'^mncx6?/`P7'.`P7'/`P8'.`P8'^mncx8? =
    1/`P1'.`P1'^mncx1/`P2'.`P2'/`P3'.`P3'^mncx3/`P4'.`P4'^mncx4/`P5'.`P5'
     /`P6'.`P6'^mncx6/`P7'.`P7'/`P8'.`P8'^mncx8*(
        acc(-5+4*ep+mncx1+mncx3+mncx4+mncx6+mncx8)*`P8'.`P8'/`Q'.`Q'*
            (acc(-8+6*ep+2*(mncx1+mncx4+mncx8)+mncx6+mncx3)
                +mncx3*`P4'.`P4'/`P3'.`P3'+mncx6*`P1'.`P1'/`P6'.`P6')/(mncx8-1)
            +mncx3*`P2'.`P2'/`P3'.`P3'+mncx6*`P5'.`P5'/`P6'.`P6'
            -acc(mncx1+mncx3+mncx4+mncx6+mncx8+mncx8-6+4*ep)*`P8'.`P8'
                *(mncx3/`P3'.`P3'+mncx6/`P6'.`P6')/(mncx8-1)
    )*mncdeno(-4+mncx6+mncx3+2*mncx8,2);
endrepeat;

id  mncdeno(0,2) = 1/2/ep;
id  mncdeno(mncx1?,2) = acc(1-2*ep/mncx1+4*ep^2/mncx1^2-8*ep^3/mncx1^3+16*ep^4/mncx1^4
	-32*ep^5/mncx1^5+64*ep^6/mncx1^6-128*ep^7/mncx1^7+256*ep^8/mncx1^8)/mncx1;
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
*
*   We arrange the integral so that mncx1 >= mncx3,mncx4,mncx5, mncx3 >= mncx4 etc.
*
if ( match( 1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
             /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8' ) > 0 );
    if ( count(`P1'.`P1',1) > count(`P6'.`P6',1) )
        multiply replace_(`P1',`P6',`P6',`P1');
    if ( count(`P3'.`P3',1) > count(`P4'.`P4',1) )
        multiply replace_(`P3',`P4',`P4',`P3');
    if ( ( count(`P1'.`P1',1) > count(`P3'.`P3',1) )
    || ( ( count(`P1'.`P1',1) == count(`P3'.`P3',1) )
      && ( count(`P4'.`P4',1) > count(`P6'.`P6',1) ) ) )
        multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4');
    if ( ( count(`P1'.`P1',1) > count(`P4'.`P4',1) )
    || ( ( count(`P1'.`P1',1) == count(`P4'.`P4',1) )
      && ( count(`P3'.`P3',1) > count(`P6'.`P6',1) ) ) )
        multiply replace_(`P1',`P4',`P4',`P1',`P3',`P6',`P6',`P3');
    if ( count(`P1'.`P1',1) > count(`P6'.`P6',1) )
        multiply replace_(`P1',`P6',`P6',`P1');
    if ( count(`P3'.`P3',1) > count(`P4'.`P4',1) )
        multiply replace_(`P3',`P4',`P4',`P3');
endif;

#call ACCU(Inside Reduction)
 
while ( ( match(1/`P1'.`P1'^2/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
               /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
    && ( count(`P1'.`P1',-1,`P3'.`P3',-1,`P4'.`P4',-1,`P6'.`P6',-1)
        > `INRTABL' ) );
  id  1/`P1'.`P1'^mncx1?/`P2'.`P2'/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'/`P6'.`P6'^mncx6?
    /`P7'.`P7'/`P8'.`P8' = 
    1/`P1'.`P1'^mncx1/`P2'.`P2'/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'/`P6'.`P6'^mncx6
    /`P7'.`P7'/`P8'.`P8'/`Q'.`Q'*(
      +acc((2*mncx6+mncx1-3+4*ep)*(mncx3+mncx1-2+2*ep)*(mncx4+mncx1-2+2*ep)
            +(mncx6+mncx3+mncx4+mncx1-4+4*ep)*((mncx4-1)*(mncx3+mncx1-2+2*ep)
            +(mncx3-1)*(mncx4+mncx1-2+2*ep)))
        *`P1'.`P1'/(mncx1-1)*mncdeno(-2+mncx4+mncx1,2)*mncdeno(-2+mncx1+mncx3,2)
      +`P6'.`P6'
      +`P8'.`P8'*`P1'.`P1'/`P2'.`P2'*acc(1+2*ep/(mncx1-1))*mncdeno(-2+mncx1+mncx3,2)
      +`P5'.`P5'*`P1'.`P1'/`P7'.`P7'*acc(1+2*ep/(mncx1-1))*mncdeno(-2+mncx4+mncx1,2)
      +acc(-5+4*ep+mncx1+mncx3+mncx4+mncx6)*(
          -`P4'.`P4'*acc((-6+6*ep+2*(mncx6+mncx3)+mncx4+mncx1)*(mncx3+mncx1-2+2*ep)
           +(mncx3-1)*(mncx4+mncx1-2+2*ep))
          -`P3'.`P3'*acc((-6+6*ep+2*(mncx6+mncx4)+mncx1+mncx3)*(mncx4+mncx1-2+2*ep)
           +(mncx4-1)*(mncx3+mncx1-2+2*ep))
       )*`P1'.`P1'/`Q'.`Q'/(mncx1-1)*mncdeno(-2+mncx4+mncx1,2)*mncdeno(-2+mncx1+mncx3,2)
      +(-`P6'.`P6'*`P4'.`P4'*acc(-5+4*ep+mncx1+mncx3+mncx4+mncx6)/`Q'.`Q'
        -`P2'.`P2'*`P4'.`P4'/`P7'.`P7'
        +`P4'.`P4'*acc(mncx1+mncx3+mncx4+mncx6-4+4*ep)
      )*mncdeno(-2+mncx4+mncx1,2)
      +(-`P6'.`P6'*`P3'.`P3'*acc(-5+4*ep+mncx1+mncx3+mncx4+mncx6)/`Q'.`Q'
        -`P7'.`P7'*`P3'.`P3'/`P2'.`P2'
        +`P3'.`P3'*acc(mncx1+mncx3+mncx4+mncx6-4+4*ep)
      )*mncdeno(-2+mncx1+mncx3,2)
    );
#ifndef `STRATEGY2'
  if ( match( 1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
             /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8' ) > 0 );
    if ( count(`P1'.`P1',1) > count(`P6'.`P6',1) )
        multiply replace_(`P1',`P6',`P6',`P1');
    if ( count(`P3'.`P3',1) > count(`P4'.`P4',1) )
        multiply replace_(`P3',`P4',`P4',`P3');
    if ( ( count(`P1'.`P1',1) > count(`P3'.`P3',1) )
    || ( ( count(`P1'.`P1',1) == count(`P3'.`P3',1) )
      && ( count(`P4'.`P4',1) > count(`P6'.`P6',1) ) ) )
        multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4');
    if ( ( count(`P1'.`P1',1) > count(`P4'.`P4',1) )
    || ( ( count(`P1'.`P1',1) == count(`P4'.`P4',1) )
      && ( count(`P3'.`P3',1) > count(`P6'.`P6',1) ) ) )
        multiply replace_(`P1',`P4',`P4',`P1',`P3',`P6',`P6',`P3');
    if ( count(`P1'.`P1',1) > count(`P6'.`P6',1) )
        multiply replace_(`P1',`P6',`P6',`P1');
    if ( count(`P3'.`P3',1) > count(`P4'.`P4',1) )
        multiply replace_(`P3',`P4',`P4',`P3');
  endif;
#endif
endwhile;

#ifdef `STRATEGY2' 
while ( ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'^2/`P4'.`P4'
               /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8') > 0 )
    && ( count(`P1'.`P1',-1,`P3'.`P3',-1,`P4'.`P4',-1,`P6'.`P6',-1)
        > `INRTABL' ) )
  id  1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'^mncx3?
    /`P4'.`P4'^mncx4?/`P5'.`P5'/`P6'.`P6'^mncx6?
    /`P7'.`P7'/`P8'.`P8' = 
    1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'^mncx3
    /`P4'.`P4'^mncx4/`P5'.`P5'/`P6'.`P6'^mncx6
    /`P7'.`P7'/`P8'.`P8'/`Q'.`Q'*(
      +acc((2*mncx4+mncx3-3+4*ep)*(mncx6+mncx3-2+2*ep)*(1+mncx3-2+2*ep)
            +(mncx4+mncx6+1+mncx3-4+4*ep)*((1-1)*(mncx6+mncx3-2+2*ep)
            +(mncx6-1)*(1+mncx3-2+2*ep)))
        *`P3'.`P3'/(mncx3-1)*mncdeno(-2+1+mncx3,2)*mncdeno(-2+mncx3+mncx6,2)
      +`P4'.`P4'
      +`P5'.`P5'*`P3'.`P3'/`P8'.`P8'*acc(1+2*ep/(mncx3-1))*mncdeno(-2+mncx3+mncx6,2)
      +`P7'.`P7'*`P3'.`P3'/`P2'.`P2'*acc(1+2*ep/(mncx3-1))*mncdeno(-1+mncx3,2)
      +acc(-4+4*ep+mncx4+mncx6+mncx3)*(
          -`P1'.`P1'*acc((-5+6*ep+2*(mncx4+mncx6)+mncx3)*(mncx6+mncx3-2+2*ep)
           +(mncx6-1)*(mncx3-1+2*ep))*mncdeno(-1+mncx3,2)
          -`P6'.`P6'*acc(-6+6*ep+2*(mncx4+1)+mncx3+mncx6)
       )*`P3'.`P3'/`Q'.`Q'/(mncx3-1)*mncdeno(-2+mncx3+mncx6,2)
      +(-`P4'.`P4'*`P1'.`P1'*acc(-4+4*ep+mncx4+mncx6+mncx3)/`Q'.`Q'
        -`P8'.`P8'*`P1'.`P1'/`P2'.`P2'
        +`P1'.`P1'*acc(mncx4+mncx6+mncx3-3+4*ep)
      )*mncdeno(-1+mncx3,2)
      +(-`P4'.`P4'*`P6'.`P6'*acc(-4+4*ep+mncx4+mncx6+mncx3)/`Q'.`Q'
        -`P2'.`P2'*`P6'.`P6'/`P8'.`P8'
        +`P6'.`P6'*acc(mncx4+mncx6+mncx3-3+4*ep)
      )*mncdeno(-2+mncx3+mncx6,2)
    );

while ( ( match(1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
               /`P5'.`P5'/`P6'.`P6'^2/`P7'.`P7'/`P8'.`P8') > 0 )
    && ( count(`P1'.`P1',-1,`P3'.`P3',-1,`P4'.`P4',-1,`P6'.`P6',-1)
        > `INRTABL' ) )
  id  1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'
    /`P4'.`P4'^mncx4?/`P5'.`P5'/`P6'.`P6'^mncx6?
    /`P7'.`P7'/`P8'.`P8' = 
    1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'
    /`P4'.`P4'^mncx4/`P5'.`P5'/`P6'.`P6'^mncx6
    /`P7'.`P7'/`P8'.`P8'/`Q'.`Q'*(
      +acc(mncx6-2+4*ep+mncx4)*acc(mncx4+mncx6-2+2*ep)
        *`P6'.`P6'/(mncx6-1)*mncdeno(-2+mncx4+mncx6,2)
      +`P1'.`P1'
      +`P2'.`P2'*`P6'.`P6'/`P8'.`P8'*acc(1+2*ep/(mncx6-1))*mncdeno(-1+mncx6,2)
      +`P7'.`P7'*`P6'.`P6'/`P5'.`P5'*acc(1+2*ep/(mncx6-1))*mncdeno(-2+mncx4+mncx6,2)
      +acc(-3+4*ep+mncx4+mncx6)*(
          -`P4'.`P4'*acc(-2+6*ep+mncx4+mncx6)
          -`P3'.`P3'*acc((-3+6*ep+2*mncx4+mncx6)*(mncx4+mncx6-2+2*ep)
           +(mncx4-1)*(mncx6-1+2*ep))*mncdeno(-1+mncx6,2)
       )*`P6'.`P6'/`Q'.`Q'/(mncx6-1)*mncdeno(-2+mncx4+mncx6,2)
      +(-`P1'.`P1'*`P4'.`P4'*acc(-3+4*ep+mncx4+mncx6)/`Q'.`Q'
        -`P8'.`P8'*`P4'.`P4'/`P5'.`P5'
        +`P4'.`P4'*acc(mncx4+mncx6-2+4*ep)
      )*mncdeno(-2+mncx4+mncx6,2)
      +(-`P1'.`P1'*`P3'.`P3'*acc(-3+4*ep+mncx4+mncx6)/`Q'.`Q'
        -`P5'.`P5'*`P3'.`P3'/`P8'.`P8'
        +`P3'.`P3'*acc(mncx4+mncx6-2+4*ep)
      )*mncdeno(-1+mncx6,2)
    );

while ( ( match(1/`P1'.`P1'/`P7'.`P7'/`P4'.`P4'^2/`P3'.`P3'
               /`P8'.`P8'/`P6'.`P6'/`P2'.`P2'/`P5'.`P5') > 0 )
    && ( count(`P1'.`P1',-1,`P4'.`P4',-1,`P3'.`P3',-1,`P6'.`P6',-1)
        > `INRTABL' ) )
  id  1/`P1'.`P1'/`P7'.`P7'/`P4'.`P4'^mncx4?
    /`P3'.`P3'/`P8'.`P8'/`P6'.`P6'
    /`P2'.`P2'/`P5'.`P5' = 
    1/`P1'.`P1'/`P7'.`P7'/`P4'.`P4'^mncx4
    /`P3'.`P3'/`P8'.`P8'/`P6'.`P6'
    /`P2'.`P2'/`P5'.`P5'/`Q'.`Q'*(
      +acc(mncx4-1+4*ep)*`P4'.`P4'/(mncx4-1)
      +`P3'.`P3'
      +`P8'.`P8'*`P4'.`P4'/`P5'.`P5'*acc(1+2*ep/(mncx4-1))*mncdeno(-1+mncx4,2)
      +`P2'.`P2'*`P4'.`P4'/`P7'.`P7'*acc(1+2*ep/(mncx4-1))*mncdeno(-1+mncx4,2)
      +acc(-2+4*ep+mncx4)*(
          -`P1'.`P1'*acc(-1+6*ep+mncx4)
          -`P6'.`P6'*acc(-1+6*ep+mncx4)
       )*`P4'.`P4'/`Q'.`Q'/(mncx4-1)*mncdeno(-1+mncx4,2)
      +(-`P3'.`P3'*`P1'.`P1'*acc(-2+4*ep+mncx4)/`Q'.`Q'
        -`P5'.`P5'*`P1'.`P1'/`P7'.`P7'
        +`P1'.`P1'*acc(mncx4-1+4*ep)
      )*mncdeno(-1+mncx4,2)
      +(-`P3'.`P3'*`P6'.`P6'*acc(-2+4*ep+mncx4)/`Q'.`Q'
        -`P7'.`P7'*`P6'.`P6'/`P5'.`P5'
        +`P6'.`P6'*acc(mncx4-1+4*ep)
      )*mncdeno(-1+mncx4,2)
    );
#endif
id  mncdeno(0,2) = 1/2/ep;
id  mncdeno(mncx1?,2) = acc(1-2*ep/mncx1+4*ep^2/mncx1^2-8*ep^3/mncx1^3+16*ep^4/mncx1^4
	-32*ep^5/mncx1^5+64*ep^6/mncx1^6-128*ep^7/mncx1^7+256*ep^8/mncx1^8)/mncx1;
repeat id acc(mncx1?)*acc(mncx2?) = acc(mncx1*mncx2);
*
*   Integrals that are left can be looked up in the table.
*   We may have to apply symmetries to map it to an actual
*   element of the table.
*
if ( match( 1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'
             /`P5'.`P5'/`P6'.`P6'/`P7'.`P7'/`P8'.`P8' ) > 0 );
    if ( count(`P1'.`P1',1) > count(`P6'.`P6',1) )
        multiply replace_(`P1',`P6',`P6',`P1');
    if ( count(`P3'.`P3',1) > count(`P4'.`P4',1) )
        multiply replace_(`P3',`P4',`P4',`P3');
    if ( ( count(`P1'.`P1',1) > count(`P3'.`P3',1) )
    || ( ( count(`P1'.`P1',1) == count(`P3'.`P3',1) )
      && ( count(`P4'.`P4',1) > count(`P6'.`P6',1) ) ) )
        multiply replace_(`P1',`P3',`P3',`P1',`P4',`P6',`P6',`P4');
    if ( ( count(`P1'.`P1',1) > count(`P4'.`P4',1) )
    || ( ( count(`P1'.`P1',1) == count(`P4'.`P4',1) )
      && ( count(`P3'.`P3',1) > count(`P6'.`P6',1) ) ) )
        multiply replace_(`P1',`P4',`P4',`P1',`P3',`P6',`P6',`P3');
    if ( count(`P1'.`P1',1) > count(`P6'.`P6',1) )
        multiply replace_(`P1',`P6',`P6',`P1');
    if ( count(`P3'.`P3',1) > count(`P4'.`P4',1) )
        multiply replace_(`P3',`P4',`P4',`P3');
  id `INTS'/`P1'.`P1'^mncx1?/`P2'.`P2'/`P3'.`P3'^mncx3?/`P4'.`P4'^mncx4?
           /`P5'.`P5'/`P6'.`P6'^mncx6?/`P7'.`P7'/`P8'.`P8' =
           mncrtab(mncx1,mncx3,mncx4,mncx6)*mnceq^3/`Q'.`Q'^(mncx1+mncx3+mncx4+mncx6-2);
endif;

#endprocedure;
*--#] rplane :
*--#[ scalars :
#procedure scalars(TOPO)
#switch `TOPO'
*--#[ la :
#case la
*
#ifdef `LATRANS'
#if ( `LATRANS' == 1 )
  #call ACCU2A(Q.p3  p3.p3 Q.Q p4.p4,Ladder rewrite 0)
    id  Q.p3 = p3.p3/2-p4.p4/2+Q.Q/2;
  #call ACCU2A(Q.p2  p2.p2 Q.Q p5.p5,Ladder rewrite 1)
    id  Q.p2 = p2.p2/2+Q.Q/2-p5.p5/2;
  #call ACCU2A(p2.p7 p1.p1 p2.p2 p7.p7,Ladder rewrite 2)
    id  p2.p7 = p1.p1/2-p2.p2/2-p7.p7/2;
  #call ACCU2A(p2.p3 p3.p3 p2.p2 p8.p8,Ladder rewrite 3)
    id  p2.p3 = p3.p3/2+p2.p2/2-p8.p8/2;
  #call ACCU2A(Q.p7 p1.p1 p2.p2 p5.p5 p6.p6,Ladder rewrite 4)
    id  Q.p7 = p1.p1/2-p2.p2/2+p5.p5/2-p6.p6/2;
  #call ACCU(Ladder rewrite 5)
#else
#if ( `LATRANS' == 2 )
  #call ACCU2A(p3.p7 p1.p7 p7.p8 p7.p7,Ladder rewrite 0)
    id  p3.p7 = p1.p7-p7.p7+p7.p8;
  #call ACCU2A(Q.p3  p3.p3 Q.Q p4.p4,Ladder rewrite 1)
    id  Q.p3 = p3.p3/2-p4.p4/2+Q.Q/2;
  #call ACCU2A(Q.p1  p1.p1 Q.Q p6.p6,Ladder rewrite 2)
    id  Q.p1 = p1.p1/2+Q.Q/2-p6.p6/2;
  #call ACCU2A(p1.p7 p1.p1 p2.p2 p7.p7,Ladder rewrite 3)
    id  p1.p7 = p1.p1/2-p2.p2/2+p7.p7/2;
  #call ACCU2A(Q.p7 p1.p1 p2.p2 p5.p5 p6.p6,Ladder rewrite 4)
    id  Q.p7 = p1.p1/2-p2.p2/2+p5.p5/2-p6.p6/2;
  #call ACCU(Ladder rewrite 5)
#else
#if ( `LATRANS' == 3 )
  #call ACCU2A(Q.p2 p2.p2 Q.Q p5.p5,Ladder rewrite 0)
    id  Q.p2 = p2.p2/2+Q.Q/2-p5.p5/2;
  #call ACCU2A(p2.p7 p1.p1 p2.p2 p7.p7,Ladder rewrite 1)
    id  p2.p7 = p1.p1/2-p2.p2/2-p7.p7/2;
  #call ACCU2A(p2.p8 p3.p3 p2.p2 p8.p8,Ladder rewrite 2)
    id  p2.p8 = p3.p3/2-p2.p2/2-p8.p8/2;
  #call ACCU2A(Q.p7 p1.p1 p2.p2 p5.p5 p6.p6,Ladder rewrite 3)
    id  Q.p7 = p1.p1/2-p2.p2/2+p5.p5/2-p6.p6/2;
  #call ACCU2A(Q.p8 p3.p3 p2.p2 p5.p5 p4.p4,Ladder rewrite 4)
    id  Q.p8 = p3.p3/2-p2.p2/2+p5.p5/2-p4.p4/2;
  #call ACCU(Ladder rewrite 5)
#else
  #call ACCU2A(Q.p1 p1.p1 p6.p6 Q.Q,Ladder rewrite 0)
    id  Q.p1 = p1.p1/2-p6.p6/2+Q.Q/2;
  #call ACCU2A(Q.p3 p3.p3 p4.p4 Q.Q,Ladder rewrite 1)
    id  Q.p3 = p3.p3/2-p4.p4/2+Q.Q/2;
  #call ACCU2A(Q.p2  p2.p2 Q.Q p5.p5,Ladder rewrite 2)
    id  Q.p2 = p2.p2/2+Q.Q/2-p5.p5/2;
  #call ACCU2A(p1.p2 p1.p1 p2.p2 p7.p7,Ladder rewrite 3)
    id  p1.p2 = p1.p1/2+p2.p2/2-p7.p7/2;
  #call ACCU2A(p2.p3 p3.p3 p2.p2 p8.p8,Ladder rewrite 4)
    id  p2.p3 = p3.p3/2+p2.p2/2-p8.p8/2;
  #call ACCU(Ladder rewrite 5)
#endif
#endif
#endif
#else
  #call ACCU2A(Q.p1 p1.p1 p6.p6 Q.Q,Ladder rewrite 0)
    id  Q.p1 = p1.p1/2-p6.p6/2+Q.Q/2;
  #call ACCU2A(Q.p3 p3.p3 p4.p4 Q.Q,Ladder rewrite 1)
    id  Q.p3 = p3.p3/2-p4.p4/2+Q.Q/2;
  #call ACCU2A(Q.p2  p2.p2 Q.Q p5.p5,Ladder rewrite 2)
    id  Q.p2 = p2.p2/2+Q.Q/2-p5.p5/2;
  #call ACCU2A(p1.p2 p1.p1 p2.p2 p7.p7,Ladder rewrite 3)
    id  p1.p2 = p1.p1/2+p2.p2/2-p7.p7/2;
  #call ACCU2A(p2.p3 p3.p3 p2.p2 p8.p8,Ladder rewrite 4)
    id  p2.p3 = p3.p3/2+p2.p2/2-p8.p8/2;
  #call ACCU(Ladder rewrite 5)
#endif
*
#break
*--#] la :
*--#[ be :
#case be
*
#ifndef `BEPATH'
#call ACCU2A(p1.p3 p1.p1 p3.p3 p8.p8,Benz rewrite 0)
  id  p1.p3 = p1.p1/2+p3.p3/2-p8.p8/2;
#call ACCU2A(p2.p3 p2.p2 p3.p3 p7.p7,Benz rewrite 1)
  id  p2.p3 = p2.p2/2+p3.p3/2-p7.p7/2;
#call ACCU2A(p1.p2 p1.p1 p2.p2 p6.p6,Benz rewrite 2)
  id  p1.p2 = p1.p1/2+p2.p2/2-p6.p6/2;
#call ACCU2A(Q.p1 p1.p1 Q.Q p5.p5,Benz rewrite 3)
  id  Q.p1 = p1.p1/2+Q.Q/2-p5.p5/2;
#call ACCU2A(Q.p3 p3.p3 Q.Q p4.p4,Benz rewrite 4)
  id  Q.p3 = p3.p3/2+Q.Q/2-p4.p4/2;
#call ACCU(Benz rewrite 5)
#else
#switch `BEPATH'
 #case 0
  #call ACCU2A(p1.p3 p1.p1 p3.p3 p8.p8,Benz rewrite 0 \(`BEPATH'\))
    id  p1.p3 = p1.p1/2+p3.p3/2-p8.p8/2;
  #call ACCU2A(p2.p3 p2.p2 p3.p3 p7.p7,Benz rewrite 1 \(`BEPATH'\))
    id  p2.p3 = p2.p2/2+p3.p3/2-p7.p7/2;
  #call ACCU2A(p1.p2 p1.p1 p2.p2 p6.p6,Benz rewrite 2 \(`BEPATH'\))
    id  p1.p2 = p1.p1/2+p2.p2/2-p6.p6/2;
  #call ACCU2A(Q.p1 p1.p1 Q.Q p5.p5,Benz rewrite 3 \(`BEPATH'\))
    id  Q.p1 = p1.p1/2+Q.Q/2-p5.p5/2;
  #call ACCU2A(Q.p3 p3.p3 Q.Q p4.p4,Benz rewrite 4 \(`BEPATH'\))
    id  Q.p3 = p3.p3/2+Q.Q/2-p4.p4/2;
  #call ACCU(Benz rewrite 5 \(`BEPATH'\))
 #break
 #case 1
  #call ACCU2A(Q.p1 p1.p1 Q.Q p5.p5,Benz rewrite 0 \(`BEPATH'\))
      id  Q.p1 = p1.p1/2+Q.Q/2-p5.p5/2;
  #call ACCU2A(p1.p6 p2.p2 p1.p1 p6.p6,Benz rewrite 1 \(`BEPATH'\))
      id  p1.p6 = p2.p2/2-p1.p1/2-p6.p6/2;
  #call ACCU2A(p6.p8 p6.p6 p8.p8 p7.p7,Benz rewrite 2 \(`BEPATH'\))
      id  p6.p8 = p6.p6/2+p8.p8/2-p7.p7/2;
  #call ACCU2A(p1.p8 p3.p3 p1.p1 p8.p8,Benz rewrite 3 \(`BEPATH'\))
      id  p1.p8 = p3.p3/2-p1.p1/2-p8.p8/2;
  #call ACCU2A(Q.p8 p3.p3 p4.p4 p1.p1 p5.p5,Benz rewrite 4 \(`BEPATH'\))
      id  Q.p8 = p3.p3/2-p4.p4/2-p1.p1/2+p5.p5/2;
  #call ACCU2A(Q.p6 Q.p2 Q.Q p1.p1 p5.p5,Benz rewrite 5 \(`BEPATH'\))
 #break
 #case 2
  #call ACCU2A(p1.p2 p1.p1 p2.p2 p6.p6,Benz rewrite 0 \(`BEPATH'\))
      id  p1.p2 = p1.p1/2+p2.p2/2-p6.p6/2;
  #call ACCU2A(p2.p7 p2.p2 p7.p7 p3.p3,Benz rewrite 1 \(`BEPATH'\))
      id  p2.p7 = p2.p2/2+p7.p7/2-p3.p3/2;
  #call ACCU2A(Q.p1 p1.p1 Q.Q p5.p5,Benz rewrite 2 \(`BEPATH'\))
      id  Q.p1 = p1.p1/2+Q.Q/2-p5.p5/2;
  #call ACCU2A(Q.p7 Q.p2 Q.Q p3.p3 p4.p4,Benz rewrite 3 \(`BEPATH'\))
      id  Q.p7 = Q.p2-Q.Q/2-p3.p3/2+p4.p4/2;
  #call ACCU2A(p1.p7 p2.p2 p6.p6 p3.p3 p8.p8,Benz rewrite 4 \(`BEPATH'\))
      id  p1.p7 = p2.p2/2-p6.p6/2-p3.p3/2+p8.p8/2;
  #call ACCU(Benz rewrite 5 \(`BEPATH'\))
 #break
 #case 3
  #call ACCU2A(p6.p8 p6.p6 p8.p8 p7.p7,Benz rewrite 0 \(`BEPATH'\))
      id  p6.p8 = p6.p6/2+p8.p8/2-p7.p7/2;
  #call ACCU2A(p2.p6 p2.p2 p6.p6 p1.p1,Benz rewrite 1 \(`BEPATH'\))
      id  p2.p6 = p2.p2/2+p6.p6/2-p1.p1/2;
  #call ACCU2A(p2.p8 p3.p3 p1.p1 p7.p7 p6.p6,Benz rewrite 2 \(`BEPATH'\))
      id  p2.p8 = p3.p3/2-p1.p1/2-p7.p7/2+p6.p6/2;
  #call ACCU2A(Q.p8 p3.p3 p4.p4 p1.p1 p5.p5,Benz rewrite 3 \(`BEPATH'\))
      id  Q.p8 = p3.p3/2-p4.p4/2-p1.p1/2+p5.p5/2;
  #call ACCU2A(Q.p6 Q.p2 Q.Q p1.p1 p5.p5,Benz rewrite 4 \(`BEPATH'\))
      id  Q.p6 = Q.p2-Q.Q/2-p1.p1/2+p5.p5/2;
  #call ACCU(Benz rewrite 5 \(`BEPATH'\))
 #break
 #case 4
  #call ACCU2A(p6.p8 p6.p6 p8.p8 p7.p7,Benz rewrite 0 \(`BEPATH'\))
      id  p6.p8 = p6.p6/2+p8.p8/2-p7.p7/2;
  #call ACCU2A(p4.p8 p4.p4 p8.p8 p5.p5,Benz rewrite 1 \(`BEPATH'\))
      id  p4.p8 = p4.p4/2+p8.p8/2-p5.p5/2;
  #call ACCU2A(Q.p4 p3.p3 Q.Q p4.p4,Benz rewrite 2 \(`BEPATH'\))
      id  Q.p4 = p3.p3/2-Q.Q/2-p4.p4/2;
  #call ACCU2A(Q.p8 p3.p3 p4.p4 p1.p1 p5.p5,Benz rewrite 3 \(`BEPATH'\))
      id  Q.p8 = p3.p3/2-p4.p4/2-p1.p1/2+p5.p5/2;
  #call ACCU2A(p4.p6 Q.p6 p1.p1 p2.p2 p7.p7 p8.p8,Benz rewrite 4 \(`BEPATH'\))
      id  p4.p6 = -Q.p6-p1.p1/2+p2.p2/2+p8.p8/2-p7.p7/2;
  #call ACCU(Benz rewrite 5 \(`BEPATH'\))
 #break
 #case 5
  #call ACCU2A(p1.p6 p2.p2 p1.p1 p6.p6,Benz rewrite 0 \(`BEPATH'\))
      id  p1.p6 = p2.p2/2-p1.p1/2-p6.p6/2;
  #call ACCU2A(p6.p7 p6.p6 p7.p7 p8.p8,Benz rewrite 1 \(`BEPATH'\))
      id  p6.p7 = p6.p6/2+p7.p7/2-p8.p8/2;
  #call ACCU2A(Q.p1 p1.p1 Q.Q p5.p5,Benz rewrite 2 \(`BEPATH'\))
      id  Q.p1 = p1.p1/2+Q.Q/2-p5.p5/2;
  #call ACCU2A(p1.p7 p2.p2 p6.p6 p3.p3 p8.p8,Benz rewrite 3 \(`BEPATH'\))
      id  p1.p7 = p2.p2/2-p6.p6/2-p3.p3/2+p8.p8/2;
  #call ACCU2A(Q.p6 Q.p2 Q.Q p1.p1 p5.p5,Benz rewrite 4 \(`BEPATH'\))
      id  Q.p6 = Q.p7+p3.p3/2-p4.p4/2-p1.p1/2+p5.p5/2;
  #call ACCU(Benz rewrite 5 \(`BEPATH'\))
 #break
 #case 6
  #call ACCU2A(p5.p8 p4.p4 p5.p5 p8.p8,Benz rewrite 0 \(`BEPATH'\))
      id  p5.p8 = p4.p4/2-p5.p5/2-p8.p8/2;
  #call ACCU2A(p6.p8 p6.p6 p8.p8 p7.p7,Benz rewrite 1 \(`BEPATH'\))
      id  p6.p8 = p6.p6/2+p8.p8/2-p7.p7/2;
  #call ACCU2A(Q.p5 p1.p1 Q.Q p5.p5,Benz rewrite 2 \(`BEPATH'\))
      id  Q.p5 = p1.p1/2-Q.Q/2-p5.p5/2;
  #call ACCU2A(p5.p6 p2.p2 p1.p1 p6.p6 Q.p6,Benz rewrite 3 \(`BEPATH'\))
      id  p5.p6 = p2.p2/2-p1.p1/2-p6.p6/2-Q.p6;
  #call ACCU2A(Q.p8 p3.p3 p4.p4 p1.p1 p5.p5,Benz rewrite 4 \(`BEPATH'\))
      id  Q.p8 = p3.p3/2-p4.p4/2-p1.p1/2+p5.p5/2;
  #call ACCU(Benz rewrite 5 \(`BEPATH'\))
 #break
 #case 7
  #call ACCU2A(p4.p5 p4.p4 p5.p5 p8.p8,Benz rewrite 0 \(`BEPATH'\))
      id  p4.p5 = p4.p4/2+p5.p5/2-p8.p8/2;
  #call ACCU2A(Q.p4 p3.p3 Q.Q p4.p4,Benz rewrite 1 \(`BEPATH'\))
      id  Q.p4 = p3.p3/2-Q.Q/2-p4.p4/2;
  #call ACCU2A(Q.p5 p1.p1 Q.Q p5.p5,Benz rewrite 2 \(`BEPATH'\))
      id  Q.p5 = p1.p1/2-Q.Q/2-p5.p5/2;
  #call ACCU2A(p2.p4 p2.p2 p3.p3 p7.p7 Q.p2,Benz rewrite 3 \(`BEPATH'\))
      id  p2.p4 = p2.p2/2+p3.p3/2-p7.p7/2-Q.p2;
  #call ACCU2A(p2.p5 p2.p2 p1.p1 p6.p6 Q.p2,Benz rewrite 4 \(`BEPATH'\))
      id  p2.p5 = p2.p2/2+p1.p1/2-p6.p6/2-Q.p2;
  #call ACCU(Benz rewrite 5 \(`BEPATH'\))
 #break
 #case 8
  #call ACCU2A(p2.p6 p2.p2 p1.p1 p6.p6,Benz rewrite 0 \(`BEPATH'\))
      id  p2.p6 = p2.p2/2+p6.p6/2-p1.p1/2;
  #call ACCU2A(p2.p7 p2.p2 p7.p7 p3.p3,Benz rewrite 1 \(`BEPATH'\))
      id  p2.p7 = p2.p2/2+p7.p7/2-p3.p3/2;
  #call ACCU2A(p6.p7 p6.p6 p7.p7 p8.p8,Benz rewrite 2 \(`BEPATH'\))
      id  p6.p7 = p6.p6/2+p7.p7/2-p8.p8/2;
  #call ACCU2A(Q.p6 Q.p2 Q.Q p1.p1 p5.p5,Benz rewrite 3 \(`BEPATH'\))
      id  Q.p6 = Q.p2-Q.Q/2-p1.p1/2+p5.p5/2;
  #call ACCU2A(Q.p7 Q.p2 Q.Q p3.p3 p4.p4,Benz rewrite 4 \(`BEPATH'\))
      id  Q.p7 = Q.p2-Q.Q/2-p3.p3/2+p4.p4/2;
  #call ACCU(Benz rewrite 5 \(`BEPATH'\))
 #break
 #case 9
  #call ACCU2A(p1.p3 p2.p2 p3.p3 p7.p7 p3.p6,Benz rewrite 0 \(`BEPATH'\))
    id p3.p6 = p2.p2/2+p3.p3/2-p7.p7/2-p1.p3;
  #call ACCU2A(p1.p3 p1.p1 p3.p3 p8.p8,Benz rewrite 1 \(`BEPATH'\))
    id p1.p3 = p1.p1/2+p3.p3/2-p8.p8/2;
  #call ACCU2A(p1.p2 p1.p1 p2.p2 p6.p6,Benz rewrite 2 \(`BEPATH'\))
    id p1.p6 = -p1.p1/2+p2.p2/2-p6.p6/2;
  #call ACCU2A(Q.p1 p1.p1 Q.Q p5.p5,Benz rewrite 3 \(`BEPATH'\))
    id  Q.p1 = p1.p1/2+Q.Q/2-p5.p5/2;
  #call ACCU2A(Q.p3 p3.p3 Q.Q p4.p4,Benz rewrite 4 \(`BEPATH'\))
    id  Q.p3 = p3.p3/2+Q.Q/2-p4.p4/2;
  #call ACCU(Benz rewrite 5 \(`BEPATH'\))
 #break
 #case 10
  #call ACCU2A(p4.p8 p4.p4 p8.p8 p5.p5,Benz rewrite 0 \(`BEPATH'\))
    id p4.p8 = p8.p8/2+p4.p4/2-p5.p5/2;
  #call ACCU2A(p2.p8 p1.p1 p3.p3 p6.p6 p7.p7,Benz rewrite 1 \(`BEPATH'\))
    id p2.p8 = p6.p6/2-p1.p1/2-p7.p7/2+p3.p3/2;
  #call ACCU2A(p2.p4 p2.p2 p3.p3 p7.p7 p2.Q,Benz rewrite 2 \(`BEPATH'\))
    id p2.p4 = p2.p2/2+p3.p3/2-p7.p7/2-p2.Q;
  #call ACCU2A(Q.p4 p3.p3 Q.Q p4.p4,Benz rewrite 3 \(`BEPATH'\))
    id  Q.p4 = p3.p3/2-p4.p4/2-Q.Q/2;
  #call ACCU2A(Q.p8 p1.p1 p3.p3 p4.p4 p5.p5,Benz rewrite 4 \(`BEPATH'\))
    id  Q.p8 = p3.p3/2-p1.p1/2+p5.p5/2-p4.p4/2;
  #call ACCU(Benz rewrite 5 \(`BEPATH'\))
 #break
 #case 11
  #call ACCU2A(Q.p1 p1.p1 Q.Q p5.p5,Benz rewrite 0 \(`BEPATH'\))
      id  Q.p1 = p1.p1/2+Q.Q/2-p5.p5/2;
  #call ACCU2A(p1.p2 p2.p2 p1.p1 p6.p6,Benz rewrite 1 \(`BEPATH'\))
      id  p1.p2 = p2.p2/2+p1.p1/2-p6.p6/2;
  #call ACCU2A(p2.p8 p6.p6 p1.p1 p3.p3 p7.p7,Benz rewrite 2 \(`BEPATH'\))
      id  p2.p8 = p6.p6/2-p1.p1/2-p7.p7/2+p3.p3/2;
  #call ACCU2A(p1.p8 p3.p3 p1.p1 p8.p8,Benz rewrite 3 \(`BEPATH'\))
      id  p1.p8 = p3.p3/2-p1.p1/2-p8.p8/2;
  #call ACCU2A(Q.p8 p3.p3 p4.p4 p1.p1 p5.p5,Benz rewrite 4 \(`BEPATH'\))
      id  Q.p8 = p3.p3/2-p4.p4/2-p1.p1/2+p5.p5/2;
  #call ACCU(Benz rewrite 5 \(`BEPATH'\))
 #break
 #case 14
  #call ACCU2A(p6.p8 p6.p6 p8.p8 p7.p7,Benz rewrite 0 \(`BEPATH'\))
      id  p6.p8 = p6.p6/2+p8.p8/2-p7.p7/2;
  #call ACCU2A(p4.p8 p4.p4 p8.p8 p5.p5,Benz rewrite 1 \(`BEPATH'\))
      id  p4.p8 = p4.p4/2+p8.p8/2-p5.p5/2;
  #call ACCU2A(Q.p4 p3.p3 Q.Q p4.p4,Benz rewrite 2 \(`BEPATH'\))
      id  Q.p4 = p3.p3/2-Q.Q/2-p4.p4/2;
  #call ACCU2A(Q.p8 p3.p3 p4.p4 p1.p1 p5.p5,Benz rewrite 3 \(`BEPATH'\))
      id  Q.p8 = p3.p3/2-p4.p4/2-p1.p1/2+p5.p5/2;
  #call ACCU2A(p4.p6 Q.p6 p1.p1 p2.p2 p7.p7 p8.p8,Benz rewrite 4 \(`BEPATH'\))
      id  p4.p6 = -Q.p6-p1.p1/2+p2.p2/2+p8.p8/2-p7.p7/2;
  #call ACCU(Benz rewrite 5 \(`BEPATH'\))
 #break
#endswitch
#endif
*
#break
*--#] be :
*--#[ no :
#case no
*
#switch `NOSPEC'
#case 0
  #call ACCU2A(p1.Q p1.p1 Q.Q p6.p6,no rewrite 0)
    id  p1.Q = p1.p1/2+Q.Q/2-p6.p6/2;
  #call ACCU2A(p3.Q p3.p3 Q.Q p4.p4,no rewrite 1)
    id  p3.Q = p3.p3/2+Q.Q/2-p4.p4/2;
  #call ACCU2A(p1.p2 p1.p1 p2.p2 p7.p7,no rewrite 2)
    id  p1.p2 = p1.p1/2+p2.p2/2-p7.p7/2;
  #call ACCU2A(p2.p3 p3.p3 p2.p2 p8.p8,no rewrite 3)
    id  p2.p3 = p3.p3/2+p2.p2/2-p8.p8/2;
  #call ACCU(no rewrite 4)
    id p1.p3 = -p2.Q+p1.p1/2+p2.p2/2+p3.p3/2+p5.p5/2
              +Q.Q/2-p4.p4/2-p6.p6/2-p7.p7/2-p8.p8/2;
  #call ACCU(no rewrite 5)
#break
#case 1
    id  p2.p7 = p2.p2/2+p7.p7/2-p1.p1/2;
  #call ACCU2A(p2.p8 p3.p3 p2.p2 p8.p8,no rewrite 0)
    id  p2.p8 = -p3.p3/2+p2.p2/2+p8.p8/2;
  #call ACCU2A(p7.Q Q.p2 p1.p1 Q.Q p6.p6,no rewrite 2)
    id  p7.Q = Q.p2-p1.p1/2-Q.Q/2+p6.p6/2;
  #call ACCU2A(p8.Q p3.p3 Q.Q p4.p4 Q.p2,no rewrite 3)
    id  p8.Q = Q.p2-p3.p3/2-Q.Q/2+p4.p4/2;
  #call ACCU(no rewrite 4)
      id,p1.p3 = -p2.Q+p1.p1/2+p2.p2/2+p3.p3/2+p5.p5/2
                   +Q.Q/2-p4.p4/2-p6.p6/2-p7.p7/2-p8.p8/2;
  #call ACCU(no rewrite 5)
#break
#case 2
  #call ACCU2A(p1.Q p1.p1 Q.Q p6.p6,no rewrite 0)
    id  p1.Q = p1.p1/2+Q.Q/2-p6.p6/2;
  #call ACCU2A(p8.Q p2.Q p3.p3 Q.Q p4.p4,no rewrite 1)
    id  p8.Q = p2.Q-p3.p3/2-Q.Q/2+p4.p4/2;
  #call ACCU2A(p1.p2 p1.p1 p2.p2 p7.p7,no rewrite 2)
    id  p1.p2 = p1.p1/2+p2.p2/2-p7.p7/2;
  #call ACCU2A(p2.p8 p3.p3 p2.p2 p8.p8,no rewrite 3)
    id  p2.p8 = p8.p8/2+p2.p2/2-p3.p3/2;
  #call ACCU2A(p1.p8 p2.Q p3.p3 p5.p5 Q.Q p4.p4 p6.p6 p8.p8,no rewrite 4)
    id p1.p8 = +p2.Q-p3.p3/2-p5.p5/2
                   -Q.Q/2+p4.p4/2+p6.p6/2+p8.p8/2;
  #call ACCU(no rewrite 5)
#break
#endswitch
*
#break
*--#] no :
*--#[ fa :
#case fa
*
*
#break
*--#] fa :
*--#[ bu :
#case bu
*
*
#break
*--#] bu :
*--#[ o1 :
#case o1
*
#switch `O1PATH'
#case 0
id  p1.p2 = p1.p1/2+p2.p2/2-p5.p5/2;
#call ACCU(o1 rewite 1\(`O1PATH'\))
id  Q.p1 = p1.p1/2+Q.Q/2-p4.p4/2;
id  Q.p2 = p2.p2/2+Q.Q/2-p3.p3/2;
#call ACCU(o1 rewite 2\(`O1PATH'\))
#break
#case 1
id  p1.p7 = -p1.p6+p1.p1/2+p5.p5/2-p2.p2/2;
id  p6.p7 = p5.p5/2-p6.p6/2-p7.p7/2;
#call ACCU(o1 rewite 1\(`O1PATH'\))
id  Q.p1 = p1.p1/2+Q.Q/2-p4.p4/2;
id  Q.p7 = -Q.p6+p1.p1/2-p2.p2/2+p3.p3/2-p4.p4/2;
#call ACCU(o1 rewite 2\(`O1PATH'\))
#break
#case 2
id  p1.p5 = p1.p1/2+p5.p5/2-p2.p2/2;
id  p5.p6 = p5.p5/2+p6.p6/2-p7.p7/2;
#call ACCU(o1 rewite 1\(`O1PATH'\))
id  Q.p1 = p1.p1/2+Q.Q/2-p4.p4/2;
id  Q.p5 = p1.p1/2-p2.p2/2+p3.p3/2-p4.p4/2;
#call ACCU(o1 rewite 2\(`O1PATH'\))
#break
#endswitch
*
#break
*--#] o1 :
*--#[ o2 :
#case o2
*
#switch `O2PATH'
#case 0
*			1,2,6
	id	p1.p2 = p1.p1/2+p2.p2/2-p5.p5/2;
	id	Q.p1 = p1.p1/2+Q.Q/2-p4.p4/2;
	#call ACCU(o2 rewrite 1)
	id	Q.p2 = p2.p2/2+Q.Q/2-p3.p3/2;
	id	p1.p6 = Q.p6+p4.p4/2+p6.p6/2-p7.p7/2;
	#call ACCU(o2 rewrite 2)
#break
#case 1
*			1,3,6
	id	p1.p3 = p2.p2/2-p5.p5/2-Q.Q/2+p4.p4/2;
	id	Q.p1 = p1.p1/2+Q.Q/2-p4.p4/2;
	#call ACCU(o2 rewrite 1)
	id	Q.p3 = p2.p2/2-p3.p3/2-Q.Q/2;
	id	p1.p6 = Q.p6+p4.p4/2+p6.p6/2-p7.p7/2;
	#call ACCU(o2 rewrite 2)
#break
#case 2
*			3,4,6
	id  p4.p6 = p4.p4/2+p6.p6/2-p7.p7/2;
	id  p3.p4 = p3.p3/2+p4.p4/2-p5.p5/2;
	#call ACCU(o2 rewrite 1)
	id  Q.p3 = p2.p2/2-Q.Q/2-p3.p3/2;
	id  Q.p4 = p1.p1/2-Q.Q/2-p4.p4/2;
	#call ACCU(o2 rewrite 2)
#break
#case 3
*			1,5,6
	id	p1.p5 = p1.p1/2+p5.p5/2-p2.p2/2;
	id	Q.p1 = p1.p1/2+Q.Q/2-p4.p4/2;
	#call ACCU(o2 rewrite 1)
	id	Q.p5 = p1.p1/2-p4.p4/2-p2.p2/2+p3.p3/2;
	id	p1.p6 = Q.p6+p4.p4/2+p6.p6/2-p7.p7/2;
	#call ACCU(o2 rewrite 2)
#break
#case 4
*			2,5,6
	id	p2.p5 = p1.p1/2-p5.p5/2-p2.p2/2;
	id	Q.p2 = p2.p2/2+Q.Q/2-p3.p3/2;
	#call ACCU(o2 rewrite 1)
	id	Q.p5 = p1.p1/2-p4.p4/2-p2.p2/2+p3.p3/2;
	id	p2.p6 = Q.p6-p5.p6+p4.p4/2+p6.p6/2-p7.p7/2;
	#call ACCU(o2 rewrite 2)
#break
#case 5
*			3,5,6
	id	p3.p5 = p4.p4/2-p3.p3/2-p5.p5/2;
	id	Q.p3 = p2.p2/2-Q.Q/2-p3.p3/2;
	#call ACCU(o2 rewrite 1)
	id	Q.p5 = p1.p1/2-p4.p4/2-p2.p2/2+p3.p3/2;
	id	p3.p6 = p4.p4/2+p6.p6/2-p7.p7/2-p5.p6;
	#call ACCU(o2 rewrite 2)
#break
#case 9
#case 6
*			2,4,6
	id	p2.p4 = p1.p1/2-p5.p5/2-Q.Q/2+p3.p3/2;
	#call ACCU(o2 rewrite 1)
	id	Q.p2 = p2.p2/2+Q.Q/2-p3.p3/2;
	#call ACCU(o2 rewrite 2)
	id	Q.p4 = p1.p1/2-p4.p4/2-Q.Q/2;
	#call ACCU(o2 rewrite 3)
	id	p4.p6 = p4.p4/2+p6.p6/2-p7.p7/2;
	#call ACCU(o2 rewrite 4)
#break
#case 7
*			4,5,6
	id	p4.p5 = p4.p4/2+p5.p5/2-p3.p3/2;
	id	Q.p4 = p1.p1/2-p4.p4/2-Q.Q/2;
	#call ACCU(o2 rewrite 1)
	id	Q.p5 = p1.p1/2-p4.p4/2-p2.p2/2+p3.p3/2;
	id	p4.p6 = p4.p4/2+p6.p6/2-p7.p7/2;
	#call ACCU(o2 rewrite 2)
#break
#case 8
*			3,6,7
	id	p6.p7 = p4.p4/2-p6.p6/2-p7.p7/2;
	id  Q.p3 = p2.p2/2-Q.Q/2-p3.p3/2;
	#call ACCU(o2 rewrite 1)
	id  Q.p7 = p1.p1/2-Q.Q/2-p4.p4/2-Q.p6;
	id	p3.p7 = p3.p3/2+p4.p4/2-p5.p5/2-p3.p6;
	#call ACCU(o2 rewrite 2)
#break
#endswitch
*
#break
*--#] o2 :
*--#[ o3 :
#case o3
*
id  Q.p6 = p6.p6/2+Q.Q/2-p7.p7/2;
id  p1.p2 = p1.p1/2+p2.p2/2-p5.p5/2;
#call ACCU(o3 rewrite 1)
id  Q.p1 = p1.p1/2+Q.Q/2-p4.p4/2;
id  Q.p2 = p2.p2/2+Q.Q/2-p3.p3/2;
#call ACCU(o3 rewrite 2)
*
#break
*--#] o3 :
*--#[ o4 :
#case o4
*
id  Q.p6 = p6.p6/2+Q.Q/2-p7.p7/2;
id  p1.p2 = p1.p1/2+p2.p2/2-p5.p5/2;
#call ACCU(o4 rewrite 1)
id  p1.p6 = p1.p1/2+p6.p6/2-p4.p4/2;
id  p2.p6 = p2.p2/2+p6.p6/2-p3.p3/2;
#call ACCU(o4 rewrite 2)
*
#break
*--#] o4 :
*--#[ o5 :
#case o5
*
id  p3.p6 = p3.p3/2+p6.p6/2-p7.p7/2;
id  p3.p4 = p3.p3/2+p4.p4/2-p5.p5/2;
#call ACCU(o5 rewrite 1)
id  Q.p3 = p2.p2/2-Q.Q/2-p3.p3/2;
id  Q.p4 = p1.p1/2-Q.Q/2-p4.p4/2;
#call ACCU(o5 rewrite 2)
*
#break
*--#] o5 :
*--#[ o6 :
#case o6
*
id  Q.p6 = p6.p6/2+Q.Q/2-p7.p7/2;
id  p1.p2 = p1.p1/2+p2.p2/2-p5.p5/2;
#call ACCU(o3 rewrite 1)
id  Q.p1 = p1.p1/2+Q.Q/2-p4.p4/2;
id  Q.p2 = p2.p2/2+Q.Q/2-p3.p3/2;
#call ACCU(o3 rewrite 2)
*
#break
*--#] o6 :
*--#[ y1 :
#case y1
*
id  p1.p3 = p1.p1/2+p3.p3/2-p4.p4/2;
id  Q.p1 = p1.p1/2+Q.Q/2-p2.p2/2;
#call ACCU(y1 rewrite)
*
#break
*--#] y1 :
*--#[ y2 :
#case y2
*
id  p1.p3 = p1.p1/2+p3.p3/2-p4.p4/2;
#call ACCU(y2 rewrite 1)
id  p1.p5 = p1.p1/2+p5.p5/2-p6.p6/2;
#call ACCU(y2 rewrite 2)
id  Q.p1 = p1.p1/2+Q.Q/2-p2.p2/2;
#call ACCU(y2 rewrite 3)
*
#break
*--#] y2 :
*--#[ y3 :
#case y3
*
id  p1.p3 = p1.p1/2+p3.p3/2-p4.p4/2;
#call ACCU(y3 rewrite 1)
id  p3.p5 = p3.p3/2+p5.p5/2-p6.p6/2;
#call ACCU(y3 rewrite 2)
id  Q.p1 = p1.p1/2+Q.Q/2-p2.p2/2;
#call ACCU(y3 rewrite 3)
*
#break
*--#] y3 :
*--#[ y4 :
#case y4
*
id  Q.p5 = p5.p5/2+Q.Q/2-p6.p6/2;
#call ACCU(y4 rewrite 1)
id  p1.p3 = p1.p1/2+p3.p3/2-p4.p4/2;
#call ACCU(y4 rewrite 2)
id  Q.p1 = p1.p1/2+Q.Q/2-p2.p2/2;
#call ACCU(y4 rewrite 3)
*
#break
*--#] y4 :
*--#[ y5 :
#case y5
*
id  Q.p5 = p5.p5/2+Q.Q/2-p6.p6/2;
#call ACCU(y5 rewrite 1)
id  Q.p3 = p3.p3/2+Q.Q/2-p4.p4/2;
#call ACCU(y5 rewrite 2)
id  Q.p1 = p1.p1/2+Q.Q/2-p2.p2/2;
#call ACCU(y5 rewrite 3)
*
#break
*--#] y5 :
*--#[ y6 :
#case y6
*
id  Q.p5 = p5.p5/2+Q.Q/2-p6.p6/2;
#call ACCU(y4 rewrite 1)
id  p1.p3 = p1.p1/2+p3.p3/2-p4.p4/2;
#call ACCU(y4 rewrite 2)
id  Q.p1 = p1.p1/2+Q.Q/2-p2.p2/2;
#call ACCU(y4 rewrite 3)
*
#break
*--#] y6 :
*--#[ t1 :
#case t1
*
id  p1.p2 = p1.p1/2+p2.p2/2-p5.p5/2;
#call ACCU(t1 rewrite 1)
id  Q.p1 = p1.p1/2+Q.Q/2-p4.p4/2;
#call ACCU(t1 rewrite 2)
id  Q.p2 = p2.p2/2+Q.Q/2-p3.p3/2;
#call ACCU(t1 rewrite 3)
*
#break
*--#] t1 :
*--#[ t2 :
#case t2
*
id  p1.p3 = p1.p1/2+p3.p3/2-p4.p4/2;
#call ACCU(t2 rewrite 1)
id  Q.p1 = p1.p1/2+Q.Q/2-p2.p2/2;
#call ACCU(t2 rewrite 2)
*
#break
*--#] t2 :
*--#[ t3 :
#case t3
*
id  Q.p3 = p3.p3/2+Q.Q/2-p4.p4/2;
#call ACCU(t3 rewrite 1)
id  Q.p1 = p1.p1/2+Q.Q/2-p2.p2/2;
#call ACCU(t3 rewrite 2)
*
#break
*--#] t3 :
*--#[ l1 :
#case l1
*
*
#break
*--#] l1 :
*--#[ l2 :
#case l2
*
*
#break
*--#] l2 :
*--#[ l3 :
#case l3
*
*
#break
*--#] l3 :
*--#[ tr :
#case tr
*
*
#break
*--#] tr :
#endswitch
#endprocedure
*--#] scalars :
*--#[ simplify :
#procedure simplify
*
*	Note: The acc's are leftovers when the gamma's are normalized.
*	In that case two gamma's had to be reduced down, so that the
*	first part is one. Actually the first acc can be cancelled
*	against the factors in the definition of the exp's.
*
if ( match(mncG(?a,0,0)) );
id	mncG(mncx1?,0,mncy1?,0,0,0) = mncaccm(mncT00(mncx1,mncy1));
id	mncG(mncx1?,1,mncy1?,0,0,0) = mncexp10*mncaccm(mncT10(mncx1,mncy1));
id	mncG(mncx1?,0,mncy1?,1,0,0) = mncexp10*mncaccm(mncT10(mncy1,mncx1));
id	mncG(mncx1?,2,mncy1?,0,0,0) = mncexp20*mncaccm(mncT20(mncx1,mncy1));
id	mncG(mncx1?,0,mncy1?,2,0,0) = mncexp20*mncaccm(mncT20(mncy1,mncx1));
id	mncG(mncx1?,1,mncy1?,1,0,0) = mncexp11*mncaccm(mncT11(mncx1,mncy1));
id	mncaccm(mncT00(mncx?,mncy?)) = mncG(mncx,0,mncy,0,0,0);
id	mncaccm(mncT10(mncx?,mncy?)) = mncG(mncx,1,mncy,0,0,0)/mncexp10;
id	mncaccm(mncT20(mncx?,mncy?)) = mncG(mncx,2,mncy,0,0,0)/mncexp20;
id	mncaccm(mncT11(mncx?,mncy?)) = mncG(mncx,1,mncy,1,0,0)/mncexp11;
id	mncaccm(mncx?) = acc(mncx);
endif;
if ( count(mncG,1) );
id	mncG(mncx1?,mncy1?,mncx2?,mncy2?,D?,mncs?) = mncpo(mncx1+mncx2-mncs-2,1+mncy1+mncy2)
	*mncpo(2-mncx1+D-mncs,-1-mncy1)*mncpo(2-mncx2+mncs,-1-mncy2)
		*acc(1-2*ep-ep*mncy1-ep*mncy2)
	*mncpoinv(mncx1,mncy1)*mncpoinv(mncx2,mncy2)*mncpoinv(4-mncx1-mncx2+D,-2-mncy1-mncy2)
	*mncG(1,mncy1,1,mncy2,0,0);
id  mncG(1,0,1,0,0,0) = 1;
id  mncG(1,1,1,1,0,0) = mncexp11; *1/3
id  mncG(1,0,1,1,0,0) = mncexp10; *1/2
id  mncG(1,1,1,0,0,0) = mncexp10; *1/2
id  mncG(1,0,1,2,0,0) = mncexp20; *1/3
id  mncG(1,2,1,0,0,0) = mncexp20; *1/3

id mncpo(1,?a) = 1;
id mncpoinv(1,?a) = 1;
id mncpo(mncx1?pos_,0) = fac_(mncx1-1);
id mncpoinv(mncx1?pos_,0) = invfac_(mncx1-1);

id,many,mncpo(mncx1?neg0_,mncx2?) = acc(mncPO(mncx1,mncx2))/mncx2/ep;
id,many,mncpo(mncx1?,mncx2?) = acc(mncPO(mncx1,mncx2));
id,many,mncpoinv(mncx1?neg0_,mncx2?) = acc(mncPOINV(mncx1,mncx2))*mncx2*ep;
id,many,mncpoinv(mncx1?,mncx2?) = acc(mncPOINV(mncx1,mncx2));

endif;
id  mncexp10*mncexp20 = mncexp11*acc(1+ep+3*ep^2+9*ep^3+27*ep^4+81*ep^5
                        +243*ep^6+729*ep^7+2187*ep^8);

multiply ep;

#endprocedure

*--#] simplify :
*--#[ special :
#procedure special(TOPO)
*
*	The old version of special assumed that we would be looking at a
*	single diagram only. Hence, once it made a choice, there was an
*	automatic uniformity.
*	With several diagrams, all with the same SUBTOPO, there is the risk
*	that some diagrams miss one or more lines and that we end up with
*	the wrong parameter.
*	To solve this we work the problem in steps.
*	In the second part we do not recognize all possible cases. That would
*	give much more code. We deal with all cases that convdia will give us.
*	It should be clear how to add new cases.
*
*--#[ Startup :
#$maxprop = 0;
#$props = 1;
id  mncDg(?a,mncp?[mncpp18][mncx]) = mncDg(?a,mncp)*[mncx18][mncx];
id  mncDg(?a,mncp?[-mncpp18][mncx]) = mncDg(?a,mncp)*[mncx18][mncx];
id  mncDg(?a,-mncp?[mncpp18][mncx]) = mncDg(?a,-mncp)*[mncx18][mncx];
id  mncDg(?a,-mncp?[-mncpp18][mncx]) = mncDg(?a,-mncp)*[mncx18][mncx];
id  mncDgh(?a,mncp?[mncpp18][mncx]) = mncDgh(?a,mncp)*[mncx18][mncx];
id  mncDgh(?a,mncp?[-mncpp18][mncx]) = mncDgh(?a,mncp)*[mncx18][mncx];
id  mncDgh(?a,-mncp?[mncpp18][mncx]) = mncDgh(?a,-mncp)*[mncx18][mncx];
id  mncDgh(?a,-mncp?[-mncpp18][mncx]) = mncDgh(?a,-mncp)*[mncx18][mncx];
id  mncfp(?a,mncp?[mncpp18][mncx]) = mncfp(?a,mncp)*[mncx18][mncx];
id  mncfp(?a,mncp?[-mncpp18][mncx]) = mncfp(?a,mncp)*[mncx18][mncx];
id  mncfp(?a,-mncp?[mncpp18][mncx]) = mncfp(?a,-mncp)*[mncx18][mncx];
id  mncfp(?a,-mncp?[-mncpp18][mncx]) = mncfp(?a,-mncp)*[mncx18][mncx];
id  Dg(?a,mncp?[mncpp18][mncx]) = Dg(?a,mncp)*[mncx18][mncx];
id  Dg(?a,mncp?[-mncpp18][mncx]) = Dg(?a,mncp)*[mncx18][mncx];
id  Dg(?a,-mncp?[mncpp18][mncx]) = Dg(?a,-mncp)*[mncx18][mncx];
id  Dg(?a,-mncp?[-mncpp18][mncx]) = Dg(?a,-mncp)*[mncx18][mncx];
id  Dgh(?a,mncp?[mncpp18][mncx]) = Dgh(?a,mncp)*[mncx18][mncx];
id  Dgh(?a,mncp?[-mncpp18][mncx]) = Dgh(?a,mncp)*[mncx18][mncx];
id  Dgh(?a,-mncp?[mncpp18][mncx]) = Dgh(?a,-mncp)*[mncx18][mncx];
id  Dgh(?a,-mncp?[-mncpp18][mncx]) = Dgh(?a,-mncp)*[mncx18][mncx];
id  fp(?a,mncp?[mncpp18][mncx]) = fp(?a,mncp)*[mncx18][mncx];
id  fp(?a,mncp?[-mncpp18][mncx]) = fp(?a,mncp)*[mncx18][mncx];
id  fp(?a,-mncp?[mncpp18][mncx]) = fp(?a,-mncp)*[mncx18][mncx];
id  fp(?a,-mncp?[-mncpp18][mncx]) = fp(?a,-mncp)*[mncx18][mncx];
repeat id mncx?[mncx18]^2 = mncx;
if ( count(<mncx1,1>,...,<mncx8,1>) > $maxprop );
	$maxprop = count_(<mncx1,1>,...,<mncx8,1>);
	$props = 1;
	#do ispecial = 1,8
		if ( count(mncx`ispecial',1) > 0 ) $props = $props*mncx`ispecial';
	#enddo
endif;
.sort:special-1;
*--#] Startup :
#switch `TOPO'
*--#[ la :
#case la
*
#switch `$props'
	#case mncx1*mncx2*mncx3
	#case mncx1
	#case mncx1*mncx2
	#case mncx1*mncx3
	#case mncx2
	#case 1
	#case mncx1*mncx6
		#redefine LATRANS "0"
		#redefine HARMBRACKET "AB+ P,Q,p1,p2,p3;"
	#break
	#case mncx2*mncx3
	#case mncx3
	#case mncx3*mncx4
	#case mncx1*mncx2*mncx3*mncx4
	#case mncx1*mncx2*mncx4
	#case mncx1*mncx3*mncx4
	#case mncx2*mncx3*mncx4
	#case mncx3*mncx4
	#case mncx1*mncx4
	#case mncx2*mncx4
		#redefine LATRANS "0"
		#redefine HARMBRACKET "AB+ P,Q,p1,p2,p3;"
		multiply,replace_(
		 [P-p1],[P+p3],[P+p1],[P-p3],[P-p4],[P+p6],[P+p4],[P-p6]
		,[P-p3],[P+p1],[P+p3],[P-p1],[P-p6],[P+p4],[P+p6],[P-p4]
		,[P-p2],[P+p2],[P+p2],[P-p2],[P-p5],[P+p5],[P+p5],[P-p5]
		,[P-p7],[P+p8],[P+p7],[P-p8],[P-p8],[P+p7],[P+p8],[P-p7]
		,p1,-p3,p3,-p1,p4,-p6,p6,-p4,p2,-p2,p5,-p5,p7,-p8,p8,-p7,Q,-Q
		,[P+Q],[P-Q],[P-Q],[P+Q])*mncsgn3;
		multiply,replace_(mncx1,mncx3,mncx3,mncx1,mncx4,mncx6,mncx6,mncx4,mncx7,mncx8,mncx8,mncx7);
	#break
	#case mncx4
	#case mncx5
	#case mncx6
	#case mncx1*mncx5*mncx7
		#redefine LATRANS "0"
		#redefine HARMBRACKET "AB+ P,Q,p1,p2,p3;"
		multiply,replace_(
		 [P-p1],[P+p6],[P+p1],[P-p6],[P+p6],[P-p1],[P-p6],[P+p1]
		,[P-p2],[P+p5],[P+p2],[P-p5],[P+p5],[P-p2],[P-p5],[P+p2]
		,[P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]
		,p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,-p7,p8,-p8,
		[P+p7],[P-p7],[P-p7],[P+p7],[P+p8],[P-p8],[P-p8],[P+p8]);
		multiply,replace_(mncx1,mncx6,mncx6,mncx1,mncx2,mncx5,mncx5,mncx2,mncx3,mncx4,mncx4,mncx3);
*
		multiply replace_([P-p6],-p6,p6,[P+p6],[P+p6],p6
		,p1,[P+p1],[P-p7],-p7,mncx7,mncx1);
	#break
	#case mncx1*mncx2*mncx8
		#redefine LATRANS "1"
		#redefine HARMBRACKET "AB+ P,Q,p2,p3,p7;"
		multiply,replace_(
		 [P-p1],[P+p3],[P+p1],[P-p3],[P-p4],[P+p6],[P+p4],[P-p6]
		,[P-p3],[P+p1],[P+p3],[P-p1],[P-p6],[P+p4],[P+p6],[P-p4]
		,[P-p2],[P+p2],[P+p2],[P-p2],[P-p5],[P+p5],[P+p5],[P-p5]
		,[P-p7],[P+p8],[P+p7],[P-p8],[P-p8],[P+p7],[P+p8],[P-p7]
		,p1,-p3,p3,-p1,p4,-p6,p6,-p4,p2,-p2,p5,-p5,p7,-p8,p8,-p7,Q,-Q
		,[P+Q],[P-Q],[P-Q],[P+Q])*mncsgn3;
		multiply,replace_(mncx1,mncx3,mncx3,mncx1,mncx4,mncx6,mncx6,mncx4,mncx7,mncx8,mncx8,mncx7);
	#break
	#case mncx2*mncx5*mncx7
	#case mncx2*mncx3*mncx7
	#case mncx2*mncx7
	#case mncx7
		#redefine LATRANS "1"
		#redefine HARMBRACKET "AB+ P,Q,p2,p3,p7;"
	#break
	#case mncx8
		#redefine LATRANS "1"
		#redefine HARMBRACKET "AB+ P,Q,p2,p3,p7;"
		multiply,replace_(
		 [P-p1],[P+p3],[P+p1],[P-p3],[P-p4],[P+p6],[P+p4],[P-p6]
		,[P-p3],[P+p1],[P+p3],[P-p1],[P-p6],[P+p4],[P+p6],[P-p4]
		,[P-p2],[P+p2],[P+p2],[P-p2],[P-p5],[P+p5],[P+p5],[P-p5]
		,[P-p7],[P+p8],[P+p7],[P-p8],[P-p8],[P+p7],[P+p8],[P-p7]
		,p1,-p3,p3,-p1,p4,-p6,p6,-p4,p2,-p2,p5,-p5,p7,-p8,p8,-p7,Q,-Q
		,[P+Q],[P-Q],[P-Q],[P+Q])*mncsgn3;
		multiply,replace_(mncx1,mncx3,mncx3,mncx1,mncx4,mncx6,mncx6,mncx4,mncx7,mncx8,mncx8,mncx7);
	#break
	#case mncx1*mncx7
		#redefine LATRANS "2"
		#redefine HARMBRACKET "AB+ P,Q,p1,p3,p7;"
	#break
	#case mncx3*mncx8
		#redefine LATRANS "2"
		#redefine HARMBRACKET "AB+ P,Q,p1,p3,p7;"
		multiply,replace_(
		 [P-p1],[P+p3],[P+p1],[P-p3],[P-p4],[P+p6],[P+p4],[P-p6]
		,[P-p3],[P+p1],[P+p3],[P-p1],[P-p6],[P+p4],[P+p6],[P-p4]
		,[P-p2],[P+p2],[P+p2],[P-p2],[P-p5],[P+p5],[P+p5],[P-p5]
		,[P-p7],[P+p8],[P+p7],[P-p8],[P-p8],[P+p7],[P+p8],[P-p7]
		,p1,-p3,p3,-p1,p4,-p6,p6,-p4,p2,-p2,p5,-p5,p7,-p8,p8,-p7,Q,-Q
		,[P+Q],[P-Q],[P-Q],[P+Q])*mncsgn3;
		multiply,replace_(mncx1,mncx3,mncx3,mncx1,mncx4,mncx6,mncx6,mncx4,mncx7,mncx8,mncx8,mncx7);
	#break
	#case mncx2*mncx7*mncx8
		#redefine LATRANS "3"
		#redefine HARMBRACKET "AB+ P,Q,p2,p7,p8;"
	#break
	#case mncx2*mncx5*mncx8
		#redefine LATRANS "1"
		#redefine HARMBRACKET "AB+ P,Q,p2,p3,p7;"
		multiply,replace_(
		 [P-p1],[P+p3],[P+p1],[P-p3],[P-p4],[P+p6],[P+p4],[P-p6]
		,[P-p3],[P+p1],[P+p3],[P-p1],[P-p6],[P+p4],[P+p6],[P-p4]
		,[P-p2],[P+p2],[P+p2],[P-p2],[P-p5],[P+p5],[P+p5],[P-p5]
		,[P-p7],[P+p8],[P+p7],[P-p8],[P-p8],[P+p7],[P+p8],[P-p7]
		,p1,-p3,p3,-p1,p4,-p6,p6,-p4,p2,-p2,p5,-p5,p7,-p8,p8,-p7,Q,-Q
		,[P+Q],[P-Q],[P-Q],[P+Q])*mncsgn3;
		multiply,replace_(mncx1,mncx3,mncx3,mncx1,mncx4,mncx6,mncx6,mncx4,mncx7,mncx8,mncx8,mncx7);
	#break
	#default
		#message Encountered an unknown ladder subtopology: `$props'
		#terminate
	#break
#endswitch
#break
*--#] la :
*--#[ be :
#case be
*
#switch `$props'
	#case mncx1
	#case mncx1*mncx2
	#case mncx1*mncx3
	#case mncx1*mncx2*mncx3
	#case mncx2*mncx3
	#case mncx3
	#case mncx2
	#case mncx2*mncx5
	#case mncx1*mncx5
	#case mncx1*mncx2*mncx5
		#redefine BEPATH "0"
		#redefine HARMBRACKET "AB+ P,Q,p1,p2,p3;"
	#break
	#case mncx1*mncx6*mncx8
		#redefine BEPATH "11"
		Multiply replace_(p1,-[P-p1],[P+p1],p1,p6,[P+p6],[P-p6],-p6
			,p8,[P+p8],[P-p8],-p8,p5,-[P-p5],mncx6,mncx5);
		#redefine HARMBRACKET "AB+ P,Q,p1,p2,p8;"
		id	[P+p8] = P+p8;
		id	[P-p5] = P-p5;
		id	[P+p6] = P+p6;
		id	[P-p1] = P-p1;
		id	P.P = 0;
	#break
*	#case mncx1*mncx6*mncx8
*		#redefine BEPATH "1"
*		#redefine HARMBRACKET "AB+ P,Q,p1,p6,p8;"
*	#break
	#case mncx1*mncx2*mncx7
		#redefine BEPATH "2"
		#redefine HARMBRACKET "AB+ P,Q,p1,p2,p7;"
	#break
	#case mncx6
	#case mncx2*mncx6
	#case mncx2*mncx3*mncx6
		#redefine BEPATH "2"
		#redefine HARMBRACKET "AB+ P,Q,p1,p2,p7;"
		multiply,replace_(p1,-p3,p3,-p1,p2,-p2,p6,-p7,p7,-p6,p4,-p5,p5,-p4,Q,-Q
		,[P+p1],[P-p3],[P+p3],[P-p1],[P-p1],[P+p3],[P-p3],[P+p1]
		,[P+p4],[P-p5],[P+p5],[P-p4],[P-p4],[P+p5],[P-p5],[P+p4]
		,[P+p6],[P-p7],[P+p7],[P-p6],[P-p6],[P+p7],[P-p7],[P+p6]
		,[P+p2],[P-p2],[P-p2],[P+p2],[P+Q],[P-Q],[P-Q],[P+Q])*mncsgn3;
	#break
	#case mncx8
	#case mncx6*mncx8
	#case mncx2*mncx6*mncx8
		#redefine BEPATH "3"
		#redefine HARMBRACKET "AB+ P,Q,p2,p6,p8;"
	#break
	#case mncx4*mncx6*mncx8
		#redefine BEPATH "4"
		#redefine HARMBRACKET "AB+ P,Q,p4,p6,p8;"
	#break
	#case mncx5*mncx7*mncx8
*
*		This seems to be the worst remaining case (5-jul-2013)
*
		#redefine BEPATH "14"
		#redefine HARMBRACKET "AB+ P,Q,p4,p6,p8;"
		multiply,replace_(p1,-p3,p3,-p1,p2,-p2,p6,-p7,p7,-p6,p4,-p5,p5,-p4,Q,-Q
		,[P+p1],[P-p3],[P+p3],[P-p1],[P-p1],[P+p3],[P-p3],[P+p1]
		,[P+p4],[P-p5],[P+p5],[P-p4],[P-p4],[P+p5],[P-p5],[P+p4]
		,[P+p6],[P-p7],[P+p7],[P-p6],[P-p6],[P+p7],[P-p7],[P+p6]
		,[P+p2],[P-p2],[P-p2],[P+p2],[P+Q],[P-Q],[P-Q],[P+Q])*mncsgn3;
	#break
	#case mncx5*mncx7*mncx88
		#redefine BEPATH "4"
		#redefine HARMBRACKET "AB+ P,Q,p4,p6,p8;"
		multiply,replace_(p1,-p3,p3,-p1,p2,-p2,p6,-p7,p7,-p6,p4,-p5,p5,-p4,Q,-Q
		,[P+p1],[P-p3],[P+p3],[P-p1],[P-p1],[P+p3],[P-p3],[P+p1]
		,[P+p4],[P-p5],[P+p5],[P-p4],[P-p4],[P+p5],[P-p5],[P+p4]
		,[P+p6],[P-p7],[P+p7],[P-p6],[P-p6],[P+p7],[P-p7],[P+p6]
		,[P+p2],[P-p2],[P-p2],[P+p2],[P+Q],[P-Q],[P-Q],[P+Q])*mncsgn3;
	#break
	#case mncx4
	#case mncx5
	#case mncx4*mncx5
	#case mncx1*mncx4
	#case mncx1*mncx4*mncx5
	#case mncx3*mncx4*mncx5
		#redefine BEPATH "7"
		#redefine HARMBRACKET "AB+ P,Q,p2,p4,p5;"
	#break
	#case mncx6*mncx7
		#redefine BEPATH "8"
		#redefine HARMBRACKET "AB+ P,Q,p2,p6,p7;"
	#break
	#case mncx1*mncx6
	#case mncx5*mncx6
	#case mncx1*mncx5*mncx6
		#redefine BEPATH "9"
		#redefine HARMBRACKET "AB+ P,Q,p1,p3,p6;"
	#break
	#case mncx4*mncx8
		#redefine BEPATH "10"
		#redefine HARMBRACKET "AB+ P,Q,p2,p4,p8;"
	#break
	#case mncx5*mncx8
		#redefine BEPATH "10"
		#redefine HARMBRACKET "AB+ P,Q,p2,p4,p8;"
		multiply,replace_(p1,-p3,p3,-p1,p2,-p2,p6,-p7,p7,-p6,p4,-p5,p5,-p4,Q,-Q
		,[P+p1],[P-p3],[P+p3],[P-p1],[P-p1],[P+p3],[P-p3],[P+p1]
		,[P+p4],[P-p5],[P+p5],[P-p4],[P-p4],[P+p5],[P-p5],[P+p4]
		,[P+p6],[P-p7],[P+p7],[P-p6],[P-p6],[P+p7],[P-p7],[P+p6]
		,[P+p2],[P-p2],[P-p2],[P+p2],[P+Q],[P-Q],[P-Q],[P+Q])*mncsgn3;
	#break
	#default
		#message Encountered an unknown benz subtopology: `$props'
		#terminate
	#break
#endswitch
#break
*--#] be :
*--#[ no :
#case no
*
#switch `$props'
	#case mncx1*mncx2*mncx3
	#case mncx1*mncx2
	#case mncx1
	#case mncx2*mncx3
	#case mncx2
	#case mncx3
	#case mncx1*mncx6
	#case mncx1*mncx2*mncx6
		#redefine NOSPEC "0"
		#redefine HARMBRACKET "AB+ P,Q,p1,p2,p3;"
	#break
	#case mncx2*mncx7*mncx8
		#redefine NOSPEC "1"
		#redefine HARMBRACKET "AB+ P,Q,p2,p7,p8;"
	#break
	#case mncx2*mncx5*mncx7
*		#redefine NOSPEC "0"
*		#redefine HARMBRACKET "AB+ P,Q,p1,p2,p3;"
*		multiply replace_([P+p7],p7,p7,-[P-p7],[P-p5],-p5,p5,[P+p5],
*			p1,[P+p1],p6,[P+p6]);
*		multiply,replace_([P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]
*		,[P-p2],[P+p7],[P+p2],[P-p7],[P+p7],[P-p2],[P-p7],[P+p2]
*		,[P+p5],[P+p8],[P-p5],[P-p8],[P+p8],[P+p5],[P-p8],[P-p5]);
*		multiply,replace_(p2,-p7,p7,-p2,p8,p5,p5,p8,p3,-p4,p4,-p3);
*	#break
	#case mncx2*mncx5*mncx8
		#redefine NOSPEC "1"
		#redefine HARMBRACKET "AB+ P,Q,p2,p7,p8;"
		multiply,replace_([P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]
		,[P-p2],[P+p7],[P+p2],[P-p7],[P+p7],[P-p2],[P-p7],[P+p2]
		,[P+p5],[P+p8],[P-p5],[P-p8],[P+p8],[P+p5],[P-p8],[P-p5]);
		multiply,replace_(p2,-p7,p7,-p2,p8,p5,p5,p8,p3,-p4,p4,-p3);
	#break
	#case mncx1*mncx2*mncx8
		#redefine NOSPEC "2"
		#redefine HARMBRACKET "AB+ P,Q,p1,p2,p8;"
	#break
	#case mncx2*mncx7
		#redefine NOSPEC "2"
		#redefine HARMBRACKET "AB+ P,Q,p1,p2,p8;"
		multiply,replace_(
		p1,-p3,p3,-p1,[P+p1],[P-p3],[P+p3],[P-p1],[P-p1],[P+p3],[P-p3],[P+p1],
		p4,-p6,p6,-p4,[P+p4],[P-p6],[P+p6],[P-p4],[P-p4],[P+p6],[P-p6],[P+p4],
		p2,-p2,[P+p2],[P-p2],[P-p2],[P+p2],
		p5,-p5,[P+p5],[P-p5],[P-p5],[P+p5],
		p7,-p8,p8,-p7,[P+p7],[P-p8],[P+p8],[P-p7],[P-p7],[P+p8],[P-p8],[P+p7],
		Q,-Q,[P+Q],[P-Q],[P-Q],[P+Q])*mncsgn3;
	#break
	#case mncx1*mncx5*mncx7
**
**		Flip into 1,2,8 -> case 2
**
*		#redefine NOSPEC "2"
*		#redefine HARMBRACKET "AB+ P,Q,p1,p2,p8;"
*		multiply,replace_([P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]
*		,[P-p2],[P+p7],[P+p2],[P-p7],[P+p7],[P-p2],[P-p7],[P+p2]
*		,[P+p5],[P+p8],[P-p5],[P-p8],[P+p8],[P+p5],[P-p8],[P-p5]);
*		multiply,replace_(p2,-p7,p7,-p2,p8,p5,p5,p8,p3,-p4,p4,-p3);
*
*		Rewire into 1,6,5 and then flip into 2,1,6 -> case 0
*
		#redefine NOSPEC "0"
		#redefine HARMBRACKET "AB+ P,Q,p1,p2,p3;"
		multiply replace_([P+p1],p1,p1,-[P-p1],[P-p7],-p7,p7,[P+p7],
		[P+p5],p5,p5,-[P-p5],p6,-[P-p6]);
*
		multiply,replace_(
		p1,-p3,p3,-p1,[P+p1],[P-p3],[P+p3],[P-p1],[P-p1],[P+p3],[P-p3],[P+p1],
		p4,-p6,p6,-p4,[P+p4],[P-p6],[P+p6],[P-p4],[P-p4],[P+p6],[P-p6],[P+p4],
		p2,-p2,[P+p2],[P-p2],[P-p2],[P+p2],
		p5,-p5,[P+p5],[P-p5],[P-p5],[P+p5],
		p7,-p8,p8,-p7,[P+p7],[P-p8],[P+p8],[P-p7],[P-p7],[P+p8],[P-p8],[P+p7],
		Q,-Q,[P+Q],[P-Q],[P-Q],[P+Q])*mncsgn3;
	#break
	#default
		#message Encountered an unknown nonplanar subtopology: `$props'
		#terminate
	#break
#endswitch
**
**	We have now a configuration with 7,2,8
**	Now minimize the number of fermions
**
*	id  mncfp(?a, mncp?mncPcenter,?b) = mncfp(?a, mncp,?b)*mncx;
*	id  mncfp(?a,-mncp?mncPcenter,?b) = mncfp(?a,-mncp,?b)*mncx;
*	id	mncfp(?a, mncp?mncpcenter,?b ) = mncfp(?a, mncp,?b)/mncx;
*	id	mncfp(?a,-mncp?mncpcenter,?b ) = mncfp(?a,-mncp,?b)/mncx;
*	if ( count(mncx,1) > 0 );
*		if ( match(mncDg(?a,[P-p7])) || match(mncDg(?a,-[P-p7]))
*		|| match(mncfp(?a,[P-p7])) || match(mncfp(?a,-[P-p7]))
*		|| match(mncDgh(?a,[P-p7])) || match(mncDgh(?a,-[P-p7]))
*		|| match(Dg(?a,[P-p7])) || match(Dg(?a,-[P-p7]))
*		|| match(fp(?a,[P-p7])) || match(fp(?a,-[P-p7]))
*		|| match(Dgh(?a,[P-p7])) || match(Dgh(?a,-[P-p7])) );
*			multiply,replace_([P-p7],-p7,[P-p2],-p2,[P-p8],-p8,
*			p7,[P+p7],p5,-[P-p5],p8,[P+p8],mncx2,mncx5,mncx5,mncx2);
*		else;
*			multiply,replace_([P+p7],p7,[P+p2],p2,[P+p8],p8,
*			p7,-[P-p7],p5,[P+p5],p8,-[P-p8],mncx2,mncx5,mncx5,mncx2);
*		endif;
*		multiply,replace_([P-p1],[P+p6],[P+p1],[P-p6],[P+p6],[P-p1],[P-p6],[P+p1]
*		,[P-p2],[P+p5],[P+p2],[P-p5],[P+p5],[P-p2],[P-p5],[P+p2]
*		,[P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]);
*		multiply,replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,p8,p8,p7
*		,[P+p8],[P+p7],[P+p7],[P+p8],[P-p8],[P-p7],[P-p7],[P-p8]);
*		multiply,replace_(mncx1,mncx6,mncx6,mncx1,mncx2,mncx5,mncx5,mncx2,mncx3,mncx4,mncx4,mncx3,mncx7,mncx8,mncx8,mncx7);
*	endif;
*	id	mncx = 1;
*	id	1/mncx = 1;
#break
*--#] no :
*--#[ fa :
#case fa
*
*
#break
*--#] fa :
*--#[ bu :
#case bu
*
*
#break
*--#] bu :
*--#[ o1 :
#case o1
*
#switch `$props'
	#case mncx1
	#case mncx1*mncx2
	#case mncx1*mncx2*mncx3
	#case mncx1*mncx3
	#case mncx1*mncx4
	#case mncx2
	#case mncx6
		#redefine O1PATH "0";
		#redefine HARMBRACKET "AB+ P,Q,p1,p2,p6;"
	#break
	#case mncx3
	#case mncx3*mncx4
	#case mncx4
		#redefine O1PATH "0";
		#redefine HARMBRACKET "AB+ P,Q,p1,p2,p6;"
		Multiply replace_(
		p1,-p4,p4,-p1,p2,-p3,p3,-p2,p5,-p8,p8,-p5,p6,-p6,p7,-p7,
		[P+p3],[P-p2],[P-p3],[P+p2],[P+p4],[P-p1],[P-p4],[P+p1]);
	#break
	#case mncx7
		#redefine O1PATH "0";
		#redefine HARMBRACKET "AB+ P,Q,p1,p2,p6;"
		multiply replace_(p6,p7,p7,p6,[P+p6],[P+p7],[P+p7],[P+p6],
			[P-p6],[P-p7],[P-p7],[P-p6]);
	#break
	#case mncx6*mncx7
		#redefine O1PATH "1";
		#redefine HARMBRACKET "AB+ P,Q,p1,p6,p7;"
	#break
	#case mncx1*mncx5*mncx6
	#case mncx1*mncx6*mncx8
	#case mncx1*mncx6
	#case mncx1*mncx5
	#case mncx1*mncx8
	#case mncx5*mncx6
	#case mncx6*mncx8
	#case mncx5
	#case mncx8
		#redefine O1PATH "2";
		#redefine HARMBRACKET "AB+ P,Q,p1,p5,p6;"
	#break
	#case mncx1*mncx5*mncx7
	#case mncx1*mncx7*mncx8
	#case mncx1*mncx7
	#case mncx5*mncx7
	#case mncx7*mncx8
		#redefine O1PATH "2";
		#redefine HARMBRACKET "AB+ P,Q,p1,p5,p6;"
		multiply replace_(p6,p7,p7,p6,[P+p6],[P+p7],[P+p7],[P+p6],
			[P-p6],[P-p7],[P-p7],[P-p6]);
	#break
	#case mncx1*mncx4*mncx5
		#redefine O1PATH "2";
		#redefine HARMBRACKET "AB+ P,Q,p1,p5,p6;"
		Multiply replace_(p1,-p4,p4,-p1,[P+p1],[P-p4],[P+p4],[P-p1],
			p2,-p3,p3,-p2,p6,-p6,p7,-p7,
			[P+p5],[P-p8],p5,-p8,p8,-p5);
*		multiply replace_([P+p1],p1,p1,-[P-p1],[P+p4],p4,p4,-[P-p4]
*		,[P+p5],p5,p5,-[P-p5],p6,-[P-p6]);
	#break
	#case mncx1*mncx4*mncx8
		#redefine O1PATH "2";
		#redefine HARMBRACKET "AB+ P,Q,p1,p5,p6;"
	#break
	#default
		#message Encountered an unknown o1 subtopology: `$props'
		#terminate
	#break
#endswitch
*
#break
*--#] o1 :
*--#[ o2 :
#case o2
*
#switch `$props'
	#case mncx1
	#case mncx2
	#case mncx1*mncx2
	#case mncx2*mncx3
	#case mncx1*mncx2*mncx8
	#case mncx6
	#case mncx1*mncx6*mncx8
	#case mncx1*mncx6
	#case mncx1*mncx4*mncx6*mncx8
	#case mncx1*mncx4*mncx6
	#case mncx1*mncx2*mncx6*mncx8
*			1,2,6
		#redefine O2PATH "0"
		#redefine HARMBRACKET "AB+ P,Q,p1,p2,p6;"
	#break
	#case mncx3
	#case mncx1*mncx2*mncx3
	#case mncx1*mncx3*mncx5
*			1,3,6
		#redefine O2PATH "1"
		#redefine HARMBRACKET "AB+ P,Q,p1,p3,p6;"
	#break
	#case mncx3*mncx4
	#case mncx4*mncx6*mncx8
	#case mncx6*mncx8
	#case mncx4*mncx6
	#case mncx4*mncx6*mncx8
	#case mncx3*mncx4*mncx6*mncx8
	#case mncx3*mncx4*mncx6
	#case mncx3*mncx6*mncx8
	#case mncx3*mncx6
	#case mncx4
	#case mncx8
*			3,4,6
		#redefine O2PATH "2"
		#redefine HARMBRACKET "AB+ P,Q,p3,p4,p6;"
	#break
	#case mncx1*mncx4*mncx5
	#case mncx1*mncx5
	#case mncx5
	#case mncx1*mncx5*mncx8
*			1,5,6
		#redefine O2PATH "3"
		#redefine HARMBRACKET "AB+ P,Q,p1,p5,p6;"
	#break
	#case mncx2*mncx8
	#case mncx2*mncx4*mncx5
	#case mncx2*mncx4*mncx5*mncx6
*			2,4,6
*	Empirically we set this to 9=6. Much better than 3 and a bit better than 2
		#redefine O2PATH "9"
		#redefine HARMBRACKET "AB+ P,Q,p2,p4,p6;"
	#break
	#case mncx2*mncx5
*			2,5,6
		#redefine O2PATH "4"
		#redefine HARMBRACKET "AB+ P,Q,p2,p5,p6;"
	#break
	#case mncx3*mncx5
*			3,5,6
		#redefine O2PATH "5"
		#redefine HARMBRACKET "AB+ P,Q,p3,p5,p6;"
	#break
	#case mncx1*mncx8
	#case mncx2*mncx4
*			2,4,6
		#redefine O2PATH "6"
		#redefine HARMBRACKET "AB+ P,Q,p2,p4,p6;"
	#break
	#case mncx4*mncx5
	#case mncx5*mncx8
	#case mncx4*mncx5*mncx6
	#case mncx4*mncx5*mncx6*mncx8
*			4,5,6
		#redefine O2PATH "7"
		#redefine HARMBRACKET "AB+ P,Q,p4,p5,p6;"
	#break
	#case mncx6*mncx7
*			3,6,7
		#redefine O2PATH "8"
		#redefine HARMBRACKET "AB+ P,Q,p3,p6,p7;"
*
*		Somewhere there is a flaw in case 8 in the sense that eventually
*		we need to rewrite p7 anyway before we integrate. Hence it is better
*		to do this directly:
*			3,4,6
*		#redefine O2PATH "2"
*		#redefine HARMBRACKET "AB+ P,Q,p3,p4,p6;"
	#break
	#default
		#message Encountered an unknown o2 subtopology: `$props'
		#terminate
	#break
#endswitch
*
#break
*--#] o2 :
*--#[ o3 :
#case o3
*
#redefine HARMBRACKET "AB+ P,Q,p1,p2,p6;"
*
#break
*--#] o3 :
*--#[ o4 :
#case o4
*
#redefine HARMBRACKET "AB+ P,Q,p1,p2,p6;"
*
#break
*--#] o4 :
*--#[ o5 :
#case o5
*
#redefine HARMBRACKET "AB+ P,Q,p3,p4,p6;"
*
if ( ( count(mncx7,1) > 0 ) && ( count(mncx6,1) == 0 ) );
	multiply replace_(
		p6,p7,p7,p6,[P+p6],[P+p7],[P+p7],[P+p6],[P-p6],[P-p7],[P-p7],[P-p6]
		mncx6,mncx7,mncx7,mncx6);
endif;
if ( match(mncx6*mncx2*mncx1) );
	if ( match(mncDg(?a,[P-p2])) || match(mncDg(?a,-[P-p2]))
	|| match(mncfp(?a,[P-p2])) || match(mncfp(?a,-[P-p2]))
	|| match(mncDgh(?a,[P-p2])) || match(mncDgh(?a,-[P-p2])) );
		Multiply,replace_([P-p2],-p2,p2,[P+p2],[P-p1],-p1,p1,[P+p1],[P-p4],-p4,[P-p3],-p3
		,[P-p6],-p6,p6,[P+p6],p4,[P+p4],p3,[P+p3],mncx2,mncx4,mncx4,mncx2);
	else;
		Multiply,replace_([P+p2],p2,p2,-[P-p2],[P+p4],p4,p4,-[P-p4],[P+p6],p6,
        p6,-[P-p6],[P+p3],p3,p3,-[P-p3],[P+p1],p1,p1,-[P-p1],mncx2,mncx4,mncx4,mncx2);
	endif;	
endif;
*
#break
*--#] o5 :
*--#[ o6 :
#case o6
*
#redefine HARMBRACKET "AB+ P,Q,p1,p2,p6;"
*
#break
*--#] o6 :
*--#[ y1 :
#case y1
*
#redefine HARMBRACKET "AB+ P,Q,p1,p3,p5;"
*
#break
*--#] y1 :
*--#[ y2 :
#case y2
*
#redefine HARMBRACKET "AB+ P,Q,p1,p3,p5;"
*
#break
*--#] y2 :
*--#[ y3 :
#case y3
*
#redefine HARMBRACKET "AB+ P,Q,p1,p3,p5;"
*
#break
*--#] y3 :
*--#[ y4 :
#case y4
*
#redefine HARMBRACKET "AB+ P,Q,p1,p3,p5;"
*
#break
*--#] y4 :
*--#[ y5 :
#case y5
*
#redefine HARMBRACKET "AB+ P,Q,p1,p3,p5;"
*
#break
*--#] y5 :
*--#[ y6 :
#case y6
*
#redefine HARMBRACKET "AB+ P,Q,p1,p3,p5;"
*
#break
*--#] y6 :
*--#[ t1 :
#case t1
*
#redefine HARMBRACKET "AB+ P,Q,p1,p2;"
#switch `$props'
	#case mncx1*mncx2*mncx3
#ifdef `RESET'
		Multiply replace_(p1,-[P-p1],[P+p1],p1,p2,-[P-p2],[P+p2],p2,
				Q,-[P-Q],[P+Q],Q);
#endif
	#break
#endswitch
*
#break
*--#] t1 :
*--#[ t2 :
#case t2
*
#redefine HARMBRACKET "AB+ P,Q,p1,p3;"
*
#break
*--#] t2 :
*--#[ t3 :
#case t3
*
#redefine HARMBRACKET "AB+ P,Q,p1,p3;"
*
#break
*--#] t3 :
*--#[ l1 :
#case l1
*
*
#break
*--#] l1 :
*--#[ l2 :
#case l2
*
*
#break
*--#] l2 :
*--#[ l3 :
#case l3
*
*
#break
*--#] l3 :
*--#[ tr :
#case tr
*
*
#break
*--#] tr :
#endswitch
*
repeat,id  mncx?[mncx18] = 1;
*
#endprocedure
*--#] special :
*--#[ subint :
#procedure subint
id  mncexp20*mncexp10 = 1
      +ep*(3)
      +ep^2*(13)
      +ep^3*(55-22*z3)
      +ep^4*(229-33*z4-66*z3)
      +ep^5*(943-234*z5-99*z4-286*z3)
      +ep^6*(3853-530*z6-702*z5-429*z4-1210*z3+242*z3^2)
      +ep^7*(15655-2598*z7-1590*z6-3042*z5-1815*z4-5038*z3+726*z3*z4+726*z3^2);
id  mncexp11 = 1
      +ep*(2)
      +ep^2*(8)
      +ep^3*(32-22*z3)
      +ep^4*(128-33*z4-44*z3)
      +ep^5*(512-234*z5-66*z4-176*z3)
      +ep^6*(2048-530*z6-468*z5-264*z4-704*z3+242*z3^2)
      +ep^7*(8192-2598*z7-1060*z6-1872*z5-1056*z4-2816*z3+726*z3*z4+484*z3^2);
id  mncexp20 = 1
      +ep*(2)
      +ep^2*(8)
      +ep^3*(32-16*z3)
      +ep^4*(128-24*z4-32*z3)
      +ep^5*(512-192*z5-48*z4-128*z3)
      +ep^6*(2048-440*z6-384*z5-192*z4-512*z3+128*z3^2)
      +ep^7*(8192-2304*z7-880*z6-1536*z5-768*z4-2048*z3+384*z3*z4+256*z3^2);
id  mncexp10 = 1
      +ep*(1)
      +ep^2*(3)
      +ep^3*(9-6*z3)
      +ep^4*(27-9*z4-6*z3)
      +ep^5*(81-42*z5-9*z4-18*z3)
      +ep^6*(243-90*z6-42*z5-27*z4-54*z3+18*z3^2)
      +ep^7*(729-294*z7-90*z6-126*z5-81*z4-162*z3+54*z3*z4+18*z3^2);
*
id  mncG311 = (1-2*ep)*(6*z3+9*z4*ep+102*z5*ep^2+240*z6*ep^3-186*ep^3*z3^2
				+1413*ep^4*z7-639*ep^4*z3*z4+288*ep^5*z6z2+25701/8*ep^5*z8
				-486*ep^5*z4^2-5880*ep^5*z3*z5);
*
id  mncF321 = (20*z5+50*z6*ep+68*z3^2*ep+450*z7*ep^2+204*z3*z4*ep^2+ep^3*zz5)*(1+2*ep+4*ep^2);
#endprocedure
*--#] subint :
*--#[ sym1 :
#procedure sym1(TOPO)
#switch `TOPO'
*--#[ la :
#case la
*
#ifdef `LATRANS'
*#if ( `LATRANS' == 0 )
*if ( count([P+p1].[P+p1],1,[P+p2].[P+p2],1,[P+p3].[P+p3],1,
*	[P-p1].[P-p1],1,[P-p2].[P-p2],1,[P-p3].[P-p3],1) >
*	count([P+p4].[P+p4],1,[P+p5].[P+p5],1,[P+p6].[P+p6],1,
*	[P-p4].[P-p4],1,[P-p5].[P-p5],1,[P-p6].[P-p6],1) );
*	multiply,replace_(
*		 [P-p1],[P+p6],[P+p1],[P-p6],[P+p6],[P-p1],[P-p6],[P+p1]
*		,[P-p2],[P+p5],[P+p2],[P-p5],[P+p5],[P-p2],[P-p5],[P+p2]
*		,[P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]);
*	multiply,replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,
*	[P+p7],[P-p7],[P-p7],[P+p7],[P+p8],[P-p8],[P-p8],[P+p8]);
*	id p7 = -p7;
*	id p8 = -p8;
*endif;
*if ( count([P+p1].[P+p1],1,[P+p6].[P+p6],1,
*	[P-p1].[P-p1],1,[P-p6].[P-p6],1) >
*	count([P+p3].[P+p3],1,[P+p4].[P+p4],1,
*	[P-p3].[P-p3],1,[P-p4].[P-p4],1) );
*	multiply,replace_(
*		 [P-p1],[P+p3],[P+p1],[P-p3],[P-p4],[P+p6],[P+p4],[P-p6]
*		,[P-p3],[P+p1],[P+p3],[P-p1],[P-p6],[P+p4],[P+p6],[P-p4]
*		,[P-p2],[P+p2],[P+p2],[P-p2],[P-p5],[P+p5],[P+p5],[P-p5]
*		,[P-p7],[P+p8],[P+p7],[P-p8],[P-p8],[P+p7],[P+p8],[P-p7]
*		,p1,-p3,p3,-p1,p4,-p6,p6,-p4,p2,-p2,p5,-p5,p7,-p8,p8,-p7,Q,-Q
*		,[P+Q],[P-Q],[P-Q],[P+Q]);
*endif;
*#endif
#else
#ifdef `LASYM'
#if ( `LASYM' == 1 )
	multiply,replace_(
		 [P-p1],[P+p6],[P+p1],[P-p6],[P+p6],[P-p1],[P-p6],[P+p1]
		,[P-p2],[P+p5],[P+p2],[P-p5],[P+p5],[P-p2],[P-p5],[P+p2]
		,[P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]);
	multiply,replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,
	[P+p7],[P-p7],[P-p7],[P+p7],[P+p8],[P-p8],[P-p8],[P+p8]);
	id p7 = -p7;
	id p8 = -p8;
#else
#if ( `LASYM' == 2 )
	multiply,replace_(
		 [P-p1],[P+p3],[P+p1],[P-p3],[P-p4],[P+p6],[P+p4],[P-p6]
		,[P-p3],[P+p1],[P+p3],[P-p1],[P-p6],[P+p4],[P+p6],[P-p4]
		,[P-p2],[P+p2],[P+p2],[P-p2],[P-p5],[P+p5],[P+p5],[P-p5]
		,[P-p7],[P+p8],[P+p7],[P-p8],[P-p8],[P+p7],[P+p8],[P-p7]
		,p1,-p3,p3,-p1,p4,-p6,p6,-p4,p2,-p2,p5,-p5,p7,-p8,p8,-p7,Q,-Q
		,[P+Q],[P-Q],[P-Q],[P+Q]);
#else
#if ( `LASYM' == 3 )
	multiply,replace_(
		 [P-p1],[P+p3],[P+p1],[P-p3],[P-p4],[P+p6],[P+p4],[P-p6]
		,[P-p3],[P+p1],[P+p3],[P-p1],[P-p6],[P+p4],[P+p6],[P-p4]
		,[P-p2],[P+p2],[P+p2],[P-p2],[P-p5],[P+p5],[P+p5],[P-p5]
		,[P-p7],[P+p8],[P+p7],[P-p8],[P-p8],[P+p7],[P+p8],[P-p7]
		,p1,-p3,p3,-p1,p4,-p6,p6,-p4,p2,-p2,p5,-p5,p7,-p8,p8,-p7,Q,-Q
		,[P+Q],[P-Q],[P-Q],[P+Q]);
	multiply,replace_(
		 [P-p1],[P+p6],[P+p1],[P-p6],[P+p6],[P-p1],[P-p6],[P+p1]
		,[P-p2],[P+p5],[P+p2],[P-p5],[P+p5],[P-p2],[P-p5],[P+p2]
		,[P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]);
	multiply,replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,
	[P+p7],[P-p7],[P-p7],[P+p7],[P+p8],[P-p8],[P-p8],[P+p8]);
	id p7 = -p7;
	id p8 = -p8;
#endif
#endif
#endif
#else
if ( count([P+p1].[P+p1],1,[P+p2].[P+p2],1,[P+p3].[P+p3],1,
	[P-p1].[P-p1],1,[P-p2].[P-p2],1,[P-p3].[P-p3],1) >
	count([P+p4].[P+p4],1,[P+p5].[P+p5],1,[P+p6].[P+p6],1,
	[P-p4].[P-p4],1,[P-p5].[P-p5],1,[P-p6].[P-p6],1) );
	multiply,replace_(
		 [P-p1],[P+p6],[P+p1],[P-p6],[P+p6],[P-p1],[P-p6],[P+p1]
		,[P-p2],[P+p5],[P+p2],[P-p5],[P+p5],[P-p2],[P-p5],[P+p2]
		,[P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]);
	multiply,replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,
	[P+p7],[P-p7],[P-p7],[P+p7],[P+p8],[P-p8],[P-p8],[P+p8]);
	id p7 = -p7;
	id p8 = -p8;
endif;
if ( count([P+p1].[P+p1],1,[P+p6].[P+p6],1,
	[P-p1].[P-p1],1,[P-p6].[P-p6],1) >
	count([P+p3].[P+p3],1,[P+p4].[P+p4],1,
	[P-p3].[P-p3],1,[P-p4].[P-p4],1) );
	multiply,replace_(
		 [P-p1],[P+p3],[P+p1],[P-p3],[P-p4],[P+p6],[P+p4],[P-p6]
		,[P-p3],[P+p1],[P+p3],[P-p1],[P-p6],[P+p4],[P+p6],[P-p4]
		,[P-p2],[P+p2],[P+p2],[P-p2],[P-p5],[P+p5],[P+p5],[P-p5]
		,[P-p7],[P+p8],[P+p7],[P-p8],[P-p8],[P+p7],[P+p8],[P-p7]
		,p1,-p3,p3,-p1,p4,-p6,p6,-p4,p2,-p2,p5,-p5,p7,-p8,p8,-p7,Q,-Q
		,[P+Q],[P-Q],[P-Q],[P+Q]);
endif;
#endif
#endif
*
#break
*--#] la :
*--#[ be :
#case be
*
*
#break
*--#] be :
*--#[ no :
#case no
*
#ifdef `NOSPEC'
#if ( `NOSPEC' == 1 )
if ( count([P+p2].[P+p2],1,[P-p2].[P-p2],1) == 0 );
	multiply,replace_([P-p1],[P+p6],[P+p1],[P-p6],[P+p6],[P-p1],[P-p6],[P+p1]
		,[P-p2],[P+p5],[P+p2],[P-p5],[P+p5],[P-p2],[P-p5],[P+p2]
		,[P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]);
	multiply,replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,p8,p8,p7
		,[P+p8],[P+p7],[P+p7],[P+p8],[P-p8],[P-p7],[P-p7],[P-p8]);
elseif( count([P+p7].[P+p7],1,[P-p7].[P-p7],1) == 0 );
	multiply,replace_([P-p1],[P+p6],[P+p1],[P-p6],[P+p6],[P-p1],[P-p6],[P+p1]
		,[P-p2],[P+p8],[P+p2],[P-p8],[P+p8],[P-p2],[P-p8],[P+p2]
		,[P+p5],[P+p7],[P-p5],[P-p7],[P+p7],[P+p5],[P-p7],[P-p5]);
	multiply,replace_(p2,-p8,p8,-p2,p7,p5,p5,p7,p1,-p6,p6,-p1);
elseif ( count([P+p8].[P+p8],1,[P-p8].[P-p8],1) == 0 );
	multiply,replace_([P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]
		,[P-p2],[P+p7],[P+p2],[P-p7],[P+p7],[P-p2],[P-p7],[P+p2]
		,[P+p5],[P+p8],[P-p5],[P-p8],[P+p8],[P+p5],[P-p8],[P-p5]);
	multiply,replace_(p2,-p7,p7,-p2,p8,p5,p5,p8,p3,-p4,p4,-p3);
else;
	if ( count([P+p2].[P+p2],1,[P-p2].[P-p2],1) > count([P+p5].[P+p5],1,[P-p5].[P-p5],1) );
	multiply,replace_([P-p1],[P+p6],[P+p1],[P-p6],[P+p6],[P-p1],[P-p6],[P+p1]
		,[P-p2],[P+p5],[P+p2],[P-p5],[P+p5],[P-p2],[P-p5],[P+p2]
		,[P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]);
	multiply,replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,p8,p8,p7
		,[P+p8],[P+p7],[P+p7],[P+p8],[P-p8],[P-p7],[P-p7],[P-p8]);
	endif;
	if ( count([P+p7].[P+p7],1,[P-p7].[P-p7],1) > count([P+p5].[P+p5],1,[P-p5].[P-p5],1) );
	multiply,replace_([P-p1],[P+p6],[P+p1],[P-p6],[P+p6],[P-p1],[P-p6],[P+p1]
		,[P-p2],[P+p8],[P+p2],[P-p8],[P+p8],[P-p2],[P-p8],[P+p2]
		,[P+p5],[P+p7],[P-p5],[P-p7],[P+p7],[P+p5],[P-p7],[P-p5]);
	multiply,replace_(p2,-p8,p8,-p2,p7,p5,p5,p7,p1,-p6,p6,-p1);
	if ( count([P+p2].[P+p2],1,[P-p2].[P-p2],1) > count([P+p5].[P+p5],1,[P-p5].[P-p5],1) );
	multiply,replace_([P-p1],[P+p6],[P+p1],[P-p6],[P+p6],[P-p1],[P-p6],[P+p1]
		,[P-p2],[P+p5],[P+p2],[P-p5],[P+p5],[P-p2],[P-p5],[P+p2]
		,[P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]);
	multiply,replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,p8,p8,p7
		,[P+p8],[P+p7],[P+p7],[P+p8],[P-p8],[P-p7],[P-p7],[P-p8]);
	endif;
	elseif ( count([P+p8].[P+p8],1,[P-p8].[P-p8],1) > count([P+p5].[P+p5],1,[P-p5].[P-p5],1) );
	multiply,replace_([P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]
		,[P-p2],[P+p7],[P+p2],[P-p7],[P+p7],[P-p2],[P-p7],[P+p2]
		,[P+p5],[P+p8],[P-p5],[P-p8],[P+p8],[P+p5],[P-p8],[P-p5]);
	multiply,replace_(p2,-p7,p7,-p2,p8,p5,p5,p8,p3,-p4,p4,-p3);
	endif;
endif;
#else
#if ( `NOSPEC' == 0 )
if ( count([P+p1].[P+p1],1,[P+p2].[P+p2],1,[P+p3].[P+p3],1,
	[P-p1].[P-p1],1,[P-p2].[P-p2],1,[P-p3].[P-p3],1) >
	count([P+p4].[P+p4],1,[P+p5].[P+p5],1,[P+p6].[P+p6],1,
	[P-p4].[P-p4],1,[P-p5].[P-p5],1,[P-p6].[P-p6],1) );
	multiply,replace_([P-p1],[P+p6],[P+p1],[P-p6],[P+p6],[P-p1],[P-p6],[P+p1]
		,[P-p2],[P+p5],[P+p2],[P-p5],[P+p5],[P-p2],[P-p5],[P+p2]
		,[P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]);
	multiply,replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,p8,p8,p7
		,[P+p8],[P+p7],[P+p7],[P+p8],[P-p8],[P-p7],[P-p7],[P-p8]);
endif;
if ( count([P+p2].[P+p2],1,[P+p3].[P+p3],1,
	[P-p2].[P-p2],1,[P-p3].[P-p3],1) >
	count([P+p4].[P+p4],1,[P+p7].[P+p7],1,
	[P-p4].[P-p4],1,[P-p7].[P-p7],1) );
	multiply,replace_([P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]
		,[P-p2],[P+p7],[P+p2],[P-p7],[P+p7],[P-p2],[P-p7],[P+p2]
		,[P+p5],[P+p8],[P-p5],[P-p8],[P+p8],[P+p5],[P-p8],[P-p5]);
	multiply,replace_(p2,-p7,p7,-p2,p8,p5,p5,p8,p3,-p4,p4,-p3);
endif;
if ( count([P+p2].[P+p2],1,[P+p1].[P+p1],1,
	[P-p2].[P-p2],1,[P-p1].[P-p1],1) >
	count([P+p6].[P+p6],1,[P+p8].[P+p8],1,
	[P-p6].[P-p6],1,[P-p8].[P-p8],1) );
	multiply,replace_([P-p1],[P+p6],[P+p1],[P-p6],[P+p6],[P-p1],[P-p6],[P+p1]
		,[P-p2],[P+p8],[P+p2],[P-p8],[P+p8],[P-p2],[P-p8],[P+p2]
		,[P+p5],[P+p7],[P-p5],[P-p7],[P+p7],[P+p5],[P-p7],[P-p5]);
	multiply,replace_(p2,-p8,p8,-p2,p7,p5,p5,p7,p1,-p6,p6,-p1);
endif;
#endif
#endif
#else
if ( count([P+p1].[P+p1],1,[P+p2].[P+p2],1,[P+p3].[P+p3],1,
	[P-p1].[P-p1],1,[P-p2].[P-p2],1,[P-p3].[P-p3],1) >
	count([P+p4].[P+p4],1,[P+p5].[P+p5],1,[P+p6].[P+p6],1,
	[P-p4].[P-p4],1,[P-p5].[P-p5],1,[P-p6].[P-p6],1) );
	multiply,replace_([P-p1],[P+p6],[P+p1],[P-p6],[P+p6],[P-p1],[P-p6],[P+p1]
		,[P-p2],[P+p5],[P+p2],[P-p5],[P+p5],[P-p2],[P-p5],[P+p2]
		,[P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]);
	multiply,replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,p8,p8,p7
		,[P+p8],[P+p7],[P+p7],[P+p8],[P-p8],[P-p7],[P-p7],[P-p8]);
endif;
if ( count([P+p2].[P+p2],1,[P+p3].[P+p3],1,
	[P-p2].[P-p2],1,[P-p3].[P-p3],1) >
	count([P+p4].[P+p4],1,[P+p7].[P+p7],1,
	[P-p4].[P-p4],1,[P-p7].[P-p7],1) );
	multiply,replace_([P-p3],[P+p4],[P+p3],[P-p4],[P+p4],[P-p3],[P-p4],[P+p3]
		,[P-p2],[P+p7],[P+p2],[P-p7],[P+p7],[P-p2],[P-p7],[P+p2]
		,[P+p5],[P+p8],[P-p5],[P-p8],[P+p8],[P+p5],[P-p8],[P-p5]);
	multiply,replace_(p2,-p7,p7,-p2,p8,p5,p5,p8,p3,-p4,p4,-p3);
endif;
if ( count([P+p2].[P+p2],1,[P+p1].[P+p1],1,
	[P-p2].[P-p2],1,[P-p1].[P-p1],1) >
	count([P+p6].[P+p6],1,[P+p8].[P+p8],1,
	[P-p6].[P-p6],1,[P-p8].[P-p8],1) );
	multiply,replace_([P-p1],[P+p6],[P+p1],[P-p6],[P+p6],[P-p1],[P-p6],[P+p1]
		,[P-p2],[P+p8],[P+p2],[P-p8],[P+p8],[P-p2],[P-p8],[P+p2]
		,[P+p5],[P+p7],[P-p5],[P-p7],[P+p7],[P+p5],[P-p7],[P-p5]);
	multiply,replace_(p2,-p8,p8,-p2,p7,p5,p5,p7,p1,-p6,p6,-p1);
endif;
#endif
*
#break
*--#] no :
*--#[ fa :
#case fa
*
*
#break
*--#] fa :
*--#[ bu :
#case bu
*
*
#break
*--#] bu :
*--#[ o1 :
#case o1
*
*if ( count([P+p6].[P+p6],1,[P-p6].[P-p6],1) >
*	count([P+p7].[P+p7],1,[P-p7].[P-p7],1) );
*	multiply,replace_([P+p6],[P+p7],[P+p7],[P+p6],[P-p6],[P-p7],[P-p7],[P-p6]
*	p6,p7,p7,p6);
*endif;
*if ( count([P+p1].[P+p1],1,[P+p2].[P+p2],1,
*	[P-p1].[P-p1],1,[P-p2].[P-p2],1) >
*	count([P+p3].[P+p3],1,[P+p4].[P+p4],1,
*	[P-p3].[P-p3],1,[P-p4].[P-p4],1) );
*	multiply,replace_([P-p1],[P+p4],[P+p1],[P-p4],[P+p4],[P-p1],[P-p4],[P+p1]
*		,[P-p2],[P+p3],[P+p2],[P-p3],[P+p3],[P-p2],[P-p3],[P+p2]
*		,[P-p5],[P+p5],[P+p5],[P-p5],[P-p6],[P+p6],[P+p6],[P-p6]
*		,[P-p7],[P+p7],[P+p7],[P-p7]);
*	multiply,replace_(p1,-p4,p4,-p1,p2,-p3,p3,-p2);
*	id	p5 = -p5;
*	id	p6 = -p6;
*	id	p7 = -p7;
*endif;
*
#break
*--#] o1 :
*--#[ o2 :
#case o2
*
if ( count([P+p6].[P+p6],1,[P-p6].[P-p6],1) >
	count([P+p7].[P+p7],1,[P-p7].[P-p7],1) );
	multiply,replace_([P+p6],[P+p7],[P+p7],[P+p6],[P-p6],[P-p7],[P-p7],[P-p6]
	p6,p7,p7,p6);
endif;
*
#break
*--#] o2 :
*--#[ o3 :
#case o3
*
if ( count([P+p6].[P+p6],1,[P-p6].[P-p6],1) >
	count([P+p7].[P+p7],1,[P-p7].[P-p7],1) );
	multiply,replace_([P+p6],[P+p7],[P+p7],[P+p6],[P-p6],[P-p7],[P-p7],[P-p6]
	,p6,p7,p7,p6);
endif;
if ( count([P+p1].[P+p1],1,[P+p2].[P+p2],1,
	[P-p1].[P-p1],1,[P-p2].[P-p2],1) >
	count([P+p3].[P+p3],1,[P+p4].[P+p4],1,
	[P-p3].[P-p3],1,[P-p4].[P-p4],1) );
	multiply,replace_([P-p1],[P+p4],[P+p1],[P-p4],[P+p4],[P-p1],[P-p4],[P+p1]
		,[P-p2],[P+p3],[P+p2],[P-p3],[P+p3],[P-p2],[P-p3],[P+p2]
		,[P-p5],[P+p5],[P+p5],[P-p5]);
	multiply,replace_(p1,-p4,p4,-p1,p2,-p3,p3,-p2);
	id	p5 = -p5;
endif;
*
#break
*--#] o3 :
*--#[ o4 :
#case o4
*
if ( count([P+p1].[P+p1],1,[P+p2].[P+p2],1,
	[P-p1].[P-p1],1,[P-p2].[P-p2],1) >
	count([P+p4].[P+p4],1,[P+p3].[P+p3],1,
	[P-p4].[P-p4],1,[P-p3].[P-p3],1) );
	multiply,replace_([P-p1],[P+p4],[P+p1],[P-p4],[P+p4],[P-p1],[P-p4],[P+p1]
		,[P-p2],[P+p3],[P+p2],[P-p3],[P+p3],[P-p2],[P-p3],[P+p2]
		,[P-p5],[P+p5],[P+p5],[P-p5]);
	multiply,replace_(p1,-p4,p4,-p1,p2,-p3,p3,-p2);
	id	p5 = -p5;
endif;
*
#break
*--#] o4 :
*--#[ o5 :
#case o5
*
if ( count([P+p6].[P+p6],1,[P-p6].[P-p6],1) >
	count([P+p7].[P+p7],1,[P-p7].[P-p7],1) );
	multiply,replace_([P+p6],[P+p7],[P+p7],[P+p6],[P-p6],[P-p7],[P-p7],[P-p6]
	p6,p7,p7,p6);
endif;
*
#break
*--#] o5 :
*--#[ o6 :
#case o6
*
if ( count([P+p6].[P+p6],1,[P-p6].[P-p6],1) >
	count([P+p7].[P+p7],1,[P-p7].[P-p7],1) );
	multiply,replace_([P+p6],[P+p7],[P+p7],[P+p6],[P-p6],[P-p7],[P-p7],[P-p6]
	,p6,p7,p7,p6);
endif;
if ( count([P+p1].[P+p1],1,[P+p2].[P+p2],1,
	[P-p1].[P-p1],1,[P-p2].[P-p2],1) >
	count([P+p3].[P+p3],1,[P+p4].[P+p4],1,
	[P-p3].[P-p3],1,[P-p4].[P-p4],1) );
	multiply,replace_([P-p1],[P+p4],[P+p1],[P-p4],[P+p4],[P-p1],[P-p4],[P+p1]
		,[P-p2],[P+p3],[P+p2],[P-p3],[P+p3],[P-p2],[P-p3],[P+p2]
		,[P-p5],[P+p5],[P+p5],[P-p5]);
	multiply,replace_(p1,-p4,p4,-p1,p2,-p3,p3,-p2);
	id	p5 = -p5;
endif;
*
#break
*--#] o6 :
*--#[ y1 :
#case y1
*
if ( count([P+p6].[P+p6],1,[P-p6].[P-p6],1) <
	count([P+p5].[P+p5],1,[P-p5].[P-p5],1) );
	multiply,replace_([P+p6],[P+p5],[P+p5],[P+p6],[P-p6],[P-p5],[P-p5],[P-p6]
	p6,p5,p5,p6);
endif;
if ( count([P+p4].[P+p4],1,[P-p4].[P-p4],1) <
	count([P+p3].[P+p3],1,[P-p3].[P-p3],1) );
	multiply,replace_([P+p4],[P+p3],[P+p3],[P+p4],[P-p4],[P-p3],[P-p3],[P-p4]
	p4,p3,p3,p4);
endif;
*
#break
*--#] y1 :
*--#[ y2 :
#case y2
*
if ( count([P+p6].[P+p6],1,[P-p6].[P-p6],1) <
	count([P+p5].[P+p5],1,[P-p5].[P-p5],1) );
	multiply,replace_([P+p6],[P+p5],[P+p5],[P+p6],[P-p6],[P-p5],[P-p5],[P-p6]
	p6,p5,p5,p6);
endif;
if ( count([P+p4].[P+p4],1,[P-p4].[P-p4],1) <
	count([P+p3].[P+p3],1,[P-p3].[P-p3],1) );
	multiply,replace_([P+p4],[P+p3],[P+p3],[P+p4],[P-p4],[P-p3],[P-p3],[P-p4]
	p4,p3,p3,p4);
endif;
*
#break
*--#] y2 :
*--#[ y3 :
#case y3
*
if ( count([P+p6].[P+p6],1,[P-p6].[P-p6],1) <
	count([P+p5].[P+p5],1,[P-p5].[P-p5],1) );
	multiply,replace_([P+p6],[P+p5],[P+p5],[P+p6],[P-p6],[P-p5],[P-p5],[P-p6]
	p6,p5,p5,p6);
endif;
*
#break
*--#] y3 :
*--#[ y4 :
#case y4
*
if ( count([P+p6].[P+p6],1,[P-p6].[P-p6],1) <
	count([P+p5].[P+p5],1,[P-p5].[P-p5],1) );
	multiply,replace_([P+p6],[P+p5],[P+p5],[P+p6],[P-p6],[P-p5],[P-p5],[P-p6]
	p6,p5,p5,p6);
endif;
if ( count([P+p4].[P+p4],1,[P-p4].[P-p4],1) <
	count([P+p3].[P+p3],1,[P-p3].[P-p3],1) );
	multiply,replace_([P+p4],[P+p3],[P+p3],[P+p4],[P-p4],[P-p3],[P-p3],[P-p4]
	p4,p3,p3,p4);
endif;
*
#break
*--#] y4 :
*--#[ y5 :
#case y5
*
if ( count([P+p6].[P+p6],1,[P-p6].[P-p6],1) <
	count([P+p5].[P+p5],1,[P-p5].[P-p5],1) );
	multiply,replace_([P+p6],[P+p5],[P+p5],[P+p6],[P-p6],[P-p5],[P-p5],[P-p6]
	p6,p5,p5,p6);
endif;
if ( count([P+p4].[P+p4],1,[P-p4].[P-p4],1) <
	count([P+p3].[P+p3],1,[P-p3].[P-p3],1) );
	multiply,replace_([P+p4],[P+p3],[P+p3],[P+p4],[P-p4],[P-p3],[P-p3],[P-p4]
	p4,p3,p3,p4);
endif;
if ( count([P+p2].[P+p2],1,[P-p2].[P-p2],1) <
	count([P+p1].[P+p1],1,[P-p1].[P-p1],1) );
	multiply,replace_([P+p2],[P+p1],[P+p1],[P+p2],[P-p2],[P-p1],[P-p1],[P-p2]
	p2,p1,p1,p2);
endif;
*
#break
*--#] y5 :
*--#[ y6 :
#case y6
*
if ( count([P+p6].[P+p6],1,[P-p6].[P-p6],1) <
	count([P+p5].[P+p5],1,[P-p5].[P-p5],1) );
	multiply,replace_([P+p6],[P+p5],[P+p5],[P+p6],[P-p6],[P-p5],[P-p5],[P-p6]
	p6,p5,p5,p6);
endif;
if ( count([P+p4].[P+p4],1,[P-p4].[P-p4],1) <
	count([P+p3].[P+p3],1,[P-p3].[P-p3],1) );
	multiply,replace_([P+p4],[P+p3],[P+p3],[P+p4],[P-p4],[P-p3],[P-p3],[P-p4]
	p4,p3,p3,p4);
endif;
*
#break
*--#] y6 :
*--#[ t1 :
#case t1
*
if ( count([P+p1].[P+p1],1,[P+p2].[P+p2],1,
	[P-p1].[P-p1],1,[P-p2].[P-p2],1) >
	count([P+p4].[P+p4],1,[P+p3].[P+p3],1,
	[P-p4].[P-p4],1,[P-p3].[P-p3],1) );
	multiply,replace_([P-p1],[P+p4],[P+p1],[P-p4],[P+p4],[P-p1],[P-p4],[P+p1]
		,[P-p2],[P+p3],[P+p2],[P-p3],[P+p3],[P-p2],[P-p3],[P+p2]
		,[P-p5],[P+p5],[P+p5],[P-p5]);
	multiply,replace_(p1,-p4,p4,-p1,p2,-p3,p3,-p2,mnce1,mnce4,mnce4,mnce1,mnce2,mnce3,mnce3,mnce2);
	id	p5 = -p5;
endif;
*
#break
*--#] t1 :
*--#[ t2 :
#case t2
*
if ( count([P+p4].[P+p4],1,[P-p4].[P-p4],1) <
	count([P+p3].[P+p3],1,[P-p3].[P-p3],1) );
	multiply,replace_([P+p4],[P+p3],[P+p3],[P+p4],[P-p4],[P-p3],[P-p3],[P-p4]
	p4,p3,p3,p4,mnce3,mnce4,mnce4,mnce3);
endif;
*
#break
*--#] t2 :
*--#[ t3 :
#case t3
*
if ( count([P+p4].[P+p4],1,[P-p4].[P-p4],1) <
	count([P+p3].[P+p3],1,[P-p3].[P-p3],1) );
	multiply,replace_([P+p4],[P+p3],[P+p3],[P+p4],[P-p4],[P-p3],[P-p3],[P-p4]
	p4,p3,p3,p4,mnce3,mnce4,mnce4,mnce3);
endif;
if ( count([P+p2].[P+p2],1,[P-p2].[P-p2],1) <
	count([P+p1].[P+p1],1,[P-p1].[P-p1],1) );
	multiply,replace_([P+p2],[P+p1],[P+p1],[P+p2],[P-p2],[P-p1],[P-p1],[P-p2]
	p2,p1,p1,p2,mnce1,mnce2,mnce2,mnce1);
endif;
*
#break
*--#] t3 :
*--#[ l1 :
#case l1
*
*
#break
*--#] l1 :
*--#[ l2 :
#case l2
*
*
#break
*--#] l2 :
*--#[ l3 :
#case l3
*
*
#break
*--#] l3 :
*--#[ tr :
#case tr
*
*
#break
*--#] tr :
#endswitch
#endprocedure

*--#] sym1 :
*--#[ sym2 :
#procedure sym2(TOPO)
#switch `TOPO'
*--#[ la :
#case la
*
#ifdef `LATRANS'
#if ( ( `LATRANS' == 0 ) || ( `LATRANS' == 3 ) )
if ( count(p7.p7,1) < count(p8.p8,1) );
	multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
elseif ( count(p7.p7,1) == count(p8.p8,1) );
    if ( count(p6.p6,1) < count(p4.p4,1) );
		multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
	elseif ( count(p6.p6,1) == count(p4.p4,1) );
	    if ( count(p1.p1,1) < count(p3.p3,1) )
			multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
	endif;
endif;
#endif
#else
if ( count(p7.p7,1) < count(p8.p8,1) );
	multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
elseif ( count(p7.p7,1) == count(p8.p8,1) );
    if ( count(p1.p1,1) < count(p3.p3,1) );
		multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
	elseif ( count(p1.p1,1) == count(p3.p3,1) );
	    if ( count(p6.p6,1) < count(p4.p4,1) )
			multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
	endif;
endif;
#endif
*
#break
*--#] la :
*--#[ be :
#case be
*
#ifndef `BEPATH'
if ( count(p6.p6,1) < count(p7.p7,1) );
	multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
elseif ( count(p6.p6,1) == count(p7.p7,1) );
    if ( count(p1.p1,1) < count(p3.p3,1) );
		multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
	elseif ( count(p1.p1,1) == count(p3.p3,1) );
	    if ( count(p5.p5,1) < count(p4.p4,1) )
			multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
	endif;
endif;
#else
#if ( `BEPATH' == 0 )
if ( count(p6.p6,1) < count(p7.p7,1) );
	multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
elseif ( count(p6.p6,1) == count(p7.p7,1) );
    if ( count(p1.p1,1) < count(p3.p3,1) );
		multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
	elseif ( count(p1.p1,1) == count(p3.p3,1) );
	    if ( count(p5.p5,1) < count(p4.p4,1) )
			multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
	endif;
endif;
#endif
#if ( `BEPATH' == 7 )
if ( count(p6.p6,1) < count(p7.p7,1) );
	multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
elseif ( count(p6.p6,1) == count(p7.p7,1) );
    if ( count(p1.p1,1) < count(p3.p3,1) );
		multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
	elseif ( count(p1.p1,1) == count(p3.p3,1) );
	    if ( count(p5.p5,1) < count(p4.p4,1) )
			multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
	endif;
endif;
#endif
#if ( `BEPATH' == 8 )
if ( count(p6.p6,1) < count(p7.p7,1) );
	multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
elseif ( count(p6.p6,1) == count(p7.p7,1) );
    if ( count(p1.p1,1) < count(p3.p3,1) );
		multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
	elseif ( count(p1.p1,1) == count(p3.p3,1) );
	    if ( count(p5.p5,1) < count(p4.p4,1) )
			multiply replace_(p1,p3,p3,p1,p4,p5,p5,p4,p6,p7,p7,p6,p8,-p8);
	endif;
endif;
#endif
#endif
*
#break
*--#] be :
*--#[ no :
#case no
*
#ifndef `NOSPEC'
if ( count(p7.p7,1) < count(p8.p8,1) );
	multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
elseif ( count(p7.p7,1) == count(p8.p8,1) );
    if ( count(p1.p1,1) < count(p3.p3,1) );
		multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
	elseif ( count(p1.p1,1) == count(p3.p3,1) );
	    if ( count(p6.p6,1) < count(p4.p4,1) )
			multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
	endif;
endif;
#else
#if ( `NOSPEC' != 2 )
if ( count(p7.p7,1) < count(p8.p8,1) );
	multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
elseif ( count(p7.p7,1) == count(p8.p8,1) );
    if ( count(p1.p1,1) < count(p3.p3,1) );
		multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
	elseif ( count(p1.p1,1) == count(p3.p3,1) );
	    if ( count(p6.p6,1) < count(p4.p4,1) )
			multiply replace_(p1,p3,p3,p1,p4,p6,p6,p4,p7,p8,p8,p7);
	endif;
endif;
#endif
#endif
*
#break
*--#] no :
*--#[ fa :
#case fa
*
*
#break
*--#] fa :
*--#[ bu :
#case bu
*
*
#break
*--#] bu :
*--#[ o1 :
#case o1
*
*
#break
*--#] o1 :
*--#[ o2 :
#case o2
*
*
#break
*--#] o2 :
*--#[ o3 :
#case o3
*
*
#break
*--#] o3 :
*--#[ o4 :
#case o4
*
*
#break
*--#] o4 :
*--#[ o5 :
#case o5
*
*
#break
*--#] o5 :
*--#[ o6 :
#case o6
*
*
#break
*--#] o6 :
*--#[ y1 :
#case y1
*
*
#break
*--#] y1 :
*--#[ y2 :
#case y2
*
*
#break
*--#] y2 :
*--#[ y3 :
#case y3
*
*
#break
*--#] y3 :
*--#[ y4 :
#case y4
*
*
#break
*--#] y4 :
*--#[ y5 :
#case y5
*
*
#break
*--#] y5 :
*--#[ y6 :
#case y6
*
*
#break
*--#] y6 :
*--#[ t1 :
#case t1
*
*
#break
*--#] t1 :
*--#[ t2 :
#case t2
*
*
#break
*--#] t2 :
*--#[ t3 :
#case t3
*
*
#break
*--#] t3 :
*--#[ l1 :
#case l1
*
*
#break
*--#] l1 :
*--#[ l2 :
#case l2
*
*
#break
*--#] l2 :
*--#[ l3 :
#case l3
*
*
#break
*--#] l3 :
*--#[ tr :
#case tr
*
*
#break
*--#] tr :
#endswitch
#endprocedure

*--#] sym2 :
*--#[ tabtwo :
#procedure tabtwo(n)
Ctable,check,strict,mncTabTwo(-48:50);
* Program for the procedure (positive values. Negative to be added)
*   #-
*   CF	num,den,den1,G,Gamma,InvGamma;
*   S	ep,mncexp11,mncG311,G00,G01,mncG10,mncG20,n1,n2,n3,n4,n,z3,z4,z5,z6,x,x1,x2;
*   Format nospaces;
*   Format 80;
*   .global
*   G	F1 = mncG311;
*   G	[H1] = mncG311;
*   .store
*   #do i = 2,20
*   G	F`i' = -F{`i'-1}*num(`i'+ep-2+2*ep)*den(`i'+ep-1+ep)
*   			-num(3-3*ep-2*(`i'+ep))*den(`i'+ep-1+ep)*G(1,`i',ep,0,0)*G(1,`i',ep+ep,0,0);
*   G	[H{-`i'+2}] = -[H{-`i'+3}]*den(({-`i'+3})+ep-2+2*ep)*num(({-`i'+3})+ep-1+ep)
*   			-num(3-3*ep-2*(({-`i'+3})+ep))*den(({-`i'+3})+ep-2+2*ep)*G(1,({-`i'+3}),ep,0,0)*G(1,({-`i'+3}),ep+ep,0,0);
*   
*   id	G(n1?,n2?,n?,n3?,n4?) = Gamma(n1+n2+n-n4-2+ep)*Gamma(2-ep-n1+n3-n4)
*   		*Gamma(2-ep-n2-n+n4)*InvGamma(n1)*InvGamma(n2+n)*InvGamma(4-2*ep-n1-n2-n+n3)
*   		*InvGamma(ep+n)*InvGamma(1-ep)*InvGamma(1-ep-n)*Gamma(2-2*ep-n)*Gamma(1+n)*G(n);
*   .sort
*   id	G(ep) = mncG10/ep;
*   id	G(2*ep) = mncG20/ep;
*   id	Gamma(x?number_) = fac_(x-1);
*   id	InvGamma(x?number_) = invfac_(x-1);
*   SplitArg,((ep)),Gamma,InvGamma;
*   id	Gamma(x?) = Gamma(0,x);
*   id	InvGamma(x?) = InvGamma(0,x);
*   repeat id Gamma(x?{>1},x1?) = Gamma(x-1,x1)*num(x-1+x1);
*   repeat id InvGamma(x?{>1},x1?) = InvGamma(x-1,x1)*den(x-1+x1);
*   repeat id Gamma(x?neg0_,x1?) = Gamma(x+1,x1)*den(x+x1);
*   repeat id InvGamma(x?neg0_,x1?) = InvGamma(x+1,x1)*num(x+x1);
*   id	Gamma(x1?,x2?) = Gamma(x1+x2);
*   id	InvGamma(x1?,x2?) = InvGamma(x1+x2);
*   id	Gamma(x?)*InvGamma(x?) = 1;
*   id	num(x?)*den(x?) = 1;
*   .sort
*   splitarg,den;
*   id	den(x?) = 1/x;
*   id  mncG10*mncG20 = mncexp11*(1+ep+3*ep^2+9*ep^3+27*ep^4+81*ep^5
*						+243*ep^6+729*ep^7+2187*ep^8)/3;
*   id	ep^{4+`CUTOFF'} = 0;
*   .sort
*   #do i = 1,1
*   id,once,den(x1?,x2?)=den1(x1,x2);
*   repeat;
*   	id	den1(x1?,x2?) = 1/x1-x2/x1*den1(x1,x2);
*   	id	ep^{4+`CUTOFF'}=0;
*   endrepeat;
*   if ( count(den,1) ) redefine i "0";
*   .sort
*   #enddo
*   #do i = 1,1
*   id,once,num(x?) = x;
*   id,once,num(x?) = x;
*   id	ep^{4+`CUTOFF'}=0;
*   if ( count(num,1) ) redefine i "0";
*   .sort
*   #enddo
*   Print +f +s;
*   .store
*   #enddo
*   .end
*
Fill mncTabTwo(1)= mncG311;
Fill mncTabTwo(2)=
      +mncG311*(-3*ep+6*ep^2-12*ep^3+24*ep^4-48*ep^5)
      +mncexp11*(1/3*ep^-2-2*ep^-1+28*ep-132*ep^2+436*ep^3-1236*ep^4+3220*ep^5)
         ;
Fill mncTabTwo(0)=
      +mncG311*(2*ep+6*ep^2+18*ep^3+54*ep^4+162*ep^5)
      +mncexp11*(-5/3+1/3*ep^-2-1/3*ep^-1-7*ep-27*ep^2-99*ep^3-351*ep^4-1215*
         ep^5);
Fill mncTabTwo(3)=
      +mncG311*(3/2*ep-3*ep^3+9*ep^4-21*ep^5)
      +mncexp11*(23/6-1/6*ep^-2+2/3*ep^-1-373/12*ep+2429/24*ep^2-10693/48*ep^3+
         36389/96*ep^4-92869/192*ep^5);
Fill mncTabTwo(-1)=
      +mncG311*(-ep-5/2*ep^2-27/4*ep^3-153/8*ep^4-891/16*ep^5)
      +mncexp11*(9/8-1/6*ep^-2+1/4*ep^-1+203/48*ep+477/32*ep^2+3261/64*ep^3+
         21897/128*ep^4+145233/256*ep^5);
Fill mncTabTwo(4)=
      +mncG311*(-ep-5/6*ep^2+23/9*ep^3-127/27*ep^4+659/81*ep^5)
      +mncexp11*(-227/81+1/9*ep^-2-19/54*ep^-1+8801/486*ep-148589/2916*ep^2+
         1631399/17496*ep^3-11238701/104976*ep^4+6284423/629856*ep^5);
Fill mncTabTwo(-2)=
      +mncG311*(2/3*ep+5/3*ep^2+9/2*ep^3+51/4*ep^4+297/8*ep^5)
      +mncexp11*(-233/324+1/9*ep^-2-1/6*ep^-1-5251/1944*ep-111641/11664*ep^2-
         2301799/69984*ep^3-46563269/419904*ep^4-929476003/2519424*ep^5);
Fill mncTabTwo(5)=
      +mncG311*(3/4*ep+ep^2-43/24*ep^3+361/144*ep^4-3307/864*ep^5)
      +mncexp11*(995/432-1/12*ep^-2+2/9*ep^-1-65743/5184*ep+1861109/62208*ep^2-
         33766519/746496*ep^3+329054213/8957952*ep^4+4816044305/107495424*ep^5)
         ;
Fill mncTabTwo(-3)=
      +mncG311*(-1/2*ep-31/24*ep^2-337/96*ep^3-1273/128*ep^4-14811/512*ep^5)
      +mncexp11*(955/1728-1/12*ep^-2+17/144*ep^-1+1619/768*ep+621317/82944*ep^2
         +25618703/995328*ep^3+1035838169/11943936*ep^4+41328135875/143327232*
         ep^5);
Fill mncTabTwo(6)=
      +mncG311*(-3/5*ep-101/100*ep^2+464/375*ep^3-64147/45000*ep^4+2872889/
         1350000*ep^5)
      +mncexp11*(-12799/6750+1/15*ep^-2-139/900*ep^-1+7720709/810000*ep-
         999124577/48600000*ep^2+76898788103/2916000000*ep^3-1850892042209/
         174960000000*ep^4-576687328364017/10497600000000*ep^5);
Fill mncTabTwo(-4)=
      +mncG311*(2/5*ep+161/150*ep^2+8807/3000*ep^3+498809/60000*ep^4+9660861/
         400000*ep^5)
      +mncexp11*(-24007/54000+1/15*ep^-2-79/900*ep^-1-1857983/1080000*ep-
         398148641/64800000*ep^2-82309007731/3888000000*ep^3-16669922470277/
         233280000000*ep^4-3329823690214231/13996800000000*ep^5);
Fill mncTabTwo(7)=
      +mncG311*(1/2*ep+39/40*ep^2-383/450*ep^3+15353/18000*ep^4-2178833/1620000
         *ep^5)
      +mncexp11*(13183/8100-1/18*ep^-2+41/360*ep^-1-2437711/324000*ep+856633049/
         58320000*ep^2-19656659797/1166400000*ep^3+462968011433/209952000000*
         ep^4+213808872986963/4199040000000*ep^5);
Fill mncTabTwo(-5)=
      +mncG311*(-1/3*ep-167/180*ep^2-1021/400*ep^3-520243/72000*ep^4-3354949/
         160000*ep^5)
      +mncexp11*(24389/64800-1/18*ep^-2+73/1080*ep^-1+1917641/1296000*ep+
         15283541/2880000*ep^2+9491140693/518400000*ep^3+1923131643131/
         31104000000*ep^4+384225650313793/1866240000000*ep^5);
Fill mncTabTwo(8)=
      +mncG311*(-3/7*ep-909/980*ep^2+118681/205800*ep^3-3825509/7203000*ep^4+
         266322173/283618125*ep^5)
      +mncexp11*(-2620213/1852200+1/21*ep^-2-257/2940*ep^-1+266505851/43218000*
         ep-1832447625539/163364040000*ep^2+254648720594909/22870965600000*ep^3
         +1485793353321337/588110544000000*ep^4-74871116765042219/
         1680315840000000*ep^5);
Fill mncTabTwo(-6)=
      +mncG311*(2/7*ep+403/490*ep^2+1404743/617400*ep^3+185526029/28812000*ep^4
         +225903895183/12101040000*ep^5)
      +mncexp11*(-172243/529200+1/21*ep^-2-157/2940*ep^-1-288228947/222264000*
         ep-113013415303/24202080000*ep^2-1476575820814739/91483862400000*ep^3-
         2096742084335385931/38423222208000000*ep^4-2934778053976287551831/
         16137753327360000000*ep^5);
Fill mncTabTwo(9)=
      +mncG311*(3/8*ep+123/140*ep^2-88531/235200*ep^3+11279761/32928000*ep^4-
         29379263419/41489280000*ep^5)
      +mncexp11*(5316251/4233600-1/24*ep^-2+29/420*ep^-1-6129986999/1185408000*
         ep+26135084020949/2987228160000*ep^2-2198751676783421/278807961600000*
         ep^3-9049338086462160307/2107788189696000000*ep^4+
         3347390863464091443551/84311527587840000000*ep^5);
Fill mncTabTwo(-7)=
      +mncG311*(-1/4*ep-831/1120*ep^2-5823947/2822400*ep^3-4614621371/790272000
         *ep^4-3742787591203/221276160000*ep^5)
      +mncexp11*(4876579/16934400-1/24*ep^-2+289/6720*ep^-1+2364251101/
         2032128000*ep+16751468663557/3982970880000*ep^2+48704651163860173/
         3345695539200000*ep^3+19772090889458665687/401483464704000000*ep^4+
         387569886723449072439793/2360722772459520000000*ep^5);
Fill mncTabTwo(10)=
      +mncG311*(-1/3*ep-6289/7560*ep^2+539599/2381400*ep^3-1376540567/
         6001128000*ep^4+4281462726893/7561421280000*ep^5)
      +mncexp11*(-6029953/5358150+1/27*ep^-2-3791/68040*ep^-1+478951433329/
         108020304000*ep-1922783114144729/272211166080000*ep^2+
         3804584745942884587/685972138521600000*ep^3+9031012208990775504223/
         1728649789074432000000*ep^4-3077274151097758121796053/
         88901989152399360000000*ep^5);
Fill mncTabTwo(-8)=
      +mncG311*(2/9*ep+2563/3780*ep^2+74297/39200*ep^3+1589543467/296352000*
         ep^4+429426251777/27659520000*ep^5)
      +mncexp11*(-44217371/171460800+1/27*ep^-2-797/22680*ep^-1-65104918307/
         61725888000*ep-4166135527435991/1088844664320000*ep^2-
         36393341868100266377/2743888554086400000*ep^3-44361152093496345716429/
         987799879471104000000*ep^4-2610255491671542275411969453/
         17424789873870274560000000*ep^5);
Fill mncTabTwo(11)=
      +mncG311*(3/10*ep+265/336*ep^2-296629/2646000*ep^3+1072778423/6667920000*
         ep^4-3973655851349/8401579200000*ep^5)
      +mncexp11*(12161273/11907000-1/30*ep^-2+691/15120*ep^-1-462440372497/
         120022560000*ep+1749242338593257/302456851200000*ep^2-
         3135287147784104059/762191265024000000*ep^3-10710473845928746839343/
         1920721987860480000000*ep^4+856525143761021766528347/
         27658396625190912000000*ep^5);
Fill mncTabTwo(-9)=
      +mncG311*(-1/5*ep-1577/2520*ep^2-18605911/10584000*ep^3-4915139029/
         987840000*ep^4-11942979491767/829785600000*ep^5)
      +mncexp11*(44567623/190512000-1/30*ep^-2+439/15120*ep^-1+22148701837/
         22861440000*ep+1422368328652361/403275801600000*ep^2+
         12441442444649011943/1016255020032000000*ep^3+15174329693740147311923/
         365851807211520000000*ep^4+178633303102066863452988487/
         1290725175842242560000000*ep^5);
Fill mncTabTwo(12)=
      +mncG311*(-3/11*ep-76151/101640*ep^2+16227353/704365200*ep^3-
         1170282232129/9762501672000*ep^4+11038066212742747/27061654634784000*
         ep^5)
      +mncexp11*(-1183461847/1267857360+1/33*ep^-2-34729/914760*ep^-1+
         119387071076071/35145006019200*ep-188324238814636153/38968782674088960
         *ep^2+402330866351205405392621/135026831965718246400000*ep^3+
         20960546661315088053937292563/3742943782089709790208000000*ep^4-
         407315247757334708604817080270589/14822057377075250769223680000000*
         ep^5);
Fill mncTabTwo(-10)=
      +mncG311*(2/11*ep+88751/152460*ep^2+2314681471/1408730400*ep^3+
         20183672396141/4338889632000*ep^4+35944347812751227/2672756013312000*
         ep^5)
      +mncexp11*(-216938023/1014285888+1/33*ep^-2-22129/914760*ep^-1-
         5997222836107/6694286860800*ep-4249965245766403333/1298959422469632000
         *ep^2-2047223673498737416560637/180035775954290995200000*ep^3-
         3926516443307037922320720989/101848810396998905856000000*ep^4-
         17804503123418817541281019715939209/138339202186035673846087680000000*
         ep^5);
Fill mncTabTwo(13)=
      +mncG311*(1/4*ep+79091/110880*ep^2+9086983/192099600*ep^3+1024979114869/
         10650001824000*ep^4-10626873196322701/29521805056128000*ep^5)
      +mncexp11*(118985473/138311712-1/36*ep^-2+31789/997920*ep^-1-
         115845953484031/38340006566400*ep+173427037149010237/42511399280824320
         *ep^2-331178083656667835129321/147301998508056268800000*ep^3-
         22687560805104107070383482903/4083211398643319771136000000*ep^4+
         401333972550944203703267289165529/16169517138627546293698560000000*
         ep^5);
Fill mncTabTwo(-11)=
      +mncG311*(-1/6*ep-90641/166320*ep^2-2374960501/1536796800*ep^3-
         20716170358151/4733334144000*ep^4-36874066739538689/2915733832704000*
         ep^5)
      +mncexp11*(1090841057/5532468480-1/36*ep^-2+20239/997920*ep^-1+
         6100472680597/7302858393600*ep+4337250881169876763/1417046642694144000
         *ep^2+2091812554174566396199387/196402664677408358400000*ep^3+
         28099974612715257299753689013/777754552122537099264000000*ep^4+
         18208178890869906124690531814254399/150915493293857098741186560000000*
         ep^5);
Fill mncTabTwo(14)=
      +mncG311*(-3/13*ep-1062833/1561560*ep^2-29138373491/281361880800*ep^3-
         2124723707664793/25347891841272000*ep^4+73751603661280808479/
         228359157598019448000*ep^5)
      +mncexp11*(-80726970169/101290277088+1/39*ep^-2-378607/14054040*ep^-1+
         19057983628915939/7019416202198400*ep-917828713158387269051/
         263069749552918404096*ep^2+96982930360467673021945950803/
         59249884343056047562521600000*ep^3+
         114131780874996359692788229618787977/
         21351288321863677299630283776000000*ep^4-24611329124168792678633270961\
         450263500843/1099164322809542107384967008788480000000*ep^5);
Fill mncTabTwo(-12)=
      +mncG311*(2/13*ep+1201433/2342340*ep^2+411081820769/281361880800*ep^3+
         139900073042416541/33797189121696000*ep^4+3235780236613740838367/
         270647890486541568000*ep^5)
      +mncexp11*(-185130132773/1012902770880+1/39*ep^-2-240007/14054040*ep^-1-
         13602195770972309/17381411548300800*ep-126089727300984118341343/
         43844958258819734016000*ep^2-791462137880746814741946553891/
         78999845790741396750028800000*ep^3-
         138299755224633768740036057910769817/
         4066912061307367104691482624000000*ep^4-116546789056365550839812968920\
         0474287881183/10258867012889059668926358748692480000000*ep^5);
Fill mncTabTwo(15)=
      +mncG311*(3/14*ep+22337/34320*ep^2+45158205011/303005102400*ep^3+
         2149324394051113/27297729675216000*ep^4-10300069081169926609/
         35132178092002992000*ep^5)
      +mncexp11*(31163414417/41954552640-1/42*ep^-2+49561/2162160*ep^-1-
         34465390136310241/14038832404396800*ep+608514247855190980417/
         202361345809937233920*ep^2-78326389799039898454344465203/
         63807567754060358913484800000*ep^3-
         119222530919186240574810803468552617/
         22993695115853190938063382528000000*ep^4+16918671692489301587379190226\
         2969896673741/8286007971948855886440520527790080000000*ep^5);
Fill mncTabTwo(-13)=
      +mncG311*(-1/7*ep-1223213/2522520*ep^2-420364841549/303005102400*ep^3-
         143123472016076681/36396972900288000*ep^4-3309023224605071244451/
         291466958985506304000*ep^5)
      +mncexp11*(37176314653/218163673728-1/42*ep^-2+218227/15135120*ep^-1+
         96615712133749103/131029102441036800*ep+128330609845270447137163/
         47217647355652021248000*ep^2+806437143502720334013825585391/
         85076757005413811884646400000*ep^3+
         986930122674758604844270942214535899/
         30658260154470921250751176704000000*ep^4+11884880737637906937705614236\
         87863548884603/11048010629265141181920694037053440000000*ep^5);
Fill mncTabTwo(16)=
      +mncG311*(-1/5*ep-224737/360360*ep^2-60421943501/324648324000*ep^3-
         286914394556807/3655945938645000*ep^4+707083453914069051637/
         2634913356900224400000*ep^5)
      +mncexp11*(-156220820947/224756532000+1/45*ep^-2-63551/3243240*ep^-1+
         1177467131554197689/526456215164880000*ep-496032103090787825106767/
         189713761696816156800000*ep^2+59696467372353531589643837207/
         68365251165064670264448000000*ep^3+
         121394320073702580700255380694728037/
         24636101909842704576496481280000000*ep^4-94686498462048418360112660415\
         5908959607/50730661052748097263921554251776000000*ep^5);
Fill mncTabTwo(-14)=
      +mncG311*(2/15*ep+248761/540540*ep^2+429255677789/324648324000*ep^3+
         146222449738298777/38996756678880000*ep^4+5632466413532564737717/
         520476712474118400000*ep^5)
      +mncexp11*(-932246700037/5843669832000+1/45*ep^-2-39527/3243240*ep^-1-
         489372048271962043/701941620219840000*ep-651802463411113795203911/
         252951682262421542400000*ep^2-820053293102922261930228979519/
         91153668220086227019264000000*ep^3-10041349198402439495340674687286569\
         39/32848135879790272768661975040000000*ep^4-24192564448973821556926700\
         1211285371651407/2367430849128244538983005865082880000000*ep^5);
Fill mncTabTwo(17)=
      +mncG311*(3/16*ep+143839/240240*ep^2+74998145141/346291545600*ep^3+
         10157699489945551/124789621372416000*ep^4-11109177020325759959659/
         44969187957763829760000*ep^5)
      +mncexp11*(313260416543/479480601600-1/48*ep^-2+36341/2162160*ep^-1-
         9197044416984034249/4492426369406976000*ep+7406071119949915594782149/
         3237781532958995742720000*ep^2-1469249356813091246078334302257/
         2333533906434207411693158400000*ep^3-797270090493093475450300514598718\
         1563/1681824557045261965755493122048000000*ep^4+2972643711880596955428\
         548261002709999678321/173160656393380171994185571846062080000000*ep^5)
         ;
Fill mncTabTwo(-15)=
      +mncG311*(-1/8*ep-2526649/5765760*ep^2-1751152491841/1385166182400*ep^3-
         1193660590417619069/332772323659776000*ep^4-827373224763913481795441/
         79945223036024586240000*ep^5)
      +mncexp11*(3739701326971/24932991283200-1/48*ep^-2+356231/34594560*ep^-1+
         3965025206576904973/5989901825875968000*ep+10591912614360039408002357/
         4317042043945327656960000*ep^2+26680062946841205007366078530809/
         3111378541912276548924211200000*ep^3+653699386196302324294802766394304\
         27321/2242432742727015954340657496064000000*ep^4+157538586920865297912\
         107944280419897049677781/1616166126338214938612398670563246080000000*
         ep^5);
Fill mncTabTwo(18)=
      +mncG311*(-3/17*ep-39980063/69429360*ep^2-25705837121579/106333147720800*
         ep^3-112548770977925599321/1302819245830694592000*ep^4+
         1822169302005422448620120213/7981227038268334753943040000*ep^5)
      +mncexp11*(-22675805832983/36807628057200+1/51*ep^-2-9028897/624864240*
         ep^-1+44198387591377070187407/23450746424952502656000*ep-
         578494640885671113688726388969/287324173377660051141949440000*ep^2+
         1456597704750079615919598045938433029/35203647300247015850034386067456\
         00000*ep^3+193780237873382747171609829187282247102069167/4313235355979\
         7849747842530635112710144000000*ep^4-119710830445677495896312191595144\
         8081262574504948253/75495421082785372370643738221250478819246080000000
         *ep^5);
Fill mncTabTwo(-16)=
      +mncG311*(2/17*ep+43583663/104144040*ep^2+515566734862579/425332590883200
         *ep^3+5977673269733702987887/1737092327774259456000*ep^4+
         70417405127516025363740617931/7094424034016297559060480000*ep^5)
      +mncexp11*(-1083095292344179/7655986635897600+1/51*ep^-2-5425297/
         624864240*ep^-1-19704672113639282688689/31267661899936670208000*ep-
         897165022393987602347339676917/383098897836880068189265920000*ep^2-
         38455320697994403420164576387353627573/4693819640032935446671251475660\
         800000*ep^3-1602536735084424867222629649637192505385498689/57509804746\
         397132997123374180150280192000000*ep^4-6567496527701368533764906293214\
         3697826802872103545033/70462393010599680879267489006500446897963008000\
         0000*ep^5);
Fill mncTabTwo(19)=
      +mncG311*(1/6*ep+4531207/8168160*ep^2+29571569291879/112588038763200*ep^3
         +42623784065842151507/459818557352009856000*ep^4-
         1787534548690418948769527813/8450710981695883857116160000*ep^5)
      +mncexp11*(22719045556433/38972782648800-1/54*ep^-2+914233/73513440*ep^-1
         -4804676536172077713623/2758911344112059136000*ep+
         541823298035903404576139231369/304225595341051818856181760000*ep^2-
         12086502741765690259876029009105109/
         46017839608166033790894622310400000*ep^3-19684576696521668628852371900\
         5383627211644367/45669550828021252674186208907766398976000000*ep^4+
         130504561227610004530905377458088447792687242069717/888181424503357322\
         0075733908382409272852480000000*ep^5);
Fill mncTabTwo(-17)=
      +mncG311*(-1/9*ep-44184263/110270160*ep^2-58300111178131/50039128339200*
         ep^3-6087107242057502911687/1839274229408039424000*ep^4-
         7965402759155341870449753259/834638121648976183418880000*ep^5)
      +mncexp11*(1085239500610379/8106338790950400-1/54*ep^-2+4824697/661620960
         *ep^-1+6642238931730812316163/11035645376448236544000*ep+
         101074910958324854680006747813/45070458569044713904619520000*ep^2+
         4336657379681819493336208121320064197/
         552214075297992405490735467724800000*ep^3+1808024150608932441852882391\
         70320987997716721/6765859381929074470249808727076503552000000*ep^4+
         7411520095770074594500963029965754436253284019310937/82896932953646683\
         387373516478235819879956480000000*ep^5);
Fill mncTabTwo(20)=
      +mncG311*(-3/19*ep-263043559/491450960*ep^2-3004004582171291/
         10725574414955400*ep^3-332271047749382628169753/
         3329111900703959802432000*ep^4+228151877237646724755888267922313/
         1162488722837010906817859258880000*ep^5)
      +mncexp11*(-16426028172582961/29701590687568800+1/57*ep^-2-47346521/
         4423058640*ep^-1+32289602952180473422990237/19974671404223758814592000
         *ep-66216776579743878776789051647946609/
         41849594022132392645442933319680000*ep^2+41088623829764066696503860541\
         7159731323917/3247424709124298780952610927132535193600000*ep^3+
         9270629318124108364608222065210344197161804317993807/22679289343329026\
         14268512609233468981024718848000000*ep^4-18108236854153771424483761606\
         462047831964626003623970883391/132320045744718870126882099673117514228\
         9061964677120000000*ep^5);
Fill mncTabTwo(-18)=
      +mncG311*(2/19*ep+283463959/737176440*ep^2+577794401298163817/
         514827571917859200*ep^3+42478083332150062328516173/
         13316447602815839209728000*ep^4+28509018039644063654865993872621593/
         3099969927565362418180958023680000*ep^5)
      +mncexp11*(-392335219349419459/3088965431507155200+1/57*ep^-2-26926121/
         4423058640*ep^-1-414252621011788053328688873/
         719088170552055317325312000*ep-120064470375697425044084448311403037/
         55799458696176523527257244426240000*ep^2-97966132225971532793728441924\
         688581206532487/12989698836497195123810443708530140774400000*ep^3-
         77637670305712193604029012713368306087788530714014769/3023905245777203\
         485691350145644625308032958464000000*ep^4-6048530823964295742957717189\
         0583038558594616332886226188124507/70394264336190438907501277026098517\
         5697780965208227840000000*ep^5);
Fill mncTabTwo(21)=
      +mncG311*(3/20*ep+267536047/517316800*ep^2+13306235198169707/
         45160313326128000*ep^3+376241102965364361704449/
         3504328316530484002560000*ep^4-222970005868780307765230379601989/
         1223672339828432533492483430400000*ep^5)
      +mncexp11*(8224570412118719/15632416151352000-1/60*ep^-2+42854033/
         4655851200*ep^-1-31642751898923484600251741/21025969899182904015360000
         *ep+62175374925202186690451898489457817/
         44052204233823571205729403494400000*ep^2-10312342516191087643253071475\
         5884403590821/3418341799078209243108011502244773888000000*ep^3-
         9358274889925868620009403116969227555269961390916951/23872936150872659\
         09756329062351019980026019840000000*ep^4+48250981087513451105408326816\
         508862993611179967388748020371/378057273556339628933948856208907183511\
         1605613363200000000*ep^5);
Fill mncTabTwo(-19)=
      +mncG311*(-1/10*ep-286935427/775975200*ep^2-587014385228765261/
         541923759913536000*ep^3-43182453984751366586481569/
         14017313266121936010240000*ep^4-28975997797721929834212941757715549/
         3263126239542486755979955814400000*ep^5)
      +mncexp11*(392842091381033407/3251542559481216000-1/60*ep^-2+23454653/
         4655851200*ep^-1+418414662672056948887520549/
         756934916370584544552960000*ep+121573556148907442332611413858749561/
         58736272311764761607639204659200000*ep^2+99289525250498040852083706224\
         918378124179051/13673367196312836972432046008979095552000000*ep^3+
         78720072776682619498933569560321809426799066426946397/3183058153449687\
         879675105416468026640034693120000000*ep^4+6134329349438774656873092873\
         3626440700270689538430226863409871/74099225617042567271053975816945807\
         9681874700219187200000000*ep^5);
Fill mncTabTwo(22)=
      +mncG311*(-1/7*ep-18119029/36212176*ep^2-1163990258200027/
         3793466319394752*ep^3-84718727736112787569489/735908946471401640537600
         *ep^4+43470038131702563056252498589043/
         256971191363970832033421520384000*ep^5)
      +mncexp11*(-6586465629283471/13131229567135680+1/63*ep^-2-857881/
         108636528*ep^-1+18627534934151276385171067/13246361036485229529676800*
         ep-467304336531272503807955138154121/370038515564117998128126989352960
         *ep^2-8274922161803686291111381013441054732447/14357035556128478821053\
         6483094280503296000*ep^3+186748501587255151031485204179504613326654677\
         1657239/501331659168325841048829103093714195805464166400000*ep^4-
         22169443235948159838373829720459428337249715419663695449911/
         1852480640426064181776349395423645199204686750547968000000*ep^5);
Fill mncTabTwo(-20)=
      +mncG311*(2/21*ep+58052207/162954792*ep^2+23837371521979469/
         22760797916368512*ep^3+8773228134921245081981029/
         2943635785885606562150400*ep^4+5885911656053728255165245893642897/
         685256510303922218755790721024000*ep^5)
      +mncexp11*(-78637423738306427/682823937491055360+1/63*ep^-2-4025809/
         977728752*ep^-1-84458825245491925152559753/158956332437822754356121600
         *ep-24597577924272779352797800833315149/
         12334617185470599937604232978432000*ep^2-28723186611166244470657658537\
         85787881132481/410201015889385109172961380269372866560000*ep^3-
         15947493292594454298683864469135593677091232060580289/6684422122244344\
         54731772137458285594407285555200000*ep^4-24860747841893275638003983978\
         51855178239971971397507125405887/3112167475915787825384266984311723934\
         6638737409205862400000*ep^5);
Fill mncTabTwo(23)=
      +mncG311*(3/22*ep+455895/940576*ep^2+1260033012442891/3974107572699264*
         ep^3+94755165156873078733489/770952229636706480563200*ep^4-
         42251868606079432463072118525523/269207914762255157368346354688000*
         ep^5)
      +mncexp11*(6593340582654751/13756526213189760-1/66*ep^-2+209537/31039008*
         ep^-1-18278829109221221412169147/13877140133460716650137600*ep+
         2197495236777597510541059642122861/1938296986288237133052093753753600*
         ep^2+18057703135230592977701174594817271748447/15040703915944120669675\
         2506098770051072000*ep^3-187741508221413754469856257661040569875712287\
         6942039/525204595319198500146392393717224395605724364800000*ep^4+
         50820237644713723979657241467935065484588076547808137264619/
         4528286009930379111008854077702243820278123168006144000000*ep^5);
Fill mncTabTwo(-21)=
      +mncG311*(-1/11*ep-19563485/56904848*ep^2-24182993362304165/
         23844645436195584*ep^3-26718324225197538870351287/
         9251426755640477766758400*ep^4-543102025909155487455192017339707/
         65262524790849735119599116288000*ep^5)
      +mncexp11*(78696634161637187/715339363085867520-1/66*ep^-2+1129187/
         341429088*ep^-1+7747511993476572164820563/15138698327411690891059200*
         ep+3554115033672452949527955889972867/
         1845997129798321079097232146432000*ep^2+203539722967346155461008528412\
         45444473118847/3008140783188824133935050121975401021440000*ep^3+
         16150496903526953411423531561013611406212205999885929/7002727937589313\
         33528523191622965860807632486400000*ep^4+25182893253265547086305281102\
         07177285779180812680773061477623/3260365927149872959926374935945615550\
         6002486809644236800000*ep^5);
Fill mncTabTwo(24)=
      +mncG311*(-3/23*ep-1286391585/2736605872*ep^2-715670746037876689/
         2197862128955997504*ep^3-1280771676328666035492703163/
         9806547404262071737603929600*ep^4+114556460554054914572195987591542353\
         43/78759748987483529379166112798710272000*ep^5)
      +mncexp11*(-3490545536559365929/7607984292539991360+1/69*ep^-2-47134261/
         8209817616*ep^-1+218451110710127794777775882549/
         176517853276717291276870732800*ep-578382028156674817512156943480671625\
         301/567070192709881411529996012150713958400*ep^2-179541016399842706507\
         746374726804615624472510721/101207453426480417166302321151406119622813\
         2864000*ep^3+276775494226767604586084661042056643289941185690626034886\
         671/81283180501097460951939547607984024743980240733588684800000*ep^4-
         511710762984175875236424919437187948718437540246408120604177889856079/
         48356528055247655235949668646311442651428179009459213577486336000000*
         ep^5);
Fill mncTabTwo(-22)=
      +mncG311*(2/23*ep+454663035/1368302936*ep^2+12970120181935054805/
         13187172773735985024*ep^3+29981860668916065423916329539/
         10698051713740441895567923200*ep^4+16958351271946669429729941280263316\
         05257/210025997299956078344442967463227392000*ep^5)
      +mncexp11*(-41648411239129765523/395615183212079550720+1/69*ep^-2-
         21268421/8209817616*ep^-1-1045628386955050669541958115031/
         2118214239320607495322448793600*ep-10051964302831419979179741960422367\
         43747/540066850199887058599996202048299008000*ep^2-1325109177890031155\
         44858242447530765386646895578921/2024149068529608343326046423028122392\
         4562657280000*ep^3-241926986478193056740702505368134506672126645036965\
         4918151481/108377574001463281269252730143978699658640320978118246400000
         *ep^4-8678275639501814291221617789157402539728604080511364655734813913\
         625601/116055667332594372566279204751147462363427629622702112585967206\
         400000*ep^5);
Fill mncTabTwo(25)=
      +mncG311*(1/8*ep+1303204381/2855588736*ep^2+190802034994322767/
         573355337988521088*ep^3+1413501581788674632008479163/
         10232919030534335726195404800*ep^4-11059978901411629873629207663723936\
         013/82184085899982813265216813355175936000*ep^5)
      +mncexp11*(1746619878756647717/3969383109151299840-1/72*ep^-2+124589987/
         25700298624*ep^-1-23844550087585480054603715821/
         20465838061068671452390809600*ep+21778607797627277070435024292800992825
       /23669016739195050220382442246290669568*ep^2+230257568613348547730654395\
         291283142407911406021/1056077774885013048691850307666846465629356032000
         *ep^3-277473162526121749019201361982193444895217839264799604880971/
         84817231827232133167241267069200721471979381635049062400000*ep^4+
         1509432827658528896476824711557066973407147188674955282985506458374657/
         151376957390340485956016354023235820474036038638307103373000704000000*
         ep^5);
Fill mncTabTwo(-23)=
      +mncG311*(-1/12*ep-459189557/1427794368*ep^2-13142274710440840631/
         13760528111724506112*ep^3-30399610424843541784697344889/
         11163184396946548064940441600*ep^4-17192530301731744475566572793916257\
         08827/219157562399954168707244835613802496000*ep^5)
      +mncexp11*(41661904629000236033/412815843351735183360-1/72*ep^-2+1860211/
         951862912*ep^-1+1054208556985464870405904586201/
         2210310510595416516858207436800*ep+10157301152584103825004558903696988\
         33837/563548017599882148104343863006920704000*ep^2+1340113411930520403\
         38470352268890201416410485783231/2112155549770026097383700615333692931\
         2587120640000*ep^3+244759651322432801408705274568511639481077773407595\
         1733462071/113089642436309510889655022758934295295972508846732083200000
         *ep^4+8781756666820289696778417210275126234469021836074658047493532725\
         302519/121101565912272388764813083218588656379228830910645682698400563\
         200000*ep^5);
Fill mncTabTwo(26)=
      +mncG311*(-3/25*ep-32981676691/74364290000*ep^2-1011594085585797015227/
         2986225718690214000000*ep^3-968936031284757148841079934183/
         6662056660504124821741800000000*ep^4+831016965205938146143066077591431\
         6786381/66881580322251638399427745243470000000000*ep^5)
      +mncexp11*(-873797113583605563133/2067387036016302000000+1/75*ep^-2-
         2713182509/669278610000*ep^-1+14652368812358093830178337408169/
         13324113321008249643483600000000*ep-8005388011168216979263203812860982\
         949967547/9630947566404235929517595315059680000000000*ep^2-
         21963008831511894502373954790334055916171462415430887/8594382933634546\
         2946927922173408729299264000000000000*ep^3+215636487986017633115155292\
         70462463006743543647843372628123440329/6902443996356781670511170822688\
         860796873322073164800000000000000*ep^4-5818245706679729162692186741550\
         42219114628692866571129418255094911431863223/6159544164646015867350925\
         8635756762888198257909467408599040000000000000000*ep^5);
Fill mncTabTwo(-24)=
      +mncG311*(2/25*ep+34766419651/111546435000*ep^2+8318492645368169264459/
         8958677156070642000000*ep^3+6418088479813965618581712863623/
         2422566058365136298815200000000*ep^4+544404818188556460433305586543511\
         5159659659/713403523437350809593895949263680000000000*ep^5)
      +mncexp11*(-5208087172499993406193/53752062936423852000000+1/75*ep^-2-
         928439549/669278610000*ep^-1-663944298056175065463097805223293/
         1439004238668890961496228800000000*ep-32053945562735993566541299365306\
         68684470693/1834466203124616367527161012392320000000000*ep^2-
         2116184870428199767751218360444041578560058792819308403/34377531734538\
         1851787711688693634917197056000000000000*ep^3-193321532489876209802263\
         681906440842789893543609679918131317080263/920325866180904222734822776\
         3585147729164429430886400000000000000*ep^4-173442772975337122512646605\
         28522235971981672485573778691683950290831999995967/2463817665858406346\
         94037034543027051552793031637869634396160000000000000000*ep^5);
Fill mncTabTwo(27)=
      +mncG311*(3/26*ep+197432443/457626400*ep^2+1067459284255038048299/
         3105674747437822560000*ep^3+1056564763653711799713603531871/
         6928538926924289814611472000000*ep^4-795881734415807668425512470361444\
         6333297/69556843535141703935404855053208800000000*ep^5)
      +mncexp11*(11365762310569130267113/27951072726940403040000-1/78*ep^-2+
         179136641/53542288800*ep^-1-43223148219081337214494638428299/
         41571233561545738887668832000000*ep+7538189570376865380959690870551388\
         803079579/10016185469060405366698299127662067200000000*ep^2+
         25187589399167605220346689736921234994902467075138119/8938158250979928\
         1464805039060345078471234560000000000*ep^3-215760768867270144753831681\
         06287444356616471132318446422168926953/7178541756211052937331617655596\
         415228748254956091392000000000000*ep^4+5725658765211856672925077416120\
         95857373177409279279044131959083080893307031/6405925931231856502044962\
         8981187033403726188225846104943001600000000000000*ep^5);
Fill mncTabTwo(-25)=
      +mncG311*(-1/13*ep-35082181867/116008292400*ep^2-8420220088575463697603/
         9317024242313467680000*ep^3-2166952829530084621592521005397/
         839822900233247250255936000000*ep^4-5513738068914240256795171910223835\
         686716003/741939664374844841977651787234227200000000*ep^5)
      +mncexp11*(30816405587288971729/330781925762608320000-1/78*ep^-2+
         612677333/696049754400*ep^-1+668921754867215740359482203392821/
         1496564408215646599956077952000000*ep+50806623750066897627744253343600\
         02451233/2995046862244271620452507775334400000000*ep^2+213834480060792\
         1375739433036742951251832589119628983451/35752633003919712585922015624\
         1380313884938240000000000*ep^3+195416720600343077616206586652931433575\
         481914337028878059617465711/957138900828140391644215687412855363833100\
         6608121856000000000000*ep^4+134890659196881518952381023225856091857534\
         1108107380046557922509553770790563/19710541326867250775522962763442164\
         124223442531029570751692800000000000000*ep^5);
Fill mncTabTwo(28)=
      +mncG311*(-1/9*ep-303612537203/722820898800*ep^2-10095422212767367941791/
         29026113985668880080000*ep^3-92824137348444227190322472265901/
         582796716660900839405972664000000*ep^4+3072785801697425592659467233847\
         28210402191/2925400323295286663590969576949377800000000*ep^5)
      +mncexp11*(-102332336315901723776917/261235025871019920720000+1/81*ep^-2-
         17641195597/6505388089200*ep^-1+10335180179849913168440844264169757/
         10490340899896215109307507952000000*ep-5745361851464241375506278373709\
         57814198736099/842515293109042559114199238161420806400000000*ep^2-
         20712239741293602508082245680969135899954568626132677351/6766529571309\
         1509887375291685568160751896532480000000000*ep^3+156360394071240144699\
         05424880704365224749053707840736367756839127337/5434432207211621344826\
         855012119393882594303934644110336000000000000*ep^4-3710171979174932567\
         832588851800608599724992398551831654550881894043051584208591/
         4364579080538191091414457855819361310142262717555369212437655552000000\
         00000000*ep^5);
Fill mncTabTwo(-26)=
      +mncG311*(2/27*ep+106161798401/361410449400*ep^2+105176169989047001363/
         119449028747608560000*ep^3+6581679300503389174026971657791/
         2616371343034347202720416000000*ep^4+477079638239235002329782978317274\
         43160759/6585263293267853627020577993203200000000*ep^5)
      +mncexp11*(-46861003488564293444609/522470051742039841440000+1/81*ep^-2-
         922779199/2168462696400*ep^-1-18188409334452291801913131794471767/
         41961363599584860437230031808000000*ep-7936198776911248410685277835979\
         89837084037703/481437310348024319493828136092240460800000000*ep^2-
         1574259390677584202682149004794755831451430904304593382179/
         270661182852366039549501166742272643007586129920000000000*ep^3-
         431749188833062723364505259664430551439642923678269997745687917223557/
         21737728828846485379307420048477575530377215738576441344000000000000*
         ep^4-11625312646185783870668220357556277595059422795566484538500634823\
         8755397525638759/17458316322152764365657831423277445240569050870221476\
         84975062220800000000000000*ep^5);
Fill mncTabTwo(29)=
      +mncG311*(3/28*ep+306799578203/749592043200*ep^2+10570093507555248203291/
         30101155244397357120000*ep^3+100187009879438881150044805198651/
         604381780240934203828416096000000*ep^4-5828576686422568286621350518041\
         30758055507/6067496966834668635596085048487598400000000*ep^5)
      +mncexp11*(102373313747821915615417/270910397199576214080000-1/84*ep^-2+
         14454154597/6746328388800*ep^-1-10170839612533146330064254705321257/
         10878872044336815668911489728000000*ep+5408599958194956601964581747543\
         38693533099099/873719563224192283525836246982214169600000000*ep^2+
         22640305753248704238965679388384264841448170986074436351/7017141777653\
         9343586907709896144759298263070720000000000*ep^3-156234935916212694544\
         82213368720181469638913456682904420977886436337/5635707474145385098338\
         960753309001063431130006297595904000000000000*ep^4+3654102510559009343\
         653709121783248512052722862290768822333487946528990046291591/
         4526230157595161131837215554183041358666050225612975479564976128000000\
         00000000*ep^5);
Fill mncTabTwo(-27)=
      +mncG311*(-1/14*ep-321141262703/1124388064800*ep^2-
         25847378900204949948709/30101155244397357120000*ep^3-
         6660657869028157689335959790291/2713273985368952654673024000000*ep^4-
         1303480905964812661182758455548373374637993/18438737221149990155657618\
         3809689600000000*ep^5)
      +mncexp11*(46846743497425161492109/541820794399152428160000-1/84*ep^-2+
         112470097/6746328388800*ep^-1+6104574645716624505115688474943089/
         14505162725782420891881986304000000*ep+1868386564602858761623439035400\
         891979666728807/1164959417632256378034448329309618892800000000*ep^2+
         529862873058444357557436521972570933507634945640319999893/
         93561890368719124782543613194859679064350760960000000000*ep^3+
         145367973659353686256371230698791465130414014065523305669680732252019/
         7514276632193846797785281004412001417908173341730127872000000000000*
         ep^4+39149388288302421581897577120428516744191451893673527723830983332\
         549214268628753/603497354346021484244962073891072181155473363415063397\
         275330150400000000000000*ep^5);
Fill mncTabTwo(30)=
      +mncG311*(-3/29*ep-8986106211787/22514532440400*ep^2-
         9277869340052866357007381/26219181259128826528560000*ep^3-
         656368067254092617758458897396289241/381667633848739450551755325709800\
         0000*ep^4+777480097956563715382660342189070880980881279909/88893810245\
         56710482167000303300096816754400000000*ep^5)
      +mncexp11*(-86118920445027552717746047/235972631332159438757040000+1/87*
         ep^-2-330252039413/202630791963600*ep^-1+24426163449347056767964126186\
         3049187823/274800696371092404397263834511056000000*ep-3597324179962436\
         19520160749767676756117768142745119/6400354337680831547160240218376069\
         70806316800000000*ep^2-71969079053224297229420871069995170508240524436\
         585625004853057/212957121230201878773084163882292810319073822741470720\
         000000000*ep^3+9234965277446410030188493281197951948643313291501910310\
         996963410636975729077/347197345866838244391138836964949038573344484816\
         8997156716608512000000000000*ep^4-623006859509558116930016543402302581\
         85713504827425463378403661582369144082707145115127319/
         8086537144903146736472771059807936351750712418759841968251528802712838\
         553600000000000000*ep^5);
Fill mncTabTwo(-28)=
      +mncG311*(2/29*ep+9387673377787/33771798660600*ep^2+
         21975148692582840917306869/26219181259128826528560000*ep^3+
         492991355053871670248472295128655397/
         205612193319186235987477616544000000*ep^4+9325622530052778807110073808\
         24875577741665395233/135071316612447642654009501284711822476800000000*
         ep^5)
      +mncexp11*(-39379448057937877161275869/471945262664318877514080000+1/87*
         ep^-2+71315126587/202630791963600*ep^-1-149855107178825352207985707582\
         432143821/366400928494789872529685112681408000000*ep-13327168561832809\
         16389435943948920612849247630691167/8533805783574442062880320291168092\
         94408422400000000*ep^2-10968428419511591697523704352839132511827649384\
         197879652358886857/198759979814855086854878552956806622964468901225372\
         6720000000000*ep^3-872952071108238515747069732007773651919593821726132\
         33124994633617307204300899/4629297944891176591881851159532653847644593\
         130891996208955478016000000000000*ep^4-6819111652153038162242012324036\
         63396454379637253866278909053293088610026775072818809533277/
         1078204952653752898196369474641058180233428322501312262433537173695045\
         1404800000000000000*ep^5);
Fill mncTabTwo(31)=
      +mncG311*(1/10*ep+9071773873867/23290895628000*ep^2+
         9656127773315378326855061/27123290957719475719200000*ep^3+
         702373079182166894777751957978842921/394828586740075293674229647286000\
         0000*ep^4-728393899712148549034758835747842440027535672229/91959114047\
         13838429827931348241479465608000000000*ep^5)
      +mncexp11*(86142254424375650630960767/244109618619475281472800000-1/90*
         ep^-2+244584377333/209618060652000*ep^-1-24054630856028524021318985497\
         6762546543/284276582452854211445445346045920000000*ep+1166782970029121\
         6178932670506843016151910016777451/22831228315151598860262450243909880\
         052544000000000*ep^2+7662928284413537277816025481556081229456201205659\
         3511216929217/22030047023813987459284568677478566584731774766359040000\
         0000000*ep^3-921840780326844961330557960072170186645627508450735499748\
         2099978090080533557/35916966813810852868048845203270590197242532912093\
         07403499939840000000000000*ep^4+61406421031096152535331322888043503041\
         506754556561943540385929978354665499107436727166359/
         8365383253348082830833901096353037605259357674579146863708478071771901\
         952000000000000000*ep^5);
Fill mncTabTwo(-29)=
      +mncG311*(-1/15*ep-9459955467667/34936343442000*ep^2-
         22206947291572497943954189/27123290957719475719200000*ep^3-
         498521313446738622023294221732892957/
         212702268950882313090494086080000000*ep^4-9429762695439916123700410042\
         51843321157999358073/139728948219773423435182242708322574976000000000*
         ep^5)
      +mncexp11*(39358303804559957167794709/488219237238950562945600000-1/90*
         ep^-2-143597216467/209618060652000*ep^-1+15080890568609777853088082885\
         7476086261/379035443270472281927260461394560000000*ep+1343858185584850\
         727970984115984341467780189707929047/882807494852528489263481409431182\
         028698368000000000*ep^2+1106821799415317507459638057632763858795992963\
         9885094137693141617/20561377222226388295332264098979995479082989781935\
         10400000000000*ep^3+88118505453884281614815807680709858245284764596251\
         152507179661516815948276859/478892890850811371573984602710274535963233\
         7721612409871333253120000000000000*ep^4+688467923008397856957921336252\
         996701568240223560894799180327515410883214887852138869872997/
         1115384433779744377444520146180405014034581023277219581827797076236253\
         5936000000000000000*ep^5);
Fill mncTabTwo(32)=
      +mncG311*(-3/31*ep-283786988608957/746085023283600*ep^2-
         9633820670214656562499166201/26934332030714030038356240000*ep^3-
         44614274826314130085115394849098978961607/2430883275031873835262121587\
         27476004000000*ep^4+62551984537638610861307827639609351104841632936346\
         6429/8775704539605819739904891686214630002809691293600000000*ep^5)
      +mncexp11*(-82796180282765154730746570907/242408988276426270345206160000+
         1/93*ep^-2-5020117178243/6714765209552400*ep^-1+7060876911136164186016\
         386884985268783324933/8751179790114745806943637714189136144000000*ep-
         10121280249776376377972216740870983979778551731151419811/2178795609833\
         1690388729386255429426213872337004800000000*ep^2-232626163825794086582\
         6102415052123569368810583008731830701681625565127/65172492754126695098\
         00964109253176547517682834268854322542080000000000*ep^3+
         8128649215781302460085072601233269869079829514809840198678832608668421\
         236716809206797/329389882661990393434141826525585701070651061428877943\
         7468973854321169408000000000000*ep^4-167092477521567209369104119250988\
         1282097207362356729741177794803731724209401825089287250207328497089/
         2378253467179871367426108669740576514913779934981697947217675098406912\
         23765167099494400000000000000*ep^5);
Fill mncTabTwo(-30)=
      +mncG311*(2/31*ep+295432436422957/1119127534925400*ep^2+
         21558436211696044051021751149/26934332030714030038356240000*ep^3+
         45038297947007604228907086939718292164841/1964350121237877846676461888\
         7068768000000*ep^4+880282143540611783349956782671358914738798231147051\
         673/133344038588502484177092371300507198523224179200000000*ep^5)
      +mncexp11*(-37797728794843991327577417589/484817976552852540690412320000+
         1/93*ep^-2+6625330635757/6714765209552400*ep^-1-4519914542853302135962\
         019327031159501668491/11668239720152994409258183618918848192000000*ep-
         1250962866744469457867503680223809582660874525361908078967/
         842467635802158695030869601876604480269730364185600000000*ep^2-
         3196175793519764034106425116372073924528289943715783841800593339996789\
         27/6082765990385158209147566501969631444349837311984264034372608000000\
         0000*ep^3-789074764103854854726540094982436464491203603782263707571348\
         25111834683840901800939739/4391865102159871912455224353674476014275347\
         485718372583291965139094892544000000000000*ep^4-
         1911503474149730304527653734640693402381782176448459543880197727747448\
         7328183616067117026408931330587/31710046229064951565681448929874353532\
         1837324664226392962356679787588298353556132659200000000000000*ep^5);
Fill mncTabTwo(33)=
      +mncG311*(3/32*ep+35782705783679/96269035262400*ep^2+
         9979374909142300781927221301/27803181451059643910561280000*ep^3+
         379195254862371021575201031062502146630831/200743909163922484460355847\
         2072059904000000*ep^4-922562281045432763167276289716967833439815912945\
         2348139/144940668525102571188106598172319050368985869107200000000*ep^5
         )
      +mncexp11*(165619955727841404974174614739/500457266119073590390103040000-
         1/96*ep^-2+318182439721/866421317361600*ep^-1-556619881650406835662599\
         92570006067445669289/72267807299012094405728104994594156544000000*ep+
         152108323415151869156455760365559794137912024457295147401/
         359852694269220176742885347186447297467826985369600000000*ep^2+
         77975604380791461663172688691575508394297033024566885800761790984888089
       /215279459936212050904393137028233960795422813622300220202680320000000000
         *ep^3-5189278365571181209115625379155439383810231395623349521485013535\
         72265054604153007676283/2176098321586310728235878905562579083202236689\
         69787751223756724311282417664000000000000*ep^4+
         2109601259413574989840605898467264976714778605705767098321350834633395\
         41104240163068339706931283994167/3142363290828630039024948745566903679\
         0602718108661402554205152267982943630391110952550400000000000000*ep^5)
         ;
Fill mncTabTwo(-31)=
      +mncG311*(-1/16*ep-595086347678489/2310456846297600*ep^2-
         87084235117391646481085944321/111212725804238575642245120000*ep^3-
         364099791443861359718639763158022442934653/162217300334482815725540078\
         551277568000000*ep^4-1423234478708542607437657474464062254189875977753\
         0791693/2202327347010105545118428842124505988512605798400000000*ep^5)
      +mncexp11*(151080498173606185857360039931/2001829064476294361560412160000
         -1/96*ep^-2-17472136104089/13862741077785600*ep^-1+3637289714490177125\
         6643397055281396694777453/96357076398682792540970806659458875392000000
         *ep+20172050017789856187711423270281674004567171168967728046197/
         13914304178409846834058233424542628835422643434291200000000*ep^2+
         1031506622320625832630103501716712580772615508253753384347962915394864\
         1689/20092749594046458084410026122635169674239462604748020552250163200\
         00000000*ep^3+50947984372120461528577235090582870561778549633298092447\
         55379845137706996510857591073721/2901464428781747637647838540750105444\
         26964891959717001631675632415043223552000000000000*ep^4+
         2468820799295021735869363393697214913512522422482917789890756882603044\
         219341401173321489163152101185461/418981772110484005203326499408920490\
         54136957478215203405606869690643924840521481270067200000000000000*ep^5
         );
Fill mncTabTwo(34)=
      +mncG311*(-1/11*ep-577309395144239/1588439081829600*ep^2-
         10316658476894040813637395551/28672030871405257782766320000*ep^3-
         803201007097645518229254521248254729154537/414034312650590124199483934\
         8648623552000000*ep^4+168324629214713754165089897579845993312798474589\
         54079653/298940128833024053075469858730408041386033355033600000000*
         ep^5)
      +mncexp11*(-41408218106993564033794467341/129024138921323660022448440000+
         1/99*ep^-2-304816430161/14295951736466400*ep^-1+5487469327196813366498\
         4514108661941135019039/74526176277106222355907108275675223936000000*ep
         -142621768542612359694973959962673849131579871490485423901/
         371098090965133307266100514286023775513696578662400000000*ep^2-
         81470107687814317652115577162368975561259496548023766839235002063762589
       /222006943059218677495155422560366272070279776547997102084014080000000000
         *ep^3+5155548736707653549259784756075799360899707301718464897757169801\
         69984458739520947580783/2244101394135882938493250121361409679552306586\
         25093618449499121946009993216000000000000*ep^4-
         2087671834741620119211566128824575045319551071239530645410820136100801\
         87773838317438735512364481788667/3240562143667024727744478393865869419\
         0309053049557071384024063276357410618840833169817600000000000000*ep^5)
         ;
Fill mncTabTwo(-32)=
      +mncG311*(2/33*ep+599188721340239/2382658622744400*ep^2+
         87915942071424053434938909571/114688123485621031131065280000*ep^3+
         4046005526454395609734203471955642316816933/18401525006692894408865952\
         66066054912000000*ep^4+13070332313601388956884674388086123782193347282\
         59936813/206468188782197394854852703949172436423056793600000000*ep^5)
      +mncexp11*(-150952535716328852652534012931/
         2064386222741178560359175040000+1/99*ep^-2+21574509765839/
         14295951736466400*ep^-1-36577709136093865331310078196686571937775953/
         99368235036141629807876144367566965248000000*ep-2032292508843157606815\
         5016489692980673498584987353882900197/14349126183985154547622553219059\
         585986529601041612800000000*ep^2-1039915569367031741811767031751650075\
         9480297347436776858713652607238675189/20720648018860409899547839438967\
         51872655944581114639619450798080000000000*ep^3-51378781667946648267209\
         90474863226677999381378800221844998572257171354987452001033400721/
         2992135192181177251324333495148546239403075448334581579326654959280133\
         24288000000000000*ep^4-22637495740694783227659427900021739778556690807\
         6620452563309563208379896017307763872167689529621511451/
         3927954113535787548781185931958629598825339763582675319275644033497867\
         953798888869068800000000000000*ep^5);
Fill mncTabTwo(35)=
      +mncG311*(3/34*ep+183058403341/514807675200*ep^2+
         10646092635308398010281784951/29540880291750871654971360000*ep^3+
         848202540446336663020614136538523798951337/426580806973335279478256175\
         3153127296000000*ep^4-151628685889516246811652799936832215372869060549\
         88078853/307998920615842963774726521116177982034094971852800000000*
         ep^5)
      +mncexp11*(41411598507077993735749752641/132933961312878922447371120000-1/
         102*ep^-2-23146805597/78765574305600*ep^-1-541025164466518553415503018\
         91351915468183839/76784545255200350306086111556756291328000000*ep+
         133688617668586273685138945789575444059222947796840395101/
         382343487661046437789315681385600253559566171955200000000*ep^2+
         12057660926433580774700723394005539000224823339806069672739003272316027
       /32676346597460757726559672584642654763590962781956283423621120000000000
         *ep^3-5139928901432637513440527178252097836094137935251949808515153521\
         89474394686993437694383/2312104466685455148750621337160240275902376482\
         80399485675241519580737568768000000000000*ep^4+
         2060563814447782182479339127249328903147410748822584485779285764861441\
         97016492971815480461790746974267/3338760996505419416464008042164835159\
         0015387990452740213842974284731877607290555387084800000000000000*ep^5)
         ;
Fill mncTabTwo(-33)=
      +mncG311*(-1/17*ep-54834407347549/223169127199200*ep^2-
         88729760192541294761450825971/118163521167003486619885440000*ep^3-
         80120223218036553498452902024233427940983/3717479799331897860376960133\
         4667776000000*ep^4-372300157985921652064350212016816673831768283228091\
         337/59999302723031721581752067814289425969093427200000000*ep^5)
      +mncexp11*(150817842731649112031039543731/2126943381006062759157937920000
         -1/102*ep^-2-2324024477149/1339014763195200*ep^-1+36779021921858794499\
         547003069388554226711553/102379393673600467074781482075675055104000000
         *ep+20472384475314192587621490474424119771119064847340587688597/
         14783948189560462261186873013576543137636558648934400000000*ep^2+
         1048274791163924962453965166217181999940890087023642235411190653594430\
         6789/21348546443674361714685652755299867778879429017544771836765798400\
         00000000*ep^3+51807542374354758956657393897278416870039226763600155028\
         81736416305420369005100484369921/3082805955580606865000828449546987034\
         53650197707199314233655359440983425024000000000000*ep^4+
         2511323497233769297027672525937617237073106840184436569301004384702457\
         285865878656645513463071563084761/445168132867389255528534405621978021\
         20020517320603653618457299046309170143054073849446400000000000000*ep^5
         );
Fill mncTabTwo(36)=
      +mncG311*(-3/35*ep-53312047508029/153155283372000*ep^2-
         10968066570692694725580568241/30409729712096485527176400000*ep^3-
         893345178246178239997731192563045372157817/439127301296080434757028415\
         7657631040000000*ep^4+134449641604170860318993983178373702537579758593\
         27852973/317057712398661874473983183501947922682156588672000000000*
         ep^5)
      +mncexp11*(-10352984346058034506789381049/34210945926108546218073450000+1/
         105*ep^-2+801664637629/1378397550348000*ep^-1+533633120499410375976117\
         49631148094582535519/79042914233294478256265114837837358720000000*ep-
         7355534207855782747847155047017407377875324740213145213/23152287315115\
         268724266520499128043035613868544000000000*ep^2-6110317031411647819415\
         99868102491539279461457543419395316992430622928443/1648233365136623514\
         736759955372416262339955916795736060926771200000000000*ep^3+
         5106638634347718685105601081862967143499846138208219268060697508497321\
         56728446793565343/2380107539235027359007992552959070872252446379357053\
         52900983917215465144320000000000000*ep^4-12001102955922320923340537115\
         8778401445834245272869154386673729004556222578063295461575884410920255\
         31/2021741087849302414813845700272824058218924878314612296685993252535\
         667329161192800256000000000000000*ep^5);
Fill mncTabTwo(-34)=
      +mncG311*(2/35*ep+7883916903547/32818989294000*ep^2+
         5266265854417766824829977283/7155230520493290712276800000*ep^3+
         1375170099139037806321155600395438517042151/65055896488308212556596802\
         3356686080000000*ep^4+698070807034039959659863307535792882718519419194\
         360803/114704549323442997141584835527318020235031552000000000*ep^5)
      +mncexp11*(-150668478383913127248567295411/
         2189500539270946957956700800000+1/105*ep^-2+54633376621/28130562252000
         *ep^-1-36972574816124203581826071854607205714534913/105390552311059304\
         341686819783783144960000000*ep-294524336716794231697634305719432891230\
         4848146217086498691/21741100278765385678215989725847857555347880366080\
         00000000*ep^2-10563463305379723728481505942142585254461360970316559869\
         025902115250344549/219764448684883135298234660716322168311994122239431\
         4747902361600000000000*ep^3-522215616493993237130947636186875721014242\
         8048154128641308844298459433978431808674723841/31734767189800364786773\
         2340394542782966992850580940470534645222953953525760000000000000*ep^4-
         2531807781167105032228668774626122985755242796580297165829835757991138\
         547794001060549468512571297492441/458261313245841880691138358728506786\
         52962297241797878724882513724141792794320370139136000000000000000*ep^5
         );
Fill mncTabTwo(37)=
      +mncG311*(1/12*ep+53707959124909/157531148611200*ep^2+
         11282940579443883913204310231/31278579132442099399381440000*ep^3+
         938585361495759420984621580980521272398697/451673795618825590035800656\
         2162134784000000*ep^4-116811604902065471241885383440634185005005387700\
         71810693/326116504181480785173239845887717863330218205491200000000*
         ep^5)
      +mncexp11*(5916060023584236583748632343/20107658013712778185316640000-1/
         108*ep^-2-1197576254509/1417780337500800*ep^-1-52637735896480484683369\
         127433056541725661599/81301283211388606206444118118918426112000000*ep+
         404447209603364013626141906648610479301672773346878269/140081066108260\
         4494241335694064889998793444147200000000*ep^2+897254964034496921974150\
         69151520482600445330974367323252473074290905309/2421893924282385572674\
         42279156763205894850665325087747728015360000000000*ep^3-
         5089250446266219728525482869882657491159753905897718301704353520799600\
         86190735344685103/2448110611784599569265363768757901468602516275910112\
         20126726314850192719872000000000000*ep^4+11852603546491426042308930134\
         5461569270907673762563522128770719935383304730900705572155249538863872\
         11/2079505118930711055237098434566333317025179874837886933734164488322\
         400681422941165977600000000000000*ep^5);
Fill mncTabTwo(-35)=
      +mncG311*(-1/18*ep-55531236307909/236296722916800*ep^2-
         5312175987950185830829847003/7359665678221670446913280000*ep^3-
         4164174854660344602762263920983367310722973/20074390916392248446035584\
         72072059904000000*ep^4-14796819818475973040309053013095482533900459183\
         867725783/2477618265386368738258232447390069237076681523200000000*ep^5
         )
      +mncexp11*(150513462363020099233503574891/2252057697535831156755463680000
         -1/108*ep^-2-3020853437509/1417780337500800*ep^-1+37162864930661444454\
         783057321669513790898873/108401710948518141608592157491891234816000000
         *ep+2965665620471836311168555368486095298384064769671886963211/
         2236227457244439669759358943230065348550067694796800000000*ep^2+
         1064369001437796119208772541044734418146357098441407506880217571797858\
         2909/22604343293302265344961279387964565883519395430341523121281433600\
         00000000*ep^3+75190842399047029650364378050824290449120318666460039975\
         2421199743189854655950794243423/46630678319706658462197405119198123211\
         476500493525946690805012352417660928000000000000*ep^4+
         2552191971571170184711510830391053667916443557119211618590088784944160\
         542355500707253609676301932555921/471354493624294505853742311835035551\
         85904077162992103831307728401974415445586666428825600000000000000*ep^5
         );
Fill mncTabTwo(38)=
      +mncG311*(-3/37*ep-2001416049649033/5990559512464800*ep^2-
         1983518237903498014635312056533/5501228711095797433600236390000*ep^3-
         49836728197280014028200570943064202663273753741/2351415034641038296241\
         90609348565241358784000000*ep^4+18505037489266125047593363527948410788\
         270702358672354749214873/628172467859747882316093928442348176191736890\
         061081574400000000*ep^5)
      +mncexp11*(-16197365842812228522501465108559/
         56584066742699630745602431440000+1/111*ep^-2+58531883444233/
         53915035612183200*ep^-1+2630977540157499885064929153676810436449252667\
         747/4232547062353868933235430968274174344458112000000*ep-
         12013378963334812559555229662669210291217668244915122967333653/
         45870606172314246984542355829461530107307359111965388800000000*ep^2-
         6387264735334267379790088220130150326947503752781727550042276875584614\
         269573513/172608811147998973259204314309904891201089674759943945718916\
         32175267840000000000*ep^3+12974033725425732502572429934195293487593818\
         64825805280512235249999578462836724100867663151417727/
         6455659327942474115864006565785414617785953675536986090081888669687880\
         16229438652416000000000000*ep^4-11145724633641557473122774884348208077\
         5787810121993133424404075551836765327775005156555198121342386451582180\
         2663/20289497234910189240931781046183551110655201052714945070566997764\
         7884897968783629886519763114393600000000000000*ep^5);
Fill mncTabTwo(-36)=
      +mncG311*(2/37*ep+2067054028237033/8985839268697200*ep^2+
         7333966198629274631817311736307/10355254044415618698541621440000*ep^3+
         638555338298386583710273379407081789787755027307/313522004618805106165\
         587479131420321811712000000*ep^4+8395384266810041727540758404342764447\
         6561506587488018932895589/14317321204780578514326927143985143616905684\
         103956275200000000*ep^5)
      +mncexp11*(-205823820224965870901661943936579/
         3168707737591179321753736160640000+1/111*ep^-2+124169862032233/
         53915035612183200*ep^-1-1891699145146130477149351300984826407711142075\
         269/5643396083138491910980574624365565792610816000000*ep-
         5595175202608609609271198551523538541172051719094630578264493771/
         4307468351038271193024644080747530351029052960418845081600000000*ep^2-
         7434591768776993299416640259704973274709415537367106874616005028013667\
         35232045713/1611015570714657083752573600225778984543503631092810160043\
         21900302499840000000000*ep^3-19438050236387437157941034466837639548589\
         00498996148070456190140751359198750506129597954296193607/
         1229649395798566498259810774435317070054467366768949731444169270416739\
         07853226409984000000000000*ep^4-24415796477345576233438880651407773658\
         8091833628141075849862462678450676052206363997339866284719218131195014\
         306093/459895270657964289461120370380160491841517890528205421599518616\
         0018724353959095610761114630592921600000000000000*ep^5);
Fill mncTabTwo(39)=
      +mncG311*(3/38*ep+5582367233953/17042843563200*ep^2+
         2035138635832636052977230883783/5649910568152440607481323860000*ep^3+
         52132617615271024212400834387914861234029785741/2414966792334039331275\
         47112303931869503616000000*ep^4-15040162948943095274965988812861342591\
         629607503342568373510873/645150102126227554811123494075925153926648697\
         900570265600000000*ep^5)
      +mncexp11*(16196613582559001220226321134559/
         58113365843853674819807902560000-1/114*ep^-2-3807916065907/
         2914326249307200*ep^-1-25963216349654616158776247385959017947939643797\
         47/4346940226201270796295848021470773651065088000000*ep+11188072766434\
         605668919435470554481730049584277780228186581653/471103522850794969030\
         43500581609139029126476925802291200000000*ep^2+65272658187835304527553\
         85941038536408683982678589128382126225515130254081109513/
         1772739141519989455094530795615239423146326389426451334410491953135616\
         0000000000*ep^3-129263836912657828268474818951783894750276332979618427\
         7302336436168920354406158897687047711209727/66301366070760544973738445\
         8107691231015854701811906679521923701211187692343747805184000000000000
         *ep^4+1101410761693565660620990674647551673250826260919585553263942885\
         485229187472367210646189346760065159548101274663/
         2083786202504289705825426161499932276229453081089643007247421392059358\
         41157129133396966243198566400000000000000*ep^5);
Fill mncTabTwo(-37)=
      +mncG311*(-1/19*ep-2079145234819033/9228699789472800*ep^2-
         7394363779227160226057514762307/10635125775345770555258962560000*ep^3-
         644227206004083238137473783854210626399527173307/321995572311205244170\
         062816405242492671488000000*ep^4-6515399075892951618080340290800411710\
         979644561760772230541353/113109814091821618200503790326701758304036589\
         5946649600000000*ep^5)
      +mncexp11*(205588219193097791080491991210579/
         3254348487255805789909242543360000-1/114*ep^-2-136261068614233/
         55372198736836800*ep^-1+1900833554191084832883508686294006336618977261\
         269/5795920301601694395061130695294364868086784000000*ep+
         296413964939588063433099160439463170850295578054879837073780409/
         232836127083149794217548328689055694650219078941559193600000000*ep^2+
         7488096877260047063434203377414760712382998917795109124338948126442841\
         47829239713/1654556532085323491421562075907556794936571296798021245449\
         79248959324160000000000*ep^3+19583477512848168405628094669905389890412\
         36507650321838141541581054319397219465943193464310111607/
         1262883163252581809023589444014649963839723241546488913375092764211786\
         08065475772416000000000000*ep^4+24602248697935987998729410935774346119\
         3549981205876186726342955415908847437708964243921680888564116119138095\
         604093/472324872567638999987096596606651315945342698380319081642748848\
         8667879066228260356997901512500838400000000000000*ep^5);
Fill mncTabTwo(40)=
      +mncG311*(-1/13*ep-2028672198112633/6314373540165600*ep^2-
         8342815534454768292412641588307/23194369700836335125449645320000*ep^3-
         54428354133940910846261684283533664440881888141/2478518550027040366309\
         03615259298497648448000000*ep^4+11501712230705801819308276042483193388\
         071023220928955638733073/662127736392707227306153059709502131661560505\
         740058956800000000*ep^5)
      +mncexp11*(-16195021660579479558785941016509/
         59642664945007718894013373680000+1/117*ep^-2+85788031907833/
         56829361861490400*ep^-1+2562970240248684623258872836167395291033950398\
         147/4461333390048672659356265074667372957672064000000*ep-
         10385664672067765809376725713413421717597231981841550401745253/
         48350098397844746821544645333756747950945594739639193600000000*ep^2-
         6663581167339144021931628528988219104454315588659199528888638683979273\
         121814713/181939017155998917759701844813142993428175603125346321163182\
         06887444480000000000*ep^3+12845047429381112945927958553702691523449725\
         04768434902525293528867668692903819199974695434194127/
         6804613886209634878883682596368410002531140360701147500356585354535873\
         68458056957952000000000000*ep^4-10914662838791136056071609695654940953\
         6845774304466321453457083203000233869802700529553522525171999722192611\
         5063/21386226815175604875576742183815094413933860569077915074381430076\
         3986784345474636907412723282739200000000000000*ep^5);
Fill mncTabTwo(-38)=
      +mncG311*(2/39*ep+2090944126516633/9471560310248400*ep^2+
         7453612148803803075022886879107/10914997506275922411976303680000*ep^3+
         649803483891457013925455847976354981339182426107/330469140003605382174\
         538153679064663531264000000*ep^4+1110647405844329261925062755992558265\
         610502228853701655906101457/196185995968209548831452758432445076047869\
         779478535987200000000*ep^5)
      +mncexp11*(-205338340178812485567363084293779/
         3339989236920432258064748926080000+1/117*ep^-2+148059960311833/
         56829361861490400*ep^-1-1005081060312345179424031918457375440802357929\
         51/313076027371836677849562461380166523345408000000*ep-566744214615311\
         9748066756477182592276874993210651697174157678971/45403044781214209872\
         42192409436586045679272039360404275200000000*ep^2-75399754056062622343\
         1390921984067070835727561336869853943171289100883559752338913/
         1698097493455989899090550551589334605329638962503232330856365976161484\
         80000000000*ep^3-19724466426649495237877115590942025110845473065897427\
         56441820671069286450478413818149323745534007/1296116930706597119787368\
         11359398285762497911632402809530601625800683308277725134848000000000000
         *ep^4-2478309451109614193683083623202764972942816519538174493991731536\
         75949791270687020588477923461496910567539326690493/
         4847544744773137105130728228331421400491675062324327416859790817317033\
         778497425103234688394408755200000000000000*ep^5);
Fill mncTabTwo(41)=
      +mncG311*(3/40*ep+2041749303077473/6476280554016000*ep^2+
         17082081035238834551762494655579/47578194258125815641947990400000*ep^3
         +56722641121948268245375000656978399763290878101/254207030772004140134\
         260118214665125793280000000*ep^4-7893458533298027752922811089916245574\
         714273578238515737076453/679105370659186899801182625343079109396472313\
         579547648000000000*ep^5)
      +mncexp11*(622826247891682300416066408989/2352767847929298575700724800000
         -1/120*ep^-2-98865136872673/58286524986144000*ep^-1-253018898532052904\
         0158491505722245607544854449507/45757265538960745224166821278639722642\
         79040000000*ep+9625287047597626518401680780168814759037915806314547269\
         445693/49589844510609996740045790085904356872764712553476096000000000*
         ep^2+67792707307426083757277709017815404185603902275916775022129049107\
         83189986797793/1866041201599988900099506100647620445417185673080475088\
         8531494243532800000000000*ep^3-984267217095161313704639720274702322942\
         97047651211226241923978693384755058721521635003148287299/
         5368531665648627123379631239738390534541333617910175542687641305353746\
         4967105085440000000000000*ep^4+107914760787553156056425114060515646412\
         5335668240362361200246821334692721444808535103343218543032172842198654\
         223/219345916053083126928992227526308660655731903272594000762886462322\
         037727533820140417859203366912000000000000000*ep^5);
Fill mncTabTwo(-39)=
      +mncG311*(-1/20*ep-2102464433271373/9714420831024000*ep^2-
         7511758560956774063510059292527/11194869237206074268693644800000*ep^3-
         50406765534564227872840033967487638165205968579/2607251597661580924453\
         9499304068218030080000000*ep^4-112004107533103912721714419083075062646\
         2701704010748079972385877/20121640612124056290405411121276418056191772\
         2542088192000000000*ep^5)
      +mncexp11*(205083023761823803466717582088559/
         3425629986585058726220255308800000-1/120*ep^-2-159580267066573/
         58286524986144000*ep^-1+1009647690702140584868780040301382360638359303\
         31/321103617817268387538012780902734895738880000000*ep+570268368768063\
         6211824274584451405676154378629702838200337493151/46567225416629958843\
         50966573781113893004381578831183872000000000*ep^2+75915323942230442221\
         6070498342778916014750363931844009805200666830582723227671293/
         1741638454826656306759539027271112415722706628208443416262939462729728\
         00000000000*ep^3+19864767080004357340194683593917080743728125809988319\
         58535937296844135648259306751088798084497867/1329350698160612430551146\
         78317331575141023499110156727723693975180188008489974497280000000000000
         *ep^4+1920236560560448632833743771880005009089814609838088060502267124\
         4084835644831292606664691015393786763061937094381/
         3824492895284526315684992685074099724253787031419587705609302419973991\
         14674353065343959636639744000000000000000*ep^5);
Fill mncTabTwo(42)=
      +mncG311*(-3/41*ep-84233871545843933/272165690282522400*ep^2-
         58736842554972392906664288135745003/
         163956836323214466992934872317920000*ep^3-4067327368287258601948258392\
         783921911654739646262081/179582078370332297757481751476597585131686171\
         52000000*ep^4+11921862012718725959771234481476989420163723911796278208\
         803658166863/196696420808175649899831685698638668142846712632517754489\
         4131200000000*ep^5)
      +mncexp11*(-4187301093787462275207104830655381/
         16215511284713518713586965394080000+1/123*ep^-2+4575620731447133/
         2449491212542701600*ep^-1+17220407646087248583587422089789363322051074\
         2427726907/323247741066598135963467152657875653237035108736000000*ep-
         25105751130400349682601908542385430749930845121468325930738825024313/
         143632274829499460373102245134908560915668999082568745671782400000000*
         ep^2-79838819550733420567748980048238271608212307674024286722160424289\
         1981894452736097456173/22159725564002108149788973126729086810836206699\
         96001063464049226706806002565120000000000*ep^3+
         4646568696621159123672152805555353115178903564529114297217821911927144\
         65153520938713858831504541640095679/2613861215876384615745804702001985\
         20238550219534367733624344175404187974202450661637241634816000000000000
         *ep^4-2083485249630414700485228160822693653905974939330471271628610165\
         14505285776500949603758510749491311111759919783293388554323/
         4378651847492301048229855968695345863104591764602167653154003084875265\
         5880389873875061969803121458405756108800000000000000*ep^5);
Fill mncTabTwo(-40)=
      +mncG311*(2/41*ep+86662476753599933/408248535423783600*ep^2+
         12723232339102964881660824261874807/
         19289039567436996116815867331520000*ep^3+35026932939226512767676131818\
         34682641512670282353699/1841867470464946643666479502324077796222422272\
         000000*ep^4+3191101665088567095989331660717920421748146685962080548701\
         934229385917/582804209802001925629130920588559016719545815207460013301\
         964800000000*ep^5)
      +mncexp11*(-344295006062708222004540161145059959/590244610763572081174565\
         5403445120000+1/123*ep^-2+7004225939203133/2449491212542701600*ep^-1-
         6989040037935643767706245353889872681972480998657931/22684052004673553\
         400945063344412326542949832192000000*ep-162111526962663587314842935321\
         03029958240349524825144361248731579777991/1348775456970347313598845844\
         7906651529795203151944074593559756800000000*ep^2-885327824854270360530\
         20417080566663591204323971971189120187925447191907236752924421033373/
         2068241052640196760646970825161381435678045958662934325899779278259685\
         6023941120000000000*ep^3-950069095025935445706028499436318507120030416\
         1598515947262726804661955852685763417283583130321343016571907/
         6472418248836761905656278309719201453526005436089105784983760533817987\
         93263211162149360238592000000000000*ep^4-
         3765936963958281618574598908336690358577627683914194413654830911244692\
         657318755828870465516594873130214936589157286209495581/
         7634572452037858237939236047981628684387493333152497446524928455679950\
         2560679780089851639656724594143369625600000000000000*ep^5);
Fill mncTabTwo(43)=
      +mncG311*(1/14*ep+84742722160802333/278803877850388800*ep^2+
         60018834769936519832233452618887803/
         167955783550609941797640600911040000*ep^3+4225026388887424048826926328\
         532296027836965426995681/183962129062291622093030086878465818915385834\
         24000000*ep^4-13612345804831624314377756528801223911748060364836605322\
         30632759663/2014938944864238364827544097400688795609649251357498948428\
         134400000000*ep^5)
      +mncexp11*(29307122687410336841323637969632067/
         116277080919653036629135800630720000-1/126*ep^-2-5084471346405533/
         2509234900653499200*ep^-1-17006095836944006866120836355686221389884968\
         9614336507/331131832312124919767454156381238474047694501632000000*ep+
         23118839047431549061976731249613246656988605592876208302629811646713/
         147135501044853105748055958430881940450197511255314324834508800000000*
         ep^2+56658211305262215619767006850803764837030002250821158133704541292\
         88042744776721471394811/1589014467272346291716575146160573542045327992\
         6312788113620255430531730847662080000000000*ep^3-
         4628055450930313195031494903138397536893968892866063801982953436486226\
         76789132292291729375326818179562879/2677613928458735460032287743514228\
         74390709980986425483224937935779899876012266531433271918592000000000000
         *ep^4+2060976857844472951122274625342787338693947199691058329308313743\
         32511439235244962068907751755896353934261923190861220379923/
         4485448234016503512820828065492793323180313514958318083718734867433198\
         8950643285432990310530026859830286745600000000000000*ep^5);
Fill mncTabTwo(-41)=
      +mncG311*(-1/21*ep-87113503435040333/418205816775583200*ep^2-
         12817490534006703481872772441212007/
         19759503947130581387957717754240000*ep^3-35308516417090028841411814587\
         90495616490157190006099/1886791067305555098390052173112469937593700864\
         000000*ep^4-3216839480408429695290504393715796256584756265567416500395\
         305811455117/597018946626440996985938991822426309810266444846666355089\
         817600000000*ep^5)
      +mncexp11*(343837812088670513595405748190542759/6046408207821957904715061\
         632797440000-1/126*ep^-2-7455252620643533/2509234900653499200*ep^-1+
         1002714236911622429298247784557293908490871231371533/33196173665375931\
         80626106830889608762382902272000000*ep+1630697853148512142915154748740\
         3005846238256072740558087493114569376791/13816724193354777358817445239\
         319008884180452009308564217792921600000000*ep^2+8910934509021959841296\
         1347914610871291190484122293366086553554566568313787623840104436173/
         2118685956363128388955433528214098056060437323508371748482700724070897\
         4463549440000000000*ep^3+669556595864296403641327186264824410131240317\
         82148154996640692642926053692850281056065098471137137526204549/
         4641197475995141464055965422091329822772306337098041709232257553518264\
         517545953211510046588928000000000000*ep^4+
         3792007516786011596847037658699437679930104098096024016133030543865409\
         857540295999051251145552108505784605411864923762456781/
         7820781536233903560815802780859229384006700487619631530586512076550192\
         9452403677165213874770303242781012787200000000000000*ep^5);
Fill mncTabTwo(44)=
      +mncG311*(-3/43*ep-523610583483234617/1753429830426424800*ep^2-1618586852\
         2656096631675432152464230321/45420613886933145042534051893313120000*
         ep^3-7110875241054530859368394222414618386403094157232277883/
         30560248338206591832034662490290856179482021646528000000*ep^4-
         4575186024991431111897362867353907077740321482972839557051687041126928\
         991/100752733681821268161280007235617553391197201434755631558692971271\
         6800000000*ep^5)
      +mncexp11*(-7739922675358291848362078049116860769/31445040383261408106369\
         728233832160000+1/129*ep^-2+34281328480511417/15780868473837823200*
         ep^-1+13356369407691758331859056602858222879133824477471452464049/
         26954139034298213995854572316436535150303143092237696000000*ep-
         1034438280059464548890737689443046851870226922715680727701852455595011\
         2159/73571975913703157278013798387063527831300187660267803977950242713\
         600000000*ep^2-8438084734866378505231645557764580968245129569389392790\
         15406858879711241296544672987403600447273/2391604128033768968568888788\
         040767573650567679929692895181083245154877852438679060725760000000000*
         ep^3+29079647482653329802599689386020974485057854948040604041243574336\
         77060709495879023855385624403773374509558986256071/
         1732917378843836985494064675756706439193154902270775063589379927856379\
         646313709387364103118103395500032000000000000*ep^4-
         5555484119138671714050949209364666531459992122822367357008874697536898\
         3668452295059200840647536733135326823882883049207181541688726761/
         1248257554618966942137328434706370445925263326993191083144413696093743\
         6490384364606795333976681027059865329896889306316800000000000000*ep^5)
         ;
Fill mncTabTwo(-42)=
      +mncG311*(2/43*ep+537835271128662617/2630144745639637200*ep^2+
         200594847435368308156141578513706697/
         314329507868049446661135307220160000*ep^3+5774116960793607923544716453\
         519497456940854381032193657/313438444494426582892663205028624165943405\
         3502208000000*ep^4+158348920676287643809510594265764702570746721955112\
         3051521452719788211085531/29852661831650746121860742884627423227021393\
         0177053723136868063027200000000*ep^5)
      +mncexp11*(-90696955484694351392551159587622437913/1635142099929593221531\
         225868159272320000+1/129*ep^-2+48506016125939417/15780868473837823200*
         ep^-1-560367679189390601105247275954558641922893394372813991617/
         1891518528722681683919619109925370887740571445069312000000*ep-
         8009862690514611632842365833639057936449959625430507463530105776169975\
         780513/690875888103917267391634335329948937539637952695467187831037517\
         2915200000000*ep^2-131822816142132964245525995459424930182132265265523\
         27561014419184023041321242291084916060477336639/
         3188805504045025291425185050721023431534090239906257193574777660206503\
         803251572080967680000000000*ep^3-4260227605853288668283029710610735110\
         7855639511590169191589827403175844159867261142569032768064198955840079\
         9012325901/30037234566626507748563787713116244946014684972693434435549\
         252082843913869437629380977787380458855333888000000000000*ep^4-
         1037632555233690333298634254452495826498798745755548213953843418164903\
         864375377419467877943779258632382580215732864528804636531020354567/
         2176449069592044924752264963077774110844048877834281888559490547035245\
         3367849661365694428472161790771047241871499303321600000000000000*ep^5)
         ;
Fill mncTabTwo(45)=
      +mncG311*(3/44*ep+5792433199900065187/19736279951776502400*ep^2+165121354\
         15096653566249440652004290221/46476907233140892601662750774552960000*
         ep^3+7365671757696866752085488293493811950621064473603044083/
         31270951787932326525802910455181341206911836103424000000*ep^4+
         9893156721474087981833238462342350987669845235110948592340472753596036\
         391/103095820511631065095263263217841217423550624723935995083313738045\
         4400000000*ep^5)
      +mncexp11*(703509305535074633674804856913951679/2925120035652224009894858\
         440356480000-1/132*ep^-2-409811394870109987/177626519565988521600*
         ep^-1-13194329281221964756753127865044341647100612796597991790849/
         27580979476956311995758167021469942944496239443219968000000*ep+
         9444036418624144949399319370864736727895630574901618851768389004720262\
         959/752829520977427655868048169542045401064467036523670552332514111488\
         00000000*ep^2+19838282251540503079981640541781270269466229898382599663\
         922727395406385533359205423583881748011/569121588066445833515581972275\
         79109378380193573232280902091759214069564903895012802560000000000*ep^3
         -289615298200955583058006372985418150950441711497851187884025196478552\
         8301694058785577788029580679144394826306569271/
         1773217783002995985156717342634769379639507341858467506928667833155365\
         219483795652186524120849986093056000000000000*ep^4+
         5497951188309476556667183874434396490036642142121141871913508103261159\
         0161871171158051120051488648453231409528181773553767493205421561/
         1277286800075221987303312816908844177225850846225590875775679130886621\
         4083184000992999876627301516061257546871235569254400000000000000*ep^5)
         ;
Fill mncTabTwo(-43)=
      +mncG311*(-1/22*ep-5945348592088416187/29604419927664753600*ep^2-34341587\
         94342982998610162036508510449/5467871439193046188430911855829760000*
         ep^3-5818424712255511483877190544867759126527347438926821457/
         3207277106454597592390042097967317046862752420864000000*ep^4-
         1595694266422702698863323420870030795031917679790252477892939216106632\
         152931/305469097812240192874854113238048051625335184367217763209818483\
         097600000000*ep^5)
      +mncexp11*(90569929564582409904127493686514751313/16731686603930721336598\
         59027883906560000-1/132*ep^-2-562726787058460987/177626519565988521600
         *ep^-1+562639489239147431553612935606536848767658975488544855017/
         1935507331716232420754959089225960908385701013559296000000*ep+
         5638480517059977121048961715393875502670842176085581328766612924956740\
         8413791/49485993845582911245726366344563784363304299867489277639990594\
         261811200000000*ep^2+1326422403864435959133408383459874816354347026956\
         8210497687264332907030843308394185404680466433239/
         3262963771580956112156003307714535604360464431531984105053260861606655\
         054489980734013440000000000*ep^3+4287809721581884142372208825607952674\
         7811672623808023198314464743427609486765718223680280438863659726369452\
         3812506101/30735774905385263742716433939002669247084793925546770120096\
         909108026330471052457971233084761399758946304000000000000*ep^4+
         1044494814909582285305025831591398543023498661154718933017071987008416\
         568712069711078852096911358816297945187667199894362040894871483167/
         2227064164233720388118596706405164206445073270342055885967850792315134\
         7632218258141640810529653925440141363775487659212800000000000000*ep^5)
         ;
Fill mncTabTwo(46)=
      +mncG311*(-1/15*ep-5824375526268298507/20184831768862332000*ep^2-16832583\
         899979068737326696461217597391/47533200579348640160791449655792800000*
         ep^3-7619807250251180067601023328483139372362874893825677143/
         31981655237658061219571158420071826234341650560320000000*ep^4-
         1528505872857269169283578466519497818174299029463677318722772109874797\
         1011/10543890734144086202924651920006488145590404801311635860793450481\
         92000000000*ep^5)
      +mncexp11*(-7737030961216298350956226759014053579/32907600401087520111317\
         157454010400000+1/135*ep^-2+441753721238343307/181663485919760988000*
         ep^-1+13037454473932090942426638443434127405780745502167229035289/
         28207819919614409995661761726503350738689335794202240000000*ep-
         8564238624464853895940040927895489764857277688965061626003203905499404\
         199/769939282817823738955958355213455523815932196444663064885525795840\
         00000000*ep^2-20042733345395559922375995520214461217988766052105705182\
         951363948186987639743936984153154482131/582056169613410511550027017100\
         24089136979743427169378195321117378025691378983535820800000000000*ep^3
         +287917870117357819174684989577129837439712498549910346805060996685081\
         4377634457458429622530261350803368236614266431/
         1813518187162154984819370009512832320085859781446159950267955738454350\
         792653881917008945123596576686080000000000000*ep^4-
         5453871828868362203588396450823601191114658745757245921890057010162208\
         1499028364721116596452853420935761442459533856188226980435470001/
         1306316045531477032469297199111317908526438365457990668406944565679499\
         1675983637379204419277922005062649763845581832192000000000000000*ep^5)
         ;
Fill mncTabTwo(-44)=
      +mncG311*(2/45*ep+5973892798630241707/30277247653293498000*ep^2+
         314345740279355523735089840235525539/
         508376476784477434874774862628800000*ep^3+5862078306555206429910738032\
         290592377329783874820649697/328016976796492935585345214564839243429145\
         1339520000000*ep^4+442899829816428174245280813137256047265955915448559\
         6477861181930353968377/86063795401645433755124186674882058121337861861\
         5376868547572736000000000*ep^5)
      +mncexp11*(-90438990945768460620257190624298019233/1711195220856551045788\
         492187608540800000+1/135*ep^-2+591270993600286507/
         181663485919760988000*ep^-1-564844034841356048665223670512718036566810\
         874379795208537/197949613470978315759029906852655092903083058204928000\
         0000*ep-56692441837817178899846195607883687010304800561303845714565924\
         480140884952751/506106755238916137740383292160311430988339430462958521\
         31808562313216000000000*ep^2-13344051994037092199538924620797142079216\
         343825746921144687122942810790664230405349005283350706919/
         3337122039116886932886821564708047777186838623157711016531744063006806\
         305728389387059200000000000*ep^3-4314673123357961238730734556022830468\
         4617371548960146562537691115049696951209853316160493658673497099649958\
         1522476261/31434315244144019736869080164889093548154902878400105804644\
         566133208747072667286561488382142340662558720000000000000*ep^4-
         1051179806008025038545947693703843642497461556324463275078080167758612\
         455669763492348624443892284028666230716809036233830825523513574447/
         2277679258875395851484928449732554302046097662849829883376211037595024\
         1896586854917587192587146060109235485679476015104000000000000000*ep^5)
         ;
Fill mncTabTwo(47)=
      +mncG311*(3/46*ep+11069147695529563/39004505833550400*ep^2+17147436706748\
         465898420979563564215311/48589493925556387719920148537032640000*ep^3+
         1124745055487943445428449777063028342298940451907300529/46703369553405\
         42273334200912137473037395923573888000000*ep^4+20747073153173145871796\
         513897880435655159244697242735454926630651236280131/107781994171250658\
         9632297751822885454882574713022967221325552715929600000000*ep^5)
      +mncexp11*(336325359124244206951276213498315693/1462560017826112004947429\
         220178240000-1/138*ep^-2-20563361995877549/8073932707544932800*ep^-1-
         12883002388316699116952933659434537419044698947997892168729/
         28834660362272507995565356431536758532882432145184512000000*ep+
         7726381548443680725132892128446833437508053697691335015279229840126134\
         439/787049044658219822043868540884865646567397356365655577438537480192\
         00000000*ep^2+20215718043594258739506332170036224734284766563867689954\
         508038483130363167800669349590905623251/594990751160375189584472061924\
         69068895579293281106475488550475541981817854072058839040000000000*ep^3
         -286736572650435946949429521880445517990311446817650100427371153882965\
         3186512304163528571336807620075137897516854591/
         1853818591321313984482022676390895260532212221033852393607243643753336\
         365823968181831366126343167279104000000000000*ep^4+
         5399651316111634038733077963934098634425491919979743975763929338237358\
         8320489115996886222150639218465457494136225850167650597198827441/
         1335345290987732077635281581313791639827025884690390461038210000472376\
         9268783273765408961928542494064041980819928095129600000000000000*ep^5)
         ;
Fill mncTabTwo(-45)=
      +mncG311*(-1/23*ep-6001846027810952827/30950075378922242400*ep^2-
         28769090862583680690221111484606329/
         47243066529466589907554835719040000*ep^3-59051004193614362415137659184\
         21046992668542455050485137/3353062429475261119316862193329467821720150\
         258176000000*ep^4-4417067846645441928464301644527683598427657451890864\
         73252143224828055256283/8709656094646517896018567691498064281879391620\
         3876139097014360883200000000*ep^5)
      +mncexp11*(90306661545229893305818164178875892753/17492217813200299579171\
         25347333175040000-1/138*ep^-2-619224222780997627/185700452273533454400
         *ep^-1+567014611687154446205066192134723672670628890979369535657/
         2023484937703333894425639047827140949675960150539264000000*ep+
         5699725355669699594579232728460030249622243659385658951498141567899972\
         1668511/51735357202200316302350292087498501834363586225102426623626530\
         364620800000000*ep^2+1342338445817384946035994495797878526873620748495\
         1408139365706181302425995868183283217544911774999/
         3411280306652817753617639821701559950013212814783437928010227264406957\
         556966798040104960000000000*ep^3+4341406076958842791555923590133419482\
         7133828435301249898860009561932245281571037812534013745374734200806224\
         5024311221/32132855582902775731021726390775517849225011831253441489192\
         223158391163674282115151743679523281566171136000000000000*ep^4+
         1057834157045553394751681693445846347861292933118556187034067129655756\
         156134446030833284084323134120761493877357733192657445015285388127/
         2328294353517071314851260193059944397647122055357603880784571282874913\
         6160955451693533574644638194778329607583464370995200000000000000*ep^5)
         ;
Fill mncTabTwo(48)=
      +mncG311*(-3/47*ep-276645634743334502069/990850963942597586400*ep^2-
         38562300192268091222157739928173912838899/1096675440833269748314189039\
         46963908320000*ep^3-12052126929878168733848355394426723010062026409232\
         0762392567/495429445751588970888819713937823838447677776977247168000000
         *ep^4-1282164396098256330270963867114223162285478430268888100328279689\
         95734873738294811/5373752653843356864929683811258781030657440907310334\
         968166944280733546163200000000*ep^5)
      +mncexp11*(-17083783972205607311515356431041544852951/7592368436538021334\
         4828471963282705760000+1/141*ep^-2+23662409906926607669/
         8917658675483378277600*ep^-1+13220023411718478246551754028083329141942\
         99317989952457710694567/3058781398070310306267572913852124378575962595\
         057524015232000000*ep-717060976651653104990692598565032961392199969152\
         451132090734031772718440375897/834901797671057991184966627272522191979\
         9226302842866464719260891045171200000000*ep^2-467370690967979595730796\
         9757258307747957310867133127371647351139168740033736866804279564619164\
         012182957/139424639685242190890439617179801372129909873580584701449423\
         05433747173783736943950181954600960000000000*ep^3+
         3073169522861338724591396922678287777395321916505090404246071160039460\
         8312981740955064347072903501489004286942601751357814639/
         2041711651103319611086265841389309120984840699018943877407485842692690\
         4067847714531231114977787219872140559450112000000000000*ep^4-
         2714427468226462054808493220406695788390351276340101566482914226382071\
         5676406349391393371955159491755979045088833548814322665109256562304798\
         676783/691223685133511871766966540243402674176660287681269243435872981\
         2264084832239471276602994124226890089269898600528426998751061449113600\
         000000000000*ep^5);
Fill mncTabTwo(-46)=
      +mncG311*(2/47*ep+283373911999621946069/1486276445913896379600*ep^2+
         63968680019076906368164284011722774361/1066286281801915166080883849751\
         71520000*ep^3+61748859016893641159126485520923168365110553299159878447\
         6351/355692935411397209868896204878437627603460968086228736000000*ep^4
         +217096397503166809696799871588241885532580614190239146736376513622543\
         4688476850523/43424263869441267595391384333404291156827805311598666409\
         4298527736044134400000000*ep^5)
      +mncexp11*(-199187703851449105668034259402547764065777/394803158699977109\
         3931080542090700699520000+1/141*ep^-2+30390687163214051669/
         8917658675483378277600*ep^-1-59088133527673824447734337380146214240020\
         071175510723007641511/214651326180372653071408625533482412531646497898\
         773615104000000*ep-279579359463888328213517490753528753520225467791527\
         853415240538009304260653876453791/257940127384481129516624822940421489\
         471557163550896078472013325475210215833600000000*ep^2-
         3096334005689395976948235811113571891152506222271860330361658757477268\
         137458110418333275954765980023668793/799367934195388561105187138497527\
         8668781499418620189549766921782015046302675847864770987304550400000000\
         00*ep^3-47077955440626117724044857718555563713945091608144047156411596\
         83683991799419133300618680475687990982362748229999849265771549909/
         3538966861912420659216194125074802476373723878299502720839642127333996\
         70509360385208005992948311811117103030468608000000000000*ep^4-
         5392113410349003697233865083679642902321956454455839996683719193132223\
         2231310965773015705346905127684251525817673157605191661955075711868009\
         6426001/12052105279250976225680442240141379960003307580083668859907528\
         9034348145792893345335641948832673981043680283291264881003864661164032\
         00000000000000*ep^5);
Fill mncTabTwo(49)=
      +mncG311*(1/16*ep+278047359171727719569/1011932899345631577600*ep^2+
         9808613137362388131733850121085032509881/28000224021274972297383549943\
         905678720000*ep^3+8697901021527955997502225210526124231106377087476846\
         65232969/3541793484521997749332838806023591696136590065199043584000000
         *ep^4+1555014727007806133082815917817645369616318283144779439821659990\
         13718787540353561/5488087816691087862055847296604712541948024756402044\
         222808794159047025868800000000*ep^5)
      +mncexp11*(8539968444531702406199737127019388933663/387695409525345770271\
         46453768484785920000-1/144*ep^-2-25064134335319825169/
         9107396094110684198400*ep^-1-13066854670415919625381521506376726535840\
         56341085703612054784567/3123861853348402014911563826912807875992472437\
         505556441088000000*ep+298867399813785330013399055012822019139058368951\
         76241886790789331902651318709659/4007528628821078357687839810908106521\
         50362862536457590306524522770168217600000000*ep^2+
         4705106074871928874110722404497698241214599047813728757478038419362891\
         772273857821725156927869465525457/142391121380672875803002162226180124\
         72841859429506522701217673634465198757859006587419868528640000000000*
         ep^3-65117482157498461011569508840569087746481430575884980496879661307\
         3909470232130253346291423267529607592901530242153507693237/
         4436494307512871948037155291384646347092456023219072255118122247589368\
         01836437436622495934329464261594724696064000000000000*ep^4+
         2688485431508005454958585005196841956633405939641766596545465416144983\
         8404658667220992014548927338443683504587069964510462864836515859201861\
         104283/705930572051246166910944551737943156605950932100019652870678789\
         3376086637180736622913696126870015410318194315433287147660658501222400\
         000000000000*ep^5);
Fill mncTabTwo(-47)=
      +mncG311*(-1/24*ep-284635463985175841819/1517899349018447366400*ep^2-
         708178374405098278594246879355931642721/119787054636470469721426951631\
         6820480000*ep^3-621830712661975727296527254543704408204069629657440492\
         681101/363260870207384384546957826258829917552470775917850624000000*
         ep^4-21863322326275404684870817200164682775823978791891892246073927069\
         84816241748572273/4434818437730172009742098825539161650059009904163268\
         05883538921943194009600000000*ep^5)
      +mncexp11*(198885465925432464745682809295634841606027/4032032259063596010\
         823231191922417735680000-1/144*ep^-2-31652239148767947419/
         9107396094110684198400*ep^-1+59303800784411192318178698935568544660936\
         885595777906195950761/219218375673572071221864128204407570245085785088\
         109223936000000*ep+597908805178750396267705987610550935559074480794249\
         0494647403959545053758317260703/56048556425781322846527802178090681279\
         46918900155279206272811056048026419200000000*ep^2+
         3113972166238039874502480150760119584443870011366147831048778295279490\
         445699725194653641404570776006630543/816375762582524487937212396763432\
         7151095999406250406348698132883760047287839163776787391289753600000000\
         00*ep^3+47357603518133870844317571693267980688780822214102790430922002\
         59940620569927850165479227330391805494679935988532007461509145659/
         3614264029187153013667602510714691890764654173582470863836230257702805\
         14562751031701793354500403551779169052393472000000000000*ep^4+
         5424846020348917488128336752698603950929773233457558249380865864486623\
         3715536847767206364161857866090133541529488006043539026621224437258870\
         6071751/12308533051149933166652366543123111448514016252000342665437476\
         3269121510596997459066187522212092576385035182935759878472031994380288\
         00000000000000*ep^5);
Fill mncTabTwo(50)=
      +mncG311*(-3/49*ep-13691519268511829105831/50617726902684612871200*ep^2-
         27368352520736080789536174909608340231224939/7843329418759474323368755\
         3984537123707840000*ep^3-150563809523254762398464598687567204044857696\
         17556778679524063683/6076706732549374150997529310060597450440449566800\
         4498964544000000*ep^4-769249254558783539922191646699632873118917014464\
         040671945969256791843823001977507663/235399807542772321415680138030611\
         18650695323708133378673878243583979504297235200000000*ep^5)
      +mncexp11*(-11713911693263034910662166743830727766662061/5429997289910405\
         3007937537373910316413120000+1/147*ep^-2+1295341251527842280231/
         455559542124161515840800*ep^-1+443091183936902545543922829018664432989\
         603838249074095340121165181/109380721185888734717955527581090754107928\
         0922024080981361792000000*ep-43949310815148145734582490968633148237934\
         3109446880319502947203910016465674579490663/68757753115941611123444097\
         11238947435497214227122122776954294271994013425561600000000*ep^2-
         7956801883418829868568772927871554709010733658383853830681891964483464\
         7643394672290473406463885926652843649/24430252349000725449464960351298\
         9705123366738336543546352685554123924441263405830458823349743370240000\
         000000*ep^3+1088363346390176474960549005051667321198899332620585637917\
         0061312573165998483767084882743774379357795402999117359244558920614309/
         7611757982275152297296589541943303763799088564020634212909882812805189\
         387391358247258336859281041383052174174388224000000000000*ep^4-
         4484760462962120946448677387269679791221889992739594315815168660573282\
         7515957547813752395684608855499846492906338678746420090216931813830937\
         1208855931/12111753772891654625757083520248352521265305176550968437168\
         2796293221302446744487096754459362727356272076597939893241613456285084\
         837478400000000000000*ep^5);
Fill mncTabTwo(-48)=
      +mncG311*(2/49*ep+14007748299557338973831/75926590354026919306800*ep^2+
         22221139413132182870229928778040170834273/3812994369839316637515194651\
         6546973120000*ep^3+105230913969626934677543419138698363298581624462469\
         05264598429807/6232519725691665795894901856472407641477384171077384509\
         184000000*ep^4+3700060614108112473559619803865621734992026071319802383\
         4432198095817995050016549829211/76088826680492063487896610272520787557\
         80306653134021389536401966538829671833600000000*ep^5)
      +mncexp11*(-9730267624065354784155580143379587331215223/20168561362524362\
         5458053710245952603820160000+1/147*ep^-2+1611570282573352148231/
         455559542124161515840800*ep^-1-291616723639022332171357723844936562497\
         5621817124852657485110589/10965485833171802979243661912891303669967728\
         541594796805632000000*ep-100992663913655410470711259044560620834528045\
         066791992459704739382408167520274944229021/961633256344942249187459287\
         27398612360287279828970397986906867406894996278067200000000*ep^2-
         5262603546278657839073066253133532307440903933088981709172112587028617\
         0109094184421262183347342235665215495101/14006678013427082591026577268\
         0780764270730263312951633242206384364383346324352676129725387186198937\
         60000000000*ep^3-56036948832893676619049634613094137580656594060268210\
         3412235608287001312087709181256383729599139273141384354009072288870620\
         136770391/434073185202544351673833512945220135970249357177550033714874\
         25053823726679830452298031875662860018660418865258477912064000000000000
         *ep^4-4493914698873486086557777947507419234796044613345390172943667502\
         9702036142869137953889411265856911698568746556101147984387230395514225\
         4011349665231056693/10347785531096152105903231356273720666886153038017\
         3914955499250576670097372449392565739963742719884897066467778390841296\
         41957484684063539200000000000000*ep^5);
#endprocedure
*--#] tabtwo :
*--#[ transfor :
#procedure transfor(TOPOL)
*
*	This file contains topology transformations.
*	The topology assignments of Paulo (lili or convert) sometimes
*	give a diagram a topology that is too complicated, because he
*	could not take the 4 and 5 point vertices into account properly.
*	This file also makes some diagrams zero of which it can be
*	easily seen that this must be the case.
*
#switch `TOPOL'
*--#[ la :
#case la
*
if ( count(mncx1,1) == 0 );
	multiply,replace_(
	 p8,-p5,[P+p8],[P-p5],[P-p8],[P+p5]
	,p7,-p7,[P+p7],[P-p7],[P-p7],[P+p7]
	,p2,p1,[P+p2],[P+p1],[P-p2],[P-p1]
	,p3,p2,[P+p3],[P+p2],[P-p3],[P-p2]
	,p4,p3,[P+p4],[P+p3],[P-p4],[P-p3]
	,p5,p4,[P+p5],[P+p4],[P-p5],[P-p4]
	);
	multiply,replace_(mncx8,mncx5,mncx2,mncx1,mncx3,mncx2,mncx4,mncx3,mncx5,mncx4);
	redefine TOPO "o2";
	Print,"Topology changed from la to o2";
elseif ( count(mncx2,1) == 0 );
	multiply,replace_(
	 p1,-p5,[P+p1],[P-p5],[P-p1],[P+p5]
	,p3,-p4,[P+p3],[P-p4],[P-p3],[P+p4]
	,p4,-p3,[P+p4],[P-p3],[P-p4],[P+p3]
	,p5,-p2,[P+p5],[P-p2],[P-p5],[P+p2]
	,p6,-p1,[P+p6],[P-p1],[P-p6],[P+p1]
	,p7,p6,[P+p7],[P+p6],[P-p7],[P-p6]
	,p8,p7,[P+p8],[P+p7],[P-p8],[P-p7]
	);
	multiply,replace_(mncx1,mncx5,mncx3,mncx4,mncx4,mncx3,mncx5,mncx2,mncx6,mncx1,mncx7,mncx6,mncx8,mncx7);
	redefine TOPO "be";
	Print,"Topology changed from la to be";
elseif ( count(mncx3,1) == 0 );
	multiply,replace_(
	 Q,-Q,[P+Q],[P-Q],[P-Q],[P+Q]
	,p1,-p2,[P+p1],[P-p2],[P-p1],[P+p2]
	,p2,-p1,[P+p2],[P-p1],[P-p2],[P+p1]
	,p7,p5,[P+p7],[P+p5],[P-p7],[P-p5]
	,p5,-p4,[P+p5],[P-p4],[P-p5],[P+p4]
	,p6,-p3,[P+p6],[P-p3],[P-p6],[P+p3]
	,p4,-p6,[P+p4],[P-p6],[P-p4],[P+p6]
	,p8,p7,[P+p8],[P+p7],[P-p8],[P-p7]
	)*mncsgn3;
	multiply,replace_(mncx1,mncx2,mncx2,mncx1,mncx7,mncx5,mncx5,mncx4,mncx6,mncx3,mncx4,mncx6,mncx8,mncx7);
	redefine TOPO "o2";
	Print,"Topology changed from la to o2";
elseif ( count(mncx4,1) == 0 );
	multiply,replace_(
	 Q,-Q,[P+Q],[P-Q],[P-Q],[P+Q]
	,p7,-p5,[P+p7],[P-p5],[P-p7],[P+p5]
	,p1,p3,[P+p1],[P+p3],[P-p1],[P-p3]
	,p2,p4,[P+p2],[P+p4],[P-p2],[P-p4]
	,p5,p1,[P+p5],[P+p1],[P-p5],[P-p1]
	,p6,p2,[P+p6],[P+p2],[P-p6],[P-p2]
	,p3,p6,[P+p3],[P+p6],[P-p3],[P-p6]
	,p8,-p7,[P+p8],[P-p7],[P-p8],[P+p7]
	)*mncsgn3;
	multiply,replace_(mncx7,mncx5,mncx1,mncx3,mncx2,mncx4,mncx5,mncx1,mncx6,mncx2,mncx3,mncx6,mncx8,mncx7);
	redefine TOPO "o2";
	Print,"Topology changed from la to o2";
elseif ( count(mncx5,1) == 0 );
	multiply,replace_(
	 p7,-p6,[P+p7],[P-p6],[P-p7],[P+p6]
	,p8,-p7,[P+p8],[P-p7],[P-p8],[P+p7]
	,p6,p5,[P+p6],[P+p5],[P-p6],[P-p5]
	);
	multiply,replace_(mncx7,mncx6,mncx8,mncx7,mncx6,mncx5);
	redefine TOPO "be";
	Print,"Topology changed from la to be";
elseif ( count(mncx6,1) == 0 );
	multiply,replace_(
	 p1,-p6,[P+p1],[P-p6],[P-p1],[P+p6]
	,p2,-p4,[P+p2],[P-p4],[P-p2],[P+p4]
	,p3,-p3,[P+p3],[P-p3],[P-p3],[P+p3]
	,p4,-p2,[P+p4],[P-p2],[P-p4],[P+p2]
	,p5,-p1,[P+p5],[P-p1],[P-p5],[P+p1]
	,p8,p5,[P+p8],[P+p5],[P-p8],[P-p5]
	);
	multiply,replace_(mncx1,mncx6,mncx2,mncx4,mncx4,mncx2,mncx5,mncx1,mncx8,mncx5);
	redefine TOPO "o2";
	Print,"Topology changed from la to o2";
elseif ( count(mncx7,1) == 0 );
	multiply,replace_(
	 p1,p7,[P+p1],[P+p7],[P-p1],[P-p7]
	,p6,-p6,[P+p6],[P-p6],[P-p6],[P+p6]
	,p2,p1,[P+p2],[P+p1],[P-p2],[P-p1]
	,p3,p2,[P+p3],[P+p2],[P-p3],[P-p2]
	,p4,p3,[P+p4],[P+p3],[P-p4],[P-p3]
	,p5,p4,[P+p5],[P+p4],[P-p5],[P-p4]
	,p8,-p5,[P+p8],[P-p5],[P-p8],[P+p5]
	);
	multiply,replace_(mncx1,mncx7,mncx2,mncx1,mncx3,mncx2,mncx4,mncx3,mncx5,mncx4,mncx8,mncx5);
	redefine TOPO "o3";
	Print,"Topology changed from la to o3";
elseif ( count(mncx8,1) == 0 );
	multiply,replace_(
	 p3,p7,[P+p3],[P+p7],[P-p3],[P-p7]
	,p4,-p6,[P+p4],[P-p6],[P-p4],[P+p6]
	,p7,p5,[P+p7],[P+p5],[P-p7],[P-p5]
	,p5,p3,[P+p5],[P+p3],[P-p5],[P-p3]
	,p6,p4,[P+p6],[P+p4],[P-p6],[P-p4]
	);
	multiply,replace_(mncx3,mncx7,mncx4,mncx6,mncx7,mncx5,mncx5,mncx3,mncx6,mncx4);
	redefine TOPO "o3";
	Print,"Topology changed from la to o3";
endif;
*
#break
*--#] la :
*--#[ be :
#case be
*
if ( count(mncx1,1,mncx3,1) == 0 );
	multiply,replace_(
	 p2,p7,[P+p2],[P+p7],[P-p2],[P-p7]
	,p8,p5,[P+p8],[P+p5],[P-p8],[P-p5]
	,p4,-p2,[P+p4],[P-p2],[P-p4],[P+p2]
	,p5,-p1,[P+p5],[P-p1],[P-p5],[P+p1]
	,p7,p3,[P+p7],[P+p3],[P-p7],[P-p3]
	,p6,p4,[P+p6],[P+p4],[P-p6],[P-p4]
	);
	multiply,replace_(mncx2,mncx7,mncx8,mncx5,mncx4,mncx2,mncx5,mncx1,mncx7,mncx3,mncx6,mncx4);
	redefine TOPO "o4";
	Print,"Topology changed from be to o4";
elseif ( count(mncx1,1,mncx8,1) == 0 );
	multiply,replace_(
	 p2,p1,[P+p2],[P+p1],[P-p2],[P-p1]
	,p3,p2,[P+p3],[P+p2],[P-p3],[P-p2]
	,p4,p3,[P+p4],[P+p3],[P-p4],[P-p3]
	,p7,p5,[P+p7],[P+p5],[P-p7],[P-p5]
	,p5,p7,[P+p5],[P+p7],[P-p5],[P-p7]
	);
	multiply,replace_(mncx2,mncx1,mncx3,mncx2,mncx4,mncx3,mncx7,mncx5,mncx5,mncx7);
	redefine TOPO "o2";
	Print,"Topology changed from be to o2";
elseif ( count(mncx3,1,mncx8,1) == 0 );
	multiply,replace_(
	 Q,-Q,[P+Q],[P-Q],[P-Q],[P+Q]
	,p1,-p2,[P+p1],[P-p2],[P-p1],[P+p2]
	,p2,-p1,[P+p2],[P-p1],[P-p2],[P+p1]
	,p6,-p5,[P+p6],[P-p5],[P-p6],[P+p5]
	,p5,-p3,[P+p5],[P-p3],[P-p5],[P+p3]
	,p4,-p6,[P+p4],[P-p6],[P-p4],[P+p6]
	,p7,-p7,[P+p7],[P-p7],[P-p7],[P+p7]
	)*mncsgn3;
	multiply,replace_(mncx1,mncx2,mncx2,mncx1,mncx6,mncx5,mncx5,mncx3,mncx4,mncx6);
	redefine TOPO "o2";
	Print,"Topology changed from be to o2";
elseif ( count(mncx2,1) == 0 );
	multiply,replace_(
	 p3,p2,[P+p3],[P+p2],[P-p3],[P-p2]
	,p4,p3,[P+p4],[P+p3],[P-p4],[P-p3]
	,p5,p4,[P+p5],[P+p4],[P-p5],[P-p4]
	,p6,-p6,[P+p6],[P-p6],[P-p6],[P+p6]
	,p8,-p5,[P+p8],[P-p5],[P-p8],[P+p5]
	);
	multiply,replace_(mncx3,mncx2,mncx4,mncx3,mncx5,mncx4,mncx8,mncx5);
	redefine TOPO "o1";
	Print,"Topology changed from be to o1";
elseif ( count(mncx4,1) == 0 );
	multiply,replace_(
	 p1,p6,[P+p1],[P+p6],[P-p1],[P-p6]
	,p2,p1,[P+p2],[P+p1],[P-p2],[P-p1]
	,p3,p2,[P+p3],[P+p2],[P-p3],[P-p2]
	,p8,p3,[P+p8],[P+p3],[P-p8],[P-p3]
	,p6,p4,[P+p6],[P+p4],[P-p6],[P-p4]
	,p7,p5,[P+p7],[P+p5],[P-p7],[P-p5]
	,p5,-p7,[P+p5],[P-p7],[P-p5],[P+p7]
	);
	multiply,replace_(mncx1,mncx6,mncx2,mncx1,mncx3,mncx2,mncx8,mncx3,mncx6,mncx4,mncx7,mncx5,mncx5,mncx7);
	redefine TOPO "o4";
	Print,"Topology changed from be to o4";
elseif ( count(mncx5,1) == 0 );
	multiply,replace_(
	 p8,-p4,[P+p8],[P-p4],[P-p8],[P+p4]
	,p6,-p5,[P+p6],[P-p5],[P-p6],[P+p5]
	,p3,p6,[P+p3],[P+p6],[P-p3],[P-p6]
	,p4,-p7,[P+p4],[P-p7],[P-p4],[P+p7]
	,p7,p3,[P+p7],[P+p3],[P-p7],[P-p3]
	);
	multiply,replace_(mncx8,mncx4,mncx6,mncx5,mncx3,mncx6,mncx4,mncx7,mncx7,mncx3);
	redefine TOPO "o4";
	Print,"Topology changed from be to o4";
elseif ( count(mncx6,1) == 0 );
	multiply,replace_(
	 Q,-Q,[P+Q],[P-Q],[P-Q],[P+Q]
	,p1,p3,[P+p1],[P+p3],[P-p1],[P-p3]
	,p4,p1,[P+p4],[P+p1],[P-p4],[P-p1]
	,p5,p2,[P+p5],[P+p2],[P-p5],[P-p2]
	,p3,p4,[P+p3],[P+p4],[P-p3],[P-p4]
	,p2,p6,[P+p2],[P+p6],[P-p2],[P-p6]
	,p7,-p7,[P+p7],[P-p7],[P-p7],[P+p7]
	,p8,p5,[P+p8],[P+p5],[P-p8],[P-p5]
	)*mncsgn3;
	multiply,replace_(mncx1,mncx3,mncx4,mncx1,mncx5,mncx2,mncx3,mncx4,mncx2,mncx6,mncx8,mncx5);
	redefine TOPO "o2";
	Print,"Topology changed from be to o2";
elseif ( count(mncx7,1) == 0 );
	multiply,replace_(
	 p1,-p4,[P+p1],[P-p4],[P-p1],[P+p4]
	,p2,-p7,[P+p2],[P-p7],[P-p2],[P+p7]
	,p8,p5,[P+p8],[P+p5],[P-p8],[P-p5]
	,p3,-p3,[P+p3],[P-p3],[P-p3],[P+p3]
	,p4,-p2,[P+p4],[P-p2],[P-p4],[P+p2]
	,p5,-p1,[P+p5],[P-p1],[P-p5],[P+p1]
	);
	multiply,replace_(mncx1,mncx4,mncx2,mncx7,mncx8,mncx5,mncx4,mncx2,mncx5,mncx1);
	redefine TOPO "o2";
	Print,"Topology changed from be to o2";
endif;
*
#break
*--#] be :
*--#[ no :
#case no
*
*	If we miss a line, we go to the benz topology
*
if ( count(mncx1,1) == 0 );
	multiply,replace_(p8,p7,[P+p8],[P+p7],[P-p8],[P-p7]
	,p5,p8,[P+p5],[P+p8],[P-p5],[P-p8]
	,p7,p5,[P+p7],[P+p5],[P-p7],[P-p5]);
	multiply,replace_(mncx8,mncx7,mncx5,mncx8,mncx7,mncx5);
	redefine TOPO "be";
	Print,"Topology changed from no to be";
elseif ( count(mncx2,1) == 0 );
	multiply,replace_(
	 p1,-p5,[P+p1],[P-p5],[P-p1],[P+p5]
	,p3,-p4,[P+p3],[P-p4],[P-p3],[P+p4]
	,p6,-p1,[P+p6],[P-p1],[P-p6],[P+p1]
	,p5,-p2,[P+p5],[P-p2],[P-p5],[P+p2]
	,p4,-p3,[P+p4],[P-p3],[P-p4],[P+p3]
	,p8,p6,[P+p8],[P+p6],[P-p8],[P-p6]
	);
	multiply,replace_(mncx1,mncx5,mncx3,mncx4,mncx6,mncx1,mncx5,mncx2,mncx4,mncx3,mncx8,mncx6);
	redefine TOPO "be";
	Print,"Topology changed from no to be";
elseif ( count(mncx3,1) == 0 );
	multiply,replace_(
	 p8,p4,[P+p8],[P+p4],[P-p8],[P-p4]
	,p6,p5,[P+p6],[P+p5],[P-p6],[P-p5]
	,p7,p6,[P+p7],[P+p6],[P-p7],[P-p6]
	,p4,p7,[P+p4],[P+p7],[P-p4],[P-p7]
	,p5,-p8,[P+p5],[P-p8],[P-p5],[P+p8]
	);
	multiply,replace_(mncx8,mncx4,mncx6,mncx5,mncx7,mncx6,mncx4,mncx7,mncx5,mncx8);
	redefine TOPO "be";
	Print,"Topology changed from no to be";
elseif ( count(mncx4,1) == 0 );
	multiply,replace_(
	 p7,-p2,[P+p7],[P-p2],[P-p7],[P+p2]
	,p2,-p6,[P+p2],[P-p6],[P-p2],[P+p6]
	,p3,-p7,[P+p3],[P-p7],[P-p3],[P+p7]
	,p8,-p8,[P+p8],[P-p8],[P-p8],[P+p8]
	,p6,p5,[P+p6],[P+p5],[P-p6],[P-p5]
	,p5,p4,[P+p5],[P+p4],[P-p5],[P-p4]
	);
	multiply,replace_(mncx7,mncx2,mncx2,mncx6,mncx3,mncx7,mncx6,mncx5,mncx5,mncx4);
	redefine TOPO "be";
	Print,"Topology changed from no to be";
elseif ( count(mncx5,1) == 0 );
	multiply,replace_(
	 p7,p6,[P+p7],[P+p6],[P-p7],[P-p6]
	,p8,p7,[P+p8],[P+p7],[P-p8],[P-p7]
	,p6,p5,[P+p6],[P+p5],[P-p6],[P-p5]
	);
	multiply,replace_(mncx7,mncx6,mncx8,mncx7,mncx6,mncx5);
	redefine TOPO "be";
	Print,"Topology changed from no to be";
elseif ( count(mncx6,1) == 0 );
	multiply,replace_(
	 p8,-p2,[P+p8],[P-p2],[P-p8],[P+p2]
	,p1,-p6,[P+p1],[P-p6],[P-p1],[P+p6]
	,p2,-p7,[P+p2],[P-p7],[P-p2],[P+p7]
	,p7,p8,[P+p7],[P+p8],[P-p7],[P-p8]
	);
	multiply,replace_(mncx8,mncx2,mncx1,mncx6,mncx2,mncx7,mncx7,mncx8);
	redefine TOPO "be";
	Print,"Topology changed from no to be";
elseif ( count(mncx7,1) == 0 );
	multiply,replace_(
	 p6,-p1,[P+p6],[P-p1],[P-p6],[P+p1]
	,p1,-p5,[P+p1],[P-p5],[P-p1],[P+p5]
	,p8,-p2,[P+p8],[P-p2],[P-p8],[P+p2]
	,p5,p6,[P+p5],[P+p6],[P-p5],[P-p6]
	,p2,-p7,[P+p2],[P-p7],[P-p2],[P+p7]
	);
	multiply,replace_(mncx6,mncx1,mncx1,mncx5,mncx8,mncx2,mncx5,mncx6,mncx2,mncx7);
	redefine TOPO "be";
	Print,"Topology changed from no to be";
elseif ( count(mncx8,1) == 0 );
	multiply,replace_(
	 p6,p5,[P+p6],[P+p5],[P-p6],[P-p5]
	,p3,-p4,[P+p3],[P-p4],[P-p3],[P+p4]
	,p4,-p3,[P+p4],[P-p3],[P-p4],[P+p3]
	,p7,-p2,[P+p7],[P-p2],[P-p7],[P+p2]
	,p2,-p6,[P+p2],[P-p6],[P-p2],[P+p6]
	,p5,p7,[P+p5],[P+p7],[P-p5],[P-p7]
	);
	multiply,replace_(mncx6,mncx5,mncx3,mncx4,mncx4,mncx3,mncx7,mncx2,mncx2,mncx6,mncx5,mncx7);
	redefine TOPO "be";
	Print,"Topology changed from no to be";
endif;
*
#break
*--#] no :
*--#[ fa :
#case fa
*
*
#break
*--#] fa :
*--#[ bu :
#case bu
*
*
#break
*--#] bu :
*--#[ o1 :
#case o1
*
if ( count(mncx1,1) == 0 );
	multiply,replace_(
	 p3,-p1,[P+p3],[P-p1],[P-p3],[P+p1]
	,p4,-p4,[P+p4],[P-p4],[P-p4],[P+p4]
	,p5,p3,[P+p5],[P+p3],[P-p5],[P-p3]
	,p7,p5,[P+p7],[P+p5],[P-p7],[P-p5]
	);
	multiply,replace_(mncx3,mncx1,mncx5,mncx3,mncx7,mncx5);
	redefine TOPO "y3";
	Print,"Topology changed from o1 to y3";
elseif ( count(mncx2,1) == 0 );
	multiply,replace_(
	 p1,p2,[P+p1],[P+p2],[P-p1],[P-p2]
	,p4,-p1,[P+p4],[P-p1],[P-p4],[P+p1]
	,p3,-p4,[P+p3],[P-p4],[P-p3],[P+p4]
	,p5,-p3,[P+p5],[P-p3],[P-p5],[P+p3]
	,p6,-p6,[P+p6],[P-p6],[P-p6],[P+p6]
	,p7,-p5,[P+p7],[P-p5],[P-p7],[P+p5]
	);
	multiply,replace_(mncx1,mncx2,mncx4,mncx1,mncx3,mncx4,mncx5,mncx3,mncx7,mncx5);
	redefine TOPO "y3";
	Print,"Topology changed from o1 to y3";
elseif ( count(mncx3,1) == 0 );
	multiply,replace_(
	 p4,-p2,[P+p4],[P-p2],[P-p4],[P+p2]
	,p2,p4,[P+p2],[P+p4],[P-p2],[P-p4]
	,p5,p3,[P+p5],[P+p3],[P-p5],[P-p3]
	,p7,p5,[P+p7],[P+p5],[P-p7],[P-p5]
	);
	multiply,replace_(mncx4,mncx2,mncx2,mncx4,mncx5,mncx3,mncx7,mncx5);
	redefine TOPO "y3";
	Print,"Topology changed from o1 to y3";
elseif ( count(mncx4,1) == 0 );
	multiply,replace_(
	 p2,p1,[P+p2],[P+p1],[P-p2],[P-p1]
	,p3,-p2,[P+p3],[P-p2],[P-p3],[P+p2]
	,p1,p4,[P+p1],[P+p4],[P-p1],[P-p4]
	,p5,-p3,[P+p5],[P-p3],[P-p5],[P+p3]
	,p6,-p6,[P+p6],[P-p6],[P-p6],[P+p6]
	,p7,-p5,[P+p7],[P-p5],[P-p7],[P+p5]
	);
	multiply,replace_(mncx2,mncx1,mncx3,mncx2,mncx1,mncx4,mncx5,mncx3,mncx7,mncx5);
	redefine TOPO "y3";
	Print,"Topology changed from o1 to y3";
elseif ( ( count(mncx6,1) == 0 ) || ( count(mncx7,1) == 0 ) );
	Discard;
endif;
*
#break
*--#] o1 :
*--#[ o2 :
#case o2
*
if ( count(mncx1,1) == 0 );
	multiply,replace_(
	 p3,-p1,[P+p3],[P-p1],[P-p3],[P+p1]
	,p5,p4,[P+p5],[P+p4],[P-p5],[P-p4]
	,p4,-p3,[P+p4],[P-p3],[P-p4],[P+p3]
	,p7,-p5,[P+p7],[P-p5],[P-p7],[P+p5]
	,p6,-p6,[P+p6],[P-p6],[P-p6],[P+p6]
	);
	multiply,replace_(mncx3,mncx1,mncx5,mncx4,mncx4,mncx3,mncx7,mncx5);
	redefine TOPO "y3";
	Print,"Topology changed from o2 to y3";
elseif ( count(mncx2,1) == 0 );
	multiply,replace_(
	 p1,p2,[P+p1],[P+p2],[P-p1],[P-p2]
	,p4,-p1,[P+p4],[P-p1],[P-p4],[P+p1]
	,p5,-p5,[P+p5],[P-p5],[P-p5],[P+p5]
	,p3,-p6,[P+p3],[P-p6],[P-p3],[P+p6]
	,p6,-p3,[P+p6],[P-p3],[P-p6],[P+p3]
	,p7,-p4,[P+p7],[P-p4],[P-p7],[P+p4]
	);
	multiply,replace_(mncx1,mncx2,mncx4,mncx1,mncx3,mncx6,mncx6,mncx3,mncx7,mncx4);
	redefine TOPO "y2";
	Print,"Topology changed from o2 to y2";
elseif ( count(mncx3,1) == 0 );
	multiply,replace_(
	 p2,p3,[P+p2],[P+p3],[P-p2],[P-p3]
	,p5,p4,[P+p5],[P+p4],[P-p5],[P-p4]
	,p4,-p2,[P+p4],[P-p2],[P-p4],[P+p2]
	,p6,-p6,[P+p6],[P-p6],[P-p6],[P+p6]
	,p7,-p5,[P+p7],[P-p5],[P-p7],[P+p5]
	);
	multiply,replace_(mncx2,mncx3,mncx5,mncx4,mncx4,mncx2,mncx7,mncx5);
	redefine TOPO "y1";
	Print,"Topology changed from o2 to y1";
elseif ( count(mncx5,1) == 0 );
	multiply,replace_(
	 p2,p5,[P+p2],[P+p5],[P-p2],[P-p5]
	,p3,-p6,[P+p3],[P-p6],[P-p3],[P+p6]
	,p4,-p1,[P+p4],[P-p1],[P-p4],[P+p1]
	,p1,p2,[P+p1],[P+p2],[P-p1],[P-p2]
	,p6,-p3,[P+p6],[P-p3],[P-p6],[P+p3]
	,p7,-p4,[P+p7],[P-p4],[P-p7],[P+p4]
	);
	multiply,replace_(mncx2,mncx5,mncx3,mncx6,mncx4,mncx1,mncx1,mncx2,mncx6,mncx3,mncx7,mncx4);
	redefine TOPO "y4";
	Print,"Topology changed from o2 to y4";
elseif ( ( count(mncx6,1) == 0 ) || ( count(mncx7,1) == 0 ) );
	Discard;
endif;
*
#break
*--#] o2 :
*--#[ o3 :
#case o3
*
if ( count(mncx5,1) == 0 );
	multiply,replace_(
	 p7,p5,[P+p7],[P+p5],[P-p7],[P-p5]
	,p1,p3,[P+p1],[P+p3],[P-p1],[P-p3]
	,p4,-p4,[P+p4],[P-p4],[P-p4],[P+p4]
	,p2,p1,[P+p2],[P+p1],[P-p2],[P-p1]
	,p3,-p2,[P+p3],[P-p2],[P-p3],[P+p2]
	);
	multiply,replace_(mncx7,mncx5,mncx1,mncx3,mncx2,mncx1,mncx3,mncx2);
	redefine TOPO "y5";
	Print,"Topology changed from o3 to y5";
elseif ( count(mncx1,1) == 0 );
	multiply,replace_(
	 p7,p5,[P+p7],[P+p5],[P-p7],[P-p5]
	,p3,-p1,[P+p3],[P-p1],[P-p3],[P+p1]
	,p4,-p4,[P+p4],[P-p4],[P-p4],[P+p4]
	,p5,p3,[P+p5],[P+p3],[P-p5],[P-p3]
	);
	multiply,replace_(mncx7,mncx5,mncx3,mncx1,mncx5,mncx3);
	redefine TOPO "y4";
	Print,"Topology changed from o3 to y4";
elseif ( count(mncx2,1) == 0 );
	multiply,replace_(
	 p7,p5,[P+p7],[P+p5],[P-p7],[P-p5]
	,p4,-p1,[P+p4],[P-p1],[P-p4],[P+p1]
	,p1,p2,[P+p1],[P+p2],[P-p1],[P-p2]
	,p3,-p3,[P+p3],[P-p3],[P-p3],[P+p3]
	,p5,-p4,[P+p5],[P-p4],[P-p5],[P+p4]
	);
	multiply,replace_(mncx7,mncx5,mncx4,mncx1,mncx1,mncx2,mncx5,mncx4);
	redefine TOPO "y4";
	Print,"Topology changed from o3 to y4";
elseif ( count(mncx3,1) == 0 );
	multiply,replace_(
	 p7,p5,[P+p7],[P+p5],[P-p7],[P-p5]
	,p4,-p2,[P+p4],[P-p2],[P-p4],[P+p2]
	,p2,p3,[P+p2],[P+p3],[P-p2],[P-p3]
	,p5,p4,[P+p5],[P+p4],[P-p5],[P-p4]
	);
	multiply,replace_(mncx7,mncx5,mncx4,mncx2,mncx2,mncx3,mncx5,mncx4);
	redefine TOPO "y4";
	Print,"Topology changed from o3 to y4";
elseif ( count(mncx4,1) == 0 );
	multiply,replace_(
	 p7,p5,[P+p7],[P+p5],[P-p7],[P-p5]
	,p2,p1,[P+p2],[P+p1],[P-p2],[P-p1]
	,p3,-p2,[P+p3],[P-p2],[P-p3],[P+p2]
	,p1,p3,[P+p1],[P+p3],[P-p1],[P-p3]
	,p5,-p4,[P+p5],[P-p4],[P-p5],[P+p4]
	);
	multiply,replace_(mncx7,mncx5,mncx2,mncx1,mncx3,mncx2,mncx1,mncx3,mncx5,mncx4);
	redefine TOPO "y4";
	Print,"Topology changed from o3 to y4";
elseif ( ( count(mncx6,1) == 0 ) || ( count(mncx7,1) == 0 ) );
	Discard;
endif;
*
#break
*--#] o3 :
*--#[ o4 :
#case o4
*
if ( count(mncx5,1) == 0 );
	multiply,replace_(
	 p6,p1,[P+p6],[P+p1],[P-p6],[P-p1]
	,p7,p2,[P+p7],[P+p2],[P-p7],[P-p2]
	,p1,p3,[P+p1],[P+p3],[P-p1],[P-p3]
	,p4,-p4,[P+p4],[P-p4],[P-p4],[P+p4]
	,p2,p5,[P+p2],[P+p5],[P-p2],[P-p5]
	,p3,-p6,[P+p3],[P-p6],[P-p3],[P+p6]
	);
	multiply,replace_(mncx6,mncx1,mncx7,mncx2,mncx1,mncx3,mncx2,mncx5,mncx3,mncx6);
	redefine TOPO "y2";
	Print,"Topology changed from o4 to y2";
elseif ( count(mncx1,1) == 0 );
	multiply,replace_(
	 p6,p1,[P+p6],[P+p1],[P-p6],[P-p1]
	,p7,p2,[P+p7],[P+p2],[P-p7],[P-p2]
	,p2,p4,[P+p2],[P+p4],[P-p2],[P-p4]
	,p3,-p3,[P+p3],[P-p3],[P-p3],[P+p3]
	,p4,-p6,[P+p4],[P-p6],[P-p4],[P+p6]
	);
	multiply,replace_(mncx6,mncx1,mncx7,mncx2,mncx2,mncx4,mncx4,mncx6);
	redefine TOPO "y3";
	Print,"Topology changed from o4 to y3";
elseif ( count(mncx2,1) == 0 );
	multiply,replace_(
	 p6,p1,[P+p6],[P+p1],[P-p6],[P-p1]
	,p7,p2,[P+p7],[P+p2],[P-p7],[P-p2]
	,p1,p4,[P+p1],[P+p4],[P-p1],[P-p4]
	,p4,-p3,[P+p4],[P-p3],[P-p4],[P+p3]
	,p5,-p5,[P+p5],[P-p5],[P-p5],[P+p5]
	,p3,-p6,[P+p3],[P-p6],[P-p3],[P+p6]
	);
	multiply,replace_(mncx6,mncx1,mncx7,mncx2,mncx1,mncx4,mncx4,mncx3,mncx3,mncx6);
	redefine TOPO "y3";
	Print,"Topology changed from o4 to y3";
elseif ( count(mncx3,1) == 0 );
	multiply,replace_(
	 p6,p1,[P+p6],[P+p1],[P-p6],[P-p1]
	,p7,p2,[P+p7],[P+p2],[P-p7],[P-p2]
	,p1,p3,[P+p1],[P+p3],[P-p1],[P-p3]
	,p4,-p4,[P+p4],[P-p4],[P-p4],[P+p4]
	,p2,p6,[P+p2],[P+p6],[P-p2],[P-p6]
	);
	multiply,replace_(mncx6,mncx1,mncx7,mncx2,mncx1,mncx3,mncx2,mncx6);
	redefine TOPO "y3";
	Print,"Topology changed from o4 to y3";
elseif ( count(mncx4,1) == 0 );
	multiply,replace_(
	 p6,p1,[P+p6],[P+p1],[P-p6],[P-p1]
	,p7,p2,[P+p7],[P+p2],[P-p7],[P-p2]
	,p1,p6,[P+p1],[P+p6],[P-p1],[P-p6]
	,p5,-p5,[P+p5],[P-p5],[P-p5],[P+p5]
	,p2,p3,[P+p2],[P+p3],[P-p2],[P-p3]
	,p3,-p4,[P+p3],[P-p4],[P-p3],[P+p4]
	);
	multiply,replace_(mncx6,mncx1,mncx7,mncx2,mncx1,mncx6,mncx2,mncx3,mncx3,mncx4);
	redefine TOPO "y3";
	Print,"Topology changed from o4 to y3";
elseif ( count(mncx7,1) == 0 );
	discard;
endif;
*
#break
*--#] o4 :
*--#[ o5 :
#case o5
*
*	These are still the old O2 rewritings
*
*if ( count(mncx1,1) == 0 );
*	multiply,replace_(
*	 p3,-p1,[P+p3],[P-p1],[P-p3],[P+p1]
*	,p5,p4,[P+p5],[P+p4],[P-p5],[P-p4]
*	,p4,-p3,[P+p4],[P-p3],[P-p4],[P+p3]
*	,p7,-p5,[P+p7],[P-p5],[P-p7],[P+p5]
*	,p6,-p6,[P+p6],[P-p6],[P-p6],[P+p6]
*	);
*	multiply,replace_(mncx3,mncx1,mncx5,mncx4,mncx4,mncx3,mncx7,mncx5);
*	redefine TOPO "y3";
*	Print,"Topology changed from o2 to y3";
*elseif ( count(mncx2,1) == 0 );
*	multiply,replace_(
*	 p1,p2,[P+p1],[P+p2],[P-p1],[P-p2]
*	,p4,-p1,[P+p4],[P-p1],[P-p4],[P+p1]
*	,p5,-p5,[P+p5],[P-p5],[P-p5],[P+p5]
*	,p3,-p6,[P+p3],[P-p6],[P-p3],[P+p6]
*	,p6,-p3,[P+p6],[P-p3],[P-p6],[P+p3]
*	,p7,-p4,[P+p7],[P-p4],[P-p7],[P+p4]
*	);
*	multiply,replace_(mncx1,mncx2,mncx4,mncx1,mncx3,mncx6,mncx6,mncx3,mncx7,mncx4);
*	redefine TOPO "y2";
*	Print,"Topology changed from o2 to y2";
*elseif ( count(mncx3,1) == 0 );
*	multiply,replace_(
*	 p2,p3,[P+p2],[P+p3],[P-p2],[P-p3]
*	,p5,p4,[P+p5],[P+p4],[P-p5],[P-p4]
*	,p4,-p2,[P+p4],[P-p2],[P-p4],[P+p2]
*	,p6,-p6,[P+p6],[P-p6],[P-p6],[P+p6]
*	,p7,-p5,[P+p7],[P-p5],[P-p7],[P+p5]
*	);
*	multiply,replace_(mncx2,mncx3,mncx5,mncx4,mncx4,mncx2,mncx7,mncx5);
*	redefine TOPO "y1";
*	Print,"Topology changed from o2 to y1";
*elseif ( count(mncx5,1) == 0 );
*	multiply,replace_(
*	 p2,p5,[P+p2],[P+p5],[P-p2],[P-p5]
*	,p3,-p6,[P+p3],[P-p6],[P-p3],[P+p6]
*	,p4,-p1,[P+p4],[P-p1],[P-p4],[P+p1]
*	,p1,p2,[P+p1],[P+p2],[P-p1],[P-p2]
*	,p6,-p3,[P+p6],[P-p3],[P-p6],[P+p3]
*	,p7,-p4,[P+p7],[P-p4],[P-p7],[P+p4]
*	);
*	multiply,replace_(mncx2,mncx5,mncx3,mncx6,mncx4,mncx1,mncx1,mncx2,mncx6,mncx3,mncx7,mncx4);
*	redefine TOPO "y4";
*	Print,"Topology changed from o2 to y4";
*elseif ( ( count(mncx6,1) == 0 ) || ( count(mncx7,1) == 0 ) );
*	Discard;
*endif;
*
#break
*--#] o5 :
*--#[ o6 :
#case o6
*
*	These are still the O3 rewritings
*
*if ( count(mncx5,1) == 0 );
*	multiply,replace_(
*	 p7,p5,[P+p7],[P+p5],[P-p7],[P-p5]
*	,p1,p3,[P+p1],[P+p3],[P-p1],[P-p3]
*	,p4,-p4,[P+p4],[P-p4],[P-p4],[P+p4]
*	,p2,p1,[P+p2],[P+p1],[P-p2],[P-p1]
*	,p3,-p2,[P+p3],[P-p2],[P-p3],[P+p2]
*	);
*	multiply,replace_(mncx7,mncx5,mncx1,mncx3,mncx2,mncx1,mncx3,mncx2);
*	redefine TOPO "y5";
*	Print,"Topology changed from o3 to y5";
*elseif ( count(mncx1,1) == 0 );
*	multiply,replace_(
*	 p7,p5,[P+p7],[P+p5],[P-p7],[P-p5]
*	,p3,-p1,[P+p3],[P-p1],[P-p3],[P+p1]
*	,p4,-p4,[P+p4],[P-p4],[P-p4],[P+p4]
*	,p5,p3,[P+p5],[P+p3],[P-p5],[P-p3]
*	);
*	multiply,replace_(mncx7,mncx5,mncx3,mncx1,mncx5,mncx3);
*	redefine TOPO "y4";
*	Print,"Topology changed from o3 to y4";
*elseif ( count(mncx2,1) == 0 );
*	multiply,replace_(
*	 p7,p5,[P+p7],[P+p5],[P-p7],[P-p5]
*	,p4,-p1,[P+p4],[P-p1],[P-p4],[P+p1]
*	,p1,p2,[P+p1],[P+p2],[P-p1],[P-p2]
*	,p3,-p3,[P+p3],[P-p3],[P-p3],[P+p3]
*	,p5,-p4,[P+p5],[P-p4],[P-p5],[P+p4]
*	);
*	multiply,replace_(mncx7,mncx5,mncx4,mncx1,mncx1,mncx2,mncx5,mncx4);
*	redefine TOPO "y4";
*	Print,"Topology changed from o3 to y4";
*elseif ( count(mncx3,1) == 0 );
*	multiply,replace_(
*	 p7,p5,[P+p7],[P+p5],[P-p7],[P-p5]
*	,p4,-p2,[P+p4],[P-p2],[P-p4],[P+p2]
*	,p2,p3,[P+p2],[P+p3],[P-p2],[P-p3]
*	,p5,p4,[P+p5],[P+p4],[P-p5],[P-p4]
*	);
*	multiply,replace_(mncx7,mncx5,mncx4,mncx2,mncx2,mncx3,mncx5,mncx4);
*	redefine TOPO "y4";
*	Print,"Topology changed from o3 to y4";
*elseif ( count(mncx4,1) == 0 );
*	multiply,replace_(
*	 p7,p5,[P+p7],[P+p5],[P-p7],[P-p5]
*	,p2,p1,[P+p2],[P+p1],[P-p2],[P-p1]
*	,p3,-p2,[P+p3],[P-p2],[P-p3],[P+p2]
*	,p1,p3,[P+p1],[P+p3],[P-p1],[P-p3]
*	,p5,-p4,[P+p5],[P-p4],[P-p5],[P+p4]
*	);
*	multiply,replace_(mncx7,mncx5,mncx2,mncx1,mncx3,mncx2,mncx1,mncx3,mncx5,mncx4);
*	redefine TOPO "y4";
*	Print,"Topology changed from o3 to y4";
*elseif ( ( count(mncx6,1) == 0 ) || ( count(mncx7,1) == 0 ) );
*	Discard;
*endif;
*
#break
*--#] o6 :
*--#[ y1 :
#case y1
*
if ( count(mncx3,1) == 0 ) discard;
if ( count(mncx4,1) == 0 ) discard;
if ( count(mncx5,1) == 0 ) discard;
if ( count(mncx6,1) == 0 ) discard;
*
#break
*--#] y1 :
*--#[ y2 :
#case y2
*
if ( count(mncx2,1) == 0 ) discard;
if ( count(mncx3,1) == 0 ) discard;
if ( count(mncx4,1) == 0 ) discard;
if ( count(mncx5,1) == 0 ) discard;
if ( count(mncx6,1) == 0 ) discard;
*
#break
*--#] y2 :
*--#[ y3 :
#case y3
*
if ( count(mncx2,1) == 0 ) discard;
if ( count(mncx4,1) == 0 ) discard;
if ( count(mncx5,1) == 0 ) discard;
if ( count(mncx6,1) == 0 ) discard;
*
#break
*--#] y3 :
*--#[ y4 :
#case y4
*
if ( count(mncx2,1) == 0 ) discard;
if ( count(mncx3,1) == 0 ) discard;
if ( count(mncx4,1) == 0 ) discard;
if ( count(mncx5,1) == 0 ) discard;
if ( count(mncx6,1) == 0 ) discard;
*
#break
*--#] y4 :
*--#[ y5 :
#case y5
*
if ( count(mncx1,1) == 0 ) discard;
if ( count(mncx2,1) == 0 ) discard;
if ( count(mncx3,1) == 0 ) discard;
if ( count(mncx4,1) == 0 ) discard;
if ( count(mncx5,1) == 0 ) discard;
if ( count(mncx6,1) == 0 ) discard;
*
#break
*--#] y5 :
*--#[ y6 :
#case y6
*
if ( count(mncx2,1) == 0 ) discard;
if ( count(mncx3,1) == 0 ) discard;
if ( count(mncx4,1) == 0 ) discard;
if ( count(mncx5,1) == 0 ) discard;
if ( count(mncx6,1) == 0 ) discard;
*
#break
*--#] y6 :
*--#[ t1 :
#case t1
*
*	If 5 is missing we have t3, if 1,2,3,4 is missing, we have t2.
*
if ( count(mncx5,1) == 0 );
	multiply,replace_(p4,-p2,[P+p4],[P-p2],[P-p4],[P+p2]
	,p2,p3,[P+p2],[P+p3],[P-p2],[P-p3]
	,p3,-p4,[P+p3],[P-p4],[P-p3],[P+p4]);
	multiply,replace_(mncx4,mncx2,mncx2,mncx3,mncx3,mncx4);
	redefine TOPO "t3";
	Print,"Topology changed from t1 to t3";
elseif ( count(mncx1,1) == 0 );
	multiply,replace_(p5,p3,[P+p5],[P+p3],[P-p5],[P-p3]
	,p4,-p4,[P+p4],[P-p4],[P-p4],[P+p4]
	,p3,-p1,[P+p3],[P-p1],[P-p3],[P+p1]);
	multiply,replace_(mncx5,mncx3,mncx3,mncx1);
	redefine TOPO "t2";
	Print,"Topology changed from t1 to t2";
elseif ( count(mncx2,1) == 0 );
	multiply,replace_(p1,p2,[P+p1],[P+p2],[P-p1],[P-p2]
	,p4,-p1,[P+p4],[P-p1],[P-p4],[P+p1]
	,p5,-p3,[P+p5],[P-p3],[P-p5],[P+p3]
	,p3,-p4,[P+p3],[P-p4],[P-p3],[P+p4]);
	multiply,replace_(mncx1,mncx2,mncx4,mncx1,mncx5,mncx3,mncx3,mncx4);
	redefine TOPO "t2";
	Print,"Topology changed from t1 to t2";
elseif ( count(mncx3,1) == 0 );
	multiply,replace_(p2,p3,[P+p2],[P+p3],[P-p2],[P-p3]
	,p5,p4,[P+p5],[P+p4],[P-p5],[P-p4]
	,p4,-p2,[P+p4],[P-p2],[P-p4],[P+p2]);
	multiply,replace_(mncx2,mncx3,mncx5,mncx4,mncx4,mncx2);
	redefine TOPO "t2";
	Print,"Topology changed from t1 to t2";
elseif ( count(mncx4,1) == 0 );
	multiply,replace_(p1,p3,[P+p1],[P+p3],[P-p1],[P-p3]
	,p5,-p4,[P+p5],[P-p4],[P-p5],[P+p4]
	,p2,p1,[P+p2],[P+p1],[P-p2],[P-p1]
	p3,-p2,[P+p3],[P-p2],[P-p3],[P+p2]);
	multiply,replace_(mncx1,mncx3,mncx5,mncx4,mncx2,mncx1,mncx3,mncx2);
	redefine TOPO "t2";
	Print,"Topology changed from t1 to t2";
endif;
#break
*--#] t1 :
*--#[ t2 :
#case t2
*
if ( count(mncx2,1) == 0 ) discard;
if ( count(mncx3,1) == 0 ) discard;
if ( count(mncx4,1) == 0 ) discard;
*
#break
*--#] t2 :
*--#[ t3 :
#case t3
*
if ( count(mncx1,1) == 0 ) discard;
if ( count(mncx2,1) == 0 ) discard;
if ( count(mncx3,1) == 0 ) discard;
if ( count(mncx4,1) == 0 ) discard;
*
#break
*--#] t3 :
*--#[ l1 :
#case l1
*
*
#break
*--#] l1 :
*--#[ l2 :
#case l2
*
*
#break
*--#] l2 :
*--#[ l3 :
#case l3
*
*
#break
*--#] l3 :
*--#[ tr :
#case tr
*
*
#break
*--#] tr :
#endswitch
#endprocedure

*--#] transfor :
*--#[ triangl2 :
#procedure triangl2(P,PA,PB,P1,P3,EA,EB)
*
*   Routine solves the triangle recursion
*                     P
*      N1 -------------------------- N3
*          P1    \    N2    /    P3
*                 \        /
*                A \      / B
*                PA \    / PB
*                    \  /
*                     \/
*
*   mncA,mncB,mncN1,mncN2,mncN3 are the powers of the denominators
*   mncA and mncB don't have to be integers here.
*   EA and EB are 1/PA.PA^ep and 1/PB.PB^ep
*   P is the momentum in mncN2. We need it here to determine the extra
*   momenta in the numerator.
*
*   This routine differs from the routine triangle in that the final 
*   substitution of mncftri involves gamma functions rather than factorials.
*
id  `P' = mncx*`P';
if ( count(`P1'.`P1',1,`P3'.`P3',1,`P'.`P',1) < -4 );
id  mncx^mncm?/`P1'.`P1'^mncN1?/`P'.`P'^mncN2?/`P3'.`P3'^mncN3?/`PA'.`PA'^mncA?/`PB'.`PB'^mncB?
        *`EA'^mncx1?*`EB'^mncx2? =
        mncftri(mncN1,mncN2,mncN3,mncA,mncB,mncx1,mncx2,mncm)*mncpoinv(mncA,mncx1)*mncpoinv(mncB,mncx2)*`EA'^mncx1*`EB'^mncx2;
id  mncpoinv(1,mncx1?) = 1;
id  mncpoinv(mncx1?,0) = invfac_(mncx1-1);
id  mncpoinv(mncx1?neg0_,mncx2?) = mncx2*acc(mncPOINV(mncx1,mncx2))*ep;
id  mncpoinv(mncx1?pos_,mncx2?) = acc(mncPOINV(mncx1,mncx2));

id  mncftri(mncN1?,mncN2?,mncN3?,mncA?,mncB?,mncx1?,mncx2?,mncm?) =
        +sum_(mnck4,0,mncN3-1,sign_(mncN1+mnck4)*mncpo(5+mncm-2*mncN2-mncA-mncB-mncN1-mnck4,-2-mncx1-mncx2)
            *mncsumm1(mncN1,mncN2,mncN3,mncA,mncB,mncx1,mncx2,mncm,mnck4)*invfac_(mnck4))*invfac_(mncN1-1)
        +mncsumm2(mncN1,mncN2,mncN3,mncA,mncB,mncx1,mncx2,mncm)*mncN2*mncpoinv(4+mncm-2*mncN2-mncA-mncB+mncN2,-2-mncx1-mncx2)
        +sum_(mnck2,0,mncN1-1,sign_(mnck2+mncN3)*mncpo(5+mncm-2*mncN2-mncA-mncB-mnck2-mncN3,-2-mncx1-mncx2)
            *mncsumm3(mncN1,mncN2,mncN3,mncA,mncB,mncx1,mncx2,mncm,mnck2)*invfac_(mnck2))*invfac_(mncN3-1)
    ;
*
*   Evaluate the gamma functions.
*   We multiply numerator and denominator with gamma(1-2*ep)
*   Then mncpo(mncx,-2) represents a normalized gamma function.
*   The following identities can then be applied:
*   (the table has overal factors ep taken out)
*
if ( count(mncsumm2,1) );
    id  mncpoinv(1,mncy1?) = 1;
    id  mncpoinv(mncx1?neg0_,mncy1?) = mncy1*acc(mncPOINV(mncx1,mncy1))*ep;
    id  mncpoinv(mncx1?pos_,mncy1?) = acc(mncPOINV(mncx1,mncy1));
    id  mncsumm2(mncN1?,mncN2?,mncN3?,mncA?,mncB?,mncx1?,mncx2?,mncm?) =
        +sum_(mnck2,0,mncN1-1,sum_(mnck4,0,mncN3-1,sign_(mnck2+mnck4)*fac_(mnck2+mncN2+mnck4-1)
            *mncpo(4+mncm-2*mncN2-mncA-mncB-mnck2-mnck4,-2-mncx1-mncx2)
            *mncsumm2(mncN1,mncN2,mncN3,mncA,mncB,mncx1,mncx2,mncm,mnck2,mnck4)
         *invfac_(mnck4))*invfac_(mnck2));
    id  mncpo(mncx1?,0) = fac_(mncx1-1);
    id  mncpo(1,mncy1?) = 1;
    id  mncpo(mncx1?neg0_,mncy1?) = acc(mncPO(mncx1,mncy1))/mncy1/ep;
    id  mncpo(mncx1?pos_,mncy1?) = acc(mncPO(mncx1,mncy1));
    id  mncsumm2(mncN1?,mncN2?,mncN3?,mncA?,mncB?,mncx1?,mncx2?,mncm?,mnck2?,mnck4?) =
             sum_(mnck1,0,mncN2,invfac_(mnck1)*invfac_(mncN2-mnck1)
            *mncftri(mncN1-mnck2,0,mncN3-mnck4,mncA+mnck1+mnck2,mncB+mncN2-mnck1+mnck4,mncx1,mncx2));
else;
    id  mncpo(mncx1?,0) = fac_(mncx1-1);
    id  mncpo(1,mncy1?) = 1;
    id  mncpo(mncx1?neg0_,mncy1?) = acc(mncPO(mncx1,mncy1))/mncy1/ep;
    id  mncpo(mncx1?pos_,mncy1?) = acc(mncPO(mncx1,mncy1));
    id  mncsumm1(mncN1?,mncN2?,mncN3?,mncA?,mncB?,mncx1?,mncx2?,mncm?,mnck4?) =
            sum_(mnck1,0,mncN2-1,sum_(mnck3,0,mncN2-mnck1-1,
            fac_(mnck1+mncN1+mnck3+mnck4-1)*invfac_(mnck3)
            *mncpoinv(5+mncm-2*mncN2-mncA-mncB+mnck1+mnck3,-2-mncx1-mncx2)
            *mncftri(0,mncN2-mnck1-mnck3,mncN3-mnck4,mncA+mnck1+mncN1,mncB+mnck3+mnck4,mncx1,mncx2)
         )*invfac_(mnck1));
    id  mncsumm3(mncN1?,mncN2?,mncN3?,mncA?,mncB?,mncx1?,mncx2?,mncm?,mnck2?) =
            sum_(mnck3,0,mncN2-1,sum_(mnck1,0,mncN2-mnck3-1,
            fac_(mnck1+mnck2+mnck3+mncN3-1)*invfac_(mnck1)
            *mncpoinv(5+mncm-2*mncN2-mncA-mncB+mnck1+mnck3,-2-mncx1-mncx2)
            *mncftri(mncN1-mnck2,mncN2-mnck1-mnck3,0,mncA+mnck1+mnck2,mncB+mnck3+mncN3,mncx1,mncx2)
         )*invfac_(mnck3));
    id  mncpoinv(1,mncy1?) = 1;
    id  mncpoinv(mncx1?neg0_,mncy1?) = mncy1*acc(mncPOINV(mncx1,mncy1))*ep;
    id  mncpoinv(mncx1?pos_,mncy1?) = acc(mncPOINV(mncx1,mncy1));
endif;

id  mncftri(mncN1?,mncN2?,mncN3?,mncA?,mncB?,mncx1?,mncx2?) = mncpo(mncA,mncx1)*mncpo(mncB,mncx2)
    /`P1'.`P1'^mncN1/`P'.`P'^mncN2/`P3'.`P3'^mncN3/`PA'.`PA'^mncA/`PB'.`PB'^mncB;
id  mncpo(mncx1?,0) = fac_(mncx1-1);
id  mncpo(1,mncy1?) = 1;
id  mncpo(mncx1?neg0_,mncy1?) = acc(mncPO(mncx1,mncy1))/mncy1/ep;
id  mncpo(mncx1?pos_,mncy1?) = acc(mncPO(mncx1,mncy1));

else;

  repeat;
    if ( match(1/`P'.`P'/`P1'.`P1'/`P3'.`P3') > 0 );
      id  mncx^mncx4?/`PA'.`PA'^mncx1?/`PB'.`PB'^mncx2?/`P'.`P'^mncx3?*`EA'^mncy1?*`EB'^mncy2? =
          mncx^mncx4 /`PA'.`PA'^mncx1 /`PB'.`PB'^mncx2 /`P'.`P'^mncx3 *`EA'^mncy1*`EB'^mncy2*(
            +acc(mncx2+mncy2*ep)*`P'.`P'/`PB'.`PB'-acc(mncx2+mncy2*ep)*`P3'.`P3'/`PB'.`PB'
            +acc(mncx1+mncy1*ep)*`P'.`P'/`PA'.`PA'-acc(mncx1+mncy1*ep)*`P1'.`P1'/`PA'.`PA'
          )*mncdeno(4+mncx4-mncx1-mncx2-2*mncx3,-2-mncy1-mncy2);
      id,many,mncdeno(0,mncy1?) = 1/mncy1/ep;
      id,mncdeno(mncx1?,mncy1?) = acc(1-mncy1*ep/mncx1+mncy1^2*ep^2/mncx1^2-mncy1^3*ep^3/mncx1^3
                      +mncy1^4*ep^4/mncx1^4-mncy1^5*ep^5/mncx1^5+mncy1^6*ep^6/mncx1^6
					  -mncy1^7*ep^7/mncx1^7+mncy1^8*ep^8/mncx1^8)/mncx1;
    endif;
  endrepeat;
  id  mncx = 1;

endif;

#endprocedure

*--#] triangl2 :
*--#[ triangle :
#procedure triangle(P,PA,PB,P1,P3)
*
*   Routine solves the triangle recursion
*                     P
*      N1 -------------------------- N3
*          P1    \    N2    /    P3
*                 \        /
*                A \      / B
*                PA \    / PB
*                    \  /
*                     \/
*
*   mncA,mncB,mncN1,mncN2,mncN3 are the powers of the denominators
*   We assume that mncA and mncB are integers here. Otherwise see triangl2.
*   P is the momentum in mncN2. We need it here to determine the extra
*   momenta in the numerator.
*
*   We follow the algorithm of F.V.Tkachov Theor. Mat. Fiz. 56(1983)350.
*
*   There are three sums:
*   One in which the power of 1 becomes zero, one for 2 and one for 3.
*   Each sum has 4 constants to sum over, except that for each
*   one of them has its maximal value:
*   mnck1 = (a-mncA)-mnck2
*   mnck2 = mncN1-n1          sum1: mncN1
*   mnck3 = (b-mncB)-mnck4
*   mnck4 = mncN3-n3          sum3: mncN3
*   mnck1+mnck3 = mncN2-n2       sum2: mncN2
*   The gamma functions are evaluated using the tables in pochtabl.prc
*
*   It turns out that the easy cases are faster when the regular recursion
*   is used. We do that here is there are fewer than 6 powers in P,P1 and P3
*   combined. Test timings don't use these special cases.
*
*   Programmed by J.A.M.Vermaseren 28-oct-1990 + 13-nov-1990
*
*   Test versus benzbar:
*       1/p1.p1^3/mncp.mncp/p3.p3/pa.pa/pb.pb -> 0.96 sec versus 0.80 sec
*       1/p1.p1^3/mncp.mncp^3/p3.p3/pa.pa/pb.pb -> 3.07 sec versus 20.34 sec
*       1/p1.p1^3/mncp.mncp^3/p3.p3^3/pa.pa/pb.pb -> 6.21 sec versus 547.11 sec
*   triangle generates exactly the right number of terms
*   (times on Atari TT)
*
*   For the easy cases we take the original recursion, because this is much
*   faster. This is done for the combined powers of P1,P2,P3 at most 4
*   in the denominator. IT IS VERY DANGEROUS TO INCREASE THIS NUMBER!
*   In principle each two steps in the recursion can generate one
*   extra pole that has to be cancelled between the terms. This can
*   cause problems with the truncation of the powers of ep. We can
*   tolerate only one such pole here.
*
id  `P' = mncx*`P';
if ( count(`P1'.`P1',1,`P3'.`P3',1,`P'.`P',1) < -4 );
id  mncx^mncm?/`P1'.`P1'^mncN1?/`P'.`P'^mncN2?/`P3'.`P3'^mncN3?/`PA'.`PA'^mncA?/`PB'.`PB'^mncB? =
        mncftri(mncN1,mncN2,mncN3,mncA,mncB,mncm)*invfac_(mncA-1)*invfac_(mncB-1);
id  mncftri(mncN1?,mncN2?,mncN3?,mncA?,mncB?,mncm?) =
        +sum_(mnck4,0,mncN3-1,sign_(mncN1+mnck4)*mncpo(5+mncm-2*mncN2-mncA-mncB-mncN1-mnck4,-2)
            *mncsumm1(mncN1,mncN2,mncN3,mncA,mncB,mncm,mnck4)*invfac_(mnck4))*invfac_(mncN1-1)
        +mncsumm2(mncN1,mncN2,mncN3,mncA,mncB,mncm)*mncN2*mncpoinv(4+mncm-2*mncN2-mncA-mncB+mncN2,-2)
        +sum_(mnck2,0,mncN1-1,sign_(mnck2+mncN3)*mncpo(5+mncm-2*mncN2-mncA-mncB-mnck2-mncN3,-2)
            *mncsumm3(mncN1,mncN2,mncN3,mncA,mncB,mncm,mnck2)*invfac_(mnck2))*invfac_(mncN3-1)
    ;
*
*   Evaluate the gamma functions.
*   We multiply numerator and denominator with gamma(1-2*ep)
*   Then mncpo(mncx,-2) represents a normalized gamma function.
*   The following identities can then be applied:
*   (the table has overal factors ep taken out)
*
if ( count(mncsumm2,1) );
	id  mncpoinv(1,-2) = 1;
	id  mncpoinv(mncx1?neg0_,-2) = -2*acc(mncPOINV(mncx1,-2))*ep;
	id  mncpoinv(mncx1?,-2) = acc(mncPOINV(mncx1,-2));
	id  mncsumm2(mncN1?,mncN2?,mncN3?,mncA?,mncB?,mncm?) =
    	    +sum_(mnck2,0,mncN1-1,sum_(mnck4,0,mncN3-1,sign_(mnck2+mnck4)*fac_(mnck2+mncN2+mnck4-1)
        	    *mncpo(4+mncm-2*mncN2-mncA-mncB-mnck2-mnck4,-2)*mncsumm2(mncN1,mncN2,mncN3,mncA,mncB,mncm,mnck2,mnck4)
	         *invfac_(mnck4))*invfac_(mnck2));
	id  mncpo(1,-2) = 1;
	id  mncpo(mncx1?neg0_,-2) = -acc(mncPO(mncx1,-2))/2/ep;
	id  mncpo(mncx1?,-2) = acc(mncPO(mncx1,-2));
	id  mncsumm2(mncN1?,mncN2?,mncN3?,mncA?,mncB?,mncm?,mnck2?,mnck4?) =
            +sum_(mnck1,0,mncN2,invfac_(mnck1)*invfac_(mncN2-mnck1)
            *mncftri(mncN1-mnck2,0,mncN3-mnck4,mncA+mnck1+mnck2,mncB+mncN2-mnck1+mnck4));
else;
	id  mncpo(1,-2) = 1;
	id  mncpo(mncx1?neg0_,-2) = -acc(mncPO(mncx1,-2))/2/ep;
	id  mncpo(mncx1?,-2) = acc(mncPO(mncx1,-2));
	id  mncsumm1(mncN1?,mncN2?,mncN3?,mncA?,mncB?,mncm?,mnck4?) =
            sum_(mnck1,0,mncN2-1,sum_(mnck3,0,mncN2-mnck1-1,
            fac_(mnck1+mncN1+mnck3+mnck4-1)*invfac_(mnck3)
            *mncpoinv(5+mncm-2*mncN2-mncA-mncB+mnck1+mnck3,-2)
            *mncftri(0,mncN2-mnck1-mnck3,mncN3-mnck4,mncA+mnck1+mncN1,mncB+mnck3+mnck4)
         )*invfac_(mnck1));
	id  mncsumm3(mncN1?,mncN2?,mncN3?,mncA?,mncB?,mncm?,mnck2?) =
            sum_(mnck3,0,mncN2-1,sum_(mnck1,0,mncN2-mnck3-1,
            fac_(mnck1+mnck2+mnck3+mncN3-1)*invfac_(mnck1)
            *mncpoinv(5+mncm-2*mncN2-mncA-mncB+mnck1+mnck3,-2)
            *mncftri(mncN1-mnck2,mncN2-mnck1-mnck3,0,mncA+mnck1+mnck2,mncB+mnck3+mncN3)
         )*invfac_(mnck3));
	id  mncpoinv(1,-2) = 1;
	id  mncpoinv(mncx1?neg0_,-2) = -2*acc(mncPOINV(mncx1,-2))*ep;
	id  mncpoinv(mncx1?,-2) = acc(mncPOINV(mncx1,-2));
endif;
id  mncftri(mncN1?,mncN2?,mncN3?,mncA?,mncB?) = fac_(mncA-1)*fac_(mncB-1)
    /`P1'.`P1'^mncN1/`P'.`P'^mncN2/`P3'.`P3'^mncN3/`PA'.`PA'^mncA/`PB'.`PB'^mncB;

else;
  repeat;
    if ( match(1/`P'.`P'/`P1'.`P1'/`P3'.`P3') > 0 );
      id  mncx^mncx4?/`PA'.`PA'^mncx1?/`PB'.`PB'^mncx2?/`P'.`P'^mncx3? =
          mncx^mncx4 /`PA'.`PA'^mncx1 /`PB'.`PB'^mncx2 /`P'.`P'^mncx3 *(
            +mncx2*`P'.`P'/`PB'.`PB'-mncx2*`P3'.`P3'/`PB'.`PB'
            +mncx1*`P'.`P'/`PA'.`PA'-mncx1*`P1'.`P1'/`PA'.`PA'
          )*mncdeno(4+mncx4-mncx1-mncx2-2*mncx3,-2);
      id,many,mncdeno(0,-2)   = -1/2/ep;
      id,mncdeno(mncx1?,-2) = acc(1+2*ep/mncx1+4*ep^2/mncx1^2+8*ep^3/mncx1^3
                      +16*ep^4/mncx1^4+32*ep^5/mncx1^5+64*ep^6/mncx1^6
					  +128*ep^7/mncx1^7+256*ep^8/mncx1^8)/mncx1;
    endif;
  endrepeat;
  id  mncx = 1;

endif;
#endprocedure
*--#] triangle :
*--#[ trim :
#procedure trim(TOPO)
#switch `TOPO'
*--#[ la :
*
*
*--#] la :
*--#[ be :
*
*
*--#] be :
*--#[ no :
*
*
*--#] no :
*--#[ fa :
*
*
*--#] fa :
*--#[ bu :
*
*
*--#] bu :
*--#[ o1 :
*
*
*--#] o1 :
*--#[ o2 :
*
*
*--#] o2 :
*--#[ o3 :
*
*
*--#] o3 :
*--#[ o4 :
*
*
*--#] o4 :
*--#[ o5 :
*
*
*--#] o5 :
*--#[ o6 :
*
*
*--#] o6 :
*--#[ y1 :
*
*
*--#] y1 :
*--#[ y2 :
*
*
*--#] y2 :
*--#[ y3 :
*
*
*--#] y3 :
*--#[ y4 :
*
*
*--#] y4 :
*--#[ y5 :
*
*
*--#] y5 :
*--#[ y6 :
*
*
*--#] y6 :
*--#[ t1 :
#case t1
*
#if 'TRIM' > 0
	id ep^{1+`CUTOFF'} = 0;
#endif
*
#break
*--#] t1 :
*--#[ t2 :
#case t2
*
#if 'TRIM' > 0
	id ep^{1+`CUTOFF'} = 0;
#endif
*
#break
*--#] t2 :
*--#[ t3 :
#case t3
*
#if 'TRIM' > 0
	id ep^{1+`CUTOFF'} = 0;
#endif
*
#break
*--#] t3 :
*--#[ l1 :
#case l1
*
#if 'TRIM' > 0
	id ep^{3-'TRIM'+`CUTOFF'} = 0;
#endif
*
#break
*--#] l1 :
*--#[ l2 :
#case l2
*
*
#break
*--#] l2 :
*--#[ l3 :
#case l3
*
*
#break
*--#] l3 :
*--#[ tr :
#case tr
*
#if 'TRIM' > 0
	id ep^{4-'TRIM'+`CUTOFF'} = 0;
#endif
*
#break
*--#] tr :
#endswitch
#endprocedure
*--#] trim :
*--#[ two :
#procedure two(P1,E1,P2,E2,P3,E3,P4,E4,P5,E5,Q,EQ,REDUCTION,INTS)
*
*   Routine for the reduction of two loop diagrams.
*   All particles are massless and it treats only two point functions.
*   For the algorithm, see "Mincer:...." S.G.Gorishny, S.A.Larin,
*   L.R.Surguladze and F.V.Tkachov, Comp. Phys. Comm. 55(1989)381.
*   The core of this routine consists of the equations (3.8)-(3.11).
*   Note that equation 3.10 isn't right, but the equation 4.29 in
*   K.G.Chetyrkin and F.V.Tkachov, Nucl.Phys. B192(1981)159 is correct.
*   The odd parameters are the vectors and the even parameters
*   are symbols for 1/(p.p^ep). The last parameter indicates whether
*   there should be a tensor reduction first.
*
*	This routine is (mostly) superceeded by the routine newtwo. Only when
*	we have to calculate extra elements in the table tabtwo we need this
*	routine.
*
#if ( `REDUCTION' > 0 )
  id  `P4' = `P1'-`Q';
  id  `P3' = `P2'-`Q';
  id  `P5' = `P1'-`P2';
  .sort: Two loop momenta;
  id  `P1'.`Q' = `P1'.`P1'/2+`Q'.`Q'/2-`P4'.`P4'/2;
  id  `P2'.`Q' = `P2'.`P2'/2+`Q'.`Q'/2-`P3'.`P3'/2;
  id  `P1'.`P2' = `P1'.`P1'/2+`P2'.`P2'/2-`P5'.`P5'/2;
  .sort: Two loop scalars;
#endif
repeat;
  if ( ( ( count(`P1'.`P1',1) < 0 ) || ( count(`E1',1) > 0 ) ) &&
       ( ( count(`P2'.`P2',1) < 0 ) || ( count(`E2',1) > 0 ) ) &&
       ( ( count(`P3'.`P3',1) < 0 ) || ( count(`E3',1) > 0 ) ) &&
       ( ( count(`P4'.`P4',1) < 0 ) || ( count(`E4',1) > 0 ) ) &&
       ( ( count(`P5'.`P5',1) < 0 ) || ( count(`E5',1) > 0 ) ) );
    if ( count(`E5',1) == 0 );
      if ( count(`E2',1,`E3',1) == 0 );
        id  `E1'^mncy1?/`P1'.`P1'^mncx1?/`P2'.`P2'^mncx2?/`P3'.`P3'^mncx3?*
            `E4'^mncy4?/`P4'.`P4'^mncx4?/`P5'.`P5'^mncx5?*`E5'^mncy5? =
              `E1'^mncy1/`P1'.`P1'^mncx1/`P2'.`P2'^mncx2/`P3'.`P3'^mncx3*
              `E4'^mncy4/`P4'.`P4'^mncx4/`P5'.`P5'^mncx5*`E5'^mncy5*(
                + acc(mncx1,mncy1)*`P5'.`P5'/`P1'.`P1'
                + acc(mncx4,mncy4)*`P5'.`P5'/`P4'.`P4'
                - acc(mncx1,mncy1)*`P2'.`P2'/`P1'.`P1'
                - acc(mncx4,mncy4)*`P3'.`P3'/`P4'.`P4'
              )*mncdeno(4-mncx1-mncx4-2*mncx5,-mncy1-mncy4-2*mncy5-2);
      else;
        id  `E1'^mncy1?/`P1'.`P1'^mncx1?*`E2'^mncy2?/`P2'.`P2'^mncx2?*
            `E3'^mncy3?/`P3'.`P3'^mncx3?*`E4'^mncy4?/`P4'.`P4'^mncx4?*
            `E5'^mncy5?/`P5'.`P5'^mncx5? =
              `E1'^mncy1/`P1'.`P1'^mncx1*`E2'^mncy2/`P2'.`P2'^mncx2*
              `E3'^mncy3/`P3'.`P3'^mncx3*`E4'^mncy4/`P4'.`P4'^mncx4*
              `E5'^mncy5/`P5'.`P5'^mncx5*(
                + acc(mncx3,mncy3)*`P5'.`P5'/`P3'.`P3'
                + acc(mncx2,mncy2)*`P5'.`P5'/`P2'.`P2'
                - acc(mncx3,mncy3)*`P4'.`P4'/`P3'.`P3'
                - acc(mncx2,mncy2)*`P1'.`P1'/`P2'.`P2'
              )*mncdeno(4-mncx2-mncx3-2*mncx5,-mncy2-mncy3-2*mncy5-2);
      endif;
    else;
      if ( ( count(`P1'.`P1',1) < -1 ) && ( count(`E1',1) == 0 ) );
        id  `E1'^mncy1?/`P1'.`P1'^mncx1?*`E2'^mncy2?/`P2'.`P2'^mncx2?*
            `E3'^mncy3?/`P3'.`P3'^mncx3?*`E4'^mncy4?/`P4'.`P4'^mncx4?*
            `E5'^mncy5?/`P5'.`P5'^mncx5? =
              `E1'^mncy1/`P1'.`P1'^mncx1*`E2'^mncy2/`P2'.`P2'^mncx2*
              `E3'^mncy3/`P3'.`P3'^mncx3*`E4'^mncy4/`P4'.`P4'^mncx4*
              `E5'^mncy5/`P5'.`P5'^mncx5*(
                +acc(2*mncx4+mncx1+mncx5-5,+2*mncy4+mncy1+mncy5+2)*`P1'.`P1'*mncdeno(mncx1-1,mncy1)
                +`P4'.`P4'
                +acc(mncx5,mncy5)*`P4'.`P4'*`P1'.`P1'/`P5'.`P5'*mncdeno(mncx1-1,mncy1)
                -acc(mncx5,mncy5)*`P3'.`P3'*`P1'.`P1'/`P5'.`P5'*mncdeno(mncx1-1,mncy1)
              )/`Q'.`Q';
      else;
      if ( ( count(`P2'.`P2',1) < -1 ) && ( count(`E2',1) == 0 ) );
        id  `E1'^mncy1?/`P1'.`P1'^mncx1?*`E2'^mncy2?/`P2'.`P2'^mncx2?*
            `E3'^mncy3?/`P3'.`P3'^mncx3?*`E4'^mncy4?/`P4'.`P4'^mncx4?*
            `E5'^mncy5?/`P5'.`P5'^mncx5? =
              `E1'^mncy1/`P1'.`P1'^mncx1*`E2'^mncy2/`P2'.`P2'^mncx2*
              `E3'^mncy3/`P3'.`P3'^mncx3*`E4'^mncy4/`P4'.`P4'^mncx4*
              `E5'^mncy5/`P5'.`P5'^mncx5*(
                +acc(2*mncx3+mncx2+mncx5-5,+2*mncy3+mncy2+mncy5+2)*`P2'.`P2'*mncdeno(mncx2-1,mncy2)
                +`P3'.`P3'
                +acc(mncx5,mncy5)*`P3'.`P3'*`P2'.`P2'/`P5'.`P5'*mncdeno(mncx2-1,mncy2)
                -acc(mncx5,mncy5)*`P4'.`P4'*`P2'.`P2'/`P5'.`P5'*mncdeno(mncx2-1,mncy2)
              )/`Q'.`Q';
      else;
      if ( ( count(`P3'.`P3',1) < -1 ) && ( count(`E3',1) == 0 ) );
        id  `E1'^mncy1?/`P1'.`P1'^mncx1?*`E2'^mncy2?/`P2'.`P2'^mncx2?*
            `E3'^mncy3?/`P3'.`P3'^mncx3?*`E4'^mncy4?/`P4'.`P4'^mncx4?*
            `E5'^mncy5?/`P5'.`P5'^mncx5? =
              `E1'^mncy1/`P1'.`P1'^mncx1*`E2'^mncy2/`P2'.`P2'^mncx2*
              `E3'^mncy3/`P3'.`P3'^mncx3*`E4'^mncy4/`P4'.`P4'^mncx4*
              `E5'^mncy5/`P5'.`P5'^mncx5*(
                +acc(2*mncx2+mncx3+mncx5-5,+2*mncy2+mncy3+mncy5+2)*`P3'.`P3'*mncdeno(mncx3-1,mncy3)
                +`P2'.`P2'
                +acc(mncx5,mncy5)*`P2'.`P2'*`P3'.`P3'/`P5'.`P5'*mncdeno(mncx3-1,mncy3)
                -acc(mncx5,mncy5)*`P1'.`P1'*`P3'.`P3'/`P5'.`P5'*mncdeno(mncx3-1,mncy3)
              )/`Q'.`Q';
      else;
      if ( ( count(`P4'.`P4',1) < -1 ) && ( count(`E4',1) == 0 ) );
        id  `E1'^mncy1?/`P1'.`P1'^mncx1?*`E2'^mncy2?/`P2'.`P2'^mncx2?*
            `E3'^mncy3?/`P3'.`P3'^mncx3?*`E4'^mncy4?/`P4'.`P4'^mncx4?*
            `E5'^mncy5?/`P5'.`P5'^mncx5? =
              `E1'^mncy1/`P1'.`P1'^mncx1*`E2'^mncy2/`P2'.`P2'^mncx2*
              `E3'^mncy3/`P3'.`P3'^mncx3*`E4'^mncy4/`P4'.`P4'^mncx4*
              `E5'^mncy5/`P5'.`P5'^mncx5*(
                +acc(2*mncx1+mncx4+mncx5-5,+2*mncy1+mncy4+mncy5+2)*`P4'.`P4'*mncdeno(mncx4-1,mncy4)
                +`P1'.`P1'
                +acc(mncx5,mncy5)*`P1'.`P1'*`P4'.`P4'/`P5'.`P5'*mncdeno(mncx4-1,mncy4)
                -acc(mncx5,mncy5)*`P2'.`P2'*`P4'.`P4'/`P5'.`P5'*mncdeno(mncx4-1,mncy4)
              )/`Q'.`Q';
      else;
      if ( count(`E1',1,`E2',1,`E3',1,`E4',1) == 0 );
        if ( count(`P5'.`P5',1) < -1 );
*
*         Note: The equation 3.10 in the Mincer paper is wrong!
*
          id  1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'
              /`P4'.`P4'/`P5'.`P5'^mncx5?*`E5'^mncy5? =
                -acc(mncx5-2,2+mncy5)*mncdeno(mncx5-1,1+mncy5)*`P5'.`P5'/`Q'.`Q'
                /`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'/`P5'.`P5'^mncx5*`E5'^mncy5
                -mncG(1,0,mncx5,mncy5,0,0)*mncG(1,0,mncx5,mncy5+1,0,0)*mncdeno(mncx5-1,1+mncy5)
                *acc(3-2*mncx5-3*ep-2*mncy5*ep)*2*`EQ'^mncy5*`EQ'^2/`Q'.`Q'^mncx5/(`INTS');
        else;
        if ( count(`P5'.`P5',1) >= 0 );
          id  1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'
              /`P4'.`P4'/`P5'.`P5'^mncx5?*`E5'^mncy5? =
                -mncdeno(mncx5-1,2+mncy5)*acc(mncx5,1+mncy5)*`Q'.`Q'/`P5'.`P5'
                /`P1'.`P1'/`P2'.`P2'/`P3'.`P3'/`P4'.`P4'/`P5'.`P5'^mncx5*`E5'^mncy5
                -mncG(1,0,mncx5+1,mncy5,0,0)*mncG(1,0,mncx5+1,mncy5+1,0,0)*mncdeno(mncx5-1,2+mncy5)
                *acc(1-2*mncx5-3*ep-2*mncy5*ep)*2*`EQ'^mncy5*`EQ'^2/`Q'.`Q'^mncx5/(`INTS');
        else;
          id  1/`P1'.`P1'/`P2'.`P2'/`P3'.`P3'
              /`P4'.`P4'/`P5'.`P5'*`E5'^mncy5? = mncG311/`Q'.`Q'*`EQ'^2*`EQ'^mncy5
                /(`INTS');
*
        endif;
        endif;
*      else;
*        goto 1;
      endif;
      endif;
      endif;
      endif;
      endif;
    endif;
  endif;
endrepeat;
label 1;
id  mncdeno(0,mncy1?) = 1/mncy1/ep;
id	acc(0,mncx1?) = mncx1*ep;
id	acc(mncx1?,mncy1?) = acc(mncx1+mncy1*ep);
id  mncdeno(mncx1?,mncy1?) = mncaccm(1+ep*mncy1/mncx1)/mncx1;
repeat id mncaccm(mncx1?)*mncaccm(mncx2?) = mncaccm(mncx1*mncx2);
id  mncaccm(mncx1?) = mncaccm(mncx1-1);
id  mncaccm(mncx1?) = mncaccm(mncx1-mncx1^2,mncx1^3);
id  mncaccm(mncx1?,mncx2?) = acc(1-mncx1-mncx2+mncx2*mncx1+mncx2^2);
repeat id acc(mncx?)*acc(mncy?) = acc(mncx*mncy);
id	acc(mncx1?) = mncx1;
#endprocedure
*--#] two :
*--#[ vertsub :
#procedure vertsub
#if 'GAUGE' == 0
	id	mncDg(mnci1?,mnci2?,mncp?) = d_(mnci1,mnci2)*mncDs(mncp);
#else
	repeat;
		id,once,mncDg(mnci1?,mnci2?,mncp?)*mncV3G(?a,mnci1?,mncp?,?b) =
			mncV3G(?a,mnci2,mncp,?b)*mncDs(mncp)
			-mncxi*mncp(mnci2)*mncV3G(?a,mncp,mncp,?b)*mncDs(mncp)*mncDs(mncp);

		id,once,mncDg(mnci1?,mnci2?,mncp?)*mncV3G(?a,mnci1?,-mncp?,?b) =
			mncV3G(?a,mnci2,-mncp,?b)*mncDs(mncp)
			+mncxi*mncp(mnci2)*mncV3G(?a,-mncp,-mncp,?b)*mncDs(mncp)*mncDs(mncp);

		id,once,mncDg(mnci2?,mnci1?,mncp?)*mncV3G(?a,mnci1?,mncp?,?b) =
			mncV3G(?a,mnci2,mncp,?b)*mncDs(mncp)
			-mncxi*mncp(mnci2)*mncV3G(?a,mncp,mncp,?b)*mncDs(mncp)*mncDs(mncp);

		id,once,mncDg(mnci2?,mnci1?,mncp?)*mncV3G(?a,mnci1?,-mncp?,?b) =
			mncV3G(?a,mnci2,-mncp,?b)*mncDs(mncp)
			+mncxi*mncp(mnci2)*mncV3G(?a,-mncp,-mncp,?b)*mncDs(mncp)*mncDs(mncp);
	endrepeat;
	id	mncDg(mnci1?,mnci2?,mncp?) = (d_(mnci1,mnci2)-mncxi*mncp(mnci1)*mncp(mnci2)*mncDs(mncp))*mncDs(mncp);
#endif

id	mncDs(p1?) = 1/p1.p1;
id	mncDL(mnci1?,mncj1?,p1?) = d_(mnci1,mncj1)/p1.p1-p1(mnci1)*p1(mncj1)/p1.p1^2;

.sort

repeat;
repeat;
	repeat;
		id,mncV3G(p1?,p1?,p2?,p2?,p3?,p3?) = 0;
		id,once,mncV3G(p1?,p1?,p2?,p2?,mnci3?,p3?) =
			p3.p3*p2(mnci3)-p2.p3*p3(mnci3);
		id,once,mncV3G(mnci3?,p3?,p1?,p1?,p2?,p2?) =
			p3.p3*p2(mnci3)-p2.p3*p3(mnci3);
		id,once,mncV3G(p2?,p2?,mnci3?,p3?,p1?,p1?) =
			p3.p3*p2(mnci3)-p2.p3*p3(mnci3);
	endrepeat;
	id,once,mncV3G(p1?,p1?,mnci2?,p2?,mnci3?,p3?) =
		p2(mnci2)*p2(mnci3)-p3(mnci2)*p3(mnci3)+p3.p3*d_(mnci2,mnci3)-p2.p2*d_(mnci2,mnci3);
	id,once,mncV3G(mnci3?,p3?,p1?,p1?,mnci2?,p2?) =
		p2(mnci2)*p2(mnci3)-p3(mnci2)*p3(mnci3)+p3.p3*d_(mnci2,mnci3)-p2.p2*d_(mnci2,mnci3);
	id,once,mncV3G(mnci2?,p2?,mnci3?,p3?,p1?,p1?) =
		p2(mnci2)*p2(mnci3)-p3(mnci2)*p3(mnci3)+p3.p3*d_(mnci2,mnci3)-p2.p2*d_(mnci2,mnci3);
endrepeat;

id,once,mncV3G(mnci1?,p1?,mnci2?,p2?,mnci3?,p3?) = 2*p1(mnci3)*d_(mnci1,mnci2)+p3(mnci3)*d_(mnci1,mnci2)
	                              +2*p2(mnci1)*d_(mnci2,mnci3)+p1(mnci1)*d_(mnci2,mnci3)
	                              +2*p3(mnci2)*d_(mnci3,mnci1)+p2(mnci2)*d_(mnci3,mnci1);
endrepeat;
id	mncV4G(mnci1?,mnci2?,mnci3?,mnci4?,mncx1?,mncx2?,mncx3?) =
	+mncx1*(d_(mnci1,mnci3)*d_(mnci2,mnci4)-d_(mnci1,mnci4)*d_(mnci2,mnci3))
	+mncx2*(d_(mnci1,mnci2)*d_(mnci3,mnci4)-d_(mnci1,mnci4)*d_(mnci2,mnci3))
	+mncx3*(d_(mnci1,mnci3)*d_(mnci2,mnci4)-d_(mnci1,mnci2)*d_(mnci3,mnci4));

id	D = acc(4-2*ep);
#endprocedure

*--#] vertsub :
*--#[ vertsubm :
#procedure vertsubm
*
Multiply replace_(Dg,mncDg,v2gp,mncv2gp,v2gi,mncv2gi,v2gc,mncv2gc,
		v3g,mncv3g,v3gp,mncv3gp,Ds,mncDs,DL,mncDL,v4g,mncv4g,V4G,mncV4G
		v3gc,mncv3gc,v3gi,mncv3gi,v4gc,mncv4gc,v4gp,mncv4gp,v2gz,mncv2gz,
		v3gz,mncv3gz,v4gz,mncv4gz,v2hz,mncv2hz,v3hz,mncv3hz);
*
multiply,replace_(mncv4gi,mncv4g);
*id	mncv4gp(?a) = mncx18*mncv4g(?a);
id	mncv4gp(?a) = mncv4g(?a);
#ifdef `GAUGE'
#if ( `GAUGE' == 0 )
    id  mncDg(mnci1?,mnci2?,mncp?) = -i_*d_(mnci1,mnci2)*mncDs(mncp);
#else
    repeat;
        id  mncDg(mnci1?,mnci2?,p1?)*mncv2gi(mnci1?,p1?,?a) = -i_*mncv2gi(mnci2,p1,?a)/p1.p1;
        id  mncDg(mnci2?,mnci1?,p1?)*mncv2gi(mnci1?,p1?,?a) = -i_*mncv2gi(mnci2,p1,?a)/p1.p1;
        id  mncDg(mnci1?,mnci2?,p1?)*mncv2gi(?a,mnci1?,p1?) = -i_*mncv2gi(?a,mnci2,p1)/p1.p1;
        id  mncDg(mnci2?,mnci1?,p1?)*mncv2gi(?a,mnci1?,p1?) = -i_*mncv2gi(?a,mnci2,p1)/p1.p1;
        id  mncDg(mnci1?,mnci2?,-p1?)*mncv2gi(mnci1?,p1?,?a) = -i_*mncv2gi(mnci2,p1,?a)/p1.p1;
        id  mncDg(mnci2?,mnci1?,-p1?)*mncv2gi(mnci1?,p1?,?a) = -i_*mncv2gi(mnci2,p1,?a)/p1.p1;
        id  mncDg(mnci1?,mnci2?,-p1?)*mncv2gi(?a,mnci1?,p1?) = -i_*mncv2gi(?a,mnci2,p1)/p1.p1;
        id  mncDg(mnci2?,mnci1?,-p1?)*mncv2gi(?a,mnci1?,p1?) = -i_*mncv2gi(?a,mnci2,p1)/p1.p1;
	endrepeat;
*	repeat;
*        id  mncDg(mnci1?,mnci2?,p1?)*mncv2gp(mnci1?,p1?,?a) = -i_*mncv2gp(mnci2,p1,?a)/p1.p1;
*        id  mncDg(mnci2?,mnci1?,p1?)*mncv2gp(mnci1?,p1?,?a) = -i_*mncv2gp(mnci2,p1,?a)/p1.p1;
*        id  mncDg(mnci1?,mnci2?,p1?)*mncv2gp(?a,mnci1?,p1?) = -i_*mncv2gp(?a,mnci2,p1)/p1.p1;
*        id  mncDg(mnci2?,mnci1?,p1?)*mncv2gp(?a,mnci1?,p1?) = -i_*mncv2gp(?a,mnci2,p1)/p1.p1;
*        id  mncDg(mnci1?,mnci2?,-p1?)*mncv2gp(mnci1?,p1?,?a) = -i_*mncv2gp(mnci2,p1,?a)/p1.p1;
*        id  mncDg(mnci2?,mnci1?,-p1?)*mncv2gp(mnci1?,p1?,?a) = -i_*mncv2gp(mnci2,p1,?a)/p1.p1;
*        id  mncDg(mnci1?,mnci2?,-p1?)*mncv2gp(?a,mnci1?,p1?) = -i_*mncv2gp(?a,mnci2,p1)/p1.p1;
*        id  mncDg(mnci2?,mnci1?,-p1?)*mncv2gp(?a,mnci1?,p1?) = -i_*mncv2gp(?a,mnci2,p1)/p1.p1;
*	endrepeat;
*	repeat;
*        id  mncDg(mnci1?,mnci2?,p1?)*mncv2gc(mnci1?,p1?,?a) = -i_*mncv2gc(mnci2,p1,?a)/p1.p1;
*        id  mncDg(mnci2?,mnci1?,p1?)*mncv2gc(mnci1?,p1?,?a) = -i_*mncv2gc(mnci2,p1,?a)/p1.p1;
*        id  mncDg(mnci1?,mnci2?,p1?)*mncv2gc(?a,mnci1?,p1?) = -i_*mncv2gc(?a,mnci2,p1)/p1.p1;
*        id  mncDg(mnci2?,mnci1?,p1?)*mncv2gc(?a,mnci1?,p1?) = -i_*mncv2gc(?a,mnci2,p1)/p1.p1;
*        id  mncDg(mnci1?,mnci2?,-p1?)*mncv2gc(mnci1?,p1?,?a) = -i_*mncv2gc(mnci2,p1,?a)/p1.p1;
*        id  mncDg(mnci2?,mnci1?,-p1?)*mncv2gc(mnci1?,p1?,?a) = -i_*mncv2gc(mnci2,p1,?a)/p1.p1;
*        id  mncDg(mnci1?,mnci2?,-p1?)*mncv2gc(?a,mnci1?,p1?) = -i_*mncv2gc(?a,mnci2,p1)/p1.p1;
*        id  mncDg(mnci2?,mnci1?,-p1?)*mncv2gc(?a,mnci1?,p1?) = -i_*mncv2gc(?a,mnci2,p1)/p1.p1;
*    endrepeat;
	repeat;
		id	mncv2gz(alfa?,beta?,mnci1?,p1?,mnci2?,p2?)*mncDg(mnci1?,mnci3?,p1?) =
				-i_*mncv2gz(alfa,beta,mnci3,p1,mnci2,p2)/p1.p1
				-mncxi*mncxii*mncv2gzaux(alfa,beta,p1,p1,mnci2,p2)*p1(mnci3)/p1.p1/p1.p1;
		id	mncv2gz(alfa?,beta?,mnci1?,p1?,mnci2?,p2?)*mncDg(mnci2?,mnci3?,p2?) =
				-i_*mncv2gz(alfa,beta,mnci1,p1,mnci3,p2)/p2.p2
				-mncxi*mncxii*mncv2gzaux(alfa,beta,mnci1,p1,p2,p2)*p2(mnci3)/p2.p2/p2.p2;
		id	mncv2gz(alfa?,beta?,mnci1?,p1?,mnci2?,p2?)*mncDg(mnci1?,mnci3?,-p1?) =
				-i_*mncv2gz(alfa,beta,mnci3,p1,mnci2,p2)/p1.p1
				-mncxi*mncxii*mncv2gzaux(alfa,beta,p1,p1,mnci2,p2)*p1(mnci3)/p1.p1/p1.p1;
		id	mncv2gz(alfa?,beta?,mnci1?,p1?,mnci2?,p2?)*mncDg(mnci2?,mnci3?,-p2?) =
				-i_*mncv2gz(alfa,beta,mnci1,p1,mnci3,p2)/p2.p2
				-mncxi*mncxii*mncv2gzaux(alfa,beta,mnci1,p1,p2,p2)*p2(mnci3)/p2.p2/p2.p2;
	endrepeat;
    repeat;
        id,once,mncDg(mnci1?,mnci2?,mncp?)*mncv3g(?a,mnci1?,mncp?,?b) =
            -i_*mncv3g(?a,mnci2,mncp,?b)*mncDs(mncp)
            +i_*mncxi*mncp(mnci2)*mncv3g(?a,mncp,mncp,?b)*mncDs(mncp)*mncDs(mncp);

        id,once,mncDg(mnci1?,mnci2?,mncp?)*mncv3g(?a,mnci1?,-mncp?,?b) =
            -i_*mncv3g(?a,mnci2,-mncp,?b)*mncDs(mncp)
            -i_*mncxi*mncp(mnci2)*mncv3g(?a,-mncp,-mncp,?b)*mncDs(mncp)*mncDs(mncp);

        id,once,mncDg(mnci2?,mnci1?,mncp?)*mncv3g(?a,mnci1?,mncp?,?b) =
            -i_*mncv3g(?a,mnci2,mncp,?b)*mncDs(mncp)
            +i_*mncxi*mncp(mnci2)*mncv3g(?a,mncp,mncp,?b)*mncDs(mncp)*mncDs(mncp);

        id,once,mncDg(mnci2?,mnci1?,mncp?)*mncv3g(?a,mnci1?,-mncp?,?b) =
            -i_*mncv3g(?a,mnci2,-mncp,?b)*mncDs(mncp)
            -i_*mncxi*mncp(mnci2)*mncv3g(?a,-mncp,-mncp,?b)*mncDs(mncp)*mncDs(mncp);

        id,once,mncDg(mnci1?,mnci2?,mncp?)*mncv3gp(?a,mnci1?,mncp?,?b) =
            -i_*mncv3gp(?a,mnci2,mncp,?b)*mncDs(mncp)
            +i_*mncxi*mncp(mnci2)*mncv3gp(?a,mncp,mncp,?b)*mncDs(mncp)*mncDs(mncp);

        id,once,mncDg(mnci1?,mnci2?,mncp?)*mncv3gp(?a,mnci1?,-mncp?,?b) =
            -i_*mncv3gp(?a,mnci2,-mncp,?b)*mncDs(mncp)
            -i_*mncxi*mncp(mnci2)*mncv3gp(?a,-mncp,-mncp,?b)*mncDs(mncp)*mncDs(mncp);

        id,once,mncDg(mnci2?,mnci1?,mncp?)*mncv3gp(?a,mnci1?,mncp?,?b) =
            -i_*mncv3gp(?a,mnci2,mncp,?b)*mncDs(mncp)
            +i_*mncxi*mncp(mnci2)*mncv3gp(?a,mncp,mncp,?b)*mncDs(mncp)*mncDs(mncp);

        id,once,mncDg(mnci2?,mnci1?,mncp?)*mncv3gp(?a,mnci1?,-mncp?,?b) =
            -i_*mncv3gp(?a,mnci2,-mncp,?b)*mncDs(mncp)
            -i_*mncxi*mncp(mnci2)*mncv3gp(?a,-mncp,-mncp,?b)*mncDs(mncp)*mncDs(mncp);
    endrepeat;
#endif
#if ( `GAUGE' > 0 )
	id	mncxii = 1+<mncxi^1>+...+<mncxi^`GAUGE'>;
    if ( count(mncxi,1) > `GAUGE' ) discard;
#elseif ( `GAUGE' == 0 )
	id	mncxii = 1;
	id	mncxi = 0;
#endif
#else
    id  mncDg(mnci1?,mnci2?,mncp?) = -i_*d_(mnci1,mnci2)*mncDs(mncp);
#endif
id  mncDs(p1?) = 1/p1.p1;
id  mncDL(mnci1?,mncj1?,p1?) = -i_*d_(mnci1,mncj1)/p1.p1+i_*p1(mnci1)*p1(mncj1)/p1.p1^2;
id  mncv3g(?a,p3?,-p3?) = -mncv3g(?a,-p3,-p3);
id  mncv3g(mnci1?index_,p1?,p2?,-p2?,?a) = -mncv3g(mnci1,p1,-p2,-p2,?a);
id  mncv3g(p3?,p1?,p2?,-p2?,?a) = -mncv3g(p3,p1,-p2,-p2,?a);
id  mncv3g(p1?,-p1?,?a) = -mncv3g(-p1,-p1,?a);

.sort:Gluon Propagators;

repeat;
  repeat;
    repeat;
      repeat;
        repeat;
          repeat;
            repeat;
              id,mncv3g(p1?,p1?,p2?,p2?,p3?,p3?) = 0;
              id,mncv2gi(p1?,p1?,?a) = 0;
              id,mncv2gi(p1?,-p1?,?a) = 0;
              id,mncv2gi(?a,p1?,p1?) = 0;
              id,mncv2gi(?a,p1?,-p1?) = 0;
*              id,mncv2gp(p1?,p1?,?a) = 0;
*              id,mncv2gp(p1?,-p1?,?a) = 0;
*              id,mncv2gp(?a,p1?,p1?) = 0;
*              id,mncv2gp(?a,p1?,-p1?) = 0;
*              id,mncv2gc(p1?,p1?,?a) = 0;
*              id,mncv2gc(p1?,-p1?,?a) = 0;
*              id,mncv2gc(?a,p1?,p1?) = 0;
*              id,mncv2gc(?a,p1?,-p1?) = 0;
              id,once,mncv3g(p1?,p1?,p2?,p2?,mnci3?,p3?) =
                    -i_*p3.p3*p2(mnci3)+i_*p2.p3*p3(mnci3);
              id    mncv3g(?a,p3?,-p3?) = -mncv3g(?a,-p3,-p3);
              id    mncv3g(mnci1?index_,p1?,p2?,-p2?,?a) = -mncv3g(mnci1,p1,-p2,-p2,?a);
              id    mncv3g(p3?,p1?,p2?,-p2?,?a) = -mncv3g(p3,p1,-p2,-p2,?a);
              id    mncv3g(p1?,-p1?,?a) = -mncv3g(-p1,-p1,?a);
            endrepeat;
            id,once,mncv3g(mnci3?,p3?,p1?,p1?,p2?,p2?) =
                -i_*p3.p3*p2(mnci3)+i_*p2.p3*p3(mnci3);
            id  mncv3g(?a,p3?,-p3?) = -mncv3g(?a,-p3,-p3);
            id  mncv3g(mnci1?index_,p1?,p2?,-p2?,?a) = -mncv3g(mnci1,p1,-p2,-p2,?a);
            id  mncv3g(p3?,p1?,p2?,-p2?,?a) = -mncv3g(p3,p1,-p2,-p2,?a);
            id  mncv3g(p1?,-p1?,?a) = -mncv3g(-p1,-p1,?a);
          endrepeat;
          id,once,mncv3g(p2?,p2?,mnci3?,p3?,p1?,p1?) =
                -i_*p3.p3*p2(mnci3)+i_*p2.p3*p3(mnci3);
          id    mncv3g(?a,p3?,-p3?) = -mncv3g(?a,-p3,-p3);
          id    mncv3g(mnci1?index_,p1?,p2?,-p2?,?a) = -mncv3g(mnci1,p1,-p2,-p2,?a);
          id    mncv3g(p3?,p1?,p2?,-p2?,?a) = -mncv3g(p3,p1,-p2,-p2,?a);
          id    mncv3g(p1?,-p1?,?a) = -mncv3g(-p1,-p1,?a);
        endrepeat;
        id,once,mncv3g(p1?,p1?,mnci2?,p2?,mnci3?,p3?) =
            -i_*p2(mnci2)*p2(mnci3)+i_*p3(mnci2)*p3(mnci3)-i_*p3.p3*d_(mnci2,mnci3)+i_*p2.p2*d_(mnci2,mnci3);
        id  mncv3g(?a,p3?,-p3?) = -mncv3g(?a,-p3,-p3);
        id  mncv3g(mnci1?index_,p1?,p2?,-p2?,?a) = -mncv3g(mnci1,p1,-p2,-p2,?a);
        id  mncv3g(p3?,p1?,p2?,-p2?,?a) = -mncv3g(p3,p1,-p2,-p2,?a);
        id  mncv3g(p1?,-p1?,?a) = -mncv3g(-p1,-p1,?a);
      endrepeat;
      id,once,mncv3g(mnci3?,p3?,p1?,p1?,mnci2?,p2?) =
        -i_*p2(mnci2)*p2(mnci3)+i_*p3(mnci2)*p3(mnci3)-i_*p3.p3*d_(mnci2,mnci3)+i_*p2.p2*d_(mnci2,mnci3);
      id    mncv3g(?a,p3?,-p3?) = -mncv3g(?a,-p3,-p3);
      id    mncv3g(mnci1?index_,p1?,p2?,-p2?,?a) = -mncv3g(mnci1,p1,-p2,-p2,?a);
      id    mncv3g(p3?,p1?,p2?,-p2?,?a) = -mncv3g(p3,p1,-p2,-p2,?a);
      id    mncv3g(p1?,-p1?,?a) = -mncv3g(-p1,-p1,?a);
    endrepeat;
    id,once,mncv3g(mnci2?,p2?,mnci3?,p3?,p1?,p1?) =
        -i_*p2(mnci2)*p2(mnci3)+i_*p3(mnci2)*p3(mnci3)-i_*p3.p3*d_(mnci2,mnci3)+i_*p2.p2*d_(mnci2,mnci3);
    id  mncv3g(?a,p3?,-p3?) = -mncv3g(?a,-p3,-p3);
    id  mncv3g(mnci1?index_,p1?,p2?,-p2?,?a) = -mncv3g(mnci1,p1,-p2,-p2,?a);
    id  mncv3g(p3?,p1?,p2?,-p2?,?a) = -mncv3g(p3,p1,-p2,-p2,?a);
    id  mncv3g(p1?,-p1?,?a) = -mncv3g(-p1,-p1,?a);
  endrepeat;
  id,once,mncv3g(mnci1?,p1?,mnci2?,p2?,mnci3?,p3?) =
             -2*i_*p1(mnci3)*d_(mnci1,mnci2)-i_*p3(mnci3)*d_(mnci1,mnci2)
             -2*i_*p2(mnci1)*d_(mnci2,mnci3)-i_*p1(mnci1)*d_(mnci2,mnci3)
             -2*i_*p3(mnci2)*d_(mnci3,mnci1)-i_*p2(mnci2)*d_(mnci3,mnci1);
  id    mncv3g(?a,p3?,-p3?) = -mncv3g(?a,-p3,-p3);
  id    mncv3g(mnci1?index_,p1?,p2?,-p2?,?a) = -mncv3g(mnci1,p1,-p2,-p2,?a);
  id    mncv3g(p3?,p1?,p2?,-p2?,?a) = -mncv3g(p3,p1,-p2,-p2,?a);
  id    mncv3g(p1?,-p1?,?a) = -mncv3g(-p1,-p1,?a);
endrepeat;
id  mncv4g(mnci1?,mnci2?,mnci3?,mnci4?) = -i_*(d_(mnci1,mnci3)*d_(mnci2,mnci4)-d_(mnci1,mnci4)*d_(mnci2,mnci3));

id  mncV4G(mnci1?,mnci2?,mnci3?,mnci4?,mncx1?,mncx2?,mncx3?) =
    -i_*mncx1*(d_(mnci1,mnci3)*d_(mnci2,mnci4)-d_(mnci1,mnci4)*d_(mnci2,mnci3))
    -i_*mncx2*(d_(mnci1,mnci2)*d_(mnci3,mnci4)-d_(mnci1,mnci4)*d_(mnci2,mnci3))
    -i_*mncx3*(d_(mnci1,mnci3)*d_(mnci2,mnci4)-d_(mnci1,mnci2)*d_(mnci3,mnci4));

#ifdef `GAUGE'
#if ( `GAUGE' != 0 )
    id  mncDg(mnci1?,mnci2?,mncp?) = -i_*(d_(mnci1,mnci2)-mncxi*mncp(mnci1)*mncp(mnci2)/mncp.mncp)/mncp.mncp;
#endif
#endif

id  D = acc(4-2*ep);

id	P.P = 0;

id  mncv2gi(mnci1?,p1?,mnci2?,p2?) = -i_*(d_(mnci1,mnci2)*p1.p2-p1(mnci2)*p2(mnci1));
id  mncv3gi(mnci1?,p1?,mnci2?,p2?,mnci3?,p3?) = i_*(
        d_(mnci1,mnci2)*(p1(mnci3)-p2(mnci3))+d_(mnci2,mnci3)*(p2(mnci1)-p3(mnci1))
        +d_(mnci3,mnci1)*(p3(mnci2)-p1(mnci2)));


id  mncv2gp(mnci1?,p1?,mnci2?,p2?) = -i_*(d_(mnci1,mnci2)*p1.p2-p1(mnci2)*p2(mnci1));
id  mncv3gp(mnci1?,p1?,mnci2?,p2?,mnci3?,p3?) = i_*(
        d_(mnci1,mnci2)*(p1(mnci3)-p2(mnci3))+d_(mnci2,mnci3)*(p2(mnci1)-p3(mnci1))
        +d_(mnci3,mnci1)*(p3(mnci2)-p1(mnci2)));

id	P.P = 0;

id	mncv2gc(mnci1?,p1?,mnci2?,p2?) = -i_*e_(mnci1,p1,mnci2,p2);
id	mncv3gc(mnci1?,p1?,mnci2?,p2?,mnci3?,p3?) = i_*(
			e_(mnci1,mnci2,mnci3,p1)+e_(mnci1,mnci2,mnci3,p2)+e_(mnci1,mnci2,mnci3,p3));
id	mncv3gc(mncp?,mnci1?,mnci2?,mnci3?) = i_*e_(mnci1,mnci2,mnci3,mncp);
id	mncv3gc(mnci1?,mnci2?,mnci3?,mncp?) = -i_*e_(mnci1,mnci2,mnci3,mncp);
*id	mncv4gc(mnci1?,mnci2?,mnci3?,mnci4?) = -i_*e_(mnci1,mnci2,mnci3,mnci4);
id	mncv4gc(mnci1?,mnci2?,mnci3?,mnci4?) = 0;
*
*	Next are the graviton vertices.
*	We took them from Ebert, Plefka and Rodigast, except for the 4 gluon one
*	which comes (modulus some errors) from Brandt, Frenkel and Taylor.
*	(the other vertices are also in the last paper and also full of errors).
*	Look for error by taking the gravition trace which should go to zero....
*
.sort:Vertex sub-2;
#do isubloop = 1,1
#$isubl = 0;
repeat;
id	mncv2gz(alfa?,beta?,p1?,p1?,mnci2?,p2?) =
				 mncv2gzaux(alfa,beta,p1,p1,mnci2,p2)*i_*mncxii;
id	mncv2gz(alfa?,beta?,-p1?,p1?,mnci2?,p2?) =
				-mncv2gzaux(alfa,beta,p1,p1,mnci2,p2)*i_*mncxii;
id	mncv2gz(alfa?,beta?,mnci1?,p1?,p2?,p2?) =
				 mncv2gzaux(alfa,beta,mnci1,p1,p2,p2)*i_*mncxii;
id	mncv2gz(alfa?,beta?,mnci1?,p1?,-p2?,p2?) =
				-mncv2gzaux(alfa,beta,mnci1,p1,p2,p2)*i_*mncxii;
#ifndef `GAUGE'
	id	mncxii = 1;
	id	mncxi = 0;
#else
	#if ( `GAUGE' > 0 )
		id mncxii = 1+<mncxi^1>+...+<mncxi^`GAUGE'>;
		if ( count(mncxi,1) > `GAUGE' ) Discard;
	#elseif ( `GAUGE' == 0 )
		id	mncxii = 1;
		id	mncxi = 0;
	#else
		repeat id mncxi*mncxii = -1+mncxii;
	#endif
#endif

id	mncv2gzaux(alfa?,beta?,p1?,p1?,mnci2?,p2?) =
       - 1/2*p1(alfa)*p2(beta)*p2(mnci2)
       - 1/2*p1(beta)*p2(alfa)*p2(mnci2)
       + 1/2*d_(alfa,beta)*p1(mnci2)*p1.p1
       + 1/2*d_(alfa,beta)*p2(mnci2)*p1.p1
       + 1/2*d_(alfa,beta)*p2(mnci2)*p1.p2
       - 1/2*d_(alfa,mnci2)*p1(beta)*p1.p1
       - 1/2*d_(beta,mnci2)*p1(alfa)*p1.p1
      ;
id	mncv2gzaux(alfa?,beta?,mnci1?,p1?,p2?,p2?) =
       - 1/2*p1(alfa)*p1(mnci1)*p2(beta)
       - 1/2*p1(beta)*p1(mnci1)*p2(alfa)
       + 1/2*d_(alfa,beta)*p1(mnci1)*p1.p2
       + 1/2*d_(alfa,beta)*p1(mnci1)*p2.p2
       + 1/2*d_(alfa,beta)*p2(mnci1)*p2.p2
       - 1/2*d_(alfa,mnci1)*p2(beta)*p2.p2
       - 1/2*d_(beta,mnci1)*p2(alfa)*p2.p2
      ;
endrepeat;

id	mncv3gz(alfa?,beta?,p1?,p1?,p2?,p2?,p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,p1?,p1?,p2?,p2?,-p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,p1?,p1?,-p2?,p2?,p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,p1?,p1?,-p2?,p2?,-p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,-p1?,p1?,p2?,p2?,p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,-p1?,p1?,p2?,p2?,-p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,-p1?,p1?,-p2?,p2?,p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,-p1?,p1?,-p2?,p2?,-p3?,p3?) = 0;

.sort:Vertex sub-2a;
repeat;
repeat;    
repeat;
id	mncv2gz(alfa?,beta?,p1?,p1?,mnci2?,p2?) =
				 mncv2gzaux(alfa,beta,p1,p1,mnci2,p2)*i_*mncxii;
id	mncv2gz(alfa?,beta?,-p1?,p1?,mnci2?,p2?) =
				-mncv2gzaux(alfa,beta,p1,p1,mnci2,p2)*i_*mncxii;
id	mncv2gz(alfa?,beta?,mnci1?,p1?,p2?,p2?) =
				 mncv2gzaux(alfa,beta,mnci1,p1,p2,p2)*i_*mncxii;
id	mncv2gz(alfa?,beta?,mnci1?,p1?,-p2?,p2?) =
				-mncv2gzaux(alfa,beta,mnci1,p1,p2,p2)*i_*mncxii;
#ifndef `GAUGE'
	id	mncxii = 1;
	id	mncxi = 0;
#else
	#if ( `GAUGE' > 0 )
		id mncxii = 1+<mncxi^1>+...+<mncxi^`GAUGE'>;
		if ( count(mncxi,1) > `GAUGE' ) Discard;
	#elseif ( `GAUGE' == 0 )
		id	mncxii = 1;
		id	mncxi = 0;
	#else
		repeat id mncxi*mncxii = -1+mncxii;
	#endif
#endif

id	mncv2gzaux(alfa?,beta?,p1?,p1?,mnci2?,p2?) =
       - 1/2*p1(alfa)*p2(beta)*p2(mnci2)
       - 1/2*p1(beta)*p2(alfa)*p2(mnci2)
       + 1/2*d_(alfa,beta)*p1(mnci2)*p1.p1
       + 1/2*d_(alfa,beta)*p2(mnci2)*p1.p1
       + 1/2*d_(alfa,beta)*p2(mnci2)*p1.p2
       - 1/2*d_(alfa,mnci2)*p1(beta)*p1.p1
       - 1/2*d_(beta,mnci2)*p1(alfa)*p1.p1
      ;
id	mncv2gzaux(alfa?,beta?,mnci1?,p1?,p2?,p2?) =
       - 1/2*p1(alfa)*p1(mnci1)*p2(beta)
       - 1/2*p1(beta)*p1(mnci1)*p2(alfa)
       + 1/2*d_(alfa,beta)*p1(mnci1)*p1.p2
       + 1/2*d_(alfa,beta)*p1(mnci1)*p2.p2
       + 1/2*d_(alfa,beta)*p2(mnci1)*p2.p2
       - 1/2*d_(alfa,mnci1)*p2(beta)*p2.p2
       - 1/2*d_(beta,mnci1)*p2(alfa)*p2.p2
      ;
endrepeat;

id	mncv3gz(alfa?,beta?,p1?,p1?,p2?,p2?,p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,p1?,p1?,p2?,p2?,-p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,p1?,p1?,-p2?,p2?,p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,p1?,p1?,-p2?,p2?,-p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,-p1?,p1?,p2?,p2?,p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,-p1?,p1?,p2?,p2?,-p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,-p1?,p1?,-p2?,p2?,p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,-p1?,p1?,-p2?,p2?,-p3?,p3?) = 0;
endrepeat;
id	mncv3gz(alfa?,beta?,p1?,p1?,p2?,p2?,mnci3?,p3?) =
       + 1/2*p1(alfa)*p2(mnci3)*p3(beta)*i_
       + 1/2*p1(beta)*p2(mnci3)*p3(alfa)*i_
       - 1/2*p1(mnci3)*p2(alfa)*p3(beta)*i_
       - 1/2*p1(mnci3)*p2(beta)*p3(alfa)*i_
       + 1/2*d_(alfa,beta)*p1(mnci3)*p2.p3*i_
       - 1/2*d_(alfa,beta)*p2(mnci3)*p1.p3*i_
       - 1/2*d_(alfa,mnci3)*p1(beta)*p2.p3*i_
       + 1/2*d_(alfa,mnci3)*p2(beta)*p1.p3*i_
       - 1/2*d_(beta,mnci3)*p1(alfa)*p2.p3*i_
       + 1/2*d_(beta,mnci3)*p2(alfa)*p1.p3*i_
			;
id	mncv3gz(alfa?,beta?,p1?,p1?,mnci2?,p2?,p3?,p3?) =
       - 1/2*p1(alfa)*p2(beta)*p3(mnci2)*i_
       - 1/2*p1(beta)*p2(alfa)*p3(mnci2)*i_
       + 1/2*p1(mnci2)*p2(alfa)*p3(beta)*i_
       + 1/2*p1(mnci2)*p2(beta)*p3(alfa)*i_
       - 1/2*d_(alfa,beta)*p1(mnci2)*p2.p3*i_
       + 1/2*d_(alfa,beta)*p3(mnci2)*p1.p2*i_
       + 1/2*d_(alfa,mnci2)*p1(beta)*p2.p3*i_
       - 1/2*d_(alfa,mnci2)*p3(beta)*p1.p2*i_
       + 1/2*d_(beta,mnci2)*p1(alfa)*p2.p3*i_
       - 1/2*d_(beta,mnci2)*p3(alfa)*p1.p2*i_
			;
id	mncv3gz(alfa?,beta?,mnci1?,p1?,p2?,p2?,p3?,p3?) =
       + 1/2*p1(alfa)*p2(beta)*p3(mnci1)*i_
       - 1/2*p1(alfa)*p2(mnci1)*p3(beta)*i_
       + 1/2*p1(beta)*p2(alfa)*p3(mnci1)*i_
       - 1/2*p1(beta)*p2(mnci1)*p3(alfa)*i_
       + 1/2*d_(alfa,beta)*p2(mnci1)*p1.p3*i_
       - 1/2*d_(alfa,beta)*p3(mnci1)*p1.p2*i_
       - 1/2*d_(alfa,mnci1)*p2(beta)*p1.p3*i_
       + 1/2*d_(alfa,mnci1)*p3(beta)*p1.p2*i_
       - 1/2*d_(beta,mnci1)*p2(alfa)*p1.p3*i_
       + 1/2*d_(beta,mnci1)*p3(alfa)*p1.p2*i_
			;
id	mncv3gz(alfa?,beta?,p1?,p1?,-p2?,p2?,mnci3?,p3?) = -(
       + 1/2*p1(alfa)*p2(mnci3)*p3(beta)*i_
       + 1/2*p1(beta)*p2(mnci3)*p3(alfa)*i_
       - 1/2*p1(mnci3)*p2(alfa)*p3(beta)*i_
       - 1/2*p1(mnci3)*p2(beta)*p3(alfa)*i_
       + 1/2*d_(alfa,beta)*p1(mnci3)*p2.p3*i_
       - 1/2*d_(alfa,beta)*p2(mnci3)*p1.p3*i_
       - 1/2*d_(alfa,mnci3)*p1(beta)*p2.p3*i_
       + 1/2*d_(alfa,mnci3)*p2(beta)*p1.p3*i_
       - 1/2*d_(beta,mnci3)*p1(alfa)*p2.p3*i_
       + 1/2*d_(beta,mnci3)*p2(alfa)*p1.p3*i_
			);
id	mncv3gz(alfa?,beta?,p1?,p1?,mnci2?,p2?,-p3?,p3?) = -(
       - 1/2*p1(alfa)*p2(beta)*p3(mnci2)*i_
       - 1/2*p1(beta)*p2(alfa)*p3(mnci2)*i_
       + 1/2*p1(mnci2)*p2(alfa)*p3(beta)*i_
       + 1/2*p1(mnci2)*p2(beta)*p3(alfa)*i_
       - 1/2*d_(alfa,beta)*p1(mnci2)*p2.p3*i_
       + 1/2*d_(alfa,beta)*p3(mnci2)*p1.p2*i_
       + 1/2*d_(alfa,mnci2)*p1(beta)*p2.p3*i_
       - 1/2*d_(alfa,mnci2)*p3(beta)*p1.p2*i_
       + 1/2*d_(beta,mnci2)*p1(alfa)*p2.p3*i_
       - 1/2*d_(beta,mnci2)*p3(alfa)*p1.p2*i_
			);
id	mncv3gz(alfa?,beta?,mnci1?,p1?,p2?,p2?,-p3?,p3?) = -(
       + 1/2*p1(alfa)*p2(beta)*p3(mnci1)*i_
       - 1/2*p1(alfa)*p2(mnci1)*p3(beta)*i_
       + 1/2*p1(beta)*p2(alfa)*p3(mnci1)*i_
       - 1/2*p1(beta)*p2(mnci1)*p3(alfa)*i_
       + 1/2*d_(alfa,beta)*p2(mnci1)*p1.p3*i_
       - 1/2*d_(alfa,beta)*p3(mnci1)*p1.p2*i_
       - 1/2*d_(alfa,mnci1)*p2(beta)*p1.p3*i_
       + 1/2*d_(alfa,mnci1)*p3(beta)*p1.p2*i_
       - 1/2*d_(beta,mnci1)*p2(alfa)*p1.p3*i_
       + 1/2*d_(beta,mnci1)*p3(alfa)*p1.p2*i_
			);
id	mncv3gz(alfa?,beta?,-p1?,p1?,p2?,p2?,mnci3?,p3?) = -(
       + 1/2*p1(alfa)*p2(mnci3)*p3(beta)*i_
       + 1/2*p1(beta)*p2(mnci3)*p3(alfa)*i_
       - 1/2*p1(mnci3)*p2(alfa)*p3(beta)*i_
       - 1/2*p1(mnci3)*p2(beta)*p3(alfa)*i_
       + 1/2*d_(alfa,beta)*p1(mnci3)*p2.p3*i_
       - 1/2*d_(alfa,beta)*p2(mnci3)*p1.p3*i_
       - 1/2*d_(alfa,mnci3)*p1(beta)*p2.p3*i_
       + 1/2*d_(alfa,mnci3)*p2(beta)*p1.p3*i_
       - 1/2*d_(beta,mnci3)*p1(alfa)*p2.p3*i_
       + 1/2*d_(beta,mnci3)*p2(alfa)*p1.p3*i_
			);
id	mncv3gz(alfa?,beta?,-p1?,p1?,mnci2?,p2?,p3?,p3?) = -(
       - 1/2*p1(alfa)*p2(beta)*p3(mnci2)*i_
       - 1/2*p1(beta)*p2(alfa)*p3(mnci2)*i_
       + 1/2*p1(mnci2)*p2(alfa)*p3(beta)*i_
       + 1/2*p1(mnci2)*p2(beta)*p3(alfa)*i_
       - 1/2*d_(alfa,beta)*p1(mnci2)*p2.p3*i_
       + 1/2*d_(alfa,beta)*p3(mnci2)*p1.p2*i_
       + 1/2*d_(alfa,mnci2)*p1(beta)*p2.p3*i_
       - 1/2*d_(alfa,mnci2)*p3(beta)*p1.p2*i_
       + 1/2*d_(beta,mnci2)*p1(alfa)*p2.p3*i_
       - 1/2*d_(beta,mnci2)*p3(alfa)*p1.p2*i_
			);
id	mncv3gz(alfa?,beta?,mnci1?,p1?,-p2?,p2?,p3?,p3?) = -(
       + 1/2*p1(alfa)*p2(beta)*p3(mnci1)*i_
       - 1/2*p1(alfa)*p2(mnci1)*p3(beta)*i_
       + 1/2*p1(beta)*p2(alfa)*p3(mnci1)*i_
       - 1/2*p1(beta)*p2(mnci1)*p3(alfa)*i_
       + 1/2*d_(alfa,beta)*p2(mnci1)*p1.p3*i_
       - 1/2*d_(alfa,beta)*p3(mnci1)*p1.p2*i_
       - 1/2*d_(alfa,mnci1)*p2(beta)*p1.p3*i_
       + 1/2*d_(alfa,mnci1)*p3(beta)*p1.p2*i_
       - 1/2*d_(beta,mnci1)*p2(alfa)*p1.p3*i_
       + 1/2*d_(beta,mnci1)*p3(alfa)*p1.p2*i_
			);
id	mncv3gz(alfa?,beta?,-p1?,p1?,-p2?,p2?,mnci3?,p3?) =
       + 1/2*p1(alfa)*p2(mnci3)*p3(beta)*i_
       + 1/2*p1(beta)*p2(mnci3)*p3(alfa)*i_
       - 1/2*p1(mnci3)*p2(alfa)*p3(beta)*i_
       - 1/2*p1(mnci3)*p2(beta)*p3(alfa)*i_
       + 1/2*d_(alfa,beta)*p1(mnci3)*p2.p3*i_
       - 1/2*d_(alfa,beta)*p2(mnci3)*p1.p3*i_
       - 1/2*d_(alfa,mnci3)*p1(beta)*p2.p3*i_
       + 1/2*d_(alfa,mnci3)*p2(beta)*p1.p3*i_
       - 1/2*d_(beta,mnci3)*p1(alfa)*p2.p3*i_
       + 1/2*d_(beta,mnci3)*p2(alfa)*p1.p3*i_
			;
id	mncv3gz(alfa?,beta?,-p1?,p1?,mnci2?,p2?,-p3?,p3?) =
       - 1/2*p1(alfa)*p2(beta)*p3(mnci2)*i_
       - 1/2*p1(beta)*p2(alfa)*p3(mnci2)*i_
       + 1/2*p1(mnci2)*p2(alfa)*p3(beta)*i_
       + 1/2*p1(mnci2)*p2(beta)*p3(alfa)*i_
       - 1/2*d_(alfa,beta)*p1(mnci2)*p2.p3*i_
       + 1/2*d_(alfa,beta)*p3(mnci2)*p1.p2*i_
       + 1/2*d_(alfa,mnci2)*p1(beta)*p2.p3*i_
       - 1/2*d_(alfa,mnci2)*p3(beta)*p1.p2*i_
       + 1/2*d_(beta,mnci2)*p1(alfa)*p2.p3*i_
       - 1/2*d_(beta,mnci2)*p3(alfa)*p1.p2*i_
			;
id	mncv3gz(alfa?,beta?,mnci1?,p1?,-p2?,p2?,-p3?,p3?) =
       + 1/2*p1(alfa)*p2(beta)*p3(mnci1)*i_
       - 1/2*p1(alfa)*p2(mnci1)*p3(beta)*i_
       + 1/2*p1(beta)*p2(alfa)*p3(mnci1)*i_
       - 1/2*p1(beta)*p2(mnci1)*p3(alfa)*i_
       + 1/2*d_(alfa,beta)*p2(mnci1)*p1.p3*i_
       - 1/2*d_(alfa,beta)*p3(mnci1)*p1.p2*i_
       - 1/2*d_(alfa,mnci1)*p2(beta)*p1.p3*i_
       + 1/2*d_(alfa,mnci1)*p3(beta)*p1.p2*i_
       - 1/2*d_(beta,mnci1)*p2(alfa)*p1.p3*i_
       + 1/2*d_(beta,mnci1)*p3(alfa)*p1.p2*i_
			;
endrepeat;

.sort:Vertex sub-2b;

repeat;
repeat;
repeat;    
repeat;
id	mncv2gz(alfa?,beta?,p1?,p1?,mnci2?,p2?) =
				 mncv2gzaux(alfa,beta,p1,p1,mnci2,p2)*i_*mncxii;
id	mncv2gz(alfa?,beta?,-p1?,p1?,mnci2?,p2?) =
				-mncv2gzaux(alfa,beta,p1,p1,mnci2,p2)*i_*mncxii;
id	mncv2gz(alfa?,beta?,mnci1?,p1?,p2?,p2?) =
				 mncv2gzaux(alfa,beta,mnci1,p1,p2,p2)*i_*mncxii;
id	mncv2gz(alfa?,beta?,mnci1?,p1?,-p2?,p2?) =
				-mncv2gzaux(alfa,beta,mnci1,p1,p2,p2)*i_*mncxii;
#ifndef `GAUGE'
	id	mncxii = 1;
	id	mncxi = 0;
#else
	#if ( `GAUGE' > 0 )
		id mncxii = 1+<mncxi^1>+...+<mncxi^`GAUGE'>;
		if ( count(mncxi,1) > `GAUGE' ) Discard;
	#elseif ( `GAUGE' == 0 )
		id	mncxii = 1;
		id	mncxi = 0;
	#else
		repeat id mncxi*mncxii = -1+mncxii;
	#endif
#endif

id	mncv2gzaux(alfa?,beta?,p1?,p1?,mnci2?,p2?) =
       - 1/2*p1(alfa)*p2(beta)*p2(mnci2)
       - 1/2*p1(beta)*p2(alfa)*p2(mnci2)
       + 1/2*d_(alfa,beta)*p1(mnci2)*p1.p1
       + 1/2*d_(alfa,beta)*p2(mnci2)*p1.p1
       + 1/2*d_(alfa,beta)*p2(mnci2)*p1.p2
       - 1/2*d_(alfa,mnci2)*p1(beta)*p1.p1
       - 1/2*d_(beta,mnci2)*p1(alfa)*p1.p1
      ;
id	mncv2gzaux(alfa?,beta?,mnci1?,p1?,p2?,p2?) =
       - 1/2*p1(alfa)*p1(mnci1)*p2(beta)
       - 1/2*p1(beta)*p1(mnci1)*p2(alfa)
       + 1/2*d_(alfa,beta)*p1(mnci1)*p1.p2
       + 1/2*d_(alfa,beta)*p1(mnci1)*p2.p2
       + 1/2*d_(alfa,beta)*p2(mnci1)*p2.p2
       - 1/2*d_(alfa,mnci1)*p2(beta)*p2.p2
       - 1/2*d_(beta,mnci1)*p2(alfa)*p2.p2
      ;
endrepeat;

id	mncv3gz(alfa?,beta?,p1?,p1?,p2?,p2?,p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,p1?,p1?,p2?,p2?,-p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,p1?,p1?,-p2?,p2?,p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,p1?,p1?,-p2?,p2?,-p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,-p1?,p1?,p2?,p2?,p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,-p1?,p1?,p2?,p2?,-p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,-p1?,p1?,-p2?,p2?,p3?,p3?) = 0;
id	mncv3gz(alfa?,beta?,-p1?,p1?,-p2?,p2?,-p3?,p3?) = 0;
endrepeat;
id	mncv3gz(alfa?,beta?,p1?,p1?,p2?,p2?,mnci3?,p3?) =
       + 1/2*p1(alfa)*p2(mnci3)*p3(beta)*i_
       + 1/2*p1(beta)*p2(mnci3)*p3(alfa)*i_
       - 1/2*p1(mnci3)*p2(alfa)*p3(beta)*i_
       - 1/2*p1(mnci3)*p2(beta)*p3(alfa)*i_
       + 1/2*d_(alfa,beta)*p1(mnci3)*p2.p3*i_
       - 1/2*d_(alfa,beta)*p2(mnci3)*p1.p3*i_
       - 1/2*d_(alfa,mnci3)*p1(beta)*p2.p3*i_
       + 1/2*d_(alfa,mnci3)*p2(beta)*p1.p3*i_
       - 1/2*d_(beta,mnci3)*p1(alfa)*p2.p3*i_
       + 1/2*d_(beta,mnci3)*p2(alfa)*p1.p3*i_
			;
id	mncv3gz(alfa?,beta?,p1?,p1?,mnci2?,p2?,p3?,p3?) =
       - 1/2*p1(alfa)*p2(beta)*p3(mnci2)*i_
       - 1/2*p1(beta)*p2(alfa)*p3(mnci2)*i_
       + 1/2*p1(mnci2)*p2(alfa)*p3(beta)*i_
       + 1/2*p1(mnci2)*p2(beta)*p3(alfa)*i_
       - 1/2*d_(alfa,beta)*p1(mnci2)*p2.p3*i_
       + 1/2*d_(alfa,beta)*p3(mnci2)*p1.p2*i_
       + 1/2*d_(alfa,mnci2)*p1(beta)*p2.p3*i_
       - 1/2*d_(alfa,mnci2)*p3(beta)*p1.p2*i_
       + 1/2*d_(beta,mnci2)*p1(alfa)*p2.p3*i_
       - 1/2*d_(beta,mnci2)*p3(alfa)*p1.p2*i_
			;
id	mncv3gz(alfa?,beta?,mnci1?,p1?,p2?,p2?,p3?,p3?) =
       + 1/2*p1(alfa)*p2(beta)*p3(mnci1)*i_
       - 1/2*p1(alfa)*p2(mnci1)*p3(beta)*i_
       + 1/2*p1(beta)*p2(alfa)*p3(mnci1)*i_
       - 1/2*p1(beta)*p2(mnci1)*p3(alfa)*i_
       + 1/2*d_(alfa,beta)*p2(mnci1)*p1.p3*i_
       - 1/2*d_(alfa,beta)*p3(mnci1)*p1.p2*i_
       - 1/2*d_(alfa,mnci1)*p2(beta)*p1.p3*i_
       + 1/2*d_(alfa,mnci1)*p3(beta)*p1.p2*i_
       - 1/2*d_(beta,mnci1)*p2(alfa)*p1.p3*i_
       + 1/2*d_(beta,mnci1)*p3(alfa)*p1.p2*i_
			;
id	mncv3gz(alfa?,beta?,p1?,p1?,-p2?,p2?,mnci3?,p3?) = -(
       + 1/2*p1(alfa)*p2(mnci3)*p3(beta)*i_
       + 1/2*p1(beta)*p2(mnci3)*p3(alfa)*i_
       - 1/2*p1(mnci3)*p2(alfa)*p3(beta)*i_
       - 1/2*p1(mnci3)*p2(beta)*p3(alfa)*i_
       + 1/2*d_(alfa,beta)*p1(mnci3)*p2.p3*i_
       - 1/2*d_(alfa,beta)*p2(mnci3)*p1.p3*i_
       - 1/2*d_(alfa,mnci3)*p1(beta)*p2.p3*i_
       + 1/2*d_(alfa,mnci3)*p2(beta)*p1.p3*i_
       - 1/2*d_(beta,mnci3)*p1(alfa)*p2.p3*i_
       + 1/2*d_(beta,mnci3)*p2(alfa)*p1.p3*i_
			);
id	mncv3gz(alfa?,beta?,p1?,p1?,mnci2?,p2?,-p3?,p3?) = -(
       - 1/2*p1(alfa)*p2(beta)*p3(mnci2)*i_
       - 1/2*p1(beta)*p2(alfa)*p3(mnci2)*i_
       + 1/2*p1(mnci2)*p2(alfa)*p3(beta)*i_
       + 1/2*p1(mnci2)*p2(beta)*p3(alfa)*i_
       - 1/2*d_(alfa,beta)*p1(mnci2)*p2.p3*i_
       + 1/2*d_(alfa,beta)*p3(mnci2)*p1.p2*i_
       + 1/2*d_(alfa,mnci2)*p1(beta)*p2.p3*i_
       - 1/2*d_(alfa,mnci2)*p3(beta)*p1.p2*i_
       + 1/2*d_(beta,mnci2)*p1(alfa)*p2.p3*i_
       - 1/2*d_(beta,mnci2)*p3(alfa)*p1.p2*i_
			);
id	mncv3gz(alfa?,beta?,mnci1?,p1?,p2?,p2?,-p3?,p3?) = -(
       + 1/2*p1(alfa)*p2(beta)*p3(mnci1)*i_
       - 1/2*p1(alfa)*p2(mnci1)*p3(beta)*i_
       + 1/2*p1(beta)*p2(alfa)*p3(mnci1)*i_
       - 1/2*p1(beta)*p2(mnci1)*p3(alfa)*i_
       + 1/2*d_(alfa,beta)*p2(mnci1)*p1.p3*i_
       - 1/2*d_(alfa,beta)*p3(mnci1)*p1.p2*i_
       - 1/2*d_(alfa,mnci1)*p2(beta)*p1.p3*i_
       + 1/2*d_(alfa,mnci1)*p3(beta)*p1.p2*i_
       - 1/2*d_(beta,mnci1)*p2(alfa)*p1.p3*i_
       + 1/2*d_(beta,mnci1)*p3(alfa)*p1.p2*i_
			);
id	mncv3gz(alfa?,beta?,-p1?,p1?,p2?,p2?,mnci3?,p3?) = -(
       + 1/2*p1(alfa)*p2(mnci3)*p3(beta)*i_
       + 1/2*p1(beta)*p2(mnci3)*p3(alfa)*i_
       - 1/2*p1(mnci3)*p2(alfa)*p3(beta)*i_
       - 1/2*p1(mnci3)*p2(beta)*p3(alfa)*i_
       + 1/2*d_(alfa,beta)*p1(mnci3)*p2.p3*i_
       - 1/2*d_(alfa,beta)*p2(mnci3)*p1.p3*i_
       - 1/2*d_(alfa,mnci3)*p1(beta)*p2.p3*i_
       + 1/2*d_(alfa,mnci3)*p2(beta)*p1.p3*i_
       - 1/2*d_(beta,mnci3)*p1(alfa)*p2.p3*i_
       + 1/2*d_(beta,mnci3)*p2(alfa)*p1.p3*i_
			);
id	mncv3gz(alfa?,beta?,-p1?,p1?,mnci2?,p2?,p3?,p3?) = -(
       - 1/2*p1(alfa)*p2(beta)*p3(mnci2)*i_
       - 1/2*p1(beta)*p2(alfa)*p3(mnci2)*i_
       + 1/2*p1(mnci2)*p2(alfa)*p3(beta)*i_
       + 1/2*p1(mnci2)*p2(beta)*p3(alfa)*i_
       - 1/2*d_(alfa,beta)*p1(mnci2)*p2.p3*i_
       + 1/2*d_(alfa,beta)*p3(mnci2)*p1.p2*i_
       + 1/2*d_(alfa,mnci2)*p1(beta)*p2.p3*i_
       - 1/2*d_(alfa,mnci2)*p3(beta)*p1.p2*i_
       + 1/2*d_(beta,mnci2)*p1(alfa)*p2.p3*i_
       - 1/2*d_(beta,mnci2)*p3(alfa)*p1.p2*i_
			);
id	mncv3gz(alfa?,beta?,mnci1?,p1?,-p2?,p2?,p3?,p3?) = -(
       + 1/2*p1(alfa)*p2(beta)*p3(mnci1)*i_
       - 1/2*p1(alfa)*p2(mnci1)*p3(beta)*i_
       + 1/2*p1(beta)*p2(alfa)*p3(mnci1)*i_
       - 1/2*p1(beta)*p2(mnci1)*p3(alfa)*i_
       + 1/2*d_(alfa,beta)*p2(mnci1)*p1.p3*i_
       - 1/2*d_(alfa,beta)*p3(mnci1)*p1.p2*i_
       - 1/2*d_(alfa,mnci1)*p2(beta)*p1.p3*i_
       + 1/2*d_(alfa,mnci1)*p3(beta)*p1.p2*i_
       - 1/2*d_(beta,mnci1)*p2(alfa)*p1.p3*i_
       + 1/2*d_(beta,mnci1)*p3(alfa)*p1.p2*i_
			);
id	mncv3gz(alfa?,beta?,-p1?,p1?,-p2?,p2?,mnci3?,p3?) =
       + 1/2*p1(alfa)*p2(mnci3)*p3(beta)*i_
       + 1/2*p1(beta)*p2(mnci3)*p3(alfa)*i_
       - 1/2*p1(mnci3)*p2(alfa)*p3(beta)*i_
       - 1/2*p1(mnci3)*p2(beta)*p3(alfa)*i_
       + 1/2*d_(alfa,beta)*p1(mnci3)*p2.p3*i_
       - 1/2*d_(alfa,beta)*p2(mnci3)*p1.p3*i_
       - 1/2*d_(alfa,mnci3)*p1(beta)*p2.p3*i_
       + 1/2*d_(alfa,mnci3)*p2(beta)*p1.p3*i_
       - 1/2*d_(beta,mnci3)*p1(alfa)*p2.p3*i_
       + 1/2*d_(beta,mnci3)*p2(alfa)*p1.p3*i_
			;
id	mncv3gz(alfa?,beta?,-p1?,p1?,mnci2?,p2?,-p3?,p3?) =
       - 1/2*p1(alfa)*p2(beta)*p3(mnci2)*i_
       - 1/2*p1(beta)*p2(alfa)*p3(mnci2)*i_
       + 1/2*p1(mnci2)*p2(alfa)*p3(beta)*i_
       + 1/2*p1(mnci2)*p2(beta)*p3(alfa)*i_
       - 1/2*d_(alfa,beta)*p1(mnci2)*p2.p3*i_
       + 1/2*d_(alfa,beta)*p3(mnci2)*p1.p2*i_
       + 1/2*d_(alfa,mnci2)*p1(beta)*p2.p3*i_
       - 1/2*d_(alfa,mnci2)*p3(beta)*p1.p2*i_
       + 1/2*d_(beta,mnci2)*p1(alfa)*p2.p3*i_
       - 1/2*d_(beta,mnci2)*p3(alfa)*p1.p2*i_
			;
id	mncv3gz(alfa?,beta?,mnci1?,p1?,-p2?,p2?,-p3?,p3?) =
       + 1/2*p1(alfa)*p2(beta)*p3(mnci1)*i_
       - 1/2*p1(alfa)*p2(mnci1)*p3(beta)*i_
       + 1/2*p1(beta)*p2(alfa)*p3(mnci1)*i_
       - 1/2*p1(beta)*p2(mnci1)*p3(alfa)*i_
       + 1/2*d_(alfa,beta)*p2(mnci1)*p1.p3*i_
       - 1/2*d_(alfa,beta)*p3(mnci1)*p1.p2*i_
       - 1/2*d_(alfa,mnci1)*p2(beta)*p1.p3*i_
       + 1/2*d_(alfa,mnci1)*p3(beta)*p1.p2*i_
       - 1/2*d_(beta,mnci1)*p2(alfa)*p1.p3*i_
       + 1/2*d_(beta,mnci1)*p3(alfa)*p1.p2*i_
			;
endrepeat;
id	mncv3gz(alfa?,beta?,p1?,p1?,mnci2?,p2?,mnci3?,p3?) =
       + 1/2*d_(alfa,beta)*d_(mnci2,mnci3)*p1.p2*i_
       - 1/2*d_(alfa,beta)*d_(mnci2,mnci3)*p1.p3*i_
       - 1/2*d_(alfa,beta)*p1(mnci2)*p2(mnci3)*i_
       + 1/2*d_(alfa,beta)*p1(mnci3)*p3(mnci2)*i_
       - 1/2*d_(alfa,mnci2)*d_(beta,mnci3)*p1.p2*i_
       + 1/2*d_(alfa,mnci2)*d_(beta,mnci3)*p1.p3*i_
       + 1/2*d_(alfa,mnci2)*p1(beta)*p2(mnci3)*i_
       - 1/2*d_(alfa,mnci2)*p1(mnci3)*p3(beta)*i_
       - 1/2*d_(alfa,mnci3)*d_(beta,mnci2)*p1.p2*i_
       + 1/2*d_(alfa,mnci3)*d_(beta,mnci2)*p1.p3*i_
       - 1/2*d_(alfa,mnci3)*p1(beta)*p3(mnci2)*i_
       + 1/2*d_(alfa,mnci3)*p1(mnci2)*p2(beta)*i_
       + 1/2*d_(beta,mnci2)*p1(alfa)*p2(mnci3)*i_
       - 1/2*d_(beta,mnci2)*p1(mnci3)*p3(alfa)*i_
       - 1/2*d_(beta,mnci3)*p1(alfa)*p3(mnci2)*i_
       + 1/2*d_(beta,mnci3)*p1(mnci2)*p2(alfa)*i_
       - 1/2*d_(mnci2,mnci3)*p1(alfa)*p2(beta)*i_
       + 1/2*d_(mnci2,mnci3)*p1(alfa)*p3(beta)*i_
       - 1/2*d_(mnci2,mnci3)*p1(beta)*p2(alfa)*i_
       + 1/2*d_(mnci2,mnci3)*p1(beta)*p3(alfa)*i_
			;
id	mncv3gz(alfa?,beta?,mnci1?,p1?,p2?,p2?,mnci3?,p3?) =
       - 1/2*d_(alfa,beta)*d_(mnci1,mnci3)*p1.p2*i_
       + 1/2*d_(alfa,beta)*d_(mnci1,mnci3)*p2.p3*i_
       + 1/2*d_(alfa,beta)*p1(mnci3)*p2(mnci1)*i_
       - 1/2*d_(alfa,beta)*p2(mnci3)*p3(mnci1)*i_
       + 1/2*d_(alfa,mnci1)*d_(beta,mnci3)*p1.p2*i_
       - 1/2*d_(alfa,mnci1)*d_(beta,mnci3)*p2.p3*i_
       - 1/2*d_(alfa,mnci1)*p1(mnci3)*p2(beta)*i_
       + 1/2*d_(alfa,mnci1)*p2(mnci3)*p3(beta)*i_
       + 1/2*d_(alfa,mnci3)*d_(beta,mnci1)*p1.p2*i_
       - 1/2*d_(alfa,mnci3)*d_(beta,mnci1)*p2.p3*i_
       - 1/2*d_(alfa,mnci3)*p1(beta)*p2(mnci1)*i_
       + 1/2*d_(alfa,mnci3)*p2(beta)*p3(mnci1)*i_
       - 1/2*d_(beta,mnci1)*p1(mnci3)*p2(alfa)*i_
       + 1/2*d_(beta,mnci1)*p2(mnci3)*p3(alfa)*i_
       - 1/2*d_(beta,mnci3)*p1(alfa)*p2(mnci1)*i_
       + 1/2*d_(beta,mnci3)*p2(alfa)*p3(mnci1)*i_
       + 1/2*d_(mnci1,mnci3)*p1(alfa)*p2(beta)*i_
       + 1/2*d_(mnci1,mnci3)*p1(beta)*p2(alfa)*i_
       - 1/2*d_(mnci1,mnci3)*p2(alfa)*p3(beta)*i_
       - 1/2*d_(mnci1,mnci3)*p2(beta)*p3(alfa)*i_
			;
id	mncv3gz(alfa?,beta?,mnci1?,p1?,mnci2?,p2?,p3?,p3?) =
       + 1/2*d_(alfa,beta)*d_(mnci1,mnci2)*p1.p3*i_
       - 1/2*d_(alfa,beta)*d_(mnci1,mnci2)*p2.p3*i_
       - 1/2*d_(alfa,beta)*p1(mnci2)*p3(mnci1)*i_
       + 1/2*d_(alfa,beta)*p2(mnci1)*p3(mnci2)*i_
       - 1/2*d_(alfa,mnci1)*d_(beta,mnci2)*p1.p3*i_
       + 1/2*d_(alfa,mnci1)*d_(beta,mnci2)*p2.p3*i_
       + 1/2*d_(alfa,mnci1)*p1(mnci2)*p3(beta)*i_
       - 1/2*d_(alfa,mnci1)*p2(beta)*p3(mnci2)*i_
       - 1/2*d_(alfa,mnci2)*d_(beta,mnci1)*p1.p3*i_
       + 1/2*d_(alfa,mnci2)*d_(beta,mnci1)*p2.p3*i_
       + 1/2*d_(alfa,mnci2)*p1(beta)*p3(mnci1)*i_
       - 1/2*d_(alfa,mnci2)*p2(mnci1)*p3(beta)*i_
       + 1/2*d_(beta,mnci1)*p1(mnci2)*p3(alfa)*i_
       - 1/2*d_(beta,mnci1)*p2(alfa)*p3(mnci2)*i_
       + 1/2*d_(beta,mnci2)*p1(alfa)*p3(mnci1)*i_
       - 1/2*d_(beta,mnci2)*p2(mnci1)*p3(alfa)*i_
       - 1/2*d_(mnci1,mnci2)*p1(alfa)*p3(beta)*i_
       - 1/2*d_(mnci1,mnci2)*p1(beta)*p3(alfa)*i_
       + 1/2*d_(mnci1,mnci2)*p2(alfa)*p3(beta)*i_
       + 1/2*d_(mnci1,mnci2)*p2(beta)*p3(alfa)*i_
			;
id	mncv3gz(alfa?,beta?,-p1?,p1?,mnci2?,p2?,mnci3?,p3?) = -(
       + 1/2*d_(alfa,beta)*d_(mnci2,mnci3)*p1.p2*i_
       - 1/2*d_(alfa,beta)*d_(mnci2,mnci3)*p1.p3*i_
       - 1/2*d_(alfa,beta)*p1(mnci2)*p2(mnci3)*i_
       + 1/2*d_(alfa,beta)*p1(mnci3)*p3(mnci2)*i_
       - 1/2*d_(alfa,mnci2)*d_(beta,mnci3)*p1.p2*i_
       + 1/2*d_(alfa,mnci2)*d_(beta,mnci3)*p1.p3*i_
       + 1/2*d_(alfa,mnci2)*p1(beta)*p2(mnci3)*i_
       - 1/2*d_(alfa,mnci2)*p1(mnci3)*p3(beta)*i_
       - 1/2*d_(alfa,mnci3)*d_(beta,mnci2)*p1.p2*i_
       + 1/2*d_(alfa,mnci3)*d_(beta,mnci2)*p1.p3*i_
       - 1/2*d_(alfa,mnci3)*p1(beta)*p3(mnci2)*i_
       + 1/2*d_(alfa,mnci3)*p1(mnci2)*p2(beta)*i_
       + 1/2*d_(beta,mnci2)*p1(alfa)*p2(mnci3)*i_
       - 1/2*d_(beta,mnci2)*p1(mnci3)*p3(alfa)*i_
       - 1/2*d_(beta,mnci3)*p1(alfa)*p3(mnci2)*i_
       + 1/2*d_(beta,mnci3)*p1(mnci2)*p2(alfa)*i_
       - 1/2*d_(mnci2,mnci3)*p1(alfa)*p2(beta)*i_
       + 1/2*d_(mnci2,mnci3)*p1(alfa)*p3(beta)*i_
       - 1/2*d_(mnci2,mnci3)*p1(beta)*p2(alfa)*i_
       + 1/2*d_(mnci2,mnci3)*p1(beta)*p3(alfa)*i_
			);
id	mncv3gz(alfa?,beta?,mnci1?,p1?,-p2?,p2?,mnci3?,p3?) = -(
       - 1/2*d_(alfa,beta)*d_(mnci1,mnci3)*p1.p2*i_
       + 1/2*d_(alfa,beta)*d_(mnci1,mnci3)*p2.p3*i_
       + 1/2*d_(alfa,beta)*p1(mnci3)*p2(mnci1)*i_
       - 1/2*d_(alfa,beta)*p2(mnci3)*p3(mnci1)*i_
       + 1/2*d_(alfa,mnci1)*d_(beta,mnci3)*p1.p2*i_
       - 1/2*d_(alfa,mnci1)*d_(beta,mnci3)*p2.p3*i_
       - 1/2*d_(alfa,mnci1)*p1(mnci3)*p2(beta)*i_
       + 1/2*d_(alfa,mnci1)*p2(mnci3)*p3(beta)*i_
       + 1/2*d_(alfa,mnci3)*d_(beta,mnci1)*p1.p2*i_
       - 1/2*d_(alfa,mnci3)*d_(beta,mnci1)*p2.p3*i_
       - 1/2*d_(alfa,mnci3)*p1(beta)*p2(mnci1)*i_
       + 1/2*d_(alfa,mnci3)*p2(beta)*p3(mnci1)*i_
       - 1/2*d_(beta,mnci1)*p1(mnci3)*p2(alfa)*i_
       + 1/2*d_(beta,mnci1)*p2(mnci3)*p3(alfa)*i_
       - 1/2*d_(beta,mnci3)*p1(alfa)*p2(mnci1)*i_
       + 1/2*d_(beta,mnci3)*p2(alfa)*p3(mnci1)*i_
       + 1/2*d_(mnci1,mnci3)*p1(alfa)*p2(beta)*i_
       + 1/2*d_(mnci1,mnci3)*p1(beta)*p2(alfa)*i_
       - 1/2*d_(mnci1,mnci3)*p2(alfa)*p3(beta)*i_
       - 1/2*d_(mnci1,mnci3)*p2(beta)*p3(alfa)*i_
			);
id	mncv3gz(alfa?,beta?,mnci1?,p1?,mnci2?,p2?,-p3?,p3?) = -(
       + 1/2*d_(alfa,beta)*d_(mnci1,mnci2)*p1.p3*i_
       - 1/2*d_(alfa,beta)*d_(mnci1,mnci2)*p2.p3*i_
       - 1/2*d_(alfa,beta)*p1(mnci2)*p3(mnci1)*i_
       + 1/2*d_(alfa,beta)*p2(mnci1)*p3(mnci2)*i_
       - 1/2*d_(alfa,mnci1)*d_(beta,mnci2)*p1.p3*i_
       + 1/2*d_(alfa,mnci1)*d_(beta,mnci2)*p2.p3*i_
       + 1/2*d_(alfa,mnci1)*p1(mnci2)*p3(beta)*i_
       - 1/2*d_(alfa,mnci1)*p2(beta)*p3(mnci2)*i_
       - 1/2*d_(alfa,mnci2)*d_(beta,mnci1)*p1.p3*i_
       + 1/2*d_(alfa,mnci2)*d_(beta,mnci1)*p2.p3*i_
       + 1/2*d_(alfa,mnci2)*p1(beta)*p3(mnci1)*i_
       - 1/2*d_(alfa,mnci2)*p2(mnci1)*p3(beta)*i_
       + 1/2*d_(beta,mnci1)*p1(mnci2)*p3(alfa)*i_
       - 1/2*d_(beta,mnci1)*p2(alfa)*p3(mnci2)*i_
       + 1/2*d_(beta,mnci2)*p1(alfa)*p3(mnci1)*i_
       - 1/2*d_(beta,mnci2)*p2(mnci1)*p3(alfa)*i_
       - 1/2*d_(mnci1,mnci2)*p1(alfa)*p3(beta)*i_
       - 1/2*d_(mnci1,mnci2)*p1(beta)*p3(alfa)*i_
       + 1/2*d_(mnci1,mnci2)*p2(alfa)*p3(beta)*i_
       + 1/2*d_(mnci1,mnci2)*p2(beta)*p3(alfa)*i_
			);
endrepeat;

.sort:Vertex sub-2c;

id,once,mncv2gz(alfa?,beta?,mnci1?,p1?,mnci2?,p2?) = -i_*(
       + d_(mnci1,mnci2)*d_(alfa,beta)*p1.p2
       - d_(mnci1,mnci2)*p1(alfa)*p2(beta)
       - d_(mnci1,mnci2)*p1(beta)*p2(alfa)
       - d_(mnci1,alfa)*d_(mnci2,beta)*p1.p2
       + d_(mnci1,alfa)*p1(mnci2)*p2(beta)
       - d_(mnci1,beta)*d_(mnci2,alfa)*p1.p2
       + d_(mnci1,beta)*p1(mnci2)*p2(alfa)
       + d_(mnci2,alfa)*p1(beta)*p2(mnci1)
       + d_(mnci2,beta)*p1(alfa)*p2(mnci1)
       - d_(alfa,beta)*p1(mnci2)*p2(mnci1)
       + d_(mnci1,alfa)*p2(mnci2)*p2(beta)*mncxii
       + d_(mnci1,beta)*p2(mnci2)*p2(alfa)*mncxii
       + d_(mnci2,alfa)*p1(mnci1)*p1(beta)*mncxii
       + d_(mnci2,beta)*p1(mnci1)*p1(alfa)*mncxii
       - d_(alfa,beta)*p1(mnci1)*p1(mnci2)*mncxii
       - d_(alfa,beta)*p1(mnci1)*p2(mnci2)*mncxii
       - d_(alfa,beta)*p2(mnci1)*p2(mnci2)*mncxii
				)/2;
#ifndef `GAUGE'
	id	mncxii = 1;
	id	mncxi = 0;
#else
	#if ( `GAUGE' > 0 )
		id	mncxii = 1+<mncxi^1>+...+<mncxi^`GAUGE'>;
		if ( count(mncxi,1) > `GAUGE' ) Discard;
	#elseif ( `GAUGE' == 0 )
		id	mncxii = 1;
		id	mncxi = 0;
	#else
		repeat id mncxi*mncxii = -1+mncxii;
	#endif
#endif

if ( count(mncv2gz,1) ) $isubl = 1;

ModuleOption,maximum,$isubl;
.sort:Vertex sub-3;

#if ( `$isubl' == 1 )
#redefine isubloop "0"
#endif

#enddo


id	mncv3gz(alfa?,beta?,mnci1?,p1?,mnci2?,p2?,mnci3?,p3?) = i_*(
       - d_(mnci1,mnci2)*d_(mnci3,alfa)*p1(beta)
       + d_(mnci1,mnci2)*d_(mnci3,alfa)*p2(beta)
       - d_(mnci1,mnci2)*d_(mnci3,beta)*p1(alfa)
       + d_(mnci1,mnci2)*d_(mnci3,beta)*p2(alfa)
       + d_(mnci1,mnci2)*d_(alfa,beta)*p1(mnci3)
       - d_(mnci1,mnci2)*d_(alfa,beta)*p2(mnci3)
       + d_(mnci1,mnci3)*d_(mnci2,alfa)*p1(beta)
       - d_(mnci1,mnci3)*d_(mnci2,alfa)*p3(beta)
       + d_(mnci1,mnci3)*d_(mnci2,beta)*p1(alfa)
       - d_(mnci1,mnci3)*d_(mnci2,beta)*p3(alfa)
       - d_(mnci1,mnci3)*d_(alfa,beta)*p1(mnci2)
       + d_(mnci1,mnci3)*d_(alfa,beta)*p3(mnci2)
       - d_(mnci1,alfa)*d_(mnci2,mnci3)*p2(beta)
       + d_(mnci1,alfa)*d_(mnci2,mnci3)*p3(beta)
       - d_(mnci1,alfa)*d_(mnci2,beta)*p1(mnci3)
       + d_(mnci1,alfa)*d_(mnci2,beta)*p2(mnci3)
       + d_(mnci1,alfa)*d_(mnci3,beta)*p1(mnci2)
       - d_(mnci1,alfa)*d_(mnci3,beta)*p3(mnci2)
       - d_(mnci1,beta)*d_(mnci2,mnci3)*p2(alfa)
       + d_(mnci1,beta)*d_(mnci2,mnci3)*p3(alfa)
       - d_(mnci1,beta)*d_(mnci2,alfa)*p1(mnci3)
       + d_(mnci1,beta)*d_(mnci2,alfa)*p2(mnci3)
       + d_(mnci1,beta)*d_(mnci3,alfa)*p1(mnci2)
       - d_(mnci1,beta)*d_(mnci3,alfa)*p3(mnci2)
       + d_(mnci2,mnci3)*d_(alfa,beta)*p2(mnci1)
       - d_(mnci2,mnci3)*d_(alfa,beta)*p3(mnci1)
       - d_(mnci2,alfa)*d_(mnci3,beta)*p2(mnci1)
       + d_(mnci2,alfa)*d_(mnci3,beta)*p3(mnci1)
       - d_(mnci2,beta)*d_(mnci3,alfa)*p2(mnci1)
       + d_(mnci2,beta)*d_(mnci3,alfa)*p3(mnci1) )/2;
id	mncv4gz(alfa?,beta?,mnci1?,mnci2?,mnci3?,mnci4?) = -i_*(
       + d_(mnci1,mnci3)*d_(mnci2,mnci4)*d_(alfa,beta)
       - d_(mnci1,mnci3)*d_(mnci2,alfa)*d_(mnci4,beta)
       - d_(mnci1,mnci3)*d_(mnci2,beta)*d_(mnci4,alfa)
       - d_(mnci1,mnci4)*d_(mnci2,mnci3)*d_(alfa,beta)
       + d_(mnci1,mnci4)*d_(mnci2,alfa)*d_(mnci3,beta)
       + d_(mnci1,mnci4)*d_(mnci2,beta)*d_(mnci3,alfa)
       + d_(mnci1,alfa)*d_(mnci2,mnci3)*d_(mnci4,beta)
       - d_(mnci1,alfa)*d_(mnci2,mnci4)*d_(mnci3,beta)
       + d_(mnci1,beta)*d_(mnci2,mnci3)*d_(mnci4,alfa)
       - d_(mnci1,beta)*d_(mnci2,mnci4)*d_(mnci3,alfa) )/2;

id	mncv2hz(alfa?,beta?,p1?,p2?) = -i_*(
			+p1(alfa)*p2(beta)+p2(alfa)*p1(beta)-d_(alfa,beta)*p1.p2) / 2;
id	mncv3hz(alfa?,beta?,p1?,p2?,mnci3?,p3?) =
			 i_*(
			+p1(alfa)*d_(beta,mnci3)+p1(beta)*d_(alfa,mnci3)
			-d_(alfa,beta)*p1(mnci3)) / 2
			;
Contract;
id	P.P = 0;
Multiply replace_(mncxi,xi,mncxii,xii);

#endprocedure
*--#] vertsubm :
*--#[ ACCU :
#procedure ACCU(TEXT)
if ( count(ep,1) );
	if ( count(acc,1) == 1 );
		id	ep^mncx?*acc(mncy?) = acc(ep^mncx*mncy);
	else;
		id	ep^mncx? = acc(ep^mncx);
	endif;
endif;
.sort(PolyFun = acc):`TEXT';
#endprocedure
*--#] ACCU :
*--#[ ACCU2 :
#procedure ACCU2(BRA,TEXT)
if ( count(ep,1) );
	if ( count(acc,1) == 1 );
		id	ep^mncx?*acc(mncy?) = acc(ep^mncx*mncy);
	else;
		id	ep^mncx? = acc(ep^mncx);
	endif;
endif;
`BRA';
.sort(PolyFun = acc):`TEXT';
#endprocedure
*--#] ACCU2 :
*--#[ ACCU2A :
#procedure ACCU2A(BRA,TEXT)
if ( count(ep,1) );
	if ( count(acc,1) == 1 );
		id	ep^mncx?*acc(mncy?) = acc(ep^mncx*mncy);
	else;
		id	ep^mncx? = acc(ep^mncx);
	endif;
endif;
AB+,`BRA';
.sort(PolyFun = acc):`TEXT';
#endprocedure
*--#] ACCU2A :
*--#[ ACCUP :
#procedure ACCUP(TEXT)
id	acc(mncx?) = mncx;
.sort:`TEXT';
#endprocedure
*--#] ACCUP :
*--#[ SlowSub :
*
#procedure SlowSub(SSINC,LHS,RHS,BRACKET,TEXT1,TEXT2)
*
*	Procedure for the slow substitution of high powers of right hand sides
*	with a large number of terms.
*
#$maxpow = 0;
if ( count(`LHS',1) > $maxpow ) $maxpow = count_(`LHS',1);
AB+,`BRACKET';
ModuleOption,maximum,$maxpow;
.sort(PolyFun=acc):`TEXT1',0;
S	mncslowsubx;
#if ( {`$maxpow'/2} > 5 )
  repeat;
	if ( count(`LHS',1) >= {`$maxpow'/2} ) id,once,`LHS' = mncslowsubx;
  endrepeat;
  id	mncslowsubx = `RHS';
  AB+,`BRACKET';
  .sort(PolyFun=acc):`TEXT2',`$maxpow'->{`$maxpow'/2};
  #if ( {`$maxpow'/2} >= 3 )
    repeat;
	  if ( count(`LHS',1) >= 3 ) id,once,`LHS' = mncslowsubx;
    endrepeat;
    id	mncslowsubx = `RHS';
    AB+,`BRACKET';
    .sort(PolyFun=acc):`TEXT2',{`$maxpow'/2-1}->3;
  #endif
#endif
id,`LHS' = `RHS';
#endprocedure
*
*--#] SlowSub :
*--#[ ObviouslyZero :
*
#procedure ObviouslyZero(TOPOLOGY)
*
#switch `TOPOLOGY'
	#case no
		if ( count(mncxconst,1) == 0 );
		if ( ( count(p4.p4,1) >= 0 ) && ( count(p5.p5,1) >= 0 ) && ( count(p6.p6,1) >= 0 ) ) discard;
		if ( ( count(p3.p3,1) >= 0 ) && ( count(p8.p8,1) >= 0 ) && ( count(p6.p6,1) >= 0 ) ) discard;
		if ( ( count(p4.p4,1) >= 0 ) && ( count(p7.p7,1) >= 0 ) && ( count(p1.p1,1) >= 0 ) ) discard;
		if ( ( count(p1.p1,1) >= 0 ) && ( count(p2.p2,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) ) discard;
		if ( ( count(p7.p7,1) >= 0 ) && ( count(p5.p5,1) >= 0 ) && ( count(p8.p8,1) >= 0 ) ) discard;
		if ( ( count(p3.p3,1) >= 0 ) && ( count(p4.p4,1) >= 0 ) );
			if ( ( count(p2.p2,1) >= 0 ) || ( count(p5.p5,1) >= 0 ) ||
				 ( count(p7.p7,1) >= 0 ) || ( count(p8.p8,1) >= 0 ) ) Discard;
		elseif ( ( count(p1.p1,1) >= 0 ) && ( count(p6.p6,1) >= 0 ) );
			if ( ( count(p2.p2,1) >= 0 ) || ( count(p5.p5,1) >= 0 ) ||
				 ( count(p7.p7,1) >= 0 ) || ( count(p8.p8,1) >= 0 ) ) Discard;
		endif;
*		  if ( count(p1.p1,1) >= 0 );
*			if ( count(p2.p2,1) >= 0 );
*			  if ( count(p3.p3,1) >= 0 ) discard;
*			  if ( count(p6.p6,1) >= 0 ) discard;
*			  if ( count(p7.p7,1) >= 0 ) discard;
*			  if ( count(p8.p8,1) >= 0 ) discard;
*			endif;
*			if ( count(p6.p6,1) >= 0 );
*			  if ( count(p5.p5,1) >= 0 ) discard;
*			  if ( count(p7.p7,1) >= 0 ) discard;
*			  if ( count(p8.p8,1) >= 0 ) discard;
*			endif;
*			if ( count(p7.p7,1) >= 0 );
*			  if ( count(p4.p4,1) >= 0 ) discard;
*			  if ( count(p5.p5,1) >= 0 ) discard;
*			endif;
*		  endif;
*		  if ( count(p2.p2,1) >= 0 );
*			if ( count(p7.p7,1) >= 0 );
*			  if ( count(p8.p8,1) >= 0 ) discard;
*			  if ( count(p3.p3,1) >= 0 ) discard;
*			  if ( count(p4.p4,1) >= 0 ) discard;
*			  if ( count(p5.p5,1) >= 0 ) discard;
*			endif;
*			if ( count(p8.p8,1) >= 0 );
*			  if ( count(p3.p3,1) >= 0 ) discard;
*			  if ( count(p5.p5,1) >= 0 ) discard;
*			  if ( count(p6.p6,1) >= 0 ) discard;
*			endif;
*			if ( ( count(p3.p3,1) >= 0 ) && ( count(p4.p4,1) >= 0 ) ) discard;
*		  endif;
*		  if ( count(p3.p3,1) >= 0 );
*			if ( count(p4.p4,1) >= 0 );
*			  if ( count(p5.p5,1) >= 0 ) discard;
*			  if ( count(p7.p7,1) >= 0 ) discard;
*			  if ( count(p8.p8,1) >= 0 ) discard;
*			endif;
*			if ( count(p8.p8,1) >= 0 );
*			  if ( count(p5.p5,1) >= 0 ) discard;
*			  if ( count(p6.p6,1) >= 0 ) discard;
*			endif;
*		  endif;
*		  if ( count(p5.p5,1) >= 0 );
*			if ( count(p4.p4,1) >= 0 );
*			  if ( count(p6.p6,1) >= 0 ) discard;
*			  if ( count(p7.p7,1) >= 0 ) discard;
*			  if ( count(p8.p8,1) >= 0 ) discard;
*			endif;
*			if ( count(p7.p7,1) >= 0 );
*			  if ( count(p6.p6,1) >= 0 ) discard;
*			  if ( count(p8.p8,1) >= 0 ) discard;
*			endif;
*		    if ( ( count(p6.p6,1) >= 0 ) && ( count(p8.p8,1) >= 0 ) ) discard;
*		  endif;
		endif;
	#break
	#case la
		if ( ( count(p4.p4,1) >= 0 ) && ( count(p5.p5,1) >= 0 ) && ( count(p6.p6,1) >= 0 ) ) discard;
		if ( ( count(p4.p4,1) >= 0 ) && ( count(p8.p8,1) >= 0 ) ) discard;
		if ( ( count(p6.p6,1) >= 0 ) && ( count(p7.p7,1) >= 0 ) ) discard;
		if ( ( count(p7.p7,1) >= 0 ) && ( count(p5.p5,1) >= 0 ) && ( count(p8.p8,1) >= 0 ) ) discard;
		if ( ( count(p7.p7,1) >= 0 ) && ( count(p2.p2,1) >= 0 ) && ( count(p8.p8,1) >= 0 ) ) discard;
		if ( ( count(p4.p4,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) ) discard;
		if ( ( count(p8.p8,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) ) discard;
	#break
	#case be
		if ( ( count(p4.p4,1) >= 0 ) && ( count(p5.p5,1) >= 0 ) ) discard;
		if ( ( count(p6.p6,1) >= 0 ) && ( count(p7.p7,1) >= 0 ) ) discard;
		if ( ( count(p2.p2,1) >= 0 ) && ( count(p7.p7,1) >= 0 ) ) discard;
		if ( ( count(p6.p6,1) >= 0 ) && ( count(p2.p2,1) >= 0 ) ) discard;
		if ( ( count(p1.p1,1) >= 0 ) && ( count(p2.p2,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) ) discard;
	#break
	#case o1
		if ( ( count(p6.p6,1) >= 0 ) || ( count(p7.p7,1) >= 0 ) ) discard;
		if ( ( count(p2.p2,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) ) Discard;
		if ( ( count(p1.p1,1) >= 0 ) && ( count(p4.p4,1) >= 0 ) ) Discard;
		if ( ( count(p1.p1,1) >= 0 ) && ( count(p2.p2,1) >= 0 ) ) Discard;
		if ( ( count(p3.p3,1) >= 0 ) && ( count(p4.p4,1) >= 0 ) ) Discard;
	#break
	#case o2
	#case o5
		if ( ( count(p6.p6,1) >= 0 ) || ( count(p7.p7,1) >= 0 ) ) discard;
		if ( ( count(p2.p2,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) ) Discard;
		if ( ( count(p2.p2,1) >= 0 ) && ( count(p5.p5,1) >= 0 ) ) Discard;
		if ( ( count(p5.p5,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) ) Discard;
		if ( ( count(p1.p1,1) >= 0 ) && ( count(p5.p5,1) >= 0 ) ) Discard;
		if ( ( count(p1.p1,1) >= 0 ) && ( count(p2.p2,1) >= 0 ) ) Discard;
	#break
	#case o3
	#case o6
		if ( ( count(p6.p6,1) >= 0 ) || ( count(p7.p7,1) >= 0 ) ) discard;
		if ( ( count(p2.p2,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) ) Discard;
		if ( ( count(p2.p2,1) >= 0 ) && ( count(p5.p5,1) >= 0 ) ) Discard;
		if ( ( count(p5.p5,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) ) Discard;
		if ( ( count(p1.p1,1) >= 0 ) && ( count(p4.p4,1) >= 0 ) ) Discard;
		if ( ( count(p1.p1,1) >= 0 ) && ( count(p5.p5,1) >= 0 ) ) Discard;
		if ( ( count(p5.p5,1) >= 0 ) && ( count(p4.p4,1) >= 0 ) ) Discard;
		if ( ( count(p1.p1,1) >= 0 ) && ( count(p2.p2,1) >= 0 ) ) Discard;
		if ( ( count(p3.p3,1) >= 0 ) && ( count(p4.p4,1) >= 0 ) ) Discard;
	#break
	#case o4
		if ( count(p7.p7,1) >= 0 ) discard;
		if ( ( count(p2.p2,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) ) Discard;
		if ( ( count(p2.p2,1) >= 0 ) && ( count(p5.p5,1) >= 0 ) ) Discard;
		if ( ( count(p5.p5,1) >= 0 ) && ( count(p3.p3,1) >= 0 ) ) Discard;
		if ( ( count(p1.p1,1) >= 0 ) && ( count(p4.p4,1) >= 0 ) ) Discard;
		if ( ( count(p1.p1,1) >= 0 ) && ( count(p5.p5,1) >= 0 ) ) Discard;
		if ( ( count(p5.p5,1) >= 0 ) && ( count(p4.p4,1) >= 0 ) ) Discard;
		if ( ( count(p1.p1,1) >= 0 ) && ( count(p2.p2,1) >= 0 ) ) Discard;
		if ( ( count(p3.p3,1) >= 0 ) && ( count(p4.p4,1) >= 0 ) ) Discard;
	#break
	#case y5
		if ( count(p1.p1,1) >= 0 ) discard;
	#case y2
	#case y4
	#case y6
		if ( count(p2.p2,1) >= 0 ) discard;
	#case y1
		if ( ( count(p3.p3,1) >= 0 ) || ( count(p4.p4,1) >= 0 )
		  || ( count(p5.p5,1) >= 0 ) || ( count(p6.p6,1) >= 0 ) ) discard;
	#break
	#case y3
		if ( ( count(p5.p5,1) >= 0 ) || ( count(p6.p6,1) >= 0 )
		  || ( count(p4.p4,1) >= 0 ) || ( count(p2.p2,1) >= 0 ) ) discard;
	#break
#endswitch
*
#endprocedure
*
*--#] ObviouslyZero :
*--#[ rewire :
*
#procedure rewire(TOPO)
#switch `TOPO'
*--#[ no :
#case no
	#switch `NOSPEC'
* 	#[ 0 :
	#case 0
		repeat id P.p2/p2.p2/[P-p2].[P-p2] = (p2.p2-[P-p2].[P-p2])/2/p2.p2/[P-p2].[P-p2];
		repeat id P.p3/p3.p3/[P-p3].[P-p3] = (p3.p3-[P-p3].[P-p3])/2/p3.p3/[P-p3].[P-p3];
		repeat id P.p4/p4.p4/[P-p4].[P-p4] = (p4.p4-[P-p4].[P-p4])/2/p4.p4/[P-p4].[P-p4];
		repeat id P.p3/p3.p3/[P+p3].[P+p3] = ([P+p3].[P+p3]-p3.p3)/2/p3.p3/[P+p3].[P+p3];
		repeat id P.p5/p5.p5/[P+p5].[P+p5] = ([P+p5].[P+p5]-p5.p5)/2/p5.p5/[P+p5].[P+p5];
		repeat id P.Q/p3.p3/[P-p3].[P-p3]/p4.p4/[P-p4].[P-p4] =
			(p3.p3-[P-p3].[P-p3]-p4.p4+[P-p4].[P-p4])/2
				/p3.p3/[P-p3].[P-p3]/p4.p4/[P-p4].[P-p4];
		.sort(PolyFun=acc):rewire-1(`NOSPEC');
		repeat id p4.p4/[P-p4].[P-p4] = 1+(2*P.p3-2*P.Q)/[P-p4].[P-p4];
		repeat id p3.p3/[P-p3].[P-p3] = 1+2*P.p3/[P-p3].[P-p3];
		repeat id P.p3/p3.p3/[P-p3].[P-p3] = (p3.p3-[P-p3].[P-p3])/2/p3.p3/[P-p3].[P-p3];
		.sort(PolyFun=acc):rewire-2(`NOSPEC');
		if ( match(1/[P-p2].[P-p2]/[P-p3].[P-p3]/[P-p4].[P-p4]) &&
			( match(1/p2.p2/p4.p4) == 0 ) );
*			Multiply replace_(p2,[P+p2],[P-p2],-p2,p3,[P+p3],[P-p3],-p3,
*				p4,[P+p4],[P-p4],-p4,p7,[P+p7]);
*			Multiply replace_(p4,-p3,p3,-p4,p5,p8,p8,p5,p2,-p7,p7,-p2,
*				[P+p3],[P-p4],[P+p4],[P-p3],[P+p7],[P-p2],[P+p2],[P-p7]);
*			id	[P+p3] = P+p3;
*			id	[P-p3] = P-p3;
*			id	[P-p2] = P-p2;
*			id	[P-p4] = P-p4;
*			id	[P-p7] = P-p7;
*			id	P.P = 0;
		elseif ( match(1/[P-p4].[P-p4]) && ( count([P-p2].[P-p2],1,[P-p3].[P-p3],1) >= 0 ) );
			Multiply replace_(p4,-p3,p3,-p4,p5,p8,p8,p5,p2,-p7,p7,-p2,
				[P-p4],[P+p3]);
			id	[P+p3] = P+p3;
			id	P.P = 0;
			id	P.p4 = P.p3-P.Q;
			id	P.p7 = P.p2-P.p1;
			repeat id P.p3/p3.p3/[P+p3].[P+p3] = ([P+p3].[P+p3]-p3.p3)/2/p3.p3/[P+p3].[P+p3];
		endif;
		.sort(PolyFun=acc):rewire-3(`NOSPEC');
		id	p4.p?!{p4} = p3.p-Q.p;
		id	p7.p?!{p7} = p2.p-p1.p;
		repeat id P.p2/p2.p2/[P-p2].[P-p2] = (p2.p2-[P-p2].[P-p2])/2/p2.p2/[P-p2].[P-p2];
		repeat id P.p3/p3.p3/[P-p3].[P-p3] = (p3.p3-[P-p3].[P-p3])/2/p3.p3/[P-p3].[P-p3];
		repeat id P.p7/p7.p7/[P-p7].[P-p7] = (p7.p7-[P-p7].[P-p7])/2/p7.p7/[P-p7].[P-p7];
		.sort(PolyFun=acc):rewire-4(`NOSPEC');
		#do i = 1,8
			if ( count([P-p`i'].[P-p`i'],1) < 0 ) Multiply mncx;
			if ( count([P+p`i'].[P+p`i'],1) < 0 ) Multiply mncx;
		#enddo
		if ( count(mncx,1) == 1 );
			if ( count([P+p3].[P+p3],1) < 0 );
				Multiply replace_(P,-P,[P+p3],-[P-p3])*sign_({`POWER'+`PROJ'});
			elseif ( count([P+p5].[P+p5],1) < 0 );
				Multiply replace_(p1,-p6,p6,-p1,p3,-p4,p4,-p3,p7,p8,p8,p7,
				p2,-p5,p5,-p2,[P+p5],[P-p2]);
			elseif ( count([P-p7].[P-p7],1) < 0 );
				Multiply replace_(p4,-p3,p3,-p4,p5,p8,p8,p5,p2,-p7,p7,-p2,
					[P-p7],[P+p2]);
				Multiply replace_(P,-P,[P+p2],-[P-p2])*sign_({`POWER'+`PROJ'});
			endif;
		elseif ( ( count(mncx,1) == 2 ) && ( match(1/[P+p3].[P+p3]/[P+p5].[P+p5]) > 0 ) );
			Multiply replace_(p1,-p6,p6,-p1,p3,-p4,p4,-p3,p7,p8,p8,p7,
			p2,-p5,p5,-p2,[P+p5],[P-p2],[P+p3],[P-p4]);
		endif;
		id	mncx = 1;
		.sort(PolyFun=acc):rewire-5(`NOSPEC');
		#call momsubs(no)
		#call scalars(no)
		repeat id P.p3/p4.p4/[P-p4].[P-p4] = (p4.p4-[P-p4].[P-p4]+2*P.Q)/2/p4.p4/[P-p4].[P-p4];
		.sort(PolyFun=acc):rewire-6(`NOSPEC');
*		Print +f +s;
*		B	[P+p1],[P+p2],[P+p3],[P+p4],[P+p5],[P+p6],[P+p7],[P+p8],
*			[P-p1],[P-p2],[P-p3],[P-p4],[P-p5],[P-p6],[P-p7],[P-p8];
*		.end
	#break
* 	#] 0 :
* 	#[ 1 : AB+ P,Q,p2,p7,p8;   [P-p2],[P-p7],[P-8]
	#case 1
	#break
	#case 11
		#do i = 1,8
			repeat id P.p`i'/p`i'.p`i'/[P-p`i'].[P-p`i'] =
							(p`i'.p`i'-[P-p`i'].[P-p`i'])/2/p`i'.p`i'/[P-p`i'].[P-p`i'];
			repeat id P.p`i'/p`i'.p`i'/[P+p`i'].[P+p`i'] =
							([P+p`i'].[P+p`i']-p`i'.p`i')/2/p`i'.p`i'/[P+p`i'].[P+p`i'];
		#enddo
		.sort(PolyFun=acc):rewire-1(`NOSPEC');
		#do i = 1,8
			repeat id p`i'.p`i'/[P-p`i'].[P-p`i'] =
							(2*P.p`i'+[P-p`i'].[P-p`i'])/[P-p`i'].[P-p`i'];
			repeat id p`i'.p`i'/[P+p`i'].[P+p`i'] =
							([P+p`i'].[P+p`i']-2*P.p`i')/[P+p`i'].[P+p`i'];
		#enddo
		.sort(PolyFun=acc):rewire-2(`NOSPEC');
		#do i = 1,8
			if ( count([P-p`i'].[P-p`i'],1,[P+p`i'].[P+p`i'],1) < 0 ) Multiply mncx;
		#enddo
		if ( count(mncx,1) == 3 );
			if ( ( count(p7.p7,1) >= 0 ) && ( count(p8.p8,1) >= 0 ) );
				Multiply replace_([P-p7],-p7,p7,[P+p7],[P-p8],-p8,p8,[P+p8]
				,[P-p2],-p2,p2,[P+p2],p5,-[P-p5]);
				id	[P+p7] = P+p7;
				id	[P+p2] = P+p2;
				id	[P+p8] = P+p8;
				id	P.P = 0;
				Multiply replace_(p1,-p6,p6,-p1,p3,-p4,p4,-p3,p7,p8,p8,p7,
				p2,-p5,p5,-p2,[P-p5],[P+p2]);
				Multiply replace_(P,-P,[P+p2],-[P-p2])*sign_({`POWER'+`PROJ'});
			elseif ( count(p7.p7,1) >= 0 );
				Multiply replace_([P-p7],-p7,p7,[P+p7],[P-p8],-p8,p8,[P+p8]
				,[P-p2],-p2,p2,[P+p2],p5,-[P-p5]);
				id	[P+p7] = P+p7;
				id	[P+p2] = P+p2;
				id	[P+p8] = P+p8;
				id	P.P = 0;
				Multiply replace_(p1,-p6,p6,-p1,p3,-p4,p4,-p3,p7,p8,p8,p7,
				p2,-p5,p5,-p2,[P-p5],[P+p2],[P+p8],[P+p7]);
				Multiply replace_(P,-P,[P+p2],-[P-p2],[P+p7],-[P-p7])*sign_({`POWER'+`PROJ'});
			elseif ( count(p8.p8,1) >= 0 );
				Multiply replace_([P-p7],-p7,p7,[P+p7],[P-p8],-p8,p8,[P+p8]
				,[P-p2],-p2,p2,[P+p2],p5,-[P-p5]);
				id	[P+p7] = P+p7;
				id	[P+p2] = P+p2;
				id	[P+p8] = P+p8;
				id	P.P = 0;
				Multiply replace_(p1,-p6,p6,-p1,p3,-p4,p4,-p3,p7,p8,p8,p7,
				p2,-p5,p5,-p2,[P-p5],[P+p2],[P+p7],[P+p8]);
				Multiply replace_(p1,-p3,p3,-p1,p4,-p6,p6,-p4,p2,-p2,p5,-p5
				,p7,-p8,p8,-p7,[P+p8],[P-p7],[P+p2],[P-p2],Q,-Q)*sign_({`POWER'+`PROJ'});
			endif;
		elseif ( count(mncx,1) == 2 );
			if ( ( count([P-p8].[P-p8],1) < 0 ) && ( count([P-p2].[P-p2],1) < 0 ) );
				Multiply replace_(p1,-p3,p3,-p1,p4,-p6,p6,-p4,p2,-p2,p5,-p5
				,p7,-p8,p8,-p7,[P-p8],[P+p7],[P-p2],[P+p2],Q,-Q)*sign_({`POWER'+`PROJ'});
				Multiply replace_(P,-P,[P+p2],-[P-p2],[P+p7],-[P-p7])*sign_({`POWER'+`PROJ'});
			endif;
		elseif ( count(mncx,1) == 1 );
			if ( count([P-p7].[P-p7],1) < 0 );
				Multiply replace_(p3,-p4,p4,-p3,p2,-p7,p7,-p2,p5,p8,p8,p5
				,[P-p7],[P+p2]);
				Multiply replace_(P,-P,[P+p2],-[P-p2])*sign_({`POWER'+`PROJ'});
			elseif ( count([P-p8].[P-p8],1) < 0 );
				Multiply replace_(p1,-p6,p6,-p1,p2,-p8,p8,-p2,p5,p7,p7,p5
				,[P-p8],[P+p2]);
				Multiply replace_(P,-P,[P+p2],-[P-p2])*sign_({`POWER'+`PROJ'});
			endif;
		endif;
		id	mncx = 1;
		.sort(PolyFun=acc):rewire-3(`NOSPEC');
		#call momsubs(no)
		#call scalars(no)
		.sort(PolyFun=acc):rewire-4(`NOSPEC');
		#do i = 1,8
			repeat id P.p`i'/p`i'.p`i'/[P-p`i'].[P-p`i'] =
							(p`i'.p`i'-[P-p`i'].[P-p`i'])/2/p`i'.p`i'/[P-p`i'].[P-p`i'];
			repeat id P.p`i'/p`i'.p`i'/[P+p`i'].[P+p`i'] =
							([P+p`i'].[P+p`i']-p`i'.p`i')/2/p`i'.p`i'/[P+p`i'].[P+p`i'];
		#enddo
		.sort(PolyFun=acc):rewire-5(`NOSPEC');
		#do i = 1,8
			repeat id p`i'.p`i'/[P-p`i'].[P-p`i'] =
							(2*P.p`i'+[P-p`i'].[P-p`i'])/[P-p`i'].[P-p`i'];
			repeat id p`i'.p`i'/[P+p`i'].[P+p`i'] =
							([P+p`i'].[P+p`i']-2*P.p`i')/[P+p`i'].[P+p`i'];
		#enddo
		.sort(PolyFun=acc):rewire-6(`NOSPEC');

*		B	<[P+p1],[P-p1]>,...,<[P+p8],[P-p8]>,mncx,p2.p2,p7.p7,p8.p8;
*		print[] +f;
*		.end(PolyFun=acc);
	#break
* 	#] 1 :
* 	#[ 2 :
	#case 2
	#break
* 	#] 2 :
* 	#[ 3 :
	#case 3
	#break
* 	#] 3 :
	#endswitch
#break
*--#] no :
*--#[ la :
#case la
	#switch `LATRANS'
* 	#[ 0 : v
	#case 0
		repeat id p1.p1/[P-p1].[P-p1] = 1+2*P.p1/[P-p1].[P-p1];
		repeat id P.p3/p3.p3/[P-p3].[P-p3] = (1/[P-p3].[P-p3]-1/p3.p3)/2;
		repeat id P.p1/[P-p6].[P-p6]/p6.p6 = P.Q/[P-p6].[P-p6]/p6.p6
			+(1/[P-p6].[P-p6]-1/p6.p6)/2;
		repeat id p2.p2/[P-p2].[P-p2] = 1+2*P.p2/[P-p2].[P-p2];
		repeat id p6.p6/[P-p6].[P-p6] = 1+2*(P.p1-P.Q)/[P-p6].[P-p6];
		repeat id p3.p3/[P-p3].[P-p3] = 1+2*P.p3/[P-p3].[P-p3];
		.sort(PolyFun=acc):rewire-1(`LATRANS');
		if ( match(1/[P-p1].[P-p1]/[P-p2].[P-p2]/[P-p3].[P-p3]/[P-p6].[P-p6]) &&
			( ( count(p3.p3,1) >= 0 ) || ( count(p6.p6,1) >= 0 ) ) );
			Multiply replace_([P-p1],-p1,p1,[P+p1],[P-p2],-p2,p2,[P+p2],
				[P-p3],-p3,p3,[P+p3],[P-p6],-p6,p6,[P+p6],
				[P-p4],-p4,p4,[P+p4],[P-p5],-p5,p5,[P+p5]);
			Multiply replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,-p7,p8,-p8,
				[P+p1],[P-p6],[P+p6],[P-p1],[P+p2],[P-p5],[P+p5],[P-p2]
				,[P+p3],[P-p4],[P+p4],[P-p3]);
			id	[P-p1] = P-p1;
			id	[P-p2] = P-p2;
			id	[P-p3] = P-p3;
			id	[P-p4] = P-p4;
			id	[P-p5] = P-p5;
			id	[P-p6] = P-p6;
			id	[P+p1] = P+p1;
			id	[P+p2] = P+p2;
			id	[P+p3] = P+p3;
			id	[P+p4] = P+p4;
			id	[P+p5] = P+p5;
			id	[P+p6] = P+p6;
			id	P.P = 0;
		endif;
		id	p4.p6 = (2*p1.p3-p1.p1+p6.p6-p3.p3+p4.p4)/2;
		id	p4.p?!{p4} = p3.p-Q.p;
		id	p5.p?!{p5} = p2.p-Q.p;
		id	p6.p?!{p6} = p1.p-Q.p;
		.sort(PolyFun=acc):rewire-2(`LATRANS');
		#do i = 1,6
			repeat id p`i'.p`i'/[P-p`i'].[P-p`i'] =
						1+2*P.p`i'/[P-p`i'].[P-p`i'];
		#enddo
		repeat id P.p1/[P-p6].[P-p6]/p6.p6 = P.Q/[P-p6].[P-p6]/p6.p6
						+(1/[P-p6].[P-p6]-1/p6.p6)/2;
		repeat id P.p3/[P-p4].[P-p4]/p4.p4 = P.Q/[P-p4].[P-p4]/p4.p4
						+(1/[P-p4].[P-p4]-1/p4.p4)/2;
		.sort(PolyFun=acc):rewire-3(`LATRANS');

		#do i = 1,8
			if ( count([P-p`i'].[P-p`i'],1) < 0 ) Multiply mncx;
		#enddo

		if ( count(mncx,1) == 1 );
			if ( count([P-p4].[P-p4],1) < 0 );
				Multiply replace_(p1,p4,p2,p5,p3,p6,p4,p1,p5,p2,p6,p3,p7,p8,p8,p7,Q,-Q,
					[P-p4],[P-p1])*sign_(`POW'+`PROJ');
			elseif ( count([P-p6].[P-p6],1) < 0 );
				Multiply replace_(p1,-p6,p6,-p1,p2,-p5,p5,-p2,p3,-p4,p4,-p3,p7,-p7,p8,-p8
					,[P-p6],[P+p1]);
			elseif ( count([P-p3].[P-p3],1) < 0 );
				Multiply replace_(p1,-p3,p3,-p1,p2,-p2,p5,-p5,p6,-p4,p4,-p6,p7,-p8,p8,-p7
					,Q,-Q,[P-p3],[P+p1])*sign_(`POW'+`PROJ');
			endif;
		elseif ( count(mncx,1) == 2 );
			if ( count([P-p1].[P-p1],1) < 0 );
			elseif ( count([P-p2].[P-p2],1) < 0 );
				if ( count([P-p3].[P-p3],1,[P-p4].[P-p4],1) < 0 );
					Multiply replace_(p1,-p3,p3,-p1,p2,-p2,p5,-p5,p6,-p4,p4,-p6,p7,-p8,p8,-p7
						,Q,-Q,[P-p3],[P+p1],[P-p4],[P+p6],[P-p2],[P+p2])
					*sign_(`POW'+`PROJ');
				endif;
			elseif ( ( count([P-p3].[P-p3],1) < 0 ) && ( count([P-p4].[P-p4],1) < 0 ) );
				Multiply replace_(p1,-p3,p3,-p1,p2,-p2,p5,-p5,p6,-p4,p4,-p6,p7,-p8,p8,-p7
					,Q,-Q,[P-p3],[P+p1],[P-p4],[P+p6])
				*sign_(`POW'+`PROJ');
			endif;
		elseif ( count(mncx,1) == 3 );
			if ( match(1/[P-p2].[P-p2]/[P-p3].[P-p3]/[P-p4].[P-p4]) );
				Multiply replace_(p1,-p3,p3,-p1,p2,-p2,p5,-p5,p6,-p4,p4,-p6,p7,-p8,p8,-p7
					,Q,-Q,[P-p3],[P+p1],[P-p4],[P+p6],[P-p2],[P+p2])*sign_(`POW'+`PROJ');
			endif;
		endif;
		id	mncx = 1;
		id	p4.p6 = (2*p1.p3-p1.p1+p6.p6-p3.p3+p4.p4)/2;
		id	p4.p?!{p4} = p3.p-Q.p;
		id	p5.p?!{p5} = p2.p-Q.p;
		id	p6.p?!{p6} = p1.p-Q.p;
		.sort(PolyFun=acc):rewire-4(`LATRANS');
		#do i = 1,6
		repeat id p`i'.p`i'/[P-p`i'].[P-p`i'] = 1+2*P.p`i'/[P-p`i'].[P-p`i'];
		repeat id p`i'.p`i'/[P+p`i'].[P+p`i'] = 1-2*P.p`i'/[P+p`i'].[P+p`i'];
		#enddo
		#do i = 1,3
		repeat id P.p`i'/p`i'.p`i'/[P-p`i'].[P-p`i'] = (1/[P-p`i'].[P-p`i']-1/p`i'.p`i')/2;
		#enddo
		id	p4.p?!{p4} = p3.p-Q.p;
		id	p5.p?!{p5} = p2.p-Q.p;
		id	p6.p?!{p6} = p1.p-Q.p;
		repeat id P.p1/[P-p6].[P-p6]/p6.p6 = P.Q/[P-p6].[P-p6]/p6.p6
						+(1/[P-p6].[P-p6]-1/p6.p6)/2;
		repeat id P.p1/[P+p6].[P+p6]/p6.p6 = P.Q/[P+p6].[P+p6]/p6.p6
						+(1/p6.p6-1/[P+p6].[P+p6])/2;
		.sort(PolyFun=acc):rewire-5(`LATRANS');
		#do i = 1,8
			if ( ( count(p`i'.p`i',1) < 0 ) || ( count([P-p`i'].[P-p`i'],1) < 0 )
				 || ( count([P+p`i'].[P+p`i'],1) < 0 ) ) Multiply mncx`i';
		#enddo

		if ( count(mncx4,1,mncx5,1,mncx6,1) == 0 ) discard;
		if ( count(mncx4,1,mncx8,1) == 0 ) discard;
		if ( count(mncx6,1,mncx7,1) == 0 ) discard;
		if ( count(mncx7,1,mncx8,1,mncx5,1) == 0 ) discard;
		if ( count(mncx7,1,mncx8,1,mncx2,1) == 0 ) discard;
		if ( count(mncx4,1,mncx3,1) == 0 ) discard;
		if ( count(mncx8,1,mncx3,1) == 0 ) discard;
		if ( count(mncx1,1,mncx6,1) == 0 ) discard;
		if ( count(mncx1,1,mncx7,1) == 0 ) discard;

		Multiply replace_(<mncx1,1>,...,<mncx8,1>);
		.sort(PolyFun=acc):rewire-6(`LATRANS');
	#break
* 	#] 0 :
* 	#[ 1 :
	#case 1
	#break
* 	#] 1 :
* 	#[ 2 :
	#case 2
	#break
* 	#] 2 :
* 	#[ 3 :
	#case 3
		#do i = 1,8
			repeat id P.p`i'/p`i'.p`i'/[P-p`i'].[P-p`i'] =
							(p`i'.p`i'-[P-p`i'].[P-p`i'])/2/p`i'.p`i'/[P-p`i'].[P-p`i'];
			repeat id P.p`i'/p`i'.p`i'/[P+p`i'].[P+p`i'] =
							([P+p`i'].[P+p`i']-p`i'.p`i')/2/p`i'.p`i'/[P+p`i'].[P+p`i'];
		#enddo
		.sort(PolyFun=acc):rewire-1(`LATRANS');
		#do i = 1,8
			repeat id p`i'.p`i'/[P-p`i'].[P-p`i'] =
							(2*P.p`i'+[P-p`i'].[P-p`i'])/[P-p`i'].[P-p`i'];
			repeat id p`i'.p`i'/[P+p`i'].[P+p`i'] =
							([P+p`i'].[P+p`i']-2*P.p`i')/[P+p`i'].[P+p`i'];
		#enddo
		.sort(PolyFun=acc):rewire-2(`LATRANS');
*
*		We rewire when
*		1/p7.p7, 1/p8.p8 or 1/p5.p5 is missing
*
		if ( count([P+p2].[P+p2],1,[P-p7].[P-p7],1,[P-p8].[P-p8],1) <
			count(p5.p5,1,p7.p7,1,p8.p8,1) );
*				rewire
			Multiply replace_(p7,[P+p7],[P-p7],-p7,p8,[P+p8],[P-p8],-p8,
				p2,-[P-p2],[P+p2],p2,p5,-[P-p5],[P+p5],p5);
*				flip
			Multiply replace_(p1,-p6,p6,-p1,p3,-p4,p4,-p3,
				p2,-p5,p5,-p2,[P-p2],[P+p5],[P-p5],[P+p2],
				p7,-p7,p8,-p8,[P+p7],[P-p7],[P+p8],[P-p8]);
			id	[P+p2] = P+p2;
			id	[P+p5] = P+p5;
			id	[P-p7] = P-p7;
			id	[P-p8] = P-p8;
			id	P.P = 0;
			id	P.p5 = P.p2-P.Q;
		endif;
		#do i = 1,8
			repeat id P.p`i'/p`i'.p`i'/[P-p`i'].[P-p`i'] =
							(p`i'.p`i'-[P-p`i'].[P-p`i'])/2/p`i'.p`i'/[P-p`i'].[P-p`i'];
			repeat id P.p`i'/p`i'.p`i'/[P+p`i'].[P+p`i'] =
							([P+p`i'].[P+p`i']-p`i'.p`i')/2/p`i'.p`i'/[P+p`i'].[P+p`i'];
		#enddo
		#do i = 1,8
			repeat id p`i'.p`i'/[P-p`i'].[P-p`i'] =
							(2*P.p`i'+[P-p`i'].[P-p`i'])/[P-p`i'].[P-p`i'];
			repeat id p`i'.p`i'/[P+p`i'].[P+p`i'] =
							([P+p`i'].[P+p`i']-2*P.p`i')/[P+p`i'].[P+p`i'];
		#enddo
		.sort(PolyFun=acc):rewire-3(`LATRANS');
		if ( count([P-p8].[P-p8],1) > count([P-p7].[P-p7],1) );
			Multiply replace_(Q,-Q,P,-P,p1,-p3,p3,-p1,p4,-p6,p6,-p4,p2,-p2,p5,-p5
			,p7,-p8,p8,-p7,[P-p7],-[P-p8],[P-p8],-[P-p7]
			,[P+p2],-[P+p2],[P+p5],-[P+p5]);
		endif;
		.sort(PolyFun=acc):rewire-4(`LATRANS');

	#break
* 	#] 3 :
	#endswitch
#break
*--#] la :
*--#[ be :
#case be
	#switch `BEPATH'
* 	#[ 0 :
	#case 0
	#break
* 	#] 0 :
* 	#[ 1 :
	#case 1
	#break
* 	#] 1 :
* 	#[ 2 :
	#case 2
*		#do i = 1,8
*			repeat id P.p`i'/p`i'.p`i'/[P-p`i'].[P-p`i'] =
*							(p`i'.p`i'-[P-p`i'].[P-p`i'])/2/p`i'.p`i'/[P-p`i'].[P-p`i'];
*			repeat id P.p`i'/p`i'.p`i'/[P+p`i'].[P+p`i'] =
*							([P+p`i'].[P+p`i']-p`i'.p`i')/2/p`i'.p`i'/[P+p`i'].[P+p`i'];
*		#enddo
*		.sort(PolyFun=acc):rewire-1(`BEPATH');
*		#do i = 1,8
*			repeat id p`i'.p`i'/[P-p`i'].[P-p`i'] =
*							(2*P.p`i'+[P-p`i'].[P-p`i'])/[P-p`i'].[P-p`i'];
*			repeat id p`i'.p`i'/[P+p`i'].[P+p`i'] =
*							([P+p`i'].[P+p`i']-2*P.p`i')/[P+p`i'].[P+p`i'];
*		#enddo
*		.sort(PolyFun=acc):rewire-2(`BEPATH');
	#break
* 	#] 2 :
* 	#[ 3a :  p2,p6,p8 (for BE28)
	#case 3a
		repeat id p2.P/p2.p2/[P+p2].[P+p2] = (1/p2.p2-1/[P+p2].[P+p2])/2;
		repeat id p8.P/p8.p8/[P+p8].[P+p8] = (1/p8.p8-1/[P+p8].[P+p8])/2;
		#do i = {2,6,8}
			repeat id p`i'.p`i'/[P+p`i'].[P+p`i'] = 1-2*P.p`i'/[P+p`i'].[P+p`i'];
		#enddo
		.sort:rewire-1(`BEPATH');
*
*		Cases are that we can miss p2.p2,[P+p2].[P+p2]
*		,[P+p6].[P+p6],p8.p8,[P+p8].[P+p8];
*
		if ( count(p2.p2,1) >= 0 );
*
*			If we miss p2, we rewire through p7 and flip. -> 6,8
*
			Multiply replace_([P+p2],p2,p2,-[P-p2],[P+p6],p6,p6,-[P-p6]
				,p7,-[P-p7]);
			Multiply replace_(p1,-p3,p3,-p1,p2,-p2,[P-p2],[P+p2],
				p6,-p7,p7,-p6,[P-p6],[P+p7],[P-p7],[P+p6],p4,-p5,p5,-p4
				,Q,-Q)*sign_(`POW'+`PROJ');
		elseif ( count([P+p2].[P+p2],1) >= 0 );
		elseif ( count([P+p6].[P+p6],1) >= 0 );
		elseif ( count(p8.p8,1) >= 0 );
		elseif ( count([P+p8].[P+p8],1) >= 0 );
		endif;
		#do i = 1,8
			id	[P+p`i'] = P+p`i';
			id	[P-p`i'] = P-p`i';
		#enddo
		id	P.P = 0;
		id	p7.p?!{p7} = p6.p-p8.p;
		.sort(PolyFun=acc):rewire-2(`BEPATH');
		#do i = 1,8
			if ( ( count(p`i'.p`i',1) < 0 ) || ( count([P-p`i'].[P-p`i'],1) < 0 )
				 || ( count([P+p`i'].[P+p`i'],1) < 0 ) ) Multiply mncx`i';
		#enddo

		if ( count(mncx4,1,mncx5,1) == 0 ) discard;
		if ( count(mncx6,1,mncx7,1) == 0 ) discard;
		if ( count(mncx6,1,mncx2,1) == 0 ) discard;
		if ( count(mncx2,1,mncx7,1) == 0 ) discard;
		if ( count(mncx1,1,mncx2,1,mncx3,1) == 0 ) discard;
		if ( count(mncx1,1,mncx5,1,mncx8,1) == 0 ) discard;
		if ( count(mncx1,1,mncx5,1,mncx6,1) == 0 ) discard;
		if ( count(mncx5,1,mncx6,1,mncx8,1) == 0 ) discard;
		if ( count(mncx1,1,mncx6,1,mncx8,1) == 0 ) discard;
		if ( count(mncx3,1,mncx4,1,mncx8,1) == 0 ) discard;
		if ( count(mncx3,1,mncx4,1,mncx7,1) == 0 ) discard;
		if ( count(mncx5,1,mncx7,1,mncx8,1) == 0 ) discard;
		if ( count(mncx4,1,mncx7,1,mncx8,1) == 0 ) discard;

		Multiply replace_(<mncx1,1>,...,<mncx8,1>);
		.sort(PolyFun=acc):rewire-3(`BEPATH');

	#break
* 	#] 3a :
* 	#[ 3 :  p2,p6,p8 (for BE28)
	#case 3
	#break
* 	#] 3 :
* 	#[ 4 :
	#case 4
	#break
* 	#] 4 :
* 	#[ 5 :
	#case 5
	#break
* 	#] 5 :
* 	#[ 6 :
	#case 6
	#break
* 	#] 6 :
* 	#[ 7 :
	#case 7
	#break
* 	#] 7 :
* 	#[ 8 :
	#case 8
	#break
* 	#] 8 :
* 	#[ 9 :
	#case 9
	#break
* 	#] 9 :
* 	#[ 10 :
	#case 10
	#break
* 	#] 10 :
* 	#[ 11 :
	#case 11
		#do i = 1,8
			repeat id P.p`i'/p`i'.p`i'/[P-p`i'].[P-p`i'] =
							(p`i'.p`i'-[P-p`i'].[P-p`i'])/2/p`i'.p`i'/[P-p`i'].[P-p`i'];
			repeat id P.p`i'/p`i'.p`i'/[P+p`i'].[P+p`i'] =
							([P+p`i'].[P+p`i']-p`i'.p`i')/2/p`i'.p`i'/[P+p`i'].[P+p`i'];
		#enddo
		.sort(PolyFun=acc):rewire-1(`BEPATH');
		#do i = 1,8
			repeat id p`i'.p`i'/[P-p`i'].[P-p`i'] =
							(2*P.p`i'+[P-p`i'].[P-p`i'])/[P-p`i'].[P-p`i'];
			repeat id p`i'.p`i'/[P+p`i'].[P+p`i'] =
							([P+p`i'].[P+p`i']-2*P.p`i')/[P+p`i'].[P+p`i'];
		#enddo
		.sort(PolyFun=acc):rewire-2(`BEPATH');
	#break
* 	#] 11 :
* 	#[ 14 :
	#case 14
	#break
* 	#] 14 :
	#endswitch
#break
*--#] be :
*--#[ o2 :
#case o2
	#switch `O2PATH'
* 	#[ 0 :
	#case 0
	#break
* 	#] 0 :
* 	#[ 1 :
	#case 1
	#break
* 	#] 1 :
* 	#[ 2 :
	#case 2
	#break
* 	#] 2 :
* 	#[ 3 :
	#case 3
	#break
* 	#] 3 :
* 	#[ 4 :
	#case 4
	#break
* 	#] 4 :
* 	#[ 5 :
	#case 5
	#break
* 	#] 5 :
* 	#[ 6 :
	#case 6
	#break
* 	#] 6 :
* 	#[ 7 :
	#case 7
	#break
* 	#] 7 :
* 	#[ 8 :
	#case 8
	#break
* 	#] 8 :
* 	#[ 9 : p2,p4,p6,[P+p2],[P-p4],[P-p5],[P-p6]
	#case 9
#if (1==1)
		repeat id P.p2/p2.p2/[P+p2].[P+p2] = ([P+p2].[P+p2]-p2.p2)/2/p2.p2/[P+p2].[P+p2];
		repeat id P.p6/p6.p6/[P-p6].[P-p6] = (p6.p6-[P-p6].[P-p6])/2/p6.p6/[P-p6].[P-p6];
		repeat id P.p4/p4.p4/[P-p4].[P-p4] = (p4.p4-[P-p4].[P-p4])/2/p4.p4/[P-p4].[P-p4];
		.sort(PolyFun=acc):rewire-1(`O2PATH');
		repeat id p2.p2/[P+p2].[P+p2] = ([P+p2].[P+p2]-2*P.p2)/[P+p2].[P+p2];
		repeat id p6.p6/[P-p6].[P-p6] = ([P-p6].[P-p6]+2*P.p6)/[P-p6].[P-p6];
		repeat id p4.p4/[P-p4].[P-p4] = ([P-p4].[P-p4]+2*P.p4)/[P-p4].[P-p4];
		repeat id p5.p5/[P-p5].[P-p5] = ([P-p5].[P-p5]+2*P.p5)/[P-p5].[P-p5];
		id  P.p5 = P.Q+P.p4-P.p2;
		.sort(PolyFun=acc):rewire-2(`O2PATH');
		repeat;
		repeat id P.p2/p2.p2/[P+p2].[P+p2] = ([P+p2].[P+p2]-p2.p2)/2/p2.p2/[P+p2].[P+p2];
		repeat id P.p6/p6.p6/[P-p6].[P-p6] = (p6.p6-[P-p6].[P-p6])/2/p6.p6/[P-p6].[P-p6];
		repeat id P.p4/p4.p4/[P-p4].[P-p4] = (p4.p4-[P-p4].[P-p4])/2/p4.p4/[P-p4].[P-p4];
		repeat id p2.p2/[P+p2].[P+p2] = ([P+p2].[P+p2]-2*P.p2)/[P+p2].[P+p2];
		repeat id p6.p6/[P-p6].[P-p6] = ([P-p6].[P-p6]+2*P.p6)/[P-p6].[P-p6];
		repeat id p4.p4/[P-p4].[P-p4] = ([P-p4].[P-p4]+2*P.p4)/[P-p4].[P-p4];
		repeat id p5.p5/[P-p5].[P-p5] = ([P-p5].[P-p5]+2*P.p5)/[P-p5].[P-p5];
		id  P.p5 = P.Q+P.p4-P.p2;
		endrepeat;
		.sort(PolyFun=acc):rewire-3(`O2PATH');
		if ( match(1/[P+p2].[P+p2]/[P-p5].[P-p5]) && ( count(p2.p2,1) >= 0 ) );
			Multiply replace_([P+p2],p2,p2,-[P-p2],[P-p5],-p5,p5,[P+p5],p3,-[P-p3]);
			id	[P-p2] = P-p2;
			id	[P-p3] = P-p3;
			id	[P+p5] = P+p5;
			id	P.P = 0;
			id	P.p3 = P.p2-P.Q;
			id	P.p5 = P.p4+P.Q-P.p2;
		elseif ( match(1/[P-p5].[P-p5]/[P-p4].[P-p4]/[P-p6].[P-p6]) &&
			( match(1/p1.p1/p4.p4/p6.p6) == 0 ) );
			Multiply replace_(p1,[P+p1],p4,[P+p4],p6,[P+p6],p5,[P+p5],
				[P-p4],-p4,[P-p5],-p5,[P-p6],-p6);
			id	[P+p1] = P+p1;
			id	[P+p4] = P+p4;
			id	[P+p5] = P+p5;
			id	[P+p6] = P+p6;
			id	P.P = 0;
			id	P.p1 = P.p4+P.Q;
			id	P.p5 = P.p4+P.Q-P.p2;
		endif;
		.sort(PolyFun=acc):rewire-4(`O2PATH');
#endif
*
*       Now one of the denominators may be missing. This could give rewiring.
*
	#break
* 	#] 9 :
	#endswitch
#break
*--#] o2 :
#endswitch
#endprocedure
*
*--#] rewire :
*-#] Procedures :
*--#[ Tables :
#call pochtabl(60)
#call tabtwo(30)
*--#[ notabl.h :
*
*	The table is constructed with the program in fold donotabl
*	There is a problem with the ep^3 terms. They are not consistent.
*	It may have to do with rounding at other places.
*	J.Vermaseren 20-may-2013
*
CTable sparse mncnoptab(4);
#if ( `INNOTABL' > 31 )
	#redefine INNOTABL "31"
#endif
#if ( `INNOTABL' < 8 )
	#redefine INNOTABL "8"
#endif
#switch `INNOTABL'
#case 33
*--#[ 33 :
*--#] 33 :
#case 32
*--#[ 32 :
*--#] 32 :
#case 31
*--#[ 31 :
Fill mncnoptab(8,8,8,7)=
      +mncF321*(-47527714461938130392544000000-
         2645969355032203241055909180000/7*ep-
         52636693707539127908479511634600/49*ep^2-556020629988476306639\
         110432231977/343*ep^3)
      +100398753841132245079926358149909886493906161505786573/
      429280218774984290313600-143642110049156302348310100/49*ep^-3-
         287095718291408946435393719559981/9053044*ep^-2-54717567836705\
         428759281512300177068957553/526870322138160*ep^-1+
         30649703128624333579560940000800/49*z3-
         12126045711026307392157670370727117731256487121251074942806415\
         3742413910213407831695016717462010624710469617750782197/
         51795622513771101696851371014733574083065513134831852154959953\
         920000000000000000000000*ep+45974554692936500369341410001200/
         49*ep*z4+162277766766618064417552550983496483994/15842827*ep*
         z3+47313786001215161387981219152749747246091089945868833796023\
         61910395659594799354609334032172029144216932058226088241914383\
         081/4280817359209849710543328259655488672927742053386200721666\
         73764633804800000000000000000000000*ep^2+297274828345348029382\
         5309375303600/49*ep^2*z5+2434166501499270966263288264752447259\
         91/15842827*ep^2*z4-605089398432545735592612386573173125690292\
         091/21694660323336*ep^2*z3-
         20818577287398831603851567496287389544166493870380989380149118\
         41992731295656853084272247303014508939588794316168641362314532\
         9709772461184704250122171483175989/
         65523905375733298746290255711413120364076896254990913029554165\
         32844680107120250994525999672066048000000000000000000000000000\
         00*ep^3+7355246450812139900614371088257000/49*ep^3*z6+
         1837394385012337177855862924064163461873/15842827*ep^3*z5-
         605089398432545735592612386573173125690292091/14463106882224*
         ep^3*z4-2428107758433951597807869874873342761150211720297783709
       /214640109387492145156800*ep^3*z3+107259424367808992925607240085\
         6400/49*ep^3*z3^2;
Fill mncnoptab(9,7,6,9)=
      +mncF321*(-31190062615646898070107000000-
         248302700091211039269347941875*ep-
         19792062973078193173826154810375/28*ep^2-167631279824272602254\
         6350704970017/1568*ep^3)
      +1505862589004723515812371757962999084637313285309278007/
      9812119286285355207168000-65998361016655748880558525/56*ep^-3-
         531560464236964590899050201112565/41385344*ep^-2-7357324866307\
         7603028433697574246526769227/1720392888614400*ep^-1+
         2873294901876782597306126634225/7*z3-
         15093819998094413878889491157292433561132973165254088219635415\
         6760798521939971833500891085536513025698892391568871931/
         98219847137225200254770007257568851594553861944570030753109245\
         952000000000000000000000*ep+8619884705630347791918379902675/14
         *ep*z4+243526135274545959398542325869257802383/36212176*ep*z3+
         76467400472377416804419526411020182241342092879512622256462908\
         671015302618683234230571810501169592050899439833041145298708477
       /105530075344076887679171825541729380025952041138290933345977058\
         42231869440000000000000000000000*ep^2+557387861753052669465783\
         849262275/14*ep^2*z5+730578405823637878195626977607773407149/
         72424352*ep^2*z4-9050835275458535558864580207146441626502102761
       /495877950247680*ep^2*z3+156170196818741157228256090507287731169\
         90166520635966138500163386921302124763064887089617819403762679\
         3155284080276877355969055648530689245889781381055158566279/
         16152856080773364313159553407969101079381326721230352486100463\
         86763488547888607059983890882121170944000000000000000000000000\
         0000*ep^3+2758206359746495521355857979969125/28*ep^3*z6+
         5534519610921271880138991221647599807597/72424352*ep^3*z5-
         9050835275458535558864580207146441626502102761/330585300165120
         *ep^3*z4-37151218618476585972205069473429297688175579241482450\
         951/4906059643142677603584000*ep^3*z3+201113945552301422148430\
         211602125/14*ep^3*z3^2;
Fill mncnoptab(9,7,7,8)=
      +mncF321*(-41586750154195864093476000000-
         330859314035290397552728747500*ep-
         6585784900641366428813310798525/7*ep^2-55697878291345839456367\
         7536807665/392*ep^3)
      +1505936221940170576978633968002478800571928896846855683/
      7359089464714016405376000-30782766642148439889850125/14*ep^-3-
         1726477713864959690397869966891299/72424352*ep^-2-496012440417\
         3672840610502616498789637439657/63224438656579200*ep^-1+
         3831156485703107736433408692900/7*z3-
         99171978523608050649715722736972948245346674837104894037763419\
         999243285517928434897180176627422182578479816638193129/
         48342581012853028250394612947084669144194478925843062011295956\
         992000000000000000000000*ep+5746734728554661604650113039350/7*
         ep*z4+81151583898855195114201467428771549133/9053044*ep*z3+
         10042690351519318926412017739989252087423064323540423537462437\
         024053459173906041170148049897612420920853343508031024413382581
       /103881167916825686309184765767639858463046540495505137512446166\
         8844699648000000000000000000000*ep^2+
         53084705069089384765697410792650*ep^2*z5+243454751696565585342\
         604402286314647399/18106088*ep^2*z4-90674449047665132700328576\
         24179566310125201669/371908462685760*ep^2*z3-
         75501836784029560538295884717720013261944362798755824155061444\
         39849660778896915402152169468598967700721884030284726219801161\
         71664642154090363868795730964031069/
         79502338522556402478832176929847919375079967456055641142525720\
         59851545196639237873358212935440138240000000000000000000000000\
         000*ep^3+919404447494806464058621167139125/7*ep^3*z6+183999280\
         1385360014923410007527526136697/18106088*ep^3*z5-9067444904766\
         513270032857624179566310125201669/247938975123840*ep^3*z4-
         36676800750425663720253600837365965807037515885032264019/
         3679544732357008202688000*ep^3*z3+1340749009189284140308269940\
         61850/7*ep^3*z3^2;
Fill mncnoptab(9,8,5,9)=
      +mncF321*(-16733716133474050075708200000-
         934782964470720469933830948375/7*ep-
         74832348408346449906213192346395/196*ep^2-31872758818192808081\
         770409840885601/54880*ep^3)
      +3540371434891017555396427282651885079186651465780098151/
      42999145227354639446323200-231046419760893070541560665/392*ep^-3-
         720381220744522214581241120904841/111422080*ep^-2-250516750580\
         886253304383994699719449460567/11472679203955200*ep^-1+
         10790772392612779822970491882365/49*z3-
         30924513214919545433998580329079118752715903360355522342597660\
         863347022747489494369717050356165559880823527052488493100174457
       /375870876302859477694515058724489136276266598025875863374226449\
         37833945497600000000000000000000*ep+
         32372317177838339468911475647095/98*ep*z4+35217481328596765081\
         6915854456385619147/97494320*ep*z3+
         46748522522092971466342368516121141868468411114533937172468004\
         77983593177209348949294965454282366737115640790103542221115819\
         765608584871/1207499220631006705232213007010533418017985366637\
         697320983930501752817893765575344128000000000000000000000*ep^2
         +2093300097179756296004904635114535/98*ep^2*z5+105652443985790\
         2952450747563369156857441/194988640*ep^2*z4-229654937644673256\
         99305410902088283833722609047/2362022189049600*ep^2*z3+
         43678549248945914813396792159902636633412547181224620378200976\
         74768797393302215335820737581158114802998904140635356280155962\
         7769894431720476821829650597652199649879548828573/
         60788833270962567204325807654554261801538185650873929190609577\
         04394750452782000835673956810425583678410344462548992000000000\
         000000000000000000*ep^3+10358592761972653681794818256749025/
         196*ep^3*z6+8074942785864426450681425840088549848673/194988640
         *ep^3*z5-22965493764467325699305410902088283833722609047/
         1574681459366400*ep^3*z4-4575255009638600587697522902184071364\
         45658672458599382483/107497863068386598615808000*ep^3*z3+
         755295612776053142395369287668265/98*ep^3*z3^2;
Fill mncnoptab(9,8,6,8)=
      +mncF321*(-30893014400259784755153600000-
         1722602011890537451436614137000/7*ep-
         34363978854264455213988273726090/49*ep^2-728700551317029045439\
         2356796924531/6860*ep^3)
      +1239439314616492939636774864326318026564083200645213/
      8153470442069977024000-78845218002215634577712715/49*ep^-3-
         243585055881336351817043991858891/13927760*ep^-2-1563918216122\
         6411016843542534016521188537/270189908788800*ep^-1+
         19921987546340907321638716689720/49*z3-
         11407496296642177807616880349489358382002133893159995477684916\
         76327295393867151971486797195762456999614411395715269469/
         74992978237887389978176258546118525210865794231115519273933471\
         7440000000000000000000000*ep+29882981319511360982458075034580/
         49*ep*z4+81200405917250211958507764183277002417/12186790*ep*z3
         +7506724354415179402660178386771028683214968133630752353894079\
         66226797196892783072401066249191967163673923577694663257048958\
         8063/104746844316132567028427972149036857283571928332967680325\
         0498849418405478400000000000000000000000*ep^2+1932282986061625\
         445468578665670740/49*ep^2*z5+24360121775175063587552329254983\
         1007251/24373580*ep^2*z4-4015414919349322480371694894559556736\
         4293301/2225093366496*ep^2*z3-
         24800980866954496959131203059470667664035532545133726250532547\
         72432997992094507898686124208567456044510057142565970486284522\
         707146702142421919735254444188201267141/
         22927149390929890534853885956952642482450144614868845978152042\
         39193521442290812215378619307032011866112000000000000000000000\
         00000000*ep^3+4780902496288211345367349872452550/49*ep^3*z6+
         1849474429513321847098077676606851646803/24373580*ep^3*z5-
         40154149193493224803716948945595567364293301/1483395577664*
         ep^3*z4-92794657953309740302347632791878376369826096663616479/
         12230205663104965536000*ep^3*z3+697189772749770501020354919428\
         460/49*ep^3*z3^2;
Fill mncnoptab(9,8,7,7)=
      +mncF321*(-36041850133636415547679200000-
         287016340129859314350776614500*ep-
         5722715738633016365783179375815/7*ep^2-24254176548131723217279\
         78051804087/1960*ep^3)
      +100398162450512396461151815688318564143839140301036173/
      566083804978001261952000-31523057737177982120930655/14*ep^-3-
         97092351589018526051894227389807/3979360*ep^-2-222896469942257\
         6578666083179742965390129/27790962046848*ep^-1+
         3320388912141855200240146339020/7*z3-
         31212801950855513315652761778483559660557890077994420900560495\
         756840899604143647766309285585927812095241681782351178851/
         17631002230621688419358989764311947151615794888621444531341093\
         765120000000000000000000000*ep+4980583368212782800360219508530/
         7*ep*z4+27063259294920532483281573147158591199/3481940*ep*z3+
         20578235214350580265856874173262280121394459886051452482252362\
         66089948920929283425721484355120532612113279249685629155744563\
         29787/24626196867792799431989596717487848896056094171342605660\
         093360704693941043200000000000000000000000*ep^2+32204777757726\
         8959699586979069090/7*ep^2*z5+81189777884761597449844719441475\
         773597/6963880*ep^2*z4-301409380412268893946372906433530743070\
         1903543/143041716417600*ep^2*z3+
         71118035043122961650677648225627930753480568438518890445859850\
         34128657737253658629843387870493837298464619826137235806737059\
         675304656527362587107881718350932721343/
         31707174187696559299101652607934506770447258819122341616844121\
         05103165307945997205421571958824583036928000000000000000000000\
         00000000*ep^3+796818471662817761248367081825175/7*ep^3*z6+
         615751338490608955039527653471474871291/6963880*ep^3*z5-
         3014093804122688939463729064335307430701903543/95361144278400*
         ep^3*z4-2491003994145229630158498431167133257111438265069323357
       /283041902489000630976000*ep^3*z3+116197661260365514565036531938\
         110/7*ep^3*z3^2;
Fill mncnoptab(9,8,8,6)=
      +mncF321*(-26773945813558480121133120000-
         1494340004534211501408987359400/7*ep-
         29860717668143811545691953510958/49*ep^2-317321213957212578999\
         45098640495111/34300*ep^3)
      +33465596158517593448416690900082159218312705145364031/
      254011963772180053440000-80746170950867864951850003/49*ep^-3-
         1246638974025672080254317474909871/69638800*ep^-2-737969069006\
         999555122587909024676253927/12470303482560*ep^-1+
         17265995640607950390219994336824/49*z3-
         98022664407320189823424207618417645440976508092460955199682105\
         723996016462950877617188967194446186102095086341857475383/
         74278759397526557692669817988536444018381358095581085757038867\
         251200000000000000000000000*ep+
         25898993460911925585329991505236/49*ep*z4+35203456792621134384\
         6069939818965882427/60933950*ep*z3+
         64540725242492453629384747834739906480565135544302534853645221\
         07715025908054897193568654300648932768811962535397992792764913\
         46167/10374925532264559019958580098571269673801410044408227384\
         5763695561442066432000000000000000000000000*ep^2+1674648159381\
         757450303617288933108/49*ep^2*z5+10561037037786340315382098194\
         56897647281/121867900*ep^2*z4-10010446305113150110459230178821\
         28059561270013/64185385572000*ep^2*z3+
         21541793992569145316195928939250804797897237693887868609530770\
         35505741359132759672226361324155535722944029870638612873438347\
         510481547041344332195320215311775053617043/
         22708795587206748720236229900219760173093476570917714111693451\
         51201202190459471146660727694584087943577600000000000000000000\
         0000000000*ep^3+4143455409352873749783493236490710/49*ep^3*z6+
         8045985377627015439302439172496663822643/121867900*ep^3*z5-
         1001044630511315011045923017882128059561270013/42790257048000*
         ep^3*z4-850460282332202069745499796461912902387865641707286719/
         127005981886090026720000*ep^3*z3+60422813227683173221578034154\
         5932/49*ep^3*z3^2;
Fill mncnoptab(9,9,7,6)=
      +mncF321*(-20273540700170483745569550000-
         161861182205684079108699423000*ep-
         12967832013080632720951749069915/28*ep^2-552935117078761332432\
         3859094876937/7840*ep^3)
      +35433955467654737731355060307725522310093559584122749/
      355189838417569419264000-8867338198319190817811610/7*ep^-3-
         25811876415360060322737836226267/1872640*ep^-2-498407305190345\
         8546691722475831378214163/108984164889600*ep^-1+
         1867718795621384982168413219205/7*z3-
         42019588599958308733101068402360552078218571369281401946016820\
         78293180544634008952451203129825901857535681456901791377/
         42132909742294476002144644657363109002023039255896834357984231\
         42400000000000000000000000*ep+5603156386864154946505239657615/
         14*ep*z4+28690974248157851491058018191865141811/6554240*ep*z3+
         27612185793951453587564899822023390458348181391210994976262645\
         49373514982530324859784247315799826976372614907895485892766882\
         9503/588493675149460280543869039204672859648399309241643149965\
         4663403695243264000000000000000000000000*ep^2+1811518752332617\
         08887565340930485/7*ep^2*z5+8607292274447355447317405457559542\
         5433/13108480*ep^2*z4-4487167751699082835824142821552782875894\
         360039/381444577113600*ep^2*z3-
         52068824484906602619610693122919993504969400754848965810560734\
         89345630809132341767015941907184200059425701492830920213542426\
         0786544936159252590855360262520330486401820329089/
         14911614980879691669324749887296312706420117363826365679037509\
         48019069482477505682303166412225384008661647449128960000000000\
         0000000000000000000*ep^3+448210391094100809763492319278200/7*
         ep^3*z6+329453841675083889071676005187142430637/6554240*ep^3*
         z5-4487167751699082835824142821552782875894360039/
         254296384742400*ep^3*z4-92316363615157887837335415474465237683\
         8977026970508463/177594919208784709632000*ep^3*z3+
         65361184100830278602656697758815/7*ep^3*z3^2;
Fill mncnoptab(9,9,8,5)=
      +mncF321*(-12550287100105537556781150000-
         702443586343678323657957873000/7*ep-
         56425586395563553567106077875765/196*ep^2-24143293931794861183\
         824628255030407/54880*ep^3)
      +416524007285634371001645742359327441003127180207161697/
      6744963957232100305305600-30318263279677818589274910/49*ep^-3-
         88873021498056182606252186849397/13108480*ep^-2-34259153125735\
         42724668159704371265417311/149969662796800*ep^-1+
         8093269763239061051642095464555/49*z3-
         25957084425036691606978242851462912924658561920149395632599100\
         59286777085957188610792352994870144608914748264775928163249383\
         611/4203673550416538717451157384705499825560305114686449913177\
         929628709222875136000000000000000000000*ep+
         24279809289717183154926286393665/98*ep*z4+12441592856462685279\
         8202398241678721821/45879680*ep*z3+
         22988917387173607642611898238038162414884141144850528451881223\
         65832569133077255352266161398878172565946756635866647706366224\
         0416939467513/794379893849377681080534595009957322147645217411\
         7377271697916492932681731909342986240000000000000000000000*
         ep^2+784989562336779111550648295073435/49*ep^2*z5+373247785693\
         880558394607194725036165463/91759360*ep^2*z4-38056151255011204\
         00071311848753326164708890467/524893819788800*ep^2*z3-
         13132411350584603375947154950516882363374152322410509822862123\
         62762454497985396625204735813388162443942692423403954955560082\
         681531162074827248647526227071682633675396123070703011/
         25160104089154279956638571898725951663515348774878611775785587\
         02456458727912794706991145429670637066822051876371955712000000\
         0000000000000000000000*ep^3+1942240731433850126247515499022200/
         49*ep^3*z6+1436358349035471136494728874169703675907/45879680*
         ep^3*z5-11416845376503361200213935546259978494126671401/
         1049787639577600*ep^3*z4-5575807735444646188408163268661872882\
         1586663553285215143/16862409893080250763264000*ep^3*z3+2832337\
         59632621049293071789454865/49*ep^3*z3^2;
Fill mncnoptab(9,9,9,4)=
      +mncF321*(-4706357662539576583792931250-
         264210961671366981406570846125/7*ep-
         85344381404969667047865362009835/784*ep^2-36774113151132977412\
         996704180255823/219520*ep^3)
      +12970481171919564893398959461351267337427291558415459/
      560135415133461617049600-437965203420716643061403715/3136*ep^-3-
         81526749359614446826370561338833/52433920*ep^-2-11708412549283\
         7736996928308199587693919879/21595631442739200*ep^-1+
         24279012687935775692074685363415/392*z3-
         14733189818974205798073304974140692891822464181355696051334237\
         89969486848110348848398105016273842718661374192267863509825031\
         339/6440628404031053963523380421566640804162038907858882188404\
         756466843773619404800000000000000000000*ep+
         72837038063807327076224056090245/784*ep*z4+1868940494485634386\
         41159860973966206919/183518720*ep*z3+
         44306696081481718042467998441213909062960352513125808827720061\
         77810221704220587610743690798093631818017137722442874335478327\
         7511944254189/413815183274536530580024200100544196458769755041\
         70023173209217844970034193439170284748800000000000000000000*
         ep^2+4709920428133429138136729591873985/784*ep^2*z5+5606821483\
         45690315923479582921898620757/367037440*ep^2*z4-20366171006242\
         4357504990548532045747186058775903/75584710049587200*ep^2*z3-
         46920045578658614863280535649483916686899842888026211680145667\
         91582095017414171861837189600220568385512619683420067712239905\
         219314046653141874287911279528104858759710241252405633/
         10408195916595500883490877796533667789946367316407820007104444\
         80376898623050496467538515625424106755178565245857727250432000\
         000000000000000000000000*ep^3+23306812013787787933762901105735\
         775/1568*ep^3*z6+2181087069615463442734702134605669776173/
         183518720*ep^3*z5-20366171006242435750499054853204574718605877\
         5903/50389806699724800*ep^3*z4-4069017869376980326727465835529\
         3167441971177744117701199/31130602879532770639872000*ep^3*z3+
         1699420083046346953702350319180815/784*ep^3*z3^2;
Fill mncnoptab(10,6,5,10)=
      +mncF321*(-11551875042832184470410000000-
         92178440863852206496532006250*ep-
         3688747309112446342058989721625/14*ep^2-1036474706339280363593\
         0230738339735/25872*ep^3)
      +3811240758326831723306604587790689253531633248983406959/
      67055741514839104509081600-3824354052762896489050875/28*ep^-3-
         2122338437232201325096076082815/1400256*ep^-2-2066377855571842\
         46312696140536361706960521/39360778351614720*ep^-1+
         1064137110459640282464827508750/7*z3-
         55746926611325517898743091431213116313395636249989879885411915\
         811514207990278833193910167313275193991661238847366784243/
         98253924993211269855264415994297426892725521252535686272425804\
         043386880000000000000000000*ep+1596205665689460423697241263125/
         7*ep*z4+21385536724668790127114330101092908875/8576568*ep*z3+
         16217931805029672839704013628350713382817190550711635549830532\
         31164617016613712564830985614817083791455321182798493160225762\
         06241/60700846473692952115445787248423215197544574746543885923\
         512513961498785297203200000000000000000000*ep^2+10321948314169\
         8052201254987373125/7*ep^2*z5+21385536724668790127114330101092\
         908875/5717712*ep^2*z4-108822443068032936178429009564113484947\
         88734541/1620737932125312*ep^2*z3+
         15606795879414200430359384675116796967189567815437642716062611\
         49172866686360699973950408290160429134782086060001314231401181\
         7034736790580054533513252341455545842603/
         73822129732445896607082647051990631364778958654201589690659386\
         45188465142046241173966804860939926869167308800000000000000000\
         000000000*ep^3+510776730156192059593950799321875/14*ep^3*z6+
         163389084635712498803473568842776210875/5717712*ep^3*z5-
         10882244306803293617842900956411348494788734541/
         1080491954750208*ep^3*z4-1082627407163251919666493524883239729\
         537680960738513821157/368806578331615074799948800*ep^3*z3+
         37243831301684865180256643848875/7*ep^3*z3^2;
Fill mncnoptab(10,6,6,9)=
      +mncF321*(-20793375077097932046738000000-
         165706720182605777910113486250*ep-
         6616176746892467910566363217225/14*ep^2-6178556779769024495709\
         175826657013/8624*ep^3)
      +1505804008702663782365442743578250915229039707767933531/
      14718178929428032810752000-13752768163018562955506475/28*ep^-3-
         780679786666365483923280992038661/144848704*ep^-2-230365465589\
         8499970290966047236286065504559/126448877313158400*ep^-1+
         1915484577831238960140059818350/7*z3-
         32091470879819507390642389814463848122133369300860006525278904\
         361074345279872921190774561418191311597751991723737/
         31309750563224089809666944462271062491770416440417837430152888\
         320000000000000000000*ep+2873226866746858440210089727525/7*ep*
         z4+81214997843397999060787475718022318609/18106088*ep*z3+
         49098278138814061866027664235101801461016741475561051388527866\
         91207790814200168200196945944973885562765950213577575718578443/
         10176114408178842740491568891523904502502518252620911429790644\
         91929501696000000000000000000000*ep^2+
         26542210212385865665233624353475*ep^2*z5+243644993530193997182\
         362427154066955827/36212176*ep^2*z4-18047394323684507802292158\
         81361994469033432017/148763385074304*ep^2*z3+
         10998398708029684448446657113842731679778560380014916515950226\
         11370637683917824997771655223526301936992511165412451371006455\
         05615892310428977698678043905553/
         11981514125848374627893075330086970580859775315198338382547047\
         374344557910162744675704685114635059200000000000000000000000000
         *ep^3+919399934544349103482476553279875/14*ep^3*z6+18527443607\
         36055914605039254591293093931/36212176*ep^3*z5-180473943236845\
         0780229215881361994469033432017/99175590049536*ep^3*z4-
         37923500338697295019939610844378343055602792484169511283/
         7359089464714016405376000*ep^3*z3+
         67038480774917108512746410706075/7*ep^3*z3^2;
Fill mncnoptab(10,7,4,10)=
      +mncF321*(-5784494465892264223701600000-
         46264731005474978218614463500*ep-
         929505476208040489495790093795/7*ep^2-107432177533248999921954\
         96619182767/52920*ep^3)
      +2124111168101695314680721816222283123126493934583885577/
      74634230644622695610403840-2412290494355597818623895/42*ep^-3-
         7691257510603930487711557006183/11938080*ep^-2-227284233090924\
         004759629198048316072383001/99566465948611200*ep^-1+
         1598565352385579977192709115980/21*z3-
         16114443426379270658906423505993675259641956478190563282997240\
         36260076294440594136344162185288005629282107679918367741313453/
         56794137352075881219880727224680860084345959016122856460420026\
         47893053276160000000000000000000*ep+
         799282676192789988596354557990/7*ep*z4+39171752646391039637253\
         496966413710083/31337460*ep*z3+
         48627569942019668441435434566198263383423872339868797954551443\
         85852491103688753629959596782176314188511036791964107933807329\
         56677862229/36490657251020569341472202383414621181621324361050\
         5660426170579244625484031133850009600000000000000000000*ep^2+
         51686182498570035227178630070470/7*ep^2*z5+3917175264639103963\
         7253496966413710083/20891640*ep^2*z4-6844800739795684599657806\
         6975084621642811780461/20498978283537600*ep^2*z3+
         33852415401518973486995401823017930766421713641383227434835613\
         38161624966151089560141202720012751000458193563564442363113802\
         13015133756036967556662199656745929080452633581/
         91852004609201570375541402924459620391131598439625673938043201\
         79296723539702650178520741181824498807444967230799872000000000\
         00000000000000000*ep^3+383649955358311314260857952738575/21*
         ep^3*z6+905401545695331817926998203286403357397/62674920*ep^3*
         z5-68448007397956845996578066975084621642811780461/
         13665985522358400*ep^3*z4-143053342150803135741755594437634474\
         7922684270090061175409/932927883057783695130048000*ep^3*z3+
         55948566708672246696311074565390/21*ep^3*z3^2;
Fill mncnoptab(10,7,5,9)=
      +mncF321*(-15017437555681839811533000000-
         119819185500657035740040533125*ep-
         9588184562915287780281312377025/28*ep^2-8162900862662922285624\
         97270883399/1568*ep^3)
      +53104230481712139489560126997551686005946818407831384633/
      718699998800070402174259200-18795438015595305299793675/56*ep^-3-
         1681591209092361243293760786537/454784*ep^-2-48349123393065454\
         5502106490522540816597157/38351527624650240*ep^-1+
         1383402586832097220976198189175/7*z3-
         23198671928551395553555828587857569262148602967451079107365458\
         707211214369119992476707236618282270326440346660268963875659/
         31380685405619065855757286906497237722508343063384812341076419\
         706911457280000000000000000000*ep+
         4150207760496291662928594567525/14*ep*z4+902908593607460929120\
         0646020740988173/2785552*ep*z3+
         24536565969466914284991714385495440533250582893498500417753266\
         73228967573301633318699470049468477413634188823970083720811496\
         6644377119/705681362706432490070773835265896153387134305177875\
         0577178814620633351327201414348800000000000000000000*ep^2+
         268371174016048411328952019166325/14*ep^2*z5+27087257808223827\
         873601938062222964519/5571104*ep^2*z4-137881124156749457898920\
         57969663229042055428625/1579180549250304*ep^2*z3+
         33091829460615222818229696088956392655849271747966619054040362\
         28952131180120790433921015437878809300827703178828638737244571\
         9429063705345929004277658951387440778350310999/
         50751345031415872434038243867438623025402937927445766485666622\
         76396359376163080475052468580132676540416799644057600000000000\
         000000000000000*ep^3+1328021844211921084434998113939875/28*
         ep^3*z6+206870821678350117437754393509075110407/5571104*ep^3*
         z5-13788112415674945789892057969663229042055428625/
         1052787032833536*ep^3*z4-2735695144729830442330649821072868533\
         59027990653061339509/71869999880007040217425920*ep^3*z3+
         96833425834636234793845208919675/14*ep^3*z3^2;
Fill mncnoptab(10,7,6,8)=
      +mncF321*(-24027900089090943698452800000-
         191540858712053708919447243000*ep-
         3825932821841404776528968728410/7*ep^2-81265419563133829429654\
         9696628849/980*ep^3)
      +100390730480656785790091723753459852821935147669873473/
      849125707467001892928000-6568973407916905553615385/7*ep^-3-
         142604410222762625451778955588623/13927760*ep^-2-2493278830669\
         83978705409909986184140960023/7295127537297600*ep^-1+
         2213505956519530072665051482280/7*z3-
         13066245175170370204894204860030369141850207347001918857462732\
         13529211230484594636140399609691723847698094254217967287/
         11044420431397961069513230804064728258327507877673376474888384\
         02048000000000000000000000*ep+3320258934779295108997577223420/
         7*ep*z4+9025360471409899159541720542243968353/1740970*ep*z3+
         85815019484236450569189957020737891055198648946579117981523308\
         68400385594733700948503350037204544640389193686306814992362745\
         83/15426353435648614416913937716494518981762411263582512920598\
         2557823437897728000000000000000000000*ep^2+
         30671085246688619239155644682180*ep^2*z5+270760814142296974786\
         25161626731905059/3481940*ep^2*z4-3005156604408912521046500062\
         716521666449136251/214562574626400*ep^2*z3-
         26169192447108388743096093138020269963348091470582831209970695\
         44917618068083805562823448058242056732086306453079492993045700\
         672013780358711248244475477611481371743/
         42206797742393662120981017329844637297237766222826739187052623\
         49424437200580813396492458269763476389888000000000000000000000\
         0000000*ep^3+531210226925752011503561153232450/7*ep^3*z6+
         206119483442545334163847399306814244477/3481940*ep^3*z5-
         3005156604408912521046500062716521666449136251/143041716417600
         *ep^3*z4-25419693578556393368122713744059615359778047895935249\
         21/424562853733500946464000*ep^3*z3+
         77466060673435316482535376045540/7*ep^3*z3^2;
Fill mncnoptab(10,7,7,7)=
      +mncF321*(-24294876756747509739546720000-
         193795719819718809165821147700*ep-
         553641673710676254395432537277*ep^2-10600542778059043147391440\
         272846337/12600*ep^3)
      +100395126098958988759068972671030367506193709807857613/
      839794655736595278720000-2689643560098393033105789/2*ep^-3-
         7854604229874439481610730285939997/537213600*ep^-2-69872904040\
         345188111087970510615800739403/1442992260124800*ep^-1+
         319737349486658312237028429156*z3-
         12829487332037091377162017499706877192163364532650270238424180\
         1654917256996177432873329677282350415213494958340059619813/
         10805285652766720474150009441271179040061680010312285291350470\
         3217664000000000000000000000*ep+479606024229987468355542643734
         *ep*z4+352107264154229997760336501790754154627/67151700*ep*z3+
         84689198850660948963116347016319665130297259377522550729473096\
         47093376646605208253422415346278153539581146109964041724228295\
         28589/15092340651833015651890767131146124537725806285008539754\
         5429310604481438679040000000000000000000000*ep^2+
         31011967739627266344469702747302*ep^2*z5+352107264154229997760\
         336501790754154627/44767800*ep^2*z4-17642950251241758804662706\
         5180879833279783207/12482632008000*ep^2*z3+
         22985397556390181938177232002049196176695821366419581917733919\
         96447192393379027097885308829181018228173180612786297204807300\
         85694752392771888776666775626865720923241/
         19431968180745462770449441384005576292174105762004977933751611\
         32984654167298332573036934814765351604060160000000000000000000\
         000000000*ep^3+76730575975351520080581685795365*ep^3*z6+
         2686834194922269893582203706380261835981/44767800*ep^3*z5-
         176429502512417588046627065180879833279783207/8321754672000*
         ep^3*z4-2573241731175358851597671507016628417085279094471617597
       /419897327868297639360000*ep^3*z3+
         11189446272873733259936880862458*ep^3*z3^2;
Fill mncnoptab(10,8,3,10)=
      +mncF321*(-1394476344456170839642350000-
         78441856567681479367653873000/7*ep-
         3178305988055352015161411784465/98*ep^2-8254320642859242686049\
         03283725875/16464*ep^3)
      +7965307909881796706938481813362144495132665431925041252551/
      1160976921138575265050726400000-3564798909741000491839305/392*
         ep^-3-105072212589595369352176169081387/1002798720*ep^-2-
         2428540782161967747757367304085079212648979/
         6195246770135808000*ep^-1+899187887908546472267202768285/49*z3
         -3560370146844144668027332434795169148932201323580457123082844\
         41349796871245530741670902109185296103115052439854705326265041\
         3303651/522449723854844847948732568785657029362779151756986285\
         56225550693989380231822049280000000000000000000*ep+
         2697563663725639416801608304855/98*ep*z4+106007554689567619968\
         3634846090199114701/3509795520*ep*z3+
         84001822225698859268627659697980999805898516425205028510176827\
         93777846217623129678797582208513962345348972604651437245317649\
         11183601949787077/26374688055366846292173805260922513165955315\
         52462063928382992303299670116476356992028586803200000000000000\
         000000*ep^2+174440756956263027731024323304115/98*ep^2*z5+
         1060075546895676199683634846090199114701/2339863680*ep^2*z4-
         1012188487141299055243495798128393247727758093147/
         1275491982086784000*ep^2*z3-
         46649990205459918504968737476106416653881254106509571616599602\
         13041270364825083719433884811761636502915285156217842658058320\
         76268694596468216837577742892756931477531219482306460897/
         44697713503930744121400206764183021769348584993932026443600753\
         54310944494000637520849586121139496711748298123829304466237030\
         400000000000000000000000000*ep^3+86321190590222967393244958883\
         7725/196*ep^3*z6+4153255242253523092215927919958212823749/
         1169931840*ep^3*z5-1012188487141299055243495798128393247727758\
         093147/850327988057856000*ep^3*z4-2325761201561193670258261522\
         17018064519587694697129751786587/
         580488460569287632525363200000*ep^3*z3+
         62942250248366372037432124391805/98*ep^3*z3^2;
Fill mncnoptab(10,8,4,9)=
      +mncF321*(-5577905377824683358569400000-
         312654645091518501394728963000/7*ep-
         6294756633666213463639297534710/49*ep^2-1351181177317932364782\
         080942002699/6860*ep^3)
      +21241190894714168152470794371892996290074454445564217719/
      773984614092383510033817600-5066681532392561692557960/49*ep^-3-
         64308436351765826133203182729161/55711040*ep^-2-13062976660624\
         244006058583647708619539563/3226691026112400*ep^-1+
         3596823805370020638920563883580/49*z3-
         73773060185607953299244771819762943086777019044470685632427746\
         36442428014919669701977118546343922212722830949983783909052324\
         077/2695155270609917966274399191794040459587807050673255315763\
         2211676638560376586240000000000000000000*ep+
         5395235708055030958380845825370/49*ep*z4+235167592124065788702\
         016001665355307273/194988640*ep*z3+
         70700638620519107730396249836350782757494094167462265608854190\
         13238913870957303262527304989277882464557173034370490106587126\
         13750505473647/55098189437392835959745879509890639864160672279\
         6781287564967487949810804925232029525606400000000000000000000*
         ep^2+348882282431243095377578903806860/49*ep^2*z5+705502776372\
         197366106048004996065921819/389977280*ep^2*z4-1705144738159063\
         8769809776559407712856199471579/5314549925361600*ep^2*z3-
         11530910421824307371155890915924711398103862491697276735072736\
         03882007695266417475225752108126845149629164066734428699076595\
         27552305517712383718574254124069520802861605420433667/
         46116314215069296222236504698487635746223904417314648646862770\
         82285335437516045886939884617263734546021950627800391509606400\
         00000000000000000000000*ep^3+863213646564682686846645849808200/
         49*ep^3*z6+2729303543444421536584354530509700881991/194988640*
         ep^3*z5-17051447381590638769809776559407712856199471579/
         3543033283574400*ep^3*z4-2919686347336846414569232265849991234\
         439356617196068831753/1934961535230958775084544000*ep^3*z3+
         125883705709397524651486907603940/49*ep^3*z3^2;
Fill mncnoptab(10,8,5,8)=
      +mncF321*(-12872089333441576981314000000-
         720049251059038170758982780000/7*ep-
         14445384035921612240798145970350/49*ep^2-617233650522383949312\
         400546615293/1372*ep^3)
      +4617869038169961535128496482479250111120163217016879349/
      72911594081166562539417600-23015489227005076632593100/49*ep^-3-
         4105041882892606214591632328713/795872*ep^-2-16985325939810608\
         257188238696199235734117/972683671639680*ep^-1+
         8300611737445901955317646625800/49*z3-
         14873896407746800225942963136777005936613411738693448653765410\
         441964569449649568643378653909196691375799911199955151708323929
       /235270399900507575584771611570839794793848598339735987511160254\
         61682575769600000000000000000000*ep+
         12450917606168852932976469938700/49*ep*z4+54216942081263621962\
         750117463676084623/19498864*ep*z3+
         44884778746692050966492116199217107350995832190470170249425832\
         11486295234996443031812202314914230591063120787604666504144699\
         82356858539/15116298837077361454257204610520791141661973738937\
         6137108908826909307416694056655257600000000000000000000*ep^2+
         805115609076175689735595160868600/49*ep^2*z5+16265082624379086\
         5888250352391028253869/38997728*ep^2*z4-3430882836918159915944\
         8821313613117139458115623/4605943268646720*ep^2*z3-
         15138500601965796193471845641780476496152264278925530723242809\
         46715421105484435782063740148565425316849188169179352528730605\
         0994920942624397616859161754114481785810804242659701/
         46295196334238325944252391490095624280860153172429887941767013\
         43257923878078963241505702570051416208651297136463734374400000\
         0000000000000000000000*ep^3+1992037493346824469450693785607000/
         49*ep^3*z6+624654159424490449254696173876008898241/19498864*
         ep^3*z5-34308828369181599159448821313613117139458115623/
         3070628845764480*ep^3*z4-2815579519029433361561380991326412802\
         867143153102023129681/838483331933415469203302400*ep^3*z3+
         290498119119581545127796666719400/49*ep^3*z3^2;
Fill mncnoptab(10,8,6,7)=
      +mncF321*(-18020925066818207773839600000-
         143932603195206022022394426000*ep-
         2884816494291958051243632845670/7*ep^2-61556707994648742372580\
         9081821023/980*ep^3)
      +602363719662683199027878246483449163789082919318128043/
      6793005659736015143424000-6894732323183471385221070/7*ep^-3-
         128156642890235773297062219591043/11938080*ep^-2-7451273057307\
         7046432842783961015014434733/2084322153513600*ep^-1+
         1660172763349390980891702744360/7*z3-
         61247577230110379002199575754486526103497859338342795664163541\
         9404774540093475221654361716694351185930181915459006238171/
         69462550624928917333821489265314722400396514352007548301538737\
         7827840000000000000000000000*ep+
         2490259145024086471337554116540/7*ep*z4+1626115824911181446301\
         87179604722293199/41783280*ep*z3+
         28225096152380919079033939559470008982398151740308098496880419\
         34553677564403997051456372347995723677256331762987026621049896\
         9505829/679155329332485704335084520901575604197661282825384288\
         9544318977201664740556800000000000000000000000*ep^2+1610236580\
         57014834623017505201120/7*ep^2*z5+1626115824911181446301871796\
         04722293199/27855520*ep^2*z4-448206902014407561689838305624457\
         0321420247553/429125149252800*ep^2*z3+
         22577180557979090849656572539470917651165203294756515668190919\
         85039134710853690627787940579681636314896411976699144673987336\
         5599382735543547603327724461810384013108805015547217/
         72306116723612545727174705575951099980518773176431520108965556\
         17333283857890925512555762031525535519551172120674304000000000\
         00000000000000000000*ep^3+398408713234163609105314506141900/7*
         ep^3*z6+623292287352600780709051361731095325811/13927760*ep^3*
         z5-4482069020144075616898383056244570321420247553/
         286083432835200*ep^3*z4-15809562082903130396620069802524231071\
         277317233381714249/3396502829868007571712000*ep^3*z3+
         58099069250240397501460307748480/7*ep^3*z3^2;
Fill mncnoptab(10,8,7,6)=
      +mncF321*(-15618135057909113403994320000-
         124860711123659920054053751200*ep-
         2506792611761162209259301126834/7*ep^2-26805742440942234434380\
         29030970003/4900*ep^3)
      +200792122269104888443657554435430220786197709427709331/
      2612694484513851978240000-7061688744949794577861044/7*ep^-3-
         655954074258367338450649959340723/59690400*ep^-2-2392087451934\
         2708765650482620979263141/654418258560*ep^-1+
         1438840292569580179142127114552/7*z3-
         48857030934945953974612169137728060564217536020174399703487244\
         884924152083251732717560756784579576883039940118605720961771/
         63210921068685314773777555231436397384360828060326868954400251\
         382333440000000000000000000000*ep+
         2158260438854370268713190671828/7*ep*z4+7049854305486313716324\
         60758297540144579/208916400*ep*z3+
         32049340323041491447132677462210081724963040169003333108845729\
         45814369833974103002587848252934116842405098421192435497355824\
         01940411/88290192813223141563560987717204828545695966767299957\
         564076146703621641627238400000000000000000000000*ep^2+13955409\
         1166738801248004199386184/7*ep^2*z5+70498543054863137163246075\
         8297540144579/139277600*ep^2*z4-148977002140692837350488204145\
         3526492290597497/165048134328000*ep^2*z3-
         12092038845290292839841822061781821620329477136273448329669173\
         20588396310557780595512746017939076627420427908621259093644226\
         00038116867591665464295931972803590240719291832052283/
         32899283109243708305864491037057750491136041795276341649579328\
         05886644155340371108212871724344118661395783314906808320000000\
         00000000000000000000000*ep^3+345288127185423052672155180679080/
         7*ep^3*z6+2711549647628647979024119045759448050031/69638800*
         ep^3*z5-1489770021406928373504882041453526492290597497/
         110032089552000*ep^3*z4-41244403460540018708734901561091047178\
         3678050461489093/100488249404378922240000*ep^3*z3+
         50352263808588374166411136787736/7*ep^3*z3^2;
Fill mncnoptab(10,8,8,5)=
      +mncF321*(-8366858066737025037854100000-
         469390149682813180238468337000/7*ep-
         9465060344811114141659441944440/49*ep^2-1018016692203869146970\
         611601644083/3430*ep^3)
      +106215034703980516111495985585240732938691343642714588127/
      2579948713641278366779392000-99007726439360108903540085/196*ep^-3
         -308533535918477683709160564994539/55711040*ep^-2-128608951979\
         7111964003073742011451907615063/68836075223731200*ep^-1+
         5395613050018085860065382121970/49*z3-
         39074650959589896404269094673317941621183848986870710854254561\
         93004580836393776869335548017320590754452968662417120783305482\
         96723/95269725035017943735828753169404207285783597009119617683\
         3660607453932021612544000000000000000000000*ep+
         8093419575027128790098073182955/49*ep*z4+352917342465673168932\
         364912894332137637/194988640*ep*z3+
         33354115746390069283975296179341189668296139128553944335776873\
         21531530175082568246743665064007772084699550296964995839986005\
         6994949681555401/174890027373309286514944937469948184814759639\
         49823195898565848847593780913170287731671040000000000000000000\
         000*ep^2+523327437193350928290243685377615/49*ep^2*z5+
         1058752027397019506797094738682996412911/389977280*ep^2*z4-
         68023001966943661661337914304530664979084503479/
         14172133134297600*ep^2*z3-
         20013725431745461457785681038521426876298550292425947527427116\
         31913600634378584600393292603767881239649247046305042488174786\
         7921490247508186730081889533620675721970118428537007185289/
         16301430284214711247014325986406930079605453029350450905658309\
         15652802745750377182263936875053889076128303653619748988518400\
         00000000000000000000000000*ep^3+258965912071666421215089151627\
         8225/98*ep^3*z6+4108642609048232124796401293552482326279/
         194988640*ep^3*z5-68023001966943661661337914304530664979084503\
         479/9448088756198400*ep^3*z4-227907711968420120955325198801683\
         258813446976189897165359/99228796678510706414592000*ep^3*z3+
         188821407802837024544114259279585/49*ep^3*z3^2;
Fill mncnoptab(10,9,2,10)=
      +mncF321*(-145961624289962518682287500-
         8270934832838187950216955750/7*ep-
         1357735924422296519645569340745/392*ep^2-179316488409528665365\
         0316433678703/329280*ep^3)
      +13400368850388745968387367790349881332144742408668595588933/
      18660065423390918805542584320000-10185232194079122994484385/26656
         *ep^-3-29202234099394731190081225392521/6199119360*ep^-2-
         1988075850311182751305384208683582794955849/
         99574511723637350400*ep^-1+6400060260809890060718496821085/
         3332*z3-280525643497739710357112382605738018614457979410823111\
         67769841749794636933153154840561760871852324133464809782003142\
         010546106495273361299/3955700258494665257207226895063988673726\
         89848591039908404504852506710630550849499281175347200000000000\
         0000000*ep+19200180782429670182155490463255/6664*ep*z4+
         688388831673047531451955895329287981103/21696917760*ep*z3+
         41837541527472237150808824457306617816572337365773349040998351\
         30388063956210294524941376803313173722237653501215128006317503\
         586871824070946568056977/1270783473879336122764293743175860256\
         29168742636538391208717276203494227113902121855088497059336028\
         160000000000000000000*ep^2+1241606852225240541439918295005515/
         6664*ep^2*z5+688388831673047531451955895329287981103/
         14464611840*ep^2*z4-282996490241891681341622248620672928357870\
         34715121/348510791032730726400*ep^2*z3+
         75399272115245278216593355158731093323441616073126593893574793\
         62167207930911296356713927412882052974108960425816120068320586\
         33832627823420660191043497367097021890363134836448210123834271/
         19907432776164141750808809396470558172875492692701150670470277\
         60444232096201298618538722403955934556671021854718559036315164\
         9346682880000000000000000000000000*ep^3+6144033658518103806592\
         406506816725/13328*ep^3*z6+27669486765947507737828490905432918\
         58167/7232305920*ep^3*z5-2829964902418916813416222486206729283\
         5787034715121/232340527355153817600*ep^3*z4-437653257592859857\
         475563961610552645885673729908806972054401/
         9330032711695459402771292160000*ep^3*z3+4480016411609956365785\
         48548005285/6664*ep^3*z3^2;
Fill mncnoptab(10,9,3,9)=
      +mncF321*(-1015096750743830243563181250-
         57249810828247524526148806125/7*ep-
         18642248496620975471259755432835/784*ep^2-81187086045790179923\
         65482218003943/219520*ep^3)
      +93708326916467832742057899596871752599199359667395325387/
      18763263371936569940213760000-39577907523188032291951515/3136*
         ep^-3-690864567053874956378578602283/4766720*ep^-2-53928973795\
         410881827843703570908798015687/100125200325427200*ep^-1+
         5236498861008266291380854614415/392*z3-
         70331151666283278953523679982772865149072068126290728543684003\
         51553998561559561173041139814840138238143143866151951002364125\
         57470999/14204182492260979310527146456540418642749533925916483\
         926730852807197952240310928015360000000000000000000*ep+
         15709496583024798874142563843245/784*ep*z4+6243712649447527596\
         8554477358835982573/283619840*ep*z3+
         10534321529524021913648519319365782995971592686025855694292488\
         19908563774590017331465341576468038841874215608469775780020677\
         48301938434413883311/45631466470112467152904161348959024630579\
         97429160909122513488165239700865716008257566495735808000000000\
         00000000000*ep^2+1015861979596204584813333897374985/784*ep^2*
         z5+187311379483425827905663432076507947719/567239680*ep^2*z4-
         200826278913376954795360797749592126082811360671/
         350438201138995200*ep^2*z3+
         28236197068284618310437865561480074251048780259359063942481724\
         51954388745251626847617127945218768664877490557392032974031422\
         12413570067705579986201440521149218992013280481633655482599/
         24304519673668218445468527243477493960607272561391878675085822\
         08707052336960050357633323100240345594719037562542443035937577\
         36960000000000000000000000000*ep^3+502694490937094026115286094\
         0730775/1568*ep^3*z6+740625309817789810988369768010685973391/
         283619840*ep^3*z5-20082627891337695479536079774959212608281136\
         0671/233625467425996800*ep^3*z4-219320476795488616631278833853\
         545959478182814240414243403/721663975843714228469760000*ep^3*
         z3+366544907099979936984962026764615/784*ep^3*z3^2;
Fill mncnoptab(10,9,4,8)=
      +mncF321*(-3609232891533618643780200000-
         202911131408469664310741754000/7*ep-
         4106809656333704215183059183555/49*ep^2-1775481466274534489441\
         757168142709/13720*ep^3)
      +5653785856202020151122373358267953086273421611019099/
      318381165813403336089600-5463038104212356936984430/49*ep^-3-
         6292762438964711217778293516233/5064640*ep^-2-2037771803087246\
         5142729027081126435873539/4693368765254400*ep^-1+
         2327404641337479925404426955140/49*z3-
         54080732461959031609027570385276854931109831185173520997732847\
         44742721199227353240078712510792105041369051030749316293098704\
         545193/3064265207280166887749322768607708656904793438159990985\
         1798560666415700715660902400000000000000000000*ep+
         3491106962006219888106640432710/49*ep*z4+138537482043396191080\
         89308642224978969/17726240*ep*z3+
         16251287593408481628843841401915301979388357611969280670920015\
         35357030751326280145255542211310905025952813679676076065103838\
         20413871886094351/19688132722558386961928570601745141297710787\
         72443686135206756481550659890286739263003295744000000000000000\
         00000*ep^2+225747870417730341388372327900380/49*ep^2*z5+
         41561244613018857324267925926674936907/35452480*ep^2*z4-
         33796046274293611062427911430622503644450476263/
         16426790678390400*ep^2*z3+
         12951004222218063055447227080970328718125469031135886896128588\
         16205315057581124774702317634708215985223945175520623379375872\
         4221907966208570902246626183572175355124627166112951118557/
         26216043780152479215711244253011350117765487538483596943663824\
         36660097133678555304399849251368715970635056542436683501535232\
         000000000000000000000000000*ep^3+55855116444098215365741975236\
         3100/49*ep^3*z6+162505538216398117251557425229469304023/
         17726240*ep^3*z5-337960462742936110624279114306225036444504762\
         63/10951193785593600*ep^3*z4-180641721784756933643645629539467\
         656779356395967014800649/175905594111905343189504000*ep^3*z3+
         81453633840486009745328625388020/49*ep^3*z3^2;
Fill mncnoptab(10,9,5,7)=
      +mncF321*(-7287874107904422261479250000-
         58433353698221784485794305000*ep-
         4716658111688353461889387797525/28*ep^2-4062340954488234363254\
         36963963579/1568*ep^3)
      +3748690382515114084020290618769075964722963609068024041/
      104538181643646603952619520-2658022735480056844678350/7*ep^-3-
         1034836046006500159853596386287/248064*ep^-2-98582939609096578\
         825769480031007532922181/6973005022663680*ep^-1+
         671390530576240624224665121675/7*z3-
         98779947776712367761970400132917458271319027386470265376494646\
         08244938883931775580228651301954478277056427463044350066978747\
         07/27687141959136992094691854522031919291118655020359892524454\
         76290847863472128000000000000000000000*ep+
         2014171591728721872673995365025/14*ep*z4+958338470940889221087\
         1774426296497617/6077568*ep*z3+
         20830760970307832776063053081627634335490179051185025571179395\
         84134702317364219312679899918572818233793478698694467089631436\
         210456955511503/1245243678691076928777738906334023947822827693\
         820850566204307101672284464256244263157760000000000000000000000
         *ep^2+65119831226617804896236485268475/7*ep^2*z5+9583384709408\
         892210871774426296497617/4051712*ep^2*z4-599436727747415733630\
         8784056334960148217237537/1435618681136640*ep^2*z3+
         42856087604857392386592862105250110820421871664066689891793538\
         84846688267109064638171224049204944608726076459231223314425267\
         109772364581430709666797568570689231188766191122835149/
         47374967677310939960444867093363160707235900185197931975394232\
         40476767583690134395826535283055530872409927973465803980800000\
         00000000000000000000000*ep^3+161121101740103910680029550367000/
         7*ep^3*z6+37246824915033096903153228476701299013/2025856*ep^3*
         z5-5994367277474157336308784056334960148217237537/
         957079120757760*ep^3*z4-61973431754154591881283049555963042480\
         17280972058623459/3074652401283723645665280*ep^3*z3+
         23495978653512041903005779167025/7*ep^3*z3^2;
Fill mncnoptab(10,9,6,6)=
      +mncF321*(-8745448929485306713775100000-
         70103073394841858583160806000*ep-
         2828116395354171687941569995315/14*ep^2-1217220354318212147285\
         451391905057/3920*ep^3)
      +3221202060912276237292579645338608543688227185239959/
      74854056856595208192000-3983028772151555970978420/7*ep^-3-
         9005207910282547485227545079689/1447040*ep^-2-5276420377673210\
         589342599268282273101323/252645109516800*ep^-1+
         805686091629777748605210434010/7*z3-
         33968799312572912887768819601208279864679993312549812065289415\
         97449875928893975624906274376931633901763272030345487473933/
         79013651335856643467221944039295496730451035075408586193000314\
         22791680000000000000000000000*ep+
         1208529137444666622907815651015/7*ep*z4+9582390581370420910918\
         644199734918737/5064640*ep*z3+88939126800088985346651753700835\
         75924695589634899269386770776002535286254009696164806883599136\
         2335494931897211742079361518928661137/441450964066115707817804\
         93858602414272847983383649978782038073351810820813619200000000\
         000000000000000*ep^2+78143983128628554923472239866170/7*ep^2*
         z5+28747171744111262732755932599204756211/10129280*ep^2*z4-
         4433765792494614868629993141714682336957224559/884257883308800
         *ep^2*z3+26103338158881730703370377081762469184358909217780227\
         86410713011037027541687116445371795201052659551555706936174429\
         41054290824872059424067893382515541620058616222988809447634217/
         32899283109243708305864491037057750491136041795276341649579328\
         05886644155340371108212871724344118661395783314906808320000000\
         0000000000000000000000*ep^3+193345742592496942937167573580400/
         7*ep^3*z6+111632331261764308728709506438128038479/5064640*ep^3
         *z5-4433765792494614868629993141714682336957224559/
         589505255539200*ep^3*z4-99165505536002176556704629752831930838\
         7114472402217263/411697312711273645056000*ep^3*z3+
         28194982379049124585606747088430/7*ep^3*z3^2;
Fill mncnoptab(10,9,7,5)=
      +mncF321*(-6316157560183832626615350000-
         50691011656561763219097651000*ep-
         4098648142740713198283952217055/28*ep^2-1769026286749161502584\
         373969005109/7840*ep^3)
      +1249581368948001741955773432592165696013694248504002787/
      40206992939864078443315200-2722930782449551269337170/7*ep^-3-
         37083810544287202014679685773799/8682240*ep^-2-387761676900405\
         00498638937762704277219239/2681925008716800*ep^-1+
         581881018002123977896133302785/7*z3-
         16545731146649234797463082794116044700955880838651187435138089\
         10633148353928679195252326559815348162247901607338715732903985\
         688671/5360230683288921669532343035465379574760571611941675192\
         734442099081463682039808000000000000000000000*ep+
         1745643054006371933688399908355/14*ep*z4+415479420773798010980\
         62855884074415007/30387840*ep*z3+
         24789060260504159296636874985133910362056602059433109059358637\
         36257632952716308070642926766939866548247434722119247390017784\
         54103341302080241/17219941156756606672240732304733359735607102\
         96597976211551098963455387659142920638195302400000000000000000\
         00000*ep^2+56437285181807374993415006799345/7*ep^2*z5+41547942\
         077379801098062855884074415007/20258560*ep^2*z4-19922878347494\
         71269891764337872365360645198459/552161031206400*ep^2*z3-
         92543425544942459407940942792624139694919452384797195402961315\
         86171936225981708337358141961053439685287701105734076901768818\
         17052255922884190425793715495637260496696861145206218541/
         45858968711636989881710631346375539564604351379271598152181616\
         96781511021012050095160086153997753884492810278314898253414400\
         00000000000000000000000000*ep^3+139638510409513127538797183741\
         400/7*ep^3*z6+162035067413001902769502235077366802923/10129280
         *ep^3*z5-1992287834749471269891764337872365360645198459/
         368107354137600*ep^3*z4-80749649211830426620769972892126376570\
         3298459994506809/454830236876290480128000*ep^3*z3+
         20363080026575302251421186612755/7*ep^3*z3^2;
Fill mncnoptab(10,9,8,4)=
      +mncF321*(-2706924668650213982835150000-
         152481865766796548039152953000/7*ep-
         6193570537368016806817852469145/98*ep^2-2689928230292548816935\
         986749069501/27440*ep^3)
      +220498801277533136150284610802448789745164572332949779/
      16555820622296973476659200-45911922914307927521463705/392*ep^-3-
         39619605967158544535805868958011/30387840*ep^-2-17066095254366\
         5983234483876133447050018919/37546950122035200*ep^-1+
         1745589598644745496188425913605/49*z3-
         23793201905858708578320010964044469904668461202158903649993096\
         37092740284632044448758131275986302608994260340738238067557238\
         793704929/1831007899393016864247639972913413340666932107637671\
         7561801489946778610309775805644800000000000000000000*ep+
         5236768795934236488565277740815/98*ep*z4+624024239038410598286\
         18624393607202973/106357440*ep*z3+
         71783288902142781051123531651527825260797788961131120179833969\
         38112111814756807104861483467045186421327129638677659820376239\
         8316879295439994307/117643624493258704378581040977784985375713\
         99622055468831480086676008603794424083789038621818880000000000\
         0000000000*ep^2+338622573947464190006743089450195/98*ep^2*z5+
         62402423903841059828618624393607202973/70904960*ep^2*z4-
         201562757878508674598098573296660569130583350143/
         131414325427123200*ep^2*z3+
         58595661138736042411025344017433088106041250717616296556106738\
         09143787500215496973600823324819647794008136188265784036685970\
         4317964373307097868217842989908916563759591721388200563087861/
         15665022445918968919930886699897603529297656143084609302301408\
         76705717326556282457068352779451785246596254678982433988006641\
         664000000000000000000000000000*ep^3+16756569737508734950718311\
         88114925/196*ep^3*z6+245691263335703983381358846259060435797/
         35452480*ep^3*z5-201562757878508674598098573296660569130583350\
         143/87609550284748800*ep^3*z4-55935581909696890476316709407451\
         9199131708146468894657987/703622376447621372758016000*ep^3*z3+
         122179656172895580834583578117405/98*ep^3*z3^2;
Fill mncnoptab(10,9,9,3)=
      +mncF321*(-656827309304831334070293750-
         37156374776842292785738728375/7*ep-
         12163427613679664129124923653905/784*ep^2-53344634779988434624\
         57302579455229/219520*ep^3)
      +1030773938077176843678026098799026056679848429488146163833/
      318975477322921688983633920000-726451064908005038971805865/53312*
         ep^-3-215190560926772652703935464074921/1377582080*ep^-2-
         984552464380568105939378261306459352038861/1702128405532262400
         *ep^-1+57602287971469227291090633355365/6664*z3-
         31896095482947513952234071591891852522346025706792764078807362\
         62309132463701838534395899682991915026661980421954971337483073\
         552948944927/9767161132085593227672165172997502898091107372618\
         2693433211074693014970506382592415105024000000000000000000*ep+
         172806863914407681873271900066095/13328*ep*z4+6878336356630944\
         00222877678841890688303/4821537280*ep*z3+
         48085995768038365675816644685091011026025300199226803684703733\
         30302286965333144263926622471096894956868331106059368628738439\
         75629308426589272834821/31377369725415706734920833164836055710\
         90586237939219536017710523543067336145731403829345606403358720\
         000000000000000000*ep^2+11174498804445189819423595225912035/
         13328*ep^2*z5+2063500906989283200668633036525672064909/
         9643074560*ep^2*z4-4376757106918163898782884504294618815589280\
         73169/1191489883872583680*ep^2*z3+
         17198546211578090035318262012342079856638963025876818116819862\
         54131100737547594660393807866039783488440874542674279392142269\
         034653113929130576365663849151286259259376857795193902301117787
       /491541550028744240760711343122729831429024510930892609147414261\
         83808199906204904161449935900146532263482021104161951513954689\
         7448960000000000000000000000000*ep^3+5529647114251125682420706\
         9796006525/26656*ep^3*z6+8245755208954337801874658830818273761\
         701/4821537280*ep^3*z5-437675710691816389878288450429461881558\
         928073169/794326589248389120*ep^3*z4-2525776112660489579150051\
         988214949323596736626570910358777/
         12268287589343141883985920000*ep^3*z3+403197636722501880150879\
         8845645965/13328*ep^3*z3^2;
Fill mncnoptab(10,10,6,5)=
      +mncF321*(-2699212632557193430177500000-
         21754623332321105344811550000*ep-
         886014709458631157040816340875/14*ep^2-23169624059631679251048\
         4149666575/2352*ep^3)
      +109610114984037493338338290868085976144137688280600647/
      8253014340287889785733120-1229783394139420788882500/7*ep^-3-
         113884725400573496582899137635/58752*ep^-2-7301348374179852941\
         69098933449415084855/110100079305216*ep^-1+
         248668556762312715275983414250/7*z3-
         27369415885674568566254460736857581618633890493722035057536670\
         76567280320463743369263824695975579929557045494127723851313603\
         411/2083821736924520983968913261395033925594719825216560332103\
         7005767960235606016000000000000000000000*ep+
         373002835143469072913975121375/7*ep*z4+84279388046455369676606\
         6184946982365/1439424*ep*z3+1280633839528820971929253709343264\
         25296244720227897213209724242755847537659046323971918823679673\
         60465686570183939666264249124708903279883/
         20919859733649436185998198261955524499373162619405736720772546\
         468413613532500344176640000000000000000000000*ep^2+
         24118513417328195025917686322250/7*ep^2*z5+8427938804645536967\
         66066184946982365/959616*ep^2*z4-26661771700628420017714082074\
         0949216628363589/175159217076480*ep^2*z3+
         99935266127436470473127525604914994753342733880809127298789189\
         34191390164939774202243831599141502842808706875520097862159011\
         376023302598106348833507164242133297352001460748574983/
         33873101889277322071718079971754659905673668632416521362406876\
         16940888822338446093015972727384704573773098501028049846272000\
         000000000000000000000000*ep^3+59674612151414705776604257270000/
         7*ep^3*z6+3336297290470872946525734154018574785/479808*ep^3*z5
         -266617717006284200177140820740949216628363589/116772811384320
         *ep^3*z4-16761176967933127620056658952411801644411753933179315\
         953/20632535850719724464332800*ep^3*z3+
         8702154945785711867008773542750/7*ep^3*z3^2;
Fill mncnoptab(10,10,7,4)=
      +mncF321*(-1559545076588600648547000000-
         12587002012392004659978945000*ep-
         770845554574992362975376156575/21*ep^2-60669876260768654327914\
         4314290103/10584*ep^3)
      +1992794568267001302387198444796757713843396210414447/
      259710241477590937313280-4549483043470650414068225/63*ep^-3-
         1491251778044849787112787870671/1850688*ep^-2-5380367420152131\
         84698226371325106735009/190557829566720*ep^-1+
         1293035896544228122328066753300/63*z3-
         17379374904729842310577763349606545039931878812406995364429624\
         77440770623922386759932499558352498212692179212429497800489106\
         99301/22944961145275900554481703921220718554723459995459545816\
         79384705110101542578421760000000000000000000*ep+
         646517948272114061164033376650/21*ep*z4+2192724991456315222191\
         465378401691683/6477408*ep*z3+
         26056988176617841427912505849934640659332683979305974340024102\
         21771555692603837108928497207064957096675962339623158281834176\
         3505609457380231/737115441687084613900883715399655296840313259\
         52728501450376482932384735554035612713274572800000000000000000\
         000*ep^2+41805279316173181238704556196200/21*ep^2*z5+219272499\
         1456315222191465378401691683/4318272*ep^2*z4-58402826078543688\
         2509600658291588517855449581/666952403483520*ep^2*z3-
         59814745157104676066949738303246533196866066656364282414071623\
         85088442281654671751115739575190138390123237338169791762885907\
         777098630903277059537737811289264815987546603260915726033/
         37297672490283259333168777856899056022137276531153831672146211\
         35013612682276862993019887570123298206181558759481985685730099\
         200000000000000000000000000*ep^3+31030700512993828898446400458\
         8250/63*ep^3*z6+8722897676429165553703716585848601287/2159136*
         ep^3*z5-584028260785436882509600658291588517855449581/
         444634935655680*ep^3*z4-34250449670789488204577887232267839032\
         52605117689069267/7142031640633750776115200*ep^3*z3+
         45251652303115198034910053209400/63*ep^3*z3^2;
Fill mncnoptab(10,10,8,3)=
      +mncF321*(-501282346046335922747250000-
         28401376011545145471097950000/7*ep-
         1165311718629641285415521855475/98*ep^2-3077232171703196382513\
         85359817877/16464*ep^3)
      +2739951364125254516316811704894768332730051516952786453/
      1110982699654139009617920000-4276970581833701439891775/392*ep^-3-
         360369053656339422203733896243/2878848*ep^-2-27526645737600833\
         06657782203503965077097/5928465808742400*ep^-1+
         323245713677083293688457798075/49*z3-
         93197879025054306896333798787720114757445357745395128966053209\
         27665579568290188969152756979197330866544286236076030501794907\
         376629121/3779861119228170753743097977166216291830923905812023\
         73967535118781017687718198887055360000000000000000000*ep+
         969737141031249881065373394225/98*ep*z4+1097859968018573058612\
         280632789177469/10075968*ep*z3+
         19922167124247346897693997614868065839232559232551491445859580\
         28007588055703443052543576131545466453160857700121892877450319\
         71465867344612080397/17347064200251938707939425677153944997183\
         69216021240344989888613192761685175658670847714289254400000000\
         000000000000*ep^2+62707636887924037826055372629925/98*ep^2*z5+
         1097859968018573058612280632789177469/6717312*ep^2*z4-
         1157759713761041760275347542546559742542261757/
         4149926066119680*ep^2*z3-
         45819825348640172209245203599331660497993072618851505438179717\
         14954558279339435644094764751732654157845329046550669335733148\
         41551204622427327275133070130980134476974582298905195326789501/
         12288538750718606019017783578068245785725612773272315228685356\
         54595204997655122604036248397503663306587050527604048787848867\
         24362240000000000000000000000000*ep^3+310305727302849356193392\
         285168875/196*ep^3*z6+4410721093782462593806052740692724261/
         3358656*ep^3*z5-1157759713761041760275347542546559742542261757/
         2766617377413120*ep^3*z4-1785968127226524619762965378828418725\
         6169240886644488061/111098269965413900961792000*ep^3*z3+
         22626117881196376546934858284075/98*ep^3*z3^2;
Fill mncnoptab(10,10,9,2)=
      +mncF321*(-81089791272201399267937500-
         4614380502548794036837098750/7*ep-
         763047538664846790114501295125/392*ep^2-2035047476518023607786\
         21657586183/65856*ep^3)
      +391814473478821649117025494482432481232545964868597340171/
      982108706494258884502241280000-11347504112306985824040125/26656*
         ep^-3-1024816121549252592809757341713/195761664*ep^-2-
         115739636587247483898481735927689773768519/5240763774928281600
         *ep^-1+3555604677540746524923044068825/3332*z3-
         59278895592814017793885056342090676519880979995060940932811165\
         14668440103002541252752040059519750751101542684871519436329098\
         748613856983/1503628753228966325839004375316720840890341529732\
         023043642854702510888361742995172706222080000000000000000000*
         ep+10666814032622239574769132206475/6664*ep*z4+121020463929035\
         82867508026754441785959/685165824*ep*z3+
         11345757554049268257082155062540259639123714436876847432833348\
         77513960871252692763417402270675838750417064908749860640110245\
         5663325933587499761073/627332921714565565274391230397439938170\
         87934012113582657907062757098236214807001751201885842309120000\
         0000000000000000*ep^2+689781917363018209516734308822175/6664*
         ep^2*z5+12102046392903582867508026754441785959/456777216*ep^2*
         z4-8594140167161739631874595750610540157508735553/
         193080770655252480*ep^2*z3-
         94688333558073338057494801444324851216403511746492419934638051\
         37374654099243752259200751379445662211405074715432556229278613\
         84747379383141287471520962089793271088463532573684197104465519/
         11186225892530575456213442350928027857120477714434157890093901\
         22192156860565692841843523140793952547735305949384189033881646\
         200258560000000000000000000000000*ep^3+34133535400396835823344\
         41103422625/13328*ep^3*z6+493517521059264406598401238537332660\
         31/228388608*ep^3*z5-85941401671617396318745957506105401575087\
         35553/128720513770168320*ep^3*z4-27137428213110128210657679906\
         93273691794032871054858445187/98210870649425888450224128000*
         ep^3*z3+248889456500051880777157709783825/6664*ep^3*z3^2;
Fill mncnoptab(10,10,10,1)=
      +mncF321*(-5005542671123543164687500-286546395120724874044373750/
         7*ep-1292610071122803310609370628275/10584*ep^2-31447120827379\
         22342187360575916121/16003008*ep^3)
      +17632264839631054098139097230113879819291897253862308947247/
      715957247034314726802133893120000-2013122592828515278825/239904*
         ep^-3-107605602520704715781928975445/15856694784*ep^-2-
         103760319317509803051049167644869081175401/
         1273505597307572428800*ep^-1+5925955807416408393873542188175/
         89964*z3-18186755994225426633017025453216043479094481479134167\
         97347814475252807878638937816188525827097685766605657990410484\
         687206850445330790989/7542117438868507750461587635118628452552\
         63783886630181010908943574498530938052106717757440000000000000\
         0000000*ep+5925955807416408393873542188175/59976*ep*z4+
         60688055905402659129946868681437879235/55498431744*ep*z3+
         53704542975923333425424654752305185778680093257020148123243967\
         75707972144028853995293275115134952602178880224388865440074438\
         4831496951370688163863/484586676090496784640303190159236752239\
         76451884446487532578835128842445590393104968796706728994406400\
         000000000000000000*ep^2+1149635422970230420171946813782825/
         179928*ep^2*z5+60688055905402659129946868681437879235/
         36998954496*ep^2*z4-120105933490079406857629348894444282864814\
         43593233/4457269590576503500800*ep^2*z3-
         29915257640939439876730670465009172451913430302567501542300273\
         65015792268849317480419747041231222958575870709128960753035833\
         0476701007495431713574654836202188574822137151361293905145613/
         23093481242010213212660728463486261537751577520538157126735443\
         37149002188483168040165030891122901976425771270901919226522789\
         0841354240000000000000000000000000*ep^3+1896305852258996005640\
         332882344125/119952*ep^3*z6+8417317353527378465311227991227032\
         5625/6166492416*ep^3*z5-12010593349007940685762934889444428286\
         481443593233/2971513060384335667200*ep^3*z4-659506981842139019\
         302744834650987651029488424999281001693027/3579786235171573634\
         01066946560000*ep^3*z3+414816904511276671538973197505575/
         179928*ep^3*z3^2;
Fill mncnoptab(11,5,4,11)=
      +mncF321*(-2310375008566436894082000000-
         18504950704304429967108828750*ep-
         745375939209653217468588473625/14*ep^2-70406741402867621291943\
         6727896963/8624*ep^3)
      +2035607261387085697316810197339066540755057346188832598341/
      179076083034350875208419584000-113535207641591101058625/28*ep^-3-
         66326489333633017636650233397053/1427794368*ep^-2-164348650951\
         0305690702580744749705345251611/9555922299808684800*ep^-1+
         212823839714747683362069299850/7*z3-
         77211886519975503664312208562980174812620187526180210480140675\
         334960379003588293565250219807579479780194882120776337393/
         68153913050846547502778650459536469130350877440250944287381073\
         5983493120000000000000000000*ep+319235759572121525043103949775/
         7*ep*z4+624163618209886330996012900851300951769/1249320072*ep*
         z3+16255779825934177213826448299723582589194377441084716852759\
         34908180124245420181484463717971280279391010844139024246393885\
         65581009/30621956604910614804559664101080456036163900911099195\
         5539104976636940481095270400000000000000000000*ep^2+
         20643858524987290162123562872575/7*ep^2*z5+6241636182098863309\
         96012900851300951769/832880048*ep^2*z4-26127975501813019013910\
         28223949187538907761831969/1967395767607670400*ep^2*z3-
         16124086684272916457894756504206528593361493692924011653839176\
         25289826590685790858198885893007657837629277895812416318353862\
         29742161523812398361288016374133722959327/
         11858411950672261486725022034383256974786715263182858534436079\
         22052496305357269217151493098297016824063066112000000000000000\
         00000000000*ep^3+102155173426362712393807467863625/14*ep^3*z6+
         4833654783328939627675130578082560367507/832880048*ep^3*z5-
         2612797550181301901391028223949187538907761831969/
         1311597178405113600*ep^3*z4-5632452905812343770407593025461677\
         1530194969520800369251573/89538041517175437604209792000*ep^3*
         z3+7448805666736872374189363843025/7*ep^3*z3^2;
Fill mncnoptab(11,5,5,10)=
      +mncF321*(-5775937521416092235205000000-
         46170451094551862926366715625*ep-
         3706612968546359851623409711125/28*ep^2-3485496641107897515624\
         427060448265/17248*ep^3)
      +2035609082017881614555974853821792317267087688165942463869/
      71630433213740350083367833600-1700355163394397338400375/56*ep^-3-
         6819189373816350925855460951392765/19989121152*ep^-2-360684144\
         8842449314515912453604931639356767/2972953604384924160*ep^-1+
         532062714216912280677603673875/7*z3-
         67545144386745817999966477346140275735364813090470389035840856\
         655172972329895828222082949598621727160541027123762809511/
         23853869567796291625972527660837764195622807104087830500583375\
         7594222592000000000000000000*ep+
         1596188142650736842032811021625/14*ep*z4+311780787185891707455\
         9572550365957173625/2498640144*ep*z3+
         15701509618746982974099911722534809325683782471236051537350674\
         80065699840443955722230363006214371363556094204260229255706301\
         097767/1178945329289058669975547067891597557392310185077319028\
         825554160052220852216791040000000000000000000*ep^2+
         14745622698219936284675413203375/2*ep^2*z5+3117807871858917074\
         559572550365957173625/1665760096*ep^2*z4-876099411972338951844\
         649495169758723735006534787/262319435681022720*ep^2*z3+
         12006476145182384111742026732937117828634300291756869842639634\
         14904446926397106156677995582480653820498280283222411239132342\
         0835072023331021379837505592097290391193/
         31926493713348396310413520861801076470579618016261542208097136\
         36295182360577263276946327572338122218631331840000000000000000\
         000000000*ep^3+510776167295528647156863425379375/28*ep^3*z6+
         23972900920732182513610957550061037152625/1665760096*ep^3*z5-
         876099411972338951844649495169758723735006534787/
         174879623787348480*ep^3*z4-54336174925779775825316288177151044\
         759945502557108727553877/35815216606870175041683916800*ep^3*z3
         +37243959804224231192910753798375/14*ep^3*z3^2;
Fill mncnoptab(11,6,3,11)=
      +mncF321*(-1041209003860607560266288000-
         8357930349695586043519488210*ep-337964495089668639173643393927/
         14*ep^2-40111928126429011696490935301684281/1078000*ep^3)
      +26030755046270142122081988212019637869635911640669147327/
      5081306552602307707680000000-179230011266931743797419/140*ep^-3-
         1576762048886479952450367192623/105336000*ep^-2-31281203682310\
         72773374256436571279743261/54230101279200000*ep^-1+
         95912526165243513005627909718/7*z3-
         15133117656695142582619807374145083974444465622947501087386335\
         754548898122456752529036909181805640338787352562919409917367/
         29696280968405689526735020771074959521226645237188421678650994\
         2373492981760000000000000000000*ep+
         143868789247865269508441864577/7*ep*z4+20774506877210438466061\
         018115190989011/92169000*ep*z3+
         45476036130804405829590438269341824536980399164569867989923236\
         42865771921439709417170701441333600964021836474006065310462370\
         44401549/19080082222755853250442981638386730029605921234536243\
         68241414793435950243300046274560000000000000000000*ep^2+
         9303498012320226509355015749073/7*ep^2*z5+20774506877210438466\
         061018115190989011/61446000*ep^2*z4-10258921078039943688951449\
         063484732299480468501/17255032225200000*ep^2*z3-
         16179001669277398025137575067606867444883335497174779825376760\
         94713720676466505260722037499415935004386281581542543513305573\
         50919284636418065765354756592555857565632429629/
         81646226319290284778259024821741884792116976390778376833816179\
         37152643146402355714240658828288443384395526427377664000000000\
         00000000000000000*ep^3+46037927430774914981746939196775/14*
         ep^3*z6+162150173199485494613097594012174856673/61446000*ep^3*
         z5-10258921078039943688951449063484732299480468501/
         11503354816800000*ep^3*z4-747516036386932548554109971496338977\
         327267189688584168399/2540653276301153853840000000*ep^3*z3+
         16784646737152792561228011237339/35*ep^3*z3^2;
Fill mncnoptab(11,6,4,10)=
      +mncF321*(-4004650014848490616408800000-
         32047683390177092534189650500*ep-
         644490741007893676781685651435/7*ep^2-303832386744582861988381\
         4918828273/21560*ep^3)
      +17700907272713213351215485365498523034887415437943653211/
      898374998500088002717824000-261563664391618719417495/14*ep^-3-
         688096706827038496899615851597/3255840*ep^-2-73080354179991674\
         78792295887429469867949/9587881906162560*ep^-1+
         368896450381438377985977999180/7*z3-
         34093951490160006394802286434593392079405467860694749154226941\
         2298716513132188674494839423670320228235042675511523853309/
         17375828735337900722865607105453060340490459489198426364638994\
         11505741824000000000000000000*ep+
         553344675572157566978966998770/7*ep*z4+27126271641398376218615\
         040403306885859/31337460*ep*z3+
         41156189257448924484044803652445777559959641395510265069890072\
         96712641486750779339850553510630277552063966898706630391595219\
         74109171/44656398733766431012291156762919990956529592749537405\
         9962096862711954263674464501760000000000000000000*ep^2+
         35782707200768475796525026393810/7*ep^2*z5+2712627164139837621\
         8615040403306885859/20891640*ep^2*z4-2277789757981254868347808\
         4312775146760246478927/9869878432814400*ep^2*z3+
         38902031738594155057709460104141456115532479277859324847893709\
         17022862433847762459427149901644747669743515479145240186377404\
         4509642884291873930603534095707224923455413/
         29580605091296052292454445181782174399057839026379265622299522\
         10851907654486499413399208146520587580608887128064000000000000\
         0000000000000*ep^3+88534526875967593546347620986575/7*ep^3*z6+
         209424466187023274898532823527621457377/20891640*ep^3*z5-
         22777897579812548683478084312775146760246478927/
         6579918955209600*ep^3*z4-4382359054857623820335272818327800716\
         7856418683474371833/40835227204549454668992000*ep^3*z3+
         12911243411686236172238368974990/7*ep^3*z3^2;
Fill mncnoptab(11,6,5,9)=
      +mncF321*(-9010462533409103886919800000-
         71998747986558318335846382375*ep-
         5776479147259108173308605707915/28*ep^2-2713903013812093197180\
         7223020886307/86240*ep^3)
      +17701086026715503803041620820946004606665698964264559071/
      399277777111150223430144000-6262289000095933140027705/56*ep^-3-
         138375563690673013135203187903519/111422080*ep^-2-128527895816\
         902989420032606643136223587721/29828965930283520*ep^-1+
         830027760880721867192919933405/7*z3-
         22155147151128395363787102409340566762030548196103063181604824\
         59148321524009329065172412936010391672735380203846779139437/
         49923817690757604770522956442154696376717818509930383269894304\
         07917731840000000000000000000*ep+
         2490083282642165601578759800215/14*ep*z4+271066131088735309436\
         79907690987560659/13927760*ep*z3+
         33391117070319199493056999746450739360380173483021282753028716\
         09707210402500895912966325771606113977913115128603757007232521\
         53113003/16038212788782556592517587165134003486071234208588069\
         4935882150468939802890941235200000000000000000000*ep^2+
         23003201576156193061629133145985/2*ep^2*z5+8131983932662059283\
         1039723072962681977/27855520*ep^2*z4-2287977163286486664392435\
         1320067720824583013187/4386612636806400*ep^2*z3-
         15958301774993224070344244194534623945457242234023061866556948\
         88978163981755235715541499757454805746603924342031707642949074\
         333294166622071573421583075813625713568734223/
         80740776186343433417788115243652354813141037611845537590833263\
         48812389916623082573947109104756530859753999433728000000000000\
         00000000000000*ep^3+796811777556659538485090460775425/28*ep^3*
         z6+56765371106802158013616642684152796371/2532320*ep^3*z5-
         22879771632864866643924351320067720824583013187/
         2924408424537600*ep^3*z4-4689871657435431487312406129830982354\
         23341081400270633223/199638888555575111715072000*ep^3*z3+
         58100358908238519290951355189705/14*ep^3*z3^2;
Fill mncnoptab(11,6,6,8)=
      +mncF321*(-12494508046327290723195456000-
         99842736763999112965069233960*ep-
         10014019391101915322883825713586/35*ep^2-117642416097150038788\
         275818621777457/269500*ep^3)
      +33462269038885491393198804279542384330174274832549711/
      544311350940385828800000-11207629965009467833716951/35*ep^-3-
         3677389241463625564856272713318847/1044582000*ep^-2-1016049469\
         834635051241806994711457418209/85024796472000*ep^-1+
         5754986309630858530591366858008/35*z3-
         27857784081055694296267808998620884447958237924908123327956519\
         8598501620008358472390073645785823426724806912261254801/
         45454927625821540456159895486116738750259471197227161682363757\
         3632000000000000000000000*ep+8632479464446287795887050287012/
         35*ep*z4+32036256541005400624936627133385892957/11870250*ep*z3
         +7305167018040153920632537114721155865439260813596150569676977\
         76002062624785041974354905787080656182887528471539840708925284\
         461/2539576551991132441423927161490934417405784711419706208697\
         12782267156267008000000000000000000000*ep^2+
         79744625358917398033753700623548/5*ep^2*z5+3203625654100540062\
         4936627133385892957/7913500*ep^2*z4-99461113939800504889056014\
         2419309883104713413/137540111940000*ep^2*z3-
         11484531953042961965812025854369182409769645578629965972858195\
         90719125919086048521212236765680130449144561891279682821993669\
         421711093410728338202313087770055900539/
         39704742677003950372312560520203701558528821869481325105021321\
         22684990486066304536253352385938819383296000000000000000000000\
         0000000*ep^3+276228695601395463852842268753414/7*ep^3*z6+
         2706349657462746868303619157518709156931/87048500*ep^3*z5-
         994611139398005048890560142419309883104713413/91693407960000*
         ep^3*z4-886927811275830231676906106068774930575474822199080359/
         272155675470192914400000*ep^3*z3+20141317870065267504392854728\
         2844/35*ep^3*z3^2;
Fill mncnoptab(11,7,2,11)=
      +mncF321*(-195226688223863917549929000-
         1574167965677942399331961680*ep-128315389555636406138139389577/
         28*ep^2-1399111984072698545369428053894561/196000*ep^3)
      +11505592963631332777245597015302652988533878445594241715459/
      11978333313334506702904320000000-53094921862473946382733/560*
         ep^-3-2821439492441410561297114919929/2387616000*ep^-2-
         326607968975518952864168878232928893479631/
         63919212707750400000*ep^-1+35967152577991601123477886033/14*z3
         -5969849117315069856927237776855888462186794207702744042480748\
         80230976471800415888087852640622202885907880382430236694331017\
         22883/62714698994480383533528413514944941024698687859717599754\
         99297255925312507986575360000000000000000000*ep+
         107901457733974803370433658099/28*ep*z4+3539422634838357040219\
         08323003759429687/8356656000*ep*z3+
         89343083883851398895167855212626754330264621549604196754917846\
         71220677414215853137837781605906214715727035007934826269402945\
         558677205325887/2014733115340522980652165679653803089066031047\
         01963216751478578724280356119721714668850380800000000000000000\
         000*ep^2+6977622557654179371802148393691/28*ep^2*z5+3539422634\
         83835704021908323003759429687/5571104000*ep^2*z4-1446970931424\
         474918565550455633022220184046769943/13159837910419200000*ep^2
         *z3+8673630420471716675109222224383347257202253136072582302080\
         53369110881865776896524195728711482830300766895953095680657084\
         4609544902720719639989350419873825422459209010210680530463/
         53654993392615278161601438675259381290587091113747769838052491\
         85234367894584098611337300800177372044856588025628430956494848\
         00000000000000000000000000*ep^3+
         34528441262490980847775963108125/56*ep^3*z6+140336431202555963\
         3884144170548528612783/2785552000*ep^3*z5-14469709314244749185\
         65550455633022220184046769943/8773225273612800000*ep^3*z4-
         354866579848810005869675421260047893590202570906008481427783/
         5989166656667253351452160000000*ep^3*z3+
         12588489973905986253925859868873/140*ep^3*z3^2;
Fill mncnoptab(11,7,3,10)=
      +mncF321*(-1301511254825759450332860000-
         10451319002516978569531676700*ep-
         211455389854696142189361893085/7*ep^2-456793905288485142156143\
         883941007/9800*ep^3)
      +885041051502025550293377658486291225262480577000287976533/
      138211538230782769648896000000-28252259354947797104169/7*ep^-3-
         33507616267437432221241716298983/716284800*ep^-2-2721672432156\
         372318312925196714723267539/15365195362440000*ep^-1+
         119891032834860231211946650530/7*z3-
         31262357281710384304179381517170537672780859342929964349565529\
         45698439253284372273488333170157937005074877113109924084724335\
         707/4911920480686575493535092527044638737598778349852007812978\
         4705780673776286328422400000000000000000*ep+
         179836549252290346817919975795/7*ep*z4+70646364601880114389229\
         2415964038548399/2506996800*ep*z3+
         42720096469886480057357578149061144100339772681092974627341962\
         61256460711062712487360720073100692685446946452976013031648709\
         5273558378531/143452071785212062195195522009679558789189750328\
         161985226736178112647170282319339115773952000000000000000000*
         ep^2+11629376505329115039634919767950/7*ep^2*z5+70646364601880\
         1143892292415964038548399/1671331200*ep^2*z4-31310298617416948\
         36856641706505395086128061981/4217896766160000*ep^2*z3+
         64110427219778247191252577585847023354969857160711596578175633\
         53347794433938859296573755146080037515719255602837834855212768\
         159516146056462362335904941405557250207094204096110291/
         21011745664240948091256507453248429036873266450138986789726849\
         95616255958718248407236984928740789052531251254791553381564416\
         0000000000000000000000000*ep^3+
         28773713681235637021057432793550/7*ep^3*z6+2760725037448291538\
         741512512518804625691/835665600*ep^3*z5-3131029861741694836856\
         641706505395086128061981/2811931177440000*ep^3*z4-
         25552505802466131857240175207342559333929656806314791573071/
         69105769115391384824448000000*ep^3*z3+
         4196157557717909092981818902106/7*ep^3*z3^2;
Fill mncnoptab(11,7,4,9)=
      +mncF321*(-4505231266704551943459900000-
         36084188007890492344571911500*ep-
         726773997612267296658143923005/7*ep^2-312137655887643452631572\
         404959039/1960*ep^3)
      +35401820487218450920153891997290139139904268652043716437/
      1597111108444600893720576000-329443145223786703747755/7*ep^-3-
         8409221677254796119017343673371/15917440*ep^-2-299590782079332\
         0513969258941685980095667/1597980317693760*ep^-1+
         415012517533695308201401537890/7*z3-
         29192775259276785301466101614827616436121627111144309553789263\
         992800993117284312617968211507317176493628834778845440917875321
       /131930677582303676670774785612295686832969575907082428044353483\
         731797148696576000000000000000000*ep+
         622518776300542962302102306835/7*ep*z4+54275292182232361391678\
         090681076381843/55711040*ep*z3+
         43931896467441467570269049984337826789119801353715252183129587\
         72284727988357684734531247157686903945839733949216670870875167\
         066915090451/4238322264414833535365067654606972297243128636898\
         317596653596061152390807117169457889280000000000000000000*ep^2
         +40255588261933295973589733508630/7*ep^2*z5+162825876546697084\
         175034272043229145529/111422080*ep^2*z4-1703969946317646878162\
         9391086568601600171573019/6579918955209600*ep^2*z3+
         18962333363892073540563903168168589393845096982331793222845954\
         62138474723876984233968914684040389377464790699447679795121982\
         55160683540479624089029161140130887519151495959123009/
         56436048864595292579660058197449903885239043867343101490915978\
         27971564346610545665835523133015059759117771747308171427840000\
         0000000000000000000000*ep^3+99601439360999001663470829926850/7
         *ep^3*z6+630449287840883007509447904851821866381/55711040*ep^3
         *z5-17039699463176468781629391086568601600171573019/
         4386612636806400*ep^3*z4-3259704428698921215013795810940948740\
         05718254171439081477/266185184740766815620096000*ep^3*z3+
         14525104719100835078579404138770/7*ep^3*z3^2;
Fill mncnoptab(11,7,5,8)=
      +mncF321*(-9010462533409103886919800000-
         72089844150402591208207083000*ep-
         1449208905254516391871592708235/7*ep^2-62086954115733788357834\
         8120869843/1960*ep^3)
      +35402759586736936220829814106816901864872184189912261191/
      798555554222300446860288000-1532968733046812199746985/7*ep^-3-
         134658385437547133508800055680867/55711040*ep^-2-6170726535768\
         83477185164186212628913356649/74572414825708800*ep^-1+
         830044264995222934341626877780/7*z3-
         91890105516705267608288188113062389965427264185127377396515401\
         8718136455772172318790144966726861658543776806250280280094853/
         20812381529660285532499027177420443385609683699284337356756484\
         06225766318080000000000000000000*ep+
         1245066397492834401512440316670/7*ep*z4+5424733896678656602061\
         7196615065634033/27855520*ep*z3+
         13843775312839652317963291095975043394971066182152101560794371\
         00371167587462580150261563476269615234612857333045148228611856\
         16417292439/66860552548611406432291481931149653126581806922224\
         060644325058056039818922371212902400000000000000000000*ep^2+
         11501625865708117967824034068680*ep^2*z5+162742016900359698061\
         851589845196902099/55711040*ep^2*z4-11396564335946091645542752\
         263394330229156314427/2193306318403200*ep^2*z3-
         18332289740015981616657861744995116693429444241852356266158847\
         98259201417526260608668324189097086031649710641691473370228913\
         948525415708284080292667347621465695241333921774247/
         17805844743937817670866304419267547800330828143242264592987312\
         85868432260799601246732962526942852387942806590947590144000000\
         00000000000000000000*ep^3+199203341987404007101066529007450/7*
         ep^3*z6+627665821513751634714873821292049333911/27855520*ep^3*
         z5-11396564335946091645542752263394330229156314427/
         1462204212268800*ep^3*z4-9591147129587486942540901189756509728\
         76530428147864008509/399277777111150223430144000*ep^3*z3+
         29049997908082753380096767138040/7*ep^3*z3^2;
Fill mncnoptab(11,7,6,7)=
      +mncF321*(-10932694540536379382796024000-
         87504772132876385992163298840*ep-
         1257416088962553175571040797217/5*ep^2-38517634275642281142549\
         2062516179/1000*ep^3)
      +66926826331001633472104296783246705769180310262351247/
      1244140230720881894400000-2351774004796236968706447/5*ep^-3-
         3074061395189894111683988764006511/596904000*ep^-2-92598600581\
         44313812348529956302473564251/534441577824000*ep^-1+
         719394206665982028157329306876/5*z3-
         67359565190262658908666358314202178910519235330721224682099299\
         19950162062449572672160092611920462938923066395915778815479/
         12642184213737062954755511046287279476872165612065373790880050\
         276466688000000000000000000000*ep+
         1079091309998973042235993960314/5*ep*z4+7053704162487795917644\
         62993192673169029/298452000*ep*z3+
         88754951765525629666888494083496309257997333463073466567875577\
         38577368233314269602004107934837456828908303160776366782302156\
         381227/3531607712528925662542439508688193141827838670691998302\
         563045868144865665089536000000000000000000000*ep^2+
         69776769680408329913348270100792/5*ep^2*z5+7053704162487795917\
         64462993192673169029/198968000*ep^2*z4-70697403283023983694737\
         381970059945687878147/11227764240000*ep^2*z3+
         41020230874879635155145054090684677406275282268338933257097519\
         94423203930118760529600218774801714721869510777235014045675455\
         988739728040553049663194651281050159276842489605516641/
         65798566218487416611728982074115500982272083590552683299158656\
         11773288310680742216425743448688237322791566629813616640000000\
         0000000000000000000000*ep^3+34528687736871173942595470396958*
         ep^3*z6+2724478098260308080388418639003667910081/99484000*ep^3
         *z5-70697403283023983694737381970059945687878147/7485176160000
         *ep^3*z4-260830634056577724680051195983813926187361782463530819
       /88867159337205849600000*ep^3*z3+
         25176417240666828813090916566168/5*ep^3*z3^2;
Fill mncnoptab(11,7,7,6)=
      +mncF321*(-8199520905402284537097018000-
         65756037294023366946824548380*ep-
         948132625190691270780019361844/5*ep^2-102118073406803597828695\
         1078671473/3500*ep^3)
      +5148375819692891567680552995001446364245509524627769/
      127604126227782758400000-19753110371319173326977057/40*ep^-3-
         2149310412439776334435160312708493/397936000*ep^-2-77506211236\
         923359417863000036448509380667/4275532622592000*ep^-1+
         539561171860779494767764281157/5*z3-
         47116142851195724100898446030718623073240936397677680598808743\
         678543997449978206694528616824132462540311659506043297111989/
         11529543001048469403890548977162506155565814301819824311835760\
         1373388800000000000000000000000*ep+
         1618683515582338484303292843471/10*ep*z4+353025668789809721800\
         901380690242884277/198968000*ep*z3+
         30698044345296686889205029831418090009132218033982241794357271\
         47834900795245959166422139282712002533354118147223448882508042\
         23010701/16103950985064935259680129137194248063819544958831497\
         3618149094115024167763968000000000000000000000000*ep^2+1046654\
         84605997447311505777104563/10*ep^2*z5+105907700636942916540270\
         4142070728652831/397936000*ep^2*z4-295194622948297712229513653\
         5052360855734260289/628754797440000*ep^2*z3-
         79826929206707460076909361741308532938865667735186430504245258\
         55794706453043492793950025975843085178056694947843630609176554\
         696339217891332367508364949774678983522019469009177609/
         12001524195463903795251587291579740612837892797766624632372050\
         79698444168912431297128675144339818797396931158244065280000000\
         00000000000000000000000*ep^3+103586362262275888321970248542249/
         4*ep^3*z6+4119160164174043824156525350171781727959/198968000*
         ep^3*z5-2951946229482977122295136535052360855734260289/
         419169864960000*ep^3*z4-62927058970147269770152333101622106593\
         0401387354903131/276475606826862643200000*ep^3*z3+
         37764284488790182043225666882877/10*ep^3*z3^2;
Fill mncnoptab(11,8,1,11)=
      +mncF321*(-11676929943197001494583000-663693412078438306243913520/
         7*ep-54761158391816664774797226273/196*ep^2-606783834717566556\
         159382840394329/1372000*ep^3)
      +2913189275106966029632087363205159526829443296027098121551/
      50706699520084018493322240000000+482397210093046161771/66640*
         ep^-3-67760858426764664464606786307/25829664000*ep^-2-
         2951127463330601666354862162386194816153/90194304097497600000*
         ep^-1+256001289550710252334985791449/1666*z3-
         38636565944927787854120549226869305721127559889587380110181548\
         53180355309190400353453462460553206861567999073319911751501764\
         748995183/6824879673041175392006947714051050161709624716891647\
         833065991244077133032278286737080320000000000000000000*ep+
         768003868652130757004957374347/3332*ep*z4+22980526968749108095\
         6784619864646684621/90403824000*ep*z3+
         82067612853973389502389773645991143722204104433164274553303853\
         52387499164553576880117616201958912786005919502086484551046032\
         4914931254234258159/313216867267903017540247890953332410601322\
         93856979786850221156512741355396308321466796928191692800000000\
         000000000000*ep^2+49664250246550946143128836836563/3332*ep^2*
         z5+229805269687491080956784619864646684621/60269216000*ep^2*z4
         -46714046838549399885240092499263802472395939964919/
         7260641479848556800000*ep^2*z3+
         15347783050182829909280646456272544439688064737838138066185873\
         24110668344320669855386731926967923775003785882981119608497669\
         31873781451178485280970676510642250902767578373363279625963/
         34346847439896724897875792609507519276872830732748707160921804\
         01042498440650963800101315396749369490460700232433676736223541\
         9852800000000000000000000000000*ep^3+2457612383372476281922943\
         26268325/6664*ep^3*z6+933406189345545284181597492439749318389/
         30134608000*ep^3*z5-467140468385493998852400924992638024723959\
         39964919/4840427653232371200000*ep^3*z4-2285579491208808958111\
         376971500392083088147136179260708097701/5831270444809662126732\
         05760000000*ep^3*z3+89600451548451349164692329716849/16660*
         ep^3*z3^2;
Fill mncnoptab(11,8,2,10)=
      +mncF321*(-180461644576680932189010000-
         10203708751419124592794400400/7*ep-
         417162293157947783957861851215/98*ep^2-91356885330876268208042\
         2715839443/137200*ep^3)
      +676794865907128689385277439551828502433555023889267260787/
      762257574484923153821184000000-86142149982602507306799/392*ep^-3-
         413453683621142313273780724937/151939200*ep^-2-472982302436491\
         99251939219482443785948383/4067586263220480000*ep^-1+
         116364459614537358028573932735/49*z3-
         79444962373103584831916023320933168266992215035617982596231074\
         91197974744192326068347117236424070652689960886617801219265357\
         94645671/90399475718603804040569196376982235790641676628511336\
         990837070365809824615121691869184000000000000000000*ep+
         349093378843612074085721798205/98*ep*z4+2083806321881555092054\
         6497700112329111/531787200*ep*z3+
         11871876994118120500885970071850126369749636815618994925840452\
         64914529518005200895008422810005405493530154065598936394059485\
         21125634954504062053/29041169017764434452312576972801779247033\
         39792415978591542512825163266765252116683922676929003520000000\
         000000000000*ep^2+22574664245978482873937203712925/98*ep^2*z5+
         20838063218815550920546497700112329111/354524800*ep^2*z4-
         62567834674560272736447434936834898647801219521/
         618980518316160000*ep^2*z3+
         13117740455905090744007090657863353898014532142291053850564016\
         93775366717752940388662726781135468875949012124558283044595935\
         236409563105139856809121309003069949140771535121867361005619/
         77340453675851366553258777764065882567503856615000585355362383\
         85564227257969303102326038865407671160338080243661845517929933\
         701120000000000000000000000000*ep^3+11170967663374704078940027\
         9237275/196*ep^3*z6+4890001895371820353778659851321886847/
         10427200*ep^3*z5-625678346745602727364474349368348986478012195\
         21/412653678877440000*ep^3*z4-93140904537223755824885240866918\
         8544097117151793884886753/16570816836628764213504000000*ep^3*
         z3+8145490378021355755116725566419/98*ep^3*z3^2;
Fill mncnoptab(11,8,3,9)=
      +mncF321*(-1082769867460085593134060000-
         60998361937941825271388556900/7*ep-
         1238974781571145353716875005255/49*ep^2-2690596964910407488017\
         412859670609/68600*ep^3)
      +52060759064312955402826038787227775773115321967806127389/
      9772533006216963510528000000-365770571495435163175833/49*ep^-3-
         4358787425136612232388854845199/50646400*ep^-2-105081826522226\
         6326684142932672601222461/3259283864760000*ep^-1+
         698193383123419030679289619590/49*z3-
         13176207315325688230197410282619654968640119130812954685258296\
         33199720333713154709500864383754617055822153524471627790289157\
         1727/249032347004356420083754485321769338465913371482208791176\
         521635892140297879656857600000000000000000*ep+
         1047290074685128546018934429385/49*ep*z4+416017891043874620940\
         10363557495526247/177262400*ep*z3+
         98764170721177667840937204625458441118204813149543865758676899\
         35889635503873330778020347677966574633240860244687327588555498\
         643296381091021/4000128553154719890677550852418060454138064807\
         50463214772166396251562644375718453435590246400000000000000000\
         00*ep^2+67724063209105547243962810715010/49*ep^2*z5+1248053673\
         13162386282031090672486578741/354524800*ep^2*z4-25444615532061\
         93100044891701570549868778001879/4148179464240000*ep^2*z3+
         92491821921710164994435269918833050659110246959389152458048833\
         18073984864370567100857542548013795215305531129711708674616125\
         28748469721376320015069358290978042977661827646753304451/
         53264342918405037136683162926753219286888609601998419187126500\
         30039562430331032999415566732939613400655352975109452193595392\
         00000000000000000000000000*ep^3+167564674564955320533208802738\
         550/49*ep^3*z6+491545985394156905434872338579981027769/
         177262400*ep^3*z5-25444615532061931000448917015705498687780018\
         79/2765452976160000*ep^3*z4-1557164082474601570729439406959751\
         581106242769679466765543/4886266503108481755264000000*ep^3*z3+
         24436398255633158250319053761142/49*ep^3*z3^2;
Fill mncnoptab(11,8,4,8)=
      +mncF321*(-3331599592184878748104800000-
         187278318424795032688283316000/7*ep-
         3789452362282130008825032507120/49*ep^2-2047018961467172101004\
         03910153852/1715*ep^3)
      +2082463203007320877244072722164623719449502169686577929/
      127042929080820525636864000-3314495247485427204891120/49*ep^-3-
         957753665684992808089129597183/1266160*ep^-2-44244374282757239\
         932949275109689285757/16615956957600*ep^-1+
         2148335492277139075476453990960/49*z3-
         35421655503415091401668128948025645500047479357737063929872984\
         03266774908835878907461229131375627865937870378357643935403316\
         461/2176324721079663982776507648158883989278972612329539051974\
         3295927852060167372800000000000000000000*ep+
         3222503238415708613214680986440/49*ep*z4+319677859906733443346\
         5782375620856959/4431560*ep*z3+
         19352537525831935055928512739968300553321834279925518183828653\
         93515783487360188608719927705134741929832019737213696397237057\
         410487018291/2542372510660948729587883600431965560138273208217\
         569906000460332580914114523165370613760000000000000000000*ep^2
         +208382245192008674803017557590320/49*ep^2*z5+9590335797202003\
         300397347126862570877/8863120*ep^2*z4-125223461783665622604516\
         50039133698403938615/6590996259848*ep^2*z3+
         30788453388180936296695429013109718993231322157656126949680323\
         24018713031660957611022051868658051655540336000219604184151772\
         257440409378113638923408078311868987671780032704868389/
         18619349275676476715704008702422833890458442854036645556579420\
         71491546259714883028693074752392553956416943567071508168704000\
         000000000000000000000000*ep^3+515584774249328839318852758998400
       /49*ep^3*z6+37481264878113264828858447418129829553/4431560*ep^3*
         z5-37567038535099686781354950117401095211815845/13181992519696
         *ep^3*z4-60111757653879494714560486204541453414205220996545992\
         219/63521464540410262818432000*ep^3*z3+
         75188387949767256465439028027280/49*ep^3*z3^2;
Fill mncnoptab(11,8,5,7)=
      +mncF321*(-5830299286323537809183400000-
         46785306466878233653336509000*ep-
         945461778783852890835875733705/7*ep^2-407900666024719961912028\
         428757849/1960*ep^3)
      +2082555878203775404271407622608477454631892459050763231/
      72595959474754586078208000-1652192951830877353495455/7*ep^-3-
         1881630490252806134655043830013/723520*ep^-2-35065371698404669\
         546177548839124333211/3952950693120*ep^-1+
         537101991486367900469438587740/7*z3-
         30643906602680203709969749359021336086673780421289522443556539\
         70710807413291478950248026055979863913739158808292218895368282\
         13/10767221872997719147935721203012413057657254730139958203954\
         63001996391350272000000000000000000000*ep+
         805652987229551850704157881610/7*ep*z4+31957076193736256463450\
         76000281251129/2532320*ep*z3+462098984740482829029763265498908\
         52041388231098645592186978033856737224226383059546556589920019\
         138432128965363603952031378565203214548843/
         34590102185863248021603858509278442995078547050579182394564086\
         157563457340451229532160000000000000000000000*ep^2+
         52095754012452947495859072421080/7*ep^2*z5+9587122858120876939\
         035228000843753387/5064640*ep^2*z4-112947902252139514438119459\
         92905241707054531091/3389655219350400*ep^2*z3+
         75188880698731175580176091747051047139955312952281902948700247\
         19882058000080467665107153846664296490205548353673429460025689\
         71952846602015410852020841931025454701713195128164297/
         92117992705882383256420574903761701375180917026773756618822118\
         56482603634953039102996040828163532251908193281739063296000000\
         0000000000000000000000*ep^3+128896630052416448988474084583350/
         7*ep^3*z6+37371236091157299151037212422524159343/2532320*ep^3*
         z5-11294790225213951443811945992905241707054531091/
         2259770146233600*ep^3*z4-5937508725114713141997613789325845473\
         0396420883255226693/36297979737377293039104000*ep^3*z3+
         18796897685685867558925715635320/7*ep^3*z3^2;
Fill mncnoptab(11,8,6,6)=
      +mncF321*(-6063511257776479321550736000-
         48691626000478682881629443760*ep-
         4926159393725587649941371757266/35*ep^2-5322264277814092168113\
         475960545897/24500*ep^3)
      +357904241748251723856737898146816633940208154302481/
      11995842444967180800000-12680989688431956045002706/35*ep^-3-
         35924457999791294427928956151669/9044000*ep^-2-108523947884752\
         391978415224162012111713/8097599664000*ep^-1+
         2793020327208230510847175053048/35*z3-
         53307975029976843186641745506468096044027578576585718859912763\
         29702240137372343295866433778592919354593410843046835519979/
         17737758463151491390600844580250009470101252772030498941285784\
         826675200000000000000000000000*ep+
         4189530490812345766270762579572/35*ep*z4+415596223501715968132\
         61025537209086937/31654000*ep*z3+
         34747965882322590522898337831887736495283859126990306866869105\
         88940948219939722994154918510181276529972059544235299314733161\
         2125031/247753092077922080918155832879911508674146845520484574\
         79715245248465256579072000000000000000000000000*ep^2+270898877\
         832016261777014354734016/35*ep^2*z5+12467886705051479043978307\
         6611627260811/63308000*ep^2*z4-4899966060498407485919445996022\
         40570137416569/141707994120000*ep^2*z3-
         14960223455353858672405481696808489383727595807196572505697810\
         98252276651326657406719787888726307475444793011272788127404783\
         88214694887925276959894893833134724280602094491375323/
         18463883377636775069617826602430370173596758150410191742110847\
         37997606413711432764813346375907413534456817166529331200000000\
         0000000000000000000000*ep^3+134052928752404015633083589840484/
         7*ep^3*z6+487245898092675618261362219505875075679/31654000*
         ep^3*z5-489996606049840748591944599602240570137416569/
         94471996080000*ep^3*z4-113577102692141563490338881211706119989\
         543099965723129/65977133447319494400000*ep^3*z3+
         97742878274658928504927911956064/35*ep^3*z3^2;
Fill mncnoptab(11,8,7,5)=
      +mncF321*(-3789694536110299575969210000-
         30499327346670422784183311100*ep-
         619514276215737232083881808252/7*ep^2-672769377900669743326891\
         429777359/4900*ep^3)
      +2082629366102420531436893044394951780822602858956569509/
      111686091499622440120320000-14221636096604002886493531/56*ep^-3-
         20212470357001095789755380785947/7235200*ep^-2-628759621546281\
         190409839467103152668353/66220370585600*ep^-1+
         349131777595602895365803047431/7*z3-
         92729158314490330482541939777182239136760500270621628714473452\
         17517919924083340391352717718127338980246326607643448479482616\
         294097/5084014714405155807990115154556194198714236033979374583\
         3129223786696127474040832000000000000000000000*ep+
         1047395332786808686097409142293/14*ep*z4+208023318782183658248\
         06176528243246981/25323200*ep*z3+
         56803466746612998586732668042176441673213851849215800111595000\
         32574376522667633163103308375598278085034435051844601903914697\
         28033290552787977/67251829013467503789276305366595201152297488\
         26419407095112380195511692559551868626901401600000000000000000\
         00000*ep^2+67724809584656266030338327163329/14*ep^2*z5+
         62406995634655097474418529584729740943/50646400*ep^2*z4-
         7462881857893730166608866233660145459736260703/
         3476569455744000*ep^2*z3-
         62527732949639492393148843646437854003266280398548641311848700\
         49161297104669468921121539618639479880137199207106691233809381\
         1978128978121107860629081651765713938299159304436297681467/
         43495827977006716423520440649444963291122188374523418859645727\
         52202463769419082207603367428715216566975578728258875435253760\
         000000000000000000000000000*ep^3+33513273014732530119803360534\
         2335/28*ep^3*z6+245792493341529717377139734350865505927/
         25323200*ep^3*z5-7462881857893730166608866233660145459736260703
       /2317712970496000*ep^3*z4-47893381677358049149504068373011764868\
         63921305827966037/4295618903831632312320000*ep^3*z3+
         24435626362712876601322102690191/14*ep^3*z3^2;
Fill mncnoptab(11,8,8,4)=
      +mncF321*(-1401231593183640179349960000-
         79236604962254867724227545200/7*ep-
         1620078377168338512796283362164/49*ep^2-8873331502277713107587\
         71628495619/17150*ep^3)
      +1205647568710109940187754248868790471417787084315100681/
      174876906427040399662080000-130882493449398059680623741/1666*
         ep^-3-9918617644224484393978209115543/11328800*ep^-2-285535782\
         6892783911954371921368986481309/933184432857600*ep^-1+
         15361517109106606933008778199364/833*z3-
         68913618668754116237939080757590194862811752736958415966612848\
         30142056788324731143399676795291153096037705292730012600804737\
         691/1028984661750400572755774465622925892977655166192483690241\
         76952075757394665144320000000000000000000*ep+
         23042275663659910399513167299046/833*ep*z4+1206546914891603750\
         8425142958354703689/39650800*ep*z3+
         23104830202988831594201943355967027014391286917023495661394275\
         39668249480777639170158882824820321430079146611349347823804830\
         4863661869391553/727243359878775444964711165639838484829059064\
         08718744734523226464540297131436921471578931200000000000000000\
         000*ep^2+1489942820906593880187192333397038/833*ep^2*z5+
         36196407446748112525275428875064111067/79301600*ep^2*z4-
         12812230253015114330123242189142853053993637041/
         16330727575008000*ep^2*z3+
         91640550370477640543276642374475751523524232803265003074070063\
         34808716817487474514353029587786848851797016454433298259377104\
         3122229668481144042219995583004846425860266426733310369/
         19678155128802044291038722083591222738952296871144472878973244\
         62466597600227241027161466656315051813326309410440982707568640\
         000000000000000000000000*ep^3+36864532594937181831354588879941\
         85/833*ep^3*z6+144448119778197086476084081048473294963/
         39650800*ep^3*z5-128122302530151143301232421891428530539936370\
         41/10887151716672000*ep^3*z4-381909848162477158229526947715411\
         87119684714006129930629/87438453213520199831040000*ep^3*z3+
         537586872092263808742331305732402/833*ep^3*z3^2;
Fill mncnoptab(11,9,1,10)=
      +mncF321*(-8108979127220139926793750-462440181257167553979771375/
         7*ep-153511294624605963037331369745/784*ep^2-61708819413201021\
         5905771266553157/1975680*ep^3)
      +396468094536140367626668582025059774905865693890636615953/
      9937312947367944926028595200000-160053047653279108185/53312*ep^-3
         -179509317077937817051954482467/37194716160*ep^-2-134321041098\
         39008898605023796549858239787/229787334746855424000*ep^-1+
         711114694906507726746353692965/6664*z3-
         13863610307974262829974712634813352453860501266122899581314516\
         03528414552652110029003306516413621764054643019064879767214328\
         48308035695061/35354071060296070736289590374634398771434155217\
         82419181365262119278726260548217399825504665600000000000000000\
         00*ep+2133344084719523180239061078895/13328*ep*z4+230182648938\
         893428335828844205140450981/130181506560*ep*z3+
         29356355046137270622024170642624934580618642269055909645803737\
         71913622713354063784156345423233303319451423955443964947968656\
         050270989533673650866801/1622518185399509513886553618519178720\
         08670805330580267346844379438389950690071459154264777495402250\
         2400000000000000000000*ep^2+137956250717364716816163450358035/
         13328*ep^2*z5+230182648938893428335828844205140450981/
         86787671040*ep^2*z4-142195686372859189318997567811776919724183\
         992347/32170226864559759360*ep^2*z3+
         60352821115439490899149447463595815924919397873785120527721906\
         74773020449797879613743360188077901607405122112688787071372312\
         88662313143644578611668879233082278278678424330594454012964406\
         77/60493711348568785745270269553524908647825403419945621599891\
         55607049910282331696177084542705021096134084067661026021271602\
         707445223260160000000000000000000000000*ep^3+68267010663775850\
         6813353714860525/26656*ep^3*z6+3152026228603660142035118079748\
         09257983/14464611840*ep^3*z5-142195686372859189318997567811776\
         919724183992347/21446817909706506240*ep^3*z4-36749771704095602\
         348520347768777623081983085400727351391781/
         12918506831578328403837173760000*ep^3*z3+
         49778028591878569093572190323165/13328*ep^3*z3^2;
Fill mncnoptab(11,9,2,9)=
      +mncF321*(-112788527860425582618131250-
         6401409961932141973470064125/7*ep-
         2107501216856209325069760705435/784*ep^2-931152147891401061313\
         442507229759/219520*ep^3)
      +75198342229440138956237904411754406604807403345432983707/
      135512457686208560679321600000-986381362137827028659715/3136*
         ep^-3-55483191910383914689530232441/14300160*ep^-2-10713076998\
         7899140035213357662337510758287/6508138021152768000*ep^-1+
         581823825921149585006294539335/392*z3-
         11125594967709193164067458752899993269447796639517865481927510\
         84643862637417039150012641837564596662876080822530064794073847\
         3465937837/203119809639332004140538194328527986591318335140605\
         7201522511951429307170364462706196480000000000000000000*ep+
         1745471477763448755018883618005/784*ep*z4+20876640395881144099\
         757788320678374671/850859520*ep*z3+
         16570366881651159666800641789528693279699595229078952675214109\
         24459109771890447719874637154584150113128775887143823022436836\
         014211635392371683033/6525299705226082802865295072901140522172\
         93632370010004519428807629277223797389180832008890220544000000\
         00000000000000*ep^2+112873353733183174703220240685665/784*ep^2
         *z5+20876640395881144099757788320678374671/567239680*ep^2*z4-
         56882924406592889210919413629048970446163341247/
         911139322961387520*ep^2*z3+
         23130447795728655091952648546241348175489755747472246237514787\
         41493399637607028046171369804051960935149107419740775968393968\
         8119838342995660836548372937625614201192027944133460620599089/
         17377731566672776188509996979086408181834199881395193252686362\
         79225542420926436005707826016671847100224111857217846770695367\
         81926400000000000000000000000000*ep^3+558548530406704377666038\
         258034975/1568*ep^3*z6+84376186756099669982673154596061041559/
         283619840*ep^3*z5-56882924406592889210919413629048970446163341\
         247/607426215307591680*ep^3*z4-5025713585272156269520616567660\
         70039603241539956348335123/13551245768620856067932160000*ep^3*
         z3+40727418281372152488104994897135/784*ep^3*z3^2;
Fill mncnoptab(11,9,3,8)=
      +mncF321*(-601538815255603107296700000-
         34029148325214596831174254500/7*ep-
         1392456433984249089714020263215/98*ep^2-6106361757881547204738\
         89468080791/27440*ep^3)
      +17353301298324863416942490900470417636523480789504896597/
      5863519803730178106316800000-812949212093242814983965/98*ep^-3-
         8697216300547794200212323667609/91163520*ep^-2-166898887950587\
         67299910503622787269856267/46933687652544000*ep^-1+
         387889684878405444046059165990/49*z3-
         37032009532171394985031285744375233490131486277605499977765436\
         84235465461355052240421569513610883970073059434045606735924622\
         4346879/126588200451862894318355356152038453181911355589764960\
         9210967206197039725120302612480000000000000000000*ep+
         581834527317608166069088748985/49*ep*z4+4168680112348385813943\
         0032802104922557/319072320*ep*z3+
         65099781284318753821986775803797439609909125572259918097118474\
         90221032960792729331194856470516020817046993354331578658648015\
         8639176174824729/478434493218771782512747879067244675456788946\
         14023693141821703257551329882915663920563748864000000000000000\
         0000*ep^2+37624527126337262250562405004880/49*ep^2*z5+41686801\
         123483858139430032802104922557/212714880*ep^2*z4-1105228226045\
         4538075595091650041778939692117331/32853581356780800*ep^2*z3+
         13185120156324523563607167580245515564484955710988713336221221\
         31125550954021654754505509352566574604470114710927071076365751\
         1841059356253483976338105812078427709557287855042907441327/
         21660277949912648383114312473932488830633796148462669652564910\
         88778275809559304138168586559241974661960253383284353168601776\
         1280000000000000000000000000*ep^3+
         93091593603647142016290864597225/49*ep^3*z6+166587766732425556\
         755754023355523344553/106357440*ep^3*z5-1105228226045453807559\
         5091650041778939692117331/21902387571187200*ep^3*z4-
         110623006202490070182486370867484532993037615972290556507/
         586351980373017810631680000*ep^3*z3+
         13575727615372925016009029325720/49*ep^3*z3^2;
Fill mncnoptab(11,9,4,7)=
      +mncF321*(-1619527579534316058106500000-
         13064089339965420670872172500*ep-
         532867357511135678281020717375/14*ep^2-
         46539117701430028949783623621683/784*ep^3)
      +9255374403646443179567994137021835724477595453599231/
      1161535351596073377251328-788662000451132089564425/14*ep^-3-
         1640250674379381475099983615397/2604672*ep^-2-1544717519307146\
         047755036120029835752635/697300502266368*ep^-1+
         149193576176707739548135471350/7*z3-
         27363329923576320059551115731011584378500898311573841985426242\
         55842999138322350341711685306993045525344957787722626352671616\
         2053/346435363763701613584831829706924390130122170942253155212\
         240220892338916950016000000000000000000000*ep+
         223790364265061609322203207025/7*ep*z4+32038672466590921556281\
         25918152942793/9116352*ep*z3+102446999996619758937551998368787\
         21805554175143349216320906953965368827450361004414627186559554\
         87202208044033745623933633672405076184888477/
         27823413445753750127377603688400847584166306283809629838627486\
         80299010599822545775493120000000000000000000000*ep^2+
         14471027662109257157478312238200/7*ep^2*z5+3203867246659092155\
         628125918152942793/6077568*ep^2*z4-555767682605266071339528905\
         29404656617684854103/61013793948307200*ep^2*z3+
         20565399015837542209986768003062232648573165293878688600543861\
         34246613812872052582050800328644777617989381152929535623287926\
         835880861557710172524326555273569280714808717638520051/
         59277928306235313625506639950570654834928920106728912384212033\
         29646555439092280662777952272923233004102922376799087230976000\
         00000000000000000000000*ep^3+35804585214831373544825441917125/
         7*ep^3*z6+12721441706145788054809750181198215397/3038784*ep^3*
         z5-55576768260526607133952890529404656617684854103/
         40675862632204800*ep^3*z4-358675545684674669344639136060471709\
         21802092745107400129/72595959474754586078208000*ep^3*z3+
         5221376104333963609423976530800/7*ep^3*z3^2;
Fill mncnoptab(11,9,5,6)=
      +mncF321*(-2429291369301474087159750000-
         19587636520601136210226575000*ep-
         1596704948684376471865532096775/28*ep^2-1393141307634417078444\
         62389797081/1568*ep^3)
      +694188637834715677836952503158194392977941093068463063/
      58076767579803668862566400-983096679911832859165650/7*ep^-3-
         2694230643399584935127050773475/1736448*ep^-2-1124815568941711\
         933674085597812765500119/211303182504960*ep^-1+
         223798979526369173175255917625/7*z3-
         16361284041048616024600084422661715410348940826944719145894378\
         09761349164171468058942302827725035404025416164352701048444400\
         347/1374743506998815926923935832170334881468738773580369663540\
         6357971918210990080000000000000000000000*ep+
         671396938579107519525767752875/14*ep*z4+3203268794764482256228\
         298927677966331/6077568*ep*z3+
         13901862299133017534409535636439815010667774140216613716248617\
         40220800995824363867922066975062456366306140549361920273897936\
         018319294959/2509326609465525805138672771320422761919760667731\
         748722819939285983956168671127142400000000000000000000000*ep^2
         +21706633128007404531536656127625/7*ep^2*z5+320326879476448225\
         6228298927677966331/4051712*ep^2*z4-55649557027533994972569552\
         207838820478785546509/40675862632204800*ep^2*z3+
         44180091896818106726660569818813812278145528056194835312839072\
         32926035703314631158445134199830888249315157403746758202327069\
         442282081121243201095836444953001790852658536759864221/
         58807468557773128596732777728740729002905674709056460698623048\
         90522376427670913355930508207265112107244962675395919872000000\
         00000000000000000000000*ep^3+53707085371202588395903500525000/
         7*ep^3*z6+12699755428495267004995680259800912119/2025856*ep^3*
         z5-55649557027533994972569552207838820478785546509/
         27117241754803200*ep^3*z4-106885838306039429742939949590234112\
         470754344559692528481/145191918949509172156416000*ep^3*z3+
         7831969388167706615862029590875/7*ep^3*z3^2;
Fill mncnoptab(11,9,6,5)=
      +mncF321*(-2105385853394610875538450000-
         16992460039340824089700077000*ep-
         1387512380989351960780066800885/28*ep^2-6066752705506346072534\
         98171232823/7840*ep^3)
      +10060818377269003834002147033089173664564353694127403/
      971183404344542957568000-1007348075496009261261390/7*ep^-3-
         41387644747530754005020199385159/26046720*ep^-2-63492705452457\
         8340835495893515116556251/116605435161600*ep^-1+
         193962532823618718695987560395/7*z3-
         26144796803538053207850600637330764196916723506580795252522224\
         19563817444716947425534950727707294510531888084109686962096188\
         6483/257884804353884714898049319434009850659417769839533493356\
         452584425270211824844800000000000000000000*ep+
         581887598470856156087962681185/14*ep*z4+4166278876750966442083\
         9705887996976127/91163520*ep*z3+
         15582004571317708849970251601544550586027838741225040845728388\
         67586332402764049415048574799815106031433181612203429610447780\
         587217826157569/3313858241243326273674484612267009911852340001\
         424055670055375748513007927895123671226777600000000000000000000
         *ep^2+18812451724721341104935369138715/7*ep^2*z5+4166278876750\
         9664420839705887996976127/60775680*ep^2*z4-4438493782329489020\
         24553277747077087606738017/375469501220352*ep^2*z3+
         90861655948479723289521336938779000469167927094312246514797791\
         28634080430931776397293741845796608188972327043314655612030771\
         11660932597448463005495812775569938795999831947459966121/
         10149026527968233832154769484870491434595177287388797733917336\
         42180574879531119181774119066700217198960968369927070934892544\
         000000000000000000000000000*ep^3+
         46546222979744305965598453945800/7*ep^3*z6+9749347269939651035\
         401922290725260059/1787520*ep^3*z5-443849378232948902024553277\
         747077087606738017/250313000813568*ep^3*z4-7231806043218555359\
         390337358930355270662128179620413263/
         11168609149962244012032000*ep^3*z3+
         6787669213878513878399751539985/7*ep^3*z3^2;
Fill mncnoptab(11,9,7,4)=
      +mncF321*(-1052692926697305437769225000-
         8516750366044153457836326000*ep-698360931145447701934223569005/
         28*ep^2-307051101739508397430446166740549/7840*ep^3)
      +694156110296946812753641708051169741335072163401416397/
      134023309799546928144384000-6795444048122848408892745/112*ep^-3-
         17636339220676919153091701021417/26046720*ep^-2-36372553069101\
         58638737035095442655513113/1532528576409600*ep^-1+
         193959058687658435861213883645/14*z3-
         40010958037379820592802559812616324696437789371675582747409241\
         98239039245256760472625946959459215361739722956996550228556551\
         3147/788600009677617917943921271132864213777833202997937080252\
         515800782275159114383360000000000000000000*ep+
         581877176062975307583641650935/28*ep*z4+2085577647750240054887\
         3783569157431351/91163520*ep*z3+
         27145836241136672857149927321257744821063000685303526652556129\
         39424329338838391609370523467709798491499259204965945479679262\
         725791086223453/1137448026426759056435974246378893325611562110\
         18267012858660920143475820586298186215194624000000000000000000\
         00*ep^2+37624829544728121361898087553555/28*ep^2*z5+2085577647\
         7502400548873783569157431351/60775680*ep^2*z4-8810439760885192\
         62081744356775507176625617599/1501878004881408*ep^2*z3+
         17644042448820305738475780385785358621999005217955547297649035\
         29759897450931639646016899094057289166799109712404015488550008\
         3239701629843264899902120880789231524284946353203863107/
         39687035553886475881086498319847844179399590328358600764315787\
         47831793479449897869905478970719432228557262676519628990054400\
         000000000000000000000000*ep^3+186184557136764022450878298931325
       /56*ep^3*z6+4921446088580434354928006255684499167/1787520*ep^3*
         z5-881043976088519262081744356775507176625617599/
         1001252003254272*ep^3*z4-2248400352896803307010650321332100077\
         0551780502784499209/67011654899773464072192000*ep^3*z3+
         13575414857939061324327612898845/28*ep^3*z3^2;
Fill mncnoptab(11,9,8,3)=
      +mncF321*(-291923248579925037364575000-
         16597529852456541279526092000/7*ep-
         1370271318002760499551393745005/196*ep^2-607895629553860846000\
         460994379797/54880*ep^3)
      +2766359292133866975267715586457860203750858419446475403/
      1926180418616676865843200000-125609670168927680697512265/13328*
         ep^-3-111650708109044681545650225673987/1033186560*ep^-2-
         37037704241388854435812517971579422127823/92506978561536000*
         ep^-1+6400377674326687913456008670685/1666*z3-
         70021643176422907649978004091627279880578721159562737758197201\
         51469618020320088317066851014742197492650295446999042536981298\
         213024949529/4744239272718205949582607404003542508243982181672\
         59686173545641341750705924344793320652800000000000000000000*ep
         +19201133022980063740368026012055/3332*ep*z4+22984917465561580\
         5774937836957731583101/3616152960*ep*z3+
         10437912271660247382374926680895472763929035289032590464893248\
         54901656631882496568461644640126164980562829541998887008558478\
         775316930408065557071103/1524104575657080863822581230493055695\
         19685404899900948930208085892207414765230839248504219332771840\
         00000000000000000000*ep^2+1241613604503235049242435369119315/
         3332*ep^2*z5+229849174655615805774937836957731583101/
         2410768640*ep^2*z4-4785987732520309154406201846395468630520668\
         3017/297872470968145920*ep^2*z3-
         10238904993673001245363652901246254414785747762438483324077400\
         94229847768109158927454294852094335265770100716531137134651448\
         27969021033226722066766029285719468313124299592561349386462265\
         97/14936718851498465616116115939141952752549482325912499160467\
         05088160471674649801525206059927165702749156559916302721301630\
         298134623027200000000000000000000000*ep^3+61440642457729083670\
         77616758889725/6664*ep^3*z6+9345784401245449786499873376250055\
         89829/1205384320*ep^3*z5-4785987732520309154406201846395468630\
         5206683017/198581647312097280*ep^3*z4-290406456165822434701226\
         59734207076765950973796992965323/295347664187890452762624000*
         ep^3*z3+447994658122628116046884739544285/3332*ep^3*z3^2;
Fill mncnoptab(11,9,9,2)=
      +mncF321*(-40544895636100699633968750-
         2318052994383740415361720875/7*ep-
         772869529456434606248947968645/784*ep^2-1041593581745448294618\
         162611706691/658560*ep^3)
      +12407008815719142137462531405603238364995075132059411151847/
      62200218077969729351808614400000-20242549603950877485401405/53312
         *ep^-3-34681239490657425812790571554979/7438943232*ep^-2-
         6509890090045823939227304949341280940973203/
         331915039078791168000*ep^-1+3555629139149300860172024993065/
         6664*z3-534281476722997338248005060430794469873224734375634990\
         15953925708253392013948321403970286954524095519694152301826141\
         4542517709028961352487/278639338713753203003164209852993773385\
         97245349144948354014135970946751281878036164850483200000000000\
         0000000000*ep+10666887417447902580516074979195/13328*ep*z4+
         230471743540145975307425799835535055077/26036301312*ep*z3+
         15427742275113322631916933337603102881637358813506035367195054\
         09534509414572007980961564664662903372633383697145447003396747\
         7901077323820677444472389/179027855333433534325445345253273577\
         91080189168420507893980514089266792398673008224583227763767377\
         92000000000000000000000*ep^2+689782437726447934464987102732735/
         13328*ep^2*z5+230471743540145975307425799835535055077/
         17357534208*ep^2*z4-254624774820022166910386672488644714076092\
         05814859/1161702636775769088000*ep^2*z3-
         85604808295861483332512200341969611722804365077486388321395744\
         93818402858131778437248936371277675182256978073118188640697699\
         87292898572257241937829410910571241110888856422370809088083630\
         2501/162103408607110579967760168964527174738606212206666452942\
         39018166598690361936015659713980727409925817855344448803194126\
         175244487806156800000000000000000000000000*ep^3+34133558972407\
         46663723215263733025/26656*ep^3*z6+954878781894057621291208765\
         782419245757/8678767104*ep^3*z5-254624774820022166910386672488\
         64471407609205814859/774468424517179392000*ep^3*z4-
         456749823046986916826594625417572233877890446287534757742907/
         31100109038984864675904307200000*ep^3*z3+248888918340928527195\
         089834806385/13328*ep^3*z3^2;
Fill mncnoptab(11,10,1,9)=
      +mncF321*(-3841095376051645228481250-220276884310346334798595125/
         7*ep-73828181221042362763924984995/784*ep^2-300527441989054831\
         792428393812447/1975680*ep^3)
      +10579347154988559379746434028453793230073514432637777689929/
      559801962701727564166277529600000+156625008938047557765/53312*
         ep^-3-68777685674809055857272202579/12398238720*ep^-2-
         67162791793639263360659834160855742821407/
         995745117236373504000*ep^-1+336843801619075740016367269215/
         6664*z3-129448574752363483084972751509170183212168702961818830\
         07279647479449274849091985568885641810022555217536520899054647\
         319868275636886874817347/6990503729650640356943383696791907786\
         70727691319348464305506643239112096159756171303768922521600000\
         00000000000000*ep+1010531404857227220049101807645/13328*ep*z4+
         36444667640507090009716331674564838197/43393835520*ep*z3+
         19099218431175692065589140572794098495280627006053013417591586\
         34451793964915239452656611716486194524693300443822545553709973\
         165202204290458052679127821/2245725417302590254578386410857063\
         76131309892928666851022091568735762643848954215169172009068697\
         9886284800000000000000000000*ep^2+
         65347697686337871449888639323785/13328*ep^2*z5+364446676405070\
         90009716331674564838197/28929223680*ep^2*z4-143282832791527952\
         4899614826963662686915261998731/697021582065461452800*ep^2*z3-
         10179605927555026504147820931708061360253375420598522829850279\
         62871165068707608569530336105142931819487066839281953952856608\
         87804367046014093370859973103821761491333913761462437426543246\
         33/14072146419152907371042100757723383252048971113636152150237\
         66393645771431834777719276485634910935013558321389382610845112\
         4032308307296256000000000000000000000000*ep^3+3233700504154985\
         99849279523926775/26656*ep^3*z6+457623019782091899656788841797\
         216150439/43393835520*ep^3*z5-14328283279152795248996148269636\
         62686915261998731/464681054710307635200*ep^3*z4-16176319216905\
         791540176438203053676309012450556517570996861/
         11196039254034551283325550592000*ep^3*z3+
         23579066211665608247156220454215/13328*ep^3*z3^2;
Fill mncnoptab(11,10,2,8)=
      +mncF321*(-47489906467547613733950000-
         2711405153468265013279377000/7*ep-
         112734649130979650276303152065/98*ep^2-
         50484722052029337039314719810101/27440*ep^3)
      +35619244951962767449127493221849791908657746110176075617/
      152451514896984630764236800000-110561987067101348477985/392*ep^-3
         -105492622264256511650620190483/30387840*ep^-2-119353619517960\
         87668809824789408771804533/813517252644096000*ep^-1+
         30622467940140011961331699965/49*z3-
         36061152506146481817936090161279527390838142324421483969324754\
         59672174652779106711830288355215136159750951982377280960596372\
         1856068324709/157257578245688767799399957185646835493851997610\
         14754891693704052710383693433428884481638400000000000000000000
         *ep+91867403820420035883995099895/98*ep*z4+1101988876120625222\
         052334891638348229/106357440*ep*z3+
         42730398293627662653437702737332398964409118312758032338590536\
         31137974748327736574825788533747520820653003029897475932417843\
         1963552474947527850731/404156672180124737300717422768393827879\
         25988546397263398669297129533589750685919019544530632478556160\
         00000000000000000*ep^2+5940706259383796687878443673035/98*ep^2
         *z5+1101988876120625222052334891638348229/70904960*ep^2*z4-
         2937093876103533265690099937623564819989160133/
         113892415370173440*ep^2*z3+
         19983243443480726970633323576441495820376342736131740975407368\
         12084217311754797501237962283031877866502124293514152031143982\
         94946305940409943361465759126156722064236543161549058021350492\
         873/1345402984785707380863400148930065597196552635973736137615\
         59833308571897165147563851281133145440137332116610108149529007\
         1408246259712000000000000000000000000000*ep^3+
         29397306617517583319778901365525/196*ep^3*z6+45447874220716722\
         52688347533228382141/35452480*ep^3*z5-293709387610353326569009\
         9937623564819989160133/75928276913448960*ep^3*z4-2578112423752\
         66072783029437571149126627738086178528145161/
         15245151489698463076423680000*ep^3*z3+
         2143544781191367604964426620965/98*ep^3*z3^2;
Fill mncnoptab(11,10,3,7)=
      +mncF321*(-221619563515222197425100000-
         1802272520317717974119665500*ep-74553764641797146889551109885/
         14*ep^2-33163999944221944338940692417709/3920*ep^3)
      +2739912154500331190785819497900053015132491740274829389/
      2512937058741504902707200000-77902395601920091322835/14*ep^-3-
         833547392298668485272410450251/13023360*ep^-2-1600215553954765\
         557915850057216358548993/6704812521792000*ep^-1+
         20415632828915032271985918210/7*z3-
         12045673425362011216832469249100895781360484345304744764018893\
         16809480530957437686438775919633021339089847874985832604399648\
         73929288599/11221462697708631925174822119712204616373055345379\
         445477161198838811462604134029459456000000000000000000000*ep+
         30623449243372548407978877315/7*ep*z4+220082803506248712263521\
         0099971905543/45581760*ep*z3+
         17890394971956493368285562865301566663411173860415374550442080\
         98705777325415336199960767059893546006853576825738149769824701\
         6595062753378335958009/360493677911485601274366189853355419472\
         72360270441400919321122742912078770056656753554062573568000000\
         0000000000000000*ep^2+1980242378225594624367139862520/7*ep^2*
         z5+2200828035062487122635210099971905543/30387840*ep^2*z4-
         51840013988908893960204213619210332025327819/426669887750400*
         ep^2*z3+120206951462596393106312822243343442007162020302573893\
         97875325622854713024738309307703826773675212359029246285314893\
         56875713169393778757800043267592893100714327302801256727435104\
         790357427/9600420898998910952357643420365817020098134979118996\
         27241043480152503904418064534403319060549736958271133224690663\
         115506927534080000000000000000000000000000*ep^3+
         4899566863491698980237884860775/7*ep^3*z6+89863540147579782931\
         56561751426103147/15193920*ep^3*z5-518400139889088939602042136\
         19210332025327819/284446591833600*ep^3*z4-38160952818253145981\
         02582544103893898767933075383773191/50258741174830098054144000
         *ep^3*z3+714507731057846548796055276480/7*ep^3*z3^2;
Fill mncnoptab(11,10,4,6)=
      +mncF321*(-511429761958205070981000000-
         4152627266516275195066275000*ep-85659048091816034552627528475/
         7*ep^2-7593885275174171208103301905859/392*ep^3)
      +19341382087296936726831169203953573659233309817388659/
      7686631003209309114163200-188847053810698327033275/7*ep^-3-
         131337814254219418788805646515/434112*ep^-2-622695358780268682\
         584475958515534708001/581083751888640*ep^-1+
         47115175999677463718243131500/7*z3-
         64236704238003014810540356758644252804765972378247267947356696\
         11057824126590212146444817827674066962810856587509964709926162\
         927457/2594965843810964943661621276804724122260391309010305776\
         89930413077928150648750080000000000000000000000*ep+
         70672763999516195577364697250/7*ep*z4+169170413074036857936018\
         927771879239/1519392*ep*z3+95483057068554955330355318168654211\
         74089742643739986174447645798272399397800003259058431095953387\
         27757838027988474311632001098093077167193279/
         83364246381277426572123753527341968095035428160823900449830546\
         17353035568611170485429862400000000000000000000000*ep^2+
         4569813260517505492592168211000/7*ep^2*z5+16917041307403685793\
         6018927771879239/1012928*ep^2*z4-28653377967700111917989005735\
         71998410644921841/10168965658051200*ep^2*z3+
         69576635432744208063795862154879073428396483338271065465408832\
         77945436458221129852601257131325408806266517588202022788536931\
         9328367205915599614046829818374749172464199944344508401501/
         22200995529930511507838558248154200013176950316162995042944173\
         42270007548974323210130885458406725122727118309215467670077440\
         0000000000000000000000000000*ep^3+
         11306745211294570072184812698750/7*ep^3*z6+6870980095229414068\
         64153794529871611/506464*ep^3*z5-28653377967700111917989005735\
         71998410644921841/6779310438700800*ep^3*z4-5095475993362147445\
         356559109047122290118654614683017711/
         29698347057854148850176000*ep^3*z3+
         1648840045540873906677920535000/7*ep^3*z3^2;
Fill mncnoptab(11,10,5,5)=
      +mncF321*(-639287202447756338726250000-
         5189796005751358654106025000*ep-428072780190480939256828424625/
         28*ep^2-37933340517261409985650303805775/1568*ep^3)
      +109604921792561510935841824386732540299733137721396167/
      34846060547882201317539840-314139410809037774853750/7*ep^-3-
         123935345128348029249209337635/248064*ep^-2-115734807895461760\
         175398622797943406665/66409571644416*ep^-1+
         58895687716200870969476703375/7*z3-
         62673423096064517189249648767044571064587279774847890754850100\
         71969398071135450142854152037351003310962227884651895044841453\
         1271/203360588576206232319604606182247767948569441359174983332\
         5168951467845098961633280000000000000000000*ep+
         176687063148602612908430110125/14*ep*z4+8457892770556397684181\
         26814500942365/6077568*ep*z3+
         65257358936022158510490497777183397323189868749676960681876417\
         34448455662408346323149535314573112669077136722403101576295671\
         7268997799589403/457312437291579025767078876492847367835622920\
         19651968246764185329479509404952706662929530880000000000000000\
         0000*ep^2+5712284846110593814226857497375/7*ep^2*z5+8457892770\
         55639768418126814500942365/4051712*ep^2*z4-2867007146328094598\
         616574523017832291012510479/8135172526440960*ep^2*z3+
         38221432323699494344339503906629241287448102865300580332726233\
         80280462382615337570795975370765731294884185890112347924386361\
         23974335803192731013131468955919636808331143851696597111/
         17398331190802686569408176259777985316448875349809367543858291\
         00880985507767632883041346971486086626790231491303550174101504\
         00000000000000000000000000*ep^3+
         14133472895985982358143451985000/7*ep^3*z6+3432992500222944739\
         146902588320214785/2025856*ep^3*z5-286700714632809459861657452\
         3017832291012510479/5423448350960640*ep^3*z4-18634719413663921\
         695623459616834231653395424095641146353/
         87115151369705503293849600*ep^3*z3+
         2061031162495079638879436260125/7*ep^3*z3^2;
Fill mncnoptab(11,10,6,4)=
      +mncF321*(-443239127030444394850200000-
         3602488421550050736542982000*ep-74437847656952574344491713915/
         7*ep^2-33069759327964124351078761801117/1960*ep^3)
      +109601025796657208865197365789729195211242736508162619/
      50258741174830098054144000-193591484364982470542490/7*ep^-3-
         2018395011527843460405949595761/6511680*ep^-2-7352279394858450\
         16974461639347052896067/670481252179200*ep^-1+
         40833810864389498502874718820/7*z3-
         93701016159714119779006924472823171297846551358929114658626656\
         11499375329247161441531874779222194173521066221380659723541961\
         08259/43373000532268985486915669912307531757780826164886539413\
         888369043025133751291084800000000000000000000*ep+
         61250716296584247754312078230/7*ep*z4+220030245655246178160530\
         2865560041233/22790880*ep*z3+
         28043105467990755688908970497281877011638307368691704584971169\
         48846106445329822360931769351230453023035938846599179036410693\
         9987148279472801/278674766474555968826813690362828864774832716\
         99475418150371925435151576043643055622722682880000000000000000\
         0000*ep^2+3960511828024206299515891016940/7*ep^2*z5+2200302456\
         552461781605302865560041233/15193920*ep^2*z4-11425090231324659\
         6624828084943655948528085067/469336876525440*ep^2*z3+
         28909841497763346212298837501245460878706117477151449764443820\
         49925486513132047765045334627738143964809925676271471341723410\
         13667896541564635042504410622972448044698080080024561567/
         14842951297153541979526350371623093723095446782806116685854104\
         51689090761314261803344649135049067653480416241018341242280345\
         60000000000000000000000000*ep^3+
         9799195042899542002532540745300/7*ep^3*z6+52745493318208325298\
         9723320562045061/446880*ep^3*z5-114250902313246596624828084943\
         655948528085067/312891251016960*ep^3*z4-3786907781976362666957\
         509226104665554858218957844474393/25129370587415049027072000*
         ep^3*z3+1428987464470686132199070572260/7*ep^3*z3^2;
Fill mncnoptab(11,10,7,3)=
      +mncF321*(-166214672636416648068825000-
         1354415415098409394350048000*ep-112443654797884364147478776205/
         28*ep^2-10049400059565717356313337586641/1568*ep^3)
      +8219549586394076644074205465767666953130406538356726783/
      10051748234966019610828800000-655757361051896456412345/112*ep^-3-
         584001363319647868620041511443/8682240*ep^-2-44736267048647053\
         37662619449773571901129/17879500058112000*ep^-1+
         30623967183495962611422681165/14*z3-
         74985455853584645284305011252860363425666048854020289418295874\
         65564063306132700193750562307440492493027015827851724179621281\
         56900345823/91695380901276249445714260749648300579505537965100\
         611613374367654287951565209497868697600000000000000000000*ep+
         91871901550487887834268043495/28*ep*z4+11015110001705176216821\
         34020493517869/30387840*ep*z3+
         15875519620580176248682226091203133151329438450812118499086291\
         60821446892193829071503789298684475359964976394892759835899192\
         9364991782062151110631/420821191357897477405994817543100612119\
         17938927943839440513637161113691951984505434761068963430400000\
         0000000000000000*ep^2+5940738152698260392168576809635/28*ep^2*
         z5+1101511000170517621682134020493517869/20258560*ep^2*z4-
         66652589690873932207091622560663246650634701/736214708275200*
         ep^2*z3+809986407930614162175641103944170556849990789603123939\
         24938857758103837470775492455707957667855732297510547333058802\
         71597309993535816952907079050491726060354511004567743573780234\
         567655243/7844915363181967235355102909213210479280190297222951\
         23974109815210331761895904162398140718049213628758697435032941\
         8600999464992768000000000000000000000000000*ep^3+
         29397451091656342334728657236525/56*ep^3*z6+452827542632850461\
         2083754961908872181/10129280*ep^3*z5-6665258969087393220709162\
         2560663246650634701/490809805516800*ep^3*z4-345697458279272666\
         3401181183750963417892436250084945159/
         59127930793917762416640000*ep^3*z3+
         2143511798540297230817738874765/28*ep^3*z3^2;
Fill mncnoptab(11,10,8,2)=
      +mncF321*(-30728763008413161827850000-
         1759878208025948229458382000/7*ep-
         73562909317969426096715943255/98*ep^2-
         33173630395820746536225122398119/27440*ep^3)
      +78359595151143824023391295868106750379271775618960059967/
      518335150649747744598405120000-2035986404132829736960515/6664*
         ep^-3-1938789990083894629857144484273/516593280*ep^-2-
         8742362538637415293101879251442615996607/553191731797985280*
         ep^-1+336849401967633689904051211215/833*z3-
         18246611422770777512603338638025070897279942342735815748372846\
         95973811179203023062949465364495958087051077012338097047352129\
         052146973211929/1253877024211889413514238944338471980236876040\
         71152267593063611869260380768451162741827174400000000000000000\
         0000*ep+1010548205902901069712153633645/1666*ep*z4+12140426963\
         183726999037206818674172319/1808076480*ep*z3+
         18605062260600653293953713475897721574710885455549938792652662\
         38804593439934863852660555609650211587097167740142713938368581\
         234308877643667850454992129/2819688721501578165625764187739058\
         85209512979402622999330193096905951980279099879537185837279336\
         202240000000000000000000000*ep^2+
         65347816814078015960807511775185/1666*ep^2*z5+1214042696318372\
         6999037206818674172319/1205384320*ep^2*z4-15990295924196628778\
         6865178756715155235415627603/9680855306464742400*ep^2*z3+
         38107617129004851704673589837131541567754779493097917281974329\
         35078945116265649945527161021366880708501914150839925166597418\
         50412615525491184892972595172118852762067353759495913963488031\
         17581/10727431451941141321395893534417239504760705219558809385\
         89346790436678038657530448069307548137421561475721323817858434\
         82042059110481920000000000000000000000000000*ep^3+323370590050\
         713742904997046763775/3332*ep^3*z6+505906977113694220601628910\
         67144386391/602692160*ep^3*z5-15990295924196628778686517875671\
         5155235415627603/6453903537643161600*ep^3*z4-29476592501371451\
         98426366250802172924520837635526894072659/
         259167575324873872299202560000*ep^3*z3+
         23578942988713538615488113601215/1666*ep^3*z3^2;
Fill mncnoptab(11,10,9,1)=
      +mncF321*(-2133941875584247349156250-122904208570124937111638625/
         7*ep-41497096048668636532602747015/784*ep^2-170549138118978226\
         280359941154451/1975680*ep^3)
      +17631988055408703509397830344484726147689456682981015675023/
      1679405888105182692498832588800000-195364583691679079535/53312*
         ep^-3-46682691245809718917129459697/7438943232*ep^-2-225325119\
         308275430514276455321709449665609/2987235351709120512000*ep^-1
         +187135446133425290744503300755/6664*z3-
         83914328670824079982030161358455910951805454687556111827996421\
         50689905409714024494935704801563730628265120966110476288579832\
         27402601870712333/81967732325622942232016534418469254022342068\
         03279896807226558398767650034234750295808587857920000000000000\
         000000000*ep+561406338400275872233509902265/13328*ep*z4+
         12174075930453284255004528098029157671/26036301312*ep*z3+
         12317687908650263120023305029767172049831184908848223131195851\
         98430029413749744938676820278734897801270707648130481739198214\
         34064323341911648862680693027/26332439978757595277354075353252\
         92511670880395400822132520333900901298493381961324004413043653\
         55604377600000000000000000000000*ep^2+
         36304276509110141312855924551845/13328*ep^2*z5+121740759304532\
         84255004528098029157671/17357534208*ep^2*z4-117682980008875451\
         00894999574273916099220323643377/10455323730981921792000*ep^2*
         z3-27011131940868351905669252730760639513646742045015377124639\
         04505824878217245550537531555724195914729972874224105744951989\
         96380254320174000807457682425185376837083464274287458443263009\
         53362493519/20266631296656985023512141352999371749176944667826\
         60185100888448382929979593131923536469624771438668393469035402\
         08619592336099513549088358400000000000000000000000000000*ep^3+
         179650028084216453656834589751675/26656*ep^3*z6+51682875608758\
         078132182282908245247087/8678767104*ep^3*z5-117682980008875451\
         00894999574273916099220323643377/6970215820654614528000*ep^3*
         z4-708659047640604257654518263319884476145840371205724727764163
       /839702944052591346249416294400000*ep^3*z3+
         13099481211126817975302332121195/13328*ep^3*z3^2;
Fill mncnoptab(11,11,5,4)=
      +mncF321*(-102285952391641014196200000-
         837920238062312219954460750*ep-17549536757044641499674642690/7
         *ep^2-3967431801164456711432122349721/980*ep^3)
      +8118166283903848527394215029506651608193883862405979/
      16132435438834352461824000-201187154757877241259735/28*ep^-3-
         352393469230883699938476218069/4341120*ep^-2-53035749086240126\
         885625224877682728971/181588672465200*ep^-1+
         9423310797166262081287457970/7*z3-
         28668170054499742706818321935822489612571394544419366615804702\
         78101903672645099962216869856674706911418334289332217149699780\
         2287/578306673763586473158875598830767090103744348865153858851\
         8449205736684500172144640000000000000000000*ep+
         14134966195749393121931186955/7*ep*z4+339826276985552448675237\
         917054856787/15193920*ep*z3+4236596964344273065014897291267654\
         78742221568924729710880502308870615058236235793585628409470568\
         8079304575035723073822353532271199365802001/
         18578317764970397921787579357521924318322181132983612100247950\
         2901010506957620370818151219200000000000000000000*ep^2+
         913965583474350671946280892865/7*ep^2*z5+339826276985552448675\
         237917054856787/10129280*ep^2*z4-55672951440699964355188423453\
         003055974178039/1016896565805120*ep^2*z3+
         21372327489230136822404884590054895150603164631193649595418284\
         47857210305216406753440848322179755523904122540210356295766047\
         31183603934966201254535954924939735271225786971505378859428583\
         39/17069271595760646861871236954446303352754050240299833383973\
         62086242175717156377225689232005106683577887336900760074575312\
         624180118159360000000000000000000000000*ep^3+
         4522711363385922049324967174475/14*ep^3*z6+1422026723977048898\
         714435361354975043/5064640*ep^3*z5-556729514406999643551884234\
         53003055974178039/677931043870080*ep^3*z4-93088799529185230058\
         5208091568678446679039698010313171/24198653158251528692736000*
         ep^3*z3+329764977579305374953619822335/7*ep^3*z3^2;
Fill mncnoptab(11,11,6,3)=
      +mncF321*(-53188695243653327382024000-436297099371143298168407670
         *ep-45793454843598675277412588526/35*ep^2-
         51917055969688297833202837825941/24500*ep^3)
      +1826505526937199862273797132545494045399690359558382291/
      6980380718726402507520000000-311290278818982965146359/140*ep^-3-
         2783426571555322291195555184057/108528000*ep^-2-33594429346632\
         1951359866176001831083481/3492089855100000*ep^-1+
         24499443198621350786459137362/35*z3-
         24967098271904512167872050740392460859705049452517523124424988\
         06025603322082075287010189055805718214598969494688892118398778\
         005330689/9796515053555154855311352644193194506357429269775706\
         36895025295451794354329161302016000000000000000000000*ep+
         36749164797932026179688706043/35*ep*z4+26002913215921617158112\
         2794343834303/22344000*ep*z3+
         36559496627892023904024964366674717201781387510599652531408870\
         45284181239619261685924781813945742840164795565184478094689954\
         38958891439474217519/31471670293859854079508159431642139795237\
         77483927423889782002779143117987862089081659481653248000000000\
         0000000000000*ep^2+2376298126988764178352798128769/35*ep^2*z5+
         260029132159216171581122794343834303/14896000*ep^2*z4-
         277144334658059557036654938795348974632326379/9777851594280000
         *ep^2*z3+15644822942197937410740229322849186141033247094917096\
         26835389119937105519474551747087485236539105149367062660967936\
         86687447001517772782703987274103223683753107563063176979064384\
         779111707302293673/1445767304160926789200493770041601893978268\
         05535339588762256568704712283243145151015877950832536099047057\
         4354943783165289792680560080977920000000000000000000000000000*
         ep^3+2351798683790142827566338991407/14*ep^3*z6+18579366826085\
         588763443576883370040479/126616000*ep^3*z5-2771443346580595570\
         36654938795348974632326379/6518567729520000*ep^3*z4-
         14184671878081985278446171604374290380881133626843080773/
         698038071872640250752000000*ep^3*z3+
         857401755274165376220711573951/35*ep^3*z3^2;
Fill mncnoptab(11,11,7,2)=
      +mncF321*(-13297173810913331845506000-109367833244002111745160480
         *ep-11532066153375376634622869844/35*ep^2-
         3288222002755608970683045834801/6125*ep^3)
      +11872424517937139800079688428719210047989922982078350229/
      181489898686886465195520000000-44291251706730454535967/280*ep^-3-
         211222889913936398530160581283/108528000*ep^-2-238859388671811\
         20509965463354974097371923/2905418759443200000*ep^-1+
         6124554572369867896837513653/35*z3-
         43074223655933687388159789671069033867623780765023585983729274\
         69121677620484225612738790181240409921511860242571168703939417\
         92228991159/68293955567096373285089267120831807202444228796923\
         8930245444509091832139261716572667904000000000000000000000*ep+
         18373663717109603690512540959/70*ep*z4+11065538754082927651800\
         96302696695669/379848000*ep*z3+
         62884887446869011222554755923892020948283048699899039253675329\
         16419389212313701129492672702389593482372618863967360792077272\
         9236626994712005076473/219396881536070507751771256437835267047\
         55133784829053791642786874101461272883588510518661475205120000\
         000000000000000000*ep^2+1188142549234631635477752473697/70*
         ep^2*z5+1106553875408292765180096302696695669/253232000*ep^2*
         z4-14282031752822372101258846377041670871896955903/
         2033793131610240000*ep^2*z3-
         18883862840959875325870358799949567912276375897638173161616161\
         32519907467656217071806703526871445564786475289834626260398291\
         07132797239313987553568763290936436870581727278097464098422183\
         15311304369/10078805319131860879213942194402517203396001180882\
         36108158881104582725504558775634019439164741317280481799147190\
         184839102646722435446451732480000000000000000000000000000*ep^3
         +1175893440089891899684077446391/28*ep^3*z6+469215471418246141\
         8328921211700306301/126616000*ep^3*z5-142820317528223721012588\
         46377041670871896955903/1355862087740160000*ep^3*z4-
         8645943827599183064231275717100862170459456214098407967/
         1649908169880786047232000000*ep^3*z3+
         428707614702871726247936001663/70*ep^3*z3^2;
Fill mncnoptab(11,11,8,1)=
      +mncF321*(-1229150520336526473114000-71059549133276277417969840/7
         *ep-7545485559016148993892566352/245*ep^2-
         2171244207139406959720615096583/42875*ep^3)
      +3526380707446906681994932751172539624488678787113306430813/
      583127044480966212673205760000000-225055920971325852837/33320*
         ep^-3-54820467372116469701171059313/12914832000*ep^-2-
         52536629501079844746829900787879245258259/
         1037234497121222400000*ep^-1+67368761182465277954010918183/
         4165*z3-546059210601723059251460414021978980087045296277793981\
         29413008472776363277360802712361345830603697747934553090530580\
         961459656719474941294781/9297265935082231873538912468761558905\
         31194753149803110078938336897256601105330473367177789440000000\
         000000000000000*ep+202106283547395833862032754549/8330*ep*z4+
         12196741842378540318245575815025942759/45201912000*ep*z3+
         79891440012592851132296012395772431557275261233259922833756359\
         46204227369783430805921522589775192158272772090723828119598020\
         738176181852036978229511011/2986781386479449464329513176642114\
         19147854489293148806697908243389267653184528020546796849858852\
         42163200000000000000000000000*ep^2+
         13069539554416182234374550668667/8330*ep^2*z5+1219674184237854\
         0318245575815025942759/30134608000*ep^2*z4-4647010893399280425\
         34337333076824504304186208639/726064147984855680000*ep^2*z3+
         24730226139600716210744078446728491137436750400492641903644146\
         47608592963937666526448850851075039201421990163776567224012241\
         19144608674165024786138922143428274913220920641704615827290458\
         3992172623093461/137208824092533501265266923457718108200151801\
         67606011082031743805347391928861347971287037013122396929567020\
         87018830032560779142054719381530528972800000000000000000000000\
         000000*ep^3+12934802032051251678466528832301/3332*ep^3*z6+
         52415721704477883859882842892873618911/15067304000*ep^3*z5-
         464701089339928042534337333076824504304186208639/
         484042765323237120000*ep^3*z4-29559900254843074162557778709650\
         386747969576871927780047389/58312704448096621267320576000000*
         ep^3*z3+4715813220985109914641051088293/8330*ep^3*z3^2;
Fill mncnoptab(12,4,3,12)=
      +mncF321*(-229128100023117708504000000-
         20294313863397608804872635000/11*ep-
         412489339035208567016290388550/77*ep^2-21684822436968003519337\
         02761481303/260876*ep^3)
      +1130896661955753122934032502666700134144622767853333185589/
      1003157687368354439824943040000-20529253089850463437275/847*ep^-3
         -602068443535721282287510573211/2056703792*ep^-2-1286482483395\
         4184312675659466520745546789/10706172206267137600*ep^-1+
         2553879035571577271729739725400/847*z3-
         33569643383761122300129660485551901612925890402041325203467725\
         0634449507426057017201991937860322815505375214734842753/
         29997638317022736351256079286257619184026791624660716549769910\
         370172928000000000000000000*ep+3830818553357365907594609588100/
         847*ep*z4+625776381563479646497340312948082545743/12597310726*
         ep*z3+29752373309793194113294941741968294348318457162415295432\
         92983170344792442344843841166513630151045694134638784453518295\
         76654681/57022800500164874765155428635520827842068029258165868\
         19607290347656498758287360000000000000000000*ep^2+247726227406\
         700310002032114581300/847*ep^2*z5+1877329144690438939492020938\
         844247637229/25194621452*ep^2*z4-17142156463190765355682595775\
         2487228320105364701/1322527154891822880*ep^2*z3-
         16239698740732656806120180762409498233592392563644195715747479\
         82162066076739551553018381695954964442904199381926582162805467\
         326761152502911534599058089244673254221/
         28706846787333429303429406019412246257912086337344615046739192\
         43844344974658693552962137971588396713146056704000000000000000\
         0000000000*ep^3+612930870927821831825755937139750/847*ep^3*z6+
         14814046950586067225711348642732363689317/25194621452*ep^3*z5-
         171421564631907653556825957752487228320105364701/
         881684769927881920*ep^3*z4-10264770048001944287626056837275346\
         7689727131934196891780983/1504736531052531659737414560000*ep^3
         *z3+89385745446503988797948627090700/847*ep^3*z3^2;
Fill mncnoptab(12,4,4,11)=
      +mncF321*(-840136366751431597848000000-
         6746195432676774995344125000*ep-136467962035064283836129873400/
         7*ep^2-356512542882030342847982721590799/11858*ep^3)
      +2035611056733214906384778564856829004909058738197404003727/
      492459228344464906823153856000-34079058419128039982025/77*ep^-3-
         142189303519483498743841713716735/27485041584*ep^-2-1834080269\
         826001690908241701436746576790267/91975752135658591200*ep^-1+
         851293610886216036567986019000/77*z3-
         18339802852335155954258062779936986571416156197342320348388682\
         31753543946565088945687194305703355140229254133264138899/
         44624585926149525150628878277077450025824979276354784950070941\
         046538240000000000000000000*ep+1276940416329324054851979028500/
         77*ep*z4+312468428455049955486902510486933170583/1717815099*ep
         *z3+3260476536709331846823856275222469315638555393042985293833\
         83070443184008693002332462911915436844928776224199910150003960\
         7767897/169654613058341776160793010816425603497061905230906715\
         29410120042614376470937600000000000000000000*ep^2+
         11796487929663969594646576984500/11*ep^2*z5+312468428455049955\
         486902510486933170583/1145210066*ep^2*z4-324115269202730858775\
         229460399028222976075951571/676292295115136700*ep^2*z3-
         34005161879626659961754161222316114172740692527924545375705197\
         55533673147298721532553142578101661105640544559015892812227021\
         1103802922864830489176792457038935058619/
         85408800359008549993674265842879410354118603978876540634926522\
         95735241246918427099722063386543990220930416640000000000000000\
         0000000000*ep^3+204310304741903927814895132181250/77*ep^3*z6+
         4883708550040872499695965576667650421773/2290420132*ep^3*z5-
         324115269202730858775229460399028222976075951571/
         450861530076757800*ep^3*z4-58860930491878496044212689538355829\
         101011001932497705435491/246229614172232453411576928000*ep^3*
         z3+29795241894147937897527465393300/77*ep^3*z3^2;
Fill mncnoptab(12,5,2,12)=
      +mncF321*(-86050330897570872749280000-
         7637382042669682939852901100/11*ep-
         155796025911037794492336290385/77*ep^2-41150466280369773784048\
         748943735181/13043800*ep^3)
      +132314928606849908983157410878112880546248642753140634122941/
      312522202603218113945463024000000-7235104933292253596319/1694*
         ep^-3-27050785372378082453838821301893/498355149600*ep^-2-
         812230790850985861973546413949096015289763/
         3335384418106300560000*ep^-1+959123370049703452330581593580/
         847*z3-9745559152214267056950280750191406901327775980327013135\
         67194262688990093844688797053061362414006861602669174051976739\
         257/2323017111270240703041270779927790029611034743413725889614\
         18185906619154432000000000000000000*ep+
         1438685055074555178495872390370/847*ep*z4+81433033110675062839\
         81467429011676669301/436060755900*ep*z3+
         14571498720707716764063005537772309090620704223497872431681591\
         03541115755223122434509581754929114324832609187858972310815343\
         98558519/74627791835383777540650455050736986146716744339214965\
         67945566740430575558925966376960000000000000000000*ep^2+
         93034960002187069354571456110530/847*ep^2*z5+81433033110675062\
         83981467429011676669301/290707170600*ep^2*z4-33214627131250714\
         572112616547465744650299712531189/686696791963061880000*ep^2*
         z3+85309131645904586024896859916722730955049717101552662071534\
         26020236421363532224858580177346517449687775445450699567006892\
         5818125424057317113013742833537988039061454141/
         37569683837067602932852987116221505518594832224791042117809263\
         75511872664754919965729456600384711960775917666566144000000000\
         0000000000000000*ep^3+230189591580343414755602186292375/847*
         ep^3*z6+64725170197737552818630007395713063936643/290707170600
         *ep^3*z5-33214627131250714572112616547465744650299712531189/
         457797861308707920000*ep^3*z4-41314141300744212151359398849357\
         14079750767975032365309803117/156261101301609056972731512000000
         *ep^3*z3+33569314279205837249377610859678/847*ep^3*z3^2;
Fill mncnoptab(12,5,3,11)=
      +mncF321*(-546088638388430538601200000-
         4389699147595458560645330250*ep-177930786479701026310177389075/
         14*ep^2-9319990905110562557976502632337071/474320*ep^3)
      +10178054503978007067281784246737408777010588385078052184137/
      3788147910342037744793491200000-69937152330040162488945/308*ep^-3
         -2321685694229853946620254697203/862952640*ep^-2-4302248619922\
         34320688362272141794046995731/40428902037652128000*ep^-1+
         553340744397654630876009398250/77*z3-
         54179460571851119294394143508067235030142039214567334635951922\
         20316573792377858326404814331971046542763213794427331097011/
         20299380871759833225442994967640400651747584419127050483133808\
         9979083489280000000000000000000*ep+
         830011116596481946314014097375/77*ep*z4+6252617501695018687600\
         56017587752951097/5285584920*ep*z3+
         16262547070784514493164242928210410685910690602758650414989679\
         54756816086678049491125564933510906378375134346657350818456072\
         93736957/13042503757163529057558052133932187834922928676055369\
         37032155916492056897080975687680000000000000000000*ep^2+
         53674018987854366281818724612175/77*ep^2*z5+625261750169501868\
         760056017587752951097/3523723280*ep^2*z4-258452460120547737466\
         4548966242167310827993410193/8323597478340144000*ep^2*z3-
         13950530302764976473573500112844138694043771565152687403473742\
         25304228755282198643896378163938730139990058989400269160568732\
         858458856736033789516382592668495953751936333/
         65659552634394284961536978003498718539115050943632960390831193\
         20087789942910985364599131225546650274164234539499520000000000\
         000000000000000*ep^3+265603391217283558254713576069625/154*
         ep^3*z6+4904722815110450948455056859410323872571/3523723280*
         ep^3*z5-2584524601205477374664548966242167310827993410193/
         5549064985560096000*ep^3*z4-2994345574616458100757539173282360\
         84155258872408464516737529/1894073955171018872396745600000*
         ep^3*z3+19366908360675906894053016374145/77*ep^3*z3^2;
Fill mncnoptab(12,5,4,10)=
      +mncF321*(-1820295461294768462004000000-
         14600556328702028239688152500*ep-
         294792766594670419966178264925/7*ep^2-307316429648131216885657\
         1497864823/47432*ep^3)
      +407121310384725606015705841242647932315616466541217790197/
      45457774924104452937521894400-522799522520634138108225/154*ep^-3-
         493592684077248090078728953231157/12685403808*ep^-2-2448545680\
         240548421716756065019127879549003/16980138855813893760*ep^-1+
         1844473616873955850023877002900/77*z3-
         20872790018546099373369851317997350526698829408937952575755217\
         1917845277911193131906892974094206878612083442756841780464177/
         23445784906882607375386659187624662752768460004091743308019549\
         39258414301184000000000000000000*ep+
         2766710425310933775035815504350/77*ep*z4+624599774305389529285\
         568608011693859537/1585675476*ep*z3+
         31429417155894689124716915842858257829703048550572934252472210\
         00788717862762616875806396643217424589394366818951328411835979\
         3986073111/753204591976193803073977510734583847466799131042197\
         58113607004177416285806426345963520000000000000000000*ep^2+
         25559063451122536617426557413650/11*ep^2*z5+624599774305389529\
         285568608011693859537/1057116984*ep^2*z4-520313655911719476070\
         005602979099678719677622993/499415848700408640*ep^2*z3+
         33746065418783467920508035623247051179983591655072260167436182\
         15683961277608210392017525608723928665337401906381980316321087\
         29100514820891233819711031954401771571099533681/
         37918391646362699565287604797020509956338941919948034625705014\
         07350698692031094048055998282753190533329845446560972800000000\
         00000000000000000*ep^3+442672426352459501179905062231625/77*
         ep^3*z6+4861854900473878465811879885275867271561/1057116984*
         ep^3*z5-520313655911719476070005602979099678719677622993/
         332943899133605760*ep^3*z4-11546228862233700045528635215909144\
         549399947413968204150117/22728887462052226468760947200*ep^3*z3
         +64556312042408319393222433596450/77*ep^3*z3^2;
Fill mncnoptab(12,5,5,9)=
      +mncF321*(-3549576149524798500907800000-
         28453899383302768640201824875*ep-
         2295636839473350531049182602415/28*ep^2-1195064246022439137344\
         84814051729117/948640*ep^3)
      +407121387412950265549990233559914221333877094710178487801/
      23311679448258693814113792000-12819238128560410110429255/616*
         ep^-3-19798984824137887569583345392466661/84569358720*ep^-2-
         1454007294053359193869719294941984924587087/
         1741552703160399360*ep^-1+3596747591076531059102663595555/77*
         z3-17644233248658926426339016167390040773526847359513424879488\
         29889535002146826629794623919223722815521049920666904275114029/
         10107922162481233828307005724627524604368138743680547771436999\
         542168354816000000000000000000*ep+
         10790242773229593177307990786665/154*ep*z4+8117443180047990825\
         566742045065955310081/10571169840*ep*z3+
         39738085303704391468556590298505104786808707423696507810671786\
         39566879663781140470441218704672251653834814912305258783001416\
         83526967/48708115883234167159398898401413417531656616351935175\
         7348428598443021248601228574720000000000000000000*ep^2+
         99680420511156388717368254273535/22*ep^2*z5+811744318004799082\
         5566742045065955310081/7047446560*ep^2*z4-52124937778037554838\
         6827244962178530727184230677/256110691641235200*ep^2*z3-
         23770361455040898707578422243071215281565428522771747675255873\
         83467062468297993331234503629237573879866233884434600202371345\
         157073066668081514148463721449875447772635801/
         61302514419457627163163382240920871475562663303854847278476654\
         14588137215217818125898880233727968234366299222835200000000000\
         00000000000000*ep^3+3452847241979708294516862263618175/308*
         ep^3*z6+63049776928539478968997889876931665807993/7047446560*
         ep^3*z5-521249377780375548386827244962178530727184230677/
         170740461094156800*ep^3*z4-11421491044258131569102359628493950\
         248274761495182963783601/11655839724129346907056896000*ep^3*z3
         +251769088136525905403706610851255/154*ep^3*z3^2;
Fill mncnoptab(12,6,1,12)=
      +mncF321*(-9680662225976723184294000-862842668524835069193155280/
         11*ep-3223953122673450384040592691/14*ep^2-4729825004620841564\
         6962858438110713/130438000*ep^3)
      +4502211188505138487763748116242787775391925386139518135997/
      94524673755226650720744960000000-146148332997853970199/33880*
         ep^-3-12850596509986948409076083929/48150256000*ep^-2-49522791\
         0264943700323779141378531246491/168135320383430400000*ep^-1+
         107901370277150962260295512459/847*z3-
         25336570353691212691212608488506375820963525049865116936870879\
         628169264998718092132095942115628141369694693148297154419583/
         53879066436709057243657027801977366709469999396673664328983445\
         938802893258752000000000000000000*ep+
         323704110831452886780886537377/1694*ep*z4+35478993832184911579\
         5531834275075643687/168525896000*ep*z3+
         37741590532807787792478693946076637089039583409615567625691888\
         64024994108972848349598176937656670073008885022663042543637472\
         662052113/1730885121257197958709369930433860827653169041579516\
         256914013923724742982281403626946560000000000000000000*ep^2+
         20932865812012894023528167483313/1694*ep^2*z5+1064369814965547\
         347386595502825226931061/337051792000*ep^2*z4-4275311753988974\
         357870959142742811971463263556229/796170193580361600000*ep^2*
         z3+61250601846115110060395367466100479218285506361034335477616\
         51726773985753406837094782534610165798229888128804359234000982\
         723842997387184525436631130478508136164110674471399/
         39266748200081098854666548603135804502320337012865103258095283\
         54256383410658193872714751409975867605279677840806788464640000\
         000000000000000000000*ep^3+103585315357292960495037882291975/
         3388*ep^3*z6+4292336063882299486819433785694309100349/
         168525896000*ep^3*z5-42753117539889743578709591427428119714632\
         63556229/530780129053574400000*ep^3*z4-34375881415926878216442\
         78464303885905701286027951407296377247/10870337481851064832885\
         67040000000*ep^3*z3+37765479536416405482127270605819/8470*ep^3
         *z3^2;
Fill mncnoptab(12,6,2,11)=
      +mncF321*(-141983045980991940036312000-
         1145028671954309689178009040*ep-23338649138136694241038768674/
         7*ep^2-7698775771886512792986103701767673/1482250*ep^3)
      +11505629717680326929625086088828164812472357737580218787159/
      16470208305834946716493440000000-9459667564744108237929/385*ep^-3
         -2028879515622928271280833572133/6565944000*ep^-2-213196885881\
         5833517770948836294432256951/1569444954877800000*ep^-1+
         143868535153570946012495768892/77*z3-
         11242247819267639994088066464170538288515436108422514927794262\
         670074565185485287253598289791699338929525313601218815484101589
       /162431232826937020288858879862587259841229442786111369476801275\
         7297413236981760000000000000000000*ep+
         215802802730356419018743653338/77*ep*z4+7079384543740486141156\
         37803301492677249/22980804000*ep*z3+
         15293077318613389499292398015264603928491981534803870440224425\
         71651965598452954564656021142524880922729400459583051793882415\
         42442016877/47437854426326740143913863098439007536107721669365\
         73585540217530180131292404740050124800000000000000000000*ep^2+
         13955244315794881724459038587552/77*ep^2*z5+707938454374048614\
         115637803301492677249/15320536000*ep^2*z4-36158014103905846520\
         7129746243260828864995981517/4523694281706600000*ep^2*z3-
         84707406246582561995082700254411465395254503651381622098792631\
         96709830039778827323654541452118731018249776139083359708266649\
         74838586944294513359648124129975845802909663925243/
         27793314370689084776794322028106387614911728108649453425564616\
         34413036982431545512218234032725911445147157744433271668736000\
         0000000000000000000000*ep^3+34528439451603276946116357046650/
         77*ep^3*z6+2808480286195336071776959110070060988941/7660268000
         *ep^3*z5-361580141039058465207129746243260828864995981517/
         3015796187804400000*ep^3*z4-3560873528846394200153458312342643\
         47271315259707135876085733/8235104152917473358246720000000*
         ep^3*z3+25176984080407863723173461026096/385*ep^3*z3^2;
Fill mncnoptab(12,6,3,10)=
      +mncF321*(-819132957582645807901800000-
         6584932555619338640006235000*ep-133476592195440163951386827670/
         7*ep^2-3496977470554654172450702615424507/118580*ep^3)
      +885045317929294088366413453079689457133907714688290928737/
      219602777411132622886579200000-82609989234784539594300/77*ep^-3-
         156944185334941493819595756553/12506560*ep^-2-1063361331958625\
         0552589363245480307195019/219722293682892000*ep^-1+
         830012357188679779070735334660/77*z3-
         13634325562321650290724286101917233102988037043236558352875785\
         1951774991750814585468403169356621512668954259727814952785379/
         34076482411245528731928436334808516050607575409673713876252015\
         88735831965696000000000000000000*ep+
         1245018535783019668606103001990/77*ep*z4+543721920620680298849\
         10438353244851663/306410720*ep*z3+
         20479221411357130983331482989072559536893359567168588835524343\
         72721167782868189833865263268172391066494805573284424930217489\
         8597549257/109471971753061708024416607150243863544863973083151\
         698127851173773387645209340155002880000000000000000000*ep^2+
         80511041676611524306925412862020/77*ep^2*z5+163116576186204089\
         654731315059734554989/612821440*ep^2*z4-8426045301884235217270\
         8090202335908921102881043/180947771268264000*ep^2*z3+
         86394943502629831459757889400232480860496757686761861734685012\
         79032397555589095072120951979416411705710692739448554895225334\
         3962212619264003179119572470781706262566433567847/
         29153826262960578437196841288223483512145169344737188907934912\
         24908780051501621166662483251111095921483032599055879372800000\
         00000000000000000000*ep^3+199202573298557111319636693818400/77
         *ep^3*z6+639897191259422330728434623433282400641/306410720*
         ep^3*z5-84260453018842352172708090202335908921102881043/
         120631847512176000*ep^3*z4-86794951861169954216855349066373511\
         93699121867470809746353/36600462901855437147763200000*ep^3*z3+
         29050348893268165762135256023500/77*ep^3*z3^2;
Fill mncnoptab(12,6,4,9)=
      +mncF321*(-2457398872747937423705400000-
         19721753328427592139250254000*ep-
         398598318862321699788675335730/7*ep^2-520174248936899837020772\
         2493966181/59290*ep^3)
      +35401769982914677073592643102807142918400223946312739827/
      2928037032148434971821056000-986798398256521090515405/77*ep^-3-
         88951021354804544122347586948341/612821440*ep^-2-4305546998435\
         958157858448407198069935739/8202965630827968*ep^-1+
         2490053328271058947466429531340/77*z3-
         16703849958272414705577065886553490961535898028700309973144824\
         561303514526160662754209914109752968089892768633134681844043/
         13843458613832994156159594796772479349460711757649445860881108\
         0686218772480000000000000000000*ep+
         3735079992406588421199644297010/77*ep*z4+162984059356278222625\
         803452007646545879/306410720*ep*z3+
         62662943758421660110966876712209394112953781371362191348568791\
         67767519880220656293938583628101667345249950735814107572238533\
         44677083/11118156886390407721167139852496540958312923297724333\
         59164891366011244154415847833600000000000000000000*ep^2+
         34504756849177733608886159141040/11*ep^2*z5+488952178068834667\
         877410356022939637637/612821440*ep^2*z4-1693770718745240236637\
         2605590339842388041336459/12063184751217600*ep^2*z3-
         12182646443007474035012322517200857080650780257998034795917442\
         81311737216442335317511452703651003314935398872769783159366847\
         78551357616332350925760712158817472465244488551/
         59218228929196067839615827244729561845393532751523782471008447\
         90492140549900412309618318305781217314397845049258803200000000\
         000000000000000000*ep^3+597608111539932690786841711139850/77*
         ep^3*z6+1906774856577336499918319693431938034593/306410720*
         ep^3*z5-16937707187452402366372605590339842388041336459/
         8042123167478400*ep^3*z4-1012775563794554319332636699068190301\
         598110223478935742201/1464018516074217485910528000*ep^3*z3+
         87150867860852890410800289237120/77*ep^3*z3^2;
Fill mncnoptab(12,6,5,8)=
      +mncF321*(-4259491379429758201089360000-
         34178738830884226723496367600*ep-
         690605492344887766514036638482/7*ep^2-900983252720367958654909\
         79069671449/592900*ep^3)
      +35402094078688610247503762656974332127748971730971008123/
      1689252133931789406819840000-4703420272919003280268182/77*ep^-3-
         1041760872422574538958750211713411/1532053600*ep^-2-7481686941\
         0797213663311020380459558712481/31549867810876800*ep^-1+
         4316158281894020161478803754856/77*z3-
         32105892702791650408600293411904855308447282674867984600958376\
         5419205296434396702286808184347962200658642303099808083100943/
         15465738920141548158834547312019254273225638916748990297703112\
         92041350348800000000000000000000*ep+
         6474237422841030242218205632284/77*ep*z4+706214687040645437618\
         661487979286296329/766026800*ep*z3+
         16262656883161497915935104566593562131767966782974476895713954\
         39081868947646942124330394774042911509054360125939293563648507\
         1193027/167287082781337153212005576484322954233875003322241130\
         42990263608965479175238451200000000000000000000*ep^2+
         59808345256833772521980258675136/11*ep^2*z5+211864406112193631\
         2855984463937858888987/1532053600*ep^2*z4-28892977769603195365\
         952816547881789877252457/11866205736000*ep^2*z3-
         46632063372301703894685786725103176210731357100273622654459406\
         88839148908170287587207598883427899382804471023125515812564401\
         8431300670511376379772338523748154569687956991173/
         33078932565918116019785403499985653687075293685421487864664875\
         19688969135295933438575857491119976859214421257984409600000000\
         0000000000000000000*ep^3+1035855646289855968730957517427740/77
         *ep^3*z6+8257259241838773932210197279370822711343/766026800*
         ep^3*z5-28892977769603195365952816547881789877252457/
         7910803824000*ep^3*z4-4389513707671236616843665803865227239166\
         6952117529544879/36722872476778030583040000*ep^3*z3+1510607799\
         76555510478428713650208/77*ep^3*z3^2;
Fill mncnoptab(12,6,6,7)=
      +mncF321*(-4472465948401246111143828000-
         35937157885674827006214105480*ep-
         519932946938349779143957822824/5*ep^2-170136825181980048342948\
         02939028117/105875*ep^3)
      +735431118695446166582588360044860295153308778900367/
      33420128297752627200000-29585858990048323781886171/220*ep^-3-
         3248803257868167023458247499697479/2188648000*ep^-2-3984473642\
         7706064666969581367542642069787/7838476474752000*ep^-1+
         3237203826371478962020120806942/55*z3-
         12138622676793714816184583050730148531903976366395634965269120\
         622914046023149893731340603728357489508523019597628721497977/
         55644005252923382251255242072117622300650967029295676308403924\
         993310720000000000000000000000*ep+
         4855805739557218443030181210413/55*ep*z4+106005315660740743579\
         7861622589030305831/1094324000*ep*z3+
         79647183462129385581674720116330558488704643117740410143532940\
         22546209338558149851059108938759699333999287685196940773750834\
         0032749/777210625888888898287696260923277954988897696873520129\
         08588195279444712305459200000000000000000000000*ep^2+313994717\
         914997477498214509968689/55*ep^2*z5+31801594698222223073935848\
         67767090917493/2188648000*ep^2*z4-1726289556780804446011754588\
         70834117555605617/67806889920000*ep^2*z3+
         12539826801873728549178515862974486702913394984689852274714542\
         36523619014763744893083728868117155440730006345733257792953961\
         241690764429987723999867559234757465869122042256475751/
         57921886003179068459134441230587124211246126494064564465066250\
         85496194934865124265914460668124367643277496815001272320000000\
         0000000000000000000000*ep^3+310757514088625998536194389161747/
         22*ep^3*z6+1779315178037216055614360589978428286411/156332000*
         ep^3*z5-172628955678080444601175458870834117555605617/
         45204593280000*ep^3*z4-195193836095406728425226533560648715453\
         2481465098191393/1520615837547744537600000*ep^3*z3+11329464872\
         4667856126422923617631/55*ep^3*z3^2;
Fill mncnoptab(12,7,1,11)=
      +mncF321*(-11483922836697877502937000-93129512056748486266559040*
         ep-7667013332604595165976451321/28*ep^2-2794893126373895366948\
         797724632289/6468000*ep^3)
      +676802575431830916242089888695825901558160737602885606227/
      11978333313334506702904320000000+620578110106340451/560*ep^-3-
         742405561023099728270038179/795872000*ep^-2-741379228389720532\
         051660675452766922143/63919212707750400000*ep^-1+
         2115713139711504124762048689/14*z3-
         36350263123841656291815317474953653207408130906567109828915583\
         82760396744857112088582007696873696416808450004468950385952757\
         68953/65223286954259598874869550055542738665686635374106303745\
         1926914616232500830603837440000000000000000000*ep+
         6347139419134512374286146067/28*ep*z4+208785577715459369860853\
         09216220849511/8356656000*ep*z3+
         54112840866315716447027104978196180132962857218655450418299863\
         37173540814278557602005338623711999383589735572586621302846008\
         4787765460437311/209532243995414389987825230683995521262867228\
         89004174542153772187325157036451058325560439603200000000000000\
         000000*ep^2+410448349199510762232655087083/28*ep^2*z5+20878557\
         771545936986085309216220849511/5571104000*ep^2*z4-142127801129\
         4092104647711778401827169145354867543/223717244477126400000*
         ep^2*z3+275209477452394329075045914525528906948327802997644678\
         29597531072814048135575769636915823458493594615903462840188772\
         12150853912743971732668806168787108488068495420026216134970829\
         89/55801193128319889288065496222269756542210574758297680631574\
         59152643742610367462555790792832184466926650851546653568194754\
         6419200000000000000000000000000*ep^3+
         2031084614600438769915654948525/56*ep^3*z6+2533208030831592183\
         10635654579583967197/8356656000*ep^3*z5-1421278011294092104647\
         711778401827169145354867543/149144829651417600000*ep^3*z4-
         68129415310720710602348714275934676565657442366962213579397/
         17967499970001760054356480000000*ep^3*z3+
         740499599165604830229767070969/140*ep^3*z3^2;
Fill mncnoptab(12,7,2,10)=
      +mncF321*(-153118971155971700039160000-
         1236535800550587044005984200*ep-25265686114818848805944536530/
         7*ep^2-304097657625915742015149372477411/53900*ep^3)
      +676799323812286154848612182163655188655854686931022513317/
      898374998500088002717824000000-557704438183987282344/7*ep^-3-
         355580709689734807471619494699/358142400*ep^-2-535970802030913\
         33229779843698765195017/12484221231982500*ep^-1+
         14104766541929814884612015940/7*z3-
         67144034324202565289716668629020391826671961334960734057415165\
         71250842401967138372657674463395099257729844544963113722255425\
         749/9005187547925388404814336299581837685597760308062014323793\
         86272645685898582687744000000000000000000*ep+
         21157149812894722326918023910/7*ep*z4+416715146374259104819087\
         79952798003947/1253498400*ep*z3+
         33460635437190757519189055082542984755008886613853667099690646\
         78245272622218421275372157951776524688769712631265734773721578\
         36965530887549/96431670477836997364548100906506814519399776609\
         48666784686154195350170891200355573893693440000000000000000000
         *ep^2+1368161294563316647662346103220/7*ep^2*z5+41671514637425\
         910481908779952798003947/835665600*ep^2*z4-1200092065762962447\
         43575802064838237470740410419/1398232777982040000*ep^2*z3+
         14230864284756172577408433167255003324647640080747832302059438\
         89631688307711992944124547683699934794400747360271928159684422\
         9182967534338370398085566604632299272683411429141177593/
         77043067435550143001273860661910906468535310317176284895665116\
         50592938515300244159868944738716226525947921267569029065736192\
         0000000000000000000000000*ep^3+3385141320053467081944335218200/
         7*ep^3*z6+166111994236049385460474671982389038423/417832800*
         ep^3*z5-120009206576296244743575802064838237470740410419/
         932155185321360000*ep^3*z4-21369119703389268962725919579929954\
         754896996498110062266079/449187499250044001358912000000*ep^3*
         z3+493666264351386370824781032156/7*ep^3*z3^2;
Fill mncnoptab(12,7,3,9)=
      +mncF321*(-795040811771391519434100000-
         6403160907253452840420136500*ep-130220445732676091961407150535/
         7*ep^2-124616448435769765147088333924463/4312*ep^3)
      +52061149199671533579525243050511939276537172285767175477/
      13309259237038340781004800000-19429713999530571474855/7*ep^-3-
         73236887310357632739700972527/2273920*ep^-2-162770480159437491\
         0339509071905426338099/13316502647448000*ep^-1+
         73236651529647718817721594630/7*z3-
         15712661567630462017698387261987578937236856221067944129288486\
         94160947303081633071836329917955484599210294575882163404962114\
         619/4042732905914876949411598787691060689381710576009882973644\
         8317514957840564879360000000000000000000*ep+
         109854977294471578226582391945/7*ep*z4+96038435652021046123510\
         31332946772897/55711040*ep*z3+
         23523291323782030955409973640890204606660239005455268122847211\
         84374137175324963968060999437609525954474685911000098966258650\
         04242568029001/12987430367385454190511528741617079396552158465\
         92413034974566221595982611609475498167500800000000000000000000
         *ep^2+7103918282804502726467919532410/7*ep^2*z5+28811530695606\
         313837053093998840318691/111422080*ep^2*z4-8377948836688417613\
         6701233451870329803072931551/186431037064272000*ep^2*z3+
         39888117759834536701474786987033339652705611281821563910478555\
         15718560221918525472880916032885917207428259690648302137757489\
         183568097712212241112697637645780085212220153212692343/
         34587235661301972166677378523865726809667928312985986485147078\
         11714001578137034415204913462947800909516462970850293632204800\
         000000000000000000000000*ep^3+17576704078187137519125494844450/
         7*ep^3*z6+113769746224770612537930785499795100959/55711040*
         ep^3*z5-83779488366884176136701233451870329803072931551/
         124287358042848000*ep^3*z4-15767394929687551692353473115009043\
         21364917173777750315119/6654629618519170390502400000*ep^3*z3+
         2563263141198266499222759505470/7*ep^3*z3^2;
Fill mncnoptab(12,7,4,8)=
      +mncF321*(-2120108831390377385157600000-
         17053858716937146055639116000*ep-
         346073520196563892236710278020/7*ep^2-412809562911383441885604\
         509355939/5390*ep^3)
      +416490624937271493728043710214995434397702221640324279/
      39927777711115022343014400-180420093319039473751020/7*ep^-3-
         4038626169797592587036347611111/13927760*ep^-2-578277365575261\
         18615517397057177558715837/55929311119281600*ep^-1+
         195300566836777585926311409360/7*z3-
         16894795020107466541102914464358789820661326632242874986570849\
         15821416643252227401794009930970735881231231215907635629411189\
         237/1636893807307781457131048487504117872278201622948713133108\
         8974714965652091699200000000000000000000*ep+
         292950850255166378889467114040/7*ep*z4+31993662725544639966309\
         44767062849669/6963880*ep*z3+419033666400456521989628329981427\
         23359198847948207523851887241979717142932534583682758285856259\
         7301582679292812804716051756291472929099/
         86918718313194828361978926510494549064556348998891278837622575\
         4728517645990825767731200000000000000000000*ep^2+
         2706258883150167515063822972160*ep^2*z5+9598098817663391989892\
         834301188549007/13927760*ep^2*z4-33639274206960898443214514226\
         109968714702270979/27964655559640800*ep^2*z3-
         22456304023778531515486505299856828879854691868425630858862101\
         31982941709600350485632185056488669952030700010555823523488515\
         920262764496171483154445083238986127181181744931629599/
         14004296891107093598136348425753926344960196334660041102384521\
         56335521973118886380555475027440553403117017383780279648256000\
         000000000000000000000000*ep^3+46871279038035987548801123489400/
         7*ep^3*z6+2219694209648866130416483137287102019/409640*ep^3*z5
         -33639274206960898443214514226109968714702270979/
         18643103706427200*ep^3*z4-206071230524023750157557158075708267\
         82456375245212169787/33273148092595851952512000*ep^3*z3+
         6835337252389408406830271916480/7*ep^3*z3^2;
Fill mncnoptab(12,7,5,7)=
      +mncF321*(-3215498394275405700822360000-
         25870498023668140880229792600*ep-75027298627010529309205689201
         *ep^2-1790885567443969677055136016701199/15400*ep^3)
      +2082503792525264636317570560563418352869808592679669559/
      131630036410269304427520000-92131417364451279495291*ep^-3-1218689\
         64865500160206649902380983/119380800*ep^-2-8665448521068549243\
         684949957065258496069/2458431257990400*ep^-1+
         42316289689367169448688650428*z3-
         19827925182992945012624341467275628139992380822854005897133489\
         74739826762715194941146158920277215564737560173970612637679763\
         87/12637718089029950781219087232107162063264379229114889214694\
         54370068074856448000000000000000000000*ep+
         63474434534050754173032975642*ep*z4+41596828271005475282166114\
         340281793037/59690400*ep*z3+1580858938495992780641189743179892\
         97576195359741831810478592645739858360468909772956003263497498\
         54923981408682962386978366541721175616789/
         21493662936220346926589512453711301412908284838618530236771614\
         694545733762904102010880000000000000000000000*ep^2+
         4104505050799316514933305543976*ep^2*z5+4159682827100547528216\
         6114340281793037/39793600*ep^2*z4-1120547882385405602501786419\
         1383170893677142267/6146078144976000*ep^2*z3+
         13365754790000759531542432353123645697523679587237906898941410\
         81400029661385800485321192726447807299030407318373026551665622\
         86267803712473814832534910198775796229909365042389379/
         14102720070339251450919690038751647634042535146380937434972652\
         38207769201532378082135694771369411252276260094087266304000000\
         0000000000000000000000*ep^3+10155471902774873363711542233870*
         ep^3*z6+163659331662987881463803256967058782793/19896800*ep^3*
         z5-11205478823854056025017864191383170893677142267/
         4097385429984000*ep^3*z4-6201762417982845705883437500268715469\
         4918763966646098061/65815018205134652213760000*ep^3*z3+
         1480976902507694227514182033704*ep^3*z3^2;
Fill mncnoptab(12,7,6,6)=
      +mncF321*(-2893948554847865130740124000-
         23323129453937382582297624840*ep-
         339210431516592652702956610392/5*ep^2-203230128245713026594709\
         0377712527/19250*ep^3)
      +18836428490109507531588419439183475742975957540549/
      1322849793429964800000-2899898052201873286719363/20*ep^-3-
         16730994556946345441796704454573/10472000*ep^-2-20443479089374\
         0603454632958959278989257/37504672128000*ep^-1+
         190430132102571726369369878526/5*z3-
         51610354812381115178779545250254437767969614503350983443562159\
         0333594128849182831445191711422732826747506751779984115900301/
         35896659027825760880884960675095428521773330609876458851586892\
         96560947200000000000000000000000*ep+
         285645198153857589554054817789/5*ep*z4+42685357019116409121545\
         855855923161/68000*ep*z3+3337263352716716871934296001876483755\
         98007582748913947919602741954233240649337740677882813051803713\
         0022851271406261354208672656574229/501388509032080206564543903\
         66328758299283776234397012838773437255461325682769920000000000\
         00000000000000*ep^2+18470345358750653422722359168217/5*ep^2*z5
         +128056071057349227364637567567769483/136000*ep^2*z4-
         153042101379840258645294320731011942139000571/93761680320000*
         ep^2*z3-188366482522904223663478380425387115272553739409871212\
         88444445584974893785132909537973178364392804405667955288898406\
         48250815892453078971202727404981221882481443759956347744273216\
         483/7099568312961091533991050082263393224749882361701056615860\
         97760479390750587753802879229607607243919704584609610155950080\
         00000000000000000000000000000*ep^3+
         18279915226648081696352989289691/2*ep^3*z6+3902746562519100412\
         9061161487535912999/5236000*ep^3*z5-15304210137984025864529432\
         0731011942139000571/62507786880000*ep^3*z4-4874471831743622483\
         10134385285290250863673272775367/559667220297292800000*ep^3*z3
         +6664320947208398461809209338743/5*ep^3*z3^2;
Fill mncnoptab(12,7,7,5)=
      +mncF321*(-1560462456045417472457910000-
         12617341284072937195872188100*ep-36911030225393021987467651356
         *ep^2-445638218367196171849272113210097/7700*ep^3)
      +22908370146280763023028768479991848841279230685871308759/
      2983614158632770900357120000-14197292144218346764459131/136*ep^-3
         -141865776550966803040722634036029/122998400*ep^-2-26467608545\
         1868997300114159301973253804179/66869330217338880*ep^-1+
         349131710585790952480481469831/17*z3-
         79031571679364100400058474559080363910624830809999093468881116\
         96868800092950298310116524943320023808308665505661024285451976\
         9020097/107898124982466882112272753450783483387156655384636869\
         6288657597841302495859782451200000000000000000000*ep+
         1047395131757372857441444409493/34*ep*z4+229349102840173036409\
         989137578526160791/676491200*ep*z3+
         24011594145090656740053453976778801150499216133934356000262793\
         54502398863684863829774324864849181590472599253009117461471515\
         57583922596268743/70740153903547796797847287219996479842267067\
         59322002885873484889951013240998197098855792640000000000000000\
         00000*ep^2+67724808159639851112865646680929/34*ep^2*z5+
         688047308520519109229967412735578482373/1352982400*ep^2*z4-
         728218191305444879513295673955386079377424163517/
         835866627716736000*ep^2*z3+
         58917708748076227244690254419537743896402104871590807432640296\
         23908756883497918357791812685345699779067367400905732996529095\
         394553419892243779960607030153167910818667660884629463341/
         31941614102629115282071733492799685927607470734418925241000340\
         51920856913770409109505180656101323837466192968978156423741440\
         00000000000000000000000000*ep^3+335132723692341346039523418706\
         335/68*ep^3*z6+250408030432241249837116096381744005927/
         61499200*ep^3*z5-728218191305444879513295673955386079377424163\
         517/557244418477824000*ep^3*z4-2452989438547112110906396927836\
         68134254901615220140408297/497269026438795150059520000*ep^3*z3
         +24435627837951825459721510500591/34*ep^3*z3^2;
Fill mncnoptab(12,8,1,10)=
      +mncF321*(-9114224473569744049950000-518887682391284380209321000/
         7*ep-21467396690652486314251590105/98*ep^2-1890897307319307427\
         36263833343163/543312*ep^3)
      +6091212926905642041026479709116508266245346448349964312171/
      135834299773213306010934988800000-2893622072396801265/392*ep^-3-
         6928723742292206956561554217/3008396160*ep^-2-6655241116095486\
         828360443241542963728813/241614624035296512000*ep^-1+
         5876980957179144633139339605/49*z3-
         11409930994048544726277576369162547766230675787589802715642538\
         66708636444823471086947559719644352889438453073951746587283141\
         337903207/2585425005552068795560279016381691943612351951575424\
         237937940212462160983992480387458662400000000000000000*ep+
         17630942871537433899418018815/98*ep*z4+20908279597332381695928\
         037810861357631/10529386560*ep*z3+
         84710578767143971020769190936060497149258553676896671088050529\
         56345590891570170272485699731711560757511037318563342749849256\
         03853668292334054361/41528871695403141266806985071106544323257\
         75903154849385905793339983471474310526858009428008475033600000\
         00000000000000*ep^2+1140134303586264289769306373195/98*ep^2*z5
         +20908279597332381695928037810861357631/7019591040*ep^2*z4-
         4224407949056557782540786236289715907114775204661/
         845651184123537792000*ep^2*z3+
         18747283613485237480477653647158988596284645537522565654834244\
         66639517170674623788711883298478312423767874932921353031788740\
         1667129845128473379553464890004582509760958333800987740328639/
         11059684875646745417116005220261421207153051495945083705816820\
         89135684497889610343632623557753296975928345474843643909063980\
         519260160000000000000000000000000*ep^3+
         5641901708359530002515138469925/196*ep^3*z6+284670875874324538\
         12716043778717789773/1169931840*ep^3*z5-4224407949056557782540\
         786236289715907114775204661/563767456082358528000*ep^3*z4-
         212498207954945496296118854402904169013928882182602305701039/
         67917149886606653005467494400000*ep^3*z3+
         411388665831242169200616106725/98*ep^3*z3^2;
Fill mncnoptab(12,8,2,9)=
      +mncF321*(-109370693682836928599400000-
         6203475518420904522740370000/7*ep-
         127499757664185122379765616170/49*ep^2-15466443265959973142224\
         1453542761/37730*ep^3)
      +156123089796133841938866294601854045151676384616991337/
      290132640807410196956160000-7439702671305484255455/49*ep^-3-
         943556161522022790530210204149/501399360*ep^-2-135154949763761\
         7869179516868938074019049/167787933357844800*ep^-1+
         70523934996438700753202353140/49*z3-
         61494182073674192621392206235507306447440686788534756617853479\
         71849720320205975802325399229207973544752353335263329925849444\
         0984421/115737783270274646233924897053292300052033239396356535\
         69928843028087220343957052456960000000000000000000*ep+
         105785902494658051129803529710/49*ep*z4+4174016917795894699211\
         1805902748266257/1754897760*ep*z3+
         91601519975651105044386348708246528025730409310163191483148780\
         48662538624181176121145888879077248082599897310148076448508086\
         260094384994916299/3718119490157312138384783517322587192121331\
         23857555558130728665315827477947230302468381134028800000000000\
         000000000*ep^2+6840807560918545001153008949280/49*ep^2*z5+
         41740169177958946992111805902748266257/1169931840*ep^2*z4-
         356245764368493376488341813623736426956995693941/
         5872577667524568000*ep^2*z3+
         63006456254984074433288656837570024625784816568912913896799771\
         57380341569614294591413130558797575768466484755732018298052693\
         518106564132461372337576790856107627801425241201191447089/
         39607365394125985614837599952333693861730370100046024507547265\
         62337418623194156138365415422613896524727320472291388651157533\
         4912000000000000000000000000*ep^3+
         16925709064805265750999516490350/49*ep^3*z6+168330521334776053\
         934529110699082007133/584965920*ep^3*z5-3562457643684933764883\
         41813623736426956995693941/3915051778349712000*ep^3*z4-
         7476092908165932106702379479557847286491472818027764427559/
         209620832983353867300825600000*ep^3*z3+
         2468330196915691070319495474960/49*ep^3*z3^2;
Fill mncnoptab(12,8,3,8)=
      +mncF321*(-504787816997708901228000000-
         28565984936357600738348628000/7*ep-
         584789040183956966287599105540/49*ep^2-70569366530887387112984\
         4748162851/37730*ep^3)
      +86767486578764104118440378829546773542107992677803740621/
      34936805497225644550137600000-201443447600530862227020/49*ep^-3-
         8098768035252206397895131769/170544*ep^-2-49944251633639206825\
         767353033688415772561/279646555596408000*ep^-1+
         325498761120642206167601135280/49*z3-
         24423067404857798048332007981804307922216941586825998357516600\
         94858377057270672870936613700532212136809236493170452562876761\
         593987/9958861923660542385185298997975053134940578674019970701\
         8345322165851027325897932800000000000000000000*ep+
         488248141680963309251401702920/49*ep*z4+3207208992081393671234\
         108324709084725/29248296*ep*z3+
         66317644879015619418879846474952460282460894436947039934129049\
         64725888307841386018565448619724318000520550603121178285222215\
         364070548432603/5816948304392250693297077677788337201596369100\
         40179994492905324094513149402900236796428288000000000000000000\
         00*ep^2+31572997077630743916767507432160/49*ep^2*z5+3207208992\
         081393671234108324709084725/19498864*ep^2*z4-27601142195202294\
         6170499731737944757598704189073/978762944587428000*ep^2*z3-
         29323517845026214342692743865425640764698462534588436700475914\
         99790787891626659471991965824416798181975399254879184318365318\
         75875575036695083533450276182328038499209786819761635521/
         85202142285495557451061543822286887882737834500071690066907429\
         19145315684455304739299510066948326904563933762919221379989504\
         000000000000000000000000000*ep^3+
         78118745791275254276499765742200/49*ep^3*z6+128322476846037736\
         95902383387967382449/9749432*ep^3*z5-2760114219520229461704997\
         31737944757598704189073/652508629724952000*ep^3*z4-
         2781716114110239450108716327969109277425780435726989357951/
         17468402748612822275068800000*ep^3*z3+
         11392252773340840034922523179360/49*ep^3*z3^2;
Fill mncnoptab(12,8,4,7)=
      +mncF321*(-1177838239661320769532000000-
         9513618843364133040174060000*ep-194461334290114650782328403800/
         7*ep^2-23419871477586460303769750965827/539*ep^3)
      +9255313575730813356191058016676930231509790913281449/
      1597111108444600893720576-200297338980361367838600/7*ep^-3-
         1150111909310335623321658191799/3581424*ep^-2-2730698050475380\
         997989008320753836883299/2396970476540640*ep^-1+
         108502516271951069868890331600/7*z3-
         13369063674327374239802658766928166314415919498377460874654486\
         362973931080728757491710133386488825394346483972808851032318133
       /232648901184415003017896833136518210710094253990524096906876827\
         217077416755200000000000000000000*ep+
         162753774407926604803335497400/7*ep*z4+18858148930096016997144\
         8763210147295/737352*ep*z3+15400833292880069086026771818243269\
         60862820272526429100679618811716380479183452651172636592705722\
         04851760239209922779043966807378729397/
         57491790721008969926017402192619390142919013641759355353602395\
         9486975046455302029312000000000000000000000*ep^2+
         10524363515794255830157963825200/7*ep^2*z5+1885814893009601699\
         71448763210147295/491568*ep^2*z4-13838176278036772613271945723\
         007121883329795803/20973491669730600*ep^2*z3+
         19766841199948750361316955324526048851827115852206597077399955\
         59623703342192947886547588650404875875700771298201884788159921\
         7050841811275549069999656729483810728127098220987887/
         58541371414977775073670638462999820726874427312182902052927921\
         98710057982296836824908198215377034676895437957407703040000000\
         000000000000000000000*ep^3+26039652498805761900722683734000/7*
         ep^3*z6+12787779162027783216597997572501149915/4178328*ep^3*z5
         -13838176278036772613271945723007121883329795803/
         13982327779820400*ep^3*z4-366051607399431123571541352191533544\
         98185409381233387871/99819444277787555857536000*ep^3*z3+
         3797385370026678163391605942800/7*ep^3*z3^2;
Fill mncnoptab(12,8,5,6)=
      +mncF321*(-1531189711559717000391600000-
         12374252339875350973587396000*ep-
         253168622312884197090734102670/7*ep^2-610564995164810061735446\
         547733923/10780*ep^3)
      +231391234108465730283995504436820842372250804890312641/
      30713675162396171033088000-511685921297068244952420/7*ep^-3-
         4146007346662066510548715725037/5116320*ep^-2-1032945306519859\
         9106548133692828291029329/3687646886985600*ep^-1+
         141058799811876126764361165960/7*z3-
         32376398925490113200398135870271327938650875801517808288987320\
         83664131997573281047940579154907503372994654177275857151578827\
         867/4302842111264959432653165414741248035825729118484355137384\
         0946409460643921920000000000000000000000*ep+
         211588199717814190146541748940/7*ep*z4+41688393496138413917995\
         742047572220667/125349840*ep*z3+
         13005627494605918551509077295892426444788309754475994576075013\
         93673067923127167347675451716666223603118612662420126038039991\
         5461391744475343/373222104271083309846707891249801240962714574\
         59058319289708425230314770555442765706035200000000000000000000\
         000*ep^2+13681731375091360582724294671320/7*ep^2*z5+4168839349\
         6138413917995742047572220667/83566560*ep^2*z4-4805151380520072\
         02877031000375009474051495867/561163656715200*ep^2*z3+
         15653628854964101255800591375697652431503920188526933060705911\
         57993725017178230411897817205280844000601063482544504981800722\
         4594434543461704275302813192681887930254955988123740271/
         52312608621818569197828790079835529024472817402007785590554571\
         82479721320120291179110112898158639408349570807653780684800000\
         000000000000000000000000*ep^3+33851681438198711139899833763400/
         7*ep^3*z6+166594199993215736758586410283073847463/41783280*
         ep^3*z5-480515138052007202877031000375009474051495867/
         374109104476800*ep^3*z4-29162397668071783348407614903616455829\
         655885486945463/60698962771533934848000*ep^3*z3+
         4936540165217216233436751662280/7*ep^3*z3^2;
Fill mncnoptab(12,8,6,5)=
      +mncF321*(-1148392283669787750293700000-
         9299025336955052949604497000*ep-190906973434402657919263637640/
         7*ep^2-115627226693077794851595139652289/2695*ep^3)
      +694184604685371290574350250982995982491712795994963111/
      122854700649584684132352000-2150760066636940187124735/28*ep^-3-
         20308336934836707314375756051867/23876160*ep^-2-57684646886781\
         06356062177720625143976201/1966745006392320*ep^-1+
         105797486158424916478587351270/7*z3-
         86678230537774083884709353533630075151364601704069463459208043\
         41684778074334763777224733939185081161241911826942886298692519\
         5047/160007105757489197398328354103979461276060289744889080023\
         0337515335594408096563200000000000000000000*ep+
         158696229237637374717881026905/7*ep*z4+20864807175443928761397\
         103350022826461/83566560*ep*z3+
         10727424578790791817937976817054518715734004778836342691968620\
         26980277171090883258798503724690702670658106966988245751399030\
         2504648170554245161/428185990392651075911675638525743398574663\
         60325543182173904799716232897794042028321897709568000000000000\
         000000000*ep^2+10261334549461200094872732571965/7*ep^2*z5+
         20864807175443928761397103350022826461/55711040*ep^2*z4-
         21966437629421013036176567754625641403106456317/
         34418037611865600*ep^2*z3+
         68310468144687135043455761115825285942718757730994778224646520\
         76793692654460300065111631330064407326913845583393681309132397\
         165070398780895242638459900284849407835946601561788532163/
         23271747417629783991223691544754056890114014392219502675585962\
         37828052894318440922639488763730964510153940591684085394440192\
         000000000000000000000000000*ep^3+
         50777685316513875891970726103475/14*ep^3*z6+839506532765182270\
         08462396325355106229/27855520*ep^3*z5-219664376294210130361765\
         67754625641403106456317/22945358407910400*ep^3*z4-
         22777162651116703284748394630634622506192119693327492587/
         61427350324792342066176000*ep^3*z3+
         3702367875123394376706400985235/7*ep^3*z3^2;
Fill mncnoptab(12,8,7,4)=
      +mncF321*(-495384906681084911891400000-
         4025372286306382791452244000*ep-83141954610986105985515787630/
         7*ep^2-203040393859334906550075751217997/10780*ep^3)
      +1527123766881506702741933534582308401855791653478845351/
      626558973312881889074995200-7920865855215082698885645/238*ep^-3-
         20601125095016675228750018038517/55349280*ep^-2-32866944595877\
         2505274763158418908515287649/250759988315020800*ep^-1+
         775848614664830797550234557380/119*z3-
         59221624610650691042091415185952300927306971540085452718135927\
         18276383255759156306079560347277096495459808227963438484522922\
         79151439/24301355199176103523736630895952710045872357709004838\
         962161290747380735463001950257152000000000000000000*ep+
         1163772921997246196325351836070/119*ep*z4+22990650283126363285\
         0768985367453821081/2130947280*ep*z3+
         45053527847142539887572740980138090934448050652704804065167044\
         15218461155620790800900606764455498362347603159160454434988907\
         56096466267025955029/39034505349170053707798130397103082572562\
         77073177330344928596304131081545149356406894999948492800000000\
         000000000000*ep^2+75249790765727905737338349871710/119*ep^2*z5
         +229906502831263632850768985367453821081/1420631520*ep^2*z4-
         238961941641503736545315347481266133531023397369/
         877659959102572800*ep^2*z3+
         39754421847665081139281800979559458876783476832538183766778407\
         72150009262978006208334072479931476567024543976011354124085867\
         9460645474809973568229634127146101144239558475148462756733423/
         10395402302402408397189655924198344385100592301450481022049215\
         94701899372693693865989599732675757855568852185028062130376204\
         6156800000000000000000000000000*ep^3+1861848553776576873494702\
         88285825/119*ep^3*z6+85107019739936939457726444393244750819/
         64574160*ep^3*z5-238961941641503736545315347481266133531023397\
         369/585106639401715200*ep^3*z4-2104079624345003435400842375602\
         092936677197172089361267/12531179466257637781499904*ep^3*z3+
         27150693534627402704530296873090/119*ep^3*z3^2;
Fill mncnoptab(12,8,8,3)=
      +mncF321*(-117948787305020217117000000-
         6743434571438370085280286000/7*ep-
         140518860955619116751052511980/49*ep^2-52073888657011814138994\
         9144214061/113190*ep^3)
      +954359774895533043918274936915271930073914971785446499133/
      1644717304946314958821862400000-8883235298498230319545285/1666*
         ep^-3-14229864904249110920519737326071/232466976*ep^-2-
         1995550666759485384289560501324022540119457/
         8776599591025728000*ep^-1+1293033522583354461878454152420/833*
         z3-50281784517658709663716142472382725940203246577628426127416\
         90946326374262059451387296015870398486707826576049102462426147\
         8935604168880927/851397979403134786954112863439703196457138052\
         33498453303932082133448406694627332725932032000000000000000000\
         00*ep+1939550283875031692817681228630/833*ep*z4+23048125488519\
         4158314833152478719908099/8949978576*ep*z3+
         72946397249787250894820328595538762284794220619953836880305864\
         15645791120107894359298054346881616286335823986877268545911155\
         403102198661743962003249/2735147789816345663305414996925012995\
         85947334517535537269146743030464883868615403431132646390890496\
         000000000000000000000*ep^2+125415812701561891029055461240990/
         833*ep^2*z5+230481254885194158314833152478719908099/5966652384
         *ep^2*z4-1958556971223922565230389289924505959833285464161/
         30718098568590048000*ep^2*z3-
         26020503282266161270986677857541017528812834089366995648777654\
         94814630592958568045609615901496971903260455012539222334691119\
         77747301684781231725597998322420701796357533867278499852438024\
         4749/495315970743948994345933849613833033923518981742591939546\
         19222175718220550360047849126052222641439999002441371343093163\
         3132470460743680000000000000000000000000*ep^3+3103069479474463\
         41417942517721425/833*ep^3*z6+86810565757009558535190756489833\
         165809/271211472*ep^3*z5-1958556971223922565230389289924505959\
         833285464161/20478732379060032000*ep^3*z4-35146792096978538266\
         535797717808268997796748617486069093033/
         822358652473157479410931200000*ep^3*z3+
         45251678424062414988593591306690/833*ep^3*z3^2;
Fill mncnoptab(12,9,1,9)=
      +mncF321*(-4856922252362824131881250-277930193684522885977024125/
         7*ep-92803614104976968389761215235/784*ep^2-459432017656423658\
         525517738198829/2414720*ep^3)
      +961766124347794841834069169834181771196238081038768474299/
      40247199932803942521758515200000+10564463370018531285/3136*ep^-3-
         174256389108769510079124617/52433920*ep^-2-2916671449851601747\
         639648527820090373117/71589518232680448000*ep^-1+
         25054497661998229443903169935/392*z3-
         27211114979681341355606840493906322043718552006283066075761605\
         34800193893841609844179248380119285155080332498610664737485162\
         08801998687/11618453111369790636838784715591800833023408770042\
         64719270876836217563701448472667944386560000000000000000000*ep
         +75163492985994688331709509805/784*ep*z4+330962216504262514038\
         0036832471617727/3119818240*ep*z3+
         36548642042269380248262484324318805978316083025013143920953609\
         33767972527560092095929756885225856381118784851926960058780902\
         408056425076848338483/3393155846717563057489953437908593071529\
         92688832405202350102979967224156374642374032644622914682880000\
         0000000000000000*ep^2+4860572555496557972013590311065/784*ep^2
         *z5+9928866495127875421140110497414853181/6239636480*ep^2*z4-
         131196756276204004868151410493415461086188367809/
         50112662762876313600*ep^2*z3+
         51669419506327933730917592311480141119781146815637552433698336\
         04911197681428103944160424972777536039703420884868598035529868\
         6206922222651314086656714168472845944033481673804235310723309/
         43217662852768817303598775095814893391344184052861089306680867\
         46595696803347484327238593397983898005774747749254818925381523\
         446169600000000000000000000000000*ep^3+
         24052317800862807565628919855975/1568*ep^3*z6+4125975895046839\
         1779436412035641396949/3119818240*ep^3*z5-13119675627620400486\
         8151410493415461086188367809/33408441841917542400*ep^3*z4-
         7164645136278174885864949291171446510221560515766629700147/
         4024719993280394252175851520000*ep^3*z3+
         1753814841443154109170454100535/784*ep^3*z3^2;
Fill mncnoptab(12,9,2,8)=
      +mncF321*(-51807170691870124073400000-
         2954701390396824998517159000/7*ep-
         61309126237820917497820704315/49*ep^2-301238248279690800458018\
         441214021/150920*ep^3)
      +35620046202270887773001892076417075039039141828097560157/
      139747221988902578200550400000-8573068939570824756015/49*ep^-3-
         120373568170614344002711136431/55711040*ep^-2-1141995693195546\
         742446617028627843446203/124287358042848000*ep^-1+
         33406185586545300940368204780/49*z3-
         58149535836562075715424108467424801439218966526598933654408807\
         36315977800326395926411739946278014944517575976772707351709023\
         7974457/232078367495081972916984819612070497500170818581235761\
         68867732113612394960538881228800000000000000000000*ep+
         50109278379817951410552307170/49*ep*z4+22027995518407779474867\
         29131117209923/194988640*ep*z3+
         51720466439069273196563407120155949712490021405185369107955972\
         80458373786570361110103172694246974642530702464941945123400890\
         807875471720913997/4473362511595516166494192669278737715520976\
         64641121530876032925458104934405261457657271051878400000000000\
         000000000*ep^2+3240383710577930643433093812360/49*ep^2*z5+
         6608398655522333842460187393351629769/389977280*ep^2*z4-
         98250284859191683644619013670768985240504667/3480046025199744*
         ep^2*z3+456290140536932684452898648666551855453476370635989949\
         20336697255500865523910677855422980503237594608268352437683914\
         86373939325760967487625792904412182487753524406628052563559306\
         611/2090026819728413440475942431695240150324313663448152334896\
         61420847026613203090750174161860979488783171603396632700744338\
         76787200000000000000000000000000*ep^3+
         8017443812478463356231814018950/49*ep^3*z6+2715504165396297425\
         1122461900598846901/194988640*ep^3*z5-982502848591916836446190\
         13670768985240504667/2320030683466496*ep^3*z4-2543532661279679\
         79394968431162116769001243987651007593779/
         13974722198890257820055040000*ep^3*z3+
         1169207818091731669308882706440/49*ep^3*z3^2;
Fill mncnoptab(12,9,3,7)=
      +mncF321*(-209221266255629347219500000-
         1701327706108187575831627500*ep-70367664255705510408116862525/
         14*ep^2-68845799687837219401939477274043/8624*ep^3)
      +8219874951041180013495917258252240350961359836887810447/
      7985555542223004468602880000-49626871198294062122775/14*ep^-3-
         978756836562193602591376521/23936*ep^-2-4668378699836058505501\
         53856493419610797/3043772033702400*ep^-1+
         19273236432681945255617164050/7*z3-
         24580600593744106944770571863985027942722794959605790279192466\
         67015834992449706040165645824212949938376072186319774466977701\
         732837/2421968120890233947417513191684409180776365221742952058\
         43935052206066273938833408000000000000000000000*ep+
         28909854649022917883425746075/7*ep*z4+507861247190803544180774\
         480570912865/11142208*ep*z3+1095455446825031064269082596244935\
         13674080372492396780731216166446155711251030323490797787429006\
         4786861530285483390888390368615472836013606741/
         23341988986757679440194650987655751066609919885030692125952552\
         928588499592111277359203614720000000000000000000000*ep^2+
         1869456789503581773258108867600/7*ep^2*z5+15235837415724106325\
         42323441712738595/22284416*ep^2*z4-855576850933194385992143016\
         1109910337983890383/74572414825708800*ep^2*z3+
         32294645699929539916653339000856289176654627114427599702470251\
         79754207047532652849015381469847258552790616764790359169372726\
         0470773435445145270889525464453007853827994045616276228101/
         20720929161268477407315987698277253345631820295085462040081228\
         52785340379042701662788826427846276781211977088601103158738944\
         0000000000000000000000000000*ep^3+
         4625458882677249570006229258875/7*ep^3*z6+62195874087819221646\
         94079060845184055/11142208*ep^3*z5-855576850933194385992143016\
         1109910337983890383/49714943217139200*ep^3*z4-2860591682312025\
         61773340499329674256878802578733691053189/
         3992777771111502234301440000*ep^3*z3+
         674538164583684624844522972200/7*ep^3*z3^2;
Fill mncnoptab(12,9,4,6)=
      +mncF321*(-418442532511258694439000000-
         3400694123275859630902110000*ep-70257141515943170359197982875/
         7*ep^2-68648189817415919877818198220699/4312*ep^3)
      +118146682416584546177759535802714001877359202059807/
      57388110256722992947200-123354071340990879805650/7*ep^-3-
         315297481611308988839548811439/1591744*ep^-2-21772950574136595\
         986612803621403012029/30878846718720*ep^-1+
         38548094910360575115510476100/7*z3-
         10739118873538311065282584819868455109619531023584149563592310\
         06444413142979708393428416341829794204746576098234798992091175\
         3547/530372060236354782242248867425714703546345306561006383238\
         430795960090980515840000000000000000000000*ep+
         57822142365540862673265714150/7*ep*z4+461574285779269707326838\
         94504066221/506464*ep*z3+1591863746753739172795205620668745139\
         64506281514053356218026445383157857599308809957821833295537073\
         8634869116294929510268729224845593521529/
         17038400412375542406045360252708317522210882753048363153997324\
         561665438731832566952755200000000000000000000000*ep^2+
         3738930831498151817597766422700/7*ep^2*z5+13847228573378091219\
         8051683512198663/1012928*ep^2*z4-28570982034216342789680637027\
         56590724656816427/12428735804284800*ep^2*z3+
         40103576543323726982158233072171050013996275585812288682871200\
         72087051233574000572037736436744779110451468283464125863845677\
         48080890221884713864024389061359543186046859539520433873/
         20872730840105609109933687241854376080764654143401106450631274\
         15809408806727996180464935046365297123931478752253858493235200\
         00000000000000000000000000*ep^3+
         9250956841469478106205639866500/7*ep^3*z6+62057916325431595174\
         99865754712815297/5571104*ep^3*z5-2857098203421634278968063702\
         756590724656816427/8285823869523200*ep^3*z4-567689467250753850\
         27064425980481565496734591021917152167/
         399277777111150223430144000*ep^3*z3+
         1349058486299657394711431931300/7*ep^3*z3^2;
Fill mncnoptab(12,9,5,5)=
      +mncF321*(-453312743553863585642250000-
         3686998035053894746255785000*ep-305105856233930484858576655425/
         28*ep^2-298657844974285663148343793514133/17248*ep^3)
      +109603743814937184466314315321464457467989715067086471/
      49141880259833873652940800-210335568586276062307950/7*ep^-3-
         112299098229637431564043451119/335104*ep^-2-256435995643143306\
         839063336941719885541/218527222932480*ep^-1+
         41762123544524325623089422975/7*z3-
         41190512571589864385162620873723055621809043280386480115866032\
         35446606945072878856267429350764936943626503108349342741273495\
         199087/1904084558514121449040107413837355589185117447964180052\
         27410164324935734563491020800000000000000000000*ep+
         125286370633572976869268268925/14*ep*z4+2201084013175177142461\
         423608613983653/22284416*ep*z3+
         42797530057951126195093645189272930269517974550786714189264228\
         94615283662048317751592074385759437064872999760603738084452077\
         740238314348621839/4281859903926510759116756385257433985746636\
         03255431821739047997162328977940420283218977095680000000000000\
         00000000*ep^2+4050526348690404394004490430575/7*ep^2*z5+
         6603252039525531427384270825841950959/44568832*ep^2*z4-
         189982774909914456637228408812019676659437553/764845280263680*
         ep^2*z3-497753321642988256534861406671948839317947674532947471\
         93772245634715550272307187423821247171942523800582818675722721\
         43423360731618689755746286175563340201595865503304209940978848\
         901/3258044638468169758771316816265567964615962014910730374582\
         03473295927405204581729169528426922335031421551682835771955221\
         6268800000000000000000000000000*ep^3+
         10021910562864700170953502519000/7*ep^3*z6+2697524602639480591\
         0748715359284201851/22284416*ep^3*z5-1899827749099144566372284\
         08812019676659437553/509896853509120*ep^3*z4-38248190311470967\
         67989631613641804883117730162024724797/
         24570940129916936826470400*ep^3*z3+
         1461461465934057325282995062925/7*ep^3*z3^2;
Fill mncnoptab(12,9,6,4)=
      +mncF321*(-271987646132318151385350000-
         2217053807754201219681306000*ep-92080713232052557317201873015/
         14*ep^2-452922720699203655239181170928717/43120*ep^3)
      +328799711999104468689030169121676771394886041038942487/
      245709401299169368264704000-1063988883257651666225235/56*ep^-3-
         3393494257878095370653674008729/15917440*ep^-2-495683835399634\
         2202935913760011462745087/6555816687974400*ep^-1+
         25057423703789144185906855935/7*z3-
         12778473421860168749777111586688210913710722248281805533629398\
         91571003221799404798325981193336885436836830731492224452405564\
         62494077/95299432153631778524457376062559647238715128270607211\
         61631878724463033514902725591040000000000000000000*ep+
         75172271111367432557720567805/14*ep*z4+33052002068809797878707\
         04926829193687/55711040*ep*z3+
         27504201326523713589163374775790247910103978630821305620744441\
         00563897639972144701883855544986050876275125887398377935484299\
         977865039251122181/4373614044724935989669258307798664714012635\
         37610905360776313311387236027467715003573669462016000000000000\
         00000000*ep^2+4860634800070609826653408465665/14*ep^2*z5+
         9915600620642939363612114780487581061/111422080*ep^2*z4-
         679095241624829856690825457657799455911211147/4589071681582080
         *ep^2*z3+14337526350072447718087726283748599009192021363224904\
         35112319668455434435330343658303788931901031667971869239003311\
         26409294600082447083431613130720496139631990772994552555316701\
         13579/42911877409297867480659054382655704376060236538495277696\
         79758904858201744865609353930236254595491663854910980507996410\
         2216908800000000000000000000000000*ep^3+
         24052599763315157691407973768975/28*ep^3*z6+240048716124326895\
         4160104735506198237/3277120*ep^3*z5-67909524162482985669082545\
         7657799455911211147/3059381121054720*ep^3*z4-11808572054133896\
         728628835659175633413406435099620050379/
         122854700649584684132352000*ep^3*z3+
         1753750467830813850619286171535/14*ep^3*z3^2;
Fill mncnoptab(12,9,7,3)=
      +mncF321*(-87996003160455872507025000-719916966531730313818758000
         *ep-60179008559012565173302879125/28*ep^2-29846279772491093242\
         5895288297839/86240*ep^3)
      +90412168613180941535214957630979408942940716713528032821/
      208852991104293963024998400000-7876871484544046974406625/1904*
         ep^-3-2339189522123671601974199551929/49199360*ep^-2-657578634\
         07867756068635039774953390234403/371496278985216000*ep^-1+
         275621135893705136325364224885/238*z3-
         84282732117408449926974904930167734825105536876572771595750040\
         01399442893687390159049531381168355605972817812818377783001225\
         5127239309731/194605252435002237018082940214789302047345840533\
         71075040898761630502492958771961765927321600000000000000000000
         *ep+826863407681115408976092674655/476*ep*z4+36421986490847027\
         110928477621959282797/1894175360*ep*z3+
         49109189160641364964511016294834008430682169288401398724632859\
         05464140714577653134397472330617808171086390150171840018006766\
         40807989782484191537909/25007065506892303207363794257600118819\
         28661344160324912175055936278536081084483688513212767002427392\
         0000000000000000000*ep^2+53466758912780426288098449093915/476*
         ep^2*z5+109265959472541081332785432865877848391/3788350720*
         ep^2*z4-12301509846813322422179772376221945390481635263/
         260047395289651200*ep^2*z3-
         94114815534653269106701968282308393889004368203322868247989969\
         72461747697267967183338319924683507270242689638530494485432493\
         56185526859562547597768609792262938550984253772446197586569540\
         81/16649276327527697288938952928196068367177108630003090404914\
         02426074562035306220095768942931853493781479073659540944308010\
         529312473088000000000000000000000000000*ep^3+26457758320496508\
         0077238603220725/952*ep^3*z6+413865721397435130820186246085944\
         98429/172197760*ep^3*z5-12301509846813322422179772376221945390\
         481635263/173364930193100800*ep^3*z4-6800462591360559937548190\
         02634629495780440813937214820317/20885299110429396302499840000
         *ep^3*z3+19291486702087842856865350433685/476*ep^3*z3^2;
Fill mncnoptab(12,9,8,2)=
      +mncF321*(-13967619549278709921750000-804125359944143567194293000/
         7*ep-33912837059124777922259402805/98*ep^2-1701789463789964315\
         80208073507363/301840*ep^3)
      +652961568722376275346542540898779008370829022951868635997/
      9502811095245375317637427200000-1486495252079085586663845/6664*
         ep^-3-282900600871840562434069155155/103318656*ep^-2-922049303\
         01626275881358280496795046994161/8006722433918208000*ep^-1+
         153114907530010366177729292385/833*z3-
         14068936845097672738935724249357523986365489891183176512628847\
         64339458649415660924117252554793123906380829599430313438342308\
         38138462138248089/21914983989836689416198865104937960276806733\
         46710250188043211794114961988319707544365490503680000000000000\
         00000000*ep+459344722590031098533187877155/1666*ep*z4+12171780\
         322594874050869741886163993975/3977768256*ep*z3+
         20397386588955156784886047429204009413759594074923337158139759\
         57722650300941492050068143808706607303523799915594003462807925\
         5588835384799158781894622919/704027041098727373734813820208498\
         34513422843904813647293078371656041661107781604843173543181015\
         21367040000000000000000000000*ep^2+
         29703585920235663303219615961815/1666*ep^2*z5+1217178032259487\
         4050869741886163993975/2651845504*ep^2*z4-39283033817549552007\
         29690702070419567997153620827/532447041855560832000*ep^2*z3+
         87573159201512592161543317109620127156787344541526744419333452\
         19487800926664088206791051845049084116352734962851907923834454\
         82934068926951234296533436623134214365485228728239146519169356\
         91697727/28518468747123315913933386041318560392664925793542550\
         11929247268375102493214019702344812885734663330889932670430567\
         19821086982137121341440000000000000000000000000000*ep^3+
         146986780525878212854320786885225/3332*ep^3*z6+469107779852291\
         0400232839448299356989/120538432*ep^3*z5-392830338175495520072\
         9690702070419567997153620827/354964694570373888000*ep^3*z4-
         26128072018002034068020093398611787393081576692367967857657/
         4751405547622687658818713600000*ep^3*z3+
         10717667410596983522023903653465/1666*ep^3*z3^2;
Fill mncnoptab(12,9,9,1)=
      +mncF321*(-827030104891502561156250-47948474303916165542759625/7*
         ep-16371466678259753008986207495/784*ep^2-
         83435195522385487975416649247977/2414720*ep^3)
      +4068807559521623209495401771163988715088260999409669796321/
      999988121407359494963692339200000-4607914537640445382845/1012928*
         ep^-3-25094161425208591747474169753/5234811904*ep^-2-101914233\
         523975934991010726423638505558343/1778724183781214208000*ep^-1
         +1377997379276380252801624793385/126616*z3-
         48898483646634484732853477557412407209346724340473966504557110\
         29571127547881380611893203689763892996681983858386959951500082\
         488375507121223/1239962755110085071716208173471812537944271029\
         36521236170624873898591247860571540983778377728000000000000000\
         000000*ep+4133992137829140758404874380155/253232*ep*z4+
         1928519314119838008079050149237738071/10607382016*ep*z3+
         99860880533263246604034981943322311268276046708310016722054721\
         24649932107031104149453930014575839815588970110387377665721510\
         01039711837214776176330627/55767972905692194590014260918556559\
         87550141891818620399279706582783241785126607007548178333026773\
         630976000000000000000000000*ep^2+26733149076622308606215208164\
         2815/253232*ep^2*z5+5785557942359514024237150447713214213/
         21214764032*ep^2*z4-115410743336922428446691931655845513752416\
         942393/270675419271054336000*ep^2*z3-
         15811396623347720448283774534925001974588563017808027958965225\
         34347923016526658329697453899419665330876094383526218186571777\
         19022052904117424437540294612169542887636216230067843874634239\
         84999/10972424431161006570168006396188779558324033798233543085\
         88088313860704781833089179771799769922518655480842150058454546\
         59026960582519763763200000000000000000000000000*ep^3+132287748\
         0038351627782744160280225/506464*ep^3*z6+433409074776250235010\
         97672961627026837/18321841664*ep^3*z5-115410743336922428446691\
         931655845513752416942393/180450279514036224000*ep^3*z4-
         7640169722543813584644715558202804342539502679680553357467/
         21738872204507815107906355200000*ep^3*z3+
         96459816208763073111790110823665/253232*ep^3*z3^2;
Fill mncnoptab(12,10,1,8)=
      +mncF321*(-1726905689729004135780000-99570774585236660486866800/7
         *ep-2105027829821394454409728308/49*ep^2-
         59612863940638573219100013823918/848925*ep^3)
      +73981174425272904490459332877112185488760760799062875673/
      8707326908539314487880448000000-1340094371829950997/196*ep^-3-
         1145012526037960356613948007/358142400*ep^-2-59075955232733397\
         6817751770404841388839/15488116925339520000*ep^-1+
         1113533241438975376795437246/49*z3-
         69232579422553183887978950351613999768162279001295521330893039\
         61107131603118313249691927418397532085757344550617652245507370\
         4627804009/836600955696930572742343522230189638229941802762317\
         689550669523637494370595602801518182400000000000000000000*ep+
         1670299862158463065193155869/49*ep*z4+332201306419507066963683\
         9117443276207/8774488800*ep*z3+
         10152438380049289370285461144246645182258790914245122530369549\
         73193673595376101668446558622340773353775321347707883803846934\
         7612174289316057796599/268761179881686371995919789136348202133\
         25038886415590894762413920774290059282395925385360307126272000\
         000000000000000000*ep^2+108012723571095228104262439227/49*ep^2
         *z5+3322013064195070669636839117443276207/5849659200*ep^2*z4-
         9838699136786987803236486050135733635451435299/
         10841681847737664000*ep^2*z3+
         27942893968953658308995711807458150688375776971966404817286578\
         06580896471994257498608548177561707329265403017396772312440406\
         48335061927360120058267524234135212106235227252595697867254172\
         6824071583/246930730318730591540741583762861671483202028931617\
         84649892587062276774861690003033476259536162273371804079106159\
         5285580148446996684380674457600000000000000000000000000*ep^3+
         534495951648281263637335009905/98*ep^3*z6+24977436572803171224\
         63034069210619477/516146400*ep^3*z5-98386991367869878032364860\
         50135733635451435299/7227787898491776000*ep^3*z4-6024881702947\
         58197306874551516347847245983866166236560089/
         870732690853931448788044800000*ep^3*z3+
         38973662984155928019461751333/49*ep^3*z3^2;
Fill mncnoptab(12,10,2,7)=
      +mncF321*(-16117786437470705267280000-132361072670050690716864900
         *ep-2783864399815148029818080994/7*ep^2-
         17401895322890838379099858789847/26950*ep^3)
      +71237237162593563474809355621842468048909667812482721999/
      898374998500088002717824000000-1715735048480026540473/14*ep^-3-
         77332762559249458792956540101/51163200*ep^-2-16146558181363213\
         278602193443603203649/2517826130820000*ep^-1+
         1484729846892800057243742828/7*z3-
         91915094584211697403482548878695071991665532342574118530702694\
         75287908653765118416794107669515875974681880967999116442353112\
         60918903/11868854776422591459319523395849447190394577769151336\
         56238203723335827775437253115904000000000000000000000*ep+
         2227094770339200085865614242/7*ep*z4+4422794112152138031955285\
         119332694301/1253498400*ep*z3+
         17569429672369063474345372944850508334411110810706317058532421\
         52291413175112939160941961962934827240520704857646191244912170\
         484458501414438068849/4956788071282927017522535110483637017749\
         94953718569262640665437715041083088279030361368360386560000000\
         000000000000000*ep^2+144017165363278079846613083886/7*ep^2*z5+
         4422794112152138031955285119332694301/835665600*ep^2*z4-
         1794707119199239192203793557744421456107040331/
         209734916697306000*ep^2*z3+
         86759254693415168770737761124926097012135674794554379349364098\
         94444503430263006373674083174829016027658258990329594977725936\
         02773099654990431299769605138073691061279375307634028005371667\
         9460169/921896155487230644935537525431385823083308577806315191\
         50021901097134350650993365526318936259613099594783587410382934\
         628802569711827025920000000000000000000000000000*ep^3+
         356331088790963199473423352645/7*ep^3*z6+186586668725187204971\
         58329270077272829/417832800*ep^3*z5-17947071191992391922037935\
         57744421456107040331/139823277798204000*ep^3*z4-56066215229130\
         5853615855055229526738470026611995258837417/
         89837499850008800271782400000*ep^3*z3+
         51964676577096989301611606994/7*ep^3*z3^2;
Fill mncnoptab(12,10,3,6)=
      +mncF321*(-55792337668167825925200000-457414179534508985655223500
         *ep-9593219279694627521627094360/7*ep^2-
         11948958109619685065814937469151/5390*ep^3)
      +16438950058671207502428103875592770633015626356046305439/
      59891666566672533514521600000-24792442380848834842995/14*ep^-3-
         23262748217237032847025158687/1136960*ep^-2-170908251449081900\
         089817250420661489009/2219417107908000*ep^-1+
         5139656868259473772719155220/7*z3-
         33254162593555780732679516816999814792717731499173152152114680\
         77213261745684816967863539761423130356197734883125980816849795\
         4083253/123693371888322662314537280861025183161078652396157908\
         69886683023381241847590420480000000000000000000000*ep+
         7709485302389210659078732830/7*ep*z4+3399461286760131429461962\
         29955460287/27855520*ep*z3+49046999640451113685121384509836733\
         87505499403718554585238637147481398273977782309875374980405698\
         844758991958901352050423484702397639119911331/
         39736957441742239999378989181366338125300220756659392547752560\
         3427161362103799126472156774400000000000000000000000*ep^2+
         498523162948834291675555726890/7*ep^2*z5+101983838602803942883\
         8588689866380861/55711040*ep^2*z4-2776391486276962305481872832\
         91790712629039643/9321551853213600*ep^2*z3-
         37597448117932928185700434917279160684663453434517198985209856\
         40687439473769462833986678181601602822026756735422999776273521\
         39797487216385809344837820222800188267948774371844465146439804\
         87893/79367989907824263790101766032147666555680064523133283246\
         73724676367604481946923090463216448865618085587254912954453037\
         38357861528371200000000000000000000000000000*ep^3+
         1233458765201437044757091429175/7*ep^3*z6+42789663074397238722\
         50965889192730669/27855520*ep^3*z5-277639148627696230548187283\
         291790712629039643/6214367902142400*ep^3*z4-115362300061853900\
         52661977881416474708671538864086284971/
         544469696060659395586560000*ep^3*z3+
         179875445141993157803678986710/7*ep^3*z3^2;
Fill mncnoptab(12,10,4,5)=
      +mncF321*(-92987229446946376542000000-762104971836278505313807500
         *ep-15974347985367786227550513150/7*ep^2-
         3976453265816818225148673780601/1078*ep^3)
      +657572636939964319853239397638023497074635675975704629/
      1437399997600140804348518400-82187415299057478435675/14*ep^-3-
         45292147394857892846820275477/682176*ep^-2-1912928556076683262\
         42896481047967723843/798990158846880*ep^-1+
         8566544298269145275837345700/7*z3-
         62993032141656180061316204524739766853690233862148414436262069\
         11928228537637867881998566128127834775661345210859990113829236\
         69487/13995021505078792650444789491704563580510613242536723384\
         2146470778827764904165900288000000000000000000*ep+
         12849816447403717913756018550/7*ep*z4+199942693576538067340467\
         77004646061/983136*ep*z3+2916183425818224643861261226211175629\
         87354950012282223711694050191175076224261938336373638595176372\
         07827206853658023131029938044487807180317/
         14049852809758863428351856889125955265731149481818856650812512\
         40688891958867004054312268595200000000000000000000*ep^2+
         830876719540033867788346480650/7*ep^2*z5+199942693576538067340\
         46777004646061/655424*ep^2*z4-13896629455009440233562811653740\
         0723132268707/2796465555964080*ep^2*z3-
         17470616322766057859108637151580661133885502551757445903704651\
         12679033865501070914450828521130200474322689731111386902322708\
         11808582986062735096285835844662385031962516655967428584964110\
         735379/5163454657717595675716049178720006764208100197690699598\
         65202031088258154439804110770992681544771782310919412479922559\
         032068814485743206400000000000000000000000000*ep^3+
         2055775438104411806281272837375/7*ep^3*z6+14245721844468542409\
         01167222550957693/5571104*ep^3*z5-1389662945500944023356281165\
         37400723132268707/1864310370642720*ep^3*z4-2528068617564213166\
         9537197820799295344702345555444484671/
         718699998800070402174259200*ep^3*z3+
         299787463998755289952201351350/7*ep^3*z3^2;
Fill mncnoptab(12,10,5,4)=
      +mncF321*(-80588932187353526336400000-661149855002495503635061500
         *ep-13881941926403445440075584080/7*ep^2-
         17316619430790741847699903053311/5390*ep^3)
      +159409972758211593017128392383197831847617943922083/
      402069929398640784433152-84299528078455016038335/14*ep^-3-
         696406403442935371628726011091/10232640*ep^-2-1614018483367977\
         9787406536015789230247/65850837267600*ep^-1+
         7424482179226780059968037540/7*z3-
         25971485280476542929488178172304386481172346216214556357970433\
         77811922983676608814056812031970290896398866212296960570065042\
         0062309/659765299525143082092397218894643711652643195719588388\
         1129762193859023202624963870720000000000000000000*ep+
         11136723268840170089952056310/7*ep*z4+401905929584672546419763\
         646496529081/22790880*ep*z3+1539515339008888547960820974643526\
         58156001554552409820597013456320270793544115429704771841905661\
         059206901207131062506174310058301082414581427/
         84780826097744913030511776428097192917783393444575500704331503\
         43814113763220321607735746494464000000000000000000*ep^2+
         720094686263843436396914694930/7*ep^2*z5+401905929584672546419\
         763646496529081/15193920*ep^2*z4-27700092000446462492650255408\
         8465935089534897/6453382052224800*ep^2*z3+
         72461120458907103625701559981760629289104231310323126746113434\
         75172641636602974759783278241779867319577204682949624941793084\
         59296631481598225677730822350886139521014030419120958697670230\
         4635533/973680021169603755992169273701486989822098894421674781\
         46009525862357251980077346602530048519871250378630517781928253\
         98890440501731157606400000000000000000000000000*ep^3+
         1781675510211541640842366643475/7*ep^3*z6+18589926784660797483\
         353871025097725699/83566560*ep^3*z5-27700092000446462492650255\
         4088465935089534897/4302254701483200*ep^3*z4-65590274383801186\
         1828905909903053537168396943949194291/
         21263313573966579945984000*ep^3*z3+
         259814220370041785567916799470/7*ep^3*z3^2;
Fill mncnoptab(12,10,6,3)=
      +mncF321*(-36265019484309086851380000-298220206444736858254229400
         *ep-6286945268327211972789924294/7*ep^2-
         19709729151192430776037976328276/13475*ep^3)
      +8219019030424024286621873205981408160364685160179696977/
      46070512743594256549632000000-53578029163973086873971/28*ep^-3-
         125441180877346916272794649169/5684800*ep^-2-67797772344300272\
         91080177300934509451911/81947708599680000*ep^-1+
         3340894371111753655431926538/7*z3-
         41094700181561963969227447246381842394279812407326281941674284\
         10771855263818466224055967570033937133089277920355400235242278\
         9329514341/238486828964463525757454583596555517214884608497194\
         54706983776507968741371044070791577600000000000000000000*ep+
         5011341556667630483147889807/7*ep*z4+1106503131290996821551067\
         015368868669/139277600*ep*z3+
         59363153474881740793803525132923401578446832315782845321035059\
         55494190403076503575614962322760655353054055995892433157530828\
         848203818243406339539/7661478402846906619903123240686310912771\
         63402009903465739906843222590711116569757510175480086528000000\
         000000000000000*ep^2+324041304721025334496025114181/7*ep^2*z5+
         3319509393872990464653201046106606007/278555200*ep^2*z4-
         122138755806751849133082119243020313462564299/6373710668864000
         *ep^2*z3+93653813889038944851719872632323581770873005664802422\
         38001967331890944350432567343869270053038115010770578271254960\
         46741320054991496691373985477739037664696190214801225442308896\
         0410288046751802389/351958280985557046575724965518818061070971\
         46980859038697611721112412636667131847537186764483030127254919\
         970219339788032155917291396542758912000000000000000000000000000
         *ep^3+1603502051749567904202965938215/14*ep^3*z6+1406710733430\
         7006668932879586491306103/139277600*ep^3*z5-366416267420255547\
         399246357729060940387692897/12747421337728000*ep^3*z4-
         65715188919970763086940010757152943635006441255858005201/
         4607051274359425654963200000*ep^3*z3+
         116917747919755763030374339899/7*ep^3*z3^2;
Fill mncnoptab(12,10,7,2)=
      +mncF321*(-7821866947596077556180000-64566473039912495698160400*
         ep-1369987303840027521491153844/7*ep^2-
         4331241113523137315626812739696/13475*ep^3)
      +1175306773068737908204213995778473684132781257993492508031/
      30544749949002992092406016000000-66771818456281732798407/476*
         ep^-3-45434635498572611160751161869/26356800*ep^-2-39477256135\
         4604502739266143682760671516033/54331330801587840000*ep^-1+
         12249232810118065206011316906/119*z3-
         57203923106829802692081179243125386630945727703679878743640696\
         76965911053068852135005497432536637390563359056451234385893955\
         744405811993401/1565355999274049244014204650352711448343338104\
         79303584860229413865354427737121967454677893120000000000000000\
         00000*ep+18373849215177097809016975359/119*ep*z4+1219391142815\
         4095634162374600919152759/7103157600*ep*z3+
         83200150603446814428515930495040666623992737616955104216672213\
         27681479843066480455044697851729931622773690618629020792553110\
         22768667684112228209910263/50287645792766240981058130014892738\
         93815917421772403378077026546860118650555828917369538798643943\
         83360000000000000000000000*ep^2+
         1188143864503614614613252917097/119*ep^2*z5+121939114281540956\
         34162374600919152759/4735438400*ep^2*z4-1551713738668449025993\
         09517100313045411240875493/38031931561111488000*ep^2*z3-
         65580908001243274259812560895948106735862036701591791464804511\
         54932241272487435221351698787920266646282616493481026960968644\
         86985550693107444075115264536431962654978706663364151241868898\
         18471235078421/12158676678446846245310978716715084776060712823\
         06655117365863441397593806800280566735961926511920243490095834\
         361476666877167338555470987929845760000000000000000000000000000
         *ep^3+5879473158467482747036208000955/238*ep^3*z6+475605194740\
         4633083489500234782593501/215247200*ep^3*z5-155171373866844902\
         599309517100313045411240875493/25354621040740992000*ep^3*z4-
         9800709061585236998170403306023530856214500006284027733823/
         3054474994900299209240601600000*ep^3*z3+
         428706254205620257003938747063/119*ep^3*z3^2;
Fill mncnoptab(12,10,8,1)=
      +mncF321*(-620783091079053774300000-36062483807705874171939000/7*
         ep-772142738861328332343342510/49*ep^2-
         889191432795559897797044295334/33957*ep^3)
      +3526284072039642703681534178373135039632728957042696299869/
      1154591548072313101092947404800000-25575647097291465135/3332*
         ep^-3-1300921198644136370505909169/332095680*ep^-2-95451647976\
         352534164636723870234064787867/2053724304300020352000*ep^-1+
         6804925436976464143248930690/833*z3-
         13231611504959319845961033401055727367661252250248759003741854\
         33585920723395110207110700365532665444824448549009615923567571\
         38917375528751037/44769181579237808378806253000087547422619469\
         79708082527002561236549136633281688269203787743232000000000000\
         000000000*ep+10207388155464696214873396035/833*ep*z4+122259914\
         75846863321941927263607798559/89499785760*ep*z3+
         19265578469543870184395133453363193971471731571555455939759513\
         56105777766193788946372437346469253469842259682127525975600898\
         9705124449921976942496328691/143822666967311449205826251842593\
         23336313523826269073661300295924019939340589670703676880964121\
         6793640960000000000000000000000*ep^2+
         660077756012806510879407246105/833*ep^2*z5+1222599147584686332\
         1941927263607798559/59666523840*ep^2*z4-2284466664417815318779\
         908933467047749930434331299/7188035065050071232000*ep^2*z3+
         13095835205224892560797863457574715297088094123258028178270808\
         25292109278377568055866442773731802036572520882655380447441443\
         20902371979992507881909389616396963455552940303564263791772913\
         23588207369910890181/
         32460313368425163834785856405699206331700865692991089878854858\
         83394438007784833595804712565487495062515401309314025805297312\
         0711911339388742171277393920000000000000000000000000000*ep^3+
         3266364152879150233680791577075/1666*ep^3*z6+48510326983555573\
         92515301421845179581/2712114720*ep^3*z5-2284466664417815318779\
         908933467047749930434331299/4792023376700047488000*ep^3*z4-
         155459994493836420048607811407906023691047662172140100538321/
         577295774036156550546473702400000*ep^3*z3+
         238172384288250645517596039975/833*ep^3*z3^2;
Fill mncnoptab(12,11,1,7)=
      +mncF321*(-402944660936767631682000-3353734479055149396052560*ep-
         360783057727279062986280768/35*ep^2-
         3483459442435756615742983133701/202125*ep^3)
      +45796576703936442063934929577238190832709077065092505169/
      23101071390002262927029760000000+125396811533805201/280*ep^-3-
         46991853622725455096956465381/25069968000*ep^-2-45628221179184\
         561102582851388725982139183/2013455200294137600000*ep^-1+
         185588869836083073548932341/35*z3-
         18363983664035545178291834130447377811644627351790995733894366\
         80108132069189842476318001566954548052243695136406577190884137\
         1023/956099602295911343454082747326314416646344538472049713523\
         349177467136787209414246400000000000000000000*ep+
         556766609508249220646797023/70*ep*z4+1590090454187209204523987\
         21712692867/1790712000*ep*z3+
         45305522408588462194239566663669169293404793656048406357783503\
         89801525056369535441847948453631553119263536744192684746026588\
         5328167923087873/522155962482466847746227777563718134223957488\
         78036660419212915747251648177268015732774823526400000000000000\
         0000000*ep^2+36004241126603601354593946609/70*ep^2*z5+15900904\
         5418720920452398721712692867/1193808000*ep^2*z4-41106819612769\
         225659581789555866174472325622109/201345520029413760000*ep^2*
         z3+47230184998765341733424939528682363640068850419328054609420\
         56677243328803357048055525569474394159042366436286238837441507\
         81236574838725997482544106385594797646307185580267815809162248\
         066988114305364209/6599495006727413432382944549429571012651230\
         53989686942165330029342868102185122040516598884088011411333651\
         26663062879526372922694413909286654155161600000000000000000000\
         0000000*ep^3+35633063386931435207496081927/28*ep^3*z6+49030801\
         57057413192411439007688507901/4178328000*ep^3*z5-4110681961276\
         9225659581789555866174472325622109/134230346686275840000*ep^3*
         z4-2911880184688537903335947917142040069706042991631452050039/
         16170749973001584048920832000000*ep^3*z3+
         12991221111555208231004140911/70*ep^3*z3^2;
Fill mncnoptab(12,11,2,6)=
      +mncF321*(-3223557287494141053456000-26756125153315212923533980*
         ep-2864978091278196929180055144/35*ep^2-
         18330500854823936474309305977147/134750*ep^3)
      +496555481534966600820392526570640314385149016099699/
      31312956985315125120000000-3627551661947302173123/70*ep^-3-
         8010973053370584870880037805299/12534984000*ep^-2-618363675415\
         921467298615748849957232577/227972735540550000*ep^-1+
         1484750889187651340143100628/35*z3-
         12625670886211940218979806571471614163563200864158410823169441\
         97630179831315070966862217641271424223858279915520647191151305\
         5749/817919345764416910161000739963131294433768979167916924813\
         65418764801355588567040000000000000000000000*ep+
         2227126333781477010214650942/35*ep*z4+577435926201021653091397\
         87673699663/81396000*ep*z3+18409541163932240000687426256709684\
         99966266637754392530857978787031093810108725346889860973550398\
         765532812984763341615348012762528182043603/
         26275964295615280180466373669671806271334414693053875009668335\
         21902760073332730260304691200000000000000000000000*ep^2+
         144017389132006640663297038986/35*ep^2*z5+57743592620102165309\
         139787673699663/54264000*ep^2*z4-34593824383338258179607366219\
         90125152233380257/2097349166973060000*ep^2*z3+
         29518834060742182851130326084585528481529328214583482478881257\
         47137135587015490984453749753928744622854059193898260190107266\
         60082154196094249032781682438505906616527932191863683024182654\
         4644788933162449/763830440593450628748025989517311459797596127\
         30287840528394679322091215530685421356087833806482802237691118\
         82298944389626495682223832093362749440000000000000000000000000\
         0000*ep^3+71266319121409494661576969179/7*ep^3*z6+194159509781\
         11404945445582404285322579/2089164000*ep^3*z5-3459382438333825\
         817960736621990125152233380257/1398232777982040000*ep^3*z4-
         7774390842753383436629387204526553751388225608500535287/
         5545524682099308658752000000*ep^3*z3+
         51964445013356837933997368694/35*ep^3*z3^2;
Fill mncnoptab(12,11,3,5)=
      +mncF321*(-9298722944694637654200000-77070890439570359420624250*
         ep-1646519917494890389296759570/7*ep^2-
         76374751942221953275455466527/196*ep^3)
      +37272987029355082683747901992221113562077560985600691/
      814852606349286170265600000-13933063093219995332205/28*ep^-3-
         175587889317471508060260002833/30387840*ep^-2-3072476588063513\
         758119853677923691678293/139823277798204000*ep^-1+
         856640651168795757039653670/7*z3-
         31306246187183612268563290702983993648172310482178803621377761\
         39433968920591230526575745958456415372816471433878296287599909\
         68731/70723140744810225250061132513958921884018648067240973370\
         1809181778332728378680934400000000000000000000*ep+
         1284960976753193635559480505/7*ep*z4+4882739240886114032545703\
         7254991181/23876160*ep*z3+454944689242457094672578552963586808\
         18792438582263312035919164950735344960411748069916759168328885\
         956065992514487752071934944473128953581461/
         22720072959610057089190952248304751761104599356410668092276016\
         175960313115205974211619192832000000000000000000000*ep^2+
         83087525414997222191999093115/7*ep^2*z5+4882739240886114032545\
         7037254991181/15917440*ep^2*z4-6839903237514553829925050729867\
         58136237357/143041716417600*ep^2*z3+
         16573720856772886206738867754194022573147331454544715602556256\
         69741758718039472425299114773948253712857082460812450201408974\
         59511363876120210915564891817189952582964511630714008830507621\
         88672936862931/54489091819779336528833053166028402063028314119\
         77381280511800480826453665595796568653921717382353536044206616\
         0532802163761150711422780130197504000000000000000000000000000*
         ep^3+411154423819142132174797197225/14*ep^3*z6+148574645176593\
         8526940730817057246283/55711040*ep^3*z5-6839903237514553829925\
         05072986758136237357/95361144278400*ep^3*z4-936164742593604866\
         473068089370370659765118261156396549/
         234869280653617778488320000*ep^3*z3+
         29978897999901254791730121285/7*ep^3*z3^2;
Fill mncnoptab(12,11,4,4)=
      +mncF321*(-12398297259592850205600000-102746879677297769970771000
         *ep-2194533706181137557843573720/7*ep^2-
         1399241060821795658581406216307/2695*ep^3)
      +10436506403943029668838293797147684007149765146712053/
      171119047333350095755776000-6939683602072495946295/7*ep^-3-
         2845627205789239213605986755283/250699680*ep^-2-17611997216507\
         97698676457276810010787623/41946983339461200*ep^-1+
         1142238045548283161179308360/7*z3-
         25653392481483034879921348515869021295709779835631634099472818\
         32080450278937922051292884052778204376098018799157477234680673\
         06601/43759943335851326873475325743012082915736538491605352272\
         7994431225343375684308828160000000000000000000*ep+
         1713357068322424741768962540/7*ep*z4+6975065378950045633674442\
         304892163/2558160*ep*z3+74233869734999535481756632151914046947\
         54742608087055491606210773713931707584734419477302450781623494\
         029199333458459632439108462804015096403/
         28116090287517445647873803407277130304366941703558201764191570\
         01775088748006739308687875112960000000000000000000*ep^2+
         110783904420931200028833103620/7*ep^2*z5+697506537895004563367\
         4442304892163/1705440*ep^2*z4-53512036043010826070214742732649\
         172935531993/8389396667892240*ep^2*z3+
         87204284893753548615866954846089532404301423401508926299607535\
         22867309989641058547767581041599937314667206784857274034786342\
         82583027783609719593174107115671284562255256516237647439815999\
         8115995641236767/177678711719584207794925430176949988802148514\
         53568494596758885405384910443445593398523816110061845689752149\
         48620923679556194072541912942332996485120000000000000000000000\
         0000*ep^3+274104165938457292169134488150/7*ep^3*z6+14850190129\
         66902154671547311573763843/41783280*ep^3*z5-535120360430108260\
         70214742732649172935531993/5592931111928160*ep^3*z4-
         3178484433125198942583052072585562184488694512761137913/
         598916665666725335145216000*ep^3*z3+
         39971308275339615957421033980/7*ep^3*z3^2;
Fill mncnoptab(12,11,5,3)=
      +mncF321*(-8058893218735352633640000-66862404075122419113013950*
         ep-1430875388144916652014510642/7*ep^2-
         18292811436697169761545055871127/53900*ep^3)
      +28989189397571496589401175242349469465826088192182917/
      731277980057051691264000000-14305346880397054418703/28*ep^-3-
         1748544232636381155684533245447/294940800*ep^-2-82552830802478\
         354688707049924083378683/3666694347855000*ep^-1+
         742434162266904475184595714/7*z3-
         13219731926018875775185101158016656520192078001904476441503613\
         26135259487324005090761431716021255537210719662663526626907576\
         764363/3476484387237077634948317545139293253861291669055314097\
         227955759179116817936453468160000000000000000000*ep+
         1113651243400356712776893571/7*ep*z4+6350821040525111507559321\
         82299022993/358142400*ep*z3+1532991183871939728797519735486917\
         46858413375646626495274666050014829672074730407258010159779227\
         575228526653468131374835733915833981883349959/
         89346686913666549503243419716458436300543836969084952272875433\
         611963931325547493587192475811840000000000000000000*ep^2+
         72009319145619223977159965193/7*ep^2*z5+6350821040525111507559\
         32182299022993/238761600*ep^2*z4-11586061112053583331285474499\
         255068014539133/2805818283576000*ep^2*z3+
         20005015358220965550789715691703451361552483461782761315703211\
         43350976942394527332330415561494888231165576165128075062158496\
         92452765005839280593450140295679873121989084757599815158225229\
         7074435479097739/245488461602903784682843831065737665687992633\
         60969031181995368241256446313166375420182663804240038006130989\
         14519730301222567655782546384092932341760000000000000000000000\
         0000*ep^3+356334424916761597509876847395/14*ep^3*z6+1762457037\
         629026614462451987601259989/75969600*ep^3*z5-11586061112053583\
         331285474499255068014539133/1870545522384000*ep^3*z4-
         1786621469971441534722037777442009941488693272916817397/
         511894586039936183884800000*ep^3*z3+
         25981576693879523267754757047/7*ep^3*z3^2;
Fill mncnoptab(12,11,6,2)=
      +mncF321*(-2417667965620605790092000-20108443431155000488641360*
         ep-2160651039822871099878479508/35*ep^2-
         631198284038646805463899934232/6125*ep^3)
      +14251131805082367390852054947215478227034784417719413/
      1198312656396009073920000000-7663713819990605797797/140*ep^-3-
         256034784577748060714578625671/379848000*ep^-2-319119525227298\
         754184397323098357998674261/111858622238563200000*ep^-1+
         1113575391996005090641605246/35*z3-
         22151998154897719207670335653072431017332604230497755126563157\
         70937144306720781812955300972647310110733972271796642843374706\
         03858503/19120664129803926992215746498266112896237104179804227\
         53475375667548514249865049407488000000000000000000000*ep+
         1670363087994007635962407869/35*ep*z4+158958557631661772579006\
         539379218867/298452000*ep*z3+
         65155264823516375314481737425857052744510091880399774276708922\
         44085822383471447800530943020341602287300381968695671363813662\
         847028093537258357/1228516945062915055669597021101303499132477\
         75832491809375203721216450405572627803682389654241280000000000\
         00000000000*ep^2+108013171872468339247773697227/35*ep^2*z5+
         158958557631661772579006539379218867/198968000*ep^2*z4-
         13735939071083862961157730376735355682570800623/
         11185862223856320000*ep^2*z3-
         24172202831305554837209915601558005324649393420980408925022471\
         29525117230078475633255428163578462761544706760990627004869341\
         25751380574864594399152809464398863238910401816159753818284287\
         625080613151943/3149522352207639833912753005052313865064002855\
         13446495387668771046545685457966175522627481869813875027948288\
         72895119990330102277534697524113178624000000000000000000000000\
         000*ep^3+106899596480472334157132091981/14*ep^3*z6+48907758349\
         06660834926062946137919901/696388000*ep^3*z5-13735939071083862\
         961157730376735355682570800623/7457241482570880000*ep^3*z4-
         107123964259192368756381626700250774868287176357660997877/
         99819444277787555857536000000*ep^3*z3+
         38973199268015925145164506133/35*ep^3*z3^2;
Fill mncnoptab(12,11,7,1)=
      +mncF321*(-260728898253202585206000-2176968962257093326516480*ep-
         235444213030470762001288644/35*ep^2-
         2288983060810666253501982114283/202125*ep^3)
      +503746605213129872509142194200106591909632397566711643259/
      392718213630038469759505920000000-9318735018234207189/4760*ep^-3-
         80132474781529377987110176981/38744496000*ep^-2-84567503156657\
         2646086116582089990268679013/34228738405000339200000*ep^-1+
         2041477588066328664904758951/595*z3-
         44778348909535609211500325152764506035192515938999917712612613\
         44434377950445379555238734391232542046493002101336322013820844\
         388687852519/3625622090965161028409965419508223795158687220366\
         11801668493783329214175030910938549059584000000000000000000000
         *ep+6124432764198985994714276853/1190*ep*z4+175186641635482645\
         1620593106126038337/30442104000*ep*z3+
         64784719037107970402365216627797054943824490348410399893961862\
         92340165684427080820830321497354296017808004214430897193108539\
         73973283047106284998433/11647446304446991351297882397359348344\
         92510837890271595505368960481044650193526943932368072896151552\
         0000000000000000000000*ep^2+396046652884779142680278603499/
         1190*ep^2*z5+1751866416354826451620593106126038337/20294736000
         *ep^2*z4-446985135484420247490270637853559093224842639519/
         3422873840500033920000*ep^2*z3+
         99906617012175677016924269409166393551340099167183818828475080\
         46512242665549871387371551361419882729974728292023760570002331\
         95890054035709267061375638294670942586546549131781567772805224\
         9527528667452542953681/
         14721131089239388363162306043041037883979655201937463949136277\
         83747691129704406736161652094179742555301970140790884521563460\
         8867475780588188776516162682880000000000000000000000000000*
         ep^3+391963697708646485350469085597/476*ep^3*z6+49600011423407\
         96935345798813577490301/6457416000*ep^3*z5-4469851354844202474\
         90270637853559093224842639519/2281915893666689280000*ep^3*z4-
         33018565004206290223523555208547160231227264608449993360669/
         274902749541026928831654144000000*ep^3*z3+
         142903431942789356140080976821/1190*ep^3*z3^2;
Fill mncnoptab(12,12,4,3)=
      +mncF321*(-922187399473848362400000-85279603762037320724673000/11
         *ep-20521252773330138448123635000/847*ep^2-
         1226348921977746238765620737937/29645*ep^3)
      +260865113626480601392928483453195901424722387163748429/
      57515013131487115517913600000-62534920533986452625775/847*ep^-3-
         2916986604643629047273941935443/3370517920*ep^-2-8599965786913\
         08298908923820339501713527/256342675963374000*ep^-1+
         934558551865144352207706840/77*z3-
         45051357074045475232899638537428529421270901810210027800487783\
         60298294684790961939140672470488589780731116752927129967396348\
         4967/993281253496307895699519298611226643960369048301518313493\
         701645479747662267558133760000000000000000000*ep+
         1401837827797716528311560260/77*ep*z4+491752121017821974105310\
         57009745621/240751280*ep*z3+1338447410652253109473385904889620\
         48752335516849539830398806568129657622510498376039453255992661\
         1162442046040880690023928451816496206069199/
         63819062081190392502316728368898883071817026406489251623482452\
         57997423666110535256228033986560000000000000000000*ep^2+
         997055157633904328270112586980/847*ep^2*z5+1475256363053465922\
         31593171029236863/481502560*ep^2*z4-25390804227811792563324961\
         5867191913483929657/563953887119422800*ep^2*z3-
         16992786071217139793254454764859622081004190267496337607422371\
         24587327262833259016017853739333529703232635368065627155592508\
         04011062249497278449838776582855951212034075236713033604746998\
         467922353779299/2122644592807062799889251170869160267227003974\
         82063051573644161484548220001062644610601980262225892534215319\
         67651803356435735369548333396292272128000000000000000000000000\
         00*ep^3+2466937533908469350989569529350/847*ep^3*z6+4265884170\
         90248799796134988471750779/153205360*ep^3*z5-25390804227811792\
         5633249615867191913483929657/375969258079615200*ep^3*z4-
         48591256200111563555730215584317887233867849621378027/
         107361357845442615633438720*ep^3*z3+
         359741756614186108544596865820/847*ep^3*z3^2;
Fill mncnoptab(12,12,5,2)=
      +mncF321*(-399614539772000957040000-37000872976433728552643700/11
         *ep-8922350694341163345557743062/847*ep^2-
         5346391414623604705345880802591/296450*ep^3)
      +3391412135974825338918367124174578942970899905355709399/
      1725450393944613465537408000000-21755855125977436735479/1694*
         ep^-3-16043014015583150289502136546849/101115537600*ep^-2-
         2599335270829260461466528078934821853831/3845140139450610000*
         ep^-1+404942929728351811625688444/77*z3-
         45337694678340343264307895543997846672174498503760579502682431\
         77795711549720300154347814328551743958992903324962367668292452\
         716993/2367320320832867151417187661690090168105546231785285313\
         82665558839339859507101355212800000000000000000000*ep+
         607414394592527717438532666/77*ep*z4+9137772900662901878435567\
         2901645449/1031791200*ep*z3+6558096864813023283412905962493054\
         24322935147097727432704461238857495484745338179024229860258989\
         290131382422307992441354309502698986128329473/
         76051048980085217731927434639604502327248623134399691517983255\
         99113596535448387847005073833984000000000000000000000*ep^2+
         432053439240167650743302939058/847*ep^2*z5+9137772900662901878\
         4355672901645449/687860800*ep^2*z4-410669034470907724006442443\
         326271579029678779/2114827076697835500*ep^2*z3-
         65957845747572690217159449304498536842201595875132519207472833\
         17703732818220201987262298924406817320661712913228976634361528\
         42471668634740945147818262482652335708984440284075447557561770\
         92629867314679059/96120422644279827121651590520858474100929496\
         65979421852093186445891958562381453423450093006207795833591050\
         39268499161990598216651047030628768389529600000000000000000000\
         0000000*ep^3+1068997667532889452038550915435/847*ep^3*z6+
         1856717485149505994412392990381214539/1532053600*ep^3*z5-
         410669034470907724006442443326271579029678779/
         1409884717798557000*ep^3*z4-2394388369120907778623291229340364\
         66574733643585261838119/1207815275761229425876185600000*ep^3*
         z3+155892020252153270675057143182/847*ep^3*z3^2;
Fill mncnoptab(12,12,6,1)=
      +mncF321*(-59942180965800143556000-5564255745151996854254280/11*
         ep-6737234530493665966704302574/4235*ep^2-
         2029540139231937457977023926846/741125*ep^3)
      +45793425931436107308257967279445729484666046657102819569/1552905\
      35455015211898366720000000-64807685338601184291/16940*ep^-3-
         124215213536666008938325294481/168525896000*ep^-2-388099037729\
         956446157518351421427635839/45572031282377600000*ep^-1+
         303690916065514943978482158/385*z3-
         23992484207875143631657506564122404932885815098877745115216058\
         43643731484372536940134861662711975080751843876315612945412618\
         57863473/84631701469775000663164458905420723509773277786323949\
         969302937285063999773788734488576000000000000000000000*ep+
         455536374098272415967723237/385*ep*z4+160108326429665113091670\
         599418440667/12037564000*ep*z3+
         34429726717239559184849597114853054239407319687286782159339689\
         09637278424078153816992270163306288364096707045041590399639719\
         3203148306489769103/271882500103804653391640578836586095819913\
         82770547889717679014016831107614227986553043138956492800000000\
         00000000000000*ep^2+324038174395862359465842302181/4235*ep^2*
         z5+480324979288995339275011798255322001/24075128000*ep^2*z4-
         4338123556922993964309503262775777689866074381/
         150387703231846080000*ep^2*z3+
         81958702039117771615362063921344757639571229282576377518210182\
         16650215893669105439016870511134404619360125083956369988121100\
         85333675325859360899698121866167746329086445861329707040768587\
         7242100319187121/110848551920419478051582076165183562874459016\
         30927881652010690820665726406617321286720671773288022614544517\
         79156414356166576975654030043386402255667200000000000000000000\
         00000000*ep^3+320697574319141695082078998443/1694*ep^3*z6+
         1405052560301039068730100192674435173/7660268000*ep^3*z5-
         4338123556922993964309503262775777689866074381/
         100258468821230720000*ep^3*z4-33021176892894950950609300438350\
         99055912572196847963216279/108703374818510648328856704000000*
         ep^3*z3+116920984931443932811434631899/4235*ep^3*z3^2;
Fill mncnoptab(13,3,2,13)=
      +mncF321*(-9547004167629904521000000-851552772256841947956819675/
         11*ep-17518217593183372189114932996/77*ep^2-116916100112655801\
         795699402195246/326095*ep^3)
      +254451948507351767924715474732175249388877947886707981888231/
      5417051511789113975054692416000000-96280525027628500491/6776*
         ep^-3-1784965162751039249385245336603/8638155926400*ep^-2-
         2278030414347506117418923057898743884969/
         2064761782637233680000*ep^-1+106411607885249393334201782073/
         847*z3-2500190119691375408467691825302913637539638169428564405\
         800183680491292904626610105635344523091328836573803152897/
         53967753198669115828424947273865396856628848709121433046193125\
         98220800000000000000000*ep+319234823655748180002605346219/1694
         *ep*z4+7849133124655107441440036211312198873299/3779193217800*
         ep*z3+14317538953261694134608851243748588917210207964567409499\
         57761156533036349652418792077671258771566770620025458719589662\
         8759/666820852534676671229118409860478562497900156614296991329\
         8006365955763994624000000000000000000*ep^2+
         20643851888599740393588714944937/1694*ep^2*z5+7849133124655107\
         441440036211312198873299/2519462145200*ep^2*z4-157237630042279\
         25205692018257760200500116366877503/2975686098506601480000*
         ep^2*z3-615792839720765955481996586939386777727684923426683355\
         47764511411545554478668780896765575312420687560149249371220579\
         42231064167614147149991046895643703475463/
         17753152002061489983567969090545606838535613071950906027668022\
         53459706230463013947410103878533331300646912000000000000000000\
         000000*ep^3+102155143364146208034601556903955/3388*ep^3*z6+
         126933240140730948767143396906207498550639/5038924290400*ep^3*
         z5-15723763004227925205692018257760200500116366877503/
         1983790732337734320000*ep^3*z4-8562870415040574089477265009464\
         030674421470524514149049133923/2708525755894556987527346208000\
         000*ep^3*z3+7448812530365249186330378294487/1694*ep^3*z3^2;
Fill mncnoptab(13,3,3,12)=
      +mncF321*(-57282025005779427126000000-
         5090903887890354429784864950/11*ep-
         104083655809801997355384788559/77*ep^2-68914678558461948604366\
         4203650234/326095*ep^3)
      +254451901270661004366607187206931697188476167963848114654279/
      902841918631518995842448736000000-3733644737092219975107/3388*
         ep^-3-138696953267278527780551911166039/10077848580800*ep^-2-
         1012636283054982183779074844592482799373279/
         16862221224870741720000*ep^-1+638469666425723610041894919042/
         847*z3-1268164289999248141291928172104759705701112533673083194\
         378070505322252569260727148037996366549248615413250450851731/
         45450967147004145986751635282208513915192108522213206893590773\
         2881408000000000000000000*ep+957704499638585415062842378563/
         847*ep*z4+3917629481702312918216486888630852567083/
         314932768150*ep*z3+4005012651332216623570591355271695072213596\
         36097564060476725270210806576570225127703144953654349150699251\
         4798554111696070397/308873502709226404977925238442404484144535\
         158481731786062061560498060349407232000000000000000000*ep^2+
         8847365124070343852034022373607/121*ep^2*z5+117528884451069387\
         54649460665892557701249/629865536300*ep^2*z4-31805422962307879\
         889056160961760732431576723098329/991895366168867160000*ep^2*
         z3-33152009335119886964322893849333611986545001854123139873988\
         02832540072779676187447135631605636066596229461579670650544905\
         032676561848295903978004176011226596479/
         18401824863675275194506029499623234780712875857272189132525123\
         35797657035037624072411626904864356867401318400000000000000000\
         00000000*ep^3+306465431010333416770981308481035/1694*ep^3*z6+
         375416485595473596100681907179446990475803/2519462145200*ep^3*
         z5-31805422962307879889056160961760732431576723098329/
         661263577445911440000*ep^3*z4-81200038490999798786104535487091\
         60784646670445131878767447107/451420959315759497921224368000000
         *ep^3*z3+22346437379495288012521971050799/847*ep^3*z3^2;
Fill mncnoptab(13,4,1,13)=
      +mncF321*(-2390286969376968687480000-213609736498158603269658225/
         11*ep-4409031859641645547649195260/77*ep^2-3990196977389727684\
         364015238330174/44022825*ep^3)
      +1190835144979594406644033981673893495437102337702586678219819/
      101257193643442668918330019776000000+5732738073602514559/6776*
         ep^-3+52898269537939231829897764457/17940785385600*ep^-2-
         3494196453453486049916436837316053434641/
         90055379288870115120000*ep^-1+26642313593699220083507127755/
         847*z3-6450568170089412952781620761872280161339166350773244452\
         3858064652052501535590011380278795718575487228572040509592953/
         55696713956529247625365133584682278432232601240688732618122242\
         3752133836800000000000000000*ep+79926940781097660250521383265/
         1694*ep*z4+4085362994251959736682963710865378436463/
         7849093606200*ep*z3+871516955214208866272280408411879895180806\
         15165385392477082659664458370448180690506426573130402539160721\
         8672764350090359544221/162661611483898888472946228427725698621\
         4877726038651508770262480885785245792600064000000000000000000*
         ep^2+5168608841444240205428616670235/1694*ep^2*z5+408536299425\
         1959736682963710865378436463/5232729070800*ep^2*z4-24380344690\
         012390900265252471761075596367899059873/
         18540813383002670760000*ep^2*z3-
         30584336226488748348348107184979476335244641387881263498302675\
         19578532549351195428482408927042992019899642814544535088662198\
         318883273036134164216501403366370478207/
         69290126188397945930106177729141330396240372965110659404243627\
         91999150384547612324406897595422507266473682010112000000000000\
         000000000000*ep^3+25576621071284208826308012073625/3388*ep^3*
         z6+66498533490717030647921903437708523131643/10465458141600*
         ep^3*z5-24380344690012390900265252471761075596367899059873/
         12360542255335113840000*ep^3*z4-411181641344852049853286961635\
         68795967421467492799195396320503/50628596821721334459165009888\
         000000*ep^3*z3+1864961953935452693027158808421/1694*ep^3*z3^2;
Fill mncnoptab(13,4,2,12)=
      +mncF321*(-33096281114450335672800000-
         2944326730382180155068088500/11*ep-
         60301456547748769743154514100/77*ep^2-400190563428607795237500\
         798518174/326095*ep^3)
      +782928956741721956678949868549389856127324720832435711959/
      4808033886203355599160969600000-639769141583194780365/1694*ep^-3-
         488349184337925947173372095431/99671029920*ep^-2-9496688220983\
         92511728267546586723826271/41692305226328757000*ep^-1+
         368893580220058374233506919100/847*z3-
         16353295978700604261393301552109213229216962483245191553944006\
         4268669233497919969639517594965655911240695891528138643/
         10153046814992310765040519143041040339209067934500550216845200\
         4329816064000000000000000000*ep+553340370330087561350260378650/
         847*ep*z4+313562452388895733901548710468132291431/43606075590*
         ep*z3+44352842942971009233711245158396028473415536979684000577\
         71913085546459932624505787820869965825612683120717726583975403\
         73771991/59303712520171469755761645780941660955750750428492502\
         923915819615627587086188544000000000000000000*ep^2+
         35782676672682745046088336873150/847*ep^2*z5+31356245238889573\
         3901548710468132291431/29070717060*ep^2*z4-6341360378995737593\
         29500693349458100487892125087/34334839598153094000*ep^2*z3-
         81115243611558357855293377821564755350661363296588661446691979\
         05342810047928007267963103610920165888258675232941482477555399\
         4299403735366103168681003131134802951961/
         16420316362354721561561620243103804859525713384961119806734818\
         07478965325504772712294342919748562919919544434688000000000000\
         0000000000000*ep^3+88534457731156716679637074885125/847*ep^3*
         z6+5025224283319766568425225306022684146891/58141434120*ep^3*
         z5-634136037899573759329500693349458100487892125087/
         22889893065435396000*ep^3*z4-329495623752433538050820793901785\
         774920349694783305181204399/31252220260321811394546302400000*
         ep^3*z3+12911274983449517806760107544130/847*ep^3*z3^2;
Fill mncnoptab(13,4,3,11)=
      +mncF321*(-182029546129476846200400000-
         1467877012979093171785131750*ep-29912252157451480677354628875/
         7*ep^2-197229704940284459004281974833742/29645*ep^3)
      +10178069232261437771625257107359908637726502726238088594767/
      11364443731026113234380473600000-6340909238774542968315/308*ep^-3
         -31599969439419295588249522739687/126854038080*ep^-2-217633280\
         469637528696072725623398474764583/212251735697673672000*ep^-1+
         184446821426975848564888160850/77*z3-
         13232123032378628660518640443330162676286250359129434953722712\
         5661445077291219295425162187903656164527653429390015933/
         14917240499529565862318485425955614823447666386777667903537484\
         566364160000000000000000000*ep+276670232140463772847332241275/
         77*ep*z4+156557640995669911319054259794900436313/3964188690*ep
         *z3+5347987043051248191185606246381735895610108694309312915822\
         99509256857426523495632894384474531005791353455461730746659587\
         399999029/1293899182258286612852981362493272602670925463894381\
         8819763451552500564455168409600000000000000000000*ep^2+
         2555905524226135183664769059775/11*ep^2*z5+1565576409956699113\
         19054259794900436313/2642792460*ep^2*z4-1279801147296489966386\
         088518397323053393222115389/12485396217510216000*ep^2*z3-
         34567778559118033437447771948574332871103256992097907572013878\
         92836146890242616793483709813118514302129007002926347563930081\
         56356062009819276583257963154115488177709/
         50106496210618349329622235961155920741082914334274237172490226\
         80164674864858810565170277186772474262945844428800000000000000\
         000000000000*ep^3+88534459240779852185442476287875/154*ep^3*z6
         +4967385786593568958651847879364812332361/10571169840*ep^3*z5-
         1279801147296489966386088518397323053393222115389/
         8323597478340144000*ep^3*z4-3151712049638021864729269182674333\
         39799626283414601319465419/5682221865513056617190236800000*
         ep^3*z3+6455637147553023725471999705415/77*ep^3*z3^2;
Fill mncnoptab(13,4,4,10)=
      +mncF321*(-525863133262933111245600000-
         4234955342704020234004243500*ep-86105502018340167161028831770/
         7*ep^2-5095214576693311285332407096781208/266805*ep^3)
      +407122060783677693767591176514282218884315956003103425711/
      157353836275746183245268096000-145934779342552896263945/462*ep^-3
         -2109309298827236510521874121051911/570843171360*ep^-2-
         41924582733898011157968445882503324675539/2938870186583173920*
         ep^-1+1598540422508474522468491485580/231*z3-
         52771864499115463681054975167869189794920927449482446884253640\
         04240249444719133244126695619892651988527357122284260111/
         20569809131672733498004168653433796011904085685481634205556509\
         9681185792000000000000000000*ep+799270211254237261234245742790/
         77*ep*z4+2033941007508325182973634851960214217664/17838849105*
         ep*z3+83067275511039892923520351618522463677871463613416262958\
         94553594391193743754516695622795810761110929368819352947056837\
         874284009349/6938534364860061961424112556370174331822837800133\
         6228420981508950284276890840596480000000000000000000*ep^2+
         7383727730111511574692058344910/11*ep^2*z5+1016970503754162591\
         486817425980107108832/5946283035*ep^2*z4-256994411792446435422\
         354986958410569234500154231/864373584289168800*ep^2*z3+
         28471221277844885273569188241624832066801876587214583229343135\
         53917844589295679471578820824609069125388148429966707618561417\
         5787130488827642953337425158942672175922909/
         34930491170827316776412901244420821246627426655280927588872249\
         35909798965164698315244329483828761120556121797427200000000000\
         00000000000000*ep^3+383649354774583171365161834393825/231*ep^3
         *z6+64237326057500179941539408534759215344593/47570264280*ep^3
         *z5-256994411792446435422354986958410569234500154231/
         576249056192779200*ep^3*z4-12342258432857941168018144073587668\
         440598945360909803821051/78676918137873091622634048000*ep^3*z3
         +55948840937034314843236293572890/231*ep^3*z3^2;
Fill mncnoptab(13,5,1,12)=
      +mncF321*(-5378145681098179546830000-479901838489457282664339600/
         11*ep-19761463244018913253641023895/154*ep^2-99056762626660542\
         1920553018438531/4891425*ep^3)
      +2381670169046446940728165201762160086851206426945883139104013/
      90006394349726816816293350912000000-823655023063297893/3388*ep^-3
         -20480747589928325607587358737/569548742400*ep^-2-862989368644\
         5211083092753006804275352483/20012306508637803360000*ep^-1+
         59945205647550367679899216905/847*z3-
         78043668152550298695121788659701988422847259816692699452112511\
         078708537858093943591408487578465345257024785159829667565917/
         29897230222047997848141154937670657681094017147734652199334520\
         5261818851753984000000000000000000*ep+
         179835616942651103039697650715/1694*ep*z4+16329431654870949124\
         890044882887576982227/13953944188800*ep*z3+
         11611215672056731387569582802141916663436929766100685589349195\
         97029300125895639154832948917038620896656015918462889957878971\
         1760482987/960459680921389216948171356502985011708244499645696\
         6082945944394934150744337718727147520000000000000000000*ep^2+
         5814684947201239955118525395130/847*ep^2*z5+163294316548709491\
         24890044882887576982227/9302629459200*ep^2*z4-2449588953034585\
         0236168491693913351188730335069273/8240361503556742560000*ep^2
         *z3-1139378840546207047777458222486403615544099767425404330422\
         69553715934442465600182222359236040881743708441328001910807247\
         25997139108112286822792107215256925584618832556419/
         58531590066370427074493751138277514992417138351896823038382737\
         70606681197337388731871454990946729407943575728843390976000000\
         0000000000000000000*ep^3+28773698707768447937193130891125/1694
         *ep^3*z6+22036625318649315120117974185657344346381/
         1550438243200*ep^3*z5-2449588953034585023616849169391335118873\
         0335069273/5493574335704495040000*ep^3*z4-80444218011980081775\
         335110409041913317719385333699078393525031/4500319717486340840\
         8146675456000000*ep^3*z3+2098082197323932403635478937458/847*
         ep^3*z3^2;
Fill mncnoptab(13,5,2,11)=
      +mncF321*(-68261079798553817325150000-551608088683046670671058000
         *ep-22563918719116434909556962525/14*ep^2-
         74754546807710110926533436442077/29645*ep^3)
      +20356141594920586215085662953857807186165632922723139004889/
      60610366565472603916695859200000-1110945018559166527815/308*ep^-3
         -1113068771778712818687707082163/24162673920*ep^-2-84076703967\
         16017355964442439676727674417/40428902037652128000*ep^-1+
         69167551062716126689247979075/77*z3-
         28921270465743717276596615724226706877409997362046644683589059\
         1823244020110437733365462658305827232291688486893486216142561/
         87084343939849684537150448411177318795997137158055046572644040\
         601026816901120000000000000000000*ep+
         207502653188148380067743937225/154*ep*z4+125374554515508675831\
         2884864784244010559/84569358720*ep*z3+
         17281337554825724894203809866770060275472339648913191351716808\
         10082545579749040995168673553801329038984235523940160453798636\
         522788747/1119046822364630793138480873091381716236387280405550\
         69197358977635018481769547714002944000000000000000000*ep^2+
         6709251926948896296126513276750/77*ep^2*z5+1253745545155086758\
         312884864784244010559/56379572480*ep^2*z4-63574091088329088868\
         9749626800952452032345762887/16647194956680288000*ep^2*z3-
         11281934361445087283538141597829943100128660305380341513164109\
         11713877253209378231350523532376247926531837088883969887771929\
         7474292477250104061562608301228695753592031495821/
         32393140292178420485774268098026092791272410383041321008816569\
         16565311168335134629624981390123439912758925110062088192000000\
         00000000000000000000*ep^3+33200421879430900847186326488375/154
         *ep^3*z6+5008917812787368009264029247719417096931/28189786240*
         ep^3*z5-635740910883290888689749626800952452032345762887/
         11098129971120192000*ep^3*z4-650309686087769814050445134087411\
         895056147477971444567516043/30305183282736301958347929600000*
         ep^3*z3+2420864007064564232378683741590/77*ep^3*z3^2;
Fill mncnoptab(13,5,3,10)=
      +mncF321*(-341305398992769086625750000-
         2751665438995432840618335000*ep-112109765598615781901547714825/
         14*ep^2-73900551633082649961543680933246/5929*ep^3)
      +2261789041552005861305155494229474039094763281697079901417/
      1346897034788280087037685760000-49961834839557576149175/308*ep^-3
         -21686707609679582489618768861007/11275914496*ep^-2-1293547222\
         927727594257761850365584403275609/169801388558138937600*ep^-1+
         345837999675621529815279053175/77*z3-
         15214603065553367552221222950034113144781564089766711761194151\
         60231486117154723386561692123669283198939732594817086732180103/
         91438561136842168764007970831736184735796994015957798901276242\
         631078157746176000000000000000000*ep+
         1037513999026864589445837159525/154*ep*z4+41744241397423026132\
         3366130561376900973/5637957248*ep*z3+
         22783407676644843139419797604899177113209413606038623722298310\
         97441968482317559101203672713181907248311064507615248258851727\
         46346958349/29374979087071558319885122918648770051205166110645\
         70566430673162919235146450627492577280000000000000000000*ep^2+
         4792323176202983147156090249550/11*ep^2*z5+1252327241922690783\
         970098391684130702919/11275914496*ep^2*z4-19209435249929272930\
         05121871599409909141493006797/9988316974008172800*ep^2*z3+
         36534359918416864324112694736164693077778243653397461940423162\
         53851315491500496841674278349551093524153769830640874207674487\
         8570660241015909732113530937056348528785030167477/
         34012797306787341510062981502927397430836030902193387059257397\
         62393576726751891361106230459629611908396871365565192601600000\
         00000000000000000000*ep^3+166002121168726302501386763468375/
         154*ep^3*z6+4963041200781809690796899080783323084651/
         5637957248*ep^3*z5-1920943524992927293005121871599409909141493\
         006797/6658877982672115200*ep^3*z4-627628742208335808606525734\
         894826904657802802264732629815891/
         6061036656547260391669585920000*ep^3*z3+
         12104317346356824592183541788050/77*ep^3*z3^2;
Fill mncnoptab(13,5,4,9)=
      +mncF321*(-887394037381199625226950000-
         7148709523758242713627107000*ep-290866527311134613896364435505/
         14*ep^2-957059051011116756328694009236464/29645*ep^3)
      +814241606367807325183431272206021693140403906927129137337/
      186493435586069550512910336000-611273314910876990808735/308*ep^-3
         -3853790511322378019511835345309993/169138717440*ep^-2-
         4918463543982575495524452439784974972985/58051756772013312*
         ep^-1+899181446441688565180521869295/77*z3-
         17124848299065757293396878109276695041436735748805323892288178\
         8820501150155861413605138947748122548617262300484598193125131/
         39420896433676811930397322326047345957035741100354136308604298\
         21445658378240000000000000000000*ep+
         2697544339325065695541565607885/154*ep*z4+16274032112217527055\
         690201611469805427387/84569358720*ep*z3+
         20318921067228774311413734976250099634821337220531697846936183\
         36718033982923880473399782154936656444955299473960579961068382\
         31879769/10050881055270542429717233003466260760500571628177099\
         75480884409485599401875551027200000000000000000000*ep^2+
         12460044280762958817998262888270/11*ep^2*z5+162740321122175270\
         55690201611469805427387/56379572480*ep^2*z4-475448423848569322\
         6071852508970110477442387809/9485581171897600*ep^2*z3-
         26227530154954093315488450615795717728864456951800831696973066\
         47332500157078051404830735181991351940663121828669291311769200\
         0610530415569969889616206365819640184973344871/
         40732115136484067826190780644522979047096080728561331858365599\
         08804117838555839154763922644188138893501163261394944000000000\
         0000000000000000*ep^3+431605642594495115804036591742975/154*
         ep^3*z6+64317404077222436433620621775131128608143/28189786240*
         ep^3*z5-14263452715457079678215557526910331432327163427/
         18971162343795200*ep^3*z4-247875141030890911574187543110016333\
         91397774960979479794667/93246717793034775256455168000*ep^3*z3+
         31471195982503329471468302642610/77*ep^3*z3^2;
Fill mncnoptab(13,5,5,8)=
      +mncF321*(-1331091056071799437840425000-
         10731370211993323175742839250*ep-
         218620612333959235999940382210/7*ep^2-144143069294907508313767\
         2237000306/29645*ep^3)
      +62633884429354459418174369182075614799861025527264668511/
      9563765927490746180149248000-11948002263218660378232285/1232*
         ep^-3-6167438182417282398005839540622699/56379572480*ep^-2-
         607328127588201851026945177053259015665491/1548046847253688320
         *ep^-1+2697567111352538631988473510585/154*z3-
         12456461395312282419145561114552503243913642203823955669161040\
         61435316268020638387178930327131414408880617763547906938119124\
         27/19322783737261134972875320307727484722866161650879640270876\
         71426052948544716800000000000000000000*ep+
         8092701334057615895965420531755/308*ep*z4+81401438924668321288\
         26805669929023660251/28189786240*ep*z3+
         11891110401777811836419502161081431337783741687227039253053131\
         23268164429897603567452322958076655777069470167629960263737282\
         182080795739/3950237711434174400800523980451972187875463237824\
         823989434766644868965666414725483724800000000000000000000*ep^2
         +74760334886810905684137796220145/44*ep^2*z5+24420431677400496\
         386480417009787070980753/56379572480*ep^2*z4-56916354046031985\
         652820530209771813753966705443/75884649375180800*ep^2*z3+
         11145386479273945392946392054984967940057294167444528768788630\
         50608729239192456317871611143666753564980675612480883538626592\
         662388696101371110948459684273375825427235907987033/
         71875794903944934951562283890683113225773602422180118631650393\
         10638460078264449657248398919990692575521621047706124288000000\
         00000000000000000000*ep^3+2589636049924856312624938132599225/
         616*ep^3*z6+96775477603384090644003163602678485013417/
         28189786240*ep^3*z5-170749062138095956958461590629315441261900\
         116329/151769298750361600*ep^3*z4-2507471387859792420748847001\
         5967990233810482238438530876199/62164478528689850170970112000*
         ep^3*z3+188826674893920434346245676666585/308*ep^3*z3^2;
Fill mncnoptab(13,6,1,11)=
      +mncF321*(-7655948557798585001958000-62132695716839276239785360*
         ep-2560686057809669468968073577/14*ep^2-
         58421837626722393445273362939593/202125*ep^3)
      +6091226677359930689382681632300442019087163340259031020843/
      161707499730015840489208320000000+536561923147340571/140*ep^-3-
         1258703896277257389547259249/7162848000*ep^-2-9080914034547769\
         0304895440803614678113/35954557148109600000*ep^-1+
         705237712505521260283077093/7*z3-
         24120882309369995214429946101786354931098405355152047799678293\
         00953876488246231494674540691003571651429955589899422740781329/
         64972493130774808115543551945034903936491777114444547790720510\
         29189652947927040000000000000000000*ep+
         2115713137516563780849231279/14*ep*z4+417724079395817924078292\
         26195954625397/25069968000*ep*z3+
         35883222434469367613606008534801332572635785086640042326153456\
         63352412127631642074483445917003114666513496235874966918245550\
         32007528183/20872655947583765663322099763313163315887397534520\
         9237763769571327925776865808562205491200000000000000000000*
         ep^2+68408058193066328799924743778/7*ep^2*z5+41772407939581792\
         407829226195954625397/16713312000*ep^2*z4-10634790018915846239\
         37475612153645107334886935351/251681900036767200000*ep^2*z3+
         60772398517947657125487721729392993041326824858603433306787436\
         84147753828067243274772491461179835807611496374954619130216357\
         7483014143420368670216194683114819562424522464101/
         55586628741378169553588644056212775229823456217298906851129232\
         68826073964863091024436468065451822890294315488866543337472000\
         00000000000000000000000*ep^3+338514102402804037698208333425/14
         *ep^3*z6+56458332271604791887687382040322734891/2785552000*
         ep^3*z5-1063479001891584623937475612153645107334886935351/
         167787933357844800000*ep^3*z4-20677037243886443208893136391131\
         5400817623219042432365280641/80853749865007920244604160000000*
         ep^3*z3+123416599911388538666222390274/35*ep^3*z3^2;
Fill mncnoptab(13,6,2,10)=
      +mncF321*(-88337867974599057714900000-714580130464626615315984000
         *ep-14642246460865277073069539055/7*ep^2-
         8842969104707575680375314780948/2695*ep^3)
      +3470777048284674346131231830896059972911883163552840097/
      7985555542223004468602880000-246611128555499707935/14*ep^-3-
         3526696820900684054076170071/15917440*ep^-2-274821764269731255\
         1207158588575320667/2819965266518400*ep^-1+
         8137360945802325516687189990/7*z3-
         73273530420279971594402854726489417458350181821565254122540519\
         49784732451184061156623495530392619631432828797531492138472533/
         17055279446828387130330182385571662283329091492541693795064133\
         95162283898830848000000000000000000*ep+
         12206041418703488275030784985/7*ep*z4+972159424281222068752650\
         12305594713/5064640*ep*z3+994242288212458167204905334500744970\
         60778066487029988734640220594127831769372057219598518651540832\
         907866357535566633189387840153778379/4980974714764307715110955\
         62533609579129131077528340226481722840668913785702497705263104\
         0000000000000000000*ep^2+789323777342821715706320513580/7*ep^2
         *z5+291647827284366620625795036916784139/10129280*ep^2*z4-
         16530688594311271012074193537329429314807087123/
         335575866715689600*ep^2*z3+
         79558142147541346475680370513710115078651476324936222262404842\
         06938328129546526524449473391629093981412865146037377160201343\
         02783915706834539198252896526062127892644025476163/
         76797316024272471093773784551346597356992932931794542360112755\
         68772865346192428389024067722005807940538199030670882242560000\
         000000000000000000000*ep^3+1952966040992548475474083308975/7*
         ep^3*z6+12862757058548512586444905145096038581/55711040*ep^3*
         z5-16530688594311271012074193537329429314807087123/
         223717244477126400*ep^3*z4-33736815456845437496503926933587413\
         7278359083842613097641/11978333313334506702904320000*ep^3*z3+
         284807508246191304988630808220/7*ep^3*z3^2;
Fill mncnoptab(13,6,3,9)=
      +mncF321*(-397520405885695759717050000-
         3209841538234332365402181000*ep-131136174594675487994149724175/
         14*ep^2-3585409140957284535137665921584/245*ep^3)
      +4732855944264179856483571702395370305476066668445354389/
      2419865315825152869273600000-17605382707275977883555/28*ep^-3-
         149222300707407656053896359043/20258560*ep^-2-9658702420684997\
         37891786234005221564577/33896552193504000*ep^-1+
         36618208863105009796140417075/7*z3-
         83797847050314014661623196883536267168172478643830026227758338\
         1718738370241821216248658680710427665955913989906427748387933/
         43191590875158941767217935765930135570317420683866271085949057\
         174100257013760000000000000000000*ep+
         109854626589315029388421251225/14*ep*z4+9615935009147572401882\
         037625349023907/111422080*ep*z3+
         73584133836295388766270664231971476149277506104944029406704776\
         38155335576525722287769441511248849873756736992084343216307446\
         305529751/8162035173067781668245053256420990068220310750329393\
         1308104966163648982630057535078400000000000000000000*ep^2+
         507422556858473430631108838550*ep^2*z5+28847805027442717205646\
         112876047071721/222844160*ep^2*z4-8311739463087640414118604821\
         1845119424881808627/372862074128544000*ep^2*z3+
         40326213035101645924449658220960190834030141705605008966506149\
         21908174774465947947810135130166493615198526786795360894555586\
         7087555016029331523257050907198128824259985974399/
         19448513079904392806273829579321708732381876019447810664162774\
         46982681949019924884843068748846041896939081742493417472000000\
         00000000000000000000*ep^3+17576698445731045023108107263875/14*
         ep^3*z6+114944466136856056008152540131484857989/111422080*ep^3
         *z5-83117394630876404141186048211845119424881808627/
         248574716085696000*ep^3*z4-54737125246434762673651771234656278\
         0070999274973710088231/4436419745679446927001600000*ep^3*z3+
         1281632856553798814211491719530/7*ep^3*z3^2;
Fill mncnoptab(13,6,4,8)=
      +mncF321*(-918713826935830200234960000-
         7415868381966056332808373600*ep-151402071208186514419802742852/
         7*ep^2-455040568212597814359257422935156/13475*ep^3)
      +109602646356355502220132422966414532950867804572737241/
      24247638286102240289280000-41880228385556493053082/7*ep^-3-
         1493981045188227842949076639057/21991200*ep^-2-932114577135985\
         3241265488735094799783/37739076328800*ep^-1+
         84629446994309520347284847256/7*z3-
         21185361680226738792004721001973165430081098352255815078973213\
         7015825959873962648869109531212429621421099346971087218228793/
         47618196148856871962727421987006651314931572454200838548191163\
         46548368179200000000000000000000*ep+
         126944170491464280520927270884/7*ep*z4+21927683904305623640114\
         37372855230123/10995600*ep*z3+57686279047497888303273133241250\
         74038851141760475295759803278071942257418767009354610254926890\
         40679357176365745819099272713135984713/
         27813678658223371947196085058630326969726901868155775317266443\
         54774839406030435123200000000000000000000*ep^2+
         1172710969185593102363312269536*ep^2*z5+2192768390430562364011\
         437372855230123/7330400*ep^2*z4-324368815577207978869922554665\
         09377129623751/62898460548000*ep^2*z3-
         23928530771469236527110066363699321504032774910376435127748290\
         78941791601848634007646553565152205336716812427003690210354247\
         166559379583358654202449845568308184799637169636529/
         77404702204248391486297844189966429627756187223886281603315807\
         96072187776592484246267506529220745850561745743683518464000000\
         000000000000000000000*ep^3+20310868343262105490489752598740/7*
         ep^3*z6+8727133417096159741693395951621170447/3665200*ep^3*z5-
         32436881557720797886992255466509377129623751/41932307032000*
         ep^3*z4-264530721650398232196021046648122856278485145779825783/
         932601472542393857280000*ep^3*z3+
         2961988260980743509100013870208/7*ep^3*z3^2;
Fill mncnoptab(13,6,5,7)=
      +mncF321*(-1205811897853277137808385000-
         9744763782030261526334642850*ep-28479976371954562505868183366*
         ep^2-12262119463293207763444903421214/275*ep^3)
      +2082463683812966704475544172924237983166178762078510869/
      351013430427384811806720000-350796262043014064294121/16*ep^-3-
         39012293831743071130759649735229/159174400*ep^-2-3392739583386\
         3709453478902029925369130173/39334900127846400*ep^-1+
         31736661783804873718494576021/2*z3-
         23085079695539894069417100114673634985689100116186054111666354\
         099558250238163406915366093804016629408869672254297989850674587
       /391167464660450857513924128612840730529611738044032285216735876\
         449642217472000000000000000000000*ep+
         95209985351414621155483728063/4*ep*z4+208435504894000982019382\
         40774067498381/79587200*ep*z3+
         31092073744068017764352358164953452599476162756620644396395350\
         85092150437330034873493304804019196895458050929196604063672522\
         4233898972813/113097607354873730256578148863576133625065022603\
         207028150631591607014456228614441533440000000000000000000000*
         ep^2+6156745759589044880309876654139/4*ep^2*z5+625306514682002\
         94605814722322202495143/159174400*ep^2*z4-94736416331899947327\
         40241336890826325118999121/14048178617088000*ep^2*z3+
         53044834149621047692311409577086013564105512624804145977780819\
         20046511693498765708334600412666053309467894695882800532874306\
         8877067738688287510164076710181365667715185145462499/
         60238761443306231197499818879810609179695971553827147043668900\
         88916042732259729236551039094849342349008596687601323212800000\
         0000000000000000000000*ep^3+30466362180107175664364437510485/8
         *ep^3*z6+249888050024019611233806649626669083727/79587200*ep^3
         *z5-9473641633189994732740241336890826325118999121/
         9365452411392000*ep^3*z4-2434969039518929933736840076172466119\
         24682010414161937/642881740709495992320000*ep^3*z3+
         2221477574465266164097835076981/4*ep^3*z3^2;
Fill mncnoptab(13,6,6,6)=
      +mncF321*(-936277473627250483474746000-
         7587349147645457256434227860*ep-111406238975712094612721312868/
         5*ep^2-337903987459601346971960987067204/9625*ep^3)
      +43303310608068094519289123444087217187897175490404951/
      9400170632113329868800000-24097955392301960706945993/680*ep^-3-
         2663519171979838751522893845696957/6764912000*ep^-2-3313473340\
         4782791627678801006020287465241/24228018194688000*ep^-1+
         1047344274263137315733140687893/85*z3-
         96342452116681238307808069133754580058907342382922735783005447\
         358165191642996747472330172428324279842420307583265019828490653
       /209945456394849086700521501611225088219790085500142099214097184\
         9621847408640000000000000000000000*ep+
         3142032822789411947199422063679/170*ep*z4+68877932706965811217\
         6747783675969393773/3382456000*ep*z3+
         61918529516354014806522427576132805517394685063959531762629400\
         07494080167101244287498357929181249646849954462461576791389920\
         71206299777/29324244152715173824005812217072727813746465999718\
         17578389420306568429341120030310400000000000000000000000*ep^2+
         203173342595579448453049921359387/170*ep^2*z5+2066337981208974\
         336530243351027908181319/6764912000*ep^2*z4-314419340424212976\
         09325015420478646166597467979/60570045486720000*ep^2*z3-
         86973300384704630212658481633193329073465460826032662957543154\
         95076704067879093543090166561574487167055118646365080066749401\
         36816040019980551011770282222247560981421206041233885581/
         12855289766683119313333794256098358446243536990651556086576841\
         59153753966242825635927747896631688097465087132401246666752000\
         00000000000000000000000000*ep^3+201078654047053173821583639983\
         601/68*ep^3*z6+8336387931342930865570485211863395801391/
         3382456000*ep^3*z5-3144193404242129760932501542047864616659746\
         7979/40380030324480000*ep^3*z4-1307243758153180390535790184586\
         27191093221079202647729/427280483277878630400000*ep^3*z3+
         73308002366110651284554847169173/170*ep^3*z3^2;
Fill mncnoptab(13,7,1,10)=
      +mncF321*(-7088841257220912038850000-57673256765087553450003000*
         ep-7161768704173643016000773905/42*ep^2-
         59168017909782375495001243581509/218295*ep^3)
      +6091222339451137211279352400853766357744691791329301257347/
      174644099708417107728344985600000-76244610009278295/28*ep^-3-
         317493684090231392134660057/455051520*ep^-2-324627123535718148\
         560512139412367582397/38830921719958368000*ep^-1+
         1958993650308115521057768005/21*z3-
         57448859514745759212480796508195915041278107573478013813826840\
         83983358274433558370545083050056854647576678652418876119696055\
         48383/16740643651593297044549851180922636257526236412687284627\
         93279080848330085465216516096000000000000000000*ep+
         1958993650308115521057768005/14*ep*z4+418233531218558773957546\
         18633225985917/27075565440*ep*z3+
         85277852123125181617628260226881133560312402815358499678760176\
         98305111468628729025572184480409224402531130201949866707487271\
         5979593942419549/537799426254896934302084758755588504574692554\
         15110714658194681947467903060224383035605128314880000000000000\
         000000*ep^2+190022383911375581075104294310/21*ep^2*z5+41823353\
         121855877395754618633225985917/18050376960*ep^2*z4-21100381885\
         7474769696928707811184177552369599907/54363290407941715200*
         ep^2*z3+176605416175564261498756373104277404552535242669344923\
         94368158197992799888038311584718074411627693238188452295834698\
         47431785085848079381606338209453313065440025717891212620920878\
         923/1432230623626877158393681069704923751250071418796307136210\
         41451584522726999431538931963682692734651117371856364108250332\
         035809280000000000000000000000000*ep^3+
         313438983768445775923410877175/14*ep^3*z6+19002468307237684619\
         282229038982312577/1002798720*ep^3*z5-211003818857474769696928\
         707811184177552369599907/36242193605294476800*ep^3*z4-
         8546210540637969710066472734527127227545932321839528443953/
         3492881994168342154566899712000*ep^3*z3+
         68564777666996551117413075190/21*ep^3*z3^2;
Fill mncnoptab(13,7,2,9)=
      +mncF321*(-73614889978832548095750000-597259535608640225099493000
         *ep-24604415792111567054611936305/14*ep^2-
         7481744950226223289431116936193/2695*ep^3)
      +86769022984997405785892079859951788147833091397409906353/
      239566666266690134058086400000-1313451826921676870805/28*ep^-3-
         33553631187986274078822530413/57302784*ep^-2-93637737952114586\
         017836906003844019999/36876468869856000*ep^-1+
         6781139080621912793190011205/7*z3-
         26296436363506985299449755301196190473292693864364427154998941\
         27318145441818908054035823692566672447454651707858640422115269\
         611/7357773888765076047929109793597730454674713248337987012033\
         59378772232698280804352000000000000000000*ep+
         20343417241865738379570033615/14*ep*z4+32128154416653724751469\
         68408322454673/200559744*ep*z3+
         39109222497708240940559897645138271741571494465075854247593735\
         01297633021452515596422351232767901853353046921777584821009127\
         26815877274233/23637123268641526626730982309743084501724928407\
         981917236537105233046883531292454066648514560000000000000000000
         *ep^2+657769867214857740891454611510/7*ep^2*z5+321281544166537\
         2475146968408322454673/133706496*ep^2*z4-136462001669869194850\
         283490694152684325291544677/3355758667156896000*ep^2*z3+
         17271878903944481625941465012304402532279480465318271080668073\
         79795599209052209118660590538751604292614990720404041787689501\
         872752924855534157382580403716006216977938271359017543/
         62948768903569589343352828913435622793595629529634495402967682\
         17319482872209402635672942502564997655319962606947534410612736\
         0000000000000000000000000*ep^3+3254943640671179140491323001525/
         14*ep^3*z6+13014328203519229952800782521978934989/66853248*
         ep^3*z5-136462001669869194850283490694152684325291544677/
         2237172444771264000*ep^3*z4-2930907623877592367586945911139453\
         130327160593456092674003/119783333133345067029043200000*ep^3*
         z3+237339535688944729226524372710/7*ep^3*z3^2;
Fill mncnoptab(13,7,3,8)=
      +mncF321*(-294459559915330192383000000-
         2385808003631148774566031000*ep-49027670454639502105727122980/
         7*ep^2-29726227538850883205996439972486/2695*ep^3)
      +86768210907098496380545577231315006039572519696265551459/
      59891666566672533514521600000-9122013615905679066240/7*ep^-3-
         1519669484682544956713020488445/100279872*ep^-2-30293374522352\
         51646778115765091795014447/52433729174326500*ep^-1+
         27124728132980513175462821460/7*z3-
         70293511891977657417103928018045570081269037687081574978838254\
         515999399718277035880992553526578205434871154139789818646834903
       /493110612183627569082258813526195936568656103882945667549739166\
         9927264177356800000000000000000000*ep+
         40687092199470769763194232190/7*ep*z4+321069828116388093164564\
         4418855849403/50139936*ep*z3+356349899396365049300133734989090\
         01538273949525842933390911102898656504854166604650086595238121\
         655238946194298470697222879511659797615289/
         53860632448076395308306274794336455570336750929646295786380122\
         6013438101298981700737433600000000000000000000*ep^2+
         375868756602546103848657885660*ep^2*z5+32106982811638809316456\
         44418855849403/33426624*ep^2*z4-137047209239947466422875107955\
         797240689833021481/838939666789224000*ep^2*z3-
         31947460925694945054964387489824567261708087314235514324998048\
         16210285055357389446366613082957887310437677050576742746418635\
         669468386771386495448772461941584307953510091667301389/
         71718974987790873275304329816739804615099187289622634736454064\
         97597067074457327221632584231437985609902301147238401835008000\
         000000000000000000000000*ep^3+6509891420212105534412855945400/
         7*ep^3*z6+12945466461173298306257377198281729383/16713312*ep^3
         *z5-137047209239947466422875107955797240689833021481/
         559293111192816000*ep^3*z4-28753457800736856457201729551670505\
         93684109592867539412169/29945833283336266757260800000*ep^3*z3+
         949356252663288566420546140620/7*ep^3*z3^2;
Fill mncnoptab(13,7,4,7)=
      +mncF321*(-595462665606556611263400000-
         4824937002779497388053269000*ep-14166146097223731789934974140*
         ep^2-8590787432909773108196736939694/385*ep^3)
      +53395804101872862028046035459754809922338954753749971/
      18225697349114211382272000-27883042855392395488220/3*ep^-3-
         67674438681119350859425584440113/644656320*ep^-2-1565980729226\
         65612744020573136095497561/414860274785880*ep^-1+
         23508537197864473554955592060/3*z3-
         21502280044752706295648731847360165695578192220644139734482276\
         06697075675671049150106451498256011416169915526404917994711250\
         217/7393065082082521207013166030782689807009661849032210190596\
         3080648982379102208000000000000000000000*ep+
         11754268598932236777477796030*ep*z4+59629843059539984401521938\
         77428652241/46046880*ep*z3+32093553759868616009268186205267800\
         42094276968387962633012296193660489248486687153182764038314513\
         21699855470271423550436128474673302471147/
         23750497544523483353881411261350988061263654746673475911632634\
         23747303580800903272202240000000000000000000000*ep^2+
         760091710428077916798860992340*ep^2*z5+59629843059539984401521\
         93877428652241/30697920*ep^2*z4-109613374696112264113693400526\
         7715232587877749/3318882198287040*ep^2*z3+
         13073142564333796777908075380128434271550650093792545901936456\
         10111190181151831289665538689328196367994232657781239389955669\
         0775721170374473968843309667766458294634528565165301889/
         63250699515471542757374809823801139638680770131518504395852345\
         93361844868872715698378591049591809466459026521981389373440000\
         000000000000000000000000*ep^3+5641916485215923192104068462400/
         3*ep^3*z6+168334493889145205506879478677430667443/107442720*
         ep^3*z5-1096133746961122641136934005267715232587877749/
         2212588132191360*ep^3*z4-1770696800123143604419583240037854577\
         002890977852225433/9112848674557105691136000*ep^3*z3+
         822770584809569953989602542580/3*ep^3*z3^2;
Fill mncnoptab(13,7,5,6)=
      +mncF321*(-669895498807376187671325000-
         5436278789194206416020808250*ep-16003197012578150751547217670*
         ep^2-9738849729421993172977349999322/385*ep^3)
      +694157228069552672430799899766424023048030189950594023/
      210608058256430887084032000-389579997647920467178245/16*ep^-3-
         77792754553440338199494816586269/286513920*ep^-2-1121659343804\
         62643354993596459427735228443/118004700383539200*ep^-1+
         17632014189312281119220732145/2*z3-
         11455245986265863900585108487054156331658148600007472454946187\
         99886233220393131014623776438050809073609643920460233866796552\
         14127/35060479560182160519993560334757704977630003513650200878\
         36361401185159253852160000000000000000000000*ep+
         52896042567936843357662196435/4*ep*z4+208864336064984100709230\
         34426423171501/143256960*ep*z3+
         16929738848607040519261811399148548859579346172661424344058678\
         37631532524766996652152035566576409352189880737325698369392312\
         3318531179857729/112633099324666213150167202895029303076247791\
         26037242785644149757005707542624691793428480000000000000000000\
         0000*ep^2+3420425700633955868701819235055/4*ep^2*z5+2088643360\
         6498410070923034426423171501/95504640*ep^2*z4-2181673913865751\
         2653028608352849527747140619101/59002350191769600*ep^2*z3-
         20867787533204770616520848301762375541941792315406491539989377\
         06835497782296130820952219016806384886000529797244534816037991\
         655905117615785114822661993899224705671389465196511199/
         17541331065649480544510050641849611914952194724085943977785163\
         96506097029960970653312716428152400912720391798598192332800000\
         000000000000000000000000*ep^3+16925808361276656532316888853825/
         8*ep^3*z6+84670290086078393118056885750238265189/47752320*ep^3
         *z5-21816739138657512653028608352849527747140619101/
         39334900127846400*ep^3*z4-235078041213354644205301117932348409\
         66042107143325184363/105304029128215443542016000*ep^3*z3+
         1234142428556208410744199273345/4*ep^3*z3^2;
Fill mncnoptab(13,7,6,5)=
      +mncF321*(-433461793345949297904975000-
         3528296237451762101289714750*ep-10441331340908694555346726410*
         ep^2-6398371377178802472700298133006/385*ep^3)
      +7635798576275302592969972135349010161671172698225946157/
      3580336990359325080428544000-7149655281247411157421495/272*ep^-3-
         129557426658301787679171842850269/442794240*ep^-2-204708468994\
         7099365529415445575200626021097/2006079906520166400*ep^-1+
         193960032598773830859062026395/34*z3-
         47909141991777714769242128447414271258268623722328564213401137\
         79087566336956165563543338626268094291408289892240951552099472\
         31289/23713873622520193870829176582589776568605858326293817500\
         849617534973681227687526400000000000000000000*ep+
         581880097796321492577186079185/68*ep*z4+3287143987908654032496\
         3553103714822873/347909760*ep*z3+
         18950288977984716825478666819218312012534889212944764965589331\
         73368502197372093208234128511524873310603439034791420853410542\
         9981361645104323/202114725438707990850992249199989942406477335\
         98062865388209956828431466402851991711016550400000000000000000\
         0000*ep^2+37624850263708399387476085460805/68*ep^2*z5+32871439\
         879086540324963553103714822873/231939840*ep^2*z4-4752914384879\
         2225749343472063466580831065379699/200607990652016640*ep^2*z3+
         11710606900023152217307124595202922351378240204866359783440693\
         34385721190293007387521749237823920398718546006064724064194086\
         8134081434068769163437323674105802152867446222869727251717/
         20288190056395196300041166987734306006766063829114438229998018\
         48362917907867358753070323537611610085775230259416894959255552\
         000000000000000000000000000*ep^3+18618465099255425862878980704\
         0075/136*ep^3*z6+85680656469887405164562764404577695589/
         73799040*ep^3*z5-475291438487922257493434720634665808310653796\
         99/133738660434677760*ep^3*z4-26937503085629895654120858333689\
         1901371720109661703511769/1790168495179662540214272000*ep^3*z3
         +13575393434610933797782210739595/68*ep^3*z3^2;
Fill mncnoptab(13,7,7,4)=
      +mncF321*(-160541404942944184409250000-
         1312908130993640699955937500*ep-11750278329058334611091628550/
         3*ep^2-13098580173401948728950294977636/2079*ep^3)
      +127682186728025110222871579519845959543145753758632171/
      161654011270404309651456000-14369329316490901633035025/1224*ep^-3
         -157647501948095472274524802318469/1195544448*ep^-2-6131979691\
         0305081092810739613615840223227/130831298251315200*ep^-1+
         323273468036054407806165852725/153*z3-
         63447269288857852924927938093293274668828718633398577057972649\
         89579295373372133014779608856503336749658724986759240310554492\
         71353/77865921716772489847327270444490099230094806816785691242\
         259878664090890520315822080000000000000000000*ep+
         323273468036054407806165852725/102*ep*z4+230634058546167556532\
         491481881348191599/6575494464*ep*z3+
         28607960088541921691113461592036629258140196981421648486825446\
         93149561966036904553659673010753009798687014494847814537789292\
         73013209386879877/75044154028277240195411963200582678710931088\
         36336186702761276538554282769438277623430198067200000000000000\
         000000*ep^2+20902742432041442059513058603425/102*ep^2*z5+
         230634058546167556532491481881348191599/4383662976*ep^2*z4-
         130017780279792844392550953537216236026248507643/
         1504559929890124800*ep^2*z3-
         89982407171334760442561141792540723118344731549414041820810968\
         29421505910485719708178185055637397990381556977384682858196781\
         3124834555881935169965465259167663292397050439106790226993/
         30644043068306419311443430162035935829094716534888039294022632\
         04336664817464403686590656808341236308933124354958006280020557\
         8240000000000000000000000000*ep^3+3103084018002610868146342205\
         24125/612*ep^3*z6+87241336499478418611848443113612539221/
         199257408*ep^3*z5-13001778027979284439255095353721623602624850\
         7643/1003039953260083200*ep^3*z4-14294940663375913022968287186\
         94475809106295033670720120469/24167274684925444292892672000*
         ep^3*z3+22625507279339798893769667040525/306*ep^3*z3^2;
Fill mncnoptab(13,8,1,9)=
      +mncF321*(-4317264224322510339450000-247021691474008948195413000/
         7*ep-10307836760011033436768334825/98*ep^2-
         9563594296331369234848197537011/56595*ep^3)
      +106863310002000715176549216080397528794202437359788434939/
      5030899991600492815219814400000+1043169156486341235/196*ep^-3-
         290214204714294666949572497/222844160*ep^-2-550752132730084921\
         69263461124475505707/3355758667156896000*ep^-1+
         2783833070209597085897180925/49*z3-
         37597485507003691111121257255561962454442000698744080025906507\
         28252363843059666430747578606874921692120845880872860012055385\
         3358321/180550941901628448124922839403135988081171853458316195\
         690889951238160637365730018328576000000000000000000*ep+
         8351499210628791257691542775/98*ep*z4+220629429898058315053695\
         3285749637263/2339863680*ep*z3+
         29703635869219925443719292808140477040396804747614598065616928\
         06041647400147763430919908717411322951352395007621432990447352\
         3399530670280141/310174674045208927052420443156322781802635119\
         36780035865451161384635875165651297959929121341440000000000000\
         000000*ep^2+270031808606155788202293154950/49*ep^2*z5+22062942\
         98980583150536953285749637263/1559909120*ep^2*z4-1514878132959\
         43016049359713400929317224590229/65070112659552000*ep^2*z3+
         54054623657513082616611515129233182831317195132530525833665362\
         63348269951229035971445098895717869945245080199866980831385147\
         90950312311736195686477569648491334820225878723694055870041/
         77234362518545671948933319907050703030374221695089747789717167\
         96557966315228604469812560074097098223218274920968207869757190\
         3078400000000000000000000000000*ep^3+
         1336239877679730955581979870125/98*ep^3*z6+2749482699674556810\
         1238670283845767801/2339863680*ep^3*z5-15148781329594301604935\
         9713400929317224590229/43380075106368000*ep^3*z4-6979083592895\
         6443674939582691646044161455409311616943289/
         44130701680706077326489600000*ep^3*z3+
         97434157901449407520998375990/49*ep^3*z3^2;
Fill mncnoptab(13,8,2,8)=
      +mncF321*(-39851669762977018518000000-
         2274852637306125154684692000/7*ep-
         47271778972493048664697489860/49*ep^2-
         29085065496023073214534578572652/18865*ep^3)
      +595661369320797105813463123967295646176735401800641611/
      3037983086715273439142400000-3531436003290674125530/49*ep^-3-
         4983075603436323353942685355/5571104*ep^-2-7779463443451546421\
         603670366300332423/2026424315916000*ep^-1+
         25696998443576529126200515320/49*z3-
         37241039879067891705748032825367677700316919725837450826315245\
         87501184315966872952134492562688333293905485161952314935502860\
         2601/193494192266774125146942629987830516072894395432724974234\
         01332975158555580982886400000000000000000000*ep+
         38545497665364793689300772980/49*ep*z4+99717236076881824696771\
         33970148511/1146992*ep*z3+551665076189981284751227888289489368\
         61701434276209036828603318688693012562815395277648308210950818\
         8129273353955699471285006678124399971669/
         62160731540822081117909668391039771862167721432962169248460602\
         907654156522470249489183539200000000000000000000*ep^2+
         2492602137486528789611104151040/49*ep^2*z5+2991517082306454740\
         9031401910445533/2293984*ep^2*z4-70653020453715103561729033075\
         76645324331290939/326254314862476000*ep^2*z3+
         48600330626615549566511811233292323793676222503195468531885370\
         70814325487211787711568930541393602150826410795017628891634293\
         519762911093878772657301174973925487834628764561775557539/
         38074707333830827235943127395584453022598469792219536498649257\
         41993062946490964305374468561167533585477007900304527054182809\
         6000000000000000000000000000*ep^3+
         6167262847607380651212259089300/49*ep^3*z6+2095976446356208862\
         152056073938747081/19498864*ep^3*z5-70653020453715103561729033\
         07576645324331290939/217502876574984000*ep^3*z4-49513127340285\
         4994213815498981909254433265119304513667383/
         34936805497225644550137600000*ep^3*z3+
         899391370624750219245098603040/49*ep^3*z3^2;
Fill mncnoptab(13,8,3,7)=
      +mncF321*(-139480844170419564813000000-
         1136312504594225185373289000*ep-23572974528036254631090112020/
         7*ep^2-14471938309186089959435400231594/2695*ep^3)
      +41099912660670774775306738605388934831597619062346889601/
      59891666566672533514521600000-10482216971578939405260/7*ep^-3-
         27626290246550341010394813009/1591744*ep^-2-410293850456045954\
         20781119455061164412/624211061599125*ep^-1+
         12848690964435297992925070140/7*z3-
         31519326958847911050432926792968658104878135325835034749602651\
         97335365403104203053236556332526628124255472757490058285567688\
         5267/465763100171198836041829459939309457841608696489029242007\
         5674080885889883439104000000000000000000000*ep+
         19273036446652946989387605210/7*ep*z4+169439387921434939353242\
         308816024545/5571104*ep*z3+46759114237589778054276285663803637\
         63936340312482328576648351797682223446787010745312580580931971\
         333213417217624746958784010474011901417607/
         14962813453049794512945289094651122478596102490404289824328559\
         5696080125590456906148741120000000000000000000000*ep^2+
         1246303108261711686622031123580/7*ep^2*z5+50831816376430481805\
         9726926448073635/11142208*ep^2*z4-2126318411123981030899138726\
         8615763781305670273/279646555596408000*ep^2*z3+
         46173377890845465603726509366944250162986134297146472736488159\
         71348863918870871649643269560068229399596816056862008500014626\
         15593857852175632960768082403213856851571841397875154937/
         39847940694747071937146130188994717972368885182856657769386977\
         93817962267389810889978512361242839963869186708848275305267200\
         00000000000000000000000000*ep^3+
         3083636043243190971572765133600/7*ep^3*z6+12282789877213446422\
         7053857863084639/327712*ep^3*z5-212631841112398103089913872686\
         15763781305670273/186431037064272000*ep^3*z4-14666426748482626\
         01311770472685126666417829740969729256931/
         29945833283336266757260800000*ep^3*z3+
         449693576305900460641600920180/7*ep^3*z3^2;
Fill mncnoptab(13,8,4,6)=
      +mncF321*(-241766796562060579009200000-
         1970377375020250664195442000*ep-40903497504558397204995133440/
         7*ep^2-25134172934249842966129932835764/2695*ep^3)
      +640936706544823931194006668070841436703197872434721/
      538836406357827561984000-53423539514967782911140/7*ep^-3-
         60501121434620658643708728833/702240*ep^-2-2058418141671295223\
         71820250220414813/665159972400*ep^-1+
         22271839970955216777977910120/7*z3-
         35756528472880916021893181382575252865766796514499871059068703\
         90249349843655360970672535875344415561699251145101100611547461\
         3067/306779196151593904549943652929129918554262530744439257685\
         6816226037014347120640000000000000000000000*ep+
         33407759956432825166966865180/7*ep*z4+220318643672463310540045\
         8463124586953/41783280*ep*z3+
         42198383100231289779945130144336266749089578980762583588539150\
         54170464888018857725487624614566448382902964021763018572092183\
         0055849844779717/788431695272663492051170420265205121533734538\
         82260699499509048299039952798372842553999360000000000000000000\
         0000*ep^2+2160266970764246218513353950040/7*ep^2*z5+2203186436\
         724633105400458463124586953/27855520*ep^2*z4-31459987068857477\
         282451116100306095500201267/239014150082400*ep^2*z3+
         27173032924748642602437040490144034577490648745644473393165760\
         54213409890638082917042280964158994633001407177518626883276115\
         72223876282859962717351907545489648553998981205449138429/
         20996973285582428211778530618293985462197777084730874941408841\
         26617798144863281872015321564498423892526308982922036222361600\
         000000000000000000000000000*ep^3+
         5344987826983227504338440099800/7*ep^3*z6+82383425199588714818\
         0549040618237847/1266160*ep^3*z5-31459987068857477282451116100\
         306095500201267/159342766721600*ep^3*z4-1310207873347439838941\
         087962877248736474758506455531179/15356837581198085516544000*
         ep^3*z3+779460333345444617735137481160/7*ep^3*z3^2;
Fill mncnoptab(13,8,5,5)=
      +mncF321*(-226656371776931792821125000-
         1850549674103375476610486250*ep-38535201437894353255746038850/
         7*ep^2-4755121895196191468056126996782/539*ep^3)
      +21920334591020684023688177302155369019494718078955563/
      19656752103933549461176320-1495173131336311997564475/112*ep^-3-
         135924502224757453305311971199/909568*ep^-2-138318985242642898\
         1690573466457204954463/2622326675189760*ep^-1+
         41761607870645998409764248975/14*z3-
         40801558083592204095966567111174813838158310227673075461077646\
         30603264288248838473844046351496872614339336491309253370613481\
         529171/3808169117028242898080214827674711178370234895928360104\
         54820328649871469126982041600000000000000000000*ep+
         125284823611937995229292746925/28*ep*z4+6485886682991876850686\
         4809322414287/1310848*ep*z3+8653588305204234825178098913539430\
         51490448357517041684832588937276014687433914390284456649874728\
         15714988127892604850552074830237097594126563/
         17476979199700043914762270960234424431618922581854360070981550\
         90458485624246613400893784064000000000000000000000*ep^2+
         8101041727718165140286992307025/28*ep^2*z5+1945766004897563055\
         20594427967242861/2621696*ep^2*z4-1125886430040358943674259475\
         641538877968439823/9178143363164160*ep^2*z3-
         45141596853771672980985663277417373935090295234118750449544556\
         84151916450807858746070846988272758237260271710097326954182096\
         8657025162557291711056844760913607998634990576725462514297/
         32580446384681697587713168162655679646159620149107303745820347\
         32959274052045817291695284269223350314215516828357719552216268\
         8000000000000000000000000000*ep^3+
         40087592559884365717337319045375/56*ep^3*z6+136880870062436224\
         82054653357697275893/22284416*ep^3*z5-112588643004035894367425\
         9475641538877968439823/6118762242109440*ep^3*z4-17484549649144\
         6780497519554850369031897072956151499549/
         2136603489557994506649600*ep^3*z3+
         2922934276973127519943056294975/28*ep^3*z3^2;
Fill mncnoptab(13,8,6,4)=
      +mncF321*(-117328004213941163342700000-
         961074027050121986113827000*ep-20126032898898750424992134640/7
         *ep^2-12509332084559087548690699429884/2695*ep^3)
      +3616717983950148001935794647666707514213858151833183783/
      6265589733128818890749952000-4130409899033894246704245/476*ep^-3-
         1201158712494560703220534377193/12299840*ep^-2-582687478414360\
         63095768839833921489683599/167173325543347200*ep^-1+
         183755700777148696040091035490/119*z3-
         20840279137761324739475120601017568890089807429401851957603567\
         69158140799201753445395445002148890450008358807928937424137847\
         7578301/352586626773760430589928796481456730576273047117257708\
         1563580130758365636373050818560000000000000000000*ep+
         275633551165723044060136553235/119*ep*z4+121484019299478904834\
         95396671578851829/473543840*ep*z3+
         62538157784660823206309563469764164438384656082411977570764534\
         37758097092968966008344938363739151392114944168906660835406371\
         532753604037895437/2265395399728619188398998639117589613586232\
         22996898636089606035507607411102418005757299104153600000000000\
         000000000*ep^2+17822341004584309292275839247455/119*ep^2*z5+
         36445205789843671450486190014736555487/947087680*ep^2*z4-
         36753248624536015620533699798762406371162037311/
         585106639401715200*ep^2*z3-
         61957992967268652495461383131935229507144866357330089169219000\
         08540128328141913750858099726255646565119908504610534723083964\
         28722883088623322343019663369610466909305134389393996377/
         13115317345810491960740055028588749709463091995230614643501534\
         09464741056387618425646816432917784561567845342135559752997928\
         960000000000000000000000000*ep^3+
         88192926519035802981178741059825/238*ep^3*z6+13860972081671753\
         379261691220872752213/43049440*ep^3*z5-36753248624536015620533\
         699798762406371162037311/390071092934476800*ep^3*z4-
         138151273642022458943993931028594444977357369097510157291/
         3132794866564409445374976000*ep^3*z3+
         6430404517837504911851286060945/119*ep^3*z3^2;
Fill mncnoptab(13,8,7,3)=
      +mncF321*(-32591112281650323150750000-268268942188200016815394500
         *ep-5664855774551036693043881610/7*ep^2-
         323585306214951255953768907292/245*ep^3)
      +4566065393001992436806812043241218067542162394262084193/
      28479953332403722230681600000-1855967157886904823723105/952*ep^-3
         -994072584967756222760261825057/44279424*ep^-2-546659492790824\
         4496372843882420026439913/65132464497408000*ep^-1+
         51042043561415002485625315365/119*z3-
         87779925260254134793404468191841176475854395427375472539287773\
         48426141754506933784746024369027852549730108990219698581968833\
         7050531163/573666277019280970801605039181918577463831275949714\
         23023057573967467666318375397495930880000000000000000000*ep+
         153126130684245007456875946095/238*ep*z4+110704350922118473814\
         5652707928067007/154977984*ep*z3+
         62188388149835021701675510248043069310450908583865706491109524\
         41281162717967156915326855250990845284985981787989362119362330\
         2776513030641984863209/921462164369614347210117135342408006379\
         60877194116280777425530531805467840414648386257840053944320000\
         00000000000000000*ep^2+9901274890839794244255940044435/238*
         ep^2*z5+1107043509221184738145652707928067007/103318656*ep^2*
         z4-27390324395878104251634906213910967967358839503/
         1595745380186496000*ep^2*z3-
         25269787812112997711262444375266489952330171388089810505667635\
         42390458806123288785952012170919895086538157995632291728710435\
         52861824709906318921161176401172890541771595990247074026777417\
         677/7091987660149836588950526774516171072050385161328980799462\
         81056095479542703567902472099613942582328459963689217157342992\
         6937218777088000000000000000000000000000*ep^3+
         48995954018584821196423447068525/476*ep^3*z6+47062509250276648\
         37040301188355172791/51659328*ep^3*z5-273903243958781042516349\
         06213910967967358839503/1063830253457664000*ep^3*z4-
         16780082325422889330967287207576523319813820073184781623/
         1294543333291078283212800000*ep^3*z3+
         3572473504203272812174908533085/238*ep^3*z3^2;
Fill mncnoptab(13,8,8,2)=
      +mncF321*(-4410827226088013659500000-255844592217710816016411000/
         7*ep-5463785759166677444197870980/49*ep^2-
         3483678774315126913925102348256/18865*ep^3)
      +1958725343516610832583223651933234979721934070415692012093/
      90276705404831065517555558400000-6915764970247628284190505/63308*
         ep^-3-438888470747732568516675282929/327175744*ep^-2-906840268\
         037341451902879229022243568129099/160579266591359616000*ep^-1+
         918702958216923113851584663930/15827*z3-
         39414939712426444842830247028125130628503624367113614560176600\
         70075606003298922158344940745550456746511824510551188575565264\
         529328405403/1926904048345120546567534069109265793231190410823\
         9508340423445827286907204440021908901068800000000000000000000*
         ep+1378054437325384670777376995895/15827*ep*z4+643007772238495\
         296721690504551476759/662961376*ep*z3+
         58209694057018024978073339827371227195449763569012159118354909\
         70519297889978643480690489124992577491821377709520025243923298\
         82426826565208138884701/61902511827830163825079654699252480714\
         28728928647597290797765104654503035993569771948249897909616640\
         00000000000000000000*ep^2+89110901477549316232834785029835/
         15827*ep^2*z5+1929023316715485890165071513654430277/1325922752
         *ep^2*z4-425312585589533864307113574482937323654506055849/
         187342477689919552000*ep^2*z3+
         20756435284539970513375749772447061015510669286628590931051408\
         02317366641710234124501814868454598850686775822688423575125036\
         84059864721343620125167134948393813613845550588749378741184568\
         3141/170511646171888213988624808021581655918011403235952495507\
         08443105838458148144353998007766432362372268544555556463940117\
         952907627431198720000000000000000000000000*ep^3+44096099259666\
         1965594916001829525/31654*ep^3*z6+1447225343827946676343779801\
         9294681093/1145115104*ep^3*z5-12759377567686015929213407234488\
         11970963518167547/374684955379839104000*ep^3*z4-85059641815830\
         386636143285144085458181310543684467555454473/
         45138352702415532758777779200000*ep^3*z3+
         32152853560376021422449200910885/15827*ep^3*z3^2;
Fill mncnoptab(13,9,1,8)=
      +mncF321*(-1726905689729004135780000-99513278325944630062376175/7
         *ep-4203311527962383415135672141/98*ep^2-158483969801096609511\
         287074439423/2263800*ep^3)
      +71241757885353202778105797303300542244476122667626613299/
      8384833319334154692033024000000-1919296446842374119/392*ep^-3-
         1842954710481682650456607469/1114220800*ep^-2-1653188618060719\
         93396411158772127371093/8389396667892240000*ep^-1+
         1113533239308578146373551821/49*z3-
         19478700747742573743057923430982217015123180757215092557335613\
         08818410452475910719398039235552831993603886435589042519369088\
         02891/23530844981578558230894915664973849549584021285245569219\
         53737229271466831476907048960000000000000000000*ep+
         3340599717925734439120655463/98*ep*z4+442808579183967555711982\
         4874755749801/11699318400*ep*z3+
         48592599113774077065619737993435641613403780366671816156898847\
         01333376180696880974009138358011550989830329152353830065733497\
         03479202956911677/12850932036659440415799165101253873749722091\
         39270364754994317801483439845043686375010955008409600000000000\
         000000000*ep^2+216025447097144212426547115129/98*ep^2*z5+
         4428085791839675557119824874755749801/7799545600*ep^2*z4-
         333747658374051621064295273079801910760456123/
         367036104220285500*ep^2*z3+
         12717022445518254597216834285201814094916627814281578498779613\
         48424140442209816476811500850156759826956041547869131180372156\
         79284350391533542566544605272339176308102540801981388851775026\
         809459/1017853418159273170557818889828139264438723199889603426\
         63082929116823302857961385054281890672331449041750206023341056\
         17701126630379880448000000000000000000000000000*ep^3+
         1068991903092635280669000057435/196*ep^3*z6+564928560291252520\
         52581071708983500987/11699318400*ep^3*z5-333747658374051621064\
         295273079801910760456123/244690736146857000*ep^3*z4-
         1730300452780165236216919386422624959161469569516388341551/
         2515449995800246407609907200000*ep^3*z3+
         77947326015785987763151436391/98*ep^3*z3^2;
Fill mncnoptab(13,9,2,7)=
      +mncF321*(-13948084417041956481300000-114593820736287860875747125
         *ep-4823796675664298375856530055/14*ep^2-
         12071321159356848807205203250971/21560*ep^3)
      +16439792928507190636623034098186219629044589694101354189/
      239566666266690134058086400000-3630439140328895986845/56*ep^-3-
         25550678378345434795432606419/31834880*ep^-2-27398231961745996\
         3764044601063777434231/79899015884688000*ep^-1+
         1284856017957653706022315455/7*z3-
         52228890466680736169812396827508239500981508551255600342391257\
         91777607766579043815070353611742689530932001502356533626272824\
         0145947/779268242896432772581584869424458653914795510095794824\
         80286103047301823639819649024000000000000000000000*ep+
         3854568053872961118066946365/14*ep*z4+340287862890818160305257\
         490150570397/111422080*ep*z3+
         96001498528660660665606008263217529760155958391290152153202322\
         67796220491847597148316096640787447318168884268963342932521212\
         56016874924412719/31292853985372013999510953980325991273673923\
         84586927163135514126988895726567418120968234598400000000000000\
         00000000*ep^2+249260343446851402801440489795/14*ep^2*z5+
         1020863588672454480915772470451711191/222844160*ep^2*z4-
         12163511353584501350840617170791699304675367/1644979738802400*
         ep^2*z3+367507632953068273166573766493566238234636241888519092\
         79685402436109571761994705515171492908266595349052155234727305\
         48687448576056418894682364269031407127981126091635698160168368\
         186678889376371/5750210868821867911592872949029098441959020674\
         70100637122611352802832944717054577904060031720314030300796618\
         44355012255844027067730493440000000000000000000000000000*ep^3+
         1233453157054680476946979294425/28*ep^3*z6+4313027533810581071\
         632510684023030039/111422080*ep^3*z5-1216351135358450135084061\
         7170791699304675367/1096653159201600*ep^3*z4-15308142367227887\
         46144672294718033039493152243127369519/
         281843136784341334185984000*ep^3*z3+
         89939003008928200246100435805/14*ep^3*z3^2;
Fill mncnoptab(13,9,3,6)=
      +mncF321*(-41844253251125869443900000-343550956886010619431703875
         *ep-14445090289423111306900081365/14*ep^2-
         36093886666885679602596411224133/21560*ep^3)
      +16439275204775594322515786020188263499891602136394140289/
      79855555422230044686028800000-53864250080427477411435/56*ep^-3-
         354916315247403145267181657037/31834880*ep^-2-2811918706085678\
         11504087106513327780389/6658251323724000*ep^-1+
         3854686242731238765474769665/7*z3-
         20698427322526491880483288480690899919279685445577014975090932\
         49251463261007246418496954078788112679095369072288138494241962\
         001847/1030778099069355519287810673841876526342322103301315905\
         823890251948436820632535040000000000000000000000*ep+
         11564058728193716296424308995/14*ep*z4+10205470368538733373217\
         99155230001171/111422080*ep*z3+
         30442254535499680372457269646106633508785977821081450801872034\
         64651626084431560401614921926058338904919209472534964120651218\
         06426262952383209/33114131201451866666149157651138615104416850\
         63054949378979380028559678017531659387267973120000000000000000\
         0000000*ep^2+747783544443223031682786374085/14*ep^2*z5+
         3061641110561620011965397465690003513/222844160*ep^2*z4-
         414483479720238869309401471392764196276736277/
         18643103706427200*ep^2*z3-
         26921421616780215962331343471562850398957607510172676768271644\
         65938661952152059258237364191782679840860199432903076752778743\
         69827980240227536752161719552625210989621823137144550232186055\
         88427/80064200345612195928611430646464751350028135264564276959\
         42792436686618556349966275467279751048649823180125570085632449\
         9922064978739200000000000000000000000000000*ep^3+
         3700370859788802770759184173775/28*ep^3*z6+1290652647367762177\
         3990713594678767577/111422080*ep^3*z5-414483479720238869309401\
         471392764196276736277/12428735804284800*ep^3*z4-12911566567861\
         6802887332726893323947569739205509909597703/
         7985555542223004468602880000*ep^3*z3+
         269814408659206913970919677915/14*ep^3*z3^2;
Fill mncnoptab(13,9,4,5)=
      +mncF321*(-60441699140515144752300000-496567022101216395202677375
         *ep-20902382244641213243519843745/14*ep^2-
         52305504466769712303709516135833/21560*ep^3)
      +14612691715843694057793636801481585715397855731793853/
      49141880259833873652940800-183139502662458542949255/56*ep^-3-
         3541776700670096476099162029587/95504640*ep^-2-306115873419863\
         4018545997204666567267/22763252388800*ep^-1+
         5568169782502047720335364405/7*z3-
         16178069458700064978489839562960888671761793908058131494693953\
         70942537106258299964382660905653816558871337918061481068710411\
         74441/55535799623328542263669799570256204684565925565621918191\
         327964594772922581018214400000000000000000000*ep+
         16704509347506143161006093215/14*ep*z4+44239620810897836659116\
         96099296420941/334266240*ep*z3+
         26607971805248618608981171824022353543784589286195771695987282\
         73016705692094032169496882499137724199846306034664137675947083\
         080570486550019/1982342548114125351442942770952515734141961126\
         18255473027337035723300452750194575564341248000000000000000000\
         000*ep^2+1080137948287281178606403471145/14*ep^2*z5+4423962081\
         089783665911696099296420941/222844160*ep^2*z4-4594924768370457\
         3296353430023610612486846807/1434084900494400*ep^2*z3-
         73542261681114660430515878197371510795765781223500692212449492\
         40281237353078734603740792621769373678721392214152151110051596\
         98923080849391943630695603371273393936824734623495938206981148\
         651/2410576404163209932640545835070031169098085993319654341107\
         38576605162537086743282339399010991956947857572087992494191891\
         7221356142592000000000000000000000000000*ep^3+
         5345008043611385415828663711675/28*ep^3*z6+1868978024454308530\
         0083145773734951149/111422080*ep^3*z5-459492476837045732963534\
         30023610612486846807/956056600329600*ep^3*z4-96371686419966848\
         0546820758226795325466751605772679057/
         40951566883194894710784000*ep^3*z3+
         389725551528358891613655550455/14*ep^3*z3^2;
Fill mncnoptab(13,9,5,4)=
      +mncF321*(-45331274355386358564225000-373179287726540487803432250
         *ep-15762874124821619365654633965/14*ep^2-
         4952835629086910964377147216307/2695*ep^3)
      +2630223884594108520692722818351156950171128283385421/
      11794051262360129676705792-385677751257522376360695/112*ep^-3-
         1241520797151619698168049409503/31834880*ep^-2-554802213062501\
         8001592063483199551813217/39334900127846400*ep^-1+
         8352559869504173849016607545/14*z3-
         11839110358993523601783879082677085231038763292189715021857322\
         11419426238712113896804603742096233499787975338746376252997334\
         86447097/53095397914166276606483395234854660604427000036481160\
         757663324322008329583029471150080000000000000000000*ep+
         25057679608512521547049822635/28*ep*z4+11071235280523163973897\
         34647283854029/111422080*ep*z3+
         84374633051271328565190732223307604163489691835547293751020842\
         30685477965011706948650902377522302266150931122111005111742616\
         5864836767697/821731652387197415859814881388162947592401684539\
         3380257871236489992631613267920096048709632000000000000000000*
         ep^2+1620213414541382469374267593905/28*ep^2*z5+33213705841569\
         49192169203941851562087/222844160*ep^2*z4-32855775851582577876\
         44026520556225479314237369/137672150447462400*ep^2*z3+
         25122563193012824948494967332889768708074853132343406665889812\
         46523499893861759486027972551336508183419118210749170941937845\
         16440570071026814735663387485817701326021533963667290305837841\
         5902677/270200202918986920792572425706980790279038937860858847\
         40025631971655789137328524755053494581048015293905677348351190\
         35160072979954951782400000000000000000000000000*ep^3+
         8017541474011870608381171894075/56*ep^3*z6+1412486884911311704\
         9278003086238855543/111422080*ep^3*z5-328557758515825778764402\
         6520556225479314237369/91781433631641600*ep^3*z4-1210190874548\
         528260555621907858213531854955882049884567/
         67011654899773464072192000*ep^3*z3+
         584581612467876055746233508495/28*ep^3*z3^2;
Fill mncnoptab(13,9,6,3)=
      +mncF321*(-17599200632091174501405000-145383466641612765264205650
         *ep-6177175596226169326877968233/14*ep^2-
         9779259928032255024327267522621/13475*ep^3)
      +90405544167855992845335957894712902010043627188286228507/
      1044264955521469815124992000000-2143951758372778006479723/1904*
         ep^-3-3198051324553694689279510213149/245996800*ep^-2-
         272291020132141540266678628667647467444503/5572444184778240000
         *ep^-1+55125790668171713032365616677/238*z3-
         46719654224419390306717948202674535103471702070066091807433841\
         01185918986882067793346980494093718420676702463308220934479109\
         1355549093/573666277019280970801605039181918577463831275949714\
         23023057573967467666318375397495930880000000000000000000*ep+
         165377372004515139097096850031/476*ep*z4+365972074951669349950\
         99121016709674477/9470876800*ep*z3+
         33134149690590641361193884939920214492323252453623912227693487\
         21279058522036525843143532916853707879875142808684553291239489\
         9035867649567479326231/921462164369614347210117135342408006379\
         60877194116280777425530531805467840414648386257840053944320000\
         00000000000000000*ep^2+10693385042957344013033668116573/476*
         ep^2*z5+109791622485500804985297363050129023431/18941753600*
         ep^2*z4-35714051548563913939562587019801273931745088563/
         3900710929344768000*ep^2*z3+
         65028617298136696182001311222362098104652988663362968271142374\
         42619288823714231501329165858599779062065562381495661997772706\
         38283531871148053877623655677077673767606439607448590364778489\
         09954686337/42330764679079242064345696533147641630848813511672\
         63973971260063043914396427830370458925143265120067122347438625\
         35681910555522252986990460928000000000000000000000000000*ep^3+
         52915667308105002934844684416095/952*ep^3*z6+42925991644302990\
         332928718677827982309/860988800*ep^3*z5-3571405154856391393956\
         2587019801273931745088563/2600473952896512000*ep^3*z4-
         760398962981719097950226932092268224090368491785962378651/
         104426495552146981512499200000*ep^3*z3+
         3858262945227506852014643607267/476*ep^3*z3^2;
Fill mncnoptab(13,9,7,2)=
      +mncF321*(-3259111228165032315075000-27058201678233758173605750*
         ep-1159473384082596041350809255/14*ep^2-
         371181178006565354037062267069/2695*ep^3)
      +130579702668775605272607081548886061323810597360654400583/
      8145266653067464557974937600000-162576304821682328127525/1904*
         ep^-3-464560006456651969139343076943/442794240*ep^-2-576615160\
         724610586744612625404485155189561/130395193923810816000*ep^-1+
         10207835092187017777712594595/238*z3-
         38780530267652446101181819603203668902065433023907534032781342\
         01904341812158991385396541379421996199588172956881623757064068\
         8716629473/253540006361200071916780798567008657004104001424204\
         057110834813516932989532105551432908800000000000000000000*ep+
         30623505276561053333137783785/476*ep*z4+1222892100141215339916\
         5158494161670479/17047578240*ep*z3+
         11405216811301760921340228235919012763992670983282742337573254\
         10801667313333963548865284964097972999279696076089508226045265\
         570213587182761292609/1629013469153425363817885649980328439849\
         66550753884139231520134333013237789304467682848681523937280000\
         0000000000000000*ep^2+1980242775144080257833221309955/476*ep^2
         *z5+12228921001412153399165158494161670479/11365052160*ep^2*z4
         -760333138815103181420401703695890606260670838289/
         456383178733337856000*ep^2*z3-
         36104499334500981823258728386976687112709661423305544804856929\
         31288926361444654884445361155078030863096092750110303604377400\
         71947152618642337719580816531203164719275574825051044882158056\
         61637380778771/18383155035681531526741884196132216044556840944\
         19814305810677918110482492442270652139647521122582101863783217\
         527385202834190792875567708297494528000000000000000000000000000
         *ep^3+9799135524798531111388980603825/952*ep^3*z6+485863403725\
         0529184972705167876336221/516593280*ep^3*z5-760333138815103181\
         420401703695890606260670838289/304255452488891904000*ep^3*z4-
         5784844102318970508873126058664369531894078152647259580899/
         4072633326533732278987468800000*ep^3*z3+
         714507319250724823648568477565/476*ep^3*z3^2;
Fill mncnoptab(13,9,8,1)=
      +mncF321*(-220541361304400682975000-12903793180200211871117250/7*
         ep-559247157734208718949411445/98*ep^2-
         545004007700762092375373619899/56595*ep^3)
      +10578347571176250570595223419322291855652649174886729730359/
      9749884183721755075896000307200000-1573397651158556917005/253232*
         ep^-3-49143994029420917246655811309/19630544640*ep^-2-
         511770683560090765591590898127440127486657/
         17342560791866838528000*ep^-1+91866494955829332172158168795/
         31654*z3-32620910364444884047748177430900258572580716957524867\
         92966172719522667291328731802117707004076508305202492906814135\
         636107610383549170261521/3126209128035123574751167273722872822\
         93828332252077783315029985101902782484834915450010940211200000\
         000000000000000*ep+275599484867487996516474506385/63308*ep*z4+
         1937309414009623118666281891944267263/39777682560*ep*z3+
         36270744756673954013838822992581063633954147765609738507864455\
         35817924870481704538121311146556694071958754134622217589574337\
         2768636690033575925400019/772543347611320444536994090646670959\
         31430537029522014189156108506088197889199750753914158725912015\
         6672000000000000000000000*ep^2+
         17822099451795741242556680348955/63308*ep^2*z5+193730941400962\
         3118666281891944267263/26518455040*ep^2*z4-1335657129396516054\
         313329775377551450165503732549/12139792554306786969600*ep^2*z3
         +1115530271869903330203811058020677006391395055321875447096840\
         83108058116780825470937235724041731623734872384913573924318553\
         08389970747456231923917049621051081469558804109091498838970756\
         90003181/89354104604014674595171798996551147375326289297033013\
         17355409124656677583354456176216799483936302224221199879942692\
         1524994755391224337074749440000000000000000000000000*ep^3+
         88191832309420412891061820056825/126616*ep^3*z6+44813489633254\
         899720999125224522945349/68706906240*ep^3*z5-13356571293965160\
         54313329775377551450165503732549/8093195036204524646400*ep^3*
         z4-100026038457027232164165696984000851036450831688941801721527
       /974988418372175507589600030720000*ep^3*z3+
         6430654355475688569819690521445/63308*ep^3*z3^2;
Fill mncnoptab(13,10,1,7)=
      +mncF321*(-447716289929741812980000-3722391961755870005556525*ep-
         159884426788696306860369583/14*ep^2-16631794264918399594296186\
         3769823/8731800*ep^3)
      +256568412949233948400307341436991872064105533344919209/
      116475990201692081985024000000+131617285605455403/56*ep^-3-
         35666034262906123771821687083/30083961600*ep^-2-33014498879922\
         00464950844347786142244301/226513710033090480000*ep^-1+
         123725912533963813983914069/21*z3-
         87830270701971356274306625508804024810291221344202513052769504\
         28678761252609435269860409920669917291833620947299311764796822\
         583/4104467989654164858262476440542258859340367968188092204519\
         42828710639529862627328000000000000000000000*ep+
         123725912533963813983914069/14*ep*z4+9081406357302669600363917\
         6874159049/920937600*ep*z3+12794383468743992453590549352646743\
         01096114533477433429885737221270571918946030514369044542848556\
         762280134876234978132002949903295727743953/
         13185756628345122417834034786962579147069633555059762732124473\
         673548396004360610033528995840000000000000000000000*ep^2+
         24002827401849777860811744481/42*ep^2*z5+908140635730266960036\
         39176874159049/613958400*ep^2*z4-25791101423826475796931468375\
         53499350939164219/11325685501654524000*ep^2*z3+
         53397348725890314023816168864946688476587075538427286141817971\
         99391188083489346991096973301963301755499220104569643875270253\
         67186230596778331427207714101674399291562263272262185591388179\
         1984471279713/333307828622596637999138613607554091548041946459\
         43784957844950976912530413390002046292872933737950067356124577\
         30448460927925388606763095285563392000000000000000000000000000
         *ep^3+39592292627969750388073193905/28*ep^3*z6+586077153688387\
         62647516241268072758187/45125942400*ep^3*z5-257911014238264757\
         9693146837553499350939164219/7550457001103016000*ep^3*z4-
         1921676445212180319811565554608458108921747848306112370271/
         9702449983800950429352499200000*ep^3*z3+
         8660814086898686329509715199/42*ep^3*z3^2;
Fill mncnoptab(13,10,2,6)=
      +mncF321*(-3099574314898212551400000-25726342114033730228738250*
         ep-550902051355520190853160595/7*ep^2-
         1409664579914443233081702689539/10780*ep^3)
      +782797556818546287908519331649080887758373548667527969/
      51335714200005028726732800000-959329035571070564205/28*ep^-3-
         424817560494594750207857493773/1002798720*ep^-2-23682871483693\
         999106208306277761255691/13108432293581625*ep^-1+
         285526619649011328040572990/7*z3-
         27316341641058466335779342348230386119612490298835272841744600\
         08674041201687746587951060573270410531611712065961081229187844\
         2969/184174845689609961588700865921768025739631896008440034818\
         179474421440814681948160000000000000000000000*ep+
         428289929473516992060859485/7*ep*z4+48859001144479311256885001\
         274107731/71628480*ep*z3+1171521012225729744639954496157776807\
         70952275801734175535404648438381359027454267127269826826262742\
         144011795010608214537253292068513437607/
         17402016666367997157774932788223615013100949261956700438324154\
         5465382300208379091694387200000000000000000000000*ep^2+
         27695626255975043599752988755/7*ep^2*z5+4885900114447931125688\
         5001274107731/47752320*ep^2*z4-1330698887633719461104844551700\
         15179348491541/83893966678922400*ep^2*z3+
         70252337947053383157595397111619363209605165399322998850979835\
         30098217404475827824920493203273241948265419600515170302771566\
         25874405829287497213585750011288963623689297196806570951008975\
         09911119464823/18695150643895644759567069673500630134906198920\
         00052040904764878512722058443349473750401526732096558265167243\
         919322053405086355789049813060812800000000000000000000000000000
         *ep^3+137050498181630161358562078825/14*ep^3*z6+14933776093745\
         13184448315230234503493/167133120*ep^3*z5-13306988876337194611\
         0484455170015179348491541/55929311119281600*ep^3*z4-
         48444329875084533535467447551083268444928435286855299409/
         35934999940003520108712960000*ep^3*z3+
         9993188876257101623568554445/7*ep^3*z3^2;
Fill mncnoptab(13,10,3,5)=
      +mncF321*(-7748935787245531378500000-64288740546617750545078125*
         ep-2751375269553113803075254675/14*ep^2-
         1406736556330479273506322262111/4312*ep^3)
      +111821976782855950582262802954776053562229699962779819/
      2933469382857430212956160000-18925329562798119032325/56*ep^-3-
         1577277546948536014725082980473/401119488*ep^-2-14818747644600\
         5890245771612756532020127/9869878432814400*ep^-1+
         713855393818813670112624975/7*z3-
         23780054248871449952074457089901692955906772759984807490967499\
         320115617758767653810237994528949630127049573848121601628557109
       /643815573462086711425226513554473571998349094831506357489129887\
         82733976183767040000000000000000000*ep+
         2141566181456441010337874925/14*ep*z4+488505885994387480055534\
         62641422551/28651392*ep*z3+58424553572768330209033618187917665\
         03673586925826339972497108281383361228935391456663761893814863\
         54854231141343230036670278140944011956367/
         34953958399400087829524541920468848863237845163708720141963101\
         8091697124849322680178756812800000000000000000000*ep^2+
         138478957679310966647081635275/14*ep^2*z5+48850588599438748005\
         553462641422551/19100928*ep^2*z4-13326188156274967169367616618\
         3045294110375389/33557586671568960*ep^2*z3+
         36737179737309941303268001081689611408256444076996048552366017\
         07536085544354751470011898218922570448207310050337300089699775\
         53062136435594389185384187629423744311786947002641495316295683\
         6778244962723/130704375917267684800614560848871041817095682936\
         37141260035133606716163321661287171964573259264908117866622151\
         388614811243571426909333240152064000000000000000000000000000*
         ep^3+685256234458366696534281926625/28*ep^3*z6+149110868490582\
         5825615635560846200833/66853248*ep^3*z5-1332618815627496716936\
         76166183045294110375389/22371724447712640*ep^3*z4-419483746487\
         247598801859103091907298421791391525234351/
         124991304139142678639001600*ep^3*z3+
         49965089944939635234832216725/14*ep^3*z3^2;
Fill mncnoptab(13,10,4,4)=
      +mncF321*(-8954325798594836259600000-74353810252425689012098500*
         ep-1593401479144550277864993370/7*ep^2-
         1669558407320474468914419892901/4410*ep^3)
      +73669200061209021661442054019698850699968502073673/
      1672475756742245279784960-29031858540678601829195/42*ep^-3-
         3251009728976221869329265456019/410235840*ep^-2-85361819482688\
         3960160826778290399491553/29040219235011600*ep^-1+
         2474837660437047287780734180/21*z3-
         22186989045939484259287395139427329564699561542661446577452918\
         310274238494305189284668761902839934889161569412246759059432543
       /525805293705696585103500475690584403564565772322232308808777692\
         05943728592650240000000000000000000*ep+
         1237418830218523643890367090/7*ep*z4+6353556375326136321312472\
         87722960463/322328160*ep*z3+4117311127795016136738642213585784\
         05789743994715504558428014957722041066858759333369227390986162\
         810245768787376945753780871646919883429617/
         21756498436769451989426157398488255592664895365848608508005381\
         5613548534071950065553228431360000000000000000000*ep^2+
         80010557080037301117076960270/7*ep^2*z5+6353556375326136321312\
         47287722960463/214885440*ep^2*z4-83027045119894603931501907354\
         69667141603466/1815013702188225*ep^2*z3+
         61039480349832169130228875996515094352088896769375751234137998\
         70537517422837952929369788310685588418205718809058949243392419\
         74082048724836307144479344124684817883647151334529667097883394\
         38251753159809/19641354186688730453520668301873723251938186130\
         64544470730148896853774113646196549156544297880986343254914484\
         01972855733252746114327110972184985600000000000000000000000000
         *ep^3+593892083949187140158625366575/21*ep^3*z6+19447024968357\
         508587622012287555559849/752099040*ep^3*z5-4151352255994730196\
         575095367734833570801733/605004567396075*ep^3*z4-9733047882436\
         456595583109359341311695524875456970197733/
         2487807688154089853680128000*ep^3*z3+
         86604627060874248364742563990/21*ep^3*z3^2;
Fill mncnoptab(13,10,5,3)=
      +mncF321*(-5036808261709595396025000-41915915029754860887614250*
         ep-1803179225145654716896437525/14*ep^2-
         580078913922265846672670622757/2695*ep^3)
      +391339382159064695953249656999407649819690716435537581/
      15795604369232316531302400000-41002490801920289382975/112*ep^-3-
         8524804231040817779670663515801/2005597440*ep^-2-6674960958264\
         2803776496957198090292686721/4130164513423872000*ep^-1+
         928057108233067858571553105/14*z3-
         15016285951645893477142090135620837406060563361590988588144010\
         24566168275107879127903179399465087756576811149172520755854449\
         8923/643793405043903265731169915766535787752091049825058166153\
         32514058872533665489879040000000000000000000*ep+
         2784171324699203575714659315/28*ep*z4+159011497814592468383700\
         796409232907/143256960*ep*z3+
         12916460486158871615094938271567663086054970057230753406069843\
         92259103589825286169065227855170234978231966868971683080423870\
         0171664665724437/124092620713425763198949194050636717084088662\
         45706243371232699112772768239659374109332288307200000000000000\
         000000*ep^2+180023604322112196122170381545/28*ep^2*z5+15901149\
         7814592468383700796409232907/95504640*ep^2*z4-1054426457823803\
         173009559627041483293820314067/413016451342387200*ep^2*z3-
         14156503103355307577416369903335131912576216186444861474795058\
         58156561229350127610130087368021255411755878153853062735041112\
         03619478891145412222795882488772083434504148457327441145632980\
         8373283269452973/156839850468521862436261336514221286411773071\
         47285769921830374154136062922300739851783368541597802059472576\
         39832049914669973780083293523170484551680000000000000000000000\
         0000*ep^3+890837450528230302025136376675/56*ep^3*z6+4900950570\
         453452928490190319896786941/334266240*ep^3*z5-1054426457823803\
         173009559627041483293820314067/275344300894924800*ep^3*z4-
         24865289797219150757265082965899936823647191689119793211/
         11056923058462621571911680000*ep^3*z3+
         64953624850958630484842420055/28*ep^3*z3^2;
Fill mncnoptab(13,10,6,2)=
      +mncF321*(-1303644491266012926030000-10887866922471774437673900*
         ep-235611348180697218550411539/7*ep^2-
         763895601805281343182354828656/13475*ep^3)
      +55959827771428261508003894548026257319812562379573225091/
      8727071414000854883544576000000-38520101066799271960209/952*ep^-3
         -3858552425515637303329181256281/7748899200*ep^-2-480504640441\
         5561478101298169820989392456111/2281915893666689280000*ep^-1+
         2041583549767245800185412751/119*z3-
         12702560973183152312378253930957273178111880410645827063129416\
         00896608618231333308840721217487388522180438869688040473966826\
         44041012549/20283200508896005753342463885360692560328320113936\
         32456886678508135463916256844411463270400000000000000000000*ep
         +6124750649301737400556238253/238*ep*z4+2503105548969768804052\
         04083150248191/869774400*ep*z3+
         18769415446860122984733997327023718142624615900876198525565982\
         60491397823583564219424701259976056618148024475397072955731256\
         2001962023588903918371/651605387661370145527154259992131375939\
         86620301553655692608053733205295115721787073139472609574912000\
         000000000000000000*ep^2+396048906564235916558762981799/238*
         ep^2*z5+250310554896976880405204083150248191/579849600*ep^2*z4
         -148836955729629747839920236050722473603773855933/
         228191589366668928000*ep^2*z3-
         11729714448393306725016335304856743625758727675522628869253350\
         31897277949650628758625397183042817239998873454525489402753838\
         66227625145950615108665047099893275478270637378233973656370433\
         5302823273728477934589/
         82355978121618955877831082758271540609676392738111686428734421\
         46840230096248429293212039687718839470220811976452500819935445\
         5202661709584272875614896128000000000000000000000000000*ep^3+
         1959828697323507124791960781485/476*ep^3*z6+496513059937140420\
         0959968602319496701/1291483200*ep^3*z5-14883695572962974783992\
         0236050722473603773855933/152127726244445952000*ep^3*z4-
         3679601481579341131148293908922244454318081024969534139541/
         6108949989800598418481203200000*ep^3*z3+
         142901099872575482383357364121/238*ep^3*z3^2;
Fill mncnoptab(13,10,7,1)=
      +mncF321*(-120707823265371567225000-1013296752312587142221250*ep-
         132694078452637945454174015/42*ep^2-
         1174437402992485417943379114881/218295*ep^3)
      +100744268932753207875739053201081101318191817653351325599/
      169654268288176618936106557440000-21396497193604386685/5712*ep^-3
         -134529397983416009922686652841/83688111360*ep^-2-280307461987\
         415920085314017046850730011977/14786814990960146534400*ep^-1+
         1134154249393203790483574635/714*z3-
         74292341133178187674457840263796325124073036115402046553255619\
         33761600809451272552334247550626494908794226188551083281989665\
         14464504239/13058517660965428465961433891908407781697089901924\
         7194367180444904721295941869221157063884800000000000000000000*
         ep+1134154249393203790483574635/476*ep*z4+17565752327275478539\
         01767612174481017/65754944640*ep*z3+
         82254247523794834786338595554121418710089955286193625045021931\
         45199109988222036283218286140872580742665220326009884273591206\
         653093951669459150437/3226998110322975958801144906627698242749\
         81357683884771049106551821588128192145993124119292923609088000\
         000000000000000000*ep^2+220025919066918073421047663915/1428*
         ep^2*z5+1756575232727547853901767612174481017/43836629760*ep^2
         *z4-2190714991766512347128018355153402708026729759603/
         36967037477400366336000*ep^2*z3+
         21980354220154280546322924743244197578032370097123506347470613\
         58727510531479083716755712847216024739038878681204151849801836\
         45096426458086164709274098477370785594863803252868644359401015\
         6943593575784951/160959403939087360232623034805296325168797878\
         95674290287524808102800506516683104254772441381135781725423692\
         75110454152454896806988649455524175780249600000000000000000000\
         0000000*ep^3+1088788052840658329200402573225/2856*ep^3*z6+
         5056871535437380481682186845718846301/13948018560*ep^3*z5-
         2190714991766512347128018355153402708026729759603/
         24644691651600244224000*ep^3*z4-173433371861141904814801713474\
         009308189593012208615610236977/2968949695043090831381864755200\
         000*ep^3*z3+26463598317664699456510369735/476*ep^3*z3^2;
Fill mncnoptab(13,11,1,6)=
      +mncF321*(-73262665624866842124000-617273769119413894562295*ep-
         1490861187643419667421458047/770*ep^2-
         5370985423926989527958777660731/1617000*ep^3)
      +91590598277415961000304320826033992692580836988911734513/2541117\
      85290024892197327360000000-9889969222580717673/3080*ep^-3-
         318585243251311401563298542149/551539296000*ep^-2-525246382207\
         77233733531772591152696151/7865059376148975000*ep^-1+
         33743434279626169899402537/35*z3-
         46069644406193435744804949344456341344817865519490184882444899\
         30909726812101039041960022366803894733184789054858395054541690\
         86549/13450683641095836087597657168693694136963330862416393828\
         5605431158715829265398497280000000000000000000000*ep+
         101230302838878509698207611/70*ep*z4+3764274080817054421276167\
         4977991579/2317392000*ep*z3+3281288736636956870635432807732802\
         72618437494795988675917678278197286078748411939644514291544183\
         67516681125644628141448351291538416627744819/
         21605411642069664128388475749887642706604722481363548726699788\
         63384544470297837456535532339200000000000000000000000*ep^2+
         72008482979674011143358130743/770*ep^2*z5+37642740808170544212\
         761674977991579/1544928000*ep^2*z4-491029755943387473899890503\
         2381593240274459353/138425045020221960000*ep^2*z3+
         37808269839030643404937055184228343839289902696494855017585430\
         42294776175480617675130513999655212677880926995087054422594282\
         16702176697554556843319801556933958821577207742563575836151143\
         5860887196183519/136534691256079299888709645626219423438820307\
         75538951494450548928823804776110019067400700292908800899987287\
         48960936309645736103197509986688591462400000000000000000000000\
         000000*ep^3+71266127425522235405571274929/308*ep^3*z6+62099417\
         0310932806408619405012857613/2785552000*ep^3*z5-49102975594338\
         74738998905032381593240274459353/92283363346814640000*ep^3*z4-
         6518346335231858852709282824134290416478071590598749312673/
         177878249703017424538129152000000*ep^3*z3+
         25982441247962224691942789097/770*ep^3*z3^2;
Fill mncnoptab(13,11,2,5)=
      +mncF321*(-422669224758847166100000-3555919227594774532766625*ep-
         1713429974124379989926457165/154*ep^2-
         410206297088914082599652935911/21560*ep^3)
      +52179216270938623760949510581810351590808550874986611/
      25097460275558014044180480000-6386697552118433150835/616*ep^-3-
         943856098053778986773380965833/7353857280*ep^-2-30696677657895\
         424397960179436087983403/55929311119281600*ep^-1+
         38936324585096116268460435/7*z3-
         72501423526042812071228657108407582903307635159048304699481043\
         94024050519277434660929382803857909596455630430754542995527747\
         5427/361193183089566507527097926767718779621952381200552113997\
         7096892653627862791120486400000000000000000000*ep+
         116808973755288348805381305/14*ep*z4+4919009989647376808415439\
         0124837191/525275520*ep*z3+52467458715453954381978797563381134\
         00884854401461112082108041798652193431565590280177584503987997\
         193282658156750926089489852260051878170711/
         58017329164718538638469753062635348247106387642262956021347684\
         163612942419186684147527581696000000000000000000000*ep^2+
         83087083915609679770149083565/154*ep^2*z5+49190099896473768084\
         154390124837191/350183680*ep^2*z4-1266151106091203660260160653\
         82649847686281141/615222422312097600*ep^2*z3-
         38726381530995650031117495676565612344083098221244301903482335\
         27260528408206858534296220837443601958946905408413957643421713\
         61520765827159089417120080857576633825713734526090714970679548\
         83783753781849/18331930574242815089952623748415475035142307055\
         26908172681472303730189172736450112546108011355587253704586851\
         75174665351035896373371970240705986560000000000000000000000000\
         00*ep^3+411152423873687826061214769975/308*ep^3*z6+14255927459\
         6093303889685271970881363/111422080*ep^3*z5-126615110609120366\
         026016065382649847686281141/410148281541398400*ep^3*z4-
         18339302841529654040581149052831193064269893536569716111/
         87841110964453049154631680000*ep^3*z3+
         29979354655454417908528070835/154*ep^3*z3^2;
Fill mncnoptab(13,11,3,4)=
      +mncF321*(-845338449517694332200000-7110210540702120707904750*ep-
         1712376403260648014028593610/77*ep^2-
         409745698778188897723817582667/10780*ep^3)
      +28985803018673051330446227647367960902820219620608157/
      6971516743210559456716800000-18900991794773389432365/308*ep^-3-
         2647433567879622025771185015803/3676928640*ep^-2-6516478644520\
         1508636199060876800467467/23303879633034000*ep^-1+
         77878908052106311746508770/7*z3-139610856021205773415748649275\
         42905505364090446318428672561266839873906519865906108530759184\
         47035106501614703373286835539185043/33861860914646860080665430\
         63447363558955803573755176068728528336862776121366675456000000\
         0000000000000*ep+116818362078159467619763155/7*ep*z4+491871511\
         06476429406771867292129101/262637760*ep*z3+
         48807917081934224189254336989417291845784748382501127313274799\
         69588523267085699195108221038863813197668072036218924885803790\
         530117301717/2559588051384641410520724399822147716784105337158\
         6598244712213601593945184935301829791580160000000000000000000*
         ep^2+83087816135401866854602285515/77*ep^2*z5+4918715110647642\
         9406771867292129101/175091840*ep^2*z4-281587794600283721269471\
         79943135236158248143/68358046923566400*ep^2*z3-
         40022064102190618057408533225814046108545450851697737852179219\
         22334842715864969270213012095085645493308791126550251536472516\
         35722313515755043941863529346776271846801891393379252414466595\
         92883691879509/54995791722728445269857871245246425105426921165\
         80724518044416911190567518209350337638324034066761761113760555\
         25523996053107689120115910722117959680000000000000000000000000
         *ep^3+411155740734143487126953445225/154*ep^3*z6+1424495487743\
         50195736778878095723073/55711040*ep^3*z5-281587794600283721269\
         47179943135236158248143/45572031282377600*ep^3*z4-
         18303984426457422807912724429676881769095890148424650229/
         43920555482226524577315840000*ep^3*z3+
         29978597178081022103514168885/77*ep^3*z3^2;
Fill mncnoptab(13,11,4,3)=
      +mncF321*(-732626656248668421240000-6168504290204547236187450*ep-
         1488117945028893186871809882/77*ep^2-
         1784319521191076049599765860917/53900*ep^3)
      +260857356267850017803731528986118303329214263014581133/
      72396520025648117435136000000-19426693031742056120463/308*ep^-3-
         40785658179527585444920659089399/55153929600*ep^-2-27216170504\
         163459258824715728718636131/9490267723860000*ep^-1+
         67496575220903628048844374/7*z3-
         61763376300559735969867672886582507535768894935175382527204324\
         69422063848815968538593452733105095018293062983660591878997869\
         5587/172168750606026701921250011759279284953130635038929841005\
         5749518831562614597100765184000000000000000000*ep+
         101244862831355442073266561/7*ep*z4+63977070650011143665584024\
         7901574993/3939566400*ep*z3+9159410196947758436729557021162464\
         31957000102701818529126343219080710203523601304086656568110725\
         5854606000575515121078777107518739249258907/
         55309853803698340168674497919712365328908089552290684740351458\
         902644338439624638887309627883520000000000000000000*ep^2+
         72009618728683496800180436793/77*ep^2*z5+639770706500111436655\
         840247901574993/2626377600*ep^2*z4-252432295701358832960229170\
         631168912101012599/709872025744728000*ep^2*z3-
         84172461149511532426530318725525941440560479257068863867742921\
         59603287014336397234339759793801488711200624796122910900161585\
         35647431477554404091125216995395966680828792107754199253096543\
         517646531125389/1398115238462252030860386771212486896013519951\
         41518863303173621031155760907366595250183170999386121215869823\
         89359987810772337696742502263691176574976000000000000000000000\
         000*ep^3+356335782006267784458215743395/154*ep^3*z6+1858610200\
         086275919920756666898714389/835665600*ep^3*z5-2524322957013588\
         32960229170631168912101012599/473248017163152000*ep^3*z4-
         18465108669110502026720538968334175399217966789130148733/
         50677564017953682204595200000*ep^3*z3+
         25981266895012507947839032647/77*ep^3*z3^2;
Fill mncnoptab(13,11,5,2)=
      +mncF321*(-274734996093250657965000-2318547320945226256257450*ep-
         1122984549945133625968335819/154*ep^2-
         169146946374422002921327484178/13475*ep^3)
      +565187071660122593555700800879965125966142960242811969/
      418291004592633567403008000000-13936296256387224232617/1232*ep^-3
         -5132869612785367580721175316681/36769286400*ep^-2-53129824404\
         478409086129494199528643992231/89486897790850560000*ep^-1+
         50618631484199595935608893/14*z3-
         18757776729010467042296723795827314772853512470745421156259391\
         436772615127038712516746842656580960117316530738683393177480367
       /142266846203898266311129066207337149525573691814019550109774975\
         2640263578768637952000000000000000000*ep+
         151855894452598787806826679/28*ep*z4+1601199103570970302001165\
         55973775467/2626377600*ep*z3+452207353467958201474943938370408\
         62649218165915909633503470137543066132790380442420468925007913\
         48045511955482114498045307927944133293425569/
         76051048980085217731927434639604502327248623134399691517983255\
         991135965354483878470050738339840000000000000000000*ep^2+
         108013538828711831355741932127/308*ep^2*z5+1601199103570970302\
         00116555973775467/1750918400*ep^2*z4-7653561255132807533342811\
         35438954358510680039/5790328680584448000*ep^2*z3+
         32172303221397462253140556231612280373014415725447394460432042\
         29540846117206633065836545909453755257155760735171137423769847\
         48886576782821750588957611163510229394520535774989837702130919\
         4798708756707/147877573298892041725617831570551498616814610245\
         83725926297209916756859326740697574538604624935070513217000604\
         13075633831689564078533893275028291584000000000000000000000000
         *ep^3+534499644680297201225792682405/616*ep^3*z6+4684450069519\
         44438885654720285485591/557110400*ep^3*z5-76535612551328075333\
         4281135438954358510680039/3860219120389632000*ep^3*z4-
         799822686200629544956311284717996573349396203805683869/
         5741249082643990140825600000*ep^3*z3+
         38972819749171829439085824033/308*ep^3*z3^2;
Fill mncnoptab(13,11,6,1)=
      +mncF321*(-35553940670891261619000-301151314057980138165270*ep-
         66705722319898372467054987/70*ep^2-
         30378271890191948914627968472/18375*ep^3)
      +5087849467915835088405704823467981565910527326565324041/
      29090238046669516278481920000000-35383375894820328297/9520*ep^-3-
         5814139555021229725450502057/8609888000*ep^-2-1770914480681927\
         90008619298752966021152583/22819158936666892800000*ep^-1+
         556766706598430782581740223/1190*z3-
         39127233464153727194125240752623448256226159500741869240817694\
         29914113019666920369175515575260489904155735198548599683527953\
         07345094931/23505331789737771238730581005435134007054761823464\
         4949860924800828498332695364598082714992640000000000000000000*
         ep+1670300119795292347745220669/2380*ep*z4+1604069908488367714\
         64904726913765867/20294736000*ep*z3+
         42917614744735961888821439452230928402825914174231364087427206\
         89601998701917267189166826522355593410560053628337053536419276\
         262916019502048426577/5808596598581356725842060831929856836949\
         66443830992587888391793278858630745862787623414727262496358400\
         000000000000000000*ep^2+108012725454264022452392108127/2380*
         ep^2*z5+160406990848836771464904726913765867/13529824000*ep^2*
         z4-3498135633089379768868267956725306534495232239/
         207446899424244480000*ep^2*z3+
         12874122691101104666098963237426782115597292581259944547857329\
         94910797781647326886879256741721074249637273386334216401695762\
         84676250831442694161154479766243497508166991627152266928308973\
         3269996185216957225637/
         95438813503224710011566534762156962489384985413080285758556232\
         42166849505823894060933723706682175111775889536140383807330904\
         865771311259251736671257677004800000000000000000000000000*ep^3
         +106899192041067160887228627681/952*ep^3*z6+156583079884738470\
         33481862354043171703/142063152000*ep^3*z5-34981356330893797688\
         68267956725306534495232239/138297932949496320000*ep^3*z4-
         1134706304704814802371782791669161995158393284265774035773/
         61089499898005984184812032000000*ep^3*z3+
         38973661218659253793893024033/2380*ep^3*z3^2;
Fill mncnoptab(13,12,1,5)=
      +mncF321*(-7239393836449292700000-682882495448664310619625/11*ep-
         339496758431880181262608725/1694*ep^2-
         23055836716223399545880338039/64680*ep^3)
      +91578316334456931094635537393645762268383292736533293377/2571611\
      267135051909036952883200000-641579679619923915/6776*ep^-3-
         869725374984692957052953367829/5581577675520*ep^-2-11816698308\
         74021629482517678234113214277/636755207093021016000*ep^-1+
         7335527475945227494545675/77*z3-760169795759162597792294546615\
         10988224480294067927184657585069667084104489204198679269391687\
         62738389526279448371611830032986187/21011614869878360765083164\
         70041816579632084076597551937170077984206682537814420933836800\
         0000000000000000*ep+22006582427835682483637025/154*ep*z4+
         645618752571100769563683402480735803/398684119680*ep*z3+
         56965959269595985814248383466488719506202757398218695627082176\
         85167314458319080899782138220221222003634661414885200725857352\
         89393407149437/33750298545522048388640152812232647414986773012\
         52023415788793104467481059887299393327669130035200000000000000\
         00000*ep^2+15654017744739241069058651925/1694*ep^2*z5+64561875\
         2571100769563683402480735803/265789413120*ep^2*z4-228713568841\
         01668731964443689946441296290474007/7004307278023231176000*
         ep^2*z3-312146238987519092574340614357335297048414384791667980\
         36110262403694441156486230601758464730750965334362145484720246\
         42791390947807359388323133349088053096051360851792912457174753\
         58536120831874233947/37092853265325053879969444950535366628930\
         12115999480046818891986540867126113807629086492291820448113890\
         42389921795594979674265423780672302010807091200000000000000000\
         000000*ep^3+77463180701342230320893235375/3388*ep^3*z6+
         660029393529963222116249252194453533/28189786240*ep^3*z5-
         22871356884101668731964443689946441296290474007/
         4669538185348820784000*ep^3*z4-3741992194369294395281413213067\
         5533331383827021872303441333/9000639434972681681629335091200000
         *ep^3*z3+5648357443651650276056643915/1694*ep^3*z3^2;
Fill mncnoptab(13,12,2,4)=
      +mncF321*(-33412586937458274000000-3147649625607428012701500/11*
         ep-780756659093724313311465570/847*ep^2-
         96941862583232514989946532593/59290*ep^3)
      +6900003234920008853933336661427323460502544077168347/
      41995088953149322441651200000-2920023951424713266445/1694*ep^-3-
         1986062700498521981109052822325/93026294592*ep^-2-107948124927\
         4583450773268461532155606733/11791763094315204000*ep^-1+
         33859210337425470022789140/77*z3-
         24809442855366104667397542842566000498712892311273046944291690\
         76106889684121869937729495437731733134995032778651518142066413\
         627/1591023722118193182932980019382625535057948279154396298578\
         304242848810094739285082112000000000000000000*ep+
         50788815506138205034183710/77*ep*z4+49633287141318510684646732\
         852630507/6644735328*ep*z3+34597377315571077928044036969105659\
         13737982949198370477351630473629771926854685600794069213242588\
         33142190510503830052551804406797069806921/
         51112230970381948280873308345448480460196314898768623844878357\
         110925794897331697543183450767360000000000000000000*ep^2+
         36124998690658816083534642630/847*ep^2*z5+49633287141318510684\
         646732852630507/4429823552*ep^2*z4-839912394080767670372861104\
         2326050113205001/554313649732766000*ep^2*z3+
         47729832846362492609954422219455051270492877147778534634228563\
         43621399338953426409821257783212766581800169556706500051637921\
         63513884185502302831659563565902080334815708306300512149328825\
         966880851859/1123485459478595381941382226867176970010864246672\
         91943725764516900035879300562442611754333838792418834181108485\
         928473479420570777395107476089811763200000000000000000000000*
         ep^3+89381368442367839783209905225/847*ep^3*z6+151648116844499\
         833083844850774879975/1409489312*ep^3*z5-251973718224230301111\
         85833126978150339615003/1108627299465532000*ep^3*z4-
         40629061942555456620152101216799930328082603558346703527/
         2136903949423713599627097600000*ep^3*z3+
         13034315617817200881954049530/847*ep^3*z3^2;
Fill mncnoptab(13,12,3,3)=
      +mncF321*(-50118880406187411000000-4721052711592681407888750/11*
         ep-1170855533925619783291176750/847*ep^2-
         5285429788304900608578392229/2156*ep^3)
      +52157674508149301680891604108288132157559530503910697/
      211655248323872585105922048000-17194144206267233995725/3388*ep^-3
         -3756399854657062616638458993875/62017529728*ep^-2-57363604770\
         8474797474350236846537911949/2358352618863040800*ep^-1+
         50793018340593255538997250/77*z3-
         71221180762336489035294174642686534335183922681136444795222643\
         302994457822955716858975238771740556872981942854649528569643629
       /323255613382744011770510226160279473789551396399623374949242766\
         80102808274068014366720000000000000000*ep+
         76189527510889883308495875/77*ep*z4+49633827628975587683944336\
         828074133/4429823552*ep*z3+46031936370670934012507854776003566\
         01973097073922803724452507419537821505457381098168462139981320\
         3587034838008220409533716700585689477027/
         51923536223880074444061773557280996023056573865415744858289124\
         68411509322903537528196414046208000000000000000000*ep^2+
         54187990335688365490416892875/847*ep^2*z5+14890148288692676305\
         1833010484222399/8859647104*ep^2*z4-47182480430607502844507575\
         982650713687840451/2075350304599475904*ep^2*z3+
         16367055032694565015999592100366874816250657960268208828975350\
         46855439392067878625015566383788331267934687776458257040696433\
         41869668848500367241147081297200213576826732848784371019194030\
         202108774077/1141318562010001657845213690785703588582465266461\
         37847594427445739718988495809465510353608979090711196628427668\
         24479845528438936116328378523409448960000000000000000000000*
         ep^3+268146335669709198397439615625/1694*ep^3*z6+4548251953553\
         68445223947331518599227/2818978624*ep^3*z5-4718248043060750284\
         4507575982650713687840451/1383566869732983936*ep^3*z4-
         35189993381481038938011847421166373198677860076356252731/
         1234655615222590079784545280000*ep^3*z3+
         19550966133508221032185900725/847*ep^3*z3^2;
Fill mncnoptab(13,12,4,2)=
      +mncF321*(-28957575345797170800000-2730798918834784906387500/11*
         ep-678508496780027072344211520/847*ep^2-
         84427684336322331213816678171/59290*ep^3)
      +678068359084249266610828199243512954009722084025753129/
      4762243087287133164883246080000-3011926235114806324185/1694*ep^-3
         -30690751551231373730063895612899/1395394418880*ep^-2-49937321\
         2391663207965613533129065666361/5306293392441841800*ep^-1+
         29345130759277907256963540/77*z3-
         20871292325647495999437577127386398864896338724545611235940667\
         18249701805244570753143173451088368735788761044943702984419966\
         2701/155566763940445555664558046339634496761221609517318749194\
         32308152299476481895231913984000000000000000000*ep+
         44017696138916860885445310/77*ep*z4+64557854288717775818710468\
         9472811253/99671029920*ep*z3+146730687175493734811336394165283\
         64632199505013506404320017836235327538493193039728645029726139\
         31403082317263710907769445259577079335037147/
         24988201807742285826204728524441479336095976172731327213051641\
         2542303886164732743544452425973760000000000000000000*ep^2+
         31308388546736998972979073630/847*ep^2*z5+64557854288717775818\
         7104689472811253/66447353280*ep^2*z4-1526273903239891610216290\
         0490081060058555058709/1167384546337205196000*ep^2*z3+
         80543314230515927469206916852820410657528606015212679499665857\
         29045843365414876278115975951455406650711754152685402535455487\
         95767016400083974714542479008121068189771224738125082906192694\
         443393202797/2746297789836566489190045443453099260026557047422\
         69195774091041311198816068041526384288371605937023816887154076\
         714046283028061900299151608219539865600000000000000000000000*
         ep^3+77463980270962354982881186725/847*ep^3*z6+163504170079455\
         45208892191304452529/174730080*ep^3*z5-15262739032398916102162\
         900490081060058555058709/778256364224803464000*ep^3*z4-
         1383362567908049689484734158772652751196686307629482901937/
         83339254027524830385456806400000*ep^3*z3+
         11296348521553524799415096610/847*ep^3*z3^2;
Fill mncnoptab(13,12,5,1)=
      +mncF321*(-5429545377336969525000-513244455367856689122750/11*ep-
         256039549558616898773548785/1694*ep^2-
         24012993044920591382800870504/88935*ep^3)
      +15261761770924040984398924344184333186082927891345087771/5714691\
      70474455979785989529600000-8823284625547662075/13552*ep^-3-
         106194818404417581631256151747/620175297280*ep^-2-269506035665\
         27100569558369605753188075061/13584111084651115008000*ep^-1+
         11003292649180193928863895/154*z3-
         22843314614153608921495898294641087540726700330296800219986385\
         05025120103568538429767967939944578355375075186424592339228343\
         833447/9013982779177816768220677656479393126621640688603497810\
         459634552246668087223865806159872000000000000000000*ep+
         33009877947540581786591685/308*ep*z4+1615769569225351278014175\
         17830160107/132894706560*ep*z3+
         47668862633066192921287575852304112223725901696695544635975347\
         44082853336185832261806901936878705422989975004319822670930717\
         10244543329547/42836917384701061416350963184756821719021673438\
         96798950808852786439495191395418460762041588121600000000000000\
         00000*ep^2+23481026995356112574920538205/3388*ep^2*z5+16157695\
         6922535127801417517830160107/88596471040*ep^2*z4-1813324698534\
         13791061857779603436149009280258137/74712610965581132544000*
         ep^2*z3+214155687762224726849752079783913870825389809292548931\
         45697114979774873665480491755512364578502454137314368418975942\
         71315361147022743964268532875499405005288253214806184414555117\
         560011468623070587/2438748513536313887280749713989221805948049\
         34523184205377058185781767355877827352165226849531183485189117\
         52532789319577973986186483051098477032374272000000000000000000\
         0000*ep^3+116194772785370741542427662575/6776*ep^3*z6+14956912\
         93279687193566227340211187653/84569358720*ep^3*z5-181332469853\
         413791061857779603436149009280258137/49808407310387421696000*
         ep^3*z4-210955765559290136445453324983204976075189866671204868\
         6267/666714032220198643083654451200000*ep^3*z3+
         8472535911417204581185377315/3388*ep^3*z3^2;
Fill mncnoptab(13,13,3,2)=
      +mncF321*(-1392191122394094750000-134301504504001186023750/11*ep-
         69195852114786113706513225/1694*ep^2-
         1800531356054409195570826707/23716*ep^3)
      +130332590035110672275010558657720981718700646853714213/
      19048972349148532659532984320000-479848430574342278475/3388*ep^-3
         -1964152509705209774089658193181/1116315535104*ep^-2-516494749\
         9566275624995218383640502258301/679205554232555750400*ep^-1+
         1410918440847217506805575/77*z3-223574238172621748596512647477\
         13148258685020760954504849734904799193661133900013194221810094\
         05685593115418668179803374859003/25254344795526875919571111418\
         77183388980870284372057616790959115633031896411563622400000000\
         0000000000*ep+4232755322541652520416725/154*ep*z4+358837052269\
         6671358012566157543775/11390974848*ep*z3+
         10559625578738204347992053014694008147969152181073559069326030\
         71107283052819494104139144106760712472714625687990421291199560\
         43761716457/20282631337453154079711630295812889071506474166178\
         0253352691893297324582925919434695172423680000000000000000000*
         ep^2+1505222095818811568345573400/847*ep^2*z5+3588370522696671\
         358012566157543775/7593983232*ep^2*z4-211967954020163032477234\
         6622605343175103981579/3735630548279056627200*ep^2*z3-
         50062391736703084257644801031210482703384094877469901856576344\
         42365829354668470301739324506622175994769095269138814528036251\
         12286035648179031023651516656754515251377699862167943077506876\
         426163813/3566620506281255180766292783705323714320203957691807\
         73732585767936621839049404579719855028059658472489463836463264\
         995172763716753635261828856545280000000000000000000000*ep^3+
         7448509964847460878853560375/1694*ep^3*z6+82008992550178882825\
         948764184649065/16913871744*ep^3*z5-21196795402016303247723466\
         22605343175103981579/2490420365519371084800*ep^3*z4-
         61653147209991294815346540268410750024408847133186561801/
         66671403222019864308365445120000*ep^3*z3+
         543082226536855412223472500/847*ep^3*z3^2;
Fill mncnoptab(13,13,4,1)=
      +mncF321*(-402188546469405150000-38843975351852132055750/11*ep-
         20051285212942449112709465/1694*ep^2-
         70604417320275709966861732013/3201660*ep^3)
      +45772168298894749171240899611421372232769663273158044859/2314450\
      1404215467181332575948800000-2401435864547622955/3388*ep^-3-
         1601879506633319036538801467897/50234199079680*ep^-2-287676984\
         67997644128982549854171631788859/91692749821395026304000*ep^-1
         +407530612134419207901415/77*z3-547769812843085559201584436999\
         37043601788488381062828918654888132357196255984750745310656234\
         46591755025770442492910248298479061/27315099330841868994608114\
         11054361553521709299576817518321101379468687299158747213987840\
         00000000000000000*ep+1222591836403257623704245/154*ep*z4+
         326700573230756903888093208352222789/3588157077120*ep*z3+
         31458123930081971643723094561421304206569855446962121582216191\
         72072884443300227449376739002191189956984324561550081950224150\
         4742581505001/337502985455220483886401528122326474149867730125\
         20234157887931044674810598872993933276691300352000000000000000\
         0000*ep^2+434833974624460483180440280/847*ep^2*z5+326700573230\
         756903888093208352222789/2392104718080*ep^2*z4-164430802698909\
         27774387031817327378819016124441/100862024803534528934400*ep^2
         *z3-1135782593802106514815239328936183066080504805417864988319\
         02167090474229467933680165306990055240020701304632274943490933\
         33233769760538749709076041995403397247977971268370904746049704\
         008998021069771/2411035462246128502198013921784798830880457875\
         39966203043227979125156363197397495890621998968329127402877553\
         449167136736788272525457436996307024609280000000000000000000000
         *ep^3+2151755689454909359467623575/1694*ep^3*z6+35669133331554\
         4965955072293751708999/253708076160*ep^3*z5-164430802698909277\
         74387031817327378819016124441/67241349869023019289600*ep^3*z4-
         4356854407300547125518413431395159534461271652685508191659/
         16201150982950827026932803164160000*ep^3*z3+
         156898649403920173575757620/847*ep^3*z3^2;
Fill mncnoptab(14,2,1,14)=
      +mncF321*(-112982297841774018000000-132196549009804564231216350/
         143*ep-35901770224458538528806322116/13013*ep^2-31765743692585\
         41920171383203469908/716430715*ep^3)
      +2290067645128076207710416943483867633291702247062630650193367/
      4119667674715621178029093582368000000-21872822740344533043/572572
         *ep^-3-14982438988050709778051081263/56148013521600*ep^-2+
         8002334928610326978592296260689937321/281839983329982397320000
         *ep^-1+212823215485142046779250559458/143143*z3-
         22571430382949708595337463283312347370694477535016205462669310\
         371089420400106186970656521276039913512515623/
         41470756116206136873777272231363993368251087033009566812530184\
         02816000000000000000*ep+319234823227713070168875839187/143143*
         ep*z4+7884057750568800693248826218641812775627/319341826904100
         *ep*z3+6662230645718789768907101474209920000252595377177466303\
         03422645172078100287715370128655814628994992626858169968719005\
         11/26645270408739304089937342280254936210130213434024000313272\
         63886343468063129600000000000000000*ep^2+
         20643851885206235562224270828001/143143*ep^2*z5+78840577505688\
         00693248826218641812775627/212894551269400*ep^2*z4-45816313505\
         229812154595326158129163294521546888957/
         754336425971423475180000*ep^2*z3-
         28790924300558247223014683118165745537678309189402159016564804\
         99128608338936671235526360929636713266136078831863976313989457\
         686998743538944057334601941187/4329412248698978076800846719050\
         80455369771805073550233575165340309798489102812925125984928531\
         21643551129600000000000000000000000*ep^3+102155143348605467577\
         225101342715/286286*ep^3*z6+1314501599628706019818674785889405\
         12447447/425789102538800*ep^3*z5-45816313505229812154595326158\
         129163294521546888957/502890950647615650120000*ep^3*z4-
         86938341038932933595378206744641623763609277707428924598901411/
         2059833837357810589014546791184000000*ep^3*z3+
         7448812532568376179746974574751/143143*ep^3*z3^2;
Fill mncnoptab(14,2,2,13)=
      +mncF321*(-1468769871943062234000000-131586992764909536659160150/
         11*ep-35456889406784366251999212624/1001*ep^2-3105979715294134\
         652631322973456052/55110055*ep^3)
      +254451957955470867342827554608377627358119542991862857873507/
      35210834826629240837855500704000000-8652789896444306127/44044*
         ep^-3-87761731895074742720143823549/30233545742400*ep^-2-
         832715155971688950497223901289109854389/
         50586663674612225160000*ep^-1+212823215336740196025264119562/
         11011*z3-46137485242759040497748645939427902873740424781791873\
         003783379174084279723912332530239604122940791359562725761/
         64961184405805417200881880977800940660756947520238762000047281\
         2748800000000000000000*ep+319234823005110294037896179343/11011
         *ep*z4+7866144596125583003137014135993444949103/24564755915700
         *ep*z3+1974006126631029250539746471639973861334116083972092954\
         88588771070272165807793185556396833914244438777055705997364810\
         911/6023420626151428240111424314531728122855181686812332880865\
         40030821757301555200000000000000000*ep^2+
         2949121697686327667315078505027/1573*ep^2*z5+78661445961255830\
         03137014135993444949103/16376503943800*ep^2*z4-155040293144823\
         79292836516135158655827505745420291/19341959640292909620000*
         ep^2*z3-157265200707025529681457582701594799863944249755898833\
         22639152023030353702250899480720069547055016238731372118774203\
         26131934071075374370000870693641654785487/
         25643441780755485531820399797454765433440329992817975373298254\
         77219575666224353479592372268992589656489984000000000000000000\
         000000*ep^3+102155143342337767375901427078135/22022*ep^3*z6+
         129133392160099791675887620481092706670083/32753007887600*ep^3
         *z5-15504029314482379292836516135158655827505745420291/
         12894639760195273080000*ep^3*z4-910111376207474967428212208157\
         4617213562943850722104202103031/176054174133146204189277503520\
         00000*ep^3*z3+7448812534747092931623419943339/11011*ep^3*z3^2;
Fill mncnoptab(14,3,1,13)=
      +mncF321*(-636466944508660301400000-57072518183703736898007525/11
         *ep-1184825383340244299281356048/77*ep^2-
         62404963219500200928231759366370/2543541*ep^3)
      +458013525521279818378402996658344993761610485161850777172291/
      146260390818306077326476695232000000+64454862816802827/6776*ep^-3
         -603184141140834778679870447/25914467779200*ep^-2-173946713858\
         374679126546786947193256101/130079992306145721840000*ep^-1+
         7094107176091174870475822919/847*z3-
         20826540279617286936841114327554198727800529301974807360810842\
         436258693080657141924058670281387330746915071317489/
         67719536235959616454334711616242949833429088676482746355741596\
         6028595200000000000000000*ep+21282321528273524611427468757/
         1694*ep*z4+121071328243348133852182899135494134307/
         872121511800*ep*z3+2776151505071942307218207641282678124541983\
         41841778893800911291041395351423186191725997491701358822393253\
         43860556636307736299/19579638419358199538410194162596611871105\
         0096652800644574198261588103779586146304000000000000000000*
         ep^2+1376256792215084818804349965911/1694*ep^2*z5+121071328243\
         348133852182899135494134307/581414341200*ep^2*z4-9275116731007\
         242285133438314555614254804288143241/26781174886559413320000*
         ep^2*z3-380019423660375809160417084775309611986255703226133427\
         96847622468044292173330493597580143690247975591631138249678813\
         928971526793051400671868296305861200754723/
         23330008817642406037072787114189000133414266991619750641159470\
         68013181947659128728756531176909935106556795289600000000000000\
         00000000*ep^3+6810342889314512345316991600365/3388*ep^3*z6+
         25916998134534706810045826573657960344051/15116772871200*ep^3*
         z5-9275116731007242285133438314555614254804288143241/
         17854116591039608880000*ep^3*z4-165701463662340942247341554331\
         15532756599549983526298257722063/73130195409153038663238347616\
         000000*ep^3*z3+496587502356357821682394105641/1694*ep^3*z3^2;
Fill mncnoptab(14,3,2,12)=
      +mncF321*(-7637603334103923616800000-682292744803687306239720900/
         11*ep-14073513010910983137544089318/77*ep^2-122527132046845403\
         5173566814597006/4239235*ep^3)
      +50890389987648792582660654198879288428428200085035045458887/
      1354262877947278493763673104000000-28222634560850486937/1694*
         ep^-3-3163420365787413678103228450927/15116772871200*ep^-2-
         12024668329305822689888746609369600920331/
         12646665918653056290000*ep^-1+85129286449529497255181126604/
         847*z3-7407487214264841469717866697515415719908615889934272985\
         852487505269083178565962507622367120395349113682542166174063/
         19998425544681824234170719524171746122684527749773811033179940\
         246781952000000000000000000*ep+127693929674294245882771689906/
         847*ep*z4+60423615873573596483774276648550023603/36338396325*
         ep*z3+36690103008475104836201613386314896970358612947388967843\
         65842956630577859715257250535579902552969364073318479701404091\
         17862809/21415229521173030745136149865340044234021104321400070\
         5003029348611988508922347520000000000000000000*ep^2+
         1179648679541127504672358922634/121*ep^2*z5+604236158735735964\
         83774276648550023603/24225597550*ep^2*z4-625876864540180681138\
         2900222106750576060263888377/1487843049253300740000*ep^2*z3-
         74401191941435828753096089597095688395217978899480387809631912\
         70696656351447608706789209227104016568010713661127202789421491\
         26192602048113647346035241439205628723/
         35936719311550737424293108276153108278423278451935110688140174\
         23775513338646808966300750497766215144605063577600000000000000\
         00000000000*ep^3+20431028675845907588628328329585/847*ep^3*z6+
         25540216702892964189622399321221315934033/1259731072600*ep^3*
         z5-6258768645401806811382900222106750576060263888377/
         991895366168867160000*ep^3*z4-17496780625592056741912476576451\
         12021842952843272513381327611/677131438973639246881836552000000
         *ep^3*z3+2979525010249899795198136501818/847*ep^3*z3^2;
Fill mncnoptab(14,3,3,11)=
      +mncF321*(-36405909225895369240080000-295032379076035807460294430
         *ep-30318010084667443694499531783/35*ep^2-20211519631463037950\
         8252898295778/148225*ep^3)
      +50890378210550185335190169186144755735985477082217798261819/
      284111093275652830859511840000000-1245111603697703901939/1540*
         ep^-3-32102601979322197518997747614139/3171350952000*ep^-2-
         235286645717899269049120152191420902947419/
         5306293392441841800000*ep^-1+184446793419472080087620710434/
         385*z3-1145147852550502893159585940039330942504976830484360035\
         792846728053890962246441428294947578311229927224425109549183/
         64826065142241341933104046665367114704182573069396665375087182\
         9298282496000000000000000*ep+276670190129208120131431065651/
         385*ep*z4+784688257359247801014757800903342839603/99104717250*
         ep*z3+66662078779631157547649573925159974080900251961824058736\
         56146953944599197350918463444980346752029745674585119034939424\
         503510517/8135006019406638302535485500794757062923601316895481\
         32641377720376709595581644800000000000000000000*ep^2+
         2555905481659194709539143079639/55*ep^2*z5+7846882573592478010\
         14757800903342839603/66069811500*ep^2*z4-370645881708470068902\
         234990642019873219971224317/18360876790456200000*ep^2*z3-
         51859851783843433329147202985475940535003936292189393808127593\
         63686952276966737978942171764540641935814978370232558975019470\
         3234937982521046381340800394983677806307/
         32763086956764438534875015597220106508380703212023958055940782\
         22714818654194882979666398505755692248717863157760000000000000\
         000000000000*ep^3+17706891578194890886686380847039/154*ep^3*z6
         +25328429075002987916964274582972949294341/264279246000*ep^3*
         z5-370645881708470068902234990642019873219971224317/
         12240584526970800000*ep^3*z4-169718362224600108957793716044021\
         3708610458529503009998575047/142055546637826415429755920000000
         *ep^3*z3+6455637455480436840358125314463/385*ep^3*z3^2;
Fill mncnoptab(14,4,1,12)=
      +mncF321*(-1909400833525980904200000-170903362500239966494794000/
         11*ep-3537092740702264012294834950/77*ep^2-9280133308797476997\
         71717403286814/12717705*ep^3)
      +183205408860514239570730725258743602778352689107565849851421/
      19501385442440810310196892697600000-624986496455089005/847*ep^-3-
         6663978704234435176343100223/863815592640*ep^-2-13988778444027\
         3147008046055580163186001/4335999743538190728000*ep^-1+
         21282321550473677937417050700/847*z3-
         40264890256690341827585020825206473539172682202726698583499874\
         80199719848190141787658574704394562382080181523681853833/
         43556570836317013182023827123646063055206901439007360430265909\
         857491091456000000000000000000*ep+
         31923482325710516906125576050/847*ep*z4+3225654916542842320252\
         8015046187840821/77521912160*ep*z3+
         41768729293394050818098868749288765091079994772690728751789468\
         32144118196354088446703163285839699685408232184496058187256496\
         801/9785112565828292509700671553855374057698873820701262982446\
         110236578551869221109760000000000000000000*ep^2+
         2064385188531622160243302669200/847*ep^2*z5+967696474962852696\
         07584045138563522463/155043824320*ep^2*z4-18659801123430834895\
         07156778516869728866046733941/1785411659103960888000*ep^2*z3-
         93212593341120325930815354876773951874233758709525614332089801\
         59214163520099902648294405842415720062584957701062947088399917\
         3583370993027887253140540937372046545283721/
         16201926154735403764792850693870524254894021396941136913305244\
         99439495086675559235220828158915907033084614493706649600000000\
         00000000000000000*ep^3+5107757167452871205764714046250/847*
         ep^3*z6+15439968379840899506198822739791404215013/
         3023354574240*ep^3*z5-1865980112343083489507156778516869728866\
         046733941/1190274439402640592000*ep^3*z4-646158004999690240304\
         6642241570572034029957726492803107799927/975069272122040515509\
         8446348800000*ep^3*z3+744881253227982239544157417920/847*ep^3*
         z3^2;
Fill mncnoptab(14,4,2,11)=
      +mncF321*(-21003409168785789946200000-170385004550475422629389000
         *ep-3508060743929129092889167800/7*ep^2-3047493407788793209350\
         70594618998/385385*ep^3)
      +20356152178165355543451604131067166827897408136928371873119/
      196983691337785962729261542400000-21245616888615176580/77*ep^-3-
         1976811264810582880523916128311/549700831680*ep^-2-15473623422\
         612950104315509527695260679469/919757521356585912000*ep^-1+
         21282321994593787720783095300/77*z3-
         31193237836519219008658365764344190185503845145902347255270306\
         1419314324930834914031008267396913213666183116251319937431/
         30630315779709034063391662049385961697726265775289924389728693\
         9343438479360000000000000000000*ep+
         31923482991890681581174642950/77*ep*z4+96625430505362770309854\
         030083171936213/21142339680*ep*z3+
         46436059771330697948372467363876616997759009101301671978732723\
         36825580150581988781504550772891317525228860295634612342120693\
         2774477/984010328107426969074692326176133814331238815291677421\
         2430104905676679268155575500800000000000000000000*ep^2+
         294912170469968329911365012700/11*ep^2*z5+96625430505362770309\
         854030083171936213/14094893120*ep^2*z4-62805475456405698479917\
         6612917641418450862452737/54103383609210936000*ep^2*z3-
         14340110364209039018539166339168870834934143670004051046790866\
         04894532344566934483816679556155056377142523746180869393140999\
         4701669577765441776942835185099960620647996999/
         11393691120084401144888135424089264239354473349013451653533966\
         42731305335182812505008786744361599536414124091742617600000000\
         000000000000000000*ep^3+5107757178237961304146929984000/77*
         ep^3*z6+5086036314193692346718417965685767155221/91616805280*
         ep^3*z5-628054754564056984799176612917641418450862452737/
         36068922406140624000*ep^3*z4-688508041163135822243247166202371\
         673078482901897229666604013/98491845668892981364630771200000*
         ep^3*z3+744881248418730072248307844620/77*ep^3*z3^2;
Fill mncnoptab(14,4,3,10)=
      +mncF321*(-91014773064738423100200000-737242870261534130710242000
         *ep-15140892077011384133351776290/7*ep^2-100855043899576330954\
         079500580844/29645*ep^3)
      +4071226795842594458368497029538830225764323291164478577673/
      9091554984820890587504378880000-983385382233832195215/77*ep^-3-
         19590792709088305717264385547361/126854038080*ep^-2-8991862083\
         955585478609387382462163964201/14150115713178244800*ep^-1+
         92223414952000760851179400020/77*z3-
         15413299618676373743712817101039530331035549934995510343421945\
         54106711133260625358602862550910179885410201862853507214601/
         34841984199419026247108015581176531431163627319392288993316389\
         3503161270272000000000000000000*ep+
         138335122428001141276769100030/77*ep*z4+1255219210378364454225\
         802341303277107899/63427019040*ep*z3+
         15308092808233298360603412572894172969622536000792951444881604\
         14489534464685302888232254616126973733561960956423279340133865\
         22830337/74620783214813211821497501401690147586785610159618871\
         11092829553471481778351311421440000000000000000000*ep^2+
         1277952768531829051627713621120/11*ep^2*z5+1255219210378364454\
         225802341303277107899/42284679360*ep^2*z4-28044038308385431175\
         34751742757848122559625139/55490649855600960*ep^2*z3-
         38550963992890386549132747152244276290460422953720054510070855\
         68305643422436295891370905630436989969327185017666006534191131\
         233886930478729088553746689855135178402432169/
         51841294596384025209241016179606152289062853738011205023579547\
         24427439275081796897789979686845277890684264617428910080000000\
         000000000000000000*ep^3+22133614911927006501357039869550/77*
         ep^3*z6+5056562576933375437015008769371070132511/21142339680*
         ep^3*z5-2804403830838543117534751742757848122559625139/
         36993766570400640*ep^3*z4-134773340516804685740913901814091916\
         012181669097937464841723/4545777492410445293752189440000*ep^3*
         z3+3227818526820593291019556115760/77*ep^3*z3^2;
Fill mncnoptab(14,4,4,9)=
      +mncF321*(-204783239395661451975450000-
         1658973128457332216249779500*ep-34078353997078832621556421890/
         7*ep^2-227093065068565998385060606391109/29645*ep^3)
      +62634104103244846376860435149681470160233484260818742609/
      62164478528689850170970112000-98479719408460239291195/616*ep^-3-
         52819068096458529937249021262893/28189786240*ep^-2-65757670630\
         3468799973371661797616791098181/90560740564340766720*ep^-1+
         207502905683289106086229456020/77*z3-
         15408486730726914571043385370845204843440399071147221612014779\
         11215697665831222883572313368497080011459532712015429244558629/
         15465662404426420680550520919701074833501343428121078119643507\
         7102073418874880000000000000000000*ep+
         311254358524933659129344184030/77*ep*z4+6276428473750962906860\
         15161360267646837/14094893120*ep*z3+
         11468584569124008889339897720629430185477051828149153828123050\
         87964389920804826013321369090927527552245024272115197227306102\
         68545805833/24842008888233054432849856022192296752172225350493\
         22418147940928594844621660658807603200000000000000000000*ep^2+
         5750788133272319682352834495365/22*ep^2*z5+1882928542125288872\
         058045484080802940511/28189786240*ep^2*z4-15138314823845733178\
         04161084702868225090195081831/13317755965344230400*ep^2*z3-
         45804435530987240766693337178298312282022325683381735480124698\
         37787196728726685441846108355654748525604628901136684348532881\
         766865590810842093896891029993002684639760438887/
         57528293756692819509090736120296633192730771731845943916818785\
         05484558715840329114796217317395147881514178654825873408000000\
         0000000000000000000*ep^3+199202555607698297821486912777575/308
         *ep^3*z6+7588027497056961795116475373252414991079/14094893120*
         ep^3*z5-1513831482384573317804161084702868225090195081831/
         8878503976896153600*ep^3*z4-8992584643592861191875428704472064\
         276073873852647914524819/134689703478828008703768576000*ep^3*
         z3+14525178487390149214208515439445/154*ep^3*z3^2;
Fill mncnoptab(14,5,1,11)=
      +mncF321*(-3397610306715348373650000-27648425649233241379098000*
         ep-1144709156075759190098671275/14*ep^2-
         413900072813086916760636772061/3185*ep^3)
      +979707993179868304633547032772587647719122241839474677043/
      58606718083969377340937318400000+15293892233625885/28*ep^-3-
         54307850122699484960803529/2595989760*ep^-2-411330573626200095\
         5115832494957550733/13030803136102752000*ep^-1+
         312975316475685127423281375/7*z3-93032754188153728587498604916\
         63076339949813805558820869422943853827640671819497205513192922\
         9146050818030256687870064981687/566048235609022949491477914672\
         65257217398139152735780272218626390667430985728000000000000000\
         0000*ep+938925949427055382269844125/14*ep*z4+56925642407973061\
         63488942367758877739/7688123520*ep*z3+
         55222827478960418717594707677269572701001976340418450869114197\
         47482388759402190082670992835220161213869393794996866657505199\
         11417177/72738043453701001554001256750939811555365173226360794\
         9782833354627620131502060141019136000000000000000000*ep^2+
         30358605709551580793992459350/7*ep^2*z5+5692564240797306163488\
         942367758877739/5125415680*ep^2*z4-186538963745352088864450942\
         4480083057993095166301/1003371841479911904000*ep^2*z3-
         22502300345603866518845339910585109883080507988433867902025895\
         80371860794721752674259660229837904806573039589340026983650852\
         386316582994770793819431018563352313275287473451/
         21055541189915973315753274263716960314327066748976858655730769\
         95767452259417837509256237903580235943293301321540357324800000\
         000000000000000000000*ep^3+150228151965379478332845889875/14*
         ep^3*z6+17814235892250209150740788089872432739/1959717760*ep^3
         *z5-1865389637453520888644509424480083057993095166301/
         668914560986607936000*ep^3*z4-38002883478906207308439929835270\
         3749167965083603023895667091/322336949461831575375155251200000
         *ep^3*z3+10954136083005648968699319390/7*ep^3*z3^2;
Fill mncnoptab(14,5,2,10)=
      +mncF321*(-33976103067153483736500000-275819281627902623234910000
         *ep-5686235407791752154737291775/7*ep^2-
         8998240954639841310373452146190/7007*ep^3)
      +63022098933401232034968478000854823323808778621339480939/
      377002280072317632017725440000-31637875440816445275/14*ep^-3-
         30239213128492274910830295647/1052059008*ep^-2-227350552410836\
         070537657523740914145299/1760301476280547200*ep^-1+
         3129753515191690850410954950/7*z3-
         13406754098861813136678131865325710478174514867617836049247645\
         10511800818604096623048499551132715399019007152268798428674043/
         81332193853296455374301826687175869580787852572088779022714131\
         6034326771531776000000000000000000*ep+
         4694630272787536275616432425/7*ep*z4+2992545823285961387533883\
         47668189361/40463808*ep*z3+19934369665228924135417481556540420\
         08934840674246409666328513672454988012663622970331956416052448\
         69068068833845375808892010606025178549/
         26128270872184701874003083017113905992914068803679601354041250\
         764913196828955581381345280000000000000000000*ep^2+
         43369437259592914686584708700*ep^2*z5+299254582328596138753388\
         347668189361/26975872*ep^2*z4-32979344481945974712313562757891\
         669749432368489/1760301476280547200*ep^2*z3+
         18875934556610358261801214549214225642956752302229364247450735\
         20203611101869854197317992638236161217796623093284266910228777\
         876973697342933792766882962757481173673313712892143/
         57481627448470607152006438739947301658112892224706824130145001\
         98445144668210696400269529476774044125190712607805175496704000\
         0000000000000000000000*ep^3+751140768254896779889205014875/7*
         ep^3*z6+15790219605838785416779661135719003657/175343168*ep^3*
         z5-32979344481945974712313562757891669749432368489/
         1173534317520364800*ep^3*z4-2150485334664792477953248091265598\
         914872081241089925551233/188501140036158816008862720000*ep^3*
         z3+109541356962667042166374119300/7*ep^3*z3^2;
Fill mncnoptab(14,5,3,9)=
      +mncF321*(-132506801961898586572350000-
         1074703630057904841371091000*ep-44242344035960710282864620165/
         14*ep^2-13437171873988342642055086375482/2695*ep^3)
      +239483316653507334105586554181447844177098500787382493421/
      367335554942258205555732480000-2302378082180643397905/28*ep^-3-
         294490398860238073322735718349/301495040*ep^-2-666007590926152\
         2486435251029666655161751/1715165540991302400*ep^-1+
         12206050007585967223163015985/7*z3-
         10722446291325098385393484245766595825061900045158675807313211\
         54404256625708053381789104422111768777034057003935487480643127/
         16655328743228453040592868682755003666847600614899622590385315\
         9956079066480640000000000000000000*ep+
         36618150022757901669489047955/14*ep*z4+73882491031367880613451\
         288094580553047/2562707840*ep*z3+
         70875453233730088468892144312199636063113198676285698795721046\
         80830739571507588264564266324724847484455102462252225961774915\
         6317315723/237803845767701033887109732862011729593443524722670\
         1801987772512842928184837553730355200000000000000000000*ep^2+
         169140822483900645076725085410*ep^2*z5+22164747309410364184035\
         3864283741659141/5125415680*ep^2*z4-12568770268826694315367128\
         4062308545424694712771/1715165540991302400*ep^2*z3-
         14916808140328506678071244329190966452097766876535157613218211\
         40776637111507836721281140621851993021363203541567464836746975\
         2930122733309260286829396885093105365196824360531/
         49562837698073813730908941888255560904506511030513428605259260\
         97032850585954745083516741073448127405612215456465367859200000\
         00000000000000000000*ep^3+5858898536898592741569562909425/14*
         ep^3*z6+896799401166431279304300663778809219249/2562707840*
         ep^3*z5-125687702688266943153671284062308545424694712771/
         1143443693994201600*ep^3*z4-8064601196784922386774551971677343\
         596667490669596205839751/183667777471129102777866240000*ep^3*
         z3+427211167932486899525452120830/7*ep^3*z3^2;
Fill mncnoptab(14,5,4,8)=
      +mncF321*(-265013603923797173144700000-
         2150690884565452808797647000*ep-44315818674616661237055282240/
         7*ep^2-2450788175969683520429285184564/245*ep^3)
      +4354220849889136913398079400135270156779990206986398761/
      3339414135838710959597568000-22470585956097957405585/28*ep^-3-
         1076070486133940031880984405589/116486720*ep^-2-22095186879380\
         908294380066551360032841/639688779856896*ep^-1+
         24412198293145577881952927370/7*z3-
         69538853868597045587089086788678859728901354408514725531487051\
         52552656587542505314094184264831585293100309961466924169006011\
         23/54425840859952196840265485533432415302739688649977653429636\
         078500491384009523200000000000000000000*ep+
         36618297439718366822929391055/7*ep*z4+217365708215109703066298\
         1661409656183/37686880*ep*z3+329843640670896136159944985548232\
         81864101146291321357324082323742375939226156947300396025350268\
         88751016483697464190516126890400632861091/
         55632514436031289477940712724698608312579440599366271184539630\
         248571266468674050562457600000000000000000000*ep^2+
         338281794291003043572309439845*ep^2*z5+65209712464532910919889\
         44984228968549/75373760*ep^2*z4-167262301444232855679342651078\
         595523399632031849/1143443693994201600*ep^2*z3+
         10383122490556712816199962512087512441929475811571557130887473\
         92753859077218384818110804435111858738310846661750590437889992\
         002993891770627498035204071004204663635807882785971/
         16196012451688925342418701303367261513540985079131253398331888\
         57997199670968922656099972556637902727017538609416446672896000\
         0000000000000000000000*ep^3+11717801808719378635621065757725/
         14*ep^3*z6+449450546123258727142432464679194775437/640676960*
         ep^3*z5-167262301444232855679342651078595523399632031849/
         762295795996134400*ep^3*z4-16256184078665597182493883594643299\
         52584091129148056590871/18366777747112910277786624000*ep^3*z3+
         854421254679985971277028711085/7*ep^3*z3^2;
Fill mncnoptab(14,5,5,7)=
      +mncF321*(-300088933854887975472675000-
         2440674543506638421384151750*ep-7211847361689057391744364730*
         ep^2-4409481064226610546096302239758/385*ep^3)
      +75265427885761286801799477298444710054196927910541522103/
      50977179053211342811815936000-821392301615038747431435/272*ep^-3-
         425814260319854176422959190137069/12447438080*ep^-2-1650217588\
         476621710154854170689628221611651/13329286489989550080*ep^-1+
         134268669580856291158243451535/34*z3-
         57140648938218361481532134146430425647200033869143525294374593\
         59376133185187113294834965815971285622915272614491493297705603\
         379721/3888270929550674660140958556688874496028217626033832095\
         95757636412163588814484275200000000000000000000*ep+
         402806008742568873474730354605/68*ep*z4+4069139355175307930343\
         82977250958420221/6223719040*ep*z3+
         12106143857632828238652065496687095853247824909973849792035564\
         99356720042617215718188978832838315486838164934947294735829324\
         18064144083977957/17844593575084000876123633007234304858282624\
         09277318599878313139164467889012820001641463808000000000000000\
         000000*ep^2+26047731750284132756131001452065/68*ep^2*z5+
         1220741806552592379103148931752875260663/12447438080*ep^2*z4-
         421614546359397160761208548794120523269747573869/
         2563324324997990400*ep^2*z3-
         10638217242051694364512582769519979498881338832899814293910860\
         78713304307299077435361247239466984537427892782368489764622157\
         2622036369889237569714830128798951909361116023227311157/
         17015729000264201563830913124435645361573263507626059692778073\
         96116241613499594659918909943177943518099242604342013769809920\
         0000000000000000000000000*ep^3+1288959720556121008690725727449\
         75/136*ep^3*z6+712337303664738744618240545724473119401/
         889102720*ep^3*z5-42161454635939716076120854879412052326974757\
         3869/1708882883331993600*ep^3*z4-18413641774104776849345725924\
         760627243094265982486943348701/178420126686239699841355776000*
         ep^3*z3+9398599066172399425176022525935/68*ep^3*z3^2;
Fill mncnoptab(14,6,1,10)=
      +mncF321*(-3775122563017053748500000-30784815634148614279098000*
         ep-639626433464105146969162215/7*ep^2-
         46021379150558913658301833142996/315315*ep^3)
      +2342779356617100467700018024694729853679986949195714461627/
      126131849789412355581582489600000-37997491281217515/14*ep^-3-
         162890524762642916213860733/1117404288*ep^-2-44167563130395778\
         744410552419141810887/28044554575525488000*ep^-1+
         347750352429549347625342630/7*z3-
         80902913346805130685880503264874353619084618678819680573274787\
         28797814914848345657667426060658709186924929000936551234027513/
         44343726561753806538858474202486321936655637880608403867166748\
         274219381369602048000000000000000000*ep+
         521625528644324021438013945/7*ep*z4+24775751965357221141094983\
         5856219589/300839616*ep*z3+11980615042208515520245127292202232\
         63820112820895560277547755689113531382981663329379153365844074\
         983675459988993915847716762606403136779/
         14245587684225920065217333088461233963093148817310530477377273\
         24313093427109143437052477440000000000000000000*ep^2+
         33731784129115669298178745860/7*ep^2*z5+2477575196535722114109\
         49835856219589/200559744*ep^2*z4-23691908537857335681658982458\
         691281339103769331/11547757766392848000*ep^2*z3+
         20370263125795198060264654656183381342949765084606503042501375\
         61011195717871076321539031290267112167885344025519044767853782\
         4436122178529147670997896142320620484824567089449989/
         37937874115990600720324249568365219094354508868306503925895701\
         30973795481019059624177889454670869122625870321151415827824640\
         000000000000000000000000*ep^3+83460084441715299876383508075/7*
         ep^3*z6+1474901517030103555628435098535014293/144848704*ep^3*
         z5-23691908537857335681658982458691281339103769331/
         7698505177595232000*ep^3*z4-4988986093634747053775639702344167\
         507310888316732998461281/3709760287923892811223014400000*ep^3*
         z3+12171262303535696155997219460/7*ep^3*z3^2;
Fill mncnoptab(14,6,2,9)=
      +mncF321*(-33976103067153483736500000-276545793181908935202804000
         *ep-5727483917649746679023995095/7*ep^2-
         45598190542665261086935884370842/35035*ep^3)
      +86769352336920445743705799165641995959601842865740604617/
      519061110244495290459187200000-125488923187230277695/14*ep^-3-
         98210331759457036564005348211/869092224*ep^-2-3627764654025024\
         323753674438680864082151/7270810445506608000*ep^-1+
         3129754545179394178175721990/7*z3-
         11147443396025360894437220784810197323638902527190737676522550\
         582802788452406170225792703573851027923264925634532872574333/
         67779946537660139330412717769820362748562409458895855411307199\
         00821304618516480000000000000000*ep+
         4694631817769091267263582985/7*ep*z4+2475299445555417874357238\
         47998008045/33426624*ep*z3+57851903287260866650968772188855216\
         53428495345591274754177163761965911920074301006827293002716034\
         7871933279182176792928701821376219419/
         76210962919727144381821123518516889514490096553513126010660309\
         53115314630625047194107904000000000000000000*ep^2+
         43369438825872141298708923540*ep^2*z5+247529944555541787435723\
         847998008045/22284416*ep^2*z4-12279060097536671719922575337471\
         098276943045723/660982767773328000*ep^2*z3-
         28801719723638602557097897894519125797114135730508827884908981\
         99975931605283222472941961846596195808133529757212898164271288\
         8957158084710414235398210314081194470832899799351/
         85277235451097591272299208837145597438636202802501046276696081\
         37541816449363311393697922141079866271421017770683059404800000\
         00000000000000000000*ep^3+751140793089813987281966856975/7*
         ep^3*z6+13178425560009213777316801582038080453/144848704*ep^3*
         z5-12279060097536671719922575337471098276943045723/
         440655178515552000*ep^3*z4-27864403271173957417876842638269221\
         8555101160904266125297/23593686829295240475417600000*ep^3*z3+
         109541345651792132503638501180/7*ep^3*z3^2;
Fill mncnoptab(14,6,3,8)=
      +mncF321*(-117783823966132076953200000-
         958266956335066538833530000*ep-19831618991089569302681262480/7
         *ep^2-12133670121550158214832429068392/2695*ep^3)
      +204161765510401374159915407593625003752289201791627927/
      352303920980426667732480000-1788564754469617206420/7*ep^-3-
         752128111534383323562189481321/250699680*ep^-2-489126774316815\
         641611219059637945523989/41946983339461200*ep^-1+
         10849850329924791706024625160/7*z3-
         31357864137957448097147148924602562755100402496382115185136931\
         151521466333061421439884047626397787313719638957458187985394597
       /552146211622703446205591882223227401621996841376584889865873260\
         1499125914009600000000000000000000*ep+
         16274775494887187559036937740/7*ep*z4+292472291921994341143093\
         824903517669/11395440*ep*z3+7903912510485811155992589724712726\
         60220584652884382641239076383736190749861589101447140852059904\
         12970865199951615031957724587340301/30088147411213947915563490\
         21321427246381108039345452618253717273763942243626263773184000\
         000000000000000*ep^2+150347440457857434844709546760*ep^2*z5+
         292472291921994341143093824903517669/7596960*ep^2*z4-
         27052263240939436243020233509221013531172567237/
         419469833394612000*ep^2*z3-
         62060599579374367456688392960841073196610669589194530233115607\
         88978391934288456250660938500818299742098076822236673494785319\
         70081434890324281255444660266468632773557715932898587/
         37790695720607492465643636374523610198262298517972924596107740\
         01993465898927486197566602632155106363040923421971708903424000\
         000000000000000000000000*ep^3+2603955582187693130517355505400/
         7*ep^3*z6+13155776910399964073229798631408734371/41783280*ep^3
         *z5-27052263240939436243020233509221013531172567237/
         279646555596408000*ep^3*z4-60927410275914947925065890929795150\
         6161370736243987135433/14972916641668133378630400000*ep^3*z3+
         379742951205034630879011214440/7*ep^3*z3^2;
Fill mncnoptab(14,6,4,7)=
      +mncF321*(-206121691940731134668100000-
         1678675333802323769123211000*ep-4971768038058379736016467460*
         ep^2-3049129265505352953347567078856/385*ep^3)
      +694144903470961270565822740073098076260481536893707143/
      684476189333400383023104000-7473481301080026528465/4*ep^-3-
         217985847598550833384349646359/10232640*ep^-2-4280232227526183\
         017768278424941614621853/54787896606643200*ep^-1+
         2712493846373450667944015730*z3-
         25036291509537722674131206425994807418921482260495239859093783\
         76151635740012951448598074467141452222485185767766788684503198\
         1773/248610673244928047323590700555554635295921843096792333501\
         1238084476749289095168000000000000000000000*ep+
         4068740769560176001916023595*ep*z4+160941530287248389444776159\
         9728999817/35814240*ep*z3+259724671145366182156754522515536698\
         58465648247412821364987770756375908277230794283921022830700715\
         680117135085929051972208806217877923982611/
         55906974755697956709082993436987272254210267298330314190560961\
         5211374210752098338110177280000000000000000000000*ep^2+
         263108353346827167845775313035*ep^2*z5+16094153028724838944477\
         61599728999817/23876160*ep^2*z4-215702775206368878270087772010\
         53938113697064717/191757638123251200*ep^2*z3+
         31716669858778304650850978449289630100749243747101534354518213\
         68909929693988647068421150820839018352162317185532515518208634\
         860089193307427740464047806797053082907572901479809147/
         85078645001321007819154565622178226807866317538130298463890369\
         80581208067497973299594549715889717590496213021710068849049600\
         000000000000000000000000*ep^3+1301979297502268585889156486525/
         2*ep^3*z6+6603963245056359457548350429856615313/11938080*ep^3*
         z5-21570277520636887827008777201053938113697064717/
         127838425415500800*ep^3*z4-18995029257263792971950077059870302\
         14203000385740879319/26326007282053860885504000*ep^3*z3+
         94935393923633879772012933765*ep^3*z3^2;
Fill mncnoptab(14,6,5,6)=
      +mncF321*(-200059289236591983648450000-
         1633467051595941127360294500*ep-4859266148463464947011004020*
         ep^2-428218787735656843046598975996/55*ep^3)
      +7635580802478094803532291428494394457824617487593619853/
      7757396812445204340928512000-683824108078847211756345/136*ep^-3-
         45922856090689249996327247410843/811789440*ep^-2-8772661495179\
         60286052965246049498449621001/4346506464127027200*ep^-1+
         44757350832678502024786149045/17*z3-
         30915865348975395911902374512857018897164494965609281220973994\
         66695158575276281942516087109737070318772234221900533848734106\
         3873/323003872940206340144112550398457227515571589208648475624\
         6229374893366213345280000000000000000000000*ep+
         134272052498035506074358447135/34*ep*z4+1772613307321387014028\
         8202371806959787/405894720*ep*z3+
         40963713334235915212063331681740545592846287487993608625951038\
         84028650814388737091731648916315445813124129926157727644671385\
         6322764458992779/933895799018083781761703820829492605304646188\
         43015868753695937234855404819511513773506560000000000000000000\
         0000*ep^2+8682601237575031618521926398155/34*ep^2*z5+177261330\
         73213870140288202371806959787/270596480*ep^2*z4-33614186455515\
         268517733029971822369572733033001/310464747437644800*ep^2*z3+
         80886734897485323006040648529977680254567055313770007886147995\
         98629634064038268553346866877614338916988179833662212581901001\
         951770344000329905754669624439062605147678064096460187/
         48766419092467949808157378883964592085637659964536767197115291\
         33490110444333053478603577879478233186792361961297658511360000\
         0000000000000000000000000*ep^3+
         42965432679548373072361770500325/68*ep^3*z6+733639616112601593\
         79471291202839318643/135298240*ep^3*z5-33614186455515268517733\
         029971822369572733033001/206976498291763200*ep^3*z4-
         3644207431059794284943067003523409742305502623274465181/
         50372706574319508707328000*ep^3*z3+
         3132841546280195000273854726245/34*ep^3*z3^2;
Fill mncnoptab(14,6,6,5)=
      +mncF321*(-111144049575884435360250000-
         911306635505290755202972500*ep-2730633525086162880064541700*
         ep^2-1020283923146700221706364969220/231*ep^3)
      +495812777778410171426993660550511797741729440835357029/
      906708718337751156731904000-760603600125302825658325/136*ep^-3-
         91709149196644298970169170404923/1461220992*ep^-2-223415319393\
         260692971932461803167230384747/1003039953260083200*ep^-1+
         24866241773373948433473040625/17*z3-
         63630980126492353009558783132841783248221865407421935026371430\
         53497939862633976691228355551578979506810915825511206331829403\
         845709/1209449900951427244901343057813118943885628427959424502\
         931724868600684481328541859840000000000000000000*ep+
         74598725320121845300419121875/34*ep*z4+17763411393095194994050\
         370127116541899/730610496*ep*z3+
         94685599980388095166150084133525118814927775122766997655432590\
         55069633146306579835825246913417404886579969969250163419366590\
         62758521240745011/38854029531523627391217622505583066553365186\
         87557610085066011575805594022618259756546544107520000000000000\
         0000000*ep^2+4823689624363332743793052317375/34*ep^2*z5+
         17763411393095194994050370127116541899/487073664*ep^2*z4-
         386722272935152657774233109022798645068018078633/
         6519759696190540800*ep^2*z3+
         14091417754060209317096963132402526383956523114811165322545783\
         31428792506967643160201334786027525005095747449430774834514627\
         808291875104788105435817586742244376392547622591076487254873/
         17590476670378490046309085885220628099298525595351316062283121\
         25086760843271774583731260141930943439673299954404465942557255\
         270400000000000000000000000000*ep^3+
         23869785704082924234630531180625/68*ep^3*z6+106506850829314099\
         30980509941424110613/34790976*ep^3*z5-386722272935152657774233\
         109022798645068018078633/4346506464127027200*ep^3*z4-
         1476716414717844377958982554017275976105878561383308937533/
         34908285656003419534178304000*ep^3*z3+
         1740444495648652448653103371825/34*ep^3*z3^2;
Fill mncnoptab(14,7,1,9)=
      +mncF321*(-2682323926354222400250000-21966724215079522803639000*
         ep-919557955727223587392814415/14*ep^2-
         11134912267029258076036979012791/105105*ep^3)
      +369912142507669521651791333649819634676539482243721049083/
      28029299953202745684796108800000+69995555892827685/28*ep^-3-
         82001977648902843781704541/248312064*ep^-2-1577034418676675235\
         166806440051820869/366595484647392000*ep^-1+
         247085775667910445081523515/7*z3-
         16985608853435626003095158248183105484587173280069243248673329\
         11151363483352663570859222687039764717766613694561460505777788\
         5811/131520208261675734356732837560559431877310499314041517840\
         100488955536594817693777920000000000000000000*ep+
         741257327003731335244570545/14*ep*z4+3920169194274968819959897\
         3737467845/66853248*ep*z3+250452062939310979770491060241880306\
         30727294194117726498221972020445436441415893939855977946058520\
         54506993896969335246252326052681549500909/
         42251357842696728845281630878665763546833309529267677060310075\
         60407130431218526164413421977600000000000000000000*ep^2+
         23967320292377134307831910330/7*ep^2*z5+3920169194274968819959\
         8973737467845/44568832*ep^2*z4-6270762523078312128340842396521\
         2129129803579623/43624862673039648000*ep^2*z3-
         89404852606563288332975021238619374733881357621770234825256361\
         31611870173847629043968347856861038580587927902376885604051920\
         359044743641604479700331847377318849581554784827080601/
         11252092441513064095124318168276617574355218778422166053280473\
         18845857563407430721126538472333493330888443315991871775897026\
         5600000000000000000000000000*ep^3+
         118601172583546119313751934075/14*ep^3*z6+63912450931492694560\
         79609194538212343/869092224*ep^3*z5-62707625230783121283408423\
         965212129129803579623/29083241782026432000*ep^3*z4-
         14110152218673935307236346711325529583725928059904499489073/
         14014649976601372842398054400000*ep^3*z3+
         8648002177690900470237314730/7*ep^3*z3^2;
Fill mncnoptab(14,7,2,8)=
      +mncF321*(-21458591410833779202000000-175485608839457646642198000
         *ep-3664161633204639436283922240/7*ep^2-
         29486570020131093117990634117224/35035*ep^3)
      +13700329764582263541044078781085102553927989273484205271/
      129765277561123822614796800000-135041100672823633620/7*ep^-3-
         17457679322223452325029436859/72424352*ep^-2-15870603187128750\
         7543770492940598302649/151475217614721000*ep^-1+
         1976689183037613161471633880/7*z3-
         48300478749249567025960038183996953681727897400397183251999568\
         77110878359127064340171617089950265452164789501343851840513597\
         17327/46751324030517546197119875851605110550137716553038195794\
         7232206834133989391020851200000000000000000000*ep+
         2965033774556419742207450820/7*ep*z4+1305814770566429386480903\
         9005700169/2785552*ep*z3+1297535791405560875601961626099403301\
         72078825731629666056274692085246536694485385613532617745677912\
         0305175335174634573667178943211229050747/
         27307340651174732421311281320728582974160732721330671963694722\
         1588813117358583722273878835200000000000000000000*ep^2+
         27391227713909704380581151480*ep^2*z5+391744431169928815944271\
         17017100507/5571104*ep^2*z4-6709730674504921791433341665634743\
         5955647/5807597796000*ep^2*z3+
         41646107133433582601529671547142260982015168807449287561509670\
         77548200857749373605917799111825211435186698542529642985147635\
         95008092606859997453954025111832504097257729471687603639/
         79995344701381940051274449477591578067681633502845086785040864\
         07419768614849702783008984451745929149285026699629713406767923\
         200000000000000000000000000*ep^3+
         474404762035825793756491066200/7*ep^3*z6+211894502522388190775\
         0963766774785643/36212176*ep^3*z5-6709730674504921791433341665\
         6347435955647/3871731864000*ep^3*z4-15902483354515474273434783\
         59764384985632933127092332727/200875042664278363180800000*ep^3
         *z3+69183984637209019173724033560/7*ep^3*z3^2;
Fill mncnoptab(14,7,3,7)=
      +mncF321*(-65091060612862463579400000-532286216242282124780157000
         *ep-1587651908399006999819608260*ep^2-
         982737811887387627558786468558/385*ep^3)
      +3727922526723313674338261840534680430716505217104633/
      11640751519275516718080000-410682439568092447080*ep^-3-
         114444263088623060375407718719/23876160*ep^-2-7071656031326494\
         56209718351119223439/38412988406100*ep^-1+
         856573058545225853386372740*z3-9807184289213294004432782739211\
         15221023341305723120561281595553922714437154212154134078680504\
         831076588894554948740106239561683/3107633415561600591544883756\
         94443294119902303870990416876404760559593661136896000000000000\
         000000000*ep+1284859587817838780079559110*ep*z4+16975382438123\
         5847685540020073940361/11938080*ep*z3+
         16224913880492445419307449068628706319950450536737638030644592\
         75878777228388997594184787282782329926329267189755414137453406\
         4864293036246141/111813949511395913418165986873974544508420534\
         59666062838112192304227484215041966762203545600000000000000000\
         00000*ep^2+83086806459965528545120591380*ep^2*z5+1697538243812\
         35847685540020073940361/7958720*ep^2*z4-1400194364842224839360\
         259324801880578691675879/39949507942344000*ep^2*z3+
         92501058646095176753560923858494180942925639675818510569586875\
         44043940200779694275881796483799312578710811227259891047227063\
         6650068189480372291334585082308044895611866296564437141/
         17516191617919031021590645863389634931031300669615061448448017\
         31296131072720170973445936706212588915690396798587367115980800\
         00000000000000000000000000*ep^3+205575583503550756729335546600
         *ep^3*z6+5309898772205122742038718475814793/29920*ep^3*z5-
         1400194364842224839360259324801880578691675879/
         26633005294896000*ep^3*z4-342236465637801038565712737418416935\
         67989792649786437191/1425992061111250797964800000*ep^3*z3+
         29979641485082342044341733500*ep^3*z3^2;
Fill mncnoptab(14,7,4,6)=
      +mncF321*(-97636590919293695369100000-799526957143216817485971000
         *ep-2390399895634557220781368560*ep^2-
         1484245946366897637617563968816/385*ep^3)
      +328799481561219438763004390000261416104832991450360933/
      684476189333400383023104000-8589714818008407419115/4*ep^-3-
         194193987315366324767911367627/7958720*ep^-2-34960247645513398\
         89179392627420670843/39347006899200*ep^-1+
         1284893281691227646893914030*z3-417749498339984459003272050079\
         23014831651878013726681700867197546682138217437382397154972307\
         51673943918207494386585059889829489/89776076449557350422407752\
         97839472941241622111828612043096137527277150210621440000000000\
         00000000000*ep+1927339922536841470340871045*ep*z4+121336997021\
         63710109473606884825949/568480*ep*z3+
         12268333538736649243233002862353011424850715647364208083544757\
         80306028900283925048947445781390523504626646149229911286748280\
         031468698701449/5768179935111693946175229481593924915116932340\
         30392130537533729979989265061688761542246400000000000000000000\
         00*ep^2+124630568059465639026456050385*ep^2*z5+364010991064911\
         30328420820654477847/1136960*ep^2*z4-1115033003072972706501329\
         561264182439554485263/21306404235916800*ep^2*z3-
         28202605778160977398702033695203169001906749191978915137030324\
         49441853851923677249120304040427032526164698801005158832234998\
         91745897832775622041769258070950258716222072230888163847/
         76807110070637020947847871742244232534879314444145408335456583\
         85246923949824559228800635160178217269197970089043812155392000\
         00000000000000000000000000*ep^3+616728373888872056897810681775/
         2*ep^3*z6+1064916288958665241192366999047865881/3979360*ep^3*
         z5-1115033003072972706501329561264182439554485263/
         14204269490611200*ep^3*z4-113879700732745834421329464400374651\
         7582534410754379507/31112554060609108319232000*ep^3*z3+
         44969091571317078276972236415*ep^3*z3^2;
Fill mncnoptab(14,7,5,5)=
      +mncF321*(-78970772067075783019125000-648527697833100261492566250
         *ep-1948474153561098128752747350*ep^2-
         243527061653196088800051188802/77*ep^3)
      +1205591502019102392170560111143924720690945970899946237/
      3102958724978081736371404800-1049868290026399128857325/272*ep^-3-
         427676261446471224039038092427/9839872*ep^-2-18007131007125535\
         609012332495253986874231/115906839043387392*ep^-1+
         35336153077500887455064448825/34*z3-
         21228108079747272240399632400626724170149724560568731538228829\
         59603771298893412674925407299903570710604303763306742892488640\
         47924637/56440995377733271428729342697945550714662659971439810\
         136813827201365275795331953459200000000000000000000*ep+
         106008459232502662365193346475/68*ep*z4+9356417184179079557417\
         23197953827913/54119296*ep*z3+
         31525297934761654818114124079761003103458115374509125088924441\
         58230465831661000189713684669845158171148472843866718602571821\
         6624647977097932187/181318804480443594492348905026054310582370\
         87208602180396974720687092772105551878863883872501760000000000\
         00000000000*ep^2+6854715021584000519089603403175/68*ep^2*z5+
         2806925155253723867225169593861483739/108238592*ep^2*z4-
         49181896039458742280600352261661354087843331/1173146144163840*
         ep^2*z3-233389494272507305214106279538013593954055527657410719\
         70445633938845496446290414763262013636331224561573072390735500\
         66496336139512084358951911223234176691951832292117670817485479\
         07363/96575166033450533587579295056113252309874258170556245047\
         82890098515549727766605557740251759620865943304391906534322821\
         88297011200000000000000000000000000*ep^3+
         33920213577144993720897372527625/136*ep^3*z6+10765711840104149\
         65713714257596071561/4919936*ep^3*z5-4918189603945874228060035\
         2261661354087843331/782097429442560*ep^3*z4-500048129732776533\
         649649193625216740107311988554129207/
         16331361710410956507217920*ep^3*z3+
         2473265105939639978310895050825/68*ep^3*z3^2;
Fill mncnoptab(14,7,6,4)=
      +mncF321*(-35098120918700348008500000-289523813869856594823795000
         *ep-876508579282577618974369500*ep^2-
         15805873704895627559372610164/11*ep^3)
      +669740128222990903752449580414166940544459992108335793/
      3878698406222602170464256000-175909980823910330161125/68*ep^-3-
         647819345645577181992259193747/22139712*ep^-2-6882126163549348\
         24176073560495699263208839/6519759696190540800*ep^-1+
         7852804420368277252492597650/17*z3-
         68605594201080748785880221032732582322663164823470840874553138\
         30256888393145821863143707827717502993475107286506363938718733\
         61059739/38914050563112171604700712885137102019520094669594483\
         3818282476472270231867458343403520000000000000000000*ep+
         11779206630552415878738896475/17*ep*z4+93773431311715698229324\
         6978370117129/121768416*ep*z3+
         20155715023955839080966999821128942104977819774399413209158605\
         33411273292057240981273565617406457834409798237126254528022149\
         7134027163793563249/250025680035354542262485400823427033270904\
         97754433220897399784490308997535548501533377011331891200000000\
         00000000000*ep^2+761638469268104152247736050175/17*ep^2*z5+
         937734313117156982293246978370117129/81178944*ep^2*z4-
         8545696090922864905245119963557047234876207911/
         465697121156467200*ep^2*z3-
         99145313037925756136989764516830754241529806165654509092034546\
         61525937362747152684128463085657665576152959899124920623688041\
         35483139006897154741939663282865425414182477366725221512383669/
         19243101953560549186159824504137106109227622075034572206334620\
         49238662024497157805872812032265355575830606485120765517860509\
         403054080000000000000000000000000*ep^3+
         3768928324238679374976217262625/34*ep^3*z6+3649383034427051367\
         21263261360436211/3689952*ep^3*z5-8545696090922864905245119963\
         557047234876207911/310464747437644800*ep^3*z4-3963890434497488\
         751026474925879657331656183734665226539/
         277049886158757297890304000*ep^3*z3+
         274803648127704824221378520625/17*ep^3*z3^2;
Fill mncnoptab(14,7,7,3)=
      +mncF321*(-8312712849165871896750000-69001022394510015952642500*
         ep-211116025578408649643195550*ep^2-
         27016792414601319047484192996/77*ep^3)
      +11392868084429881300253953323075329985767194786633081/
      278621057535839097311232000-1557244973542510171954125/2584*ep^-3-
         651167427332792737928608320547/93478784*ep^-2-9424111159008789\
         7694729128592967232419971/3590592296452761600*ep^-1+
         35337548197870591436844177825/323*z3-
         13151042729705403158317215625724548897301514303930814077897397\
         49849194014947289445037938718466956167608562131870805067894408\
         176249949/3553185478008007401805396745521277250562019650234428\
         442711274063684631699168693363671040000000000000000000*ep+
         106012644593611774310532533475/646*ep*z4+260565434856099953967\
         8074113625057/1424192*ep*z3+
         18568859865097721931848102901531497543246830363820887197542003\
         48105819595910816116136253923373043548227311008139236770602490\
         57884678431845589171/11414740981408246861200131636836819985667\
         69710544760532295487745602512855351149399977909511258112000000\
         00000000000000*ep^2+6854744700802846764169524329175/646*ep^2*
         z5+7816963045682998619034222340875171/2848384*ep^2*z4-
         175578581959432541516725854767700505673815031683/
         41291811409206758400*ep^2*z3+
         32746808863450707493219343588046586080325899305851459905170269\
         68713470859719016965854199943172332087304360719914090568582440\
         65369615501508578245035998754187800079983400116321845388432374\
         451/1663288207968202491433050075362037509387816862734543823416\
         86977482637773566314333371619770682207267727793932989460656850\
         4497194248699904000000000000000000000000*ep^3+
         33920348022035527906479179867625/1292*ep^3*z6+1120445397046661\
         591809116517923622329/46739392*ep^3*z5-17557858195943254151672\
         5854767700505673815031683/27527874272804505600*ep^3*z4-
         148123185735597111910931122888091065763662189618426236401/
         40941816510127467354900480000*ep^3*z3+
         2473234415939665976157647278425/646*ep^3*z3^2;
Fill mncnoptab(14,8,1,8)=
      +mncF321*(-1226205223476215954400000-70763545813754511296865000/7
         *ep-1498096318429575397898234820/49*ep^2-
         12274727045490818497369878948679/245245*ep^3)
      +9864291016801089981289039419285792152710707955369102271/
      1635042497270160164946439680000-175888125593881605/49*ep^-3-
         212843164511419863497204519/362121760*ep^-2-521174082031918586\
         23418468582855483/7573760880736050*ep^-1+
         790674489907312284031614840/49*z3-
         11672025283410999789081631824712724702668557321407658894247400\
         33856935434423086431380136831068722240931109007383974012235909\
         57363/19887574948919378050259197188436705230117177080569763757\
         98968254853015290807897292800000000000000000000*ep+
         1186011734860968426047422260/49*ep*z4+262206099921029435517472\
         13212488189/97494320*ep*z3+68417211369140304058968094162084561\
         08037777035171232735287488865967944002896165590912393165901486\
         067356619850070178045199512754907772259017/
         25555830754720478099600612417266226206833704474126571832273365\
         370409315100300581321240582553600000000000000000000*ep^2+
         76695425008549831786962267180/49*ep^2*z5+786618299763088306552\
         41639637464567/194988640*ep^2*z4-17030673853272694018244391237\
         0195635172629401/265081630825761750*ep^2*z3+
         42438748843083175944566498248286862529095487511305189055821697\
         90971968355258021342545659722189706661829529154901652746318584\
         97171184568710578472389410016725704808717849898705160082485919\
         81101/58700069285889901597510578021338713261665002720906106706\
         26657559862252977319932149437279490478205725987298813277907501\
         117411096497487872000000000000000000000000000*ep^3+
         189761876296606298757326630850/49*ep^3*z6+43694624700853332472\
         53582347722224299/1267426160*ep^3*z5-1703067385327269401824439\
         12370195635172629401/176721087217174500*ep^3*z4-20310060589808\
         37299978363907169315970981826367996818263633/
         4087606243175400412366099200000*ep^3*z3+
         27673606861793934158660741460/49*ep^3*z3^2;
Fill mncnoptab(14,8,2,7)=
      +mncF321*(-8583436564333511680800000-70690630308305974688007000*
         ep-1493924355313671761995645080/7*ep^2-
         2442502007401548420573796272087/7007*ep^3)
      +5480028845674386339892138781220252064126638455143863089/
      129765277561123822614796800000-161630680852209700035/7*ep^-3-
         14868408227876837477013168389/51731680*ep^-2-17892737244403697\
         819579448581847659567/14426211201402000*ep^-1+
         790678038238820332666041960/7*z3-
         23103298839734407084421923523493979702885054876830468037763942\
         11497531750403074899150273867598330955131148264799019002608554\
         619/5610096113355942120525763834904949993848762643565774367821\
         412256417927672102912000000000000000000000*ep+
         1186017057358230498999062940/7*ep*z4+2620733264466009814658290\
         1367840319/13927760*ep*z3+303050158330715766700891298463931315\
         84334606963243930362550424625837653816567055948539219383399077\
         66869309899584540837614355180444124169079/
         16114363311936469874970980461249272590919429985989325854926394\
         79138666842756048151023452160000000000000000000000*ep^2+
         76695462763252737514499636820/7*ep^2*z5+7862199793398029443974\
         8704103520957/27855520*ep^2*z4-4557568235315578912124500437785\
         24719632254843/100983478409814000*ep^2*z3+
         21411817591372935045944647120011195348637311695501220503025647\
         26737578231883628153789161736283917232300185918741311455851549\
         03085385956906524649012473937892492948327817795660171388681308\
         19731/12584636581596680614597196689794323189472604170221057714\
         80462556639196680357190153662084244505737776752585191879823500\
         548775003165818880000000000000000000000000000*ep^3+
         189761961812534792954583987150/7*ep^3*z6+435262234052915027958\
         2292789034152009/181060880*ep^3*z5-455756823531557891212450043\
         778524719632254843/67322318939876000*ep^3*z4-22311416107256232\
         2108133616775568930944715729781420792531/
         64882638780561911307398400000*ep^3*z3+
         27673567859538159873689213100/7*ep^3*z3^2;
Fill mncnoptab(14,8,3,6)=
      +mncF321*(-22316935067267130370080000-183850828431047481557997000
         *ep-3887358713064744834169351332/7*ep^2-
         12230594178810442593269868920439/13475*ep^3)
      +1095970081274329651451837818696145637918068461092088363/
      9981944427778755585753600000-2461848939279090235953/7*ep^-3-
         81505743695254086863835703739/19896800*ep^-2-26087510176331357\
         222958925459184348843/1664562830931000*ep^-1+
         2055807824090035037223800664/7*z3-
         90725400836608373095531087928885111169278172979266972830707497\
         80706702090957943866807733617502377240343359407490613109906367\
         97/85307583956592957414957593327886394464286906944977761495483\
         6597614570834493440000000000000000000000*ep+
         3083711736135052555835700996/7*ep*z4+3407510324876724666343172\
         35050263317/69638800*ep*z3+45155100792316123577924350113946050\
         50224232742947561889604131621420666421542418252959977827802684\
         191129538378141708759741266118781667248271/
         93178291259496594515138322394978787090350445497217190317601602\
         5352290351253497230183628800000000000000000000000*ep^2+
         199408680985874493831081869628/7*ep^2*z5+102225309746301739990\
         2951705150789951/139277600*ep^2*z4-781369904372909421770167564\
         236701764396541/66658694602500*ep^2*z3-
         14696417187088176370005844022020603820568199058423194652414311\
         90685592444580964186728971808415007566966501147090624719048321\
         06004234096456265017400524868738591254474601794357781874323115\
         13137/42804886331961498689106111189776609488002055000751896989\
         13137947752369661078878073680558654781421009362534666257903063\
         0910714393395200000000000000000000000000000*ep^3+
         493382182904461146984645172410/7*ep^3*z6+435758282466593333442\
         6925800112803519/69638800*ep^3*z5-7813699043729094217701675642\
         36701764396541/44439129735000*ep^3*z4-512257805906280972581037\
         156586899347976948052177395761/57104945239008899232000000*ep^3
         *z3+71950782189300111158607148356/7*ep^3*z3^2;
Fill mncnoptab(14,8,4,5)=
      +mncF321*(-27896168834083912962600000-230197064299516294718166000
         *ep-4881148767443605071320469720/7*ep^2-
         3082845984380075439678739736862/2695*ep^3)
      +21918962425769321346129454112616780857652145129836293/
      159711110844460089372057600-17180473435202876414265/14*ep^-3-
         2927438279030107754733284849/209440*ep^-2-10899404193595906142\
         92284731051559046249/21306404235916800*ep^-1+
         2569881050859415508636040360/7*z3-
         15625045030590233355565042458114726276187624556210426065601844\
         41780178780207180018265514133679755597065582829678484149386064\
         920483/1162020493070979117650309996722408397066584175882584326\
         346167030616343913433304924160000000000000000000*ep+
         3854821576289123262954060540/7*ep*z4+8526076567678919095700416\
         9092571333/13927760*ep*z3+115450181553210495276368775990134799\
         68758801781885977382764008480033813180534854131851788541826263\
         8732904284255728059456736556973453201106117/
         18665171049457428844800622576211473148185236832384597467473977\
         177889618343950463536351045222400000000000000000000*ep^2+
         249262141161614681014777349370/7*ep^2*z5+255782297030367572871\
         012507277713999/27855520*ep^2*z4-10863685054848711643541533014\
         66745816808342353/74572414825708800*ep^2*z3+
         29488195400378767502661543731132556942456617362224885219715068\
         74307927791274979130086726895714476489268109148834917201053224\
         03869491697920939090460352352039602975015134168636459890562657\
         791/2381815294155865814132056782910862278694296660436396031376\
         18388826090359726263884976037398453402117606678833715123427856\
         188625477697536000000000000000000000000000*ep^3+
         616730650276888163765353272525/7*ep^3*z6+109624307941261275727\
         0140025844225511/13927760*ep^3*z5-1086368505484871164354153301\
         466745816808342353/49714943217139200*ep^3*z4-45596186025765026\
         37959263018064254411570158312543050549/
         399277777111150223430144000*ep^3*z3+
         89937143867330221792600786230/7*ep^3*z3^2;
Fill mncnoptab(14,8,5,4)=
      +mncF321*(-18050462186760178975800000-149414707392203370924378000
         *ep-3184984751227353002765980260/7*ep^2-
         2025423979509490713524121667596/2695*ep^3)
      +241098524369633818458568759721572301761260264264479189/
      2715088884355821519324979200-316286770545812029303665/238*ep^-3-
         92899545903156195366478555931/6149920*ep^-2-284889260936830723\
         2936729309639227391607/51744124572940800*ep^-1+
         28270092079897427378378258460/119*z3-
         24053700340577782086255821208981020733240095544295979553630754\
         59736714874256114621121462582159870899813321427295770070569475\
         254424437/2723983539417852012329049901959597141366406626871613\
         836727977335305891623072208403824640000000000000000000*ep+
         42405138119846141067567387690/119*ep*z4+9393446871545216832183\
         04199709282563/236771920*ep*z3+
         70201877722590872215200530853734031213727736440455342372559238\
         88930889745014951083473111860731288969852512021715050635397307\
         4201513984554232943/175017976024748179583739780576398923289633\
         48428103254628179849143216298274883951073363907932323840000000\
         000000000000*ep^2+2741898448483378867187788457070/119*ep^2*z5+
         2818034061463565049654912599127847689/473543840*ep^2*z4-
         11820907183701328583013198529517476237721196793/
         1267731052037049600*ep^2*z3+
         16827728740770156185152965028617577910867992482042516868901149\
         69762130081567012660657620335029849645251683562185995260839465\
         74227328543925191356894489838540699613164299919855832015827153\
         3705237549/402004826903593451422763514154080687565690842602735\
         29622941349624686524706335726732442714428735312325756059279153\
         14511650567865551905672396800000000000000000000000000*ep^3+
         6784070891008703599523525496525/119*ep^3*z6+110901312387829243\
         5588887346306650811/21524720*ep^3*z5-1182090718370132858301319\
         8529517476237721196793/845154034691366400*ep^3*z4-
         51838880648414249364006445358919880806434169798551699789/
         6787722210889553798312448000*ep^3*z3+
         989293175189721937104172912530/119*ep^3*z3^2;
Fill mncnoptab(14,8,6,3)=
      +mncF321*(-6016820728920059658600000-50037883166836620342144000*
         ep-1075072106514502847786101560/7*ep^2-
         138137301953867513476099985604/539*ep^3)
      +372019708646703723294816897076000678065887798206878637/
      12569855946091766293171200000-106765126281180759086955/238*ep^-3-
         95810168465896687625144457371/18449760*ep^-2-10663754234280426\
         2567286589245059195921273/5433133080158784000*ep^-1+
         9423378617242005701064751140/119*z3-
         18657249808695307318682604388346310947374336823786429098767401\
         73880288806619562841545517586913349346919453642508551033865555\
         06138123553/69249714868756060046765179729817313993848204025358\
         3606492623571464431114843245869772308480000000000000000000*ep+
         14135067925863008551597126710/119*ep*z4+9415249066743850597917\
         51189251315423/710315760*ep*z3+
         26325924368289293839041075073863696649843577153762907677531360\
         06325982940444552048081650180794596658715756990614798635210808\
         7661015359902826152559/222467293969235463826442565532667075825\
         93411779722359216264163799821605807185822253253678527309414400\
         000000000000000000*ep^2+913966305076836972224304053130/119*
         ep^2*z5+941524906674385059791751189251315423/473543840*ep^2*z4
         -58133527164076826212737208501032361711671496001/
         19015965780555744000*ep^2*z3+
         24664768289058689051580495673127418390380005727654493381242555\
         01559727917887656301103945655283269870243276109714590671888873\
         79359318063339103483829747990371594416259306551707691251041253\
         035952401710537/5021015274392208206900005542054698200452696758\
         90017967970916473795024713087262610442990595668228485195926244\
         46404541297612645494298334174105305088000000000000000000000000\
         00*ep^3+2261357316148987416308098254975/119*ep^3*z6+3760731273\
         92556003823136955092418757/21524720*ep^3*z5-581335271640768262\
         12737208501032361711671496001/12677310520370496000*ep^3*z4-
         150958583953403808866645196897307613804773790529984309097/
         56564351757412948319270400000*ep^3*z3+
         329764232094169646638461770550/119*ep^3*z3^2;
Fill mncnoptab(14,8,7,2)=
      +mncF321*(-950024325618956788200000-7951470589703982825198000*ep-
         172684392146372870718983820/7*ep^2-
         26588252433459686055786720576/637*ep^3)
      +35608835691507039373574024465098467047394555817732590871/
      7620760845862362673559884800000-160044448126657382980065/4522*
         ep^-3-661144258499155497144698043503/1519030240*ep^-2-
         74744679771688528868159764801877297390899/40666177903006656000
         *ep^-1+28268373706191117455592020220/2261*z3-
         35330798764832663885402578675818360856840205125432574284469282\
         02054457394032087537040275952376165544647271093199511068777550\
         5604552050143/769710580766223607419794972696919445041622787741\
         858178616551099682715184148267784251920875520000000000000000000
         *ep+42402560559286676183388030330/2261*ep*z4+58748267362670042\
         008645875226595431/279821360*ep*z3+
         40326346387072738178569150714027815105409391800643763090701225\
         88154008038710263775029782116173200206273740953675603526948328\
         50766121404195920689429/19020953634369632157160839353043034983\
         11736707166261712990586004884747296514387802653189514084954931\
         200000000000000000000*ep^2+2741880170174537435739438402990/
         2261*ep^2*z5+176244802088010126025937625679786293/559642720*
         ep^2*z4-67120887913974888827859619001960593897808089243/
         142331622660523296000*ep^2*z3-
         16021481647161527510618738951126587260237315960685076129967392\
         24302811649719359712375491516781319956328903905550951012340276\
         61019381147861981796186278891658129471491147625940647141097474\
         5401277/220000636335642191238112383893023658310462454708604009\
         70761423981162274352956047403564089638479531991453711825616476\
         8906237087137484163252224000000000000000000000000*ep^3+
         6784029491170865795709615956925/2261*ep^3*z6+15010802276545151\
         358088180329803259183/5316605840*ep^3*z5-671208879139748888278\
         59619001960593897808089243/94887748440348864000*ep^3*z4-
         1706073131493116061904312399703854608367292670158833698419/
         3810380422931181336779942400000*ep^3*z3+
         989312074965768642546438896850/2261*ep^3*z3^2;
Fill mncnoptab(14,8,8,1)=
      +mncF321*(-54287104321083245040000-3207416371276398880084200/7*ep
         -70636383683958555607840128/49*ep^2-
         608966218251879330029390171797/245245*ep^3)
      +1762911318745749115329041527594390763014061628593908152257/
      6601484082728271665971250208000000-72425010494258014833/15827*
         ep^-3-14766227811971009004881412079/13291514600*ep^-2-
         75759138847875552909657480555395699969023/
         5871179434746585960000*ep^-1+11306646362581581249180848448/
         15827*z3-14988507136840603342452727185531079300698827560037652\
         22868543142564851810765910842606207700992441891668705256228384\
         499796132957786089229/5886022088212298174386667438270560462082\
         99778861420960118539076227958670231028305604410081280000000000\
         000000000*ep+16959969543872371873771272672/15827*ep*z4+
         648919475193622043431647621241044561/53865611800*ep*z3+
         36468802566317931557655703431561390444239465947914865049327337\
         64384281578031972353425545320057251437942144439921710347780731\
         520102961678106509799787/3214541164208467834560181850664272912\
         14683503511098229495409034825522293110931538648389027880357383\
         372800000000000000000000*ep^2+1096744591313392424481277145316/
         15827*ep^2*z5+1946758425580866130294942863723133683/
         107731223600*ep^2*z4-26821791595476974878706358160316038795646\
         6017523/10274564010806525430000*ep^2*z3-
         10768668524338829950666192982670799703685429902385208425017739\
         71651430419154167228755493327379175676020630326698361476264170\
         04033441057161440651289654444807199995680216334219417664936526\
         12559013/92378267197336156100883389996680634124563184732142823\
         67622721929690039000806244304756561239197555483211413595576358\
         64637289528890296001496088576000000000000000000000000*ep^3+
         2713594862377027108080240742170/15827*ep^3*z6+1546545643377925\
         5610227997315088685893/93040602200*ep^3*z5-2682179159547697487\
         87063581603160387956466017523/6849709340537683620000*ep^3*z4-
         90869979296869825444460083712813838858018882106495146267823/
         3300742041364135832985625104000000*ep^3*z3+
         395732568446544112972796501820/15827*ep^3*z3^2;
Fill mncnoptab(14,9,1,7)=
      +mncF321*(-357643190180562986700000-2976466039660065918697875*ep-
         128052607849066131119289945/14*ep^2-
         12852218484125611883193800761691/840840*ep^3)
      +2348615498232395855129262165571670487707847997294395067/
      1334728569200130746895052800000+128751490086546645/56*ep^-3-
         1498740492406176175991232071/2896974080*ep^-2-1419660423782755\
         56871807204448197534807/21812431336519824000*ep^-1+
         32944769577761355840429945/7*z3-102715495884063684824633344136\
         31822425973347952934884265672008401487367470657351085330238910\
         46211168634973742848447449287878157/60275404043872351065393010\
         66530589933297043869367128412231328253792608480500121600000000\
         0000000000000*ep+98834308733284067521289835/14*ep*z4+376338739\
         5165322475500119621224407/47752320*ep*z3+
         74700577686983001787107607074467476372607275974630189700313759\
         41036801640475780888290683208788208009058903669828708309534051\
         2381120275051/968184927256110387323478078762986580728889177119\
         772788023125689316490615704800037426954240000000000000000000000
         *ep^2+6391285401940750702276106805/14*ep^2*z5+3763387395165322\
         475500119621224407/31834880*ep^2*z4-13690649951928489374759449\
         8897928593939493/755278093369800*ep^2*z3+
         13624432411458082809990409546341679161979796308902774657477892\
         42020367186627325541219013271564673817634564299067616121444214\
         69531592794893733902658405631135096467479178149963297951539291\
         396103881529/6118412938002211012221950074963842589605665101091\
         07940659741232967799946399641645954676863294140691795872916191\
         778126568937352803689029728993280000000000000000000000000000*
         ep^3+31626979313926139952976234575/28*ep^3*z6+4524691088754567\
         806772912615336794119/4345461120*ep^3*z5-136906499519284893747\
         594498897928593939493/503518728913200*ep^3*z4-2620576463076803\
         895725382691063219878882956913628910371/
         16391403481405114435553280000*ep^3*z3+
         2306133928636275827600221995/14*ep^3*z3^2;
Fill mncnoptab(14,9,2,6)=
      +mncF321*(-2145859141083377920200000-17846006897846884496132250*
         ep-383416784597651195257534935/7*ep^2-
         1164278002764986901523138430421/12740*ep^3)
      +46048469259215626952461594856933981741326236825907237/
      4361858069281473029068800000-439354548133948874565/28*ep^-3-
         25645072094603174925509430883/131680640*ep^-2-1013625207375619\
         026129528213039012601709/1211801740917768000*ep^-1+
         197671038837786461196983070/7*z3-
         27460286156380660946021219349843525154345912760599091993137849\
         27500376079802240007544923090191195617764106560246936125127463\
         47/26871750774017166112829531503737197919362678429963192509947\
         62253062548362362880000000000000000000000*ep+
         296506558256679691795474605/7*ep*z4+37620815155534120308787726\
         39280107/7958720*ep*z3+598718927522819068177141647996148780014\
         75873794351813695170624446563427458392214249628615255778223516\
         998314497174330827010266709315171541/
         12948975364536455797536229448476157972711480763947578440638512\
         3056732283993440334223769600000000000000000000000*ep^2+
         19173881950237123948860440715/7*ep^2*z5+1128624454666023609263\
         6317917840321/15917440*ep^2*z4-6606689852173740524604936120258\
         9892863530363/60590087045888400*ep^2*z3+
         49397518457513107268429367997728483732310907939757015334491990\
         60591097177438102464207384806823535536235722934401914640497353\
         58378253479417014810276701084589350392536347885494484088901703\
         5001684817/284134117062574099647367080241662214452137796904235\
         36910496099210467390057710838896786405545638392323053654801430\
         0255965513031065956410982400000000000000000000000000000*ep^3+
         94881054556996687438317288225/14*ep^3*z6+451290016760336353801\
         7151854214636219/724243520*ep^3*z5-660668985217374052460493612\
         02589892863530363/40393391363925600*ep^3*z4-494471425839756473\
         32218155236600242555856874357101087973/
         51906111024449529045918720000*ep^3*z3+
         6918375128451168755910243285/7*ep^3*z3^2;
Fill mncnoptab(14,9,3,5)=
      +mncF321*(-4649361472347318827100000-38688583275738501760672875*
         ep-1664032746399082245948006765/14*ep^2-
         4280892988244485016040255946461/21560*ep^3)
      +2846445965032157492461530994591682750908886696033647/
      124450216242436433276928000-8897116219526080874835/56*ep^-3-
         1240087365860183101894362435593/668532480*ep^-2-19943125525270\
         1231981517524340775639969/27964655559640800*ep^-1+
         428306476038886861625243385/7*z3-
         22075025370933445414034487150347592202586134056200257935344058\
         29653065154471162920144036837620822662729159713342280103539703\
         069249/9960175654894106722716942829049214831999292936136437082\
         967145976711519257999756492800000000000000000000*ep+
         1284919428116660584875730155/14*ep*z4+444750337781684861554015\
         4995802741/4341120*ep*z3+1604296492658046370914204229978306435\
         22665037888606383610338039036514711147833261618746355124952860\
         288619572833403093843798903455443310159057/
         15998718042392081866971962208181262698444488713472512114977694\
         7239053871519575401740151816192000000000000000000000*ep^2+
         83087230802422590301067071965/14*ep^2*z5+444750337781684861554\
         0154995802741/2894080*ep^2*z4-13185482759501878883932509595310\
         0186269348759/55929311119281600*ep^2*z3+
         50329620703130097805685252975853269914199405973734681100221938\
         90941522181296944251202371151956306047861531667007172740059257\
         27997815242838975027807877744920898407481729605349322856561223\
         7355505440088657/252758436705469117149346781985728519423931809\
         39840703593032421157492002230154084885105428641417945467745061\
         13778923416203676753026795347258218905600000000000000000000000\
         0000*ep^3+411153089251724082889082925975/28*ep^3*z6+8867646028\
         8899207425455475534763969/6554240*ep^3*z5-13185482759501878883\
         9325095953100186269348759/37286207412854400*ep^3*z4-
         49727802221259084651456438193497421303980391220796164909/
         23956666626669013405808640000*ep^3*z3+
         29979202700968228635816944835/14*ep^3*z3^2;
Fill mncnoptab(14,9,4,4)=
      +mncF321*(-4649361472347318827100000-38762226374082325432461000*
         ep-836270892466639328622761370/7*ep^2-
         540074148956291880814773465402/2695*ep^3)
      +1043640845655645538174473363989067560602849889679787/
      45631745955560025534873600-9348815968851906116505/28*ep^-3-
         641511955709740370371831719317/167133120*ep^-2-427077986872197\
         6415039249366386728700911/298289659302835200*ep^-1+
         428333434786123865703482310/7*z3-
         13396535421130817069191281333138038714906650991834279040124359\
         07113279353343420113889500717623937604962233606832171278303334\
         909779/6162858686465728534681108375474201677299562504234420445\
         085921573090252540887349329920000000000000000000*ep+
         642500152179185798555223465/7*ep*z4+12242724545238325129872520\
         882932919/11938080*ep*z3+3828136130901602087404101553742910294\
         31708831222142876262482093922101785959726736466810225873694775\
         36519688177410374029802560103868169935883/
         39596827154920402620755606465248625178650109565844467484569794\
         441665833201094911930687574507520000000000000000000*ep^2+
         41543902117599138995687051895/7*ep^2*z5+1224272454523832512987\
         2520882932919/7958720*ep^2*z4-11639299198223912418548770737574\
         3958750792507/49714943217139200*ep^2*z3+
         27010439379646747288174940704584856605216384855340816817803650\
         59273063454341748026817005921542544268850540101545684432167126\
         90128083965955306080173853823426179949510892716202439555704348\
         28966594050349499/25023085233841442597785331416587123422969249\
         13044229655710209694591708220785254403625437435500376601306761\
         05264113418204163998549652739378563671654400000000000000000000\
         000000*ep^3+205577843414065075649917847925/14*ep^3*z6+37950639\
         1735554038390008677894980737/27855520*ep^3*z5-1163929919822391\
         24185487707375743958750792507/33143295478092800*ep^3*z4-
         1688271090309702080078946531530273031958693928048739173/
         798555554222300446860288000*ep^3*z3+
         14989304745632412974087169705/7*ep^3*z3^2;
Fill mncnoptab(14,9,5,3)=
      +mncF321*(-2256307773345022371975000-18873278332995866736849750*
         ep-818881537493459433935318715/14*ep^2-
         266317894648544375572950911877/2695*ep^3)
      +66223694610463350014678729721698572394635241240558831/
      5967228317265541800714240000-346686079375536087850065/1904*ep^-3-
         729438224129391209160977635517/344395520*ep^-2-546604992726033\
         07136364858362959955350277/6761232277530931200*ep^-1+
         7067606487807801942784743615/238*z3-
         28677640646187435249206040035094192174512314988065140968945910\
         67973260628421528771736954137278320480886631287964444809267209\
         4753733949/276998859475024240187060718919269255975392816101433\
         442597049428585772445937298347908923392000000000000000000*ep+
         21202819463423405828354230845/476*ep*z4+1348929692439172670101\
         46701824689309/270596480*ep*z3+
         41050522385263088141429209271230480143967802522756714859774369\
         12731480534594037998723646214898672081833570190077943128175724\
         467536703105148544147/8898691758769418553057702621306683033037\
         36471188894368650566551992864232287432890130147141092376576000\
         0000000000000000*ep^2+1370951000777534268165080126535/476*ep^2
         *z5+404678907731751801030440105474067927/541192960*ep^2*z4-
         199719842972061648751018115270704117371039449/
         177927165198182400*ep^2*z3-
         10694630099946507447026233874825413400195776191022149360481397\
         36815617895311180420413195192781827838645935336189563223838635\
         20179819334007216367759732801122073419391072404752451907508726\
         4482675532505589893109/
         11246998224285740237053295342341729586291159897164343439560498\
         77023029403043219838830573500787461713508943211329674859449769\
         9336767538521003730083973693440000000000000000000000000*ep^3+
         6784078939009593321397553196525/952*ep^3*z6+115220086697306103\
         1965609877081880211/172197760*ep^3*z5-199719842972061648751018\
         115270704117371039449/118618110132121600*ep^3*z4-6048152508953\
         52988397607066575385786350474406269139883/
         571597659864383477752627200*ep^3*z3+
         494644753386778567908647174265/476*ep^3*z3^2;
Fill mncnoptab(14,9,6,2)=
      +mncF321*(-501401727410004971550000-4214315754127031319409500*ep-
         92164835483124698783280555/7*ep^2-
         157485805396664217183815800532/7007*ep^3)
      +2664480569042114448444155832978362117914407061214939863/
      1080494556019153461772185600000-19842837331945764340185/952*ep^-3
         -5169780225565150333200635754281/20147137920*ep^-2-64439438964\
         75220591768020228900458193659183/5932981323533392128000*ep^-1+
         785238276016077910496648895/119*z3-
         82113119726589007522123246649941221525196629793944460709311249\
         59102385159416730331887934380655566724667630469279441697791027\
         7403440701/337592359985185792727980251182859405720009994623622\
         0081651539910889101684860823615140003840000000000000000000*ep+
         2355714828048233731489946685/238*ep*z4+17577532327573616907930\
         63995888031737/15829894080*ep*z3+
         93281537940578211115322327966944657630040507348196381704746020\
         12509221187606587915653635773386206820132578070556642999761047\
         25261420275399034757/83425235238463298934915962074750153434725\
         29417395884706099061424933102177694683344970129447741030400000\
         000000000000000*ep^2+152326796746153640890619663055/238*ep^2*
         z5+1757753232757361690793063995888031737/10553262720*ep^2*z4-
         726779222768218830458523733740914328935941754993/
         2966490661766696064000*ep^2*z3-
         21947822007179523114847878419662548571286593950078361886203660\
         35989613718656429767223662792911072670051750391325146892560763\
         95459171485087911423232710581110087843479834018687550162862364\
         9814212304578591/416116640865254255146837959297783113362517243\
         89385239095589702765762673097106888840462845616004435710612387\
         50995776360039647995339974444678977159168000000000000000000000\
         00000*ep^3+753781600970607425348131826325/476*ep^3*z6+50795145\
         22449865374536036664555330781/3357856320*ep^3*z5-7267792227682\
         18830458523733740914328935941754993/1977660441177797376000*
         ep^3*z4-649779922844934722787384418296676044022539505364600894\
         0483/26472116622469259813418547200000*ep^3*z3+
         54961657011340791751786175025/238*ep^3*z3^2;
Fill mncnoptab(14,9,7,1)=
      +mncF321*(-39584346900789866175000-334882093993245586680750*ep-
         14806449986525134294574835/14*ep^2-
         38478858760018868749140662315/21021*ep^3)
      +23984793932752028532646437060877839442257612197487117487/1231763\
      79386183494642029158400000-123662725831600795755/36176*ep^-3-
         74771355263951271871988067427/85065693440*ep^-2-76805496732646\
         9583019207034612543880997263/75151096764756300288000*ep^-1+
         2355551286442974370556180685/4522*z3-
         26487975148007855534026218038221860081720019344548499359149405\
         94484931063322654425562303278382068292807502090644764440315661\
         797998941873/1429462507137272413779619235008564683648728034377\
         736617430737756553613913418211599324995911680000000000000000000
         *ep+7066653859328923111668542055/9044*ep*z4+697824025947218569\
         447198633112231/79347840*ep*z3+
         54030518675764191933434002227410660877659116709761622586896010\
         10797020356209695436483386427060102232097985583165751904056386\
         2509296938264291744241/656028809022136292767384051155974063703\
         43572145122087652124292821535161859373783397630413853134159872\
         00000000000000000000*ep^2+456976912559007009645336381165/9044*
         ep^2*z5+697824025947218569447198633112231/52898560*ep^2*z4-
         236272156435674635599021629507502461788903984731/
         12525182794126050048000*ep^2*z3+
         14271642829139661164313324527282056764570957726762584389941902\
         79115403208631832947924241466955329977865012322140132813931517\
         20640704565419732547306407997242828021134649196612328346128118\
         7232552620930113/119813058856676750904793549103409688663488679\
         34470533871706136816921426125811553799389953513709894323350497\
         03915286738455301618223946470391338863406612480000000000000000\
         00000000*ep^3+2261329049930605304521120098975/18088*ep^3*z6+
         15591886011261102682985511330394814743/127598540160*ep^3*z5-
         236272156435674635599021629507502461788903984731/
         8350121862750700032000*ep^3*z4-2287501448448189886594737609386\
         936838039787281960334035361/111771159072647985878878310400000*
         ep^3*z3+164888571801657421604620509075/9044*ep^3*z3^2;
Fill mncnoptab(14,10,1,6)=
      +mncF321*(-65026034578284179400000-548153290384101207848250*ep-
         132497821498903300117834245/77*ep^2-
         3726670648377092211006301666223/1261260*ep^3)
      +3019553188240608428832797856547251511641073039303502849/
      9438437739343781710186444800000-697580787048736455/308*ep^-3-
         46499153143233226818067401139/143400216960*ep^-2-1218201667466\
         85499434155184985309762091/32718647004779736000*ep^-1+
         5989958685120799866952590/7*z3-5698713108990420442429756542029\
         00543457571811519064124154236199480743565255036267442833670701\
         081218868309561763580702488330401/1881214495258158893370301701\
         91520197719766865208620892707140463159043117853704192000000000\
         000000000000*ep+8984938027681199800428885/7*ep*z4+162321631665\
         1899929794910035516903/112559040*ep*z3+
         64736890620736306590680740514968774065846731651371574681050328\
         63735986050164791709250603961619802306672559086071040600895693\
         126567176403/4834777430393211553205812755219612353925532303521\
         91300177897368030107853493222367896063180800000000000000000000
         *ep^2+6391285463133265555578548505/77*ep^2*z5+1623216316651899\
         929794910035516903/75039360*ep^2*z4-56548919658816332988951617\
         7844597483562212603/17995255852628854800*ep^2*z3+
         95011041993459212825784120249090933592111620776686996202795458\
         89389858382405213304908930032499912522313545055660271780691269\
         41378876484758731608236941231679110982490899995927474776675800\
         8574045244489/449312023878500369851779993833712623410350663119\
         34023840232164307112479723932600797698725768519295433935952248\
         81731993897938636602254172566323200000000000000000000000000000
         *ep^3+31626979587984683785210350075/154*ep^3*z6+76003700913842\
         910870866728657660211/383423040*ep^3*z5-5654891965881633298895\
         16177844597483562212603/11996837235085903200*ep^3*z4-
         1511366622636295717443524651669229915965906996694264325079/
         46248344922784530379913579520000*ep^3*z3+
         2306133843759716392860394695/77*ep^3*z3^2;
Fill mncnoptab(14,10,2,5)=
      +mncF321*(-325130172891420897000000-2739493980990838106246250*ep-
         661664210007019893286793625/77*ep^2-
         413134320672878042175033363339/28028*ep^3)
      +34031870237997658346954145802071817640633717042011159/
      21278281537973098863544320000-1825402105398210393375/308*ep^-3-
         703598988325611846358912159613/9560014464*ep^-2-28766328181357\
         986488696762109725775589/90885130568832600*ep^-1+
         29950703208069296473741950/7*z3-
         16312943031608187123842309807072204181054979512633401686952470\
         35271343439304281011065438989655705683179546578177975437415432\
         2413/106716167731008286314824387454098730342849567172890397317\
         5051354647662777642831052800000000000000000000*ep+
         44926054812103944710612925/7*ep*z4+378670826910962621826673408\
         1601007/52527552*ep*z3+293154913796477774794124299935385783934\
         91918823403550531751792726662635792951984231636942135036879098\
         0752330378344448421240395062261115241/
         42853709042121647857960613057628382227976309053944228879404539\
         43903228701417198260896923648000000000000000000000*ep^2+
         31956533807199487920341561025/77*ep^2*z5+378670826910962621826\
         6734081601007/35018368*ep^2*z4-1258845829165397686570414584313\
         48526304573857/799789149005726880*ep^2*z3-
         26038918225726939397738482075443686511567176739734214207891597\
         83769669277557375008622782077870632719895147327218954625685404\
         63615739616910622323324958601390475907299604870401876564728617\
         4277343305859/866600354418751258797760395379640638024909060794\
         53840890396872539972579074814005320361469627718670175125923900\
         9916599841260601037758404774246481920000000000000000000000000*
         ep^3+158135380359553628295651997875/154*ep^3*z6+14332971110839\
         1725363427958010034303/144848704*ep^3*z5-125884582916539768657\
         041458431348526304573857/533192766003817920*ep^3*z4-
         11152604798363457861032683879985378545395668720889333517/
         68516066552273378340612710400*ep^3*z3+
         11530559238487781034838578975/77*ep^3*z3^2;
Fill mncnoptab(14,10,3,4)=
      +mncF321*(-563558966345129554800000-4752206672010926106010500*ep-
         1149290423062707850662193560/77*ep^2-
         138229763461644148308980372837/5390*ep^3)
      +6261094614875335675262930999420452587669737884655183/
      2258771424800221263976243200-5560298100302797168395/154*ep^-3-
         2341395197135294932604637102143/5515392960*ep^-2-3472439608262\
         3138086796200974387135589/20973491669730600*ep^-1+
         51918532481387890521357180/7*z3-
         30709143345597270759568206285059842041914299754332810721153072\
         37765469467006031267939487908365740768524314158588699649496911\
         74969/11445308989150638707264915554452088829270616079292495112\
         302425778596183290219363041280000000000000000000*ep+
         77877798722081835782035770/7*ep*z4+492492253263192915618066608\
         18028601/393956640*ep*z3+4475340955055915559345276368574332736\
         06554316491694338086672151470018127973018228179288705399554562\
         1863746790467411161674814093613461763103/
         36768482358140373862130206003445151951603673168284148378529094\
         838689702258159561078495604899840000000000000000000*ep^2+
         55391790876693410264608048410/77*ep^2*z5+492492253263192915618\
         06660818028601/262637760*ep^2*z4-25098363153404537498947537427\
         1932719354989001/922833633468146400*ep^2*z3-
         12541082508527719914449735646083887658963859405902390022440406\
         63668377016075346435818422748909680699483444951949052895325398\
         41938994095934313810009477051755022597606377485171052497474879\
         7256750838591671/232357220028527681265149506011166146070428741\
         92553561088737661449780147764434505176521919043932068440705638\
         34595338883324379986532489722800948379648000000000000000000000\
         0000*ep^3+137051717548495358672182798575/77*ep^3*z6+1437355788\
         32966801617453667602205693/83566560*ep^3*z5-250983631534045374\
         989475374271932719354989001/615222422312097600*ep^3*z4-
         56135905745406720628614442178034473048746045137245770531/
         197642499670019360597921280000*ep^3*z3+
         19985820895844275876733253990/77*ep^3*z3^2;
Fill mncnoptab(14,10,4,3)=
      +mncF321*(-422669224758847166100000-3571569389409265260666000*ep-
         866741767198285076759402820/77*ep^2-
         52353634994743147937828502772/2695*ep^3)
      +234763948194690108149890202616820818072326966921820739/
      112938571240011063198812160000-11757575614561885796805/308*ep^-3-
         823925444963620098489992943017/1838464320*ep^-2-15595104355251\
         05097923744386843957608151/894868977908505600*ep^-1+
         38940606260571765405664710/7*z3-
         99537376838958449479578318929418130012735162088561935388893227\
         90337630502563797685423108831126275495646950592693309711099065\
         14497/48494198087364187707818753312196998595131795535965238549\
         903611447089013644485004886016000000000000000000*ep+
         58410909390857648108497065/7*ep*z4+123254936869435166412843785\
         16566119/131318880*ep*z3+1471086871964884166463371281344901262\
         12359781754148001319441807476356620395109883452600087910809947\
         435464784034893229004789408461793389317197/
         15578942154708365814176650247385649567642445223895209535198994\
         25757815532716093995325887852052480000000000000000000*ep^2+
         41544042931353211995048314895/77*ep^2*z5+123254936869435166412\
         84378516566119/87545920*ep^2*z4-995819886749192040718991143293\
         594069450436963/4921779378496780800*ep^2*z3-
         46396509195445542333642123175207263912131686777914775664014666\
         03845014732343196254564720580044055667428297541781776981841025\
         31286769534302864992492127045575994195761563483256932573882879\
         62451299589791551/19690122941676716101283780361242523785523739\
         31576390658186361829522110299445412883106746324908021207123500\
         01983486495001710422562456906880317403430912000000000000000000\
         0000000*ep^3+205578481312434612877930015425/154*ep^3*z6+
         36198371292890064574560266440327067/27855520*ep^3*z5-
         995819886749192040718991143293594069450436963/
         3281186252331187200*ep^3*z4-1370590411742873004798637709328490\
         40047668080804607929/632455998944061953913348096*ep^3*z3+
         14989159283533678645848852705/77*ep^3*z3^2;
Fill mncnoptab(14,10,5,2)=
      +mncF321*(-136745925657274083150000-1159487305624244661421500*ep-
         25726072700239918370018955/7*ep^2-
         223834067920369551198001552854/35035*ep^3)
      +1017230198900460929494425398049384192985876378686608917/
      1512692378426814846481059840000-6737448603249430735905/952*ep^-3-
         6450629534929585694956147090121/73872839040*ep^-2-146882726426\
         334234958565541336971130689641/395532088235559475200*ep^-1+
         214159541019387229425845655/119*z3-
         10792067917270488318329367874106202726924653634963342864351199\
         12095565713397976091454171639502057094337465003384322443751214\
         849396959/1653513599927440617443168577222168517812293851217740\
         44815585628288445796809509728088489984000000000000000000*ep+
         642478623058161688277536965/238*ep*z4+160501058983287255803664\
         413273623147/5276631360*ep*z3+
         23900925924481117465326339779268082230222040199568706522856386\
         03945502839247288986447221058191906754102753623644750978338224\
         812079238961584489/8172267941727017038522379958342872173197579\
         83744902991617867241626099805161928164405237170390958080000000\
         00000000000*ep^2+41543749421020364430762581895/238*ep^2*z5+
         160501058983287255803664413273623147/3517754240*ep^2*z4-
         12772386313868137910058985991884203672069203959/
         197766044117779737600*ep^2*z3+
         39671719005158499349332118248050090386413103111282443492373830\
         42661386960497807294812166898909449060950412251614882385245708\
         31704301379492018364879048180277376790318552092031089526639910\
         95803883474926846953/
         67137693481705694272205895666019508244697229998378988899417263\
         06719104089594730670570260183272092881660528353345508089572606\
         236743887790599165407270010880000000000000000000000000*ep^3+
         205577151694907949859554452925/476*ep^3*z6+5238744057241118042\
         756054436799062781/12312139840*ep^3*z5-12772386313868137910058\
         985991884203672069203959/131844029411853158400*ep^3*z4-
         76314277386588357556400028763141798869861270946950084499/
         1058884664898770392536741888000*ep^3*z3+
         14989462547667955194881859705/238*ep^3*z3^2;
Fill mncnoptab(14,10,6,1)=
      +mncF321*(-15193991739697120350000-129466523275739232511500*ep-
         2895867675575269199158035/7*ep^2-45823368823227351772149602662/
         63063*ep^3)
      +594630002476506939579156460631317957074441614427741461/
      7956369003413766400322457600000-2797154562364107945/952*ep^-3-
         295741139555615376499470572281/664855551360*ep^-2-269975302698\
         965430552558259850957527565479/53396831911800529152000*ep^-1+
         23793451598605921433789415/119*z3-
         62561541637971524073193842469105737053900639024301242041824207\
         22437970681785451289581140640560123466034508870458248839251835\
         644187589/8851161034905711540431078854542196183583455321224375\
         340128407161322686770391403091795640320000000000000000000*ep+
         71380354795817764301368245/238*ep*z4+1608879669555147274306890\
         58178333867/47489682240*ep*z3+
         30144467134853752833960996746468520150119073092192520407288762\
         53261719061108118016967126926090168379718737886853431699856465\
         467254307819343607543/9667792975063061156571975490719617780892\
         73694770220239083936946843676069506561018491395572572503408640\
         000000000000000000*ep^2+4615928500298861126099970735/238*ep^2*
         z5+160887966955514727430689058178333867/31659788160*ep^2*z4-
         187851191237843867900731361301220884512475617209/
         26698415955900264576000*ep^2*z3+
         11792002751632118222991286461984736087678168763030148106937018\
         49873930233387645622558813437244313345738057795898957960673518\
         52539624660017404319699751302785258692206261819986829589486175\
         23654508367454502970495793/
         45656100467898591461341482224435468123784146396508231788421845\
         35104280498715332636951962579403446960123707501914970895988434\
         57677413911626002677362097895401062400000000000000000000000000
         *ep^3+22841707985508246416161959525/476*ep^3*z6+53282646885026\
         47153206438964271212381/110809258560*ep^3*z5-18785119123784386\
         7900731361301220884512475617209/17798943970600176384000*ep^3*
         z4-17831333677441293782196347559070700786477159074035979624211/
         2144241446420010044886902323200000*ep^3*z3+
         1665541035512947916783607825/238*ep^3*z3^2;
Fill mncnoptab(14,11,1,5)=
      +mncF321*(-7068047236770019500000-60610727683090868853375*ep-
         30131893468416909268490715/154*ep^2-
         97531111624923341118778486901/280280*ep^3)
      +35224603485670213236373965631802694888126347968700851657/1013058\
      984022899236893345075200000+198758107463811795/616*ep^-3-
         44882251091619606881016903577/439760665344*ep^-2-1788839485925\
         901583987876135648383347/1425244093011238500*ep^-1+
         651082274161783899851565/7*z3-27079215314120663740543819434014\
         05713643484996938851312550768007512511143820528127284969502216\
         48685300146295162522083493889627/77140544102700275536144485788\
         24851079068840141354648720379656935024533792675321610240000000\
         00000000000*ep+1953246822485351699554695/14*ep*z4+382022208941\
         5107239906273652323411/2416267392*ep*z3+
         16302045783654109404468672142714779523529795303321811993770020\
         57642302267175209998598313558592195710778747434790775793459109\
         95966586535833/99126750972861960302299749518445537862198913743\
         06642200218832894240154161906753462920426815488000000000000000\
         0000*ep^2+1389409846773352116248702835/154*ep^2*z5+38202220894\
         15107239906273652323411/1610844928*ep^2*z4-8796978829770062149\
         869016725228223243178024581/2759272564069757736000*ep^2*z3-
         22870406859283921221555076700194835909865616237291827314427910\
         93203342635016974570684113759577262386848719182838002785807287\
         31879751106522767874272527766721097606009793654550717045240470\
         86812915863/43577617822200063299544522739090500654966855628525\
         35999059957019152906833476361410395319615565281700234903601878\
         4377592017675937898708354362108805120000000000000000000000*
         ep^3+6875430183708964352259842025/308*ep^3*z6+1523131676170995\
         93220769514240969347/6663040384*ep^3*z5-8796978829770062149869\
         016725228223243178024581/1839515042713171824000*ep^3*z4-
         14396109330812089267860832399386347167642117769329707211229/
         3545706444080147329126707763200000*ep^3*z3+
         501333508971577328423005485/154*ep^3*z3^2;
Fill mncnoptab(14,11,2,4)=
      +mncF321*(-28272188947080078000000-242377342660175748304500*ep-
         60220292370860635777476360/77*ep^2-
         97402460893957699865781885837/70070*ep^3)
      +1304208924997002982632157796479959692125396996334971877/
      9380175777989807749012454400000-185642030358786835935/154*ep^-3-
         1644798366771655238553584851151/109940166336*ep^-2-26918886219\
         23581745069616674136981282181/41807160061662996000*ep^-1+
         2604515649576418445601420/7*z3-4153118333697480492899830984133\
         81986355103528516741934397277346194907764573358777884977436960\
         09446140000993341471775275500833/31601693487450743129302888085\
         52197395837024847823858194273178786407109431873293516800000000\
         0000000000*ep+3906773474364627668402130/7*ep*z4+38198947683916\
         50227544848962289485/604066848*ep*z3+
         48952341697284380987111615511959209775838443348223718223851381\
         64385700465266077075114312975002803637984958954984235095206228\
         8268734168643/862933769629825100845912998040039280496820900888\
         30144153690732784679913463027541306673358438400000000000000000\
         00*ep^2+2778841491753913812620947890/77*ep^2*z5+38198947683916\
         50227544848962289485/402711232*ep^2*z4-58708117874550955961031\
         11409648697258829805463/459878760678292956000*ep^2*z3+
         67143894906688595257502154210841144363193181196073665115453119\
         76081726323563596383030635122947634601002704543188527337026543\
         24397610270197104405429128461668469672903953478163340312570219\
         3898871723/189679363288594025522571025315237670261574483204518\
         86603051152203902161440354698103283199219536382400576031302819\
         09292509697948189787528817100718080000000000000000000000*ep^3+
         6875479549021433024298330675/77*ep^3*z6+1521794328353233833507\
         69941513053421/1665760096*ep^3*z5-5870811787455095596103111409\
         648697258829805463/306585840452195304000*ep^3*z4-5322055394258\
         87321580420216445577506597096141252424956969/
         32830615222964327121543590400000*ep^3*z3+
         1002644382370389262612586190/77*ep^3*z3^2;
Fill mncnoptab(14,11,3,3)=
      +mncF321*(-36753845631204101400000-315388955640781672913250*ep-
         78481256410047640033112670/77*ep^2-
         19566981029786274831645601389/10780*ep^3)
      +260788261263501417056531821153429536499356475735977077/
      1443103965844585807540377600000-1126505658139353865035/308*ep^-3-
         739101979109808670812907068559/16913871744*ep^-2-3534352656481\
         1023657051685402674201657/200995961834918250*ep^-1+
         3386191296923019206648910/7*z3-7680906874481817785042235162057\
         96928417193448835513481687845362303155318016589353198375447683\
         204745340883147507910996980775909233/4780142382897327074056419\
         96934513271866299127425943065706192741407020277352780762447872\
         000000000000000000*ep+5079286945384528809973365/7*ep*z4+
         49685569019225294882064046384465213/6040668480*ep*z3+
         49800783589594809327706708787719515375818821049914589826346950\
         88099154553330744863838185808748507606271380845448091593417985\
         9071342580516233/767819291910626600841563476478292728690949086\
         03483532709195043126635194112436061198204472708300800000000000\
         00000000*ep^2+3612531529348138784156677245/77*ep^2*z5+49685569\
         019225294882064046384465213/4027112320*ep^2*z4-116932260945905\
         5728056268567031865213322386771/70750578565891224000*ep^2*z3+
         22484672500215604040173497174538518618075675669809694882546888\
         41966149778081554934893137070656109408098362582830403123593850\
         44662088897788517671972328886132599464326664082456314752009777\
         36324872804373/21096560294653624394232621815616989770204006409\
         74704276628244817345118177977228089042942490972879864775178592\
         680212446446897384597752573717686465331200000000000000000000000
         *ep^3+17876417125409927864417696175/154*ep^3*z6+15267477571419\
         7649553431470632677489/1281353920*ep^3*z5-11693226094590557280\
         56268567031865213322386771/47167052377260816000*ep^3*z4-
         107148368300096785188043767423881617900446824855181707641/
         5050863880456050326391321600000*ep^3*z3+
         1303398946815189228280885635/77*ep^3*z3^2;
Fill mncnoptab(14,11,4,2)=
      +mncF321*(-18376922815602050700000-158041385147871868149000*ep-
         39467962595514974073497550/77*ep^2-
         32126114369801775812592281688/35035*ep^3)
      +564995924984295256333864419615351505000538070440570641/
      6253450518659871832674969600000-407841909213341020095/308*ep^-3-
         9000146271928611342167813135201/549700831680*ep^-2-93663896705\
         460538155050657974362251992999/1337829121973215872000*ep^-1+
         1693018532881887202975950/7*z3-3551276676363733439842783718629\
         97531438502186237943267599766628431581408048708352958353691711\
         706674121161457278558894992416321197/4438703641261803711623818\
         54296333752447277761181232846727178974163661686113296422273024\
         000000000000000000*ep+2539527799322830804463925/7*ep*z4+
         161652642067990504539941400289628107/39264345120*ep*z3+
         35872940033582428184691553205485535794166865877303084695397089\
         86232422527270372209021329683850771878368898747216597869416234\
         962917004683983/1096884702729466572630804966397561040987070122\
         90690761013135775895193134446337230283149246726144000000000000\
         0000000*ep^2+1806256718556039943236237825/77*ep^2*z5+161652642\
         067990504539941400289628107/26176230080*ep^2*z4-60238857907938\
         063250600293631100254950001127987/7358060170852687296000*ep^2*
         z3+23159484692497359195678160156344756866035230397647424089668\
         32609758802021782874729623855082968686805414616552295387324510\
         50926735693113127395972953607130554719385995602524831959925696\
         79040535635768439/10447820336399890176191393661067461600481984\
         12673186879853987909542344240522055815526028662196092885412469\
         39827972425919274918094364889365066377330688000000000000000000\
         00000*ep^3+8938167573471695920017511875/154*ep^3*z6+4998705175\
         31526803294540999441043431/8328800480*ep^3*z5-6023885790793806\
         3250600293631100254950001127987/4905373447235124864000*ep^3*z4
         -8729095818350849985701386892587506215675819277291310377/
         810632474641094496828236800000*ep^3*z3+
         651708752483261178654923295/77*ep^3*z3^2;
Fill mncnoptab(14,11,5,1)=
      +mncF321*(-2972737514288567025000-25655622392395250219250*ep-
         1171592713458763840840725/14*ep^2-5283252532549936431345056746/
         35035*ep^3)
      +45779953565969585926146148907647749696528441173687252881/3131273\
      223343506732215793868800000-1770303421362094695/1904*ep^-3-
         462966708953232583288133651401/3398150595840*ep^-2-41971126224\
         9221979693899961252028774423687/272917140882536037888000*ep^-1
         +9310480571680388465036625/238*z3-
         34820978626918833737427435376367220148455458843707477569476565\
         98351768308945430535102231639361183506516616754281638428688802\
         791689/2543212790011855682178536031838623389021995172397656347\
         7294291593747578830269243157643264000000000000000000*ep+
         27931441715041165395109875/476*ep*z4+1619269927637654736888243\
         44579520107/242725042560*ep*z3+
         43813376051377339821190061736172484300144198951377070817444197\
         54539187437558633771888774829779880997142337810557513517700474\
         333647184842407993/7353149418864100747392706226407116698430322\
         41392693964911724529676076375616762679408138166969827328000000\
         0000000000000*ep^2+1806232898095606360848913425/476*ep^2*z5+
         161926992763765473688824344579520107/161816695040*ep^2*z4-
         178001688524915907691127711521522106580784912921/
         136458570441268018944000*ep^2*z3+
         75092097049242203716749976623004743777759528473879486445811956\
         34441091965114948969777809683364270568588256611842700941620366\
         11578902234417574977925520209450827997640179434837561312778330\
         394565354803951/4848833418123189030770425798101408928783688833\
         21626030940235788818601962026286103985629902125206708119927047\
         74162002869135489487594745154327305719172300800000000000000000\
         000000*ep^3+8938059684761227919594200875/952*ep^3*z6+556338194\
         7422590272743299229129036541/566358432640*ep^3*z5-178001688524\
         915907691127711521522106580784912921/90972380294178679296000*
         ep^3*z4-195453687558561379484448805493945766909821403502305148\
         35539/10959456281702273562755278540800000*ep^3*z3+
         651733496981103275318678895/476*ep^3*z3^2;
Fill mncnoptab(14,12,1,4)=
      +mncF321*(-428366499198183000000-41350576973946907797000/11*ep-
         10663553532564597343080510/847*ep^2-
         27088748038063986369278859763/1156155*ep^3)
      +17607059944098942858069363251417912839484215809159256487/8357736\
      618188918704370096870400000-496951739017013205/847*ep^-3-
         94052638571112945227835667073/3628025489088*ep^-2-843664416971\
         4876459850075320650523561407/33111270768837092832000*ep^-1+
         434056066233348649841820/77*z3-3960472624339125589858418168431\
         56445418587870704072923430985546178228001315413130577973620149\
         843179697826278806867826781951/2558232329936488729514995702161\
         30265377282963871455187155447806518670763532599951360000000000\
         00000000*ep+651084099350022974762730/77*ep*z4+1932618542228773\
         278402197331636745/19934205984*ep*z3+
         35743680054281902533723083038149626245723272061908673110045074\
         61810268042265572120787180980231021195488808820663496666454688\
         1987646741/821841685361738191281821902895275505235067524655525\
         182416102216996951556790738488634984366080000000000000000000*
         ep^2+463136750365374570430162440/847*ep^2*z5+19326185422287732\
         78402197331636745/13289470656*ep^2*z4-317028890451571149735012\
         32623658591814512107153/182111989228604010576000*ep^2*z3+
         72984162867270153357183992034273529257173932757139662106009691\
         44703125533663405145248152889603231580510437209319557340494196\
         43913653746181184624457046178932414384616473447875414708205975\
         77848919/36129402531160766766204004821950032430776092038955974\
         48200219467409935512448513924434895089435501409633529771965541\
         50954228180607578576917542993920000000000000000000000*ep^3+
         1145905334092019338204756050/847*ep^3*z6+273916115559143559836\
         59129481640231/18323361056*ep^3*z5-317028890451571149735012326\
         23658591814512107153/121407992819069340384000*ep^3*z4-
         8355131518529928997302719007543270457167946388551277791219/
         29252078163661215465295339046400000*ep^3*z3+
         167111005726296760996155240/847*ep^3*z3^2;
Fill mncnoptab(14,12,2,3)=
      +mncF321*(-1285099497594549000000-124035500591148881124000/11*ep-
         31979540162973081199317120/847*ep^2-
         27071445037280143682576413197/385385*ep^3)
      +651717159080223410801698507859454804244663056211414919/103181933\
      557887885239136998400000-100520938600788040110/847*ep^-3-
         1786882211558497526901725430871/1209341829696*ep^-2-2357987964\
         3415429023342966669434267102191/3679030085426343648000*ep^-1+
         1302365568247230278124540/77*z3-163544436203647699395642898599\
         50409211233649835062032761307409816891036762963379890738662431\
         72726909334117066656483787328237001/22762582775701557495506761\
         75878634627934757749647347931934251149557239415965622678323200\
         0000000000000000*ep+1953548352370845417186810/77*ep*z4+1932693\
         639042177661799571223064699/6644735328*ep*z3+
         28904017230238133500484972429284445966716677444388434192188353\
         39983260979065029393121586462325830565677442994126458686610350\
         56571492674171/73125646848631104842053664426504069399138008193\
         79384067542385059679542296422482018876616448409600000000000000\
         00000*ep^2+1389433370957774546227335180/847*ep^2*z5+1932693639\
         042177661799571223064699/4429823552*ep^2*z4-105719259584025815\
         87249939959619062174752257909/20234665469844890064000*ep^2*z3-
         28124689188901135892780187249286710404016815559738806712412726\
         99635608197867834611520051532291557413871142065456245013019580\
         45621283448822265157521152547594049354968555300467516101257858\
         468021511391/3214713949661504669597351895713065107840610500532\
         88270724303972166875150929863327854162665291105503203836737932\
         222848982384363367276582661742699479040000000000000000000000*
         ep^3+3437768374267637532919913100/847*ep^3*z6+8214631621670609\
         8222746624760584583/18323361056*ep^3*z5-1057192595840258158724\
         9939959619062174752257909/13489776979896593376000*ep^3*z4-
         309216758979298239571987111392458143039794789682151579443/
         361136767452607598336979494400000*ep^3*z3+
         501309196238112461628152580/847*ep^3*z3^2;
Fill mncnoptab(14,12,3,2)=
      +mncF321*(-1113752897915275800000-107610111808961709285000/11*ep-
         27790986807659369371898070/847*ep^2-
         2143179341465878311761245389/35035*ep^3)
      +564723020224202320031866935702439577930172595277576191/103181933\
      557887885239136998400000-104759668007844446325/847*ep^-3-
         27836984716203710771099110041661/18140127445440*ep^-2-
         14610727751558074809390742959656480877073/
         2207418051255806188800*ep^-1+1128752590093488095385660/77*z3-
         89327986476785444164269353629201531392540848931903470778267457\
         01565620121779985256130548416183867980700408182658747308893460\
         947/1479567880420601237207939514321112508157592537270776155757\
         26324721220562037765474091008000000000000000000*ep+
         1693128885140232143078490/77*ep*z4+326807198584537621101327756\
         966200513/1295723388960*ep*z3+
         11466274046851832483558524292620296178505042739842920191728250\
         91690589254008048900320620456034568550875314194597818336273211\
         11506773630879/36562823424315552421026832213252034699569004096\
         89692033771192529839771148211241009438308224204800000000000000\
         00000*ep^2+1204179753334604255695503720/847*ep^2*z5+3268071985\
         84537621101327756966200513/863815592640*ep^2*z4-27345555487866\
         908377935248916238334312986317931/60703996409534670192000*ep^2
         *z3-1489923032618030983206313616255227464071120137028787788372\
         07163536459764867275379489179777764446102021284064154361501625\
         52572028689937628983440840665349360737265596454187790443215519\
         36015009782817467/20895640672799780352382787322134923200963968\
         25346373759707975819084688481044111631052057324392185770824938\
         79655944851838549836188729778730132754661376000000000000000000\
         0000*ep^3+2979408687108939716615653650/847*ep^3*z6+10715123449\
         22384430906502660989205249/274850415840*ep^3*z5-27345555487866\
         908377935248916238334312986317931/40469330939689780128000*ep^3
         *z4-269555887982684573369528036307320021319535858968071256491/
         361136767452607598336979494400000*ep^3*z3+
         434463600246409395564011400/847*ep^3*z3^2;
Fill mncnoptab(14,12,4,1)=
      +mncF321*(-278438224478818950000-26963364843152549896500/11*ep-
         6988570386204493695226950/847*ep^2-
         17865776895097803507350660239/1156155*ep^3)
      +45764277186135441183220266256914522279849316033264333471/3343094\
      6472755674817480387481600000-4478866748192010015/6776*ep^-3-
         1054786714504652627227551006901/36280254890880*ep^-2-752610850\
         26702627560015926753266288049547/264890166150696742656000*
         ep^-1+282136787568377912537100/77*z3-
         41139346832100601684551624364403089153982318745840579004424900\
         08632809345024177908535180936112245351255512929958983643957321\
         507/3231376250838593102062139899277309717816182101399375124173\
         86293191145707490479795414761472000000000000000*ep+
         423205181352566868805650/77*ep*z4+1635719591986748112205624352\
         36681207/2591446777920*ep*z3+707510913557011531742507867435207\
         13631368673070195991759712946865039641391141272014116729384406\
         94633810866759065358519017974369725896446093/
         12976146033289589554222422752483147114877039553988717027853962\
         2884013478050016943424965558877028352000000000000000000*ep^2+
         602077866424905571833810375/1694*ep^2*z5+163571959198674811220\
         562435236681207/1727631185280*ep^2*z4-162300152451604579097193\
         937138397430019036094191/1456895913828832084608000*ep^2*z3+
         54559257567210183070886862569897908925869267187133256458127582\
         61380800621076298008742873608415603627127316640473870230484260\
         23431142008892498070303113091295065709247466603814520571993189\
         87130679471/28522549518371700181002504694714170169315816665978\
         00182001386993050599776625212376386058247795333577176041457303\
         6472275962052639761614796663121011277824000000000000000000000*
         ep^3+2979354285492006288789970875/3388*ep^3*z6+539591225699724\
         461003212597815652931/549700831680*ep^3*z5-1623001524516045790\
         97193937138397430019036094191/971263942552554723072000*ep^3*z4
         -22107560540300783643710064785056288054671802766142571896869/
         117008312654644861861181356185600000*ep^3*z3+
         217244246803779198685670865/1694*ep^3*z3^2;
Fill mncnoptab(14,13,1,3)=
      +mncF321*(-12850994975945490000-1281225770908505375850/11*ep-
         694554510934602862320303/1694*ep^2-
         3747142362500777905022287591/4624620*ep^3)
      +1172439097341598501197348230065597376973235723120368973/18572748\
      040419819343044659712000000-116351296357686381/3388*ep^-3-
         108393701855975962115168392159/40311394323200*ep^-2-6234025578\
         666448015679912082244504609319/220741805125580618880000*ep^-1+
         13021594355420772510321/77*z3-12655601249696335045935908865801\
         57168724017029401943530369585584845631265310837439189673995687\
         86566435516430240193439958191/11824718325039770127535980134434\
         46559966107921894726198407403194575189306995128664064000000000\
         00000000*ep+39064783066262317530963/154*ep*z4+1964997809868379\
         342553392107371837/664473532800*ep*z3+
         13259879300008024269537672648588470350492474438763555062068205\
         23139642950753976027658796225801259334995466862074700097145846\
         8137049/172905548531069178967904673850419567176345567317401747\
         7798505650486683091209969206858612736000000000000000000*ep^2+
         13894096897664212052779272/847*ep^2*z5+19649978098683793425533\
         92107371837/442982355200*ep^2*z4-10651538374182971108726161294\
         16370080572080509/242815985638138680768000*ep^2*z3-
         28203226397728577358433879114482190271308530869463088676860829\
         88710326640029041506269099894385514709617626385605102594883865\
         12273223514092072652497021330664955564260971013066471704654853\
         3056951905383107797/
         15853445698026343284889432246545315648849570440742714399495930\
         18321539927305174864432928139429144483526585301796015583437450\
         72543182995834143771670669965656064000000000000000000000*ep^3+
         68754296798772917775828705/1694*ep^3*z6+2724938706775751101482\
         33582683603899/5497008316800*ep^3*z5-1065153837418297110872616\
         129416370080572080509/161877323758759120512000*ep^3*z4-
         657037850222610647373316998745898920416301485268921355857/
         65004618141469367700656308992000000*ep^3*z3+
         5013350982336629532997836/847*ep^3*z3^2;
Fill mncnoptab(14,13,2,2)=
      +mncF321*(-25701989951890980000-2562344145087867047700/11*ep-
         694477173996127904161383/847*ep^2-96060633109275967693019901/
         59290*ep^3)
      +6200283710171730623549914987175407151270205677444177/
      49134254075184707256731904000000-8373551441173179021/1694*ep^-3-
         3667725815825263527798499283677/60467091484800*ep^-2-952131252\
         2229111569702591067744344710373/36790300854263436480000*ep^-1+
         26051892628651152311682/77*z3-93582187790613799074902851670526\
         92274298736640592223501575515303631663082208718847972876534824\
         233504738019378934180073077/4117535845326348526552707368240572\
         84273912579945485015516863612396717705114375159808000000000000\
         00000*ep+39077838942976728467523/77*ep*z4+25549885637005600750\
         091640632053721/4319077963200*ep*z3-
         59224061501291046221542873774584136990138804498079840894814875\
         80851907409631561543593098378171266715070022035296803616691701\
         69013053/10175182771145329987298747369179601493386550305258883\
         2108660274485336859412186670021474254848000000000000000000*
         ep^2+27789194285016973350101424/847*ep^2*z5+255498856370056007\
         50091640632053721/2879385308800*ep^2*z4-3549584581400864163684\
         30594131137703650173383/40469330939689780128000*ep^2*z3+
         44483786673360857216782554785893899866232205501796355952593732\
         14761970805755503792842169705192765139525467086126928190135396\
         24523717435195857169572977685760108485250045705206239708245852\
         5206173318138285961/
         55203962698484588224168558715648866991529754213300523355387614\
         03083933675437662474364660485512199540851502390182554263755408\
         7760572650335103634778179720183808000000000000000000000*ep^3+
         68756558665254526686682305/847*ep^3*z6+90832044621055488246410\
         985456067753/916168052800*ep^3*z5-3549584581400864163684305941\
         31137703650173383/26979553959793186752000*ep^3*z4-
         24329872242168235613446053217018590410496707401427907971/
         1203789224842025327789931648000000*ep^3*z3+
         10025609479470645023576952/847*ep^3*z3^2;
Fill mncnoptab(14,13,3,1)=
      +mncF321*(-11137528979152758000-1111562712577399575870/11*ep-
         3017798353374269828059953/8470*ep^2-
         296615840700617039349495719/420420*ep^3)
      +6530286375316935355656682221105549609030066387226377901/11939623\
      7402698838633858526720000000-1030671536956813251/16940*ep^-3-
         5503023742658489966643465840761/1814012744544000*ep^-2-
         98816139520547356622512774910014158209227/
         3311127076883709283200000*ep^-1+56427100295873782580991/385*z3
         -3899809722327286625124866733743925908982416837010767864600900\
         48818452179886819876020814512529069324597392017146260849246426\
         903/7344036933724075231959408861993885722309504775907670736758\
         77939070785698841999535033548800000000000000000*ep+
         169281300887621347742973/770*ep*z4+332267329284495999962692776\
         464892613/129572338896000*ep*z3+
         55863234128622690745219745906919259914468556952343964744212294\
         86680284713468653883105743073425823030059601985117670112188669\
         7618129694029/235929927877992537349498595499693583906855264617\
         97667323370840524366086918184898804539192523096064000000000000\
         000000*ep^2+60207778492434427460894712/4235*ep^2*z5+3322673292\
         84495999962692776464892613/86381559264000*ep^2*z4-137581306495\
         42154981351193084567903604869414601/3642239784572080211520000*
         ep^2*z3-181536156417598836556556390814909695919643352723076966\
         98447123598330446176290144812024810820508219271310406579444627\
         73710636153112962836202333882968651058865324925677158555144824\
         6786038464499962484332777213/
         57918698746480653856839436073665481862407335067554596150981969\
         63847355355006243993692240259976211235919258625370355167549498\
         2899857281845700495876683146423435264000000000000000000000*
         ep^3+59587080389179815852503811/1694*ep^3*z6+11845332007672618\
         47868501074488269909/27485041584000*ep^3*z5-137581306495421549\
         81351193084567903604869414601/2428159856381386807680000*ep^3*
         z4-25735929990501420383800100285898285157837737382827204609623/
         2925207816366121546529533904640000000*ep^3*z3+
         21724504081442849779891956/4235*ep^3*z3^2;
Fill mncnoptab(14,14,2,1)=
      +mncF321*(-152082780780420000-207091291586354244900/143*ep-
         784690387225086398115663/143143*ep^2-
         10739551318586835122235083/910910*ep^3)
      +500894756482183100129692860050288785812497089516237057/672598804\
      035203457637403033856000000-8430775882185742461/286286*ep^-3-
         4104893706274890515510155633277/10218938460931200*ep^-2-
         37780006891036168953186544598123366531119/
         18652682533111562295360000*ep^-1+26051837871269119783122/13013
         *z3-1153956802840658717660875550377586640724524897681780574428\
         47435628277384369302996950318543803913310027614224600035499/
         20597581910242436111663375002261643850162053061246003662219247\
         565780972261613764608000000000000000*ep+
         39077756806903679674683/13013*ep*z4+28814747098795080780222406\
         5514171/8021144788800*ep*z3+1688565385611698927988646685122979\
         14569091044962630231022204832882912559396089873940049839666604\
         9513552820861978075887929566471/945292867902733879119625262360\
         39450416124620440527795651005765893063584089381143316864696320\
         000000000000000*ep^2+27789192357744698528503104/143143*ep^2*z5
         +288147470987950807802224065514171/5347429859200*ep^2*z4-
         735643082429350027516335496674071728237034389/
         20517950786422718524896000*ep^2*z3+
         79705544456051231208656129566400433055546114971597728157667231\
         48890066202719424705515152802520845818140468296158281168192565\
         19337095702658292356612930588059365182823894819458223480735158\
         6392480571/380900109179970289118676426426994554219972761319815\
         85503377365505347670613890424596302910251498150785261896374515\
         973755987627520522503424065137529188043980800000000000000000*
         ep^3+68756555352901845527221905/143143*ep^3*z6+104637683131347\
         148039137729487692873/154832400923200*ep^3*z5-7356430824293500\
         27516335496674071728237034389/13678633857615145683264000*ep^3*
         z4-2373572603286748646712251263306211944985714985042467715731/
         16478670698862484712116374329472000000*ep^3*z3+
         10025625959555399635966632/143143*ep^3*z3^2;
Fill mncnoptab(15,1,1,14)=
      +mncF321*(-8070164131555287000000-66470132178508683871624275/1001
         *ep-18223385623253120570503501234/91091*ep^2-14686477537918483\
         476477118951980418/45135135045*ep^3)
      +20610608671334511762272631231939615898902162537923191670503819/
      519078127014168268431665791378368000000+11036605734846767561/
         8016008*ep^-3+110825073475573373625731152321/16507515975350400
         *ep^-2-6256636676456728671827871364966397027221/
         248582865297044474436240000*ep^-1+
         106411607545114461288817000317/1002001*z3-
         14040356492840466632144319665330965916160654227383722105516742\
         05689834045727227626446922409928180331636897/
         36286911601680369764555113202443494197219701153883370960963911\
         02464000000000000000*ep+319234822635343383866451000951/2004002
         *ep*z4+71153221132061123706063843285836424627839/
         40237070189916600*ep*z3+29440275344174568719089886209241391768\
         94050295985880374830452009255192881194209662560602697178599628\
         25198511741881001/16653294005462065056210838925159335131331383\
         3962650001957953992896466753945600000000000000000*ep^2+
         2949121697186104420052406112139/286286*ep^2*z5+711532211320611\
         23706063843285836424627839/26824713459944400*ep^2*z4-
         404691496775719141045610031039566743016730186184849/
         95046389672399357872680000*ep^2*z3-
         10698096249856532478446682448259788638413077080178723449788491\
         33390008627791313738295084377240579153099305749768966839850941\
         43973283944987567101278826187/18941178588058029086003704395847\
         26992242751647196782271891348363855368389824806547426184062324\
         0719053619200000000000000000000000*ep^3+1021551433260625100889\
         46043921695/4008004*ep^3*z6+3625474469128584487500827147345212\
         198449737/160948280759666400*ep^3*z5-4046914967757191410456100\
         31039566743016730186184849/63364259781599571915120000*ep^3*z4-
         3444389828612709261872308824984563160168435973346400170055989/
         1068061989741086972081616854688000000*ep^3*z3+
         7448812537735156176903900294323/2004002*ep^3*z3^2;
Fill mncnoptab(15,2,1,13)=
      +mncF321*(-90923849215522900200000-57377296306151250684035625/77*
         ep-1201936184020020156081629490/539*ep^2-
         24628488699491857761213933158786/6847995*ep^3)
      +91602704805921329930874591962881325323857070385476538516219/
      204764547145628508257067373324800000+1470844492656869655/47432*
         ep^-3+55622861947095908411936661239/253961784236160*ep^-2-
         21601332719080524202019144156722760581/
         1274783924600228074032000*ep^-1+7094107170409368703671012195/
         5929*z3-157388149088087009536820489647342126868216765554636458\
         0601724887594630001589139818098112695051626893500443471/
         35978502132446077218949964849243597904419232472747622030795417\
         3214720000000000000000*ep+21282321511228106111013036585/11858*
         ep*z4+315612214226411511304814829671208402127/15872611514760*
         ep*z3+12752606590934687632932885283793745350331214671559854176\
         49666278736644152900649229780742658924935633376172954345828769\
         7191/635702546083058426571759550733656229581331482638963131734\
         409940221116167487488000000000000000000*ep^2+
         196608113159286603265961190165/1694*ep^2*z5+315612214226411511\
         304814829671208402127/10581741009840*ep^2*z4-18229106792496036\
         48118554254041289289726241023617/37493644841183178648000*ep^2*
         z3-72415133036891056818984919052999279381043477987181885002980\
         33464892407032810630767517761103887864072675095039149125033509\
         504345206450258546476831167209516211/
         24617704109525266110547583805556574816102716793105256358366324\
         58130792639575379340408677378232886070230384640000000000000000\
         00000000*ep^3+6810342888870937427271931533825/23716*ep^3*z6+
         5290327369519736780634699207311455750547/21163482019680*ep^3*
         z5-1822910679249603648118554254041289289726241023617/
         24995763227455452432000*ep^3*z4-272777341001977091594815167936\
         764911110481128971928478796443/7875559505601096471425668204800\
         000*ep^3*z3+496587502514942002101682203885/11858*ep^3*z3^2;
Fill mncnoptab(15,2,2,12)=
      +mncF321*(-945608031841438162080000-594888462610134707726592660/
         77*ep-61985581625579829607501891596/2695*ep^2-5467923990458343\
         696031966958651528/148373225*ep^3)
      +38916181804580441039978125991170153145855799454821134238971/
      8364564834380249520305039760000000-11889819439893794409/59290*
         ep^-3-251911309919419255311486463901/93368303028000*ep^-2-
         2091066400689171137721083423286049221871/
         156223520171596577700000*ep^-1+368893573316112258947988487308/
         29645*z3-31945305343731946147632618607176623287284535143897346\
         1493808626095545674209883365745087921043310329303432821911/
         70022498405748684293314844272310035443573276434782251516736485\
         45792000000000000000000*ep+553340359974168388421982730962/
         29645*ep*z4+1204922115287364569447728216139009497529/
         5835518939250*ep*z3+354052038024398212670771358175854064492181\
         75959741617021624884684666459461351390137910406219679579155510\
         463770787942722461/1687124174462161035593709285609772392386116\
         41187500555412050432204822879928320000000000000000000*ep^2+
         5111810942746900639920069087018/4235*ep^2*z5+12049221152873645\
         69447728216139009497529/3890345959500*ep^2*z4-9974810684285371\
         153708702160382709656503623304449/19527940021449572212500*ep^2
         *z3-1048914001677062662339290625256650591329956951447273690357\
         43583565764595849535953920092895339925259727695379471144995515\
         8916482083001480165284656834326009793053/
         36097151094191588930651559652385934654666239516452678146569371\
         44417368308908625077757450276774100033643479040000000000000000\
         000000000*ep^3+17706891512956096110246247560909/5929*ep^3*z6+
         1537767815812913720358456278908077754163/598514763000*ep^3*z5-
         9974810684285371153708702160382709656503623304449/
         13018626680966381475000*ep^3*z4-111490851410820156436675043645\
         652876483188052503883563740171/3217140320915480584732707600000\
         00*ep^3*z3+12911275059364126724224160102106/29645*ep^3*z3^2;
Fill mncnoptab(15,3,1,12)=
      +mncF321*(-409157321469853050900000-257643780450738718010375700/
         77*ep-5377834905639370245358344054/539*ep^2-475420637400648841\
         581392888008604/29674645*ep^3)
      +305342350529789634448826928840055852546755703836591245908381/
      151677442330095191301531387648000000-109437702663208203/5929*
         ep^-3-37511791781823964529228053023/141089880131200*ep^-2-
         346536200030359753140407334785640097483/
         236071097148190384080000*ep^-1+31923482297336165613165058062/
         5929*z3-144631792790531012036310754020504476870313402243331576\
         8121900878161894935614305343371649430545039275394230369492617/
         73327560330500022191959304921963069116509935082503973788326447\
         571533824000000000000000000*ep+47885223446004248419747587093/
         5929*ep*z4+485043420426820074409965240492554702437/
         5426533851200*ep*z3+640635481238454697355634984978280204273817\
         57032206815361234409982716629612804528259386978687928873927110\
         6048734868075415666997/706702574198710014589492945556221459722\
         6964426062023265099968504195620794437468160000000000000000000*
         ep^2+442368254647103069547376758702/847*ep^2*z5+14551302612804\
         60223229895721477664107311/10853067702400*ep^2*z4-305972850745\
         5683252401581867498563825974911814213/13886535126364140240000*
         ep^2*z3-156815072440310519963201873325151815098571270034391413\
         47284255782998840350418585683663976600916659681346045343924581\
         4290780177408165598390470216281075568835571040943/
         81827909872401029115115407544800627549969805035056247036895176\
         73936843872098784016266808883413671884265729766195200000000000\
         00000000000000*ep^3+7661635750580963303046180632130/5929*ep^3*
         z6+78706967850728957393927281661846297129887/70544940065600*
         ep^3*z5-3059728507455683252401581867498563825974911814213/
         9257690084242760160000*ep^3*z4-3833631483036858497193634185714\
         924300949965071202500600929421/2527957372168253188358856460800\
         0000*ep^3*z3+1117321880233641875814443689494/5929*ep^3*z3^2;
Fill mncnoptab(15,3,2,11)=
      +mncF321*(-3900633131345932418580000-222781755650875632571227660/
         7*ep-23161119011680531350367903446/245*ep^2-156734293263487308\
         319318644760356/1037575*ep^3)
      +101780777764888159934530098478140867533555298812459907348983/
      5303407074478852842710887680000000-21345228420394349367/2695*
         ep^-3-1706198936394926648354186474087/14799637776000*ep^-2-
         15281450066328201544698881813263062396727/
         24762702498061928400000*ep^-1+138335090362844069981093801058/
         2695*z3-234661900894433550800375802654322034820123925731513214\
         27012686174502721216887864528886799858761395500990742057840441/
         12466550988892565756366162820262906673881264051807051033670612\
         1018900480000000000000000000*ep+207502635544266104971640701587/
         2695*ep*z4+6298476487910542306404344518538480917609/
         7399818888000*ep*z3+104216910122946135803508858181289183242479\
         44561562746813026494886336798986749861727624182047733060945842\
         21753483004374673356607/12014778120969804262206255508866102739\
         08716502187640318978034787017909556551352320000000000000000000
         *ep^2+1916929104118589919443480829018/385*ep^2*z5+629847648791\
         0542306404344518538480917609/4933212592000*ep^2*z4-23712735600\
         9051910231356164573381407360258949449/112048427593040400000*
         ep^2*z3-469858971340049881382151235748932358165088941388820072\
         58045465404698703684456295037231149201693408203555070522629478\
         6233719070303558080302665055634920292656563174309/
         17389638461667278914664431355447594992909757858689639275845492\
         10517865285688053273822934591516482808934865829888000000000000\
         00000000000000*ep^3+6640084319233642683061636001034/539*ep^3*
         z6+26006477509860736044819028764195908886781/2466606296000*
         ep^3*z5-237127356009051910231356164573381407360258949449/
         74698951728693600000*ep^3*z4-372264082062397856752252141245072\
         6236418911399022288528721429/2651703537239426421355443840000000
         *ep^3*z3+4841728143612284475911720016306/2695*ep^3*z3^2;
Fill mncnoptab(15,3,3,10)=
      +mncF321*(-14627374242547246569675000-834882715589036861473055550/
         7*ep-17340795175779938422792664991/49*ep^2-2344013246896556441\
         50029544616049/415030*ep^3)
      +101780746987051859641034631120182553914611078693761073280009/
      1414241886527694091389570048000000-3820176453054806118027/8624*
         ep^-3-10911393386511991190376128743233/1973285036800*ep^-2-
         3823999371547508548381507216401773627106929/
         158481295987596341760000*ep^-1+103751322727220384909224551318/
         539*z3-1173888609375510688036658357947091617379303152048004515\
         11236339133249814584606164648738995171090219456313687546148376\
         31/16591421047342393451003816943417395919601727294948709044436\
         375881102917632000000000000000000*ep+
         155626984090830577363836826977/539*ep*z4+314822030732245323351\
         1303252242846924921/986642518400*ep*z3+
         26055617939656941920209223008725316789220141433262294117066040\
         27069657880652835743172046201852042006263760027138851734589396\
         069957/7995083915872844123731875150181087241441315374244879047\
         59946023586230190537640509440000000000000000000*ep^2+
         5750787342358746807154342791237/308*ep^2*z5+944466092196735970\
         0533909756728540774763/1973285036800*ep^2*z4-37069986030780350\
         143963158431240618046137939606287/4661214587870480640000*ep^2*
         z3-15245375674940643709032042458122902286176744181700366349327\
         19706132207528457536406908897254037129723231341007833832310657\
         52103709272473410420289484670430966261376173273/
         18514748070137151860443220064145054388951019192146858936992695\
         44438371169672070320639278459587599246672951649081753600000000\
         00000000000000000*ep^3+199202530528011730552217506666935/4312*
         ep^3*z6+38910966789459480570026167943969630999667/986642518400
         *ep^3*z5-37069986030780350143963158431240618046137939606287/
         3107476391913653760000*ep^3*z4-1229495550222714708660233580129\
         138576585866350659978618233639/2357069810879490152315950080000\
         00*ep^3*z3+14525184211066331368225997137749/2156*ep^3*z3^2;
Fill mncnoptab(15,4,1,11)=
      +mncF321*(-970745801918670963900000-55556030273348754690898500/7*
         ep-1159225154462326649801504850/49*ep^2-
         27943100648532360913770464202836/735735*ep^3)
      +10776788556041484619326966685288593413199757611502914101443/
      2256358646232821027626086758400000+23757793283767905/49*ep^-3+
         1263704224882462358413186117/699619240320*ep^-2-74479206939354\
         151958669586065926173881/3511801445179691664000*ep^-1+
         625950632404911584756428650/49*z3-2204191551234389465499262070\
         00815088306458964698238936664662544246418965627965797280353220\
         5883965637073672863591408461/471235627380138985590640954605937\
         87227271178115830652907274913745144381440000000000000000000*ep
         +938925948607367377134642975/49*ep*z4+190189167259301587454974\
         1629213792963/8969477440*ep*z3+1915435196074794001001024190298\
         92688613302211718541646112880282332883150543562605547330988328\
         89424861095068442463645775835315089/89050708426011490413999305\
         53630170265441075251508392952425434303779800242674728960000000\
         0000000000000*ep^2+8673887344857758957454959250/7*ep^2*z5+
         5705675017779047623649224887641378889/17938954880*ep^2*z4-
         1837286772967544373855932308140295229666006689171/
         3511801445179691664000*ep^2*z3-
         42895822014934824126584565597699349355377278558635439030135205\
         42042067460107025025392906846978215003790043428618243257195964\
         518763050936488874881969133179976900081951/
         10311032687859186556459851062524221031090021130328915523560150\
         61295298945866798647066775334263890983180202797957120000000000\
         0000000000000000*ep^3+150228151953998502793570715250/49*ep^3*
         z6+925058726291592937878483210108103304939/349809620160*ep^3*
         z5-1837286772967544373855932308140295229666006689171/
         2341200963453127776000*ep^3*z4-4041204092632603608972304372977\
         50259721873577808557392152761/11281793231164105138130433792000\
         00*ep^3*z3+21908272173567641314639392330/49*ep^3*z3^2;
Fill mncnoptab(15,4,2,10)=
      +mncF321*(-8413130283295148353800000-480716408740919344666101000/
         7*ep-10003461196789885816691453520/49*ep^2-
         560158024492165981024440832902/1715*ep^3)
      +1280663770098740842538989486742265337956546659914312801/
      30938689787917469184506880000-7497704866586340120/49*ep^-3-
         14527955261832972978190021453/7338663360*ep^-2-250374488128745\
         6602742843242719187273/272867245157707200*ep^-1+
         5424905653976493246613082460/49*z3-
         95879555032228583144929905453777892357147695498359522498048751\
         4095335655176897988282423519243680439538251948941634392509/
         23585343150375956228811579778027190507249224646973241780091094\
         32944476291072000000000000000000*ep+
         8137358480964739869919623690/49*ep*z4+741154120894751146923814\
         46438021217097/40362648480*ep*z3+
         14175166211582957947585933883175114977462711227713422277498796\
         77163914189255741459051986645826718739654076274412464943994105\
         71379737/75768795264271876618751309115562303703505388777459161\
         435711807773710430364797931356160000000000000000000*ep^2+
         75173690583259918650074386260/7*ep^2*z5+7411541208947511469238\
         1446438021217097/26908432320*ep^2*z4-4104263251482291671865109\
         0589132122337837517043/9004619090204337600*ep^2*z3+
         14581191441425581014421094679745208092158448420344160418906010\
         55598319402370636393350735725165724047927926116730366683009630\
         4726626953318509076340665832970862178440066861/
         29243807208216629605212880921829111547676481595801192577403847\
         16343683693635885429522552643861438810129585168806051840000000\
         000000000000000000*ep^3+1301977321072107343259769053400/49*
         ep^3*z6+306465782176135236090980173282289910733/13454216160*
         ep^3*z5-41042632514822916718651090589132122337837517043/
         6003079393469558400*ep^3*z4-8798079844858485713090225688446906\
         352613508302703346511457/2892767495170283368751393280000*ep^3*
         z3+189871690237143237931940444580/49*ep^3*z3^2;
Fill mncnoptab(15,4,3,9)=
      +mncF321*(-28394314706121125694075000-
         1622330753325960380033652750/7*ep-
         33758079548263535352732929955/49*ep^2-
         41588839213193853096629582906091/37730*ep^3)
      +79827933846070316050596839918234236783340631025056793163/
      571410863243512764197806080000-4433674753439538558705/784*ep^-3-
         2462196591308526882732327900087/35877909760*ep^-2-545688645450\
         68142911653068349908953384521/192098540591025868800*ep^-1+
         18309062109273270188449186890/49*z3-
         84746929395168877281876491402550510993874106991876491512054474\
         5564016236989471458303113773468901729160890437187887587382293/
         61862649617705682722202083678804299334005373712484312478574030\
         8408293675499520000000000000000000*ep+
         27463593163909905282673780335/49*ep*z4+11117020431390411939485\
         1452004795023583/17938954880*ep*z3+
         41804629260397138958281326677963911952687698770210557285943953\
         60864706002387381525896064401874397349488801772973568450745484\
         9946315539/662453570352881451542662827258461246724592676013152\
         6448394509142919585657761756820275200000000000000000000*ep^2+
         1014844856493286752783213072735/28*ep^2*z5+3335106129417123581\
         84554356014385070749/35877909760*ep^2*z4-295551931905697357692\
         822964403118467715169719611/19209854059102586880*ep^2*z3-
         58986406637826314751302726719179826698419302429005239574995612\
         04959513832412055155058245628652365861703304422510783318967343\
         558067212452218426804888073947147745942323568457/
         76704391675590426012120981493728844256974362309127925222425046\
         73979411621120438819728289756526863842018904873101164544000000\
         00000000000000000000*ep^3+35153388735079570943643473807925/392
         *ep^3*z6+1378811270983702752417333935093369936661/17938954880*
         ep^3*z5-295551931905697357692822964403118467715169719611/
         12806569372735057920*ep^3*z4-878708670902749151367985680522609\
         4089809884129401072074989/857116294865269146296709120000*ep^3*
         z3+2563267575408836998266644240655/196*ep^3*z3^2;
Fill mncnoptab(15,4,4,8)=
      +mncF321*(-48994111649777628648600000-
         2803688306668905071575302000/7*ep-
         58499010660364215709281522840/49*ep^2-
         36166280417501585178394134389364/18865*ep^3)
      +526862260946723065432320635381033621479503075746967094091/
      2185646551906436323056608256000-94670966209582775177685/1666*
         ep^-3-50899211066956429647321125919619/76240558240*ep^-2-
         636846453285203042637855454904682100234019/
         244925639253557982720*ep^-1+537066684971076998161799495640/833
         *z3-2179321666144511479888880186862403134128232713668313684560\
         29442479412215771491951460485692883884263466974104902103788865\
         9810761/925239294619187346284513254068351060146574707049620108\
         303813334508353528161894400000000000000000000*ep+
         805600027456615497242699243460/833*ep*z4+407937890611998943502\
         772290124385666571/38120279120*ep*z3+
         29292608862018724387525389102412119505573533955369469769663325\
         16492560281763247291061447977043080462715669809046968778137472\
         321708477911/2702150701178662631785691760913932403753858543397\
         79031467763918350203294276416817017651200000000000000000000*
         ep^2+7442196925464056280011302912590/119*ep^2*z5+1223813671835\
         996830508316870373156999713/76240558240*ep^2*z4-12439891844304\
         07969298480821624384158851284038517/47101084471838073600*ep^2*
         z3-40614199567709102247825607808304645705873590592694786535887\
         63155269361005626694115543091037079276886997257273637645176148\
         28821555577330529266032738504849921068374499978149811/
         10122507782305578339011688314604538445963115674457033373957430\
         36248249794355576660062482847898689204385961630885279170560000\
         0000000000000000000000*ep^3+128895779483193292404793302231225/
         833*ep^3*z6+5086040920746786436190736174368630815257/
         38120279120*ep^3*z5-124398918443040796929848082162438415885128\
         4038517/31400722981225382400*ep^3*z4-6567242170467167666038303\
         124710397339147109395439007016357/
         364274425317739387176101376000*ep^3*z3+
         18797286054561887431991335305870/833*ep^3*z3^2;
Fill mncnoptab(15,5,1,10)=
      +mncF321*(-1348258058220376338750000-77294526517586430975780000/7
         *ep-3235442539907569530601875675/98*ep^2-
         23494712487895775691773422347682/441441*ep^3)
      +53883938369597785959536291267116459941165275229268061889349/
      8122891126438155699453912330240000-99947606437989675/196*ep^-3-
         2642645410127773646117775145/148154662656*ep^-2-22396295516952\
         56437454689889319043784933/12642485202646889990400*ep^-1+
         869375880309472079031785175/49*z3-
         11039616988514395760871813165227904136547084400013375168581252\
         493447456382917842183452677055403550396624127192161290055933703
       /169984285153389591732290817776197567423846611875665548157472535\
         051174295250141184000000000000000000*ep+
         2608127640928416237095355525/98*ep*z4+259569669344200913970908\
         3485760756405/8806396032*ep*z3+
         13450673356194400058978991202863891476615484057124043448724601\
         59297015875365327087368135056795686800254544126747701739334060\
         2326751229/451306496883190305096416888477422012604879370245374\
         93247889433139395521795468731476869120000000000000000000*ep^2+
         12047065759375586619870673050/7*ep^2*z5+2595696693442009139709\
         083485760756405/5870930688*ep^2*z4-913363685808189946364927765\
         3458548361196999300929/12642485202646889990400*ep^2*z3+
         43488562243332885901540158259290555236813525989000050446091978\
         25836775361583579918571537969169204022617249586122508435823848\
         4135875956708918076177312432629480888329543068511/
         33278836943851404140635306638916858854696937603777635022715527\
         46468241650016718968577096012869183440899886246624048971776000\
         0000000000000000000000*ep^3+417300422176598171300314630875/98*
         ep^3*z6+172441534013772501482468660072469980375/46641282688*
         ep^3*z5-9133636858081899463649277653458548361196999300929/
         8428323468431259993600*ep^3*z4-2061355399770350318793520228831\
         230125885284893966324591952079/4061445563219077849726956165120\
         000*ep^3*z3+30428155769396034975935080350/49*ep^3*z3^2;
Fill mncnoptab(15,5,2,9)=
      +mncF321*(-10516412854118935442250000-602288188820340965616960000/
         7*ep-25167911257272474579727884825/98*ep^2-
         1558679355960321950273466462036/3773*ep^3)
      +79827956038730429342472287340325025214688789586051132119/
      1542809330757484463334076416000-195407090328914808825/196*ep^-3-
         824671779902512887582219331973/64580237568*ep^-2-1252229539508\
         331852967932724076697774307/21611085816490410240*ep^-1+
         6781132930262468483608596525/49*z3-
         31324020579943253694707317829465291996751140909318401548648417\
         5066651828768904657717323174939366347447349080253393324561401/
         61862649617705682722202083678804299334005373712484312478574030\
         8408293675499520000000000000000000*ep+
         20343398790787405450825789575/98*ep*z4+74199959086812412417053\
         843150176300287/32290118784*ep*z3+
         92490355783679436327683469833436604798216402388856794183333862\
         36880784727432387908510446284153303347170064195256680496655933\
         3536351343/397472142211728870925597696355076748034755605607891\
         58690367054857517513946570540921651200000000000000000000*ep^2+
         93967114543064211666161523150/7*ep^2*z5+7419995908681241241705\
         3843150176300287/21526745856*ep^2*z4-6109457002344575770777371\
         07629451285294398869143/108055429082452051200*ep^2*z3-
         86146423869056095575778136423641232417417587708069144289588602\
         51828089148884296072826078704920407303786403875678948694982340\
         7974639399021079191924436595002527971422889972023/
         46022635005354255607272588896237306554184617385476755133455028\
         04387646972672263291836973853916118305211342923860698726400000\
         000000000000000000000*ep^3+3254943344355935065897610327625/98*
         ep^3*z6+18188191690841881534031940097931965619/633139584*ep^3*
         z5-610945700234457577077737107629451285294398869143/
         72036952721634700800*ep^3*z4-150783366710732271593660507428271\
         03474422832432345871564697/3857023326893711158335191040000*
         ep^3*z3+237339603351807310703432840250/49*ep^3*z3^2;
Fill mncnoptab(15,5,3,8)=
      +mncF321*(-31549238562356806326750000-
         1807707712200080767146427500/7*ep-
         37800646469318214769089938850/49*ep^2-
         4687439739416044583642789375790/3773*ep^3)
      +2956578019361487842874757539002267682554430682974703903/
      19047028774783758806593536000-11495564028025711671375/392*ep^-3-
         3757322766030824894360608750519/10763372928*ep^-2-160649759464\
         73685222335848390818179807641/11525912435461552128*ep^-1+
         20343427205218072750140591375/49*z3-
         28530052407048934026533218646908507581125933438329350879497807\
         179303713807692528428146116995949600709803217591851923103174809
       /188138709145513766855238715424210818330458182987577073583927184\
         93997021632921600000000000000000000*ep+
         61030281615654218250421774125/98*ep*z4+37108546604396177477469\
         399239368684031/5381686464*ep*z3+
         13785032204248270962212738810979672580426524351067116219687176\
         46780431176026498466488615871235395427089953014949417345202612\
         69252283143/19780449577255569592156697857670616288917134435330\
         229754502979643936450299972995755540480000000000000000000*ep^2
         +563802773581876616439125101875/14*ep^2*z5+3710854660439617747\
         7469399239368684031/3587790976*ep^2*z4-24399680182404710775924\
         76079390996869707707420503/144073905443269401600*ep^2*z3-
         35581674307858182824048780411580618542366383905784504025683714\
         12854453744624437108227020711033212894767587987703452772389789\
         480909284965576475960130881342355446180171160677329/
         12596898573535830821881212124841203399420766172657641532035913\
         33997821966309162065855534210718368787680307807323902967808000\
         00000000000000000000000*ep^3+19529662803313500847867972651875/
         196*ep^3*z6+154875571118561498025557472908672541719/1793895488
         *ep^3*z5-2439968018240471077592476079390996869707707420503/
         96049270295512934400*ep^3*z4-505292792933889893608784635542929\
         9691629549324575655085671/428558147432634573148354560000*ep^3*
         z3+1424036994579812110260575472075/98*ep^3*z3^2;
Fill mncnoptab(15,5,4,7)=
      +mncF321*(-47633164103950472297250000-390684689775258984438547500
         *ep-8197986939683172514394715450/7*ep^2-
         1021272443000877680119052207694/539*ep^3)
      +13509162477267965753181827185774022863294847200920375991/
      57643425544785133794899558400-209552410129266145399575/952*ep^-3-
         199530568149726532769721201237149/78418859904*ep^-2-8058277370\
         42580056120752208660648520033875/83974504886934165504*ep^-1+
         74593026650879215523610361575/119*z3-
         14987577267422857524900521996910740560766073935399872777616643\
         30940602746327846671342443200523890150161710130482350331853675\
         436393/6480451549251124433568264261148124160047029376723053493\
         26262727353605981357473792000000000000000000000*ep+
         223779079952637646570831084725/238*ep*z4+408601798318517307482\
         265812727905413141/39209429952*ep*z3+
         22033333295903198202271442894868816285409380921214561826252802\
         57209864950810713869905647938794874626885860124013432415147685\
         70841299272908023/20818692504264667688810905175106689001329728\
         10823538366524698662358545870514956668581707776000000000000000\
         0000000*ep^2+2067278235221828325207092233275/34*ep^2*z5+
         408601798318517307482265812727905413141/26139619968*ep^2*z4-
         82028616219110192919694046997211406620570214105/
         3229788649497467904*ep^2*z3+
         80803402193034328405415349064877719682011232656134189270207655\
         97236700346597973504527362868822997118115389659735724262988287\
         25940065636335866997695526294762022735922587506855439/
         28359548333773669273051521874059408935955439179376766154630123\
         26860402689165991099864849905296572530165404340570022949683200\
         0000000000000000000000000*ep^3+
         71608807966255199227012124548875/476*ep^3*z6+17167662650863923\
         29979500788684564502749/13069809984*ep^3*z5-820286162191101929\
         19694046997211406620570214105/2153192432998311936*ep^3*z4-
         1366055105472523892961993153079725346990328387160630819091/
         74936453208220673933369425920*ep^3*z3+
         5221458857008007502090919389075/238*ep^3*z3^2;
Fill mncnoptab(15,5,5,6)=
      +mncF321*(-39694303419958726914375000-326772237705597483589968750
         *ep-6900261991554619760618529750/7*ep^2-
         2600229482660289701199727262090/1617*ep^3)
      +878082432863803471695126381092585469336851940302899306391/
      4496187192493240436002165555200-1162163129982429766075625/1904*
         ep^-3-3273563714804873150057432032011745/470513159424*ep^-2-
         4284230394513892437674782394199229496861125/
         167949009773868331008*ep^-1+124323946921538607069767039125/238
         *z3-2034593458132266935917393776013095538985441229490066468484\
         33733177207097980556979700875254891630729259057832447848479186\
         34117/10902644786489817871790962745541617413278167590005219990\
         880691466811987722240000000000000000000000*ep+
         372971840764615821209301117375/476*ep*z4+204675420027619647774\
         9720330174118375025/235256579712*ep*z3+
         30374357397850908282154907023029867875724997478320900195968381\
         71153811353433104219825919359334565320344429037715866892488944\
         9612075700523/356619743205326414596872585064390808179718419799\
         7396109802069622124975796494776297062400000000000000000000000*
         ep^2+3445470519640659154772134990125/68*ep^2*z5+20467542002761\
         96477749720330174118375025/156837719808*ep^2*z4-87761940735690\
         70048713462022724259095990850576719/419872524434670827520*ep^2
         *z3+6124094322001584291019572507260705088864165573089723921578\
         96266461063979839311730794226737863238188263846983135620963295\
         411346530559344480243181430628659430819463507447783647/
         41469814978932657371744095363304159057368170473647635994746543\
         38110393511586263929210460730498627448637479640660705280000000\
         000000000000000000000*ep^3+119348228718207684346327054263125/
         952*ep^3*z6+8704205623281069071454529793773610038025/
         78418859904*ep^3*z5-877619407356907004871346202272425909599085\
         0576719/279915016289780551680*ep^3*z4-356186356373579519096700\
         25779199949230007960840821978644571/
         2248093596246620218001082777600*ep^3*z3+
         8702382234551536519758290763125/476*ep^3*z3^2;
Fill mncnoptab(15,6,1,9)=
      +mncF321*(-1149567397008952457250000-66158946407952865065456000/7
         *ep-2787827850708870405876908085/98*ep^2-
         11346506570976084361719953398868/245245*ep^3)
      +369912452149497364904849573030041592733381622792087460819/
      65401699890806406597857587200000+288836069008244715/196*ep^-3-
         186740123902150995451652147/4055763712*ep^-2-72032187380629323\
         096327793569467574023/101791346237092512000*ep^-1+
         741257326344911194892480985/49*z3-
         34879719566380315608050206370584383366946077636802574102489235\
         70501612373798719634432168936125816551513373673487972455027821/
         63261283435149463375051869918499005231991582161636131717220052\
         407665509772820480000000000000000000*ep+
         2223771979034733584677442955/98*ep*z4+206724091137935293882441\
         2933038687/8210048*ep*z3+5124386343628316748269800503578033775\
         67103612527770894403841927104184294465720529473713138507046269\
         564869353243352949466686958180014819/
         20322923445260571835152299604937837203864025747603500269509415\
         87497417234833345918428774400000000000000000000*ep^2+
         10271708695849525956880304310/7*ep^2*z5+6201722734138058816473\
         238799116061/16420096*ep^2*z4-61892037583353344726390834501402\
         923238171743519/101791346237092512000*ep^2*z3-
         11116466141122547866356808511638270064086704892677639354910678\
         87573901816451415195044667091527507559230505324640852051929021\
         1180858038963239429573785655179552294680679632033639/
         54122618766296604594152564541975072507721110045320664036943112\
         97959872839862581631200281252205355126928539278460181702246400\
         000000000000000000000000*ep^3+355803517723008852516348245925/
         98*ep^3*z6+6486936922865770192738618838124319087/2027881856*
         ep^3*z5-61892037583353344726390834501402923238171743519/
         67860897491395008000*ep^3*z4-147952924555765275174450769586713\
         16867820463776789082856569/32700849945403203298928793600000*
         ep^3*z3+25944006542123315089127888370/49*ep^3*z3^2;
Fill mncnoptab(15,6,2,8)=
      +mncF321*(-7970333952595403703600000-458467978002595342450812000/
         7*ep-9651234533385510225351736740/49*ep^2-
         6036596914694067553036078782864/18865*ep^3)
      +548015957965104889523575454388483923258443553849855869/
      13974722198890257820055040000-158643096057787204890/49*ep^-3-
         7960505240838464651644583029/194988640*ep^-2-13085656421150771\
         74046444159730735053/7250095885832800*ep^-1+
         5139387641790188473411010520/49*z3-
         59125230608824255274142480722134443082499101761451029897210554\
         994705794723277368633953887092380866743652482691913163961433481
       /154600939254356964937565727022503672454159115585443769162444512\
         841975525592268800000000000000000000*ep+
         7709081462685282710116515780/49*ep*z4+170160024864641971941138\
         479943761111/97494320*ep*z3+3951367582548434860169577152837879\
         72187353498516710507710806541601855069635366006211241117084478\
         76611520079109497495989837441753018027/
         22575513104476465295396231250602333808003251257713849176334922\
         419710079146708310373171200000000000000000000*ep^2+
         71217185622471518276893353120/7*ep^2*z5+5104800745939259158234\
         15439831283333/194988640*ep^2*z4-30616581029793396195046120448\
         561563365294047/7250095885832800*ep^2*z3+
         14616044400060449632553936670274479971847238294461341890928564\
         19657722139348924653731772304093914464302888390824125874822982\
         49448614793782564433913252674446076606099587558227637/
         66133717511063111814876363655416317846959022406452618043188545\
         03488565323123100845741554606271436135321615988450490580992000\
         000000000000000000000000*ep^3+1233452279288776098662106153300/
         49*ep^3*z6+2158152202154835285991522380683541537/97494320*ep^3
         *z5-91849743089380188585138361345684690095882141/
         14500191771665600*ep^3*z4-217880613931497986884109067293719901\
         49626455319690474807/6987361099445128910027520000*ep^3*z3+
         179878406631164299576578864960/49*ep^3*z3^2;
Fill mncnoptab(15,6,3,7)=
      +mncF321*(-20922126625562934721950000-172082027508653509635316500
         *ep-3628184721133504574020252950/7*ep^2-
         2274047314718057163611235038106/2695*ep^3)
      +17305556487663141526547630779042451392536397596568007/
      168116958783642199339008000-3952714321351323282105/56*ep^-3-
         92703779201089411381579637361/111422080*ep^-2-1944159422776134\
         559424977765548948111163/596579318605670400*ep^-1+
         1927279922147220399625452105/7*z3-
         13014177656870959175160932119265274275488749155330944832681906\
         25065972972040829899027122273205678813569104532227367937325875\
         397/1289092379788515800937136965843616627460335482724108395931\
         753080839795927678976000000000000000000000*ep+
         5781839766441661198876356315/14*ep*z4+255355686132616071742891\
         851729381129/55711040*ep*z3+6365706051901717197065351111255532\
         40218981598177088053549283464453753191339953893795530726942100\
         24691896929945410536921761187514762580979/
         13804191297703199187427899614070931420792658592180324491496533\
         708922820018570329336053760000000000000000000000*ep^2+
         53412918263477095110209499285/2*ep^2*z5+7660670583978482152286\
         75555188143387/111422080*ep^2*z4-16481829551342716203390391400\
         956044170526701009/1491448296514176000*ep^2*z3+
         13271992108150701546156754129406846720436682919268783470479313\
         72218513075874272613266735453548520979594435177763111131134732\
         8617484014649895435967246849405447753054325814295835271/
         11028713240911982495075591839911992363982670791979853504578381\
         27112378823564552094391886074282000428397657243555008924876800\
         00000000000000000000000000*ep^3+
         1850179340000226124861077953925/28*ep^3*z6+3248369541430736906\
         077028361092896083/55711040*ep^3*z5-16481829551342716203390391\
         400956044170526701009/994298864342784000*ep^3*z4-3301716655060\
         93847965662910350829585842852813273033925897/
         39927777711115022343014400000*ep^3*z3+
         134908594805831056162603946685/14*ep^3*z3^2;
Fill mncnoptab(15,6,4,6)=
      +mncF321*(-27075693280140268463700000-223230439194006299759847000
         *ep-4725973674082106281337792940/7*ep^2-
         2978087039722047300843926206584/2695*ep^3)
      +3616796603710953825008362626049474902229750392133785623/
      27150888843558215193249792000-180576255594121374561795/476*ep^-3-
         4120878548869055739285278456091/947087680*ep^-2-70016294703882\
         5516794854422868921422021/43341232548275200*ep^-1+
         42400912461524656961683959990/119*z3-
         43857446291608270892726142297111264109675555287338667232539976\
         80793813806099532589319225232609297918277873979710354165248188\
         677/3442541277389041256799094287141452030100170884986911384946\
         639202188982411591680000000000000000000000*ep+
         63601368692286985442525939985/119*ep*z4+2812287110807404483945\
         316218260852819/473543840*ep*z3+
         12192797354360605877314746054065097046923358340125270216048283\
         16904693218077081923376409011696139870499028855281076410021637\
         9700536210861861/210126554779068850896383359686635836193545392\
         39678570469581585877842466084390090599038976000000000000000000\
         00000*ep^2+587543246776528115088323083815/17*ep^2*z5+843686133\
         2422213451835948654782558457/947087680*ep^2*z4-119874981418141\
         29370205290502755074633371224853/845154034691366400*ep^2*z3-
         58611583054534142829197184087703120427599251354760589718829484\
         52220950902768736177174782260760157918685171905817603873680261\
         23923924405844523494067688688494719352328379765844154833/
         55959465908606972404860592269349369418269214809305940358689796\
         80679901734872178866697605616701272581844235350589063141785600\
         000000000000000000000000000*ep^3+
         20352009074870860743282888133575/238*ep^3*z6+36056451117681602\
         660479668111630870273/473543840*ep^3*z5-1198749814181412937020\
         5290502755074633371224853/563436023127577600*ep^3*z4-
         13563420775854828763276849125816582837781464539102444177/
         1234131311070827963329536000*ep^3*z3+
         1483986245794225053743875057695/119*ep^3*z3^2;
Fill mncnoptab(15,6,5,5)=
      +mncF321*(-18802564777875186433125000-155645167373502555233306250
         *ep-3317713202869647042399500250/7*ep^2-
         421866998110841685466741244490/539*ep^3)
      +669759796980646492250363153155797206248227219933861961/
      7240237024948857384866611200-1337766903997215053704875/1904*ep^-3
         -18140916972952542579551165089085/2273010432*ep^-2-35360547708\
         6330825488395459157447811020543/12170218099555676160*ep^-1+
         58892455334665802974184643375/238*z3-
         66878271580931272398061599282445125539476870141391224912377101\
         94408826610066731416163628660968141295676128279223856591546600\
         56191/73299993997056196660687458049279935993068389573298454723\
         1348405212536049290025369600000000000000000000*ep+
         176677366003997408922553930125/476*ep*z4+469660203260014984385\
         2083670218846925/1136505216*ep*z3+
         98485763607608809767928752696944342356510511233614689049492712\
         30405672402010000613435261961414989016781878953713233829515399\
         9175697699578021/235478966857718953886167409124745857899182950\
         76106727788278858035185418318898543979069964288000000000000000\
         000000*ep^2+1632071561701721052701740872375/68*ep^2*z5+
         4696602032600149843852083670218846925/757670144*ep^2*z4-
         59104817449936134077953931541237703099742537369/
         6085109049777838080*ep^2*z3-
         42137641375421876438891242990186008925308984110645130215011362\
         88878899728925530823788982657359282435837337843199188665971332\
         61155671058430317107699073821950062750377132120223538922277/
         36247042835931434034818722430151597295524234560117863401068249\
         85027264767953959748294717868221337996902557481803141942239192\
         678400000000000000000000000000*ep^3+
         56533580106213578814819084099375/952*ep^3*z6+20333563793553602\
         334411936786854894725/378835072*ep^3*z5-5910481744993613407795\
         3931541237703099742537369/4056739366518558720*ep^3*z4-
         28838147005277499207170161183571636477461382416947689221/
         3620118512474428692433305600*ep^3*z3+
         4122133440159663074226862767375/476*ep^3*z3^2;
Fill mncnoptab(15,6,6,4)=
      +mncF321*(-7125182442142175911500000-59324938684633905175035000*
         ep-1277025514383776181374282400/7*ep^2-
         164455613637254624228108492520/539*ep^3)
      +669712141983509316020838313523991567606320310760883609/
      19106181038059484765620224000-4411950504058930543691175/9044*
         ep^-3-20009425249953348334205701324251/3598933184*ep^-2-
         654471696571127110439552701331006980736527/
         32115853318271923200*ep^-1+212023863224001307707415521750/2261
         *z3-3505825791244333009466377239754151125494744975485619981993\
         13387610585667651694775559757908816575039746453349076812943082\
         61946186539/10268985565265711951240465900244513032928913871142\
         9886702046764624626866742801507287040000000000000000000*ep+
         318035794836001961561123282625/2261*ep*z4+14874728170247803610\
         2440749025209337/94708768*ep*z3+
         20125662751634984138634936490656402807949664508077826618527901\
         77529552003821493127466852741554549431675441645452538507670467\
         15772099920291881/13195799779643711952742285043458648978186651\
         59261753325140544181432974869931726469817120042516480000000000\
         00000000*ep^2+2937745560711093281623356055875/323*ep^2*z5+
         446241845107434108307322247075628011/189417536*ep^2*z4-
         19297532395697338682624388796068177092865015427/
         5352642219711987200*ep^2*z3-
         56686548284298991843364814949997048561689183089548800124562894\
         62651209231434301061459994550894045450955786774567385886321271\
         215514880233542407146762887588666401489048690208245599696707/
         45435101834795741133988474523657056091231885454942739931623409\
         49591285335618289263866361742848756220711154200979585250503980\
         53498880000000000000000000000000*ep^3+101760975308768258318280\
         384346875/4522*ep^3*z6+37390746827238264670710091303470461481/
         1799466592*ep^3*z5-5789259718709201604787316638820453127859504\
         6281/10705284439423974400*ep^3*z4-2751338760916585136132681789\
         33198505909940822194174848381/85977814671267681445291008000*
         ep^3*z3+7419718910605891329783453447675/2261*ep^3*z3^2;
Fill mncnoptab(15,7,1,8)=
      +mncF321*(-613102611738107977200000-35505865347466523541889500/7*
         ep-756083254066915155592785120/49*ep^2-
         37443769212313240746433566596693/1471470*ep^3)
      +147964740468652403617412442098341041109985064031815962191/
      49051274918104804948393190400000-150512758165452015/98*ep^-3-
         2129279384489091170281903589/15209113920*ep^-2-159591221999359\
         0769783526153541263757/1004519864181834000*ep^-1+
         395337244567078895221960740/49*z3-
         11757517153823928434255190315027074181148099028503435791469561\
         95343195516549309403171613401620188629704290887235565709958026\
         263/4017691908872601626314989330997314187902460016276719951109\
         0267774808389713290854400000000000000000000*ep+
         593005866850618342832941110/49*ep*z4+4635193613836654285537698\
         536684041/34409760*ep*z3+5494330568768076833970228675044232414\
         72873524174702931007487363827503683017887225126937141612049167\
         447774689346680187249755434868525047/
         41302352734901782787233312997601981748418108241012641345088267\
         26530798400048578799392417382400000000000000000*ep^2+
         5478244642936036765045750590/7*ep^2*z5+46351936138366542855376\
         98536684041/22939840*ep^2*z4-242299228462600023775042399995191\
         4629277197561/7634350967781938400*ep^2*z3+
         38845408312944272054311305838053523068784857000181455389336104\
         29362352644332236777547519381906290542930733786452472332052206\
         35591393312459464713211550877284728591958604593268006766355623\
         691/1185859985573533365606274303461388146700303085270830438510\
         43587067924302572119841402773323039963752040147450773291060628\
         634567606009856000000000000000000000000000*ep^3+
         94880938139962946150245733475/49*ep^3*z6+132804675408737142345\
         39014307649692607/7604556960*ep^3*z5-2422992284626000237750423\
         999951914629277197561/5089567311854625600*ep^3*z4-
         1266916636600199727506675861001901568550733742519377571017/
         4905127491810480494839319040000*ep^3*z3+
         13836803436007940566631592270/49*ep^3*z3^2;
Fill mncnoptab(15,7,2,7)=
      +mncF321*(-3719489177877855061680000-30769002387086580646672500*
         ep-655115193563280151791461112/7*ep^2-
         4158626045861931699564377140893/26950*ep^3)
      +121779865480036798806632110184829996902143614961863577/
      6654629618519170390502400000-75669614252538278661/14*ep^-3-
         56652370689876377958435408623/835665600*ep^-2-2592255294694587\
         993300969682049130067/8738954862387750*ep^-1+
         342626441218875178970091084/7*z3-
         33322583879400351411195596891131414666005837363730507579937142\
         471348107810594676149770511350006847160685033654759394141344931
       /187414199830791912597783758880341186607694927872966528331616409\
         445170331024097280000000000000000000*ep+
         513939661828312768455136626/7*ep*z4+34144477001500434270268084\
         2342825967/417832800*ep*z3+24329348919721569994350968632178432\
         67706398059640444680614338457966182992702473564652509948353802\
         7833265867694893142059528371711705262431/
         30103755637683515151044688773762377367651682391408630717994363\
         895997072886651448975163392000000000000000000000*ep^2+
         4747813284791180377282055274*ep^2*z5+3414447700150043427026808\
         42342825967/278555200*ep^2*z4-13465216172187198202875944341943\
         04859118523013/699116388991020000*ep^2*z3-
         33044301345893346864413130801164687033449146665536864161158915\
         40384616957535978805108812770756866777183316767562908708058213\
         90732428897161241744653651293287016622194137651785098754292509\
         69/69146354843937805574709871921946830711387935001214602828596\
         84377138443298665879965176287057723833938201017537801228024993\
         269248163840000000000000000000000000000*ep^3+
         82230166380798468655010739585/7*ep^3*z6+1475121209925331539436\
         689582828379423/139277600*ep^3*z5-1346521617218719820287594434\
         194304859118523013/466077592660680000*ep^3*z4-7813001237652443\
         5235265976105366802918902911105851760229/
         49909722138893777928768000000*ep^3*z3+
         11991887202700365594928353306/7*ep^3*z3^2;
Fill mncnoptab(15,7,3,6)=
      +mncF321*(-8368850650225173888780000-69319082330646898969791000*
         ep-1479114751358094171284070432/7*ep^2-
         4707972161617792442388206416569/13475*ep^3)
      +13586606100931435706508657620124403267760074839242927/
      329981633976157209446400000-2369350613187776875527/28*ep^-3-
         276471491671434064982806624911/278555200*ep^-2-191433260081294\
         9827648654459965829736431/497149432171392000*ep^-1+
         770920655862894333696026244/7*z3-
         10652868916153582196957845982929361224140969401586580703218524\
         92092130205257323947968695463789224136499516169107843988182640\
         3357/269328229348672051267223258935184188237248663354858361292\
         88412581831450631864320000000000000000000000*ep+
         1156380983794341500544039366/7*ep*z4+2329535962062370140794303\
         3705777829/12661600*ep*z3+155218414545568581657775503264646340\
         73684277645148564376568252735321932920076019497561128201918943\
         47807838678136295956828625154014133624439/
         86522699026675409192628442223908873726753985104558819580630059\
         4969983897592533142313369600000000000000000000000*ep^2+
         10682596850578702959516560109*ep^2*z5+698860788618711042238291\
         01117333487/25323200*ep^2*z4-536183320325481082063856234465133\
         3171559276837/1242873580428480000*ep^2*z3-
         58829783326529929990797985002452835944201374275062778312575240\
         09077479207356525438130925841604166282491452000835761863175569\
         71951087501054383677287438481016367748845181381549603760958208\
         4527/397473944511071059255985318190782802388590510721267614899\
         07709514843432567161010684176616080113195086937821900966242728\
         702806222438400000000000000000000000000000*ep^3+
         370036286490940131914599472595/14*ep^3*z6+33348420723917597431\
         82227795161767133/139277600*ep^3*z5-53618332032548108206385623\
         44651333171559276837/828582386952320000*ep^3*z4-35629235487895\
         7252364482317610409899220666871286686103783/
         99819444277787555857536000000*ep^3*z3+
         26981623375631025897081760461/7*ep^3*z3^2;
Fill mncnoptab(15,7,4,5)=
      +mncF321*(-9025231093380089487900000-74960054429194509900039000*
         ep-1606877968885211886417641880/7*ep^2-
         1029071992891474589560483863273/2695*ep^3)
      +723324648116403065493924231762242753964549828330563237/
      16290533306134929115949875200-144451804243449716733915/476*ep^-3-
         299545872566162410677644764517/86098880*ep^-2-2181489022199453\
         6261021257643710579262071/1690308069382732800*ep^-1+
         14134100820784329085580170980/119*z3-
         51051346783324327752283384446334266028149722149571005227230119\
         54031087248781995383265943658952599052066764860280825633578621\
         4281/116613626813498494687457319623854443625336074321156632514\
         078155374721644205231308800000000000000000000*ep+
         21201151231176493628370256470/119*ep*z4+9408769689291064155722\
         72357507498063/473543840*ep*z3+
         30972311796166685622957267061953498856912680862106032456391005\
         34709614585956828273284969590586808166126458439804438216147694\
         1782834002563/154803978963564301014572864751429470820274291446\
         98262069679940481432938414001672412987392000000000000000000000
         *ep^2+195848453001173248523956148505/17*ep^2*z5+28226309067873\
         19246716817072522494189/947087680*ep^2*z4-11682136451042656919\
         985395870976884531202793483/2535462104074099200*ep^2*z3+
         28246931528015373458839078882505344467288244384071452522579175\
         86029541040568773332743513746363696201143586065096053457822897\
         45845375028969392726971008029584087089422274143862372626111786\
         1239/430245265650351203733417577078349384463078381401143557025\
         44998217699911497188163401810769732432731987983307625045908455\
         722384531390464000000000000000000000000000*ep^3+
         6784025350937142052910564342775/238*ep^3*z6+112285830931963038\
         4741171326901951311/43049440*ep^3*z5-1168213645104265691998539\
         5870976884531202793483/1690308069382732800*ep^3*z4-
         161161294640311476053441576228927636264192438181893928437/
         40726333265337322789874688000*ep^3*z3+
         494656986020466999406091342265/119*ep^3*z3^2;
Fill mncnoptab(15,7,5,4)=
      +mncF321*(-5014017274100049715500000-41823585950936011266330000*
         ep-903052944158358527240826600/7*ep^2-
         116752163882770122917059822052/539*ep^3)
      +133940142982344805552088094670529604130204722554601733/
      5430177768711643038649958400-161369518076387696012925/476*ep^-3-
         600576257291742487007506125437/154977984*ep^-2-130445692877967\
         679457740826789603886682987/9127663574666757120*ep^-1+
         7852724485479294921272902350/119*z3-
         56982338992073373528217948677935220720488061907309712132248400\
         93560206517184920705304672321531534748452156832855108293855047\
         93379/24021018866118624447346119064899445691061786833083014433\
         22731336248581678194187304960000000000000000000*ep+
         11779086728218942381909353525/119*ep*z4+9429224648043256309424\
         43322730690183/852378912*ep*z3+
         21251243000398176786093380966297836559483389917182194816025461\
         35112480974452780472657194489965497484358973694835979964976145\
         926713826486773/2013089211234738665559463774745789317801167291\
         01716754407405672224710125084931574342810075136000000000000000\
         0000*ep^2+108805374130660902470679394725/17*ep^2*z5+9429224648\
         04325630942443322730690183/568252608*ep^2*z4-11502076422198651\
         908514510942097133595447698437/4563831787333378560*ep^2*z3+
         10418344387503333675860306897816713334527100906262052362784453\
         29617982514201508283118688090312596476959882186822330851596492\
         94881568672049136538156878477244624998918501403637293352575122\
         1612901/124256819141822510795288875364991186985148639482301776\
         69410367520782445682717565095501768239396069774357782637102429\
         204171929312833998684160000000000000000000000000*ep^3+
         3768924472145735111867414303625/238*ep^3*z6+380203279344767667\
         310074157432411117/25829664*ep^3*z5-11502076422198651908514510\
         942097133595447698437/3042554524888919040*ep^3*z4-124462145524\
         2702789714302191931494326689270703078426373/
         543017776871164303864995840*ep^3*z3+
         274804527110234592609594536925/119*ep^3*z3^2;
Fill mncnoptab(15,7,6,3)=
      +mncF321*(-1425036488428435182300000-11958640529880606995862000*
         ep-260830610666146653059659680/7*ep^2-
         34162684965831884924983958676/539*ep^3)
      +30131591246930392459559689052419294822870829423656585397/
      4298890733563384072264550400000-1073563593347942148972195/9044*
         ep^-3-2257770939955706432769406701111/1635878720*ep^-2-
         2535524449618520150880954139399570836995573/
         481737799774078848000*ep^-1+42405823125336598273859723730/2261
         *z3-7400893752816779087600551875600700806255101362433206280162\
         36029616837833222819123693820042788054788163248374866330172474\
         4964864381/115067959465334307655650742478160738631607492805265\
         543078926475646719936875435493687296000000000000000000*ep+
         63608734688004897410789585595/2261*ep*z4+149333679622212006960\
         922625966221191/473543840*ep*z3+
         39363827347621416490910632498646870303958066314489220655173838\
         63770631504449552112657512628969975732564423638871924876720184\
         4270892528342697/136911153718213846423264511237780221347441004\
         17829888596046050117872990295338526286168398495744000000000000\
         0000000*ep^2+587550708832733668295504713755/323*ep^2*z5+
         448001038866636020882767877898663573/947087680*ep^2*z4-
         168714371354250149415778574067908756329211654363/
         240868899887039424000*ep^2*z3+
         10576147271147638922983640027901995352706657362333179552213642\
         62783820931147988752670990806882583539920762702952714568597616\
         34335267894046803419332309071096092043901739340129465184425981/
         96732402667266138161089536063295722921238201383398630685401058\
         22375628092317025815919117364438133109360528701560307560938306\
         302640128000000000000000000000000*ep^3+
         20352245693518995398973366362775/4522*ep^3*z6+3496990569922164\
         021456103205211927333/817939360*ep^3*z5-1687143713542501494157\
         78574067908756329211654363/160579266591359616000*ep^3*z4-
         1479691172817502125108086141097917999381645595949183977353/
         2149445366781692036132275200000*ep^3*z3+
         1483932234624659461036341317475/2261*ep^3*z3^2;
Fill mncnoptab(15,7,7,2)=
      +mncF321*(-190004865123791357640000-1607350665584372723972100*ep-
         35528570974222568985824964/7*ep^2-
         615342396284494083997230235077/70070*ep^3)
      +195819265654768461547688425203812484264115457969912441923/
      209570923261214973522896832000000-44449514787423979869633/4522*
         ep^-3-3219148838585386447799576701103/26583029200*ep^-2-
         188372543389020653355590271215173327557473/
         366948714671661622500*ep^-1+5653811716567850282256593424/2261*
         z3-64233594635955799348377331402593725765023828037611231642937\
         00180930204724140661720663968411430711980062404764705257486494\
         1322059501/694183424211962127903855494856529081025994577689266\
         0341058361288624776191813381892603904000000000000000000*ep+
         8480717574851775423384890136/2261*ep*z4+6496968813269907214323\
         49661315101561/15390174800*ep*z3+
         71926229190435778534016772773798231987415838678104766804755556\
         28406703220124883298832265302904971171169424396001846677294927\
         66998730793355147/17154539713536825538564970556496243671642647\
         07040279322682707435862867330911244410762256055271424000000000\
         0000000000*ep^2+78339641498174515932650253294/323*ep^2*z5+
         1949090643980972164297048983945304683/30780349600*ep^2*z4-
         23116646977408318291171231350133002746251139177/
         255268671075938520000*ep^2*z3-
         17004236639006817591989552285966764186031434609006008944236385\
         59568729328367317034079808072986759341499851350522204375981323\
         05748425374500682808304626953626046947868678010554700953266508\
         3061/640874869556389139339017857119829019068176162255403094656\
         92099079323724891818211682460326057259098423877605696916685025\
         8969869637512488550400000000000000000000000*ep^3+
         1356809196926634403115737949085/2261*ep^3*z6+15589783908642087\
         386498371788997789893/26583029200*ep^3*z5-23116646977408318291\
         171231350133002746251139177/170179114050625680000*ep^3*z4-
         149209470752113475944860421287099107240899626088681231213/
         1518629878704456329876064000000*ep^3*z3+
         197860907236905235503489752910/2261*ep^3*z3^2;
Fill mncnoptab(15,8,1,7)=
      +mncF321*(-204367537246035992400000-11942321911364531979220500/7*
         ep-258191197256084080189874760/49*ep^2-
         13038869509574841066696493526423/1471470*ep^3)
      +782877337437571377447239164711658525753015348541770083/
      778591665366742935688780800000+147735538467073875/98*ep^-3-
         763743700962332114893376181/5069704640*ep^-2-18932911017804152\
         382438716880635224891/9542938709727423000*ep^-1+
         131779078098100349672411820/49*z3-
         14751516750067493143458310268017857304119987538886977323892288\
         7196390258230669152799848200120657624931847315514264289229639/
         15221061627240492693281063299319671548729908761028102051089212\
         762102546667929600000000000000000000*ep+
         197668617147150524508617730/49*ep*z4+3769114598931546060765034\
         248786637/83566560*ep*z3+8548540857047590679340174757240624398\
         95053057669635412342404430005125588605021038255605349462483489\
         84401341086951800165373027455852669/19559291459719401764110668\
         25783811274199776115393480379844698362255536597383434419044352\
         000000000000000000000*ep^2+12782570801632058324590515990/49*
         ep^2*z5+3769114598931546060765034248786637/55711040*ep^2*z4-
         3910440613579017328570584499300666608717948191/
         38171754838909692000*ep^2*z3-
         10610349594938697017931461157327590784050695309949590959941796\
         52427337198828823279717749617364825603247354893500012956244852\
         43999971506720479970055842497784162689666567552053666150155396\
         93403355253/12360430177782244469135252676694631494152858790082\
         98870019679258520807972524528577686215885442708468274490739781\
         3699526645199046539172317757440000000000000000000000000000*
         ep^3+31626979308834894937295260425/49*ep^3*z6+4575247212845343\
         057878459776871426989/7604556960*ep^3*z5-391044061357901732857\
         0584499300666608717948191/25447836559273128000*ep^3*z4-
         769831015348640817787296985415732557347166185297723120349/
         8175212486350800824732198400000*ep^3*z3+
         4612267859648232420461627370/49*ep^3*z3^2;
Fill mncnoptab(15,8,2,6)=
      +mncF321*(-1062711193679387160480000-62116156472037999299397000/7
         *ep-1343517633042161881801319784/49*ep^2-
         4351620896807756361901575180753/94325*ep^3)
      +6807335826489863859003357045211301749563797253914093/
      1301992751449402902489600000-240209363678018423481/49*ep^-3-
         178878284413949507756265939923/2924829600*ep^-2-25650489485872\
         8575479848997498225007/967157059869000*ep^-1+
         685256509345414584624249528/49*z3-
         12024862877813329248510089912812335008185088092846479980402760\
         47060044405026113226874017397510512546335262786942082723321871/
         23897802071754396740658674262216875619986571726251851046396106\
         993639264092160000000000000000000000*ep+
         1027884764018121876936374292/49*ep*z4+490050839910035199123947\
         60617126981/208916400*ep*z3+3479485025203326936605445270075797\
         06893419362957085072504834528108682874531781336416558505373835\
         671617582841681070347811070265350040849/
         15354516242533346795497505274872914592148000905866693803128670\
         71818959889250280642969600000000000000000000000*ep^2+
         66469424538609934591320823356/49*ep^2*z5+490050839910035199123\
         94760617126981/139277600*ep^2*z4-13022365354986982780720142447\
         75407026746532103/2446907361468570000*ep^2*z3+
         31531510061266449759538582170102148009233967832330621000010469\
         40173469340287078873861811561163191241614049653215089578994742\
         78659793757370724946831810540622119025453336154121208270037924\
         649364933489/4463488675310254947187730133250839150666310118641\
         07925284884176688069545633857541942244625298755835765788322698\
         82803846218774334724788925235200000000000000000000000000000*
         ep^3+164460420073161300016741434570/49*ep^3*z6+138774445582183\
         992802832017744910393/44315600*ep^3*z5-13022365354986982780720\
         14244775407026746532103/1631271574312380000*ep^3*z4-
         19788419211504721642873885690800378926933431524506576719/
         40311698650644974480928000000*ep^3*z3+
         23983734453150893177868110532/49*ep^3*z3^2;
Fill mncnoptab(15,8,3,5)=
      +mncF321*(-1992583488148850925900000-116652797054241920832789000/
         7*ep-2529812997600824478270934440/49*ep^2-
         149492420090823102176233411137/1715*ep^3)
      +78279011969348563532665379420724360981030918686268251/
      7985555542223004468602880000-9986231042281057773105/196*ep^-3-
         21196312627209023271277360207/35452480*ep^-2-48483405011182966\
         10009405121757939013327/2088027615119846400*ep^-1+
         1284900948444598088098666860/49*z3-
         30619454306410650767286878728380544127689508461421850745729817\
         252790504932004493856053267537206612117915875805051194699611573
       /322461009288205993353954378044846375032352141159558310119371470\
         367505803483545600000000000000000000*ep+
         1927351422666897132148000290/49*ep*z4+721250292382808612680124\
         129548187/1638560*ep*z3+38557933741158339827607351713516854637\
         70082673137964109859937515458476102812680456913947310256454770\
         82254605648420001076885186037689517/90079828622862301200252030\
         94592109894060160531441793697835486821337898016934979772088320\
         00000000000000000000*ep^2+124630649657063735510168366445/49*
         ep^2*z5+2163750877148425838040372388644561/3277120*ep^2*z4-
         5178419871063635277786049399299700889939778181/
         5220069037799616000*ep^2*z3+
         14160164268200474933008409536051730873619745663620670949643110\
         06493350955290259808075452850302094314379744223124970304295961\
         33378785745211273661038528340311450128963882371841126704886643\
         29275133949/14906527644299902669924867238181170598050675159029\
         03128086140703929795826025786098327040873863017591931285479980\
         90578309952642939498346315776000000000000000000000000000*ep^3+
         616728743543095687110348497925/98*ep^3*z6+11514893391353954620\
         43216828700861711/194988640*ep^3*z5-51784198710636352777860493\
         99299700889939778181/3480046025199744000*ep^3*z4-1305324377433\
         66682970842408624992451530105112871741888333/
         139747221988902578200550400000*ep^3*z3+
         44969007349716918656060688075/49*ep^3*z3^2;
Fill mncnoptab(15,8,4,4)=
      +mncF321*(-1719091636834302759600000-100942855378838989139052000/
         7*ep-2200082703416838415038651840/49*ep^2-
         1439313560775616119884605789764/18865*ep^3)
      +11479977790054068540304498347997598153645004384461863/
      1357544442177910759662489600-91809063577045248134805/833*ep^-3-
         575179392941719629670436769917/452019120*ep^-2-424936000071285\
         28949624379506346000537491/8874117364259347200*ep^-1+
         18846428602698321829629272640/833*z3-
         10695900435834183435207087115861197394021614252594199869374680\
         00269036362870920542983580228106703546079566303294817753566946\
         65831/13511823112191726251632191974005938201222255093609195618\
         69036376639827193984230359040000000000000000000*ep+
         28269642904047482744443908960/833*ep*z4+1350808382176522885044\
         30221608707809/355157880*ep*z3+
         27012498897930954539259344675358125595184330075234249811912459\
         66172984446820012404649170832567657819488579485388209634428630\
         8130215099421/775129216379447365645106029338501467233708387724\
         24419944815800131166287002568519138693611520000000000000000000
         *ep^2+1827929113246157721271400815380/833*ep^2*z5+135080838217\
         652288504430221608707809/236771920*ep^2*z4-3755220083701120423\
         757265960264193006419621661/4437058682129673600*ep^2*z3+
         20183000386254242438411718319651464348588310609111472440006770\
         19445113470915922070133756144083187722427982155483382625487379\
         11433848642386620163499136956292000876229361537977663921040029\
         57936846885933/68577651744530739262283708371351119499952927304\
         41155182439934802886501944364350486126260828938284088402705761\
         826521009811538154696584251322243481600000000000000000000000000
         *ep^3+4522706711608648498604428856850/833*ep^3*z6+387981316004\
         143638038794349810281837/75336520*ep^3*z5-37552200837011204237\
         57265960264193006419621661/2958039121419782400*ep^3*z4-
         6555957180078406571713295472629169875083948791883185371/
         7919009246037812764697856000*ep^3*z3+
         659532075925231428107202619020/833*ep^3*z3^2;
Fill mncnoptab(15,8,5,3)=
      +mncF321*(-716288182014292816500000-42249547609575415390710000/7*
         ep-927780758743455914968710000/49*ep^2-
         122567750244791842206975973748/3773*ep^3)
      +1434771020357465182028257411324785369634355199469473409/
      407263332653373227898746880000-206855733950169848780925/3332*
         ep^-3-785995603782336347647050353597/1084845888*ep^-2-
         68417642319795717135485000156715273624419/24574478854872038400
         *ep^-1+7852974406533764556852197550/833*z3-
         10436483814703213503881905255663757832963211808445602296428791\
         90117304494721769391929180812755163300509155517622578022578167\
         5107/314025620373232028689885067191861664881579902392537544464\
         906561219118736112299592908800000000000000000*ep+
         11779461609800646835278296325/833*ep*z4+1353889766844407428901\
         34430603307729/852378912*ep*z3+
         42889905403455127982867433156898230878422487210059567018231192\
         43019927620277446675582735296260931327314779299606091966051279\
         87978662492097/28671698673398799971187803461429874609048587024\
         59666420667815481748471097860367277657426388582400000000000000\
         000*ep^2+761640278086325084151661301475/833*ep^2*z5+1353889766\
         84440742890134430603307729/568252608*ep^2*z4-55369600170454143\
         102007372195607202618841870697/159734112556668249600*ep^2*z3-
         98301158100038000071835970015240867942235402036303665128703164\
         42807134101030335241939805673346943068695183137566333250670821\
         13816085225418429713376072910955099529419447470785838504515062\
         4297354211/307377733357343630664218276220061108077912259498021\
         40677742055328743477997383692099356632731449555261458600824245\
         2043450337591027231920257761280000000000000000000000000*ep^3+
         3768936518398956597974045519625/1666*ep^3*z6+39425478767822369\
         8900942359425664157/180807648*ep^3*z5-553696001704541431020073\
         72195607202618841870697/106489408371112166400*ep^3*z4-
         511233845334940566937587751100359422576260437360754470307/
         1425421664286806297645614080000*ep^3*z3+
         274801780003698118207186787325/833*ep^3*z3^2;
Fill mncnoptab(15,8,6,2)=
      +mncF321*(-135717760802708112600000-8054990651213681154408000/7*
         ep-178709099474783945643126120/49*ep^2-
         310970273095201048555108351572/49049*ep^3)
      +55946566825189423759005162146111931067283208665060326703/
      83828369304485989409158732800000-234401354326638348668865/31654*
         ep^-3-6793947892595600765580076883801/74432481760*ep^-2-
         8491091222853544710389310047181360041402803/
         21919069889720587584000*ep^-1+28269192610881657151899602220/
         15827*z3-63765946920845636217158433143036247076635071878366039\
         68015935901043663402524426395404713878106704687201117719688601\
         98848377834254803/97185679389674697906539769279914071343639240\
         876497244774817058040746866685387346496454656000000000000000000
         *ep+42403788916322485727849403330/15827*ep*z4+9291969406576985\
         6479503931169549543/3078034960*ep*z3+
         71139197080767902186999220715656697788370057934626784248621955\
         78829822158938351428528662850843274550689040792170750649282676\
         653849382074019361/2401635559895155575399095877909474114029970\
         58985639105175579041020801426327574217506715847737999360000000\
         000000000000*ep^2+2741888876783620591721540592990/15827*ep^2*
         z5+278759082197309569438511793508648629/6156069920*ep^2*z4-
         702602340899424374788924484863981511369063991133/
         10959534944860293792000*ep^2*z3-
         16230627884114311877855135272510933433051591636537425947885868\
         78694858540634031399213168627507657075029009387509216062765114\
         04845547604452679185636413811034196382982897010641156607601271\
         4239412401029/325831939392671816757402814189536837857195320673\
         24684188789027862645680994825515382956361536895594507946184644\
         16086701315894066654089080318326357360640000000000000000000000
         *ep^3+6784049210431847336424102476925/15827*ep^3*z6+1571359282\
         4039963341512152579125602963/37216240880*ep^3*z5-7026023408994\
         24374788924484863981511369063991133/7306356629906862528000*
         ep^3*z4-209732465282908598262302658890164750655712891420551530\
         67629/293399292565700962932055564800000*ep^3*z3+
         989303059184394813963168391650/15827*ep^3*z3^2;
Fill mncnoptab(15,8,7,1)=
      +mncF321*(-9047850720180540840000-541397769204169199450700/7*ep-
         12173401777109315567476788/49*ep^2-
         646385694907366077611736598757/1471470*ep^3)
      +83935760179208550157485121349535371497235099137133472667/1886138\
      309350934761706071488000000-68148989942300260011/31654*ep^-3-
         62868218717917267768038278001/186081204400*ep^-2-5267728156619\
         0405953428745303512549999077/13699418681075367240000*ep^-1+
         1884441386160714711498733008/15827*z3-
         44369774936103121369063716714930824743733689414289813083419575\
         38906583873468104274922010223370509821275127650282061951543591\
         3046000953/105738019175966071322315268976546509621879494073629\
         002315000959148332590953701432988142665728000000000000000000*
         ep+2826662079241072067248099512/15827*ep*z4+932956165329723713\
         21565895312003823/46170524400*ep*z3+
         48205722418300046135451389997423388318643936498312669173679514\
         53188385361724798564551102212592811953689904396617059477369515\
         23834753290090042891/26129794891659292660342163151655078360646\
         08001763753464310299966306319518444007486473068423389433036800\
         00000000000000000*ep^2+182790769259299592755525108086/15827*
         ep^2*z5+93295616532972371321565895312003823/30780349600*ep^2*
         z4-169944344630496541713293259996095914809717000007/
         41098256043226101720000*ep^2*z3-
         69349828677036689987770915113272217439363370048235240222910353\
         90776811396516894210883797374595108329804893464286661630296806\
         56521078781729052713161781502152163961597104268696333161700141\
         53431/92737157124287734018913239996667738375241363383005849409\
         23509505174460286745662503298739021789620578328785054766631989\
         9873976016026607143197081600000000000000000000000*ep^3+
         452265819682847195110065937695/15827*ep^3*z6+16160585578460137\
         413158129364968427493/558243613200*ep^3*z5-1699443446304965417\
         13293259996095914809717000007/27398837362150734480000*ep^3*z4-
         33468117705287718402986915534916509100304709400263948288791/
         6601484082728271665971250208000000*ep^3*z3+
         65955425758186530653761099770/15827*ep^3*z3^2;
Fill mncnoptab(15,9,1,6)=
      +mncF321*(-41802450800325543900000-2473084476785210943344625/7*ep
         -1200631821935148880164192105/1078*ep^2-
         3771831102087848177445579693283/1961960*ep^3)
      +21137257519914373472390386848746233436230914260639972323/1027740\
      99828410067510919065600000-5418742521407833395/4312*ep^-3-
         28863836723823375200092581839/223067004160*ep^-2-7436383343898\
         8304152432646898758687151/50895673118546256000*ep^-1+
         26954813914253200726743555/49*z3-54451219886653400808007896808\
         48470830293789707276856258226892952420851245019570782390176124\
         5368922437847100796479642135701/279443626746607084576693657444\
         32590273286818955528950194168220908948769734656000000000000000\
         000000*ep+80864441742759602180230665/98*ep*z4+1137724615974895\
         2148891072261527221/1225642880*ep*z3+
         65745006290812564236289248956891551713042286601846354982318890\
         98469158550159328160893435571157027722597316364540407940377477\
         9445255913/763064619695898288069099235356630737677640830732625\
         1581090551894414581021042019695329280000000000000000000000*
         ep^2+57521569125012771141120333645/1078*ep^2*z5+34131738479246\
         856446673216784581663/2451285760*ep^2*z4-279934934276633771457\
         726204478050703096992871/13996310107600220400*ep^2*z3+
         21607045714959204949291163255395387797830890046361649610168477\
         34244984933769249695328364080479818434717457298823617621548033\
         54173910335051661315664145539662505757675746069781267998224895\
         31968051733/24110809362167002170076577951935336483509978765873\
         68703547811847288232813468605472098732127729886434270552993149\
         9193149073534350454015446220800000000000000000000000000000*
         ep^3+284642816094496003625659877175/2156*ep^3*z6+1303886144665\
         391986725495341453816687/10139409280*ep^3*z5-27993493427663377\
         1457726204478050703096992871/9330873405066813600*ep^3*z4-
         1545336851222609913601986946008098264694551007022230625651/
         71941869879887047257643345920000*ep^3*z3+
         20755204626572589718792958355/1078*ep^3*z3^2;
Fill mncnoptab(15,9,2,5)=
      +mncF321*(-181143953468077356900000-10722482494400415162747375/7*
         ep-5210145883879311311646937695/1078*ep^2-
         1260461003433305684511943539873/150920*ep^3)
      +235419441871610761554015693737156008727860735999613/
      264183792374294884675584000-10240891513910309756205/4312*ep^-3-
         508317599777284275775734479093/17159000320*ep^-2-3047256791901\
         759876824390308590815911/23727586535452800*ep^-1+
         116806742553009634667879805/49*z3-
         12162780339627737168962770894338085370440486241575925185466995\
         51726190557891909867697059874962647793135319383570450184962517\
         43/14372547842560038560919109421427438430013409720254598965320\
         556964951687240980889600000000000000000000*ep+
         350420227659028904003639415/98*ep*z4+4931550751081476296697878\
         9444479051/1225642880*ep*z3+4343551397536140570641008920788688\
         64699773657073116371882146675613165339483165130315462610366458\
         0941645137150192476888583467522028239277/
         11543086610672497739518010251213032249959948566718984209940616\
         6839144207445581097936617472000000000000000000000*ep^2+
         249260729757655556568798066195/1078*ep^2*z5+147946522532444288\
         900936368333437153/2451285760*ep^2*z4-730296485892308336042575\
         167567324050076251/8444229325852320*ep^2*z3-
         10171508493984114798959680699136650319669484160645234476606101\
         14301406927208617034274586878176919793233308904315840725294134\
         09593144886969790452440184304786843682286271077579577963979919\
         6213157156847/291784631117424666261872186996511999334986215755\
         73683801480428464637232011721887313253020076672952920917819495\
         2833872000424444793858048745537536000000000000000000000000000*
         ep^3+1233454907107446723030523552425/2156*ep^3*z6+435456525457\
         121558282816261049527829/779954560*ep^3*z5-7302964858923083360\
         42575167567324050076251/5629486217234880*ep^3*z4-3381838792308\
         190488870128089087771200137061766767843241/
         36169869220657137887201280000*ep^3*z3+
         89938604164065661536705185805/1078*ep^3*z3^2;
Fill mncnoptab(15,9,3,4)=
      +mncF321*(-271715930202116035350000-16113150656353135735272000/7*
         ep-3926588840527632048268588440/539*ep^2-
         238399487651557108131806721249/18865*ep^3)
      +46959403990468556752448734777444852004811090457245623/
      35136444385781219661852672000-64269740738156545985445/4312*ep^-3-
         1508600380042738958384929264851/8579500160*ep^-2-2217722816148\
         18073066231156893914925593/321235017710745600*ep^-1+
         175222350362778899351656095/49*z3-
         47593004771483128742411042592763897647756991023387067811689977\
         67378274808231439098436302162881416150684671146906034622361163\
         11/37402970552779865056421292661608133428988941435596389255890\
         280322209749314442362880000000000000000000*ep+
         525667051088336698054968285/98*ep*z4+5288900669417270007756875\
         915794851/87545920*ep*z3+5052470686858229315808325591028472544\
         89789069949458936254485532442824145238244955306446668866641325\
         9548338239913113010510763398631329619/
         88812759319179647009976343003490705197110321662522097532678973\
         040313290478646282798298562560000000000000000000*ep^2+
         373893957230674694766823577655/1078*ep^2*z5+158667020082518100\
         23270627747384553/175091840*ep^2*z4-29580127772371524575250350\
         54657973475508865961/22968303766318310400*ep^2*z3-
         18959108844668507671045504666029083469392243485121974226561758\
         83993254778961420260671929442829579655416006540544932221305393\
         05491400328253515274330800880116592441230563744514690305356411\
         240708785317457/6454367223014657812920819611421281835289687275\
         70932252464935040271670771234291810458942195664779678908489954\
         05426080092343888514791381188915232768000000000000000000000000\
         00*ep^3+1850195327613467794905435717825/2156*ep^3*z6+328697037\
         582930048921333547630488003/389977280*ep^3*z5-2958012777237152\
         457525035054657973475508865961/15312202510878873600*ep^3*z4-
         87514053763275145802213348403986005672462471283171633561/
         614887776751171344082421760000*ep^3*z3+
         134904943344946087640480409945/1078*ep^3*z3^2;
Fill mncnoptab(15,9,4,3)=
      +mncF321*(-175816190130780964050000-10459451851093400587146000/7*
         ep-232934546692804807359903420/49*ep^2-
         156613473428799733285678363287/18865*ep^3)
      +234755633824626808437201020711682513406017988458249971/
      271508888435582151932497920000-108213697575467099317845/6664*
         ep^-3-2534222284580814386956396333251/13259227520*ep^-2-
         3535750775062195827198825968841412337753/4732862594271651840*
         ep^-1+1927566560341247658552741645/833*z3-
         57295552894529597220320244816491916190191375356716093592395106\
         44313834603426861513705004414376911850263152294795148196838430\
         43/67291204365692577576403942969684642474624264798400902385337\
         120261239729166921341337600000000000000000*ep+
         5782699681023742975658224935/1666*ep*z4+3708319622941516647714\
         2687363787957/947087680*ep*z3+
         75831408990298019230496358670323584845796659552666687972509743\
         95650026760421796057569811247579554361089545008340432065197101\
         72564252606637/19455795528377757123306009491684557770425826909\
         54773642596017648329319673548106366981825049395200000000000000\
         0000*ep^2+373896525998721031329385196055/1666*ep^2*z5+11124958\
         8688245499431428062091363871/1894175360*ep^2*z4-74881830294215\
         606456460919717561039743574511/910165883513779200*ep^2*z3-
         41615481129050078402804829819312313929167430928482113965914944\
         52755048320552215905580133901546406970231089099264444246634401\
         82242315739583260678192061015668193251308955399210249907813736\
         419081348661719/1229502626293862897049859563420102495331142583\
         53714017223758130769057392435526240634764692464412710821302113\
         26792545142439218305093727886006963666944000000000000000000000\
         0000*ep^3+1850206964390192680061398563825/3332*ep^3*z6+
         3656039259150650149779769773532600833/6629613760*ep^3*z5-
         74881830294215606456460919717561039743574511/
         606777255675852800*ep^3*z4-17944201963628039018568093702103379\
         626031819972784438821/190056221904907506352748544000*ep^3*z3+
         134902290037721142387962076345/1666*ep^3*z3^2;
Fill mncnoptab(15,9,5,2)=
      +mncF321*(-48837830591883601125000-2918988802970434770468750/7*ep
         -131012968153066748176622175/98*ep^2-
         115634968996231535845658059596/49049*ep^3)
      +1695165389798456389398003305773724971989310483032195043/
      7059231099325135950244945920000-41649276951391785693525/13328*
         ep^-3-7980549101879376321222097169081/206843949312*ep^-2-
         910032099968800395258011657021915845678189/
         5537449235297832652800*ep^-1+1070819642122016901531914475/1666
         *z3-4174171980131059578085636915542067287473189348338985753329\
         12378198121912908131816082159601734713999382861749609969938221\
         93832287/18267984847683213892206723548856028448052488886559632\
         476469371812170463662666794454220800000000000000000*ep+
         3212458926366050704595743425/3332*ep*z4+2300949742664808199931\
         7954645496381/2110652544*ep*z3+
         45286122062388070216625660285980970067380582747532024438409094\
         24367110623807128665611414715046887200273077806632106375355894\
         91521615176329/45143525561939014575170975148674325451691176501\
         05998217586072199639124555029590554637515934924800000000000000\
         0000*ep^2+207719213464131838490823430275/3332*ep^2*z5+23009497\
         426648081999317954645496381/1407101696*ep^2*z4-620854900626288\
         62675847719056778026528655164339/2768724617648916326400*ep^2*
         z3+91521490216921181921727221472271301774779302834048967505698\
         54945711666896768590259667962845818725462084701849297366889808\
         52023008160584181044329954276982586966852747525708149690596933\
         5871608037240557243619/
         31578977006618821917912261900237013426266862982176467272628802\
         93790361865817940392496325009430944938455540678683984312614244\
         194871847409953986755849879552000000000000000000000000*ep^3+
         1027887870899439023438798006625/6664*ep^3*z6+53662330001655481\
         39184363896974832861/34473991552*ep^3*z5-620854900626288626758\
         47719056778026528655164339/1845816411765944217600*ep^3*z4-
         671050808628170788985863867791304489408133762455983605129/
         24707308847637975825857310720000*ep^3*z3+
         74946829460879963400555419325/3332*ep^3*z3^2;
Fill mncnoptab(15,9,6,1)=
      +mncF321*(-4626741845546867475000-278287859028238066829250/7*ep-
         12619825005733451720971065/98*ep^2-
         11285147188576272851955836002/49049*ep^3)
      +19620129007721794482766448613402422226632306489604090773/8622346\
      55703284462494204108800000-449096993090550182745/253232*ep^-3-
         1374447489305901472815585539243/6550058394880*ep^-2-1233843357\
         642435905796992868100178086086677/526057677353294102016000*
         ep^-1+1927270020155460112689526215/31654*z3-
         22582479215995465372237877203695260783495093688710447497660658\
         19606060966481285218562411108935312586316923649902257022806146\
         0035127507/105738019175966071322315268976546509621879494073629\
         002315000959148332590953701432988142665728000000000000000000*
         ep+5781810060466380338068578645/63308*ep*z4+231916249522151442\
         5334349202327089/2238570880*ep*z3+
         24400527918440221989527745105105102500440181578145800948173408\
         20349320607987745014753090622033644403557059394196257304078555\
         93278504141252591689/26129794891659292660342163151655078360646\
         08001763753464310299966306319518444007486473068423389433036800\
         00000000000000000*ep^2+373890219144099194245798747935/63308*
         ep^2*z5+6957487485664543276003047606981267/4477141760*ep^2*z4-
         544199743817325436993221608291467327794722731787/
         263028838676647051008000*ep^2*z3+
         10714841327499601402876593218457039743472329163732754554032652\
         54557228254918980687326201315644042806228444341765996284890874\
         11480038028143250411998765534019005089227929476136901260202543\
         54136314563797/44313143757403367079006782729777009948578563611\
         56157049675307789319812615296270092082065169017800853080681111\
         60587791378961593064956114923292384601047040000000000000000000\
         0000*ep^3+1850178395518941370102098477525/126616*ep^3*z6+
         49339813129257221626548019404083225029/3275029197440*ep^3*z5-
         544199743817325436993221608291467327794722731787/
         175352559117764700672000*ep^3*z4-56851368516451260895088382069\
         297434744821160789180975835673/2112474906473046933110800066560\
         0000*ep^3*z3+134908816922349946216291080225/63308*ep^3*z3^2;
Fill mncnoptab(15,10,1,5)=
      +mncF321*(-5048605169121442500000-303689873880288310764375/7*ep-
         151484364829581153644831175/1078*ep^2-
         886241766945499901500007778281/3531528*ep^3)
      +105678566680460979100641757661928810382099843616313874879/
      4254847732896176794952049315840000+1716135355015861275/4312*ep^-3
         -438334252382813807248631119835/9234973972224*ep^-2-1167006510\
         25114275982542718744965770663/191552806100710454400*ep^-1+
         3255411237966838934891925/49*z3-677593925441632005571796619690\
         61266297520249656477875729651275805964708653755885096778186864\
         01886965706041203185467551797543/28051106946436463831325267559\
         36309483297760051401690443774420703645285015518298767360000000\
         0000000000*ep+9766233713900516804675775/98*ep*z4+5736399405545\
         4553487565491507353145/50741615232*ep*z3+
         23276402515600485611307436433379375765256743906547013474524869\
         58478593696730105001841897703140628299926308992391196052192386\
         0435546389/212035830957993497972833688809509171897751687150944\
         21818649909934203538314239044840471501209600000000000000000*
         ep^2+6947049198962880816981906075/1078*ep^2*z5+573639940554545\
         53487565491507353145/33827743488*ep^2*z4-130787793694901336541\
         45856372677288721597598071/5794472384546491245600*ep^2*z3-
         24377395229468574161261609693253098444097264249606166615709006\
         43172511297595652731012128725050842313286753303013495545558928\
         48090498110336044943507830980703897824494789055631515376393607\
         12569919/15846406480800023018016190086942000238169765683100130\
         90567257097873784303082313240143752587478284254630874037046704\
         63970973367046904394015862213836800000000000000000000*ep^3+
         34377150758638051802071418625/2156*ep^3*z6+6902791643579167370\
         404075849337364155/419771544192*ep^3*z5-1307877936949013365414\
         5856372677288721597598071/3862981589697660830400*ep^3*z4-
         43846207056786361525709195841436314259960958266240344883403/
         14891967065136618782332172605440000*ep^3*z3+
         2506667568603122537312744325/1078*ep^3*z3^2;
Fill mncnoptab(15,10,2,4)=
      +mncF321*(-17501831252954334000000-1053588013594117006882500/7*ep
         -263092218503533946855072550/539*ep^2-
         6587743503075514231005731455/7546*ep^3)
      +782583072037994190714409485439197087430192521576237133/
      9091554984820890587504378880000-651896873671016544675/1078*ep^-3-
         1336768096812211351573493791673/177595653312*ep^-2-43989397315\
         6863468374081616999646329683/13506928635306506400*ep^-1+
         11286081960594332146089900/49*z3-
         19024631680811524200823572432806502357123467036568692558356000\
         565222178092725946203422060425824951352010200956197377602192313
       /235037595312914902024190230136069681315378723056899453199067672\
         23902876399557620531200000000000000000*ep+
         16929122940891498219134850/49*ep*z4+71052165640576633202923300\
         72725073/1812200544*ep*z3+423463253488686147910414219944816459\
         38894559572524031016035537412422686588043490656851977617411787\
         645478776930413270098249626228695629679/
         12081072774817551411842781972560549926955492612436220181516702\
         589855187884823855782934270181376000000000000000000*ep^2+
         12041628618080355698227081050/539*ep^2*z5+71052165640576633202\
         92330072725073/1208133696*ep^2*z4-5793504485735416142460317646\
         32955726243855739/74288107494185785200*ep^2*z3+
         77264702755283633778586760818250538774112332876603509775754159\
         64718685224791665884800505085833586434978237167551313633445389\
         85712379254516767525035508422430379900194494819173043502115165\
         316559239/3124130689459195714489405122839208686661226782192075\
         44050254271593682659017606792289370340086481592480075809693490\
         942295714956172435592981640118272000000000000000000000*ep^3+
         29793704291284545111550230375/539*ep^3*z6+15379081949758486199\
         9604096929992643/2690843232*ep^3*z5-57935044857354161424603176\
         4632955726243855739/49525404996123856800*ep^3*z4-3264890105153\
         14282831568312204078262698379103717514881457/
         31820442446873117056265326080000*ep^3*z3+
         4344810775904454800312965350/539*ep^3*z3^2;
Fill mncnoptab(15,10,3,3)=
      +mncF321*(-19689560159573625750000-1187666813014977046050000/7*ep
         -297539912277049838177726100/539*ep^2-
         3740493426283746188088676593/3773*ep^3)
      +1173546830137270052665158443973962580927015685639945087/
      12122073313094520783339171840000-8152487202107754163125/4312*
         ep^-3-893404933584979715938603319585/39465700736*ep^-2-
         2928745180081010478789462952632778852241/32016423431837644800*
         ep^-1+12698142966242196892565175/49*z3-
         76255413509586168305091779012755385606547522858105451532753708\
         259595927481149413473097176531540627089724938256049328590239651
       /877895754434770812498883373617104264217261942012751268514587220\
         21491327337517128089600000000000000000*ep+
         38094428898726590677695525/98*ep*z4+73221295145445999173666057\
         9790071/165822272*ep*z3+10062606465938434813799185807452383641\
         05522351956449663694995943228336490756036584188535573769144275\
         2324243210137240832587015519131288573/
         28202728812144227762775517960635178280659286906697349020824625\
         57452165073000406288271973285888000000000000000000*ep^2+
         27093969086834626210303111575/1078*ep^2*z5+2196638854363379975\
         209981739370213/331644544*ep^2*z4-4594120845516228882628571535\
         809383883080018607/528270986625321139200*ep^2*z3+
         13646056275982868620372009047900582870858941012770982502057806\
         99685709604876120419146118517846746461380002126395038463786495\
         34228881472828865491403357359389570411127674840335307041601733\
         7324270099/247966916227333693522660752286407225949138000041103\
         90028320967550061995113047309035582795118873151762279417801934\
         5448250874991027100394339636242022400000000000000000000*ep^3+
         134073049707886489393333388625/2156*ep^3*z6+116127701179324644\
         407510046728039073/1793895488*ep^3*z5-459412084551622888262857\
         1535809383883080018607/352180657750214092800*ep^3*z4-
         496400816305959933448552731229355709409705013032464838109/
         42427256595830822741687101440000*ep^3*z3+
         9775510161721225880349821625/1078*ep^3*z3^2;
Fill mncnoptab(15,10,4,2)=
      +mncF321*(-8493535755110191500000-514034018391005296470000/7*ep-
         11770381303898037201231300/49*ep^2-
         1936765944512735936830675300/4459*ep^3)
      +15252987520746250757542644097285161611251763564898449891/3653152\
      09390075785425175951360000-2364063427476271828575/3332*ep^-3-
         948823010012872300914046823311/108122973504*ep^-2-119579281731\
         9371813518188584398835198268157/31840333102962537753600*ep^-1+
         93117812218138240081190550/833*z3-
         85763836966769712953836337073430955585191409380652005621318702\
         74603171645932347009857335858776825224463025829933851515538292\
         679/2334242508315077330670859120131603635028929135504841927548\
         8641759995592457852015135948800000000000000000*ep+
         139676718327207360121785825/833*ep*z4+162089891463187611365566\
         938393394747/84953764896*ep*z3+
         42676121846895665199597038686790744940464268127629075274599505\
         32522478231545031814760611704173782183226507856403411024123987\
         586062950087/2848562655485863745484039584141315460600540629696\
         514650328660098537719197961058511842602647552000000000000000000
         *ep^2+9031302640225285605848515725/833*ep^2*z5+162089891463187\
         611365566938393394747/56635843264*ep^2*z4-53506477323992250945\
         33644935196826296247211081/1447287868316478988800*ep^2*z3+
         62961814237386710692919866133778922376561180649867839008475639\
         49991976823117527036137176679052769991110341288938476014789121\
         25720779556744123359388514709125713374583691647079990954069187\
         29808878012323/15823698800402015485031692581216719114911805050\
         12299401669767142997768640645222716969421592016991588270158197\
         75820055983192739586556277892909622393569280000000000000000000\
         000*ep^3+44690924140035736828836625875/1666*ep^3*z6+5597083617\
         410648116289957587351986421/198225451424*ep^3*z5-5350647732399\
         225094533644935196826296247211081/964858578877652659200*ep^3*
         z4-6595535960091110906456751692803459365515593420403964530569/
         1278603232865265248988115829760000*ep^3*z3+
         3258523990704043434324003075/833*ep^3*z3^2;
Fill mncnoptab(15,10,5,1)=
      +mncF321*(-1179657743765304375000-71734342620955572236250/7*ep-
         3310498192725348711893925/98*ep^2-
         27226873039023322052703308122/441441*ep^3)
      +228862731996845516112947838490139309700804398796476850293/
      39454042614128184825919002746880000-10542228035993192775/13328*
         ep^-3-3365975289442190562234021705245/42816697507584*ep^-2-
         2967575202745928518459602049536598783243811/
         3438755975119954077388800*ep^-1+25862457312922058790180825/
         1666*z3-383430994706772555897466883185414382016767669530823849\
         26213727878001030788002741003316223303929405733948962561201192\
         229700875884111/7111036377331051580155705223568917313752129718\
         40195044808485982576505728636003789101544243200000000000000000
         *ep+77587371938766176370542475/3332*ep*z4+81233145473836551742\
         6831706338356055/3058335536256*ep*z3+
         19494526784398577273275492237777857071667695948501727245492399\
         04465036250789880198792080127498998481677706741238031908119675\
         6600485335224467/836793765675527333873391468237352829706014815\
         37964814368054719054644039159304054843888295374487552000000000\
         000000000*ep^2+5017313876241779485685119425/3332*ep^2*z5+
         812331454738365517426831706338356055/2038890357504*ep^2*z4-
         864291387431565810735501247794624943316515616189/
         1719377987559977038694400*ep^2*z3+
         23905224884638334630063985594820643497102123409614824778617987\
         15714252821030122271868369100875878000777488332021996525719389\
         52710727995562615056019421879838383528619613133928952398441317\
         7270192587143466833827/
         85555819245102276338020692097963092196115787621863858750476491\
         96681297659752699998672582143097596334081079647204143337647117\
         80623575533125214859168674098110791680000000000000000000000*
         ep^3+24827944808079676840523788875/6664*ep^3*z6+28426896623998\
         063387333127795400587345/7136116251264*ep^3*z5-864291387431565\
         810735501247794624943316515616189/1146251991706651359129600*
         ep^3*z4-101957372248246438167237668993412856592504481621219242\
         828671/138089149149448646890716509614080000*ep^3*z3+
         1810370643776781315328850175/3332*ep^3*z3^2;
Fill mncnoptab(15,11,1,4)=
      +mncF321*(-336573677941429500000-20708072523067317453000/7*ep-
         5353524049268890051292790/539*ep^2-
         27281724134512448248773761359/1471470*ep^3)
      +17608939770762513189362814828347006782768161524044009001/1063711\
      9332240441987380123289600000-202253530855283370/539*ep^-3-
         72001889202945673937245914371/4617486986112*ep^-2-639399954674\
         6006515971706161753434934161/42141617342156299968000*ep^-1+
         217027965782916441694530/49*z3-3827128713518647519847259268500\
         27366766278102165074043516849645250590598855334608087096666768\
         77255510685141812810846892457/29846043849259035177674949858548\
         53096068301245166977183480224409384492241213666099200000000000\
         000000*ep+325541948674374662541795/49*ep*z4+193417963740759584\
         6947856160925663/25370807616*ep*z3+
         39156878001330828340373551197005424567870434504240732701102048\
         30999635573284533320505906300381021038139940436621362379585488\
         908916297/9588152995886945564954588867111547561075787787647793\
         7948545258649644348292252823674081509376000000000000000000*
         ep^2+231568366300142760478488510/539*ep^2*z5+19341796374075958\
         46947856160925663/16913871744*ep^2*z4-314597486047924582641047\
         39852361481118395258339/231778895381859649824000*ep^2*z3+
         21906398180951906687702416122871380402364648273082751655296913\
         98268118889950495514929043280646502649071736632298961636447269\
         68942755180461091337862283214576464142399296519074231284642720\
         1099117/421509696196875612272380056256083711692387740454486368\
         95669227119782580978565995785073776043414183112391180672931317\
         611326621070884167307046682624000000000000000000000*ep^3+
         572952646691326699049621700/539*ep^3*z6+2753100305543815002864\
         3746169205177/23320641344*ep^3*z5-3145974860479245826410473985\
         2361481118395258339/154519263587906433216000*ep^3*z4-
         8432427924404968833668800951920430419576966230266675446397/
         37229917662841546955830431513600000*ep^3*z3+
         83555508800737329842920410/539*ep^3*z3^2;
Fill mncnoptab(15,11,2,3)=
      +mncF321*(-875091562647716700000-53890096346121449583000/7*ep-
         13951955265827387691992850/539*ep^2-
         1826324562810186993450730809/37730*ep^3)
      +43451162508108192567373528855480647542917049841795757/
      10101727760912100652782643200000-39115692618643197960/539*ep^-3-
         1609679474346265370842783036939/1775956533120*ep^-2-4271411277\
         547635911310069183311874282119/1080554290824520512000*ep^-1+
         564349423810797831958050/49*z3-5362933243357275474463256896568\
         04594504339766636979245418348756095829797982142164847542409668\
         244341794535958210893715569753/1254136792049672589284119105167\
         29180602465991716107324073512460030701896196453040128000000000\
         00000000*ep+846524135716196747937075/49*ep*z4+2515845207161058\
         9504165128515964363/126854038080*ep*z3+
         83001001904330568234069266630581202101569049767246563032300746\
         05844673889074012544370112215988277192503359476880197352172272\
         0354221369/402896125887774682325364542294788261152275527238533\
         557440351793921737867571486612610281897984000000000000000000*
         ep^2+602086746450828778535956950/539*ep^2*z5+25158452071610589\
         504165128515964363/84569358720*ep^2*z4-94455798672804036964083\
         98092509701834955257/26891622622329696000*ep^2*z3-
         41587612621345291691140789670818672565385975690184155849670603\
         57738168646449217201225644704882870140773191332103000922472339\
         81572757894920659851857998947837143713235740198862195987601495\
         4562327/770083590768117060629381218280767782450739130562434472\
         92922259472242220847973009427275761238736496156147260254455108\
         15244564938729825911168827392000000000000000000000*ep^3+
         1489697256972275005961046000/539*ep^3*z6+828394085150865048231\
         55473428978179/26908432320*ep^3*z5-944557986728040369640839809\
         2509701834955257/17927748414886464000*ep^3*z4-1230895870148472\
         714494576047237087699899478382196422209/
         2079767480187785428514073600000*ep^3*z3+
         217235081722636846735218690/539*ep^3*z3^2;
Fill mncnoptab(15,11,3,2)=
      +mncF321*(-656318671985787525000-40503422914791251541750/7*ep-
         10521580675883475396666735/539*ep^2-
         17980321163689787393091690351/490490*ep^3)
      +1693997100787966621412700768022037871650722797881885933/52528984\
      3567429233944697446400000-680716797347735540685/8624*ep^-3-
         15067040176008807377508095848277/15391623287040*ep^-2-
         158095470991918005175812573427378046172697/
         37459215415250044416000*ep^-1+423288857451423633532830/49*z3-
         28058070702935996993499741141235704891036158959749041322394311\
         27988725560510736648053260240563726517240869426902699658185030\
         687/8238502970523802343544208659288012829513867537075912685466\
         5794447043267498301229891584000000000000000000*ep+
         634933286177135450299245/49*ep*z4+1637146837237535687484205225\
         60355143/1099401663360*ep*z3+267357985513545845034508649048422\
         30225563763601047022083049411438225054869239826014976895648796\
         52671727073543060724517342280502428843153/
         15660649893282011089425828482948861016423786719824729864929058\
         912775243554401294533433313198080000000000000000000*ep^2+
         1806272717116941384813682965/2156*ep^2*z5+16371468372375356874\
         8420522560355143/732934442240*ep^2*z4-536986981285147416748360\
         48632495317316113382437/206025684783875244288000*ep^2*z3-
         41252971472642882484342156598783652552241975357661625102138779\
         74019468497454902341491164256894867522344624624358124177821448\
         07266643124004301842790628146915647855311490154132642000919693\
         258435212317/1163507264735442315075859748618876405508220959567\
         86720711012289926306517694501670365398646471837616784570455717\
         5147470464652496959972631565511929364480000000000000000000000*
         ep^3+8938240036945393724691192225/4312*ep^3*z6+542123459282188\
         066539912554800331699/233206413440*ep^3*z5-5369869812851474167\
         4836048632495317316113382437/137350456522583496192000*ep^3*z4-
         165101299167116346030029181776525548725838530968177549459/
         367702890497200463761288212480000*ep^3*z3+
         651692147521266713315198835/2156*ep^3*z3^2;
Fill mncnoptab(15,11,4,1)=
      +mncF321*(-141558929251836525000-8765791042252372449750/7*ep-
         208127513896472584883025/49*ep^2-11816586617759807767166806597/
         1471470*ep^3)
      +45754099676154824838797982484859301556906261190537979391/6575673\
      7690213641376531671244800000-6291400681468473615/13328*ep^-3-
         1400256731272513542476618034901/71361162512640*ep^-2-108406162\
         9227341694693120405410905462168057/5731259958533256795648000*
         ep^-1+1551754142995792934254950/833*z3-
         13324222133222571916226730046844506133493003408372513537888911\
         41962537750283515522128488614045249695032793476013843001957090\
         957653/2091481287450309288281089771637916856985920505412338367\
         08378230169560508422354055618101248000000000000000000*ep+
         2327631214493689401382425/833*ep*z4+23425467719051447748479078\
         400925601/728175127680*ep*z3+199145512898727712429954337453302\
         64202697018735538276782573776848507404230218522471217567905306\
         18314700948710039725774798349711320224255003/
         73834744030193588282946306020942896738766013121733659736518869\
         754097681611150636626960260624547840000000000000000000*ep^2+
         602077953393811974371869575/3332*ep^2*z5+234254677190514477484\
         79078400925601/485450085120*ep^2*z4-15838916853169054888311615\
         1007747397113437167151/2865629979266628397824000*ep^2*z3+
         70597649017643601905643216167968036371912594077697034572918978\
         17754944144806219907023516660298126853754893672579061991026898\
         84718505553817060137980793100329013030535397469071727731136156\
         691205081399/6950016728019708762053135565083421728902439865152\
         06011713780078493137599028489977649314581591776697593167522152\
         621422357552424850756985255132459140382720000000000000000000000
         *ep^3+2979354684109144013174248875/6664*ep^3*z6+60273645884927\
         38558063848510659695441/11893527085440*ep^3*z5-158389168531690\
         548883116151007747397113437167151/1910419986177752265216000*
         ep^3*z4-226939677801244869083575236322780012567498352414314789\
         46309/230148581915747744817860849356800000*ep^3*z3+
         217244188891099407315418065/3332*ep^3*z3^2;
Fill mncnoptab(15,12,1,3)=
      +mncF321*(-11015138550810420000-7695469790796953388600/77*ep-
         2089223750164164001923114/5929*ep^2-
         3764445363284620591724734157/5395390*ep^3)
      +3518171305826816666042081230917088506271599966615619949/65004618\
      141469367700656308992000000-37772990658120204/5929*ep^-3-
         245905470814216238600106421627/141089880131200*ep^-2-169834382\
         7201179859148204949093407164023/85844035326614685120000*ep^-1+
         78129367182212202330066/539*z3-1158535695414564100350318296305\
         07952050621177213598236276579653505252956039869829401122508627\
         141089122576403899900844417/1628749080583990375693661175541937\
         41042163625605334187108457740299612852203185766400000000000000\
         000*ep+117194050773318303495099/539*ep*z4+19660642513841279941\
         48292946602247/775219121600*ep*z3+
         25340545416471568070234079322006033803616755563460138703997390\
         46570442438603526546259225102246279890043172560102452837443326\
         73800721/57556589412539240332194934613541180164610789605504793\
         920050256274533981081640944658611699712000000000000000000*ep^2
         +83364555126571433386233462/5929*ep^2*z5+589819275415238398244\
         4878839806741/1550438243200*ep^2*z4-35279180526127807704506161\
         9295570507066090273/94428438859276153632000*ep^2*z3+
         39891843061092379638822177550196511811311043552406387071515544\
         56175942651305157985362057394053870018250733714441479112823352\
         59256089330775478190894055941314717519421056504303388259900794\
         214494475566021/2183670206339716705907635295667398849703797581\
         36951988973773143019495857755533727883323435183077752551871253\
         69091123738807861231843387855942668274196964966400000000000000\
         0000000*ep^3+206262830218917747901506840/5929*ep^3*z6+27335583\
         8104630208577932253439118969/6413176369600*ep^3*z5-35279180526\
         1278077045061619295570507066090273/62952292572850769088000*
         ep^3*z4-198027079255146284275593137424274483852431733988530993\
         1281/227516163495142786952297081472000000*ep^3*z3+
         30080123405985110236493346/5929*ep^3*z3^2;
Fill mncnoptab(15,12,2,2)=
      +mncF321*(-19092906821404728000-13352244265027472725440/77*ep-
         18152958232769794315006968/29645*ep^2-
         3277115359444665255361305429/2697695*ep^3)
      +1692652821913229116758161812371754254860956973220009191/18056838\
      372630379916848974720000000-108636554885631082578/29645*ep^-3-
         47624728085008508229813974259811/1058174100984000*ep^-2-
         123811628585412023274594699247187975779559/
         643830264949610138400000*ep^-1+677348888904395855926092/2695*
         z3-13967375496453823530069761812352776054280983534282642123602\
         71142882205632625862324913202614176228422371376568783471667798\
         9149/329540118820952093741768346371520513180554701483036507418\
         66317778817306999320491956633600000000000000000*ep+
         1016023333356593783889138/2695*ep*z4+4750155141882087310369780\
         3589425709/10797694908000*ep*z3-
         98253908909038785527294520757494288878574022953395893303382236\
         69057281605287820745389951945305164744580202568942489277180817\
         1625755661/814353794450664576650143081113340772854036909430885\
         95297631106346431266482886731573853228630016000000000000000000
         *ep^2+722519009244402578482866444/29645*ep^2*z5+47501551418820\
         873103697803589425709/7198463272000*ep^2*z4-455550285173135265\
         8851546391577672836141125577/708213291444571152240000*ep^2*z3+
         19995478088886749941346241496939165138599197071467603779181444\
         91350767666940847570805133202384783564836533818997051703938939\
         34748296274893722266520860131056058146040205382381191294087372\
         6162793454469951559377/
         44181571479687165442076236492090976548887646622044852192095220\
         42934841584908609200316516608571597032528152412942770929092245\
         4904378311151527942367469836053774336000000000000000000000*
         ep^3+357534085733227112033839716/5929*ep^3*z6+1188272999511253\
         062453215613508867459/16032940924000*ep^3*z5-45555028517313526\
         58851546391577672836141125577/472142194296380768160000*ep^3*z4
         -957378565743681924822896333625236716462715206935118980499/
         63198934304206329708971411520000000*ep^3*z3+
         260665874577265085435951172/29645*ep^3*z3^2;
Fill mncnoptab(15,12,3,1)=
      +mncF321*(-7159840058026773000-5017975586654459524290/77*ep-
         6845080699888244319713013/29645*ep^2-
         2481746709893193766198066469/5395390*ep^3)
      +15232084990186387665455326113599573998465686479309002069/
      433364120943129118004375393280000000-31309476675873417243/474320*
         ep^-3-3554014760662948030946537556693/1410898801312000*ep^-2-
         240993698454486292123999679033748047754379/
         10301284239193762214400000*ep^-1+253923111230618600140122/2695
         *z3-1165800337644477889499918139593203300331103886064110724066\
         57976899357190972998268899022157470135968414214496455455015031\
         2170679/369084933079466344990780547936102974762221265661000888\
         3089027591227538383923895099142963200000000000000000*ep+
         380884666845927900210183/2695*ep*z4+16640937631838017772895979\
         3369545319/100778485808000*ep*z3+
         11855387407903660360008768119547939486776159052763646322126222\
         08478556018617701500127480267907150800577267058584121337350787\
         1479160901337/912076249784744325848160250846941665596521338562\
         59226733346839108003018460833139362715616065617920000000000000\
         00000*ep^2+1083740625259681067517397491/118580*ep^2*z5+
         499228128955140533186879380108635957/201556971616000*ep^2*z4-
         26978370666137754854159478694273043409263917987/
         11331412663113138435840000*ep^2*z3+
         74121289952973964949541036668045262463101459900792776678829997\
         60468198270888167099917154781603843917825002307272104884241501\
         55792954638567021744800499397082772152761827156083327921736072\
         6240896991/521251254601478157153985167381256629667682989886404\
         50878533505886985319927136748323698593619383252319487564161446\
         606676816431863806773894134934435528704000000000000000000000*
         ep^3+1072568008365533849111232123/47432*ep^3*z6+17937578158598\
         75298402354390661660601/64131763696000*ep^3*z5-269783706661377\
         54854159478694273043409263917987/7554275108742092290560000*
         ep^3*z4-869246854310364162161135108189824225350921467939484928\
         2391/1516774423300951913015313876480000000*ep^3*z3+
         391040665114846801436753733/118580*ep^3*z3^2;
Fill mncnoptab(15,13,1,2)=
      +mncF321*(-141219725010390000-103599344157748974450/77*ep-
         785695767425260854181623/154154*ep^2-
         355182864752380724028269191/32372340*ep^3)
      +1169176223024772430784871190026317726276195899776635693/16901200\
      71678203560217064033792000000-7672353998095952541/308308*ep^-3-
         1253596058282332175853358183359/3668336883411200*ep^-2-
         34774032779780644973043887481783726018119/
         20087504266427836318080000*ep^-1+13025643139053302334201/7007*
         z3-51230549237701338600450592685699354359440308865029847263885\
         94312489099493688523952259589436354867575141632376817969/
         59416101664160873399028966352677818798544383830517318256401675\
         6705220353700397056000000000000000*ep+39076929417159907002603/
         14014*ep*z4+2017555539048328900356522321150557/60467091484800*
         ep*z3+10926177986346153898473898799126168220528473030712646261\
         30247387195000778577618568064705057619756379728292706714331983\
         7524817/209754334593801896254354717979377478734004335297029132\
         361699184673957657003064667123220480000000000000000*ep^2+
         13894559774023701024259632/77077*ep^2*z5+201755553904832890035\
         6522321150557/40311394323200*ep^2*z4-7320970129166391278738832\
         03212401189000018589/22096254693070619949888000*ep^2*z3-
         71100907248065377518682360842814783576643260059013951078449704\
         75628844085255123259828533468523173071613857427056532832660839\
         59298220077132333972260058008787834710823542700153343186613277\
         72418571/88265260757131406225561605314160787921206132097869111\
         94315551883031236265204738280093631983486946298523825337158772\
         9511264745213228686285256418203690598400000000000000000*ep^3+
         68756388497470573492917105/154154*ep^3*z6+31435525993778456095\
         8504815964253339/500227756828800*ep^3*z5-732097012916639127873\
         883203212401189000018589/14730836462047079966592000*ep^3*z4-
         88039666106358708816812793949919748173431507955658633833/
         657268916763745828973302679808000000*ep^3*z3+
         5012837250655756929348996/77077*ep^3*z3^2;
Fill mncnoptab(15,13,2,1)=
      +mncF321*(-122390428342338000-89879175435306987990/77*ep-
         262574355640632632243181/59290*ep^2-23784712582971369096269233/
         2490180*ep^3)
      +500674594248408551653116212037188959401795105470731777/835773661\
      818891870437009687040000000-3101948315743853727/118580*ep^-3-
         4504451339199951165483210305597/12698089211808000*ep^-2-
         41311759958576038834678081832033122240279/
         23177889538185964982400000*ep^-1+4342079045261714429907/2695*
         z3-22331090509121494935950616385495205999010447548000809439598\
         093215779885317784930232328401579947808287844544678748396687229
       /447375676459959206049430967195276333045116685649698046435033647\
         4215198041119872847446016000000000000000*ep+
         13026237135785143289721/5390*ep*z4+262435407836945333365141399\
         54179001/907006372272000*ep*z3+2997913459525230257688128316845\
         45840913237076533640516872634860674410821985487657413961509527\
         70173690499519447358293902693037065077/
         15793528134800767547154290057955699837169200667750515451661790\
         32173212440880227521432305040097280000000000000000*ep^2+
         4631546060532247973907024/29645*ep^2*z5+2624354078369453333651\
         4139954179001/604670914848000*ep^2*z4-724729693678863458652742\
         612969017716270663437/25495678492004561480640000*ep^2*z3+
         58599040507709298368746496105497301598539549546807884545759527\
         93137461518406905958447530840920598051337091152793920847682426\
         96115395405952059196147602440780882495120998632760901724171989\
         9863778059945049/239919321489695152946062472102506151441232311\
         35364962160071101517997685212594629354446053825940308734213482\
         19391953183313122399655937381319335537045634733586776064000000\
         00000000000*ep^3+4583783191034369115178047/11858*ep^3*z6+
         9553106746938879438616128613960763/17490481008000*ep^3*z5-
         724729693678863458652742612969017716270663437/
         16997118994669707653760000*ep^3*z4-238327090700939747438101728\
         8505067470632458719960149191571/204764547145628508257067373324\
         80000000*ep^3*z3+1670928326314663065151212/29645*ep^3*z3^2;
Fill mncnoptab(15,14,1,1)=
      +mncF321*(-402335398890000-4222845440173639350/1001*ep-
         36427208649325902640069/2004002*ep^2-
         56837829001586140342625831/1262521260*ep^3)
      +3440228147917757259681745848647596052015393171101300999/
      1779696435477148348908568427582976000000-8520817342379418229/
         12024012*ep^-3-27226047818252444929785266850877/
         3862758738231993600*ep^-2-201681989461893670985262848774599255\
         176919/7050713997516170547646080000*ep^-1+
         1446462499919997842129/273273*z3-37057586933430915781693937011\
         9704662570230005358535836554737775227540421379/251792805563846\
         43196986951317209288186557248412057600000000*ep+
         1446462499919997842129/182182*ep*z4+21244024113802296767705003\
         89263197/21223949111164800*ep*z3+23062838945791793482792015324\
         1581705262840759738652964127661071478662989971501479761753/
         47185470896415993747831072304014604134447676527410529750220800\
         00000000*ep^2+514643113513964119912176/1002001*ep^2*z5+2124402\
         411380229676770500389263197/14149299407443200*ep^2*z4-
         28110666091872766922093038448492486000686669/
         7755785397267787602410688000*ep^2*z3+
         31236816934392332655821061179887862648793318584382480826339469\
         90818701720951645599167710222932640011537489620111410245146989\
         61336594479276343/33254863575406852690718601097081137559475170\
         15760550212705024980216713403710505303450261089905167995387248\
         64000000000000000*ep^3+7640091265213861917365545/6012006*ep^3*
         z6+133594797379566269695283866647988873/58526647548969600*ep^3
         *z5-28110666091872766922093038448492486000686669/
         5170523598178525068273792000*ep^3*z4-2962193981646614089574650\
         797471054956792040273437031325331/6228937524170019221179989496\
         540416000000*ep^3*z3+557493040500508107913924/3006003*ep^3*
         z3^2;
Fill mncnoptab(16,1,1,13)=
      +mncF321*(-5253377954674656456000-3339412037628213346859397/77*ep
         -15934165916511678644021375494/121275*ep^2-1293368645966828098\
         0999215018435718/60091156125*ep^3)
      +17862527525777626563830773279169189933604729518158177584578209/
      691080346616496215367602384971200000000+8094916411255593371/
         10672200*ep^-3+1146393465264992678030593158823/
         285707007265680000*ep^-2-5366014180971886760868013731622725129\
         5203/4302395745525769749858000000*ep^-1+
         10247043689366191617558871743/148225*z3-
         98633984574270303279446069045218551467114436504643126160759531\
         6299428172086760457386075336465209339833519/
         39262254311201076330203334656912656443314638611133317692336268\
         90240000000000000000*ep+30741131068098574852676615229/296450*
         ep*z4+61766665261925862185709568249001568210749/
         53570063862315000*ep*z3+14425700027878722257251156265469448069\
         41891965172589705292296857154456038277772846479112721177367567\
         138804789973002067/1261314575561623862245554664154079820597879\
         925870958594711130833772055887872000000000000000000*ep^2+
         2555905470867531215840100428129/381150*ep^2*z5+617666652619258\
         62185709568249001568210749/35713375908210000*ep^2*z4-
         346802157751246362417830397927108381533882698631059/
         126541051338993227937000000*ep^2*z3-
         26923194827250034849369286382931195362779246845779886227392956\
         59353338423269179276532655909323094706699527109127544605732079\
         1004681996341635633934817263/192807832938011169412183457123720\
         04085293481197607500280675379527966734332513935936784753902199\
         922229248000000000000000000000000*ep^3+
         17706891509664127061764643305529/1067220*ep^3*z6+2446990386499\
         24080611602778564780627714759/16483096573020000*ep^3*z5-
         346802157751246362417830397927108381533882698631059/
         84360700892662151958000000*ep^3*z4-192942576250563458446196237\
         95970263295506701623860716907016203/88600044438012335303538767\
         30400000000*ep^3*z3+6455637532705272161875657970393/2668050*
         ep^3*z3^2;
Fill mncnoptab(16,2,1,12)=
      +mncF321*(-47280401592071908104000-29981656703189546206060248/77*
         ep-15831491111214275967714138744/13475*ep^2-426225421251231717\
         7261508385587896/2225598375*ep^3)
      +11908351775037817580574326621209571786294026185272835874070831/
      51191136786407127064266843331200000000-3187515794954920488/148225
         *ep^-3-2402916006024189038875817101951/15872611514760000*ep^-2
         +454545706327892769223395898738963425887/
         79673995287514254627000000*ep^-1+92223393405865967440879242012/
         148225*z3-4045021968293950225110640780059579134884230921914712\
         57113577994833424440513928882648436021355055546223474381143/
         17855737093465914494795285289439059038111185490869474136767803\
         7917696000000000000000000*ep+138335090108798951161318863018/
         148225*ep*z4+82256471445946827442855578392566607804057/
         7936305757380000*ep*z3+118655720199649732195009851503603564300\
         51000106382426546424243937870708260392990598655869645732333329\
         7016188851800217925183/114724443863426950420372231421464522682\
         25591600750037768019429389927955835125760000000000000000000*
         ep^2+1277952735791312824053243418452/21175*ep^2*z5+82256471445\
         946827442855578392566607804057/5290870504920000*ep^2*z4-
         116563503347699942108690497810653148395032258047303/
         4686705605147897331000000*ep^2*z3-
         85741107091660119444455841237605870836522013654486709392232492\
         00844218190769823702120522611892062820645896645216576249984771\
         925077923327302448794587282136530227/
         33209379006656261816199434880195059882292940355136463894843821\
         72863978844195935071536854254632172030952000716800000000000000\
         00000000000*ep^3+4426722878566661900465912343576/29645*ep^3*z6
         +8980782207113734587360079945448575458267/67831673140000*ep^3*
         z5-116563503347699942108690497810653148395032258047303/
         3124470403431931554000000*ep^3*z4-3752303155825734359445653666\
         6600599983135794283327890670947281/196888987640027411785641705\
         1200000000*ep^3*z3+3227818763715425438149453765284/148225*ep^3
         *z3^2;
Fill mncnoptab(16,2,2,11)=
      +mncF321*(-390063313134593241858000-22451094486196957834309836/7*
         ep-11824422895825312841552032308/1225*ep^2-1057799099477182375\
         223761243216839/67442375*ep^3)
      +1323150175392389482713436719880312143945069708657749750345909/
      689442919682250869552415398400000000-6130212084337278753/107800*
         ep^-3-948138146113050813710828580013/961976455440000*ep^-2-
         171271427345404654223797768475274001185743/
         25753210597984405536000000*ep^-1+69167544980622114150086721984/
         13475*z3-32484320690641831591542549646578846721062325038652328\
         85609784365127740365845022934315084661729995402302149772608531/
         17364124591671788017795726785366191438620332072159821082612638\
         2847754240000000000000000000*ep+103751317470933171225130082976/
         13475*ep*z4+41096454091471938051709258503175015282541/
         480988227720000*ep*z3+4868859843890272061241063189825332083462\
         36508926559968012066024495865716258813823303483741931585113236\
         7430960612203159508193/569213249171309968690529597723248307609\
         81466940376545724178032912656064996966400000000000000000000*
         ep^2+1916929103489582270503425544503/3850*ep^2*z5+410964540914\
         71938051709258503175015282541/320658818480000*ep^2*z4-
         156239858848641003616778453403008062107524307254929/
         757447370528953104000000*ep^2*z3-
         53588325520578152401706854934912495848896207231317229629536736\
         23998581040191961579704982432704197407069019001044792269010250\
         7374693486279885998234559600397292940791/
         16147521428691044706474114830058481064844775154497522184713671\
         24052303479567478039978439263551019751153803984896000000000000\
         00000000000000*ep^3+13280168634465831665223805367553/10780*
         ep^3*z6+13392126717326394079029395427051124210313/
         12333031480000*ep^3*z5-156239858848641003616778453403008062107\
         524307254929/504964913685968736000000*ep^3*z4-4092318914943858\
         517475499184574871697435225650062031730828309/2651703537239426\
         4213554438400000000*ep^3*z3+4841728147751546226249156306951/
         26950*ep^3*z3^2;
Fill mncnoptab(16,3,1,11)=
      +mncF321*(-168262605665902967076000-9694430052605332067554092/7*
         ep-5114563712901862673367019626/1225*ep^2-
         9620647786651285958877138032068/1414875*ep^3)
      +53883944016367376294196352740453384612175848263388203171911/
      65087268641331375796906348800000000+22494884059443393/1225*ep^-3+
         2599186994915510903894526769/20181324240000*ep^-2-856588248514\
         6279016898635326396829/26963525356614000000*ep^-1+
         2712452743131052596600820518/1225*z3-
         19602690906131817514644378530608765889624229436303316543148960\
         756014919222410060622671390615815418201588967670578049/
         24309774428340503224914017499512668014068464901023749515657693\
         59868559360000000000000000000*ep+4068679114696578894901230777/
         1225*ep*z4+372096558912210628676886883309560260017/
         10090662120000*ep*z3+31960689895599906610904805677212922744823\
         34708161643919051134520514815653880440600840927643047856462208\
         08556702967630243920997/86773397540337475227045178675144075337\
         85174738021846748174695684018235686204211200000000000000000000
         *ep^2+37586845164632169008418792678/175*ep^2*z5+37209655891221\
         0628676886883309560260017/6727108080000*ep^2*z4-89833153677460\
         23847527376479714126475530347296831/101301964764798798000000*
         ep^2*z3-256142749406552040670226355546371485891342160158030763\
         39496432900524003961427281116779710756589553133313687329012938\
         4788200311372642686876100742337581044039264386443/
         30142040000223283452085014349442497987710246955062041411465519\
         64897633161859292341293086625295236868820434105139200000000000\
         000000000000000*ep^3+130197731704647065231165364114/245*ep^3*
         z6+527153205642665407781033907428447387351/1121184680000*ep^3*
         z5-8983315367746023847527376479714126475530347296831/
         67534643176532532000000*ep^3*z4-219049624865345855422752031820\
         1120279398993970304713006189893/325436343206656878984531744000\
         00000*ep^3*z3+94935846047935344434611138926/1225*ep^3*z3^2;
Fill mncnoptab(16,3,2,10)=
      +mncF321*(-1261969542494272253070000-72649102115478525398215740/7
         *ep-7655401405803321907726986594/245*ep^2-
         4792387197938716710540899338109/94325*ep^3)
      +5987104506441638422489137601905325865873620243387898818009/
      964255831723427789583797760000000-10231075924147554489/1960*ep^-3
         -88416479744842707067127055313/1345421616000*ep^-2-32312959128\
         403693537582694519526499815329/108055429082452051200000*ep^-1+
         4068679146114467452685419692/245*z3-
         10617055282568738871245525960988068737721548028854323930741077\
         6144966570696110024290487725018972780323093753615452345123/
         17520540625993567484260030692248770091099424023465836750924812\
         93044468101939200000000000000000*ep+
         6103018719171701179028129538/245*ep*z4+16906682772726200116466\
         735513145679531/61155528000*ep*z3+
         15582621429918272556642620144511833716162500382664431898359328\
         07957565118197111983821245670089007413386805251320827702659054\
         751243/5628539076774482263107240105727485417974686023468394849\
         510020006047060541384989186457600000000000000000*ep^2+
         112760535586863506103831076839/70*ep^2*z5+16906682772726200116\
         466735513145679531/40770352000*ep^2*z4-36031561382140519499435\
         946608683482112791228990479/54027714541226025600000*ep^2*z3+
         22225649842369595646955418673473679567693624502577644965367578\
         94395273719429957362180873024930977452208347787880344078680843\
         820828781847450688855247132782670343245317307/
         40732445754301734092975084141119119655692242222723089661383929\
         97764416573278554705406412611092718342680493627979857920000000\
         000000000000000000*ep^3+781186390815815607821446698489/196*
         ep^3*z6+788312248871799235197638166256629106769/224236936000*
         ep^3*z5-36031561382140519499435946608683482112791228990479/
         36018476360817350400000*ep^3*z4-240990941892621832233627060746\
         369225590812140787579877445317/4821279158617138947918988800000\
         00*ep^3*z3+284807537412509865404208792663/490*ep^3*z3^2;
Fill mncnoptab(16,3,3,9)=
      +mncF321*(-3674558373733322148645000-211714240123473882954935490/
         7*ep-22342370713776761413133634669/245*ep^2-
         28030855893896903843461723167393/188650*ep^3)
      +5066008864714139169439816447563555325139564738039577956543/
      280211096398261067058539520000000-11463296756662786873851/66640*
         ep^-3-32997576325021190867397452404689/15248111648000*ep^-2-
         3901082333300976909735214058012978840705579/
         408209398755929971200000*ep^-1+201399631909688687546158324614/
         4165*z3-880562256072157251177622269603427267118735393818141607\
         22959969987029166782963428437526743380734722474180810673493699\
         780667/5007928778576174315606835345427014707990911205296349105\
         40837392520999642071040000000000000000000*ep+
         302099447864533031319237486921/4165*ep*z4+61396651846385616451\
         43086732612939270473/7624055824000*ep*z3+
         19401757049885340453960458313121209909333313747736101421859535\
         68576021347328670201861978100731828869245403868332749201782599\
         6495593437/241322372057121100204827172787010882735387331976219\
         89204865711877778490610417828416716800000000000000000000*ep^2+
         11163293109664948286662183025301/2380*ep^2*z5+1841899555391568\
         4935429260197838817811419/15248111648000*ep^2*z4-3952084505035\
         66820553485924725533203820227628261029/
         204104699377964985600000*ep^2*z3-
         18835633433233982095705535834537368380856608922352356099103526\
         30734596932501071465040381949862017919149718315752457341101677\
         97120830574494010564356134170787680462753932153/
         82183276795275456441558194457566618846758245331208491309741121\
         50692226736914755878280310453421639830734540935465533440000000\
         0000000000000000000*ep^3+77337453240015883256450647878651/6664
         *ep^3*z6+78289200104907977855497448347297459289571/
         7624055824000*ep^3*z5-3952084505035668205534859247255332038202\
         27628261029/136069799585309990400000*ep^3*z4-29713420520564944\
         0957169581271334031421115411550442660338463/202374680732077437\
         320056320000000*ep^3*z3+28195945586199168812906856145317/16660
         *ep^3*z3^2;
Fill mncnoptab(16,4,1,10)=
      +mncF321*(-311597417899820309400000-17977542107724323042490000/7*
         ep-1140924936599737714440442310/147*ep^2-
         19380514146929260977298573127678/1528065*ep^3)
      +2155357732179717668362758146792317805792797700177197825873/
      1405885002652757717213177134080000-11789884257925605/49*ep^-3-
         5592788285896385165985460033/2179583017920*ep^-2-1807280878898\
         924387729979304287226373/168317110686127233600*ep^-1+
         602767277630046517558948820/147*z3-
         61036744789390381760122615791405102854797810015704801578610488\
         108054963444174046455929980606731437129782764975685851629/
         40881261460651657463273404948580463545898656054753619085491230\
         17103758904524800000000000000000*ep+
         301383638815023258779474410/49*ep*z4+7447031257790582841985351\
         5778181470907/1089791508960*ep*z3+
         22354197945992269304059940634900746844832030969768675045271257\
         20005118624568132171901296006962326406863273951258035945356805\
         726501/3283314461451781320145890061674366493818566847023230328\
         8808450035274519824745770254336000000000000000000*ep^2+
         8352632260658611147386619520/21*ep^2*z5+7447031257790582841985\
         3515778181470907/726527672640*ep^2*z4-178808493490368221076165\
         2839537855013032532143913/10940612194598270184000*ep^2*z3+
         53296987563449180988521372853905590500000852485697021858103090\
         32756914506544903774866811967621789828634448655053974316961673\
         662264757820166580397753175806734599659176037/
         38016949370681618486776745198377845011979426074541550350625001\
         31246788801726651058379318437019870453168460719447867392000000\
         0000000000000000000*ep^3+48221382122483526261789489850/49*ep^3
         *z6+105980315447589775312282417698759622261/121087945440*ep^3*
         z5-1788084934903682210761652839537855013032532143913/
         7293741463065513456000*ep^3*z4-4444151484953222740935187128141\
         08056045279358052538523204383/35147125066318942930329428352000\
         00*ep^3*z3+21096854658276403166699621680/147*ep^3*z3^2;
Fill mncnoptab(16,4,2,9)=
      +mncF321*(-2103282570823787088450000-121328094970440227279767500/
         7*ep-2566009401677507180812854060/49*ep^2-
         1613992542850812656529258764079/18865*ep^3)
      +26609341970876253357051569458561589488380064870153370713/
      2571348884595807438890127360000-22988912560639373595/392*ep^-3-
         124246722683267324975431865629/161450593920*ep^-2-314407014676\
         4328277539551759415744562259/864443432659616409600*ep^-1+
         1356226434485004696343847520/49*z3-
         68365477610950017884488248629779652227480647047491915996165883\
         4109640830802728088925814302582518112225393398243662084667/
         67980933645830420573848443603081647619786124958773969756674759\
         16574655774720000000000000000000*ep+
         2034339651727507044515771280/49*ep*z4+372320747637799749563356\
         62787075782941/80725296960*ep*z3+
         29249985668803817883451703358322826613976456452824631457601948\
         66436749535507801069308469546662739236090386889790892568510378\
         3611279/636974586877770626483329641594674275696723726935723696\
         96101049451149862093863046348800000000000000000000*ep^2+
         37586845356449989884953987565/14*ep^2*z5+372320747637799749563\
         35662787075782941/53816864640*ep^2*z4-238543024153985505124398\
         2368800062975117102349649/2161108581649041024000*ep^2*z3-
         18068982706553661156603068731128987340640062096546404061823686\
         59205157727731741700096330321822218597629593744552934838624838\
         205298690278188323936018761913771210948155679/
         46828077946025901106300965502886962305845154034876633224923715\
         95836026630720658620102740999100649476202017627045888000000000\
         00000000000000000*ep^3+1301977323130899599009951089575/196*
         ep^3*z6+158870799355833838639164379665679921829/26908432320*
         ep^3*z5-2385430241539855051243982368800062975117102349649/
         1440739054432694016000*ep^3*z4-5473957206428367019981864310896\
         413316217247255133754705273/6428372211489518597225318400000*
         ep^3*z3+94935844672630941546912177885/98*ep^3*z3^2;
Fill mncnoptab(16,4,3,8)=
      +mncF321*(-5443790183308625405400000-314467168544195867819190000/
         7*ep-6666900910624651097431316520/49*ep^2-
         4207002106899224356682134803888/18865*ep^3)
      +4503109067183978908202043615413979534577850440467502177/
      168126657838956640235123712000-2997366129604175928495/1666*ep^-3-
         14985052597202708965133926120169/686165024160*ep^-2-3326149234\
         19952854122834701184040592493579/3673884588803369740800*ep^-1+
         59673993396678888146662026180/833*z3-
         78539645818506929184110191440946608104773592341978058926004298\
         7578105793169509566892500937680195532577959512484385291559821/
         30125821558622298617322368874834385352757825219360850087222249\
         39384138471833600000000000000000000*ep+
         89510990095018332219993039270/833*ep*z4+4098377335051855235927\
         87757651182431201/343082512080*ep*z3+
         73103295156503297420598602798314075026269582822800732495661170\
         94727484846404933498689182579717986815820681154750081476223422\
         219286939/6158748036874444744810693472168506903142697534809778\
         494991770218808052291200383293849600000000000000000000*ep^2+
         826910643804047004013338055230/119*ep^2*z5+4098377335051855235\
         92787757651182431201/228721674720*ep^2*z4-26112691925823123808\
         863961512139925726013583362929/9184711472008424352000*ep^2*z3-
         63601232046292080636958885760397719211824724160014252316586975\
         43416579708147308987240067545754409629701765552921673133273906\
         23910662848345010626042783297861708958878556621/
         11206032221355788800208299640099448340667348243599157825463659\
         17214179666523064108819679831617596514419949383804623257600000\
         00000000000000000000*ep^3+14321751283079125349866760901075/833
         *ep^3*z6+1756786597387485125751060586485549878569/114360837360
         *ep^3*z5-26112691925823123808863961512139925726013583362929/
         6123140981338949568000*ep^3*z4-6111835611965629585688992631063\
         3295449579229132634520167153/27320581898830454038207603200000*
         ep^3*z3+2088588249005479506520720248270/833*ep^3*z3^2;
Fill mncnoptab(16,4,4,7)=
      +mncF321*(-7056765052437107007000000-58415112220898703737610000*
         ep-3734963954414095647119582200/21*ep^2-
         4271830535737370237845223624420/14553*ep^3)
      +5195855339207159468961685868858463113423648173470385517/
      149651200933576789659835392000-29701430611943834143075/2142*ep^-3
         -86602557290592314892522603344219/529327304352*ep^-2-202364749\
         764254924169412726762541159911861/314904393326003120640*ep^-1+
         99456927173638628488263894200/1071*z3-
         43434320452066235543073166814726552653722535982230735414715033\
         25930619204258296686295147257798449152983083218293972425772874\
         41/12858038788196675463429095756246278095331407493498122010441\
         72078082551550312448000000000000000000000*ep+
         49728463586819314244131947100/357*ep*z4+4104670030181009183296\
         29905151038032483/264663652176*ep*z3+
         63349230918463717021468780169131598096560173394269823970494914\
         81605466511515583840067563121809757404764411738058478386395870\
         5498600662211/413069295719537057317676689982275575423208891036\
         41634256442433776955275208630092630589440000000000000000000000
         *ep^2+459394939676232262588495994150/51*ep^2*z5+41046700301810\
         0918329629905151038032483/176442434784*ep^2*z4-106307304986583\
         353668842519768398067649636668757/29157814196852140800*ep^2*z3
         +2836925701533704240014602957681506511605930290306291725125246\
         85588980538714179628399598908808168005261575143827288402148929\
         083043365620459310731093348511163834818783609755264291/
         16261725135834504801412479804768192822403019688174375830730368\
         30283048367398752833057423854426010835749606854017334588211200\
         0000000000000000000000000*ep^3+
         23869592015068097214675379957375/1071*ep^3*z6+1777110314135689\
         515407712213748385497867/88221217392*ep^3*z5-10630730498658335\
         3668842519768398067649636668757/19438542797901427200*ep^3*z4-
         37881379838094022764927176149087746936658434668580349101073/
         12645526478887238726256090624000*ep^3*z3+
         3480977430383669492092712337650/1071*ep^3*z3^2;
Fill mncnoptab(16,5,1,9)=
      +mncF321*(-332097248024808487650000-19227370232494194556500000/7*
         ep-818388323571729463326790965/98*ep^2-
         778478838702586477232365879714/56595*ep^3)
      +113439859650404911901334569893771128027159844153713537311/
      69426419884086800850033438720000+58046108410837755/196*ep^-3-
         333677049046982085396743207/107633729280*ep^-2-187078267359662\
         332212714811003669561/2770652027755180800*ep^-1+
         214141005604934100468107865/49*z3-
         27434564095307354810676463503169060704803452346955782622028858\
         126041928799045754772971662741762914066118018840612302485337/
         17321541892957591162216583430065203813521504639495607494000728\
         63543222291398656000000000000000000*ep+
         642423016814802301404323595/98*ep*z4+1308759418151669898230558\
         835321899351/17938954880*ep*z3+
         20041340375111233669789308047634870097353878585645043306733870\
         33287705455908907424161381295397982010202348974693666982530352\
         25634503/27823049954821020964791838744855372362432892392552411\
         08325693840026225976259937864515584000000000000000000*ep^2+
         2967382512422771302344264390/7*ep^2*z5+39262782544550096946916\
         76505965698053/35877909760*ep^2*z4-939139883910775467275562328\
         370181854804273653/5457344903154144000*ep^2*z3-
         11878163417690686497303165648892224841225382889757295048850439\
         32026344145661243448231094446860081451975011003464833033811018\
         7748099817573572613601639775010844304266145676953/
         16107922251873989462545406113683057293964616084916864296709259\
         81535676440435292152142940848870641406823970023351244554240000\
         0000000000000000000000*ep^3+102787682906772325079708714325/98*
         ep^3*z6+50859649787966903587942201663048785971/53816864640*
         ep^3*z5-939139883910775467275562328370181854804273653/
         3638229935436096000*ep^3*z4-2206105542925938819326120636251775\
         342412900032886490130707/15778731791837909284098508800000*ep^3
         *z3+7494935220283692869838999810/49*ep^3*z3^2;
Fill mncnoptab(16,5,2,8)=
      +mncF321*(-1992583488148850925900000-115408617577286431567455000/
         7*ep-2457757626340167690595250220/49*ep^2-
         1560036288231286167424077256428/18865*ep^3)
      +12604402219343544409597217520482733234511482954251678837/
      1285674442297903719445063680000-63319615805411097795/196*ep^-3-
         36939880158143391437712347341/8969477440*ep^-2-892853543575004\
         119953603227020900655599/48024635147756467200*ep^-1+
         1284846386612948669281621590/49*z3-
         50917339663158923289447831717451158071222575471521178980265109\
         89614176600518723684161467101887820860031459209029671861231913/
         53471001546619702158857319120565179946551273059627168281747726\
         246096798325145600000000000000000000*ep+
         1927269579919423003922432385/49*ep*z4+196351383668207497877860\
         4300292179189/4484738720*ep*z3+
         64163893596778995191152096084438119813774631635959518143773942\
         64582146277528880242925787075003525112147480163394323563397871\
         97536591/14835337182941677194117523393252962216687850826497672\
         31587723473295233772497974681665536000000000000000000*ep^2+
         17804295609430667428980204615/7*ep^2*z5+5890541510046224936335\
         812900876537567/8969477440*ep^2*z4-123798416887827591755105054\
         926058257867325357741/120061587869391168000*ep^2*z3+
         66814337262937647282825138379144230171247939934918787935109245\
         95419644108426377661205585930643223861519600864429446024755732\
         00563144399461541998939633436535935965865421316489/
         11114910506061027195777540110154002999488911328815566057678747\
         06468666440861025352225471362398560695012036300579914383360000\
         00000000000000000000000*ep^3+616726114397008616667899053575/98
         *ep^3*z6+25466136593839762242280428832693556823/4484738720*
         ep^3*z5-123798416887827591755105054926058257867325357741/
         80041058579594112000*ep^3*z4-270659444038976071527541324620400\
         3467093692994404470598693/3214186105744759298612659200000*ep^3
         *z3+44969607416416099847538367935/49*ep^3*z3^2;
Fill mncnoptab(16,5,3,7)=
      +mncF321*(-4512615546690044743950000-37408799004669543106012500*
         ep-799233174386015738450560830/7*ep^2-
         509453227425913692219701011962/2695*ep^3)
      +31995525814738291315909801364051962835119293071115975689/
      1441085638619628344872488960000-6839105505389231242545/952*ep^-3-
         3741437379011294916801880028751/43566033280*ep^-2-241917074534\
         552274814736780902705623109007/699787540724451379200*ep^-1+
         7066671996055757406502882545/119*z3-
         12925958494626060748432517373660633531672620472939674226759199\
         34305605344970762838281771934613177827994081043716983585445253\
         103/6000418101158448549600244686248263111154656830299123604872\
         803031051907234791424000000000000000000000*ep+
         21200015988167272219508647635/238*ep*z4+1137840002855052595751\
         745113563130541/1146474560*ep*z3+
         26899479122690151793348199048531958406179035218946007083051316\
         08625190567901857726073977344807536468949599089681996740822116\
         4486610785139/275379530479691371545117793321517050282139260690\
         94422837628289184636850139086728420392960000000000000000000000
         *ep^2+195847302993360944482326316365/34*ep^2*z5+34135200085651\
         57787255235340689391623/2292949120*ep^2*z4-4058216661573727161\
         021036164983182499638059398093/1749468851811128448000*ep^2*z3+
         32952495015412440829353565922408458915108697815428618430055356\
         99265263772794208456768955808726859080026978092039351364604296\
         13930054256188443390277141787877124751208635593982321/
         22320014892321869335272031104583794069964928983768751140218152\
         57251242857213974476745483721761191343185734897670851395584000\
         0000000000000000000000000*ep^3+6783988884807075482816392247325/
         476*ep^3*z6+282094198628860023409818819582635402253/
         21783016640*ep^3*z5-405821666157372716102103616498318249963805\
         9398093/1166312567874085632000*ep^3*z4-91059991498373866887115\
         724113967850769707832509495507829349/
         46835283255137921208355891200000*ep^3*z3+
         494665310806504995619436540085/238*ep^3*z3^2;
Fill mncnoptab(16,5,4,6)=
      +mncF321*(-5014017274100049715500000-41711822998688532439035000*
         ep-896487018388500424286793600/7*ep^2-
         115177614905347691594194797356/539*ep^3)
      +24860057352621634247731126462088218797231754433998639/
      1007752194838900940470272000-18955976861456684332725/476*ep^-3-
         18149750323922052430445604328511/39209429952*ep^-2-74140046929\
         819147324827626007462362677585/41987252443467082752*ep^-1+
         7851941173135148654926153650/119*z3-
         22438478661729995830813660762253216485577179525436475977729022\
         07620826670714899684604206287064279844189504748795733837418718\
         977/9551685956946101772833042561782949442246188423741462064899\
         564008613240088035328000000000000000000000*ep+
         11777911759702722982389230475/119*ep*z4+2165691141574612049285\
         4568068216068863/19604714976*ep*z3+
         32611059269025592045300239712596853297066147746060974740643821\
         77619711402150718518531884280979944439677397182859921471271160\
         89289707844811/30685147682022752829313125541540471317152660476\
         99092830478580794859534729783949738272358400000000000000000000\
         00*ep^2+108804183922484745193517888025/17*ep^2*z5+216569114157\
         46120492854568068216068863/13069809984*ep^2*z4-133586349130110\
         5263844033848326939812695124342527/524840655543338534400*ep^2*
         z3-41869857154808011043589509683508156575939320588286188878509\
         93086719713236351716093939012824815851609906357260053165467764\
         1907731536394838950108358915635609316549563919436000021427/
         22321995372791463112497876005302923066776815845257994152741685\
         68276730988789592398171991750485393755904739843092117664563200\
         000000000000000000000000000*ep^3+
         3768886731421290338498495312625/238*ep^3*z6+952539293816068798\
         86830901024630015367/6534904992*ep^3*z5-1335863491301105263844\
         033848326939812695124342527/349893770362225689600*ep^3*z4-
         2095562979223011764607689762333291371769363105847001542841/
         936705665102758424167117824000*ep^3*z3+
         274813143848960047632387012225/119*ep^3*z3^2;
Fill mncnoptab(16,5,5,5)=
      +mncF321*(-2968826017559239963125000-24829584052326891350906250*
         ep-538442285862025001549693250/7*ep^2-
         69981727582246143774410824410/539*ep^3)
      +10664514644449723636093866079374011599259442643107508259/
      730150056900611694735394406400-2760731092158033359210625/36176*
         ep^-3-290662396198811791188392503911355/331101852928*ep^-2-
         129217453035609704962635729342136789120237/
         39395446737080225792*ep^-1+176673920924302614944416306125/4522
         *z3-1156578327886346412749194427137156630489180695885133349433\
         84777035848369289711805469589783901440000130721295337585578497\
         09681424957/80080243441783894851801047918838330072427215608828\
         561785024813269469563384935271628800000000000000000000*ep+
         530021762772907844833248918375/9044*ep*z4+57144146002305485550\
         34254277877518025/8713206656*ep*z3+
         16781740519667313551653784739179470380798680710935272506044735\
         60067699800293645856242337619647748978823747335939639936649864\
         453110867588710167/2572607712920579571206378944687848497548573\
         73706466001086946524034400695133966592971339359846400000000000\
         0000000000*ep^2+4896204216175430614401796729125/1292*ep^2*z5+
         17143243800691645665102762833632554075/17426413312*ep^2*z4-
         436720273165480502790914897598866549192716727381/
         295465850528101693440*ep^2*z3-
         34686561187847007429315707779369159129545404334043325164721253\
         68316107610348078249147061729358457362900857898559113687090991\
         092279903929032039523740008964215862261731555240848093703/
         18123521417965717017409361215075798647762117280058931700534124\
         92513632383976979874147358934110668998451278740901570971119596\
         33920000000000000000000000000*ep^3+169600408356897045354618722\
         458125/18088*ep^3*z6+1456683139199780329062131804170357150425/
         165550926464*ep^3*z5-43672027316548050279091489759886654919271\
         6727381/196977233685401128960*ep^3*z4-601015595534749116832955\
         322919821033188333619604596609857/
         431452306350361455980005785600*ep^3*z3+
         12366476120444116304134124398125/9044*ep^3*z3^2;
Fill mncnoptab(16,6,1,8)=
      +mncF321*(-212542238735877432096000-12377711398580549256292200/7*
         ep-1330227463419284871664865304/245*ep^2-
         12818179083698147105196148683919/1414875*ep^3)
      +9864328620718320866680570159246770088342937956023500837/
      9432937484250924028537152000000-149559529110897321/245*ep^-3-
         340246640029348587544106723/14624148000*ep^-2-2754329732387946\
         955233099007366534/11763977699368125*ep^-1+
         685251224591561485819269048/245*z3-
         29292843918296791845779168282864915616640246117031258830159138\
         7224424731476862481546543348432985626372211681531697350779981/
         28987676110191930925793573816719438585154834172270706717958346\
         157870411048550400000000000000000000*ep+
         1027876836887342228728903572/245*ep*z4+11413596665467093563699\
         4526803641489/2437358000*ep*z3+
         17010181212074330311951366198031703755347567065018305104027635\
         26949479669060402315715656681131113613187732076717082077180457\
         8803174573/372495966223861677374037815634938507832053645752278\
         511409526219925216305920687121157324800000000000000000000*ep^2
         +9495624048650544681025915428/35*ep^2*z5+342407899964012806910\
         983580410924467/4874716000*ep^2*z4-131980279100143131669959264\
         1972620504092060583/12234536807342850000*ep^2*z3+
         93484868928970025939681567932629005277445674521870829868932497\
         23683593015386510575842125674187140982295996790682486896053241\
         9193495165498227432821355449056543867983528278360438635144193/
         85559883519013951342444033438772593557020424622715038853566801\
         63630902061480508037718132975466360176056814630107580131936115\
         9888896000000000000000000000000000*ep^3+
         32892058557981125640681069474/49*ep^3*z6+265814156238876317994\
         061746726736057/430122000*ep^3*z5-1319802791001431316699592641\
         972620504092060583/8156357871561900000*ep^3*z4-223817978355863\
         4689666985051413049488333152588440581191403/
         23582343710627310071342880000000*ep^3*z3+
         23983792612951680915496659972/245*ep^3*z3^2;
Fill mncnoptab(16,6,2,7)=
      +mncF321*(-1115846753363356518504000-9291193107534684777974400*ep
         -999959323870284583589419428/35*ep^2-
         3217931518093594896780651999186/67375*ep^3)
      +1644040731537429079501543693115948043477733177581411527/
      299458332833362667572608000000-56046089314757523969/70*ep^-3-
         7068287698659016236322440237/696388000*ep^-2-29784039781864856\
         801020805137097092069/657991895520960000*ep^-1+
         513939029636831006218304736/35*z3-
         10236674332015989770693885466815615261060850234689555725030817\
         56819031767454477785658385523744022896916276818562345244664927\
         87/19336385696827737014057054487654249411905032240861625938976\
         29621259693891518464000000000000000000000*ep+
         770908544455246509327457104/35*ep*z4+8563829357002269658521860\
         3629764873/348194000*ep*z3+14852399336834884927618569453675207\
         99044900495307238851637946770828852878660657717512471356928032\
         2821636648361069525536576253372406795177/
         62118860839664396343425548263319191393566963664811460211734401\
         690152690083566482012241920000000000000000000000*ep^2+
         7121718966661918192487117646/5*ep^2*z5+25691488071006808975565\
         5810889294619/696388000*ep^2*z4-157890252106171014291531394603\
         56100720654809271/27964655559640800000*ep^2*z3-
         14848375662274618570035648301044462726922565449022101945642795\
         24272212411300381259448429572462380819780859889224196278724758\
         25090594376776003045282448042152378311821251358968993124582638\
         57/28536590887974332459404074126517739658668036667167931326087\
         58631834913107385918715787039103187614006241689777505268708727\
         380959559680000000000000000000000000000*ep^3+
         24669046868498298170595759393/7*ep^3*z6+1133226452323883769047\
         855126545944411/348194000*ep^3*z5-1578902521061710142915313946\
         0356100720654809271/18643103706427200000*ep^3*z4-3761018820731\
         01767341961263012011127251650655091020187463/
         748645832083406668931520000000*ep^3*z3+
         17987837759355293208662758254/35*ep^3*z3^2;
Fill mncnoptab(16,6,3,6)=
      +mncF321*(-2166055462411221477096000-18077446283833902761967600*
         ep-1953136928169255331731549672/35*ep^2-
         6317000521056616777782695781714/67375*ep^3)
      +1391077567622655013329084861971909450840230028356138769/
      130533119440183726890624000000-15379729223390509264677/1190*ep^-3
         -1811904513732756638055068505621/11838596000*ep^-2-20188996043\
         09385737830361763384345733157/3336134347465920000*ep^-1+
         16960136935162863589040774088/595*z3-
         16462007004661461816418471635706238802202505475576240755399495\
         70052077221586614404534604322409270177145202318534196767000517\
         19/16150193647010317007205627519922861375778579460432423781231\
         14687446683106672640000000000000000000000*ep+
         25440205402744295383561161132/595*ep*z4+2829321553711425092625\
         651488778805509/5919298000*ep*z3+
         23843102663158228625714732674939814966883253441725674118339657\
         87207355574407267145839909108239951447405780366682400248845732\
         9485050060973/518830999454490989867613233794162558502581215794\
         53260418719965130475224899728618763059200000000000000000000000
         *ep^2+235016952172467866670271445118/85*ep^2*z5+84879646611342\
         75277876954466336416527/11838596000*ep^2*z4-172229446618504924\
         300503202298561004109734513781/158466381504631200000*ep^2*z3-
         70827530295477249714709353247967241839858340274785189234283199\
         70158859998736145489891231609926285091129457975600851971493116\
         24346059655456650052087125167124172283441130456016302426180584\
         21/23834416425707964752563493507031067515365215810446382551267\
         40958562040048119002404342160399865694238017435528453002209481\
         297022156800000000000000000000000000000*ep^3+
         814079264136056101551429670869/119*ep^3*z6+3771098530037775983\
         0922126392065631463/5919298000*ep^3*z5-17222944661850492430050\
         3202298561004109734513781/105644254336420800000*ep^3*z4-
         384421530301567290956397966141071833375411007956968085063/
         385666034709633738540480000000*ep^3*z3+
         593597006531256901741987049982/595*ep^3*z3^2;
Fill mncnoptab(16,6,4,5)=
      +mncF321*(-2005606909640019886200000-16803365425054379408952000*
         ep-365462891971596476748547740/7*ep^2-
         238393011618020376290668165474/2695*ep^3)
      +30911398501446635259821661895201158291616865704704197/
      3132794866564409445374976000-11364487471910687706735/238*ep^-3-
         2354655305896609527402498697807/4261894560*ep^-2-8664687919999\
         95816071236579674371464891/414893798848488960*ep^-1+
         3140859741992465505156805440/119*z3-
         17781406152360231615401742807244410165720812977766297497731264\
         81993136487785057692527715301469247247420961478146080191895399\
         9021/183249984992640491651718645123199839982670973933246136807\
         837101303134012322506342400000000000000000000*ep+
         4711289612988698257735208160/119*ep*z4+94494887409555146868063\
         9705299336723/2130947280*ep*z3+
         25756377349965952969443822577495630742650382426201602321408166\
         12563104865427328300261093162498367376895793508862419621964069\
         278659784256151/5886974171442973847154185228118646447479573769\
         02668194706971450879635457972463599476749107200000000000000000\
         0000*ep^2+43521800117687140420145539890/17*ep^2*z5+94494887409\
         5551468680639705299336723/1420631520*ep^2*z4-22637016950012669\
         29227686840941989074499121847/2281915893666689280*ep^2*z3+
         14328050100345481710057237805922341062773578321958367092195929\
         28959639082897741126836771565501506432442724731649558325457364\
         45509214375965459348554552176844700847815819765679098887553780\
         0285129/781571256858552272382019701446898681833214956842420210\
         16223171048038867799749240831060821131087802851313677108583395\
         988995120243023020032000000000000000000000000000*ep^3+
         753779352704543793589654934475/119*ep^3*z6+4249103218071687994\
         503287022296012147/710315760*ep^3*z5-2263701695001266929227686\
         840941989074499121847/1521277262444459520*ep^3*z4-
         19474282454592711162680045258818406909360961020955355789/
         20363166632668661394937344000*ep^3*z3+
         109924341807258992328986612370/119*ep^3*z3^2;
Fill mncnoptab(16,6,5,4)=
      +mncF321*(-950024325618956788200000-8004380973394811992272000*ep-
         175729588988170732793801640/7*ep^2-
         116017352885730173948982048264/2695*ep^3)
      +92725484485524138451623375778811977916265105198064441/
      19841034154907926487374848000-250008422850323949572865/4522*ep^-3
         -5732304384852389420790862702207/8997332960*ep^-2-230175373797\
         89099986487384248097967903943/9634755995481576960*ep^-1+
         28269363322218576007999268460/2261*z3-
         22193880050808310711367730731718927524752575461456369801161366\
         47151445101564095980625467505208169006947989621555745065913664\
         431/5143493896952522890678921061980722781331787563808158612674\
         5186388493296640521666560000000000000000000*ep+
         42404044983327864011998902690/2261*ep*z4+498759817757850123536\
         66475502605317/236771920*ep*z3+
         12529848941548802331133566728765447151769772814494954627021761\
         62156945681268523989413138950662910064612943821276027219454859\
         6511551655541/660946645612006609203219886975138942057933964067\
         99565496646340166940890054181140486707740672000000000000000000
         *ep^2+391698670863674174123074481010/323*ep^2*z5+1496279453273\
         55037060999426507815951/473543840*ep^2*z4-44317897149648385089\
         0778398390088091108349877/963475599548157696*ep^2*z3+
         47290779931417637671566089404357802977766880902074287195569841\
         89952810320180110199654225140726048602305151122302015471999143\
         3026909287007071893671321944689905823958226269244894321681/
         38687539754146135701367596639227145181614928762034889999378810\
         99075975492387223515438424724689649674534917175890455760509274\
         685440000000000000000000000000*ep^3+
         6784053331808751607133805246525/2261*ep^3*z6+13005493576803686\
         845601109551713829541/4498666480*ep^3*z5-443178971496483850890\
         778398390088091108349877/642317066365438464*ep^3*z4-
         61355218028257574721784962402859281589164465996023988217/
         128966722006901522167936512000*ep^3*z3+
         989301189091022988664102455330/2261*ep^3*z3^2;
Fill mncnoptab(16,6,6,3)=
      +mncF321*(-228005838148549629168000-1935772900113361012652520*ep-
         215189598918557973917241684/35*ep^2-
         144375458852223389399861266767/13475*ep^3)
      +168824925991442281575874311674057480813832045718103/
      150551747606078259210000000-228641853477818366568099/11305*ep^-3-
         6654262704431732079702777441849/28116665500*ep^-2-152950502924\
         056561691057027664127166530491/167270069365999600000*ep^-1+
         33924964282028187848735256144/11305*z3-
         11588032064396940429176731005461784772756687621320404001853040\
         40883308008493098077912946429371272017711040888599247277221111\
         67637/10787621199875091342717257107327569246713202450493644663\
         649357091879994082072077533184000000000000000000*ep+
         50887446423042281773102884216/11305*ep*z4+15020675848654202326\
         6473455596935291/2959649000*ep*z3+
         16799998261162670864090855526508311926614008191543697707595886\
         55844751896006802419730049793005123917100973472966604424013729\
         0446676078941983/346556357849228798758888294070631185285710041\
         82631905508741564360866006685075644661863758692352000000000000\
         0000000*ep^2+470041032038057936908644803364/1615*ep^2*z5+
         450620275459626069799420366790805873/5919298000*ep^2*z4-
         26880411931768794035793089297539588399884327553/
         250905104048999400000*ep^2*z3-
         12799749712114744107516389244091979028691770720026623645957731\
         76982295822512491180946643957708497703538274141459395738348305\
         0571007144176430959474896496987290100166929047526779882723877/
         79673643456893754696381396378533522184077844569436282164030581\
         60599686078236918313281781017219468335524799465040147322566835\
         986169541427200000000000000000000*ep^3+
         1628181129992188685255889183702/2261*ep^3*z6+40074290646485384\
         951472579753512707713/56233331000*ep^3*z5-26880411931768794035\
         793089297539588399884327553/167270069365999600000*ep^3*z4-
         407968313882576622506023201950200185138462955467059902947/
         3358508385596393806456680000000*ep^3*z3+
         237428485874806907535314189652/2261*ep^3*z3^2;
Fill mncnoptab(16,7,1,7)=
      +mncF321*(-82655315063952334704000-693574980878030576796900*ep-
         75617086330217908930223328/35*ep^2-
         13360635786287237492183887346119/3638250*ep^3)
      +11841890243201959546828964920251808999210050197183809/
      29118997550423020496256000000+41776892873087931/70*ep^-3-
         1051982318522421837193984823/37604952000*ep^-2-971063832819796\
         84779705018984762197/242001826958430000*ep^-1+
         38069511478225333521092236/35*z3-18823870317985950804527679865\
         35428373621083929877469571089464054259514307431811082694623882\
         63354455593997617583157642173/48320830562668230772320835870856\
         100154698123050882863654251469086039830691840000000000000000000
         *ep+57104267217338000281638354/35*ep*z4+5458313833907242314823\
         288909525609/298452000*ep*z3+542269847920109795449375628457980\
         69550617716483803919730787317129433409777535957736516929401800\
         0834769767047113037135040099103171393/
         31046494380506986927159790885457321812694858974499688568963466\
         067548199958467213000704000000000000000000000*ep^2+
         3692742676256438153290938022/35*ep^2*z5+5458313833907242314823\
         288909525609/198968000*ep^2*z4-1278851087202575675817233669151\
         934776288329933/31460237504595900000*ep^2*z3-
         13203034369948996073140634052373412166014717524035351990810476\
         71787810003363271441090682814916365031423043593838913378600410\
         37725715456877338511903559168031342258823080739331911445304448\
         192722753/1961973044092419757005595662967401824468707744457617\
         25399949088654096503575321996458129505625826740995950911076407\
         928994368238833955116154880000000000000000000000000000*ep^3+
         1827336582389106409884922893/7*ep^3*z6+46610296608349598759718\
         91247833437269/18802476000*ep^3*z5-127885108720257567581723366\
         9151934776288329933/20973491669730600000*ep^3*z4-2424131017189\
         758680751494675879300142331577689450410140303/
         60640312398755940183453120000000*ep^3*z3+
         1332432936785314010407595354/35*ep^3*z3^2;
Fill mncnoptab(16,7,2,6)=
      +mncF321*(-371948917787785506168000-3124959972123936421846800*ep-
         341403265322144427122829576/35*ep^2-
         1120031990005234585839474549462/67375*ep^3)
      +3727895106515857798394252489311999453062141241578607/
      2037131515873215425664000000-71385195212851738023/70*ep^-3-
         26757769766971674607485518837/2089164000*ep^-2-629095117446678\
         607455838569304900869311/11185862223856320000*ep^-1+
         171313591625241084967209912/35*z3-
         40236076045319675377570204614714642336315261014220422141974782\
         92318229456285788482677009742129234902871563836801251440011/
         22959458966180080410824958564368761038416505835580308022853402\
         7090101534720000000000000000000000*ep+
         256970387437861627450814868/35*ep*z4+1228885253296702258209707\
         2813337539/149226000*ep*z3+10994983244379338815698894543113159\
         25256598988856468111833395522919759396153502521391348479706028\
         7353184836839131086824488253660424363/
         14014042602312181599065183385796707762674762731544998312379342\
         3221571735923636725350400000000000000000000000*ep^2+
         16617350435895315686384043174/35*ep^2*z5+122888525329670225820\
         97072813337539/99484000*ep^2*z4-509152417993377337734291238246\
         7737547871413557/27964655559640800000*ep^2*z3+
         11790794885948532348814332684751066451654316367386008141523984\
         06204142562464596075463453213298181146021291180081369786478205\
         88864522963185356400897039123800734395885127669585710720741309\
         8130607/321456563485600131592467528969754785719061311226419443\
         20923297949476388214347473708858685888482401100869150080577020\
         0257963690366179737600000000000000000000000000000*ep^3+
         8223018422135037300708416631/7*ep^3*z6+39014136572530082054428\
         6981048522237/348194000*ep^3*z5-509152417993377337734291238246\
         7737547871413557/18643103706427200000*ep^3*z4-5042605395375074\
         854245134715068196823546696816097688023/
         27727623410496543293760000000*ep^3*z3+
         5995939504484089863102389418/35*ep^3*z3^2;
Fill mncnoptab(16,7,3,5)=
      +mncF321*(-601682072892005965860000-5068466404658698178709000*ep-
         111234765610229526931024944/7*ep^2-
         366991255809789443510332082763/13475*ep^3)
      +566132560270295933455761682521088853932298249250617/
      191257317861075057715200000-5180074239704794247493/476*ep^-3-
         166095072943056923512835591237/1291483200*ep^-2-38526446680873\
         759276082055348066532798981/76063863122222976000*ep^-1+
         942248905228333545699189996/119*z3-
         10450835981962410575923093331736300658805616433633462631963703\
         38842831975267282866621791411558780196250694430917371941440617\
         4033/366499969985280983303437290246399679965341947866492273615\
         674202606268024645012684800000000000000000000*ep+
         1413373357842500318548784994/119*ep*z4+13535850820583556023560\
         6326480060329/1014736800*ep*z3+
         14995692093876663068819820776441104766005010831699942296668414\
         34265271514115497791829659177245867438050398848121175948933603\
         897338818125043/1177394834288594769430837045623729289495914753\
         80533638941394290175927091594492719895349821440000000000000000\
         00000*ep^2+91395684353192252193045650817/119*ep^2*z5+135358508\
         205835560235606326480060329/676491200*ep^2*z4-5544380942716968\
         9917430978726266538926818407767/190159657805557440000*ep^2*z3+
         37433236258450942889876470103386214948198121673801995530550444\
         37577816259054933183981035099959295078488123647513059677927030\
         34749058706738771746392666622957675190859519334386468724331875\
         874296252127499/1488101618698865797935548153682211196608429700\
         35425787387550185169649883259781625297590402391032059896680879\
         42594527472021646684486760486022414336000000000000000000000000\
         000*ep^3+452267177239819593236732304105/238*ep^3*z6+2072758754\
         0639602447811720891871223/11328800*ep^3*z5-5544380942716968991\
         7430978726266538926818407767/126773105203704960000*ep^3*z4-
         510667966976068067333424394107464958239863675919455003717/
         1696930552722388449578112000000*ep^3*z3+
         32977401772993683609022102359/119*ep^3*z3^2;
Fill mncnoptab(16,7,4,4)=
      +mncF321*(-445690424364448863600000-3770095121697300080256000*ep-
         83313684916444222307566720/7*ep^2-
         499167405804009070340661839048/24255*ep^3)
      +490595556225132019311111002980561957249218220748249/
      223771061897457817526784000-8677745176984803089495/357*ep^-3-
         492302532728567242162686571637/1743502320*ep^-2-22096760237179\
         372368608781886917526377659/20537243043000203520*ep^-1+
         2094014126797557159253667960/357*z3-
         54614938533057581354685259728070388413122478553103477297069080\
         578204399103932671977913132172022008335826170445077519608860471
       /270710205102764362667311634841090672701673029674113611193395717\
         8341752454764298240000000000000000000*ep+
         1047007063398778579626833980/119*ep*z4+13564673402579498383293\
         2870290858889/1369894680*ep*z3+
         66762760781699315831402641102183775081565433948381697740461554\
         11685690183978189997846404522602238244226734603102163716102659\
         1806736631/756231859967970948745102845509312290684134970329514\
         479366662930971863730597038220671713280000000000000000000*ep^2
         +67700959491368780835951034940/119*ep^2*z5+1356467340257949838\
         32932870290858889/913263120*ep^2*z4-43640787597814354517578293\
         7818861431025245905/2053724304300020352*ep^2*z3-
         24071981718641978492075953686668174538178380467382571148854075\
         63978098734351446930420071422618262477945724539353972949865956\
         83767351735588922745816453709650994596511766773645185162452498\
         1616093/333677637729270555379460002083636175869021431006474173\
         81585278821304775718597488386624489203351917649134714192834979\
         4012107575855724416204800000000000000000000000000*ep^3+
         502522160868271963371498592150/357*ep^3*z6+3996512851356145464\
         97940419109181877/290583720*ep^3*z5-43640787597814354517578293\
         7818861431025245905/1369149536200013568*ep^3*z4-30640434118591\
         5345011107392243073891021256072089272811/
         1328032606478390960539392000*ep^3*z3+
         73281710094143133464822221580/357*ep^3*z3^2;
Fill mncnoptab(16,7,5,3)=
      +mncF321*(-158337387603159464700000-1347255174256154417826000*ep-
         30061670996760765316329960/7*ep^2-
         20260814714034958081172182788/2695*ep^3)
      +331081193967317612632720849068624537747614793025409663/
      425165017605169853300889600000-128494688592028517882955/9044*
         ep^-3-817763810001191426444826615677/4907636160*ep^-2-
         40637113759163079435722257484995174923073/62835365187923328000
         *ep^-1+4711808648388801538016503650/2261*z3-
         32521762048496446221256047910348876294619910217529136670493461\
         40419433745776018483770822334716656397604576730192062824549920\
         12941/43150484799500365370869028429310276986852809801974578654\
         597428367519976328288310132736000000000000000000*ep+
         7067712972583202307024755475/2261*ep*z4+7160640681770234540279\
         405755555931/202947360*ep*z3+
         47244872626940223818666603359605108644312801006848999737394459\
         65231239982524675427166202069691017497631007283715700505900562\
         6345074139187899/138622543139691519503555317628252474114284016\
         73052762203496625744346402674030257864745503476940800000000000\
         00000000*ep^2+456984422508039283379792207925/2261*ep^2*z5+
         7160640681770234540279405755555931/135298240*ep^2*z4-
         2316791427093869991933980562962305085466492943/
         31417682593961664000*ep^2*z3-
         82853947641671780371141171534019732528593193296174071534688215\
         44961411836476226797926265946355723587916477097561693663898752\
         57375042421595239811923543749230045635722105527367234865329129\
         96499201639/18083690719984005814041670229189523690598030895396\
         09512087303133679968975181791285545363610661316156507169754920\
         6830399133611203541397937164648448000000000000000000000000*
         ep^3+2261363069298252409208878521375/4522*ep^3*z6+407890519368\
         651061139434382338164397/817939360*ep^3*z5-2316791427093869991\
         933980562962305085466492943/20945121729307776000*ep^3*z4-
         1660188430122848529781557173428228106150887332660285485497/
         19345008301035228325190476800000*ep^3*z3+
         164880804692238319258464694635/2261*ep^3*z3^2;
Fill mncnoptab(16,7,6,2)=
      +mncF321*(-25333982016505514352000-217253840663866435280280*ep-
         24550326171708072861870576/35*ep^2-
         16817008760280613344563546463/13475*ep^3)
      +2151411700694523103821226336150464248769180256426766203/
      17272328840210025290348640000000-20145074225869536370011/11305*
         ep^-3-337560816958098027638968041781/15336363000*ep^-2-
         211869757856502404276615360882687959853399/
         2258145936440994600000*ep^-1+3769325290977602979397559616/
         11305*z3-30814075685425250408875673000748268590152969024456616\
         56333159202639689814664123215606603156727871467920980102226033\
         3818354166809/260434878671540666735422538449091612583371988153\
         92940963129808837201405831274601381888000000000000000000*ep+
         5653987936466404469096339424/11305*ep*z4+718877078491684090825\
         0035563165171/1268421000*ep*z3+
         56150957720433966168064042401071066695501311247498560984676827\
         46148450780005943955725782128184868287138821945156247707204776\
         0639660377886369/108765380001911807610481864600628864305053613\
         12702936498128121737871792867316048478492625804984320000000000\
         000000000*ep^2+365586242303217763730419863372/11305*ep^2*z5+
         7188770784916840908250035563165171/845614000*ep^2*z4-
         6448617016915306103042959774527409461990804157/
         564536484110248650000*ep^2*z3+
         17354072563497522711680124112203911432463298898267671358962857\
         14014050386574324486573473344782350623607668891174553884641412\
         219825158932668928471687032724129610150890056473256568589785777
       /365461588211739873613224014631001102941403225504301810257730809\
         82821755312717509328142228665967644104726772457391255647655687\
         908157565173760000000000000000000000*ep^3+
         180908458506120080375511151878/2261*ep^3*z6+418932663705061395\
         643518925456643587/5112121000*ep^3*z5-644861701691530610304295\
         9774527409461990804157/376357656073499100000*ep^3*z4-
         878948871416942583875851715795508921562507386081925453619/
         60453150940735088516220240000000*ep^3*z3+
         26381195440150236083376779268/2261*ep^3*z3^2;
Fill mncnoptab(16,7,7,1)=
      +mncF321*(-1407443445361417464000-12192949535478128162460*ep-
         1400691538061793183600732/35*ep^2-
         52895882186408433803420398649/727650*ep^3)
      +45186305332436566641191415541314048889859500524523997413/6528940\
      301599389559751785920000000-20008374876405088979/22610*ep^-3-
         8307196429411812098490413377/92018178000*ep^-2-101335201016679\
         16667169438147631427106181/10161656713984475700000*ep^-1+
         209382472805041912858256112/11305*z3-
         42883051164123507345411287846059745856067936191261323956886100\
         22398597867620857025543426258549942399249827798601213725193426\
         5309903/665092805709632298249661291523769069290691308414434838\
         996195029238041235140017153512570880000000000000000000*ep+
         314073709207562869287384168/11305*ep*z4+5057670539277777297802\
         3347907481597/159821046000*ep*z3+
         19901455819099512415696135659191222531305407384250405998325258\
         05707045569435968706557295140027001867870520153253399462319861\
         539622575899476607/7122118216421484290938219874589327114493881\
         03735510804766315527131752955163510137406480089748602880000000\
         0000000000000*ep^2+20310086646661974938157316454/11305*ep^2*z5
         +50576705392777772978023347907481597/106547364000*ep^2*z4-
         12340305813571232399067900386643594441834487589/
         20323313427968951400000*ep^2*z3-
         13838504775817225983875755010581366213702333463878126917018907\
         99157931726787240718752424339037643393688504972702182156169058\
         88961905669403074748387532116421081341201892447371675454480905\
         4631/354656919390475457438667720651777017000220051032947962960\
         68891939720731684538856563471997087807569577683916944562070614\
         01921841497950240248954880000000000000000000000*ep^3+
         1435764583846923787521361453/323*ep^3*z6+185738518507827435295\
         066212117499423/39436362000*ep^3*z5-12340305813571232399067900\
         386643594441834487589/13548875618645967600000*ep^3*z4-
         2823019841974192193246221044440361996303145169084705440807/
         3264470150799694779875892960000000*ep^3*z3+
         1465675979891240934901708546/2261*ep^3*z3^2;
Fill mncnoptab(16,8,1,6)=
      +mncF321*(-19322021703261584736000-1148516136738128927176200/7*ep
         -1404706335752484687395352204/2695*ep^2-
         1285199862665550670076308389829/1414875*ep^3)
      +67103202993307267827367860283395881118660261165287941/
      705866070250069144992576000000-1478142072370988271/2695*ep^-3-
         1958918713356989423011202491/53621876000*ep^-2-224286209758576\
         588212762652934643367/564670929569670000*ep^-1+
         62295569841807520097034168/245*z3-
         77756024120826051837915035070076496513534456508855800164058659\
         2063743015291200116698710686353466627766408141990919810444047/
         86373484630769462505523494119155279026522894953453118781974500\
         9912961973616640000000000000000000000*ep+
         93443354762711280145551252/245*ep*z4+2906945482710530763702370\
         248052943/675906000*ep*z3+220558880042027786363768891088416290\
         90190383668522724579322458393763730366228614299303294967712131\
         3584516505803745373388609659716604083/
         55495608705156239132298126207754962740192060416918193317022195\
         595742407425760143238758400000000000000000000000*ep^2+
         66469368752518243853300542596/2695*ep^2*z5+2906945482710530763\
         702370248052943/450604000*ep^2*z4-1831905735568840369886673367\
         644896227808011237/201869857321157025000*ep^2*z3+
         25411444649040096268176895489946729326299641364380305382570776\
         55906076547467631267356881886930974313552032892871001728450386\
         25814511824611122687425976465775138539696654407180554492873517\
         79391249813/70140536326304006312950044951084615224756301864359\
         81683048179919383950002817761373378129826123305990605245070981\
         5834615486645383138954025369600000000000000000000000000000*
         ep^3+32892058742129180566116583374/539*ep^3*z6+441830953214144\
         525591662368254484929/7312074000*ep^3*z5-183190573556884036988\
         6673367644896227808011237/134579904880771350000*ep^3*z4-
         892331666862865442245862409071331545803626570478112779451/
         86468593605633470261590560000000*ep^3*z3+
         23983792017083852446703704572/2695*ep^3*z3^2;
Fill mncnoptab(16,8,2,5)=
      +mncF321*(-72457581387230942760000-4313637251425941948288000/7*ep
         -1057864386521160980452305108/539*ep^2-
         323666833066584029875418668506/94325*ep^3)
      +78279949078540572158094414769060791204372155806863467/
      219602777411132622886579200000-707177642465345069889/1078*ep^-3-
         88285015047596695112856632237/10724375200*ep^-2-62778266241230\
         637235153222468004864647/1740023012599872000*ep^-1+
         46722379869638395617236256/49*z3-
         18133880185332772059367096337370156090250702088764400536733344\
         145008913406606905316658852238929352109166618733603415140025539
       /538970544096001446034466603303528941125502864509547461199520886\
         1856882715367833600000000000000000000*ep+
         70083569804457593425854384/49*ep*z4+17663293424185579439995139\
         53330777/109432400*ep*z3+5144310356207503519678637158077090109\
         79429718049764659982071404720398107217651757551411227437554013\
         8973649320319152600434347233844237743/
         34629259832017493218554030753639096749879845700156952629821850\
         0517432622336743293809852416000000000000000000000*ep^2+
         49852108854399929409736226082/539*ep^2*z5+52989880272556738319\
         98541859992331/218864800*ep^2*z4-16181824684680968530615822445\
         26018703722377599/47850632846496480000*ep^2*z3-
         96008318205000833888651232241653289192445483993391565217087296\
         86927162022701407038138922724754622712627073599298372788958313\
         90422235814325661447462989575923714501776276463490921284077930\
         780463258407/4376769466761369993928082804947679990024793236336\
         05257022206426969558480175828309698795301150094293813767292429\
         250808000636667190787073118306304000000000000000000000000000*
         ep^3+123345406689584767644866568165/539*ep^3*z6+65326111537121\
         93389078148319337953/28674800*ep^3*z5-161818246846809685306158\
         2244526018703722377599/31900421897664320000*ep^3*z4-
         150521681170201700078634793655710279408682690564940821741/
         3843048604694820900515136000000*ep^3*z3+
         17987759229277356866407516014/539*ep^3*z3^2;
Fill mncnoptab(16,8,3,4)=
      +mncF321*(-93768634736416514160000-5598652951229702930280000/7*ep
         -125416552846425043403891808/49*ep^2-
         38606908046804703261686974896/8575*ep^3)
      +18061787293247796261839969447944913793222589992492107/
      39159935832055118067187200000-3540676858729425696879/833*ep^-3-
         37959117140380054362187008267/753365200*ep^-2-2658384021998472\
         4684803941232160096179683/133111760463890208000*ep^-1+
         1027954767813301087596492552/833*z3-
         24808115090340072812121311862576450815335030869226643496974299\
         70412001884583527101904314012928394401177461061950766069961/
         56991622126897760561539291545492773200352216773497602356504361\
         6493000516792483840000000000000000*ep+
         1541932151719951631394738828/833*ep*z4+12382960354283453369306\
         142490809039/591929800*ep*z3+277358642865872826765140085396323\
         42738954627683482239621936424096834681680616495327386024302760\
         9417590767391021243095360818425708961/
         14374655189473827951353194584061308004739755634362671921845659\
         018473442813001552954916864000000000000000000*ep^2+
         99704881263506402900080421604/833*ep^2*z5+37148881062850360107\
         918427472427117/1183859600*ep^2*z4-568801100021074116916968953\
         80097888642403877/1315333601421840000*ep^2*z3-
         21264595458581102419114420072609781919026859167240019778298479\
         76684363088878987766542064988477290721980561777762898857341467\
         21636137461664828718351354009819280992276976560702183747451757\
         98790844931/21983319367142335651320597724850847222624529664324\
         26404588809553642555093610410373714403671685700884837331173337\
         827922003197805662816889980583936000000000000000000000000*ep^3
         +246692316239232754531209822630/833*ep^3*z6+123395192381818938\
         9024507311711247411/4143508600*ep^3*z5-56880110002107411691696\
         895380097888642403877/876889067614560000*ep^3*z4-4615709759308\
         84815481349088700630623848622730653080309393/
         8908885401792539360285088000000*ep^3*z3+
         35974831351473173874298826268/833*ep^3*z3^2;
Fill mncnoptab(16,8,4,3)=
      +mncF321*(-52093685964675841200000-3124055949856906454676000/7*ep
         -70487208397090642808607840/49*ep^2-
         9634653732407085681220528844/3773*ep^3)
      +10031921068932470202349642416063545230172040777690089/
      39159935832055118067187200000-3986115473545059691785/833*ep^-3-
         843459888804348559139602723697/14916630960*ep^-2-8895492843185\
         3219224921918097172070583011/399335281391670624000*ep^-1+
         571130336471269363427786160/833*z3-
         61820409878232319180899130442125880279582992721907387444338283\
         52182763920658116369343122686152610311982756863501227501889639/
         24685632036327440143517750817683224820854010184195983212012258\
         79148740064547386163200000000000000000*ep+
         856695504706904045141679240/833*ep*z4+161182552632385329400062\
         217330787/13837320*ep*z3+2060620045266961100642441319229257087\
         70350436827779282926242863191808464440665581023453165297313931\
         66558679876989702275647875973063243761/
         18239808307854147303099383898454272909774212727701002899337665\
         45308737193951349719045460983808000000000000000000*ep^2+
         55392072708239290846350995220/833*ep^2*z5+16118255263238532940\
         0062217330787/9224880*ep^2*z4-47095987053136430260709803452244\
         13179008835741/199667640695835312000*ep^2*z3+
         17252371737055014261867693737448012851554765471311120008588034\
         32481161160928240117603224206607951573241936352875850177521188\
         42204418595181453158652310733184622809056127388609590618428928\
         68679817043967349063/
         16366105410578674607029897970052904394188032330312124064369395\
         15119014269231209201083953987016659109518139574733657759528905\
         1110951998620352052573052600320000000000000000000000000*ep^3+
         137052355929420053707308022650/833*ep^3*z6+4175416908850122997\
         60108876413013657/2486105160*ep^3*z5-4709598705313643026070980\
         345224413179008835741/133111760463890208000*ep^3*z4-
         52941151179399437861696046068478900939251148429928395031/
         1781777080358507872057017600000*ep^3*z3+
         19985530041590739043926506700/833*ep^3*z3^2;
Fill mncnoptab(16,8,5,2)=
      +mncF321*(-12337978254791646600000-744393974166409631922000/7*ep-
         16961498456872220626520340/49*ep^2-
         11737209773622010803508729044/18865*ep^3)
      +11175140790139762004113211306869111523974702427309159/
      184238174295573603097052160000-30447726965097091450515/31654*
         ep^-3-749080008377223105979607265437/62981330720*ep^-2-
         5712762938473480634669509565206847428151/112405486613951731200
         *ep^-1+2570027365108954751417045460/15827*z3-
         18983754933990631309401148932718766814374385489020332829567756\
         14391187384357232977819797269956770240496458501320358271074177\
         26331/33856534227300286675604929998381909635838358460010823252\
         0687514883618275806569817964544000000000000000000*ep+
         3855041047663432127125568190/15827*ep*z4+655202539777013908192\
         375474356421/236771920*ep*z3+200893877261156186395304203058302\
         99672665974051798429460835548415797934225516298152426018122212\
         88554747360223280885122881394547008056719019/
         83665676924547544315755280462022203311579702405407203831754782\
         5990137912870465267576355831152640000000000000000000*ep^2+
         249263696051502475237271466570/15827*ep^2*z5+19656076193310417\
         24577126423069263/473543840*ep^2*z4-10198361710150281629271681\
         8733978664011931843/18734247768991955200*ep^2*z3+
         61944174672087791428655609180838147071506540994534091233506495\
         25484286397279421104747986671341123596706327981841950870749676\
         79192077409481935049790192580248793648344447584911129700377409\
         98598241147/11350993559620729803275386851552808716559994777417\
         85662971722582371426679806416683850012850999718449007577323088\
         67489274561744169921390128664254873600000000000000000000000*
         ep^3+616734171715983801214636052775/15827*ep^3*z6+127837445603\
         0406688584632489521316331/31490665360*ep^3*z5-3059508513045084\
         48878150456201935992035795529/37468495537983910400*ep^3*z4-
         33111197646862931063436082297045727842496677694238761491/
         4513835270241553275877777920000*ep^3*z3+
         89935531414899501123340258230/15827*ep^3*z3^2;
Fill mncnoptab(16,8,6,1)=
      +mncF321*(-987038260383331728000-60026963347993767994440/7*ep-
         6927108332243113332096948/245*ep^2-
         14614824148138392157001511317/282975*ep^3)
      +2640624606194834963388775605652743278523199215706679173/54407835\
      8466615796645982160000000-63885807835034955003/79135*ep^-3-
         20822775263541614848431271067/295224987750*ep^-2-7283513610955\
         1061905089238300686069250837/94842129330521773200000*ep^-1+
         1027877892497276408275650768/79135*z3-
         29994322606099755531084166848310683483417987690030479091974841\
         02572158410967102421558693602929250176954058271309575819639056\
         9259269/665092805709632298249661291523769069290691308414434838\
         996195029238041235140017153512570880000000000000000000*ep+
         1541816838745914612413476152/79135*ep*z4+197337107588175065492\
         6855270347783/8878947000*ep*z3+
         41629656825698683721601963530630826989135962579845187853356364\
         29097200157878748369552810294169124276067062846556860974140854\
         546668975265588223/2136635464926445287281465962376798134348164\
         31120653241429894658139525886549053041221944026924580864000000\
         00000000000000*ep^2+99704064993014471873156145756/79135*ep^2*
         z5+1973371075881750654926855270347783/5919298000*ep^2*z4-
         19935139073048342613568864887594760680880890857/
         47421064665260886600000*ep^2*z3+
         17195518931406171611245726607969838035662501944913876984216679\
         62681843376045039480780080048796186579217628338598675959098526\
         66740216949798754295894998837369698730723428350222377784487071\
         485905424882373/4588340993712513985137909101245588803227089579\
         57501503352904796677152279170954362568138568012416590406719200\
         49424369619856639925543858690998478784891453440000000000000000\
         00000000*ep^3+49338093550258597732440247494/15827*ep^3*z6+
         3937262038819158278212988404279177883/1180899951000*ep^3*z5-
         19935139073048342613568864887594760680880890857/
         31614043110173924400000*ep^3*z4-588106122198841618028019188388\
         184424209542507134739208027/952137127316577644130468780000000*
         ep^3*z3+7195136013451054667274566004/15827*ep^3*z3^2;
Fill mncnoptab(16,9,1,5)=
      +mncF321*(-2625274687943150100000-158588689805251950625875/7*ep-
         79645057277292882651109275/1078*ep^2-
         60241157662421506127444070119/452760*ep^3)
      +782829765073514251359091094944789744761680143856517241/
      60610366565472603916695859200000+1093591909700287335/4312*ep^-3-
         6045913869821423101826384631/394657007360*ep^-2-43523954813822\
         12605782193633701467921/20779890208163856000*ep^-1+
         1692813808068348602183625/49*z3-346507632206275966058500370511\
         10584062455808030894010924537780073664844440583764439335215181\
         117583097913548876570408835593/2833445146104693316295481571652\
         83786191692934485019236744890980166190405607908966400000000000\
         000000*ep+5078441424205045806550875/98*ep*z4+71174223490112102\
         77099165642399693/12081336960*ep*z3+
         98511003264333258429351490810448645570868243175882965157888490\
         47926164020937710577701137237886597908291105595375824370282425\
         265437233/1820509659740348214918269045334169657707969031093965\
         5096820629741487886431417361731717955584000000000000000000*
         ep^2+3612465573942201580094127975/1078*ep^2*z5+711742234901121\
         0277099165642399693/8054224640*ep^2*z4-42806050119993770429102\
         5464994685462156575531/371440537470928926000*ep^2*z3-
         17981268163011230649484596625555100218467274393137648257831306\
         89961283600161728280222494457811536471808424346635405506561110\
         37219454290900015615762256988739938820950644472636295026426609\
         02841/42122292612440252573142451055135566821291243176768024735\
         97174635496502666353836364018481093775343579561068679018353640\
         90838296243765002700324864000000000000000000000*ep^3+
         17876118350823489554230441125/2156*ep^3*z6+4667607000599939760\
         18051909632180549/53816864640*ep^3*z5-428060501199937704291025\
         464994685462156575531/247627024980619284000*ep^3*z4-
         5937031665873593563668393816462150346397444985820974223/
         3765732833949481308433766400000*ep^3*z3+
         1303467141732294711092759865/1078*ep^3*z3^2;
Fill mncnoptab(16,9,2,4)=
      +mncF321*(-7875824063829450300000-476622940469144972022000/7*ep-
         120030642995736324188574900/539*ep^2-
         7593250482795269419675933878/18865*ep^3)
      +1173952112830753761067365536395811049909260936698054639/
      30305183282736301958347929600000-464192534088344552985/2156*ep^-3
         -265426296979985012342395388217/98664251840*ep^-2-767720461336\
         492079095849345659762359659/65488138837849728000*ep^-1+
         5078675676336778089399150/49*z3-103801682849490663519843870435\
         86324541740544173866831656229939075265627358542147968140695621\
         21624283460745298541971671143/28539349353843760158967918722742\
         94334058890610773695824651536215516897163922636800000000000000\
         000*ep+7618013514505167134098725/49*ep*z4+65617121569157184718\
         0716752234301/370918240*ep*z3+31845380164316879491599956699280\
         79827680655344682363184978136386293257471927402581151785230811\
         189196814843949167664471507883893703053/
         20170419525532267153924003627281993366650793242234276953863765\
         90676214689844537237321023488000000000000000000*ep^2+
         5418725714986501443475518075/539*ep^2*z5+196851364707471554154\
         2150256702903/741836480*ep^2*z4-135887439853496036599821394628\
         86700229492138637/3962032399689908544000*ep^2*z3+
         97664256944424743988422024620920795929585981892370854655092250\
         06062314860742538918457690645455436168156155748157082712738378\
         32520565965325795257635291529393476953402536766178353040627190\
         02307/80611102339406578400564453078139088364093004116697072131\
         59882244067428914690580438372144861796305765637272446158574503\
         9078299978468457386606592000000000000000000000*ep^3+
         26814301412733984422460637125/1078*ep^3*z6+1173937098684300409\
         72467295636809681/4484738720*ep^3*z5-1358874398534960365998213\
         9462886700229492138637/2641354933126605696000*ep^3*z4-
         507633645028366410775804486508472700752798313143368026541/
         106068141489577056854217753600000*ep^3*z3+
         1955172250551845924696343285/539*ep^3*z3^2;
Fill mncnoptab(16,9,3,3)=
      +mncF321*(-7644182179599172350000-464049566451239367456000/7*ep-
         10677605217240460280310360/49*ep^2-
         7477468716494005440622058493/18865*ep^3)
      +90272922938773610693446079757166879238560652863844123/
      2401809397699380574787481600000-4625232526562597882595/6664*ep^-3
         -508577968678391242416960937143/60992446592*ep^-2-276887713115\
         538043505322416113615103376851/8164187975118599424000*ep^-1+
         83807007875185795646806035/833*z3-
         25206515683603525102586383100074221313020337996819311735353503\
         38520864442991942731245992696352233498459125483886067661721166\
         27/74621139126955519062405086757453862458467265071083857823739\
         9137182676282368895588761600000000000000000*ep+
         251421023625557386940418105/1666*ep*z4+37463668450322791939512\
         683348097141/21783016640*ep*z3+
         33509030926766217152437674470760364622671567941550168465061392\
         52693672495097385188297002873126072180336318015863813771428339\
         0111177327271/239723194903225935983591902665399015385603938706\
         92746667700931738343403120503453450311772930048000000000000000\
         000*ep^2+16256365827076689104889498465/1666*ep^2*z5+1123910053\
         50968375818538050044291423/43566033280*ep^2*z4-133983131685558\
         10071378555378623614644290173517/4082093987559299712000*ep^2*
         z3+38771585472143974519735397708680709342195526890019643975903\
         36131393024271030587821437409257887257986131781838953274531195\
         99498974804496138045386853191977943499228448819781780367025499\
         4257772065753/210771878793233639494261639443446142056767300034\
         93831524072822417552695846090212680245375851042178997937505131\
         64436310132437423730353351886908057190400000000000000000000*
         ep^3+80443759056631587567979431975/3332*ep^3*z6+39143737148694\
         88275747204498122045409/152481116480*ep^3*z5-13398313168555810\
         071378555378623614644290173517/2721395991706199808000*ep^3*z4-
         517814194264184445751540070085685066237425121676738427517/
         109282327595321816152830412800000*ep^3*z3+
         5865322338278242548054142095/1666*ep^3*z3^2;
Fill mncnoptab(16,9,4,2)=
      +mncF321*(-2831178585036730500000-172654412109586899921000/7*ep-
         4001905433391772980678930/49*ep^2-2828459958628945395664089526/
         18865*ep^3)
      +651742562916315971258681799329493652060536080833879099/
      46835283255137921208355891200000-903701039586831651945/3332*ep^-3
         -921682613925578395667000589125/274466009664*ep^-2-52921433747\
         7313245393077071884892135505957/36738845888033697408000*ep^-1+
         31039910491497950679933270/833*z3-
         14472220665820811152838672924268162350972181658915668330415780\
         92752605458928486869651614279020579962992395538858871701370244\
         463/1170977875530686606825433669116968303194409390346238999695\
         6109537328150892558053854412800000000000000000*ep+
         46559865737246926019899905/833*ep*z4+1251691162007477999203690\
         0333895383/19604714976*ep*z3+192547922649317045207120396709428\
         60575823234190294942817841270549911155483476550733793728863656\
         5420499627455747313480849003701639006881611/
         37618101354044685338963652418262614722048618074010156309315308\
         2663234941275592654143353975209984000000000000000000*ep^2+
         3010441005271193580491089815/833*ep^2*z5+125169116200747799920\
         36900333895383/13069809984*ep^2*z4-115098066674664199006872207\
         6019004018719308857/966811733895623616000*ep^2*z3-
         49643786662504157095081317602978787320600552382611652467907695\
         60896103821890590505325927671480568008275896121763423082222511\
         79070814447737182423393423689897999267335601994963020903951334\
         46476875614418077/93923460325501176118409823251433283415612725\
         32068355682831069146986307823772601023891034397577802784118167\
         15943852119050961983756436457087105047884724174848000000000000\
         000000000*ep^3+14897005473898478149055782725/1666*ep^3*z6+
         40134078644485065752295252744452195/4158575904*ep^3*z5-
         1150980666746641990068722076019004018719308857/
         644541155930415744000*ep^3*z4-81944661078202826870294510823745\
         0945387130435483316713/454081693609370427227827200000*ep^3*z3+
         1086167598193230471133064265/833*ep^3*z3^2;
Fill mncnoptab(16,9,5,1)=
      +mncF321*(-335271148228033875000-20572204169091275093250/7*ep-
         963114908238655165619145/98*ep^2-1033765294825260624684039076/
         56595*ep^3)
      +52802418757972829512127100968009811215194959213017132507/3203533\
      3746514338106515429580800000-113992576034175381465/253232*ep^-3-
         227919234913962496853062666903/6953138911488*ep^-2-88474393309\
         911962320981308867923538374599/253832026135505545728000*ep^-1+
         139657383301236130430221095/31654*z3-
         52286093197551438670281087274468275401397861651632000134477407\
         19688261666288303905219057132356964474965787397480448274368106\
         08481579/34418552695473471434419971836355049335793275210447002\
         918053092763068633918495887694275543040000000000000000000*ep+
         418972149903708391290663285/63308*ep*z4+
         40456108206243481202797248844663/533461632*ep*z3+
         89814635972461327739827968250767869483978877642776011240689351\
         53534075213314620528918854040704756760782329590597043934504723\
         653772889840313781/1382136066374294295210198294412491293156468\
         78881172565549963106984005807861418686040445042416838246400000\
         000000000000000*ep^2+27093497666360014334911625055/63308*ep^2*
         z5+40456108206243481202797248844663/355641088*ep^2*z4-
         191200477033462733189398973581733953303715692691/
         1396076143745280501504000*ep^2*z3+
         36310543681542739978128156852757205432052368860649276461255698\
         73999806444694261836438504527487330745755148934897816419233242\
         70184460231857560815633514771621824978221815124318372915488166\
         058185611367783241747/
         13803461346737280348242099674146892497175524176754258929272680\
         77186842729320740309476145870240021786167926436586882266763246\
         279427646839158063933623784883565363200000000000000000000000*
         ep^3+134070914498787710370255914325/126616*ep^3*z6+40530369864\
         41363847045956731567275929/3476569455744*ep^3*z5-1912004770334\
         62733189398973581733953303715692691/930717429163520334336000*
         ep^3*z4-225824827526659288988228434452846124257555473977875408\
         3059/10193060737527289397527636684800000*ep^3*z3+
         9775999662401085242596923105/63308*ep^3*z3^2;
Fill mncnoptab(16,10,1,4)=
      +mncF321*(-194464791699492600000-12009298427351829864000/7*ep-
         3122902287504927821062000/539*ep^2-
         16645433422168383110445665021/1528065*ep^3)
      +1174028732504108763705198937056842326931236958827804859/12273599\
      22950820229313091148800000-99602240205186030/539*ep^-3-
         681916401476193410747390239/98664251840*ep^-2-6713192896121366\
         316171019525915962679/102010370112804384000*ep^-1+
         376181732264881933430300/147*z3-198074374715675952320430635022\
         61749635750649939582879638033217731013853955998693034063335702\
         14463164588749098366708487/24182501903467051675315953539579104\
         6513393392089367783461369665320409353525657600000000000000000*
         ep+188090866132440966715150/49*ep*z4+2519220895301699575893991\
         6287557063/570843171360*ep*z3+83036907312105852347934228653656\
         21607772563834834574715155740809173962821606126935972828560703\
         377368677916437128661973081831721669/
         26413644616768445082519528559535943694423657817211553153869217\
         2588551923670117971553943552000000000000000000*ep^2+
         401385158330349930193697500/1617*ep^2*z5+251922089530169957589\
         39916287557063/380562114240*ep^2*z4-61769987599320843950724013\
         96544852115861347491/80231156093720648016000*ep^2*z3-
         16973550183926684115868955185622384609176274139445234546443843\
         59694711656404565006782820631741791433532733087139163628690999\
         52839275102597982339560919870431910751316851104405043550417882\
         7903/116118373607954714124622605029224163000657779739527925332\
         42211327763796412828098012417018193778011876691785309347470416\
         3434217826127182664040448000000000000000000000*ep^3+
         331039299396196857438303500/539*ep^3*z6+2507355255513486195283\
         41415039079437/363263836320*ep^3*z5-61769987599320843950724013\
         96544852115861347491/53487437395813765344000*ep^3*z4-
         191342604047776508335085272916033372717278389654966046717/
         1431919910109290267531939673600000*ep^3*z3+
         144829555171472327496241460/1617*ep^3*z3^2;
Fill mncnoptab(16,10,2,3)=
      +mncF321*(-437545781323858350000-27074336461949441749500/7*ep-
         7062416511124209427462140/539*ep^2-466540606659104424139554539/
         18865*ep^3)
      +391089038847651318943258482796484000461263919869235843/181831099\
      696417811750087577600000-138662248598088099495/4312*ep^-3-
         716322425102062904208693256169/1775956533120*ep^-2-45057852573\
         7679317388753838368218831517/254248068429298944000*ep^-1+
         282170212478866723427520/49*z3-2241324678156495321041445405107\
         68463150839499539240235325978505299895433238490814500575379792\
         273591516284369753086173966267/1097369693043463515623604217021\
         38033027157742751593908564323402526864159171896410112000000000\
         00000000*ep+423255318718300085141280/49*ep*z4+1260991791871342\
         6482305011541631931/126854038080*ep*z3+
         32627424532739708998213458080206692028543987851401478103651625\
         24454148566429021609137592940111950716183939487066190047488946\
         4777698061/352534110151802847034693974507939728508241086333716\
         862760307819681520634125050786033996660736000000000000000000*
         ep^2+602085697528694111382114855/1078*ep^2*z5+1260991791871342\
         6482305011541631931/84569358720*ep^2*z4-4076218673871863550216\
         179023868861169642176009/23772194398139451264000*ep^2*z3-
         23011765735544005674960575001995474868442803976735160740172254\
         30626535144187590350789782866766394941214752701666264733984981\
         25235789256236534294002958442516431664435420673118141713854738\
         8946827/815680645484650307640331421994760611674796052766789145\
         66845287993624983924497727090732878680503788691708611190574160\
         60884045757470407708540665856000000000000000000000*ep^3+
         2979389764270795217333547075/2156*ep^3*z6+42053783689507236919\
         620034016356583/26908432320*ep^3*z5-40762186738718635502161790\
         23868861169642176009/15848129598759634176000*ep^3*z4-
         38670374540482481611122522103178608895596057756416347677/
         127281769787492468225061304320000*ep^3*z3+
         217236179259958030011046545/1078*ep^3*z3^2;
Fill mncnoptab(16,10,3,2)=
      +mncF321*(-283117858503673050000-17575748989365093169500/7*ep-
         418935654001118248248150/49*ep^2-306378712511521338615279893/
         18865*ep^3)
      +390877800450584669040977703976438210954355889724370563/281011699\
      530827527250135347200000-243998704343012914815/6664*ep^-3-
         1246829404103832950904301694537/2744660096640*ep^-2-1440707997\
         89499836535341494053521753027423/73477691776067394816000*ep^-1
         +3104166367231281027542100/833*z3-
         48691343793045047800242187503142220600235894975661684884658830\
         655735959437816041039166577980582439336161758843461878843972717
       /344405257509025472595715785034402442116002761866540882263414986\
         3920044380164133486592000000000000000000*ep+
         4656249550846921541313150/833*ep*z4+16404923051694795785776958\
         9159807/2546066880*ep*z3+7512455349637131117024364858689333446\
         40336832737284924657236557836655242054305454050258945179355148\
         2821989575081856104668626504501874689/
         11064147457071966276165780123018416094720181786473575385092737\
         7253892629786939015924515875061760000000000000000000*ep^2+
         602091920677307516200002375/1666*ep^2*z5+164049230516947957857\
         769589159807/1697377920*ep^2*z4-400783418124786353637239522959\
         4895768107596409/36738845888033697408000*ep^2*z3-
         92003988450239545998135876773817980927399516247246738407769156\
         80726391799765520262566859894680556263420823971242804158298172\
         67474956298743580037688052886485443600391271623744123325865803\
         03856443/79411696876571543922484762113700273302392703309866869\
         16448159152610120883927238686434678499607728350871273518986887\
         19673131839396051498356134903808000000000000000000000*ep^3+
         2979417939714224770724590875/3332*ep^3*z6+46737223728058476628\
         3393137642921157/457443349440*ep^3*z5-400783418124786353637239\
         5229594895768107596409/24492563925355798272000*ep^3*z4-
         196620535252615082044020075836089008054578755327170554417/
         983540948357896345375473715200000*ep^3*z3+
         217229640925392046455322065/1666*ep^3*z3^2;
Fill mncnoptab(16,10,4,1)=
      +mncF321*(-52429233056235750000-3269907438753909739500/7*ep-
         235539679086154038599380/147*ep^2-4693489184660424528732375017/
         1528065*ep^3)
      +17592606239715908725332477339484288361426234434647917639/6828584\
      2985991089121782889369600000-5107683377299828715/19992*ep^-3-
         144721095539500819279501815721/14821164521856*ep^-2-5487452192\
         15782806972394011201440737111553/5951693033861458980096000*
         ep^-1+1724174496992698862246720/2499*z3-
         18832172870187431339852100987655824017833061273280058257165402\
         56263572562800272171307759805924015740399313240318767208104733\
         308119/8051123437537654136706426160550888733518894786069474366\
         79604509077628863590547080567848960000000000000000000*ep+
         862087248496349431123360/833*ep*z4+126601744304286886349849908\
         80721211/1058654608704*ep*z3+
         84664878638731720762549995140521660612985374751799393648871030\
         36206122076088532656257290581919905447492800766334094051342133\
         7631346973354671/862151152514179677324100300608181703333469809\
         78509202682238195389633252467161753475521274022199296000000000\
         00000000000*ep^2+334487829312721076731592555/4998*ep^2*z5+
         12660174430428688634984990880721211/705769739136*ep^2*z4-
         58676700386757701593996713173240391311131921607/
         2975846516930729490048000*ep^2*z3+
         10442457484455298167960353185641208691334877573740978231491559\
         12758164645287058613124441133203258742239667320661383146327489\
         05156743683467377800091316179662195076613064825157974960352099\
         48644911723837602539/
         64577596943800141980079998475541017530645727142709983294842950\
         97950141423722761681759746761356827069791468709178396569652614\
         1727609208849500067070118591043993600000000000000000000000*
         ep^3+1655197401593678395035495575/9996*ep^3*z6+474148382477694\
         944065778971614072301/2470194086976*ep^3*z5-586767003867577015\
         93996713173240391311131921607/1983897677953819660032000*ep^3*
         z4-9055441788356082267151571225816829026921203439600451904573/
         239000450450968811926240112793600000*ep^3*z3+
         40230388124346497475075535/1666*ep^3*z3^2;
Fill mncnoptab(16,11,1,3)=
      +mncF321*(-7000732501181733600-446044380187503795048/7*ep-
         3042157215018002876324478/13475*ep^2-
         254491953124236604693233979/565950*ep^3)
      +3518904428827871104461565861938391660718251830071879989/10227999\
      3579235019109424262400000000+94538316176446662/13475*ep^-3-
         180962836083914938038549419747/221994566640000*ep^-2-288994016\
         40579276955173529617244120403/2833621392022344000000*ep^-1+
         112853313561777955515882/1225*z3-17400618842461340231243626604\
         93163252702578998420253330959796670142807977066936397793115820\
         457898121996008367058640271727/4877198635748726736104907631206\
         13480120701078895972926952548455674951818541761822720000000000\
         0000000*ep+169279970342666933273823/1225*ep*z4+365728404340832\
         2021446763999850293/2265250680000*ep*z3+
         28209570059099943051006941092165109850101931869281088354652844\
         78598787735908182785071525858361018929085126622461939207753527\
         16930701/15668182673413459868208621089241765711477381614831860\
         5671247919858453615166689238237331849216000000000000000000*
         ep^2+120415439893498212961393974/13475*ep^2*z5+365728404340832\
         2021446763999850293/1510167120000*ep^2*z4-10377790314556684464\
         40649898906518672542494427/445728644965114711200000*ep^2*z3+
         59035013809611297602495927619977735860655703479355358267148310\
         32973128678889259209896401683994160471129153433526473426917787\
         32944027617825222299491316810511611698574559632173797996908692\
         58548781711679211/65388791178728183582456412464707109999463716\
         46434284558714651338194903740568482184950629531315494923636589\
         20774450871956524289109088114130727677766231339827200000000000\
         0000000000*ep^3+59587026722159327725359636/2695*ep^3*z6+
         91987660851648281227923523817604043/3363554040000*ep^3*z5-
         1037779031455668446440649898906518672542494427/
         297152429976743140800000*ep^3*z4-20071204420058246931071896411\
         22359428474324247217280880121/35797997752732256688298491840000\
         0000*ep^3*z3+43449086214228722944010562/13475*ep^3*z3^2;
Fill mncnoptab(16,11,2,2)=
      +mncF321*(-10501098751772600400-670458621414597761772/7*ep-
         4587368262430385807695242/13475*ep^2-
         64211676335057807530599717/94325*ep^3)
      +130200246907660290138472209840840082546169406904765057/252543194\
      0228025163195660800000000-216368829484795902681/107800*ep^-3-
         1827248735697093392764003669961/73998188880000*ep^-2-190572545\
         01253579681604852802697184184061/180092381804086752000000*
         ep^-1+169337057812906982010948/1225*z3-
         42240322701659626033166135678987264296721450324727050777097686\
         5645415767867722831786132055129417980890783136858638991823/
         14068842218505942507994925859248465772712531121999219046708128\
         52908514861178159104000000000000000000*ep+
         254005586719360473016422/1225*ep*z4+12817158631236610298530463\
         912005363/5285584920000*ep*z3+78084624752970339573274291997621\
         89372881276423874256347628336004762409545368611856080791404848\
         244276293502105870504497472056986301/
         45196680788692672696755637757428170321569370042784213174398438\
         420707773605775741799230341120000000000000000000*ep^2+
         361259461216976679831537297/26950*ep^2*z5+12817158631236610298\
         530463912005363/3523723280000*ep^2*z4-682412547932117784167702\
         890935000167857513573/198101619984495427200000*ep^2*z3+
         44426736108622945811048640416511278648297929596589754058448218\
         33948257812399918499419580634962058586850948509660491905855695\
         06671238967619543054649633497850225333869758015096571251132569\
         110839/1986914392847225108354653463833391233566810897765255611\
         24366727163958294175058565990246755760201536556726104182167827\
         12409855050248429033624698880000000000000000000000*ep^3+
         357534045945092726227296441/10780*ep^3*z6+46284747528785158012\
         834294195466159/1121184680000*ep^3*z5-682412547932117784167702\
         890935000167857513573/132067746656330284800000*ep^3*z4-
         74951300849372323954852815318100527326870878695516814523/
         8839011790798088071184812800000000*ep^3*z3+
         130332966225021797749420311/26950*ep^3*z3^2;
Fill mncnoptab(16,11,3,1)=
      +mncF321*(-3397414302044076600-217631814640773356538/7*ep-
         136059847473192292662363/1225*ep^2-11498960314148341897876889/
         51450*ep^3)
      +3513616109876456150919721392598258440322505742023671739/21075877\
      4648120645437601510400000000-16233055314855384681/333200*ep^-3-
         32046100114443384487526665051/20792879520000*ep^-2-83169321641\
         497139197532636199079772807071/6123140981338949568000000*ep^-1
         +931057203721878737529714/20825*z3-
         22218625818215022749484749407580043443897239477073615991397362\
         22656400939461017764486497809931641726486617207773188835529023\
         3287/150436216479942326429808654903026986716270006383305057372\
         659666056027538525569350694338560000000000000000000*ep+
         1396585805582818106294571/20825*ep*z4+427892245514245940294743\
         4864940321/5445754160000*ep*z3+
         29018581066902853327984313425181287411247310649972657876887015\
         37896923314505899729012968786636368429119236504283129385361722\
         006991642015389/4832819609249034869429212757734444150173775404\
         33165772820850783845003006909349621558285342269767680000000000\
         0000000000*ep^2+361247153302703779568793297/83300*ep^2*z5+
         12836767365427378208842304594820963/10891508320000*ep^2*z4-
         4673120971889507521797898073719137932901451/
         4281916770167097600000*ep^2*z3+
         27006811097462099165153522385173206843094232014534196628444240\
         66649402681535677716161388557833797873352936355686419961996713\
         11774402966300851478382110427068858448814620557325067876212937\
         771247940459/8498322152943180344408629302359748447728857537408\
         71287050616199875724696514357375267493554314020657196840206907\
         90072024539876924807847148080132865916928000000000000000000000\
         00*ep^3+357522924487816264618674441/33320*ep^3*z6+154220529426\
         2776921872310881078663647/114360837360000*ep^3*z5-467312097188\
         9507521797898073719137932901451/2854611180111398400000*ep^3*z4
         -2049783874501224690589057753300602844147051400484639612121/
         737655711268422259031605286400000000*ep^3*z3+
         130346702934001996270828311/83300*ep^3*z3^2;
Fill mncnoptab(16,12,1,2)=
      +mncF321*(-97912342673870400-72016106913846479592/77*ep-
         527182682266925446724262/148225*ep^2-
         28295674091992790096219873/3678675*ep^3)
      +501224774578843735160885519886048106915671625239281077/104471707\
      7273614838046262108800000000-2336255379619572177/148225*ep^-3-
         3461436829662838577337857630297/15872611514760000*ep^-2-
         32190573750190873753558177449102480065779/
         28972361922732456228000000*ep^-1+17367202456462235808828/13475
         *z3-3382154011704146930456875514204919856259301671841542133510\
         376832463103661900774251896751986851574751048600743598709/
         46896140728353141693316419530828219242375103739997396822360428\
         4302838287059386368000000000000000*ep+26050803684693353713242/
         13475*ep*z4+26264143127463828474591218841083101/
         1133757965340000*ep*z3+733071781242655961013000197876770313670\
         07220323903061452624216993099841026299810272129025491785848242\
         3304946651448392643633411/150655602628975575655852125858093901\
         07189790014261404391466146140235924535258580599743447040000000\
         000000000*ep^2+18526037230018822470065496/148225*ep^2*z5+
         26264143127463828474591218841083101/755838643560000*ep^2*z4-
         713978347713065529334109997825851585681848297/
         31869598115005701850800000*ep^2*z3-
         40448376584462528164137539540525397207190926717307662242304636\
         49033322884704269223421294632002021251560931530916480484388208\
         10238631549710515282774539146738192774052382483442557627270198\
         62821169/43738321858681059252479205662011444815694793621634010\
         42618495878391239960246476377893397679809695601094708500163550\
         9829867845425357064490349677442557280256000000000000000*ep^3+
         9167499001498868938084194/29645*ep^3*z6+1055306353900018636999\
         03097775565693/240494113860000*ep^3*z5-71397834771306552933410\
         9997825851585681848297/21246398743337134567200000*ep^3*z4-
         2393712021818093619826170696560632615047556479938170333871/
         25595568393203563532133421665600000000*ep^3*z3+
         6683811311810722208865048/148225*ep^3*z3^2;
Fill mncnoptab(16,12,2,1)=
      +mncF321*(-73434257005402800-54125517980542897044/77*ep-
         397452286821341443551084/148225*ep^2-
         235551734604272900236112413/40465425*ep^3)
      +3502829667627546654427799347411164700244988531948835739/97506927\
      21220405155098446348800000000-20653589645089240437/1185800*ep^-3-
         2486908830390473163991102979561/10581741009840000*ep^-2-
         30339001350397748641400840323363653636461/
         25753210597984405536000000*ep^-1+13026608398173091670496/13475
         *z3-5803715012273463419666744285836133033317825048610601830350\
         891973637624151671401432581542104321611173003453477435885858671
       /192039696282606115234130737978741557797526049815289339987565954\
         4220122785508187176960000000000000000000*ep+
         19539912597259637505744/13475*ep*z4+62607762342388186931303893\
         8717903/35992316360000*ep*z3+714412141365950124237682730032938\
         08502039589173356558149166251317757099882941716690352843650418\
         0094573299785504487669697313017545869/
         61693469276565498231071445538889452488942190108400450983053868\
         444266110971883887555949415628800000000000000000000*ep^2+
         27789374375743860892786869/296450*ep^2*z5+18782328702716456079\
         39116816153709/71984632720000*ep^2*z4-465992963501613705150458\
         115133095750512202293/28328531657782846089600000*ep^2*z3+
         72130033273444373991421942503654956839333903329518333085798135\
         02570877503542039704073763627512686797113553974226801704952534\
         09278663347389598739052298833943219931550718770860396320913492\
         4056306585995499/257468365266242222855922124079784245622888383\
         57834995449938939644142433478488398603243103779554761261819070\
         00549400308328814388367034449389740231204535900569600000000000\
         000000000000*ep^3+27502788990984052876035957/118580*ep^3*z6+
         159207240566834532715428612232389877/480988227720000*ep^3*z5-
         465992963501613705150458115133095750512202293/
         18885687771855230726400000*ep^3*z4-240596610555664612910415763\
         5790815308537786587371404388121/341274245242714180428445622208\
         00000000*ep^3*z3+10025504613887413402744947/296450*ep^3*z3^2;
Fill mncnoptab(16,13,1,1)=
      +mncF321*(-302198588499600-244463944228448958/77*ep-
         36598421622563949373909/2668050*ep^2-
         148964916701386125812862823/4370265900*ep^3)
      +3439418176562580991528691381031317316185858479279727239/
      2369418331256558452688922462758400000000-8520817469233456309/
         16008300*ep^-3-27274651508424133418170041735997/
         5142726130782240000*ep^-2-202548581493968715987377238141665523\
         487879/9387045262965315817872000000*ep^-1+
         1446462499896933471569/363825*z3-12318953327846172351481788975\
         4871108409596630373798135114181756076876045543/111742369333067\
         94318189475436631340911194045153280000000000*ep+
         1446462499896933471569/242550*ep*z4+27647184368663876876881505\
         735279801/367337580770160000*ep*z3+229176813341760490974298448\
         364314206425089827652256063085288637679907824857146632082303/
         62820893205287565640603498629605242190832705435901592862720000\
         00000000*ep^2+171547704502836465424912/444675*ep^2*z5+27647184\
         368663876876881505735279801/244891720513440000*ep^2*z4-
         12303467961494404669794801985971649804701277/
         10325749789261847399659200000*ep^2*z3+
         65269057610099944623586631432235529240834021335475310142577508\
         20979567900346280466536862179434264991402338314954232768746088\
         663629853769139421589/9402812675946287598300684460199691644941\
         60436206295572642345813156275714899145374550561323170686250695\
         7445529600000000000000000*ep^3+1528018253026661920636949/
         1600830*ep^3*z6+134211412553707222750434035595174793/
         77920092890640000*ep^3*z5-123034679614944046697948019859716498\
         04701277/6883833192841231599772800000*ep^3*z4-2964387391079151\
         514500941886383528520601751439698010660371/8292964159397954584\
         411228619654400000000*ep^3*z3+557493040500634961952004/4002075
         *ep^3*z3^2;
Fill mncnoptab(17,1,1,12)=
      +mncF321*(-2216268824628370692375-5673006010060652609310159/308*
         ep-138254510860302944343304741/2450*ep^2-100181631249612140081\
         22409545581551/106828722000*ep^3)
      +107175164877998317244008277734089674607400193506782351925129829/
      9828698262990168396339233919590400000000+14469947142257884847/
         18972800*ep^-3+1811073573558423600323860676761/
         507923568472320000*ep^-2-1788303983418072291496109902652965039\
         051861/122379256761621895107072000000*ep^-1+
         8645943106603654301953141773/296450*z3-
         22395033041340678348306150581271766987601642166261920670792881\
         2020534458270057144933581554656701191659567071/
         21256829873173707731899149154094117902513316060558897781866433\
         08544000000000000000000*ep+25937829319810962905859425319/
         592900*ep*z4+371828769981676130731426197059913889672069/
         761885352708480000*ep*z3+3255364966635195779539438638179978703\
         78028655639678693087747598843229719325365662132519995548239740\
         88277916391932238713/68288359442516041916888232988966977787057\
         092861607367666782317797190213304320000000000000000000*ep^2+
         1916929102971874809703130486903/677600*ep^2*z5+371828769981676\
         130731426197059913889672069/507923568472320000*ep^2*z4-
         4065325376341859542188474460973378822524198488217483/
         3599389904753585150208000000*ep^2*z3-
         15825466542443533572651723800736826579548284496484971978095369\
         46483923751360094513391624375798798664505636169659332725075902\
         41006254694317245130060680889070923/
         94883940019017890903426956800557313949408401014675611128125204\
         93897082411988385918676726441806205802720002048000000000000000\
         0000000000*ep^3+13280168631097465199090663139953/1897280*ep^3*
         z6+376217135810806388722468302132258938345251/
         58606565592960000*ep^3*z5-406532537634185954218847446097337882\
         2524198488217483/2399593269835723433472000000*ep^3*z4-
         41374661610413155599735501479383844684975559302755935724551581/
         42002984029872514514270230425600000000*ep^3*z3+
         4841728150847559415315889503751/4743200*ep^3*z3^2;
Fill mncnoptab(17,2,1,11)=
      +mncF321*(-15774619281178403163375-3667621199564519427512997/28*
         ep-981876720138292311703021683/2450*ep^2-
         5930562135718789173827540284277/8918000*ep^3)
      +63681024440710529903474318755481457931695436417035894751463/
      820494053175571282773122457600000000+1527512303747737791/156800*
         ep^-3+8894712385742201330841676201/127203498240000*ep^-2+
         42448499142955209604443750842243919433/
         10216149658704557568000000*ep^-1+508584888708286858763331069/
         2450*z3-325810701086652543577304066904386612747892353593054107\
         8880675111337501326821870659447947330187036089247735870411/
         43410311479179470044489316963415478596550830180399552706531595\
         71193856000000000000000000*ep+1525754666124860576289993207/
         4900*ep*z4+2429218509855881795438927619196996039373/
         699619240320000*ep*z3+4737958967912124287538633910706786851598\
         11686914805654046810476416283821789299100881155229169634792094\
         5835135587880020888799/139457246046970942329179751442195835364\
         4045940039225370242361806360073592425676800000000000000000000*
         ep^2+112760535481397780954779453959/5600*ep^2*z5+2429218509855\
         881795438927619196996039373/466412826880000*ep^2*z4-
         453057837182627868981820967657539052628455081921587/
         56188823122875066624000000*ep^2*z3-
         59990469589505111445727919428844607540911911681820938980118425\
         14772621424590786366836623629347333681798400748831238964869129\
         202321711529534683392249799830354310083/
         64590085714764178825896459320233924259379100617990088738854684\
         96209213918269912159913757054204079004615215939584000000000000\
         00000000000000*ep^3+781186390150451876943242880609/15680*ep^3*
         z6+817071223211132281848192586182905111689/17938954880000*ep^3
         *z5-453057837182627868981820967657539052628455081921587/
         37459215415250044416000000*ep^3*z4-241024988192030205845012424\
         1023554755423639135205635445447693/347132099420434004250167193\
         600000000*ep^3*z3+284807538284474204317197604503/39200*ep^3*
         z3^2;
Fill mncnoptab(17,2,2,10)=
      +mncF321*(-102071065937036726351250-11865467945811738754222155/14
         *ep-635323672367127455927379084/245*ep^2-
         42219751458234610543423926942501/9809800*ep^3)
      +856155995378454512790011729123962476706895783412793240310807/
      1704804310487020331984154439680000000-16285368865758255819/266560
         *ep^-3-1861300747849383463028866582399/2378705417088000*ep^-2-
         226673351483069743772038471232386621881589/
         63680666205925075507200000*ep^-1+5594433790937863299726211479/
         4165*z3-478583485052955595711520739638067585835418042926810669\
         597169621927473619377180026875431804725156379516497147939810521
       /984951027254929388996099609021921599036673969573145584542730885\
         64007796736000000000000000000*ep+16783301372813589899178634437/
         8330*ep*z4+26720995211193027505911567390130565726543/
         1189352708544000*ep*z3+187931764647503923776354731958917319640\
         69517718400192354662179940294071228994576633428103684747135581\
         06719301618031033286798196551/85433182415326962922163465890506\
         47509425862714193099325149137509178574036030787158016000000000\
         0000000000*ep^2+1240365890619941034454699499469/9520*ep^2*z5+
         26720995211193027505911567390130565726543/792901805696000*ep^2
         *z4-1661318400612977139560120652313999491060306345584539/
         31840333102962537753600000*ep^2*z3+
         60690312825721920297334659262649563528402112680583899021341555\
         06755301342310618524558932341347349099314581414987661887316224\
         25328434056038534218256786971967140730891/
         10775779300079823834120392629925693030606413286434679804598923\
         27450903855364697012012278468543047180603305192587264000000000\
         0000000000000000*ep^3+8593050293684581428387277112619/26656*
         ep^3*z6+8986767605989013697610896968815786126499/
         30496223296000*ep^3*z5-166131840061297713956012065231399949106\
         0306345584539/21226888735308358502400000*ep^3*z4-
         2942373522399809347883767442377194893882316922555670114473207/
         65569396557193089691698247680000000*ep^3*z3+
         3132882917928749291555632382973/66640*ep^3*z3^2;
Fill mncnoptab(17,3,1,10)=
      +mncF321*(-43818386892162231009375-10198718287284162965825925/28*
         ep-109419931434745633503992853/98*ep^2-
         5046400622041733891030282340371/2716560*ep^3)
      +53883944180585439951558619728578878882877926101023968154209/
      249935111582712483060120379392000000-64491722201550969/6272*ep^-3
         -4766954900993014175008061617/38748142540800*ep^-2-11607896270\
         7866353550848199546492880277/239384335198047621120000*ep^-1+
         56509432198467333452208309/98*z3-45635153771496070738144179231\
         58853187964757660005327559611054237015876141077104669644167387\
         909584496756635021880209531/2190067578249195935532503836531096\
         261387428002933229593865601616305585127424000000000000000000*
         ep+169528296595402000356624927/196*ep*z4+186962044543941786888\
         897217547131656449/19374071270400*ep*z3+
         13000952860741860129487470478249013432871072347788122027890453\
         52923722905340607642679337103282340098254651903511741148603507\
         9253/137954389136629467233020590826654054362124657437950854154\
         6573530893887387594360094720000000000000000000*ep^2+
         12528948389270584779178617999/224*ep^2*z5+18696204454394178688\
         8897217547131656449/12916047513600*ep^2*z4-3471618912554504062\
         6680573982871030734602223132351/1555998178787309537280000*ep^2
         *z3+4339860784685193805263318578571333240625117337826391913377\
         10573754886517588208650234006022292178061876694848647103932330\
         19599651671370984169655808474707619541612706859/
         81464891508603468185950168282238239311384484445446179322767859\
         95528833146557109410812825222185436685360987255959715840000000\
         000000000000000000*ep^3+433992439048593080595074965245/3136*
         ep^3*z6+273424958896463481067131303840958567747/2152674585600*
         ep^3*z5-34716189125545040626680573982871030734602223132351/
         1037332119191539691520000*ep^3*z4-1871795398865055127851254800\
         97709691456110843168374757392129/96128889070274031946200145920\
         00000*ep^3*z3+31645282004929117005540102303/1568*ep^3*z3^2;
Fill mncnoptab(17,3,2,9)=
      +mncF321*(-255177664842591815878125-59433137922479285022490575/28
         *ep-638410245887337284275541757/98*ep^2-
         655388420940218097048328083981/60368*ep^3)
      +2439190514820426645122434263960285610915359166504322770601/
      1942796935027943398272540672000000-142461360891400060107/106624*
         ep^-3-1426819604153028078257261422939/73190935910400*ep^-2-
         205971863431703719426342511035026965783209/
         1959405114028463861760000*ep^-1+5594433828036594144532864767/
         1666*z3-173194613865228545672440836183842466085668915192472607\
         00789841676236309574257120321129654476617037248848366171875359\
         40863/14308367938789069473162386701220042022831174872275283158\
         3096397863142754877440000000000000000000*ep+
         16783301484109782433598594301/3332*ep*z4+205728082533948675553\
         3701514882744300043/36595467955200*ep*z3+
         12584791048409476442418946893763774380089310426101629725982882\
         00438299356688383345163753902048148581791485653081016846487302\
         46665191/22983083053059152400459730741620084070036888759639989\
         71891972559788427677182650325401600000000000000000000*ep^2+
         1240365891575125791919134895437/3808*ep^2*z5+20572808253394867\
         55533701514882744300043/24396978636800*ep^2*z4-976748860099671\
         7661990551637749024869048820249603/75361735154940917760000*
         ep^2*z3-195415585379174453022033742787473203056113301335462846\
         29956764815381501433219439371785187342793225672750083080812207\
         7858580847735333930764356698372500449739799564647384769/
         39917591586276650271613980165103786296996862018015552921874259\
         01764795843644309998021865077376225060642491311511830528000000\
         00000000000000000000*ep^3+42965251498886475185607092158935/
         53312*ep^3*z6+9045602752287317272144018638110670749987/
         12198489318400*ep^3*z5-976748860099671766199055163774902486904\
         8820249603/50241156769960611840000*ep^3*z4-3324825912296483454\
         74174316370572399548361627983861704588319/29141954025419150974\
         08811008000000*ep^3*z3+3132882912207108128134569082749/26656*
         ep^3*z3^2;
Fill mncnoptab(17,3,3,8)=
      +mncF321*(-567061477427981813062500-33097887320397020437484025/7*
         ep-1427925997447684912696282881/98*ep^2-
         5526820203047560903612846572019/226380*ep^3)
      +8443343953622163602269604743459766420449918751081150653729/
      3026279841101219524232226816000000-1335081357267618174799/26656*
         ep^-3-103127807703014849160681472177247/164679605798400*ep^-2-
         4030990464072546858320919929111714276174119/
         1469553835521347896320000*ep^-1+6216038462918697664823565968/
         833*z3-5641107787882392688680978156786236793104942965570383999\
         32713510592384415009933185075688565472735698442087863690743693\
         607/2092070941570992959536275616307943427274848973566725700501\
         5450967945406054400000000000000000000*ep+
         9324057694378046497235348952/833*ep*z4+10298707702412790503053\
         885916346017399719/82339802899200*ep*z3+
         19783678623743727201285130215235662431113617840942485513668050\
         80024101745109728571427008641022979573496050757144464399320542\
         53159/16292984224535568107964797545419330431594437922777191785\
         69251380637050870687932088320000000000000000000*ep^2+
         689092172584150758602083951449/952*ep^2*z5+1029870770241279050\
         3053885916346017399719/54893201932800*ep^2*z4-2097928353492294\
         99500211500506259450824959994456009/734776917760673948160000*
         ep^2*z3-831202400760497079700435307791449088614054170616888615\
         78606972102411252711618981590702131133963238612537066419925035\
         8472762981749733769446952068179006745766167023623061/
         51879778802573096297260646481941890466052538164810915858628051\
         72287868826495667170461480701933317196388654554651033600000000\
         000000000000000000*ep^3+23869584501928528644479995661995/13328
         *ep^3*z6+45625798676156092010066296017058359561871/
         27446600966400*ep^3*z5-209792835349229499500211500506259450824\
         959994456009/489851278507115965440000*ep^3*z4-5101515851552190\
         303309602659285428826412206995642654276724361/1967081896715792\
         6907509474304000000*ep^3*z3+1740490428858326332101280345993/
         6664*ep^3*z3^2;
Fill mncnoptab(17,4,1,9)=
      +mncF321*(-62268234004651591434375-14538611552109381564238125/28*
         ep-156820631152470902118711495/98*ep^2-
         2428026076911538850896794571337/905520*ep^3)
      +340319621816295338720664264188269742740519394832610173209/
      1110822718145388813600535019520000+555912797523327855/6272*ep^-3+
         336333098184193520280579827/861069834240*ep^-2-187039506640560\
         790552675329594191551/55996335718841548800*ep^-1+
         80302876992026920506078765/98*z3-12161666824313976499529642443\
         15345355188143191103890670124114169693485535861945922147896269\
         399323421859318037457660071829/4124176641180378848146805578586\
         95328893369158083228749857160205605529116999680000000000000000\
         000*ep+240908630976080761518236295/196*ep*z4+59133108528971299\
         48823157126567927517/430534917120*ep*z3+
         44062231848883437382211577545340206557406543099565934247814111\
         13319508511661199576828835073361224579502371174361480155471017\
         2750559/331226785176440725771331413629230623362296338006576322\
         4197254571459792828880878410137600000000000000000000*ep^2+
         17804295072198364748892681015/224*ep^2*z5+59133108528971299488\
         23157126567927517/287023278080*ep^2*z4-10838744057163991159627\
         26883138386754919837956259/34577737306384656384000*ep^2*z3-
         89863034902011171191453606234250608752678525848502099708922770\
         71643981646840066753279143724386609201476394721892092392725084\
         0849876492924532053009174001534923068315281457/
         76704391675590426012120981493728844256974362309127925222425046\
         73979411621120438819728289756526863842018904873101164544000000\
         00000000000000000000*ep^3+616726097367580612570757534325/3136*
         ep^3*z6+78607142288444524880454615461176488719/430534917120*
         ep^3*z5-1083874405716399115962726883138386754919837956259/
         23051824870923104256000*ep^3*z4-791520074844631037882814247620\
         07709966099456453421606471161/27770567953634720340013375488000\
         00*ep^3*z3+44969611346003529532746331335/1568*ep^3*z3^2;
Fill mncnoptab(17,4,2,8)=
      +mncF321*(-322329681906431767425000-18839080790408611297743750/7*
         ep-407311871866595732286018990/49*ep^2-
         527063012414160634695278473047/37730*ep^3)
      +138648620053594451339366902991067147902100939160708861561/
      87425862076257452922264330240000-233835668921559595995/13328*
         ep^-3-138291543903864341564668030901/609924465920*ep^-2-
         3430997179195609366284200063070129787867/
         3265675190047439769600*ep^-1+3533326926765869355273798660/833*
         z3-37457232619905665238383327381660186951470711602372471566515\
         046067968560521185493234513984200427444509366709317716080199253
       /244772300163806176265744247108029380991157329907306906958680776\
         3249612508364800000000000000000000*ep+
         5299990390148804032910697990/833*ep*z4+21696134045351128831788\
         944876252154229/304962232960*ep*z3+
         13777914318278185499918540805228337559916744781409846250144107\
         51705551004870834591084627823500993282325676776568913290937131\
         050731269/2001593111984194542063475378454764743521376698813178\
         0108723253211126169946401245705011200000000000000000000*ep^2+
         195847247836105501257028923165/476*ep^2*z5+6508840213605338649\
         5366834628756462687/609924465920*ep^2*z4-131845951578518356028\
         7872758645636437680444249321/8164187975118599424000*ep^2*z3+
         74188434332639365065543618719831271636957250116250757757852896\
         19853579975113442374643884855642623074179621048310156510300372\
         905667815742896660631227526349060557487311801411/
         91049011798515784001692434575808017767922204479243157331892230\
         77365209790499895884159898631892971679662088743412563968000000\
         000000000000000000000*ep^3+6783987135728375156890536337575/
         6664*ep^3*z6+289583495812384658632468891266754504503/
         304962232960*ep^3*z5-13184595157851835602878727586456364376804\
         44249321/5442791983412399616000*ep^3*z4-3263220474858840480694\
         1267073321658131775940851739878380313/218564655190643632305660\
         825600000*ep^3*z3+494665709590511834600020033485/3332*ep^3*
         z3^2;
Fill mncnoptab(17,4,3,7)=
      +mncF321*(-626752159262506214437500-5248493921752151170010625*ep-
         228077449849294607196908325/14*ep^2-
         59408280777263304368262655621/2156*ep^3)
      +17775378937595567698803854974206304123922697274677260627/
      5764342554478513379489955840000-1499309344515117050175/3808*ep^-3
         -1508243361732346735246658709101/313675439616*ep^-2-1691701703\
         36825522515304838402850476122959/8397450488693416550400*ep^-1+
         981480639493274012801943000/119*z3-
         50583147989163958440298778318621464711403563831987504937621874\
         020589115728296087359820490198195431041399818325484318892199691
       /171440517175955672845721276749950374604418766579974960139222943\
         7443402067083264000000000000000000000*ep+
         1472220959239911019202914500/119*ep*z4+21727966025464446631921\
         687671563590501/156837719808*ep*z3+
         73035672666721711294227690723130529807850084905720693500169281\
         65328455674797319417342075272035801125676622163591962388736378\
         162689493371/5507590609593827430902355866430341005642785213818\
         8845675256578369273700278173456840785920000000000000000000000*
         ep^2+108804037989103598827694867625/136*ep^2*z5+21727966025464\
         446631921687671563590501/104558479872*ep^2*z4-1304206725951942\
         175758429658659017300053276649761/4198725244346708275200*ep^2*
         z3+99470969242948852564265147750512977969945929438465743955118\
         35277761914585161011887208270707744897074081706435396796370366\
         478495672226217666466601014848186862361495873281795558621/
         73719820615783088433069908448282474128227022586390503765977669\
         63949819265541012843193654806731249122064884404878583466557440\
         000000000000000000000000000*ep^3+
         3768882104038894998457242646875/1904*ep^3*z6+97556633386446705\
         793485380991028479709/52279239936*ep^3*z5-13042067259519421757\
         58429658659017300053276649761/2799150162897805516800*ep^3*z4-
         2234408606048711226772126451520493124818718208656234502479/
         7493645320822067393336942592000*ep^3*z3+
         274814200842182482784023428825/952*ep^3*z3^2;
Fill mncnoptab(17,4,4,6)=
      +mncF321*(-593765203511847992625000-4995998312629676902728750*ep-
         109420241270318836909719525/7*ep^2-
         28795626230234017990173003675/1078*ep^3)
      +10665049624675516644253988872703544615448821881399430037/
      3650750284503058473676972032000-82055218981739468829975/36176*
         ep^-3-8901717239796058799648745849021/331101852928*ep^-2-
         113372495376901059934456667025286826015749/
         1063677061901166096384*ep^-1+17666745917329538357915176200/
         2261*z3-100428779625305900761727348369945731792129278024998193\
         60671549378477173925489447024783640388924202165487725836432099\
         6581800687/360083399170587170007594858479912776592614246133110\
         6730815311828643880191918080000000000000000000000*ep+
         26500118875994307536872764300/2261*ep*z4+114630360559891238143\
         7535470135356743/8713206656*ep*z3+
         14423254028613567948191967283356927699112390515317992013870398\
         04115513906478138296699092762073315097739962658775323182251020\
         8934185002359/115678136102863552332728052636759713298789791480\
         719769402962371234784047352966359180902400000000000000000000000
         *ep^2+979236915417540171175321573425/1292*ep^2*z5+343891081679\
         6737144312606410406070229/17426413312*ep^2*z4-3493658097653885\
         72572039703820328757153027664857/1208723933978597836800*ep^2*
         z3-76944097663451016332389879908222082884293405735505705666140\
         44356353175270899593884403711508962756065230285356142805140203\
         34631241402129860476484993493715233555101543241407568663/
         18471746435473993813728401096451731045734888879356350716871955\
         77134818659506308206741267247491616843510588949521731231416320\
         00000000000000000000000000*ep^3+
         33919957121267315223977951545875/18088*ep^3*z6+297687709719764\
         679898153008806501387799/165550926464*ep^3*z5-3493658097653885\
         72572039703820328757153027664857/805815955985731891200*ep^3*z4
         -2329486486203607186484231964218985994477631746003280094367/
         7909958949756626692966772736000*ep^3*z3+
         2473323649392494974984824816225/9044*ep^3*z3^2;
Fill mncnoptab(17,5,1,8)=
      +mncF321*(-49814587203721273147500-2923677543199136617500750/7*ep
         -254623242111288053861598507/196*ep^2-
         1662403844760194712827435810593/754600*ep^3)
      +1400491915188742759140288318788656489157868024166495283/
      5714108632435127641978060800000-182057374806507369/1568*ep^-3-
         921771629859190467972717051/358779097600*ep^-2-944933503494277\
         7234375675775047533343/443304324440828928000*ep^-1+
         32121151108068175522874271/49*z3-37367707560936812589087782284\
         54720797823806764846644522836268081333265352364152668711455464\
         724121277344813251745886392881/1587420358415272407841076661391\
         77877966324091895768155836438562293099870027776000000000000000\
         0000*ep+96363453324204526568622813/98*ep*z4+105694350607410915\
         46504400465439317/959302400*ep*z3+
         55899043625447129153967145908191841467759163121126309000439780\
         78867597923791466398343717898619097024056232915982493307574364\
         0756889/529833470819345614075625835473320079167423243803488296\
         9956155261768692044635623863091200000000000000000000*ep^2+
         3560859017764642925531017623/56*ep^2*z5+3170830518222327463951\
         3201396317951/1918604800*ep^2*z4-35406256055224899743888140150\
         8338003166050615233/14407390544326940160000*ep^2*z3+
         16687286308829085241732989650353456453633260830362325374784222\
         05543521751888088604607222119324148134920065908463978559179015\
         89090699809924136084647442636524318580611062997718037634183/
         81485603351441858421375269941688184340019452021633370336730287\
         27267525772838579083541079024253676358149347266769123935177253\
         32275200000000000000000000000000*ep^3+
         123345219577439775372670645965/784*ep^3*z6+2672431114453383976\
         7131098873360400853/179389548800*ep^3*z5-354062560552248997438\
         881401508338003166050615233/9604927029551293440000*ep^3*z4-
         9243748427845651425007067476150582951063439025241860061249/
         385702332689371115833519104000000*ep^3*z3+
         8993922234779882903993045127/392*ep^3*z3^2;
Fill mncnoptab(17,5,2,7)=
      +mncF321*(-225630777334502237197500-1895232510143090287562250*ep-
         165559137908731752665035881/28*ep^2-
         1085189586329902380435655960419/107800*ep^3)
      +10665236919769742890443250477174202149139477174253292189/
      9607237590797522299149926400000-268537730104384688259/3808*ep^-3-
         791899241852043757843841361161/871320665600*ep^-2-194499346473\
         44119760970643990296757146203/4665250271496342528000*ep^-1+
         353332843391399735060658981/119*z3-
         63572511791521636397516456893303133490424892757207501240848715\
         216376325547201945082840175708794766850992889902005345375887691
       /600041810115844854960024468624826311115465683029912360487280303\
         1051907234791424000000000000000000000*ep+
         1059998530174199205181976943/238*ep*z4+21761064827639188509190\
         037320300799869/435660332800*ep*z3+
         12038239805342453575009165786372042481633071164966043638667131\
         49500481885093537787932100610983605728657489251393338093843469\
         90296255231/25363904123129468431787165174350254631249668747850\
         12629781552951216551986494830249246720000000000000000000000*
         ep^2+39169451406572239768378553853/136*ep^2*z5+652831944829175\
         65527570111960902399607/871320665600*ep^2*z4-12893785681661050\
         75754877417529405679582208981721/11663125678740856320000*ep^2*
         z3-43496896292905274659264458191579673188862770019505676321728\
         75567186621735050864969676125213720594951795300083737032778026\
         88781318520199467170279972153291021674556935609941412385588209\
         9879/308013996886072159879282069937016872506258173550384020662\
         53267772186363698768646456114072859802817845148397598469567014\
         83522305556480000000000000000000000000000*ep^3+
         1356797485494372402490823025615/1904*ep^3*z6+29588116548799930\
         4891198812139381362983/435660332800*ep^3*z5-128937856816610507\
         5754877417529405679582208981721/7775417119160570880000*ep^3*z4
         -34435881360192079748642812090060740829081882001854364484313/
         312235221700919474722372608000000*ep^3*z3+
         98933128767366979540241643597/952*ep^3*z3^2;
Fill mncnoptab(17,5,3,6)=
      +mncF321*(-376051295557503728662500-3169475383971052568733750*ep-
         278444602833716181264802335/28*ep^2-
         367699383855511030768146025893/21560*ep^3)
      +3555016046451082324441327419947833657288881223928082559/
      1921447518159504459829985280000-4510380740480965413765/3808*ep^-3
         -7430462766933144559928690997641/522792399360*ep^-2-6456064681\
         761547641238107180949751629043/111966006515912220672*ep^-1+
         588890871147713136192046935/119*z3-
         23455704778310389805690163048293379914250515573127194077655679\
         039308968067604159062642337131106320616164890219282954914404291
       /132662304957584746844903368913652075586752616996409195345827277\
         8974061123338240000000000000000000000*ep+
         1766672613443139408576140805/238*ep*z4+21798131787413303329198\
         610593365272989/261396199680*ep*z3+
         33632311652495912884286140333044454829860863602927099727814206\
         94624978402285593214106074845702331409034179078540890576251793\
         090524936347/4261826066947604559626822991880621016271202844026\
         5178201091399928604649024777079698227200000000000000000000000*
         ep^2+65282453009633030027740792155/136*ep^2*z5+217981317874133\
         03329198610593365272989/174264133120*ep^2*z4-12727649570707092\
         03067015588956749919412125525241/6997875407244513792000*ep^2*
         z3-51615123737784181342936513257294373921014837064404873409051\
         74591179580373092749674112721638636229586545424292186983305369\
         10745075863931095173183102934873822793844174749676216999223687\
         9949453/167283554142147472613349205142919478147127578966747253\
         53482397613450432509155226875047191492200222559113801073270856\
         93597373181408051200000000000000000000000000000*ep^3+
         2261330220491247525523245848025/1904*ep^3*z6+99823448254158481\
         952440014880004946541/87132066560*ep^3*z5-12727649570707092030\
         67015588956749919412125525241/4665250271496342528000*ep^3*z4-
         11815829238978832048558906019635403082272902377280887810451/
         62447044340183894944474521600000*ep^3*z3+
         164888301287626863430160656395/952*ep^3*z3^2;
Fill mncnoptab(17,5,4,5)=
      +mncF321*(-296882601755923996312500-2515157191815644390478750*ep-
         222858393112802068604397675/28*ep^2-
         59507594353066135547123766477/4312*ep^3)
      +2983084097100659463965932714334939976229225538070763/
      2042377781540172572686417920-327221256172977841776075/72352*ep^-3
         -35108292941466721955245060298441/662203705856*ep^-2-729376533\
         891701645247837450160635424604411/3545590206337220321280*ep^-1
         +8833541359887371116759480425/2261*z3-
         12992522731780375496777574903723706304224451061488488570525552\
         27261954859462622974659599691422335186133790404646244004520361\
         0509/924447254739208021377212674387744070100169877158194075440\
         401884784641424357117132800000000000000000000*ep+
         26500624079662113350278441275/4522*ep*z4+115025349014999128386\
         9060684686150671/17426413312*ep*z3+
         18521334622393738194214744240962033321162900691114645408729962\
         61397361548563752463156143993783036586409454027588434353876972\
         319992649778289/2969821313616830673831317685065337370907444429\
         51187302842073909419221581684232719158833315840000000000000000\
         00000*ep^2+979238963101715622206517453525/2584*ep^2*z5+
         3450760470449973851607182054058452013/34852826624*ep^2*z4-
         249476455488460917256158368429914357721256605477/
         1772795103168610160640*ep^2*z3+
         64207524989324076446758245388950899448515348490253865105920006\
         09992457802629866222087220350581912893986312319908264208643470\
         511751182309573055391887331296767238886877501408425250933/
         24185617038001003026984382758588886853463789409233044785936448\
         38494382725399582954706316799805983679318531860874131073724967\
         813120000000000000000000000000*ep^3+
         33920022054164551932557731656375/36176*ep^3*z6+304942467259369\
         611060872207717551251783/331101852928*ep^3*z5-2494764554884609\
         17256158368429914357721256605477/1181863402112406773760*ep^3*
         z4-295756953719343016204256285055307114514527496392485407533/
         1898390147941590406312025456640*ep^3*z3+
         2473308839712307069287750572325/18088*ep^3*z3^2;
Fill mncnoptab(17,5,5,4)=
      +mncF321*(-118753040702369598525000-2026619291811067812304875/2*
         ep-90851443517728615528729845/28*ep^2-
         246266256861289450071954632673/43120*ep^3)
      +533162618758819487314484010111161997383331018526666399/
      912687571125764618419243008000-197800693001315701940565/36176*
         ep^-3-6594589268463887767419707155151/103469329040*ep^-2-
         361356088261944849444077549584297654622483/
         1477329252640508467200*ep^-1+3533598677394271924683486345/2261
         *z3-8324130680778246968381683597117102122426763001946627771765\
         63074017976457099725430706442996914767769302793232562295542676\
         170593/1560004742372413536074046388029318118294036667704452502\
         30567818057408240360263516160000000000000000000*ep+
         10600796032182815774050459035/4522*ep*z4+115444889076286527450\
         3833767144239271/43566033280*ep*z3+
         46760669385343695707416823338036963142866549029835778580536224\
         47514421174471581705527507260924932582120577579594981221376009\
         637646415501/2004629386691360704836139437419102725362524989920\
         51429418399888857974567636857085432212488192000000000000000000
         *ep^2+195848899315362387558839315655/1292*ep^2*z5+346334667228\
         8595823511501301432717813/87132066560*ep^2*z4-5385395345281685\
         16832584414529241590570149869/9848861684270056448*ep^2*z3+
         85437232445646326848363479235162995310338524429022935562949180\
         58384653125261903533534209108443545230329113984904808636921734\
         0249418360237408664016697532418351861000691037894795252701/
         14733575579337236031501048671747867510044472210737155470532660\
         15050296776529358441220154365481807682644858127996259723474828\
         82965504000000000000000000000000*ep^3+
         6784039502489798126065706321025/18088*ep^3*z6+3126076657636503\
         91929869264808320727933/827754632320*ep^3*z5-16156186035845055\
         50497753243587724771710449607/19697723368540112896*ep^3*z4-
         48822392796920288657351357681790126130807233169006322617/
         741558651539683752465634944000*ep^3*z3+
         494653749484509635238959691015/9044*ep^3*z3^2;
Fill mncnoptab(17,6,1,7)=
      +mncF321*(-23246807361736594135500-196510849906302930334050*ep-
         86741303204781509412580569/140*ep^2-
         1728865178882538578945480147993/1617000*ep^3)
      +704594040984012100989609475354782724410592413456889603/
      6160285704000603447207936000000+204150294433786077/1120*ep^-3-
         91904984976946373194115837/33426624000*ep^-2-70926207760153843\
         4155761644276258387/13767215044746240000*ep^-1+
         10707050087401172146237557/35*z3-35730361742995576277635207968\
         19767886471913993413478118079174155705066255447295048429217740\
         747806252216012516858115097/3287131330793757195395975229309938\
         786033885921828766234983093135104750387200000000000000000000*
         ep+32121150262203516438712671/70*ep*z4+41088470044643048104010\
         67042446013/795872000*ep*z3+2553836194256551852852980900853971\
         39547062610555696026471779450960781630707189434533158372497450\
         088572066367664129107201986962193/5280016051106630429789080082\
         56076901576443179838430077703460307271227890450122670080000000\
         00000000000000*ep^2+8308671020368343109339064587/280*ep^2*z5+
         12326541013392914431203201127338039/1591744000*ep^2*z4-
         4973522791950908328379582076636345771012844557/
         447434488954252800000*ep^2*z3-
         17714374308628741478380248091528605439459707913531041520663174\
         01667805721509753749189868484420298666946319236663140572008536\
         94571262558972845160072026997413073293459983380801698923608656\
         28713/83417221262432812797856958459498376890676349679320461479\
         57019075429273111195663114716390545315762797446892477738432355\
         2027312429402685440000000000000000000000000000*ep^3+
         8223014619669133732169164131/112*ep^3*z6+119603996798496546357\
         3279268762324211/16713312000*ep^3*z5-4973522791950908328379582\
         076636345771012844557/298289659302835200000*ep^3*z4-
         1292455694143564678472796382956754613823007034206267305589/
         107804999820010560326138880000000*ep^3*z3+
         2997974109466538893380593709/280*ep^3*z3^2;
Fill mncnoptab(17,6,2,6)=
      +mncF321*(-90252310933800894879000-764645425493602574106900*ep-
         169390035275949656215151481/70*ep^2-
         1130766588339251069840637832119/269500*ep^3)
      +861154995567633787025211172808602899039234015519944057/
      1939349203111301085232128000000-1296292776864698518659/9520*ep^-3
         -163349756320421772448976460607/94708768000*ep^-2-130065487267\
         6718287699408922376555365567/169030806938273280000*ep^-1+
         706667109589154383038156762/595*z3-
         20345567597672514782367631684064323844597160308507197057281431\
         5563152241752406889180174129436309208128363652285411016079/
         48046033340305578054398844290839713737664602428846384783813729\
         025009909760000000000000000000000*ep+
         1060000664383731574557235143/595*ep*z4+13574541091158444531012\
         7523861875229/6764912000*ep*z3+2900759941075188212973225439541\
         17251835675796431767741617073443227849249695797769899402465862\
         75224695100549970397873444926930479303/
         15434967556806419642637390188438226884708193484694847509585281\
         46917213806739115212800000000000000000000000*ep^2+
         274186220239675962348475651371/2380*ep^2*z5+407236232734753335\
         930382571585625687/13529824000*ep^2*z4-18075348010899189288124\
         492864856943005669307109/422577017345683200000*ep^2*z3+
         96241901380397067952847163617458482762074423495915053328884241\
         41411674550868721979348845092505072427643684193164151650607202\
         84329927331805898313398415654734617564286696585361544180871685\
         8684403/780326175618948217072016415642291694935004159963167068\
         23216982673856904024306520565177663937133696433259819580114012\
         71956840654771637452800000000000000000000000000000*ep^3+
         271359551801319344816323024323/952*ep^3*z6+1326048388469128587\
         4384416223828849521/47354384000*ep^3*z5-1807534801089918928812\
         4492864856943005669307109/281718011563788800000*ep^3*z4-
         146226909410489762047967417106421779371541194117410763821/
         3085328277677069908323840000000*ep^3*z3+
         98933065855300910333497040397/2380*ep^3*z3^2;
Fill mncnoptab(17,6,3,5)=
      +mncF321*(-125350431852501242887500-1066029540378918765185250*ep-
         95052489976685919995018325/28*ep^2-
         127919250988086383902325250143/21560*ep^3)
      +22079632344753152296880917403171756605080485052941023/
      35803369903593250804285440000-5681606436948669395415/3808*ep^-3-
         1214137265403824446504607183647/68190312960*ep^-2-260929045252\
         91912101395520792600459211197/365106542986670284800*ep^-1+
         196299824972028360302191485/119*z3-
         54958989682189426931919276389541621105311597684569718561867345\
         4846044418483164628552328401218091745329523660280694485490931/
         94019552986443734693843140034349765583541304567322051913592869\
         034796992052592640000000000000000000*ep+
         588899474916085080906574455/238*ep*z4+136004856049473486524467\
         273263986429/4870736640*ep*z3+77858535691363220011702717136006\
         08195363910282558145479543122676134919110120581205661538358973\
         6248358247947872700728410325428851271283/
         30204132353082437567569973913707982414517614335233898076997092\
         23689006678710731951780659200000000000000000000*ep^2+
         152325967855744562298591972735/952*ep^2*z5+1360048560494734865\
         24467273263986429/3247157760*ep^2*z4-5341169683786011763911696\
         2146151338548968151983/912766357466675712000*ep^2*z3+
         15521834747294577476343964524991492776693940367614826964516886\
         88023769474024618047159508997635233995352524922923390357049067\
         00083984989048686081758080132934972377497614351601101799933352\
         205019/4635543359581780609260168798448561173380517505774380056\
         80956797083382042271656872987430157973577040736859955683937307\
         10676727401473585971200000000000000000000000000*ep^3+
         753777846279841677080872204275/1904*ep^3*z6+447855001428264628\
         7883220582449843227/11365052160*ep^3*z5-5341169683786011763911\
         6962146151338548968151983/608510904977783808000*ep^3*z4-
         50195346358509127588209275341554251951013434723650951823/
         740478786642496777997721600000*ep^3*z3+
         54962515010044256064489097305/952*ep^3*z3^2;
Fill mncnoptab(17,6,4,4)=
      +mncF321*(-79168693801579732350000-676983919990302044406000*ep-
         15227130572642520188459595/7*ep^2-
         20728150053824201468718857469/5390*ep^3)
      +13246112422864803861244124673321718763913510545566673/
      34013201408413588264071168000-62559175257228093545205/18088*ep^-3
         -4374720355564937907289087465207/107967995520*ep^-2-1815769464\
         5091280310580055978680088712449/115617071945778923520*ep^-1+
         2355723186208024248689315580/2261*z3-
         35325255657221539458336144665453433887594472087944065543026724\
         5620028682216674513822182567686164582361664126059184874828341/
         98656426395093346154880403986043833568002318906210434928422335\
         530376752797004595200000000000000000*ep+
         3533584779312036373033973370/2261*ep*z4+7178186182869976956083\
         549082188831/405894720*ep*z3+109160741543850967970786509042492\
         75829450063027568553022997807812175385183828745579700314363257\
         3095124584097612736310202176002917974383/
         69726239537090807124735284779794877403913912692887453710747787\
         42886071917803724710685651763200000000000000000*ep^2+
         456980567865963101137975564845/4522*ep^2*z5+717818618286997695\
         6083549082188831/270596480*ep^2*z4-908183031859381484887100977\
         20050779752823481/2513414607516933120*ep^2*z3-
         77725603205060367536583885333172600374099270753122691393033146\
         91506386151757246437114086025333302386301193506489452744415929\
         82466026330748740025519792461742601931973193125144904960290995\
         32659/48641599298157002438532271232811379403404203009455256187\
         02221663940852020836908596779465998554557266095641853165314879\
         3453284184682624188416000000000000000000000000*ep^3+
         2261345607467735263202984668425/9044*ep^3*z6+45637093179985687\
         24384487340219468347/17994665920*ep^3*z5-908183031859381484887\
         10097720050779752823481/1675609738344622080*ep^3*z4-
         6273331682135902450557751494475536819321223206136369997/
         140690969462074387819567104000*ep^3*z3+
         164884786773133766842594542555/4522*ep^3*z3^2;
Fill mncnoptab(17,6,5,3)=
      +mncF321*(-23750608140473919705000-409226000599501843103775/2*ep-
         18633579692649558032749977/28*ep^2-
         10302928254602637996035986857/8624*ep^3)
      +1689082129064540276631674542134046629080271189576227/
      14461395156638430384384000000-76401946936785869187633/36176*ep^-3
         -280528198106515403908522345601/11246666200*ep^-2-472935128190\
         203697389001781054639375588243/4817377997740788480000*ep^-1+
         706770314698740025384016613/2261*z3-
         25787535119397929202150885316948997527853877287283753859555485\
         69468343933332992258755169488943096515192170768744808234144435\
         793/2273979473222844913801616707224391674347270042178347304874\
         616392764168401062098213273600000000000000000*ep+
         2120310944096220076152049839/4522*ep*z4+3792416077092651687111\
         66960518909/71209600*ep*z3+36829167597305193797060994254620248\
         56940627769500763323317430826807114389469960543630736338487038\
         28060235990405533703263573388928288950749/
         73052439408341657479426360587068055259330250453940751502579015\
         214356000892900653561435450769408000000000000000000*ep^2+
         274190612095831003320880358109/9044*ep^2*z5+113772482312779550\
         6133500881556727/142419200*ep^2*z4-109972314786422032005843426\
         0095267673758243801/104725608646538880000*ep^2*z3-
         12169496498055488675251526698052832301272432687539999363086192\
         05153127269429607918775685936121841030158417212530525666598654\
         592093761391310571656908494720766005050385497268829241819313613
       /419870670328945745695095010491784444095427941229905488424134763\
         59918667771606658189570806147717889620929285589386033539564520\
         58463941427200000000000000000000000*ep^3+
         1356817654185180216096721458285/18088*ep^3*z6+1404030464530779\
         7481721706973618102571/179946659200*ep^3*z5-109972314786422032\
         0058434260095267673758243801/69817072431025920000*ep^3*z4-
         10323153986543848983580345986026835349668853684330818533/
         732765465948304103226912000000*ep^3*z3+
         98928526915757504784705477435/9044*ep^3*z3^2;
Fill mncnoptab(17,6,6,2)=
      +mncF321*(-3166747752063189294000-27550124101447505485785*ep-
         6372041785401536799154119/70*ep^2-
         17968995012757353267371458143/107800*ep^3)
      +7528206545856760937546840435015903132708467503569940923/48362520\
      7525880708129761920000000-25545311708348582605611/90440*ep^-3-
         1180487981360291631971922969329/337399986000*ep^-2-54211001665\
         8897122849920011805873296972823/36130334983055913600000*ep^-1+
         471180574906185153920134302/11305*z3-
         90532965460635099667071381096035282906843588622745090160078736\
         32968015888737011266551170203596016074212425557372718994036449\
         52647/63785124223900799832135348637644186465440924683102641901\
         73298981703492364979185488232448000000000000000000*ep+
         706770862359277730880201453/11305*ep*z4+5069028744296385410792\
         0094470986097/71031576000*ep*z3+
         12349959737669400017261997767371776973319451125739948284431440\
         57103692200740904815970176448456961794314865028122526262445504\
         13407727611406949/20491209254039834922979094144672589500242135\
         25233038079647341376762685825045863332398264394081894400000000\
         00000000000*ep^2+91396877370030023966507101743/22610*ep^2*z5+
         50690287442963854107920094470986097/47354384000*ep^2*z4-
         24209186575198688554169278822444342838317994203/
         18065167491527956800000*ep^2*z3+
         40631098518595870781724713993700699039505232250311235297229912\
         59068092701192478111463566368609856003314538407925930539607136\
         29597413755146410618399964186407004856003580533596320726021215\
         731/2429503657876812038969038189137333640075718916737762554889\
         83418453916814736387200663144835195484992112006281338515682813\
         31846495205025193656320000000000000000000000*ep^3+
         12922073745745379094095261877/1292*ep^3*z6+9865798001033247869\
         0794095093964793/9180952000*ep^3*z5-24209186575198688554169278\
         822444342838317994203/12043444994351971200000*ep^3*z4-
         1998585094651426576294863862285381603769555980785497291/
         999225635384051049854880000000*ep^3*z3+
         6595233039269138078530681797/4522*ep^3*z3^2;
Fill mncnoptab(17,7,1,6)=
      +mncF321*(-6340038371382707491500-54211051643239852270650*ep-
         268211264952302159450446107/1540*ep^2-
         497692541589412009162218508889/1617000*ep^3)
      +1009922040531202221226698581781806872432660819006733/
      32376083489730835126272000000-2101970936025459369/12320*ep^-3-
         2654659820647271818126658711/367692864000*ep^-2-13142174086011\
         7369074886145679135431/1795723701488640000*ep^-1+
         2920104828961306898679261/35*z3-170868735330176309780900604009\
         93746048151942145312846897048983359654910545567235572229784122\
         95862647965145575298986913/58060743614563646114331084213354897\
         03592461546708418621573398200592629760000000000000000000000*ep
         +8760314486883920696037783/70*ep*z4+53132766745657157597573346\
         29878931/3751968000*ep*z3+481909993528579843419258480516702062\
         07669529741233203081969200507382168880436612032425756989778936\
         0855897263177230381507108478717/373044612306446715148141527572\
         22824567900876836410820707309695622423709651367362560000000000\
         0000000000000*ep^2+24926013275341392430438052961/3080*ep^2*z5+
         5313276674565715759757334629878931/2501312000*ep^2*z4-
         42743815598482324978839694260947044778437852213/
         14765338135490342400000*ep^2*z3+
         25069975752635442660611168129851455305673531988902896670039614\
         11809653118478116009824211670671062486078399820431080565722085\
         95886531886629007120581593905621785481068938131241475732559754\
         901729/2168847752823253132744280919946957799157585091662331998\
         46882495961161100891087240982626154178209832733619204421199241\
         2352710123164469821440000000000000000000000000000*ep^3+
         24669044050392797423354277993/1232*ep^3*z6+3393597524066089663\
         47357777406272203/16713312000*ep^3*z5-427438155984823249788396\
         94260947044778437852213/9843558756993561600000*ep^3*z4-
         4235345889936461971985677385216498635932707647430983988767/
         1185854998020116163587527680000000*ep^3*z3+
         8993922013660501246733952327/3080*ep^3*z3^2;
Fill mncnoptab(17,7,2,5)=
      +mncF321*(-20511888848591112472500-175846852078655150571750*ep-
         15885793485341676179195211/28*ep^2-
         108668748594322950059967228009/107800*ep^3)
      +78282358820677442808145499748962755899625492772851627/
      775739681244520434092851200000-463323867122227854249/3808*ep^-3-
         58319217794403682690392167837/37883507200*ep^-2-13886954667562\
         52578928155344406974992311/202836968325927936000*ep^-1+
         32121468329559241841479791/119*z3-
         39915523337050034193706852390663906146140461399081741220087271\
         94535081107915569803827447250152072849654937284394199508653191/
         42308798843899680612229413015457394512593587055294923361116791\
         06565864642366668800000000000000000000*ep+
         96364404988677725524439373/238*ep*z4+1128549996302791105540422\
         200254949/245996800*ep*z3+243940239671382525815389989400765001\
         35311510931704791719755527040008004707204645702757341801318851\
         266845333364985351048170993750456817/
         59095041560378682197419514178993878637099680221109800585429093\
         50695882632260127731744768000000000000000000000*ep^2+
         24926040151599081553608992481/952*ep^2*z5+33856499889083733166\
         21266600764847/491993600*ep^2*z4-19018588495784554361298671303\
         456133337136411/2053005752286720000*ep^2*z3-
         55771992633436591588002651041810569960016690616272080959439351\
         86061225534668346239150159908714297160745090117607554329802672\
         65832917530308303293256002407449808381918474782544184584010612\
         076413721943/6871464905968788677335864490307468728927813912169\
         73332814084549123924424864792497766651208732038371817285446122\
         691023239094796397657049859620864000000000000000000000000000*
         ep^3+123345342024813038094385770765/1904*ep^3*z6+1255403335684\
         497725035145621271723411/18941753600*ep^3*z5-19018588495784554\
         361298671303456133337136411/1368670501524480000*ep^3*z4-
         8411225709136176158164241899882486150305035786176726879/
         714497074830479347190784000000*ep^3*z3+
         8993894395357001557678082247/952*ep^3*z3^2;
Fill mncnoptab(17,7,3,4)=
      +mncF321*(-22790987609545680525000-196185523565512548960750*ep-
         4460347295762202322979670/7*ep^2-12307797988183381498684465369/
         10780*ep^3)
      +3430637673616491946373036191756408239687125773817/
      30601170857772009234432000-1556396861408194375245/1904*ep^-3-
         332537725153809325118849663417/34095156480*ep^-2-1429536944571\
         937561970452994960111739823/36510654298667028480*ep^-1+
         35692309838808706620322110/119*z3-
         75301496978404022186768175006089595653973086960893184402539125\
         2208704165470936526817970929885288337844732286090045584766851/
         71396098049080711033137134463584353240001678155810183171884584\
         9232989658399375360000000000000000000*ep+
         53538464758213059930483165/119*ep*z4+1777160604842789606842470\
         448398697/347909760*ep*z3+212890461456237294372670451634466106\
         91686991337899902053053153383360859078162348835873842236742494\
         147578092097405666589309295066314311/
         45872526011243952055746897881443998292048626771636482704439333\
         83477678893291924151766876160000000000000000000*ep^2+
         13847876169349480219537110405/476*ep^2*z5+17771606048427896068\
         42470448398697/231939840*ep^2*z4-46159363168782857318255280024\
         10778269447832521/456383178733337856000*ep^2*z3-
         16088904040998373304832797449756480072942352813310423808934619\
         38504370303827372399344221423094251764211904509469982181969954\
         75209938081294114421655618049223947811016489252881900847788929\
         42909971603033083/96847585944426989851460974553526203650856615\
         84671790016931620012120255506291081397257180258260822343868065\
         24457224048564197365767547056534866026823680000000000000000000\
         0000000*ep^3+68525534649971226965279109825/952*ep^3*z6+
         424282296774487903196934336910883137/5682526080*ep^3*z5-
         4615936316878285731825528002410778269447832521/
         304255452488891904000*ep^3*z4-60879577559996755424724202422569\
         97548570230935318732179/452514814059303586554163200000*ep^3*z3
         +4996529153267805219576382275/476*ep^3*z3^2;
Fill mncnoptab(17,7,4,3)=
      +mncF321*(-10795730972942690775000-93464882960321977211250*ep-
         2144791282887845017309260/7*ep^2-5988127773387651616586892411/
         10780*ep^3)
      +30094678866321388683555478157397208896913586265347551/
      566886690140226471067852800000-34543162028008858038165/36176*
         ep^-3-816688658924953484405028548617/71978663680*ep^-2-
         261257711215282437544391043650689205688149/
         5780853597288946176000*ep^-1+321258968031513215467107630/2261*
         z3-57817787810208755410154113701171892106430381981512810820000\
         61228024376447242237816321587273950533946412247590527305718252\
         340547/1136989736611422456900808353612195837173635021089173652\
         4373081963820842005310491066368000000000000000000*ep+
         481888452047269823200661445/2261*ep*z4+65668808673279857150017\
         6370243621/270596480*ep*z3+81678613718920689399926989749628463\
         64695504553669225801263623000030138315509493848540344788018669\
         29348181127235437218086250456955813925223/
         36526219704170828739713180293534027629665125226970375751289507\
         6071780004464503267807177253847040000000000000000000*ep^2+
         124632085261453660106346445965/9044*ep^2*z5+197006426019839571\
         4500529110730863/541192960*ep^2*z4-135008902870148914240072066\
         72962302178769543499/2890426798644473088000*ep^2*z3+
         74754988311140280901824139116446154589478041000366021904797549\
         89987738577802954657908832742250105364015308882733510267712301\
         65552815805177804739204983366822261613745080159383238309671216\
         7135575023/190597819182927117252951530499640497929906773122062\
         92123885673690612962746323145157129954732777641541777501948753\
         822152884564152892480567321296896000000000000000000000000*ep^3
         +616735246946638036222390077225/18088*ep^3*z6+1297476304872572\
         366358189551951000451/35989331840*ep^3*z5-13500890287014891424\
         007206672962302178769543499/1926951199096315392000*ep^3*z4-
         56894211851971416776166203413655796123250573881887982203/
         8597781467126768144529100800000*ep^3*z3+
         44967524304732665951917500795/9044*ep^3*z3^2;
Fill mncnoptab(17,7,5,2)=
      +mncF321*(-2159146194588538155000-37672968055231378037025/2*ep-
         1750386997417641246302067/28*ep^2-4963036521459698374960643643/
         43120*ep^3)
      +4443787193079152218883419282204708806443912502662887/
      418723123399030916129664000000-7321348476202799862603/36176*ep^-3
         -225666679401853174608774461303/89973329600*ep^-2-518792139233\
         93166817654600784287629633223/4817377997740788480000*ep^-1+
         64252386647467912651918563/2261*z3-
         26571281010205475077437581263212512215110043030767029776069469\
         21728728686493280904096662586828212140854876892219145051779449\
         2307/277326627060438260139718907120192115067134455143924530007\
         534738334934450651268934270976000000000000000000*ep+
         192757159942403737955755689/4522*ep*z4+65925041470484941320608\
         8771872661/1352982400*ep*z3+8276792502974564657751057961768650\
         01810970307027711908296669092815746112385097079721336683545504\
         73800667689555842739516256764166560096940767/
         20491209254039834922979094144672589500242135252330380796473413\
         7676268582504586333239826439408189440000000000000000000*ep^2+
         24926441911764792500352352959/9044*ep^2*z5+1977751244114548239\
         618266315617983/2705964800*ep^2*z4-167125039490534939389558840\
         524069603486954931/185283769143876480000*ep^2*z3+
         33632508767639331331278274523283629311373960982113418021254330\
         81271555776379738638509418549652400400567294363886061910023057\
         40745958320335200797900089049703443396080974182765618045369654\
         1004633965321/838172751812761224629159932866327054107417534159\
         55747722522925609641061415558953059400223641486118983958980538\
         409009723728413164972369237160058291224576000000000000000000000
         *ep^3+123347161825874604248723393535/18088*ep^3*z6+13304496162\
         91584622025943444203656761/179946659200*ep^3*z5-16712503949053\
         4939389558840524069603486954931/123522512762584320000*ep^3*z4-
         44729841459273222358913049274816326829675923461829867647/
         32241680501725380541984128000000*ep^3*z3+
         8993477949325091695708972425/9044*ep^3*z3^2;
Fill mncnoptab(17,7,6,1)=
      +mncF321*(-143943079639235877000-2536604086342677571935/2*ep-
         598678182448346579814729/140*ep^2-5193977570875553371611315899/
         646800*ep^3)
      +3079728321425414256270713636255557480732115948335982581/43526268\
      67732926373167857280000000-47404288925288948601/180880*ep^-3-
         22526871773522800043939406203/1349599944000*ep^-2-379371103855\
         81231734903331101043225631629/216782009898335481600000*ep^-1+
         21414148570170817632589041/11305*z3-
         96506332658086651545944264658921076115467172826510098829808162\
         31177056424847712616718942902747715113485810228477869301240444\
         123949/1487104610477230076086355556809075890165708415468907308\
         337546276877157077092290102399336448000000000000000000*ep+
         64242445710512452897767123/22610*ep*z4+15459054892416697973115\
         57168437809/47354384000*ep*z3+
         13185167916451382243861986274608657322820815256481585044749141\
         08050046932402848029231391759862146996821328689871135028561930\
         789945662143824053/4777379071799001513471697377729380866342166\
         39025759735140637303839529038067835565496281070163093094400000\
         00000000000000*ep^2+8308673327605146955252313013/45220*ep^2*z5
         +4637716467725009391934671505313427/94708768000*ep^2*z4-
         6213536139840935074728652742879444541489497869/
         108391004949167740800000*ep^2*z3-
         22169825847119497060224233268283492990871939839174854266512667\
         18275375191219419135742584314603674326334644512532182707296559\
         85587794002598035825276752257517813283142565830180053407484911\
         93259/75334049423444187704351936168770441511467892170204541302\
         02397839419052591345894318162795049741598635409090771744694292\
         67537896123317421204895170560000000000000000000000*ep^3+
         1174716676189209097817422407/2584*ep^3*z6+19622111663973565319\
         3346526119841823/385599984000*ep^3*z5-621353613984093507472865\
         2742879444541489497869/72260669966111827200000*ep^3*z4-
         426042804287773097975394219285694790538081682609099743643/
         4352626867732926373167857280000000*ep^3*z3+
         599594505237696381218696007/9044*ep^3*z3^2;
Fill mncnoptab(17,8,1,5)=
      +mncF321*(-984478007978681287500-59855890384029666741750/7*ep-
         60743522097696745122889905/2156*ep^2-
         1551102113233109087290253833/30184*ep^3)
      +3522816469840290587627452952126605678275026991544373519/72732439\
      8785671247000350310400000+1817865104262946245/17248*ep^-3-
         2585352224622255933657906077/789314014720*ep^-2-73803502318351\
         37612513751179341612477/147768108146942976000*ep^-1+
         634805169498326849349015/49*z3-4652409701534853235445695353204\
         82147964052264599936413830325401589390909197809797028173686260\
         13847311751776483287427311/10303436894926157513801751169646683\
         13424337943581888133617785382422510565846941696000000000000000
         *ep+1904415508494980548047045/98*ep*z4+12496305914719354660052\
         819112607959/56379572480*ep*z3+1300120747076174907173297538013\
         49645358773188968257067783441886148944847751088454158841794824\
         09007643600707159738727512324127347183/
         66200351263285389633391601648515260280289782948871473079347744\
         514501405205154042660792565760000000000000000*ep^2+
         5418698352112788352338537315/4312*ep^2*z5+37488917744158063980\
         158457337823877/112759144960*ep^2*z4-4929375858512135795481328\
         41468312055633237989/1173935525834046976000*ep^2*z3-
         21448906107789289151544566388285615209568471627703173345778380\
         79160991999794576423532506834835013482522489749351778497669872\
         37842081354378130437855834182694395581566247943788533750525407\
         7337/145513374479339054343583012735922867200824294610653176360\
         62966922624281938313252893882025596678459638483691800245221668\
         5925956884209728205566771200000000000000000000*ep^3+
         26814177485984677947979119975/8624*ep^3*z6+1192098528592879952\
         33353146203170201/35877909760*ep^3*z5-147881275755364073864439\
         8524404936166899713967/2347871051668093952000*ep^3*z4-
         1570196209013273132436860148245273646711941105721967160437/
         2545635395749849364501226086400000*ep^3*z3+
         1955200719048205579357893525/4312*ep^3*z3^2;
Fill mncnoptab(17,8,2,4)=
      +mncF321*(-2548060726533057450000-155369015518204726524000/7*ep-
         3600110845305245449177155/49*ep^2-5085585420763768239038062221/
         37730*ep^3)
      +391340647128084989491486295284307168852711946593726159/
      31223522170091947472237260800000-356487109878487696875/6664*ep^-3
         -204839167907825027837918174837/304962232960*ep^-2-24114093231\
         847180071649592446172754127099/8164187975118599424000*ep^-1+
         27932420486871404199102420/833*z3-
         30724843717953696752106875521579292892365208660336811540383183\
         385066626430268645867761695563438616747581341153066717373521/
         26273764082061701660194465482599041992320617561338147407253527\
         2517740194290970132480000000000000000*ep+
         41898630730307106298653630/833*ep*z4+1251496665933886156931903\
         3241391399/21783016640*ep*z3+850829510058260009647839060616526\
         47297400180919404587394685287728562045164655965144203166676221\
         7754542728151379143024923350289210241/
         16881089572137774356514858420371391371473894651962225635233674\
         85119785832731428087850210426880000000000000000*ep^2+
         5418719420616172925732908755/1666*ep^2*z5+37544899978016584707\
         957099724174197/43566033280*ep^2*z4-33674419296687213877709509\
         7296238244418298041/314007229812253824000*ep^2*z3+
         34491126495441060517971858194094040685876852027013619358954752\
         38539147501704045948080347473047010579959974579157234044867620\
         31843192673675249714186164316617020036625546560209417369320726\
         225341/8730802468760343260614980764155372032049457676639190581\
         63778015357456916298795173632921535800707578309021508014713300\
         115555741305258369233400627200000000000000000000*ep^3+
         26814272898212150586673519575/3332*ep^3*z6+1323785794167566509\
         273090439162124531/152481116480*ep^3*z5-3367441929668721387770\
         95097296238244418298041/209338153208169216000*ep^3*z4-
         13659716325256845132371108941518373913491901493974468713/
         8406332891947832011756185600000*ep^3*z3+
         1955178749366386712207692965/1666*ep^3*z3^2;
Fill mncnoptab(17,8,3,3)=
      +mncF321*(-2123383938777547875000-130034589186938580465750/7*ep-
         3033976347535605633436860/49*ep^2-8646361712027503281118056513/
         75460*ep^3)
      +16717276921133407832983450287498876978096877711776131/
      1601206265132920383191654400000-2372832283798736124885/13328*
         ep^-3-786482180070536797847200546889/365954679552*ep^-2-
         432133715209175719629170955903618049928867/
         48985127850711596544000*ep^-1+23279452415297942249186190/833*
         z3-51397811931877759159713825283119413778843009436753045371561\
         27379382196827238048252974414190297915576017317858128453761473\
         5629/550542398780267715973022992275379036947233799685284084338\
         065021406061823415034304266240000000000000000*ep+
         34919178622946913373779285/833*ep*z4+1254341666852463654863495\
         2356653887/26139619968*ep*z3+136604583317052885514901682339040\
         35285862593357683056940983388852634117795241293284429650403331\
         08129135324265164071296589763700629634973/
         35372760134565434147932764073738216230833594956644995464406681\
         05116185306393084277711611300413440000000000000000*ep^2+
         9031302797703796203132448845/3332*ep^2*z5+12543416668524636548\
         634952356653887/17426413312*ep^2*z4-21444729180855212634443274\
         532096751288085642173/24492563925355798272000*ep^2*z3+
         77494930402128123441314856329712782474660904190947457487023170\
         97163020693540276118629120296144976744355397766805935983184231\
         94506072335818413081294486280371535383033861530886383759384810\
         04397230995087949/22079344208749587774392024565993499131677555\
         26363176358865705878446735356185294639225073283544460525926768\
         40478995539464688951186086072556748294084930568192000000000000\
         000000000*ep^3+44690924940213022170678520425/6664*ep^3*z6+
         23553553764707957858643240591419803/3210128768*ep^3*z5-
         21444729180855212634443274532096751288085642173/
         16328375950237198848000*ep^3*z4-101197487497084291729229056073\
         358289973198947290098651021/72854885063547877435220275200000*
         ep^3*z3+3258524425115710240710987195/3332*ep^3*z3^2;
Fill mncnoptab(17,8,4,2)=
      +mncF321*(-670542296456067750000-41307487528281953764500/7*ep-
         972924408308740019058810/49*ep^2-1402809916871647080209698569/
         37730*ep^3)
      +1954896250941851981091218059699657219167126259889105783/59324692\
      1231747001972507955200000-9235122865178090544495/126616*ep^-3-
         1048460067761162769748521125729/1158856485248*ep^-2-6043054353\
         46849614712258505047887030940523/155119571527253389056000*
         ep^-1+139682653986121459124907060/15827*z3-
         36228568842108032416419630726182217971936782575252039366941617\
         05146627410549809329098208769462405068284021257057735055854031\
         79933/12225482142914319967825941822215135739209510564261339697\
         832156381598360366210105519112192000000000000000000*ep+
         209523980979182188687360590/15827*ep*z4+
         94599944304374057269611048884035/622371904*ep*z3+
         12234808762858881449710996218728780736195072372982870521494430\
         22383729227006015635068383571186196639994180974934633755324725\
         9191279886872879/981870443422742090059414927765561580219935647\
         50749741316435107636545362450114284677416835549757440000000000\
         000000000*ep^2+27094033878552329464156773015/31654*ep^2*z5+
         283799832913122171808833146652105/1244743808*ep^2*z4-
         20834410916472018638112551199685277236392158837/
         77559785763626694528000*ep^2*z3-
         70546193251763141436215502441718188674487839228058050156499951\
         43735729991455387458705356769065558353579355785883332513695421\
         21171007343442517976251414716155601265459134253097222337034081\
         500728507620265353/2334759225407359683405204264374253048061022\
         43606201357233626576967894366682331900391865636203377031208863\
         33756603308086846423915600113565301389550111854428160000000000\
         000000000000*ep^3+134073342852900432729534794475/63308*ep^3*z6
         +1368357520647504559392296086652591907/579428242624*ep^3*z5-
         20834410916472018638112551199685277236392158837/
         51706523842417796352000*ep^3*z4-941604480971070150680040730254\
         575974729140771109988356381/2076364224311114506903777843200000
         *ep^3*z3+9775440706107047673995800065/31654*ep^3*z3^2;
Fill mncnoptab(17,8,5,1)=
      +mncF321*(-67054229645606775000-8326007153777054473875/14*ep-
         397063740107439319604625/196*ep^2-1162706791061498870960064529/
         301840*ep^3)
      +16291679482870987534844889512415138561167833329826717/
      49437243435978916831042329600000-45163638140356827585/253232*
         ep^-3-28418145954011915682819900483/2897141213120*ep^-2-
         5185288557013039073465095568078942266133/
         51706523842417796352000*ep^-1+13965760766920554532222425/15827
         *z3-6421689163590298255913485875534583361946521745206750071077\
         77223137598826957839911588863765886063276904212696315207461639\
         0514809021/213771287756101823437413611291304659211320584723655\
         4255735222773010913298320167022199046144000000000000000000*ep+
         41897282300761663596667275/31654*ep*z4+66476333908351366134067\
         0428428821/43566033280*ep*z3+
         34830572864659446094762313467771605688462401361721881205538457\
         59349953002180982893409310967094844482619824364413735480443070\
         602290067416806193/2746992966284425870246225992194393998146745\
         67439811847705866449707729196889005450160361615343778529280000\
         000000000000000*ep^2+5418700608803667155376824925/63308*ep^2*
         z5+1994290017250540984022011285286463/87132066560*ep^2*z4-
         2003217960186918425047924970609206817712369247/
         77559785763626694528000*ep^2*z3+
         31954087647085720525591659403542801457599672452296399527065558\
         19166594727757753796801423982977535918967615110643117257995882\
         34538945373051203035922479321029902491755356446062814117519382\
         60810932706007/32487575860262625066626238997898836617203503624\
         02444781724988596629687540467065020582352668344001971818250085\
         66873321689171329427432903163232385936786456576000000000000000\
         0000000*ep^3+26814187828679924686239676125/126616*ep^3*z6+
         1402328083739417845587464449432839961/5794282426240*ep^3*z5-
         2003217960186918425047924970609206817712369247/
         51706523842417796352000*ep^3*z4-147186565880595054848549892891\
         480243056996677580511669569/3114546336466671760355666764800000
         *ep^3*z3+1955199211348393324054336635/63308*ep^3*z3^2;
Fill mncnoptab(17,9,1,4)=
      +mncF321*(-82039833998223440625-20386469321635011908625/28*ep-
         1337708183893612787730825/539*ep^2-
         4273668369716232230403165119/905520*ep^3)
      +3252375622112359758665088751353122956728877043154049/
      8058996108428490271472025600000-4771756523339019045/68992*ep^-3-
         7076275366372775898772422339/3157256058880*ep^-2-1094394427874\
         75646989413944442750940323/5319651893289947136000*ep^-1+
         105801098331536293148775/98*z3-1234434742853587597406172623273\
         74316880416438648914507756916089274586511003393042867748026855\
         759200520095560551751383/3449811460354740238996122043408487656\
         5547029361000718759524064143610844838625280000000000000000*ep+
         317403294994608879446325/196*ep*z4+743205789824489781671617800\
         946907/39797345280*ep*z3+8060067366545104498013535525780606979\
         48308205870677642719459484424792171292547017665116498840142182\
         851603353119789725143980413/5541324045475897569759341655846701\
         47435461352808633982249004557878080958748499241022259200000000\
         00000000*ep^2+1806233183264723594966140725/17248*ep^2*z5+
         743205789824489781671617800946907/26531563520*ep^2*z4-
         11984307243251495617730548184891105725586436827/
         380355110370231220224000*ep^2*z3-
         13212433594201753859744398594867809475196390829888355408918016\
         03665960047662172153785744503083966242800398263073947631965335\
         1628651156540662801715343498893281709183985595125291039789231/
         12000245300350137530533873543273019704501475738695228082168395\
         04746680534585562507742294070802784650868970888698970383031804\
         931201149016473600000000000000000000*ep^3+
         8938060949791866036859781625/34496*ep^3*z6+1277382469720658638\
         48367958888043781/430534917120*ep^3*z5-11984307243251495617730\
         548184891105725586436827/253570073580154146816000*ep^3*z4-
         592606451103909017320758956485240970692615810236159883411/
         10182541582999397458004904345600000*ep^3*z3+
         651733017947713911643215795/17248*ep^3*z3^2;
Fill mncnoptab(17,9,2,3)=
      +mncF321*(-159253795408316090625-39696085291710912260625/28*ep-
         237947355991252979549010/49*ep^2-254926292064567973783752879/
         27440*ep^3)
      +391116785391197805177374223502049455385952628554451043/499576354\
      721471159555796172800000-1087861305420085841775/106624*ep^-3-
         57083351388220835383342297531/443581429760*ep^-2-1988834720552\
         76958427258955690671348041/348338686938393575424*ep^-1+
         3491800724903585337106695/1666*z3-
         23651456616392785882147840316469127358258625738741689355842175\
         8309442113175655266414665187739011014377534648809202368960523/
         32384846987074571527824881898551708055719635275604946137533236\
         553297754318531429662720000000000000000*ep+
         10475402174710756011320085/3332*ep*z4+180792634733225882092475\
         0205442909/49789752320*ep*z3+334738662145015522182211860387824\
         04293791421898002622575454790570750778762246582297291513093180\
         705092639154694187318038922392278011303/
         10403752980754539455274342374628887126715763222542645724825494\
         42681230972468554199326944500121600000000000000000*ep^2+
         5418761842473313181834586015/26656*ep^2*z5+5423779041996776462\
         774250616328727/99579504640*ep^2*z4-11907208926131944547315900\
         2068960356623558633/1979197084877236224000*ep^2*z3-
         86612437013416083971654334084493640477014257188194296245106542\
         56562170761219861584914313824212400169997597404415216469941198\
         45094660181389532197283288911892336467295568667364990510256146\
         431889381/9147294082825651487269502809497302371948705879880349\
         00642109351793768194380011773026966089064089480563170385878526\
         2901358829929645610647731272941568000000000000000000000*ep^3+
         26814465154374279082204394475/53312*ep^3*z6+141879929181131542\
         2642056518580438967/2439697863680*ep^3*z5-11907208926131944547\
         3159002068960356623558633/1319464723251490816000*ep^3*z4-
         200603873515590769498675987831038613791935625204993290353/
         1748517241525149058445286604800000*ep^3*z3+
         1955135487961550474713683225/26656*ep^3*z3^2;
Fill mncnoptab(17,9,3,2)=
      +mncF321*(-88474330782397828125-22152244228009348006125/28*ep-
         133720070922624556817460/49*ep^2-1589670685327341222516368057/
         301840*ep^3)
      +651378770675451631894187477692913722185703148090090981/149872906\
      4164413478667388518400000-1303246082232846782355/106624*ep^-3-
         1333612906392121657933654243337/8782912309248*ep^-2-7023366045\
         1782892498921512739632829373473/106876642583370756096000*ep^-1
         +1940133475479760550138955/1666*z3-
         32713499716067033343000449716989686128491696104886830961946169\
         58277491239692527849273365387273652157366591820106726021898420\
         5671/772135714289325471652164746666219099318495404058610928284\
         1361925220017073395856117334016000000000000000000*ep+
         5820400426439281650416865/3332*ep*z4+1268575620089942269793479\
         1440793803/627350879232*ep*z3+
         47992323080212382671626746693433421997298939579372754819191005\
         77032290911132155267496652861302064774664778972027950237595297\
         475652178566317/2480514804436401069623785080670892413187205846\
         33473030694151850871272494610815034974526742441492480000000000\
         000000000*ep^2+3010464571985301771603532035/26656*ep^2*z5+
         12685756200899422697934791440793803/418233919488*ep^2*z4-
         19171333248472193266452641058577385217824894957/
         587821534208539158528000*ep^2*z3-
         27794117335092978954759150102557558749948760354382186102292662\
         42520393219411847456480372591810536098500375956832389206924565\
         20951541525997792470054375444601146452815610228463651915006604\
         2484490348832066241/
         12386512101108518741433925781522353012871108502897419373236609\
         97808618534819950292605266112068442355044917075087164976396905\
         01615394286704335792981646048755712000000000000000000000*ep^3+
         14897112181888128014006543775/53312*ep^3*z6+479558282367840612\
         293848881775870333/1463818718208*ep^3*z5-191713332484721932664\
         52641058577385217824894957/391881022805692772352000*ep^3*z4-
         256663051555765123026439997076852045465817389922794557/
         3941060649568329958930022400000*ep^3*z3+
         1086142900967725397847574485/26656*ep^3*z3^2;
Fill mncnoptab(17,9,4,1)=
      +mncF321*(-13969631176168078125-3518865731711790442125/28*ep-
         21442068483451770897405/49*ep^2-773685522644133219516174683/
         905520*ep^3)
      +17585762582002931281932981960784452947895756833343233383/
      256282669972114704852123436646400000-209070152272930432185/
         2025856*ep^-3-197762494190635119697052818505/55625111291904*
         ep^-2-729295249171194539328877303829558198701441/
         22337218299924488024064000*ep^-1+5819106704756724089170785/
         31654*z3-81183653667278695408592792661000010513598320154001898\
         51545765508116417897923069640810393732801724418893377136645305\
         1956870268979/131551561696062660576869914640802867206966513676\
         095646506782939877594664512010278289172070400000000000000000*
         ep+17457320114270172267512355/63308*ep*z4+22321802120016355290\
         5289845059619/69705653248*ep*z3+
         27064970030773193875675939859033978239559698793449341602969336\
         79292894040609948780289142389233943592468931882975062371849053\
         899725177560027/1056535756263240719325471535459382306979517567\
         07619941425333249887588152649617480830908313593760972800000000\
         0000000000*ep^2+9031174805763119469523527945/506464*ep^2*z5+
         669654063600490658715869535178857/139411306496*ep^2*z4-
         55611960241755421107798900635178072120333700999/
         11168609149962244012032000*ep^2*z3+
         21858538661282093861218439510392437733564451209116618753881108\
         92350039437885697301359396368492296319659024185394251293894786\
         85228014464334491067710847780975265125375703124172116147696680\
         50882159636561/15073821319904746826310171531924847810953976941\
         04565070350552598903047234211028990310207676727561245888257011\
         94281050188835285482344821119624971301996886962995200000000000\
         0000000*ep^3+44690345492435059420483976925/1012928*ep^3*z6+
         1465348375599198212982003456141161975/27812555645952*ep^3*z5-
         55611960241755421107798900635178072120333700999/
         7445739433308162674688000*ep^3*z4-9483737757550501961513435053\
         326206891707868539763040215261/8969893449024014669824320282624\
         00000*ep^3*z3+3258659164897048433587751295/506464*ep^3*z3^2;
Fill mncnoptab(17,10,1,3)=
      +mncF321*(-3281593359928937625-840845915487004359465/28*ep-
         289102938753886929463662/2695*ep^2-586248384359462143338359909/
         2716560*ep^3)
      +10558626293521584583494519527106718365023663478083848817/
      654591958907104122300315279360000000+2491295186476781919/344960*
         ep^-3-190620769932879298347428301083/710382613248000*ep^-2-
         1527241022584396768251351877454058191273/
         398973891996746035200000*ep^-1+21159965440715964549531/490*z3-
         17176307373481601591061863378805831400425279353777260389762139\
         793097839062500990233824496498502633420599217526916017/
         11627142329343754138838781701858236175795480266115057063395147\
         5446984699270922240000000000000000*ep+63479896322147893648593/
         980*ep*z4+38508980728915890658490758459350689/50741615232000*
         ep*z3+23732381182625488855694785898421669076740983662464194783\
         91033426921908079459127602291807277501920189505462968629302443\
         262195861/3735262875098567991467408079126295067898295044858199\
         435900697390141138314526920809853747200000000000000000*ep^2+
         361246254534717571797040497/86240*ep^2*z5+38508980728915890658\
         490758459350689/33827743488000*ep^2*z4-60162039358913409998434\
         34286805760591287992797/5705326655553468303360000*ep^2*z3+
         42454576975793056773076671894346083785872963819912798342248278\
         67599432759242837590480609561332413679262830412613534019902047\
         66119993921730073050394803847370476880656427237310038601805651\
         33/82103900530877070593167498505512034444909541229969240134035\
         83767105714635332998594638295692570311427963888602568918476202\
         419442251416956043264000000000000000000000*ep^3+
         357522100617151562036323041/34496*ep^3*z6+42058656309988997370\
         3678433060946831/32290118784000*ep^3*z5-6016203935891340999843\
         434286805760591287992797/3803551103702312202240000*ep^3*z4-
         6154594704127151870884562072820359563737583025110195753963/
         2291071856174864428051103477760000000*ep^3*z3+
         130347302111853149372557911/86240*ep^3*z3^2;
Fill mncnoptab(17,10,2,2)=
      +mncF321*(-4246767877555095750-545822166984564779595/14*ep-
         34288867241665805760147/245*ep^2-42748293350293244741364231/
         150920*ep^3)
      +390583368640611559404577089459927425732194022800602371/187341133\
      02055168483342356480000000-214943877535011685281/266560*ep^-3-
         1820043876325260972062310405161/182977339776000*ep^-2-
         209743850715108596513417598043705847637071/
         4898512785071159654400000*ep^-1+232838098250406502390641/4165*
         z3-22298623834929849604719711086528012494104146586838373184422\
         22017018756836608702101225889189198651389124959290860492139639\
         6007/160304992586019129062733165397830954875812194614244483380\
         789520938823883876730576830464000000000000000000*ep+
         698514294751219507171923/8330*ep*z4+12860634930111384785139453\
         860970763/13069809984000*ep*z3+
         14574850169828412630636086571854174689625361856150649403449069\
         83380559863756593884808072509837786978293713915491363071734281\
         457052176189/5149857725473497030360799475441299127724302795158\
         60963378861974127209331371934328666837527560192000000000000000\
         0000*ep^2+361259392818765300466106097/66640*ep^2*z5+1286063493\
         0111384785139453860970763/8713206656000*ep^2*z4-65399722560399\
         7200957974874401297006856632533/489851278507115965440000*ep^2*
         z3+13412031536731391813982728153537716960740574219176286432849\
         59970692183214949626854322474392933754048310211880582475618578\
         00408550713351689583282762518995531260845371588241542647441759\
         81637616508367/18111642283994789944793615562804658696458437642\
         16309103271376516551661024872423310593392856346897171515077364\
         039482054469048326069830908250792042430464000000000000000000000
         *ep^3+357533983246758796427855841/26656*ep^3*z6+51897360747626\
         6398808983609221357949/30496223296000*ep^3*z5-6539972256039972\
         00957974874401297006856632533/326567519004743976960000*ep^3*z4
         -230707748199984054352617296088780887765342029041604002769/
         65569396557193089691698247680000000*ep^3*z3+
         130333011824789406966186711/66640*ep^3*z3^2;
Fill mncnoptab(17,10,3,1)=
      +mncF321*(-1179657743765304375-304613584919489906775/28*ep-
         1926906040666704595719/49*ep^2-218056902918164418364259747/
         2716560*ep^3)
      +3511770065941589172533706024173460785047108866700877179/60698527\
      0986587458860292349952000000-2696840417191235289/106624*ep^-3-
         456177744000905900977197954121/658718423193600*ep^-2-307391412\
         629557662892184071604198502457933/52903938078768524267520000*
         ep^-1+25862923425968804921889/1666*z3-
         18291047609278900768489824692923423491626953903525432697866131\
         11159762850607657123701747476911934713952074434238550664662065\
         57277/36003585306290833421038081901693416288222414269247229570\
         27743617702590818223439195282604032000000000000000000*ep+
         77588770277906414765667/3332*ep*z4+128888109314309721502115165\
         42388683/47051315942400*ep*z3+
         33795217187298975368130704564026370878310167224478066209087992\
         99345387534890274482869482020160302939302491811232726618930051\
         770184346271947/1652326596261308794133068265981590374825110180\
         08909382078716661478333351512183729419766385169190092800000000\
         00000000000*ep^2+40138615464616490600265513/26656*ep^2*z5+
         12888810931430972150211516542388683/31367543961600*ep^2*z4-
         380532037103177813341444376218329437739004243/
         1058078761575370485350400*ep^2*z3+
         24531520444619190899530332638753533674778444675773543673900280\
         19964754496978386511394087712852257938659178258381674484569587\
         02687790544908170584536058406392174461101991533822638930256568\
         718995192024133989/
         57756536425740293102914762501269943191444711647795966906063278\
         52639044139503311078662269413987708352666584761549294975656425\
         6753235278828993146898870386162663424000000000000000000000*
         ep^3+198624043449004948607576445/53312*ep^3*z6+525819623293994\
         011943001000565414909/109786403865600*ep^3*z5-3805320371031778\
         13341444376218329437739004243/705385841050246990233600*ep^3*z4
         -162375645711897512995168333984245315932596195927621507997/
         163419111419465854308540248064000000*ep^3*z3+
         14482938401943624092683359/26656*ep^3*z3^2;
Fill mncnoptab(17,11,1,2)=
      +mncF321*(-50486051691214425-13567310018488948761/28*ep-
         25003413612947577955599/13475*ep^2-79397081245869512441027741/
         19619600*ep^3)
      +3509437937703167895737143280956500126456029180719551739/14182825\
      776320589316506831052800000000-12846414841298878437/1724800*ep^-3
         -1599329948809699736268638191561/15391623287040000*ep^-2-
         59903381895908792849060591779961083413383/
         112377646245750133248000000*ep^-1+1628148612623696736687/2450*
         z3-24251725193438528505345792879426612673521627868842260802512\
         3992118550223223252562690128925100543657990765548575665411/
         63949282811390647763613299360220298966875141463632813848673311\
         495841584599007232000000000000000000*ep+4884445837871090210061/
         4900*ep*z4+1880733533436780557566674029479709/157057380480000*
         ep*z3+31055696699606888080073481276371262063127061306380208435\
         82202741246925865688527705463445173718807044301277733918798223\
         841183401/1208467400767183761945337907952624874908271926277652\
         75867375503798683886646459202671738880000000000000000000*ep^2+
         27788999629431016301098869/431200*ep^2*z5+18807335334367805575\
         66674029479709/104704920320000*ep^2*z4-13613636193119778034077\
         96304124091703063003679/123615410870325146572800000*ep^2*z3-
         43523972475077880614868013509321150396924061401559228919364720\
         83529699686887794695318628459429446856088119404369031043074274\
         90373078791919888914006261516675689206514132394046650785347136\
         21912353521201/85737051370710030921052988371556525348947180678\
         77121361951028852528282876619513354393307951899687399873150184\
         97968800642295833622056093702877199868310323200000000000000000\
         00000*ep^3+27502445473609245675441957/172480*ep^3*z6+534484237\
         32014033452290578346535959/233206413440000*ep^3*z5-13613636193\
         11977803407796304124091703063003679/82410273913550097715200000
         *ep^3*z4-24231745700338002021180245725296148474603878763130491\
         84121/49639890217122062607773908684800000000*ep^3*z3+
         10025754447868452829528947/431200*ep^3*z3^2;
Fill mncnoptab(17,11,2,1)=
      +mncF321*(-32667445211962275-8807108978231183763/28*ep-
         1482543559368773575722/1225*ep^2-52085353289673725030972591/
         19619600*ep^3)
      +3500479953694493761414702052832324976658540099566580539/21918912\
      563404547125510557081600000000-23066652114083326437/2665600*ep^-3
         -2766298406171466912175346781961/23787054170880000*ep^-2-
         1112360663628067235941537876002112429824013/
         1910419986177752265216000000*ep^-1+17912189798359243327557/
         41650*z3-15566690375450993122538960841148674896897863119941291\
         38028216231060408392682885655930675702511284743729558670618454\
         0670471/116321083055614787528513861513165318730748077724621847\
         35113978843633479102166391062528000000000000000000*ep+
         53736569395077729982671/83300*ep*z4+13189097529394220388072296\
         973596363/1699075297920000*ep*z3+
         13319772434750390834106809444124774012887613876441825210555230\
         57077348618834178173545546334905650434699878771517282359395233\
         2479087009/261580074944685563446897751133526304900282046738215\
         09250989814558842378736352219868791747431628800000000000000000\
         00*ep^2+27789490200905250783466869/666400*ep^2*z5+131890975293\
         94220388072296973596363/1132716865280000*ep^2*z4-1315068845798\
         357444211324798379957356790314719/191041998617775226521600000*
         ep^2*z3+207861536592190390302117383636042556389788750917206274\
         71469942339996807914487828908705319744035561603157706640087030\
         72257253552125677405458722907275960288771958913065837557503876\
         49018416104107/65711173819482231092221734468225519080121315708\
         52822143388214119008293967791104981744735986746112186902775016\
         92329090056797578619439785306409811312640000000000000000000000
         *ep^3+27502895164131502890225957/266560*ep^3*z6+59307880252668\
         2355517582497998650749/3964509028480000*ep^3*z5-13150688457983\
         57444211324798379957356790314719/127361332411850151014400000*
         ep^3*z4-244115694288953175519504533844900035908007072820259122\
         4121/76716193971915914939286949785600000000*ep^3*z3+
         10025427400259850013336947/666400*ep^3*z3^2;
Fill mncnoptab(17,12,1,1)=
      +mncF321*(-169986706031025-552225370574741643/308*ep-
         1154598970691464513862/148225*ep^2-37847838337093902124279039/
         1942340400*ep^3)
      +3437771089447436509402882946717077139254207051417076539/
      4212299255567215027002528822681600000000-17041634294286250493/
         56918400*ep^-3-13686550449667450021153084189961/
         4571312116250880000*ep^-2-408614293696985253948415176247341299\
         642183/33376160934987789574656000000*ep^-1+
         180807812494436918743/80850*z3-2646164111150200310738132189711\
         0538135779721423601917710771273142325543362013/429090698238980\
         9018184758567666434909898513338859520000000000*ep+
         180807812494436918743/53900*ep*z4+1385401313884974595392252057\
         6220363/326522294017920000*ep*z3+81446173229250342209307931231\
         64003812375121626745220535299155970854820053446226897237233/
         40205371651384042009986239122947355002132931478977019432140800\
         0000000000*ep^2+1029286227044718561020847/4743200*ep^2*z5+
         13854013138849745953922520576220363/217681529345280000*ep^2*z4
         +39708163727224388687448040473453328128341281/
         36713777028486568532121600000*ep^2*z3+
         13190587288178910153805751229989320887594974354128626172410320\
         79016371710976223523372707293913304619948151323893750807243463\
         858892290525296653770757/3610680067563374437747462832716681591\
         65757607503217499894660792252009874521271823827415548097543520\
         2671659083366400000000000000000*ep^3+3056036506135134785363773/
         5691840*ep^3*z6+67731955991486403380060507942411159/
         69262304791680000*ep^3*z5+397081637272243886874480404734533281\
         28341281/24475851352324379021414400000*ep^3*z4-296810507626334\
         8521673549069671560598935607902994036472121/147430473944852525\
         94508850879385600000000*ep^3*z3+1114986081000625743241883/
         14229600*ep^3*z3^2;
Fill mncnoptab(18,1,1,11)=
      +mncF321*(-600418034923745449125-2399655925096582204517751/476*ep
         -654350213276544620925945839/41650*ep^2-4004495837857484752077\
         09590312549/15008994000*ep^3)
      +69348636335823194132726479238886925039834392939252207818706407/
      23475155355406269971421806634393600000000+5304871395684930101/
         45315200*ep^-3+880830841972676635816298174563/
         1213139762714880000*ep^-2-423325408477320061579525541546297029\
         943863/292294257885196096578048000000*ep^-1+
         5594433774353933630394787359/708050*z3-
         67623602786225074854496253676957326552115893738803995061129850\
         4842427775005679291566874698487034846739223412639/
         23896342890443555891156976385575377741720361756448515680357392\
         687143321600000000000000000*ep+16783301323061800891184362077/
         1416100*ep*z4+241825244007393520283952150927084000544327/
         1819709644072320000*ep*z3+972249809101356613320473831950938220\
         45194422538486823577279167432941262886157731566909661062203341\
         2813994208613382679930611/767678935382373377773960917462754217\
         52977005080254501333341440388202146325908684800000000000000000\
         00*ep^2+1240365890083488137168189955149/1618400*ep^2*z5+
         241825244007393520283952150927084000544327/1213139762714880000
         *ep^2*z4-43073063855216875406495586537019396137537312576625913/
         146147128942598048289024000000*ep^2*z3-
         86078988695528402014791195377887745289886900724018143168816815\
         14166360499355573311874210471498006359852715672582746061326846\
         6592326023236223494481835274007706793/
         39215409183963965715722850301570596871765882518065411020018915\
         86984165593235303811376209640052476538516381106176000000000000\
         00000000000000*ep^3+8593050290194754022091013088299/4531520*
         ep^3*z6+252613485257730255188728440496587648101233/
         139977664928640000*ep^3*z5-43073063855216875406495586537019396\
         137537312576625913/97431419295065365526016000000*ep^3*z4-
         29486669652079068277633236437909733655008885537481475065596623/
         100321176732505427228298318950400000000*ep^3*z3+
         3132882921140714127841934980733/11328800*ep^3*z3^2;
Fill mncnoptab(18,2,1,10)=
      +mncF321*(-3335655749576363606250-6670858388129566618791375/238*
         ep-72861722756899458570223590/833*ep^2-
         44678718519273716878399511126933/300179880*ep^3)
      +1541080832588458945380150208853547172840031575128112455110467/
      93900621421625079885687226537574400000-3392205269227613235/906304
         *ep^-3-392960795728214996420486629363/14557677152578560*ep^-2-
         5526486055192102816087375930953990374803/
         1169177031540784386312192000*ep^-1+621603755692218627468813375/
         14161*z3-23670091130855599345051135199983359593908115989505736\
         77111992646428709944880099284298320261805188989142748082796447\
         297/1506975071700041965164032401803540046526111173446912744350\
         3782550293192900608000000000000000000*ep+
         1864811267076655882406440125/28322*ep*z4+107519319645466625108\
         3280770694657056359/1455767715257856*ep*z3+
         68051473994400321591163801043111603953114217183564241666131924\
         99696767834873366514359700441654082356458065555554695068427596\
         27977/96824273404037224645118594675907338440159777427521792351\
         6902251040238390750155877908480000000000000000000*ep^2+
         137818432316250619595698748325/32368*ep^2*z5+10751931964546662\
         51083280770694657056359/970511810171904*ep^2*z4-95433575586451\
         7861044620392928147097558349598662749/
         584588515770392193156096000*ep^2*z3-
         26803889177787177481782240575273400513945326523797243573097032\
         96884998481464147611079803938302153081112998460202989468537534\
         06425027613307388867672614431190757657007/
         98921653974732782797225204342717862020966873969470360606218115\
         65999297392247918570272716341225173117938341667951083520000000\
         000000000000000000*ep^3+4773916830613394195651951121375/453152
         *ep^3*z6+125090906524242081262006382801089423433/
         12442459104768*ep^3*z5-954335755864517861044620392928147097558\
         349598662749/389725677180261462104064000*ep^3*z4-
         1186209473662876731794033507529999498465515043127742497958791/
         722312472474039076043747896442880000*ep^3*z3+
         348098101723851616400794841685/226576*ep^3*z3^2;
Fill mncnoptab(18,2,2,9)=
      +mncF321*(-16678278747881818031250-33406585317182942362716075/238
         *ep-365854629288473633609832282/833*ep^2-
         75048962619573784171726743677611/100059960*ep^3)
      +1426926624558113638676596913455698973032711133221935884013713/
      17389003966967607386238375284736000000-4177856355229465087/906304
         *ep^-3-7510713519279190206832669277243/72788385762892800*ep^-2
         -550136828973369634934101547810905808823811/
         649542795300435770173440000*ep^-1+3108018769057094540234969467/
         14161*z3-33101057284654493563300056716018330011600388275896319\
         32709783106484225110308230410240036602231817618481983964676064\
         219/4222955815267607309787509963901748513682812028275691209917\
         775631377477140480000000000000000000*ep+
         9324056307171283620704908401/28322*ep*z4+134504379608733360387\
         576004245715614982411/36394192881446400*ep*z3+
         13573663019833751212041031828644103663575649108606597292371413\
         65552614805842936302743310528105507169617596237595253240418202\
         38461/38761151974405316548394387163446570356213006836694427105\
         320965790082609635024856678400000000000000000000*ep^2+
         689092161382141252119216910137/32368*ep^2*z5+13450437960873336\
         0387576004245715614982411/24262795254297600*ep^2*z4-
         2635091066708565360713634113389730790616364087056621/
         324771397650217885086720000*ep^2*z3-
         10169357970908590495436857829186940644919395498275825194883326\
         18617208050391815748961554788330552149831639331736218422239099\
         373857159947271814122715042889133147734837/
         26400523535897255470644166775862292524468824085989122302826890\
         88468780319870575395517106532656233505715933407084544000000000\
         0000000000000000*ep^3+23869584146850376260953794297435/453152*
         ep^3*z6+47170816258369863074461784781352988831023/
         933184432857600*ep^3*z5-26350910667085653607136341133897307906\
         16364087056621/216514265100145256724480000*ep^3*z4-
         5562212756040320276434314536173878349462444822813146742236593/
         668807844883369514855322126336000000*ep^3*z3+
         1740490510864691168932833239209/226576*ep^3*z3^2;
Fill mncnoptab(18,3,1,9)=
      +mncF321*(-7110213571465406634375-28519251520952905373328525/476*
         ep-312985973193012389858306589/1666*ep^2-
         1650736510883527353650898946099/5131280*ep^3)
      +93587901281662315310705777846091921269179154302853884208027/
      2675231379533478059421288505344000000+7575105486200045391/1812608
         *ep^-3+14425930827290226779781857269/414748636825600*ep^-2-
         10127225152384751690711581911274011031/
         2562298995267991203840000*ep^-1+2649994946379477660035973069/
         28322*z3-60730356219080101111804249997180833998572136274188866\
         33254183650092385833417464756523088877751703256652633276173001\
         101/1819119428115276994985388907526907052047980566026451598118\
         4264258241439989760000000000000000000*ep+
         7949984839138432980107919207/56644*ep*z4+326936196785447888915\
         632082421785030267/207374318412800*ep*z3+
         17408527331667037514290711992896340333343468441521580855543155\
         08084942333215789332703428154110749381829583342516850409100812\
         855293/1168797813382068006690046136005465813818115283075708878\
         868139891516337152071518755225600000000000000000000*ep^2+
         587541737501264808663504295959/64736*ep^2*z5+98080859035634366\
         6746896247265355090801/414748636825600*ep^2*z4-573329543516991\
         95741124267108785698174942459229893/16654943469241942824960000
         *ep^2*z3-42717051976441368793589523515548313317826232836921109\
         40364722796559297825948874197846666771819737570054741675434246\
         7996217880553261877202113654622055386805447937619697/
         39803866254122015940355820677453917959968380929645138241185158\
         56460622636112559827087329849235552054771714982989004800000000\
         000000000000000000*ep^3+20351961216833910090419772513045/
         906304*ep^3*z6+4488690502183620086860987413353766535609/
         207374318412800*ep^3*z5-57332954351699195741124267108785698174\
         942459229893/11103295646161295216640000*ep^3*z4-47924545904498\
         08481856246693592189209268730086051626907990591/13376156897667\
         39029710644252672000000*ep^3*z3+
         1483997173166846713422963387303/453152*ep^3*z3^2;
Fill mncnoptab(18,3,2,8)=
      +mncF321*(-31600949206512918375000-31759485418844707209349950/119
         *ep-699727546918269694558133829/833*ep^2-
         84289348249158628288692679647/58310*ep^3)
      +525184505198259075759989249914451220076725556281478542157/
      3377817398400856135632940032000000-109959329522284640541/226576*
         ep^-3-86827847799488405136997936927/14139158073600*ep^-2-
         558853041120337763219500825348683902423/
         19922181183303759360000*ep^-1+5888877831090910838864362824/
         14161*z3-10559107831175036748220380914239755680582789780807191\
         88145909818252729716343696894917844335768332470768539039813419\
         557707/7113041201341376062423337095447007652734486510126867381\
         70525332910143805849600000000000000000000*ep+
         8833316746636366258296544236/14161*ep*z4+495916296194631679093\
         85573439469270679/7069579036800*ep*z3+
         99734794974108215727397039937191659621391566397096581360968723\
         14584080297436010948774772242712725712399290550319871028695418\
         7091/151080399172966177001128122693888336729330242556661232921\
         87603711361744437288097546240000000000000000000*ep^2+
         326412077406876900287501400891/8092*ep^2*z5+495916296194631679\
         09385573439469270679/4713052691200*ep^2*z4-2870444906625306499\
         110607028812966407362122009307/189260721241385713920000*ep^2*
         z3+18986971807487771994068107805282421123000988561752166947615\
         10194760269578080825686974575695326348273680151071341343678643\
         87779963784538222971273135613676154666768987515529/
         26458687189312279111602929705790364137686794464053567087900306\
         37866813101512790256935355157985991770158213822872027136000000\
         000000000000000000000*ep^3+11306645152618873293285261774705/
         113288*ep^3*z6+228507075756714181056240417021623980511/
         2356526345600*ep^3*z5-2870444906625306499110607028812966407362\
         122009307/126173814160923809280000*ep^3*z4-2738901907201289173\
         0760171961853374735009670112164696225001/168890869920042806781\
         6470016000000*ep^3*z3+824442865902345000074001510987/56644*
         ep^3*z3^2;
Fill mncnoptab(18,3,3,7)=
      +mncF321*(-52391047368692469937500-7552892145670355238923025/17*
         ep-335086337578763121638902641/238*ep^2-
         447931843718539833405964429353/183260*ep^3)
      +1333157650559823201193451628251372343467303452819856626993/
      5171896236379332837709043712000000-11961212105101902115941/
         1229984*ep^-3-34688944071889824520842419265999/281436574988800
         *ep^-2-1385215227224933008737216871368161180697623/
         2511459729488864394240000*ep^-1+26499957642454296949427411712/
         38437*z3-29191777869494351620637394008545698652612978156762070\
         33388962017004275882383123333370860187155427686084650089679063\
         951830699/1198599286749646803661644424031038333273317350764760\
         002704956944359781098848256000000000000000000000*ep+
         39749936463681445424141117568/38437*ep*z4+45426342291775033298\
         81077115572817343/389801350400*ep*z3+
         41619246191452772629858169910697549739927315186321742276766629\
         97724611670766430908239140264519266852787375499052128649453253\
         11928184539/38505449499974161475789197940627708762394364157218\
         608556510551543886158419588802076999680000000000000000000000*
         ep^2+2937708787228580555522355678291/43928*ep^2*z5+13627902687\
         532509989643231346718452029/779602700800*ep^2*z4-3106933014373\
         3454021718774236411125920693984481753/
         1255729864744432197120000*ep^2*z3-
         62519764501676246647104234854459996484301663083627379617298496\
         83339361165767491076003897061117658345441113864306645303869912\
         884573317927077994556975232673843334987735444089/
         63826684515829513794865721600244566344785300940597838758422224\
         79610233130338539258176324507992423482307259225003102568448000\
         00000000000000000000000*ep^3+101759809247302147565305352271705/
         614992*ep^3*z6+22948787044444855273510665925961208306621/
         140718287494400*ep^3*z5-31069330143733454021718774236411125920\
         693984481753/837153243162954798080000*ep^3*z4-3112460489263691\
         30864399621647413205298215301296753613952179/11205775178821887\
         815036261376000000*ep^3*z3+7419985150679308182641033945187/
         307496*ep^3*z3^2;
Fill mncnoptab(18,4,1,8)=
      +mncF321*(-7584227809563100410000-7644111251382568645254000/119*
         ep-169216635343960573201584531/833*ep^2-
         3383929428762218108643363864907/9621150*ep^3)
      +3743515863124418300831602099494117497971089114824792454139/
      100321176732505427228298318950400000-2730021327723400659/113288*
         ep^-3-20806687324875719614602684083/77765369404800*ep^-2-
         108861834400828218711636651406123722599/
         96086212322549670144000*ep^-1+1413330651866366367309111924/
         14161*z3-82875519002161636290943885267850523658579767313295793\
         76307317332428328513999549432058608471778025710680919914840758\
         3947/233396664419013902048265748444354938605350338613537835962\
         203624861140936294400000000000000000000*ep+
         2119995977799549550963667886/14161*ep*z4+655548350474602899893\
         92999634371855607/38882684702400*ep*z3+
         85886699470375371912904667750465173337847577365544448448615679\
         60732269422472985286257687426641283267011554180916284094672926\
         1847/545305815764924795113446817848253215382426344227949137577\
         39632145696296328336727080960000000000000000000*ep^2+
         39169449203770416528739919853/4046*ep^2*z5+6555483504746028998\
         9392999634371855607/25921789801600*ep^2*z4-5915897359485578921\
         18561064122347130247995460931/164357994762256014720000*ep^2*z3
         +6827037713899171794072988210749727391388620828242750093488517\
         27409942030173002109552910091208832241236307056824669248268732\
         6257230764105783776986765703287733197963687557536763519/
         37092069301847342532704078278192787893353326809753210368989109\
         62329647252165023788643573233626601174103498691576031609419202\
         56000000000000000000000000000*ep^3+
         1356797415613300914832806075615/56644*ep^3*z6+9139948498971811\
         29126502243848140454949/38882684702400*ep^3*z5-591589735948557\
         892118561064122347130247995460931/109571996508170676480000*
         ep^3*z4-212831526692783521040153599267383919652207993962248433\
         807/53441922401718211819890432000000*ep^3*z3+
         98933144496597032464713691197/28322*ep^3*z3^2;
Fill mncnoptab(18,4,2,7)=
      +mncF321*(-29494219259412057150000-4258791775748905348882500/17*
         ep-94720312163781459626656770/119*ep^2-
         127045579312480405924368042941/91630*ep^3)
      +9243229757325755961817598081233015614236422110104063483/
      63695985226987572843364012032000-53856387189034323855/16184*ep^-3
         -293810576955567525326538708341/6665603091840*ep^-2-7547204228\
         037492574536749976156470617991/35689164576947020339200*ep^-1+
         785183834125120301509677780/2023*z3-
         13963946058316804128601580485407706117551576850643524196542104\
         6269910610850470904505483134417636996000295141201725790384673/
         10190520251717644889430984981640406882080835775732777350932832\
         3204677745246208000000000000000000000*ep+
         1177775751187680452264516670/2023*ep*z4+2188273660383412518443\
         0040912684541789/3332801545920*ep*z3+
         19871971151210884355925574098957550009025318194780704463868152\
         37894185876074385050192918456366077316395728907781171166860742\
         1292487633/327374267003828903235454719333272017817927792429793\
         8379298467945026758408143177504522240000000000000000000000*
         ep^2+21760805540006555130464920785/578*ep^2*z5+218827366038341\
         25184430040912684541789/2221867697280*ep^2*z4-1234877667277065\
         543088054105148422934622626216221/89222911442367550848000*ep^2
         *z3-1486167682183855839791615146419015795923022194456778080343\
         25166038161874730720103087276479572944020478100459633323100052\
         63365869501172243471847160650106756031327517625624681257339043\
         461/8892711798209276144366884936243544071359501713892205991156\
         03834781404506388025856724971733914387048676112578017752733994\
         74320310272000000000000000000000000000*ep^3+
         753776355558978226551175449675/8092*ep^3*z6+102561267113006926\
         217412891175414465141/1110933848640*ep^3*z5-123487766727706554\
         3088054105148422934622626216221/59481940961578367232000*ep^3*
         z4-12605346967914490366273881216051746517804298349621031347671/
         796199815337344660542050150400000*ep^3*z3+
         54962855088026339607001981665/4046*ep^3*z3^2;
Fill mncnoptab(18,4,3,6)=
      +mncF321*(-41912837894953975950000-6079936108459882254300000/17*
         ep-136255018798240197482806335/119*ep^2-
         184539106080957935595000512763/91630*ep^3)
      +3555048781155133919351958297860432159841735446729257447/
      17239654121264442792363479040000-18296945935596345900285/307496*
         ep^-3-10234225795364834594565666856323/14071828749440*ep^-2-
         230244305977968159432989792109126568842457/
         75343791884665931827200*ep^-1+21200010098223009286372648860/
         38437*z3-27435020015301519958257908356165933053339292272849870\
         02354353154638328467847892408163702795563821409635032162051371\
         29792167/13991812082057101463152257358076610747598724992600871\
         8683109259627305058885959680000000000000000000*ep+
         31800015147334513929558973290/38437*ep*z4+34631917279952755346\
         77346312386602093/370311282880*ep*z3+
         96999936783439316229177880027334178948412398658147995410502049\
         97952664494766589563563085506190479246964864721191144119493165\
         97170748743/11237304649992459369465010827570943577596722600984\
         2061705734874913790217428595891775733760000000000000000000000*
         ep^2+587541890856290172686022453795/10982*ep^2*z5+103895751839\
         85826604032038937159806279/740622565760*ep^2*z4-36358522005401\
         90276387445676396590540477981603683/188359479711664829568000*
         ep^2*z3-118919660554037784931389914625548462660241394643651534\
         42679963840319848738805720090628633815840391517623565885275563\
         13247058216399196605605412902103530782228343720559372703752214\
         213/6085701580631262001870959025236987310327816490192743307180\
         63454842837355560948301792977907358588085262998635309429571502\
         4207872000000000000000000000000000*ep^3+
         20351966078987925951147059394225/153748*ep^3*z6+93782848546021\
         2932275199819219170768869/7035914374720*ep^3*z5-36358522005401\
         90276387445676396590540477981603683/125572986474443219712000*
         ep^3*z4-391463661722710634885968444682725421209825293234170822\
         66353/1680866276823283172255439206400000*ep^3*z3+
         1483996058541141033476672207955/76874*ep^3*z3^2;
Fill mncnoptab(18,4,4,5)=
      +mncF321*(-27941891929969317300000-4080310057639295346759750/17*
         ep-92440335199884613865209845/119*ep^2-
         126937922782482591731669166849/91630*ep^3)
      +1066468076125511824489721002417875866518975495590352843/
      7757844354568999256563565568000-36181368248946484115565/153748*
         ep^-3-4947561972771606195340271974929/1758978593680*ep^-2-
         160098652424587447590904992417091633960903/
         14126960978374862217600*ep^-1+14133505124044204425424771380/
         38437*z3-23994708687008706535614530942365635104722901745450224\
         23678252951329713252979748790569119467798819515377334858684589\
         7360168611/187090515840077813850150184102281537996462951329634\
         51526770038144451076445322608640000000000000000000*ep+
         21200257686066306638137157070/38437*ep*z4+11582792932979831927\
         04585023648492421/185155641440*ep*z3+
         67276668730921375776137591152656197614849009515988530511044237\
         21979489718886272001807434993370251686885820545419187258392993\
         52053164059/12020705317020505108364857296693032215577751262309\
         9622578934677622065878300760862516670627840000000000000000000*
         ep^2+195847547960329102944386246655/5491*ep^2*z5+3474837879893\
         949578113755070945477263/370311282880*ep^2*z4-3535914813223317\
         0899452571008162927683659234779/2825392195674972443520*ep^2*z3
         +4519188214118582200134300741544889899527415695594178262359049\
         53960648532839270408416763696082169131535027417353184471662960\
         762275165201039810681265670325548402762501814154340240979243/
         15019412142604801457156271838219166526994188602832585294475974\
         54495716996179839821914019794089038519521566134006769171372929\
         565327360000000000000000000000000*ep^3+
         6783996652991297580926394776025/76874*ep^3*z6+3197485825379514\
         29862806821579032124383/3517957187360*ep^3*z5-3535914813223317\
         0899452571008162927683659234779/1883594797116648295680*ep^3*z4
         -273598396020521106030295259207218446818199283386546581699/
         16808662768232831722554392064000*ep^3*z3+
         494663540359340655984059238015/38437*ep^3*z3^2;
Fill mncnoptab(18,5,1,7)=
      +mncF321*(-4424132888911808572500-641981891670197527770750/17*ep-
         57578655351412445730460227/476*ep^2-
         1170452584012662732578588098619/5497800*ep^3)
      +178262501163309322780836790502827026389027921846466637879/
      8189483814898402222718230118400000+2012999198812651647/64736*
         ep^-3-2725784742245248295235599561/44437353945600*ep^-2-
         3683755185289382348839803405272910589/963270298972929024000*
         ep^-1+117777551212817069053326327/2023*z3-
         59967932122257021209454704761686714153515497844018645004603266\
         076181579704823026347154521257617179078665284003682727/
         29247633980657494743080215552320398673679867482666325545318839\
         1589380096000000000000000000000*ep+353332653638451207159978981/
         4046*ep*z4+1044625549323036483610242833621833289/1058032236800
         *ep*z3+4573897931522718768010643194207346753945803493976128986\
         92768045847931008639149154032868870690677928571515894513340523\
         6106061261053/506439634800949097645137306043022101699656250560\
         7568147900289556178718308545404600320000000000000000000000*
         ep^2+91395381242705684385620529657/16184*ep^2*z5+3133876647969\
         109450830728500865499867/2116064473600*ep^2*z4-310342396241588\
         72565851897850675628428680719039/15251779733738042880000*ep^2*
         z3-59516559094674680351101661624427987570664264302458055237326\
         95081451685722325120360659169055349753788349082944065612224585\
         74629532106633799155466383556820220806953874943748985632512440\
         8373/192029081628024908329352110979790011673195864068207551192\
         21618688068470936810250533850090586009973898224429074531266588\
         0856567186718720000000000000000000000000000*ep^3+
         452265804165015739165969595205/32368*ep^3*z6+31296087391398118\
         5750762423007589337383/22218676972800*ep^3*z5-3103423962415887\
         2565851897850675628428680719039/10167853155825361920000*ep^3*
         z4-353245091094837826780378158696426890051480959696583337477217
       /143315966760722038897569027072000000*ep^3*z3+
         32977715176108588253070098799/16184*ep^3*z3^2;
Fill mncnoptab(18,5,2,6)=
      +mncF321*(-14747109629706028575000-2147075045786870079952500/17*
         ep-96810666014384666146387845/238*ep^2-
         132111509109851766661325891531/183260*ep^3)
      +943178167605601294185902364957725225910956558734591811/
      12999180658568892417013063680000-358037706382069776855/32368*
         ep^-3-1886336495344495448342773056041/13331206183680*ep^-2-
         1836677060590256995393961740768328726291/
         2855133166155761627136*ep^-1+392592341527701207153234090/2023*
         z3-32248489236353273313555247294850535437154484405231821623804\
         15307164974377627334827872025233818475813895665803418872009589/
         46964997590148702548174870294295820178567148874197341126177920\
         12194718679040000000000000000000000*ep+
         588888512291551810729851135/2023*ep*z4+31391392007537814886739\
         12046527260027/952229013120*ep*z3+
         28391246073099754122190721548169219204908045310146273672047751\
         64988625374415555918243750886536323601077399686175913299438855\
         7688663/942980049173642200042378056824897923737641195705575840\
         0387257897572353100546782003200000000000000000000000*ep^2+
         152325656748719838555849292095/8092*ep^2*z5+313913920075378148\
         8673912046527260027/634819342080*ep^2*z4-119368138595390409969\
         5758648248066750515845649881/178445822884735101696000*ep^2*z3+
         40416827800814309701688799317031149430460822137660223862012539\
         55569309042823260536671605464286245638363822893180992518943749\
         25355194637297436926080302752917439642611991852427012500048031\
         53/20135338253677892372035785208789558177642594886043297072704\
         76014280372759327722018695809388273995968173214706445346794875\
         63868982476800000000000000000000000000000*ep^3+
         753776436913045168636181778675/16184*ep^3*z6+10551077981055825\
         7054843120402677100141/2221867697280*ep^3*z5-11936813859539040\
         99695758648248066750515845649881/118963881923156734464000*ep^3
         *z4-13400108731686655939320587097107276113788008415614349969011
       /1592399630674689321084100300800000*ep^3*z3+
         54962836212667835335922311065/8092*ep^3*z3^2;
Fill mncnoptab(18,5,3,5)=
      +mncF321*(-17463682456230823312500-2555433678541226770608750/17*
         ep-232346637438721271295403275/476*ep^2-
         3769305378166993784345278245/4312*ep^3)
      +304705084400443556432023494778859473200110032098141151/
      3546443133517256803000487116800-152495019376717879996875/1229984*
         ep^-3-16885581563362972440599562104201/11257462999552*ep^-2-
         372498371739644267615118381716233219835323/
         60275033507732745461760*ep^-1+8833421134091645668303403625/
         38437*z3-13268732107405696848516521281900866163053169546445212\
         32426500947099915265920202269985309526692492493975588241112606\
         77699107743/16630268074673583453346683031313914488574484562634\
         1791349067005728454012847312076800000000000000000000*ep+
         26500263402274937004910210875/76874*ep*z4+16563989057566048087\
         7820078534708793/42321289472*ep*z3+
         18547205591089842107899597285855846906037335682150658261742457\
         47502600510519275470842565467172885340364360776986629470672746\
         4413503537863/534253569645355782593993657630801431803455611658\
         22054479526523387584834800338161118520279040000000000000000000\
         00*ep^2+6854662514542641856070002513875/307496*ep^2*z5+
         496919671726981442633460235604126379/84642578944*ep^2*z4-
         1168303198763415862759354534052069465743546454777/
         150687583769331863654400*ep^2*z3+
         16970902925888527513240863064161589735309070959325292733834926\
         03606614031673284123162937391754320038165699056391737214349015\
         06261847178967409170419944156673971497778038031725262367125950\
         363347/8080561456337637246173837102311444254930927499748292346\
         64804372312651045750370758594913967439019533551142227511269762\
         959764794163464954183680000000000000000000000000*ep^3+
         33919975727349543453617876424375/614992*ep^3*z6+32196283681884\
         9175433704688869929763143/5628731499776*ep^3*z5-11683031987634\
         15862759354534052069465743546454777/100458389179554575769600*
         ep^3*z4-416239843133153386040031247465777087117757589259688294\
         87801/4034079064375879613413054095360000*ep^3*z3+
         2473319426078795732577049695525/307496*ep^3*z3^2;
Fill mncnoptab(18,5,4,4)=
      +mncF321*(-9313963976656439100000-1372481979544447328378250/17*ep
         -31553114604093878980783365/119*ep^2-
         88274111331044695469278910991/183260*ep^3)
      +19041518467522921072076359024232201789842799833688413/
      415598804709053531601619584000-46246365529104093831855/153748*
         ep^-3-18814670608563941597426938844129/5276935781040*ep^-2-
         799225728519439574729006450494666873121819/
         56507843913499448870400*ep^-1+4711356754162727889597434460/
         38437*z3-40627839127609996702813194278392568170851082481606578\
         89151819846444871405806654741148470271873508273519283936934699\
         95863954349/95416163078439685063576593892163584378196105178113\
         6027865271945367004898711453040640000000000000000000*ep+
         7067035131244091834396151690/38437*ep*z4+166233429670281095919\
         477928546919953/79352417760*ep*z3+
         11346391803772377859586657055874921931641892989129176350799388\
         11442570448222607351383242732341222434853726624521492656828730\
         4584285170421/613055971168045760526607722131344642994465314377\
         80807515256685587253597933388039883502020198400000000000000000\
         00*ep^2+456979614281996844366865290195/38437*ep^2*z5+166233429\
         670281095919477928546919953/52901611840*ep^2*z4-22653192219117\
         528289394829835539222264425357599/5650784391349944887040*ep^2*
         z3-42103842330875472290750139892699571309731324116082127928277\
         37624303376782410936544479588578627828184521922420836882931713\
         73953112196792488920413852886120911717344604460000413603345800\
         97/29107620732368105223968854822468744729314737512289550300694\
         43866812699538596529574869370360944556650832795167705118654120\
         73749760442368000000000000000000000000*ep^3+
         2261341287639170582386339278675/76874*ep^3*z6+1098548496935614\
         99114258727368932664711/3517957187360*ep^3*z5-2265319221911752\
         8289394829835539222264425357599/3767189594233296591360*ep^3*z4
         -435714692707177989587790878301552109295873854005859698761/
         75638982457047742751494764288000*ep^3*z3+
         164885771756319750912461314005/38437*ep^3*z3^2;
Fill mncnoptab(18,5,5,3)=
      +mncF321*(-2328490994164109775000-692692125546663471425625/34*ep-
         32330955042154448729889255/476*ep^2-
         92167166822054452647483538923/733040*ep^3)
      +13324360596556631505263757867384605315056929656493608719/1163676\
      653185349888484534835200000-119162425155233819944455/614992*ep^-3
         -12195977008984723257332205868961/5276935781040*ep^-2-
         10482584735023762174938293679307516747430957/
         1130156878269988977408000*ep^-1+1177939191938352387799513635/
         38437*z3-29149976783721856003648931197180321571621601362603565\
         37482767521670298513388218655136935898313638982851778136769345\
         32715619247/27140597497867288195861786707104308445353558806218\
         98034816773533488369489668133093376000000000000000000*ep+
         3533817575815057163398540905/76874*ep*z4+116925099148835135617\
         2170827656608551/2221867697280*ep*z3+
         57591786111992499059328976840716754040222219522628908236629335\
         37165062345668213227916026940882645272460916560644221175712398\
         418753683589/1245574036658886624561996641790668481004627940323\
         16561300838980240769214848788398493464421990400000000000000000\
         00*ep^2+456983872698322221265670250555/153748*ep^2*z5+11692509\
         91488351356172170827656608551/1481245131520*ep^2*z4-
         542222823753808868334705609140192868264475821617/
         565078439134994488704000*ep^2*z3+
         13880054261066578676015871576632581257431683439719563450702887\
         67991143601758453170565282861961019596389407884209572985557234\
         341714554254228550865147434479079301151872678168940042843819/
         31462103831608547513196557745886216525197085168839193925017277\
         70705993456829671078258803874585405233255714599048377140809614\
         930743981506560000000000000000000000*ep^3+
         323051511378977722653194425725/43928*ep^3*z6+16181094823275351\
         759174755108460072073/2010261249920*ep^3*z5-542222823753808868\
         334705609140192868264475821617/376718959423329659136000*ep^3*
         z4-720489966599627685076819166470430168192744828203624334963/
         472743640356548392196842276800000*ep^3*z3+
         164881379804719198653845507565/153748*ep^3*z3^2;
Fill mncnoptab(18,6,1,6)=
      +mncF321*(-1447898036371137351000-212431045042657968941700/17*ep-
         48492590978636580234676113/1190*ep^2-
         336102276032892645452957636887/4581500*ep^3)
      +2113776603078280197027727619707657093705415027201567849/29672042\
      8076029066040515584000000-6407826534298176507/161840*ep^-3-
         148426566521774994726002501/146368096000*ep^-2-176574158057701\
         96073466938991753213643/1989362573965831680000*ep^-1+
         192726919037637178524038826/10115*z3-
         77820427625092952923292747677309805770916627222743618808639277\
         71539513819759605566748269736209390705906344067122515889/
         11668322382645640384639719327775359050575689161291264876069048\
         4775024066560000000000000000000000*ep+
         289090378556455767786058239/10115*ep*z4+3736782991002191749850\
         5254999154117/115003504000*ep*z3+
         76075931003613660778613951656171110301379539960002951962201320\
         55702492969093225063705922076959663758174963986258083405955258\
         221691/2623944484657091339248356332034498570400392892398124076\
         6294978497592634714564958617600000000000000000000000*ep^2+
         74778039837248846144467987683/40460*ep^2*z5+112103489730065752\
         495515764997462351/230007008000*ep^2*z4-4108542098510711533822\
         7019362731585956643774613/64654283653889529600000*ep^2*z3+
         15468839165187500600973308893237341149285426188777397945135763\
         71527324539469439859060850668468737155504004036432441108230948\
         68231285558961239486771538697030757442905342591910661265229268\
         372161/7803261756189482170720164156422916949350041599631670682\
         32169826738569040243065205651776639371336964332598195801140127\
         1956840654771637452800000000000000000000000000000*ep^3+
         74007132161098297430371832379/16184*ep^3*z6+385171070581299606\
         5703639511823048633/805024528000*ep^3*z5-410854209851071153382\
         27019362731585956643774613/43102855769259686400000*ep^3*z4-
         347969369142337844248429050988257925395075057790119772859/
         399431345486962204285309440000000*ep^3*z3+
         26981766020707026617191637781/40460*ep^3*z3^2;
Fill mncnoptab(18,6,2,5)=
      +mncF321*(-4021938989919825975000-592293222610292989714500/17*ep-
         27204706713966981842853405/238*ep^2-
         37999312173372372369092826411/183260*ep^3)
      +2899417548955868881676922704260371643891707871848817/
      146528606457298304217538560000-471401174416231907055/32368*ep^-3-
         36010398371323950127405773437/193205886720*ep^-2-4604164037714\
         6134635605000193502916621/54445712550643814400*ep^-1+
         107071146851010126602824890/2023*z3-
         26094512401474597212817275911036025267837232513366117129664946\
         032389066054792037834338957987223812835008723637901122742781/
         14270825006870924016029762326642375133216090871825668594027489\
         0499245434365542400000000000000000000*ep+
         160606720276515189904237335/2023*ep*z4+17827964628080838195883\
         55072781457/1971488640*ep*z3+362867019630677875179852954020538\
         44457341169356672444593405909957030115633697017405033878629880\
         64282152806535192025649448201530316921/
         45845558035928699879347281833306759022035664615980023866870586\
         43099385137328789569667072000000000000000000000*ep^2+
         41543382637626962847471455895/8092*ep^2*z5+1782796462808083819\
         588355072781457/1314325760*ep^2*z4-163272043173665169050588585\
         56525063683400223/9404259440565749760*ep^2*z3-
         52773984840908707969492279854763436363245402673569329927672323\
         50721936248811183665615948823267576650299464090019593353931146\
         97897991062595004335843383541538867016804265001279538601729188\
         1167508662359097/329088210910516167749232470852076106467931357\
         78602555142777638841890109833252469415723987003378926012673378\
         66762348618871875822537579063357745817190400000000000000000000\
         0000000*ep^3+205575490251114611705300781675/16184*ep^3*z6+
         433305407450793066801165957657704977/32200981120*ep^3*z5-
         16327204317366516905058858556525063683400223/
         6269506293710499840*ep^3*z4-7628098751250839612599218748114502\
         55323681539709167469/307710073560326438856830976000*ep^3*z3+
         14989842239640019279161749505/8092*ep^3*z3^2;
Fill mncnoptab(18,6,3,4)=
      +mncF321*(-3810257990450361450000-564150814345074756442500/17*ep-
         13068822222150417942515010/119*ep^2-
         18454674134755724291878152843/91630*ep^3)
      +6020962879224577387976511464260607026256629380016667/
      321235791079461666938449920000-31443306603032511433935/307496*
         ep^-3-752947008108974707176836166291/611818641280*ep^-2-
         5485928400225014397506130142361740268051/
         1091939012821245388800*ep^-1+1927355682433106357533083060/
         38437*z3-40550240132394568364463910343383876878622320308006143\
         98814900170651761564050924725851077971513176164420955697551671\
         28957779/23047382386096542285888066157527435840143986757998454\
         77935439481562813765003509760000000000000000000*ep+
         2891033523649659536299624590/38437*ep*z4+197590912283424204378\
         3677535988383/2300070080*ep*z3+9852710768229916017886892133337\
         80770122560169362931484699424936045695925489096647339035955672\
         46747808207408411250738426411875603271/
         12876621952699973966112323506224420142710886670401345833912347\
         3193139252118017307043692544000000000000000000*ep^2+
         373892038300190238004437018615/76874*ep^2*z5+59277273685027261\
         31351032607965149/4600140160*ep^2*z4-4380723171519078529920928\
         686890764988736275777/2729847532053113472000*ep^2*z3-
         52625826404468274830592024523714099286785328003367390917089412\
         30484489786800065243020920847830064298809320466943372325690434\
         46571980118970214809125535265273745143725187520354587191208815\
         365253/3863518446311432808326865864542659284388849710817152278\
         24109590511986281249396018953193240681781214479139877528825855\
         4151375422094066812190720000000000000000000000000*ep^3+
         1850186634676620126446854262475/153748*ep^3*z6+396944333276825\
         8373854006512835344873/305909320640*ep^3*z5-438072317151907852\
         9920928686890764988736275777/1819898354702075648000*ep^3*z4-
         177445718275088682545215080744287092550004050795477338921/
         73081142470577529228497356800000*ep^3*z3+
         134906925501029304853493043105/76874*ep^3*z3^2;
Fill mncnoptab(18,6,4,3)=
      +mncF321*(-1524103196180144580000-227312835911403372637650/17*ep-
         5327567750670145063117866/119*ep^2-
         15267777894134246847703086081/183260*ep^3)
      +15046877539265840669231518176587588928737020955863541/
      2007723694246635418365312000000-19164037622288245476309/153748*
         ep^-3-103770191349166022459720983413/69524845600*ep^-2-
         61781248075299091993870733824735595903917/
         10236928245199175520000*ep^-1+771012873675750763953664236/
         38437*z3-81757720867620757881453497668587876148260798330096016\
         03777292190681878991974231300018387442266797617209516171360576\
         964758579/1180025978168142965037468987265404715015372122009520\
         88470294501456016064768179699712000000000000000000*ep+
         1156519310513626145930496354/38437*ep*z4+198339092305154286988\
         4326205937783/5750175200*ep*z3+
         69550744994304845493420719149729180094252411401969845949323402\
         86534973777506032712759030938994595779808613231602050214426745\
         473447991/2354582299922280953803396298281036826095704991159103\
         2382011149383888320387294593287989493760000000000000000000*
         ep^2+74779159372480962414177582537/38437*ep^2*z5+5950172769154\
         628609652978617813349/11500350400*ep^2*z4-19833229479246680893\
         4693382972355202064475507/319904007662474235000*ep^2*z3+
         11446473514833376758594111214143805527267573686050182791640148\
         89409223174081303310948847393281255703632960943611744024996777\
         92387159122016436298685590325839326833275042937010561922509466\
         34119354193/27135869975808120455489508316055654432382075050490\
         72381589061305673435036763757869055951296344409446515118510049\
         50173930744668366266411671717360435200000000000000000000000*
         ep^3+370040732494026058251119591505/76874*ep^3*z6+406451594668\
         2350116056971422400145783/764773301600*ep^3*z5-198332294792466\
         808934693382972355202064475507/213269338441649490000*ep^3*z4-
         92579540830598219372405302935175305975150339057822801809/
         91351428088221911535621696000000*ep^3*z3+
         26980610203415072948636781135/38437*ep^3*z3^2;
Fill mncnoptab(18,6,5,2)=
      +mncF321*(-254017199363357430000-38250255476350943336025/17*ep-
         1820367795420362129031207/238*ep^2-62545406439286092268670895/
         4312*ep^3)
      +85522226062787318135423762144700185694715076354968361/
      68513571066166433651716272000000-8690644998354881175003/307496*
         ep^-3-268695974498631532708866788153/764773301600*ep^-2-
         5651699783631469781211026017247180081233/
         3722519361890609280000*ep^-1+128508574779940477084934166/38437
         *z3-3345244265237042783653798416740966406962284567177777939160\
         20437888330460084397359775257771319508705462293550653372836724\
         801/2984197928259931795879880248786891262766147680453829675364\
         4725161604062660382634803200000000000000000*ep+
         192762862169910715627401249/38437*ep*z4+4650827416971031495712\
         786536444627/80502452800*ep*z3+
         29194092642265315586210244458757385010795330927323790460589285\
         33502674698364799683628654106566457173937507740376970939736439\
         0379759709/620325409561342745829294770219858611093213914943552\
         834936984644677348658930724830441759571968000000000000000000*
         ep^2+24926522518485218124522230319/76874*ep^2*z5+1395248225091\
         3094487138359609333881/161004905600*ep^2*z4-201622772818562166\
         9767253820694427964848911843/20473856490398351040000*ep^2*z3+
         90468300526265062952556438720372602625691737007639702235620340\
         27984914848321351555188097323431524271964111104129246069986575\
         479332558410314541710644895103301349216883792959631302057481/
         15117410882394388036506180721866319246074037452200915163640533\
         27180549252727909723057577332796656696375927659410517743526206\
         7113508684693504000000000000000000000*ep^3+
         17621075263518097978823115705/21964*ep^3*z6+181398732464620277\
         02620296054216493/19864241600*ep^3*z5-201622772818562166976725\
         3820694427964848911843/13649237660265567360000*ep^3*z4-
         48753328892086496779748311510288163926045403539699142657/
         274054284264665734606865088000000*ep^3*z3+
         8993393741941840094169992985/76874*ep^3*z3^2;
Fill mncnoptab(18,6,6,1)=
      +mncF321*(-13855483601637678000-2112497863412357192265/17*ep-
         5638165895775522672182061/13090*ep^2-
         1533360457574775416138161327/1832600*ep^3)
      +18468605068161010932403273452790380605412945128344412011/
      271313741422019077260796437120000000-1027806632014718541609/
         16912280*ep^-3-57846025946071398059529142817/21031265794000*
         ep^-2-183729635447944559156511296006370900651437/
         6756372641831455843200000*ep^-1+385455894592003447767763338/
         2114035*z3-695583556781279171179525900329003275046258055881804\
         48683065517107727861362106862670037842163590752435822648585480\
         7810052180609/113299081697891973967562692341528412044898225515\
         3148244822048313676943821499856386984509440000000000000000*ep+
         578183841888005171651645007/2114035*ep*z4+14040389044194177573\
         711443097279481/4427634904000*ep*z3+
         13300245094809537591321593798305952050200492443171247911268545\
         97227631881811067564747956016082732373818068542039840874585689\
         0351767599157/519967898832285121831999157610485354666857659184\
         15844188693041787237642278960822711813570482405376000000000000\
         00000*ep^2+6798008096039857249525318047/384370*ep^2*z5+4212116\
         7132582532721134329291838443/8855269808000*ep^2*z4-16973569719\
         180271855381899895018466783960847257/3378186320915727921600000
         *ep^2*z3-27556872092030296919027593347277363193507552595953480\
         17486034669630314667724578885357677476705047261652273522126866\
         02743996628366541539701521309464135770581559657667173074545556\
         4833393719/573952804673287871412749030834052744948759845580243\
         55684511830580877480545954470114651886472043398416904369835234\
         3716853708872740195354622610636800000000000000000000*ep^3+
         10572453895322060407034710263/241604*ep^3*z6+62213969556670971\
         8134193796842637269/12017866168000*ep^3*z5-1697356971918027185\
         5381899895018466783960847257/2252124213943818614400000*ep^3*z4
         -63622064554482339072828705916717776835501277143473474857/
         6166221395954979028654464480000000*ep^3*z3+
         5396346562921264468287242343/845614*ep^3*z3^2;
Fill mncnoptab(18,7,1,5)=
      +mncF321*(-262300368907814737500-39073334826948293693250/17*ep-
         3655532042743524886721025/476*ep^2-
         15669073401688134379190643157/1099560*ep^3)
      +10568624248764107383710409640353914826041020935757304941/8189483\
      814898402222718230118400000+1893509204711546565/64736*ep^-3-
         3738953235927778723528230551/8887470789120*ep^-2-4386317901469\
         52253401443520853588812119/54906407041456954368000*ep^-1+
         6982856834668072155442125/2023*z3-9998236355206997501911926754\
         00278230266790837115285815724363568143869983233292023890171014\
         11347567319938533405993316621/84026617640456000606383240579270\
         30478437634305330953668163385552595571175443136512000000000000\
         000*ep+20948570504004216466326375/4046*ep*z4+37657489353179984\
         223165519134986757/634819342080*ep*z3+
         15315685609643022627769884717647908503049605280685368966204145\
         66661100592624894160915188227373991613733203971454427096220672\
         739141/2999318285728313165439964393716779968019399925098782005\
         8681556989521310765102125540221911040000000000000000*ep^2+
         5418698348925736139285698275/16184*ep^2*z5+3765748935317998422\
         3165519134986757/423212894720*ep^2*z4-294745110941100994301011\
         0035863231167638002377/27453203520728477184000*ep^2*z3-
         81258415958878555680446461942172531776393915792021285156099447\
         70748437736953013112140970494549406580949992505335352963503060\
         988868246778592365022724680528562006212968299686572270303830079
       /310246034555204568147792118080901586350179957939233109700891789\
         37517575443630842932674199194956229838664034251747601754710452\
         88850091794780651520000000000000000000*ep^3+
         26814177471241957810210806375/32368*ep^3*z6+404838908359483721\
         3449737743303948473/4443735394560*ep^3*z5-29474511094110099430\
         10110035863231167638002377/18302135680485651456000*ep^3*z4-
         4971407452177930100779025145202149966214848825421380776479/
         28663193352144407779513805414400000*ep^3*z3+
         1955200720248752940751870485/16184*ep^3*z3^2;
Fill mncnoptab(18,7,2,4)=
      +mncF321*(-582889708684032750000-87182126121287636653500/17*ep-
         120722102657168368680090/7*ep^2-2955997043573595536912797417/
         91630*ep^3)
      +423826835402017674601541007921321249427714284679007/
      147813945110432499868569600000-146444549117083089015/16184*ep^-3-
         152381433090537356595727973441/1333120618368*ep^-2-90701785120\
         525161269590477218215006711819/178445822884735101696000*ep^-1+
         15517869828198014458177620/2023*z3-
         21271594849328596871356945664331288086818198122041929015335746\
         507899456029238184365263671131560683085091623875995817573/
         80350453118686050579853973803927228950059878044727244451812374\
         3466951493651749928960000000000000*ep+
         23276804742297021687266430/2023*ep*z4+125787184058822605944921\
         80399615695/95222901312*ep*z3+90882672229102430682476046896262\
         08771374204537921365573129901176623315105880377192891500190974\
         851132328207104153970432212948129601/8066525936421654743771154\
         23857032424992717518918168519937587968253336814913000524782921\
         31840000000000000000*ep^2+3010396664295811419973778655/4046*
         ep^2*z5+12578718405882260594492180399615695/63481934208*ep^2*
         z4-1605363885954104060196948345143248876036667177/
         6863300880182119296000*ep^2*z3+
         62830520653242352238316031178255362012751294006120647230141860\
         37407301724838442591113770924955145799826110447559682393491111\
         53508547070959634996515912607332301835439457068139823658563717\
         803522463797/8056079403089435786501210886458823086334959638601\
         90549895196598849469888718020451296923201842716108790244309783\
         4229418998352013571993547099761760482099200000000000000000000*
         ep^3+14896804623197076955287117075/8092*ep^3*z6+45570765069808\
         1547853966431566445217/222186769728*ep^3*z5-160536388595410406\
         0196948345143248876036667177/4575533920121412864000*ep^3*z4-
         11626711839425224209421579328720924951372402723656967213/
         29488882049531283723779635200000*ep^3*z3+
         1086213524774670727783674105/4046*ep^3*z3^2;
Fill mncnoptab(18,7,3,3)=
      +mncF321*(-414158477222865375000-62296361767441917794250/17*ep-
         1479650633338854004220790/119*ep^2-
         4310318336076064005804223587/183260*ep^3)
      +150456985547118473072139486055510294301807558038040171/
      73884231948276183395843481600000-19150575115409266757085/614992*
         ep^-3-2129669158146750085446649077003/5628731499776*ep^-2-
         1184740411860672918749771959274154637733369/
         753437918846659318272000*ep^-1+209512020233092364879465790/
         38437*z3-49062664330879616403783823486962475340136470248109563\
         95350315781131597998013786544392723136668392825315930651320746\
         23992469/27140597497867288195861786707104308445353558806218980\
         348167735334883694896681330933760000000000000000*ep+
         314268030349638547319198685/38437*ep*z4+2845719080801774597954\
         06102161017/3022949248*ep*z3+663336692900251589184042597744121\
         27142026659049840926911508278035736244034078013308329433439599\
         5218787028585266069121264997208245129/
         88969574047063330325856902985047748643187710023083258072027843\
         02912086774913457035247458713600000000000000000*ep^2+
         81281595638896128620110650645/153748*ep^2*z5+85371572424053237\
         9386218306483051/6045898496*ep^2*z4-60842845458350037239157155\
         266014613209186363431/376718959423329659136000*ep^2*z3+
         96777134372193419366583317409140162264189548565113294741227800\
         35815593038561124931877311791546382452432628921202052741533929\
         27701499432245528598056461381121435207934436108215587593564309\
         0111638216991/286438378776513272408931942629647043069687453816\
         95663996273656847981151598862949379446158287741017201430908792\
         29948237866080715936708816746581959282524160000000000000000000\
         00*ep^3+402217737789818795802963937425/307496*ep^3*z6+41757728\
         00214336279048676204966973385/2814365749888*ep^3*z5-6084284545\
         8350037239157155266014613209186363431/251145972948886439424000
         *ep^3*z4-97066373160691375329232150125096675464072480322936869\
         5781/3361732553646566344510878412800000*ep^3*z3+
         29326854724110398807788191795/153748*ep^3*z3^2;
Fill mncnoptab(18,7,4,2)=
      +mncF321*(-110442260592764100000-16737523009739942874750/17*ep-
         402269620231183898402235/119*ep^2-1189172108193282160467552297/
         183260*ep^3)
      +97725370482775239238787969828824957934221331434855003/1800928153\
      73923197027368486400000-2077302021308574147945/153748*ep^-3-
         147787441672487573427666864149/879489296840*ep^-2-205538073503\
         577244837302407499985401852103/282539219567497244352000*ep^-1+
         55874346486902681686764660/38437*z3-
         37109509678304364299336625506474918073754083443930939136721722\
         71691009728478786233058832873720340846269979119683365613254543/
         75500207584976274435760970294308348947983536315481890786721154\
         6588582785307680660520960000000000000000*ep+
         83811519730354022530146990/38437*ep*z4+66660330683326931949257\
         5992531461/26450805920*ep*z3+503160173463658149310115158066452\
         34349864644001925407714062248313062426422663209434237830192862\
         9526988881929024545803397047881333429221/
         24254723513848501361925425515596471693744664074292915846036099\
         606884332564191340870272799263948800000000000000000*ep^2+
         5418820375506589127329701045/38437*ep^2*z5+1999809920499807958\
         477727977594383/52901611840*ep^2*z4-11695613205934452446446108\
         96221829273005217559/28253921956749724435200*ep^2*z3-
         10979878535318623026050465542831968450507498849456867872816447\
         49805687850869644691214405224747854707393753836636546512064856\
         68327941731544608444471942426209351997871849044670425166507129\
         7518564733/286850814616997113324029093362813772490671607897369\
         21502834186238518820552262705910347819703538902767343452758959\
         6420224245363978449621356248133376409600000000000000000000*
         ep^3+26814730145098432228214681925/76874*ep^3*z6+1425041023198\
         534843070699207765905281/3517957187360*ep^3*z5-116956132059344\
         5244644610896221829273005217559/18835947971166482956800*ep^3*
         z4-560051215943747832307334007209474599244213736409599043/
         7003609486763679884397663360000*ep^3*z3+
         1955073860472493135637614755/38437*ep^3*z3^2;
Fill mncnoptab(18,7,5,1)=
      +mncF321*(-9203521716063675000-2816861831740710950625/34*ep-
         137471458690383164621235/476*ep^2-1242251982850641055032952433/
         2199120*ep^3)
      +615524084926278896363313941050658187130970316075733127/136150168\
      42268593695269057571840000-30124457767218626955/614992*ep^-3-
         43880343578228003293468226903/21107743124160*ep^-2-21105886347\
         1494484604086332229790739217/10432217337876821329920*ep^-1+
         4655268593869197305558115/38437*z3-
         10587694454630055156102860998711041961827282345932366781950130\
         43985407420822860648158515100992469015142723031955682805359494\
         3269/260587887905151540125394192385515347703265918685224096309\
         07111214569707894496696900643717120000000000000000*ep+
         13965805781607591916674345/76874*ep*z4+15630289391912664440505\
         83227655729/740622565760*ep*z3+
         20155853025675728399601851007708920639733073134825657452514896\
         95760310979447564595526321856001422735126110493937842562225278\
         10093089452313/11959261673142557802135980625041163157337726161\
         23564416339939961106465772416098922371712121095323648000000000\
         00000000*ep^2+1806234257804005883647127295/153748*ep^2*z5+
         4689086817573799332151749682967187/1481245131520*ep^2*z4-
         5540113835923967317355438015066641302390791173/
         1695235317404983466112000*ep^2*z3-
         57669469831757914694527137029661536804238987449323517798798377\
         12007564770425994550241057915604933338662651992912094186182633\
         13759814558917212294353899279476283099723216255662583786769321\
         92382889741/49503074439089264691099089337735184777740159396025\
         70844836250522836500800506341999116910451181295045858033971696\
         91810798989835133209587986821242973386178560000000000000000000\
         00*ep^3+1276866559591806496017782025/43928*ep^3*z6+20973568989\
         8019343544860808500528703/6030783749760*ep^3*z5-55401138359239\
         67317355438015066641302390791173/1130156878269988977408000*
         ep^3*z4-474830876485101613636121144592678716848705932880704522\
         391/68075084211342968476345287859200000*ep^3*z3+
         651732593153990571228545865/153748*ep^3*z3^2;
Fill mncnoptab(18,8,1,4)=
      +mncF321*(-24980987515029975000-26602275911239933368750/119*ep-
         642992921170946059115610/833*ep^2-2869368469428644548319053199/
         1924230*ep^3)
      +26092665730201455394803921514098904530457477706261021/2123199507\
      56625242811213373440000-4389832488360438405/226576*ep^-3-
         5464464988437894600932564819/10368715920640*ep^-2-175520039395\
         696462780090207139362678429/38434484929019868057600*ep^-1+
         4655247950120037622304940/14161*z3-
         51803395519550165487721155227798028614384411594343793326487955\
         73025052408309866621131092316468954707462882218187205407/
         47264972422756500341090572825839546441211692967486614383419043\
         73335008786186764288000000000000000*ep+
         6982871925180056433457410/14161*ep*z4+181264187880242019599622\
         0030339997/317409671040*ep*z3+36071225451628619184902364654325\
         55993597149304334419998958754094880186433518432568482836350666\
         0261327568572692930211990942119081/799160464289451863159990512\
         79953676779464274320066231077408095926027176709647110814407065\
         60000000000000000*ep^2+1806233165087842038073638645/56644*ep^2
         *z5+1812641878802420195996220030339997/211606447360*ep^2*z4-
         11462568299573363686443406608477534566315136011/
         1249120760193145711872000*ep^2*z3-
         26437436849163200103217677268362004240483561561676162052033934\
         01100160607643014036130294484113748668605096543564053955778985\
         14412491054402361329283917531958203278877600344551770941647893\
         953/7853102749678615631240987988922821404488930185336838089303\
         82341855913628416905711733315667122329567791183366997361169416\
         10833874017948555385241600000000000000000000*ep^3+
         8938060866436809437922094425/113288*ep^3*z6+144178754775226955\
         9443220831360032471/15553073880960*ep^3*z5-1146256829957336368\
         6443406608477534566315136011/832747173462097141248000*ep^3*z4-
         617882800158652069000425719313017226518630766699593652323/
         33440392244168475742766106316800000*ep^3*z3+
         651733029756205359028313715/56644*ep^3*z3^2;
Fill mncnoptab(18,8,2,3)=
      +mncF321*(-41634979191716625000-44527361710218394614750/119*ep-
         1083460225919632343074305/833*ep^2-
         1625020430551041721621712027/641410*ep^3)
      +651907487118794326492839672494232566845491433011480701/318479926\
      1349378642168200601600000-515685695161222397955/226576*ep^-3-
         539651242918080993566878012769/18663688657152*ep^-2-1708083819\
         5078203211553431961634156653617/131486395809804811776000*ep^-1
         +7759433754078210608612520/14161*z3-
         10760940096753383654822017937879777312194230568567946720887047\
         515696489580530366302001234799778683272798477806739280532921/
         57138099995510080412340603593903807253375913276250484943511021\
         75764988399301332828160000000000000000*ep+
         11639150631117315912918780/14161*ep*z4+12717349881069792144521\
         830543636075/1333120618368*ep*z3+
         14901793106632371517784777625632177445475722906651833037718964\
         29595109509903826484334028326083879052164456316279025819744509\
         341525933/1835582790865727657249258208954669340427872754160454\
         58759131128775870421882425008306158095564800000000000000000*
         ep^2+3010418016637791544796425635/56644*ep^2*z5+12717349881069\
         792144521830543636075/888747078912*ep^2*z4-1864665424244207953\
         7961205522584655266315429557/1249120760193145711872000*ep^2*z3
         -1400954763121694791169035582321882403337103691163353344207436\
         77745607632058833470035937501444525682802651484371248205198165\
         85880043821555882579146601429074734054819221052092353923407137\
         89281910795289/73919581619745360621659856162489559501854826791\
         47268128070621122059652025513019194695782783933165729401524849\
         62567287191246636370763565612021150782586880000000000000000000\
         00*ep^3+14896901408107393511809877775/113288*ep^3*z6+486963553\
         533196262692559302364973229/3110614776192*ep^3*z5-186466542424\
         42079537961205522584655266315429557/832747173462097141248000*
         ep^3*z4-350120594557144764212391619865127194920482644888193824\
         527/11146797414722825247588702105600000*ep^3*z3+
         1086191859546462141515348085/56644*ep^3*z3^2;
Fill mncnoptab(18,8,3,2)=
      +mncF321*(-19721832248707875000-21215255987395665087750/119*ep-
         520914722435540458963470/833*ep^2-790084516164703226779873563/
         641410*ep^3)
      +1953848580172576960258146782772624070149200614057608767/20170395\
      321879398067065270476800000-12448078198164190250955/4304944*ep^-3
         -1418448211228845421123547602937/39401120498432*ep^-2-
         825294961154722058354736627975189632286427/
         5274065431926615227904000*ep^-1+69845836583834830214310420/
         269059*z3-5253809568186580395951609773917747248780745442673648\
         17551770433486990034006711824109757246797152863385721599738323\
         23597087/58077082757674057258277669457160268421525797165755300\
         605170118968352521946744666193920000000000000000*ep+
         104768754875752245321465630/269059*ep*z4+671428364268275948251\
         470555048745/148124513152*ep*z3+
         11257253978118146144763161189250110947908890025362229078340861\
         15735903160537618325517417735355146374528797495522523454190313\
         53208961/28703814809288167292219438479995824489638655709222385\
         616610768765543588833362533574287336407040000000000000000*ep^2
         +27094224406200702297482783835/1076236*ep^2*z5+201428509280482\
         7844754411665146235/296249026304*ep^2*z4-180174809877098462134\
         11308347085276514589751293/2637032715963307613952000*ep^2*z3-
         55175594270832619666715188545556094069573656780078801216986957\
         40426924634083967553698689821725314319909009223024692995697190\
         58483813942098269172216013724459387627600277391511359467978577\
         69518232914263/23291646632260813507489934467814935781918361629\
         25574691948741830967306509032016611078321178810157678449221031\
         02698168600746759195189161686218566591169167360000000000000000\
         00000*ep^3+134074205299326814883127710775/2152472*ep^3*z6+
         1487060361519722048438366706159539223/19700560249216*ep^3*z5-
         18017480987709846213411308347085276514589751293/
         1758021810642205075968000*ep^3*z4-1077676386796047247598153380\
         391753466182091215113414875109/7059638362657789323472844666880\
         0000*ep^3*z3+9775239347242890388689693885/1076236*ep^3*z3^2;
Fill mncnoptab(18,8,4,1)=
      +mncF321*(-2629577633161050000-2850356151759841510500/119*ep-
         70815639349439409357270/833*ep^2-65386218964496178586681453/
         384846*ep^3)
      +3515277779865058436299095960088280442163361087539598099/27230033\
      6845371873905381151436800000-65862529088647590585/2152472*ep^-3-
         276732292318559771792618930177/295508403738240*ep^-2-196899961\
         884554598567327011316833770167653/23733294443669768525568000*
         ep^-1+9310618872493300488772620/269059*z3-
         67932246324679962516784266960401357417275944914545636300372474\
         204859927858870450853417946945316569063804554466562370116560499
       /592245199784435318466804982694353062961967997011872946156979800\
         331129724874924929560084480000000000000000*ep+
         13965928308739950733158930/269059*ep*z4+2246640164904843340462\
         62193464967/370311282880*ep*z3+
         45526897102981506160259688125117670458261750114998681264868649\
         07374294294409909734511588524247458264116911060737099169187438\
         9394207089/970719291651181639783764661123471035498192058541854\
         23404215905933966377631176860582119490348646400000000000000000
         *ep^2+1806236116152424709542962705/538118*ep^2*z5+673992049471\
         453002138786580394901/740622565760*ep^2*z4-1031946757264854790\
         8294093125549728848096011003/11866647221834884262784000*ep^2*
         z3+97421812851441043774387272826149332494942729686892365177251\
         80271049441834268163209883378617654048638893890693491201693176\
         05682920078946229100809425865927994660764216247003956548274622\
         3881870184805659131569/
         15476806640349667201465305243325257835195980773755524358808979\
         27487757268975836145794271136566975848840092472186659133557889\
         7639353983721780357058481982015570706432000000000000000000000*
         ep^3+8938074392037190542827087325/1076236*ep^3*z6+152124632928\
         6333829458570555200046851/147754201869120*ep^3*z5-103194675726\
         48547908294093125549728848096011003/7911098147889922841856000*
         ep^3*z4-200241412592841404944286927984001380907805981776423283\
         1857/953051178958801558668834030028800000*ep^3*z3+
         651731061608696519769626775/538118*ep^3*z3^2;
Fill mncnoptab(18,9,1,3)=
      +mncF321*(-1124144438176348875-4934581873331257931355/476*ep-
         156051002692710152129349/4165*ep^2-392271920102357485908052039/
         5131280*ep^3)
      +10560311781005250788396478472231185941081204577592858417/
      1910879556809627185300920360960000000+31667904833838058071/
         9063040*ep^-3-122846320320033576720726053083/2073743184128000*
         ep^-2-13179805332674805486182059908599715526403/
         12811494976339956019200000*ep^-1+2094834269400942072528369/
         141610*z3-3222774551602503351823249539186459885219557455335947\
         06303637271402285957735951895857000116862581473907123391601354\
         89099/67221294112364800485106592463416243827501074442647629345\
         3070844207645694035450920960000000000000000*ep+
         6284502808202826217585107/283220*ep*z4+38664044558226136841500\
         169394883489/148124513152000*ep*z3+
         11661633120949123736540323991533232223578603177657747518027784\
         81061253063667872108652748660605511886942196721722028737773535\
         11661/61700261877839585117622124670745187913541941316317801263\
         5734886641581250024958011113136455680000000000000000*ep^2+
         3251215847240832046018958073/2265760*ep^2*z5+11599213367467841\
         0524500508184650467/296249026304000*ep^2*z4-571167402756905790\
         9167869230747884505429329437/16654943469241942824960000*ep^2*
         z3+17331800027667572067553184521416870492735911931951114800891\
         11539457441014575842967823829709104705056706428143502461193812\
         06674401766527837734327964846925351848460902040432336678636061\
         46858923/11168857243987364453320516250912457108606478485812391\
         94923210441750632715970710345576271171018424274191905233062913\
         6631695763039860330461210345472000000000000000000000*ep^3+
         3217698498930416972858504169/906304*ep^3*z6+473180161382955108\
         7674375621794898341/1036871592064000*ep^3*z5-57116740275690579\
         09167869230747884505429329437/11103295646161295216640000*ep^3*
         z4-487665929955063749175294486721995961630711489407840726551/
         514467572987207319119478558720000000*ep^3*z3+
         1173126014169914847470985999/2265760*ep^3*z3^2;
Fill mncnoptab(18,9,2,2)=
      +mncF321*(-1249049375751498750-2753560880678915853975/238*ep-
         35065753103397394955187/833*ep^2-222183401621600526241088859/
         2565640*ep^3)
      +130186616362181285763855194189809178603930936275919297/212319950\
      75662524281121337344000000-212904003136027387041/906304*ep^-3-
         1809411981126594977184529322921/622122955238400*ep^-2-
         209812029676113113803106952538694330855311/
         16654943469241942824960000*ep^-1+232837588292142518756721/
         14161*z3-71902624199537460833100032452293388603447403487128707\
         51752524676408661767730737830307603468118389146935351072628910\
         945509/1589478054420553146016020427248596819957548132957513490\
         24676115071280586380564349583360000000000000000*ep+
         698512764876427556270163/28322*ep*z4+1292069974900695000026750\
         6761597003/44437353945600*ep*z3+
         67373182892378354526543649048841578694596591060710011565491235\
         89546750912290830640437501826763851201245387237413526239392463\
         78877359/51062575818628423919843001085466256197357187524827191\
         25481284127765122645092913867425852476620800000000000000000*
         ep^2+361259294906029611761820657/226576*ep^2*z5+12920699749006\
         950000267506761597003/29624902630400*ep^2*z4-12291809001115384\
         6045483184573010586553187793/333098869384838856499200*ep^2*z3+
         95135507690754497543769564804051499929068984499459896984998520\
         48095126973958775217753319465804895150574449337338946440050308\
         97504838899535718866125497524346955827684084644505055352954041\
         21151746046309/63745559204082226441551399596125087403144989722\
         17362314807082905805259919456045461898563226217273646282078611\
         23173935117833235692096653035966603302147194880000000000000000\
         00000*ep^3+1787669467466776657308565605/453152*ep^3*z6+
         532570146978642873632457638879342269/103687159206400*ep^3*z5-
         122918090011153846045483184573010586553187793/
         222065912923225904332800*ep^3*z4-79483081046543863032446315879\
         923231032625420259726846683/74311982764818834983924680704000000
         *ep^3*z3+130333077097674816970982871/226576*ep^3*z3^2;
Fill mncnoptab(18,9,3,1)=
      +mncF321*(-295827483730618125-1312044412382782231725/476*ep-
         8429268031011299935476/833*ep^2-107994366058091086111261561/
         5131280*ep^3)
      +10528237157528099113306271238122606127225940026251417777/
      7261342315876583304143497371648000000-320891615409056706729/
         34439552*ep^-3-1786686272143976692612672795163/
         7880224099686400*ep^-2-114835093429552932603134455250791414543\
         6199/632887851831193827348480000*ep^-1+
         2094922404673378863307569/538118*z3-
         17279293576652872258188111973054670304028301504584709777522405\
         549802746312799181131417064132072096514727596892181976503671649
       /137151519950079757960733785466060709317508378255381103320563743\
         2345774099710352468454932480000000000000000*ep+
         6284767214020136589922707/1076236*ep*z4+
         15384231651894528675802039424447/222743628800*ep*z3+
         22058109983134774986460357479523423810241716184882996158529332\
         53922391549738243452723889767988696386299803090357497039287026\
         124714852331/4406043774315679190260624440804639057966530690981\
         55311283135775144487389837510129294841307771961344000000000000\
         00000*ep^2+3251232769595150163081172473/8609888*ep^2*z5+
         46152694955683586027406118273341/445487257600*ep^2*z4-
         1059018919726938614704001313393950921776064441/
         12657757036623876546969600*ep^2*z3+
         38623107667387000775053991445341074912374598570112440577565537\
         39669970962348297421317286878515681680903032524755518253829029\
         42186179537252313016232785814491480163658805429246393540234232\
         14486578915309/11000844347102201597988988820015861154963887212\
         02574003361893184552981441128756005554671764076427272883096657\
         70573796728720700768680942685786910874437122051276800000000000\
         000000000*ep^3+16088570055601880506341256845/17219776*ep^3*z6+
         4874307597011231110145572258418697061/3940112049843200*ep^3*z5
         -1059018919726938614704001313393950921776064441/
         8438504691082584364646400*ep^3*z4-6565997071489959665512476590\
         509096782743928867429996885163/2541469810556804156450224080076\
         8000000*ep^3*z3+1173114733674024953603549199/8609888*ep^3*z3^2
         ;
Fill mncnoptab(18,10,1,2)=
      +mncF321*(-19216144242330750-44203220666804299815/238*ep-
         2992850617005395137269/4165*ep^2-476268012053867825448069887/
         300179880*ep^3)
      +10530456380558064805811121248923946219900729198420020817/
      111786454073363190340103841116160000000-11805542024825643237/
         4531520*ep^-3-4449245890409297669515440321083/
         121313976271488000*ep^-2-1847852537546104582552895542084495464\
         916039/9743141929506536552601600000*ep^-1+
         17909374544786962559757/70805*z3-71420475574460579354594740089\
         55720893230739093683215023957156758332806143215246409873517733\
         43194049552526673861375837/54999240637389382215087212015522381\
         31340996999852987855525125088971646587562780262400000000000000\
         00*ep+53728123634360887679271/141610*ep*z4+3964303619967874205\
         6061480687774689/8665284019392000*ep*z3+
         14573111085834634490851221128539098267311997743303006453855904\
         24022926553393843392838780418818536071703551507901179081229888\
         30511/17668711355926790283682699337531576538877919558763733998\
         205135390190735796169252136421634867200000000000000000*ep^2+
         27788949670728593306497269/1132880*ep^2*z5+3964303619967874205\
         6061480687774689/5776856012928000*ep^2*z4-37862655816214288492\
         09143199955913304925052797/974314192950653655260160000*ep^2*z3
         -1432674685050333375669753102734513295581092541763129879833457\
         23901635235297142207065099628139959253111278186373030561247666\
         17485332053824561678975135684326748544806829316164885370858853\
         32739/91381559268987527345349678416556467252234823974828661402\
         80812705232449494305811918351309581059834970661042815969293607\
         751078850794815831899373568000000000000000000000*ep^3+
         27502399678012001905541157/453152*ep^3*z6+53918789454967093737\
         98452546070191141/60656988135744000*ep^3*z5-378626558162142884\
         9209143199955913304925052797/649542795300435770173440000*ep^3*
         z4-7394377017682417142937085918359083167592313020980100701963/
         391252589256771166190363443906560000000*ep^3*z3+
         10025787748757029902300147/1132880*ep^3*z3^2;
Fill mncnoptab(18,10,2,1)=
      +mncF321*(-10675635690183750-24666086927896803675/238*ep-
         336184133161361629731/833*ep^2-269607205326161807826368243/
         300179880*ep^3)
      +3497522069903569758619974431061974558454995609249903899/67071872\
      444017914204062304669696000000-2884718342576111613/906304*ep^-3-
         3104189588788944725336792986921/72788385762892800*ep^-2-
         1248329168125720016864074604758916441802733/
         5845885157703921931560960000*ep^-1+1990323752791864841733/
         14161*z3-62558245151359004514125292415274761588518141109686685\
         61855374249754733712068786053774972401484803138102655770014819\
         8941961/144370021000083955748140826806379694018429871847769582\
         442698677089028852601089733521571840000000000000000*ep+
         5970971258375594525199/28322*ep*z4+189250574054738274222712695\
         7965149/742738630233600*ep*z3+75601910322361675269518169640963\
         26047214287625881549473668223033909723298137761761703748712520\
         215104416313729761739503541745144863763/
         46379408150691359897480257271627779557542428326121611714014292\
         12047235682500106624156224292336435200000000000000000*ep^2+
         3087736578092767074520461/226576*ep^2*z5+189250574054738274222\
         7126957965149/495159086822400*ep^2*z4-239542127448017328890637\
         466086956225733000883/116917703154078438631219200*ep^2*z3+
         19462831891522843574249383939847694656837132812984769345818892\
         19480602835163664122376488404634701948222243014953090521680213\
         84075202878920575371228886471219132637679776241832716151688719\
         9642475535497/578991807742221136736262569474519008155994063790\
         82842282204904450156917954145052923930092846127751204373508300\
         30199827827405303614786457146679519707216950067200000000000000\
         0000000*ep^3+15279456990240486185263665/453152*ep^3*z6+
         606226111534512647279146319426248189/12131397627148800*ep^3*z5
         -239542127448017328890637466086956225733000883/
         77945135436052292420812800*ep^3*z4-248791744570182380900816838\
         7763480140296362928994495552601/234751553554062699714218066343\
         936000000*ep^3*z3+1113926080806282451032603/226576*ep^3*z3^2;
Fill mncnoptab(18,11,1,1)=
      +mncF321*(-71170904601225-359496246238641369/476*ep-
         68909574651227840461/20825*ep^2-25101185180874214922090821/
         3001798800*ep^3)
      +3435230547506114789422553130245995360404015683827455739/
      10060780866602687130609345700454400000000-17041635737351146493/
         135945600*ep^-3-13761993252994268780790446255561/
         10918257864433920000*ep^-2-45542316758477837719772120594996325\
         02443213/876882773655588289734144000000*ep^-1+
         1988885937258422994173/2124150*z3-2623482317096297396760464355\
         6913535008082177425876625280498007334378786304413/
         10248529900088056250044588645087600735212151693639680000000000
         *ep+1988885937258422994173/1416100*ep*z4+139008644447510267229\
         37023524053963/779875561745280000*ep*z3+1267110670730113083392\
         09442437718028260046785415899077357393611434878342619800325081\
         691/1524249299127638481029256605868002832955059320139624638054\
         4000000000000*ep^2+1029286226982666770492847/11328800*ep^2*z5+
         13900864444751026722937023524053963/519917041163520000*ep^2*z4
         +139017693891128877106305765550747352320842721/
         87688277365558828973414400000*ep^2*z3+
         90106379806982965391997456603704147185807135185421613180182101\
         81718242332676791078731379384741855427506458764913909021151450\
         334934977034890123383449/7453475282327251517921548276108006999\
         92171061203070410496835492577363240976053979186593524287071981\
         12293533935206400000000000000000*ep^3+
         3056036505951865543571773/13594560*ep^3*z6+7556609206289150198\
         61256056429943549/1819709644072320000*ep^3*z5+1390176938911288\
         77106305765550747352320842721/58458851577039219315609600000*
         ep^3*z4-297189641981444859595754564898020056782640325841203612\
         8121/35212733033109404957132709951590400000000*ep^3*z3+
         1114986081002068808137883/33986400*ep^3*z3^2;
Fill mncnoptab(19,1,1,10)=
      +mncF321*(-102952337949887765625-1251923634391366152898825/1428*
         ep-377327712512987208631862969/134946*ep^2-2377607731897771657\
         36989033419641/48629140560*ep^3)
      +38527019648574761949619093634817789664102845462725994437365867/
      76059503351516314707406653495435264000000+6291229313909307307/
         48940416*ep^-3+258638536782658543279930683647/
         436730314577356800*ep^-2-2628807697107803903902544213635789300\
         37987/105225932838670594768097280000*ep^-1+
         3108018751585060253236399139/2294082*z3-
         13096601905168782516469703207768707169136122839423599510829734\
         5248133023251648081509741550242257500260977662269/
         27343666247524004854878981895245716871813079696164796749014346\
         227515392000000000000000000*ep+3108018751585060253236399139/
         1529388*ep*z4+135299949440163637221373587261871511778187/
         5895859246794316800*ep*z3+371357812623232366186094555670324757\
         76444884331858731810706772649747712911244085842836768334739839\
         372174491362325605206149/1756850970090891063447039045222261023\
         656378191251366159914832689268183549891051520000000000000000000
         *ep^2+689092160818485689854200409529/5243616*ep^2*z5+135299949\
         440163637221373587261871511778187/3930572831196211200*ep^2*z4-
         22647856226082750462484486328346350088569440294391413/
         473516697774017676456437760000*ep^2*z3-
         11265663849905652586071150358147407955170206864053020437542939\
         85175140458024930933046331989927126537095161350751758471986269\
         291720831534670720073374750207260589/
         20342283739780972552490649095620388567804908483765252227637917\
         73684180640148915255546074057149001470993240581734400000000000\
         0000000000000*ep^3+7956528042840064774879367467465/24470208*
         ep^3*z6+147448625342211810519837883435661243040973/
         453527634368793600*ep^3*z5-22647856226082750462484486328346350\
         088569440294391413/315677798516011784304291840000*ep^3*z4-
         165596237723733967093861822425600058028618830559313301773766987
       /2925365513519858257977178980593664000000*ep^3*z3+
         1740490514245307517250996858153/36705312*ep^3*z3^2;
Fill mncnoptab(19,2,1,9)=
      +mncF321*(-438902072312679421875-1783524591899529629403825/476*ep
         -19993066661438214818697897/1666*ep^2-
         12668002433925064740374456787683/600359760*ep^3)
      +2027737835832251342846786165490169986668529819029444994454921/
      939006214216250798856872265375744000000+1655118276885616923/
         1812608*ep^-3+986982041115481720867930361447/
         145576771525785600*ep^-2+2733900055772302787305837237133859213\
         1271/11691770315407843863121920000*ep^-1+
         163579934376671771763075057/28322*z3-
         15302149358011363281519161466760043035382807340180817680131230\
         431069483818422565606206980056888774099919152577566783/
         75074770049201907729555732691586640243249991613790065954093789\
         0022662602752000000000000000000*ep+490739803130015315289225171/
         56644*ep*z4+7130055462638087213096189997451857575081/
         72788385762892800*ep*z3+43251836156115220452342471378970867001\
         12972729960344142283503305700162599112863241575381714036542999\
         610924125019643212298230207/4823610023481550503800190402562239\
         86655095196189975092866216463165472475458087105331200000000000\
         00000000*ep^2+36268008476326263089924778627/64736*ep^2*z5+
         7130055462638087213096189997451857575081/48525590508595200*
         ep^2*z4-1179726105208325434536976171303098359667076714772119/
         5845885157703921931560960000*ep^2*z3-
         16504784552383546996044241767561523731004229128589435043399244\
         58361918458398361773887141854920682614247801068622565590026945\
         450479524297585303941579254767456303028011/
         27925887117971319120059163078467669425882578366512938258101333\
         46913643182796430862813650465654149219379520670604984320000000\
         000000000000000000*ep^3+1256293901921285466406321247385/906304
         *ep^3*z6+2609216276321008114487295289436311921333/
         1866368865715200*ep^3*z5-1179726105208325434536976171303098359\
         667076714772119/3897256771802614621040640000*ep^3*z4-
         8871765650363918712250419033130056091788487505667048730851881/
         36115623623701953802187394822144000000*ep^3*z3+
         91604763906985958438890867539/453152*ep^3*z3^2;
Fill mncnoptab(19,2,2,8)=
      +mncF321*(-1663207852974364125000-1695211968387731531230350/119*
         ep-38212777927687064157796122/833*ep^2-
         677306140676196904924628836713/8338330*ep^3)
      +225304201532035602811160867626969020190675889125196933816401/
      27532589614365378361544094200832000000-22824619725078303597/
         4304944*ep^-3-2566716560103809446124169201737/
         38416092485971200*ep^-2-33468176397615554134934285398354749375\
         883/114271417691743329937920000*ep^-1+
         5888877706164728722769204508/269059*z3-
         41190848714930849375482186151896598109906872842369148460645875\
         13693509143512394158758289248265312263192465766704690893/
         53477714389143259560224155719624925635919790016274439223250737\
         792858823065600000000000000000000*ep+
         8833316559247093084153806762/269059*ep*z4+37588733286680532332\
         3293343089079048371/1010949802262400*ep*z3+
         23208533968209906421494461397325313349158721125390526938954066\
         19723264962136965560387289758013993429909198275756756842044780\
         7223/687196614764981757107251857186319103058465852164813453987\
         84128265239720372954957086720000000000000000000*ep^2+
         326412076657003405569496797147/153748*ep^2*z5+3758873328668053\
         23323293343089079048371/673966534841600*ep^2*z4-12929667750904\
         4271839069194881634433880108578683439/
         171407126537614994906880000*ep^2*z3+
         20895829014130185128157782997897373650430906078226572580945667\
         09287640764889941212243490621244163569392471065380358355972976\
         055871957015030986290654465571276460768434343/
         48411666121873165238129321544474544512316211104601908222033174\
         21980008192719262822389348698970797604132017532076399001600000\
         00000000000000000000*ep^3+11306645128871824620477003809985/
         2152472*ep^3*z6+2638574488076260825133977278186655512757/
         492514006230400*ep^3*z5-12929667750904427183906919488163443388\
         0108578683439/114271417691743329937920000*ep^3*z4-
         1008746504292483721967137626462206605550330728101489866346161/
         1058945754398668398520926700032000000*ep^3*z3+
         824442871557715309121410084779/1076236*ep^3*z3^2;
Fill mncnoptab(19,3,1,8)=
      +mncF321*(-702243315700287075000-716819151023378021039850/119*ep-
         16197538241117204703684732/833*ep^2-
         398751785942020906416165430421/11545380*ep^3)
      +31195967519077571004614789475388366434165312943809753582413/
      9028905905925488450546848705536000000-250518897143832213/226576*
         ep^-3-18130695920832822715280270849/1399776649286400*ep^-2-
         411105791250597983708332129724990819369/
         8647759109029470312960000*ep^-1+130863948695842091136401982/
         14161*z3-51180148007235074290428994773196038946247065854376960\
         26259183372103014901218575371548616170040591747678544550618660\
         529/1576185266206327650196080379104734650321846442584930840264\
         23227178952320614400000000000000000000*ep+
         196295923043763136704602973/14161*ep*z4+1099570298591190093448\
         67598032388535633/699888324643200*ep*z3+
         83948898258529297832945546534110713139656563991734681528445419\
         987247463468939369937755052278960267771828901099173737218289389
       /590501924610080994291945741943131345270432526027766662932624088\
         208289756158581800960000000000000000000*ep^2+
         7253601701401708326091029963/8092*ep^2*z5+10995702985911900934\
         4867598032388535633/466592216428800*ep^2*z4-177907928923752550\
         89851251824200501337967621980587/56210434208691557034240000*
         ep^2*z3+469290604239827476889959645170416286137499722281193085\
         59932366450082847493845853336462428587763946497577280227230880\
         47792429524143126932669511050945647588169383258965393330717053\
         697/5845666767604424738208345290317923146655985580549406242608\
         09654650339294366497426335149506274214339920455948144561259010\
         1176516608000000000000000000000000000*ep^3+
         251258780575142949590458009065/113288*ep^3*z6+5303750003171971\
         08835459892369527276697/233296108214400*ep^3*z5-17790792892375\
         255089851251824200501337967621980587/
         37473622805794371356160000*ep^3*z4-183460967640804817034412210\
         5745368765050807075796388031830169/451445295296274422527342435\
         2768000000*ep^3*z3+18320952714929633620726852731/56644*ep^3*
         z3^2;
Fill mncnoptab(19,3,2,7)=
      +mncF321*(-2328490994164109775000-340888156322820470342550/17*ep-
         7752674164259084678326566/119*ep^2-114341454039607925855113589/
         980*ep^3)
      +315110520008083203857809396355850724537392255871321961311/
      27505084529835542818725368832000000-38448194542744979421/614992*
         ep^-3-35098057303881371179023271667/38377714771200*ep^-2-
         5122062063849936040867781868623402988677/
         1027415343881808161280000*ep^-1+1177775579957045402043456174/
         38437*z3-55543659597007429807789649563964843690013981517812118\
         78819434604563820049454189186180515341367334344387884995359684\
         63767/51887415010807220937733524849828499275901184015790476307\
         57389369522861899776000000000000000000000*ep+
         1766663369935568103065184261/38437*ep*z4+527159547942839917825\
         895222607868801/1009939862400*ep*z3+
         70768818396378989148133298358785297235743447151409179226230959\
         28517578517032941201984303932113309459214587005427234920124865\
         816157/1515365977960415642494655566337178621109577495364762241\
         4998249328565981274926722580480000000000000000000000*ep^2+
         65282415583380669527718012291/21964*ep^2*z5+527159547942839917\
         825895222607868801/673293241600*ep^2*z4-1766885505422316418197\
         99709051790590995853857769/171235890646968026880000*ep^2*z3-
         63556050065099036547787454890221847465423071934856483068609751\
         26836683823835587962989792475335609818299703633380649651527457\
         6886262357741794578000559944237943909987587296627/
         55896702500226452990049071340820241435281672641917501215709160\
         50325325377781326804887750856999425413293327018260292855398400\
         000000000000000000000000*ep^3+2261329033819182525429261306705/
         307496*ep^3*z6+48860554720152882541341619480433322571/
         6396285795200*ep^3*z5-1766885505422316418197997090517905909958\
         53857769/114157260431312017920000*ep^3*z4-19032075872621592728\
         099327858746497247523187937492901683363/1375254226491777140936\
         2684416000000*ep^3*z3+164888572860527224074622260147/153748*
         ep^3*z3^2;
Fill mncnoptab(19,3,3,6)=
      +mncF321*(-2794189192996931730000-411527744517141280938195/17*ep-
         94507233318407303571921939/1190*ep^2-
         26388993581989447825323939657/183260*ep^3)
      +133315239009038084942305199374540612695656733476266647817/
      9697305443211249070704456960000000-2151029563987134995541/1537480
         *ep^-3-193067513790068604849560506007/10993616210500*ep^-2-
         182529517717727131719807935941881007695851/
         2354493496395810369600000*ep^-1+7066659194879465575751010498/
         192185*z3-3825151396673299495004297501948324045513963889555951\
         70397938756272713159156444542602243398714381792298685238074646\
         719/2971478369007077417300441343961440504138447647718113491166\
         768172883771392000000000000000000000*ep+
         10599988792319198363626515747/192185*ep*z4+5816401614072117987\
         611737441456155857/9257782072000*ep*z3+
         48369999078092226964732812648681607470113833143819550935707203\
         31135884250788097007073548765596982480516973892650744335527952\
         713/8678168345254358635694091643955104556541728680243848738285\
         128207737702729289564160000000000000000000000*ep^2+
         195847263996472210563612629991/54910*ep^2*z5+17449204842216353\
         962835212324368467571/18515564144000*ep^2*z4-11829809770325651\
         8695719900890042186300313876963/98103895683158765400000*ep^2*
         z3-91527460891237499679575092827557305681854301193710452336360\
         19159961684434614081119050145779862987733764975828017369597415\
         249728737387031297241376524242425711480408985950941/
         14032169243777842424284682940905396704392365811261396868004694\
         09358123625118566775069752919555319998271526101556262233702400\
         0000000000000000000000000*ep^3+1356797529585546542793786388941/
         153748*ep^3*z6+1644915378220616932025667468754300894491/
         175897859368000*ep^3*z5-11829809770325651869571990089004218630\
         0313876963/65402597122105843600000*ep^3*z4-1209194058696962638\
         5127863029854933221189059873513446346207/700360948676367988439\
         7663360000000*ep^3*z3+494665590975722129240646016167/384370*
         ep^3*z3^2;
Fill mncnoptab(19,4,1,7)=
      +mncF321*(-546189245544667725000-80237545451822931851250/17*ep-
         323829023188962636426770/21*ep^2-
         412849224773335481354766718853/14844060*ep^3)
      +178262594653555254762099908457017359734075841403733922739/
      66334818900677058004017663959040000+152206296482501235/32368*
         ep^-3+9200390043150254083960597859/359942566959360*ep^-2-
         59353892109503415183576103944411214913/
         444741897035801330380800*ep^-1+43621315087734265778275210/6069
         *z3-2850271631009497682631551450960308276921262797098265967158\
         149566380726423321365652901864563146709299912990368261711/
         11374079881366803511197861603680155039764392909925793267623993\
         0062536704000000000000000000000*ep+21810657543867132889137605/
         2023*ep*z4+3153390882626529986505476065839999227/
         25710183354240*ep*z3+39788625867112074042175115232617583251366\
         78559697377074816988973863140999742709695449008573040693557357\
         56136119406889837548151/36539656190544667939764596395600440238\
         07043654839515258225317140100085359700869120000000000000000000\
         000*ep^2+16925070593955968367414351055/24276*ep^2*z5+315339088\
         2626529986505476065839999227/17140122236160*ep^2*z4-
         3446033218376492214878780008209385270410305875903/
         14454111653663543237376000*ep^2*z3-
         10213241787197454668696175059473160444176314403233018160986014\
         23067077020098116721922533482138860784522839215564030966840476\
         8709129277110123451926180802697932382126424552199829643/
         49456569010135214523102529553032395541375693299369625574388142\
         17389648913573910308011023676118573093691518897097362763551866\
         880000000000000000000000000000*ep^3+
         27917642222675052173835417025/16184*ep^3*z6+108737017267213346\
         318166292319101341541/59990427826560*ep^3*z5-34460332183764922\
         14878780008209385270410305875903/9636074435775695491584000*
         ep^3*z4-385501390561177220527662423963048531784415781924488458\
         477397/1160859330761848515070309119283200000*ep^3*z3+
         6106984301620036693904552585/24276*ep^3*z3^2;
Fill mncnoptab(19,4,2,6)=
      +mncF321*(-1552327329442739850000-229073247325540386697500/17*ep-
         5277202198690132317939930/119*ep^2-
         7396795123422689352339600159/91630*ep^3)
      +19806854883121587599054555118566778210294589589433605267/2593336\
      541384494037194106204160000-154765434653566071855/307496*ep^-3-
         824031128244688800740997630341/126646458744960*ep^-2-682674570\
         7669271691589083086617460563933/226031375653997795481600*ep^-1
         +785184125093293925789954580/38437*z3-
         63531871878328092334067135656825174545642120918665789430490278\
         77535377018801684065644528644246703735687705054922605017/
         89144351070212322519013240318843215124153429431543404735003045\
         186513141760000000000000000000000*ep+
         1177776187639940888684931870/38437*ep*z4+166347510755044923995\
         893154606992633/476114506560*ep*z3+
         80153438183181920736154149236308340764122970974218094215395825\
         50835701511393112283982710851457610150607648371770115122940633\
         5559/260345050357630759070822749318653136696251860407315462148\
         553846232131081878686924800000000000000000000000*ep^2+
         152325644871749773673505652695/76874*ep^2*z5+16634751075504492\
         3995893154606992633/317409671040*ep^2*z4-138975357483960698488\
         87706849368547361757702461/20928831079073869952000*ep^2*z3+
         58478386836007041196804265832323388965196755034474238733644165\
         32322235283244947836311369357357616459909637419552611650236369\
         796368581863941876788102438635368380179904151079533568280771/
         38218923758229765741126865031668492045475454828653610827311732\
         53878829413309362473048988848871720618910197744501657253010702\
         80785920000000000000000000000000000*ep^3+
         753776383107815929109628717675/153748*ep^3*z6+1103690218673387\
         16972419744578885443541/21107743124160*ep^3*z5-416926072451882\
         09546663120548105642085273107383/41857662158147739904000*ep^3*
         z4-44070454377900275793854351841854348629239871763690752792853/
         45383389474228645650896858572800000*ep^3*z3+
         54962848471214934961563798465/76874*ep^3*z3^2;
Fill mncnoptab(19,4,3,5)=
      +mncF321*(-1552327329442739850000-230563309917260267751375/17*ep-
         10734256433230841501232255/238*ep^2-
         15244331640277414682381946381/183260*ep^3)
      +108825283827497574869707484805639657790545530929192093/
      14249101875738978226341242880000-1746268325543322965085/307496*
         ep^-3-1110418096869903175892533094377/15830807343120*ep^-2-
         16967305493825645375690153968236632706547/
         56507843913499448870400*ep^-1+785188465185139969268163810/
         38437*z3-17756417722418335347657152991479299440033806525137222\
         44754654264037305547153706578833081317901400811091601875290656\
         55347/25429062888142852229423662609809447422844223984129410082\
         12201151834706306662400000000000000000000*ep+
         1177782697777709953902245715/38437*ep*z4+166897341604784284902\
         710581349813803/476114506560*ep*z3+
         14140614183237835089003909293674839481031478509260817953456552\
         00503067689604985297767203858941506488118327383399732051585708\
         974549/4725972695946519088296535143995332575955233771466613771\
         074839274148357675412382285824000000000000000000000*ep^2+
         152325737463150344615586976665/76874*ep^2*z5+16689734160478428\
         4902710581349813803/317409671040*ep^2*z4-303434025574685876677\
         1778165211824171614201887/4708986992791620739200*ep^2*z3+
         45802562578486357877915715655481814512559412227069049676103221\
         81176490989453423812449134357480890924460397894154791012768278\
         681702596401536127999520031726097747506940157269463833/
         77573808697286720812784267413175712454318357412334365116527966\
         27975731187837185023511556766415008629713077819086658717088533\
         70880000000000000000000000000*ep^3+
         753776802663900323385253245225/153748*ep^3*z6+1127309418147096\
         76893106606701759823861/21107743124160*ep^3*z5-303434025574685\
         8766771778165211824171614201887/3139324661861080492800*ep^3*z4
         -4582432831276716499850416135606345592663418828781291974971/
         4538338947422864565089685857280000*ep^3*z3+
         54962753573886129581644267935/76874*ep^3*z3^2;
Fill mncnoptab(19,4,4,4)=
      +mncF321*(-689923257530106600000-103382600248266984859500/17*ep-
         2440681062831033319891490/119*ep^2-
         15874703732441280764739017086/412335*ep^3)
      +1066351727895497010874374526571985460299123928156004753/31419269\
      6360044469890824405504000-3380246428768391979095/230622*ep^-3-
         12585665137711247626242005279729/71238633044040*ep^-2-
         92025956249374107541324177110906596279249/
         127142648805373759958400*ep^-1+1046948866786007393532333880/
         115311*z3-4170712719868269002080867172823569195071255367537871\
         86215216863203562539756051676226354619164840769643274976495742\
         075763/1323900586613937244194369434623204356451827411173737412\
         4004772246739439709061120000000000000000000*ep+
         523474433393003696766166940/38437*ep*z4+1173587875603172917088\
         393233188786721/7498803478320*ep*z3+
         10417582465279953204013128225923976040755823408273595102279340\
         86576112389941244128592242498881802768728271589350167782905221\
         839407/7732872823742491858225205629362362927406751258562246782\
         921205762325250246393510515179520000000000000000000*ep^2+
         33850273320270473169945151570/38437*ep^2*z5+117358787560317291\
         7088393233188786721/4999202318880*ep^2*z4-29065545365370311790\
         3337014874482784657091747/1059522073378114666320*ep^2*z3-
         12040659588612755249444131815273511348728086874639185857685473\
         22274497627423419435466059409416412520607641169171989436968907\
         31652543427423850752203414425084804135508981123686158489/
         15347008378149461628799207504354150012681208034562699958741101\
         52887148718873739092088967611775629269780861033033556843942002\
         7876147200000000000000000000000*ep^3+
         35894239676437647184393971725/16473*ep^3*z6+165682455080947165\
         51831063876576590823/6784631718480*ep^3*z5-2906554536537031179\
         03337014874482784657091747/706348048918743110880*ep^3*z4-
         963253295991735966241242418120026407997381108992924609047/
         2042252526340289054290358635776000*ep^3*z3+
         36641494602822921353037788890/115311*ep^3*z3^2;
Fill mncnoptab(19,5,1,6)=
      +mncF321*(-223441054995545887500-33173993794469136716250/17*ep-
         3086860105221453272916165/476*ep^2-
         39417355092712833803514527263/3298680*ep^3)
      +16205663381636618971673431102198697635310836169088132517/1474107\
      0866817124000892814213120000-370140403021383735/64736*ep^-3-
         7946692585313790395258069531/79987237102080*ep^-2-136671888119\
         22779938052170748988268787/19766306534924503572480*ep^-1+
         5948361672960840765521565/2023*z3-4769867690688690766245226080\
         01319409940563423837253127166876332482751854104891033773802331\
         1042462679684739070382763/469180795106380644836911791151806395\
         390281207534438972289489711507963904000000000000000000000*ep+
         17845085018882522296564695/4046*ep*z4+374308861874184436217046\
         5849887541/74199663360*ep*z3+119547735682723383513076310661424\
         99100336291755218297153904719911589891056245555862943776403847\
         609704084900069708266485723297/2740474214290850095482344729670\
         03301785528274112963644366898785507506401977565184000000000000\
         000000000*ep^2+4615928383054051756815368415/16184*ep^2*z5+
         3743088618741844362170465849887541/49466442240*ep^2*z4-
         298488867022071174695819388057453481811799839393/
         3212024811925231830528000*ep^2*z3+
         19577798138970689465808167683894415449486463870581174298071084\
         31851884854753490439603139751515930330073969592829756722252139\
         17976298614223550854216776884862133652484485540241213924679060\
         0132203/138355592249724395435467284198878291595320954239862950\
         04981567853191114157996975945318614183914440411668205250944298\
         42132470517178083521331200000000000000000000000000000*ep^3+
         22841707448351825153455979475/32368*ep^3*z6+102350740430764056\
         82221955627192714631/13331206183680*ep^3*z5-298488867022071174\
         695819388057453481811799839393/2141349874616821220352000*ep^3*
         z4-37420650553438968985978453092005429386502783209623826297507/
         257968740169299670015624248729600000*ep^3*z3+
         1665541115175391904692698105/16184*ep^3*z3^2;
Fill mncnoptab(19,5,2,5)=
      +mncF321*(-529202498673661312500-78961287303707398053750/17*ep-
         7405912589638788338557275/476*ep^2-
         2122559148462611645995478733/73304*ep^3)
      +360114467831639912034360468694311731149847149106596889/138311282\
      207173015317018997555200-1299045553381747989675/1229984*ep^-3-
         464440017776098889578290823771/33772388998656*ep^-2-3872384811\
         617760827248155468390867705499/60275033507732745461760*ep^-1+
         267677137642884795684930825/38437*z3-
         84790308333174326379904813312635819763666880373757516177919050\
         7162101548854446230872149448372033672015978767739884646753/
         35600688043399993121193127653733226391981913577781174114970816\
         125685888293273600000000000000000000*ep+
         803031412928654387054792475/76874*ep*z4+1520785388563159642944\
         7769302191083/126963868416*ep*z3+
         15109349152556770128823807325738503410381744855707452868453314\
         72388907645677681723426949797890381901924478358957772164903836\
         165709/1485305704440334570607482473827104523871644899603792899\
         4806637718751981265581772898304000000000000000000000*ep^2+
         207716851177836493955301681075/307496*ep^2*z5+1520785388563159\
         6429447769302191083/84642578944*ep^2*z4-1079510291831974463522\
         3532274411069767580364467/50229194589777287884800*ep^2*z3-
         41222308680823182289293779189436493555849093278773380853698155\
         89774525392512463053894796293521350337515311117690578693854207\
         08749143462866178305935189569573206177576946305913443635130778\
         21/25947285966547286718839922192380119271577831988630880233991\
         86296137383834648685895302635117365197588825560171115109128956\
         002264689305190400000000000000000000000000*ep^3+
         1027877170383467077949111172375/614992*ep^3*z6+104004720145608\
         04146039672441188074631/5628731499776*ep^3*z5-1079510291831974\
         4635223532274411069767580364467/33486129726518191923200*ep^3*
         z4-4278016645309817081759311051422005113677388787906668193419/
         12102237193127638840239162286080000*ep^3*z3+
         74949275529640186509993517125/307496*ep^3*z3^2;
Fill mncnoptab(19,5,3,4)=
      +mncF321*(-423361998938929050000-63605091433840536776625/17*ep-
         1507778251556357815943220/119*ep^2-
         8761418418816782101701207761/366520*ep^3)
      +69243577854221052134363613885372117023275520358247349/
      33247904376724282528129566720000-2422610554590441184905/307496*
         ep^-3-2024666429964333377032731578453/21107743124160*ep^-2-
         342733093836125601066826692274344799283/856179453234840134400*
         ep^-1+214147692927438051574984230/38437*z3-
         61311405329694191255934047556676121394265542912691613148512752\
         90663696669974979741485244986090998784603707815495374844837/
         31773614078734493860664866430956904554843857868169697897611453\
         3921746553017466880000000000000000000*ep+
         321221539391157077362476345/38437*ep*z4+1526172242390878027201\
         0625189054123/158704835520*ep*z3+
         15271460268436882748110554602839171553928530467320861792031951\
         90514309541549053256895161950686004331613067748493922811598307\
         8084471/185588947769819804597404935104696710257762030205493922\
         790108938295806005913444252364308480000000000000000000*ep^2+
         41543497250970515645629892445/76874*ep^2*z5+152617224239087802\
         72010625189054123/105803223680*ep^2*z4-46941516981676304975092\
         09627516172046445319159/28253921956749724435200*ep^2*z3-
         64718512649833431164833794254058352138064981221816501079910574\
         83639292717667946363396270796686257552073870670312951831091752\
         50105254924083665929320400457227810194999684170497343827109651\
         8201/138122084992833866823510261729043652164999106110384471926\
         97221116214466766744250327063992205201775703144266620180948837\
         03650298578458285965312000000000000000000000000*ep^3+
         205576009325578197712399619925/153748*ep^3*z6+9664531112836242\
         87040519857241075891/639628579520*ep^3*z5-46941516981676304975\
         09209627516172046445319159/18835947971166482956800*ep^3*z4-
         148036746974060365117836932747202688312885918381815772183/
         504259883046984951676631761920000*ep^3*z3+
         14989722922286930688416584155/76874*ep^3*z3^2;
Fill mncnoptab(19,5,4,3)=
      +mncF321*(-141120666312976350000-21396936977149488343875/17*ep-
         514588860012543651547290/119*ep^2-276749229519048588619344497/
         33320*ep^3)
      +484500568439753717290423240641921811024815771948098231/698205991\
      911209933090720901120000-3104569430070488568435/307496*ep^-3-
         7738395313651026473366999270153/63323229372480*ep^-2-356318652\
         1478839959077996115892615439231/7063480489187431108800*ep^-1+
         71388849378212909937926610/38437*z3-
         95463045556890543514269450796012155019319811021229680031864551\
         036509087915879283793500157822839583742041522046998686673901/
         15364307607850279697957055411947160958075607715808280583378338\
         351416011097022398464000000000000000000*ep+
         107083274067319364906889915/38437*ep*z4+1073423423234694414775\
         63583941286861/3332801545920*ep*z3+
         16552284726482830792983235726820553117233723456445451117211853\
         42587509504265851526325780564474938820314260203500767235257424\
         74491757/64101833388432999175230656950447625638236536147167424\
         76052016662407521728058011002297384960000000000000000000*ep^2+
         13847966348609399129966301615/76874*ep^2*z5+107342342323469441\
         477563583941286861/2221867697280*ep^2*z4-552236837046074716558\
         31174261856421562856837/1046441553953693497600*ep^2*z3+
         18190883121369258201275914764501394979905592668390854788191362\
         70056435095881108108530198504308094398028672008415753183758839\
         122424826980996661073554074223675180878618728115888952818009/
         10152107430179381465297190960960287649988669839695364273507073\
         62575460426129853904373220431060025864477118696795829986495010\
         612018287738880000000000000000000000*ep^3+
         9789420464180695221493177425/21964*ep^3*z6+1562980751383986856\
         131028409143338743/3015391874880*ep^3*z5-165671051113822414967\
         493522785569264688570511/2092883107907386995200*ep^3*z4-
         465242835228116102990228639217377205564376833562344707737/
         4538338947422864565089685857280000*ep^3*z3+
         4996436544238322712494176185/76874*ep^3*z3^2;
Fill mncnoptab(19,5,5,2)=
      +mncF321*(-19243727224496775000-5906123375973682226625/34*ep-
         3183879157309907038680165/5236*ep^2-
         876122324100447760773896931/733040*ep^3)
      +3146285283913654956671261508748703082686716882959742357/33281152\
      281101006810657696286720000-16959618922899647786805/6764912*ep^-3
         -1816069625534940819388988735791/58046293591440*ep^-2-
         112962226129130928859132399746144602472457/
         828781710731325250099200*ep^-1+107093945783638248785935065/
         422807*z3-1134840318275799553915180513317006622271095397781708\
         65399711064636422072434159522524336616916965776095415511967238\
         97645987/13399212664806228924588348024759119071537737488956401\
         496764248876269903277713233700454400000000000000*ep+
         321281837350914746357805195/845614*ep*z4+108018088018259227156\
         521417087139061/24440544670080*ep*z3+
         19672262755998432730304707908954221858189555645921643692302032\
         23998496897731358218537519572269271437559173369549164352909265\
         4052243/559032088980524185807186559264853743191060831739447111\
         3364963731285599699039391395103549423616000000000000000*ep^2+
         3776759161099750867827536595/153748*ep^2*z5+108018088018259227\
         156521417087139061/16293696446720*ep^2*z4-92858253596113435173\
         4287132242623777115339263/138130285121887541683200*ep^2*z3-
         22711499868615408298683733686934869616721326696729866872914433\
         69620021439747387621197108470201089205258190929506814859303193\
         0968620603419739495847116711998717389776854766260173675973/
         49186960499219103199364890205852593664195105373324039905141771\
         71678105764599142166688252988485825313391640085975796284568326\
         41522860409487360000000000000000000*ep^3+
         29368553563544790393542258775/483208*ep^3*z6+23166631027468538\
         1738658884867555149/3158981964160*ep^3*z5-92858253596113435173\
         4287132242623777115339263/92086856747925027788800*ep^3*z4-
         107499016852497662094981572079941318253215830731735001/
         7272979082408436803028342720000*ep^3*z3+
         14988835002342259029056145255/1691228*ep^3*z3^2;
Fill mncnoptab(19,6,1,5)=
      +mncF321*(-48574142390336062500-7318714984828969614750/17*ep-
         697055939524657951075695/476*ep^2-9161834400199510316845850917/
         3298680*ep^3)
      +17614573534678738037969496781767464713640740766388788267/7370535\
      4334085620004464071065600000+364196834026236315/64736*ep^-3-
         334998738076423819891017565/15997447420416*ep^-2-4005118406461\
         49929559109210305585730353/494157663373112589312000*ep^-1+
         1293121626517620149839095/2023*z3-4357684522023606321926746445\
         66274158203471025154422988717196961593103285922407086070232260\
         087126417806916952156457/1998635118225964526102070324420110955\
         33933549910350451171765985267008495681536000000000000000*ep+
         3879364879552860449517285/4046*ep*z4+1262583330303943543319255\
         3556877751/1142674815744*ep*z3+7692058133771587799114548875035\
         28108929810407054013916237047756329864519081874417189709410706\
         940059410803409892624851224829/8338558340717667764813936695169\
         70960770046259426690750585635801754497193857222338150400000000\
         00000000*ep^2+1003462656406399139097706845/16184*ep^2*z5+
         12625833303039435433192553556877751/761783210496*ep^2*z4-
         3175774457022486019521754957334198070420990449/
         169053937469749043712000*ep^2*z3+
         42909876551458057612805538187528139889872335306477131000747194\
         42128416960308024323927863039815668043569016958801585697307213\
         64474906935682930214718655929055978463832203660308136692896961\
         413/1603093706162259434732953000107159188540800677288854786461\
         36255050166369198660999389664443610960564373614669880816563708\
         90066325476813476420397301760000000000000000000*ep^3+
         4965588416971290889494970425/32368*ep^3*z6+4664198761467271283\
         87399688141048337/2666241236736*ep^3*z5-3175774457022486019521\
         754957334198070420990449/112702624979832695808000*ep^3*z4-
         35747293983447433934241482985422567876791231819463477407/
         1044407854936435910994430156800000*ep^3*z3+
         362074208307870494808925995/16184*ep^3*z3^2;
Fill mncnoptab(19,6,2,4)=
      +mncF321*(-92035217160636750000-13941213254038279638000/17*ep-
         334747140082785872605215/119*ep^2-493991295472232276122629371/
         91630*ep^3)
      +1956903614306406910350664984037806620947202371757173051/43222275\
      68974156728656843673600000-309144255787541241405/307496*ep^-3-
         108007893024126377886844184453/8443097249664*ep^-2-21720570998\
         429141266011979904961835976317/376718959423329659136000*ep^-1+
         46553252839989533363304540/38437*z3-
         10457671952393048681273703769920709959547965470708887240529037\
         9685718538037542797968056282826374437429794621231436251/
         25418891262987595088531893144765523643875086294535758318089162\
         713739724241397350400000000000000*ep+
         69829879259984300044956810/38437*ep*z4+
         95192720607236372938816024572091/4534423872*ep*z3+
         12783071635310900064285423306460115515058950570871204896199016\
         86125818748705487332693599962904409070266381760954725627408952\
         279/7423557910792792183896197404187868410310481208219756911604\
         3575318322402365377700945723392000000000000000*ep^2+
         9031182396073143229252824885/76874*ep^2*z5+
         95192720607236372938816024572091/3022949248*ep^2*z4-1955412945\
         9021610788305703971939890204595900329/565078439134994488704000
         *ep^2*z3+27799534531097653111368583164065720073313003588714013\
         32006439415875197769674683686641230184109962800430226231162223\
         23903043659077566653396539197909292100611364133957839513947021\
         9045465942431089/328844292607820738280048997975610708947749526\
         02974703679135349334837050875237426175204453256445932706035130\
         2157735509567784233525330319991611557150720000000000000000000*
         ep^3+44690379451965820812631079025/153748*ep^3*z6+474261393286\
         278450850399328537739697/1407182874944*ep^3*z5-195541294590216\
         10788305703971939890204595900329/376718959423329659136000*ep^3
         *z4-30536193623463763817203806930669456589731646294766499289/
         458418075497259046978756147200000*ep^3*z3+
         3258648398484556790814089235/76874*ep^3*z3^2;
Fill mncnoptab(19,6,3,3)=
      +mncF321*(-55221130296382050000-8425042077079511866125/17*ep-
         204581633698038778188930/119*ep^2-1224547386533618134427703717/
         366520*ep^3)
      +15045991138897011961337114334059177432291728004179643/
      55413173961207137546882611200000-1101343617828229410765/307496*
         ep^-3-61781393039276203080927603755/1407182874944*ep^-2-
         1456021373626187399570115091553382891959/
         7848311654652701232000*ep^-1+27934449850717496778312270/38437*
         z3-29472176761128957082607846247394587175940089971505136478550\
         0617447236951746105842898002964021633103081915972864541745787/
         12291446086280223758365644329557728766460486172646624466702670\
         6811328088776179187712000000000000000*ep+
         41901674776076245167468405/38437*ep*z4+
         60805530731406395309306201248103/4809237440*ep*z3+
         10097340465821844494871000052721720651549649796460207504778743\
         03669761273966549605981923906587322053216905116480322636144312\
         78071/10256293342149279868036905112071620102117845783546787961\
         683226659852034764892817603675815936000000000000000*ep^2+
         5418762728840442590080161105/76874*ep^2*z5+1824165921942191859\
         27918603744309/9618474880*ep^2*z4-9395915249429429447030590814\
         34502824127492291/47089869927916207392000*ep^2*z3+
         33766809819591578975804359468943869957450803838631690121795185\
         02715633670808401102915777243860810235284668835701038589594661\
         37715673126591834824946114428736007705341960084688703842588570\
         562133/2334967965950322452780049600022904130978197866482451892\
         78259554241097440392858818969050221437028105554281259739191225\
         253760980039438031222017202585600000000000000000000*ep^3+
         26814469145695037982617682825/153748*ep^3*z6+14547076274381517\
         69926363818143596373/7035914374720*ep^3*z5-9395915249429429447\
         03059081434502824127492291/31393246618610804928000*ep^3*z4-
         104263309036555650175412221143466602128679932210889952547/
         2521299415234924758383158809600000*ep^3*z3+
         1955134407226744206875551815/76874*ep^3*z3^2;
Fill mncnoptab(19,6,4,2)=
      +mncF321*(-12271362288084900000-1889922280394100917250/17*ep-
         46566252539517954724650/119*ep^2-141892456895386217358681401/
         183260*ep^3)
      +1367835938886699792208436807768027321619721870450772423/22691694\
      737114322825448429286400000-257019511760908019565/153748*ep^-3-
         660596947521303720519245537341/31661614686240*ep^-2-1285081610\
         7954144820396466520447756772189/141269609783748622176000*ep^-1
         +6208408497096477027833100/38437*z3-
         12114575885016991122232713579411175550489981829887126212699878\
         598290238517927272855344452406561258502521040005594581467487/
         22332021108010381540980580041265198452562895814927335827940414\
         793783172129522056167424000000000000000*ep+
         9312612745644715541749650/38437*ep*z4+470525802919409412626364\
         0356411947/1666400772960*ep*z3+2104699171933211525176264549781\
         30666179628248026760981310741933850532932802436765839714687430\
         12960550988403335043950001533869716623/
         93172014830087364301197759877475623865176805289907851889416062\
         18809332831732318991839249039360000000000000000*ep^2+
         602092711431893550339727425/38437*ep^2*z5+47052580291940941262\
         63640356411947/1110933848640*ep^2*z4-1234795963347345754610930\
         2253183964218909453/2943116870494762962000*ep^2*z3-
         26323826989195148403546899737418530569782820516211728302378887\
         06906271696517131917760095462850506950957555020236246870998414\
         87603572210889485825496743984693130688281389427533665977727684\
         3744093/141411497437866403546491753901387131432367108288843492\
         75664594253726463733792512223813104035780014642631158792954768\
         579430899353638465765883416831590400000000000000000000*ep^3+
         425631644953426480937067375/10982*ep^3*z6+71278462535510312536\
         566264049556041/1507695937440*ep^3*z5-123479596334734575461093\
         02253183964218909453/1962077913663175308000*ep^3*z4-
         9880265640167602175604572520427939393796176641278734691/
         1031440669868832855702201331200000*ep^3*z3+
         217228774350874212214734615/38437*ep^3*z3^2;
Fill mncnoptab(19,6,5,1)=
      +mncF321*(-836683792369425000-260876722786315608375/34*ep-
         144079316305005927195675/5236*ep^2-21618557472296100238145581/
         388080*ep^3)
      +18451733266037324606985819265959028712953464414686464913/
      4492955557948635919438788998707200000-62935581232770370995/
         6764912*ep^-3-26719991368383884663691376303/87069440387160*
         ep^-2-313072706701615447506654582001528598108161/
         111885530948728908763392000*ep^-1+4655301622219652770346175/
         422807*z3-1595036635382222647675276237848258695716461602866305\
         24234615729350536887183693561514270956477855258619048836960648\
         78627733/44009898980684084438984057858032352676743397082574687\
         2690840155167760568641337423822848000000000000000*ep+
         13965904866658958311038525/845614*ep*z4+1420360142550531454811\
         3590793173241/73321634010240*ep*z3+
         18889872498016400365427419243069749048406724857184242037794958\
         44825653464952831695655848512762710471112501077366445051255476\
         92968211/12853040297905161112340020387803696145972625509572498\
         29089625274688857208115275198067505144791040000000000000000*
         ep^2+164203258074374781724592325/153748*ep^2*z5+14203601425505\
         314548113590793173241/48881089340160*ep^2*z4-14815043484152360\
         659949385884631914357308338853/55942765474364454381696000*ep^2
         *z3-5706001215253727006625230197938275015014149122855013864442\
         18905722729798997080219317849250383768681939957854268813474997\
         513789172446533156790726500340000755079257473024041801847653/
         23079321544480100557959584908799982209781822723617659609066693\
         09159886361163308689428753245840716525028215962138531750056412\
         463053586143641600000000000000000000*ep^3+
         1276867594520888562777950625/483208*ep^3*z6+665064147753328297\
         678586094679324069/199015863742080*ep^3*z5-1481504348415236065\
         9949385884631914357308338853/37295176982909636254464000*ep^3*
         z4-35028600557444302422719393616766559757821986533975655949/
         51056313158507226357258965894400000*ep^3*z3+
         651731526687489230946056145/1691228*ep^3*z3^2;
Fill mncnoptab(19,7,1,4)=
      +mncF321*(-5397126932259562500-830019749130474098625/17*ep-
         122401817802684577893515/714*ep^2-5016861576019408700636556107/
         14844060*ep^3)
      +1354867776123223875707469564197235421754429483793710363/51026783\
      769751583080013587660800000-255374999638006105/64736*ep^-3-
         12763913249552745162252753073/143977026783744*ep^-2-3139676468\
         598288558819078368767895181821/4447418970358013303808000*ep^-1
         +431041452509169417444880/6069*z3-1526936793331382020705601517\
         20515497340210579136818559462800295430955521920692260745978009\
         8623581293529307310733/648647942915153941653126459834526919141\
         9479756181373733483677885483821178028032000000000000*ep+
         215520726254584708722440/2023*ep*z4+12759830844484181101312052\
         958828203/10284073341696*ep*z3+5027703686288949819013580534208\
         34228050261311815309461219126633599596823709441524978348010402\
         2025952694469568926489951243769/520951432336336293606750695030\
         72760774108640057682504642837596714612212186229965575946240000\
         00000000000*ep^2+334487620863132511922655755/48552*ep^2*z5+
         12759830844484181101312052958828203/6856048894464*ep^2*z4-
         53850134272268490980462133205329010054662378287/
         28908223307327086474752000*ep^2*z3-
         81442112908428209754658846631586259448317202968449911051447913\
         32273119018342119235704597953590570217323926984264991516506022\
         85126249409418579478527631021980566331207691516252126963721014\
         0351/130069193886346958681741868417785415979333145861845717901\
         52418875661225864527721995934137811162027609404644806238980282\
         744894723170960025186549628928000000000000000000*ep^3+
         551732148738431927638494525/32368*ep^3*z6+49674304972332844000\
         6535352475606477/23996171130624*ep^3*z5-5385013427226849098046\
         2133205329010054662378287/19272148871551390983168000*ep^3*z4-
         9746898731390992632973874725195047143382533957929921567333/
         2321718661523697030140618238566400000*ep^3*z3+
         120691303448177628524409805/48552*ep^3*z3^2;
Fill mncnoptab(19,7,2,3)=
      +mncF321*(-7669601430053062500-1186127382770365946625/17*ep-
         58811568137928867398085/238*ep^2-5307826236246534367260507/
         10780*ep^3)
      +1955865028603590988411940065368375136073316272657235719/51866730\
      827689880743882124083200000-427493145973144823715/1229984*ep^-3-
         451566379133174149853746650449/101317166995968*ep^-2-306674821\
         61040577108999049917916674778171/1506875837693318636544000*
         ep^-1+3879655413132548909984280/38437*z3-
         13979928031588534859171764821602271340893616771906358513249142\
         177887226838517702904842920116239567912506299002775413027/
         40971486954267412527885481098525762554868287242155414889008902\
         270442696258726395904000000000000000*ep+
         5819483119698823364976420/38437*ep*z4+673559218432533068182187\
         600921737/380891605248*ep*z3+245251425503330580966040522648684\
         64887689212584467770974684189418145251913053708770603217866393\
         823561212890959671852599093353971/1709382223691546644672817518\
         67860335035297429725779799361387110997533912748213626727930265\
         60000000000000000*ep^2+3010412810808996498736765155/307496*
         ep^2*z5+673559218432533068182187600921737/253927736832*ep^2*z4
         -5780801702203388191770403968270318299934203927/
         2260313756539977954816000*ep^2*z3-
         31906225179121486802615153481945975869279291346612232516881180\
         54380658133813431131576073388319934298878439647010774539397182\
         31213118651411848227947935274929283543036359798507903399055411\
         251486228781/1478834706810210381427932347162853065518626135190\
         84107425316941648717873589334388004972773257787789107887049589\
         014710222696355044564547102360994661059788800000000000000000000
         *ep^3+14896877837519680537284454575/614992*ep^3*z6+50516076194\
         6409713753462116560231181/16886194499328*ep^3*z5-5780801702203\
         388191770403968270318299934203927/1506875837693318636544000*
         ep^3*z4-110860430540838360721317068425231122917853769068194904\
         7453/181533557896914582603587434291200000*ep^3*z3+
         1086197321588667962183335605/307496*ep^3*z3^2;
Fill mncnoptab(19,7,3,2)=
      +mncF321*(-3067840572021225000-477970631532621191250/17*ep-
         11984706313647947970480/119*ep^2-37291527952798216679822673/
         183260*ep^3)
      +390704060118563228521650869411602613641586693724900163/259333654\
      13844940371941062041600000-291535807326329011875/614992*ep^-3-
         1499709728162762914652850044201/253292917489920*ep^-2-
         3902044523614501992971839170854764742731/
         150687583769331863654400*ep^-1+1552151559408265769461170/38437
         *z3-6865052366100054020801414682883556376069495242449574653625\
         3158375886779401680516038554107750883325651751214285333498673/
         50754593427296321684046772821057269210370217761198490518046397\
         2585981184761864912896000000000000000*ep+
         2328227339112398654191755/38437*ep*z4+676241733367848664570536\
         383261317/952229013120*ep*z3+651836801904736361671057516153863\
         24964525511459558536204611243275624379199795750966032579018593\
         5703060308243554027044582556737933/116465018537609205376497199\
         84684452983147100661238481486177007773511666039665398739799061\
         29920000000000000000*ep^2+602094785941544783298401835/153748*
         ep^2*z5+676241733367848664570536383261317/634819342080*ep^2*z4
         -1101983924691083709963331736008774985194807483/
         1130156878269988977408000*ep^2*z3-
         55230176091420953117299907410369251629182959902268737986132292\
         04353634350455047493892757692052870157890897867769784190699696\
         29853451021374291902298225235793110486675116587007047399228858\
         520537953283203/4421136318030322227211397128332321471272676074\
         59079607123525391782004795973260931085250450365354863350728001\
         79014669704907952943901640048049376852466926092288000000000000\
         00000000*ep^3+2979430898519558601102785775/307496*ep^3*z6+
         516358795975242529818154971178637569/42215486248320*ep^3*z5-
         1101983924691083709963331736008774985194807483/
         753437918846659318272000*ep^3*z4-22825690825229506341562184419\
         5276548986100158427057456993/907667789484572913017937171456000\
         00*ep^3*z3+217226535997674249101424525/153748*ep^3*z3^2;
Fill mncnoptab(19,7,4,1)=
      +mncF321*(-340871174669025000-53617061665795592250/17*ep-
         1364072812916812142950/119*ep^2-349961244621495934191813161/
         14844060*ep^3)
      +1891411993294692824700044656751324470497102869375717153/11310937\
      06896160091606967859814400000-11999362616905597505/1844976*ep^-3-
         399880440138406874951177187257/2279636257409280*ep^-2-
         272058443789521127590389165985270727241629/
         183085414279738214340096000*ep^-1+172420426031407670197250/
         38437*z3-12548950219794507547994172638720934527233592893317672\
         92094158605560560027590872707813754469998573290722741161200031\
         6227/857892767654660515379806196063008824108058422662274605635\
         165994479065435948026167296000000000000000*ep+
         258630639047111505295875/38437*ep*z4+5285194098454580078109288\
         94325483/6665603091840*ep*z3+133590637854075927068917291630312\
         01057133690720664783871909008667071295413954831366232432976881\
         056399500004420344708981934153823/2277696313646138775888715291\
         12239874995084627141103992395822306342168564259308027302410977\
         280000000000000000*ep^2+200693126294284694576668825/461244*
         ep^2*z5+528519409845458007810928894325483/4443735394560*ep^2*
         z4-9288476389774952070366979992605145780191673347/
         91542707139869107170048000*ep^2*z3-
         24247143997292384705610708730772193681502464604502784025473595\
         42988807591031960945926390055478388746942255272243736822621703\
         23278569886848022924351866872791905762094624659770300304450539/
         11239395416678540166794890404051135999923204367867678357940150\
         25340680149392789811223295928662401296264098393114755792213740\
         3965304406288237844234240000000000000000000*ep^3+
         141874343701362716095929875/131784*ep^3*z6+2275035759092199567\
         55807574209620773/162831161243520*ep^3*z5-92884763897749520703\
         66979992605145780191673347/61028471426579404780032000*ep^3*z4-
         2127324967103443498034136115051284903102749481037223330713/
         7352109094825040595445291088793600000*ep^3*z3+
         72414413149030662342207055/461244*ep^3*z3^2;
Fill mncnoptab(19,8,1,3)=
      +mncF321*(-277566527944777500-307736703830955710025/119*ep-
         15812254292387710260597/1666*ep^2-227764518467178328932638939/
         11545380*ep^3)
      +3520604954110839836050511234541067126417823412696170419/25796874\
      01692996700156242487296000000+477529052252031351/453152*ep^-3-
         21797547561684757283787951121/2799553298572800*ep^-2-333743810\
         5982743572725553752226247466041/17295518218058940625920000*
         ep^-1+51724259557895175216888/14161*z3-
         49997719016613254746496176823849525833806954571869633707414221\
         06747740375692810260938685730856585355046286692905639/
         43127881004492013187247874840553434268282407623321489356851476\
         0741502065881330483200000000000000*ep+77586389336842762825332/
         14161*ep*z4+12957263931637717447826253478639403/
         199968092755200*ep*z3+2787928887262261143337846148848246284093\
         61577643497527419801520714289610142864684183436486539515467597\
         139519194784506857832221/6297723982021487638268275068815907080\
         24780004252872945015636724727756520651313361629216768000000000\
         0000000*ep^2+40138463089058685543075273/113288*ep^2*z5+1295726\
         3931637717447826253478639403/133312061836800*ep^2*z4-
         353461006943546900503653865001673674854864123/
         4496834736695324562739200*ep^2*z3+
         23399570210457743963813357992725265252991515164486126007100347\
         26618836664869372170270163070116143248886550327528081815039621\
         78798765926471170043660043458411327877988943671319709436399881\
         086753283/8648156180176668897239370451244754769114772720414275\
         28803023050577297506370376538040776451799928591274193272450378\
         422354949444705055831007959033105612800000000000000000000*ep^3
         +198623345062977620706700845/226576*ep^3*z6+541434970225907828\
         508806113687779469/466592216428800*ep^3*z5-3534610069435469005\
         03653865001673674854864123/2997889824463549708492800*ep^3*z4-
         2191617481151828715694549932235954918088628761402300895041/
         9028905905925488450546848705536000000*ep^3*z3+
         14483039998560194740587519/113288*ep^3*z3^2;
Fill mncnoptab(19,8,2,2)=
      +mncF321*(-262957763316105000-293222641568611733550/119*ep-
         7598777688269999854857/833*ep^2-12290828715122354094624387/
         641410*ep^3)
      +390529914904996455010831400162849072345111774529848011/302555929\
      828190971005979057152000000-210099033294606519921/4304944*ep^-3-
         1794231132338156461733415601121/2955084037382400*ep^-2-
         23304149558448138436672482245357067169679/
         8790109053211025379840000*ep^-1+931347548088643665325944/
         269059*z3-3600265923158364601440389613151792316078521452565739\
         27624909023363116917059482350543221447333299226971246370874731\
         81241/35261085960016391906811442170418734398783519707780003938\
         85328651649974546766640447488000000000000000*ep+
         1397021322132965497988916/269059*ep*z4+
         13962882818152884537830961184153/226721193600*ep*z3+
         32879844602040525091832666705927404495987186279992564796466112\
         88329110497373811538195967381866776099268145060506744189446509\
         4053/936178139441069210681891367189946459889336321094767889797\
         960433468880332375017697744613539840000000000000000*ep^2+
         361259160264163959660493137/1076236*ep^2*z5+
         13962882818152884537830961184153/151147462400*ep^2*z4-
         37511106412044582732943701806032205969555123/
         527406543192661522790400*ep^2*z3+
         16486066863912090080131634649598470676208109264772827969283324\
         55129972255677620109404170217625604576507169438884566321455722\
         50533340193813500926127230033321745298099003331157343108209724\
         44654995959/94275712559150911816030687131631882926812416118416\
         11848363955030105764441320067235317014295183971555627799411299\
         6877766968926340909898777755134096425615360000000000000000000*
         ep^3+1787668850359046924995946805/2152472*ep^3*z6+550395285641\
         745826496003164043657389/492514006230400*ep^3*z5-3751110641204\
         4582732943701806032205969555123/351604362128441015193600*ep^3*
         z4-19076100385125158067842000655666381084786705018813478253/
         81457365722974492193917438464000000*ep^3*z3+
         130333166864937671062685751/1076236*ep^3*z3^2;
Fill mncnoptab(19,8,3,1)=
      +mncF321*(-52591552663221000-59084735758233380910/119*ep-
         7742025420768289378962/4165*ep^2-228498191828889417922890847/
         57726900*ep^3)
      +10518945369516444643841609401756709479073948548751424577/
      40845050526805781085807172715520000000-52231987698963556341/
         21524720*ep^-3-2366981840202108382457181660523/
         44326260560736000*ep^-2-14521509973348365488399329081816530511\
         78519/3559994166550465278835200000*ep^-1+
         931093206397278503915934/1345295*z3-
         74741690033016727806491520653731432339166809060903984122711836\
         904627190268246563254257289699951858844937954535559569373/
         33853768446680064953064659890794117443648766986595913283910781\
         166750812972410571063296000000000000000*ep+
         1396639809595917755873901/1345295*ep*z4+2060362524098300844740\
         042956392751/166640077296000*ep*z3+
         85251609395890443285739940534665962062388949535383642397954874\
         41902657289009718486327809868163639008540335042873965988225201\
         68067/98869540753116623941077079906182278045943273150557679160\
         740405745296708316559630620577318830080000000000000000*ep^2+
         361248881354959596348400557/5381180*ep^2*z5+206036252409830084\
         4740042956392751/111093384864000*ep^2*z4-366012000821334393584\
         766066676080010380687497/27384570511926655991040000*ep^2*z3+
         81076324121166191152190056399915264789758702326609387365801365\
         73683030670362257524066472679373476100162584286602744478693265\
         39675367609910422718218984480248716011843058761608312803598221\
         1231068880207/589787505228289568012503646021414558682452492267\
         28790570459116185374308274202652796491040964206718850805104553\
         51927599322898521228540070785161528865873226366976000000000000\
         00000000*ep^3+357524508529370482332736821/2152472*ep^3*z6+
         5057816936609583407062179575677866761/22163130280368000*ep^3*
         z5-366012000821334393584766066676080010380687497/
         18256380341284437327360000*ep^3*z4-684597980613536662981844308\
         5480315693888739787085491075723/142957676843820233800325104504\
         320000000*ep^3*z3+130345550682914679479444571/5381180*ep^3*
         z3^2;
Fill mncnoptab(19,9,1,2)=
      +mncF321*(-5337817845091875-24790898219544846675/476*ep-
         170175393972705190863/833*ep^2-275302543276769285432505947/
         600359760*ep^3)
      +3510737273556666938901646915581189479766814683903336379/13414374\
      4888035828408124609339392000000-1208224470765593853/1812608*ep^-3
         -1379471101631382623463952213321/145576771525785600*ep^-2-
         578222933303972005523063035163424966635533/
         11691770315407843863121920000*ep^-1+1989904624276987889853/
         28322*z3-13825445618806706863161086410339631742344989545642053\
         42898688897715781733274083367858253344336068499816520874155233/
         45823373567272764011450867018088023910050058099779082441654693\
         32878459449989136384000000000000000*ep+5969713872830963669559/
         56644*ep*z4+1897338042044618695669558422191069/
         1485477260467200*ep*z3+225192068266565913323182628857492368386\
         22171136464339134229050242283414279378483836472861680535038222\
         160740426685079271757551/1338266346179566123132008452123380254\
         55265750903735500815822804004648260638404089346208563200000000\
         00000000*ep^2+3087656105725085628620301/453152*ep^2*z5+1897338\
         042044618695669558422191069/990318173644800*ep^2*z4-2252838117\
         87365993962920191653599734609521171/
         233835406308156877262438400*ep^2*z3-
         51238527220841556909911046480698133609251920209395403319656256\
         60300597610655659552627997221344330496432269684871304351630268\
         03955049114895962119997640668497041064377549002072801687245421\
         93297311/18377331882875421406633662208895103884368892030880334\
         98706423982476757201037050143336649960074848256457660703957054\
         147504267569998243640891912945349427200000000000000000000*ep^3
         +15279088158683269111913265/906304*ep^3*z6+6142903681762731458\
         60477962400629309/24262795254297600*ep^3*z5-225283811787365993\
         962920191653599734609521171/155890270872104584841625600*ep^3*
         z4-2517386479589522839265180245872498900619104511304092191161/
         469503107108125399428436132687872000000*ep^3*z3+
         1113979730086497971462043/453152*ep^3*z3^2;
Fill mncnoptab(19,9,2,1)=
      +mncF321*(-2528440031885625-11810832606560698425/476*ep-
         81756595580046795468/833*ep^2-133608162753181227199791617/
         600359760*ep^3)
      +1497314640952189842110996649635892013514332644754075591/12136815\
      0136794320940684170354688000000-29501546105586088677/34439552*
         ep^-3-10561547933031934573267660711963/921986219663308800*
         ep^-2-4253213732298718330637576302377778895402599/
         74047878664249677799772160000*ep^-1+17913798501077877640677/
         538118*z3-1235133836833992676611629837763723299381523399902132\
         73613883135509382222414891402400598273016830628105269775685718\
         807/1219110775088201785013408804931644118469346179572706018534\
         183255312356145820879290368000000000000000*ep+
         53741395503233632922031/1076236*ep*z4+210395473064670592174207\
         2171182971/3466113607756800*ep*z3+
         27267821480775904272101813112957191928458229539278717099445286\
         599226043731740136369798166075195606370402309820270877792150169
       /726612035609992713683081032721108946010098112362061071337907894\
         56094590316879145122251407360000000000000000*ep^2+
         27789799073295075645806709/8609888*ep^2*z5+2103954730646705921\
         742072171182971/2310742405171200*ep^2*z4-624761528605900826226\
         033449906751862424533753/1480957573284993555995443200*ep^2*z3+
         41841086585079661292262645725240805254537178564438519488641943\
         31179147901098488006358887052395910753995019719011137246479798\
         53857221339625692980028656585698374801323012836788282316112414\
         155741/1629736207505129808104251974424368684449098189802151387\
         95247241816954391302531774536092443998378379833181646485852945\
         959706187191969092725050892075453644800000000000000000000*ep^3
         +137515891486389148017779385/17219776*ep^3*z6+5613030571619528\
         246599205583162319781/460993109831654400*ep^3*z5-6247615286059\
         00826226033449906751862424533753/987305048856662370663628800*
         ep^3*z4-763397134944544380458330473719145892698151364968915899\
         7483/2973519678351460863046762173689856000000*ep^3*z3+
         10025221489852315962102387/8609888*ep^3*z3^2;
Fill mncnoptab(19,10,1,1)=
      +mncF321*(-21966328580625-111885051324414225/476*ep-
         70292977247456428396/67473*ep^2-129809766014921349659912809/
         48629140560*ep^3)
      +3431706488946602157551750036412600534569340129486681979/
      32596930007792706303174280069472256000000-17041632339200550653/
         440463744*ep^-3-13865717668144379997333747034121/
         35375155480765900800*ep^-2-46363533856878870469711891313465576\
         89725133/2841100186644106058738626560000*ep^-1+
         1988885937683191818653/6882246*z3-2592070400885073792834792430\
         0442851486498277534771692264311543071568709288963/
         33205236876285302250144467210083826382087371487392563200000000
         *ep+1988885937683191818653/4588164*ep*z4+139657617183041390341\
         41458808745483/2526796820054707200*ep*z3+443470322816420657206\
         92547322475974935271157932824367458388187125930067634725084547\
         44551/17778843825024775242725249050844385043587811910108581778\
         26652160000000000*ep^2+343095409042929082037989/12235104*ep^2*
         z5+13965761718304139034141458808745483/1684531213369804800*
         ep^2*z4+55418799499554330935328524396406317494197677/
         56822003732882121174772531200*ep^2*z3+
         19422084287904041115051916937607602549970561706214046991285880\
         47581758217781000387909313823403447815704606459495863839385567\
         32094155552139/85507613836567184433577965124088358907784021266\
         73960951818634941786937075369004933636929087734795154227200000\
         000000000000*ep^3+15280182531917153346217265/220231872*ep^3*z6
         +770356906430388916287651795309733309/5895859246794316800*ep^3
         *z5+55418799499554330935328524396406317494197677/
         37881335821921414116515020800*ep^3*z4-297327215577171117720117\
         6664203586512662184790991602272761/114089255027274472061109980\
         243152896000000*ep^3*z3+1114986080998670657542043/110115936*
         ep^3*z3^2;
Fill mncnoptab(20,1,1,9)=
      +mncF321*(-10942156927462921875-858356797794575492459475/9044*ep-
         9870420803549125832984921/31654*ep^2-
         2151439396820694090906838819123/3802278480*ep^3)
      +18249641287287948455483942162494036311793673361600151961120657/
      338981243332066538387330887800643584000000+2322493249536328691/
         654351488*ep^-3+199233524641589005973736131111/
         5839246057867622400*ep^-2+425027916484967352174752875697216023\
         77407/4220729083862231634587013120000*ep^-1+
         1472219407818345516439504569/10224242*z3-
         24595182766912695590351387990838719600071388521954514031601934\
         95618765775515160779344693651284084967397675049129/
         49103504732001334738755253329485261203859228194171450692522063\
         84402923520000000000000000000*ep+4416658223455036549318513707/
         20448484*ep*z4+3404619879485443701255749381326460370283/
         1382979329494963200*ep*z3+976061046386573164456936098943732101\
         65586654981514832915416069379712140695578580965196973238858614\
         987211884267178241070431/4507052625347969256973553702201933846\
         94937109231559478233253087321551680009404416000000000000000000\
         00*ep^2+326412076055223140714966959259/23369696*ep^2*z5+
         3404619879485443701255749381326460370283/921986219663308800*
         ep^2*z4-9916653769146903551363259270594043766433891178942223/
         2110364541931115817293506560000*ep^2*z3-
         98877725155370035961547169101729701303613963669418110404996169\
         62985244062911888795362034088632281891533071871955017698019190\
         2214540723750760861728586050420539049/
         18303696305001493660266050475537859627759888012142205879396774\
         98078544537425420391008135349850426537864417972007731200000000\
         0000000000000000*ep^3+11306645109307342283708683208545/
         327175744*ep^3*z6+74308533056236211215185438607186092152983/
         2021277481569561600*ep^3*z5-9916653769146903551363259270594043\
         766433891178942223/1406909694620743878195671040000*ep^3*z4-
         29733503752520121235752840994029066654774497441986545066512059/
         4345913376052135107529883176931328000000*ep^3*z3+
         824442875175447551315354614763/163587872*ep^3*z3^2;
Fill mncnoptab(20,2,1,8)=
      +mncF321*(-35014902167881350000-689738854048328878150500/2261*ep-
         15977550745773657020098350/15827*ep^2-
         292911099632284530038650944811/158428270*ep^3)
      +81109521975083368885573343645733396653596648770548890135357/
      470807282405647969982404010834227200000-7598322896463720045/
         40896968*ep^-3-102119684208038700263706808849/
         72990575723345280*ep^-2-45580446459828189399102372855591070035\
         73/5862123727586432825815296000*ep^-1+
         2355551100886233680895400380/5112121*z3-
         51440465822704220733575187017699045144441667465890823146986684\
         20893300714390342021185852206615302248453412676482791/
         32256399155356251798230443132472177367697651120927439531484572\
         00204182978560000000000000000000*ep+
         3533326651329350521343100570/5112121*ep*z4+1516577959648697090\
         8989827211682900931/1920804624298560*ep*z3+
         14229211690298910344075963989565905202417873320912437816113803\
         39843476396794705711101217917165469519243935710067740574965362\
         447/2072497727068992600799648458180962374303309712878008829487\
         14037625326140807324473753600000000000000000000*ep^2+
         65282415382667369244763018035/1460606*ep^2*z5+1516577959648697\
         0908989827211682900931/1280536416199040*ep^2*z4-43184713536645\
         757896429343634258665119007090732747/
         2931061863793216412907648000*ep^2*z3+
         48154617880417241218543641074414240907531277199316870723059053\
         47591655414827340751080434544148809161536893555953139910402838\
         36051768364215845030730269391206580513224789/
         24273071486105850904117618163271264679091878067724012316880522\
         07409420774405074831781326222678413798738414345943861166080000\
         0000000000000000000000*ep^3+2261329027384495586757751627425/
         20448484*ep^3*z6+111699840489617796100581402695887411317/
         935776611837760*ep^3*z5-43184713536645757896429343634258665119\
         007090732747/1954041242528810941938432000*ep^3*z4-
         407080578900396792582308009263185889873659758649637061772749/
         18107972400217229614707846570547200000*ep^3*z3+
         164888573769228040721297139555/10224242*ep^3*z3^2;
Fill mncnoptab(20,2,2,7)=
      +mncF321*(-98041726070067780000-277331712616873919977830/323*ep-
         32390801317418621065324758/11305*ep^2-
         24005437509848082591984160911/4526522*ep^3)
      +11265207842307008877201605463093571027851351926116706116259/
      23353535833613490574524008473920000000-1519139258049450627/
         14606060*ep^-3-208294484921371889078893626071/
         65170156895844000*ep^-2-18025102646644597601289508699559457135\
         697/581559893609765161291200000*ep^-1+
         4711102123703669871788743812/3651515*z3-
         13309638114835118078521564606491281677752429918125304965037361\
         990364792937716646886909385895879113433645273358159/
         29927425926919942183253848680237142633782404085154601819331351\
         86047795200000000000000000000*ep+7066653185555504807683115718/
         3651515*ep*z4+76029592907126864801784050430837031481/
         3430008257676000*ep*z3+896631227892246757207052196077131406873\
         12481952982465080406634199042341620529649993434412891477490903\
         918122651066819736815939/4711005673138080402233935463861342473\
         55122414070380360078335531277189576732862054400000000000000000\
         0000*ep^2+65282415281058958216333217577/521645*ep^2*z5+
         76029592907126864801784050430837031481/2286672171784000*ep^2*
         z4-11704969729666692974126052036213246338864791497457/
         290779946804882580645600000*ep^2*z3-
         19328952723775834637857538900381689773390952637337444183934860\
         18455499438591553042923375175978287625078637367223266429317007\
         9176016964375098521710583331150752589322342819/
         40735097881096868764157215565653558041780741086931480594666033\
         27395622441138696520446952707647223829970816795961647431680000\
         0000000000000000000000*ep^3+452265804843709037642543779227/
         1460606*ep^3*z6+567983341933878311410743237017949434777/
         1671029663996000*ep^3*z5-1170496972966669297412605203621324633\
         8864791497457/193853297869921720430400000*ep^3*z4-
         14564812219244157625379086217415059516709699906690946212301/
         224553229169360486293500081480000000*ep^3*z3+
         164888574959134939740683077449/3651515*ep^3*z3^2;
Fill mncnoptab(20,3,1,7)=
      +mncF321*(-40850719195861575000-115766031219267972307050/323*ep-
         2712053620836885549255876/2261*ep^2-
         4655348839782068922717456427/2089164*ep^3)
      +636652303877060091567126468988848049529155458871400730653/
      3167575346976774859715658292224000000+2464289519729824449/
         11684848*ep^-3+46061324780183799611071309759/24062827161542400
         *ep^-2+242874905191180138428391709156199017239/
         148659097064744703951360000*ep^-1+392591839208662048565628954/
         730303*z3-2713072720013042908797909014178056411043135674269553\
         614615586014456160562796125205789954069754866250167102905698821
       /146644387041907716697943858533161998905533780017257548914723624\
         1163419648000000000000000000000*ep+588887758812993072848443431/
         730303*ep*z4+836268230098075332123437832619430749/
         90461756246400*ep*z3+37221629362435058936610502774324393846573\
         87418514192816228932092709855199245676073445156856499189276690\
         13065863669080175740641/47110056731380804022339354638613424735\
         51224140703803600783355312771895767328620544000000000000000000\
         0000*ep^2+152325635470201318905957660327/2921212*ep^2*z5+
         836268230098075332123437832619430749/60307837497600*ep^2*z4-
         16064764932736208427701174072094584476494688853483/
         966284130920840575683840000*ep^2*z3-
         87991252571831404801967578532353997630454373446454204548271878\
         73633899236057413835990192594641118509344558689959740503829172\
         10421588800308763585408464991435829536227006079287117/
         12752729580470580316314295120460496278883303772194596308824370\
         94626902327000129729422842533627717776301884515608677112601588\
         5312000000000000000000000000000*ep^3+
         753776340566833353558475722555/5842424*ep^3*z6+571329879817093\
         444844211659528574204953/4010471193590400*ep^3*z5-160647649327\
         36208427701174072094584476494688853483/
         644189420613893717122560000*ep^3*z4-16300924263838287546399367\
         7145391205922125287954623519850237/596966123084084492792566370\
         4576000000*ep^3*z3+54962858524699688605329846897/2921212*ep^3*
         z3^2;
Fill mncnoptab(20,3,2,6)=
      +mncF321*(-98041726070067780000-279464226187324598864730/323*ep-
         33040620533053395913098123/11305*ep^2-
         9563648963842109416751914089/1740970*ep^3)
      +247586527293070864751278486414146874484618303184976371013/
      513264523815681111528000186240000000-172271828252976871887/
         14606060*ep^-3-377426569928061949811066046301/2506544495994000
         *ep^-2-7753863757020099583709966942657257736291/
         11183844107880099255600000*ep^-1+4711103166125251124828622972/
         3651515*z3-308311003540928247992244850427825722885099885374108\
         40783030044871592509673412857160116803742169816852238898059854\
         47/69830660496146531760925646920553332812158942865360737578439\
         8210077818880000000000000000000000*ep+
         7066654749187876687242934458/3651515*ep*z4+8387649394441895807\
         77337191885860671/37692398436000*ep*z3+
         29405255240510944723521971676395044373470004949156282288066313\
         94932537848861945076582168235298859446069540980699114335869379\
         673/1570335224379360134077978487953780824517074713567934533594\
         45177092396525577620684800000000000000000000000*ep^2+
         456976917685027117460367175059/3651515*ep^2*z5+838764939444189\
         580777337191885860671/25128265624000*ep^2*z4-43354698918534147\
         7822798864529642657385866307367/11183844107880099255600000*
         ep^2*z3+539601693318334802347690745115434384168691547752174733\
         33089155417263560888153607183827957799230174748509226344221922\
         310188452202935833950633940614769515488601595610923682443/
         87716244103961924072151870851373994983301195807192454880514191\
         64991906989918659840695771497133688647203825500637414136217600\
         0000000000000000000000000*ep^3+452265814518901866335538552087/
         1460606*ep^3*z6+582066028970652556251728160943433076137/
         1671029663996000*ep^3*z5-4335469891853414778227988645296426573\
         85866307367/7455896071920066170400000*ep^3*z4-1215250761349676\
         72303179573173148262471814920806404528721973/17964258333548838\
         90348000651840000000*ep^3*z3+164888562669608948475456152469/
         3651515*ep^3*z3^2;
Fill mncnoptab(20,3,3,5)=
      +mncF321*(-81701438391723150000-234806121827582200327575/323*ep-
         11249119973512834324418403/4522*ep^2-
         16545790178740380883184469653/3481940*ep^3)
      +133313129675210365338474803890397938825819268848546938001/
      331647846157824718218092428032000000-700006672029233713677/
         5842424*ep^-3-1154608299678009038287523020357/751963348798200*
         ep^-2-188188742708391966852271913648257065661301/
         26841225858912238213440000*ep^-1+785185577797578606701286546/
         730303*z3-1023717685924715325009084040449630923599290864036771\
         04777821775953173765249460296574158783697373622289896487319572\
         671/2815572231204628160600522083836710378986248576331344939162\
         6935830337657241600000000000000000000*ep+
         1177778366696367910051929819/730303*ep*z4+58961215567631555778\
         47077381989430961/316616146862400*ep*z3+
         13821655657703368641043591214019107082334820152717584028380873\
         28329780928253587695177682492754883006063500107070535802660123\
         6151/904513089242511437228915609061377754921835035015130291350\
         404220052203987327095144448000000000000000000000*ep^2+
         152325676114383018100436972649/1460606*ep^2*z5+589612155676315\
         5577847077381989430961/211077431241600*ep^2*z4-259690844413304\
         13150945744478601521948558996991/838788308091007444170000*ep^2
         *z3-4911437082905941932437686734890412371365640715608410192363\
         97888029530374876682182680987135599811143508134303352163587089\
         7992709809413930958121679922652042004859496690013261813/
         32638863566107816099551422536312858037306441755073083691219808\
         65616828623320773652083533790997457010869954653485179250430024\
         0896000000000000000000000000*ep^3+
         107682360684848472062167428255/417316*ep^3*z6+8532513620752321\
         9164962137372698284783/286462228113600*ep^3*z5-259690844413304\
         13150945744478601521948558996991/559192205394004962780000*ep^3
         *z4-1267557100638438424850829968915893092743073081058428355238\
         39/2155711000025860668417600782208000000*ep^3*z3+
         54962817259035668444801325519/1460606*ep^3*z3^2;
Fill mncnoptab(20,4,1,6)=
      +mncF321*(-22282210470469950000-63790426737727618500000/323*ep-
         1518704383393787110073865/2261*ep^2-
         6649979059794185175191372741/5222910*ep^3)
      +1800631908640175810025382645314734864496936220258848277/16424464\
      762101795568896005959680000-3784263181399981215/5842424*ep^-3-
         2050449111174251832776927777/267364746239360*ep^-2-11296770949\
         1337211470925728449770847/3336904535684505139200*ep^-1+
         214141022191954480458937140/730303*z3-
         19514400099211618287435865878027736375024277538960545408349008\
         3735977562125327583163936754989865811869632141078871/
         19552584938921028893059181137754933187404504002301006521963149\
         8821789286400000000000000000000*ep+321211533287931720688405710/
         730303*ep*z4+15284155989498733265075513843729003/3015391874880
         *ep*z3+1889877473424854423553403311756066238543310796689193988\
         86810306251957316499361422063929534231002157329208794673882939\
         04653317/44866720696553146687942242512965166414773563244798129\
         53127005059782757873646305280000000000000000000000*ep^2+
         41543355484612670666120740935/1460606*ep^2*z5+1528415598949873\
         3265075513843729003/2010261249920*ep^2*z4-92522407551950078705\
         601222486438772688782426211/10736490343564895285376000*ep^2*z3
         +2855346534692130048801416660180283438383769163836596163636767\
         59837158482801373961883990113719571031331678436089653833008472\
         111422544420829650406528279365104768579369349764031409573/
         20956985610573320319809824981290082218298229198973119934168049\
         58836876157370213188684871230261549545722763553983592721708610\
         4862720000000000000000000000000000*ep^3+
         205575367201143808526014333275/2921212*ep^3*z6+292601979164350\
         9213964872008103013263/36458829032640*ep^3*z5-9252240755195007\
         8705601222486438772688782426211/7157660229043263523584000*ep^3
         *z4-13564032745895988856457001019150791902387405699748331344889
       /862284400010344267367040312883200000*ep^3*z3+
         14989869982157336311177160145/1460606*ep^3*z3^2;
Fill mncnoptab(20,4,2,5)=
      +mncF321*(-44564420940939900000-128395942289865330473250/323*ep-
         3087604088306289450974790/2261*ep^2-
         4563224331362951594866131783/1740970*ep^3)
      +225074700932293752141707321512983268572487901377601081/102652904\
      7631362223056000372480000-121649575087952117505/2921212*ep^-3-
         111959399359445014457170356803/200523559679520*ep^-2-108752675\
         496575034587284956751073053989/39764779050240352908800*ep^-1+
         428282657078626076165148060/730303*z3-
         64431021032479012402100327322835048461682030001338603775010596\
         67085045851722354438016572179172291786942436677244437/
         32487371898514940314621408659654350526764406649977056990338772\
         11192806604800000000000000000000*ep+
         642423985617939114247722090/730303*ep*z4+153342406785113379245\
         99066781851573/1507695937440*ep*z3+
         80173996456509592866291590836699286478408062588944348364374227\
         267247512847444617580480177728927680917985446108674016619233/
         96377223116259556308443383052065794297559441707288508565007517\
         56880072604123136000000000000000000000*ep^2+
         41543362130269751306347008645/730303*ep^2*z5+15334240678511337\
         924599066781851573/1005130624960*ep^2*z4-331304586325019678368\
         968123975651041373759713/19882389525120176454400*ep^2*z3-
         17366899149184911558466375547494792376028618502128100005235583\
         18851062499659948041645061505379989538599299760156920375851886\
         614308142166309016674271519945984727060923113507846553703756969
       /227371991288757998418903812535850559682039715074661440490455458\
         10847229606996462786560967666093996434463140603812004894746851\
         20606340382720000000000000000000000000*ep^3+
         205575397365955626150909302925/1460606*ep^3*z6+109440538383607\
         00469485967662716274751/66841186559840*ep^3*z5-993913758975059\
         035106904371926953124121279139/39764779050240352908800*ep^3*z4
         -233349148659059546451008709634397133404634359997434667869/
         7185703333419535561392002607360000*ep^3*z3+
         14989863526724128631244530355/730303*ep^3*z3^2;
Fill mncnoptab(20,4,3,4)=
      +mncF321*(-29709613960626600000-86341714527458958925500/323*ep-
         2104560132446652563940660/2261*ep^2-
         3162902238393753242891838317/1740970*ep^3)
      +484724453742276547353437160981432693278569724904647867/331647846\
      1578247182180924280320000-501105857400514172235/1460606*ep^-3-
         1276214741277098944941843134603/300785339519280*ep^-2-61176702\
         4215868810353484691617429447009/33551532323640297766800*ep^-1+
         285526900858540248913260840/730303*z3-
         14223377791752704552459812465932930522107768885965232617338553\
         9398973948496360340000755194586530351604469234959655287/
         10769563784357702714296996970675417199622400804467394392297302\
         9551041538949120000000000000000000*ep+
         428290351287810373369891260/730303*ep*z4+107821173566226497162\
         350651923027761/15830807343120*ep*z3+
         37990282903255763721654307688192101247148153888031459304178330\
         76520692666024735982970182410827688035199493696801861865055251\
         799/6919525132705212494801204409319539825152038017865746728830\
         59228339936050305227785502720000000000000000000*ep^2+
         27695629082103304272949626030/730303*ep^2*z5+10782117356622649\
         7162350651923027761/10553871562080*ep^2*z4-1420484006281795903\
         621689737938344757461191807/134206129294561191067200*ep^2*z3-
         11966198967618549971565112498943841118668966918832998388807854\
         27282408096826358956379274608778044509876473138853133686218356\
         30291537894852953546749639759667649320807120988228039/
         23720294096668855350348996328265369578612456545499363572593995\
         94087030201998372251651708182607401882649739544420354020250020\
         007116800000000000000000000000*ep^3+
         9789322207587415722870130425/104329*ep^3*z6+160558624873465568\
         0091045510863532443/14323111405680*ep^3*z5-1420484006281795903\
         621689737938344757461191807/89470752863040794044800*ep^3*z4-
         485968587746703823515768504411190220841178626623235402301/
         21557110000258606684176007822080000*ep^3*z3+
         9993185420118722421889147170/730303*ep^3*z3^2;
Fill mncnoptab(20,4,4,3)=
      +mncF321*(-8102621989261800000-23820535325579197666500/323*ep-
         6501431474045179178702130/24871*ep^2-
         453950536053843088372537038/870485*ep^3)
      +484502932166301149132591585639768388984682780846753199/121604210\
      25786906334663389027840000-7482696625306043933805/16066666*ep^-3-
         3158348228799849034570453216639/551439789118680*ep^-2-
         14384240838902395910751745027979345517773/
         590506968896069240695680*ep^-1+856645839488086893271302120/
         8033333*z3-202025632991097015483646891331277541831665856555633\
         74168105089234318478134969938696672814656296005785133275253635\
         93/57718479920433222724801209246096872979783699481838882894184\
         77506723672167442022400000000000000*ep+
         1284968759232130339906953180/8033333*ep*z4+1084720955097689155\
         28355913117125011/58046293591440*ep*z3+
         26405504446809979793763782569032488295130400733740509996503280\
         17177450976286561172382042676647204796405406126040470207100540\
         39/18542277125981019793476175608262494275162972395134166937938\
         9264032781678191421632358121472000000000000000*ep^2+
         7553416579984109077811178390/730303*ep^2*z5+108472095509768915\
         528355913117125011/38697529060960*ep^2*z4-99399349796195865925\
         2681648266519966450896087/369066855560043275434800*ep^2*z3+
         43105962911861148829730714540218538808947246781586670044540105\
         10342523735213355352057618229051668364263236874881014079066068\
         1529720954370883622941407236722896260880869116544843/
         11441404789881233482056337215617706798345123039866466354695471\
         96209232061166574861010029269520071606756493036786009693820862\
         983699431424000000000000000000*ep^3+
         29368191621548968915232735775/1147619*ep^3*z6+1662259924721735\
         820862944142059067493/52518075154160*ep^3*z5-99399349796195865\
         9252681648266519966450896087/246044570373362183623200*ep^3*z4-
         46420175021136994512789697558225443704416149008488668923/
         7185703333419535561392002607360000*ep^3*z3+
         29978844844355523576471331710/8033333*ep^3*z3^2;
Fill mncnoptab(20,5,1,5)=
      +mncF321*(-6054948497410312500-17582975643876758651250/323*ep-
         1712085404053021323455025/9044*ep^2-1590355114151652240666469/
         4312*ep^3)
      +1601337023662159884425032375103400566778002483988177313/53752793\
      766878603680023292231680000+16085073791296864575/23369696*ep^-3+
         51045551354824245834942185/27898930042368*ep^-2-18324552242324\
         1826899599738556068586737/3964242588393192105369600*ep^-1+
         58190473618079784087152475/730303*z3-
         28999930754835684716796329866107756007699987051729191633048780\
         50053084632772600582507762677629873965739365453711/
         10811797367825772136706004801932967855307194533112364566384743\
         358849660380774400000000000000*ep+174571420854239352261457425/
         1460606*ep*z4+478153835207979516801068207879095/344616214272*
         ep*z3+77454434911803528573703695691987820642891806598345908488\
         66547175820720172854038700233363126351645560387201343538522251\
         6519/694666052538248783791807187759138115779969306891620063757\
         11044100009266226720907093606400000000000000*ep^2+
         45155819567672471034704331225/5842424*ep^2*z5+4781538352079795\
         16801068207879095/229744142848*ep^2*z4-18676652877674918773831\
         2000467752639932555241/86179186704199828377600*ep^2*z3+
         93561414151870044187688763218318193213996361471830295463028870\
         70051388293919997300681947557110354305398953853479094479553744\
         899748563753236374144009840747810463140043156401525465169572543
       /195821168934550752065845713863755177215168862339705586931835736\
         76892643564420241635349266008422094655608469149664373843530275\
         0174728050924467519488000000000000000000*ep^3+
         223451478893639163810035557125/11684848*ep^3*z6+24374117327549\
         19858649888904821011285/106945898495744*ep^3*z5-18676652877674\
         9187738312000467752639932555241/57452791136133218918400*ep^3*
         z4-9481880887842809272675148473884815291499270522614873594281/
         2069482560024826241680896750919680000*ep^3*z3+
         16293339322365513372747432975/5842424*ep^3*z3^2;
Fill mncnoptab(20,5,2,4)=
      +mncF321*(-9687917595856500000-28324566227381215398750/323*ep-
         696808576144856994255450/2261*ep^2-423612832830763951516043415/
         696388*ep^3)
      +2150537312450293506925428862317461210136248061762707/
      45122155939840097716747269120000-203535567191726871075/2921212*
         ep^-3-35850093241227066656538705181/40104711935904*ep^-2-
         244055106164379118805956828441433302159/
         59647168575360529363200*ep^-1+93105928553713835009901300/
         730303*z3-2925770502241716536953068751200627340312905344049138\
         1967441359511784414597542208065020901145182743749571444364383/
         68925208219889297371500780612322670077583365148591324110702738\
         912666584927436800000000000000*ep+139658892830570752514851950/
         730303*ep*z4+671777801928363377524588471656541/301539187488*ep
         *z3+2700144849220116913673266814949753908538533719766490902598\
         79415202241007232545976316278660623902963833664819632695805306\
         25861/15499736297259675988354697876875769208340565160019272672\
         580526714814567526837102395260928000000000000000*ep^2+
         9031176244024999128589200975/730303*ep^2*z5+671777801928363377\
         524588471656541/201026124992*ep^2*z4-3105285242872417170837874\
         198029027782367611/931987008990008271300*ep^2*z3+
         17200331894726082905712628229430943636324598633521043560153846\
         92822810098409541729268147176882061203696512276828343034130239\
         8604420824770036882697016101340705585836162911207642335305607/
         36661823670585401677861520979380601604027574922182530122985822\
         79414304657399480854045548924029261735487131931983613768436813\
         8834275929345438515200000000000000000*ep^3+
         44690351577356426467896498375/1460606*ep^3*z6+4976182901056237\
         93575308419654574047/13368237311968*ep^3*z5-310528524287241717\
         0837874198029027782367611/621324672660005514200*ep^3*z4-
         108546807804348600512657131403708914375738340172680101633/
         14371406666839071122784005214720000*ep^3*z3+
         3258654717106988640183684825/730303*ep^3*z3^2;
Fill mncnoptab(20,5,3,3)=
      +mncF321*(-4843958797928250000-14290469933114364721875/323*ep-
         356467462289576938251900/2261*ep^2-440870824953248857340964951/
         1392776*ep^3)
      +105325530501072959327831344424791825979664780447532313/442197128\
      2104329576241232373760000-1497766618188930886875/5842424*ep^-3-
         23197032096959224419162048185/7291765806528*ep^-2-820227162300\
         712137280427616756573735569/59647168575360529363200*ep^-1+
         46556477435086378159028850/730303*z3-
         19315881685388203082266835456307816880008988355000666470620297\
         852490898703671077951250435258710279134877437605055983/
         92349567872693156359681934793754996767653919170942212630695640\
         107578754679072358400000000000000*ep+
         69834716152629567238543275/730303*ep*z4+4724743100582700718079\
         898679307611/4221548624832*ep*z3+
         25202878167108301553835921090921417513714093703575499922177859\
         75601565124730429635545516807144445126421766524405596231332062\
         199/2966764340156963166956188097321999084026075583221466710070\
         228224524506851062746117729943552000000000000000*ep^2+
         9031251312851481695401298775/1460606*ep^2*z5+47247431005827007\
         18079898679307611/2814365749888*ep^2*z4-3131028623834456229574\
         4015430914939686886399/19882389525120176454400*ep^2*z3+
         20282718522316754366330998157871704944834555987995883130083084\
         54370507507794944962746254027523848224749966754851943159159006\
         754684982981767927704628139233291732146578985380264987823990959
       /105260169294214086595104633567466082827563615109910730930883740\
         11118403594133620585392998244101791471665276569161842197378585\
         6386410001587347914752000000000000000000*ep^3+
         6384384541415220670773743625/417316*ep^3*z6+104322355481669799\
         26441267905563559/545642339264*ep^3*z5-93930858715033686887232\
         046292744819060659197/39764779050240352908800*ep^3*z4-
         112634307705871140661570722344747068404752156236298468239/
         28742813333678142245568010429440000*ep^3*z3+
         3258578163254663116450220625/1460606*ep^3*z3^2;
Fill mncnoptab(20,5,4,2)=
      +mncF321*(-880719781441500000-2629073004692358948750/323*ep-
         734455370456828344025325/24871*ep^2-42204170221950203428892145/
         696388*ep^3)
      +170933000668336509821108862052066142854963349821610233/395213683\
      33807445587656014340480000-4242120747415804477575/32133332*ep^-3-
         365102619258601229966150322893/220575915647472*ep^-2-955574261\
         9106139134015569091711629626283/1312237708657931645990400*
         ep^-1+93128355842499612609378300/8033333*z3-
         68967322516123172641352362589506274302354892082967620794551405\
         273727910282696703131416440629909283478486457858781489/
         18128314407662597912952869597906752554262676225010212402887830\
         37315863564427198464000000000000000*ep+
         139692533763749418914067450/8033333*ep*z4+47544425850620533129\
         72690722682147/23218517436576*ep*z3+
         62739966522542550799141908605648696901567250858742813389991825\
         43391530402755805711706916681374811759080809950201338063844306\
         1367/407665207098354135173711918015942552706797350230164041678\
         400110494930003909425560284498493440000000000000000*ep^2+
         821037636976610077743060225/730303*ep^2*z5+4754442585062053312\
         972690722682147/15479011624384*ep^2*z4-17338480263978888820750\
         6873856823719896596619/656118854328965822995200*ep^2*z3-
         34214002198152086685841564806302264018366199738802917060090777\
         69765352391792862112082422244394360619825470743404287059133332\
         65772269594484609413606665416237590221144895842872257/
         93165724717604329782458745898601326786524573324626940316805985\
         97703746783784966725367381194663440226445729013828936078255598\
         5815525130240000000000000000000*ep^3+
         6384489750643008030403060125/2295238*ep^3*z6+75588452662900835\
         863794930947978101/21007230061664*ep^3*z5-17338480263978888820\
         7506873856823719896596619/437412569552643881996800*ep^3*z4-
         5351321452119344257241469499571904553053167261779307239/
         7185703333419535561392002607360000*ep^3*z3+
         3258406296363552806309903325/8033333*ep^3*z3^2;
Fill mncnoptab(20,5,5,1)=
      +mncF321*(-47865205513125000-290220766607452955625/646*ep-
         165961144388756567544525/99484*ep^2-9808394539311850689945439/
         2785552*ep^3)
      +30714583348115159434928320462025906141581953942946836011/
      130894771921570259786316719495669760000-3455236000795683426075/
         2956266544*ep^-3-155154861261353288588391405275/
         5073246059891856*ep^-2-643991575430962082704865151774756873495\
         79/250738343715869400664627200*ep^-1+
         116384399544729992892521175/184766659*z3-
         47128858652442969837836093964864659390223074415259343484462848\
         875133112687766232100663199934157768143790305369453083/
         23300215871025162611648247100838973135919969148027831823711711\
         391383305225137815552000000000000000*ep+
         349153198634189978677563525/369533318*ep*z4+239629600619051619\
         18311379229325215/2136103604164992*ep*z3+
         41713537149635866441668029507661472024209491070554447087365197\
         49513535627618430076463683518663057260212724490784491735706179\
         4849/523969692652884579620329729920490869214324829560534371216\
         0613184890717991424087348362524753920000000000000000*ep^2+
         4105089605387801700996162525/67187876*ep^2*z5+2396296006190516\
         1918311379229325215/1424069069443328*ep^2*z4-20809907081876256\
         610077236421798295907004198043/1629799234153151104320076800*
         ep^2*z3-941290135002878364035460146952908528205635312405532261\
         65311257080438352050046784044444096882495044156592472613781698\
         5156947274945621520435755667373661122789886503471003300653/
         52063199106896537231374005060983094380704908622585643118215109\
         81069740849762187287705301255841334244190260331257346631966363\
         9132205219840000000000000000000*ep^3+
         31921748615062070528134073625/211161896*ep^3*z6+39491568159534\
         8834146682749434861905/1932665165673088*ep^3*z5-20809907081876\
         256610077236421798295907004198043/1086532822768767402880051200
         *ep^3*z4-31701562488557450050822354879849549080374526743594155\
         327/743720295008921930604072269861760000*ep^3*z3+
         16293229685360573348018342025/739066636*ep^3*z3^2;
Fill mncnoptab(20,6,1,4)=
      +mncF321*(-807326466321375000-2391575661549573320250/323*ep-
         60019972684354066940595/2261*ep^2-280310332822882520723804669/
         5222910*ep^3)
      +17613845364575859569472150069455825686840137763646632847/
      4434605485767484803601921609113600000-6678906676999714755/
         11684848*ep^-3-921387880462308483603600035/87501189678336*
         ep^-2-2205034886909089811993875149037097318573/
         29731819412948940790272000*ep^-1+7758745967329527318684120/
         730303*z3-3809389076311534649405406806493126824334510177716314\
         0284351155847273079778512938366340549728924206514902776613/
         10940509241252269424047742954336931758346565896601797477889323\
         63693120395673600000000000000*ep+11638118950994290978026180/
         730303*ep*z4+676371677330744921922394348754249/3618470249856*
         ep*z3+24258061055890776988504368291592833832844208128517000022\
         09730720318106335437734687076177503843537047443427438390648386\
         02457/17221929219177417764838553196528632453711739066688080747\
         31169634979396391870789155028992000000000000000*ep^2+
         3010388578504367340788358435/2921212*ep^2*z5+67637167733074492\
         1922394348754249/2412313499904*ep^2*z4-49395356772340046735210\
         369840416238851062286271/193256826184168115136768000*ep^2*z3-
         17782451049943348371896435668500019414814068907846910537230017\
         76417730658090574231200803157130931392281149369925006600105641\
         15046226744429686113150587022040212858532094207897051240959816\
         681/2579943900712706158467517280154974459809849761325621107826\
         93583193060578961236683545726579660961097087641581046828125388\
         5113733552042070929859569254400000000000000000*ep^3+
         14896767973175246157568109775/5842424*ep^3*z6+5173924583485329\
         07404517280202390637/160418847743616*ep^3*z5-49395356772340046\
         735210369840416238851062286271/128837884122778743424512000*
         ep^3*z4-103224266781057352145123216446505837715151770261842704\
         27189/15521119200186196812606725631897600000*ep^3*z3+
         1086221735059453933290000885/2921212*ep^3*z3^2;
Fill mncnoptab(20,6,2,3)=
      +mncF321*(-968791759585650000-2890360331967526704000/323*ep-
         73327168319193801081225/2261*ep^2-115675665543753570433624107/
         1740970*ep^3)
      +35563936013016330759322036924946190857915408955749573/7465665800\
      955361622225457254400000-204065618497932705345/5842424*ep^-3-
         363761010370164636958048264397/802094238718080*ep^-2-151430826\
         56247370453152055467235931630921/7157660229043263523584000*
         ep^-1+9311026462577521581170700/730303*z3-
         48684530263071267492713168890642605044674633310332157017758590\
         8122825557983268146595890067181148180146943493920151/
         11543695984086644544960241849219374595956739896367776578836955\
         013447344334884044800000000000000*ep+
         13966539693866282371756050/730303*ep*z4+6789148745550645568467\
         20152746781/3015391874880*ep*z3+182378785686751762848960063362\
         93385311295983179136718442330589234526849475376570185807955086\
         20856619513213429301699445361311/10595586929132011310557814633\
         29285387152169851150523825025081508758752446808123613474979840\
         0000000000000*ep^2+1806244586472574511338131225/1460606*ep^2*
         z5+678914874555064556846720152746781/2010261249920*ep^2*z4-
         1045233788438804886164272030880557339189673783/
         3578830114521631761792000*ep^2*z3-
         16474462013141299342054405894031008899312716946228870699904563\
         75796797861380975810396964718335570471711847185332317417991140\
         75681384522078875252267580741872291698353471206136343373122812\
         9836518891/124826828407338077134114296767661707798082823138926\
         84447238604111566459552403179592120839826347981489815411414027\
         576167342815622883462406481037234794397696000000000000000000*
         ep^3+8938112667737097340878949125/2921212*ep^3*z6+528220101750\
         898885008862236892481857/133682373119680*ep^3*z5-1045233788438\
         804886164272030880557339189673783/2385886743014421174528000*
         ep^3*z4-235457376633062548995368263875382713011772951395336855\
         117/287428133336781422455680104294400000*ep^3*z3+
         651721654119739639283129295/1460606*ep^3*z3^2;
Fill mncnoptab(20,6,3,2)=
      +mncF321*(-322930586528550000-972406859568428641500/323*ep-
         25016988888302557055130/2261*ep^2-3649434986690536656549581/
         158270*ep^3)
      +2734405616224135123191678158173282507362682885025380141/17245688\
      00020688534734080625766400000-304714452720357342195/5842424*ep^-3
         -1574406876824105195263089449009/2406282716154240*ep^-2-
         4765584517640959680337841592572435306401/
         1651767745163830043904000*ep^-1+3104343372964323874783620/
         730303*z3-3245652596165018913503530798000743197037372528917074\
         7513664654780806258531102353175704909990630591347216164785519/
         23558563232829886826449473161672193052972938564015870569055010\
         23152519252017152000000000000000*ep+4656515059446485812175430/
         730303*ep*z4+4776218243225066686039054733481523/63323229372480
         *ep*z3+9694672187477855956110091655971714432655010362211959776\
         26859850441643079629308904047456809253273355949814071463977875\
         3266419/176593115485533521842630243888214231192028308525087304\
         170846918126458741134687268912496640000000000000000*ep^2+
         602095613072651179057088955/1460606*ep^2*z5+477621824322506668\
         6039054733481523/42215486248320*ep^2*z4-9758170948079056206379\
         28623256316588092116723/10736490343564895285376000*ep^2*z3-
         56847947416090076256433620099734628406584112165290100670770872\
         80719517811697715091611447372436116906056043430772960895098253\
         0714122517646509517621230590417821740737263766351677432561007/
         18796458802538229749125827422761800504922074126769773380514953\
         59128286356095289390248749686446748477083085101636043249531890\
         2926144643140597841920000000000000000000*ep^3+
         425633518804801808076801225/417316*ep^3*z6+7749403838890532391\
         1706558737882999/57292445622720*ep^3*z5-9758170948079056206379\
         28623256316588092116723/7157660229043263523584000*ep^3*z4-
         48599779779700509146816904687064297280831254070449707301/
         172456880002068853473408062576640000*ep^3*z3+
         217225586200533131079243645/1460606*ep^3*z3^2;
Fill mncnoptab(20,6,4,1)=
      +mncF321*(-29357326048050000-89462600193381948000/323*ep-
         25774182062230570122375/24871*ep^2-606669180053931797743313/
         274890*ep^3)
      +24560896575261494685200438450734892041353747906822137929/
      170732311202048164938673981950873600000-62100145913103990315/
         64266664*ep^-3-604444959725087658072608782957/
         26469109877696640*ep^-2-38886627775590920150174499296314073061\
         5569/2125825088025849266504448000*ep^-1+
         3103620017719784713920900/8033333*z3-
         16661135259321863046342101447651251805936535423640197239340552\
         39239855814981197043743401336844574799517624394810503/
         13507371519434876876317824406283462687489837187262511202151716\
         74862800302906540032000000000000000*ep+
         4655430026579677070881350/8033333*ep*z4+4805745556752280180392\
         273246786347/696555523097280*ep*z3+
         14646311670585655971190275336398614669757829637228128514895229\
         78921197174525207590943947590307765726339122734504656136273915\
         309/3037505464654403360117853506785454314285941040930634036035\
         13807819751767618787672368842014720000000000000000*ep^2+
         54734603074125473681760825/1460606*ep^2*z5+4805745556752280180\
         392273246786347/464370348731520*ep^2*z4-7971261178780296209109\
         203141020089978127132207/1062912544012924633252224000*ep^2*z3-
         80426809544546131021942960366070786832930733976027805182662162\
         66975398302989396346083052643347891111026490658827797052573254\
         804863816508689326188449804426386425464500935915714928284391/
         11974449931264060481354865352265311733429768399583332100645702\
         78785843602147763770376115241424605059224106567689314611319433\
         639353802854192203694080000000000000000000*ep^3+
         425623852699957600765376625/4590476*ep^3*z6+267110824870208180\
         27857253221658397/210072300616640*ep^3*z5-79712611787802962091\
         09203141020089978127132207/708608362675283088834816000*ep^3*z4
         -206328801370239602158294361301869520274365167753312873023/
         7760559600093098406303362815948800000*ep^3*z3+
         217242398671699334901381765/16066666*ep^3*z3^2;
Fill mncnoptab(20,7,1,3)=
      +mncF321*(-48439587979282500-147684103552994998275/323*ep-
         7736980881241492193547/4522*ep^2-38022045621230807396756339/
         10445820*ep^3)
      +503008269484241361913983042970847987214621354872744597/211171689\
      7984516573143772194816000000+4877246283714060399/23369696*ep^-3-
         5449185904531102208255827121/16041884774361600*ep^-2-240390126\
         5314736805814697311884394066841/99106064709829802634240000*
         ep^-1+465518048381947780672752/730303*z3-
         38940168926694749289581414155190472324593769167131375338050324\
         3486684816910353260218903219201115123221756011539/
         19442014288988032917827775746053683530032404035987834238041187\
         3910692115113836544000000000000*ep+698277072572921671009128/
         730303*ep*z4+32698232618553644337983612750117/2871801785600*ep
         *z3+1184425155225701174350769800738983594181155674517471708650\
         10331901999243902247382518038603773397708841497479260022771996\
         8731/156145491587208587734536215648526267580319767537971932108\
         959380238131939529618216722628608000000000000000*ep^2+
         361246140094458927887689617/5842424*ep^2*z5+
         98094697855660933013950838250351/5743603571200*ep^2*z4-
         318022185329198117944188794425809103235595803/
         25767576824555748684902400*ep^2*z3+
         27188437491900851842085551400925318116318898638257614965105111\
         79435735595031541232416868599635955698722288591121834428232719\
         56099048288392553424214008298197381046131285610151900139637091\
         0557/100249248713408010729023528600307579009754162154366991618\
         41807804073211068208053989205375666825916915405501434962464300\
         8107276503736491898988828976742400000000000000000*ep^3+
         1787609978537016728211538005/11684848*ep^3*z6+1684975883747609\
         618613481626358906727/8020942387180800*ep^3*z5-318022185329198\
         117944188794425809103235595803/17178384549703832456601600*ep^3
         *z4-2285644647738314228363023406631875883091376215807261236961/
         51737064000620656042022418772992000000*ep^3*z3+
         130347378205104769789818231/5842424*ep^3*z3^2;
Fill mncnoptab(20,7,2,2)=
      +mncF321*(-38751670383426000-119011452452187686820/323*ep-
         15757046726204103526674/11305*ep^2-1538431943556809251104249/
         512050*ep^3)
      +55784759919933297485743152603277779443970678066396493/2932940136\
      08960635158857249280000000-206292704730172944741/29212120*ep^-3-
         1772701523952986938322263356641/20052355967952000*ep^-2-
         69785408502070179525152086144925081115997/
         178941505726081588089600000*ep^-1+1862687484201935182264668/
         3651515*z3-434582606056618607083624075044269933766673882488404\
         567565194051134007024317803189125407453186635150388936854607913
       /278897144733270737122351839967796193142502711154003267736735851\
         894748240681107456000000000000000*ep+2794031226302902773397002/
         3651515*ep*z4+689470169704887113648231181047317/75384796872000
         *ep*z3+3598163462333159984384996524795879081466178909745624885\
         02410700845325035554201510743689640206210140345117809546548028\
         829531679/6271772416897755925749414123322193118566113080464062\
         1796676940076143077524527009274538229760000000000000000*ep^2+
         361258977570757961926481757/7303030*ep^2*z5+689470169704887113\
         648231181047317/50256531248000*ep^2*z4-16532450466891636233062\
         6167368268937531194023/17894150572608158808960000*ep^2*z3+
         77282800837144094085075174411521783637295986454065825240809243\
         18903645656142760767361590556382260432319788057651402010001227\
         28852787873175872164770656985284240282161163162353953705951074\
         45582862817/68023762865053793901986021722069715271504694499553\
         65074050136020797590430809600834871125791083476945933475296940\
         961561961870623503196711399941060147848151040000000000000000000
         *ep^3+357533602602354091561952421/2921212*ep^3*z6+573143279370\
         994369013714139308219329/3342059327992000*ep^3*z5-165324504668\
         916362330626167368268937531194023/11929433715072105872640000*
         ep^3*z4-259158485520443039247151725204791639811970299556432063\
         049/7185703333419535561392002607360000000*ep^3*z3+
         130333288642036350233040171/7303030*ep^3*z3^2;
Fill mncnoptab(20,7,3,1)=
      +mncF321*(-6458611730571000-20021609956430909970/323*ep-
         2687731089812222408604/11305*ep^2-27217095481567541602143463/
         52229100*ep^3)
      +24514715647120979393938450015873254599633863186650747613/
      776055960009309840630336281594880000000-25736326674173819847/
         58424240*ep^-3-1067873436071531613983432640841/
         120314135807712000*ep^-2-6253048309695509835476300028070365639\
         29773/9662841309208405756838400000*ep^-1+
         310372723497989100222378/3651515*z3-
         35949122942402369910630761710747147045965499733028442384543889\
         985557776857524006215052920797713389240957495884533/
         13507371519434876876317824406283462687489837187262511202151716\
         7486280030290654003200000000000000*ep+465559085246983650333567/
         3651515*ep*z4+4849786756498874953259128509883619/
         3166161468624000*ep*z3+441023431640990518354522258710642850012\
         54714934544242135936722310079721751493579295752530050470113775\
         71278763017591227970997/43392935209348619430255050096935061632\
         65630058472334337193054397425025251696966748126314496000000000\
         000000*ep^2+120416693297811915719836719/14606060*ep^2*z5+
         4849786756498874953259128509883619/2110774312416000*ep^2*z4-
         1357029498367646514220229491809287534529475607/
         966284130920840575683840000*ep^2*z3-
         17332742813941178131264820432099670817431771854017923850066505\
         70698306091741394624162275971708831513207337013213072600171903\
         70029219982157587089239481656065262696838705428067330175277844\
         058159/6588968403007171409329626417784792028259474329956765385\
         45248469465492092709792708318889439371615217900222901311536276\
         786110605492270426555209977198634703257600000000000000000*ep^3
         +17025028914831422759849601/834632*ep^3*z6+8398264238340235011\
         9484281244056247/2864622281136000*ep^3*z5-13570294983676465142\
         20229491809287534529475607/644189420613893717122560000*ep^3*z4
         -2388686480909281709073070789851023598220959455149841488841/
         388027980004654920315168140797440000000*ep^3*z3+
         43448250800527334493500457/14606060*ep^3*z3^2;
Fill mncnoptab(20,8,1,2)=
      +mncF321*(-1064606329215000-23774212347357893850/2261*ep-
         664344703773125749854/15827*ep^2-3048432069333153939729647/
         31685654*ep^3)
      +501601196080603212122697644178984052947021979627413277/960831188\
      58295504078041634864128000000-10036106520949763397/81793936*ep^-3
         -1286568802356231802198543814521/729905757233452800*ep^-2-
         544974523120716783388403489337107778403933/
         58621237275864328258152960000*ep^-1+71635728975796904127948/
         5112121*z3-125975005366121575989009105800647761255959622664138\
         186592180621673836378825258611734813129232838384864067850283/
         25108468708673958328189570080203258385405368732701125211755997\
         74675711308070912000000000000000*ep+107453593463695356191922/
         5112121*ep*z4+703614906692282040736252575164777/
         2744006606140800*ep*z3+132176286059775229660627061646356850689\
         02006081454501683524967181013900178089607584583574657000886106\
         7663881395876597211739/564633250828745339575778279800474449732\
         40630225784493307257633032538781704906587297021952000000000000\
         0000*ep^2+27788864745864923411608629/20448484*ep^2*z5+70361490\
         6692282040736252575164777/1829337737427200*ep^2*z4-18975562851\
         4255683929610867583711730939546947/
         1172424745517286565163059200*ep^2*z3-
         18823113199620605971117943673192933168604588777852691845437081\
         78154744525507630077052961002934262398834333913705707357596792\
         46112926791246211722406790586022867546646154958700533627873254\
         939/6713119333487143575604254147342025380117466215694218188733\
         35344022759669746075043920002834832092650585189828234093591572\
         14694087323543682358590832640000000000000000000*ep^3+
         137511609149808678975484185/40896968*ep^3*z6+63407378002037052\
         2292967530798430749/121650959538908800*ep^3*z5-189755628514255\
         683929610867583711730939546947/781616497011524376775372800*
         ep^3*z4-257895190756103729014417635696290620197092891169444262\
         4681/2354036412028239849912020054171136000000*ep^3*z3+
         10025844353973671736320307/20448484*ep^3*z3^2;
Fill mncnoptab(20,8,2,1)=
      +mncF321*(-425842531686000-9579222658575638640/2261*ep-
         1352527386345878456673/79135*ep^2-31425306479734250484377513/
         792141350*ep^3)
      +3488781096780817272745860287198107162496874032379460159/
      1681454580020171321365728610122240000000-33925921349905098657/
         204484840*ep^-3-4045311973605551523839556473341/
         1824764393083632000*ep^-2-163360423821503148140268227042371946\
         9698273/146553093189660820645382400000*ep^-1+
         143319237554013418056636/25560605*z3-
         97120458387352022692474419109803950459515613019382902248753824\
         20318959752600447399918839273204477376071628717517/
         57888735083292329469933533169786268660670730802553619437793071\
         7798342986959945728000000000000000*ep+214978856331020127084954/
         25560605*ep*z4+706563550697243217020895973279517/
         6860016515352000*ep*z3+554860450141157864085221691760676107464\
         60083727686073849550484268697093893030213471669373034695350141\
         888727456500494498140577/9112516393963210080353560520356362942\
         85782312279190210810541423459255302856363017106526044160000000\
         000000000*ep^2+27790011455369653516384089/51121210*ep^2*z5+
         706563550697243217020895973279517/4573344343568000*ep^2*z4-
         838843163897114490988986740385251784078681107/
         14655309318966082064538240000*ep^2*z3+
         11112561083595163892624164744329377244892880396135209051691404\
         95000411683243192616433018304162477983224991741890099267472134\
         18732880113281419325237042270366526276579772342640876272060955\
         0355653/141192180064439387342777708952531257748417307070502115\
         40255324345689116272352700892547630843677468955004776456675777\
         359702370117691509140468785225685029355520000000000000000000*
         ep^3+27503372980261626680270817/20448484*ep^3*z6+6461034776921\
         79725589232015940421729/304127398847272000*ep^3*z5-83884316389\
         7114490988986740385251784078681107/
         9770206212644054709692160000*ep^3*z4-2608676304067139901505655\
         889133641588767535363719520258341/5885091030070599624780050135\
         427840000000*ep^3*z3+10025079880198766475159567/51121210*ep^3*
         z3^2;
Fill mncnoptab(20,9,1,1)=
      +mncF321*(-4928733005625-482197144102663275/9044*ep-
         3796298229464008159/15827*ep^2-2378872861947287215984337/
         3802278480*ep^3)
      +3427068517085806096872595235441484054041854451614017979/
      145277675713742802165998951914561536000000-17041641281702118653/
         1963054464*ep^-3-14000755801424777510739866914121/
         157659643562425804800*ep^-2-4743844882765991570025240454296414\
         250437133/12662187251586694903761039360000*ep^-1+
         1988885936565379122653/30672726*z3-275480819215792291511410399\
         7582588921508283063653372144833271865186076919057479/
         15982787349785325483069536883787015098578054809264953753600000\
         000*ep+1988885936565379122653/20448484*ep*z4+73953431667091657\
         8550459396975657/592705426926412800*ep*z3+
         69171338783313893902191932788167449497604297468080306639060429\
         2155261174510941455338694907/128363252416678877252476298147096\
         4600147040019909839604390842859520000000000*ep^2+
         1029286226744259678689967/163587872*ep^2*z5+739534316670916578\
         550459396975657/395136951284275200*ep^2*z4+9193594149445217468\
         8185911411368698069943277/253243745031733898075220787200*ep^2*
         z3+37784684162757643204169751657494597043444238983437910391282\
         28781278083101501761950229860101986730524145183703694743715949\
         3066115298102896481/540194350412513187659128794671428207399925\
         55435262748313114226244738974973643688668251299511764568386830\
         33600000000000000000*ep^3+15280182526238664850537265/981527232
         *ep^3*z6+789693721123531981454213118055669309/
         26276607260404300800*ep^3*z5+919359414944521746881859114113686\
         98069943277/168829163354489265383480524800*ep^3*z4-
         2968221958090758353895742653031886457180360949530821496761/
         508471864998099807580996331700965376000000*ep^3*z3+
         1114986081007613159110043/490763616*ep^3*z3^2;
Fill mncnoptab(21,1,1,8)=
      +mncF321*(-700298043357627000-28115483865582893897403/4522*ep-
         8385735503926337295996982/395675*ep^2-
         382544581248965215686119687737/9505696200*ep^3)
      +228120489450464591641191016152360357765431696068292841849691/
      66207274088294245778775564023563200000000+12558712810596497893/
         2044848400*ep^-3+260441823737354544723574023539/
         9123821965418160000*ep^-2-777307816143464405789886174476197249\
         670887/6594889193534736929042208000000*ep^-1+
         1177775489972033931074705373/127803025*z3-
         15015111755088422194422668715008258461598409896112643481806805\
         998396730133353871047466621462684144500878763/
         47932669394264110076617086626814277778652672253265030220990665\
         1955200000000000000000000*ep+3533326469916101793224116119/
         255606050*ep*z4+689074636171011644426380984959695018489/
         4321810404671760000*ep*z3+812855697534773511168003715700818610\
         56348376626884449656906856062941133890567361435842460564889499\
         5187110496679032599/615941958639026410847333323005001892349130\
         5246422551178479224043206336734822400000000000000000000*ep^2+
         65282414953610641008285785857/73030300*ep^2*z5+689074636171011\
         644426380984959695018489/2881206936447840000*ep^2*z4-
         885613723502940427946934238943583524205843179253947/
         3297444596767368464521104000000*ep^2*z3-
         97200990157345862143011224326599582346051945752641002045347534\
         04762602732351819256717418016433793752802612750445958360040364\
         2158100797744406752341398270745061/
         16488927343839664422559985153875790202091512728853488778053298\
         99407714844228997180199175895836800993624885664153600000000000\
         00000000000000*ep^3+452265802715386351333701679507/204484840*
         ep^3*z6+16017220154489340140690253409378866079139/
         6316492129904880000*ep^3*z5-8856137235029404279469342389435835\
         24205843179253947/2198296397844912309680736000000*ep^3*z4-
         1700352415111574903843965714529991760150340165054985367720403/
         3395244825040730552757721231977600000000*ep^3*z3+
         164888576933881133491979709409/511212100*ep^3*z3^2;
Fill mncnoptab(21,2,1,7)=
      +mncF321*(-1634028767834463000-9434340172993519842201/646*ep-
         2843576827805333163633444/56525*ep^2-
         131442754092325724375292137603/1357956600*ep^3)
      +452619972226774518828870468716618706072961793081941849129/
      56298702456032521920727520428200000000+6623939942867651031/
         292121200*ep^-3+695884618260755636918635142939/
         3910209413750640000*ep^-2+451703298871661638475501785016441780\
         98457/314042342549273187097248000000*ep^-1+
         392591831209578558520666191/18257575*z3-
         55473816381903582494549866896895324429468490751034916955259193\
         5526250098499079022834398113329310082644435539/
         76300983933726542570941484834520687076222621137850456270148405\
         82144000000000000000000000*ep+1177775493628735675561998573/
         36515150*ep*z4+10975131148388111596425344001621604903/
         29400070780080000*ep*z3+14895575816961207417675351263910788413\
         14448414931906647618709758167216571550694369414907147747905347\
         57596926951836824423/49023951810044959230706121626928722044114\
         4703286692848899366811602137005424640000000000000000000000*
         ep^2+152325635206227594722650987533/73030300*ep^2*z5+109751311\
         48388111596425344001621604903/19600047186720000*ep^2*z4-
         94950522446764950911169956922711342784941546613483/
         157021171274636593548624000000*ep^2*z3-
         18160591543068551922077856383900838167354788191629439998868876\
         91748761245892406967289327214776294794130488241540972219875901\
         51795562978137766555058381725198001829/
         10597500905630012894438170050172108631415652339049357047813133\
         03206070606773095789743317283666131740647585954660352000000000\
         00000000000000000*ep^3+150755267881389280488568322769/29212120
         *ep^3*z6+605614862941094457683588887091359748057/
         100261779839760000*ep^3*z5-94950522446764950911169956922711342\
         784941546613483/104680780849757729032416000000*ep^3*z4-
         585234872825804430541539526260460443307891649542698170066101/
         485034975005818650393960175996800000000*ep^3*z3+
         54962858975521588431107937003/73030300*ep^3*z3^2;
Fill mncnoptab(21,2,2,6)=
      +mncF321*(-3268057535668926000-9504349547873776110801/323*ep-
         5795986849668081893984238/56525*ep^2-
         45300897546720476024967435193/226326100*ep^3)
      +244895756709050455467445424684078122817594458373769150239/
      15230566848008798200776527265600000000-16977506289280485369/
         146060600*ep^-3-125920599358949477682263505607/
         85004552472840000*ep^-2-49872014390912460976472539214399195587\
         49/758556382969258906032000000*ep^-1+
         785183747019124908538689582/18257575*z3-
         47787203828485011602994854352120680755690901262892682421442202\
         0691749147796695573912492854748083448973989149/
         33174340840750670683018036884574211772270704842543676639194959\
         05280000000000000000000000*ep+1177775620528687362808034373/
         18257575*ep*z4+3353018417724062218274450278333734727/
         4473923814360000*ep*z3+890333095962745247665429201388313150244\
         61438840301100260558210732849581109116140126026444431905419044\
         8762952005495895297/149203331595789006354322978864565675786435\
         3444785586931432855513571721320857600000000000000000000000*
         ep^2+152325636817779578071287414333/36515150*ep^2*z5+335301841\
         7724062218274450278333734727/2982615876240000*ep^2*z4-
         439976210478397652619528452923227756941004392369/
         379278191484629453016000000*ep^2*z3+
         29571066099860008007663157408766935824633597199216689260246675\
         32009742085391788215441276682088944326743257352787892520418396\
         9457272963928895589206704686216636410286001/
         19168759638103567323459761986751310092504631950872477028084395\
         02839140513531175664487712302695299092483353474789644697600000\
         000000000000000000000*ep^3+21536467046248761179172862167/
         2086580*ep^3*z6+549675829146932873369807720649336991/
         44481712440000*ep^3*z5-439976210478397652619528452923227756941\
         004392369/252852127656419635344000000*ep^3*z4-1271450235554416\
         44274410924267090244778290045354363116391/50938350662236783280\
         189054400000000*ep^3*z3+54962856772260552343552783803/36515150
         *ep^3*z3^2;
Fill mncnoptab(21,3,1,6)=
      +mncF321*(-1336932628228197000-7794556549661563028919/646*ep-
         2385306287520110410936311/56525*ep^2-
         2881054870574874922663492699/34819400*ep^3)
      +14469370912751590833866777871011347535643327359658831203/
      2199705102067204763691429369600000000-7592467469620220811/
         292121200*ep^-3-10560130327993256647659443677/
         33420593279920000*ep^-2-254889201849246194777529141694056405127
       /206470968145478755488000000*ep^-1+321211525077357682472784729/
         18257575*z3-22430998985550913524236043747495001529958320897005\
         29874922927967223707515982626310526567454291861449475880973/
         38150491966863271285470742417260343538111310568925228135074202\
         910720000000000000000000000*ep+963634575232073047418354187/
         36515150*ep*z4+77135903158715896505672671945722321/
         251282656240000*ep*z3+8335793787247629150600859958898990080925\
         14872824085946710266702860785022957845635310826850159407590103\
         7200336386544112553/343167662670314714614942851388501054308801\
         29230068499422955676812149590379724800000000000000000000000*
         ep^2+124630066136955418731850617927/73030300*ep^2*z5+231407709\
         476147689517018015837166963/502565312480000*ep^2*z4-5711257163\
         9959277997548618503504380519870848321/
         122005572085964719152000000*ep^2*z3-
         65016082666035594222496458272365573148060022346850454701320331\
         90082983638224497288167160351075070499684479970393698258414903\
         90625724989281571126431751297759404963314274153010493/
         33065873275423813966133508821004019583940824916211959336689973\
         34528462818228352102776392107187147666109779908164672082765770\
         91584000000000000000000000000000*ep^3+
         123345220036645988001959479011/29212120*ep^3*z6+17015690477584\
         2376214482834083063620561/33420593279920000*ep^3*z5-5711257163\
         9959277997548618503504380519870848321/
         81337048057309812768000000*ep^3*z4-278046962041916218264121593\
         69163104407759421592829422663933/26946387500323258355220009777\
         600000000*ep^3*z3+44969610397953417333483013857/73030300*ep^3*
         z3^2;
Fill mncnoptab(21,3,2,5)=
      +mncF321*(-2228221047046995000-13095487915309685579265/646*ep-
         811501226035976585171907/11305*ep^2-
         995297409887531120993691177/6963880*ep^3)
      +78776899951375396395631409806560280772088610081722179263/
      7185703333419535561392002607360000000-39567403759697894457/
         58424240*ep^-3-198549999010238684860770678997/
         20052355967952000*ep^-2-10848380870734663231833736546006696545\
         31/19882389525120176454400000*ep^-1+
         107070549627531860858512323/3651515*z3-
         11423389414521023929047672606141133607440107013706378063915834\
         7347021062452764844659559285272682043393349187113/
         11719831132220396938896612070582377534907794606773830083094795\
         13417318400000000000000000000*ep+321211648882595582575536969/
         7303030*ep*z4+49290859318399062647305687275943397/
         95944286928000*ep*z3+10520523927082085312648695531115752075508\
         98375845419612562186811565024241420858064704910855177332343409\
         57133088485250846571/26355276493080170082427610986636880970915\
         9392486926075568299597917308854116286464000000000000000000000*
         ep^2+41543357279134622132543294349/14606060*ep^2*z5+4929085931\
         8399062647305687275943397/63962857952000*ep^2*z4-2216368860323\
         9006204011744797986458717018743433/29823584287680264681600000*
         ep^2*z3-104767833271902334981003476513041471816394847029608113\
         62541089934864856378975065384932801310425019434894299236865758\
         986901443026485884191037454856295663159256736691876499/
         55942108127841450876784969382135023373965517885426236958761498\
         45085747674689383059240939584185960871503418780826099085475840\
         00000000000000000000000*ep^3+5873582154374927812729892151/
         834632*ep^3*z6+8299995174535447501018733069788601101/
         954874093712000*ep^3*z5-22163688603239006204011744797986458717\
         018743433/19882389525120176454400000*ep^3*z4-31953857945782807\
         48508481964288612433854910668983413862007/17964258333548838903\
         48000651840000000*ep^3*z3+14989868628202736902188655659/
         14606060*ep^3*z3^2;
Fill mncnoptab(21,3,3,4)=
      +mncF321*(-1215393298389270000-3610571464178305465995/323*ep-
         10009911182725506916950489/248710*ep^2-
         284783781343693676502893949/3481940*ep^3)
      +12118626288967558057394788364788764814715188791434404067/
      2026736837631151055777231504640000000-2342572900349561231391/
         321333320*ep^-3-211782573003739809832911473107/
         2297665787994500*ep^-2-202875018420264679486514980122714126324\
         101/492089140746724367246400000*ep^-1+
         642429615098014271896082598/40166665*z3-
         14026690156513305239781957782724548197056008954211010913621076\
         86960179337512276412331477054506400667522903/
         26750719451445717208782197061804811380376952165391455518336651\
         271287603200000000000000*ep+963644422647021407844123897/
         40166665*ep*z4+545283487897784908711139769742770307/
         1934876453048000*ep*z3+127206453526897301144713761668444146133\
         76022926730935057535006018052268743601915340261820613313409353\
         58803726628789569/60156379352037535069261344238029915726622115\
         87953333640943565647567105593255657472000000000000000*ep^2+
         11330018614160901794884083417/7303030*ep^2*z5+1635850463693354\
         726133419309228310921/3869752906096000*ep^2*z4-116119499592229\
         00538578185622010519365686312007/30755571296670272952900000*
         ep^2*z3+922404167579100582831505025943028109698990899314137131\
         29209827807081181284666608106172828320631082482761573241317528\
         92236583589221145803938956858076200824277365098511/
         41243495258850113355783107161148430323438723407065796986704477\
         26907861099643444235407037662446784153791365262167197996533415\
         936000000000000000000*ep^3+17620763646510555885704678913/
         4590476*ep^3*z6+25711078947733637080284483257734270263/
         5251807515416000*ep^3*z5-1161194995922290053857818562201051936\
         5686312007/20503714197780181968600000*ep^3*z4-1212289647180712\
         918084055461860941081569533821128450631783/1197617222236589260\
         232000434560000000*ep^3*z3+44969463675246900816216122517/
         80333330*ep^3*z3^2;
Fill mncnoptab(21,4,1,5)=
      +mncF321*(-484395879792825000-2863193511684661315875/646*ep-
         35796424785129745638525/2261*ep^2-665576593770085496622019697/
         20891640*ep^3)
      +293579807590800701243921421990444435214959064115472401/123183485\
      715763466766720044697600000+699200798280047505/11684848*ep^-3+
         9741986794548928893510393/24305886021760*ep^-2-163967833523639\
         4837118798549005900103/1651767745163830043904000*ep^-1+
         4655237776739943124706325/730303*z3-15801037632370710656729126\
         12586731954328580752487425351096922365740350171471735055784223\
         8563777048723899/750069192462105404089383172517272162234098854\
         833525125318066888587083776000000000000*ep+
         13965713330219829374118975/1460606*ep*z4+675547750305602938421\
         878958076811/6030783749760*ep*z3+13593968056547490297514704645\
         98375209863921035224642969117317201124957154068250632787645497\
         908204881412719245535537/1587517831112593774376816097077421536\
         1304659876859547140114046368666133330298667008000000000000*
         ep^2+1806232778537597059470745275/2921212*ep^2*z5+675547750305\
         602938421878958076811/4020522499840*ep^2*z4-557443759314830918\
         971144883029705728927088169/3578830114521631761792000*ep^2*z3+
         16689192076969970792203647104841862218691216884168755883822470\
         49261835680469469926827289086205883800924795150813387362797795\
         3397923958559873684014487485246328693724876355306109/
         41996558275557032896998106788728530504041967575117841822190907\
         12537439234769909432438389410187635705066784988871481423560745\
         965910700851200000000000000000*ep^3+
         8938059137153186434859599875/5842424*ep^3*z6+15415613140193906\
         98649302004075452651/802094238718080*ep^3*z5-55744375931483091\
         8971144883029705728927088169/2385886743014421174528000*ep^3*z4
         -2187838758190113982125781910522926886694847215727648493/
         5527464102630411970301540467200000*ep^3*z3+
         651733579066665968748180045/2921212*ep^3*z3^2;
Fill mncnoptab(21,4,2,4)=
      +mncF321*(-645861173057100000-1925122799815843592250/323*ep-
         2566654396616159465850/119*ep^2-6979491534603957338539033/
         158270*ep^3)
      +342486167406043539797916291559814011454893298363615657/107785550\
      001293033420880039110400000-8141226855363834765/2921212*ep^-3-
         21700253994361137336723480181/601570679038560*ep^-2-9010248930\
         01471495579387738279118161303/5368245171782447642688000*ep^-1+
         6207032343323301457425900/730303*z3-15901527500435809180558639\
         48632695116087729053640103763387249325288290363382627878814548\
         84319382309342572301/57380293223351063412837812697571320410908\
         56239476467208683211697691190886400000000000000*ep+
         9310548514984952186138850/730303*ep*z4+47499218368387849510661\
         06449938277/31661614686240*ep*z3+75470454968994729400899765660\
         77713615525473069976004317161895690667129086239540856689753931\
         041591268242730051690075817/6791338616322132248608714915293377\
         32808444413482100034727576227054286394607020277760000000000000\
         00*ep^2+602078100786245930688425025/730303*ep^2*z5+47499218368\
         38784951066106449938277/21107743124160*ep^2*z4-526181118864688\
         332053664098345129472455779339/2684122585891223821344000*ep^2*
         z3+83591341464066994618758525230758000906923113730659320120103\
         01492875359495285608574529382228140662657817747903552934409409\
         680719145130925760886812564702352852129838926958041085151/
         66349997232089290560637769801540129443070652033080199009298351\
         63775182530150068869618694573595357062298447805787715488201678\
         54505565618176000000000000000000*ep^3+
         425622191744944735164999375/208658*ep^3*z6+7525628639682489875\
         6931308995423231/28646222811360*ep^3*z5-5261811188646883320536\
         64098345129472455779339/1789415057260815880896000*ep^3*z4-
         58721577013921431493662093800714944632400071063333051983/
         107785550001293033420880039110400000*ep^3*z3+
         217243970625906336243486615/730303*ep^3*z3^2;
Fill mncnoptab(21,4,3,3)=
      +mncF321*(-264215934432450000-796489871480729843625/323*ep-
         451514098703894630865435/49742*ep^2-65977215871541758865875791/
         3481940*ep^3)
      +105331414100190015905806970324431019347918397209080581/810694735\
      05246042231089260185600000-670585430462276984265/64266664*ep^-3-
         9695927270209175205287228435/73525305215824*ep^-2-115975791341\
         30231870442325761645444417593/19683565629868974689856000*ep^-1
         +27933249666113680898810970/8033333*z3-
         63435235616309677036172387928010741341631722215401015210494899\
         6498260822764137055225632799991347284950391/
         56473741064163180774095749352699046247462454571381961649821819\
         350496051200000000000000*ep+41899874499170521348216455/8033333
         *ep*z4+4778305859675691054211275853426081/77395058121920*ep*z3
         +5660290067729236122721748573477986585842858696258554804577915\
         66248399055091836297926013257845588440472991559498394379/
         12699680085430146292399617116917426653398002241234815464214194\
         144863889585761943552000000000000000*ep^2+
         492612482827379636569845855/1460606*ep^2*z5+143349175790270731\
         62633827560278243/154790116243840*ep^2*z4-36305985951586725046\
         0018500853846458963690763/4920891407467243672464000*ep^2*z3-
         29526061791814549248495654222261472648393047072298103823076956\
         95846609862777887928019884023438830413614346909229451200288281\
         475914679144919867613080610465793365241547/
         87069601102016905973319892895757797349481749414916682527487229\
         79027706765913937830303746176276544324670659997908529103792766\
         976000000000000000000*ep^3+3830622008406391886050487475/
         4590476*ep^3*z6+233196124453148645337825989539330989/
         210072300616640*ep^3*z5-36305985951586725046001850085384645896\
         3690763/3280594271644829114976000*ep^3*z4-11098103725374456091\
         720186114698109869050140694134521737/4790468888946357040928001\
         7382400000*ep^3*z3+1955161060886805600519650115/16066666*ep^3*
         z3^2;
Fill mncnoptab(21,4,4,2)=
      +mncF321*(-38292164410500000-117171789871550924250/323*ep-
         33959665111515563118465/24871*ep^2-5097645557252235754136091/
         1740970*ep^3)
      +6835206413971259658841907929665296927467962494377403839/36359658\
      867102849940643533193241600000-4587553447584384821895/739066636*
         ep^-3-397164828049971871559677875089/5073246059891856*ep^-2-
         118282585226201719632774405218668629470293/
         339541507115239813400016000*ep^-1+93130459094547680624542620/
         184766659*z3-4239928755220410193722903989269866583289379607067\
         0978082516450807793596069825447522640227908909242833136345297/
         26468254146304659973155131045996370742876321864651726240942614\
         847738865516544000000000000000*ep+139695688641821520936813930/
         184766659*ep*z4+4816840844767594437281395919133625/
         534025901041248*ep*z3+3714739857963346678117159107657008815171\
         36303523629632562681589519540070886908771655853942885278497374\
         68687552509906146311/59521178116396145396875835493996518174812\
         09185427536398806569047300169930778872108810240000000000000000
         *ep^2+821039603468510929977728865/16796969*ep^2*z5+48168408447\
         67594437281395919133625/356017267360832*ep^2*z4-32030383408658\
         75715998275684352660569942494209/339541507115239813400016000*
         ep^2*z3-546232871734166812529821385860965945913258467160554890\
         89321543566756077135790271126587407424357586310016586298908481\
         066910453821484916575264684331321020181210114766850253/
         15968347168107145513241935057349740639401579138322182283834839\
         22546233851601701413233131289363677537783787366966429466312833\
         981480960000000000000000000*ep^3+6384503699327908963664624925/
         52790474*ep^3*z6+81058333112335324382790716874478831/
         483166291418272*ep^3*z5-32030383408658757159982756843526605699\
         42494209/226361004743493208933344000*ep^3*z4-58088241728051854\
         987673852727849586894597351007864532619/1652711766686493179120\
         160599692800000*ep^3*z3+3258381533608988647677922365/184766659
         *ep^3*z3^2;
Fill mncnoptab(21,5,1,4)=
      +mncF321*(-80732646632137500-243257544848681970750/323*ep-
         25050110632134937049025/9044*ep^2-120618439919897395004766647/
         20891640*ep^3)
      +3522852630553685425031052698112194801232460575694829527/88692109\
      71534969607203843218227200000-1288307224541059515/23369696*ep^-3-
         8235875059834471565556231637/9625130864616960*ep^-2-3068414884\
         92623008207442415806210347453/59463638825897881580544000*ep^-1
         +775874562562655785514025/730303*z3-78689137023468613555579764\
         25895563872481259974233428425158251798367713772448535395211604\
         2675369122254987289/229521172893404253651351250790285281643634\
         24957905868834732846790764763545600000000000000*ep+
         2327623687687967356542075/1460606*ep*z4+
         62037798219625966782234692770951/3289518408960*ep*z3+
         70136687265704240805076812046222182668090671628068607738107624\
         193279486034950724984975967985505683277200478095924883547/
         51614173484048205089426233356229667693441775424639602639295793\
         25612576599013354110976000000000000000*ep^2+
         602077712803709558532055875/5842424*ep^2*z5+
         62037798219625966782234692770951/2193012272640*ep^2*z4-
         8749193335261401174470565637539408829552853287/
         386513652368336230273536000*ep^2*z3-
         23441646109484938675299474919239757907605783221169598564004768\
         74277272702481157860396526490224698036689463315237345989574731\
         92047441431402583556684147098631829419759747127720499599653761\
         277/5791120415528963782383914696804513186414954541074723007907\
         85257075731987164685759694833331978299478686116271376962488007\
         78860255302572380317997334528000000000000000000*ep^3+
         2979353581516041561239718375/11684848*ep^3*z6+5433846852782871\
         08154279925836532417/1604188477436160*ep^3*z5-8749193335261401\
         174470565637539408829552853287/257675768245557486849024000*
         ep^3*z4-219773299804399647006068224285039778097498452798594062\
         6253/31042238400372393625213451263795200000*ep^3*z3+
         217244350096428006641734965/5842424*ep^3*z3^2;
Fill mncnoptab(21,5,2,3)=
      +mncF321*(-80732646632137500-245429108963038464750/323*ep-
         25612851639304675975905/9044*ep^2-41780683293211063931867701/
         6963880*ep^3)
      +2738655330790635699387754230918008445164531874459368281/68982752\
      00082754138936322503065600000-50787003628208273595/23369696*ep^-3
         -276399641772883295791511510549/9625130864616960*ep^-2-
         1077504174504980789116194751715728747283/
         7808356613501742025728000*ep^-1+775906778491670556139305/
         730303*z3-9132547663979147462280890986396052671422247079259891\
         585133498819481643907334458748006954283207488242249/
         26690060223664661160689720424476455799015553180889434077251987\
         66296268800000000000000*ep+2327720335475011668417915/1460606*
         ep*z4+4799468833078001338762542748496923/253292917489920*ep*z3
         +3970535032294734123848756180016965809690063825710752175666752\
         79466483878720098622683723350747779013955711899555833019/
         29409785460996128256083323849703514355237478874438520022390765\
         388105849567027658752000000000000000*ep^2+
         602080506900879129395276355/5842424*ep^2*z5+479946883307800133\
         8762542748496923/168861944993280*ep^2*z4-904842579344848396991\
         893549703587234054590703/42945961374259581141504000*ep^2*z3-
         14299795053628403708472841374363400634055492882398246214367780\
         24915576371024580285048279740957472208869510532677201132698388\
         475049804587281905151053520645665344931582345873881083/
         34781764930781850322385611519895680391809116735289904893763238\
         46537417622642771145327178921770785468555311670270483332846463\
         96663886249984000000000000000000*ep^3+
         425623751909246974961544225/1669264*ep^3*z6+723586686681008369\
         7033320793117509/20833616590080*ep^3*z5-9048425793448483969918\
         93549703587234054590703/28630640916173054094336000*ep^3*z4-
         50215162630176871912132687952166572142233722465683304417/
         689827520008275413893632250306560000*ep^3*z3+
         217241631236589525082465845/5842424*ep^3*z3^2;
Fill mncnoptab(21,5,3,2)=
      +mncF321*(-22017994536037500-67713871005716334750/323*ep-
         79079733549218619029475/99484*ep^2-11973178162659811378847037/
         6963880*ep^3)
      +2733817427363147818409018671227914250039946808712639481/25293675\
      733636765176099849177907200000-944668798127623844145/257066656*
         ep^-3-1636653528702524497718369557397/35292146503595520*ep^-2-
         7233187141740006559553972567768121734249/
         34993005564211510559744000*ep^-1+2328283201709568111486075/
         8033333*z3-280328079092118941449695964595344417566112290239692\
         1649774673591514371566736719536704604431612934115411484559/
         30687830894266272432643630198256661730871097814088957960513176\
         63505955422208000000000000000*ep+6984849605128704334458225/
         16066666*ep*z4+4829740843471052065368166254150907/
         928740697463040*ep*z3+8105156397355070472658866829812502790188\
         98755186081438042845089646263313386901601780760765869713235925\
         445455255089472419/2300335386140913831763317313777643214485491\
         47262899957441799769943967920030101337538560000000000000000*
         ep^2+164208080668650829617850875/5842424*ep^2*z5+4829740843471\
         052065368166254150907/619160464975360*ep^2*z4-2718281692281943\
         10225132710077060968607123461/52489508346317265839616000*ep^2*
         z3-15081920794029482167697833552033403481127665632051440996918\
         83282565823563061865683326102695950010815909817957565306277191\
         75063181970262623527667814559552758048451497791667858684531/
         10493410038438807229047150526898813233634583311060283664270556\
         45044292200911162320465600400848804755966933564408674318067400\
         7039923259671838720000000000000000000*ep^3+
         1276901872672487557788907875/18361904*ep^3*z6+8218798497461686\
         6921067732963675671/840289202466560*ep^3*z5-271828169228194310\
         225132710077060968607123461/34993005564211510559744000*ep^3*z4
         -1814371839895522145226517873351782724083521731169688619/
         88439425642086591524824647475200000*ep^3*z3+
         651674199577339717949012895/64266664*ep^3*z3^2;
Fill mncnoptab(21,5,4,1)=
      +mncF321*(-1595506850437500-4981544599021584750/323*ep-
         5948184596471544460995/99484*ep^2-2774584962006939465229199/
         20891640*ep^3)
      +122589360207666255516986120954786042686984202123514393221/
      15707372630588431174358006339480371200000-568103954918116995495/
         5912533088*ep^-3-970639822874026913064979340629/
         487031621749618176*ep^-2-2919162455986463351016281034795174118\
         516061/195575908098378132518409216000*ep^-1+
         3879653060871625278143565/184766659*z3-
         11047347025054870854850940011200714531974629660865872700024289\
         59281501716042077084293840466806349887231663646917/
         16939682653634982382819283869437677275440845993377104794203273\
         502552873930588160000000000000000*ep+
         11638959182614875834430695/369533318*ep*z4+4868292145422947392\
         036206936820091/12816621624989952*ep*z3+
         93912530549270786617526781592797664021467010733888225024724421\
         6137713262230063982560355416785303924098420534768457781750167/
         38093553994493533054000534716157771631879738786736232952362041\
         90272108755698478149638553600000000000000000*ep^2+
         273674135568456317559705165/134375752*ep^2*z5+4868292145422947\
         392036206936820091/8544414416659968*ep^2*z4-313744350793794770\
         86512068965995295947655093859/97787954049189066259204608000*
         ep^2*z3-124557020393703483067981575658472243456448015062915543\
         26834902563508592149624451997236166670974602462514027633789721\
         506085427582596169705294147858534324981889796847704403319/
         23505407031453718195492128404418818221199124491610252321804883\
         33988056229557704480279169257943333335617735004174584174412491\
         6207399731200000000000000000000*ep^3+
         2128127333404318922094005925/422323792*ep^3*z6+285362896027281\
         57107660045073611357/3865330331346176*ep^3*z5-3137443507937947\
         7086512068965995295947655093859/65191969366126044172803072000*
         ep^3*z4-110228072436028796759817682350046763979145801358515821\
         7091/713971483208565053379909379067289600000*ep^3*z3+
         1086203865980595424014464265/1478133272*ep^3*z3^2;
Fill mncnoptab(21,6,1,3)=
      +mncF321*(-5812750557513900-18012878422011356598/323*ep-
         48323753782332487598997/226100*ep^2-81440125431525631992271289/
         174097000*ep^3)
      +1173824009127793120293428167333346059587711625175826653/41061161\
      905254488922240014899200000000+15959564866305845577/584242400*
         ep^-3+8707588113298707209656116459/133682373119680000*ep^-2-
         174480946812199505365163080861665869269/
         91764874731323891328000000*ep^-1+1396553464729284865117101/
         18257575*z3-84378032857605470439194908358918938666158854256214\
         068741349071173799839551730288147270825448951483028519/
         35497780097473999343717328164553686212690685730582947322745143\
         5917403750400000000000000*ep+4189660394187854595351303/
         36515150*ep*z4+692615607301155286400675861623117/
         502565312480000*ep*z3+4989735311725805806125856641286070946718\
         83073476769343817959808446888746572200198461878262256615839353\
         302147206246459/5587859237589264368655831531443667727495120986\
         14331880425424542374011141773525516288000000000000000*ep^2+
         1083738355725954060557867871/146060600*ep^2*z5+207784682190346\
         5859202027584869351/1005130624960000*ep^2*z4-45471818049184138\
         6341790993591628027626457129/357883011452163176179200000*ep^2*
         z3+10033968619919848881198317213640796140076921579177043745682\
         89398450952519313921590816289364054022131758564977406754453662\
         46325569822450427773856684654772074697043534887307481472849332\
         64081/67340030578378369612610256366767685253026062089947712933\
         57025992375821988556333303616190058458225445943865474912025554\
         337691674722320857139435798528000000000000000000*ep^3+
         1072565928008119781636931063/58424240*ep^3*z6+1761785554161982\
         582966582030768542787/66841186559840000*ep^3*z5-45471818049184\
         1386341790993591628027626457129/238588674301442117452800000*
         ep^3*z4-265917200169376043072285217120771860251407128619442965\
         349/47904688889463570409280017382400000000*ep^3*z3+
         391042179675741443581928313/146060600*ep^3*z3^2;
Fill mncnoptab(21,6,2,2)=
      +mncF321*(-3875167038342600-12118407201413158932/323*ep-
         16473722412916869275799/113050*ep^2-28213299559147752800524383/
         87048500*ep^3)
      +2733149631858550250340784977067546487828585546725475257/14371406\
      6668390711227840052147200000000-201100800073012734141/292121200*
         ep^-3-1741847357789893577158081773941/200523559679520000*ep^-2
         -69462147284060533298130283644689453587697/
         1789415057260815880896000000*ep^-1+931338548930411661370734/
         18257575*z3-11999259957996266408532718231386114735326803796750\
         7257007324473455120788309009500229310456048571701225353941/
         76719577235665681081609075495641654327177744535222394901282941\
         5876488855552000000000000000*ep+1397007823395617492056101/
         18257575*ep*z4+442999050853934432112035061167729/
         479721434640000*ep*z3+3348744842718595655293543666629303687207\
         28110989317360446311283297291864973503540996758285545753928342\
         21865159826071821/57508384653522845794082932844441080362137286\
         815724989360449942485991980007525334384640000000000000000*ep^2
         +361258728320273481951963957/73030300*ep^2*z5+4429990508539344\
         32112035061167729/319814289760000*ep^2*z4-13705481641172030742\
         6524072277236612639233603/178941505726081588089600000*ep^2*z3+
         19217991857665984626046740510927216398854646948902822984206461\
         47980204331082576060884380264389490234079155966403671883174383\
         87588443408339170752381458374309323103873162889696158380060566\
         166887/5052269969181060153148100246737204045714846590875939597\
         48227571360486514468924601520434179373401436863745937087118357\
         246128240010635525207957595079311360000000000000000000*ep^3+
         51076196303507405043783003/4173160*ep^3*z6+8597676381458301732\
         8395825120243447/4774370468560000*ep^3*z5-13705481641172030742\
         6524072277236612639233603/119294337150721058726400000*ep^3*z4-
         271635463292477571829678100561711710735105177932261649349/
         71857033334195355613920026073600000000*ep^3*z3+
         130333454877024223403466771/73030300*ep^3*z3^2;
Fill mncnoptab(21,6,3,1)=
      +mncF321*(-528431868864900-1671931711927310418/323*ep-
         50858688486245443202997/2487100*ep^2-8081238985458314614908899/
         174097000*ep^3)
      +24472883235551391458754847694010550819041263562158787713/
      9485128400113786941037443441715200000000-350097702291566730423/
         6426666400*ep^-3-1490532180766286903678501491541/
         1470506104316480000*ep^-2-831932354305165613599556632924148596\
         356473/118101393779213848139136000000*ep^-1+
         1396736555807131781785101/200833325*z3-
         54937361409415479145440190962960480404775214504888795154497070\
         9051941559522075542924761181100381492035339729/
         25842383910961071522226214903795083562838819211864385650958464\
         534786993029120000000000000000*ep+4190209667421395345355303/
         401666650*ep*z4+4903272267421452194626795183677819/
         38697529060960000*ep*z3+65457766180833285619917234793076818328\
         94359866268495710017652675351345842749622147096219402800883707\
         1885760467658986977/830196229584690706200294970385916348084989\
         403655578793774916462955673696349237909913600000000000000000*
         ep^2+98523266351356997875323261/146060600*ep^2*z5+147098168022\
         64356583880385551033457/77395058121920000*ep^2*z4-106470904315\
         7696123007827202348076816489063387/
         11810139377921384813913600000*ep^2*z3-
         55057743762038030280029821276525837593047665278967455852182970\
         16172957112870219985858780959291345503180340195227534059525566\
         7537871816544067224080662926175856512855412875247946467/
         61855890752902442613330571526982478008793333202039566863068543\
         28682143500107904204849854994477164877278766274409027559134151\
         51827055306971545600000000000000000000*ep^3+
         153226005345495703196325009/91809520*ep^3*z6+37997750556301193\
         285273544324737363/15005164329760000*ep^3*z5-10647090431576961\
         23007827202348076816489063387/7873426251947589875942400000*
         ep^3*z4-227684950332542925445477804732276511170668402791671865\
         831/431142200005172133683520156441600000000*ep^3*z3+
         391030456287625857413192313/1606666600*ep^3*z3^2;
Fill mncnoptab(21,7,1,2)=
      +mncF321*(-149044886090100-482824339575030882/323*ep-
         1378934784192036635523/226100*ep^2-97389045245468516781981349/
         6789783000*ep^3)
      +71664739273642187750594493554186370841653985510614791/9804399883\
      4995412324532280473600000000-9276824184169255857/584242400*ep^-3-
         1202698769887498768174246437941/5213612551667520000*ep^-2-
         515623824998823860196397563151858342709273/
         418723123399030916129664000000*ep^-1+35817484277860309914759/
         18257575*z3-11371984531448312638500432782911853556318475799026\
         263289828138184197075906837054330679518338382721902106159/
         18412698536559763459586178118953997038522658688453374776307905\
         98103573253324800000000000000*ep+107452452833580929744277/
         36515150*ep*z4+236490470980113260443083440676239/
         6533349062240000*ep*z3+100812716973317993644432139193455108325\
         00499336532287438362327559686396794239431872791418104618117462\
         670324297783741297/4140603695053644897173971164799757786073884\
         65073219923395239585899142256054182407569408000000000000000*
         ep^2+27788828260615312376443689/146060600*ep^2*z5+709471412940\
         339781329250322028717/13066698124480000*ep^2*z4-72089663466755\
         4944210267867236154782859418427/41872312339903091612966400000*
         ep^2*z3-527882756302780241730371662776428487201751057586773795\
         90213913600739945214114805768460773928040436414993088067943389\
         39120831983676889720958457260501092724132799213816684066174227\
         643036683793/3464413693152726962158697312048368488490180519457\
         78715255927477504333609921548298185440580141760985277997214002\
         59544496877365029300721728545663662581350400000000000000000*
         ep^3+27502288386392429897125617/58424240*ep^3*z6+1977830259283\
         738155219320442517580387/2606806275833760000*ep^3*z5-
         720896634667554944210267867236154782859418427/
         27914874893268727741977600000*ep^3*z4-264607548222449646962852\
         9540762995906260358733800595848141/168145458002017132136572861\
         01222400000000*ep^3*z3+10025868732772207321874367/146060600*
         ep^3*z3^2;
Fill mncnoptab(21,7,2,1)=
      +mncF321*(-49681628696700-162413144295009894/323*ep-
         27640853632091256273/13300*ep^2-33704355657698433858133663/
         6789783000*ep^3)
      +24374940038158375548591520101252296587458491004935927713/
      100887274801210279281943716607334400000000-13204350837382466619/
         584242400*ep^-3-4725572682410262399882085287541/
         15640837655002560000*ep^-2-19163598703825736492147915278373736\
         07040473/1256169370197092748388992000000*ep^-1+
         11944217472243413606253/18257575*z3-40295502367606134114036549\
         57890436550427929413065841119452399282105263065679245479560901\
         80641433095413608887/21043084041782586810955632135947425186883\
         0385010895711729233211211836943237120000000000000000*ep+
         35832652416730240818759/36515150*ep*z4+49925119081716509216000\
         35579829819/411600990921120000*ep*z3+
         22416752324512442955685197107785841327663739820677045986258357\
         67209244031027646194672326072034147057893259153395231605639/
         33124829560429159177391769318398062288591077205857593871619166\
         8719313804843345926055526400000000000000000*ep^2+
         9263428135135219199902563/146060600*ep^2*z5+499251190817165092\
         1600035579829819/274400660614080000*ep^2*z4-580125166786702752\
         591942185552169819086276987/125616937019709274838899200000*
         ep^2*z3-600151111232133598127536614214864597336042474489902553\
         18586974723239220899060972469439808757930053380632013581967983\
         08921474599866465482743679205621657298216698575497907714786763\
         84853431739/13857654772610907848634789248193473953960722077831\
         14861023709910017334439686193192741762320567043941111988856010\
         38177987509460117202886914182654650325401600000000000000000000
         *ep^3+1309696342193895984436077/8346320*ep^3*z6+96364700232468\
         163509768410533629847/372400896547680000*ep^3*z5-5801251667867\
         02752591942185552169819086276987/83744624679806183225932800000
         *ep^3*z4-26753255843167621705058251166137395018049851643809113\
         12141/50443637400605139640971858303667200000000*ep^3*z3+
         3341632657459550193552789/146060600*ep^3*z3^2;
Fill mncnoptab(21,8,1,1)=
      +mncF321*(-788597280900-19555338531923766/2261*ep-
         62747277982908109849/1582700*ep^2-5025326991435118038151207/
         47528481000*ep^3)
      +3421135541907986060427824777719786249979031409452647959/
      907985473210892513537493449466009600000000-17041614043401248873/
         12269090400*ep^-3-14171301851721083366816180743541/
         985372772265161280000*ep^-2-4880515171193525871609654531185002\
         748768473/79138670322416843148506496000000*ep^-1+
         3977771879940333462751/383409075*z3-10358724056695594546921267\
         69722565030972636317917609658771443223278598290970398467/
         38358689639484781159366888521088836236587331542235889008640000\
         000000*ep+3977771879940333462751/255606050*ep*z4+7452980793032\
         62734995750975587117/3704408918290080000*ep*z3+
         35094543153080993180848901424533422930833817836520544136964815\
         16012168343016593543695099319/42787750805559625750825432715698\
         820004901333996994653479694761984000000000000*ep^2+
         1029286227915506616090507/1022424200*ep^2*z5+74529807930326273\
         4995750975587117/2469605945526720000*ep^2*z4+69534508260872139\
         0980679568204920119212059013/7913867032241684314850649600000*
         ep^2*z3+439696260097377445284565780824162849802615015719575357\
         66387008929768128303613168716099502205276595649477875995904716\
         30148995797374114978081/83508305377779816449720393379157983752\
         64549632504386212655339322858199029742019504270732291673749702\
         311936000000000000000000*ep^3+3056036508706997180569513/
         1226909040*ep^3*z6+814493171367235478138990898901808929/
         164228795377526880000*ep^3*z5+69534508260872139098067956820492\
         0119212059013/5275911354827789543233766400000*ep^3*z4-
         2950335336032844368154381216938339986505935176029167280141/
         3177949156238123797381227073131033600000000*ep^3*z3+
         1114986080980374858240263/3067272600*ep^3*z3^2;
Fill mncnoptab(22,1,1,7)=
      +mncF321*(-25936964568801000-1072103357585616101889/4522*ep-
         3009821520725996538626794/3561075*ep^2-
         144995681494078416495208002419/85551265800*ep^3)
      +76040182516974512712969528524068379719140703822261758201547/
      595865466794648212008980076212068800000000-689232957650356169/
         18403635600*ep^-3+18707632990290137266082846113/
         82114397688763440000*ep^-2+14832401105079722448610771618754768\
         5501571/59354002741812632361379872000000*ep^-1+
         130863942517647565514974997/383409075*z3-
         42398977983663268638127064294735372133267139628259308417120358\
         5348015355984763058027921719982559827/376042521303644457174238\
         717878713272895122642988173042384896000000000000000000000*ep+
         130863942517647565514974997/255606050*ep*z4+233176631872734782\
         011547237347276495763/38896293642045840000*ep*z3+
         54271952574574152629841262469715859087255534870902758127821830\
         52435927068510355317265013200073253197062955615731/
         11838896238711291802902884955448628184689394773427728939611084\
         52529930240000000000000000000000*ep^2+
         152325634262822459973253021933/4600908900*ep^2*z5+233176631872\
         734782011547237347276495763/25930862428030560000*ep^2*z4-
         249275512916391639141158317848894993662756752659449/
         29677001370906316180689936000000*ep^2*z3+
         98321171713280304880776169099223207340238577639602413881250325\
         73451706035178202185049007971329182908045674563951350522217470\
         8967341948950250092748547141/602167663088145378486140541370394\
         90348946626600569471275816570324810508472481720153409538073084\
         62365700259840000000000000000000000000*ep^3+
         21536466707515812741010474567/262909080*ep^3*z6+83330736163771\
         8557279552350687614332759/8121204167020560000*ep^3*z5-
         249275512916391639141158317848894993662756752659449/
         19784667580604210787126624000000*ep^3*z4-647929004001294260661\
         643459501964093703856528256744106465001/3055720342536657497481\
         9491087798400000000*ep^3*z3+54962858982835848389394171403/
         4600908900*ep^3*z3^2;
Fill mncnoptab(22,2,1,6)=
      +mncF321*(-42442305658038000-885375181932454432791/2261*ep-
         560282282471360966708808/395675*ep^2-
         73449147880316545027602599/25416300*ep^3)
      +9216995817978019478180675899979431544329749903501619064161/
      44138182725529497185850376015708800000000-2283853851563986179/
         1022424200*ep^-3-246595239244765895224183543301/
         13685732948127240000*ep^-2-23025094675727049275585221495483385\
         467163/1099148198922456154840368000000*ep^-1+
         71380345609384339267731762/127803025*z3-
         72159968165446464763829506999730143311947958753282986859171649\
         414092773822388684357848494176086697539243/
         39523949201619550671298360442642158547641865391271927619864494\
         080000000000000000000000*ep+107070518414076508901597643/
         127803025*ep*z4+7100334740987373707828538420825925211/
         720301734111960000*ep*z3+1863263672805234633193364162706259518\
         36286935282813038302785722754097070584616097113292740672037000\
         64587237339464747/25394432432035720917226688229437307456158751\
         78900247857546577630676700364800000000000000000000000*ep^2+
         13847785263938405042814205503/255606050*ep^2*z5+71003347409873\
         73707828538420825925211/480201156074640000*ep^2*z4-70945060129\
         92593129212244478066311022289149657203/
         549574099461228077420184000000*ep^2*z3-
         63205792407275089385469746565613588798451708864304242092174797\
         59896759255305908098214061044329562772612995306013232076074039\
         06795659623861043956481024856565659/
         11820746930910797426930946822776797333841856878228239062224439\
         15861385844730069723170479090474524914889649532436480000000000\
         0000000000000000*ep^3+1957860653245662337754105997/14606060*
         ep^3*z6+2883104516963606815812832083559327247/
         16710296639960000*ep^3*z5-709450601299259312921224447806631102\
         2289149657203/366382732974152051613456000000*ep^3*z4-
         15242524287542106893420256550602243263302211359062206488079/
         424405603130091319094715153997200000000*ep^3*z3+
         4996623195170932933713327273/255606050*ep^3*z3^2;
Fill mncnoptab(22,2,2,5)=
      +mncF321*(-57875871351870000-1219515464787634777815/2261*ep-
         1723848985322074967687334/870485*ep^2-
         1304669882997207227604775251/316856540*ep^3)
      +512053048843786276200670851488874803628721414142622449207/
      1798222259188238774238348652491840000000-2105571022036670817/
         2249333240*ep^-3-281459830353624685106595502291/
         10036204161959976000*ep^-2-27538374606623828161176346782654846\
         31993/9951135957322648315427200000*ep^-1+
         214140996954571167861098526/281166655*z3-
         12940076184661969103355812377797426939088753565479966830413944\
         701715024144274928558884772240056418277/5245239108126611217408\
         273933687217917720971012821854023203264955154432000000000000*
         ep+321211495431856751791647789/281166655*ep*z4+713779736517474\
         7449347523747416026051/528221271682104000*ep*z3+
         16500174246602135505512543361866746806043548355912696429444800\
         14028546230406207603821208547976716915470787408873/
         16850526429142166686067603428019584237149052067096172663707466\
         7999078588046376960000000000000*ep^2+
         3776668644623821890739335279/51121210*ep^2*z5+7137797365174747\
         449347523747416026051/352147514454736000*ep^2*z4-2441389278863\
         43084856948001870989211271446563799/
         14926703935983972473140800000*ep^2*z3-
         14259042622077800711097730634247569694573871898921381812282188\
         50819904629474428143208731595802653722244965678139579193408350\
         4999433415978933699178405245295333/
         51095974313998185473301527621758833965089098682278852081643155\
         42821290868847160208240618429968624172630495247222353952768000\
         0000000000000*ep^3+5873581870993271208915784431/32133332*ep^3*
         z6+8902223302723738230453705267561978781/36762652607912000*
         ep^3*z5-244138927886343084856948001870989211271446563799/
         9951135957322648315427200000*ep^3*z4-5794698561590655257760510\
         3813708817180268174516089053029/114318007577128974840327314208\
         0000000*ep^3*z3+14989870863203394995298107379/562333310*ep^3*
         z3^2;
Fill mncnoptab(22,3,1,5)=
      +mncF321*(-23066470466325000-975174568754067363825/4522*ep-
         12591163563191147078937/15827*ep^2-243288341635309927690120859/
         146241480*ep^3)
      +30825980269147378952519284500473171194939736595764380421/
      271619586003258444220617698558208000000+177642962508576123/
         81793936*ep^-3+1789391135933481759404205269/84219895065398400*
         ep^-2+17547654041783981415430162087962286319/
         520306839726606463829760000*ep^-1+1551746038815855244989783/
         5112121*z3-790395282732834955852216641004409637456444909431432\
         823720275575176771484170375129496874469770485187/
         80695986278870941806281137441341814118784169428028523433896383\
         9254528000000000000*ep+4655238116447565734969349/10224242*ep*
         z4+23912178260561838196913430780559201/4432626056073600*ep*z3+
         10033134737920867410922762739440041797587296220775202564462756\
         7219614314833296869084411888337136109395224426209/
         25923886814064871824719389889260898826383157026301804098011487\
         384473628930211840000000000000*ep^2+
         602077596864796007582987529/20448484*ep^2*z5+23912178260561838\
         196913430780559201/2955084037382400*ep^2*z4-215094590460406265\
         92394511434857255355367727213/3381994458222942014893440000*
         ep^2*z3+635237929253071969287237391216526358081991836630839507\
         02330299475142993013222552196705113240678221446036732076931343\
         008071318024397917422241650147160187523394636127139/
         55642710440165978447279652428113703940677316814641382254603363\
         64613422697686808460025901698020329412055828771853453474325072\
         76001280000000000000000*ep^3+425621866221094704716448855/
         5842424*ep^3*z6+18598057974178966656690672906182543/
         190974818742400*ep^3*z5-21509459046040626592394511434857255355\
         367727213/2254662972148628009928960000*ep^3*z4-114585004325241\
         75834964943062205342933950850584481626979/56119749174226951285\
         2515906112000000*ep^3*z3+217244520032191437540304719/20448484*
         ep^3*z3^2;
Fill mncnoptab(22,3,2,4)=
      +mncF321*(-25163422326900000-537602946388336173150/2261*ep-
         155160660460504726125423/174097*ep^2-
         23155959319186229121630519/12186790*ep^3)
      +6849946151448883979020617180063931967365987833021134431/55329915\
      667330423822718420076672000000-13055727969285238107/224933324*
         ep^-3-29006038347635650700716823461/38600785238307600*ep^-2-
         1814116984734459337489580012639912385493/
         516693597784060585608720000*ep^-1+18621036068905149798671532/
         56233331*z3-69094887803709041808117801678799719846189404003508\
         58066386085616805453430628417138849055565914049691/
         65565488851582640217603424171090223971512137660273175290040811\
         93943040000000000000*ep+27931554103357724698007298/56233331*ep
         *z4+24046805440048912394335162730879357/4063240551400800*ep*z3
         +8637304404878012783986283926477783904206767062949941922907727\
         52352509574810279875541321051439345265432410762279/
         21063158036427708357584504285024480296436315083870215829634333\
         4998848235057971200000000000000*ep^2+
         164203058944186304039737389/5112121*ep^2*z5+240468054400489123\
         94335162730879357/2708827034267200*ep^2*z4-2524556720143560289\
         40911044134300570681739197/39745661368004660431440000*ep^2*z3+
         25494698595266591314988904407661988702215867783068456618641578\
         78574420131796204590680066236221389931779926344453296217810448\
         43835828947783857440141367508666629/
         16989411459404396669872757934234812293392125311857718317146349\
         17988079213891680769240005627964567537399639669701432689295360\
         000000000000000*ep^3+1276866151655102996170314105/16066666*
         ep^3*z6+402368407296897203810956279477316171/3676265260791200*
         ep^3*z5-252455672014356028940911044134300570681739197/
         26497107578669773620960000*ep^3*z4-578617870443650644154990669\
         98074539631067984017089850283/25149961666968374464872009125760\
         00000*ep^3*z3+651732570016325148460706649/56233331*ep^3*z3^2;
Fill mncnoptab(22,3,3,3)=
      +mncF321*(-8205463802250000-177828657215705961075/2261*ep-
         104839121666419299353493/348194*ep^2-
         16049088655314107339620341/24373580*ep^3)
      +2633516467801618976495432043038247777016586004966680417/65260926\
      171723063996026854449408000000-2106349451516409268221/10346932904
         *ep^-3-393096184588600073296953203699/147969676746845800*ep^-2
         -198894084132927026606105809378121396538971/
         15845270332044524625334080000*ep^-1+
         139662740367789152860840338/1293366613*z3-
         25910423628543595672579565383169624296812066070620489885383353\
         220634417394639187311565675711543992408681/
         76405649675044303400247190300710474334802144420105006937994226\
         180082892800000000000000*ep+209494110551683729291260507/
         1293366613*ep*z4+6376431419044610764763642891391763/
         3279106409902400*ep*z3+318495919801664212269424183442935475064\
         36668476539641697800813638919948347188172802682889453746311934\
         19145683704553/24545600165117089472705142326815194372113785844\
         40342484680054330519911432542224384000000000000000*ep^2+
         2463055682897476125416134827/235157566*ep^2*z5+191292942571338\
         32294290928674175289/6558212819804800*ep^2*z4-3583881791667641\
         578741596581564627300422385279/1980658791505565578166760000*
         ep^2*z3-512018182406443888854386315223818496875865385578290179\
         34193568313878730075661000868547810087461272179934668383088235\
         989115986607747768246442835295329260246941491/
         29267092807400640663300804334708503310750167870560229421004110\
         85387464459130735405144116361773628344427112604339001379426140\
         160000000000000000*ep^3+19153062165097613624182716015/
         739066636*ep^3*z6+6276527030324940035020676432204563173/
         169108201996395200*ep^3*z5-35838817916676415787415965815646273\
         00422385279/1320439194337043718777840000*ep^3*z4-3007939442035\
         37364229232592474147273192680245961541775613/38563274556018174\
         179470413992832000000*ep^3*z3+9775883757240374260100081247/
         2586733226*ep^3*z3^2;
Fill mncnoptab(22,4,1,4)=
      +mncF321*(-5125882325850000-110398502549888982000/2261*ep-
         2931067562314596669575/15827*ep^2-131748509035692138026694577/
         329043330*ep^3)
      +24660395839746233563700325908469706829748537375735874729/
      977830509611730399194223714809548800000-147902605210538035/
         40896968*ep^-3-7187844076346098997136214237/151595811117717120
         *ep^-2-215855920873299900342344348916437526133/
         936552311507891634893568000*ep^-1+344833164088842076810500/
         5112121*z3-139669725657066481211751435745311625565228767807305\
         3977174181149434767435420202070259391649968396741/
         65565488851582640217603424171090223971512137660273175290040811\
         93943040000000000000*ep+517249746133263115215750/5112121*ep*z4
         +4829942822719502960942770493868827/3989363450466240*ep*z3+
         17290251819158033230334883031860922233350173106476070309576275\
         2612829587299766080148389039219517001590947960809/
         21063158036427708357584504285024480296436315083870215829634333\
         4998848235057971200000000000000*ep^2+
         66897524114092704355377275/10224242*ep^2*z5+482994282271950296\
         0942770493868827/2659575633644160*ep^2*z4-73198651668501304183\
         32561364258225894761557647/6087590024801295626808192000*ep^2*
         z3-58923966415689685982842074111227196862918512082130962666948\
         59458232131530954925529705781812029430278067520071223721802475\
         3005540427012350047811371904100659243896993105521/
         49821091860363612952233018792822307665883952542909527636215486\
         72465743347941326124895691732864952447319487686598285904573812\
         02249646080000000000000000*ep^3+47291326989939300144111625/
         2921212*ep^3*z6+27426880545581442701359205584941677/
         1203141358077120*ep^3*z5-7319865166850130418332561364258225894\
         761557647/4058393349867530417872128000*ep^3*z4-234645607671266\
         5431819011783226529291579342797614732761493/488915254805865199\
         597111857404774400000*ep^3*z3+24138260387616716986436285/
         10224242*ep^3*z3^2;
Fill mncnoptab(22,4,2,3)=
      +mncF321*(-4193903721150000-91332878487926107500/2261*ep-
         27112576878147742971210/174097*ep^2-4184809145651445921905093/
         12186790*ep^3)
      +2738918544033810617503033903323935436990993918299246701/13279179\
      7601593017174524208184012800000-33967373542842991875/449866648*
         ep^-3-189954560363223386897617022921/185283769143876480*ep^-2-
         340788635363071041929069779016568010133/
         66136780516359754957916160*ep^-1+3103579626342037400768340/
         56233331*z3-44059508089878715099638101501849958169293539064847\
         639002421351786176532615632873971539168199378121079/
         25553728988309131571989026856424907804281653652209032420733854\
         9097267200000000000000*ep+4655369439513056101152510/56233331*
         ep*z4+4858613322233365795969578642976699/4875888661680960*ep*
         z3+76846702152790239118770959787839466617266556727315720360453\
         2526601820196934751749091510627584802478605113357561/
         11727472606362680111182581140379930421459047226184149472909958\
         57869045118271488000000000000000*ep^2+
         54734500514020290095597985/10224242*ep^2*z5+485861332223336579\
         5969578642976699/3250592441120640*ep^2*z4-72662591596099995514\
         6840101652743091365767603/826709756454496936973952000*ep^2*z3-
         11398276707476220040778754995211267596625410856295632338993916\
         62179978006086509424221998638177888669321798185846983225741889\
         183605967842945150605954143012176226428588037723/
         19417451186603254278819022708997412218498360991082687694114753\
         80037930740736106592267038829219160953827082380417793480756972\
         8908191334400000000000000000*ep^3+425623104572527940178600825/
         32133332*ep^3*z6+84789187490615926442275045627579807/
         4411518312949440*ep^3*z5-7266259159609999551468401016527430913\
         65767603/551139837636331291315968000*ep^3*z4-24375906940913570\
         701700358906757482412065137646116136523/6035990800072409871569\
         282190182400000*ep^3*z3+217242695686216750211035725/112466662*
         ep^3*z3^2;
Fill mncnoptab(22,4,3,2)=
      +mncF321*(-911718200250000-20147305572499482000/2261*ep-
         6109374927553764890985/174097*ep^2-967268066233579026070769/
         12186790*ep^3)
      +1051221682321540830476200011513624490933380697654840889/23493933\
      4218203030385696676017868800000-1597649326433806263735/
         10346932904*ep^-3-1674295828921944787828213370621/
         852305338061831808*ep^-2-3377480101079069050429934530294037194\
         35277/38028648796906859100801792000*ep^-1+
         15522004182056007455750580/1293366613*z3-
         16180689425192061148167622828978156839655039086154897391971051\
         85219693920559719806402855152538214939883/44080182504833251961\
         68107132733296596238585255006058092576589971927859200000000000\
         0000*ep+23283006273084011183625870/1293366613*ep*z4+4897667366\
         605899916262870712794683/22429087843732416*ep*z3+
         19325857524108388311940463460418084961138959638403753725553395\
         7073256030283037338090191046648099030968353629652507/
         14160923172182936234252966727008765983911799525617360488538774\
         98376871980312821760000000000000000*ep^2+
         273680324489575324613048445/235157566*ep^2*z5+4897667366605899\
         916262870712794683/14952725229154944*ep^2*z4-30477896227103594\
         09048551507992926938313130163/19014324398453429550400896000*
         ep^2*z3+150395378940420872444810270220726299090221880628517608\
         75627757607748992866268720021332430533475983537576612660051509\
         1190356342482659986773481574210738349664417171/
         32362650700491093041149927870110364237848743318407945994379545\
         65572677046154178572995897900038146727010749514413318833019289\
         60000000000000000000*ep^3+2128171115015154682737165525/
         739066636*ep^3*z6+88146796632806271785987329065281383/
         20292984239567424*ep^3*z5-304778962271035940904855150799292693\
         8313130163/12676216265635619700267264000*ep^3*z4-1258893963650\
         55981103242192293874279250346884177262850947/13882778840166542\
         7046093490374195200000*ep^3*z3+1086120272362244278299732345/
         2586733226*ep^3*z3^2;
Fill mncnoptab(22,4,4,1)=
      +mncF321*(-50651011125000-1141505484175104750/2261*ep-
         356020952359671322555/174097*ep^2-1573410490039964383339639/
         329043330*ep^3)
      +122229100615156121135706744301628195348090058332251366997/
      494782237863535581992277199693631692800000-127242813616723226435/
         20693865808*ep^-3-1709527794858922040007491892601/
         15341496085112972544*ep^-2-47154908364196279680807656735817485\
         22137477/6160641105098911174329890304000*ep^-1+
         862210178827392369634140/1293366613*z3-
         34641696974117943603214608274922697350618970137489900201581140\
         608117636479608287428617759966502906271/1736492038069188713641\
         98159774341987124550328227511379404532332227461120000000000000\
         00*ep+1293315268241088554451210/1293366613*ep*z4+4949693923472\
         048205380607065813315/403723581187183488*ep*z3+
         40201628853346128821959299248834121409169723282614823582547333\
         82108391886748417970383954666226607574754708800439/
         55785454920720657892511687106398169027531331464553238288183052\
         9663616234668687360000000000000000*ep^2+
         30408519462536089560586745/470315132*ep^2*z5+49496939234720482\
         05380607065813315/269149054124788992*ep^2*z4-20195602797345357\
         382441636625273932103731510283/3080320552549455587164945152000
         *ep^2*z3-15715811929221804009007445530301344686572294055010440\
         70527601515714275743772723264801557970853410709773857318014905\
         44140214957333496834766087347610264842734577357/
         87967568722243971084580258483299990064697947747308871384722583\
         19147549425455449030234304291921871557965582770996203009752432\
         640000000000000000000*ep^3+236460623837562439777084025/
         1478133272*ep^3*z6+10302899846923095232497252590839999/
         40585968479134848*ep^3*z5-201956027973453573824416366252739321\
         03731510283/2053547035032970391443296768000*ep^3*z4-
         1174387443047545613901508338401472620693433190797534254867/
         22490101721069799181467145440619622400000*ep^3*z3+
         120687195627591914341070245/5173466452*ep^3*z3^2;
Fill mncnoptab(22,5,1,3)=
      +mncF321*(-461329409326500-10210469569209448110/2261*ep-
         5639796539388346824333/316540*ep^2-157793529112852302256849/
         3910200*ep^3)
      +24653015787505529407170009660884731622474137195359302113/
      10864783440130337768824707942328320000000+1866641623756569153/
         817939360*ep^-3+20823405762887449988911407659/
         1684397901307968000*ep^-2-817039578427892486416398313941818617\
         021/10406136794532129276595200000*ep^-1+
         155172566295030121065189/25560605*z3-7240000505465668932957625\
         18908572109320582310087280375392322502929224117677362675814007\
         7896870191107/390821737468257306395126293098263295830189997033\
         785201728870722148761600000000000000*ep+
         465517698885090363195567/51121210*ep*z4+4900754759044659691416\
         492471742619/44326260560736000*ep*z3+
         14564594798870189472617676291295212358063102806489120058437683\
         743762682294845673756384261691727042211634175948127/
         21344000143580077802352297675491473367055465951655152040696124\
         6132166211525410816000000000000000*ep^2+
         120415368649040475955975719/204484840*ep^2*z5+4900754759044659\
         691416492471742619/29550840373824000*ep^2*z4-10772187625808171\
         51899337322133429631795413307/13527977832891768059573760000*
         ep^2*z3+955293794454376316703192634074453317809409563377779340\
         24221430129234258180589602109581259108279243478803496594658634\
         05938491469976966726645885927921571568414196167363758903635484\
         27/22807628701840811303085208025564175536442836400122284013372\
         08260033131668855893444495505181111593064065555599325933382345\
         0091662684216400386457600000000000000000*ep^3+
         17024855445525747855350601/11684848*ep^3*z6+180607824186078310\
         2124211609236903/818463508896000*ep^3*z5-107721876258081715189\
         9337322133429631795413307/9018651888594512039715840000*ep^3*z4
         -2510566461303342387680569058178186677331577313469573579341/
         5432391720065168884412353971164160000000*ep^3*z3+
         43449133152534734893673457/204484840*ep^3*z3^2;
Fill mncnoptab(22,5,2,2)=
      +mncF321*(-251634223269000-5632915521695574060/2261*ep-
         17394868623236489651799/1740970*ep^2-2812335063254575688612253/
         121867900*ep^3)
      +2732801084595353760151598005769155285879970880233197657/
      2213196626693216952908736803066880000000-193883587303158519741/
         4498666480*ep^-3-1696585493407456127427703313141/
         3088062819064608000*ep^-2-229243848683086807626217281758086500\
         73499/9185663960605521521932800000*ep^-1+
         931331337549806510612334/281166655*z3-295734209013762411957014\
         25573567283103490036915505181710650708799442137749761208222563\
         973694494431/2966764201429078742877982994166978460249417993677\
         519243893249409024000000000000000*ep+1396997006324709765918501/
         281166655*ep*z4+4931882308479311410723688956252219/
         81264811028016000*ep*z3+58806421224801826172770031824795665534\
         88796136498531853043820708807945426368408402673843399775640564\
         8121597323/162024292587905448904496186807880617664894731414386\
         2756125717961529601808138240000000000000000*ep^2+
         32841671097996207207517887/102242420*ep^2*z5+49318823084793114\
         10723688956252219/54176540685344000*ep^2*z4-336806084659851362\
         36994259037016284566542241/918566396060552152193280000*ep^2*z3
         +3656128641350212873118339499636641869327424934161449865718955\
         58770289886220326102941674700941717839797915635137567710469491\
         82607061349530189157485002015026470957635120051/
         63873194692773862759273101016438855981902503260140420046430111\
         18545824805052982211404732990852503137589086777690110134068989\
         772431360000000000000000000*ep^3+51076150961108436177178203/
         64266664*ep^3*z6+91146515234103244337410685793425047/
         73525305215824000*ep^3*z5-336806084659851362369942590370162845\
         66542241/612377597373701434795520000*ep^3*z4-25891076548137714\
         754915237262011163602562460446928410959/1005998466678734978594\
         88036503040000000*ep^3*z3+130333685396946624457425171/
         1124666620*ep^3*z3^2;
Fill mncnoptab(22,5,3,1)=
      +mncF321*(-27351546007500-621372877144771050/2261*ep-
         783857542521057201873/696388*ep^2-4585958982435834780857/
         1720488*ep^3)
      +904080721134063623768429555125808794033128212559190099/678713632\
      1859198655586792862738432000000-182810122677774398781/41387731616
         *ep^-3-723872914741225846546390570887/9470059311798131200*
         ep^-2-42709699590243735824337590228169916713019/
         84508108437570798001781760000*ep^-1+465611816552129023464207/
         1293366613*z3-140996334063540662472010286888193280970199116274\
         456138511845959458070006862465006369999170068440345743/
         13224054751449975588504321398199889788715755765018174277729769\
         9157835776000000000000000*ep+1396835449656387070392621/
         2586733226*ep*z4+4971466157112732995658780360774139/
         747636261457747200*ep*z3+1616296661348237960668802279839089730\
         50494394132525523829694132475989058567902736872673498071441920\
         22176904045827/42482769516548808702758900181026297951735398576\
         85208146561632495130615940938465280000000000000000*ep^2+
         32841376808962835078144127/940630264*ep^2*z5+49714661571127329\
         95658780360774139/498424174305164800*ep^2*z4-22931095674707506\
         5323991473400555742173350153/76057297593813718201603584000*
         ep^2*z3-173341708013955195074969813961644382128671159782999964\
         84201725122946514966212370742242406372482045211128846968392689\
         765797620746124373542977400019027001734409387742611783/
         23925073783493295450687724409300382912078337649726883051677107\
         36118164662692702765471887128859323318108369361586209824504127\
         311902146560000000000000000000*ep^3+
         255378750261552966908479815/2956266544*ep^3*z6+283866916387726\
         782604113866707716421/2029298423956742400*ep^3*z5-229310956747\
         075065323991473400555742173350153/
         50704865062542478801069056000*ep^3*z4-794288297129680575759592\
         70394819447081270184084514788237/27765557680333085409218698074\
         83904000000*ep^3*z3+130341383711005253541555411/10346932904*
         ep^3*z3^2;
Fill mncnoptab(22,6,1,2)=
      +mncF321*(-14194751056200-328068140321137788/2261*ep-
         481155051012533998641/791350*ep^2-35063004320714591325151363/
         23764240500*ep^3)
      +24582822752325094190274740311563578731435852267656683713/
      353105461804235977486803008125670400000000-2863418348212274619/
         2044848400*ep^-3-102445898603934115477418411231/
         4976630162955360000*ep^-2-489755810530186142073005117773238135\
         132473/4396592795689824619361472000000*ep^-1+
         23878095273685186486506/127803025*z3-3502241276306103353309513\
         83826306183834726262974471487362033097334357983681417283506251\
         311641324571/6388432247077282892997256714106226951070413413052\
         25810518346372743168000000000000000*ep+35817142910527779729759/
         127803025*ep*z4+5018131907688811466173839415757819/
         1440603468223920000*ep*z3+569092757147594741237718335835394676\
         01919694938721861628210522817725664295513186728437300574488762\
         86920383097/29318681515906700277956452850949826053647618065460\
         37368227489644672612795678720000000000000000*ep^2+
         9262931814192849867094563/511212100*ep^2*z5+501813190768881146\
         6173839415757819/960402312149280000*ep^2*z4-430347168204878416\
         597662243337321534126799387/439659279568982461936147200000*
         ep^2*z3-928761209875505473140366409483973262397074247169970197\
         45628207971673639278735188862835835846559245594437101126439915\
         15202747343316814844823450728338579106894080991350642975830513\
         067/2225936839650809949291489052494965208604757590973472910920\
         44844609002754220070369823359399887333361541013358972675229142\
         3254138233123042922332160000000000000000000*ep^3+
         1309631347585444160164077/29212120*ep^3*z6+9873347147863490090\
         0606962157613847/1303403137916880000*ep^3*z5-43034716820487841\
         6597662243337321534126799387/293106186379321641290764800000*
         ep^3*z4-271282244581219875142210689546815119532541776113330586\
         0141/176552730902117988743401504062835200000000*ep^3*z3+
         3341963476504867407096789/511212100*ep^3*z3^2;
Fill mncnoptab(22,6,2,1)=
      +mncF321*(-3871295742600-90494803663450524/2261*ep-
         1483366182958106621523/8704850*ep^2-10014138502622505728406859/
         23764240500*ep^3)
      +8103505625541701574017789376132336837524437355907613771/
      431573342205177305817203676598041600000000-47200188852892087857/
         22493332400*ep^-3-1879991050597215168078318896647/
         66908027746399840000*ep^-2-76661051766722149820646100614500991\
         5223091/5373613416954230090330688000000*ep^-1+
         71672895534756332947518/1405833275*z3-216794973281714482117592\
         27586579868777894685101710032830394369120000686383809740908072\
         096024872798371/1494893145816084196961358071100857106550476738\
         65422839661293051221901312000000000000000*ep+
         107509343302134499421277/1405833275*ep*z4+50514941861593364996\
         96327012469019/5282212716821040000*ep*z3+
         23767740152591426248591307217784902422228947248110773021796535\
         65864321682713348337027400885677081688008757306279/
         48024000323055175055292669769855815075874798391224092091566280\
         37973739759321743360000000000000000*ep^2+
         2526422608493514818580699/511212100*ep^2*z5+505149418615933649\
         9696327012469019/3521475144547360000*ep^2*z4-83104344716104519\
         604476360732609041161384809/537361341695423009033068800000*
         ep^2*z3-260861831904341019573580259224097346475881445301158691\
         74743590974289204565357654409382657220159340531801041038198573\
         79633358454289282912601443872388810129656576423211136461169891\
         07/52086922047828952813420843828382185881351327628779266115538\
         49363850664448749646653866609957363600660059712599960600361930\
         41468346550792043825725440000000000000000000*ep^3+
         3929136730184233953228231/321333320*ep^3*z6+304533053455789248\
         082536986224826341/14337434517085680000*ep^3*z5-83104344716104\
         519604476360732609041161384809/358240894463615339355379200000*
         ep^3*z4-7538114138869580964112719531892419695476374163435015207
       /1783360918203212007509106101644800000000*ep^3*z3+
         10024654916475102651914367/5623333100*ep^3*z3^2;
Fill mncnoptab(22,7,1,1)=
      +mncF321*(-87621920100-2210551232692374/2261*ep-
         65332014949677438649/14244300*ep^2-1792283024590797382039829/
         142585443000*ep^3)
      +23895677871987613368020977751536075563071801569240617313/
      57203084812286228352862087316358604800000000-17041712867168576873/
         110421813600*ep^-3-14383284996759164605077765573941/
         8868354950386451520000*ep^-2-505160740052906208003413487020112\
         8971669273/712248032901751588336558464000000*ep^-1+
         3977771855234391630751/3450681675*z3-5039854820294081673784854\
         51093670505586213628523103467369325872274976354893415247/
         17261410337768151521715099834489976306464299194006150053888000\
         0000000*ep+3977771855234391630751/2300454450*ep*z4+52683190063\
         05601756972135314585019/233377761852275040000*ep*z3+
         65722278838816737962289987847585405442888002299132138267821664\
         89848521247923536161702634273/77017951450007326351485778888257\
         8760088224011945903762634505715712000000000000*ep^2+
         114365135962898291220723/1022424200*ep^2*z5+526831900630560175\
         6972135314585019/155585174568183360000*ep^2*z4+997012358605905\
         203343036144892383368389189573/
         71224803290175158833655846400000*ep^2*z3+
         29041975508450826208612976569002987062101858316604619964008146\
         36882523122080885520347593074258030536507334251183450016900958\
         02286411006485503/34032244075988330822525114064299977066195309\
         92421553143726196253418555423339552386099831869241167808370311\
         168000000000000000000*ep^3+436576642308054104273359/1577454480
         *ep^3*z6+120854929539365307164225095946263447/
         211151308342534560000*ep^3*z5+99701235860590520334303614489238\
         3368389189573/47483202193450105889103897600000*ep^3*z4-
         2909157041079763013930720163719509801777302685085157224141/
         28601542406143114176431043658179302400000000*ep^3*z3+
         1114986081079198625568263/27605453400*ep^3*z3^2;
Fill mncnoptab(23,1,1,6)=
      +mncF321*(-526144285017000-248070314451675348243/49742*ep-
         898552880266403988678862/47876675*ep^2-
         73661661704722236234352281/1834432600*ep^3)
      +20738189987065316085935065382868494528458493179025401268881/
      8011080164683603739231843246851147200000000+17581304378219165263/
         247426656400*ep^-3+376802180289440119181841501049/
         1103982457815597360000*ep^-2-104146813139040126323022840018656\
         9459605717/797981592417703168414107168000000*ep^-1+
         107070445115698816116365943/15464166025*z3-
         78370274914980673269966695726288908245923382547175735295790946\
         7673679229746754593689603037/356372604804684593260509308020442\
         11708214699704725322170630144000000000000*ep+
         321211335347096448349097829/30928332050*ep*z4+6481668438481154\
         8345886965720504471499/522939058965282960000*ep*z3+
         57745119600585545157981004548002829597530550074730066692919498\
         37806124260998477094501785998565425073/67743212758085290243543\
         395284444975632529211266118742875725043125452800000000000000*
         ep^2+3776668377393573319052094719/5623333100*ep^2*z5+648166843\
         84811548345886965720504471499/348626039310188640000*ep^2*z4-
         51603809026788402622324114148321938181527689068177/39899079620\
         8851584207053584000000*ep^2*z3-
         22089364774179067016392488111744816297309011294406580498570851\
         15531346607250923877412679349304396075686615810913950830632629\
         64488166169121256028767/17440893035694099023828031890979367464\
         05622470314164220354332066743918252425830990922400563829315174\
         50866602803200000000000000000*ep^3+
         5873581481552358749301082591/3534666520*ep^3*z6+25203607374509\
         5762206710426598065645807/109185078245498640000*ep^3*z5-
         51603809026788402622324114148321938181527689068177/26599386413\
         9234389471369056000000*ep^3*z4-1657282089956763685435718160796\
         191254000331449244291822113/3395244825040730552757721231977600\
         000000*ep^3*z3+14989873421458993667131777219/61856664100*ep^3*
         z3^2;
Fill mncnoptab(23,2,1,5)=
      +mncF321*(-571895961975000-273080677091626126125/49742*ep-
         40314821987714122072440/1915067*ep^2-
         18893139650296457486958001/410049640*ep^3)
      +10018441067547638802577946811395427565949415837908533349/
      3560480073192712772991930331933843200000+1170754722439052265/
         9897066256*ep^-3+8931338251472064704000558683/
         8831859662524778880*ep^-2+108299184395072643304472744685957930\
         6937/709316971037958371923650816000*ep^-1+
         4655236947474863308826385/618566641*z3-25152975548349540453130\
         25568471331003297340486668129772035200080637538138776535355967\
         3524234489/106740722591099129373387747938282822908444668555593\
         2849654714073088000000000000*ep+13965710842424589926479155/
         1237133282*ep*z4+12609544354099305660301530060953965/
         92966943816050304*ep*z3+61548480811296936763462803616772394245\
         47733368045143526445665045176487328033856689478057425492686652\
         807849/6858171114831976673206187801391772176291840483148625422\
         7543617419242404577280000000000000*ep^2+
         164202977697025382923040505/224933324*ep^2*z5+1260954435409930\
         5660301530060953965/61977962544033536*ep^2*z4-8820235792205889\
         965487224472972612926175966703/70931697103795837192365081600*
         ep^2*z3+725508123439959122032956281775645996385655813889896673\
         71237843680297291202957267464656903392516345558259167674841499\
         801305618745689774509326380703857/
         64871914613706427616158477207671021381600188260532489400850073\
         67314790525728832071647366614826779830266586487324672000000000\
         0000000*ep^3+1276865576340985542084385725/706933304*ep^3*z6+
         16805215993380774920901150247750595/6470226858992512*ep^3*z5-
         8820235792205889965487224472972612926175966703/
         47287798069197224794910054400*ep^3*z4-546272610075545113641412\
         76742404498494092226386871383271/99593848201194762880893156138\
         009600000*ep^3*z3+651733626610549094183306325/2474266564*ep^3*
         z3^2;
Fill mncnoptab(23,2,2,4)=
      +mncF321*(-497300836500000-120332518871080926150/24871*ep-
         36232428694751625634218/1915067*ep^2-
         14777082216012781151942487/348542194*ep^3)
      +222628456496312705579858956957362957820333438591839086227/
      90990046314924881976460441816087104000000-28806622254624379131/
         56908130972*ep^-3-1697057109126467704492699446703/
         253915965297587392800*ep^-2-2372857155682156748613906602822271\
         3070147/755291219160789007140924480000*ep^-1+
         93104980421114444269334436/14227032743*z3-
         23559876810266371432074291320733093951928219450555802806296797\
         501881933578189485860083801766253/1168103654765141435753180065\
         842462988007709219449426044940514754560000000000000*ep+
         139657470631671666404001654/14227032743*ep*z4+1587522075278222\
         087124875503954783873/13363998173557231200*ep*z3+
         75203944510791776339452467482218372072819122505103686064834554\
         1368294260847780981613145764080914997560515137/
         99818537397906035485805686515569309097122647032077259082745124\
         41566296853708800000000000000*ep^2+821015100387463620651558597/
         1293366613*ep^2*z5+1587522075278222087124875503954783873/
         8909332115704820800*ep^2*z4-1169544080861265418534634034665313\
         3849021031809/125881869860131501190154080000*ep^2*z3+
         22640827081075737393259857984755994284502420720143402604399687\
         83747182143878587966310524102154605717514919254777716734768925\
         93218344129211015377616755171/31823323163220023732279141984705\
         56748262760735238084100364575895332316209837064377947063488944\
         61951311121316752266362880000000000000000*ep^3+
         6384329374172132416355578665/4064866498*ep^3*z6+21771166207696\
         71434869843794997701463/930095110980173600*ep^3*z5-35086322425\
         837962556039021039959401547063095427/
         251763739720263002380308160000*ep^3*z4-39126925452168999051640\
         172492615722797054888227857819633/7953675377178748424515772886\
         0216000000*ep^3*z3+3258665038599316937231860017/14227032743*
         ep^3*z3^2;
Fill mncnoptab(23,3,1,4)=
      +mncF321*(-190631987325000-46341094430055841650/24871*ep-
         14046159321651573604098/1915067*ep^2-
         13322967124358155486180577/804328140*ep^3)
      +123303047190626007804534038321150272849714344855132781601/
      131463879625577087002778966102172672000000-1074935721813693363/
         9897066256*ep^-3-29559702610006594447925606693/
         20381214605826412800*ep^-2-84170525219161682428311128298381674\
         8853/125914255213838764246801920000*ep^-1+
         1551748672376399048168682/618566641*z3-64941344825049855471083\
         28319928763664614289591136912331506963975492634666589270251968\
         185396181/8443357939334989725824616780274324858968767727542046\
         95527654686720000000000000*ep+2327623008564598572253023/
         618566641*ep*z4+24484030248105947990251494764834599/
         536347752784905600*ep*z3+3096632995184764288520952614645713665\
         99585977554704827730862251113781240060578724234614350553789744\
         5905611/108498410215115255962832267951705770757742007643562238\
         133418613495285835366400000000000000*ep^2+
         54734335860089541302863281/224933324*ep^2*z5+24484030248105947\
         990251494764834599/357565168523270400*ep^2*z4-2748619331958305\
         2274352212425830374456581601999/818442658889951967604212480000
         *ep^2*z3-17698330904283808683786038808693606111834388398952642\
         51062739859788597283267139950186772983966139758715150635069185\
         04309164104376852354179400600646653408912389463/
         10978967766137600550677194597936396177179574662743769679485695\
         19994507701403300991265137450681293511044724618013960871020261\
         80198400000000000000*ep^3+425621928408199541527729545/
         706933304*ep^3*z6+146914590879259499709058283372948249/
         161755671474812800*ep^3*z5-27486193319583052274352212425830374\
         456581601999/545628439259967978402808320000*ep^3*z4-
         87587630865767804692279359174456317417354197231469907251/
         459663914774745059450276105252352000000*ep^3*z3+
         217244374278004238967031581/2474266564*ep^3*z3^2;
Fill mncnoptab(23,3,2,3)=
      +mncF321*(-124325209125000-30646969389985063050/24871*ep-
         9477775886984420009436/1915067*ep^2-279028618974824132790489/
         24373580*ep^3)
      +68480564316487783329785748855091239169806970975413448333/
      111987749310676777817182082235184128000000-264907308415610803293/
         227632523888*ep^-3-2620826183253655274060942056841/
         156255978644669164800*ep^-2-4287759581557633840665081389806373\
         0543999/464794596406639389009799680000*ep^-1+
         23276496677207255716362102/14227032743*z3-
         20759324715066580824610752024845298664518382305080247330672140\
         69413452733032273660723112873161659/42086342050204799581507169\
         1870943701753296121733482095006715834531840000000000000*ep+
         34914745015810883574543153/14227032743*ep*z4+12334495883887616\
         9518884777703768003/4111999438017609600*ep*z3+
         16963582764336487125629244082065102873858575634879805242709988\
         11489626635778761524406977692742779973856378357/
         94642761384681278090245391659206456032827398667451030834010192\
         038554518316646400000000000000*ep^2+
         821016171125793464777972991/5173466452*ep^2*z5+123344958838876\
         169518884777703768003/2741332958678406400*ep^2*z4-414335801095\
         7151415285702105822557648336438529/
         232397298203319694504899840000*ep^2*z3-
         10978147802650325830058594111368103508561608940484036983345424\
         23939085618450360362029803336606027564561640657350556567677094\
         43638058448833775233643346018539/
         34699208663896203654751775556656737284761361498299702190641894\
         20688273674726043529139316633871466609851633913032119156736000\
         00000000000000*ep^3+6384337068339213635494467495/16259465992*
         ep^3*z6+2284789672612653832420845383552126359/
         3720380443920694400*ep^3*z5-4143358010957151415285702105822557\
         648336438529/154931532135546463003266560000*ep^3*z4-
         649292869979219032075691488434060907978633448823906159499/
         5090352241394398991690094647053824000000*ep^3*z3+
         3258656314819272836601924051/56908130972*ep^3*z3^2;
Fill mncnoptab(23,3,3,2)=
      +mncF321*(-20720868187500-5205527776334805075/24871*ep-
         3307414706088102582453/3830134*ep^2-552812088936036315342001/
         268109380*ep^3)
      +68313124914928996256151000756071001792870535876498040977/
      671926495864060666903092493411104768000000-1562547921897879738939/
         455265047776*ep^-3-41450467975011478215751031372129/
         937535871868014988800*ep^-2-1313245802425160734062901804202919\
         70074661/643561748870731461705876480000*ep^-1+
         3880500411511225073807898/14227032743*z3-
         14375650525391364231407537864601201505666211805121152926258390\
         173278723014752024164154154582711/1793452076003045436711953232\
         4045896381532505187506339275854367948800000000000000*ep+
         5820750617266837610711847/14227032743*ep*z4+124644200935457272\
         045090499825979307/24671996628105657600*ep*z3+
         66122170251487576609824314528998609355831279294319888946209268\
         39798641891489936818245851644512313356861069/
         23349365473194394265685540705396329613362022697561931949180146\
         06214338445312000000000000000*ep^2+273680257385675171342379393/
         10346932904*ep^2*z5+124644200935457272045090499825979307/
         16447997752070438400*ep^2*z4-846097828709903879071660007940704\
         4610332107503/4183151367659754501088197120000*ep^2*z3+
         17880032678282334781701590400080705544467353707654741749800198\
         44847756037229732147821991100783682654406744701311233825609369\
         6331592701281386169994146227/203215272962169896403986092959123\
         94752418112173772742255167590820234565733927986409079794175219\
         468803066281944377920061440000000000000000*ep^3+
         2128170591393097917268364385/32518931984*ep^3*z6+2396945126925\
         707561057095893509279071/22322282663524166400*ep^3*z5-
         8460978287099038790716600079407044610332107503/
         2788767578439836334058798080000*ep^3*z4-6681744572285436960177\
         34084462139579118260092949069280631/30542113448366393950140567\
         882322944000000*ep^3*z3+1086118823902473489312604173/
         113816261944*ep^3*z3^2;
Fill mncnoptab(23,4,1,3)=
      +mncF321*(-22875838479000-5709586489720475310/24871*ep-
         8983519442309042576712/9575335*ep^2-8904115868587610769701959/
         4021640700*ep^3)
      +2739503132090957499856449689117869603403924055052173557/
      24345162893625386481996104833735680000000+5954405937068221659/
         49485331280*ep^-3+10722408038908688140772718053/
         11322897003236896000*ep^-2-14634046254194553543690489230157269\
         369/23317454669229400786444800000*ep^-1+
         931034910502099128620934/3092833205*z3-46688498458930912743844\
         38963862863037472801053050967761021298743634663081509905379209\
         76433969/52281170248701614386965427561607913261279021333351813\
         0443125260288000000000000*ep+1396552365753148692931401/
         3092833205*ep*z4+4967077676697185532945739582607419/
         893912921308176000*ep*z3+1306928717873399736856413429941198247\
         17797657008980715196439259671968935121491329798568572702715303\
         86757653/41149026688991860039237126808350633057751042898891752\
         53652617045154544274636800000000000000*ep^2+
         32840553288184661124753687/1124666620*ep^2*z5+4967077676697185\
         532945739582607419/595941947538784000*ep^2*z4-2367776868414087\
         44073851287335865578568464029/90938073209994663067134720000*
         ep^2*z3+144147358859763525523560106315055221144350055424952029\
         41529459861167862274093365598256490517827891397363715428315750\
         7828169106447956075023080502208421565402577407897/
         26024219890103942046049646454367753901462695496874120721743870\
         10357351588511528275591436920133436470624532427884944286862842\
         78988800000000000000000*ep^3+51074563789717553693972403/
         706933304*ep^3*z6+282957069122418554467346436837236941/
         2426335072122192000*ep^3*z5-2367776868414087440738512873358655\
         78568464029/60625382139996442044756480000*ep^3*z4-
         79698458302247834861022916388563218810440744675051207977/
         3319794940039825429363105204600320000000*ep^3*z3+
         130347421466433978104258571/12371332820*ep^3*z3^2;
Fill mncnoptab(23,4,2,2)=
      +mncF321*(-9946016730000-2518133196842768700/24871*ep-
         42556044688582808682/100793*ep^2-136798609824807038421909/
         134054690*ep^3)
      +2732415052788480818566989833722154213073216899595912637/
      55993874655338388908591041117592064000000-183428535007766135061/
         113816261944*ep^-3-1627313872412774159244420987161/
         78127989322334582400*ep^-2-22465766904570400226857744106639784\
         645119/232397298203319694504899840000*ep^-1+
         1862641695246023626604748/14227032743*z3-
         24776997302690705775027669521156123311433298810640359091973611\
         13122978164817259695039963511573/65037273085824724628015886449\
         83676709786512870194606550584551014400000000000000*ep+
         2793962542869035439907122/14227032743*ep*z4+500696204258283243\
         7090426165251259/2055999719008804800*ep*z3+
         13599863352372349337824367939416548767008297117495724874166698\
         957058912721123434651256400567026806381059641/
         10237798707477542101108275540058390676627963798161770162332833\
         273401330106368000000000000000*ep^2+32841625372615034779772007/
         2586733226*ep^2*z5+5006962042582832437090426165251259/
         1370666479339203200*ep^2*z4-1818360015637143957528921227719425\
         9148385677/23239729820331969450489984000*ep^2*z3+
         12929862455535480819312934164985961329973503434088267527137167\
         56321391526125684746823978997640991841514253988088330871103679\
         7007810197547689462685345580813707215601/
         47481689655261759646518465526118089450024485293575619297604801\
         46301033306923677791283414957647303560586586809530463254156004\
         03251200000000000000000*ep^3+255380425505909525231630415/
         8129732996*ep^3*z6+97737539130021146903940654921330367/
         1860190221960347200*ep^3*z5-1818360015637143957528921227719425\
         9148385677/15493153213554646300326656000*ep^3*z4-2703853442524\
         4162539752494838360388328885233931932578619/254517612069719949\
         5845047323526912000000*ep^3*z3+130334022512963981788356891/
         28454065486*ep^3*z3^2;
Fill mncnoptab(23,4,3,1)=
      +mncF321*(-828834727500-213890874814325475/24871*ep-
         141063321836672809353/3830134*ep^2-73867552068951478664579/
         804328140*ep^3)
      +24310190369760371136758666056667773102082377381810754593/
      6047338462776546002127832440699942912000000-101731533974924676147/
         455265047776*ep^-3-3377545536440770903582871309161/
         937535871868014988800*ep^-2-1695465921964314037500553071091719\
         008993713/75296724617875581019587548160000*ep^-1+
         155224503260174694954114/14227032743*z3-
         82087539818513897578161071731226317149285676329760943709412637\
         97225406588981968209835103666002187/26514395491629023736349516\
         5878694532104576556692093719854230975755059200000000000000*ep+
         232836754890262042431171/14227032743*ep*z4+5060336449280996652\
         301590295330979/24671996628105657600*ep*z3+
         89247541775600082274961103451949737196246627906211112097589872\
         5663391737601825085058477627428558678409523371/
         85178485246213150281220852493285810429544658800705927750609172\
         83469906648498176000000000000000*ep^2+
         10947304461783729101778729/10346932904*ep^2*z5+506033644928099\
         6652301590295330979/16447997752070438400*ep^2*z4-1903288424712\
         57795060272588324173971653525459/
         7529672461787558101958754816000*ep^2*z3-
         12220013709190214652500166008557496097659394922107468055813926\
         64398549487939129136169559068636730280852033613799946290296552\
         22672313206555948416593961575329/
         48459526851650882176080139671404533022406327014065432091362843\
         77356415483175403351054804038199535408654397857584136329531228\
         16000000000000000*ep^3+85127537895385444685666505/32518931984*
         ep^3*z6+102380210340465285852040649990700727/
         22322282663524166400*ep^3*z5-190328842471257795060272588324173\
         971653525459/5019781641191705401305836544000*ep^3*z4-
         19026823093623220698020874176431072815139989139830990787/
         21144540079638272734712700841608192000000*ep^3*z3+
         43445797051771386277892757/113816261944*ep^3*z3^2;
Fill mncnoptab(23,5,1,2)=
      +mncF321*(-879839941500-229032518984735310/24871*ep-
         1526946622778736733923/38301340*ep^2-3501917847424881377589133/
         34854219400*ep^3)
      +24583742205001853635116998236061866920756292832434226113/
      5696768117108340436787088531094149120000000-7948760401902132657/
         98970662560*ep^-3-1057122089388684204717393092341/
         883185966252477888000*ep^-2-4672287107660282804108016252764785\
         12105273/70931697103795837192365081600000*ep^-1+
         35816813993510505921159/3092833205*z3-167433493761445847153473\
         79090065977432354595437956371553055016532686085164378560312197\
         88084757/51464276963565651662169092755957789616571536625018190\
         965495142809600000000000000*ep+107450441980531517763477/
         6185666410*ep*z4+5083894220874809714494038541894619/
         23241735954012576000*ep*z3+12507577709713891139074420810480843\
         02342118479951485415823322636456655846412853310095337647974862\
         517029707/1157316375627896063603544191484861554749248081531330\
         5400897985439497155772416000000000000000*ep^2+
         2526251276960807880195099/2249333240*ep^2*z5+50838942208748097\
         14494038541894619/15494490636008384000*ep^2*z4-578009760584421\
         04672614411064208690060497307/7093169710379583719236508160000*
         ep^2*z3-934641478406507737709623115951695504118036829833101812\
         44857377722015590837442291388873672759248177969473708415925039\
         1075966731905851440415662553988511970364154000068149661/
         17434926608187676587488759290105504470115856972420334987656686\
         00176934443181912459120433383432538090372399704339393053681610\
         7255514739507200000000000000000*ep^3+3928889933517257519253831/
         1413866608*ep^3*z6+104506808616210206849084512159904247/
         21028237291725664000*ep^3*z5-578009760584421046726144110642086\
         90060497307/4728779806919722479491005440000*ep^3*z4-
         251679093510801920162712165671765577902699487889715397031/
         258944005323106383490322205958824960000000*ep^3*z3+
         10025912111078642978565567/24742665640*ep^3*z3^2;
Fill mncnoptab(23,5,2,1)=
      +mncF321*(-191269552500-50506684944773850/24871*ep-
         68683583141246787381/7660268*ep^2-14654989936848980636857/
         633713080*ep^3)
      +24217667605993419491278306470399543343087057281118503553/
      26205133338698366009220607243033085952000000-57804912585086039217/
         455265047776*ep^-3-6926819528480825349209561979061/
         4062655444761398284800*ep^-2-284347904463826755568581137431762\
         6222785913/326285806677460851084879375360000*ep^-1+
         35841742694898743928519/14227032743*z3-20124795661700497187128\
         42509138969473752922519433048185650422638861727264063149323748\
         0065859326927/291658350407919261099844682466563985315034212361\
         3030918396540733305651200000000000000*ep+
         107525228084696231785557/28454065486*ep*z4+5126973584813274159\
         082687032414299/106911985388457849600*ep*z3+
         21052009113447436452790453522313636231841675380149673756453639\
         72728239921232920635296756503350982393712014091/
         93696333770834465309342937742614391472499124680776520525670090\
         118168973133479936000000000000000*ep^2+
         2526468844494880725311259/10346932904*ep^2*z5+5126973584813274\
         159082687032414299/71274656925638566400*ep^2*z4+17900719342480\
         2581987767425747926504605613221/
         32628580667746085108487937536000*ep^2*z3-
         15423679868865450628718431028567459980495651100128598949331018\
         43016884985940791627423645057571581094809884725379789487673919\
         95365519445156514420829484880448823024061/
         43455242372495562428493699649503275464662408940680406781167914\
         29894705682496549914582581369238812218648844248082279970203574\
         890554982400000000000000000*ep^3+19646016677060355733568355/
         32518931984*ep^3*z6+108093535900310681468348355386800887/
         96729891541938054400*ep^3*z5+179007193424802581987767425747926\
         504605613221/21752387111830723405658625024000*ep^3*z4-
         252384317527414920756874381385595995772916221322795106791/
         1191142424486289364055482147410594816000000*ep^3*z3+
         10024316686695728667176127/113816261944*ep^3*z3^2;
Fill mncnoptab(23,6,1,1)=
      +mncF321*(-6517332900-1847927999246706/24871*ep-
         68680622938858729849/191506700*ep^2-531211312981416270409837/
         522813291000*ep^3)
      +23830505308474125893681034647801792956886737859711171713/
      769063695809625958966256951697710131200000000-
         17041272652205024873/1484559938400*ep^-3-
         14643998418954166630806058351541/119230105444084514880000*
         ep^-2-5264005035484798562149723999929407396612473/957577910901\
         2438020969286016000000*ep^-1+3977771965288132518751/
         46392498075*z3-35008285307742351425292247311914486348493378701\
         455802511353895919807866202770049343/1670904520695957067302021\
         66397862970646574416197979532521635840000000000*ep+
         3977771965288132518751/30928332050*ep*z4+533352195111636152472\
         3686863849819/3137634353791697760000*ep*z3+
         61911891113143082617182076344095713523367027509075997574562023\
         711671258236731021383999567593/1065048242908672741546260485197\
         62319966485834794804977461457361829888000000000000*ep^2+
         93571476599575277611137/11246666200*ep^2*z5+533352195111636152\
         4723686863849819/2091756235861131840000*ep^2*z4+13848103343975\
         57115571494802339878156951682213/95757791090124380209692860160\
         0000*ep^2*z3+3150247759766839218318933337022249509922439861847\
         36874662692719056330139895378279614864867751236859140597815642\
         663071223520718863105558215999/2108365584995629071117075866511\
         51217920493184042500060360125310291786345586731949423656783963\
         228828064157517479936000000000000000*ep^3+
         436576650294811300145359/21207999120*ep^3*z6+12658062130756192\
         7719021661276409847/2838812034382964640000*ep^3*z5+13848103343\
         97557115571494802339878156951682213/63838527393416253473128573\
         4400000*ep^3*z4-2336303994013831449323826458481880221821399862\
         4588217621/3177949156238123797381227073131033600000000*ep^3*z3
         +1114986080638983662016263/371139984600*ep^3*z3^2;
Fill mncnoptab(24,1,1,5)=
      +mncF321*(-5405443875000-61346905835517206775/1144066*ep-
         9490337571514342758734/44046541*ep^2-1451508930459704622427461/
         2915080168*ep^3)
      +4508333117018612326115021592199732660069885064037252173581/
      169514456284705055122145803103370274752000000-3493948083406586387/
         5235548049424*ep^-3-34420352845203239422667338181/
         23360268807378040137600*ep^-2+33325690235746064670851556154054\
         6230196433/16885290495558599043642507674880000*ep^-1+
         23276180062818734280301893/327221753089*z3-
         30765425657950657400466542459749892083949948453709277085314513\
         00701165140502964263987002693/14363512986032620939795003728976\
         295614206153252418815564391120896000000000000*ep+
         69828540188456202840905679/654443506178*ep*z4+1443794411632393\
         7276401595635708801889/11065390487705387433600*ep*z3+
         64465589083202718529750579676704180415819356140463802740904210\
         19513889741975833113024381077043079949237/
         83057978931916567310578602265023980798039917939231292322276954\
         24628945059840000000000000*ep^2+821014778854392605591449469/
         118989728396*ep^2*z5+14437944116323937276401595635708801889/
         7376926991803591622400*ep^2*z4-6470105401452153006020215743374\
         913029307566212547/8442645247779299521821253837440000*ep^2*z3+
         83596559339725128318495855648296630571017139535733400268220689\
         49830533504471224029381023838376379296182637014892389856629535\
         78497735001947309007/10162932768017762931420704130708610651463\
         11186535451314289949841850696000080123088147462302295540387540\
         62861598720000000000000000*ep^3+6384327033676459803131954705/
         373967717816*ep^3*z6+61825479479614588815802447883707819277/
         2310356255674751222400*ep^3*z5-6470105401452153006020215743374\
         913029307566212547/5628430165186199681214169224960000*ep^3*z4-
         4420494639399669163083235748505425623897497726096270583753/
         790277185476480443459887193955106176000000*ep^3*z3+
         3258668142415751324702315209/1308887012356*ep^3*z3^2;
Fill mncnoptab(24,2,1,4)=
      +mncF321*(-3603629250000-20805083974836638100/572033*ep-
         6597196973335398195342/44046541*ep^2-8570914063588221723570355/
         24049411386*ep^3)
      +8014824096230771104846594824994911283275871687561540190233/
      452038550092546813659055474942320732672000000-
         12368100247424184303/2617774024712*ep^-3-
         2988202139404363808575474114909/70080806422134120412800*ep^-2-
         518316883157199749167229525390981770511257/5628430165186199681\
         214169224960000*ep^-1+15517520575499824302886884/327221753089*
         z3-22580236726509206724939100330798084881249003659038156321425\
         55219523534129186038493406661903/16158952109286698557269379195\
         098332565981922408971167509940011008000000000000*ep+
         23276280863249736454330326/327221753089*ep*z4+1619327784784684\
         493602881970668171047/1844231747950897905600*ep*z3+
         61375946143499387263187551853890833835354573287331985322199190\
         636708557020276131437058156535728919821/1245869683978748509658\
         67903397535971197059876908846938483415431369434175897600000000\
         000*ep^2+273671744660429713232155461/59494864198*ep^2*z5+
         1619327784784684493602881970668171047/1229487831967265270400*
         ep^2*z4-1016329140079886419317785176389052402079693117287/
         2814215082593099840607084612480000*ep^2*z3-
         18995921890557114132416896995903556870603183661399662232736526\
         49974807995994690827386070897190538001842956337611553610245009\
         1796517260386358953097/192841649273137051623707860880195887111\
         51254764510188688651798249116956601520335597598097186057878853\
         58342798835712000000000000000*ep^3+
         2128110107224090854962811645/186983858908*ep^3*z6+797277278537\
         739845280362726690112269/42784375105087985600*ep^3*z5-
         1016329140079886419317785176389052402079693117287/187614338839\
         5399893738056408320000*ep^3*z4-6048215744838161380689266490045\
         965844006243374601417926203/1580554370952960886919774387910212\
         352000000*ep^3*z3+1086220955834852177252172321/654443506178*
         ep^3*z3^2;
Fill mncnoptab(24,2,2,3)=
      +mncF321*(-1801814625000-10591077530915019450/572033*ep-
         3444141989457581028174/44046541*ep^2-1536528698491961571512729/
         8016470462*ep^3)
      +890373255786121428218583198888741486273545866812263192053/
      100453011131677069702012327764960162816000000-
         16760671396523413707/5235548049424*ep^-3-
         8277668923644096446664373011221/140161612844268240825600*ep^-2
         -562538269525273378782169161744414703784437/125076225893026659\
         5825370938880000*ep^-1+7758729741486042566724648/327221753089*
         z3-88222276641248936923366792633052095518536329994705400144230\
         309537835173550692780260548467741/1292716168742935884581550335\
         607866605278553792717693400795200880640000000000000*ep+
         11638094612229063850086972/327221753089*ep*z4+1635323982843277\
         262619674724193370143/3688463495901795811200*ep*z3+
         48466756992029839224099729706016314426799894485652652305985175\
         16541955042997260275145646333769383099347/
         20764494732979141827644650566255995199509979484807823080569238\
         561572362649600000000000000*ep^2+273671663898104542859319009/
         118989728396*ep^2*z5+1635323982843277262619674724193370143/
         2458975663934530540800*ep^2*z4-6288312746728066701544906886984\
         1182910867567067/625381129465133297912685469440000*ep^2*z3-
         39616028745878180071185827845503220314147242862986541805635330\
         21908196860868470773823699090798093049134572561318941973039417\
         7544791539097304296027/637763885831420575958144951669144567832\
         84541900929120761162156301001176734439802695324425987877690849\
         105977530122240000000000000000*ep^3+
         2128109559938004143704007505/373967717816*ep^3*z6+249983054730\
         0135237420500579629251583/256706250630527913600*ep^3*z5-
         62883127467280667015449068869841182910867567067/41692075297675\
         5531941790312960000*ep^3*z4-6854995581549416249120239240365713\
         87201718648765305803423/35123430465621353042661653064671385600\
         0000*ep^3*z3+1086223398059069921428696749/1308887012356*ep^3*
         z3^2;
Fill mncnoptab(24,3,1,3)=
      +mncF321*(-648653265000-3841184081931153750/572033*ep-
         1261835748964776178206/44046541*ep^2-7964559532776771247831/
         112118468*ep^3)
      +24658257387541307178965162804886257375946340891545557933/
      7727154702436697669385563674227704832000000+16243400745082594161/
         5235548049424*ep^-3+7737922294622714036349729491/
         239592500588492719360*ep^-2+5204614491867442034788496269230068\
         87887/7400960112013411809617579520000*ep^-1+
         2793108174222884787346194/327221753089*z3-
         89842910990155904985067808028484563318946972833959357892958018\
         55013216786120224989055822011/36934747678369596702330009588796\
         1887222443940776483828798628823040000000000000*ep+
         4189662261334327181019291/327221753089*ep*z4+50523182191640807\
         93156545767825723/31525329024801673600*ep*z3+
         97387866567885613343745942177483119765900472827160599356437840\
         3011448059381437949678991413708570387929/118654255617023667586\
         54086037860568685434273991318756046039564892327064371200000000\
         000000*ep^2+98521669278428465195446437/118989728396*ep^2*z5+
         15156954657492242379469637303477169/63050658049603347200*ep^2*
         z4-1161567485340505396704937795699538784908177411/
         48106240728087176762514266880000*ep^2*z3+
         21332215961022945912922390119078768979545108606045693156820037\
         72901868874841518471296704607623881730792447414266470305129065\
         0178468015693718497113945726801/
         65975101318975727502462006461082620011729197393868369733503515\
         87910016620884768437185674128439671967422004771377163188305920\
         000000000000000*ep^3+766118520975586841428947165/373967717816*
         ep^3*z6+305400559043524003409143996226406317/
         85568750210175971200*ep^3*z5-116156748534050539670493779569953\
         8784908177411/32070827152058117841676177920000*ep^3*z4-
         248767490033232616988659768210476131826138019936392413099/
         351234304656213530426616530646713856000000*ep^3*z3+
         391042058880920319381206529/1308887012356*ep^3*z3^2;
Fill mncnoptab(24,3,2,2)=
      +mncF321*(-216217755000-1304163575002741050/572033*ep-
         439428438352307779713/44046541*ep^2-924392470931132459925/
         36273622*ep^3)
      +2732024145282177521275027630675733296393527501084023017/
      2575718234145565889795187891409234944000000-167666716320915935097/
         5235548049424*ep^-3-1516231459408513288905307524953/
         3593887508827390790400*ep^-2-646655932894750026073814665696591\
         76353049/32070827152058117841676177920000*ep^-1+
         931305376047487541217156/327221753089*z3-
         91864168891041567660604566347662228719260192450997331795221860\
         952839833833861982969112004731/1163444551868642296123395302047\
         0799447506984134459240607156807925760000000000000*ep+
         1396958064071231311825734/327221753089*ep*z4+51050402001114897\
         78993420296019331/94575987074405020800*ep*z3+
         48280476622852606118106048928071916434887215284710245125798608\
         63416374376457320139073202342512790958527/
         18688045259681227644880185509630395679558981536327040772512314\
         7054151263846400000000000000*ep^2+32841557500985047546495803/
         118989728396*ep^2*z5+5105040200111489778993420296019331/
         63050658049603347200*ep^2*z4+357402975506494836061364532434212\
         24028146633/16035413576029058920838088960000*ep^2*z3-
         45437048347667325688282085639038419884698483545540075213311081\
         71293780607358787348323189913750097057801561941396955395315380\
         85102433157803811002243/97577874532207348121596177605379118878\
         42534910842155476457809914053180040369289812384637176145286699\
         913214562108702720000000000000000*ep^3+
         255379936433318266318989435/373967717816*ep^3*z6+1063480436249\
         05724560885448609088823/85568750210175971200*ep^3*z5+
         35740297550649483606136453243421224028146633/
         10690275717352705947225392640000*ep^3*z4-557956293550927788021\
         0332204299309028748416712570045779/234156203104142353617744353\
         76447590400000*ep^3*z3+130334505944216739291843327/
         1308887012356*ep^3*z3^2;
Fill mncnoptab(24,3,3,1)=
      +mncF321*(-12973065300-80308531299499659/572033*ep-
         56053945631173574565/88093082*ep^2-10437814980926457838297/
         6166515740*ep^3)
      +8044894050180353475628076724320816265710970686239668331/
      128785911707278294489759394570461747200000000-
         1657028456208605016459/261777402471200*ep^-3-
         5733332250952070907458295334473/59898125147123179840000*ep^-2-
         180794646910815738908531050529200969486303/3207082715205811784\
         16761779200000*ep^-1+1397379692955807913836042/8180543827225*
         z3-24100723224802087310211687294348646117334515884236774548748\
         6317159425113490355935368352887/528838432667564680056088773657\
         763611250317460657238209416218542080000000000000*ep+
         2096069539433711870754063/8180543827225*ep*z4+5181277448701117\
         621955674787463139/1576266451240083680000*ep*z3+
         19056650566642972957567253275790730260767503083371324773683403\
         370295538357643828407648974381221495697/1334860375691516260348\
         58467925931397711135582402336005517945105038679474176000000000\
         00000*ep^2+98528916864745057238287857/5949486419800*ep^2*z5+
         15543832346103352865867024362389417/3152532902480167360000*
         ep^2*z4+276923951573564628859719302166927774681346169/26725689\
         2933817648680634816000000*ep^2*z3-
         80546439486849073603866905030957831770891182221677160360418934\
         10407488348342470732138373382724453758173510486160208103916881\
         19013570280123609905999/23857380332055233559645720902760550115\
         69567674209684988130588062599809019113819219254882509579387533\
         89894939230716559360000000000000000*ep^3+
         153234149709792738044354013/3739677178160*ep^3*z6+338753251685\
         319511860859301371795621/4278437510508798560000*ep^3*z5+
         276923951573564628859719302166927774681346169/1781712619558784\
         32453756544000000*ep^3*z4-836990429446809388795975719183731040\
         24688688631183623789/58539050776035588404436088441118976000000\
         00*ep^3*z3+390990205205318104325257149/65444350617800*ep^3*
         z3^2;
Fill mncnoptab(24,4,1,2)=
      +mncF321*(-33264270000-205151133114158400/572033*ep-
         4187006190137347263/2590973*ep^2-102547147067993659583659/
         24049411386*ep^3)
      +8194633813193587023508213620737992288274966603736048691/
      50226505565838534851006163882480081408000000-7436439806352249537/
         2617774024712*ep^-3-332687604010270331427835914287/
         7786756269126013379200*ep^-2-149300537046099242177188585227340\
         145195371/625381129465133297912685469440000*ep^-1+
         143266414672143460478556/327221753089*z3-
         13690561432669049423958162077508471003825082217758582987044436\
         154646338262491303201004557161/1163444551868642296123395302047\
         0799447506984134459240607156807925760000000000000*ep+
         214899622008215190717834/327221753089*ep*z4+516862341098456107\
         9826365036136539/614743915983632635200*ep*z3+
         10013804284687967408855105091081273263590525674803101859883381\
         02369301212161951395406536877388138287/27242048483500331843848\
         66692365946892063991477598693990162145000789377024000000000000\
         00*ep^2+2526249362854612495691979/59494864198*ep^2*z5+51686234\
         10984561079826365036136539/409829277322421756800*ep^2*z4+
         142847011118834681855414098624701161186651567/
         62538112946513329791268546944000*ep^2*z3-
         15064492511687033707889637535540897019591660594434537454870672\
         91403955604256090236175108499197708198504938166062584345144709\
         75348479097099312104557300086733/
         43750635462978917557237271050897546670006344255469205456292202\
         43901143766515256699914690179167867795026709060823440268093030\
         40000000000000000*ep^3+19644435830040321808324755/186983858908
         *ep^3*z6+335831941670549089774107873815908021/
         1668590629098431438400*ep^3*z5+1428470111188346818554140986247\
         01161186651567/41692075297675553194179031296000*ep^3*z4-
         84621424969554367299356851056273726850600263284444017637/
         2283022980265387947773007449203640064000000*ep^3*z3+
         10025922120126789177347247/654443506178*ep^3*z3^2;
Fill mncnoptab(24,4,2,1)=
      +mncF321*(-5544045000-34828088497657650/572033*ep-
         12387723433387123266/44046541*ep^2-18369436876718604119749/
         24049411386*ep^3)
      +24078013621736658779423752158745449329399995137832806073/
      904077100185093627318110949884641465344000000-
         24601130718995561679/5235548049424*ep^-3-
         8867941758481244267332186233361/140161612844268240825600*ep^-2
         -3661599015087454203987910863720631052765113/11256860330372399\
         362428338449920000*ep^-1+23899854905728695607176/327221753089*
         z3-55242351429724740177399573752170117817510661537188640892140\
         0887856029662129101929531078219/290861137967160574030848825511\
         7699861876746033614810151789201981440000000000000*ep+
         35849782358593043410764/327221753089*ep*z4+5225950927871610069\
         989126219139539/3688463495901795811200*ep*z3+
         15456918181074230421609957811347635590702524173755907921818940\
         235494453432109989142451821403270540471/2669720751383032520697\
         16935851862795422271164804672011035890210077358948352000000000\
         00000*ep^2+842179620475990518752493/118989728396*ep^2*z5+
         5225950927871610069989126219139539/2458975663934530540800*ep^2
         *z4+748891402984448110001136250660555465766130901/112568603303\
         7239936242833844992000*ep^2*z3-
         15510577271805050103588356301656586243478857790949840578173988\
         33963443320619218629038366097370259695641668952960844388486327\
         945075840568263283711539992053949/
         11758195993849203618856984555250151604015601808206250107173364\
         91979390129906742809278104983844912645020954900638552074970873\
         200640000000000000000*ep^3+6548840289723557802749085/
         373967717816*ep^3*z6+116718005758620508744552933260810007/
         3337181258196862876800*ep^3*z5+7488914029844481100011362506605\
         55465766130901/750457355358159957495222563328000*ep^3*z4-
         251248943362579998167300080982343913803643813572068348911/
         41094413644776983059914134085665521152000000*ep^3*z3+
         3341266196072922329394249/1308887012356*ep^3*z3^2;
Fill mncnoptab(24,5,1,1)=
      +mncF321*(-308002500-2063771767763550/572033*ep-
         3178302511634619023/176186164*ep^2-269499781014702509629/
         5063033976*ep^3)
      +23750449082939708136258139572508096323154427435848462273/
      16273387803331685291725997097923546376192000000-
         17043773838789241193/31413288296544*ep^-3-
         14965775792967565935774815260661/2522909031196828334860800*
         ep^-2-5526595717241340793580478671308590497894713/202623485946\
         703188523710092098560000*ep^-1+3977771339991486464671/
         981665259267*z3-8338889398695612033499394244761133328526080502\
         93922850077534031258706742855390393431/88390849144816128860276\
         946024469511472037866168731172703945359360000000000*ep+
         3977771339991486464671/654443506178*ep*z4+54177155603770893801\
         04663746968539/66392342926232324601600*ep*z3+
         39162130709355010989717539880892756245828421919012648193000452\
         855199364108131256337227993451/1609744344281965372222776561912\
         979064636314474470052373631741268800307200000000000*ep^2+
         93571466822209539310977/237979456792*ep^2*z5+54177155603770893\
         80104663746968539/44261561950821549734400*ep^2*z4+189187101398\
         6786012514817942808613519729520741/202623485946703188523710092\
         09856000*ep^2*z3+312668342368815624863291897367967867309308651\
         84649879933760668076148331434262100070884155256550431837407907\
         0208575960428192770339426889845877/
         18744964612818281993629128292177982231922839387980257467311981\
         36879915576729095819245620818765513446150240785661952000000000\
         000000*ep^3+2182883024580702075389195/2243806306896*ep^3*z6+
         2734167504348223082631922413695143/1225903319337623097600*ep^3
         *z5+1891871013986786012514817942808613519729520741/13508232396\
         446879234914006139904000*ep^3*z4-24286939899140986898016362931\
         2012983270588797660770265511/739699445605985695078454413541979\
         380736000000*ep^3*z3+1114986083140170246232583/7853322074136*
         ep^3*z3^2;
Fill mncnoptab(25,1,1,4)=
      +mncF321*(-25025203125-602072017246774425/2288132*ep-
         454230123503486879561/396418869*ep^2-264779182534755416956921/
         91134611568*ep^3)
      +24042161489536166095274565867342860628530173447153094479847/
      195280653639980223500711965175082556514304000000+
         54827081773566806741/376959459558528*ep^-3+
         2501319178303978267361991548041/3363878708262437779814400*
         ep^-2-5906678903030053487787766841578689705094663/243148183136\
         0438262284521105182720000*ep^-1+323273279683800189347024/
         981665259267*z3-7610751887082445882798452095522002057943116130\
         5446333511861340765061146726774565665141/828664210732651208065\
         09636897940167005035499533185474409948774400000000000*ep+
         161636639841900094673512/327221753089*ep*z4+496861361902577016\
         7829017842719824573/796708115114787895219200*ep*z3+
         22875259603922551134587555505085760180986422472572228278604756\
         45066521327600579490819998463552811/76060420267322863837526192\
         5503882608040658589187099746540997749508145152000000000000*
         ep^2+273670834518011030800777633/8567260444512*ep^2*z5+
         4968613619025770167829017842719824573/531138743409858596812800
         *ep^2*z4+64678855410547965619459915724500045249501737367/
         1215740915680219131142260552591360000*ep^2*z3-
         35760391032848763647157214271579136097663814748614812390563522\
         26146779466508745689502477643492699944312726895564325572563041\
         8142614039897/809975539120707129075024837442172076376262205896\
         43157200239572658464313127045599576274762598039756898461286400\
         0000000000000*ep^3+2128103532034626086165171185/26925675682752
         *ep^3*z6+23767747290019459923691514352447509239/
         166345650408582088012800*ep^3*z5+64678855410547965619459915724\
         500045249501737367/810493943786812754094840368394240000*ep^3*
         z4-6334559012356710246315625011257044910257444902378209158759/
         227599829417226367716447511859070578688000000*ep^3*z3+
         1086231504840496267433624813/94239864889632*ep^3*z3^2;
Fill mncnoptab(25,2,1,3)=
      +mncF321*(-9009073125-222059202733827225/2288132*ep-
         19237941579899686626/44046541*ep^2-221383672185672779039539/
         192395291088*ep^3)
      +320569008048295121755683938624691884959899616896789324949/
      7232616801480749018544887599077131722752000000+
         3326729369739103773/41884384395392*ep^-3+
         867282493777118298386950559507/1121292902754145926604800*ep^-2
         +176877068336408527594313266907162269365131/900548826429791948\
         99426707599360000*ep^-1+38792866864335996941136/327221753089*
         z3-22045012925957099143664229101016521709021740244574294111016\
         06113748103990008186583163/69055350894387600672091364081616805\
         83752958294432122867495731200000000000*ep+
         58189300296503995411704/327221753089*ep*z4+6714953658812853303\
         5767634122800407/29507707967214366489600*ep*z3+
         50538140434814326308017201321009639708375395791741767398416572\
         7120298279050865310253369121410451/507069468448819092250174617\
         002588405360439059458066497693998499672096768000000000000*ep^2
         +10946846885500369542340809/951917827168*ep^2*z5+6714953658812\
         8533035767634122800407/19671805311476244326400*ep^2*z4+
         5364938647070098381833388356479481332459344033/900548826429791\
         9489942670759936000*ep^2*z3+1122510174210178472192436503892595\
         43570958379637779566075281526937291933094004785123299614054332\
         0044339533543052011193154744594329474481489/
         12610696086002394071137309776791971404504266959495211551791145\
         77390244382839540719556770149987942061249889566720000000000000\
         00*ep^3+85124245714889509331166105/2991741742528*ep^3*z6+
         111721564274585449659948604155416407/2053650005044223308800*
         ep^3*z5+5364938647070098381833388356479481332459344033/6003658\
         842865279659961780506624000*ep^3*z4-25421413614028153282426734\
         5017687175920403938816367227711/252888699352473741907163902065\
         63397632000000*ep^3*z3+43449258628879563199029237/
         10471096098848*ep^3*z3^2;
Fill mncnoptab(25,2,2,2)=
      +mncF321*(-2162177550-27316595500945803/1144066*ep-
         4892976757936638225/44046541*ep^2-48755832176710988241807/
         160329409240*ep^3)
      +35509747381692882504304875330979115022915264634563545101/
      3348433704389235656733744258832005427200000000-
         137853510983688848553/523554804942400*ep^-3-
         16967519402236142401949431668749/4672053761475608027520000*
         ep^-2-154012826855948391276705834593702955862793/8338415059535\
         110638835806259200000*ep^-1+232817934703063192994232/
         8180543827225*z3-610519346629234652249800100734672021823770579\
         85176052070694958064402266062659581286931/82866421073265120806\
         5096368979401670050354995331854744099487744000000000000*ep+
         349226902054594789491348/8180543827225*ep*z4+68108620136837985\
         663934002935379607/122948783196726527040000*ep*z3+
         12474440264102662987448379777380667510297312740319837809821104\
         54100358358983180855378795797495201/57045315200492147878144644\
         41279119560304939418903248099057483121311088640000000000000*
         ep^2+32841414295311479505273819/11898972839600*ep^2*z5+6810862\
         0136837985663934002935379607/81965855464484351360000*ep^2*z4+
         6061198538257153393788194990334570574637045597/208460376488377\
         76597089515648000000*ep^2*z3-
         22110319095139826857050290300618882653204345442606755076179443\
         27228100133031083572466659022157253475444542271056434525329749\
         60528080770915707/28279485972860368704525417174455995874600818\
         65666801190489164439797623028517670063606057061347960072352877\
         35336960000000000000000*ep^3+51075781470453894781443471/
         7479354356320*ep^3*z6+118121850880463293323083692193898007/
         8556875021017597120000*ep^3*z5+6061198538257153393788194990334\
         570574637045597/13897358432558517731393010432000000*ep^3*z4-
         27901622062597721065989563913355122584247208037691303463/
         11707810155207117680887217688223795200000000*ep^3*z3+
         130335728299630185538501983/130888701235600*ep^3*z3^2;
Fill mncnoptab(25,3,1,2)=
      +mncF321*(-693005625-17759371933230525/2288132*ep-
         1619547863384108088/44046541*ep^2-1795684918311412162037/
         17490481008*ep^3)
      +24579938904603907803611209112215069714835848192808718313/
      7232616801480749018544887599077131722752000000-
         2141037959714456751/41884384395392*ep^-3-
         913793070511510523270133644257/1121292902754145926604800*ep^-2
         -435038255459131443477439038702758894344777/900548826429791948\
         99426707599360000*ep^-1+2984644604218825244880/327221753089*z3
         -1148008051716461960698901924063851257416476648929973707422532\
         55415394799401685940772959/49719852643959072483905782138764100\
         20302129971991128464596926464000000000000*ep+
         4476966906328237867320/327221753089*ep*z4+10562341655291628615\
         80353484127127/5901541593442873297920*ep*z3+
         16779340204640539927812632325374969660738370661945549992990269\
         0547430790069881555888226399238929/253534734224409546125087308\
         5012942026802195297290332488469992498360483840000000000000*
         ep^2+842080751428995861805485/951917827168*ep^2*z5+10562341655\
         29162861580353484127127/3934361062295248865280*ep^2*z4+
         5428218191838596370690673981617490022620982201/450274413214895\
         97449713353799680000*ep^2*z3-
         23187134937317702734405002521475174586976309900554583420118402\
         94231804773226660698777194803722515476597613635620712992668952\
         918004762468903990547808673/1219544087784854727702995037014975\
         50800069599144415685859080084478175685585349470545191617028620\
         8401438945623646822109020160000000000000000*ep^3+
         6548128313131394337160125/2991741742528*ep^3*z6+24364913059211\
         596331157115053924203/5339490013114980602880*ep^3*z5+
         5428218191838596370690673981617490022620982201/300182942143263\
         98299808902533120000*ep^3*z4-249283309019615162816770623806823\
         129638365029914958128383/3287553091582158644793130726853241692\
         16000000*ep^3*z3+3342001318474027688733321/10471096098848*ep^3
         *z3^2;
Fill mncnoptab(25,3,2,1)=
      +mncF321*(-83160675-2184873594022431/2288132*ep-
         205858572459461253/44046541*ep^2-1184749264048177121587/
         87452405040*ep^3)
      +23855416389470752438240695640537473102031792032796301993/
      60271806679006241821207396658976097689600000000-
         99786924984761351181/1047109609884800*ep^-3-
         12018237805017145674057650627873/9344107522951216055040000*
         ep^-2-996626673486610545521575727784447017146549/1500914710716\
         31991499044512665600000*ep^-1+8965617765345357199632/
         8180543827225*z3-100849230876880568271992616699661726290492296\
         02106814075745037109845327391196506092562329/
         38184846830560567667639640682570828955920358184891866608104395\
         24352000000000000*ep+13448426648018035799448/8180543827225*ep*
         z4+1787271167091411848431370959570513/81965855464484351360000*
         ep*z3+45568660199875827067654894647726542036974584790045772503\
         555925589474242448317149326275502991285409/
         62586860105682813672021552727176626033059906767395636286802100\
         53095594393600000000000000*ep^2+2526650816519797662169863/
         23797945679200*ep^2*z5+5361813501274235545294112878711539/
         163931710928968702720000*ep^2*z4+77306443885388677204422090356\
         50376594886211321/375228677679079978747611281664000000*ep^2*z3
         -2120373385767421072390675498977636949239054966527787570561885\
         03107381458213139420239299317903754846153046866329312774118663\
         58776598976051/11669413283735285072253605487965679915586746291\
         73259319078251353867789166918250235793511478387260276154124206\
         080000000000000000*ep^3+3929465601889531836211467/
         14958708712640*ep^3*z6+385638045402894401275862152800417221/
         667436251639372575360000*ep^3*z5+77306443885388677204422090356\
         50376594886211321/250152451786053319165074187776000000*ep^3*z4
         -238882589278128803579381386085352750799198925750106677567/
         2739627576318465537327608939044368076800000000*ep^3*z3+
         10023013941637783748552091/261777402471200*ep^3*z3^2;
Fill mncnoptab(25,4,1,1)=
      +mncF321*(-8555625-237464807255325/2288132*ep-215079312087139103/
         396418869*ep^2-971932447626026901541/577185873264*ep^3)
      +23653684945395917001403203790550053667437821465383791273/
      585841960919940670502135895525247669542912000000-
         17024631366233534693/1130878378675584*ep^-3-
         15339990825382602562579373328161/90824725123085820054988800*
         ep^-2-5843984089161230277006727372613636818808713/729444549408\
         1314786853563315548160000*ep^-1+994444031402406347824/
         8834987333403*z3-124604276986723045674704500909296396028571735\
         55797999547257239233060853702462757021281/50913129107414090223\
         519520910094438607893810913189155477472526991360000000000*ep+
         497222015701203173912/2944995777801*ep*z4+55297675447339699511\
         46853304375539/2390124345344363685657600*ep*z3+
         61124671347883518786640272191798591804473408864221629206770013\
         7154897817834622266236236339459/108174819935748073013370584960\
         5521931435603326843875195080530132633806438400000000000*ep^2+
         10396837961319442705053/951917827168*ep^2*z5+55297675447339699\
         51146853304375539/1593416230229575790438400*ep^2*z4+2577526031\
         317083651162606372453691556131984741/7294445494081314786853563\
         31554816000*ep^2*z3-684859817296577926298326292191835918515048\
         05045367681839529310674823986630938146467082247229702980248714\
         998260272192445492048353/5035862382381739006817764650985660970\
         00561307676720273527968922613303670710874367831698355929474169\
         56928000000000000000*ep^3+2182884761076426771621695/
         80777027048256*ep^3*z6+143815257668464723849032387357498007/
         2162493455311567144166400*ep^3*z5+2577526031317083651162606372\
         453691556131984741/486296366272087652456904221036544000*ep^3*
         z4-216326805601904672842041549149581491280731431949614088511/
         26629180041815485022824358887511257706496000000*ep^3*z3+
         1114986063997697690526083/282719594668896*ep^3*z3^2;
Fill mncnoptab(26,1,1,3)=
      +mncF321*(-43243551-28106197019451603/57203300*ep-
         2608960937962822139/1101163525*ep^2-162065359703921414569861/
         24049411386000*ep^3)
      +2886898662915485535618684546475360031382282936882107869181/
      13561156502776404409771664248269621980160000000000-
         18648458775183446953/26177740247120000*ep^-3-
         656275160461472607385894472749/233602688073780401376000000*
         ep^-2+506595617407475346101348716185064315712647/3377058099111\
         7198087285015349760000000*ep^-1+116376803972810446582416/
         204513595680625*z3-2158783319441525845280604187412432000969651\
         9443027541488837081174275800075190276641/153456335320861334826\
         86969795914845741673240654293606372212736000000000000*ep+
         174565205959215669873624/204513595680625*ep*z4+622914479555711\
         752903306094763206863/55326952438526937168000000*ep*z3+
         68137277782052196351025662297551533944689744676884929058656971\
         3944320127360447695305945132977/176065787655839962586866186459\
         232085194596895645161978365971701275033600000000000000*ep^2+
         32840204291523982280061019/594948641980000*ep^2*z5+62291447955\
         5711752903306094763206863/36884634959017958112000000*ep^2*z4+
         783172530452541195272496622064895417408063414157/8442645247779\
         2995218212538374400000000*ep^2*z3+
         64206337453410663251497036906294307190402596877768432122890245\
         41005290361851104125297426246782823824381218500931236106684538\
         7529/335968852019660090944367283893929820852121382045513651176\
         6510522656953300284545699639373596562775080960000000000000000*
         ep^3+51074027068519124398576271/373967717816000*ep^3*z6+
         3392560222354350622335392041432457389/
         11551781278373756112000000*ep^3*z5+783172530452541195272496622\
         064895417408063414157/56284301651861996812141692249600000000*
         ep^3*z4-743817503537790708480079315094644058225061333854793490\
         301/15805543709529608869197743879102123520000000000*ep^3*z3+
         130347805805324613375919583/6544435061780000*ep^3*z3^2;
Fill mncnoptab(26,2,1,2)=
      +mncF321*(-6652854-2243060676375831/28601650*ep-17464777717026645/
         44046541*ep^2-366855446134412602303/308325787000*ep^3)
      +24596948923335739430552331883689364487727483800973793993/
      753397583487578022765092458237201221120000000000-
         11446475637220314381/13088870123560000*ep^-3-
         1176028055068823874856069039873/116801344036890200688000000*
         ep^-2-80658217881274413482374757357234362727189/18761433883953\
         99893738056408320000000*ep^-1+17911397450132291303064/
         204513595680625*z3-1572680262867295546047853276624994791921351\
         982944379729103027092033514894162272908049/7768726975618605075\
         610278459181890656722078081236138225932697600000000000000*ep+
         26867096175198436954596/204513595680625*ep*z4+5439808171631871\
         429726459221780339/3073719579918163176000000*ep*z3+
         32040130777416215663637533538116997139144749461671774475518575\
         78135314872122031754936310798409/63666646429120700756857862067\
         84731652126048458597375110555226697891840000000000000000*ep^2+
         2526300855068077924835463/297474320990000*ep^2*z5+543980817163\
         1871429726459221780339/2049146386612108784000000*ep^2*z4+
         780738607666379709360231604927071977371089917/3607968054606538\
         25718857001600000000*ep^2*z3-672390787819435552674420661455249\
         72655924402471909490745593640216551903607268353295376467791226\
         96294418996513406688602084783282743/
         69293575729054893757275752303123025550750035046887190555184279\
         5297996618183687550550620804291072360448000000000000000000*
         ep^3+3928961006649534358905867/186983858908000*ep^3*z6+
         135720659034066533141349445630446807/2780984381830719064000000
         *ep^3*z5+780738607666379709360231604927071977371089917/
         240531203640435883812571334400000000*ep^3*z4-17593201751602377\
         542158084874082485966430984334464922459/2634257284921601478199\
         623979850353920000000000*ep^3*z3+10025241197180598822276891/
         3272217530890000*ep^3*z3^2;
Fill mncnoptab(26,2,2,1)=
      +mncF321*(-511758-179048517041187/28601650*ep-474768798349732011/
         14315125825*ep^2-420431894328224152303/4008235231000*ep^3)
      +23558347412221776747918085401530511261528485364076369993/
      9794168585338514295946201957083615874560000000000-
         159874262838390714381/170155311606280000*ep^-3-
         18628825148101501509173301012673/1518417472479572608944000000*
         ep^-2-113462622672625092331866925040592027601193/1876143388395\
         399893738056408320000000*ep^-1+17947974297692579723064/
         2658676743848125*z3-481493604777258961498132954510462006574931\
         41359104220217829218172778545187971891551249/
         33664483561013955327644539989788192845795671685356598979041689\
         60000000000000000*ep+26921961446538869584596/2658676743848125*
         ep*z4+5566462814419946844857036774549939/
         39958354538936121288000000*ep*z3+38123608090565537227265391370\
         90710103674195676468940520000048831424739085328886947751662816\
         608541/1158732965009996753774813089634821160686940819464722270\
         12105125901631488000000000000000000*ep^2+
         2526925793881202852675463/3867166172870000*ep^2*z5+55664628144\
         19946844857036774549939/26638903025957414192000000*ep^2*z4+
         13873847249360559822921617085945050444407516121/60974660122850\
         496546486833270400000000*ep^2*z3-
         16429627668944635498436369203320998545038243982578568953829563\
         24012254085465484735665348715210134367635717568341768379802756\
         277727/2853264882961083860593707447775653993266177913695354905\
         21347033357998607487400756109079154708088619008000000000000000\
         00000*ep^3+3929859449132878586265867/2430790165804000*ep^3*z6+
         146293690989886895141119363700867607/
         36152796963799347832000000*ep^3*z5+138738472493605598229216170\
         85945050444407516121/40649773415233664364324555513600000000*
         ep^3*z4-197327332065687402346990756664645073594574658458553780\
         767/445189481151750649815736452594709812480000000000*ep^3*z3+
         10020538156723281737316891/42538827901570000*ep^3*z3^2;
Fill mncnoptab(26,3,1,1)=
      +mncF321*(-123201-89621866153053/57203300*ep-9562242219129464/
         1101163525*ep^2-691714510329902955011/24049411386000*ep^3)
      +23568415008421886538781944162031146951091326924702229993/
      40683469508329213229314992744808865940480000000000-
         17240252177101012709/78533220741360000*ep^-3-
         15927994376016523930274170888673/6307272577992070837152000000*
         ep^-2-1244049260052531681036607471111895851361909/101311742973\
         351594261855046049280000000*ep^-1+994430555101727130448/
         613540787041875*z3-4925948376272518161690411883588823438264263\
         7301729582146250280859458184365467498433/155374539512372101512\
         20556918363781313444156162472276451865395200000000000000*ep+
         497215277550863565224/204513595680625*ep*z4+568753553227483007\
         5941557248381939/165980857315580811504000000*ep*z3+
         11959752892127966940436257947838944834140711373988907101087544\
         3812992305559308814996396970197/198074011112819957910224459766\
         63609584392150760080722566171816393441280000000000000000*ep^2+
         93570698770523411476869/594948641980000*ep^2*z5+56875355322748\
         30075941557248381939/110653904877053874336000000*ep^2*z4+
         17814847283487668547260196708919249484025160121/25327935743337\
         8985654637615123200000000*ep^2*z3+
         17808945536096405776043641891897853681129895980123564531315540\
         15626784930600280333486880323353571419441304197350578327074275\
         2784597/945508855467591813524968056919756753552074291964454391\
         11373756898824362664082534368400507643901272653824000000000000\
         0000000*ep^3+436573040237716758651763/1121903153448000*ep^3*z6
         +22524337107699020327243112995314801/
         21453308088408404208000000*ep^3*z5+178148472834876685472601967\
         08919249484025160121/168852904955585990436425076748800000000*
         ep^3*z4-164292409792245678460478415855169712661828522784505216\
         767/1849248614014964237696136033854948451840000000000*ep^3*z3+
         1114986279618508558004099/19633305185340000*ep^3*z3^2;
Fill mncnoptab(27,1,1,2)=
      +mncF321*(-19683-186075942446187/743642900*ep-257975445775002518/
         186096635725*ep^2-130420734133701624719/28422031638000*ep^3)
      +216706814048026862279602027064966870047478071463167069937/
      2291835448969212345251411257957566114647040000000000+
         113054856978082405619/4424038101763280000*ep^-3+
         5739996668045107904847967847327/39478854284468887832544000000*
         ep^-2-152649837905355122495042510857289463390737/4390175528845\
         23575134705199546880000000*ep^-1+8909126071003371004032/
         34562797670025625*z3-85014123994549347745612689258754265456645\
         02743687304660652367319339019752526639/16675746315088455237744\
         971035941415447162922264503726060339200000000000000*ep+
         13363689106505056506048/34562797670025625*ep*z4+51119730686967\
         419624267850393909451/9350254962111052381392000000*ep*z3+
         19868035190228999979224925794143641661850964284364135792179435\
         273561467053673109088181679/2125851488471433018774318809414310\
         5851256626774714487842827801722880000000000000000*ep^2+
         2524618704417127376595463/100546320494620000*ep^2*z5+511197306\
         86967419624267850393909451/6233503308074034920928000000*ep^2*
         z4+160150549560598198247164458813508541264534945089/1426807046\
         8747016191877918985273600000000*ep^2*z3-
         12611246139813686900072125098196862171497522062319032148461031\
         76199205949123580708990660481066887490127530838304071037541/
         22381771076690603137782879540737426920976055169162829292229613\
         092363622517517091567780203855872000000000000000000*ep^3+
         3926530530616613324345867/63200544310904000*ep^3*z6+4251382230\
         641388136372883511539465389/25379263468587142178064000000*ep^3
         *z5+160150549560598198247164458813508541264534945089/951204697\
         9164677461251945990182400000000*ep^3*z4-4910643263116685183109\
         66698002420113834548691077481562301/34724779529836550685627443\
         302387365373440000000000*ep^3*z3+10044730498616839415156891/
         1106009525440820000*ep^3*z3^2;
Fill mncnoptab(27,2,1,1)=
      +mncF321*(-729-7394404172481/743642900*ep-445804834490219/
         7443865429*ep^2-67833082872853942367/312642348018000*ep^3)
      +23325138557062825395611745636639829444412089310561653993/
      6875506346907637035754233773872698343941120000000000-
         12999458257067572709/13272114305289840000*ep^-3-
         13511515240905972849141694019873/
         1065929065680659971478688000000*ep^-2-948827172820073790090885\
         07030314882364553/1317052658653570725404115598640640000000*
         ep^-1+994695604721729220448/103688393010076875*z3-
         82582468741406803094430424875168311126142754345395507548418656\
         43026496998107681/53362388208283056760783907315012529430921351\
         2464119233930854400000000000000*ep+497347802360864610224/
         34562797670025625*ep*z4+5935580120966008702390893431500339/
         28050764886333157144176000000*ep*z3+12415870796134770788157003\
         239107187162361981606908141920379679381586214128635235040647241
       /680272476310858566007782019012579387240212056790863610970489655\
         132160000000000000000*ep^2+93587276419483542196869/
         100546320494620000*ep^2*z5+5935580120966008702390893431500339/
         18700509924222104762784000000*ep^2*z4+257873501166513748691582\
         18916185197747707428921/42804211406241048575633756955820800000\
         000*ep^2*z3-26946909362294929485022463933189857792884674471761\
         52410987341757947357928672081491574408697692085641233382092575\
         0195386691/121040617982742781769129812556308004788638506354832\
         58081237774760350247057473243119855534245255577600000000000000\
         0000*ep^3+436649980355980222491763/189601632932712000*ep^3*z6+
         179492781149435855321857580481406807/
         25379263468587142178064000000*ep^3*z5+257873501166513748691582\
         18916185197747707428921/28536140937494032383755837970547200000\
         000*ep^3*z4-49191296418667646462691670056310944377635825815698\
         451967/312523015768528956170646989721486288360960000000000*
         ep^3*z3+1114982038824588524564099/3318028576322460000*ep^3*
         z3^2;
Fill mncnoptab(28,1,1,1)=
      +mncF321*(-1-312536252003/20078358300*ep-1632177306272746/
         15073827493725*ep^2-103452650387006862847/227916271705122000*
         ep^3)
      +35899154601264120477556442460066107524055138243429549993/
      5012244126895667399064836421153197092733076480000000000-
         243049439548758132709/9675371328556293360000*ep^-3-12754034817\
         8025825485485822488673/777062288881201119207963552000000*ep^-2
         -50782842692594976189033076741046290625993/9601313881584530588\
         19600271409026560000000*ep^-1+980317480890998560448/
         75588838504346041875*z3-39491288004784397723062751499322465362\
         21033880718749315823582792041/40255053386752750702421148237921\
         4361673652143306971136000000000000*ep+490158740445499280224/
         25196279501448680625*ep*z4+6422523079994903131886743648901939/
         20449007602136871558104304000000*ep*z3-12997854667032064754118\
         6728134933124476436243996487624368254699732363956359173/
         46186022016277154406502199532480013863939288016458933464948736\
         00000000000000*ep^2+92687990128979660916869/
         73298267640577980000*ep^2*z5+6422523079994903131886743648901939
       /13632671734757914372069536000000*ep^2*z4+4277381671603004415539\
         1314253557324636831200121/312042701151497244116370088207933632\
         00000000*ep^2*z3+328076275832384593987319911995631189530117377\
         347145126232526435356567186068691022728370921/
         43275843263076719786314833891057222944293222131263408956104723\
         2518717440000000000000000*ep^3+432476216409688122331763/
         138219590407947048000*ep^3*z6+74479485099664558039944163720787\
         869/6167161022866675549269552000000*ep^3*z5+427738167160300441\
         55391314253557324636831200121/20802846743433149607758005880528\
         908800000000*ep^3*z4+23965568534752011347008030629494880226031\
         63619884846473/18828865991343604053586913678261446629350400000\
         00000*ep^3*z3+1115212088805880215124099/2418842832139073340000
         *ep^3*z3^2;
*--#] 31 :
#case 30
*--#[ 30 :
Fill mncnoptab(8,7,7,8)=
      +mncF321*(3312910849046340237696000000+
         26208224295613620683182760000*ep+
         663949078555405778235990638800/9*ep^2+
         6922740167139431196621521601550/63*ep^3)
      -4564878462773533869392583729757341019731854811970111/
      280115717406877504152000-5911714784268923600365000/27*ep^-3-
         79705452293888451085129760247/34034*ep^-2-59934370787794163975\
         85921802614409709627/802189776187800*ep^-1-
         1176966244118083472200957630400/27*z3+
         20710022898256114813777799996364839063748032964431285849726965\
         410695879383210500570920838635959259957700700259/
         12620765719729800608394583580588102846750856027005811928596480\
         0000000000000000000*ep-588483122059041736100478815200/9*ep*z4-
         981465139109442647936273087771271364/1378377*ep*z3-
         10544110956534644859482710997852328328896346323821111496700390\
         965295676463544813118466261275259590592649608864417074059/
         13560093974105274424235688931657249694946551338698978894168515\
         936256000000000000000000000*ep^2-
         12686328659912959932952251047200/3*ep^2*z5-4907325695547213239\
         68136543885635682/459459*ep^2*z4+93173576617790320262920637004\
         53841242889563/4718763389340*ep^2*z3-
         33677471513143452448459605400287940056883643799769288796247385\
         26256202438588815571068832137414877006686342714198433436526329\
         515275597277282809430096563/2333472413665715767318029049551749\
         30071498918287004676031175802451733622048441986984544147865600\
         0000000000000000000000000*ep^3-2824999792377463898109232544860\
         00/27*ep^3*z6-10895355327652258754342660316910494238/1378377*
         ep^3*z5+9317357661779032026292063700453841242889563/
         3145842259560*ep^3*z4+9872675217982001458374821268131103600569\
         2976000266253/140057858703438752076000*ep^3*z3-
         41199801200498060660659091909600/27*ep^3*z3^2;
Fill mncnoptab(8,8,7,7)=
      +mncF321*(3076274359828744506432000000+
         24348597543681443957644720000*ep+
         617400610726158206904269892800/9*ep^2+
         6445329169086527205697193130856/63*ep^3)
      -1239012345081218576833148785245414302529055127901109/
      81879978934318039675200-5987800157767346182955600/27*ep^-3-
         1592424287217644491053875611061/671517*ep^-2-17727685870201447\
         51747219331376805491821/234486242270280*ep^-1-
         1092886262998708092890754563200/27*z3+
         25814289706904852698698702446792219427379184747294177331149927\
         906212561358762117723713196430270735307744371431/
         16939960267455226876259605904871001466204053223061176136499200\
         0000000000000000000*ep-546443131499354046445377281600/9*ep*z4-
         1332308128898216715187954797936981596/2014551*ep*z3-
         34134823668106703859929921384679875311791962275421552793248852\
         614378314422731652193278106990040319184228933111307749047/
         47321960603510243398863322598232442812976740386071946753118698\
         471424000000000000000000000*ep^2-
         11780149369969389284326465601600/3*ep^2*z5-6661540644491083575\
         93977398968490798/671517*ep^2*z4+12626770708868327176278807450\
         383601156240187/6896654184420*ep^2*z3+
         45875519222021907313198155030474311694784444836516602736301795\
         61575788066277961116151137392027534439714617268618537061321129\
         3928089103590132423335936931/278588033060090555894091223262810\
         88590168748407734231730252621313115136509865012731828229898240\
         000000000000000000000000000*ep^3-26232114516681448866511858962\
         8000/27*ep^3*z6-14818320069332513116204774678697703632/2014551
         *ep^3*z5+12626770708868327176278807450383601156240187/
         4597769456280*ep^3*z4+2710474852272351784682747485016440840977\
         2403603719249/40939989467159019837600*ep^3*z3-
         38257078857844480159985990065600/27*ep^3*z3^2;
Fill mncnoptab(8,8,8,6)=
      +mncF321*(2448463265986143586752000000+
         135770269089525367508365440000/7*ep+
         8044937010556265968673583874400/147*ep^2+
         84152127267963434840518136527268/1029*ep^3)
      -154881859648456488558211926163995217740309797593151/
      12859355665966615205400-70789134640510139095080800/441*ep^-3-
         898975546302793283109832995338/522291*ep^-2-290536560328885405\
         82225015095370949088/5260909281705*ep^-1-
         14207676568104665808304603801600/441*z3+
         40898150730256229348952287772151873756871919358330842702186468\
         43237224433600301109871450987957480275816286111/
         33783396544782503741828273884358122582173325516076419645440000\
         000000000000000000*ep-7103838284052332904152301900800/147*ep*
         z4-17327165215847266550186227335358288688/32904333*ep*z3-
         27033259712671773454154466314023696661327010740555449733066885\
         011151096431257550736480906496676536840953027130453368267/
         47187140202930442135618697747525227876187632863604505309377619\
         558400000000000000000000000*ep^2-15314212516796240082052597686\
         0800/49*ep^2*z5-8663582607923633275093113667679144344/10968111
         *ep^2*z4+3149133652743975890457617667422339873039974/
         2166256763055*ep^2*z3+1250918627775355556357720840225456071026\
         03111607449104160357292604553455554396173900526183489094303127\
         133379087311877716632777104470305060945234752088587/
         55232050127381787769852508315720676725606886821433879900936569\
         487875325106704055742840281497600000000000000000000000000000*
         ep^3-3410178624858892353941072969864000/441*ep^3*z6-1933222450\
         66060104793033954636893570296/32904333*ep^3*z5+157456682637198\
         7945228808833711169936519987/722085587685*ep^3*z4+138083699915\
         73439998066453116953752606794860351883521/
         25718711331933230410800*ep^3*z3-497340318517734732380369296508\
         800/441*ep^3*z3^2;
Fill mncnoptab(9,6,6,9)=
      +mncF321*(1863512352588566383704000000+
         14763297071455160885121465000*ep+41661641023819974397099086400
         *ep^2+5229912402152960487282121627141/84*ep^3)
      -8674407568222797327807126969525592580318776408400551/
      946168645463230680691200-188660945484086785829425/3*ep^-3-
         4521371714246087868013625057671/6651216*ep^-2-5374294114993041\
         4473031357105494896767/24193024996140*ep^-1-
         73564368329936577013026920600/3*z3+299178830599442723544617365\
         84950189292599012942518385078154684856372394487454092809827751\
         1486953347798680365877/324801081802993387085879653629526625643\
         3659455838956043422924800000000000000000000*ep-
         36782184164968288506513460300*ep*z4-77756090799122214898617582\
         3447080621/1939938*ep*z3-1522363904341362700612120039522674746\
         18585851397350581128071192065054271924510813654782116693990310\
         056881655962051068797/3489751168785611365051978357861421297154\
         49871489057319265797150867456000000000000000000000*ep^2-
         2378700727802405697578412585900*ep^2*z5-7775609079912221489861\
         75823447080621/1293292*ep^2*z4+2938385126296909856280761250728\
         4853912474291/26564890191840*ep^2*z3+
         44518970590547901381273158367352799571539188776431003130321423\
         89871852161429601410624635509790336941629867744528235646358231\
         4353002049973758048334197/185922483006045202749273400773497610\
         01650707463888327751005603930172364532960208113303237427200000\
         0000000000000000000000*ep^3-17656344537693201289305527092750/3
         *ep^3*z6-52069223621345587873495556763705363817/11639628*ep^3*
         z5+29383851262969098562807612507284853912474291/17709926794560
         *ep^3*z4+193830866766060970584200235824688639703192514388154043
       /473084322731615340345600*ep^3*z3-
         2574943816188779705830331930300/3*ep^3*z3^2;
Fill mncnoptab(9,7,5,9)=
      +mncF321*(1339003348586172274005000000+
         10621666521388228415684128125*ep+
         2523616544289206486322502304875/84*ep^2+
         70616952588336215814414477180495/1568*ep^3)
      -6196087857127518987464097432176267279440802344020173/
      940570014424986712166400-21698702058882506410527125/504*ep^-3-
         13386888734910579018842948961985/28651392*ep^-2-84678704463485\
         712384369862474660916749/54971133719040*ep^-1-
         1110036729403824588590861804375/63*z3+
         28598817527759080001555809412838705073059942031847148917158768\
         220679004486555127050533741626927584851121217/
         43242747577321604789540190571978396905181856660577817146163200\
         0000000000000000*ep-1110036729403824588590861804375/42*ep*z4-
         21674204956394744755742139069007519975/75209904*ep*z3-
         30224239713551154750585187856166150944767246631760077182429422\
         7547027694735957202599101029876537116508097917307278249/
         96639263135601545493747092986931666690432272104662026873605364\
         8556032000000000000000000*ep^2-
         23928603596986446732075199038125/14*ep^2*z5-216742049563947447\
         55742139069007519975/50139936*ep^2*z4+125465884310587372134463\
         54695805949260335889/15844620895488*ep^2*z3+
         34609770655805252143729153575121281621844433504031173572268265\
         41570515526114985178550368387583787641479095092171583176820920\
         5420077787151882206398146983/961479528617462161497592464760065\
         54043936468578752098131550380164493365945750420237136362031022\
         080000000000000000000000000*ep^3-10656867945703518570574753386\
         71875/252*ep^3*z6-486128324961642197717282648547745217525/
         150419808*ep^3*z5+12546588431058737213446354695805949260335889/
         10563080596992*ep^3*z4+142353388857951760934048990827286291586\
         439645305347389/470285007212493356083200*ep^3*z3-
         77708060820923467202384950214875/126*ep^3*z3^2;
Fill mncnoptab(9,7,6,8)=
      +mncF321*(2307205769871558379824000000+
         18274493754610288061256390000*ep+
         154654906422560920820097777500/3*ep^2+
         3234334974729439089438393413641/42*ep^3)
      -6195600584980491555723870451776915018069373261824839/
      545866526228786931168000-1069690461835773651768050/9*ep^-3-
         762633117281319257432441621465/596904*ep^-2-131532893269128310\
         290415634287673278087/31902890104800*ep^-1-
         273230965450911604186094340400/9*z3+
         67421374506685195463480853087432163683295531620771520254109718\
         60194153721567422154162178676810120799482750908647/
         59026350443043990537722360130750511775573234341688720404512768\
         000000000000000000000*ep-136615482725455802093047170200/3*ep*
         z4-47599959072165915596762876626078091/95931*ep*z3-
         89135076778013696872709769125705605735787829532807460112013741\
         25122115778097443825509884697204682070468903579353727560719/
         16489074272512013699870597740895215629055006427857958335308915\
         378487296000000000000000000000*ep^2-
         2945048451233997383266208664200*ep^2*z5-4759995907216591559676\
         2876626078091/63954*ep^2*z4+1260086837336948928792375434334813\
         3290939143/9195538912560*ep^2*z3-
         11024996339681383233715461370149784796173079276403953302409311\
         38661785794002779774089837658136180930899997605387961192112554\
         5258301630004578798563406567813/970724524084937759204300084613\
         52770909743550007393945228969133819921186772151866585570365512\
         08960000000000000000000000000000*ep^3-
         65580512739137662113024459093500/9*ep^3*z6-7431682051341354506\
         736651371378032933/1343034*ep^3*z5+126008683733694892879237543\
         43348133290939143/6130359275040*ep^3*z4+1377459729171755115717\
         67753865310390437856506741211547/272933263114393465584000*ep^3
         *z3-9564166317823321673492711779000/9*ep^3*z3^2;
Fill mncnoptab(9,7,7,7)=
      +mncF321*(2499472917360854911476000000+
         19800918041959883186055197500*ep+
         502884052723762186471337486975/9*ep^2+
         14029144021970636884377303710849/168*ep^3)
      -476554948080818248335708004991918286246174549287381/
      38759753341689012864000-9097243456484716646203675/54*ep^-3-
         38784438395508953614645328818889/21488544*ep^-2-83401554174592\
         60561699693819621209285991/1442992260124800*ep^-1-
         887977050961597493889453194500/27*z3+4097609721408460752540509\
         64392568537417838122183960957997977357413533083265367328625952\
         36080601224678316101/33093939472440003665464431560187548651924\
         8903014626151628800000000000000000000*ep-
         443988525480798746944726597250/9*ep*z4-43318981089752691187601\
         86285204199555/8058204*ep*z3-540828671531165918522133792760077\
         07213592143118477671409966823242208998024029993440992188911001\
         323928434521314819861/9244827468329229479631418334209024236967\
         3729691959847136739826073600000000000000000000*ep^2-
         9571379591233242754626654515750/3*ep^2*z5-43318981089752691187\
         60186285204199555/5372136*ep^2*z4+2518920284308154906024348220\
         262100844187433/1697637953088*ep^2*z3+
         57754369502038230246757181537498691699274653437388209322781330\
         66740871502879949847125544504698842641075514109523548928806723\
         4255580624099601571084265761/919782712325378343269380546645470\
         86138969836012836828569722940208380133238919407114607489187840\
         00000000000000000000000000*ep^3-213136098175343968244376093618\
         125/27*ep^3*z6-96683306817084580878833432442292622095/16116408
         *ep^3*z5+2518920284308154906024348220262100844187433/
         1131758635392*ep^3*z4+1382576788899087631935228277806172007765\
         39882771253409/251938396720978583616000*ep^3*z3-
         31083799986769233994883263237450/27*ep^3*z3^2;
Fill mncnoptab(9,8,4,9)=
      +mncF321*(489692653197228717350400000+
         27298206313706478676727058000/7*ep+
         1632782201219716611825967169080/147*ep^2+518815668278215449228\
         996375098203/30870*ep^3)
      -524456796863470449408615408837437534996847476973836003/
      217683172713482862197011200-5883362404620162022779010/441*ep^-3-
         27585243033584544986006383690831/188024760*ep^-2-4016509859709\
         30897831489487546206195343/806672756528100*ep^-1-
         2841717352227894198268904161520/441*z3+
         70157335373316531812169400699663310063374342135262343043182636\
         74015535093116089142722272993985830790479132580007222250893/
         29085246380578411964456522401299754592806343894859441808719903\
         8209429340160000000000000000000*ep-
         1420858676113947099134452080760/147*ep*z4-57908216220488324418\
         39468184754834641/54840555*ep*z3-
         11799328372730266778805282231116787573675335749508003821489546\
         95666295830507963306506004232573316355865149181115610162677027\
         28192383/10381937743520560296308709716360406371847757781937873\
         79152850299126100040936010547200000000000000000000*ep^2-
         30628640169971436239421445482760/49*ep^2*z5-579082162204883244\
         1839468184754834641/36560370*ep^2*z4+1141239333378061964155330\
         044385391692182893803/3985912444021200*ep^2*z3-
         67407465973397005609896710342509760941898748359634445786281898\
         30906469934592579137967452211398984027567019278480584947167235\
         492464803326194931676139621063986116291129601/
         47038978126340081765252113066024131155952167467938159492733601\
         28400699755128929218081038008067415941627052262686720000000000\
         0000000000000000*ep^3-682040110443787579891310262958300/441*
         ep^3*z6-395309128301650478982847117149266508457/329043330*ep^3
         *z5+1141239333378061964155330044385391692182893803/
         2657274962680800*ep^3*z4+6524244871393816679274753870853052985\
         3713169637292336081/544207931783707155492528000*ep^3*z3-
         99466061275770818912298313346360/441*ep^3*z3^2;
Fill mncnoptab(9,8,5,8)=
      +mncF321*(1224231632993071793376000000+
         68057455808390890578413820000/7*ep+
         4050875434491084304809314018200/147*ep^2+127884020380106580918\
         574308638537/3087*ep^3)
      -2478316144136164205515182529465009749855944450687909/
      411499381310931686572800-26322159715380694167421900/441*ep^-3-
         1734550385556928932315913786157/2686068*ep^-2-3559333107776573\
         72014705372701603848063/168349097014560*ep^-1-
         7104037877219734920149819808800/441*z3+
         51809214107371253709675553584306772473004889944181032385045483\
         0325368585085689619658868084321854019728717033932271/
         85706260843299874260772866909849743098132336264132022027352539\
         13600000000000000000000*ep-3552018938609867460074909904400/147
         *ep*z4-8674397528028184139125435555862846159/32904333*ep*z3-
         68339369074876096518867657716558938306085112171223000924738440\
         4531394772481045930413709898905394390923622672871038443796347/
         23942135843687443892212107919779853093387869333249755502868545\
         12956355379200000000000000000000*ep^2-
         76571298466734556482205963284400/49*ep^2*z5-867439752802818413\
         9125435555862846159/21936222*ep^2*z4+8336620262934321131128565\
         284501998034050409/11553369402960*ep^2*z3-
         68260839120878673883441717285707483419574172494311729839834956\
         40980359512294280945219454683039707140617523223935483037768268\
         13329452076128412007244953015630811/
         26202456446777017754118726807945877122800165274135823975030905\
         59078310219760928246146993493750870704128000000000000000000000\
         000000*ep^3-1705094120808478183549259624377000/441*ep^3*z6-
         97696737747803757014344722967071461878/32904333*ep^3*z5+
         8336620262934321131128565284501998034050409/7702246268640*ep^3
         *z4+58320476691449330802263598895386662572453609528182283/
         205749690655465843286400*ep^3*z3-24866796373242518612758295216\
         8400/441*ep^3*z3^2;
Fill mncnoptab(9,8,6,7)=
      +mncF321*(1845764615897246703859200000+
         14642210899383262607063652000*ep+
         124258087877863277695784971960/3*ep^2+
         19562510035893717210918939029683/315*ep^3)
      -2478118385878734169798544423981844669301149164770421/
      272933263114393465584000-1112092418151678729117820/9*ep^-3-
         17823406064191376626947931803427/13430340*ep^-2-33404726303645\
         68801761102661544734887353/781620807567600*ep^-1-
         218579132889839023341704107040/9*z3+
         72577189042639677865045624571210713169030320292534771050608630\
         67816967115110689116950542657576503034223014342913/
         79504880188589864805911750380194566881384356460233786667302912\
         000000000000000000000*ep-109289566444919511670852053520/3*ep*
         z4-1333775587803761657257379077894419406/3357585*ep*z3-
         95744349697679557276511107113398063328415012158666679767550259\
         90487236368887029180349471581548582647726582305557479923033/
         22209773509914140901866519406103759826890416821196433676130375\
         815921664000000000000000000000*ep^2-
         2356032096153850520346199233520*ep^2*z5-6668877939018808286286\
         89538947209703/1119195*ep^2*z4+8363578918522716846669349667166\
         611500623683/7662949093800*ep^2*z3+
         14509634394695577599344898602244427859464342763834478923267363\
         13449988707502083848804128034767893090579807213467349585928503\
         54065247425941899122602033619247/
         14382571520115608432292282886314716669484452511299592701271753\
         29658424114215964390635185415546470400000000000000000000000000\
         00*ep^3-52464274331237039149435222486600/9*ep^3*z6-14960052882\
         018081268799611095505594127/3357585*ep^3*z5+836357891852271684\
         6669349667166611500623683/5108632729200*ep^3*z4+56961550843785\
         827933387919124774289609593899968826607/
         136466631557196732792000*ep^3*z3-
         7651395088357004053464613496720/9*ep^3*z3^2;
Fill mncnoptab(9,8,7,6)=
      +mncF321*(1713924286190300510726400000+
         13603302684146266305269484000*ep+
         808830046421796257655065951240/21*ep^2+12749455393617049945047\
         3454123277/2205*ep^3)
      -2478069772183005019662687997903205449420220904056591/
      293928129507808347552000-7885366257088537657123580/63*ep^-3-
         18048658202960098144299983031359/13430340*ep^-2-52006369898548\
         1807249032495530321219209/120249355010400*ep^-1-
         1420749914869574920734659289760/63*z3+
         42213186632084847677418158405132313290514388314284622374486262\
         8362710021639231333826393029624499202523423634720003/
         49974496118542200735144528810408013468298738346432665905161830\
         40000000000000000000000*ep-710374957434787460367329644880/21*
         ep*z4-8671637515397567222811344007797706989/23503095*ep*z3-
         27882609595322367373644526654694928376614019479463068528468544\
         42203353824810030200523717527472247059593998488545881491048331/
         69802145316873014263009060990611816598798452866617362982124038\
         27861094400000000000000000000000*ep^2-
         15314191549039608461411574304880/7*ep^2*z5-8671637515397567222\
         811344007797706989/15668730*ep^2*z4+27837712585089819231486573\
         88900444055228561/2750802238800*ep^2*z3-
         23848555923734950405803662346445282732639248855150919906692269\
         63666840421539549783971570497791418163366039802417111944456569\
         691526189719153930027290363890082703/
         15278400260511380614646487934662319022040912696289110189522393\
         93048577387615701601251891250000507699200000000000000000000000\
         000000*ep^3-341017435066217253079923773635400/63*ep^3*z6-
         97448656655610641819457150202714380088/23503095*ep^3*z5+
         2783771258508981923148657388900444055228561/1833868159200*ep^3
         *z4+57577655511335158352795951425825890756652207392980857/
         146964064753904173776000*ep^3*z3-
         49734227012958840197758293905680/63*ep^3*z3^2;
Fill mncnoptab(9,8,8,5)=
      +mncF321*(979385306394457434700800000+
         54530732026013050715108916000/7*ep+
         3254749378996832548943596411160/147*ep^2+515670287897825016155\
         653469888353/15435*ep^3)
      -495643420327045738872838780699847150988513821008477/
      102874845327732921643200-27372029542899978308808020/441*ep^-3-
         63073214462966522254927058651131/94012380*ep^-2-12813864820119\
         671035521961531981626917/5845454757450*ep^-1-
         5683091387200193580542115123040/441*z3+
         41087460415497262543878312808663130989799593414545906369439684\
         55432114462878083405662465186939800466462847678071047/
         84890010740030351648765506272613078878150123537806955150901562\
         572800000000000000000000*ep-2841545693600096790271057561520/
         147*ep*z4-11574416400101609341755904419619612132/54840555*ep*
         z3-18053725829673479491109403561592035224191858284832729651829\
         64686029490613975747191430613368443817343379956671937064467178\
         537/7904705167439664015206537217959062608610598129072935150153\
         424423728919347200000000000000000000*ep^2-
         61256874601590888662614113565520/49*ep^2*z5-578720820005080467\
         0877952209809806066/18280185*ep^2*z4+3661425867895233400828036\
         17058790874605186/637134342075*ep^2*z3-
         89166424494585268063501541575096805434761546470659396740339338\
         50779630668460428805420785635892969533702448386973327190966461\
         5171855230900132031288921284771846307/
         25952909242521998537412834171679725912106830366763101841935373\
         15658516789096538453326545936667529078374400000000000000000000\
         0000000*ep^3-1364071950067794510957462267416600/441*ep^3*z6-
         393324114326368096214341734982703361307/164521665*ep^3*z5+
         183071293394761670041401808529395437302593/212378114025*ep^3*
         z4+4629851782333882788835919804229188456645947336361929/
         19783624101487100316000*ep^3*z3-198935899045764816512315614972\
         720/441*ep^3*z3^2;
Fill mncnoptab(9,9,6,6)=
      +mncF321*(951722380072017831677400000+
         7575317666814475615381344000*ep+21557071163641357130825703665*
         ep^2+3909688725145556041946218284223/120*ep^3)
      -980654178079942700962187217841674331884697156073/
      209467794358158336000-212336331838475582060180/3*ep^-3-
         261487400149026201580407132577/342720*ep^-2-494224956551652629\
         59725268717331123213/19945666540800*ep^-1-
         37567822161072079381891989460/3*z3+110120594535423240272742701\
         92730420597048626725424638706865838104201775085169056866349020\
         8510302612882940495107/234842556948036657589964891026353446749\
         5241463648151593287680000000000000000000000*ep-
         18783911080536039690945994730*ep*z4-35156400497466212602692815\
         940159137/171360*ep*z3-724827172713425536167038672873745029980\
         79096161050866199963146363087914366125484683427170170251159342\
         4255402219128237979/328017600173275442965268143752875078001872\
         4288844800892017107061964800000000000000000000000*ep^2-
         1214827396323869004381308972940*ep^2*z5-3515640049746621260269\
         2815940159137/114240*ep^2*z4+108981932536056078682368203502526\
         679924803/195545750400*ep^2*z3-
         15739638063057051894050854223289597351819475262435835699166116\
         55629604758391156340618254000431672480645019526863370878317357\
         05547525280028701128699675703392066253187/
         27483244926268268147638875226710025971194554851770152600524534\
         88528968299082165822432949273498714801963008000000000000000000\
         00000000000*ep^3-9017285917026337334405087323400/3*ep^3*z6-
         399244386372209893732195723658365279/171360*ep^3*z5+1089819325\
         36056078682368203502526679924803/130363833600*ep^3*z4+
         3211885603518648307929135065435446124810945910175903/
         13929608324817529344000*ep^3*z3-
         1315088660195616641351958292780/3*ep^3*z3^2;
Fill mncnoptab(9,9,7,5)=
      +mncF321*(736451841722394750702750000+
         5866473042034738072168515000*ep+
         1404270886072748281711612285225/84*ep^2+3572216673752956511781\
         03691049173/14112*ep^3)
      -11857538553154258477430142769449420817875628245103/
      3272970907089992908800-3014533627338969530702050/63*ep^-3-
         60867606371262534219844881829/117504*ep^-2-6253945929549531215\
         483937925511594567/3682276899840*ep^-1-
         610486700743776525796475358725/63*z3+
         32949805972508239328316354300720789464542098617033591947518779\
         346662036679152261664572607287796839043990278859143/
         90701633952545290641735997996064627214485687990533747094354657\
         2800000000000000000000*ep-610486700743776525796475358725/42*ep
         *z4-457212819447836314615732740746648741/2878848*ep*z3-
         82345482122629574892801634198193689933749064143260988020326052\
         9789675242157707288322283301118288999642137436843518879767233/
         48141437485910735731708986064261960247929206650744943395671231\
         45278514790400000000000000000000*ep^2-
         6580326397746033720123898200925/7*ep^2*z5-45721281944783631461\
         5732740746648741/1919232*ep^2*z4+21746022596017808112086049015\
         335374236619/50541055488*ep^2*z3+
         88509340692896313278718761183453623135398224024073012340673368\
         64453784869110547903714404549349997772862345011602761528387359\
         5430917681646188812493164309534579022335219651/
         34083691384867866672742285456677286186103125403031692980657164\
         52615015959948584416692951799372306305512337026580480000000000\
         00000000000000000*ep^3-146531127197426317388296521124000/63*
         ep^3*z6-5207203495994567234436492243217201147/2878848*ep^3*z5+
         21746022596017808112086049015335374236619/33694036992*ep^3*z4+
         171680277180883035987620330523916222673502672172669/
         947438946789208473600*ep^3*z3-21370085230268667302090892100175/
         63*ep^3*z3^2;
Fill mncnoptab(9,9,8,4)=
      +mncF321*(336663699073094743178400000+
         18817504651092719802383868000/7*ep+
         1130847468148924788548456207180/147*ep^2+361602656375238919038\
         017199145163/30870*ep^3)
      -13801166995735069011555684486301020154457048845092751/
      8332370247406042572134400-6291764122843352959408460/441*ep^-3-
         281846641647405344737330973753/1799280*ep^-2-20447697442982931\
         64731242333325676667/3859678260900*ep^-1-
         1953631246314047601660913187920/441*z3+
         15319615156979968477619700915137370777787271151881606887811706\
         141386264875429498501879744839240747601038935713011074703007/
         92350441015964842594380454762679566186533958699056171729825286\
         7209380495360000000000000000000*ep-
         976815623157023800830456593960/147*ep*z4-152584731671296792221\
         299092402577257/2099160*ep*z3-27246358931548005614839646724862\
         28040785687929722558188783469817255962397040150156661962059859\
         142014305268496524667933193738471439/3502706481948634011453265\
         33599437411661259685077129008324488860105450062939684864000000\
         00000000000000*ep^2-21057131695789142447922042860960/49*ep^2*
         z5-152584731671296792221299092402577257/1399440*ep^2*z4+
         3724872853625985128059305642846331532935807/19071351406800*
         ep^2*z3+219574805800443522227183349905149271951568151571083149\
         65995033003445732460887867458980929355984570412266759506509929\
         1235353852257802441872482266303007088314160609037631973367/
         16679801148390225774825124673932159919785845058345865396000712\
         82655286254888616133875826322795042876888726355541229568000000\
         00000000000000000000*ep^3-468901385039470586074093681401800/
         441*ep^3*z6-5258757822802661919926835386989394557/6297480*ep^3
         *z5+3724872853625985128059305642846331532935807/12714234271200
         *ep^3*z4+164126206880476237514411799027459642392827484227454267
       /1893720510774100584576000*ep^3*z3-
         68383460896967740911067041206560/441*ep^3*z3^2;
Fill mncnoptab(9,9,9,3)=
      +mncF321*(86796109917282238475681250+4871023160713358002819876125/
         7*ep+1572341333680469163930150896435/784*ep^2+2030134184180734\
         012941375250312709/658560*ep^3)
      -11678810750069687664952486865987678443087170066543437/
      27347266453024960236748800-15480254000881134719194655/9408*ep^-3-
         714528914020386486159109336079/38384640*ep^-2-3532958760687601\
         52531307945410284759859/5269747385548800*ep^-1-
         1343174074647026457606177280445/1176*z3+
         39404712419648091833204137197450317280785762962067492976188960\
         355677454511682567614192110976101521583672726246309115501/
         93164818802701745968228606921080620562076586200811517159541559\
         09061122457600000000000000000*ep-
         1343174074647026457606177280445/784*ep*z4-28029683435062507104\
         6212937317360367/14927360*ep*z3-
         53316076965060103934612282938580802566735613669949007934647845\
         27261730492264379204035237747623791924372819922292320321297003\
         4889619/269365912254032063556337111594269579287767836928425032\
         4906058109513156639575718756352000000000000000000*ep^2-
         86861041174549929459435764514585/784*ep^2*z5-84089050305187521\
         3138638811952081101/29854720*ep^2*z4+1619254125670909049484445\
         49891777666394191183/3254843973427200*ep^2*z3+
         15766636829791961600462711826250004624216762501533005135506842\
         11312184621974325828807731988920278481208262315760399460655060\
         82352197754353166933952638626336134113955355073/
         19753304879667099675362259448217796012665638454190134589052604\
         00991353494402253475314643181446717444265738044243443712000000\
         000000000000000000*ep^3-1289483876871778677315474694914325/
         4704*ep^3*z6-29404884409090416367239559227478927501/134346240*
         ep^3*z5+161925412567090904948444549891777666394191183/
         2169895982284800*ep^3*z4+2133881028253683341518862350227442108\
         1579100930320486057/888786159723311207694336000*ep^3*z3-
         94026101682439817197746736084645/2352*ep^3*z3^2;
Fill mncnoptab(10,5,5,10)=
      +mncF321*(575158133514989624600000000+
         41128901683974466186199375000/9*ep+
         1049948025098601384709966217500/81*ep^2+1459542718825683444922\
         392306548425/74844*ep^3)
      -2551495785095162755276924797502680013599383315587477/
      901643062147313942776320-1181044569887272113184375/243*ep^-3-
         11922431038543097655420053590975/221837616*ep^-2-7946561411519\
         7260789292599259632349487/430351221107808*ep^-1-
         1839186988428382557383761505000/243*z3+
         48421132063550668896022155300814164892718152677003039495021994\
         323602923108159421477285681170035270338785867/
         17054981174145174971352192136561218013974581584441288996316774\
         40000000000000000*ep-919593494214191278691880752500/81*ep*z4-
         490766572524340109179592882889435875/3961386*ep*z3-
         11159003817514095319234623880583478837125129173763373651149712\
         38331271882725783150947182912020086159117630808399743/
         83292434859043239718090981868852214087928502558830989548652010\
         14374400000000000000000*ep^2-19822597987196175422096902277500/
         27*ep^2*z5-490766572524340109179592882889435875/2640924*ep^2*
         z4+62439462242216073183263787174038679194403337/
         184436237617632*ep^2*z3+15709899816616328870212958753317520884\
         22726275473534512594712925864308651166550498784777442913764990\
         086396532892484208043564215004869201264868414071/
         35267408141233441801098141670193202259202635346933884564012109\
         61836113984545548864512760532172800000000000000000000000*ep^3-
         441410487240842990603720897481250/243*ep^3*z6-7751628870668278\
         0585726354068370841375/55459404*ep^3*z5+6243946224221607318326\
         3787174038679194403337/122957491745088*ep^3*z4+607269850483987\
         50319002812215338278728434454046332061/
         450821531073656971388160*ep^3*z3-
         64372739825615926377189517782500/243*ep^3*z3^2;
Fill mncnoptab(10,6,4,10)=
      +mncF321*(396741732914421414520000000+
         28405346165220349667624425000/9*ep+
         5087051550176036477910006643250/567*ep^2+644755589392841547174\
         771680286265/47628*ep^3)
      -3277958734979545831205811098763636782732306745064643723/
      1679270189504010651234086400-5096978008578318980141375/1701*ep^-3
         -9677959104317575789240150233385/290095344*ep^-2-1157899639659\
         771102032239210830157363757/9956646594861120*ep^-1-
         8880659071075269439274152177000/1701*z3+
         42876945362848325966562595870580859526068105449908293706843247\
         57758886500271711754180874322724852395793545449841/
         21917260435698015018902318773969793262911910676695055404997772\
         5747200000000000000000*ep-4440329535537634719637076088500/567*
         ep*z4-21704818240225733127106775943639832745/253833426*ep*z3-
         16234186778869870239956344442461940756028607469554448462146328\
         512160070880665622244265216413925587055434423959504579186289/
         17602504319294354245932081161783288900386857756171151290395875\
         5382856672870400000000000000000*ep^2-
         95714846031149866372567707153500/189*ep^2*z5-21704818240225733\
         127106775943639832745/169222284*ep^2*z4+2862002141406395466549\
         14305107982687511772025/1229938697012256*ep^2*z3+
         25270421488424622850897550047475407885448802170370933603457443\
         34875296291261289153044998205909464821597927292870363245519173\
         3770419266977667000557124261921933/
         14647247962786884247437033145236236381900587034563807478305433\
         81981838321834571661501350170821414061342720000000000000000000\
         00000*ep^3-2131382388023183819784588030511250/1701*ep^3*z6-
         491965947402805892356246942509937164455/507666852*ep^3*z5+
         286200214140639546654914305107982687511772025/819959131341504*
         ep^3*z4+799646852485913055938650858984446058626135693975542874\
         79/839635094752005325617043200*ep^3*z3-31082822570607792939587\
         5830026500/1701*ep^3*z3^2;
Fill mncnoptab(10,6,5,9)=
      +mncF321*(961335737446482658260000000+
         7630873724377785432213162500*ep+194476608488038283420440867375/
         9*ep^2+7006916987628174524948388831625/216*ep^3)
      -6196338768069773562537639630605436761469912473670521/
      1310079662949088634803200-956263071498411033378125/54*ep^-3-
         12478243529271369804741643163485/64465632*ep^-2-81091956829472\
         8375986245363821051046399/1250593292108160*ep^-1-
         341557604425858889692601061500/27*z3+
         85297648127575016032558214657840683319775612007003678708517675\
         12882846773203599898356116105024109770104980599/
         17988982992165787592448719277943013112555652370800371932803891\
         2000000000000000000*ep-170778802212929444846300530750/9*ep*z4-
         1667808457204455949365810607189723055/8058204*ep*z3-
         14089645187115741202044126134616350138427776698770826884486040\
         571755984690101255635900155738571594369282820843496609171/
         62815521038141004570935610441505583348780976868030317467843487\
         156142080000000000000000000*ep^2-
         3681332897576814448054501938250/3*ep^2*z5-16678084572044559493\
         65810607189723055/5372136*ep^2*z4+1252261694632810147322068938\
         9936283353423893/22069293390144*ep^2*z3-
         19881596638636874741926875195434212910523479370638874635594528\
         87555738723002480050513023549477834870364549586195954635909561\
         859171578765292011537967/6896033915133312974700322501417002262\
         43044422296948883855480582137302248131614991838883715481600000\
         0000000000000000000*ep^3-81976096184413677856994790956875/27*
         ep^3*z6-37499154730306784772774722605138233245/16116408*ep^3*
         z5+12522616946328101473220689389936283353423893/14712862260096
         *ep^3*z4+20636953329981430792622068447728379679841830852139079/
         93577118782077759628800*ep^3*z3-
         11955000023398295880319829639750/27*ep^3*z3^2;
Fill mncnoptab(10,6,6,8)=
      +mncF321*(1428270238491917092272000000+
         11331663488713938737494270000*ep+
         2019811129402685667050816360300/63*ep^2+1272144398355823540985\
         80179499043/2646*ep^3)
      -326105366520835264254365186902209138299423982306923/
      46409704659127633824000-9479993694698035623138050/189*ep^-3-
         3222844628468443727950509505691/5937624*ep^-2-7877534476203916\
         2615416421738280715557/44302393951200*ep^-1-
         3552099922238317181129838746800/189*z3+
         32579056589890271117306756966768049116810661937049567552155367\
         37850977582183517509148034263741464194762510437/
         46087665181092762999378361004345396701575399861931620905779200\
         000000000000000000*ep-1776049961119158590564919373400/63*ep*z4
         -228167220090210563704980844483137541/742203*ep*z3-
         11311725427451008881318850459828539873794913618200766805039912\
         96129020578045130013796338206586889411353031245179412109/
         33880628090303519671890211789912850596974610632261184975597448\
         72448000000000000000000000*ep^2-
         5469392134485677633866559934200/3*ep^2*z5-22816722009021056370\
         4980844483137541/494802*ep^2*z4+132007152480936460179403570629\
         108856155451/156361390416*ep^2*z3-
         81852153697643598921364038375542240626773298261138954427423331\
         74023921660435554367902816553871307242467563530139886024594771\
         88878584482493051844337030891/18721115821638085356082930203260\
         89153259339892999740372272976152241337173462928855578857049161\
         728000000000000000000000000000*ep^3-85254901137589843438115859\
         2769500/189*ep^3*z6-5120698174670887927277714189075834419/
         1484406*ep^3*z5+132007152480936460179403570629108856155451/
         104240926944*ep^3*z4+30445514998884734078728102134179653574336\
         213889877/93946770565035696000*ep^3*z3-12433309104843673460938\
         3944916600/189*ep^3*z3^2;
Fill mncnoptab(10,7,3,10)=
      +mncF321*(126957354532614852646400000+
         9123674130139589548978736000/9*ep+
         1644782182664970841424094125080/567*ep^2+262903001861598195036\
         062238377639/59535*ep^3)
      -52447916547207531800770713491618627366007958378041911/
      83963509475200532561704320-1107864466230119832201760/1701*ep^-3-
         673651819476806872576950164882/90654795*ep^-2-1695008237252969\
         62298176013216220042871/6222904121788200*ep^-1-
         2841822412200352573091514883520/1701*z3+
         31502583580361545646360021967029907760581958018663524244731972\
         8103917507649900079042493201192922113753927458957632630197/
         50483677646289672195449535310827431186085296903220316853706690\
         203493806899200000000000000000*ep-
         1420911206100176286545757441760/567*ep*z4-57984711000690242269\
         99280006578340716/211527855*ep*z3-
         95128713727920677586972125698506965157157858046415392313570048\
         37740281201990818395728329693535726669899640854700158731523905\
         007447/3243613977868495052575306878525744105033006609871161426\
         01040514884111541361007866675200000000000000000*ep^2-
         30628764332153909725641799773760/189*ep^2*z5-28992355500345121\
         13499640003289170358/70509285*ep^2*z4+283081814463329385220094\
         164615267551956356147/3843558428163300*ep^2*z3-
         29091046319210509267730168062309932559567532357923177329507795\
         99772235451991969649770360302038724393118425940394823147759362\
         7555852127015286802900449652720521035888073/
         81646226319290284778259024821741884792116976390778376833816179\
         37152643146402355714240658828288443384395526427377664000000000\
         000000000000000*ep^3-682042641442962087394211707700800/1701*
         ep^3*z6-199843661580502131367000299408208689116/634583565*ep^3
         *z5+283081814463329385220094164615267551956356147/
         2562372285442200*ep^3*z4+3434720198873085455030846989111784200\
         2689173334100546493/1049543868440006657021304000*ep^3*z3-
         99464905623931255367404051655360/1701*ep^3*z3^2;
Fill mncnoptab(10,7,4,9)=
      +mncF321*(476090079497305697424000000+
         11366118127000207986277720000/3*ep+
         2036874389461167931062239555600/189*ep^2+
         64604292909891675671842705713691/3969*ep^3)
      -655584124856233436910081122599669908794026259697659713/
      279878364917335108539014400-4240530987089461451847200/567*ep^-3-
         998816170470093303182302314191/12087306*ep^-2-1410564355953226\
         231995939761481121487159/4978323297430560*ep^-1-
         3552215190868152321079702470400/567*z3+
         55029990882461082313132664743824671090964993855815708093538740\
         3273711433890362322993170117169829037216726101394935373/
         23468461307621096259647543626653917100166495880736504955933219\
         866279936000000000000000000*ep-1776107595434076160539851235200/
         189*ep*z4-4341662517319381801355036190626232127/42305571*ep*z3
         -8339154015896510861385319168263585718376476639378658551186264\
         76648997949733263283356737308373563048287450474624231255522320\
         92899/75393307981456462614398914024134204421702383031824258303\
         1924638956554628974510080000000000000000000*ep^2-
         38285881167780349908838083315200/63*ep^2*z5-434166251731938180\
         1355036190626232127/28203714*ep^2*z4+3176735391170681827273829\
         2668831988152960041/113883212686320*ep^2*z3-
         32068828752121282691353077792145589083004726839053703823391776\
         75257332873775200678531408015266655561124180467834125221547091\
         3098021173767355357250186306445689248109/
         75910131457245963042364894673519307943978753310282129358903068\
         23669768297679821223369076936095883714298631946240000000000000\
         00000000000*ep^3-852551788297887492146157618416000/567*ep^3*z6
         -49267809233356506979366030312577949509/42305571*ep^3*z5+
         31767353911706818272738292668831988152960041/75922141790880*
         ep^3*z4+160923807565877251619907527209936982427251557638578157\
         53/139939182458667554269507200*ep^3*z3-12433182308990640820761\
         0716147200/567*ep^3*z3^2;
Fill mncnoptab(10,7,5,8)=
      +mncF321*(1025424786609581502144000000+
         24438608562925184153846320000/3*ep+
         623744277632734144385421501800/27*ep^2+
         19704122918165999991994557266758/567*ep^3)
      -4956869001468000993295725319131410369349944172481873/
      982559747211816476102400-2782783225424540400467600/81*ep^-3-
         4511439355859803851263253140531/12087306*ep^-2-495830834290819\
         224965190711357893302933/401976415320480*ep^-1-
         1092956773252638802514564771200/81*z3+
         20307191954429487484007436812090218315042093685809984226687616\
         3438095480509156428303217764813766223415802469521/
         40070459615049291862179522191618061708217715655957828480320667\
         64800000000000000000*ep-546478386626319401257282385600/27*ep*
         z4-1334749833702282682696030268415629371/6043653*ep*z3-
         66921947017834596547312768954696931192862985578012944442524751\
         67722253172238753177618202964004345466785071049656522544073/
         27984314622491817536351814451690737381881925194707506431924273\
         528061296640000000000000000000*ep^2-
         11780232700317400639954706945600/9*ep^2*z5-1334749833702282682\
         696030268415629371/4029102*ep^2*z4+370175036265350444334119195\
         113984291745041/613035927504*ep^2*z3-
         66033474149103952679687453365511405983455332756156411474203242\
         72717194872450751794606351585904377676303871955053865692408016\
         0902783051744449017175583960193/181220401153456666246882764367\
         56543003550410164237486803602409153696143839121151322003336235\
         8855270400000000000000000000000000*ep^3-2623228438240099173926\
         94494348000/81*ep^3*z6-15050374489745168376099151633534955957/
         6043653*ep^3*z5+370175036265350444334119195113984291745041/
         408690618336*ep^3*z4+23493110574939488243221214937234728146705\
         497042274279/98255974721181647610240*ep^3*z3-
         38256303245999888896246254961600/81*ep^3*z3^2;
Fill mncnoptab(10,7,6,7)=
      +mncF321*(1333052222592455952787200000+
         31767130790039698231674496000/3*ep+
         810661364352963587596324102040/27*ep^2+12802198618146826324989\
         1467137612/2835*ep^3)
      -1239121896210683353592766131860822724611865233733263/
      188953797540733937712000-5911153845862735693836080/81*ep^-3-
         23769625474945940022761634597707/30218265*ep^-2-34550880263379\
         8297910620500056607045597/135280524386700*ep^-1-
         1420793347677837857370481768960/81*z3+
         33318836981931839312452479111895492060450281059942623183873328\
         7817887858670363324885771141899415606005971693454011/
         50599177320023978244333835420538113636652472575763074228976353\
         28000000000000000000000*ep-710396673838918928685240884480/27*
         ep*z4-8675267900964428252236800212453893574/30218265*ep*z3-
         87740622236281455427304523232010314366181398947663818281503513\
         147647963230631369134651175183297886564163412820079649502571/
         28269868853333570776518669701197785722513373410980032007760235\
         5028374323200000000000000000000*ep^2-
         15314242878667468313403091772480/9*ep^2*z5-4337633950482214126\
         118400106226946787/10072755*ep^2*z4+46285701122507048497169702\
         6733613945579909/589457622600*ep^2*z3+
         50031224888509588401446523772553117831184454148279404957964379\
         53352821282714777406086045447736877613036806444794195515839224\
         562503892333973763917104059746764633/
         15469380263767772872329569033845598009816424104992724066891423\
         85461684604960897871267539890625514045440000000000000000000000\
         000000*ep^3-341018481400823442408143360458400/81*ep^3*z6-
         97785954523587706415715797837394328858/30218265*ep^3*z5+
         462857011225070484971697026733613945579909/392971748400*ep^3*
         z4+5859832396784771941792383521638264220894280423283891/
         18895379754073393771200*ep^3*z3-
         49733749250986220171212707513280/81*ep^3*z3^2;
Fill mncnoptab(10,7,7,6)=
      +mncF321*(1066441778073964762229760000+
         25453235647900876524313404800/3*ep+
         651337635335271580731804983032/27*ep^2+51622199350643700807388\
         5662547058/14175*ep^3)
      -4956244019631700978235255202374614258292768711152207/
      944768987703669688560000-6146582231488512001964464/81*ep^-3-
         123469297805212862341513342375513/151091325*ep^-2-238805332212\
         437392730451086215943597449/90187016257800*ep^-1-
         1136603489465548476078366927488/81*z3+
         34315846428158000589632350894588591044211313346926476314407278\
         70558410671174089994218254746419493468320199344951669/
         65629771943432461577684702631627666667041302297815143897901301\
         760000000000000000000000*ep-568301744732774238039183463744/27*
         ep*z4-11575548869445641271617733047977213562/50363775*ep*z3-
         22675978781712552976756352839572146001060274125232739304727278\
         812111760407125650895632501997990935805955827310610233113766893
       /916687357375669075066251647907320489414832743258536185285649359\
         84257433600000000000000000000000*ep^2-
         12251357443659592805600099210944/9*ep^2*z5-5787774434722820635\
         808866523988606781/16787925*ep^2*z4+49764460174773053687465092\
         967756832589998527/79576779051000*ep^2*z3-
         10721386339292142615518286348335336091846593721379446008115157\
         11120460041692454537208346953402951445806611423898862321446687\
         73332878614268506217809305363577698889/
         20064592995181782501071459155010616919761892489922535524403388\
         76381141936593273429399167386480258580480000000000000000000000\
         0000000*ep^3-272814033758676966935806314927520/81*ep^3*z6-
         393678536248767599391577603750934245162/151091325*ep^3*z5+
         49764460174773053687465092967756832589998527/53051186034000*
         ep^3*z4+120926324108976174236578654499302421486936461117364453/
         472384493851834844280000*ep^3*z3-
         39787342477635445975686171569984/81*ep^3*z3^2;
Fill mncnoptab(10,8,2,10)=
      +mncF321*(17144910600944639698900000+8680028783179007137740142000/
         63*ep+1582522272011694383679258613235/3969*ep^2+20541929447982\
         64089941471639716349/3333960*ep^3)
      -72116438281468566117240271409418064414461909990498303611/
      854901187383859967900989440000-1708397890520617124369255/47628*
         ep^-3-1615068070290957289946544564101/3692122560*ep^-2-
         36820265886797019539856976538357646281/20275353065899008*ep^-1
         -2686423892072985920741087149090/11907*z3+
         21025480272227747380763173072294851912953143521275010894888666\
         118506131622350919061016775200937425993225765349433045560333593
       /250858795977921534134113654059779764098794751438870399019971890\
         23701250031946301440000000000000000*ep-
         1343211946036492960370543574545/3969*ep*z4-1599561024682618841\
         0858805090332316319/4307476320*ep*z3-
         45090330372944525093859874572443527196327772915889711081241322\
         72700552888711201526856522783270326091940241846826388675040465\
         53694044169/11512760659088702746583803883736017651805891697255\
         0409572273473556731632068412408382200217600000000000000000*
         ep^2-28953769906691599718472593807795/1323*ep^2*z5-15995610246\
         826188410858805090332316319/2871650880*ep^2*z4+305468166192032\
         7273132729206114185066648839221/313075304694028800*ep^2*z3-
         30552162094476357461195758064283002493594838531558180472570893\
         84219022623634291171793810402557328558128335146802343655830799\
         40699549981064695176296255851203090090055491121129/
         42923994714092222529281150940207505032469672890998215870441993\
         48187494315667278889069840640141897635885270420502744765195878\
         40000000000000000000000*ep^3-1289487526340757057727561285605325
       /23814*ep^3*z6-564052255328703490957165484273793336319/
         12922428960*ep^3*z5+305468166192032727313272920611418506664883\
         9221/208716869796019200*ep^3*z4+210986064454909369196140606135\
         9544636503224477245805324607/427450593691929983950494720000*
         ep^3*z3-94025268531308868458810804887045/11907*ep^3*z3^2;
Fill mncnoptab(10,8,3,9)=
      +mncF321*(112221233024364914392800000+
         6283840163172843770683756000/7*ep+
         1136471715912203484539557368680/441*ep^2+182449240491859314190\
         699688683594/46305*ep^3)
      -262240885916437766738962702107237550415493568484804083/
      474945104102144426611660800-1581068096454472098575960/1323*ep^-3-
         1391067775996540730542521152657/102558960*ep^-2-57703931820389\
         077777448170535916209941/1173342191313600*ep^-1-
         1953734882028032016940319927920/1323*z3+
         17674951520226939954847826652259829726950414634996050908504851\
         3501562102470029280784968687031987466000832647625102654830601/
         32085181792975213884219037997548100709378655365157801378133585\
         329331619495936000000000000000000*ep-
         976867441014016008470159963960/441*ep*z4-290176211835457142360\
         8640926227779533/119652120*ep*z3-
         16955008933643133934507849116042303469418565581360592465730979\
         93293608211428494275203095203360219105922315437396610187187784\
         6405685271/655930826635628999520784279879650474573341336662834\
         866148770818987870005863371463720960000000000000000000*ep^2-
         21057254174198032316145505130960/147*ep^2*z5-29017621183545714\
         23608640926227779533/79768080*ep^2*z4+140783845623985081431622\
         753923987224459563751/2174134060375200*ep^2*z3+
         22446793632095692153653971510830450273019568265032053321149880\
         86004348510746336755003875748650696517168684032294874550318178\
         8016541687271693772677255326375244615385046708547/
         27450187032779342989426490891956926039418990724592052765989744\
         53741271093759551123178502748371270563108303945119280660480000\
         000000000000000000000*ep^3-468903881714385647070923065626800/
         1323*ep^3*z6-100661832872112116958951960898599218233/358956360
         *ep^3*z5+140783845623985081431622753923987224459563751/
         1449422706916800*ep^3*z4+3546513702776699235965841902306518649\
         1156569047858995133/1187362760255361066529152000*ep^3*z3-
         68382320900902685541741687656560/1323*ep^3*z3^2;
Fill mncnoptab(10,8,4,8)=
      +mncF321*(374070776747883047976000000+
         62654401334482126146723460000/21*ep+
         11273077111564498166895335748800/1323*ep^2+3594890455175135622\
         72226231269058/27783*ep^3)
      -655571480837610243958641462811565577043996457195415403/
      356208828076608319958745600-42316354302817056720787100/3969*ep^-3
         -451367232381512511838788658514/3845961*ep^-2-7903551341170305\
         1608278759053803423001/198001494784170*ep^-1-
         19536765690028737656737447559200/3969*z3+
         16949916170184884282117173309894025005777408432254282152975631\
         5927714816552268346109350473446159966435398435782413493461/
         92027537376048881606288215410362504766301322479828702597902820\
         68345225216000000000000000000*ep-
         9768382845014368828368723779600/1323*ep*z4-4346349441630860880\
         106073821293569017/53843454*ep*z3-
         17928384116670478704886376380711800168640531492429004751616812\
         52085578063651034692684281613056871484183148212660322862362988\
         75666169/20694932931713054371899744407260606920132464047355066\
         38991013701734565823787680399360000000000000000000*ep^2-
         210571852590243854165898184199600/441*ep^2*z5-4346349441630860\
         880106073821293569017/35895636*ep^2*z4+87663700876912141385373\
         4128338680947800047/4026174185880*ep^2*z3-
         85484407920383631489385851592779861234290616629478414278772894\
         55318577509347674725962226615325871216008537788753309851963781\
         48036380663481270509134228281856073998317551229/
         39366663549522386007017339702462265544949109840501605392659025\
         02770343433740615001280359328275013782866749265700454400000000\
         000000000000000000*ep^3-4689024769055414874590865525593000/
         3969*ep^3*z6-49727805167935805601026007153240954689/53843454*
         ep^3*z5+876637008769121413853734128338680947800047/
         2684116123920*ep^3*z4+1680030374356295769562254332581845847923\
         6867420287440961/178104414038304159979372800*ep^3*z3-683829623\
         485299338276281150555600/3969*ep^3*z3^2;
Fill mncnoptab(10,8,5,7)=
      +mncF321*(704979540794087282724000000+
         16845980789321761646589020000/3*ep+
         431983033157800790598544912300/27*ep^2+
         3923642915992592209413736394893/162*ep^3)
      -70809177759564621499900528925171556259769050901839/
      20416825916089693009920-2974305216901074648549100/81*ep^-3-
         3501365901311437957760744770453/8790768*ep^-2-6710872012476671\
         00119146754987514211533/511606346771520*ep^-1-
         751384436652380234610598749200/81*z3+
         49193289334392025979858595042441799400602531894830461210805476\
         8124211699010982521594968207895572450291140268293329/
         14167769649606713908413473917750671818262692321213660784113378\
         918400000000000000000000*ep-375692218326190117305299374600/27*
         ep*z4-668217981769575151761452749210778873/4395384*ep*z3-
         64681181068368440637102239816692090510643293183891107710793319\
         2412992789566430574197079363239885548841907149649235696141137/
         39577816394666999087126137581676900011518722775372044810864329\
         70397240524800000000000000000000*ep^2-
         8098882391906922257425636309600/9*ep^2*z5-66821798176957515176\
         1452749210778873/2930256*ep^2*z4+22959205902163284771164482617\
         3371699503231/557305388640*ep^2*z3-
         16293360722934157917341640843232512855969839055476119267539180\
         61486704907686095603173916228889189281984468455112569012097297\
         1075874444280985107519267497944220609671743/
         87264799289887005022382956619849674463736950565340588537185503\
         16777180143245692919389100533213119239192943001600000000000000\
         0000000000000*ep^3-180346392726274800205550320093000/81*ep^3*
         z6-7608147900448452947378471163976751791/4395384*ep^3*z5+
         229592059021632847711644826173371699503231/371536925760*ep^3*
         z4+12380017669071619251188149106881379340558418175580467/
         71458890706313925534720*ep^3*z3-
         26301465274894395409577530805600/81*ep^3*z3^2;
Fill mncnoptab(10,8,6,6)=
      +mncF321*(785548631170554400749600000+
         6258594804528542919948076000*ep+
         1123917068770571113765150861580/63*ep^2+3575071999843978233689\
         83655872243/13230*ep^3)
      -2478153927599890607203900456809527116951228423539641/
      641297737107945485568000-10534957733349723693021860/189*ep^-3-
         8815615453025309775649895749267/14651280*ep^-2-128571840374809\
         181577974747382373743071/65590557278400*ep^-1-
         1953537895987736158699424459920/189*z3+
         17710674982358459065809885066419153707038929101343091464632982\
         001554748902636084450219860188563123942628001381042043/
         45940840360402723104379291842139366666928911608470600728530911\
         2320000000000000000000000*ep-976768947993868079349712229960/63
         *ep*z4-8687678820590476331796982870908311489/51279480*ep*z3-
         11670315091105814660792219686930627481063198761517059178292506\
         62980843836201134214243475979003903160956834066822624638250526\
         11/64168115016296835254637615353512434259038292028097532969995\
         4551889802035200000000000000000000000*ep^2-
         21057021372703251211226409704960/21*ep^2*z5-868767882059047633\
         1796982870908311489/34186320*ep^2*z4+2064905717364640509973325\
         786717248981667867/4501312754400*ep^2*z3-
         34145404886557692140378839191235079688686377881239621594854764\
         53230281004092447455584391347024323433427917604350765890951524\
         0289462929001433377627453518617845685123700897/
         28130297511520598244310109545576991900295196536115592946220648\
         99367135020965968531184158898041369249747577077760000000000000\
         0000000000000000*ep^3-468899136145853811855845657211800/189*
         ep^3*z6-99003275350895453798064732104512629463/51279480*ep^3*
         z5+2064905717364640509973325786717248981667867/3000875169600*
         ep^3*z4+62182008798279701045590543401279626882599952618518627/
         320648868553972742784000*ep^3*z3-
         68384487751092208894163258138560/189*ep^3*z3^2;
Fill mncnoptab(10,8,7,5)=
      +mncF321*(523699087447036267166400000+
         12540240887263582325101412000/3*ep+
         2259319804703637346193842393360/189*ep^2+360899954966030688520\
         271846308838/19845*ep^3)
      -247818317619286245374906755758041436602958325423397/
      96194660566191822835200-21938070765145423137955420/567*ep^-3-
         329004702005565271704026012069/784890*ep^-2-225746195208643507\
         45640220127415856013/16397639319600*ep^-1-
         3907056693661114052188204343840/567*z3+
         13394620069607277509557637023882782143330448412782003246597213\
         20348409793103054840835595749109929930910718313193613551/
         51600751892804338590838820597090936640294553518634178738285919\
         495782400000000000000000000*ep-1953528346830557026094102171920/
         189*ep*z4-53675468622827550103774520116867127/474810*ep*z3-
         17573722531845802425145098665477227037209305867715197947182326\
         03727039718522385967105938067245681199328426107172078024069733\
         571/1441472535726092107160179391301303323195036192119182980637\
         9779053652512918732800000000000000000000*ep^2-
         42114020174226015385735569695920/63*ep^2*z5-536754686228275501\
         03774520116867127/316540*ep^2*z4+15403244589743158114383838851\
         34348801962223/5063976848700*ep^2*z3+
         20519249989124640502669005525130478730828688200421751443598356\
         34559225083014181514097341481378246065593082644843000407768861\
         0785308054351510757079593782934166731438216476467/
         53713115280397891111615495570706531414099660073920557795231556\
         01447582294433258952184280366276112100238013575358054400000000\
         0000000000000000000*ep^3-937797812185932561048579807298600/567
         *ep^3*z6-49878690215081613955714496985716868779/38459610*ep^3*
         z5+1540324458974315811438383885134348801962223/3375984565800*
         ep^3*z4+32193250996657593708390522296916765925856086835041931/
         240486651415479557088000*ep^3*z3-13676918557482469845804407728\
         7120/567*ep^3*z3^2;
Fill mncnoptab(10,8,8,4)=
      +mncF321*(205738927211335676386800000+
         34606526234699918748514408000/21*ep+
         6273465267956415124405795940240/1323*ep^2+10103575266276730257\
         86381913196642/138915*ep^3)
      -2884385454176627024766765431973758133466045698054205013/
      2849670624612866559669964800-47095948075114517789400905/3969*
         ep^-3-818071316357695103032279563899/6279120*ep^-2-18614027856\
         257971275506821643910941997631/42240318887289600*ep^-1-
         10744697045544724518029879093560/3969*z3+
         54949167650228808563083587238171281357484559561595774107409896\
         5831436094582098705390820409802667126075823581720297964433893/
         54439842877153110706187858953945261306162055433782638676209177\
         568796115520716800000000000000000*ep-
         5372348522772362259014939546780/1323*ep*z4-1596907249873082448\
         0274032155413268869/358956360*ep*z3-
         82153450627420541289921517929325576878292803089250990706633328\
         50587751640262247330213482075418821610613465218522166918390206\
         1499675481/174890027373309286514944937469948184814759639498231\
         9589856584884759378091317028773167104000000000000000000*ep^2-
         115813899553072536412722852077780/441*ep^2*z5-1596907249873082\
         4480274032155413268869/239304240*ep^2*z4+308525810880465277483\
         8052633535605886091699347/26089608724502400*ep^2*z3+
         32954250749394359215337879197993821048783986709550619292470151\
         15083984036929846076255298042535262180238404153292071437594649\
         325760759459986636366136379769495549602934239657171/
         13698680911104799367238929400341958050088615991050799080385133\
         74498153567857459817028518382398226114393532482033402511360000\
         000000000000000000000*ep^3-2578950997330270257991189474016150/
         3969*ep^3*z6-556585598425765659095929330686494595469/
         1076869080*ep^3*z5+3085258108804652774838052633535605886091699\
         347/17393072483001600*ep^3*z4+39900404121524287124820336953559\
         9282730820797103343353813/7124176561532166399174912000*ep^3*z3
         -376112057848600473152133162933580/3969*ep^3*z3^2;
Fill mncnoptab(10,9,1,10)=
      +mncF321*(741561877203487876250000+378952219525544271969147500/63
         *ep+140444992738949332141179103775/7938*ep^2+
         37252871501089253443623222381139/1333584*ep^3)
      -347189003254831372415208065322238943860139609387267969/
      95156465581381542637178880000-2716224304966116233575/1619352*
         ep^-3-1071525591430727861577434615/1321391232*ep^-2-5394892584\
         92341553067018510837282491/56419705710950400*ep^-1-
         1975318585105148931873866737525/202419*z3+
         39098744762304687123290859699926885330423503266689928444289395\
         19175810860785890005657805462963566727386170356368513152605909\
         7547/108706532188328970925318419268126145234987097291210457174\
         8738217546911771069256197734400000000000000000*ep-
         1975318585105148931873866737525/134946*ep*z4-24874367318265532\
         1677461701821603985/1541623104*ep*z3-
         58174882531273631405548395439674500335815869593745606555990587\
         93433812776330932717274941812124266457376700967139661266872670\
         323591518701301/3492237924524403450414121221848096821801453816\
         46381279978227576076963865568257600841710902968320000000000000\
         00000*ep^2-42579089702112539922006125597275/44982*ep^2*z5-
         248743673182655321677461701821603985/1027748736*ep^2*z4+
         4614193874854910698942774266341900041762628389/
         11255731289334604800*ep^2*z3+
         79595031595103002506071003029330620408681479193365461279027555\
         32937381921359931541345912623958319684220558291102662784809879\
         4877649710476278648249789082745377630484997266170989053/
         39498874555881233632557161500933647168403755342661013235060074\
         61198873206748608370116512706261774914029805267298728246657073\
         28307200000000000000000000000*ep^3-189630585074401280717153698\
         4502125/809676*ep^3*z6-9061179719293941082953199268134996105/
         4624869312*ep^3*z5+4614193874854910698942774266341900041762628\
         389/7503820859556403200*ep^3*z4+201880724356716203565743079449\
         50290636049026775544680181/82180583911193150459381760000*ep^3*
         z3-138272301955609627380969942129725/404838*ep^3*z3^2;
Fill mncnoptab(10,9,2,9)=
      +mncF321*(11345896721213364506625000+640441455416777062630367500/
         7*ep+469888984853765677451034072575/1764*ep^2+1229751037997401\
         78081311967691005/296352*ep^3)
      -1116373092542223365305547146355722140037441636912481093/
      19997688593774502173122560000-1079481091566722088862475/21168*
         ep^-3-10701252448176121598211240367/17273088*ep^-2-12458926011\
         6259321416185869229817509/48793957273600*ep^-1-
         395060750551493345194037301425/2646*z3+
         36118417700789914457392997028846351296032076288359593783012358\
         92678051485824090483493333979360432253121821189217666500064625\
         983/6526566725767367268830351337591671055565784176486270810110\
         249827868733276667510784000000000000000000*ep-
         395060750551493345194037301425/1764*ep*z4-29179626552156188729\
         63465491697869/1185408*ep*z3-540370800812844531606319900405859\
         70683857592105145472212303053185539179854719806497512699856331\
         5561281573689436170312742980446450852298069/
         20966839230210406795402914571367972887902243826553884856995977\
         3674338803353701298384425451520000000000000000000*ep^2-
         8515810928274784170587536732175/588*ep^2*z5-291796265521561887\
         2963465491697869/790272*ep^2*z4+159079494704691364521155830270\
         425736018626143/24899556396718080*ep^2*z3-
         24918201367123286276088617031195757493961863348275723637771523\
         40307465737338455165273109734003125027064071727817157943263609\
         715053725528151470370665645402273806378603156391160993/
         62406563120996826073798739420693845370373482300492685673656405\
         91918201612175666184399289006219374776356072172728028336907878\
         40000000000000000000000000*ep^3-379260884266850354224498779933\
         625/10584*ep^3*z6-1770585149666231385842440087298760893/
         60455808*ep^3*z5+159079494704691364521155830270425736018626143/
         16599704264478720*ep^3*z4+689587750297853477156287425198662315\
         1234595777041986957/1999768859377450217312256000*ep^3*z3-
         27654525643699613169062523968425/5292*ep^3*z3^2;
Fill mncnoptab(10,9,3,8)=
      +mncF321*(66012490014332302584000000+3710720561454225720559730000/
         7*ep+675699123701362373567964766900/441*ep^2+
         21893321976737601591812509085629/9261*ep^3)
      -8118980347366945434664773802554897108179706393275891/
      24997110742218127716403200-1744564339506525584240050/1323*ep^-3-
         16117852795330741433461899923/1079568*ep^-2-533631108145823572\
         9989705790888909/99071955360*ep^-1-
         1149237893018378076546816497600/1323*z3+
         31011372914079974681418306553404335250179218168887385739728259\
         79386256358342135949700159450858914236111465671155818199768557/
         95998283436095453876858482725805409050902050067668890513153385\
         5464151024926720000000000000000000*ep-
         574618946509189038273408248800/441*ep*z4-180013377824819360701\
         66178409368237/1259496*ep*z3-465779655748514324314675478205828\
         12803054804425444570525213183351972378736640899394746032690261\
         3380607449213397811170125566682354452443/
         30839806896238074815051019113009306544033188791411123671785032\
         605743419334065464646041600000000000000000000*ep^2-
         12386598924523025952303852383800/147*ep^2*z5-18001337782481936\
         070166178409368237/839664*ep^2*z4+3980372168434235807253769481\
         8962293662673/1057216219290*ep^2*z3-
         13476008304446972425739394314004535671349576731801584330931641\
         27486268861520696201449401420176135112815649150564702137845301\
         502170502900969989070755904255982656744442200115601/
         13569380838588239759684909033649767141700562908117803801068232\
         07381002657183517238302199405470349881281085166892693323776000\
         0000000000000000000000*ep^3-275825381069222138735469637391500/
         1323*ep^3*z6-633170199450777555229850620773585037/3778488*ep^3
         *z5+39803721684342358072537694818962293662673/704810812860*
         ep^3*z4+10201568741907781126898318424986742586352398122450287/
         543415450917785385139200*ep^3*z3-
         40225091770162511931279877401800/1323*ep^3*z3^2;
Fill mncnoptab(10,9,4,7)=
      +mncF321*(192536429208469215870000000+
         4626560852171535935643700000/3*ep+
         838697912592618565688713333250/189*ep^2+1080549902084039756335\
         42229719525/15876*ep^3)
      -213641240386657127880504220720932798729812260192939/
      225537841283171077140480-4997537298246771051702500/567*ep^-3-
         89758524358955995567140309115/925344*ep^-2-3696477752095116245\
         62147349060274997/1120928409216*ep^-1-
         1436485396485809948558566429000/567*z3+
         52102323981611897630098193012645878838090214219621163101493048\
         261863694467838824930747663632120530448938453415295107741/
         55197651433686188386546759413939233036520444617942369466616353\
         48580270080000000000000000000*ep-
         718242698242904974279283214500/189*ep*z4-134838021306990611775\
         768498029558645/3238704*ep*z3-86280001280718684458303318532488\
         74526005682397763177134713356132686199900065164031627573298742\
         8627318078492582956716661050562716851/195056967213514556512803\
         71339818670861886398712732621651069973397122250379953700864000\
         00000000000000000*ep^2-15483175418424888714010801187000/63*
         ep^2*z5-134838021306990611775768498029558645/2159136*ep^2*z4+
         13806271965575456375629582663030785752563/124757277120*ep^2*z3
         -5051114727149522201302408427521167901879897253629378614445893\
         84093935458531425179552386836357387581699781022456381870964007\
         458962551194578696298073288965312164824252753289/
         17945063514132931803198813292940591176983295524696186354315997\
         12301805902912929695388839122369519269852245444494622720000000\
         000000000000000000*ep^3-344780233423345471193846610635000/567*
         ep^3*z6-1566569261719727993438516652169393915/3238704*ep^3*z5+
         13806271965575456375629582663030785752563/83171518080*ep^3*z4+
         561679311529124761359946418612713727016769693902907159/
         10713047460950626164172800*ep^3*z3-
         50282046376249432662404967337000/567*ep^3*z3^2;
Fill mncnoptab(10,9,5,6)=
      +mncF321*(311020385644450271790000000+
         2488715673910033855487200000*ep+64336189165008591087226648250/
         9*ep^2+8269440441187956187503481694035/756*ep^3)
      -7672632473909929676384779922982274531636613540113/
      5014658996934310563840-585504714505581907965500/27*ep^-3-
         72759452846822668906038086665/308448*ep^-2-7017348984844321155\
         67026325599193813/897554994336*ep^-1-
         110494452896638858148037937000/27*z3+
         39726034937896234082893691179249001921568540053886797700087133\
         118447935850676709648758323316509145707429453654147/
         26039342714398304593575307117002070175587237348930704866373795\
         84000000000000000000000*ep-55247226448319429074018968500/9*ep*
         z4-10366793932608690375201450313360625/154224*ep*z3-
         13017825571795859986089672911619357415379614689481850993545876\
         3246023586501056510242192501183529972988130336562555516465497/
         18185295753606390557994465889659394324423807457355576145342841\
         55153285120000000000000000000000*ep^2-
         1191008265658959301750796171000/3*ep^2*z5-10366793932608690375\
         201450313360625/102816*ep^2*z4+2682373711466288887966308582857\
         40170366231/1495924990560*ep^2*z3-
         13635107099219958341650989732998027366431953103140434902597056\
         94402326992805533306089394334924888981527229200882024766624505\
         520164565590557986165061813747617667680741/
         38091777467807819652627481064220095996075653024553431504327005\
         35101150062527881829892067693069218715520729088000000000000000\
         000000000000*ep^3-26521449845084987144022819005000/27*ep^3*z6-
         17144066264935852378474403910282025/22032*ep^3*z5+268237371146\
         628888796630858285740170366231/997283327040*ep^3*z4+
         1043098224581257197324954831731864408269886575003207/
         12536647492335776409600*ep^3*z3-
         3867898382752902005935599601000/27*ep^3*z3^2;
Fill mncnoptab(10,9,6,5)=
      +mncF321*(288804643812703823805000000+
         2312154676079431085045000000*ep+418787998885695495251940155125/
         63*ep^2+107789857517443660770027226849465/10584*ep^3)
      -7672519962658384159177276511658437254677528556333/
      5400401996698488299520-4152484519925454972473500/189*ep^-3-
         21055583020098516448826237425/88128*ep^-2-43708849198206005497\
         6199741245142323/552341534976*ep^-1-
         718206316478305297974922662500/189*z3+
         19313948104335962787576063857606286890305144129455183375682238\
         15427431322823257920588151499173714030784849257101359/
         13579145234948510155483900157129193852709093031219520720601557\
         7620480000000000000000000*ep-359103158239152648987461331250/63
         *ep*z4-134801597715845269615690985030166785/2159136*ep*z3-
         46894373064682366197728330022933365163710072287253165052983962\
         269285739731738127770364582076690583933667349283516289615697/
         70377528352997368770636626857792370041745737336157747321451904\
         3728762470400000000000000000000*ep^2-
         7741544712587793014090086832500/21*ep^2*z5-1348015977158452696\
         15690985030166785/1439424*ep^2*z4+3132418550695676060848799093\
         794205300549/18842060160*ep^2*z3-
         19878839465723867912916342380118678187865712023691099571220891\
         83195470997880092862704202917871870160116108246184738870005571\
         141037129275394029519171069006232912846849264837/
         53713115280397891111615495570706531414099660073920557795231556\
         01447582294433258952184280366276112100238013575358054400000000\
         000000000000000000*ep^3-172389240242029579572089647075000/189*
         ep^3*z6-1563419416673271718015135735597320895/2159136*ep^3*z5+
         3132418550695676060848799093794205300549/12561373440*ep^3*z4+
         1052668375355117483810381067488892066383796854667259/
         13501004991746220748800*ep^3*z3-
         25141423387658848904831786517500/189*ep^3*z3^2;
Fill mncnoptab(10,9,7,4)=
      +mncF321*(154029143366775372696000000+
         3707112310564557433347380000/3*ep+
         673896997181982724562255100400/189*ep^2+
         21786413208354711408722555169559/3969*ep^3)
      -2029550516640888781721489791139627242911245279894087/
      2678261865237656541043200-5200826276990939323171300/567*ep^-3-
         2916267195493262674249318613/28917*ep^-2-543322602918784920962\
         677096430330209/1587981913056*ep^-1-
         1149161855468288388359932613600/567*z3+
         23728366290859853092382274817547026322581023908184792011427412\
         040115056560244616896224267852490229429878294955755334187961/
         31486317453529850032497315762837051073546590765634840182885585\
         63840145489920000000000000000000*ep-
         574580927734144194179966306800/189*ep*z4-449800259955843271899\
         6240959034503/134946*ep*z3-71093151068622587856092858180858612\
         90552539517737614761224123297199595556794158224394843981628978\
         671586501029932594073492445226084783/2023019402814450971832792\
         79895833643510421792363484047409668581233010768226376954675200\
         000000000000000000*ep^2-12386509061877956635076568206800/63*
         ep^2*z5-4498002599558432718996240959034503/89964*ep^2*z4+
         7345857011275347470973583270388264962116839/83369050435440*
         ep^2*z3-151919286481545496658483673591598707946408093122313304\
         41677275925952095369586721402538993868391846062148932819069198\
         8183278779878260436793285949037014633340034574221503647359/
         10236376944561828098596123068387397224242042718587410301826253\
         78745872995761618324812519230803070063502859437123861217280000\
         000000000000000000000*ep^3-275823549253583303318322953119000/
         567*ep^3*z6-157664759348098802416928431938650053/404838*ep^3*
         z5+7345857011275347470973583270388264962116839/55579366956960*
         ep^3*z4+57702691561979002231534505026795158576736038237586681/
         1339130932618828270521600*ep^3*z3-
         40225928181513220379229665754800/567*ep^3*z3^2;
Fill mncnoptab(10,9,8,3)=
      +mncF321*(45383586884853458026500000+2558034728618351575780330000/
         7*ep+468018209315691538165792119275/441*ep^2+12208106947515560\
         3872589045238697/74088*ep^3)
      -44654752816496972581098544611397814995553641617824453/
      199976885937745021731225600-7474292247121495188611075/5292*ep^-3-
         68938332345355883468167974007/4318272*ep^-2-340264274420081975\
         09154825446604108571/592846580874240*ep^-1-
         790086329708929638339456780850/1323*z3+
         28731261521476628377883456994669117550338949972274925637878717\
         81706543254384121635139148874542475203396018463965888297573838\
         47/13111406368729086031132402240697553459841977140262597609596\
         4840292005802433052672000000000000000000*ep-
         395043164854464819169728390425/441*ep*z4-495685330937570496400\
         42568372342933/5037984*ep*z3-432081756075565120283257859935953\
         47227458636792725965434245210328776841720728806345732648070054\
         968305340766345653892964282789358022049941/
         42120882382119120794336212308551731248017900544416286543072275\
         96136270603087749297901404160000000000000000000*ep^2-
         8515769362054613320506417319175/147*ep^2*z5-495685330937570496\
         40042568372342933/3358656*ep^2*z4+1598012223579034800530477537\
         57776752400493159/6224889099179520*ep^2*z3-
         94352560003123773115183047487255502148861838924740236700186255\
         18689934153552521926524028762484321155420978148156382697736630\
         0834107890685391108249637663049291108342355916909380489/
         21312955708733291047525015918228032012649872303516475241226406\
         48579207247015350281725650040070456117818033576846848963274342\
         40000000000000000000000000*ep^3-379259189643912951231091495458\
         625/2646*ep^3*z6-1760254300608286352211259449481654133/
         15113952*ep^3*z5+159801222357903480053047753757776752400493159/
         4149926066119680*ep^3*z4+1347954747578821127084760656482790198\
         486264678477440513/99988442968872510865612800*ep^3*z3-
         27654912528495836433413220653425/1323*ep^3*z3^2;
Fill mncnoptab(10,9,9,2)=
      +mncF321*(6674056894831390886250000+378217852793972410611177500/7
         *ep+139704416838878031711100361975/882*ep^2+
         36895424869230857573158659710371/148176*ep^3)
      -5582021750633905468741330189534415707311923403767233093/
      169980353047083268471541760000-10156693291391945748339175/179928*
         ep^-3-100426972992546291289219819655/146821248*ep^-2-282751414\
         749559789420964010518467352327/100783918748620800*ep^-1-
         1975290665122544588980542677725/22491*z3+
         75130584662243923299389954821561366128229535290742125959118542\
         31649409450014024326183107590825416079222468082691530020601050\
         81687/22949156795313893862011666289937741771830609428144429848\
         02891792599035961146207528550400000000000000000*ep-
         1975290665122544588980542677725/14994*ep*z4-248504646109586599\
         428188826980365745/171291456*ep*z3-
         11251699140714211699105472572705945427035129970060744240234758\
         01767566319324152276961890805163153358359387237919258937704897\
         48870084878920553/73725022851070739508742559127904266238030691\
         68090271466207026606069237161996549351102785729331200000000000\
         0000000*ep^2-42579023706635494251506091090475/4998*ep^2*z5-
         248504646109586599428188826980365745/114194304*ep^2*z4+
         3928379544904876657524937780089211950714610787/
         1058231146860518400*ep^2*z3-
         42448415803154200818592897201670030171641865966924861732253385\
         23793231672120473307846168544204183599572472463571648756258957\
         783663656883604053066444283657532451375372525828208153993/
         21943819197711796462531756389407581760224308523700562908366708\
         11777151781527004650064729281256541618905447370721515692587262\
         93504000000000000000000000000*ep^3-189630316014737179542796867\
         2294125/89964*ep^3*z6-8992283507438818220006826765077247625/
         513874368*ep^3*z5+39283795449048766575249377800892119507146107\
         87/705487431240345600*ep^3*z4+14059276430211115921384605272338\
         676828992224480602819381/6537705886426279556597760000*ep^3*z3-
         138272916139960275487171764788525/44982*ep^3*z3^2;
Fill mncnoptab(10,10,5,5)=
      +mncF321*(86394551567902853275000000+6263499227906216237942000000/
         9*ep+163823981829400087970023088125/81*ep^2+
         42769616024770144713966774474625/13608*ep^3)
      -7672851674970893884890940241859482509719955097405/
      18052772388963518029824-1672205673999939347912500/243*ep^-3-
         1256721789981528655187746785275/16656192*ep^-2-164472629208023\
         05717380162832235132825/64623959592192*ep^-1-
         276231546686822576568672882500/243*z3+
         82959371973108682378873874351909340748064841197377815128616747\
         68925842146029633993872737063393177543836675883069/
         19641104218860435464868231653967275789585801886050588813493377\
         43360000000000000000000*ep-138115773343411288284336441250/81*
         ep*z4-156007995231018891557703518590540475/8328096*ep*z3-
         32712332994348152104838974300054550088931832883289469346008255\
         8541461341138472043140777166254917145729158440770437940183/
         16626556117582985653023511670545731953758909675296526761456312\
         275687178240000000000000000000*ep^2-
         8932545734310714488951152817500/81*ep^2*z5-1560079952310188915\
         57703518590540475/5552064*ep^2*z4+4779365141927513685580557758\
         4022998983621/979150902912*ep^2*z3-
         16511104050217532337518711623028279437540856599756591258269912\
         79303196372347931819977261589398013807626600237264335803051730\
         039396321091010732740297038556394732092297/
         81125883037321124476990830259797824615507676491956484709719632\
         23664163628966944293847442320432460430769525882880000000000000\
         000000000000*ep^3-66303514140613302225711963925000/243*ep^3*z6
         -616458127368990365477659041698746775/2776032*ep^3*z5+
         47793651419275136855805577584022998983621/652767268608*ep^3*z4
         +166588679910831327141391312138459108600579009294973/
         6447418710344113582080*ep^3*z3-9669796396298730311482331397500/
         243*ep^3*z3^2;
Fill mncnoptab(10,10,6,4)=
      +mncF321*(64178809736156405290000000+4656337709808821920469300000/
         9*ep+853622266902461902747587507250/567*ep^2+11161893694470387\
         2351233598083805/47628*ep^3)
      -6828174301858085876473298765566688962011461449/
      21625299976854712320-7131721862957502638756500/1701*ep^-3-
         385556599131919049143600637905/8328096*ep^-2-12949221547938531\
         45799463977701603059/8166764124288*ep^-1-
         1436438443219703593728536621000/1701*z3+
         29066758194737911074426821293752134973447861931965953216289519\
         594514185416544412179753192672619417730272025411820006759697/
         93027756112701829641469342026564014535478563625739300540343775\
         74982248038400000000000000000000*ep-
         718219221609851796864268310500/567*ep*z4-405774188977652889598\
         244984983734175/29148336*ep*z3-
         86904066461506426770087269192872580483558431867791785364077494\
         46009033236124371924746801119751855173939943527460416290008664\
         49876249/59771027810426960531423423605587212855351893198302104\
         916492989909753181521429554790400000000000000000000*ep^2-
         46449359786065358763830546929000/567*ep^2*z5-40577418897765288\
         9598244984983734175/19432224*ep^2*z4+1206394220126699579038620\
         4866233024507396161/333476201741760*ep^2*z3-
         12850230027395434154498428338515184240802261374327705558913819\
         18728101745625194678197572832626940088009464545503972313778321\
         73941294198681504948620991910337074108865518375173/
         30243840972569037564033999974780946344351489850371894073577568\
         00840079305659326868764261363736343369440266518775044505600000\
         000000000000000000000*ep^3-344779102287440931744407760415000/
         1701*ep^3*z6-1607571065935053314722136721328020475/9716112*
         ep^3*z5+12063942201266995790386204866233024507396161/
         222317467827840*ep^3*z4+62403392662906019385595137837782068379\
         8816141636791383/32139142382851878492518400*ep^3*z3-
         50282562871822063840055174033000/1701*ep^3*z3^2;
Fill mncnoptab(10,10,7,3)=
      +mncF321*(25671523894462562116000000+1866720690550462305162890000/
         9*ep+343558341060298676976503468200/567*ep^2+
         7526035917295001296766964511513/7938*ep^3)
      -405956021794158924372769691246026446786821667909251/
      3213914238285187849251840-1494878759705951564165650/1701*ep^-3-
         5180362049078505561508374619/520506*ep^-2-63454918779388235969\
         2783395419833/17661687120*ep^-1-574605250028822915955630234800/
         1701*z3+556176533716808224127867319806518203722131438906511711\
         82789520563543597384108156410984079642630773432207454019157957\
         06210591/44596620301799612350790483811896440339598561701573461\
         25713089805850537497722880000000000000000000*ep-
         287302625014411457977815117400/567*ep*z4-406233894185710495357\
         41758961732727/7287084*ep*z3-582213997428196215948016429489738\
         56070743854340001062203535635778257664676784827546452285416652\
         65175497169591229680935869930647735004823/
         10028781519552171617699098168702793154289976320099115843588637\
         13365778715020892689976524800000000000000000000*ep^2-
         18579849825754620145053544862200/567*ep^2*z5-40623389418571049\
         535741758961732727/4858056*ep^2*z4+179694696361033127065153789\
         5099663655636999/125053575653160*ep^2*z3+
         40389175293043133608832361265527918280476603356319534260700068\
         98121384452530529125134194298539628455307083651576192820099924\
         5901237613975558808200817580312350133021526495324419/
         14498609325668905474506813549814987763707396124841139619881909\
         17400821256473027402534455809571738855658526242752958478417920\
         000000000000000000000000*ep^3-137912360568087593798012510879500
       /1701*ep^3*z6-162203953410629412055854562509805453/2429028*ep^3*
         z5+1796946963610331270651537895099663655636999/83369050435440*
         ep^3*z4+3397979448964645437117225606934401255227835115846787/
         422883452405945769638400*ep^3*z3-
         20112696541208382249125546101400/1701*ep^3*z3^2;
Fill mncnoptab(10,10,8,2)=
      +mncF321*(5042620764983717558500000+2576534477814451576389110000/
         63*ep+477342447339898595869931105875/3969*ep^2+
         42192862761481670008024477542371/222264*ep^3)
      -1116409555229905285701447138428925440954045484235962781/
      44994799335992629889525760000-2164962767115481433117875/47628*
         ep^-3-64246374166579769271358603781/116593344*ep^-2-1810464308\
         29444139840190535907135418197/80034288418022400*ep^-1-
         790115529652163475796345588850/11907*z3+
         58128779856652221325528513745911890436561148887142630994286104\
         30103255819694923846609765127386188220845534056625745451565652\
         2457/236241319951760672108943623572888518239432744113251483729\
         709449238136054823874304409600000000000000000*ep-
         395057764826081737898172794425/3969*ep*z4-44770468045796703756\
         7199333500338317/408076704*ep*z3-
         86656702064655084540455083493647518387172170978994023090086131\
         69893390828601986253073325225343104931276830634073502416655371\
         235550657101799/7589340587610223184723498733754850936267865320\
         09292650933076268271833237264350668495875001548800000000000000\
         0000*ep^2-25547411614894576557626328091525/3969*ep^2*z5-
         447704680457967037567199333500338317/272051136*ep^2*z4+
         31248134672936812442736601451775434169131387/11204800378523136
         *ep^2*z3+64256921633014466145976694586040204396605503355324078\
         01565710906212389666751975907119241392793016240187929331738832\
         75907713799341717610382653987708078837776364861125788234255517\
         03/40422824837890151378347972296277124295150042017343142199622\
         88337484226965970798039592922360209418771667929367118581538976\
         536985600000000000000000000000*ep^3-37926059657515783098541319\
         3428625/23814*ep^3*z6-1811279821429144620028862179411042853/
         136025568*ep^3*z5+31248134672936812442736601451775434169131387/
         7469866919015424*ep^3*z4+7501992524631817328347373459509547956\
         538637795211425061/4499479933599262988952576000*ep^3*z3-
         27654591340071497469846313131425/11907*ep^3*z3^2;
Fill mncnoptab(10,10,9,1)=
      +mncF321*(370780938601743938125000+190492159771111118555277500/63
         *ep+142508732623176404342133208075/15876*ep^2+
         12753795858420605992545249334219/889056*ep^3)
      -72563475172617918693689171645990073089645081266940825093/
      39775402613017484822340771840000-1273861677623367521975/3238704*
         ep^-3-7332382621971687342401529025/7928347392*ep^-2-7770255764\
         48996237010704543576481345181/70750310961531801600*ep^-1-
         1975318595107533428212377814325/404838*z3+
         26465254485975930262986023355939274406990897117366852283547384\
         65344581251402361865847657618684582561806729318994251309789783\
         198283077/1476778239778449070020450725757493683017299716701094\
         06072066086853747964099758454462218240000000000000000000*ep-
         1975318595107533428212377814325/269892*ep*z4-22445820452350555\
         38931067660846985625/27749215872*ep*z3-
         39179864471744707365940269559567533972652508032103181196488053\
         27798480951178436113725095995304671255905351768829310322348566\
         34293234699017944699/47442052204664020873875836798806395324172\
         75009666089688504221621005554113744779507434642616824627200000\
         000000000000000*ep^2-127737269162634092604426635648225/269892*
         ep^2*z5-2244582045235055538931067660846985625/18499477248*ep^2
         *z4+49889908902229774318574837887833202448157272347/
         247626088365361305600*ep^2*z3+
         27556895200020037170768276897659788953804332093815545010887858\
         14688371832308940086610670914381110340471411019629240165494664\
         83901275282364754116283838654633689309147180694856359943997/
         96021764045347278960746459608769696266389529238008923174431041\
         38174460765605866947753242388922374816006456604803208367623345\
         151148032000000000000000000000000*ep^3-18963058514884360547842\
         75756580125/1619352*ep^3*z6-9251599325646530752393519178813655\
         985/9249738624*ep^3*z5+498899089022297743185748378878332024481\
         57272347/165084058910240870400*ep^3*z4+26236472767439669192144\
         93556556288031073954795011664772993/
         19887701306508742411170385920000*ep^3*z3-138272301638988241934\
         965852878925/809676*ep^3*z3^2;
Fill mncnoptab(11,4,4,11)=
      +mncF321*(92025301362398339936000000+6610257817423438367879690000/
         9*ep+170079302581614972952842351100/81*ep^2+119426258310470491\
         591213210125107/37422*ep^3)
      -12417730182975102112487938969917691998076564912733150237/
      27425727842865921854398713600-21040806394013480158450/243*ep^-3-
         2540576568595795465989956519731/2551132584*ep^-2-4227570088973\
         196166264438134312904390883/1138278979830152160*ep^-1-
         294273612643092361732131388400/243*z3+
         15152987596155163635456676321350584193762966116396901798845977\
         027888766638708550371349379357273771434553716093/
         33478416012583893863342934902409005402978822146265675883966627\
         84000000000000000000*ep-147136806321546180866065694200/81*ep*
         z4-6334944079524075573456156726750758759/318891573*ep*z3-
         58087933108383045593388308055461999005795343180528667637407988\
         05466813935643852376446116541522614898862598182903133166463/
         27301321669618279487154747729915983925799722321273857432453401\
         7322720952320000000000000000000*ep^2-
         3171620044125591685686293744200/27*ep^2*z5-6334944079524075573\
         456156726750758759/212594382*ep^2*z4+1825642684788126357597695\
         2825653761819478511739/341483693949045648*ep^2*z3+
         13603629184343130357617555993458999217933525065910472057746945\
         42722823412323975316786393090703661765409754726257454819153206\
         981215594997824144790090414569/5687191848489466354635429823959\
         69008518286552802416233731689548379035082796876456591598101551\
         53981440000000000000000000000000*ep^3-
         70625766961218082023611280773500/243*ep^3*z6-14531165893430487\
         2915908929404202191231/637783146*ep^3*z5+182564268478812635759\
         76952825653761819478511739/227655795966030432*ep^3*z4+
         323263446761185083247415644606896591288070050105343875667/
         13712863921432960927199356800*ep^3*z3-
         10299597731735233876795077726200/243*ep^3*z3^2;
Fill mncnoptab(11,5,3,11)=
      +mncF321*(59511259937163212178000000+1426561503914145851321176250/
         3*ep+514921256884492222174149549875/378*ep^2+14502550846155224\
         85427455802580587/698544*ep^3)
      -3277973660272829628424007093665432762185899706605098481/
      11195134596693404341560576000-100949893840792449958375/2268*ep^-3
         -200749644545222264384217810017/386793792*ep^-2-11997318698856\
         773557611500448071027731/6034331269612800*ep^-1-
         444038005208864992338034206650/567*z3+
         84775185792400817228466573336646006404213562908848246264109888\
         67392238796821479988121048555771503296402479629/
         28991085232404781771034813193081737120253850101448485985446789\
         12000000000000000000*ep-222019002604432496169017103325/189*ep*
         z4-395485573339603355842850277026312609/30767688*ep*z3-
         12789634433594713174221311646691434591038922539013377273772160\
         49227746468459725046987836931345167282461883371765947820063/
         93134943488329916645143286570281951853898718286619848097332674\
         805744271360000000000000000000*ep^2-
         4785748271613032008873256126575/63*ep^2*z5-3954855733396033558\
         42850277026312609/20511792*ep^2*z4+141258080269924244963161811\
         4992140253894937983/40997956567075200*ep^2*z3+
         35526609480829356949441539108289013256069533652853064295299681\
         17802503254410704771790238894998975166568929825434313979071489\
         65012214715645739340053403969193/
         42624266558374530878785017089311798994948798248730656682899410\
         58677307285761981025533029597628453617664000000000000000000000\
         0000*ep^3-213138482196542115437606354662625/1134*ep^3*z6-
         100206686767764546187029037304713993891/676889136*ep^3*z5+
         1412580802699242449631618114992140253894937983/
         27331971044716800*ep^3*z4+871476620813036292883706181881417324\
         52115263687005719153/5597567298346702170780288000*ep^3*z3-
         15541355715468102120314790821225/567*ep^3*z3^2;
Fill mncnoptab(11,5,4,10)=
      +mncF321*(213630163876996146280000000+
         15318097082663842778085775000/9*ep+
         392918168655507227347825525250/81*ep^2+54962604233712155892069\
         4586436395/74844*ep^3)
      -3277972819070192670187925108659097736953024462605199123/
      3118644637650305495149017600-159713270431696041617375/243*ep^-3-
         2149862433520942282629551093935/290095344*ep^-2-34348018147574\
         94120948513368102599830131/129436405733194560*ep^-1-
         683132732890530510839648449000/243*z3+
         57092422109552561294660426513203247943763659834478206273024759\
         66326010550661413831962799361269401671332492525487/
         54271311555061751475377170297449011889115207389911565764756389\
         2326400000000000000000*ep-341566366445265255419824224500/81*ep
         *z4-1670824566080055436676984077333016405/36261918*ep*z3-
         17271313010753319634120639714949089489832282378608705724177262\
         91091227449642538674154347046064300225189873022045768629191453/
         34869722842030720791941646491913562774099680126510471127641353\
         447270655197184000000000000000000*ep^2-
         7362686505404271029672299089500/27*ep^2*z5-1670824566080055436\
         676984077333016405/24174612*ep^2*z4+14247886445706940312039014\
         32611308889397486189/11420859329399520*ep^2*z3+
         11693334629838111009653979096141699295756594101531005985611404\
         12831332761036067629146101956773701828970920540250435187996003\
         0447174982636898072411434906659821/
         94429144375475883793000653244013831619578876120264839420577155\
         76146649986918850271950096339361497245286400000000000000000000\
         0000*ep^3-163952614539369771890527608391250/243*ep^3*z6-
         38079373881952673622116014661708662895/72523836*ep^3*z5+
         1424788644570694031203901432611308889397486189/
         7613906219599680*ep^3*z4+8243225835983182544120828890740305101\
         3762078680888615679/1559322318825152747574508800*ep^3*z3-
         23909807282824140451657244042500/243*ep^3*z3^2;
Fill mncnoptab(11,5,5,9)=
      +mncF321*(446334449528724091335000000+
         3551674514115191421196971875*ep+
         2545490138545405910379084679375/252*ep^2+710214562163463396679\
         4178390327185/465696*ep^3)
      -6196490910671731308435679969590837282109233246653489/
      2821710043274960136499200-6026368156120459167580625/1512*ep^-3-
         79612321687625956690680821136145/1805037696*ep^-2-151422274831\
         78282023199991953917721817/99762427860480*ep^-1-
         1110079828428447859226479512875/189*z3+
         65127234021579701354312919027032344037771801141492054636002205\
         319864432046617514893872577031398679846322537/
         29652169767306243284256130677928043592124701710110503185940480\
         00000000000000000*ep-1110079828428447859226479512875/126*ep*z4
         -21707773315927042425170557505319682595/225629712*ep*z3-
         85903724145844623200731422275459578176108092832693632744777955\
         5980099758143356833505140691090195628904597197355627869/
         82833654116229896137497508274512857163227661803996023034518884\
         16194560000000000000000000*ep^2-
         3418386495331758701461695827375/6*ep^2*z5-21707773315927042425\
         170557505319682595/150419808*ep^2*z4+5137740435379117381472864\
         57314942699652161/1964209201920*ep^2*z3-
         31449617761551238622266841670368239825307054569626042200960155\
         85407771809289837330109212890329963995577652232989063014491235\
         2382774540054953932244961/104783891957220469875316588657894709\
         70186519143992599923518341312995371822259604421447973339136000\
         0000000000000000000000*ep^3-1065690947745219512368169390494375/
         756*ep^3*z6-492544868190230655394022018918421095105/451259424*
         ep^3*z5+513774043537911738147286457314942699652161/
         1309472801280*ep^3*z4+1520575191889844367129028766875514164565\
         86758126621577/1410855021637480068249600*ep^3*z3-
         77707112640679502392450090297375/378*ep^3*z3^2;
Fill mncnoptab(11,6,2,11)=
      +mncF321*(15234882543913782317568000+366487108400247750694029680/
         3*ep+66554924482480729245600397072/189*ep^2+536984106526033966\
         914655990553767/992250*ep^3)
      -65559490600242095016648582137624545893395300329057432693/
      874619890366672214184420000000-13730334314035667844074/2835*ep^-3
         -362679270272207302388924814631/6043653000*ep^-2-8314924482842\
         053098626741721694742077/32410958967646875*ep^-1-
         113673811077303134256399967088/567*z3+
         62301917201391223648966240730496885539320845477357955557106892\
         229847551277791024273056690824812402781025318621995651/
         83471689229976309846973438013934244685987594086012428660229315\
         812655104000000000000000000*ep-56836905538651567128199983544/
         189*ep*z4-5810412063441581466829162668065935411/1762732125*ep*
         z3-93704322643611106433239490446987457760959950098971461830312\
         34955945727207761043842822745386551392980745062664089281096801\
         094773/2681559174825144719390961374442579451912207845462269697\
         429237060880551763897221120000000000000000000*ep^2-
         1225151654131261522724800415752/63*ep^2*z5-5810412063441581466\
         829162668065935411/1175154750*ep^2*z4+559108135886955385042718\
         4668229752141085112649/640593071360550000*ep^2*z3-
         26138594127488128983473355529681230869237995424034134478388083\
         06438602291676976976032094649048079405084821334672268782530844\
         5281719859686108936768722300579749257423/
         13499706732686885710690976326346211109807701122813885058501352\
         40931323271561236063862542795682612993451641274368000000000000\
         0000000000000*ep^3-27281727690260126425667009436700/567*ep^3*
         z6-406620249677392265492199009415450777357/10576392750*ep^3*z5
         +5591081358869553850427184668229752141085112649/
         427062047573700000*ep^3*z4+18531256687785616353770514244543634\
         57585679104482786726391/437309945183336107092210000000*ep^3*z3
         -19892930819094105343261731001624/2835*ep^3*z3^2;
Fill mncnoptab(11,6,3,10)=
      +mncF321*(95218015899461139484800000+2281312443103307830839194000/
         3*ep+411370233005820207936209133520/189*ep^2+
         43843998654522606889359977427539/13230*ep^3)
      -1311193223816191870408881916524183607372543715902076471/
      2798783649173351085390144000-118203114566532971217190/567*ep^-3-
         7160848524300138062248153339/2984520*ep^-2-2971528421050724334\
         3955203874431697037/3318882198287040*ep^-1-
         710459095965524814591209193680/567*z3+
         18771912396336072323152098017570336802432313437652278723954308\
         188325050404916658984229441062582866538705265797310631/
         40117353501501646690598804283874309588433961302622629413307922\
         92076748800000000000000000*ep-355229547982762407295604596840/
         189*ep*z4-8698467182487684420453047216133151939/423055710*ep*
         z3-25760503891998787605778488131226047447033032115151704360098\
         04437030315501179064610958443455812748305329798502018895455351\
         79367/11716226874922322186092393221282957092097492522507518298\
         887494758282940146253824000000000000000000*ep^2-
         7657195210977169940918009026840/63*ep^2*z5-8698467182487684420\
         453047216133151939/282037140*ep^2*z4+2460379162083559161563452\
         5783061793682877603/445629962685600*ep^2*z3+
         10420513820866569255758997151759006912765445974164292040561829\
         83889857065467014020079191981436978539194978597221714245617169\
         0422040467793462825787600651096243187437/
         64880980864025973282151164035077785117702619509518735564062443\
         87438527611572119925493212673465069440873749544960000000000000\
         00000000000*ep^3-170510744507072511634177180119700/567*ep^3*z6
         -49996525592352808194898499347063236869/211527855*ep^3*z5+
         24603791620835591615634525783061793682877603/297086641790400*
         ep^3*z4+1499604605324888755263053553123320770821399817597541951
       /60843122808116327943264000*ep^3*z3-
         24866187982877877466220879651240/567*ep^3*z3^2;
Fill mncnoptab(11,6,4,9)=
      +mncF321*(307627435982874450643200000+
         2450971684346498678947582000*ep+62875048868638120586943915080/
         9*ep^2+19994065308522417790702551799693/1890*ep^3)
      -93656000808554395269649378773801387460658709562589389/
      61877869794648918554544000-66377146439134236839510/27*ep^-3-
         2207183929973375837258337561727/80582040*ep^-2-206297295130950\
         6391898208027948549961271/21572734288865760*ep^-1-
         109300339182992309092005400720/27*z3+
         11655030036007550758031234579226495085086165648955783176094053\
         357575890104718065908839979565674137650477847314572897/
         77042928535119760448337895744065889470243547083225900107861580\
         3691008000000000000000000*ep-54650169591496154546002700360/9*
         ep*z4-668336215588786412005304134678441028/10072755*ep*z3-
         17653783198747352039688961664053710755570530326997692938990389\
         37076254641986355249096203436147513248724070520508799451829561\
         931/2475032837775085893907035056347840044146795402559887267529\
         0455319280833779466240000000000000000000*ep^2-
         1178028779487094177080626990360/3*ep^2*z5-33416810779439320600\
         2652067339220514/3357585*ep^2*z4+94975819968029218038567101385\
         839612629307899/528743487472200*ep^2*z3-
         67435439317495460342248581132069271498871539150281538324856382\
         58895770946587017622902609318141934888415890233518698379136654\
         0591292186070140537230988959011391629/
         73727788905639047243944147895803523644113008265619783759618364\
         64325726784848311211508427482610609668122214400000000000000000\
         00000000*ep^3-26232396690502138211584093781300/27*ep^3*z6-
         15233628975146895610498377828196035677/20145510*ep^3*z5+
         94975819968029218038567101385839612629307899/352495658314800*
         ep^3*z4+164822736601253747949708835201263463550984710110042666\
         89/216572544281271214940904000*ep^3*z3-
         3825579043910142776118544993960/27*ep^3*z3^2;
Fill mncnoptab(11,6,5,8)=
      +mncF321*(571308095396766836908800000+
         4548478915958363269814788000*ep+815741855501984324382832702040/
         63*ep^2+129491087462258390502708879361817/6615*ep^3)
      -2478534940515734200511496480869593677447613961959979/
      881784388523425042656000-2190321453440043926772380/189*ep^-3-
         35790511978916715513153699574913/282037140*ep^-2-4311128560613\
         7065764724906993923123079/101009458208736*ep^-1-
         1420875205705906235855770963360/189*z3+
         47129370298072229806558253967648544503003517879369681925601936\
         8685312770436881338794399867331689912364405825709/
         16696024839603871609241467579840859045090714856649095200133611\
         520000000000000000000*ep-710437602852953117927885481680/63*ep*
         z4-8685167114865848522295273336551137289/70509285*ep*z3-
         30971988856119908290083142711644364659396948207447484847560806\
         66205252950220306753406441468265823039536415709599959678247/
         23320262185409847946959845376408947818234937662256255359936894\
         606717747200000000000000000000*ep^2-
         2187762802869763301327512100240/3*ep^2*z5-86851671148658485222\
         95273336551137289/47006190*ep^2*z4+827647746519541799766500080\
         9263528449228711/24757220149200*ep^2*z3+
         13882039733974576693517082560128732201352766664719647412929174\
         64351429219470584333004985043575064252388823757425561734577565\
         219492738071961374493256469151009/
         51043746324890294326205311963530929460000321962602254496813452\
         44957747181352457622364273039774423449600000000000000000000000\
         000*ep^3-341020453437722954369443728379400/189*ep^3*z6-
         98718016544297554646802643691411498188/70509285*ep^3*z5+
         8276477465195417997665000809263528449228711/16504813432800*
         ep^3*z4+61404684197159171577404132675190958661727961427157517/
         440892194261712521328000*ep^3*z3-
         49732848814953987792703444174480/189*ep^3*z3^2;
Fill mncnoptab(11,6,6,7)=
      +mncF321*(639865066844378857337856000+
         5099041262084881970879980960*ep+654291548430526174737159747832/
         45*ep^2+520496703565922090300598125488733/23625*ep^3)
      -2478399738554483897885519097262010937731680070043761/
      787307489753058073800000-3411548675226110359988164/135*ep^-3-
         276387885882838978559149998615677/1007275500*ep^-2-20423270568\
         407992594471938719831189593/22546754064450*ep^-1-
         1136663660505946780411737829088/135*z3+
         34735923624554400889572422154768883821868725167725985606786515\
         04482941520503555439302191267627635751800398776207/
         11043471240481423823168099000514270833396372982805432867435315\
         2000000000000000000000*ep-568331830252973390205868914544/45*ep
         *z4-34755659309759008338824012943465740636/251818875*ep*z3-
         91293912287456807385631129846096992062734267491357274206191580\
         1788013118416156391734340219079250086261573524196799913651/
         61700110592593110821766937839915802172152203873170704778841783\
         83555788800000000000000000000*ep^2-
         12251428554767069356654341769744/15*ep^2*z5-173778296548795041\
         69412006471732870318/83939625*ep^2*z4+126338012457057050282099\
         312507879220651431/338336645625*ep^2*z3+
         35977819821393679608973382198981771662791261896948055703770430\
         28117280869887851800027031500224867231691519482808842509084344\
         2865073338716290026446298154500827/
         33762536289969345554687551462758249624599338324388881892024933\
         01602883066382912020623598967635050496000000000000000000000000\
         0000*ep^3-54563096666198838714738669049304/27*ep^3*z6-39638946\
         0507806007291489338055712482187/251818875*ep^3*z5+126338012457\
         057050282099312507879220651431/225557763750*ep^3*z4+
         62499775727145111896028383439107267959168530508231699/
         393653744876529036900000*ep^3*z3-
         39786680593773780278255049436784/135*ep^3*z3^2;
Fill mncnoptab(11,7,1,11)=
      +mncF321*(1200143742066124778923000+87136790514751659352253440/9*
         ep+63973008885137200876061670779/2268*ep^2+2094048901952848543\
         183904271134201/47628000*ep^3)
      -4687496107831260053575720780935853258956726398594841653587/
      793836816856441398765204480000000+181947152995854842453/136080*
         ep^-3-9437295132487240970808982301/52744608000*ep^-2-107466621\
         0170860763826266745652187657113/470677839029798400000*ep^-1-
         53728665952426597686599575673/3402*z3+
         53922308336132954886897179874573390736935373484573018656335853\
         71594141288301481225652190826559521806130835383681868776263/
         92173278945444420243281031033134833957523056819102880298343581\
         068861147971584000000000000000000*ep-
         53728665952426597686599575673/2268*ep*z4-160259282263073706357\
         04485796676999599/61535376000*ep*z3-
         80660389480210665270186237690116736833768731268173413436525141\
         69690094821947809470374303426681830733117652483983043126791756\
         14198701/29611009925639667558085915338827205894562478645203294\
         64307445307529105763076450832875520000000000000000000*ep^2-
         1158151240823152678077591280379/756*ep^2*z5-160259282263073706\
         35704485796676999599/41023584000*ep^2*z4+196214994326116420358\
         018981406067106792443696333/290712782930169600000*ep^2*z3-
         21285241371815272768736877460523798184345701210289041107427520\
         63200418652734363182436683347987271965239172704466839382678670\
         840233952211017942223381078810857896630581383251/
         78858014980328157203999762897206615653420180943191901584439288\
         43671910485867281909666814815075502711429435663769004933120000\
         000000000000000000000*ep^3-51579519177517604536625611860325/
         13608*ep^3*z6-572864106999583381266055633312008756319/
         184606128000*ep^3*z5+19621499432611642035801898140606710679244\
         3696333/193808521953446400000*ep^3*z4+145937535002943847423864\
         406187705627486801952258082099599319/3969184084282206993826022\
         40000000*ep^3*z3-18805033007084460540671217972593/34020*ep^3*
         z3^2;
Fill mncnoptab(11,7,2,10)=
      +mncF321*(17456636248234542238880000+1260909466918688218405888400/
         9*ep+229351855869991184119112494600/567*ep^2+37094391423140961\
         5464632715350497/595350*ep^3)
      -16389950713234966143625737857513256847222850519560488937/
      190826157898183028549328000000-26535340423294683883474/1701*ep^-3
         -1126973203250968794148184861/5886675*ep^-2-142179592487449835\
         8866872240706382717/1767870489144375*ep^-1-
         390753349236211755994625968400/1701*z3+
         59477841777897194293757363499268157915741988420487123095538395\
         96741468395439838985226241581769456157500680220845975309593/
         69613385497258722980939519941108825646241189765476301204343403\
         88417485301350400000000000000000*ep-
         195376674618105877997312984200/567*ep*z4-598035471367739442808\
         5033036533563/1582700*ep*z3-1160983169987236931486721449942501\
         24233390029315731911671926096363663540882068447626617274288109\
         79576131517883733354542452119388743/29043584342649024577906446\
         79496265767516799285879534848289929100110284464737595949056000\
         000000000000000*ep^2-4211458366403670917592754994440/189*ep^2*
         z5-17941064141032183284255099109600689/3165400*ep^2*z4+
         174251809128187290544369749884555466832841377/
         17470720128015000*ep^2*z3-
         98641516446256623990180090961127915368794126434178766891258254\
         58178040874076805286209340346817618065062139293439756444079536\
         85338644997805575554411184429504123166704825933/
         59557102222905181664559261488799402031953703089963114483352749\
         30885079248067597526181930070126953096743909452357010718720000\
         00000000000000000000*ep^3-93780929870992066255850422453900/
         1701*ep^3*z6-51009145508070966733503379802166588779/1153788300
         *ep^3*z5+174251809128187290544369749884555466832841377/
         11647146752010000*ep^3*z4+427015291373765918696066018228568437\
         06978555793329421229/8673916268099228570424000000*ep^3*z3-
         13676394079776136034206017418424/1701*ep^3*z3^2;
Fill mncnoptab(11,7,3,9)=
      +mncF321*(98193578896319300093700000+785310463918274849508024500*
         ep+141968151427772972979342357835/63*ep^2+18220795667775874319\
         5147022725139/52920*ep^3)
      -1311199115528490066956680495300839625378252272830977391/
      2713972023440825294923776000-101139003208195641576745/189*ep^-3-
         102299018448018747340725037831/16744320*ep^-2-6150842461787401\
         04344807290560342783/27428778498240*ep^-1-
         244218983185816790749988994890/189*z3+
         26391541591997703742227249311619816329720197111635011833847359\
         7315711308846417134294004941218466242128091294875985777/
         54778296057171953337076318696644348075179358618945656308275488\
         502054912000000000000000000*ep-122109491592908395374994497445/
         63*ep*z4-8704422980406309928788549316573275239/410235840*ep*z3
         -9100269177693355367718084146707759442730768147114721110891473\
         43372361938978488359844610361466598198158822699027545694443271\
         09903/40223387622377170790864420616638691778683117681934045461\
         43855591320827645845831680000000000000000000*ep^2-
         2632159280673297888595629903070/21*ep^2*z5-8704422980406309928\
         788549316573275239/273490560*ep^2*z4+2347942498319864744653553\
         1573722031292045931/414120773404800*ep^2*z3-
         13334406793699597733746325189178128495341076713771677734387872\
         36667730343637997506518499469244219020148590859778431544959763\
         2535949852543637927066633660235175401251057/
         44108306498064298047078251767464723299662868168629249739673977\
         62207667712874638656896761152128866983604200857927680000000000\
         00000000000000*ep^3-58613036357184660516526700331850/189*ep^3*
         z6-100573596878339350689652713788258726713/410235840*ep^3*z5+
         23479424983198647446535531573722031292045931/276080515603200*
         ep^3*z4+353570112514917830869618860529652302322633575126988738\
         53/1356986011720412647461888000*ep^3*z3-
         8547766759932448403974534971770/189*ep^3*z3^2;
Fill mncnoptab(11,7,4,8)=
      +mncF321*(281991816317634913089600000+
         6752892307118925691111388000/3*ep+
         173816476298875783779527698720/27*ep^2+
         27763100891788841455166242684006/2835*ep^3)
      -655584792086154399643094370514075375303217259468196603/
      472521914795500832598336000-397229348399302875081340/81*ep^-3-
         21299965989327996766477496798/392445*ep^-2-7849749305789512160\
         9454181181272798303/420248070562320*ep^-1-
         300571209410508132619228328480/81*z3+
         52146259451661017050093412819171389339976848337717199001628578\
         3464863891603039307514259868490208104056621034737189413/
         37540370724495464524709644980917105673899140871724995232244740\
         372037632000000000000000000*ep-150285604705254066309614164240/
         27*ep*z4-334471143405838828948289439151634389/5494230*ep*z3-
         78688685744226921664412420880850525603217124862530296662569173\
         22760964150847449579148014931549657438926406407527134022931695\
         2323/120599842259400083752329512862824049651121585357547006934\
         2082576768395002207272960000000000000000000*ep^2-
         3239573561503431287525951944240/9*ep^2*z5-33447114340583882894\
         8289439151634389/3662820*ep^2*z4+39354223248469244475748843777\
         26047643257591/24033794885100*ep^2*z3-
         21496794321947700269943672948006233541173399599518229526400898\
         26141794867517650529663898333642322854517086292861373273238149\
         1669509988662980801236215062889411651362173/
         95021670337876961024372552763836312193846901726704196407157547\
         89379596155978643401112576136165396504898982379520000000000000\
         0000000000000*ep^3-72138977110300933637785847924200/81*ep^3*z6
         -548300882710596773068599646873852859/784890*ep^3*z5+393542232\
         4846924447574884377726047643257591/16022529923400*ep^3*z4+
         17070970358341743338022034337062224596096152448733833729/
         236260957397750416299168000*ep^3*z3-
         10520394328438145165106032866640/81*ep^3*z3^2;
Fill mncnoptab(11,7,5,7)=
      +mncF321*(458236701516156733770600000+
         10969957730305704962855023000/3*ep+
         282207155893882040501024132645/27*ep^2+36035903327074947506031\
         8050692823/22680*ep^3)
      -20482939197174714336984224516339448716336082945173/
      9085682225850467328000-1404082161232834919364815/81*ep^-3-
         33219453495265332731320439048689/175815360*ep^-2-4951527825532\
         40482500006846972566789321/787086687340800*ep^-1-
         488411526632231458331866999780/81*z3+
         39759717342713833793535355971573903911398785480567615906782870\
         87363701777343769812059377554193246529038943375877/
         17669553984770278117068958400822833333434196772488692587896504\
         3200000000000000000000*ep-244205763316115729165933499890/27*ep
         *z4-8694708245613262243749169163844082949/87907680*ep*z3-
         52191797031851501747700156463081323711256654094159352777377146\
         00614492794067565189168358841076717673967910712164360843381/
         49360088474074488657413550271932641737721763098536563823073427\
         068446310400000000000000000000*ep^2-
         5264287314401240602813622497640/9*ep^2*z5-86947082456132622437\
         49169163844082949/58605120*ep^2*z4+228359416602407267557266174\
         964986029328079/857392905600*ep^2*z3+
         73190776573267631807925697541093134874787473158438160958504104\
         23811134482169937371441879025886277596892935276103777037853789\
         18570373547663521084527798399189747987289/
         21638690393477383264853930419674609154073228104704302266323576\
         14897796169973821947064737613877976345959674675200000000000000\
         000000000000*ep^3-117225435757447334917476838697450/81*ep^3*z6
         -99658064095271962470255817011649300483/87907680*ep^3*z5+
         228359416602407267557266174964986029328079/571595270400*ep^3*
         z4+12828000537949261100954970379327972131423777242357363/
         109936754932790654668800*ep^3*z3-
         17095824357382291619024568396040/81*ep^3*z3^2;
Fill mncnoptab(11,7,6,6)=
      +mncF321*(439907233455510464419776000+
         3514903092367158602738788160*ep+453144960553019492199405893072/
         45*ep^2+362757956803582400798832964861043/23625*ep^3)
      -10033458677402204986140300029926307177444734869563/
      4636334131780982400000-3647204302375775098673144/135*ep^-3-
         2823074753436496907850226123451/9639000*ep^-2-2771627381817804\
         54074566729528006841/287677882800*ep^-1-
         781427627443050623018675225248/135*z3+
         23000408808325254775345722855423690044702013153620830818484237\
         340165037366903894190736357134786955170190794655797/
         10691566857952656647993748549012025898139560524706727702665625\
         60000000000000000000000*ep-390713813721525311509337612624/45*
         ep*z4-152630285064706127297013411361340437/1606500*ep*z3-
         79735257158944239400401278754421506254089476316840754761849554\
         69887257888132972868635341368358619739873336924063654309291/
         78597385871809114733288955433288262514132869425939654456624730\
         760806400000000000000000000000*ep^2-
         8422823285263408297537464741824/15*ep^2*z5-1526302850647061272\
         97013411361340437/1071000*ep^2*z4+9508428130712303115664328669\
         037007528489/37328445000*ep^2*z3-
         14821599607643403999058562611872055746545941627955968516434120\
         72457438660478328907131203528897828287907097265789902291785689\
         8186787073026042549444441421548101993167100803/
         70485212585556147528260025051842576076703383610901882552321580\
         81180689791762800968159853928198895739163430092800000000000000\
         000000000000000*ep^3-37511990969963812027409253725584/27*ep^3*
         z6-5272821503749793856447696054370210537/4819500*ep^3*z5+
         9508428130712303115664328669037007528489/24885630000*ep^3*z4+
         3456008160100876566146859194543648828874194523037621/
         30136171856576385600000*ep^3*z3-
         27353657941592926253456414217664/135*ep^3*z3^2;
Fill mncnoptab(11,7,7,5)=
      +mncF321*(252030185833886203573830000+
         6059095316727598204905745900/3*ep+
         157044049659823786340204051156/27*ep^2+50637477001860703130479\
         5802356431/56700*ep^3)
      -27260416085918630448913510670552842799246267131279381/
      21987350986558130933760000-12496325078277142318923421/648*ep^-3-
         368631092579607167628136098039617/1758153600*ep^-2-14570498895\
         59268372943007108952071100463/2098897832908800*ep^-1-
         268608964184394379693270488079/81*z3+
         31478521258383628534460135279418350531705201847620220851100234\
         58651789633700292461230099789112073294386519673350689/
         25098324900241566049285548793823142651571840657022746801275124\
         1084928000000000000000000*ep-268608964184394379693270488079/54
         *ep*z4-15972545657519973905165696924921295229/293025600*ep*z3-
         20500363116435159978456354993787072281323436792863216213349176\
         715529572985920270626126945072712548614856840116057485471026849
       /350562198314338726741336144483140093906275808627624432366038844\
         332025399214080000000000000000000*ep^2-
         5790674976534916011198153456529/18*ep^2*z5-1597254565751997390\
         5165696924921295229/195350400*ep^2*z4+133950153728103649615842\
         563613079926020747113/925984338048000*ep^2*z3+
         53851240710032110781444172827627351984823799262118027267147334\
         63301514992756341486737231852555700309708650554640701546025708\
         96477842762064378028479691823814898936535508589/
         26125766956111899418234747845615761878286569355682448179313307\
         85738109755455632755654258817610489899095360344476876800000000\
         00000000000000000*ep^3-257894284302227276706984200663015/324*
         ep^3*z6-79668559636362062327925629877381374347/125582400*ep^3*
         z5+133950153728103649615842563613079926020747113/
         617322892032000*ep^3*z4+10870493087427103877770097375359644816\
         8749547038339127/1570525070468437923840000*ep^3*z3-
         18805789052730142374148072468919/162*ep^3*z3^2;
Fill mncnoptab(11,8,1,10)=
      +mncF321*(1008524152996743511700000+513845259400928640014258000/
         63*ep+94725901550968462682822652595/3969*ep^2+1247625238642749\
         75069700517628709/3333960*ep^3)
      -275735831887752687465101029123346893921217755732040247179/
      55568577179950897913564313600000-21386340341966363335/47628*ep^-3
         -237623467161039441751535299/527446080*ep^-2-17737752367640715\
         2338371654730255071281/32947448732085888000*ep^-1-
         158025487476673438568316625970/11907*z3+
         58181126104559951678712372942272746287814831706377967708523932\
         0212416663781443307462349510634008347563006072972832487477509/
         11858779446229017977249009101007770666488479158928418862762307\
         538476954560556433408000000000000000*ep-
         79012743738336719284158312985/3969*ep*z4-314616540937898634994\
         202580163945589/1435825440*ep*z3-
         47757654277819810251452337638996609160272593443645156526070506\
         70632969953954093103750971745884011509432941378561486107979589\
         662856680181/2095322439954143899878252306839955212628672288900\
         4174542153772187325157036451058325560439603200000000000000000*
         ep^2-1703163588798224018014652652835/1323*ep^2*z5-314616540937\
         898634994202580163945589/957216960*ep^2*z4+3893904519534236393\
         1681867972874133319758098769/69189642337380364800*ep^2*z3-
         15602571761835680166574918318575034326786205125357470768257646\
         25001806286544050673268082576514668955403125941042815220154428\
         9721905929521550694226886160406643566558559958103233/
         25364178694690858767302498282849889337368443071953491196170268\
         87565337550167028434450360378265666784841296157569803724888473\
         6000000000000000000000000*ep^3-
         75852234058536713617817786247725/23814*ep^3*z6-340319532275317\
         29514272290621485224287/12922428960*ep^3*z5+389390451953423639\
         31681867972874133319758098769/46126428224920243200*ep^3*z4+
         1780366896354423556423896152241868775888119375074432613187/
         5556857717995089791356431360000*ep^3*z3-
         5530892069367223031551254976085/11907*ep^3*z3^2;
Fill mncnoptab(11,8,2,9)=
      +mncF321*(13202498002866460516800000+743933733601042863101938000/
         7*ep+136032802832554844798308418120/441*ep^2+
         44315503578821822055878143734461/92610*ep^3)
      -350590836596440908114889749152243814259580457048980041/
      5397103455706186666041600000-39081808591246316113790/1323*ep^-3-
         36972699111049436062594974227/102558960*ep^-2-2637280406105517\
         2138617721603084180207/17600132869704000*ep^-1-
         229854395094913394700772340320/1323*z3+
         22054299021518312729737981050147392525029106357578600881531291\
         9635793791699631297527702794533076976305294947117490336409017/
         34207739973125881879636605126616667371691397181622086700071653\
         2818874035548979200000000000000000*ep-
         114927197547456697350386170160/441*ep*z4-342434881164221255619\
         566726351478613/119652120*ep*z3-
         42981189657953832061774776197910981841458091478788087243636853\
         54000283482571089390281496082823085114130851098533000838632940\
         31386253503/14286173404123999609562681615778787336207374312516\
         5433847202284375558087277042304798425088000000000000000000*
         ep^2-2477327840673871526476837318760/147*ep^2*z5-3424348811642\
         21255619566726351478613/79768080*ep^2*z4+276267842888169386295\
         169590158315932585105363/36960279026378400*ep^2*z3-
         26274051691812603205561527175248961477840232950371358857062585\
         99176561011508010223268719156403134398481521754115676418802006\
         429477062832551155004110982808943689218015955886177/
         14633061241320065147440429375481653650244123517032532743716071\
         51109769898442591483355924926631761923256965103052047305932800\
         00000000000000000000000*ep^3-55165240427424825858976908821300/
         1323*ep^3*z6-12147596951848190852742007405225455493/358956360*
         ep^3*z5+276267842888169386295169590158315932585105363/
         24640186017585600*ep^3*z4+231920079767401223245647876203059812\
         72446295216771201293/5936813801276805332645760000*ep^3*z3-
         8044943370965415806388540660760/1323*ep^3*z3^2;
Fill mncnoptab(11,8,3,8)=
      +mncF321*(66012490014332302584000000+3708326656824342201257180000/
         7*ep+674478007851618820497581190400/441*ep^2+
         21818179690552980289002903846014/9261*ep^3)
      -2410310251351057385233484048613312436482938659690967/
      7421017251596006665807200-1041195367150222582741300/1323*ep^-3-
         45868229437097868886191886273/5127948*ep^-2-171756987241142893\
         50015644866222944871/528003986091120*ep^-1-
         1149253367074725819539235917600/1323*z3+
         89356182745676497756420080451180689032318200777158255031710487\
         915626878873237742659098565487920793555585307268570831305499/
         27635869474027479146368351087731860181320287140692559390150217\
         051240711323648000000000000000000*ep-
         574626683537362909769617958800/441*ep*z4-128220327498125788979\
         296378540119793/8973909*ep*z3-71803742757066537667465113803524\
         04624225398226324114040589244278349228521489386597336784684711\
         0615809904648474068014432468498730899/474766108433417129708288\
         25404891980581480358696873387600382079039792980663364432691200\
         00000000000000000*ep^2-12386617212068829381596777918800/147*
         ep^2*z5-128220327498125788979296378540119793/5982606*ep^2*z4+
         11618904667128736994023707565540939182548753/308002325219820*
         ep^2*z3-140916441567647026594454122934638798597451663409154348\
         31494968979713312125436005654547975217430771786388945336455795\
         62783227128330629452545148356606023249188544237285672030099/
         11821809063921572517907307112649418343148217685102632099415505\
         21581934133152306684884491906280986638994884804489846456320000\
         0000000000000000000000*ep^3-275825753853861846537079413379000/
         1323*ep^3*z6-1499874366944480405742040062297384206/8973909*
         ep^3*z5+11618904667128736994023707565540939182548753/
         205334883479880*ep^3*z4+28492431023193705041146779019194940275\
         6997030058159/15332680271892575755800*ep^3*z3-
         40224921556031044418821736586800/1323*ep^3*z3^2;
Fill mncnoptab(11,8,4,7)=
      +mncF321*(165877539010373478288000000+
         3987582407954605682081860000/3*ep+
         103337441297234185120831037000/27*ep^2+
         3331196807209485690437570726053/567*ep^3)
      -154252653907342060960150779355795955771106631925596811/
      189008765918200333039334400-437774645894641938268100/81*ep^-3-
         262290581095010253993180384637/4395384*ep^-2-10928830112800970\
         2367331356968681999517/534861180715680*ep^-1-
         176802103432259764206925777600/81*z3+
         76973563547421185248086553177044129181053984549378764870413363\
         2459368130749734322393747309171991117070444888283697251/
         94808589329720688468016705436499833207041197609713635918169114\
         715095040000000000000000000*ep-88401051716129882103462888800/
         27*ep*z4-78845176132722610040192982132860651/2197692*ep*z3-
         11581935483509767011921406317854165371883808798557792274747878\
         74190481144049561650625950225544938480508684379061879249261096\
         51299/30457613223675021151736280034233624784339379975502943077\
         77198344389569010676531200000000000000000000*ep^2-
         1905626199967140236385920634800/9*ep^2*z5-78845176132722610040\
         192982132860651/1465128*ep^2*z4+576395125365889420588581806928\
         3176392673407/60529557488400*ep^2*z3-
         32432962368252659456832661212925098768662881789382368451739909\
         58301740828959706214659324708622787447538977727355968790588398\
         596490594781772109628659029266039675333357/
         47995639609437852762310626140917320955055322810937323695452026\
         74227449078785131105664005293267215581556118650880000000000000\
         0000000000000*ep^3-42434584240680005908165899839000/81*ep^3*z6
         -131052824938807303085093036898395191/313956*ep^3*z5+576395125\
         3658894205885818069283176392673407/40353038325600*ep^3*z4+
         21505379725721748636922632534257384900728529434675496381/
         472521914795500832598336000*ep^3*z3-
         6188516645039456232715195070800/81*ep^3*z3^2;
Fill mncnoptab(11,8,5,6)=
      +mncF321*(231043715050163059044000000+
         1851429673682693161872100000*ep+335875079672604511112487943100/
         63*ep^2+21656651559242730303069794211383/2646*ep^3)
      -145784956818954919984019497568651852569157825170933/
      128259547421589097113600-2579951837266565350460300/189*ep^-3-
         436275803403137486653708239695/2930256*ep^-2-93034092527324564\
         5744050300015119341/1874015922240*ep^-1-
         574581377750251652900264002000/189*z3+
         33766389099871858190038143317372906170435208410315963001211266\
         5364308108969744213696288724441464283004975042039893/
         29861546234261770017846539697390588333503792545505890473545092\
         300800000000000000000000*ep-287290688875125826450132001000/63*
         ep*z4-30146225909261459138653844552308829/603288*ep*z3-
         11067914366878490414224597619653836358255064907091133329959326\
         15783504171196254344154898127192876422325825902838956396627317/
         20854637380296471457757224989891541134187444909131698215248522\
         936418566144000000000000000000000*ep^2-
         6193255062829739506351619012000/21*ep^2*z5-3014622590926145913\
         8653844552308829/402192*ep^2*z4+101490269600355063777448002676\
         71354508889411/76522316824800*ep^2*z3-
         17921410090911479661703366302901527354299419266873105841817765\
         59059590066101757340897357587890085324378896234507458499243880\
         2585521558142774486793504655537864670624400161/
         77709946875575652649906677619656440124565480431019325513934542\
         84501710495418488067396238955839282552427681677312000000000000\
         0000000000000000*ep^3-137911785469293509760660767765000/189*
         ep^3*z6-5963428109440827187280437133290384571/10255896*ep^3*z5
         +10149026960035506377744800267671354508889411/51014877883200*
         ep^3*z4+20333134302453812871561857509915856117963514850787731/
         320648868553972742784000*ep^3*z3-
         20112959141639584866647758900000/189*ep^3*z3^2;
Fill mncnoptab(11,8,6,5)=
      +mncF321*(184834972040130447235200000+
         1483486310791342467513332000*ep+269874629804857874289534544360/
         63*ep^2+43664144409888687544644024375473/6615*ep^3)
      -291558864406707140612118660965541396771058229133089/
      320648868553972742784000-2684471288121856357001020/189*ep^-3-
         66694503179921645327340988141/430920*ep^-2-6702156663132491189\
         6852697684141979/130139994600*ep^-1-
         459651451274958301838049496640/189*z3+
         12369585171271648895102132688578626071874761166875128343269983\
         972356773478071082904150951860095204055017599362875473/
         13514482638591612488076833965904769120077144969166094431455836\
         05841920000000000000000000*ep-229825725637479150919024748320/
         63*ep*z4-341913987029453810690413620919106503/8546580*ep*z3-
         16115987721997033516634077852025291391148822516488566916203520\
         642912176557315394439092796662995270569021641175948943010950129
       /377528521261595551875285078674150870360604716983595542548041832\
         357565814538240000000000000000000*ep^2-
         4954587917234662059229748906320/21*ep^2*z5-3419139870294538106\
         90413620919106503/5697720*ep^2*z4+3030291098341594696016160179\
         78687819000417/2869586880930*ep^2*z3+
         27770986084420934372508242745352057702291329938891766714468851\
         68084067948563326026549608831100455228612555695667764199453351\
         90891338046181564924570665896412005148754440657/
         14067720668675638148280248839946948703692768114598241327322550\
         38474366791399186868429216286405648407205194031641395200000000\
         000000000000000000*ep^3-110329099509592500578074226650600/189*
         ep^3*z6-12003310715305893182658634760595789103/25639740*ep^3*
         z5+303029109834159469601616017978687819000417/1913057920620*
         ep^3*z4+8353127604309176384852597428348971988121280213060283/
         160324434276986371392000*ep^3*z3-
         16090517471163262919584199641520/189*ep^3*z3^2;
Fill mncnoptab(11,8,7,4)=
      +mncF321*(84716028851726454982800000+2046319704795357360999344000/
         3*ep+374354347581122941732883875120/189*ep^2+
         61019383010321533745620914674966/19845*ep^3)
      -848345737407271397726840349238472165030968367105743793/
      2035479017580618971192832000-3459075132938011190497465/567*ep^-3-
         2952033179108139652558314862723/43953840*ep^-2-137896008394305\
         8042123838544186981014023/6034331269612800*ep^-1-
         632025850587474881676417301880/567*z3+
         64949526768540499535120295798614550158476833387121845340808523\
         97828342960268991496231026915618774060912165187481198686351301/
         15887545982516111899969109857988106870981987606185545572852882\
         43334253983563776000000000000000000*ep-
         316012925293737440838208650940/189*ep*z4-313911889273187064628\
         966204225683959/17093160*ep*z3-
         27639437692861399305237895450138700322312650180094286344031606\
         23396440307639878699194166566927807693803464860962984473933131\
         5696720649/145826670054712699543073621330627349437379757715726\
         9395623857950557382315208951105323008000000000000000000*ep^2-
         6812564419688983553798164761940/63*ep^2*z5-3139118892731870646\
         28966204225683959/11395440*ep^2*z4+121476443963329973754822278\
         219603693411156675/2534419133237376*ep^2*z3+
         21437552727846920089854741190083836138354099835505403763592102\
         55553110381480084752783956611215034838189290461438938091286705\
         329222455607510540623706850672340912757491916391623/
         13592446242814598882350137702951551028475683867038568393639289\
         85063269927943463189876052321473505177179868352580898573516800\
         00000000000000000000000*ep^3-151702634816533442756267663888950/
         567*ep^3*z6-33436412308760116711939697096073925277/153838440*
         ep^3*z5+121476443963329973754822278219603693411156675/
         1689612755491584*ep^3*z4+2559557259429827066238620705335960319\
         8553229841439439901/1017739508790309485596416000*ep^3*z3-
         22124405371074077870184824635340/567*ep^3*z3^2;
Fill mncnoptab(11,8,8,3)=
      +mncF321*(21356982063460450836000000+1209652036890395981688520000/
         7*ep+223198607808415120702742593100/441*ep^2+
         14717866234312639608583367999017/18522*ep^3)
      -212113448760848346941241055487044652002846539201353339/
      2018516692434113813099558400-21811188032568125002497400/22491*
         ep^-3-34139281846896360055204566998/3113397*ep^-2-245935862664\
         0471977908260718203278821/62333803913535*ep^-1-
         6320539662952740995537283744800/22491*z3+
         25326827369297571777469336631727096977049493222189056625402613\
         02681210598455853312994526992861832628962825813123905877959313\
         6699/245780336349524251092522129503076013294091348267690390012\
         03409124380909125731614720000000000000000000*ep-
         3160269831476370497768641872400/7497*ep*z4-4720158511165491214\
         72004811762718411/101704302*ep*z3-
         34733506402416034619181649883675822175297048113767333337886643\
         76865821749481714692550713750719066578162889092983780507670044\
         22978917342271/71779864091931082879633829335880162138972063468\
         345774023685262484481332233626052361558425600000000000000000000
         *ep^2-68125976470735355514489178002400/2499*ep^2*z5-4720158511\
         16549121472004811762718411/67802868*ep^2*z4+747691896163628208\
         990054345261951769012626749/62832474344843280*ep^2*z3-
         19847009216893985837629655982306093257725038163999481424254230\
         65063327753941258738489462007472674170870839088388704423190296\
         301276189767665356371327177700167825078378173460324351/
         49476504323845139931754501238743645743651489276020388952847015\
         05630302537714206011148830450163558844934720803394470807601152\
         000000000000000000000000*ep^3-15170331214341636465871632956920\
         00/22491*ep^3*z6-17048820323811654738680970740725624561/
         305112906*ep^3*z5+747691896163628208990054345261951769012626749
       /41888316229895520*ep^3*z4+6893223996021257635895768216921889051\
         526921051233760291/1009258346217056906549779200*ep^3*z3-
         221240960929399159961776258666400/22491*ep^3*z3^2;
Fill mncnoptab(11,9,1,9)=
      +mncF321*(567294836060668225331250+32270855756983602895976125/7*
         ep+95986981579630002057498239795/7056*ep^2+
         14203672994248602638730426066941/658560*ep^3)
      -14512513908267702358319472359155477517769525880171643761/
      5199399034381370565011865600000+84972355770560694865/84672*ep^-3-
         678846377815218342111789341/1036385280*ep^-2-73275876406967816\
         358374445775776993737/9248406661638144000*ep^-1-
         79012744235716566087962377085/10584*z3+
         23087296034095022902768095833230265975434268331507589001566178\
         86236660391103862493169170986661961177372537400429077075557741\
         7681/839969137606260167498466217148048064851316423513783053261\
         189152846705972707108637900800000000000000000*ep-
         79012744235716566087962377085/7056*ep*z4-448147192856013235174\
         340278970444837/3627348480*ep*z3-
         17152492788419050475815851511835381665608553862932191002570649\
         43565458036723411353534752276829611171824408767516987339438010\
         8014259337225183/134921610446403967728417755266752905533650939\
         02387424905476911435943701995810678551037777805312000000000000\
         0000000*ep^2-5109490769424689596253292435305/7056*ep^2*z5-
         448147192856013235174340278970444837/2418232320*ep^2*z4+
         118720872208282666170370656052193606765015891/
         380816744890982400*ep^2*z3-
         66809835507705593366850438506198959367634289206179234835988901\
         90551477657556620564336956274272354680029128160477568272236700\
         312574646402458766147477415355492467541831180465381519419/
         68269659726214477883432130989268032142920070962623973492696425\
         25528916653639570022423602208353685036594725153355826599160373\
         575680000000000000000000000000*ep^3-
         75852234099013178282919762758725/42336*ep^3*z6-182544679197810\
         2566923547185202520573/1209116160*ep^3*z5+11872087220828266617\
         0370656052193606765015891/253877829927321600*ep^3*z4+
         5897556385219223069004005653375990052707474552749572681/
         30584700202243356264775680000*ep^3*z3-
         5530892055146307991432414322485/21168*ep^3*z3^2;
Fill mncnoptab(11,9,2,8)=
      +mncF321*(6601249001433230258400000+373927260187878796826284000/7
         *ep+69004774111815245454035430860/441*ep^2+
         842739633934953215772826800389/3430*ep^3)
      -101489016400400724286509331896685683303815813151047687/
      3124638842777265964550400000-44770654111146521292020/1323*ep^-3-
         6663007884039915032492988887/16193520*ep^-2-118020541877843709\
         2914667028452769863/694742086962000*ep^-1-
         114926642300109709414053039760/1323*z3+
         52059756368595754404129497892286416985507650567818013045880715\
         951598195540788890084147211384841568946937756789700837935911413
       /162237099007001317051890835806611141296024464614360424967229221\
         573441523212615680000000000000000000*ep-
         57463321150054854707026519880/441*ep*z4-8131158794847000582903\
         8912059824509/56677320*ep*z3-776564204185563437844463358093058\
         25974091301532451346875156331468129389871005693181721505854536\
         71105489212097118501568065234250047301667/
         52119273654642346437436222300985728059416089057484799005316705\
         10370637867457063525181030400000000000000000000*ep^2-
         3715989792640339756126674415040/441*ep^2*z5-813115879484700058\
         29038912059824509/37784880*ep^2*z4+357624475935994956823508696\
         5730460387252281/972638921746800*ep^2*z3-
         28934943801242736699683997035411137531394011059141907714889735\
         85528270403070787834871494131500334300062551726522393976699881\
         617263626841160992362834999177890983666741205746413019/
         26372091659796243972947620706898322439895044011926951687376109\
         03544978664236165752640324544531624994269789021855949474758656\
         00000000000000000000000000*ep^3-
         27582606839052273897414925513400/1323*ep^3*z6-3264263080210708\
         40286616231358577161/18892440*ep^3*z5+357624475935994956823508\
         6965730460387252281/648425947831200*ep^3*z4+660752703485617909\
         578245675319211574160514855993012409/
         312463884277726596455040000*ep^3*z3-
         4022477794746340075867258046080/1323*ep^3*z3^2;
Fill mncnoptab(11,9,3,7)=
      +mncF321*(28880464381270382380500000+233080048064368890531932500*
         ep+85625867587040485842371966875/126*ep^2+
         22449560221853368976311926006917/21168*ep^3)
      -312271399197070152035117711092822324264222401420659/
      2197548197118077161881600-254864997989256389802925/378*ep^-3-
         4046833310567664392224154849/528768*ep^-2-20744913984980455200\
         7993566406718971/7472856061440*ep^-1-
         71826963658030439146311530650/189*z3+
         11104558077531779158057468127015208222622227820381356216689392\
         6328753584256247650403415180783031274320709885047278132733/
         78932641550171249392761865961933103242224235803657588337261385\
         484697862144000000000000000000*ep-
         35913481829015219573155765325/63*ep*z4-81203457754802999122836\
         575941804733/12954816*ep*z3-9131446990637075053342500860624785\
         79352754563987562162465649783953680850561311077715340105370660\
         188204300731338030263249439770444199/1394657315576629079066546\
         55079703496662487750796038244805150309789424090216668961177600\
         000000000000000000*ep^2-2322485863558884219350068943600/63*
         ep^2*z5-81203457754802999122836575941804733/8636544*ep^2*z4+
         1335690048127341489884526217213447205746271/82339802899200*
         ep^2*z3-243755259218539494446852178181691210161744315373854641\
         97660025010608477054883890135356969572864912657456131598979373\
         539890700515095588759491954379601011917674573789582408049/
         64153602063025231196435757522262613457715281500788866216679689\
         71478956102913723661015099862471031389721777464068276224000000\
         00000000000000000000*ep^3-17239076567546555547259738250375/189
         *ep^3*z6-322978120067842482506530575696239657/4318272*ep^3*z5+
         1335690048127341489884526217213447205746271/54893201932800*
         ep^3*z4+635095138303413929316404392968625570275902852391711377/
         71420316406337507761152000*ep^3*z3-
         2514072686179814094226749200200/189*ep^3*z3^2;
Fill mncnoptab(11,9,4,6)=
      +mncF321*(62204077128890054358000000+501430171567802107010380000*
         ep+13130900020157345903165996450/9*ep^2+
         1716709486999440436399904970853/756*ep^3)
      -811847492572420292751044769950697842778219736679341/
      2652754609378250288271360-89269801879287542984900/27*ep^-3-
         33838269677378057633952246983/925344*ep^-2-5189480035473578597\
         6006350323743106119/412875297394560*ep^-1-
         22099502849731771486437929800/27*z3+
         52977467924698884903189787207907019315099682582188323086306865\
         611387703355377496902631847207896570836610519811984567/
         17425137554334629459451691893091030330450345425344193736004348\
         569190400000000000000000000*ep-11049751424865885743218964900/9
         *ep*z4-6242632944442524428704416978128783/462672*ep*z3-
         72106496997807529730440392138265624590455226696889351840098829\
         97899070976526127633334123718555745507175191489085969702144907\
         19/50889913489849659401397293290281745671410827026738417840888\
         861226225046126592000000000000000000000*ep^2-
         714607130190078833258151372200/9*ep^2*z5-624263294444252442870\
         4416978128783/308448*ep^2*z4+241308677867441211103886056133316\
         3688135057/68812549565760*ep^2*z3-
         27828873610878200863665781039772229085512137774347850546039835\
         21565065363934666276181496782574799469801060657130978599079957\
         1876871008252561529275199580953981040247541/
         16760382085835440647156091668256842238273287330803509861903882\
         35444506027512268005152509784950456234829120798720000000000000\
         00000000000000*ep^3-5304304719301261820720040467000/27*ep^3*z6
         -24727913559423588943759786873649387/154224*ep^3*z5+2413086778\
         674412111038860561333163688135057/45875033043840*ep^3*z4+
         2546042402445836043375858196657278337554536398346347/
         135344622927461749401600*ep^3*z3-
         773572941693724252573810431400/27*ep^3*z3^2;
Fill mncnoptab(11,9,5,5)=
      +mncF321*(72201160953175955951250000+582198567893649529333225000*
         ep+427120587498781844986403496125/252*ep^2+1117633446463491278\
         23913130970505/42336*ep^3)
      -7672926335083893068518396751538734401323238213973/
      21601607986793953198080-1053275159527008683944250/189*ep^-3-
         64683260679993969425993241115/1057536*ep^-2-652637624020989133\
         37845151846272753/315623734272*ep^-1-
         179551245859501093499541387625/189*z3+
         21234343232423936530648414132157430364315366491088800594310179\
         756479420243194312843603198872440831842666939874029/
         60043839474262119735132891851251537443951771906752982778170153\
         36960000000000000000000*ep-179551245859501093499541387625/126*
         ep*z4-405822322893189492217512586893413275/25909632*ep*z3-
         19303139603838296601878360163555555162613072928469695899203956\
         825092555373461788031963678251688658833240353522265759717327/
         11741317646891727689901210580775027068631247178915650844795559\
         37954152054784000000000000000000*ep^2-
         5806157352726547995554129199875/63*ep^2*z5-4058223228931894922\
         17512586893413275/17273088*ep^2*z4+524095655371238786353205339\
         330749846628147/12887969149440*ep^2*z3-
         13966853697720006509950363389782333772264500444981270548765110\
         86688811949404899635161194884084586284787350848728772697927521\
         839015890878522868337515202782628538425694939/
         59376743082072498677806245103672186087014930353823745862075699\
         67586613080580983535577860949114749770671273510174720000000000\
         000000000000000*ep^3-43097302030800357232907115530000/189*ep^3
         *z6-1609276405819435657626990152225908375/8636544*ep^3*z5+
         524095655371238786353205339330749846628147/8591979432960*ep^3*
         z4+1184764569279265462970818890238652495884317112090067/
         54004019966984882995200*ep^3*z3-
         6285359511746941565696527502875/189*ep^3*z3^2;
Fill mncnoptab(11,9,6,4)=
      +mncF321*(46208743010032611808800000+373284488167713844772908000*
         ep+68680854061977488825391523340/63*ep^2+
         22558744397654920925740191788399/13230*ep^3)
      -4059137995399286401272978268517986048489355897547287/
      17855079101584376940288000-659381475740385491187380/189*ep^-3-
         89148121433918104177615280207/2313360*ep^-2-163862581843239032\
         248159216136404087/1240610869575*ep^-1-
         114913120869269008048453422160/189*z3+
         20716914140013726937221558676460321578856867690888084987877300\
         8166906973220199571979462773528361688496344927770354980723639/
         92909625628749192397480174608117584040830336878278044285689370\
         955219531202560000000000000000000*ep-
         57456560434634504024226711080/63*ep*z4-81236749822189706879924\
         042707477829/8096760*ep*z3-31820096331475877628312624203583885\
         74600410112128435284662860328588422898948872546895204211197396\
         0356607411536996935104712677285729/308024396762499742545674792\
         64038752378157330581659773955687739980029077443022159872000000\
         00000000000000*ep^2-3715941853013132964882649514240/63*ep^2*z5
         -81236749822189706879924042707477829/5397840*ep^2*z4+719182604\
         464427472458906326342291187375023/27789683478480*ep^2*z3-
         54375222454144552358631230990018295838490624886693062922363855\
         06502792298636256896638097101067935923062018599862604262574807\
         12316621145217596507073228875040203047403029045053/
         30205436095143553071889194895447891174390408593419040874753977\
         44585044284318807088613449603274455949288596339068663496704000\
         0000000000000000000000*ep^3-27582281095425324716498737801400/
         189*ep^3*z6-324189383884825031144735870733629681/2698920*ep^3*
         z5+719182604464427472458906326342291187375023/18526455652320*
         ep^3*z4+128834150738814170021089115510648372347686499619274829/
         8927539550792188470144000*ep^3*z3-
         4022626530427703580721777746880/189*ep^3*z3^2;
Fill mncnoptab(11,9,7,3)=
      +mncF321*(15884255409698710309275000+128751317732694498618634000*
         ep+95314983315243084159897928655/252*ep^2+
         4674153409643194976291206852191/7840*ep^3)
      -44655770695609373211650197165585880110996094027300557/
      571362531250700062089216000-2276970838587591060558215/3024*ep^-3-
         315476144586709826698824718301/37013760*ep^-2-1562057029075919\
         35966093711005274609801/5081542121779200*ep^-1-
         79006482261858685766017413485/378*z3+
         39350009800121781695510534513693481198604123710808969216851899\
         91316523504344397985075874692895202228477532329369125475700287/
         51154946816770143578847907901881210977774820775334264383179559\
         53769734188564480000000000000000000*ep-
         79006482261858685766017413485/252*ep*z4-4475567850297401294062\
         58007143081597/129548160*ep*z3-
         91170638358023419018117038105510127548531830085612517265137596\
         38754934098801186752859250375605061496631308810536702087503329\
         16310145891/25397563588476278772095118738922657988136953018432\
         8258376595355982242661596200096812236800000000000000000000*
         ep^2-5109446366508013424248214708705/252*ep^2*z5-4475567850297\
         40129406258007143081597/86365440*ep^2*z4+136122726828737375381\
         5927673682012792553813/154655629793280*ep^2*z3+
         85108827132650824615382437300758631558040073042231438421417704\
         81342991472309213002617721617791965515295259420758397794981024\
         0287490267725614654516165229930677563876514054018227/
         28272288185054365675288286422139226139229422443440222258769722\
         88931601450122403434942188828664890768534126173368269032914944\
         0000000000000000000000000*ep^3-
         75851630675001614506063046495725/1512*ep^3*z6-1807054744345501\
         233369075231881843333/43182720*ep^3*z5+13612272682873737538159\
         27673682012792553813/103103753195520*ep^3*z4+64709829461411947\
         310194641455130047079965979169029343/
         12420924592406523088896000*ep^3*z3-
         5531029819697346341189640627085/756*ep^3*z3^2;
Fill mncnoptab(11,9,8,2)=
      +mncF321*(2669622757932556354500000+152240270093808148355818000/7
         *ep+28423465850647482853582150235/441*ep^2+
         4229847189471324755371580042357/41160*ep^3)
      -507480614767899528944250052647725961979273304809306099/
      38631898419791651925350400000-3623378893187068654937155/89964*
         ep^-3-107361671816184762350508233957/220231872*ep^-2-137137859\
         471794933952769126832438672283/68716308237696000*ep^-1-
         790107508014155385920175909170/22491*z3+
         74669195531618118271531755953659915098144840192009951032038623\
         68305304140177169512488772361934335656858663325671540253108444\
         0212411/569744691272549795532581298517551575238155754900113449\
         352106816565385663965117494067200000000000000000000*ep-
         395053754007077692960087954585/7497*ep*z4-44868588377533624180\
         7085941345878589/770811552*ep*z3-
         11061983266925996158812703143792840875868881268124268737791264\
         68124584761213651307082235495698276487809967923278058554691426\
         1668690754104733477/183032608814290203988718506168234549861777\
         58524946333674784805636595501982040044395966985404416000000000\
         000000000000*ep^2-25547383174965066853825048581205/7497*ep^2*
         z5-448685883775336241807085941345878589/513874368*ep^2*z4+
         350036840481957825143462995186505121547739981/
         240507078831936000*ep^2*z3+
         99261069220257687145251939142824489308821618172678216262325277\
         67416796852534020027027018426632794546980926835709608491772804\
         56627176125470538107566694904645596420455056576787330200771/
         37045433659470400833621319293506827263267565292441714187666296\
         82937677764508436322435664501899064358027182332100003228249747\
         3576960000000000000000000000000*ep^3-3792602100844052258777748\
         49172225/44982*ep^3*z6-1843100970679418170846511388876353909/
         256937184*ep^3*z5+350036840481957825143462995186505121547739981
       /160338052554624000*ep^3*z4+181122181832666919320104078740543010\
         91642047246696151639/19315949209895825962675200000*ep^3*z3-
         27654679580884133397340048364465/22491*ep^3*z3^2;
Fill mncnoptab(11,9,9,1)=
      +mncF321*(166851422370784772156250+9580944643908980170310625/7*ep
         +28961507286503274425898702175/7056*ep^2+
         2626237114565412725290269699799/395136*ep^3)
      -4837684238222749557931626533910064446491266389066568507/
      5892652238965553307013447680000-775985953216413757675/1439424*
         ep^-3-1006505182419596884897354207/1174569984*ep^-2-3182846837\
         90209084896601079239086236297/31444582649569689600*ep^-1-
         395063719402416120375583403425/179928*z3+
         61239975972688838678892559769066592921573634134659681925481863\
         54062051277485833668144900193240275260371338039042418754742889\
         786661/7634958534649849925556352886215002887666664478930091725\
         49106073427375415996570402816000000000000000000000*ep-
         395063719402416120375583403425/119952*ep*z4-150074153448753475\
         390254944715356279/4110994944*ep*z3-
         12623335555910836666703915123908211591936020249199022871584814\
         40690356671102724861304749355165645988277701846679588325024055\
         830767264217907241/3433862500641275401362692674030872677435973\
         06437404248388455464348373338934191503463695484190720000000000\
         00000000000*ep^2-25547453830829052896490658180525/119952*ep^2*
         z5-150074153448753475390254944715356279/2740663296*ep^2*z4+
         1957089780271931310326222393924101325384313539/
         22011207854698782720*ep^2*z3+
         27713887631232583941635996950638528218004785773676079518045308\
         73245932614063499090811488010088375254945745957158436511502836\
         7298972337909019408851854714425381894789626897003694238957/
         84393694610115878783715206666246967273326849337081660215738328\
         64743174907296967752870668850171764794801824473554349295176616\
         24729600000000000000000000000000*ep^3-379261170268411632243604\
         038673625/719712*ep^3*z6-1892552272711894487210917867009456573/
         4110994944*ep^3*z5+1957089780271931310326222393924101325384313\
         539/14674138569799188480*ep^3*z4+37619657208825155111339977254\
         135806982539115502953835187/589265223896555330701344768000*
         ep^3*z3-27654460290388636725330874560425/359856*ep^3*z3^2;
Fill mncnoptab(11,10,1,8)=
      +mncF321*(212320874315103897200000+109510401134099855054308000/63
         *ep+20619097422728198162949014120/3969*ep^2+
         387782474956584682067496703592/46305*ep^3)
      -14512754224699664269221613622445355799670020898525695251/
      13892144294987724478391078400000-15068255557907652815/11907*ep^-3
         -1741352784125801390785702241/2769091920*ep^-2-631255369138993\
         064651034642198930803/85503759685344000*ep^-1-
         33268523320576318551518290120/11907*z3+
         66554047864159210470130700241495259774131385460408329073745586\
         24686361233640852120962595336749929289905741233195997864390546\
         83/65117915613935153631702684221878546837691819484588915571221\
         628809040091379463618560000000000000000000*ep-
         16634261660288159275759145060/3969*ep*z4-449784008279347878438\
         468944548985237/9691821720*ep*z3-
         35644296756708003134475976255215992963268492174720814528759371\
         07397387391678329979734246765394350033070446276795213685691216\
         9985912107593551/759373256711694206388132483255910721574487218\
         65976099158755142814930536298036013068829159587840000000000000\
         0000000*ep^2-1075682265400577632685972778980/3969*ep^2*z5-
         449784008279347878438468944548985237/6461214480*ep^2*z4+
         1970060280886266454732402502900249584531974769/
         17297410584345091200*ep^2*z3-
         51600293064049046016427326781716614883427974131917983448539209\
         59396069749034856222514545625830223566532942544332307437443003\
         042909884487581353507547308939366283306928279706985189/
         16713313089395869617855554622996811846283484142558705631874609\
         10121630228459670045735805680096917340118478792601207979628298\
         2400000000000000000000000000*ep^3-
         7984445682202891448766000117050/11907*ep^3*z6-1878372869717501\
         927103960307068469973/3230607240*ep^3*z5+197006028088626645473\
         2402502900249584531974769/11531607056230060800*ep^3*z4+
         4410346626888094890763760791494204973789046301827547451/
         55568577179950897913564313600*ep^3*z3-
         1164398334754932437027347111060/11907*ep^3*z3^2;
Fill mncnoptab(11,10,2,7)=
      +mncF321*(2161812538481057862400000+158670260428732265209568000/9
         *ep+29676255363730497864686120920/567*ep^2+
         1659780974394644511744988179656/19845*ep^3)
      -9226676395220213978899843207192856769727530196366267/
      867391626809922857042400000-40107406187249428009840/1701*ep^-3-
         2022467804165669967184574561/7064010*ep^-2-4002634391502899896\
         4031432845405164883/33943113391572000*ep^-1-
         48389697653927274547893024320/1701*z3+
         34894342211333200879718566567925918666966685621794740027930826\
         05613931515604002963909567957770378687898510828189439770060129\
         76811/33397210409847118824925065832476799453491236146962635348\
         69404416312935298849413529600000000000000000000*ep-
         24194848826963637273946512160/567*ep*z4-8162155984482132326298\
         1121441638169/173068245*ep*z3-
         60773083515744866093017535721372591897298947862209814854363873\
         04230594173798929179120934714264738104811016980708373836641285\
         54444148703497/12622327657965182117449796563492836816271834828\
         58592469163904857945100797270891342911556812800000000000000000\
         000*ep^2-1564625623377113705948676273280/567*ep^2*z5-816215598\
         44821323262981121441638169/115378830*ep^2*z4+27908385569798231\
         452860829077917262839885233/23760179374100400*ep^2*z3-
         26590999196722807228510947923838743270937516803943747503911667\
         05888105612287880619621492527822826849893117305879815083400492\
         738878779477355322668384576642419571740976153642045293007/
         28572681247020568310588224465374455416958735056901774620269151\
         19501499715529953971438449584969455232949801263960306891389665\
         28000000000000000000000000000*ep^3-
         11613717931193534608245339488800/1701*ep^3*z6-3364653423470304\
         29502729935351963501/57689415*ep^3*z5+279083855697982314528608\
         29077917262839885233/15840119582733600*ep^3*z4+565147902151491\
         16812389461310964110644428893678695631/
         73394676114685780211280000*ep^3*z3-
         1693680002759699933269713868160/1701*ep^3*z3^2;
Fill mncnoptab(11,10,3,6)=
      +mncF321*(8106797019303966984000000+197869228404209413587250000/3
         *ep+36856896617441152727343740300/189*ep^2+
         1230222007202321517702898763872/3969*ep^3)
      -8119314072522341225510612329363216154807236809533551/
      203547901758061897119283200-189855571732048445301650/567*ep^-3-
         100405604764833325069250290945/26372304*ep^-2-4480892698766805\
         16542224831103891331/32326774658640*ep^-1-
         60484048057686902755253290000/567*z3+
         24261794613969326232965618296037159065014846021987249409629640\
         79285906273519951039341308984617937676692263075376678541632233\
         41/61784901043118212944324316114398193387152174024054899449983\
         4316852209882497024000000000000000000000*ep-
         30242024028843451377626645000/189*ep*z4-1630478398413724057315\
         20739306428217/92303064*ep*z3-
         35981601175345804398628416072420766425820256161644764990957581\
         26367956409400527818102980330873216906943853645289828248461188\
         7799413919471/198486300907803396600294651255576114511989114668\
         62833440435844327031037068121834489118720000000000000000000000
         *ep^2-1955771130630334732585257959000/189*ep^2*z5-163047839841\
         372405731520739306428217/61535376*ep^2*z4+62666181101740676677\
         119763434903774880091/14117753638800*ep^2*z3-
         30505921000237740948309694268340319484735713461251907463705434\
         67244251300723782845400262604654887141412208537564925394614485\
         335832570601710029723457063476176760375598437740097053/
         52859513166501217875806091067033809555183215038483321530819460\
         53023827497557912405073536805730297911255043593370161119232000\
         0000000000000000000000000*ep^3-
         14517073359583293237501301467500/567*ep^3*z6-66677644300391141\
         1567651484927393033/30767688*ep^3*z5+6266618110174067667711976\
         3434903774880091/9411835759200*ep^3*z4+83813286271842130239700\
         540671977160556670761861720241/29933514964420867223424000*ep^3
         *z3-2117133818683084672530589387000/567*ep^3*z3^2;
Fill mncnoptab(11,10,4,5)=
      +mncF321*(14550661316699427920000000+1064484958147985786311900000/
         9*ep+28281445174445765966991899000/81*ep^2+
         942044909561777035691118804430/1701*ep^3)
      -8118664949454230147188489938443080017334864952765809/
      113405259550920199823600640-265988521607619971088500/243*ep^-3-
         481955805833577015546828481265/39558456*ep^-2-1763208565851979\
         9113690590696947974637/415303975614528*ep^-1-
         46523552077749786868095124000/243*z3+
         94906521871854362102991346164426184984454434142475738768811697\
         186497263373048969649442727563528760056586993536082723453/
         13485264167192271639728351636943453826934578180829799120311662\
         4881291100160000000000000000000*ep-
         23261776038874893434047562000/81*ep*z4-89543541676300098994407\
         69919703525/2825604*ep*z3-281391532938225835832623379455455825\
         05169549876202620870320568372901630198679467991035822496877505\
         83355607982505509313328158434071/86643829030092011191486194827\
         18149848854356843970012737748555747370424561963735449600000000\
         00000000000*ep^2-1504429975649797455344954726000/81*ep^2*z5-
         8954354167630009899440769919703525/1883736*ep^2*z4+15671134938\
         320203170613378938359985513420463/1961157662624160*ep^2*z3-
         13637394628990577533568618749378299409914720100145074358723404\
         12998121660267161646135290940194955100012513775720971518434362\
         502043344427911436070885865734688913325328029/
         13653486115181145249477556732723973882789941953596276376645814\
         10542678738755136724654524542528783090498511206088704000000000\
         0000000000000000*ep^3-11166915937179106447916922635000/243*
         ep^3*z6-255542107129822377710509730921279675/6593076*ep^3*z5+
         15671134938320203170613378938359985513420463/1307438441749440*
         ep^3*z4+1407674504355646713586243614888387956952056503693052671
       /283513148877300499559001600*ep^3*z3-
         1628593501435074588924812302000/243*ep^3*z3^2;
Fill mncnoptab(11,10,5,4)=
      +mncF321*(13511328365506611640000000+988979015054776286469500000/
         9*ep+184097928446187538790244094000/567*ep^2+
         6139702307282896897008729310760/11907*ep^3)
      -253707316886713128727741765520783669853826333547147/
      3816523157963660570986560-1887430479282575578994500/1701*ep^-3-
         244194354715871877882958254875/19779228*ep^-2-1167393383759961\
         5418118867399827089339/271544907132576*ep^-1-
         302399601027135025130442440000/1701*z3+
         57572436542814655651088649058996158886649288509949586523470652\
         375631017742155671104395499972851264892519329902577320822043/
         88264144347311732777606165877711704838788820034364142071404902\
         407458554642432000000000000000000*ep-
         151199800513567512565221220000/567*ep*z4-101881749854544034748\
         142971349859945/34613649*ep*z3-
         31628081675494357737932772868671759095519141255558992338093652\
         32865199345145660943641170778331265682847705184000400728603303\
         85243121/10501920682952560666682256680189212408041752098869224\
         0425586477920799137926570552852480000000000000000000*ep^2-
         9778782477472091282944017130000/567*ep^2*z5-101881749854544034\
         748142971349859945/23075766*ep^2*z4+11733289335602489628308003\
         081287507125347927/1584011958273360*ep^2*z3-
         11966097993122539553101169607341717327986905951053468620073363\
         41711388380419160563670881175666677456577184179737768090540629\
         631752030982906038037291205955097695104723657446863/
         22654077071357664803916896171585918380792806445064280656065483\
         08438783213239105316460087202455841961966447254301497622528000\
         0000000000000000000000*ep^3-72584869578472847059254022375000/
         1701*ep^3*z6-416118303475940790256813525218329680/11537883*
         ep^3*z5+11733289335602489628308003081287507125347927/
         1056007972182240*ep^3*z4+4027782794256979989598790838609695020\
         314382446084241/867391626809922857042400*ep^3*z3-
         10585896124518883556598854930000/1701*ep^3*z3^2;
Fill mncnoptab(11,10,6,3)=
      +mncF321*(6485437615443173587200000+158552678995586859017606000/3
         *ep+29616376399663670605834082380/189*ep^2+
         1653655132736306306597094033878/6615*ep^3)
      -32477719376635504347901459206998674756250293294884151/
      1017739508790309485596416000-197915015716899398970910/567*ep^-3-
         522781755945817628120862616381/131861520*ep^-2-931193155526408\
         1342892129265561106767/646535493172800*ep^-1-
         48386225837137861941461027120/567*z3+
         57913069005171383298432881478175368632816638774543872457701617\
         473345984059934796783223786511304649202390703988244972387225283
       /183589420242408404177420825025640346064680745671477415508522197\
         007513793656258560000000000000000000*ep-
         24193112918568930970730513560/189*ep*z4-6527029094808515419886\
         33728184138257/461515320*ep*z3-
         86162202193922395448825789415197931722304583305875644310853176\
         97693132109092795306320334949873973442085843251326116261795318\
         261459548221/5897878655546158070408755351594261688356247978724\
         956222300936600032079585956202248195276800000000000000000000*
         ep^2-1564613314268351651480992352680/189*ep^2*z5-6527029094808\
         51541988633728184138257/307676880*ep^2*z4+22382164913840608544\
         58658584201759426877307/633604783309344*ep^2*z3-
         44455536484622284912410609739207482844098822215267044859801187\
         81546221028392506549468914774885547467032927780598677217015893\
         13217869947423738853960725651766833169799877893076591/
         15706826769474647597382381345632903410683012468577901254872068\
         27184223027845779686078993793702717093630070096315705018286080\
         0000000000000000000000000*ep^3-
         11613634292419792731253790077300/567*ep^3*z6-26839144505592737\
         31560802493384746073/153838440*ep^3*z5+22382164913840608544586\
         58584201759426877307/422403188872896*ep^3*z4+11643575530284814\
         37676497803005671031398086039524044837/
         508869754395154742798208000*ep^3*z3-
         1693718193139422812500822129160/567*ep^3*z3^2;
Fill mncnoptab(11,10,7,2)=
      +mncF321*(1486246120205727280400000+109388971836191414554330000/9
         *ep+20557029891368104135815387860/567*ep^2+
         385652254484313670566457048148/6615*ep^3)
      -65675071802959133976226869417419433959800540218391727/
      8980054489326260167027200000-43133810243121252385445/1701*ep^-3-
         121554005740738642359522342251/395584560*ep^-2-342368160461436\
         933911362247800252272923/271544907132576000*ep^-1-
         33267574751447373369552468520/1701*z3+
         13667480271541976526112761311996062454523401458369149460587330\
         46850794439315510845213334328055764588223677656672149615207545\
         61277/18951591621460865047477319103349929848608122099268479582\
         79066791796625983077246566400000000000000000000*ep-
         16633787375723686684776234260/567*ep*z4-4495289574870937318354\
         90632563216357/1384545960*ep*z3-
         20174185928525653618445019670119672716709026513614641250235423\
         81516049466473146712303669749799119583894983407442973185101224\
         1471408063173163/608826955089550748561913798528791394848349810\
         87881712153520887096518651550903509020198305792000000000000000\
         000000*ep^2-1075678902239475741954600948380/567*ep^2*z5-
         449528957487093731835490632563216357/923030640*ep^2*z4+
         152106237038473557152582616675359541748346329/
         190081434992803200*ep^2*z3-
         13105319602941215475304543541620200049118714966618705613419889\
         06313619963094534729865324449790823147275664008189992629308236\
         853910760129009620196937321110858876233853324630778123097/
         16213862771126751065135381343446615573909123464829181629755907\
         22574263727463426261570231312105682929808815796612396370907627\
         52000000000000000000000000000*ep^3-
         7984422829917449631235625941550/1701*ep^3*z6-18703918053505748\
         41528948194709874033/461515320*ep^3*z5+15210623703847355715258\
         2616675359541748346329/126720956661868800*ep^3*z4+836788480298\
         0517173550805932931424509098200213348572831/
         15266092631854642283946240000*ep^3*z3-
         1164408768669766153824359100460/1701*ep^3*z3^2;
Fill mncnoptab(11,10,8,1)=
      +mncF321*(124894631950061116000000+64678477708894478584298000/63*
         ep+12262323775407987412343786860/3969*ep^2+
         698107164144906712606032594392/138915*ep^3)
      -72565548833835339782602587243031881792949057508273466491/1180832\
      26507395658066324166400000-322487279753156495120/202419*ep^-3-
         828038040500239684309218431/1176864066*ep^-2-17252209860408148\
         13542757281170687759997/210039985667047536000*ep^-1-
         332685229784864447953659202720/202419*z3+
         11930802731212904978127346669324876541929275796791631609156075\
         89907274132704543293227170594530292948248811707458994021968650\
         79833643723/19902809908125228785940300703785269527569460963674\
         963110010097122104822344198597260607488000000000000000000000*
         ep-166342614892432223976829601360/67473*ep*z4-4506807335030903\
         39012242538907463373/16476096924*ep*z3-
         17533252738186085306502724276877200752706429825888781835793792\
         61694680699421722707058169412832581594975935063047659831084785\
         7825330868148685423109/639385197619405479733733375904548492538\
         57818458644671049930407461667115709546457944940099156312064000\
         0000000000000000000*ep^2-10756822641441926287166851345280/
         67473*ep^2*z5-450680733503090339012242538907463373/10984064616
         *ep^2*z4+48589261862404116429493492872971422733041630459/
         735139949834666376000*ep^2*z3-
         13456437071678107025669283923532686020673675966091205987359163\
         91330606487660145893483182828402902421455446087737703921628799\
         48931956302709403542407216683362718253537541398124893794386087/
         17027668971335144954596656403836888102794770189775887914116615\
         72121711172472270552490964362122891367421779879075965769556223\
         160483840000000000000000000000000000*ep^3-
         79844456736352286033867237082800/202419*ep^3*z6-19073704591958\
         62601816465778297647351/5492032308*ep^3*z5+4858926186240411642\
         9493492872971422733041630459/490093299889777584000*ep^3*z4+
         2890618644602557324131112585583897931651793564166272794271/
         59041613253697829033162083200000*ep^3*z3-
         11643983382308240315971407543040/202419*ep^3*z3^2;
Fill mncnoptab(11,11,4,4)=
      +mncF321*(2037092584337919908800000+150691276680418191990272000/9
         *ep+4080348865117681180739623480/81*ep^2+
         696521062711501593425264784424/8505*ep^3)
      -28418015107570311937510375876350360177584843730129719/
      2835131488773004995590016000-44649867140703587637160/243*ep^-3-
         409642601858527535198223332861/197792280*ep^-2-233649520412036\
         31424886457882570357527/3151860529217400*ep^-1-
         6513134184143409445458698720/243*z3+
         74660688850042178242340441242101913757378032478161610648349882\
         35706280954432404720436799263405093159673140004258023/
         75682605019956626549495851023662240865449163259759076695626677\
         229296025600000000000000000*ep-3256567092071704722729349360/81
         *ep*z4-44116069250822861582183185651254521/98896140*ep*z3-
         54988700978171863816959358330232504848572895713275427187490946\
         42860924996496679941043006653961578576264976120599265477114982\
         297/1215665968534454238656056304973209800221912312291710970857\
         5779747586054870102179840000000000000000000*ep^2-
         210619618369264921627701542080/81*ep^2*z5-44116069250822861582\
         183185651254521/65930760*ep^2*z4+79324162561195344068128716258\
         5370320007053/735434123484060*ep^2*z3+
         18511289782585527111413247945144236669541490405126916844321908\
         77799537924269927524757312229196701192170662500112931977396504\
         0451008186488359888968564777246655172869571727837377/
         33045030783275006498813250071699055399079114640523997926292205\
         17644662307392252098538435335128692630322586556001097812541440\
         000000000000000000000000*ep^3-1563364302309128388594114818800/
         243*ep^3*z6-186653760384448270633038636631722869/32965380*ep^3
         *z5+793241625611953440681287162585370320007053/490289415656040
         *ep^3*z4+11320830283965365969131736262303453402111014210540299\
         57/1417565744386502497795008000*ep^3*z3-
         228004884809555749736003408960/243*ep^3*z3^2;
Fill mncnoptab(11,11,5,3)=
      +mncF321*(1418689478378194222200000+35006383646377173855574750/3*
         ep+949020471378735601819906790/27*ep^2+
         649008983796532048439470009133/11340*ep^3)
      -1159984568705343492689717451552055034995317891415237/
      166161552455560732342272000-30312988129202336688845/324*ep^-3-
         1128019883447826780790241666323/1054892160*ep^-2-4453554311119\
         906866955938711515588513/1131437113052400*ep^-1-
         1512038914471914791391238810/81*z3+
         58277370351311615639370703348199728573150584000868853613931141\
         78620498229361684557861249052705882992407177532070528845093/
         85152792320226532549824130345844316356530958103653717768331260\
         207566694645760000000000000000000*ep-
         756019457235957395695619405/27*ep*z4-1639206537218723820104998\
         92617115853/527446080*ep*z3-1882557979337948868513573051382858\
         28976302824106965219983921946984424049932139651001714891997147\
         6856370787801508710250001045388906689/
         60182435260675082351109748485655731513839265089030165533683026\
         53093958761179798212444160000000000000000000*ep^2-
         48894057413288056275173940215/27*ep^2*z5-163920653721872382010\
         499892617115853/351630720*ep^2*z4+2260952278804791707880873528\
         59730617638181/301716563480640*ep^2*z3-
         11448519100590654660687044010435899759372022409292209200763425\
         03267276440662014776095216126817408977325350914281668666000508\
         81726158952192697783350172876469554730314258592271016353969/
         12566828338605182187672083042116723615715500662823448319914613\
         23322272077300981554384392028968021010312554775716402049144965\
         82451200000000000000000000000000*ep^3-
         725850666626961270170652909175/162*ep^3*z6-6951320454407240304\
         92769613276853917/175815360*ep^3*z5+22609522788047917078808735\
         2859730617638181/201144375653760*ep^3*z4+326036680691098488580\
         766391738852257687973116951291657/581565433594462563197952000*
         ep^3*z3-52929030512549943660262308955/81*ep^3*z3^2;
Fill mncnoptab(11,11,6,2)=
      +mncF321*(453980633081022151104000+11225793389823514100558960/3*
         ep+1527159664079433113749689956/135*ep^2+
         437215343314294767595943811124/23625*ep^3)
      -203004153283248490889428691038984132852389689800113799/
      90869598999134775499680000000-4018323184112138251922/405*ep^-3-
         397111494643313520868517543863/3296538000*ep^-2-28078539065317\
         0507147423014760018033813/565718556526200000*ep^-1-
         2419440568853314215913262416/405*z3+
         17522470974832327615814886771588605367948573966436012240267342\
         866684896086304298312079902205608062681230061145930148868603/
         80725332320670594603857491089970644637138678942993659793197227\
         4474866599526400000000000000000000*ep-
         1209720284426657107956631208/135*ep*z4-16410041210980689786596\
         0075925462313/1648269000*ep*z3-
         59876636397942443392984964344562804274571106362119404984334960\
         53198710151804838786066552495836837122896737936220533687807987\
         1940795549/606839555545140413707023297230361959431212589647720\
         835797970517520307508418962986421452800000000000000000000*ep^2
         -78231124091145328038242685464/135*ep^2*z5-1641004121098068978\
         65960075925462313/1098846000*ep^2*z4+1346699640556933296380546\
         1048431745148423001/56571855652620000*ep^2*z3-
         49518930428162649063795174665457332870738396240989723731699429\
         11176088774158269380501149918702750671114262523977641900196565\
         949841906718931879798036114371277408302281600358050529105033/
         35740274612571575837161415660378972505378913209867542123517842\
         33636632766853859933516294424265888813517116253159254545752028\
         872704000000000000000000000000000*ep^3-
         116136965852291334949407396988/81*ep^3*z6-70071282052749677007\
         2980615210496377/549423000*ep^3*z5+134669964055693329638054610\
         48431745148423001/37714570435080000*ep^3*z4+137944769290942120\
         17209619458077901513627931358684537/75098842148045269008000000
         *ep^3*z3-84684487821297134305952899768/405*ep^3*z3^2;
Fill mncnoptab(11,11,7,1)=
      +mncF321*(52018614207200454814000+3872769460384188508224080/9*ep+
         530083263726606382117956488/405*ep^2+
         21853040900555697733159884011/10125*ep^3)
      -14513324100986906109089106239926866756609918642844014991/
      56702629775460099911800320000000-1181902771178652523/9720*ep^-3-
         4176823410297725163484618781/11302416000*ep^-2-308706693371272\
         7070438010395212504601209/706016758544697600000*ep^-1-
         831713103148775331495011143/1215*z3+
         14718979607223388111285968464330841637719716757717157895422403\
         28002743189254968638920777532590707078706306844461878348642484\
         1303/592582566006320051411645036103288622817265625407155812027\
         4924589509858212391682048000000000000000000000*ep-
         831713103148775331495011143/810*ep*z4-452091991233690199144304\
         847129544517/39558456000*ep*z3-
         21491136107022728848171481068540375057155139238380926865893495\
         17811572854270716361752065012735471046427072730178698010134276\
         789704542777901/1903693613217327049074788772367722364358178344\
         51175324445047088661854967312956307359074877440000000000000000\
         000000*ep^2-53784113376199135263276368569/810*ep^2*z5-45209199\
         1233690199144304847129544517/26372304000*ep^2*z4+1901859796038\
         194018511767588479348040189768293/70601675854469760000*ep^2*z3
         -1185090937951853906370339490975228243788044238694880377146280\
         27491829878026274258687330732578745256572706597129025184043976\
         61479036569853093662361062715025364919941738256555648259162363\
         81527/87453190676904248917238843141768336139421084798715475163\
         02938919397521037751419842595439094312415664322150034622595091\
         477914778872053760000000000000000000000000000*ep^3-
         159688913922299855126839083421/972*ep^3*z6-2790004201899660520\
         88336570425109099/1883736000*ep^3*z5+1901859796038194018511767\
         588479348040189768293/47067783902979840000*ep^3*z4+
         124038587022473470237368939849160483765618132987777774543/
         5670262977546009991180032000000*ep^3*z3-
         58219916053234379414812065653/2430*ep^3*z3^2;
Fill mncnoptab(12,3,3,12)=
      +mncF321*(6844857126128802144000000+604688909932630723757830000/
         11*ep+15727689123252389559529203800/99*ep^2+
         61595187620027143810255263116176/251559*ep^3)
      -1055504805826198470075564339823760870255083165509464831711/
      31341512318208445141387863264000-854654967485158752850/3267*ep^-3
         -1865857721854838178248869784639/583075525032*ep^-2-8760116557\
         831776086455120487895337144651/650399961530728609200*ep^-1-
         294274056543170650091735790800/3267*z3+
         17249617260871311949802451129838455469184123420232773096648976\
         150422183886214837689648647355226344649225518337/
         51531708783451412683391876737197861581850463177112479471191352\
         934400000000000000000*ep-147137028271585325045867895400/1089*
         ep*z4-108021692345130624692344660145374094062/72884440629*ep*
         z3-79745114486427384542107408822461051936775761596134866975135\
         02649069011045483927916184434751601110414320784562316491377/
         50937704013065579052224322975453223524145150852481020171026437\
         51771764162560000000000000000*ep^2-
         3171620568813634785193505583400/363*ep^2*z5-540108461725653123\
         46172330072687047031/24294813543*ep^2*z4+560010414378516850793\
         15370295865507337629465491/14347057974942542850*ep^2*z3+
         69114765617232119939560089848447198149047128338945265397804416\
         80092819302495368068451073384113401054547959223590395832235961\
         31930322479776717771161040417/29180065749607971702116977466380\
         02438944052115705277124863251567159280457697261583514306177733\
         94362368000000000000000000000000*ep^3-
         70625777656948856041624536149500/3267*ep^3*z6-3619773312911173\
         05147693672897947584519/20824125894*ep^3*z5+560010414378516850\
         79315370295865507337629465491/9564705316628361900*ep^3*z4+
         30718468816218010064089417554645978107062834068723601091953/
         15670756159104222570693931632000*ep^3*z3-
         10299592850396232919816339439000/3267*ep^3*z3^2;
Fill mncnoptab(12,4,2,12)=
      +mncF321*(3934628756176080144000000+1043898876815868335699060000/
         33*ep+190419461820666467420580101800/2079*ep^2+747650510899652\
         187839273497464788/5282739*ep^3)
      -94241496141463884401458832153422429990394363621443502003/
      4868134309780897544150481720000-6225359513172479439500/68607*
         ep^-3-77242083893883954928467610259/67277945196*ep^-2-59244951\
         494247556920086750700795231209/11545561447291040400*ep^-1-
         3552308343758629620515462975200/68607*z3+
         68521839587126388238570985216799300121958769629591296890666347\
         64864404848363786203271082007379482651065083/
         35640158230312972731155528366616518422858231660186914258105139\
         200000000000000000*ep-1776154171879314810257731487600/22869*ep
         *z4-100358397010546337609304339570869820020/117736404093*ep*z3
         -3959544044544566892654983393660643689266193822107889075373184\
         2393707145655239544848186328386763775680749929418798306649/
         44080705395922135718271048728757597280510226699262421301849801\
         698024882176000000000000000000*ep^2-
         38285991258300085192773319103600/7623*ep^2*z5-5017919850527316\
         8804652169785434910010/39245468031*ep^2*z4+7974023057161960024\
         681594139895534484871112991/3565541035192821300*ep^2*z3+
         55633940117181305957698434664004512662653188265771257035850009\
         42884315645537685745685711492718010543026298217566316478831741\
         754158677012216863089320923/4238242934029194514793728297017190\
         32623558371656581981180004357682321006126578959943206617296918\
         2822400000000000000000000000*ep^3-8525540324523553427861110223\
         93000/68607*ep^3*z6-1181522536087273060029655299771945935755/
         117736404093*ep^3*z5+79740230571619600246815941398955344848711\
         12991/2377027356795214200*ep^3*z4+5580792949820079817874216971\
         939643410326940412756421769991/4868134309780897544150481720000
         *ep^3*z3-124330798422774235158939813878800/68607*ep^3*z3^2;
Fill mncnoptab(12,4,3,11)=
      +mncF321*(23305108786581397776000000+560000000029832511067100000/
         3*ep+14498364748993404941246111800/27*ep^2+
         56446652652273524717770677335252/68607*ep^3)
      -75393266276370773013127599144240903175920271351297570441/
      657514244437939408560584544000-4270335234709584127100/891*ep^-3-
         348709135479040687173684221915/6116176836*ep^-2-61985987609634\
         11147344386497689694338837/27289508875415186400*ep^-1-
         273254404714436574863071612000/891*z3+
         80741782034315218774856669703233753203462146817125038091784694\
         134079730360292245309753752062124088221756572063/
         70630873577318020181432222660774691398899935543454866967507029\
         196800000000000000000*ep-136627202357218287431535806000/297*ep
         *z4-7705794071621501126173484723765841221/1529044209*ep*z3-
         21872656627850066885614355576942749062448894386115806669950971\
         890335459213122751186917049286180863037088947822898178098447/
         40842777217748946112783502603954311952996384592625690718950288\
         99147905446707200000000000000000*ep^2-
         2945076152173425526025558750000/99*ep^2*z5-7705794071621501126\
         173484723765841221/1019362806*ep^2*z4+322580752160536337161207\
         88568921989005513619023/2407897841948398800*ep^2*z3+
         18657033589388055010818299390201295454451643735571112348410912\
         73797286514290948414525745886370922064785891092931338097890711\
         635770311988597513621001124864377/
         27651126767355785416237459804092013194159092197253477284034745\
         84218868572558413331948349969743586577612800000000000000000000\
         00000*ep^3-65581077412115982898417392845000/891*ep^3*z6-
         89520480370589304930892987092074542582/1529044209*ep^3*z5+
         32258075216053633716120788568921989005513619023/
         1605265227965599200*ep^3*z4+2094691561820298991681746886935244\
         443728377313038685436893/328757122218969704280292272000*ep^3*
         z3-9563908485758659260887987582800/891*ep^3*z3^2;
Fill mncnoptab(12,4,4,10)=
      +mncF321*(72134860529894802640000000+5189623726393168063927900000/
         9*ep+937263050711050154057205161000/567*ep^2+36328687246994398\
         88053232214646780/1440747*ep^3)
      -1178021527551521096758084457962785062064475999348041913/
      3319182483941521052829873900-1359266804343938624504500/18711*
         ep^-3-107335430059403754698707012700515/128439713556*ep^-2-
         13746985580656672716697522187115259667807/4408305279874760880*
         ep^-1-17761512502869582028318075508000/18711*z3+
         22262721945014075592609373997941585729895773326897995968489198\
         2882609717323144769189771610462098180609416425543/
         62869239118272083897758352038711538497921920648569716751297465\
         548800000000000000000*ep-8880756251434791014159037754000/6237*
         ep*z4-500388983162245481764311126222668503900/32109928389*ep*
         z3-67171629414655224316083302800089288240774576104235163488763\
         340356430486004519615135437000141531879640445776795596791885477
       /403939554900813752763792882896251436897766441025968369747860001\
         0146280112128000000000000000000*ep^2-
         27347131680331228041871150582000/297*ep^2*z5-25019449158112274\
         0882155563111334251950/10703309463*ep^2*z4+8112541199155409048\
         933273304948651933781736179/194484056465062980*ep^2*z3+
         55454335617137776914291590013249181180572323914241376694515762\
         47769779392374417559099423975928906942042374955379426065778638\
         0411337059465337348887101635225757/
         18486753324460725106855901697592945964094935926163753384183230\
         07734900702796196341931182551199997883318272000000000000000000\
         000000*ep^3-4262769458394994461523911027895000/18711*ep^3*z6-
         5771571193931210435616399875558315356925/32109928389*ep^3*z5+
         8112541199155409048933273304948651933781736179/
         129656037643375320*ep^3*z4+10100334589142332229453471293067564\
         32685821131239483248873/53106919743064336845277982400*ep^3*z3-
         621654313463795160901606203638000/18711*ep^3*z3^2;
Fill mncnoptab(12,5,1,12)=
      +mncF321*(629540600988172823040000+167571958266396978669034400/33
         *ep+30743782423709731159701558160/2079*ep^2+304117203477362550\
         4048339369561006/132068475*ep^3)
      -426135379977122190323853037349880235240596990382962704567/
      137577708754677539291209266000000-35781430602763411124/68607*
         ep^-3-852188830515239824968212303/73128201300*ep^-2-8109014097\
         302602561400405491690159583/81571901529773655000*ep^-1-
         568369355968080513480779211040/68607*z3+
         40247354221965534324773217000233383609449516087187268733047817\
         7139405074094059984458263399760051395819746127936579/
         13116979736139134404524397402189667022083764784944810218036035\
         341988659200000000000000000*ep-284184677984040256740389605520/
         22869*ep*z4-5827202545792907459352970410145424536/42658117425*
         ep*z3-54744035430474715774297001540274504793349997321376195254\
         08576904330917466695233041260627134725529170410427703957901584\
         529191/3830798821178778170558516249203684931303154064946099567\
         7560529441150739484246016000000000000000000*ep^2-
         6125758626170688215893616604560/7623*ep^2*z5-29136012728964537\
         29676485205072712268/14219372475*ep^2*z4+178472335415337450585\
         28820457943950078727070753/50382645062507257500*ep^2*z3+
         87822248402356184825223785023637737526407660241347854343492681\
         43299350350395267473366119749019038391969884653107110153449788\
         725695853833754013784852574025709281/
         12478720509206364942655524335278010269570143895038045012060073\
         65566769410686856865755291659874684279661181009920000000000000\
         00000000000*ep^3-136408645698920283573904425575000/68607*ep^3*
         z6-208195555884228695240831014279608018491/127974352275*ep^3*
         z5+17847233541533745058528820457943950078727070753/
         33588430041671505000*ep^3*z4+132738230804448563787800752701802\
         65501807311398598128142779/68788854377338769645604633000000*
         ep^3*z3-19892927518282225335917735344624/68607*ep^3*z3^2;
Fill mncnoptab(12,5,2,11)=
      +mncF321*(8656183263587376316800000+208469311678339141453348000/3
         *ep+37931486568938069953564050800/189*ep^2+2474505266391244990\
         92432790248008/800415*ep^3)
      -4097459757437475733011365349416401679126822029061734633/
      96208187940333943560286200000-5272969619020588717180/6237*ep^-3-
         1567187184738407542277628973/147733740*ep^-2-15132495316960990\
         37185431117326135249/32596164447462000*ep^-1-
         710461580529334239215236359200/6237*z3+
         22487554235993503952340282643965234578619835043139122789211438\
         5911161737835567990837179478529618307532398122051/
         53065282409393712553702122068616811624912647225691308747761802\
         8052480000000000000000*ep-355230790264667119607618179600/2079*
         ep*z4-4360239400698117022889838952463434082/2326806405*ep*z3-
         16889678295370319627115321222253207910975910824810280442244921\
         4971793246611995610441165660384074182867112661337057255049781/
         85237100280519539713635135869122042336688106975914484978678863\
         982217157148672000000000000000000*ep^2-
         7657198147239236668346537676400/693*ep^2*z5-218011970034905851\
         1444919476231717041/775602135*ep^2*z4+696505490509574500547555\
         092285816513137650083/140930475699321000*ep^2*z3-
         67769460767625181636932172614871642057899225475942687473080374\
         02581412739629599463336705331506834149386394503844948551758792\
         4257682569810997094459915112982901/
         19504864377112185330132023820069079220088570078619148498094770\
         28450735813964682517283914343874780375443046400000000000000000\
         00000000*ep^3-170510804361559489439759006821000/6237*ep^3*z6-
         51063171685067255870660101112616510539/2326806405*ep^3*z5+
         696505490509574500547555092285816513137650083/
         93953650466214000*ep^3*z4+236454653935059375368332899213218088\
         362646636221076152857/96208187940333943560286200000*ep^3*z3-
         24866160651871212424642464120080/6237*ep^3*z3^2;
Fill mncnoptab(12,5,3,10)=
      +mncF321*(46610217573162795552000000+1119077055051618791024260000/
         3*ep+28932704891464108246673782400/27*ep^2+
         37485696654263414103512948917058/22869*ep^3)
      -154257620105644812408327474340611196114663026213355529/
      672648843414771773463513600-33298886261830260202300/891*ep^-3-
         568084311522793730717071534/1303533*ep^-2-46621874489817555563\
         632373611364954791/27917656138532160*ep^-1-
         546508264527926547510188501600/891*z3+
         47094526627103666975912267567751021706718209086411439411054421\
         365506697108064228078261536324912947572977292734537/
         20601815523646970756143176803110056277907263040562508102072229\
         324390400000000000000000*ep-273254132263963273755094250800/297
         *ep*z4-78799933485967193030159669176157713/7821198*ep*z3-
         70970885517750234834714679021669728528857435304527214165024331\
         43501743995337525301756650057711143269850550473141090350307959/
         66184101394285760248234340792494762284957824240121835395209470\
         8567803808448512000000000000000000*ep^2-
         5890151660461960089275869370800/99*ep^2*z5-7879993348596719303\
         0159669176157713/5214132*ep^2*z4+11247558767231805997821382059\
         50737533502321639/41876484207798240*ep^2*z3+
         11871369532022409548056138257799711524870116512811249030712210\
         89340520369235872118204169801255464156213864819309528261490827\
         213620557070689723033785721746085823/
         67032101954004480708524730382817285272351724861905334010020370\
         30320635270714127846381641721434748177853972480000000000000000\
         0000000*ep^3-131162141699074285639931589589000/891*ep^3*z6-
         912738539948493121048415485090113721/7821198*ep^3*z5+
         1124755876723180599782138205950737533502321639/
         27917656138532160*ep^3*z4+421964313656973860651100164383879516\
         5345651981865534699/336324421707385886731756800*ep^3*z3-
         19127822967189247065580015470800/891*ep^3*z3^2;
Fill mncnoptab(12,5,4,9)=
      +mncF321*(129842748953810644752000000+
         1037674346655208927089620000*ep+187336393118400655614789397600/
         63*ep^2+725852197437530406296767417258256/160083*ep^3)
      -655595042094493970499820947256179551673028894070639569/
      1026220671363562064643052800-939955113874091051410700/2079*ep^-3-
         3166899856153886524076142587629/620481708*ep^-2-23411788040052\
         48966006756540482758305251/127776964634051040*ep^-1-
         3552287804047907007420249546400/2079*z3+
         15150271044792956271509179649204265982450426115339375343842331\
         32108931358322248215211304583946373746787136161947997/
         23781108042728293403696136186306052617090482645587586512885844\
         9608704000000000000000000*ep-1776143902023953503710124773200/
         693*ep*z4-4350685126155068170885271095423244827/155120427*ep*
         z3-11440699811806043786335244638217015830579135503590485525718\
         56395708120867786517468635913499956291795548850342315605477742\
         65203/38198848644232830760555005333939878232367633126243158083\
         03756496980842968514560000000000000000000*ep^2-
         5469423854735735201296726427600/33*ep^2*z5-4350685126155068170\
         885271095423244827/103413618*ep^2*z4+1045821976292820920589492\
         4681602791765178379/139190593283280*ep^2*z3-
         11059977912868498334938446109422611578739164781045122395147745\
         19116071877730868491693928058880702133827468661347802812115963\
         44522745050521361343566828493221800501/
         24037939338829924698523818244918467075868413680224154306448277\
         08211045711469437435652675918238270999735828480000000000000000\
         000000000*ep^3-852553537610758526685683788481000/2079*ep^3*z6-
         50137864415385291667308565106304309434/155120427*ep^3*z5+
         10458219762928209205894924681602791765178379/92793728855520*
         ep^3*z4+174742739076193736269710914344637236543707886289719243\
         61/513110335681781032321526400*ep^3*z3-12433102434084477215321\
         1888917200/2079*ep^3*z3^2;
Fill mncnoptab(12,5,5,8)=
      +mncF321*(207748398326097031603200000+
         1660721289880761531943832000*ep+299968482386585852836374181960/
         63*ep^2+5815675836304345964110350825850828/800415*ep^3)
      -260905104627847259093997038846338343240331065376559/
      255253375625201986032000-4549243808762885905551320/2079*ep^-3-
         1981295380841779639741323836149/81642330*ep^-2-613452183675210\
         1781421937742527671827/73098950019480*ep^-1-
         5683593486725804507210366827840/2079*z3+
         16678116632874432389706462288899921387195644284004528036033131\
         64716605990903660417657049565016843026558823952413/
         16290863785695439311355551515074420153601765366424772232025106\
         0224000000000000000000*ep-2841796743362902253605183413920/693*
         ep*z4-1832090576621844739583595978927414734/40821165*ep*z3-
         87316298944710277481934055962944791918372397315356018848853422\
         941136434289193114222760289571032746117560896092971537859/
         18203481049359996948552460355549053718748231264812931721488184\
         39308438405120000000000000000*ep^2-
         8751066856092952266891451398560/33*ep^2*z5-9160452883109223697\
         91797989463707367/13607055*ep^2*z4+258257780142008781968098317\
         6240349644531763/21499691182200*ep^2*z3+
         24563597920604261267055052483214564689150619671576241656085884\
         58377673178557341372866465962190136096206383033815832413217392\
         86686480948802573712452203066408029/
         94629636713526081720678269239818822047827025455597158166967482\
         25732560658458025811403823186487519530188800000000000000000000\
         00000*ep^3-1364084046117825470767377678203600/2079*ep^3*z6-
         21133574682892760411321209047727760428/40821165*ep^3*z5+
         2582577801420087819680983176240349644531763/14333127454800*
         ep^3*z4+367558828691980420275128286626964332489309408868491/
         6717194095400052264000*ep^3*z3-1989303759650674094718204418907\
         20/2079*ep^3*z3^2;
Fill mncnoptab(12,6,1,11)=
      +mncF321*(952180158994611394848000+23037871931004059259896480/3*
         ep+4225991826373587525608198872/189*ep^2+190021157309021522593\
         314755265616/5457375*ep^3)
      -426135549822583789866701505062683301948555458543182809267/
      90960468598133910275179680000000+403657401766606936/2835*ep^-3-
         563551309531854665987045657/12087306000*ep^-2-1574497267793291\
         2317683396021326307779/26965917861082200000*ep^-1-
         7104616967589405663649631888/567*z3+
         99759634095893614307977579510864494375084935716820329947734415\
         2319342199754163664743953878696337055022873979255288081/
         21485612807795902154610962944786674582173206717739599137143025\
         890177423769600000000000000000*ep-3552308483794702831824815944/
         189*ep*z4-971132948755037750248982681006442631/4700619000*ep*
         z3-67839680167542791426536301163888455560328190863442753271011\
         48445771661077033007081996190557936022587354023458400046178253\
         8937481/313742423454541932168742480809781795873728317919085554\
         599220736123024556375974871040000000000000000000*ep^2-
         76571982845829542205110387632/63*ep^2*z5-971132948755037750248\
         982681006442631/3133746000*ep^2*z4+892711297908249542615718464\
         3107014166944424939/16655419855374300000*ep^2*z3-
         12693273362364257250063961386052821955417049804776726551427799\
         16126302770099033326731218407291784445673975107592275036253300\
         983748985866330068295306135727927477930486201/
         91909108368680835902097625754320064864126085015375176671840662\
         51365863037141354207070879737850236260407267673390448640000000\
         000000000000000000*ep^3-1705108071612191185455859642000/567*
         ep^3*z6-104038873825780528509154402868204982433/42305571000*
         ep^3*z5+8927112979082495426157184643107014166944424939/
         11103613236916200000*ep^3*z4+132260302335537659064873818072588\
         85949303185791179358527129/45480234299066955137589840000000*
         ep^3*z3-1243307968648694729980748854864/2835*ep^3*z3^2;
Fill mncnoptab(12,6,2,10)=
      +mncF321*(11902251987432642435600000+286788145082742518247604000/
         3*ep+52230914205172070958859604660/189*ep^2+
         31020339341961772996380950269208/72765*ep^3)
      -32779753118341975520445494711809303554641598744851081033/
      559756729834670217078028800000-2315035333601354023790/567*ep^-3-
         16287561496144748483445645289/322328160*ep^-2-1278562088691841\
         736562989161933189547/5926575354084000*ep^-1-
         88807661080146368859589899640/567*z3+
         22039039997450174429776503378452097953431722131461282995428140\
         88821847278367213997142725645727341758322489753957859787/
         37862758234717254146587151483120573389563972677415237640280017\
         65262035517440000000000000000*ep-44403830540073184429794949820/
         189*ep*z4-8722596725131606976634889768087794769/3384445680*ep*
         z3-33103065523412072370866277876472014318968357975308732832011\
         11523980630428470686616414604979889288480657274313620518749994\
         78201793/12163552417006856447157400794471540393873774787016855\
         3475390193081541828010377950003200000000000000000*ep^2-
         957149725307645142389703847520/63*ep^2*z5-87225967251316069766\
         34889768087794769/2256297120*ep^2*z4+3477144090959378230833211\
         45887788536367437493/51247445708844000*ep^2*z3+
         56016938580128487286222258648014837370767293119880303539489298\
         17027000597820062937449588455917937747601689675968254121924646\
         418555293828521046472378550321477961818475677/
         16196570146089210242887134049013046395636205191520660504408284\
         58282655584167567314812490695061719956379462555031044096000000\
         000000000000000000*ep^3-21313849666721649781619361820100/567*
         ep^3*z6-102332013322248649867360447057930002103/3384445680*
         ep^3*z5+347714409095937823083321145887788536367437493/
         34164963805896000*ep^3*z4+952515327428695166968790583821487496\
         750831306057968979291/279878364917335108539014400000*ep^3*z3-
         3108270483277365310388600059840/567*ep^3*z3^2;
Fill mncnoptab(12,6,3,9)=
      +mncF321*(57680144246788959495600000+462112346935456866604956000*
         ep+3990184504621726526012043380/3*ep^2+
         7068738815455913241179787961364/3465*ep^3)
      -1311194624475104855584300180410708761550554567188057721/
      4620214278000452585405952000-1293139220093013624110/9*ep^-3-
         25409973053134354156215818159/15348960*ep^-2-44523860361897816\
         78158885560061888797/719091142962192*ep^-1-
         6831334018826432697368576920/9*z3+7112511693791170640608307286\
         94788657224405513275858510388718940137374687508140017497350190\
         3652407410579959110488098459/251699247524236257384719905395863\
         2608992856683208990156523837830658523136000000000000000000*ep-
         3415667009413216348684288460/3*ep*z4-2233822276766442207704996\
         74998040351/17907120*ep*z3-10713998759587602739514388873006256\
         26427547462797772545309984315181859975052489052668189485001864\
         884259841010839041267680975239857/8085932281011205615394283529\
         08839342422758058016315170301739175280904839575162060800000000\
         00000000000*ep^2-73626872959479012139777640960*ep^2*z5-
         223382227676644220770499674998040351/11938080*ep^2*z4+
         70071098240411940508597724980043789739968423/2114973949888800*
         ep^2*z3-238004318048898442492908422781502934518979904022622799\
         60468469604699571184282429487896644999097965057110152809645226\
         081224526629453659421337010496602788687161836914903/
         12741953508164834392601576599188716911327279774399953194407412\
         13661568703582659991311095923782940788466454018129920000000000\
         000000000000000*ep^3-1639526306541211691401575479300/9*ep^3*z6
         -7792074597774582684878500900868985451/53721360*ep^3*z5+
         70071098240411940508597724980043789739968423/1409982633259200*
         ep^3*z4+365070487137386495115100931396811435481892604445579690\
         03/2310107139000226292702976000*ep^3*z3-
         239097999222593255070104390560/9*ep^3*z3^2;
Fill mncnoptab(12,6,4,8)=
      +mncF321*(142827023849191709227200000+
         1143234263670780626002372000*ep+206972509628020024176540427760/
         63*ep^2+365912422592643025681909270584628/72765*ep^3)
      -7126010970743128098991576263396248830737154689190409/
      10140520468019387990544000-255478105617790163380220/189*ep^-3-
         4256601277908955879533399882047/282037140*ep^-2-13367460313323\
         032234390607361735019873/252523645521840*ep^-1-
         355225227592924771663736527840/189*z3+
         40270557409437700071643095644509042942362734405155811034279959\
         8272965612945521942858447391509491097849434905622501661/
         57308815168508701181452126897304548937347970294277384996429519\
         220899840000000000000000000*ep-177612613796462385831868263920/
         63*ep*z4-2176991041861625509379042508819547391/70509285*ep*z3-
         12114103131349158255089465233134012407925692100270011195348806\
         75735163394142788244907448688127068575193695631710943273840440\
         06773/36821341590457362527642531780516737209086617579080248817\
         45139544364684274984550400000000000000000000*ep^2-
         546941785659436944629121660560/3*ep^2*z5-217699104186162550937\
         9042508819547391/47006190*ep^2*z4+2927620391742635855147309929\
         910537340772397/35588503964475*ep^2*z3+
         11882316438577797400383704743215091789588912104826822244886167\
         39471750782607813179611595650410659972543631673513549872504645\
         691687845051234129791385849544520652755681289/
         22553817658580533649853684204535672968460427512787378089544233\
         08878842592247227344483539198490893313100741766807552000000000\
         00000000000000000*ep^3-85255268172379006849927320218600/189*
         ep^3*z6-25230104443273966388499655418501230372/70509285*ep^3*
         z5+2927620391742635855147309929910537340772397/23725669309650*
         ep^3*z4+4489538860357346749838515673855269334052445185986308211
       /116615985382222961891256000*ep^3*z3-
         12433141516573342727241198655120/189*ep^3*z3^2;
Fill mncnoptab(12,6,5,7)=
      +mncF321*(199957833388868392918080000+
         1601653546586958470358552800*ep+41475718993721449949307888352/
         9*ep^2+367263789401350966612742148318268/51975*ep^3)
      -77454287994269835767945488559154061008977275167793/
      78730748975305807380000-132448894545226561230604/27*ep^-3-
         10861969512771738485002476266747/201455100*ep^-2-3298329311545\
         2318607860759621031053757/180374032515600*ep^-1-
         71043255798941398884599219168/27*z3+
         21190996686122135470432838154728819313651832501764112793046356\
         010982764339579368270505566288618769754888202713247/
         21714225326596599592304274659761185026165618377441182375594688\
         51200000000000000000000*ep-35521627899470699442299609584/9*ep*
         z4-2177700701549531385982794800704870121/50363775*ep*z3-
         67312504091676131750701801015577403824055591286787752757397156\
         39141016781582394366638816465285866941885191634496966651249/
         14705193024568024745854453518513266184362941923105684638957291\
         8141412966400000000000000000000*ep^2-
         765716384778836352099990756784/3*ep^2*z5-217770070154953138598\
         2794800704870121/33575850*ep^2*z4+1524256175650882480395777381\
         873056280932921/13262796508500*ep^2*z3-
         41736752492169699881788518069015477950963516448585792638600717\
         34291603642424156675162797026243676037041953627392837826650122\
         56931839130705091058185051008554772428802881/
         72330027476497338235682369169064840423634024093487218362969843\
         72497745922658746585807268566588870683413457561190400000000000\
         000000000000000*ep^3-17051010518026464425038293979720/27*ep^3*
         z6-25302078919881367255271190547149465682/50363775*ep^3*z5+
         1524256175650882480395777381873056280932921/8841864339000*ep^3
         *z4+4294166784926272682959324359377305557898303905614599/
         78730748975305807380000*ep^3*z3-
         2486647989811774058217410684624/27*ep^3*z3^2;
Fill mncnoptab(12,6,6,6)=
      +mncF321*(164965212545816424157416000+
         1324512520395737184512560560*ep+57405304588998429909989098384/
         15*ep^2+2212889178102015294742602760876/375*ep^3)
      -225310153131367815423571818930400613601858540813301/
      277618068012097612800000-707534633782097778996911/90*ep^-3-
         6990527854082557443106564851449/81396000*ep^-2-502720151313370\
         78925135105424255709987/174908152742400*ep^-1-
         97680700332528790246406507156/45*z3+
         21829959233005228323758059994976507538811073274420915313884925\
         419290617031299628172758639227090513095138538547431863/
         27037903427076473397111390705596512293805134610930843687271100\
         57984000000000000000000000*ep-48840350166264395123203253578/15
         *ep*z4-622906945351315601418517676145163931/17442000*ep*z3-
         14300071190160511263496910747714890451672458012007550774392653\
         74610887935784736458080892279445467309835675013564464239766709\
         51/37765336534931433347312743485096110543678216563339170509518\
         07350799062794240000000000000000000000*ep^2-
         1052855566099337668065941163478/5*ep^2*z5-62290694535131560141\
         8517676145163931/11628000*ep^2*z4+4035703441786289963260288777\
         548532055065121/42869645280000*ep^2*z3-
         13175487673754633768755055492308078273279596167502653087121601\
         28924005716507188531539853316504361349170561449793402307649297\
         892753014478112850125180964689449123525953144557/
         28144745385412569708034228003200740627427661075833121703142007\
         21815449433850886426586229673529819068647957636055040000000000\
         000000000000000000*ep^3-4689009697280755111173531982073/9*ep^3
         *z6-51093641924328445411613563581549173039/122094000*ep^3*z5+
         4035703441786289963260288777548532055065121/28579763520000*
         ep^3*z4+71513860908387111309181647257409660533265424641963499/
         1526899374066536870400000*ep^3*z3-
         3419182527005193419581595514458/45*ep^3*z3^2;
Fill mncnoptab(12,7,1,10)=
      +mncF321*(933509959798638622400000+67896109444959696708236000/9*
         ep+12499533014515686237949018480/567*ep^2+
         22592431951059508512673685583934/654885*ep^3)
      -12533413230899993610599774898106238810264688750667188959/
      2728814057944017308255390400000-2137863416326413100/1701*ep^-3-
         30316006207450973410557439/181309590*ep^-2-3107726419423821586\
         530195359725516781/1617955071664932000*ep^-1-
         20895932177391282527832318080/1701*z3+
         88555202223906143651813042257930782016446469540067864632348814\
         33832810935493994532869655111657987455565695465796424132089/
         19491747939232442434663065583510471180947533134333364337216153\
         0875689588437811200000000000000000*ep-
         10447966088695641263916159040/567*ep*z4-8577335504676420143881\
         4724218767307/423055710*ep*z3-13225464257643688157347693083554\
         56119931145732096573851564324874044801121805315573615750578192\
         970537182931654688158819168388289901263/
         62617967842751296989966299289939489947662192603562771329130871\
         39837773305974256866164736000000000000000000*ep^2-
         225211714168912945463364565840/189*ep^2*z5-8577335504676420143\
         8814724218767307/282037140*ep^2*z4+887065350825887387046733980\
         2341944495071562193/16988528252481786000*ep^2*z3-
         80528347417353112165878976374739201412586746272555479459174306\
         61446202648078056428477159241941991142365958359143402195040393\
         802216104619262830573383756151172471596681854701/
         16675988622413450866076593216863832568947036865189672055338769\
         80647822189458927307330940419635546867088294646659963001241600\
         0000000000000000000000*ep^3-5015023738357063066606121936200/
         1701*ep^3*z6-3084746905960759761978666565288439557/1269167130*
         ep^3*z5+8870653508258873870467339802341944495071562193/
         11325685501654524000*ep^3*z4+400646756394310711278241695799055\
         842911712845570392821777/1364407028972008654127695200000*ep^3*
         z3-731357629723005633566677999280/1701*ep^3*z3^2;
Fill mncnoptab(12,7,2,9)=
      +mncF321*(10501987047734684502000000+84566780838589589458204000*
         ep+15471859623708613059541997780/63*ep^2+
         27736696471129451638124198009428/72765*ep^3)
      -507429482747471174691691320766046337537150904703740199/
      9820293505871407317158400000-2039974197260065740830/189*ep^-3-
         449894973929422727203446689/3392928*ep^-2-12185494345945430293\
         39485295694490881/2183475130452000*ep^-1-
         26119870444341649953863568280/189*z3+
         13635088504639806407515345630272139085468531342701891864360231\
         936098997018487496152921831056069582957757170560794312946367/
         26596927012597874667181570971651715061721780105328177458189682\
         575630158266368000000000000000000*ep-
         13059935222170824976931784140/63*ep*z4-15905224983069336560976\
         55487881091/698544*ep*z3-8889347446120009602182010435537341157\
         85764157189744990218687103113744741316853100762785454650934896\
         443463968264725765840887323939/3716555930320234824784096272297\
         18853636368171113416884622194495775045961519160360960000000000\
         000000000*ep^2-281514589774934162660239154240/21*ep^2*z5-
         1590522498306933656097655487881091/465696*ep^2*z4+100872336823\
         89537527962770525484373942994851/1698258434796000*ep^2*z3-
         65210822192727706835657802763966798551516415101309802698436568\
         48481383451614906468363458991323521076764301812885221128883390\
         68974838416910896028488355092954502853944747956529/
         43234044576627465208346723154832158512084910391232483106433847\
         64642501972671293019006141828684751136895578713562867040256000\
         0000000000000000000000*ep^3-6268778593825164534970722049700/
         189*ep^3*z6-320111451281427232027016334913346885/11875248*ep^3
         *z5+10087233682389537527962770525484373942994851/
         1132172289864000*ep^3*z4+1535559927847153245412696716505263035\
         4166671038994251509/4910146752935703658579200000*ep^3*z3-
         914197529359220950147241822560/189*ep^3*z3^2;
Fill mncnoptab(12,7,3,8)=
      +mncF321*(45239328821010948624000000+363550861238660107152140000*
         ep+9468405412231169277472783600/9*ep^2+
         482734085042616333221571992068/297*ep^3)
      -4407406165099149157391577657870669630420734759198803/
      19800918334287653937454080-7982843820453873447700/27*ep^-3-
         54499409080102726638904141063/16116408*ep^-2-19199282976396190\
         895368041714753264761/1540909592061840*ep^-1-
         16073618406289513243246654400/27*z3+
         35936805489209609563242526100214128722115977682198651160033315\
         44288737588965501517565978718291149403414917228499317899/
         16222803063085540026749525152467749237649271590995444368220048\
         51791626240000000000000000000*ep-8036809203144756621623327200/
         9*ep*z4-78958102506953521918104832199574353/8058204*ep*z3-
         53906308653941044001805093118037089811941995309471096476402095\
         47462958307119197995384849306184881976732742933099792145010778\
         70221/52116360404955036192970968058577535742091827958082813710\
         854282781777069738242867200000000000000000000*ep^2-
         173239572626584284562548617200/3*ep^2*z5-789581025069535219181\
         04832199574353/5372136*ep^2*z4+2012331775673282720490306292079\
         922183745277/78162080756760*ep^2*z3-
         53850622265244155006990245628584713438785212691973684239688924\
         30109908341173779238154115262907473652056539402857402002502036\
         5167128147664783801059259310070087782496647/
         82125872220593659171064849174458526967539107920937198323329023\
         53678079534810113225247297946257235550662691913728000000000000\
         00000000000000*ep^3-3857706338082422619549227251000/27*ep^3*z6
         -928126233984646947352657721767955251/8058204*ep^3*z5+
         2012331775673282720490306292079922183745277/52108053837840*
         ep^3*z4+28063565325953312269164694627539421966253167186498619/
         2152273731987788471462400*ep^3*z3-
         562584723353629411298638845200/27*ep^3*z3^2;
Fill mncnoptab(12,7,4,7)=
      +mncF321*(98018545778857055352000000+2361930975373791491089420000/
         3*ep+61463026190813211961726199600/27*ep^2+
         21911640346359647806607659775060/6237*ep^3)
      -9640987442570043698726811712216288065037904685564317/
      19991311779809650609929600-168848302917404849043500/81*ep^-3-
         559683659118805319321178240727/24174612*ep^-2-3997222831425324\
         7567638258131773335965/497832329743056*ep^-1-
         104475946636703958362835599200/81*z3+
         11310182173356517403148305161718500024630411380723501357761018\
         0603733875850037636224477464680876851196152263912544468389/
         23672049367563594120665123436764164703916794260330087190361907\
         531245158400000000000000000000*ep-
         52237973318351979181417799600/27*ep*z4-12827433556071409785426\
         1689969236899/6043653*ep*z3-6178693679423584256962594701042706\
         46504348450949724627460280521134551043834861171408910541180635\
         34497963920410492900971424560741/27653578990384304918719289173\
         93910059784464340632965625473900719033069006519009280000000000\
         000000000*ep^2-1126054181204498886838952807600/9*ep^2*z5-
         128274335560714097854261689969236899/4029102*ep^2*z4+
         19313686984493865538441436787635407673288501/345716895654900*
         ep^2*z3+169321182532550744050624929155416143527201483143628057\
         61108305583618574564715525054116545284178062168983501653570773\
         317842909973517353834148287993714383768775180410536923/
         22502675214910283006656737074820172576241696384640467935146173\
         60332632064827165604473372442938759768173075685703680000000000\
         00000000000000000*ep^3-25075029210509465057969349173000/81*
         ep^3*z6-88542734284399224073081979022781744/355509*ep^3*z5+
         19313686984493865538441436787635407673288501/230477930436600*
         ep^3*z4+1400424091675645286456574194101361849154723013811944337
       /49978279449524126524824000*ep^3*z3-
         3656829003949988727091881691600/81*ep^3*z3^2;
Fill mncnoptab(12,7,5,6)=
      +mncF321*(117622254934628466422400000+945786008679005247657904000
         *ep+24658146326066057116795762760/9*ep^2+
         44064852161163232759849244063828/10395*ep^3)
      -145791241736454470856837962389477865054297408415133/
      251938396720978583616000-145991703030174764175920/27*ep^-3-
         2388812935742946453454791642877/40291020*ep^-2-601356721619721\
         0714549641240008737293/30062338752600*ep^-1-
         41788652655936679496938018240/27*z3+
         65357818526678941790463004439933425165135921493170474056081471\
         8918766929260684280666049567638227635682572831530833511/
         11355919439372118826786784096350535163398156536590954348653862\
         2435328000000000000000000000*ep-20894326327968339748469009120/
         9*ep*z4-171117364234960345605489230814715279/6715170*ep*z3-
         61047887635118837905967017684857084851897073083287809282761877\
         81988547238236647211158828959426583330775269637535910951292064\
         61/22659201920958860008387646091057666326206929938003502305710\
         844104794376765440000000000000000000000*ep^2-
         450419632683825836247464069120/3*ep^2*z5-171117364234960345605\
         489230814715279/4476780*ep^2*z4+860925560975356812854481563001\
         675214019587/12883859465400*ep^2*z3-
         13035685168485540451427615639744009189492886789839014511066997\
         39519301292429596778443156748932778099876064952278255683278551\
         043179312751765393210123718022725341322790182537/
         69534076834548701631613975066731241550115397952058300678350841\
         36249933895396307642154214487544258875483189453783040000000000\
         000000000000000000*ep^3-10029970103746239616825596509600/27*
         ep^3*z6-6046822722195324742098293465495388179/20145510*ep^3*z5
         +860925560975356812854481563001675214019587/8589239643600*ep^3
         *z4+861878814807277075391318327984149177395203582033587/
         25193839672097858361600*ep^3*z3-
         1462750587936940689037529432320/27*ep^3*z3^2;
Fill mncnoptab(12,7,6,5)=
      +mncF321*(80865300267557070665400000+651981519485545290034994000*
         ep+17078558496752845623105867760/9*ep^2+
         30711595808884386644753257811188/10395*ep^3)
      -1603631378566030602992384113657936396890129348075149/
      4031014347535657337856000-312480741694975271439515/54*ep^-3-
         1856239164451114181381206573451/29302560*ep^-2-409745020296845\
         710327002395286258979091/1923989680166400*ep^-1-
         28728469578597828021639303140/27*z3+
         14871560425118387387044986730624192398296953197927225018623567\
         1605706319592587579408859757872006227610036331466010626279/
         37223684207046841487210387209673300340012647904725536105925440\
         495650078720000000000000000000*ep-
         14364234789298914010819651570/9*ep*z4-942358535543036717444260\
         864399592837/53721360*ep*z3-1922841009269028025265387825962963\
         53508819439443618374135521163205050061460855322924041022238017\
         153129020674052314505995223189251/1039847608702800512366629595\
         65573252197604976857436323769649773545320608273163878400000000\
         00000000000*ep^2-309662044854295640323000293070/3*ep^2*z5-
         942358535543036717444260864399592837/35814240*ep^2*z4+
         131494316266226558588226095685576433930449457/2885984520249600
         *ep^2*z3+21349412025223884957555726251384588935092594620674718\
         77039839788184998144527607148168584037669100179229833971093386\
         4614030211158493054973288351125889944947420704884972979473059/
         38747498197851788197175643597659102381142215105260577215427842\
         78767986837027041163235912027524083433489744574898577080320000\
         0000000000000000000000*ep^3-6895574835275157337213408336225/27
         *ep^3*z6-3056130304119387407094128933365371967/14651280*ep^3*
         z5+131494316266226558588226095685576433930449457/
         1923989680166400*ep^3*z4+3803863299870954225119813029299339128\
         491128070490941/155039013366756051456000*ep^3*z3-
         1005654549222258369224797620770/27*ep^3*z3^2;
Fill mncnoptab(12,7,7,4)=
      +mncF321*(31711882457865517908000000+770438594882505293364620000/
         3*ep+20337623336010247982949114400/27*ep^2+
         7389204763164676238033231486372/6237*ep^3)
      -4241791523499720374098284222995820602942875261426134283/
      27188184020541124829504256000-3531217521354734908449350/1377*
         ep^-3-2117324273814630982059865679981/74721528*ep^-2-548432557\
         25160509213354719689130948296271/564209973708796800*ep^-1-
         574560449342689274187790615600/1377*z3+
         13033770394565360609740538238307225789933663490194643002929315\
         22789014643465419752829710511926662762467978552550973207913427\
         027/8670385043233945884021917688009387057896516950551177023748\
         14141122475219887325184000000000000000000*ep-
         287280224671344637093895307800/459*ep*z4-944391983820573430486\
         124743866500545/136989468*ep*z3-
         19410157682164323355924441143768553462294645180238132880977868\
         25092890929821989320451723888582662510443768449484115116342019\
         87910779519789/27853935599521944989152369342873613937892657864\
         830386363126846754182114636430401076744683520000000000000000000
         *ep^2-6193230329484443520513265515800/153*ep^2*z5-944391983820\
         573430486124743866500545/91326312*ep^2*z4+14914597540582950907\
         748531240877060172880713261/846314960563195200*ep^2*z3-
         15794309122641569116233022934610560647283667850914196883610298\
         11951809986863485193681385148478639582743901155242441606779481\
         812119986520454711151121800292454022362297094996746719/
         43634526408055844983544421646413856668963776985411567516723679\
         45927599176847076729949041431995558456538638609407660114575360\
         000000000000000000000000*ep^3-137911281290043256026078997566500
       /1377*ep^3*z6-444310329556220649410995673383241425/5337252*ep^3*
         z5+14914597540582950907748531240877060172880713261/
         564209973708796800*ep^3*z4+19951183336204045365308313378580602\
         902579788553639846369/1942013144324366059250304000*ep^3*z3-
         20113189358622870443546609986600/1377*ep^3*z3^2;
Fill mncnoptab(12,8,1,9)=
      +mncF321*(600113545584839114400000+34095883645664316886124000/7*
         ep+6324710217809085081047272360/441*ep^2+
         3849087472426117099937216119808/169785*ep^3)
      -25066913607523325548322558557269655970101826295938400479/
      8489643735825831625683436800000+928205019196797680/1323*ep^-3-
         1038927951436900550520191903/3384445680*ep^-2-2836510431195477\
         1478758203493515289709/7550457001103016000*ep^-1-
         10447966158299440857278513360/1323*z3+
         80208081105076378105588479438955750752386434981112989652458563\
         553335685530914520342133368820083379760279261715206692832272711
       /275566150643511062461725945364981666790555331896086989760210548\
         2877909605704060108800000000000000000*ep-
         5223983079149720428639256680/441*ep*z4-15472123073059566841980\
         67432734757121/11845559880*ep*z3-
         39773261427902369455924824386821701683351288910140600737239273\
         49204574444111127015327274981892072169345268771700199371509871\
         225889019271/2950888484251835030464113902636973962001056538552\
         0282391327671850462498249780182735585804288000000000000000000*
         ep^2-337817571469050471996582851440/441*ep^2*z5-15472123073059\
         56684198067432734757121/7897039920*ep^2*z4+1749939396005779556\
         910830137751837790834939163/5285319900772111200*ep^2*z3-
         14280358187700324845584498421321132396674285455397112775368350\
         10113098870972100797742493009348559820079692816262009030870236\
         339440247851221209911938087925842329919934640398689951/
         11787906367299400480606428557242170792181657767870840627246210\
         00695660304522070279275421256730326346645035854848627574749265\
         920000000000000000000000000*ep^3-
         2507511870622129937831175102400/1323*ep^3*z6-62759338916061712\
         31196542316931514309/3948519960*ep^3*z5+1749939396005779556910\
         830137751837790834939163/3523546600514740800*ep^3*z4+
         34084158012742735008220990355736799009473500318121252901/
         169792874716516632513668736000*ep^3*z3-
         365678813890554064162177725680/1323*ep^3*z3^2;
Fill mncnoptab(12,8,2,8)=
      +mncF321*(6001135455848391144000000+339895659339592353714860000/7
         *ep+62709410114189174518638898000/441*ep^2+
         22735811219001972086046140585756/101871*ep^3)
      -192825844403329722310103519783690062517712759006485213/
      6530495181404485865910336000-21802182491399371137700/1323*ep^-3-
         2433134601716860444855796591/12087306*ep^-2-486954998908710575\
         1085085966111386183/5808043847002320*ep^-1-
         104479181459881507988853154400/1323*z3+
         65535107635129921203063041344063963053766618253338489655193501\
         945426394649069586068398526582739516211220389523242292400631/
         22454143947647326806424285258782136397322733301812704504497051\
         3541330779504640000000000000000000*ep-
         52239590729940753994426577200/441*ep*z4-7724197880518420097932\
         94228658989173/592277994*ep*z3-
         97743361881724315144516283672917220043700370094947029153613759\
         07777027175585836353380896112027907813533275287663042702121775\
         681020559/7213477560010231514505304659955775299598671999506200\
         328533052134108545999539933492019200000000000000000000*ep^2-
         3378174012764119604419299775600/441*ep^2*z5-772419788051842009\
         793294228658989173/394851996*ep^2*z4+6293898445358663900416014\
         606525419801326537/1882236431898900*ep^2*z3-
         27608405739433534067443154340964788377633309355003177914533883\
         60186878090274028191557460698917175106256481460915307772868170\
         5429134664868386249787649816604603782024465465351/
         38420879457745110683198748116110609615231707476583554323100391\
         95141285932744996725874598695413206576733375614592000983040000\
         000000000000000000000*ep^3-25075107142081193263172615431000/
         1323*ep^3*z6-3099682174524859146229565450373430507/197425998*
         ep^3*z5+6293898445358663900416014606525419801326537/
         1254824287932600*ep^3*z4+3135759317015908312560081203555409814\
         0033421747041921499/16326237953511214664775840000*ep^3*z3-
         3656793422426805403493840788400/1323*ep^3*z3^2;
Fill mncnoptab(12,8,3,7)=
      +mncF321*(22619664410505474312000000+182724821642965323181460000*
         ep+4802481985268012188526203600/9*ep^2+
         1734757379845886859011039740412/2079*ep^3)
      -38565299274766480315826957881964138517890181043517791/
      346516070850033943905446400-9114522895126957324900/27*ep^-3-
         23257632255414124464221571277/6043653*ep^-2-759563418890315732\
         11413905580156109133/5393183572216440*ep^-1-
         8036696507675045686108037600/27*z3+
         46740772987739846756630052409240797349513254620677331173316905\
         24687742318338257333114690015523191846915518423641549547/
         42488293736652604831963042065986962289081425595464259059623936\
         59454259200000000000000000000*ep-4018348253837522843054018800/
         9*ep*z4-59369015783231325332909446131124795/12087306*ep*z3-
         12697887123324389062911938460572261695402175518005780462745818\
         30386560194499645721188776313296108212142939163039644593674398\
         0899/248173144785500172347480800278940646390913466467061017670\
         7346799132241416106803200000000000000000000*ep^2-
         259858959367754216402741052400/9*ep^2*z5-593690157832313253329\
         09446131124795/8058204*ep^2*z4+1138673502786779683593563924980\
         40113995363047/8988639287027400*ep^2*z3+
         12546184896867579598781720099509068757795032319882105184587119\
         58052709564399574998020980311358226557472768783691775149172064\
         3113180340103144187464394228225503112191409/
         21509157010155482163850317640929614205784052074531170989443315\
         68820449401974077273279054224019752168030705025024000000000000\
         000000000000000*ep^3-1928850453988969008805287799000/27*ep^3*
         z6-236912264512649956688772954918150025/4029102*ep^3*z5+
         113867350278677968359356392498040113995363047/5992426191351600
         *ep^3*z4+874841808755926678760240061416381835816333325635980863
       /123755739589297837109088000*ep^3*z3-
         281293601224965953356689834800/27*ep^3*z3^2;
Fill mncnoptab(12,8,4,6)=
      +mncF321*(42007948190938738008000000+339301651197615147718820000*
         ep+62410161928115477213710414000/63*ep^2+
         22537542425316181545449841626212/14553*ep^3)
      -19281801359885723353295297512196689164217064049773561/
      93292788305778369513004800-321363297789345579043900/189*ep^-3-
         456325837878887457893551162621/24174612*ep^-2-5427045150590700\
         1328011420245082022713/829720549571760*ep^-1-
         104472591142373177843663554400/189*z3+
         90221779458787806584632887244813024859999316734962121740819765\
         3398454053129568364705684994709808504613842747715736700153/
         43962377396903817652663800668276305878702617912041590496386399\
         7008838656000000000000000000000*ep-
         52236295571186588921831777200/63*ep*z4-38586294136127733314579\
         5574589038018/42305571*ep*z3-134948664482640377227431421801729\
         36766897428339687092874302296197179864295843740490210938350888\
         1483596782888641186470658505972369103/
         14123077841517698583488779828118897805327800025375503015813135\
         815061745283293511680000000000000000000000*ep^2-
         3378150647060194829297417803600/63*ep^2*z5-1929314706806386665\
         72897787294519009/14101857*ep^2*z4+167526060549886732632425523\
         6944550361274761/71177007928950*ep^2*z3-
         94899038743060551187059418977834471283045537835043579482671615\
         49875346268465767515812093534694244691238126862758159990776563\
         06594446882767047582160792960780469267398488113/
         75223228575557231765109663935827434040579385057226707097488637\
         47397655759565096449239559309252425510749995863638016000000000\
         000000000000000000*ep^3-25074948375095528275121474641000/189*
         ep^3*z6-1539090956929663151500678186563686897/14101857*ep^3*z5
         +1675260605498867326324255236944550361274761/47451338619300*
         ep^3*z4+179745949917536628683258510811456420325827237556633411/
         13719527692026230810736000*ep^3*z3-
         3656865915703175930528239965200/189*ep^3*z3^2;
Fill mncnoptab(12,8,5,5)=
      +mncF321*(42007948190938738008000000+339769304254403054868980000*
         ep+62646495482688290237518932400/63*ep^2+
         22695012401504014580343002262764/14553*ep^3)
      -18223693271320280381214083063015250570205801892281/
      88178438852342504265600-556488545236479809812300/189*ep^-3-
         783639609327344902212185967979/24174612*ep^-2-5686470333768257\
         57232748342887765349/5153543786160*ep^-1-
         104467418630121290612847461600/189*z3+
         53574995412261557575385514451179632512562731402162874607283138\
         5739465058822285368089483641776253613076308649129663250143/
         26056578944932789041047271046771310238008853533307875274147808\
         3469550551040000000000000000000*ep-
         52233709315060645306423730800/63*ep*z4-38611069152388725039421\
         0894954710329/42305571*ep*z3-138456091069792684678155970900257\
         90078513934539788185148962356379869449428546650154564290547429\
         5692792693560233954580860536550743/145578665218392071731328143\
         39180255307664696760041085327750968296344885158242942976000000\
         000000000000*ep^2-3378132307858341879820481712400/63*ep^2*z5-
         386110691523887250394210894954710329/28203714*ep^2*z4+
         369889203358302230956203365109279277318787/15782727845115*ep^2
         *z3-3000686214342061268721771659123197454239112307846143488454\
         59686031087809051402659470003875188097188206290492507042931470\
         25527032284882002169810158533666609307129619600080103277/
         27123248738496251738022950518361371666799550573682404050799489\
         95137590785918928814265138419266858403442821202429003956224000\
         00000000000000000000000*ep^3-25074823762362260872121494189000/
         189*ep^3*z6-1547464306258399747850862619269939656/14101857*
         ep^3*z5+369889203358302230956203365109279277318787/
         10521818563410*ep^3*z4+589420632491185998181728290815252187742\
         950533372817/44089219426171252132800*ep^3*z3-
         3656922811392411172043149998800/189*ep^3*z3^2;
Fill mncnoptab(12,8,6,4)=
      +mncF321*(23104371505016305904400000+187424816208532363336304000*
         ep+34734727262449144739901245920/63*ep^2+
         63343318134472906919592379814716/72765*ep^3)
      -848368738011987004814850703156041723328536797592832393/
      7463423064462269561040384000-358535052924170992951315/189*ep^-3-
         923148949694760325215960480979/43953840*ep^-2-9801770283798360\
         4060158491336596539901/1354645795219200*ep^-1-
         57455925814039678903809015080/189*z3+
         32696298576905265858338524395237985989864294959005846878116620\
         639665401439629990992660926143602034043330665113463194517436841
       /297513212267831476412516783412086810810174601244403133167828381\
         75771208525545472000000000000000000*ep-
         28727962907019839451904507540/63*ep*z4-85066026873114573362158\
         92243122477093/1692222840*ep*z3-
         97100257830415995156410328700227555202446705069656860318196963\
         88113341534519060477575784259520671597182100843809451426526133\
         98031737587/19115445999671923031771233862756401722083196573903\
         2063276360713018896865151973340722757632000000000000000000*
         ep^2-1857968676543443777051474225620/63*ep^2*z5-85066026873114\
         57336215892243122477093/1128148560*ep^2*z4+5933858347808894284\
         07107445777703008644437623/46464350776018560*ep^2*z3-
         74123596077915105041111744563411379796054064807958007446455041\
         18001117369685767209690502411277498003688690677659639122637884\
         345658064281887153331678297309579524596740246145527/
         13396565125280303284421532961618289328190633284994779500748498\
         07960227817453049873229968860700390754200459222186562315878400\
         00000000000000000000000*ep^3-13791125259540729130626534154450/
         189*ep^3*z6-3131002888267911831149909657094183007/51279480*
         ep^3*z5+593385834780889428407107445777703008644437623/
         30976233850679040*ep^3*z4+286126305252634979698451610297338769\
         76329368491067744981/3731711532231134780520192000*ep^3*z3-
         2011320246405703954237186687940/189*ep^3*z3^2;
Fill mncnoptab(12,8,7,3)=
      +mncF321*(6795403383828325266000000+55380704051330674462160000*ep
         +10345928923426483879028180800/63*ep^2+
         1271089496320084686245248314196/4851*ep^3)
      -33939227657054483002981716273964937121039911122533793/
      1015025536766868660301492224-1358592448821064539306575/3213*ep^-3
         -102319603853882856884872505557/21349008*ep^-2-391230869961657\
         0522689017953725455610269/225683989483518720*ep^-1-
         287289180181361472386607891400/3213*z3+
         19285223015801214419558299007709821311280107963105698125911471\
         43313275886577002279664881196075590480470747416449937476095373\
         092849/5786036952184786553270626403798264296636275645001152133\
         847926368423984634048083394560000000000000000000*ep-
         143644590090680736193303945700/1071*ep*z4-85261423729864335536\
         00445554738846693/5753557656*ep*z3-
         28876135360801281889320227405241551015526180059279752352260189\
         92690434653780478179863650579960240152237871658123911589991840\
         86569736986114591/18587859690080977956094347808144325034553700\
         34846347783299331573395753116737788765188095213568000000000000\
         00000000*ep^2-9289877244185020901078868112100/1071*ep^2*z5-
         8526142372986433553600445554738846693/3835705104*ep^2*z4+
         2923046587386083479462937923353978386489987299/
         789893963192315520*ep^2*z3+
         17515968498079535736277515000345595568527807762907933160943598\
         68735420470921359526875812630531523263904709230889588249418577\
         34596842784659146208415065340391069406306933479111057907/
         19800766290290301708932677950853989304953509145619963851522316\
         08955998805130845459027809014620491153464480352434404057859437\
         3632000000000000000000000000*ep^3-
         68955856380934253077124991112250/3213*ep^3*z6-3187979020309556\
         390754685756392187807/174350232*ep^3*z5+2923046587386083479462\
         937923353978386489987299/526595975461543680*ep^3*z4+
         30445531618816286002725349507514430683658963692684013317/
         12687819209585858253768652800*ep^3*z3-
         10056496159492002366311628279700/3213*ep^3*z3^2;
Fill mncnoptab(12,8,8,2)=
      +mncF321*(970771911975475038000000+55740836004743816780568000/7*
         ep+10529662407079574928561978560/441*ep^2+
         2187631517015319404359508863204/56595*ep^3)
      -35356838567628029938571172550867497944186913458830039823/
      7401227872258417314698380800000-529013201432058682792895/22491*
         ep^-3-99246386735008641494480485865/348700464*ep^-2-4600595813\
         7526505902991851856063091784573/39494698159615776000*ep^-1-
         287307428408554067173611245320/22491*z3+
         20855208337591513609091707033777692286321813748133411119842356\
         75780328095162440928915030728535719402889312222249630344042670\
         5876527/443251759372727398455910487005259889867314687804552547\
         396564359295337394286897817190400000000000000000000*ep-
         143653714204277033586805622660/7497*ep*z4-28512545866033181264\
         40214486214882135/13424967864*ep*z3-
         21305378574053341543100754730649772030755774600904812915688625\
         49926333955081323054637514803012786164552168068254997166428118\
         8060975788007825943/996773975880592442895559401211739429977942\
         18118635399879426655623347260885063922533211605827584000000000\
         000000000000*ep^2-9289941945495064080810332462180/7497*ep^2*z5
         -2851254586603318126440214486214882135/8949978576*ep^2*z4+
         71526036988114139429383700565476141876896832291/
         138231443558655216000*ep^2*z3+
         32596209776944333624157818486043372780513031996472777631813858\
         80501181778186777389621732676890440962096310874550121836520893\
         43139094565975515980904935204194790636833153083036344198461/
         25786962241979851850579646481353240000183203964108285065920044\
         86449303443896295702266037704219150353967224144697162284637299\
         4088960000000000000000000000000*ep^3-
         68956296020191595438143465353050/22491*ep^3*z6-326824157922277\
         1833335130121197082543/1220451624*ep^3*z5+71526036988114139429\
         383700565476141876896832291/92154295705770144000*ep^3*z4+
         1374404457634916789044172398476816747618979750985683571843/
         3700613936129208657349190400000*ep^3*z3-
         10056295449122877683519420049940/22491*ep^3*z3^2;
Fill mncnoptab(12,9,1,8)=
      +mncF321*(252679387614669100800000+14455502173700156363938000/7*
         ep+2713532911946123481326519420/441*ep^2+
         559106946160845736823747817812/56595*ep^3)
      -620858064039238690508821680047337897299708929451050619/
      499390807989754801510790400000-1726736834408670890/1323*ep^-3-
         185790416364587427477364003/483492240*ep^-2-338862429168270668\
         42032714961068480333/7550457001103016000*ep^-1-
         4399143577930797639308531920/1323*z3+
         67171651140922863021707514832950314716940523597333995787845352\
         45257453425782392880014174655189249360196297897572249282844459\
         01/55099774750252822303748425110820308862662308794652159329495\
         224376880077321084600320000000000000000000*ep-
         2199571788965398819654265960/441*ep*z4-65366993861913702655315\
         2816332328697/11845559880*ep*z3-
         99257658081088997829451581490631355415625401820949521773014021\
         81065111848296640479838882472188465666077001058026992773479791\
         9002471430299/177010083149579069088142769989722778921791892461\
         48274862180685970846278857351051997396074496000000000000000000\
         00*ep^2-142238977246284999166384146680/441*ep^2*z5-65366993861\
         9137026553152816332328697/7897039920*ep^2*z4+72053893721161390\
         3361348270244322115134173599/5285319900772111200*ep^2*z3-
         36169199013213035588542909352196015700860757519220645923766690\
         82355622142747645728436832854963147980835280246566989675395127\
         957920130712714996278793028590084902882837712926014121/
         47140113841885786101643872013580751361312391171319426141184794\
         90086649362322146282844580123350279677257247876567509686131097\
         600000000000000000000000000*ep^3-
         1055794470402310499649609770300/1323*ep^3*z6-27140258103500408\
         74000936258857998113/3948519960*ep^3*z5+7205389372116139033613\
         48270244322115134173599/3523546600514740800*ep^3*z4+
         78528761731718759639577347767947791585561408320590340909/
         848964373582583162568343680000*ep^3*z3-
         153970027814296178463223649560/1323*ep^3*z3^2;
Fill mncnoptab(12,9,2,7)=
      +mncF321*(2210944641628354632000000+18019889331365318368400000*ep
         +3366687920642425535941618600/63*ep^2+
         1240924758427296874019776450724/14553*ep^3)
      -101490415208477790502448545836151053930273123610016237/
      9329278830577836951300480000-2786643724556212214200/189*ep^-3-
         8686063757776215764517457829/48349224*ep^-2-617946673793336429\
         5179376673657689927/8297205495717600*ep^-1-
         5498868245152168305696836000/189*z3+
         34691543985698251262672012579547424372020351879357815991882492\
         305596104423750362434855674550753740509527287808300943888319793
       /324370730476370617957702659600590515282548913626288222112413016\
         347410188310937600000000000000000000*ep-
         2749434122576084152848418000/63*ep*z4-815978817239425176933766\
         16737783487/169222284*ep*z3-1028070823571650696548682796999114\
         76368564348176419550583692672204434610715378098448297616942541\
         156830839697633625644380739276437092787/
         20841061595319356643030938381835492023758857040205975112457636\
         5433825889215279262135746560000000000000000000*ep^2-
         177798504441308416794519352000/63*ep^2*z5-81597881723942517693\
         376616737783487/112814856*ep^2*z4+1165135841923281203921358423\
         7137371192405101/9680073078337200*ep^2*z3-
         33107793712567755277476456036108461903409586823953267014122842\
         43901345865069288412640616285083116162152653409945187665277826\
         92740736024772458600372654491402633006006019635579669/
         27751244412413139384798197810192750016471187895203743803680216\
         77837509436217904012663606823008406403408897886519334587596800\
         0000000000000000000000000*ep^3-1319741612696932705194653050000/
         189*ep^3*z6-335687621072283610430045940708704723/56407428*ep^3
         *z5+11651358419232812039213584237137371192405101/
         6453382052224800*ep^3*z4+3646854195673589503032320271410016896\
         589062566578852967/4664639415288918475650240000*ep^3*z3-
         192463208016428102342804820800/189*ep^3*z3^2;
Fill mncnoptab(12,9,3,6)=
      +mncF321*(7143051919106991888000000+58143448225202873603070000*ep
         +516143263861345394112858500/3*ep^2+
         63230731675845480176581506584/231*ep^3)
      -16238471951917397073070980500714113998933134351505929/
      462021427800045258540595200-1940025825944341493150/9*ep^-3-
         79215841282410663800136699953/32232816*ep^-2-12940999056855862\
         6798427017220575703807/14381822859243840*ep^-1-
         845946477689507877523656400/9*z3+55472734671249407538870011805\
         53015557345745230281263708085841232296980719088709958490885468\
         2252578260798432687886430459/160241564949661252509117758648865\
         114918821376531465205596295989442274918400000000000000000000*
         ep-422973238844753938761828200/3*ep*z4-35843630930976693599225\
         72992406717/2302344*ep*z3-822631872345485382660338897599209805\
         41038676352636916089012143585424187392109790407115137656183407\
         02348743766843293171151140009229/51478200889792321464077446000\
         71740265137233618716751395112953646200020765981540352000000000\
         000000000000*ep^2-27353498177476961149425326600/3*ep^2*z5-
         3584363093097669359922572992406717/1534896*ep^2*z4+46801433508\
         561525531713418889614795581649181/11984852382703200*ep^2*z3-
         96602714315412966633154100463430295973039677868625358693681994\
         20847665737373583651948289231934835266839584367125699490668491\
         69023972590727810135142087494049258935116283/
         16224049859088706546447096734872623286648542136217797546322958\
         11910281834631875428987629471832041635314588933160960000000000\
         0000000000000000*ep^3-203036370136853438926880808500/9*ep^3*z6
         -6045541006042603039445927226080803/316008*ep^3*z5+46801433508\
         561525531713418889614795581649181/7989901588468800*ep^3*z4+
         2869143858649669854991358591434396719836151404546113703/
         1155053569500113146351488000*ep^3*z3-
         29610090113756226434705636200/9*ep^3*z3^2;
Fill mncnoptab(12,9,4,5)=
      +mncF321*(11054723208141773160000000+89998152884279612529700000*
         ep+16781903197483029704532512000/63*ep^2+
         6169883554611661744717596806600/14553*ep^3)
      -253711762128399104419692114497040814833444860564777/
      4664639415288918475650240-136860743488069705617500/189*ep^-3-
         27893099467278885884697317405/3453516*ep^-2-469160464094485420\
         5286554687653030491/165944109914352*ep^-1-
         27491636811461257159618504000/189*z3+
         59218838082433881764792664055343039698268247120765497545090971\
         35640427490887336670592100144443578029047499412857719310393933/
         11096063860804903549184775138912328608304880232891492146119473\
         445509075440762880000000000000000000*ep-
         13745818405730628579809252000/63*ep*z4-10193427881766632453018\
         5993490290615/42305571*ep*z3-206037312077823116703605719444476\
         60509979084459936054969003057882384624000956311281510939338068\
         72159144126962349211263965609319445999/
         83874163168723644181637115536569978761368749535842945630653267\
         7444768913322795406983168000000000000000000*ep^2-
         888982933839179355901168886000/63*ep^2*z5-10193427881766632453\
         0185993490290615/28203714*ep^2*z4+2923745467728704474917764788\
         410086854469437/484003653916860*ep^2*z3-
         39964318013915622163247556575713269725020175652982573725252644\
         90598997236265966087321951301834260652008887015436035983815321\
         7638762461638498352929830515645077087423787961783789/
         94931370584736881083080326814264800833798427007888414177798214\
         82981567750716250849927984467434004412049874208501513846784000\
         00000000000000000000000*ep^3-6598642911765192026359720385000/
         189*ep^3*z6-417762491816683003343643249291872410/14101857*ep^3
         *z5+2923745467728704474917764788410086854469437/
         322669102611240*ep^3*z4+44922698060717584297866703503507014072\
         914423907739239/11661598538222296189125600*ep^3*z3-
         962345788709455201596635662000/189*ep^3*z3^2;
Fill mncnoptab(12,9,5,4)=
      +mncF321*(8843778566513418528000000+72115297859360043353780000*ep
         +13484953567027910058832257400/63*ep^2+
         4975995770590654737731749850294/14553*ep^3)
      -73472490832155923209556502755021830286841750606919/
      1688557254403228407475200-142634054507114368381300/189*ep^-3-
         58077328436092587769366846679/6907032*ep^-2-435115847312016878\
         072657247798025273/14816438385210*ep^-1-
         21992580161796017619461813600/189*z3+
         80732910215034502845355218988913416859761809640283226507296227\
         796146687192261946101532209468955855030342751702594226235092757
       /190408455851412144904010741383735558918511744796418005227410164\
         324935734563491020800000000000000000*ep-
         10996290080898008809730906800/63*ep*z4-32644248762803082402361\
         4707374879701/169222284*ep*z3-47799863597184116342379724887515\
         83858988463769144243637044410618378222539116849750600524712790\
         92708768583051599476174916572750719169107/
         24467770879580061480667179344328194204266491614596104099374171\
         2664187987394525876125129768960000000000000000*ep^2-
         711183761521880725776947220400/63*ep^2*z5-32644248762803082402\
         3614707374879701/112814856*ep^2*z4+139607704478497697267184628\
         01845047400035077/2904021923501160*ep^2*z3+
         27341672128261164516589486411823678916030951401497319971276243\
         01552042106969599800375606678297724310385400338735340193833670\
         910448190987392905981689071949529267509918030784594067/
         81451115961704243969282920406639199115399050372768259364550868\
         32398185130114543229238210673058375785538792070894298880540672\
         0000000000000000000000000*ep^3-5278896761009615399278449619000/
         189*ep^3*z6-1345222383720424765739362755066586589/56407428*
         ep^3*z5+13960770447849769726718462801845047400035077/
         1936014615667440*ep^3*z4+5872111387470522480733853919674637511\
         02189058322540353/186585576611556739026009600*ep^3*z3-
         769884653826740786987838114800/189*ep^3*z3^2;
Fill mncnoptab(12,9,6,3)=
      +mncF321*(3648058658686785142800000+29841255704065857141948000*ep
         +1870110306735439232825924680/21*ep^2+
         3474922917323533522336417330364/24255*ep^3)
      -44657884017040954884445329717353500722667933447797847/
      2487807688154089853680128000-15407656716749169874885/63*ep^-3-
         5817111017358282888399543013/2093040*ep^-2-2236570988959307054\
         19323237246326450531/22125881321913600*ep^-1-
         3024072286653507839356875320/63*z3+
         24300774027671530774475906470090371508643740853244665485979022\
         48834702564505185940527882847654287810584387325164898664997225\
         40913/13614204593375968360636768008937092462673589752943887373\
         75982674923290502128960798720000000000000000000*ep-
         1512036143326753919678437660/21*ep*z4-449562467409729251224139\
         699350731197/564074280*ep*z3-
         36157209958185501971703337566851315462864145915633285537704226\
         88711241949347395560613249216626051924581029289680337801793377\
         6001826179517663/437361404472493598966925830779866471401263537\
         61090536077631331138723602746771500357366946201600000000000000\
         000000*ep^2-97788095196894644319172439980/21*ep^2*z5-449562467\
         409729251224139699350731197/376049520*ep^2*z4+3039756110488087\
         8723021151087903340378411969/15488116925339520*ep^2*z3-
         27651345953241248098082128289810096342471158480072811528433992\
         46018153144962658110403280994324209343204762231409938674498487\
         72795898106843048746485531712252546990071944513653141733/
         11647509582523706887607457618149405473502064203305861089130774\
         17032940473606379681781064126247347737332047266137884739917316\
         09600000000000000000000000000*ep^3-
         725850533260076062795401111550/63*ep^3*z6-17019988278721261002\
         8552265798597703/17093160*ep^3*z5+3039756110488087872302115108\
         7903340378411969/10325411283559680*ep^3*z4+1679715739082362195\
         872480486586905828722211691643820419/
         1243903844077044926840064000*ep^3*z3-
         105858122123989234007686899260/63*ep^3*z3^2;
Fill mncnoptab(12,9,7,2)=
      +mncF321*(715305619350350028000000+5879253936919426830052000*ep+
         1114411803714939804545321240/63*ep^2+
         77516621803296800235714742542/2695*ep^3)
      -5582730691308983440748083586761156829539406919407983763/
      1585977401198232281721081600000-59101708347931537942030/3213*
         ep^-3-2377446200916354583707934879/10674504*ep^-2-257472468974\
         9314739222704335578698281271/2821049868543984000*ep^-1-
         30242812109334392896113855680/3213*z3+
         24421018962987061071287569927223858582572332632856867575751611\
         33267057986915196551935645478394035360385976748089607997390756\
         48063497/70920281499636383752945677920841582378770350048728407\
         58345029748725398308590365075046400000000000000000000*ep-
         15121406054667196448056927840/1071*ep*z4-450643887280935708799\
         841266732476401/2876778828*ep*z3-
         14560326064001593627210659590372427025917352137864383131567219\
         42005645316473562873431709045131020941878214977066233408779689\
         80211649343828123/92993490461163143360518661337538372476076238\
         47802719522278871661653388770618208516217992380416000000000000\
         00000000*ep^2-977888359531712976085445039320/1071*ep^2*z5-
         450643887280935708799841266732476401/1917852552*ep^2*z4+
         3739199951694531534050321138364424364646143377/
         9873674539903944000*ep^2*z3-
         17322250270360969827889639311320642228920678208066826035946553\
         21978983807817381950720504874618104311894567344041603489270565\
         492424876267418555579585169499273582088301586539133890929853/
         60675205275246710236657991720831152941607538739078317802164811\
         44586596338579519299449500480515647891687586222816852434440704\
         49152000000000000000000000000000*ep^3-
         7258555666214511338400553155700/3213*ep^3*z6-17332523359886261\
         5341246095546820415/87175116*ep^3*z5+3739199951694531534050321\
         138364424364646143377/6582449693269296000*ep^3*z4+
         222190833328919839724890337157709252619107997757956033263/
         792988700599116140860540800000*ep^3*z3-
         1058558241201856906527103039160/3213*ep^3*z3^2;
Fill mncnoptab(12,9,8,1)=
      +mncF321*(51093258525025002000000+2959043242730410961268000/7*ep+
         567197015655544077047864360/441*ep^2+
         120091118161299714264191882644/56595*ep^3)
      -24189577426390135162899719766152599988567418603275880269/
      96215962339359425091078950400000-30081588404166028145/22491*ep^-3
         -26651348909112236770623647/49814352*ep^-2-3190435262600749425\
         419605336786533111319/513431076075005088000*ep^-1-
         15122055707033000580011617720/22491*z3+
         24732920919111993182670407762279444190916940085146352190013136\
         41579240502437712791695988042047405734792409948608620723435636\
         781208021/1014160025444800287667123194268034628016416005696816\
         228443339254067731958128422205731635200000000000000000000*ep-
         7561027853516500290005808860/7497*ep*z4-1507091971609914399637\
         30894884804023/13424967864*ep*z3-
         36112258594805076840985718432384712979097592261587666281080191\
         62554909719581542812233589491922673582687035086782140216247370\
         02564805335538751947/32580269383068507276357712999606568796993\
         31015077682784630402686660264755786089353656973630478745600000\
         0000000000000000*ep^2-488946482841986683892908634780/7497*ep^2
         *z5-150709197160991439963730894884804023/8949978576*ep^2*z4+
         47519028564000524730227585900470988407999543313/
         1797008766262517808000*ep^2*z3-
         19434641748805043779312459266423530441873850538126276545418691\
         26533057899791313219297850299648209301343265488201577956312636\
         632035348559664940312279413233844995397702712604158582219009/
         10030096833640483175801459295387156230471259013879558559240260\
         65049321067537903176353398025433080721679091503321408242232523\
         978084188160000000000000000000000000*ep^3-
         3629293482047317627746785716550/22491*ep^3*z6-1776507677479509\
         13069712134718632799/1220451624*ep^3*z5+4751902856400052473022\
         7585900470988407999543313/1198005844175011872000*ep^3*z4+
         1034941786732493733925054204904879976803422131789591155249/
         48107981169679712545539475200000*ep^3*z3-
         529271972861967101817714408940/22491*ep^3*z3^2;
Fill mncnoptab(12,10,1,7)=
      +mncF321*(68784944406215477440000+5109326736437749242216800/9*ep+
         139323979968718253111691496/81*ep^2+
         440022328004188497708110570224/155925*ep^3)
      -329838936756459251346758650562138030737144632005036189/
      974576449265720467234068000000+82377359655450548/243*ep^-3-
         1498069837023755229502004647/5439287700*ep^-2-4016102727653678\
         5440279977384342876761/12134663037486990000*ep^-1-
         219957185952074492948058656/243*z3+
         11187081005494368363095793764376551314745591258456906754373199\
         31863599518099057867575565873741462951444003268792684059997907/
         34001509973466454447144775247095635521162811570788929504894672\
         2008813811720519680000000000000000000*ep-
         109978592976037246474029328/81*ep*z4-2052639782942192603094112\
         1641502186/1359821925*ep*z3-3274346286704301647726046683020644\
         75028663457074335459499464279798949386902292632423733799046445\
         13525430300061695407062642402154861177/
         21846223999625054893452838700293030539523653227317950088726938\
         63073107030308266751117230080000000000000000000*ep^2-
         7111948883276497585487001424/81*ep^2*z5-1026319891471096301547\
         0560820751093/453273975*ep^2*z4+435689348138652721427917710993\
         16424000642297/1213466303748699000*ep^2*z3-
         13786109541227870480235897963669974782007529803107343428920885\
         42921828609688940124665896873515803363630233952476426667644195\
         463408517749891551626144081851798586125241426527938491777076559
       /250896727780252462376873137935860386987759970733270145707095253\
         20129162023314096733284386858346539470890156097177966911179242\
         68638208000000000000000000000000000*ep^3-
         52789723659693545658782364040/243*ep^3*z6-51777242462005581817\
         25738790594757/26663175*ep^3*z5+435689348138652721427917710993\
         16424000642297/808977535832466000*ep^3*z4+56155676486908631088\
         435148446433273794082550287763483/1988931529113715239253200000
         *ep^3*z3-7698501286353869453379311888/243*ep^3*z3^2;
Fill mncnoptab(12,10,2,6)=
      +mncF321*(515887083046616080800000+12742290367145429687597000/3*
         ep+346026454757851877474056540/27*ep^2+
         652168407679057873529359544591/31185*ep^3)
      -15614943873773640850162389514019344953861676823588323/
      6151172855326046341516800000-628047901428156728155/81*ep^-3-
         273724014593623831393190097583/2900953440*ep^-2-48594282478723\
         375772997966569225801627/124458082435764000*ep^-1-
         549879131801307181425919640/81*z3+
         32196295604721393803704129909670487927340731588612763758306175\
         594505184556305683646352569694637839139798032510341226744429/
         13009454382256831361778686580615103887803340821391540214606164\
         75393380057088000000000000000000000*ep-
         274939565900653590712959820/27*ep*z4-1640108300170184375656988\
         24618324113/1450476720*ep*z3-472324968457445000705832364558288\
         56676319246290722159899332369076058954661479338675364934300008\
         91616790048053020898950945354662087119/
         41793357819913251632715103115038702440166156311826503842835435\
         090930269174859709808640000000000000000000000*ep^2-
         17779823177570919117395413060/27*ep^2*z5-164010830017018437565\
         698824618324113/966984480*ep^2*z4+2253116912852616942936922666\
         85702091785021/829720549571760*ep^2*z3-
         50175013775025816886094422004370432501240459712083586349303706\
         53299582498818187752459579582757381584453844847246182765015508\
         722746778424396724409774803019192260938713522706010768989873/
         19199321072869028342276793536567216635120903790424712710980659\
         10631249006987610708087265599812254321310847574011169797304808\
         898560000000000000000000000000000*ep^3-
         131973976002278625426900798850/81*ep^3*z6-69777725741332661584\
         4578473983623777/483492240*ep^3*z5+225311691285261694293692266\
         685702091785021/553147033047840*ep^3*z4+1648808612448172919164\
         037777331334149423370744636951729/7996524711923860243971840000
         *ep^3*z3-19246405471705944998169204020/81*ep^3*z3^2;
Fill mncnoptab(12,10,3,5)=
      +mncF321*(1388926762048581756000000+34271380052494093363855000/3*
         ep+929052471730588362908593700/27*ep^2+
         349409647147220217098027288597/6237*ep^3)
      -56838310782363772243157204161892110376252147185823173/
      8316385700400814653730713600-6100769771259620872025/81*ep^-3-
         29424003760667362238486700521/34128864*ep^-2-29431718118030102\
         673961603004508293703/9245457552371040*ep^-1-
         1480346824938499026551465800/81*z3+
         74261704079779944166602240421665497601257446657338800773763645\
         82365654501261903878988309270454267075890703909499590209/
         11100115402926971893926058150137128660265877278097997915358579\
         3269634170880000000000000000000*ep-740173412469249513275732900/
         27*ep*z4-88265377932688112741429637927705367/290095344*ep*z3-
         21840302997893310807417187825876160749813910828430854165441564\
         43052945120604338938568255397647398856847303717098496864889776\
         58499/71319070154021315334488636558428308279685522321113710290\
         3112411858381885712661217280000000000000000000*ep^2-
         47868410798887005984352798700/27*ep^2*z5-882653779326881127414\
         29637927705367/193396896*ep^2*z4+79137220459395994753270050150\
         04719388024391/10786367144432880*ep^2*z3+
         42237610765722923067660587152649651445901946670174188704112384\
         62259872286851800875741782078009303939821605402056777939915914\
         044289687852835576768869613777293408045749348808553943/
         96932090297606685729852200210317229170632069612203727250457135\
         18424342768350606155712743649710831715612920564269886916788224\
         00000000000000000000000000*ep^3-355312213929306297316267325750/
         81*ep^3*z6-374281202417320089627881090298313063/96698448*ep^3*
         z5+7913722045939599475327005015004719388024391/
         7190911429621920*ep^3*z4+2282264276194475954136051619637788733\
         768008223365089647/4158192850200407326865356800*ep^3*z3-
         51818312200892712124369411900/81*ep^3*z3^2;
Fill mncnoptab(12,10,4,4)=
      +mncF321*(1719623610155386936000000+127342665782533277116040000/9
         *ep+3454354408487665313615194600/81*ep^2+
         1300260579718680596084273507536/18711*ep^3)
      -4059734438098684446592297514310570656111675767681247/
      479791482715431614638310400-36974011308931352375200/243*ep^-3-
         746835397386952794085122144629/435143016*ep^-2-167077776075587\
         7268345393639657423727/271544907132576*ep^-1-
         5498116064265301816246762400/243*z3+
         21218433467341151301973836895343385944358475748922088160983142\
         55005282636249378985114919227607752467049705528567436324889053/
         25501132480099840835358581435321726640872108678091697128671004\
         150661035879038976000000000000000000*ep-
         2749058032132650908123381200/81*ep*z4-819731796354183743117479\
         75293708989/217571508*ep*z3-3125632459123551083365979164937254\
         86240159451302701123864093222478429709671165152742400963070680\
         513218543345797860015130735680357338367/
         81923339998593955850448145126098864523213699602442312832726019\
         8652415136365600031668961280000000000000000000*ep^2-
         177795837689436683033732053600/81*ep^2*z5-81973179635418374311\
         747975293708989/145047672*ep^2*z4+4608637515212789786723390353\
         5981491725181/50799217320720*ep^2*z3+
         12278411195127294127710615160951860824786775460180098388703268\
         56428668928649330307997053458829109708961930954582587203253670\
         7206371595577075279422043107189537656835955423484119296927111/
         22137946568845805503841747464928857675390585652935601091802522\
         34129043707939479123525092958089400541549131420339232374515815\
         531151360000000000000000000000000*ep^3-
         1319723492510111868212373496000/243*ep^3*z6-451999362547803548\
         0808930656040373/941868*ep^3*z5+460863751521278978672339035359\
         81491725181/33866144880480*ep^3*z4+233900535728385735239802587\
         56397604056679057525544987/34270820193959401045593600*ep^3*z3-
         192471482476583484110688783200/243*ep^3*z3^2;
Fill mncnoptab(12,10,5,3)=
      +mncF321*(1031774166093232161600000+25514520130192381456168000/3*
         ep+694249481081773523992220720/27*ep^2+
         437287614145049070619930952212/10395*ep^3)
      -812007916478187919772642953091477581569226819018891/
      159930494238477204879436800-6458930559138289129040/81*ep^-3-
         660919554324058252688529373829/725238360*ep^-2-834921213414339\
         69242200967127420318991/24891616487152800*ep^-1-
         1099643822814477774055094080/81*z3+
         15550692345812981187702067391186391290712808815836263652260852\
         19984795552455668423219786049448470525357324645356517234867049/
         31168050809010916576549377309837665894399243939889852046153449\
         517474599407714304000000000000000000*ep-
         549821911407238887027547040/27*ep*z4-8204727347500166748556868\
         5914443429/362619180*ep*z3-14039495207081192524927910666623488\
         59427523687077564589927863945184217748669909019121925845175524\
         454102334400355568148370025985031517/6161755487073733431486698\
         09495444451114769706411531925579477756251389162394639340058705\
         9200000000000000000*ep^2-35559240584376049567638485120/27*ep^2
         *z5-82047273475001667485568685914443429/241746120*ep^2*z4+
         6732963735940073738286946598560111184157919/12445808243576400*
         ep^2*z3-345647979332582466311568161000416280580614177983108217\
         02770213124317851129715838702990546096963088835989227918217467\
         71318286763688670400109759026893332574911819039338225816620397\
         7277207/399980290664170592195015147433980327081936185226952406\
         19971707032089968442964502038569312382871294808665466241877918\
         26419879268843520000000000000000000000000*ep^3-
         263945194825784177322150903200/81*ep^3*z6-35040798221667064302\
         5620240102782281/120873060*ep^3*z5+673296373594007373828694659\
         8560111184157919/8297205495717600*ep^3*z4+16705346165825666919\
         7415866871611862049291318088366597/399826235596193012198592000
         *ep^3*z3-38494069619469435162662573440/81*ep^3*z3^2;
Fill mncnoptab(12,10,6,2)=
      +mncF321*(283737895675638844440000+7039575999940129073027600/3*ep
         +192618801385363840046937052/27*ep^2+
         87291989062697458816475911004/7425*ep^3)
      -1116595522350940044522395992565842320597225972962418067/
      799652471192386024397184000000-1414646260750022452373/162*ep^-3-
         19948061169136804054161841771/188373600*ep^-2-4335087009677555\
         981186993614574409086333/9956646594861120000*ep^-1-
         302425558995491204657129252/81*z3+
         97497288075285543600773528754579018474005028697582650767724136\
         16579732430537564144653801897225030139863535994814343552022813\
         871/7242675806743911739475661552373527612211024310531904369224\
         90783162316003736761139200000000000000000000*ep-
         151212779497745602328564626/27*ep*z4-6457391652094308482588499\
         1504483331/1036054800*ep*z3-1413352355287555327598443008376685\
         66510172210436118008355964038677606856112297879589574894593206\
         5896794965856805523916851609202887162109059/
         23267366383767330599802973884494384453266624210699206321061310\
         836448940449361326454998040576000000000000000000000*ep^2-
         9778874515594221184185107758/27*ep^2*z5-6457391652094308482588\
         4991504483331/690703200*ep^2*z4+146440318665731463594051952759\
         896545013686041/995664659486112000*ep^2*z3-
         10150246031595577026516794406003503560282524958819042896904924\
         05401002767861139759940779303746144855707458229932053409996405\
         78457494294171775534433742375025845782368769154535268051042567\
         7939/106887233049549637565514141617716855281514659198430025199\
         25814234819192379473957585394425559715174700838183375649838445\
         13967361862139904000000000000000000000000000*ep^3-
         72585494969467930869745485055/81*ep^3*z6-177369908815707510934\
         137773868019663/219769200*ep^3*z5+1464403186657314635940519527\
         59896545013686041/663776439657408000*ep^3*z4+95186105231077304\
         25403988779024630930402020202352645011/
         79965247119238602439718400000*ep^3*z3-
         10585610622013514182050843446/81*ep^3*z3^2;
Fill mncnoptab(12,10,7,1)=
      +mncF321*(27817440752513612200000+2080578316910554807346000/9*ep+
         57400471176404033681914300/81*ep^2+
         36809269781841555463672607408/31185*ep^3)
      -296204058027115871698788366944151957194163755840439031/
      2163957503675722180307481600000-5704013764014071545/8262*ep^-3-
         4612865045798084265175171357/13449875040*ep^-2-527429463616548\
         6641647117283114569900361/1320251338478584512000*ep^-1-
         1512205597700830501664084500/4131*z3+
         79840264313351845849351749728371762466673015325669415490395531\
         45230844421299746214251332937108322730592621341321358275288983\
         753017/6036666818123811236113828537309729928669142891052477550\
         257971750403166417431084557926400000000000000000000*ep-
         756102798850415250832042250/1377*ep*z4-45312780285282291206380\
         6331694106757/73974312720*ep*z3-
         11607284356451657018156211988224485078863916428421969995995564\
         57685338761832042179510580731963491942972053689153596886409599\
         833077675354428023/1939301748992173052164149583309914809344839\
         88992719213370857302777396711653933890098629382766592000000000\
         000000000000*ep^2-48894648351357178445889376550/1377*ep^2*z5-
         453127802852822912063806331694106757/49316208480*ep^2*z4+
         9355618744904491512131244360343801235352198857/
         660125669239292256000*ep^2*z3-
         27784935570156646958364720381252797398281490035983311220265527\
         73062792978416651795842429407678720309630212898727798810787059\
         32847372272450159393143973399332483279361152243912548957029086\
         822433/8908898178632748648746224397920103149349558966104573414\
         60788151023272800268612259088931949794317361065289958384163106\
         0617558822926384365568000000000000000000000000000*ep^3-
         362929348640926762090010112875/4131*ep^3*z6-180590994524532441\
         776750851290020383/2241645840*ep^3*z5+935561874490449151213124\
         4360343801235352198857/440083779492861504000*ep^3*z4+
         650285743690796689455109036087031651946224783034678335843/
         53016958840055193417533299200000*ep^3*z3-
         52927196800726772667093538510/4131*ep^3*z3^2;
Fill mncnoptab(12,11,1,6)=
      +mncF321*(11791704755351224704000+295873872649261816154960/3*ep+
         288756297070528212902109692/945*ep^2+
         2815125605762919429441299568344/5457375*ep^3)
      -753964383115424904875962237200097192504341181781513657/
      12994352656876272896454240000000-2298327691087043954/2835*ep^-3-
         33881003828973213471299558351/253833426000*ep^-2-8555676411266\
         09601058795461369843069163/566284275082726200000*ep^-1-
         439914304837341156896109712/2835*z3+
         10574561316300666242531813127554181149957464528712503464535432\
         02418703390550449621608759412022659510863752970159490092419120\
         61/18812144952581588933703017019152019771976686520862089270714\
         0463159043117853704192000000000000000000000*ep-
         219957152418670578448054856/945*ep*z4-472285995456437017556652\
         79747438643/18130959000*ep*z3-
         15312720963531534953372001109966217449565120501958499868354825\
         36431875374197500986187993485902490770664041754153448071130393\
         6564397522531/604347178799151444150726594402451544240691537940\
         23912522237171003763481686652795987007897600000000000000000000\
         00*ep^2-14223897544380755960209903448/945*ep^2*z5-472285995456\
         43701755665279747438643/12087306000*ep^2*z4+369328711687899885\
         07740860767733126997263639/6292047500919180000*ep^2*z3-
         10598396714917639265190552900070673850617682275200475288199405\
         47968235828864153978068440967827252358481269160928220238461236\
         12866883913587827811935921327916884556855093312709807030060996\
         245193865507/7638304405934506287480259895173114597975961273028\
         78405283946793220912155306854213560878338064828022376911188229\
         8944389626495682223832093362749440000000000000000000000000000*
         ep^3-21115889164152463361866800316/567*ep^3*z6-147876461134257\
         1829606652683494137629/42305571000*ep^3*z5+3693287116878998850\
         7740860767733126997263639/4194698333946120000*ep^3*z4+
         50351143117512092568074050922441099440362788813336617577/
         9096046859813391027517968000000*ep^3*z3-
         15397003413473101429246454776/2835*ep^3*z3^2;
Fill mncnoptab(12,11,2,5)=
      +mncF321*(73698154720945154400000+1845175631474725599335000/3*ep+
         358837503626446357109013820/189*ep^2+
         696351571689677863688604812599/218295*ep^3)
      -29003221995121241848197661187136991773008045668688989/
      79965247119238602439718400000-1324501595906351683015/567*ep^-3-
         577916636895492430305007377763/20306674080*ep^-2-3429178540373\
         0593516620335715269896703/290402192350116000*ep^-1-
         549863820859002171012778040/567*z3+
         52765461823724575421286554447069380861451944718063976227709297\
         225438082948891514090155270348706007173870803099326707220311/
         15034681280784486660302111503817798019561787429260411005565671\
         381342107320975360000000000000000000*ep-
         274931910429501085506389020/189*ep*z4-235877390158010207607625\
         46402166859/1450476720*ep*z3-152823794475149548568047057608677\
         88500657139811959408515959157245898197580740113394794248675740\
         18105146184711577089967659557657345679/
         96598949658206025039077177926465781297213432637800459576003470\
         135885685013630842736476160000000000000000000*ep^2-
         17779768879940392124860970260/189*ep^2*z5-23587739015801020760\
         762546402166859/966984480*ep^2*z4+3222099838134752111985951904\
         687098874086097/87120657705034800*ep^2*z3-
         90475104168431236094156803472127345690446946537201967215800630\
         41160982451502029492194727891827124191723164435760206995970373\
         68744472924285268349340522295126031144575183872769529760770170\
         461820567/6104538985761843186797410505632858819561207810612414\
         82744413021555174549695787583265437233218643774127401549034880\
         670499620034543363204264755200000000000000000000000000*ep^3-
         131973607047405435508925331850/567*ep^3*z6-7335483003931312189\
         48406831906156797/3384445680*ep^3*z5+3222099838134752111985951\
         904687098874086097/58080438470023200*ep^3*z4+18979386332931702\
         62129818540111333679135092811873774413/
         55975672983467021707802880000*ep^3*z3-
         19246573803759579444237870020/567*ep^3*z3^2;
Fill mncnoptab(12,11,3,4)=
      +mncF321*(158734487091266486400000+3971015511258532158422000/3*ep
         +110172310030477961090278480/27*ep^2+
         213419900669752591994324564014/31185*ep^3)
      -1476530025562038811601312815645846941684638047312993/
      1890087659182003330393344000-1101712226633631815410/81*ep^-3-
         227778811200687634389561760667/1450476720*ep^-2-21225505041925\
         282755459133120552340029/35954557148109600*ep^-1-
         169173593021101572932228720/81*z3+2451410157249351313993591372\
         69286068900582241305461589357105876626444074175342724634974335\
         88551116852573894536266389/32705697169338399330317849906654039\
         80256910269439588671489581408837435392000000000000000000*ep-
         84586796510550786466114360/27*ep*z4-23082222100132330591043598\
         19704067/65930760*ep*z3-35244712974652760828017304810613830652\
         42944929997653630028013995849318766637432198355646249751622599\
         682791851721452465754245317/1050682729947635449124162949298274\
         18447750992705212162481262096389850902805883125760000000000000\
         000000*ep^2-5470643964101220102702857080/27*ep^2*z5-2308222210\
         013233059104359819704067/43953840*ep^2*z4+51710572308645423618\
         8020500755764494126451/6471820286659728*ep^2*z3-
         52952220989144131269112954504231909762115281535678341848498509\
         46472168438039906256652737390008447559587750798971734129386422\
         414937908627285558367372668371900427190838166600499559414195953
       /785769834338498003698120011213173588510621779211259541225043150\
         76903089589606980417831915255227461616438450463437272460479153\
         1776245760000000000000000000000000*ep^3-
         40606895748206396837940856300/81*ep^3*z6-112518096712192352206\
         941903042015593/241746120*ep^3*z5+5171057230864542361880205007\
         55764494126451/4314546857773152*ep^3*z4+7534438501294240916018\
         36864879003231918545177719386209/10395482125501018317163392000
         *ep^3*z3-5922190758127630587965063960/81*ep^3*z3^2;
Fill mncnoptab(12,11,4,3)=
      +mncF321*(147396309441890308800000+3689402922981930006424000/3*ep
         +717177295853299052989532120/189*ep^2+
         1390934773966275502415689930016/218295*ep^3)
      -25220752660972651983016062811992638588839534323907/
      34767498747495044539008000-7826041492415458963040/567*ep^-3-
         808686167759464282551477351449/5076668520*ep^-2-34752001636767\
         683598781183061472454961/58080438470023200*ep^-1-
         1099613741100516620841035680/567*z3+
         80420364948744125889582288754067280424486341372891326111564176\
         9335264219172490374089546063290718335029788652610332350021469/
         11576704586204054728432625857939704475062576320530516474285566\
         9636334226371510272000000000000000000*ep-
         549806870550258310420517840/189*ep*z4-117915443130658099319194\
         82307770327/362619180*ep*z3-2313102631502225113696005429755573\
         53686765342515621146746953927516755335498697674119892772265847\
         43065528646550675186407166057914456193/
         74381191236818639280089427003378651598854343131106353873522672\
         0046319774604957489070866432000000000000000000*ep^2-
         35559133937418587875119559520/189*ep^2*z5-11791544313065809931\
         919482307770327/241746120*ep^2*z4+5609535233157561943077812109\
         5363920311083/757570936565520*ep^2*z3-
         18655798543270188233205538282833201040908991234659739032269347\
         40586061796946017426886522930796623633456600541815794791089007\
         06347241333160052203793687401395097527353351235690258380193307\
         8726097/355424954180462703503516528494313897244773536043218103\
         37481892370320181721418256265738122463391735809308067505244470\
         0404315634478933585847910400000000000000000000000*ep^3-
         263944470177888117511294107200/567*ep^3*z6-3664124669827816045\
         91781862808157221/846111420*ep^3*z5+56095352331575619430778121\
         095363920311083/505047291043680*ep^3*z4+1893478334873871569848\
         51946198287927370185442012334121/2798783649173351085390144000*
         ep^3*z3-38494400560510443392955910240/567*ep^3*z3^2;
Fill mncnoptab(12,11,5,2)=
      +mncF321*(58958523776756123520000+1478610435310087667816800/3*ep+
         288357176027692329400516232/189*ep^2+
         2808010689711609646083031203914/1091475*ep^3)
      -4143619007529952237410552381379505303670806445996361/
      14279508414149750435664000000-1387959980469545629484/567*ep^-3-
         755688453313588832198946092113/25383342600*ep^-2-2682115576661\
         78247511500265852769617159/2178016442625870000*ep^-1-
         439883826423232381450897312/567*z3+
         92425725762904683902346972855724772794987714015977148416633978\
         044245652981916885353248420871520734691717857253946830787684483
       /331093751165435965233173099537075547986789682767172771164567215\
         15991588742251937792000000000000000000*ep-
         219941913211616190725448656/189*ep*z4-337244330976119844228005\
         0231502187/259013700*ep*z3-13363551281558424160911243168293294\
         62601662901132140634610502986616994942407786163258644492886475\
         8798195765669441059221674769480190456021/
         10636510346865065417052788061483147178636171067748208603913742\
         09666237277685089209371338997760000000000000000000*ep^2-
         14223789477104252548742861648/189*ep^2*z5-33724433097611984422\
         80050231502187/172675800*ep^2*z4+11861002568297181115697524898\
         0632732216787/4033363782640500*ep^2*z3-
         42343030347140415229095703533975002174205112251355632648771678\
         27420325535867044129182002273481001319251107619722206904261037\
         79061148411523304343189980937306432034567487422611864174351523\
         190823354757/1344341575444473106596525741550468169243769184053\
         06599329974635606880539334006341586714587499409731938336369128\
         4614212574263240071394448431843901440000000000000000000000000*
         ep^3-105578711512223813161944219080/567*ep^3*z6-73798738235418\
         9195283647137241572227/4230557100*ep^3*z5+11861002568297181115\
         6975248980632732216787/2688909188427000*ep^3*z4+14829298144664\
         8699533137957264061215151091976381551099/
         5382276248410290548827200000*ep^3*z3-
         15397338626891163236235759376/567*ep^3*z3^2;
Fill mncnoptab(12,11,6,1)=
      +mncF321*(8106797019303966984000+203994613324592729370160/3*ep+
         200038618160243070981041932/945*ep^2+
         1962185371599278711299407371824/5457375*ep^3)
      -2073520518100254281299557155195863172052927336135614113/
      51977410627505091585816960000000-4902060692387018693/5670*ep^-3-
         6696978551551419824621601997/46151532000*ep^-2-742078598554397\
         9204661400315217130342409/4530274200661809600000*ep^-1-
         302441071046652936044966852/2835*z3+
         13943358801435411503919892580809940123630284744587425870942331\
         24869122210693187169058136657366133702985045306307330524226412\
         49/36420312628197956175649040949078310278546865104389004828102\
         3936675907476164771315712000000000000000000*ep-
         151220535523326468022483426/945*ep*z4-650317495920749722721875\
         79896360931/36261918000*ep*z3-
         10040234012638241272436206238672917530992026326857435344719299\
         18358975109061671436231811257597155325678378711875187928208888\
         45103175115379/58500806907757859793790334338157309482498940872\
         61514732152558153164305027267990651542364487680000000000000000\
         0000*ep^2-9778929506969932301708603758/945*ep^2*z5-65031749592\
         074972272187579896360931/24174612000*ep^2*z4+60295738944475232\
         0377534617125374709244366311/151009140022060320000*ep^2*z3-
         45889058163390374503529043011067447230715192384499273871791949\
         56140747891042244183022159875848927594814126397553384131130455\
         43445251317065878652934519918431036224702768237880010592267660\
         545788651463/1478775732988920417256178315705514986168146102458\
         37259262972099167568593267406975745386046249350705132170006041\
         30756338316895640785338932750282915840000000000000000000000000
         *ep^3-14517173724931571984540422211/567*ep^3*z6-18674806373479\
         3958537784995721382063/7691922000*ep^3*z5+60295738944475232037\
         7534617125374709244366311/100672760014706880000*ep^3*z4+
         142086268647159637509828714980202382673882177017871649703/
         36384187439253564110071872000000*ep^3*z3-
         10585439950531645714063059446/2835*ep^3*z3^2;
Fill mncnoptab(12,12,3,3)=
      +mncF321*(9838914489128088000000+918976259119273853680000/11*ep+
         288954975718769161315766200/1089*ep^2+
         10568221126725944097108188152/22869*ep^3)
      -4061621176330150167972377354472901210802114744225573/
      83856889145708214425118028800-3652938991210400733400/3267*ep^-3-
         76862316736730422572213749663/5850256104*ep^-2-101167581113558\
         9516789591071730931791/19775006431460280*ep^-1-
         38446753455485067505664800/297*z3+1283245184104717466025586215\
         41270553467405270408180042167365981838660699675199872384190852\
         9231193424428402335029/264375858952617866426731590956198146552\
         2193780411190137153541703204864000000000000000000*ep-
         19223376727742533752832400/99*ep*z4-64050368178857245427074772\
         67282443/2925128052*ep*z3-190776661625775860907662159278383815\
         63897383792430903887487262089130996242609391194283856574308994\
         9674149063065576252258359/849317315507347879215593212983613758\
         76341925320203835045111923889503228311633920000000000000000000
         *ep^2-13676539992096091309851059200/1089*ep^2*z5-6405036817885\
         724542707477267282443/1950085368*ep^2*z4+150857599607330540714\
         3395961494425187605377/326287606119094620*ep^2*z3+
         49847976588058984244598683747014004082771307513112941970573243\
         24154804922541765951947834823100774344784002331378062674825619\
         647638207094084453830561865090561385069744120838969217733/
         50814039845523092537797296433538562455125453094202557045711197\
         28665102795330257405033222032965914625401663463244032904557734\
         773391360000000000000000000000*ep^3-
         101516764220694845467477162000/3267*ep^3*z6-272659826983650171\
         2385265671510157/88640244*ep^3*z5+1508575996073305407143395961\
         494425187605377/217525070746063080*ep^3*z4+4412167299117766618\
         7988083986080206577325394060344067/
         8385688914570821442511802880*ep^3*z3-
         14805692927742300198992374400/3267*ep^3*z3^2;
Fill mncnoptab(12,12,4,2)=
      +mncF321*(6090756588507864000000+1707795114307206997696000/33*ep+
         3762983578606070536806254920/22869*ep^2+
         689097196295716357938292893272/2401245*ep^3)
      -10361178224962047805908973894394860912629735703438369/
      345564103622423960543068800000-26524856416668590698120/68607*
         ep^-3-578968251800713124589783579347/122855378184*ep^-2-
         20880290798774189151716901809467879543/1064808038617092000*
         ep^-1-499849542595103003067874720/6237*z3+
         14455048513778560684181164507243844221301051390705310107552094\
         095848296793503700267872479708779841530364265411850733258197/
         49269903447237494826365044573969575593272274221305471899489168\
         922606530866446336000000000000000000*ep-
         249924771297551501533937360/2079*ep*z4-16999518981156431548193\
         71207478039/1253626308*ep*z3-209397181955285980255508226466052\
         40050681401954882324776146636304587049235798514231059246090342\
         38593298729083582941400249777114241181/
         15828140397120633061090458424826111872970492660339596136776401\
         92955710234650430371088302080000000000000000000*ep^2-
         177796650443555290109110358080/22869*ep^2*z5-16999518981156431\
         54819371207478039/835750872*ep^2*z4+15044525223554787070108628\
         5432024495835595107/52707997911546054000*ep^2*z3+
         27050953288021077854220693481103135907340347250556247032384804\
         05295815026055834383449990010760461663066716438252014171767943\
         22333219350845800349758854632549560089347569687795160516020731\
         13403223/80020331871694827773602722711337391026414832384111071\
         02974680690885746388928948903971106398774388805853355305265560\
         7891325192861392526692371660800000000000000000000000*ep^3-
         1319729015905299343233961130800/68607*ep^3*z6-3552826127847711\
         4258154923606558273/1861445124*ep^3*z5+15044525223554787070108\
         6285432024495835595107/35138665274364036000*ep^3*z4+
         27715717907604404485589292341234158893204382644917421011/
         8466320538749387033305185600000*ep^3*z3-
         192468972346507902233867656640/68607*ep^3*z3^2;
Fill mncnoptab(12,12,5,1)=
      +mncF321*(1218151317701572800000+342241337086922724776000/33*ep+
         756585966679252868692142960/22869*ep^2+
         27827122172159268151171768780/480249*ep^3)
      -26931824030004192925851079410511709130036450967771967/
      4492333347091511487059894400000-6070814944714479440/68607*ep^-3-
         22325355154688884465503414929/614276890920*ep^-2-5224790136040\
         6849855324531885413769061/124582540518199764000*ep^-1-
         99980548554132049307341760/6237*z3+
         25656828442342308598594307981163944183994599458087830639188406\
         540903133030369886910210334004974968134421002246598900439223/
         44733944082253725461398103962397773395796414054899571311917150\
         1963983105644560384000000000000000000*ep-
         49990274277066024653670880/2079*ep*z4-119124787235830399924051\
         15795212407/43876920780*ep*z3-36553899481751152506020372538065\
         02428287943006275612331427509581141951617273156253134843331621\
         574075644842470336290259622009723343039/
         14370946519290479541180543204762755541808129843990871413073177\
         624931210384445177337500139520000000000000000000*ep^2-
         35559744486960832995557767040/22869*ep^2*z5-119124787235830399\
         92405115795212407/29251280520*ep^2*z4+129320512767461650135024\
         255676527536907657933/228401324283366234000*ep^2*z3-
         76290047738922419248106271582558616540044509709128038771208575\
         28026947566070684923132602493721767125844500502079940280302256\
         49699993980495336080325329763735513101877460536629245667758513\
         60739/42737282755004147046219194575989717709719219536612075283\
         86103973096775849175871870281487264331419604993575382457423689\
         4339878913834290633087385600000000000000000000000*ep^3-
         263948618566967616110731354400/68607*ep^3*z6-35775879354828934\
         004352105263508991/9307225620*ep^3*z5+129320512767461650135024\
         255676527536907657933/152267549522244156000*ep^3*z4+
         73153543317338239758699297795762156085221505738396774477/
         110062167003742031432967412800000*ep^3*z3-
         38492503308450687485316995200/68607*ep^3*z3^2;
Fill mncnoptab(13,2,2,13)=
      +mncF321*(190134920170244504000000+152419977493644101385562600/99
         *ep+4020844821837300786309979334/891*ep^2+
         80177611764061825225353169010042/11320155*ep^3)
      -3472054091906216540631472745042600366564535873060186570533/
      3711494879787842187795931176000000+1624891542680932649/29403*
         ep^-3-669846329245163466417041599/13809683487600*ep^-2-
         143153575547165914530804227544285976927/
         30808419230402934120000*ep^-1-73568518942300366338843114776/
         29403*z3+62646068839672452982648913763851731302686683609107646\
         4113137044822177128183608454531075402422407525305133/
         67804879978225543004462995706839291555066398917253262462093885\
         440000000000000000*ep-36784259471150183169421557388/9801*ep*z4
         -35676604204789191238582024541368505869/863105217975*ep*z3-
         25334089302701829715541800729135682938834330151703488401648176\
         481402953980956280584200689869232320077219215572123/
         59103434527366540253671589825783467376943691233269539788158402\
         3922278400000000000000000*ep^2-792905147854992771445492988908/
         3267*ep^2*z5-35676604204789191238582024541368505869/
         575403478650*ep^2*z4+71843644931570775561877789156427436368936\
         576593/679597483023594135000*ep^2*z3+
         13551135742216117303416717674925689047850167142320445930139434\
         37768217128720998717959154318928790582116879785683030198005998\
         2117042904224051306440943/139617539471808477043621901753014470\
         76287330697154436004130390273489380180369672648393809462841835\
         5200000000000000000000000*ep^3-
         17656444529381586441676484463490/29403*ep^3*z6-172254355680392\
         9793285012347866358163977/3452420871900*ep^3*z5+71843644931570\
         775561877789156427436368936576593/453064988682396090000*ep^3*
         z4+16421833287649996111606608935036626055560773720925916203327/
         265106777127703013413995084000000*ep^3*z3-
         2574898159163578584207661256372/29403*ep^3*z3^2;
Fill mncnoptab(13,3,1,13)=
      +mncF321*(81971432420335003000000+65775742338156897918535625/99*
         ep+12166945340301588205162861600/6237*ep^2+
         48634790186255643524301295980506/15848217*ep^3)
      -4900556330760138938358652409308616878688291380715455107929/
      12150863237213120270199602373120000+94861597414834995875/1646568*
         ep^-3+2373477800504005948124343383/6458682738816*ep^-2-
         1740742924100267973713686518993674443/3602215171554804604800*
         ep^-1-222019280551040271235315708225/205821*z3+
         49302409972163857467777262506207722580783241500815309356820074\
         751093551228229784907687029520285351494611/1238742999602197420\
         2738431907980255187944822879113576795959459840000000000000000*
         ep-222019280551040271235315708225/137214*ep*z4-503790425951575\
         47380635395594712655023/2825673698232*ep*z3-
         23971817947214889431938642501037815126943174340437862163839868\
         92444325275490834964519876586797069691723641045105521/
         12994312248231015064342939534554393756159477258285974533425111\
         6116626636800000000000000000*ep^2-
         4785748928511417208018333765225/45738*ep^2*z5-5037904259515754\
         7380635395594712655023/1883782465488*ep^2*z4+10108949481208256\
         8505757379876866279384586604587/2224897605960320491200*ep^2*z3
         +1044254554951101175803796274801904093121043433698366149721026\
         55218194310633979213343738067716930524606979929391488161691353\
         78924706374439635270778892829/22415595962198850989353496326446\
         47328097930943428144700463134158408719987958350943699626109259\
         25669273600000000000000000000000*ep^3-213138508977503371648471\
         862352875/823284*ep^3*z6-2440584049120031067193418113961453674\
         289/11302694792928*ep^3*z5+10108949481208256850575737987686627\
         9384586604587/1483265070640213660800*ep^3*z4+16444952112655806\
         7063243250003878208517662775710881983735997/607543161860656013\
         5099801186560000*ep^3*z3-15541349599428955455255073338575/
         411642*ep^3*z3^2;
Fill mncnoptab(13,3,2,12)=
      +mncF321*(1059323126662790808000000+282017872661816280083185000/
         33*ep+672052364788039357112465800/27*ep^2+
         29244926951217019863986670712300/754677*ep^3)
      -376965892368545798955508048549213379262804048561451140311/
      72326566888173334941664299840000-39451142530491016975/9801*ep^-3-
         14233688063736152979970026133/269111780784*ep^-2-1887232523479\
         9049447238054605911449077/75046149407391762600*ep^-1-
         136627248449826509323777501400/9801*z3+
         81850371921579175739247697713333941894695561200231552339991034\
         4846797501896287290102287425756456447263024387/
         15855910394908126979505192842214726640569373285265378298828108\
         595200000000000000000*ep-68313624224913254661888750700/3267*ep
         *z4-3866432126179907711635501401529837561/16819486299*ep*z3-
         34982304795569336123527524047624196178013949477184625394685174\
         8620481759606610184821829253315758593101811581917917807/
         14553629718018736872064092278700921006898614529280291477436125\
         00506218332160000000000000000*ep^2-
         1472538130565231931908979738700/1089*ep^2*z5-38664321261799077\
         11635501401529837561/11212990866*ep^2*z4+928307481941009263537\
         85578828265128820494381/155805154479014040*ep^2*z3+
         79627489499246014443572485611434270527031683163769433146006075\
         23099145098180866118056443088796748137140914299679983014618933\
         00797686379205296960004317793/18967042737245181606376035353147\
         01585313633875208430131161113518653532297503220029284299015527\
         063355392000000000000000000000000*ep^3-
         32790539816593152194642600367250/9801*ep^3*z6-1842922513547518\
         17637330884277904305643/67277945196*ep^3*z5+928307481941009263\
         53785578828265128820494381/103870102986009360*ep^3*z4+
         2359761443147571185088940308675468623421102866366803614707/
         7232656688817333494166429984000*ep^3*z3-
         4781953735966531172094002383700/9801*ep^3*z3^2;
Fill mncnoptab(13,3,3,11)=
      +mncF321*(5410114539742110198000000+130559426482229971410583750/3
         *ep+23837956836165132109459124075/189*ep^2+
         93705266393018986857922100234242/480249*ep^3)
      -15078640778754636854671906179734147138727158528874455357/
      566473810592686259682965145600-5439997616980218253975/24948*ep^-3
         -1847119179336851209817478796189/685011805632*ep^-2-6769681874\
         5405152220156218010996949843/5877740373166347840*ep^-1-
         444038530580961848806757812550/6237*z3+
         32988770187525820119037535996184427729187454102534215632745810\
         3865355433973694168355658375670914435997231571/
         12474055380609540455904434928315781448000381081065419990336798\
         72000000000000000000*ep-222019265290480924403378906275/2079*ep
         *z4-25096365811472168892492070835354810189/21406618926*ep*z3-
         12362529907840795757640786180842311815845989690920953717226838\
         0059497476230892294549468816274293533443844690872547377/
         10018342135436849026879783801990363018297778795286913932238591\
         2950056550400000000000000000*ep^2-
         683678413211419760363582457325/99*ep^2*z5-25096365811472168892\
         492070835354810189/14271079284*ep^2*z4+31842819060764025969646\
         16283670452287666552257/1037248301147002560*ep^2*z3+
         48477802295259434842845128870243104232293235560684283094694903\
         40498531010100166876230296061878031035757818973594616456744206\
         626960982098477834560830913/2565039588808514417090673451214472\
         46699063935039457117662659979983197455710427952870904449883449\
         5897600000000000000000000000*ep^3-2131385075086924152704946849\
         94625/12474*ep^3*z6-2368296278574283367310829443904478608679/
         171252951408*ep^3*z5+31842819060764025969646162836704522876665\
         52257/691498867431335040*ep^3*z4+34665028817431274644075046692\
         794966545070535370376776389/21787454253564856141652505600*ep^3
         *z3-15541349935833428306059651508525/6237*ep^3*z3^2;
Fill mncnoptab(13,4,1,12)=
      +mncF321*(262308583745072009600000+209934367952497761696448000/99
         *ep+38662007681806783832442653600/6237*ep^2+256162402120951782\
         022743733912028/26413695*ep^3)
      -2450278199268600642342456338875093679242510648852176809509/
      1898572380814550042218687870800000-3239365312482431080/205821*
         ep^-3-5190419815733045897720683/6229439370*ep^-2-2907330259198\
         301751758116926243317941/321626354603107554000*ep^-1-
         710461696372674177684449028800/205821*z3+
         18696744564062075828199857508038116209696688123440953044912994\
         4746526321688330636913184987829629024993537930253/
         14650861204895109329062798186206407415886100915585209548117172\
         341964800000000000000000*ep-355230848186337088842224514400/
         68607*ep*z4-100629440400338583557872377383998107106/
         1766046061395*ep*z3-279130298902931661350116289091004990355999\
         70875816695467154339141964459515739600848652512036749913868543\
         992937461411952491/4706643850807259504425527442931877853631011\
         93876924626380284282663711008620544000000000000000000*ep^2-
         7657198284184218497716855079200/22869*ep^2*z5-5031472020016929\
         1778936188691999053553/588682020465*ep^2*z4+203830851068995800\
         026122604568598234389157956887/1390561003725200307000*ep^2*z3+
         54802949146033774028121458332705128797838914481729012544515308\
         32470240441213237052389156266793546192448671174233159149477139\
         715830755047051835443830198133953/
         12470810634430562437580026006762212242367823638612531181540835\
         47868888376627001376391237882394290969787760640000000000000000\
         00000000*ep^3-170510807153213230754418116710000/205821*ep^3*z6
         -1207813489321706958218960014641259557112/1766046061395*ep^3*
         z5+203830851068995800026122604568598234389157956887/
         927040669150133538000*ep^3*z4+19765612517647368411460165603357\
         212024637892484386049174077/237321547601818755277335983850000*
         ep^3*z3-24866159378334100205394048781280/205821*ep^3*z3^2;
Fill mncnoptab(13,4,2,11)=
      +mncF321*(3107347838210853036800000+225209375035678526884664000/9
         *ep+5885495775556741883535193600/81*ep^2+
         5522657944733732259573113132786/49005*ep^3)
      -1507864005938055612707412254238337972705860426321712049249/
      98627136665690911284087681600000-197699014306109945720/2673*ep^-3
         -29252538994270538885870997721/30580884180*ep^-2-3595805091159\
         944482474122888012479374799/818685266262455592000*ep^-1-
         109301795166775690609495955200/2673*z3+
         19292604080432746192058832943307813218625941176219063676143550\
         32954332477394019144530433941143147376334463452217/
         12713557243917243632657800078939444451801988397821876054151265\
         255424000000000000000000*ep-54650897583387845304747977600/891*
         ep*z4-30904297455700543430154774484908298573/45871326270*ep*z3
         -5778645268775457722586248931561492574535460602082707723647636\
         3581797407561871571721726270163373226561524672482733042362251/
         81685554435497892225567005207908623905992769185251381437900577\
         982958108934144000000000000000000*ep^2-
         1178030500180658476487129664800/297*ep^2*z5-309042974557005434\
         30154774484908298573/30580884180*ep^2*z4+126945297903141030449\
         143063967349024162898101367/72236935258451964000*ep^2*z3+
         66423338966628929727702188723096279704959462022442830712616321\
         40390033066930725539866537510819096551999875766077274147616201\
         515724218192238296068989228420147/
         12166495777636545583144482313800485805430000566791530004975288\
         17056302171925701866057273986687178094149632000000000000000000\
         0000000*ep^3-26232431766147876494436677570000/2673*ep^3*z6-
         365950095175271895832581112595963817271/45871326270*ep^3*z5+
         126945297903141030449143063967349024162898101367/
         48157956838967976000*ep^3*z4+935469215222049977316315930173472\
         620772103746404702838547/1006399353731539911062119200000*ep^3*
         z3-3825563027800885919708120977120/2673*ep^3*z3^2;
Fill mncnoptab(13,4,3,10)=
      +mncF321*(14426972105978960528000000+1043342246981234827752320000/
         9*ep+190147726232357024896637329600/567*ep^2+24859377284804337\
         6960638200186652/480249*ep^3)
      -793613495072403173895712055709315738609115981936554497/
      11180404156434597230584838400-64302667528279766760200/18711*ep^-3
         -853190518007313435395243317/20864151*ep^-2-756527015515114102\
         64960823806306095987/464032134723659040*ep^-1-
         3552307067029306477670967822400/18711*z3+
         20527963001077453103326689043301435389691691802703221731860784\
         2048616083131218998966169916238408708919194533261/
         29118384433726017805277552523192712567458573774074395126916720\
         8857600000000000000000*ep-1776153533514653238835483911200/6237
         *ep*z4-5280644071273498736607377654817424189/1689996231*ep*z3-
         42821013063056521507472089379002527100815449860269445061990018\
         9714030387400077862405961876964325542009758039235542576151/
         12992207906166524211700940677949607619518803658729976804755731\
         0267862810624000000000000000000*ep^2-
         5469427107006628166163682181600/297*ep^2*z5-528064407127349873\
         6607377654817424189/1126664154*ep^2*z4+67257474982490111339054\
         491388527979987822059/8188802377476336*ep^2*z3+
         50516535562634052815542344273772735868726970294215326878446586\
         20354212081359611945253635495691202870980229432608014119255578\
         069070792994058918605195803261547/
         93204048010822822413731837725364435902311968627742256645257118\
         30663457709930823223903045362299989328396288000000000000000000\
         00000*ep^3-852554001685970669976602524046000/18711*ep^3*z6-
         62051962444748095909378516456480683913/1689996231*ep^3*z5+
         67257474982490111339054491388527979987822059/5459201584984224*
         ep^3*z4+4655990460974354426772985783711015202075343165268551749
       /1118040415643459723058483840*ep^3*z3-12433081245902919077921058\
         7679200/18711*ep^3*z3^2;
Fill mncnoptab(13,4,4,9)=
      +mncF321*(34624733054349505267200000+834285158416206146710216000/
         3*ep+151930438765894660339424540480/189*ep^2+29767968966152615\
         74570585404443714/2401245*ep^3)
      -30157375205877284475622671839444624781571692896991056071/
      177023065810214456150926608000-266036928218010203193160/6237*
         ep^-3-52609469026886572480337067735169/107033094630*ep^-2-
         8113237512185420360826774822404918582321/4408305279874760880*
         ep^-1-2841840934413205456737156057920/6237*z3+
         90317826219575849910745603253207390546944432029892927720383629\
         669844448765850019172515162882843907015809854050660049/
         53329134785818197957788585397791322993825407332730162755146507\
         324751872000000000000000000*ep-1420920467206602728368578028960/
         2079*ep*z4-401237253393237744352002731082981956954/53516547315
         *ep*z3-6783891405561751161805726236029286466526621053053830994\
         67433808402254648366891133851552676971312691268135563786592597\
         5134230591/856609180846921229805445994613601769360844172856002\
         820012117394447954035689390080000000000000000000*ep^2-
         4375540888747271318029933245280/99*ep^2*z5-2006186266966188721\
         76001365541490978477/17838849105*ep^2*z4+127967239246721207629\
         42950070064948188714850759/648280188216876600*ep^2*z3+
         91708864970336438328163294170647785653663295142375343880741083\
         53290239304323888523618823916073630828909445325989834386380673\
         142363341674140415393361573098134902949/
         43124063173860884909151729931383729934107934142322132825768209\
         08530616006376170759560900597319458173526076293120000000000000\
         000000000000*ep^3-682043087641662218947871595986800/6237*ep^3*
         z6-4707094620824841350578355697554144053168/53516547315*ep^3*
         z5+12796723924672120762942950070064948188714850759/
         432186792144584400*ep^3*z4+87720607688233069467029912776508095\
         9255539466826593948091/88511532905107228075463304000*ep^3*z3-
         99464701863533677319923447403360/6237*ep^3*z3^2;
Fill mncnoptab(13,5,1,11)=
      +mncF321*(495927166143026768150000+36062992565141816845142000/9*
         ep+13271700282221099039160397025/1134*ep^2+
         3993622337085936090277775731987/218295*ep^3)
      -426135397000277854827307327324637973760304907128744908697/
      174644099708417107728344985600000+3100903618430204795/6804*ep^-3-
         4150637888751394546505587/1105125120*ep^-2-1119113215696721085\
         711291540116318231/12943640573319456000*ep^-1-
         11100964033870663041133952375/1701*z3+
         18897508107106216479954813163251231884983346664803012847921803\
         1521232769751980840180822682522128092541201440490847/
         78254708653102790481537598138063354393113369455636651868964983\
         57436416000000000000000000*ep-11100964033870663041133952375/
         1134*ep*z4-8748072910481708540661477459290870869/81226696320*
         ep*z3-28219837530587924435410023307141859098153943742323466223\
         46718076022863870022988437201425316383258182348364207565765587\
         9125587/251396172639857317442902628853991823616769485512087784\
         133990974457551727865364480000000000000000000*ep^2-
         119643723219479507971183496950/189*ep^2*z5-8748072910481708540\
         661477459290870869/54151130880*ep^2*z4+44383483935677064065135\
         87084240424433919471117/15989203061159328000*ep^2*z3+
         84074833017129765936301013219017218699070657524608712245728480\
         50286199489590869774510779405057109243660371684071326462727479\
         460393996759860204947296375478065075853/
         13390021615483804764291612143694648144540513551191022242401028\
         92098756269979801020843659635467691762879846689013760000000000\
         00000000000000*ep^3-5328462724707224543497587600875/3402*ep^3*
         z6-104802878484946598255715006765158966563/81226696320*ep^3*z5
         +4438348393567706406513587084240424433919471117/
         10659468707439552000*ep^3*z4+136199683047195831392998434445004\
         73066961560720290266397899/87322049854208553864172492800000*
         ep^3*z3-388533739898618876279849741870/1701*ep^3*z3^2;
Fill mncnoptab(13,5,2,10)=
      +mncF321*(5340754096924903657000000+387137715080927021831620000/9
         *ep+10120690501891283062960138850/81*ep^2+
         403156969350119193930957820250/2079*ep^3)
      -32779684293951864215532826421238360053889534958747871237/
      1247457855060122198059607040000-147947850186487823225/243*ep^-3-
         421783883711619135116279153/55256256*ep^-2-5400419241475448318\
         692132001221501403/161795507166493200*ep^-1-
         17078402905869364884110107900/243*z3+
         82119392211556704871328718203937623966585862353431495233156833\
         757204245192118692313773856207313752874383871605677/
         31520777751179865256899060508758386105198112452060637396170510\
         8663173120000000000000000*ep-8539201452934682442055053950/81*
         ep*z4-671882614703426004545972872466090353/580190688*ep*z3-
         17578751267323647176328859582609834510814047714326470775553950\
         33370360649476690232339251782291849817098027602193498755020853/
         14465953590465316168542648773216712327997924441055201164952927\
         20155342609894604800000000000000000*ep^2-
         184067262599102948425151004200/27*ep^2*z5-67188261470342600454\
         5972872466090353/386793792*ep^2*z4+313440281352796470967424289\
         92773779472294477/10382599390363200*ep^2*z3+
         25527101394206668413218134260270395971720522395638868915428467\
         29400969248867557585326152526270488315646437561243513378191711\
         592585270487518280691492184468173791331/
         79784959350753833163321560338148273795416640516882823805426745\
         75339136130967490669155749058937709018690690744320000000000000\
         00000000000*ep^3-4098817401215142927355622324750/243*ep^3*z6-
         7960299422626547379596943761643125191/580190688*ep^3*z5+
         31344028135279647096742428992773779472294477/6921732926908800*
         ep^3*z4+8244790792878404184215541524990390092818001361698188679
       /5154784525041827264709120000*ep^3*z3-
         597744251681661832314019546600/243*ep^3*z3^2;
Fill mncnoptab(13,5,3,9)=
      +mncF321*(22316722476436204566750000+179461600601861891725555000*
         ep+65504515527644208460082328925/126*ep^2+
         433384399636695341822294874502/539*ep^3)
      -1311190927731139834856881011356180513878993757241287837/
      11941476903139631297664614400-16609088494598895880325/756*ep^-3-
         308833004734895828276284691483/1203358464*ep^-2-30566721658349\
         115684684802628422058117/30976233850679040*ep^-1-
         55504728717336757866945828475/189*z3+
         35403138112257007127686218556782440427723605984488142682664055\
         881233481044299308723457865406673666870004754608469117/
         32461212478324120496045225894307761822328508811227055590089178\
         371588096000000000000000000*ep-55504728717336757866945828475/
         126*ep*z4-8727792518197318891024181497479549709/1805037696*ep*
         z3-53121387289424008065851643373801367361598057569776249107684\
         61646160059179397814406037659685789473530967624050154384810950\
         548331/1042828567987556279763151645616558675743636384346438215\
         666925523675770130404474880000000000000000000*ep^2-
         85459786860654364890466898150/3*ep^2*z5-8727792518197318891024\
         181497479549709/1203358464*ep^2*z4+138574016586614796228964797\
         41396825078545793/1093278841788672*ep^2*z3-
         12585705846992768313187092736210544781314573344562876543434712\
         55773463375969573210403786763331163336271473544022652308869338\
         3232352834475946245541526813606583754340649/
         27771896683966409881493714075811122077565509587655453539794726\
         65093716708106253969157219984673731063750793132769280000000000\
         000000000000000*ep^3-26642309217519441151162343774875/378*ep^3
         *z6-9348778193020933924328350530343742273/164094336*ep^3*z5+
         13857401658661479622896479741396825078545793/728852561192448*
         ep^3*z4+1556188094247110359286130222055206151379454158031144751
       /238829538062792625953292288*ep^3*z3-
         1942669705599690383181837359050/189*ep^3*z3^2;
Fill mncnoptab(13,5,4,8)=
      +mncF321*(47609007949730569742400000+1148634852141274856415772000/
         3*ep+209661404830558020766784206160/189*ep^2+37463653379575332\
         9002843704666708/218295*ep^3)
      -655596311330647921162902369759869541054486552308310601/
      2798783649173351085390144000-120406637377253564136020/567*ep^-3-
         1016566281537089004506012055841/423055710*ep^-2-75529334841188\
         013976477507743351204151/8712065770503480*ep^-1-
         355228199124390839759186902240/567*z3+
         65060408581828316771047173471203612989733918171122731118225128\
         122180049912084238423253916685104714985353722903236597/
         27896354473559791051288866002920732816063562259648250897732887\
         663083520000000000000000000*ep-177614099562195419879593451120/
         189*ep*z4-4364028575663778646754607730323410287/423055710*ep*
         z3-32483796326806983911770118719165557062948891890651371976057\
         16663202905542430122646792232858173220408142887906950833850283\
         974671/2987269335381020593071528151505767039890625059325734471\
         96254707302954985272115200000000000000000000*ep^2-
         546942287348924682453441298160/9*ep^2*z5-436402857566377864675\
         4607730323410287/282037140*ep^2*z4+692713696938278337855464878\
         36581956846959781/2562372285442200*ep^2*z3+
         55371493091339965327748048247571407030061933086865552592381174\
         65026585015717642269841308578443208682530395837823418718229271\
         32349370167631104837761121933012932204181/
         19093178970226906793526928427120146428326287841513124308608874\
         57251930236823049603795588739463190106328670278778880000000000\
         0000000000000*ep^3-85255339759644660387019037204600/567*ep^3*
         z6-51432606332113246999228585622751430979/423055710*ep^3*z5+
         69271369693827833785546487836581956846959781/1708248190294800*
         ep^3*z4+194639907318711663869589864060605344659791604298673096\
         51/1399391824586675542695072000*ep^3*z3-
         12433108830053901225870735527920/567*ep^3*z3^2;
Fill mncnoptab(13,5,5,7)=
      +mncF321*(57279587689519591721325000+1384391943627392505019964750/
         3*ep+36211682229707968418736898090/27*ep^2+
         64976914289888234015282621800742/31185*ep^3)
      -27264664753497712786229920765830450769404565908874213/
      96744344340855776108544000-1026846185769783050746555/1296*ep^-3-
         68246050356411393925691068078177/7735875840*ep^-2-852530540260\
         129748868220333590605349869/27705451394396160*ep^-1-
         122107780345827211593030102145/162*z3+
         34950205070537141521372881215998947394648042730871374097297383\
         11950663839295357612997969463155016072008192456941427/
         12581842560667972563769448288570195209446821162700205102201722\
         37209600000000000000000000*ep-122107780345827211593030102145/
         108*ep*z4-48045219156338380006724934614116601807/3867937920*ep
         *z3-4146363305443802333517224538179011975993188569975424350458\
         06951429415082917329526647506878218807102161054940420186672248\
         569/3195228370052566519777803400236953980916576380720535190836\
         2915499012731699200000000000000000000*ep^2-
         2632155235866342961736168751895/36*ep^2*z5-4804521915633838000\
         6724934614116601807/2578625280*ep^2*z4+13180381085535585892025\
         2481326761713349896873/4074331087411200*ep^2*z3-
         20231744922524315216736151031606302709817508573204737131202315\
         62872108730377859689976528526383765141385870376032778414925991\
         8261150681292603998019832622531921349427739761/
         26193802807560107489636400834797052924844607296712871221446936\
         26325969416277131799288775116614683883207587845373952000000000\
         00000000000000000*ep^3-117225907810527161162197292813825/648*
         ep^3*z6-569770022749300791421816185162479980069/3867937920*
         ep^3*z5+131803810855355858920252481326761713349896873/
         2716220724940800*ep^3*z4+8320137225877101597944508613116683560\
         80514824189403313/48372172170427888054272000*ep^3*z3-
         8547804406553924742401090630945/324*ep^3*z3^2;
Fill mncnoptab(13,6,1,10)=
      +mncF321*(583443724874149139000000+42495087208227835666628000/9*
         ep+7841794748319898965724340410/567*ep^2+
         4738166772841840687650642520862/218295*ep^3)
      -125333995435771137698679631734374003690940650335853995397/
      43661024927104276932086246400000-557018599543413085/1701*ep^-3-
         4751374083313349452235039/128931264*ep^-2-17082109536320316644\
         2746692451442957/404488767916233000*ep^-1-
         13059957637048800904523658860/1701*z3+
         34894580271329450921592289589928309922425395448005898552669276\
         37829391481515209764855342917643690644063475700718653237/
         12305396426283107597640824232014186351608291120159952233091005\
         7371016154316800000000000000000*ep-
         6529978818524400452261829430/567*ep*z4-51499654829587833138610\
         5221034139901/4061334816*ep*z3-5204598230231438268333519524788\
         11159539600310433130276926058580917553331793002690460118021745\
         885623772790740552796929081433983859/3953154535527228345326155\
         25820325062800897680578047798795018127515010941033728337510400\
         0000000000000000*ep^2-140757321382869378332789367880/189*ep^2*
         z5-514996548295878331386105221034139901/2707556544*ep^2*z4+
         22079740138279010209567785818778699528865357447/
         67954113009927144000*ep^2*z3-
         22203550903388801946031364880847767969038619390028734421476010\
         31214577847186340946813809379524650784199629097629618080254779\
         47696680129394948044094842692991375104398969/
         10527770594957986657876637131858480157163533374488429327865384\
         97883726129708918754628118951790117971646650660770178662400000\
         0000000000000000000*ep^3-3134389837021939010226451630150/1701*
         ep^3*z6-6204065824794756676237741223139186203/4061334816*ep^3*
         z5+22079740138279010209567785818778699528865357447/
         45302742006618096000*ep^3*z4+409594418344652991572794368850369\
         3145206869841348249786447/21830512463552138466043123200000*
         ep^3*z3-457098518216664081270556826120/1701*ep^3*z3^2;
Fill mncnoptab(13,6,2,9)=
      +mncF321*(5654916102626368578000000+45645535718224617283108000*ep
         +1197920226507387929465933780/9*ep^2+
         79952784616788898695689648449/385*ep^3)
      -567124282522797234192309659751150125849730753811366369/
      20383298285296114347379200000-64932790330539726530/27*ep^-3-
         641336019327408156731100943/21488544*ep^-2-9201946739541829450\
         2198259735749076687/719091142962192000*ep^-1-
         2009222827952088278334271480/27*z3+
         13871954840354513223262452857160596616883780639009499141792052\
         3781854912110695400461773676013533927017770218598488589/
         50339849504847251476943981079172652179857133664179803130476756\
         6131704627200000000000000000*ep-1004611413976044139167135740/9
         *ep*z4-39564875010731576654434586539774985/32232816*ep*z3-
         20741697779223433954432665340219913211251036069806733048129649\
         35099859303737088547972770334416731924125253648111379660364164\
         3647/161718645620224112307885670581767868484551611603263034060\
         34783505618096791503241216000000000000000000*ep^2-
         21654970836542564167717325840/3*ep^2*z5-3956487501073157665443\
         4586539774985/21488544*ep^2*z4+3424463306074821741662315996367\
         298774172923181/1078636714443288000*ep^2*z3-
         95608342982167949973663430673405650654890796621214570694143562\
         91317206751029404270740514020854223431233683195539279628510823\
         611840612497345390858940860026418368705453/
         12741953508164834392601576599188716911327279774399953194407412\
         13661568703582659991311095923782940788466454018129920000000000\
         000000000000000*ep^3-482213786752327473077804152700/27*ep^3*z6
         -67480565691908211755386186531971257/4604688*ep^3*z5+
         3424463306074821741662315996367298774172923181/
         719091142962192000*ep^3*z4+30317329249716228126149068282301639\
         2278224536366142992003/173258035425016971952723200000*ep^3*z3-
         70322864597444236139233465360/27*ep^3*z3^2;
Fill mncnoptab(13,6,3,8)=
      +mncF321*(21003974095469369004000000+169364050892484440503940000*
         ep+31057638445776286600194788200/63*ep^2+
         3722540207275274082804713331244/4851*ep^3)
      -15425860969423876667082132060097271982535421709953783/
      149268461289245391220807680-12811472023542594633400/189*ep^-3-
         19619871576327269897707090163/25069968*ep^-2-14227570857439038\
         75659029736788333367/484003653916860*ep^-1-
         52239548737111623180944970800/189*z3+
         10014268816482896734874724238565035284102156928788654323751119\
         6954930073561370431758120859042159492186431979799457299/
         97637240657459268679511031010222564856222467908768878142065106\
         820792320000000000000000000*ep-26119774368555811590472485400/
         63*ep*z4-514079663128824856503504138141570347/112814856*ep*z3-
         14972093960163302249924909492333662066173157726446933198514369\
         07679904605406270237945970232518941743063626961488997381989231\
         2441/313663280215007162272510455908105539188515631229202119556\
         0674426681027345357209600000000000000000000*ep^2-
         80432707497871726228000697200/3*ep^2*z5-5140796631288248565035\
         04138141570347/75209904*ep^2*z4+687103230465354906988062215550\
         08768915979523/5808043847002320*ep^2*z3-
         34281898664614316514059356173221387637913098231090141969631289\
         72323113597570819384683039930922781489707272012030000161848354\
         312391462983290483291752259628413882427491/
         36318546954235964009426222551587235053881525785486921239201663\
         58903128167869931311567695971804981180516492378112000000000000\
         00000000000000*ep^3-12537552559072017822957747382000/189*ep^3*
         z6-6115295431953972458311664141142465749/112814856*ep^3*z5+
         68710323046535490698806221555008768915979523/3872029231334880*
         ep^3*z4+2386528776964867682855878123474342995830564403200322329
       /373171153223113478052019200*ep^3*z3-
         1828397172850142580168389956400/189*ep^3*z3^2;
Fill mncnoptab(13,6,4,7)=
      +mncF321*(39207418311542822140800000+948939814173709283469544000/
         3*ep+24882612661217896123023135560/27*ep^2+
         44793963112233071905404117081148/31185*ep^3)
      -172162766086205206247656367250284328575080451468479/
      892469275884359402229000-39751953586098821595320/81*ep^-3-
         47489103279202217490530597743/8633790*ep^-2-242087251982885931\
         565447305998299529827/12445808243576400*ep^-1-
         41790989991908081365449835840/81*z3+
         15669891006872754320689821160433246466974863627383588116853732\
         888330417595771251035137920668622071521799717132392129601/
         82429457619194658098744626253018073522567408585077982180724499\
         43915724800000000000000000000*ep-20895494995954040682724917920/
         27*ep*z4-36729081715306067123945858788285538/4316895*ep*z3-
         85357367996774134747049329652605802668195481475055021555185351\
         79478974005808095315825884714941504130633698268425588138155967\
         1671/962937125558024903419689533735379395817804547184693387441\
         8047146633008147700121600000000000000000000*ep^2-
         450422394965131962179952909920/9*ep^2*z5-183645408576530335619\
         72929394142769/1438965*ep^2*z4+6859831467641266074442655766115\
         6600364058683/3111452060894100*ep^2*z3+
         23094005410189395621416265230798100791498547186788208983207974\
         68307039524448732602723056663765761982233651956151774651190211\
         6794423975970536311240141186804746079960199027/
         14104355357916980955958061987967643882608634698230007580779119\
         52637060454918455584232417370484829783265624224432128000000000\
         000000000000000000*ep^3-10030026411735698945635315883600/81*
         ep^3*z6-3064062450849229744044455083976259172/30218265*ep^3*z5
         +68598314676412660744426557661156600364058683/2074301373929400
         *ep^3*z4+300640026309933558878398606907355955043683457308796341
       /24989139724762063262412000*ep^3*z3-
         1462724876749386087444145321120/81*ep^3*z3^2;
Fill mncnoptab(13,6,5,6)=
      +mncF321*(40432650133778535332700000+326903498341152016871587000*
         ep+8604341591561251460057584880/9*ep^2+
         1415246852832285001378143244964/945*ep^3)
      -145797268982742211848203303812040606667948404007103/
      732911699551937697792000-141403167727928135630315/108*ep^-3-
         848531937560089610987632638451/58605120*ep^-2-4389075856595523\
         75136851962536353317/8818898457600*ep^-1-
         14365175687771531882503957570/27*z3+
         20893182002126348290911331265266921923080957573643334311807801\
         5039546818961859279326774221620590737972702033482501907/
         10544782336559824624873442375182639794584002498263029038035729\
         2261376000000000000000000000*ep-7182587843885765941251978785/9
         *ep*z4-257369915574822652761512173865978141/29302560*ep*z3-
         13560589518278954628406361380715659740666701790692336281862189\
         54948252818804204047426563334719783111385760528341726896125282\
         439/1472848124862325900545196995918748311203450445970227649871\
         20486681163448975360000000000000000000000*ep^2-
         154832134409457562894520218535/3*ep^2*z5-257369915574822652761\
         512173865978141/19535040*ep^2*z4+11850369894546412939830764272\
         174869122656699/524724458227200*ep^2*z3+
         36487885940123352946037900938114679656029727113467642109535114\
         56620465510185790134872739903842821824787206054264950065549161\
         270697236207874196335334984185433140149796154403/
         10976450700310902186133348921248288844696787819574917464225382\
         81508025279201845706368629572676629436772703478061465600000000\
         00000000000000000000*ep^3-6895620169986732670840890046225/54*
         ep^3*z6-3090388100502544124039728084791842047/29302560*ep^3*z5
         +11850369894546412939830764272174869122656699/349816305484800*
         ep^3*z4+426755125936190106140388267175755076886975169328777/
         33314168161451713536000*ep^3*z3-502816924953404006255977194385/
         27*ep^3*z3^2;
Fill mncnoptab(13,6,6,5)=
      +mncF321*(23783911843399138431000000+193048143735305144626340000*
         ep+5115752670101610778493367700/9*ep^2+
         266832272446711511720140721020/297*ep^3)
      -8018590504866495145225626866803557820868395999314733/
      68527243908106174743552000-1326593918968534949005975/918*ep^-3-
         1588248419671139511325149087511/99628704*ep^-2-534876275488230\
         6683250945266087651581489/98123473688486400*ep^-1-
         143644941944024588371739948500/459*z3+
         18872125147353101276130808234191788541011327951110898398701944\
         441868672732428604116150305736190915150372342454760476801/
         16322290098724904699748999153448014633219831720127665633749052\
         280830689280000000000000000000*ep-
         71822470972012294185869974250/153*ep*z4-4052002699333668649791\
         48177048643321/78279696*ep*z3-16986251171419733499970718429394\
         44715172764710894872276581453346852389158519188545577342447350\
         68250947070919623824590581025843759/31917544656016515726809047\
         31109956768843152761874087160151749993543868670606835712000000\
         0000000000000*ep^2-1548313289910236900996814839750/51*ep^2*z5-
         405200269933366864979148177048643321/52186464*ep^2*z4+
         643807627701233801829954219602220837705481033/
         49061736844243200*ep^2*z3+
         15107695749402461544650671923096465575223958685925548547313777\
         38848200091127247659141585202428392661645864474773646446174757\
         8641850392501931681063247947226814555512350540341/
         19988788752860049466796958998792394085509872871761408880974680\
         80316818606402838695320113347532265263308201566415932620800000\
         00000000000000000000*ep^3-34477936668120268801498984023125/459
         *ep^3*z6-3138116560496944692752118408650659879/49814352*ep^3*
         z5+643807627701233801829954219602220837705481033/
         32707824562828800*ep^3*z4+272857060470089199778991218496971456\
         387938680454551753/34263621954053087371776000*ep^3*z3-
         5028244210403094828921696947050/459*ep^3*z3^2;
Fill mncnoptab(13,7,1,9)=
      +mncF321*(437582793655611854250000+10665165212124265105549000/3*
         ep+3962979155782961124350827885/378*ep^2+
         3624428731033489585879352689733/218295*ep^3)
      -125334198469537677710688343063421004879221608281566471029/
      58214699902805702576114995200000+2025399148603863955/2268*ep^-3-
         409494665822080145742332213/4641525504*ep^-2-21224714123260566\
         64957374872853115643/1849091510474208000*ep^-1-
         3264989431352622240098862355/567*z3+
         43541027937971818671140477373935182790654859166111675898902093\
         17081816176003977757308164221587195775038224607011034029721/
         20529503037848984508730775093743667563266499018800186975540161\
         2380645284118528000000000000000000*ep-
         3264989431352622240098862355/378*ep*z4-15479393205949574918604\
         33239301539015/16245339264*ep*z3-
         10111327259715108384762656494437645214454090325427681254451654\
         17373969345429445908423855892468548217881577090405603333175232\
         4936647/103049679428717593064361495142225361422838171421517147\
         550472173344407799993427621314560000000000000000000*ep^2-
         105567991105902964673665784270/189*ep^2*z5-1547939320594957491\
         860433239301539015/10830226176*ep^2*z4+80771978156503081262738\
         2449023457949759868987/3355758667156896000*ep^2*z3-
         13090863998505859720563880417383721182621044113245792588594583\
         85252393371513241430678176885921477235353229652848826892609041\
         2910452584266590270169883555908363961046816815293/
         17563830609254907740890856281650564395534494846438196261988750\
         60636016426397712788971245117903180149363828852384914735104000\
         0000000000000000000000*ep^3-1567194919431781358904492452275/
         1134*ep^3*z6-6299439246920708524779255735347668907/5415113088*
         ep^3*z5+807719781565030812627382449023457949759868987/
         2237172444771264000*ep^3*z4+4321732260459333825733240359038600\
         180507760043171333831199/29107349951402851288057497600000*ep^3
         *z3-114274629248057273197628451610/567*ep^3*z3^2;
Fill mncnoptab(13,7,2,8)=
      +mncF321*(3769944068417579052000000+91692349049633606798524000/3*
         ep+2424866588001112435126854440/27*ep^2+
         4414466261012067815225783054564/31185*ep^3)
      -9641191763398737743473560021401318813735131994880904447/
      519774106275050915858169600000-416839785078961585640/81*ep^-3-
         18357498337968517648994588477/290095344*ep^-2-9072803661186723\
         26544680740863441377/3399065276607000*ep^-1-
         4018439334005744684935341040/81*z3+
         83158988469036923764790426677198150359935123210427676711502323\
         0161569261817118192766017739865439857169591573137961453/
         45423848576639512074898670426909697865417960454787244231016135\
         85016553472000000000000000000*ep-2009219667002872342467670520/
         27*ep*z4-118949799477165688718603089489854029/145047672*ep*z3-
         12377310568779115657210941404475179825801036457313732743335402\
         04929952143915990928456624767392427385310917761886675912839629\
         03219/14592580913387410134031871056401710007785711828263187839\
         0391991788975795267080028160000000000000000000*ep^2-
         129929802615514164584045606960/27*ep^2*z5-11894979947716568871\
         8603089489854029/96698448*ep^2*z4+5629320987300365971233544029\
         57590317586603029/269659178610822000*ep^2*z3+
         51257640272555935083627177706390866575596491036023830296994403\
         09845320636371569722705765472332599330106722232212273616592480\
         59640929990051621904382815419378826080763/
         45990488443532449135796315537696775101821900435724831061064253\
         18059724539493663406138486849904051908371107471687680000000000\
         00000000000000*ep^3-964427421281341872668003699600/81*ep^3*z6-
         480618588951571932074265775025483057/48349224*ep^3*z5+
         562932098730036597123354402957590317586603029/
         179772785740548000*ep^3*z4+32295199384570556294739219955318617\
         8606717904727833854237/259887053137525457929084800000*ep^3*z3-
         140645798803499729453699218480/81*ep^3*z3^2;
Fill mncnoptab(13,7,3,7)=
      +mncF321*(12252318222357131919000000+297821124707331991010245000/
         3*ep+7867943129549194159939004300/27*ep^2+
         2860886701947537646486012655278/6237*ep^3)
      -3353486768347623164231043007346627754550537889701441/
      55627997995992071262412800-8768944514211415484600/81*ep^-3-
         1441604431026707527080867657941/1160381376*ep^-2-2494324946334\
         29063366156217118397261/54112209754680*ep^-1-
         13059764757662116732888050700/81*z3+
         20706173036799129364564238454657754782188720925978332970994310\
         3327982564747744534618831484971068997742577597568554933/
         34880635402681766505397633057543104815408668594476151492424689\
         3697433600000000000000000000*ep-6529882378831058366444025350/
         27*ep*z4-1545878582625318723577995787624090301/580190688*ep*z3
         -1049416243920300502853441635046807266337631116129865606621857\
         01777949396149400747376077575721574433944245035591771949969936\
         055561/3809881670686098530921380329126935870409574512774221663\
         3567056101895814845248307200000000000000000000*ep^2-
         422271280273015966081514057300/27*ep^2*z5-15458785826253187235\
         77995787624090301/386793792*ep^2*z4+50134070196310480798492217\
         8305803514019775/73752937739712*ep^2*z3+
         23748836577345003490871543371272052799822637229875354181824598\
         69856771573959475374415841107450932806930905766304066067299103\
         11295554932446659368359916816918610370198534587/
         11668148523367684245383487644591414484703506886717551725917271\
         60817931830887085983319545279219268275247016403848396800000000\
         0000000000000000000*ep^3-3134385190153464453779135303000/81*
         ep^3*z6-6233264328568722329135983026407799089/193396896*ep^3*
         z5+501340701963104807984922178305803514019775/49168625159808*
         ep^3*z4+2561519601556725703680072311249465846216398969761658021
       /639721976953908819517747200*ep^3*z3-
         457100639688769811682540498100/81*ep^3*z3^2;
Fill mncnoptab(13,7,4,6)=
      +mncF321*(19603709155771411070400000+476949249520538267244772000/
         3*ep+12620301407332230354126781280/27*ep^2+
         22993252606863107860445265375524/31185*ep^3)
      -38564374514831270426105470196807929949251795394388121/
      399826235596193012198592000-45385418699573333144660/81*ep^-3-
         1134721047873002043108533769839/181309590*ep^-2-13674333882720\
         3497710096304808320306863/6222904121788200*ep^-1-
         20894933736747128365823357920/81*z3+
         53751241886763066963847325726240220559877333904337428011606726\
         1546733551612022118222242671590503550903312623558745762203/
         56130535426403981467240388353245640541557806798410245008779063\
         9038070784000000000000000000000*ep-
         10447466868373564182911678960/27*ep*z4-77326857419722127328089\
         3274910654573/181309590*ep*z3-32016311954885856907970504153396\
         03957299646313906691468898148774407378891112577761571156033129\
         20041725289840092398809189452935597997/
         72128576119179674908531982693607228077209835843882033259331372\
         198351056268249006080000000000000000000000*ep^2-
         675631602591097697750137864880/27*ep^2*z5-77326857419722127328\
         0893274910654573/120873060*ep^2*z4+674870563371084558032383438\
         95562180371895763/6222904121788200*ep^2*z3-
         12125874362756735138407492607843641018868709522085251463530681\
         44667434485302111402847589334045538206393467295472243683349927\
         9503603322807330062497308029183824872753474036321/
         19208788725544078825733360612184505478219378684256105562394419\
         92639044238603229986145101752184101514352231086607564800000000\
         00000000000000000000*ep^3-5014999685091364912211475591800/81*
         ep^3*z6-446824201674119487462953023906144021/8633790*ep^3*z5+
         67487056337108455803238343895562180371895763/4148602747858800*
         ep^3*z4+185301327926400302372105270645325261074484201628704437/
         28559016828299500871328000*ep^3*z3-
         731368612637848932476503736560/81*ep^3*z3^2;
Fill mncnoptab(13,7,5,5)=
      +mncF321*(16846937555741056388625000+410900351657714626741783750/
         3*ep+10919673031641125752735597850/27*ep^2+
         4001702558832982633603337411086/6237*ep^3)
      -1603746603771016349022177033453863767189069665028021/
      19348868868171155221708800-1293685267930507938567575/1296*ep^-3-
         4662592939576623400797391283353/421956864*ep^-2-21092881387306\
         9863529250835620442772669/5541090278879232*ep^-1-
         35911325999064605408300425925/162*z3+
         54835386468125039706697001813605139460300365930308700442309977\
         81158494205821577896263217515485447181634909812847729571/
         67209429818279019351907643573021236725022836494643329080143156\
         45047930880000000000000000000*ep-35911325999064605408300425925/
         108*ep*z4-8516069644165091936938230139384095293/2320762752*ep*
         z3-20125831514349042820497357174932694936833713972052787546069\
         60610662551776498332987105525688586728240202083657285749613578\
         15857/53642932194985740717326129934621122165431138855026674960\
         533613336871742363140096000000000000000000*ep^2-
         2322470576650635071913820294025/108*ep^2*z5-851606964416509193\
         6938230139384095293/1547175168*ep^2*z4+26140425397746713059631\
         97666183951373001369/282708687697920*ep^2*z3-
         75064717470563047404949295763130451637268536971030948973478568\
         96641420644805198315276068136925202091644663801877677990172520\
         4236332857490184100336545547993519278227811421773/
         69960760635010173133789356495773379299284555051164931083411382\
         81108865122409935433620396716362928421578705482455764172800000\
         000000000000000000000*ep^3-34477945389768880024624300151125/
         648*ep^3*z6-3158260136237107677801204717443959807/70326144*
         ep^3*z5+2614042539774671305963197666183951373001369/
         188472458465280*ep^3*z4+11161088977332534836055183801180961611\
         183841757676301/1934886886817115522170880*ep^3*z3-
         2514120113685971662245702603925/324*ep^3*z3^2;
Fill mncnoptab(13,7,6,4)=
      +mncF321*(7927970614466379477000000+194174566874977203284770000/3
         *ep+5197519677610143171111902000/27*ep^2+
         1922827362907335144654677542636/6237*ep^3)
      -4241976002368010110599374102993934289051007283122447969/
      108752736082164499318017024000-1828010490214088630318375/2754*
         ep^-3-6619408418686122453708017479633/896658336*ep^-2-
         173910127387278978767675827942409470037099/6770519684505561600
         *ep^-1-143639425590548316864806021300/1377*z3+
         15507722005005643558328952860885548088771716038564509194627104\
         775072857981838397686939253669955860295217866979699148436869161
       /412875478249235518286757985143304145614119854788151286845149591\
         01070248566063104000000000000000000*ep-
         71819712795274158432403010650/459*ep*z4-8533348592830387738990\
         053176297848589/4931620848*ep*z3-
         23026875672609953538330590607437298169969616949115699290893396\
         06519497452426023943410675261695673078098061936567227136378639\
         026725603439/1326377885691521189959636635374933997042507517372\
         875541101278416865814982687161956035461120000000000000000000*
         ep^2-4644920312684982840463834642450/459*ep^2*z5-8533348592830\
         387738990053176297848589/3287747232*ep^2*z4+145323363502688401\
         10023750963471126603062930323/3385259842252780800*ep^2*z3-
         10935129537043894770963070791411679110716479493746503924249011\
         20906547965412135800560554770900180370451847452687022237658376\
         9570217871718969665085565438760926260381853027933687/
         18591151602429808639605392681429462741162511497543775633691793\
         25332561052791987579176283316890338189502678104258902805708800\
         00000000000000000000000*ep^3-34477803781161000511316744765125/
         1377*ep^3*z6-3209669492994903009863026244737281151/149443056*
         ep^3*z5+14532336350268840110023750963471126603062930323/
         2256839894835187200*ep^3*z4+1558333975450491889130289988707036\
         33578407209873331532509/54376368041082249659008512000*ep^3*z3-
         5028304896460874459899062286250/1377*ep^3*z3^2;
Fill mncnoptab(13,7,7,3)=
      +mncF321*(1981992653616594869250000+16279234880735706316937500*ep
         +1320847773612180115185287950/27*ep^2+
         165097009794632002181978788216/2079*ep^3)
      -1414195590831497831533654933683154845232104826872198587/
      145003648109552665757356032000-1691254120135483349974775/11016*
         ep^-3-2087187492847386480003512491211/1195544448*ep^-2-
         172201465086403692953173125207223703284571/
         27082078738022246400*ep^-1-35910232854672398767694648525/1377*
         z3+24681081528089316988246086918132054666865049636689612251120\
         83609887283880279709068633715331962134709564864242934133493362\
         429/2517170123525281478732398971472525274487238652929205175931\
         8283146034891802542080000000000000000000*ep-
         35910232854672398767694648525/918*ep*z4-2852945736622270427352\
         072055527438719/6575494464*ep*z3-
         28057013653195194156900916758510876569337675115247559096624097\
         76892547308333659309139378010293607890216362845521193594100612\
         1147675309847/622660729671853003064384976051010681944954917877\
         82212901698903458422981131702880713886924800000000000000000000
         *ep^2-2322462824851123379560578332825/918*ep^2*z5-285294573662\
         2270427352072055527438719/4383662976*ep^2*z4+14243514244747214\
         953433928353118918820406220067/13541039369011123200*ep^2*z3+
         13294768324665077364806769757806697256997933515870118109771234\
         06243685996441874539158983154535641911879944170104428479407792\
         16166797612076526770466422299215980319219121260263/
         50671579488500225398330291061938719006767527729915171513270815\
         83603135167231196092636487335994292442486290970864389193728000\
         000000000000000000000*ep^3-34477840044220126705731728507125/
         5508*ep^3*z6-3284477148371607547309665840451897103/597772224*
         ep^3*z5+14243514244747214953433928353118918820406220067/
         9027359579340748800*ep^3*z4+5587551981386624479295259201294180\
         2064856550264282555087/72501824054776332878678016000*ep^3*z3-
         2514144160143378444920810114725/2754*ep^3*z3^2;
Fill mncnoptab(13,8,1,8)=
      +mncF321*(210566156345557584000000+36155818441329904800340000/21*
         ep+6792113747243857780947867200/1323*ep^2+
         2521094796299084309098349056732/305613*ep^3)
      -2638627478814048670794672973622144075673493403316991489/
      2546893120747749487705031040000-3184001715053646500/3969*ep^-3-
         9387717183668438469171827/59725512*ep^-2-103237495433325372122\
         3447057899848431/566284275082726200*ep^-1-
         10997858974496153751369695200/3969*z3+
         40754193558054464417856372320191351553389646548804925741094290\
         23265426283331768973310471173029243953350094120957337554973/
         40136782306419596666483409900073068810214385776990209301788479\
         2955128768364544000000000000000000*ep-
         5498929487248076875684847600/1323*ep*z4-1634554946234629253082\
         86780391503683/3553667964*ep*z3-
         24075860167861550859711583874453293881465706714552707295012858\
         03030846324888677753117632793504663198379294737529620043612275\
         802117111/5157636455407315532871292831868379339213050479646933\
         2349011322758876103896710524467937280000000000000000000*ep^2-
         355597443215166423269415138800/1323*ep^2*z5-163455494623462925\
         308286780391503683/2369111976*ep^2*z4+374710948746205951858023\
         79792046861187054601/330332493798256950*ep^2*z3-
         23454793441331898026415483346451509698834023097331132509446441\
         29478874462645803168990014752954428300577955803765806825722043\
         28522767631364612642681594541310699756778670798999/
         68677322030719385346217762257547714687226677114393103352541950\
         61315048604781681647500845168051106755910908911083201757184000\
         00000000000000000000000*ep^3-2639486176677507790142189303000/
         3969*ep^3*z6-35775530210155164441487017023490673/62345052*ep^3
         *z5+37471094874620595185802379792046861187054601/
         220221662532171300*ep^3*z4+98823941218003297837867112688939095\
         424806680232766503027/1273446560373874743852515520000*ep^3*z3-
         384925069171436575326303569200/3969*ep^3*z3^2;
Fill mncnoptab(13,8,2,7)=
      +mncF321*(1587344870912664864000000+38871721369271401050440000/3*
         ep+1040179991321852472337285000/27*ep^2+
         384635958701735877061280474492/6237*ep^3)
      -2136597017966126532363973907850777874466875419386483/
      273565319092132060977984000-496325541397281411400/81*ep^-3-
         5443011585780811366933279381/72523836*ep^-2-406666241835098808\
         9108531295812622033/12943640573319456*ep^-1-
         1691967405751914391674204800/81*z3+
         21978813447477499674554422110292550360364835946834329607360167\
         15136643211113639776290837305774396074340431069582582603/
         28679598272240508261575053394541199545129962276938374865246157\
         201316249600000000000000000000*ep-845983702875957195837102400/
         27*ep*z4-105571863027934605060939967712969/304722*ep*z3-
         11825791319195693889534190546129681599466114610152590502067389\
         63315199935544179615003585706400208786587101093219367362943905\
         6863/335033745460425232669099080376569872627733179730532373855\
         49181788285259117441843200000000000000000000*ep^2-
         54707260305186896946712295200/27*ep^2*z5-105571863027934605060\
         939967712969/203148*ep^2*z4+4637390912172431324259798412799542\
         2393198347/53931835722164400*ep^2*z3-
         20030359495055906937523109132099617457077714117901438159550542\
         04037681442628196029303884722473261341974741524927752420618220\
         10374214006559559250364998310612544601122001/
         29037361963709900921197928815254979177808470300617080835748476\
         17907606692665004318926723202426665426841451783782400000000000\
         0000000000000000*ep^3-406074533774521941121156702000/81*ep^3*
         z6-51951193767315600953777270646069799/12087306*ep^3*z5+
         46373909121724313242597984127995422393198347/35954557148109600
         *ep^3*z4+74446991566777495672021325451207689535695634071255195\
         99/12994352656876272896454240000*ep^3*z3-
         59219361206222701765219920800/81*ep^3*z3^2;
Fill mncnoptab(13,8,3,6)=
      +mncF321*(4421889283256709264000000+36086674042360416157540000*ep
         +6756845202874002116824611200/63*ep^2+
         2497216978328361743803394535412/14553*ep^3)
      -95519676800944822733139537126985025162158809110533/
      4390248861448393859435520-17419098929128292282900/189*ep^-3-
         7290839426128652626511775457/6907032*ep^-2-6474041466290869585\
         18871428967465167/165944109914352*ep^-1-
         10997475826661100333881240800/189*z3+
         21031680973546573614029903017480661649896571587311658173715910\
         6718460978601594741958232362059800559193287494945259020581/
         98228436996206967567670679618179870947726161897217928765363361\
         8316623872000000000000000000000*ep-
         5498737913330550166940620400/63*ep*z4-163297601161100504226063\
         461094428743/169222284*ep*z3-995863190860556960676926014724416\
         27765980688613730709051567123583014861890923682306586073012814\
         7134792861657878869511548433565511997/
         10098000656685154487194477577105011930809377018143484656306392\
         10776914787755486085120000000000000000000000*ep^2-
         355596084779142942693437601200/63*ep^2*z5-16329760116110050422\
         6063461094428743/112814856*ep^2*z4+464109184269950875930998834\
         503523121126699/193601461566744*ep^2*z3-
         10344469332619924294109075327983600808128699574253119729473457\
         68945905948929570215228733169011363891635354468157451835910874\
         04473546503932281899030160388453533548809203325613/
         26892304215761710356026704857058307669507130157958547787352187\
         89694661934044521980603142453057742120093123521250590720000000\
         000000000000000000000*ep^3-2639476946276919319366078907000/189
         *ep^3*z6-674742627385789477572237697218964327/56407428*ep^3*z5
         +464109184269950875930998834503523121126699/129067641044496*
         ep^3*z4+296901702610889548674181387217964695134152286709418827/
         186585576611556739026009600*ep^3*z3-
         384929283779256840680730684400/189*ep^3*z3^2;
Fill mncnoptab(13,8,4,5)=
      +mncF321*(5895852377675612352000000+144524316646792232481760000/3
         *ep+27117996506630442567343677800/189*ep^2+
         913658979104910683883966990548/3969*ep^3)
      -2029732612883736933730041506116389392892276442650367/
      69969591229333777134753600-180443044411347510431600/567*ep^-3-
         5873956766005471152745019362/1648269*ep^-2-1565879603325024818\
         0821553413815525767/1244580824357640*ep^-1-
         43987466717019679653338843200/567*z3+
         26998065764469854688938372426572811176610936474751591985014409\
         259939932679991635519808045311994987816862804367644552130579/
         95402665469883429986377034924510761843891166023537961573778541\
         528847870853120000000000000000000*ep-
         21993733358509839826669421600/189*ep*z4-1633904656053497601564\
         68576971940248/126916713*ep*z3-
         15898277302803705725394182228941807544571821939133043898431347\
         97936585754442846525576806997334447474702286292045408391029018\
         407732941/1225938496050788714559643024707801938244873918480244\
         112723172762667287895795884821053440000000000000000000*ep^2-
         1422375699963482005969791324800/189*ep^2*z5-816952328026748800\
         78234288485970124/42305571*ep^2*z4+277358248001157223681759413\
         33981281836274497/8712065770503480*ep^2*z3+
         90439274256980424643230842423423373071919557082917649617309941\
         73405113737121888756009317596648349872269257566270562609267280\
         8714644194258951958520394645955517264931746253667/
         16324177481502373731217516515680455169833062845271817252795989\
         32258735195228984934511425900484683298368364612573011640320000\
         0000000000000000000000*ep^3-10557849082933565845640087828000/
         567*ep^3*z6-677918554080237641909966981775320272/42305571*ep^3
         *z5+27735824800115722368175941333981281836274497/
         5808043847002320*ep^3*z4+3768800245282354150372367113753570989\
         0100854777408637/17492397807333444283688400*ep^3*z3-
         1539743935389726390306827977600/567*ep^3*z3^2;
Fill mncnoptab(13,8,5,4)=
      +mncF321*(4053398509651983492000000+99634838809215408301460000/3*
         ep+18783823632006661418286818800/189*ep^2+
         7004777755005568568517414921188/43659*ep^3)
      -2350208187161567526721514780228841020143014012354691/
      117843522070456887805900800-193638078688902164244850/567*ep^-3-
         50334159654490358729925807991/13186152*ep^-2-38188359790803919\
         707730991945243708071/2844756169960320*ep^-1-
         30239852289574889767864557200/567*z3+
         32917048479312777543445686157856632792812671600097545851269989\
         00771245085068786747554396240658673916069206685828145689823133/
         17000754986733227223572387623547817760581405785394464752447336\
         100440690586025984000000000000000000*ep-
         15119926144787444883932278600/189*ep*z4-4499194999981585672517\
         52988697920307/507666852*ep*z3-
         28620355547885046162149835721599088668077418013085550347585816\
         80060709536536030293957202251047173670526834723309633095009227\
         5416862731/321267999994486101374306451474897507934171370989969\
         85424598439162839809269239216928194560000000000000000000*ep^2-
         977877865649065418278660595800/189*ep^2*z5-4499194999981585672\
         51752988697920307/338444568*ep^2*z4+65724984625264202915391418\
         19868705376227137/3030283746262080*ep^2*z3+
         41344178083493807520876122988920150155626485599379054089037421\
         74646314005378906035591406723777204153378750141045648889245632\
         1378660984687674338107086845916603579811274890669111/
         14544842136018614994514807215471285556321258995137189172241226\
         48642533058949025576649680477331852818846212869802553371525120\
         000000000000000000000000*ep^3-7258484361644053412670293075500/
         567*ep^3*z6-171270658313135314044240947391136693/15383844*ep^3
         *z5+6572498462526420291539141819868705376227137/
         2020189164174720*ep^3*z4+7456033316471860072726886483711606690\
         0125057541960971/48674498246493062354611200*ep^3*z3-
         1058590799376108130810108004600/567*ep^3*z3^2;
Fill mncnoptab(13,8,6,3)=
      +mncF321*(1430611238700700056000000+11773387048836644720060000*ep
         +2236334498521650552595226800/63*ep^2+
         76561187067766732184522187688/1323*ep^3)
      -405995421330553235521176801123534551094785512201679/
      57671905498117537517130240-367424089467929472106700/3213*ep^-3-
         48656573395886589258408782551/37360764*ep^-2-61018704378719899\
         70646910739505086873/1282295394792720*ep^-1-
         60480142039018128138467298400/3213*z3+
         19276120734692665194556357702119074619057359291550389864694290\
         297400424827658011537631289534839001934395954892792080585548853
       /274091857894975094350861221338119418777499319985624563601465749\
         812379932961013760000000000000000000*ep-
         30240071019509064069233649200/1071*ep*z4-204953824128943505546\
         57949406461641/65381337*ep*z3-
         31269839101127493080021911893257869198506254395490010120504041\
         94816790062891574190417697997889776073457788363455303959984498\
         1124266261489/968583357267326893655709962746016616358818761143\
         27886735976072046435748427093369999379660800000000000000000000
         *ep^2-1955757281426301187781642867600/1071*ep^2*z5-20495382412\
         894350554657949406461641/43587558*ep^2*z4+17816417247002703364\
         3110306016897332646931/236212309567080*ep^2*z3+
         77313012736474131607690382886450086617410863302958276812961438\
         37997907751153939292061487694836496942682121785680567108669798\
         9499636317194594351343862144369954137085948613202679/
         23449680952178159864893962474774973851465194777232965483641438\
         66189673107946436858425663306046247558106155765961131221319680\
         0000000000000000000000000*ep^3-
         14516979255599713588016153261000/3213*ep^3*z6-8707217203487492\
         3364499377354722324/21793779*ep^3*z5+1781641724700270336431103\
         06016897332646931/157474873044720*ep^3*z4+43172338815736500800\
         78585929354158147932615887603337/7588408618173360199622400*
         ep^3*z3-2117176780978669670222086181200/3213*ep^3*z3^2;
Fill mncnoptab(13,8,7,2)=
      +mncF321*(238435206450116676000000+1974446917398110626900000*ep+
         1137044518313100709015568800/189*ep^2+
         144695857555748045069091593804/14553*ep^3)
      -372215587251866001382525817692141266470214087835306519/
      317195480239646456344216320000-86320685441264141013250/9639*ep^-3
         -8104786056489359756230694957/74721528*ep^-2-75304719104360583\
         3071227528718568306689/1692629921126390400*ep^-1-
         30242212986506660450232256400/9639*z3+
         23014559627212458264243317935350695980914266599594639357343352\
         99610946701863355188672258337076588159503991981811403354978802\
         749661/2048808132211717752862875139935423490942254556963265107\
         96634192740955951137054991056896000000000000000000*ep-
         15121106493253330225116128200/3213*ep*z4-150768792184383383693\
         557595801595749/2876778828*ep*z3-
         17487158234600248632539808727147658061757016445932011288412123\
         05807322255764677291534693229119338807455085933023469069550693\
         6824273470168337/346414347507373814740645539602409024954740139\
         82750481495272755839024611970080694882051819569152000000000000\
         0000000*ep^2-977886235739059923574235368600/3213*ep^2*z5-
         150768792184383383693557595801595749/1917852552*ep^2*z4+
         728872836261830943996477075454452967866478711/
         5924204723942366400*ep^2*z3-
         19694014241201360086576434082530868720098708527342164071988828\
         85654475462567760967264401810373972586872587373625913211151303\
         89106651902770788320651817149703415046702849576851504681193/
         20262821886142390254144362212903345920143957603797087998465173\
         03129941550581622578491713182693092367028467683477592408550553\
         49107916800000000000000000000000*ep^3-
         7258541235576682775681184623500/9639*ep^3*z6-17822895713613052\
         8607205786434384913/261525348*ep^3*z5+728872836261830943996477\
         075454452967866478711/3949469815961577600*ep^3*z4+
         16082797803717583521734558079841595600160234179982411763/
         158597740119823228172108160000*ep^3*z3-
         1058564833995616858178185619000/9639*ep^3*z3^2;
Fill mncnoptab(13,8,8,1)=
      +mncF321*(14341967305270176000000+838252459683596491820000/7*ep+
         489498890627983975758468800/1323*ep^2+
         21139642937669370319043750432/33957*ep^3)
      -19353174964464919822018547794708638388297701415518125731/2742154\
      92667174361509575008640000-1495983894232721153000/1281987*ep^-3-
         1386247383854033759062156193/4968981612*ep^-2-4668284342178676\
         592333518907211034513151/1463278566813764500800*ep^-1-
         241952873219331951403286622400/1281987*z3+
         30930879492986392200509269717606958451644320312524039004867916\
         37528328415164627566160002155366627472793846227665992034799176\
         054068811/4554500477906648564614171436076446420364631880129338\
         335009178104631450793776732451194798080000000000000000000*ep-
         120976436609665975701643311200/427329*ep*z4-159364548032870959\
         64523175379985652/5034362949*ep*z3-
         44752924987987767918389479355087351982671129682032766827837678\
         47693716500034234302438096186226175386109681978860458964317815\
         26232352834111207309/14631502795668947813200645656186949987013\
         35928589432086915835388372882535780298309733222703142273024000\
         00000000000000000*ep^2-7823143656195944718694536005600/427329*
         ep^2*z5-7968227401643547982261587689992826/1678120983*ep^2*z4+
         36791366297997478651652945869460351083008720781/
         5121474983848175752800*ep^2*z3+
         13744522442859815062411318484345110812937129337689139190329282\
         22028318716782274966534127881199531800159223853085389879877551\
         9259027826876414267176914065605310176864303800561475933866219/
         40302752731537214215493136441464755035166331673952408028947229\
         15925453744106847308620017520376560718019622222436931300607050\
         893756465152000000000000000000000000*ep^3-
         58068695238421255511700803486000/1281987*ep^3*z6-3674220013355\
         66038597912567944715261/8695717821*ep^3*z5+3679136629799747865\
         1652945869460351083008720781/3414316655898783835200*ep^3*z4+
         907572158002682157064826358236036087399991476739926363323/
         137107746333587180754787504320000*ep^3*z3-
         8468351730978260759305607586400/1281987*ep^3*z3^2;
Fill mncnoptab(13,9,1,7)=
      +mncF321*(64485885380827010100000+1596600137967606415018375/3*ep+
         87063955279124991337618435/54*ep^2+
         659751787535229630453062628181/249480*ep^3)
      -2638666596570286140300702202224863797713786759685920937/
      8316385700400814653730713600000+373539687439521395/648*ep^-3-
         3235901643873139172826566653/23207627520*ep^-2-111280123098889\
         69415211101259906996313/6471820286659728000*ep^-1-
         68736621017289023503100305/81*z3+43795405366566783447990158030\
         77689962175036959550878118933492211304785821569049745292108496\
         24004755270125123663702941669/14205176292390731303118639391333\
         40387749114788218120383727217254381742194688000000000000000000\
         00*ep-68736621017289023503100305/54*ep*z4-16420793152074641513\
         3692610199625003/11603813760*ep*z3-
         43583504121160942417441059189906401890615265861926782377233190\
         12125047563715228942445279851501691662443465390575960761389503\
         99984517/31031568181285589337290964062916236561823371061531179\
         103305310555015724862333334532915200000000000000000000*ep^2-
         4444968055065452916357716815/54*ep^2*z5-1642079315207464151336\
         92610199625003/7735875840*ep^2*z4+1210451302886146312054174933\
         634227597397153/35954557148109600*ep^2*z3-
         34278582650231083674904615962040469086248384047248725198548993\
         29956388223642718890639890464001306145760717607541682263975649\
         097168069134757786839558145693379721029083921735798821806621/
         71277479483026267720702596004505791757886355321951745939515696\
         93218511938441504753773973539302994167866521618516467872494103\
         035904000000000000000000000000000*ep^3-
         65987154615808903510334749175/324*ep^3*z6-70406450688927419815\
         8114598593879787/3867937920*ep^3*z5+12104513028861463120541749\
         33634227597397153/23969704765406400*ep^3*z4+220168260376271543\
         35504054914390633481901486457626267551/
         831638570040081465373071360000*ep^3*z3-
         4811563295868874556964720755/162*ep^3*z3^2;
Fill mncnoptab(13,9,2,6)=
      +mncF321*(416678028614574526800000+3434228569327697888246500*ep+
         93421978696279200263331230/9*ep^2+
         352909023478223539256375042119/20790*ep^3)
      -1420908253887085669865444576953090352422527891650913343/
      693032141700067887810892800000-223742445581802128995/54*ep^-3-
         97861782147278114721171053467/1933968960*ep^-2-324831395110109\
         04318263447166312259277/154090959206184000*ep^-1-
         148045640461627453062341980/27*z3+1110023283877284932891859142\
         22022794674164659073775355468463153731537722794871023414116512\
         042116974272820346012847/5561625883300751510104045489687113526\
         267575195455546494387615904563200000000000000000000*ep-
         74022820230813726531170990/9*ep*z4-883600305174383781298498423\
         27751917/966984480*ep*z3-1077949237052554672519937469995676708\
         70680768258021901800074632825656396070834620153064164864805643\
         2719151235659887114239/118386766197155023036453851705737418789\
         47981600482268140643889871677554688000000000000000000000*ep^2-
         4786879933966970052814875170/9*ep^2*z5-88360030517438378129849\
         842327751917/644656320*ep^2*z4+1571542058215402351469798378858\
         887144269383/7190911429621920*ep^2*z3-
         33530733911645064113401993832265979486082100567517094945264393\
         57599405533824975824707710237126316613082096371745727702183530\
         620820492124955551792366640712027263065381557737/
         52790287655718833069443246414671445503730405772378137422827053\
         74147979301485462673073440391727201119422377111930798080000000\
         000000000000000000000*ep^3-35531485403598206763455708825/27*
         ep^3*z6-377214247116171157560595617125153293/322328160*ep^3*z5
         +1571542058215402351469798378858887144269383/4793940953081280*
         ep^3*z4+2336881152493058849659600209662035729135329053796587813
       /13860642834001357756217856000*ep^3*z3-
         5181710702914271948684185690/27*ep^3*z3^2;
Fill mncnoptab(13,9,3,5)=
      +mncF321*(967288280712405151500000+7972794684563754244574375*ep+
         433813501705954221601116575/18*ep^2+
         655583275414990996953643268713/16632*ep^3)
      -8119656101283378129327006814712895698318661664981849/
      1705925271877090185380659200-8944127340163401045725/216*ep^-3-
         735566388343650682325249903953/1547175168*ep^-2-29312862736286\
         32955676921589486172819/1659441099143520*ep^-1-
         343658503092468044203930025/27*z3+
         44211819730636197061599345941157153804355141216971210987625134\
         63616029693603801043165172319548161542482969032285416079207/
         95402665469883429986377034924510761843891166023537961573778541\
         528847870853120000000000000000000*ep-
         343658503092468044203930025/18*ep*z4-1640959786064662630947869\
         94179781703/773587584*ep*z3-2591932509339957423840991520207819\
         89267828282109417886171849727262143862543191978154279344018651\
         479557107022016560177142509709164701/1225938496050788714559643\
         02470780193824487391848024411272317276266728789579588482105344\
         0000000000000000000*ep^2-22224665826055815927593142575/18*ep^2
         *z5-164095978606466263094786994179781703/515725056*ep^2*z4+
         187060652249283287603183281846233849789151/368764688698560*
         ep^2*z3+299135076380890990187191419738941833836908479319434484\
         20910590073673694933168395215970111804329799292727673779969251\
         01181363676065536066501397128276366595188874625238736837625082\
         221919/2815900424020790823533929718696525106484399222595624530\
         94383000225916521024849570519465621305797300458924310854971570\
         271371971788800000000000000000000000000*ep^3-
         329933402359912558471857838375/108*ep^3*z6-7006766036077320375\
         50840891756441767/257862528*ep^3*z5+18706065224928328760318328\
         1846233849789151/245843125799040*ep^3*z4+133632131853980655471\
         05454084091506289004044839495779/34118505437541803707613184*
         ep^3*z3-24058357731335066189771840275/54*ep^3*z3^2;
Fill mncnoptab(13,9,4,4)=
      +mncF321*(1031774166093232161600000+25550742622316854010068000/3*
         ep+696881404857690926931920720/27*ep^2+
         1320728532056371309559116333736/31185*ep^3)
      -405978505267598693538531317616948911286710562659273/
      79965247119238602439718400-6972789560523154973540/81*ep^-3-
         176451858919317759651594824051/181309590*ep^-2-436308926999738\
         46699398194765740550283/12445808243576400*ep^-1-
         1099632494189985653064494080/81*z3+
         24890093183271221309168699654676263310301991646893890242128949\
         125266841856169065312665272748593892955179965014433651937771/
         50002220549215374186977610657493581648768840545277837507198047\
         3542373252530176000000000000000000*ep-
         549816247094992826532247040/27*ep*z4-5864599666144535219686874\
         436874711/25901370*ep*z3-6220791772698000975485763705043611243\
         12089789101741303277965576022660618758104785999877403218296492\
         94243058397781253781026552402038553/27307779999531318616816048\
         37536628817440456653414743761090867328841383787885333438896537\
         60000000000000000000*ep^2-35559200448012197270158055120/27*
         ep^2*z5-5864599666144535219686874436874711/17267580*ep^2*z4+
         239299416559549826404358916769126900755433/444493151556300*
         ep^2*z3+151794671452787705097857227521217144605718269488365160\
         71994426632801887036546472824863799513728741159951972974938141\
         49061156164675727338882348495479253087837079215176191043110640\
         9079249/125448363890126231188436568967930193493879985366635072\
         85354762660064581011657048366642193429173269735445078048588983\
         455589621343191040000000000000000000000000*ep^3-
         263944922124616515393524178200/81*ep^3*z6-17613458042589460986\
         8323153555775503/60436530*ep^3*z5+2392994165595498264043589167\
         69126900755433/296328767704200*ep^3*z4+84879826426124255489017\
         277572680132875590198023077111/199913117798096506099296000*
         ep^3*z3-38494194424150540971351623440/81*ep^3*z3^2;
Fill mncnoptab(13,9,5,3)=
      +mncF321*(532008554391822833325000+4404564815511484336963250*ep+
         241474424520867978029862935/18*ep^2+
         32902733680699439536560162127/1485*ep^3)
      -8932378225720407249233190160967348398579865224333319/
      3411850543754180370761318400-20091891923328320235985/432*ep^-3-
         53473384698912985489790729011/100465920*ep^-2-1227412392549910\
         66234670621815358231441/62473076673638400*ep^-1-
         377996159043503764696150465/54*z3+
         24817346725514207024652366104044966932518661113686369585747145\
         0036700487714198290325295491435558639056474775458003108493829/
         96738302786461798006186313413453912509705642347867493035811441\
         11025174104506368000000000000000000*ep-
         377996159043503764696150465/36*ep*z4-4522348637842111005110236\
         58479757597/3867937920*ep*z3-398137750709803367292694510451102\
         70785312955267903644813830385420602585199645326324389834457329\
         2842980901394591342028415939217886818113/
         34185294962376243305495645743977057047958309216821607083285672\
         48697732297426824823507517440000000000000000000*ep^2-
         24446932479310753817595845395/36*ep^2*z5-452234863784211100511\
         023658479757597/2578625280*ep^2*z4+145897340438837333736930928\
         967588481572159233/531021151725926400*ep^2*z3-
         13272018697870996424462422675041967953134098866656302985934315\
         44546677314174742770792232096062333953570421716456746013740935\
         28501053913499520416800095415278319149361352940813027045233389/
         14276615149785409475317023673791382289875904058559816371885218\
         11145396761595987322533690700020392313326746256034705861275855\
         8969692160000000000000000000000000*ep^3-
         362924025599226269616976176275/216*ep^3*z6-1780833716617003635\
         41497434043456903/117210240*ep^3*z5+14589734043883733373693092\
         8967588481572159233/354014101150617600*ep^3*z4+192691624266246\
         6636456614004383816553104830270792058927/
         8529626359385450926903296000*ep^3*z3-
         26464813742599235683523588615/108*ep^3*z3^2;
Fill mncnoptab(13,9,6,2)=
      +mncF321*(125178483386311254900000+1041099389095372367761000*ep+
         28758831703444144158746630/9*ep^2+
         11081920272842814044705859154/2079*ep^3)
      -1116692767883700736244352162438562059581673535960425931/
      1812545601369408321966950400000-9693602935887692544385/1836*ep^-3
         -191338419446926126755658404997/2988861120*ep^-2-5940018705741\
         146966769694642718863035269/22568398948351872000*ep^-1-
         756049477561637928992873810/459*z3+
         12026091546697827133563623890422854485826538289164036252778346\
         56713293117265222749054338673931257121433534063816985069441339\
         399791/2048808132211717752862875139935423490942254556963265107\
         96634192740955951137054991056896000000000000000000*ep-
         378024738780818964496436905/153*ep*z4-453280471841461723110037\
         774662068717/16438736160*ep*z3-
         34608425010098115878981917486872725499577665497256413739722488\
         60265450367150334183874254055378843896264314232101492625411438\
         7231919022473101/131637452052802049601445305048915429482801253\
         13445182968203647218829352548630664055179691436277760000000000\
         00000000*ep^2-24447135173344822984923345715/153*ep^2*z5-
         453280471841461723110037774662068717/10959157440*ep^2*z4+
         717743668161693453230246153423027813653491941/
         11284199474175936000*ep^2*z3-
         11353902495851172153260669665508260316113187312920947999492053\
         09749711619139622755029116285578572591762271060193555961416501\
         57734501207755544632928517121698129294575976798253730043214476\
         319879/3023626048505660147453264038081974402203486679405188552\
         83661433074565314030559312175637510233222861937310531330382629\
         936111087323562136043520000000000000000000000000*ep^3-
         362926780212364155128885816675/918*ep^3*z6-1810989070590681799\
         10764273630014103/498143520*ep^3*z5+71774366816169345323024615\
         3423027813653491941/7522799649450624000*ep^3*z4+72060913390202\
         01321713303338091945013754891793980685777/
         129467542954957737283353600000*ep^3*z3-
         26464185237296733014065929575/459*ep^3*z3^2;
Fill mncnoptab(13,9,7,1)=
      +mncF321*(10431540282192604575000+87308070409184831956750*ep+
         14624739850071619823983415/54*ep^2+952164522636612872240442889/
         2079*ep^3)
      -4838369054760470700643764166574647458927333426410994181/
      94252371271209232742281420800000-17569502580096571585/22032*ep^-3
         -2633469054694657832977324199/11955444480*ep^-2-88994236584345\
         14469453736932941914581857/3520670235942892032000*ep^-1-
         378051377056184600684378905/2754*z3+
         16880451966721673691687070640714066461794564953098802596176484\
         03166572779623064969179693632415290355800969715854890461035160\
         3032699/342443644955387110121366273389206497771776833092431453\
         76008857929559780404336334219509760000000000000000000*ep-
         378051377056184600684378905/1836*ep*z4-15157662646235981209016\
         6178301475039/65754944640*ep*z3-
         34808162759988417024480942578786212422353908620067065437470007\
         94273794191742852645665416046625465018358250893601712919773346\
         79547358228505243/15715899887936571227927653766043984948456884\
         30278659599265129310819422702234477239240840712290304000000000\
         00000000000*ep^2-24447323992185455681330829715/1836*ep^2*z5-
         151576626462359812090166178301475039/43836629760*ep^2*z4+
         9117402082989545321678147513064748804964485633/
         1760335117971446016000*ep^2*z3-
         17114880148286659896496921674729352108935725787771780095341346\
         29925139573610221375925298190115813785145817590556674667902548\
         868271347259212639103615385591672514524486871365043284280799/
         57575361045053163164990194916378221478809045248503440041353184\
         51322076777295496155171453600537943882885174603481330429438644\
         13393780736000000000000000000000000*ep^3-
         362929346112219989213118656675/11016*ep^3*z6-18530115371863402\
         5287853300205940903/5977722240*ep^3*z5+91174020829895453216781\
         47513064748804964485633/1173556745314297344000*ep^3*z4+
         232046964313110954804541290418007525369971191680143503769/
         47126185635604616371140710400000*ep^3*z3-
         26463598728302772191550021575/5508*ep^3*z3^2;
Fill mncnoptab(13,10,1,6)=
      +mncF321*(12283025786824192400000+924071428110072700100500/9*ep+
         180188498363196099805224170/567*ep^2+
         701717573801512576064398733341/1309770*ep^3)
      -376967953527563873126101104349059772319583966761233171/
      6237289275300610990298035200000-2089297877943058705/3402*ep^-3-
         10575812669894270358986989753/121840044480*ep^-2-2217664266143\
         0749783632576106704459227/22651371003309048000*ep^-1-
         274946447080925011061768020/1701*z3+
         64196387506665247259966174998041570422063743849787223878014410\
         755502614821938609947827504996727089239475884183325293440557/
         10962788433905354856470289638200477722597136667169049691558302\
         0488952865882112000000000000000000000*ep-
         137473223540462505530884010/567*ep*z4-236075091376031532671758\
         82670509929/8702860320*ep*z3-186262218484888378297355640213057\
         48992884753165722858099199888709746797718924184252352986518586\
         843768382058661916679508569991319220979/
         70436734125775226590993775571381298862551461298396168440835863\
         64074997865577248949534720000000000000000000000*ep^2-
         8889935990987885208603291830/567*ep^2*z5-236075091376031532671\
         75882670509929/5801906880*ep^2*z4+4163893801894453412050700503\
         0495471970641339/6795411300992714400*ep^2*z3-
         45052733948143683972431604011622968458024487606748678924105526\
         20275471077472480883488918918296196304095385635722078360146074\
         80449047234326526084398960160181681484152200192460723170897486\
         202010621/8902452687569354647412890320714585778526761390476438\
         29002268989767962884973023558928762631777188837269127259009200\
         9778119458837090713395527680000000000000000000000000000*ep^3-
         65987153814706826536870268675/1701*ep^3*z6-7378433618677396299\
         52695158708746687/20306674080*ep^3*z5+416389380189445341205070\
         05030495471970641339/4530274200661809600*ep^3*z4+2505062712993\
         8195050201954503667041651789010004064357283/
         4366102492710427693208624640000*ep^3*z3-
         9623127077785668930497150110/1701*ep^3*z3^2;
Fill mncnoptab(13,10,2,5)=
      +mncF321*(66139369621361036000000+4970455879816583511355000/9*ep+
         138209331948446924666627750/81*ep^2+
         53697354523460489882490748174/18711*ep^3)
      -11941799846825333965463017534601714838283439633175461/
      36689936913533005825282560000-378626678186129784125/243*ep^-3-
         33136677463284920453602298881/1740572064*ep^-2-342618288435383\
         25305160195416624467661/431454685777315200*ep^-1-
         211488964628729737159779400/243*z3+
         12474248780973829021294282285923709779226999141125332454872218\
         986828616081335040786225325997066124746638059261203749/
         39643269296167756764021636250489745215235275993207135411994926\
         16772648960000000000000000000*ep-105744482314364868579889700/
         81*ep*z4-12704619167748522495758051784068431/870286032*ep*z3-
         82060544415376466782516868579193644244241241255218379723339034\
         65591590841875234870416824483308616306943168180091408024837457/
         57888855644497820888383633570152847629614872013890998612265617\
         8456478803338199040000000000000000000*ep^2-
         6838382853311472264181207100/81*ep^2*z5-1270461916774852249575\
         8051784068431/580190688*ep^2*z4+128630821833747315629802217873\
         05016505048449/388309217199583680*ep^2*z3-
         13135676646853613048270252996344140310766181088137048794887144\
         82414240166073326567155138334958257992973640772157682010059238\
         78714733705987851063670558581180307621776656047143516694296899/
         95244828404666424690681213480384677395226882328637520148490078\
         88109465404800846111252353364269995347447084904659063328542927\
         6578938880000000000000000000000000*ep^3-
         50759148988264217638459604750/243*ep^3*z6-56537308320639901498\
         180311537853279/290095344*ep^3*z5+1286308218337473156298022178\
         7305016505048449/258872811466389120*ep^3*z4+190823343478055138\
         6132186031959911423970801838559609459/
         62372892753006109902980352000*ep^3*z3-
         7402496692359312348806922700/243*ep^3*z3^2;
Fill mncnoptab(13,10,3,4)=
      +mncF321*(122830257868241924000000+9233519861080391783335000/9*ep
         +1798104685748347134935336300/567*ep^2+
         699025973272190695494942261163/130977*ep^3)
      -313289758145091267521044839390431090629249401679/
      518273273254584514867200-15920807854062368621975/1701*ep^-3-
         1318865336395080295189114644703/12184004448*ep^-2-142291613756\
         48222430261750365243557669/34848263082013920*ep^-1-
         2749114457150921304095630200/1701*z3+
         35206530641842687327229921347027073868092024428301684847608310\
         62341079809776702638738159845827945376012258719608566069877/
         60716982095475811512758527226956492002076449233551659830169057\
         5015738949500928000000000000000000*ep-
         1374557228575460652047815100/567*ep*z4-23596298402141652009663\
         591222400279/870286032*ep*z3-506124534665528724610871207775603\
         68020318712892461786943249204631582645586461270296490247730584\
         4179402803078643221549336879301873213/
         19505557142522370440582891696690205838860404667248169722077623\
         777438455627752381706403840000000000000000000*ep^2-
         88898118935035666956167105300/567*ep^2*z5-23596298402141652009\
         663591222400279/580190688*ep^2*z4+1889806660918959625691142626\
         95417812612539/3074846742530640*ep^2*z3-
         13122654612216931287982533282939596875104162421470047270370632\
         58187420301236939180860805355600554583790234704004933558700240\
         94993350180741424115850608471899114801420370276739750334447512\
         694645113/2465294590403821286975877319582500677130487769670398\
         29569859104858820491223298831703349651876759985705296779417932\
         57847100039856558898633768960000000000000000000000000*ep^3-
         659863105869890198911014214250/1701*ep^3*z6-735720279576097541\
         877389120900684017/2030667408*ep^3*z5+188980666091895962569114\
         262695417812612539/2049897828353760*ep^3*z4+450246041973033971\
         0453627765183938096553969144648537/79024479506071089469839360*
         ep^3*z3-96235120813757506282898556100/1701*ep^3*z3^2;
Fill mncnoptab(13,10,4,3)=
      +mncF321*(98264206294593539200000+7399147211526984618848000/9*ep+
         1444915522944663745619018440/567*ep^2+
         2818725629342942625268405433822/654885*ep^3)
      -1035879851721627269742165743078490667371507081781/
      2141926262122462565349600-16645559376157475792080/1701*ep^-3-
         430374674834913083128451655577/3807501390*ep^-2-22233087814216\
         4168312266378526753827477/522723946230208800*ep^-1-
         2199205661362911596405248160/1701*z3+
         95126523843926796630707131461905686946024509135515016034338287\
         82178187724291580333105680983021166396387569800194999236167/
         20729636311384671001325638588597266966365494788828748507673880\
         23791108736679936000000000000000000*ep-
         1099602830681455798202624080/567*ep*z4-59038201703369576569181\
         67844649011/271964385*ep*z3-2988592737603156155688909504945428\
         50938588974044636626738732688702178738483218999671756311232025\
         4457307205853893720823629225081129777/
         14650840698161247130926705318847310163410703950066403035693859\
         6372759955604006778150322176000000000000000000*ep^2-
         71118190466844444476483950240/567*ep^2*z5-59038201703369576569\
         18167844649011/181309590*ep^2*z4+14191716416695370370887271952\
         58678079339217/29040219235011600*ep^2*z3-
         81717744994235893060168874485913302358106778507012552430705839\
         71432951925333501973157833289549757452547168941223103977868936\
         07941547792162891773205725831733253930693387768918892738083107\
         6562493/365950624311151337284956756266528427259598096683616435\
         63729634362003217406005711513277199092817248646636061239903913\
         71242781498250728036106240000000000000000000000000*ep^3-
         527888414347926054582616506400/1701*ep^3*z6-185036000998795398\
         727976457387628153/634583565*ep^3*z5+1419171641669537037088727\
         195258678079339217/19360146156674400*ep^3*z4+24290995221561844\
         275064918491416357235334328686007279/
         524771934220003328510652000*ep^3*z3-
         76989040865100302864167966880/1701*ep^3*z3^2;
Fill mncnoptab(13,10,5,2)=
      +mncF321*(33778320913766529100000+2551372241796306384599000/9*ep+
         500830039680801780153955270/567*ep^2+
         983569442126361664581326743346/654885*ep^3)
      -31908751343964280707605219922823966448060383572521753/
      191916593086172645855324160000-12221934711266504201185/6804*ep^-3
         -241801251412261775706231426277/11076367680*ep^-2-150878776737\
         7117008662253553243042597601/16727166279366681600*ep^-1-
         756035570255292189963926930/1701*z3+
         17467006013781540370593848943893909462621487837537913002682247\
         37265348081120938976062933179477461044814771029361740525486431/
         11036458372181198841105769984569184932892989425572425705485573\
         83866386291408397926400000000000000000*ep-
         378017785127646094981963465/567*ep*z4-546605069724946773794817\
         763869709/73133280*ep*z3-2508943282288548896332895220796408670\
         03817745076111780178513844066797476230405090106161087513056134\
         517113845514728483288866827820701279/
         35455034489550218056842626871610490595453903559160695346379140\
         322207909256169640312377966592000000000000000000*ep^2-
         24447085867418190600050237395/567*ep^2*z5-54660506972494677379\
         4817763869709/48755520*ep^2*z4+4628956523387033054516375486779\
         4211384674411/2787861046561113600*ep^2*z3+
         65147403260257863087180925300052379924152511058426801513725586\
         27172888738712761978269634875363690450818778967906380715329072\
         54247068288595685739414568897086425156332274761545216636384162\
         028515451/1948321123832569719705109770362997346730100266743573\
         90333296573343305129469574408096687807970159031794690390041248\
         4366049656869668687606422962176000000000000000000000000*ep^3-
         362926110159996398050933926275/3402*ep^3*z6-187115812390707027\
         014153645795154103/1846061280*ep^3*z5+462895652338703305451637\
         54867794211384674411/1858574031040742400*ep^3*z4+2198068675748\
         962881070614981442749974175248168800916591/
         134341615160320852098726912000*ep^3*z3-
         26464338229519203744792884615/1701*ep^3*z3^2;
Fill mncnoptab(13,10,6,1)=
      +mncF321*(3973920107501944600000+301561780839594422576000/9*ep+
         59656467321832118492647360/567*ep^2+
         23665886369990610778977686845/130977*ep^3)
      -2073699368757879968511943934443098663061570669053153589/10603391\
      7680110386835066598400000-44326997611529628385/57834*ep^-3-
         10542245040400828741631170297/94149125280*ep^-2-11567047073568\
         326716807228006424142953677/9241759369350091584000*ep^-1-
         1512205193644340369373830020/28917*z3+
         12780295477829401582139240984448528557255980149273221345367329\
         02259137675552792173189648480098289542116478985672128912649424\
         9638191/684887289910774220242732546778412995543553666184862907\
         52017715859119560808672668439019520000000000000000000*ep-
         756102596822170184686915010/9639*ep*z4-65201467331415809397208\
         224507345731/73974312720*ep*z3-
         73232420185663036412564806576369847083146100112728985029356559\
         02351721352975253684909790490062678496493234229450935605062118\
         2528127479056497/880090393724447988763948610898463157113585520\
         95604937558847241405887671325130725397487079888257024000000000\
         000000000*ep^2-48894646893582753209262905030/9639*ep^2*z5-
         65201467331415809397208224507345731/49316208480*ep^2*z4+
         985218238329604750661370174556907594939717717/
         513431076075005088000*ep^2*z3-
         68473191605926832171154748336193836093881198108734090484227295\
         53582898626087500253751170644220149373105296320965247038999021\
         36604862940466744544539317379265425026743535290816162286628712\
         815607/1010754993357606392148662549873117157308022689972591601\
         94823964770640404975929827212998824849391642419043806187585050\
         578642849191019342620262400000000000000000000000000*ep^3-
         362929338717759798146037212675/28917*ep^3*z6-19024132968296487\
         9535157988940898503/15691520880*ep^3*z5+9852182383296047506613\
         70174556907594939717717/342287384050003392000*ep^3*z4+
         743462669694377392877055105857445259323349313616220993487/
         371118711880386353922733094400000*ep^3*z3-
         52927201078972412069304155950/28917*ep^3*z3^2;
Fill mncnoptab(13,11,1,5)=
      +mncF321*(1395798384866385500000+106828839293711767145875/9*ep+
         471440333263825200134150135/12474*ep^2+
         345947897144733639670675471159/5239080*ep^3)
      -1885074729382560469319434589141364652081192899171350327/27444072\
      8113226883573113548800000+6408806671828497235/149688*ep^-3-
         29631877579413814119738128737/1072192391424*ep^-2-622593085760\
         369222916523384498705103/1887614250275754000*ep^-1-
         31243925380589326037910355/1701*z3+
         18379986778454440796232743435164690277051636638797056372192271\
         530712800957817881247198893550613522005150024265235209399/
         28666125642029087898976025933945934890631141365123183650611880\
         1004256179586596864000000000000000*ep-
         31243925380589326037910355/1134*ep*z4-238113661725893720426469\
         08189853457/76585170816*ep*z3-64374660493863837665586639375005\
         10235880655459023733397660913500970416300070214954249827390259\
         6849363222864484870389483800002952767/
         23022749668539102634313394072474344542502534778675776198947493\
         7157194215949153508521934848000000000000000000*ep^2-
         22224840651400262402170224815/12474*ep^2*z5-238113661725893720\
         42646908189853457/51056780544*ep^2*z4+211823097291601760587850\
         20644966880582918117/32499793178660808000*ep^2*z3-
         18730945913487963295679927924642649577605343006736076750671070\
         59980929161610434917251968605857297142789001192464878448870796\
         58094771743158497609853145302704442715553810884507995168353477\
         1107/273866376459276415909656377193881979983451832758455002454\
         74843006239987641254156676692556658906999121637151846898175962\
         806483118337549242309017600000000000000000000*ep^3-
         329935777979139110168383233175/74844*ep^3*z6-71271685198751777\
         835695708283735653/16245339264*ep^3*z5+21182309729160176058785\
         020644966880582918117/21666528785773872000*ep^3*z4+
         31536668374400233362001703428168224352014244555281482453/
         41762719495491047500256409600000*ep^3*z3-
         24057813863349493812668870995/37422*ep^3*z3^2;
Fill mncnoptab(13,11,2,4)=
      +mncF321*(6012669965578276000000+459789874094757306191000/9*ep+
         144727119473700292247604860/891*ep^2+
         26501608238816839892586369961/93555*ep^3)
      -1015311668426655815064617607497406675561085182157860131/
      34305091014153360446639193600000-843347831278815518435/2673*ep^-3
         -73764234917475507745831172587/19146292704*ep^-2-2602220233210\
         3779866416400117004830551/1617955071664932000*ep^-1-
         19225336383994576033220360/243*z3+6669644846460420890172776617\
         85070048883139665679822623797715702801807021148476208671146175\
         95439932341715534498571/23361212263813142378798464219038599858\
         9779304959970619392112957774102528000000000000000000*ep-
         9612668191997288016610180/81*ep*z4-128151748224653696326607906\
         85494485/9573146352*ep*z3-963482101789792966785937049614579696\
         97576266411221843846790545550371823330848855543797014593807265\
         99528946715433582045258801/75048766424831103508868782092733870\
         31982213764658011605804435456417921628991651840000000000000000\
         000*ep^2-6838346510469584586229397540/891*ep^2*z5-128151748224\
         65369632660790685494485/6382097568*ep^2*z4+7522226012284601181\
         7665828118892530215414523/26696258682471378000*ep^2*z3+
         85667185096381096969955452914617885710719027767492247082294197\
         94232679261858047019303047707693721272397321112284209355076243\
         9667799008006294305140337227939219553250962285751108677107/
         44901133390771314497035429212181347914892673097786259498573894\
         32965890833691827452447538014584426378082197169339272712027380\
         18157854720000000000000000000000*ep^3-
         50758902077962033555806921650/2673*ep^3*z6-5465894634066404644\
         816714230189263/290095344*ep^3*z5+7522226012284601181766582811\
         8892530215414523/17797505788314252000*ep^3*z4+5543833065831354\
         7361630811042004859366181794294445984841/
         17152545507076680223319596800000*ep^3*z3-
         7402609925127432763148720020/2673*ep^3*z3^2;
Fill mncnoptab(13,11,3,3)=
      +mncF321*(8374790309198313000000+213571378603260996646250/3*ep+
         470929817486883592141910450/2079*ep^2+
         69052278168208450513251137063/174636*ep^3)
      -33156149695980665350243747911907982230973783922119/
      804221913884913944536596480-23519882631138551431475/24948*ep^-3-
         1980702704774104880520608196163/178698731904*ep^-2-16731143679\
         8823480555946061412253157/3872029231334880*ep^-1-
         62476086973520869636518050/567*z3+1884177387740279815491663812\
         95803576577167952304204991100980326349735901101781445804752366\
         2750146455484340546678750859/462715096236264977708161575638331\
         8519278012229649274220462919695962296287232000000000000000000*
         ep-31238043486760434818259025/189*ep*z4-2380346815741581981202\
         4745927996859/12764195136*ep*z3-
         15231058563201928347334141124228696020928920762930062697740098\
         77274549632563831063608960773371709821070985005214427711680380\
         474969/8175692353884624515026063235963900760831866043563840979\
         73987702972990823683073538785280000000000000000000*ep^2-
         22224381872242720325076512825/2079*ep^2*z5-2380346815741581981\
         2024745927996859/8509463424*ep^2*z4+13059690937008952346409236\
         1735063694096601/33333121208882880*ep^2*z3+
         30793702256056299128856884112870508878928259749961546580044234\
         28817816590102204891758118475503851145427020695122594209350298\
         94180645852447147697694755117580301253229064713811394851504850\
         5079/375752873176628605247946669380810438704051617130499018734\
         72392425271160729380864500239981211374853521099527165972768544\
         01070288382443965644800000000000000000000000*ep^3-
         329929543300097157046139199625/12474*ep^3*z6-64695769831055951\
         50137770769623317/246141504*ep^3*z5+13059690937008952346409236\
         1735063694096601/22222080805921920*ep^3*z4+3423797632534610040\
         5197560500477869089710443286354909/
         7578244957761689092748697600*ep^3*z3-
         24059237338150174220252509525/6237*ep^3*z3^2;
Fill mncnoptab(13,11,4,2)=
      +mncF321*(4466554831572433600000+342327666157699405508000/9*ep+
         757070781974433378293691200/6237*ep^2+
         12662250911662803391358241304/59535*ep^3)
      -7253516309086437602748053333923364439717106169387737/
      329856644366859235063838400000-6311874594575002552580/18711*ep^-3
         -86027507478006355910281521928/20941257645*ep^-2-9697255934733\
         94323177863880344545721/56817820242414000*ep^-1-
         99967891111764261361380800/1701*z3+
         72858777679187589014527250187105040786119544381961293001879852\
         2432838795984728981330915539888835496996852766452355810557269/
         34160466390084663079613097571285572411335443460105127183645823\
         78634052806740279296000000000000000000*ep-
         49983945555882130680690400/567*ep*z4-5956470129266143937794554\
         776402941/5983216470*ep*z3-10498232828400271141200835726324709\
         16435477212261675601854481695240444103215715050073199280826354\
         82464157161339497505775406531157212689/
         10974177342003638922356051174546104231926208244502119988164972\
         0044929242935763172395455610880000000000000000000*ep^2-
         35559251457836686991524739600/6237*ep^2*z5-5956470129266143937\
         794554776402941/3988810980*ep^2*z4+248484372961007384976222154\
         5937938507026971/1197909043444228500*ep^2*z3+
         34672081798120856173352355967894135636801290645198547790081224\
         73851817525130545358768353121688474804253546357639491965707857\
         89702652876574542959462618545228663664146509101663733922324577\
         59613739/22192305372416698902545821765277569777992380181193470\
         36558311444938980331862961829367986841260097162156663871326982\
         19218608534868928607360177405952000000000000000000000*ep^3-
         263945268928201635248997575000/18711*ep^3*z6-17902297069786667\
         011713227051518403/1269167130*ep^3*z5+248484372961007384976222\
         1545937938507026971/798606028962819000*ep^3*z4+281994859937130\
         0196218799250688443616164705140530711293/
         1154498255284007322723434400000*ep^3*z3-
         38494038892435691484993420880/18711*ep^3*z3^2;
Fill mncnoptab(13,11,5,1)=
      +mncF321*(767689111676512025000+59025566123503161003250/9*ep+
         23858685256894422025314925/1134*ep^2+
         24304030400178256614807854566/654885*ep^3)
      -188544050924080304227494222141385961589846682527061547/
      49898314202404887922384281600000-5460859068428816195/27216*ep^-3-
         16580552305452404163617209237/487360177920*ep^-2-1657388865216\
         833694451164700210848208931/4349063232635337216000*ep^-1-
         34368305725211022412364075/3402*z3+
         15093830266371164886981363414124500964677597922992881981917710\
         1767769626380519522761940089736352408213697243439885919935953/
         42293910768676249527140025564448803937843882379177776513085305\
         64023112998821298176000000000000000000*ep-
         34368305725211022412364075/2268*ep*z4-852365067168431788738312\
         467382663/4973063040*ep*z3-19195797910895169743635837189222433\
         57957451473487073328477980732721950803836403233492964483514634\
         54742333228540180570563131942567837789/
         12228369038232626227768171308779944715574917758159505129669540\
         23357782992712789635263648235520000000000000000000*ep^2-
         2222483967559076730304069625/2268*ep^2*z5-85236506716843178873\
         8312467382663/3315375360*ep^2*z4+25502055426558934044719823370\
         6778275157891329/724843872105889536000*ep^2*z3-
         44323088787010446146860040300487476997714969959294474451844941\
         62617983277200414019861239271968416380267814695898894289460338\
         80326645505929532369727076270703684592489121955828775588164059\
         37591059/10909662725095604082343954397216284302626506223527882\
         49064379996041431507680531655613674203476602386438359970358222\
         3381755125453640608008882670796800000000000000000000000*ep^3-
         32993576456134040730437403625/13608*ep^3*z6-199103878957970180\
         151864191864174983/81226696320*ep^3*z5+25502055426558934044719\
         8233706778275157891329/483229248070593024000*ep^3*z4+
         75060130496382476092597753718933167500405969000824910433/
         174644099708417107728344985600000*ep^3*z3-
         2405781581209056484891514005/6804*ep^3*z3^2;
Fill mncnoptab(13,12,1,4)=
      +mncF321*(88271834616056000000+76064778675938662376000/99*ep+
         174229682519802778783166720/68607*ep^2+
         33477703485098028473988668572/7203735*ep^3)
      -942869613598873460732191826360950755060948844936688197/216979700\
      6645200048249928995200000-33823138685572982720/205821*ep^-3-
         58872065274013342065948859553/8477021094696*ep^-2-119180292706\
         90378397979396227330142421/179087401994912160750*ep^-1-
         21734825784274612214429120/18711*z3+
         18271566282250008285852353091309463406739550238899291437345076\
         1951424478762208974602381716596279751885770385573896725011/
         40997312979751421947355700355149080989949192928117818454398686\
         942094673643044864000000000000000000*ep-
         10867412892137306107214560/6237*ep*z4-120463858225282781906009\
         83077323135/605501506764*ep*z3-6912153729547601437903445579876\
         99750173957263078817317793064855041468040139556751127161539386\
         0581179100453583275858075929663797749/
         32926349573787587791739659571124819921276743776263028141670761\
         8989163283970648432946708480000000000000000000*ep^2-
         7730376416939934972873039680/68607*ep^2*z5-1204638582252827819\
         0600983077323135/403667671176*ep^2*z4+881639018497582701911506\
         851288926222272060459/23639537063328405219000*ep^2*z3+
         63901820802299958107029104747769249192939900960766726690970861\
         70715667424174783130375235482462830471630798342836979169310329\
         11501068818984267387758814207915376427460769879589241576197649\
         3861/578996835435268698176346231120994109467565577547371385929\
         52235054646402443085159045431011048645855923614259166114447268\
         3057981742914386085806080000000000000000000000*ep^3-
         57380115417981960460650996800/205821*ep^3*z6-38532226596971967\
         549418309285141207/128439713556*ep^3*z5+8816390184975827019115\
         06851288926222272060459/15759691375552270146000*ep^3*z4+
         426755142537643529063852667827481502486709586059360295689/
         7594289523258200168874751483200000*ep^3*z3-
         8367945680983250160707371840/205821*ep^3*z3^2;
Fill mncnoptab(13,12,2,3)=
      +mncF321*(285185927221104000000+81857710447625460712000/33*ep+
         26754713665798369350637720/3267*ep^2+
         5133285490495146631105161242/343035*ep^3)
      -72562309369661450992284939588299043863903627603636461/
      51661833491552382101188785600000-303145079102228766520/9801*ep^-3
         -76464193631047407229253267225/201833835588*ep^-2-207163751211\
         97719619358497945272238357/12995004226388184000*ep^-1-
         3343224949797544809106720/891*z3+24730930304898084151698630971\
         64952827451165984557975541985760536945422256831156566639530988\
         916067710230603321/1985516654991089282551780111671039141453402\
         67590064891933163948322324480000000000000000*ep-
         1671612474898772404553360/297*ep*z4-92619760155243769494391938\
         2548253/14416702542*ep*z3-451351021752738627993519818821987064\
         13123605178715827859457129946587013984780274064212034218149912\
         781609632771798159433/9112209099320816896540475287987459569240\
         18324135131524682250378756186239611699200000000000000000*ep^2-
         1189265478113268804473006080/3267*ep^2*z5-92619760155243769494\
         3919382548253/9611135028*ep^2*z4+54446805781882345534765068196\
         8712713880270271/4502768964443505756000*ep^2*z3-
         64244148718340401314111317563184607422427175085687580939449632\
         84116411015224795903582252808537959830885084712536399676893460\
         241409134792229553704258430468408894962891792895492917/
         82961697706976477612730279891491530538980331582371521707283587\
         40677718849518787600054240053821901429227205654275972089073852\
         6912512000000000000000000000*ep^3-8827552399730083551297110800/
         9801*ep^3*z6-422411090582514855366386277885775/436869774*ep^3*
         z5+544468057818823455347650681968712713880270271/
         3001845976295670504000*ep^3*z4+3269141629634453627548468518803\
         1301836981887286182501777/180816417220433337354160749600000*
         ep^3*z3-1287448050845425327485261440/9801*ep^3*z3^2;
Fill mncnoptab(13,12,3,2)=
      +mncF321*(264815503848168000000+76053609416107717160000/33*ep+
         174161416136882010441737600/22869*ep^2+
         608246103140819322477108460/43659*ep^3)
      -14513629646457402896491769780432261890406524890693809/
      11127164136642051529486815360000-2169531468392249187200/68607*
         ep^-3-1092402202568125530412950456149/2825673698232*ep^-2-
         23829341452804978780637406263187667127/14694350932915869600*
         ep^-1-21730558243462392425004800/6237*z3+
         39501349801671706396394827596526391124681221783434119895750023\
         6185945717541708626060021930746093549564854949442063286557323/
         33672459727369167892761481891695778519744937124960768223879454\
         875107091952154181632000000000000000000*ep-
         10865279121731196212502400/2079*ep*z4-172055195806119662859730\
         9871949821/28833405084*ep*z3-521659660912338436271153029321708\
         92259115046555318215003925640601373856502654866744175252656344\
         336124719055987902622886883378800852113/
         10817403379975015509179536157766874171470119555294946845476900\
         97585731108938236985040919592960000000000000000000*ep^2-
         7730209931168578397790147200/22869*ep^2*z5-1720551958061196628\
         597309871949821/19222270056*ep^2*z4+54307115489445623118459058\
         90387931873592239/48491358078622369680*ep^2*z3-
         29387081346433979280933123073640275276798860266219866002883687\
         57277571260702268034014212013722956049941999564803869056149360\
         97317202812823150067482025729124175488019914867670925951116150\
         90960787/47554940083750069076883903782737649524269386102557436\
         49767810239154957853992061062931400374128779633192851152843533\
         26897018289004847015771808727040000000000000000000000*ep^3-
         57378984132069122191738472000/68607*ep^3*z6-385100668084839505\
         35768502923757411/42813237852*ep^3*z5+543071154894456231184590\
         5890387931873592239/32327572052414913120*ep^3*z4+1312168706389\
         947122812503917185565088152239853354470529/
         7789014895649436070640770752000*ep^3*z3-
         8368461712343884361265078400/68607*ep^3*z3^2;
Fill mncnoptab(13,12,4,1)=
      +mncF321*(70617467692844800000+60956010761698663624000/99*ep+
         140006003932273760576721400/68607*ep^2+
         26994676432343910097001732242/7203735*ep^3)
      -377211937256189474298291952710376957542727095493126999/108489850\
      3322600024124964497600000-35997985913849220040/205821*ep^-3-
         156424295463160912296948149473/21192552736740*ep^-2-6062755137\
         29401187506423781881785170957/8596195295755783716000*ep^-1-
         17387847606221402055428800/18711*z3+
         17124544864366708514808013302997526606581564022496288377209463\
         41597975788955803720859466749431887305557815398144069470650107/
         52529037174695901912707911751045414490802101914938798429251949\
         6051670634453605233459200000000000000000*ep-
         8693923803110701027714400/6237*ep*z4-3444811199804205994746056\
         481533527/216250538130*ep*z3-238162053592150889076129228705812\
         69701099726835936821755703865110187970969378257693076656829646\
         928603751394567487869692567933221624893/
         16875149272761024194320076406116323707493386506260117078943965\
         52233740529943649696663834565017600000000000000000*ep^2-
         6184300560952435432664514400/68607*ep^2*z5-3444811199804205994\
         746056481533527/144167025420*ep^2*z4+1554980022593086227879668\
         31135034034937595771/5253230458517423382000*ep^2*z3-
         89426373687023021346416010968534922563863784150388826397501878\
         55248846080724234073944935785748184875970511633133577096012383\
         34410771226200750831921928208068594811252394268784598974553376\
         166321/1854642663266252693998472247526768331446506057999740023\
         40944599327043356305690381454324614591022405694521194960897797\
         4898371327118903361510054035456000000000000000000000*ep^3-
         45904088397972177188459566000/205821*ep^3*z6-77495672712695567\
         724572352842390837/321099283890*ep^3*z5+1554980022593086227879\
         66831135034034937595771/3502153639011615588000*ep^3*z4+
         172472143640608304980140164084935969044708469677654219251/
         3797144761629100084437375741600000*ep^3*z3-
         6694357692864485001550531040/205821*ep^3*z3^2;
Fill mncnoptab(13,13,2,2)=
      +mncF321*(5941373483773000000+5286165563051165065000/99*ep+
         1817882128468559597772250/9801*ep^2+74187010148389549177184207/
         205821*ep^3)
      -4067241797269270591555441817845466246701232568198467/13886700842\
      5292803087995455692800-37565684591418592375/29403*ep^-3-
         149531669904815959716816333497/9688024108224*ep^-2-12562587606\
         2621432588986979459526955751/1964844639029893420800*ep^-1-
         208912219911390712923700/2673*z3+14306909243162868408748809413\
         59592902969467101650041505930407298307004536521267386214056039\
         81710435441435623/35739299789839607085932042010078704546161248\
         1662116805479695106980184064000000000000000*ep-
         104456109955695356461850/891*ep*z4-659204535540336187372038296\
         5285565/4844012054112*ep*z3-2838856180881279797943614930107506\
         89529915988855737873466671755722356122366212582897168507473767\
         66654017704481871683093/11481383465144229289640998862864199057\
         242630884102657210996354772327946619107409920000000000000000*
         ep^2-74327586159719703656528800/9801*ep^2*z5-65920453554033618\
         73720382965285565/3229341369408*ep^2*z4+2562116455185060413752\
         885958147397612466439/1200738390518268201600*ep^2*z3+
         20413576534126737268547813740465148867229674448318552878486029\
         55475927277122386528585481794313349015243862216022720854211800\
         56992522786588535041543654497925719987604277259523721/
         29866211174511531940582900760936950994032919369653747814622091\
         46643978785826763536019526419375884514521794035539349952066586\
         9688504320000000000000000000*ep^3-551711810150334532818564250/
         29403*ep^3*z6-3278470256488593361753316202603595/146788244064*
         ep^3*z5+2562116455185060413752885958147397612466439/
         800492260345512134400*ep^3*z4+22377239663987519059794259771441\
         9732345989900054240107/49595360151890286817141234176000*ep^3*
         z3-80470448158480855063799600/29403*ep^3*z3^2;
Fill mncnoptab(13,13,3,1)=
      +mncF321*(2758494831751750000+2455796271132587938750/99*ep+
         11834840873884290725008325/137214*ep^2+
         967113660498551088643010789/5762988*ep^3)
      -188821175317203086591953297036074629839598370137249561/138867008\
      42529280308799545569280000-10373288306376623875/823284*ep^-3-
         200668679426100885689328038789/271264675030272*ep^-2-405732805\
         832285042011359382827453334199/55015649892837015782400*ep^-1-
         679217688265690435840225/18711*z3+
         18195916272606150858536495765191490291286680114543156804317971\
         3061599123653451140532745063911667680898230475962140328247/
         13643905759661273224079977078193614153455091406477609981623883\
         01432910738840533073920000000000000000*ep-
         679217688265690435840225/12474*ep*z4-1224910900625208524268668\
         5824140447/19376048216448*ep*z3-
         26453150973443116292179497982209385466618887908992989433962737\
         13532499245543602653045361894990311024891761235916539486050262\
         1194109/438315565526260368683638348210813602792036013149613430\
         62192118239837416362172719393865832857600000000000000000*ep^2-
         241574334544145784598401400/68607*ep^2*z5-12249109006252085242\
         686685824140447/12917365477632*ep^2*z4+99521522103878572208861\
         088467950640717914229/100862024803534528934400*ep^2*z3+
         74180846554930734865849838208908138092161440483512422497827797\
         85619944294923824406705887711964902373531910973396030967362745\
         82072895192452521739663927747744890897618614436518433190482864\
         71/83778324709938009892646967703072538969915575742506607494497\
         84272254922927416843882747582816082322109295141500209951326474\
         85636191486555171114188800000000000000000000*ep^3-
         3586258045307573795004808625/411642*ep^3*z6-427062385555836299\
         90993983011317071/4110070833792*ep^3*z5+9952152210387857220886\
         1088467950640717914229/67241349869023019289600*ep^3*z4+
         102092218345491780003598929782965355729066473188219644941/
         48603452948852481080798409492480000*ep^3*z3-
         261497116188832408998733100/205821*ep^3*z3^2;
Fill mncnoptab(14,1,1,14)=
      +mncF321*(1125058699232216000000+11849487951435538769659000/1287*
         ep+4137539985116884882547100230/150579*ep^2+
         31355658610090184480896023831466/710582301*ep^3)
      -1884829302076003927087798768919550418978651254901031499079/
      340503144542821750428935285889600000-5764044392847558145/4969107*
         ep^-3-4988435589152580379370935763/682198364287440*ep^-2+
         11522436346969526554759652510605492051/
         1521935909981904945528000*ep^-1-73568518593257036579996212520/
         4969107*z3+955602001794174451168815318700121323640398936434041\
         91029665724166758767348982441542669889349026157811/
         17632124199067235065381493295647956364052332922197945073354670\
         08000000000000000*ep-36784259296628518289998106260/1656369*ep*
         z4-136278824847367003718010640098788052569/554286170983545*ep*
         z3-78938542532309601671768902475221581360092398704577372034035\
         404506925116482020347979437395220915366591927266130579/
         31720560010403933440401597952684447869202635040504762277705522\
         4564698578944000000000000000*ep^2-
         792905147408137107914116300660/552123*ep^2*z5-1362788248473670\
         03718010640098788052569/369524113989030*ep^2*z4+26386118450825\
         2665165004072280109091329636077183/436437503597752153497000*
         ep^2*z3+130965665365355976071362803280870050406696143044946640\
         89978377371054302601428529846571408201808741247350388615651046\
         03834316846845263882746289/26725388184078543475087385852536857\
         20053822467576753954320097086835732578625993822026673778851840\
         000000000000000000000*ep^3-17656444520199942336617626233550/
         4969107*ep^3*z6-6820264388304342853120041043669742316577/
         2217144683934180*ep^3*z5+2638611845082526651650040722801090913\
         29636077183/290958335731834768998000*ep^3*z4+50387137741699145\
         9580212063268391813482806938971291274117289/119176100589987612\
         6501273500613600000*ep^3*z3-2574898163902579451795828450540/
         4969107*ep^3*z3^2;
Fill mncnoptab(14,2,1,13)=
      +mncF321*(13581065726446036000000+10948610417431388584255100/99*
         ep+26510613692549161897305644/81*ep^2+
         76531971083838998748892377350896/147162015*ep^3)
      -1346306663647542371850813979491626242544979039103100576747/
      20148115061705429019463626384000000+20396413509425123/58806*ep^-3
         +1261371884036431022210629013/524767972528800*ep^-2-3041908951\
         68387686860679242818683611/73169995672206968535000*ep^-1-
         5254894205484599176538019076/29403*z3+
         16924251643907193762014406269316695439594601347949618411080671\
         4935049838694607205281415632556504044674627/
         25765854391725706341695938368598930790925231588556239735595676\
         4672000000000000000*ep-2627447102742299588269009538/9801*ep*z4
         -7469575427245126306022161328719341319/2522922944850*ep*z3-
         71687405583261715964585183935601847284993620167051001385815925\
         880725868059617027014966700335641044204183553747919397/
         23649648291780447417104149952888996636210248610080473650833703\
         133226047897600000000000000000*ep^2-
         56636081985664274571298111058/3267*ep^2*z5-7469575427245126306\
         022161328719341319/1681948629900*ep^2*z4+273633556181886213120\
         25290052619198257823859037/3689243479270939590000*ep^2*z3+
         25913757563740876990708810819296152351676114989667712283131638\
         21646880631655850868862803325721152140411197918407547529203727\
         638162319498077755471041727/2988746128293180131913799510192863\
         10413057459123752626728417887787829331727780125826616814567900\
         892364800000000000000000000000*ep^3-
         1261174609163734679912862451115/29403*ep^3*z6-6827789919387727\
         86406551451103719654643/18741713304600*ep^3*z5+273633556181886\
         21312025290052619198257823859037/2459495652847293060000*ep^3*
         z4+337489984468787944603578712301952190375095857713035357938257
       /70518402715969001568122692344000000*ep^3*z3-
         183921297156649752253930965022/29403*ep^3*z3^2;
Fill mncnoptab(14,2,2,12)=
      +mncF321*(151331875237541544000000+40506456803606440731268600/33*
         ep+7501793940536615735229480968/2079*ep^2+15015850184760980349\
         1001216450504/26413695*ep^3)
      -724934356850415130116826617903806165300477956384732798391/
      973626861956179508830096344000000-10367117761331480227/68607*
         ep^-3-66741593124592921307918386249/47094561637200*ep^-2-
         49191648578397630426741217138516399019/13133076146293558455000
         *ep^-1-136627249012605309613461660152/68607*z3+
         46202825080366132552654781234255243896315645367011896375635702\
         5311980670322884582289659529542472570646047/
         62920279344873519759941241437360026351465767005021342455667097\
         600000000000000000*ep-68313624506302654806730830076/22869*ep*
         z4-96916903028218958718351612324297421369/2943410102325*ep*z3-
         22915313061297435385457298983210947185994714736349846808137411\
         12969096708228072139898182357372336637952229426227467/
         67377915361197855889185612401393152809715808005927275358500578\
         727139737600000000000000000*ep^2-
         210362590180049761800349435588/1089*ep^2*z5-969169030282189587\
         18351612324297421369/1962273401550*ep^2*z4+1939646521004896147\
         22749967594986997574249737743/2317601672875333845000*ep^2*z3+
         78203179740854079035946286714948272841815658602728777673553572\
         95190158575942975062412415505634998344845895977778179162046851\
         78468702983345056856132268621/11447965080694413183848392766720\
         87742564300446107945329165100659473024850993014946246594762943\
         1203823616000000000000000000000000*ep^3-
         32790539830826324209521381954730/68607*ep^3*z6-470667290564383\
         4344211088910501834450727/11773640409300*ep^3*z5+1939646521004\
         89614722749967594986997574249737743/1545067781916889230000*
         ep^3*z4+319605305638453402274216790907198903894117885623618051\
         150139/6328574602715166807395626236000000*ep^3*z3-
         4781953730386446739570468680644/68607*ep^3*z3^2;
Fill mncnoptab(14,3,1,12)=
      +mncF321*(65189115486940972800000+17466247461382179421598000/33*
         ep+462909551184288236132338900/297*ep^2+
         40245389774297271233351180143472/16351335*ep^3)
      -39680617146310957843720407157881837572193387893085600373/1237164\
      95992928072926531039200000-491234464086706490/9801*ep^-3-
         57317093105923922046523043/153440927640*ep^-2-2890949004212098\
         36569738354319252423/1026947307680097804000*ep^-1-
         8407830710783580458855866000/9801*z3+6857759620848621869285875\
         13442387527827544580789268331754451121458862676630305979608226\
         07671662920627195291/21697561593032173761428158626188573297621\
         247653521043987870043340800000000000000000*ep-
         4203915355391790229427933000/3267*ep*z4-6281073682358961588651\
         6312173971592/4426180605*ep*z3-1019440362459472025308125445829\
         24814356776553415859238281157907431408474346726388296942241218\
         94050997625389030278710053/69704226544195002913570126176935990\
         0856723116928687644445624934452978253824000000000000000000*
         ep^2-90617731157507562945029923400/1089*ep^2*z5-31405368411794\
         807943258156086985796/1475393535*ep^2*z4+232603035243285607524\
         268641815156920193895691/6472356981177087000*ep^2*z3+
         43375822922175083175949313355177428878154824780733743858778932\
         09043531179370763925231154527931108786391594091526864974889277\
         37551831931537926499406990557/26300965928979985160841435689697\
         19531634905640289023115210077412532898119204465107274227968197\
         5278528102400000000000000000000000*ep^3-
         2017879374266961215116033611500/9801*ep^3*z6-19894634142516880\
         276150432825097052259/115080695730*ep^3*z5+2326030352432856075\
         24268641815156920193895691/4314904654118058000*ep^3*z4+
         1363795400750736984999855815861124252164255638134507241691/
         61858247996464036463265519600000*ep^3*z3-
         294274075697483761854607064440/9801*ep^3*z3^2;
Fill mncnoptab(14,3,2,11)=
      +mncF321*(665860251045182793600000+16169147446481034477706000/3*
         ep+2984088123216376033024313900/189*ep^2+
         19823809004716236984502223879096/800415*ep^3)
      -753931797137264171537152397318140374983903933628940064887/
      230129985553278792996204590400000-17701986729243996010/6237*ep^-3
         -1808131645482291356556443857/47570264280*ep^-2-35402711155347\
         0579681540022524733490437/1910265621279063048000*ep^-1-
         54650899347855090699362824400/6237*z3+
         12741135050603867956829448790936696427282554016091887533319373\
         4961089852586721800923772639934180112184599128733/
         39351486707362896958226524053860185207958535517067711596182487\
         69536000000000000000000*ep-27325449673927545349681412200/2079*
         ep*z4-15491006563510511299834751870082834149/107033094630*ep*
         z3-35610330858621122611151370980265059307628806557013295707882\
         78720860419429924264445808890976929689842934298240351205354671/
         23703397492443584797597568475509198901292544629648838363676507\
         003983379824640000000000000000000*ep^2-
         84145036026296323324473393400/99*ep^2*z5-154910065635105112998\
         34751870082834149/71355396420*ep^2*z4+624720697638368013106878\
         58302634369371032214491/168552848936387916000*ep^2*z3+
         18768543310569848248243035430295252062190262015526473285282691\
         05442036892873605521276111987817535779934601047412433878605198\
         28639857583745479681102608453955551/
         95463540083812466593458670155070240409034683018717826503323957\
         53831056684717024999027967674113322403024076800000000000000000\
         00000000*ep^3-13116215925772033196856152399500/6237*ep^3*z6-
         93372111948618322481214568962804995224/53516547315*ep^3*z5+
         62472069763836801310687858302634369371032214491/
         112368565957591944000*ep^3*z4+24799340455063428470703706328649\
         053007672787853858623231769/115064992776639396498102295200000*
         ep^3*z3-1912781494657908616096645255160/6237*ep^3*z3^2;
Fill mncnoptab(14,3,3,10)=
      +mncF321*(2663441004180731174400000+64592480379246701928982000/3*
         ep+11894681225107418520789817460/189*ep^2+23641265358533001746\
         6897808436378/2401245*ep^3)
      -60314568650893187775634762101704711117320019950764758267/
      4602599711065575859924091808000-866012693675250867070/6237*ep^-3-
         727773071772815521482463990277/428132378520*ep^-2-273789089130\
         904444663058941375795404637/38205312425581260960*ep^-1-
         218603579730851162057658209840/6237*z3+
         28108051142771974410409824717297611714921755666481672602026795\
         532140259195759485923706843050421829506134248297903/
         21705155739589735022244658481707739298275415090199776353265797\
         8559692800000000000000000*ep-109301789865425581028829104920/
         2079*ep*z4-10320755541370366704795918289390346036/17838849105*
         ep*z3-59975446370193213630505691566282969580729821006671231678\
         44311492690758863296853133169944019814105899246513575173212046\
         75953/99612318604979244520842679601568453831717567145658955017\
         3115575971481137446912000000000000000000*ep^2-
         336580141133077414474345211560/99*ep^2*z5-51603777706851833523\
         97959144695173018/5946283035*ep^2*z4+1254505729396113804639202\
         1417839641333118599529/8427642446819395800*ep^2*z3+
         91051803442318710085567975051001431668645141920041725138464552\
         36386697116042120178094812068709103407982095755503316876750951\
         6046792146971195314627826085354949599/
         70206614907352368289017890565471656803672935454337052977015961\
         91531754258989034956427996798047911961538278195200000000000000\
         0000000000*ep^3-52464863279132564874565225296100/6237*ep^3*z6-
         743146390664183623113066155841096184847/107033094630*ep^3*z5+
         12545057293961138046392021417839641333118599529/
         5618428297879597200*ep^3*z4+1944832236544443667849200321508817\
         792023126691425137938317/2301299855532787929962045904000*ep^3*
         z3-7651126174224954516960467543720/6237*ep^3*z3^2;
Fill mncnoptab(14,4,1,11)=
      +mncF321*(164330895289997035600000+11997135751468481181568000/9*
         ep+317494078082455535840574500/81*ep^2+
         835072862110406869515887992984/135135*ep^3)
      -753931761365071592828995255349050693894012447322542568827/
      932474746657441343049556262400000+8636776602130510/243*ep^-3-
         9473444990549895641549839/41304051360*ep^-2-153569299765846431\
         5794381889291680511/241884283213907334000*ep^-1-
         525489420769374862690672600/243*z3+145002369234224628987724901\
         52328181743239935487121139316437814138122456116162939587679019\
         449765627240456467583271/1818038685880165839470065411288340556\
         607684340888528275743630931525632000000000000000000*ep-
         262744710384687431345336300/81*ep*z4-1192871850025681880554992\
         746196184523/33360964560*ep*z3-7191057864066962181571135777284\
         39098378166767073312645675529574541192527641944444416394130752\
         962811873133032717730310163413/1946839047379366431376013624121\
         82220309282766558182459093663044192716826293043200000000000000\
         00000*ep^2-5663608198751512291871265200/27*ep^2*z5-11928718500\
         25681880554992746196184523/22240643040*ep^2*z4+110800140694095\
         9775939222509326830790998118011/12195846212465916000*ep^2*z3+
         27239535296261167198926279091560670833552015867630695280709328\
         76889199519524948863467972265712250306060588631656096943177634\
         009678237678606481950688138566064497/
         40015604612646598422962202330089797814059271864177342186363722\
         79298177843463633437462374142214128751658139648000000000000000\
         0000000000*ep^3-126117460919985589410376785500/243*ep^3*z6-
         188327982541203412833007692323524289273/433692539280*ep^3*z5+
         1108001406940959775939222509326830790998118011/
         8130564141643944000*ep^3*z4+2554975155291378623910375368523141\
         5753494119409902172911569/466237373328720671524778131200000*
         ep^3*z3-18392129712514176966753933040/243*ep^3*z3^2;
Fill mncnoptab(14,4,2,10)=
      +mncF321*(1525929741978543902000000+111145638453741762813800000/9
         *ep+20508502051641134292452107300/567*ep^2+
         2477026010902383449961944233004/43659*ep^3)
      -753932059821245860571959281431990656972552664281409237203/
      100420357332339836943798366720000-82181610512233872250/1701*ep^-3
         -19041168726176328974512988513/31136900256*ep^-2-1425084531943\
         00390873855335307672266643/52098153307610810400*ep^-1-
         34156810498310648654214402200/1701*z3+
         45052921311957612512999169313863134038310026208195490948181588\
         0471625884814230880392565283268804731675438507635497/
         60774436070851258062285043748781670035171162252559373789144233\
         99671398400000000000000000*ep-17078405249155324327107201100/
         567*ep*z4-15489827984925230181673117431378957479/46705350384*
         ep*z3-22404049444949665743244950723937170807009017839782772916\
         78769727428000577354225835213361299163969965751987608188581069\
         8990843/650800481552531064202838840063580565033888105351638506\
         11310217630136767646531584000000000000000000*ep^2-
         52590647248998129558611786800/27*ep^2*z5-154898279849252301816\
         73117431378957479/31136900256*ep^2*z4+781247820441942599876391\
         4292424580039899287623/9193791760166613600*ep^2*z3+
         23542164494944088290509738538380785335412122645663719380375350\
         43294796720188196035273518255967653786788582172756416721986080\
         7830761278030316190455415203643038457809/
         22606530000167462589063760762081873490782685216296531058599139\
         73673224871394469255969814968971427651615325578854400000000000\
         0000000000000*ep^3-8197634915471428783845820415500/1701*ep^3*
         z6-186629948841224246047370852386803665153/46705350384*ep^3*z5
         +7812478204419425998763914292424580039899287623/
         6129194506777742400*ep^3*z4+2471350768773050262223292015062622\
         3834504176647701859873881/50210178666169918471899183360000*
         ep^3*z3-1195488451932076102971815762000/1701*ep^3*z3^2;
Fill mncnoptab(14,4,3,9)=
      +mncF321*(5493347071122758047200000+44429786380476962193872000*ep
         +8189391953071696247661369160/63*ep^2+
         14817708682709690054719983239108/72765*ep^3)
      -30157329669520321228684114292339190858988735931081442871/
      1115781748137109299375537408000-330531309690000413020/189*ep^-3-
         541265536199537904104491165319/25947416880*ep^-2-5802615438717\
         05172124760029823015778359/6946420441014774720*ep^-1-
         13662717667297260841101296240/189*z3+
         30431464214327565663041481197453874199151181656508236540567463\
         82344886895574155919883009744454268376317048240721159/
         11379575478286963958164483500286279780248098281857825133358282\
         497327104000000000000000000*ep-6831358833648630420550648120/63
         *ep*z4-15484962235907931014108588949480582979/12973708440*ep*
         z3-54462098041958759841390354527551383892835707808972312539974\
         67449482919627534939325592295829374189786488714397602574835574\
         541799/4386877320094839025367284033021172697635838339777711411\
         577207262475885819136573440000000000000000000*ep^2-
         21036257795839801389577044160/3*ep^2*z5-1548496223590793101410\
         8588949480582979/8649138960*ep^2*z4+31312056274729102798915418\
         31922400083580664371/1021532417796290400*ep^2*z3+
         68095521553402639056866611027823756933021835184566019739195526\
         35542518872498232226480872713713524509804542798700416230150116\
         10453101599937810961709951420702909878371/
         10158983851927106644961986317775064136598638788557947290530971\
         43724757843441465196509892158895802055787627790991360000000000\
         000000000000000*ep^3-3279053808676525566755631214600/189*ep^3*
         z6-186158430380421728922480759133910723093/12973708440*ep^3*z5
         +3131205627472910279891541831922400083580664371/
         681021611864193600*ep^3*z4+75286865584179086847433250510902479\
         096352038598974597257/42914682620658049975982208000*ep^3*z3-
         478195452493440400692409329920/189*ep^3*z3^2;
Fill mncnoptab(14,4,4,8)=
      +mncF321*(10071136297058389753200000+244627962382306513020296000/
         3*ep+45176826603068406530346162880/189*ep^2+
         81957460094994329586494924329844/218295*ep^3)
      -331731729477891198610111326256636886453034940254450484031/
      6694690488822655796253224448000-9871315691830642459735/567*ep^-3-
         15649401378590605795318764788567/77842250640*ep^-2-63031541123\
         018002094037370501637959940393/83357045292177296640*ep^-1-
         75144769890988268891820369320/567*z3+
         16435654799941965711514579525720875466225886446931150559669504\
         868573089626884471457022890851732052485938866415500370937/
         33562635426272614324111373523656846426869234870054423002698584\
         440554127360000000000000000000*ep-
         37572384945494134445910184660/189*ep*z4-8521224825649282580161\
         7025419119139197/38921125320*ep*z3-
         74976203031743403444593117802725737900590528247996421393086787\
         04978031160154793608684549710339110738574731356566759310870108\
         2873/330064956529457037001087585328872990435961752637293050880\
         62565484093917698510028800000000000000000000*ep^2-
         115699387952904068967504815380/9*ep^2*z5-852122482564928258016\
         17025419119139197/25947416880*ep^2*z4+686516848658336589995417\
         62784221093799258425637/12258389013555484800*ep^2*z3+
         31494395417740006037326102273562921007751764897855255948086242\
         93379579999883443132247019043309360841725510508865948531305243\
         2509667804297756603723030877276417838672657/
         18726658123923443850615473997492393617425381423126934868756114\
         92670754790312607133722726991339566367680396697534464000000000\
         0000000000000000*ep^3-18034791677854920190152457499050/567*
         ep^3*z6-1028244138743658862353301806677332234199/38921125320*
         ep^3*z5+68651684865833658999541762784221093799258425637/
         8172259342370323200*ep^3*z4+1092827867196240168694462579371932\
         0788227521608046876862451/3347345244411327898126612224000*ep^3
         *z3-2630076939620437414359214607060/567*ep^3*z3^2;
Fill mncnoptab(14,5,1,10)=
      +mncF321*(241663081308819170000000+17664093567044406602120000/9*
         ep+468479193212921760843159700/81*ep^2+
         741592498076982198840135383669/81081*ep^3)
      -9641072409847536366805472501341961733968661619209108917/
      8108476057890794287387445760000-74131753558220950/243*ep^-3-
         16300049721708601454712415/2514159648*ep^-2-903027572404565264\
         289122028396753023/16826732745315292800*ep^-1-
         772778557000208601307746200/243*z3+479826048031642785147350561\
         23488574285960131094016477895523247388665031464463420642021082\
         8736217596740410514635909/409770110765338248339687786613859019\
         36757546187678828615021664126212505600000000000000000*ep-
         386389278500104300653873100/81*ep*z4-1526312790060139930116543\
         6007276405/290095344*ep*z3-71330735365684722317709956622344586\
         61791826557274598116741080202084764547688621650788967029359447\
         4347186436838910164959312443/131640177673234377133738103836272\
         08218478111241360233060107163753413617750040903680000000000000\
         00000*ep^2-8328835583324647297800949600/27*ep^2*z5-15263127900\
         601399301165436007276405/193396896*ep^2*z4+4798729347216363048\
         71091841082004893868693467/3605728445424705600*ep^2*z3+
         13803773359791395265620309166576203023982906211754846413433555\
         60324000676948745485962021241113041741891011655644261473434666\
         179058914909678952437947059388364058511/
         20744089431195996622463605687918551186808326534389534189410953\
         89588175394051547573980494755323804344859579593523200000000000\
         0000000000000*ep^3-185466854232304042697252000500/243*ep^3*z6-
         219968238588187763948452201996925285/342839952*ep^3*z5+
         479872934721636304871091841082004893868693467/
         2403818963616470400*ep^3*z4+3317457641520536376484401803918689\
         03980329738963003604847/4054238028945397143693722880000*ep^3*
         z3-27047249618059391402333134400/243*ep^3*z3^2;
Fill mncnoptab(14,5,2,9)=
      +mncF321*(2019612893795131635000000+16375155251086622496220000*ep
         +3031417183081395400181136650/63*ep^2+
         122592427509796983570588915562/1617*ep^3)
      -9641088623845471315330179411892869164907780393487744361/
      970244998380095042935249920000-58533452081611538525/189*ep^-3-
         1172933216433241913479774115/300839616*ep^-2-35982164384920302\
         3803960930334529829/20973491669730600*ep^-1-
         5023059352495194215365501900/189*z3+
         50455398025446891185722132771366130472191110259793284807397438\
         626394293258556299725309218609359393568527265871641091/
         51430733520344778410921654776293860137251731147787866200547541\
         9824848896000000000000000000*ep-2511529676247597107682750950/
         63*ep*z4-198258998947063268059229171049353605/451259424*ep*z3-
         48057526665697744414746812850831774460881701837608437420279763\
         63923722611963773210955484906788706422325170922330296139866025\
         52097/10574281679393820676798357686551904972040472937272883506\
         86262481007230912230137528320000000000000000000*ep^2-
         7733918541339683310698888600/3*ep^2*z5-19825899894706326805922\
         9171049353605/300839616*ep^2*z4+993195357929315127216393559060\
         15634232440723/88828905895329600*ep^2*z3-
         59645268639809864663901061134122906245928428920952103631809694\
         63958040781476476420286701086708131921560069319238718076016014\
         503533512076429213397034885924011178781292513/
         28160703237541939619834626072872477786651426721882629889351852\
         82405028742019741524725421064459163298643304236628049920000000\
         000000000000000000*ep^3-1205534521879762135896661199750/189*
         ep^3*z6-2403972521785118872320882574494752275/451259424*ep^3*
         z5+99319535792931512721639355906015634232440723/
         59219270596886400*ep^3*z4+190643602758140147083351745754327880\
         91995103824994027723/28536617599414560086330880000*ep^3*z3-
         175807136392469656901661413800/189*ep^3*z3^2;
Fill mncnoptab(14,5,3,8)=
      +mncF321*(6462761260144421232000000+52396639278289499928020000*ep
         +9698848508183489571215665600/63*ep^2+
         3529847784344023649028506960056/14553*ep^3)
      -912769594245167903211803035741643562381877242528413/
      28705473324854882927078400-1700219451562158993700/189*ep^-3-
         11876133747455059920846599323/112814856*ep^-2-6135708623616291\
         2307054737047019199401/151009140022060320*ep^-1-
         16073756616180201188720974400/189*z3+
         10567290148904307668210334151651312321146770969254227959015758\
         1165346306010118489671382435766215912071057957636101169/
         33674885043082890626198702532097170327962443013432531440834700\
         1075793920000000000000000000*ep-8036878308090100594360487200/
         63*ep*z4-79300620952122411268316549421544493/56407428*ep*z3-
         80958809135494840581187609885593786388743820739480474691560820\
         98993897447854085354728992354335885553903887440727595135949962\
         67/55681821802874170613502381353434701809725989157284830047243\
         0649274258005635891200000000000000000000*ep^2-
         24748533709816528645990699600/3*ep^2*z5-7930062095212241126831\
         6549421544493/37604952*ep^2*z4+2702086032835037911659645350120\
         40800469226703/75504570011030160*ep^2*z3+
         63140000924031134516843256341034723624743982635735910563457647\
         25620553766691911377836167005653202740374055238952989288220032\
         74547996967792964183807322227972277584207/
         41157490382249327144209832961521744214121717413465790920343109\
         72902757780906828865324674706240805203693179555020800000000000\
         00000000000000*ep^3-3857709667755652758771732751000/189*ep^3*
         z6-961310032674920054252652032074821031/56407428*ep^3*z5+
         270208603283503791165964535012040800469226703/
         50336380007353440*ep^3*z4+517797304094033710216273528173989419\
         9529944332847559119/2425612495950237607338124800*ep^3*z3-
         562583203107594315283770645200/189*ep^3*z3^2;
Fill mncnoptab(14,5,4,7)=
      +mncF321*(10367346188148342393000000+252556287934060182962890000/
         3*ep+6696877781084897108291747600/27*ep^2+
         2446299757006582612279758367436/6237*ep^3)
      -169684555320639904328142353425941100712534480701456057/
      3326554280160325861492285440-10842977368591639988275/162*ep^-3-
         147050148177048206060530173917/193396896*ep^-2-286435148470569\
         5688987456645811139421823/1035491245865556480*ep^-1-
         11050614142686637416402820900/81*z3+
         21582043724139088962697944868503002373442106253343487130566274\
         1100261282447462798136136996010740435829954332776818715037/
         43118456759373967581652843780447787506923951586051506393107553\
         6351972556800000000000000000000*ep-
         5525307071343318708201410450/27*ep*z4-128378846769457246154296\
         00331827691/5688144*ep*z3-116839785341215674924580447756626362\
         10317694434405428742078831843493760862893399498983279216694306\
         17278288588424612024101561798957/50370782496451921733644235848\
         01496506218372833725646124308678471703028309642182656000000000\
         00000000000*ep^2-119102207931427131956303097950/9*ep^2*z5-
         12837884676945724615429600331827691/3792096*ep^2*z4+1836905557\
         2840788568753017680968901631629799/3215811322563840*ep^2*z3+
         32069484637274401994058655596944357692751241930897707242212866\
         07257262050792629063815365759000523397431108136047460175768676\
         2157517031669897127835454439633514149334924187/
         14755842248258860552495172470269006480995795443814917454748440\
         76163629437836117580266009982359605254206941152893992960000000\
         0000000000000000000*ep^3-2652173143100393875475812651625/81*
         ep^3*z6-2659942433480270986859289067374485849/96698448*ep^3*z5
         +18369055572840788568753017680968901631629799/2143874215042560
         *ep^3*z4+12649794476653963498332148129874587965196137929333527\
         67/361581986973948463205683200*ep^3*z3-
         386776980768824934638532034450/81*ep^3*z3^2;
Fill mncnoptab(14,5,5,6)=
      +mncF321*(9147658401307360935000000+74529295916414712072700000*ep
         +1987696001142932629188126500/9*ep^2+
         731648848824252695380171766420/2079*ep^3)
      -8019094481097619766280710455441279803919927102868173/
      178170834161076054333235200-169070234980858387343375/918*ep^-3-
         2260788772232412897872101723285/1095915744*ep^-2-3719075765931\
         37368391852257814335734525/51024206318012928*ep^-1-
         55251807114014824209592260500/459*z3+
         25135610222292464429625086236265488380016534459770535116714473\
         289846996594679698885763175844059965968963063386716073273/
         56262439355453269987771171324385201955416844186803695934513778\
         695287603200000000000000000000*ep-
         27625903557007412104796130250/153*ep*z4-1092991953002907547560\
         688488534676295/547957872*ep*z3-
         16164468723637064397350920502773974403828305558242127746085395\
         45053318683097156058248385813207416746063693480719588530579205\
         10037/78584863736404300084946518000813329535910958152202903564\
         342329386496766511153152000000000000000000000*ep^2-
         595509546389373913259629897750/51*ep^2*z5-10929919530029075475\
         60688488534676295/365305248*ep^2*z4+63606145711734916771064031\
         2540715992893749577/127560515795032320*ep^2*z3+
         73393047251902272708517165406833439197337966194373934479797562\
         20940986725134244279139098427989549831424661255638919507625248\
         0100539158686084203915598599743819406306590290121/
         34450374555118645861335667971403557988284061199437276669861665\
         77818759340580650024131255958815078389413756487572914176000000\
         000000000000000000000*ep^3-13260835275975875987817692048125/
         459*ep^3*z6-13473021864240412879324966066887878965/547957872*
         ep^3*z5+636061457117349167710640312540715992893749577/
         85040343863354880*ep^3*z4+287386241422079554496710155437069100\
         879507553615852073/89085417080538027166617600*ep^3*z3-
         1933898804962436435002671028250/459*ep^3*z3^2;
Fill mncnoptab(14,6,1,9)=
      +mncF321*(217496773177937253000000+1772532536388228154540000*ep+
         47294778071482367694459050/9*ep^2+
         226420721546303540502017629162/27027*ep^3)
      -1928215838119187265851581516606020884664203358304717253/
      1801883568420176508308321280000+8012600094425275/27*ep^-3-
         78004513444034466191655407/5028319296*ep^-2-304312978075953483\
         334413321295786337/1402227728776274400*ep^-1-
         77277856225464214949824300/27*z3+75708260220897892407842658012\
         22442208025341691417241351057332009495887403131041563340374455\
         96791643693882443272182259/71985984791931569612029892943216892\
         617195701139777118476581761956833761689600000000000000000*ep-
         38638928112732107474912150/9*ep*z4-917346020832716019458948846\
         0527199/193396896*ep*z3-10196623869588838571430823510766188227\
         13363800103260259177662490319716138053726090478195745820709695\
         7843189428735333822990600491/210234239306291346000251371756298\
         22902991709508424194427845218557303525828954213580800000000000\
         0000000*ep^2-2498650676635367645430342200/9*ep^2*z5-9173460208\
         327160194589488460527199/128931264*ep^2*z4+3163574199844520101\
         643198660204242120910827/26709099595738560*ep^2*z3-
         37874110277488111252216424473746936445566739193637028497162770\
         41292772510239007765397416378645372715053860744975929834389817\
         797978930029554444497701214765084900603191/
         14016148858981317831861734259107588602460007751839948513848153\
         35027725573940925990442205516161234867313099419942912000000000\
         0000000000000000*ep^3-18546685434201596803353005750/27*ep^3*z6
         -28851787499655876425854905101636119/49297248*ep^3*z5+
         3163574199844520101643198660204242120910827/17806066397159040*
         ep^3*z4+138805713636091090617452989361455877004909707057167804\
         19/180188356842017650830832128000*ep^3*z3-
         2704724954538504787025127400/27*ep^3*z3^2;
Fill mncnoptab(14,6,2,8)=
      +mncF321*(1615690315036105308000000+13152694702974604153948000*ep
         +2451892450768651935717328760/63*ep^2+
         4503577856574863345319784768316/72765*ep^3)
      -9641132395024468346418057343238963685503991485005887283/
      1212806247975118803669062400000-188495236562835949760/189*ep^-3-
         8374118019166630447590648737/676889136*ep^-2-50081469709982996\
         182434023780681962657/943807125137877000*ep^-1-
         4018444355694684262312242160/189*z3+
         95796944920635994743498264144325937728575002082004610100361749\
         1786397650967842789866566194963561374556103532313841941/
         12257658155682172187936327721683369999378329256889441444463830\
         839158898688000000000000000000*ep-2009222177847342131156121080/
         63*ep*z4-119189466327425319151386925088971865/338444568*ep*z3-
         48319883536930404681727786563562925991369152112267059924735775\
         27167857434241360013148320741324386112817985603459870164551418\
         61/13393940264963473965261525201751367727836129092527833948779\
         01208050187964577218560000000000000000000*ep^2-
         18561402917425075100011115120/9*ep^2*z5-1191894663274253191513\
         86925088971865/225629712*ep^2*z4+18520933498910984935248858463\
         7410115133928507/209734916697306000*ep^2*z3+
         23900509799444687086072292339356495702314978113116089984722479\
         08372529286544979938924901341044793647027020240632301897465967\
         340328811030463503015199028375612690197881/
         86241188728594807206781788146346549553932677606505621106113687\
         16246897060650164431617821670642739851159721633382400000000000\
         00000000000000*ep^3-964427542275579732094802938400/189*ep^3*z6
         -488364656452874152483274812446767069/112814856*ep^3*z5+
         185209334989109849352488584637410115133928507/
         139823277798204000*ep^3*z4+34194188415294055401845475031424616\
         7765586978008727857913/606403123987559401834531200000*ep^3*z3-
         140645743580048991331494463120/189*ep^3*z3^2;
Fill mncnoptab(14,6,3,7)=
      +mncF321*(4523932882101094862400000+36842555902253883125344000*ep
         +981860433964405461069579560/9*ep^2+
         28654347892080244641004540796/165*ep^3)
      -4537046273424162365425652289326674821677841103872061/
      203832982852961143473792000-580808549509372413320/27*ep^-3-
         60256545438566245037994278087/241746120*ep^-2-1453350924459679\
         4133185250201865995031/15409095920618400*ep^-1-
         1607366628904049456779279840/27*z3+
         21964946977924486594401259599082355876785362049125644813798241\
         5212839573801601349970979052333635101903444083939838333781/
         10060973243853925769052330215437817084948922036745351491725095\
         84821269299200000000000000000000*ep-
         803683314452024728389639920/9*ep*z4-11921277227022097012446293\
         9259784067/120873060*ep*z3-23700647109739414198932961397517462\
         56953570293160303958857138108072607870952841446777677967803858\
         501578406224247098477965604936339/2350636516501089680903397672\
         90736503623524065573863485801071662012807987783301857280000000\
         0000000000000*ep^2-51971888759972748730783405760/9*ep^2*z5-
         119212772270220970124462939259784067/80582040*ep^2*z4+
         133174915879272762971094296515170967531634371/
         53931835722164400*ep^2*z3+
         22765526892813907986980095985362948265665903200609680346245399\
         74364832602454392206833346628592078726841176716112965682514053\
         381689371644792824875042522047030040146788642231/
         34430298579270674622488735763961015122323522702234807394413028\
         44381802021617607687287356625505745593149529356752650240000000\
         00000000000000000000*ep^3-385770749127535491838927343600/27*
         ep^3*z6-69876377000150374403221391652923009/5755860*ep^3*z5+
         133174915879272762971094296515170967531634371/
         35954557148109600*ep^3*z4+274960394740651592527602650061020053\
         3916559190064002663/1732580354250169719527232000*ep^3*z3-
         56258419633882663118461933120/27*ep^3*z3^2;
Fill mncnoptab(14,6,4,6)=
      +mncF321*(6220407712889005435800000+50759646016542938573098000*ep
         +1357427145531068021855965520/9*ep^2+
         227920833121230829522314909556/945*ep^3)
      -11018544852664365909076263046221702842997832155987041/
      360016696987048253408256000-6187197611993327899255/54*ep^-3-
         16218760568553655850757623683/12558240*ep^-2-72534342897591775\
         6718854328637684037709/156892613009932800*ep^-1-
         2210078615397949703917861780/27*z3+
         10674449889033666667049720502127643802062104723132816911033520\
         4751258967949092987257877426951165354932051757147482117969121/
         35233938951945584938150609489165906362800714724602088081225029\
         5419040432128000000000000000000000*ep-
         1105039307698974851958930890/9*ep*z4-8523423439220140922673485\
         836563253/6279120*ep*z3-78876372954831897862780421043899497449\
         94190729155502808895738086373471234205443706831172758272851132\
         549625675219326718420021155406433/5659517204779919491930170213\
         49482428877250033389317239538396516856347395076225236992000000\
         0000000000000000*ep^2-71461168013502529391084697170/9*ep^2*z5-
         8523423439220140922673485836563253/4186080*ep^2*z4+14151389293\
         98449938366992774302762994063071/419498965267200*ep^2*z3-
         19467504396567997101400636546556213667142632232499376064145441\
         16936563874613803387568835378272781621882208417276612808443284\
         27430515659953155760614867384657949210108190627/
         16382650943330877787319950801618539804211170407341096242461389\
         97604029577721776506040678784762605212357085286209945600000000\
         0000000000000000000*ep^3-530433563562774096173340574325/27*
         ep^3*z6-246455420760630664232633408894213419/14651280*ep^3*z5+
         1415138929398449938366992774302762994063071/279665976844800*
         ep^3*z4+165910620069330393407236072741699217033587735256696219/
         74121084673804052172288000*ep^3*z3-
         77355882566424952200072509290/27*ep^3*z3^2;
Fill mncnoptab(14,6,5,5)=
      +mncF321*(4573829200653680467500000+37461336062845255936375000*ep
         +1008182281538449092640214000/9*ep^2+
         375532310569510297782582491260/2079*ep^3)
      -8019061935541127201025009945344954084934132806479049/
      356341668322152108666470400-386555568836534188453375/1836*ep^-3-
         1404933020890816382073661430705/597772224*ep^-2-42068494840527\
         47881012690224473820783157/510242063180129280*ep^-1-
         27624707559462031046246104250/459*z3+
         76443477537930191242568861574980477202007188401343427785903916\
         5127605242330622612082045878845795489640815615619784824743/
         35107762157802840472369210906416366020180110772565506263136597\
         90585946439680000000000000000000*ep-
         13812353779731015523123052125/153*ep*z4-3287390192278981049302\
         424296898840245/3287747232*ep*z3-
         97780406485321838058843024207055351552555395963687362969926014\
         25913168344526015029848698693801482571327189826274396132500603\
         32711/98073909943032566506013254465015035260816875773949223648\
         2992270743479646059191336960000000000000000000*ep^2-
         893260079020896038210187222625/153*ep^2*z5-3287390192278981049\
         302424296898840245/2191831488*ep^2*z4+625178214849002922665095\
         408331953378023936109/255121031590064640*ep^2*z3-
         50121687013449514124676728593483061141194799360722502431939763\
         91572622935988300322387799728342283133444551831602660882240670\
         61092060638579829999075887161505070274091392241237/
         42994067444788070034946913628311640369378508376897721283987358\
         89117811657044651230115807436601217829988368096490996891648000\
         0000000000000000000000*ep^3-13260777647516130417921577818125/
         918*ep^3*z6-1249802829376145506228851195598178855/99628704*
         ep^3*z5+625178214849002922665095408331953378023936109/
         170080687726709760*ep^3*z4+30686674884221233391541068874825230\
         0386507101080038789/178170834161076054333235200*ep^3*z3-
         966962557079890979411396874125/459*ep^3*z3^2;
Fill mncnoptab(14,6,6,4)=
      +mncF321*(1829531680261472187000000+15068131223297405823570000*ep
         +409395315162481195174946800/9*ep^2+
         154394792564018058461148600188/2079*ep^3)
      -12296206230391077533802608315333647901812846051181593/
      1365976395234916416554803200-133246846555163453010275/918*ep^-3-
         161998453060606861051711121047/99628704*ep^-2-1466036225375599\
         108456406231535273978073/255121031590064640*ep^-1-
         11049267600030741636996392900/459*z3+
         10681117165187883274897205215277474616873379451079895244751317\
         7050591350678186048465616659796044214794868939504635668049129/
         12172402384776844252227687779922694684839255514889538072984348\
         51651252497311334400000000000000000*ep-
         5524633800015370818498196450/153*ep*z4-73251293032807468448126\
         371784999449/182652624*ep*z3-524936388791619555455732856998256\
         99293627712713746508954381402564368582440622474140225619314828\
         66121733315038238582155819460422891769/
         13034765677510610370107898049377035209797768007104166952046469\
         323019303618552937991634944000000000000000000*ep^2-
         357301849809828394887750261850/153*ep^2*z5-7325129303280746844\
         8126371784999449/121768416*ep^2*z4+403218323467136507791024282\
         579810574188858561/419127409040820480*ep^2*z3-
         11039585428537258192977516472313779681194617970580950936121030\
         41733067370943974584732163864852641163661341166560711271908063\
         42052896906504578461420950311428028398583251167818501/
         12215608798873951421047976309180991735623976107882858376585500\
         86865806141160954572035597320785377388662013857225323571220316\
         16000000000000000000000000*ep^3-
         2652140704573636107565635981625/459*ep^3*z6-255268194883213759\
         683758936187556859/49814352*ep^3*z5+40321832346713650779102428\
         2579810574188858561/279418272693880320*ep^3*z4+384696424273505\
         6211816530433230141365275620932615973633/
         5236242848400512930126745600*ep^3*z3-
         386791793538798374358641498450/459*ep^3*z3^2;
Fill mncnoptab(14,7,1,8)=
      +mncF321*(122103451608666528000000+3003144578723669424044000/3*ep
         +80955563910204067142343040/27*ep^2+
         1964134044325291293256315443232/405405*ep^3)
      -119394451368637289269533118210347576739612965672747539/
      198737158281637114886947200000-42765352253754340/81*ep^-3-
         82318953313677629462175287/1885619736*ep^-2-207605464141476709\
         571228717688819659/429253386360084000*ep^-1-
         130152177006093602464007840/81*z3+4013713130907513789916215112\
         37662740538926723381481502229193656415567043659760916264526394\
         2629452715042355513383683/683460684602214880756577217071557953\
         993557275361382146994455747745546240000000000000000000*ep-
         65076088503046801232003920/27*ep*z4-19369258173755060900486950\
         56558305/72523836*ep*z3-56010142935538180755611852309985280203\
         03925385537830502619170492907570304685683106402072595431833830\
         97388103808895631653710109/20800828056363632866492798654958577\
         86197524712362077213898131461904260239552675840000000000000000\
         0000*ep^2-4208253765241279254581850160/27*ep^2*z5-193692581737\
         5506090048695056558305/48349224*ep^2*z4+3265333909697292681420\
         3156573375937455727861/500795617420098000*ep^2*z3+
         47013572722000566047321926070966050373723918435524604468139715\
         93582462966928153762710934618086676046362693032278955179736173\
         44611487808205895289604870173582020563/
         71832510304440820689801050315991214475644548450646722870270483\
         87011776601958095958261285208664056469726114611200000000000000\
         000000000000*ep^3-31236522796794360403203856600/81*ep^3*z6-
         105642777300352080816645470263870469/314269956*ep^3*z5+
         32653339096972926814203156573375937455727861/
         333863744946732000*ep^3*z4+78608419208595637066736180071030326\
         658200393331531638953/1689265845393915476539051200000*ep^3*z3-
         4555326265418965992601792880/81*ep^3*z3^2;
Fill mncnoptab(14,7,2,7)=
      +mncF321*(793672435456332432000000+19507554119362941383752000/3*
         ep+525270348630252448435966520/27*ep^2+
         978871820706686906563239188252/31185*ep^3)
      -126858730831655501402562879416162186266619662274817211/
      32485881642190682241135600000-134110332902114639720/81*ep^-3-
         740804284238155242281590699/36261918*ep^-2-3506973053373693514\
         4797356856932623179/404488767916233000*ep^-1-
         845986212349627454583699520/81*z3+
         86066608768785439251680839513249170040373856102626434799291780\
         2802798260308545899806846330868207142818359687781318029127/
         22536580066232793722677219682580710270285585362309587341464214\
         699996432302080000000000000000000*ep-
         422993106174813727291849760/27*ep*z4-3146471616229404919385669\
         409191176/18130959*ep*z3-1730394906910052654460665925653807156\
         47309998366963915867997292476116101222679401698501131170037349\
         87751125848264927298360051379071/98726733693045766597942702262\
         10933152188010754102266403645009804537935486898678005760000000\
         0000000000000*ep^2-27353639049430472400593984480/27*ep^2*z5-
         1573235808114702459692834704595588/6043653*ep^2*z4+33688004241\
         25725244999857348209378945570983/7931152312083000*ep^2*z3-
         50956172667094405552055639285891991717337900012459948769815506\
         34309139347528737716560554095180674524400297021164041262466183\
         1619576367317785365570746238204707680258663/
         16363321523470664436846257016710601397008898139403322182451469\
         16970331198150783078798781732289135513554852092313600000000000\
         0000000000000000*ep^3-203037327339854474367995634800/81*ep^3*
         z6-13172183118280872734781215938162030/6043653*ep^3*z5+
         3368800424125725244999857348209378945570983/5287434874722000*
         ep^3*z4+286734501241907007725716763610607645746747502511913553/
         955467107123255360033400000*ep^3*z3-
         29609652996340881904053459040/81*ep^3*z3^2;
Fill mncnoptab(14,7,3,6)=
      +mncF321*(1904813845095197836800000+15618678444049008636308000*ep
         +421141377022806838815323920/9*ep^2+
         786255655218315612873893410036/10395*ep^3)
      -2498187726145446558980137832861878016477184510545713/
      266550823730795341465728000-692173636100902175740/27*ep^-3-
         71456537620275684849378960109/241746120*ep^-2-7027741759308991\
         325851643553103436917/6344921849666400*ep^-1-
         676776097290993168675046880/27*z3+
         90729641767162194236181942028339541361700746981664454445446640\
         693760516776440364973218997160214050384969543133394999771813/
         98655029065447637826821706569664537815842001228885846627430082\
         7173313209958400000000000000000000*ep-
         338388048645496584337523440/9*ep*z4-26506835703116248583287189\
         42367101/6361740*ep*z3-267159700251961106848513837362973581086\
         48134955733717121523261979735627709565485422724341340128216907\
         179865789069059330412890192997649/6338659269353509830961790639\
         11420320342520037396035308283004098879109082485372265431040000\
         00000000000000000*ep^2-21882865606560789397543322320/9*ep^2*z5
         -2650683570311624858328718942367101/4241160*ep^2*z4+5483140803\
         3685397660328206734645984024604027/53931835722164400*ep^2*z3-
         12582783277160335074580109155289086067087248134203665826963098\
         27762661102784520756472286304935582337171282764645878407569885\
         4616420390724849509818012354196924768041032803356729/
         84403417660040682360272386529938717071295949938621327841161081\
         15655960384422592559121577099096942054063703394553639731200000\
         00000000000000000000000*ep^3-162429551805978437559887300200/27
         *ep^3*z6-211402433553805596178363827227592991/40291020*ep^3*z5
         +54831408033685397660328206734645984024604027/
         35954557148109600*ep^3*z4+125986557311902088689735953498945025\
         2607782240319177271/1732580354250169719527232000*ep^3*z3-
         23687864036432958486838397840/27*ep^3*z3^2;
Fill mncnoptab(14,7,4,5)=
      +mncF321*(2182599197504914188000000+53815108255937717228540000/3*
         ep+1456896311551563378541333600/27*ep^2+
         546852976901692807379951131796/6237*ep^3)
      -8930993241553059370119216737529617666506836452643401/
      831638570040081465373071360-7378749975216931930450/81*ep^-3-
         13534676141944779238410384949/13186152*ep^-2-95052789190408116\
         8875549395157756335907/258872811466389120*ep^-1-
         2326307870235182491596676400/81*z3+
         32563015958509588005782298834075075256256212968365835051751836\
         205276300736734223327724538248268305578370919952096119191919/
         31408539865734350002008543316056465100553779983073861375263454\
         9059258899496960000000000000000000*ep-
         1163153935117591245798338200/27*ep*z4-346635092952903803063672\
         89235734679/72523836*ep*z3-17353309756468309888387276125680277\
         49910021960213952216021076314696328256062735785841909338782292\
         82457574486611190312467551827630533/36691311540599166368461571\
         04644956214227574242440872285422955080710241813273397900083200\
         00000000000000000*ep^2-75221960621997299960216044600/27*ep^2*
         z5-34663509295290380306367289235734679/48349224*ep^2*z4+
         149609284669029840141768121989141787277679379/
         129436405733194560*ep^2*z3+
         32623721464770082352064761415198471041791849005890048377574053\
         83899432576908840851136562063289382946973025204543532095875281\
         1400808909224825594764282949533590486309918641073/
         31613284885873580908049201197287970859837138512424795061755410\
         94939567394885772963320446644559718992638505953302203596800000\
         000000000000000000000*ep^3-558348934989391793472628643500/81*
         ep^3*z6-784119291842875667210421630878513/129276*ep^3*z5+
         149609284669029840141768121989141787277679379/
         86290937155463040*ep^3*z4+178002646967735337523751837672112405\
         1101216520951045649/2079096425100203663432678400*ep^3*z3-
         81428242050142078356058890200/81*ep^3*z3^2;
Fill mncnoptab(14,7,5,4)=
      +mncF321*(1283881880885243640000000+31782390341088984196600000/3*
         ep+866285055720481387939637000/27*ep^2+
         328053420572457564462420929260/6237*ep^3)
      -17175209955221973584127653216752265746739330905802699/
      2718818402054112482950425600-138999287489119793105500/1377*ep^-3-
         6690851799793565195966504405/5899068*ep^-2-8876519803759648133\
         454480537910509605897/2200418897464307520*ep^-1-
         23261643704415096326053448000/1377*z3+
         62216433523227266819162899227114488066295417696732303483726896\
         990263855222550188122332435260884502372829193775338275740675483
       /100787491745952270408445254817759911990469035663285375244310405\
         7167237067773784883200000000000000000*ep-
         11630821852207548163026724000/459*ep*z4-1736522649657373256644\
         90907807014825/616452606*ep*z3-
         91563053416944308696422548787861349847451643578545874964279511\
         03798123004422932514050350745048652137085159836586920283426807\
         797650436173/3237835794293635615934801875465255546113765572964\
         6750708883429798379950188485497971221200896000000000000000000*
         ep^2-752214518910447580380810742000/459*ep^2*z5-17365226496573\
         7325664490907807014825/410968404*ep^2*z4+737971783473502860377\
         272562310654882601400669/1100209448732153760*ep^2*z3+
         31641768130638771512888961417542836157779430843115142870913991\
         38395007026843724869878117217084551829687259250886940115185864\
         090848469647362820504053889264732331185555297336584397/
         43113913407790416780169328150050559066908150968998323682066473\
         65408727557038663195419755249830743724689460672559965545483468\
         80000000000000000000000000*ep^3-
         5583454782567319112040946945000/1377*ep^3*z6-67652839263592414\
         986481911572120375/18680382*ep^3*z5+73797178347350286037727256\
         2310654882601400669/733472965821435840*ep^3*z4+930398035594908\
         5510661610617967618708943068803502983547/
         17672319613351731139177766400*ep^3*z3-
         814298208187576802587501838000/1377*ep^3*z3^2;
Fill mncnoptab(14,7,6,3)=
      +mncF321*(385164564265573092000000+3196735957646150359440000*ep+
         87993014660234337950647000/9*ep^2+3749891903279962000285392268/
         231*ep^3)
      -74436519069770868554284071986657105749145007659217797/
      39271821363003846975950592000-16105783261836844722250/459*ep^-3-
         9992646181761921432590503763/24907176*ep^-2-108421521851564097\
         00633010749688364379461/7334729658214358400*ep^-1-
         2326115902096701697469879600/459*z3+
         11192106405207499669311192597570493039550219642943285069368267\
         94679575222243067311133397657023175336176157716230564395203800\
         53/60052547165296561118365297662248614227654467082707536083068\
         28340621454195485468262400000000000000000*ep-
         1163057951048350848734939800/153*ep*z4-11609978754859396756933\
         111494833519/136989468*ep*z3-648874912540932042759808290272381\
         70961092714868782994912498892036860631334976792535155070501201\
         270043833613256586078374132635583191551783/
         77168419763998315513112778031921923849044746155658089189505507\
         6861388812825571034980771954688000000000000000000*ep^2-
         75221279975453199034833045400/153*ep^2*z5-11609978754859396756\
         933111494833519/91326312*ep^2*z4+72315755467459890989601620117\
         4056645330803597/3667364829107179200*ep^2*z3+
         18118415344427992851150158861733237880446707327047392346658596\
         93367467639947950685883087316714624398690338439425414962990506\
         04268493154045319960904353926269342254989171895035478791/
         11878457996025030361827052163047596363720754367305291485391741\
         04468309891664912225847414834731700972734942274765904640654635\
         43398400000000000000000000000*ep^3-
         558344310060657238517573141500/459*ep^3*z6-1382442889704666963\
         4314043895045663/12453588*ep^3*z5+7231575546745989098960162011\
         74056645330803597/2444909886071452800*ep^3*z4+3295540005361061\
         645456863256786465176497056000129122217/
         19635910681501923487975296000*ep^3*z3-
         81430353486914763765273827000/459*ep^3*z3^2;
Fill mncnoptab(14,7,7,2)=
      +mncF321*(54058184458326048000000+452212851665553578600000*ep+
         37839784003950983315058200/27*ep^2+
         1640257296827536224820262032/693*ep^3)
      -93065935189597386453532086976888651098705122627456089/
      349764659014253012129559960000-75497765486125001715800/26163*
         ep^-3-6211090414209036656674603688/177463629*ep^-2-75255477810\
         63296337264375945795820405439/52259948814777303600*ep^-1-
         18610099880421340805810888800/26163*z3+
         36093615547806909451858089882800702026293047002264622084557569\
         30152091060411247798549124073654302349027112445217554280614206\
         6693/143834949331667884569563428097700923289509366006581928848\
         65809455839992109429436710912000000000000000000*ep-
         9305049940210670402905444400/8721*ep*z4-1226948379910782222766\
         737358327015/102742101*ep*z3-237133449810992679256615529949030\
         36734035337353656843779711097106825702809635325906216568055640\
         63151437955932771974114002289860111050289/
         21128264462687321978898844326817935393123611755910321907478472\
         4041249850236705652564327137280000000000000000000*ep^2-
         601774398645486093138695043200/8721*ep^2*z5-122694837991078222\
         2766737358327015/68494734*ep^2*z4+1527787826398802957976557285\
         6853111283578901/568042921899753300*ep^2*z3-
         48289146519841907373965688540961227394004623611312642460059462\
         12140569646064697993285472377547665069743504491192442023887834\
         471258424323412011945846942211320380178659039969283243163/
         12727947719377123442248623166223121437005026497815609300710665\
         55575740538462766554726199653215543830179016934415829942228724\
         5135052800000000000000000000000*ep^3-
         4466782740140092346525685602000/26163*ep^3*z6-2845349465753380\
         1386115624022574495/177463629*ep^3*z5+152778782639880295797655\
         72856853111283578901/378695281266502200*ep^3*z4+38646886196393\
         6083008842958945042834076282729560975931/
         15207159087576217918676520000*ep^3*z3-
         651429936622117636954618835200/26163*ep^3*z3^2;
Fill mncnoptab(14,8,1,7)=
      +mncF321*(42736208063033284800000+1060408873583802584842000/3*ep+
         29017238747381788340956040/27*ep^2+
         717843706522103288053100973998/405405*ep^3)
      -1420806193424525047458436795112533181586825249492800683/
      6757063381575661906156204800000+32877522713807770/81*ep^-3-
         888003072187347372290556967/18856197360*ep^-2-2386054925236262\
         1696769599657243799/39536496112113000*ep^-1-
         45553263619847037982504240/81*z3+14220261379237618675438282351\
         64391378342736524502074398182293617153427383383283606964742027\
         11442898376727908231847/69718953037091563573089998817149173132\
         854246200174886411787613660774400000000000000000000*ep-
         22776631809923518991252120/27*ep*z4-68088518458722095447479157\
         44060309/725238360*ep*z3-4153489325652537718112849038990786995\
         44946853940124209809079293522973335687378880040570450991451521\
         4192818817378129556846497/447949478201471233064873355007135130\
         467257938202727965452055376186560978773606400000000000000000000
         *ep^2-1472888823001824527943173960/27*ep^2*z5-6808851845872209\
         544747915744060309/483492240*ep^2*z4+1940712417280923693885103\
         478335376338428883/87639233048517150*ep^2*z3-
         14482473400701649057382276000633362321772518436356119218136905\
         56786623816505579402889792944484592318871274725402065904172113\
         24150630951249951113457901375381991010486013734343/
         60882284606374019909945046900806082793087937971486957630640400\
         69356662414413162879960269183201956376728121489231047557120000\
         00000000000000000000000*ep^3-10932783013464066364617544100/81*
         ep^3*z6-382196588292391233502806358672765393/3142699560*ep^3*
         z5+1940712417280923693885103478335376338428883/
         58426155365678100*ep^3*z4+121466923457062184747839656988243546\
         66815018968156568397/675706338157566190615620480000*ep^3*z3-
         1594364169631155776471009320/81*ep^3*z3^2;
Fill mncnoptab(14,8,2,6)=
      +mncF321*(238101730636899729600000+1968769483596949591558000*ep+
         53847439706485392937753160/9*ep^2+
         102403082002702490831043388394/10395*ep^3)
      -202981416360636410153080845534212824376702262400739689/
      173258035425016971952723200000-40335098883191474570/27*ep^-3-
         8864760625209472834345251181/483492240*ep^-2-20792428954543670\
         268338612712801267197/269659178610822000*ep^-1-
         84598027756954233346311760/27*z3+26708752696220610297275547200\
         69772200700080264397780626275691961526680267068016710572997318\
         129501191214536468093412487067/2348929263463038995876707299277\
         72709085338098164013920541500196946026954752000000000000000000\
         000*ep-42299013878477116673155880/9*ep*z4-18061612513971825999\
         88761807389533/34535160*ep*z3-65031459717507161860086360397273\
         23595309064604585770572663845339459680807572655222687224771397\
         2628056512503912236589811728503104767/
         12576704899510932204289267141099609530605556297540383100853255\
         93014105322391611637760000000000000000000000*ep^2-
         2735361802185929065639426040/9*ep^2*z5-18061612513971825999887\
         61807389533/23023440*ep^2*z4+370033541061721212251661034910177\
         249072059/2996213095675800*ep^2*z3+
         31128247739688170937965846918746650320936363163981560725344447\
         73710788680526141930119607365591536047175377459259118862125148\
         439252156116680663690395235067638946763146399156590873819/
         45612422139491478152338873533511296830513843069356956367461361\
         18093245082390157018482173391366832269196092555216594913187594\
         240000000000000000000000000000*ep^3-
         20303718447002082408929915900/27*ep^3*z6-545414378755986354861\
         08401636059499/80582040*ep^3*z5+370033541061721212251661034910\
         177249072059/1997475397117200*ep^3*z4+173019387802829506896174\
         3565247318664621229739957091967/17325803542501697195272320000*
         ep^3*z3-2960971837080677056007789080/27*ep^3*z3^2;
Fill mncnoptab(14,8,3,5)=
      +mncF321*(476203461273799459200000+3942018118411581780572000*ep+
         108025016265802764880254880/9*ep^2+
         205946128793586804864832871044/10395*ep^3)
      -1623912870459204154058822442649611229768345813841993/
      693032141700067887810892800-414501519002281552660/27*ep^-3-
         42814103076600580833087915841/241746120*ep^-2-3772165554164400\
         988173026112706754183/5677035339175200*ep^-1-
         169188714950954931161028320/27*z3+
         76646490736393933354574001734276044922291484810940602695775299\
         33517722798318072241821019685244665605213824405713450385003/
         33824581393867761540624585109599270108288686135618004557976028\
         3602278814842880000000000000000000*ep-
         84594357475477465580514160/9*ep*z4-126498800997171797861464088\
         69842591/120873060*ep*z3-4064837435781086255145244533759725744\
         58503041255830937336287445248090643900730026293958805366849697\
         65424790078715446483855604413807/39513720120645256089112461126\
         94568230706618414936323999686259317687952721986736200089600000\
         00000000000000*ep^2-5470697574223083719064898480/9*ep^2*z5-
         12649880099717179786146408869842591/80582040*ep^2*z4+780529598\
         995450686349729181597372319522259/3172460924833200*ep^2*z3+
         22484828293024633168220547307694333876247924539074882112186062\
         95641412768988057923854067440114012685153826226008653511447216\
         5588802495978069457337922791807391047493388492767136975839/
         27655531739312727806049674900318428394079972218894323018587098\
         98970220176270242571206033550976100407428367696636588073680057\
         139200000000000000000000000000*ep^3-
         40607260019295740565084167800/27*ep^3*z6-547704779372325780971\
         99053545649999/40291020*ep^3*z5+780529598995450686349729181597\
         372319522259/2114973949888800*ep^3*z4+158462125095149932313320\
         3659461062305838454558892259/7839730109729274748992000*ep^3*z3
         -5922024390544963999342219760/27*ep^3*z3^2;
Fill mncnoptab(14,8,4,4)=
      +mncF321*(436519839500982837600000+10869006500456432876548000/3*
         ep+299171762093745871408959920/27*ep^2+
         81949405756566012363638500028/4455*ep^3)
      -1275955491515315432816354144485358526560368468835903/
      594027550028629618123622400-2664368092472507006690/81*ep^-3-
         3516309339525045360004261747/9418680*ep^-2-1755145173430222790\
         998943717577293645227/1294364057331945600*ep^-1-
         465235414230724387922772880/81*z3+
         30312080764543543040507928329718195342095119545411681957403702\
         0160772079945451921582318848259248416038425495541991788509619/
         14409976352566705328004836268879072384258236308067761983459412\
         582047915593170944000000000000000000*ep-
         232617707115362193961386440/27*ep*z4-2048867679111614157525028\
         615019707/21330540*ep*z3-6653391312905413447334083237446520920\
         36979454350990260661770905225434230521153121216928164942122010\
         29782998695940652375146695526472009/69438880392326744214288030\
         41745339712866531559666888938792402223917268729148237922749644\
         80000000000000000000*ep^2-15044299388345465038884663320/27*
         ep^2*z5-2048867679111614157525028615019707/14220360*ep^2*z4+
         20660841382552821178976852329448541297233629/92454575523710400
         *ep^2*z3-77341025206265138351634844455454079022475319241022860\
         46267026052538445334441019694565055357651026082072245338169938\
         70466161404193518535946453149851631357049178196029421515150303\
         44112787/31899311975301774296411474771127619803941473130844589\
         70593103421777995889191034173786215157858064075089448665827545\
         9087882405197905920000000000000000000000000*ep^3-
         111669156877014176821828042700/81*ep^3*z6-13825125359926334727\
         052784180668981/10988460*ep^3*z5+20660841382552821178976852329\
         448541297233629/61636383682473600*ep^3*z4+19784995585426416606\
         26000530388654761948187960999443217/
         10395482125501018317163392000*ep^3*z3-
         16285936249753194789287206840/81*ep^3*z3^2;
Fill mncnoptab(14,8,5,3)=
      +mncF321*(192582282132786546000000+1605137159659813739960000*ep+
         44496647750111686715973400/9*ep^2+
         17221331807374958244425672684/2079*ep^3)
      -44663881602385127420587738091332146181629190701052063/
      47126185635604616371140710400-8433766292831997134225/459*ep^-3-
         31514995417361739414406746769/149443056*ep^-2-2297672582626610\
         284425527098002814622461/2933891863285743360*ep^-1-
         1163049582745896180914792200/459*z3+
         12326746833458696101251054404379773572050593328083446928520061\
         30914181097025057962584162646708667898319626287113469842114576\
         437/1345177056502642969051382667634368958699460062652648808260\
         72954829920573978874489077760000000000000000*ep-
         581524791372948090457396100/153*ep*z4-349029676202824334591828\
         69168587709/821936808*ep*z3-8879548258836126851362901620856770\
         04760107793882134544340888128453389436668524492244313949641028\
         473514096838471389088510597137230035007683/
         21607157533919528343671577848938138677732528923584264973061542\
         152118886759115988979461614731264000000000000000000*ep^2-
         37610610305029888193624948300/153*ep^2*z5-34902967620282433459\
         182869168587709/547957872*ep^2*z4+1424595113479833783259111510\
         87306530268936669/1466945931642871680*ep^2*z3-
         34588793644662157902989603218014567485515756087233809756431570\
         95565124041111329479242872280436250818635220603954497513002404\
         85395490907850465445642992164966694443103038287023510839730038\
         7197/992604510873070250426576578158223919915286031117864928961\
         51480554781542484779572178870899824037808211743356244822580534\
         5819226062198931456000000000000000000000000*ep^3-
         279171953330859420999900131750/459*ep^3*z6-1055607754483030339\
         51454262669427/187272*ep^3*z5+14245951134798337832591115108730\
         6530268936669/977963954428581120*ep^3*z4+206213893322338741687\
         4703418906066379505170415714790619/
         23563092817802308185570355200*ep^3*z3-
         40715268707263524855668547100/459*ep^3*z3^2;
Fill mncnoptab(14,8,6,2)=
      +mncF321*(38516456426557309200000+322953764902463302608000*ep+
         9042851211648238537507240/9*ep^2+11936739563650029472337668/7*
         ep^3)
      -33843121023076607426944428648322118780768186249024927/
      178508278922744758981593600000-998346638227595244445/459*ep^-3-
         6574008687131901952438821323/249071760*ep^-2-72497563689972258\
         0901733376801941560219/6667936052922144000*ep^-1-
         232625043471860060368541480/459*z3+
         94881359818552959372329655096897700240958030870008697040563505\
         82781457757504543310908065882100895269906968774765779485272172\
         873/5299182343798290484141810508862665594876660852874071062845\
         298220572628671895055630336000000000000000000*ep-
         116312521735930030184270740/153*ep*z4-106086581287422965260332\
         6160064773/124535880*ep*z3-13599623940679248325492960696787523\
         43704180832565839182608931496381482019835701198989898359871174\
         306498280969802921562847278378983323706263/
         17023821087330537482892758305223988049122598545854269372715154\
         4228815471435459307110909691822080000000000000000000*ep^2-
         7522175714668769079299880220/153*ep^2*z5-106086581287422965260\
         3326160064773/83023920*ep^2*z4+6333930828181898408119580814650\
         0543455695131/3333968026461072000*ep^2*z3-
         34685620839670926124556433522468266590220724183625251674399407\
         58226983597865752351054813800653034721952525591696570697975020\
         866983836851955207121670500578581587926807728976015189173/
         89095634035639864095740362163561850059035185484709265104974658\
         89030183769239365883083397572508806811253118540910809595601071\
         5945369600000000000000000000000*ep^3-
         55834755251336117943827747950/459*ep^3*z6-14346264561574721753\
         221423734879431/124535880*ep^3*z5+6333930828181898408119580814\
         6500543455695131/2222645350974048000*ep^3*z4+16511187664608796\
         88975864641235908943365139399457702683/
         89254139461372379490796800000*ep^3*z3-
         8142887489486937809998333100/459*ep^3*z3^2;
Fill mncnoptab(14,8,7,1)=
      +mncF321*(2702909222916302400000+22845550805899737916000*ep+
         1944729894520409459037040/27*ep^2+3360467287350651961299171380/
         27027*ep^3)
      -2419489564911385432694591040993522647829889917570306833/18187762\
      2687411566307371179200000-15986779734992013580/26163*ep^-3-
         1133350690704371603918890181/11535135885*ep^-2-374482441447448\
         3860802363618735307992213/3396896672960524734000*ep^-1-
         930587828622467398490052320/26163*z3+
         41003905771972943472018693244616856011624149157054867576807575\
         38948873807631908906323314675904138919660411510499235377338759\
         3709/323817340740273878905588569029284702519414380263214476550\
         827348740514341309079038722048000000000000000000*ep-
         465293914311233699245026160/8721*ep*z4-80169388281434335906543\
         30771689881/13356473130*ep*z3-
         22084224315411877627249834847677023337394675130910370711764192\
         95254592050330501751522637756020522771934357538902678174375447\
         3567653245951887/392103764880841726595770755577056998208974790\
         18063527375604741391151253277971300817422995549061120000000000\
         000000000*ep^2-30089013450385282971821518480/8721*ep^2*z5-
         8016938828143433590654330771689881/8904315420*ep^2*z4+
         548983065750280860698794655961959134010876983/
         424612084120065591750*ep^2*z3+
         17762806005940216099155975448555179153961038569201890147518892\
         70966058146569929466746423705759023628709229135269422258342048\
         60475936921771355770841807253220673896854741311927237501201/
         64788007284401505208973815087617769034503181879613631860180298\
         55747643888728700239586562310710466764276500228411366401809261\
         33455500083200000000000000000000000*ep^3-
         223341131306333453792436257800/26163*ep^3*z6-19187432966795484\
         0747403105130525153/23070271770*ep^3*z5+5489830657502808606987\
         94655961959134010876983/283074722746710394500*ep^3*z4+
         126413467944123420843022431865419967046426515187101578527/
         90938811343705783153685589600000*ep^3*z3-
         32570584540344459625331781200/26163*ep^3*z3^2;
Fill mncnoptab(14,9,1,6)=
      +mncF321*(9157758870649989600000+76677905951522368493000*ep+
         2141791247329246429450510/9*ep^2+54397597474679145192626496952/
         135135*ep^3)
      -202977710357833942541740259985649520852783676438896839/
      4504708921050441270770803200000-10482088695060595/27*ep^-3-
         500346724353665758483504531/12570798240*ep^-2-1376789877899177\
         535289170469022843957/3116061619502832000*ep^-1-
         3253804134417461146197560/27*z3+518173566756462715257196495977\
         48651690100012277132693559836200115838072179082771028050834144\
         03279833815225412462923/11929687519680111989173177575378858513\
         843948794252147230461436115288064000000000000000000000*ep-
         1626902067208730573098780/9*ep*z4-9786380048766921993282081991\
         52137/483492240*ep*z3-1873739157605145715250904526951642115288\
         01917153986386646408452027477830323048080241228567250754951186\
         867553868212520396141557/9581141617087023596109791204319279179\
         43857256711390370550229554621255426821324800000000000000000000\
         00*ep^2-105206343201637147416308740/9*ep^2*z5-9786380048766921\
         99328208199152137/322328160*ep^2*z4+25467639683675534510477274\
         72417804492312941/560891091510509760*ep^2*z3-
         33558388675994958121093976418184849269936119561067704955705456\
         78881451809961556666283884602489056814320441997127524280062575\
         069752790049727774577544747921974147046131397015415008503/
         36982758938490547221590674290471947614634094094154353701623985\
         22862098275460304642959396467607823760956156026301308938801017\
         31041280000000000000000000000000*ep^3-
         780913063676234952756821650/27*ep^3*z6-57098470796297755538661\
         770262584149/2095133040*ep^3*z5+254676396836755345104772747241\
         7804492312941/373927394340339840*ep^3*z4+391603992478817749114\
         189745094034898461893300206873597/
         90094178421008825415416064000*ep^3*z3-
         113883160502754413789816180/27*ep^3*z3^2;
Fill mncnoptab(14,9,2,5)=
      +mncF321*(42518166185160666000000+356010241889912376552500*ep+
         69610453562285664133898650/63*ep^2+
         54399056543305278853838783905/29106*ep^3)
      -29000126155794191701871970167844816866915400147682063/
      138606428340013577562178560000-272384143369682543225/378*ep^-3-
         23939372157995959643067713581/2707556544*ep^-2-187091921723419\
         70481839864936572762871/503363800073534400*ep^-1-
         105745651803210221869831700/189*z3+
         27057260781820476523501193063850136312014837709982829475289448\
         819538467832334032000939636576800775409256312729251590421/
         13436808498709882353800446338419878117883970046234807005460301\
         564032466288640000000000000000000*ep-
         52872825901605110934915850/63*ep*z4-18174482496200842428697923\
         22464733/193396896*ep*z3-7298844891720653437357817868032012552\
         51628390099164741252476999250221801639366637121806270107494632\
         02530818501230966650667752317297/80720885389318166010615456302\
         18903671300663333369919027930501177562531989201475380183040000\
         000000000000000*ep^2-3419195572030190839753884550/63*ep^2*z5-
         1817448249620084242869792322464733/128931264*ep^2*z4+318340590\
         5884447499479728856834405998565639/151009140022060320*ep^2*z3-
         13404083708619905996125397526621708872853469363401831991308764\
         91025349296268282976347085319936407108248271443915709809390367\
         46974949558137141517468731208499152368101122798754153902782087\
         41237/15991002867210944727945293804749983522315486318463338120\
         37202603450316330080994328498861174379779080217781720371976850\
         7377975578943050219520000000000000000000000000*ep^3-
         25379602660718405743479554875/189*ep^3*z6-57100828437466044396\
         079683668535019/451259424*ep^3*z5+3183405905884447499479728856\
         834405998565639/100672760014706880*ep^3*z4+1958597876761452565\
         625212965562288397870772188690205151/
         97024499838009504293524992000*ep^3*z3-
         3701235475234690704494130350/189*ep^3*z3^2;
Fill mncnoptab(14,9,3,4)=
      +mncF321*(68029065896257065600000+570411122800024895246000*ep+
         111791638576932697848728380/63*ep^2+
         219057887131682608656161742844/72765*ep^3)
      -464038401637345417633312623206274378077054368400107/
      1386064283400135775621785600-844305621709732143910/189*ep^-3-
         175384825194156853984228972457/3384445680*ep^-2-29701272592223\
         2098360814880379972625289/1510091400220603200*ep^-1-
         169179251658423256375458320/189*z3+
         67886728669231278117258365934008457786255432570395828531351157\
         259684022011195811645097303387949097354773611599875341909971/
         21173842803771485379925473701210065544216183962875078832838320\
         528723467810373632000000000000000000*ep-
         84589625829211628187729160/63*ep*z4-36372242796104966062491824\
         92086101/241746120*ep*z3-5731383388304686313441418184174881407\
         36398092567860991360851626966896739726120085127683706905226346\
         664786267261263354297368740879227/4001280022607063292059814477\
         83645025471300738132065629126092805219722567826068931923148800\
         00000000000000000*ep^2-5470664031764433933077893480/63*ep^2*z5
         -3637224279610496606249182492086101/161164080*ep^2*z4+
         2815286396054488619005268222643315830081069/83893966678922400*
         ep^2*z3-274145089973573850229415854107108043850966710328598495\
         49915063880140453250971479762159883829777729213710961450552763\
         86030508143220725330123199402277619008110941904195546508264619\
         978164094400129607/8597225738281262488073019795432942837548700\
         99994581754865048338690204157488234179765490770116256648562757\
         181557456944286964881981903179339530240000000000000000000000000
         *ep^3-40607032109087196357145555300/189*ep^3*z6-11476891061411\
         2508832561566847089723/564074280*ep^3*z5+281528639605448861900\
         5268222643315830081069/55929311119281600*ep^3*z4+7933752845643\
         44146698604525531664391384807459047440963/
         24256124959502376073381248000*ep^3*z3-
         5922128547580982685915154760/189*ep^3*z3^2;
Fill mncnoptab(14,9,4,3)=
      +mncF321*(46769982803676732600000+393270655482996042466000*ep+
         77439768716066199609639980/63*ep^2+
         152667644634331086086080126924/72765*ep^3)
      -1276246532715540280693615100754962086473994017987353/
      5544257133600543102487142400-1821605384966919695845/378*ep^-3-
         34327510451267238090131872729/615353760*ep^-2-1107502449107487\
         65904863947796318578399/525249182685427200*ep^-1-
         116303476960039382097603220/189*z3+
         18829667558019142263426988819833519105055816453233647882038501\
         756012652127097280561329324075316687993930202221202609387947/
         86953914447488233293560611999636002501581128807540323740189369\
         63795770780793438208000000000000000*ep-
         58151738480019691048801610/63*ep*z4-50080506718585354538779220\
         81149967/483492240*ep*z3-6675416854601438065752725276569660410\
         93494660395049566568402992367410684092413973742828483235074313\
         34181591751407647459998970202128581/69835673994568611324083962\
         01983884511225768882864985447014073093768224550457656425165357\
         056000000000000000000*ep^2-3761055776074019869992180830/63*
         ep^2*z5-5008050671858535453877922081149967/322328160*ep^2*z4+
         45961977806511726442406862401117712337833251/
         2013455200294137600*ep^2*z3-
         17848726495481119569860593857744652926389882198055230088009277\
         59431721472583737076981764459771188609612471194747543259041948\
         43535254819482383287472954897030036451364701664421503186490030\
         9001005477/882648509130209615442163365664448797988333302661103\
         93499478296105527626835458709122590385731935682585776403973232\
         24628012839455014205974552510464000000000000000000000000*ep^3-
         27917159628155050569697348175/189*ep^3*z6-14491337972892617270\
         193432740156731/102558960*ep^3*z5+4596197780651172644240686240\
         1117712337833251/1342303466862758400*ep^3*z4+22367663250811940\
         21606829611825295091811634082398289367/
         97024499838009504293524992000*ep^3*z3-
         4071543148715684218460996710/189*ep^3*z3^2;
Fill mncnoptab(14,9,5,2)=
      +mncF321*(13755877295199039000000+116175899684726244220000*ep+
         23043540716290912796388800/63*ep^2+
         9170919003852852202566918689/14553*ep^3)
      -159561779374866116653798590297812839902748336509057097/
      2356309281780230818557035520000-5906410591305898574225/6426*ep^-3
         -23375991634482681765016266469/2092202784*ep^-2-94883680861397\
         05699891656123130053296881/205372430430002035200*ep^-1-
         581552537082376515629148500/3213*z3+
         19489859803728770504524468616774899127135907286421825827798505\
         39292855471208017811417389944944843334941845108625108973362671\
         23/30281041964561659909381774336358089113580919159280406073401\
         7041175578781251146036019200000000000000000*ep-
         290776268541188257814574250/1071*ep*z4-50192303103375697075110\
         91207591487/1643873616*ep*z3-310209248352901335327093783716152\
         67738456134290001919931002610513046715229416607800266917035879\
         82828712120845715915014330328051915443077/
         10808775293543198401836671939824754316903237171970964681088986\
         93516288707526725759434347249664000000000000000000*ep^2-
         18805403590579607580307777750/1071*ep^2*z5-5019230310337569707\
         511091207591487/1095915744*ep^2*z4+753201545407308273483589449\
         07746455275157561/11409579468333446400*ep^2*z3+
         15773618243793937277020550923659756112402043872317844433018255\
         32873907499473160522827146062597080941973003428397805267117335\
         364989995015101712943897714225789370977313510966751564076834897
       /525749269828364176441884207427834416456275768964899172966628672\
         15163129199985105712261642891265251102731393172709693789643595\
         37075054182400000000000000000000000*ep^3-
         139586645586641115563235461875/3213*ep^3*z6-147179047863104640\
         25845528728381251/348700464*ep^3*z5+75320154540730827348358944\
         907746455275157561/7606386312222297600*ep^3*z4+580239746042375\
         02084001382672150189734979733243956052811/
         8247082486230807864949624320000*ep^3*z3-
         20357329592454314904449004350/3213*ep^3*z3^2;
Fill mncnoptab(14,9,6,1)=
      +mncF321*(1375587729519903900000+11688678664101083931000*ep+
         2341921185340932923867710/63*ep^2+
         12273347586911178892457356106/189189*ep^3)
      -10019185699607437489697375082185373748771372401942487/
      1479807761504492784601036800000-6690177245421189445/12852*ep^-3-
         5543030502881619601057481399/90662120640*ep^-2-260296823629540\
         415767923008557269459373/386933564578264704000*ep^-1-
         58161725305073364859930970/3213*z3+
         23288388710217913677368118281297407138398914176187000645896352\
         17445862031741774431922611498178317574452299334513873229586051\
         347/3630903820657533195966553748840949753650184126521169187869\
         6888073879182435114125623296000000000000000000*ep-
         29080862652536682429965485/1071*ep*z4-218182944359037644505401\
         03404493177/71234523360*ep*z3-
         36367019524833544605508014680442688463560285405674227306446100\
         44125223029409334344812603727922775716088076958413471411879349\
         630068137127/1281803742663751966641944281062625035008090193463\
         99239541041979049203181686731941214197435596800000000000000000\
         00*ep^2-1880563290063617629155683455/1071*ep^2*z5-218182944359\
         03764450540103404493177/47489682240*ep^2*z4+286711989915770514\
         1988296132402436171314160171/4449735992650044096000*ep^2*z3-
         28930597350971746044369464797915619236598980783193339342247244\
         82417891670951795614705079693704689279704725209334497717731379\
         70275447399475538294790656242186504533500547346792987175785673\
         4198021/411741883354611507875659081556247978589998509727992470\
         95203169094137462557434150986234108216207233850946085353081275\
         05295879278011106438767076966400000000000000000000000*ep^3-
         27917640724428897613035596975/6426*ep^3*z6-1954574286218547285\
         60447621546751703/45331060320*ep^3*z5+286711989915770514198829\
         6132402436171314160171/2966490661766696064000*ep^3*z4+
         263941137381219091180600198456120069078643160832235049209/
         357373574403335007481150387200000*ep^3*z3-
         2035661680951137814251769475/3213*ep^3*z3^2;
Fill mncnoptab(14,10,1,5)=
      +mncF321*(1156282685688130000000+88597216836902092182500/9*ep+
         27977987228439281824553450/891*ep^2+
         26748349939126553594021058559/486486*ep^3)
      -1014980893746592641851462909572313145176884968433011869/17838647\
      3273597474322523806720000+529736520634826975/5346*ep^-3-
         7369158229413780415635765425/497803610304*ep^-2-15506353186595\
         59803059698282665459949/8413366372657646400*ep^-1-
         3697506206010736046968700/243*z3+14313867346193787739267135934\
         17869748179906674185282731664786154600137109664149038709222899\
         3853393906056044511771/269951786159618534155004475420001598370\
         411641287077160186441640094518476800000000000000000*ep-
         1848753103005368023484350/81*ep*z4-493414957742312692189690769\
         1752195/19146292704*ep*z3-400262770845787050751767461752260355\
         76240990726643966976485197740205842829011524656800043558859898\
         07765910542351340694920209/17344603795960966144271896305876272\
         25169222736720962682230358416594364109811403980800000000000000\
         0000*ep^2-1315079339278332352625470550/891*ep^2*z5-49341495774\
         23126921896907691752195/12764195136*ep^2*z4+746132806265479095\
         41799492376066629626217067/138820545148851165600*ep^2*z3-
         31626495275572105854198008671548978092693564761593028516911502\
         50951883305644459836997901678511576551761518049591878740129380\
         1705272391004543580947184163668496133877624004982764322691/
         10377150828089370461537076973481911518108528893710602195225966\
         68952116992675444566787875452259511874045663345802854137890772\
         308631486464000000000000000000000*ep^3-
         9761413623922197403399389875/2673*ep^3*z6-27519125900510022939\
         856960639883125/7542478944*ep^3*z5+746132806265479095417994923\
         76066629626217067/92547030099234110400*ep^3*z4+563026660065258\
         38562309678833542893697004350066929874039/
         89193236636798737161261903360000*ep^3*z3-
         1423539260830195716168361150/2673*ep^3*z3^2;
Fill mncnoptab(14,10,2,4)=
      +mncF321*(4294764261127340000000+329156916569344017505000/9*ep+
         727895686646458401705435100/6237*ep^2+
         2434390325565243917163329987/11907*ep^3)
      -6305827429995588598981245849047211969182631322643287/
      298305139253507482144688640000-3417681262041096486475/18711*ep^-3
         -299739423558710023309505759915/134024048928*ep^-2-70849348223\
         42764376050706668360099799/755045700110301600*ep^-1-
         96128280137976106057390600/1701*z3+
         19111438653889804993505538697267997719011637892194899683749156\
         97223575709000298174670361334277996100208349792756175846923/
         95282292616971684209664631655445294948972827832937854747772442\
         37925560514668134400000000000000000*ep-
         48064140068988053028695300/567*ep*z4-9164101109135866967528649\
         445777235/9573146352*ep*z3-13630330730984522883326057104097801\
         53538815307687889887056030441629075130822522565438908325250671\
         71915862606722653331223607585959977/15304896086472017092128790\
         37772442222427725323355151031407304979965438821934713664606044\
         16000000000000000000*ep^2-34191794881486877692570360900/6237*
         ep^2*z5-9164101109135866967528649445777235/6382097568*ep^2*z4+
         3241130685295018350121946055798660312700007/
         1624989658933040400*ep^2*z3+
         16014815404535241065040896279569139396771195953932785355823303\
         11845978581300783901859160551229890495529709039010159851241331\
         30369090321490185228869078783865897557053918730511092424050135\
         750103/7737503164453136239265717815889648553793830899951235793\
         78543504821183741739410761788941693104630983706481463401711249\
         858268393783712861405577216000000000000000000000*ep^3-
         253794933907357239777699465250/18711*ep^3*z6-16200924334589974\
         73195663061535055/119451024*ep^3*z5+32411306852950183501219460\
         55798660312700007/1083326439288693600*ep^3*z4+3338325217820688\
         31687698075585936976410590938327518973/
         142092092958031670489038080000*ep^3*z3-
         37012856232263336320430299700/18711*ep^3*z3^2;
Fill mncnoptab(14,10,3,3)=
      +mncF321*(5153717113352808000000+131871481017791164390000/3*ep+
         292377307993385456990328700/2079*ep^2+
         10791620971699570118231465792/43659*ep^3)
      -1160470968808979783665979731985617182483995494334131/
      45740121352204480595518924800-3515027148115380131650/6237*ep^-3-
         8721799176287915721322737833/1313961264*ep^-2-4705751762847100\
         061292945495013379041/181210968026472384*ep^-1-
         38447030539519881629942800/567*z3+
         14125583058921327297148666815348117347171174101350455968002397\
         45473008843620157891215406566357267683390212444785614510857/
         57673514684558522082463671224248369006150748698878786154207234\
         96395154089301770240000000000000000*ep-
         19223515269759940814971400/189*ep*z4-1834142495346997908462651\
         951007273/1595524392*ep*z3-50952854346630547912925006351027145\
         23216136071781273977855046570054151565034712484065808700227692\
         17013120470594784828303815164713247/46319579690275099347606709\
         50295433604384438544757388306693007664234026487548445588119879\
         68000000000000000000*ep^2-13676550781568805067404446200/2079*
         ep^2*z5-1834142495346997908462651951007273/1063682928*ep^2*z4+
         790139406387398950030794128272358954581925/332220108048532704*
         ep^2*z3+577790146042618224841876120899288536596655361456362742\
         57867045239725145758476957006769634429982232821397863947448637\
         43152282560328404723023058251661592393570548878485483624959230\
         979012232220401/1170860267213543367423277934044676976923299279\
         04023991376858964221618280496016654958538266787261619756642168\
         53592032669812950297467824251957411840000000000000000000000*
         ep^3-101516837521929241260709919500/6237*ep^3*z6-5538057455719\
         488086128050838042589/338444568*ep^3*z5+7901394063873989500307\
         94128272358954581925/221480072032355136*ep^3*z4+45674496340245\
         3366051777724607660487066122923918691087/
         160090424732715682084316236800*ep^3*z3-
         14805659289663416560709749400/6237*ep^3*z3^2;
Fill mncnoptab(14,10,4,2)=
      +mncF321*(2362120343620037000000+181864502264529091150000/9*ep+
         36835542937500261584501300/567*ep^2+
         15048655645301000936374257632/130977*ep^3)
      -1318968076294736572523965403152188069785848239363181/
      113405259550920199823600640000-711935070391861814875/3402*ep^-3-
         31047504471491324559180176569/12184004448*ep^-2-11511724164673\
         91844801124874705072951543/108726580815883430400*ep^-1-
         52866475864419570912882700/1701*z3+
         17840908451160433939395815750755138777167192609434467062810912\
         507575962966811677497197950972067086838477809899320818275929/
         15903908594832804574255133580020004786544600398781725878887449\
         6415745158220139724800000000000000000*ep-
         26433237932209785456441350/567*ep*z4-
         65604810506365980786831540218731/124326576*ep*z3-
         15057206242327794166012409456811942963986038467383794694874025\
         06742461834041650462704448380453551273317106039924302855039379\
         84905197/30054058836470830949249273189082670802066588775252929\
         4765820818142813839833802886644498432000000000000000000*ep^2-
         1709575292688336370170066050/567*ep^2*z5-
         65604810506365980786831540218731/82884384*ep^2*z4+195108958437\
         12920498813986434658900237106077/18121096802647238400*ep^2*z3+
         56601395595215905854608958703774605312838180680148900461148729\
         63852263716182375275493261391937382131325014737568162182628395\
         85217942794175619566612984543630360884634395711891588392382477\
         2045351/258298871070139264086104950298340860363685416709483229\
         46167674531314578242757613578732078248826199752374393543681817\
         5261328115653229577437121085440000000000000000000000*ep^3-
         12689648505501473848993288625/1701*ep^3*z6-1538576622474335861\
         1608995950357211/2030667408*ep^3*z5+19510895843712920498813986\
         434658900237106077/12080731201764825600*ep^3*z4+58348246061219\
         21146795347708338903816620155190509006829/
         4366102492710427693208624640000*ep^3*z3-
         1850687722939966341971088250/1701*ep^3*z3^2;
Fill mncnoptab(14,10,5,1)=
      +mncF321*(347370638767652500000+26864958360403782905000/9*ep+
         5481281146273032503535850/567*ep^2+
         29382597906240635319610808446/1702701*ep^3)
      -942869343200035874278528172856064090670429462358725239/551376371\
      936574011542346311680000-24844273771366285175/115668*ep^-3-
         122721195536223443589580187705/5385329966016*ep^-2-10819478997\
         14812979009732889587405138477/4368831701874588748800*ep^-1-
         132185733613593236723465950/28917*z3+
         17715829927206119832086911013165713687837798054899974094361069\
         27778294263725386496266030561113491125991595137881716453197197/
         11046400512582442262861208495151037610311406734125250174735825\
         7367621851323759905996800000000000000000*ep-
         66092866806796618361732975/9639*ep*z4-299207721266583490646171\
         99349294245/384666426144*ep*z3-
         57403895464114521205897578457331026907395732816317484397451212\
         68394934851831604958553215536685459922587529685525524809605525\
         8542861067/818930168924063756465686624012232661255168734713106\
         252623323755036575882998565179979594727424000000000000000000*
         ep^2-4274007399817713990194215925/9639*ep^2*z5-299207721266583\
         49064617199349294245/256444284096*ep^2*z4+12441712352596162047\
         58610412907146876630625669/8009524786770079372800*ep^2*z3-
         13439447970466760985829281794663781360979831081290677540187031\
         89487626068874649743593517325339875087984771542375446027741022\
         57172150064937755608864432768550151950955429247057908310286908\
         6176759137/161466314289816484541139720216497133825630663776765\
         24506834358602018047353522680785402261143030526410919981609777\
         55673297885097822002835641934922383360000000000000000000000*
         ep^3-63449182329197743669295909125/57834*ep^3*z6-1015447654756\
         278637676766336170399795/897554994336*ep^3*z5+1244171235259616\
         204758610412907146876630625669/5339683191180052915200*ep^3*z4+
         3234344204748626971943644472614778485416182205253410413/
         15948903320479413557010017280000*ep^3*z3-
         4626503504819761406644053025/28917*ep^3*z3^2;
Fill mncnoptab(14,11,1,4)=
      +mncF321*(80437056395696000000+6304828561377714550000/9*ep+
         2064906902320451208936700/891*ep^2+
         1032678565840255832532383044/243243*ep^3)
      -11603010336802547013126207036436693719602485777537117/
      29306349180662442210128911104000-316565008784981350/2673*ep^-3-
         13702194359212482645729445367/2862370759248*ep^-2-839620930286\
         13970977799664069776951/1842927872105960640*ep^-1-
         257216994695699447597200/243*z3+209670193649658534326472272256\
         28727809722709209653522388860166696611800894577483102150533020\
         502688733529865201/5279669287135396501330869842397990444319275\
         297281270990040950444025446400000000000000000*ep-
         128608497347849723798600/81*ep*z4-2852049487259793071781630845\
         86247/15727311864*ep*z3-56925285592676064847753272949734052193\
         26020655382864941221532307235816851202063361718307164845551287\
         8379257933067653993/308384266625774753647382200862054933355690\
         4989531705449234558100005440207611494400000000000000000*ep^2-
         91483749930089860759577800/891*ep^2*z5-28520494872597930717816\
         3084586247/10484874576*ep^2*z4+1082243630096878908010514118231\
         68646775407979/3192872538423576808800*ep^2*z3+
         10865900239607334749480042750895339163617428759256554637100255\
         72746518166183851534892937150430910449932102718601792526396783\
         413437886951987423123661858504651302444300599285797127/
         44120539235073854003133830669565950332094085432443036544328089\
         66633150479062264314574300392259829396452650279774039701916548\
         93125632000000000000000000000*ep^3-679054657121542220887910500/
         2673*ep^3*z6-1696893579550168778829196552322569/6195607704*
         ep^3*z5+108224363009687890801051411823168646775407979/
         2128581692282384539200*ep^3*z4+2635944207705513685426077648205\
         6290390662468227138856197/512861110661592738677255944320000*
         ep^3*z3-99028932307498125862821800/2673*ep^3*z3^2;
Fill mncnoptab(14,11,2,3)=
      +mncF321*(224074657102296000000+5856909395417525042000/3*ep+
         13436257553088311310303740/2079*ep^2+
         2586532898930853970760890324/218295*ep^3)
      -145114106975377713355455210840376492692539859398997203/131502848\
      887587881712116908800000-136167640620344278790/6237*ep^-3-
         137787741504237162853450764877/513758854224*ep^-2-615574300918\
         7081248081641899258877127/5426890969542792750*ep^-1-
         1671643677673060159568240/567*z3+66522998124500821264993608002\
         81761203553016002495111070152511108459135756561204417300737477\
         74085150085058970771224250289/67678103966573775913095124395801\
         65750721771530990877967075338796790231839486771200000000000000\
         0000*ep-835821838836530079784120/189*ep*z4-1854017676629906409\
         999484373055085/36697061016*ep*z3-
         86160574257263674329091491840407165326674407435601384270573048\
         45784602665884759596716546021098080566734009942044423037356340\
         2006059/217418435280883119386725371136316271226208339855959042\
         9672228087293522637012535684219535360000000000000000000*ep^2-
         594633950725159417264760360/2079*ep^2*z5-185401767662990640999\
         9484373055085/24464707344*ep^2*z4+1038872895170438765436518884\
         2408167312010797/110207631996869022000*ep^2*z3-
         56205666412059496154546419681545331656824354586202007278762790\
         60053459377948293782405141370612042080108118680336052763472799\
         70638860771291818878988078439399559410880124941752775036049850\
         28641/95580429976615785095777790534259345054963206452264482756\
         61956262989247387429931017023531982633601612787115798850638914\
         13302065099414224649584640000000000000000000000*ep^3-
         4413784429302686475097576100/6237*ep^3*z6-59466987592374704921\
         41775402576273/7784225064*ep^3*z5+1038872895170438765436518884\
         2408167312010797/73471754664579348000*ep^3*z4+6607504598653912\
         3686537723962735877347649499661544634831/460259971106557585992\
         409180800000*ep^3*z3-643720215305122594287068680/6237*ep^3*
         z3^2;
Fill mncnoptab(14,11,3,2)=
      +mncF321*(179259725681836800000+4693533014371801678000/3*ep+
         10796865919010311806721900/2079*ep^2+
         2085597071665052788551213094/218295*ep^3)
      -116119607665393979669439407407876720841503334582814367/131502848\
      887587881712116908800000-145640417381650245730/6237*ep^-3-
         732646376410241343202311176209/2568794271120*ep^-2-62243886498\
         7866014273340616639293549103/520981533076108104000*ep^-1-
         1337240441371558695852400/567*z3+22382268156660525483408456786\
         62109236889824714821854562957246495989793845544445835971710864\
         155688539868548570809555480347/2903094426040908771491016447146\
         50881024226832676174361281278842663661796751048704000000000000\
         000000*ep-668620220685779347926200/189*ep*z4-10603179561111679\
         80733667356869091/26212186440*ep*z3-
         43031493727536412255213174027516323901615461636507334815049686\
         11622428196847389933227697739455831698062694609820577086127619\
         07849703/13989448815547732025186268829680147956676233584671304\
         077789992844504787068454396271190343680000000000000000000*ep^2
         -475704269558970236625607000/2079*ep^2*z5-10603179561111679807\
         33667356869091/17474790960*ep^2*z4+794030462102679504904137586\
         0900323539814823/106125867848836836000*ep^2*z3-
         39505567118344696410564699114260964383337819093535930105487277\
         98687424089681714680334381602527828494478320502320404062038439\
         42173884798986154352538793558823125558481059608500605030286396\
         86957/10249955201196002543099402789616700808082754631328699581\
         81256925845816596934825935663971359080404752078348950146103870\
         084635379576307846972702720000000000000000000000*ep^3-
         3531007909554558910556111500/6237*ep^3*z6-21744292999519074636\
         54036476007811/3538284120*ep^3*z5+7940304621026795049041375860\
         900323539814823/70750578565891224000*ep^3*z4+53402407026108595\
         055600319896421040382185699924512513803/4602599711065575859924\
         09180800000*ep^3*z3-514985282594699795513106680/6237*ep^3*z3^2
         ;
Fill mncnoptab(14,11,4,1)=
      +mncF321*(41080353802087600000+3236688113364044768000/9*ep+
         680194418769421938355000/567*ep^2+
         18905139739658066398261192592/8513505*ep^3)
      -26949636941309597943296550466795604852600519318444561/1332106780\
      93920191864222323200000-241257529989220705/1701*ep^-3-
         52337717527650489078377925337/9107543324880*ep^-2-441401111150\
         5774393537537520587785753071/81273119159872864224000*ep^-1-
         919548543214515899361800/1701*z3+
         13954042446248725774855433277119108577562337370190550384928419\
         60680521691149249132617595289423694230397390612538879938236493/
         74725650526292991778178763349551136775635986730847280593801174\
         1016265464837199364096000000000000000000*ep-
         459774271607257949680900/567*ep*z4-604081606900410860310132107\
         4993241/650538808920*ep*z3-14766615499456329354532963535411454\
         41125576959877934768210505642612624939731386523710493565459151\
         1289068969861982700176077145562735181/
         18466072436523006273245874855177795302812628331766121382682790\
         55474631893035980307797125365760000000000000000000*ep^2-
         29732209874071523229177100/567*ep^2*z5-60408160690041086031013\
         21074993241/433692539280*ep^2*z4+22884484617342682842746902058\
         5397778369568709/13545519859978810704000*ep^2*z3-
         31842255681041657942359793783951461509445107729349983370713757\
         90775224179646038113057494293442805235441974413421822349105261\
         94512257032691460141433035899843742491452068729405341854250556\
         8385127/105533538751514042183751451121893551520020041684160290\
         89434221308508527682040967833596249113091847327398680790704285\
         446391405868117665592430947205120000000000000000000000*ep^3-
         220692702697500134470423750/1701*ep^3*z6-196293392623876025602\
         49048916872453/137993080680*ep^3*z5+22884484617342682842746902\
         0585397778369568709/9030346573319207136000*ep^3*z4+
         88328166635469481196135748009483959517924901484800919893/
         3263661613301044700673446918400000*ep^3*z3-
         32184420689788134327074780/1701*ep^3*z3^2;
Fill mncnoptab(14,12,1,3)=
      +mncF321*(2742172377126000000+813757425205413962000/33*ep+
         280113255334296230340020/3267*ep^2+743901779562929915177462426/
         4459455*ep^3)
      -508219147904226626903652889692692619631321021577622103/376098147\
      81850134169665435916800000-44985127664090270/9801*ep^-3-
         11620553375223436536973241801/20990718901152*ep^-2-12676856688\
         2418505531183648220951717731/21285816922823845392000*ep^-1-
         32152429702240405170920/891*z3+4571423487966607791473171380504\
         29200955125571365205346370814123679353842170381606960649357659\
         424748500803583/4839696846540780126219964022198157907292669022\
         507831740870871240356659200000000000000000*ep-
         16076214851120202585460/297*ep*z4-5073632437062292385690277553\
         35665/807335342352*ep*z3-7561920868450094142793671823571402621\
         49649443332739586352556326184380188608483816988235374330077652\
         99980734591986390273/31095413551432287659444371920257205780032\
         1253111113632797817941750548554267492352000000000000000000*
         ep^2-11435476434598407939994880/3267*ep^2*z5-50736324370622923\
         8569027755335665/538223561568*ep^2*z4+425291654431817390928293\
         5440307632662882713/4335999743538190728000*ep^2*z3-
         99415553781960078622760123910798882297071084946595698553084010\
         98886208043323833752645023221997731135376859386781946030775063\
         397954508544557749972372670449448054769431233271963/
         13946147459362425115933107395552455564742383326346936838724396\
         15889788944531175501733255871116612740258021640158460825318449\
         3748224000000000000000000000*ep^3-84881881442676448407761300/
         9801*ep^3*z6-3285138038898129809975236435013419/318041195472*
         ep^3*z5+4252916544318173909282935440307632662882713/
         2890666495692127152000*ep^3*z4+5609956443302776534245975459044\
         165077922826397040590739/2686415341560723869261816851200000*
         ep^3*z3-12378551764169041888817440/9801*ep^3*z3^2;
Fill mncnoptab(14,12,2,2)=
      +mncF321*(5092605843234000000+1512046819787620766000/33*ep+
         3646280413605260272960820/22869*ep^2+
         745616765364992722232961662/2401245*ep^3)
      -72629935940654809124760139159215957976973036742392113/2893062675\
      526933397666571993600000-75047383047314987270/68607*ep^-3-
         149433729729619011468163701353/11302694792928*ep^-2-6282224656\
         21024971501153834770629840087/11461593727674378288000*ep^-1-
         417824561948044225250120/6237*z3+61971851591217545180439463013\
         86859162072043863750912031854374258644954787900825126278194378\
         0623146418283772803015656361/223952998580298676657878411637016\
         39393297498520733450727412939291196767177938042880000000000000\
         0000*ep-208912280974022112625060/2079*ep*z4-942272597115793293\
         403254212660027/807335342352*ep*z3-
         10462927955861222907108768256204082021820165940777125640539595\
         51189088052820950980926384427262402865667041802432407130356441\
         7583563/719457367656740504152436682669264752057634870068809924\
         0006282034316747635205118082326462464000000000000000000*ep^2-
         148655177693597654250903680/22869*ep^2*z5-94227259711579329340\
         3254212660027/538223561568*ep^2*z4+381836436473691368395635778\
         60802634007732189/21012921834069693528000*ep^2*z3+
         12892341622308552553032484029777500648057184854533521217126145\
         77827150299291903503560201835730052134464830666135357950662655\
         85676598407313552112477316542738643417165467965061406513402307\
         53919/31628433192261950704421014322245819636369642862385701566\
         73592799752805499113177172905968765162391806413191046165120513\
         404017742692607070658625536000000000000000000000*ep^3-
         1103423657248411190687399300/68607*ep^3*z6-3289823092526709025\
         953522193901899/171252951408*ep^3*z5+3818364364736913683956357\
         7860802634007732189/14008614556046462352000*ep^3*z4+
         39364806377392284605048924511046475172960510056622362501/
         10125719364344266891833001977600000*ep^3*z3-
         160940885574304835049425440/68607*ep^3*z3^2;
Fill mncnoptab(14,12,3,1)=
      +mncF321*(2037042337293600000+605885270247433436000/33*ep+
         1465101530067315764574200/22869*ep^2+
         1302686055425618843730686968/10405395*ep^3)
      -188885915134982429436299203802638845996739092588715397/188049073\
      90925067084832717958400000-1186131051818757860/68607*ep^-3-
         263122656398074903213519950449/367337580770160*ep^-2-124627952\
         747794170159727674760012329187/18625089807470864718000*ep^-1-
         167191249406720960190800/6237*z3+12214413469802004006034978040\
         17691020021063815142625368679547559247161623971918661897265122\
         27687007673023559698264252125733/13450617094732738520072177402\
         91920461961447761155251050688421133829277836706958855372800000\
         000000000000*ep-83595624703360480095400/2079*ep*z4-12263477379\
         813491352020764442154107/26238398626440*ep*z3-
         12561045404591560884249035736402099456355041626595662406979656\
         46416202976061853432527234792520151996111514984000697504603015\
         904419003/3323893038574141129184257473932003154506273099717901\
         848882902299854337407464764554034825658368000000000000000000*
         ep^2-59464416518194083182084000/22869*ep^2*z5-1226347737981349\
         1352020764442154107/17492265750960*ep^2*z4+1841677478060383012\
         0763469601846297862895341/25609498485272438987250*ep^2*z3-
         79462995211477754624166560729344319324911216813743074495101461\
         11603730721438698311932534106579687250350047228606773107227604\
         42367106231368787786385167653087442542010749341020430922715073\
         764253/1899603697527252759307526120194083927360360750314885236\
         09815983553153498276737421004732484035653251893176254232677138\
         03504530562611798066375704969216000000000000000000000*ep^3-
         441385364527770797460383000/68607*ep^3*z6-43003467935974773278\
         503532625059131/5565720920760*ep^3*z5+184167747806038301207634\
         69601846297862895341/17072998990181625991500*ep^3*z4+
         103150838348761950391265759690576036110931264019040174633/
         65817175868237734796914512854400000*ep^3*z3-
         64368591059379527886052960/68607*ep^3*z3^2;
Fill mncnoptab(14,13,1,2)=
      +mncF321*(36562298361680000+34195694451830802800/99*ep+
         12662203500120529363664/9801*ep^2+36620857986477203070545843/
         13378365*ep^3)
      -101945975199814555301139628088032513448099211214336451/564147221\
      727752012544981538752000000-221480625031128638/29403*ep^-3-
         160005633992361558665724555449/1574303917586400*ep^-2-20006435\
         924949921351698037011645047099/39910906730294710110000*ep^-1-
         1285633310468279231048/2673*z3+7743633359593338727814179906491\
         06417512428482257036025009820085305241529895714918404731990334\
         77409137959/57465788159296832667546882638345474223883268541836\
         963156908304152657920000000000000000*ep-642816655234139615524/
         891*ep*z4-520475537892246012749570763984977/60550150676400*ep*
         z3-15554408641082503016313414371536715149691066290279138560267\
         13133049437829227293970006276408128078771950967683792929/
         36922197908936297035332834933143992020817365861059874766345729\
         6327181956829675520000000000000000*ep^2-
         457401293022519399286112/9801*ep^2*z5-520475537892246012749570\
         763984977/40366767117600*ep^2*z4+33980187406922954549513622136\
         279031762563/3658499783610348426750*ep^2*z3-
         10055495054292880423570556760341652722935464753274661261394741\
         03891618440775133359633416100155019771692850835755606925352986\
         854886802760181573266860687254298391639575049771112350929411/
         18235409457222255945170203037078038288399395983101768782574511\
         52650792655077176446118913506557578572954925898935410990956868\
         6487571480100995072000000000000000000*ep^3-
         3395154781631017815792020/29403*ep^3*z6-3790644184442631090441\
         473248390699/23853089660400*ep^3*z5+33980187406922954549513622\
         136279031762563/2438999855740232284500*ep^3*z4+958111064147009\
         6350516420549578581473782109606465230217/282073610863876006272\
         490769376000000*ep^3*z3-495200357089026074485888/29403*ep^3*
         z3^2;
Fill mncnoptab(14,13,2,1)=
      +mncF321*(33950705621560000+31770902243820352600/99*ep+
         82419298095099429325066/68607*ep^2+21692075727582882907863197/
         8513505*ep^3)
      -189405410213251047915412032824040556453169475603014009/112829444\
      3455504025089963077504000000-1591075884322623247/205821*ep^-3-
         2283863095742163503600765920037/22040254846209600*ep^-2-
         2274769123354322945656014804416613641771/
         4470021553793007532320000*ep^-1-8356396233587872057012/18711*
         z3+33291021199722405182224139467599119336452629202143248163029\
         498062214449635924410457032386187756946409539806467181189/
         23766440665664349359611586541071127519417753532206927302560670\
         268208814148015882240000000000000000*ep-4178198116793936028506/
         6237*ep*z4-12569238591270301185702717615310559/
         1574303917586400*ep*z3-628195142513733370287403989239861611653\
         39747912306176870393639809050171322971918682706607405989143047\
         437780902118745182818399/1174624273725290619024386420684513880\
         91042427766336314122551543417416287921716213589003468800000000\
         00000000*ep^2-2973098711998816803814528/68607*ep^2*z5-12569238\
         591270301185702717615310559/1049535945057600*ep^2*z4+468942799\
         0601033137267418355234696847828271/546335967685812031728000*
         ep^2*z3-929723971709625141729198637737292444852340888701591294\
         16894144148690092138685396150115287587241494104499416369279636\
         89450613036383715605954746804916615776343719557260862229535423\
         939339644587850689/1274550365332977505897109580736481777582216\
         54749322997645916569190971051669556420764552045841551504550684\
         03786857268141426629208790222299591026788612922408960000000000\
         00000000*ep^3-22068439443567459547041130/205821*ep^3*z6-
         49354224026050600160099391957230287/333943255245600*ep^3*z5+
         4689427990601033137267418355234696847828271/
         364223978457208021152000*ep^3*z4+12475645610763888830523323092\
         8976918178704683049481968621/394903055209426408781487077126400\
         0000*ep^3*z3-3218821705073052002141072/205821*ep^3*z3^2;
Fill mncnoptab(14,14,1,1)=
      +mncF321*(108172480360000+1448699994839477800/1287*ep+
         7947026105700806445682/1656369*ep^2+1723541698307522958841/
         147015*ep^3)
      -103820993777727811548711003121000775157909588987500651/190681760\
      943980180240203760098176000000-1019481859527281419/4969107*ep^-3-
         153059333422592570994665171807/76016389163457600*ep^-2-
         863425016007720867299293796996879569967/
         107919091798716896137440000*ep^-1-643229720350127130724/451737
         *z3+3260364991125093186510104760744891595905914247714098449265\
         7677116413761/802910732027571530516165539451826791663177564160\
         0000000*ep-321614860175063565362/150579*ep*z4-5486400040735355\
         79486893128800977/20465950928623200*ep*z3-28114242473733458039\
         11879898258201810220906955161291145581330356514956524759680161/
         21494839147419822224777274190968751883403642732967624704000000\
         0000*ep^2-228687015443369518437856/1656369*ep^2*z5-54864000407\
         3535579486893128800977/13643967285748800*ep^2*z4+1373512800125\
         9182411455825281776926943169/4396703739947725398192000*ep^2*z3
         -2304541223585974206582952253875004129142578099632133387460816\
         08876355544482767021337983834945760427999928189455978711803033\
         67128430931773499/11993383515237611732526383240050627098139801\
         48222315781431563537189127187371358896110409850983018176907837\
         44000000000000000*ep^3-1697463798515642892189010/4969107*ep^3*
         z6-4857498354425577593906907371374699/8062344305215200*ep^3*z5
         +13735128001259182411455825281776926943169/
         2931135826631816932128000*ep^3*z4+1219396608794264712901633720\
         2939248058549543843556439617/953408804719900901201018800490880\
         00000*ep^3*z3-247353909486693197405744/4969107*ep^3*z3^2;
Fill mncnoptab(15,1,1,13)=
      +mncF321*(900784971652033000000+5117649840229741416975425/693*ep+
         965112732234407151274527874/43659*ep^2+25698496398652145176164\
         6098699626/7210938735*ep^3)
      -122513907481803560439695864237983501165372648893796277452301/
      27643213864659848614704095398848000000+4203034958706772187/
         11525976*ep^-3+330415440933459858938163472397/
         102854522615644800*ep^-2+2967171685117588266530088844740425886\
         89/57365276607010263331440000*ep^-1-
         17078406163887070284109495561/1440747*z3+
         39864973928486027523386640126660520642397183508317530308475392\
         7747026736600231592857659996882252555773/920209085418775226489\
         1406560213903853901868424484371334141313024000000000000000*ep-
         17078406163887070284109495561/960498*ep*z4-1266553355018585997\
         301356174014731970443/6428407663477800*ep*z3-
         29358136295327496356933326284073471175109067951162139331308768\
         1358454402189963999364056290579610069321889896684719/
         14781030182362779635690093720555622897631405381300296031771064\
         45826627993600000000000000000*ep^2-
         52590647550053549305814879143/45738*ep^2*z5-126655335501858599\
         7301356174014731970443/4285605108985200*ep^2*z4+24357600909946\
         62595784337821037116872873129103671/5061642053559729117480000*
         ep^2*z3+452810849993643346105913135200305525466189452806791959\
         26155393465857618121320395958270739149740347760096925266607279\
         182549357547354763886903011373/6616173542561644329797371997180\
         18691882506181649393359050511853131263278618167338754317033429\
         53267200000000000000000000000*ep^3-
         16395269916627997328490591974435/5762988*ep^3*z6-4904660769521\
         209090063174929458783208113/1977971588762400*ep^3*z5+
         2435760090994662595784337821037116872873129103671/
         3374428035706486078320000*ep^3*z4+3677213950823060489473518064\
         22946753669854337188143479640141/10632005332561480236424652076\
         48000000*ep^3*z3-1195488431522161221255738547559/2881494*ep^3*
         z3^2;
Fill mncnoptab(15,2,1,12)=
      +mncF321*(8647535727859516800000+16323258954020695280437600/231*
         ep+3061574284695990502808332808/14553*ep^2+
         20761370299366767407749411155944/61631955*ep^3)
      -471207332203677692458096227217550194867007042770212697621/
      11075005554751541912942345913000000+88559442296744588/480249*
         ep^-3-1962759076077099956437351/1017475097100*ep^-2-1768479382\
         50550421603834393381007733/7071656386465762245000*ep^-1-
         54650899737179841449410208672/480249*z3+
         39364797170186456692481563254270842965209237842112378985680346\
         979232315752624668912155494539079711924441/9438041901731027963\
         9911862156040039527198650507532013683500646400000000000000000*
         ep-27325449868589920724705104336/160083*ep*z4-3890840489187469\
         1995424031817233141074/20603870716275*ep*z3-
         35782783970237344119605853419286015030269205681772281477854193\
         383121831793980421882982647915946222512312715265481/
         18658499638485560092389861895770411547305916063179860868507852\
         570592542720000000000000000*ep^2-84145036093130268722156739568/
         7623*ep^2*z5-19454202445937345997712015908616570537/
         6867956905425*ep^2*z4+7575370833574759479409610707319621758331\
         7440833/16223211710127336915000*ep^2*z3+
         42214608611612384092699886116817803894799995372683188479482437\
         98709543152394071683696999339540075523946502966226713102659965\
         5992769030434467385770897391/152639534409258842451311903556278\
         36567524005948105937722201342126306998013240199283287930172574\
         938431488000000000000000000000000*ep^3-
         13116215935325067720116160960280/480249*ep^3*z6-48440672356606\
         3127866513941268995147623/20603870716275*ep^3*z5+7575370833574\
         7594794096107073196217583317440833/10815474473418224610000*
         ep^3*z4+352933979264606314660436001093030237408381087432379852\
         28071/11075005554751541912942345913000000*ep^3*z3-
         1912781490429087444685191221744/480249*ep^3*z3^2;
Fill mncnoptab(15,2,2,11)=
      +mncF321*(76098314405163747840000+13028680654740435848390240/21*
         ep+12171215260545173912296773296/6615*ep^2+2464216060244754175\
         44128820231748/84043575*ep^3)
      -289973750516732598223741197568365140412916055445470992973/
      774475912919688245660303910000000+6462439032543895076/218295*
         ep^-3-1129455788052480703652773277/37461583120500*ep^-2-
         106926505588329124678309669575456098153/
         41787060465479504175000*ep^-1-218603599223452328610074496224/
         218295*z3+5168429066673165882180100557089072275266129293771298\
         9074553119269257255190169721102656276149501520263972357/
         14054102395486748913652330019235780431413762684667039855779459\
         891200000000000000000*ep-109301799611726164305037248112/72765*
         ep*z4-51819329510478606537532317322284998956/3121798593375*ep*
         z3-14350282921980286840424175953143656011377899692334981286164\
         562640403650658753165646204311857579308301791848931271637881/
         84654991044441374277134173126818567504616230820174422727416096\
         4427977850880000000000000000000*ep^2-
         336580144406537368953283045456/3465*ep^2*z5-259096647552393032\
         68766158661142499478/1040599531125*ep^2*z4+7632026877736444221\
         7786355814213311902573210999/1843546785241742831250*ep^2*z3+
         92230686631977189106090434274549465581623318317813597174370861\
         61449719542474153825825096967223279994536393196754034203662122\
         559915308091523365266936341057/3588854890368889721558596622371\
         06166951258206837285062042571268941017168598384398459698032861\
         403097858048000000000000000000000000*ep^3-
         10492972749194200957723378683752/43659*ep^3*z6-192059067969781\
         4332395199240947907368611/9365395780125*ep^3*z5+76320268777364\
         442217786355814213311902573210999/1229031190161161887500*ep^3*
         z4+136978635905281858544149245508771793247476857589553381568087
       /5034093433977973596791975415000000*ep^3*z3-
         7651125957410210718845989375568/218295*ep^3*z3^2;
Fill mncnoptab(15,3,1,11)=
      +mncF321*(32698494470968797900000+5604114959431674738695500/21*ep
         +1048961246665618364857966850/1323*ep^2+
         645126571850944957073147150108/509355*ep^3)
      -753931747839599447967896407615718689613814589378883919097/
      4686283342175859057377257113600000+125778774427713745/3969*ep^-3+
         298911360812178558644956177/1453055345280*ep^-2-45140884348531\
         331983560234502565659/187019011873474704000*ep^-1-
         1707840620791113705005120050/3969*z3+
         93190845684847011312364501269443852024438255264758141557820552\
         3466393462543012112548321812279055488123518809/
         59027230061044345437339786080790277811937803275601567394273731\
         5430400000000000000000*ep-853920310395556852502560025/1323*ep*
         z4-15553794004491406563202349251714157549/2179583017920*ep*z3-
         22977312686470914126767161654758027820175743286788602701291045\
         3253041794302078266701017357761518433046205616990765549123/
         31604529989924779730130091300678931868390059506198451151568676\
         005311173099520000000000000000000*ep^2-
         2629532378475083407133800850/63*ep^2*z5-1555379400449140656320\
         2349251714157549/1453055345280*ep^2*z4+58507530088000581761909\
         4809358487249922867149/33003355036495536000*ep^2*z3+
         68676282680539746728147208078877944999238055446116172382626415\
         47102504569144669175925215743852627625232809885418822451190743\
         1429539721240144264402965289251091/
         36594357032128112194159156892776925490129961823841833492940850\
         38968571729141526249627387608410106921159229440000000000000000\
         000000000*ep^3-409881748057847852361060833750/3969*ep^3*z6-
         192834596671896697200953437732802610323/2179583017920*ep^3*z5+
         585075300880005817619094809358487249922867149/
         22002236690997024000*ep^3*z4+277546280452363778993824843581876\
         25176005092916053351394939/2343141671087929528688628556800000*
         ep^3*z3-59774421520103997960286246330/3969*ep^3*z3^2;
Fill mncnoptab(15,3,2,10)=
      +mncF321*(261587955767750383200000+44767092622901890300202000/21*
         ep+8358719818934474666866514260/1323*ep^2+
         15375009484291820307943974666568/1528065*ep^3)
      -1449868877314567814673466584870494378679452363907017287/
      1126510418792273811869532960000-6764328271980987370/3969*ep^-3-
         6006941725003598900190940547/272447877240*ep^-2-31193000647881\
         08852920754978687885729/30390589429439639400*ep^-1-
         13662724778928331923423407840/3969*z3+
         43888848907706423158960339429961930875812857330992058001487240\
         303994337602031997330315489881676674451110645144259/
         34728249183343576035591453570732382877240664144319642165225276\
         56955084800000000000000000*ep-6831362389464165961711703920/
         1323*ep*z4-431737649676877148534001462415752739/7567996590*ep*
         z3-10838956580626422443594846719378617889184951694419213561906\
         36821906682253149483470863973415934117611809777439434297955097\
         443/1859429947292945897722396685895944471525394586718967160323\
         1490751467647899009024000000000000000000*ep^2-
         21036258997156631073891839560/63*ep^2*z5-431737649676877148534\
         001462415752739/5045331060*ep^2*z4+955275070985353154296208578\
         47215865226123217/670380649178815575*ep^2*z3+
         21969016788213767419545885277491737497426873704829169431292891\
         72686170369044295600287867852857084310403589267334926730630414\
         90639418724737972891216225776529565909/
         10765014285794029804316076553372320709896516769665014789809114\
         16034868986378318693318959509034013167435869323264000000000000\
         000000000000*ep^3-3279053980104848564329406211100/3969*ep^3*z6
         -23968057991024192926359334524021044446/34055984655*ep^3*z5+
         95527507098535315429620857847215865226123217/
         446920432785877050*ep^3*z4+34018636918405273967968995621587217\
         3654821139505670902423/3661158861074889888575982120000*ep^3*z3
         -478195374355549335156122090120/3969*ep^3*z3^2;
Fill mncnoptab(15,3,3,9)=
      +mncF321*(809287738156477748025000+46179562422231956963924250/7*
         ep+2875759948530685078731943555/147*ep^2+
         3529572114701557355269569620731/113190*ep^3)
      -1109465627342690068836185478190163877598823964312966919/
      278634461073258063612174336000-427460518808872163485/7056*ep^-3-
         3516138868737525558851658031/4679727360*ep^-2-1455447446003633\
         62066284474442519511813/45101396486588682240*ep^-1-
         4696561112517243321783935270/441*z3+44281039855174977843573763\
         39430047568077781355943364269483675753412769247356171963662763\
         78636299047598969516359/11308894885254125672710045714570215930\
         681339907436347958616926705418240000000000000000*ep-
         2348280556258621660891967635/147*ep*z4-37172320906512900483606\
         48447343343089/21058773120*ep*z3-49148726398698955750000285643\
         85095117262821460170041660187215063077984543355161132216159123\
         47094387886634896207305066788681/27247685217980366617188099583\
         98243911575054869427149945079010722034711688904704000000000000\
         000000*ep^2-28924855761532652345003723845/28*ep^2*z5-371723209\
         0651290048360648447343343089/14039182080*ep^2*z4+1081889074365\
         82606030453814133327855182620507/245650307661158400*ep^2*z3+
         18224159135715014935217356556145027537358748412970848134238824\
         36543527263220276336020442119811306833899940351029668521800626\
         03706035191698232860648988677652706013/
         36282085185453952303435665420625229059280852816278383180467755\
         13302706583719518558963900567485007342098670682112000000000000\
         000000000000*ep^3-9017398342632440622240494305775/3528*ep^3*z6
         -45903768263731087252131015677831887963/21058773120*ep^3*z5+
         108188907436582606030453814133327855182620507/
         163766871774105600*ep^3*z4+52216318490866463342797174299263061\
         7545701004047240905247/1811123996976177413479133184000*ep^3*z3
         -657518662865597476495682336765/1764*ep^3*z3^2;
Fill mncnoptab(15,4,1,10)=
      +mncF321*(64114695041115290000000+32992835966966314970960000/63*
         ep+6184902971766393761857683700/3969*ep^2+
         762463946712940159372768589368/305613*ep^3)
      -17057279722749291142818673154203309231132408554606027859/
      54072500102029142969737582080000-382753080918853450/11907*ep^-3-
         40305566446802239983770015/72652767264*ep^-2-10966856169722882\
         3771832475509022099/28052851781021205600*ep^-1-
         10046121260800835627200230200/11907*z3+
         25056212998113387237718797235382989154933764554145096110206256\
         732422961992067910093232898807993548394117613784069/
         81032581427801677416380058331708893380228216336745831718858978\
         66228531200000000000000000*ep-5023060630400417813600115100/
         3969*ep*z4-4576520133121170055755093511684876955/326937452688*
         ep*z3-27781026672780298530216936082430075663634033075286216459\
         15417520652976650910552243113801930108762374088286655152235508\
         172321/1952401444657593192608516520190741695101664316054915518\
         33930652890410302939594752000000000000000000*ep^2-
         15467837514837430022062718800/189*ep^2*z5-45765201331211700557\
         55093511684876955/217958301792*ep^2*z4+37924296528114916035177\
         898619176428485940671267/1094061219459827018400*ep^2*z3+
         10507367690959026719460993005030523372578782404653982639099686\
         12803602291025816147658631400235820528875616631415306301581224\
         637406275000555430932770317745082886317/
         45213060000334925178127521524163746981565370432593062117198279\
         47346449742788938511939629937942855303230651157708800000000000\
         0000000000000*ep^3-2411069105434893139406877635500/11907*ep^3*
         z6-56897917942274374049845493664017565965/326937452688*ep^3*z5
         +37924296528114916035177898619176428485940671267/
         729374146306551345600*ep^3*z4+82380049772957118901746978452111\
         29770052560467480145146117/351471250663189429303294283520000*
         ep^3*z3-351614244761283073925312188400/11907*ep^3*z3^2;
Fill mncnoptab(15,4,2,9)=
      +mncF321*(461625804296030088000000+26374129531111588403320000/7*
         ep+4937857058548303527978314000/441*ep^2+
         1823343912939594408259425930242/101871*ep^3)
      -682291634778601869916554004201607690888771000420740933/
      300402778344606349831875456000-27239714417071348400/1323*ep^-3-
         4852985433463849607394330097/18163191816*ep^-2-150017161046974\
         1761017560714987652793/1215623577177585576*ep^-1-
         8036896429361984700278432800/1323*z3+
         30931169496059245479891260784725169316810119293070809568055016\
         516266458482283073686863686602179641111188706775635967/
         13865575044312731469025032203425743978394605906509842316338091\
         90443548672000000000000000000*ep-4018448214680992350139216400/
         441*ep*z4-914960143166815153120828438420656017/9081595908*ep*
         z3-45729181951197580487773193154375200366421267680933078346580\
         24944745361833537819451225769404461633521791262284161763342338\
         678811/4454367740403990394988319171990729200676389698851214664\
         0630104511293609855848284160000000000000000000*ep^2-
         12374269913296756455077703200/21*ep^2*z5-914960143166815153120\
         828438420656017/6054397272*ep^2*z4+760367934947094951015971628\
         1226882633244170759/30390589429439639400*ep^2*z3-
         15366551565036155510752636620029753593739241161958275322618813\
         19499965687398082485753586219340810213899782819269970032407372\
         391127076939187921143168439752273501388821/
         51576379555937618351345468997934941001193089234217270859618778\
         06602616743625900228434837114394071975537187246571520000000000\
         000000000000000*ep^3-1928855270270834179924042172000/1323*ep^3
         *z6-1031475579273636344439148765153207469/825599628*ep^3*z5+
         7603679349470949510159716281226882633244170759/
         20260392952959759600*ep^3*z4+163098489210027570296738130018131\
         4067726297664954784696559/9763090296199706369535952320000*ep^3
         *z3-281291402074735903570344944800/1323*ep^3*z3^2;
Fill mncnoptab(15,4,3,8)=
      +mncF321*(1269470961814082742000000+72594929714462308850840000/7*
         ep+13613270101283440254194975200/441*ep^2+
         5037864301299438080221115514052/101871*ep^3)
      -1501045376045548270118098923610251818627655528372782611/
      240322222675685079865500364800-835354000081193387275/1323*ep^-3-
         273793689297738046451596723711/36326383632*ep^-2-5882806108877\
         867310679536630777746054933/194499772348413692160*ep^-1-
         22101448398069924469734909800/1323*z3+
         24148780679492297377254629952551068223111662658330693097139598\
         7206858649156129695993804400328950169661123801893328701/
         39485453442673663910719262969008054619846158670652262356115981\
         69476956160000000000000000000*ep-11050724199034962234867454900/
         441*ep*z4-5034534172130514584078789545742500901/18163191816*ep
         *z3-3036174095239514420167261632058573100473495019125091342615\
         59749016584999184695416016627633681384301990998715904754760993\
         552448719/1078212191329559654203552778740985102090808391948490\
         632876710472480401311484660940800000000000000000000*ep^2-
         34029239431181683189207185700/21*ep^2*z5-503453417213051458407\
         8789545742500901/12108794544*ep^2*z4+6671154899086864376415897\
         4171730645116553342429/97249886174206846080*ep^2*z3+
         25582339401292063717016843475974143914253264572323542277807643\
         06823862044244186684809145265616362909905862694506336641923594\
         1915838411605847332426232667793982922921901/
         62422193746411479502051579991641312058084604743756449562520383\
         08902515967708690445742423304465221225601322325114880000000000\
         0000000000000000*ep^3-5304351589415940291125794473250/1323*
         ep^3*z6-62623086104945639111544015647228520367/18163191816*
         ep^3*z5+66711548990868643764158974171730645116553342429/
         64833257449471230720*ep^3*z4+725481839803707488939377733945885\
         146421394349103291647691/1562094447391953019125752371200*ep^3*
         z3-773551540738133366461428140900/1323*ep^3*z3^2;
Fill mncnoptab(15,4,4,7)=
      +mncF321*(1742411124058544940000000+42818041595107302881500000/3*
         ep+8066828722041433424367716000/189*ep^2+
         273068179330294132875959072740/3969*ep^3)
      -52484442537870859189924786417556675158789470662799871/
      6122094583646323213356902400-46578052028815460188750/9639*ep^-3-
         674087499889515989406709691155/12030166008*ep^-2-2737850015128\
         008155229603505363933592293/12882452454245582208*ep^-1-
         221013643794075646415306834000/9639*z3+
         32043750528596771636659752825479231219867579341265217879235438\
         645679477326306145355069150826202214738535040354363433283/
         38229742841077599375116240177222414773712619206680587300918488\
         5971930316800000000000000000000*ep-
         110506821897037823207653417000/3213*ep*z4-22914566090155703154\
         51805936296043475/6015083004*ep*z3-
         40081490653318885110160223557885450389900797193482272300691610\
         23738502916366615181119269044421626234298843076408692084347956\
         9051/104206221990014293110343366225258472694782210475488234635\
         168956742639368733867376640000000000000000000*ep^2-
         340292252418682249118611321000/153*ep^2*z5-2291456609015570315\
         451805936296043475/4010055336*ep^2*z4+300541886263866854593228\
         18546009066468719561977/32206131135613955520*ep^2*z3+
         38072541085000258514973239794809092322259234099326336494526506\
         84783290824037271971916061239036613313384662813239817830053625\
         8531877756599754013621081001495805921876723/
         16729979873309365705776839535452388300448747668724396207197778\
         64131099135868614036582777757777330220189275683553280000000000\
         0000000000000000*ep^3-53043495646457265120143015972500/9639*
         ep^3*z6-28759663542022667175503683402995686725/6015083004*ep^3
         *z5+30054188626386685459322818546009066468719561977/
         21470754090409303680*ep^3*z4+340635411732091437817980136060680\
         064847366835509339600819/517316992318114311528658252800*ep^3*
         z3-7735524643412974331469485225000/9639*ep^3*z3^2;
Fill mncnoptab(15,5,1,9)=
      +mncF321*(72129031921254701250000+4136738927806277223860000/7*ep+
         1559229414266061662308280525/882*ep^2+
         290392557844599893284903285844/101871*ep^3)
      -9641073913212310146689472612881923584825255668694693937/
      27166859954642661202186997760000+812689702089879575/5292*ep^-3-
         62928604143838004801535235/75811583232*ep^-2-78411233549115579\
         463875053302459367/3252504554321299200*ep^-1-
         1255765166129864178152777075/1323*z3+
         11207620429979231119025965723668911412388486741426629665358140\
         92528659143669851594435949453448424576814945118326897/
         32270264169628096257833195153753010282197164641749249380735712\
         6164611072000000000000000000*ep-1255765166129864178152777075/
         882*ep*z4-597837739171213704157009258044057895/37905791616*ep*
         z3-70191146863896826086518788944841914423826392219297175798516\
         04158488884063070152070860109257415013879700181758980219871959\
         29283/44059506997474252819993157027299604050168637238637014611\
         927603375301288009589063680000000000000000000*ep^2-
         5800439071858790349460360150/63*ep^2*z5-5978377391712137041570\
         09258044057895/25270527744*ep^2*z4+201508634762383843988738268\
         09033128592506357/522006903779961600*ep^2*z3-
         11737767372752594030909634132073110938468222437068340672290573\
         71076791337882034282407817936813361370283238212076112478277920\
         5906166492111597241770077975831872889320681/
         23467252697951616349862188394060398155542855601568858241126544\
         02004190618349784603937850887049302748869420197190041600000000\
         00000000000000000*ep^3-602767276714523665802573930375/2646*
         ep^3*z6-2502933190894322089657038285458553835/12635263872*ep^3
         *z5+20150863476238384398873826809033128592506357/
         348004602519974400*ep^3*z4+37142900330822387044348105192245370\
         1014645137507820594067/13583429977321330601093498880000*ep^3*
         z3-43951780477213979936932256150/1323*ep^3*z3^2;
Fill mncnoptab(15,5,2,8)=
      +mncF321*(461625804296030088000000+26470815962640510898580000/7*
         ep+4987433969801862136879859200/441*ep^2+
         56279081158772953206180963892/3087*ep^3)
      -134840548771102439373763392231807015590795318888119/
      59368138012768053326457600-150191227012721022700/1323*ep^-3-
         9027096570532880032086613/6334524*ep^-2-6007270895539626417976\
         8355469476487/9609672546858384*ep^-1-
         8036893701509102157387202400/1323*z3+
         45338308465084791552876416697830486623076742435487340044812767\
         4807403467645376581793245884669522005456385002238178811/
         20429430259470286979893879536138949998963882094815735740773051\
         398598164480000000000000000000*ep-4018446850754551078693601200/
         441*ep*z4-29889476433112708729203440166791918/296138997*ep*z3-
         13930933662831805322381855104128991764885393622011752181392142\
         83511669974902253845770114062974125665951501263965520924579364\
         803/1367298068715021300620447364345452122216604844862216382271\
         1908165512335471725772800000000000000000000*ep^2-
         37122808362221261677240562800/63*ep^2*z5-149447382165563543646\
         01720083395959/98712999*ep^2*z4+408271519034367278207777492604\
         21492222007697/165166246899128475*ep^2*z3+
         94076953280891495732376087917248383674280199479716051900061492\
         11335871731152258064200645665723103542176772050681509497311164\
         73369819847484968421229408186198885795242301/
         87391071244976071302872211988297836881318446641259029387528536\
         32463522354792166624039392626251309715841851255160832000000000\
         00000000000000000*ep^3-1928855204762843482661661541000/1323*
         ep^3*z6-125068986974101721342442232661137697/98712999*ep^3*z5+
         40827151903436727820777749260421492222007697/
         110110831266085650*ep^3*z4+18529872167721717014143370288335873\
         633866477275751218359/106120546697822895321042960000*ep^3*z3-
         281291432264499669453557090000/1323*ep^3*z3^2;
Fill mncnoptab(15,5,3,7)=
      +mncF321*(1110787091587322399250000+9112442533447058129967500*ep+
         1721166934381722630456095650/63*ep^2+
         214347057504113074898475653258/4851*ep^3)
      -65263330671068983364808688495479184421595536536048633/
      11941476903139631297664614400-3789435222384441879275/1512*ep^-3-
         159473397953224884805528013231/5415113088*ep^-2-22148804902175\
         9162824876014880717160459/1932916992282372096*ep^-1-
         2762672936552911762185036725/189*z3+
         17056011953530394685756990783010993217112227640253129034253168\
         50128119133800108115434460850481047021149623884754706793/
         31939597599536272282705810207739101856980704878556671402301891\
         581627596800000000000000000000*ep-2762672936552911762185036725/
         126*ep*z4-658033669929179328149003441389116521/2707556544*ep*
         z3-45645931365270406152473200085620608766248086621836557788387\
         10073999634493127521099429165664066012481477886389204221725627\
         584869/1865584536905626730875712438815369076377175123602091157\
         1513623969270475220896972800000000000000000000*ep^2-
         25521921351171488505314691275/18*ep^2*z5-658033669929179328149\
         003441389116521/1805037696*ep^2*z4+572085210039194576824332706\
         636665415224461555/966458496141186048*ep^2*z3+
         27062372953031271641373823704849199595959922411976867627882793\
         69060345367679233947596849872027390323521368497742035941154671\
         299952613205549820376012242561756380207569/
         26401578544030883078359585740327440474138120314573121228750117\
         66261637927779777384623385189407058962617536505446400000000000\
         000000000000000*ep^3-2652175012507477175436192216625/756*ep^3*
         z6-2766603385610486198658149426044047569/902518848*ep^3*z5+
         572085210039194576824332706636665415224461555/
         644305664094124032*ep^3*z4+66327082995621788502647303503057678\
         56834844570778103133/15523919974081520686963998720*ep^3*z3-
         193388063506778533099439269225/378*ep^3*z3^2;
Fill mncnoptab(15,5,4,6)=
      +mncF321*(1306808343043908705000000+10754353371754794465950000*ep
         +2042284673419335478401034000/63*ep^2+
         768434833152695985178866125180/14553*ep^3)
      -14187840401975414823620158094370805103028961757884339/
      2206577253841018826742374400-88573186295635775797375/6426*ep^-3-
         3623100796113688826235581125555/23014230624*ep^-2-206901296933\
         909790771294752001202156505/357169444226090496*ep^-1-
         55252692479471296972383032500/3213*z3+
         10418926413066948220262500207663756189457646310797810635224169\
         27624839183120955785855528121207755740605529332726849288587/
         16534905788352655457517194239222095463564172541566197305198771\
         627670634496000000000000000000000*ep-
         27626346239735648486191516250/1071*ep*z4-329526046653569999535\
         3501488223615445/11507115312*ep*z3-
         15271089480321858031912227724416349561494400488951619636696358\
         60714018854006708922520803212765808216153008537589970753293397\
         68097217/53119002060046173285196904695327543359079368213214040\
         4259640623136392310078444666880000000000000000000000*ep^2-
         255218825473548146572110368750/153*ep^2*z5-3295260466535699995\
         353501488223615445/7671410208*ep^2*z4+141507471921998136807033\
         23844641740363293350243/20537243043000203520*ep^2*z3-
         11220802142887727129748422098377362234976354097448875974248908\
         46592150986102833762070714777590547607199555990828836520927789\
         9213313787368645016494838473591110146950787236017/
         65072929715224108849189595057095609533425448932270411487516479\
         80324323198874561156692372366650703624448206698748837888000000\
         000000000000000000000*ep^3-13260856606162599452604836778125/
         3213*ep^3*z6-13998557162632356888819775488551214205/3835705104
         *ep^3*z5+14150747192199813680703323844641740363293350243/
         13691495362000135680*ep^3*z4+171883671441305379454546787814295\
         241555854229804625672781/329883299449232314597984972800*ep^3*
         z3-1933889066759049636359653260250/3213*ep^3*z3^2;
Fill mncnoptab(15,5,5,5)=
      +mncF321*(816755214402442940625000+6755404414347333847781250*ep+
         1293909853950907142308531250/63*ep^2+
         492312409729393777190479501450/14553*ep^3)
      -18693086925477312770390885637228427017213486678893/
      4651546253156297921986560-1348377194103145511166875/51408*ep^-3-
         18193834377408560913392419414925/61371281664*ep^-2-30508215814\
         63002367573119561984357615893/2857355553808723968*ep^-1-
         69063376250714049934924390625/6426*z3+
         16870796959786453706171783847908841132412996597704071455445676\
         650952963475810147007917328807737675292611228913130773083/
         43884702697253550590461513633020457525225138465706882828920747\
         3823243304960000000000000000000*ep-
         69063376250714049934924390625/4284*ep*z4-183522323402248962981\
         7608435260038625/10228546944*ep*z3-
         21432896475173262054029416873559538021618930748306591727606010\
         07340834283589411975269402177807880245275230446259533539343261\
         4339/122592387428790708132516568081268794076021094717436529560\
         374033842934955757398917120000000000000000000*ep^2-
         638044541726441186535750621875/612*ep^2*z5-1835223234022489629\
         817608435260038625/6819031296*ep^2*z4+604681418493803802113735\
         989192722172753256845/1428677776904361984*ep^2*z3-
         31595181393675699791221581063260343335615781936019654481147199\
         16785442015878802259424815555720017255248744365206891903622236\
         899025174694713536441819676624182304398473131906337/
         15531606864429690300124572548227580083437986151154301813840433\
         39943809461107380256879335436472189941083297974857372627107840\
         000000000000000000000000*ep^3-66304043118769184086904571390625/
         25704*ep^3*z6-71320516313049668086403822380547442625/
         30685640832*ep^3*z5+604681418493803802113735989192722172753256\
         845/952451851269574656*ep^3*z4+3812875990198662785820561131715\
         0499439725802543008253/110861852366891767140679680*ep^3*z3-
         4834777419649815732713608770625/12852*ep^3*z3^2;
Fill mncnoptab(15,6,1,8)=
      +mncF321*(48592189925897904000000+2802286818236553434644000/7*ep+
         533145052386029298010137680/441*ep^2+
         1005363054425462187703168970228/509355*ep^3)
      -1014850928771663199016240959436388663888947648394647757/
      4244821867912915812841718400000-225378882986044580/1323*ep^-3-
         18704669002568820042144061/2369111976*ep^-2-827009342574618852\
         57288514728005399/1016407673225406000*ep^-1-
         845989152260783831103213280/1323*z3+
         37424471438385924770412508172452297180222749518727152808945104\
         4693517157569305283506360490207508729199421175259800879/
         16088176329332850996666430134709423124184057149667391895858777\
         9763960545280000000000000000000*ep-422994576130391915551606640/
         441*ep*z4-12620420635487440813118982484175803/1184555988*ep*z3
         -1097472263662355490477724312399396019110008618750411815545176\
         87523150433116122427682984446326773817320267676984010598940307\
         866937/1033677339948556103269058207445161804395753262715835584\
         9970202573127325616624684236800000000000000000000*ep^2-
         3907664211356070037326530960/63*ep^2*z5-1262042063548744081311\
         8982484175803/789703992*ep^2*z4+562116023299474547625892027529\
         40371499573119/2202216625321713000*ep^2*z3+
         24222689557371577820911499755100652369558709042178796375757919\
         67846224127474386658873170897508014906797355000053577785823482\
         941374311987818584484164080870855068519496247/
         27528187442167462460404746776313818617615310691996594257071488\
         94226009541759532486572408677269162560490183145375662080000000\
         0000000000000000000*ep^3-203037398215541717381884842200/1323*
         ep^3*z6-53804406052918223193571170639605083/394851996*ep^3*z5+
         56211602329947454762589202752940371499573119/
         1468144416881142000*ep^3*z4+4163763648486976460102972276079521\
         2131382167746091627607/2122410933956457906420859200000*ep^3*z3
         -29609620701787800566506035760/1323*ep^3*z3^2;
Fill mncnoptab(15,6,2,7)=
      +mncF321*(272116263585028262400000+2242596905764566641576000*ep+
         426913576049558195749841560/63*ep^2+
         53711517294819119164987356056/4851*ep^3)
      -6245298168063657413194324015857735068231806803983923/
      4664639415288918475650240000-52975484935359352600/189*ep^-3-
         2957801303696578736317321547/846111420*ep^-2-57108554854414171\
         03440718734827008843/377522850055150800*ep^-1-
         676790165361390268452368000/189*z3+
         52482546042320130102195863062745143771078459998163661739440187\
         465440036946240292654119468364370577498171740480109701789/
         40243892975415703076209320861751268339795688146981405966900383\
         39285077196800000000000000000000*ep-
         338395082680695134226184000/63*ep*z4-2524508178133199458555930\
         1828157497/423055710*ep*z3-27965011925387688863526991663125343\
         60051503897953751837131859825673422937688357225717138384164401\
         03481806482198257375920263211949/47012730330021793618067953458\
         14730072470481311477269716021433240256159755666037145600000000\
         000000000000*ep^2-3126130782477461284437776800/9*ep^2*z5-
         25245081781331994585559301828157497/282037140*ep^2*z4+
         67374746595209059049593761277421859471098779/
         471903562568938500*ep^2*z3-
         42514133147000365283583005725944342474843804948768435906775360\
         13134172472210508980328824217738957396586960379365810096126887\
         5435902994521451951109617306126265343824175749/
         36242419557127025918409195541011594865603708107615586730961082\
         57244002128018534407670901711058679571736346691318579200000000\
         0000000000000000000*ep^3-162429890666663241761852362000/189*
         ep^3*z6-107746844086589394854470575616566353/141018570*ep^3*z5
         +67374746595209059049593761277421859471098779/
         314602375045959000*ep^3*z4+16716618733368686324546933551976781\
         428457877842802758289/151600780996889850458632800000*ep^3*z3-
         23687709241969686229823917280/189*ep^3*z3^2;
Fill mncnoptab(15,6,3,6)=
      +mncF321*(561239793644120791200000+4634073027568852024872000*ep+
         295001245317133002102489320/21*ep^2+
         50824252606531352762398468796/2205*ep^3)
      -28388264774386016781859783158424756721702948026921/
      10280197058487974601984000-282365764894615906790/63*ep^-3-
         2675116045967662124387240449/51279480*ep^-2-165785533648106371\
         7280639990208012351/8320062811132800*ep^-1-
         465287823290332098393388480/63*z3+
         14037798678592031972259107363929849133391399209255874808033493\
         00671473534321584596537174201507230562766877633386451341509/
         52198428076956422130593495539505046463408466258669760120333377\
         099117101056000000000000000000000*ep-
         232643911645166049196694240/21*ep*z4-1857971165584925040805716\
         25257527/1508220*ep*z3-205228906604195863110230971636423539104\
         92122896890213749970857073443582746895491250741557541702734625\
         1515786835559827188724675502479/167689398660145762723856895214\
         66146040807408396720510801137674573521404298554821836800000000\
         00000000000000*ep^2-2149212170887614830942189960/3*ep^2*z5-
         185797116558492504080571625257527/1005480*ep^2*z4+133879447007\
         08892336252100533682547952645933/45760345461230400*ep^2*z3-
         12673499696880580807118866651466268634992893082495419008585604\
         08857284571534439266561269315107996657521564663913508848607256\
         9216404244452351681692559584382183547148248902461/
         44657892941820466857286976999967575169997857110381654942413270\
         45320613960011953734984961428093620134425239891298222080000000\
         000000000000000000000*ep^3-111670419413373948378481501700/63*
         ep^3*z6-13563362193135373453529818584461551/8546580*ep^3*z5+
         13387944700708892336252100533682547952645933/30506896974153600
         *ep^3*z4+170608525476207707998840948552738416110887719800774107
       /735034089681890184041856000*ep^3*z3-
         16285359710030335676308911640/63*ep^3*z3^2;
Fill mncnoptab(15,6,4,5)=
      +mncF321*(550235091807961560000000+4559296803924252933400000*ep+
         875960731963663424313989000/63*ep^2+
         334612183098794515539269674300/14553*ep^3)
      -17175231096742879523278278825829265772796303352974421/
      6343909604792929126884326400-52775052478665011618500/3213*ep^-3-
         48839386361351832177543602195/261525348*ep^-2-3495287075818672\
         170120451450214784443663/5134310760750050880*ep^-1-
         23263541057507975225431820000/3213*z3+
         27684879228058736993162386244960589057958515170006732740290491\
         8721533736846226202091038097870392938183139259027574058311223/
         10678903554349679000682904727459198134188285194245112867589574\
         668014802582896640000000000000000000*ep-
         11631770528753987612715910000/1071*ep*z4-174020534031421777938\
         971773704598765/1438389414*ep*z3-
         16140876164939391139987679743929118256751385073731429636053793\
         33962817761085757253533758129273921685134181117573041244108966\
         683400581/1372255051618408822180462757137213624121112766672886\
         2347481852001856304381642508146311168000000000000000000*ep^2-
         107460177911513960705226730000/153*ep^2*z5-1740205340314217779\
         38971773704598765/958926276*ep^2*z4+72733050392016107948174738\
         3070184351350273011/2567155380375025440*ep^2*z3+
         51771560568681918443051784589287471205387993945340598224411737\
         82862353441752654280386708073604213069594531077786331900873212\
         72432437945857311161134191841719461804701084633301/
         18272478664034929764852438292032447156985866060181531545694627\
         52875069954243976772799218160555517577745056441008673678950400\
         00000000000000000000000*ep^3-5583500487710712998960823775000/
         3213*ep^3*z6-68710532248761053484729806347356035/43587558*ep^3
         *z5+727330503920161079481747383070184351350273011/
         1711436920250016960*ep^3*z4+9737714571867554201274043353864934\
         214697882504565088653/41235412431154039324748121600*ep^3*z3-
         814277333944173610534351406000/3213*ep^3*z3^2;
Fill mncnoptab(15,6,5,4)=
      +mncF321*(275117545903980780000000+2291899279163601178500000*ep+
         444332241219682185303128000/63*ep^2+
         171729012763144778660659270420/14553*ep^3)
      -5725312190907045834698637225177735525757694375506051/
      4229273069861952751256217600-60662271863895202153250/3213*ep^-3-
         37277258663327530012240352315/174350232*ep^-2-7938989875474869\
         661928248970991164509099/10268621521500101760*ep^-1-
         11631016178761819286336266000/3213*z3+
         19027660734674053919153117775053547047583803228541873979403582\
         7050405873780396282459091964710905589996767655808372656331433/
         14316405077550038410290519150249987498646169838534854438112273\
         539307344712695808000000000000000000*ep-
         5815508089380909643168133000/1071*ep*z4-1938629887697870149184\
         9898043959395/319642092*ep*z3-13838306495792553292507984203551\
         00875091864609754818937985739604157660943668474149529692567478\
         0998822804192466539763268982371339483611/
         22995992857199116590446036047338462685467085035260476355741072\
         2999857600770493593545605120000000000000000000*ep^2-
         53729706935300088106883417000/153*ep^2*z5-19386298876978701491\
         849898043959395/213094728*ep^2*z4+3755764975682426375045282414\
         1311927867004377/270226882144739520*ep^2*z3+
         53443203398411533574088239749674318345851628663944573156286734\
         12338729003281565002224746109007175786940095677568783496251567\
         3621249807115558824419707674355527333345922849782303/
         35397502769464291049627658623194919233910385312615100977605712\
         74440688249955038816694060418184900387600153790823380802967961\
         6000000000000000000000000*ep^3-2791732073656350077395538727500/
         3213*ep^3*z6-70071307597622675566685954960834845/87175116*ep^3
         *z5+37557649756824263750452824141311927867004377/
         180151254763159680*ep^3*z4+20020374521939337222602193662081586\
         144682329587957833/160761841836857853117926400*ep^3*z3-
         407146967266708324117854067000/3213*ep^3*z3^2;
Fill mncnoptab(15,6,6,3)=
      +mncF321*(69503380017847776000000+583331292763257006540000*ep+
         38169196460218789069020800/21*ep^2+
         14989891913174317557058058780/4851*ep^3)
      -7635090200873886085922978623414543031468890558592341/
      22321163424271417298296704000-139615258512479776215800/20349*
         ep^-3-14525764989049949308282711009/184036356*ep^-2-1596328067\
         9971765707024974058539151762679/54195502474583870400*ep^-1-
         18608690696799445729913920000/20349*z3+
         44973786676549143114632375005992120151895561439124082960781715\
         907597444864972700121372077273077001645423203233863002976436637
       /138302835895834504393810988555481657009143621160174931585248167\
         84461530874451381452800000000000000000*ep-
         9304345348399722864956960000/6783*ep*z4-1228902308705015346743\
         982091163078/79910523*ep*z3-6417134717954376692652853265676733\
         81632539094893561942749932633927382888985845603624448798188827\
         3025443288091385917533564613367766604811/
         44430302288362666507549781291106562216116672029015263472745595\
         3344435983141995444382868701184000000000000000000*ep^2-
         85967057250079236515677172000/969*ep^2*z5-61445115435250767337\
         1991045581539/26636841*ep^2*z4+9257636416547316552715975888038\
         54698769513763/27097751237291935200*ep^2*z3-
         24188842073627306913523460064120596884462445998005714094702568\
         17117032292477309008390023562953620196948547813858259727488573\
         483204704499990897814067658036369312200794872348536067/
         12238411268631849463700599198291462920197140863284239712221793\
         80361288979291121687236730435784176759787516283092144175219927\
         4168320000000000000000000000*ep^3-
         4466748778887161302748266730000/20349*ep^3*z6-2878975772875366\
         8460914778151617699/138027267*ep^3*z5+925763641654731655271597\
         588803854698769513763/18065167491527956800*ep^3*z4+
         14667802527396216590368457058126538452645485160122943259/
         435262686773292637316785728000*ep^3*z3-
         651445426432161641752173800800/20349*ep^3*z3^2;
Fill mncnoptab(15,7,1,7)=
      +mncF321*(19841810886408310800000+494514622338807771200500/3*ep+
         13631975505220372733732000/27*ep^2+
         52363801825891551161378077309/62370*ep^3)
      -1526098876722460299566922789729315201150561295012267/
      15632303948121832055884800000+34507876694940545/162*ep^-3-
         57502534891646795568208411/5801906880*ep^-2-124048858490480600\
         7613671374610047/8889863031126000*ep^-1-
         21149729591521371899940700/81*z3+12713460927719379082344723279\
         36251283117692214529562927894242348570737116995804152231377626\
         99819991761789973906453/13468905693265504242498805845620924877\
         2148953309198791315413016353177600000000000000000000*ep-
         10574864795760685949970350/27*ep*z4-74545743658586937283601794\
         2364853/170644320*ep*z3-82812254357194386749071092653565078749\
         24858342498149374427898684438953462932296817730790687250365087\
         65422691218267062108742239/19384674313503363466008860442967858\
         27465962723183047488072144484737025471932268544000000000000000\
         00000*ep^2-683841239429160575861608250/27*ep^2*z5-745457436585\
         869372836017942364853/113762880*ep^2*z4+1819812797108721321520\
         067623356878118359389/179772785740548000*ep^2*z3-
         62747463988183511373712344190293677316243693324067617061401224\
         81242085688214787124893567802266395940249014257246435093489491\
         19128579930735836541371941698097853331995059784537409/
         63607610233464843434524229845504958372385713591388526076665316\
         41370424751482940326289642193918149752553828432319009400029184\
         000000000000000000000000000*ep^3-5075934971739900889212210125/
         81*ep^3*z6-7928179009814293236609435694753987/138140640*ep^3*
         z5+1819812797108721321520067623356878118359389/
         119848523827032000*ep^3*z4+90909293783005890525300304426812789\
         70696966921659002117/1039548212550101831716339200000*ep^3*z3-
         740240506657697316948465490/81*ep^3*z3^2;
Fill mncnoptab(15,7,2,6)=
      +mncF321*(95240692254759891840000+791825388146777896912000*ep+
         21855686821439958111837992/9*ep^2+
         210228593980368481870609076572/51975*ep^3)
      -1561364615704025632718369172327864502343308394027089/
      3331885296634941768321600000-9589904991396731456/27*ep^-3-
         2652025414014277743323193563/604365300*ep^-2-71989487903735733\
         6716047166871722521/38522739801546000*ep^-1-
         33839355034175656836662272/27*z3+35031151407870465724838772755\
         99866657588836509836103888734097126615672370166071045647688986\
         7023135067097676824586363951/774372284658144723915398010750899\
         0409406750488923535842027479020198690816000000000000000000000*
         ep-16919677517087828418331136/9*ep*z4-633875315237563865530760\
         4064153223/302182650*ep*z3-17611619075385670084587573328690108\
         30216404055414627477507645348056802730347420693289691288875022\
         6925333715885999110325621852909/860795802848765275018847897409\
         76071923229025193249513599512759702855225685573632000000000000\
         0000000000*ep^2-1094145231224556413453128448/9*ep^2*z5-6338753\
         152375638655307604064153223/201455100*ep^2*z4+1633401237575562\
         3253325549102855621530961533/337073973263527500*ep^2*z3+
         75366037789827362947083021032117638399601067517169991022564728\
         09088735578503070534546047084002249028230988165614532161934703\
         959964022112622403187208869775894664788180629171491467209/
         11428167305279183537069519962242390854238633208586138518440868\
         51566219647016434945290039047507294238875504508339982022205243\
         3920000000000000000000000000000*ep^3-
         8121490846598733958806807680/27*ep^3*z6-2782592559881472062456\
         2540133612987/100727550*ep^3*z5+163340123757556232533255491028\
         55621530961533/224715982175685000*ep^3*z4+93469921006272846114\
         999409959562531915227664256771587/2209923921237461376948000000
         *ep^3*z3-1184387151903487406823440128/27*ep^3*z3^2;
Fill mncnoptab(15,7,3,5)=
      +mncF321*(163694939812868564100000+1364013143526256604381000*ep+
         37791727879243581373045240/9*ep^2+
         73059558174751868426152466887/10395*ep^3)
      -29870955755890507481478025771755040011308135911711/
      37085331997328047508275200-405390624221106203095/108*ep^-3-
         7665625652772694771993976929/175815360*ep^-2-35560127482137596\
         00762670659798888267/21438742150425600*ep^-1-
         58159526010447762120300860/27*z3+62188199599698498821731841035\
         98951481399291053780331655186189070108191546973362086854537717\
         416445017395743351180032587/8032874645967864450641571180577101\
         04873498209285776505761213680458462658560000000000000000000*ep
         -29079763005223881060150430/9*ep*z4-34901355665617881315349744\
         371331469/966984480*ep*z3-613135843984557234301755527539417754\
         08757310495043427210434425900686087540887729393912459473288240\
         0150763499970504556036358286401/175480185628952534805685774569\
         97616676740572463847650060718480820788113020003207348224000000\
         000000000000*ep^2-1880555500373078502427557415/9*ep^2*z5-
         34901355665617881315349744371331469/644656320*ep^2*z4+
         7504469253350792902288515908116297701986137/90832565426803200*
         ep^2*z3+540559820539735684574962777903860360042632986266680761\
         47523628484423875861126517874269643584389842872676217035532111\
         71885933757593218682025471560830207354287585069372492430067543\
         2929/201533246044401601853712925942848423064312592582719034046\
         93983782402551688255044078679992942128632316865418634030291661\
         149857382400000000000000000000000000*ep^3-
         27917534875543938725811856925/54*ep^3*z6-140272931405830066968\
         95340480246031/29302560*ep^3*z5+750446925335079290228851590811\
         6297701986137/60555043617868800*ep^3*z4+1084078855526080406996\
         88404271276175428690569457486023/1459015035158037658549248000*
         ep^3*z3-2035685924729178147780124355/27*ep^3*z3^2;
Fill mncnoptab(15,7,4,4)=
      +mncF321*(128388188088524364000000+3221812868086750958020000/3*ep
         +89842306103850381512802800/27*ep^2+
         454898164522411973314517444/81*ep^3)
      -312302973152976087190139157797951936017485136415939/
      494330618555293178718259200-11447222526749089387450/1377*ep^-3-
         21274933000241205732140176069/224164584*ep^-2-1994488244860089\
         2923116953097489221591/57153737596475520*ep^-1-
         2326218292043053302187264400/1377*z3+
         64221491206172901873968267281473686543033046287680270014806042\
         93710337069926837193151697951604592199515768345023411749247/
         10411930965490937025665832109272718180833578064388985045899835\
         30131443251832422400000000000000000*ep-
         1163109146021526651093632200/459*ep*z4-31787825225935857617955\
         82127911129/112082292*ep*z3-9305729796325794881913826182318442\
         41271018470338846174056456047776043294462108280663488859385075\
         755545958650888002014752601116314213/3344871688319871504064877\
         97052195820879521236876516019719870142545247419302536136066334\
         72000000000000000000*ep^2-75221643113614300589145316600/459*
         ep^2*z5-3178782522593585761795582127911129/74721528*ep^2*z4+
         12782047948544417072788766317949039891555393/
         200038081587664320*ep^2*z3-
         10767176237085890789366472079503192735320640690646267603109055\
         86923507005305194696921977347545444169654842806145969651734234\
         2448162089408877971651170255815046546490696012023068189967607/
         76829511723277000666681710192562390082692568107347063754544639\
         67446412767355029178894780309362987854997019218758197938521854\
         380605440000000000000000000000000*ep^3-
         558346777621999621163121713500/1377*ep^3*z6-142234062045696317\
         90966390476002781/37360764*ep^3*z5+127820479485444170727887663\
         17949039891555393/133358721058442880*ep^3*z4+19412408715441291\
         7779417105599580214566517249440205987/
         3213149020609405661668684800*ep^3*z3-
         81429227984623480566275442200/1377*ep^3*z3^2;
Fill mncnoptab(15,7,5,3)=
      +mncF321*(48145570533196636500000+404995153765905592890000*ep+
         11399863638809788061558600/9*ep^2+1499439264157210995289874792/
         693*ep^3)
      -1145293871142750072493960253195865267358388114251489/
      4833454936985088858578534400-8854483955427377843225/1836*ep^-3-
         11080077029355407684491052723/199257408*ep^-2-3495435622827743\
         33521521156935238714019/1676509636163281920*ep^-1-
         290760088039408274218943050/459*z3+
         32573750236430816944738608635272936756154477246918595768693323\
         24400189950470708457750204667377546646706223185117775195200907/
         14558193252193105725664314584787542843067749595807887535289280\
         82574897986784355942400000000000000000*ep-
         145380044019704137109471525/153*ep*z4-166968142110420581150219\
         9649559649/156559392*ep*z3-46318539486411421710755195670605131\
         19815544019665865468651143710938461733018813409916265428067426\
         09659746643446396483252960245693210461/
         46768739250908070007947138201164802332754391609489751023942731\
         930993261383367941513986179072000000000000000000*ep^2-
         9402644386963233122388617075/153*ep^2*z5-166968142110420581150\
         2199649559649/104372928*ep^2*z4+137682192388732038179533025300\
         236365865224677/5867783726571486720*ep^2*z3-
         67943471339046721051993512820874753598082322239753834772616272\
         60892235636133567334690034161581571324914900092950041843209654\
         6778031388468839578468018964762406994266599298457038043/
         12238411268631849463700599198291462920197140863284239712221793\
         80361288979291121687236730435784176759787516283092144175219927\
         41683200000000000000000000000*ep^3-
         139585865364251455464734540875/918*ep^3*z6-1451143738135517385\
         5731950101683271/99628704*ep^3*z5+1376821923887320381795330253\
         00236365865224677/3911855817714324480*ep^3*z4+1496417460479455\
         11751178745152995622980173857351779181/
         6283491418080615516152094720*ep^3*z3-
         10178842510532973982329048775/459*ep^3*z3^2;
Fill mncnoptab(15,7,6,2)=
      +mncF321*(8108727668748907200000+68733060512811462768000*ep+
         1959336786006936677893240/9*ep^2+87303625224066878728893676/
         231*ep^3)
      -28640962470109251322764425810952838529383819885004419/
      717465967208724127445251200000-5238022120344036041980/8721*ep^-3-
         1233998035711577411010108929/169012980*ep^-2-21466910668018308\
         6504451269788401038731/7110197117656776000*ep^-1-
         930472738982579526560453120/8721*z3+
         13586069373339815780515105483295550887320005112252052598145586\
         87976244480735700582392818592424722620861339745648706998401157\
         73/35958737332916971142390857024425230822377341501645482212164\
         5236395999802735735917772800000000000000000*ep-
         465236369491289763280226560/2907*ep*z4-61751991351032906989784\
         3709514577/342473670*ep*z3-19407300232610233799946571577624945\
         78434175955501191914884284964575520735509601844477699848458341\
         4337938817006575473728363384747203525639/
         11551878594974293291962943135687706176190334727543968502913854\
         786955335561691881553954586230784000000000000000000*ep^2-
         30088605653615330398397045680/2907*ep^2*z5-6175199135103290698\
         97843709514577/228315780*ep^2*z4+95465956902845129896583414508\
         214771591468993/24885689911798716000*ep^2*z3+
         54362700992441683589525497995692906125276406914163216074628018\
         97812827477189738544684767247551713289288042113042828297328884\
         4122417804933416841645410223863449612551988972968874163/
         60457751667041336350680960039559826825773875864624144178375661\
         38984767557698141134949448352773833193350330438475192225586441\
         439150080000000000000000000000*ep^3-
         223338360554658529171576709800/8721*ep^3*z6-149068988334612482\
         35135637122385651/591545430*ep^3*z5+95465956902845129896583414\
         508214771591468993/16590459941199144000*ep^3*z4+19925586656472\
         339613461107783401811704529678474732995003/
         4663528786856706828394132800000*ep^3*z3-
         32571852165280345664298796400/8721*ep^3*z3^2;
Fill mncnoptab(15,7,7,1)=
      +mncF321*(473009114010352920000+4049931768514928596300*ep+
         352096215759896164449412/27*ep^2+480579852487098380075511367/
         20790*ep^3)
      -4358124511957473547370032577092816930865357486861863/
      1871650349240149897683264000000-15099857362850584883/52326*ep^-3-
         305217901246248962399104849/10140778800*ep^-2-7450276348777303\
         3574322341094256449857/227217168759901320000*ep^-1-
         162852797197981797383608976/26163*z3+
         42805079976003684160696126228485359704279986793232910200765267\
         211707877939983032390556389363311467270083684852067714819803/
         19542792028759223446951552730665886316509424729155153376176371\
         54326085884433347379200000000000000000*ep-
         81426398598990898691804488/8721*ep*z4-434490280231843516954341\
         2608521659/41096840400*ep*z3-603394690096344085061607070532678\
         65073400744978822811493095164041069071067159086216165114516908\
         14109818096052909778205282376260141329/
         62781948885729854847624690954824490087990949606217220124531819\
         494322475878760225836709707776000000000000000000*ep^2-
         5265577057198153995432352414/8721*ep^2*z5-43449028023184351695\
         43412608521659/27397893600*ep^2*z4+160338084908633744794467332\
         481011931205263019/746570697353961480000*ep^2*z3+
         23520797856530517881225039356613331165291740966792386720024010\
         01421540516466397614220081173409456474142425495474266372880679\
         37232780384224665710598204867992877148911401571773467087/
         16598675720186198895079457578861150455016217618632558784173037\
         83458267932966024648600371045254055903234333221883364025534757\
         497118654464000000000000000000000*ep^3-
         39084695935991200472283620665/26163*ep^3*z6-108024904524488404\
         220960178716557967/70985451600*ep^3*z5+16033808490863374479446\
         7332481011931205263019/497713798235974320000*ep^3*z4+
         75231255402900058623702657239266457183860851727423714343/
         279811727211402409703647968000000*ep^3*z3-
         5699852841572628270041073590/26163*ep^3*z3^2;
Fill mncnoptab(15,8,1,6)=
      +mncF321*(4859218992589790400000+285925310163933645634000/7*ep+
         56268232320266832378095960/441*ep^2+
         110820676977225087640115271074/509355*ep^3)
      -28996351945938366599035484427672603335493693786935707/
      1212806247975118803669062400000-243251466135783170/1323*ep^-3-
         301731011026148235083494081/23691119760*ep^-2-4637208815299933\
         7991414459937319843/338802557741802000*ep^-1-
         84598908051343519691487760/1323*z3+
         12134394412465952174998241933677609540783094092502685890077667\
         54781854900424770197591177791762033234793754343441108187/
         52983366845030954794211442840850987011730398082108403129661698\
         55925420032000000000000000000000*ep-42299454025671759845743880/
         441*ep*z4-260148453129702778394606365512919/241746120*ep*z3-
         66337735967990442142048606579201995257684140226267299203607138\
         66711638903812331867980306453522017540097258259013254781153503\
         511811/6468019662605622276491623101136942044311428953020768451\
         867388764072541658014002708480000000000000000000000*ep^2-
         2735364925322471297411206040/441*ep^2*z5-260148453129702778394\
         606365512919/161164080*ep^2*z4+3137049997503285432296861379600\
         120900354601/1321329975193027800*ep^2*z3+
         14893814873865412534609430408437583858643622787333093050695417\
         20159276023904544909060159532661530381270496822605025498760887\
         44943545042253202787080234951647647600363038447701636948688345\
         705443/8174887683718415654189981929030840935286282268573405224\
         99787869392068764897174985242206273440944754149795462818366370\
         8098676618081463173120000000000000000000000000000*ep^3-
         20303739669790175931355325900/1323*ep^3*z6-5790609941471659423\
         1148699192069799/3948519960*ep^3*z5+31370499975032854322968613\
         79600120900354601/880886650128685200*ep^3*z4+15613015357125604\
         4960465237784921182142738644315114359/
         65304951814044858659103360000*ep^3*z3-
         2960962167653091013117409080/1323*ep^3*z3^2;
Fill mncnoptab(15,8,2,5)=
      +mncF321*(19436875970359161600000+1144957982714475567352000/7*ep+
         225730245446279329971395960/441*ep^2+
         445605430864211321270095909508/509355*ep^3)
      -89227684879171487657875784530383863037856513874077/
      932927883057783695130048000-301005710942790350120/1323*ep^-3-
         16631915778981311165851933291/5922779940*ep^-2-315350476933242\
         45713210300377837115617/2642659950386055600*ep^-1-
         338389054038344171954266240/1323*z3+
         57541738507753009502229691799567611306410271736125898850656676\
         0393916367464414974063302426524404796576028571700869971057/
         62817079731468700004017086632112930201107559966147722750526909\
         8118517798993920000000000000000000*ep-
         169194527019172085977133120/441*ep*z4-182201307169948575459483\
         8671310563/423055710*ep*z3-66071257507028923831795767097695745\
         58041892330209216480960262791600175211834608443968945177440878\
         003853001814365087888449752670443/1614417707786363320212309126\
         04378073426013266667398380558610023551250639784029507603660800\
         0000000000000000*ep^2-10941436351359818501265779360/441*ep^2*
         z5-1822013071699485754594838671310563/282037140*ep^2*z4+
         57853329320508680884920908557672646015656/6117268403671425*
         ep^2*z3-698186018347631510294609930502546235209478387652217970\
         24468901885237140329247505489084909518428363026679670873283142\
         44242953414333473382819736277344089667617152605470694841314897\
         62591321422219/16455257789162230220046931366823370140705290759\
         96711245289895582260164223534958679971408756861772666417652802\
         576324565759217486994462264524800000000000000000000000000*ep^3
         -81214800000102778329607679600/1323*ep^3*z6-581316843633578154\
         19892549991671749/987129990*ep^3*z5+28926664660254340442460454\
         278836323007828/2039089467890475*ep^3*z4+204921930307120791453\
         7672480653501745705952822330482489/
         212241093395645790642085920000*ep^3*z3-
         11843920850027087835774610720/1323*ep^3*z3^2;
Fill mncnoptab(15,8,3,4)=
      +mncF321*(26725704459243847200000+1578318718766929846564000/7*ep+
         312481001680479191250675920/441*ep^2+
         620188018091941531538667635996/509355*ep^3)
      -4267853621369674884259214597943177264267663459493/
      32449665497662041569740800-1929430431439506191690/1323*ep^-3-
         18300860030354271035775484429/1076869080*ep^-2-137626519192947\
         2488412584089507451520747/21141279603088444800*ep^-1-
         465251567780305490243952880/1323*z3+
         40609691987537087180399516904393881128742964188911335329987743\
         31620028592361163587286694694135219256383358038587111731/
         32390056736538548439571310294683229634946085607544919543240437\
         87173607401062400000000000000000*ep-
         232625783890152745121976440/441*ep*z4-716665164019580768668296\
         226715831/120873060*ep*z3-579607686930011404524003634184644092\
         69309390849967689228253298535849794190448805151611141789422594\
         4066980807466734360852694891609/104054266322167948373058986639\
         54055513786011328172161246941661674201701392330026857267200000\
         0000000000000*ep^2-15044356678298796542208783320/441*ep^2*z5-
         716665164019580768668296226715831/80582040*ep^2*z4+45379353383\
         737614123284702705317770123149561/3523546600514740800*ep^2*z3-
         49957112203203050935332390902846104403757112045019350611325856\
         22661756418264682917584527127808717741591077321529952519312789\
         24319515685860892256864275708317964022916960455778984401263138\
         89487/42423711487683874786058494930091501144005827740540211792\
         63012048014485888801065346801288201284257655608011131642086771\
         0979825836575980257280000000000000000000000000*ep^3-
         111669546167790210340955992700/1323*ep^3*z6-771754282990209559\
         101546688600699/9446220*ep^3*z5+453793533837376141232847027053\
         17770123149561/2349031067009827200*ep^3*z4+2303071427510510223\
         337983116572141613115376431572598377/
         169792874716516632513668736000*ep^3*z3-
         16285758681339522145523566840/1323*ep^3*z3^2;
Fill mncnoptab(15,8,4,3)=
      +mncF321*(15721002623084616000000+932226082412197335620000/7*ep+
         185817684825538807072423600/441*ep^2+
         74399631818765957560816531036/101871*ep^3)
      -1614748788068266422224555898096492440184176471767/
      20868123699976740548961600-36602984085935992871900/22491*ep^-3-
         34613760487183306546574604019/1830677436*ep^-2-129380189280520\
         7645003020606581171415363/17970087662625178080*ep^-1-
         4652135474165519784038888800/22491*z3+
         17530160446861143302502570582697523115732152667166641847342776\
         2023958734828870644831903248984801411256769847752534424844853/
         24263655420321842876107190974645904738446249326346479225482134\
         7095816331130725990400000000000000000*ep-
         2326067737082759892019444400/7497*ep*z4-3590470615490563778933\
         38868720233/102742101*ep*z3-9157932500541822163087508073079968\
         36957449812360035683764804758625103076082482683461046796209864\
         940203117853423743500358431806892177/
         28869592130190166671572307531583211316515056549067747545643661\
         6857983094959061367370285056000000000000000000*ep^2-
         150442218076372964971376373200/7497*ep^2*z5-359047061549056377\
         893338868720233/68494734*ep^2*z4+74441019909275898477406001095\
         71543767941103/998338203479176560*ep^2*z3+
         77695469756069006205311399603206188852025486330406172116994029\
         63385148038654272217504040531954220370720941491309419309828615\
         3539159135430149027338328444430753574442228826089923552569883/
         35808243537989547273686023743081670992614936187513164825451472\
         06160950306088729155081922793074957006195647772179746772531815\
         38983477248000000000000000000000000*ep^3-
         1116686296887383437825225577000/22491*ep^3*z6-7437152308430979\
         605318765770148708/152556453*ep^3*z5+7444101990927589847740600\
         109571543767941103/665558802319451040*ep^3*z4+4650491601025024\
         825684023534666748744930327089964822/
         563765404332184131393040725*ep^3*z3-
         162861764354868278151687648400/22491*ep^3*z3^2;
Fill mncnoptab(15,8,5,2)=
      +mncF321*(3930250655771154000000+234413905590800621400000/7*ep+
         47173600896059714128527800/441*ep^2+
         19119211184986230222150290092/101871*ep^3)
      -454656414211220884223150654418723036645185341579759/
      23495961499233070840312320000-7298183545980264110225/22491*ep^-3-
         9638869681691712114429518123/2440903248*ep^-2-2064500434962694\
         57631749395868882658761/12610587833421177600*ep^-1-
         1163074366037299633791569800/22491*z3+
         72576186398752021403900819334824127841808665537377985990092622\
         395481631043264587070316622029075675338971917943040986494081/
         39428440058022994673674185333799595199975155155313028741408468\
         9030701538087429734400000000000000000*ep-
         581537183018649816895784900/7497*ep*z4-16804795364888763123978\
         18721521929/1917852552*ep*z3-413783382048106466272501573963439\
         87543598771694686263791749983115422109724810149798188930715406\
         515519565236279357403509902185767370387/
         50666134188483742508609399717928535860483924243613896942604626\
         258576033165315269973485027328000000000000000000*ep^2-
         37610698414916474136248074700/7497*ep^2*z5-1680479536488876312\
         397818721521929/1278568368*ep^2*z4+727242954273352558252197865\
         49123152566341977/39933528139167062400*ep^2*z3+
         13647518298879352996611814309622199146296353778611731963635922\
         24694022895369541667618130263557095161676510132361407774299246\
         683201470636947762400080608395135072271666245368118468386461749
       /190586392210654532901921054203906937052276946613356527019730005\
         75857811258298420200493943905908702419059152296779020551236209\
         761113090293760000000000000000000000*ep^3-
         279172552196780306937381635750/22491*ep^3*z6-15176615593255794\
         034106635623662111/1220451624*ep^3*z5+727242954273352558252197\
         86549123152566341977/26622352092778041600*ep^3*z4+
         20753311991417940165963922532089807032490859333028202769/
         9621596233935942509107895040000*ep^3*z3-
         40714997687290416467476006300/22491*ep^3*z3^2;
Fill mncnoptab(15,8,6,1)=
      +mncF321*(330968476275465600000+19894287002814944148000/7*ep+
         4054719858954460515650480/441*ep^2+
         1670029433054717827768418608/101871*ep^3)
      -35459671935770989517529985941875895007570692748202069/
      21763134338664631865839286400000-115185089442996959360/427329*
         ep^-3-1365358479393861008506460221/57971452140*ep^-2-478999698\
         533072928833174610304630817167/1896842586610435464000*ep^-1-
         1861174208846645797167955840/427329*z3+
         10992799486382532604103386780778046310066313999847077851552129\
         967758500854508161907789551565159276642660605802748531166662097
       /719174746658339422847817140488504616447546830032909644243290472\
         791999605471471835545600000000000000000*ep-
         930587104423322898583977920/142443*ep*z4-
         1812282888395431356866708893559/24462405*ep*z3-
         15447380699535654184832687988937494094377698430772771743086596\
         58785973148789125897967674460610985268382890987113422527931957\
         599997910471/2310375718994858658392588627137541235238066945508\
         79370058277095739106711233837631079091724615680000000000000000\
         00*ep^2-60178021302192876681612565760/142443*ep^2*z5-
         1812282888395431356866708893559/16308270*ep^2*z4+4223497979923\
         90348000437142213668291065080769/2845263879915653196000*ep^2*
         z3-48312952611188006324402045188074633885797176406796362686288\
         05877720900277783635161883990830073395063282530030075786957369\
         9293442675618819799415774168724217695158454771520696893843/
         69889160927099784821387189805731159810594600499505510670202264\
         56666391296699051152001562295806551171512981986877322212777926\
         303657492480000000000000000000000*ep^3-
         446682224244329960619174353600/427329*ep^3*z6-1558510401623832\
         8594916022846889156/14492863035*ep^3*z5+4223497979923903480004\
         37142213668291065080769/1896842586610435464000*ep^3*z4+
         43900668975508336828244080339474603254425938304037706201/
         228512910555978634591312507200000*ep^3*z3-
         65141181955013546828995244800/427329*ep^3*z3^2;
Fill mncnoptab(15,9,1,5)=
      +mncF321*(690229970538322500000+41274938286487636274375/7*ep+
         183486916812434126049808975/9702*ep^2+
         27172833610813836771122242903/814968*ep^3)
      -144991187260982471081621362848499469995232407348413959/
      42690779928724181889150996480000+9375517137202229975/116424*ep^-3
         -4551386261008127016285183845/833927415552*ep^-2-7687602993028\
         91340793528516995023/10629099850723200*ep^-1-
         12016895634496546638955175/1323*z3+
         12550815015829922563161140566345790982003267276887052854818373\
         0588766841670670114640512532944873223474663279771481171/
         39485021545494611431096454454470984697839037693007140014616914\
         73887826165104640000000000000000*ep-12016895634496546638955175/
         882*ep*z4-9179160037209337311121345908111845/59566243968*ep*z3
         -3520849444908342174082289359959691673940662317168113892993609\
         39556547859746966622451866331689017648826801189051114487262522\
         57031/25369421122357137889050571980687982966944941904876888373\
         4958608437679576803474940520038400000000000000000*ep^2-
         8548015745767370174074034275/9702*ep^2*z5-91791600372093373111\
         21345908111845/39710829312*ep^2*z4+183953759738240460959132971\
         93722431529951211/58138518908493223200*ep^2*z3-
         15800549498524429528664715136026673341149459718009113669205651\
         73307701128176874522915256997290949755978753919062873740554948\
         14622117537041305283115934312858151685334277678838756031192955\
         57/25651396142191179451593159296396659282196590396108733012290\
         48656231844572459067016549716050696523333707061054530407665937\
         797316869081747213516800000000000000000000*ep^3-
         126898377666715932480825444875/58212*ep^3*z6-27842895562544221\
         619354871351750505/12635263872*ep^3*z5+18395375973824046095913\
         297193722431529951211/38759012605662148800*ep^3*z4+
         57792046780122576398370169691150736934032090435503116723/
         149417729750534636612028487680000*ep^3*z3-
         9253005110550777299281899575/29106*ep^3*z3^2;
Fill mncnoptab(15,9,2,4)=
      +mncF321*(2208735905722632000000+132259534472177772400000/7*ep+
         294629719765955360255349400/4851*ep^2+
         10938441349408592872647307276/101871*ep^3)
      -1115574726957828443466509903312513346411755110905347/
      102622067136356206464305280000-1081742354074260463000/14553*ep^-3
         -23805610881970734802531586603/26060231736*ep^-2-2039812597964\
         7512381877706618295928029/5285319900772111200*ep^-1-
         38451882352488339481957600/1323*z3+
         14052684205798436824818469331058702875877619221823498153369078\
         84671735678438609686757861991201652862459281703792559813/
         13749248573877587909042515390396146457283236339529271969375532\
         810859394682060800000000000000000*ep-
         19225941176244169740978800/441*ep*z4-9185081135784442925052992\
         99514929/1861445124*ep*z3-992730650182707625622764745974712401\
         16432600421986606719223687323898870579744130688414583898483260\
         386479757865118856677766816517/2208498713776625843020027471533\
         10566006886771046919340751414860023872845878025059827712000000\
         000000000000*ep^2-13676740199029642108361166400/4851*ep^2*z5-
         918508113578444292505299299514929/1240963416*ep^2*z4+975644829\
         2020737450445424129723230830148591/9689753151415537200*ep^2*z3
         +2077591384592947191970264707262191939046859443321786407505986\
         98423467969837512521761173363817743577993157150528589722422233\
         02339280786040238971460731094120204433656219229396570849214622\
         101/1395653528941763390920944771985867343757906006484710641014\
         68886151007168423414639572319930213678027364083958045041711734\
         896896425633633009664000000000000000000000*ep^3-
         101518124728028886476954914000/14553*ep^3*z6-27971476694090426\
         51941541593011937/394851996*ep^3*z5+97564482920207374504454241\
         29723230830148591/6459835434277024800*ep^3*z4+5837270587715825\
         245181702175252114045186129977680139059/
         4669304054704207394125890240000*ep^3*z3-
         14805073518877010053915256000/14553*ep^3*z3^2;
Fill mncnoptab(15,9,3,3)=
      +mncF321*(2277758902776464250000+136768954420723928160000/7*ep+
         9274140298187787364721600/147*ep^2+
         1269679918088500341626775997/11319*ep^3)
      -6376258950791814588958917217224752504446286680613/
      568641757292363395126886400-835726689437907046975/3528*ep^-3-
         35360929889987930970295736509/12635263872*ep^-2-29223738910879\
         35512240724124466440423/265302332274051072*ep^-1-
         13216285673364978726885025/441*z3+
         65516887083793082228968354034878118138607105775286521188022731\
         4543523366953499223594180028189267648321557965029808977789/
         61168879210895402208673590692384633794402309226083561072644037\
         08297890700774604800000000000000000*ep-
         13216285673364978726885025/294*ep*z4-
         41805069230412396382623983152367/82047168*ep*z3-
         93500707119501650358790602803707020796743623163862486995608297\
         52075874045225761861774734302737413063924816942605852079689418\
         5183057/196507307776924663898937555467079001398127695838192231\
         193036688785685972199024964344479744000000000000000000*ep^2-
         854785265700589176527788825/294*ep^2*z5-
         41805069230412396382623983152367/54698112*ep^2*z4+771647000143\
         809025368404333410829877483325/751689941443144704*ep^2*z3+
         82507583889371562986851107562999654858520254557994017399611762\
         79626298403612552582349431686309705618798538324875774770518465\
         77450976128725351858649991788152823460522297271838410014589603\
         68267/39738287856944502167093069276667824671336217955305112224\
         87334543279165883501171319804935115204030731134522083643356542\
         48197101004968580672493977600000000000000000000*ep^3-
         12689616128775187860647982125/1764*ep^3*z6-1552790638458208487\
         2667627299606651/2105877312*ep^3*z5+77164700014380902536840433\
         3410829877483325/501126627628763136*ep^3*z4+238114497132594849\
         197095524359614635331930134740102101/
         181112399697617741347913318400*ep^3*z3-
         925351079762863491797051525/882*ep^3*z3^2;
Fill mncnoptab(15,9,4,2)=
      +mncF321*(893238785402535000000+53863739713744979590000/7*ep+
         11033424802870132088375300/441*ep^2+
         4571504482733727768543924836/101871*ep^3)
      -5580983095069820865916099241667175876101718896511879/
      1268781920958585825376865280000-4124095105029175695575/44982*
         ep^-3-179981927460311655084060553805/161099614368*ep^-2-
         6684809042672964878699885777000185303171/
         1437607013010014246400*ep^-1-264326139295356833860291100/22491
         *z3+2832813889349266893253327114699718039130609665290085450413\
         408775592237546684763137415001812409182002355026043760824582567
       /675916115280394194405843177150850203428145516948223349852716609\
         76691692243559383040000000000000000*ep-
         132163069647678416930145550/7497*ep*z4-32917482852233985208753\
         6240539815/1643873616*ep*z3-8022438287297320335368089828299388\
         62146229444064948179422764647390846374759365308263424563030920\
         485372453052650374799528442329737417/
         43428115018700350721665199758224459308986220780240483093661108\
         22163659985598451712013002342400000000000000000*ep^2-
         8547854377782627666281432650/7497*ep^2*z5-32917482852233985208\
         7536240539815/1095915744*ep^2*z4+94712311243645650524542454392\
         638158721002977/239601168835002374400*ep^2*z3-
         21845770509761629811760760646246039440394203946633560611054979\
         57523036133320085165289508781144475423159890126936790387368337\
         07640839972714765874334400033768378172932879225400962313939627\
         960179/1568243145782988389094208626811355223636661458593291036\
         01732309654409939331028368156587617939301927067987389372353892\
         12294921307517510058682351616000000000000000000000*ep^3-
         63448092485131315412460017125/22491*ep^3*z6-787599092923633145\
         47801457905495895/26849935728*ep^3*z5+947123112436456505245424\
         54392638158721002977/159734112556668249600*ep^3*z4+
         30645725277046578555160428367645591523729004520445661809/
         57729577403615655054647370240000*ep^3*z3-
         9253507506269729386503308450/22491*ep^3*z3^2;
Fill mncnoptab(15,9,5,1)=
      +mncF321*(111654848175316875000+6772993032197962391250/7*ep+
         2801485179888108420030025/882*ep^2+587441998387018708448962834/
         101871*ep^3)
      -620040205270869184092827074138104443233311700663207/
      1127806151963187400334991360000-52069831364926084775/359856*ep^-3
         -4684429732603299457811982655/429598971648*ep^-2-4882690175484\
         2523390073895258980344881/425957633484448665600*ep^-1-
         66092812593650661841795175/44982*z3+
         12097462310626498858419059756946188568059955361197055755850831\
         488324097479006949603598090410418339303169222426192494550751/
         23657064034813796804204511200279757119985093093187817244845081\
         34184209228524578406400000000000000000*ep-
         66092812593650661841795175/29988*ep*z4-11006727275486522103858\
         9355770725/4383662976*ep*z3-1683117581069238787959673863141862\
         71392169120297623106454150583221857849866649203646916552388289\
         9635646224697913100666394455769497293/
         75999201282725613762914099576892803790725886365420845413906939\
         387864049747972904960227540992000000000000000000*ep^2-
         4274006965318314552285521525/29988*ep^2*z5-1100672727548652210\
         38589355770725/2922441984*ep^2*z4+9224428059423414597950713092\
         7577147865878809/1916809350680018995200*ep^2*z3-
         13814205467640848279836207533794239583112392206018291567105230\
         80464754643365996642438316845853309170587282733262007588069629\
         14719020333975905727098109614171822296903471331227894565482793\
         87/15862886596477198082492693183499582184735114820522890456906\
         16783929797346650694110127511939176593119743131363965511438520\
         49221083696473133023232000000000000000000000*ep^3-
         63449176353838211665864871125/179928*ep^3*z6-80334174693700066\
         503905065680920335/214799485824*ep^3*z5+9224428059423414597950\
         7130927577147865878809/1277872900453345996800*ep^3*z4+
         10616784404803606161604352984526581011399357274131448051/
         153945539742975080145726320640000*ep^3*z3-
         4626504366992971807019929825/89964*ep^3*z3^2;
Fill mncnoptab(15,10,1,4)=
      +mncF321*(53351108833880000000+29356305365155922140000/63*ep+
         67607263707023936054933800/43659*ep^2+
         2615337277178743735366494136/916839*ep^3)
      -36255634027735877581183401057049870934020110526181933/1380779913\
      31967275797722754240000-8545170923021812300/130977*ep^-3-
         95550943883629772516338225/39665205657*ep^-2-63139763268874482\
         5555215864809324691/28052851781021205600*ep^-1-
         8359554871901596845944800/11907*z3+
         79486087210757780520488444937326549506130000135229272316341515\
         3726447673467019344956969742257874684906727087977813313/
         31623271719918452190797785397911136851751443580917325529563725\
         4649766077687398400000000000000000*ep-
         4179777435950798422972400/3969*ep*z4-3315241665892478866448945\
         87874935/27522795762*ep*z3-11376593487277295721987401580704009\
         93500903754480626211956629310549996011907109883331704074264846\
         99435197702110751850819522755859/10159094083372478877892126369\
         05228603631679146815828967456508356109815091038915275207475200\
         0000000000000000*ep^2-2973221984518683884184437200/43659*ep^2*
         z5-331524166589247886644894587874935/18348530508*ep^2*z4+
         133488496881559756919556024658199226212824589/
         6017336707029048601200*ep^2*z3-
         30189124863613096097515183654775704365018392930846719034818698\
         40839282028255849514611419305219875002770746316208936151947297\
         9838746121853813146544826284612984754964259875939268932670767/
         11422228369855864068918218082748786445077491613174102432856788\
         63639956365613623648673718098935472346713730602926172576858491\
         2239438046691328000000000000000000000*ep^3-
         22069277124912835218119797000/130977*ep^3*z6-74933772413698041\
         64884185165796775/40867181586*ep^3*z5+133488496881559756919556\
         024658199226212824589/4011557804686032400800*ep^3*z4+
         16766582936644150157157716486485415337827919609837102961/
         483272969661885465292029639840000*ep^3*z3-
         3218440075042465329654899600/130977*ep^3*z3^2;
Fill mncnoptab(15,10,2,3)=
      +mncF321*(128042661201312000000+23521423978704642380000/21*ep+
         54303315509806337749353800/14553*ep^2+
         191559153686532440147843060/27783*ep^3)
      -91117370451950447819101401313312765712762430102959/
      144508625151195474408919680000-482874789907305719300/43659*ep^-3-
         245308754217214710384169635077/1798155989784*ep^-2-10596987178\
         2663037192991720168417693731/182343536576637836400*ep^-1-
         6686699779352140014615200/3969*z3+
         17203324904867602739272287526772113386176745288408410920764319\
         0327074773153663278367300414661759018224015275379392431107/
         30147519039655591088560555412675283798669709547141183671517418\
         276611032739531980800000000000000000*ep-
         3343349889676070007307600/1323*ep*z4-3715631804399897381543519\
         371264361/128439713556*ep*z3-163881721448604677564254512731134\
         32037436225759752868415466773830541426247592837104329297959033\
         03727510746114344236776544599971519/69178593043917356168503527\
         17973699539015719904507787730775271186843026572312613540698521\
         6000000000000000000*ep^2-2378540660883424039117746800/14553*
         ep^2*z5-3715631804399897381543519371264361/85626475704*ep^2*z4
         +1472699039313743160902494549106800564771397/
         27858040310319669450*ep^2*z3-
         36974442259715069934120581876013748550407516210046497625782968\
         53252695393615149794299837168662705667536987246778880835279945\
         14833228923869035640853016882419503915727233563455287460821523\
         7927/106441842473958487947570721276788816083936298094567264888\
         05360383783480045092423178048933344296510886967469866901847881\
         6481366340616584108703744000000000000000000000*ep^3-
         17655170712693496442981183000/43659*ep^3*z6-120488207512012966\
         40990315282681893/27244787724*ep^3*z5+147269903931374316090249\
         4549106800564771397/18572026873546446300*ep^3*z4+2707448132055\
         7312087578121053610776265860372480953339647/322181979774590310\
         194686426560000*ep^3*z3-2574865597926389003550074800/43659*
         ep^3*z3^2;
Fill mncnoptab(15,10,3,2)=
      +mncF321*(88029329575902000000+16217904914238814930000/21*ep+
         3419575028822073282578300/1323*ep^2+
         1468082541438802667427038840/305613*ep^3)
      -159521600934179360433862470645926713174478258334557/
      367840136748497571222704640000-49244841290730617675/3969*ep^-3-
         49545190342752364318054011979/326937452688*ep^-2-1852764243330\
         252338407718373887496879851/2917496585226205382400*ep^-1-
         4596680112917358307301200/3969*z3+
         20828124970160533011012339334996921594798353185922890357301737\
         833391359532057825010359104929030561366031436244443804798581/
         54868484652173175781180210851069016513578871375796954282161701\
         26343207958594820505600000000000000000*ep-
         2298340056458679153650600/1323*ep*z4-4651106662083977797026355\
         87563097/23352675192*ep*z3-26941898527892628083410751354957072\
         22050973155101724680171330764108329641368034159278368585863870\
         474970107084766494108756967112451663/
         17626705507590142351734698725396986425412054316685843138015390\
         9840760317062525393016998330368000000000000000000*ep^2-
         148657288934864153024660300/1323*ep^2*z5-465110666208397779702\
         635587563097/15568450128*ep^2*z4+10253287169156086602774988586\
         69671076685097/28602907698296131200*ep^2*z3-
         11107951493765475851107520673549666486036677440071792267550516\
         31011104577343600462679036535558469495754741966358129848010942\
         20996432536547763744052146031062852102421595655089104710662630\
         9442829/774896613210417792258314850895022581091056250128449688\
         38503023593943734728272840736196234746478599257123180631045452\
         578398434695968873231136325632000000000000000000000*ep^3-
         1103437966729187751916699250/3969*ep^3*z6-16721810275868307011\
         830648054655371/54489575448*ep^3*z5+10253287169156086602774988\
         58669671076685097/19068605132197420800*ep^3*z4+404822126576237\
         489996261125345486854272083861789091069/
         6891593150258616260848907520000*ep^3*z3-
         160933838123387549195938300/3969*ep^3*z3^2;
Fill mncnoptab(15,10,4,1)=
      +mncF321*(17260652858020000000+9581552798625304640000/63*ep+
         2034326038235727609107800/3969*ep^2+
         880985143846633094693724766/916839*ep^3)
      -72577661117484870795673040904068620190847949591400659/8535730373\
      24888614022286117120000-17579144519222161850/202419*ep^-3-
         27249711181999361578714593665/8336905043544*ep^-2-225520357809\
         4296702530352452879699571907/74396162923268237251200*ep^-1-
         45977338807299738504499600/202419*z3+
         16941031055688584046883072399445031938589330867690186248191311\
         8731509331735670675923294743098835597015070607050876862248603/
         21764498912028693059868150304257376550386285645732791865257474\
         8344947249024261213388800000000000000000*ep-
         22988669403649869252249800/67473*ep*z4-23310777794454558721723\
         46227537625/595493217396*ep*z3-
         11565030709916445102830566205213163673088044509752970514751348\
         01199220610872590400754095389163343738156478925596318307495954\
         3071281227/349596325900537823309404858053706897437339077280935\
         8889039719211841746288406753628170466885632000000000000000000*
         ep^2-1486610140444271323172065400/67473*ep^2*z5-23310777794454\
         55872172346227537625/396995478264*ep^2*z4+28427200369713185501\
         821839420225906366008483/4133120162403790958400*ep^2*z3-
         13339542744446335453603661154756149744811644046078964111758156\
         88468052692767678337535448608680919397792058088354028068526843\
         48876372897111325848482072553786431784203520200803972779732095\
         7554491/245900525258772579409971912684020499066228516707428034\
         44751626153811478487105248126952938492882542164260422653585090\
         284878436610187455772013927333888000000000000000000000*ep^3-
         11034632706313785577529241500/202419*ep^3*z6-84789096024720220\
         426881882020396135/1389484173924*ep^3*z5+284272003697131855018\
         21839420225906366008483/2755413441602527305600*ep^3*z4+
         35244162260591064001332901228054982944743267777540167033/
         2987505630637110149078001409920000*ep^3*z3-
         1609221742339835987968610200/202419*ep^3*z3^2;
Fill mncnoptab(15,11,1,3)=
      +mncF321*(2000666581270500000+378680697072196181000/21*ep+
         915668536960048497420470/14553*ep^2+
         375721004025561746432241199/3056130*ep^3)
      -72585092352395130502691796463357970320931236529461987/7364159537\
      704921375878546892800000+42226022452083730/43659*ep^-3-
         8539865732306565120938842007/28770495836544*ep^-2-787283369000\
         3720457409746913391808361/2244228142481696448000*ep^-1-
         104495670714600933221870/3969*z3+69053425976334748615918920307\
         13005433573727516815733130745310466375474423992029403829604784\
         55918626660559076270368517/86135768684730260253030158321929382\
         28191345584897481049004976650460295068437708800000000000000000
         *ep-52247835357300466610935/1323*ep*z4-13476629346581988024730\
         9632679871/293576488128*ep*z3-79321782497373910674252335597602\
         90515961439983082573855215327645484433367994027795680245712002\
         0915565102547712656908711620777551/276714372175669424674014108\
         71894798156062879618031150923101084747372106289250454162794086\
         4000000000000000000*ep^2-37165310474438864308033430/14553*ep^2
         *z5-134766293465819880247309632679871/195717658752*ep^2*z4+
         37774789504922406593903491309845589288794331/
         53487437395813765344000*ep^2*z3+
         98154510615777468785982980345791151739359370928744873156555343\
         37324203266135158342438493816697244748298559735046961810657155\
         05940888776262146947664554937122817930304436197456317513461561\
         63/12164781997023827194008082431633007552449862639379115987206\
         12615289540576581991220348449525062458387081996556217354043616\
         92990103561810409947136000000000000000000000*ep^3-
         275866197613639956646649300/43659*ep^3*z6-33080614990926728700\
         68836756165633/435916603584*ep^3*z5+37774789504922406593903491\
         309845589288794331/35658291597209176896000*ep^3*z4+
         39683578519890768179862180697177093793366720807072202239/
         25774558381967224815574914124800000*ep^3*z3-
         40230269092554671462956390/43659*ep^3*z3^2;
Fill mncnoptab(15,11,2,2)=
      +mncF321*(3201066530032800000+606896589446869982000/21*ep+
         1471289936811402416648420/14553*ep^2+
         20187643130274137834305376/101871*ep^3)
      -69838270101131282565453534545395416346165027855973/
      4425576645255361403773165200000-29916032902341171170/43659*ep^-3-
         74565407344889033875252830661/8990779948920*ep^-2-314237910827\
         24244644098418893878644623/911717682883189182000*ep^-1-
         167129974498704753205280/3969*z3+88647024018095863768625819069\
         27829025814026631243746463892853983012933884447493094529288472\
         32952508076437355932199696957/54868484652173175781180210851069\
         01651357887137579695428216170126343207958594820505600000000000\
         000000*ep-83564987249352376602640/1323*ep*z4-
         6742466039837507209056768775495/9174265254*ep*z3-
         13816937893876802563084152807340061231455695600173531545049289\
         40104303195287835336247187639616614696725137177950645866487452\
         45129511/17626705507590142351734698725396986425412054316685843\
         1380153909840760317062525393016998330368000000000000000000*
         ep^2-59462077664791197023368520/14553*ep^2*z5-
         6742466039837507209056768775495/6116176836*ep^2*z4+11229236342\
         408848723186883656406242859877991/10028894511715081002000*ep^2
         *z3+1915076771244323736127351381757062632816344997529484695721\
         36291929366560225059749857765509591216081148992398390441400345\
         08864665564007968383416435603403684050464835886409561378432338\
         4114949643/774896613210417792258314850895022581091056250128449\
         68838503023593943734728272840736196234746478599257123180631045\
         452578398434695968873231136325632000000000000000000000*ep^3-
         441369508187219596962118700/43659*ep^3*z6-
         83105858875627213471693667951737/6811196931*ep^3*z5+1122923634\
         2408848723186883656406242859877991/6685929674476720668000*ep^3
         *z4+249863483791366358341871297407230125588165129246160959/
         100681868679559471935839508300000*ep^3*z3-
         64376341052343201954166120/43659*ep^3*z3^2;
Fill mncnoptab(15,11,3,1)=
      +mncF321*(1100366619698775000+209239197153654131750/21*ep+
         46326394084831035275425/1323*ep^2+23440208332489061685285737/
         339570*ep^3)
      -1118135240308115303821860517760374606974073219326173/20599047657\
      9158639884714598400000-968243340288914755/63504*ep^-3-
         13200928452853753934011433749/26154996215040*ep^-2-10385630846\
         78757351480825271660796315377/233399726818096430592000*ep^-1-
         57471616881601549411850/3969*z3+232180328709138711244513307428\
         47169691499225384598467879774091164386514001812349431552585955\
         9018827324234317722241450197/480099240706515288085326844946853\
         89449381512453822334996891488605503069637704679424000000000000\
         00000*ep-28735808440800774705925/1323*ep*z4-472799023512101435\
         706109849564057/1868214015360*ep*z3-
         30679146171617309686440722002878482051345119018690331288561426\
         14929890062117662153182739199874693120871277526935523784769304\
         5098871/154233673191413745577678613847223631222355475271001127\
         457634671110665277429709718889873539072000000000000000000*ep^2
         -7433046062622445158143575/5292*ep^2*z5-4727990235121014357061\
         09849564057/1245476010240*ep^2*z4+4411142430750055441122491041\
         4572826866228489/116699863409048215296000*ep^2*z3-
         19955794035321200692426835690118362917854139011265510782792750\
         67250841992998805075833376586763017141788404252439368066934917\
         601226002587549995638433101854861606050151924368447485565326597
       /187821201262912899785602630064583035583012248992352763805235860\
         51163647614193555580102965485642319764538167050461155403351421\
         1520700177499291648000000000000000000000*ep^3-
         110346258601704646383916625/31752*ep^3*z6-18449660109488064541\
         227679933746991/4359166035840*ep^3*z5+441114243075005544112249\
         10414572826866228489/77799908939365476864000*ep^3*z4+
         8098043596305195734028013050822814433089846426333946851/
         9372566684351718114754514227200000*ep^3*z3-
         8046085882320888253966595/15876*ep^3*z3^2;
Fill mncnoptab(15,12,1,2)=
      +mncF321*(29100604818480000+63613402307069841200/231*ep+
         165298942466317911955652/160083*ep^2+7377109747698379371112306/
         3361743*ep^3)
      -14558876393038838613629935755568428389308408863844973/1012571936\
      43442668918330019776000000-2616711757021457654/480249*ep^-3-
         146504208815287038160756105049/1977971588762400*ep^-2-11334945\
         420193743630888091280922095159/30858136959123326160000*ep^-1-
         16713614926953555280904/43659*z3+24923723582893457795867601019\
         29827078874507477813703325921772950680009436464303422024440441\
         973212735016545768947/2720517475465241455999494796368031996270\
         347244987056696721688446452474146979840000000000000000*ep-
         8356807463476777640452/14553*ep*z4-967475634552562065041288405\
         986763/141283684911600*ep*z3-226641172975996342729190792543369\
         37945570514095970891288307565376954335282149414559777370471849\
         6071291968661018226087417763/122356695179717772815040252154636\
         86259483586225660032721099119105980863325178772248854528000000\
         0000000000*ep^2-5946233612209916513586176/160083*ep^2*z5-
         967475634552562065041288405986763/94189123274400*ep^2*z4+
         357125936778985144237315906571115654598807/
         49030150946162618232000*ep^2*z3-
         56297992812676856299317618312441099929112658538519535028840743\
         39076972427319317888063545282248672095650139605971941071063082\
         34264478724093131345069556324443904755539665009057159484050148\
         247489/6343318827306186822628551425070083699545193041752418659\
         71475201022112655625678953478619435029221932984372700014794759\
         3877721974433738602679082451730432000000000000000000*ep^3-
         44137127681083151081671460/480249*ep^3*z6-38084228755651124631\
         03139414388059/29969266496400*ep^3*z5+357125936778985144237315\
         906571115654598807/32686767297441745488000*ep^3*z4+
         9628154503422527148410101196880767738867033672929864177/
         354400177752049341214155069216000000*ep^3*z3-
         6437571033514403670188704/480249*ep^3*z3^2;
Fill mncnoptab(15,12,2,1)=
      +mncF321*(23280483854784000+50976904406079832960/231*ep+
         663991963811890793895608/800415*ep^2+3302792517277005599397086/
         1867635*ep^3)
      -14576984771088659256654847293801203255484161042918723/1265714920\
      54303336147912524720000000-14142249376616022896/2401245*ep^-3-
         194097152194848859668859108139/2472464485953000*ep^-2-19273774\
         7628749754769592583893830490047/501444725585754050100000*ep^-1
         -66849113583030803145056/218295*z3+
         49744980260518300850758534394070130972230140550108140783862451\
         69857029762533694788860358812660482020014594642541686683/
         51210585675361630729101530127664415412673613284077157330017587\
         84586994094688499138560000000000000000*ep-
         33424556791515401572528/72765*ep*z4-
         19760933785536610832919687217637/3604175635500*ep*z3-
         12316893506958780732249091948237371561660790286407865327655103\
         51613621805859832567441565167412568644893562559879691630288733\
         67357/32903183614168265723238104287407707994102501391146907190\
         962063170275259185004740029839688335360000000000000000*ep^2-
         23784699220573654265855264/800415*ep^2*z5-
         19760933785536610832919687217637/2402783757000*ep^2*z4+
         3166846727737326401830743187314510864083269/
         551589198144329455110000*ep^2*z3-
         27196746691871984992256135901540985819670473953507614808648429\
         32397361783970730709598186967550547325363157959320856359227975\
         607910568928687076660695302112572999695605654910730528162801051
       /289294735598555975776437544334141763607327666714621216997077954\
         75072327631888527208179927638685343722659320768923635629268748\
         95316171267295756156928000000000000000000*ep^3-
         35309378706153811981485088/480249*ep^3*z6-38261210414113362360\
         36805206159709/37461583120500*ep^3*z5+316684672773732640183074\
         3187314510864083269/367726132096219636740000*ep^3*z4+
         9674507950177859099997693281995443875768075744478513247/
         443000222190061676517693836520000000*ep^3*z3-
         25750754602722909864990496/2401245*ep^3*z3^2;
Fill mncnoptab(15,13,1,1)=
      +mncF321*(93271169290000+673321007717427550/693*ep+
         3983616792811460870141/960498*ep^2+26621612711272095198253969/
         2622159540*ep^3)
      -14833393411027319058679803042913249914512198827256093/3159224441\
      6754112702518966170112000000-1019481466344484819/5762988*ep^-3-
         1072447699775058640801145187449/617127135693868800*ep^-2-
         865435784056885129567301361556511861267/
         125160603506204210904960000*ep^-1-160807430016044001481/130977
         *z3+2604483498184891364269633032913292582381458663955885330321\
         22804554221763/74494912888711962121263169577542272741293634355\
         200000000*ep-160807430016044001481/87318*ep*z4-
         20806075287160181397887751518507/899602238620800*ep*z3-
         52297765436737591407570864092627269812995591473445392226722638\
         497793903292908347947/4653399496687967825229888787378166088209\
         830032289006878720000000000*ep^2-57171753843935519355664/
         480249*ep^2*z5-20806075287160181397887751518507/
         599734825747200*ep^2*z4+11204374152375676918313626847570455075\
         0261/45892221285608210665152000*ep^2*z3-
         55179869380805572587668495503732101950357060862674922907197551\
         62693585030418817297983888461535566656680112331865241259976875\
         445232824246484449/3761125070378515039320273784079876657976641\
         74482518229056938325262510285959658149820224529268274500278297\
         82118400000000000000*ep^3-848731899008150370253505/2881494*
         ep^3*z6-4869730636915842929557313655363499/9350411146876800*
         ep^3*z5+112043741523756769183136268475704550750261/
         30594814190405473776768000*ep^3*z4+122011325434124770816062062\
         11385395479746496457612715617/11057285545863939445881638159539\
         2000000*ep^3*z3-61838477372066482148036/1440747*ep^3*z3^2;
Fill mncnoptab(16,1,1,12)=
      +mncF321*(461201905485840896000+2634351024105019985931568/693*ep+
         12533505160102795098087234236/1091475*ep^2+3376596682683808565\
         312748536351884/180273468375*ep^3)
      -98011123217162460271242192350997235215927790249589773060309/
      43192521663531013460475149060700000000-23535564682130063734/
         36018675*ep^-3-661816626794630490315870142057/
         160710191586945000*ep^-2+1517752654395545444579739272543108733\
         979/358532978793814145821500000*ep^-1-
         218603597802008742591870815984/36018675*z3+
         41239816487584594717644808325610996888947424002008664072836157\
         90406244947558148227769091782952040463/18673073973595276511549\
         1204549795126905476226146192600124620800000000000000000*ep-
         109301798901004371295935407992/12006225*ep*z4-6772898423274182\
         11002815094912891042598/6696257982789375*ep*z3-
         85044962058642243251506270683846491235441404680021575794129042\
         2098986264310419528232008842977353363120148245991247/
         84463029613501597918229106974603559415036602178858834467263225\
         47580731392000000000000000000*ep^2-
         336580144146515938484504429896/571725*ep^2*z5-3386449211637091\
         05501407547456445521299/2232085994263125*ep^2*z4+1913584287219\
         379957725839831263658260458616079909/7908815708687076746062500
         *ep^2*z3+72447484012335426620562488699388567134955839960987403\
         33738884584554098663937358592976149990942107449970562796315727\
         07775965044904612783199531699786973/
         65416943318253789621990815809833585289388596920454018809434323\
         39845856291388656835694827216817830756352000000000000000000000\
         000*ep^3-10492972741714247690965954133732/7203735*ep^3*z6-
         4004076889096183266237569568952212927427/3090580607441250*ep^3
         *z5+1913584287219379957725839831263658260458616079909/
         5272543805791384497375000*ep^3*z4+3129740271515730861973002624\
         39548848788539122631427487300259/16612508332127312869413518869\
         50000000*ep^3*z3-7651125976719147367270216361288/36018675*ep^3
         *z3^2;
Fill mncnoptab(16,2,1,11)=
      +mncF321*(3487839410236671776000+1808291202102469959288128/63*ep+
         8581460247923991459173244856/99225*ep^2+
         16118291385077016752389102232248/114604875*ep^3)
      -3769658661154881167741593156178352163494548028928835559359/
      219669531664493393314558927200000000+56074066564836476/297675*
         ep^-3+626618670793139606970502417/204335907930000*ep^-2+
         362539272264770676299356499320325027/35066064726276507000000*
         ep^-1-13662724935923807919544991024/297675*z3+
         58747046731751614245269820593039467452590618411730532983460001\
         47794673780398608566640787244723277101865749/
         35135255988716872284130825048089451078534406711667599639448649\
         728000000000000000000*ep-6831362467961903959772495512/99225*ep
         *z4-8676504153085400128838897646682245691/11351994885000*ep*z3
         -8622172754774934832536185128850073283226761421974200293982967\
         14038422714236988815716767321188303632011388155396537177/
         11287332139258849903617889750242475667282164109356589696988812\
         85903970467840000000000000000000*ep^2-
         21036259023603596678152682656/4725*ep^2*z5-8676504153085400128\
         838897646682245691/7567996590000*ep^2*z4+739877610204471894687\
         97789616713252468657795459/40222838950728934500000*ep^2*z3+
         35232214914620263614573360975326718640742378421757415850510673\
         73956363787446676102889412113741365138173843931866426626944622\
         174353348500993129941723307069097/
         15683295870912048083211067239761539495769983638789357211260364\
         45272245026774939821268880403604331537639669760000000000000000\
         000000000*ep^3-655810796775551391402037008152/59535*ep^3*z6-
         995171022514451385668308436794796089813/102167953965000*ep^3*
         z5+73987761020447189468797789616713252468657795459/
         26815225967152623000000*ep^3*z4+153578351726653758515408561852\
         259515824245419512612576257517/1098347658322466966572794636000\
         00000*ep^3*z3-478195372585961091221026681568/297675*ep^3*z3^2;
Fill mncnoptab(16,2,2,10)=
      +mncF321*(23978895945377118460000+12423890494933995438155080/63*
         ep+11779630053076959088958179432/19845*ep^2+
         22100196984161755999904796429226/22920975*ep^3)
      -3189711174454281159694398713847185113585136615561792896693/
      27036250051014571484868791040000000-10997721794486139037/238140*
         ep^-3-72681518083210145392765527629/163468726344000*ep^-2-
         1816252939558102746795728452617572131573/
         1458748292613102691200000*ep^-1-18786246699919451110554987128/
         59535*z3+86451068028657982493260020594699072588803797831704085\
         7510758914727690476065264637161285177543740053502629229/
         75169370526717697046734747988598231336018753559133424600054711\
         1895040000000000000000*ep-9393123349959725555277493564/19845*
         ep*z4-143116156274174645952812626879087942849/27244787724000*
         ep*z3-19038782591246395194163076372172479057182041414347621495\
         69477990268565365998864108208525175780132808177436738902000547\
         77/36222661310901543462124610764206710484260933507512347279022\
         384580781132270796800000000000000000*ep^2-
         28924856143688428802594425957/945*ep^2*z5-14311615627417464595\
         2812626879087942849/18163191816000*ep^2*z4+1631264252673387772\
         398694910636247325950524973343/128713084642332590400000*ep^2*
         z3+22848722984957916179752362827910668555176389714170572314697\
         96098765580681979053992810594671680194961404533407160487155685\
         06535141720359735369854629288467003253/
         10485403525124055004203970668869143548600503347076313106956929\
         37696300960758102623362622898409753085164807782400000000000000\
         0000000000*ep^3-1803479690352451563452893848163/23814*ep^3*z6-
         5460007503072675519748497425303128933969/81734363172000*ep^3*
         z5+1631264252673387772398694910636247325950524973343/
         85808723094888393600000*ep^3*z4+167521848228134172087551762494\
         4739954708177112727594830807517/175735625331594714651647141760\
         000000*ep^3*z3-657518638441364245549637150621/59535*ep^3*z3^2;
Fill mncnoptab(16,3,1,10)=
      +mncF321*(10258351206578446400000+5321101590895561812770000/63*ep
         +1011014069747196277211518420/3969*ep^2+
         1901734289306810783762659987624/4584195*ep^3)
      -771285648615107764057264522601932100464052969357500321/
      15281358724486496926230186240000-179398095360698110/11907*ep^-3-
         8283355184588785620504743/71073359280*ep^-2-291716005668965835\
         174190306487909/2439378415740974400*ep^-1-
         1607379397665811539049064720/11907*z3+
         13494945612204385777540599028849343361656045862205526652342328\
         0329027087318927349043839641710308131847535203/
         27453161409757767617068342743661962748806849125944381158280851\
         0431232000000000000000*ep-803689698832905769524532360/3969*ep*
         z4-26635085582287972623316309077663551/11845559880*ep*z3-
         32984236477365076301244883331183177095241547368026558274234056\
         277131775332031080321830589489195633492839503662074722147/
         14699050966742655317963610165185331790714581713193416287139518\
         380606836283801600000000000000000*ep^2-
         2474854001763453062325699880/189*ep^2*z5-266350855822879726233\
         16309077663551/7897039920*ep^2*z4+1167753132612335043971725052\
         75640848859245533/21621763230431364000*ep^2*z3+
         11510758352638390709176661547588332229678678889629992672912409\
         80985284031490051558605257127088567760933217974591925916782309\
         5565308600028646040469045348707179/
         26097004329197648010463215886963201720961252774945490399537246\
         44933015724553499862591416991597607678632410480640000000000000\
         000000000*ep^3-385771056783579328468675069300/11907*ep^3*z6-
         1019948431124069148536260927251457471/35536679640*ep^3*z5+
         116775313261233504397172505275640848859245533/
         14414508820287576000*ep^3*z4+143427222599294137142924440405419\
         99335692524110421941189/3473036073746931119597769600000*ep^3*
         z3-56258279217848741843803795880/11907*ep^3*z3^2;
Fill mncnoptab(16,3,2,9)=
      +mncF321*(63473548090704137100000+3658724024128718572885000/7*ep+
         695348557571214977990615120/441*ep^2+
         1308605761570324032174899880134/509355*ep^3)
      -441482608312485612279407963292520943017324593650844349/
      1413660133386382822738237440000-3114929773871639165/5292*ep^-3-
         5846131946927198633119226201/726527672640*ep^-2-58114020289571\
         04535025899426953707909/144073905443269401600*ep^-1-
         1105073323843931480526228520/1323*z3+
         17417960212046500083685224960980416643536666069378930393484620\
         27343363258702224146840833635030920313648748897100527/
         57223008119385875903912831315725292609247579931627920670601649\
         1294162944000000000000000000*ep-552536661921965740263114260/
         441*ep*z4-1684775378569645091301921103933503757/121087945440*
         ep*z3-12767238689259208751642571651855280500614003830167774211\
         93706865266403814827532561557270540586958587877201902356300789\
         07463353/91915524801987103388647855929967427950465184262009191\
         48066529502330427430571868160000000000000000000*ep^2-
         1701462124046793144364117205/21*ep^2*z5-1684775378569645091301\
         921103933503757/80725296960*ep^2*z4+32483363528400092278293159\
         9634013316531430354259/9724988617420684608000*ep^2*z3-
         48615806497544319765563006038584990665527869956373041054142419\
         75336706943969157234671382496003346347293455863880978233031534\
         5780072885484597657630687774172285940251/
         15964117481599739013511692785075100786083575239162488599405812\
         25853190896836588165944116249693403230523415100129280000000000\
         000000000000000*ep^3-530435202455520183072065776975/2646*ep^3*
         z6-64542651587667785688206630538087606397/363263836320*ep^3*z5
         +324833635284000922782931599634013316531430354259/
         6483325744947123072000*ep^3*z4+1997211617563794616886000331074\
         1658683084195456631020493961/781047223695976509562876185600000
         *ep^3*z3-38677567076111817744862675405/1323*ep^3*z3^2;
Fill mncnoptab(16,3,3,8)=
      +mncF321*(149349524919303852000000+8625528952921897728140000/7*ep
         +1644812118120415241232539200/441*ep^2+
         621874435672905133962293073092/101871*ep^3)
      -750521277136739014595682616226753198585239745991824573/
      1021369446371661589428376550400-450566529208938845300/22491*ep^-3
         -9490207473422994187997349862/38596782609*ep^-2-28702808864219\
         7184142156738961864283579/275541344160252730560*ep^-1-
         44202923600481494436131338600/22491*z3+
         12110430359999949669776249803943257315361108209394452144132243\
         429619365791624418581525523456196812562773988489165819/
         16981095304959358437794444937564475870737410499729916400174879\
         03242321920000000000000000000*ep-22101461800240747218065669300/
         7497*ep*z4-843198602562561282666441060499903231/25731188406*ep
         *z3-3549161388768674717696545417738019502790696679699287882556\
         23900645749298052583750165616269202450306642562910327233424642\
         9404587/109104805075014965008692840705933016282998468232882980\
         707762369239088227947852595200000000000000000000*ep^2-
         68058483390006342243974467400/357*ep^2*z5-84319860256256128266\
         6441060499903231/17154125604*ep^2*z4+3226636865186893207109328\
         0435763141633830498839/413312016240379095840*ep^2*z3+
         48051010166987725336790381153090676433737562593005643475137904\
         00881840794206565119882946615649566132657049564486986887205406\
         2796095675417802250419166945797075123733/
         37156067706197309227411654756929352415526550442712172358643085\
         17203878552207553836751442443134060253334120431616000000000000\
         00000000000000*ep^3-10608703824924795167335650269000/22491*
         ep^3*z6-32507335150312630432608178597547429681/77193565218*
         ep^3*z5+32266368651868932071093280435763141633830498839/
         275541344160252730560*ep^3*z4+40781193662503804362455313886059\
         0282877966208779853851741/6638901401415800331284447577600*ep^3
         *z3-1547102786938553327159815613800/22491*ep^3*z3^2;
Fill mncnoptab(16,4,1,9)=
      +mncF321*(15387526809867669600000+2667697665438671191040000/21*ep
         +509221302346806671026835560/1323*ep^2+
         107093830779603423097631132708/169785*ep^3)
      -8869786006388594786982272656303375019055211414246512827/11715708\
      3554396476434431427840000+71747213201377220/3969*ep^-3+
         62285093416269638064019379/1634687263440*ep^-2-144510192682300\
         57068118392205168987/11221140712408482240*ep^-1-
         803689704347266910522750960/3969*z3+
         53073451296829096103772990145638491939817837915590970532731344\
         23869258112967329649105750169965337583197195095998351/
         72100990230426203638930167457813868687651950713851180044958077\
         90306453094400000000000000000*ep-401844852173633455261375480/
         1323*ep*z4-250944714469325976301104436315257731/74303966520*ep
         *z3-2425969484105931586422712380370975125199381978586633348076\
         15538414120471048705684654904083330243360499355220526203295583\
         82559/72383475781564843918560186544849349510991332606332238291\
         02391983085211601575346176000000000000000000*ep^2-
         3712281005113542035742867520/189*ep^2*z5-250944714469325976301\
         104436315257731/49535977680*ep^2*z4+14635926416205993040310248\
         732819839292081949767/1823435365766378364000*ep^2*z3-
         28986006277849529317702595508660304193028557505158179563000410\
         74798527390589866822233806423558425098684748589345834480202374\
         0011410646279217835783697607741228484701/
         13409858684543780771349821939463084660310203200896490423500882\
         29716680353342734059393057649742458713639668684108595200000000\
         0000000000000000*ep^3-192885528507592789600193667400/3969*ep^3
         *z6-11847762966003940747046560652423039629/272447877240*ep^3*
         z5+14635926416205993040310248732819839292081949767/
         1215623577177585576000*ep^3*z4+1435767243275526569681778414341\
         59668725249944105544699897/22530208375845476237390659200000*
         ep^3*z3-28129139532757680616008592640/3969*ep^3*z3^2;
Fill mncnoptab(16,4,2,8)=
      +mncF321*(84631397454272182800000+14683990344924739570160000/21*
         ep+2806808267325683272155942880/1323*ep^2+
         1774212229924597695261068053892/509355*ep^3)
      -7505211505770475433088990258647415418636092928468843159/
      18024166700676380989912527360000-27968992232012095615/3969*ep^-3-
         145970044778183932620181066453/1634687263440*ep^-2-23359607014\
         8516223918458188024764493641/583499317045241076480*ep^-1-
         4420292734311360275896908680/3969*z3+
         80434803041546746215175081791494932905233890566464810597783993\
         84048083212962789991246954984709107931583513567063/
         19920842489478047438337709831230321953269963716793935780329169\
         30232320000000000000000000*ep-2210146367155680137948454340/
         1323*ep*z4-893418949180367172829462904921925839/48079037160*ep
         *z3-1210375810383175867089870502435984262390666351834142309913\
         92108214163944053105272565126084979652002112517268020299758368\
         51167/65824920105589722478849375991513131995775848104303457440\
         5806149255434256095641600000000000000000000*ep^2-
         20417545206851516161537681660/189*ep^2*z5-89341894918036717282\
         9462904921925839/32052691440*ep^2*z4+3210999227772833266197039\
         33544354142228788297129/7293741463065513456000*ep^2*z3+
         23486511793216068454669727859979712481087901630581185207216582\
         16251105080375426119372380775338329996990294398821585620229323\
         469777850305950426462913066434249016713/
         12504445862662555989994306889351224370609896783605058005312576\
         74058997589685234464291350822208577969872059760640000000000000\
         0000000000000*ep^3-1060870391523926197790986015450/3969*ep^3*
         z6-65355673519878950632538642853259224847/272447877240*ep^3*z5
         +321099922777283326619703933544354142228788297129/
         4862494308710342304000*ep^3*z4+2069813124955817370738123937730\
         9962855234003998484811530891/585785417771982382172157139200000
         *ep^3*z3-154710274590274539537018268820/3969*ep^3*z3^2;
Fill mncnoptab(16,4,3,7)=
      +mncF321*(174241112405854494000000+4329751604781949191560000/3*ep
         +831196445033419406769661600/189*ep^2+
         35226267569520212830897329460/4851*ep^3)
      -7505249726059553757923635159886564648526804838204890319/
      8754595254614242195100370432000-1503742313997564872075/9639*ep^-3
         -1486617599104733740095945991933/793990956528*ep^-2-1075290210\
         1775245855080301996286914781573/1417069769967014042880*ep^-1-
         22101433792540877031915946600/9639*z3+
         95244289839121079207269329435033263323311022788291846908206607\
         35459501478142393260839861424318307024231571670727103/
         11436247858442016907086054753869953137435398907981372269505530\
         77693808640000000000000000000*ep-11050716896270438515957973300/
         3213*ep*z4-15207142711852477105001300588646332959/396995478264
         *ep*z3-8407307028990125857361133013523812676151928856774223197\
         51399783947018144116008163931385062203342089318715039517677865\
         27119187/22266286750003054083406702184884289037346626169976118\
         51178823862022208733629644800000000000000000000*ep^2-
         102087710878794811582474606700/459*ep^2*z5-1520714271185247710\
         5001300588646332959/264663652176*ep^2*z4+318272417525441624957\
         924687124882382194179020801/3542674424917535107200*ep^2*z3+
         39866685285937434535758346906585305037854446606872195184202031\
         83889945025407927970126586101484629452034233190356918370506773\
         56780327222358554737056800233104377115517/
         28359937392077129900106038528758322047769244623621127473739824\
         19253572609235969663153141783126813336218287839641600000000000\
         000000000000000*ep^3-5304351236655375415500126985250/9639*ep^3
         *z6-65971095439545389117336791043681878591/132331826088*ep^3*
         z5+318272417525441624957924687124882382194179020801/
         2361782949945023404800*ep^3*z4+4249142552766954302782152290432\
         376247121965415601498532967/56904869154992574268152407808000*
         ep^3*z3-773551700606850087110426457700/9639*ep^3*z3^2;
Fill mncnoptab(16,4,4,6)=
      +mncF321*(174241112405854494000000+1449662508840823345640000*ep+
         841175676930874072418009600/189*ep^2+
         323990694184768505904619995556/43659*ep^3)
      -100071405931526295835796541551400571191195185273772053/
      116727936728189895934671605760-8597528581250020206275/9639*ep^-3-
         2749425093519995903786456103991/264663652176*ep^-2-56353324643\
         340788916250014940808716365613/1417069769967014042880*ep^-1-
         22101277510064900050456313800/9639*z3+
         12917305804141133721969659646547323645516398942254783800525644\
         38989023057712450785794892082617276938462806199275025922497/
         15619580646497419173261778129550872321831155847300925668660982\
         4839960100864000000000000000000000*ep-
         11050638755032450025228156900/3213*ep*z4-169339622474747474737\
         1385179407375247/44110608696*ep*z3-
         18758967850777946540651746750693057523856688163072427400446337\
         57760266031208483489305781349026782874354253621704733288144911\
         02456227/50178485874579331549766361756836197208844617472839691\
         75952676600699134500562450513920000000000000000000000*ep^2-
         102087631760686912640787925100/459*ep^2*z5-1693396224747474747\
         371385179407375247/29407072464*ep^2*z4+62659113091459044735172\
         387186803165716236048661/708534884983507021440*ep^2*z3-
         17974371335136771300723612172780342307537840389439871146860518\
         91963342863116146710117073928246749134896093043097172195318819\
         33277297312067454367546875326447222903044170551/
         39508564469957494658436539856093762931008308280307035545992148\
         45196910513602412130848940365466498629129268352811794432000000\
         00000000000000000000*ep^3-5304347473660900663515225283250/9639
         *ep^3*z6-67053925861192429297775477241249557447/132331826088*
         ep^3*z5+62659113091459044735172387186803165716236048661/
         472356589989004680960*ep^3*z4+98692402157314524096844289743114\
         973606179252901270486299/1264552647888723872625609062400*ep^3*
         z3-773553421467491018100754972900/9639*ep^3*z3^2;
Fill mncnoptab(16,5,1,8)=
      +mncF321*(12957917313572774400000+2257998629479833254300000/21*ep
         +434785483657748853456414640/1323*ep^2+
         277469623694073309034273773296/509355*ep^3)
      -734733051941241935445462557821375106159074912770217/
      11524403261302033881018240000-228804446913210220/3969*ep^-3-
         38559505494312751474563889/35536679640*ep^-2-10044033839081688\
         760791365673704681/1219689207870487200*ep^-1-
         676791320140576093239494240/3969*z3+
         23610446034980508873216964152613087335268690580313843538850106\
         0756518566440814015631158597335605238408517282761697/
         38305181736506788087301024130260531248057278927779504513949471\
         3723715584000000000000000000*ep-338395660070288046619747120/
         1323*ep*z4-50661716659192183800269485384672819/17768339820*ep*
         z3-55005533731263181317159717212452661697308864752640885710591\
         51616375954568368164467732682711239267377455672246292624447216\
         26939/19689092189496306728934442046574510559919109766015915904\
         7051477583377630792851128320000000000000000000*ep^2-
         3126131368342150930465440880/189*ep^2*z5-506617166591921838002\
         69485384672819/11845559880*ep^2*z4+138511649146447734433191461\
         63088075779208997/2086310487146886000*ep^2*z3+
         64270836439051179140953153619958889599184531531484203544581560\
         55590352843461735869923558844616649136220754726113987074550994\
         0487957196085898152041749755544020341857713/
         26217321373492821390861663596489351064395533992377708816258560\
         89739056706437649987211817787875392914752555376548249600000000\
         000000000000000000*ep^3-162429918537611483616336910600/3969*
         ep^3*z6-221038716423832898584155266511716011/5922779940*ep^3*
         z5+13851164914644773443319146163088075779208997/
         1390873658097924000*ep^3*z4+1895478310365837112584617384642380\
         574217474575372149001/335117515887861774698030400000*ep^3*z3-
         23687696584562767155817380560/3969*ep^3*z3^2;
Fill mncnoptab(16,5,2,7)=
      +mncF321*(62359977071568976800000+1554482905556751218620000/3*ep+
         300011600085356810222380640/189*ep^2+
         192039149988821008009285199516/72765*ep^3)
      -17174476658109061840780273926497383995501965544029621/
      55975672983467021707802880000-15895605962867587970/567*ep^-3-
         1803156759637452695713269119/5076668520*ep^-2-1431920998406717\
         3981151781654891441627/9060548401323619200*ep^-1-
         465293690383395270207076240/567*z3+
         37961738295068205366168780374384541772642224454030243384842274\
         3058140581348174417335693288435167756766873627638877509/
         12775839039814508913082324083095640742792281951422668560920756\
         6326510387200000000000000000000*ep-232646845191697635103538120/
         189*ep*z4-34853391515399170659502045873244099/2538334260*ep*z3
         -1002517919376124122538321146633141186540764723286406987912488\
         71298860182224793982129648326370303320091796814689227151780246\
         1657/746233814762250692350284975526147630550870049440836462860\
         54495877081900883587891200000000000000000000*ep^2-
         2149215141709786143545587880/27*ep^2*z5-3485339151539917065950\
         2045873244099/1692222840*ep^2*z4+72022975941972247942164399556\
         5691685330230007/22651371003309048000*ep^2*z3-
         28415153868113176740554577779551435704796428098919089872511517\
         22935386795314574794036932904165740611553195473670941793607336\
         547355384937702291623177347176263187769671789/
         10930253517228785594440868496495560356293181810233272188702548\
         71232318102100827837234081468414522410523660113254809600000000\
         0000000000000000000*ep^3-111670560713805284360625673100/567*
         ep^3*z6-152723258293742251979227853439472031/846111420*ep^3*z5
         +720229759419722479421643995565691685330230007/
         15100914002206032000*ep^3*z4+501869742020354826139644362396483\
         51759547030932159477993/1819209371962678205503593600000*ep^3*
         z3-16285295134010971892818978360/567*ep^3*z3^2;
Fill mncnoptab(16,5,3,6)=
      +mncF321*(110047018361592312000000+917168520152786269940000*ep+
         177916171602385631082709600/63*ep^2+
         22928406657389898521645370776/4851*ep^3)
      -17174754702914003610601260385810221211568553538061801/
      31719548023964645634421632000-1497970805180450361800/3213*ep^-3-
         15817040422373072190412521959/2876778828*ep^-2-221372672931218\
         98359817345679761631057/1026862152150010176*ep^-1-
         4652907387356916173653445200/3213*z3+
         33024053119674392815362823465111293733028122104188790829281861\
         7675605831825388188639003315089874904015202685639498979399/
         63383805522018512587149244583684699276995994742670423003261957\
         906070765568000000000000000000000*ep-
         2326453693678458086826722600/1071*ep*z4-1745280429262730031846\
         9805528088419/719194707*ep*z3-25198775091647899360846831156451\
         89419948085788473746562631113505046004564494520586159355957320\
         103916570321548645873045966303300231/1071699164369352618911867\
         37543204692742002234114379204368173108176640553787756380160000\
         000000000000000000*ep^2-21492136477262804781646228400/153*ep^2
         *z5-17452804292627300318469805528088419/479463138*ep^2*z4+
         712441085691141435206073916976364473290612289/
         12835776901875127200*ep^2*z3-
         13715350022476450940203193408257312609535829181188655741896821\
         50190229728655431451491289345957019920229088819712157339671804\
         366835804609167408452730121376278553149745534071/
         54227441429353424040991329214246341277854540776892009572930399\
         83603602665728800963910310305542253020373505582290698240000000\
         000000000000000000000*ep^3-1116704896587904960602293378000/
         3213*ep^3*z6-77208027124885821042100393276055296/239731569*
         ep^3*z5+712441085691141435206073916976364473290612289/
         8557184601250084800*ep^3*z4+1033518666959641098632786642457265\
         3676618320000920943093/206177062155770196623740608000*ep^3*z3-
         162853276486567821922336238800/3213*ep^3*z3^2;
Fill mncnoptab(16,5,4,5)=
      +mncF321*(91705848634660260000000+768028698739551005900000*ep+
         450613161448712583072674000/189*ep^2+
         176057386305490923047726856580/43659*ep^3)
      -5725110668521627737077253695960802925219104114188431/
      12687819209585858253768652800-17035638151415549500250/9639*ep^-3-
         117119399672257717893284391865/5753557656*ep^-2-46953193003581\
         6210768378139906311113771/6161172912900061056*ep^-1-
         11631976335412331526375670000/9639*z3+
         16239946181254229363470083043466197032344217703618919391816272\
         6171398937279819337579260603309507002450374025096842792467/
         37668090138799573194648693924018335570329048304215565670509963\
         555607769251840000000000000000000*ep-
         5815988167706165763187835000/3213*ep*z4-1943863492303768280261\
         9075052097195/958926276*ep*z3-93741020782068618433358643560981\
         53406876415621659396665426971730162763418445856109065880648814\
         13011351672200563972575286550408617/48404058258144931999310855\
         63094227951044489476800304179005944268732382497933865307340800\
         0000000000000000*ep^2-53730193184216851631520425000/459*ep^2*
         z5-19438634923037682802619075052097195/639284184*ep^2*z4+
         699862335628862571312719366874387348624586487/
         15402932282250152640*ep^2*z3+
         82617310112123680630189505411015888836063492091573401083381907\
         57491573761118759009332723088235415039991097647193211163128377\
         8084169901466522571440625017549430276149555606913/
         18626971195435960148297547324153006096539383743888757025417098\
         25682170076813083905957580417638605220346812386072334014873600\
         00000000000000000000000*ep^3-2791755201332853881838883137500/
         9639*ep^3*z6-785735808262343476261429986541263095/2876778828*
         ep^3*z5+699862335628862571312719366874387348624586487/
         10268621521500101760*ep^3*z4+120122441237022643942327312901558\
         2497420899579918281621/27490274954102692883165414400*ep^3*z3-
         407136402577882857954905779000/9639*ep^3*z3^2;
Fill mncnoptab(16,5,5,4)=
      +mncF321*(38612988898804320000000+325636164664015176400000*ep+
         193278713643732022633093000/189*ep^2+
         76644602106944902706430996140/43659*ep^3)
      -94637054161566147235181652411556905710941155381359/
      498075547483742369466124800-388741110867819224281000/183141*ep^-3
         -664402042715348677391827199405/27329398866*ep^-2-263397594408\
         7973611521508785530592035815/29265571336275290016*ep^-1-
         93050252195916064210199324000/183141*z3+
         52015722707073765252091068192247382886297595908962748543200130\
         080387684430414393292873582238325133744957661697077909373259/
         28260955477761114783950115725168806490833997603341530838870981\
         532139173978308608000000000000000000*ep-
         46525126097958032105099662000/61047*ep*z4-68440168597451300649\
         3442917402835/79910523*ep*z3-744866504144839902545827355274872\
         06296626071053587395336129216943408958902728444013143630540203\
         03247679934973591141681351067044773141/
         90789374397253655110332402057024579953012907152197205352536181\
         5479957280964026655037194240000000000000000000*ep^2-
         429838730907442046582316808000/8721*ep^2*z5-684401685974513006\
         493442917402835/53273682*ep^2*z4+13634570689369312409926774000\
         80437467957738873/73163928340688225040*ep^2*z3+
         23948712208682461279243325193062739218463181117932174650195679\
         69388415666027034448239629244819134928727505069820644207032936\
         7261623531789397794029872934728559958374842557303/
         29421301003191099054235975998499673129483956623472291721646306\
         69664987636326266029459998269660176945537790163801251576492851\
         20000000000000000000000*ep^3-22333907742150917285046134110000/
         183141*ep^3*z6-1610765758629253906295083330298126695/
         13664699433*ep^3*z5+136345706893693124099267740008043746795773\
         8873/48775952227125483360*ep^3*z4+2551997868065934803030611121\
         019987297418419852079559669/130578806031987791195035718400*
         ep^3*z3-3257152399626326016399859496000/183141*ep^3*z3^2;
Fill mncnoptab(16,6,1,7)=
      +mncF321*(6349379483650659456000+159315712099486335192800/3*ep+
         22205654574810362006569712/135*ep^2+
         24028668238078468313564038948/86625*ep^3)
      -40594102066671099683280497178577893744613781755947749/
      1299435265687627289645424000000+25593053624299564/405*ep^-3-
         3049156369340100425203843/2590137000*ep^-2-1263389409720558938\
         2451123540859233/622290412178820000*ep^-1-
         33839567270004974637339232/405*z3+1439022960751076107161039153\
         24401271830957474007386562407644276527564940748729088348132593\
         301749326996343155850783/4788944246494401508444019856220773289\
         67640722877151258010357391477964800000000000000000000*ep-
         16919783635002487318669616/135*ep*z4-6692298489639725862622260\
         08846809/477130500*ep*z3-9443756715315952867753265893202648087\
         90673606172287129052855256516735313875138116782306218236635934\
         30585881187634222976449/69930282516245899949526913574920123645\
         958251197079635211837824124712318612275200000000000000000000*
         ep^2-1094145982855115741939920688/135*ep^2*z5-6692298489639725\
         86262226008846809/318087000*ep^2*z4+27797920324047590192763938\
         28024130305609989/879323408513550000*ep^2*z3-
         50506568152688397278783732163442726392454667237343125401241840\
         12191767354136749286884208801626573765874407467908172302951700\
         33023766570657803124290122440678855717470944809153/
         18598716442533579951615271884650572623504594617365066104288104\
         21453340570609046879032059121028698758056674980210236666675200\
         0000000000000000000000000*ep^3-1624299190647671125591211416/81
         *ep^3*z6-3345549487302995742370441413492347/177754500*ep^3*z5+
         2779792032404759019276393828024130305609989/586215605675700000
         *ep^3*z4+422334638720419087561688540821147947322901035153564477
       /141242963661698618439720000000*ep^3*z3-
         1184384811751003787815931248/405*ep^3*z3^2;
Fill mncnoptab(16,6,2,6)=
      +mncF321*(26191190370058970256000+219459703367271156389600*ep+
         30682240435339508937339704/45*ep^2+
         9090587811636213181725836768/7875*ep^3)
      -91843671710019399429987009050412332557337146183547/
      712702737248115886272000000-7258658619302134187/135*ep^-3-
         736051037236817898649451569/1098846000*ep^-2-56845131660518181\
         59670980458059473129/1961157662624160000*ep^-1-
         46529243477443781215333744/135*z3+6570284210295804704573308801\
         45776999899654766234315750466431670078374103049847245693541351\
         204528600204843593888974139/5326370211934328788836070973418882\
         29218453737333364899187075276521603072000000000000000000000*ep
         -23264621738721890607666872/45*ep*z4-4545328698749250607664838\
         41324857/78489000*ep*z3-94748977060405811230353663675179596144\
         60197570392948389071938989073795776499833307165714913868083988\
         5499481088629984322474381329/171111631285863023187609076749654\
         55143681028976245419184834361809715718671994716160000000000000\
         000000000*ep^2-1504450155045397280387348396/45*ep^2*z5-4545328\
         69874925060766483841324857/52326000*ep^2*z4+635035185327781135\
         10221573318410360954187597/4902894156560400000*ep^2*z3+
         19405474523554408342363780001700595367702974766850494980148530\
         02685347338747087718417861895300255719407593464272279595107528\
         43559031025010828371159156316656381064011223954824710153/
         78606441782343590466615745772037609050318641117259153830545656\
         45693574291647436131624607205076627039884422544137442480776806\
         40000000000000000000000000000*ep^3-
         2233410610829374029973355722/27*ep^3*z6-1431220633783443423753\
         5298336354631/183141000*ep^3*z5+635035185327781135102215733184\
         10360954187597/3268596104373600000*ep^3*z4+4937921591086339900\
         037743013364806401770440015115297823/
         393768262329584027165280000000*ep^3*z3-
         1628530901296716109828308316/135*ep^3*z3^2;
Fill mncnoptab(16,6,3,5)=
      +mncF321*(38516456426557309200000+323843997941790858532000*ep+
         9107173935375830291655080/9*ep^2+1993365787939903712691649736/
         1155*ep^3)
      -490730644755579784409324308155542096878179476428339/
      2589350859099154745667072000-268100949975417383695/459*ep^-3-
         5118503137528408147610735569/747215280*ep^-2-77937863643972015\
         048310859422077921623/2933891863285743360*ep^-1-
         232641125691491941046751440/459*z3+
         68349213238339917268091594593476657074695513514968445733780163\
         027491579943553035827714996981500689313468650592647456673/
         37668090138799573194648693924018335570329048304215565670509963\
         555607769251840000000000000000000*ep-
         116320562845745970523375720/153*ep*z4-350584850013985784010470\
         82021891149/4109684040*ep*z3-196491094705903166622650778853806\
         38218219921205813980349745899107637057373593713806594532171963\
         67432373427853889370413083929220383/24202029129072465999655427\
         81547113975522244738400152089502972134366191248966932653670400\
         00000000000000000*ep^2-7522232713066293835327621660/153*ep^2*
         z5-35058485001398578401047082021891149/2739789360*ep^2*z4+
         27583925387572854948618639696432290081387447/
         1466945931642871680*ep^2*z3+
         22437281070625100028005363292215132207616070196873570283197551\
         74366310358934918512040446352793799493221207664178029576099535\
         6425044427256606989602872443686470738689310018584411079619/
         55590475628473387177990655409984997120385342998125673588961888\
         24634495739053066832284922215430190642606263623213999322405357\
         4860800000000000000000000000000*ep^3-
         55835142533768473912340283850/459*ep^3*z6-14488351292762076716\
         841467893647151/124535880*ep^3*z5+2758392538757285494861863969\
         6432290081387447/977963954428581120*ep^3*z4+223922137000190012\
         1813143586247138404181503676759465181/
         117815464089011540927851776000*ep^3*z3-
         8142710450555119017879972620/459*ep^3*z3^2;
Fill mncnoptab(16,6,4,4)=
      +mncF321*(25677637617704872800000+217022974870136422988000*ep+
         18468319743374999916370160/27*ep^2+
         36785952722767645914906953348/31185*ep^3)
      -2620434165136210201022989960377791476544232140263/
      20738508024821605514496000-1850202223241467803890/1377*ep^-3-
         5778850972001249929942004023/373607640*ep^-2-25461937641721359\
         0770532910931116624903/4400837794928615040*ep^-1-
         465253314690711773957532880/1377*z3+
         22613232637650669424410414337159535012794964840775057493304384\
         7108747760668682864986805434533700057156601888197049786649/
         18592733866948101831546128766558425322917103686408901867678277\
         3237757723541504000000000000000000*ep-
         232626657345355886978766440/459*ep*z4-390538089137859779153210\
         1908275411/684947340*ep*z3-16151765789341265013407204011140790\
         03793749802861866861603379439614919406664487438003221641522518\
         1764405749335934528073452545847893/298649257885702812862935533\
         08231769721385824721117501760702691298682805294869297863065600\
         00000000000000000*ep^2-15044362867175270133376503320/459*ep^2*
         z5-3905380891378597791532101908275411/456631560*ep^2*z4+
         3862661127433032515811610448789441659658273/314345556780615360
         *ep^2*z3-63078548299566149892849868422323823388941065773790652\
         50099350760941921937559501806774528853543674856207889776051899\
         9245784856246068410671759816683639847090725878209535532833/
         22985391408743046136121856248827869632409341112087727907536177\
         10675771590879895335515623648172013238701398565469727794135040\
         00000000000000000000000*ep^3-111669588217087746565429942700/
         1377*ep^3*z6-2108085886938299052512716464441443/26686260*ep^3*
         z5+3862661127433032515811610448789441659658273/
         209563704520410240*ep^3*z4+25990919299709762581990889545892821\
         4823343710207165329/19635910681501923487975296000*ep^3*z3-
         16285739434206398176384045240/1377*ep^3*z3^2;
Fill mncnoptab(16,6,5,3)=
      +mncF321*(8108727668748907200000+69031422856039055412000*ep+
         1981644140759978157249280/9*ep^2+4007555301131438123324662684/
         10395*ep^3)
      -572686904737222820360095959546451019193671378488183/
      14349319344174482548905024000-7106887153680032758780/8721*ep^-3-
         2798003853658184845007239462/295772715*ep^-2-31326238213650209\
         581989999611167220599/870999146912955060*ep^-1-
         930431809066967896516249760/8721*z3+
         34488690266883723085033148835624183692341596273378644316709864\
         517610666959461551677227132801701553140014085348376580539/
         93040182642834945790782273992325288858712749311412447206159609\
         982351190052044800000000000000000*ep-
         465215904533483948258124880/2907*ep*z4-
         22920309635966478990673893501691/12684210*ep*z3-
         48591167522817399505799330521379549503751369614821920580659239\
         49376091301954042708922459365963448623885531527873416614701130\
         446357/2988950597440449550957445335210685759769972251924187830\
         536170585942246192474161827282944000000000000000000*ep^2-
         30088460314077988755784842640/2907*ep^2*z5-
         22920309635966478990673893501691/8456140*ep^2*z4+6568409114855\
         615380484318939972505991812677/1741998293825910120*ep^2*z3-
         10373549358447553439773110738457503127563140301690940357262144\
         02533593545235118189768386280227006951039320901675504149123687\
         3730179015295037340031401890582648285524684039417/
         27992612312501160910861554118737137561879385890316024057796815\
         26035165191434702493873051851627295925137189653789503557552046\
         08000000000000000000000*ep^3-223337372832917495927095695400/
         8721*ep^3*z6-15131890958166996013560130579864601/591545430*
         ep^3*z5+6568409114855615380484318939972505991812677/
         1161332195883940080*ep^3*z4+1965211146229231356104586795914942\
         2713425132360938181/4441455987482577931803936000*ep^3*z3-
         32572300913431053517042598480/8721*ep^3*z3^2;
Fill mncnoptab(16,6,6,2)=
      +mncF321*(1135221873624847008000+9758126035392089475120*ep+
         1422825428462206126283848/45*ep^2+419329636297023426962100046/
         7425*ep^3)
      -12533039303058648487012722046184608571858361379540253/
      2242081147527262898266410000000-4721147120313955356766/43605*
         ep^-3-19513993325247225655452402709/14788635750*ep^-2-
         47793974836636180433304035719669122848669/
         8709991469129550600000*ep^-1-651307624568721941390021504/43605
         *z3+1900154914413141064882560867073031526019285755089417907202\
         81701511085270569971900221601832006560653341246930703977340449/
         35922814518398572569821035988436794028348992509136345866298225\
         41418579447909449728000000000000000*ep-
         325653812284360970695010752/14535*ep*z4-1451019964521420802102\
         741753781953/5707894500*ep*z3-26797701821891838775743789404801\
         89470289080035471910536204712654114410200092540328960456609684\
         2284188100791193545846569100695549619/
         11540338256717575716246696439248457718471862864679289213700154\
         6323230125491427388151394467840000000000000000*ep^2-
         21061941487009160780565644056/14535*ep^2*z5-145101996452142080\
         2102741753781953/3805263000*ep^2*z4+22083104748062448627094181\
         62119890097779323291/4354995734564775300000*ep^2*z3+
         15016041735626667900341522311839359296297140822789093702475029\
         08925356027363452084621356286325811375311956070900125717751845\
         40518471056901496092360317954342042161809178281302439/
         47377410361598969302353239842617812059415491989817493318604360\
         88078401407067288850008194791648511212314351996241940989110196\
         9376870400000000000000000000*ep^3-
         31267258418229380200153455332/8721*ep^3*z6-1094618680277448305\
         20992790505245067/29577271500*ep^3*z5+220831047480624486270941\
         8162119890097779323291/2903330489709850200000*ep^3*z4+
         12906890824223485204913552477886537667884641268265277903/
         19431369945236278451642220000000*ep^3*z3-
         4560110695958148035696798872/8721*ep^3*z3^2;
Fill mncnoptab(16,7,1,6)=
      +mncF321*(1814108423900188416000+46035825540669833096800/3*ep+
         45765293928365906665093024/945*ep^2+
         456487904441523388307701934864/5457375*ep^3)
      -11598423689926366413058309780810585872115294293395359/
      1299435265687627289645424000000-190826621448382972/2835*ep^-3-
         361619140403474312145801677/126916713000*ep^-2-123997549462012\
         434432485564184726101/4356032885251740000*ep^-1-
         67679126412392759900596064/2835*z3+
         12209122365932520392036968869858933237250120375096840720168310\
         60713315049265434821378831581748723863726223582596595007/
         14381199572222687729857391628230982188898250908000852278051032\
         466083282944000000000000000000000*ep-
         33839563206196379950298032/945*ep*z4-3653522314283870346899217\
         375649481/9065479500*ep*z3-18357989945820966946426979594827337\
         43239264134963535866238287720631824827424844543621558384882305\
         1000217637348307313694644601351/486317267865084381691099481288\
         49188303093450774592243999002923038139410962511298560000000000\
         000000000000*ep^2-2188291940290746397536893776/945*ep^2*z5-
         3653522314283870346899217375649481/6043653000*ep^2*z4+
         13610744669589764305034333260809588895680391/
         15730118752297950000*ep^2*z3+
         13482924512967200049040434425617507706385550034234528413903114\
         90446682301925854734951019046601907506893976142706653982510196\
         68812212734659937019315197324416832580598439570246736358860726\
         61341/11678410976740593791699974184329772764694688955104864607\
         13982670560098235567392836060294676344206791642564946883380529\
         728382374011637596160000000000000000000000000000*ep^3-
         3248598347229923216355042632/567*ep^3*z6-118402275026347342071\
         216600212156423/21152785500*ep^3*z5+13610744669589764305034333\
         260809588895680391/10486745834865300000*ep^3*z4+21422420344621\
         945437692669343213027156796600066291295767/
         22740117149533477568794920000000*ep^3*z3-
         2368769735330023940479559696/2835*ep^3*z3^2;
Fill mncnoptab(16,7,2,5)=
      +mncF321*(6235997707156897680000+158598066411562840348000/3*ep+
         31648229804827383082370984/189*ep^2+
         317143390697949699702186282184/1091475*ep^3)
      -2453683935788008136545676609509341360426922303455167/
      79965247119238602439718400000-27125174978785996307/567*ep^-3-
         144588328446570706997746651/242902800*ep^-2-232583084452805358\
         031114041918244020179/90605484013236192000*ep^-1-
         46528809046624048004655184/567*z3+6475986218012228486578445214\
         58468843250917791571095186143750392273577935537476241937234828\
         3054657493811540289992123/221577000816468077615580552494225503\
         35487675473067979806182331503298687795200000000000000000*ep-
         23264404523312024002327592/189*ep*z4-5029112517627760938127275\
         314584427/3626191800*ep*z3-34163725984404445649158816064213047\
         87244721384606572241976306025247378771436252611814040792858511\
         4108546777351297314399084311/263638661536737102392760651584652\
         93851004844644881831040337387084599033213147414528000000000000\
         000000*ep^2-1504448611599777357539339756/189*ep^2*z5-502911251\
         7627760938127275314584427/2417461200*ep^2*z4+22263480528607576\
         6463315974656100120175508949/75504570011030160000*ep^2*z3-
         69344796001167147413986022526395134817009490278561132160886801\
         22944574819708474626089101248236884799864097041871991696298557\
         71375160563332236544597406921184115076813983502419683237674665\
         707/4498350894744525016062212278408505064919435745670021922750\
         15547178704505551884647963965356814064838262321312873598426265\
         7472848044826296320000000000000000000000000*ep^3-
         11167042564381770061533410210/567*ep^3*z6-14914700974231329815\
         928855032624431/769192200*ep^3*z5+2226348052860757664633159746\
         56100120175508949/50336380007353440000*ep^3*z4+599645517599822\
         05924038388378258618061539475239835337173/
         18192093719626782055035936000000*ep^3*z3-
         1628535658975524045255283996/567*ep^3*z3^2;
Fill mncnoptab(16,7,3,4)=
      +mncF321*(7336467890772820800000+187288732695103672204000/3*ep+
         37605348548203642052634320/189*ep^2+
         75964131365833158087277532996/218295*ep^3)
      -70113634688736040328318958355587456335738664009727/
      1942013144324366059250304000-3068226245997762324280/9639*ep^-3-
         14643502057997031343088802619/3922880220*ep^-2-223059642051626\
         318645253759125569414939/15402932282250152640*ep^-1-
         930520510508983211820151760/9639*z3+
         92118632934303970093185438280934117711090751591929780386537275\
         19093005561180765078801575777804182975071275104125518437/
         27043976533742693573158005478630436833333968998412948171168403\
         380037487060582400000000000000000*ep-
         465260255254491605910075880/3213*ep*z4-25192041529651169179297\
         71884809891/1541131515*ep*z3-143249757370021953634283300241550\
         03028497921248566980342896809358136761058080929105990893453128\
         935440136098404194210142001440033761/9556776252342490011613937\
         05863416631084346391075760056342486121557849769435817531618099\
         2000000000000000000*ep^2-30088774981733464219071930640/3213*
         ep^2*z5-2519204152965116917929771884809891/1027421010*ep^2*z4+
         2924288562717858064464279249320896113817739/855718460125008480
         *ep^2*z3-44815251949425902414447743928654230289381491463115146\
         26875159273761402248839983548592827127031498877318285713508161\
         05324538826774829809931810041010131069871314449341538447023429\
         19361/19955717330721298874462781868198023398101965742168068507\
         67393238297769549962345241271371508925451390908316680196934529\
         48619594301440000000000000000000000000*ep^3-
         223339511086728523613489100400/9639*ep^3*z6-755487068212367838\
         3398337245258288/326906685*ep^3*z5+292428856271785806446427924\
         9320896113817739/570478973416672320*ep^3*z4+246946962809083535\
         1683918036740003460034238165857111251/
         618531186467310589871221824000*ep^3*z3-
         32571326390352337366524446480/9639*ep^3*z3^2;
Fill mncnoptab(16,7,4,3)=
      +mncF321*(3668233945386410400000+31386315832070054284000*ep+
         19076430896482327196950160/189*ep^2+
         38977045195820989442393096348/218295*ep^3)
      -54545063495855790152327705937032551994703446667731/
      3020909335615680536611584000-3555887726629912797890/9639*ep^-3-
         11268839485213252096873760423/2615253480*ep^-2-170317702977593\
         355979028315880959708153/10268621521500101760*ep^-1-
         465215869100946622051740880/9639*z3+
         41112449166699376688083356042498145831370724592063482743290552\
         7948880063353834997700409701823335700958751051780084121/
         24484258590219722576521651050611918120713881397740117685831476\
         31114505001369600000000000000000*ep-
         232607934550473311025870440/3213*ep*z4-16839973878400014138848\
         33755465019/2054842020*ep*z3-524704232231397287712875371253526\
         13502682100867453754969539161947893193717924204656387632648152\
         69034149284978221410774806302193/71505995154077740453527400363\
         89200382224813999818631173531508578809201417402301022208000000\
         000000000000*ep^2-15044230009185752374765215320/3213*ep^2*z5-
         1683997387840001413884833755465019/1369894680*ep^2*z4+
         1715688148654860711682893657153463854267109/
         1026862152150010176*ep^2*z3+
         44485139532406696528344129880224840924638191751719023201340918\
         80038132514294577803697193852486848160060246999582047801805613\
         751149834824591095825924448399138329624729369890756573108679/
         60358637494554435016408447896465640278392155023103906989707916\
         28689870342078865533690496848614284384594530672967933686286032\
         2137335398400000000000000000000000*ep^3-
         111668685396140776255609762700/9639*ep^3*z6-810278854299405158\
         268098216505179/68822460*ep^3*z5+17156881486548607116828936571\
         53463854267109/684574768100006784*ep^3*z4+85715644780551194440\
         4869889482088337569817335659613327/
         412354124311540393247481216000*ep^3*z3-
         16286150699763384014138869240/9639*ep^3*z3^2;
Fill mncnoptab(16,7,5,2)=
      +mncF321*(772259777976086400000+6657081813709512328000*ep+
         4095475590229416095307800/189*ep^2+
         8497149150736424048741825252/218295*ep^3)
      -59313598194799466745031017624907091236917969056101/
      15597086243667915814027200000-14212995281228942566160/183141*
         ep^-3-5877788740763074262878778764/6211227015*ep^-2-2089085549\
         60140115680035834287310202867/53017339377310308000*ep^-1-
         1860862922866120898707958560/183141*z3+
         89943493871060756244995327224611679053035026346282099914926713\
         8635741253836434528363688838825306547943773010787781213/
         24989784012799007005092894600651682802329733919399197124381374\
         201172726594152693760000000000000*ep-
         930431461433060449353979280/61047*ep*z4-
         88965177557409609858645349159601/513710505*ep*z3-
         93072868591165233605362490489287799468742417820583369250567584\
         27405634671069457398240145636079013459245774862205215032997611\
         75967/59029863205716499827348830891296458918014643809101223599\
         48928200676732761709840826158284800000000000000000*ep^2-
         60176919026638233024026999840/61047*ep^2*z5-
         88965177557409609858645349159601/342473670*ep^2*z4+20775616731\
         9830279694465788180892023703618839/609699402839068542000*ep^2*
         z3+19453741548639959866960774034067157253414009790663978841307\
         45424829462823508871514604782025566683080328429501949521442456\
         9405491421841167866863517677649679935291207488452681441/
         31169348922104585067337657791195928986457560519616771920134447\
         94788421978333742664479075520821388955469968418580224334940919\
         037952000000000000000000000*ep^3-
         446674735392621445433432602400/183141*ep^3*z6-1578719291043329\
         1639412559842975031/6211227015*ep^3*z5+20775616731983027969446\
         5788180892023703618839/406466268559379028000*ep^3*z4+
         22565310906277766483553398467802644299217455724487007191/
         48967052261995421698138394400000*ep^3*z3-
         65144615174058817288575492640/183141*ep^3*z3^2;
Fill mncnoptab(16,7,6,1)=
      +mncF321*(54058184458326048000+470587333131111916720*ep+
         210082462638765104610664/135*ep^2+444603661172055857312924086/
         155925*ep^3)
      -31037137025851791577435813829516848607948100102406211/1165882196\
      71417670709853320000000-12919720087066239538/130815*ep^-3-
         140337174186468260484865381/22182953625*ep^-2-8133167408757946\
         9263210245238824792677/1244284495589935800000*ep^-1-
         93058597718074541563729472/130815*z3+
         10839051245506305577597301727424979891148034845964912352437502\
         963762524420633793686085059162148967160254240307897354720704361
       /439695249705198528254609480498466358906991668311828873403490279\
         0696341244241166467072000000000000000000*ep-
         46529298859037270781864736/43605*ep*z4-62592830175739194758046\
         5523890837/51371050500*ep*z3-150050528947566072820726235905632\
         95538195223328284087559398208784107426020260762384794307775602\
         92912424754723594893570040380202700759077/
         14125374026222312676685956441640112247409560146367449997568989\
         2699633673601507123097306828636160000000000000000000*ep^2-
         3008900611141418981616821608/43605*ep^2*z5-6259283017573919475\
         80465523890837/34247367000*ep^2*z4+993877913821565105592449106\
         20880543303734521/4354995734564775300000*ep^2*z3+
         74679455564983113663723881701366730859051572463810606355390031\
         76015398493386283306335160320834436542416762907694578177502062\
         7238930765113746369134377319341156505163828014513930189991/
         61701307100683355285349508963675510886210934176050954978577928\
         93203672974874384691764272372176355498200623921377744459993817\
         439039588925440000000000000000000000*ep^3-
         4466821617853091201643367676/26163*ep^3*z6-1630850204017857432\
         2554623815754581/88731814500*ep^3*z5+9938779138215651055924491\
         0620880543303734521/2903330489709850200000*ep^3*z4+
         3609158619649393323243454456398689923784728442661883/
         105097553790340448356237968750*ep^3*z3-
         651411995854210731630618856/26163*ep^3*z3^2;
Fill mncnoptab(16,8,1,5)=
      +mncF321*(294498120763017600000+53137174043198080732000/21*ep+
         119211974763124834591592800/14553*ep^2+
         22323173317184476950262501076/1528065*ep^3)
      -100336925121322802581902062287624874961900885203767/
      69243263292697094327126400000+1696201364075364380/43659*ep^-3-
         520512491921021983629077341/390903476040*ep^-2-119180969811217\
         701274823708400170239/6098446039352436000*ep^-1-
         15381626677349384734890400/3969*z3+648967281866623602670374198\
         18510183385349302231322059233005784932660264164625764172021719\
         1549321229888237852143669/478606321763571047649653993387527087\
         24653379021826836381353836047125165637632000000000000000*ep-
         7690813338674692367445200/1323*ep*z4-2630247989399816793413827\
         68861859/3988810980*ep*z3-363495231565102999065898752387280774\
         17623903925942190654496775325627371295615611274558684111044865\
         183413995683575749909457929/6150162696329003124618320480166783\
         74956241015875803354508990565909526246796302886109184000000000\
         000000*ep^2-5470730089330949766268457200/14553*ep^2*z5-2630247\
         98939981679341382768861859/2659207320*ep^2*z4+1915353020044704\
         4586905683645028041699594413/145346297271233058000*ep^2*z3-
         37426167484010027220055476508514444871305377700635390938914594\
         22667381347135083893212779931929089266319633117600894622181148\
         3880866868133464624233393133200498791931676100136135107754231/
         31092601384474156911022011268359587008723139874071191530049074\
         62099205542374626686726928546298816162069164914582312322348845\
         2325685839360163840000000000000000000*ep^3-
         40607480936355015166803943000/43659*ep^3*z6-567847512862526807\
         9864126069681129/5922779940*ep^3*z5+19153530200447044586905683\
         645028041699594413/96897531514155372000*ep^3*z4+12053612301401\
         661768623597336915170308606748205550623987/
         70039560820563110911888353600000*ep^3*z3-
         5921923249849921196585833520/43659*ep^3*z3^2;
Fill mncnoptab(16,8,2,4)=
      +mncF321*(809869832098298400000+146493960194220032108000/21*ep+
         29999387062260153128047600/1323*ep^2+
         62110271215271296019880967924/1528065*ep^3)
      -5337369946118579005690796716193227005079157152717/
      1339130932618828270521600000-83084770749962861230/3969*ep^-3-
         9185839173029480417937310429/35536679640*ep^-2-349461394257396\
         967287564579003541501037/317119194046326672000*ep^-1-
         42297621765987755361693200/3969*z3+
         16269598459957678065662822155283118975517212429366399046820656\
         414361389159812639469704315070162930990443958170098413/
         43747609098701416074226185333078647818628479262138592629831240\
         7618253467156480000000000000000*ep-21148810882993877680846600/
         1323*ep*z4-65837488990694566367081872123621/362619180*ep*z3-
         20722729143413160990536802535405092600698356830100384511027002\
         934668270074238374793718242636643248172982570675396852462488633
       /127764388400300668604464399179601153888281603084994659938835042\
         989017348855055819735040000000000000000*ep^2-
         1367675975037889902919448200/1323*ep^2*z5-
         65837488990694566367081872123621/241746120*ep^2*z4+18949199347\
         137591747753833383766217687863503/52853199007721112000*ep^2*z3
         +9491807555382980268733367716612463394862156557541389052848783\
         55320669322420465531247951672272905693951802327850864921338383\
         41811566593630500772572508129910612421667820196518482693028479/
         15445967909236907093196226725535290760957062522360433971704066\
         45149486448954786524911050611060468287033340247138801552797277\
         905105826768486400000000000000000000*ep^3-
         10151825758369204883491628500/3969*ep^3*z6-1574747979394927520\
         6503835133032161/5922779940*ep^3*z5+18949199347137591747753833\
         383766217687863503/35235466005147408000*ep^3*z4+61310750121541\
         55623450159320594590460787553545167458011/
         12734465603738747438525155200000*ep^3*z3-
         1480501295246629905617487080/3969*ep^3*z3^2;
Fill mncnoptab(16,8,3,3)=
      +mncF321*(714591028322028000000+43259485854057876260000/7*ep+
         8916410364878314335902800/441*ep^2+
         3722410107049525567895230028/101871*ep^3)
      -1275261008963014585117407307975005887847830666059/
      362509120273881664393390080-1551255040003810974950/22491*ep^-3-
         32967545226076600403247560449/40274903592*ep^-2-23366580897169\
         4568402309528273398679277/71880350650500712320*ep^-1-
         211463230103595524742672400/22491*z3+
         27180501757726555653467208627845013016884966760591432330847596\
         7768846215787137719983438718053541945061619714267753/
         81614195300732408588405503502039727069046271325800392286104921\
         03715016671232000000000000000*ep-105731615051797762371336200/
         7497*ep*z4-461760922160499562630707543481507/2876778828*ep*z3-
         17422823912543779993081708742936425777599397590072792789205013\
         21136253188425339804678100038545445821777119521228885502245201/
         11917665859012956742254566727315333970374689999697718622552514\
         298015335695670501703680000000000000000*ep^2-
         6838291535996549167491578600/7497*ep^2*z5-46176092216049956263\
         0707543481507/1917852552*ep^2*z4+37243481023319989518401202954\
         89320822896031/11980058441750118720*ep^2*z3+
         87495100375495862390988824538640862195726515090714011827400821\
         37944279979459746110401961972996133208505219404798476128157143\
         472590616250213540410394597747589216347416271063855422129663/
         18409917550713704232402757657931104061985098144316200831996006\
         65305438809758639022222895256590894986221722410093800966754262\
         03595908631756800000000000000000000*ep^3-
         50758528444715129944330158500/22491*ep^3*z6-145075873592000929\
         1347360639375451/610225812*ep^3*z5+372434810233199895184012029\
         5489320822896031/7986705627833412480*ep^3*z4+25181646121931202\
         5793483542625590608883090821594214311/
         577295774036156550546473702400*ep^3*z3-
         7402779265745251839650048200/22491*ep^3*z3^2;
Fill mncnoptab(16,8,4,2)=
      +mncF321*(238197009440676000000+14501908313423737492000/7*ep+
         9049520575384952954348720/1323*ep^2+
         1737148616707985837801939692/138915*ep^3)
      -620206135168016201606210647563875017882641577318253/
      528659133732744093907027200000-1889907705499245778190/67473*ep^-3
         -1251611834134392825614463805/3661354872*ep^-2-256538952285076\
         0771835393948174525655191/1797008766262517808000*ep^-1-
         211455582060601629826681840/67473*z3+
         12974420403746191877473933400569307310473221989214034892216213\
         6368593558618829419403944222779234423189470894830454677/
         11816715302104793608493761838301576983009537009584324298124416\
         254666379762860032000000000000000*ep-
         105727791030300814913340920/22491*ep*z4-
         8124198251063926113069899503747/151409412*ep*z3-
         36060284446952803509176830093650975275914530166292176809985349\
         59100671099982101179086741885884051614406362242936496381018769\
         98977/75923278004720892870044055521371432358367518846574271142\
         76417521265139834962328167854899200000000000000000*ep^2-
         6838264659825088026198757160/22491*ep^2*z5-
         8124198251063926113069899503747/100939608*ep^2*z4+358727866745\
         177728209264243705216749107427/3551400723838968000*ep^2*z3-
         34007417528817279269993739316539027229025304049660904300050614\
         68477983618612511771749359920008304100039448847008364455803309\
         1983691763702740804129959843597472057033373694611686483563973/
         56596569846143849302457161351147360442183226846449587758335121\
         44747385994900435671926330595035654059309017282594232333810804\
         234468976492544000000000000000000000*ep^3-
         50758345993536656121923974100/67473*ep^3*z6-162594238575734490\
         33766280727628265/20137451796*ep^3*z5+358727866745177728209264\
         243705216749107427/2367600482559312000*ep^3*z4+108740366193726\
         09952175267360624796467290894042061906609/
         72161971754519568818309212800000*ep^3*z3-
         7402864975692896731719135880/67473*ep^3*z3^2;
Fill mncnoptab(16,8,5,1)=
      +mncF321*(25073369414808000000+1538152137367279148000/7*ep+
         971572175673398520782080/1323*ep^2+
         2083025686824846022981801708/1528065*ep^3)
      -4031572453096636810572103932927780376008247870025161/
      32644701507996947798758929600000-84960746171818022740/1281987*
         ep^-3-354796765767096764292934691/95652896031*ep^-2-3995807711\
         6998331273606629593494885723/1066973954968369948500*ep^-1-
         422993304474360402442468640/1281987*z3+
         49957202987992953199782097775434047093834297385225888218836881\
         16652858017680825490254434125073584311066800745523437030759423/
         43969524970519852825460948049846635890699166831182887340349027\
         90696341244241166467072000000000000000000*ep-
         211496652237180201221234320/427329*ep*z4-
         8156690834098533462403411659229/1438389414*ep*z3-
         68636618317685368795502759836369543595963018198444053488881220\
         44574319306090360901271508189379294662636456803588790462624530\
         34544256451/14125374026222312676685956441640112247409560146367\
         44999756898926996336736015071230973068286361600000000000000000\
         00*ep^2-13676819509935415667755333360/427329*ep^2*z5-
         8156690834098533462403411659229/958926276*ep^2*z4+168368827998\
         8250871235549365076943779176829/164149839225903069000*ep^2*z3-
         97216697561593172243332670859152721268502520074923215938106499\
         15490240389765940672740299132862499929083784077464531087953791\
         48831643603261967090658853270524282759715961207129003675776270\
         547/2948310015485903845006593987416313952353245396731910812913\
         56514901669267482186151649353987272654142599370733269785686427\
         433101740055558775751311360000000000000000000000*ep^3-
         101518663063329716502058828600/1281987*ep^3*z6-151516192904251\
         6106030907199294963/17391435642*ep^3*z5+1683688279988250871235\
         549365076943779176829/109433226150602046000*ep^3*z4+
         5686480058755991411015178278735155730068899679515058831/
         342769365833967951886968760800000*ep^3*z3-
         14804819579103076872587416880/1281987*ep^3*z3^2;
Fill mncnoptab(16,9,1,4)=
      +mncF321*(25608532240262400000+4721562624759100198000/21*ep+
         10963591308767508764809300/14553*ep^2+
         2142148706090875821800003384/1528065*ep^3)
      -8923733092132260841708682580679251846778073778195319/
      70809226324085782460370643200000-1191224882287494730/43659*ep^-3-
         15826168735930549182865845589/17981559897840*ep^-2-22293709038\
         20706536172491417942235091/280528517810212056000*ep^-1-
         1337529033736078073753200/3969*z3+6754886755714913951614793579\
         46671046326020070437312143845151932467666189991702179496751397\
         7062652635031936810557939/574968576725790039832687007234747942\
         7591171560166786459920677357268474139770880000000000000000*ep-
         668764516868039036876600/1323*ep*z4-10637015828765857647219685\
         96361311/183485305080*ep*z3-3252843103386829714133203683862861\
         06399460371238379854470171260156431462382032210112344392955832\
         810523032625597603913613313/6391377215081773436861985762222262\
         36949782413850788906861596952569874231543828421017600000000000\
         00000*ep^2-475715528741087226704078200/14553*ep^2*z5-106370158\
         2876585764721968596361311/122323536720*ep^2*z4+231472299268859\
         47134725425034638021442244929/2228643224825573556000*ep^2*z3-
         40226245634258820753120045770805221034148896022939951288059741\
         32755537866571241670691370612814954026634602937397192941027695\
         7170454936695813705895801818625645166635695351506262513881457/
         20300414966425649322486469410703525000114996457959427505668201\
         62196467904340576575597380803108044034386675753382424897962136\
         6752819437528678400000000000000000000*ep^3-
         3531084417130412053252373500/43659*ep^3*z6-2438544780369241721\
         8619165134910741/272447877240*ep^3*z5+231472299268859471347254\
         25034638021442244929/1485762149883715704000*ep^3*z4+
         55327282284184469099127219765992483566390055228844600263/
         3221819797745903101946864265600000*ep^3*z3-
         514950389847724950846198680/43659*ep^3*z3^2;
Fill mncnoptab(16,9,2,3)=
      +mncF321*(52817597745541200000+3254919819540248288000/7*ep+
         690064378591656390891400/441*ep^2+1491134804301486801559794724/
         509355*ep^3)
      -1116116863687260016475807780584751120598035889661103/
      4291468262065804997598220800000-5263312813652260705/1323*ep^-3-
         26884254823331986813946060629/544895754480*ep^-2-1031913729273\
         346166618998595191298068187/4862494308710342304000*ep^-1-
         919438419148905987710600/1323*z3+22266931663422966003271978079\
         10898959330224538380444029533856288280593967853563829663733557\
         08704539228871409737399/94645033205891364581512264565390607861\
         583070949247513743550244564090109296640000000000000000*ep-
         459719209574452993855300/441*ep*z4-465976321200006071911783363\
         097797/38921125320*ep*z3-4586931422411299507382598305097741421\
         18673401589930706865482523498035072327487618680288198669480631\
         088247512189810965372343/4677703108980392588168696132401984994\
         70685957842046202172843353701028560724701269196800000000000000\
         00*ep^2-29731818996438477734908300/441*ep^2*z5-465976321200006\
         071911783363097797/25947416880*ep^2*z4+17133340365476761746897\
         704480712900969007913/810415718118390384000*ep^2*z3-
         10991796947508884394756964992608859090850812103946471520285877\
         16247170257856219182003626625154581031398503205472536144586751\
         433671732369576165146368951292636817215598323906195884329937/
         78626637487971529692515979320081433067499381100786937809414482\
         19594162786116975359370150774565166920887633031740207786829868\
         5075069232742400000000000000000000*ep^3-
         220690046425416318042535750/1323*ep^3*z6-994733983401433580708\
         065379716283/5342115240*ep^3*z5+171333403654767617468977044807\
         12900969007913/540277145412260256000*ep^3*z4+70218813020252398\
         04396741507963564794666367669838999481/19526180592399412739071\
         9046400000*ep^3*z3-32185629165294493518578780/1323*ep^3*z3^2;
Fill mncnoptab(16,9,3,2)=
      +mncF321*(31069175144436000000+1922665509643852402000/7*ep+
         410321217187622796709940/441*ep^2+893998635725330997340736324/
         509355*ep^3)
      -46148181089081224533934098615955261785963334911577/
      301466778740159855203180800000-105774323589575052880/22491*ep^-3-
         13314780072120318352405009315/231580695654*ep^-2-9979380837719\
         398319549451698411343145783/41331201624037909584000*ep^-1-
         9193195296193540405518680/22491*z3+
         58632856730489175826082830913603767505578317414674259050117828\
         272620816562757334106494988237807626156501474714405494021/
         43485512311745640479257043564949803297475096195270313417097851\
         817172277527324917760000000000000000*ep-
         4596597648096770202759340/7497*ep*z4-4669302931080426626570407\
         38394219/66165913044*ep*z3-76677997055044570391858287657564542\
         62549696704283927120678543350336118944227633627933541211472509\
         788584605546849362872116537456477/1396988315286864428808810621\
         59323435539396234677696658902686082391278572963306838288530145\
         2800000000000000000*ep^2-297313998776797313634929320/7497*ep^2
         *z5-466930293108042662657040738394219/44110608696*ep^2*z4+
         27968841413837690546990611076993340172071167/
         2296177868002106088000*ep^2*z3-
         39092603135085758964916088159486380666339193715967405982338804\
         23365548635900896298879705374195062357616797512130758864637770\
         58714823566062668389064717186525242646252778886035644474664207\
         9629/122827435194192097607378577764246003529584673680033983240\
         51761315590149094458165897578890356085185896233977349443102040\
         39881948560811976624072294400000000000000000000*ep^3-
         2206872002585496001248173200/22491*ep^3*z6-1713485506041282815\
         2477828593027295/154387130436*ep^3*z5+279688414138376905469906\
         11076993340172071167/1530785245334737392000*ep^3*z4+
         35906243003424753755049140965550628481146356853417893567/
         1659725350353950082821111894400000*ep^3*z3-
         321869527813125561528070760/22491*ep^3*z3^2;
Fill mncnoptab(16,9,4,1)=
      +mncF321*(5178195857406000000+322304372618576920000/7*ep+
         208244140511352448341800/1323*ep^2+91782500713938179811594088/
         305613*ep^3)
      -1613459716074145454322122409454561883383369457329843/
      63227632394436193631280453120000-2666458116233985125/67473*ep^-3-
         2499234425637382033761957983/1852645565232*ep^-2-2014099036022\
         44910534621749345021503217/16532480649615163833600*ep^-1-
         4597719360637970534554600/67473*z3+
         18948096741256939518403225295682443057280042390532588306777475\
         944039345271090053111932288823144268862702443012628421154281/
         81886564722425636840939417420767014209399258066170559419273493\
         268029027220685691289600000000000000000*ep-
         2298859680318985267277300/22491*ep*z4-
         2027668205261301346712132869667/1718595144*ep*z3-
         25598441467948062410419142996259055268815609248996240781880913\
         33281061212954489252508978576006469082504102792956323121856602\
         469849677/2630636458324803170556898770507875155388015249930780\
         161490580997644999589339808770233244581888000000000000000000*
         ep^2-148660955936503507921739900/22491*ep^2*z5-
         2027668205261301346712132869667/1145730096*ep^2*z4+16279140172\
         737170747539977670711499457767281/8266240324807581916800*ep^2*
         z3-24957165206821112890018818042836190062846095200926604212792\
         32215445671400079316270238144502099189059474387170157405721711\
         95126639651051775371376837066348483800395395436711937706604674\
         77708867817/46221492953106586083084316300169428313367777700468\
         77104585596249556506460914750778232129642563250928440115135819\
         117429619454357250810554406701908361216000000000000000000000*
         ep^3-1103462871122181383076662750/67473*ep^3*z6-17450861407653\
         005718129284225866571/926322782616*ep^3*z5+1627914017273717074\
         7539977670711499457767281/5510826883205054611200*ep^3*z4+
         2465729887339318546062287275136261264164719465784413019/
         663890140141580033128444757760000*ep^3*z3-
         160922290212266519907369100/67473*ep^3*z3^2;
Fill mncnoptab(16,10,1,3)=
      +mncF321*(1067022176677600000+608696537569136276000/63*ep+
         1482351370683226470947000/43659*ep^2+
         102254787270116758369261396/1528065*ep^3)
      -2073425613085742689100585283569309574918197839902227/39450854666\
      2763645136350726400000+293138883152239540/130977*ep^-3-
         6018056356988297817965378633/53944679693520*ep^-2-196355730966\
         47489611014028910120353/13149774272353690125*ep^-1-
         167193401043112183110800/11907*z3+4323937386092975581221560412\
         13516326285678848367438199340276900073865205128105238854627554\
         8178754878193060678783/946450332058913645815122645653906078615\
         83070949247513743550244564090109296640000000000000000*ep-
         83596700521556091555400/3969*ep*z4-
         55625135861116191213692319035707/226658318040*ep*z3-
         11039084894871218237371456651978776534075783809793454195996801\
         5120017644757756197905209646266289831160952558414857874985209/
         60810140416745103646193049721225804931189174519466006282469635\
         9811337128942111649955840000000000000000*ep^2-
         59464511190808517308736000/43659*ep^2*z5-
         55625135861116191213692319035707/151105545360*ep^2*z4+
         5513429840868382850661393772985968629254453/
         15043341767572621503000*ep^2*z3+
         92363294389724695148893662009196344769371700664048006940226267\
         50597932492353301682822996276734512127610412299404745779494771\
         00274072275839926769699934038425952980449521153949753410457/
         13366528372955160047727716484413843621474894787133779427600461\
         97331007673639885811092925631676078376550897615395835323761077\
         646276176956620800000000000000000000*ep^3-
         441386015402378294779973000/130977*ep^3*z6-3354562437800894069\
         964487912676827/817343631720*ep^3*z5+5513429840868382850661393\
         772985968629254453/10028894511715081002000*ep^3*z4+
         623177610120561497458051370894427129998565512740456717/7434968\
         76402900715833891753600000*ep^3*z3-64368401719030145512509760/
         130977*ep^3*z3^2;
Fill mncnoptab(16,10,2,2)=
      +mncF321*(1467155492931700000+839345312928954689000/63*ep+
         186641549316524453037640/3969*ep^2+9492904978410427411934626/
         101871*ep^3)
      -1117460659372667935214864676638782521761018406501653/15449285743\
      4368979913535948800000-14868596635378820035/47628*ep^-3-
         74297264317666707592527124381/19616247161280*ep^-2-25152238837\
         0418893142390425273094653259/15913617737597483904000*ep^-1-
         229804072581830041522760/11907*z3+4539444175496011282623518856\
         34678380293121322926683543953675626190503678397586462933844333\
         44872859161726313148129901/63949282811390647763613299360220298\
         9668751414636328138486733114958415845990072320000000000000000*
         ep-114902036290915020761380/3969*ep*z4-
         94679199061721608810639399842917/280232102304*ep*z3-
         67061873311510546021665924447373592329532174048300721462333106\
         87189606903306289779912455898180251120296636603801488345710004\
         999/2054394581304212395307074443519462287344062274672009689745\
         3835645776260729898064454195609600000000000000000*ep^2-
         7432761138736618676117815/3969*ep^2*z5-
         94679199061721608810639399842917/186821401536*ep^2*z4+
         43375907662443304976003791994136317698683889/
         87524897556786161472000*ep^2*z3+
         15865752231006095406548070885453310676564999704666570501333096\
         96712248647725109065542812531897841656423334696848235479242897\
         576536357801642127841710069181539189706486162011003622135792307
       /155714294110284099400834910958729720498966371298217524392136933\
         51407389825631549058796767692805763053034961142803121247970105\
         83875268733042688000000000000000000000*ep^3-
         110342396718140129934153425/23814*ep^3*z6-37210797977583994816\
         93345766621459/653874905376*ep^3*z5+43375907662443304976003791\
         994136317698683889/58349931704524107648000*ep^3*z4+
         67765452722847273839577027977631154272376666322242723/
         58094421597221393273271782400000*ep^3*z3-
         8047039770735124531442915/11907*ep^3*z3^2;
Fill mncnoptab(16,10,3,1)=
      +mncF321*(431516321450500000+247916652012257657000/63*ep+
         55490166809447753974240/3969*ep^2+42678667910113196124910858/
         1528065*ep^3)
      -1484011674779760219442192543670082150786412696045957/69679431618\
      3582542059009075200000-7454573558390164895/809676*ep^-3-
         17240907633076224486500551837/66695240348352*ep^-2-64292981572\
         85624941355798823674706250589/2975846516930729490048000*ep^-1-
         1149421881915438696218680/202419*z3+
         58872583987356880667874144339752307879122197286351418220262766\
         64753644856097022123092249024966562846721943596085586115567/
         31309568864456861145065071366763858374182069260594625660310453\
         3083640398196739407872000000000000000000*ep-
         574710940957719348109340/67473*ep*z4-4745378407768606415116942\
         01421193/4763945739168*ep*z3-770863226235145006226818927617553\
         45942583691890041508005374576053241491564110322840259243251113\
         3106968604199212496730455615433230379/
         10058315870065423887423436475471287358836528896794159440993397\
         932172057253358092356774170460160000000000000000000*ep^2-
         37165188494158781203082195/67473*ep^2*z5-474537840776860641511\
         694201421193/3175963826112*ep^2*z4+211104384396384329930363191\
         993293785131597109/1487923258465364745024000*ep^2*z3-
         22542746059907498879002712630391542110093009431998350013863239\
         53175819671950115713363481176963612193277699046907221860936298\
         75355504947200726227730294607919627132862781117664812396373520\
         079/1414972053437092964437001215844113960660815440793991486930\
         76290355598517568158071140108816902101341524615419065584535505\
         394400474205539707093128314880000000000000000000*ep^3-
         551730718002804524565139525/404838*ep^3*z6-1884430855895729720\
         6607332514459823/11115873391392*ep^3*z5+2111043843963843299303\
         63191993293785131597109/991948838976909830016000*ep^3*z4+
         41713641056064480555315028884486108582227502774683771351/
         119500225225484405963120056396800000*ep^3*z3-
         40230513082693759927997935/202419*ep^3*z3^2;
Fill mncnoptab(16,11,1,2)=
      +mncF321*(17072354826841600+10218650172530435792/63*ep+
         667743906357435693701708/1091475*ep^2+
         3334797371695058286168484/2546775*ep^3)
      -29109852013371114575050535111946466140475617864469921/3451949783\
      29918189494306885600000000-9548064325882694846/3274425*ep^-3-
         269516043398225673732870211303/6743084961690000*ep^-2-10496355\
         542497809615229037848319638219/52599097089414760500000*ep^-1-
         66855796017914495239856/297675*z3+1403212240066154016160501525\
         94244591827593993508278808188005627041723102876591544478487706\
         021756115012989160849843/2842190347172917678382813304898679954\
         08333962060590283771881384425962598217809920000000000000000*ep
         -33427898008957247619928/99225*ep*z4-1939054278308469863936230\
         761960451/481648925835000*ep*z3-100892971253510755326192199478\
         48850243188017709936940507428737715060184904957297477303531443\
         842636584130864476344244300921/1460902813371884369996141826502\
         72873766688872865565133493005053481075631857052902785391001600\
         00000000000*ep^2-23784993247889844293475464/1091475*ep^2*z5-
         1939054278308469863936230761960451/321099283890000*ep^2*z4+
         1550470273586113412891576117521056153534797/
         376083544189315537575000*ep^2*z3-
         10317972741595254250937246711230354573388042542862080114001783\
         66104665356080692347543052299095094799947130533728391635232030\
         8404514004094968255741998185254171729721059978575891708929971/
         16055873881593738249330533041077908958115643618305095848433674\
         92234006417576230836284822268769305345912938215613477390901806\
         46870694376029290496000000000000000000*ep^3-
         35309782993736236716393988/654885*ep^3*z6-77007652719865751658\
         88621692690743/102167953965000*ep^3*z5+15504702735861134128915\
         76117521056153534797/250722362792877025050000*ep^3*z4+
         19474014275813704229884360199721963548032846417805127269/
         1208182424154713663230074099600000000*ep^3*z3-
         25750166550196227558104296/3274425*ep^3*z3^2;
Fill mncnoptab(16,11,2,1)=
      +mncF321*(11737243943453600+7045521031214040232/63*ep+
         42033209689290763025888/99225*ep^2+6963608513714427437379842/
         7640325*ep^3)
      -14586146679010741400476531401488854524968278469756273/2510508933\
      30849592359495916800000000-3953202162504617399/1190700*ep^-3-
         108010665352771112474752771357/2452030895160000*ep^-2-36237813\
         3520262679949018099752814249693/1683171106861272336000000*
         ep^-1-45957095097769329470776/297675*z3+
         31217658546361459676444864943625362106719293717190192493207243\
         690521171316758659291793293920891238878764011298868199/
         63949282811390647763613299360220298966875141463632813848673311\
         495841584599007232000000000000000000*ep-
         22978547548884664735388/99225*ep*z4-
         69350569452053466059515960809967/25020723420000*ep*z3-
         38393674816350644384824718621565935453639617296176436328827904\
         30991436322237201938472237846787094310615900741945447647807065\
         093/2054394581304212395307074443519462287344062274672009689745\
         383564577626072989806445419560960000000000000000000*ep^2-
         1486537019231073556824779/99225*ep^2*z5-
         69350569452053466059515960809967/16680482280000*ep^2*z4+
         6040295985743406024434590661159634686532413/
         2188122438919654036800000*ep^2*z3-
         10694346508759357978903780398723983234637930072388028570404534\
         24180712912956619174000395408357958699874058411829650977239161\
         76150983152611986754886970083327474427984892226665566648534927/
         90314290583964777652484248356063237889400495352966164147439421\
         43816286098866298454102125261827342570760277462825810323822661\
         38647655865164759040000000000000000000000*ep^3-
         4413653962595451341003561/119070*ep^3*z6-194027485795195904727\
         7528663460717/37151983260000*ep^3*z5+6040295985743406024434590\
         661159634686532413/1458748292613102691200000*ep^3*z4+
         9813299567284726866110491328996034856062884297878019947/
         878678126657973573258235708800000000*ep^3*z3-
         1609435525878483810805831/297675*ep^3*z3^2;
Fill mncnoptab(16,12,1,1)=
      +mncF321*(59693548345600+432304365905936992/693*ep+
         32114608479510778622008/12006225*ep^2+
         7192784977648951857831136/1092566475*ep^3)
      -14838925449863016851688038997841709012727380329427273/4936288190\
      1178301097685884640800000000-4077927720618246196/36018675*ep^-3-
         1075574523540533972596036345589/964261149521670000*ep^-2-
         217882839499737946223581419720674181493/
         48890860744611019884750000*ep^-1-2572918881605969701456/
         3274425*z3+460965397305416881166331708939665993239874928272815\
         757840742235038585887/2069303135797554503368421377153952020591\
         48984320000000000*ep-1286459440802984850728/1091475*ep*z4-
         1021301991513594373011677566052663/68875796394405000*ep*z3-
         22354580159811113752822522797768173197137385084735603279673817\
         548247968042827839680429/3141044660264378282030174931480262109\
         541635271795079643136000000000000*ep^2-
         914748061822069642480864/12006225*ep^2*z5-10213019915135943730\
         11677566052663/45917197596270000*ep^2*z4+720957279955265609269\
         3962219256371975617/6722493352384015234153125*ep^2*z3-
         40035172305852336906490207534434224370036829003102375762456082\
         40484442737803780418021424385902394316406157331227956302360692\
         6398961284896913/513085925785566277327331903317673886551435357\
         52826343590655124585631109620165086464616464213177248209960960\
         0000000000000000*ep^3-1357971038884271630363288/7203735*ep^3*
         z6-4906835232289945167072496428729559/14610017416995000*ep^3*
         z5+7209572799552656092693962219256371975617/
         4481662234922676822768750*ep^3*z4+1222114507177218371518354732\
         8717565691274553738805507197/172770086654124053841900596242800\
         000000*ep^3*z3-989415637945642753140896/36018675*ep^3*z3^2;
Fill mncnoptab(17,1,1,11)=
      +mncF321*(149868099658606990375+314139861417010655366197/252*ep+
         758838103574601782282254147/198450*ep^2+1516216681019602986698\
         43271573229/23837814000*ep^3)
      -539061197249478045575639882170258457963384357832634614585637/
      731060201379434012950852109721600000000+4380535454366034443/
         38102400*ep^-3+341479880289857540559689508703/
         340014950795520000*ep^-2+4931920577224485965882492145472367019\
         911/3034196448635253597696000000*ep^-1-
         1174140423671937022638677663/595350*z3+
         12406647356397111065823958086932477910466199009426290233748077\
         5246693063314167321607736520064267524691/174282023753555914107\
         79179091314211844511114440311309344964608000000000000000000*ep
         -1174140423671937022638677663/396900*ep*z4-1870993546502919478\
         983294512238794749957/56669158465920000*ep*z3-
         14413433478449489676581157221808409289771115844039865472467686\
         0911308109998714989368133839137919292313517957498137/
         44791000552614483744515435516835220901913349640303927369003225\
         63110993920000000000000000000*ep^2-
         28924856149116784317709967077/151200*ep^2*z5-18709935465029194\
         78983294512238794749957/37779438977280000*ep^2*z4+203878483473\
         39858967930108384084242126716044167499/
         267723216056051788032000000*ep^2*z3+
         65170610178783537419682767787011092686990776395011112411467119\
         65953702636524066020295308324659190916977817866770377380282401\
         7428974977614603246519803/497404899896481856250097279302711920\
         23181503340251635291264400311327951413466558493334665502207770\
         6240000000000000000000000000*ep^3-
         1803479690615606419653509083243/3810240*ep^3*z6-56946768466932\
         57370483844442310111612009/13077498107520000*ep^3*z5+
         20387848347339858967930108384084242126716044167499/
         178482144037367858688000000*ep^3*z4+18943998575416453187327682\
         24720134531589248288421482634695237/28117700053055154344263542\
         681600000000*ep^3*z3-657518637309768558945672709181/9525600*
         ep^3*z3^2;
Fill mncnoptab(17,2,1,10)=
      +mncF321*(881577056815335237500+462049258885466794824425/63*ep+
         89324804527725062716106479/3969*ep^2+
         686972911179607226555451257329/18336780*ep^3)
      -2439190897211803128188153521623951184055636425376155641689/
      562354001061103086885270853632000000+9687175521122203/381024*
         ep^-3-335972304400007937187132069/261549962150400*ep^-2-
         1960975960293669125087272789917169361/179538251398535715840000
         *ep^-1-138134167552813727359283726/11907*z3+
         13319661505834716344707747835637521012718894375496917402713396\
         137003643245760475648114457279794246741266713/
         31802425992072871827464701072099251719084857275017987330792377\
         8109440000000000000000*ep-69067083776406863679641863/3969*ep*
         z4-166014751559514930998624372064466259/854738438400*ep*z3-
         15462742085974771774633512951359798744672683753812469449557839\
         4824882639936107709642305927217078419656741998581797849/
         81733184496393226273511942237184372374742619196438116937281278\
         0284292215341056000000000000000*ep^2-
         1701462126926425354277502677/1512*ep^2*z5-16601475155951493099\
         8624372064466259/569825625600*ep^2*z4+156723289582593442371631\
         6945196632034874536747431/3500995902271446458880000*ep^2*z3+
         78218459196586426437654790642473390785488186471509739961399961\
         15926712375929918033243187550258136504620220042258033316013621\
         062846455101202080102593985926019/
         17744529042517631545575950362701627543785467202744529873311726\
         63793740087436789054921361828078043682586597785600000000000000\
         0000000000*ep^3-530435203279711437503041994215/190512*ep^3*z6-
         335189983516947887195201869460766231929/130774981075200*ep^3*
         z5+1567232895825934423716316945196632034874536747431/
         2333997268180964305920000*ep^3*z4+1114843723733031310377392381\
         65284404817670097089293059123557/28117700053055154344263542681\
         6000000*ep^3*z3-38677566900326640210482452141/95256*ep^3*z3^2;
Fill mncnoptab(17,2,2,9)=
      +mncF321*(4667172653728245375000+272076160731173122581400/7*ep+
         105388475230299468316834309/882*ep^2+
         101570655652469801513466121214/509355*ep^3)
      -938150412828375885151990433689308346721997327751314687709/
      40854777854866463577135062016000000+1570833043789605479/359856*
         ep^-3-1728413501269280383640130557/247019408697600*ep^-2-
         918847669032856609484993279491772085989/
         2204330753282021844480000*ep^-1-1381341680036760158466495356/
         22491*z3+64138369817537190290643378532261983977522301932720408\
         10942541506861486667513892519855193394801494503590377624097/
         28952117203260711022813039653789582570155025560645078910721072\
         476192768000000000000000000*ep-690670840018380079233247678/
         7497*ep*z4-42355624520971104069162471026640678637/
         41169901449600*ep*z3-18603610164410371537436423064637262497456\
         02163730313473166777128085086617648998782461295007461761494987\
         879481036007375983817/1860195144802119949532158989058864613283\
         223967207328875203940494519253170472878080000000000000000000*
         ep^2-8507310636868316514636307081/1428*ep^2*z5-423556245209711\
         04069162471026640678637/27446600966400*ep^2*z4+780655168313304\
         1244105814722258899226681306316863/3306496129923032766720000*
         ep^2*z3-309184593234123163976536969949992401058018107841153086\
         13034368828067227285544993390358468237490469557400199678675586\
         06281285851543790653900504667542009085636863/
         12669934509206142074215629194504048242923472412033721110639533\
         53851738807013165211066758928328097802002710396928000000000000\
         000000000000*ep^3-2652176017012784498941106823395/179928*ep^3*
         z6-1682312003421473629901612015405001909397/123509704348800*
         ep^3*z5+7806551683133041244105814722258899226681306316863/
         2204330753282021844480000*ep^3*z4+5625771617363898299148158476\
         17657760707008010345179955030581/26555605605663201325137790310\
         4000000*ep^3*z3-193387834216477678948829013953/89964*ep^3*z3^2
         ;
Fill mncnoptab(17,3,1,9)=
      +mncF321*(1983548377834504284375+463127333870098994078125/28*ep+
         44946084557720900354786245/882*ep^2+
         231689931122728166241963695819/2716560*ep^3)
      -97567641625382240084349780193034724863160094216679107153/9997404\
      463308499322404815175680000+868456469872486235/169344*ep^-3+
         2445876900811511956475243597/69746656573440*ep^-2-254900262797\
         780236478618024009733563/9575373407921904844800*ep^-1-
         69067084215554061548089295/2646*z3+373695433829203051398907435\
         58455643761025152754723239379086350209839659221823102897103950\
         0188294114905555047007/397382000829068582666061328581425643119\
         7748606363050046569558967320576000000000000000000*ep-
         69067084215554061548089295/1764*ep*z4-152578236795915945844377\
         12947840850013/34873328286720*ep*z3-
         10825918956269898241319499419451159791748656037016299387334361\
         6137422599799436567142311289042319919825327326552970966370707/
         25532090222774195385735515536102063319573662295002553189073693\
         0620289650849218560000000000000000000*ep^2-
         5104386383771974411423534015/2016*ep^2*z5-15257823679591594584\
         437712947840850013/23248885524480*ep^2*z4+18282429504748314005\
         352784205222409481408124507/18305860926909523968000*ep^2*z3+
         28321767878532238303358636317585069657198891723142844912424424\
         31050990322436045340632133439390153053979486759984692037872750\
         200838902369791085236238928130637/
         79342942891790118553864201432750346842426468853315483784645495\
         41028960144115366324447407853190807491518136320000000000000000\
         000000000*ep^3-530435203558812988275623927975/84672*ep^3*z6-
         67609308774873595578198983033716827397/11624442762240*ep^3*z5+
         18282429504748314005352784205222409481408124507/
         12203907284606349312000*ep^3*z4+133990514656846312824979569604\
         3331258305047511050814718753/1470206538721838135647766937600000
         *ep^3*z3-38677566802503816973205341805/42336*ep^3*z3^2;
Fill mncnoptab(17,3,2,8)=
      +mncF321*(9334345307456490750000+545828231604831343382500/7*ep+
         106266294328033883840739800/441*ep^2+
         1249994226106259934349010033/3087*ep^3)
      -148324218666592904949427716635432257869441492582971597/
      3229626707894582100959293440000-37070204185266706025/179928*ep^-3
         -154508369186725360779388831/58581677952*ep^-2-574678726881335\
         560552507525033254869/47524198777190553600*ep^-1-
         2762683242922199391353702000/22491*z3+
         13035233998309290408815190280070701156993525233143448581936683\
         5811522136594029466139635430687274573791153867088073/
         29532339660798884239642512934894740644760713912573767652478050\
         4911708160000000000000000000*ep-1381341621461099695676851000/
         7497*ep*z4-60361154303057936876281852502284561/29290838976*ep*
         z3-37708270360719917939683127524330851510346468855907856516984\
         75839142002341809131882089595191096164126441572714202156201211\
         8799/189747487086982547841204940358144376144345162144144314274\
         36933780710996164843929600000000000000000000*ep^2-
         25521931795777923839515914875/2142*ep^2*z5-6036115430305793687\
         6281852502284561/19527225984*ep^2*z4+1220454372573737696786956\
         962234975765804212791/261383093274548044800*ep^2*z3+
         25302197667268415762402119411706077955217521541592944074940060\
         95488548844196586875303742747482469875503164223615317126868853\
         34147470814987569658532049250818484704573/
         12633063020107085137319962617355979821279027150522138601938648\
         95849318707750568304495490430665580486133600946749440000000000\
         0000000000000000*ep^3-2652176006127460009235634041875/89964*
         ep^3*z6-268962001882331672147534611850031769/9763612992*ep^3*
         z5+1220454372573737696786956962234975765804212791/
         174255395516365363200*ep^3*z4+91502996917360854015455545873520\
         213918563574643223543669/20992573601314783656235407360000*ep^3
         *z3-193387836968965254690554161825/44982*ep^3*z3^2;
Fill mncnoptab(17,3,3,7)=
      +mncF321*(16335104288048858812500+136965559510714868236875*ep+
         53665889568265565832332975/126*ep^2+
         14001478163373472784372774023/19404*ep^3)
      -2501741758893348050207654200288358356581059529668073487/
      31127449794183972249245761536000-445160973593181317225/102816*
         ep^-3-152531769366333536185087491161/2823078956544*ep^-2-
         3548769948659249893151948089985712499991/
         15115410879648149790720*ep^-1-690670535085520415720216000/3213
         *z3+8092792401083861110908390478710200367561073426003220995992\
         306458996805411688608717589950831900869372599841655599/
         10472754449122726105390160031016440602047068597052538708338398\
         147379200000000000000000000*ep-345335267542760207860108000/
         1071*ep*z4-5099901305351760705286879202523243919/1411539478272
         *ep*z3-7056217153015549527746052614184671059233457468375525633\
         98401467767451997015543653695083377304014469658379698383498701\
         0673/203903724816877784646581521839599716459218188369744675016\
         3758115404953052774400000000000000000000*ep^2-
         25521930672051667843876878875/1224*ep^2*z5-5099901305351760705\
         286879202523243919/941026318848*ep^2*z4+3045427039051669115044\
         75384628362909322631882179/37788527199120374476800*ep^2*z3-
         62880238592055624074430861890754415599341680907843223371971270\
         95213252031910429396565975116653592546167254398439916347369264\
         7313792148465494898270406842319068967/
         15582383182459961483574746444372704421851233309681938172384518\
         78710754180898884430303924056663084250669388922880000000000000\
         0000000000000*ep^3-2652175899162004306978263641875/51408*ep^3*
         z6-68963581438482204592803471698889954533/1411539478272*ep^3*
         z5+304542703905166911504475384628362909322631882179/
         25192351466080249651200*ep^3*z4+159569379405435975655982936281\
         1684533429662567566918023591/202328423662195819620097449984000
         *ep^3*z3-193387860910827270693374433025/25704*ep^3*z3^2;
Fill mncnoptab(17,4,1,8)=
      +mncF321*(2227142038270320600000+391849528218434503360000/21*ep+
         76666262390955359125037060/1323*ep^2+
         49918456978021058125784538944/509355*ep^3)
      -5135139387293580981431097650564583537367708565284555171/46862833\
      4217585905737725711360000-53252740935540835/7938*ep^-3-
         301375649116887451007490637/3269374526880*ep^-2-22781997321594\
         3890978011150523174369/448845628496339289600*ep^-1-
         116323508582433239025586960/3969*z3+
         14696594086951317443849952430512886152747218696632454064198533\
         6037181297095715580572861612568248569318045789901973/
         13984431427613589301713072301523686011195514529189342917791076\
         85023088640000000000000000000*ep-58161754291216619512793480/
         1323*ep*z4-804935919807540323329587393901610527/1634687263440*
         ep*z3-21188173639239688659454139130970765128175634874543005841\
         07930292625849885836675116542809845243100079299328431634969164\
         1992837/449255079720649855918146991142077125871170163311871097\
         03196269686683387978527539200000000000000000000*ep^2-
         537303829127960513616468770/189*ep^2*z5-8049359198075403233295\
         87393901610527/1089791508960*ep^2*z4+1607531445540995621063061\
         6767913519156732629281/14587482926131026912000*ep^2*z3+
         15656154305405811252640025574841264511304160603476519506696225\
         32080058362717262414542350071963921909309658263940350486730865\
         9952950905491460073164519973453009485213/
         52018494788676232918376316659701093381737170619797041302100319\
         24085429973090575371452019420387684354667768604262400000000000\
         000000000000000*ep^3-27917642257761843867300643025/3969*ep^3*
         z6-212916347520780686960972045965947839/32052691440*ep^3*z5+
         16075314455409956210630616767913519156732629281/
         9724988617420684608000*ep^3*z4+1251347365619338770517185945598\
         445621521503202230961696099/1171570835543964764344314278400000
         *ep^3*z3-4071322844491675906299275590/3969*ep^3*z3^2;
Fill mncnoptab(17,4,2,7)=
      +mncF321*(9170584863466026000000+231057387619294923830000/3*ep+
         45390566472583199701990000/189*ep^2+
         5942135097976838840713277101/14553*ep^3)
      -1975058659580717723641615485322193765575606750262565449/
      43772976273071210975501852160000-14267078592189602075/9639*ep^-3-
         15356565724022617335753052267/793990956528*ep^-2-6407241023436\
         33181997671132920475897543/7085348849835070214400*ep^-1-
         1163234788130632127491172800/9639*z3+
         38621020795997517122663162617715843051298784553099801540307018\
         4562015217908961069743324695394688366632911077447578921/
         89202733295847731875271227080185634471996111482254703702143140\
         0601170739200000000000000000000*ep-581617394065316063745586400/
         3213*ep*z4-805906885289087613812396617677597595/396995478264*
         ep*z3-10088153126654756278017567261373864767650361224147416370\
         09958490990633217807138573346640885981308182928178534061035208\
         882220473/5210311099500714655517168311262923634739110523774411\
         73175844783713196843669336883200000000000000000000*ep^2-
         5373038138700047258825092100/459*ep^2*z5-805906885289087613812\
         396617677597595/264663652176*ep^2*z4+1593011229669729786909913\
         3434853010282755063711/3542674424917535107200*ep^2*z3-
         19494444688262975780399811665526757795812936624514406538031577\
         58837531718004686249353428057801471051186133124776851081312668\
         00836060147320237533038556391065469137585049/
         66362253497460483966248130157294473591780032419273438288551188\
         61053359905612169011778351772516743206750793544761344000000000\
         000000000000000000*ep^3-279176415311425900769589403250/9639*
         ep^3*z6-3650977120282898968718258362462408015/132331826088*
         ep^3*z5+15930112296697297869099133434853010282755063711/
         2361782949945023404800*ep^3*z4+1278043367935833752962458970305\
         956804615120866986215575657/284524345774962871340762039040000*
         ep^3*z3-40713231636803870303131885900/9639*ep^3*z3^2;
Fill mncnoptab(17,4,3,6)=
      +mncF321*(13755877295199039000000+116023046903165550720000*ep+
         22955186553345208291725700/63*ep^2+
         9098417080654162156712279240/14553*ep^3)
      -131672061112341517154295417716746853607170027265047237/
      1945465612136498265577860096000-169482719275009510175/6426*ep^-3-
         55912950435819011653956628639/176442434784*ep^-2-1217236564320\
         980122269729498471059509741/944713179978009361920*ep^-1-
         581615676990083426170485200/3213*z3+
         63749043120510736991165973922755777165950257623385181686340744\
         24134999219112867637397070450390583022835453611557907667/
         99171940612682026496900178600322998868769243474926512181974491\
         96187942912000000000000000000000*ep-
         290807838495041713085242600/1071*ep*z4-89736328030083188150267\
         398067536199/29407072464*ep*z3-9138020963252703242791854704993\
         90713110383214502364760675154355482382874802470092622897438295\
         246593342679802250191782692231220787/3185935611084402003159769\
         00043404426722822968081521852441439784171373619083330191360000\
         000000000000000000*ep^2-2686518201343307945547128650/153*ep^2*
         z5-89736328030083188150267398067536199/19604714976*ep^2*z4+
         15672540188959304913952761012756651721131712609/
         2361782949945023404800*ep^2*z3-
         11949106901649604045154065145114987794468337397513213273064028\
         32617635319902180443449921795124197351212001310489780048026244\
         13754238347611342038085082988576439906212133899/
         11940366150920487274549709823175003908038066502492792965010960\
         42103955177444284555101013088229875141247956657738675650560000\
         0000000000000000000000*ep^3-139588166378048458575798041125/
         3213*ep^3*z6-3706641071923734493424107481438411759/88221217392
         *ep^3*z5+15672540188959304913952761012756651721131712609/
         1574521966630015603200*ep^3*z4+9815757019905274473238652923721\
         550786539309711638335269/1405058497654137636250676736000*ep^3*
         z3-20356634783861711026129913150/3213*ep^3*z3^2;
Fill mncnoptab(17,4,4,5)=
      +mncF321*(9653247224701080000000+81940760577390607750000*ep+
         49151941395921572714857000/189*ep^2+
         19746694412516358693991801805/43659*ep^3)
      -263354058268079555810038746137183724631521810167883223/
      5544576994589020056896901273600-18988803015791467300000/183141*
         ep^-3-3061557454656470006834696364565/2514304695672*ep^-2-
         12758649595163301587869176050028701859989/
         2692432562937326681472*ep^-1-23264284711954848274888292000/
         183141*z3+8867332687720356931584897376931429823905740419590941\
         72032339625429132393033655749139814313307482881624544165394062\
         94483/19596375465065968435787475291423824576468802510645478807\
         1581596116673751941120000000000000000000*ep-
         11632142355977424137444146000/61047*ep*z4-78967333452677066594\
         60928735016775/3675884058*ep*z3-
         84065114650366793881390071445830537870316705614201903821604582\
         62195152474220096487476971631906600968529878560714019839529440\
         16357/41969391783351855721624690299051143146953212328605812028\
         2856675681756180872440305418240000000000000000000*ep^2-
         107460554505850332195752044000/8721*ep^2*z5-789673334526770665\
         9460928735016775/2450589372*ep^2*z4+30570121600526025398570487\
         005424805922789647661/6731081407343316703680*ep^2*z3+
         16093865165442674212734179077913280602569168956954443833585795\
         96164184194132153900132980921285938371739658079055619086228446\
         428462796850089447143186486271814622518434869497/
         30157953364039173573434124239104867013444716537724654231627682\
         89199703933887850133455130199986313213894839101259969357414400\
         0000000000000000000000*ep^3-5583518399777255319589761580000/
         183141*ep^3*z6-9475575306774295728198203393446881200/
         314288086959*ep^3*z5+30570121600526025398570487005424805922789\
         647661/4487387604895544469120*ep^3*z4+619908877542178070912734\
         94896446691765162000603989263353/
         12013250154942876789943286092800*ep^3*z3-
         814269150889575684381252980000/183141*ep^3*z3^2;
Fill mncnoptab(17,5,1,7)=
      +mncF321*(1364124498440571367500+34544615818522767707750/3*ep+
         3910658679248544002126113/108*ep^2+
         3696553625972835029416440941/59400*ep^3)
      -223267205923538913636474724716384467414821863378683837/
      33265542801603258614922854400000+40432590743278513/2592*ep^-3-
         5006783991161779540687859/232076275200*ep^-2-55044692653491589\
         962812942335325503/31861269103555584000*ep^-1-
         1454043911568204664290167/81*z3+608467005760015051645372440291\
         95891398528693679026777189240579204876394062719208287563927983\
         989663133305226507/9501873504949209342150833048057089860469061\
         96184823924623724983091200000000000000000000*ep-
         1454043911568204664290167/54*ep*z4-206637796280588173637674164\
         5505217/6825772800*ep*z3-1582103612992548429059913013223702945\
         62762463037707846858168416967587542010228754370476527402709680\
         292725119542885379607/5550022421924277773771977267850803463964\
         94057119679644538395429561208877875200000000000000000000*ep^2-
         376112681742310004724281699/216*ep^2*z5-2066377962805881736376\
         741645505217/4550515200*ep^2*z4+679305561221764567708018240971\
         995670211606367/1035491245865556480000*ep^2*z3-
         50181623052037821591990711666134940291753230063129856435390915\
         75564606944007112176697584677284352946001147835931807639592856\
         789547108943878013126907458887294162964586325623/
         14022841762227699169868657373347653962166162608330803808788650\
         00302121858792535345301949337283542714407810500952162566144000\
         000000000000000000000000*ep^3-5583528469671921884292618805/
         1296*ep^3*z6-8506076164516206353634409211340539/2035756800*
         ep^3*z5+679305561221764567708018240971995670211606367/
         690327497243704320000*ep^3*z4+49037288900033039952245541531264\
         773108067391209226691/70299118346583386760192000000*ep^3*z3-
         407132278442942126596364479/648*ep^3*z3^2;
Fill mncnoptab(17,5,2,6)=
      +mncF321*(4814557053319663650000+40760670805173744425000*ep+
         1159235115887481741946045/9*ep^2+1543718792773291820696148701/
         6930*ep^3)
      -17174597536069305390528700451198506774416509192852033/
      725018240547763328786780160000-18027621229550669035/3672*ep^-3-
         213872480023338868935436241/3460786560*ep^-2-64025902506752131\
         54041919651441424039/23471134906285946880*ep^-1-
         29080827354855692640774940/459*z3+2765791865214003589114771521\
         65658364916150390497112559719645930397440427198370955218246190\
         6544617449150082021096567/123194957282834815524099600745742855\
         73760154468934970457388135647438438400000000000000000000*ep-
         14540413677427846320387470/153*ep*z4-3518027507650694886899143\
         1458341809/32877472320*ep*z3-394806828162326749314376457135739\
         54487329587151055284303535488536602503593496702653859139333641\
         0108297824901764952748579601111/395768398892472298529163850985\
         59556114636393550499608998936619151723430942028595200000000000\
         0000000000*ep^2-1880563049758213749343125295/306*ep^2*z5-
         35180275076506948868991431458341809/21918314880*ep^2*z4+
         95932580049710809554628644167266619261250521/
         41912740904082048000*ep^2*z3+
         31926837418649111692649263791809467240733156924157830671255513\
         53854185025347423598381583650693256235878933218951580481514784\
         008704923911978654476214555964261879309907551374840783/
         72724327091147811588161506292497379801655341441817992659552444\
         06900177575945927305448616189730756989280826299338042023031603\
         2000000000000000000000000000*ep^3-
         27917637472824649313739130025/1836*ep^3*z6-1632932195308269680\
         96607915800535521/10959157440*ep^3*z5+959325800497108095546286\
         44167266619261250521/27941827269388032000*ep^3*z4+
         59411473642770643965158838359705652257755244495790529133/
         23563092817802308185570355200000*ep^3*z3-
         2035662523415601264664259195/918*ep^3*z3^2;
Fill mncnoptab(17,5,3,5)=
      +mncF321*(6018196316649579562500+51192438435036772623750*ep+
         5869266164423438559194425/36*ep^2+4736551478701788393559963141/
         16632*ep^3)
      -229004246500344826819447829014264471993424025371347/
      7733527899176142173725655040-803066810305734689975/14688*ep^-3-
         1628314102917475919068045799/2504950272*ep^-2-2430822639008764\
         10021890089096622490003/93884539625143787520*ep^-1-
         36350545679635219159225475/459*z3+1516738097632922934764153500\
         46749439296994448365929125727739234593995088215169211789529231\
         35691565789549419855075587/53811557341142247420926705605740479\
         386184354720307950957871376508011098931200000000000000000*ep-
         36350545679635219159225475/306*ep*z4-3918174113902302928216407\
         459254441/2922441984*ep*z3-21525537983965830981845767129396278\
         87215746465838124117619225703959497208419929858122104917415743\
         246546549111687942976151942823/1728716366362318999975387701105\
         08141108731767028582292107355152454727946354780903833600000000\
         0000000000*ep^2-9402801377005293634338920075/1224*ep^2*z5-
         3918174113902302928216407459254441/1948294656*ep^2*z4+
         6936666357125445699343417266264202243740961/
         2470645779609047040*ep^2*z3+
         24547257998720183236892810036156765824005705712954265877186328\
         99192104105155450589388724428069416574034452644730135053116952\
         798684026998502039199675107872427857484802435059/
         90473860092117520720302372717314601040334149613173962694883048\
         67599111801663550400365390599958939641684517303779908072243200\
         0000000000000000000000*ep^3-139587998827893995748714782125/
         7344*ep^3*z6-165995843807205258502601746800291841/8767325952*
         ep^3*z5+6936666357125445699343417266264202243740961/
         1647097186406031360*ep^3*z4+2883748316883448641974812825937839\
         805566183745074691/881893532362191651389767680*ep^3*z3-
         10178355502331302082347728775/3672*ep^3*z3^2;
Fill mncnoptab(17,5,4,4)=
      +mncF321*(3378636528645378000000+28934836455853808480000*ep+
         2515791813510832239086600/27*ep^2+1029541721438309099414318686/
         6237*ep^3)
      -1145138228031125448302759045114393231964785872884227/
      68876732852037516234744115200-3446462665331792659475/26163*ep^-3-
         47918756190129557283637911113/31233598704*ep^-2-98263228073932\
         1214253411154953867636367/167231836207287371520*ep^-1-
         1163159195641903292519159200/26163*z3+
         74799522942548477698853609563227286680637800560629977062350224\
         309887194968882535286770423854796419280327940055953302319/
         47849236787743686406688026624624434270195128217297829991739227\
         9909234691696230400000000000000000*ep-
         581579597820951646259579600/8721*ep*z4-20691648902736129936014\
         0633135699/273978936*ep*z3-10520126556139088401482037779596170\
         92703598091469115253784248714890653409134047553018455980590237\
         0737803725684632994801082617809707/153717459296937405477811474\
         38226383907388428724181537414186020156274408989867117968883712\
         000000000000000000*ep^2-37610999063217479445031526300/8721*
         ep^2*z5-206916489027361299360140633135699/182652624*ep^2*z4+
         5573088815419584101900730857985754812910457/
         3635474700158421120*ep^2*z3-
         68425354481359323863055526293343518388963297990712315918719359\
         76838634897840963815708202880620184296085573681392938181704995\
         3415114770733904864170978137592947244899580301707611/
         27352781173929705804327575738880288703322142784251657793618602\
         34011504272773337865441667809304386303991196747417172047665142\
         169600000000000000000000000*ep^3-
         279174594985026337606438549250/26163*ep^3*z6-16988319003470018\
         4329357647035347281/15616799352*ep^3*z5+5573088815419584101900\
         730857985754812910457/2423649800105614080*ep^3*z4+287938415338\
         617015832237854183422846645519627143314713/
         149232921179414618508612249600*ep^3*z3-
         40714063827678144145151841100/26163*ep^3*z3^2;
Fill mncnoptab(17,5,5,3)=
      +mncF321*(886892088769411725000+15331035409861765468875/2*ep+
         902002329884397563261635/36*ep^2+7522782647416545125412174877/
         166320*ep^3)
      -286365425203791228360025326186418288135554943309373/
      65596888430511920223565824000-11767635763090146026815/139536*
         ep^-3-25731053954412965186849488093/26027998920*ep^-2-
         8547348359898446338784757062829762337039/
         2229757816097164953600*ep^-1-101766908709100179165116405/8721*
         z3+29317206566072172510363202677351875121049686894254872528058\
         2988138142322027860778661897260841117481028749379149589139/
         72498843617793464252557616097915809500295648814087621199604890\
         89533858965094400000000000000000*ep-
         101766908709100179165116405/5814*ep*z4-48502112999586753816412\
         1589534191/2435368320*ep*z3-4086155171114599135137127713318923\
         13799468340508941871516718314062641263739626595406160713559538\
         60741254608754629484906765625607/23290524135899606890577496118\
         52482410210367988512354153664548508526425604525320904376320000\
         00000000000000*ep^2-13163714526383195253158007055/11628*ep^2*
         z5-485021129995867538164121589534191/1623578880*ep^2*z4+
         17250896676432542758870365536325757592146397/
         44595156321943299072*ep^2*z3+
         18080435794796841214441110631455327427300538671861383300318700\
         65000432606251725729114171718703333864916110920313222331577235\
         854627895426754039591357982157140920405059011179/
         18527730563446146534125630625266505717045301707692745029545577\
         34268042109899943652170826680099227799494928278107888374532538\
         368000000000000000000000*ep^3-195420379721565925214067777725/
         69768*ep^3*z6-1226401568906915791005527807460679837/
         416447982720*ep^3*z5+17250896676432542758870365536325757592146\
         397/29730104214628866048*ep^3*z4+44704768064666740638737392159\
         730803165392867865410889/82907178433008121393673472000*ep^3*z3
         -14250340454940835944488752235/34884*ep^3*z3^2;
Fill mncnoptab(17,6,1,6)=
      +mncF321*(467699828036767326000+3990957476694355624600*ep+
         4024310854128473101849513/315*ep^2+
         7428548258955114440710682501/330750*ep^3)
      -2899588250957571012786662526681381402933534533629441/
      1260058439454668886928896000000-123568676191962287/7560*ep^-3-
         27063716779745282277134569/61535376000*ep^-2-32683185936267682\
         339249907694078733/8448063777457920000*ep^-1-
         5816174952735778838503868/945*z3+19662336152328281053952030049\
         34572354312516998201442065946429911865574651687679278511018663\
         3054723599273406782651/905845274138491290618379417248109233364\
         717240362865474807951150546944000000000000000000000*ep-
         2908087476367889419251934/315*ep*z4-45870050536890865711829922\
         8338357/4395384000*ep*z3-2782499739900679609886457347224926781\
         94649487913132682020759950303812013279289595389135516386339249\
         8188645438904623494014391/291006175656229631271444008077643794\
         96056171728308536028629867023326052163256320000000000000000000\
         000*ep^2-376112677413216756173031299/630*ep^2*z5-4587005053689\
         08657118299228338357/2930256000*ep^2*z4+1971426895984933258192\
         4316917153935429481999/91520690922460800000*ep^2*z3+
         29371265971120921092089601026198713787565215961327882361929037\
         32814153076367387722551646907889302374873281606042937137457534\
         470771423777876043293207655935339192434111474736210518093877/
         11864541910228254650659520745789721922210324526273035995842605\
         50069589962905453592011775408959970813768972588857375029186256\
         363847680000000000000000000000000000*ep^3-
         1116705682334178710842086161/756*ep^3*z6-152552575496558002774\
         73070661904131/10255896000*ep^3*z5+197142689598493325819243169\
         17153935429481999/61013793948307200000*ep^3*z4+574039150653343\
         9509868964785046846414337823253070232423/
         22051022690456705521255680000000*ep^3*z3-
         407132297582652384862083679/1890*ep^3*z3^2;
Fill mncnoptab(17,6,2,5)=
      +mncF321*(1375587729519903900000+11777868338756355121000*ep+
         2388421903872356455356110/63*ep^2+177594638964002459592004399/
         2646*ep^3)
      -11739817883320252200758235700351528360975229522707/
      1734493398439625188485120000-82813077166650677275/12852*ep^-3-
         1696718457419039228659012309/20922027840*ep^-2-133279227890515\
         40034272504285124605317/37340441896364006400*ep^-1-
         58161302274944270187071000/3213*z3+
         17207648984035876382848057158026376702394325506935549525134867\
         8798904305003751612595982278333124131895747151012922703/
         26905778670571123710463352802870239693092177360153975478935688\
         25400554946560000000000000000000*ep-29080651137472135093535500/
         1071*ep*z4-459479780509399701245850963002197/1494430560*ep*z3-
         48486148782943705600945266259755314472449113835593891338259570\
         14677836112782537569248967718279079487884356447038648785073939\
         587/1728716366362318999975387701105081411087317670285822921073\
         5515245472794635478090383360000000000000000000*ep^2-
         1880561795507092636899392575/1071*ep^2*z5-45947978050939970124\
         5850963002197/996287040*ep^2*z4+647990334829961411129305219968\
         8649514816481/10372344971212224000*ep^2*z3-
         51198775466053474825176008231973958757391827630760150635558070\
         24724090613713470009289219356906736098928449477919309778135492\
         41960339032501448498013908469408952884582830480233426401/
         15882993036706682050854472974281427748681526570893049596846253\
         78466998782586590523509977775837197326458932463775428377830102\
         1388800000000000000000000000000*ep^3-
         27917620421231668202555533625/6426*ep^3*z6-1543215820411973803\
         1101440999694171/3487004640*ep^3*z5+64799033482996141112930521\
         99688649514816481/6914896647474816000*ep^3*z4+5882832945972121\
         009885231849888436507182054326133721251/
         7497347714755279877226931200000*ep^3*z3-
         2035666369115590345257186635/3213*ep^3*z3^2;
Fill mncnoptab(17,6,3,4)=
      +mncF321*(1375587729519903900000+11838134680397233494000*ep+
         2420669110103274183065770/63*ep^2+454741779829698378858643771/
         6615*ep^3)
      -14872292889368464757576334004954486630429342715963/
      2197024971356858572081152000-576429779592303403195/12852*ep^-3-
         3699603808701449845538301523/6974009280*ep^-2-1563268828361034\
         9007255414699167494149/7468088379272801280*ep^-1-
         58158578733622290157880360/3213*z3+
         52833056029968764920573624283002160533519864501931290593952884\
         25694978114479810664036293397564874429828508474611553033/
         83946029452181905976645660744955147842447593363680403494279347\
         352497314332672000000000000000000*ep-
         29079289366811145078940180/1071*ep*z4-
         2693860609264160462202286468847/8739360*ep*z3-
         73815384920610270769478649386859037943614237009329888947931097\
         04407235898335117024964047909512132755939246256714155509963737\
         32577/26967975315252176399616048137239270012962155656458837568\
         74740378293755963134582099804160000000000000000000*ep^2-
         1880552149799473108036350415/1071*ep^2*z5-
         2693860609264160462202286468847/5826240*ep^2*z4+20752842694172\
         6127845100841755860872105231/339458562694218240*ep^2*z3-
         15981681942838393549124809826406802197659258339062204269491935\
         83065086104022833205053733791905076824852595492860780042908931\
         46084795353675505256037238903097513962163584293225675640683221/
         82777559992531796593931585686581449524652098317399643871599428\
         05060393611993872731918395678099590013158213494356023341192272\
         750263140352000000000000000000000000*ep^3-
         27917489353323985169755854425/6426*ep^3*z6-1570003962432708072\
         4164677700240851/3487004640*ep^3*z5+20752842694172612784510084\
         1755860872105231/226305708462812160*ep^3*z4+353337830155829368\
         9989516838772566720877296688218819/
         4346288530292915870856192000*ep^3*z3-
         2035696397266067509093704155/3213*ep^3*z3^2;
Fill mncnoptab(17,6,4,3)=
      +mncF321*(579194833482064800000+5019890487757871583000*ep+
         1038287889973701772223390/63*ep^2+197887453404117305172558622/
         6615*ep^3)
      -3305912271868192571619790608933810887847793920799/
      1159540957105008690820608000-3314001497123305771640/61047*ep^-3-
         21163520895664125784395688771/33126544080*ep^-2-11668421126645\
         4438620527127600581429/46737048486885120*ep^-1-
         465221231628512515547556880/61047*z3+
         15372038778922629891088059202353220300850508958109016552682501\
         73450762130907803687163020353947315188937569709693316191/
         57999074894234771402046092878332647600236519051270096959683912\
         716270871720755200000000000000000*ep-
         232610615814256257773778440/20349*ep*z4-
         8110031586675106338706068426241/62267940*ep*z3-
         21402199207937885154941010047483480658599268641098260330206203\
         38249293932641690732479766986079947865653956915428851968965116\
         64043/18632419308719685512461996894819859281682943908098833229\
         31638806821140483620256723501056000000000000000000*ep^2-
         15044248972049461672224894320/20349*ep^2*z5-
         8110031586675106338706068426241/41511960*ep^2*z4+4917804834507\
         08507151364094460720235294547/1970745544530322560*ep^2*z3+
         57166326212207757403396167294597783086342378701561577419714932\
         72439681792504135454122557187908561621851946669511929062655443\
         53294177845717116944819666527507696237398480116877/
         66309772542859892858975941185164336250477921901216140105742066\
         27906677024905061491979800749828815282402901205859811024642768\
         8960000000000000000000000*ep^3-111668814211299681252817815200/
         61047*ep^3*z6-8036796215356200808502623421404213/4140818010*
         ep^3*z5+491780483450708507151364094460720235294547/
         1313830363020215040*ep^3*z4+1702534042051432487222628438691160\
         26096198243755239309/474832021934501058891038976000*ep^3*z3-
         16286091383715908866162720240/61047*ep^3*z3^2;
Fill mncnoptab(17,6,5,2)=
      +mncF321*(101359095859361340000+886805974139430194850*ep+
         26602165247920932984743/9*ep^2+2952606649676222725100071/540*
         ep^3)
      -19734784376984244033533280072897293807536682196517/
      39529805355852569005248000000-426405733952090218469/34884*ep^-3-
         1768404236328822570617191831/11830908600*ep^-2-108828393628296\
         5672445159628248428083/1737870850555840000*ep^-1-
         11629998794163806811141244/8721*z3+
         10732483335765425211653360215118665378844098659870412345185622\
         5959680681928881387100142049769043981960899890091862381013/
         23137764277806724804656254652262837549321022000186684013783235\
         579610993091799941120000000000000000*ep-
         5814999397081903405570622/2907*ep*z4-
         57041002256902443127740506541667/2490717600*ep*z3-
         49281561962909038733709827860247783743052933935246425930257872\
         37928111333146121880743844521664862316306668428223910216316140\
         171083/2477697714297302180146057542635600843146460807690298178\
         76065036000393436755191471854007091200000000000000000*ep^2-
         376104349605397973151847541/2907*ep^2*z5-
         57041002256902443127740506541667/1660478400*ep^2*z4+8827797926\
         642897888789288823871680360304291/211151308342534560000*ep^2*
         z3+10645384098671248278978460321588246122815494257688555394920\
         46598409669706861828148277966703359714291205845773918767925228\
         695448884457204801200538328138752563623899790258064709133/
         85443766855707314956266790901869036242455828496114263008574432\
         96686745578267533209110868161928752466611576229016286841588221\
         527195648000000000000000000000*ep^3-
         5583415250110150563222006895/17442*ep^3*z6-1657606996797243870\
         3652901188449281/47323634400*ep^3*z5+8827797926642897888789288\
         823871680360304291/140767538895023040000*ep^3*z4+2817183919915\
         91854424664267734982892870445402529634001/
         4239571624415188025812848000000*ep^3*z3-
         407158212281629566767857705/8721*ep^3*z3^2;
Fill mncnoptab(17,6,6,1)=
      +mncF321*(5791948334820648000+51304901579821967220*ep+
         54930309043030329778441/315*ep^2+10931973945669614049740984/
         33075*ep^3)
      -16938199313540644314673343869937591191962614113230781/5935400274\
      18126323613798720000000-15817225059603994169/610470*ep^-3-
         324208256547158773678376633/276054534000*ep^-2-158538585240062\
         02177408103043034848017/1385680460997883050000*ep^-1-
         23264573107799993518402568/305235*z3+
         22070019339095776399826433276158047122708383958643280720961144\
         847354175294762723359878600252823213825675617207632340972139/
         84961870428106293482697767083109139481106792784685503698612041\
         048331566633089383792640000000000000000*ep-
         11632286553899996759201284/101745*ep*z4-
         57409660741811937051638470471667/43587558000*ep*z3-
         29953403104478096175919417665095860093643009494381005045731768\
         78341103816454245263674728949645256432883010803412497550516293\
         000919889/2729431802069908081648896988967377888810141225751632\
         473722732436580334099295189253943742116659200000000000000000*
         ep^2-752224849936005159838755202/101745*ep^2*z5-
         57409660741811937051638470471667/29058372000*ep^2*z4+478916430\
         277123629112714980534856098335029/213181609384289700000*ep^2*
         z3+48326680262059567472086582407164818394126599553571491350413\
         67653914561684587026309100662613515165652698578502209023082366\
         782797714248778297113509466787768385751880713238757695870767/
         22652714758758154209501521577038075898141901321564219626012439\
         94908315288917363176346338789701491767944114511314831541382922\
         750135666684723200000000000000000000*ep^3-
         159529284050015391856990217/8721*ep^3*z6-246339808218965623234\
         9990963914083/118309086000*ep^3*z5+478916430277123629112714980\
         534856098335029/142121072922859800000*ep^3*z4+1206404778909378\
         057576157651497955654195205988996671359/2967700137090631618068\
         99360000000*ep^3*z3-162853124296289124685438594/61047*ep^3*
         z3^2;
Fill mncnoptab(17,7,1,5)=
      +mncF321*(88579512885751387500+2302134897584194136750/3*ep+
         1903050436675794194836255/756*ep^2+
         7968744356947331089776667739/1746360*ep^3)
      -2071197572012062254677341632417823074979366140673763/
      4752220400229036944988979200000+228009479645900095/18144*ep^-3-
         63176474826996196827425689/324906785280*ep^-2-7859570599826578\
         08874142308181002961/223028883724889088000*ep^-1-
         660929280563650665173945/567*z3+178236123237700850375144013566\
         06513633888503720900271132145776101789317118799914935053248853\
         0147137361531989/439636906381881106380120143837749014593009433\
         98944404377345895839878348800000000000000*ep-
         660929280563650665173945/378*ep*z4-462217213994143360570768376\
         573557/23207627520*ep*z3-3497522056117786084323238456059018393\
         68556607718330555984242052425095555989752768181529781810129651\
         81756316928906041107/19939058435551545559116351800519970139415\
         42872301987221538121712280599150574174208000000000000000*ep^2-
         170960315570972805865248365/1512*ep^2*z5-462217213994143360570\
         768376573557/15471751680*ep^2*z4+73906421512392955675786653844\
         8168049255831/19329169922823720960*ep^2*z3-
         11096400854065015740079261707967555576318681584608742192175300\
         34836553106223907663176926988897249146584785181674532142728521\
         7130444023560974025886516178981222126716122957058431859/
         17136574837122000061189380108222876437788326650171512086667258\
         94014112402102417706529391835482151764808843096661327338155227\
         75163612430336000000000000000000*ep^3-
         2537967562342046061371767675/9072*ep^3*z6-84480047415999482271\
         7337143772209/2850059520*ep^3*z5+73906421512392955675786653844\
         8168049255831/12886113281882480640*ep^3*z4+5099098070985188248\
         3884769106058227743460741659656899/
         931435198444891241217839923200*ep^3*z3-
         185060100851440835769965905/4536*ep^3*z3^2;
Fill mncnoptab(17,7,2,4)=
      +mncF321*(208422383260591500000+5436990823492613242000/3*ep+
         1130360946084776124009590/189*ep^2+
         2384470807438231961908199399/218295*ep^3)
      -5577259442794408199127048534635206982728289856825517/
      5437636804108224965900851200000-153598431057011900245/38556*ep^-3
         -6833437293596106718161386713/138085383744*ep^-2-1314617094748\
         603786838471385890099026993/6161172912900061056000*ep^-1-
         26436310522793289972827480/9639*z3+
         19117435294898585103320815772284836682878821855694695800790546\
         304214036869226424452415160021228504070698112672977407/
         20147047068523657434394958578789235482187422407283296838627043\
         36459935543984128000000000000000*ep-13218155261396644986413740/
         3213*ep*z4-463080565495743452115841012129861/9863241696*ep*z3-
         26521132554019399040423638198011887909971993346875966760561365\
         14132022005553279087110845246635216087032944559913748946199736\
         183/6472314075660522335907851552937424803110917357550121016499\
         3769079050143115229970395299840000000000000000*ep^2-
         854798537966524291737222145/3213*ep^2*z5-463080565495743452115\
         841012129861/6575494464*ep^2*z4+908404774317677728941205461352\
         88889326341531/1026862152150010176000*ep^2*z3+
         37945419763473747185609574042996521783164170263732399435756006\
         70790927435673181207097551665658557472662195758163858652041318\
         54826462737256435841951161713189700035301709067531374663238709\
         07/26177009165595385437469959963076071348296433951122793631012\
         74472853045428056352372444385557074431892637277889991203898053\
         694462467264951846174720000000000000000000*ep^3-
         12689796516883897926194194775/19278*ep^3*z6-162487760640085612\
         87673238827067571/23014230624*ep^3*z5+908404774317677728941205\
         46135288889326341531/684574768100006784000*ep^3*z4+
         32620725792173400974215164747830299371266790314297498387/
         247412474586924235948488729600000*ep^3*z3-
         925310049061145573376594485/9639*ep^3*z3^2;
Fill mncnoptab(17,7,3,3)=
      +mncF321*(156316787445443625000+1366592647381796298750*ep+
         286580113780662515889400/63*ep^2+488894935948486643889872891/
         58212*ep^3)
      -4959370985519017857319122448239360876885929532749/
      6444606582646785144771379200-698642830589163899725/51408*ep^-3-
         9961473596852944243206498023/61371281664*ep^-2-238275291682396\
         81737562483590028797197/36510654298667028480*ep^-1-
         6608332504490489649950450/3213*z3+2198648947803678083315099218\
         95674736312424281081538997029012543664532355792880544281086961\
         332699412488225914106987/3052582889170251126423478572543823557\
         9071852132247419452465217219089932484608000000000000000*ep-
         3304166252245244824975225/1071*ep*z4-1547718708406118433704936\
         13182479/4383662976*ep*z3-160696504921015775213444082436478557\
         51124614630201718052214014616118208874556520546665127427566337\
         71875254765304298820577737/51613349885650098372470905525816784\
         71380316872049538290669359575681829594515946602496000000000000\
         0000*ep^2-854787949825846759127710825/4284*ep^2*z5-15477187084\
         0611843370493613182479/2922441984*ep^2*z4+15408617813767136654\
         5199716194195723687761/2381129628173936640*ep^2*z3+
         31274926486725038612253703536588857688177594486654456326131334\
         30006590836982893786153810682308324519473263722154004535702604\
         483515651143565738851934659302074333358676137408376863261/
         60201861812750397522859335044786508745201526049017922815708674\
         94589377172359180168667924129526974555024155268622562429958016\
         54564592025600000000000000000000*ep^3-
         12689652597297891593916653375/25704*ep^3*z6-165355755432886415\
         01125058719424851/30685640832*ep^3*z5+154086178137671366545199\
         716194195723687761/1587419752115957760*ep^3*z4+179683998429484\
         35606995272025278272065543577134537237/
         175937759706257234452258652160*ep^3*z3-
         925342696699227873669686525/12852*ep^3*z3^2;
Fill mncnoptab(17,7,4,2)=
      +mncF321*(43878396475914000000+386417287762915838000*ep+
         245942507946583400111380/189*ep^2+532141785556583519714897428/
         218295*ep^3)
      -620321933725356466846130761963807021544558521149191/
      2869863868834896509781004800000-1071169731377551484965/183141*
         ep^-3-15644382117434318255239374797/218635190928*ep^-2-
         2929910498309077664911919153596391307677/
         9755190445425096672000*ep^-1-105724976621796067772450240/
         183141*z3+4583436020767530815952750780664927715531451525024538\
         20298875929675477542505188305200296888160920321572120593013921\
         26723/23137764277806724804656254652262837549321022000186684013\
         783235579610993091799941120000000000000000*ep-
         52862488310898033886225120/61047*ep*z4-
         8175831009918113037639133146493/821936808*ep*z3-
         62391308345917710173907925021513576310393155799470250414586214\
         27988039110826728441594857211746755057170260807094063064970319\
         066711/7433093142891906540438172627906802529439382423070894536\
         28195108001180310265574415562021273600000000000000000*ep^2-
         3419122397202660654616292260/61047*ep^2*z5-
         8175831009918113037639133146493/547957872*ep^2*z4+855255004802\
         73297978672342867891909233279117/4877595222712548336000*ep^2*
         z3-12550199826907129508656722807673121254185666228988230797746\
         49044152026609747288969710084556279391868368467634455723366949\
         37057650533633770949850804084530512043095645914945733432624831\
         4887/155146779961682635126537672364379729694673807995167213055\
         64243948402900078407118565022348174829175044181930768216379448\
         82748404793852712032665600000000000000000000*ep^3-
         25379105537465464740191066350/183141*ep^3*z6-16927339728048749\
         645337993381569039/109317595464*ep^3*z5+8552550048027329797867\
         2342867891909233279117/3251730148475032224000*ep^3*z4+
         11703726573684033486791426346359879526531350344979980163/
         391736418095963373585107155200000*ep^3*z3-
         3701463747613504079398404980/183141*ep^3*z3^2;
Fill mncnoptab(17,7,5,1)=
      +mncF321*(3839359691642475000+68274731443426132625/2*ep+
         12604914973026321754055/108*ep^2+111164227198548101739546221/
         498960*ep^3)
      -1411735197897333709156394215755140749572266924058047/
      74616460589707309254306124800000-8658591535998650675/418608*ep^-3
         -79058059715589328696929971/89238853440*ep^-2-9487578338223312\
         8392086713555894790251/11148789080485824768000*ep^-1-
         1321849692094835042062885/26163*z3+
         14575994175311844529877766814405979209868889866702907210659022\
         046976367377936812469304309473612804752350607687164114895513/
         84961870428106293482697767083109139481106792784685503698612041\
         048331566633089383792640000000000000000*ep-
         1321849692094835042062885/17442*ep*z4-
         57520660963491820000012548150307/65754944640*ep*z3-
         19695189325602547158825239680899273084761926489790311712264251\
         41418978554715488055390059582537676123015984807138626591410226\
         604098427/2729431802069908081648896988967377888810141225751632\
         473722732436580334099295189253943742116659200000000000000000*
         ep^2-170960173549412081418543635/34884*ep^2*z5-
         57520660963491820000012548150307/43836629760*ep^2*z4+813995157\
         3130211953433948248115559781429493/5574394540242912384000*ep^2
         *z3+6300347041379132770156571925191314747158714848219538136357\
         60139940752822933439749740211003454251678408570149221686445764\
         1572016852824319140326535217612758525568165978230317596298201/
         11326357379379077104750760788519037949070950660782109813006219\
         97454157644458681588173169394850745883972057255657415770691461\
         3750678333423616000000000000000000000*ep^3-
         2537965609399284520436896825/209304*ep^3*z6-249265415752372492\
         2990122402746223/178477706880*ep^3*z5+813995157313021195343394\
         8248115559781429493/3716263026828608256000*ep^3*z4+
         615354073368979091154314078098462841868669015740740051/2238493\
         81769121927762918374400000*ep^3*z3-185060383887611902693121215/
         104652*ep^3*z3^2;
Fill mncnoptab(17,8,1,4)=
      +mncF321*(8802932957590200000+1635565739783745484000/21*ep+
         349448836680873374256500/1323*ep^2+762248875737802511264095892/
         1528065*ep^3)
      -14500135296830704619219556369829450186164475297892189/3347345244\
      41132789812661222400000-67355289731155855/7938*ep^-3-
         756110320546458265227590329/3269374526880*ep^-2-44374472423913\
         18252502621743129769049/2244228142481696448000*ep^-1-
         459775663026313028621200/3969*z3+84710372987388402284678046436\
         33305387244393245561713863483431831067300041430859277762569262\
         533683336667739193703/2129513247132555703084025952721288676885\
         6190963580690592298805026920274591744000000000000000*ep-
         229887831513156514310600/1323*ep*z4-46720319766660026562071637\
         5028997/233526751920*ep*z3-11576146673938726744512850090794980\
         66436816789516099731876722582386622886345150918121546321715230\
         573114420613348751383096757/6841140796883824160196718093637903\
         05475878213343992570677783404787754270059875606200320000000000\
         000000*ep^2-14866110502398806786963750/1323*ep^2*z5-4672031976\
         66600265620716375028997/155684501280*ep^2*z4+87937565718560538\
         2715704850310590023278157/255920753090018016000*ep^2*z3-
         12154727452959435941127920531934380992118514326640644517374828\
         49933834866901556554995902107517940959308384607197760657966779\
         6634845000256214580893942250013186894298438793421300257503/
         17690993434793594180816095347018322440187360747677061007118258\
         49408686626876319455858283924277162557199717432141546752036720\
         4141890577367040000000000000000000*ep^3-
         110346389610425268330675125/3969*ep^3*z6-171799644360821100140\
         45301626633011/544895754480*ep^3*z5+87937565718560538271570485\
         0310590023278157/170613835393345344000*ep^3*z4+379888861767174\
         287378080018757754365928302650704282709/
         61661622923366566544437593600000*ep^3*z3-
         16092199211368847158548190/3969*ep^3*z3^2;
Fill mncnoptab(17,8,2,3)=
      +mncF321*(15534587572218000000+965924897833346165000/7*ep+
         207670294377677194661650/441*ep^2+91304860463633499281509490/
         101871*ep^3)
      -39858818420600957539564485575395224643896404673941/
      521106860393704892565498240000-22462118025878112725/22491*ep^-3-
         11555210324046419152939642307/926322782616*ep^-2-4491698078685\
         52724904255421551206263771/8266240324807581916800*ep^-1-
         4597277956643644380768400/22491*z3+192980136421245168541917342\
         61885908858197529794497141212835350400943182998888194196112647\
         06958175339262404712421301/28083762580366310363096002867403176\
         73274610396166762589626799984156273788583936000000000000000*ep
         -2298638978321822190384200/7497*ep*z4-468120657755771854049938\
         552018807/132331826088*ep*z3-256926148604576841972202573007383\
         93765025668367691156842985678646115768245060522036165873682828\
         9494409665201507920660191415617/902201356001163719550791428591\
         27739679727938923425929320900405382918381312138746611630080000\
         000000000000*ep^2-148659398109493034138254100/7497*ep^2*z5-
         468120657755771854049938552018807/88221217392*ep^2*z4+
         545684580777108129508486807406152342946551/
         91847114720084243520*ep^2*z3-
         31294778737651901416493625707190574185274347309735968904189230\
         98146682416400667541317878697419841442726813457214326769464525\
         5037582523064509961423098979324462477135736060883146505129297/
         93322670822086935605953511454816653648115629059261296367246861\
         77729217212322111844721517137520256301737176078400013896804614\
         839455490024407040000000000000000000*ep^3-
         1103452290929588645084984750/22491*ep^3*z6-1739460474705836486\
         5074509571898351/308774260872*ep^3*z5+545684580777108129508486\
         807406152342946551/61231409813389495680*ep^3*z4+36837192979675\
         047089931737533856009478598884120561863/
         3319450700707900165642223788800*ep^3*z3-
         160927192851847599416601700/22491*ep^3*z3^2;
Fill mncnoptab(17,8,3,2)=
      +mncF321*(7767293786109000000+485665580711165712000/7*ep+
         105334898980094440370740/441*ep^2+234093319758544138442815714/
         509355*ep^3)
      -29548748890359454515980771899344710231924447461297/
      772010163546229470467404800000-56391151158865014635/44982*ep^-3-
         18965289327180841579742804651/1235097043488*ep^-2-356758424479\
         4053232416511390352755359339/55108268832050546112000*ep^-1-
         2298258697273939241251280/22491*z3+
         72945787686462776099476022861095533817760383398004195448034344\
         7725045963616159602233766650382819660408939886057561689/
         21545286574475897591380318097248796098558036680335778636316373\
         21178351583446958080000000000000000*ep-
         1149129348636969620625640/7497*ep*z4-1564705812355220254059296\
         14854775/88221217392*ep*z3-21316031272081979162395254959315530\
         55648910039763437643996335109619874177921680680646532364262584\
         825783997528769460422112883057/1538111941399134956635879176265\
         01536821507688466604205429136189689852875718472438667804672000\
         0000000000000*ep^2-74328359345204652966137470/7497*ep^2*z5-
         156470581235522025405929614854775/58814144928*ep^2*z4+
         26487722906391164904583688908033571692086713/
         9184711472008424352000*ep^2*z3-
         32802110870160250784519941446401018342766364073449937975996218\
         53662351498673625556811943669476720269891622596284820911034985\
         51172721899076681481551776812688943282475572166317548730146745\
         981764249/8640675076214578353210616670577588026234915650586927\
         29902674414720396729980782786710291351063077441973783070657601\
         278390974574943200246379059414564864000000000000000000000*ep^3
         -551717048345850049142902825/22491*ep^3*z6-1769767879631327225\
         8447502563563107/617548521744*ep^3*z5+264877229063911649045836\
         88908033571692086713/6123140981338949568000*ep^3*z4+
         12622034532583942664755371969565008651929225171398967921/
         2212967133805266777094815859200000*ep^3*z3-
         80467836010938817581081110/22491*ep^3*z3^2;
Fill mncnoptab(17,8,4,1)=
      +mncF321*(1090146496296000000+68672339466991117000/7*ep+
         45203884726534287054470/1323*ep^2+101914036781617552677089012/
         1528065*ep^3)
      -32286268108742716708916449565090856457508913463255271/6006625077\
      471438394971643046400000-16856215669134580310/1281987*ep^-3-
         14074595614153327897693423145/35200265739408*ep^-2-54746906384\
         66014287879932088231254504099/1570585661713440564192000*ep^-1-
         18390778254884787080127760/1281987*z3+
         21378724657743317557877543034055660500225961482230724612443886\
         06656106338125279846864220285523614378676538949377690613389/
         44411886814691926138682923702534322910578550773812876933365385\
         093446046194569450618880000000000000000*ep-
         9195389127442393540063880/427329*ep*z4-
         1181177165361919240611710473201/4726136646*ep*z3-
         35587122483262678901864924589733828545982451722751965683372619\
         02644550629385846912765193940922762471685386191487295788724292\
         3550713/178343555248886039425922246438209350689299000546271440\
         044383085344737739442583388752005876940800000000000000000*ep^2
         -594643427230369305198767240/427329*ep^2*z5-
         1181177165361919240611710473201/3150757764*ep^2*z4+30477004524\
         2612740562472859537334185780957739/785292830856720282096000*
         ep^2*z3-799520277115925473128880045660474648039878082651698587\
         49506171379781977611800705708232220442739442468161869675973623\
         98518969577610814753328400036808353767700133972804699010287586\
         8977279/323692600010965134195821780069319526953887626680826139\
         96609036237804232436313033733387535510211778842179573739142355\
         3045991599000171997646815232000000000000000000000*ep^3-
         4413848758590557821290434900/1281987*ep^3*z6-36215422091191636\
         289289993451178605/8800066434852*ep^3*z5+304770045242612740562\
         472859537334185780957739/523528553904480188064000*ep^3*z4+
         52264340492078603145672121479197340917436835332101187371/
         63069563313450103147202251987200000*ep^3*z3-
         643689955905732039872537320/1281987*ep^3*z3^2;
Fill mncnoptab(17,9,1,3)=
      +mncF321*(412637482387040625+105362447889010794625/28*ep+
         5894951811374396550650/441*ep^2+72515579014259655438495421/
         2716560*ep^3)
      -721561620085285068711717155503122663425026096279/
      355079468354507459400499200000+231345286946647445/169344*ep^-3-
         1963216812093882523190771029/69746656573440*ep^-2-216528213661\
         70852345791535819581956229/47876867039609524224000*ep^-1-
         14368204123095239630525/2646*z3+259403822703201378287788514069\
         80170971150431052819631254239290786574582197782537384750831853\
         792584999458609/1440417510235765491804671234254118423218086509\
         982460132054843413617442816000000000000000*ep-
         14368204123095239630525/1764*ep*z4-474554237699720170920997050\
         121297/4981904040960*ep*z3-27857268431579095448443327849235973\
         01231085781101258149435998617401555279620944878001480693986463\
         67021745631840560867/37774653220711989576137015712728062631188\
         61059634202285304484742400798823106478080000000000000000*ep^2-
         7433065256222409321131575/14112*ep^2*z5-4745542376997201709209\
         97050121297/3321269360640*ep^2*z4+4222102552792946771784136813\
         6593762097580089/311199635757461907456000*ep^2*z3+
         26632779090087444046636387914697266967480047294916089286105904\
         25040394542313686219514375730759740350431466133986499079145622\
         5821360521127253813895452041712670395855062309243203963/
         10171363920166771546059037503358748697347982031605453095272267\
         12660567933471909860308131314688574251636742300676619818202930\
         43294149017600000000000000000000*ep^3-
         110346522513488520646531625/84672*ep^3*z6-18843733164145069634\
         201647110079111/11624442762240*ep^3*z5+42221025527929467717841\
         368136593762097580089/207466423838307938304000*ep^3*z4+
         8347037956889738955083737114332298490966050778498175331/
         24993511158271248306012037939200000*ep^3*z3-
         8046047493756566119904195/42336*ep^3*z3^2;
Fill mncnoptab(17,9,2,2)=
      +mncF321*(485455861631812500+31116764147687271625/7*ep+
         7007936691616906313645/441*ep^2+21719709479882340069230041/
         679140*ep^3)
      -5587647085489858120764680567644472973396849341510689/23345587345\
      63797918693432115200000-73675200498630042455/719712*ep^-3-
         73885649222578022460960539173/59284658087424*ep^-2-13839137240\
         332756874769478593068923049621/2645196903938426213376000*ep^-1
         -143627879289561110417090/22491*z3+
         37187941090522428421496231411621735320760652346384070534542654\
         067990546358821595953128926621295766163327633916198099/
         16475807380481568746349655015543197016544380990845007192477226\
         57371680622635909120000000000000000*ep-71813939644780555208545/
         7497*ep*z4-475454069275392048614226195400849/4234618434816*ep*
         z3-17435316431522855450788229933421875304115012253601873702655\
         31815569921122996702057213344506383257411448480080516022228803\
         654933/1764304873957831273788214349245164687070235250058107062\
         2753857052659594567707132670718771200000000000000000*ep^2-
         37163816378870575599555155/59976*ep^2*z5-475454069275392048614\
         226195400849/2823078956544*ep^2*z4+205700025723514013253677560\
         346749255231913261/1322598451969213106688000*ep^2*z3+
         11738128878171674117725797111223801734255389873000066509165987\
         38941982574585976228428872418874000967624592919495364321908699\
         31622870417266092482659446004943338526367482976851972000425477\
         533/4653690518328068522216881771213523795252699369088496645513\
         37684062763631654462643990112987924343447579960513776214026320\
         656793327513769217097728000000000000000000000*ep^3-
         551712130511476189576643725/359856*ep^3*z6-1907113727646353171\
         8669520037920743/9880776347904*ep^3*z5+20570002572351401325367\
         7560346749255231913261/881732301312808737792000*ep^3*z4+
         42419450264959601188567680459013793227129947494796023039/
         106222422422652805300551161241600000*ep^3*z3-
         40235177479408537824428815/179928*ep^3*z3^2;
Fill mncnoptab(17,9,3,1)=
      +mncF321*(121363965407953125+31293586258792411125/28*ep+
         1777267683303816299440/441*ep^2+22269128708984240210880553/
         2716560*ep^3)
      -3464987154525064790315589010321359453797574676570441/57808121046\
      34166274859927142400000-11169106067601153815/2878848*ep^-3-
         7558855421746765378185892295/79046210783232*ep^-2-803866127351\
         7735069882861340954502274053/10580787615753704853504000*ep^-1-
         71837939242239708764785/44982*z3+53833486978356021462375224312\
         58744829782206241370052242680140344382252563818986486264885395\
         86499721627218909792048410419/10284857999191814474221308646902\
         68530560766438972508728983198391637697911874239909068800000000\
         00000000*ep-71837939242239708764785/29988*ep*z4-15898356569609\
         8147978492613302363/5646157913088*ep*z3-
         69612703941057300104500668675149051268641053209074571431065003\
         89184425719897956937660496267004049703492096299748714210186061\
         2834881/330404902355830978304866477611840481277017095748881825\
         7664360317965667593883650149510845720166400000000000000000*
         ep^2-37165129071028400827895315/239904*ep^2*z5-158983565696098\
         147978492613302363/3764105275392*ep^2*z4+197934264432790946710\
         997668162641356160595933/5290393807876852426752000*ep^2*z3-
         24055377408454659310775159545754164540654219805224744710776087\
         34075318717190609393366746062864178772363667639667974852831525\
         12372684034457418417404183820277216120222153408247305471954106\
         820273899/1649885061752716449075447989546766968081399733985670\
         24618536263444371433209450588425609871737388259080242034643645\
         0185010862492379544278446031208546733916160000000000000000000*
         ep^3-551729900926046835717246925/1439424*ep^3*z6-1939186916471\
         1638296028821345473095/39523105391616*ep^3*z5+1979342644327909\
         46710997668162641356160595933/3526929205251234951168000*ep^3*
         z4+14445431538032410476566767746076612243054547858851353829/
         141629896563537073734068214988800000*ep^3*z3-
         40230631869737578359801295/719712*ep^3*z3^2;
Fill mncnoptab(17,10,1,2)=
      +mncF321*(7335777464658500+4418849440231585645/63*ep+
         5299532680413354147661/19845*ep^2+3533308461619355282738509/
         6112260*ep^3)
      -2078814701592278016926394991421490143688237889238639/57383061332\
      765621110741923840000000-2184310164490767599/1905120*ep^-3-
         62222478888333156245986542757/3923249432256000*ep^-2-214951575\
         232452813446055679878349473493/2693073770978035737600000*ep^-1
         -5745521336340237249122/59535*z3+11991610073206068405767443572\
         54210021169191545529165937264119607967659315214369768718824697\
         455858166433597/5436870014125193277890180639096427381754542219\
         051442655305046218065838080000000000000000*ep-
         2872760668170118624561/19845*ep*z4-486409957402552643431570893\
         537169/280232102304000*ep*z3-456905389310323877794786814117790\
         71614050651396269812226854259232043214153750057660142634917154\
         56632016179134454710303/11876980550145528055897080023676915025\
         622885648333204352044850777565178299650618163200000000000000000
         *ep^2-1486565321577720386789579/158760*ep^2*z5-486409957402552\
         643431570893537169/186821401536000*ep^2*z4+5836733140114899555\
         383560800897742367487413/3500995902271446458880000*ep^2*z3-
         71127683027790225376878743292816041835166691440864899758817856\
         17020603700326627921571812476520942861854420392076217833525869\
         705346800281041069515869766503408617602249122786979727/
         28376631226552224965454561150674769916514297696870285809274078\
         57784917785410763016077033015616674542609752070728250942087885\
         62813386752000000000000000000000*ep^3-
         4413731794042439262375761/190512*ep^3*z6-215485353021471367098\
         01422447706087/653874905376000*ep^3*z5+58367331401148995553835\
         60800897742367487413/2333997268180964305920000*ep^3*z4+
         9905639152382444261288389751537521724360903761298989747/
         1405885002652757717213177134080000000*ep^3*z3-
         1609378920889884958221031/476280*ep^3*z3^2;
Fill mncnoptab(17,10,2,1)=
      +mncF321*(4315163214505000+2610086701140733100/63*ep+
         1259791381007930987957/7938*ep^2+35258758081920952503242/
         101871*ep^3)
      -2085390804577461131132398280706437802788767273846739/97551204265\
      701555888261270528000000-4454408117875949519/3238704*ep^-3-
         121269485837774903114633699977/6669524034835200*ep^-2-
         5286967372627954438335363531907739144869/
         59516930338614589800960000*ep^-1-11488772542761398038804/
         202419*z3+1267279094189391789932138224651075385657052365508804\
         10995744596430854605564222136059581431166660181657537905836974\
         201/7117548788368037698423050966714661111147172588045043107150\
         16187984566028978712739840000000000000000*ep-
         5744386271380699019402/67473*ep*z4-487410593161598037487686742\
         516369/476394573916800*ep*z3-154100237830388400021781572934647\
         86719911657984776694442012450188264857633067167854743058001684\
         784269467073431525828449485672803/2286539116649349330829525796\
         62173343444302488407530675270889987402468345597484439412515274\
         75200000000000000000*ep^2-1486528999663903366117739/269892*
         ep^2*z5-487410593161598037487686742516369/317596382611200*ep^2
         *z4+224067196907146377547606720138555459347953/
         238067721354458359203840*ep^2*z3-
         28129075461714475349323577251526891591586733666974042176217126\
         94112323594120358620506784255378884767485798482774476903440740\
         156588230767000358478348768096358861647859108899904845414713641
       /201039430391772560159769292516424227954916612744623055086177879\
         51511388887472786220372881078331636935454294195132445937052373\
         4717485948301786218496000000000000000000000*ep^3-
         22068159544103322530990005/1619352*ep^3*z6-2178901709899079510\
         1612874413163087/1111587339139200*ep^3*z5+22406719690714637754\
         7606720138555459347953/158711814236305572802560*ep^3*z4+
         10010130007245252592582417993415507433699453944406141367/
         2390004504509688119262401127936000000*ep^3*z3-
         1609451566366996290626311/809676*ep^3*z3^2;
Fill mncnoptab(17,11,1,1)=
      +mncF321*(28214528710225+74706293642070233/252*ep+
         127090109110251543793/99225*ep^2+1685302981716455306136887/
         529729200*ep^3)
      -14848366102314301030610658266467740322087959244589273/1044371716\
      25633430421550301388800000000-2038962566623991723/38102400*ep^-3-
         540439909569129811278035854357/1020044852386560000*ep^-2-
         19401856311391039774268584990095390979009/
         9102589345905760793088000000*ep^-1-221110216226302379797/
         595350*z3+3705458233412350734807706520165904666952230343478342\
         3370912134507557015547/354620411767752811420227980798878918173\
         43085445120000000000*ep-221110216226302379797/396900*ep*z4-
         73169823022350226477793129628967/10408620942720000*ep*z3-
         24390022721606206907184808072438228665555945882697478349929579\
         87668191026728700994881/73839066393726431606953607204678337928\
         6187905949991174144000000000000*ep^2-114343507672130244660983/
         3175200*ep^2*z5-73169823022350226477793129628967/
         6939080628480000*ep^2*z4+1012062238526999914989064323901304320\
         24613/910258934590576079308800000*ep^2*z3-
         16152603952421319492600693028511094401719466033854574080721523\
         91256037108796176976018560288154139203344558900819710381055134\
         02555857697/76068864887287437132267979140891967801042429957702\
         26700056519828387071835386369675893419123075616604160000000000\
         000000*ep^3-339492759556769895906197/3810240*ep^3*z6-273354494\
         18022806190564006213746887/170007475397760000*ep^3*z5+
         101206223852699991498906432390130432024613/
         606839289727050719539200000*ep^3*z4+12249272944239905486282088\
         390067514245426321999050302947/3655301006897170064754260548608\
         00000000*ep^3*z3-123676954744499029273987/9525600*ep^3*z3^2;
Fill mncnoptab(18,1,1,10)=
      +mncF321*(30504396429596375000+275346965731519029805600/1071*ep+
         108768558210261365281668961/134946*ep^2+
         1396411421789706012686222427518/1013107095*ep^3)
      -158547400491724089210300448362412440950523258771915813714709/
      1056381990993282148713981298547712000000-6275334645190896409/
         55057968*ep^-3-352743485920589161128089871689/
         491321603899526400*ep^-2+3162360219397057642021520953710484639\
         247/4384413868277941448670720000*ep^-1-
         1381341656556822530461115324/3441123*z3+
         16776425624690948775965228438971681599289274731985951353360673\
         1900753009210073333615100577444532285634437/
         11707007098982733632743962563969908750597864862065704330960901\
         7671680000000000000000*ep-690670828278411265230557662/1147041*
         ep*z4-553914042949771341819663315037057286249/
         81886933983254400*ep*z3-53383870316500099099914072677081261147\
         10860069773812461440625863434931403509249519369469540797741147\
         828185106985261/8357599401031782805038005067419537717788774041\
         44125474484959178568185885491200000000000000000*ep^2-
         8507310619675905053591107849/218484*ep^2*z5-553914042949771341\
         819663315037057286249/54591289322169600*ep^2*z4+97091185559529\
         622979190576414482104320773687682851/
         6576620802416912173006080000*ep^2*z3+
         24372024092113773044035120615230475771848737145842156261580855\
         89987683446875947056405344124684482123737179747462331146058259\
         6731914655561136268339679039/365941688679525262597378295695068\
         23130899547901855501451078185446321637069093845929809819061172\
         94717874995200000000000000000000000*ep^3-
         2652176012066773641271976665955/27528984*ep^3*z6-1755978135251\
         998896110534928817113760213/18896984765366400*ep^3*z5+
         97091185559529622979190576414482104320773687682851/
         4384413868277941448670720000*ep^3*z4+6287827354057107402739953\
         79090901561013828729103377900512549/40630076576664698027460819\
         174912000000*ep^3*z3-193387835494465371552843689537/13764492*
         ep^3*z3^2;
Fill mncnoptab(18,2,1,9)=
      +mncF321*(137269783933183687500+137949308516477790485725/119*ep+
         27339580068294392287059203/7497*ep^2+
         8036707547159687889929619567/1282820*ep^3)
      -12195954534571695791593443165931424211236676902946588123581/
      18057811811850976901093697411072000000+360716843871056647/
         12235104*ep^-3+15930820291018151347136192597/25195979687155200
         *ep^-2+48358074915642548149948491838507774913/
         17295518218058940625920000*ep^-1-690670838232494162406794054/
         382347*z3+1563799755819176389605388987932346630917586693221610\
         2892171931210618716520771962196080495336136395389288199129/
         24305481108910226537670206129107303886056070841035374888012752\
         20223590400000000000000000*ep-345335419116247081203397027/
         127449*ep*z4-383863216931369748301510244919744696469/
         12597989843577600*ep*z3-44726852045576077689792582157212132926\
         40830699379516482753642830571925085885070153215496005986633005\
         256668984266390311041/1561645306747458723064034706864232021027\
         89172555676991992429572379394093323649024000000000000000000*
         ep^2-25521931906112107727068127099/145656*ep^2*z5-383863216931\
         369748301510244919744696469/8398659895718400*ep^2*z4+
         7410575227829528868958468208026114060856755502659/
         112420868417383114068480000*ep^2*z3+
         22325330620129545142984810022378706547596083475639607522216653\
         10306492508287987331573064441202952306255224330938434197862989\
         1612541855435657411389664686593757/
         53182441149754176607818690446066375340666427408536607131079523\
         49501125856598471256329605378167324107171870801920000000000000\
         00000000000*ep^3-2652176016612471544845881583235/6117552*ep^3*
         z6-1768402614514338166681849300936944262621/4199329947859200*
         ep^3*z5+7410575227829528868958468208026114060856755502659/
         74947245611588742712320000*ep^3*z4+638651536873241258826782377\
         957329958282023017439630912842233/9028905905925488450546848705\
         536000000*ep^3*z3-193387834452604579822231237729/3058776*ep^3*
         z3^2;
Fill mncnoptab(18,2,2,8)=
      +mncF321*(549079135732734750000+553366480845227052818100/119*ep+
         110192005950079605540344668/7497*ep^2+
         24445847803295526562825168799/962115*ep^3)
      -312716786954198249768917239920380811585059726308164128331/
      115755203922121646801882675712000000-12503889118130364617/3058776
         *ep^-3-87042887855763602049121724489/2099664973929600*ep^-2-
         7254186388974732537846832652155857936259/
         56210434208691557034240000*ep^-1-2762683304105539503581532224/
         382347*z3+8824521774053380437175034883984139352559674863221496\
         790913068494554846038265753073757145853543073025546543639877/
         34366502402893939695536376659356677357444759344691497476544398\
         0418088960000000000000000000*ep-1381341652052769751790766112/
         127449*ep*z4-128136585202194424730062280234102112247/
         1049832486964800*ep*z3-628850887212599207616574968979945472542\
         77492314798207781635992152106713795276596079881962542405355344\
         6287048780022511657949/552018359010492382484457825000256332384\
         2184404639912714380834157930059152123494400000000000000000000*
         ep^2-25521931859813622288084970811/36414*ep^2*z5-1281365852021\
         94424730062280234102112247/699888324643200*ep^2*z4+73283666489\
         76464122912555589315934495355712074451/
         28105217104345778517120000*ep^2*z3+
         74682738691229936899580797378452095225870365342004168562538659\
         56207905453548571273769055793710314391970315731046580266107516\
         9504006257255417195524541024029464757/
         60157442952890881606285536273123713434662034050105421913993566\
         46901517655955087164264240146026573743493337841664000000000000\
         0000000000000*ep^3-2652176012239374945213106612915/1529388*
         ep^3*z6-1786074145921081664982485892784407540269/
         1049832486964800*ep^3*z5+7328366648976464122912555589315934495\
         355712074451/18736811402897185678080000*ep^3*z4+21767555011243\
         7654832710304933388663866647803517870880332579/752408825493790\
         704212237392128000000*ep^3*z3-193387835723030156083515869281/
         764694*ep^3*z3^2;
Fill mncnoptab(18,3,1,8)=
      +mncF321*(231191215045362000000+233350502501412208055000/119*ep+
         46584194514030240198482650/7497*ep^2+
         6220890200231902187126457998/577269*ep^3)
      -6418923152770044736781757167896428840333800895753722573/56430661\
      91203430281591780440960000-491143677519087125/382347*ep^-3-
         42177163572327776316969539/3936871826118*ep^-2-181856294068781\
         817874841772449461523/10809698886286837891200*ep^-1-
         1163235078047385874793126800/382347*z3+
         15985368078302211464022249770670692437868664502653586220214271\
         180299598630408891173744465165878945867490388742123/
         14804031804323543253461823791722876400130050179251721989896048\
         38724075520000000000000000000*ep-581617539023692937396563400/
         127449*ep*z4-809900315537185193857373913495261487/
         15747487304472*ep*z3-22745870242890288972113531425915351789916\
         93830962548187120027592457587948735874955185408808786859803644\
         468329245421667247077/4755850477628857449096867415386823786694\
         8050255359248000819494283705125002910105600000000000000000000*
         ep^2-5373038287751358755640313100/18207*ep^2*z5-80990031553718\
         5193857373913495261487/10498324869648*ep^2*z4+7667764007359062\
         702532877245079212431727935227/70263042760864446292800*ep^2*z3
         +1407564584168703260953114413061928004894614009812105809726971\
         03005538040438281392613086799755021669232461114589235066212041\
         018549604619018546443420541214829124197/
         64784938564651718652922885217210152929636036669344300522762302\
         35124711321797786176899950926490156339146671521792000000000000\
         00000000000000*ep^3-279176422411827869984133620750/382347*ep^3
         *z6-3780093403641157467984547823450122093/5249162434824*ep^3*
         z5+7667764007359062702532877245079212431727935227/
         46842028507242964195200*ep^3*z4+173899395096817328535395818084\
         421976461944487623832947427/1410766547800857570397945110240000
         *ep^3*z3-40713228552101377303424251300/382347*ep^3*z3^2;
Fill mncnoptab(18,3,2,7)=
      +mncF321*(809169252658767000000+117090917583483216945000/17*ep+
         23513063371210222537310050/1071*ep^2+
         1054632216689961254369337086/27489*ep^3)
      -50642446685436725494400606400482990999731311420890471/
      12720352079354027121086008320000-3622428931843573475/109242*ep^-3
         -1386705642649277419651577789/2999521391328*ep^-2-191422537904\
         073394664648543007856598623/80300620298130795763200*ep^-1-
         581617510909847675956316000/54621*z3+
         22097789875524420382024992648419796631678094134794057055966619\
         802670531068291324702884612464900663198233399073033/
         58613422465577127469063499550214741265612781972724565666992632\
         2287411200000000000000000000*ep-290808755454923837978158000/
         18207*ep*z4-270449324895190675104161534018819389/1499760695664
         *ep*z3-5011767512055916210841949074833198955945944052594260194\
         10702946976056442173400193728836169538327606832427379855837057\
         0151011/301276492148000507291809052011801706770628839810085032\
         10848167765729069191764377600000000000000000000*ep^2-
         2686519128577466133564603250/2601*ep^2*z5-27044932489519067510\
         4161534018819389/999840463776*ep^2*z4+151177057114345641192288\
         92713832840970898775087/40150310149065397881600*ep^2*z3-
         19234092473597459341257585484181658663694255933358804668950885\
         80249849217134421624126225962712018758859676140176741914372391\
         4933874978089834488113170586234594854449/
         97676044108816296746858719712035155935953294469926272805659758\
         12805811116485443567119651959548453204741427728220160000000000\
         000000000000000*ep^3-139588210473042352822250880625/54621*ep^3
         *z6-3826902129986108332027753978732490843/1499760695664*ep^3*
         z5+15117705711434564119228892713832840970898775087/
         26766873432710265254400*ep^3*z4+476392684772127090230014064748\
         706209342817120109632705691/1074869750705415291731767703040000
         *ep^3*z3-20356614535132155562738767350/54621*ep^3*z3^2;
Fill mncnoptab(18,3,3,6)=
      +mncF321*(1022108529674232000000+148748478391246405815000/17*ep+
         10050210890076901806600650/357*ep^2+
         4105809044628814267293809669/82467*ep^3)
      -35112312589519055524955733710612821826185110919705417/
      6982059919112099330907209011200-240519516073292157650/345933*
         ep^-3-3015820686444652241845222133/351795718736*ep^-2-41401605\
         981324683655881594903849970601/1130156878269988977408*ep^-1-
         4652935014392001049075058800/345933*z3+
         93491903481596835964218395031354234638568100933866170902145931\
         66084768779301855897072818119013735675127310146188729/
         19809855793380516115336275626409603360922984318120756607778454\
         4858918092800000000000000000000*ep-
         2326467507196000524537529400/115311*ep*z4-28549996440343274075\
         657463265902577/124980057972*ep*z3-
         34256703294570038331819703489993752318951913873219633143784107\
         40333494289387745127617261531101532538863381960241349537238921/
         16529844467151159306083984083724008679127102248083521406257387\
         062357529008170598400000000000000000000*ep^2-
         21492150476559487403767922600/16473*ep^2*z5-285499964403432740\
         75657463265902577/83320038648*ep^2*z4+393788326033506009544147\
         9842391070857494727031/8476176587024917330560*ep^2*z3+
         79496673595032205164558671874841379244894903989995323119225960\
         23513650449979278426657541204996094755017977044765841735443006\
         02973168534683513561803763799372379274183/
         52744792609419945554155445813123968142230172729449566945008218\
         13340203098525861626914979628190984809823997958029312000000000\
         00000000000000000*ep^3-1116705562483393086075128289500/345933*
         ep^3*z6-1951078811571901739377346251040143699/593655275367*
         ep^3*z5+3937883260335060095441479842391070857494727031/
         5650784391349944887040*ep^3*z4+1588939082464624485063531195012\
         8370312968060158102308443/27230033684537187390538115143680*
         ep^3*z3-162852972884257059567538281400/345933*ep^3*z3^2;
Fill mncnoptab(18,4,1,7)=
      +mncF321*(188806158953712300000+82253113734421660030000/51*ep+
         2373296666401531452573290/459*ep^2+536186408061748393382466157/
         58905*ep^3)
      -5135141635672607369620907264437866416054162925435972571/55279015\
      75056421500334805329920000+158377469366153765/93636*ep^-3+
         312529156114319381870368283/38565275031360*ep^-2-3503183928134\
         97154360645868989906409/5294546393283349171200*ep^-1-
         58161756091850445764074280/23409*z3+23960071936827964467314868\
         79174851502081297379021010230652273656816982639421405280013658\
         20957364411212997951049/27341538176362508440379475008846526537\
         895175264244695354865367803494400000000000000000000*ep-
         29080878045925222882037140/7803*ep*z4-812788283455480359793831\
         281140455207/19282637515680*ep*z3-
         96707685114801206172382201554812652377791851715961361523184681\
         3210382285677445629930428057351309805656939115198112298651/
         25095917713286173035552607414560741921751673453568099300998057\
         280907179668275200000000000000000000*ep^2-
         1880563407566152189108278895/7803*ep^2*z5-81278828345548035979\
         3831281140455207/12855091677120*ep^2*z4+1490096298377377941302\
         5759295600049631170512521/172072757781708848064000*ep^2*z3-
         30246913351643342747000984236777814415233727671936624963641282\
         12828980469451148363016063744910052697823677797878993177794134\
         2767357338317744419375371574723211839426352261/
         20639680515832977133140015181550659511413399510097286991290653\
         68410049489131870205206332357906513086141366105297555292160000\
         00000000000000000000000*ep^3-27917642333033030607803812025/
         46818*ep^3*z6-3873470664785019377374045437073388983/
         6427545838560*ep^3*z5+1490096298377377941302575929560004963117\
         0512521/114715171854472565376000*ep^3*z4+146691804621299492489\
         5535492435664828727688037713585333179/138197539376410537508370\
         13324800000*ep^3*z3-2035661397356222618385299195/23409*ep^3*
         z3^2;
Fill mncnoptab(18,4,2,6)=
      +mncF321*(566418476861136900000+82596017017591167090000/17*ep+
         2399469815005899493526890/153*ep^2+
         4921450661993808169004757823/176715*ep^3)
      -26334212154292178152297228877244846111600773751233017/
      9449404401805848718521034752000-7824260624681814235/31212*ep^-3-
         13636148979027073320578334439/4285030559040*ep^-2-328447317297\
         521473410252258016830908773/22943034370894513075200*ep^-1-
         58161710598366222021672680/7803*z3+314379120138888947867179461\
         24678739692043771007704120764855321883866847868046467373952257\
         8540753717637209101638697/120302767975995037137669690038924716\
         76673877116267665956140761833537536000000000000000000000*ep-
         29080855299183111010836340/2601*ep*z4-476312237530683538041849\
         8778372917/37587987360*ep*z3-574654987190704893929764631592564\
         49686046889838020086001175160984302853554357190434320099032745\
         4096043893829926358693727501/501918354265723460711052148291214\
         83843503346907136198601996114561814359336550400000000000000000\
         00000*ep^2-1880563248186409885181656495/2601*ep^2*z5-476312237\
         5306835380418498778372917/25058658240*ep^2*z4+1464362276172105\
         6923247812974556257724193522841/57357585927236282688000*ep^2*
         z3+46685027306313979606903652139058908561731942384510887913842\
         68998365306970774680995246265374904577780868423802014342471818\
         76720290590302840411878274142578352590265541/
         12171875217558448974035872110720915725130039860642207756540358\
         03078508407352121913903456837274842648420922605699072000000000\
         00000000000000000*ep^3-27917640169804317167616484025/15606*
         ep^3*z6-3928633172484198833153982266405996183/2142515279520*
         ep^3*z5+14643622761721056923247812974556257724193522841/
         38238390618157521792000*ep^3*z4+167866652335092202201621750228\
         041260911296974137731011251/511842738431150138919889382400000*
         ep^3*z3-2035661910477101452606119995/7803*ep^3*z3^2;
Fill mncnoptab(18,4,3,5)=
      +mncF321*(596229975643302000000+87484898611530960540000/17*ep+
         2567284832462286836096600/153*ep^2+8963883023468930354355614/
         297*ep^3)
      -26335075840218196250631838504710178033754817329581237/
      8976934181715556282594983014400-415647886953934486475/148257*
         ep^-3-138522507251423568590270161459/4070779031088*ep^-2-
         3072214776652589743445868976443103328593/
         21795882652349787421440*ep^-1-1163225998137279329132183200/
         148257*z3+7862544373554722775258781825471058929488708603315622\
         40115589187231376651528304237076448322710401470112234230750788\
         91/28526192342467943206084236902029828839729097418093889515200\
         97445968420536320000000000000000000*ep-
         581612999068639664566091600/49419*ep*z4-6825817818572076629565\
         78081925751/5101226856*ep*z3-199639068833411750416998445642616\
         54947524495277270149921752813965482510812670223816771618442724\
         5679092618414076871196853485797/166620832228883685805326559563\
         93800748560119066068189577507446158856389240235963187200000000\
         00000000000*ep^2-37611235757437726629595442300/49419*ep^2*z5-
         682581781857207662956578081925751/3400817904*ep^2*z4+
         2851337556001219222145758360860800216388642689/
         10897941326174893710720*ep^2*z3+
         48196206443554279711394272723471749662741767833354563707179401\
         99005738741205391180784164828455034421411901791820440430489582\
         855920206326066537907617685781366907257579493/
         61651636036735600582669545186586639982684993953368150999013758\
         94662694188163954709688616946330010061055675320338726518784000\
         000000000000000000000*ep^3-279176203185439751399135359250/
         148257*ep^3*z6-573058593719910591017442617745740669/
         290769930792*ep^3*z5+28513375560012192221457583608608002163886\
         42689/7265294217449929140480*ep^3*z4+7780419803040901571203103\
         98472612351398648791435914327/2161113784487078364328421836800*
         ep^3*z3-40713328003673497393790877100/148257*ep^3*z3^2;
Fill mncnoptab(18,4,4,4)=
      +mncF321*(278240655300207600000+41180634911061988342000/17*ep+
         3676215814044126318934540/459*ep^2+706578603329336727843406382/
         48195*ep^3)
      -16760539042609893224185230352717001545690262937936587/
      12241273884157576748993158656000-3196864800310042140565/444771*
         ep^-3-472544022582888594340120195193/5551062315120*ep^-2-
         10016824483771881663858344610807740110499/
         29721658162295164665600*ep^-1-1628458618565798838602120480/
         444771*z3+4902752337716151110486596074181316703134345613457999\
         69081425843556332415930501569772383846726677398162307710263739\
         481/3893825254746874247630498337127071636623021797569815918824\
         9330137468940320768000000000000000000*ep-
         814229309282899419301060240/148257*ep*z4-436267661032854620030\
         746670235127/6956218440*ep*z3-61582653936271072979939956250313\
         64595785360247520204459134921492758148160693843144387525012842\
         418127305903126245683553524182679/1137187179962131155621353769\
         02387690108922812625915393866488320034194856564610448752640000\
         000000000000000*ep^2-52655525510937112869121665220/148257*ep^2
         *z5-436267661032854620030746670235127/4637478960*ep^2*z4+
         349059604308751394529946598995480594838294231/
         2972165816229516466560*ep^2*z3-
         17115575129274783682315568348431629846244966160395835149449301\
         11570231746981674279579560671271658784769441646177230606070902\
         44955995786574882631171013950345018529955611597017/
         12503673112391609604692200997518453652176314188172315429966678\
         77535561934881651533394954873533998101499805306365941701109664\
         97280000000000000000000000*ep^3-390845294785613849421907187950/
         444771*ep^3*z6-2626518439870564970970195829366212991/
         2775531157560*ep^3*z5+3490596043087513945299465989954805948382\
         94231/1981443877486344311040*ep^3*z4+4705985072196554916886726\
         969134801354770333606531440121/
         26522760082341416289485177088000*ep^3*z3-
         56999296770265830423455809940/444771*ep^3*z3^2;
Fill mncnoptab(18,5,1,6)=
      +mncF321*(80916925265876700000+11873052227365128085000/17*ep+
         2438884245389181505066190/1071*ep^2+
         10132294985821514653518723481/2474010*ep^3)
      -4556479630801272864820630946857337585508183332004449/
      11444930797218263975848458240000-657188157947509435/218484*ep^-3-
         194276243424533354253596279/3912419206080*ep^-2-35619135564109\
         622442772897322022199/107425578994154910720*ep^-1-
         58161749167639104934221080/54621*z3+
         72248969128635408242350836891551254259966610003588099432938475\
         22993644374608096070019565444387250011280143575563/
         19427776194881186121611254292000264819473341926891882910537876\
         25291776000000000000000000000*ep-29080874583819552467110540/
         18207*ep*z4-5074897056212456804736313075985687/279458514720*ep
         *z3-9178778664181603746408326090847963556794930415187445830358\
         23259336744794396188451483450619502560416222602809875510927819\
         53/56738596569168739036901547198137329562221174764588746245734\
         73820031188446740480000000000000000000000*ep^2-
         1880563385956517146102352095/18207*ep^2*z5-5074897056212456804\
         736313075985687/186305676480*ep^2*z4+6887166911411700674133737\
         9469948065206842923/1939628509616685888000*ep^2*z3+
         83169529552708149705045722699030233732786531784458366994160951\
         80317008031616445056725262118629498105951473490206488173304041\
         98290379959989534508915308062922959696544664895033/
         47223589020225851680624354735387908962113858079102592636073015\
         62922193231133719029512088434890101941091445648920806508462080\
         000000000000000000000000000*ep^3-27917642043509561666864176025/
         109242*ep^3*z6-174414810619253215626094825413400121/
         652069867680*ep^3*z5+68871669114117006741337379469948065206842\
         923/1293085673077790592000*ep^3*z4+685314105522494658258809466\
         47458163769611827671413665793/14020040226592373370414361344000\
         00*ep^3*z3-2035661493002482574190002795/54621*ep^3*z3^2;
Fill mncnoptab(18,5,2,5)=
      +mncF321*(202292313164691750000+29821213320701643555000/17*ep+
         6171940831580850246511825/1071*ep^2+
         5177194518494631835020606527/494802*ep^3)
      -817857767393626892977549490032033934605696077724733/
      821687339287465105958350848000-228489949144987143575/436968*ep^-3
         -3491834195591419455988179713/521655894144*ep^-2-8474680347326\
         4275344036147148572092547/2793065053848027678720*ep^-1-
         145403767280640790406954300/54621*z3+
         30300192422090613026853595950207032801226847492025441730448564\
         953897712360239482032107315467626680548075685141971/
         32638664007400392684306907210560444896715214437178363289703632\
         10490183680000000000000000000*ep-72701883640320395203477150/
         18207*ep*z4-565208079479940153664203420247823/12420378432*ep*
         z3-76525563458323989320823912587961474924923311869563049565514\
         237135522592630152677317851885362824518167980973897772178087143
       /190641684472406963163989198585741427329063147209018187385668720\
         3530479318104801280000000000000000000*ep^2-
         9402812602143750269148411275/36414*ep^2*z5-5652080794799401536\
         64203420247823/8280252288*ep^2*z4+6071285611251878431193933388\
         72401694800378671/6982662634620069196800*ep^2*z3-
         55841071657356301229315910847879573116182840879135669538074354\
         37209461046046333301073556391902890241787004270547814775088063\
         23832013834326806126382097151527733667048122059540853887/
         16092178424517796101527101065965680861252823085748888769394413\
         70054243963498678936020626883735461313225346418737539896004506\
         44541440000000000000000000000000*ep^3-
         139588151359349846133156626125/218484*ep^3*z6-1771285058653542\
         50753359320879383521/260827947072*ep^3*z5+60712856112518784311\
         9393338872401694800378671/4655108423080046131200*ep^3*z4+
         23537041170651739956108924103377121361441210407417658383/
         186933869687898311605524817920000*ep^3*z3-
         10178320570358645169995866375/109242*ep^3*z3^2;
Fill mncnoptab(18,5,3,4)=
      +mncF321*(170351421612372000000+25279819963907913690000/17*ep+
         5288081714577613985558200/1071*ep^2+
         132224653402154673088317671/14553*ep^3)
      -5112219301640871444423364558992488902002658178681/
      6098460721274155083284635200-4012709077505933605450/1037799*ep^-3
         -7164390513421405341944530577/154866593574*ep^-2-3096258007574\
         82440347164159342696546713/1658382375722266434240*ep^-1-
         2326381590054523314563806400/1037799*z3+
         20828923581814610180659048750607234672294038250251868596580207\
         9711962252162529522219677395874322054746134980206738187/
         27087480033021733896559988432188324428681890765703067261390838\
         356500132397056000000000000000000*ep-
         1163190795027261657281903200/345933*ep*z4-
         29847579382182636134623082358337/776273652*ep*z3-
         11341150301654573329584693508104999028782516064225879009497576\
         48615519127910449896007121426131883250380305452956415768461554\
         31/34395075386378258015012590367451853341073062419936603059807\
         43139030468251481601474560000000000000000000*ep^2-
         75222222395995229442751294600/345933*ep^2*z5-
         29847579382182636134623082358337/517515768*ep^2*z4+58888093912\
         478074268895355619177108808951679/829191187861133217120*ep^2*
         z3-28642899541919999581209954491278053497129567054924203021071\
         48335072202030184648486455206113209845415208236463811600133680\
         38595504443893911681075887354800185691412598623832959/
         52647044683754145703967162094814541693373954476515012336701805\
         36991839725817480140610336309616834111578127605751333478356484\
         09600000000000000000000000*ep^3-558350713994827912534225193500/
         1037799*ep^3*z6-181014529876403486154973871942222671/
         309733187148*ep^3*z5+58888093912478074268895355619177108808951\
         679/552794125240755478080*ep^3*z4+2450827262722821327627528621\
         34136396381421628399586257/2219839702543792450315607212800*
         ep^3*z3-81427433796764551339570524200/1037799*ep^3*z3^2;
Fill mncnoptab(18,5,4,3)=
      +mncF321*(59622997564330200000+8927852034483003121500/17*ep+
         270638094866284075657610/153*ep^2+1171178431373082254220859561/
         353430*ep^3)
      -190924008458732307523063109625209976322119431500897/
      650502476935909875550361088000-1459910165621965492045/296514*
         ep^-3-51827482069677836862881135759/884951963280*ep^-2-
         92288708647245051075540336758517757631/394852946600539627200*
         ep^-1-116307493925373706471589320/148257*z3+
         60903165326091509853473469144706374334568485906237917495178787\
         0556784589664475949458426925517666337133491642442237/
         22490215412032697252333079528556850563496563761511704197491782\
         7624176923443200000000000000000*ep-58153746962686853235794660/
         49419*ep*z4-629637186815451220310464976125217/46576419120*ep*
         z3-75817759146602008223311897046621085217533180623076999797277\
         67608783462153602573922202220981435187932263612035314480417835\
         511/6568241502355994570876641188607411309577322298508039949394\
         23964523034474397707534336000000000000000000*ep^2-
         3761069971596136659930550730/49419*ep^2*z5-6296371868154512203\
         10464976125217/31050946080*ep^2*z4+187973738990522858343466989\
         3983252423100971/78970589320107925440*ep^2*z3+
         13250768110905142032705857473189519420101113807228392118980719\
         75429544250478275171143166725705835409086485134609447805692453\
         91464488595446332273953005271150676091895402752827/
         31559942683682460775115650674078324041244049682283040850826762\
         34971323115735470146317522240011576160464465847765170554986446\
         19264000000000000000000000*ep^3-27917256052157590683300157175/
         148257*ep^3*z6-186315961253363095785719436157275391/
         884951963280*ep^3*z5+18797373899052285834346698939832524231009\
         71/52647059546738616960*ep^3*z4+515879358376229626136046116706\
         067770967837889762957269/12684798300250242573232041216000*ep^3
         *z3-4071498655553776191942628210/148257*ep^3*z3^2;
Fill mncnoptab(18,5,5,2)=
      +mncF321*(8517571080618600000+1290702374661030259500/17*ep+
         279069197791976444271185/1071*ep^2+618040354321641921391584113/
         1237005*ep^3)
      -716574437383396636180964364491032347139570250189461/
      17075690019567634233196978560000-2520774718019701610545/2075598*
         ep^-3-3847466380114183770112130191/258110989290*ep^-2-
         2087888864884703166363773587160915255891/
         33167647514445328684800*ep^-1-116295636737847107859630520/
         1037799*z3+253717960609180822176330503279960760030321983153262\
         28889031982531014343293444172078733162805553800670833824272161\
         0121/668013374254359986867698061389006998177200335469925242755\
         579928322435265087930368000000000000000*ep-
         58147818368923553929815260/345933*ep*z4-6334498673790065513793\
         06284552017/326034933840*ep*z3-4424098497880950920553657733821\
         87138196470078775315540600178955526945199034348517581386183455\
         634978557051146050086978404872537/2787036234279695616314376389\
         14989676687984939770293151132696376626413988176435260969451520\
         000000000000000*ep^2-3761028159964364557725402530/345933*ep^2*
         z5-633449867379006551379306284552017/217356622560*ep^2*z4+
         53031187899651866683108593155164573170835891/
         16583823757222664342400*ep^2*z3-
         12404531757419895208539648445884102600545207113132250235287257\
         78781952749653102094523828094629767288177377087089703335816552\
         58579582047400522018807149726632375318621314987770571/
         17810714789788388535609106949053136228050297964377832058784339\
         69430632326543603341005649879052676955223015257536543835956158\
         9684531363840000000000000000000*ep^3-
         3988138872555445201898777525/148257*ep^3*z6-394735964683716870\
         9986044065951259/126421709040*ep^3*z5+530311878996518666831085\
         93155164573170835891/11055882504815109561600*ep^3*z4+
         1372220396736499268265879180413578667262193782233356469/
         221983970254379245031560721280000*ep^3*z3-
         4071630586035850040659221610/1037799*ep^3*z3^2;
Fill mncnoptab(18,6,1,5)=
      +mncF321*(18390210287699250000+2738150878860657689000/17*ep+
         575758808845770642798355/1071*ep^2+
         2462807054789724411150922121/2474010*ep^3)
      -72490877255080928403980383523830751704687236976358809/8011451558\
      05278478309392076800000+1154805698271906395/436968*ep^-3-
         19137645314614022083617385/1564967682432*ep^-2-215648745863531\
         3673761501207193356869/5371278949707745536000*ep^-1-
         13218585596004032264727460/54621*z3+30526446192635782889738488\
         13605421232675554734642465421770987941165502048448288232271897\
         9626856577540741849/366469209907653531893972291486994469015749\
         77613673951763877762363398553600000000000000*ep-
         6609292798002016132363730/18207*ep*z4-464792147472241891894151\
         778382453/111783405888*ep*z3-724435504605901102748244540128442\
         30823012369329808135846060635286423227704041173829901334413092\
         61062681926085069772749/20335113010390076070825514515812418915\
         10006903562860665447133017099177939311788032000000000000000*
         ep^2-854801577885599511890908705/36414*ep^2*z5-464792147472241\
         891894151778382453/74522270592*ep^2*z4+87831647085715020050939\
         924132868379439931979/11637771057700115328000*ep^2*z3+
         43736698007241293696040441964036862059545056291418923085823995\
         25767038819660119398646424626954679794655087770907516003221290\
         374710807858589830886916224142446826442690433553218791/
         53217049872381150468314672635211901139756527459359512345637156\
         34900397583808849620961833358083576766410792890445337930392144\
         4092481896448000000000000000000*ep^3-
         12689837812323952355716355975/218484*ep^3*z6-16633988310109332\
         044180272952613571/260827947072*ep^3*z5+8783164708571502005093\
         9924132868379439931979/7758514038466743552000*ep^3*z4+
         34106445795420280690720549087386826937861926184590686083/
         2804008045318474674082872268800000*ep^3*z3-
         925300505493274369021286165/109242*ep^3*z3^2;
Fill mncnoptab(18,6,2,4)=
      +mncF321*(36780420575398500000+5504038285145388846000/17*ep+
         1166684549369188437559270/1071*ep^2+
         2520433276565344219130750357/1237005*ep^3)
      -1858997653560584791465484527220897247837522551604127/
      10271091741093313824479385600000-108095735209049587285/218484*
         ep^-3-1614631871414295003870012067/260827947072*ep^-2-41074301\
         594380734015684574974591994663/1517970137960884608000*ep^-1-
         26436559814687924575807640/54621*z3+29183505038268185691161735\
         70315255466752460701559958714833320698125134586301286623935725\
         2857815464220417042089/176007017758425821290188358883614843591\
         17537859456184055484625312865583104000000000000000*ep-
         13218279907343962287903820/18207*ep*z4-
         51776054564347572528273755592221/6210189216*ep*z3-
         32690776082149163592752372410479331290097788591012336731484420\
         81865526103507886970773455211068482918960718688538041249999/
         46262382098637423061128045523473253031852657056055080138922276\
         1390062981193431777280000000000000000*ep^2-
         854799422998621567779777985/18207*ep^2*z5-
         51776054564347572528273755592221/4140126144*ep^2*z4+2570949762\
         45428779380795039027055229985587809/17456656586550172992000*
         ep^2*z3+585662247738852564793918819064708399663496921478379080\
         34478013618165565989813670411458834504676481959471014773332792\
         743596132962536423091617563027261927291020947808746681287647053
       /318650880290931591283999044467826026142183901614765195856040422\
         33266117267615440819506045300976110739963019645273270004722834\
         829517783040000000000000000000*ep^3-
         12689808545905883893817631575/109242*ep^3*z6-16905403418878271\
         896282084556495891/130413973536*ep^3*z5+2570949762454287793807\
         95039027055229985587809/11637771057700115328000*ep^3*z4+
         11695453458164896827280865259173650238811446328962609377/
         467334674219745779013812044800000*ep^3*z3-
         925307314633232282258070005/54621*ep^3*z3^2;
Fill mncnoptab(18,6,3,3)=
      +mncF321*(23229739310778000000+3500531339271794685000/17*ep+
         250073352178849394324350/357*ep^2+36514081518733645375705952/
         27489*ep^3)
      -7439039965234359276984407669574661195445478104093/
      65050247693590987555036108800-605097233505029454475/345933*ep^-3-
         1450547445142441751015658023/68829597144*ep^-2-476340228545100\
         34741541963190741880237/552794125240755478080*ep^-1-
         105735395188603278553629200/345933*z3+
         23660848170980954425391775899087323803640592566940554679382805\
         70374414737858987317453695977407425063720785100523/
         22490215412032697252333079528556850563496563761511704197491782\
         76241769234432000000000000000*ep-52867697594301639276814600/
         115311*ep*z4-8203783711202504745744644075621/1552547304*ep*z3-
         29280126352570048242402505375676431475837826469831756271483837\
         951846102256041667800277771788344518421341205166802965465473/
         65682415023559945708766411886074113095773222985080399493942396\
         45230344743977075343360000000000000000*ep^2-
         3419159135791963263213736300/115311*ep^2*z5-
         8203783711202504745744644075621/1035031536*ep^2*z4+24821874024\
         97022241877243901759233415084939/276397062620377739040*ep^2*z3
         +1784075796094567548465475138094334165209724103166284978493735\
         25073302747889966736683952237028335744357268620833017374650523\
         528156269749670625837638931434817368495531143029281204843/
         75402369475436559695774132866745645746465494667816233158608832\
         53732568408380796618828170426531343420518721864778949605513168\
         97431080140800000000000000000000*ep^3-
         25379355030468216277718949250/345933*ep^3*z6-17281284589115759\
         579156095275800381/206488791432*ep^3*z5+2482187402497022241877\
         243901759233415084939/184264708413585159360*ep^3*z4+
         16181870536208988808763093987303576716863006238204387/
         986595423352796644584714316800*ep^3*z3-
         3701347823604049167570355100/345933*ep^3*z3^2;
Fill mncnoptab(18,6,4,2)=
      +mncF321*(5420272505848200000+824379700664050030500/17*ep+
         25608385297536945617350/153*ep^2+16315852119314414012355677/
         50490*ep^3)
      -6894004758066223114489270575451506699114202298759/
      258135903545995982361254400000-240240795379736223215/296514*ep^-3
         -8801068691653131534882095539/884951963280*ep^-2-7216000123474\
         034418974331467795240917/171675194174147664000*ep^-1-
         10572204814663395480831800/148257*z3+
         16020679824069456246914482614282070367792888542049857151823162\
         0773906197592184076406516854945212290630480035334364883/
         66801337425435998686769806138900699817720033546992524275557992\
         8322435265087930368000000000000000*ep-
         5286102407331697740415900/49419*ep*z4-
         8242126372134086089811563528741/6653774160*ep*z3-
         27744270768534425028043184565976813455362354734970887071101137\
         00739474709202976278982559718139847707868130566139252505800340\
         51/27870362342796956163143763891498967668798493977029315113269\
         6376626413988176435260969451520000000000000000*ep^2-
         341911209651390673725201550/49419*ep^2*z5-
         8242126372134086089811563528741/4435849440*ep^2*z4+93766383934\
         796432194201955690443356493711/47006303166730908000*ep^2*z3-
         29867100035478326655434015993014500994604340504551762034740831\
         98135671911422787470320755733430717028260058140641868571395633\
         8062313189420702297806214135828125846700054210738097/
         71242859159153554142436427796212544912201191857511328235137358\
         77722529306174413364022599516210707820892061030146175343824635\
         87381254553600000000000000000*ep^3-
         2537903560348771564236932125/148257*ep^3*z6-177845110139127212\
         67582876924557381/884951963280*ep^3*z5+93766383934796432194201\
         955690443356493711/31337535444487272000*ep^3*z4+18151136687165\
         6214101212080681560852405078128150919903/
         45302851072322294904400147200000*ep^3*z3-
         370149650261408134431779270/148257*ep^3*z3^2;
Fill mncnoptab(18,6,5,1)=
      +mncF321*(387162321846300000+59600957038127183250/17*ep+
         776791208025604274425/63*ep^2+7090708796633497366227877/291060
         *ep^3)
      -8476776982751523518350946021740003547321179638810929/44396794050\
      87584900631214425600000-18381681314875965515/4151196*ep^-3-
         151097808543912581510969197/1032443957160*ep^-2-43649261295344\
         3050518332483175087975611/331676475144453286848000*ep^-1-
         5287359543716375399930500/1037799*z3+
         78740996126865689942224590095223626338111425646174489894868413\
         87315805006271983774142117712693827952423357632159449/
         46351948417649468476534151198420893751071043685668282150387178\
         6999240796183461888000000000000000*ep-
         2643679771858187699965250/345933*ep*z4-
         58064946475460843726702097305987/652069867680*ep*z3-
         19309481418906321507396389122478094553508181009602570615171618\
         59565020998744090397720535661639803961747978053661749888853583/
         27626598240673367625273701816646207018634075662361420228897016\
         925067275795914865518837760000000000000000*ep^2-
         170960017204944877149239675/345933*ep^2*z5-
         58064946475460843726702097305987/434713245120*ep^2*z4+
         22030237974967439569048635280039693562126377/
         165838237572226643424000*ep^2*z3+
         14350070195064172917077338364920263687856495889723165714136659\
         79433864743391854183102639629435933898648374818392878950550253\
         49504523539173336871496989525518510242519516736289691/
         11740532402248264279595390907232985717673971923457223989770085\
         14543049472395069141111887573334723788851089649355721753089468\
         054715026636800000000000000000000*ep^3-
         362566208622227325748420375/296514*ep^3*z6-2636127480530499946\
         957479919565783/1769903926560*ep^3*z5+220302379749674395690486\
         35280039693562126377/110558825048151095616000*ep^3*z4+
         335533715075860030847293858768913415057385155885518809/1109919\
         851271896225157803606400000*ep^3*z3-
         185060701340878793559347335/1037799*ep^3*z3^2;
Fill mncnoptab(18,7,1,4)=
      +mncF321*(2132198294226000000+972118575634229738000/51*ep+
         211074199634004903704560/3213*ep^2+469557993122735068492776271/
         3711015*ep^3)
      -72497050162580383356341429491850205300414228352072843/6909876968\
      820526875418506662400000-315868275814243295/163863*ep^-3-
         583990860446155968246067051/13497846260976*ep^-2-1575224147491\
         0619727647351755897164763/46327280941229305248000*ep^-1-
         4597756948694262842869120/163863*z3+
         22685965292289227445383204581323588216106232586140325936326186\
         37083577493485687748151887932165810849297400920463/
         23847350842468894913717884552739960262571616750666815196631168\
         696631695507456000000000000000*ep-2298878474347131421434560/
         54621*ep*z4-469696439754257939282660154258829/964131875784*ep*
         z3-30510698157235197016699809761728825903321028635211692206374\
         29426910558633801825288128912268861061441042352349275880570822\
         47/76610504755343572589228043386871707020748000084827212710055\
         2892861944296856323023175680000000000000000*ep^2-
         148661106323605636776174380/54621*ep^2*z5-46969643975425793928\
         2660154258829/642754583856*ep^2*z4+263621835443332850167867825\
         51373119405048271/33458591790887831568000*ep^2*z3-
         61256322247445115312556535975149794486665990158733724780145407\
         73211804050246692383717142883208101157227532484699669402772638\
         35750464350229724841313476108260984544468673012539876913/
         41707907986105418405310733864343107209053201903555445560839072\
         77496101072860715635949991885426267341330563997392087813388675\
         857583030927360000000000000000000*ep^3-
         1103463905055306618714135050/163863*ep^3*z6-177442161521879757\
         82165270226220751/2249641043496*ep^3*z5+2636218354433328501678\
         6782551373119405048271/22305727860591887712000*ep^3*z4+
         38062435635529474317156128474213948420626115105800895201/
         24184569390871844063964773318400000*ep^3*z3-
         160921989741643944019408540/163863*ep^3*z3^2;
Fill mncnoptab(18,7,2,3)=
      +mncF321*(3198297441339000000+488661712087923231000/17*ep+
         106989133170562180081570/1071*ep^2+240474302289694444620222022/
         1237005*ep^3)
      -619986147405694118537813697520372492543628437670951/
      39372518340857702993837644800000-18627507557573226455/109242*
         ep^-3-6448127005029494460837255749/2999521391328*ep^-2-
         1274055892684279267874865468795477304637/
         133834367163551326272000*ep^-1-2298681748011782778014240/54621
         *z3+4013751639755908549032233077304647151838436740147687643449\
         7310246434952298066446396569893963919448187366794329/
         28657892214778506194108633194282967477031632493893030279352410\
         1681776689152000000000000000*ep-1149340874005891389007120/
         18207*ep*z4-156987434040119081169741426517315/214251527952*ep*
         z3-91392299842734992480208743142608569773215195973842449733353\
         11969368586094819847351781356239359970309448696934972822984533/
         15902058374125039487385552351365311591608253985861570403796580\
         193715571485418182410240000000000000000*ep^2-
         74329849978866441701641510/18207*ep^2*z5-156987434040119081169\
         741426517315/142834351968*ep^2*z4+7677031385330916159568099720\
         2413236821388157/66917183581775663136000*ep^2*z3-
         99029529795256925594497667420595906540724464141004438301296533\
         12422672953691520556135323343508200679224325891887763366691290\
         54150260274978821230450558802427976135015682144423661146181136\
         731/2183701362560770063338157131556226458749488102076164372583\
         58680757438163171252963912203168380314871342263572754317434539\
         3678906515271066499573350400000000000000000000*ep^3-
         551727170471468855817275725/54621*ep^3*z6-18036556122553225579\
         227871996971491/1499760695664*ep^3*z5+767703138533091615956809\
         97202413236821388157/44611455721183775424000*ep^3*z4+
         13008098232301630341183035711882332186500334221512518163/
         5374348753527076458658838515200000*ep^3*z3-
         80463121247602549926531230/54621*ep^3*z3^2;
Fill mncnoptab(18,7,3,2)=
      +mncF321*(1346651554248000000+207236735097660840000/17*ep+
         45881693936991432751400/1071*ep^2+20911118625713785990875160/
         247401*ep^3)
      -4433037056435185349154935643897028578679175738279/
      667926650425264604359745760000-238705493987783150900/1037799*
         ep^-3-20129930266775554265096374973/7123863304404*ep^-2-
         31741526362334401843279083600033341131/2648805183445286665800*
         ep^-1-18385762581018759545257600/1037799*z3+
         20473807545440077877993476358027579144123785489483946664430420\
         362011441914358020770952550854432087359303659700382999/
         34918880926932453858993307754425365813808199354109728598587132\
         6168545706750509056000000000000000*ep-
         9192881290509379772628800/345933*ep*z4-
         4146059945069792990993444410673/13390720497*ep*z3-
         19162065072269092688862312159987592715616671362520679633714773\
         43698636076770151632670425550207372574348340401888679525507835\
         89/80127291735541248969038321188059532047795670183959280950650\
         2082800940216007251375287173120000000000000000*ep^2-
         594625808011102637645392400/345933*ep^2*z5-
         4146059945069792990993444410673/8927146998*ep^2*z4+18408105798\
         1302977309077615001753934670363/397320777516792999870*ep^2*z3-
         11046973701292158228579006592388866244186470893875395722384250\
         29689837987630539110349184013779565492331843045125266362156140\
         5033603864857048196785022996895085470006686956319937800357/
         50900712252436519788812763728664224277723107018666929176596886\
         08083323633933858488433678392659194882127620098100233471881689\
         77596748063047680000000000000000000*ep^3-
         4413729153630722883477299000/1037799*ep^3*z6-92159768365811185\
         34057005607501548/1780965826101*ep^3*z5+1840810579813029773090\
         77615001753934670363/264880518344528666580*ep^3*z4+
         67142008367933349830679251434174751533869910032581011/
         63820391448134032946573707368000*ep^3*z3-
         643746208237119090068414800/1037799*ep^3*z3^2;
Fill mncnoptab(18,7,4,1)=
      +mncF321*(157109347995600000+24405962856989714000/17*ep+
         2349485832635750321500/459*ep^2+5450075410299264441467728/
         530145*ep^3)
      -11308658215744310474158271128990061257612748224429717/1458751804\
      5287778959216847398400000-1388146601585112655/444771*ep^-3-
         5111824438814154333456676553/61061685466320*ep^-2-380375711021\
         985024791101006691642458189/544897066308744685536000*ep^-1-
         919530205613332439921600/444771*z3+809061453526759521050173015\
         67631706780887332906117609166599459095335342102324560982752609\
         03645409731108231743543553/11845497928954864166225394195152006\
         18082926671967078321621005677886948701357735936000000000000000
         *ep-459765102806666219960800/148257*ep*z4-
         58337907584850368332743986917987/1606886459640*ep*z3-
         96107417713181049326971783414871296921823866662915794662359243\
         350581145486916767758953025781572368906125605732273393199598967
       /345946402413765392374260688304003059000006703016459117755188200\
         8283424424666228159970017280000000000000000*ep^2-
         29732136502685999579224300/148257*ep^2*z5-
         58337907584850368332743986917987/1071257639760*ep^2*z4+
         13883738390340952841631011049029938976176333/
         272448533154372342768000*ep^2*z3+
         63370534500481360541692208371134921066856514113326066603538240\
         88370818618976162089205838187663769659267656848453062116329711\
         90117912625909906235512914733000299655679590882821043157261/
         50005612775454121563694687831178344956701138486018748018775666\
         69310476803575963621156278362848926422805217202779353526472583\
         3467755688218371031040000000000000000000*ep^3-
         220692198256111665744378250/444771*ep^3*z6-1895722344357750931\
         9675696114364831/30530842733160*ep^3*z5+1388373839034095284163\
         1011049029938976176333/181632355436248228512000*ep^3*z4+
         2791635107414232452806348552004697534830108724537066907/
         21881277067931668438825271097600000*ep^3*z3-
         32184567251840483742002780/444771*ep^3*z3^2;
Fill mncnoptab(18,8,1,3)=
      +mncF321*(114224908619250000+125165735673096332500/119*ep+
         28427476907509329743600/7497*ep^2+4449800542949765650965817/
         577269*ep^3)
      -14508975856416204727827548998378481142366417396292697/2579687401\
      6929967001562424872960000+1472951016018249625/3058776*ep^-3-
         1087124058494979877272160069/251959796871552*ep^-2-16453447562\
         040522536525801285510535877/172955182180589406259200*ep^-1-
         574728795491041556097200/382347*z3+636760991192604271942535215\
         53891019682387530890612474799593477103863982840155257446902201\
         6692279707358018729/128117635783715674750132713103853266367906\
         121737404135366516657222441343385600000000000000*ep-
         287364397745520778048600/127449*ep*z4-476963522349216048682423\
         274720017/17997128347968*ep*z3-3800401543955733904141053580387\
         64966615298633355343378883331792132836686767652003040185830097\
         18885867393231417922490199/18708303969558869985159473354547425\
         40189206351277831812211362375731243704166844989440000000000000\
         000*ep^2-37165331332471352416075475/254898*ep^2*z5-47696352234\
         9216048682423274720017/11998085565312*ep^2*z4+3959858628568562\
         0553102314991704595350796313/1124208684173831140684800*ep^2*z3
         +2938708402059619961259537141210551942111158187523802921755374\
         31729239492745426445335059846891063571635984005097047285241685\
         696937176452671948595984557900112339115643748440526389/
         52612011737401038525274021389235690696743971783845291493462339\
         44538208189628126170006755667902695765112004834844624745815268\
         817842995200000000000000000000*ep^3-
         551732682032159870680160125/1529388*ep^3*z6-193887683204546632\
         98472926120477991/41993299478592*ep^3*z5+395985862856856205531\
         02314991704595350796313/749472456115887427123200*ep^3*z4+
         8672378846631880771413388129276671677220337144443766627/
         90289059059254884505468487055360000*ep^3*z3-
         40230227422096618730013775/764694*ep^3*z3^2;
Fill mncnoptab(18,8,2,2)=
      +mncF321*(114224908619250000+125857175064609202500/119*ep+
         28824827687220313742500/7497*ep^2+4558509869456626775964463/
         577269*ep^3)
      -74507973078399846645612072966752896995220016593123/1322916616252\
      81882059294486528000-72736493819015258375/3058776*ep^-3-
         24428740290288600248332743047/83986598957184*ep^-2-27673052165\
         79976290855887769995733036337/2248417368347662281369600*ep^-1-
         574513394294431163904800/382347*z3+412503090403661520593665064\
         80464837001471979024506761476709093626191440925847187055934377\
         57172627336361882459719153/80864776883422524726089765326037689\
         2530295142937277925440965176390316373527494656000000000000000*
         ep-287256697147215581952400/127449*ep*z4-
         22772438958839918944450176277645/857006111808*ep*z3-
         50270622526644564206932550760793988694326495642197339792736587\
         102541217280745612419455174765378516040241352447121360596193567
       /236164649325805786435060315080596515509292501594827354380863771\
         7729086952442425106109562880000000000000000*ep^2-
         37163831396837433987168275/254898*ep^2*z5-
         22772438958839918944450176277645/571337407872*ep^2*z4+
         38119456703176547949638593586194135151492297/
         1124208684173831140684800*ep^2*z3+
         23300941826500035207035156141094538644791202930458649909359572\
         54596477122230982948507063633257227751476713929018351371534699\
         61367276856356904425122667518865754386102619978161558727176157\
         8858947/648611713513250167292952783843356607683607954031070646\
         60226728793297312977778240353058233884994644345564495433778381\
         676621208352879187325596927482920960000000000000000000*ep^3-
         551712337009617198168476125/1529388*ep^3*z6-196973282694696125\
         78879201399324615/41993299478592*ep^3*z5+381194567031765479496\
         38593586194135151492297/749472456115887427123200*ep^3*z4+
         117948959697116284830854545057260296233435974510219929/1203854\
         120790065126739579827404800*ep^3*z3-40235147451243566683452175/
         764694*ep^3*z3^2;
Fill mncnoptab(18,8,3,1)=
      +mncF321*(24047349183000000+26690073884322420000/119*ep+
         6180520547762419062100/7497*ep^2+990681324032821525890502/
         577269*ep^3)
      -4855190778261720361791340956706991879484945924756119/40845050526\
      805781085807172715520000-16598335396180269875/14529186*ep^-3-
         10075563663715719423789449723/398936345046624*ep^-2-2039789307\
         805818071444852903708227858981/10679982499651395836505600*
         ep^-1-2298770604455431511334800/7264593*z3+
         83912379939797437097689175260843821181386474992109577854566132\
         2833623361274985717040527773936605142198828161441367/
         82007293354302905766175805966436965867279538828490037650685008\
         4690964485555355648000000000000000*ep-
         1149385302227715755667400/2421531*ep*z4-
         1203338509391375024874949398283/214251527952*ep*z3-
         13855974802950118899606131085495959071522552903990287322033138\
         50022759121683860091161757571741002813555123701256323162146399/
         34214479359603170674377430711384917923077586012616835821941690\
         1918140877164791796040990720000000000000000*ep^2-
         74330084366565853766279950/2421531*ep^2*z5-
         1203338509391375024874949398283/142834351968*ep^2*z4+
         36094279888074063279323499334806524378414693/
         5339991249825697918252800*ep^2*z3-
         19798606214823177206113925315038237607294197072450701724237967\
         63946534666440738356812321094415588896239264329118026648441585\
         96418756460480909677358093375361447307795648712499627599208099\
         1767/328887886129952596602235085057149425874105760050291709344\
         63474725643692451840457824235179819235902862821557339262821478\
         0983521161381122545805456467558400000000000000000000*ep^3-
         551728706238105324468762625/7264593*ep^3*z6-201139002389105416\
         13410345066045091/199468172523312*ep^3*z5+36094279888074063279\
         323499334806524378414693/3559994166550465278835200*ep^3*z4+
         3022801092033491645542950528517498416316077317166706349/
         142957676843820233800325104504320000*ep^3*z3-
         80461611542987170179064550/7264593*ep^3*z3^2;
Fill mncnoptab(18,9,1,2)=
      +mncF321*(2284498172385000+2622633868025986100/119*ep+
         1274694162244203137177/14994*ep^2+539571899471682811144022/
         2886345*ep^3)
      -14549092554813666629534007552776672702504503147404053/1289843700\
      846498350078121243648000000-2004182724707756879/6117552*ep^-3-
         57659820495920805207188665177/12597989843577600*ep^-2-20103908\
         5355611767678838388171235889513/8647759109029470312960000*
         ep^-1-11491222753312643776084/382347*z3+
         42682200760466154342557445376038385549703275505358173865666055\
         5178555796033257404561415596369492267107855899843/
         55961783310327006730857969083763106749501393974898126328094475\
         87476237879083008000000000000000*ep-5745611376656321888042/
         127449*ep*z4-69819266164628641510300619120647/128550916771200*
         ep*z3-31443631690345114232793215315821589117309639106964257618\
         65540482503447431738343781190660686182795472551171914786459894\
         957/1634357434780662881903531592253263083109290668476313871147\
         8461714388144999601557827747840000000000000000*ep^2-
         1486568203091191477283819/509796*ep^2*z5-
         69819266164628641510300619120647/85700611180800*ep^2*z4+
         1063718842820525452236615666947958148734949/
         2248417368347662281369600*ep^2*z3-
         10268790875639249624293390364110554223520918027652695790141790\
         71989194856992113162275779447334679262929159438259316128748498\
         46263917546564581172512641747670060938968063251204882587911/
         18596165907404869219647879205648446734276520955398587994059447\
         91459594931686164411548903048648725065254587467637218886396230\
         9423676873894789120000000000000000000*ep^3-
         22068698591301619283735605/3058776*ep^3*z6-2207369271810323994\
         7381047058490767/2099664973929600*ep^3*z5+10637188428205254522\
         36615666947958148734949/1498944912231774854246400*ep^3*z4+
         10130190692147504862529153906329268526847215927237092327/
         4514452952962744225273424352768000000*ep^3*z3-
         1609373160209540668470151/1529388*ep^3*z3^2;
Fill mncnoptab(18,9,2,1)=
      +mncF321*(1142249086192500+1318578025960477425/119*ep+
         323046003379952931013/7497*ep^2+1104763492278081885811169/
         11545380*ep^3)
      -4870880235992853072902943664350047673425642804488451/85989580056\
      4332233385414162432000000-5066929485205981679/12235104*ep^-3-
         45869265069092134525002575159/8398659895718400*ep^-2-600516908\
         3714226247528121626725851394769/224841736834766228136960000*
         ep^-1-5744080033540851519842/382347*z3+
         52282065948946640993409531155670632358491921200369789886052736\
         16648636485324144967630922842043037819308714693779/
         11222050669536187104845110290144005855522463208109163046935843\
         2641921455918101299200000000000000*ep-2872040016770425759921/
         127449*ep*z4-163361609387659713894369304830043/599904278265600
         *ep*z3-2844645367036329956982749325384829408106532509890797063\
         81273646574997322181606480891772702049899204677149440434009145\
         473489/1638693485117836069141234839334751332105294909025332663\
         050891477607937885368213338933166080000000000000000*ep^2-
         1486519199803539027753419/1019592*ep^2*z5-16336160938765971389\
         4369304830043/399936185510400*ep^2*z4+999973743630956080920427\
         119209488543910897/4496834736695324562739200*ep^2*z3-
         26505746244821888640725931131549909456171029918369796709764566\
         31115707672862939413633117797227212828665738151755091850330975\
         05040132919417940984122176849179373885325846750020417294726015\
         839/2250285536678623029383713739864706598085986779291469590252\
         76406017562106249434711428977546131614072219305392321271936429\
         093988163050241741866891267276800000000000000000000*ep^3-
         22068024795711451355507605/6117552*ep^3*z6-2239814695230870006\
         2143372557470567/4199329947859200*ep^3*z5+99997374363095608092\
         0427119209488543910897/2997889824463549708492800*ep^3*z4+
         3419914217010192165643977116615728636907604139868779409/
         3009635301975162816848949568512000000*ep^3*z3-
         1609471163677661616459751/3058776*ep^3*z3^2;
Fill mncnoptab(18,10,1,1)=
      +mncF321*(9762812702500+110723276612816725/1071*ep+
         30467163887355493601/67473*ep^2+1535006745365112020803409/
         1350809460*ep^3)
      -14862061626880537042443439623371913648135623622882953/3018234259\
      98080613918280371013632000000-2038964709575362283/110115936*ep^-3
         -544259103333565552983392317477/2947929623397158400*ep^-2-
         19731564123834229125640987083806276005969/
         26306483209667648692024320000*ep^-1-442220432988342602234/
         3441123*z3+254468301468936962358229591601245699666138260491107\
         551839844166437426263/7117034652838927951419853225755278288341\
         77200947200000000*ep-221110216494171301117/1147041*ep*z4-
         73488233007030692140134217239847/30080914524460800*ep*z3-
         67844575110488026819975521081914738276108353264988563743323141\
         6742561696204720620701/609699719651055392411702642347201133182\
         023728055849855221760000000000*ep^2-114343507764277153595063/
         9176328*ep^2*z5-73488233007030692140134217239847/
         20053943016307200*ep^2*z4-845349144866551598459474256672686353\
         32239/526129664193352973840486400*ep^2*z3+
         23461921575275440494252627032255997264026610340197374030321409\
         53489073494130597967779608546751143613389719049715140626849904\
         23427105113/26171311848126273013363626156806879398215788402114\
         23233709921702861742571936500995634759674486729998336000000000\
         00000000*ep^3-1697463799144623599836585/55057968*ep^3*z6-
         27839635644467206899317924500740967/491321603899526400*ep^3*z5
         -84534914486655159845947425667268635332239/
         350753109462235315893657600*ep^3*z4+12276646859708673292882979\
         133726932492864862935112184627/1056381990993282148713981298547\
         712000000*ep^3*z3-123676954742356077903427/27528984*ep^3*z3^2;
Fill mncnoptab(19,1,1,9)=
      +mncF321*(3813049553699546875+46706724865460905262875/1428*ep+
         14240853592934792028577145/134946*ep^2+
         202176786512699611871026035175/1080647568*ep^3)
      -10569827860371842623254142991031692123678429678916830738311/
      563403728529750479314123359225446400000+4784760609215944135/
         440463744*ep^-3+73338055185377688891532055087/
         786114566239242240*ep^-2+3207834598522558415821965137430270157\
         957/21045186567734118953619456000*ep^-1-
         345335418563243734378049035/6882246*z3+
         64021944558512990879207978136508947167057875220122206796608112\
         528421379992476240922660306059260478647931/
         36330338870541035362030960213708701200857089307191747381237173\
         4528000000000000000000*ep-345335418563243734378049035/4588164*
         ep*z4-335302520514716587232096959240847567519/
         393057283119621120*ep*z3-1800927770471968150628578957712769901\
         77878573472482986524098093200131797527790534380089872318494752\
         67553289668722571/23342513952100487131258490715644411985230364\
         998556629463154133307666129223680000000000000000000*ep^2-
         25521931878935886618701156795/5243616*ep^2*z5-3353025205147165\
         87232096959240847567519/262038188746414080*ep^2*z4+18090480853\
         651093192109804864546171029969262986507/
         10522593283867059476809728000*ep^2*z3+
         25500917028653093661789676646790597316732958415688985816800262\
         67251251066588745539092791819981752213800026448893156810932501\
         609164118541592561457484046929/
         75678138912875641936349140980730612231417070252102872870676777\
         29479838691030190682835096938798368567683186688000000000000000\
         00000000*ep^3-2652176013803208596213377540675/220231872*ep^3*
         z6-373237704596249662523010031450462531801/30235175624586240*
         ep^3*z5+18090480853651093192109804864546171029969262986507/
         7015062189244706317873152000*ep^3*z4+4807755818659589235890085\
         8507677548757226291059538856755431/216693741742211722813124368\
         93286400000*ep^3*z3-193387834457028436689412986145/110115936*
         ep^3*z3^2;
Fill mncnoptab(19,2,1,8)=
      +mncF321*(12843956391409000000+39489951617965992800800/357*ep+
         24240235663081943431339972/67473*ep^2+
         16687160886599401923311944018/25977105*ep^3)
      -213964115270454340774975515771828205305677160972458185253/
      3385839714722058168955068264576000000+3665194594572433/6882246*
         ep^-3-651723574234122866300067839/4724246191341600*ep^-2-
         10505303452386897797545585842578923093/
         9728728997658154102080000*ep^-1-581617548046523320276118096/
         3441123*z3+176101746620933427772568747530405807772066235209164\
         550435122310701605662121606065556914813618176716969611447/
         29754547534973107961503356415027426283501956142590041105233245\
         0578432000000000000000000*ep-290808774023261660138059048/
         1147041*ep*z4-357960801147404267530520670303080863/
         124322268193200*ep*z3-4929453943617422242632311532027618489073\
         47766257672806982419565166711935071452150893923548949316245082\
         98427556767814303/19117518926770298960500703896112773415903668\
         933817879530323235178978559834193920000000000000000000*ep^2-
         2686519148199996344401012522/163863*ep^2*z5-357960801147404267\
         530520670303080863/82881512128800*ep^2*z4+35994958182901657568\
         4185164934873964360304279601/63236738484778001663520000*ep^2*
         z3+15864065440583362425137566463577562436510680031592890640505\
         89786501157617513293204131938706218552937575301583284465407377\
         99690260957258359623965237922565712813/
         15495098942411287686467486615804592854382645134118063220271070\
         15110996971988431542310486098218965964233132474368000000000000\
         0000000000000*ep^3-139588211410383499780362862165/3441123*ep^3
         *z6-99554666601067896792963941148131449319/2362123095670800*
         ep^3*z5+359949581829016575684185164934873964360304279601/
         42157825656518667775680000*ep^3*z4+129923867869631333938885284\
         24029400593874590350418711792129/16929198573610290844775341322\
         88000000*ep^3*z3-20356614152875185363099453662/3441123*ep^3*
         z3^2;
Fill mncnoptab(19,2,2,7)=
      +mncF321*(37855871469416000000+16707791056208243763200/51*ep+
         10336715702842487807552288/9639*ep^2+
         798644347868413321892222948/412335*ep^3)
      -316515091886112971844201419013406696504365158168455541/169935953\
      5601202060707583924000000+1412387935718766604/9340191*ep^-3-
         862892785606450110785961983/1602869243490900*ep^-2-12432778560\
         032069674502694988181674432/670478812059588187280625*ep^-1-
         4652940459679582317583837696/9340191*z3+
         10730670442204140623597320112559621452350404780671307836940638\
         47540618331726469181503859958608606020267839863/
         61843955398915197662763098234295714788096229764363001397909760\
         5079040000000000000000000*ep-2326470229839791158791918848/
         3113397*ep*z4-179418166534698141522418366726368668/
         21090384782775*ep*z3-52323172328094690970754681118493771633169\
         35380590199804672542754119873657752912982207933294164232443028\
         91833205051926327/69536605330563771119343683044512055741520261\
         860928275146515450382513643664179200000000000000000000*ep^2-
         21492153212995979523291871472/444771*ep^2*z5-89709083267349070\
         761209183363184334/7030128260925*ep^2*z4+440477249142326149108\
         78845339542155165568144359/2681915248238352749122500*ep^2*z3-
         22766136298163451471139656271789012351547034395926434254916635\
         39520187740410878367108982954015432897820478149816776065423328\
         508321863442283822329389608520687823/
         27992678395358987088556524064157950125434344917602479959576039\
         84352630265826037951347235691784676004214784131072000000000000\
         0000000000000*ep^3-1116705692533089969178863658040/9340191*
         ep^3*z6-50584134421074455406515897369079045409/400717310872725
         *ep^3*z5+44047724914232614910878845339542155165568144359/
         1787943498825568499415000*ep^3*z4+1675298791719286512447322486\
         928015173273735274005023701161/7179794037915078706489542078900\
         0000*ep^3*z3-162852911999968687997534671312/9340191*ep^3*z3^2;
Fill mncnoptab(19,3,1,7)=
      +mncF321*(15733846579476025000+6957096888595607503750/51*ep+
         616733402059498369096360/1377*ep^2+
         1721949501534184824524806151/2120580*ep^3)
      -1711713472706467474255548170435740777630820343893468221/22111606\
      300225686001339221319680000+249939377918587565/1123632*ep^-3+
         255497203433672222686221661/154261100125440*ep^-2-111470291951\
         444349045319551226987/668784807572633579520*ep^-1-
         14540439213067473950774270/70227*z3+23431559044088755440131669\
         08791817411167041109268265704970650846426253138945283827014739\
         60517421956912544969/32549450209955367190927946439103007783208\
         5419812436849462682950041600000000000000000000*ep-
         7270219606533736975387135/23409*ep*z4-272972773762029703358418\
         652403749069/77130550062720*ep*z3-4561103333044123387274349297\
         74019439098230374543577925171658939053125749335520420286100527\
         85410849496968498180420594741/14639285332750267604072354325160\
         43278768847618124805792558220008052918813982720000000000000000\
         0000*ep^2-1880563409876034213006551095/93636*ep^2*z5-272972773\
         762029703358418652403749069/51420366708480*ep^2*z4+13978264363\
         301112730523702830905149485034481461/2064873093380506176768000
         *ep^2*z3+11739053288752151344371885405897972368917046491806425\
         64238490837996024147041518110502377987550153540857037193738464\
         282287889010649793001279729648457484801009899/
         27992678395358987088556524064157950125434344917602479959576039\
         84352630265826037951347235691784676004214784131072000000000000\
         00000000000000*ep^3-27917642363879163716082781025/561816*ep^3*
         z6-4071675033916060591137546478989041183/77130550062720*ep^3*
         z5+13978264363301112730523702830905149485034481461/
         1376582062253670784512000*ep^3*z4+5424253078763399004340785903\
         34480325353214937103862620013/55279015750564215003348053299200\
         000*ep^3*z3-2035661386802260094174741795/280908*ep^3*z3^2;
Fill mncnoptab(19,3,2,6)=
      +mncF321*(39748665042886800000+5891035374681532075000/17*ep+
         526894988647882798033090/459*ep^2+33813137995927893970525616/
         16065*ep^3)
      -855003611696306518629704223987997084180598072760331/
      4371883530056277410354699520000-2805175918452864385/444771*ep^-3-
         55818503665974278042159453/693882789390*ep^-2-1700704330167894\
         87897877335642025273/464400908785861947900*ep^-1-
         232646952700071053105595920/444771*z3+
         11642739817335952850371069824698107930449154304672034688452924\
         731924573917771768050316008121638285974440031846681/
         64317713614871805569273622163667543379620078954937521453826150\
         92822016000000000000000000000*ep-116323476350035526552797960/
         148257*ep*z4-1309756399462997987810460369398591/146080587240*
         ep*z3-11261551692455533017185188651360097046914544689023419181\
         10743519698385942321085735266462556329998976405347223603628871\
         7883147/144636139087572643928234860732585075942362144670730812\
         3047521367956283788214927360000000000000000000000*ep^2-
         7522253384002054890746047780/148257*ep^2*z5-130975639946299798\
         7810460369398591/97387058160*ep^2*z4+1548722762748422774902017\
         36047956432957931837/9288018175717238958000*ep^2*z3+
         79691464743179617160485510790523876804167541779003809846722899\
         50482487633789976184026928884039698771575570805791571926542930\
         154725734064730278107202208458281772267/
         43035700350430164497885160474288048540667758099409725711765598\
         64639522008678639215636445828761136674305859429335040000000000\
         0000000000000000*ep^3-55835282998265234047831368550/444771*
         ep^3*z6-376910253150687586945117551869704453/2775531157560*
         ep^3*z5+154872276274842277490201736047956432957931837/
         6192012117144825972000*ep^3*z4+2549644859603677518097964995379\
         7507013591540676972935259/994603503087803110855694140800000*
         ep^3*z3-8142646429499532809326419380/444771*ep^3*z3^2;
Fill mncnoptab(19,3,3,5)=
      +mncF321*(34780081912525950000+5195895049447204227125/17*ep+
         941350023578666361135385/918*ep^2+1350458521208942157824624467/
         706860*ep^3)
      -92171381173536076163557006625072051797156775767668451/5386160509\
      02933376955698980864000-233921649658607426815/3558168*ep^-3-
         25304386244810933189221175603/30530842733160*ep^-2-24013573184\
         72448622433672570020033371671/653876479570493622643200*ep^-1-
         203565510646412901158878810/444771*z3+
         81018005045975912621075035187867122999343116747234638807713011\
         7497412774467530402144113580913534537045824835411/
         51454170891897444455418897730934034703696063163950017163060920\
         7425761280000000000000000000*ep-101782755323206450579439405/
         148257*ep*z4-101261400916087290042125835568500187/
         12855091677120*ep*z3-22182463159539405699224550607921378283242\
         21187106658701542756058267522659851770105236361417330839760499\
         3404624537997072739/330596889343023186121679681674480173582542\
         0449616704281251477412471505801634119680000000000000000000*
         ep^2-13163939319529782786355395055/296514*ep^2*z5-101261400916\
         087290042125835568500187/8570061118080*ep^2*z4+286987841816206\
         90850828464644247526388389689/2043363998657792570760*ep^2*z3-
         41038961426820460141358108229496467648863506227305018278683230\
         51647356211470087327576537075473050588731029904236773333378262\
         327810527980146672102285785099486371831691/
         97192514242617090384655812577699717433020715575836515103062816\
         23259730736751977662820799442807411243439141828961123696640000\
         0000000000000000000*ep^3-195423434686482612783742137725/
         1779084*ep^3*z6-29778355624551692266218954745040156201/
         244246741865280*ep^3*z5+28698784181620690850828464644247526388\
         389689/1362242665771861713840*ep^3*z4+822037928974082809446991\
         78392563445991633129232534745709/35010043308690669502120433756\
         16000*ep^3*z3-14249643595667261326230076235/889542*ep^3*z3^2;
Fill mncnoptab(19,4,1,6)=
      +mncF321*(8990769473986300000+4015165839386783510000/51*ep+
         2531573217841579299166090/9639*ep^2+
         5408614383262893031103652293/11133045*ep^3)
      -48906127626647943518326914063946717823215197783937763/1105580315\
      011284300066961065984000-561287613366140635/1966356*ep^-3-
         999697163913412172849527639/269956925219520*ep^-2-202108175922\
         8386972962092279475696041/111185474258950332595200*ep^-1-
         58161749982834474077539880/491589*z3+
         19730100058980779584249765627895359788282495117230460974247587\
         496915115431618649842708547278581012121246527707/
         48359183169076545540807234709524468706481262372133474777312895\
         434752000000000000000000000*ep-29080874991417237038769940/
         163863*ep*z4-1866359243789371462039983252620927/918220834080*
         ep*z3-13290990123657273879677035716175918528306188262899320567\
         73295454648246933707882540534507009993765359333597971423891534\
         54023/76124283730301391541176242490834250495980076142489901213\
         027440418751778327101440000000000000000000000*ep^2-
         1880563388535398013373533295/163863*ep^2*z5-186635924378937146\
         2039983252620927/612147222720*ep^2*z4+133477362841038699797046\
         78697704863745895097801/3613527913415885809344000*ep^2*z3-
         65976192337276847343876373456268187263570397129831541208476722\
         11136813209945837029587808575175493709755531074295694699288424\
         061473328140538810799174251893155218000775519797/
         29438433934604294358989600924424044965104579344862872365707227\
         48446219591413041850006561711975341127197332676843668311638016\
         000000000000000000000000000*ep^3-27917642078116797830215300025/
         983178*ep^3*z6-4205734164828904556667798166915757783/
         134978462609760*ep^3*z5+13347736284103869979704678697704863745\
         895097801/2409018608943923872896000*ep^3*z4+575675281961748395\
         631264813308503247065075535899076789033/9673827756348737625585\
         9093273600000*ep^3*z3-2035661481800752997756934395/491589*ep^3
         *z3^2;
Fill mncnoptab(19,4,2,5)=
      +mncF321*(18927935734708000000+8504658246049346810000/51*ep+
         5414492696120243298979000/9639*ep^2+
         2341897056620912115492122803/2226609*ep^3)
      -47985838554245377404208650757218426850990459277903/
      515257701756632694791803872000-213547529076294632050/9340191*
         ep^-3-19356674687800659845074550477/64114769739636*ep^-2-
         98797776191066773980317144739636190193/68657030354901830377536
         *ep^-1-2326465664627160008002169600/9340191*z3+
         15593463877130844470157420673903986764190570807383286621165960\
         375475040022704635347666138196966425275310034229/
         18267752979371873771154638247668888060483809407319532720613344\
         642334720000000000000000000*ep-1163232832313580004001084800/
         3113397*ep*z4-689747704956698261757828478476421/160688645964*
         ep*z3-38732912752727197552236935235100586787940097591883114298\
         98101009119206267656314081896827069208030548162900640545423370\
         4279/106808225787745952439311897156370517618975122218385830625\
         04773178754095666817925120000000000000000000*ep^2-
         75222519880846210697055735400/3113397*ep^2*z5-6897477049566982\
         61757828478476421/107125763976*ep^2*z4+64780716211641167976481\
         46415766038284653869427/858212879436272879719200*ep^2*z3-
         16504768322432440868574740330797759938024783433360173420570537\
         20483847169413465155949041331792664943440932171302364662045666\
         34548091280713024239105016369285076490407/
         90805837037636646264082042271285939675821285184524928467514309\
         77819742201885995947823854976151427508663165832103198720000000\
         00000000000000000*ep^3-558352734944778680207912591500/9340191*
         ep^3*z6-4288657608421401857255309475524245583/64114769739636*
         ep^3*z5+6478071621164116797648146415766038284653869427/
         572141919624181919812800*ep^3*z4+14887883301300244295751149101\
         4206774433981168340264151253/114876704606641259303832673262400\
         00*ep^3*z3-81426505032089345303337086600/9340191*ep^3*z3^2;
Fill mncnoptab(19,4,3,4)=
      +mncF321*(13249555014295600000+6003807693393916406000/51*ep+
         32552107348596787169660/81*ep^2+1216850498301687927768897386/
         1590435*ep^3)
      -26337306322800262627735251907856792134672488422081651/4039620381\
      77200032716774235648000-249844626342622690795/1334313*ep^-3-
         416934171842847605252243711089/183185056398960*ep^-2-928609026\
         1049233920527338460635415489027/980814719355740433964800*ep^-1
         -232641476549058209447428640/1334313*z3+
         41014897236593592572925519671717632829981919969945208015069561\
         1469691379378746057195785043370796845720468033897/
         69463130704061550014815511936760946849989685271332523170132243\
         0024777728000000000000000000*ep-116320738274529104723714320/
         444771*ep*z4-692731166925751608305077228223771/229555208520*ep
         *z3-3261351832895616813109688876514956995253897629054747455808\
         510908278217416974829424149323299476903470456118465283165486289
       /131266411945023912136549285370749480687185811970075022932043956\
         0834274362413547520000000000000000000*ep^2-
         7522234018572387825296526460/444771*ep^2*z5-692731166925751608\
         305077228223771/153036805680*ep^2*z4+4963006924677472400951678\
         15902781915516472503/98081471935574043396480*ep^2*z3+
         37640503358696735213186625460203487052271175214502853432478014\
         96897470704554114078223212884089387019831220563674240531444072\
         61044044305191847686038109135924124019431869/
         42380795835493182262229167074505961786668683026843512410690541\
         01822405587760699859873009597036171672701637794518497987919872\
         0000000000000000000000*ep^3-55835151447920263166105376850/
         1334313*ep^3*z6-4404489425037770248071632641446176843/
         91592528199480*ep^3*z5+496300692467747240095167815902781915516\
         472503/65387647957049362264320*ep^3*z4+24896345267624736113941\
         676980644399300784457787065328899/2625753248151800212659032531\
         712000*ep^3*z3-8142706997379975770648981420/1334313*ep^3*z3^2;
Fill mncnoptab(19,4,4,3)=
      +mncF321*(3785587146941600000+578339127204978997000/17*ep+
         1139532566046530076978440/9639*ep^2+
         2561469732828227897334257147/11133045*ep^3)
      -52696203539471510719931911901864977825974151169955727/2827734267\
      240400229017419649536000-2361295063516649080340/9340191*ep^-3-
         1305975366295218923247168783851/427431798264240*ep^-2-
         86323211001190994835265792244039967580129/
         6865703035490183037753600*ep^-1-465242396477632069547427280/
         9340191*z3+164986544702858026024016751469979134244827545064748\
         95759380952382371996265088123224463916730043134257920219757/
         97968741378172734243117581279698402075837304264160832678467993\
         093864947712000000000000000*ep-232621198238816034773713640/
         3113397*ep*z4-14631988390899618477464048552865191/
         16872307826220*ep*z3-88160309020666614924702841985219261575379\
         69174969647777550808302908472547908017158445087742434657004796\
         771151127642531227/1258912954618232292751356227816420501002320\
         1072140409903005625986691494092622727741440000000000000000*
         ep^2-15044323762199641854774957920/3113397*ep^2*z5-14631988390\
         899618477464048552865191/11248205217480*ep^2*z4+93273006119735\
         1882355681041235114702165002121/686570303549018303775360*ep^2*
         z3+12374890521356272149840802713186482539046012638204420243185\
         83016834875844621879754551126706434978634619300035334417982167\
         001508011220175544431030633907866955497151953411/
         11356797556628158233469647022869093878477972423548821518289933\
         42129832181798748726894562927276892936530773695218527283044365\
         10720000000000000000000*ep^3-15952760317900461962420516600/
         1334313*ep^3*z6-162925825706252612281210259677406981/
         11449066024935*ep^3*z5+932730061197351882355681041235114702165\
         002121/457713535699345535850240*ep^3*z4+5259704502386171121101\
         5383319746409587782565652401001123/183802727370626014886132277\
         21984000*ep^3*z3-16285856927910161194012327840/9340191*ep^3*
         z3^2;
Fill mncnoptab(19,5,1,5)=
      +mncF321*(2554195873291562500+1156878271005164386250/51*ep+
         2983388336103834339281575/38556*ep^2+
         2621071457561131051884498323/17812872*ep^3)
      -24163400216634873159136747884116145943419922702233379/1922748373\
      932668347942540984320000+6068542360838379175/15730848*ep^-3+
         17431665630430138755650305/18779612189184*ep^-2-10058918202524\
         55697366057541417950517/38673208437895767859200*ep^-1-
         16523232258495033173931725/491589*z3+1289742369033153792516375\
         79026737551409743521762007919538893256873798743343338311471626\
         985539601202500373/1130343342247632647075563886080015407678448\
         984837345914794930981987942400000000000000*ep-
         16523232258495033173931725/327726*ep*z4-2600617921555216348879\
         43626505825/447133623552*ep*z3-1221186194979249388764925687820\
         82579509685839448411259632561152571894061606655459435558877041\
         090410779432546963868379/2541889126298759508853189314476552364\
         38750862945357583180891627137397242413973504000000000000000*
         ep^2-4274007896241864337115104325/1310904*ep^2*z5-260061792155\
         521634887943626505825/298089082368*ep^2*z4+2457894119787991755\
         72663620442425701254087121/251375854846322491084800*ep^2*z3+
         87541968646109954129627675122430676060938087661336116938774969\
         30319129280570040128338610287228486900408422627356084501690893\
         6098891171434522405805596395527649802879491047/
         44584390440222465389512314641636518403471024999477440746374133\
         19630805786316686229667537686539806235775851549749028283302528\
         679936000000000000000000*ep^3-63449189153288163729769295875/
         7865424*ep^3*z6-86925983339814291895494693052834255/
         9389806094592*ep^3*z5+2457894119787991755726636204424257012540\
         87121/167583903230881660723200*ep^3*z4+12282441301917917782425\
         467839891878105343290692793581713/6729619308764339217798893445\
         120000*ep^3*z3-4626502500252033196553593225/3932712*ep^3*z3^2;
Fill mncnoptab(19,5,2,4)=
      +mncF321*(4301803576070000000+1961237823287519920000/51*ep+
         1277486737773366998610200/9639*ep^2+51671181264499783150226254/
         202419*ep^3)
      -1858916946109774840615231094082631008070167020724259/
      87817834386347833199298746880000-355703262559072815725/9340191*
         ep^-3-5358407644033456099176254255/11150394737328*ep^-2-
         637180968993854787481289986034447215733/
         298508827630007958163200*ep^-1-528735237236604479609725600/
         9340191*z3+185050456193528863304427739291028201799948122892802\
         66346427254566114442242981028221454945302350627197545231/
         96644355762172591324960712259841317356507388203593075714966598\
         959969075200000000000000*ep-264367618618302239804862800/
         3113397*ep*z4-1525944581708819432670271210795/1552547304*ep*z3
         -3483739352812515846615585840921213555729591093184646075272753\
         705300111419853750555168708708530462189614680752003501173/
         43466304059708787601389537277549045431026397563656146723932468\
         24049492845278946918400000000000000*ep^2-
         17096002816210056802793876900/3113397*ep^2*z5-
         1525944581708819432670271210795/1035031536*ep^2*z4+23729562913\
         4510839171348912374647106199827973/149254413815003979081600*
         ep^2*z3+543128801420443592887517763591871425010325899966500066\
         63443861118836334789024511894251913449416300751205448151731237\
         33006558402284115055687954793481205192303455467283908829971/
         45362388053404347410559304532133075649611594385718322087398361\
         82058363347287912404375236219169925854590140159292148826846157\
         8054008832000000000000000000*ep^3-
         126898183028483914821929762750/9340191*ep^3*z6-887130351600618\
         66168416065358670055/5575197368664*ep^3*z5+2372956291345108391\
         71348912374647106199827973/99502942543335986054400*ep^3*z4+
         12683819731514591283641710636141309603192951380218153869/
         3995711464578826410568092983040000*ep^3*z3-
         18506102035271270756762931700/9340191*ep^3*z3^2;
Fill mncnoptab(19,5,3,3)=
      +mncF321*(2258446877436750000+346261907697137306875/17*ep+
         1921564877330051683600/27*ep^2+118266579420275835776461321/
         848232*ep^3)
      -10414502404091403283200683101278512208578674715561/
      936723566787710220792519966720-495554794608603555475/3558168*
         ep^-3-3607753452718257592908874049/2123884711872*ep^-2-
         315765872471583267429909138233144071/44420956492560708060*
         ep^-1-13217228943477425768935150/444771*z3+
         10214445182841677315009929916269492760748993419295530173765325\
         928440581053184582037142882071052875326170600901/
         10222825187287589660151399785707659347043892618868956453405355\
         8010989510656000000000000000*ep-6608614471738712884467575/
         148257*ep*z4-19313564262382958124675930835129/37261135296*ep*
         z3-11803004104206209379134457585607357058560927609309516191673\
         6518162082728339799521676142756418951514884086519430312244141/
         28557571749373889438594092124380049172075314341339304127801041\
         9357841075825090232320000000000000000*ep^2-
         854791935440156988721366075/296514*ep^2*z5-
         19313564262382958124675930835129/24840756864*ep^2*z4+225742589\
         4351572175414202066072184590325683/2842941215523885315840*ep^2
         *z3+2568841576141735793063570658372470790870062239361218157920\
         35443541635229187982040252991620966473909854378243544212026461\
         8870630331641351901855691905154961914807960238643/
         90854380453025265867757176182952751027823779388390572146319467\
         37038657454389989815156503418215143492246189561748218264354920\
         85760000000000000000000*ep^3-12689706742167580573131139625/
         1779084*ep^3*z6-18227539921417868230231310375767301/
         2123884711872*ep^3*z5+2257425894351572175414202066072184590325\
         683/1895294143682590210560*ep^3*z4+528382242484763122021217045\
         26011023948387896617408259/30443515920600582175756898918400*
         ep^3*z3-925330203061502548706092775/889542*ep^3*z3^2;
Fill mncnoptab(19,5,4,2)=
      +mncF321*(430180357607000000+66729341321337337500/17*ep+
         134600218031087085783350/9639*ep^2+124547299376548854940352123/
         4453218*ep^3)
      -1303313083222411903528387573685252025236189481618769/61472484070\
      4434832395091228160000-1330089802755704267875/18680382*ep^-3-
         1087624620182156705815359701/1238932748592*ep^-2-2793824346526\
         94692669041584651042357471/74627206907501989540800*ep^-1-
         52859543317908783682166200/9340191*z3+
         49083812121993564291989816205731343470827704888636357013072292\
         729794417285895400064272195829299350598752213/
         26271810760980956042717127189271384565343337040177212351910967\
         28929435648000000000000000*ep-26429771658954391841083100/
         3113397*ep*z4-58285350722705380845016476445187/586862880912*ep
         *z3-4031804054765328241700194966501520260232977196301960546989\
         91291285936024140627478847273853071023101352336568753532403271/
         53171478828596146526144238193488567744197370987922228161762892\
         36615040983219537182720000000000000000*ep^2-
         1709550874683678960890662550/3113397*ep^2*z5-
         58285350722705380845016476445187/391241920608*ep^2*z4+
         955760022344816612179604940556813332820489/
         6784291537045635412800*ep^2*z3-
         16296484117446233586871098314001291234558589415218492440545933\
         87986604706635330565621233090667029646178556775888085158591164\
         721935085269616841667652617527401682932442067957/
         22638315769452381246648866671186598334675748001318690848230059\
         28391832333135288605085139037435836182739400547657320328098264\
         708546560000000000000000000*ep^3-1812783243118974321067793375/
         1334313*ep^3*z6-2696383433190505961098431156332603/
         1592913533904*ep^3*z5+9557600223448166121796049405568133328204\
         89/4522861024697090275200*ep^3*z4+1387798238878148907611925551\
         902890764102122597902226039/3995711464578826410568092983040000
         *ep^3*z3-1850765043707761983103792750/9340191*ep^3*z3^2;
Fill mncnoptab(19,5,5,1)=
      +mncF321*(24442065773125000+7700757380344851875/34*ep+
         349830613531873420147175/424116*ep^2+
         60555784368266772507897599/35625744*ep^3)
      -42436186511077728496676498963907461440017042993486271/3516226088\
      82936724129992182507520000-1019551530905923321475/1643873616*
         ep^-3-331246757911174081627304705/20442390351768*ep^-2-
         3524159120490317843052268138909710865459/
         26268776831440700318361600*ep^-1-33045445465745430416170225/
         102742101*z3+8164999363519066124478929020040425048144700398855\
         359189689037872563860955539329870404100696368337167652770237/
         77976610896502976174501770435413845917407977430748836061354030\
         26943202820096000000000000000*ep-33045445465745430416170225/
         68494734*ep*z4-293823557342985864962772063603055/
         51643933520256*ep*z3-73358127367195600114110895512247670829490\
         64343031956181731063426800332189240391537564307222541819408751\
         501846072608743871/1753519412511631489365771055280976551963994\
         727508835195877566243246546015680328798044160000000000000000*
         ep^2-388544686151113389850411225/12453588*ep^2*z5-293823557342\
         985864962772063603055/34429289013504*ep^2*z4+72791667385253616\
         47571372002851189764575333/1010337570440026935321600*ep^2*z3+
         89887096965229192198643250887967219446662675983584102286798253\
         46326170079516679954883935840139265006496695673332744142971387\
         7383015213388863042044877189342741017140985323/
         92170285632770409361356100018402578934036974005368955596365241\
         37023888784907960749275208938131618744010416515461947050114363\
         456225280000000000000000000*ep^3-9064137757945542959570635375/
         117419544*ep^3*z6-14103417852016734959289245611210915/
         140176390983552*ep^3*z5+72791667385253616475713720028511897645\
         75333/673558380293351290214400*ep^3*z4+83593712219236802764667\
         752206753189274831384828432379/3995711464578826410568092983040\
         000*ep^3*z3-4626534820921880186871258175/410968404*ep^3*z3^2;
Fill mncnoptab(19,6,1,4)=
      +mncF321*(355366382371000000+164193390097871420000/51*ep+
         109167007549891203386500/9639*ep^2+49792569668380139229529036/
         2226609*ep^3)
      -4832952111324263785240472856368429504049631966423583/27639507875\
      28210750167402664960000-300762090766269275/983178*ep^-3-
         152631658073014650368405683/26995692521952*ep^-2-2194086705145\
         585173532044739538117689/55592737129475166297600*ep^-1-
         2298878612255632799522000/491589*z3+60922257608954249815812749\
         24955797575403175424116046041289596669636058553159373382894137\
         06699749868553757/38996845307543326324106954069760531564906489\
         976888434060425118878584012800000000000000*ep-
         1149439306127816399761000/163863*ep*z4-
         52549008822003000484279091236493/642754583856*ep*z3-
         45080838401721259162937823107242445725285948013929261311684025\
         81087670681006208544544090365351691364293548037305879/
         70156139885845762444348025079552845257095238172918692957926089\
         089921638906256687104000000000000*ep^2-
         74330553686484239947942750/163863*ep^2*z5-
         52549008822003000484279091236493/428503055904*ep^2*z4+
         43953988169937883991511010136126165662700549/
         361352791341588580934400*ep^2*z3-
         81844105617607786148332548166786039733124857828810129045890039\
         30371914738325409907801449896780411394847696504428650542770420\
         0583921240215323202915773636453710354069288242110281774363/
         43790802725149132286192990606074060001660857661955167899403478\
         76151834822952933768292844285701501430660365763789788125789463\
         047824741443515187200000000000000000*ep^3-
         551731956117992717610765625/491589*ep^3*z6-1847854816293947114\
         8868014876336931/13497846260976*ep^3*z5+4395398816993788399151\
         1010136126165662700549/240901860894392387289600*ep^3*z4+
         2699559284228001415125939790015714474737791643094495877/
         9673827756348737625585909327360000*ep^3*z3-
         80460993582567141916152950/491589*ep^3*z3^2;
Fill mncnoptab(19,6,2,3)=
      +mncF321*(448883851416000000+69612129604221061000/17*ep+
         46776453403517165369210/3213*ep^2+108078186440258724507747961/
         3711015*ep^3)
      -7439320960863751523131218423789400430425310603235313/33663503181\
      43333605973118630400000-59302722955607790230/3113397*ep^-3-
         20786145377981051043301661953/85486359652848*ep^-2-12593481600\
         622676367665949263107627017281/11442838392483638396256000*
         ep^-1-18389794083365096955281680/3113397*z3+
         28527864024213162854458562101802815184964808274682525149989237\
         79470049863087791141057468273016765363776740707/
         14695311206725910136467637191954760311375595639624124901770198\
         9640797421568000000000000000*ep-9194897041682548477640840/
         1037799*ep*z4-2775512769781180615676777134579/26781440994*ep*
         z3-84785683877377433127792447937664858879836257207085764391107\
         9656799004841078113580958698832570525889557583832899550369929/
         10790682468156276795011624809855032865734172347548922774004822\
         274306994936533766635520000000000000000*ep^2-
         594639998922979608615453320/1037799*ep^2*z5-
         2775512769781180615676777134579/17854293996*ep^2*z4+8423619249\
         79435013252661905780679807684953521/5721419196241819198128000*
         ep^2*z3-935756847473757759350221183562607994029017709106479568\
         93393420277448691828027210736319010398336258560640695733139060\
         09524238337908629140887139025236085487123490272284393550919/
         28561503589180515036278080631343047631236929798415239832806375\
         96110821366810907810162185767625508871408606766961723335421654\
         91451166720000000000000000000*ep^3-
         4413825506713934322227695700/3113397*ep^3*z6-37723103417634790\
         820160430253875657/21371589913212*ep^3*z5+84236192497943501325\
         2661905780679807684953521/3814279464161212798752000*ep^3*z4+
         55547820435071194205086246877284034124395732856408763363/
         153168939475521679071776897683200000*ep^3*z3-
         643701184578754728348131560/3113397*ep^3*z3^2;
Fill mncnoptab(19,6,3,2)=
      +mncF321*(157109347995600000+24586832835774209000/17*ep+
         2393218231730578686850/459*ep^2+803511176969331801054884/75735
         *ep^3)
      -1303560560658977668138879778476100116334237966843251/16831751590\
      71666802986559315200000-12520744865553172105/444771*ep^-3-
         10603291272866450902073077289/30530842733160*ep^-2-60678738880\
         5932111112193913791431607123/408672799731558514152000*ep^-1-
         919273922493924211838000/444771*z3+736795218948578537552176016\
         86522716041771169071397544970271546232856322386255295591290710\
         15575113102516183429/10876529655046115801684890656358353210052\
         14153463336591369114045776786358272000000000000000*ep-
         459636961246962105919000/148257*ep*z4-
         19517725079348395181180847272729/535628819880*ep*z3-
         22199553865340445099833948569987210629125241748155193463920151\
         33863358961218299726154039606004706268864077198308057343609/
         81529600870514091340087831896682470541102635514814083181369768\
         294763961742699570135040000000000000000*ep^2-
         29731241639399549048140900/148257*ep^2*z5-
         19517725079348395181180847272729/357085879920*ep^2*z4+
         9919328014474324618723985734632686906973401/
         204336399865779257076000*ep^2*z3-
         45408691118635978020803920828649654297017580195156648396689170\
         03387199722557932979198937972710667616650450505803584587989513\
         16226926900101952407994731921288446714102754656813604341/
         89771987785548905096598659961609516214165985895356640464776738\
         90191452651138071402467999266628849350860087408711640316801462\
         85516507934883840000000000000000000*ep^3-
         220686127489261807331461750/444771*ep^3*z6-1936992368198120179\
         3852338104870981/30530842733160*ep^3*z5+9919328014474324618723\
         985734632686906973401/136224266577186171384000*ep^3*z4+
         1438256461820523910144524824841827094791650980338798161/
         10940638533965834219412635548800000*ep^3*z3-
         32187477293717355765982580/444771*ep^3*z3^2;
Fill mncnoptab(19,6,4,1)=
      +mncF321*(14962795047200000+2369514837455623000/17*ep+
         4931096463806818481150/9639*ep^2+11844964817637621208722746/
         11133045*ep^3)
      -67926847297670304427360718371886663828598875839016497/9190136368\
      53130074430661386099200000-4817655501222895760/9340191*ep^-3-
         5176689792724594477143193277/427431798264240*ep^-2-32773378833\
         46564762231731094849100146799/34328515177450915188768000*ep^-1
         -1839027633635812311624400/9340191*z3+
         21340106133414612368928080391994417640336424764967339547705143\
         79082821689462931740532980097591884966766043074027/
         33477958278231944437586093440271011180540491643601500282341330\
         32900948410761216000000000000000*ep-919513816817906155812200/
         3113397*ep*z4-58926117056372733988524104704187/16872307826220*
         ep*z3-19037923174251843628714582092467208267787039016411970041\
         77428129764796361268978588748858816593818540649248637358169652\
         964241/7528443344383271194343710397339659329765417363437932440\
         96768440433850422732087830626959360000000000000000*ep^2-
         59464142087482341735952400/3113397*ep^2*z5-
         58926117056372733988524104704187/11248205217480*ep^2*z4+
         72821696606253915917662980690475246279958263/
         17164257588725457594384000*ep^2*z3+
         21289198504990715325450940042585852251374534739893762919593375\
         09046663317733961518441302896945775870006627691116755162739342\
         57063065196587520323166632407290183097243256517/
         57350399949279365824843795567006049114511894936674016815516150\
         18592641910609397799549018894837451662939814720731878164515603\
         9283179520000000000000000000*ep^3-63054785224575433177226000/
         1334313*ep^3*z6-1431673830657321893501487322816279/
         22898132049870*ep^3*z5+728216966062539159176629806904752462799\
         58263/11442838392483638396256000*ep^3*z4+599880121492842943728\
         8978213625137845138440426304165009/459506818426565037215330693\
         049600000*ep^3*z3-64369397997213212964370960/9340191*ep^3*z3^2
         ;
Fill mncnoptab(19,7,1,3)=
      +mncF321*(22210398898187500+10563105766193748625/51*ep+
         14670058976372777859635/19278*ep^2+23493171839410112568959569/
         14844060*ep^3)
      -3454016312793877317502835529427591564690833509290513/31588009000\
      322408573341744742400000+1710755281015428505/15730848*ep^-3-
         114606461630708296361680607/431931080351232*ep^-2-594655427959\
         25589377116971367009913393/4447418970358013303808000*ep^-1-
         143682318748631902882760/491589*z3+393004706230352822178747874\
         71112684212235639727934196391071737083362191979668478676973044\
         519267421516860713/4124999636975694073394424474934669561087886\
         4953330876917249681302679977984000000000000000*ep-
         71841159374315951441380/163863*ep*z4-1600440415149048651207060\
         47316283/30852220025088*ep*z3-10133795881533915209631067080709\
         11343653160457473032386799437474814622296293653106532975704690\
         0240433693976483065265499/265034306235417324789759205856088526\
         52680423309769284006327633656192619142363637350400000000000000\
         00*ep^2-37165335154036612917383795/1310904*ep^2*z5-16004404151\
         4904865120706047316283/20568146683392*ep^2*z4+1806521377307425\
         73045160469115872567427286229/28908223307327086474752000*ep^2*
         z3+14795215035084340670032823095409629126410229511876744228262\
         83141569222407967943286555656828186978034274617727286110984331\
         0060573306186201470445907609282977877495838892025513871926413/
         21781688137737846503263282577814615464215772957449721433395044\
         66230157032849092943046693083371385394520553521598314626243021\
         631571080521973760000000000000000000*ep^3-
         551732734560603917645446525/7865424*ep^3*z6-201056977250921416\
         32501940739015351/215965540175616*ep^3*z5+18065213773074257304\
         5160469115872567427286229/19272148871551390983168000*ep^3*z4+
         15123530066932812195713361036030088316243068018575059437/
         773906220507899010046872746188800000*ep^3*z3-
         40230219661688814569962735/3932712*ep^3*z3^2;
Fill mncnoptab(19,7,2,2)=
      +mncF321*(18703493809000000+8958546626261089000/51*ep+
         6287436871742097265090/9639*ep^2+1700071238359212376596286/
         1237005*ep^3)
      -1862887294080192973398887966831497827705452467192249/20198101908\
      860001635838711782400000-71445313424782169015/18680382*ep^-3-
         24142012892708891336981835665/512918157917088*ep^-2-1381536425\
         3990821196996417891972541299723/68657030354901830377536000*
         ep^-1-2298063909321383050097120/9340191*z3+
         67349190559965046368532327525368327012675717186182480018743805\
         436456831906228027022744583645676067968026497/
         83665612731123967705268389664295024692708781035641276259162618\
         905906642944000000000000000*ep-1149031954660691525048560/
         3113397*ep*z4-8452781894020784902008050944657/1928263751568*ep
         *z3-6049110568854249801380532015487671620414079323549174116272\
         2424914540728938809873708736892615826719982173973014045908671/
         18814523277810944155404884283849800894100608195726326888008408\
         068022452709853746954240000000000000000*ep^2-
         74327704118034517313182630/3113397*ep^2*z5-
         8452781894020784902008050944657/1285509167712*ep^2*z4+
         170896335283664057226531228813522498813351643/
         34328515177450915188768000*ep^2*z3+
         35903246386299106619495927772279614170448712464512558209429591\
         46071119586799660457011587473262100788864926324481251134179727\
         861899967783458311219831450494964229685693654432669567917975527
       /126833563655627543938541913714964042269425812442265930691318418\
         57380074732044602719136355853777728890948255864071943700418430\
         73174803794268583362560000000000000000000*ep^3-
         551712621111955422223626925/9340191*ep^3*z6-205091089513199706\
         14147831552721035/256459078958544*ep^3*z5+17089633528366405722\
         6531228813522498813351643/22885676784967276792512000*ep^3*z4+
         15469588661670634239317731811497520677250570934060720799/
         919013636853130074430661386099200000*ep^3*z3-
         80470212216146858342658590/9340191*ep^3*z3^2;
Fill mncnoptab(19,7,3,1)=
      +mncF321*(3273111416575000+1582253779902045250/51*ep+
         160835910290581550050/1377*ep^2+530646102786493818688609/
         2120580*ep^3)
      -34026323821473365456388167152150946645287989699806741/2100602598\
      521440170127226025369600000-4960316651977170055/21349008*ep^-3-
         13706683647601163952233765303/2930960902383360*ep^-2-264209014\
         5451032739298377157734494498097/78465177548459234717184000*
         ep^-1-57467625588706316915750/1334313*z3+
         22906315942058540065438719452806045841749675821253492914833526\
         983866291330669673519821363460205132797465318921/
         16738979139115972218793046720135505590270245821800750141170665\
         1645047420538060800000000000000*ep-28733812794353158457875/
         444771*ep*z4-59466032322176375450828452911187/77130550062720*
         ep*z3-19937579418295194293919134580039814647309656210972869665\
         24265236918318485010473573596007582534737872372830669633872818\
         3743/376422167219163559717185519866982966488270868171896622048\
         38422021692521136604391531347968000000000000000*ep^2-
         7432982196642413688648475/1779084*ep^2*z5-
         59466032322176375450828452911187/51420366708480*ep^2*z4+
         31569482505288323183645985025972375907622929/
         39232588774229617358592000*ep^2*z3+
         93664852884598279734974883188536603968608152911458186434505025\
         88116217725305020376649546223281653580897305441234714236952629\
         592449098620986796521722633022742123850492962787309563/
         49464365269837446708225861638846843434005458228341508896091983\
         13495490410777077342759867595912495992323908162200113814557606\
         0331959587212099584000000000000000000*ep^3-
         110345380437862078991412125/10674504*ep^3*z6-21042712872685334\
         156248554790213331/1465480451191680*ep^3*z5+315694825052883231\
         83645985025972375907622929/26155059182819744905728000*ep^3*z4+
         3179804388132591678123402096763327101646465541205846497/
         1050301299260720085063613012684800000*ep^3*z3-
         8046213569191535160343895/5337252*ep^3*z3^2;
Fill mncnoptab(19,8,1,2)=
      +mncF321*(507666260530000+1769110321355419900/357*ep+
         1311990006659614093552/67473*ep^2+41985321646372627822447/
         962115*ep^3)
      -4849006936560875565075490377056988406996959262510451/19347655512\
      69747525117181865472000000-1842904764819511679/27528984*ep^-3-
         17863804633020957492777323159/18896984765366400*ep^-2-18885923\
         9897131927819923224120822182213/38914915990632616408320000*
         ep^-1-22982768262829153848368/3441123*z3+
         13297654174543825410835972774918962372430078570222810534294702\
         4952934554024977986329163185608964259872019/
         71556116151619182905821649054989165855606194306798459958494345\
         11689383936000000000000000*ep-11491384131414576924184/1147041*
         ep*z4-23420352701467355588577765899149/192826375156800*ep*z3-
         93635080971906032228531717938359706737921618983896770067651952\
         199312676562929070712100218420411743189684749975319917/
         16091368592864623290806808926976803396270257009502779575270349\
         00554551876500649410560000000000000000*ep^2-
         1486570784681960295945419/2294082*ep^2*z5-
         23420352701467355588577765899149/128550916771200*ep^2*z4+
         925085354567167335014838194312062004327297/
         10117878157564480266163200*ep^2*z3-
         39223686407920679707375014901488769561803320497112706092529904\
         95489569327580718400297181898652631871935170360285450765118523\
         85152061572220673251230643673120160944925590460360019947639/
         57394748242939225536098749592541511748208561742880015976995942\
         68516463781557359904928036274683600514561658529411559040150361\
         99918979717540085760000000000000000000*ep^3-
         22068734087601112900697605/13764492*ep^3*z6-119856454156020280\
         7261665641819293/497289072772800*ep^3*z5+925085354567167335014\
         838194312062004327297/6745252105042986844108800*ep^3*z4+
         266764846214148440283257430037765659613785138296635493/
         520898417649547410608472040704000000*ep^3*z3-
         1609367992079781569763751/6882246*ep^3*z3^2;
Fill mncnoptab(19,8,2,1)=
      +mncF321*(213754214960000+750198606981051800/357*ep+
         562126996589436080114/67473*ep^2+491785811297827332927358/
         25977105*ep^3)
      -2438700764560574390155598789949332021712852817551613/22975340921\
      32825186076653465248000000-5832708639399485129/65381337*ep^-3-
         13183879599297888686331075671/11220084704436300*ep^-2-86511460\
         2322279270827563180477403782693/150187253901347753950860000*
         ep^-1-183798307054030645931344/65381337*z3+
         64822776029953441351059210970899456884119235950025478572222791\
         1877496361115719313738540187137664405066373587/
         75514191605034461137412240842716566572647725511883083343627060\
         892502595731456000000000000000*ep-91899153527015322965672/
         21793779*ep*z4-8659399281115443228730152960847/168723078262200
         *ep*z3-3722995570081314647418766698531582641772613328062245162\
         53752089872939023368235535230849543627988394421171783353595964\
         3767/118870158069209545173848058905363042048927642580598933278\
         437122173765856220855973256888320000000000000000*ep^2-
         5946027785261033549186276/21793779*ep^2*z5-
         8659399281115443228730152960847/112482052174800*ep^2*z4+
         6574241690681070887990348450914145942608/
         187734067376684692438575*ep^2*z3-
         52805498211187960845471845312978684352075195394428853971386767\
         49669995544596024531252225009405435526483938676422146883371258\
         55182641034608095114731975229737573519744509880838032906283/
         14132882807341354896008956099667421852878876243566775134175480\
         92679494041570684302989479652278089790705662796282302298046625\
         1386804956564707071754240000000000000000000*ep^3-
         44135712621822675004068710/65381337*ep^3*z6-231953618534401060\
         18352188065488267/22440169408872600*ep^3*z5+328712084534053544\
         3995174225457072971304/62578022458894897479525*ep^3*z4+
         1758814180310202463315367813324470048638352054683134617/
         8041369322464888151268287128368000000*ep^3*z3-
         6437982703110506268831604/65381337*ep^3*z3^2;
Fill mncnoptab(19,9,1,1)=
      +mncF321*(2440703175625+37295017108138075/1428*ep+
         7808523600166007044/67473*ep^2+1601073264492714256325689/
         5403237840*ep^3)
      -4960179878577206134036880771196223419880711873697651/40243123466\
      4107485224373828018176000000-2038960461887117483/440463744*ep^-3-
         183119086774551157372055772359/3930572831196211200*ep^-2-
         20174053906497168392517529196095674706369/
         105225932838670594768097280000*ep^-1-221110215963210270517/
         6882246*z3+146158824325397773532424741110018960693082648610270\
         7997752581858325261502091/166026184381426511250722336050419131\
         91043685743696281600000000*ep-221110215963210270517/4588164*ep
         *z4-172474956567129242485312852326043/280755202228300800*ep*z3
         -1588970842968831818157781107139417009544850586606574169917723\
         19388881367499268012368003/59262812750082584142417496836147950\
         1452927063670286059275550720000000000*ep^2-
         114343507581626559068663/36705312*ep^2*z5-17247495656712924248\
         5312852326043/187170134818867200*ep^2*z4-226570094476456886849\
         311764227785825584607/2104518656773411895361945600*ep^2*z3-
         18602418201775063850667957181303821033284995854619120932099514\
         74956502736506114515287823399775114175172694421182559716851175\
         8062197949891/299276648427985145517522877934309256177244074433\
         58863331365222296254279763791517267729251807071783039795200000\
         000000000000*ep^3-1697463796447341564388585/220231872*ep^3*z6-
         28519887187310363097280128846530567/1965286415598105600*ep^3*
         z5-226570094476456886849311764227785825584607/
         1403012437848941263574630400*ep^3*z4+4096149552467884838915678\
         316331341112130183741159250209/1408509321324376198285308398063\
         616000000*ep^3*z3-123676954746603766148227/110115936*ep^3*z3^2
         ;
Fill mncnoptab(20,1,1,8)=
      +mncF321*(284630612552000000+16940923691061802803800/6783*ep+
         10711475268502395191009342/1281987*ep^2+
         11045395781765952110339329796/712927215*ep^3)
      -11126131114057788467678652068817470623675502032530457936763/
      7944872890595309493453067682827584000000-7057973045495804114/
         1242245403*ep^-3-396759211527685490031613702619/
         11085443687983064400*ep^-2+10210779408159153432162549728942282\
         072411/296770013709063161806899360000*ep^-1-
         4652940044885569858383745264/1242245403*z3+
         12733191795714134251105749870382781377842097595166931141163885\
         1089903522240353331534577918375176167801/988098730040488766782\
         4590110660539636910466347817981904966123520000000000000000000*
         ep-2326470022442784929191872632/414081801*ep*z4-93957163274029\
         37304138581347920407849/145861101157671900*ep*z3-
         24438216761968168961747285682202756874845408244837149697627847\
         7371512056819571347382566987277901785863431875893271/
         44440256756062511605146704401515288048277815630754337507065108\
         53684225638400000000000000000000*ep^2-
         21492152984871770867208990248/59154543*ep^2*z5-939571632740293\
         7304138581347920407849/97240734105114600*ep^2*z4+1718774040726\
         1409913454713788185756328585732280221/
         148385006854531580903449680000*ep^2*z3-
         10235121037814927472875087616843862267225339889904046887192484\
         62952854267081851610565767708440977207234722307754211422255691\
         149568028027444609383565637/7366422894955599525802020717513833\
         69390120252898444363049035199142113235061359807807922612161777\
         43539994624000000000000000000000000*ep^3-
         1116705681593554045882512624860/1242245403*ep^3*z6-52922330971\
         040767463060247078719804956/53295402346072425*ep^3*z5+
         17187740407261409913454713788185756328585732280221/
         98923337903021053935633120000*ep^3*z4+585147633020177596845481\
         08312969570628869897730202248104143/30557203425366574974819491\
         0877984000000*ep^3*z3-162852917664618542388867460408/
         1242245403*ep^3*z3^2;
Fill mncnoptab(20,2,1,7)=
      +mncF321*(697345000752400000+5966784269761647732400/969*ep+
         544408396423973678414428/26163*ep^2+
         393635768749503684141960568/10072755*ep^3)
      -42792823742514062716546104985043332606847355345320165179/
      12472327928721051010130404525632000000+31042430881721909/25351947
         *ep^-3+507710683842414823685578523/17402580357901200*ep^-2+
         5198450007432919636730949695287550281/
         35837460899536669702560000*ep^-1-232647020673521637483400256/
         25351947*z3+61344187362170121275341214634705686871550330908093\
         0722076476493178008521537083800764328503813672927178667/
         19564354854801677582292688419107868481082723368679604171832924\
         569600000000000000000000*ep-116323510336760818741700128/
         8450649*ep*z4-72507726099172076632142698714938899/
         457962640997400*ep*z3-3672189534793984981750738703986199275130\
         36921674729055805830401926250865119825081402512391843497671757\
         769068732469/2762691000847842165720266082103619162812875194627\
         742174693529510296630067200000000000000000000*ep^2-
         7522253620981714426489919644/8450649*ep^2*z5-72507726099172076\
         632142698714938899/305308427331600*ep^2*z4+6407339236657887930\
         2062608267330135414956321083/232943495846988353066640000*ep^2*
         z3+10309110718601871743841701585000041980649169056377533952044\
         76315282723171230128822948654521040434951470371849800934427847\
         65871411637533777494473044618976411/
         29261627939378286464170337451421100624829658791221807946855898\
         83598429182305230133450179052061758639973177753600000000000000\
         00000000000*ep^3-55835284605679054104965896690/25351947*ep^3*
         z6-21598320203889902394675721158964264087/8701290178950600*
         ep^3*z5+64073392366578879302062608267330135414956321083/
         155295663897992235377760000*ep^3*z4+30260283412765757413296451\
         30297048944135717609708068987287/62361639643605255050652022628\
         16000000*ep^3*z3-8142645642114815130927373772/25351947*ep^3*
         z3^2;
Fill mncnoptab(20,2,2,6)=
      +mncF321*(1464424501580040000+4206522241053282890740/323*ep+
         1940701579341707347851764/43605*ep^2+
         284632275024971215576792637/3357585*ep^3)
      -11521148737975047892118573119778384888568615832472971889/
      1599016401118083462837231349440000000-7827110080207966951/
         84506490*ep^-3-14705779155416610411377577073/14502150298251000
         *ep^-2-704434446784783844802670347717464988829/
         194119579872490294222200000*ep^-1-814264452787364854510954888/
         42253245*z3+13324607870502836480305778078203896249734606434699\
         35497647298591711283378096967512108226571780345037602689843/
         20346929048993744685584395955872183220326032303426788338706241\
         552384000000000000000000000*ep-407132226393682427255477444/
         14084415*ep*z4-509405738231460161106406929063687719/
         1526542136658000*ep*z3-125946135043394197126094286776570922224\
         19677349688895078334169021630245439254833755851871790592712071\
         95963709248065819861/45755688356041961948659046851800140574506\
         83897342466589727423574953278717296640000000000000000000000*
         ep^2-26327887276210855059598587662/14084415*ep^2*z5-5094057382\
         31460161106406929063687719/1017694757772000*ep^2*z4+
         108078768080286792005253201081997428953155557577/
         194119579872490294222200000*ep^2*z3+
         84431947530836208556215522748163397399156185194014209258908437\
         32577913814429065601769856429321072315931865649267444575976226\
         435301237212502470949500234345395025407/
         15825601352407485922361000608257015556247374159647039858067611\
         99454398772781156379350020476941423399367061692292792320000000\
         000000000000000000*ep^3-39084698687922600162142404049/8450649*
         ep^3*z6-154600918966484038351848043648817753797/
         29004300596502000*ep^3*z5+108078768080286792005253201081997428\
         953155557577/129413053248326862814800000*ep^3*z4+1568688509393\
         324847056860715968835963780758969870509611453/1484800943895363\
         215491714824480000000*ep^3*z3-28499261291577629349313419526/
         42253245*ep^3*z3^2;
Fill mncnoptab(20,3,1,6)=
      +mncF321*(597724286359200000+1721041797775349335000/323*ep+
         1115771561324575301423030/61047*ep^2+
         2466036556432012562939992066/70509285*ep^3)
      -489060755851087903760373774703131334463699503025946347/166297705\
      716280680135072060341760000-1604063843646991220/59154543*ep^-3-
         2064801979576222002161483453/8121204167020560*ep^-2-2044515755\
         928012058378221966822761683/3344829683956755838905600*ep^-1-
         465293982998105340489208240/59154543*z3+
         10850707792372690213636260202000617004688812251642108052512984\
         29765838418498600433464402357438616525741609909/
         40693858097987489371168791911744366440652064606853576677412483\
         104768000000000000000000000*ep-232646991499052670244604120/
         19718181*ep*z4-346958884292365020326041957891403/2544236894430
         *ep*z3-1022727655226957289465125058659525592088762470537022823\
         68676112163496669235459285428701219320615977969329367626163379\
         0743/915113767120839238973180937036002811490136779468493317945\
         4847149906557434593280000000000000000000000*ep^2-
         15044507054072069015502532160/19718181*ep^2*z5-346958884292365\
         020326041957891403/1696157929620*ep^2*z4+243916671711249189166\
         54209732445411298457739867/108706964728594564764432000*ep^2*z3
         -4341443496424818272875255366422797723580622285665853800484470\
         57650721275627760650360388867716989329469452012942180182101267\
         998011853775286363751538121935665936953/
         83292638696881504854531582148721134506565127156037051884566378\
         91865256698848191470263265668112754733510851012067328000000000\
         00000000000000000*ep^3-111670567948045254265045970600/59154543
         *ep^3*z6-4450017265985327560567908165722340533/
         2030301041755140*ep^3*z5+2439166717112491891665420973244541129\
         8457739867/72471309819063043176288000*ep^3*z4+1269857607176863\
         327938003390838655621863169739544784584561/2910209850034911902\
         363761055980800000*ep^3*z3-16285292086453508341740050560/
         59154543*ep^3*z3^2;
Fill mncnoptab(20,3,2,5)=
      +mncF321*(1046017501128600000+3035330933576797355500/323*ep+
         16738823845798325425180/513*ep^2+638509390149438345740840863/
         10072755*ep^3)
      -9405124457355952680303293351399765779796747261285267/18274473155\
      63523957528264399360000-7198107125579166745/16901298*ep^-3-
         1746757659409605373085414633/290043005965020*ep^-2-19772122803\
         417870908934392622376701019/621182655591968941511040*ep^-1-
         116323439900472968592296920/8450649*z3+
         18053725053569211288770991108824051142738595867563102749621720\
         15856166955015049457592861491794294296133343879/
         39066103774067989796322040235274591783025982022579433610315983\
         780577280000000000000000000*ep-58161719950236484296148460/
         2816883*ep*z4-256679786873405852600537660065613/1071257639760*
         ep*z3-67442514589418368939246978971397017857219839799690742301\
         469268450523395952299525117213521957823455193249716573956776721
       /351403686574402267765701479821825079612212523315901434091066130\
         556411805488381952000000000000000000*ep^2-
         3761126548421184369399778130/2816883*ep^2*z5-25667978687340585\
         2600537660065613/714171759840*ep^2*z4+208607940154015937907255\
         81928624131398684719/55462737106425798349200*ep^2*z3-
         46471669629985855107611339104785440711233053833408848380856643\
         64380643549521689771549722847713277539337795750832657482668843\
         056280977484898185227466553000208137711207/
         98144049347090264696113981372166707673623715588467082383792102\
         54536399429279619402177086989799931353514769790922980851712000\
         00000000000000000000*ep^3-27917640513407700349017593675/
         8450649*ep^3*z6-651113827197880122791764531209511649/
         165738860551440*ep^3*z5+20860794015401593790725581928624131398\
         684719/36975158070950532232800*ep^3*z4+65853107639646296725200\
         824519943470497195935257221322627/8314885285814034006753603017\
         0880000*ep^3*z3-4071323520788302956511640410/8450649*ep^3*z3^2
         ;
Fill mncnoptab(20,3,3,4)=
      +mncF321*(597724286359200000+1753159352922947541000/323*ep+
         1169744757287731359427940/61047*ep^2+
         2679002192249961181408969622/70509285*ep^3)
      -52672606042426127636198387694184925132525602714719847/1790898369\
      2522534783776991113728000-260591177866744772840/59154543*ep^-3-
         148164116201132370428316699401/2707068055673520*ep^-2-
         10312405223504206024883556489269470100749/
         43482785891437825905772800*ep^-1-465288167160784672270287280/
         59154543*z3+23112213458499074063125855695879131133809111925008\
         278667229969868928191301829670211873153893664280377/
         88303688689000188845257136930761244406076953077808990289617255\
         1372800000000000000*ep-232644083580392336135143640/19718181*ep
         *z4-3677992033544696050403724141766904/26714487391515*ep*z3-
         21107792913716618117360203597111723872725071425850619350407376\
         89417835470313195244294622566316800130824670060365629/
         19658947500665861133745537332689514943340560744945534774325377\
         933225835272077312000000000000000*ep^2-
         15044486579167396642802547920/19718181*ep^2*z5-183899601677234\
         8025201862070883452/8904829130505*ep^2*z4+87717412475065241336\
         0309183486056487669608837/4348278589143782590577280*ep^2*z3+
         85887838155660614695864636088774666612609119257290254304390393\
         72157705500085111162562229887451471869948893445098426886673723\
         8027244008557760732951999507295065741/
         64489313035697709847363897740795619231695786670209520884861740\
         10863841354166188565855204776005854448183640213539728549478400\
         0000000000000000*ep^3-15952918417979073305763341600/8450649*
         ep^3*z6-672526978344345165318553800884227499/290043005965020*
         ep^3*z5+877174124750652413360309183486056487669608837/
         2898852392762521727051520*ep^3*z4+5520029287957841777721514039\
         3541200753607218046541122923/116408394001396476094550442239232\
         000*ep^3*z3-16285357008700342617042997840/59154543*ep^3*z3^2;
Fill mncnoptab(20,4,1,5)=
      +mncF321*(226410714530000000+1982485107466700980000/969*ep+
         1312712409131321350575800/183141*ep^2+
         35034991373016212541425998/2488563*ep^3)
      -555754811823828098761612933450028237406004371537269489/498893117\
      148842040405216181025280000+5578229748588582475/177463629*ep^-3+
         989028930718414937078385275/4872722500212336*ep^-2-64647497770\
         04675273901896074632237847/10034489051870267516716800*ep^-1-
         528743415241592714518170400/177463629*z3+
         19892000998292263074037606755687118682654603356396011028933478\
         0314496094567823187081636304411902879029/200018451323228107757\
         16884600460590992909302795560670008481783695655567360000000000
         *ep-264371707620796357259085200/59154543*ep*z4-
         458349135417263331777308911165/8811210024*ep*z3-
         46130390523717670953054618903903401398124818244186869338212579\
         69639857122225932050463228759956417226956351660547899/
         11244917970380872568502447354298402547590800746108845890914116\
         1778051777756282224640000000000000*ep^2-
         17096031533532995351122252100/59154543*ep^2*z5-
         458349135417263331777308911165/5874140016*ep^2*z4+513402385565\
         8554956018587544301006825533679131/65224178837156738858659200*
         ep^2*z3+964628344318511341825790141094571676747231810115227952\
         91697284998557753855689931465929239915255948975089738554612298\
         2558058886318563673519724048316526025973682127713607/
         60027841301334489531427302883471452284020662097198530944302329\
         45032059259152722532065197593812102754741566095885871180502425\
         56067840000000000000000*ep^3-126898377963393483347121464750/
         177463629*ep^3*z6-2108606257181554962203613192865754765/
         2436361250106168*ep^3*z5+5134023855658554956018587544301006825\
         533679131/43482785891437825905772800*ep^3*z4+30732664586872020\
         8425497483629202432108872633263395996443/174612591002094714141\
         8256633588480000*ep^3*z3-18506010240767848474537057300/
         177463629*ep^3*z3^2;
Fill mncnoptab(20,4,2,4)=
      +mncF321*(316975000342000000+2798652281914238750000/969*ep+
         15773624373417798793100/1539*ep^2+123602511347590059770901418/
         6043653*ep^3)
      -59854791565920781626923778180502387278986135179431829/3837639362\
      6834003108093552386560000-42747626148799112125/25351947*ep^-3-
         14930598857990823175245737879/696103214316048*ep^-2-1803913055\
         709822802657894770292614477929/18635479667759068245331200*
         ep^-1-105747664971608807933770400/25351947*z3+
         11127892253147403404947604181107667429828200363796636071316368\
         6950414421398313627522010985186094434236269/
         80364556335225579009576768483993445953653448732163406284078595\
         20575897600000000000000*ep-52873832485804403966885200/8450649*
         ep*z4-446608911542375611496030203389887/6106168546632*ep*z3-
         71592419773144695517396943180996776741230440440928471251831285\
         5472244385503848022199788168317031902425018718836509309/
         12650532716678481639565253273585702866039650839372451627278380\
         700030824997581750272000000000000000*ep^2-
         3419202761246866431864672100/8450649*ep^2*z5-44660891154237561\
         1496030203389887/4070779031088*ep^2*z4+97583827881227687693595\
         9584144693570725673113/9317739833879534122665600*ep^2*z3+
         17768497936292084876982099111672517591424532907369927807434779\
         28125684060867220711485372104232065419487112023807746335416664\
         800736718470030499605654195372362345754831/
         45648760232318623915456535015822179073155862594507809358349382\
         73589970102546536576340606700695744071146789725154096853748285\
         44000000000000000000*ep^3-25379651546922476219150614750/
         25351947*ep^3*z6-432344086481799163818296021881108513/
         348051607158024*ep^3*z5+97583827881227687693595958414469357072\
         5673113/6211826555919689415110400*ep^3*z4+63637027858454183877\
         688978039265110322017478407404367669/2494465585744210202026080\
         90512640000*ep^3*z3-3701213671206888187006584500/25351947*ep^3
         *z3^2;
Fill mncnoptab(20,4,3,3)=
      +mncF321*(135846428718000000+404291680171712190000/323*ep+
         275817823484210063832100/61047*ep^2+
         129816000107480630888667446/14101857*ep^3)
      -479050133337421366051108000893055103564397489994829/716359347700\
      901391351079644549120-371131876170555536725/59154543*ep^-3-
         14065096648999144318005112931/180471203711568*ep^-2-2667431020\
         42438935940455853496222901011/790596107117051380104960*ep^-1-
         105740610716051554521231200/59154543*z3+
         80326086458778547084255923994483435416774948610328540977831466\
         66394244844963031591189632608574708269033/13718317667408060107\
         06779336502810840019330880276484898376238526732697600000000000\
         000*ep-52870305358025777260615600/19718181*ep*z4-1347572170889\
         408924355614544510901/42743179826424*ep*z3-
         72648804259740245062960442018093500065800196466019327747277624\
         47418704371055355577881973496742421679218709425052959/
         30849425308737197471416073968220469603395956861299146876633669\
         9875236184269520896000000000000000*ep^2-
         3419177544440042792270839300/19718181*ep^2*z5-1347572170889408\
         924355614544510901/28495453217616*ep^2*z4+18131860587051186650\
         2448314581895067033752961/4348278589143782590577280*ep^2*z3-
         53690058242990406011988002309035813291908815804513594257581020\
         50216381589432125214902946855820492255444082657193879622316325\
         928935004085519641686974769598088279867/
         70501701297179680950056593437860564655450809242847516216588850\
         03261301025031528607533397713584246416737376516525124780399001\
         6000000000000000000*ep^3-3625640008072884579389745250/8450649*
         ep^3*z6-5801596772435762209717850107095749/10547018398728*ep^3
         *z5+181318605870511866502448314581895067033752961/
         2898852392762521727051520*ep^3*z4+2657332327996506913411232870\
         126695108106684768364384529/23281678800279295218910088447846400
         *ep^3*z3-3701289906499531130086246100/59154543*ep^3*z3^2;
Fill mncnoptab(20,4,4,2)=
      +mncF321*(20582792230000000+62175353786571610000/323*ep+
         1431546989502419508122300/2014551*ep^2+
         62942402072170036935909686/42305571*ep^3)
      -299854774058831638092252018454830974438645122422870881/295498230\
      9266218239323203533765120000-7233741827281916803025/1952099919*
         ep^-3-821011522806269921239353058625/17866649167445232*ep^-2-
         284437493823640915071360700792250163219781/
         1434931934417448254890502400*ep^-1-528581318467461485160282400/
         1952099919*z3+587872153996777667967645551942899715145344002572\
         868338406257664509606424713755146280170440744420651237181/
         67297874768127790422464101311966363444892758364230170966037668\
         0593411276800000000000000*ep-264290659233730742580141200/
         650699973*ep*z4-6789591096542847523811724060829145/
         1410524934271992*ep*z3-520658818640210059620427588409988087342\
         23796332352888784960482410628307524816189408033536448324398541\
         6198403699133143/151337854351375909984428770643266000952992860\
         041381550948552480226294684230329827328000000000000000*ep^2-
         1554132750728007534472059100/59154543*ep^2*z5-6789591096542847\
         523811724060829145/940349956181328*ep^2*z4+4063202719162573580\
         276106267538396472507012501/717465967208724127445251200*ep^2*
         z3+37694133331163391045777809982676589149836031502744529764585\
         19643766742350724854056784947812762800568853232432431785223251\
         0223715785247362302668370225598284229997203/
         13533644519117845167592113787058005457582489311231614784163775\
         93479306595136622945362430112182115041769461282283608328089527\
         9104000000000000000000*ep^3-18127785519841709697292024250/
         278871417*ep^3*z6-332961987320306756460816902144927195/
         3828567678738264*ep^3*z5+4063202719162573580276106267538396472\
         507012501/478310644805816084963500800*ep^3*z4+3179904119003568\
         8113483245675758464518583006073496100483/174612591002094714141\
         8256633588480000*ep^3*z3-18507815957015550641477431300/
         1952099919*ep^3*z3^2;
Fill mncnoptab(20,5,1,4)=
      +mncF321*(39375776440000000+351497311027546970000/969*ep+
         239694461014168157990200/183141*ep^2+6630010758945710679357977/
         2488563*ep^3)
      -6904019359400707177374892933755116217439703504243339/35635222653\
      488717171801155787520000-5954596655135962600/177463629*ep^-3-
         1243956457241680691911495315/2436361250106168*ep^-2-1370156716\
         998584423452954299947021039/456113138721375796214400*ep^-1-
         91955143703370152440757600/177463629*z3+
         38232251518789168132489610605073361970241261721862379441396755\
         3153341900724114113147452128959875599929967/
         22502075773863162122681495175518164867022965645005753759542006\
         6576125132800000000000000*ep-45977571851685076220378800/
         59154543*ep*z4-6974745435714111626135207474875/763271068329*ep
         *z3-3461052391590761529406887501802394253090065290657686813762\
         34564962734578882494413706882694284625281646635446875321741/
         50602130866713926558261013094342811464158603357489806509113522\
         800123299990327001088000000000000000*ep^2-
         2973222147000962487512502400/59154543*ep^2*z5-
         6974745435714111626135207474875/508847378886*ep^2*z4+
         394675034512989256802821856206559866570402277/
         32612089418578369429329600*ep^2*z3-
         58560130206902241373775627829134687504078001068137371276690880\
         67470323326158690943337893259733985371319088805510181338853450\
         658325833021184471327168842015205049368185294991/
         45921298595520884491541886705855660997275806504356876172391282\
         02949525333251832737029876159266258607377298063352691453084355\
         553918976000000000000000000*ep^3-22069278243248793275241874000/
         177463629*ep^3*z6-8824373525285445312728256841450205/
         55371846593322*ep^3*z5+394675034512989256802821856206559866570\
         402277/21741392945718912952886400*ep^3*z4+22238886383338790375\
         81807981112971532473242736425524887/67158688846959505439163716\
         676480000*ep^3*z3-3218439768495173083493715200/177463629*ep^3*
         z3^2;
Fill mncnoptab(20,5,2,3)=
      +mncF321*(41344565262000000+124100930630616940000/323*ep+
         12250353939458924486600/8721*ep^2+5854082904995668301929370/
         2014551*ep^3)
      -2603561903512219670851557870038070956164600272525461/12792131208\
      944667702697850795520000-11078446238385103175/8450649*ep^-3-
         564532827354786276964222489/33147772110288*ep^-2-4935450533455\
         69209361249918762636182301/6211826555919689415110400*ep^-1-
         4597532642758454086511200/8450649*z3+4273516181046233919817789\
         67802955126364704253028516478485530122078916268278193923856836\
         734788326592758279/2428795480353484165622764558627357477710415\
         33946093850102993087732960460800000000000000*ep-
         2298766321379227043255600/2816883*ep*z4-
         19617877819307621604996814940009/2035389515544*ep*z3-
         26694135218285302399327578359845982941254532591466271790350698\
         13927330679946046502613166000104994759626135957199528119/
         38232721099294966732908321004614568661808722536770076029107995\
         0045376044371359563776000000000000000*ep^2-
         148660295942827672706600300/2816883*ep^2*z5-
         19617877819307621604996814940009/1356926343696*ep^2*z4+
         3370898085723733263275370661885249099433047/
         282355752541804064323200*ep^2*z3-
         18138601993996254708920659411370655690932129752612806121173920\
         20839599673159835765516932416990694823405325707114913337177810\
         250208083128329047311242036869473729876012703799484143/
         15072098136672135139700431658621461503117283918625625453964070\
         00166214303145200829641777532767340369707301723783876110900134\
         385543507083264000000000000000000*ep^3-
         1103458387964311410083224250/8450649*ep^3*z6-19906921122114328\
         393707897639483611/116017202386008*ep^3*z5+3370898085723733263\
         275370661885249099433047/188237168361202709548800*ep^3*z4+
         2981322479675459556018692733175079761085739328266955901/
         83148852858140340067536030170880000*ep^3*z3-
         160924357343975162771614300/8450649*ep^3*z3^2;
Fill mncnoptab(20,5,3,2)=
      +mncF321*(11812732932000000+35866007220576390000/323*ep+
         1483118322362307698600/3591*ep^2+12302896842876774251669975/
         14101857*ep^3)
      -162980732165549540478644824441725114165367519101401/279827870195\
      6646059965154861520000-129818940835428096850/59154543*ep^-3-
         921479816351656474122343787/33838350695919*ep^-2-1279296829039\
         711123838230354507485267833/10870696472859456476443200*ep^-1-
         9192617105260396524142400/59154543*z3+
         48391970319770974932167356932507792495652042745978353695815555\
         794080180524197329348648740384948118616590089/
         96908939666104018208348305889231563360645572044491446191094242\
         005451223859200000000000000*ep-4596308552630198262071200/
         19718181*ep*z4-3115715803010182825631659220273/1124820521748*
         ep*z3-42620294968937910859048740445305328595360426055929944787\
         502705111811754501271216643770167160236480369775827801506215167
       /217926510265981310377577429726303041372309718459589433365915571\
         52586434529167495135232000000000000000*ep^2-
         297312008474144296815730600/19718181*ep^2*z5-
         3115715803010182825631659220273/749880347832*ep^2*z4+
         16954846411189155393873707531672577419122471/
         5435348236429728238221600*ep^2*z3+
         55614691272364428447880263222429206549360696980619910989847045\
         69044727972248009390613695349628577509955623376210992538596360\
         73175145246312391793822313418023421028421/
         10164043230684422493212036476810910221204808299047416817494427\
         64082418014306688252843620982210241500757472963021158907626420\
         96128000000000000000000*ep^3-315265502970418747829660500/
         8450649*ep^3*z6-2937206019909615125527623872401463/
         58008601193004*ep^3*z5+169548464111891553938737075316725774191\
         22471/3623565490953152158814400*ep^3*z4+7735304035304506043290\
         18090076118388430893304936668379/72755246250872797559094026399\
         520000*ep^3*z3-321876281586991600111814600/59154543*ep^3*z3^2;
Fill mncnoptab(20,5,4,1)=
      +mncF321*(894904010000000+2758410999928740000/323*ep+
         65436853936986677306200/2014551*ep^2+2981986748551132941646294/
         42305571*ep^3)
      -170109790407848803453408512235557952755591293981615797/384147700\
      20460837111201645938946560000-110761313855516487475/1952099919*
         ep^-3-6955800862700170155103970315/5955549722481744*ep^-2-
         12346049669497270325014182166701072849569/
         1434931934417448254890502400*ep^-1-22987042572233468022413600/
         1952099919*z3+113932624991523773365850133408765233827709882064\
         49302441448173877023886043053153508648493082187964329896561/
         30687830894266272432643630198256661730871097814088957960513176\
         6350595542220800000000000000*ep-11493521286116734011206800/
         650699973*ep*z4-298399360735454104215589434518095/
         1410524934271992*ep*z3-982944322712388843935029115784119486314\
         74770400790768598667754064766405972467491807613703757007622581\
         78898632485384883/69010061584227414952899519413329296434564744\
         178869987232539930983190376009030401261568000000000000000*ep^2
         -67572595913983558374434900/59154543*ep^2*z5-29839936073545410\
         4215589434518095/940349956181328*ep^2*z4+148099179273253290337\
         911571495543436436487969/717465967208724127445251200*ep^2*z3+
         40304354252929460448287261118760797127401059841573006746160862\
         05223000709883043295509686571024777246334856086186350999573360\
         53484111168617654608150906665740834769478801/
         12774677734485716410593548045879792511521263310657745827067871\
         38036987081281361130586505031490942030227029893573143573050267\
         185184768000000000000000000*ep^3-788181650924722842262120750/
         278871417*ep^3*z6-15311656197992248316935176385446265/
         3828567678738264*ep^3*z5+1480991792732532903379115714955434364\
         36487969/478310644805816084963500800*ep^3*z4+14692117759909953\
         62840047520219501734103695393504818227/17461259100209471414182\
         56633588480000*ep^3*z3-804623833972884491583418700/1952099919*
         ep^3*z3^2;
Fill mncnoptab(20,6,1,3)=
      +mncF321*(2953183233000000+9038452268004016000/323*ep+
         6426545383029163355860/61047*ep^2+1764430729137924228206404/
         7834365*ep^3)
      -24174908732782676941659351799113850202549426034841963/1662977057\
      162806801350720603417600000+1879750082009107165/118309086*ep^-3+
         96101104954960867976248765/3248481666808224*ep^-2-392336421859\
         96125877381263449023584149/33448296839567558389056000*ep^-1-
         2298918413332031354673680/59154543*z3+
         63284398394697672387010471794876421631977193145452902387890622\
         7247589794630475773595077680156972321782727/
         51004705087423167478078055731174507031918722128679708521628548\
         42392169676800000000000000*ep-1149459206666015677336840/
         19718181*ep*z4-8494639540226491279531849098589/12212337093264*
         ep*z3-55591005145273724334373539427226954492554153168122175418\
         7999113102074043700403858804467855325067106267660169022798201/
         11469816329788490019872496301384370598542616761031022808732398\
         50136128133114078691328000000000000000*ep^2-
         74330675635814978337417070/19718181*ep^2*z5-
         8494639540226491279531849098589/8141558062176*ep^2*z4+
         158263248281917303362701281472776538026600177/
         217413929457189129528864000*ep^2*z3+
         43325827136798825312823270482722363431551534881312637906019590\
         08184074116917113526894491919053706011954402951890774135429719\
         36595282794260136378702057542653299316855341278514298936689/
         95458019784389912253210392576126631139595580764628745618342244\
         12367653789219546510738394185849746441989180487913128552503473\
         31761587327831375872000000000000000000*ep^3-
         551732771235282259143943825/59154543*ep^3*z6-21024937684137184\
         254685854998531171/1624240833404112*ep^3*z5+158263248281917303\
         362701281472776538026600177/144942619638126086352576000*ep^3*
         z4+15909531570788752177956032723681934125648945051485327081/
         5820419700069823804727522111961600000*ep^3*z3-
         80460429259169082161779910/59154543*ep^3*z3^2;
Fill mncnoptab(20,6,2,2)=
      +mncF321*(2067228263100000+6383826427580602000/323*ep+
         657090775553246517730/8721*ep^2+15713493071116327463609/95931*
         ep^3)
      -2608360260433789825855950415786255450249716704649677/25584262417\
      8893354053957015910400000-13934303410540047535/33802596*ep^-3-
         23728571092171138267497910427/4640688095440320*ep^-2-275146936\
         8235015976137095594045669017149/124236531118393788302208000*
         ep^-1-229807809155457355052360/8450649*z3+
         20876027013614230943704140049984751216137742340105523527981097\
         0551240504824676128015071541883466111909729/
         24227234916526004552087076472307890840161393011122861547773560\
         50136280596480000000000000*ep-114903904577728677526180/2816883
         *ep*z4-11946213659626350243751996510655/24424674186528*ep*z3-
         18044002376065873558496824614095389249637130339575447738524215\
         7241368562811148271036352054586923774053285758017588883/
         54481627566495327594394357431575760343077429614897358341478892\
         8814660863229187378380800000000000000*ep^2-
         7432776085940064206529715/2816883*ep^2*z5-
         11946213659626350243751996510655/16283116124352*ep^2*z4+
         29116855488831311935452892638815127505568189/
         62118265559196894151104000*ep^2*z3+
         12453544950947623391130062786466807085930123482760649569623462\
         23550266528943607913383309675551097319493738441031379554690069\
         186459850128285622800787023523356055186315095195115657/
         10738869922378896287036557556767791320971064792020758135949399\
         87618427690990955591119766492096730013416452478196011729016345\
         7496997487968256000000000000000000*ep^3-
         110342602243323676322683925/16901298*ep^3*z6-43087800082420476\
         19315098638944423/464068809544032*ep^3*z5+29116855488831311935\
         452892638815127505568189/41412177039464596100736000*ep^3*z4+
         3260369481196987595498564061304641330321725356153349621/
         1662977057162806801350720603417600000*ep^3*z3-
         8047009884576367653017615/8450649*ep^3*z3^2;
Fill mncnoptab(20,6,3,1)=
      +mncF321*(295318323300000+922611120397538000/323*ep+
         676165303681990125250/61047*ep^2+1732963241220641576735207/
         70509285*ep^3)
      -34082894485395103803502338306190005067110575527211801/2328167880\
      0279295218910088447846400000-7562521435308780655/236618172*ep^-3-
         19215775326226205953615335403/32484816668082240*ep^-2-
         3522628800676187567890450373577300616717/
         869655717828756518115456000*ep^-1-229860079213202351755400/
         59154543*z3+38980987800925031701138631963398086587253708149847\
         9688472989772632532649705389555139488806794285774280513/
         32302979888701339402782768629743854453548524014830482063698080\
         668483741286400000000000000*ep-114930039606601175877700/
         19718181*ep*z4-20035534976330647643958949294729/
         284954532176160*ep*z3-1568841816104083777929587960683857630131\
         22684450688737357856598004263855022769863343776986345402607673\
         62755693908979/34591509566028779425012290432746514503541225152\
         3157830739548526231530706812182462464000000000000000*ep^2-
         7432940528354873664961075/19718181*ep^2*z5-
         20035534976330647643958949294729/189969688117440*ep^2*z4+
         25745975821188192842418989850938871135171149/
         434827858914378259057728000*ep^2*z3+
         42713777308875233080124186720340086181198561106184413965907291\
         76489120379378790085279885681603493750451206327828804852985592\
         2437503588690968992290620469811354671358183813568819/
         77319863441128053266663214408728097510991666502549458578835679\
         10852679375134880256062318743096456096598457843011284448917689\
         39783819133714432000000000000000000*ep^3-
         15763543932751013316519875/16901298*ep^3*z6-317535206245330776\
         2623700511292133/2320344047720160*ep^3*z5+25745975821188192842\
         418989850938871135171149/289885239276252172705152000*ep^3*z4+
         3355473655381466377827687914221417989740658134993173157/
         11640839400139647609455044223923200000*ep^3*z3-
         8046297112606548155223695/59154543*ep^3*z3^2;
Fill mncnoptab(20,7,1,2)=
      +mncF321*(78751552880000+756142001821434800/969*ep+
         572959525305742206944/183141*ep^2+507857499599257111828549/
         70509285*ep^3)
      -4848479267387892841341376904427801272370882581867321/12472327928\
      721051010130404525632000000-1698024576639304199/177463629*ep^-3-
         16648583060046033916349446109/121818062505308400*ep^-2-
         178167288583965890919137770014953313763/
         250862226296756687917920000*ep^-1-183864460030504373034304/
         177463629*z3+1710343494097505826961062885853370741034204963182\
         755216334992622911547049614689488961764782116172451749/
         56671894541581297197864506367971674479909691254088565024031720\
         4710241075200000000000000*ep-91932230015252186517152/59154543*
         ep*z4-8698610082151987864183393030357/457962640997400*ep*z3-
         13155008771086269302677550683412091035651605827576107102934952\
         29427545259152808354625334147157369911592337436002267/
         12744240366431655577636107001538189553936240845590025343035998\
         3348458681457119854592000000000000000*ep^2-
         5946292398954825950779916/59154543*ep^2*z5-
         8698610082151987864183393030357/305308427331600*ep^2*z4+
         744810780973332114983008499184588807603719/
         65224178837156738858659200*ep^2*z3-
         27160133016303393039977610714524298063241782761115257126753911\
         17582164122322177478450183343108849921893204188265450043244963\
         50622768300726314332441104371975191692056718001923507797/
         59290695518254603883981610295730826794779863828961953800212573\
         98986120365974873609154282103012264870800733222306291026399672\
         868084393340567552000000000000000000*ep^3-
         44137531842084933698263610/177463629*ep^3*z6-23675769165426304\
         841123849602693127/60909031252654200*ep^3*z5+74481078097333211\
         4983008499184588807603719/43482785891437825905772800*ep^3*z4+
         3571526239705390445539029375781678821378188748268995899/
         43653147750523678535456415839712000000*ep^3*z3-
         6437453498265175426070524/177463629*ep^3*z3^2;
Fill mncnoptab(20,7,2,1)=
      +mncF321*(27563043508000+267034396098149680/969*ep+
         146402986299112164986/130815*ep^2+43928985866665098297827/
         16787925*ep^3)
      -34203283242690652816656447597258493504540969412956697/2494465585\
      74421020202608090512640000000-6816972379815107939/507038940*ep^-3
         -61637037277329195566598827339/348051607158024000*ep^-2-
         8121185119692799295918366540864187360589/
         9317739833879534122665600000*ep^-1-45945640707293449895656/
         126759735*z3+9510126542431260634161390314821674983204673774910\
         0074399536561001509291674971091265179768038666747660013/
         87679516840760778378981800566447604945345993754539879887180504\
         671598726348800000000000000*ep-22972820353646724947828/
         42253245*ep*z4-61167324059184188464719509080699/
         9159252819948000*ep*z3-590238519925316441765767784858864316348\
         90712533927739263480772232186929988466170344045963830248681807\
         999877464959837/1533556924093942554508878209185095476323660981\
         7526663829453317996264528002006755835904000000000000000*ep^2-
         1486491200727974499322199/42253245*ep^2*z5-
         61167324059184188464719509080699/6106168546632000*ep^2*z4+
         3183319755521101216255234547897075342011369/
         931773983387953412266560000*ep^2*z3+
         50312620800534966569328610510770045769385806252239503905721350\
         58890556474921807605577821715611944446298405639180708937644693\
         60093109958932670281963503373457944031154401456234349842046859/
         17322068465763634810793486560241842442450902597288935762796373\
         87521668049607741490927202900708804926389986070012977224843868\
         25146503608642728318312906752000000000000000000*ep^3-
         4413527961476630048070941/50703894*ep^3*z6-2421804768101137225\
         4016967373141027/174025803579012000*ep^3*z5+318331975552110121\
         6255234547897075342011369/621182655591968941511040000*ep^3*z4+
         39828452209674465282040615403157376300405534428769919/13705854\
         86672642968146198299520000000*ep^3*z3-
         1609527153784991977746691/126759735*ep^3*z3^2;
Fill mncnoptab(20,8,1,1)=
      +mncF321*(432700840000+31831134245996800/6783*ep+
         27153072347336318164/1281987*ep^2+39519282886990142248916/
         712927215*ep^3)
      -4968177903444880165466493504847109942960452624789151/22699636830\
      27231283843733623665024000000-2038970647955309783/2484490806*
         ep^-3-185301472261035399715856568659/22170887375966128800*
         ep^-2-20745622898564527070264197443066505599469/
         593540027418126323613798720000*ep^-1-7075526951567001425744/
         1242245403*z3+366671848758441792242812129074229987566734095659\
         944274537353898894754218697021/2397418102467798822460430532568\
         0522647867082213897430630400000000*ep-3537763475783500712872/
         414081801*ep*z4-1306622174355245320929424796971/
         11907028665932400*ep*z3-29039763038327683798566355763120717255\
         987660022486886654325870570322484663746887159580361/
         64181626208339438626238149073548230007352000995491980219542142\
         9760000000000*ep^2-228687016039254982675126/414081801*ep^2*z5-
         1306622174355245320929424796971/7938019110621600*ep^2*z4-
         412739090664004198166427684686480826778219/
         11870800548362526472275974400*ep^2*z3+
         33401795417008782952577043163683488765165814627708336744479674\
         91652512959202737458528103545256238976838186962930382995614287\
         1605923317357/120043188980558486146473065482539601644427900967\
         25055180692050276608661105254153037389177669281015197073408000\
         0000000000000*ep^3-1697463802915494866499085/1242245403*ep^3*
         z6-29406004962532844652024647671728467/11085443687983064400*
         ep^3*z5-412739090664004198166427684686480826778219/
         7913867032241684314850649600*ep^3*z4+4086840754346019903344558\
         319621774593212987413633364709/7944872890595309493453067682827\
         584000000*ep^3*z3-247353909472835395911854/1242245403*ep^3*
         z3^2;
Fill mncnoptab(21,1,1,7)=
      +mncF321*(12203537513167000+213562076092331193227/1938*ep+
         252119330881529789072068/654075*ep^2+
         3953333613335701365918975143/5237832600*ep^3)
      -243384285622766182737015290431443576150210879290530410367/
      4053506576834341578292381470830400000000+2776934625456315629/
         10140778800*ep^-3+103688310299813452390217038267/
         45246708930543120000*ep^-2+65559853212256951836709950742815013\
         2101/173043739772048490849504000000*ep^-1-
         101783070264870258770479931/633798675*z3+
         15789601712320875004490494899614309568761387380388748687667399\
         7880495579667147297633484695864188239/294077002988240704399541\
         372341087489193763879399344699552563200000000000000000000*ep-
         101783070264870258770479931/422532450*ep*z4-667460172425905801\
         3492756313984296487/2381405733186480000*ep*z3-
         25120834223262244775844631197621149954103994500277424961755949\
         154173187862199604670673634733576972805367457633/
         11336800192873089695190485816713083685785157048661820792618650\
         136949555200000000000000000000*ep^2-
         13163943726654501363003271051/845064900*ep^2*z5-66746017242590\
         58013492756313984296487/1587603822124320000*ep^2*z4+
         2581809208255881032146751481368300289493085820167/
         605653089202169717973264000000*ep^2*z3+
         78283404950578861741365427701540413267524100500341274114059164\
         07606855413574245253207077974228039674062374227083604610520429\
         70930132342113019554491859/40465214201881949776089331492465446\
         99200830640921726688177523287804465559945905066699983056602961\
         0822139904000000000000000000000000*ep^3-
         39084698898904023053927893429/1014077880*ep^3*z6-2314560219410\
         0070852873368151995990491/497216581654320000*ep^3*z5+
         2581809208255881032146751481368300289493085820167/
         403768726134779811982176000000*ep^3*z4+59252890781900465856128\
         45480038021419651825303660701125783/62361639643605255050652022\
         6281600000000*ep^3*z3-14249629876260050454107450423/2535194700
         *ep^3*z3^2;
Fill mncnoptab(21,2,1,6)=
      +mncF321*(20920350022572000+61571375124355818722/323*ep+
         147423269986834985670046/218025*ep^2+
         135702643588140651193220459/100727550*ep^3)
      -10698207791882551159815335219492246854188825032537133223/
      103936066072675425084420037713600000000-9608972794830253/
         845064900*ep^-3-127166878866547770386439859/41434715137860000*
         ep^-2-14388684484543131900683229061169564821/
         597291014992277828376000000*ep^-1-58161755249548322867463332/
         211266225*z3+2201795710562910081506086080115511516377199444998\
         825780168841401786579730803903137699746198569325039/
         24129395116983852668680317730550768344103702925074436886364160\
         00000000000000000000*ep-29080877624774161433731666/70422075*ep
         *z4-24563865669787651291039205240990719/5088473788860000*ep*z3
         -4490636049731535371618911253981573089391133596659603934907922\
         34110375812792158670298106852647889456813311956049/
         12058135057946686095549234676845825002924383565528242438492771\
         2757678080000000000000000000000*ep^2-
         1880563406992112508458727493/70422075*ep^2*z5-2456386566978765\
         1291039205240990719/3392315859240000*ep^2*z4+26847719909925236\
         442834818333172537733460505887/3882391597449805884444000000*
         ep^2*z3-850730056953984938545912738610812963897892249725052885\
         02267416359603963345964042244674151556944994498956755079556133\
         2056164661704619410675794163732747397/
         93837794164569321480756901030219872460441826452554092738147488\
         75616304236961734723906319683055687186549571584000000000000000\
         0000000000*ep^3-5583528465726789202508719147/84506490*ep^3*z6-
         23780197437412896425708950600589986891/290043005965020000*ep^3
         *z5+26847719909925236442834818333172537733460505887/
         2588261064966537256296000000*ep^3*z4+2196613548255907199644476\
         90537034954539810413314397392111/12992008259084428135552504714\
         200000000*ep^3*z3-2035661410488794295265992089/211266225*ep^3*
         z3^2;
Fill mncnoptab(21,2,2,5)=
      +mncF321*(29886214317960000+88827904404410259660/323*ep+
         302276895738075814191857/305235*ep^2+7459325105891930683410766/
         3711015*ep^3)
      -12858489961757302899422083491706319416585599131655919/8744620943\
      6145189373911089422500000+417226935692213387/591545430*ep^-3-
         743054974789650325661133391/67676701391838000*ep^-2-1049765909\
         627575113860362935370338523783/5435348236429728238221600000*
         ep^-1-116323528961258957795575144/295772715*z3+
         56339014109641419547289963405195183773838915275422409750228325\
         225430041372565443098839406466244701/4371032590105509347840228\
         2780726815981008091773515450193360541292953600000000000*ep-
         58161764480629478897787572/98590905*ep*z4-74069835290818789136\
         625586324468597/10685794956606000*ep*z3-
         36483350907195738541026989314150357785833245675161861673750178\
         061144122598441272060476633682599073347973497111/
         70210526788092361191948347616748267654787716946234052765447778\
         33294941168599040000000000000*ep^2-
         3761126856936426318992208506/98590905*ep^2*z5-7406983529081878\
         9136625586324468597/7123863304404000*ep^2*z4+25166893491644393\
         425212213531803242666022708327/2717674118214864119110800000*
         ep^2*z3-290901949493735147970434869695374570077985274994904694\
         91076637002119722953012113407883191896300009008341791582194793\
         82058188799228863816087541157128656517/
         41282527723682744495973071716564154865607535869800549927458689\
         75040285789696459078680093376013431349078193297617321984000000\
         0000000000*ep^3-797646931560572857084360741/8450649*ep^3*z6-
         499536407597689414273444721989702339/4143471513786000*ep^3*z5+
         25166893491644393425212213531803242666022708327/
         1811782745476576079407200000*ep^3*z4+9123735007537962507844779\
         58906389435643851397056864956449/36377623125436398779547013199\
         760000000*ep^3*z3-4071322497286883437630288738/295772715*ep^3*
         z3^2;
Fill mncnoptab(21,3,1,5)=
      +mncF321*(11886562512825000+70886529305102385875/646*ep+
         3462861376662722817575/8721*ep^2+65328388549279151912279357/
         80582040*ep^3)
      -17683057341913661152904617312834167490888243121267117/3023594649\
      38692145700131018803200000+287998525574594185/135210384*ep^-3+
         165140067273789343258621673/9281376190880640*ep^-2+25740811442\
         0274326652091298832298169/19113312479752890508032000*ep^-1-
         1321858669457006777399875/8450649*z3+3436622241975284605796580\
         75129317771408956804456171299565757801560358281849025033756527\
         9644417883/672466552323924515052342812011181784323201411900237\
         6952824698660454400000000000*ep-1321858669457006777399875/
         5633766*ep*z4-449664349571377899106135208473097/
         162831161243520*ep*z3-4433248224027775486157043455766602801934\
         63348565495987013933536865865422697663824406432380348963190553\
         220767/2160323901172072652059949157438408235531929752191817008\
         16762394870613574418432000000000000*ep^2-
         170960316894028220134582175/11267532*ep^2*z5-44966434957137789\
         9106135208473097/108554107495680*ep^2*z4+447490400802310481550\
         143483316985537022357621/124236531118393788302208000*ep^2*z3+
         70073526522571740190454503595113173481949454992887569105925084\
         50940707934933854624692333521353926178959349982146769024760146\
         3006956230826781054980542501/127023162226716136910686374512505\
         09189417703344554015362294981461662417814450643319015671926195\
         17338177905630036099072000000000000000*ep^3-
         2537967580021283166470735125/67605192*ep^3*z6-4492224398493058\
         73032298405710950733/9281376190880640*ep^3*z5+4474904008023104\
         81550143483316985537022357621/82824354078929192201472000*ep^3*
         z4+8394490412203073915504255033639355968148730107318285377/
         831488528581403400675360301708800000*ep^3*z3-
         185060095099593385686553435/33802596*ep^3*z3^2;
Fill mncnoptab(21,3,2,4)=
      +mncF321*(13584642871800000+40933047570034405500/323*ep+
         28441436219004415137700/61047*ep^2+3598945070620919335161343/
         3711015*ep^3)
      -29926402064264685481578838176008477725264513134793943/4477245923\
      13063369594424777843200000-4502966705450809115/118309086*ep^-3-
         18341498164616158915360297/37598167439910*ep^-2-24240702179106\
         1119694199617292252088299/108706964728594564764432000*ep^-1-
         10574810345243839266720200/59154543*z3+77397114540825902293148\
         40256652873575586151629114338762681755945855295956850063882946\
         055026252813/1338071201052706943216396411654902530030859952250\
         4729651028737130496000000000000*ep-5287405172621919633360100/
         19718181*ep*z4-1356414250716761830932504213276991/
         427431798264240*ep*z3-4828260776196666526394909586289663745570\
         80656368241893169439910563707190961916298889779490580012672078\
         67547417/21063158036427708357584504285024480296436315083870215\
         829634333499884823505797120000000000000*ep^2-
         341920432419899965170520150/19718181*ep^2*z5-13564142507167618\
         30932504213276991/284954532176160*ep^2*z4+94154757573795216859\
         18860839216756809120969/2470612834740785562828000*ep^2*z3+
         27608424812443787034667556572227265674087970460453001778625365\
         57511207781980220072847726671066545933871691870794251430579621\
         451016838240380633916919988890843/
         44708977524748412289138836669038979719452961346993995571437760\
         99968629510241265182210541126222546151051683341319559708672000\
         0000000000000*ep^3-362566602469448591516014375/8450649*ep^3*z6
         -66129762353784890791411128708968419/1160172023860080*ep^3*z5+
         9415475757379521685918860839216756809120969/
         1647075223160523708552000*ep^3*z4+3480331360217878449072847842\
         7738322229041919025385018153/291020985003491190236376105598080\
         0000*ep^3*z3-370120890156293717467244270/59154543*ep^3*z3^2;
Fill mncnoptab(21,3,3,3)=
      +mncF321*(4631128251750000+14154073522869661875/323*ep+
         73666688613535351164025/447678*ep^2+6607920224976490696227563/
         18802476*ep^3)
      -1197544494070439122891713313022622053168854400022959/52533018831\
      399435365745840600268800-233913571252263643975/1735199928*ep^-3-
         858622463939537193873594329/496295810206812*ep^-2-506117902155\
         108626104267714541771949427/63774752640775477995133440*ep^-1-
         13217962728807104015696650/216899991*z3+
         26470245845291146527012780384788872522012843588422772783510906\
         224535242090373650040910553211589551/1365947684407971671200071\
         33689771299940650286792235781854251691540480000000000000*ep-
         6608981364403552007848325/72299997*ep*z4-136657013921537897010\
         9556585830871/1253799941575104*ep*z3-
         13206171635740146893685960287856140398350610908929504132055783\
         49009511088621538937167874820898481024076480091/
         17552631697023090297987086904187066913696929236558513191361944\
         58323735292149760000000000000*ep^2-77708827638497699478952325/
         13145454*ep^2*z5-1366570139215378970109556585830871/
         835866627716736*ep^2*z4+23028799013207277522359813074073733481\
         99841/1992961020024233687347920*ep^2*z3-
         38777315598114923478077140146257676924963775053855013203850464\
         16919272682301605097951443801786618674284734101533793096018523\
         321352729684843029877141467105309/
         10028472042009539700966558502846937812071740635471569839982220\
         00201296758199950454065281099840196115826176193920984573542400\
         000000000000000*ep^3-1812825276152007053410023875/123942852*
         ep^3*z6-68813324514110466443691659509093819/3403171269989568*
         ep^3*z5+2302879901320727752235981307407373348199841/
         1328640680016155791565280*ep^3*z4+1322355753792203385098288637\
         74362494900628324414887811/31042238400372393625213451263795200
         *ep^3*z3-925313831391324750918324275/433799982*ep^3*z3^2;
Fill mncnoptab(21,4,1,4)=
      +mncF321*(2756304350800000+25120211412259964000/969*ep+
         2523841922607450991000/26163*ep^2+6156055653549450991088378/
         30218265*ep^3)
      -33829037503229566968297883408501251838836722836418981/2494465585\
      744210202026080905126400000-55726267465368955/25351947*ep^-3-
         103196954632390530838646623/3480516071580240*ep^-2-10551768530\
         17609332585624824527858789/7167492179907333940512000*ep^-1-
         919551554515495826568800/25351947*z3+2177041958568275121718338\
         86001782170763323683876381931531667465868871660904584588493625\
         1365727409/187329968147378972050295497631686354204320393315066\
         21511440231982694400000000000*ep-459775777257747913284400/
         8450649*ep*z4-19742987804542413769412253782189/30530842733160*
         ep*z3-95882948921529569435810524942869684258325315856431534882\
         80823307111179996605900517220411458153531886112819679/
         21063158036427708357584504285024480296436315083870215829634333\
         499884823505797120000000000000*ep^2-29732221859000152022319100/
         8450649*ep^2*z5-19742987804542413769412253782189/
         20353895155440*ep^2*z4+337471755211989183758782986890338423321\
         18289/46588699169397670613328000*ep^2*z3-
         55972647343688931474900395106217240473402931140189398019634608\
         77442602182474206846835380844263680095320287579459661828233419\
         16630667355113998495191426554958931314777/
         12917057780752816425261347885097824129085805689113178023390066\
         56070973126248723392506012894183290756370103107751694556539749\
         0335744000000000000000*ep^3-220692785056212400600971250/
         25351947*ep^3*z6-2942164671083882880313418883566153/
         248608290827160*ep^3*z5+33747175521198918375878298689033842332\
         118289/31059132779598447075552000*ep^3*z4+40379747203726550000\
         604397224549326849260811288218261/1619782847885850780536416172\
         1600000*ep^3*z3-32184396148478534896551980/25351947*ep^3*z3^2;
Fill mncnoptab(21,4,2,3)=
      +mncF321*(2362546586400000+7256268021805374000/323*ep+
         305125114106973526600/3591*ep^2+679175118354325646686229/
         3711015*ep^3)
      -1301665164734050349581979802970452740032692286877041/11193114807\
      8265842398606194460800000-2963594470051997210/59154543*ep^-3-
         226478677375457855927155429/338383506959190*ep^-2-889121127787\
         41430496410411772697939763/27176741182148641191108000*ep^-1-
         1839046251542304624352000/59154543*z3+247873507663786951780842\
         35319206831934846126907557543307362790486648936675943094986474\
         23470539771/25217495712147169314462855450419316912120052946258\
         913573092619976704000000000000*ep-919523125771152312176000/
         19718181*ep*z4-59571771322784944689550038572117/
         106857949566060*ep*z3-1535212216003127720978033224509870136199\
         51152983923260412204833205342721686787038559918321381705190516\
         1108839/405060731469763622261240467019701544162236828535965689\
         0314294903824004520345600000000000000*ep^2-
         59464234968114844259217800/19718181*ep^2*z5-
         59571771322784944689550038572117/71238633044040*ep^2*z4+
         478784526155778351047862877361143908820211/
         849273161942145037222125*ep^2*z3-
         18296747036951247265037388119290967606592655430923260397999078\
         90830390067381873872748848191741620891307335927763174012446429\
         1722742340797088614243941725063751/
         92570511157011135701229770795510195188354528942814490830605107\
         71088893152614927268294902460063348761472395636193703755776000\
         00000000000000*ep^3-63054878090286510054750500/8450649*ep^3*z6
         -3032749105661499763063355187827753/290043005965020*ep^3*z5+
         478784526155778351047862877361143908820211/
         566182107961430024814750*ep^3*z4+16045622427165249394504520957\
         39345417062714103579595571/727552462508727975590940263995200000
         *ep^3*z3-64369370566733085725982760/59154543*ep^3*z3^2;
Fill mncnoptab(21,4,3,2)=
      +mncF321*(536942406000000+1673338787502876000/323*ep+
         790739405574062094280/39501*ep^2+283575809159735069345426/
         6409935*ep^3)
      -13041662200042987732259165021766013745434262843787421/4924970515\
      443697065538672556275200000-66065971890941615255/650699973*ep^-3-
         2521271300117253799548780271/1985183240827248*ep^-2-1331668364\
         5712299061049351286177158255221/2391553224029080424817504000*
         ep^-1-4596265783207296464450080/650699973*z3+
         54906786695775657742715547669532070194819007054762071055144236\
         293621072871682107205530192418761474417/2491488576360140328268\
         930118501428510917461231090380661021550853698355200000000000000
         *ep-2298132891603648232225040/216899991*ep*z4-
         3159109254169434668423664381845/24746051478456*ep*z3-
         66567435510535218395094928287853394059412932855542921524192502\
         26504339059992143453827663586929488017366003644321/
         80040000538425291758821116283093025126457997318706820152610467\
         299562329322029056000000000000000*ep^2-
         13514170327717985442321220/19718181*ep^2*z5-
         3159109254169434668423664381845/16497367652304*ep^2*z4+
         132292154889041119397769024828992107403276581/
         1195776612014540212408752000*ep^2*z3+
         19330123909666061277234814348283942050739950932879447094657883\
         42553057032948087404137121983725525285318501058804274463564722\
         615443234132995508260232565156284571/
         36583866009250800829126005418385629138437709838200286776255138\
         56734330573913419256430145452217035430533890755423751724282675\
         200000000000000000*ep^3-157632626796959365404339350/92957139*
         ep^3*z6-3154391116129695575870626636309313/1276189226246088*
         ep^3*z5+132292154889041119397769024828992107403276581/
         797184408009693474939168000*ep^3*z4+15144828262749438925042503\
         71181040733918077738601317823/29102098500349119023637610559808\
         00000*ep^3*z3-160938749874004793255965660/650699973*ep^3*z3^2;
Fill mncnoptab(21,4,4,1)=
      +mncF321*(31127096000000+98933347830070000/323*ep+
         2453116944689597297800/2014551*ep^2+117762593612120049965245/
         42305571*ep^3)
      -68238620672814560612698573879709683351276849892493769/4417698552\
      35299626778818928297885440000-179893624681009389800/44898298137*
         ep^-3-14764809661571026814097073277/205466465425620168*ep^-2-
         7997826955145688593497165892630567620943/
         16501717245800654931240777600*ep^-1-18388149090620368803359200/
         44898298137*z3+44161915769001926085984588088454171850010081509\
         7313022806144665389234012388890381249281924043022909/
         35438613021820177829428195872314691249908230250512526409088231\
         0668288000000000000000*ep-9194074545310184401679600/
         14966099379*ep*z4-60662893600894199157472260776147/
         8110518372063954*ep*z3-519604773497067213672207074348220699576\
         33653227326101440456994088405066774002849088194247803037543962\
         941516261/1138478671851441997806360961355064674031251662541902\
         8222078174074767678258544640000000000000000*ep^2-
         54057540434317218547340800/1360554489*ep^2*z5-
         60662893600894199157472260776147/5407012248042636*ep^2*z4+
         41264455349267472594812164853782354204792027/
         8250858622900327465620388800*ep^2*z3+
         11947452554927298426963833625678360805684462728474679267461063\
         75504762630503933892841312217534602706858286956419916502215802\
         45027265023310561904464089099319/
         10283877553620846918852534271767478815550039309102233872000657\
         38104888562971107903645962065614503691047925663524976590848000\
         0000000000000000*ep^3-630539530443517086878174000/6414042591*
         ep^3*z6-1661097831351949435744133311705939/11007132076372509*
         ep^3*z5+41264455349267472594812164853782354204792027/
         5500572415266884977080259200*ep^3*z4+3743415561399097223355770\
         637507948112635197957685299/1188192187292360480846742679660800\
         00*ep^3*z3-643711215313129201797520000/44898298137*ep^3*z3^2;
Fill mncnoptab(21,5,1,3)=
      +mncF321*(258403532887500+806773327125515750/323*ep+
         337443448703853595025/34884*ep^2+33841411025106729947237/
         1580040*ep^3)
      -371876324879093722451515161083542620686056056630251/292391570490\
      163833204522303897600000+403755770081582945/270420768*ep^-3+
         280953467115706621637727877/37125504763522560*ep^-2-4221157780\
         879166499132127196753134129/76453249919011562032128000*ep^-1-
         28736495514819775498075/8450649*z3+173455913087906483053976054\
         07802325110729221437427022704451231518236012010180247240875387\
         991484111/1639137221289566005440085604277255599287803441506829\
         382251020298485760000000000000*ep-28736495514819775498075/
         5633766*ep*z4-3162937737425455802776984845193/51420366708480*
         ep*z3-15047529518734116465477556080374626627313735472587074546\
         1920451255541201617748835161881415210672535167899539/
         37612782207906622067115186223258000529350562649768242552918452\
         67836575626035200000000000000*ep^2-7433068031116154857889875/
         22535064*ep^2*z5-3162937737425455802776984845193/
         34280244472320*ep^2*z4+370255523459315550473163302454200000650\
         4987/70992303496225021886976000*ep^2*z3+
         32689896284653027534707487211982490236287064233901836830838658\
         47446894916549993125426039499020038669633294099348311379866228\
         863166938816156484372577927306201348688265483/
         20758788275151505396763757830342628194118313559545636515089786\
         13527393061642219218706538222027063519716453202749285793572421\
         67604019200000000000000000*ep^3-110346560646149531848425125/
         135210384*ep^3*z6-22192001129402511513228916238133971/
         18562752381761280*ep^3*z5+370255523459315550473163302454200000\
         6504987/47328202330816681257984000*ep^3*z4+3358028466271574993\
         322177488644848823424594453962924757/1330381645730245441080576\
         4827340800000*ep^3*z3-8046041808643171022413295/67605192*ep^3*
         z3^2;
Fill mncnoptab(21,5,2,2)=
      +mncF321*(147659161650000+466228372086763000/323*ep+
         346894012834797051065/61047*ep^2+19046857889689838534143/
         1484406*ep^3)
      -237157676683879897203612080454915927404219072398807/325617885318\
      591541523218020249600000-13437230529355089535/473236344*ep^-3-
         23117962994801550082118156107/64969633336164480*ep^-2-
         2725873196660236775512110307187671201069/
         1739311435657513036230912000*ep^-1-114904900280470731668380/
         59154543*z3+26096056630418701112484368203238179440242522566898\
         5205346018280359594640256075085998929041271240871/
         43710325901055093478402282780726815981008091773515450193360541\
         292953600000000000000*ep-57452450140235365834190/19718181*ep*
         z4-4029641431939050830167509337733/113981812870464*ep*z3-
         31035793834905537519273514376306745403809250995563390876467114\
         480243103398641581676308806545138025338149811203/
         14042105357618472238389669523349653530957543389246810553089555\
         66658988233719808000000000000000*ep^2-
         7432784046963326466847315/39436362*ep^2*z5-
         4029641431939050830167509337733/75987875246976*ep^2*z4+
         22620988371813642154406171377278061271531309/
         869655717828756518115456000*ep^2*z3+
         27155089507588489080889717613630852916296161828429443011840346\
         55584059112331757940819661567491922851080371472729031038485871\
         85774173444776006024967502093142279614923437/
         12301504163052743938822967603166001892810852479730747564497651\
         04312529221713907685159430057497519122794935231258836025820694\
         32654233600000000000000000*ep^3-15763244528806455669432275/
         33802596*ep^3*z6-653103860601523194444521203224145/
         928137619088064*ep^3*z5+22620988371813642154406171377278061271\
         531309/579770478552504345410304000*ep^3*z4+3441674185334803932\
         166070048179793183538233462704057061/2328167880027929521891008\
         8447846400000*ep^3*z3-8046993920143206328047215/118309086*ep^3
         *z3^2;
Fill mncnoptab(21,5,3,1)=
      +mncF321*(16779450187500+53766097074517750/323*ep+
         1797877010843589134485/2686068*ep^2+51432179204365445295841/
         33180840*ep^3)
      -170837295754135833576425728323121958198947457267896909/204878773\
      4424577979264087783410483200000-59632470442185893915/20822399136*
         ep^-3-28097988573647251676578430971/571732773358247424*ep^-2-
         24453634765660998389913509973689384419793/
         76529703168930573594160128000*ep^-1-143651675488195880653895/
         650699973*z3+2602249005001792991544200587604229005324870458606\
         6712388976574010233448757105317539125146682866263/
         39112850492309895263248510494527920108594367835013825133776308\
         535296000000000000000*ep-143651675488195880653895/433799982*ep
         *z4-356298355224041720828240975521/87985960812288*ep*z3-
         30199278763762289138087085561675688985112189966822450575512001\
         22606196755809797282713482929036593040807151567/
         12565149221102871547695622650407068308706122028054445863832098\
         47716834055290880000000000000000*ep^2-
         3378577653316333077525565/157745448*ep^2*z5-
         356298355224041720828240975521/58657307208192*ep^2*z4+
         90985918227316866914909060617972558892604433/
         38264851584465286797080064000*ep^2*z3+
         13712553092322553234328654492923568511804085533741467979850261\
         69353183187300167320214855748069456918422915995775319492897153\
         737793012134489395453378250125809/
         28715750399725903319565153389627652384958955916954699196432604\
         84092881141219324377103724844754344921926130891227434634444800\
         00000000000000000*ep^3-78817035111095303223651775/1487314224*
         ep^3*z6-3392293703256879045877656171734453/40838055239874816*
         ep^3*z5+90985918227316866914909060617972558892604433/
         25509901056310191198053376000*ep^3*z4+160917362066354758617187\
         3031179695768069522594236690939/931267152011171808756403537913\
         85600000*ep^3*z3-40232178326000089537037995/5205599784*ep^3*
         z3^2;
Fill mncnoptab(21,6,1,2)=
      +mncF321*(8268913052400+26967590491609768/323*ep+
         74948536485331849093/218025*ep^2+6528188490095165841851/
         7994250*ep^3)
      -33936829539709132465673166792985878793955000743247897/8314885285\
      81403400675360301708800000000-1566135797355010739/1690129800*
         ep^-3-15549042069537219213645174539/1160172023860080000*ep^-2-
         168799481079893446871918762991271707553/
         2389164059969111313504000000*ep^-1-22983322944019735655228/
         211266225*z3+1980365126679299969444454638429939204735348767383\
         6625841176798539741723992655053154043454453599193/
         62287214409003508206723252962535712772936530777259516525538771\
         342458880000000000000*ep-11491661472009867827614/70422075*ep*
         z4-61515889975021212217898840228299/30530842733160000*ep*z3-
         31475401496031744209999777848457870329203972936554541674784305\
         4245740329051674649417363683382852267248133749/
         28585714478009032771007541529676080402306427613823864340218024\
         0355579747578675200000000000000*ep^2-1486575219894484249565399/
         140844150*ep^2*z5-61515889975021212217898840228299/
         20353895155440000*ep^2*z4+256420565570971599159655546232754591\
         2738569/3105913277959844707555200000*ep^2*z3-
         33925845681873686548392636601918600567520658463280424065758773\
         43143690813246514878289352105702295704562533326361772474836945\
         57307163982615347807420555685061883487605379283504977911/
         21702884186595397005592018261825910783896386511991360881474372\
         34937776853645686105777754148901500275024880249983583484137672\
         78477729496684927385600000000000000000*ep^3-
         4413759013795413277385741/169012980*ep^3*z6-248281025542343306\
         60662456804647827/580086011930040000*ep^3*z5+25642056557097159\
         91596555462327545912738569/2070608851973229805036800000*ep^3*
         z4+3680372906545320266768279395632966847848346848262221029/
         415744264290701700337680150854400000000*ep^3*z3-
         1609359094862040554471491/422532450*ep^3*z3^2;
Fill mncnoptab(21,6,2,1)=
      +mncF321*(2362546586400+7792377336820648/323*ep+
         154030952090014035686/1526175*ep^2+861415559785544932545101/
         3525464250*ep^3)
      -34288642433714892250058930692472368371325841522692397/2910209850\
      034911902363761055980800000000-8130251306213632739/5915454300*
         ep^-3-73605541524643006981382401039/4060602083510280000*ep^-2-
         9749939024190487591928297309685769433689/
         108706964728594564764432000000*ep^-1-45940384423050815842456/
         1478863575*z3+920632856768868527527619649051114451973094271810\
         25569889230281388949152978363948213797792838456583/
         10169341128000572768444612728577259228234535637103594534781840\
         21917696000000000000000*ep-22970192211525407921228/492954525*
         ep*z4-6874562578708686357034773613811/11873105507340000*ep*z3-
         10113149704449422204407079903390583646426040409403350945727493\
         510421448779528848426959127826633884135894532347/
         32669387974867466024008618891058377602635917272941559245963456\
         040637685437562880000000000000000*ep^2-
         1486470179871308385503399/492954525*ep^2*z5-
         6874562578708686357034773613811/7915403671560000*ep^2*z4+
         1863597798075902236995580485527527399358869/
         10870696472859456476443200000*ep^2*z3+
         44856297384533654721153159205984237575574432150186279258238265\
         26952879643108157184225506206929325563276203134066660083334845\
         8839665415141914272956754814194186433819401/
         12878921705400117633910576286579916267371361881840558164463867\
         31657811205590274780585280856114749612232248517624046696420441\
         20309432320000000000000000000*ep^3-630495736455839191523963/
         84506490*ep^3*z6-520883944726852391380032893595323/
         41434715137860000*ep^3*z5+186359779807590223699558048552752739\
         9358869/7247130981906304317628800000*ep^3*z4+37302449815498611\
         23526080114894092864614231406260889529/14551049250174559511818\
         80527990400000000*ep^3*z3-1609569237111777330113491/1478863575
         *ep^3*z3^2;
Fill mncnoptab(21,7,1,1)=
      +mncF321*(53005852900+566583631147534/969*ep+7065010818745202161/
         2616300*ep^2+190179143890237160244221/26189163000*ep^3)
      -34848462976908808990670140859746583846989199491181897/1297122104\
      58698930505356207066572800000000-2038940630235983903/20281557600*
         ep^-3-188038180553941807860714696539/180986835722172480000*
         ep^-2-21468322403664453160758667710530702464189/
         4845224713617357743786112000000*ep^-1-442220426968507757639/
         633798675*z3+2380362922109682681019445498153804611846849709364\
         23539248163231802023930975987/13047173346763531006587377047989\
         4000804718814769509826560000000000*ep-442220426968507757639/
         422532450*ep*z4-9234540670408396605389967897757/
         680401638053280000*ep*z3-3884875473918155837218634350617055473\
         616705016461857882401646414700527581995094641558483/
         74847377502436663120977433321922134119360934105530006086929612\
         8000000000000*ep^2-114343506728865560324723/1690129800*ep^2*z5
         -9234540670408396605389967897757/453601092035520000*ep^2*z4-
         3267541752708285276007776750321229086733031/
         484522471361735774378611200000*ep^2*z3+
         29335031315776836613186044960533338094776778942373835769006524\
         62954619914094589415331951639097747109523334806129421230309781\
         77797295237/13332576868589030808993260084136010178473180726613\
         97215681471639773279034319494992351984192062309059788800000000\
         0000000000*ep^3-339492756770848618913057/2028155760*ep^3*z6-
         30542998505824648038786606731475827/90493417861086240000*ep^3*
         z5-3267541752708285276007776750321229086733031/
         323014980907823849585740800000*ep^3*z4+40509859175470648356932\
         35864286013102231915398150523029/64856105229349465252678103533\
         286400000000*ep^3*z3-123676954766435417281807/5070389400*ep^3*
         z3^2;
Fill mncnoptab(22,1,1,6)=
      +mncF321*(284630612552000+6024152951495671564/2261*ep+
         18549772792379951065201/1885275*ep^2+
         116430170950325168340092606/5661480825*ep^3)
      -278152536721097459008135081573253144719318805650772427473/
      198621822264882737336326692070689600000000-4275621008120706553/
         62112270150*ep^-3-20080978065545943712473922949/
         46189348699929435000*ep^-2+14321692904382333419910680720493933\
         56863/3709625171363289522586242000000*ep^-1-
         116323408114412506224843064/31056135075*z3+
         27093814195234929589746452713702085766804595849401070863815879\
         758168585040534753774935699/2246227327253769557520785941462180\
         616760199254116020306512445440000000000*ep-
         58161704057206253112421532/10352045025*ep*z4-97159158233621220\
         4902215204626027141/14586110115767190000*ep*z3-
         25726029490983675857977054631927180451441300276930708328897865\
         59366129693207285424541342474760285035461/54120668519823048241\
         84175979633658598715151896424104658107924354422538240000000000\
         0000*ep^2-3761126390225365982350993586/10352045025*ep^2*z5-
         971591582336212204902215204626027141/9724073410511460000*ep^2*
         z4+144330113914735984210496712444194817776006488003/
         1854812585681644761293121000000*ep^2*z3-
         35392604902182253701359819486998794280612309617221029109760641\
         42075398673953659048342154531306216882611585796783354032243508\
         982575088421022289/1026250653884558539775878616871850963340443\
         76161371529993872851681381317697462580712577658871422416257548\
         28800000000000000000*ep^3-797646840182977531487724121/
         887318145*ep^3*z6-3672629810208960389538677443072291213/
         3045451562632710000*ep^3*z5+1443301139147359842104967124441948\
         17776006488003/1236541723787763174195414000000*ep^3*z4+
         1946818189065566985710647128244409774375196771126007790063/
         7639300856341643743704872771949600000000*ep^3*z3-
         4071324160511544104090209978/31056135075*ep^3*z3^2;
Fill mncnoptab(22,2,1,5)=
      +mncF321*(323443877900000+6931624677617704350/2261*ep+
         14787459992176285660922/1281987*ep^2+
         73038599494323209926441477/2961389970*ep^3)
      -972564108570361484576434164018375551071908212449212821/611144068\
      507331499496389821755968000000+55499487279353689/4968981612*ep^-3
         +5623842578593144000707809/21054973766349600*ep^-2+50588339235\
         68228991676040302478510113/3512071168154593630850880000*ep^-1-
         5287432972188831284820844/1242245403*z3+2242488786247784720876\
         33020737592073980440156503659640105209508535108095668415370003\
         4381/165875248781816828863073423369514876314599329534721499557\
         842124800000000*ep-2643716486094415642410422/414081801*ep*z4-
         359961910061145346897195384935341/4724246191341600*ep*z3-
         69800047536277286161595859681090681000795403792642861626285539\
         439582812901100132586388493669148686009/1332201071257182725953\
         027933448285193529883543735164223534258302627086336000000000000
         *ep^2-170960312527674415753963631/414081801*ep^2*z5-3599619100\
         61145346897195384935341/3149497460894400*ep^2*z4+1816080832584\
         998929429712593883600056792808509/
         22828462593004858600530720000*ep^2*z3+
         22082678276567801622112589456825396517252970728681224294577622\
         48516045689651797092400446540124893227935089997889383734692510\
         4037459748975787575413/279054288571105584381248510255669879424\
         89959525026627525669313067902692038813295854758409021269042792\
         138656448512000000000000000*ep^3-362566789007738868555050035/
         354927258*ep^3*z6-49386295760147329508436330649304273/
         34805160715802400*ep^3*z5+181608083258499892942971259388360005\
         6792808509/15218975062003239067020480000*ep^3*z4+2295734002568\
         0931145682092485076309753981408606826056397/763930085634164374\
         37048727719496000000*ep^3*z3-185060119371016655488609003/
         1242245403*ep^3*z3^2;
Fill mncnoptab(22,2,2,4)=
      +mncF321*(294039889000000+6385651318768980700/2261*ep+
         152815991469072643165844/14101857*ep^2+
         638746443946734871043575/26921727*ep^3)
      -748138951756071759112453903279495656216296064550929629/517121904\
      121588191881560618408896000000-11546995705055287711/27329398866*
         ep^-3-7972336226546445086121211681/1563331802151457800*ep^-2-
         335147978482910956273947720771636195211/
         15694568032690840287864870000*ep^-1-52874160128005307992463368/
         13664699433*z3+35408220935684940241012226477213854004027085282\
         964273223733045865665988974993848432574707707/
         29241066456571392989868802702248744100324736718760335775849512\
         96000000000000*ep-26437080064002653996231684/4554899811*ep*z4-
         1812535269039841704406798020530821/25983354052378800*ep*z3-
         60590304787851441207995386028408031206722284283003979118283514\
         611939395640439799876706085143816802643839/
         13151322450317000722767547630509790394877819108310574319202256\
         18124676792320000000000000*ep^2-155418414468204410474752762/
         414081801*ep^2*z5-1812535269039841704406798020530821/
         17322236034919200*ep^2*z4+399170360851532168224151462343375844\
         7232813367/62778272130763361151459480000*ep^2*z3+
         59888201973482000044033556599987938475533933308214208654294521\
         31103353693645545129331799154001207276889625990420219569195090\
         2492493102036550701676359/121370416335698031015557368362721462\
         55769491743852342106653607533685416513489948047090249767141950\
         8509199586862039040000000000000000*ep^3-
         1812833399043835799169420635/1952099919*ep^3*z6-17921970131161\
         99554084365590995218491/1339998687558392400*ep^3*z5+3991703608\
         515321682241514623433758447232813367/
         41852181420508907434306320000*ep^3*z4+864557207369627357100184\
         55162225207244445793302523507941/30557203425366574974819491087\
         7984000000*ep^3*z3-1850603352492999058436541046/13664699433*
         ep^3*z3^2;
Fill mncnoptab(22,3,1,4)=
      +mncF321*(112502218400000+2454650423040673000/2261*ep+
         5376505080162044186150/1281987*ep^2+13705042403390893034179346/
         1480694985*ep^3)
      -67657046326022638620154886068358661434511012308507557/1222288137\
      01466299899277964351193600000-134198677316589860/1242245403*ep^-3
         -68512001186255891040679307/56848429169143920*ep^-2-1534485565\
         969331084771440755084449483/351207116815459363085088000*ep^-1-
         1839102272962150422194800/1242245403*z3+9430260465199434418820\
         80394193896575048904497961909230827716016874712089593184964681\
         51087731/20468746519599975092908161891574120870227315703132235\
         043094659072000000000000*ep-919551136481075211097400/414081801
         *ep*z4-30020987130738299034307319209171/1122008470443630*ep*z3
         -4976903397820911614534758776502932136760981430990470544241607\
         57281281557779042026191381291548195839581/28589831413732610266\
         88597310980389216277786762676211808522229604618862592000000000\
         0000*ep^2-59464440958267437420536000/414081801*ep^2*z5-
         30020987130738299034307319209171/748005646962420*ep^2*z4+
         52822451568921398443813713180826258036100743/
         2282846259300485860053072000*ep^2*z3-
         46567510946133063240300797586279983812433919664574158160430818\
         54254997459199430288921816916474063237040485881659026798046694\
         88955892166503771858874513/69787989393026367833945486808564840\
         97067457752715096711325824331869114495256720127076893616106621\
         73927897624456724480000000000000000*ep^3-
         63055078786371486371219000/177463629*ep^3*z6-31562199136225308\
         76019393508482303/6090903125265420*ep^3*z5+5282245156892139844\
         3813713180826258036100743/1521897506200323906702048000*ep^3*z4
         +291114199582228064075388186679939020561270203206575443/
         2657148123944919563027781833721600000*ep^3*z3-
         64368803814728801038543360/1242245403*ep^3*z3^2;
Fill mncnoptab(22,3,2,3)=
      +mncF321*(76706058000000+1696989688095195000/2261*ep+
         818031614675596241050/276507*ep^2+660287339006951440903100/
         98712999*ep^3)
      -1301524212548838261355558048443580093151203453254121/34474793608\
      10587945877070789392640000-3907618308549518225/4554899811*ep^-3-
         14002586239487232896549701/1158023557149228*ep^-2-539236935031\
         26267218691191267247805813/837043628410178148686126400*ep^-1-
         4597695412398989036640400/4554899811*z3+6972517068547582870959\
         01111502394655601966602411964501526917297064749836708937811849\
         94351/22562551278218667430454323072722796373707358579290382543\
         093760000000000000*ep-2298847706199494518320200/1518299937*ep*
         z4-60488858274575529469560253463417/3291224846634648*ep*z3-
         74296353469104448752762643283054419466639624402765066271457562\
         20111698693171371567974789660900991668049/64944802223787657890\
         21011175560390318458182275708925589729509225307045888000000000\
         00000*ep^2-13514624276384747743821100/138027267*ep^2*z5-
         60488858274575529469560253463417/2194149897756432*ep^2*z4+
         223151335177167220450668742285192866778631/
         16740872568203562973722528*ep^2*z3-
         69533182648299310376568702866035453964931517213372361890108308\
         21840919740764077705825947474221724418889990651796852127080466\
         556999689405374326777227/7591894355154773956528691354375992719\
         65828290150434567988209195522709181090729260558731672677191987\
         38264762152386560000000000000000*ep^3-
         157637466324392030896234250/650699973*ep^3*z6-3274034892265006\
         145716054150633133/8933324583722616*ep^3*z5+223151335177167220\
         450668742285192866778631/11160581712135708649148352*ep^3*z4+
         6274547440989592397079251843060553400600603731406973/814858758\
         00977533266185309567462400*ep^3*z3-160922526929617965339267700/
         4554899811*ep^3*z3^2;
Fill mncnoptab(22,3,3,2)=
      +mncF321*(13340184000000+300775357650027000/2261*ep+
         2532615669037491018670/4700619*ep^2+620910251937067512362777/
         493564995*ep^3)
      -52180295466162109099474264287350216229614533432724191/7929202529\
      86435227551726281560307200000-259256433211553658530/104762695653*
         ep^-3-30051059166918227967392755981/958843505319560784*ep^-2-
         54028382888071357106675980987106098785341/
         385040069068681948395618144000*ep^-1-
         18385047928034958626151280/104762695653*z3+
         12577689772454101996295772601077586681921825775005116077776630\
         991722667815589792106880788615449/2391269434670727248949270976\
         5394528508710006916675119034472490598400000000000000*ep-
         9192523964017479313075640/34920898551*ep*z4-122195796183654541\
         348580127946033/37849085736298452*ep*z3-
         10143851149602730615954914327584019609416284918973985732065165\
         767261275201222141017290446057561538367095199/
         53774296241296180733093972533640031836833749242869903882960336\
         38554233995264000000000000000*ep^2-54056690210481993930480520/
         3174627141*ep^2*z5-122195796183654541348580127946033/
         25232723824198968*ep^2*z4+332097526347427720705058028253871002\
         333746781/192520034534340974197809072000*ep^2*z3+
         30036107123759550410668730047537690681351783669493706668230141\
         09386797656071469409931412609339702458686077673271003248861560\
         02682823737475801905889231/34287755596735379105485944225945392\
         57387486314061235394332202984869835646962493605868889954418445\
         2666518121670277857280000000000000000*ep^3-
         630530617506382443242752100/14966099379*ep^3*z6-17187106647861\
         43752030599638857529/25683308178202521*ep^3*z5+332097526347427\
         720705058028253871002333746781/128346689689560649465206048000*
         ep^3*z4+6498083146203483423108481764851884893068156297274965873
       /468543785855620816280565530012908800000*ep^3*z3-
         643756169413681360828512760/104762695653*ep^3*z3^2;
Fill mncnoptab(22,4,1,3)=
      +mncF321*(14062777300000+945163132440098000/6783*ep+
         716756664902708214850/1281987*ep^2+112386899431902411110551/
         87099705*ep^3)
      -33836746074039711133190982534159768475291078990419401/4889152548\
      05865199597111857404774400000+410509119750971345/4968981612*ep^-3
         +39128432138776538861794207/62016468184520640*ep^-2-3944204355\
         8018875490012416306961303/61079498576601628362624000*ep^-1-
         229891948977560813021000/1242245403*z3+17524127204073157672506\
         30793610688681537562338428635888436596477321559798471833400624\
         9029/313913756914346677293277538403099775634189336755344452773\
         47840000000000000*ep-114945974488780406510500/414081801*ep*z4-
         20300570764144042418847238820089/5984045175699360*ep*z3-
         13173453817614931812563629964865157274576611453632045205909193\
         95043622154461726287318633118981710439209/64944802223787657890\
         21011175560390318458182275708925589729509225307045888000000000\
         00000*ep^2-7433068066103078892903475/414081801*ep^2*z5-
         20300570764144042418847238820089/3989363450466240*ep^2*z4+
         18540440065299751167974047835653337649955229/
         9131385037201943440212288000*ep^2*z3+
         80454777050931545709736737724996172867022923950738162656665962\
         07106601884794205376236984148597551214950588204148934277878495\
         836773183639165172639266808972186367/
         30120624872805488479224127840703418867433675343604306390907257\
         06432119894110565133786385324228514433593208828570537369054216\
         1920000000000000000*ep^3-15763794463808339904063875/354927258*
         ep^3*z6-3382445394763225128723412540872053/48727225002123360*
         ep^3*z5+18540440065299751167974047835653337649955229/
         6087590024801295626808192000*ep^3*z4+2726345919034516165697615\
         69662856562669334247643701609/18804432877148661522965840669414\
         400000*ep^3*z3-8046042438997963176222095/1242245403*ep^3*z3^2;
Fill mncnoptab(22,4,2,2)=
      +mncF321*(6392171500000+435777220353098000/6783*ep+
         3709662040531209841130/14101857*ep^2+48467835472100191316357/
         77931315*ep^3)
      -13045790165962053862373845167011328283135773138926257/4136975232\
      97270553505248494727116800000-63606790733044331435/54658797732*
         ep^-3-22186779074174759428444843099/1500798530065399488*ep^-2-
         13368254243766326897157542412597551684417/
         200890470818442755684670336000*ep^-1-1149063241509464322307240/
         13664699433*z3+19955509896746368153463805873674381092747381779\
         595012856367359568323984347993267513369742071/
         79975566376947399630410400553158958223110391025669294429673881\
         600000000000000*ep-574531620754732161153620/4554899811*ep*z4-
         6817700445484545667279927027699/4388299795512864*ep*z3-
         15886143184816453107097206604310709225488170110487337019751923\
         945688536937936813769069279795722127873881/
         17984714461971966800365877101551850112653427840424717017712487\
         085465665536000000000000000*ep^2-3378543390853456186360285/
         414081801*ep^2*z5-6817700445484545667279927027699/
         2925533197008576*ep^2*z4+7095421337475855461238021864413657493\
         8358337/100445235409221377842335168000*ep^2*z3+
         23639050680886220403499237767052631460905830281698492052789782\
         68078679188354613377631874134444532063887461050101013069071707\
         895857381223804776974068633/1450635813708035269847482255713074\
         30120239805594898420529439357052185354294567037171376113456164\
         992050653591681944780800000000000000000*ep^3-
         78816334754753278448272975/3904199838*ep^3*z6-3506267043782627\
         116391006892979445/107199895004671392*ep^3*z5+7095421337475855\
         4612380218644136574938358337/66963490272814251894890112000*
         ep^3*z4+1647543068672058009798912917452677617302699862470630091
       /244457627402932599798555928702387200000*ep^3*z3-
         40234856518575402793799755/13664699433*ep^3*z3^2;
Fill mncnoptab(22,4,3,1)=
      +mncF321*(555841000000+38625683660096000/6783*ep+
         337771217838892336460/14101857*ep^2+5090882605129792151068/
         87099705*ep^3)
      -171507881717833972880109760549343964232422598414153333/618477797\
      32941947749034649961703961600000-100179020171512374755/
         628576173918*ep^-3-43852632895382524927582937539/
         17259183095752094112*ep^-2-35994624842092693488022296243948518\
         162441/2310240414412091690373708864000*ep^-1-
         2298099411482779528916240/314288086959*z3+
         63763361836777100089993251477721415283018662279260176984771701\
         000588444581342507228370560030369/3012999487685116333676081430\
         439710592097460871501064998343533815398400000000000000*ep-
         1149049705741389764458120/104762695653*ep*z4-
         20665929253203856018975668507985/151396342945193808*ep*z3-
         69993229178166161671989247358544385389203344869008398881695321\
         95859358148296685489076888614801844035089457/
         96793733234333125319569150560552057306300748637165826989328605\
         493976211914752000000000000000*ep^2-6757036719226215019254410/
         9523881423*ep^2*z5-20665929253203856018975668507985/
         100930895296795872*ep^2*z4+40946752202335389448990529512731028\
         139577961/1155120207206045845186854432000*ep^2*z3+
         85314540546015535922279293898072311008932815596885240545789257\
         74010507867317390377957272407444982367097163331611496663428533\
         54771475891366933910188381/47317102723494823165570603031804641\
         75194731113404504844178440119120373192808241176099068137097454\
         467979500790498344304640000000000000000*ep^3-
         78815754401065112895171175/44898298137*ep^3*z6-525120435732748\
         279779497510433419/176114113221960144*ep^3*z5+4094675220233538\
         9448990529512731028139577961/770080138137363896791236288000*
         ep^3*z4+1687664668198131505556978480558301726773644100713901363
       /2811262715133724897683393180077452800000*ep^3*z3-
         80467009236987595518396230/314288086959*ep^3*z3^2;
Fill mncnoptab(22,5,1,2)=
      +mncF321*(562511092000+39442161014639240/6783*ep+
         158566385628291932486/6409935*ep^2+903909065921906932466261/
         14806949850*ep^3)
      -33935445355701293101155306007126729509298215090159197/1222288137\
      0146629989927796435119360000000-1449278601585155939/24844908060*
         ep^-3-14567125435671669587236241839/17054528750743176000*ep^-2
         -160641285386761135175458934634346419853/
         35120711681545936308508800000*ep^-1-45967099824009318389656/
         6211227015*z3+146410611877716835314199605483700072947134260554\
         58441151593947492603618633945606875063400737/
         69312157526687746346355680479404430460029005555580055172384030\
         7200000000000000*ep-22983549912004659194828/2070409005*ep*z4-
         364413464993547003571684205969/2624581217412000*ep*z3-
         11078456801691383764296676740905810306095163725605596337400278\
         010950387731853018010610264884694597716307/
         15586752533709037893650426821344936764299637461701421415350822\
         1407369101312000000000000000*ep^2-1486577047984035071068199/
         2070409005*ep^2*z5-364413464993547003571684205969/
         1749720811608000*ep^2*z4+1067338814104113317187671899533048778\
         578469/45656925186009717201061440000*ep^2*z3-
         26099892875465926315447838902026509946901013914318631046817763\
         19665638004602086892096642935973966630530892965057083829052411\
         2320288732785776827946283183869132269/
         10327071384961881764305415259669743611691545832092905048311059\
         56491012535123622331583903539735490662946243026938469955104302\
         694400000000000000000*ep^3-630537720589727984973563/354927258*
         ep^3*z6-536729855241230343740791056950123/174025803579012000*
         ep^3*z5+1067338814104113317187671899533048778578469/
         30437950124006478134040960000*ep^3*z4+378138207723988335902379\
         9476900012270663262549933953129/611144068507331499496389821755\
         9680000000*ep^3*z3-1609355593538996216292691/6211227015*ep^3*
         z3^2;
Fill mncnoptab(22,5,2,1)=
      +mncF321*(127843430000+9092988987214600/6783*ep+
         82031402357676303493/14101857*ep^2+43515424320552670706063/
         2961389970*ep^3)
      -34411978126136565261913592086569733266717683937561497/5378067802\
      8645171955682304314525184000000-9965328416103532979/109317595464*
         ep^-3-90450143868092360848874619019/75039926503269974400*ep^-2
         -12060348045241673800988409018571435233709/
         2008904708184427556846703360000*ep^-1-22966528420455706635068/
         13664699433*z3+61948194022088807642900546274803546413566030513\
         5968411758474061525476410503002771175521613873/
         13099997772543984059461223610607437356945482050004630427580581\
         8060800000000000000*ep-11483264210227853317534/4554899811*ep*
         z4-20925275443368775099592882175833/658244969326929600*ep*z3-
         64696027266326711507520671963381082910993264884756635372931706\
         902089056807015375329862564721291038063909/
         42084231841014402312856152417631329263609021146593837821447219\
         77998965735424000000000000000*ep^2-135130986611432097216229/
         828163602*ep^2*z5-20925275443368775099592882175833/
         438829979551286400*ep^2*z4+11199495319601411199863939369650917\
         334381/15453113139880211975743872000*ep^2*z3+
         50940395615340380628351398301751913146864538724497822412547642\
         07183599181341379198713505095700436832902420543965779351334926\
         106904865529509891409468059705436099/
         19518164917577956534537234840775815426097021622655590541307902\
         57768013691383646206693577690100077352968399320913708215147132\
         09241600000000000000000*ep^3-3152421072383105567761015/
         7808399676*ep^3*z6-3886036980438373952296937474661461/
         5359994750233569600*ep^3*z5+1119949531960141119986393936965091\
         7334381/10302075426586807983829248000*ep^3*z4+3153872199893374\
         7867735126812517950969800352382545229/222234206729938727089596\
         298820352000000*ep^3*z3-1609627725687895423958851/27329398866*
         ep^3*z3^2;
Fill mncnoptab(22,6,1,1)=
      +mncF321*(4327008400+330750193507448/6783*ep+7426098499699631161/
         32049675*ep^2+620019548257210009243813/962451740250*ep^3)
      -34937715608024080955778562245750912087870380140775897/1588974578\
      119061898690613536565516800000000-2039051806974227903/
         248449080600*ep^-3-191447618910111265188866846539/
         2217088737596612880000*ep^-2-223731869479085558826047105710183\
         03390189/59354002741812632361379872000000*ep^-1-
         1768881819050769274556/31056135075*z3+387818529206277834639408\
         610577142219242511268907462230406089136100608183931493/
         26970953652762736752679843491390587978850467490634609459200000\
         00000*ep-884440909525384637278/10352045025*ep*z4-
         21811070916116203592908533249433/19448146821022920000*ep*z3-
         77783606399382917048691929782863409960059846053056454959749216\
         1615531767756900772679903/200567581901060745706994215854838218\
         7729750031109124381860691968000000000000*ep^2-
         114343511509465304816723/20704090050*ep^2*z5-
         21811070916116203592908533249433/12965431214015280000*ep^2*z4-
         4826346521416336572621329199993077447839031/
         5935400274181263236137987200000*ep^2*z3+
         72984577306193912998892590240544526367393468388155291061336486\
         00399767280411672590239690260424444501685778887373848642581218\
         737512113621/1288795041930919037066039822553371912565976233816\
         44616093773112555495589996290741248751029367712863748934860800\
         0000000000000*ep^3-48498967270042053700151/3549272580*ep^3*z6-
         4571526463174037187973706180858261/158363481256900920000*ep^3*
         z5-4826346521416336572621329199993077447839031/
         3956933516120842157425324800000*ep^3*z4+3965760170765073659693\
         450984022301655430095946823365029/7944872890595309493453067682\
         82758400000000*ep^3*z3-123676954655258679037807/62112270150*
         ep^3*z3^2;
Fill mncnoptab(23,1,1,5)=
      +mncF321*(3341362375000+1628079422524269325/49742*ep+
         1178156914535018824256/9124731*ep^2+5814129358449504321351751/
         19928412504*ep^3)
      -15804283491256576517164544679232918035680243253416485933/
      961329619762032448707821189622137664000000+3535396307218091621/
         2404987100208*ep^-3+42509578258583274468127070641/
         3576903163322535446400*ep^-2+570621665089172883023715527573925\
         6708443/287273373270373140629078580480000*ep^-1-
         6609289586583728919835619/150311693763*z3+65191178276806504106\
         68611351635679011404192787201557260415666876878759974131627996\
         07/48486068680909468470817592927951308446550611843163703633510\
         40000000000*ep-6609289586583728919835619/100207795842*ep*z4-
         452428577881908999782640685548190543/564774183682505596800*ep*
         z3-18047255613047060729293442324877650286372849764573926850837\
         37142796671755206516690814279336964687/36344771289258457305266\
         13905736889168856329112372719855872232472444928000000000000*
         ep^2-77709220232764323540798809/18219599244*ep^2*z5-4524285778\
         81908999782640685548190543/376516122455003731200*ep^2*z4+
         82356062667832810480250113706444168371020435263/14363668663518\
         6570314539290240000*ep^2*z3+1310716425744291022324815003702683\
         57915059479372775249372828543391214070468972054347840081546349\
         25830531390906788837048761169545953481421271/
         17765106224287343034202222450704728763999210290951507210128159\
         57976998474587044554033512160763244384526270464000000000000000
         *ep^3-1812833649524919829405013015/171784792872*ep^3*z6-
         1888022848663403124751290978532225699/117919884505138531200*
         ep^3*z5+82356062667832810480250113706444168371020435263/
         95757791090124380209692860160000*ep^3*z4+455231185387230254987\
         78655118844294984853425413924991237/13445169507161292988920576\
         078631296000000*ep^3*z3-925300600106445393326002847/
         601246775052*ep^3*z3^2;
Fill mncnoptab(23,2,1,4)=
      +mncF321*(2324426000000+576095101046696400/24871*ep+
         14528202478309244905388/155120427*ep^2+
         709974600345104675020016/3257528967*ep^3)
      -845719171262659243226481379909773684974744626653973379/739484322\
      89387111439063168432472128000000-15898819249061411/150311693763*
         ep^-3-44482316923116412456285511/3821477738592452400*ep^-2-
         20586313399512661918684530568846898479/
         212480305673352914666478240000*ep^-1-4597768019568880593276736/
         150311693763*z3+6994223436793097093870679064380957859214527267\
         25375119533084805202984947613907951442769/76365558172432412841\
         53770886152331080331721365298283322277888000000000000*ep-
         2298884009784440296638368/50103897921*ep*z4-152722677760374136\
         4378698402212299/2715260498473584600*ep*z3-
         17958347988023114060533784366705730368411700946671613396468726\
         452703179051074181557446286651367041/5451715693388768595789920\
         8586053337532844936685590797838083487086673920000000000000*
         ep^2-13514649643523344037921524/4554899811*ep^2*z5-15272267776\
         03741364378698402212299/1810173665649056400*ep^2*z4+4207806719\
         53358001521097046083339482274361043/
         1381121986876793945332108560000*ep^2*z3-
         54207948648834893690094674319699203370916676420615903714045133\
         24521460353355826961243522537721530989131733109316244695209813\
         18682329000382317/13808332565241525722039000177593220993835749\
         81705776242241779676427576087065384630635138997684158135245419\
         31520000000000000000*ep^3-157637739363107668806476270/
         21473099109*ep^3*z6-85797333093404694410248738942242041/
         7369992781571158200*ep^3*z5+4207806719533580015210970460833394\
         82274361043/920747991251195963554739040000*ep^3*z4+
         8164737855121055434009796179829429627619758764644892957/
         3361292376790323247230144019657824000000*ep^3*z3-
         160921842852715318306965292/150311693763*ep^3*z3^2;
Fill mncnoptab(23,2,2,3)=
      +mncF321*(1212744000000+306007737666290400/24871*ep+
         2638488476039154306256/51706809*ep^2+12079533510373637543912/
         98712999*ep^3)
      -65068003576784509022407927951650865699508304264317777/1090265347\
      8563484378836236371454224000000-1831819554318740636/1152389652183
         *ep^-3-1343388209100629501919459503/32960245495359901950*ep^-2
         -1880245189989949430399722212254287226563/
         5294300949694376790439749480000*ep^-1-
         18391110002975656426831936/1152389652183*z3+
         32817575273790361091558351526928700886256712903575710285098715\
         5055019931826252438833928017/702563135186378198142146921526014\
         4593905183656074420656495656960000000000000*ep-
         9195555001487828213415968/384129884061*ep*z4-
         40584127192944510513118628832562/136953928651079925*ep*z3-
         36830916015658559321384227566360468544662405115535981209879534\
         781552660345904134197704674385434869493/2257010297062950198657\
         02723546260817385978037878345903049665636538830028800000000000\
         000*ep^2-54058599676373883169103824/34920898551*ep^2*z5-
         20292063596472255256559314416281/45651309550359975*ep^2*z4+
         281302582457090274223757056202942627951650367/
         2647150474847188395219874740000*ep^2*z3+
         32826809004487160504483297717615031555495018766852911207572399\
         75852910181883940809256731317556935794065935162912106706769782\
         3087244114069873/810088843827502842359621343752135631638363989\
         26738872878184407683751130441169231663928154530803943934397933\
         158400000000000000*ep^3-630550956899058031483426520/
         164627093169*ep^3*z6-44869301913107639873922023862171052/
         7062909749005693275*ep^3*z5+2813025824570902742237570562029426\
         27951650367/1764766983231458930146583160000*ep^3*z4+
         8372939922087668887435113921328915110554724011835907483/
         6442477055514786223857776037677496000000*ep^3*z3-
         643686287050264704846953392/1152389652183*ep^3*z3^2;
Fill mncnoptab(23,3,1,3)=
      +mncF321*(435829875000+110799495199298750/24871*ep+
         965260797003350784950/51706809*ep^2+196751223525175594254433/
         4343371956*ep^3)
      -1471015245851547999046467654237190384984396386052531/68589850239\
      4315236536238084011335680000+2369599779749990125/801662366736*
         ep^-3+614753268768008591558156657/22011711774292525824*ep^-2+
         2064680171876986859442346254109337963/
         45329131876981955128848691200*ep^-1-287365483439236054709350/
         50103897921*z3+10155059382633255045032105648702441128321274076\
         123828855134772627934379504691340538184233/6109244653794593027\
         32301670892186486426537709223862665782231040000000000000*ep-
         143682741719618027354675/16701299307*ep*z4-
         299237903320754000233979704901/2798336101486464*ep*z3-
         11251925088295767478042273995183968134376289214159141502702273\
         45766370012300363625270374345810984877/19626176496199566944843\
         715090979201511824177206812687221710055351202611200000000000000
         *ep^2-3378667862660125304162725/6073199748*ep^2*z5-
         299237903320754000233979704901/1865557400990976*ep^2*z4+
         8884805160850805084879829475931872314614033/
         294639357200382708337516492800*ep^2*z3+
         89591997842274747962698455676657580020204901725235682014872227\
         46075820774558529016934204869705647941430995551242121641039689\
         651261421431002487/4050444219137514211798106718760678158191819\
         94633694364390922038418755652205846158319640772654019719671989\
         6657920000000000000000*ep^3-78818983952876564870380375/
         57261597624*ep^3*z6-3656373025366957966904293461322973/
         1572265126735180416*ep^3*z5+8884805160850805084879829475931872\
         314614033/196426238133588472225010995200*ep^3*z4+3383757332076\
         36871181136663079240232195440940217183619/71707570704860229274\
         2430724193669120000*ep^3*z3-40230182644702327145078275/
         200415591684*ep^3*z3^2;
Fill mncnoptab(23,3,2,2)=
      +mncF321*(151593000000+39254738625635000/24871*ep+
         350844474047414135750/51706809*ep^2+969688378867824288082/
         57149631*ep^3)
      -521927494824498057705274873352588991439875540868903/697769822628\
      063000245519127773070336000-57968161252658369375/2304779304366*
         ep^-3-20647017383126419375540650517/63283671351091011744*ep^-2
         -2569018282757641301005752269004989543167/
         1694176303902200572940719833600*ep^-1-
         2298172716977649271011200/1152389652183*z3+
         35264941915685849709391446002619910921497761725828534747360025\
         38607764967880263519817379/62450056461011395390413059691201285\
         2791571880539948502799613952000000000000*ep-
         1149086358488824635505600/384129884061*ep*z4-
         20853060069586840275227470021705/555119924132377296*ep*z3-
         11313498291962369904726855384122175986498704860134914013748923\
         7016567020748019104436686318276072991/601869412550120052975207\
         2627900288463626081010089224081324416974368800768000000000000*
         ep^2-6757103466314366651874050/34920898551*ep^2*z5-
         20853060069586840275227470021705/370079949421584864*ep^2*z4+
         2958792853306220160042531752711828233881887/
         847088151951100286470359916800*ep^2*z3+
         19111827694240149417980093694291266572524012496291463737111710\
         55907297595315789855862355882058634717641222826500479626069559\
         5652135559688794089/341587462480597031861640333282150524674176\
         81547441558063634425239981726669359692684956371827155663025671\
         1284817920000000000000000*ep^3-78816514882641589371725875/
         164627093169*ep^3*z6-3822048794043530377044096678745625/
         4520262239363643696*ep^3*z5+2958792853306220160042531752711828\
         233881887/564725434634066857646906611200*ep^3*z4+5680236164395\
         23746247534315898088254626703600487309/34075911698590604820404\
         76581912064000*ep^3*z3-80469331636822826484006350/
         1152389652183*ep^3*z3^2;
Fill mncnoptab(23,3,3,1)=
      +mncF321*(9474562500+2518283092170625/24871*ep+
         46645515831370611025/103413618*ep^2+567245429382424781407/
         482596884*ep^3)
      -34536112035931267074329308852122641538776533793557193/7256806155\
      33185520255339892883993149440000-181931484397751801375/
         36876468869856*ep^-3-74589721424061550633638245543/
         1012538741617456187904*ep^-2-115204238017362580653396760001127\
         14266741/27106820862435209167051517337600*ep^-1-
         143591725260469756573550/1152389652183*z3+
         21530516744661327114133996806929476880047184716503284727598288\
         761233694920620233846520469/6323068216677403783279322293734130\
         1345146652904669785908460912640000000000000*ep-
         71795862630234878286775/384129884061*ep*z4-
         63453575297820496506027159854707/26645756358354110208*ep*z3-
         10858506539810352173235273926509368605289174486447152504953588\
         81986911277311683145913646742182779223/10156546336783275893956\
         62255958173678236901170452556563723495364424735129600000000000\
         000*ep^2-3378401770149503337634225/279367188408*ep^2*z5-
         63453575297820496506027159854707/17763837572236073472*ep^2*z4-
         5698149465644170428061183959117515717726107/
         13553410431217604583525758668800*ep^2*z3+
         91060285609561388636056774713043343153598942695243116202664080\
         39344874703701019123970164987836807725185904560772555699399098\
         1494070590917187661/343144699441905635977480164213289740301367\
         91566260776931277464531516937482117067754549555286955931489464\
         629214576640000000000000000*ep^3-78813231866321322920957875/
         2634033490704*ep^3*z6-4062122589390864845160046170729173/
         72324195829818299136*ep^3*z5-569814946564417042806118395911751\
         5717726107/9035606954145069722350505779200*ep^3*z4+
         347520970629985836846411593106514953683858519236169599/
         32985482524235705466151813312908779520000*ep^3*z3-
         40235909033116251207462775/9219117217464*ep^3*z3^2;
Fill mncnoptab(23,4,1,2)=
      +mncF321*(23244260000+18467878124961200/74613*ep+
         170063823922320912506/155120427*ep^2+9231959667707623093021/
         3257528967*ep^3)
      -2610480695311052207933041525184789781453144787647149/22753363781\
      349880442788667209991424000000-1327580026524344099/601246775052*
         ep^-3-13611641056676733058998142219/412719595767984859200*
         ep^-2-153862992231989078729856980659936525393/
         849921222693411658665912960000*ep^-1-45967658867202820484776/
         150311693763*z3+6827595902707822418053551582422111452517123940\
         1821188786513423327878358739576798577789/814565953839279070309\
         73556118958198190205027896515022104297472000000000000*ep-
         22983829433601410242388/50103897921*ep*z4-
         21116240968784969094894921096473/3620347331298112800*ep*z3-
         16643129591565088515631053217778043011233882367588138739220362\
         684833774682124704031624150550621/6230532221015735538045623838\
         406095718039421335496091181495255667048448000000000000*ep^2-
         135143566143318741644389/4554899811*ep^2*z5-
         21116240968784969094894921096473/2413564887532075200*ep^2*z4-
         896091848944203507623514116033802342547847/
         1104897589501435156265686848000*ep^2*z3-
         57031388270750462757044061931809867051176154693023984150462193\
         75000945066234735865985386944591090103684682801753559521937338\
         32615950066290723998509401/29112359073594254506352903907918145\
         00073617882079637312272408035494033727602278849040264422331262\
         423328614911182603550720000000000000000*ep^3-
         3152692874187368324128615/42946198218*ep^3*z6-4029274244368184\
         070613262675544341/29479971126284632800*ep^3*z5-89609184894420\
         3507623514116033802342547847/736598393000956770843791232000*
         ep^3*z4+349915308322881611031267697055804960210036986258163359/
         13445169507161292988920576078631296000000*ep^3*z3-
         1609350441357756870300931/150311693763*ep^3*z3^2;
Fill mncnoptab(23,4,2,1)=
      +mncF321*(4042480000+3271700477047600/74613*ep+
         30892682468437761088/155120427*ep^2+1726769467017392190683/
         3257528967*ep^3)
      -34597589510561350340902675300205991353849983120823387/1700813942\
      655903563098452873946858944000000-12735400848040763399/
         3457168956549*ep^-3-115868711577482357842233022069/
         2373137675665912940400*ep^-2-155377439342143032070381087528664\
         05114459/63531611396332521485276993760000*ep^-1-
         183687636673457633264704/3457168956549*z3+
         36034039610972866670947030287243161282728237055009153339171234\
         226219237084695260597298279/2529227286670961513311728917493652\
         05380586611618679143633843650560000000000000*ep-
         91843818336728816632352/1152389652183*ep*z4-
         7107219422607136791613920133391/6938999051654716200*ep*z3-
         10202465343037102067773531360916865166765530939495912729696786\
         854892744042123672303734127682053887/2368873781173941899465101\
         4716225625148382534587814730349236043485125017600000000000000*
         ep^2-540507762545927146913956/104762695653*ep^2*z5-
         7107219422607136791613920133391/4625999367769810800*ep^2*z4-
         2149124523886187729272003474015666056696857/
         6353161139633252148527699376000*ep^2*z3+
         12384152053230796373477176163309559497170269467427792170645054\
         16499396943142607468417673122728708643502120418523153826321141\
         9519048512573666603/119354678066749786426949622335057300974388\
         84023047226758705205054440673906823327914625932273723802257205\
         088422461440000000000000000*ep^3-6304667331193620791034230/
         493881279507*ep^3*z6-4201558782375508475130566070242741/
         169509833976136638600*ep^3*z5-21491245238861877292720034740156\
         66056696857/4235440759755501432351799584000*ep^3*z4+
         349369169994554436206086777627066155910725220532821909/
         77309724666177434686293312452129952000000*ep^3*z3-
         6438870396276591199440124/3457168956549*ep^3*z3^2;
Fill mncnoptab(23,5,1,1)=
      +mncF321*(223502500+193080705666550/74613*ep+7905247351944796081/
         620481708*ep^2+12502554875723503371793/338783012568*ep^3)
      -35048575523505145935652023050497145797984579573346537/3076254783\
      2385038358650278067908405248000000-2038516945793512223/
         4809974200416*ep^-3-195593257504000446535214425819/
         42922837959870425356800*ep^-2-23492924256625049198637848679130\
         715290909/1149093493081492562516314321920000*ep^-1-
         442220321047397139719/150311693763*z3+197242126446514431014060\
         684690521526313020440019465036775939730627163588202183509/
         27848408678265951121700361066310495107762402699663255420272640\
         000000000*ep-442220321047397139719/100207795842*ep*z4-
         820502421533328519724891163899/13945041572407545600*ep*z3-
         13202545427747138150305334114969383051386673184277094930446374\
         47263735908928790883827352887/74553377003607091908238233963833\
         623976540084356363484223020153280921600000000000*ep^2-
         10394862591857684912953/36439198488*ep^2*z5-
         820502421533328519724891163899/9296694381605030400*ep^2*z4-
         6875462945310690989155202408342823102177287/114909349308149256\
         251631432192000*ep^2*z3+14247981481956356744486441544975064509\
         83331779871266240042447268740608830891086724565541865007504681\
         6018936935213027077004072533/563475650202560310865159088185735\
         72234717537623673943649229259243815947809720597423623537268323\
         516416000000000000000*ep^3-242494787830660303578355/
         343569585744*ep^3*z6-691694442380860330301257406346563/
         437988142447657401600*ep^3*z5-68754629453106909891552024083428\
         23102177287/76606232872099504167754288128000*ep^3*z4+
         344506373299394392961557704906517785938344789923968959/
         1398297628744774470847739912177654784000000*ep^3*z3-
         123676955190119859753487/1202493550104*ep^3*z3^2;
Fill mncnoptab(24,1,1,4)=
      +mncF321*(17576000000+104399413165801000/572033*ep+
         2786102488795743552970/3567769821*ep^2+
         1888146560175180159110572/974001161133*ep^3)
      -8794518255564068017815423543909146237913213614405206663/
      101708673770823033073287481862022164851200000-
         11747784489678496370/79514886000627*ep^-3-
         44579953140110421471808671773/47304544334940531278640*ep^-2+
         2713336800283288487165063942724371751271/379919036150068478481\
         9564226848000*ep^-1-18390511203851374130155120/79514886000627*
         z3+16316985476655092006657457268418461534780347425186459868381\
         840767818120896331993306231/2485992632197953624195289106938205\
         0101510649859955642322984632320000000000*ep-
         9195255601925687065077560/26504962000209*ep*z4-812230555225496\
         1360040584451468229/1867284644800284129420*ep*z3-
         50156013103865540158581009162123201881951511402604160435617602\
         4020164016476808029526180194989193/228181260801968591512578577\
         651164782412197576756129923962299324852443545600000000000*ep^2
         -54058387537797820730411080/2409542000019*ep^2*z5-812230555225\
         4961360040584451468229/1244856429866856086280*ep^2*z4+
         1008946522366112717696313008167087530318310561/189959518075034\
         2392409782113424000*ep^2*z3-6671041029540948900323706297225043\
         30074923495747238668648425646913278982915930488665847547201736\
         60253391207471300035406424621883810309/
         48022265165259315953064713682342217966972067543266693992236900\
         78565077853382150172506408849686151594770432000000000000000*
         ep^3-630548670551241682133360900/11359269428661*ep^3*z6-
         1356445467712266270892082642570474/13924022076611223885*ep^3*
         z5+1008946522366112717696313008167087530318310561/126639678716\
         6894928273188075616000*ep^3*z4+6926041541818456076938868469154\
         768480448442842185916513/3556247334644161995569492372797977792\
         00000*ep^3*z3-643694709602630291795005240/79514886000627*ep^3*
         z3^2;
Fill mncnoptab(24,2,1,3)=
      +mncF321*(6591000000+40110357786231200/572033*ep+
         368864837660190178268/1189256607*ep^2+19989463314660357903706/
         24974388747*ep^3)
      -845673289721372331737347806543265087513857968141491649/
      26079147120723854634176277400518503808000000+780526465392244909/
         53009924000418*ep^-3+11547394641258415026382382093/
         36388111026877331752800*ep^-2+13515807568018858959784877240338\
         8589751/74934721134135794572377992640000*ep^-1-
         2298903364794168040168208/26504962000209*z3+
         65700345280607899641966058748344645902666218980212974393240680\
         258241843433520748190581/2762214035775504026883654563264672233\
         50118331777284914699829248000000000000*ep-
         1149451682397084020084104/8834987333403*ep*z4-
         27774907968412838629303782946867/16799681914532470800*ep*z3-
         19295405094813373044545711332375235597284794990298312428508271\
         98587589524454494634805174129534443/25353473422440954612508730\
         85012942026802195297290332488469992498360483840000000000000*
         ep^2-6757332105857565878305322/803180666673*ep^2*z5-
         27774907968412838629303782946867/11199787943021647200*ep^2*z4-
         104717969241154093206878658520766982371425867/4870756873718826\
         64720456952160000*ep^2*z3+283935914379005733303740229718005211\
         48057421311778637035852795673145726923060364774926252409524059\
         84930183320733076723169099287497985323/
         24544713306688094820455298104308244738674612299891865818254415\
         9571103979172865453261438674539514414843822080000000000000000*
         ep^3-78818948617323394979966935/3786423142887*ep^3*z6-10052328\
         1088438244794343228544469621/2599150787634095125200*ep^3*z5-
         104717969241154093206878658520766982371425867/3247171249145884\
         43146971301440000*ep^3*z4+795526203737328983314991315169787378\
         174472433603229397/107765070746792787744530071902969024000000*
         ep^3*z3-80460667586448890962217126/26504962000209*ep^3*z3^2;
Fill mncnoptab(24,2,2,2)=
      +mncF321*(1647750000+10280381183055100/572033*ep+
         97769591957516502764/1189256607*ep^2+32212777756011922591/
         146049057*ep^3)
      -65250437601150978029042758535130752207964840242134541/8024352960\
      222724502823469969390308864000000-49802002435147947647/
         212039696001672*ep^-3-454180442809444136046227968919/
         145552444107509327011200*ep^-2-5879425063456828212870217206941\
         6121026629/3896605498975061317763655617280000*ep^-1-
         574556291112363582419384/26504962000209*z3+
         47522699705185388561999890841901519028952583090877206282586239\
         498884128481073700974661/8286642107326512080650963689794016700\
         50354995331854744099487744000000000000*ep-
         287278145556181791209692/8834987333403*ep*z4-16051213303489839\
         21404636502577723/3830327476513403342400*ep*z3-
         47216962662678337130106289811316813400726328467950207861547339\
         229215917698281917607498989552911/2716443580975816565625935448\
         22815217157378067566821338050356339110051840000000000000*ep^2-
         3378561837034197618710737/1606361333346*ep^2*z5-16051213303489\
         83921404636502577723/2553551651008935561600*ep^2*z4-3190748785\
         14544796754487576242015740799993739/19483027494875306588818278\
         08640000*ep^2*z3+126720181970510783900649182243214740909271919\
         80151711318381597204010586911912605423657187214012934562591337\
         1545706725921987037044141937181/512309528493847259139953209682\
         17383830798584522949296929151529706478678052856341731993787343\
         2601462382767636480000000000000000*ep^3-
         78816734314216995894725395/15145692571548*ep^3*z6-106379087124\
         583594613370052340852957/10396603150536380500800*ep^3*z5-
         319074878514544796754487576242015740799993739/1298868499658353\
         772587885205760000*ep^3*z4+87233340965764202504214631950330042\
         68685532093428429439/47416631128588826607593231637306370560000\
         00*ep^3*z3-40234518801585517891888471/53009924000418*ep^3*z3^2
         ;
Fill mncnoptab(24,3,1,2)=
      +mncF321*(527280000+3336955141522600/572033*ep+
         32324767693222725838/1189256607*ep^2+168941517216990375598/
         2270398977*ep^3)
      -16967987794705126915099591886402024989244648979546631/6519786780\
      180963658544069350129625952000000-1318580531392767149/
         26504962000209*ep^-3-6598219413195765968896471847/
         9097027756719332938200*ep^-2-184720962941383854598340594129044\
         90871/4683420070883487160773624540000*ep^-1-
         183868597957059465998704/26504962000209*z3+
         29726497405003873014997460298915771023244106610075567768919880\
         407634161006315576101993/1657328421465302416130192737958803340\
         100709990663709488198975488000000000000*ep-
         91934298978529732999352/8834987333403*ep*z4-
         7191886579825393068895144856891/53198992729352824200*ep*z3-
         40033823012571233386425145490318168042947716030731782865892294\
         2479016446959867835522484591541527/760604202673228638375261925\
         5038826080406585891870997465409977495081451520000000000000*
         ep^2-540573641554382477984956/803180666673*ep^2*z5-
         7191886579825393068895144856891/35465995152901882800*ep^2*z4-
         34216262423998218326454721627758767426233/
         468342007088348716077362454000*ep^2*z3-
         34023189151388832335206754184406772045911241366023464885168983\
         48609205125256315304901755618813938627148037646826183088729120\
         585711480371/3873796056664251486880553570375605582669080115156\
         84664870710999670916280172826780582183647208016228644814848000\
         0000000000000*ep^3-6305379133334843681251730/3786423142887*
         ep^3*z6-4392200420224860191662635220677491/
         1299575393817047562600*ep^3*z5-3421626242399821832645472162775\
         8767426233/312228004725565810718241636000*ep^3*z4+174065288002\
         522026972842068977288894807124496168685767/2963539445536801662\
         97457697733164816000000*ep^3*z3-6437437851864975178737124/
         26504962000209*ep^3*z3^2;
Fill mncnoptab(24,3,2,1)=
      +mncF321*(65910000+427693065174700/572033*ep+4282140062891437136/
         1189256607*ep^2+85236654670412103097/8324796249*ep^3)
      -34893093145916574556952005422593467805213383283827937/1043165884\
      82895418536705109602074015232000000-17231717966951580599/
         212039696001672*ep^-3-157146740367997960756711398719/
         145552444107509327011200*ep^-2-2116172771442694493743401429964\
         1824482109/3896605498975061317763655617280000*ep^-1-
         22952213631844419290888/26504962000209*z3+71766466032159980240\
         61033678600961115353090457248262988060961534503463601890465650\
         353/3314656842930604832260385475917606680201419981327418976397\
         950976000000000000*ep-11476106815922209645444/8834987333403*ep
         *z4-3452584548727017986662834017601/201596182974389649600*ep*
         z3-44388595450244072122291989790510989271470129633222880407556\
         155084940551279177057603220833797221/7606042026732286383752619\
         255038826080406585891870997465409977495081451520000000000000*
         ep^2-135120531827464472424889/1606361333346*ep^2*z5-
         3452584548727017986662834017601/134397455316259766400*ep^2*z4-
         5368937611551577209722804158303623936673847/389660549897506131\
         776365561728000*ep^2*z3+25520213569148096016278062333435802817\
         09993143400116878794096113187509826284978294749034935209576287\
         400997434383246202543323606680784111/
         16308815439942542505493320169813146409804393688966558191979033\
         67818698401682624027454473507121084240111232614400000000000000\
         00*ep^3-3152195087887599108171115/15145692571548*ep^3*z6-
         4635554392745178352647111080394341/10396603150536380500800*
         ep^3*z5-5368937611551577209722804158303623936673847/2597736999\
         31670754517577041152000*ep^3*z4+307453583487617069144398395089\
         57985569231732136815669/43106028298717115097812028761187609600\
         0000*ep^3*z3-1609852402691273048336431/53009924000418*ep^3*
         z3^2;
Fill mncnoptab(24,4,1,1)=
      +mncF321*(6760000+139108659497600/1716099*ep+1489299734705835788/
         3567769821*ep^2+1239487702193890394068/974001161133*ep^3)
      -35178116475464424845523182539043561199603443449595537/1017086737\
      708230330732874818620221648512000000-2042034239427566423/
         159029772001254*ep^-3-200978570862979899648138336019/
         1419136330048215938359200*ep^-2-248803395749151427362476051785\
         71253696309/37991903615006847848195642268480000*ep^-1-
         7075539205932890452304/79514886000627*z3+885393859008027847644\
         8892815630805961327154253137092425862859581071450346427733497/
         44195424572408064430138473012234755736018933084365586351972679\
         680000000000*ep-3537769602966445226152/26504962000209*ep*z4-
         22611253038031652775587035950673/12448564298668560862800*ep*z3
         -4787258426294481284003759579306034642299875550282270735319375\
         202094111832338102186264159/1073162896187976914815184374608652\
         7097575429829800349157544941792002048000000000*ep^2-
         20789752682556508795106/2409542000019*ep^2*z5-
         22611253038031652775587035950673/8299042865779040575200*ep^2*
         z4-9657741608176611346732299940028958157351727/379919036150068\
         4784819564226848000*ep^2*z3+4708632806432854063189300144667886\
         44317965339206149226737507034354564671598486827833791551613612\
         8748490749355360683290679765591/344102301826440870935260210851\
         66429682153624707559614649861215746007083857249288354512959555\
         4899165184000000000000000*ep^3-242495106899439964209355/
         11359269428661*ep^3*z6-5203119283064539196079148922021741/
         101366880717729709882800*ep^3*z5-96577416081766113467322999400\
         28958157351727/2532793574333789856546376151232000*ep^3*z4+
         312677248606036188615796114640270673344552515504091959/
         46231215350374105942403400846373711296000000*ep^3*z3-
         247353903345652451398574/79514886000627*ep^3*z3^2;
Fill mncnoptab(25,1,1,3)=
      +mncF321*(34328125+2645168277447475/6864396*ep+
         6522325029899537246/3567769821*ep^2+8830346455548149724403/
         1731557619792*ep^3)
      -10998682993622580968748280081303182295463579856456900821/
      65093551213326741166903988391694185504768000000+
         10749890832454856497/10177905408080256*ep^-3+
         745147458988683581209741250197/90824725123085820054988800*
         ep^-2+33514466395311878723906645267514999325727/24314818313604\
         38262284521105182720000*ep^-1-35919744852171830236976/
         79514886000627*z3+13663576195168951431912933685519401638231102\
         92789479462594127512066134611477217/11988776196942291783349195\
         15305847323568221926116687997829120000000000*ep-
         17959872426085915118488/26504962000209*ep*z4-21214733155570776\
         213496596763236751/2390124345344363685657600*ep*z3-
         44410398672680635103684077174141611611858616985399894313053658\
         672540192968896610193516363/1375513966061249707709892081712750\
         6655827882472278279559841539162112000000000000*ep^2-
         3378627163663041568498513/77105344000608*ep^2*z5-2121473315557\
         0776213496596763236751/1593416230229575790438400*ep^2*z4-
         7478241293515859125964830722278879614406890543/121574091568021\
         9131142260552591360000*ep^2*z3+2098417357405394860438489775646\
         15429467504794508031008386224879168793907301360246291526130282\
         2339343094627648318329030808253/375522598556441422257006585316\
         68925651496519674239001446665579455329310102237495771819224808\
         292352000000000000000*ep^3-78818046118293480852048355/
         726993243434304*ep^3*z6-16193330251861801636152653170411499/
         71290993032249466291200*ep^3*z5-747824129351585912596483072227\
         8879614406890543/810493943786812754094840368394240000*ep^3*z4+
         8693076616745466991743707100280716099222895842201715711/
         227599829417226367716447511859070578688000000*ep^3*z3-
         40230343258782494843747479/2544476352020064*ep^3*z3^2;
Fill mncnoptab(25,2,1,2)=
      +mncF321*(5492500+109794471530575/1716099*ep+1136053844602154075/
         3567769821*ep^2+93691840704534134917/99897554988*ep^3)
      -33980076081208425833815327095131804788717611618486017/1251799061\
      794745022440461315224888182784000000-231364660118860775/
         2544476352020064*ep^-3-8262351989292685323177160031/
         1746629329290111924134400*ep^-2-310516477205086574986801612813\
         57336253/719373322887703627894828729344000*ep^-1-
         5747258563593802741616/79514886000627*z3+201840051799638574023\
         1871577735034289575606481273707650641867258040878112130087/
         11804333486220102678989976766088342878210185118687389517086720\
         000000000*ep-2873629281796901370808/26504962000209*ep*z4-
         66675388569030462142152226261507/45963929718160840108800*ep*z3
         -6513703828675604621226446008683771425048531209252477038105784\
         06079405904703992028477357/14882991348760774521290463775083016\
         49996592524473051380946506350592000000000000*ep^2-
         135147200201390400046777/19276336000152*ep^2*z5-
         66675388569030462142152226261507/30642619812107226739200*ep^2*
         z4-36975375217636708127830173824913354132213331/23379632993850\
         367906581933703680000*ep^2*z3-35145260920106190526743782876182\
         96185717269639848376335605845901330203129597188003571257945520\
         690150325281379610210385311505849/1175890982068810318305285493\
         62875437298242483715929777911827868292993365509959099487378075\
         8796971278336000000000000000*ep^3-3152771098669380556864795/
         181748310858576*ep^3*z6-4904096263355611819809312658366613/
         124759237806436566009600*ep^3*z5-36975375217636708127830173824\
         913354132213331/15586421995900245271054622469120000*ep^3*z4+
         2699537972532140478523690163109463810320908146435423/470247581\
         440550346521585768303864832000000*ep^3*z3-
         1609215970915396328537455/636119088005016*ep^3*z3^2;
Fill mncnoptab(25,2,2,1)=
      +mncF321*(439400+9117081563096/1716099*ep+197820182010410375/
         7135539642*ep^2+977769836256196504/11351994885*ep^3)
      -35285293575516034613162644138219621543450709548023917/1564748827\
      2434312780505766440311102284800000000-27498821407149873287/
         31805954400250800*ep^-3-242555379147839930163565739867/
         21832866616126399051680000*ep^-2-62408619535180054197658479565\
         22205390317/116898164969251839532909668518400000*ep^-1-
         11464322250397575387088/1987872150015675*z3+
         16419631230213493317697202221719078248676915460753979962907392\
         720364023321472951/1274868016511771089330917490737541030846699\
         992818238067845365760000000000*ep-5732161125198787693544/
         662624050005225*ep*z4-68044661760118892582957144238019/
         574549121477010501360000*ep*z3-1221574615286681053225208249155\
         084806655364686796030592481485282761443496395359784369398283/
         43881011692686267598572803394454765848499533991563446915826793\
         240854528000000000000*ep^2-135103836695661866111833/
         240954200001900*ep^2*z5-68044661760118892582957144238019/
         383032747651340334240000*ep^2*z4-51719098507665644176571064336\
         737152341216847/292245412423129598832274171296000000*ep^2*z3+
         51623041064944599192827104256979899559215638336478183535762529\
         63487424990456757996873129292955234801275827227852896334455852\
         21/91304476254754683538998638328820927784517693238251356966831\
         05067455955439596824195490532950658835808256000000000000000*
         ep^3-630367045993607325734591/454370777146440*ep^3*z6-52876998\
         41813279614490494125852941/1559490472580457075120000*ep^3*z5-
         51719098507665644176571064336737152341216847/19483027494875306\
         5888182780864000000*ep^3*z4+2898592977345775593775413984717006\
         67293227909597791723/71124946692883239911389847455959555840000\
         0000*ep^3*z3-1610286899452181157147343/7951488600062700*ep^3*
         z3^2;
Fill mncnoptab(25,3,1,1)=
      +mncF321*(105625+9117238117975/6864396*ep+25887989886038792/
         3567769821*ep^2+40912426128785556287/1731557619792*ep^3)
      -35336457231101825838190569259886195675327059112027537/6509355121\
      3326741166903988391694185504768000000-2007577788827294723/
         10177905408080256*ep^-3-204133074889613650332217822319/
         90824725123085820054988800*ep^-2-26291930550737995791299055361\
         023788932909/2431481831360438262284521105182720000*ep^-1-
         110553146564538896336/79514886000627*z3+3510992616809967006073\
         5768369834606815273641947119715647799956258796892577842961/
         12429963160989768120976445534691025050755324929977821161492316\
         160000000000*ep-55276573282269448168/26504962000209*ep*z4-
         69773820587719654722315847810819/2390124345344363685657600*ep*
         z3-23186869810395619000086299080439714504779481956398303496665\
         42999486507728918231834765813/45274059682930276093765590803802\
         5361928963445944702230083927231850086400000000000*ep^2-
         10394741647880453335453/77105344000608*ep^2*z5-
         69773820587719654722315847810819/1593416230229575790438400*
         ep^2*z4-13670554438988752269100406398613245876574087/243148183\
         136043826228452110518272000*ep^2*z3+
         19179010615092308262566147857182001693384466634268584043086094\
         275381211486639254893067591949257387565951255770967393369/
         93419566233143387009876366778730129757117447662592678784958385\
         081169902681810469152473894354944000000000000000*ep^3-
         242491981207135510990855/726993243434304*ep^3*z6-5713273969279\
         266884679347398965941/6487480365934701432499200*ep^3*z5-
         13670554438988752269100406398613245876574087/16209878875736255\
         0818968073678848000*ep^3*z4+2478069072651735026530981048074725\
         66922737146720151959/29587977824239427803138176541679175229440\
         00000*ep^3*z3-123676986129276825970987/2544476352020064*ep^3*
         z3^2;
Fill mncnoptab(26,1,1,2)=
      +mncF321*(17576+9478492012496/42902475*ep+215200666660902107/
         178388491050*ep^2+159313254821166088232/40583381713875*ep^3)
      -432720026199357978314234756622948474112310057651660921/
      5085433688541151653664374093101108242560000000000-
         21646525797503726087/795148860006270000*ep^-3-
         1273692424904170360679914693871/7095681650241079691796000000*
         ep^-2+3068637734059159010190838564195774579879/379919036150068\
         47848195642268480000000*ep^-1-11430099043462905526288/
         49696803750391875*z3+13655511092900357544544721435327317925150\
         4518860423097800042778449669660207/292364607759604737896032803\
         610631872840901551865066422272000000000000*ep-
         5715049521731452763144/16565601250130625*ep*z4-905106630907904\
         036126356569675847/186728464480028412942000000*ep*z3-
         42962072082809805419260844064686435736097891681093819347140309\
         6078446244205474666497/479200110109086056641153859546759218963\
         237571703905051402148249600000000000000*ep^2-
         135050240771047043491033/6023855000047500*ep^2*z5-905106630907\
         904036126356569675847/124485642986685608628000000*ep^2*z4-
         885452576324879040680150252130272636303911411/9497975903751711\
         9620489105671200000000*ep^2*z3+3769998278298179335627638475588\
         37648912876714675353677152647707120862066828429903371131009058\
         765928401497519127676333/6631635874574993522306038382440719087\
         69660893901120867917914461995959185704210120526820854988800000\
         00000000000*ep^3-630133935610100116156991/11359269428661000*
         ep^3*z6-5706398937840697754743709132345741/
         38987261814511426878000000*ep^3*z5-885452576324879040680150252\
         130272636303911411/63319839358344746413659403780800000000*ep^3
         *z4+248595777401059763705529417574792012934695027664560123/
         17781236673220809977847461863989888960000000000*ep^3*z3-
         1612588887207853709048143/198787215001567500*ep^3*z3^2;
Fill mncnoptab(26,2,1,1)=
      +mncF321*(676+391371431971/42902475*ep+4835175007091591/
         89194245525*ep^2+31382036851053294353/162333526855500*ep^3)
      -34945264595626345580313380878988751612566261057756417/
      10170867377082303307328748186202216485120000000000-
         2602985255199989699/1590297720012540000*ep^-3-
         250293923860180940134704713567/14191363300482159383592000000*
         ep^-2-5749934644500540155279276851415315569817/759838072300136\
         95696391284536960000000*ep^-1-442361438124748759088/
         49696803750391875*z3+59653199812389502957865813520514162496950\
         04862441016538642244099467784165233/39469222047546639615964428\
         4874353028335217095017839670067200000000000000*ep-
         221180719062374379544/16565601250130625*ep*z4-
         72830383910572146286634764921219/373456928960056825884000000*
         ep*z3-81073382732330431576556453533376649097022967340443268414\
         86182728479737925918815090513/50316011561454035947321155252409\
         7179911399450289100303972255662080000000000000000*ep^2-
         10397069149794455688541/12047710000095000*ep^2*z5-
         72830383910572146286634764921219/248971285973371217256000000*
         ep^2*z4-100916561904807029667544095557002531627384147/18995951\
         8075034239240978211342400000000*ep^2*z3+
         16510653905265124399028801038052574511178907699226196588298342\
         7245503221508533832739654434091020749343529507942534022963/
         89527084306762412551131518162949707683904220676651317168918452\
         369454490070068366271120815423488000000000000000000*ep^3-
         48509198634031292521307/22718538857322000*ep^3*z6-931263972788\
         836169443499926952963/144809829596756728404000000*ep^3*z5-
         100916561904807029667544095557002531627384147/1266396787166894\
         92827318807561600000000*ep^3*z4+998090573197482462457451940562\
         50119941319516208347623/46231215350374105942403400846373711296\
         0000000000*ep^3*z3-123676390721810453276011/397574430003135000
         *ep^3*z3^2;
Fill mncnoptab(27,1,1,1)=
      +mncF321*(1+34395742267/2230928700*ep+1597747168263479/
         15073827493725*ep^2+2431969628414461/5549864166000*ep^3)
      -50000520021264163653636286876392845706011503681526417/
      6875506346907637035754233773872698343941120000000000+
         26022373705025730301/1075041258728477040000*ep^-3+
         1474141654477194671154451476433/
         9593361591125939743308192000000*ep^-2-605340611437764474327203\
         2548380876909/3951157975960712176212346795921920000000*ep^-1-
         108801274596173082272/8398759833816226875*z3+20197056118138913\
         53004919238103095105312229594828279201211183643/18406517323618\
         0844546964555271702954583288588617728000000000000*ep-
         54400637298086541136/2799586611272075625*ep*z4-
         78914506292219619878446184881219/
         252456883976998414297584000000*ep*z3+2781506357287114041344184\
         526650220927640437966783220910040991389979779699/
         10056398636156760599756613654817430675624205372974270791680000\
         0000000000*ep^2-10285170019313573328541/8144251960064220000*
         ep^2*z5-78914506292219619878446184881219/
         168304589317998942865056000000*ep^2*z4-17097816649042644026024\
         7674068994271566074147/128412634218723145726901270867462400000\
         000*ep^2*z3+10377464560167064402227602900970992611193639092780\
         08552635677343084024990177146401737717/19787765552389903880345\
         1458120974956306781994198735294723844184965120000000000000000*
         ep^3-47989852835752911601307/15357732267549672000*ep^3*z6-
         8140400307356610765988660502810741/
         685240113651852838807728000000*ep^3*z5-17097816649042644026024\
         7674068994271566074147/856084228124820971512675139116416000000\
         00*ep^3*z4-349058966475211730333283505406508938403293722381782\
         377/312523015768528956170646989721486288360960000000000*ep^3*
         z3-123705016080770678996011/268760314682119260000*ep^3*z3^2;
*--#] 30 :
#case 29
*--#[ 29 :
Fill mncnoptab(8,7,6,8)=
      +mncF321*(-191129472060365782944000000-
         1504811724180935740425240000*ep-12598133301613153706593079200/
         3*ep^2-43268502744939588073793800428/7*ep^3)
      +4338732627716742169278173088677539706749474671549527/
      4612572146633249568369600-1509042112332450386229800/117*ep^-3-
         31006486555863857350290141592729/226972746*ep^-2-1124965048785\
         861474819944702997205479985/2641878329578488*ep^-1+
         294307274416061227019851198400/117*z3-
         93934260074449000524408981146338400324824152129920450244300180\
         03147118749047263713958120940053326872334722441/
         98962829611849547627728956965246393750713061545093191948042240\
         0000000000000000000*ep+147153637208030613509925599200/39*ep*z4
         +1550627789987268968921781036077129252/37828791*ep*z3+
         62509975975333928768880325149536567627291361778709650410257418\
         983132307453532647115386246026935507632905143953402621853/
         13822686270111757516260570526841723419197897253511879755293684\
         02264064000000000000000000000*ep^2+
         3171659826241623818761429279200/13*ep^2*z5+7753138949936344844\
         60890518038564626/12609597*ep^2*z4-448501493037047728015573166\
         90656560475058651/388511519055660*ep^2*z3-
         42862612693395291919292577150542854604433675200661711422823473\
         49941944010003293608425047354823233572363028562391585374917777\
         153296083360462658756209/7407848932272113547041362062069045399\
         09520375514300558829129531592805149360133292014425866240000000\
         00000000000000000000*ep^3+70626577904396382854582530786000/117
         *ep^3*z6+50716972329778071696498702074508239302/113486373*ep^3
         *z5-44850149303704772801557316690656560475058651/
         259007679370440*ep^3*z4-41892979841320926801035153254493389146\
         47298563792717/115314303665831239209240*ep^3*z3+
         10299227452642526708100607719200/117*ep^3*z3^2;
Fill mncnoptab(8,7,7,7)=
      +mncF321*(-222984384070426746768000000-
         1754961007964168785945780000*ep-44048006020454142029976951200/
         9*ep^2-64779802662827499398029105952/9*ep^3)
      +4339037392230161272141002974046227576300157150846989/
      3953633268542785344316800-6335583972349302108325300/351*ep^-3-
         12359312811177034296277964050013/64849356*ep^-2-13354377690478\
         23494138010049206493146979/2264467139638704*ep^-1+
         1030098646929986849967495906400/351*z3-
         57533779092462573879824349825917565388276153181976172988184882\
         1046518500415736600384288378105636523030142981/
         51933846443536205752160968669808603134484988565938118223462400\
         000000000000000000*ep+515049323464993424983747953200/117*ep*z4
         +2325557344418024732588950763834344538/48637017*ep*z3+
         38304851883805745132021613984952696851204816137436021463964813\
         54703727389136403107878733473910766140908142500451458713/
         72538878385426132738393664572347236602204708619012780056934784\
         958464000000000000000000000*ep^2+
         11100836794094876990462330313200/39*ep^2*z5+116277867220901236\
         6294475381917172269/16212339*ep^2*z4-4489569476846338438613470\
         1142555478047167513/333009873476280*ep^2*z3+
         22350370213513932412914615440261148589521394924657007311227519\
         11614778351196931840939094994854366618033397105456127247010917\
         285351930662301840797/2718532096085507224341872762283488290968\
         49410982026342207268885577086030061416119722311680000000000000\
         00000000000000*ep^3+247193581249809765160483692281000/351*ep^3
         *z6+25318321201625099429967385598531443421/48637017*ep^3*z5-
         44895694768463384386134701142555478047167513/222006582317520*
         ep^3*z4-41486573257569028756374094761764983533126727426397927/
         988408317135696336079200*ep^3*z3+
         36047041034085101539920544301200/351*ep^3*z3^2;
Fill mncnoptab(8,8,7,6)=
      +mncF321*(-163825261766027813952000000-
         1291269449224479396976920000*ep-3610659398401893155250877200*
         ep^2-111910108976654624851932916762/21*ep^3)
      +130495650804023285465445780145264251931636712035313/
      161844636723973669065600-517249446451589843553800/39*ep^-3-
         1676968869575421404771732466343/11945934*ep^-2-202490861174260\
         798046628997481222173099/463487426241840*ep^-1+
         84089686765023342888653998400/39*z3-43230163400111956415137247\
         34231848882909371395199424885879697500516511111918459592728147\
         6517917271384249859/531486732609288655358372486386930149037127\
         0759672029642752000000000000000000000*ep+
         42044843382511671444326999200/13*ep*z4+20997492480998811110831\
         4616263947522/5972967*ep*z3+1149032665607673091967114510844924\
         03282056266751902396040713350918168178505389248429496116295247\
         28456160969383670087/29694277701636428606359979649498868784528\
         2432943327169823709646028800000000000000000000*ep^2+
         2718572280712502618251592957600/13*ep^2*z5+1049874624049940555\
         54157308131973761/1990989*ep^2*z4-1344685272665420092296852360\
         057700767280523/13631983124760*ep^2*z3-
         10794906290148962478845221531694201082499677545050875700266714\
         07858890154250753914447409701561881126999116995748092142897307\
         5948523021715828704656429/982673837954464041954466395988750920\
         28813927364141910865088611333739458588589110165178941440000000\
         000000000000000000000*ep^3+20179067888431211279665312186000/39
         *ep^3*z6+766308445260558733277097400936112008/1990989*ep^3*z5-
         1344685272665420092296852360057700767280523/9087988749840*ep^3
         *z4-2591156139356476269231252097036620001256009842104919/
         80922318361986834532800*ep^3*z3+
         2942615580263108961336069447200/39*ep^3*z3^2;
Fill mncnoptab(8,8,8,5)=
      +mncF321*(-100301180673078253440000000-
         5543937585117375933079800000/7*ep-
         108862187414798491650119746000/49*ep^2-
         3388602712813819601730362776010/1029*ep^3)
      +65241596510337075827986550380900954020138766075027/
      132173119991245163070240-12429063534063434484379000/1911*ep^-3-
         5797318180818484870467846423745/83621538*ep^-2-395311787026832\
         3465262231918512005273/18024511020516*ep^-1+
         2522622657831405028850209432000/1911*z3-
         44362544343800378785541997492929406334409095549490945321530955\
         883031143793248855785402977446418740257382539/
         89289771078360494100206577713004265038237348762490097998233600\
         00000000000000000*ep+1261311328915702514425104716000/637*ep*z4
         +6304601912342599654962045789606538760/292675383*ep*z3+
         29437277327482415673332268307846027200063792670515905487619969\
         1154282705501592242391312196158720595217015114010022167/
         12471596634687300014671191452789524889501862183619741132595805\
         133209600000000000000000000*ep^2+
         81556927524900470217350180348000/637*ep^2*z5+31523009561712998\
         27481022894803269380/97558461*ep^2*z4-100347451678519406217143\
         7264604473828125927/16699179327831*ep^2*z3-
         21962251042312308410536043115943333319428059858317653435269257\
         08091349110717020262821136117584484411483571683035080362818575\
         49988947123631533453640321/21461596620925494676285546088394320\
         09909296173632859333293535271528869775574786166007508081049600\
         000000000000000000000000*ep^3+605370399792175014058000829030000
       /1911*ep^3*z6+23165451936670463600551168847250564890/97558461*
         ep^3*z5-1003474516785194062171437264604473828125927/
         11132786218554*ep^3*z4-451148441698499514001347732493397385973\
         538835852811/22028853331874193845040*ep^3*z3+
         88279214803264609841519466316000/1911*ep^3*z3^2;
Fill mncnoptab(9,6,5,9)=
      +mncF321*(-89591940028296460755000000-706748326742084320704346875
         *ep-7916207547226328478360814625/4*ep^2-
         1966360991860320910583036461325/672*ep^3)
      +43379190566434752853606572482685956949665497801252427/
      98401539128175990791884800-256982320613141078114375/104*ep^-3-
         386026625558495455770021328524115/14526255744*ep^-2-8955186865\
         69129582566414666627234834103/10437050190927360*ep^-1+
         15327481462270849227075799875/13*z3-44700817974182941351469966\
         86151104757196379883679266242005528630772219345756246855152906\
         5802915664027971107/100533668177117000764677035647234431746756\
         12601406292515356672000000000000000000*ep+
         45982444386812547681227399625/26*ep*z4+34920312766099617758856\
         186202695445055/1815781968*ep*z3+59330198140186194101911040252\
         05102266951276989239285562925266487404972311990044840262835508\
         49304770220617472510413229/28084187977369920033037349641837152\
         343767156324595565217104627855523840000000000000000000*ep^2+
         2973409337607079100860248837625/26*ep^2*z5+3492031276609961775\
         8856186202695445055/1210521312*ep^2*z4-89222042078554717707244\
         960969682131058799223/1657649147970816*ep^2*z3-
         45325236439069211806350730289839815728734771237923544721926653\
         07691451603064301302826356377281906113468008161282819745555184\
         325706767453793011333/7921509301009444728665783992855787895440\
         15104977698174854875355420877686867978791794874777600000000000\
         00000000000000*ep^3+14713771873412687012030486189375/52*ep^3*
         z6+85229270974010683647364871944969236805/403507104*ep^3*z5-
         89222042078554717707244960969682131058799223/1105099431980544*
         ep^3*z4-880263337414715495947644127096677691352277226782045211/
         49200769564087995395942400*ep^3*z3+
         1072858686149139676894331848375/26*ep^3*z3^2;
Fill mncnoptab(9,6,6,8)=
      +mncF321*(-143347104045274337208000000-
         1129522410585377081890155000*ep-3156602091176265752144913650*
         ep^2-391021610866494674457798899473/84*ep^3)
      +2551955655266572723182832010708613529762739466320347/
      3617703644418234955584000-89842648535262973696475/13*ep^-3-
         7860337802543655163090920233431/106810704*ep^-2-26737603209341\
         9817367670224630660070329/1151145241646400*ep^-1+
         24524816161708581659665881400/13*z3-98558902756678364273539460\
         50291721448235986561044393892993823035852583070251764541394597\
         98763853449230823/13860340281771645326012458958717982318027039\
         4320858812252160000000000000000000*ep+
         36787224242562872489498822100/13*ep*z4+41061233819120032391363\
         9443875492059/13351338*ep*z3+655651111374076633419462515561202\
         45799091190969232930902088327580333683621582101903898369960774\
         06033512782952233083/19359504579988455905126849477369360531089\
         4919516973105816438151577600000000000000000000*ep^2+
         2378736466534942814357904593300/13*ep^2*z5+4106123381912003239\
         13639443875492059/8900892*ep^2*z4-1790019902514264684795845256\
         2631712211939987/207206143496352*ep^2*z3-
         29148593947056653744178711400850909699996048604792327788554262\
         19707026045118444471737651631006417310467899032589916232663225\
         938034480176278404151/1763773555302884177866990967159296523594\
         09613217690609245030840855429797466698402860577587200000000000\
         000000000000000*ep^3+5885529125933085581745596779750/13*ep^3*
         z6+997890483384687281591272402582106609/2966964*ep^3*z5-
         17900199025142646847958452562631712211939987/138137428997568*
         ep^3*z4-50329373085132274706830444966636724467430518940025371/
         1808851822209117477792000*ep^3*z3+
         858277644828339107771127456300/13*ep^3*z3^2;
Fill mncnoptab(9,7,4,9)=
      +mncF321*(-43881766544471735880000000-347121475120475296152862500
         *ep-6837911622296635163952211000/7*ep^2-
         1709882488243223999443100844805/1176*ep^3)
      +2478738606829731092991239412019743462676510291211851/
      11480179564953865592386560-572267361282282312666125/546*ep^-3-
         41378605345895834397888155179705/3631563936*ep^-2-265474599291\
         124667427220819139650489073/7045008878875968*ep^-1+
         157653121044033172187275844500/273*z3-
         16381762775354206963999319156092404618312184353504011995563432\
         024422161108089082039263728513495655206667137/
         75400251132837750573507776735425823810067094510547193865175040\
         00000000000000000*ep+78826560522016586093637922250/91*ep*z4+
         29971685837863287327124083294937618535/3177618444*ep*z3+
         86777516540302608541151513285413694548107949428037478510145675\
         6352791331948945787763118479148997735416272425582687941/
         84252563932109760099112048925511457031301468973786695651313883\
         566571520000000000000000000*ep^2+
         5097269696934204000176135479250/91*ep^2*z5+2997168583786328732\
         7124083294937618535/2118412296*ep^2*z4-75881145817626429437502\
         934762443532145570779/2900886008948928*ep^2*z3-
         12128366358718614373639936303871286223344715847839253198064171\
         38159444229250302137639880850204983806253533001279402734938209\
         075225925068971132104363/8478655455180442341248610800353311644\
         08610834027796279819668255418812750844359966817780970291200000\
         00000000000000000000*ep^3+37835389924396447070852826483125/273
         *ep^3*z6+221753477637701543031738713660814480355/2118412296*
         ep^3*z5-75881145817626429437502934762443532145570779/
         1933924005965952*ep^3*z4-5367160965520830113156351898551800104\
         7660742293253629/5740089782476932796193280*ep^3*z3+
         5517569671371119671640254902250/273*ep^3*z3^2;
Fill mncnoptab(9,7,5,8)=
      +mncF321*(-102390788603767383720000000-
         807944772175197656439825000*ep-2263650764903337100041780750*
         ep^2-281368292943387888650639264755/84*ep^3)
      +2478994818188502503005965817557438204089843106189437/
      4920076956408799539594240-184953431219080487439875/39*ep^-3-
         92057344716204222774841728781535/1815781968*ep^-2-325011296034\
         541595125486393143448438793/2012859679678848*ep^-1+
         52553011025172919263474419000/39*z3-50231030870307508906916032\
         86976072534033528849955335694760785946796547262336908647418492\
         6179399599662354339/989628296118495476277289569652463937507130\
         6154509319194804224000000000000000000*ep+
         26276505512586459631737209500/13*ep*z4+99788235051620888934975\
         92828919661745/453945492*ep*z3+3336017865194991091054955204430\
         68142881409394161719974521432628854296346303999277789667744757\
         674511618944679106175389/1382268627011175751626057052684172341\
         9197897253511879755293684022640640000000000000000000*ep^2+
         1699096885905783547989844653500/13*ep^2*z5+9978823505162088893\
         497592828919661745/302630328*ep^2*z4-5198065666711657652817770\
         12158210153213375/8457393612096*ep^2*z3-
         28757926410663733586492854844631130554244496278617318063754807\
         44511431834675096227750521499226869010883025314997975741926585\
         8042344759672423102389/192604072239074952223075413613795180376\
         47529763371814529557367821412933883363465592375072522240000000\
         00000000000000000*ep^3+12611844116730444311765148853750/39*
         ep^3*z6+9143109446620967184262030804938126295/37828791*ep^3*z5
         -519806566671165765281777012158210153213375/5638262408064*ep^3
         *z4-50623367299750921953627196342760930400376851335362771/
         2460038478204399769797120*ep^3*z3+
         1839168212885594701771506159500/39*ep^3*z3^2;
Fill mncnoptab(9,7,6,7)=
      +mncF321*(-143347104045274337208000000-
         1130350270756611655767555000*ep-3163115351534314506102753050*
         ep^2-18692668647636398379542684357/4*ep^3)
      +2479275969733331447558011310631952502888812882613333/
      3514340683149142528281600-129291684164489674116275/13*ep^-3-
         27367765226543122111542883932587/259397424*ep^-2-1107364577424\
         518794343851057519038441821/3354766132798080*ep^-1+
         24525684036659318739566582200/13*z3-29564948442023975050932645\
         88850612809545212275393778948351295255385334278068539953337908\
         024008353182710797029/4154707715482896460172877493584688250758\
         79908527504945787699200000000000000000000*ep+
         36788526054988978109349873300/13*ep*z4+19951547984845135391764\
         64285722452629/64849356*ep*z3+19642751506665696903560213550996\
         94039197071810603289636567493710461282156280085494405196221101\
         1358273225821903540080297/580311027083409061907149316578777892\
         817637668952102240455478279667712000000000000000000000*ep^2+
         2378745697582448322567873494900/13*ep^2*z5+1995154798484513539\
         176464285722452629/43232904*ep^2*z4-25518542434216958830390250\
         268822400211215127/296008776423360*ep^2*z3+
         34171220114122560817760877323083743420780195285994306674687534\
         26897828462096380628647067120985769220333428736254496458507210\
         3049731955327832700680863/404300093329836634404123317206800378\
         63283444401246957613065028663024234390733805325102193049600000\
         0000000000000000000000*ep^3+5885550033864472509570767281750/13
         *ep^3*z6+607779108193020561214994630482584413/1801371*ep^3*z5-
         25518542434216958830390250268822400211215127/197339184282240*
         ep^3*z4-49774521652499020415013673372906493614276503158053723/
         1757170341574571264140800*ep^3*z3+
         858268098234545853461066273100/13*ep^3*z3^2;
Fill mncnoptab(9,7,7,6)=
      +mncF321*(-122868946324520860464000000-
         969949776947355666315315000*ep-2719687360876899995102281150*
         ep^2-338429640333603355006582966031/84*ep^3)
      +82647267415819436744082908885803385632696806460469/
      136668804344688876099840-398882462776149339176725/39*ep^-3-
         196876688955449137147543721248487/1815781968*ep^-2-59651196688\
         59703325346455556285569815363/17612522197189920*ep^-1+
         63067505875236050827565405800/39*z3-38467992169884616976559729\
         34769387265730673408304331733276510225335562970308558062555863\
         30232313321474221/63087762929465750427795151445345727811570685\
         818680901632000000000000000000000*ep+
         31533752937618025413782702900/13*ep*z4+29943872006383301227179\
         34957574225141/113486373*ep*z3+5099941784806323564549708724774\
         66414852205208067377656835211898430904066153543573717196241008\
         544325391841647210359/1762363420442811776928903415265967847478\
         2485087223707496825749504000000000000000000000*ep^2+
         2038930064281215231326770693700/13*ep^2*z5+2994387200638330122\
         717934957574225141/75657582*ep^2*z4-63596171591801288688462981\
         33561143701101743/86335893123480*ep^2*z3-
         25863490566997210589371077619687830698295558190009967948319582\
         55060207938879826829287535024258446403364420400267529714439055\
         17807384223383144918877/79808995585639520275352331202751532468\
         21622588924478391791869725147519543846262591507660800000000000\
         00000000000000000*ep^3+15134306717421024107881866688250/39*
         ep^3*z6+43968970042156815974596858098362707421/151315164*ep^3*
         z5-6359617159180128868846298133561143701101743/57557262082320*
         ep^3*z4-25564930198628550890861854691745588797136742061711581/
         1025016032585166570748800*ep^3*z3+
         2206959036355946384304084454900/39*ep^3*z3^2;
Fill mncnoptab(9,8,3,9)=
      +mncF321*(-10113702384535390555200000-563197239999172179111991500/
         7*ep-11206591815191888903679868680/49*ep^2-
         4733936131094039671627520754209/13720*ep^3)
      +30364348219569078428380449387879669640836919288535611/
      610207247785035851032642560-646058948567758343208415/3822*ep^-3-
         23429890932337884270451476367/12411360*ep^-2-89721989768413855\
         8167839552319602439893/135675410227156800*ep^-1+
         254343986014479821661200866460/1911*z3-
         23618451009764476932058519365841103575141745209113239371603441\
         29290949890416320551952270563346553000542723838423843/
         47381980319238014478437943761515890940661963738492825001674028\
         78098472960000000000000000*ep+127171993007239910830600433230/
         637*ep*z4+1159969058165043185011260933758090561/532137060*ep*
         z3+71589661620749802013876293778257374901118138052882038692547\
         54884302796768573011591193139582649209594902823816353434724005\
         9441/304432760900226956057172690930869059024107183079381261556\
         09895989411956087597301760000000000000000*ep^2+
         8223584300103284941805770225190/637*ep^2*z5+115996905816504318\
         5011260933758090561/354758040*ep^2*z4-331378002151208441292128\
         842614262469783784631/55866345387652800*ep^2*z3+
         15248221615845461332678492909287911983445445852704830385476399\
         62523366194714312180086103259372574698537900834253647235180253\
         635705599132473561869136542189556796657/
         11199756696747638515536217396672412179988611301890037974460381\
         25809690417887840290019294763825575224196917205401600000000000\
         000000000000*ep^3+61041022285738437509390274522775/1911*ep^3*
         z6+8764212754996988399288314581925386533/354758040*ep^3*z5-
         331378002151208441292128842614262469783784631/
         37244230258435200*ep^3*z4-185335340458182885794641316225071891\
         91969651876972567237/7627590597312948137908032000*ep^3*z3+
         8901712612422689369244491642030/1911*ep^3*z3^2;
Fill mncnoptab(9,8,4,8)=
      +mncF321*(-36777099580128692928000000-
         2040170474591483272388460000/7*ep-
         40321202558077811543518743200/49*ep^2-
         1265971369237229254715671278587/1029*ep^3)
      +130465916344796864114802069910875962530196337250391/
      720944290861337253110400-942968171576498088440100/637*ep^-3-
         34827144486968900484314574889/2171988*ep^-2-258578580106532766\
         8236053974226989833/49157757328680*ep^-1+
         308307872021793213705261024800/637*z3-
         82473206912318266708463894939944112531670177063652585355751558\
         8100816030665959928194170701692341244480423553/
         45377061662022803101724982793748767492432220641097467802702315\
         5200000000000000000*ep+462461808032689820557891537200/637*ep*
         z4+210517710797468622972677821968579082/26606853*ep*z3+
         54546278849528587981940803317245031323222236140996502510163629\
         26413273879434533760824977580501399632039553338736951169/
         63380654097480858674558994963076365488448463617155524435851881\
         6869711872000000000000000000*ep^2+
         29904071942637248777747678831600/637*ep^2*z5+10525885539873431\
         1486338910984289541/8868951*ep^2*z4-13242882587738045959950410\
         28102506904165293/60724288464840*ep^2*z3+
         54230697400891768660347103030329887057675717824449687917958191\
         45428642972595645861858220739020654310335434461622227056588086\
         35769854080583854717736220743/77983501329693505220591448833172\
         25334166715855397566659235388568685447082621810256389861588544\
         2580480000000000000000000000000*ep^3+
         73989410176538638910106044517000/637*ep^3*z6+87124373858844438\
         140388583100902997/985439*ep^3*z5-1324288258773804595995041028\
         102506904165293/40482858976560*ep^3*z4-29404576332927380529976\
         94404175711295939168889175137/360472145430668626555200*ep^3*z3
         +10789821234602708500441871856400/637*ep^3*z3^2;
Fill mncnoptab(9,8,5,7)=
      +mncF321*(-75086578309429414728000000-593834954864641487787405000
         *ep-5011608394594694038869141650/3*ep^2-
         89479876755592266971067832483/36*ep^3)
      +18640457072578384707137229209196772579289981039153/
      50445081576303481267200-587440822712679588014725/117*ep^-3-
         465673980776262596571796244531/8687952*ep^-2-17207322416408510\
         7568250236190972712781/1011245293618560*ep^-1+
         115620596179226631456510401800/117*z3-
         75122346975135501984363954801860360151194334991569672910454187\
         029778448329895904928521802454827479175578467/
         20204999626874717522103888442485536545795422919969187889886003\
         200000000000000000*ep+57810298089613315728255200900/39*ep*z4+
         11684187095104251802500204626075999/723996*ep*z3+
         24888845684858078862422690880115640097707043024174295256612815\
         03091090854520583589639431667260474604271731575578438263/
         14110720763817630873742262329441862446407821213466907110022682\
         3792885760000000000000000000*ep^2+
         1246009077100779712490143405900/13*ep^2*z5+1168418709510425180\
         2500204626075999/482664*ep^2*z4-443991886285502552693514851645\
         265133499311/9914169545280*ep^2*z3+
         24826079353527773133256181776448722504190253727096948081176369\
         34698066965875100231040869794760651638910941939654389802046540\
         14824666441272369358887441/20546530743022297760417546980449595\
         24212064644471370385895964756654891591737091986621693450780672\
         0000000000000000000000000*ep^3+
         27746152744319476952386950628250/117*ep^3*z6+97175593689933554\
         715322030653499681/542997*ep^3*z5-4439918862855025526935148516\
         45265133499311/6609446363520*ep^3*z4-2809196312988947083580405\
         103624287996378796706213177/176557785517062184435200*ep^3*z3+
         4046126377411459820642998954900/117*ep^3*z3^2;
Fill mncnoptab(9,8,6,6)=
      +mncF321*(-90103893971315297673600000-712382533897010705856666000
         *ep-2002933972655797824846384060*ep^2-
         625376447437639145267915875951/210*ep^3)
      +130494056891622457827693416185771873710645726253859/
      294262975861770307392000-293419619032773651176990/39*ep^-3-
         1736458377400878594988240531363/21719880*ep^-2-211621495028822\
         401831415552200820019353/842704411348800*ep^-1+
         46249524241332021982536620720/39*z3-12781233241950534853244786\
         68776157407035612162727532259998310722300838117314439772238783\
         63775262786727845869/28635203552826980615226599266561134560367\
         662868437057667072000000000000000000000*ep+
         23124762120666010991268310360/13*ep*z4+10514387257388368454644\
         8988765785211/5429970*ep*z3+1693594042342967822030990913015382\
         51321138256748918157091490416694286372750675079007720332143684\
         544560176699803418989/7999274809420425665386770028028266692974\
         955336432487023822382301184000000000000000000000*ep^2+
         1495215451137830785270181541080/13*ep^2*z5+1051438725738836845\
         46448988765785211/3619980*ep^2*z4-1333110389218044958628378883\
         854927411609761/24785423863200*ep^2*z3-
         22831018480530740895818713525358660208877511130529608887183684\
         25765108727547010905528282204240206684264694917791511810180921\
         23638725351900941051834481/58238465824893134241546334978598625\
         96972972348274859370453414843126109953903321957544482570240000\
         000000000000000000000000*ep^3+11098492072930400834570020006300/
         39*ep^3*z6+194101032688273694170508978213856427/904995*ep^3*z5
         -1333110389218044958628378883854927411609761/16523615908800*
         ep^3*z4-2789246994232565134375724582457181643031539586748333/
         147131487930885153696000*ep^3*z3+
         1618436407360428698518827827960/39*ep^3*z3^2;
Fill mncnoptab(9,8,7,5)=
      +mncF321*(-64359924265225212624000000-509571675940208111567865000
         *ep-10054573349621706457511674550/7*ep^2-
         1260036798894747613895605670987/588*ep^3)
      +65244842149392018472934806248425745386152965859453/
      205984083103239215174400-469953933609210502056275/91*ep^-3-
         478648868948897368195784391973/8687952*ep^-2-30031829246750557\
         2455763563292703841/1719804921120*ep^-1+
         77082120642591402397731146200/91*z3-26880501178089961816719232\
         41057451532430513366676817088098039902513528916310111275875313\
         4701684062443908428711/846685698649988162831020087113679626680\
         9510556939469210999848960000000000000000000*ep+
         115623180963887103596596719300/91*ep*z4+5260813218258791243187\
         9608759081233/3800979*ep*z3+1781911109570858701976052263304617\
         12674140355452514626225837574780892922077534933249066745795688\
         372229368818158409676463/1182612787824715730370780080943698947\
         8894173969381788816019009994070425600000000000000000000*ep^2+
         7476072791070571182400949162900/91*ep^2*z5+5260813218258791243\
         1879608759081233/2533986*ep^2*z4-33192870207139574817026671367\
         8744316245477/8674898352120*ep^2*z3+
         19661694874256951000388370897620829218460791542045406751770121\
         39363476330467871728807828885125516324269339834685268265695471\
         0781442917545794217256249918289/291017147819264392659933103517\
         37750518173167040550686075280750343782426430775268595274119047\
         6287180800000000000000000000000000*ep^3+
         18497476676069949450008045041750/91*ep^3*z6+260368281169850424\
         919982130426383291/1689324*ep^3*z5-331928702071395748170266713\
         678744316245477/5783265568080*ep^3*z4-144034526602106151005361\
         3352320927350670376649757731/102992041551619607587200*ep^3*z3+
         2697398629837724152757470109100/91*ep^3*z3^2;
Fill mncnoptab(9,8,8,4)=
      +mncF321*(-26969873025427708147200000-
         1499549322730494298159644000/7*ep-
         89272831367575562716049084440/147*ep^2-
         14091572591809446013968223895627/15435*ep^3)
      +28703915372260186392851349511159697814281824881119/
      216283287258401175933120-8991051300318180658928660/5733*ep^-3-
         1289523085128073411588434581911/76019580*ep^-2-409002572984392\
         61875711015968495579347/737366359930200*ep^-1+
         2034892839944091971051647371680/5733*z3-
         14108096276804394738043576119283664592589317393875506535766203\
         828233996492300390954530306582545863600979167/
         10583571233124852035387751088920995333511888196174336513749811\
         200000000000000000*ep+1017446419972045985525823685840/1911*ep*
         z4+772769904851980155564310668343051124/133034265*ep*z3+
         65237702110938741376845775539313513508299087949774946592222640\
         4295569318583241454154199217674589871628599913277825793/
         10347861893466262640744325708257365794032402223209065214016633\
         7448116224000000000000000000*ep^2+
         21929724712279675141775059953840/637*ep^2*z5+38638495242599007\
         7782155334171525562/44344755*ep^2*z4-1808909483297541873316923\
         901967383437304159/113858040871575*ep^2*z3+
         40059276359291962070025594624860474451762393650053323396962591\
         80574440567430125155363533203027781356146950645379697048774520\
         08700974446773150457973258933/47290286520630463807239129321573\
         84459203139644089486487233121930864644295000981146732044345239\
         666688000000000000000000000000*ep^3+48833157392643246076230973\
         0532200/5733*ep^3*z6+8708545844894259364412522736422203033/
         133034265*ep^3*z5-1808909483297541873316923901967383437304159/
         75905360581050*ep^3*z4-169717636300975588009769379749731871238\
         17856078826789/2703541090730014699164000*ep^3*z3+
         71212150414173752764311447596240/5733*ep^3*z3^2;
Fill mncnoptab(9,9,6,5)=
      +mncF321*(-35196833582545038153750000-279568596226080978778500000
         *ep-3170200679835471877526732625/4*ep^2-
         800641960246676148449497127165/672*ep^3)
      +1535156454422699562321593214312723258057971488649/
      8862508449483905728512-114658953791786578926125/39*ep^-3-
         257418707828488000395421471025/8176896*ep^-2-31931178127146464\
         75780306118184756759/31725342544896*ep^-1+
         18066221325826196277861610625/39*z3-11522989034983444118177191\
         84025788292129906812810409229236226986685297186888530796811647\
         2373045406340046983/664067214627441696338054970285238922887020\
         4358383897420392038400000000000000000*ep+
         18066221325826196277861610625/26*ep*z4+30994319673184842227646\
         186329977135/4088448*ep*z3+38050080655530054369947795003995844\
         97788154036571269055057158942369434296873864186516046351631044\
         78129971757300980091/46376972071557479622383532586027409721153\
         623409340348298113764682629120000000000000000000*ep^2+
         584068538862915048424701209375/13*ep^2*z5+30994319673184842227\
         646186329977135/2725632*ep^2*z4-164440813796531018472593192498\
         0673304629617/79313356362240*ep^2*z3+
         33356385692205579460399136714768149060815917585065285698712515\
         37092303850410594525999115327554639021129752479070495291982084\
         0086883795892419983784081148464668231/
         19543640836457435127209866827882685135071683450147664071484113\
         69620599679347317918174541705599086081395916800000000000000000\
         000000000*ep^3+4335348488157297372490605043750/39*ep^3*z6+
         116428484379171763670746818009745115/1362816*ep^3*z5-164440813\
         7965310184725931924980673304629617/52875570908160*ep^3*z4-
         907787329697168572525504247088534413745305487910459/
         110781355618548821606400*ep^3*z3+
         632201711540164682200175354375/39*ep^3*z3^2;
Fill mncnoptab(9,9,7,4)=
      +mncF321*(-20112476332882878945000000-160022206544621194934325000
         *ep-3185011446343794225945265875/7*ep^2-
         807585230593873119320384821795/1176*ep^3)
      +7674838233234742885388757912353362085559318481387/
      77546948932984175124480-331320856908522083161625/273*ep^-3-
         26870904551112981589788645005/2044224*ep^-2-170984717601044123\
         118108603722000057/3965667818112*ep^-1+
         72262084367162037133641300500/273*z3-2977759541550465115063668\
         06656279399232702610028728558376187939669431491601317821129421\
         6882483969567694851/300164310183162820331375293488305539921030\
         4425385578633101312000000000000000000*ep+
         36131042183581018566820650250/91*ep*z4+31018858250597336624681\
         986455980665/7154784*ep*z3+80819615236817966375798792741471903\
         93618800278041976614472687996511264742105190950286593884733327\
         812165238281216261/1726348684648968680796445836152674718480442\
         783160187597494124512542720000000000000000000*ep^2+
         2336264224868440239878543357000/91*ep^2*z5+3101885825059733662\
         4681986455980665/4769856*ep^2*z4-51139165835386771265984726584\
         60591825159/433744917606*ep^2*z3-
         83973068347205043485513757706992574455309531416106817072155474\
         43421186127151866627978291260770260437408276931944772493896079\
         65100942422951836866701874557038015003/
         77632314561014638011894782836819620504061419012007318195738804\
         04097612882535952115280957997841441111316365312000000000000000\
         0000000000*ep^3+17341326475595396706254971926250/273*ep^3*z6+
         117243850502556456300680525438479685/2384928*ep^3*z5-511391658\
         3538677126598472658460591825159/289163278404*ep^3*z4-
         17076401074107988844704984579240334206445980570843/
         3524861315135644323840*ep^3*z3+2528837656514717461107544559000/
         273*ep^3*z3^2;
Fill mncnoptab(9,9,8,3)=
      +mncF321*(-6321063990334619097000000-353250590384968943018715000/
         7*ep-7073418427451211817969010925/49*ep^2-
         602648922018615519428280769103/2744*ep^3)
      +44653758380324966287704469172310850957823475038449193/
      1435781759494202002429747200-353587313749567519251575/1911*ep^-3-
         29499336610785604053855749891/14309568*ep^-2-22939819351818613\
         275978231096379332053/3192362593580160*ep^-1+
         158968328606068322966699053100/1911*z3-
         80507679033494458723690353847500398929741370172282141024601038\
         669971529990396872684319909389810794679107145054279/
         25868470872819283639882480325680550752530520643993325414516887\
         0366773248000000000000000*ep+79484164303034161483349526550/637
         *ep*z4+68352354938707172563806300039487063/50083488*ep*z3+
         17249221528139694862239563242984327951456122143549598691929516\
         2291751425903118179511710610213963293555078206625520669699319/
         11804464246763166092520195678902608848878236935810107510935592\
         7118871038368153600000000000000000*ep^2+
         5139752019878057094910849753400/637*ep^2*z5+683523549387071725\
         63806300039487063/33388992*ep^2*z4-111391281083510913578242417\
         050995195101477/30362144232420*ep^2*z3-
         68052568504676963230260535932483982952724136268421989052283268\
         58357794105563178212145647781143867367136977915541266389034337\
         87770421645531120238461127389332549691642979/
         35742431032264769517482410015568914113826810839312568705715813\
         19975613403332748858305342120275091879047270761874063360000000\
         0000000000000000*ep^3+38150719327570257404414625517750/1911*
         ep^3*z6+261586814123196099870268235044063307/16694496*ep^3*z5-
         111391281083510913578242417050995195101477/20241429488280*ep^3
         *z4-2205895425164977353376964335389509299107860877512707/
         1357071606327223064678400*ep^3*z3+
         5563533671295877622654575725800/1911*ep^3*z3^2;
Fill mncnoptab(9,9,9,2)=
      +mncF321*(-987666248489784233906250-55484996409440563680928125/7*
         ep-17940578256714018174879501375/784*ep^2-
         1547254914235256888118147234695/43904*ep^3)
      +44651442546495572176575039184760643850575614489724797/
      9189003260762892815550382080-896272086346412313712625/122304*
         ep^-3-20064224316135746300718815915/228953088*ep^-2-2862626019\
         6414074815810485499966411895/81724482395652096*ep^-1+
         198703151677711024709171030125/15288*z3-
         25480364482765168845389096079005461918562200406067859910305628\
         98570408777607683468762127258721754770341757644286179/
         52845590497330822292902781236747410823026635029872079061084497\
         803497963520000000000000000*ep+198703151677711024709171030125/
         10192*ep*z4+171313009239894940916795544141384445/801335808*ep*
         z3+38287732871480120990263046825681755518954800942759136276099\
         93970824050032868022847472188012061003791929561050752871040950\
         09681/16976843209287735098088473419806906257632426697169644904\
         87011413558712167799822745600000000000000000*ep^2+
         12849328576648736209395652171625/10192*ep^2*z5+171313009239894\
         940916795544141384445/534223872*ep^2*z4-1614271524260732704667\
         69892240952481493559631/286035688384782336*ep^2*z3-
         10351520450574069645604570484593899668921080232264087045386013\
         41492297848590493579732706690086201445201195722182879172669835\
         282099379041482013020022791421153657191900131/
         14603336107468177259999956092075299195077811285776278071192460\
         82161464904790237390679039780569537539153599196994260172800000\
         000000000000000000*ep^3+190752897132953932893843072273125/
         61152*ep^3*z6+668057978112089737415071932975003605/267111936*
         ep^3*z5-161427152426073270466769892240952481493559631/
         190690458923188224*ep^3*z4-75271984866501149938120722569033508\
         784453642856665289/270264801787143906339717120*ep^3*z3+
         13908993880828696715600676915125/30576*ep^3*z3^2;
Fill mncnoptab(10,5,4,10)=
      +mncF321*(-22121466673653447100000000-
         1576168502801946843284687500/9*ep-
         39973510353885754629899298125/81*ep^2-
         10011164822301074854106353244525/13608*ep^3)
      +43375843564613681361900258008606526190255815178430687/
      398526233469112762707133440-724518698795332485933125/6318*ep^-3-
         124642269327137902302848929426225/98052226272*ep^-2-1669265957\
         054052194732314673432802998135/380430479459302272*ep^-1+
         919614455903690715649092542500/3159*z3-
         11462622813449526457262841973777286274568435047909303284335667\
         075277466700893640235141473431182531653400529/
         10469863443016899079635651283833414391912173694893124633850019\
         840000000000000000*ep+459807227951845357824546271250/1053*ep*
         z4+58299751311823959815998884972143998525/12256528284*ep*z3+
         15166422410260000876854806863178386478997355931479917903728868\
         4563989691823557831950427701901610178846423325251868751/
         29247675765003816720120325555570405798008938515185952918956105\
         295252684800000000000000000*ep^2+
         9911323766304450190343916383750/351*ep^2*z5+582997513118239598\
         15998884972143998525/8171018856*ep^2*z4-4416603120068214517021\
         36092251821739057941999/33567395246409024*ep^2*z3-
         12771043969158181188375387029958403574537893511272184499445370\
         12750702121477695121815142268038311125979236671352797314916992\
         004226362305177987041/3134880723665194826764279259572729089706\
         90091972745640568996529940987909737382121290023158415360000000\
         000000000000000*ep^3+220705748602090902493615387278125/3159*
         ep^3*z6+1297936088191259229463233009033776842975/24513056568*
         ep^3*z5-441660312006821451702136092251821739057941999/
         22378263497606016*ep^3*z4-958240655126304418681955849648645348\
         500285594723874311/199263116734556381353566720*ep^3*z3+
         32186139330275129326077301206250/3159*ep^3*z3^2;
Fill mncnoptab(10,5,5,9)=
      +mncF321*(-49773300015720255975000000-393284812512467588023609375
         *ep-39761598759874330852380063125/36*ep^2-
         9914124314185186030247643050225/6048*ep^3)
      +8675388720013267078694192628368405275194776965105375/
      35424554086143356685078528-1928176252694678232205625/2808*ep^-3-
         325545206447027494321973320910725/43578767232*ep^-2-4185015665\
         082572500361786202032157616511/169080213093023232*ep^-1+
         229906923922697326431880808125/351*z3-
         95677303442230297009347429467304920192456521344223799170497771\
         6325802310213454471186336031148817880554049/387772720111737002\
         949468566067904236737487914625671282735185920000000000000000*
         ep+229906923922697326431880808125/234*ep*z4+582460163941201811\
         63721206803870080025/5447345904*ep*z3+
         50708834345702728202742926986526474989758362908749971192501951\
         696861528874317445828259267593001911667418517174731201/
         43329890022227876622400482304548749330383612615090300620675711\
         54852249600000000000000000*ep^2+
         4955669706752882018897036239375/78*ep^2*z5+5824601639412018116\
         3721206803870080025/3631563936*ep^2*z4-44406339456732231997203\
         7199343675616960636963/14918842331737344*ep^2*z3-
         96052024455349021535709498409632905327925641743660155121232524\
         87019187887160778959534902743415650948031859134697373644341992\
         766851552267148104231/2322133869381625797603169821905725251634\
         74142202033807828886318474805859064727497251869006233600000000\
         000000000000000*ep^3+220706067564652717586047822690625/1404*
         ep^3*z6+1287416087358337485816331906722077556475/10894691808*
         ep^3*z5-444063394567322319972037199343675616960636963/
         9945894887824896*ep^3*z4-1832602082213916965104557116113019540\
         87208906146302991/17712277043071678342539264*ep^3*z3+
         16092996848092493185308156775625/702*ep^3*z3^2;
Fill mncnoptab(10,6,3,10)=
      +mncF321*(-9751503676549274640000000-77402521415076820748775000*
         ep-4601853923684677033367663000/21*ep^2-
         1739696969990264901380427482975/5292*ep^3)
      +6555902253678812917035181287380012114385274245394562893/
      136642837271863385213381030400-29928705957352929483125/819*ep^-3-
         2252660074420632948108273523345/5447345904*ep^-2-2011552804533\
         50343302819300733304229473/135029336845122720*ep^-1+
         105098542583943383424861377000/819*z3-
         23006011274197739060025169002444497018569414974987762779502529\
         478321247569592653688954210480364788029262376321/
         47770060691694979163222613438900432339898281504661742782519946\
         772480000000000000000*ep+52549271291971691712430688500/273*ep*
         z4+10006924932684199650656592630258307055/4766427666*ep*z3+
         55880057026452966635804638797796872058778331396775878177770873\
         299771021268006373300901467365016708092299923664762385778091/
         24554096501263299224325576071389133786761858089084456752380786\
         385786419701350400000000000000000*ep^2+
         1132722417879707799959780923500/91*ep^2*z5+1000692493268419965\
         0656592630258307055/3177618444*ep^2*z4-57612524498459427117161\
         1976766479564109331541/100080567308738016*ep^2*z3-
         58625989259786722967443978896829128980760523313934212485839728\
         48687516729072509279156616862205335644786525974004574627802035\
         366949481737960868871774650947/5114911987004943705454202050717\
         41587939385578984767880194792927041276874291437723063963551715\
         4144341196800000000000000000000000*ep^3+
         25223508045833567040532917336250/819*ep^3*z6+74988755889904263\
         354989157739472263915/3177618444*ep^3*z5-576125244984594271171\
         611976766479564109331541/66720378205825344*ep^3*z4-
         153197773010537191681108153203712149691466406329021812859/
         68321418635931692606690515200*ep^3*z3+
         3678418699477298165501006880500/819*ep^3*z3^2;
Fill mncnoptab(10,6,4,9)=
      +mncF321*(-34130262867922461240000000-270044051908137663594900000
         *ep-2280635925900300879800576000/3*ep^2-
         142625234905352943934780244635/126*ep^3)
      +6196649797016448522050235327896562586704730075605557/
      36900577173065996546956800-49652917071982648597000/117*ep^-3-
         234465850750303989779372243485/50438388*ep^-2-7867296588051705\
         3332078437389925773841/5032149199197120*ep^-1+
         52550034406618121290429888000/117*z3-1019393983110086236351151\
         17312462724265721942354488304470518396410771155140712112306674\
         30957703205868708323/60320200906270200458806221388340659048053\
         67560843775509214003200000000000000000*ep+
         26275017203309060645214944000/39*ep*z4+16652538663886181564759\
         64213305953915/226972746*ep*z3+1349249329475786600072511436922\
         09521588428679790754096369238238368203609798574483495048551500\
         039653755151314387194429/1685051278642195201982240978510229140\
         6260293794757339130262776713314304000000000000000000*ep^2+
         566362110816259442901162604000/13*ep^2*z5+16652538663886181564\
         75964213305953915/151315164*ep^2*z4-12639231411876584261251203\
         558092092156571051/621618430489056*ep^2*z3-
         53909327664674306742101596978094035291740908472847233487597573\
         13347005639008708524399855550735660661260238426005706297229431\
         7958603888156358944873/391322559469866569596089729247075922034\
         74346185898289837830842557791357731278152314666814013440000000\
         00000000000000000*ep^3+12611772407349292162050083870000/117*
         ep^3*z6+18496813798353153749306687680931475805/226972746*ep^3*
         z5-12639231411876584261251203558092092156571051/
         414412286992704*ep^3*z4-13498569536390873973071008592585138979\
         8914292034339181/18450288586532998273478400*ep^3*z3+
         1839200955747645791507325076000/117*ep^3*z3^2;
Fill mncnoptab(10,6,5,8)=
      +mncF321*(-68260525735844922480000000-539338132673441677202550000
         *ep-4543769742663783598749248500/3*ep^2-
         283243782531362478366312925415/126*ep^3)
      +12394076271537663450836320403432221598644665229375891/
      36900577173065996546956800-231082961882442617471750/117*ep^-3-
         2757733906184532097502701388615/129698712*ep^-2-10388218814211\
         61640422731142072655746339/15096447597591360*ep^-1+
         105102967946246649568736870000/117*z3-
         21490077255662055490312303485885614608074403358025095444679395\
         724481238175075686648989561570043358058671133/
         63618961893331852046397186620515538839744110993274194823741440\
         00000000000000000*ep+52551483973123324784368435000/39*ep*z4+
         3328327436752595383920981435771370825/226972746*ep*z3+
         57057453069287556512809329863407800747264659302866064479997320\
         3428444483513544129952267463610833929674304028673964547/
         35544050408858805041812895640450145935080307223316262227898044\
         629647360000000000000000000*ep^2+
         1132727647865995854965528265000/13*ep^2*z5+3328327436752595383\
         920981435771370825/151315164*ep^2*z4-2537734680947535753543788\
         3333141391089227277/621618430489056*ep^2*z3+
         46576591909456713281955434068265758952467747522774928431487615\
         59373037215663665554721587405200423820444866279911534925750950\
         46409329079712442009/18009731430147268259820038675575653230008\
         07977873728111854714913171079531950869509936370417664000000000\
         0000000000000*ep^3+25223614657119290112802543787500/117*ep^3*
         z6+2626927052855173953014488528543646725/16212339*ep^3*z5-
         25377346809475357535437883333141391089227277/414412286992704*
         ep^3*z4-261343162845936065803460904958230241264425669485282933/
         18450288586532998273478400*ep^3*z3+
         3678370020742576299474193631000/117*ep^3*z3^2;
Fill mncnoptab(10,6,6,7)=
      +mncF321*(-81912630883013906976000000-647475359448112144501860000
         *ep-1819655318090945868092492500*ep^2-
         18925717872166712598408489414/7*ep^3)
      +12395264613662423767200476971946982732415816424940563/
      30750480977554997122464000-55375297340456224668100/13*ep^-3-
         20643819987161285286562689749405/453945492*ep^-2-1907490914001\
         5048915269596864037113781291/132093916478924400*ep^-1+
         14014269466511944735148839200/13*z3-16281890145123052120490034\
         74341146385587757552925051459912198545582115866149196816125699\
         366684632098127256781/4006325297072793015166703297385235098945\
         98483222951197723852800000000000000000000*ep+
         21021404199767917102723258800/13*ep*z4+19974489256470696682911\
         77168350381457/113486373*ep*z3+1078409483399478254322400615428\
         11209506889654412370910666724129310352801078817251438761207219\
         32520742784902800043541873/55958563325900159541046541241525011\
         0931293466489527160439211198251008000000000000000000000*ep^2+
         1359278925427142232472534924400/13*ep^2*z5+1997448925647069668\
         291177168350381457/75657582*ep^2*z4-76039571332361090925823566\
         285629127919995881/1554046076222640*ep^2*z3+
         15025912134414035229357201967320027162053452254993861485624183\
         19161685578621616071043086227124688848661345443482155752864682\
         361905929343278785865879/3898608042823424688896903415922717936\
         81661785297738519840269919250590831624933122777771147264000000\
         000000000000000000000*ep^3+3363161639901575719343465213000/13*
         ep^3*z6+2456196901184244820006687351613979466/12609597*ep^3*z5
         -76039571332361090925823566285629127919995881/1036030717481760
         *ep^3*z4-263779271297724254500791965065247708390952472174636549
       /15375240488777498561232000*ep^3*z3+
         490443391671267800024825402000/13*ep^3*z3^2;
Fill mncnoptab(10,7,2,10)=
      +mncF321*(-1748047325722166268800000-125547507320660879995937000/
         9*ep-22607043107332955837190886360/567*ep^2-
         14427173895021322936739615184677/238140*ep^3)
      +2884576794822261283515645038460044487251048906577790727/
      335396055121846490978298892800-61104432516199306074665/22113*
         ep^-3-743351742280115206485122680409/22284596880*ep^-2-
         675077853341526603618294388577069186059/4971534674752245600*
         ep^-1+508675103861527624597545702920/22113*z3-
         23985179746852195279056752463262201047784220917210343667743970\
         91929339803927086704275595995818947742176554161588331/
         27903393256877795005988263564658018937887281451609869009276657\
         000230420480000000000000000*ep+254337551930763812298772851460/
         7371*ep*z4+2452512459207275522923459324153615001/6499674090*ep
         *z3+3623712667105902568985219640937024826593503210770299049274\
         69590461766758499468590465444274928063678609515047377130699656\
         788561/8964069241558340919106928023136622739249380511973872988\
         54916388922927303931356774400000000000000000*ep^2+
         5482374325231835151539683218460/2457*ep^2*z5+24525124592072755\
         22923459324153615001/4333116060*ep^2*z4-6238995081425192309113\
         228503161121911009274559/6141307539399832800*ep^2*z3+
         61484445907016491591577739830508260040539936457134636649658757\
         99176409047927080669875804527229275536593543430359114012786524\
         7147418695744541697996823363106026483/
         34713531598337706113205367696318828568076945744378561579003477\
         62394831269728892735646538617469576268875648991232000000000000\
         00000000000*ep^3+122081734558062471848149008158050/22113*ep^3*
         z6+168688681265227437267873592685869132177/38998044540*ep^3*z5
         -6238995081425192309113228503161121911009274559/
         4094205026266555200*ep^3*z4-3745002935824445764963931479740510\
         81398240692187061449093/838490137804616227445747232000*ep^3*z3
         +17803566768031831001162406629060/22113*ep^3*z3^2;
Fill mncnoptab(10,7,3,9)=
      +mncF321*(-10726654044204202104000000-85219429498049154447727500*
         ep-5074948050453866901720925400/21*ep^2-
         1282024747072108476982361458037/3528*ep^3)
      +1311181684218895851813122993331169298894678612775752111/
      24844152231247888220614732800-152256676198196477221325/1638*ep^-3
         -344503506611976498354144890329/330142176*ep^-2-43211296514588\
         11732634456002331019677/1169085167490240*ep^-1+
         115609347307646234779654129300/819*z3-
         54696219923548449911187256170098655111693814111610014488065374\
         934269080683911552358560301748998663967339340142921/
         10333535652726380568070717762497726444818380521480299300181434\
         1923635200000000000000000*ep+57804673653823117389827064650/273
         *ep*z4+24719387851390656985735968529211509/10699052*ep*z3+
         24891323769138391140165508280588409197894655100205121119613421\
         942751128742710552821579677348719469207971877262456290143623761
       /995906070438070276357830772673297541573353388172907019553354035\
         4663002163642368000000000000000000*ep^2+
         1245995782978575916976817982150/91*ep^2*z5+7415816355417197095\
         7207905587634527/21398104*ep^2*z4-5746121087544388188574335905\
         08026842542233011/90982333917034560*ep^2*z3+
         11797099563080424058702708969776500641910930373590401921882476\
         58086761766215019166590439561490976964801633975002126324279633\
         62385434074799149829656430646859781/
         98888859722642849081163182495165043617897606324521773455361139\
         87865458941582258688451779718739627253275033600000000000000000\
         0000000*ep^3+27745881748748842545029269275125/819*ep^3*z6+
         15054362848862474167119075541950559337/577748808*ep^3*z5-
         574612108754438818857433590508026842542233011/
         60654889278023040*ep^3*z4-311852427136991522540047867797130298\
         15233095705812548297/12422076115623944110307366400*ep^3*z3+
         4046250114974193989361383468650/819*ep^3*z3^2;
Fill mncnoptab(10,7,4,8)=
      +mncF321*(-33371812581968628768000000-793256309864677750477540000/
         3*ep-20149837153700516668171706600/27*ep^2-
         90327362925779306785520386933/81*ep^3)
      +354105802931225207414042688170243891761620576281417/
      2156527237386973824172800-883172706539596537513900/1053*ep^-3-
         3389665745084784795211896122839/371409948*ep^-2-16982261255371\
         786945988636600822500037/561438133794720*ep^-1+
         462450119984654949386209247200/1053*z3-
         16153770430709780739854879719944933682757274982430197736017122\
         42198409817096837850427379504565032609976611771/
         97973201315731052151451667395593929813205930929642260028561817\
         6000000000000000000*ep+231225059992327474693104623600/351*ep*
         z4+666569965284353918646944188565888693/92852487*ep*z3+
         21378085988723840053437756677784642344853165272886908513424636\
         521821248094667913061384717485344429951771725518001546067/
         27368918814821279882195929643146612370011836561953521915481494\
         36482846720000000000000000000*ep^2+
         4983998177250618319981932443600/117*ep^2*z5+666569965284353918\
         646944188565888693/61901658*ep^2*z4-27972632761976190839168156\
         71861638692254973/141276916020240*ep^2*z3+
         56922237685728305667876550874540065653510775526290610531054779\
         84710783196112954753698513437952817491238806862322276778179939\
         2786995451131652617246921/209745834668352622970929125425422951\
         42998159912311906022687973557518684998982814030096453976719360\
         000000000000000000000000*ep^3+110983833688177274826127956863000
       /1053*ep^3*z6+7443353906551615806102301260098694256/92852487*
         ep^3*z5-2797263276197619083916815671861638692254973/
         94184610680160*ep^3*z4-795512266419851480690770961007529088207\
         9822317826479/1078263618693486912086400*ep^3*z3+
         16184860419615781170499182439600/1053*ep^3*z3^2;
Fill mncnoptab(10,7,5,7)=
      +mncF321*(-58400672018445100344000000-
         1386902245165271910250945000/3*ep-
         35171194552118219781420091550/27*ep^2-
         629293926975671607669971825581/324*ep^3)
      +2479003587663125827244272274049615288125725818361949/
      8626108949547895296691200-3081408684427916213908075/1053*ep^-3-
         6656279851846513083649931174689/212234256*ep^-2-24820247878492\
         11705668688053564047278559/24703277886967680*ep^-1+
         809321498318090738496423892600/1053*z3-
         71397849410183953220251772346370005018621097508135261553783945\
         788721253139401832730061745496082657423859942467/
         24678963829968404973426892311893048209507266566533793779789332\
         480000000000000000000*ep+404660749159045369248211946300/351*ep
         *z4+666286230130067839001207773038603743/53058564*ep*z3+
         47241119918056945052415282452192870179020304895572969569407046\
         1672386304083082901065487892898452532794455203909787293751/
         34470475008754498277284669404779406833367677535754873083055409\
         812262092800000000000000000000*ep^2+
         8722036742069742959373263981300/117*ep^2*z5+666286230130067839\
         001207773038603743/35372376*ep^2*z4-31162519046010682978575821\
         1759016556514047/8969962921920*ep^2*z3+
         34472619167315559024545705194140641271126784514216270103642118\
         96933056328559645076812840317277886884629090719026618273217700\
         851947983210862074310563627/2641696809817152569196541754629233\
         67398694025717747621043766897284200347509054683994217729386086\
         400000000000000000000000000*ep^3+19422252295077398973965737984\
         7750/1053*ep^3*z6+1853569992588055969834359010645439839/
         13264641*ep^3*z5-311625190460106829785758211759016556514047/
         5979975281280*ep^3*z4-5453451475267977037692796960739915109981\
         0324620863603/4313054474773947648345600*ep^3*z3+
         28323134066508513620773971424300/1053*ep^3*z3^2;
Fill mncnoptab(10,7,6,6)=
      +mncF321*(-60069262647543531782400000-475893205702721418213294000
         *ep-4028644346397813815516507620/3*ep^2-
         1263920735061245521628648498677/630*ep^3)
      +619816672839686506395796833934336030438301662340249/
      2096623703015113440168000-527690658884618818500230/117*ep^-3-
         19842821446503048340499349788573/412677720*ep^-2-1142209431306\
         95764445663822150443765226/750533616357525*ep^-1+
         92497747225892459248207179440/117*z3-
         20569044165071423365076623423767321301433708590469971966898250\
         0296471800116313623463028856423988689991670851477/
         69252194420829707833595871283373349567494880671395849892265984\
         000000000000000000000*ep+46248873612946229624103589720/39*ep*
         z4+666564766341984477063104341302737528/51584715*ep*z3+
         27185036638237966855767336475292897518672559190771959393817789\
         2856025402949743924488090379671520300985878115957190075829/
         19345674749811198012761804257784360977910431270066510403755587\
         139534848000000000000000000000*ep^2+
         996808762904805462265370799720/13*ep^2*z5+33328238317099223853\
         1552170651368764/17194905*ep^2*z4-4197115574409726124037999095\
         568347247758549/117730763350200*ep^2*z3-
         15538107301634559596929872448002346726992983779649675154614665\
         13472760421417100686575336333582042784270735994221353457998079\
         9160055308251834408346278254763/125278427792094046585111508210\
         60574999851331474726857844907210766615521582125833100644152013\
         4881280000000000000000000000000000*ep^3+
         22196952797293391752850325045100/117*ep^3*z6+14879494063185530\
         959368779012471222177/103169430*ep^3*z5-4197115574409726124037\
         999095568347247758549/78487175566800*ep^3*z4-13876516483883092\
         144979254163835677537361412471541443/1048311851507556720084000
         *ep^3*z3+3236887128449581672883363784920/117*ep^3*z3^2;
Fill mncnoptab(10,7,7,5)=
      +mncF321*(-36708993840165491644800000-874737657618663320021309000/
         3*ep-22318009472324692454418282610/27*ep^2-
         14090847449112400678998886617677/11340*ep^3)
      +247932256778353600533052266557600660488787222279519/
      1372335514700801524473600-3357073665433897936760915/1053*ep^-3-
         253272554011512895983033097426613/7428198960*ep^-2-71200916510\
         0498284107553267040961610571/6550111560938400*ep^-1+
         508747614427343695938313512920/1053*z3-
         23423499776533549912489781758531466739505188009811904012596337\
         89550037342252230543124042841184776987179749863/
         13000945299270430483960398235598623492137705598043380886441400\
         72960000000000000000*ep+254373807213671847969156756460/351*ep*
         z4+1223590200201383116304413765261531813/154754145*ep*z3+
         77583072313075237921549498621017865701185686254403295899129620\
         039701252819883583151053497699547376362431119474250124363/
         90795700159113889339895401316534600856326290760845488828292888\
         97488355328000000000000000000*ep^2+
         5482460019842860220331284073460/117*ep^2*z5+122359020020138311\
         6304413765261531813/103169430*ep^2*z4-892681568712234817717671\
         236411145815717401/41282215720200*ep^2*z3+
         69664092993525693060922419231187759540493414182308814616544308\
         22659564790582729266432633573153234643885476206874966445494456\
         310593070094986897379464868237/4022976039134191980164703589977\
         06604907506616339298957882774712056369310595142542235422032376\
         99420160000000000000000000000000*ep^3+122083481410395995717608\
         107870550/1053*ep^3*z6+165467591041879276056830981371604780677/
         1857049740*ep^3*z5-892681568712234817717671236411145815717401/
         27521477146800*ep^3*z4-293235758191318974333361054113620838418\
         27689745472861/3430838786752003811184000*ep^3*z3+
         17802769157866246982955965894060/1053*ep^3*z3^2;
Fill mncnoptab(10,8,1,10)=
      +mncF321*(-97547283801460171250000-49453809060583704144335000/63*
         ep-18074096354337193761157165775/7938*ep^2-
         4705001004712713546792380896429/1333584*ep^3)
      +94887701021411618183900607915549341864798605891690771097/1977071\
      48282351615734576189440000-409662079728436909825/1238328*ep^-3-
         1088753801204380780114462025/13136183424*ep^-2-111689454365675\
         016781488605389531092517/117223554436263475200*ep^-1+
         198700688768997151210973322725/154791*z3-
         12480774567103577560925669319341436671757686574217278180938685\
         161651863212561633535465683616320316089636653792702588041/
         26196616121336835227037766714680426493190763517008187032160807\
         25115001047613440000000000000000*ep+
         198700688768997151210973322725/103194*ep*z4+324016710746856151\
         102405977302935925/15325547328*ep*z3+
         37425474684640982763203697842498977576355424747973323310873828\
         85802217758123330257143708966520003180110931315096572041241626\
         84071/16831521431416232085648836087333359140067093124641872744\
         484425958586495916434562628976640000000000000000*ep^2+
         4283103703553037624841893205475/34398*ep^2*z5+3240167107468561\
         51102405977302935925/10217031552*ep^2*z4-400266080205176574105\
         0861806523662003905530839/72402783622398028800*ep^2*z3+
         24499928241077138199470901062089241661953475802860421186782576\
         29964943218131974440762183486790706364878458817921853347936866\
         492557470714213238095784411617298777726996881/
         18514490473642262995721683462822422805585607699705924719824876\
         41557752896681883578791339130495987593118215329754462027776000\
         00000000000000000000*ep^3+190752659772196721605775461019125/
         619164*ep^3*z6+11481546428805764847497192472862953365/
         45976641984*ep^3*z5-400266080205176574105086180652366200390553\
         0839/48268522414932019200*ep^3*z4-2844022848685593087870467404\
         288335626419032136662840689797/
         98853574141175807867288094720000*ep^3*z3+
         13909048053414121909267042249525/309582*ep^3*z3^2;
Fill mncnoptab(10,8,2,9)=
      +mncF321*(-1404680886741026466000000-78669403389687388551020000/7
         *ep-14230801968530895269332878100/441*ep^2-
         913813412825950328735053049117/18522*ep^3)
      +759089837906182057272852513794880155922619525216317781/
      109837304601306453185875660800-89292562078925808863150/17199*
         ep^-3-22744030809246674736689832149/364893984*ep^-2-4087088421\
         4831764564885015134587044869/162810492272588160*ep^-1+
         317923063743120169507130916200/17199*z3-
         50521893532378014725442355755948900317486232232520024809254462\
         2920525401966227448190130040527141513271917500749989/
         73294000806321303646333694256094893798836475157981088674464513\
         27058575360000000000000000*ep+158961531871560084753565458100/
         5733*ep*z4+129241765896153632817677783839236019/425709648*ep*
         z3+32966802151182068417013180246732598905609693376982930381529\
         51327647084855850827356926666649885581850792198763019619795028\
         57/10193061190855813260842835633846062244110731576318569025315\
         81338931203886861516800000000000000000*ep^2+
         3426485281602216545198018065600/1911*ep^2*z5+12924176589615363\
         2817677783839236019/283806432*ep^2*z4-814654717427495438456981\
         28105418956838057087/100559421697775040*ep^2*z3+
         18023714226906537268537447196029975989704922012732622089386615\
         29943987223600638202510469859849922199452796868836556169908971\
         833447942963987494621340639636663197892403/
         11914143677421589839160803338522971371275603613104189568571937\
         73325204467777582952768447373425030626349090253958021120000000\
         0000000000000000*ep^3+76301111176692071843187579185500/17199*
         ep^3*z6+4486279006287734070236836941413793119/1277128944*ep^3*
         z5-81465471742749543845698128105418956838057087/
         67039614465183360*ep^3*z4-206395223970858257539919680271130832\
         06769710760305312751/54918652300653226592937830400*ep^3*z3+
         11127216871259527514007394781600/17199*ep^3*z3^2;
Fill mncnoptab(10,8,3,8)=
      +mncF321*(-7661895745860144360000000-427408508872715308699200000/
         7*ep-25592494156870121070692707000/147*ep^2-
         814122736775085187268026048945/3087*ep^3)
      +1662286006216863787060375021720914082168761940955/
      44095429202820849165312-777449600501321703428000/5733*ep^-3-
         46087306856342117895668360545/30407832*ep^-2-49536313153406785\
         150817258409848581/9314101388592*ep^-1+
         578055466752114203003314724000/5733*z3-
         59580529764892298026414924186942079541065589418080096132170864\
         09221072419041156847123042495195092970839602752271/
         15799061028045182634285467527255955915874799959190573870107410\
         300928000000000000000000*ep+289027733376057101501657362000/
         1911*ep*z4+175901930686364877527749671255317785/106427412*ep*
         z3+90164037371314604837419216299916128561831176173926795313442\
         38144999713921985314555842260668288667100315947968072284052435\
         13/50755073299945204083219437039241615790070222643432595223461\
         4789611429130403840000000000000000000*ep^2+
         6229989232240657336669912212000/637*ep^2*z5+175901930686364877\
         527749671255317785/70951608*ep^2*z4-46831965875208148806949272\
         4750781158426012/104749397601849*ep^2*z3+
         42462606825129816787789810977897275374468275631556156896163668\
         99736257418882349291757953158316232082129653810225949978754185\
         5606134390657386611410566247220358760167819/
         16402776478967660836257224876025943977062129100209002246941260\
         42820976430725256250533483053447922409527812194041856000000000\
         0000000000000000*ep^3+138729619058534504567564737960000/5733*
         ep^3*z6+2006306416943579960303247947358381095/106427412*ep^3*
         z5-234159829376040744034746362375390579213006/34916465867283*
         ep^3*z4-348734552393991572992334979802914483316902498293350775/
         183062174335510755309792768*ep^3*z3+
         20231154538999364277518663132000/5733*ep^3*z3^2;
Fill mncnoptab(10,8,4,7)=
      +mncF321*(-20857382863730392980000000-497529797013561692183650000/
         3*ep-12717318215147606971104491000/27*ep^2-
         402433567584355271762347024660/567*ep^3)
      +214582340588528436385412690890476019776853900927/
      2090815881123104815680-965293661866851910507750/1053*ep^-3-
         389108531230868065921759716095/39095784*ep^-2-1493607369149295\
         2672603698787498357333/455060382128352*ep^-1+
         289040417632633570815264562000/1053*z3-
         28064130287768884620086021055598637581361667443668165711783091\
         26197282887107463966576677902452188883348910253/
         27276749496280868654840249397355474336823820941958403651346104\
         32000000000000000000*ep+144520208816316785407632281000/351*ep*
         z4+6275571099463672386874121237060845/1396278*ep*z3+
         33637952083075153109418353852486120645718535641234179814611319\
         3044780859578978520645628492067938963894576813615075499/
         69270811022377460652916560526350961100547485957019362176474986\
         225598464000000000000000000*ep^2+
         3115009606709768754127178081000/117*ep^2*z5+627557109946367238\
         6874121237060845/930852*ep^2*z4-506030500583280455906596930541\
         094791923/41309039772*ep^2*z3+
         16967875279228372250646307204544493811423114345772027862285786\
         64951395488979094212241813070000191644369028809457676859397929\
         94296556352434590815613887840072938009/
         94442423473903685089159043960876271064650379399719251663620674\
         42399545609573260735269589321659219955836518400000000000000000\
         000000000*ep^3+69365115106888213040823345417500/1053*ep^3*z6+
         248479678351118486874400575243723715/4886973*ep^3*z5-506030500\
         583280455906596930541094791923/27539359848*ep^3*z4-19712162354\
         9936164933823426388893774024530479299401/
         39725501741338991497920*ep^3*z3+
         10115437744744371386417168791000/1053*ep^3*z3^2;
Fill mncnoptab(10,8,5,6)=
      +mncF321*(-31286074295595589470000000-248627314390160358629900000
         *ep-6348948285581342708559828250/9*ep^2-
         802607339949689595508615030025/756*ep^3)
      +130482733913891768060961913909965795091958359107089/
      847477370481898485288960-802034786870343864777500/351*ep^-3-
         1277622954744451971388590589855/52127712*ep^-2-477311183075946\
         08629443807667766129095/606747176171136*ep^-1+
         144527235442326015649385477000/351*z3-
         11243477065940939899389923930966420056093661721168091854677106\
         39361095081797289036532309585727036105017113719/
         72897046758768113509048285561445631123678821759364052518174720\
         0000000000000000000*ep+72263617721163007824692738500/117*ep*z4
         +175674294789120092023859190925543705/26063856*ep*z3+
         29662327657963458053892616555853274152021201201007717495207421\
         3404858216405771465932098611920321669180047639619756539/
         40727736315391995816340640542703917848232486884350548218432815\
         030599680000000000000000000*ep^2+
         1557513107512499913307869931000/39*ep^2*z5+1756742947891200920\
         23859190925543705/17375904*ep^2*z4-182456521567771936751554137\
         553620254209577/9914169545280*ep^2*z3+
         14420947838890898406637500860377024421129512242955420084650241\
         73026939844168920123611628965582541785836372620568929754837914\
         471216760798744637336442442048634431/
         10095885891282220952193872532260825866969428312895158098151869\
         95786151620070999689873328304550548294598656000000000000000000\
         00000000*ep^3+34682726830425433010303609755000/351*ep^3*z6+
         283331210764979548088706840539851505/3723408*ep^3*z5-182456521\
         567771936751554137553620254209577/6609446363520*ep^3*z4-
         15592628570678847479443730288438614936835412843474167/
         2118693426204746213222400*ep^3*z3+
         5057641578758255372811446081000/351*ep^3*z3^2;
Fill mncnoptab(10,8,6,5)=
      +mncF321*(-26816635110510505260000000-213350010868872427880550000
         *ep-12737809294295219650077287000/21*ep^2-
         403651343403620228774709499315/441*ep^3)
      +65244600576302898412579914885986922890245897714453/
      494361799447774116418560-1925357503160200925802250/819*ep^-3-
         3909300303813513736230851335/155142*ep^-2-40828283243219223395\
         39073978477157819/50562264680928*ep^-1+
         289061539036369553850081466000/819*z3-
         15768164484465440672583253184687252484139911074498567140467085\
         483630891049166706441210631505572295019101203467/
         11974554880906975445752998374893469005916307787671535026985500\
         672000000000000000000*ep+144530769518184776925040733000/273*ep
         *z4+29295581311940469446268950235047125/5067972*ep*z3+
         10415598639162545489177024008027399320551689056725638098942795\
         1801232619956049332721125488335494554382171118637300065107/
         16725523713520979615243889716203742263007474613839958468369742\
         705899601920000000000000000000*ep^2+
         3115034568369041619468412003000/91*ep^2*z5+2929558131194046944\
         6268950235047125/3378648*ep^2*z4-40917378392380763769252044294\
         6091579683359/26024695056360*ep^2*z3+
         57274487620386512484645165938413884996385535779412458859597191\
         98211781552399041495344366025225619414526090304213795195045772\
         05615633438182915713440159882635340567039/
         18217716483651435053457975705707004278286412994817717336600039\
         34828239823101770096385931476826791514122240393216000000000000\
         0000000000000*ep^3+69365623940712512553414066402500/819*ep^3*
         z6+996349063532941205856147513733134175/15203916*ep^3*z5-
         409173783923807637692520442946091579683359/17349796704240*ep^3
         *z4-7975261573921383102959778987480315377892056258549467/
         1235904498619435291046400*ep^3*z3+
         10115205409309455601526037493000/819*ep^3*z3^2;
Fill mncnoptab(10,8,7,4)=
      +mncF321*(-13110354942916247016000000-313809450631069584282080000/
         3*ep-56492096918837971023326577400/189*ep^2-
         1802316263782893617524365444259/3969*ep^3)
      +1435247800667825052225485098926375194203642288086619/
      22246280975149835238835200-7369534822611749405657600/7371*ep^-3-
         423448368086666108601140069399/39095784*ep^-2-1347931201525762\
         8578365250372541416509/379216985106960*ep^-1+
         1271846527880722493711483304800/7371*z3-
         78620914261378486093325887909867113185028385846195353256442030\
         2940936601831938852281410500281232902081077133/
         12124236816918312638824910854579637368490261635017429214822819\
         43040000000000000000*ep+635923263940361246855741652400/2457*ep
         *z4+129078352535170974476413632185001269/45611748*ep*z3+
         51663852782899886939421105638002829744692968921343591128108770\
         32455940972725655635397329171715511072273060701762489559/
         16934592759939991860434438337656289041295068046512957949224364\
         48972334694400000000000000000*ep^2+
         13706123448578179918122770082400/819*ep^2*z5+12907835253517097\
         4476413632185001269/30407832*ep^2*z4-2231701284448025378214569\
         86278032334219254/29277781938405*ep^2*z3-
         20773181102291976900622101116124498549249136942208729904825260\
         94507844696040642057166781508103360974425015577275179435026976\
         767963068240640156945977344644532768551039/
         11989534660803100694557030261318422190647245552214410222149900\
         89608835333578852444683991153186632165231699458785280000000000\
         00000000000000*ep^3+305208161273307241923483618592000/7371*
         ep^3*z6+4436061023804055720038880496703678369/136835244*ep^3*
         z5-111585064222401268910728493139016167109627/9759260646135*
         ep^3*z4-37080950591705269839471942753270783052356194317209209/
         11123140487574917619417600*ep^3*z3+
         44507170475946704007680469946400/7371*ep^3*z3^2;
Fill mncnoptab(10,8,8,3)=
      +mncF321*(-3511702216852566165000000-197052648870198540851300000/
         7*ep-35767528003538458255356184000/441*ep^2-
         1153692247370536991993871553540/9261*ep^3)
      +151823845865168258534606039715993214714150991944438751/
      8786984368104516254870052864-5418816170129831956411375/34398*
         ep^-3-639967877453511479258279019335/364893984*ep^-2-795033322\
         295730826221591519296712568067/130248393818070528*ep^-1+
         794862355215133265115605445500/17199*z3-
         15644791258748012049182252221204358236323024661690647605287132\
         21767129031397617834351148441435148140596305557127794209/
         90960472643530677871658912203751480879134595545167316083891691\
         84427086970880000000000000000*ep+
         397431177607566632557802722750/5733*ep*z4+32342280800214135547\
         9673247476113735/425709648*ep*z3+
         23449733591137890388461078072004090546843120901979291682402705\
         95564808287643723031244161812548621604070162898461486393178146\
         28031/29221391373986514037584784873842637395949814452503251292\
         5076839558793331882544490086400000000000000000*ep^2+
         8566277844576190362610661760250/1911*ep^2*z5+32342280800214135\
         5479673247476113735/283806432*ep^2*z4-161980920749141381807291\
         618471163098617988633/80447537358220032*ep^2*z3-
         76599663637292008414004859092789748732338670041525117520709547\
         64612419601796334641974381019511460145476277766549869338028190\
         3818941843641303445443760743780465618617380253/
         29571755617623058951499911086452480870032567853696963094164733\
         16376966432200230716125055555653313516786038373913376849920000\
         000000000000000000*ep^3+190754095614926449995950875991875/
         17199*ep^3*z6+11304472291191550064495739082796252735/
         1277128944*ep^3*z5-1619809207491413818072916184711630986179886\
         33/53631691572146688*ep^3*z4-426646344007770865717055746397709\
         6921151836755131201555/4393492184052258127435026432*ep^3*z3+
         27817440523955224516660737497750/17199*ep^3*z3^2;
Fill mncnoptab(10,9,1,9)=
      +mncF321*(-58098014617046131406250-3287475351922209988258125/7*ep
         -1076444016749154067632821775/784*ep^2-
         849490825513503751597894081807/395136*ep^3)
      +5581567265797491205340392294397981352740242982105456137/
      19526631929121147233044561920000-2060844729455545825/122304*ep^-3
         -9067744751437409448802985/76317696*ep^-2-48461444948414691377\
         213145666460819871/34732905018152140800*ep^-1+
         11688275697659681659017621725/15288*z3-
         99891115812542713570167333933185095224406902947391385113665695\
         4843506594169076431648611537712130512961177299583831971747/
         35316919511728177861636100311643241642671992297003629924839014\
         2200689030122700800000000000000000*ep+
         11688275697659681659017621725/10192*ep*z4+57305740172262425479\
         245645883470335/4540902912*ep*z3+
         14910621699191967246755679752807180779264568790606514081588715\
         08252467898562512990998180117079324858623884875313263172282355\
         94413437/11345692224139830516992919140350634679600781291425262\
         368504316757269415765892927401754624000000000000000000*ep^2+
         755841829367819374127925358425/10192*ep^2*z5+57305740172262425\
         479245645883470335/3027268608*ep^2*z4-394711522108202437210370\
         4208376830299087803063/121565167563532492800*ep^2*z3-
         60120501490736201643953309802310888557435833811811863588788639\
         82806962705953438003184158669304399311340374797441330868474786\
         32611727544965250898615443903386269436865846551/
         11481726981135779688902365477833283239137978345328740870694360\
         39638630166742276246047488237074993194784125832644767118262272\
         00000000000000000000000*ep^3+11220744683540693795328704159125/
         61152*ep^3*z6+76404177265024295981813491429747565/504544768*
         ep^3*z5-3947115221082024372103704208376830299087803063/
         81043445042354995200*ep^3*z4-179190910308029501946109628435585\
         056275221881767974535797/9763315964560573616522280960000*ep^3*
         z3+818179300556612675794425463525/30576*ep^3*z3^2;
Fill mncnoptab(10,9,2,8)=
      +mncF321*(-743654587098190482000000-41856453794553569816040000/7*
         ep-848679688945630839417120550/49*ep^2-
         110268069586315868940382486477/4116*ep^3)
      +291838478490665241192523249604207206007995730469211/
      79765653305233444579430400-11288453998252605115700/1911*ep^-3-
         58467473268866297665448903/827424*ep^-2-2300948748963511737166\
         5249763810836079/81405246136294080*ep^-1+
         18701489528036234231072228600/1911*z3-
         41539399437103925989844772990279305909757110045274191376067150\
         802881128592910051806931273240599245511824108397715255327/
         11428367075725649271054581276881596315583577389008201251565879\
         23171608363008000000000000000000*ep+
         9350744764018117115536114300/637*ep*z4+22862961292330326615477\
         564237561671/141903216*ep*z3+623383767766029088970071631975208\
         78385616645902684940972212675506342819125522911404747787750521\
         03694358644054163107231341314991401/36714055828854850970298832\
         27739203160003951046596562341879170548302788015960174362624000\
         0000000000000000*ep^2+604674344136215203024695085400/637*ep^2*
         z5+22862961292330326615477564237561671/94602144*ep^2*z4-
         60186757314576383487822580206009174426482279/
         142459180738514640*ep^2*z3+
         67304564112502212192772498132579978401632960506195250398711888\
         02639963161075523213783895487753642721054779140107006978259809\
         6211610998695012966264066290576340257207393623/
         80770124039215712855267315676486709176789064929272641673025190\
         91553587245139983561322615508752082626673125993408888832000000\
         0000000000000000000*ep^3+4488303857201523437107532569000/1911*
         ep^3*z6+269280919712946679477790454430694857/141903216*ep^3*z5
         -60186757314576383487822580206009174426482279/
         94972787159009760*ep^3*z4-440188442653331088312774948450965852\
         413567489325744491/2034024159283452836775475200*ep^3*z3+
         654540707316858507617030259800/1911*ep^3*z3^2;
Fill mncnoptab(10,9,3,7)=
      +mncF321*(-3549260529332272755000000-28437449148203652644175000*
         ep-573022239020021989532101625/7*ep^2-
         443051270150744901874442781515/3528*ep^3)
      +12178243006021232244641651575707683791526226488830481/
      697379711754326686894448640-10496457489342007863625/91*ep^-3-
         2130779939209806864623995915/1654848*ep^-2-1905926585971169429\
         935183014711277909/422884395513216*ep^-1+
         4250512994289740766805596500/91*z3-
         12571637030659835981300442456261429709089581733902375915055473\
         2349408974329681696279365094071957560639725923892965377/
         72282638782208103839525518280158519452586296523495960015807129\
         5647416320000000000000000000*ep+6375769491434611150208394750/
         91*ep*z4+10374567858112362757802847461566355/13514592*ep*z3+
         18933059148896539538475556587072158817639424803147265774811385\
         69539497027578687829284763465903176590235627763330058655367406\
         9173/232210675254183995848575849283555605498647603723007400607\
         97587377526488547563929600000000000000000000*ep^2+
         412279817639370455192017303000/91*ep^2*z5+10374567858112362757\
         802847461566355/9009728*ep^2*z4-103695175167433890811273951228\
         0608171305227/508782788351838*ep^2*z3+
         29849150396611266214130409479353987567990540249166363904295676\
         83068791862995047181074157495907162441305307798399742558545279\
         18408793902223190776006306272219930527348449/
         46998975870348154722663558624368214987337202564680488070827611\
         51266634507629101583161245320491598087708261878438297600000000\
         0000000000000000*ep^3+1020073261612701786063029266250/91*ep^3*
         z6+361981052975571119865371907646387855/40543776*ep^3*z5-
         1036951751674338908112739512280608171305227/339188525567892*
         ep^3*z4-339456071047604553342397278780514106010900639088249771/
         348689855877163343447224320*ep^3*z3+
         148757332662658923102327087000/91*ep^3*z3^2;
Fill mncnoptab(10,9,4,6)=
      +mncF321*(-8281607901775303095000000-66229951515794301797100000*
         ep-190023522825128715896699625*ep^2-
         146282803297026681109734018295/504*ep^3)
      +7674796611968583899933822336427308001979756538917/
      188328304551532996730880-21707423397929421922000/39*ep^-3-
         70133299565240814337565658835/11583936*ep^-2-27036612550255248\
         75791070051602894483/134832705815808*ep^-1+
         4250759645322569913114674500/39*z3-319118840364098625834441477\
         71537572037624626747193230766052330754407702097542931466680400\
         5676661967615726570883/785830164059520263627540518352383903513\
         257698565944486145923481600000000000000000000*ep+
         2125379822661284956557337250/13*ep*z4+103654979634104622796402\
         82740476125/5791968*ep*z3+837559870069481392312197594235428708\
         46182078302838390634760164740365646082565616120781256854389398\
         369834005597782630331/4390449974799257149001521050503482344039\
         4620861329890979470574602986455040000000000000000000*ep^2+
         137427480357957662804877775500/13*ep^2*z5+10365497963410462279\
         640282740476125/3861312*ep^2*z4-161194743129468576757482011930\
         6863665484861/337081764539520*ep^2*z3+
         13222789096374639685258322200559846552655975669219216393117498\
         74104757207228266765599066775224997741749545379978884923714411\
         755935723480123265776265539917702227119/
         10883364990802234186464994589777170284593043721300980429807715\
         81457471446436537665683447912305491061577351168000000000000000\
         00000000000*ep^3+1020079203571376046253796630000/39*ep^3*z6+
         39915668749662955615166908538324225/1930656*ep^3*z5-1611947431\
         294685767574820119306863665484861/224721176359680*ep^3*z4-
         1034941086323781196545485721704978986241946961918147/
         470820761378832491827200*ep^3*z3+
         148754619423035106030525563500/39*ep^3*z3^2;
Fill mncnoptab(10,9,5,5)=
      +mncF321*(-10352009877219128868750000-82767339275760765202500000*
         ep-949482211131963833444333125/4*ep^2-
         81168278167604997257477112075/224*ep^3)
      +2558507252267872542063416238083999346381403255439/
      50220881213742132461568-36102318234507370360625/39*ep^-3-
         463078953487973189125726718375/46335744*ep^-2-5267435108712894\
         2272612858118681288185/1617992469789696*ep^-1+
         5313646842164685316500003125/39*z3-521033258561530118204833961\
         56051491294859207206579998873502583216103394722690254966213804\
         09276951802818466431/10263904183634550382073998607051544862213\
         978103718458594559000576000000000000000000*ep+
         5313646842164685316500003125/26*ep*z4+101612937731185176503449\
         2796861475/454272*ep*z3+18010311172381257120652616440651226445\
         87030762022978577513781770875170232245970622301211755399140716\
         227203748518096147/7545349043693675014395739721595673201356755\
         46489020682783597415303741440000000000000000000*ep^2+
         171785049928013502445117296875/13*ep^2*z5+10161293773118517650\
         34492796861475/302848*ep^2*z4-48392024922083165280342414656525\
         80620337651/808996234894848*ep^2*z3+
         36033126766739764122920721995065074598718264216387013270224377\
         55242747262046432867035826511374448229500074637206820807950348\
         369176236960214662948694062664477189/
         28430014669850734201377945050846485641385910129112765204395665\
         80133802962119935126683292505614343997589815296000000000000000\
         00000000*ep^3+1275103757354689555047129718750/39*ep^3*z6+
         598153761011124469890153755153205575/23167872*ep^3*z5-
         4839202492208316528034241465652580620337651/539330823263232*
         ep^3*z4-114495043623313151838320384767982481205695067136291/
         41850734344785110384640*ep^3*z3+185941104228937622001817221875/
         39*ep^3*z3^2;
Fill mncnoptab(10,9,6,4)=
      +mncF321*(-7098521058664545510000000-56833510243891832525250000*
         ep-1143751132449875116931992250/7*ep^2-
         441423255197322614130553718755/1764*ep^3)
      +4605027856640785122014667703381311342722373093713/
      131829813186073097711616-52136281683357527515750/91*ep^-3-
         12022853134936188350683963075/1930656*ep^-2-208228329275514181\
         1716458239327276369/101124529361856*ep^-1+
         8501711162916939297917345000/91*z3-211602660402834168088536385\
         70101282404250973030852646783329573498553239347496913171710490\
         5763209232169938931807/606211840845915631941245542728981868424\
         513081750871460741140971520000000000000000000*ep+
         12752566744375408946876017500/91*ep*z4+31114291413845635786960\
         156275788285/20271888*ep*z3+1386665932269557859113704541893491\
         40729179539668630827684928954716365610143441768065315655660579\
         7389982575404105004893751/846729637996999593021721916882814452\
         064753402325647897461218224486167347200000000000000000000*ep^2
         +824566922968439558731897480000/91*ep^2*z5+3111429141384563578\
         6960156275788285/13514592*ep^2*z4-1807218690211174786524520074\
         497475194078611/442419815958120*ep^2*z3+
         58575907215080413217445208356086805365997553796010495406919739\
         13744450019635870092483499354945598372427931882424097454309561\
         060659497969310600117039434035279404120071/
         47958138643212402778228121045273688762588982208857640888599603\
         58435341334315409778735964612746528660926797835141120000000000\
         00000000000000*ep^3+2040163029513806548584950337500/91*ep^3*z6
         +360927402409342701201240415503378395/20271888*ep^3*z5-
         1807218690211174786524520074497475194078611/294946543972080*
         ep^3*z4-3168102005959441553849832568521495246300523340000467/
         1647872664825913721395200*ep^3*z3+
         297507128245446213290978100000/91*ep^3*z3^2;
Fill mncnoptab(10,9,7,3)=
      +mncF321*(-2602791054843666687000000-20902886164495041904395000*
         ep-422931056690926771255056525/7*ep^2-
         328792274990261266658870859031/3528*ep^3)
      +44653904256779026348865869288813243697147470026015593/
      3486898558771633434472243200-33420214135155667915975/273*ep^-3-
         2257903693717208051892206071/1654848*ep^-2-1757368378630255229\
         248905496933545473/369184789733760*ep^-1+
         9351355798629619513809304300/273*z3-
         50845360874945907492557078742458510968881228926787143517346764\
         61006471684141465864331132153002034042532155439423185681/
         39982625337815682580948972397253398188630591448425193883029315\
         096382799872000000000000000000*ep+4675677899314809756904652150/
         91*ep*z4+22850437505588769949982629978339421/40543776*ep*z3+
         76262222577590604702637078190964238738951562824106124113686485\
         05680565018766862933750625478546229341143447594484976602730127\
         13743/12844567636917149027509795548941818635582336023078352216\
         48689404654036623659536220160000000000000000000*ep^2+
         302339338508524385893432390200/91*ep^2*z5+22850437505588769949\
         982629978339421/27029184*ep^2*z4-69913778067418359899562373192\
         833639541966/47109517439985*ep^2*z3+
         69820066926708144666223569480296531615879812838880225176743921\
         48037813184490241704389673302940891221246192091143723037610509\
         14129727667206826813010257258528097655058851/
         14872510180613603717403832869692197485368555764174799755659080\
         72712030795483808542824480376016955524322195978531635200000000\
         00000000000000000*ep^3+2244166649317358845416219665750/273*
         ep^3*z6+89326687361430735376993453783201369/13514592*ep^3*z5-
         34956889033709179949781186596416819770983/15703172479995*ep^3*
         z4-1294553676969389586361252994061325415619486616324918003/
         1743449279385816717236121600*ep^3*z3+
         327263632574546021813295687400/273*ep^3*z3^2;
Fill mncnoptab(10,9,8,2)=
      +mncF321*(-464784116936369051250000-26255330099793468701775000/7*
         ep-1071474079995133979364080375/98*ep^2-
         93592125964244094653135699735/5488*ep^3)
      +3029369010428972696855080802694972727561250653583/
      1324827459740901501665280-99212634844252952856625/15288*ep^-3-
         12557767771806385336792000505/162175104*ep^-2-1605922978023273\
         63571903072881629963365/520993575272282112*ep^-1+
         11688548571722369640244494125/1911*z3-
         36943177237490577126089604815574640438944606575817184296914255\
         568344900469868469769680097212315892603507247995261539522323/
         16389257960911357538915502800871941824802471425328247011995605\
         03650072530413158400000000000000000*ep+
         11688548571722369640244494125/1274*ep*z4+572592398726882523392\
         86334096465615/567612864*ep*z3+
         22139324305751339726574231783273538092569771788116885275190302\
         16073169744534114800436700798947501970579609421483218990850241\
         34635077/21060441191059560397168106154275865624008950272208143\
         27153613798068135301543874648950702080000000000000000*ep^2+
         755843764183965076357119963625/1274*ep^2*z5+572592398726882523\
         39286334096465615/378408576*ep^2*z4-20701866767012852122059400\
         475276714250591707/79281631019695104*ep^2*z3+
         55296563801010885184043503398906253173195673935326932507603049\
         36251515215707125047370087317450942914095251776450463100382243\
         906989084145138511749472744563495152148624971595549/
         26641194635916613809406269897785040015812340379395594051533008\
         10724009058769187852157062550088070147272541971058561204092928\
         000000000000000000000000*ep^3+11220770977042252448954354513125/
         7644*ep^3*z6+683044573592764987590032453842167205/567612864*
         ep^3*z5-20701866767012852122059400475276714250591707/
         52854420679796736*ep^3*z4-108713119099893367714494103529516902\
         30860735519091/75951332699795200327680*ep^3*z3+
         818173296607534202229962819125/3822*ep^3*z3^2;
Fill mncnoptab(10,9,9,1)=
      +mncF321*(-30757772444318540156250-1749298473346420755433125/7*ep
         -577857920530792298791762775/784*ep^2-
         461341153790455745851904476247/395136*ep^3)
      +1860482510493076813909126625118501632537231721763596547/
      12294546029446648257842872320000-10018127300030754025/2079168*
         ep^-3-1288670226264010161355161125/9452491776*ep^-2-2823817471\
         489482455711964513021150134981/1771378155925759180800*ep^-1+
         105194480648179787405770312325/259896*z3-
         55649232122860143906665843290004831810412985173269386505130172\
         485184867343021088263704875231418923581373858756149593754647/
         37336586310576800457510650331140901206252943806201240772121183\
         110537210425769984000000000000000000*ep+
         105194480648179787405770312325/173264*ep*z4+155111718708783644\
         2748883800790583525/231586048512*ep*z3+
         57880178900908018063741783858044691839607860622025070710549883\
         40602253527033212729249064147830507198583561964323361338477115\
         0750091311/839616240559752408763923095024419941668534662911155\
         1870224838973748675703804379271937392640000000000000000000*
         ep^2+6802576461310453815715446552225/173264*ep^2*z5+1551117187\
         087836442748883800790583525/154390699008*ep^2*z4-1048711846295\
         64842849836224050028245393300607053/6199823545740157132800*
         ep^2*z3-506290251062755165957852549128422225250323498762433028\
         30312076438099529211461328659418697438462147194941257381899547\
         001298245962052093010144238117299336087062232230847957/
         75159949793780402842468860252196116750368228300230451224978586\
         62841797625191136951108396724968426049540238753046687278694400\
         000000000000000000000*ep^3+100986702113175009361673995160125/
         1039584*ep^3*z6+701511731176433691492228233993381845/
         8577261056*ep^3*z5-1048711846295648428498362240500282453933006\
         07053/4133215697160104755200*ep^3*z4-1925301992170441175948450\
         33710018022856205209482932193141/
         18441819044169972386764308480000*ep^3*z3+
         7363613728603854806261045430925/519792*ep^3*z3^2;
Fill mncnoptab(10,10,5,4)=
      +mncF321*(-2044841457228469900000000-148397628935473473998750000/
         9*ep-3887676201127440762085045000/81*ep^2-
         18156094137891341490359086400/243*ep^3)
      +274100072140881191001324315918904918219421915189/
      27240344051203879884288-578069502617611703476250/3159*ep^-3-
         704979507241482437503295172125/351862056*ep^-2-183859121634664\
         37030483177529461139445/2730362292770112*ep^-1+
         85018359067371906460172900000/3159*z3-
         19196992661329142925931815071384301552129251705316394956951010\
         5056193803383008750487122427429718776975533061/
         19244820344314781966388747388221646616651208944472109864798126\
         08000000000000000000*ep+42509179533685953230086450000/1053*ep*
         z4+19514256406807287289806571877912725/43982757*ep*z3+
         46288276336310168599434008669466286357040626544090364272587269\
         927324738679568935450433766418268929781072451288767809/
         99556688770958211995499343548831799184568301272856895645057992\
         297021440000000000000000000*ep^2+
         2748560832762225294526608775000/1053*ep^2*z5+19514256406807287\
         289806571877912725/29321838*ep^2*z4-17467121988775661244149410\
         8507990706840903/151686794042784*ep^2*z3+
         14896551266967773919434827178945014346538116132427134593359027\
         66459332258945444925605697059693014792302173229461122504477680\
         72143698733803872322877024998176799/
         34764963590850082583206726285002496028868640103534631364070786\
         98533182969983616323389895726974061953574502400000000000000000\
         0000000*ep^3+20401660348048259942799133562500/3159*ep^3*z6+
         154760706187582436007780542988756425/29321838*ep^3*z5-
         174671219887756612441494108507990706840903/101124529361856*
         ep^3*z4-26982987618179440636409081390590604462732144090431/
         43336910990551627088640*ep^3*z3+
         2975057561505312354569929475000/3159*ep^3*z3^2;
Fill mncnoptab(10,10,6,3)=
      +mncF321*(-1051632749431784520000000-8493272927121624803150000*ep
         -1561826663035259042108516500/63*ep^2-
         51244141279711340148150483775/1323*ep^3)
      +8118774272857516425259621375387837359941174881377871/
      1569104351447235045512509440-139809370742653363441250/2457*ep^-3-
         49758359869184897306275550695/78191568*ep^-2-43351290389626034\
         5819555238945743925/193822014610224*ep^-1+
         34005332441195741555230334000/2457*z3-
         39712338016257480001266434745979343888077275506299863915641175\
         353898145178235325151878112394037090822615757214056717/
         77717423653050818413925933188441114900149175961352799114739996\
         4493086720000000000000000000*ep+17002666220597870777615167000/
         819*ep*z4+62491536614997322806941518518352865/273670488*ep*z3+
         11274103539651075515765379850546867835413848843857908375671714\
         45309983390371046384238554090851339037958184732114286775899729\
         34917/47437323659069016294780494925069216551866581903414368981\
         3436427855183980328805990400000000000000000000*ep^2+
         1099417202513325057913423081000/819*ep^2*z5+624915366149973228\
         06941518518352865/182446992*ep^2*z4-35981689269617947377009089\
         494727164608161659/61053934602220560*ep^2*z3+
         25807121777212867910889577090736619756737800132400951004019317\
         75638266846630595594898030436190455493740057121221414410605219\
         223867726959124235351619420608657294784776429/
         48006096781855615181006349166318962451351571191066498529488203\
         18793776675649725188514700577359275189587724632976261120000000\
         000000000000000000*ep^3+8160615687746948580462597272500/2457*
         ep^3*z6+249170047584225407069091102113376785/91223496*ep^3*z5-
         35981689269617947377009089494727164608161659/40702623068147040
         *ep^3*z4-12864160747410902388273858250591934350934883104667798\
         73/3922760878618087613781273600*ep^3*z3+
         1190045147487698959793338277000/2457*ep^3*z3^2;
Fill mncnoptab(10,10,7,2)=
      +mncF321*(-257065783194436216000000-18745201872695554945865000/9*
         ep-3466319655393525073091893450/567*ep^2-
         12730003557688115988650206403/1323*ep^3)
      +178597115973659059585464258696656777360392456995283147/
      141219391630251154096125849600-90473830975515397552175/22113*
         ep^-3-9827209653259301381096594477/201064032*ep^-2-12247455760\
         0182391857891150287419445149/627983327337125760*ep^-1+
         74806954935639759145660219400/22113*z3-
         24327152709609218852942630982247640350765427537149442266826818\
         43345722796525197466181369350264109487644135788619435776507/
         19511021382037330403470836667704692648574370744438389299994767\
         9005961015525376000000000000000000*ep+
         37403477467819879572830109700/7371*ep*z4+275383373152863292439\
         012175293857777/4926068784*ep*z3+
         19090286287926503112204816140709245899822122197154095619832741\
         29724649437331791044905644987298387068619902566692310391579565\
         2384679/329894128932637224266417702917855037970065010529576179\
         065415695186111419414767332229120000000000000000000*ep^2+
         2418700911000075671395515849100/7371*ep^2*z5+27538337315286329\
         2439012175293857777/3284045856*ep^2*z4-31348596248653347975888\
         1621440389583176236133/2197941645679940160*ep^2*z3-
         21712787428457302414877368858042590032387489525898215462191607\
         18008296450213502489444530902337919539344961798251665214492953\
         3819082788287191626082208096099977783052211157131/
         31715707899900730725483654640220285733109929023089992918491676\
         31814296498534747443044122083438178746753026156022096671539200\
         00000000000000000000000*ep^3+17953239445161468137602218319750/
         22113*ep^3*z6+1110280826848236480879842353219262953/1642022928
         *ep^3*z5-313485962486533479758881621440389583176236133/
         1465294430453293440*ep^3*z4-5930030037586238720937227454965172\
         017899361114681586977/70609695815125577048062924800*ep^3*z3+
         2618151865943658662303498116700/22113*ep^3*z3^2;
Fill mncnoptab(10,10,8,1)=
      +mncF321*(-22952302070931805000000-11773650138985160476160000/63*
         ep-2195800224024335494509539200/3969*ep^2-
         2718279802321120590590329802/3087*ep^3)
      +5581428958789584365240763689302998554876002345331493203/
      49426787070587903933644047360000-100052789560699359175/309582*
         ep^-3-1112432037841569158654385995/9852137568*ep^-2-1137626692\
         32526059705628478042629892549/87917665827197606400*ep^-1+
         46753104122086534622604925100/154791*z3-
         83650701797237604307280303414584098227421633191667643777509022\
         9671559376256953064407693148235791034959037224656505715647851/
         75332053556046132687800900374007818316145645444276621087279798\
         8642015480943476736000000000000000000*ep+
         23376552061043267311302462550/51597*ep*z4+17252841360138282362\
         4371976647442085/34482481488*ep*z3+
         12405217001604742431295936820977209953992536087652849462779127\
         99949658910393211367919832963229100474384745225981507542554270\
         94549493669/24200703404369334134960136268350927730445999107439\
         178920059829983157947616847916724996014080000000000000000000*
         ep^2+1511683663149022167296741311150/51597*ep^2*z5+17252841360\
         1382823624371976647442085/22988320992*ep^2*z4-3857393493167341\
         816689697212237429010878235117/307711830395191622400*ep^2*z3+
         40584443261722220919620285295892285551925005503518955614806220\
         96074876997881875818846853759047935208497277791914302841844168\
         6877569740405550407830237756124675147806463027773/
         28812787812121581489668797780209534874244102578388344154893261\
         70925882066080625853551377732742307797932572703153250646779494\
         400000000000000000000000*ep^3+11220744713312449918169047520875/
         154791*ep^3*z6+707398052946753746475214561825032925/
         11494160496*ep^3*z5-385739349316734181668969721223742901087823\
         5117/205141220263461081600*ep^3*z4-198192844605087582988757580\
         394194738551663294964770792623/
         24713393535293951966822023680000*ep^3*z3+
         1636358584439210829774459084950/154791*ep^3*z3^2;
Fill mncnoptab(11,4,3,11)=
      +mncF321*(-2654576000838413652000000-63383894597467859812705000/3
         *ep-1622595380360006485940468750/27*ep^2-
         565587045303434579943020333459/6237*ep^3)
      +260746719980666231568470392430982296475245888913675359/
      19964050900109910177279696000-1074728616594695780125/1053*ep^-3-
         195196246432186539692561975177/16342037712*ep^-2-1678739407164\
         421931260987902649790733443/36457920948183134400*ep^-1+
         36784283051216368399212489400/1053*z3-
         94425589983866017380026876736057833430435744092276371939842936\
         472421566884321352609477867714051024957105481/
         72214755391829144615604857806349859924260440672202181077127659\
         5200000000000000000*ep+18392141525608184199606244700/351*ep*z4
         +584504894158237620328721967985791499/1021377357*ep*z3+
         28610146468760987558666272151203338004252681864794275808849043\
         31740671068204670981179890068848953475173615635030446629/
         46398519465728078655188163400206224086851583690635783734657570\
         64585491251200000000000000000*ep^2+
         396452601813718924869157036700/117*ep^2*z5+5845048941582376203\
         28721967985791499/680918238*ep^2*z4-25009836726857244865643743\
         00465545588846459119/1608437688890432400*ep^2*z3-
         25160594109184940340471995064853929176924422758898638126774346\
         23100663882008482940421701738631379338853097193249852515965520\
         9213774005778095347028387/285957590725586891537421789433051557\
         07810918064599455703752506129676416467160306897536727969169408\
         000000000000000000000000*ep^3+8828222833180634888558002102250/
         1053*ep^3*z6+26544677086079971007036611802898650057/4085509428
         *ep^3*z5-2500983672685724486564374300465545588846459119/
         1072291792593621600*ep^3*z4-2840909839651110536162741243905577\
         88713938463018791202813/439209119802418023900153312000*ep^3*z3
         +1287448820571125371552778100100/1053*ep^3*z3^2;
Fill mncnoptab(11,4,4,10)=
      +mncF321*(-8848586669461378840000000-632072238425123982859450000/
         9*ep-16101809206305852567463419500/81*ep^2-
         5577072461081628424273703042090/18711*ep^3)
      +5421953342565099375103216767055639258826808452322373/
      124539447959097738345979200-48331161702455065179250/3159*ep^-3-
         4240323621630627070586606933365/24513056568*ep^-2-296054488671\
         679391928502473027305900413/475538099324127840*ep^-1+
         367843657658687744528523886000/3159*z3-
         18162797925936395860115430802099468819556663553114232526639384\
         092396415179098626245918368739840322119157/4154707715482896460\
         1728774935846882507587990852750494578769920000000000000000*ep+
         183921828829343872264261943000/1053*ep*z4+58371426070530579818\
         88083392611620830/3064132071*ep*z3+359541763273563500090345002\
         96678383734238705495939343764414247143323171681137059934838337\
         1143218031615200467178017/174093308125022718572144794973633367\
         845291300685630672136643483900313600000000000000000*ep^2+
         3964526995552246650257174903000/351*ep^2*z5+291857130352652899\
         0944041696305810415/1021377357*ep^2*z4-10961782094276924324139\
         9444894474473729548129/20979622029005640*ep^2*z3-
         52765409128377348736878494760688557149578126519035909262667047\
         52386186968631876804511621596893448672150692497802162216226128\
         431518605435537781/1866000430753092158788261464031386362920774\
         35698062881291069363060111851034156024577394737152000000000000\
         0000000000*ep^3+88282248255778830269465125602500/3159*ep^3*z6+
         131188005612571590931277978944549025845/6128264142*ep^3*z5-
         109617820942769243241399444894474473729548129/
         13986414686003760*ep^3*z4-506810827372485980191972470345202508\
         399648898770146901/249078895918195476691958400*ep^3*z3+
         12874479104689274152575333265000/3159*ep^3*z3^2;
Fill mncnoptab(11,5,2,11)=
      +mncF321*(-975150367654927464000000-7780335721990241786475000*ep-
         466766156909918741274835600/21*ep^2-
         29756254104749174418275046203/882*ep^3)
      +3277958178222704518481729192058655340424178307936054627/
      683214186359316926066905152000-147710555519537899025/819*ep^-3-
         4051432828738268935579200175/1815781968*ep^-2-4007769528273286\
         59741789822173568383/42196667764100850*ep^-1+
         10509791648889040546679087000/819*z3-3709611160794329550162808\
         79297709802538651711125658607108081469502908101049282179890708\
         8656447957593396819/773729522055312263738623476496605642045647\
         57863073765439779635200000000000000000*ep+
         5254895824444520273339543500/273*ep*z4+16720042994604032770195\
         3231834526126/794404611*ep*z3+31397646021189591112719753770599\
         22094409406224197243992962853737307152235189877683061852975543\
         4309998456691951691767411/139195558397184235965564490200618672\
         260554751071907351203972711937564737536000000000000000000*ep^2
         +113272167801378780445432927500/91*ep^2*z5+8360021497302016385\
         0976615917263063/264801537*ep^2*z4-709443369241721337022564976\
         568423755809485913/1251007091359225200*ep^2*z3-
         74732912970382345730355755130661813643365464019530596207353916\
         47023224231188178494467519141107360091364567041520501356530924\
         0150571621043690036493429/243664703357768998335248482760600234\
         35059051191179704271937009424783097729160127053867430387174604\
         8000000000000000000000000*ep^3+2522349296408799958655543151250/
         819*ep^3*z6+7661430746347086200381107314645491893/3177618444*
         ep^3*z5-709443369241721337022564976568423755809485913/
         834004727572816800*ep^3*z4-85032850809752313430455364793148862\
         145987349400113688861/341607093179658463033452576000*ep^3*z3+
         367842558780170780223234065300/819*ep^3*z3^2;
Fill mncnoptab(11,5,3,10)=
      +mncF321*(-5688377144653743540000000-45205219689531194441225000*
         ep-1154190787486504555736324500/9*ep^2-
         36453556604313249475492908335/189*ep^3)
      +3277953904132204392653973884954554719894958654248447149/
      117122431947311473040040883200-2768159765562705868625/351*ep^-3-
         492475617241857490703912926915/5447345904*ep^-2-16260066854192\
         37518341309427935065422707/4861056126424417920*ep^-1+
         26274531926651169208323893000/351*z3-
         17881108351394174132489740943325277712403183382756057085494502\
         072072086380192752170346565535280252004180065297/
         63693414255593305550963484585200576453197708672882323710026595\
         696640000000000000000*ep+13137265963325584604161946500/117*ep*
         z4+1668779539231240831444454170423525775/1361836476*ep*z3+
         27108456842010188994867420095174411157284907230157927969525689\
         83026625025038249635239129935880221460293641172583236562957/
         20461747084386082686937980059490944822301548407570380626983988\
         65482201641779200000000000000000*ep^2+
         283180481896961946264523241500/39*ep^2*z5+16687795392312408314\
         44454170423525775/907890984*ep^2*z4-14354252649582845162036677\
         56308357378723011337/428916717037448640*ep^2*z3-
         28813804264645500005171097204298115066439034290350712161456471\
         93876245531515858036316133756777792555637105889799428268797700\
         8548546845810548351218982247/327878973525957929836807823763936\
         91534575998652869735909922623528286979121246007888715612289449\
         643212800000000000000000000000*ep^3+
         6305874512865015867930963201250/351*ep^3*z6+942028740328808224\
         2244052274819325775/680918238*ep^3*z5-143542526495828451620366\
         7756308357378723011337/285944478024965760*ep^3*z4-
         78613178800278370229758710263212927515495108660989244877/
         58561215973655736520020441600*ep^3*z3+
         919605815869737376221662370500/351*ep^3*z3^2;
Fill mncnoptab(11,5,4,9)=
      +mncF321*(-17065131433961230620000000-135324951229276480916475000
         *ep-1147381682750531232484262500/3*ep^2-
         5151520596688729440443764805/9*ep^3)
      +6196548359690570461093693556098744127789174020624709/
      73801154346131993093913600-11024004134126275360625/117*ep^-3-
         210875943572277344777138500795/201753552*ep^-2-254569577258196\
         877930301130165851195741/70450088788759680*ep^-1+
         26274713539037192800804421000/117*z3-1308076253649726125055250\
         14307076119781619816311607447951770635366420920250479188486178\
         28496990341873453561/15510908804469480117978742642716169469499\
         516585026851309407436800000000000000000*ep+
         13137356769518596400402210500/39*ep*z4+16670506719978343489394\
         58137653396615/453945492*ep*z3+1728046348279801402269605766987\
         53538447966626128338917100512622822863513187887692557649504475\
         050848651726390972836953/4332989002222787662240048230454874933\
         0383612615090300620675711548522496000000000000000000*ep^2+
         283180696536323664983484265500/13*ep^2*z5+16670506719978343489\
         39458137653396615/302630328*ep^2*z4-62795404252315645489227866\
         723701098513663511/6216184304890560*ep^2*z3-
         21018583785480244102530475993670309441870749055662983248868126\
         90051985336718388582420402858138343703316504714204844370664048\
         0978479991811307730611/232213386938162579760316982190572525163\
         47414220203380782888631847480585906472749725186900623360000000\
         00000000000000000*ep^3+6305878888219689480126384921250/117*
         ep^3*z6+9336103577489047000493011784215640915/226972746*ep^3*
         z5-62795404252315645489227866723701098513663511/
         4144122869927040*ep^3*z4-2897480238613249952006353151616927352\
         844104062032293/753073003531959113203200*ep^3*z3+
         919603818263014086095398626500/117*ep^3*z3^2;
Fill mncnoptab(11,5,5,8)=
      +mncF321*(-29254511029647823920000000-231911442602083967763150000
         *ep-4585609747909891898520335750/7*ep^2-
         432093145342736199974128454470/441*ep^3)
      +1377047671515468417703354411826415686255594166161081/
      9566816304128221326988800-41046598660430260167250/91*ep^-3-
         31237569857016651079501726733045/6355236888*ep^-2-604630269010\
         7839800233002175120757612167/369862966140988320*ep^-1+
         35033531068054899134742762000/91*z3-21870960982168068704975234\
         07726059077809620883603115337834223863264495219745474172965030\
         02550853754201903/15147371879364726677713615862027509247558121\
         6650652844818432000000000000000000*ep+
         52550296602082348702114143000/91*ep*z4+10000862095623064907504\
         063550077683655/1588809222*ep*z3+14474097523965436731844648948\
         71022629355264193951556841171753947786350284548115032278214685\
         999783217047291306805353/2115717286241595538203148550026794400\
         89763733472120608499393122795520000000000000000000*ep^2+
         485453503435529345147561837000/13*ep^2*z5+10000862095623064907\
         504063550077683655/1059206148*ep^2*z4-377106681784279577611371\
         563336211976269078983/21756645067116960*ep^2*z3+
         27120789142738968102322867022373807061117185361085353926775226\
         31982414557175155214292883691397350935983425934873024112946174\
         015837886165257692091/1474010756931696062931699593983126380432\
         20891046212866297632917000609187882883665247768412160000000000\
         000000000000000*ep^3+8407852482451626292245475242500/91*ep^3*
         z6+2071924924420475784768258284153957940/29422393*ep^3*z5-
         377106681784279577611371563336211976269078983/
         14504430044744640*ep^3*z4-939340670148282508060438203736197343\
         82998525312767949/14350224456192331990483200*ep^3*z3+
         1226132047614978124767029045000/91*ep^3*z3^2;
Fill mncnoptab(11,6,1,11)=
      +mncF321*(-104882839543329976128000-2523123532949402125110280/3*
         ep-458171915658176233903161872/189*ep^2-
         3694939730001106814740118927507/992250*ep^3)
      +180287840813315931468014206541350949831957267505056200037/
      349370890751923428102394680000000+7818821746597771327/36855*ep^-3
         -236206284341677928278155331/26529282000*ep^-2-323605563869546\
         3427998767673135503289/25893409764334612500*ep^-1+
         10173475127058180272892597304/7371*z3-
         29546601275259773123164868564481687973267990487407391257098749\
         57727958146733642880526460662070729390904645071/
         57520909620444846435762241939101255283214350549597750998302735\
         5189248000000000000000*ep+5086737563529090136446298652/2457*ep
         *z4+204857687458827721129433935418723458/9027325125*ep*z3+
         31111982961348459517258847081390996084745971108495090992645146\
         28848631787350213680598708380080689718775026771616900759463/
         12935164850733536679807976945363091975828831907610206332682776\
         1749340159297454080000000000000000*ep^2+
         109647454666493477861957775836/819*ep^2*z5+1024288437294138605\
         64716967709361729/3009108375*ep^2*z4-7687494036867156552173818\
         908543140098102540283/127943907070829850000*ep^2*z3-
         37023469161185702290465767682270937736050529638361253774667657\
         60069410615300389250996833624713357269259211098778380589939452\
         866256341664065556279321033653/1431190748230785657110095555403\
         78596446410825579792049387769439801889559667239444883386461243\
         8497740208472064000000000000000000000*ep^3+
         2441634042178457801211818463050/7371*ep^3*z6+86027490733207652\
         535614608492461169751/324983704500*ep^3*z5-7687494036867156552\
         173818908543140098102540283/85295938047219900000*ep^3*z4-
         5110909323625277368345825331246232319439850015574079857819/
         174685445375961714051197340000000*ep^3*z3+
         1780358160255765807052803930452/36855*ep^3*z3^2;
Fill mncnoptab(11,6,2,10)=
      +mncF321*(-1430220539227226947200000-11409878033096170204522000*
         ep-2053291257017276207121829760/63*ep^2-
         327260172289675426713274586623/6615*ep^3)
      +3724941159891779801544687648917229370946341869078473/
      529349834472611254700598000-2129037774271154834890/2457*ep^-3-
         13067489136457519097942181257/1238033160*ep^-2-965773882530033\
         615541271102009772755/22095709665565536*ep^-1+
         46243115850502772401098983920/2457*z3-
         15774510702137287041244151570320187492309602169497011631557385\
         99744930655398656592154449931806482429661151208973/
         22420081817968843553939146573990602911525593452854577945929361\
         685217280000000000000000*ep+23121557925251386200549491960/819*
         ep*z4+111460924035268035735856128866191663/361093005*ep*z3+
         23835429317230906404141094619902486738463294013177911843590631\
         8841163000287501886153658134558789674341859180604556987685923/
         72025349737039011058021689809408125774501450394647739806983640\
         0649734977906278400000000000000000*ep^2+
         498397576825684922758502771960/273*ep^2*z5+1114609240352680357\
         35856128866191663/240728670*ep^2*z4-28385976534516053705233792\
         7891653161758407777/341183752188879600*ep^2*z3+
         60204559801291162688205543525643631008706435232115963513378580\
         69828822390120854603748207289121631160227497267195183095759744\
         653674870200325624989241682182681/
         21455350814823403863145226202075987142097427086481063347904247\
         31295809395361150769012305778262258412987351040000000000000000\
         0000000*ep^3+11098337688951653831063564909300/2457*ep^3*z6+
         7657891707703069028582404509491169301/2166558030*ep^3*z5-
         283859765345160537052337927891653161758407777/
         227455834792586400*ep^3*z4-21182414008080290835700378629156715\
         31813961923215332853/5822848179198723801706578000*ep^3*z3+
         1618506899643869369898237407560/2457*ep^3*z3^2;
Fill mncnoptab(11,6,3,9)=
      +mncF321*(-7508657830942941472800000-59701749982365203203953000*
         ep-508601856182396013502096940/3*ep^2-
         8937226921365003900866508893/35*ep^3)
      +655589890445670661641594916692219590857252475830726033/
      17745823022319920157581952000-3516461793120811262035/117*ep^-3-
         280919102089547183697564250487/825355440*ep^-2-123047338809296\
         7787060973623670877569/1002073000705920*ep^-1+
         11560844604794544868011331480/117*z3-
         28694820959281313562574904942871711212661685421692253836429625\
         020549472325014370512110968440660046169197937433017/
         77501517395447854260530383218732948336137853911102244751360756\
         442726400000000000000000*ep+5780422302397272434005665740/39*ep
         *z4+333840705528334788670901537921202139/206338860*ep*z3+
         43493744956026613702496455630513513480701667867904002176325252\
         17776821512107123214801694796369797331920372804512375639896239/
         24897651760951756908945769316832438539333834704322675488833850\
         88665750540910592000000000000000000*ep^2+
         124599471787685245273691750740/13*ep^2*z5+33384070552833478867\
         0901537921202139/137559240*ep^2*z4-409493685090143079285329814\
         82870780349572411/9283911624187200*ep^2*z3-
         52938290871212070430956154740866090540632325120746814526040832\
         19838728458999048169582974880933625496084814864641587010625454\
         86220926446387713121910132157979/
         43885588634308956692823897557025906931019647777154633190249026\
         57336742133838280483040730644411077183406080000000000000000000\
         00000*ep^3+2774586003710931656488036062950/117*ep^3*z6+
         1888126847605788821091472735631139319/103169430*ep^3*z5-
         40949368509014307928532981482870780349572411/6189274416124800*
         ep^3*z4-158697540334557135655058181770288934848945866456799154\
         89/8872911511159960078790976000*ep^3*z3+
         404626002929376403003914104140/117*ep^3*z3^2;
Fill mncnoptab(11,6,4,8)=
      +mncF321*(-20023087549181177260800000-158951250430069010090408000
         *ep-4050969961704285126656625520/9*ep^2-
         638311602318485376008385400096/945*ep^3)
      +65227928140074353070140023839128601846273232942513/
      662091695688983191632000-97960731042134595310280/351*ep^-3-
         49878726515803907946368679323/16289910*ep^-2-55987520506019735\
         4010696481461338643/54173855015280*ep^-1+
         92488293175038195022702283840/351*z3-6494812769984941772645821\
         37305917947402839634985417107835542094834289036151673439113139\
         88981423829799727/65771483160399471100598595190382605943344475\
         650941366829056000000000000000000*ep+
         46244146587519097511351141920/117*ep*z4+3511435095556898971697\
         7990830587862/8144955*ep*z3+4291575518675822557892931954306158\
         94192107678428159759326571688712702882427763802252755682353344\
         559688367755930397/9186667163943770100092618704063712530213425\
         2691841843164210171740160000000000000000000*ep^2+
         996797589932560132751894141920/39*ep^2*z5+17557175477784494858\
         488995415293931/2714985*ep^2*z4-219650805558399777642258840459\
         440144818417/18589067897400*ep^2*z3+
         67167804247794251813240843555162078502388929777097701708595554\
         84599449451555858676730961150284025102035662952977004455471699\
         804405020230630296371/1573723249312369620130020448870220223814\
         38774852280207253061026091826868239666972014529216512000000000\
         0000000000000000*ep^3+22196725040545007499360862483600/351*
         ep^3*z6+394869782337544695461191534126449604/8144955*ep^3*z5-
         219650805558399777642258840459440144818417/12392711931600*ep^3
         *z4-138852796478318593959691949933240117408367445747279/
         30095077076771963256000*ep^3*z3+
         3236991122948511985561735097120/351*ep^3*z3^2;
Fill mncnoptab(11,6,5,7)=
      +mncF321*(-30034631323771765891200000-238465000798404103439562000
         *ep-2026428798879036068992276010/3*ep^2-
         35495003918450727796769475422/35*ep^3)
      +2478826670391180358866946220704898826753470960520329/
      16772989624120907521344000-117186713973142341758890/117*ep^-3-
         4463981763158266604792856727399/412677720*ep^-2-56462525594742\
         742828304082623840826139/1601138381562720*ep^-1+
         46245647084922119032989875920/117*z3-2079799273453737124659906\
         11407528168343347484383559266937441610681929365170595318628761\
         50343375203647460077/13990342307238324814867852784519868599493\
         915287150676745912320000000000000000000*ep+
         23122823542461059516494937960/39*ep*z4+66723855595561954391478\
         9627996432053/103169430*ep*z3+19583029880663197231110406118908\
         45086411394843557190598422463303852975379139723579666558614696\
         1913699636825232878503/279158365798141385465538300978129307040\
         5545637816235267497198721433600000000000000000000*ep^2+
         498400568298468705484461487960/13*ep^2*z5+66723855595561954391\
         4789627996432053/68779620*ep^2*z4-2502775852122443739833119494\
         7202142889253653/1412769160202400*ep^2*z3-
         10932176851269331329248770590956544397778262315607461763418287\
         21918965049855475282317396281504121665118405481701272400928869\
         31256019614626748615334739/50617546582664261246509700287113434\
         34283366252414892058548367986511321851363972969957233136762880\
         000000000000000000000000*ep^3+11098398669003240575817908789300/
         117*ep^3*z6+3753848462114015173160837597488763288/51584715*
         ep^3*z5-25027758521224437398331194947202142889253653/
         941846106801600*ep^3*z4-58209610303576801662788202644258857290\
         956351615693167/8386494812060453760672000*ep^3*z3+
         1618479056340926410270472051560/117*ep^3*z3^2;
Fill mncnoptab(11,6,6,6)=
      +mncF321*(-26430475564919153984256000-210260718775726529346780960
         *ep-8965034119175132434351579444/15*ep^2-
         7099804107627550006201735119536/7875*ep^3)
      +2479062895339698583483263320602634925681929044947911/
      19060215481955576728800000-929928223673515123512356/585*ep^-3-
         88029956263604264591630513302639/5158471500*ep^-2-299588088320\
         062715763893250457554159827/5458426300782000*ep^-1+
         203489962157981223554593737248/585*z3-
         23572296802462731302473604666167836750395493371281016525788688\
         794157960324982688445346622061830462515907031/
         18137479491169685384989394859931115362915325890127484495593472\
         000000000000000000*ep+101744981078990611777296868624/195*ep*z4
         +2448940653044929877428510605847527491/429872625*ep*z3+
         77669166189247243705186600477978247158175520809461263391516479\
         4954950294429736462674837670311345548504267615614492313/
         12666810848090665365498800406882617306965163331591167526268539\
         1985049600000000000000000000*ep^2+
         2192973272671578098353377747824/65*ep^2*z5+2448940653044929877\
         428510605847527491/286581750*ep^2*z4-1463825292761311611115585\
         917623119039914283/94436441190000*ep^2*z3-
         38551026717581842690903431738281224466566982448225588139827278\
         16019557608307671566511412697035447333709412705025847847574311\
         007852819990159340576965701/1640550840134564895757412607519837\
         20236148388359518376540451569562822306432600195365578181129011\
         200000000000000000000000000*ep^3+
         9766634745943110830812902996584/117*ep^3*z6+832643667406465439\
         83567566890506039916/1289617875*ep^3*z5-1463825292761311611115\
         585917623119039914283/62957627460000*ep^3*z4-55055774496372806\
         01354734106230939147476365694075139/866373430997980760400000*
         ep^3*z3+7121207581173987554577474715664/585*ep^3*z3^2;
Fill mncnoptab(11,7,1,10)=
      +mncF321*(-109252957857635391800000-7896684588154617321341000/9*
         ep-1437859387150281172688374390/567*ep^2-
         232796319694283288305523755736/59535*ep^3)
      +360574965877082004052533673159278073874178751622972850301/
      670792110243692981956597785600000-1410208575946391210/22113*ep^-3
         -3082939415181499311042133001/89138387520*ep^-2-16506167619293\
         86275593635919588774257/4058395652858976000*ep^-1+
         31792109983610468464407430820/22113*z3-
         10335757792342835208116717005732937732960796281699543356566071\
         5416960373960404533263893859448534464533831031200571121/
         19337051527016311939149866650308007123955886045965639223428723\
         301159681392640000000000000000*ep+
         15896054991805234232203715410/7371*ep*z4+246010537332871678031\
         1298077772324331/103994785440*ep*z3+
         12830588764387723512677803533339990231636651128098663100175394\
         85509764293540768283823030916810868551779050140534365081360129\
         31/51339669292561407082157860496146112052064633841304908934417\
         93863831310922515952435200000000000000000*ep^2+
         342648296053245406630471919260/2457*ep^2*z5+246010537332871678\
         0311298077772324331/69329856960*ep^2*z4-1530429378926642446417\
         868350424122963178699287/24565230157599331200*ep^2*z3+
         39464027138545036120218617501276354497763859710797246142319320\
         55529175570835375415162406638980033354567796461329756104294830\
         08294691790276163897525607217579510234729/
         13234911605090040369902058108622089340434156242214025440745055\
         40196684277348355005818206682250434021498646544968224604160000\
         0000000000000000*ep^3+7630106386238995478024599606300/22113*
         ep^3*z6+86555094125809480796027302119369489791/311984356320*
         ep^3*z5-1530429378926642446417868350424122963178699287/
         16376820105066220800*ep^3*z4-209405074029585556780247493870010\
         9762114813010441923836331/67079211024369298195659778560000*
         ep^3*z3+1112723847248269025151434043860/22113*ep^3*z3^2;
Fill mncnoptab(11,7,2,9)=
      +mncF321*(-1340831755525525263000000-10719361619937869592705000*
         ep-645442194683149820299745050/21*ep^2-
         20681210799094830272104394848/441*ep^3)
      +1311170018110370560452740537247951564905951641180480223/
      198753217849983105764917862400-1863857518008156807950/819*ep^-3-
         18159374646821512578610490891/660284352*ep^-2-1223765070540200\
         903042630578583410261/10911461563242240*ep^-1+
         14451000049748678604013915100/819*z3-
         28572104764598993208641570444965184547084701208520678614880827\
         866824153046443856393377382733335334738246923584826689/
         43405278399587681120426187767245807236713548924726462903319244\
         2225806540800000000000000000*ep+7225500024874339302006957550/
         273*ep*z4+669453767695868230149182810713014803/2310995232*ep*
         z3+43098181223211844486847688759068791876381358381962060204429\
         53915392056955278054312654185581824588577136759455129586255203\
         072563/1394410770909075254083299914710141314994348079640380242\
         6632032716578869172265549824000000000000000000*ep^2+
         155749273903352524761529551300/91*ep^2*z5+66945376769586823014\
         9182810713014803/1540663488*ep^2*z4-14104174212531268600003434\
         3230731975362536597/181964667834069120*ep^2*z3+
         14587009318498752454719930459756748953593556182554673965854073\
         95109497320126243290322066943440505027424581156712855105772172\
         6396956004292960953398844520634147649427/
         15034410234929184296748476792920306688606892408354831991467821\
         94637200022433460795333231871402320575865091019243520000000000\
         00000000000000*ep^3+3468231162701060110624380116500/819*ep^3*
         z6+7724572112352231413535608488601486701/2310995232*ep^3*z5-
         141041742125312686000034343230731975362536597/
         121309778556046080*ep^3*z4-70392296049598302776299548476650768\
         53346471696228884569/19875321784998310576491786240*ep^3*z3+
         505783116497696595143208164300/819*ep^3*z3^2;
Fill mncnoptab(11,7,3,8)=
      +mncF321*(-6257214859119117894000000-49883153548841201469265000*
         ep-1280900920117802555839147100/9*ep^2-
         40774827924248002794341056681/189*ep^3)
      +327794892129241589016698459705370875412850125353724797/
      10647493813391952094549171200-21535594839215780114275/351*ep^-3-
         341554419082246387712497944571/495213264*ep^-2-331465137774335\
         13435676985549646741259/13527985509529920*ep^-1+
         28902391926291403960533128200/351*z3-
         34869835868670411974378675486875790663600716506760861067485441\
         25361216201358200879558452087826318240358142384760653/
         11329147593642381258349875003169626533730276441645578918302430\
         576561356800000000000000000*ep+14451195963145701980266564100/
         117*ep*z4+11938286781794491590813377006004403/8843094*ep*z3+
         52759537262599874017789484583828023695906797777864542485552915\
         24275256350855023799632046793237224117995731948222097073495138\
         71/36395309538997525275256585131816543555427764152545436021216\
         4206203319206023266304000000000000000000*ep^2+
         311499010853142195122045854100/39*ep^2*z5+11938286781794491590\
         813377006004403/5895396*ep^2*z4-237027778007613601535768053205\
         1082605316375/649873813693104*ep^2*z3+
         19268263888745198621797431566899798453672101497589693537880442\
         56372154936092970152871120211486007598053416437822902627262785\
         8042146509385147908541919581476731031/
         89306081144621203970274955605109315971660621923594169555599199\
         14830447515017521993526857270832139572273479680000000000000000\
         000000000*ep^3+6936471764379970880344698896750/351*ep^3*z6+
         1908950551037909969570411868428886889/123803316*ep^3*z5-
         2370277780076136015357680532051082605316375/433249209128736*
         ep^3*z4-8350286342994549994921616085664246308084616332243907411
       /5323746906695976047274585600*ep^3*z3+
         1011561922473146701394533665100/351*ep^3*z3^2;
Fill mncnoptab(11,7,4,7)=
      +mncF321*(-14600168004611275086000000-348789376748658845762455000/
         3*ep-8938530937346398634925301700/27*ep^2-
         40543118108913881159101790761/81*ep^3)
      +619686187843445411777521117697808246048002132054213/
      8626108949547895296691200-449472515490880264923925/1053*ep^-3-
         988714017426630366663315229291/212234256*ep^-2-274276228181395\
         06666478535013987939451/1764519849069120*ep^-1+
         202323315135477926339849145400/1053*z3-
         26935168725211080836147198361242490239105933236658688499541711\
         9032528174273355178563784096926642125085816021/
         37392369439346068141555897442262194256829191767475445120892928\
         0000000000000000000*ep+101161657567738963169924572700/351*ep*
         z4+83524088660012066697453412918953361/26529282*ep*z3+
         17717828589198625956310097070026799747737220208936547754727984\
         73309061504860835330676621679749962984279433327729839253/
         52227992437506815571643438492090010353587390205689201640993045\
         1700940800000000000000000000*ep^2+
         2180500842575128879883589442700/117*ep^2*z5+835240886600120666\
         97453412918953361/17686188*ep^2*z4-246172776904484753370661700\
         29517941351169/2883202367760*ep^2*z3+
         33947565419141305588493579151806031711821396581837343285535506\
         62671707105127779402976720379461916156334007361783830776620062\
         9390247558941557594446813261751627/
         27256110670679274196005496092604984434242533737292713322834249\
         47301456164379007427206230684461535340789760000000000000000000\
         000000*ep^3+48555460670101704981531139597250/1053*ep^3*z6+
         1900122908981118463307894602815350449/53058564*ep^3*z5-
         24617277690448475337066170029517941351169/1922134911840*ep^3*
         z4-15442634238235794136999909402860526502557255365628651/
         4313054474773947648345600*ep^3*z3+
         7080861171244590892960793079700/1053*ep^3*z3^2;
Fill mncnoptab(11,7,5,6)=
      +mncF321*(-18771644577357353682000000-149565483476557465918755000
         *ep-1278944490348027433906085000/3*ep^2-
         40663074301834254874636949953/63*ep^3)
      +619752733597379404383287423435300189486191908860813/
      6709195849648363008537600-128079833218671173002075/117*ep^-3-
         1947155293484424370269672921419/165071088*ep^-2-36755460962515\
         8740239038607021449069599/9606830289376320*ep^-1+
         28904735902584089673072725800/117*z3-
         46825740087184472554712581101348188249310613890236544247262604\
         659483531708100627395973137373815430513085932803/
         50784942575275119077970305607807123016162912492356956587661721\
         600000000000000000000*ep+14452367951292044836536362900/39*ep*
         z4+9283291163261943508603880293285613/2292654*ep*z3+
         61626547199552320167895758523215431869569020833390760096206665\
         741938775186143512743694877542001455164619392322086297059/
         14186828149861545209358656455708531383800982931382107629420763\
         902325555200000000000000000000*ep^2+
         311501781005711065107393130900/13*ep^2*z5+92832911632619435086\
         03880293285613/1528436*ep^2*z4-2867156883518125392899466922810\
         77052897807/26162391855600*ep^2*z3-
         17264742603108190982765108370373739704989824532269208062606660\
         39311529579118575197231715456773824158509043289754829767310733\
         556709592598787958955754905777684082843/
         31280419786489414583547348395788125477826945389453498174107210\
         41944093102853314039124195530265782132764835840000000000000000\
         00000000000*ep^3+6936528232872038740733663630750/117*ep^3*z6+
         1904620811273644805284120730467447033/41267772*ep^3*z5-
         286715688351812539289946692281077052897807/17441594570400*ep^3
         *z4-78047513649940128705968076520656921686321556988555271/
         16772989624120907521344000*ep^3*z3+
         1011536138709540861074779933900/117*ep^3*z3^2;
Fill mncnoptab(11,7,6,5)=
      +mncF321*(-13765872690062059366800000-109933983273750886667263000
         *ep-2831670988714857743972409320/9*ep^2-
         452613764544985687282085964451/945*ep^3)
      +619802543151845700677968021944882997199525425238441/
      9148903431338676829824000-407176201206802715000005/351*ep^-3-
         30905817828161707128196003466401/2476066320*ep^-2-587356755082\
         37232215986526884311392303/1455580346875200*ep^-1+
         63593177695143566633734762840/351*z3-
         30981096211498768976170394652379409134837143788404815038347168\
         8413228808741299463802332102765072855621828675097/
         45967628022420450639717122333009418775772601935939096705632095\
         4368000000000000000000*ep+31796588847571783316867381420/117*ep
         *z4+14604775590883143880749118441934527/4912830*ep*z3+
         16876807673705076891248494917020906589460027599040192035920173\
         403130570059338549473451424669911319886308790965150063441/
         53062422170910714549289520249922818682268611483610999964586753\
         29700986880000000000000000000*ep^2+
         685307178547193244286626989420/39*ep^2*z5+14604775590883143880\
         749118441934527/3275220*ep^2*z4-615099852826387171458142649583\
         99751800649/7706013601104*ep^2*z3+
         22128412605410303186848868465286411385910899504344450130942892\
         59577810306167478707397445533129736381139064020587093513274463\
         8493595799610338156116101244516143173463171/
         47849390029508973293470234149479417359499211274143677984090307\
         43110091127208118600099375123828736078929231400140800000000000\
         00000000000000*ep^3+15260428573073989079864770354850/351*ep^3*
         z6+21150999854701933514462247706794796559/619016580*ep^3*z5-
         61509985282638717145814264958399751800649/5137342400736*ep^3*
         z4-16298167594624668879459819793314696610921767621102607/
         4574451715669338414912000*ep^3*z3+
         2225349160181267243992659245620/351*ep^3*z3^2;
Fill mncnoptab(11,7,7,4)=
      +mncF321*(-5735780287525858069500000-137987149348111377616610000/
         3*ep-3580246935080635797325275400/27*ep^2-
         115566614092723626884902552969/567*ep^3)
      +5453998431933891398837876687630789112937964114932829/
      193224840469872854645882880-2146448325064776617412275/4212*ep^-3-
         32900905979079706353602151824071/5942559168*ep^-2-843339078737\
         8660035627704256103683250057/461127853890063360*ep^-1+
         79492080412994871772397236550/1053*z3-
         28901819150817350416297058984698606439361294115627045707106230\
         71717821656854925878486815332527884479263601793/
         10186008482240895312210044153337314387813247019895595292725293\
         875200000000000000000*ep+39746040206497435886198618275/351*ep*
         z4+1229283396810792098082496272885804433/990426528*ep*z3+
         20736913088509303732258846732862634205462144488230682977381516\
         6715477315892580124116662817246411386112629996672016121523/
         15650098139032978872381077878711611335101598599447519302055305\
         5505368481792000000000000000000*ep^2+
         856634692006751390590531182025/117*ep^2*z5+1229283396810792098\
         082496272885804433/660284352*ep^2*z4-7862234082498884788378286\
         940720066754484813/2393397165519360*ep^2*z3-
         42532068200444035418327607000707348127979211288917344169435830\
         82013403137234741659124547903982913571466882469186649045976346\
         52463218012583103979078366160019898117901/
         10602989836084374763893972339941461801252666134611383189656374\
         94211895192960889917067475169484776744762727412531200000000000\
         0000000000000*ep^3+38151100738238838217711917008375/2106*ep^3*
         z6+43022437981713909020915518934307472633/2971279584*ep^3*z5-
         7862234082498884788378286940720066754484813/1595598110346240*
         ep^3*z4-771401062577001261065729310274350797304093467170937117/
         483062101174682136614707200*ep^3*z3+
         2781679757601378556921009687775/1053*ep^3*z3^2;
Fill mncnoptab(11,8,1,9)=
      +mncF321*(-74365458709819048200000-4197243754996803148077000/7*ep
         -85511957693683295554071270/49*ep^2-
         13974688594703325125228136968/5145*ep^3)
      +1116325015344474723149331794717270441660113697365760207/
      3051036238925179255163212800000+159314012801558890/637*ep^-3-
         79197967253549340766625561/1216313280*ep^-2-214576017739302810\
         7478957017851889553/2713508204543136000*ep^-1+
         623374698933101730160361420/637*z3-
         45928363255765069952494362871318460929403825271648991117462595\
         708696395258388358219304259242003524598234750581389591/
         12665203339332321270086462367453197648438942907299132122947467\
         893157218222080000000000000000*ep+935062048399652595240542130/
         637*ep*z4+68681050052609208413315652939585073/4257096480*ep*z3
         +6873890267856655222988946569623893628884687724077058743528347\
         19113459654361753620058160125381903735191345809219490445908637\
         3521/406874384943153326770411301429106497385719250185593056069\
         726259898490793110737938022400000000000000000*ep^2+
         60467346300991809799474911540/637*ep^2*z5+68681050052609208413\
         315652939585073/2838064320*ep^2*z4-795728023206590175923031159\
         56150192784361501/1899455743180195200*ep^2*z3+
         69517640302736345578725386631915723928433007759746410187967514\
         68116367926485222405640842816921891755060475949263711208268290\
         896049196840465200988147591403998683458362301/
         10293820137292253621034934084483847264782121521722019787246154\
         20152976660159831671191938530639226461165613979419730247680000\
         00000000000000000000*ep^3+149609929005146770173286375300/637*
         ep^3*z6+272279840492691497784407075782523717/1419032160*ep^3*
         z5-79572802320659017592303115956150192784361501/
         1266303828786796800*ep^3*z4-6901963841939777964014098864772818\
         352752372142967937001/305103623892517925516321280000*ep^3*z3+
         21818114744954932101365024060/637*ep^3*z3^2;
Fill mncnoptab(11,8,2,8)=
      +mncF321*(-811259549561662344000000-45603343132116508878480000/7*
         ep-922552666324467335103205600/49*ep^2-
         89620553175717538468215167248/3087*ep^3)
      +640940193705510896191652652927965100950686090338727/
      160580854680272592377011200-6596802471660248511400/1911*ep^-3-
         25737650368472093412609527/620568*ep^-2-3584043012670641115901\
         37206945802407/2142243319376160*ep^-1+
         20401499132105522340104615200/1911*z3-
         13565028779248679412263783796933915371291021419143623475975716\
         255192723591377505651447467461613501439417209179827369/
         34175738862815936815354609081583721039424573531723089867122844\
         5924524032000000000000000000*ep+10200749566052761170052307600/
         637*ep*z4+18694322889720915381109692865176619/106427412*ep*z3+
         18528247953230598395392870107928247582957496952003936710672737\
         82998521136859598709416621902974119953944426607429323730614382\
         37/99809851644342243829651022937668637451173092828310198506936\
         9983770875384939151360000000000000000000*ep^2+
         659644293030033273677081892800/637*ep^2*z5+1869432288972091538\
         1109692865176619/70951608*ep^2*z4-1318311684778966467285566973\
         5131900274794777/28491836147702928*ep^2*z3+
         77289743193163952533945765537231937856566881463295496582089590\
         21663308791423539120104429266686063808948092460018624721343489\
         84358801795356231148559210236621495942927911/
         55553614022187840779639601093277341838102526715707857610035268\
         87133149121956328406412086025756516160690248141399654400000000\
         00000000000000000*ep^3+4896328449894985746727852658000/1911*
         ep^3*z6+24354392015960152626770479051132997/11825268*ep^3*z5-
         13183116847789664672855669735131900274794777/18994557431801952
         *ep^3*z4-352954569584569051926513652098465306547225422101738639
       /1525518119462589627581606400*ep^3*z3+
         714045791979928146840129793600/1911*ep^3*z3^2;
Fill mncnoptab(11,8,3,7)=
      +mncF321*(-3312643160710121238000000-26539038657595582608105000*
         ep-76379851893103752192422300*ep^2-
         1054176539280479077398787517/9*ep^3)
      +48325971375182778331497262315337677371715137749899/
      2965049794873837954483200-2712566508659222741075/39*ep^-3-
         6770706145040401971432568171/8687952*ep^-2-1682981104281704999\
         361792965655940409/612069519821760*ep^-1+
         1700172504807923122635038600/39*z3-326146484056454663772854725\
         47314077800929814938058723796998761576722686668539293546505438\
         73193246777169435217167367/20078510772835584399868199522266255\
         403496193478748877782168647101317120000000000000000000*ep+
         850086252403961561317519300/13*ep*z4+7780456175524421201437275\
         21026561/1085994*ep*z3+491000036254100726339900951596891481887\
         16449624247106921926224638721911553553005339553058487617389571\
         5714008511732028766161293/645029653483844432912710692454321126\
         385132232563909446133266316042402459654553600000000000000000000
         *ep^2+54970526441357815298921227900/13*ep^2*z5+778045617552442\
         120143727521026561/723996*ep^2*z4-5532218406299896491334325464\
         273431070753369/2907330219153360*ep^2*z3+
         73802204561792694117217935144161700841080815575471708679574110\
         51292481391669333520348660968239122073105510579425731641706504\
         827703843281155153865278803281871959013/
         11427533240342345895788244319266028798822695907366029451298101\
         60530345018758364548967620307920765614656218726400000000000000\
         000000000000*ep^3+408028517048163806935321612750/39*ep^3*z6+
         6030561147470280060879267606187483/723996*ep^3*z5-553221840629\
         9896491334325464273431070753369/1938220146102240*ep^3*z4-
         856303339924463373022321885902745335899610534385673/
         943424934732584803699200*ep^3*z3+59503292691413359473436172300/
         39*ep^3*z3^2;
Fill mncnoptab(11,8,4,6)=
      +mncF321*(-6625286321420242476000000-53038994859283636422450000*
         ep-152450410348656785028133800*ep^2-
         1633734093000374042019559534/7*ep^3)
      +1918615564699165170800352793624232372307602313103/
      58852595172354061478400-4492610636317379106850/13*ep^-3-
         16378966365035630926765460075/4343976*ep^-2-168179291322480186\
         08114548507905569/1337626049760*ep^-1+
         1133507392913809782005038000/13*z3-474020826607938547478772797\
         82062914602648438807275963045412445385524749019112358184205810\
         764294045878634163/1461737656360714776092895309435237915761268\
         04048724792809881600000000000000000000*ep+
         1700261089370714673007557000/13*ep*z4+777792775429278123224206\
         817222389/542997*ep*z3+584743226342984426472485108733100684846\
         82207690249613248789033958264424157329205649071001009153435663\
         770842568392921/3843181000349489801296849659054168718521938100\
         6066081039452533791129600000000000000000000*ep^2+
         109941681015979080575028843000/13*ep^2*z5+77779277542927812322\
         4206817222389/361998*ep^2*z4-446393400738307970232323639072584\
         63393727/11704227935400*ep^2*z3+
         23051399506834505827528288744269285031616048464707470703099309\
         68778655565595211645017012093287649853461117880305557385041581\
         4998301041706813067329418208312957/
         14083029232404547342734206249711659270953731523422593723871267\
         87600247730896140871743592019028844541378560000000000000000000\
         0000000*ep^3+272020434057663176982559512500/13*ep^3*z6+6012689\
         324428733780477480842676947/361998*ep^3*z5-4463934007383079702\
         3232363907258463393727/7802818623600*ep^3*z4-26367562503739791\
         4475922940349148756553383854836021/147131487930885153696000*
         ep^3*z3+39668212148148510027026101000/13*ep^3*z3^2;
Fill mncnoptab(11,8,5,5)=
      +mncF321*(-7098521058664545510000000-56878433838700843017825000*
         ep-1146213577507543428566353000/7*ep^2-
         110784418172272392511965553525/441*ep^3)
      +5756465502760572431344419806218196647694528294849/
      164787266482591372139520-161496272726242222223125/273*ep^-3-
         55615799943895649202430833115/8687952*ep^-2-124702995400687045\
         185483950826642275/5948501727168*ep^-1+
         25505245343822327767271863000/273*z3-
         16812541798417956503866121678009837081439068079511237831014525\
         67266561984947788280390871748970684279043807209/
         48386976865705737515491707718957282921865896774672733374349574\
         14400000000000000000*ep+12752622671911163883635931500/91*ep*z4
         +11672382446738254711496204573304545/7601958*ep*z3+
         77138219510165545663515099670594361842875093494759645786485680\
         543601560532464681532539782367270593943703733928540143/
         47262076427531810529731556497906964008498358406455141668862695\
         244300288000000000000000000*ep^2+
         824567319628344455122407354500/91*ep^2*z5+11672382446738254711\
         496204573304545/5067972*ep^2*z4-189785686267070605075160341569\
         597514671997/46570506942960*ep^2*z3+
         43740623774736432028315491395176219182861997813567210137105036\
         71946940497023096727111164552702633222042780806086270244297286\
         671613674157387438769763374407944384897/
         10949517169224021348620190880887738526201192511245692902537827\
         78743727946729546590411756321242273702272135331840000000000000\
         000000000000*ep^3+6120491783853027593999875501250/273*ep^3*z6+
         30174224219588852930300829458367395/1689324*ep^3*z5-1897856862\
         67070605075160341569597514671997/31047004628640*ep^3*z4-
         803384138487450481247543176252311023033701893046067/
         411968166206478430348800*ep^3*z3+
         892520154877250974024070576500/273*ep^3*z3^2;
Fill mncnoptab(11,8,6,4)=
      +mncF321*(-4164465687749866699200000-33454758554247618643572000*
         ep-677237495863198165758647840/7*ep^2-
         329256188616314682416714710636/2205*ep^3)
      +10890916551323716215458381366846624905194707039/
      531434682928893744000-103011541809339390881060/273*ep^-3-
         44607803221209309365895316673/10859940*ep^-2-86138025446271183\
         87398073998406319931/632028308511600*ep^-1+
         14963259195933079260016362080/273*z3-
         36191430133575170578222622140436870017544777203771203665031650\
         4713035899898271495095064208842250211498622497/
         17641085315621883469189685105869842731930274865766100709398282\
         24000000000000000000*ep+7481629597966539630008181040/91*ep*z4+
         17141168929875281879571537769070897/19004895*ep*z3+
         70814381064039000617148924640548847419459182625308185652925613\
         04136981387346943712585148645544286045290557489793990651/
         73920841412436472406658262585007610894541963695096245016455559\
         28053841920000000000000000000*ep^2+
         483746805801244076701389031120/91*ep^2*z5+17141168929875281879\
         571537769070897/12669930*ep^2*z4-10495190817148981184141401986\
         3633029663395/44241981595812*ep^2*z3-
         23159601973354261727408440987151329835789163265647610578367772\
         42033082368346140635361458431522089654116335675679796851419318\
         65245495816890918819579760090326175138981/
         10467054068955087907946613720198622547390452466218929559019754\
         75055332434076775943771738308337536017265769368780800000000000\
         00000000000000*ep^3+3590692895519497877110376828200/273*ep^3*
         z6+67079869946803233454094854568034908/6334965*ep^3*z5-
         104951908171489811841414019863633029663395/29494654397208*ep^3
         *z4-102526904445407902235071483821282771366014744556829/
         85826701293016339656000*ep^3*z3+523609822573943494672153431440/
         273*ep^3*z3^2;
Fill mncnoptab(11,8,7,3)=
      +mncF321*(-1301395527421833343500000-10500253375140214496910000*
         ep-214185038514398399426464200/7*ep^2-
         2337438174017115827420565219/49*ep^3)
      +44653952437250664563433958216332726547846443671134283/
      6973797117543266868944486400-30343440495843800097025/364*ep^-3-
         32303535290940383659251974593/34751808*ep^-2-20136864158953771\
         7905961883182237604601/62023044675271680*ep^-1+
         1558603646201016385521590050/91*z3-
         83460023467391649099788566585803983808252841749113610382591623\
         223576878822961344136953493226811619027414433398678087099/
         13272803661249884628211453515445369148690048125468292040812767\
         27931707588608000000000000000000*ep+
         2337905469301524578282385075/91*ep*z4+343544440536628120135998\
         07690881779/121631328*ep*z3+1246138682850497027669309276617252\
         78522474055387259016943397095268719894965019088821745660818974\
         54791556697811372879981297419025829/42639377208980321503822696\
         29550507293490636190518331566151631434378310863184067559424000\
         0000000000000000*ep^2+151170140945222849041071746475/91*ep^2*
         z5+34354444053662812013599807690881779/81087552*ep^2*z4-
         158792931964353885636909313078790653051913881/
         217080656363450880*ep^2*z3+
         10367613218147959000201580898040316496011952278640113028859606\
         44500247679939651791025269193426882461981601533466297243020184\
         974677193909074743733220868793300967739253865521/
         43150622993062218674127421279211273106272012276312915535362824\
         92264348977598295840876356576106365641840851912955233566720000\
         00000000000000000000*ep^3+748057686495109163277750782125/182*
         ep^3*z6+136518450159484474777570977857190931/40543776*ep^3*z5-
         158792931964353885636909313078790653051913881/
         144720437575633920*ep^3*z4-13942276458892211766220451582235174\
         17831314654100305231/3486898558771633434472243200*ep^3*z3+
         54543450965365996282145263525/91*ep^3*z3^2;
Fill mncnoptab(11,8,8,2)=
      +mncF321*(-196849743643638657000000-11188181777986311521940000/7*
         ep-230726175335037452567318800/49*ep^2-
         22989557947640584499458352134/3087*ep^3)
      +401828427601207506266355248767415450222104840313427059/
      414940928493824378702196940800-298848405289698364951675/64974*
         ep^-3-113354329995979845806077546777/2067732576*ep^-2-80380986\
         6391404751699008236248342618961/3690371158178664960*ep^-1+
         84158873010893486115290086700/32487*z3-
         24706523889072980390395978924951821296956053730288364346604632\
         002601532225055432225735143279426862043718389321356628971791/
         25928184937900555873271284952181181393231210976528639425084154\
         93787306279567360000000000000000000*ep+
         42079436505446743057645043350/10829*ep*z4+31013232409274914906\
         2945377751262571/7237064016*ep*z3+
         25830957420205567200364380929513103118310645050479031350097289\
         64755516181527286072605933270304420218940469265853408625769523\
         6472754263/583066833722050283863835482655847181714260182577191\
         102098947150954769146097526338328985600000000000000000000*ep^2
         +2721042242291596164222301812550/10829*ep^2*z5+310132324092749\
         149062945377751262571/4824709344*ep^2*z4-934112516180570773550\
         27962777363562519145151/861086603575021824*ep^2*z3+
         11461238313898836310384378675734660221430910965877502449508483\
         44425019146636460604052232913441128582891659325059038548510356\
         0942407464560473732715176585910407162385742852601/
         99169378200126920417146412832758765156735856785026289810735635\
         13471816311016083477156912345444451037587815021381045714944000\
         000000000000000000000*ep^3+20197419634659737516379038377375/
         32487*ep^3*z6+419842597524787133884876868203614073/804118224*
         ep^3*z5-93411251618057077355027962777363562519145151/
         574057735716681216*ep^3*z4-13742469504545438796520671518997779\
         582935412106108638359/207470464246912189351098470400*ep^3*z3+
         2945409308570082758420770158350/32487*ep^3*z3^2;
Fill mncnoptab(11,9,1,8)=
      +mncF321*(-33051314982141799200000-1877910190148557757109500/7*ep
         -348341883124960778928656155/441*ep^2-
         38534043102382280377374905953/30870*ep^3)
      +4465238853200521802057631543983702665583192727341533093/
      27459326150326613296468915200000-7870192786705407565/34398*ep^-3-
         127489752589041615827763467/1563831360*ep^-2-22934667982970082\
         326929887241919339447/24421573840888224000*ep^-1+
         7480496568335501077315836140/17199*z3-
         35471661110758673507309361706005708928711836044869771634473921\
         087349594051475317280994800498645449507449357673066398297/
         22130556660181231244677569368461341198614448298089839715271843\
         220583541112832000000000000000000*ep+
         3740248284167750538657918070/5733*ep*z4+2756223178495351846996\
         02290659329367/38313868320*ep*z3+
         52762391451297786252210774639908287200766329271153562966802932\
         25742292591014607220422437879710298139789263728864219698092437\
         335231/7109523936025121661852659292049144452549317703773968118\
         28476880134883637673954597928960000000000000000000*ep^2+
         241869385782517093970659165810/5733*ep^2*z5+275622317849535184\
         699602290659329367/25542578880*ep^2*z4-36671191421453797176899\
         83510355336682595007/201118843395550080*ep^2*z3+
         10616761278398216394763023861450672856162173753190492282876389\
         00823041858330967626199530653118315912260545114036496460595863\
         51664143805047763346995706212096137703820430353/
         15640797978010626062285618733602999204130299135783108423974357\
         28249804030074503066718618982371887666977639710598658785280000\
         000000000000000000000*ep^3+1795319151948039452086654153225/
         17199*ep^3*z6+1118157198300387833973721958368934143/
         12771289440*ep^3*z5-3667119142145379717689983510355336682595007
       /134079228930366720*ep^3*z4-178919215000373929640389320275376653\
         0918200924800471731/161525447943097725273346560000*ep^3*z3+
         261817374526839482502605184170/17199*ep^3*z3^2;
Fill mncnoptab(11,9,2,7)=
      +mncF321*(-315489824829535356000000-2551515532724853395497500*ep-
         156774183155591098418194225/21*ep^2-
         3439894711755168375514550719/294*ep^3)
      +16236628228270653319470378471659992309566105171973499/
      10460695676314900303416729600-5029597930163480937175/1638*ep^-3-
         3836222636089894805762255419/104255424*ep^-2-22902805730125659\
         17949682662425330111/15505761168817920*ep^-1+
         3400280977140589158018805700/819*z3-
         79298066138958197161663971781018411694531043271013491250167575\
         6294141149062597741294124231423820866928832265748548581/
         51682086729278794245260745570313341408599202014299611411302097\
         638790266880000000000000000000*ep+1700140488570294579009402850/
         273*ep*z4+25012345386806950454000166504270497/364893984*ep*z3+
         11835116933120807660387047758314752064865137980348124769229930\
         56657303958871207054312790370294737476746099733831839493790219\
         67159/16603063280674155703173173223774225793153303666195029143\
         47027497493143931150820966400000000000000000000*ep^2+
         109940825864698807072762338550/273*ep^2*z5+2501234538680695045\
         4000166504270497/243262656*ep^2*z4-150858462502376084854272869\
         1190912177104911/8568973277504640*ep^2*z3+
         49418345879661932256378444484228234229259844712361408144784583\
         33629168754977547539649232541678117052332478802898085390610273\
         9936665676844636283486427983398150224463060297/
         84010669368247326566761111041058184289865249584366372426604355\
         57889109182387019079900726010378731581778518107708456960000000\
         0000000000000000000*ep^3+816055491542389580150670524875/819*
         ep^3*z6+100212262885997372803697245961283833/121631328*ep^3*z5
         -1508584625023760848542728691190912177104911/5712648851669760*
         ep^3*z4-27649165540056205024066180458083850704788926668119147/
         275281465166181586932019200*ep^3*z3+
         119007289781063714727715896350/819*ep^3*z3^2;
Fill mncnoptab(11,9,3,6)=
      +mncF321*(-1104214386903373746000000-8912442942036306108975000*ep
         -77958080996792968973335400/3*ep^2-
         2554026134324066639429978881/63*ep^3)
      +106825283402990399359943907009676236087675678183121/
      19662961797584399066572800-5162253748055106857275/117*ep^-3-
         805507766874670146175442690/1628991*ep^-2-67676027215958114717\
         64067878096240787/3876440292204480*ep^-1+
         1700226404031278113717936000/117*z3-
         62861505594709561357722310190891094842012972513104669243966794\
         9590269218952447359810348200840095684385228526786413/
         11685905740803779280346571150525333832722652289218923576923551\
         222988800000000000000000000*ep+850113202015639056858968000/39*
         ep*z4+183740288923588680769291708058903/766584*ep*z3+
         34196989880557807336291515239497462207938058659854033361496766\
         6884404981935602908869006156861267938911148577271696156876373/
         13651421237753321331485940581043833362648301218283797801762250\
         07497148062760960000000000000000000*ep^2+
         54970717531205343916336062500/39*ep^2*z5+183740288923588680769\
         291708058903/511056*ep^2*z4-5633102234543540823722290873389930\
         80465944/908540693485425*ep^2*z3+
         23994514455822171639984367276675402885524448605590028702805329\
         79281696462084067938382709337263062688572023703112661655907183\
         795208827474259168673817161303165661/
         14001990046646149245744437483923844810587541629743951430161973\
         56261074375532387640060576261445661014894837760000000000000000\
         000000000*ep^3+408029815473961884088225628750/117*ep^3*z6+
         12427863908094220996836903646613749/4343976*ep^3*z5-2816551117\
         27177041186114543669496540232972/302846897828475*ep^3*z4-
         45533859963775131059383749767803917689909759533842139/
         133427240769322707951744000*ep^3*z3+
         59502699751123717864826528500/117*ep^3*z3^2;
Fill mncnoptab(11,9,4,5)=
      +mncF321*(-1840357311505622910000000-14847802941140192217425000*
         ep-389339482807055847643753000/9*ep^2-
         12742997633149755176927963585/189*ep^3)
      +3837307378923135222199165751856789791948811881551/
      423738685240949242644480-51304759398683879573375/351*ep^-3-
         31327091021869398029271456085/19547892*ep^-2-33448753547824201\
         364463191415898951/6191297716032*ep^-1+
         8501692843582804607047064000/351*z3-76083313083848223659353918\
         19531259566288877042706390563004021703509628532045936177825709\
         875421829212741612361/8467720951498504065211048850817524511326\
         5319355677283405111754752000000000000000000*ep+
         4250846421791402303523532000/117*ep*z4+15615368993088515500047\
         106731849575/39095784*ep*z3+4504201407096081892819448624991815\
         21967422124241601262545022935700733375704655217124614522867498\
         2483000754555093330753/107521223872634868955139291032738343119\
         33376537468544729666263168078315520000000000000000000*ep^2+
         274855576070439287534657348500/117*ep^2*z5+1561536899308851550\
         0047106731849575/26063856*ep^2*z4-1720880267163392026509890670\
         384352669823/1663232390820*ep^2*z3+
         14699396973094548575871222600270229115712997948190011531191751\
         60194985638396764782325865165458800444146078321908787014042819\
         394789405138031769634877219088403419/
         26532536315188750810109507541796776758080741919138044449803647\
         38247044619625505067323208503542798414040268800000000000000000\
         00000000*ep^3+2040162588419337644992312453750/351*ep^3*z6+
         62037415617795291310144864885369325/13031928*ep^3*z5-172088026\
         7163392026509890670384352669823/1108821593880*ep^3*z4-
         598711846713345001199425034539524981174860693703601/
         1059346713102373106611200*ep^3*z3+
         297507329964872682215476734500/351*ep^3*z3^2;
Fill mncnoptab(11,9,5,4)=
      +mncF321*(-1577449124147676780000000-12741447367706452786875000*
         ep-781159265759509303865882750/21*ep^2-
         51271178690649463684328330345/882*ep^3)
      +3069935574737436771121766269862095039298457571289/
      395489439558219293134848-123300700860305482108375/819*ep^-3-
         85975289472258337470324912925/52127712*ep^-2-26728203598624940\
         788040993242596557/4815453779136*ep^-1+
         17003840956548193144405525000/819*z3-
         12456756774650843647005504648337743649003595891021181730653956\
         5036182868132846159534431590141544580045534957/
         16188290054335375418785828685386443918712487523879480650977247\
         23200000000000000000*ep+8501920478274096572202762500/273*ep*z4
         +62498017898405746569750466509923795/182446992*ep*z3+
         37890098720020141540854161244071396601420140651955288092554021\
         416409199948272596972419103553769634517916604450535903/
         10589211442001918912248566541103018640540446589931142536792531\
         9079559168000000000000000000*ep^2+
         549712766200959607084081347500/273*ep^2*z5+6249801789840574656\
         9750466509923795/121631328*ep^2*z4-390940345641078452152881349\
         978014283081103/442419815958120*ep^2*z3+
         88367280299090392477909486694244358640574242348060156580482149\
         48243255850605324170180731587929286193365032076644606388146917\
         75988663705608939972378936021694644756623/
         18142893719522152373774130448344279082143450941446144568967574\
         90095909552399744969204346401118395763260666905886720000000000\
         00000000000000*ep^3+4080336144115826570269596293750/819*ep^3*
         z6+249299326981870534069032319142119955/60815664*ep^3*z5-
         390940345641078452152881349978014283081103/294946543972080*
         ep^3*z4-2436928390440089807586807822873029402819244869671123/
         4943617994477741164185600*ep^3*z3+
         595009651459519330902848117500/819*ep^3*z3^2;
Fill mncnoptab(11,9,6,3)=
      +mncF321*(-694077614624977783200000-5621885589829903178037000*ep-
         346344245227676495443517170/21*ep^2-
         38129983041004708327314890729/1470*ep^3)
      +4700345964407279667884068603330435568973422485252961/
      1376407325830907934660096000-39552728521018620108905/819*ep^-3-
         140726059271183084879136054967/260638560*ep^-2-122534467871036\
         83376423285013451506113/6460733820340800*ep^-1+
         7481366599265576564113354040/819*z3-
         59277502446982343311126408064874458318242388991040432465076238\
         200217165181312170344257519400794427652339587139526445339/
         17697071548333179504281938020593825531586730833957722721083689\
         70575610118144000000000000000000*ep+
         3740683299632788282056677020/273*ep*z4+13767976668835879548357\
         5074959932201/912234960*ep*z3+88256283572707750177134818916101\
         43880862321673598988411581386864436435691105048521597232309451\
         542090475606142196422713617396993381/5685250294530709533843026\
         17273400972465418158735777542153550857917108115091209007923200\
         00000000000000000*ep^2+241872470489189543740105495060/273*ep^2
         *z5+137679766688358795483575074959932201/608156640*ep^2*z4-
         206420613711627291525368833370620864577747/535560829844040*
         ep^2*z3+221796993786336568447093281746846915501556206961624206\
         36300939373057343191599679357834996416561622558806684709318714\
         1318326845239153354623859757603401832478717719574671477/
         28767081995374812449418280852807515404181341517541943690241883\
         28176232651732197227250904384070910427893901275303489044480000\
         000000000000000000000*ep^3+1795340112170757636640507827850/819
         *ep^3*z6+554519306975987387723543372995988489/304078320*ep^3*
         z5-206420613711627291525368833370620864577747/357040553229360*
         ep^3*z4-2953311911189488548918995973195903445599300003201787993
       /13075869595393625379270912000*ep^3*z3+
         261807804526830492828134017220/819*ep^3*z3^2;
Fill mncnoptab(11,9,7,2)=
      +mncF321*(-144599503046870371500000-1176525942059842878515000*ep-
         219150420209837054640514450/63*ep^2-
         2437582802027349555896486719/441*ep^3)
      +4058830894196354098290934482000872746734915987630317/
      5705834005262672892772761600-35371767094009602072575/9828*ep^-3-
         13425517910552468623497407923/312766272*ep^-2-1733269950108735\
         825553764022635201635/10149225492317184*ep^-1+
         4675504841347209542049494150/2457*z3-
         21349091817531053447629811362062962159203595563741747998211582\
         39609100325933720699760049667409950401065174952656226808367/
         30503746985765359850907394061389625168507307031210164029510770\
         5151447797596160000000000000000000*ep+
         2337752420673604771024747075/819*ep*z4+34494612149826138449309\
         828867394449/1094681952*ep*z3+26693755852607695187866074678014\
         07357617374552384708804427727972070802063867331782652486086921\
         204027600699657142306832784090255087/8234825700473840602553993\
         11709409196687042133432937083679044066033146170605926612992000\
         00000000000000000*ep^2+151169055661263440602270234975/819*ep^2
         *z5+34494612149826138449309828867394449/729787968*ep^2*z4-
         14058706646586285706135806651776652676565543/
         177611446115550720*ep^2*z3-
         44368284365067172077550793036426914030400776934771900064391044\
         38224467897767895047931426481598477110425428619542303795276364\
         123503924049652117309811002541044772609908503911/
         19833875640025384083429282566551753031347171357005257962147127\
         02694363262203216695431382469088890207517563004276209142988800\
         0000000000000000000000*ep^3+2244158310712215561323806053875/
         4914*ep^3*z6+141092395643859856970536970921780561/364893984*
         ep^3*z5-14058706646586285706135806651776652676565543/
         118407630743700480*ep^3*z4-14282021520149262094379253631636480\
         9220083966409760241/2852917002631336446386380800*ep^3*z3+
         163633719767565940015804481075/2457*ep^3*z3^2;
Fill mncnoptab(11,9,8,1)=
      +mncF321*(-10936096869091036500000-626869126971761859603000/7*ep-
         13117662163333713962864690/49*ep^2-740101990875928557694959843/
         1715*ep^3)
      +5581207326052820015334226757891826233935071997859739187/10373523\
      2123456094675549235200000-34536135587857560415/129948*ep^-3-
         20439224440737067736479687/196926912*ep^-2-6570417058575143732\
         45355359777937681463/553555673726799744000*ep^-1+
         4675310443027973009801697190/32487*z3-
         62475284812101276115274980838539223334329938729390014140766116\
         905358981612673305759708490407214083008846269011800927097737963
       /118647374275832943676089399941181086055426021428595054009185092\
         995707135353002393600000000000000000000*ep+
         2337655221513986504900848595/10829*ep*z4+128157478056351259533\
         1605551912643/536078816*ep*z3+
         64493867981990364369449322746793937187939533321458697736611380\
         17210807234116460533220285053451173797416906940616059793376899\
         8746896572307/266811383111210209896091116863315670352445459547\
         32264832047821627690236125422805241934381056000000000000000000\
         000*ep^2+151168366483639224244971171935/10829*ep^2*z5+38447243\
         41690537785994816655737929/1072157632*ep^2*z4-1135831096818755\
         3603016601390517690425836334639/1937444858043799104000*ep^2*z3
         +1557320944363591099702398677784616445750563771913860853131908\
         74511192369692081294877765536298419151854739210491035839008322\
         7536394481140128657813989912401034996758294673418637/
         77145842689442733930906537470859698590727957710207651369567465\
         28399995344665631658549905251768147351160313061432743082569236\
         480000000000000000000000000*ep^3+
         2244148945039448498625559093075/64974*ep^3*z6+1446101992819719\
         18817454707276864657/4824709344*ep^3*z5-1135831096818755360301\
         6601390517690425836334639/1291629905362532736000*ep^3*z4-
         212960940781210015485149971904573963529443496783567408047/
         51867616061728047337774617600000*ep^3*z3+
         163635858497457968624990667955/32487*ep^3*z3^2;
Fill mncnoptab(11,10,1,7)=
      +mncF321*(-9470844644005544800000-698612713779916355073500/9*ep-
         18823653058107902630961445/81*ep^2-709296418758761396790855389/
         1890*ep^3)
      +637869249650284491363910552030539064919030838470505079/
      13689634902932509835848934400000+270873226451293565/6318*ep^-3-
         15701932754351541965559549983/267415162560*ep^-2-4116914411606\
         57785146567034977583620509/596584160970269472000*ep^-1+
         393710328990405669859496660/3159*z3-
         21132622739373212734809822163572382092215984122515950998625941\
         15424367831369670636774359563385079073208506545236742402127/
         46365695418363346973379238973312230256131106687439449324856371\
         18302006523461632000000000000000000*ep+
         196855164495202834929748330/1053*ep*z4+27694226813210835986386\
         5612332920267/133707581280*ep*z3+
         31132939765991915694580453405786033532632204528702605594351828\
         15134190093364737533666374273006364544381223608254048526478788\
         84026441/14895152727017082881899662750199793549675218109534965\
         9695865490664075479339200005757992960000000000000000000*ep^2+
         12729967624637342354897737390/1053*ep^2*z5+2769422681321083598\
         63865612332920267/89138387520*ep^2*z4-301996361052226940931651\
         430503264033414019679/59658416097026947200*ep^2*z3+
         97807494451902202482984447937662625805429200275917103810713644\
         45208442019477240003842923447445880997499750780525290690367358\
         827915692583770086154060335182137081074386283739/
         39667751280050768166858565133103506062694342714010515924294254\
         05388726524406433390862764938177780415035126008552418285977600\
         00000000000000000000000*ep^3+94490481362304053487084288775/
         3159*ep^3*z6+1160832681336200983085258127081066643/44569193760
         *ep^3*z5-301996361052226940931651430503264033414019679/
         39772277398017964800*ep^3*z4-344663150383657480903016029101240\
         64508961720872621464999/9582744432052756885094254080000*ep^3*
         z3+13779862074433918205192816630/3159*ep^3*z3^2;
Fill mncnoptab(11,10,2,6)=
      +mncF321*(-77488728905499912000000-633017593263653522155000*ep-
         16960211010940067656255250/9*ep^2-190311818281620844451605513/
         63*ep^3)
      +16235563655829872018008453099381588403647534079114549/
      42589975253567808378196684800-563712926889809424475/351*ep^-3-
         57110999226359457119432590627/2971279584*ep^-2-102095702046902\
         401824603069519514794977/1325742579933932160*ep^-1+
         357930897103466083569759400/351*z3-
         42121093976232423339367832131676588448189166240960628613011044\
         651580046047626966385838639497459100498434118209138925283/
         11258181676953027140000786463993839902906737249281140570332257\
         960135019724800000000000000000000*ep+
         178965448551733041784879700/117*ep*z4+251364229393557492334376\
         65293725999/1485639792*ep*z3+124555876987277313788532798676476\
         93917822265782636358176966675047496488899550425121330171078774\
         58463096866451374180082095085955631/72334657765234473979699216\
         92987467730028757823200741049721517611891777357187257466880000\
         0000000000000000*ep^2+11572741847347326400609471100/117*ep^2*
         z5+25136422939355749233437665293725999/990426528*ep^2*z4-
         138769372573614049302602321098301502608379443/
         3314356449834830400*ep^2*z3+
         44868191913321161905245412687119679115255332846589116473027092\
         28220790043252502897870743811204824114135508746814046543914937\
         22577240108118524113758630730181584892362940741/
         96318354895228166683320136783953734612214313116769900748577734\
         20232921824996196073384724500237423307680473019989360640000000\
         00000000000000000000*ep^3+85900736612346282795646634750/351*
         ep^3*z6+104214516874201294510831372609268471/495213264*ep^3*z5
         -138769372573614049302602321098301502608379443/
         2209570966556553600*ep^3*z4-4300712505409464842233306550932656\
         37072759837102381709/15210705447702788706498816000*ep^3*z3+
         12527010667679416277884962700/351*ep^3*z3^2;
Fill mncnoptab(11,10,3,5)=
      +mncF321*(-226008792641041410000000-5529438934107470337725000/3*
         ep-147712427507959549846633000/27*ep^2-
         4953281755921360019521246325/567*ep^3)
      +14207305359185219953490554100742167006242659463580353/
      12776992576070342513459005440-16133668370796484701875/1053*ep^-3-
         192123816214127487216134645305/1114229844*ep^-2-34903339489174\
         813907623895088905631185/56817539140025664*ep^-1+
         3132141699897163964805608000/1053*z3-
         14096940206346865899557573660534519915625701124421728881439884\
         190307677485091738005772293206812227511878559240756707/
         12919555806437040289762423053534261319455463223130589860162533\
         78964750336000000000000000000*ep+1566070849948581982402804000/
         351*ep*z4+109885032603151090681264582132823945/2228459688*ep*
         z3+20878860391345517727950596001138366292401332990339794842507\
         80920638935790977098990716839116310246959010894200144074264357\
         149553/4150455528935813461270172031120655681565720823783821294\
         4430439946303904506005422080000000000000000000*ep^2+
         101262364679660553772253834500/351*ep^2*z5+1098850326031510906\
         81264582132823945/1485639792*ep^2*z4-5087353925793056643320262\
         683563091552559311/41429455622935380*ep^2*z3+
         76116397086269662739526693782487842291676202964111452249438153\
         46834141799032263155331743095163008658983494406745640911782154\
         355297194136760028806180391945861070499/
         38700357469334311931625727700464778579336570163254751634483600\
         07207139282185761691197631923267525766719136071680000000000000\
         000000000000*ep^3+751637380847711243379889738750/1053*ep^3*z6+
         452967204888311229870233142354288755/742819896*ep^3*z5-
         5087353925793056643320262683563091552559311/27619637081956920*
         ep^3*z4-2578131384692886602040387448460266575766827918475196479
       /31942481440175856283647513600*ep^3*z3+
         109608634095326254756608636500/1053*ep^3*z3^2;
Fill mncnoptab(11,10,4,4)=
      +mncF321*(-301345056854721880000000-22113825513350301153500000/9*
         ep-590563178826546627886954000/81*ep^2-
         2827925552156265537044559680/243*ep^3)
      +191853418535152243978185891959796843964007464313/
      129391634243218429450368-96389009721033479796500/3159*ep^-3-
         161611257216515236701505090675/477527076*ep^-2-216789594849929\
         9890909668680931727297/1852745841522576*ep^-1+
         12529267868916755341126280000/3159*z3-
         78836330659815256920910006051363428861851454440338013870876441\
         08801600364414908563364247438706144567546131327/
         54299260601484157318165850755867375928881386036828057983527912\
         7347200000000000000000*ep+6264633934458377670563140000/1053*ep
         *z4+7848529977856239691390989533983465/119381769*ep*z3+
         50760979814005391507314306074213964655377062393109477437845714\
         640474018886358847321346485894434497042239723963057155407/
         75842783289159820689231377412217808777800054751168747386883403\
         8218324180992000000000000000000*ep^2+
         405051943996040722695467230000/1053*ep^2*z5+784852997785623969\
         1390989533983465/79587846*ep^2*z4-9580395948499223073719764917\
         06461059603/5848313893695*ep^2*z3+
         88314119092435832335656310030802415373378277323292687807844259\
         87349682377536416142541572997556954328723195141647546285046531\
         032442295212127638480293128794198073/
         39579911048182819020980857875475341728866946757874177807994590\
         98280028811326347184179396285159969534144570982400000000000000\
         000000000*ep^3+3006566410298013531863188525000/3159*ep^3*z6+
         32333629089027698910534976078044160/39793923*ep^3*z5-958039594\
         849922307371976491706461059603/3898875929130*ep^3*z4-
         173669753789289298016088139753499245486878324412063/
         1617395428040230368129600*ep^3*z3+
         438426822427248869223125270000/3159*ep^3*z3^2;
Fill mncnoptab(11,10,5,3)=
      +mncF321*(-193721822263749780000000-1581701418114131262025000*ep-
         42339006571103244453745250/9*ep^2-2847078647266960684090640135/
         378*ep^3)
      +738040056631001414762686710032480119783616931850619/
      774363186428505606876303360-5545397561289497382625/351*ep^-3-
         527819893259248398678227637535/2971279584*ep^-2-83750099385451\
         927472796653237762368909/132574257993393216*ep^-1+
         894918214424194858363147000/351*z3-
         67240235294519378592849652808132385541084988817589896556994329\
         42213426516915692245131995416807492331655566879252377479/
         72052362732499373696005033369560575378603118395399299650126450\
         9448641262387200000000000000000*ep+447459107212097429181573500/
         117*ep*z4+62828819756451802568254704017499575/1485639792*ep*z3
         +9956934864794430769962243950565824783563547704725601517729881\
         75292858479943585093448384387031741810355654163012715637234097\
         151261/2314709048487503167350374941755989673609202503424237135\
         9108856358053687542999223894016000000000000000000*ep^2+
         28932177181994448117104640500/117*ep^2*z5+62828819756451802568\
         254704017499575/990426528*ep^2*z4-4136893819300714918505339126\
         24792423927287/3945662440279560*ep^2*z3+
         48340705658830792109802416477725281534265647697030368009998331\
         07384293156735763040484903336355340145325145835347326711813650\
         0552008137276489710954050368577423312083990543/
         61643747132946026677324887541730390151817160394732736479089749\
         88949069967997565486966223680151950916915502732793190809600000\
         0000000000000000000*ep^3+214754033328897873732376936250/351*
         ep^3*z6+260018701337668187661779100013522775/495213264*ep^3*z5
         -413689381930071491850533912624792423927287/2630441626853040*
         ep^3*z4-1495369752239261678683267157327558650935927213298460551
       /21294987626783904189098342400*ep^3*z3+
         31316526163836530952428318500/351*ep^3*z3^2;
Fill mncnoptab(11,10,6,2)=
      +mncF321*(-56825067864033268800000-1395988566776674036474000/3*ep
         -37556714017604033941581860/27*ep^2-
         2118514538960431650155200441/945*ep^3)
      +89291084155364617604199099008710573116195248477652329/
      319424814401758562836475136000-1803045565059205770490/1053*ep^-3-
         455778063983094154559985298219/22284596880*ep^-2-4058895471799\
         46364675927020006507130919/4971534674752245600*ep^-1+
         787460360210213996177774320/1053*z3-
         17675197117780041574067221622409246123253835934451685286350619\
         83994139349621215045179426935052527926983915671816091198089/
         64396799192171315240804498574044764244626537065888124062300515\
         5319723128258560000000000000000000*ep+
         393730180105106998088887160/351*ep*z4+138415611231605580398430\
         141936133451/11142298440*ep*z3+5225979389546527425953364401976\
         63180611162799895702986970219785291649754643300056678228158558\
         96315551146667038986162348631438414851/
         41375424241714119116387952083888315415764494748708238804407080\
         74002096648311111271055360000000000000000000*ep^2+
         25460075976246940280583833480/351*ep^2*z5+13841561123160558039\
         8430141936133451/7428198960*ep^2*z4-75718202620350112068246951\
         02312724271186577/248576733737612280*ep^2*z3+
         11001983892444090413531148932871152458754962613803733043650327\
         95747380519841615391736664585497110665336763043528475726186639\
         3867417778677851935002566613839626985302669350157/
         55094099000070511342859118240421536198186587102792383228186463\
         96373231283897824153976062414135806131993230567433914286080000\
         0000000000000000000000*ep^3+188981918921326517113934315300/
         1053*ep^3*z6+578479190729554942345469444907031739/3714099480*
         ep^3*z5-7571820262035011206824695102312724271186577/
         165717822491741520*ep^3*z4-34104851585826945637972802174368575\
         17295007758530518843/159712407200879281418237568000*ep^3*z3+
         27559287190199855372065158760/1053*ep^3*z3^2;
Fill mncnoptab(11,10,7,1)=
      +mncF321*(-5919277902503465500000-438263286913756416959000/9*ep-
         11884087507473973458073990/81*ep^2-225765009338001428996085811/
         945*ep^3)
      +5581118984352338485164349017437008641766150951644986099/19165488\
      8641055137701885081600000-1284499723525151045/12636*ep^-3-
         3547964335842607222523140357/53483032512*ep^-2-182273813495608\
         3031279081538332090973419/2386336643881077888000*ep^-1+
         246068962969160460608371970/3159*z3-
         15684865831432184817671212681670994612522537228318960381558075\
         56124050561433405739278831890329007110147861297644086570415629/
         55252453706882988476610259776530407721889568802532010445453842\
         32643224440458444800000000000000000000*ep+
         123034481484580230304185985/1053*ep*z4+34681547943518323327747\
         428513857873/26741516256*ep*z3+
         23029961348551178386635737104381105093467476720669508195690632\
         97572416739532641280201816563350126850008449889685176331660560\
         32909295811/17750056999695357100930431443988087313362968247195\
         8344470906376374689946212546673528274944000000000000000000000*
         ep^2+7956229793368456273044622405/1053*ep^2*z5+346815479435183\
         23327747428513857873/17827677504*ep^2*z4-372786171975222247995\
         8365339176063700277906341/1193168321940538944000*ep^2*z3+
         31031994653799195573818638261098891939987985232845636342548812\
         74778731319340401911629639587595034311952913629991146002482388\
         875260977957056999244477176966705845487372198931329/
         47270736942060498732173123450281678058044091734195864809783986\
         08088232441584333124111461551328521661250191826858298457456640\
         00000000000000000000000000*ep^3+118113102085681041792627476225/
         6318*ep^3*z6+147165302815725871289196536886071633/8913838752*
         ep^3*z5-3727861719752222479958365339176063700277906341/
         795445547960359296000*ep^3*z4-22493654612391733043860046265990\
         5415480099038703090612079/95827444320527568850942540800000*
         ep^3*z3+8612413728282689758170924065/3159*ep^3*z3^2;
Fill mncnoptab(11,11,4,3)=
      +mncF321*(-27121055116924969200000-224256525627882488972000*ep-
         6133080870371438675306230/9*ep^2-151413478437435185886479932/
         135*ep^3)
      +579829406497763217010214677993962531939355567317671/
      4345915842200796773285376000-965211467148488268170/351*ep^-3-
         66267356098978843289799359077/2122342560*ep^-2-107366328465300\
         419093585519600245680397/946958985667094400*ep^-1+
         125292706616430648289970360/351*z3-330961419397441946941782718\
         48538382232608726141937368838913224921479801028320157064227612\
         1415583885009202170715063/253776989055013291406047595694422990\
         203589456168636586538906913725218816000000000000000000*ep+
         62646353308215324144985180/117*ep*z4+6322386753715785844262119\
         960144103/1061171280*ep*z3+48528609141491898219179618904378463\
         75423391755705424300578332510967613992948482697864552481594631\
         5760091813061382823029646223/815268050326677644178069506112985\
         93745040944752896489712274078465954098136796364800000000000000\
         00000*ep^2+4050519540360552016041555040/117*ep^2*z5+6322386753\
         715785844262119960144103/707447520*ep^2*z4-2959760270131405471\
         0759431913974336423089/2104353301482432*ep^2*z3-
         21752095860147386782252403709620634288860307219506340440579238\
         80899490734980694621270432794188100504815368841304896730794356\
         73453416056829657138756855055060001208752804559/
         26226214907361116268899404818808774126253265587717458671660480\
         29876716116977977855982885186610073516129036949207220486144000\
         000000000000000000000*ep^3+30065664786163063499586736900/351*
         ep^3*z6+27274919751647534935649788328824667/353723760*ep^3*z5-
         29597602701314054710759431913974336423089/1402902200988288*
         ep^3*z4-15752815034756544849127876079456309255054151987691481/
         1382791404336617155136256000*ep^3*z3+
         4384267926215597595045812480/351*ep^3*z3^2;
Fill mncnoptab(11,11,5,2)=
      +mncF321*(-11623309335824986800000-96252961171187273838000*ep-
         879674744542186099839640/3*ep^2-50840596526739542435919994/105
         *ep^3)
      +4058352893652663066393867091172392531663796991423887/
      70983292089279680630327808000-56334648358665456560/117*ep^-3-
         28567329367097677271787079327/4952132640*ep^-2-731534772812758\
         8153781472607911424071/315652995222364800*ep^-1+
         17897163788389146900206480/117*z3-1278271744877455328557006782\
         88882142651231052859522858933478255527746282502769961246378956\
         0338208494642988062794895399/229988568543468983002873209193017\
         0151593804895210290145082161268999011172352000000000000000000*
         ep+8948581894194573450103240/39*ep*z4+632663221047942229594924\
         6132132553/2476066320*ep*z3+3730416916706948686449217120369852\
         15111110154329354451152718645573765158053386564635092925155322\
         950273526460641965494957349831939/1477693722918361397013855431\
         56743983627730338388243710015739574071503451725396831109120000\
         000000000000000*ep^2+578639287184926563552280720/39*ep^2*z5+
         6326632210479422295949246132132553/1650710880*ep^2*z4-
         1325100888014309288530847047623053752966679/220957096655655360
         *ep^2*z3+74364238719470146311764857007721653605329158634572342\
         60251602347879687093268467200052166677020760995948973607252683\
         744599693223147302254054471819081401898385987141397676142624579
       /271533255173433400840771794302879206696709925036006651198155035\
         93213378813110494300091327768773311115681987118157972847596582\
         9939200000000000000000000000*ep^3+4295051744415976359391589200/
         117*ep^3*z6+3917732638336422014507295601535531/117907920*ep^3*
         z5-1325100888014309288530847047623053752966679/
         147304731103770240*ep^3*z4-17598003875535609658856330248656647\
         4946262688791479021/35491646044639840315163904000*ep^3*z3+
         626343727877229515487754640/117*ep^3*z3^2;
Fill mncnoptab(11,11,6,1)=
      +mncF321*(-1704752035920998064000-14159792258834902723120*ep-
         1951079495194276722183832/45*ep^2-567564257172449608892083778/
         7875*ep^3)
      +1116178831917088127301644680976487669614759328981985357/13309367\
      2667399401181864640000000-333319426886566208/1755*ep^-3-
         10537168637072966210521846757/371409948000*ep^-2-3714195754025\
         4348657865142173774909913/118369873208386800000*ep^-1+
         39371041827490119584006576/1755*z3-
         32866422246584023945537321975593548390953446260984006010377124\
         1157523329071865709114345826790365860402189937514549154281/
         40477988063650541008505684817970994668050966155701106553446038\
         33438259663339520000000000000000000*ep+
         19685520913745059792003288/585*ep*z4+6969394221744917875782013\
         2868917043/185704974000*ep*z3+47798176463220058892814881644131\
         54079491263503362054925708708030704739647339748012492283505087\
         5432178811575431105646824102339425103/
         13003704761681580293721927797793470559240269778165446481385082\
         5182923037518349211376025600000000000000000000*ep^2+
         1272996792546282672259253104/585*ep^2*z5+696939422174491787578\
         20132868917043/123803316000*ep^2*z4-10301623038153814218985121\
         022026664144080879/11836987320838680000*ep^2*z3+
         39309076481489310239207306662216392124708227477942070177047773\
         44070274233874096411997681434222684287914112140760571602761412\
         8756171134601177315872747560679051132034590589579465967617/
         59737316138155348184969794746633425473276183507921463263594107\
         90506943338884308746020092109130128445450037165994754026471248\
         258662400000000000000000000000000*ep^3+
         1889809667905678948596876368/351*ep^3*z6+305026844981579864434\
         727030640818047/61901658000*ep^3*z5-10301623038153814218985121\
         022026664144080879/7891324880559120000*ep^3*z4-997974450065187\
         5991854032333756224168424733419777294651/
         13309367266739940118186464000000*ep^3*z3+
         1377986098850424677198177648/1755*ep^3*z3^2;
Fill mncnoptab(12,3,2,12)=
      +mncF321*(-131631867810169272000000-11608916667859787745070000/11
         *ep-300985336055199842291525300/99*ep^2-
         1173157883843553001447017984058/251559*ep^3)
      +6596901925078865648647647804155296100011771199918858573/
      10185991503417744670951055560800-49730420520281564450/42471*ep^-3
         -108109050182859194309880808987/7579981825416*ep^-2-2068647887\
         70321839833848991099278590689/3382079799959788767840*ep^-1+
         73568520038075591045871287600/42471*z3-
         29999201831703482197226120747619682340321452452073595326021642\
         69850661882993068393687411384414512208344081/
         46521681540615858672506555387748069483615001479337655078158860\
         2880000000000000000*ep+36784260019037795522935643800/14157*ep*
         z4+26983076226369826929361009004406638962/947497728177*ep*z3+
         10071842480064729126905057279313958031346968651793429504976662\
         82413559788032600254502184644777162750411682200139649/
         33359963953249329038883892077642898900904213534184695905038860\
         756503756800000000000000000*ep^2+
         792905149135516193795370443800/4719*ep^2*z5+134915381131849134\
         64680504502203319481/315832576059*ep^2*z4-11259010521274642397\
         639988037673590226585996381/149209402939402445640*ep^2*z3-
         59732883627063400475836937948528387353535537092032049151126730\
         94285216097203751812690810026697921644557875822607506246565353\
         21493074795736122883731/92108793401540314716278337962058157794\
         95114001594940419391576916538132757882770149982027076180377600\
         000000000000000000000*ep^3+17656444555453925382781156766500/
         42471*ep^3*z6+629124763081402937458700882381656865083/
         1894995456354*ep^3*z5-1125901052127464239763998803767359022658\
         5996381/99472935292934963760*ep^3*z4-2996511134820550968028692\
         53605541308393395254973353793391/
         8148793202734195736760844448640*ep^3*z3+
         2574898146813927560826826773800/42471*ep^3*z3^2;
Fill mncnoptab(12,3,3,11)=
      +mncF321*(-723975272955930996000000-5782593625716334761635000*ep-
         148946661303933261253340650/9*ep^2-
         575664404826835460188770880979/22869*ep^3)
      +13193797429391154362095573507604516172001866215245560127/
      3703996910333725334891292931200-215231737977181385725/3861*ep^-3-
         929492076556644699395260020847/1378178513712*ep^-2-17040965183\
         58028968382805518478706534337/614923599992688866880*ep^-1+
         36784264164303278903700815800/3861*z3-
         51565022055482747527796962739702659143897464939046926100146685\
         969680154101457688795763768250148179991461431/
         14500264376295852053768277003973424254633247214339009375010553\
         85600000000000000000*ep+18392132082151639451850407900/1287*ep*
         z4+13466755449496269650888491706822551901/86136157107*ep*z3+
         77858947668263992858458918183925251754561957088300150714070746\
         79609378428873825637332737677781987218124897837123454701/
         46582640574719063094296052937508629737989883625916084463763354\
         656354336768000000000000000000*ep^2+
         396452579483913839086213487900/429*ep^2*z5+1346675544949626965\
         0888491706822551901/57424104738*ep^2*z4-1138608229431573183149\
         4232556475541195959105509/27128982352618626480*ep^2*z3-
         51984937814496055074604385105597817999386663842297402336873641\
         66171405629364411008846199972312751795084296435244597549533557\
         964780984407940050941361/1913948953798240305792796632977831850\
         28469901331842917805539260603389771592369249869756406777774080\
         00000000000000000000000*ep^3+8828222377977303182180551438250/
         3861*ep^3*z6+619508701765129233477740663879956407343/
         344544628428*ep^3*z5-11386082294315731831494232556475541195959\
         105509/18085988235079084320*ep^3*z4-13998086117680844878550456\
         07760741019996983134905719922399/
         7407993820667450669782585862400*ep^3*z3+
         1287449028150961121578911280900/3861*ep^3*z3^2;
Fill mncnoptab(12,4,1,12)=
      +mncF321*(-32236375790245536000000-2849411820966939841740000/11*
         ep-57689251071538573961037600/77*ep^2-
         2034623929113698369524618176530/1760913*ep^3)
      +16389819649966808712725818355112832337606528443791014929/1033361\
      45686846685067619404240000-5089877419732457900/99099*ep^-3-
         87286957276352931442066031/164782213596*ep^-2-6560437072010475\
         5989168417241528627/30634780796737217100*ep^-1+
         42039153811219801937297146400/99099*z3-
         95651475265610821774327431975182767335537481526193211728741618\
         212182686912942638489113124434200939162389/6068045418341198957\
         2834637462280090630802175842614332710641991680000000000000000*
         ep+21019576905609900968648573200/33033*ep*z4+20133728937306850\
         79062681063976990264/288368873793*ep*z3+
         10255329201228199400468974211922940223884964653023598220361648\
         30610856475123982250146521351820955402471869296492781/
         13924158867443198207534146258494427367333932605572742638624915\
         7940189593600000000000000000*ep^2+
         453088656055804922852408893200/11011*ep^2*z5+10066864468653425\
         39531340531988495132/96122957931*ep^2*z4-136186764268819498016\
         15322150610052509956277/742018912031697300*ep^2*z3-
         15630909957245922800117671434792366982513063547963943242528467\
         39139967002316804817798075740177537635834361878285895006400647\
         89376699106357039188229/92290826590080908223622761554868549411\
         14669562862914609943734183171607328550522660159857169216307200\
         000000000000000000000*ep^3+10089396876727561259335957231000/
         99099*ep^3*z6+7886734138544666608445111178582779911/
         96122957931*ep^3*z5-136186764268819498016153221506100525099562\
         77/494679274687798200*ep^3*z4-48272714317831264127853613449456\
         4094535734213515858659491/51668072843423342533809702120000*
         ep^3*z3+1471370374932551488183468838000/99099*ep^3*z3^2;
Fill mncnoptab(12,4,2,11)=
      +mncF321*(-413700155974817712000000-3308223039970293450320000*ep-
         85390298119780025067764800/9*ep^2-
         110318518506616465603642309796/7623*ep^3)
      +327796220723461013216460528886319050464338665935304331/
      161043343927553275430056214400-73929947132402144200/3861*ep^-3-
         602166978548770555425567877/2496700206*ep^-2-70983214027659170\
         12479797776497622519/6683952173833574640*ep^-1+
         21019578442761567839887105600/3861*z3-
         80638753737683819171729332368246161772666717609367187281856957\
         372693635821221678479437223148754100527225119/
         39718115465506029538582671793492422958343242369711199592420212\
         73600000000000000000*ep+10509789221380783919943552800/1287*ep*
         z4+334769169379514707946595234866793074/3745050309*ep*z3+
         10859026179014781834656309958983322856808675206857476429503682\
         3500607053940806321075513091698067993736300597227799707/
         11392493618817162169800665120586349664182308495468607613420385\
         64965187584000000000000000000*ep^2+
         226544329857810759094567272800/429*ep^2*z5+1673845846897573539\
         73297617433396537/1248350103*ep^2*z4-2818969574053747997435726\
         1730688502421842259/117952097185298376*ep^2*z3-
         30443876247868640395251445106244778437873130954260176849798455\
         08670436713434717880750189958428758351050471524172574987158940\
         2347006094866801331578931/204459677368794627449256579444631863\
         31084806416188610828183041882718637774019619431738760497956126\
         7200000000000000000000000*ep^3+5044698475693838160028045874000/
         3861*ep^3*z6+3866446402523580608190186755394874208/3745050309*
         ep^3*z5-28189695740537479974357261730688502421842259/
         78634731456865584*ep^3*z4-554888720701634827963929705047107621\
         21144193745485563/503260449773603985718925670*ep^3*z3+
         735685170823142958172756880800/3861*ep^3*z3^2;
Fill mncnoptab(12,4,3,10)=
      +mncF321*(-2068500779874088560000000-16491798297694816623100000*
         ep-423467698397947483659914000/9*ep^2-
         1630222487907355435307188064240/22869*ep^3)
      +34504825091020704857313486760464429678088290863201437/
      3390386187948490009053815040-3324566009080378908500/3861*ep^-3-
         7934270044813443805739313665/788431644*ep^-2-54490965678456397\
         16274006266740680307/140714782607022624*ep^-1+
         105097957319861046105601268000/3861*z3-
         42577444203056527693916497970956703275249036055020538297617399\
         16806723987941969403664457223769440139756371/
         41808542595269504777455443993149918903519202494432841676231802\
         880000000000000000*ep+52548978659930523052800634000/1287*ep*z4
         +29323089439053246275465446530771385/65702637*ep*z3+
         19303716880080991079363107747716186081555707184889334767951976\
         53060253525161482500730955122629026217432358774222323753/
         40293451114974384095294984005442247233318480573446864822202627\
         13982137139200000000000000000*ep^2+
         1132721726193071700766413934000/429*ep^2*z5+293230894390532462\
         75465446530771385/43801758*ep^2*z4-149677890208582776730261490\
         90631711596841913/12416010230031408*ep^2*z3-
         65962471122750615396358306670084233151797041162380112840757739\
         80313698717146913604619271620282701611721520938191160806452639\
         7965255791660233525394861/943660049394436742073491905129070138\
         35776029613178203822383270227932174341629012761871202298259046\
         400000000000000000000000*ep^3+25223493946044460651980310345000/
         3861*ep^3*z6+1005078067747066448227914867137667760/197107911*
         ep^3*z5-14967789020858277673026149090631711596841913/
         8277340153354272*ep^3*z4-1767212033332289563994261334476202583\
         46783376549346693/339038618794849000905381504*ep^3*z3+
         3678425137166260076777186114000/3861*ep^3*z3^2;
Fill mncnoptab(12,4,4,9)=
      +mncF321*(-5319002005390513440000000-42359711098916446160400000*
         ep-844341357761064994473708000/7*ep^2-
         9727652363525003615247134168990/53361*ep^3)
      +1239303032229133472540460244176957800896556128382671/
      47355740705434695568594560-10570790086348816364000/1001*ep^-3-
         348188143793090618012589772105/2912816907*ep^-2-58486269234608\
         692410498026043375931213/135616420918362384*ep^-1+
         70065488591539996883178672000/1001*z3-
         25327068391600769714645534619610867697265235002864594231182282\
         716061685764912478317010343746839454070903/9672335422288224563\
         3654290855939832292797439022276283675443200000000000000000*ep+
         105098232887309995324768008000/1001*ep*z4+33410071088041771657\
         16551924254527290/2912816907*ep*z3+416784016298749029082648599\
         79397675009742230477797621814283816580195453262813308101557435\
         268659624995371136116173/3377471586199735280941080678500823714\
         8116478087159389656138947493888000000000000000000*ep^2+
         970904615927548146708454432000/143*ep^2*z5+1670503554402088582\
         858275962127263645/970938969*ep^2*z4-1240523758007664903061645\
         5956271542812985693/3988718262304776*ep^2*z3-
         11437391545337597826008738399551005100997740953478917310806664\
         85396568142525492241398964296560370428707365153235956327105805\
         351437435097764626721/6117980248271601980930120038155815253385\
         74872950086236896116306752641853743379276348107259904000000000\
         000000000000000*ep^3+16815667057253242575190005880000/1001*
         ep^3*z6+12671804974260929338494288324434452810/970938969*ep^3*
         z5-12405237580076649030616455956271542812985693/
         2659145508203184*ep^3*z4-6204999651998436540316478433156262869\
         667450357465525/4735574070543469556859456*ep^3*z3+
         2452281404633105341134258016000/1001*ep^3*z3^2;
Fill mncnoptab(12,5,1,11)=
      +mncF321*(-65010024510328497600000-521735017911270093337000*ep-
         94868601502241150543224400/63*ep^2-
         37459575157094280261452874133/16170*ep^3)
      +964106799405950308413244741046389628041715705502509171/
      3014180233938162909118699200000+35230070238889535/2457*ep^-3-
         884131442101393595942617/534053520*ep^-2-686221295992322013720\
         544423903681/31913446208143500*ep^-1+
         2101957680689219843007352600/2457*z3-
         33301312521370649219977690044910391665986667966226897275935042\
         8337166879001695460138122871702458856542215409/
         10466891605027471313697080566755650285492807400959186716120150\
         1798400000000000000000*ep+1050978840344609921503676300/819*ep*
         z4+9863413380828631616233892992358366/700945245*ep*z3+
         50055803087946905678401428046961369234991024347924245699208527\
         343830181327914774705652485582105356735169216977384721603/
         33625279989280584060701069005325922397059500651096050330057721\
         78570191306752000000000000000000*ep^2+
         22654432792513012750031885900/273*ep^2*z5+49317066904143158081\
         16946496179183/233648415*ep^2*z4-69716838580565019088746381841\
         5589223090643613/18765106370388378000*ep^2*z3-
         42410497608032888992174067210485939401283861308274187182622835\
         08025982948449120768661784896040662785811163969725964031188923\
         87423867022925209309350414417/89621348432846298509378555564227\
         18104468432366951154280661757440667541334006477731880976517386\
         2089097216000000000000000000000000*ep^3+
         504469843629819737268199051250/2457*ep^3*z6+461573640587915817\
         813254533810670153/2803780980*ep^3*z5-697168385805650190887463\
         818415589223090643613/12510070913592252000*ep^3*z4-
         27759957172716924224688634909692748313183975793322646677/
         1507090116969081454559349600000*ep^3*z3+
         73568518883070919501823743060/2457*ep^3*z3^2;
Fill mncnoptab(12,5,2,10)=
      +mncF321*(-758450285953832472000000-18186274767829610521310000/3*
         ep-469048563404779272338127400/27*ep^2-
         55044848311571561089464330908/2079*ep^3)
      +1017999315257911881887733416742028108634805515621999/
      272800695529452188757859200-161645791558276563350/1053*ep^-3-
         5146774895150209649755460909/2723672952*ep^-2-1266927552685849\
         529350620469729049959/158512699774709280*ep^-1+
         10509791977368920584769394800/1053*z3-
         18160901393915166984374668208551987212833439845239432613032765\
         492631390918978054971904063828304776754697467113/
         48739308299932268595519883856501310677229550984466473795498612\
         3591680000000000000000*ep+5254895988684460292384697400/351*ep*
         z4+23906358601087584830997892197408181/145911051*ep*z3+
         27388763818189372102822380162404810176676849945024835714639580\
         52886615067448091576330194068152841663163858263356418361003/
         15657684725443263273482976045523505603152489216227769523257313\
         057602934302310400000000000000000*ep^2+
         113272168180732038434116767400/117*ep^2*z5+2390635860108758483\
         0997892197408181/97274034*ep^2*z4-2822972089596445617282687599\
         3100947470934857/64337507555617296*ep^2*z3+
         75302516231493181309141749511984055047081861416058547684061661\
         08731603827078181959611803040461150009182680956859189421259365\
         1641198770586228871081449613/275988562063588935723504324698687\
         76874321362344328612487656608326418952860318378814153663214075\
         87359129600000000000000000000000*ep^3+
         2522349304123048563305703779500/1053*ep^3*z6+38586663193620635\
         96576546932124819153/2042754714*ep^3*z5-2822972089596445617282\
         6875993100947470934857/42891671703744864*ep^3*z4-3514570499904\
         28656144460042355175351321529092808791805/
         1756836479209672095600613248*ep^3*z3+
         367842554991655369436980693400/1053*ep^3*z3^2;
Fill mncnoptab(12,5,3,9)=
      +mncF321*(-3413026286792246124000000-27216443039070665749215000*
         ep-233039690465445457933333700/3*ep^2-
         9068197730529051698328693793/77*ep^3)
      +655590363033504409193198620132839664296079710984229321/
      39040810649103824346680294400-637546599142735872925/117*ep^-3-
         113553673589426312894314364327/1815781968*ep^-2-12526429907668\
         6383203474726102492228093/540117347380490880*ep^-1+
         5254908228204270930832167400/117*z3-85174662817240628616375529\
         34417818238167147761107367596292458377567277862458537375453290\
         89224636956184865002261/50745041151781333146775846155122763791\
         51883291798361263481954290892800000000000000000*ep+
         2627454114102135465416083700/39*ep*z4+334313402279753078492461\
         756788245059/453945492*ep*z3+128792704467427096733838076519005\
         81919270998412145115267726452995868058031405886377531705365360\
         9391433398546264058181622637/163020338910993646427621108622117\
         157102781060564017518081650214138828904464384000000000000000000
         *ep^2+56636098558646811830097918700/13*ep^2*z5+334313402279753\
         078492461756788245059/302630328*ep^2*z4-5684510793023338218992\
         0603835422353117901393/28594447802496576*ep^2*z3-
         74628205678669027933551101244405169719888253390221732034631257\
         04810033657456329828612254159812006313902136849678616456637681\
         121173375586522383890402722433/5746922321159506233584081822943\
         86876477638244700834482253261062270287660383584348969619489149\
         0696311603200000000000000000000000*ep^3+
         1261174946999042588850122752250/117*ep^3*z6+191109238837079373\
         5142095014974473539/226972746*ep^3*z5-568451079302333821899206\
         03835422353117901393/19062965201664384*ep^3*z4-673057446716398\
         307997694323824022858737478325452154577/
         780816212982076486933605888*ep^3*z3+
         183921142928318388557414211700/117*ep^3*z3^2;
Fill mncnoptab(12,5,4,8)=
      +mncF321*(-7801202941239419712000000-62175550460021762320920000*
         ep-3723215633538510918669864200/21*ep^2-
         1302459546018545173023112150592/4851*ep^3)
      +2478618137546440419253545845491196087341234377645623/
      64576010052865493957174400-42645972191915051261800/819*ep^-3-
         919500042193811336428841549129/1588809222*ep^-2-18579160226215\
         6270439547164845401941329/92465741535247080*ep^-1+
         84079245557529569964659118400/819*z3-
         18566147378389007799628605565679433732209447153739157607411551\
         8277328408596714687865484588947792277556902247/
         48386764731442682899288374509660675540399663846884544748799918\
         0800000000000000000*ep+42039622778764784982329559200/273*ep*z4
         +445637138058839183343073566936008162/264801537*ep*z3+
         61093473564694374276568838706022057224095506265092827366669629\
         7939178087131856341745637199033992157912612594213179089/
         33792236495850763936180688641027960171137063510167103589523069\
         5729004544000000000000000000*ep^2+
         129454060085827191128059645600/13*ep^2*z5+22281856902941959167\
         1536783468004081/88267179*ep^2*z4-4950746555410345204528197496\
         272101378291815/1087832253355848*ep^2*z3+
         40202603014739810025738866116735579724423799159183400283194330\
         02471254351950709728928988965908776921440130074855821430376367\
         101960399303371725038329/3218106672518864636203878815894713335\
         67804150695427795811784492255176762863294991072510794845388800\
         0000000000000000000000*ep^3+20178816349623958677757746386000/
         819*ep^3*z6+15254888355565976271083927395207871312/794404611*
         ep^3*z5-4950746555410345204528197496272101378291815/
         725221502237232*ep^3*z4-12585253940306750302417932697288217703\
         402786019648349/6457601005286549395717440*ep^3*z3+
         2942730432994022366587124567200/819*ep^3*z3^2;
Fill mncnoptab(12,5,5,7)=
      +mncF321*(-10011543774590588630400000-79894155515632859039254000*
         ep-2055094161201338004473751410/9*ep^2-
         327805056491972014754001288878/945*ep^3)
      +354098682479621226409108724998324016779686754898459/
      7188424124623246080576000-67534039200011101119490/351*ep^-3-
         372130605586514510852939206717/176861880*ep^-2-184808130982374\
         6013704336428154534275/262004462437536*ep^-1+
         46244554708887437417426911120/351*z3-
         16547539573334221555959431283305504262619335576398064036016241\
         359834252518086381183787405561228355239474534383/
         33518062099681578591460401701152701190667522244955591347856736\
         256000000000000000000*ep+23122277354443718708713455560/117*ep*
         z4+95554461396070113272690004860672639/44215470*ep*z3+
         21703462746200886634459525175328376471757761755558487558174844\
         831984480598017265792494676511622309400211521599186581967/
         93633065789086198381767132607676307133086487347121910354177041\
         75534866432000000000000000000*ep^2+
         498399277315554809371595373560/39*ep^2*z5+95554461396070113272\
         690004860672639/29476980*ep^2*z4-24659907008729232877957631515\
         971322746789881/4238307480607200*ep^2*z3-
         59873620535392697382329523563267500108941266585060790782832329\
         25599137768296412212039449703391333473855889792402267398912815\
         50517302584875983100829225581/46367756921638573006677741744772\
         43405827328096410669974126833537855580105572690698191353204051\
         0177280000000000000000000000000*ep^3+
         11098372352827764617317328627300/351*ep^3*z6+38339596759008313\
         16187412062195753908/154754145*ep^3*z5-24659907008729232877957\
         631515971322746789881/2825538320404800*ep^3*z4-644303622155952\
         16744389530433928167945338014975601803/
         25159484436181361282016000*ep^3*z3+
         1618491072614825023943253973960/351*ep^3*z3^2;
Fill mncnoptab(12,6,1,10)=
      +mncF321*(-81262530637910622000000-652847949845398971422000*ep-
         118936004764591184358602140/63*ep^2-
         211916790168043140747422845274/72765*ep^3)
      +163898034212066407756906930046660028398648607947628756391/
      409928511815590155640143091200000-467534735393767280/2457*ep^-3-
         15597858108487375027925873/1556384544*ep^-2-127170109409427449\
         17350598503293154803/121526403160610448000*ep^-1+
         2627447118220152589189091720/2457*z3-
         15164240742981831869009910879168155644291173750510150417169870\
         33962151002393474121560187874581529947034014571539/
         38149170468387610359749579092305885266642767609622867786120429\
         4925025280000000000000000*ep+1313723559110076294594545860/819*
         ep*z4+671052921264423302703991357366328135/38131421328*ep*z3+
         18213923508974722996262391396453389778473931651035177989955160\
         74320635807778982187070887994417864388170792855165687993539887/
         98044507329544353802732025253056811210540099349714235812256480\
         038445173867492147200000000000000000*ep^2+
         28318041008700917580521190760/273*ep^2*z5+67105292126442330270\
         3991357366328135/25420947552*ep^2*z4-3474699657686181826989997\
         982398399088485770401/75060425481553512000*ep^2*z3+
         17572816826490368698965031661794814512968841192220723232447096\
         46829129497821839540811030985148205434515048664146937668226278\
         109564196349504559632813990278925663/
         29536812387096628156525615022855841495309956362921372593531681\
         44335491772014266957743366842943437712234955931648000000000000\
         00000000000*ep^3+630587304900220264088754062800/2457*ep^3*z6+
         7879809957675172690325498765406452233/38131421328*ep^3*z5-
         3474699657686181826989997982398399088485770401/
         50040283654369008000*ep^3*z4-479397734905586948180717521437617\
         6997760407228946823223221/204964255907795077820071545600000*
         ep^3*z3+91960648364121860996029714040/2457*ep^3*z3^2;
Fill mncnoptab(12,6,2,9)=
      +mncF321*(-853256571698061531000000-6831385197755812492260000*ep-
         58908926776941636204546050/3*ep^2-2314137723204614249100951182/
         77*ep^3)
      +57007745420185309637619653859579864809742056500649131/
      13579412399688286729280102400-70230683667423163075/117*ep^-3-
         53179949390390170081076785067/7263127872*ep^-2-254898093212734\
         0376696850502805327/83869153319952*ep^-1+
         1313725095233391059052777100/117*z3-27910017772791334500288110\
         51563291889550964792356243972490699872786861113762815152601103\
         67651732252837695607041/66718697583907283232978329901344016393\
         71867423651410635117143380721664000000000000000*ep+
         656862547616695529526388550/39*ep*z4+6699295711840830984891231\
         95718450113/3631563936*ep*z3+420447660864605195512946421598722\
         42691699094841517271526701160384449963488963954573455601599473\
         772323369402050665835899983/2143363064638455594770114054231662\
         10034265185715473467251700107632964611782737920000000000000000
         *ep^2+14159022321305968298700029800/13*ep^2*z5+669929571184083\
         098489123195718450113/2421042624*ep^2*z4-140434449316784834843\
         31237059875708938752663/28594447802496576*ep^2*z3-
         39615605753906152311285533820565184747407210073835585032447628\
         94872476211010962355990721191292247107945981154333131472810997\
         742967753528669734464949900919799157/
         11491660811836971854799401694795018859422149868686826474032658\
         85336912611456222935886630522892262615860799078400000000000000\
         0000000000*ep^3+315293689491300809073118727750/117*ep^3*z6+
         7770795279018470912723631950723054071/3631563936*ep^3*z5-
         14043444931678483484331237059875708938752663/19062965201664384
         *ep^3*z4-36172760839098569480544484432117406567846882708713752\
         343/156163242596415297386721177600*ep^3*z3+
         45980307315165065673120605800/117*ep^3*z3^2;
Fill mncnoptab(12,6,3,8)=
      +mncF321*(-3413026286792246124000000-27278106351069254925090000*
         ep-234513338908226190276222200/3*ep^2-
         27527801017484995519827587134/231*ep^3)
      +327794366003491072808665499460997620699227850639843971/
      19520405324551912173340147200-1950827484314176898050/117*ep^-3-
         24529521943687402630180799713/129698712*ep^-2-3962502150160882\
         4836111873591747627247/57869715790766880*ep^-1+
         5254937128992075014856996400/117*z3-
         69055638535412073964350024595636245387729103693986622146555198\
         136749133449933205959724300779958077686793080588413/
         41210523654122418598494915686132900751002989701753097917105402\
         2295552000000000000000000*ep+2627468564496037507428498200/39*
         ep*z4+83670755959408016025273602857705696/113486373*ep*z3+
         10423216708810011555856721713981445386069968725527700074629903\
         547546112598786220513904799843782567197293903087038045376126379
       /132390345545295230829306361259914675631516337856481414098340154\
         37290050483650560000000000000000000*ep^2+
         56636132710645319654360198200/13*ep^2*z5+418353779797040080126\
         36801428852848/37828791*ep^2*z4-352903405622322270132447014181\
         53314895627447/17871529876560360*ep^2*z3+
         38801743702422582785961526918839373018957539152301559714226835\
         12275573398114511867289745312202294355917351494158391195255383\
         279486558756902919725652548074391/
         41286145527476578962032758492744437008009657372085039720408930\
         61084486937584412982974803953221313484554240000000000000000000\
         000000*ep^3+1261175643167039504685961968500/117*ep^3*z6+
         275566347372456817724780365895514877/32424678*ep^3*z5-
         35290340562232227013244701418153314895627447/11914353251040240
         *ep^3*z4-87648615230983192344555904731560280117966744868167074\
         77/9760202662275956086670073600*ep^3*z3+
         183920824950786578003505704200/117*ep^3*z3^2;
Fill mncnoptab(12,6,4,7)=
      +mncF321*(-6826052573584492248000000-54554204874353238742380000*
         ep-468988554794506811226756400/3*ep^2-
         55051042335377417560683151468/231*ep^3)
      +1239330947063205435488195918335103735616151756385197/
      36900577173065996546956800-13962496767948929059100/117*ep^-3-
         298179719881559087444584823053/226972746*ep^-2-737701271301943\
         6301652741510502320037/1651173955986555*ep^-1+
         10510095573370617106293384800/117*z3-
         39420779873425828441693261005553008623718844572732053034077060\
         3165815158731501495373863746793708508581360011681/
         11731321734888552507011140595403445416733632785734456971749857\
         68960000000000000000000*ep+5255047786685308553146692400/39*ep*
         z4+37186855292770324862332320986567671/25219194*ep*z3+
         52709004432744541667436101860280328515282389258224087410793350\
         114720520173646381613886295662026233857641222955544290417/
         33440380638959356564916833074170109690388031195400682269348943\
         484053094400000000000000000000*ep^2+
         113272526985184908590617832400/13*ep^2*z5+37186855292770324862\
         332320986567671/16812796*ep^2*z4-30689751704134022982773432990\
         72539860058129/777023038111320*ep^2*z3-
         29425557524407344642887133510372042156950438797578695805426800\
         96636557136915210166706268317146467568721793600360463508325117\
         2352819112949478469906385087556825129/
         55255941540486889408466286607383376947008421767369914715790560\
         52328300934040295329111740692581261026289883545600000000000000\
         000000000000*ep^3+2522356618233233900523167767000/117*ep^3*z6+
         3857396830183923850040308127207078363/226972746*ep^3*z5-
         3068975170413402298277343299072539860058129/518015358740880*
         ep^3*z4-33103197344023969850047341225508523781255411596384831/
         18450288586532998273478400*ep^3*z3+
         367839215617386486986249332400/117*ep^3*z3^2;
Fill mncnoptab(12,6,5,6)=
      +mncF321*(-7508657830942941472800000-60112412699453214957318000*
         ep-518339718894488841761664440/3*ep^2-
         83307931749447956910850822382/315*ep^3)
      +309854661424448810862168228899426978443430249235517/
      8386494812060453760672000-36883191667388294973910/117*ep^-3-
         1413019582038267683900915515541/412677720*ep^-2-27158056473729\
         7950706115669831030780071/24017075723440800*ep^-1+
         11561578697200619032978904080/117*z3-
         31419202045513003234965991396964415781609805804351408641799603\
         3630733412734811477352618594688162421426908193/
         85727930407481716077488936642643162457529470027555688436203520\
         0000000000000000000*ep+5780789348600309516489452040/39*ep*z4+
         18609432267039185835815285832554783/11463270*ep*z3+
         23985476972192020241210128319105469824675254360234071774778915\
         88495707483882213489387493576155604302055472188771512649/
         13933491932899731902048680447570879037661679664750284278895393\
         11835545600000000000000000000*ep^2+
         124600339341599906031152616040/13*ep^2*z5+18609432267039185835\
         815285832554783/7642180*ep^2*z4-381653659587953557881524800789\
         769132496947/88298072512650*ep^2*z3+
         14179725361949046729093358655451844662757992538084460840958225\
         64999758834207176267252163671249033414712017463469631268222330\
         936299190343524658580260632161317083403/
         25842489666044038413823518396310252823855979568072664195310211\
         12908644144321566693036953555203821058213806080000000000000000\
         00000000000*ep^3+2774603688442996338118486600700/117*ep^3*z6+
         971141259426775692869818614511918112/51584715*ep^3*z5-
         381653659587953557881524800789769132496947/58865381675100*ep^3
         *z4-8529095810476154141016585723089303746082713637361893/
         4193247406030226880336000*ep^3*z3+
         404617927718118556704870212440/117*ep^3*z3^2;
Fill mncnoptab(12,6,6,5)=
      +mncF321*(-4692911144339338420500000-37704221000955440878485000*
         ep-327158868271462498903742000/3*ep^2-
         10604208102699001686808559656/63*ep^3)
      +12395187081626385906530227648789140604904753461139707/
      536735667971869040683008000-161424933111986905788625/468*ep^-3-
         2468019818594738551964223176801/660284352*ep^-2-94385168770445\
         51763560101387764161670689/768546423150105600*ep^-1+
         7226367353559602423958727450/117*z3-53261913924856604745154993\
         38988251558734177886527519804479671800473378115295593031697341\
         31244557226846117068621/23175345794636977197524049176225581966\
         11868680936929458908951478272000000000000000000*ep+
         3613183676779801211979363725/39*ep*z4+111854462466220924370749\
         572554379659/110047392*ep*z3+348509994982221239258426848472012\
         99334626516050567575426674649791564305143065358716981725663437\
         99180075262376026988062013/32370288458512657154839494415796666\
         18029561419714786043672977729256339537920000000000000000000*
         ep^2+77875661978915869012622196475/13*ep^2*z5+1118544624662209\
         24370749572554379659/73364928*ep^2*z4-862991417451704719602135\
         6766182873468663473/3229186651891200*ep^2*z3+
         93414404931905672086738077706283991446152410790530197260152311\
         50022631748579045756584803259806631823308787892692636249234033\
         773377219303162464070397690674063443983119/
         24124067473210774035457909717029206252080852350714104316978863\
         32984670943300759794216768291596987773126820830904320000000000\
         000000000000000*ep^3+3468272952283416093448205204125/234*ep^3*
         z6+3941142674216212532849874161076508619/330142176*ep^3*z5-
         8629914174517047196021356766182873468663473/2152791101260800*
         ep^3*z4-362273790266749531119496761446849232247725710804328047/
         268367833985934520341504000*ep^3*z3+
         252882017681422500013302620125/117*ep^3*z3^2;
Fill mncnoptab(12,7,1,9)=
      +mncF321*(-64532009624223141000000-520240481803720773315000*ep-
         10595485510587689283341850/7*ep^2-
         11420955432194607488045746160/4851*ep^3)
      +642735743210165755377386131981584717056422784991542573/
      2024338329953531632790830080000+32445413452717450/273*ep^-3-
         166909128430810814678850307/7263127872*ep^-2-46043686848232090\
         29257454870876328843/16203520421414726400*ep^-1+
         231833566722349034505410300/273*z3-358551838983099266463981593\
         96315142931324201510686454653936036734850096975560787575794381\
         56848586266728423067163593/11393885579891766294111874288902024\
         39963730659274069651212130160842742169600000000000000000*ep+
         115916783361174517252705150/91*ep*z4+3558662705256779644842009\
         44914117931/25420947552*ep*z3+53666786739549425010959412575669\
         24021627809025317012486003252629917678304446607628914737117620\
         48846903271099676808120677730721/36603282736363225419686622761\
         14120951860163709055998136990908588101953157719706828800000000\
         0000000000*ep^2+7495952023839243559439666700/91*ep^2*z5+
         355866270525677964484200944914117931/16947298368*ep^2*z4-
         7137395375185019849921055754223605642070059/196236406487721600
         *ep^2*z3+39492003672291292435094164210598754466117589317375656\
         95853094423318027934507616018128976693083718344950981925902283\
         272523191952328286137878943017358349501180610526557/
         97479357360722098684042936406097038492254938652670641924679490\
         54478945645452951431741842146204796033765283896020172800000000\
         0000000000000000*ep^3+55640056261988454109533974500/273*ep^3*
         z6+1410050157541552551432649610763424519/8473649184*ep^3*z5-
         7137395375185019849921055754223605642070059/130824270991814400
         *ep^3*z4-389144564092238588932419734817338355415662236279868157
       /19846454215230702282263040000*ep^3*z3+
         8114174890799127884518047500/273*ep^3*z3^2;
Fill mncnoptab(12,7,2,8)=
      +mncF321*(-602298756492749316000000-4841555870923947300510000*ep-
         14015626755495206100580600*ep^2-2143928573679484845583863274/
         99*ep^3)
      +1377275057500647177222229117612303287350998398394999/
      464771555346474099365241600-16571712894427783550/13*ep^-3-
         13991851934542670997937108439/907890984*ep^-2-1092527197728567\
         3970158946573616166919/173609147372300640*ep^-1+
         103037506081043838641520400/13*z3-1834809642303674758493003379\
         81709833311321133257251910936953884961869135305274169095610383\
         82972336982781419126976977/62310311765033096920924312517432945\
         9355165204290506840506633681710874624000000000000000000*ep+
         154556259121565757962280600/13*ep*z4+1741983359371905740404012\
         915432429/13351338*ep*z3+2503813435674982008765928120190465304\
         29895834815244375110325296640716208002902331134939770942957020\
         151191079540111328546371601/1819765476949876263762829256590827\
         17777138820762727180106082103101659603011633152000000000000000\
         0000*ep^2+9994606582552694294793801800/13*ep^2*z5+174198335937\
         1905740404012915432429/8900892*ep^2*z4-10405368923816812238919\
         8665787359253955635789/303816007901526120*ep^2*z3+
         11283140220347180995043286898230187440795995102253585361651672\
         26368986415572126943730347895510713207140825193086577782962661\
         25686329871986727200443423700930100597/
         10979394681897548017522038659686968845927688224724224374776607\
         42470331488610977703910066570355245394473621913600000000000000\
         00000000000*ep^3+24728922691179126140380703500/13*ep^3*z6+
         58075142309731933914043379796577576/37828791*ep^3*z5-
         104053689238168122389198665787359253955635789/
         202544005267684080*ep^3*z4-40623312791230388436723790787892337\
         015904767345394999/232385777673237049682620800*ep^3*z3+
         3606295929630650007149302200/13*ep^3*z3^2;
Fill mncnoptab(12,7,3,7)=
      +mncF321*(-2108045647724622606000000-16924178972399876616285000*
         ep-48885920936805612566377100*ep^2-828496931119414157800511251/
         11*ep^3)
      +19281963070150225532224994628471396641893749466122701/
      1859086221385896397460966400-1031068385528159949775/39*ep^-3-
         77319799711643215448287968289/259397424*ep^-2-3700155992528762\
         22200310223654901622433/347218294744601280*ep^-1+
         1081912664909537602441724200/39*z3-573126435997687021138623886\
         23306488200782919527999879057538389635721388784137576357027985\
         5774906108468378324728913/555080522688179515816462129649953357\
         0543259837378988699038686830919680000000000000000000*ep+
         540956332454768801220862100/13*ep*z4+1479795840993983613077000\
         9842653359/32424678*ep*z3+215183104823802203730917078456060705\
         24696231257588215835436951678208424688607818299635475960743007\
         677423565213039061683322173/4458042247953818997313377470997126\
         83248983586659580271963798479010787414245376000000000000000000\
         00*ep^2+34981189879814971943044096300/13*ep^2*z5+1479795840993\
         9836130770009842653359/21616452*ep^2*z4-1044494823921400124451\
         11539861078092432246059/86804573686150320*ep^2*z3+
         47502739933355478795405565452480127148858893937261719901688693\
         67171758181119353017833514148667528244169177675629594291631175\
         108212504567329659233277176933264377/
         16627363180392302229321519512159565712572705685320942323317343\
         60560025820944710322571934310466722455187619840000000000000000\
         000000000*ep^3+259654142436338445566726411750/39*ep^3*z6+
         12840524062766502452883163381509553/2401828*ep^3*z5-1044494823\
         92140012445111539861078092432246059/57869715790766880*ep^3*z4-
         557050313546750533914069836128879874372058677342318851/
         929543110692948198730483200*ep^3*z3+
         37865899934519024725304943100/39*ep^3*z3^2;
Fill mncnoptab(12,7,4,6)=
      +mncF321*(-3613792538956495896000000-29023982152597910029860000*
         ep-83893587417587990097807600*ep^2-
         89656135594409020656949108268/693*ep^3)
      +428848236480816654908428183541305799836097352121/
      24118024296121566370560-5274144322227878189900/39*ep^-3-
         673547285139940628365916681947/453945492*ep^-2-980367035828507\
         016022946493836381963/195694691079888*ep^-1+
         1854784577859031900865367200/39*z3-270587756767738934179499762\
         41203179316225987547799139461464271450033647888660584593390192\
         2887519013066793692171/153624451290207235210860174463616547123\
         8928102893797936776767078400000000000000000000*ep+
         927392288929515950432683600/13*ep*z4+8880676216029386579919143\
         0803892434/113486373*ep*z3+32159667857011146945629294215704005\
         60465507277887049106426278606444502035579337512559457688918091\
         2649496025839795218919/390137774121192493257363052531984613054\
         52703061300795980907100731395276800000000000000000000*ep^2+
         59968027611009585195404050800/13*ep^2*z5+444033810801469328995\
         95715401946217/37828791*ep^2*z4-151194506434972599308032759781\
         5078533109843/733855091549580*ep^2*z3-
         39291143950676215091476968997339099008720988443102923948836043\
         85375861147815151205753782203770861711346776414057131677756964\
         24665515393138839506553566277021255657997/
         12301025081036962284979994756643680344155446274402588156967660\
         49744514612697065745885589892277018823709771694080000000000000\
         00000000000000*ep^3+445123245637924309213366963000/39*ep^3*z6+
         347238938744397408065619954791993051/37828791*ep^3*z5-
         1511945064349725993080327597815078533109843/489236727699720*
         ep^3*z4-1059545928362491267799125601832387557873859021841859/
         1025016032585166570748800*ep^3*z3+
         64912122583960958420059079600/39*ep^3*z3^2;
Fill mncnoptab(12,7,5,5)=
      +mncF321*(-3312643160710121238000000-26660434444476521178105000*
         ep-77342112294961797174713800*ep^2-
         7550441952818433147908676899/63*ep^3)
      +36455627277244082660871742043590205547833532369461/
      2236398616549454336179200-3100608191529980640025/13*ep^-3-
         428132353397647501054384934369/165071088*ep^-2-825033204525014\
         07340756921680544342781/9606830289376320*ep^-1+
         566772488881358075832166200/13*z3-7512881762551483516853065887\
         96551377532863992158903601970904134840666340772101240661351911\
         304758506064558092333/4635069158927395439504809835245116393223\
         737361873858917817902956544000000000000000000*ep+
         850158733322037113748249300/13*ep*z4+1481665304671202527509450\
         2110049539/20633886*ep*z3+701034965291184147985904716095803127\
         97960658642669906243513525970605286351143905894743213057837080\
         4382515761889188170907/924865384528933061566842697594190462294\
         160405632796012477993636930382725120000000000000000000*ep^2+
         54971040399190582744845227900/13*ep^2*z5+148166530467120252750\
         94502110049539/13755924*ep^2*z4-450705581064865644402487439740\
         9338279696763/2401707572344080*ep^2*z3+
         43921823057478802711413168344614409127437702488652955543794882\
         49516669836820130923857790598832190255390280257929141898282467\
         087257719321241807214606545651928713184951/
         48248134946421548070915819434058412504161704701428208633957726\
         65969341886601519588433536583193975546253641661808640000000000\
         000000000000000*ep^3+136010669775773061672532654250/13*ep^3*z6
         +6865770084094857607338839338416001/809172*ep^3*z5-45070558106\
         48656444024874397409338279696763/1601138381562720*ep^3*z4-
         1095451504725421561318200507194971363433104356472147/
         1118199308274727168089600*ep^3*z3+
         19833899375315358125122804100/13*ep^3*z3^2;
Fill mncnoptab(12,7,6,4)=
      +mncF321*(-1656321580355060619000000-13381728307234324870140000*
         ep-39082718213252669253844400*ep^2-
         4704978019495534799527215358/77*ep^3)
      +64162728462960266925158713352040495660245854571113/
      7872123130254079263350784-12261280937890683194825/78*ep^-3-
         567158764558802400049680000559/330142176*ep^-2-972307038164014\
         075548893013359974300109/169080213093023232*ep^-1+
         850191292890306426166219300/39*z3-9432666312754382503710918555\
         06043308046636692937557454440556403225143551544322566874713194\
         399591079906994545128307/1163240131470213796475324600302290635\
         6253952470226730033101700154890649600000000000000000*ep+
         425095646445153213083109650/13*ep*z4+9331148596914407019362772\
         9654299023/259397424*ep*z3+61076248546703355420341770144449591\
         07392862172917172496411791661487689546044561863009242602365455\
         590127212069137001266916099/1624761888598125800572858743212082\
         06558757776339744255890077771164563450426818560000000000000000\
         00*ep^2+27485635631339430913299616450/13*ep^2*z5+9331148596914\
         4070193627729654299023/172931616*ep^2*z4-391904044332101330856\
         047056384096227755201047/422700532732558080*ep^2*z3-
         44295370461731861723726257129191974535475545597918561612536365\
         69089705251072135809401018328158367604891609598402442105552693\
         471965555490153285142921359632351108576692519/
         71227018746051081244808168378049820553570248355258413998948240\
         41852916979829119785360132403536918076267912821504737280000000\
         00000000000000000*ep^3+204016789002819965784331575125/39*ep^3*
         z6+79019846523345447703985724815031913/18341232*ep^3*z5-
         391904044332101330856047056384096227755201047/
         281800355155038720*ep^3*z4-10226705283766945171445047187293086\
         289923387355076521/19680307825635198158376960*ep^3*z3+
         29750490863335891560607490650/39*ep^3*z3^2;
Fill mncnoptab(12,7,7,3)=
      +mncF321*(-438438065388104281500000-3562859236729726277190000*ep-
         10511028474382529360861400*ep^2-11540110562456229342036878867/
         693*ep^3)
      +305428279517140104184707145166824544493673531300792129/
      141588006620749869630627201024-31884955203341155612475/884*ep^-3-
         4526355941566605951474619851431/11224833984*ep^-2-936455991185\
         001631650765138494647010480143/661103633193720837120*ep^-1+
         1275259981015185297134852950/221*z3-
         16017169346176172642032882976624734354545181715496039601512818\
         004699233780169023382521917720498760448571462323295936328389/
         76458421898006577460510737989500767706318491627435423489842516\
         8538337936408576000000000000000000*ep+
         1912889971522777945702279425/221*ep*z4+58953196002801212310591\
         29932633970129/61736586912*ep*z3+
         34074473854155764405235504569626505715384171259958464993646135\
         18939658578609467357368027513010576451325899589386544291135962\
         41862317/35089362055331248411630598819442698334457870829970252\
         41008673060491574028272915227607040000000000000000000*ep^2+
         123685073655033318393407842025/221*ep^2*z5+5895319600280121231\
         059129932633970129/41157724608*ep^2*z4-11378347362603368660920\
         615681871737403687223967/47221688085265774080*ep^2*z3+
         49482554601697644023582574987326694505013621501094659890175128\
         81855017179976201883674344563199904291023914439172389283161932\
         58926575475571619410201705226127868119446019841/
         15391367339702238089433658429070143445842602111256284838350504\
         21843950326930185795396487277599844252747315206140268118016000\
         00000000000000000000*ep^3+612049068370090665481364945375/442*
         ep^3*z6+727598356540334298932356212065248657/623601888*ep^3*z5
         -11378347362603368660920615681871737403687223967/
         31481125390177182720*ep^3*z4-264312343175984861187957870914883\
         213319314073938799657733/1769850082759373370382840012800*ep^3*
         z3+44626032952034199059495715975/221*ep^3*z3^2;
Fill mncnoptab(12,8,1,8)=
      +mncF321*(-32778163618653024000000-1861109940870608257500000/7*ep
         -114932077410626933358238600/147*ep^2-
         4653485407945977487439994836/3773*ep^3)
      +81187089621687823153679265125120846865198101306742097/
      503420979422654577101930112000-1366163113459549100/5733*ep^-3-
         39759199841375915833665709/1003458456*ep^-2-200870336381872211\
         858644315353590219/447728853749617440*ep^-1+
         2472891434728923378363504800/5733*z3-
         67135649250034501126916583044560479677643572836842219329511843\
         97824366354436051666793364812596508595472006205201789/
         42207037495577681966962942215755895483689348311678015985896713\
         07167871795200000000000000000*ep+1236445717364461689181752400/
         1911*ep*z4+25048117818241988528121685595152007/3512104596*ep*
         z3+99927368750392671472368115321073743846956264817026733748383\
         74708625404015757012945537192457185492314368543292173329808731\
         36571/13559168345883893824258091466082284397741864660725940467\
         1673912295273421043983712256000000000000000000*ep^2+
         79956821764790365054900073200/1911*ep^2*z5+2504811781824198852\
         8121685595152007/2341403064*ep^2*z4-14199897860368520482834210\
         5157651029850576319/7835254940618305200*ep^2*z3+
         22885657241879179188743052680101566534484484743866941894426998\
         49402709653459811100557871414129003731200028432150331163351833\
         297834219968565599229187428439191076819868391/
         34304356658700991681427453675098758585028310246949602074196778\
         52804719582808032790959463120904648729226228227314286592000000\
         0000000000000000000*ep^3+593493934649105429465841787000/5733*
         ep^3*z6+101377317495518612624042135959285583/1170701532*ep^3*
         z5-141998978603685204828342105157651029850576319/
         5223503293745536800*ep^3*z4-1370603306051973031231958257946463\
         1036272055009298654527/1258552448556636442754825280000*ep^3*z3
         +86551198065780513243609105200/5733*ep^3*z3^2;
Fill mncnoptab(12,8,2,7)=
      +mncF321*(-267688336218999696000000-2166003736047419713060000*ep-
         57083809979077252031902400/9*ep^2-
         20685790130043251035261766524/2079*ep^3)
      +20763407731837030475965332710187214048993765626007/
      15765571671464729174860800-529532010467616480100/351*ep^-3-
         7812844558597966598112041699/430053624*ep^-2-19190615157205073\
         391600433880991791/260711677261035*ep^-1+
         1236457340349574208823584800/351*z3-
         62493856901005510471651152275417953248978431032092832661428371\
         338902684536287574784572002768151935424318828831649/
         48013830108954658347510911901071480312708288753529925131272851\
         76401920000000000000000000*ep+618228670174787104411792400/117*
         ep*z4+12509171094222821484940635109828651/215026812*ep*z3+
         93212705215842014522009981088849612527549910988543941031798186\
         05339754359122983178502801172516281486333338024650193214434911/
         15424622148526714700086560036951157370079249039571747624925933\
         6444922327308697600000000000000000000*ep^2+
         39978452105329111885168317200/117*ep^2*z5+12509171094222821484\
         940635109828651/143351208*ep^2*z4-1192469910078079433850465368\
         581566535455233/7995158102671740*ep^2*z3+
         45147064928028234222954020201429194428570061211325251159026754\
         65664598289536539244263592684936995874201000256910612283651171\
         3459865615713835876101967267692895169/
         25140573128753160970734137502385263357409930996205264792855823\
         53166759041268402007728764677425684352243681198080000000000000\
         00000000000*ep^3+296747247439094403616703417000/351*ep^3*z6+
         50204857611913215757515272290783339/71675604*ep^3*z5-119246991\
         0078079433850465368581566535455233/5330105401781160*ep^3*z4-
         264801897476694332510901766803713971410512334539656307/
         3082169261771354553685286400*ep^3*z3+
         43275471273579619603505256400/351*ep^3*z3^2;
Fill mncnoptab(12,8,3,6)=
      +mncF321*(-803065008656999088000000-6492435536728457750280000*ep-
         56949844446572747817916400/3*ep^2-
         20596803213362555231660799344/693*ep^3)
      +405933175862620550944507226429724752950013101466333/
      102738975392378485122842880-2616113715227760142600/117*ep^-3-
         4508730181821259814287728493/17918901*ep^-2-279323700442952467\
         1600584363088461/3117020702796*ep^-1+
         1236503254250636541327356800/117*z3-
         33189295308820196459241588155632597193255817632192445507352594\
         02692352064682770621430805010647899639936784331913/
         85016510019075113812045160486626105925892311627915449303015253\
         606400000000000000000000*ep+618251627125318270663678400/39*ep*
         z4+3126055728881154018840958957437169/17918901*ep*z3+
         81119745012843671675003469583607172350439229286954484260237001\
         828995565608202466938252543025532965092283270346733193356803/
         44692152861692421025698019759369692556289081369381480898626413\
         9359185377689600000000000000000000*ep^2+
         39978614879943845475382815200/39*ep^2*z5+312605572888115401884\
         0958957437169/11945934*ep^2*z4-3898837342792292400425088761899\
         9574611544/86903892420345*ep^2*z3-
         56031320514776533273431301641777513716176346578842412209061023\
         23776296696105641123157163165678933855802289903762026502815153\
         39310847978854301717779205782994453/
         16128835536535742903221932507385822119779520506043242112565324\
         48515016228429613187680006826731388624961536000000000000000000\
         000000000*ep^3+296748353463952249712052722000/117*ep^3*z6+
         1786997043748036973309007891654313/853281*ep^3*z5-194941867139\
         61462002125443809499787305772/28967964140115*ep^3*z4-
         2842495067493571099329633698980372996746172390857421/
         11167279933954183165526400*ep^3*z3+
         43274966147839703250192642400/117*ep^3*z3^2;
Fill mncnoptab(12,8,4,5)=
      +mncF321*(-1147235726652855840000000-9281636959808675510400000*ep
         -570632200915522222525889000/21*ep^2-
         206723663989676613118350912440/4851*ep^3)
      +7674329420783500376911850001478116685407153032369/
      1359494948481378820151040-62478414144719675626000/819*ep^-3-
         30077709413286377166379726355/35837802*ep^-2-39639471690529583\
         9373636352801991225/139046227872552*ep^-1+
         12365831429991403713559768000/819*z3-4571772618497475278731682\
         59029299606004114829922815930647544707886184160516622951041576\
         58201105594185244957/81706079356564512909931173121923482126834\
         9572730219401277394124800000000000000000*ep+
         6182915714995701856779884000/273*ep*z4+31272988371999575257236\
         737479952815/125432307*ep*z3+564244817852473480441313418070969\
         63702718284084250848511898576430734575108439592230944048251687\
         53009011391079135758647/21683446814314698572619757024935565862\
         398976017228231871493630722291269632000000000000000000*ep^2+
         399788981330956544303761952000/273*ep^2*z5+3127298837199957525\
         7236737479952815/83621538*ep^2*z4-2074542913514104568203307671\
         71890091447403/324441198369288*ep^2*z3+
         29200556031084669011335106145538350914177664694461038964760167\
         29161773671389307757904296891776454949651420032607033266425188\
         39785390814892579229268473898772178619537/
         80798312111232257535026491875217437207926299739233842209977054\
         21479759140241779215080085187166944694683131969536000000000000\
         0000000000000*ep^3+2967502781407195572994315220000/819*ep^3*z6
         +125453617598430487235777168987402035/41810769*ep^3*z5-
         207454291351410456820330767171890091447403/216294132246192*
         ep^3*z4-249797612158855359909917571846789295386950126391943/
         679747474240689410075520*ep^3*z3+
         432740874456931737710665024000/819*ep^3*z3^2;
Fill mncnoptab(12,8,5,4)=
      +mncF321*(-841306199545427616000000-6822597250221358174360000*ep-
         1263515509742570640020010800/63*ep^2-
         460212701091250916387776917508/14553*ep^3)
      +168843292765831988527737998648133803044708649620037/
      40784848454441364604531200-199079543070040404596200/2457*ep^-3-
         17396477332207259430069305147/19547892*ep^-2-62824837875837714\
         32526319977202691213/2085693418088280*ep^-1+
         27206185177140258485973457600/2457*z3-
         17519501938767890314010261611851250276541644623498905169963710\
         6676821363394145790482918362009289932426133684621219/
         42856215369955245133301432642715970786198772258730058016690474\
         25486028800000000000000000*ep+13603092588570129242986728800/
         819*ep*z4+137764782361852573576842911737559231/752593842*ep*z3
         +1132154273102802507595612153065279687378077081698229050115203\
         064566591486684470570587721194827514588129363277470753396587859
       /598596485272993716000526905393924971532265491778005153279233893\
         7641811331514368000000000000000000*ep^2+
         879540566388327884007885466400/819*ep^2*z5+1377647823618525735\
         76842911737559231/501729228*ep^2*z4-16987308181344032971907411\
         61268130812148213/3649963481654490*ep^2*z3+
         21215428157643267256442501583829350500209112987828947337303554\
         68446763666393435337612496792424795119474628863677001261397674\
         75822198153372924217543955369552709264820634139/
         84760152307800786681321720369879286458748595542757512658748406\
         09804971205996652544578557560208932510758816257590637363200000\
         0000000000000000000*ep^3+6528538784969608483844207354000/2457*
         ep^3*z6+50650535662477181298969351992012269/22805874*ep^3*z5-
         1698730818134403297190741161268130812148213/2433308987769660*
         ep^3*z4-5682630266418036873414740609878909264542161293534639/
         20392424227220682302265600*ep^3*z3+
         952015005570849159511397936800/2457*ep^3*z3^2;
Fill mncnoptab(12,8,6,3)=
      +mncF321*(-315489824829535356000000-2568957593994055427460000*ep-
         159711867001613326119541600/21*ep^2-
         6523878308415221185489965564/539*ep^3)
      +8930547585950991225993119839289684240054114031130277/
      5753382621973195166879201280-22020280803165787290650/819*ep^-3-
         560462229145652523814071539/1861704*ep^-2-90485343177220068600\
         518907608742838693/85281686428498560*ep^-1+
         3400710084218652612766353200/819*z3-
         25009892769744248568661385712537497792860499765897510668267392\
         7202800644173586809453047404460141098396683175731111144017/
         16569936634242911523949695539520290214991623572509224904919430\
         897115682832384000000000000000000*ep+
         1700355042109326306383176600/273*ep*z4+34510052730082692554262\
         174101678999/501729228*ep*z3+371262306394880923519429349919103\
         67902564206980514472070211430283500632743208442071641595459717\
         346483220999597804189703500812456207/5323153996010003629008976\
         29149440315290537359340105996314009225895006586332423672299520\
         000000000000000000*ep^2+109942347260729789652899609800/273*
         ep^2*z5+34510052730082692554262174101678999/334486152*ep^2*z4-
         154249478144567680551796556181562679811312647/
         895457707499234880*ep^2*z3+
         17743354751441377316288588988147830814675383690877639169770857\
         83246165543342227092730490914770689205948360502261465051931416\
         860776535731540697476964951368142869242800909363/
         53869785688957833313017804501745502060449107389396996934226764\
         76453826144255650283887705471599454884615603221490938413056000\
         000000000000000000000*ep^3+816065829244926790864831190500/819*
         ep^3*z6+12865976729697124571490912991150801/15203916*ep^3*z5-
         154249478144567680551796556181562679811312647/
         596971804999489920*ep^3*z4-15883352857380681677204529799444387\
         06525314645203792093/14383456554932987917198003200*ep^3*z3+
         119002569711383685979813106600/819*ep^3*z3^2;
Fill mncnoptab(12,8,7,2)=
      +mncF321*(-55674674969918004000000-456067143337482959040000*ep-
         9548896426559651170106800/7*ep^2-1185980816612443602554672056/
         539*ep^3)
      +2976265300078882600233586006666682743710783927013517/
      10867500508171590870771824640-9691047527684542076650/4641*ep^-3-
         204278608199567057531923097/8205288*ep^-2-61522074425598924080\
         995505017939741997/621338001121918080*ep^-1+
         3400438909709069464641581200/4641*z3-
         42877750075869631421703154220928003296994395039396307295428954\
         768049732120378065983766243977714391137464062739567457181469/
         15900598404412309703179622311805457439201830357146023319944395\
         991140088802181120000000000000000000*ep+
         1700219454854534732320790600/1547*ep*z4+1153670558773464334871\
         0167232983783/947710764*ep*z3+12049053333570329281092526445030\
         36642386578050444351233983630386547762583058483734192698171742\
         91729907762394841387869787969815733689849/
         97054405232252391165906160234671705485347224041684825777951732\
         11130707585305914605200998400000000000000000000*ep^2+
         109941385740653277303004341800/1547*ep^2*z5+115367055877346433\
         48710167232983783/631807176*ep^2*z4-45377618647556748573970655\
         4562482582649095539/15222781027486992960*ep^2*z3-
         27357974699210131712781764354296415953078852004161424543817755\
         62278181427793489588502538659495729773861082142173147114670385\
         834092071768488184196857007742801848452406661114191/
         19643617351478473917591942411561497326342767009543614932065789\
         77138887703502822876019651800218741223675079714716670692320870\
         4000000000000000000000000*ep^3+816059295780626906110928610500/
         4641*ep^3*z6+13164724606953384048944761012135751/86155524*ep^3
         *z5-453776186475567485739706554562482582649095539/
         10148520684991328640*ep^3*z4-570680497895889351195453878193904\
         645902960792821670421/27168751270428977176929561600*ep^3*z3+
         119005552082009031187108942600/4641*ep^3*z3^2;
Fill mncnoptab(12,8,8,1)=
      +mncF321*(-3534899998090032000000-204351944302030714860000/7*ep-
         39044481924920469050851600/441*ep^2-
         448843943600401247891000560/3087*ep^3)
      +67646086304796691983104609083979451159001113324662209/
      3890071204629603550333096320000-81816091800232565600/292383*ep^-3
         -50050806421588598013309647/775399716*ep^-2-150684705070552981\
         28586872939717294791/20758337764754990400*ep^-1+
         13600904173451923854290177600/292383*z3-
         10949936940040925085268248382471291446650362813629977847730591\
         988599870822089463709349469584219536518581491128372662991234121
       /648028887971823681953085507317631417934670596205486180404333858\
         61891431913289154560000000000000000000*ep+
         6800452086725961927145088800/97461*ep*z4+105296909486959512330\
         0718959763723/1356949503*ep*z3+
         16016023128753368525936263890452007035343866132162745580164590\
         91349231768594580948319844451065278946111054424181191815058640\
         092660949479/2081816992231813790508687137033708082660697955694\
         139512937064653787536777048118682815614156800000000000000000000
         *ep^2+439762524680099482797578526400/97461*ep^2*z5+10529690948\
         69595123300718959763723/904633002*ep^2*z4-30611424013170476030\
         7734377553445029450831/166256709786367200*ep^2*z3-
         66199806707449872793891866573590427322340719694788148841341166\
         91554914791966016528096484502189592377763548113482526245991708\
         5279422550886094079407144849223002342054619069056241/
         71630450672166255140499018003759000000508899900300791849777902\
         40136954010823043617405660289497639872131178179714339679548053\
         9136000000000000000000000000*ep^3+
         3264216674667116311346113504000/292383*ep^3*z6+135738698108673\
         88621847239452899756/1356949503*ep^3*z5-3061142401317047603077\
         34377553445029450831/110837806524244800*ep^3*z4-65115824342506\
         95594214996916415253679866425494152253/
         4450882385159729462623680000*ep^3*z3+
         476031578072554186045877624000/292383*ep^3*z3^2;
Fill mncnoptab(12,9,1,7)=
      +mncF321*(-10566644850749988000000-86496252788735385172500*ep-
         775166208203254504371125/3*ep^2-576641290319586063637707347/
         1386*ep^3)
      +405927012004219210836661750350947819363305479164654687/
      7808162129820764869336058880000+24642363795881725/234*ep^-3-
         45037699013689878110586449/1281728448*ep^-2-205120898539637914\
         49755897699136497171/48610561264244179200*ep^-1+
         16269021791834283559628500/117*z3-3276529942197885390060484549\
         67144055629506184939438162940648966028390515609014973966089588\
         578156639470175895792195387/6433246672544586937143306550853622\
         80166099271387493746876129026293429698560000000000000000000*ep
         +8134510895917141779814250/39*ep*z4+25160988624180556895509003\
         510425557/10894691808*ep*z3+4834188836939591002989126478103206\
         81786851999273312846247800347074709011152344633280836480459559\
         54297105164966334545126395034783/20667045075781278279914061979\
         96419351436787949485926014206147889111936387767787847680000000\
         0000000000000*ep^2+526031719689974645892056750/39*ep^2*z5+
         25160988624180556895509003510425557/7263127872*ep^2*z4-
         137848646324219271672060582768262860829434293/
         24305280632122089600*ep^2*z3+
         21959671886996404457283239736290530710335398588935777712949306\
         85467694344958414284775201002806412989786920960986248040161833\
         797984214055672854809896248095867444079265769/
         55039059940130380961897221019402134064122464638154228999187276\
         68704526757140683470505556857278527604388841725708206080000000\
         0000000000000000000*ep^3+3904565343195224135291354375/117*ep^3
         *z6+105026659451626282581945230678536013/3631563936*ep^3*z5-
         137848646324219271672060582768262860829434293/
         16203520421414726400*ep^3*z4-154398171141448253587789930201872\
         67908968787693915259549/3904081064910382434668029440000*ep^3*
         z3+569415788294287701085890550/117*ep^3*z3^2;
Fill mncnoptab(12,9,2,6)=
      +mncF321*(-73966513955249916000000-604220969492794675560000*ep-
         5395681222463869034021300/3*ep^2-1997546126461255283664773678/
         693*ep^3)
      +1136531835108531686343154884022817221815473583094883/
      3123264851928305947734423552-118693382269022958700/117*ep^-3-
         66353585946770502310647357919/5447345904*ep^-2-162402365218626\
         065059755777582736721/3306840902329536*ep^-1+
         113885768849221153055443600/117*z3-785329977794892309044504606\
         16338148053487056299488817600408687690744801451228197686547485\
         82079438299158778582123/21989984692328840362476891090574382692\
         42828026812804646677991181516800000000000000000000*ep+
         56942884424610576527721800/39*ep*z4+43987542803487645298971093\
         516075461/2723672952*ep*z3+19741861124718707186787266870031988\
         58725299108919615427699535234948226693427552443330804781647095\
         312191541237956489502704663/1200941993326334913561971073819634\
         16711971088651152236529023263733518242204876800000000000000000\
         000*ep^2+3682231310001803455206790400/39*ep^2*z5+4398754280348\
         7645298971093516075461/1815781968*ep^2*z4-48577039587904441600\
         115472423259826325173843/1215264031606104480*ep^2*z3+
         71032312342495937899550987952235516744212918950600113501341739\
         79301148191090945953944370006250984745686451312088318767151054\
         894026755031819652777555641899072271/
         13997525126350662591010462854624124196808655296316099404833478\
         03532674798244271445022291638913312270948761600000000000000000\
         0000000000*ep^3+27332020402890473031412319000/117*ep^3*z6+
         182347327721418368273484439660481729/907890984*ep^3*z5-
         48577039587904441600115472423259826325173843/
         810176021070736320*ep^3*z4-10537147825065130445387815364287460\
         21395775878862585857/39040810649103824346680294400*ep^3*z3+
         3985881713454245903424644800/117*ep^3*z3^2;
Fill mncnoptab(12,9,3,5)=
      +mncF321*(-184916284888124790000000-1509738426280305900525000*ep-
         13469395425897140642687000/3*ep^2-4980414794391938039743177145/
         693*ep^3)
      +14207253992193149167992518179011548491076029801985101/
      15616324259641529738672117760-1168243203628724448625/117*ep^-3-
         76709466923692133753405459345/680918238*ep^-2-3113492835980025\
         823442019689893139425/7715962105435584*ep^-1+
         284733588306014441778544000/117*z3-587294327543260422205153630\
         69382487564574942951100916308005973859132972442319898617150798\
         1656203414784399396449879/657940341994478903645308581429985530\
         15745414562239115028605496150982656000000000000000000*ep+
         142366794153007220889272000/39*ep*z4+1099446061267501644033975\
         80866895165/2723672952*ep*z3+173774901735976917069690418987875\
         83582182828936568352257893328391874140507807679935374037854623\
         3769797908384923066744654303477/422731581650869889573813817984\
         51122682613823205205587258216188834198421256116633600000000000\
         00000000*ep^2+9205646236358000673233403500/39*ep^2*z5+10994460\
         6126750164403397580866895165/1815781968*ep^2*z4-44724386305357\
         889098079832345179748874399/446788246914009*ep^2*z3+
         63956240845511476698943860394869081158106601369705509850798934\
         71424493078642232818585602495077754222841378360309507936898946\
         07551503497283363633375613243939486657/
         39417030755803465856285463398621533738213173314426135924011074\
         14748012231855868389182773255179887354991712665600000000000000\
         00000000000*ep^3+68330512801919968944804166250/117*ep^3*z6+
         454942443141850974418391877281724935/907890984*ep^3*z5-
         44724386305357889098079832345179748874399/297858831276006*ep^3
         *z4-30785245141485934379389696764084105542931663791403751/
         459303654695339109960944640*ep^3*z3+
         9964493511874930639287329500/117*ep^3*z3^2;
Fill mncnoptab(12,9,4,4)=
      +mncF321*(-211332897014999760000000-1727132929463186807100000*ep-
         15435277083714131525413000/3*ep^2-5720082171650355516518180930/
         693*ep^3)
      +2192575241080346290578835702082206967522511334093/
      2108604409889485516968960-2398789098231745884500/117*ep^-3-
         620419964101928494510237594645/2723672952*ep^-2-20645096244427\
         01923475580840182645/2611842144912*ep^-1+
         325433223817239373986476000/117*z3-413220950714817299402162049\
         96602686142041329267644694898216906188783937137484146331034386\
         2879317278474585795686953/407134046014574828766363610105801722\
         46888833645793555115855950542117273600000000000000000*ep+
         162716611908619686993238000/39*ep*z4+6285923808747754139305819\
         6276562405/1361836476*ep*z3+2652854853220047086332609280708122\
         83179717012768746393517161998932639149220617096145367909156115\
         3898234594791075353755768233/568666661009344030200500560124228\
         72295565221718910489561527219907597207649386496000000000000000\
         000*ep^2+10520821540035461610893914000/39*ep^2*z5+628592380874\
         77541393058196276562405/907890984*ep^2*z4-50205284272744507146\
         434459572487192974711/440313054929748*ep^2*z3+
         22411903833186035705889581133977951064508118762598059484574420\
         84150909549213103148359143908386729622647276589623813658371292\
         2436297182195180480812613659939034025756242203/
         42380076153900393340660860184939643229374297771378756329374203\
         04902485602998326272289278780104466255379408128795318681600000\
         0000000000000000000*ep^3+78092578490722863646738165000/117*
         ep^3*z6+260972882238163799442901099517609045/453945492*ep^3*z5
         -50205284272744507146434459572487192974711/293542036619832*
         ep^3*z4-81772529446185876161062600075018741633879623940007/
         1054302204944742758484480*ep^3*z3+
         11387735024508451086596018000/117*ep^3*z3^2;
Fill mncnoptab(12,9,5,3)=
      +mncF321*(-116233093358249868000000-952373793715880845155000*ep-
         8549008064780509405451650/3*ep^2-2124330524339642372423930111/
         462*ep^3)
      +89301645748478607663787077576953558384082976258338863/
      156163242596415297386721177600-1282370792657185901225/117*ep^-3-
         122145704894025564373411420079/990426528*ep^-2-355889267181206\
         442384821234039185957321/810176021070736320*ep^-1+
         178987454368086807698583800/117*z3-
         70193416367789225747157095503371665183793438864543444337910342\
         4534272309651695649230175565228280822975283200177867160989/
         12593151842024612758201768610035420563393633915107010927738767\
         4818079189526118400000000000000000*ep+
         89493727184043403849291900/39*ep*z4+13846576253711837707341049\
         2968345981/5447345904*ep*z3+2073513822734951513547341885066341\
         84426428498372291739404366063586797278640111575890305813213318\
         95471809502516473117396641219373391/80911940739352055160936439\
         63071492792416167861969611143972940233604100112252839818952704\
         00000000000000000*ep^2+5786448950960612969217615700/39*ep^2*z5
         +138465762537118377073410492968345981/3631563936*ep^2*z4-
         158747156341338856364679312943930304347433/2553075696651480*
         ep^2*z3-831763076525337583666831871191407619018934039465621555\
         49293184884456506503898647535657413691580308760029250102223121\
         9886877573356987019644139660233899676807298417262230307/
         21547914275583133325207121800698200824179642955758798773690705\
         90581530457702260113555082188639781953846241288596375365222400\
         000000000000000000000*ep^3+42950898496284380249885658250/117*
         ep^3*z6+52710879098467779912043826395138519/165071088*ep^3*z5-
         158747156341338856364679312943930304347433/1702050464434320*
         ep^3*z4-202159825425536450072613360865820299170388652756149373/
         4593036546953391099609446400*ep^3*z3+
         6263263313850949525779920900/117*ep^3*z3^2;
Fill mncnoptab(12,9,6,2)=
      +mncF321*(-29058273339562467000000-239109211233881897370000*ep-
         2162038487870329556067100/3*ep^2-271180122810093894390842812/
         231*ep^3)
      +8928491761677722326107016064533424083197483015310547/
      62465297038566118954688471040-288446770069406547175/234*ep^-3-
         14571589339912052761120947911/990426528*ep^-2-1267216036364670\
         76242161151956517270251/2160469389521963520*ep^-1+
         44742985464820497818272700/117*z3-
         11595378469891837173434372786554653303395100151229676916143666\
         30489925086981384045905101604584996915579088787805423831229/
         82758304844187482740020813935434978886272502291374198651959731\
         1534252026757120000000000000000000*ep+
         22371492732410248909136350/39*ep*z4+34687323733721987674855675\
         162547009/5447345904*ep*z3+29019275092938279232438996383034534\
         78449026818599102264962632340172420888005492059722234822833393\
         819431502608059739394476482175373683/
         45196904397372437062554339324969666770137187666470874749536345\
         8361479029707873474261811200000000000000000000*ep^2+
         1446598485594997928616711550/39*ep^2*z5+3468732373372198767485\
         5675162547009/3631563936*ep^2*z4-29797317592223038157421507700\
         848895959644329/1944422450569767168*ep^2*z3+
         39021472044373735738124263273511930934740094987116631321055831\
         39633831183517488040595847234296315901336577171888578289672979\
         3364560050505035756122575531994278397307742657553/
         12036530239876515880877415693358760616631597432318391502491292\
         75207651779107121860306159191310503200781298844801881551667200\
         000000000000000000000000*ep^3+10737631178300433220079654875/
         117*ep^3*z6+13391126745058540578181972323468691/165071088*ep^3
         *z5-29797317592223038157421507700848895959644329/
         1296281633713178112*ep^3*z4-1805198709463177315062485838060089\
         888797485009418811339/156163242596415297386721177600*ep^3*z3+
         1565858471880445164145173350/117*ep^3*z3^2;
Fill mncnoptab(12,9,7,1)=
      +mncF321*(-2563965294667276500000-21226976524528696845000*ep-
         64644567996261179428850*ep^2-73961440034574649365664309/693*
         ep^3)
      +53149718166069676011039599458606523106421334358267707/
      4213928768474698500911523840000-144871633518299525/884*ep^-3-
         570113286041372982341720591/11224833984*ep^-2-1902130897037427\
         508375086961228196985101/3305518165968604185600*ep^-1+
         7456635621781159639628450/221*z3-
         53781789026460306866515403950765472353096496218065396565354214\
         46235570536750481945507392147130562008227126956967083368943041/
         43973388826659464132530802282267846216995504742515133670294083\
         263426328798303354880000000000000000000*ep+
         11184953432671739459442675/221*ep*z4+3479051584697746064248808\
         5486345169/61736586912*ep*z3+784758204758988913495891763031824\
         77486405530022903774235129471464315816214552535956424381846987\
         5820843871819036122514705825817660868019/
         14126615304430165007023234144157304846626164699353089552072938\
         72212971384425509106196309606400000000000000000000*ep^2+
         723293622360020193825545775/221*ep^2*z5+3479051584697746064248\
         8085486345169/41157724608*ep^2*z4-4376729501870231377673764442\
         32780583058024007/330551816596860418560*ep^2*z3+
         10343262137921674831562013524560626724637248937265110891267090\
         74815331269645620792182066720662358020038494212223807400258496\
         68594446505479161766936187383607130987347561124067/
         15048414006757616626155255883142647058930441155525376439028971\
         09272469330004841096093626111238999973136802138595449512510095\
         36000000000000000000000000*ep^3+3579184933691195170929586625/
         442*ep^3*z6+13698886271852171166165217828913491/1870805664*
         ep^3*z5-437672950187023137767376444232780583058024007/
         220367877731240279040*ep^3*z4-10713953785707818931035158356296\
         25283014754063263062927/983250045977429650212688896000*ep^3*z3
         +260982231626581485241532225/221*ep^3*z3^2;
Fill mncnoptab(12,10,1,6)=
      +mncF321*(-2113328970149997600000-17520989184878541978000*ep-
         160443293757204864398420/3*ep^2-131476229815868127505320392/
         1485*ep^3)
      +25369047442837467318907139804439254619692451271956503/
      2440050665568989021667518400000-19075558757417330/117*ep^-3-
         4683194539065702143064247/216164520*ep^-2-10898256183943208184\
         675787223529817447/45572401185228918000*ep^-1+
         3253804982241232029607760/117*z3-80340585985853968170058095604\
         64511566731781678700634288543405309585294481871476532108208970\
         0432500056359631459708533/798571418553711746537754198586864635\
         970071144170239633709083773957989990400000000000000000000*ep+
         1626902491120616014803880/39*ep*z4+263749565051783048360137416\
         752522/567431865*ep*z3+374459600126613306719090786665255324126\
         95719122225099158473182491382310796570087061923417333631032061\
         409379143505019673772070243/8209409571768674427854752397596887\
         97931835213268020611198553189286130287363315728384000000000000\
         00000000*ep^2+105206345968114813911756040/39*ep^2*z5+131874782\
         525891524180068708376261/189143955*ep^2*z4-2474576324131968955\
         746144082060051466606047/2278620059261445900*ep^2*z3+
         12545684413963088290925846620983668222241509188174995922000230\
         24885927801460850756389927423517256885404113076712056931954574\
         528923349842968122835888194417921259701252456360047619/
         65247321985157968291227363106228183077833026969436430987638176\
         64651427050439853493870465150128150498770181448999897358611251\
         2000000000000000000000000000*ep^3+780913082305258024264150900/
         117*ep^3*z6+983626398024774746822180772958429/162123390*ep^3*
         z5-2474576324131968955746144082060051466606047/
         1519080039507630600*ep^3*z4-2226596961549699181458035102911979\
         33309417540199398969/244005066556898902166751840000*ep^3*z3+
         113883149596281602903679080/117*ep^3*z3^2;
Fill mncnoptab(12,10,2,5)=
      +mncF321*(-12327752325874986000000-102024155277130635972500*ep-
         2794320277538159145850150/9*ep^2-2128768898749232959796758903/
         4158*ep^3)
      +56820231060090436775585925454232663232737533643095303/
      936979455578491784320327065600-266513726327764080325/702*ep^-3-
         298099017380330173540287046133/65368150848*ep^-2-2130587671024\
         058963923747414551285427/115739431581533760*ep^-1+
         56944508458070447092250300/351*z3-1868157394797539253324605987\
         78358032842993587641085251425100118988035912605869379536115974\
         56751293363383608997173/31722123631876661425755949461802873775\
         448682021079573317363364215652352000000000000000000*ep+
         28472254229035223546125150/117*ep*z4+8854492640087668160573796\
         9331491517/32684075424*ep*z3+218340907621251712823447901296287\
         91563976721840246285923623138521738067105119468250439792211033\
         247713952840754505023290782191/8152680503266776441780695061129\
         85937450409447528964897122740784659540981367963648000000000000\
         0000000*ep^2+1841121415350215687446390450/117*ep^2*z5+88544926\
         400876681605737969331491517/21789383616*ep^2*z4-23239704400261\
         149632576895321797192640228901/3645792094818313440*ep^2*z3+
         47308415872154586038543318019432317649308838117136562210794327\
         94687432963483083638643382703868254990333365568125006870571505\
         48263454243183789357956350881930663310753553283/
         13113107453680558134449702409404387063126632793858729335830240\
         14938358058488988927991442593305036758064518474603610243072000\
         0000000000000000000000*ep^3+13666049343981441538117302625/351*
         ep^3*z6+383067175573505141036130633933406813/10894691808*ep^3*
         z5-23239704400261149632576895321797192640228901/
         2430528063212208960*ep^3*z4-9794768450593746245723544566455915\
         2011055772180740029/18739589111569835686406541312*ep^3*z3+
         1992923008281638841764436650/351*ep^3*z3^2;
Fill mncnoptab(12,10,3,4)=
      +mncF321*(-24655504651749972000000-203988666421698632320000*ep-
         5584210827770749447235300/9*ep^2-236185713072735523185378692/
         231*ep^3)
      +28411791281690791481458544448898657614043392853626419/
      234244863894622946080081766400-787466269632496929700/351*ep^-3-
         416775570861913187956378051879/16342037712*ep^-2-9669815681322\
         9477084414816716954976581/1041654884233803840*ep^-1+
         113900482543238457417835600/351*z3-123824562462003807215168040\
         98525582915143737804274640402280643067934351130915172349428325\
         0637803554618418910037299/104683007985192982704994633223949483\
         458980650669562591947299101911652761600000000000000000*ep+
         56950241271619228708917800/117*ep*z4+4426899570894012518142615\
         1061210021/8171018856*ep*z3+4536928920638977538731917587574393\
         23073926844095614701056751862122369976691397908076042040459319\
         0095109066678845848609988993/840745176899386320558634178179016\
         74799573474276424505015782643418015163703571251200000000000000\
         0000*ep^2+3682283475898163674178458400/117*ep^2*z5+44268995708\
         940125181426151061210021/5447345904*ep^2*z4-465226316758434543\
         81149204756880076052029687/3645792094818313440*ep^2*z3-
         33312148504463947982631777418052730670467720824747256688429792\
         91833614346823507259113903035418674249583140156177503689342020\
         21036540965272302211064245999749244786372908757/
         27045784123216151152302511219396548317698680137333629255149870\
         30810363495633539663982350348691638313508069353869946126336000\
         000000000000000000000*ep^3+27332374862878131412793849000/351*
         ep^3*z6+191336667270544364639561080298614769/2723672952*ep^3*
         z5-46522631675843454381149204756880076052029687/
         2430528063212208960*ep^3*z4-2441429606469598550573510771066744\
         94364885081218258149/23424486389462294608008176640*ep^3*z3+
         3985719857296075361034440800/351*ep^3*z3^2;
Fill mncnoptab(12,10,4,3)=
      +mncF321*(-21133289701499976000000-175056480261803046060000*ep-
         533543126275260146933600*ep^2-1832668159818181232076557624/
         2079*ep^3)
      +2029373339582557249037134871173738788938406561209431/
      19520405324551912173340147200-270959447033670676700/117*ep^-3-
         8954912850376993431442109584/340459119*ep^-2-17420220533400963\
         2269639477592386994639/1822896047409156720*ep^-1+
         32544005131288433497721600/117*z3-1267981558964479030657282052\
         75771611065469010115969505730442640517254456472284055341661654\
         165328663395540859816509683/1249320619248473487916842124011450\
         45271762241221299711584709994859205545164800000000000000000*ep
         +16272002565644216748860800/39*ep*z4+4520015473748106406875929\
         65455677/97274034*ep*z3+55714455485104471152253378959882482473\
         87671762060825067758106701156836161139539576837108574553977335\
         8982278028765990166431680703/120404673719273891608536368498087\
         69036333583127930968964245446776196577547995297349632000000000\
         000000000*ep^2+1052084575900189021614312400/39*ep^2*z5+4520015\
         47374810640687592965455677/64849356*ep^2*z4-248178567391674511\
         3997081060833736072251271/227862005926144590*ep^2*z3-
         34792644935732733977774481669342138746440152807092012052607403\
         35684958743960463120775153649260106188133511070357152554003823\
         839298318309596855401330251699972510776213965346644019/
         11062465951510249663883295323450634346902996945911382085850760\
         72316100618311909027040757797987060823231488364073102597494675\
         60345600000000000000000000000*ep^3+
         7809274306423196578363039000/117*ep^3*z6+152530087807663741714\
         1067553500569/25219194*ep^3*z5-2481785673916745113997081060833\
         736072251271/151908003950763060*ep^3*z4-1459238604907673109367\
         55749952911584306849009920233/16132566383927200143256320*ep^3*
         z3+1138766000383668891605238800/117*ep^3*z3^2;
Fill mncnoptab(12,10,5,2)=
      +mncF321*(-7748872890549991200000-64362766998146485792000*ep-
         1773664299515676043098680/9*ep^2-3404939023022724443675435734/
         10395*ep^3)
      +8927724504652279304270800141055949269265836371835627/
      234244863894622946080081766400-147544652647374158620/351*ep^-3-
         37357724044554000047034512617/7428198960*ep^-2-734824159857484\
         551221747402027843434379/36457920948183134400*ep^-1+
         35795095759413387476781760/351*z3-
         27417949489247403672286742154825253341715055928021495610842071\
         3452231212895389001069542519884348110933110149519273505671/
         74209644783359325182260422166280156891426771285452028681317736\
         9463680938278912000000000000000000*ep+
         17897547879706693738390880/117*ep*z4+6969838717125439726111213\
         8432821713/40855094280*ep*z3+797717754253679381458263030267914\
         98150432312530752424243759260362793505511789430279911091902488\
         97044439195498362918796750305133357/47680250792832461076980401\
         92524272538388098918660663709841196923373844709006137750454272\
         000000000000000000*ep^2+1157281296805486570521730640/117*ep^2*
         z5+69698387171254397261112138432821713/27236729520*ep^2*z4-
         2670551109499349804324230561489985541007447/675146684225613600
         *ep^2*z3+49796460756573029028795371350150735716139726077179447\
         64303198014266193852206686638536135888611347056332289036810925\
         17066492513695296839301957940453511489930499644082758092008801\
         10367/10951841291995147167244462370216128003433966976452268264\
         99225311592939612128789936770350220007190214999173480432371571\
         519728847421440000000000000000000000000*ep^3+
         8590121986642615810221025400/351*ep^3*z6+277312512216294745951\
         12794931851287/1238033160*ep^3*z5-2670551109499349804324230561\
         489985541007447/450097789483742400*ep^3*z4-2852261834394090434\
         21558290049556613957495991939973491/
         83658879962365337885743488000*ep^3*z3+
         1252678998347024101370081680/351*ep^3*z3^2;
Fill mncnoptab(12,10,6,1)=
      +mncF321*(-968609111318748900000-8080501564257868361000*ep-
         224317239640858105574830/9*ep^2-12420919154507401196861846/297
         *ep^3)
      +1116087772253939012364639635486870944516293176668952731/23424486\
      3894622946080081766400000-264756072609968135/1404*ep^-3-
         110338279578585270888639233/4244685120*ep^-2-27729051187799738\
         0948826931066847965177/972211225284883584000*ep^-1+
         4473982494450188924381090/351*z3-95002897813979594311533342600\
         11016136696970940020287436066514663692899807207906878286678081\
         62490486539661996145866272870973/20693359447839747827073318721\
         06722174917435517294829819778545094749474296390746112000000000\
         0000000000*ep+2236991247225094462190545/117*ep*z4+349226293862\
         30133518192631063132209/163420377120*ep*z3+
         27513883236707946702483697975036574637404838330920314417965055\
         07844133012076560100938729819857434137961213413168000969709223\
         8344755071/132956379335813317713159850768539339732952138346852\
         607548921776208279659710636151171417374720000000000000000000*
         ep^2+144658728274119287936984635/117*ep^2*z5+34922629386230133\
         518192631063132209/108946918080*ep^2*z4-7098742449949079237118\
         36997239678448458210421/1458316837927325376000*ep^2*z3+
         50544398412952757460310670994989277072557596487410437289581311\
         02231226625483348572325261264423175952266776928438440644765365\
         9024003508422174259148297883457594042701416165996350225216741/
         30539209442728467875861183319347672937575616913837150056930897\
         81376912108421130738684121588490049914525195250185668127182763\
         8910346854400000000000000000000000000*ep^3+
         2147511011639538374432864075/702*ep^3*z6+201245067955601529171\
         8579564930533/707447520*ep^3*z5-709874244994907923711836997239\
         678448458210421/972211225284883584000*ep^3*z4-5207179164987700\
         7821565584016128411946410975875624636359/117122431947311473040\
         040883200000*ep^3*z3+156589325494364658759911375/351*ep^3*z3^2
         ;
Fill mncnoptab(12,11,1,5)=
      +mncF321*(-251586782160714000000-2122177307191909946000*ep-
         419974003769405229500920/63*ep^2-832751246160519460483574962/
         72765*ep^3)
      +72471600691698754942549157560176691425211014865094629/
      58561215973655736520020441600000-7877343574435040/2457*ep^-3-
         1596045985008293731605596719/228788527968*ep^-2-22822043028345\
         525165558750933016347401/283561607374757712000*ep^-1+
         8134509159244259854771760/2457*z3-8315993171846992357635885360\
         55006979152785920700728448558809486094109517109584994948073360\
         23783073613016412354062731/69605005929557808612509775480637953\
         79426753439472412502576699713584308944896000000000000000000*ep
         +4067254579622129927385880/819*ep*z4+9121018223126876521636589\
         35759775/16342037712*ep*z3+11964599627704040112142071657088896\
         20104722359383137360171823299376418878823596475513258181872206\
         4475495991724284782511671058571/223608679764365798701567541496\
         44856781762368666157513790741544012936501160562695077888000000\
         0000000000000*ep^2+263015856167062535861488240/819*ep^2*z5+
         912101822312687652163658935759775/10894691808*ep^2*z4-
         154801310349835048717372937935118862124421651/
         1276027233186409704000*ep^2*z3+
         74792589592700691420726262942860437439822186343320353760273718\
         25569822877857009693906873426190722711675321191558746092413061\
         03216482582270104641982487902072438321269105447543626487321763/
         22609403650969789580731150020862440072448917817083017879422704\
         50204350184058472530612730493402384348620005737166224705554148\
         276086530386165760000000000000000000000*ep^3+
         1952282648354858369324232400/2457*ep^3*z6+29310630005960594015\
         827314559447229/38131421328*ep^3*z5-15480131034983504871737293\
         7935118862124421651/850684822124273136000*ep^3*z4-
         26177301408773239319723310017348592359963070960099150473/
         204964255907795077820071545600000*ep^3*z3+
         284707929614545713447659120/2457*ep^3*z3^2;
Fill mncnoptab(12,11,2,4)=
      +mncF321*(-1174071650083332000000-29664323584266438760000/3*ep-
         836472841841156788283900/27*ep^2-330613939903496865518208244/
         6237*ep^3)
      +4057638645601596623530455104407096269576299054296841/
      702734591683868838240245299200-80549084880923712100/1053*ep^-3-
         45021034341981354938477687917/49026113136*ep^-2-90180361773973\
         69140213847567633279213/2430528063212208960*ep^-1+
         16270798013943175368818800/1053*z3-344041404105396171278071259\
         04716140892817451394836598255692437241548385220982492366703096\
         1220962714688870440197/623113142769005849434491864428270734874\
         8848254140630473053517970931712000000000000000000*ep+
         8135399006971587684409400/351*ep*z4+63802285922176724142164255\
         91322223/24513056568*ep*z3+49288242240602596397991646213628636\
         43024194544669855328800454314362899389670220066089939886088792\
         7880831030080127254610647/200177423071282457275865280518813511\
         427555891134344059561387246233369437389455360000000000000000000
         *ep^2+526038012512432354940963200/351*ep^2*z5+6380228592217672\
         414216425591322223/16342037712*ep^2*z4-54160235170292905763784\
         587390674115082491/95107619864825568*ep^2*z3+
         28276758117078344377452248985080206858746857020486465221487570\
         09715256563710896484030394288363782183045056440855264463320713\
         433718616546364555569647605790823068085045946431364899/
         70866687801091089799613998125286218300020001732617202491436070\
         59605256997619677166110381967462794157326700077871326881356344\
         9835520000000000000000000000*ep^3+3904608098808384723635177000/
         1053*ep^3*z6+29151847679311882742254372570120547/8171018856*
         ep^3*z5-54160235170292905763784587390674115082491/
         63405079909883712*ep^3*z4-898780558600128416188901602466344859\
         3474746234774013/15276838949649322570440115200*ep^3*z3+
         569396218881761328572286400/1053*ep^3*z3^2;
Fill mncnoptab(12,11,3,3)=
      +mncF321*(-1761107475124998000000-14830471288063364780000*ep-
         418107890000026555058950/9*ep^2-165213534258549209806750172/
         2079*ep^3)
      +4057770613076419022726946558393549232655822149324433/
      468489727789245892160163532800-78816573685986429050/351*ep^-3-
         84856070950552975329948863077/32684075424*ep^-2-52850265004839\
         29817872288011625107127/540117347380490880*ep^-1+
         8136243331116028594321400/351*z3-10717148947443523713897835501\
         96560750746672907778633115145127994792775297411590924080854369\
         347580438951485995369/1305570394373155113100840096897329158785\
         4729675342273372112132891475968000000000000000000*ep+
         4068121665558014297160700/117*ep*z4+63803019299239491169266074\
         44493543/16342037712*ep*z3+47720542565372335581464793071762759\
         44496521593175564424345460246208815637988198571816482538069796\
         791241479607380655653557/1310685508204825613115784574825564658\
         1566159538558241995090831598613475067166720000000000000000000*
         ep^2+263022004133384386337269600/117*ep^2*z5+63803019299239491\
         16926607444493543/10894691808*ep^2*z4-270890777927741630037241\
         702370696519106391/317025399549418560*ep^2*z3+
         63464999252960457096310434927181430892534921817546957312757062\
         19756504050102318480968263982615351656953896985956524677767946\
         275051188746398044056979377296124067995652520344956349/
         74241291982095427409119426607442704885735239910360878800552073\
         95776935902268233221639447775437212926723209605389009113801885\
         2208640000000000000000000000*ep^3+1952324422672592826043718500/
         351*ep^3*z6+29141643515760254060774876706440027/5447345904*
         ep^3*z5-270890777927741630037241702370696519106391/
         211350266366279040*ep^3*z4-59008856180116853707730609531451743\
         01958021423374353/6692710396989227030859479040*ep^3*z3+
         284688850679631838281747200/351*ep^3*z3^2;
Fill mncnoptab(12,11,4,2)=
      +mncF321*(-1006347128642856000000-8485810842966304760000*ep-
         1678351232309292425906800/63*ep^2-60461394741045262734728708/
         1323*ep^3)
      +579616906562798606578551654506793117619762813330061/
      117122431947311473040040883200-194818811874602385200/2457*ep^-3-
         4942136236935333797389269977/5199739272*ep^-2-9774008947514378\
         4599189973033172786783/25520544663728194080*ep^-1+
         32542338929693791640201600/2457*z3-
         84692499043140807310964253978487033344155224395927414646468310\
         102554388673151871441494352531589145338632067668269169/
         17945040591214122532912676491101972462584598711139813483205553\
         94908454649856000000000000000000*ep+16271169464846895820100800/
         819*ep*z4+912029135210246829950031243033419/4085509428*ep*z3+
         24260270121238409483681280281478360451532461452512277265344091\
         60401286970748336647694044139190660216726052770106915571229466\
         0461/115298225503501114955495763584106292780962213434874680483\
         511086316703834109151396495360000000000000000000*ep^2+
         1052078657679524174738862400/819*ep^2*z5+912029135210246829950\
         031243033419/2723672952*ep^2*z4-206642772395925667266702867405\
         7395974907463/4253424110621365680*ep^2*z3+
         13724540649689348877131480230664977786466939652534095280446197\
         14744309092562049596581167813599965540291165639336999004139388\
         68921984047191575503061380962472556673592331200696911789292688\
         739/5828986878765648876282249614753597831178236624716715547038\
         66600443309031827574949298594580330302214878595229113167306900\
         6788524285586151833600000000000000000000000*ep^3+
         7809234085272196831440964000/2457*ep^3*z6+29277422816226469534\
         461710872854737/9532855332*ep^3*z5-206642772395925667266702867\
         4057395974907463/2835616073747577120*ep^3*z4-20883978641184805\
         3443907897906823569328432090472071377/
         409928511815590155640143091200*ep^3*z3+
         1138784257462167497582580800/2457*ep^3*z3^2;
Fill mncnoptab(12,11,5,1)=
      +mncF321*(-184496973584523600000-4680348085294936406000/3*ep-
         930026980152302421455800/189*ep^2-1853779573734929036072994338/
         218295*ep^3)
      +159420194195454278604046440544561384487556192357804379/175683647\
      920967209560061324800000-265597077807011120/7371*ep^-3-
         2435774441816803771984248127/311984356320*ep^-2-66580080154555\
         9600631859617377721097079/7656163399118458224000*ep^-1+
         17895924078304660653189200/7371*z3-
         39491015061151963690662162234436754868053838671376287102868823\
         16619563500180218609967617125650550168475642697073649899/
         45620280969664347061449115346268125549326179834542103610638119\
         3727838248763392000000000000000000*ep+
         8947962039152330326594600/2457*ep*z4+1004556206206614534409934\
         8494705829/245130565680*ep*z3+62672663765748678211519983169441\
         29435521193576185511647797238468818596826376505438650336933083\
         5022971582416533997792905840864963/162840950587660833961835992\
         02495999869311206440678596848535392931643109409983851554406400\
         00000000000000000*ep^2+578634899353467485871029200/2457*ep^2*
         z5+10045562062066145344099348494705829/163420377120*ep^2*z4-
         112434716913787373020856514258338539285630679/
         1276027233186409704000*ep^2*z3+
         22055937863477588706197525918190294620887988499504476036081010\
         87582107169966625747961481864016884233645440821232698664952205\
         76779122828648669763939910085336351940259653290480265951511450\
         8317/222278699643596743815563118642603863962263423289197419527\
         07446363571517747024858066586406663262191127370431403515446636\
         47922023927570185899212800000000000000000000000*ep^3+
         4295021934955244492399746000/7371*ep^3*z6+29566375615913416949\
         351617195198157/51997392720*ep^3*z5-11243471691378737302085651\
         4258338539285630679/850684822124273136000*ep^3*z4-
         58772621191076450088768536130752285865177876460400340791/
         614892767723385233460214636800000*ep^3*z3+
         626357414215999306711286480/7371*ep^3*z3^2;
Fill mncnoptab(12,12,3,2)=
      +mncF321*(-58218428929752000000-5522506975603284520000/11*ep-
         1779897741917495171168800/1089*ep^2-67082473826843297052469108/
         22869*ep^3)
      +4055631319505524314755312068582416605015540119849379/
      14171814265624688237844946867200-316972995567376215200/42471*
         ep^-3-88846556412618806931832403347/988693281576*ep^-2-
         135919526856766114042595361438761489/371330676324087480*ep^-1+
         2958637843580943239209600/3861*z3-2249133960940836932877215198\
         49016134745084823738068844818556167762907202527472905661098125\
         2442288533432928819/797848574339150346894957836992812263702233\
         480159805594962408121145753600000000000000000*ep+
         1479318921790471619604800/1287*ep*z4+6456995986671474716225713\
         606476293/494346640788*ep*z3+327987888916817504921725429044190\
         30416846212727240285142913622048646112469476823351644002463615\
         8478645801695147692356833/256311832715610342120420094632554866\
         48396045319847228790399848459510795686903808000000000000000000
         *ep^2+1052088162273702474550518400/14157*ep^2*z5+6456995986671\
         474716225713606476293/329564427192*ep^2*z4-2827889016950500759\
         630316151323069766569509/110285210868253981560*ep^2*z3-
         93283009460886693680527025755507328334905650439025388994076520\
         75631339621455576037082218950434024466959275928148428885718071\
         999892557926979477747268277409280020234061094940967/
         18147871373401104477784748726263772305401947533643770373468284\
         74523250998332234787511865011773540937643451236872868894484905\
         276211200000000000000000000*ep^3+7809298676354292620050624000/
         42471*ep^3*z6+2874558144551707382147143082568907/14980201236*
         ep^3*z5-2827889016950500759630316151323069766569509/
         73523473912169321040*ep^3*z4-991482072784870275458868319404659\
         1876618729798732049/283436285312493764756898937344*ep^3*z3+
         1138754886954240363700188800/42471*ep^3*z3^2;
Fill mncnoptab(12,12,4,1)=
      +mncF321*(-16633836837072000000-1580059158830222600000/11*ep-
         3572843244519736041036200/7623*ep^2-4092299589023726725433186/
         4851*ep^3)
      +289764547625657466409746758440384582429940804137057/
      3542953566406172059461236716800-12881224693861172200/297297*ep^-3
         -1499327952363577635237891793/865106621379*ep^-2-4528884034301\
         276546453473851959960801/280725991301010134880*ep^-1+
         5916034998310449614561600/27027*z3-
         12631124708430397671161545382820859726611763731518218348944529\
         116628855403026050777056965437781939096669467767972629/
         16292957489165838236231826909381473410473635655193608432370756\
         918851366027264000000000000000000*ep+2958017499155224807280800/
         9009*ep*z4+461474223540960996226032113348767/123586660197*ep*
         z3+59207389717699526719605913158096259473511775360816224995968\
         57089421394522377489416461481373291587689645852764934644890684\
         53073/17447244705820803638768142002674285574262006900727068052\
         0022067124747600821255552368640000000000000000000*ep^2+
         2104127918474245054369498400/99099*ep^2*z5+4614742235409609962\
         26032113348767/82391106798*ep^2*z4-562277706647051149809584258\
         06176046171419957/7719964760777778709200*ep^2*z3+
         59672968574636998078421703259166094629345341640818285164255789\
         79335849166709585398809121299592200147296847364652486603181604\
         20637547484930735963451734605270713825215369006316522302666703/
         52923499915142081860848361581572348562443672211713671315970110\
         38945599463577347158711049205538616935088197953217963484876004\
         818875167109283840000000000000000000000*ep^3+
         15618268426103300543370794000/297297*ep^3*z6+14438249630183349\
         23943777123572501/26215352163*ep^3*z5-562277706647051149809584\
         25806176046171419957/5146643173851852472800*ep^3*z4-
         3126752230050801437942495417511775832158026590420007869/
         310008437060540055202858212720000*ep^3*z3+
         2277659770481575170459018400/297297*ep^3*z3^2;
Fill mncnoptab(13,2,1,13)=
      +mncF321*(-1828220386252351000000-1465151960818350850495625/99*ep
         -38621436760348012041620500/891*ep^2-
         21966304643862936202021605182/323433*ep^3)
      +376965856548293225717860417980243908182741591327700644841/
      41908079328347292360484342878720000+7884438090903592975/3057912*
         ep^-3+19357827954020555805392337601/1091517382859904*ep^-2-
         2950520947881030003282056019804961877/608774363992761978211200
         *ep^-1+9196064826277533056437322875/382239*z3-
         17218896671487546968341170809188264059417932625251608295451178\
         70843190401347244933598491340796889891/19375960658315642928990\
         651973239512487969596617799939641049088000000000000000*ep+
         9196064826277533056437322875/254826*ep*z4+27110367533054202937\
         521618029156361337/68219836428744*ep*z3+
         50300165265623206763470062502750460016464596411071650945575548\
         03776746714817428898911488355852641386297013936653/
         12200215388616897477077537674109403026616398092501831645271354\
         790949945344000000000000000*ep^2+
         198226286882426650802557121875/84942*ep^2*z5+27110367533054202\
         937521618029156361337/45479890952496*ep^2*z4-54658870755610664\
         828987324084917862843012491309/53715385058184880430400*ep^2*z3
         -1335296511619489606095236137670177766607640059905907841408614\
         75451140961052216166636291229923669944197008989659684552660571\
         43733513483788171/15813839162176652943838689853572104852389482\
         05666718316165737921204575490311238947944777383936000000000000\
         0000000000*ep^3+8828222261446423955550697255625/1528956*ep^3*
         z6+1307638674150062644826135162209612110671/272879345714976*
         ep^3*z5-54658870755610664828987324084917862843012491309/
         35810256705456586953600*ep^3*z4-873536176082787249139444670486\
         30201282712985966669352722099/14667827764921552326169520007552\
         0000*ep^3*z3+643724540973524361606201701525/764478*ep^3*z3^2;
Fill mncnoptab(13,2,2,12)=
      +mncF321*(-21938644635028212000000-5831743898397598853472500/33*
         ep-152427910960487574424993900/297*ep^2-
         85759366512404796706796455772/107811*ep^3)
      +16196170081451206207380798760280079068927118923986799/
      150046828959352998068329190400-4232105636792686325/254826*ep^-3-
         1081625124721451392076849321/4787356942368*ep^-2-7570853071172\
         5435473257495533426991/66751574999206357260*ep^-1+
         36784259481102997270804006300/127413*z3-
         13374139798919074175405019740514470897701158576869579112685727\
         9810891125594643656407241793445007554803/124923956875982434673\
         755519301149488409277662404236452948869120000000000000000*ep+
         18392129740551498635402003150/42471*ep*z4+14234175089391382607\
         58617378402285623/299209808898*ep*z3+
         57229135916839287200741687614183196091720112776971600529257670\
         374224258232766922667662771108633356049650601127/
         11466367846444452516050317362884777280654509485434052298187363\
         525328896000000000000000*ep^2+396452573946500530998110153150/
         14157*ep^2*z5+1423417508939138260758617378402285623/
         199473205932*ep^2*z4-58422089378572625638841892676114719696413\
         0099/47118758822969193360*ep^2*z3-
         58684696115851355622173316729708493364013885821899770684724609\
         91828790997365016446922002154716396850884710468289694534656954\
         916318916868401869/4946766562918384248994540169820524049138084\
         85585120323275594893476806270562984433403975675412480000000000\
         000000000000*ep^3+8828222265093504454280468430125/127413*ep^3*
         z6+67486838060180624697704904114998138489/1196839235592*ep^3*
         z5-584220893785726256388418926761147196964130099/
         31412505881979462240*ep^3*z4-341068050936719893438819241687911\
         04616190734962845035113/5146606233305807833743691230720*ep^3*
         z3+1287449079620368091461873805650/127413*ep^3*z3^2;
Fill mncnoptab(13,3,1,12)=
      +mncF321*(-9402276272154948000000-833993903272489120490000/11*ep-
         21839608568497742815871800/99*ep^2-
         86230934191856626503630959134/251559*ep^3)
      +188482931070399614286419585613781808945921321481278978467/
      4074396601367097868380422224320000-22825692956984200/42471*ep^-3-
         7265630967322482645134267/541427273244*ep^-2-38500116625842610\
         45106769807811892443/33820797999597887678400*ep^-1+
         5254894205383725104343810400/42471*z3-
         10663394460318964362464901043336320204321770914937141767808750\
         3248558238734751380265823471131182089742037/
         23260840770307929336253277693874034741807500739668827539079430\
         1440000000000000000*ep+2627447102691862552171905200/14157*ep*
         z4+1288524693252868010829225726487233287/631665152118*ep*z3+
         75973275396372636797804226559814307334762978993120221860095827\
         5482234285405223142505212558007216517231945433300457/
         35583961550132617641476151549485758827631161103130342298708118\
         1402706739200000000000000000*ep^2+
         56636081984940776652813087200/4719*ep^2*z5+1288524693252868010\
         829225726487233287/421110101412*ep^2*z4-4515791320012074860191\
         65581362186988497505917/85262515965372826080*ep^2*z3-
         63904584629289505218391264615974352099929126890721945803545978\
         22376964940547651215977041521795411953488694226974943917631937\
         0092540396850064456321/108855846747274917391965308500614186484\
         94225638248565950190045446817793259316001086342395635485900800\
         000000000000000000000*ep^3+1261174609147708161927434936000/
         42471*ep^3*z6+45989830581251205661843366803773064707/
         1894995456354*ep^3*z5-4515791320012074860191655813621869884975\
         05917/56841677310248550720*ep^3*z4-587959424524488413714392182\
         328076697179932680939481414619/2037198300683548934190211112160\
         00*ep^3*z3+183921297156699460202908247200/42471*ep^3*z3^2;
Fill mncnoptab(13,3,2,11)=
      +mncF321*(-103425038993704428000000-830699878028166547730000*ep-
         21605242317222782915678200/9*ep^2-
         28185992798595285319507139174/7623*ep^3)
      +7539316107283211770251959000400560628959964325781515267/
      14815987641334901339565171724800-2859494609680082800/3861*ep^-3-
         1197682698001879905427776313/114848209476*ep^-2-10847556416290\
         243718954581375763994221/204974533330896288960*ep^-1+
         5254894261590877713330618400/3861*z3-2933875340366710211774396\
         52903626114535232744966123960777267233641341304691497458900864\
         11201785898554036291/58001057505183408215073108015893697018532\
         98885735603750004221542400000000000000000*ep+
         2627447130795438856665309200/1287*ep*z4+3858106519430007699328\
         928228303531741/172272314214*ep*z3+
         22030350295367702269442840048059895128579834695572797558214737\
         00877498092108905358910088913515845476712399350030903169/
         93165281149438126188592105875017259475979767251832168927526709\
         312708673536000000000000000000*ep^2+
         56636082054074228287180779200/429*ep^2*z5+38581065194300076993\
         28928228303531741/114848209476*ep^2*z4-45706536045496657773981\
         0615142846766477359333/7751137815033893280*ep^2*z3-
         91749658031577036485568407151848732172853009534174983419254486\
         63603796530051163493174946565839527242711521312323791259593597\
         58707487516954143283367/20357457054035828707068836914400575134\
         84634405075056489386190317326963934209745657705590872090869760\
         0000000000000000000000*ep^3+1261174610562692942178240986000/
         3861*ep^3*z6+45265474039432807282933569392416710647/
         172272314214*ep^3*z5-45706536045496657773981061514284676647735\
         9333/5167425210022595520*ep^3*z4-11030343030970192673825533266\
         0533013270346957169105486659/3703996910333725334891292931200*
         ep^3*z3+183921296589107779840556459200/3861*ep^3*z3^2;
Fill mncnoptab(13,3,3,10)=
      +mncF321*(-443250167115876120000000-3552864262047381358200000*ep-
         71618135426378052732884000/7*ep^2-
         5022950911187778466659731576045/320166*ep^3)
      +15078624106223669065835639417341283484545014456060300607/
      6914127565956287291797080138240-363197100066621350500/9009*ep^-3-
         587187125605829147938128340735/1205906199498*ep^-2-17184705823\
         77123782899238470716529668095/860893039989764413632*ep^-1+
         52548950058086437893926104000/9009*z3-
         23819206728282044592455224438523161728286976326503079070442927\
         1986437744945356993575706931407970306913282829/
         10962199868479664152648817415003908736502734894040291087507978\
         715136000000000000000*ep+26274475029043218946963052000/3003*ep
         *z4+115627711009719162893351061507631208455/1205906199498*ep*
         z3+35823082533646530932387770156339408910648788227267945230989\
         124135335886217336999779441580003339678379169167017607741621/
         35216476274487611699287816020756524081920352021192559854605096\
         1202038785966080000000000000000*ep^2+
         80908689900458188908502886000/143*ep^2*z5+11562771100971916289\
         3351061507631208455/803937466332*ep^2*z4-643834909139926739804\
         1877609579100706998214355/25320383529110718048*ep^2*z3-
         47188372759073206729413862053173248262104222540459767080777138\
         20964984324431060170963636526656254237174931129816129457117201\
         063400836053859847771527403/2821543547689365858799740796335919\
         71368970328543402829428925977981517201281470748157994894871794\
         54873600000000000000000000000*ep^3+
         12611746284176948658354389285000/9009*ep^3*z6+4489203991589160\
         16542843546086424946745/401968733166*ep^3*z5-64383490913992673\
         98041877609579100706998214355/16880255686073812032*ep^3*z4-
         425823076898709409832521326345256924546667089338451149973/
         3457063782978143645898540069120*ep^3*z3+
         1839212883378942990129856342000/9009*ep^3*z3^2;
Fill mncnoptab(13,4,1,11)=
      +mncF321*(-25281676198461082400000-1831738123643901612062000/9*ep
         -47834003503644497273091400/81*ep^2-
         9506821924464435117696428282/10395*ep^3)
      +8194909342277308886753606113144353368454627679641501101/
      65881367970362703585022996800000+139409718579683680/3159*ep^-3+
         2997612646649709470922269/20427547140*ep^-2-110294796657029415\
         1409017577009694949/546868814222747016000*ep^-1+
         1050978836214718558530010400/3159*z3-3565211416032296436456868\
         15975147210478693567063564765840456613706504392747311530189069\
         8056266821488147753/288859021567316578462419431225399439697041\
         7626888087243085106380800000000000000000*ep+
         525489418107359279265005200/1053*ep*z4+23990265549282498022913\
         745365985421/4377331530*ep*z3+10685568841799564794562595220903\
         44594792307713632397162843154674896877311223596030055369619402\
         00724482246502995852633/18559407786291231462075265360082489634\
         740633476254313493863028258341965004800000000000000000*ep^2+
         11327216391974534564619232000/351*ep^2*z5+23990265549282498022\
         913745365985421/2918221020*ep^2*z4-986668707335129821059367183\
         61684523087502879/6893304380958996000*ep^2*z3-
         60192575581722056409498693000982963511173375372397607641390093\
         84105446352300590393499252181605214012082749483913759855394191\
         7381419318978921551040693/163567741895035701959405263555705490\
         64867845132950888662546433506174910219215695545391008398364901\
         376000000000000000000000000*ep^3+
         252234921728890231307607694000/3159*ep^3*z6+198630967004035235\
         7975460237265344969/30641320710*ep^3*z5-9866687073351298210593\
         6718361684523087502879/4595536253972664000*ep^3*z4-
         124320712192942367197304709758226951622025048346710809901/
         16470341992590675896255749200000*ep^3*z3+
         36784259498636572112848100480/3159*ep^3*z3^2;
Fill mncnoptab(13,4,2,10)=
      +mncF321*(-252816761984610824000000-18260250121064586464060000/9*
         ep-474274251706208234856492400/81*ep^2-
         1701848419485490210352151326/189*ep^3)
      +59599307311345633197551835344946782647724924999740901/
      47913722160263784425471270400-44053974116853839600/3159*ep^-3-
         64966474406896965207667897/371409948*ep^-2-2175901938481642557\
         15552783953433527/284087695700128320*ep^-1+
         10509789383434661118039084800/3159*z3-
         41304148971813590001683256585875862130293199536650585108637847\
         1905597868588015292770196994496870781073106543/
         33363216991025064812409444306533635285008323590557407657632978\
         698240000000000000000*ep+5254894691717330559019542400/1053*ep*
         z4+335351816983688126121856699402738559/6128264142*ep*z3+
         62056176155299657600271822646791471205091310205968291524284746\
         094237947538842003582673922023157308726952716572816667143/
         10718057996583186169348465745447637764062715832536866042705898\
         81919248479027200000000000000000*ep^2+
         113272165117959638776191462400/351*ep^2*z5+3353518169836881261\
         21856699402738559/4085509428*ep^2*z4-1138368116336161591332844\
         259674625626148117/7878062149667424*ep^2*z3-
         96544493554275732544051777906420490859540136917760868125335384\
         76304570726147819958080447636914269642013199381450113377189834\
         093293052945664759325887681/1889207418887662357631130794068398\
         41699223611285582764052411306996320213031941283549266147001114\
         610892800000000000000000000000*ep^3+
         2522349241695505219669210192000/3159*ep^3*z6+39229628914847226\
         42789769677017400953/6128264142*ep^3*z5-1138368116336161591332\
         844259674625626148117/5252041433111616*ep^3*z4-377854949185753\
         1458581268252396173695623876759495742743/
         52705094376290162868018397440*ep^3*z3+
         367842583580206598410218598400/3159*ep^3*z3^2;
Fill mncnoptab(13,4,3,9)=
      +mncF321*(-975150367654927464000000-7815508438154443596240000*ep-
         472578250492130064372342400/21*ep^2-
         334802019718318568598911506223/9702*ep^3)
      +38564195244958447534053637790368256525209019806146773/
      8037813957168434424316531200-415073849609755897100/819*ep^-3-
         92546886873803019472204094/15576561*ep^-2-76677482447971128759\
         91436431536988327/333601891029126720*ep^-1+
         10509797528697192789874524800/819*z3-
         10180409634493836946249795572279867582937290963181041723235321\
         62866693483765753539229094068170544695219266949/
         21321445862092997120494053006354102433411274335287232199504009\
         625600000000000000000*ep+5254898764348596394937262400/273*ep*
         z4+19713904521710964647130311093999827/93459366*ep*z3+
         10947729393776283053318506113927869528246305298431614007377311\
         629124689251695440795569395792228816667139808851694439407/
         48925671942074923897845470774945125180906680841541872173364410\
         005650931712000000000000000000*ep^2+
         16181739250160694226309933200/13*ep^2*z5+197139045217109646471\
         30311093999827/62306244*ep^2*z4-560007614935284581688203527947\
         93234072070109/100080567308738016*ep^2*z3-
         10277730540862148434503342351137131843388706831660719629222232\
         09158975927385005718346223515932726506143215962164741315425682\
         937802031764357925547961214641/2668213934824056465592609417795\
         36764078903470753958866760442636054062128035235590593037619962\
         0680430387200000000000000000000000*ep^3+
         2522349438078566358669128167000/819*ep^3*z6+229532313119042345\
         040973432617281659/93459366*ep^3*z5-56000761493528458168820352\
         794793234072070109/66720378205825344*ep^3*z4-21718399709077442\
         3863600494830358062782498010278304579/
         803781395716843442431653120*ep^3*z3+
         367842494119752119078181328400/819*ep^3*z3^2;
Fill mncnoptab(13,4,4,8)=
      +mncF321*(-1906960718969635929600000-45875237612663125689088000/3
         *ep-8329878990872962211970244640/189*ep^2-
         14774322982535444530420670186332/218295*ep^3)
      +13632316454065395119288089709393323030746710356149959/
      1452960226189473614036424000-36855395274606557932960/7371*ep^-3-
         2027186429927974843206231256492/35748207495*ep^-2-170973837097\
         641524533344602900950126927/832191673817223720*ep^-1+
         184973087020494627917662804480/7371*z3-
         17939676627261524052456312476924388131194978809889630275258142\
         21124405614259446102287929520667145198312369/
         19201097115651858293368402583198680769999866605906565376507904\
         000000000000000000*ep+92486543510247313958831402240/2457*ep*z4
         +14749839428601737922867133687756568756/35748207495*ep*z3+
         58649280905273351369010775285872336533887217065214281054477033\
         94999887225539631132394427473736866991184672413432677/
         13409617657083636482611384381360301655213120440542501424413916\
         497182720000000000000000000*ep^2+
         284798720606248258930115496320/117*ep^2*z5+7374919714300868961\
         433566843878284378/11916069165*ep^2*z4-13369823280140950358670\
         9155785128273187060313/122381128502532900*ep^2*z3-
         63093034098724490036976269332474917580407315836826525598250488\
         70277215316080357704263397090909887301791103076271680513161654\
         9095823790302973499752071/112889138829630013428739241002020896\
         37854717032331673472127678220380010252823522702702362803306496\
         0000000000000000000000000*ep^3+
         44393365777932864211699033659200/7371*ep^3*z6+1720594745261651\
         98275664806192667995652/35748207495*ep^3*z5-133698232801409503\
         586709155785128273187060313/81587419001688600*ep^3*z4-
         387030197636969515696889099978105670677106986258178769/
         726480113094736807018212000*ep^3*z3+
         6474020737531303969508004115840/7371*ep^3*z3^2;
Fill mncnoptab(13,5,1,10)=
      +mncF321*(-39502619060095441250000-2863818194315947456280000/9*ep
         -149743436348924353271628725/162*ep^2-
         2981400028659162248972168234/2079*ep^3)
      +7126006518211986859168015160088040532886220506610809479/
      36664413479158374169056276480000-400919306349597275/12636*ep^-3-
         56741546942886251352512435/37353229056*ep^-2-29856699266081485\
         3869818821137243781/19021523972965113600*ep^-1+
         1642154442379869173354713775/3159*z3-
         31013556337192263655314996379717163668819715138041066903570070\
         706110999465872093991222569892233435737609313267/
         16083971738977648636521561672645432523485751824873936352514542\
         078525440000000000000000*ep+1642154442379869173354713775/2106*
         ep*z4+3359627799928703842817513706637738685/392208905088*ep*z3
         +4644418768015850387017251809818247255269477459048941660260555\
         889368390996286676630913107381070848100122266065523207886777/
         51670359593962768802493820950227568490403214413551639426749133\
         0900896831976243200000000000000000*ep^2+
         17698775623662034436784923950/351*ep^2*z5+33596277999287038428\
         17513706637738685/261472603392*ep^2*z4-24619764805354608163989\
         8915104384775298344203/11029287009534393600*ep^2*z3-
         11514794066555265144660948932923921044799527822832726747714207\
         39266929305281826512397886149403791402131758586231996152355395\
         8228239997069333149707220326750839/
         11081244354271365717127994491409482471585644516233725528531492\
         46574880018189929259604965147074681808151484825600000000000000\
         000000000*ep^3+788234130852892203788548008875/6318*ep^3*z6+
         39822282229592408538649677840970670075/392208905088*ep^3*z5-
         246197648053546081639898915104384775298344203/
         7352858006356262400*ep^3*z4-5012025122137969920929083140500760\
         871191261414808098963107/421640755010321302944147179520000*
         ep^3*z3+57475405317391438939996342550/3159*ep^3*z3^2;
Fill mncnoptab(13,5,2,9)=
      +mncF321*(-355523571540858971250000-2856905351177213543900000*ep-
         148756908179298268747095125/18*ep^2-
         8836931944116616159001608970/693*ep^3)
      +11401585560020245886468459953398332965639074469596887/
      6518117951850377630054449152-126255755920368852875/1404*ep^-3-
         10792037447516826227535365015/9684170496*ep^-2-402291380504423\
         566105081839636669325/84540106546511616*ep^-1+
         1642155130703014095422111375/351*z3-22999669920011081372395018\
         33332571208074755130765058642580448776450377799005639854952883\
         506388715501386385849/1323783682220382603828935117090159055430\
         92607612131163395181416284160000000000000000*ep+
         1642155130703014095422111375/234*ep*z4+33556645187745927780280\
         03008449507165/43578767232*ep*z3+34535816060020013160226083133\
         14940554497787686152631647655698459822342111153539142036483200\
         57587201329885687627007112439/42527044933302690372422897901421\
         86707029071145148283080390875151447710551244800000000000000000
         *ep^2+17698776438707969660718994750/39*ep^2*z5+335566451877459\
         2778028003008449507165/29052511488*ep^2*z4-9920815080167054077\
         211491576952909987158531/49019053375708416*ep^2*z3-
         89112238626292259791953622489672420508369453668011452562413642\
         47567996011894762709649852128110630414163203460152527182336603\
         76222040278084521508484842650073/
         35078329706462063048838222511584306652692765166931704743689434\
         83934409680879801391595331266459898094813184000000000000000000\
         000000*ep^3+788234164088343564255244206875/702*ep^3*z6+
         39437753131241477511919596689724782555/43578767232*ep^3*z5-
         9920815080167054077211491576952909987158531/32679368917138944*
         ep^3*z4-385612969530570586102917986960351708318675925921749703\
         67/374791782231396713728130826240*ep^3*z3+
         57475397776897298605892879750/351*ep^3*z3^2;
Fill mncnoptab(13,5,3,8)=
      +mncF321*(-1218937959568659330000000-9788275421927275109925000*ep
         -593905215700809454298588000/21*ep^2-
         70457016492978335471743946285/1617*ep^3)
      +34504700128624378728844537433910374538883790314924753/
      5753382621973195166879201280-2118977818212456811375/819*ep^-3-
         1243546055908961904462146720/41810769*ep^-2-247819059658517814\
         2809580925393771173/22386442687480872*ep^-1+
         13137282145638167914433611000/819*z3-
         10269682730525368018320258651980218913438232554089660446811704\
         602056640219888843050387759987961540462803024403/
         17214086739399506515662036627457352026317038304825855437387386\
         0608000000000000000000*ep+6568641072819083957216805500/273*ep*
         z4+88277094521793643122903569873851955/334486152*ep*z3+
         15424394475626570227206794576467169802029326144782281862773172\
         27177510111727105936900089869278454876143945261841571009089/
         55300896217750722986343509298209973112579923916658903132138744\
         51666687754240000000000000000000*ep^2+
         20227180009592863311782411500/13*ep^2*z5+882770945217936431229\
         03569873851955/222990768*ep^2*z4-40696865824875676737039244593\
         2953899179735/585266475489696*ep^2*z3+
         25056050354900000386069411586828861321968977538973151787980121\
         20669724163480231611482420926439920064097359899385346568515950\
         068890109441489641754707327434946283/
         21524597504314243769758892977904205479263942822773634005917291\
         86115541843460328287107220350224555945987407872000000000000000\
         0000000000*ep^3+3152937646146780551819645783750/819*ep^3*z6+
         1034922074695725751823769088091742235/334486152*ep^3*z5-
         406968658248756767370392445932953899179735/390177650326464*
         ep^3*z4-1002706090808517611663171799025701118836266874606667883
       /2876691310986597583439600640*ep^3*z3+
         459802729812965468764987235500/819*ep^3*z3^2;
Fill mncnoptab(13,5,4,7)=
      +mncF321*(-2085738286373039298000000-50300216191581531005215000/3
         *ep-1310476321544195877135323600/27*ep^2-
         42510015406108768660158836851/567*ep^3)
      +1239306719829373506842291761579279241739975909486139/
      120765525293670534153676800-20073774736255019607025/1053*ep^-3-
         39490871231130135354147865637/185704974*ep^-2-4021431922810967\
         627142676617867659149/5403842037774180*ep^-1+
         28902359694809741103771128200/1053*z3-
         79219817455446601773997296907961666543653561416414190837023807\
         047254235967446177643796647670357479961925837/
         77588106712225876369121300234149771274693338529989794786705408\
         0000000000000000000*ep+14451179847404870551885564100/351*ep*z4
         +335630693141080189502635215393316189/742819896*ep*z3+
         12911191166844080176055957550327988178347317198970458103835418\
         2321241173671325432618254580843450777976735065882121359/
         27092900980638367587316878648054487017675488237014441653407708\
         8412467200000000000000000000*ep^2+
         311498972790255767790223369100/117*ep^2*z5+3356306931410801895\
         02635215393316189/495213264*ep^2*z4-30158287020203856057713773\
         25967353517653179/2542984488364320*ep^2*z3-
         58164362508707064486082218546484766159783718506975128298568185\
         68787221696106601387858121389812747821623988521572921640555867\
         73486811888720914030175538539908523/
         69029321442407195763075166984532437397056376399565590106440294\
         59845761014012714623375925321419858718910054400000000000000000\
         00000000*ep^3+6936470988543730422520597984250/1053*ep^3*z6+
         3949715816365594381454245274468529413/742819896*ep^3*z5-
         3015828702020385605771377325967353517653179/1695322992242880*
         ep^3*z4-36630538323424067238137224390151853203361864688220633/
         60382762646835267076838400*ep^3*z3+
         1011562277590961393102225718100/1053*ep^3*z3^2;
Fill mncnoptab(13,5,5,6)=
      +mncF321*(-1955379643474724341875000-15765008629584489236018750*
         ep-412847596028256948231796750/9*ep^2-
         13484490502738795782614482085/189*ep^3)
      +652287076035163027682946686275326383465048222374777/
      67798189638551878823116800-292047065155727631171125/5616*ep^-3-
         238503918264779747194703973095/417021696*ep^-2-376999767421651\
         18251170271378074911039/19415909637476352*ep^-1+
         18064502006366848377493080625/702*z3-
         71224675538885003542876444014286626166552724945488172430102312\
         79707100031072325905943840289583718846464535103/
         75079619051605039764706100301767485436488967434659297662022451\
         200000000000000000000*ep+18064502006366848377493080625/468*ep*
         z4+88452319156473508343158956579940295/208510848*ep*z3+
         84444819763808313782650498281403803237858835446736418465894772\
         3083080372366489745521748783458673239243770683157099743/
         19066883697652264708066615349307518683115982699131967960593695\
         84617062400000000000000000000*ep^2+
         389374962023750593059085654375/156*ep^2*z5+8845231915647350834\
         3158956579940295/139007232*ep^2*z4-185057844226390818631603935\
         890847793855837/167957695825920*ep^2*z3+
         67224402050009817706762788533011765651610258386433104510500763\
         26665739166961157733996701065440496395591345855461487606882982\
         99485378774114943400545223208475974314709/
         29698189124217808945165987341039742545175291719629105693250494\
         62954613850654344443638067025640231160099305947136000000000000\
         00000000000000*ep^3+17341228271005108203883923640625/2808*ep^3
         *z6+1051711182267794775832993708323987565/208510848*ep^3*z5-
         185057844226390818631603935890847793855837/111971797217280*
         ep^3*z4-20184542933136375588957729036678339156056669731705397/
         33899094819275939411558400*ep^3*z3+
         1264441247338916421087581068625/1404*ep^3*z3^2;
Fill mncnoptab(13,6,1,9)=
      +mncF321*(-37643672280796832250000-304138847037374835948000*ep-
         1776363217023537502196865/2*ep^2-4808994507118574570797764206/
         3465*ep^3)
      +9641056930546651184519442406049120559840981271537780529/
      52054414198805099128907059200000+20209054802988065/156*ep^-3-
         41694975443842545238588051/9684170496*ep^-2-242771962796797691\
         856666814327193933/3857981052717792000*ep^-1+
         19319463815675466627251635/39*z3-14057043392103302651087229018\
         75576596074854314052924742337762026557881764728942991046193419\
         8831843509334293673771/767265022214933757179250793865456188527\
         7647537199122230384714887829913600000000000000000*ep+
         19319463815675466627251635/26*ep*z4+39583083884743527686366712\
         103868777/4842085248*ep*z3+20997237788462983105389783023466832\
         68358659143459326746377450862166373162426416682346385613097831\
         511584272934320911182529477/2464867524334223933985631162366411\
         41539404963572794487339455123777909303550148608000000000000000\
         000*ep^2+624662668409142420595061490/13*ep^2*z5+39583083884743\
         527686366712103868777/3228056832*ep^2*z4-813037592317504137827\
         53156355871434387889449/3857981052717792000*ep^2*z3+
         95548044853535759085501363258355764457297395906019652851711169\
         41556975604473521117244002904126112424198446835542396103410382\
         7137536026616047946413711903604247/
         22983321623673943709598803389590037718844299737373652948065317\
         70673825222912445871773261045784525231721598156800000000000000\
         0000000000*ep^3+9273342707058758975789664175/78*ep^3*z6+
         158042786449105456332166965363580837/1614028416*ep^3*z5-
         81303759231750413782753156355871434387889449/
         2571987368478528000*ep^3*z4-3082297198150932204069863828965990\
         41225231236646070944979/26027207099402549564453529600000*ep^3*
         z3+676181241966095777623254670/39*ep^3*z3^2;
Fill mncnoptab(13,6,2,8)=
      +mncF321*(-301149378246374658000000-2428683675454306157580000*ep-
         7070167166610956080399300*ep^2-847186204262598299359492776/77*
         ep^3)
      +1512312945013474485189456699765475077317650759608491/
      1020674788211864688802099200-11234248430022095450/39*ep^-3-
         1417890758018392142281114277/403507104*ep^-2-31681173699273007\
         0791806196936802571/21701143421537580*ep^-1+
         154555959372962277029960600/39*z3-2269940041429906402795870384\
         97724446062268619043427027239501410850855671665767737207757688\
         6554872253095918352777/154539463702959069744355933822998377816\
         261211381574117189145258360832000000000000000000*ep+
         77277979686481138514980300/13*ep*z4+39547868842360779580579311\
         585813749/605260656*ep*z3+679225701802457427323958281265913414\
         27041685557096940809222423144485862859681820915974334539720269\
         9974802554201218336033847/992927591589714231219797709449360067\
         2363725339236106057375511577967537862737920000000000000000000*
         ep^2+4997302228574317101907138400/13*ep^2*z5+39547868842360779\
         580579311585813749/403507104*ep^2*z4-2943510473761150707875787\
         9876022214300406839/173609147372300640*ep^2*z3+
         24798738540204712281512404028622307110713502683022440944605249\
         82982439433135457793646674726415482691498066716968935582730504\
         8174554654819772371460547824660867/
         54461283144333075483740271129399647053212739209941589160598251\
         11459977622078262420188822273587526758301696000000000000000000\
         0000000*ep^3+37093376815874972571728636500/39*ep^3*z6+47070849\
         0758462373917750132680317683/605260656*ep^3*z5-294351047376115\
         07078757879876022214300406839/115739431581533760*ep^3*z4-
         799537486561641638199774601435314919709758582237574353/
         8675735699800849854817843200*ep^3*z3+
         5409447191964844999165980800/39*ep^3*z3^2;
Fill mncnoptab(13,6,3,7)=
      +mncF321*(-903448134739123974000000-7284792484143113077215000*ep-
         21200784069144934799752400*ep^2-22855937745146213493371178827/
         693*ep^3)
      +115691604937785389393471497443669690495550537703697953/
      26027207099402549564453529600-79861318505861567075/13*ep^-3-
         5289612680370039850281377893/75657582*ep^-2-968079218516256336\
         2606256796554546001/37977000987690765*ep^-1+
         154557468444877866720984600/13*z3-9102564984983922938987265519\
         29991849580242044741385595129930391210273849500680578483462884\
         49378457959363971687/20650317064292392701505287561382193342794\
         86546643969010059035279360000000000000000000*ep+
         231836202667316800081476900/13*ep*z4+6590798483487530879826979\
         653107359/33625592*ep*z3+5125821758763880400398235801759881950\
         81863212276727505755499482360825088322685265830287872357206430\
         52850970555012589020551/24975026599181058808478305159647769369\
         6909572358308275609971136700721240473600000000000000000000*
         ep^2+14991922739392120434574605700/13*ep^2*z5+1977239545046259\
         2639480938959322077/67251184*ep^2*z4-6184564876550405168699520\
         67454195146066650181/1215264031606104480*ep^2*z3+
         50688327867015719462407316645548253310326902562141224425643412\
         81962610597779810563844986333456613944772352873848910834069141\
         5872440927766156034270866274769599439/
         17395389003486613332294942080102174224058206852690528706822954\
         23881131775531204085090733180997804397165333708800000000000000\
         00000000000*ep^3+37093413177368106419634052750/13*ep^3*z6+
         705580767254872864906336781760175727/302630328*ep^3*z5-
         618456487655040516869952067454195146066650181/
         810176021070736320*ep^3*z4-35874806297803046502269881784380765\
         63109695061882225371/13013603549701274782226764800*ep^3*z3+
         5409430597962874503098506300/13*ep^3*z3^2;
Fill mncnoptab(13,6,4,6)=
      +mncF321*(-1325057264284048495200000-10700662966620269458662000*
         ep-31225233960636839763949320*ep^2-
         15356053202679160055716627438/315*ep^3)
      +72901603888756146946915502925339450290812979923259/
      11181993082747271680896000-1263175142980255872730/39*ep^-3-
         6164149899965003826935229406/17194905*ep^-2-493870885727188018\
         2753050061890216759/4002845953906800*ep^-1+
         680072924399896244080444240/39*z3-1410253826862092085815329354\
         41632695822356347560038512801289719237769725159721797486069172\
         74215178615373294533/21946350184315319315837167780516649589127\
         5443270542562396681011200000000000000000000*ep+
         340036462199948122040222120/13*ep*z4+1978753656703048088720319\
         2395515757/68779620*ep*z3+333710347828157481530714952101965089\
         42061548488750703644252280979864853274180265643123285479572017\
         4475810077090462227/111467935463197855216389443580567032301293\
         4373180022742311631449468436480000000000000000000*ep^2+
         21988224479616534494923752360/13*ep^2*z5+197875365670304808872\
         03192395515757/45853080*ep^2*z4-297351711105167148100029973581\
         5298661037551/4002845953906800*ep^2*z3-
         50608892547365258559573506169862798371773184404434663424239835\
         00925044704972110670302981569173028789752763975267243639735278\
         07130982947430786475596999116033540073/
         52276340651677185258169314101460557199745276746398707433991365\
         30460506690115022784083906047597660904945090560000000000000000\
         00000000000*ep^3+163211501286124268101727032100/39*ep^3*z6+
         78876275183164118712523162130455223/22926540*ep^3*z5-297351711\
         1051671481000299735815298661037551/2668563969271200*ep^3*z4-
         2312732459597732642229226748902500085196426232963241/
         5590996541373635840448000*ep^3*z3+
         23801273903650470700948157320/39*ep^3*z3^2;
Fill mncnoptab(13,6,5,5)=
      +mncF321*(-1035200987721912886875000-8387714594319961126668750*ep
         -24617898726012310866424750*ep^2-271103797901454537821441335/7
         *ep^3)
      +243021329465641001017165194291443123244433512084889/
      47709837153055025838489600-36810597902594961537125/624*ep^-3-
         569281451439256320486123623765/880379136*ep^-2-134007384159708\
         6704197578694922791520627/614837138520084480*ep^-1+
         1062671743307576380476342625/78*z3-304908675278994791854597223\
         80729768212367051494538529029625157805059696062159120611850183\
         75442245494776855931499/60255899066056140713562527858186513111\
         908585704360165931632738435072000000000000000000*ep+
         1062671743307576380476342625/52*ep*z4+110113770868378837255207\
         36498269325/48909952*ep*z3+19745228420817275916342691378574233\
         99536369306617979451905620679448280185376816760925166983238587\
         5114735702740538357154207/841627499921329086025826854810713320\
         68768596912584437135497420960664827985920000000000000000000*
         ep^2+68713611366545238110210769125/52*ep^2*z5+3303413126051365\
         1176562209494807975/97819904*ep^2*z4-6109062312646707928729411\
         91452691627288549/1063732073564160*ep^2*z3-
         10601839560878411198225707503209088135824923172414419865109646\
         19109005720410736203114903923701523733604383499277865363739284\
         73418233580073194869811442492875743090162411/
         62722575430348012492190565264275936255410216111856671224145044\
         65760144452581975464963597558152168210129734160351232000000000\
         0000000000000000*ep^3+1020077453065102807848398110625/312*ep^3
         *z6+1198814542502991349460568709884436775/440189568*ep^3*z5-
         610906231264670792872941191452691627288549/709154715709440*
         ep^3*z4-17623246975979390537702227274028117271552403796191/
         51971500166726607667200*ep^3*z3+74377709509442767583046274625/
         156*ep^3*z3^2;
Fill mncnoptab(13,6,6,4)=
      +mncF321*(-438438065388104281500000-3571271495489452843935000*ep-
         10577929269996912706113200*ep^2-11671787444707209105409082480/
         693*ep^3)
      +24059704100628813127364209998060561815685752635771019/
      11152174434526612289746944000-107002415724340349670025/2652*ep^-3
         -4983091368035307879124027669931/11224833984*ep^-2-21680418233\
         5583326478872630045035103942937/143718181129069747200*ep^-1+
         3825842416425378484521882250/663*z3-
         46563493855431250383273387651265697710092964381455130035113059\
         22545781507139515040614373677809573267919540031623/
         22040129377136252488086997313683661734671840671468684304830896\
         2125414400000000000000000*ep+1912921208212689242260941125/221*
         ep*z4+5902209203816856837832681726877174393/61736586912*ep*z3+
         26968618186611063429831473963129407519449180745079205102248289\
         7676100002827015591044163338100755675315641337845881168478047/
         27706201958347669901743964679773930285096812169045895487428385\
         36062385998790656000000000000000000*ep^2+
         123685295076586990696263131625/221*ep^2*z5+5902209203816856837\
         832681726877174393/41157724608*ep^2*z4-17184463996383517390492\
         680563500008828705620111/71859090564534873600*ep^2*z3-
         12679302287900790313126177890148257140587341815445046005745113\
         48850463324296175098607469296199108082428427477262855071982722\
         775519799647285663508494724347039543174489/
         14575158465627119402872782603286120687350948968992693975710704\
         75231013567168736548670915982575610087828896975511617536000000\
         0000000000000000*ep^3+1836150214066677968021337563125/1326*
         ep^3*z6+734300525614229827074637305262673489/623601888*ep^3*z5
         -17184463996383517390492680563500008828705620111/
         47906060376356582400*ep^3*z4-860311852487972882083832069222001\
         295576805217266918719/5576087217263306144873472000*ep^3*z3+
         133877411154090981303555409525/663*ep^3*z3^2;
Fill mncnoptab(13,7,1,8)=
      +mncF321*(-22307361351583308000000-543739975265218372795000/3*ep-
         14431528137598887103310900/27*ep^2-
         5277166696253880700707114787/6237*ep^3)
      +3856409306471714726241626174591106232967612538824358661/
      35136729584193441912012264960000-124156404081240475/1053*ep^-3-
         1223055720050565350619277871/98052226272*ep^-2-338221962404006\
         82606991571792790368/244137863492297775*ep^-1+
         309111427949382060699818200/1053*z3-
         46313612010369757265961272658607709876636918884233921253541017\
         5149127228208601093929896512010134950739289929993671/
         42838339338460254133135464855735150330667607794972345284831065\
         6176226304000000000000000000*ep+154555713974691030349909100/
         351*ep*z4+238154143877982355436023563634707679/49026113136*ep*
         z3+62563933079164422183989102960228069412776184034395427103493\
         57602930397185693852703065087858874977315718605620755025441882\
         943/1251088765403039931336945113906193684717829392743749363229\
         314458823909770704977920000000000000000000*ep^2+
         9994602716106497990758100300/351*ep^2*z5+238154143877982355436\
         023563634707679/32684075424*ep^2*z4-79870365234304406262225126\
         3275851274084987/65103430264612740*ep^2*z3+
         41376898836837475994306071888150211103045956017949962878897281\
         30157443952086457001880798049657403979517192864409984634006784\
         6519441997952550378475519222499460313/
         12832167534467759245478882683509144838677985612646437238020159\
         92762199927314080191444890304102693054791045611520000000000000\
         000000000000*ep^3+74186741800925279778936206750/1053*ep^3*z6+
         969455431269368010558500425972521391/16342037712*ep^3*z5-
         798703652343044062622251263275851274084987/43402286843075160*
         ep^3*z4-266873076689395044275740897363291075371757029288758712\
         19/3513672958419344191201226496000*ep^3*z3+
         10818899776458052297527579100/1053*ep^3*z3^2;
Fill mncnoptab(13,7,2,7)=
      +mncF321*(-156151529461083156000000-3801139825999953965605000/3*
         ep-100656144646809430591276700/27*ep^2-
         5242363974216017067823821931/891*ep^3)
      +154253626622200836757657009312310935411020196324970053/
      200781311909676810925784371200-500832523723229013925/1053*ep^-3-
         80811136711370618526253648631/14007460896*ep^-2-92568519598765\
         46958936554000125529159/390620581587676440*ep^-1+
         2163790974019568399161503400/1053*z3-
         28028976725336266975431533577162997804615545445565844452632570\
         421152848002720673514147088151348646126922021421877/
         37005368179211967721097475309996890470288398915859924660257912\
         20613120000000000000000000*ep+1081895487009784199580751700/351
         *ep*z4+238000180421680224843079801213691719/7003730448*ep*z3+
         37522220967738616704725008732729555760058819903959258014853740\
         126719608691164052252235048200503301616901685957514433316439057
       /106993013950891655935521059303931043979756060798299265271311634\
         9625889794188902400000000000000000000*ep^2+
         69962257961318294256630850100/351*ep^2*z5+23800018042168022484\
         3079801213691719/4669153632*ep^2*z4-56145836931985865425517117\
         86411238391884723/65103430264612740*ep^2*z3-
         12879220598375926550351402539591641807668791209723035354518075\
         02128023961905454518237657125553703178494437486349301331668623\
         835393292276439396456537360016315799/
         66509452721569208917286078048638262850290822741283769293269374\
         42240103283778841290287737241866889820750479360000000000000000\
         000000000*ep^3+519307457274838285926827617250/1053*ep^3*z6+
         964452107506909503323669548617733591/2334576816*ep^3*z5-
         5614583693198586542551711786411238391884723/43402286843075160*
         ep^3*z4-5241452373618345022337855498843681315697513867397455743
       /100390655954838405462892185600*ep^3*z3+
         75732177839681979374702433700/1053*ep^3*z3^2;
Fill mncnoptab(13,7,3,6)=
      +mncF321*(-401532504328499544000000-3258977273613122578440000*ep-
         28779709451173084330208950/3*ep^2-
         10498805294050399052063388232/693*ep^3)
      +15425389364820729029852967762634110484817119242294589/
      7808162129820764869336058880-850958761213118255300/117*ep^-3-
         224344576440965926134286461853/2723672952*ep^-2-72265218723657\
         878884096968288684671471/243052806321220896*ep^-1+
         618241571902214145694336400/117*z3-429538309956924647096447294\
         20984656723059246255098877392351558587981105974982437457077424\
         6335776605614732098557521/220899391682030623641245133228042662\
         50121136087528628496174365959782400000000000000000000*ep+
         309120785951107072847168200/39*ep*z4+7001028235499295135981057\
         031811131/80108028*ep*z3+1278532590972788555595248097772085253\
         52005924983249907691515455029741609427823010717024796682227210\
         60752333377251754936412621/14192950830220321705732385417868403\
         79323294684059071886252093116850670135148544000000000000000000\
         00*ep^2+19989271788502089305363389600/39*ep^2*z5+7001028235499\
         295135981057031811131/53405352*ep^2*z4-89755753940866800635435\
         610825066263166277657/405088010535368160*ep^2*z3-
         12842599160133453530729943729491405827323373265164749612024946\
         84296741592994728664650460299215359109354707879119483575225730\
         128497125634038660712329531938278993062009/
         18898847624502242056014719217025290710566094730673067259341223\
         85516572450416401009587860834498328920063194693632000000000000\
         000000000000000*ep^3+148373934484010134425989581000/117*ep^3*
         z6+482730059931208474505843302295141303/453945492*ep^3*z5-
         89755753940866800635435610825066263166277657/
         270058673690245440*ep^3*z4-26300557716929098680605408023586523\
         98064183402656467639/19520405324551912173340147200*ep^3*z3+
         21637593673893827848682175200/117*ep^3*z3^2;
Fill mncnoptab(13,7,4,5)=
      +mncF321*(-490761949734832776000000-11972314906187596455880000/3*
         ep-318224851855831037351651450/27*ep^2-
         10599353644904413457427739232/567*ep^3)
      +145806179760643673873868790344069453992262066910529/
      60382762646835267076838400-26931578293497794590300/1053*ep^-3-
         630671548074382409116058443213/2228459688*ep^-2-42087472294574\
         223262427894598258096409/43230736302193440*ep^-1+
         6801043773039040578491244400/1053*z3-
         71974230489484939232529585372489913795617452911138310763449131\
         6522408582432677366606151352547582515390385671371/
         30127949533028070356781263929093256555954292852180082965816369\
         217536000000000000000000*ep+3400521886519520289245622200/351*
         ep*z4+119133050844543817517689290104855387/1114229844*ep*z3+
         46479033306805059998835564700278839226701513546002629786482654\
         32139495848224333283968292238473977855488397513122067989513/
         42081374996066454301291342740535666034384298456292218567748710\
         480332413992960000000000000000000*ep^2+
         219883360025975302634197061600/351*ep^2*z5+1191330508445438175\
         17689290104855387/742819896*ep^2*z4-10577872006394274315409496\
         59187999434798643/3930066936563040*ep^2*z3+
         49885443742089375384207323391035269541774174022696310541747338\
         56284594995091846365162447449048108403397347348051959209748575\
         0860856234185410368440595603414098275146831/
         31361287715174006246095282632137968127705108055928335612072522\
         32880072226290987732481798779076084105064867080175616000000000\
         0000000000000000*ep^3+1632122590762217168310249851000/1053*
         ep^3*z6+486338199555059489658281741590248743/371409948*ep^3*z5
         -1057787200639427431540949659187999434798643/2620044624375360*
         ep^3*z4-5101092933517425217786917986152018643704785851872183/
         30191381323417633538419200*ep^3*z3+
         238009279754271371038265399200/1053*ep^3*z3^2;
Fill mncnoptab(13,7,5,4)=
      +mncF321*(-306726218584270485000000-7509973659854404047925000/3*
         ep-200872200800856698169437000/27*ep^2-
         74205252902362012332589181845/6237*ep^3)
      +320788728238411136486486113024569456439515312484559/
      212547324516860140110471168-59144701082624084701625/2106*ep^-3-
         2762754680429416375271873446045/8913838752*ep^-2-1613368212557\
         715610919210516886648375997/1521721917837209088*ep^-1+
         4250932711356466536775571500/1053*z3-
         96732349940970058044041693131498228166401212871592642008921240\
         7513662379235413059607535983180319589267186812527/
         65634208806913104835847308176778551489280113764300126054827301\
         221171200000000000000000*ep+2125466355678233268387785750/351*
         ep*z4+3282168394528296798305272287532048705/49026113136*ep*z3+
         12428036224908659711633478966472229274679272244856417673174389\
         544451547996977486452307623903250836824854985796691800093269/
         18334986590083016846742329567497453865137596288339195543151137\
         3710010838155264000000000000000000*ep^2+
         137428093910093905769104132250/351*ep^2*z5+3282168394528296798\
         305272287532048705/32684075424*ep^2*z4-12648301820943297520312\
         3497788689831750177043/760860958918604544*ep^2*z3+
         88854914231308461109767094403370366783607795345741226559232053\
         56383873160299126777160987949070321881768134431532070374330107\
         34595177768149213943896242502683383127021/
         14383380064763604673887614411137619099359489114137526949714511\
         26872710757074411067767351298594352060357464120570675200000000\
         000000000000000*ep^3+1020083372547313126926342063125/1053*ep^3
         *z6+1233134116729405223788084345341364295/1485639792*ep^3*z5-
         126483018209432975203123497788689831750177043/
         507240639279069696*ep^3*z4-58825155958342100730429508835955664\
         706331797367237719/531368311292150350276177920*ep^3*z3+
         148752715395568294672615083250/1053*ep^3*z3^2;
Fill mncnoptab(13,7,6,3)=
      +mncF321*(-97430681197356507000000-799592879993603964345000*ep-
         2399018168995116719470200*ep^2-27190723177925901634621689/7*
         ep^3)
      +15424974450957874172590294531672110039666233818070557/
      32179092413806788552415272960-12839916685485115144325/1326*ep^-3-
         67845802958269775566631110801/623601888*ep^-2-3869817754763891\
         296480364731743588872593/10016721715056376320*ep^-1+
         850197639362559511838290300/663*z3-
         39531357738818839132164972224741035297230802719204632714468232\
         391423074524602997209518599061744253149309846123035732923/
         84953802108896197178345264432778630784798324030483803877602796\
         50425977071206400000000000000000*ep+
         425098819681279755919145150/221*ep*z4+199465400125079163088523\
         46485157677/935402832*ep*z3+5841630740618775423092232603777127\
         73873447068778882234668481644062406045059900477012475095836276\
         8286395000659097224208348880708609/272917260430354154312682435\
         26233209815689455089976862985623012692712242442122673992499200\
         0000000000000000*ep^2+27485658154917987798233690450/221*ep^2*
         z5+19946540012507916308852346485157677/623601888*ep^2*z4-
         259645252443275159474665076826809593206810431/
         5008360857528188160*ep^2*z3+
         52730396772102115237070903727009340199221274021672943386383865\
         09803699428078026864439679285416648327185528371819751923731587\
         775588710923690849349858687485788419000956331/
         29072582752770894168930243699354715397702692876817426916884285\
         74594128395312573169082253746577483588522706500487173111808000\
         0000000000000000000*ep^3+204016942063478509707156952625/663*
         ep^3*z6+251905664298596180277571714604695259/935402832*ep^3*z5
         -259645252443275159474665076826809593206810431/
         3338907238352125440*ep^3*z4-3025940322244456891941557312010806\
         413085647374247562293/80447731034516971381038182400*ep^3*z3+
         29750421200308868409541544650/663*ep^3*z3^2;
Fill mncnoptab(13,7,7,2)=
      +mncF321*(-14434174992200964000000-119373674930192640265000*ep-
         9797590712352637367989300/27*ep^2-138046486157823022573275884/
         231*ep^3)
      +113086220083388661459467902658575721454273861368280127/
      1592865074483436033344556011520-14146665719196084797900/17901*
         ep^-3-238169277445013795114082166481/25255876464*ep^-2-
         55910023233400206692952296136659788664143/
         1487483174685871883520*ep^-1+3400537009795868973941541200/
         17901*z3-12342642084819304365965270233605596016354512846380154\
         67048722091793559031036359051106210281340392906506403068038092\
         66516299/17767025788549278437386182740310240895755759491925306\
         5334521548539096277972942848000000000000000000*ep+
         1700268504897934486970770600/5967*ep*z4+2202384427101224216541\
         68870098092227/69453660276*ep*z3+
         18035820553697887616242472542720751027612004924340708006542078\
         64619197441305991263907410143571266117767507711172320567421631\
         7069010269/570772335532531919475686228046759791782875341388003\
         6182655732817022106603739430732106301440000000000000000000*
         ep^2+109941733457341227276679856800/5967*ep^2*z5+2202384427101\
         22421654168870098092227/46302440184*ep^2*z4-556399924717618647\
         1915979722129909896457372069/743741587342935941760*ep^2*z3-
         36707737636932122417672068001356227496174390918935697174988372\
         29457438406178376478099754126799240098310800601700301140088410\
         5960772779818017173808720190117982189967751179473/
         60801672754576228792546488416737967914870469315254046218298873\
         10191795272746832711489398429248484739946675307456361666707456\
         00000000000000000000000*ep^3+816061658405569532140245073000/
         17901*ep^3*z6+129637049444666591587259459414305297/3156984558*
         ep^3*z5-5563999247176186471915979722129909896457372069/
         495827724895290627840*ep^3*z4-24171586966120891408673375413532\
         130149820884154159821483/3982162686208590083361390028800*ep^3*
         z3+119004472369162106001434117600/17901*ep^3*z3^2;
Fill mncnoptab(13,8,1,7)=
      +mncF321*(-8218501550583324000000-202057179193091951575000/3*ep-
         5442754547174467158562100/27*ep^2-2029058313696439314386909599/
         6237*ep^3)
      +284153056784029853050501987968817120766264491650463589/
      7027345916838688382402452992000+123091383198826025/1053*ep^-3-
         1346089280243873542198978283/98052226272*ep^-2-336778230471504\
         34567461916427533111/195310290793838220*ep^-1+
         113883151715845333754447800/1053*z3-
         38026107889256499262135864823962059204260042250276215804583052\
         20511997704123770933840185721375079059082947054947/
         96127647369323216441684695338796587198329339457816888840495043\
         07773440000000000000000000*ep+56941575857922666877223900/351*
         ep*z4+88113464450608294308593436532838587/49026113136*ep*z3+
         16481038031193000723099387102188626706860739694420552943688332\
         168735103639137520988609890047587295890388609785141788248097/
         90827545713756422034098652641821071462835277131123540232034401\
         14299698990284800000000000000000000*ep^2+
         3682222034918378107117312700/351*ep^2*z5+881134644506082943085\
         93436532838587/32684075424*ep^2*z4-250336614625194905950387966\
         0675103210447047/569655014815361475*ep^2*z3+
         29128477843617986409770936846242299159427003560807154105942597\
         53974194047845404815213643366425519519354993709470238018578287\
         298884180449549474845129303126013/
         18944018967993377942720927171671747033274871829600736036616737\
         19066777922435856091007612744393956456923136000000000000000000\
         00000000*ep^3+27331957382598222468993725750/1053*ep^3*z6+
         369210535245479241460157002823173003/16342037712*ep^3*z5-
         2503366146251949059503879660675103210447047/379770009876907650
         *ep^3*z4-54847383290367815005093755508269544315443055122603775\
         067/17568364792096720956006132480000*ep^3*z3+
         3985910527289771800258242700/1053*ep^3*z3^2;
Fill mncnoptab(13,8,2,6)=
      +mncF321*(-49311009303499944000000-403743258230830015190000*ep-
         10858345211179990175035600/9*ep^2-4039585711262858469130030946/
         2079*ep^3)
      +11365631737609590405536856011455300638360523555965401/
      46848972778924589216016353280-149797937027101622150/351*ep^-3-
         84141399729450969049604533343/16342037712*ep^-2-21824167743987\
         50833137413314406210849/104165488423380384*ep^-1+
         227769610858147380669849200/351*z3-211430163566611514717941476\
         64258103449054837225721479960317635478447006449205130832218970\
         43271838281135097273731/89007080897521496705263606795182025183\
         6382772757563785560139287756800000000000000000000*ep+
         113884805429073690334924600/117*ep*z4+880744732994087306597558\
         72586919087/8171018856*ep*z3+141779331385234552948911141899593\
         53645617088512208536530730260468322779117740830965301140077529\
         57429813636113716324682733/12997207719981979584004015950428941\
         2025942736635446143429678856854456972083200000000000000000000*
         ep^2+7364455788340787853932603800/117*ep^2*z5+8807447329940873\
         0659755872586919087/5447345904*ep^2*z4-53568016297631148101326\
         85074047122543071981/202544005267684080*ep^2*z3+
         39232002890767626424146209695644532010821401092026314376205824\
         77503527090609912090263196151909898237966127994836239413479766\
         43349009566628729222906635888354563/
         13330976310810154848581393194880118282674909806015332766508074\
         31935880760232639471449801560869821210427392000000000000000000\
         000000000*ep^3+54663994385410540452819905500/351*ep^3*z6+
         367923569050874524030770613597521343/2723672952*ep^3*z5-
         5356801629763114810132685074047122543071981/135029336845122720
         *ep^3*z4-21700372758277286386092250261506686201961276524827035\
         59/117122431947311473040040883200*ep^3*z3+
         7971784621240338374545820600/351*ep^3*z3^2;
Fill mncnoptab(13,8,3,5)=
      +mncF321*(-105666448507499880000000-865697735565439807800000*ep-
         7768927537799865064345250/3*ep^2-413457897264244218243059920/
         99*ep^3)
      +579884885149451707026325136661131981904724282315997/
      1115451732831537838476579840-506528161314501863500/117*ep^-3-
         1122887097145331013374613565/22888008*ep^-2-431054367156596692\
         24194881629779981445/243052806321220896*ep^-1+
         162701364266736538122718000/117*z3-
         13060321396707202297182214267716326197952932858843340830911017\
         547428571532397009330765964865129531544231849672162297/
         25659673337784677242167034675769435676140711679273254861156143\
         49888323584000000000000000000*ep+81350682133368269061359000/39
         *ep*z4+31465870801682953901294428006101565/1361836476*ep*z3+
         96284313257487613693996803449131004007716136704113702014466859\
         62694067983507027943608759400971393366684768480197285638891828\
         79/41216329210959814233446847253489844615548477625075447576760\
         784113343460724713717760000000000000000000*ep^2+
         5260356715749665129084252000/39*ep^2*z5+3146587080168295390129\
         4428006101565/907890984*ep^2*z4-218186103657475200812181322615\
         260348175379/3857981052717792*ep^2*z3+
         49099961661240355966011061163610174974201564200774262270961218\
         64365750584433992866078714481629814775081242172990849724125072\
         0203585560171094403723356367622189010808921/
         54882253501554510930666744606241444223483939097874587321126914\
         07540126396009228531843147863383147183863517390307328000000000\
         0000000000000000*ep^3+39045921957455647122825095000/117*ep^3*
         z6+131714512385022741616878314761880785/453945492*ep^3*z5-
         218186103657475200812181322615260348175379/2571987368478528*
         ep^3*z4-31232009275438418120472483449063422847532800736491129/
         780816212982076486933605888*ep^3*z3+
         5694035272965757804143124000/117*ep^3*z3^2;
Fill mncnoptab(13,8,4,4)=
      +mncF321*(-103318305207333216000000-2544974177218706390080000/3*
         ep-68775551184773205096048200/27*ep^2-
         25747498886451124281003728632/6237*ep^3)
      +84411644445026147930633748511814045285057066113831/
      166052597278796984461305600-9662514826271155334800/1053*ep^-3-
         56995298314352617632422913277/557114922*ep^-2-6074835733186320\
         626787422326791203693/16983503547290280*ep^-1+
         1431886565514625913646750400/1053*z3-
         12083426285961740821200949501437732891585176661633405521605677\
         410221635557248737010529415031817408499594287018677/
         24503437954580892472049661719330659222664575805338713727135525\
         78923724800000000000000000*ep+715943282757312956823375200/351*
         ep*z4+69303769399862818510867555741538053/3064132071*ep*z3+
         77206146233536762254490314152972065223009611059433248699516663\
         908497638172343536497025911855759199383540939200177451312397/
         34225308301488298113919015192661913881590179738233165013882123\
         09253535645564928000000000000000000*ep^2+
         46291545206974335598693145600/351*ep^2*z5+69303769399862818510\
         867555741538053/2042754714*ep^2*z4-652529002739353867402637433\
         8973552514409327/118884524831031960*ep^2*z3-
         25103433466260447338883986591482636806880702584042522980531905\
         89480481525266630832663862193165537153095910574208040586613836\
         63483200031751256055579635138959456627956363/
         85021757716158196516757898519169037342880535652457381524979111\
         05514245808484296533913676565024392179001899023817768960000000\
         00000000000000000*ep^3+343606872638520952206081716000/1053*
         ep^3*z6+26565095756517675802249533493530947/92852487*ep^3*z5-
         6525290027393538674026374338973552514409327/79256349887354640*
         ep^3*z4-3332443605277937082000473826173716962347042227498577/
         83026298639398492230652800*ep^3*z3+
         50106249854512245588925907200/1053*ep^3*z3^2;
Fill mncnoptab(13,8,5,3)=
      +mncF321*(-48430455565937445000000-399199907494531949575000*ep-
         10859673557196297440813000/9*ep^2-585818477493805786721744665/
         297*ep^3)
      +1275700179874608880959976041705969587397386987575475/
      5354168317591381624687583232-3564738817907079675875/702*ep^-3-
         24310626650445746053613283865/424468512*ep^-2-2392237088707018\
         717644299515945653535865/11666534703418603008*ep^-1+
         223738262346387339198038500/351*z3-
         30026891524423664521092529662894613611865949009411514449450480\
         209788897847161103589004352665929395220737058699258951/
         12955917532947132467285770174933560250404973163690340460636592\
         059473167646720000000000000000*ep+111869131173193669599019250/
         117*ep*z4+173595604921617426075042021671287195/16342037712*ep*
         z3+23848589979346147827599017153594725211074578306607472620399\
         98373290419235236084905472451801124430512763152432501052223960\
         8076653/224755390942644597669267887863097022011560218388044753\
         9992483398223361142292455505264640000000000000000*ep^2+
         7233075176426565961427282750/117*ep^2*z5+173595604921617426075\
         042021671287195/10894691808*ep^2*z4-21158310665280090418430056\
         560261914979050161/833323907387043072*ep^2*z3-
         86461360898848972598229963447480435426550798862330983876806290\
         91733050728172923226428366750693007321360200438050234473770052\
         249436969780638351674582891303827474949675773/
         29927658716087685173898780278747501144693948549664998296792647\
         09141014524586472379937614150888586047008668456383854673920000\
         0000000000000000000*ep^3+53688718167333276362709524375/351*
         ep^3*z6+67392152246407937290374097242679805/495213264*ep^3*z5-
         21158310665280090418430056560261914979050161/
         555549271591362048*ep^3*z4-36837074373839110137321723905202990\
         6090929289085263961/18739589111569835686406541312*ep^3*z3+
         7829035774415978514273871750/351*ep^3*z3^2;
Fill mncnoptab(13,8,6,2)=
      +mncF321*(-10255861178669106000000-85022444768241498210000*ep-
         259499334192660010429600*ep^2-297693955078489046873403418/693*
         ep^3)
      +8927644981356595084221844832408400503084757424102249/
      176985008275937337038284001280-131723280201990702725/221*ep^-3-
         19968931157024042066558831411/2806208496*ep^-2-156443459363784\
         5969067126792077779545013/55091969432810069760*ep^-1+
         29829440393949015004863800/221*z3-
         12228215405873417670179046597531681260897845900369269793600520\
         70747297693348746571565436151298451464755591151286631452911117/
         24873836103968989812340655836434337254058063288695429146833016\
         79547347891621199872000000000000000000*ep+
         44744160590923522507295700/221*ep*z4+3481612820880681783436747\
         3786541099/15434146728*ep*z3+178375620205648385849423332020869\
         53648052444811116334398167436015034882422126601366951867000920\
         1937938424862923541786166028789531035907/
         79908126974554468726596071926546370849602547794320506557180259\
         438309492452352030249488220160000000000000000000*ep^2+
         2893205301060367531177997100/221*ep^2*z5+348161282088068178343\
         67473786541099/10289431152*ep^2*z4-145191572580543650591472630\
         649482880634183227/27545984716405034880*ep^2*z3+
         19908122221054627395331975807145728991523153618196931529121604\
         44792241184003300006141792742513957636033941495202789747719075\
         7421165825945062166829490236946180243014036079/
         21770419912124480897586977949727149637038019703671525500158164\
         28201665826558968234292879232978997093587044867119924893450240\
         0000000000000000000000*ep^3+7158439651666046290432833250/221*
         ep^3*z6+13768023492362404773175902383597701/467701416*ep^3*z5-
         145191572580543650591472630649482880634183227/
         18363989810936689920*ep^3*z4-195722060018586266961462086146681\
         7878185863457923818753/442462520689843342595710003200*ep^3*z3+
         1043897024076469225403906900/221*ep^3*z3^2;
Fill mncnoptab(13,8,7,1)=
      +mncF321*(-759693420642156000000-6347474181139201495000*ep-
         530008987006559990183500/27*ep^2-7634750933180259672342044/231
         *ep^3)
      +744006690413692149305815536398610091052673299129674517/199108134\
      310429504168069501440000-2875582806891952700/17901*ep^-3-
         672570750407417064577890359/25255876464*ep^-2-2190008759601742\
         011719281719212007117821/7437415873429359417600*ep^-1+
         178959289119710712867614000/17901*z3-
         97616673098158207051518964716187286424357514761405879827495321\
         1538409692641390457460027330267837604662626706488616304487363/
         27150916143807550395744435991723078332126352464395243943365252\
         152260263866559102976000000000000000000*ep+
         89479644559855356433807000/5967*ep*z4+116498661442118219826829\
         14472606793/69453660276*ep*z3+
         69155508560060652093087222911561109694662428150972850985691262\
         48757126856275825792432356056015112390734508337605951352098475\
         067815650157/4273943248467599013033938475614137320870170556313\
         37109357261273338615342488008573220119851827200000000000000000\
         00*ep^2+5786349112174975168554280000/5967*ep^2*z5+116498661442\
         11821982682914472606793/46302440184*ep^2*z4-141169849120891010\
         6117850212726044106999786303/3718707936714679708800*ep^2*z3-
         24662903189367468186213771144637953705762194349634842255820549\
         02486411451247655498736887288226576678213597196172768903480171\
         029448414343026972902591811947524947166352316585929/
         26852401121312470519671829065602101669949586010862825335893417\
         74622239001565892629859148135029276924235976256927633724556789\
         6780800000000000000000000000*ep^3+
         42950220118513036981988065000/17901*ep^3*z6+708317816096278308\
         9964327577044213/3156984558*ep^3*z5-14116984912089101061178502\
         12726044106999786303/2479138624476453139200*ep^3*z4-
         35213339513017634299500215677639195943258179001689203269/
         99554067155214752084034750720000*ep^3*z3+
         6263573262412266047039004800/17901*ep^3*z3^2;
Fill mncnoptab(13,9,1,6)=
      +mncF321*(-1849162848881247900000-15339872217562205226375*ep-
         281204760872126347566685/6*ep^2-717682666703112588673667797/
         9240*ep^3)
      +1420715380821913161383369323788296408931964227223335163/15616324\
      2596415297386721177600000-102882203296268285/936*ep^-3-
         5006339931347312099964185033/435787672320*ep^-2-15554705208827\
         2275200044615089283381/1240065338373576000*ep^-1+
         2847079292216570484263215/117*z3-43054034052243820723290393208\
         44984557080728127398090787285368491009331463450125069376043207\
         59244046776828782657/48953894493636823187894983737350113851001\
         05250166600820580766082662400000000000000000000*ep+
         2847079292216570484263215/78*ep*z4+886456438055173037498328083\
         47631617/217893836160*ep*z3+1002666981333397869868777811502216\
         66469168554792056966576365569037234274408020688843732966642874\
         42394076298348906334152481/25162594145885112474631774880030430\
         168222513812622373367985826687022869795307520000000000000000000
         *ep^2+184111104926035655767033345/78*ep^2*z5+88645643805517303\
         749832808347631617/145262557440*ep^2*z4-7532338994892831213193\
         7698103329678842829/79429021673601600*ep^2*z3+
         35687356619733354710527885613447539236439029723097157594667244\
         23850982099178962925701011151975434501909284208727212888884532\
         5893967126050605595393320247041314867251497/
         31132733745680337451210119680447262732969213660633260531410826\
         56548808306004247217453567410505785275556786501907906560000000\
         000000000000000000*ep^3+2733195780968369131662868025/468*ep^3*
         z6+386416445209565944160777093100556993/72631278720*ep^3*z5-
         75323389948928312131937698103329678842829/52952681115734400*
         ep^3*z4-738360118369832465238074634032986649318560507459474829/
         918607309390678219921889280000*ep^3*z3+
         199295513000245815391431965/234*ep^3*z3^2;
Fill mncnoptab(13,9,2,5)=
      +mncF321*(-9245814244406239500000-76653782699794775041875*ep-
         1403762682189923553713825/6*ep^2-2146702927764166519021768303/
         5544*ep^3)
      +56822870809953675774806658348632339299150316768769283/
      1249305940771322379093769420800-191768936977092997825/936*ep^-3-
         215353153043466665295799808633/87157534464*ep^-2-3489149058597\
         193193776735703432162687/347218294744601280*ep^-1+
         14235921393520453215110075/117*z3-2483604799020764919809642628\
         99464000532892291767795123619259931907084952097458215324545981\
         35133433869594409833491/56394886456669620312455021265427331156\
         353212481919241453090425272270848000000000000000000*ep+
         14235921393520453215110075/78*ep*z4+52130480403526747623591601\
         98671201/2563456896*ep*z3+905165779440316911799907201718874646\
         46213096349734126471248080863369704763165815497364516965504923\
         1190616767235798670244021/452926694625932024543371947840547743\
         028005248627202720623744880366411656315535360000000000000000000
         *ep^2+920559249345202243944912725/78*ep^2*z5+52130480403526747\
         62359160198671201/1708971264*ep^2*z4-3849435882999483272127184\
         759180795021563391/810176021070736320*ep^2*z3-
         48234390871239277018704208904572691442617100208681843453788786\
         41251063584212930283323398686043723971867229246747780016423650\
         1049150547216092704053046064568717859943959653/
         14570119392978397927166336010449318959029591993176365928700266\
         83264842287209987697768269548116707508960576082892900270080000\
         000000000000000000000*ep^3+13666029526242829127022590125/468*
         ep^3*z6+385579513166922737924807966936052913/14526255744*ep^3*
         z5-3849435882999483272127184759180795021563391/
         540117347380490880*ep^3*z4-49911723413942647532100240447794634\
         3728975019698005141/124930594077132237909376942080*ep^3*z3+
         996466032767998276895665825/234*ep^3*z3^2;
Fill mncnoptab(13,9,3,4)=
      +mncF321*(-15849967276124982000000-131523832027404996795000*ep-
         402036574439306507167700*ep^2-462001346798734077297801481/693*
         ep^3)
      +11530749473652607077127370371484690983940852781521/
      147881858519332667979849600-48843415135336190425/39*ep^-3-
         25918742051739928032590384311/1815781968*ep^-2-423256469219341\
         41840904535855840079593/810176021070736320*ep^-1+
         8135586000909451607040400/39*z3-275978732569428892380070952513\
         79288842222273612152017075073666110488223310902615701007643153\
         24305016823190034355813/36506121991026822698868763363970954787\
         20325230492524039812954395236525670400000000000000000*ep+
         4067793000454725803520200/13*ep*z4+143939430965691969543361222\
         461737/41267772*ep*z3+4026906016644024465075917183843188952541\
         41443814236821140285776937850459474644218132736622722363194321\
         687470637394047330441769/1172772795966953489693536056799555425\
         61690744752574373028364741326590041051902246912000000000000000\
         000*ep^2+263019671078674224753543100/13*ep^2*z5+14393943096569\
         1969543361222461737/27511848*ep^2*z4-1644404855540592345051118\
         726134607535844089/202544005267684080*ep^2*z3-
         36875218249297904514287316665335926886517981607000691457209214\
         50468497912750913615119733082277930889223923582168912722107541\
         4956753197443778212603882135408820860307936122509169/
         18577808919911973237600697475566448186693344624795200547219145\
         86289913711898638088402526530430576841521756097301448607525765\
         12000000000000000000000000*ep^3+1952308568087783056633972250/
         39*ep^3*z6+3454184775865964187120350871025349/75657582*ep^3*z5
         -1644404855540592345051118726134607535844089/
         135029336845122720*ep^3*z4-22486353405204240744440661577882520\
         9485869131095283/32534008874253186955566912*ep^3*z3+
         284696064677651650305414700/39*ep^3*z3^2;
Fill mncnoptab(13,9,4,3)=
      +mncF321*(-11623309335824986800000-96685204489702306863000*ep-
         890264093475030833163340/3*ep^2-1714118714625461491912295317/
         3465*ep^3)
      +1116126053159812998762530862436432828580970171115171/
      19520405324551912173340147200-156312372458318529935/117*ep^-3-
         37634040933630642968809593971/2476066320*ep^-2-673502180030566\
         252298574321360483162667/12152640316061044800*ep^-1+
         17899362615147742919560880/117*z3-6616931022772590281198666589\
         56236255819628377454687741602795705935303156698023114897276649\
         046749444047929914555917/1189829161189022369444611546677571859\
         731068964012378205568666617706719477760000000000000000*ep+
         8949681307573871459780440/39*ep*z4+174383822218456545625429397\
         33825347/6809182380*ep*z3+501091176325466578204781842178510302\
         09847972434102480515380741010929447081548201585956559756121800\
         2588909271312441640499893/198392937418477330051963039212535327\
         670680229493013164676972265219913948722941132800000000000000000
         *ep^2+578647083853337510637582820/39*ep^2*z5+17438382221845654\
         562542939733825347/4539454920*ep^2*z4-597709976152645841464279\
         0324003431388790677/1012720026338420400*ep^2*z3+
         27906256340771378753911409463837103149512688139080529085747224\
         00507255326226553854643056820547713102352703516471768503939962\
         7644085001991252281704283340315011962049044936492229/
         65848011616132438475495805496729966350613077058996321939587861\
         44738694156618506113337844035637266804949335500435134508896878\
         59200000000000000000000000*ep^3+4295104722362161972482968950/
         117*ep^3*z6+1742583460193621973004018524444632/51584715*ep^3*
         z5-5977099761526458414642790324003431388790677/
         675146684225613600*ep^3*z4-25339011434205716199623135961220923\
         4857249420233075029/48801013311379780433350368000*ep^3*z3+
         626319546248254548185668340/117*ep^3*z3^2;
Fill mncnoptab(13,9,5,2)=
      +mncF321*(-3632284167445308375000-30337058705544491958750*ep-
         562502879591578280550775/6*ep^2-109262125181207728594028207/
         693*ep^3)
      +44634466724972273636432258084993442992557887606703123/
      2498611881542644758187538841600-472260748018145314675/1872*ep^-3-
         23907421359089942083721607431/7923412224*ep^-2-208952175068901\
         938852291410593055158391/17283755116175708160*ep^-1+
         11186252259768750520114925/234*z3-
         10271926085292337552058958406393496427824326983164039119180979\
         8776829816082658933825185380251051997797974148544678759021/
         59721095087560599789533387362387364355481544510673299272108083\
         5425533707472076800000000000000000*ep+
         11186252259768750520114925/156*ep*z4+3494560375946942563688831\
         8387844609/43578767232*ep*z3+593900049316405903774488612272254\
         84944335141659409064331426130257566770574832861737096781753669\
         9020424532349672390782499037369363/767424988951303421143779802\
         41581148475008449262252587329824979052398071983051169507311616\
         0000000000000000*ep^2+723302829060652053033724775/156*ep^2*z5+
         34945603759469425636888318387844609/29052511488*ep^2*z4-
         141361060044192192818011207870241191724502449/
         77776898022790686720*ep^2*z3+
         12401940529918185737588262934794982764492698393612113633798903\
         63790189153580937881751777329182509286089469697078199233930953\
         046095221347521432769450689612932488379898109885298910813/
         35254498635184378500272650296505250144387436552770158795879824\
         31603938941900295225032174993927907549235434632248967534987317\
         6231280640000000000000000000000*ep^3+
         10737679913312093290304722375/936*ep^3*z6+14147355381537871546\
         098972036943891/1320568704*ep^3*z5-141361060044192192818011207\
         870241191724502449/51851265348527124480*ep^3*z4-21071799634002\
         65932327473537013311995107454944012938719/
         1249305940771322379093769420800*ep^3*z3+
         782918099799840251977441675/468*ep^3*z3^2;
Fill mncnoptab(13,9,6,1)=
      +mncF321*(-384594794200091475000-3231023276230018557750*ep-
         20165924231473937504785/2*ep^2-11899955213892440773856315/693*
         ep^3)
      +3347841320821143478504520659426194027615512795810180113/17698500\
      82759373370382840012800000-1524695133657984005/10608*ep^-3-
         3730546844397760380006548693/224496679680*ep^-2-14672686225404\
         6656336857570265039745619/816177324930519552000*ep^-1+
         6710975163357691191277435/1326*z3-
         24099852708935795286306666528162969111105352193120446442191059\
         967251248565977721193167264579453378231860771920593945219927713
       /133039489104656996939147736359443083827419127075536695322489735\
         5460752929461396045824000000000000000000*ep+
         6710975163357691191277435/884*ep*z4+10513508754155806257522265\
         3032266627/1234731738240*ep*z3+
         34651773655048634548118986623529426034870809683715327564064811\
         48976569821169655737661351239769333908810964490111240231219937\
         721565995343/4273943248467599013033938475614137320870170556313\
         37109357261273338615342488008573220119851827200000000000000000\
         00*ep^2+433976196326298902075912305/884*ep^2*z5+10513508754155\
         8062575222653032266627/823154492160*ep^2*z4-207496074317651762\
         4521655255833460627872590943/11018393886562013952000*ep^2*z3+
         87267100228754059983215491555915943654952745956412852576703409\
         05098120459661473298257854558583311165279294699425088115164462\
         94201283338749871729170301061236270869101887413677/
         45528292558626680119858810526453390374655007423262229808262196\
         17871616300232828334363261543821265373272070470223323616030543\
         052800000000000000000000000*ep^3+6442533193260906619225910225/
         5304*ep^3*z6+43340372404506298009535945122113593/37416113280*
         ep^3*z5-2074960743176517624521655255833460627872590943/
         7345595924374675968000*ep^3*z4-1666121279814313850993516666659\
         25322600613055441563472597/884925041379686685191420006400000*
         ep^3*z3+469767954597785429516857325/2652*ep^3*z3^2;
Fill mncnoptab(13,10,1,5)=
      +mncF321*(-244598260434027500000-18568986490254469451875/9*ep-
         1049890458691599161307475/162*ep^2-
         1665209216732277063009118973/149688*ep^3)
      +144954377570170467819508610266846966848866843905331111/120468787\
      145806086555470622720000+533887173295425325/25272*ep^-3-
         10214871248220514244816759035/2353253430528*ep^-2-817409044797\
         488379320081886402639871/15624823263507057600*ep^-1+
         10168135202557174689129025/3159*z3-462458654353294141668401382\
         81969444778585093385461324462227314431602264847397868327737649\
         7189687591821334432349/398792411372163743638074793234093270319\
         92628826500035027542515013962956800000000000000000*ep+
         10168135202557174689129025/2106*ep*z4+912099340443796335172304\
         9957081285/168089530752*ep*z3+66567776109289974331404685665964\
         88891118262315991576405031111105902379204123811852727679025742\
         6940736600353718536096721559/128113550765620772656553779532040\
         64731363577032598019811928783758935643992925143040000000000000\
         00000*ep^2+657539630516557774231202575/2106*ep^2*z5+9120993404\
         437963351723049957081285/112059687168*ep^2*z4-3870196414418856\
         7779548903451605108495540603/328121288533648209600*ep^2*z3+
         91131391255417441101355051513851211732425930054556306647460011\
         36534745006185605250423822547136227693667047131343651853104462\
         51843858632966928235043882923047371741510758239758683/
         45354680192698297471752958800183179712012801108875009594519085\
         18147364478476593386310644459176188260689088049837649204068060\
         78947328000000000000000000000*ep^3+
         9761413105722794866576748375/12636*ep^3*z6+4187178085144753489\
         5863410809350405/56029843584*ep^3*z5-3870196414418856777954890\
         3451605108495540603/218747525689098806400*ep^3*z4-
         52373815371827513389271466955259241705957771999451353427/
         421640755010321302944147179520000*ep^3*z3+
         711769844446761542586967475/6318*ep^3*z3^2;
Fill mncnoptab(13,10,2,4)=
      +mncF321*(-978393041736110000000-74250275159510056337500/9*ep-
         2097826695561245237407250/81*ep^2-151123831163756734634190295/
         3402*ep^3)
      +8115826457700178464333879301466412533933050161264217/
      1686563020041285211776588718080-326497247193457532375/6318*ep^-3-
         33261487876094509709592378245/53483032512*ep^-2-11044376622048\
         320646239913383198095177/4374950513781976128*ep^-1+
         40676155920249593259644500/3159*z3-343722351224731953422930073\
         74297375493791876863925774044789187135805468975707803036210144\
         0839572745159791632349/747735771322807019321390237313924881849\
         8617904968756567664221565118054400000000000000000*ep+
         20338077960124796629822250/1053*ep*z4+638398379182609122097587\
         58436260655/294156678816*ep*z3+4916535477181513558772453820641\
         54099324032666186016216762329715262221167927565876657970730392\
         85556921444477493085513111367/24021290768553894873103833662257\
         62137130670693612128714736646954800433248673464320000000000000\
         00000*ep^2+1315092056704607144861891750/1053*ep^2*z5+638398379\
         18260912209758758436260655/196104452544*ep^2*z4-30999805553833\
         70653514808426482512984881907/6562425770672964192*ep^2*z3+
         16463322006136052472324920434160353665937971851619919611545767\
         41032559125066140878841216920826349075469750056846540710493629\
         65312314915155439130882714058255286882385253175789539/
         50023544330181945740903998676672624682367060046553319405719579\
         24427240233613889764313210800561972346348258878497407210369184\
         694272000000000000000000000*ep^3+9761500035483929603315076875/
         3159*ep^3*z6+292759369965539280992134035707065295/98052226272*
         ep^3*z5-3099980555383370653514808426482512984881907/
         4374950513781976128*ep^3*z4-4178247612675261948079770526166651\
         33166879432344430251/843281510020642605888294359040*ep^3*z3+
         1423499780542322678409724750/3159*ep^3*z3^2;
Fill mncnoptab(13,10,3,3)=
      +mncF321*(-1257933910803570000000-10618802901341569825000*ep-
         2103929816524992720198500/63*ep^2-278507709414598597182695345/
         4851*ep^3)
      +10351374694244185141128068057463501491177624353771/
      1673177599247306757714869760-385862846001545147125/2457*ep^-3-
         207987596325020778807890948455/114394263984*ep^-2-701379725839\
         56303408623024784656258209/10208217865491277632*ep^-1+
         40681034917514952712042000/2457*z3-125175905056380414274027838\
         32147854428884756674202372713819422504166622412040235698669885\
         98170229487004376436121141/21416924901402402650003007840196293\
         475159241352222807700235999118720950599680000000000000000*ep+
         20340517458757476356021000/819*ep*z4+1140713181571601423281015\
         696441255/4085509428*ep*z3+17805197837285225960574483796573509\
         11786490828996855802396311670940528913079059298759510019730214\
         76452681964167982209009879591/68802670696727938062020781998907\
         25163619190358817696550997398157826615741711598485504000000000\
         00000000*ep^2+1315109377410839668622175500/819*ep^2*z5+1140713\
         181571601423281015696441255/2723672952*ep^2*z4-154324642013426\
         2979151809488766463072424165/2552054466372819408*ep^2*z3+
         19057442174379837115143319878874990635493224730427117727624080\
         42340919863009669873713032225745919969782027548814153099700046\
         955075563563091071823189071562850290785011352945010005800621279
       /347836979245689070472786923397883693422291043339738736606503146\
         18528464370130346624811238360036682286461626725634226239294588\
         862869698248704000000000000000000000*ep^3+
         9761617743287510132886211250/2457*ep^3*z6+91846487711420538775\
         01471506553185/2383213833*ep^3*z5-1543246420134262979151809488\
         766463072424165/1701369644248546272*ep^3*z4-263538769784933037\
         14664350220977861713277721750617321/
         40992851181559015564014309120*ep^3*z3+
         1423446259697452698379373500/2457*ep^3*z3^2;
Fill mncnoptab(13,10,4,2)=
      +mncF321*(-614989911948412000000-46843520939050949630000/9*ep-
         9320965353829577700606400/567*ep^2-
         3721884293825555457101002264/130977*ep^3)
      +1593797048732589668358698973234236790926138286085747/
      527050943762901628680183974400-1274339905436998779350/22113*ep^-3
         -32308688742620634883035748841/46797653448*ep^-2-3192129216309\
         5172339954732163754652629/11484245098677687336*ep^-1+
         178987338631677301406268800/22113*z3-
         28382911627006285464947701284850497234713101460221267711699796\
         03179905443611589393488055678885104487260780042353826241/
         99535158479267666315888978937312273925802574184455498786846805\
         904255617912012800000000000000000*ep+
         89493669315838650703134400/7371*ep*z4+125636817734835465928996\
         7672294033/9192396213*ep*z3+4033084926219111677221679622555605\
         50385022475262807985227616119871901075479451034481027207198375\
         382406563606538146516252061573957/3197604120630430921432415843\
         39921451979201871926052447207604079384991966596046539613798400\
         0000000000000000*ep^2+5786448466752030677474768200/7371*ep^2*
         z5+1256368177348354659289967672294033/6128264142*ep^2*z4-
         2240821487610725725702099423419226607503871/
         7656163399118458224*ep^2*z3+
         10089397110029921981323360003056865064210136471894183639631473\
         63260713782393576062256870823004987260435418960748373876613751\
         90715961153889711338389962504766917099735946801346688245818465\
         457/1796191512271488838913641362768516072422330693246039753754\
         13707988456709066867539932011366975856089918144900230427851607\
         91289082242991401205760000000000000000000000*ep^3+
         42950895154061036827545089500/22113*ep^3*z6+741434786302112887\
         9637781495678413/3899804454*ep^3*z5-22408214876107257257020994\
         23419226607503871/5104108932745638816*ep^3*z4-5920692151026510\
         97351887584700631132013863622255964359/
         1844678303170155700380643910400*ep^3*z3+
         6263264099406637762672903400/22113*ep^3*z3^2;
Fill mncnoptab(13,10,5,1)=
      +mncF321*(-96092173741939375000-7349851812604600598750/9*ep-
         2945130748070813894657075/1134*ep^2-
         593186937072665671708100047/130977*ep^3)
      +796978385666497830003857176015951175335868890647229889/168656302\
      0041285211776588718080000-18684551674651464575/353808*ep^-3-
         9211109595298117318103307235/1497524910336*ep^-2-9736221021606\
         182968325862212689433262103/146998337263074397900800*ep^-1+
         55924787028731066340940225/44226*z3-
         35683854608814050859510110222444559291524653860117129985304106\
         03600758749558619313768324123875695580682835495209997901/
         79628126783414133052711183149849819140642059347564399029477444\
         7234044943296102400000000000000000*ep+
         55924787028731066340940225/29484*ep*z4+25177282317275703586992\
         050100781075/1176626715264*ep*z3+
         15209156564551243525301676699850738632727913171584116914717699\
         30975382949275940036079043477670545167564983650662101625423908\
         811023/7674249889513034211437798024158114847500844926225258732\
         9824979052398071983051169507311616000000000000000000*ep^2+
         3616468314580710204000652675/29484*ep^2*z5+2517728231727570358\
         6992050100781075/784417810176*ep^2*z4-110219974032210473373686\
         1954945279620753517379/24499722877179066316800*ep^2*z3+
         33995999600918745662213963515882612274793120325244787053224134\
         58364668224402079832663109766098854097362123552639081484290974\
         544576569395510857548099039920761263449520869833465419/
         14588068400765949724250751846829758680436180642525582950019237\
         64801629906993225610358141376797754847959490192654745186891303\
         8440529920000000000000000000000*ep^3+
         53687776848423342396600387875/176904*ep^3*z6+75219020372229377\
         851078626962538335/249587485056*ep^3*z5-1102199740322104733736\
         861954945279620753517379/16333148584786044211200*ep^3*z4-
         305867446436777862154637827941743017001002772958068028643/
         5902970570144498241218060513280000*ep^3*z3+
         3914733446017810477828414775/88452*ep^3*z3^2;
Fill mncnoptab(13,11,1,4)=
      +mncF321*(-17788964395202000000-1381702700020575646000/9*ep-
         445880900964057094082860/891*ep^2-84156259781489895520164656/
         93555*ep^3)
      +507172651380279092787250216030598323353979744904046619/579756038\
      1391917915482023718400000-1229906486569311620/34749*ep^-3-
         4471900207504134662829685903/3235723466976*ep^-2-1594738230074\
         75033254422948861431383/12428836686880614000*ep^-1+
         739503820150108408083280/3159*z3-13007786114780974412024102270\
         08279947653804839778526490655243190824082470032966053436232064\
         58585460427284723/16319629929664438913760501211216614484818412\
         0941778417151401661143449600000000000000000*ep+
         369751910075054204041640/1053*ep*z4+64586147445109749396936221\
         23503809/1617861733488*ep*z3+444439323524110657495363911554113\
         96227329878409194777592783928801842714042438248535978767826043\
         94452123828679452853961/13106855082048256131157845748255646581\
         56615953855824199509083159861347506716672000000000000000000*
         ep^2+263015965433347939187309920/11583*ep^2*z5+645861474451097\
         4939693622123503809/1078574488992*ep^2*z4-70476487498594630233\
         983114001054526320872869/9023335434675325764000*ep^2*z3+
         78010154104599733495542138523923701319049287564888039518420014\
         34413432189130277994606596689394955082157511512821822169674346\
         23746231539367493489598432822208853394425422659517/
         92801614977619284261399283259303381107169049887951098500690092\
         44721169877835291527049309719296516158404012006736261392252356\
         52608000000000000000000000*ep^3+1952283385695981562682534200/
         34749*ep^3*z6+2881740859799476872402480815365183/49026113136*
         ep^3*z5-70476487498594630233983114001054526320872869/
         6015556956450217176000*ep^3*z4-3114769054582679465493109429743\
         8145562338678118084876049/2898780190695958957741011859200000*
         ep^3*z3+284707520305748905666192160/34749*ep^3*z3^2;
Fill mncnoptab(13,11,2,3)=
      +mncF321*(-53366893185606000000-1381471995935748430000/3*ep-
         445681355542408907748700/297*ep^2-2402476614758633677042036/
         891*ep^3)
      +4055896141930898872086244045499652871839855430129319/
      15460161017045114441285396582400-71227101815176109300/11583*ep^-3
         -11438614752122771829783181801/154082069856*ep^-2-369186367331\
         63633048481147183135803/121526403160610448*ep^-1+
         739643197628214487728400/1053*z3-28311154743053302765335609354\
         12140815621646404581028745781832284110061315179566262074693668\
         8995230600758023/112126281857061093986116165058278403331012171\
         12478603003424268720537600000000000000000*ep+
         369821598814107243864200/351*ep*z4+645889794046885100205901254\
         8502353/539287244496*ep*z3+56255420730106850962392713761215042\
         36564470003075501665919687337705135059224862682233539136659993\
         3332710001642549133109/497089614963607936233542001711621559241\
         6202728697644371471485761844517951399526400000000000000000*
         ep^2+263021409380661213406453600/3861*ep^2*z5+6458897940468851\
         002059012548502353/359524829664*ep^2*z4-2820447890993871206984\
         643419189745513016501/120311139129004343520*ep^2*z3-
         10896883347093671463080540131116606290152806956086907948263156\
         46136810435280402511939819947778101732910685166989848300784112\
         3369491602459306709548117319120379413478275601718401/
         29329893128729057741874341375779834028932440458414174340958844\
         03269900603365227939413115170543096464878305029289485081995806\
         507008000000000000000000000*ep^3+1952320382420183202135871000/
         11583*ep^3*z6+2880404160757856552272482181025647/16342037712*
         ep^3*z5-2820447890993871206984643419189745513016501/
         80207426086002895680*ep^3*z4-248918030276264770925322083210333\
         365646595403366165813/7730080508522557220642698291200*ep^3*z3+
         284690709919502189405319200/11583*ep^3*z3^2;
Fill mncnoptab(13,11,3,2)=
      +mncF321*(-45743051301948000000-395190469542266030000*ep-
         894227664085321638179150/693*ep^2-67654765422741783116007983/
         29106*ep^3)
      +144832952217618193237541065622878248036554442490571/
      644173375710213101720224857600-174380992340226884350/27027*ep^-3-
         48803034207637934237919676451/629168451912*ep^-2-2924666222477\
         277126285661781722322153/9280198059537525120*ep^-1+
         1479351247309859781474800/2457*z3-8223225406889692976152671838\
         23592842840667551955437552956387680725477811561991391252237733\
         7290375467571726466282831/380874330915565049678146603076450027\
         7773057685629674698476280838173046603776000000000000000000*ep+
         739675623654929890737400/819*ep*z4+230825066259063568289394340\
         730681/22470301854*ep*z3+1175183963755889514486622734363544604\
         77833564502518147424290130880461143253173679753465004344126349\
         8927594228688860298175560501/122357300534327713830322034823949\
         53519612316527782619153352196915242039538114025750528000000000\
         0000000000*ep^2+526045334678387154234834200/9009*ep^2*z5+
         230825066259063568289394340730681/14980201236*ep^2*z4-
         3740144555822220942538289854610765512293977/
         187150660867340089920*ep^2*z3-
         37110220736512467490383114065390207675822045171010581624485517\
         86340333383613468398960495008191063368870197944339535104006256\
         920149286166455869380886570080138239969132804020746174600477883
       /123717272528903567986398767333545749886231961014395595284085972\
         33898803940830162189194660480479883744362021189340693860749102\
         17399389713858560000000000000000000000*ep^3+
         3904657850786882512770699500/27027*ep^3*z6+3615312882288974905\
         93406521317179/2383213833*ep^3*z5-3740144555822220942538289854\
         610765512293977/124767107244893393280*ep^3*z4-1254592293234762\
         1480219504166691397568944059840413939/
         450921362997149171204157400320*ep^3*z3+
         569373484874640210431529400/27027*ep^3*z3^2;
Fill mncnoptab(13,11,4,1)=
      +mncF321*(-11181634762698400000-871738006811162282000/9*ep-
         180097088762608661539150/567*ep^2-68501174959770083710283147/
         119070*ep^3)
      +1810634967990311258660118178259478719297700057367243/
      32940683985181351792511498400000-887989209705724190/22113*ep^-3-
         368102736285481596607877491/233988267240*ep^-2-333932310878420\
         300928350990661720328513/22968490197355374672000*ep^-1+
         3253823143812803319846800/22113*z3-
         37960519606307780411671774732103409372015093639454157342628609\
         57552926635859805131900362413312044053368107212828782649/
         73940403441741694977517527210574832059167626537024084813086198\
         67173274473463808000000000000000000*ep+
         1626911571906401659923400/7371*ep*z4+
         16507251449257237609351669275769/6565997295*ep*z3+
         52848905932542769797709809878509066521112327639173475802953564\
         02411228290568620107509469502849001225310728958049479308963693\
         14149/23753630610397486844926517693822736432740710485935324649\
         7077316114565460899920286570250240000000000000000000*ep^2+
         105206411516078950303687000/7371*ep^2*z5+
         16507251449257237609351669275769/4377331530*ep^2*z4-1680497218\
         956921894728101058337989212135403/348007427232657192000*ep^2*
         z3+20215149437970500718125626605167319927806037481358555436782\
         00094451239582985821383646996257930727592502836353969663803401\
         10981609661725779940883346371615358414041300691734035864725748\
         613373/2401764650694447933175954736501901491124716469826133156\
         44838900967422113837982881966232342127716143090548038022400670\
         1500092368711348564504084480000000000000000000000*ep^3+
         780913528511060118978035500/22113*ep^3*z6+80233599483006942576\
         96917662768733/214489244970*ep^3*z5-16804972189569218947281010\
         58337989212135403/232004951488438128000*ep^3*z4-79760234257744\
         2339368730940047932566100669899915579427/115292393948134731273\
         790244400000*ep^3*z3+113882957455103915858887160/22113*ep^3*
         z3^2;
Fill mncnoptab(13,12,1,3)=
      +mncF321*(-632809010106000000-62048216364960770000/11*ep-
         21063565503594066750500/1089*ep^2-281860658066280359555252/
         7623*ep^3)
      +14471682543863327428078015949933614850118548508366809/4656453258\
      705254706720482542080000-91534754241198700/42471*ep^-3-
         15016114330131128816318546047/90959781904992*ep^-2-55304975806\
         9208331488746531028741059/329423357138940464400*ep^-1+
         32152025874818661758000/3861*z3-751378651159586412499724529163\
         54612841378396430114202820299148795062501595447235286885042022\
         4407599688689/242101237152593137627165107411548062702471177653\
         10942811475257768017920000000000000000*ep+
         16076012937409330879000/1287*ep*z4+938014898075641590868507836\
         609479/6497127278928*ep*z3+37012353559731359465211877661941545\
         61676641738348237509837011167854523442291657627639064245368601\
         8283533250328674233/259253087169228628874636418126242536565924\
         405351577824362458441093931775243059200000000000000000*ep^2+
         11435469710237421994556000/14157*ep^2*z5+938014898075641590868\
         507836609479/4331418185952*ep^2*z4-120565108392335102091964363\
         52206285191329521/50731196999396831517600*ep^2*z3-
         55521438819507320994107003731981328364547466705867419052901567\
         38662985426556722273754971079631376626003298652395586104587063\
         0924534400941260295914352701819511311675282971/
         23942769901003312442346401123085578799128522823195244359966403\
         29199918859889981991357645037178037930512902064726110271016984\
         903680000000000000000000*ep^3+84881842115223151760825000/42471
         *ep^3*z6+41525929653519014178493375889291/17898422256*ep^3*z5-
         12056510839233510209196436352206285191329521/
         33820797999597887678400*ep^3*z4-754342685514547804333523590960\
         0308723022828327339911181/16297586405468391473521688897280000*
         ep^3*z3+12378660191622179982992800/42471*ep^3*z3^2;
Fill mncnoptab(13,12,2,2)=
      +mncF321*(-1265618020212000000-124089803302196620000/11*ep-
         42121101979534100642800/1089*ep^2-1690710255154898500514198/
         22869*ep^3)
      +4052475538202151687928608971058987570889656491755319/65190345621\
      8735658940867555891200-12972467737510761200/42471*ep^-3-
         165115839610033595563704624847/45479890952496*ep^-2-2688405864\
         2814796186326346370051689787/1844770799978066600640*ep^-1+
         64331124595265939617600/3861*z3-642225964175512542940865509447\
         04311418460792169565015644183118773994797188989645176891468129\
         57379275639712311/12583211801006028328171906457715210558960939\
         4585203625262642652249273139200000000000000000*ep+
         32165562297632969808800/1287*ep*z4+656764885491837098267347562\
         4388793/22739945476248*ep*z3+751817068972572543949853635751350\
         39772737659349393713496476964817995725849567989954235305764409\
         0068974639309296368208893/404240376168619739572776834963343675\
         14041762904444772263716332427571312054774005760000000000000000\
         00*ep^2+22871975340749531897550400/14157*ep^2*z5+6567648854918\
         370982673475624388793/15159963650832*ep^2*z4-16071468636672852\
         67665177154641972749817881/3382079799959788767840*ep^2*z3+
         30569974461355806448847805204907472836937695500163412407763822\
         34867260385043949229415089844475369749445373988922497637067718\
         9467907334703013499858217962087441666999192230225391/
         62221273280232358209547709918618647904235248686778641280462690\
         55508289137139090700040680040366426071920404240706979066805389\
         5184384000000000000000000000*ep^3+169770709129251675892144000/
         42471*ep^3*z6+3197514299094287672658562366076407/689089256856*
         ep^3*z5-1607146863667285267665177154641972749817881/
         2254719866639859178560*ep^3*z4-6033625774440075727800480967491\
         2722340528430442300001/65190345621873565894086755589120*ep^3*
         z3+24753913092507691002612800/42471*ep^3*z3^2;
Fill mncnoptab(13,12,3,1)=
      +mncF321*(-542407722948000000-53249769437102190000/11*ep-
         14086898350794057723150/847*ep^2-10203691533407749388814311/
         320166*ep^3)
      +1808339886427311753411893111138996781412427800756567/67906610022\
      7849644730070370720000-402651367275201050/99099*ep^-3-
         10034939154481797164323395361/53059872777912*ep^-2-23041487215\
         4809834717203749918481303401/129133955998464662044800*ep^-1+
         64304371272805585699600/9009*z3-106837964595386574502921734599\
         82219255259194675846754806434491871207198079586173714240748992\
         80287088479052893305895969/43730467178401516743846080378825686\
         389279139123325673018025266071567651885914521600000000000000000
         *ep+32152185636402792849800/3003*ep*z4+11732708963553109102561\
         2640645283/947497728177*ep*z3+14469743479414115726916438254948\
         64359603791466379155364933960003777268780306967712197660967699\
         40736710120077133905748175166483667/14048575818149370791142254\
         75034658983307807734453889200711285841020430011608099980572622\
         848000000000000000000*ep^2+22870953476991390925947400/33033*
         ep^2*z5+117327089635531091025612640645283/631665152118*ep^2*z4
         -28742455136073821689718222255641058669433389/
         142047351598311128249280*ep^2*z3+
         71285662555780138832001265970626835307674399021511700155456075\
         29180132409625568896466823074444480147622600940415549286230785\
         001190103130470397812947777933367660924031077717822496352419129
       /617596624464286611388102646529060383432069949383862811658157173\
         91622829272624169648459745118555579651855209777188743752859518\
         0525775345158193152000000000000000000000*ep^3+
         169763780867433278337866500/99099*ep^3*z6+26747917032192410559\
         8483115962581/133989577722*ep^3*z5-287424551360738216897182222\
         55641058669433389/94698234398874085499520*ep^3*z4-189703245896\
         298554683659254474357707726644707782650259/4753462701594947513\
         11049259504000*ep^3*z3+24757292249139529421901800/99099*ep^3*
         z3^2;
Fill mncnoptab(13,13,2,1)=
      +mncF321*(-8789014029250000-8152135352184066250/99*ep-
         5961543332206438030025/19602*ep^2-74598418206401834948507/
         117612*ep^3)
      +101009737156005869695558634844829877875665166061693867/234685244\
      2387448372187123201208320000-3265530785085535325/1528956*ep^-3-
         26468292863626577668196541121/935586328165632*ep^-2-1801331052\
         05229290696877086023129798141/1328234975984207952460800*ep^-1+
         4020683072538434842225/34749*z3-408544885830355618802954511851\
         65834621190132626963827117600543340228666089314490885452376220\
         3991101988831/112058286910628823701716421144773674736572373656\
         5820781559711930976829440000000000000000*ep+
         4020683072538434842225/23166*ep*z4+674044754411736559624190001\
         3690173/3274552148579712*ep*z3+1020198104970505257313903940490\
         21677664910392565280647382314221807798002738697659178228088534\
         84812492686375684273161/71998285922425779218899028119630784440\
         59386342906675579437417278380048158178672640000000000000000*
         ep^2+1429498294695844909755400/127413*ep^2*z5+6740447544117365\
         596241900013690173/2183034765719808*ep^2*z4-232575421796363903\
         111271298679343186568561/97403898238841916513792*ep^2*z3+
         45318378660656028534582503739607903090204139351591894085789239\
         54223184842535326471760896967136430238470233417479675421530614\
         1777589026199988446991346955322962891492056687/
         22164164136928780660914954182513507231193261127757883350368899\
         04745067744583869043428219977273383684246229339917884936598580\
         3108352000000000000000000*ep^3+21221336851448059730008625/
         764478*ep^3*z6+3704901052474761863341935262828747/
         99228852987264*ep^3*z5-232575421796363903111271298679343186568\
         561/64935932159227944342528*ep^3*z4-74806113294805972971499579\
         485850227883137621044531669/9387409769549793488748492804833280
         *ep^3*z3+1547123107325835002954300/382239*ep^3*z3^2;
Fill mncnoptab(14,1,1,13)=
      +mncF321*(-140632337404027000000-1474099292112498836034425/1287*
         ep-3020158251474720454156084/891*ep^2-
         8702599416422054197422670966/1617165*ep^3)
      +9424146599827621990217864713695996094911551546590995420497/
      13620125781712870017157411435584000000+3643647432830661727/
         39752856*ep^-3+158970105942335249155585846537/
         354743149429468800*ep^-2-3319285868563155535399906674284024447\
         81/197851668297647642918640000*ep^-1+
         9196064822036732612483335819/4969107*z3-
         59963601482947477637491457903311060319078064222347015827720213\
         8971775036998034471417712323762914701/881606209953361753269074\
         66478239781820261664610989725366773350400000000000000*ep+
         9196064822036732612483335819/3312738*ep*z4+6797875599899071026\
         52955628709648660897/22171446839341800*ep*z3+
         10154623366602625630981360529623744577641376670031447063529432\
         65588544139509232722787544662122861824687329695957/
         32367918377963197388164895870086171295104729633168124773168900\
         465785569280000000000000000*ep^2+
         198226286821641920551624852579/1104246*ep^2*z5+679787559989907\
         102652955628709648660897/14780964559561200*ep^2*z4-13403135864\
         03304012170095489226616680494566570709/
         17457500143910086139880000*ep^2*z3-
         41393800357900222321815491184850369583533196528394264271570245\
         81326302745215862544835378272774619923134841641744496673417074\
         0951116636750381/668134704601963586877184646313421430013455616\
         89418848858002427170893314465649845550666844471296000000000000\
         0000000000*ep^3+8828222258753519098698285007865/19876428*ep^3*
         z6+33477974962846291332027732346270097983751/88685787357367200
         *ep^3*z5-1340313586403304012170095489226616680494566570709/
         11638333429273390759920000*ep^3*z4-237828939034758244134890483\
         8952624829157079811292454822684107/476704402359950450600509400\
         24544000000*ep^3*z3+643724540977765259908966246661/9938214*
         ep^3*z3^2;
Fill mncnoptab(14,2,1,12)=
      +mncF321*(-1446504041869992000000-1677609121503579757150000/143*
         ep-44365162497296976878906300/1287*ep^2-
         177375523197489465243605169832/3270267*ep^3)
      +9424146871232969753345916695524653304739153752818709397/13241788\
      95444306807223637222904000-1307780945485785050/552123*ep^-3-
         1595025118890191419493933371/98539763730408*ep^-2+641793235154\
         7606746560557898443953/1570251335695616213640*ep^-1+
         10509788455800458979174100400/552123*z3-
         75805736832959897062414749829124463731023649933679957763091986\
         58448851151268323325616834016767184683047/10799676071928681477\
         5461646435843732729820539148462413574297354240000000000000000*
         ep+5254894227900229489587050200/184041*ep*z4+38764799080833882\
         05749678415758906201/12317470466301*ep*z3+
         11280748520605804737336868772440860912335875304769209380867998\
         20161257760644796470753331599316633629603150055796959/
         34694362511379302200439247760748614856940382075552083741240415\
         18676390707200000000000000000*ep^2+
         113272164019155294726504806200/61347*ep^2*z5+38764799080833882\
         05749678415758906201/8211646977534*ep^2*z4-2217794981001118164\
         102911323978968745118192051/2771031768874616847600*ep^2*z3-
         41379796945863879052323959023112831867216229467902037461862748\
         59691099805296414399444049555713252135384419968552924321972454\
         628834038281824136117/4118091556841352694987047385076145150091\
         73086314694426157983200765858316423859300356339305786900480000\
         0000000000000000000*ep^3+2522349219291492983898422888500/
         552123*ep^3*z6+94095390756456867753381330376644728689/
         24634940932602*ep^3*z5-221779498100111816410291132397896874511\
         8192051/1847354512583077898400*ep^3*z4-64087573124501404129590\
         87311647913066031423959988538796393/13241788954443068072236372\
         229040000*ep^3*z3+367842593696263904228467310600/552123*ep^3*
         z3^2;
Fill mncnoptab(14,2,2,11)=
      +mncF321*(-13638466680488496000000-1433442936115477793355000/13*
         ep-87980819973868777076247550/273*ep^2-
         349387612732696793543025223813/693693*ep^3)
      +6031453688681082299503000805891247555109958894461033643/
      89883658357431734793362041797120-1021180645137239575/117117*ep^-3
         -5592526540413534882648360589/41804748249264*ep^-2-88083622350\
         72998427844869897659716565/11191609519866937377216*ep^-1+
         21019576837277015800871314600/117117*z3-
         76584598414178501645327099528622016091600164146045372655723902\
         5560275407914875104596399343996570678344379/
         11541026748480372042795159248060480529197890639984109502559420\
         41600000000000000000*ep+10509788418638507900435657300/39039*ep
         *z4+7741037522273697269635717412738754767/2612796765579*ep*z3+
         39998103793841689255666318570541348955270337239002258315845647\
         6312289732877340002917591123421922199838155117400778083/
         12976592731528881861982471889734546855582896152933766386334077\
         3685558509568000000000000000000*ep^2+
         32363475422948969038353093900/1859*ep^2*z5+7741037522273697269\
         635717412738754767/1741864510386*ep^2*z4-348399146671055398892\
         979097550327861260779197/45717359149783240920*ep^2*z3-
         13156942282109887067195137639270388912148106005215231918247855\
         90221595646579347943208348081409626013518070381449518613850083\
         5212132031325901268087/199467198639381670425245445184003780020\
         23609372546645796977398169541796433293542216619020024545280000\
         00000000000000000000*ep^3+5044698437021270084038434002750/
         117117*ep^3*z6+371755715501278488483783234971294019181/
         10451187062316*ep^3*z5-348399146671055398892979097550327861260\
         779197/30478239433188827280*ep^3*z4-97905354514614193662346693\
         4411515514070890914937999768621/224709145893579336983405104492\
         800*ep^3*z3+735685188493355385647099116300/117117*ep^3*z3^2;
Fill mncnoptab(14,3,1,11)=
      +mncF321*(-5834232968875634400000-1841620199376869330342000/39*ep
         -48537102257469376973672200/351*ep^2-
         29280900226152746509957258306/135135*ep^3)
      +188482929719027473415885258519541579702330234549795757843/
      6566176341046149457307292014400000+19177956058811080/13689*ep^-3+
         14425908567509381803813037/2035945531620*ep^-2-305777857967137\
         4962857742376670303707/54504591817533785928000*ep^-1+
         1050978840264331243452552800/13689*z3-
         19440552643420298375303665213153924444082759105059873789766243\
         7625988220286192993380469021560330733027183/
         68546704324307664254177309473328914658266259558693498863686254\
         5920000000000000000*ep+525489420132165621726276400/4563*ep*z4+
         3872615844566939836493477634272423381/3053918297430*ep*z3+
         43470242368203121556658848117204265898795196553765420293651026\
         0655920199988119171579266833330459628629649226983113953/
         33031326952982608375955382992051573814211008389285950801577651\
         4835967115264000000000000000000*ep^2+
         11327216396137884851808551200/1521*ep^2*z5+3872615844566939836\
         493477634272423381/2035945531620*ep^2*z4-223193187026840133861\
         5338047447986350306268657/687032669968913268000*ep^2*z3-
         81018729092881913332523730273360559835036206012155027012853295\
         78059133941255974767751365039965040715198137603389043553419211\
         6936294729298498686730939/582223271745424701022168735751856448\
         85660543985146615596445043075551168518398725810379898941798875\
         136000000000000000000000000*ep^3+
         252234921812441581057061020000/13689*ep^3*z6+42429892646897542\
         67280074025328853617/277628936130*ep^3*z5-22319318702684013386\
         15338047447986350306268657/458021779979275512000*ep^3*z4-
         3107846291764406765285499486303583585787593220907480435583/
         1641544085261537364326823003600000*ep^3*z3+
         36784259442557314976139133280/13689*ep^3*z3^2;
Fill mncnoptab(14,3,2,10)=
      +mncF321*(-50007711161791152000000-5250063329061963792160000/13*
         ep-964907411124637600517184800/819*ep^2-
         38620164200803700915472263197/21021*ep^3)
      +7539316143956723135328425758557414473434955891598730639/
      30642156258215364134100696067200-20064257319237434200/31941*ep^-3
         -3639537383153962721441514841/475053957378*ep^-2-4181992928174\
         0917650008612388956609911/1271773809075788338320*ep^-1+
         21019577292466847854825129600/31941*z3-
         57857388874313228321310681448684352835558344117900125027189548\
         6320915683610493615985852742674023186541985741/
         23751433048372605664072437732508468929089258937087297356267287\
         2161280000000000000000*ep+10509788646233423927412564800/10647*
         ep*z4+7736786092611849094091022265879299982/712580936067*ep*z3
         +5185985512097019602341295752802486356884277234440776287721823\
         11246549422706240357125672572196584223598530786220425116251/
         45781419156833895209074160826983481306496457627550327810986624\
         956265042175590400000000000000000*ep^2+
         32363475497771938630186186400/507*ep^2*z5+38683930463059245470\
         45511132939649991/237526978689*ep^2*z4-57207768808811333598582\
         222934562574758941795/2040278838089500008*ep^2*z3-
         21764828501459934841480188729261549075512584429493099815090888\
         87235987752751008829860252942286264805758887920646575458317482\
         0748996231885949543983996569763/
         13637648583401780941922667165010034344147811859816832357617708\
         21975865240673860714146852524873331771860582400000000000000000\
         000000*ep^3+5044698447667913214617261534000/31941*ep^3*z6+
         92526529965746995864911010234875884044/712580936067*ep^3*z5-
         57207768808811333598582222934562574758941795/
         1360185892059666672*ep^3*z4-4370850179228610688402483700275188\
         198133614145568056229/278565056892866946673642691520*ep^3*z3+
         735685183198773346851486416800/31941*ep^3*z3^2;
Fill mncnoptab(14,3,3,9)=
      +mncF321*(-165025446833910801600000-17319425425335965064408000/13
         *ep-1060495375154908046636378080/273*ep^2-
         3818214751643528296345414998833/630630*ep^3)
      +165864813625069931172570598102983912669848589417814564453/
      204281041721435760894004640448000-217804198342556076620/10647*
         ep^-3-590355330762084652776560755079/2375269786890*ep^-2-
         581440704907765842440915581522177233097/565232804033683705920*
         ep^-1+23121539271119465198025210560/10647*z3-
         41456644369625709226076484579056447196262500665129044057879712\
         973352306767025056981980207267976816975323568007/
         51608052055723192554033938776808525080490241641078572033370895\
         67948800000000000000000*ep+11560769635559732599012605280/3549*
         ep*z4+85090752557058258415381395618045575347/2375269786890*ep*
         z3+92983424919362603381950180297612217418418216365790489478066\
         47786069026217658398438986022148649745008016347882892526992751/
         24868919048156683817274852794904607129454865871755733625721129\
         6058723685892096000000000000000000*ep^2+
         35599823768244436314625577040/169*ep^2*z5+85090752557058258415\
         381395618045575347/1583513191260*ep^2*z4-692908308085075413803\
         59748279777311129374539377/748102240632816669600*ep^2*z3-
         44959169005396250880445993951954183002230460953263066203282987\
         59278234878606456788383184155414053023911026879352291277914523\
         876318254159228453800309983102357/
         48152685121640856165307195175220615091682397430958198200971167\
         29445647639910174867234565705108307243853414400000000000000000\
         0000000*ep^3+5549168395320700056558465357400/10647*ep^3*z6+
         1016443067537397016788838219515965354999/2375269786890*ep^3*z5
         -69290830808507541380359748279777311129374539377/
         498734827088544446400*ep^3*z4-52569666583577848958958263055538\
         61630822990521677696055223/102140520860717880447002320224000*
         ep^3*z3+809253655228605487945839734480/10647*ep^3*z3^2;
Fill mncnoptab(14,4,1,10)=
      +mncF321*(-12154652018490905000000-11512403892638219481680000/117
         *ep-303552656028085444417679050/1053*ep^2-
         12218911349225126917407864914/27027*ep^3)
      +23414027726390244386928529045956659240954441313543985159/3915235\
      58223869781305279523840000-1158904347293668475/41067*ep^-3-
         250229619288573447241161845/849785961024*ep^-2-423110482482431\
         618177569216478993183/355464729244785560400*ep^-1+
         6568617795381626748623351900/41067*z3-
         28473630609237193385512162833460123856736584455617529317821723\
         58593515240623965445094432688591724606433691/
         48191313431480649173480308442770806522789800741916255505469858\
         11968000000000000000*ep+3284308897690813374311675950/13689*ep*
         z4+306165326675031163536251391935143495/115879903776*ep*z3+
         76399424306123130667018669116438006445504309437969145114341715\
         48238606074657523803008430089196870389804605156675065567/
         27866950791116284040306010938163858186563061164595851711035336\
         92990046045470720000000000000000*ep^2+
         70795102521604054239716570200/4563*ep^2*z5+3061653266750311635\
         36251391935143495/77253269184*ep^2*z4-242436247676692029349628\
         437150528115251610077/35845182780986779200*ep^2*z3-
         89236658114965360567348306675461433243227135660518017320435822\
         14607269181990518713440610127237795343285904144781423558386392\
         245932418772779959002890297459/1299207941969045403342928647080\
         83759136556077481095266838843255821369410502066020696830329292\
         6665179109785600000000000000000000000*ep^3+
         1576468262247637153522064449750/41067*ep^3*z6+5802398492638590\
         452321857202494227005/182096991648*ep^3*z5-2424362476766920293\
         49628437150528115251610077/23896788520657852800*ep^3*z4-
         5411450622577912264150851433350875065814105533091499118163/
         1370332453783544234568478333440000*ep^3*z3+
         229901620912147908779997279800/41067*ep^3*z3^2;
Fill mncnoptab(14,4,2,9)=
      +mncF321*(-93764458428358410000000-9853459177864520430300000/13*
         ep-604724728352749465482000500/273*ep^2-
         24265681592782400699734894020/7007*ep^3)
      +1311184370779442029163805404230575404013740505953338157/
      2842171015254758412438325432320-74629553072793430750/10647*ep^-3-
         29367880474947409660082534935/330472318176*ep^-2-3884532205644\
         757178272917830257796845/9830135722324934016*ep^-1+
         13137237139382461583369011000/10647*z3-
         21486454422548406654116462414255121496562828034305310254852891\
         926677554089633716498166891635644127713951145977/
         47120395355225523636291857144042566377838916280984783160903861\
         27257600000000000000000*ep+6568618569691230791684505500/3549*
         ep*z4+3365424433526505535117225818073759765/165236159088*ep*z3
         +1604245312225071497706660785719671751068215164903929947367799\
         207875689254151221128162574454794147236573980341992786349697/
         75688014494389907269966943288840108654862635261865276252194742\
         278741991358464000000000000000000*ep^2+
         20227172412898525454009374000/169*ep^2*z5+33654244335265055351\
         17225818073759765/110157439392*ep^2*z4-59295861103056129856551\
         89257860301566026641/113134554349008192*ep^2*z3-
         52700212917856166506012458913552700780441330387698809072758317\
         27135177110668237745085874063530431676554176134605192970951114\
         325667237796199543331252963680357/
         71783169486890535579763503918615916942230240614669165836632943\
         83710641389125353274303380356689235798707404800000000000000000\
         0000000*ep^3+3152936562183061605048053877500/10647*ep^3*z6+
         40384529179166130628781496068495166755/165236159088*ep^3*z5-
         5929586110305612985655189257860301566026641/75423036232672128*
         ep^3*z4-1841790089063255331379500658179150464573029909620535457
       /61786326418581704618224465920*ep^3*z3+
         459803225126473946744952418000/10647*ep^3*z3^2;
Fill mncnoptab(14,4,3,8)=
      +mncF321*(-275042411389851336000000-28913387880465422522980000/13
         *ep-5326795999494877743000274400/819*ep^2-
         1925564222820478677680178219644/189189*ep^3)
      +7211496201124962363256013197065488255514145503212967041/
      5329070653602672023321860185600-6711959423982573108100/31941*
         ep^-3-76312685669958597584081993564/30981779829*ep^-2-79096880\
         3512444975552262458329074372471/82941770157116630760*ep^-1+
         115607820421070528209593152800/31941*z3-
         14792201006915695377198135635822935205130366043323458997500103\
         456176759131656943325616854067782717609666570363/
         11043842661380982102255904018134976494805996003355808553336842\
         48576000000000000000000*ep+57803910210535264104796576400/10647
         *ep*z4+3702591327444623715945335321258015879/61963559658*ep*z3
         +1102965600156111239025729255226942212760686142921081987960841\
         871415915045416714542622251527893815047278380279196462116407/
         17739378397122634516398502333321900465983430139499674121608142\
         721580154224640000000000000000000*ep^2+
         177999139766523544099382085200/507*ep^2*z5+3702591327444623715\
         945335321258015879/41309039772*ep^2*z4-74927050712039649076077\
         1391924673529432656577/4878927656300978280*ep^2*z3-
         24719341274230090927432816025204326608246901802392202501838645\
         08924373420015039768825411406494705842539827531012493778806924\
         55375431828596433721967727528162823/
         47242298418559833728431856016439100337605277104529144766234056\
         16279565864218123123650912197246103310024310784000000000000000\
         000000000*ep^3+27745844962174781875128695537000/31941*ep^3*z6+
         44483294008748156220828147520443332143/61963559658*ep^3*z5-
         749270507120396490760771391924673529432656577/
         3252618437533985520*ep^3*z4-2340005094384965972632860823895367\
         26333415428163476589787/2664535326801336011660930092800*ep^3*
         z3+4046266908536559982263439512400/31941*ep^3*z3^2;
Fill mncnoptab(14,4,4,7)=
      +mncF321*(-401103516610199865000000-126779036389939163368600000/
         39*ep-3349780427109827844784364000/351*ep^2-
         1217275291630466135836209116990/81081*ep^3)
      +778987017802042619321059454287292423243306470687259/
      394730745531311688776589312-43631727935580546885125/27378*ep^-3-
         1101319622719695934195702854565/60698997216*ep^-2-131082450663\
         5352188888033918177266952939/19782384931883718144*ep^-1+
         72255275063321437435892690500/13689*z3-
         12155752186179532634148703480103541630376386395030543602440000\
         7368733466185563826633419535607737584660426287/
         62439952544600824316102379712244339740110353388420358661681971\
         20000000000000000000*ep+36127637531660718717946345250/4563*ep*
         z4+2647615526515391314835194749285308785/30349498608*ep*z3+
         23619796191590876601923198894932509508483058283453495359120791\
         34105606501910155544023803648601350443689991276069434753/
         26164001518445052127180299951549761748498042926031089368148015\
         966689689600000000000000000000*ep^2+
         778746694342109191133631632750/1521*ep^2*z5+264761552651539131\
         4835194749285308785/20232999072*ep^2*z4-1293914243489541808800\
         65473111981509540784013/581834850937756416*ep^2*z3+
         17183272459501489851171709686510737636969486096442346667718090\
         86840365436128479740558276919809708697827443219526477844579314\
         50170261274012777132206376025596356691/
         19498811041153106883189789668359426923599939007837291616780627\
         78707574750429620089257316734006212377842978652160000000000000\
         0000000000000*ep^3+17341162435039153206916980010625/13689*ep^3
         *z6+224384748652564175240281387016616458165/212446490256*ep^3*
         z5-129391424348954180880065473111981509540784013/
         387889900625170944*ep^3*z4-91293336681812436452109594193453520\
         8911768204024892829/6907788046797954553590312960*ep^3*z3+
         2528912560408920160763901045250/13689*ep^3*z3^2;
Fill mncnoptab(14,5,1,9)=
      +mncF321*(-14478335492614166250000-1527607078325608092120000/13*
         ep-8991430326187252458154725/26*ep^2-
         1638754216326481719570886646/3003*ep^3)
      +9641065858738379737252951240628788127399465893189272977/13534147\
      6916893257735158353920000+19021242186021575/676*ep^-3-
         167171365660998390529016765/377682649344*ep^-2-559056629545514\
         439918140353914344603/70215255159463814400*ep^-1+
         32199106484695425675855925/169*z3-4167806890972743437311128554\
         06330505854769026728089110295590382408232217289027139018236457\
         712760481232748027811/5937169814758415978172774000149363363607\
         70345140408267827388652034457600000000000000000*ep+
         96597319454086277027567775/338*ep*z4+5950676978593592127543232\
         36488141895/188841324672*ep*z3+1937120849658819299558383482273\
         93838381411752400986032162044889146401529478767907083493338841\
         4184452645917995761266051951/596043114143320519750989678399615\
         855657043252687189050486033595445093181947904000000000000000000
         *ep^2+3123313343213551796561987850/169*ep^2*z5+595067697859359\
         212754323236488141895/125894216448*ep^2*z4-8015604036530687823\
         6235410117380361096912617/10030750737066259200*ep^2*z3-
         20765060956236800763597790600183488144515189836607678161499203\
         19774492638248208591398888291372931515189047615550438036516876\
         513347704460957753965603095721813/
         88923565805881329828804894066866217364576159698171871525252717\
         31773728541030296527694164760475841670351421440000000000000000\
         00000000*ep^3+15455571183644281854430659625/338*ep^3*z6+
         2413368479414878923251927501577023435/62947108224*ep^3*z5-
         80156040365306878236235410117380361096912617/
         6687167158044172800*ep^3*z4-3295474915259493520121048458004768\
         51671676117089541784307/67670738458446628867579176960000*ep^3*
         z3+1126968734874517452304644850/169*ep^3*z3^2;
Fill mncnoptab(14,5,2,8)=
      +mncF321*(-99280014806497140000000-10466688698446009297950000/13*
         ep-215331003831445436015824000/91*ep^2-
         235070781178611257350384346870/63063*ep^3)
      +5784621003701043105387040221933278640014242968634667/
      11842379230228160051826355968-134614990144991659750/3549*ep^-3-
         38638493676041447139444285385/82618079544*ep^-2-43906327950898\
         673527591929332687932835/22117805375231101536*ep^-1+
         4636674332893901815781938000/3549*z3-
         36906307518892005738076419500570759203627452900216406136748636\
         34364284169778318277114139642988408556186227475769/
         76533829643370205968633414845675387109005552303255753274624318\
         4263168000000000000000000*ep+2318337166446950907890969000/1183
         *ep*z4+446126796280378593850027828901121895/20654519886*ep*z3+
         68631947928354662623156464703292208087268807368025918040475714\
         055394661798978382661902319148360398291902557946576636357189/
         30733473073014964299660405292480192557316292716683185415686107\
         26513761719418880000000000000000000*ep^2+
         21417007297173538177860101000/169*ep^2*z5+44612679628037859385\
         0027828901121895/13769679924*ep^2*z4-8933907656656582348517852\
         676146110755854641/162630921876699276*ep^2*z3+
         37703729684349762058876840990633689081616285048107797722982211\
         55324429992993073959524690317794584871875362526046140997828989\
         417712963380189551680533147391950674459/
         32738912804061964773803276219392296533960457033438697323000200\
         92081739143903159324690082152691549593846847373312000000000000\
         0000000000000*ep^3+1112801197269375999798200457500/3549*ep^3*
         z6+100244166222049941209809620482377710/382491109*ep^3*z5-
         8933907656656582348517852676146110755854641/108420614584466184
         *ep^3*z4-57497991931017191138375941217133941484226720744733923/
         1741526357386494125268581760*ep^3*z3+
         162283464651966797473828759000/3549*ep^3*z3^2;
Fill mncnoptab(14,5,3,7)=
      +mncF321*(-254818704670009326000000-26889166640893028912055000/13
         *ep-79154725756045214384040800/13*ep^2-
         7872722380811977595822937809/819*ep^3)
      +12854641028177911687101753966285609001917045365226401/
      10253142190673731646602905600-419624804136542279825/507*ep^-3-
         75346986540879977944131887/7889427*ep^-2-128607891804033246067\
         13602195456109011/359055282065439960*ep^-1+
         1700122057083826969724654600/507*z3-56132467262352981154937996\
         18390734715645582760496767197798825438590957132605137540961999\
         5358757417885735019489/454525497288128855228899451086507536010\
         7229647639635493039992995840000000000000000000*ep+
         850061028541913484862327300/169*ep*z4+595105597274083942136918\
         61109803551/1072962072*ep*z3+751482680132402289415848142950340\
         91314539621170696203802724505349465456020433535659340733689129\
         840596373859522058966342599/1314162113909289046827072723876704\
         054928976559313955450233419552639509384396800000000000000000000
         *ep^2+54970347584889233856261076900/169*ep^2*z5+59510559727408\
         394213691861109803551/715308048*ep^2*z4-2019080864109485994951\
         92710454191517989735271/1436221128261759840*ep^2*z3-
         28606704954402475587754741192555453896053358749486103361851033\
         48230366890675592134653964835622775718826246698659900912529457\
         25407283658066853156554612999124318049/
         34997865971300448251879109661157945760307582834579754183965229\
         36141800834104446314051594137959868370487397580800000000000000\
         000000000000*ep^3+408027301743959686497646440250/507*ep^3*z6+
         241452905997148236591046337767785389/357654024*ep^3*z5-
         201908086410948599495192710454191517989735271/
         957480752174506560*ep^3*z4-43981147480050260095155671439099505\
         7653012448750052827/5126571095336865823301452800*ep^3*z3+
         59503847640430764721069769300/507*ep^3*z3^2;
Fill mncnoptab(14,5,4,6)=
      +mncF321*(-318523380837511657500000-33703394586506794455075000/13
         *ep-99685405766422414380486000/13*ep^2-
         3325712665754846286351261280/273*ep^3)
      +728999437717685003996636849846698347206089351094603/
      465170912242286501925273600-3049243319750987008375/676*ep^-3-
         434147371841419367074057061695/8583696576*ep^-2-23845539685431\
         032904556573308476567261/133214713346018304*ep^-1+
         708397120815864135027649750/169*z3-980866644266926807567521724\
         45492423803595531591407419786605097031109683765029313105786189\
         27357542584279220803/63777951527699413408590287848935289877398\
         4323896007949187180134400000000000000000000*ep+
         1062595681223796202541474625/169*ep*z4+29795586515073667816908\
         7428460074335/4291848288*ep*z3+2302107663365161516122135798721\
         28930936718070594902294733718913760605468766035847834109514432\
         382518310675942481497277/3239352568950339787174703803525208597\
         433091028937182493199278167304437760000000000000000000*ep^2+
         68713071991034703267376345125/169*ep^2*z5+29795586515073667816\
         9087428460074335/2861232192*ep^2*z4-58011895677329572631631890\
         803520660621926807/333036783365045760*ep^2*z3-
         10921514294813742109197717024241523750842754460508268382165492\
         53029655171651055578817958530579236707637274634750301823261040\
         3456065753138702394058154095467181364737/
         44259206014045941020573649564688857937695099652710042876184599\
         58018780782721201154980893539093466190976919797760000000000000\
         0000000000000*ep^3+340023374351094195661743476875/338*ep^3*z6+
         1220191948057116390002902266069439015/1430616096*ep^3*z5-
         58011895677329572631631890803520660621926807/
         222024522243363840*ep^3*z4-25866077196334338799260626162517735\
         225401961050449663/232585456121143250962636800*ep^3*z3+
         24793127567479006059368600875/169*ep^3*z3^2;
Fill mncnoptab(14,5,5,5)=
      +mncF321*(-210787531436588596875000-22409027345129502382593750/13
         *ep-66819885111975602958793750/13*ep^2-
         6759411964440754901482778275/819*ep^3)
      +937308134195207835125633904969014322241487819861381/
      903760629499299489454817280-1174434891510087150370625/137904*
         ep^-3-7879394638265068184402203594325/83384481024*ep^-2-
         329218330406036522165102333263193645137/1006511167503249408*
         ep^-1+47818902622010790343899698125/17238*z3-
         11507355014732673048238678184805044812178320378577512043177317\
         74662568222658477035588409212805625819568189427647023/
         11252487871090653997554234264877040391083368837360739186902755\
         7390575206400000000000000000*ep+47818902622010790343899698125/
         11492*ep*z4+1919931005928716017650538269480884725/41692240512*
         ep*z3+73785435926002667022361012146839833973118429507648721829\
         36747572450390733998461516294194329183807518540299317843867981\
         204483/1571697274728086001698930360016266590718219163044058071\
         28684658772993533022306304000000000000000000*ep^2+
         3092103110689233090279838050625/11492*ep^2*z5+1919931005928716\
         017650538269480884725/27794827008*ep^2*z4-51411490674257403118\
         9742777039596719872608271/4529300253764622336*ep^2*z3-
         10924515297231120944965569094339160933375864212893414559593593\
         14442842807940032793813163937692180574793992711570410462226392\
         12298318458350201335614404436526140925280273/
         29956847439233605096813624322959615641986140173423718843357970\
         24190225513548391325331526920708763816881527380498186240000000\
         00000000000000000*ep^3+45903357634118388450758573778125/68952*
         ep^3*z6+18638653847747956947691719912791489225/32427298176*
         ep^3*z5-514114906742574031189742777039596719872608271/
         3019533502509748224*ep^3*z4-2471032481289010426297517788967716\
         24671016848783974647/3163162203247548213091860480*ep^3*z3+
         3347026099495847213335574358125/34476*ep^3*z3^2;
Fill mncnoptab(14,6,1,8)=
      +mncF321*(-10295705239192296000000-1091907051375129275594000/13*
         ep-29180627588546519562115240/117*ep^2-
         53817397557933826292685964054/135135*ep^3)
      +19282102495597974889863367713143612074913655932792348963/3806479\
      03828762287380132870400000-313163168876199530/4563*ep^-3-
         575190992504555020835559581/212446490256*ep^-2-451421149118691\
         1498688106977987150431/169268918687993124000*ep^-1+
         618222858221998912862341520/4563*z3-13323953964483264377747318\
         62289205013065844203530134392527168527247658075374935653582978\
         87759126305694010822121/26786840375179572089021695195986385488\
         1519433061395136461185114492108800000000000000000*ep+
         309111429110999456431170760/1521*ep*z4+23863016666240250595552\
         6673190743317/106223245128*ep*z3+98591386517098653431784205165\
         09600481860583497376803181933199824120117457583288489592167867\
         006826997312284418179510303593/4302686230222095001952456740947\
         22695802428098033564595819605501711926640718643200000000000000\
         0000*ep^2+19989205439371319414629933480/1521*ep^2*z5+238630166\
         662402505955526673190743317/70815496752*ep^2*z4-27807440467374\
         6160308975836395204111542959/49755708021162000*ep^2*z3+
         42431147864165241151434924658398612427817954328715723406467050\
         41028651594312485211538774095556670365513189133672218604947020\
         123548756447995049983126176878597/
         50149764895406707007944166331655508328166730689154546685384222\
         90136062726997066645257207176928514223269478400000000000000000\
         00000000*ep^3+148373483649729898327568647300/4563*ep^3*z6+
         57932178554834426974212527906073221/2082808728*ep^3*z5-
         278074404673746160308975836395204111542959/33170472014108000*
         ep^3*z4-704994483491033841027788563673887751511748162888362453\
         913/190323951914381143690066435200000*ep^3*z3+
         21637799520202885784081096840/4563*ep^3*z3^2;
Fill mncnoptab(14,6,2,7)=
      +mncF321*(-61774231435153776000000-6549827753750665768230000/13*
         ep-58322598523335095081890400/39*ep^2-
         21501465452617171854301261924/9009*ep^3)
      +308510241871724126566730180701001877338335965294964601/
      1015061076876699433013687654400-141441710382055728850/1521*ep^-3-
         80704856017519321714373980687/70815496752*ep^-2-10052852763664\
         448692581089118920582027/2106457654783914432*ep^-1+
         1236448800199634343277010800/1521*z3-
         49335111534527130346182998473608738124358702974928488056891088\
         11636020600124909715626887036942110686777915459731/
         16544728101287890330331940019548874310790315917408273194665574\
         50485760000000000000000000*ep+618224400099817171638505400/507*
         ep*z4+477203336922192269856062457519394043/35407748376*ep*z3+
         21913309959253815900573646096040521541767401964515227204679199\
         96778134870564329694508255374720300259665112788642803057715157/
         15945166982099373768168482383037342533138248919675992796165490\
         5720260471973478400000000000000000000*ep^2+
         39978421829237358360733356200/507*ep^2*z5+47720333692219226985\
         6062457519394043/23605165584*ep^2*z4-1060374122499529057018705\
         20770684138673890869/3159686482175871648*ep^2*z3-
         16041168083518932465298403853682018789356369484382398662414983\
         49663859057212460159728708403699010538036350902212497006304564\
         95947936850485290732375245607875158277/
         99915476184732260107325458169894056915701648249310043317359556\
         76514631400894262418155139342881506563587550740480000000000000\
         00000000000*ep^3+296747041718781101847307644500/1521*ep^3*z6+
         1967826069296686853189795949597626627/11802582792*ep^3*z5-
         106037412249952905701870520770684138673890869/
         2106457654783914432*ep^3*z4-1124322586960898643265483960963897\
         2430546267009343700331/507530538438349716506843827200*ep^3*z3+
         43275565232534657188426683400/1521*ep^3*z3^2;
Fill mncnoptab(14,6,3,6)=
      +mncF321*(-135903309157338307200000-14429795969100508350816000/13
         *ep-128800132387658371975532780/39*ep^2-
         21652582393783546741399293484/4095*ep^3)
      +77126886540178485820841199084909034099847108882826407/
      115347849645079481024282688000-2236076730823795328920/1521*ep^-3-
         135218882869232999223913937263/8047215540*ep^-2-20182291268198\
         773854584619068074904903/326413892786763600*ep^-1+
         2720229743457111497398108960/1521*z3-
         34901991521325726808381577063122658699609740513993556722611542\
         00232449827093474566322192404471347334727856416739/
         53253964251594424907806139468685977485962226354803040219924455\
         7516800000000000000000000*ep+1360114871728555748699054480/507*
         ep*z4+119384272133303334733541806639971317/4023607770*ep*z3+
         15953533307488477170982047505616255163234789975869712307400214\
         8316293025917848778995605086883617627917177461712440522549559/
         52879380297778535455660783413134044114999294886680588354630453\
         42763740141977600000000000000000000*ep^2+
         87952678248831486098068797440/507*ep^2*z5+11938427213330333473\
         3541806639971317/2682405180*ep^2*z4-32577491729098551451771440\
         77358558761530157/44327812600671600*ep^2*z3-
         14002716816260867740507303876497424752202234608549242493296103\
         21277913439447120146502448083123776320236904573564370547054689\
         66136727671177206731434871207641703493171/
         77453610524580396786003886738205501390966424392242575033323049\
         26532866369762102021216563693413565834209609646080000000000000\
         00000000000000*ep^3+652844512507593366992020708400/1521*ep^3*
         z6+494617891348535293894020450768583313/1341202590*ep^3*z5-
         3257749172909855145177144077358558761530157/29551875067114400*
         ep^3*z4-2860458480083197463811944781502049279447140253598870913
       /57673924822539740512141344000*ep^3*z3+
         95205777017513233682689809280/1521*ep^3*z3^2;
Fill mncnoptab(14,6,4,5)=
      +mncF321*(-141565947038894070000000-15078400573482740913650000/13
         *ep-31227455886887178725059000/9*ep^2-
         13746148073844427487709139450/2457*ep^3)
      +729003251471984635867904641952887740143810773473313/
      1046634552545144629331865600-24359527773474833031125/4563*ep^-3-
         1150861302481455160034966032045/19313317296*ep^-2-313047079123\
         802047508640722114120587591/1498665525142705920*ep^-1+
         8501099970949059812244665000/4563*z3-
         45324401617870023203309201439902427739985256443776417886307743\
         810407924695746901022044155589017228333716395296503/
         66191105124062670573848436852217884653431581396239642275898563\
         17092659200000000000000000*ep+4250549985474529906122332500/
         1521*ep*z4+298932598678380415396336729836150035/9656658648*ep*
         z3+29025750898224867796354774742008440665118432707310040964877\
         28748155884639621823350937281812157673919890169774490748310234\
         27/92452780866358000099937080000956858277542303708474004193343\
         91692529031354253312000000000000000000*ep^2+
         274853474161450402715627432500/1521*ep^2*z5+298932598678380415\
         396336729836150035/6437772432*ep^2*z4-567684110784057946419870\
         03298204399791865433/749332762571352960*ep^2*z3+
         50083409812602106990969589762208357165918338116597775041738608\
         90062866398327327226030787235808069460238076152905152956406900\
         37570243059164382635634584523812740635998491/
         14978423719616802548406812161479807820993070086711859421678985\
         12095112756774195662665763460354381908440763690249093120000000\
         000000000000000000*ep^3+2040148306283505370836594081250/4563*
         ep^3*z6+1251546107128921865246414996316189815/3218886216*ep^3*
         z5-56768411078405794641987003298204399791865433/
         499555175047568640*ep^3*z4-28092002262075573696335579569356003\
         599444735891239253/523317276272572314665932800*ep^3*z3+
         297513852184147542022681134500/4563*ep^3*z3^2;
Fill mncnoptab(14,6,5,4)=
      +mncF321*(-74946677844120390000000-8023166957633739392250000/13*
         ep-24209179355901568029479000/13*ep^2-
         9119395457107887076472382710/3003*ep^3)
      +8019233475301743460007815679320315531187290195424719/
      21746740147326893965006540800-52460510132321853972625/8619*ep^-3-
         274325351974328771579439831005/4053412272*ep^-2-21983056435645\
         906119733820691182268703339/93416817733895335680*ep^-1+
         8501718453230206347440419000/8619*z3-
         60944771478527604044852075455848083062681391458762619151757782\
         571916872034376106679669520969070931433914467595933/
         17142461991114668199399028762898616220791069713166751105047166\
         946220441600000000000000000*ep+4250859226615103173720209500/
         2873*ep*z4+1098880230753289827910383771835436915/66881302488*
         ep*z3+15559043895619765066186880649697612567961546666279366251\
         87592353698439720856618131495587783282443235710702536121758598\
         239507/9577530267874274072852856881349124537189148024799728871\
         9042213939792934185467904000000000000000000*ep^2+
         274855666646302827281757408500/2873*ep^2*z5+109888023075328982\
         7910383771835436915/44587534992*ep^2*z4-1841533900628108373567\
         386169087270872973865237/46708408866947667840*ep^2*z3+
         23233337958645861120284232185781994529998313297807153853095170\
         62213158038670219464422921861824888764173218422232555299955462\
         543486975765893707446813556764885970496031861/
         14275373956277288878790967415650349341395207859516821520073927\
         75683648401753106853749389187933998107613325344538026311680000\
         0000000000000000000*ep^3+2040163203714195688744579516250/8619*
         ep^3*z6+1275766903866887481620026612439035855/6080118408*ep^3*
         z5-1841533900628108373567386169087270872973865237/
         31138939244631778560*ep^3*z4-327561520834950359525523276356361\
         010391964455391344939/10873370073663446982503270400*ep^3*z3+
         297507046793701239043854110500/8619*ep^3*z3^2;
Fill mncnoptab(14,6,6,3)=
      +mncF321*(-19985780758432104000000-2155024563246406993680000/13*
         ep-19748000377240142219438300/39*ep^2-
         7557762770070792860193569020/9009*ep^3)
      +176733397037170743468088027072825355019337319000641643/
      1797503990302488579295071888000-56772860585695087698400/25857*
         ep^-3-56571536714017421964616153232/2280044403*ep^-2-199639547\
         10779771995023653395107383781629/223811125820790908400*ep^-1+
         6801700045786825734536206000/25857*z3-
         44629704973280400631963490396863606395532534205242436350794787\
         85135111732437478190042980227627793013712654235540601412757/
         46660875808311236300206136489703662958550479473743229279773335\
         97996467906360115200000000000000000*ep+
         3400850022893412867268103000/8619*ep*z4+3676186937502995295081\
         0595028925904/8360162811*ep*z3+
         65228147762139521901766288270546909066374375237546140864435888\
         52530810965574547041306542464537156536370951727602684452640222\
         32825231/14989980529137201925624082756783590491267433208169791\
         9948534397214721991613358786903801856000000000000000000*ep^2+
         219885687096581235079022642000/8619*ep^2*z5+183809346875149764\
         75405297514462952/2786720937*ep^2*z4-2549544762276150378302342\
         57748504092327021411/24867902868976767600*ep^2*z3-
         97551719013916658516428709465101371566745807006013381432059485\
         46686610429964211136968196291277425913285796581966908221734405\
         802048270296446601416531970875750994612518885683/
         27145797330831003157884391798179981634719946906406351947967779\
         70812902535913232382301327379523060863693364127167385713822924\
         80000000000000000000000*ep^3+1632138403109892198756329300000/
         25857*ep^3*z6+131053390548291524297228760180593284/2280044403*
         ep^3*z5-254954476227615037830234257748504092327021411/
         16578601912651178400*ep^3*z4-324876718115653968541328020189116\
         693909875687927052107/37447999797968512068647331000*ep^3*z3+
         238002062637746835072226171600/25857*ep^3*z3^2;
Fill mncnoptab(14,7,1,7)=
      +mncF321*(-4425346988775636000000-1419440255208218304985000/39*ep
         -38463834146604049241834300/351*ep^2-
         2063861035734302947270202455/11583*ep^3)
      +1420777062884550854708557379070607394264716199145549889/
      65253926370644963550879920640000+830864600339867975/13689*ep^-3-
         619401247854069375472802723/182096991648*ep^-2-979585171522142\
         9558677308540598613/213364183220159400*ep^-1+
         797182064154638207001363400/13689*z3-
         14353721468050243464386126524128946462718901263277386386567577\
         37552938595271779150341635226055960139546081013/
         67622262759805292951401571396339590561595314553659066825023569\
         26464000000000000000000*ep+398591032077319103500681700/4563*ep
         *z4+88268294405146178074552380281919187/91048495824*ep*z3+
         33723846449013397553159706027911817659724472117666503526085526\
         30028515366800988068496500883473290275713326873628973084449/
         34758246931151808258936454084575682758937828997365025785765545\
         71879192167710720000000000000000000*ep^2+
         25775554250242379112450580100/4563*ep^2*z5+8826829440514617807\
         4552380281919187/60698997216*ep^2*z4-4947507817958573375541505\
         652025005632680137/2115861483599914050*ep^2*z3-
         21766039924862310790582803059580417261004524161678486697395151\
         04315867680731613168815202207188848478978481740396610531050244\
         818230873636234068525256915279067/
         16204927047945850569184654584945182743615215036922534375911113\
         71807771937113961747113005533732665783064985600000000000000000\
         000000000*ep^3+191323701716431247825875942250/13689*ep^3*z6+
         19695628016968089172827484615182577/1597342032*ep^3*z5-
         4947507817958573375541505652025005632680137/
         1410574322399942700*ep^3*z4-5724698563299230343263580940264402\
         1442825019340499401651/32626963185322481775439960320000*ep^3*
         z3+27901373655698007156476312500/13689*ep^3*z3^2;
Fill mncnoptab(14,7,2,6)=
      +mncF321*(-22758927370846128000000-2433827216545298860440000/13*
         ep-21991504324442952174715700/39*ep^2-
         1180527197113185709984540436/1287*ep^3)
      +1068220219936134918693974519370210448271003599513/
      9540047715006573618549696-178127697772551830800/1521*ep^-3-
         1798149733259868423090063101/1264562442*ep^-2-4407703037511933\
         83172720401869927213/75230630527996944*ep^-1+
         455536550400925686412266400/1521*z3-
         15255524369699446351395404583061240691336155743447612622127129\
         2408922215453033290174062434747402585821108223667293/
         13967754052275337732961724580643922094889521083916911691968757\
         2514406400000000000000000000*ep+227768275200462843206133200/
         507*ep*z4+3152779364288791488781994439046264/632281221*ep*z3+
         81449598065828741345496582590486419250335810084872407918948212\
         4137658229381158396045918902372963265222355514553126398392617/
         16317065920457376654889613167481362184056925279318581549428825\
         6290995410095308800000000000000000000*ep^2+
         14728902104461290765901229600/507*ep^2*z5+15763896821443957443\
         90997219523132/210760407*ep^2*z4-13560712252875644880851864101\
         740710313696211/1128459457919954160*ep^2*z3+
         32578708815465979880063500567083822081141167761430575423253420\
         44557280247186006299466593257202256186091736057863889076337706\
         192248023859230822397849716729202424353419/
         23899971247584808151109770764931983286355353812463423153139683\
         77330141622669448623689682511110471743127536690790400000000000\
         0000000000000000*ep^3+109327924407457366528228556000/1521*ep^3
         *z6+13375329110306630718995878536655246/210760407*ep^3*z5-
         13560712252875644880851864101740710313696211/
         752306305279969440*ep^3*z4-40987455816500239453485260540874672\
         378834899614117519/4531522664628122468811105600*ep^3*z3+
         15943598619074162340491975200/1521*ep^3*z3^2;
Fill mncnoptab(14,7,3,5)=
      +mncF321*(-41724700179884568000000-4470024853606577289640000/13*
         ep-121540894643528522952331850/117*ep^2-
         595492480760346621831171128/351*ep^3)
      +4059180378521419703913048000634673280406051688089259/
      19773917082013625318448460800-5584362221938346515900/4563*ep^-3-
         1013593478567003003395054933/72606456*ep^-2-314908884380793675\
         00147140071607285273/615523340683611360*ep^-1+
         2505552242395523522406713200/4563*z3-
         16104873513667409132356896158894196820992193491962572321382157\
         83577830055825231528190661095259141296344651360068683157/
         80534717604447051287201393118093500257830205084804772757085781\
         8100663844864000000000000000000*ep+
         1252776121197761761203356600/1521*ep*z4+6311322478013841464582\
         356706872073/689761332*ep*z3+236025399877838342964781065190932\
         78160675226028942878521534206933372790775545059937435332110906\
         0036444497910212248314399707652543/258720786504224891059664924\
         04547768177245715812083073807469555056290166632056010833920000\
         000000000000000*ep^2+81009320534243818899071304800/1521*ep^2*
         z5+6311322478013841464582356706872073/459840888*ep^2*z4-
         13477455242535053987476532218827463858854761/
         615523340683611360*ep^2*z3+
         19253780744806305536017249508467825549368493377774806466363242\
         47538703731736782842675425260317687350416097947744951050594052\
         0373631326975233161270912258573007615988887141/
         68900749110237291722671335942807115976568122398874553339723331\
         55637518681161300048262511917630156778827512975145828352000000\
         0000000000000000000*ep^3+601306023400839832937018003000/4563*
         ep^3*z6+26932062894155145008289562466733197/229920444*ep^3*z5-
         13477455242535053987476532218827463858854761/
         410348893789074240*ep^3*z4-16726211542215178758464349297322605\
         9826410846491488333/9886958541006812659224230400*ep^3*z3+
         87688679736427136406846637600/4563*ep^3*z3^2;
Fill mncnoptab(14,7,4,4)=
      +mncF321*(-34770583483237140000000-11214033428090371440100000/39*
         ep-306719572693281078390374000/351*ep^2-
         16658000308989093433832663620/11583*ep^3)
      +16881681900312807236696696351206137897546902516165/
      98682686382827922194147328-36749605618141013862250/13689*ep^-3-
         124555775771674443763150536055/4138567992*ep^-2-10747751866142\
         061788621641840724044873/100930535366753664*ep^-1+
         6264382263410790872323558000/13689*z3-
         15629478074161962608098542501412329698606478501817249046849963\
         29053827943523874006053714138317970931201594967383/
         94906363964648682072797391074871231672199693913725957675001616\
         3112550400000000000000000*ep+3132191131705395436161779000/4563
         *ep*z4+173869934820542219103937989606367795/22762123956*ep*z3+
         88826677686344535781994054996350327417638324203402349381361963\
         12858977354660430772849530128477102627093022150648043080529/
         11860718597986717118084033289596439055342598173126599222172410\
         39502079680315392000000000000000000*ep^2+
         202525079568262934112801437000/4563*ep^2*z5+173869934820542219\
         103937989606367795/15174749304*ep^2*z4-63681410360649103117794\
         77334966562898508353/353256873783637824*ep^2*z3-
         34590347717742809823209145421552883070974827938515538155795346\
         46062844065686015934793931014036084932635905277970820633378509\
         339544046027510203819873084956881873025632479/
         16794557595620339857401138136059234519288479834725672376557562\
         06686645178533066886763987279922350714839206287691795660800000\
         0000000000000000000*ep^3+1503277141103445028665201882500/13689
         *ep^3*z6+68212948857155413592114329768603205/689761332*ep^3*z5
         -6368141036064910311779477334966562898508353/
         235504582522425216*ep^3*z4-36109773215633652654783719133171713\
         42039141727099197/246706715957069805485368320*ep^3*z3+
         219216178661262055214910409000/13689*ep^3*z3^2;
Fill mncnoptab(14,7,5,3)=
      +mncF321*(-13805966971285335000000-1492148422322923174425000/13*
         ep-4575743030980649635233000/13*ep^2-
         58020733671225679276009465/99*ep^3)
      +8929457718319043034210865093553235049696214589498725/
      131474577576410593228439543808-8874219461028017170375/5746*ep^-3-
         182329309866538044791743335055/10423060128*ep^-2-4083770739255\
         75444599353239924849943433/6461915211667948032*ep^-1+
         522062054472768449651196500/2873*z3-
         12326531304145149859717933895623666043215796027993331758920996\
         994660359386881507689519382957053137291630609693136033155587/
         18664350323324494520082454595881465183420191789497291711909334\
         391985871625440460800000000000000000*ep+
         783093081709152674476794750/2873*ep*z4+17433756801445478750915\
         4846280015195/57326830704*ep*z3+
         17978186162727934872795492455568047994942365539663440841068644\
         39603304779023126873927576847838096853680877539505366185765306\
         087982661/5995992211654880770249633102713436196506973283267916\
         79794137588858887966453435147615207424000000000000000000*ep^2+
         50631591257793120647351459250/2873*ep^2*z5+1743375680144547875\
         09154846280015195/38217887136*ep^2*z4-431169386806217739894859\
         172309317628541053573/61388194510845506304*ep^2*z3-
         40415200720076484166284570138993072161848027490903024547392088\
         39343675021709397903274795454295875206737439817275866568275905\
         156492099189153877981577601920108095102714705097/
         63872464307837654489139745407482309728752816250367886936394775\
         78383300084501723252473711481230731443984386181570319326642176\
         0000000000000000000000*ep^3+125273823008300880494250656875/
         2873*ep^3*z6+69569230564167313970150010327511805/1737176688*
         ep^3*z5-431169386806217739894859172309317628541053573/
         40925463007230337536*ep^3*z4-201689984457451318208705235179508\
         0995652983240059241789/328686443941026483071098859520*ep^3*z3+
         18267683040953150149602020750/2873*ep^3*z3^2;
Fill mncnoptab(14,7,6,2)=
      +mncF321*(-2454394128228504000000-267251461749089033370000/13*ep-
         7468369965667466082411800/117*ep^2-12636278844467878745435488/
         117*ep^3)
      +49181687686769703514133376712411900833355641951667/
      4074625338111898550468167680-14804200709460283290400/77571*ep^-3-
         17835508882130490710422725149/7817295096*ep^-2-764550602195126\
         44001058115433332732357/8371117433297114496*ep^-1+
         2505755407300067885237783200/77571*z3-
         46881650711883532257551772687962601438374127828605819782066060\
         75678708465796375392111787868738065774094454611181514839073/
         40439425700536404793511984957743174564077082210577465375803557\
         849302721855120998400000000000000000*ep+
         1252877703650033942618891600/25857*ep*z4+106047406956059468857\
         1451280913143/1954323774*ep*z3+7504009826297197691901363817835\
         18787924366275741361131599736243705621542570113643951598794673\
         35678915310779901558760320327103632591/
         14434796065095083335786153765791605658257528274533873772821830\
         8428991547479530683685142528000000000000000000*ep^2+
         81010040448047339681461824800/25857*ep^2*z5+106047406956059468\
         8571451280913143/1302882516*ep^2*z4-25432586772314216915215472\
         578578903229048931/20927793583242786240*ep^2*z3+
         51575316290969869373398383185073308692184452924029089582078324\
         55050937170376496560260454473926585709293998980196454094536258\
         1435768914293881128911036334758540717864330643183/
         11998442420227303395784901174795551882546216532631607561001758\
         63099302920873648712977186701749192901752466944207984485509732\
         76160000000000000000000000*ep^3+601310914842104877897869228000/
         77571*ep^3*z6+7146770433151883289196021741151878/977161887*
         ep^3*z5-25432586772314216915215472578578903229048931/
         13951862388828524160*ep^3*z4-340590323769747228499774008590480\
         450332742717882197/291044667007992753604869120*ep^3*z3+
         87686442294814447405375885600/77571*ep^3*z3^2;
Fill mncnoptab(14,7,7,1)=
      +mncF321*(-150708411382452000000-16573834681046560225000/13*ep-
         1412525040244440345346900/351*ep^2-8949140298774198698168572/
         1287*ep^3)
      +1041394771329959489584619700045453442211497626382249627/14051345\
      47847888215128947624448000-389155207823547193700/4421547*ep^-3-
         8420780509096664557298120573/891171640944*ep^-2-53270152490837\
         30498802050412446253798883/52486906306772907889920*ep^-1+
         8769008888766581662586783600/4421547*z3-
         53930979371023727961801202435911994201472136998529173149658572\
         8363596102239251684626443887854945859736651738598245404827/
         76442893990044581510184645034917582530564076321525259804771521\
         342687032894501683200000000000000000*ep+
         4384504444383290831293391800/1473849*ep*z4+4318707444118731466\
         210477124643149/128985369084*ep*z3+
         76994342947114400609287453980870807900969412904235058073290174\
         35595746524809857060587081471022567381720323875561230645387896\
         8398341/245575650403365078485606784347102597282957796078740827\
         0177265048247307729951505432388304896000000000000000000*ep^2+
         283531121801120253268646082400/1473849*ep^2*z5+431870744411873\
         1466210477124643149/85990246056*ep^2*z4-1346981533410503456708\
         926222817083020878565779/18745323680990324246400*ep^2*z3-
         65795301502256590356463100724832569589777898651127612010691112\
         47195433113229737469308079038165100897550731607843341136373304\
         13617576972266418305105483000034420345113848387/
         13528855994235888012594199794029678398177111498528496280517289\
         06861969109760593701877338066768222608608648952397778424988015\
         0016000000000000000000000*ep^3+2104560891286485445358378659000/
         4421547*ep^3*z6+51814066104805642828109141332355461/
         111396455118*ep^3*z5-13469815334105034567089262228170830208785\
         65779/12496882453993549497600*ep^3*z4-274843732184807518240900\
         566275336150840093149927972338359/3512836369619720537822369061\
         120000*ep^3*z3+306915062834498362725590362400/4421547*ep^3*
         z3^2;
Fill mncnoptab(14,8,1,6)=
      +mncF321*(-1137946368542306400000-123090077895851529771000/13*ep-
         1133873671211486770962940/39*ep^2-727977620108679344031327937/
         15015*ep^3)
      +1420746535499864912121922124709210863474533449880818643/25376526\
      9219174858253421913600000-93045640427821685/1521*ep^-3-
         2994428581952976283269460433/708154967520*ep^-2-25199283064174\
         18948199152412580811073/56422972895997708000*ep^-1+
         22776634227712837596387320/1521*z3-133923012582002187522692523\
         17612045571170564927577117745235238580573178974272530262791951\
         5255678321753301696669/247948296785952740821805761786578498725\
         8494866967499116917530873036800000000000000000000*ep+
         11388317113856418798193660/507*ep*z4+8877863197586025077220073\
         0513225417/354077483760*ep*z3+15550124283227438222755569659625\
         22288352183405479996064686643722882185420795895229365032892871\
         337381682414465722961827301/6372345270711164847471683248838875\
         172471935316183588060723683381778518974136320000000000000000000
         *ep^2+736444419185419980036511780/507*ep^2*z5+8877863197586025\
         0772200730513225417/236051655840*ep^2*z4-228033458236948249036\
         38020931211454858332067/39496081027198395600*ep^2*z3+
         20092097393920961679297408044343924426924014146328781111244965\
         50333895456199037439256431635148822969993824790495394073836906\
         32195519097839693613895599802173747273088569/
         51247714315129646388842632071385591576673348460847607433198990\
         48280018867351147205353761938722185502296398559958794240000000\
         0000000000000000000*ep^3+5466391558321367756282870050/1521*
         ep^3*z6+390717026712475206913119101772352393/118025827920*ep^3
         *z5-22803345823694824903638020931211454858332067/
         26330720684798930400*ep^3*z4-129493761101040349889139523121940\
         20913710786972974699909/25376526921917485825342191360000*ep^3*
         z3+797182052360660106590711060/1521*ep^3*z3^2;
Fill mncnoptab(14,8,2,5)=
      +mncF321*(-4876913008038456000000-527829345110788188930000/13*ep-
         1622278740948867468870800/13*ep^2-1877032673524427400041957474/
         9009*ep^3)
      +8117858640487071789657353310068894474551499171585459/
      338353692292233144337895884800-12617719373481670150/169*ep^-3-
         21375339724533846312197846969/23605165584*ep^-2-11761236113952\
         5789484754109249811299621/31596864821758716480*ep^-1+
         10846291982154661168697200/169*z3-4656655248441712215404058227\
         10175072236856497610419403485527001603886417557904522520286071\
         88393130655709972746728759/20133679401111762821800348279523375\
         0644575512712011931892714454525165961216000000000000000000*ep+
         16269437973231991753045800/169*ep*z4+1268648108644316432729947\
         3021402081/11802582792*ep*z3+675845171105138723431167512009018\
         41080932722636425738666486601600728414733085150927760333605242\
         25820707479233304788312953490601/64680196626056222764916231011\
         36942044311428953020768451867388764072541658014002708480000000\
         000000000000*ep^2+1052066391634546080134867400/169*ep^2*z5+
         12686481086443164327299473021402081/7868388528*ep^2*z4-
         39010425971337636985971625777981085689209101/
         15798432410879358240*ep^2*z3-
         14298288896413094005169969044329531855299085383829417471665101\
         35070480462651454500339571807855433217658151552762420785722966\
         6665392980192023280364054782429280825691209492374919557/
         29713234993725877196380751901830216221020446342323960147946258\
         14072171082242730857754101523518965021076311721683953257733632\
         81920000000000000000000000000*ep^3+
         2603050249130978547415425500/169*ep^3*z6+365579040693820072615\
         973032168553/25713688*ep^3*z5-39010425971337636985971625777981\
         085689209101/10532288273919572160*ep^3*z4-74414705921296922284\
         123730409267675252036782853458261/
         33835369229223314433789588480*ep^3*z3+
         379607476062819314620924600/169*ep^3*z3^2;
Fill mncnoptab(14,8,3,4)=
      +mncF321*(-7152805745123068800000-775780604462719682904000/13*ep-
         7178359456113578309396720/39*ep^2-
         13905705927149671276458909536/45045*ep^3)
      +2232345388450117555258674003723713878207690873097747/
      63441317304793714563355478400-719015658238168399480/1521*ep^-3-
         21770485687395003019493313221/4023607770*ep^-2-394518644909063\
         506222021306891568402317/19748040513599197800*ep^-1+
         143183222635145431611447040/1521*z3-
         16004043452643094908510997527534639999842176553329544392592127\
         6581305599952336000933799712173448677958830479229359/
         47188311096355694113594566280132910307322385791877796537354950\
         2793357721600000000000000000*ep+71591611317572715805723520/507
         *ep*z4+34926346533664111242692777379485444/22129842735*ep*z3+
         46419880651131736142807277230292529575528771855686477784183957\
         689997691014330291023380939765838496200582218620043342218993869
       /303188421684638544210544832865794158327098232172848521181283848\
         31590039021940637696000000000000000000*ep^2+
         4629135248604051443690502560/507*ep^2*z5+174631732668320556213\
         46388689742722/7376614245*ep^2*z4-3942746709499751938732872302\
         171266029515743/1097113361866622100*ep^2*z3-
         30774798773778281625970131633007065741572702615727280110075024\
         99818942079004136784108443756820687922926980661959136362526907\
         99316300962181289598335485259703946997362244995558281/
         27856157806618009871606954907965827707206668445928712638699617\
         00692660389602560179144470178299029707259042239078706179125280\
         768000000000000000000000000*ep^3+34360556307942522248650151600/
         1521*ep^3*z6+2013061126546906516322331776666758/95800185*ep^3*
         z5-3942746709499751938732872302171266029515743/
         731408907911081400*ep^3*z4-52202888072147177377325726130889311\
         5003710871562714833/158603293261984286408388696000*ep^3*z3+
         5010684716356173070812466720/1521*ep^3*z3^2;
Fill mncnoptab(14,8,4,3)=
      +mncF321*(-4470503590701918000000-486679192067433031590000/13*ep-
         348581056956720017377400/3*ep^2-1769876679130085704476381962/
         9009*ep^3)
      +44643296225496897726932838935640741180596155828236613/
      2030122153753398866027375308800-794474304591471297175/1521*ep^-3-
         38380126701847236819545254331/6437772432*ep^-2-276622342962750\
         5104492659346989046250029/126387459287034865920*ep^-1+
         89497093712524146776499400/1521*z3-
         36491993294155166748960513872028433500037117835533035446575809\
         28944397433494696223319061667354254971926099204354610953/
         17154733753055601580958138415332229028878852747699716646975491\
         169104661420441600000000000000000*ep+
         44748546856262073388249700/507*ep*z4+4999064927095549878505746\
         195660437/5058249768*ep*z3+21136216025517415068595557677417372\
         96709634042699907595771247462737400131634550178727610873745866\
         235713065515954086784085116728171/2204408901343706165532953346\
         58582213106874017767202823453727054727532340607880568976179200\
         0000000000000000*ep^2+2893236418417647826229269100/507*ep^2*z5
         +4999064927095549878505746195660437/3372166512*ep^2*z4-
         46661984981635700226725270628449346389007953/
         21064576547839144320*ep^2*z3+
         87123969007644438815159235451018589495688407548947013345378959\
         34816376407203644291692228778608365221736001515166395785379250\
         87367760312177395372177343131322348845105572305397194119/
         20253531412890015426292999854684203050121570241806088702178434\
         42398727548692720110340454068481310523866316613223838672246501\
         9173273600000000000000000000000*ep^3+
         21475530403851048329778269750/1521*ep^3*z6+1428343123298516772\
         7021664958854941/1072962072*ep^3*z5-46661984981635700226725270\
         628449346389007953/14043051031892762880*ep^3*z4-21615151110688\
         67895473235567127225946566371473781534809/
         1015061076876699433013687654400*ep^3*z3+
         3131594671732193590323936700/1521*ep^3*z3^2;
Fill mncnoptab(14,8,5,2)=
      +mncF321*(-1183368597538743000000-129542049600608196090000/13*ep-
         405787074959237500552900/13*ep^2-481119390514221184113906512/
         9009*ep^3)
      +133887365349808574101671405758238670323653779236597809/
      23008051075871853814976920166400-1779136550546883174025/17238*
         ep^-3-90127237039814571093085916693/72961420896*ep^-2-
         21306639215982099426430404245679964844191/
         4297173615759185441280*ep^-1+134239024030609660100659100/8619*
         z3-20164371642658657289342378114938789212232963120207297949272\
         581185616939925247178993493660093328776500280857266470584985253
       /363954831304827643141607864619688571076693739895197188382232020\
         643724496696088985600000000000000000*ep+
         67119512015304830050329550/2873*ep*z4+105267872127068596461590\
         711656346027/401287814928*ep*z3+
         28875681441688189617482152449326377624944336596843092546278947\
         89565520287148807632310236314804385674841698468966171175235977\
         245878419/1169218481272701750198678455029120058318859790237243\
         7755985682982748315345841985378496544768000000000000000000*
         ep^2+4339831131885868559870768650/2873*ep^2*z5+105267872127068\
         596461590711656346027/267525209952*ep^2*z4-1233882680022085555\
         173092218141094385646162561/2148586807879592720640*ep^2*z3+
         10198382854199134707183033610186052097656306245907032896841329\
         87114001507265905202069994196292044518247565556967508466935787\
         57191037499957833546605698784310577086806483171/
         10830548295676819674245435090833956867049390581584119958779983\
         71986733492589422638462933685947819679632135048179315016256716\
         8000000000000000000000*ep^3+32213135929067490048779117125/8619
         *ep^3*z6+6243326283398489985822731538311639/1737176688*ep^3*z5
         -1233882680022085555173092218141094385646162561/
         1432391205253061813760*ep^3*z4-6806548780305223305927759256846\
         565402116169675996559157/11504025537935926907488460083200*ep^3
         *z3+4697464544623654293955230050/8619*ep^3*z3^2;
Fill mncnoptab(14,8,6,1)=
      +mncF321*(-105188319781221600000-11602491506271135162000/13*ep-
         110408599217863570899320/39*ep^2-44338704561858159405565786/
         9009*ep^3)
      +185954625104232490549741658000698428594677919854920711/359500798\
      060497715859014377600000-2202139684853697370/25857*ep^-3-
         168990227454720873887070263/22800444030*ep^-2-1457933964301029\
         0800559174904709422289/186509271517325757000*ep^-1+
         35791886927960159906647120/25857*z3-
         15807030426902777965262335615613251400240043818097189360084714\
         4399194487533779553889615266063954921355606492279943901787/
         32186481680018771162183008435754771591816453188010635707272219\
         512710329639790182400000000000000000*ep+
         17895943463980079953323560/8619*ep*z4+130442216350757694151438\
         9829967767/55734418740*ep*z3+224967877974653295149944449134201\
         01676933043697265367964642549724621418555811585970423722271879\
         505644427538194154292048067561515141/
         10340027385404845409920285656720109359282433519104876927062168\
         62419919044190107550479286272000000000000000000*ep^2+
         1157269933731958427581608680/8619*ep^2*z5+13044221635075769415\
         14389829967767/37156279160*ep^2*z4-241159487933691016601817344\
         0488021507197611/48654592569737154000*ep^2*z3+
         18487112032205023105985600115651632220251506854455840140793466\
         08566375955139742926043808307756593057161446958501412478456853\
         46498587314897429170017048222978241523291773551/
         54115423976943552050376799176118713592708445994113985122069156\
         27447876439042374807509352267072890434434595809591113699952060\
         00640000000000000000000000*ep^3+8590044785669787807095447300/
         25857*ep^3*z6+14959091247186878773087573461013181/45600888060*
         ep^3*z5-2411594879336910166018173440488021507197611/
         32436395046491436000*ep^3*z4-145758287549209111251098017505720\
         702870760651544721321/2605078246815200839558075200000*ep^3*z3+
         1252714385862729121085945800/25857*ep^3*z3^2;
Fill mncnoptab(14,9,1,5)=
      +mncF321*(-169337257223557500000-18614564878270720541875/13*ep-
         1056673825203723713666275/234*ep^2-240606347681112972000974891/
         30888*ep^3)
      +44118963777484011527822321536403173074562254369099271/
      52959708358784318244192399360000+844200025534128925/36504*ep^-3-
         52782836510563975545171245/28564233984*ep^-2-16240296229877918\
         6768508185362249631/6868883656904068800*ep^-1+
         10168134602961234264562225/4563*z3-259198065704546823104058375\
         49449796021230017521180636040762260843534640261158357551710462\
         849533815085916821/3252588837341193718109650738467414840428534\
         881388421201819767207362560000000000000000*ep+
         10168134602961234264562225/3042*ep*z4+639253251862157577839609\
         87727325715/1699571922048*ep*z3+148505407835474126516007098315\
         68809202475870660377846764851709660556961488336044421364303619\
         421644125005948074776296489/4179625221037882036602545037747734\
         27461513272912414223113304947276901617185587200000000000000000
         *ep^2+657539625649264765342206175/3042*ep^2*z5+639253251862157\
         57783960987727325715/1133047948032*ep^2*z4-3833710799011923321\
         6476594157993177478087427/473952972326380747200*ep^2*z3+
         25672084478298002905847450636532974111725020898943294647353535\
         17139605666013678881124423824019366140729006266487188141589411\
         5918328643906771693068917365597244322897948642139/
         21956368943074165326361810339426759251730816530852306464786039\
         46782692853705561198046394934386834143795862575911723303184277\
         4384640000000000000000000*ep^3+9761413038709359137487470375/
         18252*ep^3*z6+295637700169765280825226510750377555/
         566523974016*ep^3*z5-38337107990119233216476594157993177478087\
         427/315968648217587164800*ep^3*z4-5348254619582349163107591865\
         7587870531620885604776154243/609036646126019659808212592640000
         *ep^3*z3+711769853576874490648158275/9126*ep^3*z3^2;
Fill mncnoptab(14,9,2,4)=
      +mncF321*(-580584881909340000000-63875630790936323700000/13*ep-
         4236182617620114077159500/273*ep^2-
         1690979218999355546679902270/63063*ep^3)
      +579736226741238228537752205412913030568085675891073/
      203012215375339886602737530880-258398637484333748000/10647*ep^-3-
         145289721680522094292183999235/495708477264*ep^-2-529831537699\
         19717135178925756154836567/44235610750462203072*ep^-1+
         81350814273023601631634000/10647*z3-
         76227495008631019993918752316847921810633882992367676628636552\
         5595592238726808740258589201958216382291197495476601/
         28043339165834241073221913675050415268351589270601661942199513\
         308862401740800000000000000000*ep+40675407136511800815817000/
         3549*ep*z4+4568263928917951508767488650616595/35407748376*ep*
         z3+27173392715526412350833913306429427728887514650042567815696\
         11156978784593113591689183998369468871666987833850412432801554\
         0997/225225684680017204270690447271732803328701543899830330020\
         382287320383147020130451456000000000000000000*ep^2+
         2630178803122262789245726000/3549*ep^2*z5+45682639289179515087\
         67488650616595/23605165584*ep^2*z4-203768143450544046931170197\
         8417652757586801/7372601791743700512*ep^2*z3+
         97670713167735871839240721704260069318421279274964039488659383\
         99992020652502718837763139372808289294350766351137065114461216\
         9825353762458152461166881280998521135320793893662124929149383/
         45545802809288315787629899318886113782309286924908971967845324\
         15184383118712832060635149237742406487406003292845184065940691\
         258645386625024000000000000000000000*ep^3+
         19522963987734411915263860000/10647*ep^3*z6+148264624600321995\
         983004487704272185/82618079544*ep^3*z5-20376814345054404693117\
         01978417652757586801/4915067861162467008*ep^3*z4-2154234955594\
         66029288547724197864290209289218715623797/
         710542753813689603109581358080*ep^3*z3+
         2847016029511523457508142000/10647*ep^3*z3^2;
Fill mncnoptab(14,9,3,3)=
      +mncF321*(-638643370100274000000-70427517153827003445000/13*ep-
         4688710000675194391840700/273*ep^2-
         1880812921614164137608194057/63063*ep^3)
      +398522055516250747742483811878280104148332146439353/
      126882634609587429126710956800-812773787873908504675/10647*ep^-3-
         39934937505208708184549947391/45064407024*ep^-2-49649589976005\
         054947266087066636371229/14745203583487401024*ep^-1+
         89497477870915601266164400/10647*z3-
         13640440515230100152390305432867610613726729178836585227512275\
         7583377656338206164884937211410462423735974530456121101/
         46130376478804979041231968847952212514632209069444616193547539\
         27826463575244800000000000000000*ep+44748738935457800633082200/
         3549*ep*z4+359386996944318722379054970408813/2529124884*ep*z3+
         32867406246590167377257551106646419510535832077011555831443655\
         58792407428257184844910972056431582680311620248496883340827568\
         52841/25193244586785213320376609675266538640785602030537465537\
         56880625457512464090063645442048000000000000000000*ep^2+
         2893237802773443367813654100/3549*ep^2*z5+35938699694431872237\
         9054970408813/1686083256*ep^2*z4-33307714892523150698228652457\
         60367343946631/11058902687615550768*ep^2*z3+
         12524402910623781941185884800734794302801359295602847975860297\
         70527567509710552138937132268851951193932136037205306823766316\
         71792648426080044926684572753901683690387257807045727766169370\
         381/5094652289351859252191419138034336496325156148116040028829\
         91608112713574807842476898068604513337273222374626108122633651\
         5347448781648470160179200000000000000000000*ep^3+
         21475539826123536255436994750/10647*ep^3*z6+373715908764082751\
         9976763927369519/1877683626*ep^3*z5-33307714892523150698228652\
         45760367343946631/7372601791743700512*ep^3*z4-1508784489312292\
         43999827246579172128421057891584043561/
         444089221133556001943488348800*ep^3*z3+
         3131590593431803972978161700/10647*ep^3*z3^2;
Fill mncnoptab(14,9,4,2)=
      +mncF321*(-266101404208447500000-29460038436525173675000/13*ep-
         5921949630114532811302750/819*ep^2-
         2395101915782910293509072990/189189*ep^3)
      +6374467642084388992804465318452769294358723393441653/
      4872293169008157278465700741120-3734752098734064173375/127764*
         ep^-3-189437708716103447061431286355/540772884288*ep^-2-
         2997599764530806107347353920776468738031/
         2123309316022185747456*ep^-1+111870119420486047601689250/31941
         *z3-4126041389233997376278029815038685822200458074608283223471\
         3161371644619831114083501222684230041635759357561343200589/
         33609274291700770444326148732079469117803466607738220369584635\
         75987852033392640000000000000000*ep+55935059710243023800844625/
         10647*ep*z4+25206486802276504673247831549771235/424892980512*
         ep*z3+58334586278465979015849292301936006276746889762086382796\
         38916543059119306631022562574682961627041568480071048857698106\
         377068077/1079710482290794856587568986082851656033668658451605\
         66589580598233893391318145584804659200000000000000000*ep^2+
         3616541027545481385439283875/10647*ep^2*z5+2520648680227650467\
         3247831549771235/283261987008*ep^2*z4-145717599999424836514818\
         69345998895774918121/117961628667899208192*ep^2*z3-
         34505355373259305336128702059648552585514065030162103121632689\
         84735052007665349517800558438061536520933889029813442968477151\
         55818873384616899745004122668897229321019779883704649/
         19840194037116749805348244755609015232772150440952903218460507\
         19084467802801031944823301944634753166236391784382535842200654\
         93942272000000000000000000000*ep^3+
         53688764816079790543580811875/63882*ep^3*z6+757626363086421303\
         05791444655303855/90128814048*ep^3*z5-145717599999424836514818\
         69345998895774918121/78641085778599472128*ep^3*z4-248763292243\
         2802869434348576377373226045388672664276927/
         17053026091528550474629952593920*ep^3*z3+
         3914506591093749679485068375/31941*ep^3*z3^2;
Fill mncnoptab(14,9,5,1)=
      +mncF321*(-35219303498176875000-3921264999908015388750/13*ep-
         176794924099190514835075/182*ep^2-36175505294137830203794807/
         21021*ep^3)
      +113828968987304246501598002250065121988108223714032759/657372887\
      882052966142197719040000-41776519802764275775/965328*ep^-3-
         516693406577182710860741145/151327391488*ep^-2-427075026477690\
         77070135382297583895837253/1203208612412571923558400*ep^-1+
         55924832886662059899041825/120666*z3-
         17572720871739100282327486718455741420843803818285506201285068\
         1904475016495944143985452082430311931432015260517800287/
         10776723776791999273052346574471463702617116022771418205559894\
         9261306907276083200000000000000000*ep+
         55924832886662059899041825/80444*ep*z4+84251311465821860852644\
         29346771505/1070100839808*ep*z3+
         99055910856227889043875738005642458708496625110975736372942546\
         51692259557431897912749763058470622834291176051601190310210619\
         2889/138482509625957751025718111473930036061818306059440315987\
         43975835981058627546083265347584000000000000000000*ep^2+
         3616468682532634559198089475/80444*ep^2*z5+8425131146582186085\
         264429346771505/713400559872*ep^2*z4-9610405375698623499165158\
         828462512102297814107/601604306206285961779200*ep^2*z3+
         69501689645769103158097072071884924614388977247417500755035398\
         20070805616172764762429487974966313735331918068926749827339439\
         0406715485261791925873019551100736814082360916179411/
         25446820298498402763734601420921741412390351882525754886891534\
         44611462498860430704230958253096270467230872141308493515465393\
         589714944000000000000000000000*ep^3+
         53687781909122897788980923875/482664*ep^3*z6+77236305622560402\
         195833651749464415/680973261696*ep^3*z5-9610405375698623499165\
         158828462512102297814107/401069537470857307852800*ep^3*z4-
         324083708705298184155332645988332246448590838480647835491/
         16105635753110297670483844116480000*ep^3*z3+
         3914732719466256315697845175/241332*ep^3*z3^2;
Fill mncnoptab(14,10,1,4)=
      +mncF321*(-13683818765540000000-13842697801713577930000/117*ep-
         4480305449682054878113300/11583*ep^2-
         169736056528456282056842176/243243*ep^3)
      +63404793173802734967612256188530807168158762813142969/9421035619\
      76186661265828854240000-9936319610207722850/451737*ep^-3-
         8378396724496500619394550475/10516101267672*ep^-2-103594894999\
         46668729746796564473877507/1421858916979142241600*ep^-1+
         7395034780243006127028400/41067*z3-950265801648530165047606981\
         87406164897598935428321563299465891105482536459041343699857431\
         3791319370525241851/154294682971372877002826556906047991492828\
         6234358632307613252068992614400000000000000000*ep+
         3697517390121503063514200/13689*ep*z4+808084455671446087295154\
         8857941745/2629025316918*ep*z3+1303414779799306931347216206168\
         33942529876261343896203413065885748111307894745181495588489790\
         615185315925660830806760113/4956774285574613227783330755703953\
         61630138397094566242723435085911200511631032320000000000000000\
         00*ep^2+2630159503518484433734702600/150579*ep^2*z5+8080844556\
         714460872951548857941745/1752683544612*ep^2*z4-139810775240267\
         486469297675600029830090288619/23460672130155846986400*ep^2*z3
         -2085589537763475817286105581660752146896209591637526985196894\
         45503385577398724157813160074298260353101285227694465421561061\
         9801993070645848118534979088667350611719506750870443/
         17547941741222555569428228107213730245719238524267116807403217\
         48092730304172491488751142201466977600861849543091947608716809\
         2340224000000000000000000000*ep^3+
         19522832819931950584516988500/451737*ep^3*z6+18122417904814623\
         29334239959392100/39833716923*ep^3*z5-139810775240267486469297\
         675600029830090288619/15640448086770564657600*ep^3*z4-
         563268900173297608764815446712923032244867908341016577/
         67293111569727618661844918160000*ep^3*z3+
         2847075502264166923693341800/451737*ep^3*z3^2;
Fill mncnoptab(14,10,2,3)=
      +mncF321*(-35186962539960000000-3959217782881712675000/13*ep-
         8985188101621587763997750/9009*ep^2-31010938318661484060422065/
         17199*ep^3)
      +2317788245436464832056549364721489942964382763547897/
      13398806214772432515780677038080-1263477429166836880375/351351*
         ep^-3-1425833833234404974747876060765/32716759499424*ep^-2-
         5295889550526069432821223255052504337/29490407166974802048*
         ep^-1+14792537614677506862623000/31941*z3-
         13700426330179632844469766854300837813775032466726282824238313\
         293764640729864350823588763568826094170931086841885001/
         84023185729251926110815371830198672794508666519345550923961589\
         39969630083481600000000000000000*ep+7396268807338753431311500/
         10647*ep*z4+2640352712001713677268428033160065/333844484688*ep
         *z3+1935158167477360398217876338601061568583974675642265676350\
         11564383156035416257383617725333464434938406773959426067704370\
         3579723/269927620572698714146892246520712914008417164612901416\
         473951495584733478295363962011648000000000000000000*ep^2+
         5260415516550923617067979500/117117*ep^2*z5+264035271200171367\
         7268428033160065/222562989792*ep^2*z4-222603774667983980183420\
         47672245477213425321/1459775154765252701376*ep^2*z3-
         93439412507435263385113617041437964463787785941220268395477950\
         06266799994555375502066998694239737232135737643763851848282602\
         207316727622120957746193081040536668036182393346101703099006073
       /272927801215278174224540310966125169445990507934787858687316932\
         91752512936134418405253675241785925351198640684363712517046504\
         18990168823300096000000000000000000000*ep^3+
         39046321589728295689287713750/351351*ep^3*z6+58199080941249047\
         345365996709084315/495708477264*ep^3*z5-2226037746679839801834\
         2047672245477213425321/973183436510168467584*ep^3*z4-
         1016250172907716376767482527222876413773062890944126637/
         46895821751703513805232369633280*ep^3*z3+
         5693854055636896114501661500/351351*ep^3*z3^2;
Fill mncnoptab(14,10,3,2)=
      +mncF321*(-25803772529304000000-8731978067961896660000/39*ep-
         1808751903497712669577300/2457*ep^2-
         759182921272958204435700823/567567*ep^3)
      +9051243340150435507673360314995108701489113692197/
      71371481967892928883774913200-380105826226197586700/95823*ep^-3-
         53161966274272808936310815441/1115344073844*ep^-2-700505477642\
         1039863112867006098862737/36192772432196347968*ep^-1+
         32546431493949838475861600/95823*z3-
         78974323220063987630428353797517044563771540335442652032710802\
         8634139323743891613429094194482284724183885690339067411/
         65538084868816502366435990027554964779716759885089529720690039\
         7317631146511564800000000000000000*ep+
         16273215746974919237930800/31941*ep*z4+23133644063840169458675\
         7813206756/39833716923*ep*z3+486307396459093181040684939266654\
         81281123563130002884616846865679105024009083604203810957040140\
         99320548484839150322993695295461/91540671324654346536772153167\
         89394475068060365133178471725311589395309263929734363873280000\
         00000000000000*ep^2+1052093147983163874536772400/31941*ep^2*z5
         +115668220319200847293378906603378/13277905641*ep^2*z4-
         733666483765198869420421468358335757414483/
         66353416125693304608*ep^2*z3-
         97193121741903510425745272553006373439138340925645243449460785\
         22600826204774874099817149519226626200288741413728069162246731\
         972815369157951213270427935645979563449387786373628565615175003
       /686721564348119277081101427592185910218943858674627515406797444\
         11506322871564020503541505447074263786886902367108696010633139\
         57459134458626048000000000000000000000*ep^3+
         7809332531138854462836139000/95823*ep^3*z6+8068728207971453886\
         844283426959163/92945339487*ep^3*z5-73366648376519886942042146\
         8358335757414483/44235610750462203072*ep^3*z4-3665863511215284\
         64730843587853216219682712334651969/
         22709107898875022826655654200*ep^3*z3+
         1138739109255815674817298800/95823*ep^3*z3^2;
Fill mncnoptab(14,10,4,1)=
      +mncF321*(-5375785943605000000-5479466574437390480000/117*ep-
         1142384136798495352761100/7371*ep^2-
         483414646359171925062431122/1702701*ep^3)
      +72404675177878887283553844646000127221433435592505543/2740664907\
      567088469136956666880000-16094813796679798525/574938*ep^-3-
         27635527300070657932817611615/26768257772256*ep^-2-22419933622\
         28343079235802303012051286961/238872298052495896588800*ep^-1+
         20336434679594578999490300/287469*z3-
         33141482430894688399338098932558306103990713070449861394250179\
         642999709909497461878538328252839474487622200987703337/
         13523731798327214774026474132670072097401871087399426767761436\
         7700463569915084800000000000000000*ep+
         10168217339797289499745150/95823*ep*z4+23177149435691882047922\
         23008488465/1912018412304*ep*z3+458446945242778566844974450148\
         59068687949868117425278605631119056799953649002209103021968556\
         95533725976433054386288755850309741/43445493215986745419833133\
         01142903092135476268531460893723600262268567412563477102854144\
         000000000000000000*ep^2+657540231980704842250468450/95823*ep^2
         *z5+2317714943569188204792223008488465/1274678941536*ep^2*z4-
         90059682868944878879530037805499067498406053/
         39812049675415982764800*ep^2*z3+
         75735411180068023909233926124100784299959670557594578448388757\
         95279915708975092734138044726292825426611746752488751194698811\
         07553801344885898372581854627666547775871279800261097048129549/
         43928379433697153756140297669785860606068948419980141064911011\
         10767785415434968295702734396058877508907209786340445157505580\
         1981841764870258688000000000000000000000*ep^3+
         4880710653156299869379787625/287469*ep^3*z6+817478177024132390\
         05596029764403615/4461376295376*ep^3*z5-9005968286894487887953\
         0037805499067498406053/26541366450277321843200*ep^3*z4-
         33061147505736192967044854895024110052277576110261451301/
         9592327176484809641979348334080000*ep^3*z3+
         711768163066757470769773850/287469*ep^3*z3^2;
Fill mncnoptab(14,11,1,3)=
      +mncF321*(-535453777782000000-62125117726569842000/13*ep-
         21130080644143462195220/1287*ep^2-4251102625973444334559912/
         135135*ep^3)
      +506654412121240716934254181820262776586797080616968699/192607839\
      337353717414347232422400000-11067448916975740/50193*ep^-3-
         11005862766747471357824437423/107497924069536*ep^-2-1726739628\
         080020918887562373181338041/1514016439375938498000*ep^-1+
         32151908896503906912560/4563*z3-248532240643637385600438741991\
         45860757615172923553645889243786931900743845590983870616654503\
         05404853588209219/99140456613986889858324111485028931676661947\
         248948310812991180560033382400000000000000000*ep+
         16075954448251953456280/1521*ep*z4+657024830993440734522021716\
         7960929/53748962034768*ep*z3+351766431490867237947239475971427\
         79504833223428020938871209600594677681407416884717685421208047\
         8126325087239468744779097/318492417587397370572490839668088956\
         17123813197441335722928019488389518588609822720000000000000000\
         00*ep^2+11435464561943716198583840/16731*ep^2*z5+6570248309934\
         407345220217167960929/35832641356512*ep^2*z4-59883918826532086\
         651087004229888684670319149/299775254996435822604000*ep^2*z3+
         22228214806360663679999221225055731512606101018894163452122423\
         17121082250624746114918264014948483922910818290529892439035935\
         12196023285225603230664277567451299191530986278827/
         28836953748414283662178974293833954465420970870877801662959535\
         72962843450367493016061634243307078036897157045603947517592515\
         641344000000000000000000000*ep^3+84881806719924014049283400/
         50193*ep^3*z6+3209781865279066157447056813884703/1628756425296
         *ep^3*z5-59883918826532086651087004229888684670319149/
         199850169997623881736000*ep^3*z4-37955552978691536147088741818\
         563427112418176750387594929/96303919668676858707173616211200000
         *ep^3*z3+12378670477744353486260320/50193*ep^3*z3^2;
Fill mncnoptab(14,11,2,2)=
      +mncF321*(-917920761912000000-106625498000977860000/13*ep-
         84775302789934216111100/3003*ep^2-1139634502911183596467457/
         21021*ep^3)
      +289456655717497565897162753139824884755135262347109/
      64202613112451239138115744140800-25879305458386267900/117117*
         ep^-3-41216646515457577694058762073/15676780593474*ep^-2-
         53783969878396991715105259913407975619/5087095236303153353280*
         ep^-1+128662153730925065079200/10647*z3-
         82294786904019325607856557135915105508097971048871164233782820\
         671624022054374213603908837343997535409760255154929143/
         21533942171182565063257539580482345570478363962243702622512441\
         62615073767109427200000000000000000*ep+64331076865462532539600/
         3549*ep*z4+469713457010930875489489223056507/2239540084782*ep*
         z3+10212887352487330202531014067225419903369434546413947819553\
         66419817461456211930782452820838236688020223407482050694932401\
         4322349/691785930439173561685035271797369953901571990450778773\
         07752711868430265723126135406985216000000000000000000*ep^2+
         45743946481239107462946800/39039*ep^2*z5+469713457010930875489\
         489223056507/1493026723188*ep^2*z4-190296363948972895408771399\
         6377568818766171/5595804759933468688608*ep^2*z3+
         86711949186502606677285823297286962195284250032007561330187997\
         48943697653867853210402684311869325177285794635480003178276264\
         184476024855990185500303117163183365621007471229477833566819103
       /304119549925595679850202060790825188811246565984477899680153153\
         82238514414549780508711238126561459677049913905433851090423247\
         525890452602486784000000000000000000000*ep^3+
         339541389381692866682423000/117117*ep^3*z6+1611015714011293319\
         305459561778201/475053957378*ep^3*z5-1902963639489728954087713\
         996377568818766171/3730536506622312459072*ep^3*z4-152682840480\
         393745754194091328806824231628375943023897/2247091458935793369\
         83405104492800*ep^3*z3+49507834585196990267383600/117117*ep^3*
         z3^2;
Fill mncnoptab(14,11,3,1)=
      +mncF321*(-336570946034400000-39196120292338174000/13*ep-
         8533345784244888997850/819*ep^2-38045051335531575589589939/
         1891890*ep^3)
      +3615170705489380402343662572101857222812736162594871/21887254470\
      15383152435764004800000-141024307987437130/31941*ep^-3-
         13278044591144086161844406651/85509712328040*ep^-2-10476259764\
         28433105680630632601007841493/763064285445473002992000*ep^-1+
         141470584360327176382000/31941*z3-5232056304667117060992141254\
         05669659199902152362096173595088377527956494888145076038927320\
         55667158348718445988223349/34992656028171668227793501818283811\
         55202734143864601676158271764249494871552819200000000000000000
         *ep+70735292180163588191000/10647*ep*z4+2351086583263731336360\
         59816916941/3053918297430*ep*z3+701136045833763835478747936562\
         08625880776704103136818032520257909321513444955925121347447451\
         62412284156950150805832610318904507/11241521369636570377381823\
         16670726175090054484482515506250981567861991818000799700363509\
         76000000000000000000*ep^2+4574194566232066794278600/10647*ep^2
         *z5+235108658326373133636059816916941/2035945531620*ep^2*z4-
         5214249814326633004334404748050056866802191/
         42392460302526277944000*ep^2*z3+
         16617080049088919275791598396881333410652806744641755369113670\
         04805288991239926901467576292081783485407278697066436985536622\
         64928363707305454848948484043418245274872716487869808611328109/
         49419426862909297975657834878509093181827566972477658698024887\
         49613758592364339332665576195566237197520611009633000802193777\
         7229571985479041024000000000000000000000*ep^3+
         33952782785839683016134500/31941*ep^3*z6+446461350076411049285\
         0809995079279/3562904680335*ep^3*z5-52142498143266330043344047\
         48050056866802191/28261640201684185296000*ep^3*z4-193129858425\
         5811751191686230081405286111474474316873499/766053906455384103\
         3525174016800000*ep^3*z3+4951450713169552129591720/31941*ep^3*
         z3^2;
Fill mncnoptab(14,12,1,2)=
      +mncF321*(-8112936027000000-32628429691911025000/429*ep-
         11941173747374974634650/42471*ep^2-523550007173163815091491/
         891891*ep^3)
      +4041915123604696808468919941212061131764106341812099/10169693917\
      0122762794775338719027200-2950521645447113525/1656369*ep^-3-
         168639078963044772921155003047/7094862988589376*ep^-2-32961064\
         151404859245438258649822251253/287784244796578389699840*ep^-1+
         16082274132972425193700/150579*z3-2218420069513152722278826568\
         08093162703722475928470491004109746965943552872168183772927959\
         626510519634989/6069823874325727950509639478675240714897670239\
         73152923344843962612449280000000000000000*ep+
         8041137066486212596850/50193*ep*z4+674247268453811395622895129\
         5575613/3547431494294688*ep*z3+6047633168495175783518307613447\
         24927356053333015221677595391604764870155321166744267932519922\
         3746024621390615820771/389990715413139637435703068981333415719\
         8834269074449272195267692455859419013447680000000000000000*
         ep^2+5717973019319664200888800/552123*ep^2*z5+6742472684538113\
         956228951295575613/2364954329529792*ep^2*z4-192884649487040925\
         0462729869984838227695399/879340747989545079638400*ep^2*z3-
         79567436619410942905757869803321626204316552903909632514656447\
         59518140259076773372634163003957242902301102043117145846649878\
         8725657131642478941562986088213991123894880547/
         12005588907503089524662266848861483083563016444202186814783153\
         65070245028316262398523619154356416162300040892455521007324231\
         0017024000000000000000000*ep^3+42442535106240739813839250/
         1656369*ep^3*z6+337382978848604176476138062525057/
         9772538551776*ep^3*z5-1928846494870409250462729869984838227695\
         399/586227165326363386425600*ep^3*z4-1338521697711382439593390\
         688927597032387542528973238359/1816016770895049335620988191411\
         20000*ep^3*z3+6188532742811449882698800/1656369*ep^3*z3^2;
Fill mncnoptab(14,12,2,1)=
      +mncF321*(-6953945166000000-9333773216645870000/143*ep-
         23955352139943110647700/99099*ep^2-1052670942840466202012950/
         2081079*ep^3)
      +2060452199714906589087687899037096233794549995825359/60533892363\
      168311187366273047040000-7266175184733812350/3864861*ep^-3-
         204824830160294004235874885947/8277340153354272*ep^-2-99188626\
         592266328426041214844131102369/839370713990020303291200*ep^-1+
         32166533912037582746600/351351*z3-1113307005094498243546612206\
         59919651105414716877989253983459738256286985178321269773433389\
         09610687112115577498821/38087244656513380383992927149152447947\
         784861429818793754103638250334638057717760000000000000000*ep+
         16083266956018791373300/117117*ep*z4+9638719730344711927085110\
         54639799/591238582382448*ep*z3+2815162957193011022349075422880\
         23494720778230779212045423315970344785038395258877853878752484\
         817028188375011377292041893163/2447133903594355456300805043092\
         73725189671724513200654421982382119617266503575444977090560000\
         000000000000*ep^2+11436033407048267257336400/1288287*ep^2*z5+
         963871973034471192708511054639799/394159054921632*ep^2*z4-
         2864253631502134122816117548358383385931483/
         1538846308981703889367200*ep^2*z3+
         64246691436626132696978609386462457386982105766355441524709429\
         31582352624936097233510985073614757639353673731004305096852335\
         391491909930584558359190941698205417011423563965103716037/
         21515940947116973268313615185201237847870505348561701746078862\
         58335241836131413042793176030722715514566796630044299668982324\
         9950289844018085888000000000000000000*ep^3+
         84885670870280970904491500/3864861*ep^3*z6+3724043557916939330\
         904165832127287/125414244747792*ep^3*z5-2864253631502134122816\
         117548358383385931483/1025897539321135926244800*ep^3*z4-
         9403636024579887037253321334580914597830958337661087389/
         1483080362897623624090473689652480000*ep^3*z3+
         12376890748758535874254000/3864861*ep^3*z3^2;
Fill mncnoptab(14,13,1,1)=
      +mncF321*(-27043120090000-359497729820959450/1287*ep-
         23090724865951794389/19602*ep^2-1670255410155326510251/588060*
         ep^3)
      +99207474199238469167386248136061095954927195016679851/7627270437\
      75920720960815040392704000000-1100915304361999781/19876428*ep^-3-
         163045188964193953167922406593/304065556653830400*ep^-2-
         899757585240511272984345316023247450333/
         431676367194867584549760000*ep^-1+160711048370463284281/451737
         *z3-3236565814444546910552531520647705530311346183732560845871\
         7469706852161/321164292811028612206466215780730716665271025664\
         00000000*ep+160711048370463284281/301158*ep*z4+710066606355727\
         1317451770485034301/1064229448288406400*ep*z3+
         29651468679524617742725151219748506345279265282126524108841770\
         04046208460525776561/85979356589679288899109096763875007533614\
         5709318704988160000000000*ep^2+57183416035355951437864/1656369
         *ep^2*z5+7100666063557271317451770485034301/709486298858937600
         *ep^2*z4-203893339406045970733639203375144483311381/
         158281334638118114334912000*ep^2*z3+
         29215244171998512025102459305895801192891984166168813454416360\
         94133183444348201669413550561258344497708114365807059637061423\
         4883387383613499/479735340609504469301055329602025083925592059\
         28892631257262541487565087494854355844416394039320727076313497\
         6000000000000000*ep^3+848912132869963790932505/9938214*ep^3*z6
         +4774105341151778038639930555729099/32249377220860800*ep^3*z5-
         203893339406045970733639203375144483311381/
         105520889758745409556608000*ep^3*z4-12126711878279133333533343\
         108231219911645811668717442817/3813635218879603604804075201963\
         52000000*ep^3*z3+61951918609238066432636/4969107*ep^3*z3^2;
Fill mncnoptab(15,1,1,12)=
      +mncF321*(-88561471951224000000-724799837676135062366100/1001*ep-
         45342115478277287968039681/21021*ep^2-
         5534276565458469765726828960283/1602430830*ep^3)
      +18848293112711354669414676553754246160041652418742107392493/
      43256510584514022369305482614864000000+1650475943806737059/
         18036018*ep^-3+202073257512462510807523598987/
         482844842278999200*ep^-2-1937303609415563902255858417438003007\
         099/1077192416287192722557040000*ep^-1+
         10509788353415568445172059292/9018009*z3-
         10976770128493535004714730232835098743339384286396464526159304\
         380148129365448636832611930749458750883/2571351445697305113701\
         467772281993636424298551153866989864222720000000000000000*ep+
         5254894176707784222586029646/3006003*ep*z4+5837827220420226514\
         22778779702192816647/30177802642437450*ep*z3+
         64831278866233361226933710378567137403485362631220714418845204\
         0632146377693389455987113469259840755913432920011/
         33042250010837430667084997867379633197086078167192460705943252\
         558822768640000000000000000*ep^2+16181737696843152360645578498/
         143143*ep^2*z5+583782722042022651422778779702192816647/
         20118535094958300*ep^2*z4-378161646663740853933977967929106554\
         627138454803/7920532472699946489390000*ep^2*z3-
         50322968005333719128866111958776656757273639687794237194858358\
         65888460188611207482208677668663789633191916964193373777313488\
         20615744372308869/68702713812850051139798739123242658831238713\
         11478466081478958490285574977412383285727361132134400000000000\
         000000000000*ep^3+2522349216369257575688748465205/9018009*ep^3
         *z6+9708394460934634232628660776470330004167/40237070189916600
         *ep^3*z5-378161646663740853933977967929106554627138454803/
         5280354981799964326260000*ep^3*z4-7138561453476370978538762742\
         88409827721989913792063674998719/21628255292257011184652741307\
         432000000*ep^3*z3+367842595035799510900779919874/9018009*ep^3*
         z3^2;
Fill mncnoptab(15,2,1,11)=
      +mncF321*(-714395873739873600000-530260355955442518884500/91*ep-
         99124094660415561048763475/5733*ep^2-
         33169228458044169104878505867/1203930*ep^3)
      +68539246038992643722164673544756044800984854288497643587/1949955\
      3982500686267154988406400000+619668237433310395/447174*ep^-3+
         698159334055719498886113191/72553695308640*ep^-2-3003456939603\
         58766941186779848592263/161862121155100333968000*ep^-1+
         2101957671841410135952536700/223587*z3-
         63363949361388322952912685561878306040228970325278506637745952\
         65138283521961687098222196604853332472099/18360724372582410068\
         0832078946416735691784623817929014813445324800000000000000000*
         ep+1050978835920705067976268350/74529*ep*z4+259156146298934605\
         6351295175889793579/16626888508230*ep*z3+
         46873310254828076316054968443077134684437593938284134430203053\
         4891283532574519565319667208383903260940106539891001/
         29492256208020186049960163385760333762688400347576741787122903\
         11035420672000000000000000000*ep^2+
         3236347540554503043528472850/3549*ep^2*z5+25915614629893460563\
         51295175889793579/11084592338820*ep^2*z4-152433864470203491580\
         92229320126117445223532959/39275367633222875154000*ep^2*z3-
         13029501441400403159626828122511000253014823989566039677890627\
         63021655016110715794341198998636594311917555298804994594045988\
         336399535347782151880581/6007065502135334216895391718074709392\
         96497676037226986312528222208067611697764631376935465272528076\
         8000000000000000000000000*ep^3+504469843457730704015853132125/
         223587*ep^3*z6+384810707715107502763474479034464190771/
         199522662098760*ep^3*z5-15243386447020349158092229320126117445\
         223532959/26183578422148583436000*ep^3*z4-27672219879879717066\
         127837975021070799825032614856306659499/1072475469037537744693\
         52436235200000*ep^3*z3+73568519006580732695545557010/223587*
         ep^3*z3^2;
Fill mncnoptab(15,2,2,10)=
      +mncF321*(-5238903074092406400000-11649773664918553344697000/273*
         ep-2172818985820576740036058910/17199*ep^2-
         3988034759062789573774798106783/19864845*ep^3)
      +331729953242821503443485110239248495957750568710336100381/
      12869705628450452936322292348224000-5834371841354411365/670761*
         ep^-3-132450243027139017116764578739/1197135972592560*ep^-2-
         10605264955412951475889941267928695697/21365799992473244083776
         *ep^-1+46243069148413782069411856120/670761*z3-
         85957553368927497859084354967786154736190904369902653339902185\
         13661391882842337663628231998147890867498259/
         33930618640532293805817768189297812755841798481553281937524696\
         023040000000000000000*ep+23121534574206891034705928060/223587*
         ep*z4+3165332895563924748352933673546754061/2771148084705*ep*
         z3+47774735404008322760824169666258435008761319371266578380168\
         4787186166715358309428058947186093660786412905356887582579/
         40876267104315977865244786452663822595086122881741364116952343\
         7109509305139200000000000000000*ep^2+
         71199645946814631632516956580/10647*ep^2*z5+316533289556392474\
         8352933673546754061/1847432056470*ep^2*z4-42103867025412540213\
         13851234434610201928864102/1472826286245857818275*ep^2*z3-
         95771935207258928157902507829735521719216663321342317691571513\
         55079354231060287303570828337548746357494634165719681801726372\
         35010040739555814141704037/48705887797863503364009525589321551\
         22909932807077440127720610078485233002406645407667330445976184\
         89950208000000000000000000000*ep^3+
         11098336563752270026947891021050/670761*ep^3*z6+42105920951442\
         29003145887503094687021771/299283993148140*ep^3*z5-21051933512\
         70627010656925617217305100964432051/490942095415285939425*ep^3
         *z4-11948247933118970758766269762497693295188038442273289513711
       /6434852814225226468161146174112000*ep^3*z3+
         1618507413293192927392150551460/670761*ep^3*z3^2;
Fill mncnoptab(15,3,1,10)=
      +mncF321*(-2232487105437105000000-1656771634112224918970000/91*ep
         -309648312611371167816908650/5733*ep^2-
         113981962109563582596015602563/1324323*ep^3)
      +3769658623346175617423854395345531317991516695953889606447/
      343192150092012078301927795952640000-261909009051118175/223587*
         ep^-3-4670654592829761304204914305/319236259358016*ep^-2-
         44835849805409061233175363185685635857/
         712193333082441469459200*ep^-1+6568617764547286655665672700/
         223587*z3-1536907042320215966782836801577994363056688224370518\
         47029160794789328579465836213146659769680856986463831363/
         14250859829023563398443462639505081357453555362252378413760372\
         32967680000000000000000*ep+3284308882273643327832836350/74529*
         ep*z4+77740104587362492023505093768055041715/159618129679008*
         ep*z3+75843581298727622460760442105117663001350254210513039134\
         74804026268215658381052956069135296048191968734319638523117951/
         15260473052277965069691386942327827102165485875850109270328874\
         985421680725196800000000000000000*ep^2+
         10113586069880531560730183800/3549*ep^2*z5+7774010458736249202\
         3505093768055041715/106412086452672*ep^2*z4-448563496028302366\
         2760230109722942220619101361/3696505189009211779200*ep^2*z3-
         16537591843488583790632492475701469995223849366205125789847157\
         97732041986367791331487310355510355485365980067945614614889145\
         3279755913516298420358428593343/
         10455530580608032055474044826507692997179989092526238140840242\
         96848163351183293214179253602402887691759779840000000000000000\
         0000000*ep^3+1576468261594815504175839766750/223587*ep^3*z6+
         961373036692029064269147233361388118485/159618129679008*ep^3*
         z5-4485634960283023662760230109722942220619101361/
         2464336792672807852800*ep^3*z4-1378322094159767211298913905581\
         49026032525591330167258322077/17159607504600603915096389797632\
         0000*ep^3*z3+229901621337511395742700467400/223587*ep^3*z3^2;
Fill mncnoptab(15,3,2,9)=
      +mncF321*(-14734414895884893000000-10929101688082914969930000/91*
         ep-680319703558037158708890550/1911*ep^2-
         250198348401897861418273400093/441441*ep^3)
      +331729854115583030363151625872005134848280483497892448441/
      4575895334560161044025703946035200-15485930683827368825/74529*
         ep^-3-311878281852790603913276681951/106412086452672*ep^-2-
         236748968880228081986490649492880062433/
         15826518512943143765760*ep^-1+14450959368722594879890324100/
         74529*z3-73475760004675982656495742024195614792015771367778841\
         39010062528432434373946416059748385016422328107567662027/
         10321610411144638510806787755361705016098048328215714406674179\
         135897600000000000000000*ep+7225479684361297439945162050/24843
         *ep*z4+170985214701402487793612121421650690509/53206043226336*
         ep*z3+54412038159126189619379945548233396404825436560164375772\
         54274561623235318986016675414472534457639343007996279614273941\
         57/16579279365437789211516568529936404752969910581170489083814\
         0864039149123928064000000000000000000*ep^2+
         22249889404664657439628799400/1183*ep^2*z5+1709852147014024877\
         93612121421650690509/35470695484224*ep^2*z4-336072324356308880\
         60051397660972922509034805267/4189372547543773349760*ep^2*z3-
         28246766106419449322650007606529904137100407142787226109696158\
         42960971961946313705614598723413824423283676392743109786694711\
         1508976717113599655155075259238491/
         22150235155954793836041309780601482942173902818240771172446736\
         95544997914358680438927900224349821332172570624000000000000000\
         000000000*ep^3+3468230182812877059541810095250/74529*ep^3*z6+
         2110847921675537589564898940643404842603/53206043226336*ep^3*
         z5-33607232435630888060051397660972922509034805267/
         2792915031695848899840*ep^3*z4-1203963842905881993456971600889\
         9525101994588487259875363867/2287947667280080522012851973017600
         *ep^3*z3+505783564124158977534416307800/74529*ep^3*z3^2;
Fill mncnoptab(15,3,3,8)=
      +mncF321*(-36836037239712232500000-27361610620987459274700000/91*
         ep-1707479057524948316068492000/1911*ep^2-
         630102275154221820401332314395/441441*ep^3)
      +331729422665614439332235573499289250994107780550515876759/
      1830358133824064417610281578414080-2263458316058692005125/298116*
         ep^-3-9765132281570354827717677240965/106412086452672*ep^-2-
         14321899737741105870178028585280495094985/
         37983644431063545037824*ep^-1+36127410187630745887996945250/
         74529*z3-27462799413019681888552218095905965788612450235553814\
         52892598628417515955444977666934452524949552966593529/
         15428108674183830682208806633691961818545791306923201939185336\
         32000000000000000000*ep+18063705093815372943998472625/24843*ep
         *z4+427762101692275280544338346277391501585/53206043226336*ep*
         z3+30598957609898631610590791850155248099779972557990089229308\
         94855562526852319784592891738499122024002091325556038910037/
         37363159627639248523549959126960046769012719158286859413643524\
         0472842076160000000000000000000*ep^2+
         55624725488343444695340116625/1183*ep^2*z5+4277621016922752805\
         44338346277391501585/35470695484224*ep^2*z4-669016545567177286\
         69131727673116493204084437021/3351498038035018679808*ep^2*z3-
         66694555951745464598399061495285172942807078778024555741974853\
         09517234672080883628853605208431947327345430393492887987415654\
         200941122179721297997860618819/8034404492952352674903376873544\
         06468326620358920563686500579186442103038132333864566481666198\
         3168894599168000000000000000000000000*ep^3+
         17341151477890031349592152010625/149058*ep^3*z6+53061204851720\
         00079971604842434382944195/53206043226336*ep^3*z5-669016545567\
         17728669131727673116493204084437021/2234332025356679119872*
         ep^3*z4-122494395127141913678047883479702241384869655582336204\
         95627/915179066912032208805140789207040*ep^3*z3+
         1264458779537015018760471442625/74529*ep^3*z3^2;
Fill mncnoptab(15,4,1,9)=
      +mncF321*(-3545714814517755000000-2637009559184036355990000/91*ep
         -54969184385120766651457950/637*ep^2-
         61018752363849547754732941667/441441*ep^3)
      +419176905804335842529132124537188449562171082018791903/
      24028015829448440684865070080000+327891700227564475/24843*ep^-3+
         236052741359134533133062305/4626612454464*ep^-2-24312589512656\
         4307345496070249788137/448767065584399161600*ep^-1+
         1159167828147230734665874100/24843*z3-
         77828920370025690452170647739495672681278011003740950354591524\
         32343862065474350291120802692262907293641733/
         45526952034034322353905175984582189737042431189357278416332233\
         113600000000000000000*ep+579583914073615367332937050/8281*ep*
         z4+105371159801546153072909872547683645/136076836896*ep*z3+
         10778064179712632747364303194368476383218954729097783284796680\
         4781110405709004086908704000625155014894822815486890339/
         13711596828693823780791112914644947220083810735845158741339627\
         2244097810432000000000000000000*ep^2+
         5354251443156944642837266200/1183*ep^2*z5+10537115980154615307\
         2909872547683645/90717891264*ep^2*z4-8978272563454198692902547\
         51795364017189273199/469165568565508214400*ep^2*z3-
         26606455145318113453969034457670435828124727973591890022053893\
         43576922507216250768949686253362257011289478305550447093532284\
         719794643544435161329560674759049/
         34455921353707457078286481880935640132270515495041199601583813\
         04181107866780169571665622571210833183379554304000000000000000\
         000000000*ep^3+278200281195371516912291790250/24843*ep^3*z6+
         7437553184679621568128660160217617465/771102075744*ep^3*z5-
         897827256345419869290254751795364017189273199/
         312777045710338809600*ep^3*z4-32880746992571574054363511966612\
         710020969915277002876929/25120198367150642534177118720000*ep^3
         *z3+40570874528791611826373022200/24843*ep^3*z3^2;
Fill mncnoptab(15,4,2,8)=
      +mncF321*(-20801526911837496000000-15473805260737869939960000/91*
         ep-322686994294045989070853200/637*ep^2-
         358425001591355291612584046296/441441*ep^3)
      +848412935673617783259525313456921835262159717096075421/
      8289665461159712036278449177600-22045240306723245600/8281*ep^-3-
         19267407047798892079923137933/578326556808*ep^-2-1126890989557\
         62493336977965318856623551/774123188133088553760*ep^-1+
         2266817598937619193718152800/8281*z3-
         76212954202696847007903642303391613690297632285807562612691700\
         0603706353901680048848823497705216205758226019/
         75926418296994251953009340124677963401791222523071183804190792\
         0896000000000000000000*ep+3400226398406428790577229200/8281*ep
         *z4+1313767391573221114562028305585026747/289163278404*ep*z3+
         11250885687479342706554850024680512263187062593757829487364781\
         4003978443048500146430227485409525903046820446098883309587/
         24391645296043622460047940708317613140727216441812051917211196\
         242172712058880000000000000000000*ep^2+
         31411609238516664576089616800/1183*ep^2*z5+1313767391573221114\
         562028305585026747/192775518936*ep^2*z4-4342295584488843160436\
         116627927159031998361377/387061594066544276880*ep^2*z3+
         74271768728690624112660069300894974087628812648669763518595905\
         75427083405282146501206947449823802560682667760433946988625571\
         9704871944056435073635445227572643/
         49967815635015208751226001555849048434005581552867364656593713\
         24911079279461476380784618670164147731756482560000000000000000\
         000000000*ep^3+544036117676697582097272912000/8281*ep^3*z6+
         5458734673120037831169806672323786183/96387759468*ep^3*z5-
         4342295584488843160436116627927159031998361377/
         258041062711029517920*ep^3*z4-31897486484244461474387134703663\
         384522688481056579656807/4144832730579856018139224588800*ep^3*
         z3+79338593328207985185890682400/8281*ep^3*z3^2;
Fill mncnoptab(15,4,3,7)=
      +mncF321*(-45503340119644522500000-4845509027049187401300000/13*
         ep-101406883347193158571556000/91*ep^2-
         37724036737637945853728274235/21021*ep^3)
      +8930618530281818846012689282643362646840824823129327/
      39890119512347486490362462208-837034512802508099125/14196*ep^-3-
         24179875740576118715575682755/34786559808*ep^-2-10129624664060\
         0656003594421073392303453/37251040631968171008*ep^-1+
         2125145631547270454363853250/3549*z3-
         16812259634942460047340879351759382047098038981969327495382031\
         3257514698610806673797330689875655465053154037/
         76893411195360144681580734206364056843919298550294585408571310\
         080000000000000000000*ep+1062572815773635227181926625/1183*ep*
         z4+173039463964420668171348643405707095/17393279904*ep*z3+
         62017228941143253389539965460101782408607330450910815851326241\
         76739020815322670570026691009348363392213793687940578487/
         61755738435586891298264695670897746942151154103099410255329866\
         1954656665600000000000000000000*ep^2+
         9816129982995101407091615875/169*ep^2*z5+173039463964420668171\
         348643405707095/11595519936*ep^2*z4-23893460142449563662284651\
         522372945915979353/980290542946530816*ep^2*z3-
         70896146708279582561997801587708220957249815978023259388612355\
         58460129133179699332133341071344979206588301610343517317050091\
         40442240064150360896534314138671247/
         31248094617232543082034919340319594428846056102303351949968954\
         78698036459021827066117494766035596759363747840000000000000000\
         0000000000*ep^3+1020067920056749295472800400625/7098*ep^3*z6+
         80435204800454765397890259989144495/644195552*ep^3*z5-
         23893460142449563662284651522372945915979353/
         653527028631020544*ep^3*z4-90547483225149913769049532636122147\
         493911119380779797/5248699935835195590837166080*ep^3*z3+
         74379885918946012868372136625/3549*ep^3*z3^2;
Fill mncnoptab(15,4,4,6)=
      +mncF321*(-48180007185505965000000-5151392190077819419800000/13*
         ep-108560777994497861301564000/91*ep^2-
         122267650653535840851857268890/63063*ep^3)
      +72170270513229692377802204783946967709337720655611821/
      304454362062576515510091571200-13455878777297167721375/40222*
         ep^-3-21489921926744548055534719009505/5618029408992*ep^-2-
         3688083787632087834866119661658753345497/261567089654906939904
         *ep^-1+12750994353760116002173567500/20111*z3-
         12543720129106710592697106360175263938612705252046741718543069\
         781861416071309899695638404518031485306788281699/
         54211258798544501397301744671594996395788667531160675680910311\
         42400000000000000000000*ep+19126491530640174003260351250/20111
         *ep*z4+29649235005398897577128975690723663005/2809014704496*ep
         *z3+1455030687170809730820997000186034648673220772582394347960\
         003016402095120907564075083678738600800322368959283626027529/
         13767248418038944095492491164982136539090636872983025596096932\
         2110438604800000000000000000000*ep^2+
         176690522799956309529432653750/2873*ep^2*z5+296492350053988975\
         77128975690723663005/1872676469664*ep^2*z4-1664721152965159016\
         3933390215267563345745044667/653917724137267349760*ep^2*z3-
         25846838960387708215456911956347420348476440899703371662153353\
         89714395868769668623518287567270079469056990241249659125577955\
         18872767996202064481772788896188609909/
         34941478432141532384663407551070151003443499725823718060145736\
         51067458512674632490774389636126420677087041945600000000000000\
         000000000000*ep^3+3060206663114835126759637521875/20111*ep^3*
         z6+41902560338259643593741597340699349615/312112744944*ep^3*z5
         -16647211529651590163933390215267563345745044667/
         435945149424844899840*ep^3*z4-29139262909307985603784756552714\
         17119956690659074120041/152227181031288257755045785600*ep^3*z3
         +446277987928823555791924547750/20111*ep^3*z3^2;
Fill mncnoptab(15,5,1,8)=
      +mncF321*(-3151746501793560000000-2355063232124660178495000/91*ep
         -148475806478894418375402800/1911*ep^2-
         55532714013850217443366655206/441441*ep^3)
      +38564254734469865318905583543982740017512360729083444299/2486899\
      638347913610883534753280000-1137815602270524475/74529*ep^-3-
         2553319924804762411110384485/6939918681696*ep^-2-4801890351339\
         7013715564462379125900007/15482463762661771075200*ep^-1+
         3091114276695668841635199400/74529*z3-
         42613432005071877259755153891981750201303238348725771482024929\
         6068135732341790018052551222699508057035790001/
         28137437368886105135526990752086539378310864817373438703905999\
         42144000000000000000000*ep+1545557138347834420817599700/24843*
         ep*z4+2393960144435035017036247392866091385/3469959340848*ep*
         z3+53262156805325674312795371049652581440597441599885527490827\
         0054994476683085064512285937330109996128971656546247531892093/
         76833682682537410749151013231200481393290731791707963539215268\
         1628440429854720000000000000000000*ep^2+
         14278003878813680777766683300/3549*ep^2*z5+2393960144435035017\
         036247392866091385/2313306227232*ep^2*z4-432102490698762788767\
         7012204728241087598776161/2580410627110295179200*ep^2*z3+
         12085599455380988957057377856183783176116156094075110301112646\
         94135438363690672127766406532780591857763424088379370405316627\
         85664046757759965707323567395349639/
         20461820502538727983627047637120185333725285645899185826875125\
         57551086964939474577931301345432218496154279608320000000000000\
         00000000000*ep^3+741867417945979068728662874750/74529*ep^3*z6+
         10096095522212159361777759559231810225/1156653113616*ep^3*z5-
         4321024906987627887677012204728241087598776161/
         1720273751406863452800*ep^3*z4-1529129429002042831047225918877\
         749549542427932160747879329/1243449819173956805441767376640000
         *ep^3*z3+108188997799353257764550716300/74529*ep^3*z3^2;
Fill mncnoptab(15,5,2,7)=
      +mncF321*(-16178965375873608000000-1728478597050883151815000/13*
         ep-327385750522919123939433200/819*ep^2-
         1239214079456516349469519118/1911*ep^3)
      +28046556950722538498138241318852136487845418222094649/
      352335249824970051128718028800-339176354513639012425/31941*ep^-3-
         35771784894681932148900356437/270386442144*ep^-2-6882708933067\
         2476081923135225243366523/120642574773987826560*ep^-1+
         6800458736624835648158313400/31941*z3-
         10445492467259058063020261862711109404869079708832803975450623\
         1022092163728969974502362523336894932158232911/
         13467422141870484599374798550711334400317717474487808868266645\
         9136000000000000000000*ep+3400229368312417824079156700/10647*
         ep*z4+478988416756863241061371154697021833/135193221072*ep*z3+
         12440053877507800632358655721489476558711203046772742681569750\
         72276836972228269212214407280187279001590798014730084126341/
         35044323037581041248721939303378774798106041581705478672891188\
         0703869169172480000000000000000000*ep^2+
         31411612258614788668906364300/1521*ep^2*z5+4789884167568632410\
         61371154697021833/90128814048*ep^2*z4-517069401049513142256036\
         644745971749670969671/60321287386993913280*ep^2*z3-
         89639822962643416063870087536764910144991877456560958391418878\
         89651490582406204863696777166006429937780877879451296102280380\
         17367498693332198164896402013644299/
         18892235342132495682525835174714140761299639856723214134394185\
         89010418803835058739029200614283329754649067520000000000000000\
         0000000000*ep^3+1632108496735714315997188342250/31941*ep^3*z6+
         119150464187370081426131807620907761/2650847472*ep^3*z5-
         517069401049513142256036644745971749670969671/
         40214191591329275520*ep^3*z4-123474359470521218885311114356392\
         08755811297843022865433/1937843874037335281207949158400*ep^3*
         z3+238015715183423527936740909700/31941*ep^3*z3^2;
Fill mncnoptab(15,5,3,6)=
      +mncF321*(-30335560079763015000000-3249298870663343359125000/13*
         ep-15850503991183630027919000/21*ep^2-
         7060503946415793115944697355/5733*ep^3)
      +385635526672866084773252247701538684935754132023267713/
      2583791832049780374943932211200-3727612768021439103125/21294*
         ep^-3-182703504593776436729118622645/90128814048*ep^-2-
         22407833135658900394796667250718377687/2924668479369401856*
         ep^-1+4250323123634777531616224500/10647*z3-
         75278941213704559783216928175548469370996322907646831893523065\
         41399376984845915754899531644880758081486855290353/
         51732422415834584196154535483866378129220448458951524785069471\
         30163200000000000000000000*ep+2125161561817388765808112250/
         3549*ep*z4+299752779807233738831706741668733275/45064407024*ep
         *z3+1179359677569725889718547284569535248941342957132656608544\
         019728789081121888559757607452494173418962505573033670253942917
       /177745816126986673800540448447509391983190907182119624721446902\
         277772777881600000000000000000000*ep^2+
         19632276092033024621469677750/507*ep^2*z5+29975277980723373883\
         1706741668733275/30042938016*ep^2*z4-4271053101568182615238477\
         63929949816106957653/26809461060886183680*ep^2*z3-
         17534304124959495950822996149385955923021088205917221629869144\
         53006391818374598819924680909564976683476093564236325107507952\
         636678991922570062847209598167594700339/
         88518412028091882041147299129377715875390199305420085752369199\
         16037561565442402309961787078186932381953839595520000000000000\
         0000000000000*ep^3+1020068687022646848798117520625/10647*ep^3*
         z6+1278371791584113067981972929756995775/15021469008*ep^3*z5-
         427105310156818261523847763929949816106957653/
         17872974040590789120*ep^3*z4-158863601224958759391510624828657\
         82271523250627033626773/1291895916024890187471966105600*ep^3*
         z3+148759420858506424869124131250/10647*ep^3*z3^2;
Fill mncnoptab(15,5,4,5)=
      +mncF321*(-26766670658614425000000-2880001022471087686875000/13*
         ep-61347898724328491257345000/91*ep^2-
         2123180062353655026254332175/1911*ep^3)
      +242994448486405466959886884710968113779689413338811/
      1845177951894403124303585280-79437300461646191095625/120666*ep^-3
         -1267126350232437594949573583075/170243315424*ep^-2-6374590028\
         35398037127683904975389465957/23778826332264267264*ep^-1+
         21252283808972700956041322500/60333*z3-
         22837243149900286080753806683134415621694698398245529602948235\
         569122208437001234727318215899251342608984710691459/
         17861091858874053964371800420439746652513283868826570137940882\
         125488128000000000000000000*ep+10626141904486350478020661250/
         20111*ep*z4+166905448077384487264643886962802575/28373885904*
         ep*z3+14487992944663093052590671000901472143903249589204567007\
         23389727531987920094186246525721128546312757123044491722233880\
         10207/24947575789334698439665561270099469693939986714985048750\
         584866471903735400366080000000000000000000*ep^2+
         98161718998502292952389188750/2873*ep^2*z5+1669054480773844872\
         64643886962802575/18915923936*ep^2*z4-149573041577894927675319\
         77047415605272958913/1080855742375648512*ep^2*z3+
         17706311695413296692829805557850424695325302627231943548600166\
         53867763208537639008867058187125723955572556805255052502061008\
         90935857139111118082900652636757647257784201/
         37184531265842347913822625746911776876243113675583092278580845\
         60185327542214034946681355638086116356827546684999335936000000\
         000000000000000000*ep^3+5100359537898938627610329103125/60333*
         ep^3*z6+6500397729139168095009062847216086075/85121657712*ep^3
         *z5-14957304157789492767531977047415605272958913/
         720570494917099008*ep^3*z4-95502050274790890539567828229112061\
         2421026694645861/83871725086109232922890240*ep^3*z3+
         743789759000191774376175216250/60333*ep^3*z3^2;
Fill mncnoptab(15,5,5,4)=
      +mncF321*(-11896298070495300000000-1288596637096545909000000/13*
         ep-249843278062326815002956250/819*ep^2-
         96512712468813392145200129900/189189*ep^3)
      +1336447987367437104918426955760369461801749988824683/
      22834077154693238663256867840-426192128088578918652500/542997*
         ep^-3-1690150909055423781457136590225/191523729852*ep^-2-
         3082340012070433574090596390598922481781/98087658620590102464*
         ep^-1+85015021055997375598594805000/542997*z3-
         21948764630283290746403112194097793286048345563595990352644280\
         2842958197000030982008225126482275764106624713577/
         39182770265404955884340637172339694218951016487238288240107810\
         1627895808000000000000000*ep+42507510527998687799297402500/
         180999*ep*z4+921077982165955969290613746701062225/351126838062
         *ep*z3+6928548064741601702227854676806126449606218430632030736\
         84227036534532818969574873535061014388797880439874858511382942\
         2553/273643721939264973510081625181403558205404229279992253482\
         9777541136940976727654400000000000000000*ep^2+
         392649856286527813250313535000/25857*ep^2*z5+92107798216595596\
         9290613746701062225/234084558708*ep^2*z4-147257640791753488556\
         967367348257188416564771/24521914655147525616*ep^2*z3+
         77008509754354635974498041880686825376687952116898567757704468\
         30849057229404036128592262855873424645236765044516260175608246\
         814266824303615184276319261472983844272931/
         13867506128955080625111225489488910788783916206387769476643244\
         10664115590274446657927978068278741018824373191836939845632000\
         000000000000000000*ep^3+20401579902402716756644973575000/
         542997*ep^3*z6+3331151140394645001185544601287172975/
         95761864926*ep^3*z5-147257640791753488556967367348257188416564\
         771/16347943103431683744*ep^3*z4-20591711567021305823049299001\
         847057555141677488512601/3805679525782206443876144640*ep^3*z3+
         2975094253303506671168138585000/542997*ep^3*z3^2;
Fill mncnoptab(15,6,1,7)=
      +mncF321*(-1625637669346152000000-174858801354141721971000/13*ep-
         1595433688864513701619120/39*ep^2-1011503094464586221753611814/
         15015*ep^3)
      +289955793826898817455946497342078004621064275399891979/
      36252181317024979750488844800000+39196542204490135/1521*ep^-3-
         63215008986221575174179463/141630993504*ep^-2-1731001909811643\
         002459953965156293047/225691891583990832000*ep^-1+
         32538043271384583166504760/1521*z3-853717300014523151255050061\
         80987748077761172460485618310977192802462105815176263766784477\
         61535136080190951/11008915386211687904176079999404084747512464\
         7218004178795317166080000000000000000000*ep+
         16269021635692291583252380/507*ep*z4+2529476481028667921091901\
         9965179075/70815496752*ep*z3+810097135837196613663306351948054\
         50361474458577820771649971982032569252236029919859058626527221\
         21730772377834245063661/22988258552349079536333633653819896004\
         588511241643535572596260396026403225600000000000000000000*ep^2
         +1052063438263865404218134740/507*ep^2*z5+25294764810286679210\
         919019965179075/47210331168*ep^2*z4-73850373315323566504627539\
         559192626039336829/87769068949329768000*ep^2*z3-
         30466547629624783520265319843922131033488832040378010552234123\
         91557452199423029344751161494156110836031072808114622340292329\
         983708908155113213138902025667279/
         16110725473975962061629174310798501961166602501724606805569385\
         92669234694232520936344143380985055257244467200000000000000000\
         000000000*ep^3+7809130678800529073719748650/1521*ep^3*z6+
         15621758863599758840752211725414397/3372166512*ep^3*z5-
         73850373315323566504627539559192626039336829/
         58512712632886512000*ep^3*z4-874930708046462379469254394855093\
         38553952871055567541543/126882634609587429126710956800000*ep^3
         *z3+1138831579961677995954994820/1521*ep^3*z3^2;
Fill mncnoptab(15,6,2,6)=
      +mncF321*(-7152805745123068800000-770407803188967680814000/13*ep-
         7045222391620893477557120/39*ep^2-1221764682075175955850493036/
         4095*ep^3)
      +2319598291130171638727507280112019713880707750079501/
      65913056940045417728161536000-30811698490356757930/1521*ep^-3-
         7984285372343249983911564733/32188862160*ep^-2-213161013926001\
         3493434096984401220229/2051744468945371200*ep^-1+
         143168076620577829216081840/1521*z3-
         17664271467995374553279377280687832742337668800448146533522826\
         07083929116835439825213911470958826692863410444883/
         51732422415834584196154535483866378129220448458951524785069471\
         30163200000000000000000000*ep+71584038310288914608040920/507*
         ep*z4+25311617907995231418080778348558497/16094431080*ep*z3+
         46800392449550384535576734812947996218657039603280477618132101\
         97573161057377707435364513113212453110990581800561882419759/
         30216788741587734546091876236076596637142454220960336202645973\
         38722137223987200000000000000000000*ep^2+
         4629081555797613375724858760/507*ep^2*z5+253116179079952314180\
         80778348558497/10729620720*ep^2*z4-294018097829344244563408710\
         1341824639637079/797900626812088800*ep^2*z3+
         84406065079652054513329548046276132541677914130529177877455319\
         42009923220501396674395906793202760694624813686094623204020451\
         70507999625056882422680463446337455461/
         19243133049585191748075499810734286059867434631613062120080260\
         68703817731617913545643866756127593996076921651200000000000000\
         0000000000000*ep^3+34360191476930655744896236100/1521*ep^3*z6+
         15699244160440223497097115003141119/766401480*ep^3*z5-
         2940180978293442445634087101341824639637079/531933751208059200
         *ep^3*z4-709689362320262673016526736925443893561305535202306193
       /230695699290158962048565376000*ep^3*z3+
         5010851366735705204156662120/1521*ep^3*z3^2;
Fill mncnoptab(15,6,3,5)=
      +mncF321*(-11176258976754795000000-1207415860648304624625000/13*
         ep-11098232157918787665311000/39*ep^2-
         55355330246783901991643495/117*ep^3)
      +1845083125826317862029476653567219717884559136647729/
      33555738078568576297973145600-663211251435744452375/3042*ep^-3-
         32323682373873161846210952055/12875544864*ep^-2-43991217769423\
         78571710319483259493339/468970164330370560*ep^-1+
         223706346064586476726805500/1521*z3-
         15075595843055608461973584315629491101999874919868076859617878\
         8826644684819415386102468330833773399612953671246531/
         28407307796983086873792378524900705558317532657779461289977348\
         0811521638400000000000000000*ep+111853173032293238363402750/
         507*ep*z4+15843871554415973298456802996636505/6437772432*ep*z3
         +2191565147030288976118807397209659039192704788774433292252327\
         87619596676274351816866244928820435295587554908000985232601588\
         89/91259536685793612366724840933149094099632154539975568985783\
         26298515049958397181952000000000000000000*ep^2+
         7232962018068186326009030750/507*ep^2*z5+158438715544159732984\
         56802996636505/4291848288*ep^2*z4-7271664326151749932799554480\
         437404984040317/1276641002899342080*ep^2*z3+
         46714402900264376488067900542266954371943123443020281929062862\
         14300471966623732462504318695520109999269649213162504285365551\
         078028533352068086394413091456738444006279/
         12151807603216453566608701224480972835373566560648069372085243\
         66073636451703932989111554130093502077394623099672985600000000\
         00000000000000000*ep^3+53687949270349931253250716875/1521*ep^3
         *z6+69455115910256738977819334054727845/2145924144*ep^3*z5-
         7271664326151749932799554480437404984040317/851094001932894720
         *ep^3*z4-914594174006344577365668249711146826861220712929076279
       /184556559432127169638852300800*ep^3*z3+
         7829386849344421014399319750/1521*ep^3*z3^2;
Fill mncnoptab(15,6,4,4)=
      +mncF321*(-7889123983591620000000-856471244439992157900000/13*ep-
         2645802769751284383338000/13*ep^2-3080937014261230382439516700/
         9009*ep^3)
      +140675044800231024166682106425595427218076870948459/
      3624456691221148994167756800-1428629881614762094250/2873*ep^-3-
         102507567661552992544524039055/18240355224*ep^-2-1349753094806\
         04919763099110036796091331/6672629838135381120*ep^-1+
         298296852920181047661770000/2873*z3-
         18202796908875115971384105759395132231953712242765256120438317\
         61423657589172035952589648966146369833520457652637/
         48978462831756194855425796465424617773688770609047860300134762\
         70348697600000000000000000*ep+447445279380271571492655000/2873
         *ep*z4+174715341482042465092953591405798715/100321953732*ep*z3
         +1146131326082189906279401647786853488101946699386844282870712\
         0305822468099315270805964634907049582371316987577621075018647/
         68410930484816243377520406295350889551351057319998063370744438\
         52842352441819136000000000000000000*ep^2+
         28932079065234783875092395000/2873*ep^2*z5+1747153414820424650\
         92953591405798715/66881302488*ep^2*z4-922459233569421469320803\
         49628772053118365771/23354204433473833920*ep^2*z3-
         46161937464832580844201227360158876933016379396760754744092483\
         75931791710369636265708465235442573199608995709162663291688325\
         4786338576908466848531401214515091044689987/
         10196695683055206341993548154035963815282291328226301085767091\
         25488320286966504895535277991381427219723803817527161651200000\
         000000000000000000*ep^3+71584455530786507068576562500/2873*
         ep^3*z6+70704909700809140678331196177069085/3040059204*ep^3*z5
         -92245923356942146932080349628772053118365771/
         15569469622315889280*ep^3*z4-221473136606216859593989259230077\
         8691750740577101293/604076115203524832361292800*ep^3*z3+
         10438943316017516708850437000/2873*ep^3*z3^2;
Fill mncnoptab(15,6,5,3)=
      +mncF321*(-2629707994530540000000-287496126261554502600000/13*ep-
         2695693827791065569452750/39*ep^2-151736052953661286829775460/
         1287*ep^3)
      +37203401596312222895826697256245544341697280669478127/
      2876006384483981726872115020800-7739472593046982874500/25857*
         ep^-3-31120698963396741111833595905/9120177612*ep^-2-319673839\
         287517774989751491402144103039/25578414379518960960*ep^-1+
         894966404970818727117343000/25857*z3-
         91668357675571407830169342584152297271863982172263395589617303\
         664912057462048188856704843371313943068556190296669393/
         73452775770659167729564953151835754362141644193220353057494428\
         9334351500410880000000000000000*ep+447483202485409363558671500/
         8619*ep*z4+9740920824173953186416919094532925/16720325622*ep*
         z3+26378514351570385640657019595237543987866351353773745994480\
         89178438376152292097078464243829664196332386923975810207068921\
         923011/4719395680169130869932808424016872252268377239880296574\
         530795662014072935485518674657280000000000000000*ep^2+
         28932348135270764671306247000/8619*ep^2*z5+9740920824173953186\
         416919094532925/11146883748*ep^2*z4-47841830834997805342324659\
         50700329552375261/3730185430346515140*ep^2*z3-
         42933859330329167124867959595759189333904779333427102738300453\
         38257047064174737525206275291836336908724223238563951772689251\
         232571252800567498252270751554166263471273131/
         72645187662200244578360434564196723776503596601166152399126683\
         20160463299571027233234563628790560359352568305682102658007040\
         00000000000000000000*ep^3+214755195002103688217003495000/25857
         *ep^3*z6+36252162490606537573601357009532275/4560088806*ep^3*
         z5-4784183083499780534232465950700329552375261/
         2486790286897676760*ep^3*z4-6237760808569633924465195625893789\
         25126954303904917789/479334397413996954478685836800*ep^3*z3+
         31315996700656291953036823000/25857*ep^3*z3^2;
Fill mncnoptab(15,6,6,2)=
      +mncF321*(-387535914983448000000-42771945122960656680000/13*ep-
         407386660863371802540500/39*ep^2-163756528497420983360827588/
         9009*ep^3)
      +260308541725675238573842182491862108441277039357471067/136610303\
      262989132026425463488000-19395736395147412732000/491283*ep^-3-
         5854817478711664173823221931/12377383902*ep^-2-161869647513706\
         88526620989844468722773083/8504822781190054519200*ep^-1+
         2505856804264079595796106800/491283*z3-
         33693802422833266511492842495772824276868020177845091455130006\
         5872351076732511107114132047779021002010966436858233/
         18739782880942097235692230479411221510849125532694157457295331\
         600449153269760000000000000000*ep+1252928402132039797898053400/
         163761*ep*z4+240388814257061567107986890168434/2786720937*ep*
         z3+30648481748675135408056180455514545405538216754050408523811\
         75769658977772166158462486961176523885052637867847481690852787\
         22757/38529441295130794992810818774200246122034798559960233753\
         00532395941176732486224230481920000000000000000*ep^2+
         81010399481915582136311253200/163761*ep^2*z5+12019440712853078\
         3553993445084217/928906979*ep^2*z4-553253811794596584203011226\
         05192531828029701/303743670756787661400*ep^2*z3+
         72394814691397847043887900577543566740296764364111842326361463\
         15077603139135498299904751130022837805228029200786586900723336\
         6935186893322552941548569789821180332799303/
         21226015770049133962739689474226230228447144631903235154119827\
         74796885370343409519710724060287241854998328551816489370386432\
         00000000000000000000*ep^3+601313354103706667032844132000/
         491283*ep^3*z6+52471616089437573158338969437508528/43320843657
         *ep^3*z5-55325381179459658420301122605192531828029701/
         202495780504525107600*ep^3*z4-15733583493017115670341238333371\
         30856818204185386950023/7589461292388285112579192416000*ep^3*
         z3+87685323862779980091720274000/491283*ep^3*z3^2;
Fill mncnoptab(15,7,1,6)=
      +mncF321*(-487691300803845600000-53044163003618029089000/13*ep-
         164365982455221582315620/13*ep^2-320210992021303744521508393/
         15015*ep^3)
      +9665074208348433223872584489329141294523059401401299/
      4028020146336108861165427200000-12074890873697105/507*ep^-3-
         4410577921004380219019917/4141257120*ep^-2-2387899024799359079\
         633199877640720903/225691891583990832000*ep^-1+
         3253804862242652739332360/507*z3-29273025992387648978317269741\
         80685271529956940263856379286920779122327513298734314789278427\
         18884394606380562913/12697958229341216120874295073312656449899\
         564621742646992698870228582400000000000000000000*ep+
         1626902431121326369666180/169*ep*z4+47101700620486813800236473\
         5185703/4371326960*ep*z3+1690173079060341091123952190624222715\
         34300273211096246382626077774040042782630426463647383560147431\
         30291515591109791587913/16317065920457376654889613167481362184\
         0569252793185815494288256290995410095308800000000000000000000*
         ep^2+105206345501364128029603940/169*ep^2*z5+14130510186146044\
         14007094205557109/8742653920*ep^2*z4-3831786992694137105801009\
         0637792175280668273/157984324108793582400*ep^2*z3+
         46139683638084854216681273315621644779407764365864419795768650\
         29790045108658656474643470115367707437985020328201894483316286\
         1461762676016238142955338094078998818141239331261/
         37479231619044941417648956979674638771607743698629602907126028\
         18989307513500049013807028228739650527599057157090325404057600\
         0000000000000000000000000*ep^3+780913079104624328373698650/507
         *ep^3*z6+8134555931789384218850864886976507/5620277520*ep^3*z5
         -38317869926941371058010090637792175280668273/
         105322882739195721600*ep^3*z4-21685626049043596023167656764158\
         9662779173929650733297/939871367478425400938599680000*ep^3*z3+
         113883150644011918734005780/507*ep^3*z3^2;
Fill mncnoptab(15,7,2,5)=
      +mncF321*(-1788201436280767200000-194835454152767660001000/13*ep-
         1816470318417694546721180/39*ep^2-322907739062118741324265169/
         4095*ep^3)
      +1623621514201769270723178697407947717179648770382979/
      184556559432127169638852300800-27295326919580582995/1521*ep^-3-
         830851927055754136140898477/3786924960*ep^-2-12520187101557993\
         68566080705620966843/1367829645963580800*ep^-1+
         35792447623490356030596760/1521*z3-828523210407020717602216474\
         82489468295610539859476810238185516625734456402880687481014665\
         7102149095006560888141/983329885280183776400505410477332115480\
         2222843077505831146005105014210560000000000000000*ep+
         17896223811745178015298380/507*ep*z4+1272869583545453453967010\
         5442669141/32188862160*ep*z3+597194958311779622816963053334757\
         68659413795904871847834736432778714448641373504024864963158156\
         6213429888781563217133295051/157949198110027406019331455461219\
         58594167103670380386939847103208968355697225891840000000000000\
         00000*ep^2+1157271911173024121983428140/507*ep^2*z5+1272869583\
         5454534539670105442669141/21459241440*ep^2*z4-1268976525193925\
         5874492872814979647541215683/14362211282617598400*ep^2*z3-
         30600134095015731795846097467325645601603441333730639824418788\
         42961924433818847360484829102724996236971204121665463942072158\
         30891662817894494276237242302929322021344132064861/
         12510309036977759755960065640112086321005619275956364004861377\
         68545396438988981877712139077731028176108926664849460341768192\
         0000000000000000000000000*ep^3+8590058214738955024799219150/
         1521*ep^3*z6+57300834939249034762909769552052949/10729620720*
         ep^3*z5-12689765251939255874492872814979647541215683/
         9574807521745065600*ep^3*z4-3965840384590316653068327388409867\
         91975670917716686109/461391398580317924097130752000*ep^3*z3+
         1252708149048312865974949180/1521*ep^3*z3^2;
Fill mncnoptab(15,7,3,4)=
      +mncF321*(-2235251795350959000000-244369744449855357795000/13*ep-
         176242707485117686953700/3*ep^2-902537878617837448446372481/
         9009*ep^3)
      +44646803256038454427009106706409889457665168081310373/
      4060244307506797732054750617600-359322919472297457175/3042*ep^-3-
         2501974984419706933142323133/1839363552*ep^-2-2623663071316231\
         4047485161015948333341/5158671807634076160*ep^-1+
         44743767514779657336529700/1521*z3-134328697516771542073224302\
         09334570996054123087284581592143534364290924473206194338546373\
         040655631194202719529859/1274697234810647321510086985229564330\
         37961769411825736100906878676647280640000000000000000*ep+
         22371883757389828668264850/507*ep*z4+1845514621427753315183337\
         586333361/3727131408*ep*z3+21252232100582482978423232713580404\
         42108287161828214984680439868119806555085094498854616774954460\
         0634803963272154272284810859/450451369360034408541380894543465\
         60665740308779966066004076457464076629404026090291200000000000\
         000000*ep^2+1446601255393556342749554550/507*ep^2*z5+184551462\
         1427753315183337586333361/2484754272*ep^2*z4-65623734642363032\
         01377955023925366024593959/6018450442239755520*ep^2*z3-
         24156075374919161270955713129663220939194655940124953654150688\
         93299059099349655666903996202570017917624475685513864196093172\
         1419537573617009579682525988032379693387439015820449/
         94059753632736137228802704884040457193165373973265782935868836\
         64676515601255398007500808394256463946588973794291735150293155\
         84000000000000000000000000*ep^3+10737649996664723427280334875/
         1521*ep^3*z6+852922273593576051774820084587773/126230832*ep^3*
         z5-6562373464236303201377955023925366024593959/
         4012300294826503680*ep^3*z4-2247012385070277496715377712921808\
         896492921624560179449/2030122153753398866027375308800*ep^3*z3+
         1565849850032359593778968350/1521*ep^3*z3^2;
Fill mncnoptab(15,7,4,3)=
      +mncF321*(-1183368597538743000000-130044464077496144715000/13*ep-
         409929608075492570907900/13*ep^2-489797353246491272865908537/
         9009*ep^3)
      +44640996282956038049372637863788201889581194481441253/
      7669350358623951271658973388800-2339104790823698251525/17238*
         ep^-3-113571893852440568323146520193/72961420896*ep^-2-
         3545257273815495129840452861277328041443/613881945108455063040
         *ep^-1+134245144894848201284869100/8619*z3-
         20460804507697664362943988295866355492363457700024504118294565\
         411933488119537079000466610218034347539280946496072009/
         36726387885329583864782476575917877181070822096610176528747214\
         4667175750205440000000000000000*ep+67122572447424100642434550/
         2873*ep*z4+105474780063213306419882768025932777/401287814928*
         ep*z3+29281404552746100896592639239065578764064267389186034384\
         97326458311286223182569427360630563097016136155752852545720313\
         665946539/1179848920042282717483202106004218063067094309970074\
         1436326989155035182338713796686643200000000000000000*ep^2+
         4339852880145648695314583650/2873*ep^2*z5+10547478006321330641\
         9882768025932777/267525209952*ep^2*z4-528534997764097297037686\
         36581458169636149677/93416817733895335680*ep^2*z3+
         81919877218847353791454040066734633484279285692559350173952216\
         34013282886505621609670341199091953643581663821127439394301448\
         4320611858603140493970911181395813578003093/
         62841857839273567974360237512280902920850862111735425950801629\
         06713203546341719059891491028365536643038553897648877731840000\
         000000000000000000*ep^3+32213283738855244711647204625/8619*
         ep^3*z6+44304084366151659567296697881557223/12160236816*ep^3*
         z5-52853499776409729703768636581458169636149677/
         62277878489263557120*ep^3*z4-102027368629269368156967810717224\
         850827001939569481263/166725007796172853731716812800*ep^3*z3+
         4697397525408302098445385050/8619*ep^3*z3^2;
Fill mncnoptab(15,7,5,2)=
      +mncF321*(-262970799453054000000-29108505385622827395000/13*ep-
         278566426719511575496100/39*ep^2-112641699931397389932987061/
         9009*ep^3)
      +88536117532516740585763723151325160437994558299907/
      68476342487713850639812262400-732034093254032475925/25857*ep^-3-
         6190731367082465687005978901/18240355224*ep^-2-209872386655177\
         985036982886947107128291/153470486277113765760*ep^-1+
         89495754494009815726419400/25857*z3-
         12276559398808847367188218850898643481428521219179241410228778\
         359324254023286777493044054735449649314109187956176379/
         10099756668465635562815181058377416224794476076567798545405483\
         97834733313064960000000000000000*ep+44747877247004907863209700/
         8619*ep*z4+11761992235687606042557118954615103/200643907464*ep
         *z3+6956591995594757964112446772380014996788660480533632344230\
         43502298561633974178189474119527499007241442360266545127634363\
         15941/12978338120465109892315223166046398693738037409670815579\
         95968807053870057258517635530752000000000000000*ep^2+
         2893231628502161480049274100/8619*ep^2*z5+11761992235687606042\
         557118954615103/133762604976*ep^2*z4-6561647579254520047061591\
         8057352024279961277/537146701969898180160*ep^2*z3+
         29590388547551891892919239788283159638700021751986872836436979\
         79303813001663187782527991485905923146269221037347437719786417\
         535366312442720158141858335124031601937506211/
         33961625232078614340383503158761968365515431411045176246591724\
         39675016592549455231537158496459586967997325682906382992618291\
         200000000000000000000*ep^3+21475497827531186561053507250/25857
         *ep^3*z6+2163377480077794052472163845210063/2605765032*ep^3*z5
         -65616475792545200470615918057352024279961277/
         358097801313265453440*ep^3*z4-20694676991021553024075749621389\
         4841851546182876906877/1438003192241990863436057510400*ep^3*z3
         +3131609127406799455392681700/25857*ep^3*z3^2;
Fill mncnoptab(15,7,6,1)=
      +mncF321*(-19376795749172400000-2165648835580759683000/13*ep-
         21053964423542189497780/39*ep^2-2894880548152540002499495/3003
         *ep^3)
      +13554931187912035047576116460756179454142802707374947/1423023992\
      32280345860859857800000-17382499544943387095/491283*ep^-3-
         564249807849100812299484601/247547678040*ep^-2-118334912314993\
         87039695718446846718383211/510289366871403271152000*ep^-1+
         125271755473791596390300120/491283*z3-
         32112780849210653946707296610243216431943736641900227510314944\
         819639042033481056219622280789062006155297626122155534213/
         35922814518398572569821035988436794028348992509136345866298225\
         414185794479094497280000000000000000*ep+
         62635877736895798195150060/163761*ep*z4+1451332092266654823633\
         973728153953/334406512440*ep*z3+
         90141916018777957921184178889293553039693198509306498040805688\
         28783410377434052401680028084809338842705957674297528064093263\
         44563/23080676513435151432493392878496915436943725729358578427\
         4003092646460250982854776302788935680000000000000000*ep^2+
         4050445378920559945205485180/163761*ep^2*z5+145133209226665482\
         3633973728153953/222937674960*ep^2*z4-450261503556969099199972\
         67841326598228017179/5207034355830645624000*ep^2*z3-
         97042867813147802660497804071389279956344067197168733360780179\
         90565863526556657165412097779020019851341716197707718733884030\
         073747985824622412770890445868201886340735614719/
         20535100466327726632598927485964376744019098695276932088559165\
         70684136832784583402480332107835268017721390958123441914784605\
         483827200000000000000000000*ep^3+30065160953219720598065388550/
         491283*ep^3*z6+109537278194456837801530945323601967/
         1732833746280*ep^3*z5-4502615035569690991999726784132659822801\
         7179/3471356237220430416000*ep^3*z4-38824828504195811926710675\
         221492439715521279624987483089/3415257581574728300660636587200\
         000*ep^3*z3+4384499180024984617868458700/491283*ep^3*z3^2;
Fill mncnoptab(15,8,1,5)=
      +mncF321*(-82940697415620000000-64138377970942980045000/91*ep-
         4282069194613649944093300/1911*ep^2-
         191498292325877335350041229/49049*ep^3)
      +20709698243490716784482222340090592038378792521904371/
      50753053843834971650684382720000+1023307345199967775/74529*ep^-3-
         3581326408187391909759186625/6939918681696*ep^-2-1130033776197\
         40537462607144614270665487/15482463762661771075200*ep^-1+
         81345073760860166714347400/74529*z3-
         17827247912833309506359467348420384913681538550366251708319779\
         41195487277955503525075189280441555932359695496161/
         46019838631112600735543653210339143004474402905602727289763303\
         8914665054208000000000000000*ep+40672536880430083357173700/
         24843*ep*z4+9154909897444387815959104201870655/495708477264*ep
         *z3+1014259420805212149902536982301590813299636663090726163777\
         58817101995319183757848135410164541785269055845750217471271171\
         861/5913617977239426081363769692468061297656163614190416870278\
         755441437752373041373904896000000000000000*ep^2+
         2630158490677262912306280100/24843*ep^2*z5+9154909897444387815\
         959104201870655/330472318176*ep^2*z4-3007565937049267450021720\
         83117041770948276763/7741231881330885537600*ep^2*z3+
         10768270973894730375370383461706344004405331779823845676057408\
         66089009266073800891003565492625542306927679050126218210060992\
         27700503720460772421973296472074176228352809235018714878571/
         29896732100455920106751933911884218277618403725068453394277956\
         36633851483052525660314354371441169386604966264021454156104658\
         87746979224616960000000000000000000*ep^3+
         19522825995677321425511232250/74529*ep^3*z6+300780974968457459\
         516641652794679225/1156653113616*ep^3*z5-300756593704926745002\
         172083117041770948276763/5160821254220590358400*ep^3*z4-
         55683999043101856834714214882317998163538734897479035449/
         1243449819173956805441767376640000*ep^3*z3+
         2847079440983777188782569300/74529*ep^3*z3^2;
Fill mncnoptab(15,8,2,4)=
      +mncF321*(-243292712419152000000-188528554723285731020000/91*ep-
         37888192747984341792025600/5733*ep^2-
         15315015177965362800147892556/1324323*ep^3)
      +12754872339180377214574735345157011254225533867730341/
      10658141307205344046643720371200-1746715375551239654900/223587*
         ep^-3-44849810085485146534074208739/473176273752*ep^-2-
         181529453272858467238530649368790912919/464473912879853132256*
         ep^-1+715875581543013544365975200/223587*z3-
         79463772191885507764450368554883620213220564957916733570775902\
         89042029871616266704396644485635150077054609197403/
         70108347914585602683054784187626038170878973176504154855498783\
         2721560043520000000000000000*ep+357937790771506772182987600/
         74529*ep*z4+1186029382642374831967806232258759/21869491644*ep*
         z3+20476608598383122610511941846416501034739105448818196731760\
         821189725647786606595687139536167085287658937840004468704555757
       /409501244872758553219437176857696006052184625272418781855240522\
         400696630945691729920000000000000000*ep^2+
         23145532379531751294591422800/74529*ep^2*z5+118602938264237483\
         1967806232258759/14579661096*ep^2*z4-2916083971608847483802009\
         163707666219721223/25804106271102951792*ep^2*z3+
         22140552518399045874925675672590147800439116884842712035449770\
         83017643244403723340796158557407639578773837988263422789256413\
         567097595854828415648465327773352867965079546360849278258147/
         22772901404644157893814949659443056891154643462454485983922662\
         07592191559356416030317574618871203243703001646422592032970345\
         62932269331251200000000000000000000*ep^3+
         171801803892630600848520733000/223587*ep^3*z6+6058858690455674\
         1755150726852564179/78862712292*ep^3*z5-2916083971608847483802\
         009163707666219721223/17202737514068634528*ep^3*z4-
         4978279098027074762717458109783070126516653677312794457/
         37303494575218704163253021299200*ep^3*z3+
         25053868370927308659649763600/223587*ep^3*z3^2;
Fill mncnoptab(15,8,3,3)=
      +mncF321*(-228086917892955000000-177391723825228150425000/91*ep-
         11954530891031261678430500/1911*ep^2-
         4868984869313974318111394405/441441*ep^3)
      +6376227016466863725389896607043424247383272417326131/
      5684342030509516824876650864640-3793533227955079965875/149058*
         ep^-3-187187266206971953237762682455/630901698336*ep^-2-
         938916244524163493628599660717394248303/825731400675294457344*
         ep^-1+223740703396365353200328500/74529*z3-
         17436576052253937120418646130904123898199508099361131553794452\
         6434465703060583256902360817160157153952935973291/
         16618275061235105821168541437066912751615756604800984854636748\
         627474015846400000000000000*ep+111870351698182676600164250/
         24843*ep*z4+25251706113362841289447449688690585/495708477264*
         ep*z3+24548419712342219523739476558972516068600555591179254859\
         71927878560538671106867926680151569066348759740195734358547504\
         173/5338682896118926323453403194589222004828481040588570785668\
         3208846313042256623514419200000000000000*ep^2+
         7233083922802024240893692750/24843*ep^2*z5+2525170611336284128\
         9447449688690585/330472318176*ep^2*z4-129251574138787301430330\
         540844121062561795955/1238597101012941686016*ep^2*z3+
         19236102524769509448747781095017170093114024371074804343359763\
         75851853349426912492277788086615178113932861723148115658504729\
         057971525159364853934865070024537019124428701587/
         30656512295114000281980140851094667529624270035731069993912806\
         01820493973742500091333596809979884545554924792213602567502954\
         49600000000000000000000*ep^3+53688777662524268423701874375/
         74529*ep^3*z6+76693959014805410969044376258955905/105150283056
         *ep^3*z5-129251574138787301430330540844121062561795955/
         825731400675294457344*ep^3*z4-25571784979843671873452136805389\
         80882080816504468908473/19895197106783308887068278026240*ep^3*
         z3+7829009528374556564478841750/74529*ep^3*z3^2;
Fill mncnoptab(15,8,4,2)=
      +mncF321*(-80501265138690000000-62947355702085939150000/91*ep-
         1426501086218575918963000/637*ep^2-195836668382772374731876910/
         49049*ep^3)
      +2124529956163558006639972678146978265140291722036521/
      5368545251036765890161281372160-4322639828421648635875/422331*
         ep^-3-73174577887699271540681475485/595851603984*ep^-2-
         10450234768015491420060802176395135699903/
         21056150717220008662272*ep^-1+447493509322880321556817000/
         422331*z3-4667240774386718733159102825383490240483223818116287\
         35729493170283333703014905576996138072400373266827749807875331/
         12624695835582044453518976322971770280993095095709748181756854\
         9729341664133120000000000000000*ep+223746754661440160778408500/
         140777*ep*z4+8440343791844905830814919847259195/468169117416*
         ep*z3+13110049429917047287429048047917213880655432053292541820\
         52487467649244791062566094049460048631064910239469966733839826\
         9334233/811146132529069368269701447877899918358627338104425973\
         747480504408668785786573522206720000000000000000*ep^2+
         14466210194350442594822625500/140777*ep^2*z5+84403437918449058\
         30814919847259195/312112744944*ep^2*z4-37902302360079268726937\
         7215451748203229129121/10528075358610004331136*ep^2*z3-
         77568217245385684619388664031337256383089440187943170737393005\
         49668873722798653269714010335188173821545989918087444519541073\
         32291971756382965280198741367113705326598572548083/
         74525981389422134685493722409011136764516600456862231155202031\
         43025620850168017722031973845061099330244022169871267841599682\
         37977600000000000000000000*ep^3+107377842684321118657277648750/
         422331*ep^3*z6+78109895592532530466865333751716905/
         297925801992*ep^3*z5-37902302360079268726937721545174820322912\
         9121/7018716905740002887424*ep^3*z4-88540005286306130275097670\
         6863693753937230265402058651/18789908378628680615564484802560*
         ep^3*z3+15657882231438011181587963500/422331*ep^3*z3^2;
Fill mncnoptab(15,8,5,1)=
      +mncF321*(-8944585015410000000-7045960147439067195000/91*ep-
         1454340618888879044956900/5733*ep^2-
         608077138462092680221791953/1324323*ep^3)
      +790225127254947038468613013526474055706476454632619/
      17975039903024885792950718880000-88515776707680665225/3800979*
         ep^-3-3573245044396069577294537845/2681332217928*ep^-2-
         1165575498065699330991208693092547983953/
         87733961321750036092800*ep^-1+447399416156731939536415400/
         3800979*z3-969107916412864951671550318892944552780944134712276\
         53499742081301985081011182498186628636164810234016680587521921\
         047/2363343060420958721698752367660315396601907401916864859624\
         88325093327595257200640000000000000000*ep+
         223699708078365969768207700/1266993*ep*z4+84707620746652566283\
         28430226699885/4213522056744*ep*z3+
         54002975778844678418235495606514606028437056083898139618327338\
         75790716321573640048041585848491919807928119211926023038844610\
         659/3036931120188835714801762220854857294334700753862970845710\
         567008506055933984931267141959680000000000000000*ep^2+
         14465877733647741567781812100/1266993*ep^2*z5+8470762074665256\
         628328430226699885/2809014704496*ep^2*z4-509828221012636533531\
         749109358165364396262691/131600941982625054139200*ep^2*z3+
         14030512074541616543538780295980846860285305176210357190777094\
         54464864146769245222064487951222510894500804018247125825384903\
         6490391300507117866394049558482844746159960479/
         13509934517320872784604557556555511015802038615313771110894187\
         96502721600516173291105481649891623695869336156660159154463556\
         2393600000000000000000000*ep^3+107375584461966231909522552250/
         3800979*ep^3*z6+80050759574973895767372932592960445/
         2681332217928*ep^3*z5-5098282210126365335317491093581653643962\
         62691/87733961321750036092800*ep^3*z4-290562899119094593008364\
         68990185462297900088489594764887/52846617314893164231275113507\
         20000*ep^3*z3+15658924795749172407887573300/3800979*ep^3*z3^2;
Fill mncnoptab(15,9,1,4)=
      +mncF321*(-7540063401420000000-5958546638277224977500/91*ep-
         4531318131543621067544725/21021*ep^2-3497892059136959535257981/
         8918*ep^3)
      +289879694516053435146520556773950163554875809780478383/781597029\
      1950585634205394938880000-16879936346699572525/1639638*ep^-3-
         50416909543727630192170403735/152678210997312*ep^-2-9069862377\
         7853208099104661834623334263/30964927525323542150400*ep^-1+
         7395032585539622333059300/74529*z3-136944766631009890197254897\
         21185862604272070878766547586320611392031121762335817583373369\
         0552884633005708553143/400619130940489158188884481072148789547\
         879846722880884888564475840891453440000000000000000*ep+
         3697516292769811166529650/24843*ep*z4+185114200834518119386955\
         57677057765/10905586499808*ep*z3+37768485433680212183185952982\
         64976561101621073047806057375482040624025285223965380787978098\
         155220284442144497225439471137/2574007824914482334522176540248\
         37489518516050171234662880436899794723596594434801664000000000\
         0000000*ep^2+2630159407279056380554426450/273273*ep^2*z5+
         18511420083451811938695557677057765/7270390999872*ep^2*z4-
         10753389038297042414852503802457080996578237/
         3339354929201558467200*ep^2*z3-
         36585060620293508429631135592133837886736534862395475146768457\
         94441539554997938023517416476835438027847238638455497960149725\
         1502838225624975179138420944760022815147150042970731244647/
         13013086516939518796465685519681746794945510549973991990812949\
         75766966605346523445895756925069258996401715226527195447411626\
         07389868189286400000000000000000000*ep^3+
         19522832158490583239999067625/819819*ep^3*z6+58834117887892137\
         239134422036813185/2313306227232*ep^3*z5-107533890382970424148\
         52503802457080996578237/2226236619467705644800*ep^3*z4-
         449194934338136496172772816870296186701375750744427259/
         94657079660301210102833502720000*ep^3*z3+
         2847075697588516054373875850/819819*ep^3*z3^2;
Fill mncnoptab(15,9,2,3)=
      +mncF321*(-16588139483124000000-13138959266482734052500/91*ep-
         911698518573777306560525/1911*ep^2-769949990449853452404412573/
         882882*ep^3)
      +2317910241952180325008562630414604037162154505987887/
      28421710152547584124383254323200-220434281421698302325/149058*
         ep^-3-250074357918969101332971343903/13879837363392*ep^-2-
         10315167585137508297928864492469735461/137621900112549076224*
         ep^-1+16271432009389629187768300/74529*z3-
         23492251360800678229674597143236782295640352641968819322902297\
         62592245471061703370423290564878781692453880329187/
         30862510828008053667884434097409980824429262266058971872896818\
         87959460085760000000000000000*ep+8135716004694814593884150/
         24843*ep*z4+3706981508170059894026737985064221/991416954528*ep
         *z3+2624217003043187191845206833753845634680591175901035607605\
         581755715703296866606028734571111091714873568366374593237288091
       /793175744566240482341648474624684412145945754601730516727864817\
         145222342098406499942400000000000000*ep^2+
         526040282983335696169892450/24843*ep^2*z5+37069815081700598940\
         26737985064221/660944636352*ep^2*z4-43405285366577274457816523\
         13798896184556663/619298550506470843008*ep^2*z3-
         37350637476476796334469832652453456245182233699373460914477057\
         03788065800724173385244322616116605835379963825162412205825450\
         39795646816235929649941082312212375815082276936235289082149/
         20049792559432740071591574726620765432212342180700669141400692\
         95996511510459828716639388447514117564826346423093752985641616\
         46941426543493120000000000000000000*ep^3+
         3904623542351543648304772625/74529*ep^3*z6+1185662932011759318\
         6837879855692953/210300566112*ep^3*z5-434052853665772744578165\
         2313798896184556663/412865700337647228672*ep^3*z4-105328247839\
         1725895661310197702435905889186065619527899/
         99475985533916544435341390131200*ep^3*z3+
         569389394546175844640930650/74529*ep^3*z3^2;
Fill mncnoptab(15,9,3,2)=
      +mncF321*(-10367587176952500000-8243336048137172400000/91*ep-
         575512274058374250115250/1911*ep^2-244893927104212048534821890/
         441441*ep^3)
      +579217113625478633206217930235790836301453460626163/
      11368684061019033649753301729280-513440639533584452125/298116*
         ep^-3-287388286127682656166635711455/13879837363392*ep^-2-
         139045875067189570655953164263738747027/1651462801350588914688
         *ep^-1+10170976366889241240136750/74529*z3-
         20297733497322523317134732546335687677549887743533687535265961\
         95456665764485618745359146030813722455725326273739/
         42435952388511073793341096883938723633590235615831086325233125\
         95944257617920000000000000000*ep+5085488183444620620068375/
         24843*ep*z4+2321586292196845065459732096943985/991416954528*ep
         *z3+5676243960592088485170435572631741179987134259514328182311\
         25244888542072613610623774227495767001096889234797036255248212\
         07/27265416219464516580494166315223526667516885314434486512520\
         353089367018009632723435520000000000000000*ep^2+
         328779869358861286305742625/24843*ep^2*z5+23215862921968450654\
         59732096943985/660944636352*ep^2*z4-10657018561636529753075806\
         965363660029185927/2477194202025883372032*ep^2*z3-
         52887549690686641700541308522336917332156060795798576528316925\
         74113793071903675090765598635245498431146741758248015289205820\
         39550192765804759841523925070819547587535507343736166900397/
         13784232384610008799219207624551776234645985249231710034712976\
         40997601663441132242689579557665955825818113165876955177628611\
         322722307486515200000000000000000000*ep^3+
         4880843158548473088385455625/149058*ep^3*z6+485536412012602670\
         3502588192371215/136076836896*ep^3*z5-106570185616365297530758\
         06965363660029185927/1651462801350588914688*ep^3*z4-
         269373512170262147562992905557899489729410888452454633/
         39790394213566617774136556052480*ep^3*z3+
         355853543234584993281632125/74529*ep^3*z3^2;
Fill mncnoptab(15,9,4,1)=
      +mncF321*(-1829574207697500000-1462747765509514440000/91*ep-
         34341440997139146344450/637*ep^2-44325450130909398599366662/
         441441*ep^3)
      +24125627956267250814424191641556509467560283657036493/2684272625\
      518382945080640686080000-8130022157474331775/563108*ep^-3-
         38305275920641988449185964735/78652411725888*ep^-2-82666489655\
         7441598634479515122135878009/191419551974727351475200*ep^-1+
         3389416820434521045866650/140777*z3-
         30073679237602967781599039530287311608599998794016301694380009\
         3306060117178372868330690419093779527117921581032779/
         36359124006476288026134651810158698409260113875644074763459742\
         32205039927033856000000000000000*ep+5084125230651781568799975/
         140777*ep*z4+2327723586493173355126169544256625/5618029408992*
         ep*z3+32970352563770135423616543009420624416040110113369849163\
         41301915676929313863165382267749915742977119082101167221781725\
         448823/9344403446734879122466960679553407059491386934962987217\
         570975410787864412261326975821414400000000000000*ep^2+
         328770248575022957584939425/140777*ep^2*z5+2327723586493173355\
         126169544256625/3745352939328*ep^2*z4-778601790008903958216030\
         973918059481841108621/1052807535861000433113600*ep^2*z3+
         58848282171485827486057950006919455639146910882449404084574221\
         74914946866015775387400783397760189635592994790475574115487229\
         7918670868095114410017010720337902054572665529891/
         30662118057362249699174560076850296268829687045109032246711692\
         93130541149783413005636012096253709438728969121318464483401012\
         1791078400000000000000000000*ep^3+1626904158772942182695363875/
         281554*ep^3*z6+84010042433202821166574435081647935/
         13108735287648*ep^3*z5-778601790008903958216030973918059481841\
         108621/701871690574000288742400*ep^3*z4-1181645343256402769627\
         806666236701861052829356568991/958570981462538547881057280000*
         ep^3*z3+118627939071641925465474175/140777*ep^3*z3^2;
Fill mncnoptab(15,10,1,3)=
      +mncF321*(-327828843540000000-267247819075809832500/91*ep-
         213324211508817646791175/21021*ep^2-51867050548828086600538031/
         2648646*ep^3)
      +289587604266509914371296542422188876098925739256016467/179767316\
      714863469586724083594240000+969349624709951425/1639638*ep^-3-
         51797394615170730048059130665/1170532950979392*ep^-2-118595462\
         3355935456981963743451890985761/2136579999247324408377600*
         ep^-1+321518222243079235253900/74529*z3-
         14973821453225162374722934780297215213332532972317899685167937\
         5416175923781453521233295247276542798509804680691/
         10140539272059789062304885489148993699455329030276519329666097\
         631866797424640000000000000000*ep+160759111121539617626950/
         24843*ep*z4+2089802107944998417050045366793705/27869832166176*
         ep*z3+81581782630708971761385918798066985910441817201349977481\
         90485417539626173239656649821392787919311767258007483889666924\
         33/13030744375016807924184224940262672485254823111314144203386\
         350567385795620188106784768000000000000000*ep^2+
         114354607498374182800173350/273273*ep^2*z5+2089802107944998417\
         050045366793705/18579888110784*ep^2*z4-14080905400470206937687\
         07926090242665543212209/11751189995860284246076800*ep^2*z3+
         13055601108678296544329979989281132508689590586803516135769636\
         81599633729792972788055223431159517359378359943472551861382110\
         0496703809243404935599100985359978767010147246147108177851/
         14321280399594814336851124804729118165865958700500477958143352\
         11426079650328449083313848891081512546304533159352680704029726\
         04958161816780800000000000000000000*ep^3+
         848817805126121692031817875/819819*ep^3*z6+6493974333895608883\
         7815508248111645/53206043226336*ep^3*z5-1408090540047020693768\
         707926090242665543212209/7834126663906856164051200*ep^3*z4-
         154622369354091708851658829721953702371832174426890432719/
         629185608502022143553534292579840000*ep^3*z3+
         123786781142263726766625550/819819*ep^3*z3^2;
Fill mncnoptab(15,10,2,2)=
      +mncF321*(-480815637192000000-392919983908098295000/91*ep-
         85863358650698903983850/5733*ep^2-1165278479251579248737747/
         40131*ep^3)
      +2315558209304416642035416278667322371903988168439997/98054900026\
      2891652291222274150400-25743564501496491025/223587*ep^-3-
         59761242897411702107221752023/43532217185184*ep^-2-23676444762\
         8576119579681776327298995463/42731599984946488167552*ep^-1+
         1415281519120876359974200/223587*z3-
         19776370926779957908045010158415565066843048712047521231719505\
         23464602774282469296627571057056344504867384983661/
         97602690493575469724684522833059064357257541916411498548036189\
         706717925212160000000000000000*ep+707640759560438179987100/
         74529*ep*z4+3767399488299230416827718635988871/34203884931216*
         ep*z3+50231649013636746737028032250294082983559586847814626988\
         48030332255710583833576185278049597363120166363652691879527161\
         1563/627104573047683881351365825250141113352888362231993189787\
         968121055441414221552639016960000000000000000*ep^2+
         45743937793658473760021300/74529*ep^2*z5+376739948829923041682\
         7718635988871/22802589954144*ep^2*z4-3365052510369214268621838\
         74241953352021751/1942345453861204007616*ep^2*z3+
         18988075576252258519328066844754492817684103258995402526955092\
         28188875920484513185158447197566195415167506207192682822227456\
         96379791584630915488559010467724618197786758833743906740901/
         13784232384610008799219207624551776234645985249231710034712976\
         40997601663441132242689579557665955825818113165876955177628611\
         322722307486515200000000000000000000*ep^3+
         339541329654636362300224250/223587*ep^3*z6+1439633325600763838\
         55315341262835433/79809064839504*ep^3*z5-336505251036921426862\
         183874241953352021751/1294896969240802671744*ep^3*z4-
         1250917979274300283420483806052979746896973121909690689/
         3431921500920120783019277959526400*ep^3*z3+
         49507851961237112767488100/223587*ep^3*z3^2;
Fill mncnoptab(15,10,3,1)=
      +mncF321*(-150254886622500000-123268283858549720000/91*ep-
         27101771475215614531150/5733*ep^2-12229691626838186981721638/
         1324323*ep^3)
      +72265953588675809958751247018667418623290942920179367/9805490002\
      6289165229122227415040000-2821897546431296075/894348*ep^-3-
         87673399173523897368931152895/957708778074048*ep^-2-7247964819\
         09619644473987449518612299401/949591110776588625945600*ep^-1+
         442099814018062779956450/223587*z3-847088927119417334556679832\
         40014559705915169936962867620998382574618252757694751950033502\
         71420896891139445564996073/12789856562278129552722659872044059\
         79337502829272656276973466229916831691980144640000000000000000
         *ep+221049907009031389978225/74529*ep*z4+336976527581377647844\
         862799399815/9772538551776*ep*z3+
         22530648451754360220006896935790022991440258147832574513216231\
         13552836968712601207298530877358471259086889948919063613908595\
         03/82175783252168495812282977740778491493762490986880387589815\
         34258310504291959225781678243840000000000000000*ep^2+
         14294374968441824867679175/74529*ep^2*z5+336976527581377647844\
         862799399815/6515025701184*ep^2*z4-226298603490040141539320546\
         415411872416065391/4273159998494648816755200*ep^2*z3+
         44777480404085587615245975283791832530361372840135283682668537\
         67829091450872979082293740987066581105982791636356630741235893\
         44833449817760174298299991176516346290038234248488479769831/
         78534165725186763176073259440054989469043909002579273171686453\
         42448944433796781264436630662458558757182849967674617672889270\
         77084918143621529600000000000000000000*ep^3+
         212205125456537059115405375/447174*ep^3*z6+9104034837320542047\
         9918899394832895/159618129679008*ep^3*z5-226298603490040141539\
         320546415411872416065391/2848773332329765877836800*ep^3*z4-
         39772011096727860283158603024961816296971086835822122949/
         343192150092012078301927795952640000*ep^3*z3+
         15473249558697714068307275/223587*ep^3*z3^2;
Fill mncnoptab(15,11,1,2)=
      +mncF321*(-5463814059000000-4675504864365331000/91*ep-
         12032662733447610855070/63063*ep^2-884145617808099980979494/
         2207205*ep^3)
      +72198982050278884923785488040860240405049172607815589/2696509750\
      722952043800861253913600000-2677470252391147715/2459457*ep^-3-
         154306685315337220232672443699/10534796558814528*ep^-2-
         34496401859481533472836658020908023607/
         485586363465301001904000*ep^-1+16081876922284418831860/223587*
         z3-72710070811965222839642675266391982438651397072092327038697\
         235692386992118117589948149502516467522167778467/
         28455594896086142776875954178734421095410362074755538935287518\
         8649323397120000000000000000*ep+8040938461142209415930/74529*
         ep*z4+964749509040488195343901461890015/752485468486752*ep*z3+
         20457096310637735054859504457328132763770078241372808768942448\
         60475415130838541569504891087877765554419045935193794661/
         18282932158824602954850315604960382313495287528629539060873706\
         15321986630383535390720000000000000000*ep^2+
         5717955542684015284542040/819819*ep^2*z5+964749509040488195343\
         901461890015/501656978991168*ep^2*z4-4232956372346272535391173\
         1954881013023678033/29377974989650710615192000*ep^2*z3-
         11928744426079580201718907915012865836500393123929372374174644\
         35436886556507830167011108147990633651074644987996548852799150\
         502910004674050128716845763676522528734636812156235101/
         16074906570973771194424731923675540798420974051582169136691517\
         67927232260572748971066565081826187551974475995191784463706835\
         36177528569856000000000000000000*ep^3+
         42442414954767293116189150/2459457*ep^3*z6+3743188999553234759\
         513747798025919/159618129679008*ep^3*z5-4232956372346272535391\
         1731954881013023678033/19585316659767140410128000*ep^3*z4-
         47300439715866114601675477118919002844283479323202248393/
         9437784127530332153303014388697600000*ep^3*z3+
         6188567702456549893192520/2459457*ep^3*z3^2;
Fill mncnoptab(15,11,2,1)=
      +mncF321*(-4006796976600000-10311567704067421000/273*ep-
         2421452406870394242950/17199*ep^2-655368844476836611768382/
         2207205*ep^3)
      +1310419458292812128076760223375859042579917314888579/66855613654\
      288067201674245964800000-813484481946494695/670761*ep^-3-
         228096090206154056038626376627/14365631671110720*ep^-2-
         1212084319331106430011754593203968102547/
         16024349994354933062832000*ep^-1+35384577076779659917900/
         670761*z3-7163178202698349444534292834210488443545865795541932\
         0622670613356691541185625808725432165632749329682865152219867/
         42632855207593765175742199573480199311250094309088542565782207\
         6638943897326714880000000000000000*ep+17692288538389829958950/
         223587*ep*z4+966096785996615402596129303071839/
         1026116547936480*ep*z3+180359544534049119364411986863875792028\
         16596141597255360944293468424898679600713213104809166503467168\
         34715351008137439033997/27391927750722831937427659246926163831\
         25416366229346252993844752770168097319741927226081280000000000\
         000000*ep^2+1143608899932779747291000/223587*ep^2*z5+966096785\
         996615402596129303071839/684077698624320*ep^2*z4-8288319366832\
         130700796479155276344139649181/8012174997177466531416000*ep^2*
         z3+10180150943904879075855603657870252337869407840033507189973\
         94562870622107398538027202159415808247887981209408594959187760\
         4861318251795613733780307378806500345056223036735550842081499/
         24083810822390607373995799561616863437173465427457643772650512\
         38351009626364346254427233403153958018869407323420216086352709\
         70306041564043935744000000000000000000*ep^3+
         8488605306803898954887750/670761*ep^3*z6+414624907084419136851\
         01804526968757/2394271945185120*ep^3*z5-8288319366832130700796\
         479155276344139649181/5341449998118311020944000*ep^3*z4-
         9527437352089132029926700970735044094145071143922618741/
         2573941125690090587264458469644800000*ep^3*z3+
         1237677957711404586349480/670761*ep^3*z3^2;
Fill mncnoptab(15,12,1,1)=
      +mncF321*(-19868414760000-205900804735185400/1001*ep-
         603701517014146623214/693693*ep^2-13949454489357325411966/
         6621615*ep^3)
      +41307493148156708611908784575185059291575760841351/4323849454512\
      02222766901950336000000-1100915235999970331/27054027*ep^-3-
         1143714563257570324004718424051/2897069053673995200*ep^-2-
         150724445858643468173401060855425441043/
         97926583298835702050640000*ep^-1+642844193531570976724/2459457
         *z3-4646188116697261466686609920986394278457927233357913693443\
         081149583904259/6294820139096160799246737829302322046639312103\
         014400000000*ep+321422096765785488362/819819*ep*z4+10156684231\
         17252716352553850461343/206933503833856800*ep*z3+
         29676437612360693322161686217750554983194540620277709417116473\
         56467609210603594187113/11796367724103998436957768076003651033\
         61191913185263243755520000000000*ep^2+228733664153182074816856/
         9018009*ep^2*z5+1015668423117252716352553850461343/
         137955669222571200*ep^2*z4-26842470375936118728471572188652617\
         6663129/323157724886157816767112000*ep^2*z3+
         49261105322577965546444045186243034333421059309600454088086268\
         28697118309320860806862136925184672388621604566638455382393246\
         3323/114242215865423510687397844490238081208312953487994802180\
         2990410597347149441676530044547037659136000000000000000*ep^3+
         1697824265826747359266510/27054027*ep^3*z6+4800613616995610736\
         049257330415999/43894985661727200*ep^3*z5-26842470375936118728\
         4715721886526176663129/215438483257438544511408000*ep^3*z4-
         12147207239364849432646766964224823391558525961787342517/
         519078127014168268431665791378368000000*ep^3*z3+
         247807674436678817612744/27054027*ep^3*z3^2;
Fill mncnoptab(16,1,1,11)=
      +mncF321*(-34926020493949376000-235709312242585997449964/819*ep-
         1120706344129613237947073653/1289925*ep^2-
         4216462596573027492086840348903/2979726750*ep^3)
      +1802880223724736676316180709038661148525118008685043278213/
      10491607849280260545914912240400000000+2472753464276560637/
         100614150*ep^-3+5352292259117923973262258449/39037042584540000
         *ep^-2-32812663757818651617927791253180914753/
         87088858664972462298000000*ep^-1+23121534372881076130989302756/
         50307075*z3-25436378639755497328602715027299404890485747533816\
         877224911282443361975339113663273211942277093243/
         15205568838577565273774913370303663411327919156764307645005824\
         000000000000000*ep+11560767186440538065494651378/16769025*ep*
         z4+6228505502684628553135461903595561943/813271720511250*ep*z3
         +1490356281008507255623759232537884441114957551948785186121328\
         877327478703918217285214616355842006019028512093/
         19539382994961613946143379468826722161615503335868648803062792\
         9509593088000000000000000*ep^2+35599822928311447067686324414/
         798525*ep^2*z5+6228505502684628553135461903595561943/
         542181147007500*ep^2*z4-35234313326625508519561397583718151835\
         566619163/1921077764668510197750000*ep^2*z3-
         36169369647880464106571951734959942938026004964328116645875025\
         57154739026525505368778594085353747139228739343519270618638946\
         79060380508355639/51661337333223132300103703261034290049388237\
         78628803513437892020900724801987464579448083313380556800000000\
         0000000000000*ep^3+1109833655055370044566624567663/10061415*
         ep^3*z6+956624926478353662491325394702514149007/
         9759260646135000*ep^3*z5-3523431332662550851956139758371815183\
         5566619163/1280718509779006798500000*ep^3*z4-74879303902215412\
         940379332396785360297659368220060323541319/5245803924640130272\
         957456120200000000*ep^3*z3+809253709081075511205891358142/
         50307075*ep^3*z3^2;
Fill mncnoptab(16,2,1,10)=
      +mncF321*(-218287628087183600000-1472418275487451282430000/819*ep
         -279815457810143633157973840/51597*ep^2-
         526008643339575484566660663718/59594535*ep^3)
      +331729976932243201725430751246218967778776739634617401651/
      308872935082810870471735016357376000-1370658880006786940/2012283*
         ep^-3-34074325596278682174004730041/7182815835555360*ep^-2+
         1299748830862055583354657831542180099/
         3204869998870986612566400*ep^-1+5780383673848380977830877720/
         2012283*z3-886998093493418583404667233231779435514632387925497\
         02000397737843111407823965610967194586716594274127111/
         84826546601330734514544420473244531889604496203883204843811740\
         05760000000000000000*ep+2890191836924190488915438860/670761*ep
         *z4+57287537368480397762170776456185816413/1197135972592560*ep
         *z3+2601426216631331386070177783002543583069671918984552059276\
         4397881529645296444492228842377705362877260925949907157257/
         54501689472421303820326381936885096793448163842321818822603124\
         9479345740185600000000000000000*ep^2+
         8899955747968851968131617880/31941*ep^2*z5+5728753736848039776\
         2170776456185816413/798090648395040*ep^2*z4-162354440758751998\
         180553653121525936305094504017/1413913234796023505544000*ep^2*
         z3-93348329970092968310471094987833633341827228917328342171428\
         79232734131204222970849618884223789445242018795058867022092349\
         2135591908713221521565159101649/
         56011770967543028868610954427719783913464227281390561468787015\
         90258017952767642218817430012872612634427392000000000000000000\
         00000*ep^3+1387292071120473232536152621800/2012283*ep^3*z6+
         2195955697941624693535713568095974611273/3591407917777680*ep^3
         *z5-162354440758751998180553653121525936305094504017/
         942608823197349003696000*ep^3*z4-34196683150564593959757909186\
         1689922570285309437669091123537/386091168853513588089668770446\
         7200000*ep^3*z3+202313426215384502350567521080/2012283*ep^3*
         z3^2;
Fill mncnoptab(16,2,2,9)=
      +mncF321*(-1227867907990407750000-920660881724318312352500/91*ep-
         175103512233200376102234700/5733*ep^2-
         65917074579975145038507049277/1324323*ep^3)
      +17459470350861240186316363318899257538913751676485966111/2890039\
      158669575396226760386969600-2198270514825722275/1788696*ep^-3-
         767327653847559069372357797/33603816774528*ep^-2-9716622243361\
         377792596374992320047001/59974175417468755322880*ep^-1+
         3612739768137364514821240400/223587*z3-
         28525010217054040724787811241251358032669498215064168345600148\
         233473906714225126902989375649513880264157/4850380832304811330\
         26634762939929746997088737228182067982809169920000000000000000
         *ep+1806369884068682257410620200/74529*ep*z4+15078902941371876\
         98091184997717751511/5600636129088*ep*z3+
         83580415913987643486526626453779159393684166596586217856899353\
         55312707821533235163569054788778575998832930830610109/
         31164058957589829344955955883339106678514869513478362939500162\
         413373895475200000000000000000*ep^2+
         11124944676692462957432335325/7098*ep^2*z5+1507890294137187698\
         091184997717751511/3733757419392*ep^2*z4-682551014714121367850\
         975711780612736934969553/1058367801484742740992*ep^2*z3-
         15172983035354914664450006666846493646345119982480986270452890\
         76160985755002626827052779533731952563667630919629831189911875\
         9720922237855858702066055056139/
         13184663783306424902405541536072311275103513582286173316932581\
         52110117806165881213647559657351084126293196800000000000000000\
         0000000*ep^3+3468230175476752186442973223375/894348*ep^3*z6+
         57882453406118149687046120110153359911/16801908387264*ep^3*z5-
         682551014714121367850975711780612736934969553/
         705578534323161827328*ep^3*z4-72263352715729347671027756898862\
         4324562978092122288237747/1445019579334787698113380193484800*
         ep^3*z3+252891783607746042777659833525/447174*ep^3*z3^2;
Fill mncnoptab(16,3,1,9)=
      +mncF321*(-520038172795937400000-390448378361173770990000/91*ep-
         8270084567961393931409310/637*ep^2-
         46839870799214364441941027471/2207205*ep^3)
      +97567630758573309842902318322507576577629168632333446749/3813246\
      1121334675366880866216960000+16516455306274115/24843*ep^-3+
         99592813449391896071464953/19705941935680*ep^-2-13354116115535\
         61390391425457394634761/237397777694147156486400*ep^-1+
         170011282520379291049652980/24843*z3-6420055245489582537205927\
         38433130548903187726170221161732641874301419146718947123843224\
         3465791776671968593/258040260278615962770169693884042625402451\
         208205392860166854478397440000000000000000*ep+
         85005641260189645524826490/8281*ep*z4+337280709136983226854495\
         3725035318639/29558912903520*ep*z3+
         18786719751497978873757545112892507540372741585813997282340911\
         16783495119940138158057139907254892925064151125076204469/
         16579279365437789211516568529936404752969910581170489083814086\
         403914912392806400000000000000000*ep^2+
         785290212127104970634552760/1183*ep^2*z5+337280709136983226854\
         4953725035318639/19705941935680*ep^2*z4-1613621022500132286140\
         02140468562780585453225807/593494444235367891216000*ep^2*z3-
         10932194834592038332688215240704253843774801721046069974248720\
         51474606740867004678234944926254551589921752811011156328688585\
         2512719978475030100614090512617/
         73834117186515979453471032602004943140579676060802570574822456\
         51816659714528934796426334081166071107241902080000000000000000\
         0000000*ep^3+40802707930372062730689887450/24843*ep^3*z6+
         43344295722389710356749713935138927673/29558912903520*ep^3*z5-
         161362102250013228614002140468562780585453225807/
         395662962823578594144000*ep^3*z4-20483204751932252563814459257\
         919891047613399075568446584931/9533115280333668841720216554240\
         0000*ep^3*z3+5950394916214616798440328920/24843*ep^3*z3^2;
Fill mncnoptab(16,3,2,8)=
      +mncF321*(-2600190863979687000000-1954678352422277243520000/91*ep
         -41491810303109292359466400/637*ep^2-
         5237629396107692811791109418/49049*ep^3)
      +22506941667561399843931770835240765890291618848592877/
      1759283096716709359487006515200-4660578546110593825/49686*ep^-3-
         6791771473676063504553528443/5911782580704*ep^-2-1409019734765\
         433629240515610685064950113/284877333232976587783680*ep^-1+
         850056470730535857254201300/24843*z3-3758984379649343143666082\
         02941848107282907183143389697998097459880374219041883987345183\
         8467774101775407807/302390930014003081371292610020362451643497\
         50961569475800803259187200000000000000000*ep+
         425028235365267928627100650/8281*ep*z4+50623352772543043497259\
         06297968550141/8867673871056*ep*z3+
         84525243509373266211016626140405578127151811499976691032310838\
         042754576727406067256811859063321119363884150401331079/
         14945263851055699409419983650784018707605087663314743765457409\
         6189136830464000000000000000000*ep^2+
         3926451089245453494257286350/1183*ep^2*z5+50623352772543043497\
         25906297968550141/5911782580704*ep^2*z4-1927957472326852990047\
         26177937530210438515321463/142438666616488293891840*ep^2*z3+
         14525179530213168315308143376420364771886192388035966116051881\
         26802970160597848507758792923840860933320809783868676193895580\
         82913341673799601547911012395197/
         11248166290133293744864727622961690556572685024887891611008108\
         61018944253385267410393074332677643645243883520000000000000000\
         00000000*ep^3+204013541008559968805372030125/24843*ep^3*z6+
         65319512620218542534536850342338691047/8867673871056*ep^3*z5-
         192795747232685299004726177937530210438515321463/
         94959111077658862594560*ep^3*z4-553220001890257033766769954070\
         35985741835017528276934453/50843281495112900489174488289280*
         ep^3*z3+29751973901821309090422342650/24843*ep^3*z3^2;
Fill mncnoptab(16,3,3,7)=
      +mncF321*(-4818000718550596500000-519117051719227775220000/13*ep-
         11081160612386676239266400/91*ep^2-
         12682465996080658210385107877/63063*ep^3)
      +58540379272303865032862920498992476710144800423334017653/2469530\
      815476912309474189431193600-450357552601514882425/241332*ep^-3-
         5901109483678459470224414856683/258429352813632*ep^-2-
         132485737949166622777442338005852327482377/
         1383689904274457712092160*ep^-1+3825256323393621004800903850/
         60333*z3-81074275158122899912958809506216281760976411109750213\
         116814438777717748880432786299227252386801028742940769189/
         35362547490544269966252488416419150084834257600437143690493292\
         4456960000000000000000000*ep+1912628161696810502400451925/
         20111*ep*z4+136905757194210365367709181785149165727/
         129214676406816*ep*z3+1688943006954167756018572897132886315663\
         16208793696008824685002436382089025832981972331044750615910329\
         4789403721003502523/162290719752208849004422027586620182487949\
         1703351029046048705438791697327718400000000000000000000*ep^2+
         17669031025586472630384844575/2873*ep^2*z5+1369057571942103653\
         67709181785149165727/86143117604544*ep^2*z4-171531130312761593\
         5099151403928678588393896246799/691844952137228856046080*ep^2*
         z3-85294407341964679649654961855972545191376192057103651637583\
         70760732880925636870104759289790906910344568769169285649347892\
         2855941928521648962202717093655594499/
         15475246858058021335864912435205894383809475403045469537127482\
         37069503770182238166077235503179533633208713216000000000000000\
         0000000000*ep^3+1836121976069611521166404161125/120666*ep^3*z6
         +66119413953505201501369695778873776567/4785728755808*ep^3*z5-
         1715311303127615935099151403928678588393896246799/
         461229968091485904030720*ep^3*z4-25748317047566592211554415133\
         68049528360737160379507819793/12347654077384561547370947155968\
         00*ep^3*z3+133883858631099231079944309925/60333*ep^3*z3^2;
Fill mncnoptab(16,4,1,8)=
      +mncF321*(-616341538128518400000-1394224206316151197460000/273*ep
         -267735395392554628585666720/17199*ep^2-
         170130345993569397746589540568/6621615*ep^3)
      +16968281985824979989221892220505529767423259291625968243/5595524\
      186282805624487953194880000-3024733488177413420/670761*ep^-3-
         3806267183512692758229862337/78074085169080*ep^-2-691663851034\
         6064640725953008256757551/34835543465988984919200*ep^-1+
         5440361161991159512764985760/670761*z3-
         10140378012124010980720269678786662984698511837513062199156819\
         2045314187095104700745786095427497861989537/
         34512008316815569069549700056671801546268737510486901729177632\
         76800000000000000000*ep+2720180580995579756382492880/223587*ep
         *z4+5290397596451833192653256313339436373/39037042584540*ep*z3
         +5911995407262493067227432282571299043081967709358853488471876\
         488962738544122185215814793417786288515892993049337/
         44348445992806586290996255833304751164958575348749185304020356\
         803950385561600000000000000*ep^2+25129286842384519702538431120/
         31941*ep^2*z5+5290397596451833192653256313339436373/
         26024695056360*ep^2*z4-276460363155037757464483878934265805613\
         25868271/87088858664972462298000*ep^2*z3-
         16538502004483022161255190397445555338299736481606266152072259\
         65469474739543834271134661213735529544360114334200379391741367\
         07641906868734678658889915833989/
         73816091278999740200674775025686094277508245475826788697240712\
         75436821662840817380704550308197036421912985600000000000000000\
         00000000*ep^3+1305686656320209385601355169400/670761*ep^3*z6+
         22977234588272829081010991943967977037/13012347528180*ep^3*z5-
         27646036315503775746448387893426580561325868271/
         58059239109981641532000*ep^3*z4-372330266260696896321264637835\
         2944033965717416428297240893/139888104657070140612198829872000\
         00*ep^3*z3+190412635643015934042545480240/670761*ep^3*z3^2;
Fill mncnoptab(16,4,2,7)=
      +mncF321*(-2696494229312268000000-873078119431700231720000/39*ep-
         12939374707926345654101200/189*ep^2-
         21470630768217044728602311792/189189*ep^3)
      +33936457692392466951633530822178256218915330293819899/
      2557953913729282571194492889088-61458927704932562150/95823*ep^-3-
         18306375490370807902968687319/2230688147688*ep^-2-147490816360\
         195596812496348933429416567/3981204967541598276480*ep^-1+
         3400226989375193809811103200/95823*z3-
         12483976736711636588205026266075554229439835842643489422481408\
         7883529812185733185626679753597853276946509429/
         97398320847456183263335596661394472002297778163706474850856992\
         7680000000000000000000*ep+1700113494687596904905551600/31941*
         ep*z4+661935153129118812408301793942800631/1115344073844*ep*z3
         +1816995028218260613019370240962858935620449105126185216968975\
         5357167612149630937872334495498326780202554492848880771831/
         31289574140697358257787445806588191784023251412237034529367132\
         205702604390400000000000000000000*ep^2+
         15705804924401965903350501400/4563*ep^2*z5+6619351531291188124\
         08301793942800631/743562715896*ep^2*z4-27456994940171962543363\
         36028949863419514676073/1990602483770799138240*ep^2*z3-
         19071261888950650840893709848418641838129128359054342371738292\
         29680094262560986749955052844143946577392406923734534312304796\
         51182260661328683950081389581333257/
         27776084104206704961808817191395195047863160979825201733305737\
         58842699074686068503215550903142752674989998080000000000000000\
         0000000000*ep^3+816054191057665225401373565500/95823*ep^3*z6+
         2892695139914730127932306915983066159/371781357948*ep^3*z5-
         2745699494017196254336336028949863419514676073/
         1327068322513866092160*ep^3*z4-3795694382784895181730562971599\
         3029091924893102600265111/31974423921616032139931161113600*
         ep^3*z3+119007883760703020225966678600/95823*ep^3*z3^2;
Fill mncnoptab(16,4,3,6)=
      +mncF321*(-4282667305378308000000-464014958271624066780000/13*ep-
         9998594457090865376164800/91*ep^2-1287153010464217750230095028/
         7007*ep^3)
      +4242013000030373960859984098468479559134887149109233987/20132044\
      6913878720881048051456000-678406377902622710050/60333*ep^-3-
         62101094086706908158446892793/468169117416*ep^-2-2898489455615\
         7695343207193722655144355/55704102426507959424*ep^-1+
         3400240636699541506145270800/60333*z3-
         87860047877530127068497821381385480421043627938365603170837108\
         2592582015760218792338237962611664631461830441/
         43144190594053568059979744075045546909181103993434847004816572\
         41600000000000000000000*ep+1700120318349770753072635400/20111*
         ep*z4+73690503457644996564219408011701813/78028186236*ep*z3+
         66060547226923214980722093172895713833475884050992596138888193\
         277210103345526739982883115987270140514525569039278871/
         72001206633633029726895309488296442984893154540861980747502459\
         573722152960000000000000000000*ep^2+
         15705811823791365571120628600/2873*ep^2*z5+7369050345764499656\
         4219408011701813/52018790824*ep^2*z4-1353836289625575645818253\
         0971401637938391242861/6266711522982145435200*ep^2*z3-
         69042408790200429389303806359681687323012177063572218536278860\
         91956534560133554881058726719663355004728393782341667557835968\
         00535160591265548930804835518161667/
         51676270758158035532263189738991111603078069649455407204336414\
         34499950089715688161722197126688799810893381632000000000000000\
         00000000000*ep^3+816054519157297838718469824500/60333*ep^3*z6+
         2934008285078073660019185995135294953/234084558708*ep^3*z5-
         13538362896255756458182530971401637938391242861/
         4177807681988096956800*ep^3*z4-1970625866151272877849113324469\
         25301976778094544385083967/100660223456939360440524025728000*
         ep^3*z3+119007733044358214789256524200/60333*ep^3*z3^2;
Fill mncnoptab(16,4,4,5)=
      +mncF321*(-3172346152132080000000-345810146932079264600000/13*ep-
         203250383203163015867876000/2457*ep^2-
         79534001401744210923978642820/567567*ep^3)
      +1336452659993475763683387910811675293520880989721569/
      85627789330099644987213254400-71488943180139626137000/1628991*
         ep^-3-799369265836159128954727856845/1580070771279*ep^-2-
         8718508616511288554752623338569913980/4597858997840161053*
         ep^-1+68006083943063510959935520000/1628991*z3-
         19826965465919835315189884221553616273458218955001881723638412\
         06776051135297092324981652419410456210081885603/
         13289502871186052056824256265208144830739050497638817066920299\
         200512000000000000000000*ep+34003041971531755479967760000/
         542997*ep*z4+123191459374358546778866631441178385/175563419031
         *ep*z3+1242840688351371154788434562673569103947867747022878369\
         92292436878988567692818015432947207609554409386400662640948441\
         09/18562184367064507767608304516443057807991061543887685082280\
         406601118850744320000000000000000000*ep^2+
         314116880862889667795139860000/77571*ep^2*z5+12319145937435854\
         6778866631441178385/117042279354*ep^2*z4-143895481399225570623\
         280741531490499054297199/91957179956803221060*ep^2*z3+
         11274606653640372675034512374334833136036044071010736041435372\
         92439519869349210525384889126274415722553290031829777792909853\
         1982317598644591975989578090572036266591/
         18813602128551187932588828502901791871908718228717635974281975\
         45331862149334481967070923983555475537680603977529425920000000\
         000000000000000*ep^3+16321121035444048781845003850000/1628991*
         ep^3*z6+14995281282796581299641913709051408005/1580070771279*
         ep^3*z5-143895481399225570623280741531490499054297199/
         61304786637868814040*ep^3*z4-218839431990850151133485760228966\
         48812630173292406233/14271298221683274164535542400*ep^3*z3+
         2380140701978063417820403708000/1628991*ep^3*z3^2;
Fill mncnoptab(16,5,1,7)=
      +mncF321*(-397378096951281600000-129338810312862218915000/39*ep-
         3591342658639796702495920/351*ep^2-30107077434569127443469554/
         1755*ep^3)
      +81187810924478433710180348672264543892734021738735473/
      41525225872228613168741767680000+73468270902666805/13689*ep^-3-
         11358307241750559209007643/579399518880*ep^-2-1906934145263314\
         46064644153205264677/258519803087116771200*ep^-1+
         71583695641409199402008360/13689*z3-11114428278923550868304887\
         30777311626164190267739639661001373322173204946006822246620730\
         98044974140737717/59063704770469055739865318092040962613638302\
         79315144830605905100800000000000000000*ep+
         35791847820704599701004180/4563*ep*z4+254031725300001027520971\
         97339479047/289699759440*ep*z3+8042427126439861871875048361906\
         85730939327674241409178828018750115761298338458577765827364292\
         95135187205518730134951/94872178152551756816614996031637666050\
         6827448067828452202385349677280133120000000000000000000*ep^2+
         2314539565551964454348087740/4563*ep^2*z5+25403172530000102752\
         097197339479047/193133172960*ep^2*z4-1289214853984042079184265\
         17544009779471861629/646299507717791928000*ep^2*z3-
         44487229795171634401021414180336414274016880481595878686829156\
         09447221116554887788515133327554045905681999404794626618282431\
         665607614668693624869207946536083/
         12632854578006548029277479538943587252089367675955485336430597\
         85362860220556929115165090206677170312823439360000000000000000\
         0000000000*ep^3+17180087502536210409105637150/13689*ep^3*z6+
         112857510895561330253410533575400143/96566586480*ep^3*z5-
         128921485398404207918426517544009779471861629/
         430866338478527952000*ep^3*z4-27291257278795933109495635422990\
         24490294034133603652201/14830437811510218988836345600000*ep^3*
         z3+2505429469708903916158612940/13689*ep^3*z3^2;
Fill mncnoptab(16,5,2,6)=
      +mncF321*(-1490167863567306000000-162079693743983597890000/13*ep-
         4519444024391683452705200/117*ep^2-5925807487091249383749750/
         91*ep^3)
      +1068247307530227883198829782088474072055721885735129/
      145702546920100397083304448000-9576202877065698775/4563*ep^-3-
         71601527051251814068667693/2759045328*ep^-2-382134496552183405\
         6693590946500598279/34469307078282236160*ep^-1+
         89479835260811550188873800/4563*z3-372465637905868790096960638\
         43100539869509533102837809440417526406968089783261610752054276\
         56330173891514261831/52788186138606718567504628044761610335939\
         233121379106923540276838400000000000000000000*ep+
         44739917630405775094436900/1521*ep*z4+317937258171554160028174\
         4926588057/9656658648*ep*z3+8880345865819367916700725674716116\
         11940504859114275569809710529144574716122083831330999531137851\
         642102676434453058669/2803041627234483724127261246389294678770\
         172005654947699688865805864691302400000000000000000000*ep^2+
         2893175218081368166368286700/1521*ep^2*z5+31793725817155416002\
         81744926588057/6437772432*ep^2*z4-2776902469842837689800283181\
         992244564737531/3746663812856764800*ep^2*z3+
         34967417945656125485116111624476242646423033709622657311381710\
         55958028476725484134775253601650369179230788261288880403833757\
         2446510134350524924853753319830065503/
         45162455116373409204666989351723324426219489441540860077739387\
         32672225288491021586715197488870883868343795712000000000000000\
         000000000000*ep^3+21475114547458232372289965750/4563*ep^3*z6+
         14235586868535939851045422897499293/3218886216*ep^3*z5-
         2776902469842837689800283181992244564737531/
         2497775875237843200*ep^3*z4-4250133847629279235189458419461078\
         3096398858759448657/60181486771345816186582272000*ep^3*z3+
         3131784440249602999490487100/4563*ep^3*z3^2;
Fill mncnoptab(16,5,3,5)=
      +mncF321*(-1972280995897905000000-215458368830534473875000/13*ep-
         672437918945846624329000/13*ep^2-72092347414045422267064955/
         819*ep^3)
      +59172086689625552927172460052410183639195556524829/
      6098078737310324361244876800-133115462879368688125/5746*ep^-3-
         19729493548302487514875922455/72961420896*ep^-2-10015639276444\
         74844010197117270715645/964573202190614016*ep^-1+
         74567813774902217322228500/2873*z3-266046189489013549813520667\
         36923985792537979671380672325252972171765257361141047915236282\
         778685789232874734752583/2874549003266145695562324017400666633\
         87736937608482644005723165106896896000000000000000000*ep+
         111851720662353325983342750/2873*ep*z4+22759722957023067944165\
         42719764575/5211530064*ep*z3+127559515387552384633713482836796\
         81812212617359984039168891046105921952758356450375164638236391\
         47082112299421140556579941239/30781986580525623218934966187768\
         54364471719498372191811028403711800711295491112960000000000000\
         000000*ep^2+7232951722143400746387270750/2873*ep^2*z5+22759722\
         95702306794416542719764575/3474353376*ep^2*z4-6981115656967027\
         721069946805291839916395709/7234299016429605120*ep^2*z3+
         62024892728388559311981227507333361584973529299873103086380528\
         83139007663372831729703243056790912844228264929750876810581295\
         615370768980556529208986842538531048491/
         49185887917780883483892362099089651952702531316908852220345033\
         86488528494992109717832481002759413170406807784390656000000000\
         000000000000000*ep^3+17895959770921246322662605625/2873*ep^3*
         z6+3805385400196465378900488481689575/640012464*ep^3*z5-
         6981115656967027721069946805291839916395709/
         4822866010953070080*ep^3*z4-9238592808273767720314106109496864\
         0363284365395662917/95074591222610966177590579200*ep^3*z3+
         2609806273097933285552701250/2873*ep^3*z3^2;
Fill mncnoptab(16,5,4,4)=
      +mncF321*(-1168759108680240000000-128511366789059962400000/13*ep-
         10946477614904177525729000/351*ep^2-56661301497580418451039560/
         1053*ep^3)
      +456721900833912259264207368909266916820713548153/
      79432086577086869190364800-12888531463333104964000/232713*ep^-3-
         1856155204637130754131809090/2931485661*ep^-2-5576173760575296\
         99429185985974858219/238849818069618756*ep^-1+
         3579468736276099805136724000/232713*z3-
         81115715384961149948857030049580968648173564299355110842073462\
         1837707881375854058433154625884434693587154809/
         14808303199321600863318456981231932811394941983083253303139761\
         966284800000000000000000*ep+1789734368138049902568362000/77571
         *ep*z4+31158509743950150057648171147980/120002337*ep*z3+
         50385079297060962540332286072860891113793619398131683349772310\
         62865652209553756492980130084172556699202648379879892949/
         20683576866157594369620682175465121557475754291760563377398167\
         355532433686528000000000000000000*ep^2+
         115727984629762928540108156000/77571*ep^2*z5+
         15579254871975075028824085573990/40000779*ep^2*z4-133204186581\
         2341902701978009355229893050089/2388498180696187560*ep^2*z3-
         17177638715649976651336664826973210331144425696694658355197297\
         50559528421776864235009519558452575342632549348906687988371325\
         86593099589765176482214516193608453545653/
         35638337746369821712303980849782537174501371958970836145568427\
         78728641728596461554765778860277943661377829820291455385600000\
         0000000000000000*ep^3+859011212882531714537969360000/232713*
         ep^3*z6+73981661073771165006185818704136660/20520399627*ep^3*
         z5-1332041865812341902701978009355229893050089/
         1592332120464125040*ep^3*z4-5122326278442030158656354215013499\
         948174171822077/8424615243024364914129600*ep^3*z3+
         125268347383995062530458076000/232713*ep^3*z3^2;
Fill mncnoptab(16,5,5,3)=
      +mncF321*(-322946595819540000000-35830676638241053800000/13*ep-
         1032490922947483648376750/117*ep^2-38120451089309179864035260/
         2457*ep^3)
      +23672716776989550728986524181259905949463541867869013/
      14902942174144268948337323289600-51902188379590619636500/1473849*
         ep^-3-210708857054079063469170903185/519850123884*ep^-2-
         76638019338421831061968897206682825547/50607209937659828544*
         ep^-1+6264714162992291519760445000/1473849*z3-
         12489527107027570601183893424738263017465799493650015292843567\
         17842704931581951898335149110689341456966133190795671/
         83071591645388344456055601778861865052422097599475399291213937\
         484242133975040000000000000000*ep+3132357081496145759880222500/
         491283*ep*z4+2471195212274873002179767437885/34286382*ep*z3+
         17673020287772111143464426160875377800376998192620747186391017\
         63824274585252427044133334750624667274926430364989949978615441\
         57/26687058905718299562120047635809694283660466535037391344072\
         95166019862671851930202931200000000000000000*ep^2+
         202526258069492683484290385000/491283*ep^2*z5+
         2471195212274873002179767437885/22857588*ep^2*z4-1034129146556\
         72883933686366350124072009447071/695849136642822642480*ep^2*z3
         +2431014083185686065416402187110266315680975447083453747709618\
         91611209834421260630225866590387062884236929040487759345198827\
         1270334458393025003791116975554631046401/
         40725768047005809188501760572198400745302768177675260215840707\
         50650569716815310083266969452890104409345523717075443384320000\
         0000000000000000*ep^3+1503285150113714397332776775000/1473849*
         ep^3*z6+267141274132718164147697322610999295/259925061942*ep^3
         *z5-103412914655672883933686366350124072009447071/
         463899424428548428320*ep^3*z4-40667060173141932938639559756479\
         347891908401545013621/225802154153701044671777625600*ep^3*z3+
         219212539423778254612593841000/1473849*ep^3*z3^2;
Fill mncnoptab(16,6,1,6)=
      +mncF321*(-143056114902461376000-15686381521585548034800/13*ep-
         738886553272884405712664/195*ep^2-73921736309163457714177146/
         11375*ep^3)
      +5799092453987433643047590873160258277799952747029027/
      8239132117505677216020192000000-54386164978503754/7605*ep^-3-
         151131165270952205181654299/804721554000*ep^-2-829579167080200\
         36659477561498631343/51293611723634280000*ep^-1+
         14316741462705829577166352/7605*z3-130940323635796836040902582\
         42624882840526060930993523248021382106458857989738384381249508\
         904331928896017/1949702165784181664543107222336532237707820244\
         556938390527803392000000000000000000*ep+
         7158370731352914788583176/2535*ep*z4+1276908715294617059344420\
         2843262171/402360777000*ep*z3+61512247096136561146196177335916\
         72261179504185307002601182589947661180079471544044769961548080\
         7760375697422303336549/205556385997195473102665824735214943109\
         8126137480294979771834924300773621760000000000000000000*ep^2+
         462907920401095616245049768/2535*ep^2*z5+127690871529461705934\
         44202843262171/268240518000*ep^2*z4-12145758455662390314583336\
         74584329045040347/17600749120854900000*ep^2*z3+
         45792943543125473092761866719177921892623225739868170029667486\
         78639155922041488163480988050587733929609735170749717706634375\
         0816119640400706168148311014952695110999187/
         27334974195375631910075355503601664643598757521112677989841423\
         00783863272500068899224072782229128098260839183142617088000000\
         00000000000000000000*ep^3+687203509870290509578991476/1521*
         ep^3*z6+8373032500492714491191053960536157/19160037000*ep^3*z5
         -1214575845566239031458333674584329045040347/
         11733832747236600000*ep^3*z4-617377451275711124933394288701437\
         116633887233815372763/8481459532726432428256080000000*ep^3*z3+
         501085861748625980299310728/7605*ep^3*z3^2;
Fill mncnoptab(16,6,2,5)=
      +mncF321*(-447050359070191800000-49166101666322012064000/13*ep-
         35805158691158703907940/3*ep^2-84350446874698536705255406/4095
         *ep^3)
      +4059154974643775601893767809531943918212935782097579/
      1845565594321271696388523008000-8338379615774269985/3042*ep^-3-
         2181854746639268049551105831/64377724320*ep^-2-526467465730718\
         92961143320879460789/364754572256954880*ep^-1+
         8948053414411175512217440/1521*z3-1059275825841335886046398541\
         89490972881986007380592619635022472506114802173269757489030051\
         458194953872463836589/5072733535175551227462924736589411706842\
         416546032046658924526443062886400000000000000000*ep+
         4474026707205587756108720/507*ep*z4+31970576209319579318624283\
         61728859/32188862160*ep*z3+52345395787810469824316699011696848\
         52286533712324447995559760681195797470099623342496436085070234\
         0001140215540826305403/563887399195462261287227143679863408920\
         119590583141182561686004604241841225728000000000000000000*ep^2
         +289317770522685264833041910/507*ep^2*z5+319705762093195793186\
         2428361728859/21459241440*ep^2*z4-4898360294169300925996081253\
         27241675752977/2297953805218815744*ep^2*z3-
         22956216926501104432215550494248840783344582848230127175612927\
         29529431065482944426721407412622978678655462279385574678289654\
         48445646509336855466597751086131788675377506546907/
         37431638943973138317436069415256004309675543389171025633593169\
         74139797281736874348392670097655536685659248830541639276560384\
         0000000000000000000000000*ep^3+2147513145384111547467270725/
         1521*ep^3*z6+14806874955979797519122677113653851/10729620720*
         ep^3*z5-489836029416930092599608125327241675752977/
         1531969203479210496*ep^3*z4-3072794239833359383123079497809212\
         4202572739187006233/131826113880090835456323072000*ep^3*z3+
         313177681382789614369309870/1521*ep^3*z3^2;
Fill mncnoptab(16,6,3,4)=
      +mncF321*(-473347439015497200000-52307608776674842206000/13*ep-
         166374479347253877329960/13*ep^2-91362663294797923406415374/
         4095*ep^3)
      +1739489890490210445785555974043981346713484681750491/
      747014645320514734252497408000-162816560868883142705/8619*ep^-3-
         40014201649299043136658314993/182403552240*ep^-2-7761151830848\
         181127440314690099920663/9301241592552349440*ep^-1+
         53691361773334406608819640/8619*z3-133050194578850682518842158\
         05318819232530939712045214343328202497717677491010690269913866\
         90977113058786427488977/60057541675381972567998555363549642172\
         080753036057980979767161281262387200000000000000000*ep+
         26845680886667203304409820/2873*ep*z4+961456509624873823328852\
         4144334027/91201776120*ep*z3+189112905309828898236096317611384\
         14667202235553575430904735301667275626020561964288627100073345\
         3790795334027042795776908931/192937094460080245532967377355477\
         83605885241855868559386981601836465172584238940160000000000000\
         00000*ep^2+1735917394176951317180121460/2873*ep^2*z5+961456509\
         6248738233288524144334027/60801184080*ep^2*z4-7208892018178556\
         831854972008448713097840511/32554345573933223040*ep^2*z3-
         24548228252234043896751860054597425317608025560011625581909849\
         86113620643546319211323906111388063093061252966795316110091897\
         405005420650028649025831066348599734267/
         10276337297107791727884654224274087997261064578711313767464944\
         57534210417703708637475714780933663108817136626381619200000000\
         000000000000000*ep^3+12885152051893798862328861850/8619*ep^3*
         z6+6452335667361253290343225517447729/4342941720*ep^3*z5-
         7208892018178556831854972008448713097840511/
         21702897049288815360*ep^3*z4-669980550136246498720859597344127\
         016624682741287980593/2614551258621801569883740928000*ep^3*z3+
         1879032556896945354641869220/8619*ep^3*z3^2;
Fill mncnoptab(16,6,4,3)=
      +mncF321*(-210376639562443200000-23407160655501974736000/13*ep-
         225864715528612229415280/39*ep^2-41935117074008508578453944/
         4095*ep^3)
      +58811951614209313670642360526014877019077552280091/
      56838070839604381953994368000-586561649681436247940/25857*ep^-3-
         11953905412329305195999210677/45600888060*ep^-2-42781684259192\
         829406331754697724977/43328765182697280*ep^-1+
         71596584966778035181603520/25857*z3-
         18512014269489669479754912945394570163762086399405312239175675\
         12492308933400769037348626434017713513491367211133/
         19009517538990467838914325349853973696206429656630526153595866\
         7011995729920000000000000000*ep+35798292483389017590801760/
         8619*ep*z4+153149266842496754576255712610579/3257206290*ep*z3+
         26109047534761641933464365726798091680872796116537797006921299\
         6430384173035690574156409705191826814339350277872873416190911/
         61068784681277573368695761180342549848193287265531787972706983\
         20411585061446064537600000000000000000*ep^2+
         2314585284252037531416951280/8619*ep^2*z5+15314926684249675457\
         6255712610579/2171470860*ep^2*z4-46724915283905924700668058426\
         8935244425165/4883151836089983456*ep^2*z3+
         11511529165407470671429623396068853186635740185081583154699874\
         83440294762623223163008934223531300976552104947378323538863833\
         15987800231583087145967870626800101037843691/
         73510011324845485585245677832818113345271496560703844689592477\
         04924278338851634700296879862466638458868670309321175308697600\
         0000000000000000000*ep^3+17180398169473336397673125800/25857*
         ep^3*z6+15413040901532657697851105465376551/22800444030*ep^3*
         z5-467249152839059247006680584268935244425165/
         3255434557393322304*ep^3*z4-8700364023082479170483727696122731\
         799911837668082753/72626423850605599163437248000*ep^3*z3+
         2505287820315576364177046960/25857*ep^3*z3^2;
Fill mncnoptab(16,6,5,2)=
      +mncF321*(-38753591498344800000-4351949307283123854000/13*ep-
         42629065572324457497920/39*ep^2-8066151020239106422304666/4095
         *ep^3)
      +1182926779317633402094724741058326249665972467120097/
      6209559239226778728473884704000-2490250453986662376790/491283*
         ep^-3-7540530394592809782330308851/123773839020*ep^-2-22905555\
         8980592595863346935682971272661/927798848857096856640*ep^-1+
         250597887455004334372106320/491283*z3-
         44156685730543380317388176319260678707983104626053527955976333\
         560730333294822843303871154378042910106778424777009/
         24921477493616503336816680533658559515726629279842619787364181\
         245272640192512000000000000000*ep+125298943727502167186053160/
         163761*ep*z4+44091995043263188539041282399201/5066765340*ep*z3
         +1234523454823539650655015092965074369344253244794027986100034\
         318580715889406104515640080261749729896288543261525617982662143
       /160122353434309797372720285814858165701962799210224348064437709\
         961191760311115812175872000000000000000*ep^2+
         8101083115973225495717255480/163761*ep^2*z5+
         44091995043263188539041282399201/3377843560*ep^2*z4-1122504302\
         065949948989018819533671541751463/66271346346935489760*ep^2*z3
         -6919452709543142906455911660268032752187188921115015070480454\
         36295092815150298465681003775385631154431091665981527538545308\
         46052855228464305238252928042169526727513/
         53557293965244568069250422421053196865840661779941372559560233\
         27873402789734762424502012471225693734318602653933999153479680\
         0000000000000000000*ep^3+60131628651161680381949150300/491283*
         ep^3*z6+111305647670180157182306477061181607/866416873140*ep^3
         *z5-1122504302065949948989018819533671541751463/
         44180897564623659840*ep^3*z4-145989546685341538369326199879568\
         956028727951966807941/6209559239226778728473884704000*ep^3*z3+
         8768397371853815627642422360/491283*ep^3*z3^2;
Fill mncnoptab(16,6,6,1)=
      +mncF321*(-2325215489900688000-264339061410781055160/13*ep-
         4401152951156020666596/65*ep^2-284499658690295739862033/2275*
         ep^3)
      +88677319563114533944493229076432771579826175322486319/7761949049\
      033473410592355880000000-8670696598563401809/818805*ep^-3-
         1486809451920784715619412489/3094345975500*ep^-2-5344193033955\
         543739077274026565779243163/1159748561071371070800000*ep^-1+
         25054436352295851306489904/818805*z3-
         23681662079647095967073718585573095491240540494912377248132277\
         6153365845705446053033349460416942387883337308537823/
         22429329744254853003135012480292703564153966351858357808627763\
         12074537617326080000000000000000*ep+12527218176147925653244952/
         272935*ep*z4+1197759699381069444009505212762407/2280044403000*
         ep*z3+32624572421003697320436621468139811843094503874279174155\
         72300167597531413954461128602275252510434541441793839287687473\
         2312053/720550590454394088177241286166861745658832596446009566\
         28996969482536292140002115479142400000000000000000*ep^2+
         810089413231201020623136156/272935*ep^2*z5+1197759699381069444\
         009505212762407/1520029602000*ep^2*z4-113731743665519642585338\
         13943219624522043507/11834168990524194600000*ep^2*z3-
         30096824093753155557075173480041391872300420567585012936190134\
         20329073614288890868898310795471299327946629573471879949737150\
         2640381042719909905616029746423917954468654407/
         33131056196922356155491776113718749691898945447424820502520532\
         08446434550396705489516220134019937910709337060309049642734403\
         4529280000000000000000000*ep^3+1202606901670653605281459282/
         163761*ep^3*z6+115863437445629119641159675512448967/
         14440281219000*ep^3*z5-113731743665519642585338139432196245220\
         43507/7889445993682796400000*ep^3*z4-1181398919635250129665494\
         2385995737179565088743205221907/776194904903347341059235588000\
         0000*ep^3*z3+175379826058412540585302172/163761*ep^3*z3^2;
Fill mncnoptab(16,7,1,5)=
      +mncF321*(-28384149782234400000-9478470943009802437000/39*ep-
         1921833860368747802929100/2457*ep^2-
         356983613111224810330769641/257985*ep^3)
      +28994353433465564858056127080405763904081163815412873/2076261293\
      61143065843708838400000+481758174683173685/95823*ep^-3-
         354303660504133583012302709/4055796632160*ep^-2-13511229550318\
         168122897352244930240683/9048193108049086992000*ep^-1+
         35791832070799972472080600/95823*z3-16679778747933784334615697\
         43620198460043565988186214898924573707710373122153717439238829\
         22542892026512869/12681833837938878068657311841473529267106041\
         3650801166473113161076572160000000000000*ep+
         17895916035399986236040300/31941*ep*z4+18379714869155057770294\
         60710784363/289699759440*ep*z3+5016570573746061383606547130563\
         36797764546029551731440541483681709886194916225316526039093634\
         62751112596870569221999/86913844462660583206404610412522946761\
         55443289521482760550786950966714246092554240000000000000*ep^2+
         1157269734159085734552130700/31941*ep^2*z5+1837971486915505777\
         029460710784363/193133172960*ep^2*z4-1767209102276731969949889\
         047133871312695863/137093834970440712000*ep^2*z3+
         23723106223396778926478125306053977691285244237614799803716238\
         57876256071660720968269966203615603792333202746378336755975628\
         2909409863918098549029997680956731782582794595899759/
         21969967739900000078447923215670354407420931602783989854701614\
         02582195387310791931447938250618143288216465508540163254045163\
         78414887731200000000000000000*ep^3+
         8590043426016143077960778750/95823*ep^3*z6+3631662798250553286\
         269563652036957/39762712080*ep^3*z5-17672091022767319699498890\
         47133871312695863/91395889980293808000*ep^3*z4-117976258246851\
         69013415457722465322284620724604131030957/72669145276400073045\
         2980934400000*ep^3*z3+1252714955778748601395333660/95823*ep^3*
         z3^2;
Fill mncnoptab(16,7,2,4)=
      +mncF321*(-70960374455586000000-23775552284587134790000/39*ep-
         4846958112305705659650200/2457*ep^2-
         181306974289366569465540902/51597*ep^3)
      +579794920512693907731159444680972978478564272164601/
      1661009034889144526749670707200-161479872128906748175/95823*ep^-3
         -8341398698462332100605534571/405579663216*ep^-2-6208740732989\
         2013282318174987328074999/723855448643926959360*ep^-1+
         89483199669666541858959400/95823*z3-14634235394239393361855177\
         11904637497118766082570926698766158291343686053021671872180390\
         1733612517133926089/446247987680856762115159544496963285489144\
         9141998116233790748825852313600000000000000*ep+
         44741599834833270929479700/31941*ep*z4+46028184290829444454993\
         6376701927/28969975944*ep*z3+390245516571115409309346311818378\
         86337824392875679301780576625234366652639754838706220470016949\
         939370222734917298828529/2723817804142309348700715915606745920\
         830857673769678972279755553383318482480791552000000000000000*
         ep^2+2893187119133141136630589100/31941*ep^2*z5+46028184290829\
         4444549936376701927/19313317296*ep^2*z4-3833045685947664858431\
         664722292212150185379/120642574773987826560*ep^2*z3+
         60289428987883145942324021308408274849554178993684041363841255\
         95221196132561027840500469953081174847244548480853267990455540\
         367142203597141364393255458923031950495831/
         22906841485164339630676796974618908162050545022729048704179932\
         57793298630732732520493977908731992375140279114342578857705472\
         000000000000000000*ep^3+21475195394324392170082019750/95823*
         ep^3*z6+15610502308280656268600456844643621/67596610536*ep^3*
         z5-3833045685947664858431664722292212150185379/
         80428383182658551040*ep^3*z4-219592777730699362203991311336286\
         21554327107374905377/528502874737455076693077043200*ep^3*z3+
         3131747251527022774870968700/95823*ep^3*z3^2;
Fill mncnoptab(16,7,3,3)=
      +mncF321*(-56350885597083000000-6325615208519014815000/13*ep-
         144470130894729281601300/91*ep^2-5460640008863755921526803/
         1911*ep^3)
      +579644428979549243202498635695961794015401727135289/
      2091641006897441255906992742400-686876842010191249175/120666*
         ep^-3-1263026161572668368495640753/18915923936*ep^-2-236130809\
         922660458074483961120526377287/911521676070130245120*ep^-1+
         44747345086791605259921700/60333*z3-11231363165553975040783730\
         36987636573632215754135411134042721964420163998010499054167735\
         40762991990935864533779/43721890339678076029502948304664139501\
         274788210250210153270493412759017881600000000000000*ep+
         22373672543395802629960850/20111*ep*z4+15383568385113890403915\
         6584291429/12160236816*ep*z3+122332190049084226501751173990035\
         01433586291709660945115079436325570253568793258475369183652146\
         2400381208944074341918351/109732972474170639646875195870928019\
         25847231305525243151345786044489566907285897216000000000000000
         *ep^2+1446613970447197226745202550/20111*ep^2*z5+1538356838511\
         38904039156584291429/8106824544*ep^2*z4-1124649019172685521245\
         3208000300824846384889/455760838035065122560*ep^2*z3+
         37541498912698098380149584299703175551763873156377434395243216\
         38128505457839257165798300298797734547304231657243570875584055\
         91705825399111021616602683843906673779555783903/
         51619727369296716665277037166414640183214961355402411189750324\
         80017746043406419201407427771470891310991530507270142227947831\
         95136000000000000000000*ep^3+10737736415637000187439214875/
         60333*ep^3*z6+15879687245168410500081834804733901/85121657712*
         ep^3*z5-11246490191726855212453208000300824846384889/
         303840558690043415040*ep^3*z4-99974805616440495433804536699848\
         17267753507329977539/292829740965641775826978983936*ep^3*z3+
         1565810700909278418351128350/60333*ep^3*z3^2;
Fill mncnoptab(16,7,4,2)=
      +mncF321*(-16696558695432000000-1887558411993490060000/13*ep-
         1177298730826862258674400/2457*ep^2-45141822947424570334372124/
         51597*ep^3)
      +417979338750599253618593380883079769288878767623/
      5093281672639873188085209600-3955189867375713633700/1628991*ep^-3
         -4193612078826931929293021203/143642797389*ep^-2-3038934043565\
         8332321831675046510726033/256365471394724131440*ep^-1+
         358005881149052735462221600/1628991*z3-
         99885285785342357865416998777708729666637987701800012547000883\
         2050354857990254451700959168721233468131118743939/
         13116567101903422808850884491399241850382436463075063045981148\
         02382770536448000000000000000*ep+179002940574526367731110800/
         542997*ep*z4+154396923844587870624432853429639/41040799254*ep*
         z3+13879921200014231621619784786291612560211184249451190737743\
         49920592272331803293805628990611482348282593486854881849046743\
         21/42137461430081525624400075214436359395253368213216933701167\
         818410839936923977845309440000000000000000*ep^2+
         11573007249505343322093472400/542997*ep^2*z5+15439692384458787\
         0624432853429639/27360532836*ep^2*z4-4538821251155363566972532\
         1599531036526793/6409136784868103286*ep^2*z3-
         22229399734831320040843843992700368722854565430478436709984890\
         73426526371711753183343574266269068443335428823831380551672700\
         01218655095383667363182639637099194971353/
         13389323491311142017312605605263299216460165444985343139890058\
         31968350697433690606125503117806423433579650663483499788369920\
         000000000000000000*ep^3+85902539668417443077045489000/1628991*
         ep^3*z6+16255557334226246667259571219808641/287285594778*ep^3*
         z5-45388212511553635669725321599531036526793/
         4272757856578735524*ep^3*z4-4356167460698362959801144592183542\
         8708509213986274049/4117918232329337472566891961600*ep^3*z3+
         12526182870754618608389822800/1628991*ep^3*z3^2;
Fill mncnoptab(16,7,5,1)=
      +mncF321*(-1537840932474000000-175501144824647257000/13*ep-
         15874726915096774835660/351*ep^2-238565493624019225408477/2835
         *ep^3)
      +7036797153668648070591003339003467933971000242132421/93143388588\
      4016809271082705600000-36889611054771859285/4421547*ep^-3-
         1127722957415124271037290925/3119100743304*ep^-2-4769118329328\
         62882740102806816033051797/139169827328564528496000*ep^-1+
         89480187663495282212781640/4421547*z3-
         24968188194629273252930863107354180604984529054873479265070172\
         25041175914823396785737293842026841862379375668552131/
         35886927590807764805016019968468325702646346162973372493804420\
         993192601877217280000000000000000*ep+
         44740093831747641106390820/1473849*ep*z4+
         429686233753285448145213912163/1234309752*ep*z3+
         34249224895008775216019960430256272562804559049383610525470445\
         67593853601924925286287479729547798452661693059941934528432951\
         89/11528809447270305410835860578669787930541321543136153060639\
         51511720580674240033847666278400000000000000000*ep^2+
         2893176768714210591592575860/1473849*ep^2*z5+
         429686233753285448145213912163/822873168*ep^2*z4-4342091020038\
         6461703058582922374181796949933/69584913664282264248000*ep^2*
         z3-17530465649715391409170086392062853894873979051982820097147\
         85980199070110823479765996672050733158272492995540860270912308\
         26264368050187419879371882072981460358089012060713/
         69749591993520749801035318134144736193471464099841727373727435\
         96729335895572011556876252913726185075177551705913788721546112\
         53248000000000000000000000*ep^3+21475125296197841231412364850/
         4421547*ep^3*z6+16758285922838750702641099194488105/
         3119100743304*ep^3*z5-4342091020038646170305858292237418179694\
         9933/46389942442854842832000*ep^3*z4-2877542666752974003531822\
         346352104175614777762580626631/2794301657652050427813248116800\
         000*ep^3*z3+3131782551762703528328090980/4421547*ep^3*z3^2;
Fill mncnoptab(16,8,1,4)=
      +mncF321*(-2949002574777600000-7040359582818748516000/273*ep-
         1476437922193306891789400/17199*ep^2-
         3145427924220865989965092388/19864845*ep^3)
      +57980487180794212937858592739088523787928828899021601/3996802990\
      202004017491395139200000-2409681192565337020/670761*ep^-3-
         7630576283473602650674888393/78074085169080*ep^-2-143266785340\
         195409371389393643536800771/174177717329944924596000*ep^-1+
         26030510132605184052301600/670761*z3-4524866838649246329813852\
         88590198576849230329944050629589511142463515587760116715844660\
         177922459123444193/3391484706374511392075212538176920969717501\
         347918568337680969107647758336000000000000*ep+
         13015255066302592026150800/223587*ep*z4+3715451810179704152603\
         230520483051/5576720369220*ep*z3+31090431875100658580430185691\
         76606325765402150641210496998615413538533697266935770521402649\
         83775153562680024820926799/54476356082846186974014318312134918\
         4166171534753935794455951110676663696496158310400000000000000*
         ep^2+841650991910248806429354800/223587*ep^2*z5+37154518101797\
         04152603230520483051/3717813579480*ep^2*z4-3539747201593160962\
         1552003011234605734227451/29029619554990820766000*ep^2*z3-
         71358337797155176444346059590644600476775072922803531375340788\
         03002772114302383632485178821248000669843526280423493651048600\
         75170398145104695454787760471743479336941548556757333/
         55081847690749285910965864633573531407176764232694145992859046\
         59331075578186342628130188042621202101171281382125695015498946\
         344544685260800000000000000000*ep^3+
         6247306163995353088089407000/670761*ep^3*z6+132416112676058088\
         520215219455433413/13012347528180*ep^3*z5-35397472015931609621\
         552003011234605734227451/19353079703327213844000*ep^3*z4-
         27107146882876969685345629777621361678442487678893495349/
         13988810465707014061219882987200000*ep^3*z3+
         911064258801200229922580080/670761*ep^3*z3^2;
Fill mncnoptab(16,8,2,3)=
      +mncF321*(-5529379827708000000-4416141142177889080000/91*ep-
         931449096207946396654400/5733*ep^2-399735124861658629387523104/
         1324323*ep^3)
      +579506929148008899635285260169957220138518802667829/
      21316282614410688093287440742400-94110224958833477350/223587*
         ep^-3-26878450669919206187598301031/5204939011272*ep^-2-
         202113026253249087470853285481434391847/9289478257597062645120
         *ep^-1+16271073035156553288008800/223587*z3-
         12938207102409409707366554876066890150915148937204932543016725\
         046575130120889380655446806456894580956103723257/
         51437518046680089446474056829016634707382103776764953121494698\
         132657668096000000000000000*ep+8135536517578276644004400/74529
         *ep*z4+465327444569191008828205090532737/371781357948*ep*z3+
         10507304623042076535104021837786129414210885403065703747098608\
         7720067477392364214556955386526504227633135008053905091499/
         97202909873313784600692215027534854429650215024721877049983433\
         473679208590490992640000000000000000*ep^2+
         526039015858890316293468200/74529*ep^2*z5+46532744456919100882\
         8205090532737/247854238632*ep^2*z4-347821750625389780177593869\
         4959285202175043/1548246376266177107520*ep^2*z3-
         93824249575331214181473607572605039512996245082924326745337513\
         63274441012405046536542672058735694493130172417162142883181608\
         772286328979144925496037993572689058813420711553153457593/
         16708160466193950059659645605517304526843618483917224284500577\
         46663759592049857263866157039595097970688622019244794154701347\
         0578452211957760000000000000000000*ep^3+
         3904614936353785988980989500/223587*ep^3*z6+167466942431336169\
         73530742716570751/867489835212*ep^3*z5-34782175062538978017759\
         38694959285202175043/1032164250844118071680*ep^3*z4-
         55343379994368597610053544753305776859018448586472251/
         14921397830087481665301208519680*ep^3*z3+
         569393380239165263731539400/223587*ep^3*z3^2;
Fill mncnoptab(16,8,3,2)=
      +mncF321*(-2927318732316000000-2350364198362610760000/91*ep-
         55546481443600694567200/637*ep^2-72268620128329235971288336/
         441441*ep^3)
      +579142124073711065285047488536366501705618473969087/
      40264089382775744176209610291200-73386000768357908950/140777*
         ep^-3-61710770045083810933741651691/9831551465736*ep^-2-
         9986218144768020048273092917107871753/389928716985555715968*
         ep^-1+5424633325392385268275600/140777*z3-
         13419212375726079387912727809284541737353701223057596888662307\
         219171242924995364375422564037366004505116570637/
         10089667001464171391423757301076339884909566510057740804600883\
         0952520810496000000000000000*ep+8136949988088577902413400/
         140777*ep*z4+466642958325711156702250233708697/702253676124*ep
         *z3+1845825529367038249351645114035851889472684452237943059464\
         383821436359369895085722283653482204310036054078275491556862663
       /324134318692934812495385193957202764578872063178591797701290910\
         8526148994152141946880000000000000000*ep^2+
         526048973328771517567900200/140777*ep^2*z5+4666429583257111567\
         02250233708697/468169117416*ep^2*z4-33874710476737515480540812\
         62573861448245417/2924465377391667869760*ep^2*z3-
         15624997999609917673121033955768565984183953763426480664508907\
         81600257855577877021683356239368045836293621817891927485749544\
         53759012867418923122224117931521568448128207629/
         29780611943825028845352136826777677028777862320424467994086725\
         84625622717349857231581208329694744987110498369578928208431441\
         510400000000000000000000*ep^3+1301560850008447830749061500/
         140777*ep^3*z6+17033240315495427457755166951462831/
         1638591910956*ep^3*z5-3387471047673751548054081262573861448245\
         417/1949643584927778579840*ep^3*z4-284839615519616118378166938\
         638976601614250541120210573/140924312839715104616733636019200*
         ep^3*z3+189787284256257922129091800/140777*ep^3*z3^2;
Fill mncnoptab(16,8,4,1)=
      +mncF321*(-433676849232000000-350723404813693516000/91*ep-
         17412065273876023385720/1323*ep^2-497847918861946077002388836/
         19864845*ep^3)
      +16075279109843957815893990020255296682138765405156299/7549516759\
      270452033039301929600000-61847401371265525840/11402937*ep^-3-
         7239971776883170525345813667/44241981595812*ep^-2-276772347251\
         9683830824716202114807808869/1974014129739375812088000*ep^-1+
         65077168888963042928013760/11402937*z3-
         41615015804171010863551110917597826083116696815379648524303583\
         6922025077097907848368388162856350119746895648467/
         21463473439478328232665083713198759391534896030486466802514605\
         857172608778240000000000000000*ep+32538584444481521464006880/
         3800979*ep*z4+156096591986262972781912668602671/1580070771279*
         ep*z3+56287018834921570996412304971198303698955607440176273375\
         28696844124737746290056680593765256673334461128513305635873685\
         4257/689522096128606782944728503508958608285964207125368006019\
         109755813744422392364741427200000000000000000*ep^2+
         2104131053359041840098234240/3800979*ep^2*z5+15609659198626297\
         2781912668602671/1053380514186*ep^2*z4-16324543351419964218764\
         9223339319787923964011/987007064869687906044000*ep^2*z3+
         66838258146188045787290767083108528764725470163355952622441037\
         35147487870100884393807750371581448743880964752414079465467975\
         32599743732228504275972544036095191044980788915093887/
         71960037948053209539042798920721373734498699105466735865651775\
         52126364901335582545360878061075211772802310594525406654559191\
         652217389056000000000000000000000*ep^3+
         15618289977970406193416722400/11402937*ep^3*z6+174224037517663\
         07646291775201921028/11060495398953*ep^3*z5-163245433514199642\
         187649223339319787923964011/658004709913125270696000*ep^3*z4-
         24638240333993137525933440858857482513266304804811689879/
         79269925972339746346912670260800000*ep^3*z3+
         2277653494289708238234209920/11402937*ep^3*z3^2;
Fill mncnoptab(16,9,1,3)=
      +mncF321*(-144244691157600000-118336438175400439500/91*ep-
         8671549657773187127675/1911*ep^2-39116894452874397689140879/
         4414410*ep^3)
      +57929769856278970167873732302314399148063371434551891/8171241668\
      8574304357601856179200000+74009632963360765/149058*ep^-3-
         1205416522726327525763081579/93893017458240*ep^-2-679554569381\
         767949756882525450119013161/3560966665412207347296000*ep^-1+
         141467736362435178896500/74529*z3-4300376175809291562132593541\
         04157125289077669358638660317766456624557226333202974770279614\
         549008035316099651/6760359514706526041536590326099329132970219\
         3535176795531107317545778649497600000000000000*ep+
         70733868181217589448250/24843*ep*z4+37739508091933747179522731\
         16185201/114012949770720*ep*z3+5717404564232134839623339394808\
         83102233098797302211475769490366538156404225354807158128322469\
         01193115316779964226553913/21717907291694679873640374900437787\
         47542470518552357367231058427897632603364684464128000000000000\
         000*ep^2+4574183173416005149374350/24843*ep^2*z5+3773950809193\
         374717952273116185201/76008633180480*ep^2*z4-90554800593990293\
         852935995169670117388893963/1780483332706103673648000*ep^2*z3+
         82719568904078393360215303138062058122570958414111104378011323\
         12201501936020453643018424328181981886116518784548159657729269\
         817170627050436262737932127749446770692834426685123791/
         19095040532793085782468166406305490887821278267333970610857802\
         81901439533771265444418465188108683395072710879136907605372968\
         06610882422374400000000000000000*ep^3+
         33952704459713950673066375/74529*ep^3*z6+145656059083564405041\
         286981589504063/266030216131680*ep^3*z5-9055480059399029385293\
         5995169670117388893963/1186988888470735782432000*ep^3*z4-
         31852817874294194734649879265077039486816013028667625679/
         285993458410010065251606496627200000*ep^3*z3+
         4951473491923803463386070/74529*ep^3*z3^2;
Fill mncnoptab(16,9,2,2)=
      +mncF321*(-180305863947000000-148479339013707570000/91*ep-
         10944105922784848040200/1911*ep^2-1657527718210296501749204/
         147147*ep^3)
      +578853346844544086831541171574761919685145525678923/653699333508\
      594434860814849433600-6381997335545394475/149058*ep^-3-
         81746161638483432636168435311/159618129679008*ep^-2-1973912027\
         32334739737245493743603445507/94959111077658862594560*ep^-1+
         176909758758481549325900/74529*z3-1695477998355263802943834103\
         62963162602144700538124989099961197982396315851532249779730015\
         4006330031679889199/221824296576307885737919370075134237175585\
         322537298860336445885697086193664000000000000000*ep+
         88454879379240774662950/24843*ep*z4+47279478804333878088369862\
         3592917/11401294977072*ep*z3+217459842469353665159987310169596\
         02065037513728190840309589141550659940493937453726004455784221\
         0918397232262138679574909/712618833008731683353824801420614901\
         53737313889999226112269104665391069797903708979200000000000000\
         00*ep^2+5717990499652791141161350/24843*ep^2*z5+47279478804333\
         8780883698623592917/7600863318048*ep^2*z4-17699857945213954710\
         51465305992227620488139/28487733323297658778368*ep^2*z3+
         65003954583856561972756444656935165260141850942132940807949945\
         91091177806009587172534972056629886274072738012845913439620640\
         65828414305644172785608071858341229185181634949294784931/
         15663900437056828180930917755172472993915892328672397766719291\
         37497274617546741184874522224620404347520583143041994520032512\
         8667298948710400000000000000000000*ep^3+
         42442654350499729685395375/74529*ep^3*z6+184187014076253636450\
         22514786911891/26603021613168*ep^3*z5-176998579452139547105146\
         5305992227620488139/18991822215531772518912*ep^3*z4-
         323754319030657982962322164070442261819053836775522449/2287947\
         667280080522012851973017600*ep^3*z3+6188484944007727014975950/
         74529*ep^3*z3^2;
Fill mncnoptab(16,9,3,1)=
      +mncF321*(-47728022809500000-39515710040007696000/91*ep-
         978986965443588413330/637*ep^2-6741205858571189070435574/
         2207205*ep^3)
      +216654950817752013246982322796911791489536470144737589/926074055\
      803842116052821036697600000-2600126046265216205/1689324*ep^-3-
         69798495950351983671184681849/1809005469695424*ep^-2-273144520\
         0903674692191269871234408541467/8968360490667781467264000*
         ep^-1+265263514834601729414030/422331*z3-
         90525100426701988361511340982623479667572775962235140092106952\
         005169922276111826819287964466708300359401012713913/
         43442070241504136342914129435514289008466629565704608808289562\
         254917360167157760000000000000000*ep+132631757417300864707015/
         140777*ep*z4+1422049474683515557010034766843319/
         129214676406816*ep*z3+1190824247899120462966706882795033342694\
         34045722126046012943317267887114952357719572804353952390664970\
         99913598142407610398167/13955927225643001286801304911021322231\
         70791555221744844182678145767018710922146236648652800000000000\
         000000*ep^2+8576639489367601521259345/140777*ep^2*z5+142204947\
         4683515557010034766843319/86143117604544*ep^2*z4-6424323279155\
         24445131968015586649651385796557/40357622208005016602688000*
         ep^2*z3+142860912550089092382523234241974252270305905804994602\
         14768811728574201634288200081061926527707708122949626974248862\
         52546606043123963770788790899336009202123993547692107483568936\
         59093/24540946092745673847628087465383816889027906829177619029\
         07444818299730088802830349166611459757279899347448021866753654\
         425338558563060892355788800000000000000000000*ep^3+
         127323274766341014171820025/844662*ep^3*z6+5614691042525088825\
         2742655604430169/301500911615904*ep^3*z5-642432327915524445131\
         968015586649651385796557/26905081472003344401792000*ep^3*z4-
         124124812069048618511453902574048169279932608470239780623/
         3241259195313447406184873628441600000*ep^3*z3+
         9283920740732403102779885/422331*ep^3*z3^2;
Fill mncnoptab(16,10,1,2)=
      +mncF321*(-2671197984400000-20687772328452812000/819*ep-
         4880565392572115564800/51597*ep^2-3984705058839675579194372/
         19864845*ep^3)
      +14443324645092768421943882997815676357168423792668219/1103117625\
      295753108827625058419200000-975442842772956140/2012283*ep^-3-
         141836921858017857002512500517/21548447506666080*ep^-2-
         773402724283895945158784612208769727087/
         24036524991532399594248000*ep^-1+70758730012680840180200/
         2012283*z3-442267311383148862842139791293223603138274878317834\
         33702774071820426656625963524615248895112703246248082331/
         35491887452209261718067099212021477948093651605967817653831341\
         7115337909862400000000000000*ep+35379365006340420090100/670761
         *ep*z4+967592530895049671382089794175069/1539174821904720*ep*
         z3+61834732424851468199651424234649651288529762113698115638938\
         71390765896906248760473172311417072080374340971484129062097/
         11401901328139706933661196822729838424597970222399876177963056\
         746462571167664593436672000000000000000*ep^2+
         2287176102944924594014600/670761*ep^2*z5+967592530895049671382\
         089794175069/1026116547936480*ep^2*z4-807158621478883949176916\
         6403253159203907891/12018262495766199797124000*ep^2*z3-
         38052758585044181372943804128971552280668657984694849814683716\
         56147455800817059389538825670524190700324790902181047835669375\
         596491235730865720263317957962099141151620379382130681/
         10024896279716370035795787363310382716106171090350334570700346\
         47998255755229914358319694223757058782413173211546876492820808\
         234707132717465600000000000000000*ep^3+
         16976923947055232354659000/2012283*ep^3*z6+4182146487757203267\
         5611815510984647/3591407917777680*ep^3*z5-80715862147888394917\
         69166403253159203907891/8012174997177466531416000*ep^3*z4-
         9620746358288757843677456961989963992055145731254498231/
         3860911688535135880896687704467200000*ep^3*z3+
         2475439305690543715431560/2012283*ep^3*z3^2;
Fill mncnoptab(16,10,2,1)=
      +mncF321*(-1669498740250000-12979081206140538500/819*ep-
         3079378516512931725220/51597*ep^2-2531641988375245195887929/
         19864845*ep^3)
      +72018643719006173238365343326749522563159933429616861/8824941002\
      366024870621000467353600000-9177380070987461245/16098264*ep^-3-
         128123066777511803674544924555/17238758005332864*ep^-2-
         27205949733117970528098688026973758289147/
         769168799729036787015936000*ep^-1+44232806587173144156560/
         2012283*z3-554948599150136033911467793424014802395756385656586\
         1736387324069476875573966040336017167130870633787585969311/
         79856746767470838865650973227048325383210716113427589721120518\
         850951029719040000000000000000*ep+22116403293586572078280/
         670761*ep*z4+484838350178021466383875225963969/
         1231339857523776*ep*z3+692445551588611101624660212465669912815\
         74212956834592299510984530143782328219921346346892679273513495\
         1914068569350480653/256542779883143406007376928511421364553454\
         3300039972140041687767954078512724533523251200000000000000000*
         ep^2+2859038931286359387836255/1341522*ep^2*z5+484838350178021\
         466383875225963969/820893238349184*ep^2*z4-1559199691418203448\
         91409612022211765777487133/384584399864518393507968000*ep^2*z3
         +3155038284461128964784099777705514780296708622036415681067229\
         24464801043336095622380814337709996872424691252250362911278378\
         33239846446980258521110310472631356626785156781423910819/
         56390041573404581451351303918620902778097212383220631960189448\
         94990188623168268265548280008633455651074099314951180272117046\
         320227621535744000000000000000000000*ep^3+
         42443255903423659375978225/8049132*ep^3*z6+2113303001362277558\
         5622528565583735/2873126334222144*ep^3*z5-15591996914182034489\
         1409612022211765777487133/256389599909678929005312000*ep^3*z4-
         48600133711626901884643056455271728882122940924693468687/
         30887293508281087047173501635737600000*ep^3*z3+
         3094161526832884608000715/4024566*ep^3*z3^2;
Fill mncnoptab(16,11,1,1)=
      +mncF321*(-10684791937600-91020637457876456/819*ep-
         610530684544625927854/1289925*ep^2-114709305757688984855554/
         99324225*ep^3)
      +14160266360654799219104218860621959365529611883704673/2757794063\
      23938277206906264604800000000-1100915413176271451/50307075*ep^-3-
         1148581018475958954052801649011/5387111876666520000*ep^-2-
         5025225049385784210727556979085049857379/
         6009131247883099898562000000*ep^-1+7071286127429870335004/
         50307075*z3-23083658649806444788293341920835873796516439686438\
         76782298223827143259717/58526220301513891728533719487314977706\
         35724062720000000000*ep+3535643063714935167502/16769025*ep*z4+
         1018290347035950561130120219551263/384793705476180000*ep*z3+
         48743450262097220223014325491783265949413819079448864470402217\
         2862908220435199996973/365589908804875984616459754421600755173\
         923113590474145792000000000000*ep^2+228733664122707751024216/
         16769025*ep^2*z5+1018290347035950561130120219551263/
         256529136984120000*ep^2*z4-19209758441269552963522294672829720\
         6819177/600913124788309989856200000*ep^2*z3+
         12915717737284327128949330497575244223934033786440146647187726\
         00259668923883082020047572014276086471902293570484567908677494\
         721819/6827757432581952005926511799611885322215578860805939349\
         0569348758357075728350198865943631547596800000000000000000*
         ep^3+339564853120346691368822/10061415*ep^3*z6+534005350567475\
         49002830771472200949/897851979444420000*ep^3*z5-19209758441269\
         5529635222946728297206819177/400608749858873326570800000*ep^3*
         z4-12184901253401436021719422133533805920213866147358406197/
         965227922133783970224171926116800000000*ep^3*z3+
         247807674437387522817224/50307075*ep^3*z3^2;
Fill mncnoptab(17,1,1,10)=
      +mncF321*(-8526860472155609375-232980151555503286478225/3276*ep-
         11303587883509505871255532/51597*ep^2-
         349109335000576732762778906989/953512560*ep^3)
      +207331219851973955911840714511657668333046406201414050265917/
      4941966961324973927547760261718016000000+6584726815461831917/
         257572224*ep^-3+261084953984684699221848445657/
         2298501067377715200*ep^-2-105880755043844053900249885612551602\
         20111/20511167992774314320424960000*ep^-1+
         451592464440891592966365703/4024566*z3-
         60452625091072811333584907699428861686920914770969388035746863\
         61493505427605840589792338438021676863/14960590229511593388808\
         539766004326611923191570349771577391841280000000000000000*ep+
         451592464440891592966365703/2683044*ep*z4+72057956059518926940\
         4615048974091768637/383083511229619200*ep*z3+
         17506929762555323991575685506459265987900224754136957597141361\
         37088533610066762446242654857324874863247050083191/
         96122909122436161940610902886922569300614045577287158417289461\
         9893025996800000000000000000*ep^2+
         11124944653179087063523564637/1022112*ep^2*z5+7205795605951892\
         69404615048974091768637/255389007486412800*ep^2*z4-77669312769\
         92458415632033432993303832946088973939/
         1809808940538910087096320000*ep^2*z3-
         56772177780246186418812430957387221785958660800129948656259173\
         09707635703834072711490624339569802974255664528068605718959861\
         72919941749582159211927/65857461455077047464563144535825730644\
         87269521621465193273017742807781249579826241995802484271149481\
         9840000000000000000000000*ep^3+3468230168596141097572613604415/
         128786112*ep^3*z6+28754682515458934517107229253828363288397/
         1149250533688857600*ep^3*z5-7766931276992458415632033432993303\
         832946088973939/1206539293692606724730880000*ep^3*z4-
         9755829499847044460156067990121266489630399192222830867981881/
         2470983480662486963773880130859008000000*ep^3*z3+
         252891784878999273597297172981/64393056*ep^3*z3^2;
Fill mncnoptab(17,2,1,9)=
      +mncF321*(-40627982249682609375-123517350118413972455625/364*ep-
         667510609311643304166000/637*ep^2-1379152641536657146521756243/
         784784*ep^3)
      +487838137370974614700982210137570419919088661899855352181/
      2440477511765419223480375437885440000+220960492720084575/1059968*
         ep^-3+5077144458326564735943174163/3405186766485504*ep^-2+
         2537479402300927291582167007855970779/
         30386915544850836030259200*ep^-1+8854754216204517227164125/
         16562*z3-78796341809779628697308632594615013258281608406819460\
         69780701940375513802126159057971497952154843615701/
         40958771472796184566693602203816289746420826699268707962992774\
         34880000000000000000*ep+26564262648613551681492375/33124*ep*z4
         +15270098479373586546613457732635380253/1702593383242752*ep*z3
         +2277317169226124457892836182415917101615503018439092854418147\
         452244491425885001214420346592598145571209668645188389/
         26316316453075855891296140523708578972968112033603950926689026\
         0379601784012800000000000000000*ep^2+
         1963225528724243343816606375/37856*ep^2*z5+1527009847937358654\
         6613457732635380253/1135062255495168*ep^2*z4-30905389936927968\
         5787880189062434030352123987563/15193457772425418015129600*
         ep^2*z3-370223487020693899161638952044371453650178662305096462\
         84439796141790809598222155099620420125112008072910216126287925\
         28218466784111204663987586449360951/
         25477611175471352468416505383714611159620316101036083704217548\
         83304575470851944374198182912755718118440960000000000000000000\
         00000*ep^3+68004513168052155655408093125/529984*ep^3*z6+
         68006197672242076707531549439108764677/567531127747584*ep^3*z5
         -309053899369279685787880189062434030352123987563/
         10128971848283612010086400*ep^3*z4-232330509134778338032978502\
         60333018163736264345264341312017/12202387558827096117401877189\
         42720000*ep^3*z3+4958662448515969482263717175/264992*ep^3*z3^2
         ;
Fill mncnoptab(17,2,2,8)=
      +mncF321*(-172071454233949875000-131088535459731133886250/91*ep-
         2844978773606346579275350/637*ep^2-
         6647866145395588064957506771/882882*ep^3)
      +175621730435826802369564236712526802026518709888414200597/
      207440588500060633995831912220262400-8216964225494507675/6757296*
         ep^-3-108837208238949661140837179813/7236021878781696*ep^-2-
         822146221496700099137764987928225208761/
         12914439106561605312860160*ep^-1+956313480999701792947778900/
         422331*z3-3419688631973860873888838244295651515815548342450287\
         30596805897771019903172107150315739245110637617993421/
         42073738030222154922940266423964120875992585043255148621653344\
         256000000000000000000*ep+478156740499850896473889450/140777*ep
         *z4+137590704255544087195781322745848375397/3618010939390848*
         ep*z3+12334075502886645383989995971264117834163807875876127494\
         878996515501101602878982114384890743015590802825764313269387/
         33790863487645466205636142350312453011707559625667914893812279\
         3746085969920000000000000000000*ep^2+
         17669029804552241209040660575/80444*ep^2*z5+137590704255544087\
         195781322745848375397/2412007292927232*ep^2*z4-551510057600496\
         227719946596430654195962552671127/6457219553280802656430080*
         ep^2*z3+203274643592240516557419653173400346787397399310585993\
         15780408426006134392437081929078906212260140531827789255002344\
         44959076610824920822136790832692437/
         28326426096947397251261905643905356255105204961942950485597343\
         11174081224184510419945928951340219802583040000000000000000000\
         0000*ep^3+1836121859857991291090313782375/3378648*ep^3*z6+
         205741054448422460045527446849548919311/402001215487872*ep^3*
         z5-551510057600496227719946596430654195962552671127/
         4304813035520535104286720*ep^3*z4-8537652080636550618854892918\
         988619444146586015557833080177/1037202942500303169979159561101\
         31200*ep^3*z3+133883884763528768064182686925/1689324*ep^3*z3^2
         ;
Fill mncnoptab(17,3,1,8)=
      +mncF321*(-72227523999435750000-55110652654055373980000/91*ep-
         830204324766847848381475/441*ep^2-1405838238357597504993583585/
         441441*ep^3)
      +487838171348905731939966616583512147107111171724298150477/
      1372768600368048313207711183810560000-410648909952410575/1788696*
         ep^-3-5129401374562186288443441017/1915417556148096*ep^-2-
         167018208724220892550705430042832355517/
         17092639993978595267020800*ep^-1+212514105580517932486121900/
         223587*z3-2360945916832509077236213342743662377656182485556333\
         59786674808203341683906361284590349296537821138034857/
         69297921461542372814254556462999728501634845953596715376840802\
         304000000000000000000*ep+106257052790258966243060950/74529*ep*
         z4+15299743618705141683309313194875725453/957708778074048*ep*
         z3+34008951681973885069909293285481405683304271009331651994935\
         153811479218484323332927173977040803964901499968961109161/
         22262215944801718911948517313147027866536745165145920400629266\
         41150684037120000000000000000000*ep^2+
         1963225532465273468531134475/21294*ep^2*z5+1529974361870514168\
         3309313194875725453/638472518716032*ep^2*z4-179187643055336340\
         88413974002138748792689716371/502724705705252801971200*ep^2*z3
         -1789652501261914939156720557606365930784435615271149251783414\
         58203419764184703387349004625914575035243078071897194339745491\
         703360690353961541044853577877/3965699653572635615176666790146\
         74987571472869467201306798362803564371371385831458792430053187\
         6307723616256000000000000000000000000*ep^3+
         204013539853048534870907900875/894348*ep^3*z6+6896471899328299\
         6772359069164946626397/319236259358016*ep^3*z5-179187643055336\
         34088413974002138748792689716371/335149803803501867980800*ep^3
         *z4-1414429931430877311714599558516027079572573025548578289369/
         40375547069648479800226799523840000*ep^3*z3+
         14875987223267178754613376625/447174*ep^3*z3^2;
Fill mncnoptab(17,3,2,7)=
      +mncF321*(-267666706586144250000-29267156022592460940000/13*ep-
         640174405199475847249175/91*ep^2-7632546432746710906950031/637
         *ep^3)
      +161268595971520757935272751523304004951617649939785853/122456073\
      494722924436736666009600-7359618295929210575/482664*ep^-3-
         3376565778819544830745005529/15662385019008*ep^-2-279696832655\
         374908117392053576662605377/251579982595355947653120*ep^-1+
         212514121757491812352266700/60333*z3-
         63604338052473236047245157336220463747645421505763866697951060\
         9646967600443023190913287484957608422290899231/
         50517924986491814237503554880598785835477510857767348129276132\
         065280000000000000000000*ep+106257060878745906176133350/20111*
         ep*z4+154783145892183141180644619178087567/2610397503168*ep*z3
         +4565370726548953145048334182488249620919016940512405320945751\
         4295128177897503001156350837400298099518408951037272923297/
         81145359876104424502211013793310091243974585167551452302435271\
         9395848663859200000000000000000000*ep^2+
         1963225549912013950587193675/5746*ep^2*z5+15478314589218314118\
         0644619178087567/1740265002112*ep^2*z4-16421423482941392579385\
         185657005472898597588799/125789991297677973826560*ep^2*z3-
         61903918958526793500038018140211883311253760431632997199612598\
         52529680414063526463380229973489201339058686312972204709034034\
         16636237246802180297991325660711001/
         10523167863479454508388140455940008180990443274070919285246688\
         01207262563723921952932520142162082870581924986880000000000000\
         000000000000*ep^3+204013541523186546688132668875/241332*ep^3*
         z6+6339438924511294706605241264532280567/7831192509504*ep^3*z5
         -16421423482941392579385185657005472898597588799/
         83859994198451982551040*ep^3*z4-898023259427613920771182147729\
         74511244694515259263997523/673508404220976084402051663052800*
         ep^3*z3+14875986914851541153988203825/120666*ep^3*z3^2;
Fill mncnoptab(17,3,3,6)=
      +mncF321*(-356888942114859000000-39231739202990510632500/13*ep-
         2597362886076115912169200/273*ep^2-459417696891819871802240507/
         28028*ep^3)
      +1626114516237456225200702597917024392800827946787705779/92607405\
      5803842116052821036697600-120536237194118488825/361998*ep^-3-
         130429974784256896115666747281/32303669101704*ep^-2-3852626011\
         24845740732715297300705595769/23061498404574295201536*ep^-1+
         850057757657120477322729800/180999*z3-
         71904654264783228990242343972252091887997407032850113703916862\
         68415207777082082180758822756687422751125389/
         42957419206200522310802342585543185234249584062727336844622561\
         2800000000000000000000*ep+425028878828560238661364900/60333*ep
         *z4+5121508935500492264768123181991638031/64607338203408*ep*z3
         +2051825142627390167228041165770937061221572873293590140548608\
         79572924140721114685459416200241103152469781850583484221/
         27600462542892661395309868637180303144209042573997092619875942\
         83659349196800000000000000000000*ep^2+
         3926451738931569154422330850/8619*ep^2*z5+51215089355004922647\
         68123181991638031/43071558802272*ep^2*z4-196614530090053037646\
         7881197396527379291212385/11530749202287147600768*ep^2*z3+
         46061215103444538868915002914660849543687665799935594986503231\
         56397445489606841626082383765412740207286014031058851028956088\
         20380341176936650181810696099/19973821412398745954028752991261\
         25216569189457693854638386534258851248488603775572712661227075\
         139073474560000000000000000000000000*ep^3+
         204013571899764579413865545125/180999*ep^3*z6+7105887770368082\
         4050461938228615150527/64607338203408*ep^3*z5-1966145300900530\
         376467881197396527379291212385/7687166134858098400512*ep^3*z4-
         8603164135343189824194918995682860810080604537436167033/
         46303702790192105802641051834880*ep^3*z3+
         29751959647211756695417322150/180999*ep^3*z3^2;
Fill mncnoptab(17,4,1,7)=
      +mncF321*(-62090327648637750000-20440973235962320580000/39*ep-
         578326474189018491833725/351*ep^2-76434752351976505574849891/
         27027*ep^3)
      +1116333525650495466521447572884495502044755705927893177/36542198\
      76756117958849275555840000+119653768197461675/109512*ep^-3+
         26996962921086540891888779/5098715766144*ep^-2-161483866346852\
         5591381952989877973097/45499485343332551731200*ep^-1+
         11184952327165889700731300/13689*z3-15357983970820513941749049\
         85746828894762366005168954857530604793380559769693578809374193\
         8627744188795497/527354506879187997677368911536080023336056274\
         9388522170183843840000000000000000000*ep+
         5592476163582944850365650/4563*ep*z4+1848881306216250830729018\
         204824451/134176730688*ep*z3+219612775224579443524662077511271\
         23166651863807364815076947875792656153082497932427519352866956\
         37275621193118740333/16941460384384242288681249291363868937621\
         9187154969366464711669585228595200000000000000000000*ep^2+
         723293613511875215749999775/9126*ep^2*z5+184888130621625083072\
         9018204824451/89451153792*ep^2*z4-1358858573146530236950875551\
         09033669415183979/4549948534333255173120*ep^2*z3-
         88228236019518760134362145028191060225640115340136533323902253\
         79252974905214083543165086230123719665359988079946486855095458\
         399924292212732320083099049399/
         45117337778594814390276712639084240186033455985555304772966420\
         90581643644846175411303893595275608260083712000000000000000000\
         00000000*ep^3+10737554679406469339242683625/54756*ep^3*z6+
         161625796294559506089477827531926601/849785961024*ep^3*z5-
         135885857314653023695087555109033669415183979/
         3033299022888836782080*ep^3*z4-1164992144687706484587648666334\
         9753420759690403291461729/365421987675611795884927555584000*
         ep^3*z3+782946712511957523917293675/27378*ep^3*z3^2;
Fill mncnoptab(17,4,2,6)=
      +mncF321*(-197228099589790500000-21725033189176984590000/13*ep-
         68722623693197208859650/13*ep^2-82403413979814360672032197/
         9009*ep^3)
      +182257359152603791786071237412370140649778999097877/
      187820825109157990326342205440-1377690802937417975/11492*ep^-3-
         2406670522029162243516520381/1605151259712*ep^-2-1609276915356\
         709005953940042119957917/245552778043382025216*ep^-1+
         7456642973526902474274200/2873*z3-5660357631323283289078938197\
         50803001935435465164744056381017107173237674238076164241095665\
         55824394583077/61339655800158182887736068131301939556457071979\
         72965261108576256000000000000000000*ep+
         11184964460290353711411300/2873*ep*z4+351951062428124110701216\
         43065065129/802575629856*ep*z3+1531554662060747544764097272853\
         11679905308137009788078930743065666079528859673190626894327083\
         804648704328984305811881/3744062744948917545798556093391415035\
         214444036124822998870127897833551953920000000000000000000*ep^2
         +723293698478026789293005775/2873*ep^2*z5+35195106242812411070\
         121643065065129/535050419904*ep^2*z4-4016891329698712496232191\
         10005656834631121449/4297173615759185441280*ep^2*z3+
         42235339941273661313066188027350563671775534526778044596365482\
         57349801013670933511004690353600817349441227004516082936792886\
         0783264902835543352747330259633/
         61739514854919219691957606769273170780887887138128311794585628\
         60795933408736871615468485972482411303272448000000000000000000\
         0000000*ep^3+3579185277522499434093657875/5746*ep^3*z6+2339581\
         3046923249107117410069377583/38217887136*ep^3*z5-4016891329698\
         71249623219110005656834631121449/2864782410506123627520*ep^3*
         z4-96057976587334277964804074678591636701608171622233581/
         920322043034874152599076806656*ep^3*z3+
         260982146187097630170017225/2873*ep^3*z3^2;
Fill mncnoptab(17,4,3,5)=
      +mncF321*(-219142332877545000000-24281760696438840787500/13*ep-
         698039702251630446614000/117*ep^2-1129937861065741001419498585/
         108108*ep^3)
      +232560903586564973938653166449037890007202576326673/
      215700478836298629515408626560-207616089796473188375/155142*ep^-3
         -685758120576170890289349085/42995123028*ep^-2-822168856539474\
         43495590730926341300717/1289152084727755632384*ep^-1+
         223701328685978148061831000/77571*z3-
         65002610357222676847263660573290338420916548494166421028982017\
         72792050552006468193707222779099568355023374961/
         63997380406667436635895896491294989993559243994467378999418886\
         4801996800000000000000000*ep+111850664342989074030915500/25857
         *ep*z4+6536994399666159927406977402186535/133762604976*ep*z3+
         83752734800757412728297740713467417441655090078658859120650918\
         302994032964140735286228774278954745236199016916985299363/
         18690361222784996388626392018209943855790504628335116410359678\
         46598509135396864000000000000000000*ep^2+
         7232944236250386137545015250/25857*ep^2*z5+6536994399666159927\
         406977402186535/89175069984*ep^2*z4-28425406881330476045089040\
         99386313724041359/28025045320168600704*ep^2*z3-
         19415658928372076625363392696609126228699978824211813664248335\
         67527714239490520357848060610795128366432329324234141142339857\
         967122800513322242670274083533970227291/
         12658750226260786932997306995149752354135241455067896066801972\
         35201648743646206790459595110765836354357759509927034880000000\
         0000000000000000*ep^3+53687828450162950661433036875/77571*ep^3
         *z6+835741588223225213799383095169804855/1203863444784*ep^3*z5
         -2842540688133047604508904099386313724041359/
         18683363546779067136*ep^3*z4-606849909539947266492348689561504\
         515728799877594971/5001750233885185611951504384*ep^3*z3+
         7829442087165748986830604250/77571*ep^3*z3^2;
Fill mncnoptab(17,4,4,4)=
      +mncF321*(-107648865273180000000-12028649816307197150000/13*ep-
         1051716205412076952778000/351*ep^2-433084680130046377559093755/
         81081*ep^3)
      +98467493490953302920959630615592582617293296991621/
      185934628259644943400805923840-15064142332389617562250/4421547*
         ep^-3-679516149691366051208210314285/17155054088172*ep^-2-
         7543912066091886347235718129991449921/49919611976550320004*
         ep^-1+6263905838991610571370508000/4421547*z3-
         16359465469905504229525424322615970677376733032180231984953586\
         66775124850884486543346623362971713270139229/
         32792279812017531049306606368695422309615838890277600554738400\
         6246400000000000000000*ep+3131952919495805285685254000/1473849
         *ep*z4+2418669906773524896773426363260555/100321953732*ep*z3+
         45372900227790539620962130972239523148918011077662864380175059\
         5220285927619108460156071685211200687612340014322147/
         20819451179116035866857012149493394235645228414041677483077197\
         486496940032000000000000000000*ep^2+
         202523389632252271037720687000/1473849*ep^2*z5+241866990677352\
         4896773426363260555/66881302488*ep^2*z4-9604428247922569848776\
         865682391928074339945/199678447906201280016*ep^2*z3-
         86558905532434670492436437096481796531569922435209567224342860\
         09401082311910914528092595387431129037304986078804631458021052\
         82358163522584904176691706165247486443/
         28244836442344380844250241232927884940164257496620243099051900\
         81043678759260598901212971590896272365660750906524696576000000\
         000000000000000*ep^3+1503265657644413006354478882500/4421547*
         ep^3*z6+6020056865651785548767109264963014885/17155054088172*
         ep^3*z5-9604428247922569848776865682391928074339945/
         133118965270800853344*ep^3*z4-39225755546068078274402813485361\
         8550739410910315065/6197820941988164780026864128*ep^3*z3+
         219221414083667268483149419000/4421547*ep^3*z3^2;
Fill mncnoptab(17,5,1,6)=
      +mncF321*(-27940647441886987500-3097384705349049596250/13*ep-
         9139259011839857795345/12*ep^2-43746777588718894125262019/
         32760*ep^3)
      +20296917730447795961748661590864081497491579203935767/1476452475\
      45701735711081840640000-61698213856260905/48672*ep^-3-
         23119131340378870957955111/1030043589120*ep^-2-168113797123575\
         88469709454363664023/108139002598532505600*ep^-1+
         559247707083144419144695/1521*z3-89017995435258304719873366647\
         81106796235192844915340939298041739917678823341619469892620585\
         17916444947437/68556085894294439698057958499690403033687315742\
         0507882123899699200000000000000000000*ep+
         559247707083144419144695/1014*ep*z4+32098086113068634118931764\
         96024019/515021794560*ep*z3+3599651387132365946842496275483205\
         28925088557193113030461815187945778298227413978131726705987080\
         9965870663032262017/629254242848557570722446402250657989111671\
         266575600504011786201316563353600000000000000000000*ep^2+
         144658724964784226986891915/4056*ep^2*z5+320980861130686341189\
         3176496024019/343347863040*ep^2*z4-197742818041004039636627602\
         54998398047867519/1531969203479210496000*ep^2*z3-
         18220826213360151456781218370928690061349031772397515835321663\
         25770211957959992316807534718004072930329122356949373339960409\
         4453859109771699886765587661514416428255319/
         10117490448937733888794125088995421329124215446126121074162085\
         13926494847613661865297221744071820140265375541812527104000000\
         000000000000000000000*ep^3+2147510966188437628037590925/24336*
         ep^3*z6+15219835523399615607075878287230211/171673931520*ep^3*
         z5-19774281804100403963662760254998398047867519/
         1021312802319473664000*ep^3*z4-5732134451869959378400953495902\
         837511711625870429577143/369113118864254339277704601600000*
         ep^3*z3+156589332476322847783499015/12168*ep^3*z3^2;
Fill mncnoptab(17,5,2,5)=
      +mncF321*(-73960537346171437500-8234310073660545971250/13*ep-
         106027942658639259777475/52*ep^2-23634547211667213448099451/
         6552*ep^3)
      +12177707351015277773067999105132051573022760231266753/
      33466256110359060094511883878400-69016641149455356775/275808*
         ep^-3-3674973568368856533868576373/1167382734336*ep^-2-
         86395054713315679096717738731274928831/6250434350195178823680*
         ep^-1+8388761418641810096621225/8619*z3-
         10942315214104020133225542580125114202547728031898399695341774\
         036452102990830327769326233156087945502484051733/
         31998690203333718317947948245647494996779621997233689499709443\
         24009984000000000000000000*ep+8388761418641810096621225/5746*
         ep*z4+9650351848860589698846085924776697/583691367168*ep*z3+
         14022593776885292884460947200425703572611909000207935440291955\
         6109245673489375504666904778232841947350887119643260111487/
         93451806113924981943131960091049719278952523141675582051798392\
         32992545676984320000000000000000000*ep^2+
         2169882183590161640584540325/22984*ep^2*z5+9650351848860589698\
         846085924776697/389127578112*ep^2*z4-1048929155842144040997134\
         31057578150267603297/3125217175097589411840*ep^2*z3-
         16956264672493970870947108681774553633847927473448212140854262\
         49981903895022659706544806645465456285763729982862559894567629\
         86996001822211390952315818718322148941/
         21900951948548074278542053624826561166323947154096705997927287\
         80625689867900011748199991541117363934875016453160960000000000\
         00000000000000*ep^3+32212682297106752204903255875/137904*ep^3*
         z6+46334990029787371963099825080343433/194563789056*ep^3*z5-
         104892915584214404099713431057578150267603297/
         2083478116731726274560*ep^3*z4-7096221688578440904859135373135\
         31444347867156090484077/16733128055179530047255941939200*ep^3*
         z3+2348836019694887781690690025/68952*ep^3*z3^2;
Fill mncnoptab(17,5,3,4)=
      +mncF321*(-65742699863263500000-7366071026206489905000/13*ep-
         71875183674665837511650/39*ep^2-2705446778677710699512389/819*
         ep^3)
      +21475399072632293886694959639631869641896377225679/
      66401301806267976377999769600-189725990565754166425/103428*ep^-3-
         349378344989811860302293433/16213649088*ep^-2-6553220329032221\
         5157427638355251970799/781304293774397352960*ep^-1+
         22370952837475464174376600/25857*z3-12761050576545286987747924\
         08353115876091611913826684515182105399998030614779483032688826\
         632693017157131460187/4199828089187550529230668207241233718327\
         32538713692174683686442526310400000000000000000*ep+
         11185476418737732087188300/8619*ep*z4+107573948165134572238056\
         8766828833/72961420896*ep*z3+147583351965578975328793343512118\
         60366397946876059099312264417405267223835908939469521970618402\
         87370642585415534594951/11150499593138776254578245238136614232\
         1477442384953819493623081757297420009472000000000000000000*
         ep^2+723297324904054951816689275/8619*ep^2*z5+1075739481651345\
         722380568766828833/48640947264*ep^2*z4-16202585256633046909144\
         53854441549453302279/55807449555314096640*ep^2*z3-
         15636210646679874348311903058049263814382377886693107893566603\
         90826102084029493410370745022863117303835204299302446604469373\
         549916252070228368260785786498310925547/
         28244836442344380844250241232927884940164257496620243099051900\
         81043678759260598901212971590896272365660750906524696576000000\
         0000000000000000*ep^3+10737605109373446956378456125/51714*ep^3
         *z6+15779767524562722602764015908277211/72961420896*ep^3*z5-
         1620258525663304690914453854441549453302279/
         37204966370209397760*ep^3*z4-823679235894410801505297597274480\
         46496288922452416893/2091641006897441255906992742400*ep^3*z3+
         782935150229566248557829175/25857*ep^3*z3^2;
Fill mncnoptab(17,5,4,3)=
      +mncF321*(-24220994686465500000-2737772361642090465000/13*ep-
         27095190619050261377450/39*ep^2-1038233744277446058065567/819*
         ep^3)
      +860737843147703605928914216730708075475197404240469/
      7225668932918433429496884019200-4558316385121010464975/1965132*
         ep^-3-75106895318171010767396638679/2772533994048*ep^-2-
         15630641344857148006129786352998125907/149947288704177269760*
         ep^-1+156614343984014081117636200/491283*z3-
         19486740333563208697377031756691129828048742218570292914347724\
         05587726694148371031749756624091417546721341878463/
         17704235315700479670954240805351846031818229258629455726399240\
         75588243947520000000000000000*ep+78307171992007040558818100/
         163761*ep*z4+18958335733778692116397054992169/3474353376*ep*z3
         +3508292927535964601548268975353046405500167077371892497162452\
         078411715119578477857122357927963604016420059557792999950983/
         73864307552446305727851501255965698118084074291180380053741449\
         2975730810308840652800000000000000000*ep^2+
         5063144048842622652714124925/163761*ep^2*z5+
         18958335733778692116397054992169/2316235584*ep^2*z4-2544156871\
         0900471473729577784048411769626797/2474130263618924951040*ep^2
         *z3+2987126921388831151747677583741108286569322469475977525865\
         45153357774285240893389264482769561631652605967281159952929983\
         69740269683093500134330898431391892221279579171/
         40482156619572584162988975082517909798826570147262600797156328\
         61969888293592833633687302045072536802443773629951044581588992\
         00000000000000000000*ep^3+75164089012719269385123692875/982566
         *ep^3*z6+113725496237932393515998726427243677/1386266997024*
         ep^3*z5-25441568710900471473729577784048411769626797/
         1649420175745949967360*ep^3*z4-2033103955197165649251042404580\
         21056722043089259981737/13247059710350461287410954035200*ep^3*
         z3+5480352373611917965291144225/491283*ep^3*z3^2;
Fill mncnoptab(17,5,5,2)=
      +mncF321*(-3633149202969825000-831078653788526826375/26*ep-
         5587363641107267698415/52*ep^2-13150636839398742290287409/
         65520*ep^3)
      +3547858921725825699923525504241508783582784066202667/19870589565\
      5256919311164310528000-1488315255827248775245/2620176*ep^-3-
         94971072722927944845538873363/13862669970240*ep^-2-13844882768\
         05531510423677836735667254141/49482605272378499020800*ep^-1+
         7831523870895013873521685/163761*z3-43533688132761552928921917\
         19170624172333715638593683011119370932113619132442266754543940\
         5151876273268151970423/265563529735507195064313612080277690477\
         273438879441835895988611338236592128000000000000000*ep+
         7831523870895013873521685/109174*ep*z4+17166635356143185703743\
         4366060041/208461202560*ep*z3+11077293785396453159357201874725\
         35149228888398088892954178065231764905097358183644709116252832\
         6363692315724619733858403/158280659040956369416824645548497924\
         53875158776681510011516024849479945935189442560000000000000000
         *ep^2+1012640183050841846298769235/218348*ep^2*z5+171666353561\
         431857037434366060041/138974135040*ep^2*z4-7214719463494510546\
         999139037850457042833913/4948260527237849902080*ep^2*z3-
         73985529515609940412446501422360716754484129295165231588221581\
         60752210502549834824033847362201835763801527982873866198964620\
         2111788018157064955354252479392368123519823/
         19613604882182917026968158427479927297531473236348730086222241\
         21624410878245727895521497840837644080784008323711281099779866\
         6240000000000000000000*ep^3+15032972268344727417011104825/
         1310088*ep^3*z6+118154003185206648078618994067151167/
         9241779980160*ep^3*z5-7214719463494510546999139037850457042833\
         913/3298840351491899934720*ep^3*z4-490024792059517882213709516\
         162016289458407386149673867/198705895655256919311164310528000*
         ep^3*z3+1096034540360644507835780095/655044*ep^3*z3^2;
Fill mncnoptab(17,6,1,5)=
      +mncF321*(-6652535105211187500-748234755703902772250/13*ep-
         617027073610786321436305/3276*ep^2-233989442282347735634241391/
         687960*ep^3)
      +250820735603107705859878296835551153306282191051497/
      7663248142510470711647846400000+1279874132266482995/1022112*ep^-3
         -27802233828845226788789159/4326183074304*ep^-2-37192102065076\
         146962621204373766894511/193028119638380522496000*ep^-1+
         2796236827396856384439635/31941*z3-328420444546256186836952373\
         75173550827640194517281797769161116871956638735710220768887349\
         5559544532583/107558622532214179219993103346714268896738225200\
         7855109233930865213440000000000000*ep+
         2796236827396856384439635/21294*ep*z4+461910502192270675742359\
         387571029/309013076736*ep*z3+728056402413386379764164049335539\
         89852378274494784871126918251259667474060594963162480542037461\
         49070169388927593/54971650655249989378312917700617481928795601\
         84804446003046964254701497457049600000000000000*ep^2+
         723293582359348129028986295/85176*ep^2*z5+46191050219227067574\
         2359387571029/206008717824*ep^2*z4-309833727630534214228372307\
         87566494950409001/10723784424354473472000*ep^2*z3+
         15663391728014648897031061603436020338507680473735796999552160\
         09870142086065117683706502565702304492158576368878815221929354\
         5512984533540162937194300184938308525543/
         44445730842565507464117039750953326081989513486214204833951073\
         53338534805772912027776083232837743003380184140160759066787840\
         00000000000000000*ep^3+10737554262294347680057209025/511056*
         ep^3*z6+15981776738674497594841761186429571/721030512384*ep^3*
         z5-30983372763053421422837230787566494950409001/
         7149189616236315648000*ep^3*z4-3170466235362298389468957441532\
         2357111167977106523440531/7751375496149341124831796633600000*
         ep^3*z3+782946852125997854772723235/255528*ep^3*z3^2;
Fill mncnoptab(17,6,2,4)=
      +mncF321*(-14087721399270750000-1592004232047612735000/13*ep-
         36746033134149812462825/91*ep^2-2813753308364266161109289/3822
         *ep^3)
      +115964159397367689734252626567926021439605931361801/
      1673312805517953004725594193920-113636167835202178925/482664*
         ep^-3-103731456918199081470792463/35840697984*ep^-2-1338939148\
         64046253643612694178377267173/10938260112841562941440*ep^-1+
         11185268866237356089554300/60333*z3-54045931084203415137660644\
         74804265637223800837770239515357273650477664182043226764768327\
         2439760420265411/839965617837510105846133641448246743665465077\
         42738434936737288505262080000000000000*ep+
         5592634433118678044777150/20111*ep*z4+154342920739566410028157\
         630741159/48640947264*ep*z3+5444731286431317182987318249523167\
         05188713295444252710347355508249384000958404318879823560948329\
         8780597538303729483/196248792839242462080577116191204410485800\
         2985975187223087766238928434592166707200000000000000*ep^2+
         723295849059992013894654775/40222*ep^2*z5+15434292073956641002\
         8157630741159/32427298176*ep^2*z4-3275438553365934672347125847\
         9036986444876091/5469130056420781470720*ep^2*z3+
         15178371843200789391778722593018207055973197391535616780278863\
         04695292484432575862334253779968716341799069089372895935341166\
         754071973244399898566126277509727989865799/
         39667814776989715411724457977725843528175640786446177814301333\
         12854642314152323984790154285307685630516814345093477467108147\
         200000000000000000*ep^3+10737585047237506647524278625/241332*
         ep^3*z6+16232988238306201987695015722091971/340486630848*ep^3*
         z5-32754385533659346723471258479036986444876091/
         3646086704280520980480*ep^3*z4-2612862468567483270133797408966\
         22201905947878359169439/29282974096564177582697898393600*ep^3*
         z3+782939689271943028924784675/120666*ep^3*z3^2;
Fill mncnoptab(17,6,3,3)=
      +mncF321*(-9391814266180500000-1068483326874577515000/13*ep-
         74785830972635334993650/273*ep^2-2902123486410586503635839/
         5733*ep^3)
      +193211115032547686247177743012470427594765648356919/
      4183282013794882511813985484800-597598892042768282425/723996*
         ep^-3-9975142951200089145147000017/1021459892544*ep^-2-
         210762201113601617794712601338933978879/5469130056420781470720
         *ep^-1+22373177329097102062264600/180999*z3-
         52630531902703751834056148428379382853749358846638645986281454\
         68904334377695773577915406306900920956186804193/
         12424024782947705032248590038843400724082967900792600509753853\
         162022764544000000000000000*ep+11186588664548551031132300/
         60333*ep*z4+51627761636860664438485929929693/24320473632*ep*z3
         +9403021327620703725425555099133281694406357916945120535666326\
         678908202518387416766102732277068222720684052644864328381/
         51834601791190389984457193863835577626725666169249389511397508\
         27899865335500636160000000000000000*ep^2+
         723305234537307949121661275/60333*ep^2*z5+
         51627761636860664438485929929693/16213649088*ep^2*z4-
         10579130110634510430887403126735810851717729/
         2734565028210390735360*ep^2*z3+
         76394012181154236394855460375860805366065852409041113390090480\
         67961538514053935912875785357381009142916831812663622630425587\
         0865477895669867696097459032760676026881/
         28408530961103567833676473742117831437773031682289544419057072\
         71557816346380935883289334768471955650837735880667399706378240\
         000000000000000000*ep^3+10737712631414133726513596125/361998*
         ep^3*z6+16592341041791213110744476552931451/510729946272*ep^3*
         z5-10579130110634510430887403126735810851717729/
         1823043352140260490240*ep^3*z4-1812884237988720210588369600853\
         5674627095874186637289/2928297409656417758269789839360*ep^3*z3
         +782910831296646909159489175/180999*ep^3*z3^2;
Fill mncnoptab(17,6,4,2)=
      +mncF321*(-2306761398711000000-264824625675191505000/13*ep-
         8059015421883966500950/117*ep^2-318403077727647691760662/2457*
         ep^3)
      +450488155038109537828234216615492297688293278328193/
      39741179131051383862232862105600-1117634383301394696925/2947698*
         ep^-3-2717029200016713839026055701/594114427296*ep^-2-27748619\
         042824538320639406286493921087/1484478158171354970624*ep^-1+
         44752183760931537259503200/1473849*z3-
         44159139131862375842390595291321529253506351786497098521454078\
         0613804359822650262753344096197276595958154841181/
         42490164757681151210290177932844430476363750220710693743358177\
         81411785474048000000000000000*ep+22376091880465768629751600/
         491283*ep*z4+57332359727661368452155984622507/109442131344*ep*
         z3+78382508052510667884968884371461092606514543498403437489044\
         7675259574503048383430321677729341252565672314593128733759991/
         17727433812587113374684360301431767548340177829883291212897947\
         83141753944741217566720000000000000000*ep^2+
         1446631004120777437796823550/491283*ep^2*z5+
         57332359727661368452155984622507/72961420896*ep^2*z4-112400145\
         3539226165343932449237568719855687/1237065131809462475520*ep^2
         *z3-3769925888993006556888902730591355094052410778162526521059\
         96344368951610937426587299963199704238221155517190172236083499\
         12161406185345604828960303623469791250696028641/
         35905912827794813779346743116668059125915740478441611141825613\
         21051553095186687222922650509542597859558825306565274324539801\
         600000000000000000000*ep^3+10737852071503501940327418625/
         1473849*ep^3*z6+2440202159087795408139491853396473/
         297057213648*ep^3*z5-11240014535392261653439324492375687198556\
         87/824710087872974983680*ep^3*z4-95312300431885271701928025142\
         726542800050764009847999/59611768696577075793349293158400*ep^3
         *z3+1565756672764319012874411350/1473849*ep^3*z3^2;
Fill mncnoptab(17,6,5,1)=
      +mncF321*(-173007104903325000-40202841961599730875/26*ep-
         831112980317818964425/156*ep^2-224070422723893614677407/21840*
         ep^3)
      +4218922052743322636465139582737972253016311754869257/49676473913\
      81422982779107763200000-15963984377231076395/7860528*ep^-3-
         311043403429294458905115881/4620889990080*ep^-2-44280849930355\
         5303208757483299592644399/742239079085677485312000*ep^-1+
         1118511027800490695580275/491283*z3-36283878568733575041930328\
         01403208098591625668696976590545652996709015736456870344093272\
         45237093413270667636287/47172754343221522976322156725443612610\
         493632898095137543646630063020638732288000000000000000*ep+
         1118511027800490695580275/327522*ep*z4+
         57677173123595080628488115782787/1459228417920*ep*z3+
         44323960040287570252077837872775762841810444933559668869816464\
         83197518670760924762570685165891527410651822712909572869161/
         13776748562924842394040417148541259351852938199223586314023548\
         0289873449419888908042240000000000000000*ep^2+
         144658976707695560917547125/655044*ep^2*z5+
         57677173123595080628488115782787/972818945280*ep^2*z4-
         23749414721526427663438267928950114689255967/
         371119539542838742656000*ep^2*z3-
         19241195040742258917535011111748534313154607297550089034214310\
         89405692661567216442320156615608097040069728643648173499117992\
         3405199092433813861254563649260403994859197733/
         33098158377509000880121287429621637313842499162595995783051932\
         27936311973477198943364930887003737015344246536143641052624441\
         04908800000000000000000000*ep^3+2147514430059423599851601375/
         3930264*ep^3*z6+17731801657128992431614164108874281/
         27725339940480*ep^3*z5-237494147215264276634382679289501146892\
         55967/247413026361892495104000*ep^3*z4-70328157530889433505901\
         882995169362161958989900771667/5519608212646025536421230848000\
         00*ep^3*z3+156588845541466544496179945/1965132*ep^3*z3^2;
Fill mncnoptab(17,7,1,4)=
      +mncF321*(-806367891540750000-277718648031402325000/39*ep-
         59143441328137104749675/2457*ep^2-25679595668816262415931872/
         567567*ep^3)
      +2899199835352975136930960793272991628806405580651273/73084397535\
      1223591769855111168000-693620396990317775/766584*ep^-3-
         727836310308072553311376151/35691010363008*ep^-2-6981882865712\
         354069722809638473891/44082546353401780224*ep^-1+
         1016816677459134864307900/95823*z3-135488768124644426498763739\
         58802584917445706448892831956402269949158551272717356011435364\
         831015116339/3743162289828476407513964534083096005639327439515\
         97303639649235763200000000000000*ep+508408338729567432153950/
         31941*ep*z4+466757662083483021427134921263557/2549357883072*ep
         *z3+8824546212652738488976310628969126680721713074668051470403\
         870618087441558789258404218307503012913073262584769/
         57536117611655192232085888741674996037914056958180505414666192\
         857222610944000000000000000*ep^2+65753982764832789582825325/
         63882*ep^2*z5+466757662083483021427134921263557/1699571922048*
         ep^2*z4-16872824269027720427270026583535633496972999/
         53082732900554643686400*ep^2*z3-
         13639860186810785642238684043837897147764987448140557557701156\
         71350322912158822333523112160863627708668222703096570045177468\
         067473323781478431608077389215094413770834749733/
         40529013687832054454043541941540647888542155406552519655219919\
         61670224666674276733042979358430754294968391212625743901352501\
         0776064000000000000000000*ep^3+976141574697900495099300875/
         383292*ep^3*z6+17078576021425681779730148965787731/
         5948501727168*ep^3*z5-1687282426902772042727002658353563349697\
         2999/35388488600369762457600*ep^3*z4-7166925567437089273456635\
         783575079485202985244615478463/1278976956864641285597246444544\
         0000*ep^3*z3+71176897338447867235367825/191646*ep^3*z3^2;
Fill mncnoptab(17,7,2,3)=
      +mncF321*(-1280701945388250000-147770010621923085000/13*ep-
         3524469698423860500075/91*ep^2-4636470109589232335968996/63063
         *ep^3)
      +579536927261570918807772288000470861045692917482357/
      92032204303487415259907680665600-13012341684323046725/160888*
         ep^-3-22505857378954921997873019671/22472117635968*ep^-2-
         516264884003716381295530085864471213293/
         120320861241257192355840*ep^-1+338973232661639902458100/20111*
         z3-21471939717806844778741833351646662350203374799635008185609\
         52976308236685688218518175140413067530008004974411/
         37272074348843115096745770116530202172248903702377801529261559\
         486068293632000000000000000*ep+508459848992459853687150/20111*
         ep*z4+467997730998959455218887740072837/1605151259712*ep*z3+
         37945122362557315270145265770604325118140568680630995078039741\
         13286258947935801786009972108797204904137607720831645007/
         15550380537357116995337158159150673288017699850774816853419252\
         483699596006501908480000000000000000*ep^2+
         65754719150506045178388525/40222*ep^2*z5+467997730998959455218\
         887740072837/1070100839808*ep^2*z4-128650395764210489200873724\
         7256129410584069/2615670896549069399040*ep^2*z3-
         16243894478474684976589116068549197497913559002011461838339799\
         15339340791952069574368897683758606466866994797037887447619467\
         61287962191200390688761498527983713574485340201/
         17601931677042903052029199486649547634902471004972383968799311\
         55357366616199857896184217794867197037114661085396145734738121\
         850880000000000000000000*ep^3+325383863425913826867361625/
         80444*ep^3*z6+17352471273057214512455617573170451/
         3745352939328*ep^3*z5-1286503957642104892008737247256129410584\
         069/1743780597699379599360*ep^3*z4-588537059247168726184643247\
         71429164599255369557353643/64422543012441190681935376465920*
         ep^3*z3+23724889889737433970472475/40222*ep^3*z3^2;
Fill mncnoptab(17,7,3,2)=
      +mncF321*(-569200864617000000-66133861585970103750/13*ep-
         2207990035428183099325/126*ep^2-25516762406658673071876937/
         756756*ep^3)
      +42892743121151715408945765510338294911297126479007/
      15338700717247902543317946777600-58519088861988165400/542997*
         ep^-3-43859621183559779669230649489/33708176453952*ep^-2-
         1321620567589634083558237044470751453/247573788562257597440*
         ep^-1+4068555980764846121634700/542997*z3-
         94085874136148994841189519815847539298439421107775888311247306\
         13195712247053151912567470581433368375073/37050266751888476086\
         57414622777989321155572343806193739737593555189760000000000000\
         00*ep+2034277990382423060817350/180999*ep*z4+15658080570232827\
         1831641864578779/1203863444784*ep*z3+
         12440417366649531671753933911656855666125649485481280513816991\
         54891624774989892828368483116325683398587107537210946859/
         11662785403017837746502868619363004966013274888081112640064439\
         362774697004876431360000000000000000*ep^2+
         131512525090221997090358300/180999*ep^2*z5+1565808057023282718\
         31641864578779/802575629856*ep^2*z4-63328334713310767737558038\
         42822799125566361/30080215310314298088960*ep^2*z3-
         27063834080127550389811959730141756768089041109465060269753220\
         61139248310947628328046526427413663382938345537629419694541453\
         864652019520517927415771090735219354054080558462673/
         85200770131265131359358033280167386669033128774001389266320968\
         53814469857651187384894664518977569716567652311570393049391132\
         30735769600000000000000000000*ep^3+976172548224752862873600500/
         542997*ep^3*z6+8866700076029494861353147660630163/
         4213522056744*ep^3*z5-6332833471331076773755803842822799125566\
         361/20053476873542865392640*ep^3*z4-40598301406081704166000884\
         616386415525502645520802957/96633814518661786022903064698880*
         ep^3*z3+142339536852029499225891100/542997*ep^3*z3^2;
Fill mncnoptab(17,7,4,1)=
      +mncF321*(-69901860567000000-8197033723063281250/13*ep-
         1546807241343844674175/702*ep^2-1399704814751549005176439/
         324324*ep^3)
      +4497717512530479810510181946578000125032981868441307/13114589113\
      246956674536844494848000-6393966040754038450/4421547*ep^-3-
         10581113685062476144604725709/274480865410752*ep^-2-1548390560\
         91563916270598787439944304827/489877792196547140305920*ep^-1+
         4067363395355086980351100/4421547*z3-
         16139057410482997003160269057376991626526818690018455771571207\
         905599345877238202507888477049661130520052007041/
         52414171492468358862580174139381791789437369886772375048496255\
         62557848748032000000000000000*ep+2033681697677543490175550/
         1473849*ep*z4+57953088412448406088339728343807/3611590334352*
         ep*z3+19500891164208180131145535397426161464058312985348734880\
         01596944464206916197684107563900051851583342745239179718903762\
         79/15307498403249824882267130165045843724281042443581762571137\
         275587763716602209878671360000000000000000*ep^2+
         131508352387181781590024900/1473849*ep^2*z5+
         57953088412448406088339728343807/2407726889568*ep^2*z4-
         30058792411411495654101506432401808359096313/
         1224694480491367850764800*ep^2*z3-
         13915597374593771926222251266622165822762434667892617477782730\
         75197414226179649373389957774820832381050917238147363251067044\
         83691952487754633317592060345836610835591/
         20374366498928286168126369608877585296301938542687593587597372\
         90203947044307293901732798329949976617632654069648286274314829\
         8240000000000000000000*ep^3+976144234415475644474309000/
         4421547*ep^3*z6+9119488100134186264500087328882153/
         34310108176344*ep^3*z5-300587924114114956541015064324018083590\
         96313/816462986994245233843200*ep^3*z4-52936333604289427331125\
         77793511347673496521945142294677/98359418349352175059026333711\
         360000*ep^3*z3+142353021952342405434820900/4421547*ep^3*z3^2;
Fill mncnoptab(17,8,1,3)=
      +mncF321*(-45076465986750000-37318498229110065000/91*ep-
         2773067553199641279325/1911*ep^2-424096803211638305371552/
         147147*ep^3)
      +14485129100098205597568446282395477315347519035920301/6536993335\
      0859443486081484943360000+125312486069657975/596232*ep^-3-
         1463901584132041057133823191/638472518716032*ep^-2-25813372811\
         7538154461434829426201703627/5697546664659531755673600*ep^-1+
         44208601777125957928100/74529*z3-19306625080387225289729277108\
         82102825920131020691774762534363189362561132890776289322469698\
         62501780544831/98490086169966871234507434820794422100381983588\
         544282533664506914013184000000000000000*ep+
         22104300888562978964050/24843*ep*z4+
         67710525282240217980081845657491/6515025701184*ep*z3+
         22937819315145511465418601005713609896361487565918561661940235\
         06188871124373893508387606499140197022550345756067379/
         28763916205359556942202234186848097419242298666989263710943240\
         4627255854440120320000000000000000*ep^2+
         2858863957548557760491675/49686*ep^2*z5+
         67710525282240217980081845657491/4343350467456*ep^2*z4-
         8572850524724167658436044366287851130279313/
         569754666465953175567360*ep^2*z3+
         15748811234445649709847341151511831714904845858062718492221444\
         30573304599774751663896130676647058040374264048153837222438000\
         5583014873473728093218002171957389194698060779364647/
         13909557497663961088627743594336750355347667735528824745671476\
         41245221105602611774780350515813434874033151864173155306944178\
         369834516480000000000000000000*ep^3+42440873345457106828094125/
         298116*ep^3*z6+18712022904407615496081153254606611/
         106412086452672*ep^3*z5-85728505247241676584360443662878511302\
         79313/379836444310635450378240*ep^3*z4-16573207317098482702828\
         78005724223279978280584450163827/45758953345601610440257039460\
         352000*ep^3*z3+3094671991129205291965975/149058*ep^3*z3^2;
Fill mncnoptab(17,8,2,2)=
      +mncF321*(-47728022809500000-39720647099133495000/91*ep-
         991777107365382720400/637*ep^2-1378629678875786822309912/
         441441*ep^3)
      +1736412057115386732036783017346614748943264062692411/74085924464\
      30736928422568293580800-18911763287288810675/1689324*ep^-3-
         243327583284224619418919698513/1809005469695424*ep^-2-
         5329440207888397121792240167361059863979/
         9685829329921203984645120*ep^-1+265363701152595942434600/
         422331*z3-1043013503057229872912772884227764436744766636571767\
         9151987642507914157030704490988218158510394823080963403303/
         51435462601403498833509162760811678997703487109281366110380952\
         09077424521216000000000000000*ep+132681850576297971217300/
         140777*ep*z4+1426180014903701314599937474051511/
         129214676406816*ep*z3+1107536653640909118462541377847184275661\
         53611017589421071888357660662620052384520230248201820121456006\
         85076108001140881/13656061453715431834086995256126863996568270\
         95986224825491181627204891794752803962880000000000000000*ep^2+
         8576982001642775881230025/140777*ep^2*z5+142618001490370131459\
         9937474051511/86143117604544*ep^2*z4-7457429887680479982287460\
         7248815670873540661/4842914664960601992322560*ep^2*z3+
         90744412082843239752979628680363821362351286985291602582551081\
         33086313679246308481350110168250556973809008262951562687053066\
         2397059748269822835119577060900624755231937937361089069/
         12633264882747873111173830982098129574916114779482736409007777\
         11589398730765057344802243918918970832374040399210067178258309\
         0641084832808960000000000000000000*ep^3+
         127327911518878658506277375/844662*ep^3*z6+5702086118104276278\
         5665761290345353/301500911615904*ep^3*z5-745742988768047998228\
         74607248815670873540661/3228609776640401328215040*ep^3*z4-
         203032708121882333742702992597404047772550209911732341/5186014\
         712501515849895797805506560*ep^3*z3+9282734912641963963672925/
         422331*ep^3*z3^2;
Fill mncnoptab(17,8,3,1)=
      +mncF321*(-10606227291000000-8889412249972113750/91*ep-
         1346207160294018180875/3822*ep^2-421402039756810675741777/
         588588*ep^3)
      +9620803965368193825595071444515238146314968010621811/18521481116\
      0768423210564207339520000-655223859918021350/1266993*ep^-3-
         6941146867432218088021490783/603001823231808*ep^-2-41743373456\
         10730396454201909813630354821/48429146649606019923225600*ep^-1
         +176845895180971089198500/1266993*z3-
         20082209954722542671807660467497675272719455244507448786126077\
         74892725598002416468281879666912931676264896779/
         43926046554416802771474073064178262754710670309967132125662853\
         90483703201792000000000000000*ep+88422947590485544599250/
         422331*ep*z4+159019364629144665334867828633259/64607338203408*
         ep*z3+23656343421074833972787074835683138792652768532467122869\
         456771610581869603853894260429374347084727456563991269086907461
       /128285512934117965612522103002610917041545578373337038551636277\
         19299956828572651356160000000000000000*ep^2+
         5717773863926273793173500/422331*ep^2*z5+159019364629144665334\
         867828633259/43071558802272*ep^2*z4-79049795429995603179774932\
         088983986092216283/24214573324803009961612800*ep^2*z3+
         16360489409128767625018618711993845410674283329243539085263448\
         09372784183553311793850974771620300966272662721721738664673840\
         76505830815650304828472888482174815064775441065109/
         64030318174629895893802005795732702270328947263249521302312675\
         13120978038076572095599330923901008123571846961687564459347759\
         5889768857600000000000000000000*ep^3+
         42441189241494625725805000/1266993*ep^3*z6+9700976608176532113\
         967216743334513/226125683711928*ep^3*z5-7904979542999560317977\
         4932088983986092216283/16143048883202006641075200*ep^3*z4-
         1929972345337482605396859153986719043169979873084860023/
         216083946354229827078991575229440000*ep^3*z3+
         6189252055522833065039900/1266993*ep^3*z3^2;
Fill mncnoptab(17,9,1,2)=
      +mncF321*(-939093041390625-3259408662901263125/364*ep-
         389216411127484099175/11466*ep^2-57333904507189928484765/
         784784*ep^3)
      +14446138553444443095998306982881742306316608731327993/3137756800\
      841253287331911277281280000-4455513607639907725/28619136*ep^-3-
         65442565662539442331172290571/30646680898369536*ep^-2-
         2881367609264666969221523056052848901471/
         273482239903657524272332800*ep^-1+5527920320576750578525/
         447174*z3-1250985992890486045143548925214947996513649970779998\
         5160386018445662477918857799983763278970757560327273/
         29547025850990061370352230446238326630114595076563284760099352\
         0742039552000000000000000*ep+5527920320576750578525/298116*ep*
         z4+485922257376065161897354356831697/2189048635597824*ep*z3+
         15352871283941450793992814322012427462526532629769119630407772\
         3657017995367475002551838208783791425493805649011793/
         86291748616078670826606702560544292257726896000967791132829721\
         3881767563320360960000000000000000*ep^2+
         2858963379837884948618975/2384928*ep^2*z5+48592225737606516189\
         7354356831697/1459365757065216*ep^2*z4-17601677814707733041836\
         82513482008588881033/8043595291284044831539200*ep^2*z3-
         21987631873843667886268996614104532115655049874686781760072666\
         13963485665962325612967351194172352212718749193955983101369002\
         5851220682067387523522308928712119186112007481244603/
         20864336246495941632941615391505125533021501603293237118507214\
         61867831658403917662170525773720152311049727796259732960416267\
         5547517747200000000000000000000*ep^3+
         42442217071922134183002625/14309568*ep^3*z6+213931773716684825\
         48820970898777671/5107780149728256*ep^3*z5-1760167781470773304\
         183682513482008588881033/5362396860856029887692800*ep^3*z4-
         579337691147996077870718458806903851701291286416425107/
         646008753114375676803628792381440000*ep^3*z3+
         3094312637145547569812875/7154784*ep^3*z3^2;
Fill mncnoptab(17,9,2,1)=
      +mncF321*(-497166904265625-1734653213851078125/364*ep-
         23195280667474033975/1274*ep^2-93132042672134652465887/2354352
         *ep^3)
      +2877930052936501276800593052611204913112796020029797/11853747914\
      28917908547610926972928000-10451384385099670925/54058368*ep^-3-
         48489554134534396724967043417/19296058343417856*ep^-2-
         3708533783069035170058630915576707909689/
         309946538557478527508643840*ep^-1+5529419289035405445725/
         844662*z3-6874319575167316353239897823210999875752675342841470\
         2182532568202586093025315576994090543553340923717376313/
         33590506188671672707597820578489259753602277295857218684330417\
         69193420095488000000000000000*ep+5529419289035405445725/563108
         *ep*z4+162458454902519078665369396446619/1378289881672704*ep*
         z3+76971967123206674901569187446316731126236348713609642699952\
         2230288996091378467083611369510933426467658423544736336503/
         98100686361384326644869843472584818914123089344316558892427741\
         38288202280673203978240000000000000000*ep^2+
         2859059313890572586583775/4504864*ep^2*z5+16245845490251907866\
         5369396446619/918859921115136*ep^2*z4-851362685764038705429714\
         86227894486226922571/774866346393696318771609600*ep^2*z3+
         49686377464733916080606008664334348559955787689724949079113801\
         60168858267596811133143943702734231163079997907430903167821665\
         74161023172903946577385283752201705050497666404619753/
         94878397486759536834938159212492075174880208956115244867650244\
         46222423120847777609943382901269005434972385038965402481613423\
         17534534382387200000000000000000000*ep^3+
         42443536165235756363098625/27029184*ep^3*z6+217031397528740137\
         59569984013231431/9648029171708928*ep^3*z5-8513626857640387054\
         2971486227894486226922571/516577564262464212514406400*ep^3*z4-
         9977234157248573358328088357708251817232503828604536003/
         20744058850006063399583191222026240000*ep^3*z3+
         3094120769213411343867275/13514592*ep^3*z3^2;
Fill mncnoptab(17,10,1,1)=
      +mncF321*(-4173746850625-143245235629130525/3276*ep-
         19411040176705830167/103194*ep^2-147666097406563535566337/
         317837520*ep^3)
      +14147568697399760212251446525594488635244728060533753/7059952801\
      89281989649680037388288000000-2201830004143770517/257572224*ep^-3
         -578030125598746515371677024523/6895503202133145600*ep^-2-
         20417478717706398368611239404141453204831/
         61533503978322942961274880000*ep^-1+220977691584959544517/
         4024566*z3-203163269436303049954583394450899153348365033211510\
         2329913764754122986539/133179665752778278066707841677801193714\
         02180978278400000000*ep+220977691584959544517/2683044*ep*z4+
         511173053347054570858717804574929/492535943009510400*ep*z3+
         68059968782793036125693379987095161035280893117234858598368759\
         731734617974367006179/1337014523629260743740195673313282761778\
         91881541659116175360000000000*ep^2+114366832096708852724663/
         21464352*ep^2*z5+511173053347054570858717804574929/
         328357295339673600*ep^2*z4-58936526816341939060381515268645535\
         005441/1230670079566458859225497600*ep^2*z3+
         10720053939579512793098471251014499255229113777702944171815103\
         94712362205395257387041654110231327589021880919844351164120107\
         8308395763/271674517454597989758099925503185599289437249848936\
         66785916142244239542269237034556762211153841487872000000000000\
         00000*ep^3+1697824266123836027308585/128786112*ep^3*z6+2715952\
         3189760446716699452572080967/1149250533688857600*ep^3*z5-
         58936526816341939060381515268645535005441/
         820446719710972572816998400*ep^3*z4-12232528163888529935331685\
         943923116369649465788447193027/2470983480662486963773880130859\
         008000000*ep^3*z3+123903837217871552636227/64393056*ep^3*z3^2;
Fill mncnoptab(18,1,1,9)=
      +mncF321*(-1265231281131984375-66399253340667932685825/6188*ep-
         367942328287783606297896/10829*ep^2-
         35297907807686909327899011551/600359760*ep^3)
      +109763591652585951047067379581479615007491567654902712866517/
      17632450022505153889645712538722304000000+427222279251306839/
         306330752*ep^-3+262879330487547760062236245171/
         24602474387857766400*ep^-2-58105171073857982724650190294567821\
         25199/658636394434641870955868160000*ep^-1+
         79692787750661739206965701/4786418*z3-111553116917684791069911\
         60531261396402159586326682646329381305185325746413135513491893\
         867925303248851/1887290330937196642183426504608244218226342301\
         67229856525907394560000000000000000*ep+
         239078363251985217620897103/9572836*ep*z4+34621339387670058439\
         86081532006422929533/12301237193928883200*ep*z3+
         31735925455614134658169403520841754258769423280542504411461096\
         00973113018053512192688100852523346979377513559747/
         12125981273818434873381034137997097135184605194055391928911238\
         081904482713600000000000000000*ep^2+
         17669029729743333074154143711/10940384*ep^2*z5+346213393876700\
         5843986081532006422929533/8200824795952588800*ep^2*z4-
         196842493310900746575510968434884895870895878080289/
         329318197217320935477934080000*ep^2*z3-
         11207792507666036830795596586338527669015696722403180556548325\
         70327630135752109980576659833706544367488933044428023582061572\
         335960146586287270001693/2223604011073504199810458393980449322\
         19007669542524748400648696288412725246229966587386053323099505\
         42643200000000000000000000000*ep^3+
         612040617520963718458837773805/153165376*ep^3*z6+5384586206087\
         500766572481431530321390199/1366804132658764800*ep^3*z5-
         196842493310900746575510968434884895870895878080289/
         219545464811547290318622720000*ep^3*z4-59775050024968026626176\
         17639684835758420172446336445788983281/88162250112525769448228\
         56269361152000000*ep^3*z3+44627962038205248381779916527/
         76582688*ep^3*z3^2;
Fill mncnoptab(18,2,1,8)=
      +mncF321*(-4498600110691500000-59229628872244471575000/1547*ep-
         1320588355974071277768200/10829*ep^2-
         177319724785729550769291906/833833*ep^3)
      +10840850187150389333989815955656058723430519110512247013/
      489790278402920941379047570520064000-1516611463403201975/28718508
         *ep^-3-436128810229043499578182391/1139003443882304*ep^-2-
         3387946905908230361575019979453572147/
         32931819721732093547793408*ep^-1+425028221245052473668492200/
         7179627*z3-713133450433861072694223984688252170105323354985905\
         1610734813381491233007442936522722801433669390877609/
         34059692691132220651904025200351907375803521225492263169909850\
         112000000000000000000*ep+212514110622526236834246100/2393209*
         ep*z4+5138159261160615235098444038948973551/5125515497470368*
         ep*z3+20228080122620646962038922625472763109061099845505422279\
         86952246914532492106170262889390659392083717550667413646529/
         21883606830094206685554835045916636236153467186146840121706999\
         97593699614720000000000000000000*ep^2+
         1963225537298148904214138275/341887*ep^2*z5+513815926116061523\
         5098444038948973551/3417010331646912*ep^2*z4-86254120526276309\
         5100466048053323446388850753957/411647746521651169347417600*
         ep^2*z3-127574058346457543487019461197766042532852547376304425\
         59936342423856418404981620267949109386128197524998011986229080\
         112661226314637943912239333389859283/
         41734267782835831950192540982020558215855001977262613715446752\
         18463146336965178685387001988307923842472345600000000000000000\
         000000*ep^3+204013540310080372574142057875/14359254*ep^3*z6+
         72674453387123544784609628896251590357/5125515497470368*ep^3*
         z5-862541205262763095100466048053323446388850753957/
         274431831014434112898278400*ep^3*z4-90892610571465819900314324\
         16810038595502041342061448581087/36734270880219070603428567789\
         00480000*ep^3*z3+14875987085603025632891586425/7179627*ep^3*
         z3^2;
Fill mncnoptab(18,2,2,7)=
      +mncF321*(-13995644788818000000-26440590447942250717500/221*ep-
         5344438849971888935700275/13923*ep^2-
         1448785682600580821717540231/2144142*ep^3)
      +13009012432461009867434681624915575314760192641307569997/
      188919107383983791674775491486310400-422007979637726200/9230949*
         ep^-3-7124136043597872355679056463/6589948496747616*ep^-2-
         321276920005627679356707535078660512533/
         35284092558998671658350080*ep^-1+1700112827500525739078248600/
         9230949*z3-903191972006235809532462995956659669732627512859022\
         89903538161819454728851110696815847422497261845729259/
         13910021457245883414926472837223507599661770077454566216353972\
         2240000000000000000000*ep+850056413750262869539124300/3076983*
         ep*z4+1287392323277334260729629801314323359/411871781046726*ep
         *z3+1274137929305464614677079278122557567858176337639932663634\
         0220050315447486059413529984503008922908099092488202675611/
         44686463164683356544787406364958586043005116548376245194084859\
         83067517747200000000000000000000*ep^2+
         7852902124178820993710292200/439569*ep^2*z5+128739232327733426\
         0729629801314323359/274581187364484*ep^2*z4-112941088449590243\
         733390107200160520646311027131/17642046279499335829175040*ep^2
         *z3-2274993408284894745534655413629482343629774590631315140184\
         60398887748720569924499152165834856422641629412541807157380720\
         57749110233712836264302769024591/
         81163464786890142289386678821633024673287698598353458321738534\
         96284438302897881692292718637003739727134720000000000000000000\
         00000*ep^3+408027079450636787822094719000/9230949*ep^3*z6+
         73781231115286159469744028578529913187/1647487124186904*ep^3*
         z5-112941088449590243733390107200160520646311027131/
         11761364186332890552783360*ep^3*z4-750715546588164651204251246\
         007865905311891628203206620877/9445955369199189583738774574315\
         5200*ep^3*z3+59503949220657968767763267800/9230949*ep^3*z3^2;
Fill mncnoptab(18,3,1,7)=
      +mncF321*(-5800826458523250000-10979738720904672180000/221*ep-
         35337056898543747887725/221*ep^2-475579413606206124290525/1683
         *ep^3)
      +2852853950044461635447816548843372283727416423203591207/99957199\
      674065498240621953167360000+21970056874836025/390728*ep^-3+
         602980889818150423815333757/1255228285094784*ep^-2+45992493298\
         26277761395075974363378931/33603897675236830150809600*ep^-1+
         3728317516861990619670700/48841*z3-821327897435760307940166274\
         18410408838140977448756461233154007872961571584967020222676637\
         3125474413571/305714757302107327800581820598318848344214726977\
         0234333264609280000000000000000000*ep+
         5592476275292985929506050/48841*ep*z4+813867564793964484132359\
         414452952287/627614142547392*ep*z3+809420471051057573464256600\
         77826044692795639297203404765078499597435578611878046719644127\
         7993181991519971303337183/687484048687436254535190867153209016\
         046232562282711464524382458933464268800000000000000000000*ep^2
         +723293614868767769379038175/97682*ep^2*z5+8138675647939644841\
         32359414452952287/418409428364928*ep^2*z4-44230288226461621787\
         813103217148548958648008819/16801948837618415075404800*ep^2*z3
         -9136007248643324208130587058308682710015686245822335526021702\
         68327787682986782349528889258987431802292293127627474763449322\
         53199617236688547436095847/17838124128986844459205863477281983\
         44467861507656119963115132636546030396241292679624773326814008\
         73123840000000000000000000000000*ep^3+
         3579184899175218940698483875/195364*ep^3*z6+390836795351935976\
         0956201085338992463/209204714182464*ep^3*z5-442302882264616217\
         87813103217148548958648008819/11201299225078943383603200*ep^3*
         z4-10216191586715412555601947941330863435606514234913787201/
         3059914275736698925733325096960000*ep^3*z3+
         260982235435822476879949625/97682*ep^3*z3^2;
Fill mncnoptab(18,3,2,6)=
      +mncF321*(-15468870556062000000-29430768912604023195000/221*ep-
         16856588397493116995800/39*ep^2-7166625231546146664561479/9282
         *ep^3)
      +15560982151506466114027591805759112044422553308259453/2044579084\
      24224882764908540569600-1530996089264058175/439569*ep^-3-
         306704568628385052292496593/7131978892584*ep^-2-23731494393401\
         2325505660893609420837/1272874911940789020864*ep^-1+
         89479659269713129838832400/439569*z3-2516719140376054296544758\
         68395541450971695124355094095198603817507199555876573594296349\
         89469073703086111/35318413856288375858211747438262812264766213\
         087286984533711257600000000000000000000*ep+
         44739829634856564919416200/146523*ep*z4+2472698456980640548043\
         6050827024239/7131978892584*ep*z3+3948547939332503553351635867\
         67450431187901526096954016002697464301639009322765153587508077\
         6174736940955557177541593/127077129624568295174239186850350979\
         0597958001844449472706788201434825359360000000000000000000*
         ep^2+2893174592912693355732016100/146523*ep^2*z5+2472698456980\
         6405480436050827024239/4754652595056*ep^2*z4-10926310658406327\
         416068177605533082594374537/1591093639925986276080*ep^2*z3+
         29713106535394468835420314973647596773260252501821178681036054\
         43049459230380576466226381562182472363248164779026603435313542\
         985335483021563447655275514310577/
         91479341161303879374367725699862582109262565090204182874431502\
         75662190411196202455383123175766915046453542912000000000000000\
         0000000000*ep^3+21475110298670917343393039750/439569*ep^3*z6+
         361545645703897722567423912225483163/7131978892584*ep^3*z5-
         10926310658406327416068177605533082594374537/
         1060729093283990850720*ep^3*z4-1885726231715340009340542214787\
         74691601432900390096247/20445790842422488276490854056960*ep^3*
         z3+3131786368153002853856163700/439569*ep^3*z3^2;
Fill mncnoptab(18,3,3,5)=
      +mncF321*(-14247643933215000000-27316659945320785462500/221*ep-
         269308637451047868662000/663*ep^2-150525620195587201499207435/
         204204*ep^3)
      +599084286841447015507207899267724655504620183106810051/854634057\
      2132600099573176995809280-588184281202295383625/16703622*ep^-3-
         649320122851405756591336197965/1490583588550056*ep^-2-22051715\
         3239465081839306075808804268809/118235936264722180160256*ep^-1
         +1565899752070649437993477000/8351811*z3-
         33512985383521925337273350200117618382652437290687498467487629\
         503982538131864380306352875149674962535473585243/
         51454170891897444455418897730934034703696063163950017163060920\
         742576128000000000000000000*ep+782949876035324718996738500/
         2783937*ep*z4+3781986983705931472347489247908545/1179725831856
         *ep*z3+6651894744286591279009331796001956264179456346810219897\
         02198231847719391385914122231223547493128044490076309392437139\
         661/2361406352450165615154854869103429811303871749726217343751\
         05529462250414402437120000000000000000000*ep^2+
         50630575838255088544941596750/2783937*ep^2*z5+3781986983705931\
         472347489247908545/786483887904*ep^2*z4-3614113863529601018618\
         00261575077133517612609/59117968132361090080128*ep^2*z3-
         14876999165504312473035443856947880827602892001574570478646436\
         31883355758729484688152618297299302441501769450771994975788038\
         74233448758411776860231125779958629/
         54799784529267475900421242403245681186732646991635913709099447\
         41132678543922973118872706107211412789427530346004480000000000\
         000000000000*ep^3+375814569406736540492078283125/8351811*ep^3*
         z6+142800505944973835828714851961944164655/2981167177100112*
         ep^3*z5-361411386352960101861800261575077133517612609/
         39411978754907393386752*ep^3*z4-381511622434141726179366034078\
         2436416921502066184712683/427317028606630004978658849790464*
         ep^3*z3+54806199904614089366350759750/8351811*ep^3*z3^2;
Fill mncnoptab(18,4,1,6)=
      +mncF321*(-3480495875113950000-6651800456728425075000/221*ep-
         21746711688403195114815/221*ep^2-271689897191332283241385363/
         1531530*ep^3)
      +223266675817600073634031216187790165506834044787735789/130378956\
      09660717161820254760960000-217477205355145115/1172184*ep^-3-
         582556784601460954076224663/272875714151040*ep^-2-131668077595\
         50067135045697059245667397/1461039029358123050035200*ep^-1+
         6710972625926364834637540/146523*z3-78434320318625987608858346\
         83009671622849325019400558285241829529333956887152595705531434\
         222782790307881/4913866275657513162881634426193086923793560081\
         7094935003424358400000000000000000000*ep+
         3355486312963182417318770/48841*ep*z4+106676251172237158897665\
         194392179827/136437857075520*ep*z3+161155359481438811855650837\
         19168892346174964386742487786714178916647847363056607331696327\
         6358723195081327070903161/232635477573580403064968763112770671\
         047681098735825990426871981956032102400000000000000000000*ep^2
         +433976175781110931769173345/97682*ep^2*z5+1066762511722371588\
         97665194392179827/90958571383680*ep^2*z4-553357992296807801468\
         2026240851740818714703303/3652597573395307625088000*ep^2*z3-
         52247529107171568411924065799562482171391030439668460183342802\
         91731203589502595503216388919097816658026363791472666253293001\
         19454209362604589057437209869/83299345439176724981212644053781\
         26216469000645620486511967902272502449837184668052616211232714\
         3644567961600000000000000000000000000*ep^3+
         6442532910457400328191224775/586092*ep^3*z6+526587618001733550\
         782344228179967363/45479285691840*ep^3*z5-55335799229680780146\
         82026240851740818714703303/2435065048930205083392000*ep^3*z4-
         69683567530869714137324683789016282596153146765097323533/
         32594739024151792904550636902400000*ep^3*z3+
         469767993522286920221973845/293046*ep^3*z3^2;
Fill mncnoptab(18,4,2,5)=
      +mncF321*(-7734435278031000000-14867479356471936810000/221*ep-
         147183514246943022433300/663*ep^2-62019266818348845727944283/
         153153*ep^3)
      +14884094700233328260501830029232794524508630194931847/3911368682\
      89821514854607642828800-10806542112023246425/879138*ep^-3-
         2172089758963219627370392867/13643785707552*ep^-2-536360977032\
         27396167850155774926198729/73051951467906152501760*ep^-1+
         44739926178181802456373200/439569*z3-9591942336501778433347493\
         10771303122286074826122864575554717677489920169784930421694124\
         9510896423077958309/271717149578757847854702857230772934538088\
         69827820815259493533220864000000000000000000*ep+
         22369963089090901228186600/146523*ep*z4+5660834093517703783973\
         75318266603/324852040656*ep*z3+7155020787171174664466327675130\
         05922359008333092805216566158428366283906258649306764657421764\
         541649555044669050445959/4700238769043564180571725803395991798\
         05382512842747010319696056097258214522880000000000000000000*
         ep^2+1446587645386024243086558550/146523*ep^2*z5+5660834093517\
         70378397375318266603/216568027104*ep^2*z4-11979899031844082370\
         3977541675896374499846023/36525975733953076250880*ep^2*z3-
         31127657946504818080411574272361188025614570795181657126964085\
         62808096951398235276070844419651526005374940658912483201294167\
         37679278919603718404812371987749547/
         63230520610693241423562972003745016753922284990349131202807054\
         70537706012218815137160814739090091680108688860774400000000000\
         000000000000*ep^3+10737557524949727317008256125/439569*ep^3*z6
         +178906255769770861842112732748984821/6821892853776*ep^3*z5-
         119798990318440823703977541675896374499846023/
         24350650489302050833920*ep^3*z4-963301480198311585959987690862\
         076494137022005346956203/195568434144910757427303821414400*
         ep^3*z3+1565892165979720990055718350/439569*ep^3*z3^2;
Fill mncnoptab(18,4,3,4)=
      +mncF321*(-5699057573286000000-11045393312512149360000/221*ep-
         110792263965797350719800/663*ep^2-47461230528696551171513098/
         153153*ep^3)
      +4529531689778704793357545983648121539560164731342743/16155653255\
      4491495266033591603200-830285597938154869975/8351811*ep^-3-
         17086818992075800873070525641/14401773802416*ep^-2-47915789229\
         694588414513797295656542027/10057877376016064474880*ep^-1+
         626375775265282800605984800/8351811*z3-
         56581081618138989580478969439645032337192936195230904778892014\
         45816747445591814442027744006995323613568997/
         21885044330202126658732045348695950488339535372190460986179030\
         561587200000000000000000*ep+313187887632641400302992400/
         2783937*ep*z4+4398141386649736936744705107941839/3410946426888
         *ep*z3+7764996857404023272634521372309112462364787975220847643\
         20951321806893395397916872335669383400717615761794470037335031/
         70306521835709089676160612832474517066230586121338229043627827\
         7699516829270016000000000000000000*ep^2+
         20252286379663085218410559700/2783937*ep^2*z5+4398141386649736\
         936744705107941839/2273964284592*ep^2*z4-298778243539951600042\
         32428131653016886132603/12851732202687193495680*ep^2*z3+
         24083743989528692528774388946683880312984746049574934269606275\
         95576787704541637954157335130261997988500867205896903304684808\
         94992583455522536079827080792570305527/
         11509639844520444913972398857885492853910347897138534683257438\
         76438652324089049986386673618227193436723056269219080437760000\
         00000000000000000*ep^3+150326208409309932136564235750/8351811*
         ep^3*z6+1286202088843250910483264800559477847/64807982110872*
         ep^3*z5-29877824353995160004232428131653016886132603/
         8567821468458128997120*ep^3*z4-7076515854057098480860690250278\
         074516518664631002076621/1857900124376652195559386303436800*
         ep^3*z3+21922303773795528502903516900/8351811*ep^3*z3^2;
Fill mncnoptab(18,4,4,3)=
      +mncF321*(-1709717271985800000-3351045133505882043000/221*ep-
         11405107485059773277330/221*ep^2-74923945528692371458128637/
         765765*ep^3)
      +104143478954650161696229993135772372655899109495657847/123860008\
      29177681303729242022912000-247576015447676992165/1855958*ep^-3-
         2051641479523977767866643082797/1296159642217440*ep^-2-
         43620248687834541484466846790430958657191/
         6939935389451084487667200*ep^-1+20881286181992475537006160/
         927979*z3-9804331999487342475559497486274411213530744501602333\
         9470159390741810997780143757546916106099785646907693/
         12849202095635482227440170670824106771045616665245043304933830\
         82088857600000000000000*ep+31321929272988713305509240/927979*
         ep*z4+13271354385869996437620807509818357/34109464268880*ep*z3
         +2658639359752796681922110743792384170237118848935499862540047\
         129467663066893299943992174850408734129648393443676301/
         82557082734489625073864268333426487048483186255757163768152836\
         16428286505752985600000000000000*ep^2+
         2025250982622243822295330970/927979*ep^2*z5+132713543858699964\
         37620807509818357/22739642845920*ep^2*z4-914906098510111741394\
         57905056247720865000209/138798707789021689753344*ep^2*z3+
         11999410848673253706047042751128200824785058222978118387810054\
         02926805528946558262322708084636825783962885876645878633181697\
         14942139634535380133044714454693694731/
         94899767752791251329428034434841159996139201259688576798067488\
         25993090934756802805133744686720672311542628739662553599180800\
         0000000000000000*ep^3+5010924241100628366895812025/927979*ep^3
         *z6+444321086255084433644624027944689929/72008869012080*ep^3*
         z5-91490609851011174139457905056247720865000209/
         92532471859347793168896*ep^3*z4-751876807101725762448912408704\
         8909270340610812029233091/6193000414588840651864621011456000*
         ep^3*z3+730720595016109512246154230/927979*ep^3*z3^2;
Fill mncnoptab(18,5,1,5)=
      +mncF321*(-1035861867593437500-2007514641322151651250/221*ep-
         11053682959741049766325/364*ep^2-14630464652789504033662351/
         259896*ep^3)
      +350183874392164361466836241108342349204127229074983/
      68710912303877297295495413760000+6241604643668760575/32821152*
         ep^-3+15279921993378000592859455/46306181795328*ep^-2-22792512\
         39234731001034716222857412347/161696019059397017395200*ep^-1+
         13981184366286543605492975/1025661*z3-461538948905970232030011\
         06290119413198872874694047231403377377926429847526071789851517\
         2480870768768931/982907254128376214848316422678274267546477378\
         1194312302564617234677760000000000000*ep+
         13981184366286543605492975/683774*ep*z4+7751473759829558617252\
         45124232035/3307584413952*ep*z3+443327564679386824963305221826\
         80151717177413432266845714787910764900032230337132984532026730\
         2524691001826541398057/221033837069457348595929505606656727338\
         0442286481370288529492409890410803599769600000000000000*ep^2+
         3616467917040772730158253075/2735096*ep^2*z5+77514737598295586\
         1725245124232035/2205056275968*ep^2*z4-78602721288070974543501\
         5941718760386393903059/1859504219183065700044800*ep^2*z3+
         13587900126196053414948026481420242697598857191879817295003218\
         25135244998942171666416455384016154979415387489405406616860898\
         72445506489307552928120713264726243349/
         21655600159745307712028365091373586554950555608150942615019600\
         53932971728025494082499049958498640567701585465514960082698240\
         0000000000000000*ep^3+53687771380960129208154077125/16410576*
         ep^3*z6+83505292083263779627626818891069455/23153090897664*
         ep^3*z5-786027212880709745435015941718760386393903059/
         1239669479455377133363200*ep^3*z4-1149364387776347724004762970\
         4940681302768927765833061809/165936853213863672968621424230400\
         00*ep^3*z3+3914734232559259823705020975/8205288*ep^3*z3^2;
Fill mncnoptab(18,5,2,4)=
      +mncF321*(-1841532209055000000-3591383095217547300000/221*ep-
         44938436462606139359500/819*ep^2-30112379568678344601945115/
         292383*ep^3)
      +193281629096187640624077137110429862046078423352403/
      21334738270353900810251325972480-374071019122524057125/18461898*
         ep^-3-6542108474816799012647133385/26047227259872*ep^-2-
         1585011634978558111098020816359582369/1468029646723472921088*
         ep^-1+223703255628947361013846000/9230949*z3-
         35102465730705491666916873654243570789870938834686978086264495\
         726421214853683772276489789984625703472023/
         42387875334286224265333645728000577787941836931400471804809911\
         8245478400000000000000*ep+111851627814473680506923000/3076983*
         ep*z4+259215677641080468380042570010065/620172077616*ep*z3+
         33468236383390100883174400204788857243344931080976534320134250\
         535598414833381310416290589763353663415191962369301279/
         95320842236203481581994599292870713664531573604509093692834360\
         176523965905240064000000000000000*ep^2+
         7232950951862461888362962750/3076983*ep^2*z5+25921567764108046\
         8380042570010065/413448051744*ep^2*z4-101607047191600351907395\
         03624215174176192413/13946281643872992750336*ep^2*z3+
         27416521846403327282654625853163737822174575655718093558747217\
         82105068905717549282689240311304258902789804377346365168304281\
         365894605848889613429316931895278967/
         96923282901224799275557043013772571401350298081166607859010010\
         64746545887065684095887777837702681572404684372371203686400000\
         0000000000000*ep^3+53687873999896095760187605625/9230949*ep^3*
         z6+85196189238133303591702166065973455/13023613629936*ep^3*z5-
         10160704719160035190739503624215174176192413/
         9297521095915328500224*ep^3*z4-9517801788711534564367836076236\
         5461498787430875362769/74671583946238652835879640903680*ep^3*
         z3+7829420123306076465071761750/9230949*ep^3*z3^2;
Fill mncnoptab(18,5,3,3)=
      +mncF321*(-1017688852372500000-2001909924745782975000/221*ep-
         20555702887118698576750/663*ep^2-824049138259697397339455/
         13923*ep^3)
      +5345708300473756614237708099723451777314645938981/
      1068142363996637985229974159360-2457238884818570472125/33407244*
         ep^-3-41519413790727596243161678885/47133077898816*ep^-2-
         179657682249722434600886090588588474255/
         50472257377826069001216*ep^-1+111862935106487073934403000/
         8351811*z3-716619278263618851634099659603545697650727643733659\
         44384352605072317784545303311531941380515313187677941/
         15814402579243670433772517748706592948979220511070822529149330\
         24109363200000000000000*ep+55931467553243536967201500/2783937*
         ep*z4+31976864902820355629253232872815/137816017248*ep*z3+
         25161700822732289944270874912661492256475042904020169582818356\
         144032989264753050409807740293209907993452832838614173/
         13209133237518340011818282933348237927757309800921146202904453\
         7862852584092047769600000000000000*ep^2+
         3616515747389817493502326375/2783937*ep^2*z5+
         31976864902820355629253232872815/91877344832*ep^2*z4-971515449\
         1182147265796118355626849303828497/25236128688913034500608*
         ep^2*z3-474376721877897962636760441199421515130822773858018580\
         12523182084073639603523517181947277225760988636178638106540347\
         36582655378951017931598467941952742153590707/
         61473533766990284261977674127832330361871547374697053796319020\
         73517791698627888456766798177632824169420326309093152129024000\
         000000000000000*ep^3+53688421535314827032862880625/16703622*
         ep^3*z6+87541231299404332648800153913448455/23566538949408*
         ep^3*z5-9715154491182147265796118355626849303828497/
         16824085792608689667072*ep^3*z4-994996104726005460901514946376\
         25025065852161909158173/135120009045574705131591731159040*ep^3
         *z3+3914586882475485567281145875/8351811*ep^3*z3^2;
Fill mncnoptab(18,5,4,2)=
      +mncF321*(-203537770474500000-405032035267739013750/221*ep-
         4234402935372638849975/663*ep^2-694267208788110769728509/55692
         *ep^3)
      +67556027185198883922200594566046895250609378165579/
      67560004522787352565795865579520-1246311886220817690175/33407244*
         ep^-3-10565204551091012000985397/23379502926*ep^-2-87091516953\
         18836941439060461501473287/4673357164613524907520*ep^-1+
         22376829011652053732289100/8351811*z3-
         25005624133923661450287442769549338757598320725484083562427957\
         379180286262769854519091590248347286446896749/
         27817211393979835809935781729816760128010592160187636607905730\
         07101755392000000000000000*ep+11188414505826026866144550/
         2783937*ep*z4+57909440627153814193966577537987/1240344155232*
         ep*z3+23372118861252743594853730001807839178061958087769509136\
         268307458563266127095479848452876536902814286722426754333896797
       /625546809748189959131108684629277267578792599857908566608975204\
         307651880378769080320000000000000000*ep^2+
         723318079883240968850683025/2783937*ep^2*z5+
         57909440627153814193966577537987/826896103488*ep^2*z4-
         1518155254418984091817826392376792487372707/
         21030107240760862083840*ep^2*z3-
         81710292399397465147944358659907583252556353422072664801487653\
         27771592947119456705289204440636170669162464415698680156675330\
         388664656062982589044858357216641006266853/
         27324625700157974697069827423444436399345497560418217186862997\
         70537942091545861598543309298711321351051485582480667147174412\
         2880000000000000000000*ep^3+10737887053190354264098799875/
         16703622*ep^3*z6+18142736123723089027018651708651601/
         23566538949408*ep^3*z5-151815525441898409181782639237679248737\
         2707/14020071493840574722560*ep^3*z4-2345377480221381032313249\
         91389389123993287345949621/1508035815240789119772229142400*
         ep^3*z3+782869992699865163508207925/8351811*ep^3*z3^2;
Fill mncnoptab(18,5,5,1)=
      +mncF321*(-12115343480625000-48965371879687374375/442*ep-
         1294946816625678531425/3276*ep^2-3715215802680334105635553/
         4678128*ep^3)
      +21068665136143994339036458095024942020704163413339859/3546900237\
      44633600970428294292480000-895511963929290048275/2806208496*ep^-3
         -916123526133488859842671915/109977181763904*ep^-2-36012056397\
         59836946507860363498062980003/52995870246717372451276800*ep^-1
         +27963262968988058282254475/175388031*z3-
         46666431278898473954640082232810958198946955927449688905853024\
         17413444977834599226601746826492895501159589/
         88667361318310726644170304263790922908033762510598091687699514\
         60136845312000000000000000*ep+27963262968988058282254475/
         116925354*ep*z4+291820235016528823577986488119695/
         104188909039488*ep*z3+4270664859774938162924934906734277143728\
         97940560289008982312659360813834704457511939212395665866804324\
         7424275843715397/199393045607235549473040893225582129040740141\
         2047083556066108463730640368707326443520000000000000000*ep^2+
         3616482275035780469082587725/233850708*ep^2*z5+291820235016528\
         823577986488119695/69459272692992*ep^2*z4-10365050916453191551\
         2814214928557931104164547/26497935123358686225638400*ep^2*z3-
         84208388613594881191976952703780350094164935287865111223772069\
         68053794573286251217257483169358648144270167310574962264288543\
         463271315920690382037169649228111501385907/
         16548476439658173425912914233323536794353616960028282783793902\
         98532041179192462430617791694032043993230555955889854041007503\
         441920000000000000000000*ep^3+7669709838022420838656246625/
         200443464*ep^3*z6+13568123250381926839363030476895915/
         282798467392896*ep^3*z5-10365050916453191551281421492855793110\
         4164547/17665290082239124150425600*ep^3*z4-3503743339809104549\
         329735413377140365508264970281416643/3546900237446336009704282\
         94292480000*ep^3*z3+3914705947925158773036987425/701552124*
         ep^3*z3^2;
Fill mncnoptab(18,6,1,4)=
      +mncF321*(-150670817104500000-297864989255110068000/221*ep-
         7190643686443739389390/1547*ep^2-47987055336576698042909617/
         5360355*ep^3)
      +8053705465563397332404955067339952566816398790274321/10864913008\
      050597634850212300800000-221490929374460405/1367548*ep^-3-
         567367957010053574256398015/191012999905728*ep^-2-521646784957\
         346888319514479397332669389/25568183013767153375616000*ep^-1+
         677877753802560338971880/341887*z3-944373732580759321419684065\
         46458637189903356037054974714998998389469616526070068265697748\
         5241415293573/141292917780954080884445485760001925959806123104\
         668239349366372748492800000000000000*ep+
         1016816630703840508457820/341887*ep*z4+46985270683210538592040\
         4958893893/13643785707552*ep*z3+886916956354647721922476776461\
         45157168927662360876774152141035182661473780637748335410524213\
         7963926166497376145149/317736140787344938606648664309569045548\
         43857868169697897611453392174655301746688000000000000000*ep^2+
         65753982354325143892843485/341887*ep^2*z5+46985270683210538592\
         0404958893893/9095857138368*ep^2*z4-70955719050525658608711460\
         3053669666332257331/12784091506883576687808000*ep^2*z3-
         19975813532661565345057303021545490262596958882415318908970700\
         62307265853759562835140023397751265688404838818894031869200192\
         071862057779347997127264919547286476423/
         39250775289538370228051411728114625630847882039773583489723025\
         97753511257046208024529528049778786028959123656245865149890560\
         00000000000000000*ep^3+325380523002612917769358025/683774*ep^3
         *z6+17779135755654942967834761085918531/31835499984288*ep^3*z5
         -709557190505256586087114603053669666332257331/
         8522727671255717791872000*ep^3*z4-1276892406158135650652433548\
         4509761534925585066643542081/114081586584531275165927229158400\
         000*ep^3*z3+23725632612085426454291435/341887*ep^3*z3^2;
Fill mncnoptab(18,6,2,3)=
      +mncF321*(-200894422806000000-399799631081180385000/221*ep-
         2250390184584936824200/357*ep^2-26366305223579786500598237/
         2144142*ep^3)
      +96594926753633533599788122908578867746437722009683/
      97784217072455378713651910707200-31086634299746472425/3076983*
         ep^-3-378059730729100871153793872/2984578123527*ep^-2-35472029\
         213298227714867965374646597397/63920457534417883439040*ep^-1+
         8135179761417217558216400/3076983*z3-1203608223495055853740228\
         51068907787186929633374269754388392550720625296000244630419645\
         4375088020815759/135254758901426128709896533377095860747848596\
         476263613736145587588300800000000000000*ep+
         4067589880708608779108200/1025661*ep*z4+
         17462669317317767584189653814721/378994047432*ep*z3+
         17659414925997182354867043284115618720757681194724461648861361\
         24851757549191042945958657831152580876829839190497/
         47748457336315572628030230383705313504038858447517156603905631\
         095594485284864000000000000000*ep^2+
         263018249671787817756027100/1025661*ep^2*z5+
         17462669317317767584189653814721/252662698288*ep^2*z4-
         227777542045211124474026605602203812973369/
         3196022876720894171952*ep^2*z3-
         25072935178565998003647075056725014930909240296530548794402500\
         60391382625544848812021593171331579641557830421090829974766410\
         963931904853737072025241402730439878533455109/
         31273459843126869327155705525226912407975549513338139987141301\
         79994493890785061369469124578238944544988660975067105014518130\
         93376000000000000000000*ep^3+1952298923134865589274662250/
         3076983*ep^3*z6+18144758727089407017660365100307991/
         23876624988216*ep^3*z5-227777542045211124474026605602203812973\
         369/2130681917813929447968*ep^3*z4-526588806481333221542554768\
         43080183263496736697681463/342244759753593825497781687475200*
         ep^3*z3+284700658033528992158698700/3076983*ep^3*z3^2;
Fill mncnoptab(18,6,3,2)=
      +mncF321*(-74013734718000000-148613116200385567500/221*ep-
         1575067783166249130025/663*ep^2-1443839369295778409093123/
         306306*ep^3)
      +2701739575840519302538717104573767251131164299386811/74316004975\
      06608782237545213747200-123289548163172677550/8351811*ep^-3-
         46387415602003766010021732859/259231928443488*ep^-2-1027052708\
         359565098859308785875454354463/1387987077890216897533440*ep^-1
         +8137262642807640248359400/8351811*z3-
         11110171247711177428973814451603812450171772548289525860330799\
         7213013791654061836829964490092038514716563/
         34342236288863994827081212012119456948161224889120539022105839\
         593848832000000000000000*ep+4068631321403820124179700/2783937*
         ep*z4+923499491106740070069644119849/54142006776*ep*z3+
         10266028385179382450357380221855027842074135945858786437236273\
         7616394932194081516113853059615214798074937632937404339/
         77228001203480241868038109213491020688739827142951674889996938\
         80341381239244062720000000000000000*ep^2+
         263025568473413270875471600/2783937*ep^2*z5+
         923499491106740070069644119849/36094671184*ep^2*z4-17268342655\
         130304071440974274351543019735953/693993538945108448766720*
         ep^2*z3-226767143150407647660441679578566989276272509813657693\
         63713423959272484729391126629880277653479137963838377578625738\
         7193338673726885511120287061984953623367898473/
         28033882938502077251533628217343219861850310413889624691559451\
         83685177071453638656554128756244302196626126585083273978839040\
         000000000000000000*ep^3+1952348606943580430945138500/8351811*
         ep^3*z6+2330042881210659766342534061120497/8100997763859*ep^3*
         z5-17268342655130304071440974274351543019735953/
         462662359296738965844480*ep^3*z4-43768549780414660266094688170\
         088394956263099858476623/743160049750660878223754521374720*
         ep^3*z3+284677311001171519916637200/8351811*ep^3*z3^2;
Fill mncnoptab(18,6,4,1)=
      +mncF321*(-7401373471800000-15036772996633311000/221*ep-
         12481072436078685850/51*ep^2-18100347154296308638708/36465*
         ep^3)
      +33695782699535933386204902378117594201872333890383791/9289500621\
      88326097779693151718400000-4466041459468788595/16703622*ep^-3-
         8081047805162820180237349447/1296159642217440*ep^-2-1676461958\
         210711310852708399389107788553/34699676947255422438336000*
         ep^-1+813488016638502316388000/8351811*z3-
         15119356460580083286139810024841010598114416688558140311749502\
         498319200175114766299760655026059215582073533/
         47289259369765720876890828940688492217618006672318982233439741\
         120729841664000000000000000*ep+406744008319251158194000/
         2783937*ep*z4+58527459676800075217503153072787/34109464268880*
         ep*z3+13745818330259983839953257890002184342895898457701738411\
         664213330520612148035728896440980674112802643007959318684550509
       /106342957657192293052288476386977135488394741975844456323525784\
         73230081966439074365440000000000000000*ep^2+
         26301731711515247035636450/2783937*ep^2*z5+
         58527459676800075217503153072787/22739642845920*ep^2*z4-
         40020082953051910729444869327260457191495479/
         17349838473627711219168000*ep^2*z3-
         17428800299699437637976234229295015160946954716281234089402033\
         03357906946882314583081855650238544451989529208327138805512929\
         4172942472886416152585124758937697370916399/
         88258541011510258271535542577725529569885957120150841513567482\
         58837552955693132963294889034837567963896298431412554885373351\
         690240000000000000000000*ep^3+195229267794768096976303375/
         8351811*ep^3*z6+19295283248877490456492872065527631/
         648079821108720*ep^3*z5-40020082953051910729444869327260457191\
         495479/11566558982418474146112000*ep^3*z4-28644441159930051349\
         68200838504645892513761352295771147/46447503109416304888984657\
         5859200000*ep^3*z3+28470480921367596926414090/8351811*ep^3*
         z3^2;
Fill mncnoptab(18,7,1,3)=
      +mncF321*(-9826357637250000-19998452448171945000/221*ep-
         504561170403724800375/1547*ep^2-710112589712013492317164/
         1072071*ep^3)
      +14487525573715673560768046468481547052527011593171309/2998715990\
      22196494721865859502080000+447618057368743525/8205288*ep^-3-
         1638621600809201093592144133/8786597995663488*ep^-2-1684127721\
         716745279732620910720181195747/235227283726657811055667200*
         ep^-1+132625663344887875631500/1025661*z3-
         20998631402453186929508529042694381997423629791721203985189565\
         99537523691973612578265029591995181791623/49773751275724815365\
         24192428277127675520828350326500985490157623249469440000000000\
         000*ep+66312831672443937815750/341887*ep*z4+143094575391631413\
         7971587204350031/627614142547392*ep*z3+
         13509541886517037589562536179100509043901046898295344171811689\
         38525245700517157316064482644478957517706202317587227/
         79950016963926794808373817754476176931162664584522727017579588\
         7064634061609762816000000000000000*ep^2+
         8576590731649505755860625/683774*ep^2*z5+143094575391631413797\
         1587204350031/418409428364928*ep^2*z4-356330250121194409476058\
         712423023843072057021/117613641863328905527833600*ep^2*z3+
         19774917305771353872864735244733335691162471393762495064860485\
         00782525255252626194461209404024073582651073917460268924477139\
         7091532981908627544161290746442163591764288438241/
         11814196885865501269467126792143834196860145956123767864499313\
         20879209142814707430560957566452120494263690285369150389697445\
         7562988544000000000000000000*ep^3+127322604341293707581594375/
         4102644*ep^3*z6+3062079617637886529699255124923587/
         77075421014592*ep^3*z5-356330250121194409476058712423023843072\
         057021/78409094575552603685222400*ep^3*z4-86993198227724295111\
         38217977566466550859079298053005951/10495505965776877315265305\
         08257280000*ep^3*z3+9284018213988477131454725/2051322*ep^3*
         z3^2;
Fill mncnoptab(18,7,2,2)=
      +mncF321*(-8734540122000000-17898793025426032500/221*ep-
         1368941696265227192825/4641*ep^2-433632034984325735286173/
         714714*ep^3)
      +385827145435703754786032563932028321010379803313433/899614797066\
      5894841655975785062400-6194789607241673350/3076983*ep^-3-
         53454751740127793344327278239/2196649498915872*ep^-2-691733942\
         2836709865497367385655875097/68779907522414564636160*ep^-1+
         353816522368168496687800/3076983*z3-95756804419424048328729776\
         60131700668961647961473741374233474814974001055495200573271729\
         2213316669350793/259026664802241386084422259022585215766900250\
         884338316591834733454819328000000000000000*ep+
         176908261184084248343900/1025661*ep*z4+15960946163382951444754\
         2937466779/78451767818424*ep*z3+855007443728279781702199411488\
         34717645963583846437655326099712737225008147279853942977705272\
         971580656942897408335169/5824929807371809336038663864968978604\
         9847084197295129684236557486137624488711290880000000000000000*
         ep^2+11435969018457944419719200/1025661*ep^2*z5+15960946163382\
         9514447542937466779/52301178545616*ep^2*z4-5582343019264823418\
         70908675076326759821479/217803040487646121347840*ep^2*z3+
         36291522088356863258088019764638926515905248865361044014493845\
         19653648925842885508829831552241913862540251344053564492162808\
         728439984155948164200212181440557750886043884781/
         52861082409125302554129472539212118230166671691688124618265126\
         12813550245109835160508383144246170265186548093856283790254075\
         029749760000000000000000000*ep^3+84885226332514161906174500/
         3076983*ep^3*z6+4946146829310838680636369191580269/
         137290593682242*ep^3*z5-55823430192648234187090867507632675982\
         1479/145202026991764080898560*ep^3*z4-475336405832036261945734\
         16948227596390972963236301203/62973035794661263891591830495436\
         80*ep^3*z3+12376993847352517766526400/3076983*ep^3*z3^2;
Fill mncnoptab(18,7,3,1)=
      +mncF321*(-1608994233000000-3327105909099183750/221*ep-
         73702553641283218325/1326*ep^2-71214334517165964459077/612612*
         ep^3)
      +67266918511578260156885262412078790357558697913430713/8546340572\
      132600099573176995809280000-991487457833688200/8351811*ep^-3-
         9498135551152698055072008923/3974889569466816*ep^-2-7747630871\
         63769684287114348177664919247/45605289702107126633241600*ep^-1
         +176851270408114823474900/8351811*z3-1854165554295306502383962\
         14216088255387864768454124636736906714103170935007915079859700\
         8756780973528561353/271913241376152895042122266408958830251303\
         53836583414784227851144419658956800000000000000*ep+
         88425635204057411737450/2783937*ep*z4+
         3109173263999030912202497457173/8258080822992*ep*z3+
         23547565053864009893070192004618958233920813357080565210966754\
         5955447533176651215713685044047780611954628432891215807/
         87353143789836526435808391317874075579752823765872231980039037\
         4586756732957495394304000000000000000*ep^2+
         5717795373310735122252100/2783937*ep^2*z5+
         3109173263999030912202497457173/5505387215328*ep^2*z4-
         14071182109681046699225388286862733654180811/
         31923702791474988643269120*ep^2*z3-
         65586464135212155309564438225653989988615628495617870462935956\
         53541821828166298284100719505251529592536167463904177542563119\
         3105439983411253479873570685512911078687430783/
         55490921258979286356197413798037921112117463608349608818023816\
         15301024369804049459743675205672417235879578861525633908819215\
         26247981056000000000000000000*ep^3+42441337123810226358203500/
         8351811*ep^3*z6+10149375624078770134702313976343843/
         1490583588550056*ep^3*z5-1407118210968104669922538828686273365\
         4180811/21282468527649992428846080*ep^3*z4-1223884598310275821\
         567959022734012563898641491067573573/8546340572132600099573176\
         99580928000*ep^3*z3+6189209108885662027525700/8351811*ep^3*
         z3^2;
Fill mncnoptab(18,8,1,2)=
      +mncF321*(-233960896125000-3490218372510911250/1547*ep-
         94157339804877975050/10829*ep^2-95491343427364444159823/
         5002998*ep^3)
      +535123758325305532451851022996768026501929055332203/466466931812\
      305658456235781447680000-4081001767161932525/114874032*ep^-3-
         20199325771076923008973232297/41004123979762944*ep^-2-
         8090698451516616403155079418385353635661/
         3293181972173209354779340800*ep^-1+22111307064646493822300/
         7179627*z3-199144081921942782746238998839245939318635636870186\
         5286423018407555294896458593225776172494609645038891/
         19807921426053753053514643337021222382174725067625871268787361\
         9700744192000000000000000*ep+11055653532323246911150/2393209*
         ep*z4+54315297634769903843106280643593/976288666184832*ep*z3+
         17890047257992003810301844522166973052841253219441692758306793\
         62360677961051419203897323012761485259259161183225603/
         44543580879902071393236841320351012861647770268519805052651485\
         136458183432543928320000000000000000*ep^2+
         2858957390997428376846175/9572836*ep^2*z5+
         54315297634769903843106280643593/650859110789888*ep^2*z4-
         16001166099897275678290539003308816600003743/
         329318197217320935477934080*ep^2*z3-
         10680397745622975434935093886733983108953913621880717061577010\
         48376697673638253030207367291449592793250546082751016890272859\
         99986976658591148100571388820503949621279357380081/
         65821954078393507072745420699087076239649384612689563816496173\
         59184165224253369970268192155947528468040560161342409314028626\
         35652218880000000000000000000*ep^3+42442134723668495776246625/
         57437016*ep^3*z6+22054126600690506301512722449297511/
         20502061989881472*ep^3*z5-160011660998972756782905390033088166\
         00003743/219545464811547290318622720*ep^3*z4-67590937214896918\
         8731146076936722631202747322491971933/293874167041752564827428\
         5423120384000*ep^3*z3+3094324600252725633454475/28718508*ep^3*
         z3^2;
Fill mncnoptab(18,8,2,1)=
      +mncF321*(-103982620500000-1561932239821305000/1547*ep-
         22534331059635664600/5733*ep^2-21849896845694243068784/2501499
         *ep^3)
      +4790360864429262437397675718199219151140305851649187/94459553691\
      99189583738774574315520000-12044276102413668025/258466572*ep^-3-
         55780602847687338303788102497/92259278954466624*ep^-2-
         7124736169225665888017741941422061132847/
         2469886479129907016084505600*ep^-1+88477081321414515242200/
         64616643*z3-72396336757799328452753375823145594762943556944204\
         8203314035740800847936127960660112138378815484682446293/
         17173467876388603897397195773197399805345486633631630390038642\
         8280545214464000000000000000*ep+44238540660707257621100/
         21538881*ep*z4+163589242194411074520606889078879/
         6589948496747616*ep*z3+875999986783796421203286312251943027005\
         07440990996847302700609836550482999888791753893489227851850842\
         350840155237947/5517040660410727985419477346392046878721230974\
         686667282949833944758463576573655121920000000000000000*ep^2+
         2859084803047419812555675/21538881*ep^2*z5+1635892421944110745\
         20606889078879/4393298997831744*ep^2*z4-4921049591590852483827\
         136992470168628341149/246988647912990701608450560*ep^2*z3+
         24168194340525919658464317653589073267086953015550754077236716\
         03063465069498381301477635837296883493332019713698634722162369\
         45086950420927745267973982537578950268800604828008330833/
         13774739578305414128663699902209962819570054818291203834479026\
         24443951307573766377182728705924064123494798047058774169636086\
         8798055513220962058240000000000000000000*ep^3+
         42443886639104224612124125/129233286*ep^3*z6+22465803720052411\
         692285957566058611/46129639477233312*ep^3*z5-49210495915908524\
         83827136992470168628341149/164659098608660467738967040*ep^3*z4
         -686094001840109464261542195978768242150603730048778957/
         6612168758439432708617142202020864000*ep^3*z3+
         3094069775663816146357975/64616643*ep^3*z3^2;
Fill mncnoptab(18,9,1,1)=
      +mncF321*(-1169804480625-76592706457367925/6188*ep-
         1169271051818127551/21658*ep^2-81396617472634278970489/
         600359760*ep^3)
      +1569986025638723926119315395278969198506270177749617/27988015908\
      7383395073741468868608000000-733944014083413639/306330752*ep^-3-
         583194169595030881493290509323/24602474387857766400*ep^-2-
         62569949175271081381274449815483081073693/
         658636394434641870955868160000*ep^-1+73659230443398745239/
         4786418*z3-200340531673875564463884220569917601422655251930580\
         6482338805810021851219/475171893858678053842945262282525246708\
         05312379289600000000*ep+220977691330196235717/9572836*ep*z4+
         514000568646078065857300855704529/1757319599132697600*ep*z3+
         21348110582853772740819558780200540678097196048751733874123382\
         666385992918173696631771/1545588789315425419763666198350154872\
         61643015062157938298716160000000000*ep^2+
         114366832009070274497463/76582688*ep^2*z5+51400056864607806585\
         7300855704529/1171546399421798400*ep^2*z4+44246601021936400286\
         179442721034395767449/2634545577738567483823472640*ep^2*z3+
         79217257251757798699118928187319939668933469605600679698935506\
         98172940233793697160691861421510268609693700370756445056091598\
         6164373797/461846679672816582588769873355415518792043324743192\
         33536057441815207221857702958746495758961530529382400000000000\
         000000*ep^3+565941421609879472868195/153165376*ep^3*z6+2779987\
         9351734105568646434853405767/4100412397976294400*ep^3*z5+
         44246601021936400286179442721034395767449/
         1756363718492378322548981760*ep^3*z4-4092425885789955545249307\
         778262417467258525565090380609/2938741670417525648274285423120\
         384000000*ep^3*z3+41301279073303219702209/76582688*ep^3*z3^2;
Fill mncnoptab(19,1,1,8)=
      +mncF321*(-111076545943000000-4469048421900026554150/4641*ep-
         326009263639029057873841/103194*ep^2-
         233883453827573252014168607/40933620*ep^3)
      +739148612267636419962638404998305058686770250249381549237/
      1352489064226247599489869995867904000000+1108087643307325549/
         581549787*ep^-3+15986701905722434884859332281/
         1887121614977726400*ep^-2-193836130880592170222995161515006337\
         4289/50520405254929916238092160000*ep^-1+
         850056352903296573418598324/581549787*z3-
         16390725161036364980875551975068267165775424192262937881147615\
         85083538361594374006568671756626761/32240063506807978353625407\
         2170231223503497796614026950606848000000000000000000*ep+
         425028176451648286709299162/193849929*ep*z4+589344214292219042\
         4135969661902461047/235890201872215800*ep*z3+
         65088450089540150684820184213623986900676103251666683345002265\
         773652943193048598840017017342382290286193063/
         29592116420774632168353601375396393597031360291094673920643184\
         35491840000000000000000000*ep^2+3926451021626320571754670168/
         27692847*ep^2*z5+5893442142922190424135969661902461047/
         157260134581477200*ep^2*z4-10985289386767948010434244177409071\
         6924342273389/2296382057042268919913280000*ep^2*z3-
         12395596792953535014492603935661877173824605882971719869536850\
         40119827649994815311001486637834968902939091559595062865508273\
         20284321397896047/90680347437994812219512614172029837902539134\
         87004439373728849936159144368791136806246461564707143680000000\
         00000000000000*ep^3+204013537753123588583573688010/581549787*
         ep^3*z6+175766456829825654454065037836741147613/
         471780403744431600*ep^3*z5-10985289386767948010434244177409071\
         6924342273389/1530921371361512613275520000*ep^3*z4-
         47108009262745079276886102285793067545053706844393107904741/
         676244532113123799744934997933952000000*ep^3*z3+
         29751975343299940357459692728/581549787*ep^3*z3^2;
Fill mncnoptab(19,2,1,7)=
      +mncF321*(-286460565853000000-1656230967463750273750/663*ep-
         296232673636785397085375/35802*ep^2-9280195906214097247129309/
         612612*ep^3)
      +2445303081828405412144902468377849387318016676676106463/17349713\
      94342708290890795329976320000+93771430434151825/11868363*ep^-3+
         1010000968913087785167899293/16945581848779584*ep^-2+192875551\
         0305614904745941917232543101/64807516945099601005132800*ep^-1+
         44739808331169367368711500/11868363*z3-
         11784632347125103192319438893402737013783285058970148679104051\
         815589655872550562682159859437912789567/9032481465744080139562\
         64469949578415562452602432114689373634560000000000000000000*ep
         +22369904165584683684355750/3956121*ep*z4+13688918467289478790\
         4052479484818477/2118197731097448*ep*z3+
         32531470003759586751059978754033760713263010911031336688152772\
         49881981778764479957186624860587236324157833950471/
         58034367746342021486736891383063098757149502010878240511798519\
         260617113600000000000000000000*ep^2+
         1446587224591673390961382000/3956121*ep^2*z5+13688918467289478\
         7904052479484818477/1412131820731632*ep^2*z4-27235720236449215\
         187496096219793102527849553579/226826309307848603517964800*
         ep^2*z3-511762756318991397329208338654851788770910422335988987\
         71189270588351206327572695204099905498424612587094623186151140\
         414801369164760855535630738143947/
         10751523906834798069503170441307231839838110723418250323139390\
         34572743775189070042355658832434261626191872000000000000000000\
         000000*ep^3+10737554663609627013788586250/11868363*ep^3*z6+
         592831275546179672571455727750968819/605199351742128*ep^3*z5-
         27235720236449215187496096219793102527849553579/
         151217539538565735678643200*ep^3*z4-11300713087968827083884244\
         09239446160788747674305480408937/60723998801994790181177836549\
         17120000*ep^3*z3+1565893438979139685204947200/11868363*ep^3*
         z3^2;
Fill mncnoptab(19,2,2,6)=
      +mncF321*(-633228619254000000-1228671305420053302500/221*ep-
         111078210824654309781425/5967*ep^2-1867686570491870758125361/
         54054*ep^3)
      +208382297418905414552027729345483499359156555559157259/668844044\
      77559479040137906923724800-3065418632729076100/75166299*ep^-3-
         1181336301278622261885253753/2333087355991392*ep^-2-7635481222\
         39428688436238695331218129/356910962886055773651456*ep^-1+
         626357441652385169521619800/75166299*z3-
         10679729048029758742212297084091186122302933626805382102089289\
         2411191803543769067876834038159283240441/373080756193777223155\
         8483680226519542540565097002212847412838400000000000000000000*
         ep+313178720826192584760809900/25055433*ep*z4+5500776469957242\
         07571101971917878/3837314730249*ep*z3+
         22520483018585673086497016422182945233393458105314532957572110\
         8968394651117659218844976228252927020844575573433/
         18439013163553485087759212981240783886050845120513153339869094\
         74835660800000000000000000000*ep^2+
         20252221540615432307310972200/25055433*ep^2*z5+275038823497862\
         103785550985958939/1279104910083*ep^2*z4-160513385932716894497\
         7177380251211836190926333/6245941850505976038900480*ep^2*z3+
         68779142749824897243819152442766326100470840883808672354754952\
         26565965262718652531234796647866857040468798711533338142046990\
         6626839675027722263015863401/776797602268814160521604064384447\
         50042830349976696858584682095247880737757410310560196350643375\
         402492362752000000000000000000000000*ep^3+
         150325767950484779381028242000/75166299*ep^3*z6+18441695724537\
         2405755020545174798311/83324548428264*ep^3*z5-1605133859327168\
         944977177380251211836190926333/4163961233670650692600320*ep^3*
         z4-2859717483341266761218809853382866319925291482436625839/
         6688440447755947904013790692372480*ep^3*z3+
         21922506519146027209579911400/75166299*ep^3*z3^2;
Fill mncnoptab(19,3,1,6)=
      +mncF321*(-257814509267700000-501457059495308070000/221*ep-
         15169573133877010767910/1989*ep^2-32676897375265111587944902/
         2297295*ep^3)
      +1711712641098877650532957754827603588633354124145251137/13494221\
      95599884226248396367759360000-45590679302195405/5274828*ep^-3-
         11987819210064038940826681/116224841212480*ep^-2-1951768140179\
         4666156669094722158861083/50405846512855245226214400*ep^-1+
         4473981515778011913387560/1318707*z3-1050381798810032369548453\
         59258047711610719487899640818304787419113168362615042840552890\
         940300846092899/9032481465744080139562644699495784155624526024\
         321146893736345600000000000000000000*ep+
         2236990757889005956693780/439569*ep*z4+27506427724721365227570\
         4155604970969/4707106069105440*ep*z3+
         41022439929365513176484232141820907799811742678608359208492399\
         8656767097538835783112085335433435731920058756293/
         82906239637631459266766987690090141081642145729826057873997884\
         65802444800000000000000000000*ep^2+144658724505000478826109415/
         439569*ep^2*z5+275064277247213652275704155604970969/
         3138070712736960*ep^2*z4-6857619367223099261636090150047553800\
         99048259/6632348225375690161344000*ep^2*z3-
         75695812837225702434265109789136243032108159418378150496063943\
         42927722006370351582287633106893967956513616575509466840856800\
         40468085286907543516730602537/15535952045376283210432081287688\
         95000856606999533937171693641904957614755148206211203927012867\
         508049847255040000000000000000000000000*ep^3+
         2147510959996117122824703425/2637414*ep^3*z6+42745498891712591\
         14059940648212121283/4707106069105440*ep^3*z5-6857619367223099\
         26163609015004755380099048259/4421565483583793440896000*ep^3*
         z4-31326394648903206429494623793189207082830895450074306747/
         177555552052616345558999522073600000*ep^3*z3+
         156589334401852723166658515/1318707*ep^3*z3^2;
Fill mncnoptab(19,3,2,5)=
      +mncF321*(-474921464440500000-930687827060290530000/221*ep-
         28490415948408039054950/1989*ep^2-12458065617368608996934012/
         459459*ep^3)
      +2396365613544902137198847785519745459266045489536974027/10255608\
      68655912011948781239497113600-24767895359298199975/100221732*
         ep^-3-124950680570695199327736222287/35774006125201344*ep^-2-
         3488906320114929177518475840583209970669/
         191542216748849931859614720*ep^-1+156589457185642378485206200/
         25055433*z3-36490868712531300595742631697091069117126022598178\
         8181414210123434890827568536440910394030943003909261307/
         17134256041257890261544754489155522711853500887096242811542098\
         149376000000000000000000*ep+78294728592821189242603100/8351811
         *ep*z4+1614749064088365690403902198077419/14943193870176*ep*z3
         +3460487574131344644681870234672977165546524660791172393094399\
         75769772836417609177747489227509033835786896569800889581/
         38531105984035336377818144717305381536426811767094455492441461\
         68381708393512960000000000000000000*ep^2+
         5063055756096719106326479925/8351811*ep^2*z5+16147490640883656\
         90403902198077419/9962129246784*ep^2*z4-1756108536668994794381\
         2397233376219164172526163/95771108374424965929807360*ep^2*z3-
         62136027462164040172585811527359106920322902954497340112105022\
         70628948607245172697953659103571796517565407322452784294428026\
         461428367343793799809421788659823/
         36916404962606761154363028099156181498754626994365452358810583\
         45425044520265126413413081736559669687982648648007680000000000\
         000000000000*ep^3+75162889055522574702471167875/50110866*ep^3*
         z6+30640005851692378492516597697457565781/17887003062600672*
         ep^3*z5-17561085366689947943812397233376219164172526163/
         63847405582949977286538240*ep^3*z4-173364293864433122633067523\
         414600196020375809402408738863/5127804343279560059743906197485\
         56800*ep^3*z3+5480625746839842708073279225/25055433*ep^3*z3^2;
Fill mncnoptab(19,3,3,4)=
      +mncF321*(-284952878664300000-564318595132844590500/221*ep-
         5854052576300933153665/663*ep^2-78382459308985285697744387/
         4594590*ep^3)
      +2396194130491032753809714715260218708690091296822491481/17092681\
      14426520019914635399161856000-86801577911986646495/33407244*ep^-3
         -5673975191452671874187108683331/178870030626006720*ep^-2-
         14150318337400808759010625154646132836977/
         106412342638249962144230400*ep^-1+31318356356127238041089240/
         8351811*z3-116750253357362281172635980933743506881085404237150\
         071720261691418628649277231188164238854414891/
         92453682342969709172627743725478733444776293312916789754068992\
         00000000000000*ep+15659178178063619020544620/2783937*ep*z4+
         43835150671865512802584670836979173/672443724157920*ep*z3+
         35436508798032042919298060645599933549944782512883034392720646\
         811667050928469290886530763685031840601519663137/
         67362073398663175485696057198086331357389531061353943168603953\
         9926872096768000000000000000*ep^2+1012612781655965184884735485/
         2783937*ep^2*z5+43835150671865512802584670836979173/
         448295816105280*ep^2*z4-66374832569652676729247556561578891747\
         5559269/6384740558294997728653824*ep^2*z3+
         26344304128171012622814766454120501667967307136704523498180679\
         11444247834085753323981861747868006579868485992502755582784994\
         03212709694237472513964119189/99019220828460530246645936820157\
         99207074175955612796377885513577741913558071276573040245899155\
         02310976814455980032000000000000000000*ep^3+
         15032599943058841583065586075/16703622*ep^3*z6+316571441312944\
         69763753716139159327101/29811671771001120*ep^3*z5-663748325696\
         526767292475565615788917475559269/4256493705529998485769216*
         ep^3*z4-608374536930170729819381125113898046624243114930848972\
         31/284878019071086669985772566526976000*ep^3*z3+
         1096119917169078593811941345/8351811*ep^3*z3^2;
Fill mncnoptab(19,4,1,5)=
      +mncF321*(-102307344947500000-605029809196837970000/663*ep-
         23091358461279629847350/7371*ep^2-173612654031296314006095424/
         28945917*ep^3)
      +1998431964020296832870864591828690869929153396212501/39701862570\
      77135677095641487360000+6937718815373539675/332314164*ep^-3+
         658076073743250713380863925/5157350997454656*ep^-2-60837462229\
         448963622358575978341389733/138068188274342628228326400*ep^-1+
         111849469339232533518996200/83078541*z3-
         45779150185093561822321665321893526899622692670972866849880413\
         6986727732717546147438339893316321/100374589166178945239255312\
         339217707419553689407245724479514350714880000000000*ep+
         55924734669616266759498100/27692847*ep*z4+95569760507622900334\
         7797689050645/40931357122656*ep*z3+107771778807967075177562570\
         69647811595136429711674483584401086739419751343998058812863317\
         582220904702163337047/5642999503382749492403572681710627959568\
         22872561566396227975640220662098821120000000000000*ep^2+
         3616467899775195746791368175/27692847*ep^2*z5+9556976050762290\
         03347797689050645/27287571415104*ep^2*z4-264298332138826823388\
         5749937381107750738062107/69034094137171314114163200*ep^2*z3+
         23733216839728131366672775836844533155043127992244615976817594\
         55425570982365809653441664317311163129406211294898357072000837\
         5980255083406141689496769547/472529983521366542775846759669199\
         12318405922552787779019277546821440569859393618091687446227963\
         772006177902694498304000000000000000*ep^3+
         53687771149931773534275541625/166157082*ep^3*z6+96925104022698\
         9649594097084764536905/2578675498727328*ep^3*z5-26429833213882\
         68233885749937381107750738062107/46022729424780876076108800*
         ep^3*z4-138692752257804838819259188200173459073570893348959368\
         371/1848121702669406657688021112366080000*ep^3*z3+
         3914734308918155474630481275/83078541*ep^3*z3^2;
Fill mncnoptab(19,4,2,4)=
      +mncF321*(-150768718870000000-898856286134830100000/663*ep-
         84370381928522507707000/17901*ep^2-37902110318389081008683170/
         4135131*ep^3)
      +2126178954762714862713083483985298446312458213949841/28664744776\
      09691958863053153873920-224240638606315782125/225498897*ep^-3-
         43539073732446983825376203135/3499631033987088*ep^-2-204021045\
         950274596476087186875338690441/3747565110303585623340288*ep^-1
         +447403245878527523679812000/225498897*z3-
         55767179316251848313558301249957720383009290261196321329256365\
         0990495218946249689698474490971470643/838088610713701154097297\
         77392608535003631254339057709404282001817600000000000000*ep+
         223701622939263761839906000/75166299*ep*z4+1178570746614338876\
         75214015590755/3410946426888*ep*z3+520176712113268701830839161\
         46890969861632321509249610475452986080649408284746751569774166\
         7982304816665084424599/188467366226259797500197446986819800993\
         39201407817940186520280171432269316096000000000000000*ep^2+
         14465890288832764385652905500/75166299*ep^2*z5+117857074661433\
         887675214015590755/2273964284592*ep^2*z4-144387637127450882064\
         71791026006407773422497/267683222164541830238592*ep^2*z3+
         13626186987742756458699458789118761271891492134285848320359411\
         25496131535384973038609601971836195892395148884810979908232285\
         15746476433934418905890991658269/
         13414498653287231834466665335530877452109962584077546250882795\
         76268825552551340310473978576022369972870694952469790720000000\
         00000000000*ep^3+107375669051549414083197261250/225498897*ep^3
         *z6+993625034355505514253044124014432105/1749815516993544*ep^3
         *z5-14438763712745088206471791026006407773422497/
         178455481443027886825728*ep^3*z4-23046511420473151098664793382\
         3261760269187834555555199/2006532134326784371204137207711744*
         ep^3*z3+15658875918318878953223703500/225498897*ep^3*z3^2;
Fill mncnoptab(19,4,3,3)=
      +mncF321*(-67845923491500000-136319134139929702500/221*ep-
         4338242440240762387475/1989*ep^2-1326734786584288070602429/
         306306*ep^3)
      +2975445752076787212447191631549965925792245757990053/89179205970\
      07930538685054256496640-369483380982883398925/100221732*ep^-3-
         69950744236282241921843896097/1555391570660928*ep^-2-156722906\
         5575377453650370975397382772723/8327922467341301385200640*
         ep^-1+22371905766666318638446600/25055433*z3-
         19768172812296053135391634561887954988595551359082730456065637\
         2004872636053548406844795113194648459/666824193761328657183863\
         96309270504929074129326491914864013030195200000000000000*ep+
         11185952883333159319223300/8351811*ep*z4+640096212421383539044\
         275785661857/40931357122656*ep*z3+1821718022730988408515080226\
         94521722901659815531865021166397135385981090264722537511621957\
         899900757768205565277/1499538329570241123855494838496530506738\
         4104305831834305358793236632978849792000000000000000*ep^2+
         723300746790555239061256775/8351811*ep^2*z5+640096212421383539\
         044275785661857/27287571415104*ep^2*z4-94645072684944523685672\
         905409940383851833917/4163961233670650692600320*ep^2*z3-
         18800623889746277811338733362362845600999054034492557495884676\
         17780651654408825062041363529551919754227845708109319070117875\
         1726217210200286512814617666130337/
         21833870218303318200092424596760597462254652304472290850522595\
         91243528928772793912724138274424881469068022232962050293760000\
         00000000000000*ep^3+10737651673024996992726618625/50110866*
         ep^3*z6+29346869202588997523745223381456123/111099397904352*
         ep^3*z5-94645072684944523685672905409940383851833917/
         2775974155780433795066880*ep^3*z4-1208407167508805260992126286\
         836312463952850582661583053/22294801492519826346712635641241600
         *ep^3*z3+782924953904532290167066675/25055433*ep^3*z3^2;
Fill mncnoptab(19,4,4,2)=
      +mncF321*(-10769194205000000-21960995390459675000/221*ep-
         45035906868947390864750/125307*ep^2-21236775666926625303697285/
         28945917*ep^3)
      +14857776430371579638426331869506798946129447530144033/2809144988\
      05749811968579209079644160-6821811795566084644625/3156984558*
         ep^-3-429897096025837097173903127695/16331611491939744*ep^-2-
         5761289078279945273697867555835365468635/
         52465911544250198726764032*ep^-1+223775386999895780568826000/
         1578492279*z3-879514547149656068026759947824577464531331417429\
         952523048393128097701752497631091822348822795246519/
         18996675176177226159538749542324601267489750983519747464970587\
         07865600000000000000*ep+111887693499947890284413000/526164093*
         ep*z4+3225838750655687485030364282947685/1289337749363664*ep*
         z3+39852294917358107836815604887057689853465770348184357177626\
         9245828810607304483670786850636827717678075903076021/
         21359634838976110383355710658506244112584428262193665544722984\
         1942899052249088000000000000000*ep^2+
         7233205228247579282534507750/526164093*ep^2*z5+322583875065568\
         7485030364282947685/859558499575776*ep^2*z4-857926600697123561\
         93598813874322801499625205/26232955772125099363382016*ep^2*z3-
         22106072022616779573067470617259816401987362950159628878882261\
         67973097926955693170794714916310177006474006793073847598015475\
         14219598015377236298360412345089481/
         39393930918484842357190195300772470163440630284815259456827663\
         38279193659808069454484969638961361334952456207745474258534400\
         0000000000000000*ep^3+7669942963479586452512391875/225498897*
         ep^3*z6+153279998196240024134117333084568215/3499631033987088*
         ep^3*z5-85792660069712356193598813874322801499625205/
         17488637181416732908921344*ep^3*z4-128000656601884850793355770\
         1106051048650860811206594037/140457249402874905984289604539822\
         080*ep^3*z3+7828617028402976828782606750/1578492279*ep^3*z3^2;
Fill mncnoptab(19,5,1,4)=
      +mncF321*(-18601335445000000-112142507331936207500/663*ep-
         5765496305007856776400/9639*ep^2-137490935906039023883900851/
         115783668*ep^3)
      +6040483796568009530921590021953435095678901000044041/66004346523\
      907380631715039727360000-3162980926419649225/166157082*ep^-3-
         376672065332977489861151615/1289337749363664*ep^-2-59153313983\
         781490127894655713650276607/34517047068585657057081600*ep^-1+
         20336330777692124675598200/83078541*z3-17915015629539747247333\
         37125096566369082666987096194896904950876977918007252761206875\
         862465046841/2205496343983424089729730984016014079042927745764\
         676563270578995200000000000000*ep+10168165388846062337799100/
         27692847*ep*z4+4618415853599492350171011876475/1077140976912*
         ep*z3+13194669508321166605667000520320805286802875262960796557\
         406237003686996479581509434501064514811675150311860929/
         39677340258159957368462620418277852840714108226985137234779537\
         20301530382336000000000000000*ep^2+657539817056703651289215550/
         27692847*ep^2*z5+4618415853599492350171011876475/718093984608*
         ep^2*z4-107483419259271036912697790840207842868420243/
         17258523534292828528540800*ep^2*z3-
         12627366070110373513138155905577358751808973873358317975597797\
         72119118927711197517732668966934258026804692623981348099496075\
         7147388130246644494278437239774082744839/
         30447163489006819130731202634421791960412358637099432327888803\
         81085285857132789437873919420987083585401996523812437365673164\
         8000000000000000000*ep^3+4880707800981047072980121125/83078541
         *ep^3*z6+93418852381114417730678996823519955/1289337749363664*
         ep^3*z5-107483419259271036912697790840207842868420243/
         11505682356195219019027200*ep^3*z4-430132242425792292335241979\
         930847687010547032256574519/28876901604209479026375329880720000
         *ep^3*z3+711768999090388570704260150/83078541*ep^3*z3^2;
Fill mncnoptab(19,5,2,3)=
      +mncF321*(-20559370755000000-41668934179128987500/221*ep-
         4030787696864281186000/5967*ep^2-7513472597212035979283965/
         5513508*ep^3)
      +42263014960342878679011474930831205991443533380473/4180275279847\
      46744000861918273280-116199254729420454625/150332598*ep^-3-
         11507303543496075224322312005/1166543677995696*ep^-2-113660818\
         7423050284073116501402906377/25493640206146840975104*ep^-1+
         20337508797357774043511000/75166299*z3-
         24311169495030642200462775279796045311430937431321618788938152\
         54443854704928630061271752695445420427/27244531345105713707797\
         87049207337772816457283910955378729675233689600000000000000*ep
         +10168754398678887021755500/25055433*ep*z4+
         97421367154922046504030033789695/20465678561328*ep*z3+
         15523773445923217394026676162656011144600415646239144016649722\
         634539271379414446765616520961568089933773080074667/
         42886796225708896142267152381000772492718538314679046113326148\
         65677031951040512000000000000000*ep^2+
         657544072988029666229272750/25055433*ep^2*z5+
         97421367154922046504030033789695/13643785707552*ep^2*z4-
         4069672598585107697904694907429370535128449/
         624594185050597603890048*ep^2*z3-
         62339233899390806448803858089026051854159429577178554963117586\
         19865452402357109802480072409285507814638260189425568209885646\
         8471384435888308154386920734242287/
         17297747596772157909214497048957149236024461382490512972990200\
         63976867793986202379609705114918327147239485757969934581760000\
         00000000000000*ep^3+4880736775416828061610768125/75166299*ep^3
         *z6+95801679610266985725710416379175955/1166543677995696*ep^3*
         z5-4069672598585107697904694907429370535128449/
         416396123367065069260032*ep^3*z4-28470322190235718648526049537\
         129519157517727994286381/1672110111938986976003447673093120*
         ep^3*z3+711756564032055724312331750/75166299*ep^3*z3^2;
Fill mncnoptab(19,5,3,2)=
      +mncF321*(-6167811226500000-12643091726736240000/221*ep-
         31903162204410640450/153*ep^2-197372107935600020208146/459459*
         ep^3)
      +270114188933689337753811738405320007481121382984553/891792059700\
      7930538685054256496640-128304315002957504675/100221732*ep^-3-
         8091280275566615186915152559/518463856886976*ep^-2-54325689452\
         7553365840189882329805791563/8327922467341301385200640*ep^-1+
         2034348360683833141310600/25055433*z3-240213810705942997971687\
         91270653114761400484861088949594100841481669809328245006051314\
         443288154327187/9118404084565068556578599780315808608395080472\
         0894787831858817977548800000000000000*ep+
         1017174180341916570655300/8351811*ep*z4+
         3095348220881173692129659457473/2154281953824*ep*z3+
         21611718602134214842319667621759105514567098868351725625565945\
         655489264714656464732555873077527556952177535610041/
         20505249445417065968021482232165994348081051131705918922934064\
         826518309015912448000000000000000*ep^2+
         65756501849895937509084025/8351811*ep^2*z5+
         3095348220881173692129659457473/1436187969216*ep^2*z4-
         7515785922447582076976289671338335895323877/
         4163961233670650692600320*ep^2*z3-
         38416677209502524002141179728063986783663916421676111334433710\
         65982458408534615966991174789159917123376675827382517785520720\
         2909164940304588420327872506224077/
         81038943603740247134791258904446224336220725157334248025474050\
         38745769814462314306369080400149086174759338484504975617556480\
         00000000000000000*ep^3+976175785945019896929707375/50110866*
         ep^3*z6+19802373660577791909347166292653851/777695785330464*
         ep^3*z5-7515785922447582076976289671338335895323877/
         2775974155780433795066880*ep^3*z4-1186517383732648247540555860\
         16685281971521520967056793/22294801492519826346712635641241600
         *ep^3*z3+71168927100027853278094925/25055433*ep^3*z3^2;
Fill mncnoptab(19,5,4,1)=
      +mncF321*(-489508827500000-1018616448455540000/221*ep-
         2153058758605112708450/125307*ep^2-1052947573983601688876584/
         28945917*ep^3)
      +7312597698564341803183197167291408767744234216408223/30534184652\
      79889260528034881300480000-206482344576793284175/6313969116*ep^-3
         -21814840969868869262439934715/32663222983879488*ep^-2-
         551438443255716700560753467142101962229/
         114056329444022171145139200*ep^-1+10168976204241511812485800/
         1578492279*z3-871391707476136267468564137563854115057556598319\
         958593271243720754401902594618277469715151289467197/
         42288250826968433885581912024653025430238054363313524791586698\
         192486400000000000000*ep+5084488102120755906242900/526164093*
         ep*z4+296353053715439373119271493785055/2578675498727328*ep*z3
         +2560611427603231121477914806107463432640521601450100727906422\
         78906237757870165864609940912658671093610142377917/
         31698936340741358018197460455522310103313702232588860170719327\
         26804762746421248000000000000000*ep^2+
         328773155913230628573307325/526164093*ep^2*z5+2963530537154393\
         73119271493785055/1719116999151552*ep^2*z4-1669872057496254016\
         16531817708926898173748973/1311647788606254968169100800*ep^2*
         z3-16948716187178943622376931918633069829635863451662053195397\
         81588143380099592558696087881746722003836260431391799284060582\
         0940996243788488571906439422476080357004973/
         93123470873929992787531331432277245309237959692795931091032740\
         78123539009194934615734837669419317905139451039314357581646502\
         2976000000000000000000*ep^3+697250351096750267076740125/
         450997794*ep^3*z6+14757849123221750887668982472295265/
         6999262067974176*ep^3*z5-1669872057496254016165318177089268981\
         73748973/874431859070836645446067200*ep^3*z4-15568710977033717\
         209498501582434689029537736082467469349/3511431235071872649607\
         2401134955520000*ep^3*z3+355878040140438514767376225/
         1578492279*ep^3*z3^2;
Fill mncnoptab(19,6,1,3)=
      +mncF321*(-1455756687000000-3009345477160225500/221*ep-
         41145874323355466480/819*ep^2-6749339937975273121857889/
         64324260*ep^3)
      +79439082809197926073844354378595214584440755630957/1109722200328\
      8521597437470129600000+167291108580152645/18461898*ep^-3+
         13079543628681652308808205/1098324749457936*ep^-2-311653881297\
         325330145627754810885990089/441051156987483395729376000*ep^-1+
         176834068823037345505160/9230949*z3-25065401553969007720900205\
         16495579653474973939636624171276742191837154836169582501872694\
         291982467/4071632364765636226636458877957684780687363062375047\
         0247422047027200000000000000*ep+88417034411518672752580/
         3076983*ep*z4+160300022380402145538064059872141/
         470710606910544*ep*z3+1551515293913177477279406910473190005292\
         20739515076859092467566204593294619270462575016817777066224501\
         33666267/64093327692742339913719590952762687935836671945264331\
         423424393704075201347584000000000000000*ep^2+
         5717726566810616918680090/3076983*ep^2*z5+16030002238040214553\
         8064059872141/313807071273696*ep^2*z4-882552379111584592248674\
         18291633781151588481/220525578493741697864688000*ep^2*z3+
         23716965128650914557066732081523933937779519077006469772065712\
         86636227790325506388820581540183519800222359130914800611505007\
         874387947710472139904772906233257330587723/
         17449357103428171437951235406091014138168175774637923225148585\
         90088317899620332462041454791128992627314500592149034062934599\
         2704000000000000000000*ep^3+42440864079022033526337775/9230949
         *ep^3*z6+20280226303676747070153204950193431/3294974248373808*
         ep^3*z5-88255237911158459224867418291633781151588481/
         147017052329161131909792000*ep^3*z4-38319595765710931528884269\
         58951536623257710768746837909/29518610528747467449183670544736\
         00000*ep^3*z3+6189346716933694908135170/9230949*ep^3*z3^2;
Fill mncnoptab(19,6,2,2)=
      +mncF321*(-1072662822000000-2236964731638945000/221*ep-
         75260706006282351800/1989*ep^2-1446831132337738110451/18018*
         ep^3)
      +27004247822007288728407515170040376937446474256089/5127804343279\
      560059743906197485568-6043184991044692975/25055433*ep^-3-
         3284684316134073148062484709/1117937691412542*ep^-2-1473059358\
         94332236778494255433265781479/11971388546803120741225920*ep^-1
         +353814095776707738794800/25055433*z3-419767233405853011958089\
         10268838980926439951818142520982570857349416470369609721792874\
         288388485297/9362647051115918607201240845859982053262805841877\
         58982202121791733760000000000000*ep+176907047888353869397400/
         8351811*ep*z4+59348027049382922140293079418677/235355303455272
         *ep*z3+2062222499453420344862524032940965201460575433852351614\
         855738357193459564768645208842133806136120098688028156389/
         11790518431114812931612352283495446750146604400730903380687087\
         275248027684149657600000000000000*ep^2+
         11435959313395401128389700/8351811*ep^2*z5+
         59348027049382922140293079418677/156903535636848*ep^2*z4-
         102511431007440949647204356124480270882973/
         374105892087597523163310*ep^2*z3+
         15220043506264318281971867796339075554238315545180368601369324\
         47305493715128893820472258031939864714974250647073238528446160\
         2027532423865438878661654448829947811476893/
         44582766591503051692492008977496015907899803007016795443316645\
         79343814571070972480897517744170686924651296776601091619976359\
         44448000000000000000000*ep^3+84885159611023739115935750/
         25055433*ep^3*z6+20788425302538749855715854501360471/
         4471750765650168*ep^3*z5-1025114310074409496472043561244802708\
         82973/249403928058398348775540*ep^3*z4-12850709493079786247518\
         33696990275941528662524191251/13081133528774387907509964789504\
         00*ep^3*z3+12377013269770956211762900/25055433*ep^3*z3^2;
Fill mncnoptab(19,6,3,1)=
      +mncF321*(-160899423300000-339420898166196000/221*ep-
         3871899260815237150/663*ep^2-29063951022536221370804/2297295*
         ep^3)
      +11192656223712888192700584664263694050470401111819207/1424390095\
      3554333499288628326348800000-610707007388703665/33407244*ep^-3-
         60220194919414320370947402391/178870030626006720*ep^-2-
         1208011843262301668887989943625904819181/
         532061713191249810721152000*ep^-1+17685984992081394565400/
         8351811*z3-110498150215141105572692320458643565676561324181958\
         27177914500369670830788271367232692661829736370213/
         16570729398123186315165060341512185520441430191253966381295824\
         69912985600000000000000*ep+8842992496040697282700/2783937*ep*
         z4+179111857166427062892489089343161/4707106069105440*ep*z3+
         36897494773384201800561022917545221967076927469722212356638108\
         095103391437962003386446615791271057286469936021039/
         14373203420787581478536962783689687466845384412319577454551877\
         82125473851020148736000000000000000*ep^2+
         571782966589502873740675/2783937*ep^2*z5+179111857166427062892\
         489089343161/3138070712736960*ep^2*z4-295245684117643989284542\
         22462297196736691689/798092569786874716081728000*ep^2*z3-
         20339685344326127490697426990400209734630745455308728894037975\
         30247677379210741574578601971605921265372024051195085509858003\
         345940846528719507690706115583209700017/
         62082313915953328525020887621518163539491973128530620727355160\
         52082359339463289743823225112946211936759634026209571721097668\
         1984000000000000000000*ep^3+8488314573882136133283125/16703622
         *ep^3*z6+2383865011578849529654569500565859/3312407974555680*
         ep^3*z5-29524568411764398928454222462297196736691689/
         532061713191249810721152000*ep^3*z4-32489190618743571338283700\
         50106961423550199292151163777/21365851430331500248932942489523\
         200000*ep^3*z3+618914030669053257333215/8351811*ep^3*z3^2;
Fill mncnoptab(19,7,1,2)=
      +mncF321*(-40437685750000-262339859206150000/663*ep-
         195171826231150132675/125307*ep^2-33831206598090910064464/
         9648639*ep^3)
      +963332131012820694247561323577408384458593285689651/485791990415\
      9583214494226923933696000-3745151341029611425/664628328*ep^-3-
         18757989831246425144724556717/237238145882914176*ep^-2-
         101442606578030353404536791625809831691/
         254045466424790435940120576*ep^-1+44221940987039216357300/
         83078541*z3-20369792070366274857591415156293215071858265939257\
         499715240867910213604066202182344537492889481001/
         12264520113742489871421508476448163625326716424447836959840659\
         727974400000000000000*ep+22110970493519608178650/27692847*ep*
         z4+164224137225301415404302146086519/16945581848779584*ep*z3+
         17379597075298040145320445832112533454275351909737793885896322\
         346028148030259662297275889039864003651144784563/
         27580160072783188144122461481860694152389717896446557615642309\
         41578486007988224000000000000000*ep^2+
         2858952009010974625038275/55385694*ep^2*z5+1642241372253014154\
         04302146086519/11297054565853056*ep^2*z4-117698855323040474428\
         5116974510186625852063/167135175279467392065868800*ep^2*z3-
         45894186686965376114982612145950777063399609472020568345000337\
         89682669395823239140537000414141358297811380736243049965086908\
         85289568970552444917752752565396222212575415415623/
         33921727165715840848864729518942060495071184072871019433488384\
         40093987019648836570334352422660605419084938869943521090222533\
         8888907390976000000000000000000*ep^3+
         42442060725294227212001125/332314164*ep^3*z6+22923000689433124\
         562517186525831731/118619072941457088*ep^3*z5-1176988553230404\
         744285116974510186625852063/111423450186311594710579200*ep^3*
         z4-183868988243548852835163754318464851215531608877106759/
         4474399911725931908086787956254720000*ep^3*z3+
         3094335399264047633655775/166157082*ep^3*z3^2;
Fill mncnoptab(19,7,2,1)=
      +mncF321*(-14898094750000-97507076490670000/663*ep-
         10496221003928657425/17901*ep^2-1847601396306778940560/1378377
         *ep^3)
      +33473926570383762746572928573305612353066586636359737/4615023908\
      95160405376951557773701120000-14091393861914968225/1803991176*
         ep^-3-65233888407158994863457574957/643932110253624192*ep^-2-
         8362694873330542405278988530272025742931/
         17238799507396493867365324800*ep^-1+44242633529732747179700/
         225498897*z3-3783288879960941162916752046550835768259839285094\
         479392685521708439617998233996380621719858457364569/
         63915670535618004358493804174404144150274087880551013184998180\
         98235801600000000000000*ep+22121316764866373589850/75166299*ep
         *z4+60811602676491339749588240312347/16945581848779584*ep*z3+
         73018410700850862275061467829021421855869864807564853025169611\
         94297661179480301827529612768247651145853145737403/
         33537474648504356783252913161942604089305896962079014060621048\
         24959438985713680384000000000000000*ep^2+
         2859117550025126739553475/150332598*ep^2*z5+
         60811602676491339749588240312347/11297054565853056*ep^2*z4-
         19660677691811531662760023440757518080034701/
         8619399753698246933682662400*ep^2*z3-
         62925863435635835285310881645919997113417448785515283406946265\
         90798806071738790554120711959910072077631151412684425865329515\
         633666202240241115107717006866123231669137/
         35217838020625039234114830405994567080617535815371438869051960\
         65419936721742007061481559159738032916935972950841913745974468\
         169170944000000000000000000*ep^3+42444336915079573621505125/
         901995588*ep^3*z6+23457883964864413802173782734313971/
         321966055126812096*ep^3*z5-19660677691811531662760023440757518\
         080034701/5746266502465497955788441600*ep^3*z4-354952374310353\
         7179025576777013492968290238638710997893/230751195447580202688\
         475778886850560000*ep^3*z3+3094004318869209941041375/450997794
         *ep^3*z3^2;
Fill mncnoptab(19,8,1,1)=
      +mncF321*(-231072490000-11496013099159600/4641*ep-
         9648901084664244283/877149*ep^2-9531648771570907649996/
         337702365*ep^3)
      +95962239026238215493633266105732158960466515479599/8674856971713\
      5414544539766498816000000-2201826290172409417/4652398296*ep^-3-
         196650663681962119623585032941/41516675529509980800*ep^-2-
         21434933136005217818361861540549299859731/
         1111448915608458157238027520000*ep^-1+1767821536393647717236/
         581549787*z3-1433157346541139403004092472708571784984976682282\
         836021471735863694869893521/1753651572528817525085754674532552\
         08080398930667791974400000000*ep+883910768196823858618/
         193849929*ep*z4+172585267475589156887377523340343/
         2965476823536427200*ep*z3+392208733836677046770439157991170532\
         9040754971843921979841833016687375403097491018092777/
         15023123032145935080102835447963505361831701064041751602635210\
         7520000000000*ep^2+114366832256409621251963/387699858*ep^2*z5+
         172585267475589156887377523340343/1976984549024284800*ep^2*z4+
         50199786062551064440070504683033353251951/
         4445795662433832628952110080*ep^2*z3+
         11828667959442625955454969657939174940414136781328573971486113\
         04783548017276907911471954543147199686343395318026592832740995\
         329411911/8290211867811222867521409361061198232056622560487219\
         75938094800450257057168740090518815839531074322432000000000000\
         0000*ep^3+1697824268482207841607085/2326199148*ep^3*z6+2865035\
         1849174686673652355297345267/20758337764754990400*ep^3*z5+
         50199786062551064440070504683033353251951/
         2963863774955888419301406720*ep^3*z4-4099240200370846987354689\
         064626634828607159264068567109/1487737970648872359438856995454\
         6944000000*ep^3*z3+123903837214157581275127/1163099574*ep^3*
         z3^2;
Fill mncnoptab(20,1,1,7)=
      +mncF321*(-5554637011000000-623900096369951504950/12597*ep-
         115526495147404909025663/680238*ep^2-
         18874445080092323750245961/58198140*ep^3)
      +2995498272041657093643287653009442593975748822398751776507/
      109606817837600596277025994971254016000000-17179130529181151/
         4284479043*ep^-3+21746357903327242273749990391/
         152933876185235745600*ep^-2+4503872610530925463165187232254481\
         00503/584887840429523899071323520000*ep^-1+
         313178652929417903021017124/4284479043*z3-
         37063358088076717402219425808858988633931438797248899922182677\
         527333203205387292900807133822098273/1497119287940134495124937\
         89555462721771370702239666392499486720000000000000000000*ep+
         156589326464708951510508562/1428159681*ep*z4+12752313296270649\
         35743848693742090043/1006143922271287800*ep*z3+
         30222180552888180572824897927240842216310473244360967424718720\
         3149979930677701341767465886300882063963715353/
         29148797557433104817753315231218213333515555313363726555860624\
         7781990400000000000000000000*ep^2+
         10126110456284778262853934376/1428159681*ep^2*z5+1275231329627\
         064935743848693742090043/670762614847525200*ep^2*z4-
         4266318692600511569973226404098012679458983035169/
         2047107441503333646749632320000*ep^2*z3+
         14969101366411957964410615803413572543345818117810963053641067\
         71784364088445890418865257337677235452308582089271937805902546\
         2515944783572226216887/531487943358989864776480571249194350209\
         32197178819939613927503545607015516692626825968442435914677878\
         78400000000000000000000000*ep^3+75162881789812292213851965010/
         4284479043*ep^3*z6+111333307959484995123167618578382041349/
         5461924149472705200*ep^3*z5-4266318692600511569973226404098012\
         679458983035169/1364738294335555764499754880000*ep^3*z4-
         223990786868626946161130425627182181703291841425313448850251/
         54803408918800298138512997485627008000000*ep^3*z3+
         10961254075549034230784671928/4284479043*ep^3*z3^2;
Fill mncnoptab(20,2,1,6)=
      +mncF321*(-9998346619800000-377618511344817435000/4199*ep-
         11814212452895403274610/37791*ep^2-8835636483317165160904984/
         14549535*ep^3)
      +11982003845682024454140871133555353904000892366000672901/
      243570706305779102837835544380564480000-902761850130593135/
         952106454*ep^-3-12503951326780938761969645977/
         1699265290947063840*ep^-2-8286898030456059508720280243564307421
       /1299750756510053109047385600*ep^-1+62635752086888613287753440/
         476053227*z3-1442968991693351866178394844534865963170981173247\
         7144563248482117333269981696158540893436132681733/
         32675222554248967155504596926787498799307097711038299950284800\
         000000000000000000*ep+31317876043444306643876720/158684409*ep*
         z4+102477971885503646150219516148979057/44717507656501680*ep*
         z3+23064095372706735737743890605100020520036672379805399854015\
         74154529711887791382201737753557936476049719565539/
         12596444658747877439100539796347870761983507831846467547354055\
         70772172800000000000000000000*ep^2+
         2025222180247201499773619210/158684409*ep^2*z5+102477971885503\
         646150219516148979057/29811671771001120*ep^2*z4-81286222794710\
         460501393466720726987125908975417/
         22745638238925929408329248000*ep^2*z3-
         19313777868402025629674332556585445347286885547641424788753012\
         02612253642750675597862323499652204559225125653659210004074836\
         32402544680842290649668119/13488404733960649925363110497488482\
         33066943546973908896059174429268155186648635022233327685534320\
         3607379968000000000000000000000000*ep^3+
         15032576971636789715082760475/476053227*ep^3*z6+45742996631284\
         59182196509253826585883/121376092210504560*ep^3*z5-81286222794\
         710460501393466720726987125908975417/
         15163758825950619605552832000*ep^3*z4-466378115203153984026992\
         4294908771859788481672075164659661/608926765764447757094588860\
         951411200000*ep^3*z3+2192250533805905279674595410/476053227*
         ep^3*z3^2;
Fill mncnoptab(20,2,2,5)=
      +mncF321*(-14997519929700000-571881152150216196750/4199*ep-
         6053229001094474285290/12597*ep^2-27667410276473238332326229/
         29099070*ep^3)
      +599096090339434009200488389610109447430771663956098459/811902354\
      3525970094594518146018816000-343234692902332745/634737636*ep^-3-
         281732749431473198432828263/20978583838852640*ep^-2-1718352940\
         4011005643569690762376620313/144416750723339234338598400*ep^-1
         +31317866353991506648941740/158684409*z3-
         34163301482589277611439526709976995952279912843503975945185533\
         6020022853656761475288857333122209/520361022631608255695265271\
         199128761678667759208517264206673110630400000000000*ep+
         15658933176995753324470870/52894803*ep*z4+10298746333706431737\
         2926485364740287/29811671771001120*ep*z3+
         15740553095340807424058143417813986306645148109241955010315494\
         15884575684847752500056402533127682634378001443/
         58508772323410300993290289680623556378989764121861710637873148\
         6107911764049920000000000000*ep^2+1012611061651678155019876735/
         52894803*ep^2*z5+102987463337064317372926485364740287/
         19874447847334080*ep^2*z4-511924067443831370930813275090170036\
         250823963/101091725506337464037018880*ep^2*z3-
         68167276807921132797106996940157055231861743903506164441200026\
         20474023659733395030558407862985167520477489475392806601457881\
         535587613563119975679141077/2023653319788369828233974103753144\
         84635331058185296813369895537992170872043944072484318302745756\
         438680303593020456960000000000000000*ep^3+
         15032576593005214792053442325/317368818*ep^3*z6+47084438350276\
         32550894433090744280143/80917394807003040*ep^3*z5-511924067443\
         831370930813275090170036250823963/67394483670891642691345920*
         ep^3*z4-242989041129779300043966588182727382606900125474366778\
         21/2029755885881492523648629536504704000*ep^3*z3+
         1096125422543927897654977595/158684409*ep^3*z3^2;
Fill mncnoptab(20,3,1,5)=
      +mncF321*(-5951396797500000-227679172432372430000/4199*ep-
         21797955933340048769650/113373*ep^2-771074476334681525716606/
         2014551*ep^3)
      +42792643780209626362988404179713951264904143161355502649/
      1461424237834674617027013266283386880000+5097231738475865275/
         5712638724*ep^-3+16899106530601462324999040435/
         2039118349136476608*ep^-2+512892833885997402280816844988021543\
         293/54589531773422230579990195200*ep^-1+
         111849484399292272404674600/1428159681*z3-
         20782697825764587989986761814134531498030665765195530425172663\
         556079785829260237349946679363267/8005554194332434703004081095\
         3712117181333501416694963724103555481600000000000*ep+
         55924742199646136202337300/476053227*ep*z4+2456242473484134100\
         5012030998154725/17887003062600672*ep*z3+
         54494096848198152828384253460039570620471421461489007314054602\
         0923845606779713068403892648638013298490371/
         51436283361239825049046408510438291322188803623614690670657713\
         0644318034329600000000000*ep^2+3616467944298457346314869775/
         476053227*ep^2*z5+24562424734841341005012030998154725/
         11924668708400448*ep^2*z4-537462872410570200277396118467004715\
         95220532093/27294765886711115289995097600*ep^2*z3+
         22925911048820040593144420310404367154802608676701900022610339\
         96442073841794670972539000170841243480141557469858762171273234\
         9920038736302905229769/132679002756207761362026855300243888367\
         50712726666348464645907193507244638918459406600226376158038235\
         69005182976000000000000000*ep^3+53687771742480398832699673625/
         2856319362*ep^3*z6+3396036429458366497693948654661533945/
         145651310652605472*ep^3*z5-53746287241057020027739611846700471\
         595220532093/18196510591140743526663398400*ep^3*z4-
         502694145917626593774000390148663084164565993134000337747/
         104387445559619615501929519020241920000*ep^3*z3+
         3914734098562226872350626075/1428159681*ep^3*z3^2;
Fill mncnoptab(20,3,2,4)=
      +mncF321*(-7141676157000000-276037746278275905000/4199*ep-
         8948841569160710924950/37791*ep^2-4195436134463983937918737/
         8729721*ep^3)
      +68465326965683689270770261577002288371162487638845339/1948565650\
      446232822702684355044515840-23948984970032808925/952106454*ep^-3-
         106954144720421855449749096431/339853058189412768*ep^-2-
         2517073126613559002430094612305280183069/
         1819651059114074352666339840*ep^-1+44740100584689535282053200/
         476053227*z3-1682260959560649802149094007724099868730549963287\
         361683084480512479589601391220304434262237801049/
         54637907376318866848002853475908519976260114716894312741700676\
         61619200000000000*ep+22370050292344767641026600/158684409*ep*
         z4+4938880629810705015566478735836237/2981167177100112*ep*z3+
         10887588725683318014003400652458245743958411207745960313119613\
         73896576492706900696354905491959077679436939741/
         87763158485115451489935434520935334568484646182792565956809722\
         9161867646074880000000000000*ep^2+1446588227720200345140453550/
         158684409*ep^2*z5+4938880629810705015566478735836237/
         1987444784733408*ep^2*z4-2009268369549868684501432142824964691\
         489402451/909825529557037176333169920*ep^2*z3+
         31180010489538471040746144095637725526413865049372603498808330\
         98110673395186066357828066458091180462817858760192240103540159\
         79939877561157651686163758627/19609200668749303635587209065367\
         97356116357953815526121554287763144135750105818062373044353606\
         3798908121418163682279424000000000000000*ep^3+
         10737561456439778750348268625/476053227*ep^3*z6+49002777298208\
         98483110825557488587803/169926529094706384*ep^3*z5-20092683695\
         49868684501432142824964691489402451/
         606550353038024784222113280*ep^3*z4-29287369250041295404992035\
         419189630133586102927579907859/4871414126115582056756710887611\
         289600*ep^3*z3+1565890009066601484808953350/476053227*ep^3*
         z3^2;
Fill mncnoptab(20,3,3,3)=
      +mncF321*(-2550598627500000-99984489675885787500/4199*ep-
         23177823487829743057375/264537*ep^2-22302994306960297312545235/
         122216094*ep^3)
      +342190070001856727445606122680038915175647709939915679/272799191\
      06247259517837580970623221760-1170143864307390754625/13329490356*
         ep^-3-1754552705695065222647446278385/1585980938217259584*
         ep^-2-25026304080546199584880514215463727744853/
         5095022965519408187465751552*ep^-1+111855716512562342652713000/
         3332372589*z3-823003892385428148961817716523240488916968855722\
         563389209725320561158556956593619421067861728987/
         75885982467109537288892852049872944411472381551242101030139828\
         63360000000000000*ep+55927858256281171326356500/1110790863*ep*
         z4+74635024815416713888835119238886355/125209021438204704*ep*
         z3+41878241981161535634110744280542938984020031489422511692969\
         4509675903664079122827087190634886274615278859633/
         97514620539017168322150482801039260631649606869769517729788581\
         0179852940083200000000000000*ep^2+3616490323239604337047403875/
         1110790863*ep^2*z5+74635024815416713888835119238886355/
         83472680958803136*ep^2*z4-181280480395485248880290156528244143\
         7398935291/2547511482759704093732875776*ep^2*z3-
         29698722551237397732179136932301906960542996550967692165326680\
         69992674136787244787251454543551126675931981267015250490393768\
         9418242555040577014044903148503/
         87969053000083681587425951779359103614664391539224296841949298\
         26327164545613600474256851752984176454615580648429689241600000\
         000000000000*ep^3+7669725180861607620349641875/952106454*ep^3*
         z6+3644870221681279387628189004978433345/339853058189412768*
         ep^3*z5-1812804803954852488802901565282441437398935291/
         1698340988506469395821917184*ep^3*z4-6152429410320366941321421\
         359305998589613180196494140207/2727991910624725951783758097062\
         322176*ep^3*z3+3914667403343499293646533375/3332372589*ep^3*
         z3^2;
Fill mncnoptab(20,4,1,4)=
      +mncF321*(-1442762860000000-168687952751925530000/12597*ep-
         16611149595824260248400/340119*ep^2-7904490644537505734282143/
         78567489*ep^3)
      +7688080152516267858982847627690634454690971287444173/10830713225\
      05934745820414970071680000-6576317842185480650/4284479043*ep^-3-
         162594811724571711753357025/8311623705719334*ep^-2-90030055949\
         907523788812957778472148/993355707251229448151025*ep^-1+
         81345333939789916029149600/4284479043*z3-
         14656898583511257113888490794937907831753559542094661449083498\
         827876254481479407839492576482081/2375561190274733341217515368\
         51776173809826585725627446703046420070400000000000*ep+
         40672666969894958014574800/1428159681*ep*z4+
         10892251666312529099813492226595/32403991055436*ep*z3+
         93872958573582704260365111308308688330389926872091780694022988\
         00549930321663935515346911617384623295518413/
         38157894993528457169537145443884928073254193992518506937743357\
         789646419394560000000000000*ep^2+2630159301745301383787565400/
         1428159681*ep^2*z5+10892251666312529099813492226595/
         21602660703624*ep^2*z4-468076437001157343391574163667936407269\
         55283/111255839212137698192914800*ep^2*z3-
         94286948684124394298725117774549266125076088675131007174174479\
         22290220974873562493387737659254945301810027326417863922990766\
         74649476523913082726081363/54319115425898348021017199627058098\
         50737833667079019727297196019789849723284814577210649178965041\
         2487870964442333184000000000000000*ep^3+
         19522831428240285588333866500/4284479043*ep^3*z6+9918861722060\
         8911160003051949736355/16623247411438668*ep^3*z5-4680764370011\
         5734339157416366793640726955283/74170559474758465461943200*
         ep^3*z4-7460848116259446941501321162082401989721471564246004473
       /5956892273782641102012282335394240000*ep^3*z3+
         2847075837507100238682870200/4284479043*ep^3*z3^2;
Fill mncnoptab(20,4,2,3)=
      +mncF321*(-1298486574000000-51156033628082460000/4199*ep-
         131280797349305411800/2907*ep^2-43596253719589960694386/459459
         *ep^3)
      +54100912782431742423498870791208230420200822460981/8472024567157\
      534011750801543671808-15581768312574329675/476053227*ep^-3-
         288361957236490692585101107/671646360058128*ep^-2-804672706205\
         90559403489666087051258963/39557631719871181579703040*ep^-1+
         8134830565851354190642400/476053227*z3-33454509313483163573595\
         28135485546742704565782664870097124183136462762967564819635109\
         9428190617/609118253916598292619875735517374804640580989040070\
         376161657487360000000000000*ep+4067415282925677095321200/
         158684409*ep*z4+2816890549492385076725595337547/9258283158696*
         ep*z3+42270954770754809789930870141103332565258016459062017153\
         60188757511124831181274895644435874189114374429037/
         19568151278732542138224177150710219524745740508983849711663260\
         404946881740800000000000000*ep^2+263017021400790062402436100/
         158684409*ep^2*z5+2816890549492385076725595337547/
         6172188772464*ep^2*z4-6887826873801881065269912536835291482411\
         677/19778815859935590789851520*ep^2*z3-
         42181599417538663392513224979959179346229273691925270421304184\
         23440541260357385472736957099166891186557737533961103784665165\
         8362023008857209734366125197743/
         54134801846205342515339047248836371455178087101061105748891875\
         85432101258839138753388831847990262433609588091341347225600000\
         000000000000*ep^3+1952290584091297082541664750/476053227*ep^3*
         z6+20455299702397613049216535559108351/3694054980319704*ep^3*
         z5-6887826873801881065269912536835291482411677/
         13185877239957060526567680*ep^3*z4-123655626730713520353553896\
         286074840949148076923992313/1059003070894691751468850192958976\
         00*ep^3*z3+284704563860014704615679700/476053227*ep^3*z3^2;
Fill mncnoptab(20,4,3,2)=
      +mncF321*(-309163470000000-12357740784480300000/4199*ep-
         8846068880685504887000/793611*ep^2-4406475349094347142331670/
         183324141*ep^3)
      +1350223687624985245190907110509272566246736070999049/88956257955\
      1541071233834162085539840-655205776179744898375/9997117767*ep^-3-
         4627607763879356745669509255/5746307747163984*ep^-2-5674668648\
         63838486013747084961504316615/166142053223458962634752768*
         ep^-1+40687440780471310828852000/9997117767*z3-
         13451600425618083769717073792336699010598103974082899011325028\
         440485443936864929573136610661807/1048041701591794121125374427\
         287247825631587878201297558984028323840000000000000*ep+
         20343720390235655414426000/3332372589*ep*z4+298113312459626543\
         792474378301535/4082902872984936*ep*z3+
         58364110843638268380277894213609296656013486224959364369509038\
         94483659675504856840946049186992981645561/11767442946195042301\
         46087955711911844364335752236384876780736773940576256000000000\
         00000*ep^2+1315131506933195177794740500/3332372589*ep^2*z5+
         298113312459626543792474378301535/2721935248656624*ep^2*z4-
         6061658726572324829452781031369555196748761/
         83071026611729481317376384*ep^2*z3+
         44608131846242603547250890845651051535194623425338031547084132\
         83433053226225548188508463665770447596837089432093611969142681\
         2210963218287009705068540209561/
         30085416126028619102899675508540813436215221906414709519946660\
         00603890274599851362195843299520588347478528581762953720627200\
         000000000000000*ep^3+1394538242863969365198346250/1428159681*
         ep^3*z6+15211563245487010090575904642065865/11082164940959112*
         ep^3*z5-6061658726572324829452781031369555196748761/
         55380684407819654211584256*ep^3*z4-560809495626430934042469383\
         3973761732697310427247763/19338316946772631983344220914903040*
         ep^3*z3+1423371952712167916148158500/9997117767*ep^3*z3^2;
Fill mncnoptab(20,4,4,1)=
      +mncF321*(-18737180000000-763859626069310000/4199*ep-
         18571086417315392702800/26189163*ep^2-79124706664671089498651/
         49997493*ep^3)
      +41928199300341062611491319533156387409713206899123513/4586807050\
      81263364854945739825356480000-845035145687703123050/329904886311*
         ep^-3-9693960434987590963929106895/213331675113462906*ep^-2-
         10300078785857797444282179809910141493073/
         34266798477338411043417758400*ep^-1+81358856191748401898439200/
         329904886311*z3-5579470800309593168853774581460442752123270048\
         14575774306141899151178448064118560041519024571/
         73272179570162229680410376626359534129654304038748725444121460\
         7360000000000000*ep+40679428095874200949219600/109968295437*ep
         *z4+301243029079555432721693823026095/67367897404251444*ep*z3+
         33688986668943760804615923485700998511077814096545951599907503\
         469357827889925924254270491795138975871993/
         11769480598653257893201392263535935607010222173017071945083178\
         539014317670400000000000000*ep^2+239110291964400960363777800/
         9997117767*ep^2*z5+301243029079555432721693823026095/
         44911931602834296*ep^2*z4-614385501723220861416546303142792151\
         57962577/17133399238669205521708879200*ep^2*z3-
         82485727389871442945053626209630038015709580860458188767513430\
         50277089115547522752141008753146921581163107286359450213041432\
         0671727015697639173967438961/112479910742728013174949593597456\
         79954507855494330568297500719010522218657496492696127710092658\
         634120836686944804431462400000000000000000*ep^3+
         2789028849511958317895081500/47129269473*ep^3*z6+1603974478651\
         9594221034143995737915/182855721525825348*ep^3*z5-614385501723\
         22086141654630314279215157962577/11422266159112803681139252800
         *ep^3*z4-192400763199654154755166659741243908574341271936349129
       /10424561479119621928521494086939920000*ep^3*z3+
         2846966481745224117158761400/329904886311*ep^3*z3^2;
Fill mncnoptab(20,5,1,3)=
      +mncF321*(-141139845000000-5653680158624767500/4199*ep-
         193247060129754318800/37791*ep^2-385989639990728282202119/
         34918884*ep^3)
      +42267451184806949516625242040377946234780442858534831/6089267657\
      6444775709458886095141120000+891970206533277025/952106454*ep^-3+
         742362530671447065787978465/169926529094706384*ep^-2-172259508\
         950580787626230061195517293791/4549127647785185881665849600*
         ep^-1+884169960852780244112200/476053227*z3-
         10653524954563526100657782586767858082477462822058891080548972\
         20793014390877195336201146695318073/18212635792106288949334284\
         4919695066587533715722981042472335588720640000000000000*ep+
         442084980426390122056100/158684409*ep*z4+
         33152909366204711985409030366045/993722392366704*ep*z3+
         13392579684912649299011402899679056570688025806033160613195253\
         70622068342235619154339690075969427274287031/
         59702828901439082646214581306758730998969147063124194528441988\
         378358343270400000000000000*ep^2+28588631176760134452744050/
         158684409*ep^2*z5+33152909366204711985409030366045/
         662481594911136*ep^2*z4-74377560475493925305920170070645059338\
         075699/2274563823892592940832924800*ep^2*z3+
         10180792132653528908607080388561253453472995267662266087618090\
         83403988394349291913307614287555070213714531102988159549311611\
         838625718911187438161225453634934541721/
         17698851532541873439655208489757025766392483482704362062471202\
         42007038229229039763103361206411743583336916965500815331691593\
         72800000000000000000*ep^3+212204308923569057785299875/
         476053227*ep^3*z6+15298703121598585867611904967988565/
         24275218442100912*ep^3*z5-743775604754939253059201700706450593\
         38075699/1516375882595061960555283200*ep^3*z4-1038326700270094\
         2009287383097773563303577810143974933/776692303270979282008404\
         15937680000*ep^3*z3+30946735940290522221806650/476053227*ep^3*
         z3^2;
Fill mncnoptab(20,5,2,2)=
      +mncF321*(-84683907000000-3430162851684030000/4199*ep-
         39726412212562132900/12597*ep^2-2890335049804200904247/415701*
         ep^3)
      +269998619492694725242086338792025069269245376949613/649521883482\
      077607567561451681505280-5830083713688761725/317368818*ep^-3-
         8536986308781398973692212859/37761450909934752*ep^-2-584134174\
         475494133616907325332847003423/606550353038024784222113280*
         ep^-1+176905345019989542124400/158684409*z3-
         11126447542104426120431191555740594769024746013724489922022381\
         3513204505835835680496129000656853/321399455154816863811781491\
         03475599986035361598173125142176868597760000000000000*ep+
         88452672509994771062200/52894803*ep*z4+
         60045850750742340480956034670787/2981167177100112*ep*z3+
         23032602016712140865527207897423873236351627544570678310939677\
         4727400968305291821582101850086920039395489151/
         17552631697023090297987086904187066913696929236558513191361944\
         583237352921497600000000000000*ep^2+5717972842574178825590350/
         52894803*ep^2*z5+60045850750742340480956034670787/
         1987444784733408*ep^2*z4-5298501411311365244499457260869409397\
         705697/303275176519012392111056640*ep^2*z3+
         10353712872345950940857879507171430215877947885156274038032852\
         00582076170893417062903582523764272476097995903038473905639252\
         783042246055727652866475404740651/
         13371296056012719601288744670462583749428987513962093119976293\
         33601729010933267272087041466453594821101568258561312764723200\
         000000000000000*ep^3+42442532956756367336616625/158684409*ep^3
         *z6+22074887319962570662427697258483251/56642176364902128*ep^3
         *z5-5298501411311365244499457260869409397705697/
         202183451012674928074037760*ep^3*z4-13389758605667484713682796\
         3425218838820467107536267373/162380470870519401891890362920376\
         3200*ep^3*z3+6188520237527440589526950/158684409*ep^3*z3^2;
Fill mncnoptab(20,5,3,1)=
      +mncF321*(-10081417500000-414388035915480000/4199*ep-
         102956286256429262350/264537*ep^2-53790948018177021187922/
         61108047*ep^3)
      +167476414085317191369362161804672226475664216660993081/340998988\
      8280907439729697621327902720000-24260690414168530025/13329490356*
         ep^-3-49119484713301163571759544075/1585980938217259584*ep^-2-
         25203128510978576075651202550785378042163/
         127375574137985204686643788800*ep^-1+442185453536762411725400/
         3332372589*z3-347019940629691384109916931429804720453771452942\
         43368160387689547347603948125650313937995014411/
         85559360451927895888356116706779825237550179639092742480135674\
         920960000000000000*ep+221092726768381205862700/1110790863*ep*
         z4+302589037608125923720880202043615/125209021438204704*ep*z3+
         41424138082617795432896467156378575113921643449909488672184140\
         62102361918980386666436899553381578471747311/
         27486263921162531510584174547765461925294641936369100327132715\
         41880574495948800000000000000*ep^2+14294717721875114657826475/
         1110790863*ep^2*z5+302589037608125923720880202043615/
         83472680958803136*ep^2*z4-110702665149858895800535264938436999\
         227781117/63687787068992602343321894400*ep^2*z3-
         19078402441091754687915121105078409363514503256178270129079022\
         29526292366326487685657487900630004495339502358615323229744675\
         960270242992743291974462509427/
         62815703999400413511548773039810489592097716068338404492196323\
         08953177496417272074914398097900129516713411324560013262848000\
         00000000000000*ep^3+30315691222920415401252875/952106454*ep^3*
         z6+2341607635991938349631940892595895/48550436884201824*ep^3*
         z5-110702665149858895800535264938436999227781117/
         42458524712661734895547929600*ep^3*z4-172724849423567916124758\
         99384569735846728106320294192021/17049949441404537198648488106\
         63951360000*ep^3*z3+15472565719415571825019175/3332372589*ep^3
         *z3^2;
Fill mncnoptab(20,6,1,2)=
      +mncF321*(-4704661500000-196921909349858000/4199*ep-
         1264144458029567770/6669*ep^2-2135268607045415983447/4849845*
         ep^3)
      +168596147355672471025458992615504090177873078750532997/730712118\
      9173373085135066331416934400000-3445034080553195185/5712638724*
         ep^-3-17470296333212462143181577013/2039118349136476608*ep^-2-
         11978918608355788964461866455305795884871/
         272947658867111152899950976000*ep^-1+88442690249527385329960/
         1428159681*z3-305202399370225674675597067909829726927806411191\
         442598352985170188997817828159428863192822281229/
         16391372212895660054400856042772555992878034415068293822510202\
         98485760000000000000*ep+44221345124763692664980/476053227*ep*
         z4+8730245353119190461447845737357/7665858455400288*ep*z3+
         50771539567546432915175365233175370506198251729042429738222619\
         13778405577967111677991088776561027067700277/
         75225564415813244134230372446516001058701125299536485105836905\
         35673151252070400000000000000*ep^2+2858947233218518454084915/
         476053227*ep^2*z5+8730245353119190461447845737357/
         5110572303600192*ep^2*z4-8379478568031464929409135391858324787\
         7680249/136473829433555576449975488000*ep^2*z3-
         92336980614968217303966375464246755466575253842777976756468254\
         21253189114163336491892019117538977815692394057556826096192972\
         86009014226898504512224597256286478707/
         15928966379287686095689687640781323189753235134433925856224082\
         17806334406306135786793025085770569225003225268950733798522434\
         355200000000000000000*ep^3+42441995047030139884623925/
         2856319362*ep^3*z6+24044508622078629790517599023848771/
         1019559174568238304*ep^3*z5-8379478568031464929409135391858324\
         7877680249/90982552955703717633316992000*ep^3*z4-1809366874234\
         7631044005746429644002796296544630940448897/365356059458668654\
         2567533165708467200000*ep^3*z3+3094344847094875579943695/
         1428159681*ep^3*z3^2;
Fill mncnoptab(20,6,2,1)=
      +mncF321*(-1411398450000-59740336559211000/4199*ep-
         2208088976056921025/37791*ep^2-4024982002693779380311/29099070
         *ep^3)
      +33392274728111052852572438119975940093290543351184441/4871414126\
      115582056756710887611289600000-3364680797742017765/3808425816*
         ep^-3-77948682745765370636307393397/6797061163788255360*ep^-2-
         10043752290026108158266322568716012977203/
         181965105911407435266633984000*ep^-1+8849620325702946449500/
         476053227*z3-9489338315561814026296691987283548945339740528280\
         24010759988394562133748098877539537500395147/
         17379245091797853852322336206064652001377380239190713316277558\
         968320000000000000*ep+4424810162851473224750/158684409*ep*z4+
         8787137222280108676850199754141/25552861518000960*ep*z3+
         69533174091656923934472648508405427506127204092854474741949528\
         82105905896219243757971512833036331218530773/
         35732143097511290963759426912095100502883034517279830425272530\
         044447468447334400000000000000*ep^2+571832256498886381004575/
         317368818*ep^2*z5+8787137222280108676850199754141/
         17035241012000640*ep^2*z4-132298005631441749383393423726963989\
         19108429/90982552955703717633316992000*ep^2*z3-
         99936224247342433645116273542710970849892377374702646597075036\
         12233882135678751877382858121887791495935896382031467122727421\
         96929220502094884441224490236040245007/
         44019751922754308319030290042021198179491959557072220288694858\
         99221034394107384503953596676173460588684443175472815856905804\
         893388800000000000000000*ep^3+8488987644226266250573625/
         1904212908*ep^3*z6+24736159629628218736097792042355731/
         3398530581894127680*ep^3*z5-1322980056314417493833934237269639\
         8919108429/60655035303802478422211328000*ep^3*z4-3674201238202\
         819645105216128498061568539368577024708997/2435707063057791028\
         378355443805644800000*ep^3*z3+618783348370906515119915/
         952106454*ep^3*z3^2;
Fill mncnoptab(20,7,1,1)=
      +mncF321*(-31364410000-4306669031618800/12597*ep-
         528269771805865657/340119*ep^2-536118956136497787644/130945815
         *ep^3)
      +32844724473627563198751879137833486655738693833059257/2192136356\
      75201192554051989942508032000000-2201845507425779017/34275832344*
         ep^-3-199517925383591198289169391341/305867752370471491200*
         ep^-2-22175702165190144840087946654334780773331/
         8188429766013334586998529280000*ep^-1+1767821517176394347636/
         4284479043*z3-496944783579565951084120799074709422433645430527\
         5679422314004209750916876813/459369228250632654190263900231293\
         4611666141603343158476800000000*ep+883910758588197173818/
         1428159681*ep*z4+9169029444120690135194852438797/
         1149878768310043200*ep*z3+129389361579169796762775237051253446\
         79322758910901484562152475642654271465604251946508527/
         38738195818604875456550882833677324540151743457993373775366507\
         72480000000000*ep^2+114366831430067726359163/2856319362*ep^2*
         z5+9169029444120690135194852438797/766585845540028800*ep^2*z4+
         483052378568625112168268553944507774667499/
         163768595320266691739970585600*ep^2*z3+
         47939695272621597001151403366822753346630746274135233689093261\
         59235675078742400237825562136055134941478529035809276252516123\
         330794936523/1543412429750037679026082270489794878285501583864\
         64995180326360699254214210410539052146570033613052533800960000\
         000000000000*ep^3+1697824256279251951911085/17137916172*ep^3*
         z6+29755325401194343740791802273180467/152933876185235745600*
         ep^3*z5+483052378568625112168268553944507774667499/
         109179063546844461159980390400*ep^3*z4-40859650276205006511374\
         79270917845795914654816632757509/10960681783760059627702599497\
         1254016000000*ep^3*z3+123903837233374834644727/8568958086*ep^3
         *z3^2;
Fill mncnoptab(21,1,1,6)=
      +mncF321*(-149975199297000-11637453026150729547/8398*ep-
         1579934310762077784097/314925*ep^2-17861140758549021485599499/
         1745944200*ep^3)
      +90443514478980304636019511865482894899114397784228837/1225697998\
      72070804568153957518400000000+2083486350649319167/63473763600*
         ep^-3+5549233407184725444921962701/36940549803197040000*ep^-2-
         10033817821861077344300038997941228133/
         15697472904710786341152000000*ep^-1+7829460052161438659313287/
         3967110225*z3-109273303808541027809883263651640564091718503946\
         00438082266716516448626749341796986951/16955218351855144606889\
         99050016742615308121417660039482572800000000000*ep+
         7829460052161438659313287/2644740150*ep*z4+6777451721152521063\
         9789039240836639/1944239463326160000*ep*z3+
         42204738268857083196980607074569717260069431840824526302249314\
         124659373336959208498663604742383297/1634078155791758702954159\
         414140597402993705282736746575515677643243520000000000000*ep^2
         +1012610941807363681079261527/5289480300*ep^2*z5+6777451721152\
         5210639789039240836639/1296159642217440000*ep^2*z4-74529886541\
         73165317621548935382246556474977733/
         164823465499463256582096000000*ep^2*z3-
         71473429470265252178066829314576933184865218767176217466773408\
         48755082530075539438819452406344816705739556369662811824682265\
         2840746978935033/241470742090484362300206733381611991374222061\
         55616830586793612160325015928814724873547684440334686178246656\
         0000000000000000*ep^3+3006514985213445288600531433/6347376360*
         ep^3*z6+359001256978280601591973577469292639/
         586357933384080000*ep^3*z5-74529886541731653176215489353822465\
         56474977733/109882310332975504388064000000*ep^3*z4-
         284121041919540203142466582657332362175388147919531411521/
         2206256397697274482226771235331200000000*ep^3*z3+
         1096125735741109897580184371/15868440900*ep^3*z3^2;
Fill mncnoptab(21,2,1,5)=
      +mncF321*(-178541903925000-14025044744201712375/8398*ep-
         232765827431308061575/37791*ep^2-4486490258661042660811403/
         349188840*ep^3)
      +66863464340964333139409230001853659800245375961103311/7611584572\
      0555969636823607618926400000+460105204972916905/7616851632*ep^-3+
         1124205505480519342539898649/2265687054596085120*ep^-2+
         107853119833748932572764103630639136163/
         181965105911407435266633984000*ep^-1+1118494374475149764810225/
         476053227*z3-1700930220761907700970230290599752531183933584580\
         6183362254379300439722709172811447609949/224622732725376955752\
         0785941462180616760199254116020306512445440000000000*ep+
         1118494374475149764810225/317368818*ep*z4+21345235592680855661\
         00401737364343/51105723036001920*ep*z3+
         12930891823356036465778209984400758268204816648048991611314202\
         245208084622870706387013472451974067943/4329653481585843859347\
         34078370692687897212151713928372648633948353803059200000000000
         *ep^2+144658712961477184688047825/634737636*ep^2*z5+2134523559\
         268085566100401737364343/34070482024001280*ep^2*z4-44687155714\
         45366159156491465949084220343663961/
         90982552955703717633316992000*ep^2*z3+
         41919327045698899894522697183032484173996518876380632888214069\
         96438318969391440233538523264034614292951169364071316336153346\
         604892744124150709/1871881192685434776551202597174256157132969\
         42118341670708824081466839523480171747219741649781474487253768\
         07731200000000000000*ep^3+2147510806932654775024512875/
         3808425816*ep^3*z6+5130814540088439760490830030663450463/
         6797061163788255360*ep^3*z5-4468715571445366159156491465949084\
         220343663961/60655035303802478422211328000*ep^3*z4-
         194527159517663766255814085061791145414903918121793308889/
         1217853531528895514189177721902822400000*ep^3*z3+
         156589390655998475130756245/1904212908*ep^3*z3^2;
Fill mncnoptab(21,2,2,4)=
      +mncF321*(-170039908500000-6766746560292633750/4199*ep-
         4810025847454040826350/793611*ep^2-4747185046058593771758467/
         366648282*ep^3)
      +85583864487456397834281495821199244377112431933531569/1022996966\
      48427223191890928639837081600-10417065158279449675/39988471068*
         ep^-3-2645371810490172380477531387/792990469108629792*ep^-2-
         566649399367350520963353583997097624179/
         38212672241395561405993136640*ep^-1+22369975823426934589044100/
         9997117767*z3-532903570087091365390556513848896111435140685720\
         7909701460661673749785196219916672148589/749770934783881871535\
         097505185865233341659915865649635278192640000000000*ep+
         11184987911713467294522050/3332372589*ep*z4+791867277857766748\
         188070133296979/19769845490242848*ep*z3+
         30186256179154401269436236408358577007687774229799546933080847\
         8095435383622828866521874596599616596059/109594353752641672689\
         72956358758158662398182590258811932668546817705639936000000000\
         000*ep^2+723293848723030369902680525/3332372589*ep^2*z5+
         791867277857766748188070133296979/13179896993495232*ep^2*z4-
         800260030825999122540812757105045352500681659/
         19106336120697780702996568320*ep^2*z3+
         18483560456521328707028414327330106474905441039483309867441492\
         96272808854635818119453691456935402505424259796672363665671829\
         2955183369738558921037/244870138221145150294545567749350319195\
         34939483210865653774822217084612264058667112550503916163585050\
         1016710335692800000000000000*ep^3+1533936835961188696513569625/
         2856319362*ep^3*z6+108613841005241783863614458427803327/
         145651310652605472*ep^3*z5-80026003082599912254081275710504535\
         2500681659/12737557413798520468664378880*ep^3*z4-4046743465229\
         507856857823398750768639973744733917206653/2557492416210680579\
         7972732159959270400*ep^3*z3+782945821944034848301391425/
         9997117767*ep^3*z3^2;
Fill mncnoptab(21,3,1,4)=
      +mncF321*(-64924328700000-2595917075934336000/4199*ep-
         6806183128329762650/2907*ep^2-3861594588549518569402/765765*
         ep^3)
      +15878429817697483441074977493192432428838664228696327/4970830740\
      9342674048537866200115200000-103300573565197495/1904212908*ep^-3-
         2405372480323726331571360371/3398530581894127680*ep^-2-
         283128220358752050415451690277071530669/
         90982552955703717633316992000*ep^-1+406726421058289510999000/
         476053227*z3-3684236266538687175075910577128203435652163687243\
         86215719062255246953681072471903335609689/13645831013066650061\
         9387745943827472468182104687548233620631060480000000000*ep+
         203363210529144755499500/158684409*ep*z4+137120333996895985638\
         7713599060441/89435015313003360*ep*z3+227840880545898145643304\
         66951462975518598459717008620729731845759687834495509998614099\
         7680292179283041/219188707505283345379459127175163173247963651\
         80517623865337093635411279872000000000000*ep^2+
         13150795682219892792798725/158684409*ep^2*z5+13712033399689598\
         56387713599060441/59623343542002240*ep^2*z4-995083024582583592\
         89904825226928742272145781/6498753782550265545236928000*ep^2*
         z3-87012526268877661651400260606393513190990804499986191402630\
         67474987140425915843009721748031633559016149434502611139852684\
         23172519695379902008698189/24487013822114515029454556774935031\
         91953493948321086565377482221708461226405866711255050391616358\
         505010167103356928000000000000000*ep^3+
         195228303128006944336985875/952106454*ep^3*z6+4901531212393767\
         38784814008544263433/1699265290947063840*ep^3*z5-9950830245825\
         8359289904825226928742272145781/4332502521700177030157952000*
         ep^3*z4-745989573140921909664371512113994842529221514105842276\
         91/1217853531528895514189177721902822400000*ep^3*z3+
         14235382565061844458180745/476053227*ep^3*z3^2;
Fill mncnoptab(21,3,2,3)=
      +mncF321*(-46374520500000-1879915244345820000/4199*ep-
         457692743214504081850/264537*ep^2-233332229269865588652236/
         61108047*ep^3)
      +2828277161646097819584462608721119600158202395881437/12399963230\
      112390689926173168465100800-8141069228001458675/13329490356*ep^-3
         -13500080795428531566404656417/1585980938217259584*ep^-2-
         1129510729204843265195423077758879967961/
         25475114827597040937328757760*ep^-1+2033664970953590739452600/
         3332372589*z3-137062491168616234324904418203038621539819181503\
         397792489106449545804175159995847552621991/7220016409029973577\
         7453833832712948395863547453729224137900032000000000000*ep+
         1016832485476795369726300/1110790863*ep*z4+1381301997078089572\
         148823778716601/125209021438204704*ep*z3+
         23280776608470755180667341577002913787675637411931629192806827\
         0760611680471448966053968298925240331147/324724011118938289451\
         05055877801951592290911378544627948647546126535229440000000000\
         000*ep^2+65754106231593648664932025/1110790863*ep^2*z5+1381301\
         997078089572148823778716601/83472680958803136*ep^2*z4-
         24194993183741644618021450337076512111877979/
         2547511482759704093732875776*ep^2*z3-
         48897404097170385718192330075690071085893651740461857762749507\
         54203388062701001875073340435742642227552867529361136144737393\
         575038937083367310824181/6892640927706307934216838203315046021\
         79502000268157699884032032777196493358688407612532702825345356\
         96582481427824640000000000000000*ep^3+
         139449038374162396610959625/952106454*ep^3*z6+7267642869552403\
         6189874389435981039/339853058189412768*ep^3*z5-241949931837416\
         44618021450337076512111877979/1698340988506469395821917184*
         ep^3*z4-617900202058876251171765808887382883063060268845983703/
         13639959553123629758918790485311610880*ep^3*z3+
         71176624404960558488254925/3332372589*ep^3*z3^2;
Fill mncnoptab(21,3,3,2)=
      +mncF321*(-8431731000000-348340330794352500/4199*ep-
         958812123316489539200/2909907*ep^2-16694937441096988739053/
         22221108*ep^3)
      +15523066459831325927219710919270122385210010212052239/3750988877\
      10899818370266738346069299200-128925443820194656925/73312196958*
         ep^-3-95430289302045960753377084741/4361447580097463856*ep^-2-
         830425117684230067444630898202958021739/
         8757070721986482822206760480*ep^-1+4068751695676475371394200/
         36656098479*z3-12163023425772374675232583960285322931592212323\
         0531810493306765642790880607969011848662583/361000820451498678\
         887269169163564741979317737268646120689500160000000000000*ep+
         2034375847838237685697100/12218699493*ep*z4+139573818733262151\
         1819725458604661/688649617910125872*ep*z3+
         10072060507972066994132122589276080118001889680842742015242163\
         2378802904471053299947578247178138744209/811810027797345723627\
         62639694504878980727278446361569871618865316338073600000000000\
         000*ep^2+11955740019539995098242050/1110790863*ep^2*z5+1395738\
         187332621511819725458604661/459099745273417248*ep^2*z4-
         23746401753197478928518329964311459236258733/
         17514141443972965644413520960*ep^2*z3-
         80008203441496509615329956444536328300995528519381099953767609\
         20563153030149268273953531986643914557309412296299253909198991\
         5855565599893666139771/595273534665544776136908753922663065518\
         66081841340892262711857376212424426432180657446006153098008101\
         593961233121280000000000000000*ep^3+
         139453810338979772453783375/5236585497*ep^3*z6+764004656534294\
         01048454397186876629/1869191820041770224*ep^3*z5-2374640175319\
         7478928518329964311459236258733/11676094295981977096275680640*
         ep^3*z4-146266079055181621339114606957020243683243948238656623/
         17049949441404537198648488106639513600*ep^3*z3+
         142336864275602166786890350/36656098479*ep^3*z3^2;
Fill mncnoptab(21,4,1,3)=
      +mncF321*(-8468390700000-347692289414316000/4199*ep-
         4104963724728099550/12597*ep^2-32060381079360768952624/
         43648605*ep^3)
      +33818236075359897365614007798269664765396542080293521/8119023543\
      52597009459451814601881600000+38487607884422335/634737636*ep^-3+
         214397830333591612609161367/485504368842018240*ep^-2-188917223\
         31991846013800911629174609963/30327517651901239211105664000*
         ep^-1+17683383766391188466600/158684409*z3-
         98594346060672630304749511193983974681897902431314927118701691\
         6539951939003914760792439/288800656361198943109815335330851793\
         5834541898149168965516001280000000000*ep+
         8841691883195594233300/52894803*ep*z4+
         16490887035397661116527037931591/8130455937545760*ep*z3+
         82091032988662283188518957119494190459202275576109585113569178\
         65017610216377849020879571263802416131/64944802223787657890210\
         11175560390318458182275708925589729509225307045888000000000000
         *ep^2+571772571287482866285475/52894803*ep^2*z5+
         16490887035397661116527037931591/5420303958363840*ep^2*z4-
         22558498771232175285411218943449603737942069/
         15163758825950619605552832000*ep^2*z3+
         16265908566553442260065061499063760964523924316928947827634434\
         69854555867946052974604426691269654956126630007154149496646478\
         308479769845812243597611/1378528185541261586843367640663009204\
         35900400053631539976806406555439298671737681522506540565069071\
         39316496285564928000000000000000*ep^3+
         8488171650480287051949125/317368818*ep^3*z6+228768512135099005\
         31466282454602271/566421763649021280*ep^3*z5-22558498771232175\
         285411218943449603737942069/10109172550633746403701888000*ep^3
         *z4-384929590133418688787140272390068650681118304547903093/
         45105686352922056081080656366771200000*ep^3*z3+
         618934893333741285374015/158684409*ep^3*z3^2;
Fill mncnoptab(21,4,2,2)=
      +mncF321*(-4032567000000-167929789807230000/4199*ep-
         42492973307876404900/264537*ep^2-2060929447312172163599/
         5555277*ep^3)
      +269946981938363628454211146843825621633485275789617/136399595531\
      23629758918790485311610880-5518748605866971725/6664745178*ep^-3-
         24582964781476832221220222057/2378971407325889376*ep^-2-
         114701672857977231048784936919597443775/
         2547511482759704093732875776*ep^-1+176902843667283093736400/
         3332372589*z3-157132204195866332007456642901936216448727909764\
         50562885215884817133506645678258146687581/98454769214045094241\
         982500680972202357995746527812578369863680000000000000*ep+
         88451421833641546868200/1110790863*ep*z4+
         1069224323885317692254543099071/1098324749457936*ep*z3+
         12849533070114882498813431205568188683786323355271384932168226\
         195456883414653952608281991588096960863/2214027348538215609893\
         52653712286033583801668490077008740778723590012928000000000000\
         00*ep^2+5717962850789054284838350/1110790863*ep^2*z5+
         1069224323885317692254543099071/732216499638624*ep^2*z4-
         3650563857525518879298792115659597758153557/
         6368778706899260234332189440*ep^2*z3+
         24015002566463981891204032737424238135175785739907913396169230\
         94456801436999759910412748107496986033856210151957294695402185\
         5872192715812628119087/457902718973495981643775964555894665783\
         58524493339147894393736443240326481870908198035389348536929308\
         91843171778560000000000000000*ep^3+6063209181678528485992375/
         476053227*ep^3*z6+3390579068215858877188103726279033/
         169926529094706384*ep^3*z5-36505638575255188792987921156595977\
         58153557/4245852471266173489554792960*ep^3*z4-1422668696444193\
         50216437992692396964791379331201805921/34099898882809074397296\
         976213279027200*ep^3*z3+6188540358250105424214950/3332372589*
         ep^3*z3^2;
Fill mncnoptab(21,4,3,1)=
      +mncF321*(-366597000000-15561641405305500/4199*ep-
         44508028161211372960/2909907*ep^2-1651207460770990962467/
         45265220*ep^3)
      +83412552428099223553297035931593645534909115746995807/4688736096\
      3862477296283342293258662400000-8208897118842820195/73312196958*
         ep^-3-23087355211659550108994505227/13084342740292391568*ep^-2
         -9285913070320407869309654068037698621693/
         875707072198648282220676048000*ep^-1+176901323140194113058440/
         36656098479*z3-21034298551331361312649718845274207027172418202\
         79655575896556091883125443338960850876837929/
         14852605184290231359933360102729520812863358333338583251225149\
         4400000000000000*ep+88450661570097056529220/12218699493*ep*z4+
         61589255368857895495425284516851/688649617910125872*ep*z3+
         17981644186558376820178352673758971791147568954828539917440938\
         58756745378857777311893072886278121029/35875600430510291300407\
         611219913158119455970834052680870072476923592704000000000000000
         *ep^2+519817742827498087407710/1110790863*ep^2*z5+
         61589255368857895495425284516851/459099745273417248*ep^2*z4-
         7683138854281474952224769598991403246550371/
         218926768049662070555169012000*ep^2*z3-
         41507090638069490635742307197691985418551516881902841314204402\
         32402111790939948886842785028052408869712042809811001758783118\
         802943795402223034707/3332143401043282711903395940325111037305\
         62324009838230741710688519906282503643693476082600040665234854\
         40351477432320000000000000000*ep^3+6063244353631158132641425/
         5236585497*ep^3*z6+508373395123984326730494819826589/
         267027402863110032*ep^3*z5-76831388542814749522247695989914032\
         46550371/145951178699774713703446008000*ep^3*z4-83138846984992\
         1788218398845318547940421749111364046947/213124368017556714983\
         1061013329939200000*ep^3*z3+6188805980547564648209330/
         36656098479*ep^3*z3^2;
Fill mncnoptab(21,5,1,2)=
      +mncF321*(-352849612500-15118522252160250/4199*ep-
         2273194757737946825/151164*ep^2-12673072748413005958643/
         349188840*ep^3)
      +688169475661777282389306459491556099530717776443449/397666459274\
      741392388302929600921600000-633164692260082565/15233703264*ep^-3-
         16292658836663179366224377477/27188244655153021440*ep^-2-
         2274875412065165555701784953781213386403/
         727860423645629741066535936000*ep^-1+2211038492326877270875/
         476053227*z3-1634684732283837446965816593661743364138953914655\
         653529714053396047436747071465451119/1211751005711324236824400\
         00838119633671379380341923173378293760000000000*ep+
         2211038492326877270875/317368818*ep*z4+
         20631562474273040024393034429689/238493374168008960*ep*z3+
         13689920849719281846874777686685202609573726466398926724314784\
         9862830465918262601024146081656149/292763946914144212878482847\
         8840145898628782393257216644506164940033228800000000000*ep^2+
         571788532392445002212575/1269475272*ep^2*z5+
         20631562474273040024393034429689/158995582778672640*ep^2*z4-
         1352831382503787967200749465397059086217147/
         51990030260402124361895424000*ep^2*z3-
         23652544066974502987755723391452835858172769006431269266655455\
         08623433721742559701555648972193494358549589451234281161875019\
         12134829770524861366488231690863/
         19558847320003563947548134961495726537294594378963835318770946\
         14566311619552315021939211249499035346489096641928920369515724\
         8000000000000000*ep^3+8488386446193599942353625/7616851632*
         ep^3*z6+25488220908447645727475874476138771/
         13594122327576510720*ep^3*z5-135283138250378796720074946539705\
         9086217147/34660020173601416241263616000*ep^3*z4-3743729846872\
         852652270102540360658031741155295832379317/9742828252231164113\
         513421775222579200000*ep^3*z3+618870875400684905150315/
         3808425816*ep^3*z3^2;
Fill mncnoptab(21,5,2,1)=
      +mncF321*(-84011812500-3651252723148250/4199*ep-
         691814832058292765/186732*ep^2-67131283620669560007871/
         7332965640*ep^3)
      +166369514421851895118974908325053356502774668952332813/409198786\
      593708892767563714559348326400000-20639098845507066265/
         319907768544*ep^-3-95841618269369757818382281861/
         114190627551642690048*ep^-2-6214792448508590798257390923841822\
         4999599/15285068896558224562397254656000*ep^-1+
         11063929407656643744455/9997117767*z3-465806113318408355709263\
         63990847947786867666224103858017576275925783956836110785756312\
         0799/148526051842902313599333601027295208128633583333385832512\
         251494400000000000000*ep+11063929407656643744455/6664745178*ep
         *z4+6934979399414586403297772358355/333890723835212544*ep*z3+
         73005060674329790910940912109586860745497434246646867589762828\
         98523361345451989810210599254637915421/68163640817969553470774\
         46131783500042696634458470009365313770615482613760000000000000\
         00*ep^2+2859222258623677770502235/26658980712*ep^2*z5+
         6934979399414586403297772358355/222593815890141696*ep^2*z4-
         24008790368419028160279570283424153166274321/
         7642534448279112281198627328000*ep^2*z3-
         20723666224439088166008356531748643743187276484301624267063836\
         94279297050840232799205338823922440623220215983016559210375825\
         25939670873191827359/11383098574992580692837687994899447642969\
         52038542925632968576886248127052031080940446244906971216640806\
         9685287321600000000000000000*ep^3+6063682386149842972536475/
         22850554896*ep^3*z6+3770231470041672848275137633431573/
         8156473396545906432*ep^3*z5-2400879036841902816027957028342415\
         3166274321/5095022965519408187465751552000*ep^3*z4-
         18937630781947493778747524752566951372151692567091147273/
         204599393296854446383781857279674163200000*ep^3*z3+
         3093795218624603134053655/79976942136*ep^3*z3^2;
Fill mncnoptab(21,6,1,1)=
      +mncF321*(-2822796900-131965753257954/4199*ep-555152875297218997/
         3779100*ep^2-3495241146915845693447/8729721000*ep^3)
      +32755694924413419536045781222388218231718347873867497/2435707063\
      057791028378355443805644800000000-2201766819001044097/
         380842581600*ep^-3-67699977125105776096316953687/
         1132843527298042560000*ep^-2-231099390918987460009041037988539\
         22434211/90982552955703717633316992000000*ep^-1+
         441955398966204770639/11901330675*z3-2076279282245440446124422\
         45489856910240187176017767557660135412170990883234071/
         22049722956030367401132667211102086135997479696047160688640000\
         00000*ep+441955398966204770639/7934220450*ep*z4+
         9279703693459566468023809036157/12776430759000480000*ep*z3+
         40954467926487209401887715077685322058513354428987915026619121\
         376474591334005137911832209/1475740793089709541201938393663898\
         07772006641744736662001396219904000000000000*ep^2+
         114366834813669989960723/31736881800*ep^2*z5+
         9279703693459566468023809036157/8517620506000320000*ep^2*z4+
         3930105863021000084155894546982850960435911/
         9098255295570371763331699200000*ep^2*z3+
         14096736228194551239775146860532201002160317811653861072731609\
         38180589303232907476972552401124237054959434659054707508952871/
         25644962890081641446823668701747148880541383610889093480174054\
         54344320792781379006608893422862336000000000000000*ep^3+
         339564861249280331717057/38084258160*ep^3*z6+31184116200263306\
         832153631864302227/1699265290947063840000*ep^3*z5+393010586302\
         1000084155894546982850960435911/
         6065503530380247842221132800000*ep^3*z4-4031802700517049624299\
         126210799294630055902638846127029/1217853531528895514189177721\
         902822400000000*ep^3*z3+123903837154686409909807/95210645400*
         ep^3*z3^2;
Fill mncnoptab(22,1,1,5)=
      +mncF321*(-2024284625000-1150413802811525725/58786*ep-
         74227164713867069683/980343*ep^2-5145159256194731681763995/
         30798455688*ep^3)
      +13372849202330126593536570237448826162751303060221122097/
      1342683518510607304393568438397861696000000-1112046441362881939/
         3359031569712*ep^-3-2462767160627834352119752919/
         4995839955384367689600*ep^-2+432518801395215729590234427631940\
         5288163/401233058534653394762927934720000*ep^-1+
         5592470165704133485145221/209939473107*z3-33518538916443871604\
         423382067713807933151498745635776980790093737068799308149005779
       /405163659317058000995812760004000832748953689414866577653760000\
         000000*ep+5592470165704133485145221/139959648738*ep*z4+
         380130685107040173910631775721014137/788816835060689635200*ep*
         z3+36480636698855076015389066595684581030586085046335881672428\
         8670067056291669559017262118498690367/117144304155461143380609\
         8696890402294094188722169719622967083193597952000000000000*
         ep^2+723293418051611508135722741/279919297476*ep^2*z5+38013068\
         5107040173910631775721014137/525877890040459756800*ep^2*z4-
         82073766786084875669655217946482448402258185417/20061652926732\
         6697381463967360000*ep^2*z3+1912968762990894900202429475497175\
         81275968947211884872496165052133633650366448512391330947048445\
         74473392856829197848775860947690948154667/
         85000508250178674804795322730644635234445982253356493828364399\
         90320566864052844756141206510828920500125696000000000000000*
         ep^3+1533935981065727136047562385/239930826408*ep^3*z6+
         20059141230097971368558722560412748033/2141074266593300438400*
         ep^3*z5-82073766786084875669655217946482448402258185417/
         133744352844884464920975978240000*ep^3*z4-53665946348074075710\
         44384791838039346480068301166388663669/26853670370212146087871\
         36876795723392000000*ep^3*z3+782946956701043250835046473/
         839757892428*ep^3*z3^2;
Fill mncnoptab(22,2,1,4)=
      +mncF321*(-1472207000000-425526181732025000/29393*ep-
         956881894668040041650/16665831*ep^2-45671996786163988660136/
         349982451*ep^3)
      +155612236372956654392538928378961089073416478185597697/214829362\
      96169716870297095014365787136000-1212318719982400775/419878946214
         *ep^-3-1254710460189128898690748007/49958399553843676896*ep^-2
         -37731231060099414886962300526237310351/
         802466117069306789525855869440*ep^-1+4067277688668568859533600/
         209939473107*z3-2687654377861699348241928764198104784646744267\
         2991556843196314320046957654126154971/455809116731690251120289\
         355004500936842572900591724899860480000000000*ep+
         2033638844334284429766800/69979824369*ep*z4+139500040401845268\
         4695183192231301/3944084175303448176*ep*z3+
         95071707519490295913842174815362700399271120679646407852572023\
         573363955394055390257080144037389/4392911405829792876772870113\
         33900860285320770813644858612656197599232000000000000*ep^2+
         131508004529396161610178650/69979824369*ep^2*z5+13950004040184\
         52684695183192231301/2629389450202298784*ep^2*z4-4804320911045\
         52367104758484378165571668153061/
         2006165292673266973814639673600*ep^2*z3-
         22445758798529648353051685897281398341408248973325991439561498\
         72804292649380752651622239476738621639857067469839243735395125\
         130160918653611/6661914834107753637825833419014273286499703859\
         10681520379805984241374427970141707762567060286216644197351424\
         000000000000000*ep^3+139448834249828541418215125/29991353301*
         ep^3*z6+1556876763862641768307783936927831/218476965978908208*
         ep^3*z5-480432091104552367104758484378165571668153061/
         1337443528448844649209759782400*ep^3*z4-8092083735473636202284\
         4008614433134356010043650632276553/537073407404242921757427375\
         35914467840000*ep^3*z3+142353643364200372230791650/
         209939473107*ep^3*z3^2;
Fill mncnoptab(22,2,2,3)=
      +mncF321*(-803022000000-236290802689372500/29393*ep-
         1998710386140516367525/61108047*ep^2-196686626459541721745933/
         2566537974*ep^3)
      +12446147316812084874339439653691683320727089761744489/3150830656\
      771558474310240602106982113280-1644856433259549800/769778068059*
         ep^-3-2287013664844563996028507543/61060266121364493984*ep^-2-
         158031413322920629259497280295165615377/
         588475152517491645652294304256*ep^-1+8134511307855317890165400/
         769778068059*z3-3785797939154958483287939555834110561025281902\
         12923573392207739380282071025530015126083/12033360681716622629\
         575638972118824732643924575621537356316672000000000000*ep+
         4067255653927658945082700/256592689353*ep*z4+35213724476907399\
         3406971048717019/1807705247014080414*ep*z3+
         21704691290399293068367705541882395410344538315139482388099818\
         674397696788044958397574475391518857/1932881018565108865780062\
         84986916378525541139158003737789568726943662080000000000000*
         ep^2+23910536530003581084134600/23326608123*ep^2*z5+3521372447\
         69073993406971048717019/1205136831342720276*ep^2*z4-2840706670\
         7082408698263810452160627741211663/
         294237576258745822826147152128*ep^2*z3-
         42410399910418690551019929641292916827843076648288826040192076\
         06262137611501651612317466580454486126850212758542459565906843\
         738499008218701/1534259173915725080226555575288135665981749979\
         67308471360197741825286231896153847848348777520462015027268812\
         80000000000000000*ep^3+278897569350808163530813000/
         109968295437*ep^3*z6+11407785911977655478208765191289627/
         2803787730062655336*ep^3*z5-2840706670708240869826381045216062\
         7741211663/196158384172497215217431434752*ep^3*z4-121367821895\
         422547561820725836287348142407222632734619/1432195753077981124\
         68647300095771914240*ep^3*z3+284708171493450987636402200/
         769778068059*ep^3*z3^2;
Fill mncnoptab(22,3,1,3)=
      +mncF321*(-288040500000-85401947625720000/29393*ep-
         22122579008106970550/1851759*ep^2-1346595772955611631626/
         47528481*ep^3)
      +33822967149556694534621792383840493452811322614190689/2386992921\
      7966352078107883349295319040000+173402977087792475/93306432492*
         ep^-3+612926505233139013637277083/33305599702562451264*ep^-2+
         28722704352152147608081093397779061893/
         891629018965896432806506521600*ep^-1+88417082653846736432200/
         23326608123*z3-24454827892383661135838335826835357427901981590\
         785557812532860541018032643719872317789/2187883760312113205377\
         388904021604496844349922840279519330304000000000000*ep+
         44208541326923368216100/7775536041*ep*z4+
         61493850737448105369932388068047/876463150067432928*ep*z3+
         27684168370784007090296682135977455411708082018082364974856273\
         78000738844563344069562955321464757/70286582493276686028365921\
         813424137645651323330183177378024991615877120000000000000*ep^2
         +2858863264419980823988175/7775536041*ep^2*z5+
         61493850737448105369932388068047/584308766711621952*ep^2*z4-
         2619134622688713803304873465279472496344993/
         89162901896589643280650652160*ep^2*z3+
         72575308333590827787992123875565951538040774972955767584824131\
         37587499668139853478390491107063610953763466694607947325863832\
         36681232976582369/67507403652291903529968445312677969303196999\
         10561572739848700640312594203430769305327346210900328661199827\
         76320000000000000000*ep^3+6062980507575782668237375/6664745178
         *ep^3*z6+153852196405464261343181527000831/103433539448951712*
         ep^3*z5-2619134622688713803304873465279472496344993/
         59441934597726428853767101440*ep^3*z4-734843408695204414011369\
         311551778908304575635855814729/2386992921796635207810788334929\
         531904000*ep^3*z3+3094672009491454388592475/23326608123*ep^3*
         z3^2;
Fill mncnoptab(22,3,2,2)=
      +mncF321*(-104742000000-31631979172785000/29393*ep-
         92491309576997727800/20369349*ep^2-9497506273218533766671/
         855512658*ep^3)
      +33736146298045786018997600485800514097544939728273/6564230534940\
      7468214796679210562127360-5048658302575066975/256592689353*ep^-3-
         2866201716231776766593554159/11448799897755842622*ep^-2-
         55172278490424457426212991969973003431/
         49039596043124303804357858688*ep^-1+353798329382577478514800/
         256592689353*z3-8940000385670385260505021556095358994721779789\
         3245207058476258041079315439376595170043/225625512782186674304\
         54323072722796373707358579290382543093760000000000000*ep+
         176899164691288739257400/85530896451*ep*z4+
         20710483316349421569175702493329/803424554228480184*ep*z3+
         78746724380245296016158517621901858926293569358623238470696031\
         951822300859984938293347552298738951/5798643055695326597340188\
         549607491355766234174740112133687061808309862400000000000000*
         ep^2+1039626916846060824522700/7775536041*ep^2*z5+
         20710483316349421569175702493329/535616369485653456*ep^2*z4-
         144522793920166851253571618005160551873579/
         24519798021562151902178929344*ep^2*z3-
         47467289551436376534290154222633299211562950479024436137499522\
         62962197519370290286445909534955371265445332952879175633987708\
         1111825906419/167373728063533645115624244576887527198009088691\
         60924148385208199122134388671328856183503002232219821156597760\
         00000000000000*ep^3+12126389259477653475262250/36656098479*
         ep^3*z6+3702879202153562594818982571562343/6542171370146195784
         *ep^3*z5-144522793920166851253571618005160551873579/
         16346532014374767934785952896*ep^3*z4-681943225285322223993424\
         142529043121056607356510541/5967482304491588019526970837323829\
         760*ep^3*z3+12377137940138936432578900/256592689353*ep^3*z3^2;
Fill mncnoptab(22,3,3,1)=
      +mncF321*(-6831000000-2117753562097500/29393*ep-
         2139863380974260000/6789783*ep^2-1374843476941567206989/
         1711025316*ep^3)
      +16569111247264279263921852900341134758231400217798873/5032576743\
      45457256313441207280976309760000-14965004948998384075/
         3934421236746*ep^-3-118080963271130068417456035043/
         2106579181187075042448*ep^-2-774448757313709091497066976749694\
         1568/24477228927774717610682090925*ep^-1+
         176953350988884385073000/1967210618373*z3-
         23241120194193531722123810945188904453115587864953331060341315\
         16033350213747289790037597/93408962291825283162080897521072376\
         98714846451826218372840816640000000000000*ep+
         88476675494442192536500/655736872791*ep*z4+1891758380928287113\
         70542956310681/110872588483530265392*ep*z3+
         12307811502547398905150777632464582377449222602829826354673652\
         5476183984983255380931676469711562529/150039889066116575706177\
         378721093838830451309271400401459152724290017689600000000000000
         *ep^2+519836969897633001452750/59612442981*ep^2*z5+18917583809\
         2828711370542956310681/73915058989020176928*ep^2*z4+3598123885\
         81047504403359041302720242538309/
         4699627954132745781250961457600*ep^2*z3-
         13368947897303129368349389696010940259177874181858214450885075\
         53787984290654191545809152174240844487158169094884659079096867\
         09795954519339/67011025684260345415777500861849454823026432935\
         72149410879224900310295716640837178082292194643708597514534912\
         0000000000000000*ep^3+6063452377011787379595625/281030088339*
         ep^3*z6+3942308954941836198318938752259443/
         100313294342241668688*ep^3*z5+35981238858104750440335904130272\
         0242538309/3133085302755163854167307638400*ep^3*z4-
         5253935741719346525370290939252954551936682369500297/693192388\
         905588507318789541709333760000*ep^3*z3+
         6188412021347751591651650/1967210618373*ep^3*z3^2;
Fill mncnoptab(22,4,1,2)=
      +mncF321*(-16002250000-14831807104235000/88179*ep-
         717284661484457525/980343*ep^2-14249628264558912519605/
         7699613922*ep^3)
      +33720289515203296610631931823549806268205290252665817/4296587259\
      23394337405941900287315742720000-2947974776406271225/
         1679515784856*ep^-3-15311148789059855894251066997/
         599500794646124122752*ep^-2-2171123152913770799485977508504293\
         583571/16049322341386135790517117388800*ep^-1+
         44220420126856030114700/209939473107*z3-2189757627312708698221\
         22438634052153409891078140950258984438176251431364058347213141/
         37293473187138293273478219954913713014392328230232037261312000\
         0000000000*ep+22110210063428015057350/69979824369*ep*z4+
         20971458209027652274025723580089/5258778900404597568*ep*z3+
         10154190159016891272727264976306801712658233420930888325543962\
         15558263957087388421535221232094221/52714936869957514521274441\
         3600681032342384924976373830335187437119078400000000000000*
         ep^2+2858939729105944967128475/139959648738*ep^2*z5+
         20971458209027652274025723580089/3505852600269731712*ep^2*z4+
         13232522181954257244803317936514700793049/
         729514651881187990478050790400*ep^2*z3-
         13054410178436400021553871646374575651529997931927507883157214\
         21762212632851902755245621218778065509077795823046617261980494\
         72717821449475471/10126110547843785529495266796901695395479549\
         86584235910977305096046889130514615395799101931635049299179974\
         164480000000000000000*ep^3+6063127390760087743682875/
         119965413204*ep^3*z6+558529191746306745096199089456419/
         6117355047409429824*ep^3*z5+1323252218195425724480331793651470\
         0793049/486343101254125326985367193600*ep^3*z4-384567840591054\
         8536432070571955855580462016773222223653/214829362961697168702\
         970950143657871360000*ep^3*z3+3094358353697426144188375/
         419878946214*ep^3*z3^2;
Fill mncnoptab(22,4,2,1)=
      +mncF321*(-2909500000-2747070627050000/88179*ep-
         25480165436246454650/183324141*ep^2-73376371553735444569/
         202621419*ep^3)
      +6619157159133576144908034521780113166596359154219381/47262459851\
      5733771146536090316047316992000-26406317586120101425/
         9237336816708*ep^-3-122873405964711857555010750677/
         3297254370553682675136*ep^-2-320459730800502035044591844391724\
         0517383/17654254575524749369568829127680*ep^-1+
         88534656241962542290600/2309334204177*z3-167952019469181991571\
         47614105362677817837443925668791292065261620389521103795040190\
         6929/162450369203174405499271126123604133890692981770890754310\
         2750720000000000000*ep+44267328120981271145300/769778068059*ep
         *z4+21204129401122933185996425542529/28923283952225286624*ep*
         z3+24788310734484054613996055406431334147465926056713879970323\
         39759407592082056347625261803469255233/74553982144654199108659\
         56706638203171699443938951572743311936610684108800000000000000
         *ep^2+259937717423471034972025/69979824369*ep^2*z5+
         21204129401122933185996425542529/19282189301483524416*ep^2*z4+
         6512741101388086494968897155876953951850723/
         44135636438811873423922072819200*ep^2*z3-
         41659146455743759685095124602286039558349792499053668759041766\
         02534550916839015751554712890157041855089362193129725979926429\
         37146616151363/53608820547408276332622000689479563858421146348\
         57719528703379920248236573312669742465833755714966878011627929\
         60000000000000000*ep^3+6063864299094701151275875/659809772622*
         ep^3*z6+4082942265539615619889446119849453/
         235518169325263048224*ep^3*z5+65127411013880864949688971558769\
         53951850723/29423757625874582282614715212800*ep^3*z4-
         350365156991414265666618698342645886184990029303377311/
         107414681480848584351485475071828935680000*ep^3*z3+
         3093607782333951354549775/2309334204177*ep^3*z3^2;
Fill mncnoptab(22,5,1,1)=
      +mncF321*(-160022500-161402467867850/88179*ep-34767033457858661/
         3921372*ep^2-775634739711616930907/30798455688*ep^3)
      +32645411747507511529105883313009509034506486761989737/4296587259\
      2339433740594190028731574272000000-2202177925873128577/
         6718063139424*ep^-3-207582854651857193076581266181/
         59950079464612412275200*ep^-2-24278431225605455166318915364657\
         739513891/1604932234138613579051711738880000*ep^-1+
         441955296189486749519/209939473107*z3-744031042140309777895759\
         39239815571244325672476213653065917862175071853808160233/
         14585891735414088035849259360144029978962332818935196795535360\
         000000000*ep+441955296189486749519/139959648738*ep*z4+
         21989920835115781908569441441273/525877890040459756800*ep*z3+
         20361168249766161056994027385736944181065400953621437089462052\
         873570736221142187125946501/1446225977227915350377899625790620\
         116165665089098419287613682955059200000000000*ep^2+
         114366817136074490328083/559838594952*ep^2*z5+
         21989920835115781908569441441273/350585260026973171200*ep^2*z4
         +5933028432785697199774190846333956616226887/16049322341386135\
         7905171173888000*ep^2*z3+6797400467219586752661121721458532539\
         74643782750767762847906936113210162005644274227089150112185980\
         129539101468543064080230363/7916600044168202714634466528229344\
         85942312512068146315732973063756091828731611699340165399637603\
         1232000000000000000*ep^3+242546292170505412134355/479861652816
         *ep^3*z6+4721469162423789504869346199233941/
         4282148533186600876800*ep^3*z5+5933028432785697199774190846333\
         956616226887/106995482275907571936780782592000*ep^3*z4-
         3898520687039357400784437495657449959721318799987607349/
         21482936296169716870297095014365787136000000*ep^3*z3+
         123903837565793281994287/1679515784856*ep^3*z3^2;
Fill mncnoptab(23,1,1,4)=
      +mncF321*(-12167000000-40317513667369450/323323*ep-
         2112381945018297709963/4033131102*ep^2-19577383729000275103243/
         15399227844*ep^3)
      +38898063672564006653163261068064491429255850670829860427/
      649858822959133935326487124184565060864000000+2448256927255242959/
         25402676245947*ep^-3+141833645125212838146784517837/
         302248317300754245220800*ep^-2-4205372822460914655565305528826\
         5546595199/24274600041346530383157140050560000*ep^-1+
         4067131086985291903692484/25402676245947*z3-
         15940487710984055494482609526460136951092525268957085330819394\
         03080134475932905231/34470564452834075240971882472215383348719\
         57560724919555194880000000000*ep+2033565543492645951846242/
         8467558748649*ep*z4+17833878188381544359696269284521753/
         5965427315146465366200*ep*z3+250602485674087848405730738733956\
         928862557990064037963720158104030832481173880460133129453497/
         15819710717422766014568966777202977409084468234658044015515297\
         5921152000000000000*ep^2+11955217978367095655815456/
         769778068059*ep^2*z5+17833878188381544359696269284521753/
         3976951543430976910800*ep^2*z4-9359564412864698465093144658533\
         060400415709009/12137300020673265191578570025280000*ep^2*z3-
         68009366286731809274623576081631585459502862383471156262609201\
         49194066164932426714975351031037260413688385110570510904534569\
         6577/323649022259824366704035607007676481941829949690968811951\
         6483673118501615730507955720006826964549632000000000000000*
         ep^3+139448236499688880263649130/3628953749421*ep^3*z6+
         2115980610208486760084728756481075329/32383748282223669130800*
         ep^3*z5-9359564412864698465093144658533060400415709009/8091533\
         347115510127719046683520000*ep^3*z4-39512082418839957763362288\
         0863613581262698669830741524241/295390374072333606966585056447\
         52957312000000*ep^3*z3+142355561376723033148381648/
         25402676245947*ep^3*z3^2;
Fill mncnoptab(23,2,1,3)=
      +mncF321*(-4761000000-16163651937678750/323323*ep-
         97305860281590181625/448125678*ep^2-10317517556410035148939/
         18821278476*ep^3)
      +67648393842925215193534848475414653014326442564587897/2888261435\
      373928601451053885264733603840000+162143918564300275/
         2822519582883*ep^-3+722819359558582209185854367/
         1343325854670018867648*ep^-2+129117883681696473192722720655986\
         669339/107887111294873468369587289113600*ep^-1+
         176832250030657871307500/2822519582883*z3-15449791824979135000\
         96369546754794737146983220992649360584627950677873090674033068\
         59/88244644999255232616888019128871381372722113554557940612988\
         9280000000000*ep+88416125015328935653750/940839860961*ep*z4+
         31433094324323066636764232325601/26513010289539846072*ep*z3+
         92968589823506896818442788998304158870263940277630188629138478\
         9427500002564573489860139742609/161993837746409123989186219798\
         5584886690249547228983707188766473432596480000000000*ep^2+
         519792973070810716457000/85530896451*ep^2*z5+
         31433094324323066636764232325601/17675340193026564048*ep^2*z4-
         465773547085553435241892135135732575484363/
         53943555647436734184793644556800*ep^2*z3+
         96662629449059019167449687912379983944970643024383068895976522\
         61037043037544261213682304379554916880876359184326353446310038\
         4057407/231991619155842106053452723103102502255903707938486444\
         40694154968913419581556281026601008935681891762176000000000000\
         000*ep^3+6062977093323605632776250/403217083269*ep^3*z6+
         3899997331873043503936728542165543/143927770143216307248*ep^3*
         z5-465773547085553435241892135135732575484363/
         35962370431624489456529096371200*ep^3*z4-699821426241347609034\
         869768958417563307546680960008859/1312846106988149364295933584\
         21124254720000*ep^3*z3+6189371911669213341079400/2822519582883
         *ep^3*z3^2;
Fill mncnoptab(23,2,2,2)=
      +mncF321*(-1242000000-4323238395322500/323323*ep-
         4487503139946934225/74687613*ep^2-29115959936491868581/
         184522338*ep^3)
      +539609093168894574490207547091780664441971094795043/885733506848\
      00477111165652481451830517760-4147821954641670100/21639316802103*
         ep^-3-13170775945215873756500727223/5149415776235072325984*
         ep^-2-67754482406809946288106378238881029273/
         5514230132849088383334461443584*ep^-1+353781929545940469689800/
         21639316802103*z3-83713192069507480890259820035034303637688780\
         13302714557362819214774352828996758540203/19027751577964409533\
         0164791246628916084932057352015559446757376000000000000*ep+
         176890964772970234844900/7213105600701*ep*z4+
         419491567738851705498138791356/1337279027761878201*ep*z3+
         60141020529666646162373362043582048237101225440803819236935530\
         064188542195343662624688589301711/4366240158008683420021034830\
         50802176490731323276562014828222213542379520000000000000*ep^2+
         1039621106997929056160200/655736872791*ep^2*z5+
         209745783869425852749069395678/445759675920626067*ep^2*z4+
         220251312583369051139811539352115346801113/
         2757115066424544191667230721792*ep^2*z3-
         57342479967904359412478563640902091548852588940834221047953865\
         84391080219184253170995097423026044459688078166309395817642719\
         3463973/119620678627231085933811560350037227725700349405782072\
         89732923655845981971739957404341145232460975439872000000000000\
         0000*ep^3+12126326643352042279856000/3091330971729*ep^3*z6+
         4132653868996285847273039118956843/551723118882329177784*ep^3*
         z5+220251312583369051139811539352115346801113/
         1838076710949696127778153814528*ep^3*z4-5623389872656065102888\
         601270569316798258059319646953/4026061394763658050507529658247\
         810478080*ep^3*z3+12377288074303370548941400/21639316802103*
         ep^3*z3^2;
Fill mncnoptab(23,3,1,2)=
      +mncF321*(-396750000-1401087282970000/323323*ep-
         13336622100531897025/672188517*ep^2-39518920108410110678/
         742945203*ep^3)
      +33712985596464746737762066213089022784324249077960049/1732956861\
      2243571608706323311588401623040000-2514767006310789025/
         67740469989192*ep^-3-13913113052021549622129553517/
         24179865384060339617664*ep^-2-21058726274984295546952975148804\
         67835787/647322667769240810217523734681600*ep^-1+
         44218934123946840898100/8467558748649*z3-227610112211690022649\
         160004422039836802361463739008124333289745909129395493214179793
       /165458709373603561156665035866633840073853962914796138649354240\
         00000000000*ep+22109467061973420449050/2822519582883*ep*z4+
         7142175008944803677879654061883/70701360772106256192*ep*z3+
         13763185312278936542627990164895168222119222582036974277903258\
         2655308296101027521374431126969/330150484537518595086656697959\
         0186589721975979406896142368409932267520000000000000*ep^2+
         259902598160579171312425/513185378706*ep^2*z5+
         7142175008944803677879654061883/47134240514737504128*ep^2*z4+
         2647838858938250838854547684633379486222703/
         64732266776924081021752373468160*ep^2*z3-
         45679626149908248172862696474988791149069890889574983532252844\
         62907318518495789978024748074643343613370270666365710171283781\
         6530443/434984285917203948850223855818317191729819452384662083\
         26301540566712661715418026924876891754403547054080000000000000\
         000*ep^3+6063105622179442122509875/4838604999228*ep^3*z6+
         609900750138684514196919282742859/246733320245513669568*ep^3*
         z5+2647838858938250838854547684633379486222703/
         43154844517949387347834915645440*ep^3*z4-306350513073397488283\
         8438143118933541104311499524557/684963186254686624850052304805\
         8656768000*ep^3*z3+3094393372772536119562975/16935117497298*
         ep^3*z3^2;
Fill mncnoptab(23,3,2,1)=
      +mncF321*(-51750000-187406366370000/323323*ep-36167106704886775/
         13180167*ep^2-35977022684812668814/4705319619*ep^3)
      +32811158690777301733472124351269390767428420892608689/1328600260\
      27200715666748478722177745776640000-35722650738790245025/
         519343603250472*ep^-3-166604612214144342392674599917/
         185378967944462603735424*ep^-2-2182510851133215548209507356713\
         1258684107/4962807119564179545001015299225600*ep^-1+
         44285440212038452066100/64917950406309*z3-20824539177568820457\
         68589198514172812676847301254012067806170439733185040040938836\
         2177/121777610098972221011305466397842506294356516705289958045\
         92472064000000000000*ep+22142720106019226033050/21639316802103
         *ep*z4+21755876010250749472347983252849/1626131297758443892416
         *ep*z3+1402876657696198387175363673052366542878810312459101072\
         31765585252431455118498190267599693860229/27943937011255573888\
         13462291525133929540680468969996894900622166671228928000000000\
         0000*ep^2+259951062019249822736425/3934421236746*ep^2*z5+
         21755876010250749472347983252849/1084087531838962594944*ep^2*
         z4+4489787248781245608450261713510444889567407/496280711956417\
         954500101529922560*ep^2*z3-14402447591707341728907957620058716\
         88750252917776531817151372813503374918534703681122400554319811\
         595565764807850034927293880242226343/
         11393517813718386726119275206987075243144353279873078378550323\
         5197328317697890229582995190355298890777886720000000000000000*
         ep^3+6064152975865119461549875/37095971660748*ep^3*z6+45147788\
         13706927622160758099233613/13241354853175900266816*ep^3*z5+
         4489787248781245608450261713510444889567407/330853807970945303\
         000067686615040*ep^3*z4-68917940412719810402335079443404407122\
         218080291447339/1207818418429097415152258897474343143424000*
         ep^3*z3+3093329726966203602154975/129835900812618*ep^3*z3^2;
Fill mncnoptab(23,4,1,1)=
      +mncF321*(-5290000-60790907592400/969969*ep-640560220102680937/
         2016565551*ep^2-332554977782237150/349982451*ep^3)
      +32510734959806046236973103701383860882085912934781937/1299717645\
      918267870652974248369130121728000000-2199280761144251977/
         203221409967576*ep^-3-212804009225114318937434452781/
         1813489903804525471324800*ep^-2-257017861005911103894112786524\
         72964001291/48549200082693060766314280101120000*ep^-1+
         1767824081922675874676/25402676245947*z3-446419481108085317584\
         04784735361801015879407000048259303975164011577329748345911/
         28238286399761674437404166121238842039271076337458540996156456\
         9600000000*ep+883912040961337937338/8467558748649*ep*z4+
         22442604582506533306442936511473/15907806173723907643200*ep*z3
         +3557492986095730556593096091242445982401870893035718716334809\
         62780729170626102632962643917/89996576525782846660659010999199\
         1603716805304016102059549314707462553600000000000*ep^2+
         10396994701287075638353/1539556136118*ep^2*z5+
         22442604582506533306442936511473/10605204115815938428800*ep^2*
         z4+8663940953392765453474027382652729718902767/485492000826930\
         6076631428010112000*ep^2*z3-3034347980187984330416946685998031\
         38787180618949335381249855363072359500649291986481930883416340\
         72529074119697189/31480346842496234947147132309300773754635958\
         413733838121440967194903375806661675735580672000000000000000*
         ep^3+242546554984734388797355/14515814997684*ep^3*z6+725618666\
         939645823919505359882763/18504999018413525217600*ep^3*z5+
         8663940953392765453474027382652729718902767/323661333884620405\
         1087618673408000*ep^3*z4-3281188904136960769750216706246153888\
         57693252554142359/59078074814466721393317011289505914624000000
         *ep^3*z3+123903834668628553117687/50805352491894*ep^3*z3^2;
Fill mncnoptab(24,1,1,3)=
      +mncF321*(-27000000-2225452760554350/7436429*ep-
         4794499763612868427/3435630198*ep^2-1650874354384489985851/
         432889404948*ep^3)
      +564176378966585918896630900440588464060871733198815103/
      4244139720313356194910020848069566878976000000-269891627268712847/
         497704286448369*ep^-3-103187688289358731798338012989/
         53296453284032998573934400*ep^-2+19668536050215371633935927441\
         56990474589/158534116319411291020865766503040000*ep^-1+
         176828775742379627852828/497704286448369*z3-
         12363955493177907974984412712348830589434910128459140461846667\
         2978793650812275021/135073545152216487425734265391125465122019\
         670342480181088747520000000000*ep+88414387871189813926414/
         165901428816123*ep*z4+2430160195111481799619921342953253/
         350634561079164464302200*ep*z3+5907692237019528696139966654896\
         61732731288184728106826427088793521421913945931820742741961/
         22139224787081066724092548743757605950808687026809802339173524\
         9371136000000000000*ep^2+519786201511506430833152/
         15081948074193*ep^2*z5+2430160195111481799619921342953253/
         233756374052776309534800*ep^2*z4+91705445239362800439831736421\
         4006246851405497/237801174479116936531298649754560000*ep^2*z3+
         22723879165295080456714786484810042108698021110289121375611470\
         194863131340666936539935570265699634750078239513856878923959/
         20779906639486877120941075867326678226124556341476127282739846\
         33891740479965711228480115206782976000000000000000*ep^3+
         6062898526477618782014710/71100612349767*ep^3*z6+3675237680935\
         5306036651560996159981/211493862238226184817200*ep^3*z5+
         917054452393628004398317364214006246851405497/1585341163194112\
         91020865766503040000*ep^3*z4-177013631027309750604089345047038\
         05723844546853657266247/57874632549727584476045738837312275622\
         4000000*ep^3*z3+6189373738832910359555216/497704286448369*ep^3
         *z3^2;
Fill mncnoptab(24,2,1,2)=
      +mncF321*(-4500000-384963458325000/7436429*ep-1305871872379883800/
         5153445297*ep^2-8799442338967932188/12024705693*ep^3)
      +6748425921444054890923214083100369598081270355048489/30557805986\
      2561646033521501061008815286272000-4471149413193092425/
         5972451437380428*ep^-3-17818203849060731796057117577/
         2131858131361319942957376*ep^-2-382000746051158700315996884625\
         971332987/11414456374997612953502335188218880*ep^-1+
         88459974597602765836600/1493112859345107*z3-
         29009843900810577666789574059448826560410069903115754767674632\
         563735417249241123/2026103177283247311386013980866881976830295\
         05513720271633121280000000000*ep+44229987298801382918300/
         497704286448369*ep*z4+66216823642157038097827041639187/
         56101529772666314288352*ep*z3+88524513041354731876573210577660\
         7892813515766319993192168593254535079150064073055659027001/
         23246186026435120060297176180945486248349121378150292456132201\
         18396928000000000000*ep^2+259910242792360706661025/
         45245844222579*ep^2*z5+66216823642157038097827041639187/
         37401019848444209525568*ep^2*z4+321688022050452470933750124177\
         98710262415943/28536140937494032383755837970547200*ep^2*z3-
         27721884064169286810999677580295924793579399218428517562063471\
         034261200218441916804344097963547149610492377383085725962791/
         41724733172937935806334065035187695168329466304710001607406199\
         39481034455804166196868802756476928000000000000000*ep^3+
         6063270026821643252840875/426603674098602*ep^3*z6+477817019046\
         3890041499374288620053/152275580811522853068384*ep^3*z5+
         32168802205045247093375012417798710262415943/19024093958329354\
         922503891980364800*ep^3*z4-33755087804904884123110131479701712\
         2253152987787543851/694495590596731013712548866047747307468800\
         00*ep^3*z3+3094094473405580003436775/1493112859345107*ep^3*
         z3^2;
Fill mncnoptab(24,2,2,1)=
      +mncF321*(-375000-33307298978750/7436429*ep-355618159274064550/
         15460335891*ep^2-15179027444255522845/216444702474*ep^3)
      +32464082301416686287222046596671839289179372482895457/1833468359\
      1753698762011290063660528917176320000-57576196777234064725/
         71669417248565136*ep^-3-259291355919763410832465936897/
         25582297576335839315488512*ep^-2-32288114281929685666010250150\
         508954073891/684867382499856777210140111293132800*ep^-1+
         22167277484692092622600/4479338578035321*z3-333011730147991050\
         5827934361687706678982050856189593324701614248617073490356243/
         30391547659248709670790209713003229652454425827058040744968192\
         0000000000*ep+11083638742346046311300/1493112859345107*ep*z4+
         67776093807546382591271210128867/673218357271995771460224*ep*
         z3+28627439198763414490480900417017935180345155208162100690413\
         4780199800213503632538111086067/104607837118958040271337292814\
         25468811757104620167631605259490532786176000000000000*ep^2+
         259984550042327448152725/542950130670948*ep^2*z5+
         67776093807546382591271210128867/448812238181330514306816*ep^2
         *z4+47138272624738233489602601175494036497939059/3424336912499\
         28388605070055646566400*ep^2*z3-159481997196271155708487678997\
         92559647629474476277965819575560353614732038904807455098985090\
         604414847126039253178217314663/3302389910834587801613087323814\
         41434405807628899925336251559066386572462369676801052174947578\
         806272000000000000000*ep^3+6064872172470026727535375/
         5119244089183224*ep^3*z6+738030507897987763416051967925219/
         261043852819753462402944*ep^3*z5+47138272624738233489602601175\
         494036497939059/228289127499952259070046703764377600*ep^3*z4-
         305516018657889118648141480514954842036532715235933063/
         833394708716077216455058639257296768962560000*ep^3*z3+
         3092413178555528768117875/17917354312141284*ep^3*z3^2;
Fill mncnoptab(24,3,1,1)=
      +mncF321*(-90000-8317236416400/7436429*ep-31012553406635519/
         5153445297*ep^2-2082802963043892890/108222351237*ep^3)
      +32398356592328395400164248323668972696359126647797937/7639451496\
      5640411508380375265252203821568000000-2229387636695003977/
         11944902874760856*ep^-3-24583557661069702897152322309/
         11843656285340666349763200*ep^-2-27395942042528859165335017076\
         203243673291/2853614093749403238375583797054720000*ep^-1+
         1767793975047125122676/1493112859345107*z3-4437639970024493063\
         738166888889257413848909093794161491257962380778557482456191/
         18234928595549225802474125827801937791472655496234824446980915\
         20000000000*ep+883896987523562561338/497704286448369*ep*z4+
         69252292025580219165474558102419/2805076488633315714417600*ep*
         z3+23883688215169515488857530170197094371348264616990304135102\
         52835758443718789063315913521/46492372052870240120594352361890\
         9724966982427563005849122644023679385600000000000*ep^2+
         10396877010773559062353/90491688445158*ep^2*z5+
         69252292025580219165474558102419/1870050992422210476278400*
         ep^2*z4+12613868084803950972310602076601695303509167/285361409\
         374940323837558379705472000*ep^2*z3+
         72716237903860961273375967246473559478080620386351828667427243\
         728623019900421374464118901338332828783329684704957/
         57744507421802381676426417803760131375067221798665710248270415\
         61497322630938362117590351872000000000000000*ep^3+
         242543823861023713437355/853207348197204*ep^3*z6+5586396489912\
         447060107504652291341/7613779040576142653419200*ep^3*z5+
         12613868084803950972310602076601695303509167/19024093958329354\
         9225038919803648000*ep^3*z4-2716182650421380261895740277027468\
         77707613823995270359/34724779529836550685627443302387365373440\
         00000*ep^3*z3+123903864775504103869687/2986225718690214*ep^3*
         z3^2;
Fill mncnoptab(25,1,1,2)=
      +mncF321*(-15625-17320697170675/89237148*ep-5695383141855773/
         5456589138*ep^2-17327271166743897965/5194672859376*ep^3)
      +823308262211812422673586611945718705765270610266798729/
      11000810155052219257206774038196317350305792000000+
         40515345630302084747/1720066013965563264*ep^-3+
         1964932785983480509217559313847/15349378545801503589293107200*
         ep^-2-146302047289107857237944015023442049033723/4109204294999\
         14066326084066775879680000*ep^-1+2747552921127776069024/
         13438015734105963*z3-98787318494157295708849994660527563877143\
         21104128824424133149520560902899/23160758770956187830201348661\
         029743676615169811810730639360000000000*ep+
         1373776460563888034512/4479338578035321*ep*z4+1728694178825822\
         451761108787845899/403931014363197462876134400*ep*z3+
         51114688307701626146835718686040979980567619221944026744440437\
         73916083819279625869/59051430235317583854842189150397516253490\
         62992976246623007722700800000000000*ep^2+
         259707723660504081289237/13030803136102752*ep^2*z5+17286941788\
         25822451761108787845899/269287342908798308584089600*ep^2*z4+
         1574589181715644461459658583799363218542373707/205460214749957\
         033163042033387939840000*ep^2*z3-10768907248082222743723412413\
         00716619626813155449781078624246735348063423520585842457966984\
         74286763467199070172757/23912148586207909335238119167454515941\
         21373415508849283357864646620045140760373030745748275200000000\
         000000*ep^3+6058880848086104177382895/122861858140397376*ep^3*
         z6+139436006081148731628049839747600941/
         1096384181842964542092364800*ep^3*z5+1574589181715644461459658\
         583799363218542373707/136973476499971355442028022258626560000*
         ep^3*z4-6765288003640985255870970888927796200229844434711517407
       /500036825229646329873035183554378061377536000000*ep^3*z3+
         3101133148772550189171571/430016503491390816*ep^3*z3^2;
Fill mncnoptab(25,2,1,1)=
      +mncF321*(-625-744228484075/89237148*ep-4532580987967093/
         92762015346*ep^2-890203483583899829/5194672859376*ep^3)
      +32014127570482671391191970048464295178303419739370737/
      11000810155052219257206774038196317350305792000000-
         1681912921601798077/1720066013965563264*ep^-3-
         187827154086499226900178421681/15349378545801503589293107200*
         ep^-2-27346934098241782365182498748078698915891/41092042949991\
         4066326084066775879680000*ep^-1+110521340610138645536/
         13438015734105963*z3-75239992444311895743440136065598903645301\
         1931895363672473357009605930154527/533623882082830567607839073\
         15012529430921351246411923393085440000000000*ep+
         55260670305069322768/4479338578035321*ep*z4+
         72292456731116531312148323386819/403931014363197462876134400*
         ep*z3+27193105507387768486671185508078562428550301067430400561\
         2576028466201616164694183747/136054495262171713201556403802515\
         87744804241135817272219409793102643200000000000*ep^2+
         10399017139205287049053/13030803136102752*ep^2*z5+
         72292456731116531312148323386819/269287342908798308584089600*
         ep^2*z4+19037162533774143703103548592430001647069287/410920429\
         49991406632608406677587968000*ep^2*z3-
         14076179649243108366639008001647417219169984210989425667851557\
         149440797032836081833433727635322865925551256098985141/
         71621667445409930040905214530359766147123376541321053735134761\
         895563592056054693016896652338790400000000000000*ep^3+
         242593487638750025686855/122861858140397376*ep^3*z6+9127318414\
         00884188213724072846563/156626311691852077441766400*ep^3*z5+
         19037162533774143703103548592430001647069287/27394695299994271\
         088405604451725312000*ep^3*z4-13813831584763277558303267668551\
         6745745760302367832759/500036825229646329873035183554378061377\
         536000000*ep^3*z3+123903317300789010663787/430016503491390816*
         ep^3*z3^2;
Fill mncnoptab(26,1,1,1)=
      +mncF321*(-1-34052522467/2230928700*ep-3697868807477/35677698210*
         ep^2-1917387509535359/4540797954000*ep^3)
      +50449118140360779487591663987107407191939098833330417/
      6875506346907637035754233773872698343941120000000000-
         29202969145050810301/1075041258728477040000*ep^-3-
         1640710037762036665782879917233/
         9593361591125939743308192000000*ep^-2-934872323542715155163619\
         304133452856023/51365053687489258290760508346984960000000*
         ep^-1+108801274596173082272/8398759833816226875*z3-
         21505912701099616370951431279033198784220806053782940086086628\
         43/18406517323618084454696455527170295458328858861772800000000\
         0000*ep+54400637298086541136/2799586611272075625*ep*z4+
         78262021915267840549017976666819/
         252456883976998414297584000000*ep*z3-1778561507778805950729965\
         2450432448950470391522616390373119841974645775493/
         70394790453097324198296295583722014729369437610819895541760000\
         0000000000*ep^2+10291434828513622728541/8144251960064220000*
         ep^2*z5+78262021915267840549017976666819/
         168304589317998942865056000000*ep^2*z4+16379068864332176469990\
         6140082288681088620547/128412634218723145726901270867462400000\
         000*ep^2*z3+14997460811255847833268631744000668113438876404403\
         0733875045357729723516185976953038083/197877655523899038803451\
         458120974956306781994198735294723844184965120000000000000000*
         ep^3+48019386936267430201307/15357732267549672000*ep^3*z6+
         8009193399403879173880336665977141/
         685240113651852838807728000000*ep^3*z5+16379068864332176469990\
         6140082288681088620547/856084228124820971512675139116416000000\
         00*ep^3*z4+273119134332913435503237342285145944733063579213007\
         177/312523015768528956170646989721486288360960000000000*ep^3*
         z3+123930838357012459676011/268760314682119260000*ep^3*z3^2;
*--#] 29 :
#case 28
*--#[ 28 :
Fill mncnoptab(7,7,7,7)=
      +mncF321*(16882593686740149851298816+660328480244962847161651808/
         5*ep+16391418854705397327245813728/45*ep^2+
         39571497314199460235979451672/75*ep^3)
      -65736713131364033550694689368752013337555470911/
      791779403603588400000-1083623754461321104536932/675*ep^-3-
         548524101526229504779591450207/32818500*ep^-2-2153535874913508\
         989115309571649098169/43082157690000*ep^-1-
         149938229156987005330228727584/675*z3+112741465517592485307995\
         36762838838775291650766449528016125796385149260732713535202677\
         369/1336174313685570267564199159144503129931776000000000000000\
         0000*ep-74969114578493502665114363792/225*ep*z4-88827661939151\
         778564311537011201666/24613875*ep*z3-3964155772211421294755885\
         65067091746856895445932751898886890898951625255063078236105420\
         6407880301/982267702386653487303647010338198821720518190694400\
         000000000000000000*ep^2-1616229679038591821432277962192/75*
         ep^2*z5-44413830969575889282155768505600833/8204625*ep^2*z4+
         13154779578951694146039047247652243637449/1267122285000*ep^2*
         z3+76455139061145358077761706317910753652686457063893287689422\
         24921921945951288658843727045363342339309082296132877778688619\
         671/8460072220440445966763885366464118619606373313534773185831\
         13940257996800000000000000000000000000*ep^3-
         7198064441095169693780136466072/135*ep^3*z6-944591272856951929\
         126485587473525057/24613875*ep^3*z5+13154779578951694146039047\
         247652243637449/844748190000*ep^3*z4+5303767998970265929792477\
         53345361923494665329217/197944850900897100000*ep^3*z3-
         5248934646525726262971613788592/675*ep^3*z3^2;
Fill mncnoptab(8,6,6,8)=
      +mncF321*(12403538218829497849933824+485549464104587782500112512/
         5*ep+1341226977834106189854171008/5*ep^2+
         204393937755324032507003936216/525*ep^3)
      -450966865668701021129882976835501296504867170239399/
      7391942542681489692900000-20488280097222276879824/25*ep^-3-
         9369665647357478014147471060021/1091215125*ep^-2-1839817353122\
         51550645988084789395677003/7056298957207500*ep^-1-
         4080149769971926313969218688/25*z3+604355480414902256313308990\
         50885221378045929858987761083171863605133752196697532979652640\
         52809487/97554311431242190937300193826245380259895524615782400\
         00000000000000000*ep-6120224654957889470953828032/25*ep*z4-
         2894510505708804089573106181336983464/1091215125*ep*z3-
         16138282548892539879271504248625145449068236236760560084101150\
         9435516451023169405783341403196065561079182963/
         54503802953078720659926987862338857421298906818842403117465600\
         000000000000000000*ep^2-395813455508314730937489503296/25*ep^2
         *z5-1447255252854402044786553090668491732/363738375*ep^2*z4+
         4737903190554797360767175182507890484120039/622614613871250*
         ep^2*z3+304471320287903083718889676572832488244158503986711750\
         61620342533943302600041976694766080863481989183750684102981717\
         3415358881967558641/405416977972841765841216811366908186912237\
         27615408964181408261102342789164066406400000000000000000000000\
         000*ep^3-195866652869171402311760142304/5*ep^3*z6-343132180164\
         4945516197592897457501092/121246125*ep^3*z5+473790319055479736\
         0767175182507890484120039/415076409247500*ep^3*z4+186797218149\
         9488076608556681696861805624279991268089/
         923992817835186211612500*ep^3*z3-
         142825976141787703626967210944/25*ep^3*z3^2;
Fill mncnoptab(8,7,5,8)=
      +mncF321*(8807246072541655278059520+69060623511001805502728832*ep
         +191299618310776182349327392*ep^2+1950882526134693443348034828/
         7*ep^3)
      -456455908724786705049959268209358340101580824538/
      10536760203383702413125-36639737771167360014832/65*ep^-3-
         98372414666801437039264252153/16591575*ep^-2-48740268539285774\
         7953776468169752061/26822189018625*ep^-1-
         7532610256011820323317753984/65*z3+272390458106158685216540998\
         45937106420825682435182653563270604833699682747834234938710714\
         47321287232453/62006785471083676458476790078475184054331492196\
         17367916544000000000000000000*ep-11298915384017730484976630976/
         65*ep*z4-31273167298142259491329628011097632/16591575*ep*z3-
         18164094958363755510811654139814153959183738852920880232930277\
         891415863265491458221802956690153338354695228493093/
         86608309963106250101883273977705033954874042941803757865248646\
         75840000000000000000000*ep^2-730732810485526937524626222528/65
         *ep^2*z5-15636583649071129745664814005548816/5530525*ep^2*z4+
         76403881359066333403409772244973161605743/14199982421625*ep^2*
         z3+23474845284987798871053322111752703020973148345176244312020\
         23258240199995821849140334294483301717474595629525620634551345\
         5569415556966382124391/881886777651442088933495483579648261797\
         04806608845304622515420427714898733349201430288793600000000000\
         00000000000000*ep^3-361600100114757558600654234272/13*ep^3*z6-
         335671447724754522146463956256433964/16591575*ep^3*z5+
         76403881359066333403409772244973161605743/9466654947750*ep^3*
         z4+63328349978965407879242466847161394116328366532881/
         42147040813534809652500*ep^3*z3-263678438465407221591721942592/
         65*ep^3*z3^2;
Fill mncnoptab(8,7,6,7)=
      +mncF321*(13357656543354843838390272+522991160216967874797421056/
         5*ep+1445130267961618975246147456/5*ep^2+
         10492183779368073310380706888/25*ep^3)
      -214771705510200595517104499917186180864728933637/
      3269324432853378900000-29111914650328353206272/25*ep^-3-
         5867467414831596216770367628/482625*ep^-2-38079575166131831690\
         251651528968143/1040291752500*ep^-1-
         4393852398345911031166257664/25*z3+654516321910318712752760393\
         58425936061614671922077922388523330471416785320593376592213829\
         88401175891/98159891515244003205904974861377809407540322461391\
         25760000000000000000000*ep-6590778597518866546749386496/25*ep*
         z4-1378752214078787715692533639310312/482625*ep*z3-
         43704418187680844908801746545526914979886412603518567588126194\
         825314758497799763345676017754576601749590192591/
         13710535461093558318570495728829471227504036981407663210994073\
         600000000000000000000*ep^2-426258995260854459864690457088/25*
         ep^2*z5-689376107039393857846266819655156/160875*ep^2*z4+
         38345927828661700751607209073598922698439/4681312886250*ep^2*
         z3+16744927773139888760365150439270495227736175916904427876888\
         84471171666175767370911290188798529475004259716633549124426915\
         681568589987067000359/2804834702310443961622567135689313316078\
         60503394154162594801231150961777047492821935718400000000000000\
         000000000000*ep^3-210932571431254274416762099712/5*ep^3*z6-
         125813174535217714933203188906072/4125*ep^3*z5+383459278286617\
         00751607209073598922698439/3120875257500*ep^3*z4+3576058436944\
         366405627088568343940431371554583833/1634662216426689450000*
         ep^3*z3-153814295189812297966546693632/25*ep^3*z3^2;
Fill mncnoptab(8,7,7,6)=
      +mncF321*(12330144501558317389283328+483050936364463881966714624/
         5*ep+1336220365811322809895015232/5*ep^2+
         29147505465851611820945134216/75*ep^3)
      -1216984551785260790151907842572899741477716239833/
      20070019435016576025000-1152671058805493396788192/975*ep^-3-
         1315966091888126923777800319642/106660125*ep^-2-19198437706671\
         889504007982054759649492/517285073930625*ep^-1-
         158176384201021417101591144704/975*z3+378454103080715752070525\
         11777623741945779564876965640872673461719927506008073603663485\
         02967263553421/61489047689537768448143422461350611902115678185\
         84883200000000000000000000*ep-79088192100510708550795572352/
         325*ep*z4-281344204093498574270044462592328608/106660125*ep*z3
         -2525407376643918799292703181818908825475132454648096603488162\
         9637543411435070428143524797882209856042940756593/
         85885156941657494002383207371635860013559868846119432245739520\
         00000000000000000000*ep^2-5115099781014743103076353648256/325*
         ep^2*z5-140672102046749287135022231296164304/35553375*ep^2*z4+
         4029855363100968202165959907482964511132/533833925625*ep^2*z3-
         47399573584680294082275541181359629243110393393263951793263280\
         42441213697654269224081776192822359677899478150440490709304294\
         219630726032819/7950211741242754993261244715672656791606023338\
         83656923454652015734018642424866275328000000000000000000000000\
         000*ep^3-7593561479421603946063734900032/195*ep^3*z6-100359131\
         3577999677246838273972507272/35553375*ep^3*z5+2014927681550484\
         101082979953741482255566/177944641875*ep^3*z4+3256930749548898\
         419191873837070797783742896671629/1584475218553940212500*ep^3*
         z3-5537339950467313605625733121152/975*ep^3*z3^2;
Fill mncnoptab(8,8,6,6)=
      +mncF321*(8995972774096119319732224+353010932276324090715378432/5
         *ep+195880889832175469341075392*ep^2+
         50049249620688746046032250832/175*ep^3)
      -260784930433010761015171841110590171930959666371/
      5894691022872001350000-21779636318754117843424/25*ep^-3-
         15860531153699487081825831058/1740375*ep^-2-232703292898893255\
         271543894374370808/8440548991875*ep^-1-
         2959077263232302619144581888/25*z3+134985863262766863886669495\
         43002222615628861767548974054603680796755321352904419831067008\
         8083933143/300995338340394670725177592468149848471894928182476\
         800000000000000000000*ep-4438615894848453928716872832/25*ep*z4
         -3351992348265317901844934372496752/1740375*ep*z3-
         12847467514935140307205151670722005283855369045759121464550197\
         1459230092806526302028575496771862088641874877/
         60059550308851394407260984175969132876615292899384218353664000\
         000000000000000000*ep^2-287071875921617934376937997696/25*ep^2
         *z5-1675996174132658950922467186248376/580125*ep^2*z4+
         2722264100634263293859540004342803206621/496502881875*ep^2*z3-
         11601176165516784948808840679504842044028187268926678739592780\
         46716167752487150370288293456816080674471551783015288630763546\
         592473131052013/6121663040756921344811158431067945729536637970\
         90415831060082052115194354667147032002560000000000000000000000\
         00000*ep^3-142056399329192815878896707904/5*ep^3*z6-1203353494\
         1400024477075845975902168/580125*ep^3*z5+272226410063426329385\
         9540004342803206621/331001921250*ep^3*z4+579390566869594927277\
         994486340696569725938982143/368418188929500084375*ep^3*z3-
         103589745252532539334924540544/25*ep^3*z3^2;
Fill mncnoptab(8,8,7,5)=
      +mncF321*(6919979056997014861332480+54361159415993717711157888*ep
         +151079914321362989804923488*ep^2+7738231030687881108867610684/
         35*ep^3)
      -1043221782651085086738060780342837800386928410969/
      30652393318934407020000-38369053964084360586608/65*ep^-3-
         28061612638826162866816407821/4524975*ep^-2-166374251973099851\
         3635365187828925929/87781709515500*ep^-1-
         5918268714352313450513236096/65*z3+247315626091394095734708599\
         10709387728322240010675052418618698209876996324933397609053674\
         68266214241/71713507520227850276049584940047920261376566161875\
         92704000000000000000000*ep-8877403071528470175769854144/65*ep*
         z4-6707148823278275022411529712414104/4524975*ep*z3-
         16456403667540234978330451154021526574581224295280951861985437\
         311610557959307814275187095994892477882437200221/
         10016622601327855829434973739078721128193031976499482874808893\
         440000000000000000000*ep^2-574144966375943705666004176832/65*
         ep^2*z5-3353574411639137511205764856207052/1508325*ep^2*z4+
         10860440317715834956985228983540886038039/2581814985750*ep^2*
         z3+83259458495875484182931885112285692395483422967846002319942\
         28742376607957341502206467694171322283938740572774045261860659\
         2074901294639692148919/160436544972157394604810840161428721679\
         69620794145618100422630421835013647116589414723092480000000000\
         000000000000000*ep^3-284113348830795696107745470368/13*ep^3*z6
         -24167058952761549437807922794670236/1508325*ep^3*z5+108604403\
         17715834956985228983540886038039/1721209990500*ep^3*z4+
         19038511719246022478699634722188560389058875134931/
         15326196659467203510000*ep^3*z3-207178234413685148549540342848/
         65*ep^3*z3^2;
Fill mncnoptab(8,8,8,4)=
      +mncF321*(3106929372529271978557440+171343166176064660644551168/7
         *ep+3350660931868968151504602048/49*ep^2+
         172813874678080194685466725792/1715*ep^3)
      -1043411056841788302742397750903388198227563849939/
      68271239664899361090000-564530057042022263018816/3185*ep^-3-
         59828746034277266280376669076/31674825*ep^-2-83334988687311622\
         668819706456730606/13965271968375*ep^-1-
         130208062570534337467598536192/3185*z3+
         11182363072639829467298471494044571089425644001620570587737912\
         33372066493448000820291905280301415361/72475463537630271185232\
         61178003592941415369217734585876480000000000000000*ep-
         195312093855801506201397804288/3185*ep*z4-14776747328160286893\
         4154728738392688/221723775*ep*z3-74269438153322267741715834869\
         58092708088716640398190068248017171229015756980081228836739844\
         727920082555099677/1012304921646696429762272033505643254018008\
         2941249789880353737932800000000000000000*ep^2-
         12631254683384658489008510993664/3185*ep^2*z5-7388373664080143\
         4467077364369196344/73907925*ep^2*z4+6337416504892527953084834\
         78975780643047/338259182625*ep^2*z3+
         99017762870546081113125375192586135697447781129255781743112242\
         89018895247249456507179860758956086659526298205647524633565670\
         2481527722456017/306594237441792781089793515548490287129899453\
         37612276189907646736126711079639802371535829729280000000000000\
         000000*ep^3-6250523310407062075770456228736/637*ep^3*z6-
         538345987233824931503041828746497792/73907925*ep^3*z5+63374165\
         0489252795308483478975780643047/225506121750*ep^3*z4+
         20541644691208605911607723670121171267455162649741/
         34135619832449680545000*ep^3*z3-
         4557853498547097085307154148096/3185*ep^3*z3^2;
Fill mncnoptab(9,5,5,9)=
      +mncF321*(4845132116730272597630400+38031034227392694808335015*ep
         +422134506388611105362307349/4*ep^2+
         14792362120457493876697817431/96*ep^3)
      -1031027210006286844287852785382016144695794838013/
      43253423792604831117312-837651779374542703249/8*ep^-3-
         893361295284620985560410391999/798145920*ep^-2-183865158057480\
         59414152249728567891163/5161178665843200*ep^-1-
         63757079509530719841818891*z3+48996968910033696706064615343636\
         74807210038912407515349318185420556690750904946329074977712524\
         927/2029625191732662928656160477014862616099210508323782656000\
         0000000000000*ep-191271238528592159525456673/2*ep*z4-207016529\
         38172729028699432776991457/19953648*ep*z3-
         81643819702543680008056083316202402518385554291787635615651650\
         37724332360824481324737447752691922126229411/
         70872246633590615816844743582266653967504864231739201006075904\
         00000000000000000*ep^2-12369271303251560756894876369/2*ep^2*z5
         -20701652938172729028699432776991457/13302432*ep^2*z4+
         1344203433071633760082635114535135941816449/455398117574400*
         ep^2*z3+833441620628499996856864375393710430367845596783304740\
         10161182667522400918629614717833114733381214944145091546648903\
         55642380091829127/12652098604013408555319040452257949970228753\
         395254485126632246664776843003125028618240000000000000000000000
         *ep^3-61208785721162496586056192935/4*ep^3*z6-4957295629654452\
         3652049676366265051/4434144*ep^3*z5+13442034330716337600826351\
         14535135941816449/303598745049600*ep^3*z4+23042602094661029775\
         55897824702466707324385161554233/2703338987037801944832000*
         ep^3*z3-4463207487851771068110025311/2*ep^3*z3^2;
Fill mncnoptab(9,6,4,9)=
      +mncF321*(3302717277203120729272320+25962247465244022439572912*ep
         +72234794180112257654142888*ep^2+7409331605974247522093751611/
         70*ep^3)
      -1142340137153772463077762457764860078851908277063/
      70302882893358475360000-4216629021599874218242/65*ep^-3-
         5282729252131271552983734038303/7565758200*ep^-2-2070377889124\
         8146011679452315215794797/9173188644369750*ep^-1-
         2824938360388333904747531504/65*z3+131144843001273387616789359\
         34890810386583946911249129095934981367016544112111189087662360\
         9471464833313/797886255373944450513309806724082791640921635032\
         245437726720000000000000000*ep-4237407540582500857121297256/65
         *ep*z4-669298566892647505249729611449448749/945719775*ep*z3-
         87299878589545775960637848418258357352968037196932923698123883\
         4267358999669823528899366123720267196757125877891/
         11144519038638857155967202238824266803082204890712525879803423\
         75219200000000000000000*ep^2-274027032394571273821095703368/65
         *ep^2*z5-669298566892647505249729611449448749/630479850*ep^2*
         z4+508851957823533735339517527324691064010301/253929097422000*
         ep^2*z3+127314125627483658929280869628199492594125689111158466\
         36530527154894023739367839703264958543352750599406879822975395\
         3992301031785735322021177/179176996094261249815059399838404726\
         20638436898305077764574561610710328631537615528693596160000000\
         0000000000000000*ep^3-135601047017091469958174085932/13*ep^3*
         z6-4835462943253028846090734480201657957/630479850*ep^3*z5+
         508851957823533735339517527324691064010301/169286064948000*
         ep^3*z4+5165607304758872601354771888620839355117717267301211/
         8541800271543054756240000*ep^3*z3-
         98877109747218652918614756152/65*ep^3*z3^2;
Fill mncnoptab(9,6,5,8)=
      +mncF321*(7155887433940094913423360+56129893756976264796226656*ep
         +155567403600913625560781880*ep^2+7937698775962050684227424363/
         35*ep^3)
      -138778704456999606642029163336103721930778541796947/
      3942369356096794502880000-1487056281557524006212/5*ep^-3-
         915583173079257863607200775629/290990700*ep^-2-110372944379419\
         726652127708748488234767/11290078331532000*ep^-1-
         470805805445043986053947744/5*z3+12321374308620987718112319254\
         09254016876041785988754210688698272967424994360326429925351561\
         76453802413/34523924511372596416441289714022813099847570746587\
         5429785600000000000000000*ep-706208708167565979080921616/5*ep*
         z4-111430695813311050776912544090526839/72747675*ep*z3-
         82120320962143467953040326726882379670936771333700765632202194\
         6620758150700521395829280718563291594768075967417/
         48221476609495055001781163533374231359490309623275352364534045\
         0816000000000000000000*ep^2-45670988540641903595587826448/5*
         ep^2*z5-111430695813311050776912544090526839/48498450*ep^2*z4+
         483457810336593299468159963564836605118159/110687042466000*
         ep^2*z3+153676239451043414662312986180585272057415051503483012\
         81327508557148326550339830115174828539467970914603870531706551\
         0903961079627988443417611/305415334251581675821123976997280783\
         30633699258474564371433911836438060167393662833000448000000000\
         000000000000000*ep^3-22600091367598429804766939352*ep^3*z6-
         10235403378819502735603742219793334/621775*ep^3*z5+48345781033\
         6593299468159963564836605118159/73791361644000*ep^3*z4+
         2430900658718026653432165728022666040364023307404013/
         1971184678048397251440000*ep^3*z3-
         16479708094856082317828313072/5*ep^3*z3^2;
Fill mncnoptab(9,6,6,7)=
      +mncF321*(9247608376168738041962496+362619495443229321002827968/5
         *ep+1004713219379629673132227344/5*ep^2+
         7320933305712463652743638414/25*ep^3)
      -214133332702384857965628614056185523701975017719/
      4707782336608826475000-205821596019728949264648/325*ep^-3-
         2992662549709168342832011698283/450342750*ep^-2-26540306495211\
         9665431630909853137671223/13104555206242500*ep^-1-
         39545907679246899174615677376/325*z3+3014422227900322541706374\
         62606574308766066617422155093418796972883870123573169519060322\
         02704011141769/65424346741668185628824601498877051063851081589\
         743157248000000000000000000*ep-59318861518870348761923516064/
         325*ep*z4-445670910119143500490862885646132496/225171375*ep*z3
         -4023266830595802134898246537386343122335009979347326223824781\
         4210933673727371350548228673053396111359873855041/
         18276361397184714723707146528684111010885540090454215181893369\
         856000000000000000000*ep^2-3836344104857492641699762466592/325
         *ep^2*z5-222835455059571750245431442823066248/75057125*ep^2*z4
         +2176687059243248177093598005469627106313953/385428094301250*
         ep^2*z3+604623211761506912924575809269060488349134506369427952\
         26866057791758854434514960619349572047817774240269805385080458\
         69869706957686003309531/14691991297816611227546780234563069750\
         88793113016997994544196925076466451201152876806144000000000000\
         0000000000000*ep^3-1898399098589122871262573394608/65*ep^3*z6-
         1595413500518221262747101237310645814/75057125*ep^3*z5+
         2176687059243248177093598005469627106313953/256952062867500*
         ep^3*z4+16782747335319068909684073478754270240840792357177/
         10592510257369859568750*ep^3*z3-
         1384315059591676998863267889888/325*ep^3*z3^2;
Fill mncnoptab(9,7,3,9)=
      +mncF321*(1019461200361167367964160+8049844935319796835827436*ep+
         158046565200267875102639448/7*ep^2+
         13110641866830008638646066021/392*ep^3)
      -3826567634972414085892204050031431975982060790213/
      762904011493478574720000-13030635781483115574559/910*ep^-3-
         22875139950217356090150173279/144799200*ep^-2-7567432034901720\
         38120511696307491563/1404507352248000*ep^-1-
         6103941777936964551013269604/455*z3+17369878742308984847379746\
         75339425840869222335925491275785691812427745216205147171071027\
         636085686273/3435873826969138782114731225127629246300619481000\
         0999710720000000000000000*ep-9155912666905446826519904406/455*
         ep*z4-27737923247610725886055879820045759/126699300*ep*z3-
         10470006864358917706023051731817471103679093382696039924181862\
         00373463120969534206716960674971181703947912751/
         43627956219116883168205663396876207580574094830975525410278735\
         87200000000000000000*ep^2-592094730960540380819393058318/455*
         ep^2*z5-27737923247610725886055879820045759/84466200*ep^2*z4+
         353278389415599085848417915212713595526047/578326556808000*
         ep^2*z3+465212584843915898195143353990591079931843422991764044\
         88568128744583888601609876512631770804661745747124798154717922\
         38185145378817032360851357/18168547403958090731247023143614239\
         23732737501488134885327860547326027323237914214609530650624000\
         0000000000000000000*ep^3-292995394591301708134189894357/91*
         ep^3*z6-203844055196334225871873783836948187/84466200*ep^3*z5+
         353278389415599085848417915212713595526047/385551037872000*
         ep^3*z4+239043245116906218789137894767211878275672771983161/
         1144356017240217862080000*ep^3*z3-
         213644555367496635988731208402/455*ep^3*z3^2;
Fill mncnoptab(9,7,4,8)=
      +mncF321*(3459989528498507430666240+27222649445901496264945344*ep
         +75865027908506595071981888*ep^2+11699381037204499117127129402/
         105*ep^3)
      -521748516075330243958049794192130413949166655177/
      30652393318934407020000-24735356549566540413272/195*ep^-3-
         36827456418299303351395229993/27149850*ep^-2-32501960598017186\
         8123714115920090171/75241465299000*ep^-1-
         8878125068386335005128185664/195*z3+93144513042129400069643078\
         62179230089444188656068992729665975155874159142360890243251737\
         292066805887/5411501277476393581830701679576016062923475682575\
         1574544384000000000000000*ep-4439062534193167502564092832/65*
         ep*z4-1438394207698807032942817371381368/1939275*ep*z3-
         30965799832786276895305387936619414020090961156225329901152867\
         7135385155952906446280521945678298868451316027151/
         37792717074810000044458155917544014816672309647332548886653954\
         9491200000000000000000*ep^2-287075042999957465053230257696/65*
         ep^2*z5-719197103849403516471408685690684/646425*ep^2*z4+
         8110265451825399403527504112283372012918/3872722478625*ep^2*z3
         +1996969149818047193406476453556411549709978118643781425224073\
         34057423501032989633551562465735537028243647520262094965066070\
         780215736201382985787/2751486746272499317472505908768502576806\
         78996619597350422248111734470484048049508462501036032000000000\
         000000000000000*ep^3-426173501965743030077281293712/39*ep^3*z6
         -36495429729881502672403323233378234/4524975*ep^3*z5+405513272\
         5912699701763752056141686006459/1290907492875*ep^3*z4+
         9930336791927034108064919596236901751279613821533/
         15326196659467203510000*ep^3*z3-310759409687722120459667657632/
         195*ep^3*z3^2;
Fill mncnoptab(9,7,5,7)=
      +mncF321*(6559563481111753670638080+51524105303063339138680488*ep
         +143163986789924281642431278*ep^2+4188718128166685557991813019/
         20*ep^3)
      -54911747715274091647478475719002886953665708001/
      1701925829160036480000-2179389316567206938271/5*ep^-3-
         10958963437470759313450127363/2386800*ep^-2-327760415724669926\
         9943888772722641/232092432000*ep^-1-
         431554030969063062536104552/5*z3+19553484030446770545033369301\
         62300226084925344643579262839410911239407800195097905888535785\
         5309033/598822304698258871232195420805056014328296225541980160\
         00000000000000000*ep-647331046453594593804156828/5*ep*z4-
         838365396895885932859728995519923/596700*ep*z3-
         13026506017844663923376404521661742587125131547309050154480375\
         4914634902078826705361891681284200789274429693/
         83640826377484626106111875857691750311328455269352969349365760\
         000000000000000000*ep^2-41864881827081474200810516284/5*ep^2*
         z5-838365396895885932859728995519923/397800*ep^2*z4+1086363509\
         3651997041348132136266540021569/2723672952000*ep^2*z3-
         15791987156581424576655252482954357429441161763184366417957115\
         83951042873652768455394753509025273340165288870381654524838480\
         5169393763464027/231398862940611626833861788694368348576484915\
         30017718414071101569954346606418157809696768000000000000000000\
         0000000*ep^3-20716663898056205569137205866*ep^3*z6-25162366645\
         2434138815846407341111/16575*ep^3*z5+1086363509365199704134813\
         2136266540021569/1815781968000*ep^3*z4+18990233642999187899551\
         371024425200919980214922461/16168295377020346560000*ep^3*z3-
         15106596615934100867160585476/5*ep^3*z3^2;
Fill mncnoptab(9,7,6,6)=
      +mncF321*(7265978009846865604399104+285436097099597241899906112/5
         *ep+793474938285765373326497424/5*ep^2+
         5807697506772435583821025766/25*ep^3)
      -521589670950379512195101422786094055545648307277/
      14596377770921146200000-215528743381927445344952/325*ep^-3-
         44929095152365271742202800059/6464250*ep^-2-264883068213201622\
         1130325335831240911/125402442165000*ep^-1-
         31070600726328421216942037824/325*z3+1079550591911098019947026\
         58217453743799255106232824299331117682137131115842886913934824\
         4934245828753/298128716070486150051604472539881754676924500295\
         0246400000000000000000000*ep-46605901089492631825413056736/325
         *ep*z4-5030670763796692681720349131191188/3232125*ep*z3-
         71848633533471992090255940733182006140347689506769666426171088\
         94534487726991874438496722373885409155818186389/
         41641288214136966789034282362005265461119936410239724725207040\
         00000000000000000000*ep^2-3014257776008750239218309251808/325*
         ep^2*z5-2515335381898346340860174565595594/1077375*ep^2*z4+
         1809391529216423606165417252013190695229/409811902500*ep^2*z3-
         21678165261683941442910764834843942400755418815662371675274753\
         14144713755681023125555613816212073003833870140667911741350214\
         553179985063545363/6063361487987807808193909303153012913064860\
         46641935680288081270666478217956031345983488000000000000000000\
         000000000*ep^3-1491593587641210909000683606992/65*ep^3*z6-
         18136188262369338989609871001887842/1077375*ep^3*z5+1809391529\
         216423606165417252013190695229/273207935000*ep^3*z4+
         117991127741365253158746272169066486583773512993/
         90101097351365100000*ep^3*z3-1087689141075277884584926119712/
         325*ep^3*z3^2;
Fill mncnoptab(9,7,7,5)=
      +mncF321*(4757485601685447717166080+37460417767567344954541368*ep
         +104545655512498689689929982*ep^2+
         12923815383692339971811080543/84*ep^3)
      -715481206675151998766754869395496349602659953/
      30579766373796640000-90391833118300105885559/195*ep^-3-
         1058877120206004237437180036353/217198800*ep^-2-28609998928528\
         85314935304805648991031/191523729852000*ep^-1-
         12206181602603820292941171208/195*z3+4575139734231493031594703\
         82522165835042618951975437156977635759507369412394988504554658\
         761069516801/1931874080136750252334396982058433770306470761911\
         759667200000000000000000*ep-6103090801301910146470585604/65*ep
         *z4-13848874925805740661365578947329117/13574925*ep*z3-
         30349201091962923818550210334245822260395140008613034176477211\
         26309178438597172803780946247305601095524697357/
         26983554762760754479294214970579412018805718793835341621934161\
         92000000000000000000*ep^2-394723786450801235265310080212/65*
         ep^2*z5-13848874925805740661365578947329117/9049950*ep^2*z4+
         2697704338181719597787916219962026038221/938841813000*ep^2*z3+
         62777619519736514288218186618237189835258566360311339180884824\
         90514001935799848675451187508688440202955670546053672317164449\
         1790518821362174329/510777571748092929762254919697609807796583\
         84569116661707467966240944125080616080585649029120000000000000\
         00000000000*ep^3-585982588874899942751494534714/39*ep^3*z6-
         201388478224664721537610536504587237/18099900*ep^3*z5+
         2697704338181719597787916219962026038221/625894542000*ep^3*z4+
         10123902754223825491105744688357719222387614690263/
         11146324843248875280000*ep^3*z3-427307832276394450267769620804/
         195*ep^3*z3^2;
Fill mncnoptab(9,8,2,9)=
      +mncF321*(129455390522052999106560+7210785595445284157406288/7*ep
         +143530200561387387224554968/49*ep^2+
         15159423721135628088767875251/3430*ep^3)
      -611737837533760542608462025300391678684511295163/
      960411810288711676896000-7753160885849397226582/9555*ep^-3-
         7281782860187193393484691363/760195800*ep^-2-15138152372474350\
         331186049980677901/405727901397000*ep^-1-
         16277389753644874889117965904/9555*z3+
         14953472453790146581796247036737516990404512689488786625941134\
         8110100313063627963379293187443482846156825161/
         23437861258032258843706936961572957529017591876975081619348055\
         392256000000000000000*ep-8138694876822437444558982952/3185*ep*
         z4-18561338205184330856714056282775663/665171325*ep*z3-
         32356139238622469972959745463590994873695483993852504355072682\
         51701649588700268372142188724961596827426283680671323669/
         10756429168559095909080950411656575379618236724778861918286044\
         9959762974474240000000000000000*ep^2-
         526307177999023906060599406856/3185*ep^2*z5-185613382051843308\
         56714056282775663/443447550*ep^2*z4+14912941285527289560997934\
         67579101841913/19654638822000*ep^2*z3+
         11775640858769333383176293757060051806085907095209845989520868\
         54649564131828057655567075335138404062859542749631297329631659\
         36283380865140858885828755879642921/
         99997827649532486745859083898860823035612600909732481914824832\
         66157950159712859732315131819871207358901046476800000000000000\
         000000000*ep^3-781322072121713421646340127332/1911*ep^3*z6-
         140374384280081339880961211952430199/443447550*ep^3*z5+
         1491294128552728956099793467579101841913/13103092548000*ep^3*
         z4+285903164569805436912081018500781092422427773492823/
         9123912197742760930512000*ep^3*z3-
         569716485709088544758697120872/9555*ep^3*z3^2;
Fill mncnoptab(9,8,3,8)=
      +mncF321*(776732343132317994639360+43046349064539011621749440/7*
         ep+4245894185122869932851653312/245*ep^2+
         44311935916335901139587517202/1715*ep^3)
      -5739717044864422488367930232530592642997688241593/
      1501967272627785943980000-65936129934643338334712/3185*ep^-3-
         14405664389101249178070083059/63349650*ep^-2-94409720529607745\
         3490589307934872543/1228943933217000*ep^-1-
         32553669977313066772387177024/3185*z3+
         18457647390752424854443998726274386761321847064059619789221404\
         373400483076216575725999052295417548238123/4801805466880719904\
         94444262367711825316743075567168971457167360000000000000000*ep
         -48830504965969600158580765536/3185*ep*z4-37030827923347685720\
         500507395636232/221723775*ep*z3-732504552114536881507562703509\
         71630178018518249672386617599286047438972843225768136767763848\
         691953003965941573693/4024168514125768804733904442100086697679\
         26753124796980545091312298229760000000000000000*ep^2-
         3157831266899668213555610282208/3185*ep^2*z5-18515413961673842\
         860250253697818116/73907925*ep^2*z4+29219930299105673608339744\
         977220970377634/63254467150875*ep^2*z3-
         24024819525533862928800402330127072465128158144787023485798231\
         01188691218757651382556789333886105523600770672755217251118310\
         607173452442081886719061/1650444472586105930594528017633275202\
         99824674188308289084346848014506816563424555690790721450672128\
         00000000000000000000000*ep^3-1562638798461177573391611552592/
         637*ep^3*z6-137428479467342958485656736095905458/73907925*ep^3
         *z5+14609965149552836804169872488610485188817/21084822383625*
         ep^3*z4+25386517005963948822881040239085219470899234450693/
         150196727262778594398000*ep^3*z3-
         1139445176841506144666676819232/3185*ep^3*z3^2;
Fill mncnoptab(9,8,4,7)=
      +mncF321*(2306659685665671620444160+18205457641027582575545280*ep
         +255112571312513680992904128/5*ep^2+
         7928545647481323488934584698/105*ep^3)
      -2086815230161644277084556934196370389951453872887/
      183914359913606442120000-26781753251036445049784/195*ep^-3-
         39790301484615526255768399561/27149850*ep^-2-61159106123395569\
         8502558378460873573/131672564273250*ep^-1-
         5918523636265308690120482368/195*z3+68821009223458346747671201\
         13928850553684571001885822135677549103462001854515100974813017\
         5324390229214503/601339274609366592919758584597783825767720920\
         237178211008512000000000000000000*ep-
         2959261818132654345060241184/65*ep*z4-672252550205914774804006\
         9389054724/13574925*ep*z3-456389049301169970957113278536539129\
         63840373311726516965084558766467355277065385378241865564763183\
         1488941244221623/839923854989144694865610852942968002762370310\
         325411137501350141624320000000000000000000*ep^2-
         191382559271130562838310561952/65*ep^2*z5-33612627510295738740\
         20034694527362/4524975*ep^2*z4+2143917935356722008372217491663\
         6105781637/15490889914500*ep^2*z3-
         56067471678113454012083105718657362217428062755700739660553975\
         08820422488594576416245344862701729181535814552028356525290033\
         3530632829499712583909/122300778232275581907247303455057114536\
         43241931377204677952171170564830903196976110843413397504000000\
         0000000000000000000*ep^3-284114577088563189912405601744/39*
         ep^3*z6-3522723731890227013058418260482658/646425*ep^3*z5+
         21439179353567220083722174916636105781637/10327259943000*ep^3*
         z4+8589765066506202173601997383119440870915927462793/
         18391435991360644212000*ep^3*z3-207175430262263718833197448224/
         195*ep^3*z3^2;
Fill mncnoptab(9,8,5,6)=
      +mncF321*(3748321989206716383221760+29547348902693251317848160*ep
         +413133857667457283629060008/5*ep^2+
         12801870178259646359385392593/105*ep^3)
      -80247906209359210003737502555712430649429435657/
      4353002601505477920000-5056294996916490413548/15*ep^-3-
         14846674298767632903242772799/4176900*ep^-2-177606954492081703\
         7221101692907817781/162058540644000*ep^-1-
         739777865359299001582308896/15*z3+1057267631650427301777221538\
         27064013665936748871696848560601371174838223967388404663220445\
         772453663/5675912094418870933674777457970825714041447217155276\
         80000000000000000000*ep-369888932679649500791154448/5*ep*z4-
         839786907958376015457169337252633/1044225*ep*z3-
         35081002293930706729032395538861119177155662603323824135476461\
         5393942772646226356657371927171370584101786987/
         39639303203841920308792249556139627698566093313593584113418240\
         0000000000000000000*ep^2-23922686638796556537471392144/5*ep^2*
         z5-839786907958376015457169337252633/696150*ep^2*z4+1075710612\
         7156341975544851512264758583651/4766427666000*ep^2*z3-
         34666616784240701851298102490198714077268993485187384966403316\
         19431592506461115415828015122240793220042187249552708489014504\
         1582722900403969/577185372414224012510766366357834883070597294\
         39953492642807736342289753440045291588812800000000000000000000\
         000000*ep^3-35514141025515185305415933768/3*ep^3*z6-3066061749\
         665030211407282036391202/348075*ep^3*z5+1075710612715634197554\
         4851512264758583651/3177618444000*ep^3*z4+41663554516681089805\
         17066890174283463372680011719/5658903381957121296000*ep^3*z3-
         25897342267738459619966005328/15*ep^3*z3^2;
Fill mncnoptab(9,8,6,5)=
      +mncF321*(3459989528498507430666240+27291085545587455891141920*ep
         +382004049169067449481755992/5*ep^2+
         3951581382192050187970665631/35*ep^3)
      -13726049654850613956132580440429176352813197491/
      806641929445642290000-22249249822984980918892/65*ep^-3-
         65303898686071823252454522061/18099900*ep^-2-65040344191152225\
         3889677975040692277/58521139677000*ep^-1-
         2959066933236578371412468384/65*z3+562539757204939258251780660\
         63899971744745810867237302133964886827954161103291209816418560\
         24817733820591/32725946917516549274544684876069868068991614706\
         785208762368000000000000000000*ep-4438600399854867557118702576/
         65*ep*z4-3360104129945374128067128983360072/4524975*ep*z3-
         53269577115224748717265370379317476207221250906615396211814696\
         66477086588990798053265651920432724771832885321373/
         65300202525881025839892000228802177085509839481081526725080671\
         84640000000000000000000*ep^2-287071766042567525346284417328/65
         *ep^2*z5-1680052064972687064033564491680036/1508325*ep^2*z4+
         210566337723517233320054938466594423471/101247646500*ep^2*z3+
         61749470794887015488619640000837254989292699361077839568268292\
         08458709607160867917929215429636522981412064480244945753094095\
         744761902891656572347/6655824665702072484748152568982700110826\
         25411231412499480390267785841137588951080862226579456000000000\
         0000000000000000*ep^3-142056349554665473487435974472/13*ep^3*
         z6-12296110641710172960173875255548493/1508325*ep^3*z5+
         210566337723517233320054938466594423471/67498431000*ep^3*z4+
         2114428312563914095979760641025078510500894749241/
         3065239331893440702000*ep^3*z3-103589858870474554913443765712/
         65*ep^3*z3^2;
Fill mncnoptab(9,8,7,4)=
      +mncF321*(1812375467308741987491840+14330827184074858835484480*ep
         +1410398167701815010625971504/35*ep^2+
         44029891934579517305078195038/735*ep^3)
      -94847977296921156315607289255868050474179916171/
      10639673714010290040000-196471676341243914375512/1365*ep^-3-
         41648458127679100736690536159/27149850*ep^-2-23211913511819972\
         7945702935426902253/47880932463000*ep^-1-
         32550798189007265723596220224/1365*z3+
         27099479932930453913553230798943100377742366417708752803737677\
         896442788428466467653523599467122140910897/3023877495178529152\
         96792888254885580957482519890695328964280320000000000000000*ep
         -16275399094503632861798110112/455*ep*z4-370062769535723306127\
         12476016001012/95024475*ep*z3-35910493303697647001242106337404\
         68939279445226795775395134773762299055008701790840391416762370\
         4243111039487334333/844723419874796950264842914959784962778155\
         28352727062971564357100503040000000000000000*ep^2-
         1052600240512604708770692437536/455*ep^2*z5-185031384767861653\
         06356238008000506/31674825*ep^2*z4+106638724244457284679883525\
         29820112558471/9857839036500*ep^2*z3-
         20478364707980875086965473046607728174907620863382410552570461\
         10395321413959329283728810417806120547898456208761570452958029\
         6199167723318080870693479/103934695649737283092833251256206251\
         85061845371625245026885982265636580868134024498312185374153113\
         600000000000000000000000*ep^3-1562624961674403430294240546192/
         273*ep^3*z6-136695053068618397897946709742334878/31674825*ep^3
         *z5+10663872424445728467988352529820112558471/6571892691000*
         ep^3*z4+896956599328987637562904673343892051728072657539/
         2340728217082263808800*ep^3*z3-1139476766563148231778774012832/
         1365*ep^3*z3^2;
Fill mncnoptab(9,8,8,3)=
      +mncF321*(517821562088211996426240+28789071100387951618469952/7*
         ep+571155774859680980543550768/49*ep^2+
         30031954871454173136135750714/1715*ep^3)
      -71744169008755466986181109439551185126340233918/
      28161886361770986449625-214536757465229729803768/9555*ep^-3-
         46767840669150431179633311863/190048950*ep^-2-7625638045304091\
         67835498017516088513/921707949912750*ep^-1-
         65105521328706771521047647296/9555*z3+
         27815586285483399907101084435605728558968525351496637729404037\
         2689532140708113739569788312865587574698571/
         10865799799341514756331424451292221875738871881405652154116472\
         832000000000000000*ep-32552760664353385760523823648/3185*ep*z4
         -74174697702801131983027143414470192/665171325*ep*z3-
         10488228840466731534587366493803368953035143134675065006290272\
         406547411478887454998237577064263036374428734284941/
         86724937773812486893857205935871256178557275775466451317472739\
         956516454400000000000000*ep^2-2105214396752696593680084822944/
         3185*ep^2*z5-37087348851400565991513571707235096/221723775*
         ep^2*z4+115819085562275624706547492354693561998649/
         379526802905250*ep^2*z3-28780300416248108235989446710771857663\
         57438648164192807336323328870858228197877959787887684137351257\
         1816384994299027120755227700151182727475438760488061/
         24275680413923638087716086385074573557242783506326030634463359\
         245105174047671703219891160972230288998400000000000000000000000
         *ep^3-3125268834464691504759603410768/1911*ep^3*z6-27855178260\
         1786256272149354980567458/221723775*ep^3*z5+115819085562275624\
         706547492354693561998649/253017868603500*ep^3*z4+2717170786798\
         5025627605498366697828757178347828137/225295090894167891597000
         *ep^3*z3-2278910358623901219930432381728/9555*ep^3*z3^2;
Fill mncnoptab(9,9,5,5)=
      +mncF321*(1317769449330486228476400+10448969679458082113140800*ep
         +118109835515243050466444721/4*ep^2+
         9897294609301768881018831615/224*ep^3)
      -61365538484987724325513785882327398202628636433/
      9468491933209300992000-135374639545571853273*ep^-3-
         502216190266785065990257631/349440*ep^-2-915676969834665743722\
         89174458215751/20336758041600*ep^-1-17338172659920139595861271
         *z3+9847524327475492266285895737921805929423309544164900261248\
         92224129383263708941711198089574314509/15110327323629397578051\
         844526766030136204457801636904960000000000000000*ep-
         52014517979760418787583813/2*ep*z4-
         49539289912483233641163511674239/174720*ep*z3-
         81249816676009121643268582229744179569489183391271426564781762\
         2064439418229467032457264921619356241003397/263817883507922696\
         5089366525080889507333138311291270472086323200000000000000000*
         ep^2-1682059957456269406612607307*ep^2*z5-
         49539289912483233641163511674239/116480*ep^2*z4+79348707262661\
         96158474234713522845439187/10168379020800*ep^2*z3-
         10163545246387726307300010505680265688292246460887374695687306\
         19320445825268948493874902161665324406014588652231570580771389\
         96831208632767538665946563/88940036077522309720208121087561696\
         38976040108828700486596181559059561426853566978641537514959011\
         8400000000000000000000000*ep^3-4161804461990873167541865090*
         ep^3*z6-184905937399196147140680911776491/58240*ep^3*z5+
         7934870726266196158474234713522845439187/6778919347200*ep^3*z4
         +280726425321953975654631580101821991184676982671/
         946849193320930099200*ep^3*z3-606973040809752572146363953*ep^3
         *z3^2;
Fill mncnoptab(9,9,6,4)=
      +mncF321*(973122054890205214874880+7723047464549369572324320*ep+
         109294910437574308701790404/5*ep^2+
         2294512354726381195203172211/70*ep^3)
      -184116670121492437406835823239449997301111477609/
      38465748478662785280000-5374466313533908469604/65*ep^-3-
         418380869203575523054731521/473200*ep^-2-153050288592072114644\
         9586394694329/543539997000*ep^-1-832257002459321689507784208/
         65*z3+30530280260895636822904320812598293480353646793676850144\
         44718725350788829840245082031937579143174559893/
         63526838134002713297645564759429743898630781489641875832832000\
         000000000000000*ep-1248385503688982534261676312/65*ep*z4-
         7080235634933994845965837586427/33800*ep*z3-
         20145002532143523225298777999857794180031097050285451868312914\
         283648328690107921681320825513685367755666183332133/
         88731451667520688053029717957960605333839840706646074549962559\
         979520000000000000000000*ep^2-80739140842693792072324187136/65
         *ep^2*z5-21240706904801984537897512759281/67600*ep^2*z4+
         11871610131705027448136263721891848242533/20654519886000*ep^2*
         z3-19800458036968971669923919240418548797706529627660812501455\
         90250064579572266558533926297199345172747274921217036981387575\
         60022387028895969013215518272830349/
         74784339935423858905139796535265376792366135651075245171495333\
         02119641630155553258320950404078135515545600000000000000000000\
         00000*ep^3-39953441920117235191408201464/13*ep^3*z6-5568070491\
         17439069227288700193723/236600*ep^3*z5+11871610131705027448136\
         263721891848242533/13769679924000*ep^3*z4+85832163564592012380\
         8040570533880132116696845591/3846574847866278528000*ep^3*z3-
         29134434116871879706529809344/65*ep^3*z3^2;
Fill mncnoptab(9,9,7,3)=
      +mncF321*(382297950135437762986560+3042265252243192809700680*ep+
         302822436166063381475145711/35*ep^2+
         25592614177001397793335886421/1960*ep^3)
      -2025718275279276492381488491625641046609747705719/
      1077040957402557987840000-7946867361670536651561/455*ep^-3-
         51818526420689115093672039/270400*ep^-2-1067252801705819699500\
         67875065056377/165236159088000*ep^-1-
         2288857089903113302022362572/455*z3+25832765091594381153515696\
         30434944771069385740708339643768670178513849871849986921379304\
         7631878936113333/136963863016909849869723837621330527845447964\
         8916678842955857920000000000000000*ep-
         3433285634854669953033543858/455*ep*z4-54591665494049962734863\
         5740442099/6624800*ep*z3-4858940288300528919015330664026171806\
         23474655097971907142896602939780974252295537728465330258172462\
         3973693639839/546585742271927438406663062621037328856453418752\
         93981922776936947384320000000000000000*ep^2-
         222034236282587761253228103624/455*ep^2*z5-1637749964821498882\
         045907221326297/13249600*ep^2*z4+20244341116940632755076040739\
         27886938662/9036352450125*ep^2*z3+
         43326851061571434509101937108118260694191693861658184389754871\
         12707540373515854701931285943355613209213616673911122400206228\
         65588410422647117838238422097014687/
         20837257415941183884674155218945919926144590026752291071274554\
         81012692608122939652729006591141754999813020057600000000000000\
         000000000*ep^3-109872689596342323975602870526/91*ep^3*z6-
         6194553102864893572776932683150693/6624800*ep^3*z5+10122170558\
         47031637753802036963943469331/3012117483375*ep^3*z4+
         9977529632980663302519402244969379400084747686281/
         107704095740255798784000*ep^3*z3-80118040084778134316326650696/
         455*ep^3*z3^2;
Fill mncnoptab(9,9,8,2)=
      +mncF321*(72818657168654811997440+4075044380561049807285792/7*ep+
         81785730587007910297847364/49*ep^2+
         8733672860106576763091362851/3430*ep^3)
      -71449047104670092269721151303034468594216150442189/
      199414133263083611448576000-2919131088924867267396/3185*ep^-3-
         107115337263981873374843053/9937200*ep^-2-13863102801280558031\
         8542842756009357/3325377701646000*ep^-1-
         3051978326265485223256282512/3185*z3+
         66141789333823970032891968844620939628601202902794060149983904\
         506817562042266799150914496124108198768811547577/
         18477479194870916885630343089771821966093229031423803867512062\
         169055232000000000000000*ep-4577967489398227834884423768/3185*
         ep*z4-547158412509753262684168171692367/34780200*ep*z3-
         90606316116710295685985350161787426341438052422794398798971270\
         9381332384760163241501996117512750314538388312921461252261/
         53963265128060187851520894532126211880586225992274777192848423\
         825769617539727360000000000000000*ep^2-
         296047444623578899462188578304/3185*ep^2*z5-547158412509753262\
         684168171692367/23186800*ep^2*z4+97993319236276664523549597106\
         3589191319477/23277643911522000*ep^2*z3+
         28066438758310413841019395282725023764491421622245201719629511\
         06924540079934635909495238347731402119730177905322295731804689\
         02640596439197154199420042332206482980509/
         25530307880189121083916007153977795795590579170937549075511295\
         14268295288094820613075244371625065627890907687052902400000000\
         000000000000000*ep^3-146497733148656707119466147896/637*ep^3*
         z6-2104434616251367519196595354832083/11593400*ep^3*z5+
         979933192362766645235495971063589191319477/15518429274348000*
         ep^3*z4+1919003548031114551213060073045559381022511143519231/
         99707066631541805724288000*ep^3*z3-
         106822195956008700114757166016/3185*ep^3*z3^2;
Fill mncnoptab(9,9,9,1)=
      +mncF321*(5120061832171041468570+288436552715635032986541/7*ep+
         93706964100610025712246711/784*ep^2+
         40647403840866043723296389339/219520*ep^3)
      -71447728851839362871370432092924267477270582092301/
      2836112117519411362824192000+4475711493159462303/203840*ep^-3-
         12031360553351171429225741/635980800*ep^-2-7486428119255373900\
         75507875294785519/3405186766485504000*ep^-1-
         1716773966456763948801095523/25480*z3+
         30338197354138036603424314017424014463810760172866677186146883\
         2196033026098919766259646259304924247281698889407/
         12132916185611668383574618141089966770592849879307365090555114\
         29161943040000000000000000*ep-5150321899370291846403286569/
         50960*ep*z4-2470241595151387919688986216526389/2225932800*ep*
         z3-45478214866551600139925018217349908813526886755747417021591\
         212955819939401564349028651134320214605864226493625404708470561
       /389774461437728611945908828515974888568091429271752051387324049\
         03133697730097971200000000000000000*ep^2-
         333054144223856010740230611957/50960*ep^2*z5-24702415951513879\
         19688986216526389/1483955200*ep^2*z4+3457674965175768112824537\
         2185449689796852857/11918153682699264000*ep^2*z3+
         33018856308121212374303349241198863490169128195420655037401977\
         74851382970769134613057857021420898206251327793749576132713365\
         58949620099869258232058907521308364011/
         26822454074941550069387674454832182195040877871833980130761662\
         73357792682267782962471705719413436296404569953662926848000000\
         00000000000000*ep^3-329620596290942482842628420911/20384*ep^3*
         z6-9728509472311446618039094772781261/741977600*ep^3*z5+
         34576749651757681128245372185449689796852857/
         7945435788466176000*ep^3*z4+7158032994146266458586492537889271\
         24704340917873123/472685352919901893804032000*ep^3*z3-
         120174174633942527000870328603/50960*ep^3*z3^2;
Fill mncnoptab(10,4,4,10)=
      +mncF321*(957063134168942735334400+67907917225224147892780960/9*
         ep+1709189135287254341391680840/81*ep^2+
         52940804126554436828614523464/1701*ep^3)
      -56388323864410773647079251257910843820345421890323/
      11974946919144013302498000-709090405841838927548/243*ep^-3-
         21815946977602935223980538481/673435620*ep^-2-2092272142900483\
         90594655137089389477/1866319071130800*ep^-1-
         3060434781595230826418798176/243*z3+45178743479731534018691014\
         98856759185464131231805490587261157510360402832806226276696241\
         413963247/9511693487827143910652192064067509731590657246508812\
         8614400000000000000*ep-1530217390797615413209399088/81*ep*z4-
         242036287336424244646909531195670972/1178512335*ep*z3-
         21436858733534462214515156714025985612203615763044542637278255\
         11938434454212999210148213656603847700679683/
         94896491869997557219248645437398268710367227392743040367523266\
         56000000000000000*ep^2-32984835708846977814485104688/27*ep^2*
         z5-121018143668212122323454765597835486/392837445*ep^2*z4+
         2324000573075958110660295316661426743387357/4034542697885700*
         ep^2*z3+445999543164813344850480631407798836834592459961811892\
         85947564935408444069138647659144502103602780965401687859395837\
         08135022202284083/13420261733542794074749125051145039789849784\
         851394936009320633069424008471171905355776000000000000000000000
         *ep^3-734507716495068923759867860040/243*ep^3*z6-2652306983273\
         556104901387139364528569/1178512335*ep^3*z5+232400057307595811\
         0660295316661426743387357/2689695131923800*ep^3*z4+
         9072063241097702348244075857723774070701870099848361/
         47899787676576053209992000*ep^3*z3-
         107115935131192377269920721488/243*ep^3*z3^2;
Fill mncnoptab(10,5,3,10)=
      +mncF321*(611614310593170505420800+4828531780063911397927680*ep+
         40610882859681884633016832/3*ep^2+3786399046614143464681708576/
         189*ep^3)
      -34700611867923939687350605169974913412909002030617/
      11531430366583123920924000-176479629033037879040/117*ep^-3-
         28903504563559926387628366304/1702295595*ep^-2-166401746444253\
         915562540445570452564/2751956593310925*ep^-1-
         941673157756498391692433920/117*z3+125981781897084576583127873\
         82604196542553614376308259044717384775094891879761727713421435\
         424717224121/4154707715482896460172877493584688250758799085275\
         04945787699200000000000000*ep-470836578878249195846216960/39*
         ep*z4-223567619053035745043670348236805232/1702295595*ep*z3-
         83579254945813309903709035783130012899886474312485352857930002\
         947768899750887751200883095284571022784347712231/
         58031102708340906190714931657877789281763766895210224045547827\
         9667712000000000000000*ep^2-10149181302220345146199349760/13*
         ep^2*z5-111783809526517872521835174118402616/567431865*ep^2*z4
         +178076416261943173464503084243540844318104/485639398819575*
         ep^2*z3+663383165536143412376624299059716879551808002654072697\
         77617044193679080900011573147603860580645093828113637665868057\
         39297471510875238327851/31100007179218202646471024400523106048\
         67957261634381354851156051001864183902600409623245619200000000\
         0000000000000*ep^3-226002396405566519810254284800/117*ep^3*z6-
         820924524259091873422643984718172048/567431865*ep^3*z5+
         89038208130971586732251542121770422159052/161879799606525*ep^3
         *z4+36070176665534209661818773347735685990753648659923/
         288285759164578098023100*ep^3*z3-32958739182646584873363504640/
         117*ep^3*z3^2;
Fill mncnoptab(10,5,4,9)=
      +mncF321*(1987746509427804142617600+15645611083877042108000160*ep
         +130888451513129061287958656/3*ep^2+
         4039335731184968394474125900/63*ep^3)
      -69399869980574564026488816092861747541274974353573/
      7096264840974230105184000-159702183789066958052/9*ep^-3-
         749909390298027372896648519/3879876*ep^-2-43469091774561141891\
         83314339920921587/6774046998919200*ep^-1-
         235415746975608682063120864/9*z3+46796625446297754564807006683\
         02169080245743357518445558378873153035134667581724535784247153\
         000739647/4734709647273956079969091160780271510836238273817720\
         1799168000000000000000*ep-117707873487804341031560432/3*ep*z4-
         18603438546804777309923333446204627/43648605*ep*z3-
         12444790182859881577174175846105746696866946343964102857192599\
         078983046229623723392527460943875957094635891119/
         26452924311494430172405666852593864060063255564768193297115819\
         016192000000000000000*ep^2-2537292320685458805600911632*ep^2*
         z5-18603438546804777309923333446204627/29099070*ep^2*z4+
         718309047418266059375357707240611411623731/597710029316400*
         ep^2*z3+649043294028548086282472661759416178690501304466282206\
         21483052398505991459178456919964667869988876005032477230191897\
         272086973879095697953/1523110238345550175523527365804621049216\
         01824873431593748449638249249546808820344517820416000000000000\
         000000000*ep^3-56500537847983801420862709560/9*ep^3*z6-1558496\
         4205941447634629492219601228/3357585*ep^3*z5+71830904741826605\
         9375357707240611411623731/398473352877600*ep^3*z4+133777070116\
         1565054499258660823773456192574303414473/
         3548132420487115052592000*ep^3*z3-8239712759987831125809888112/
         9*ep^3*z3^2;
Fill mncnoptab(10,5,5,8)=
      +mncF321*(3669685863559023032524800+28855245309458361975276480*ep
         +80324292319283031637441528*ep^2+824429818295437016534793028/7
         *ep^3)
      -277583517140433172410381889070035574829685797289613/
      15375240488777498561232000-3270937242582569368792/39*ep^-3-
         339474800650186803578087489683/378287910*ep^-2-210064876178834\
         23699095967564808109899/7338550915495800*ep^-1-
         1883282121068319455513785664/39*z3+632347114679438870950584901\
         64067212038237265251467153537606916508199369047030704937760400\
         926470758789/3462256429569080383477397911320573542298999237729\
         20788156416000000000000000*ep-941641060534159727756892832/13*
         ep*z4-16528130783162977518506617281310786/21015995*ep*z3-
         21030620469955669271851429702452994195995410106808148145482540\
         86801513390713773152332897329415920300162766124453/
         24179626128475377579464554857449078867401569539670926685644928\
         31948800000000000000000*ep^2-60894860213538426734695243296/13*
         ep^2*z5-24792196174744466277759925921966179/21015995*ep^2*z4+
         2881231954223011081371165567369441095564809/1295038396852200*
         ep^2*z3+394229733568269286580917394993631196803500469388354475\
         75361670354344679602023537691444313150730707623695248960829978\
         4843333365276791473209177/129583363246742511026962601668846275\
         20283155256809922311879816879174434099594168373430190080000000\
         0000000000000000*ep^3-452003246298867401871429860560/39*ep^3*
         z6-1613820410365379119375481680366180388/189143955*ep^3*z5+
         2881231954223011081371165567369441095564809/863358931234800*
         ep^3*z4+5207323414014894562303520011071159424122893877757579/
         7687620244388749280616000*ep^3*z3-
         65918184495617106185652405152/39*ep^3*z3^2;
Fill mncnoptab(10,6,2,10)=
      +mncF321*(151031288942395165624320+1197394651351439290423872*ep+
         71030461815554361925670272/21*ep^2+
         33452684838258280130156661668/6615*ep^3)
      -7211567994592405796674581094943847759687416091797549/
      9704746965331206336177630000-685274424698285651416/4095*ep^-3-
         3097950420430474368843575833/1547541450*ep^-2-9214734306351169\
         69268269258415438681/115081821174820500*ep^-1-
         8138765051256748378313024192/4095*z3+1029019965189820836790277\
         34382748188317256914843281201147370704384199205180767500667139\
         11705319969695359/13786453302076473062979109217575882349176993\
         21923859820563346227200000000000000*ep-
         4069382525628374189156512096/1365*ep*z4-1760199772770685257810\
         20656113835912/5416395075*ep*z3-156400700729707986223471302794\
         94055056898363576610834026848798611228019344203661352099956562\
         31719010802513278965353/44289495853649529625406883245651395719\
         267420795606884473991317434679689216000000000000000*ep^2-
         87717945947116733609588611296/455*ep^2*z5-88009988638534262890\
         510328056917956/1805465025*ep^2*z4+635940521988888867238006378\
         8005093482698941/71079948372683250*ep^2*z3+
         31016863265026816500915134857972261242023451869341419156700895\
         98827330856502164791774081750372324642611387074059529274986106\
         36661869275341107467177/78066422268085221389716148515223075082\
         32380631635651407124434173401661695534763783027526735583248384\
         000000000000000000000*ep^3-390661374236396927053992238736/819*
         ep^3*z6-656635079161651572873247480554993958/1805465025*ep^3*
         z5+6359405219888888672380063788005093482698941/
         47386632248455500*ep^3*z4+659252163622025645361449172923064280\
         068556086088062439/19409493930662412672355260000*ep^3*z3-
         284857471210147437734352958496/4095*ep^3*z3^2;
Fill mncnoptab(10,6,3,9)=
      +mncF321*(864997382124626857666560+6828095422801191269497536*ep+
         19139892530529751394770224*ep^2+2974157103361530013923025136/
         105*ep^3)
      -4957207799907130506304874390683024808249869319539/
      1164790946119507466760000-369660302818759361816/65*ep^-3-
         10875422097276845645190870511/171949050*ep^-2-4150644486967485\
         46186111523878861/1890989207250*ep^-1-
         739880971735383638120944192/65*z3+3112539626323274444661165958\
         26224839143888798914084519449040367531006227149696865022687699\
         162788053/7253511412490404095575543697491661742190196682111322\
         161152000000000000000*ep-1109821457603075457181416288/65*ep*z4
         -15968104557762375651415469928675292/85974525*ep*z3-
         55045918295306761230631664913513526943894543436860826584718549\
         3331533495593082480672668444824970100761946161/
         27017015851245714317496247851695192249896254280515214254068906\
         06592000000000000000*ep^2-71769156591797877311443469664/65*
         ep^2*z5-7984052278881187825707734964337646/28658175*ep^2*z4+
         5655003661905707432018311288144024442251/10900996606500*ep^2*
         z3+34455575459554213297434572821081478723719821433549760170698\
         23882081419297811585576890482240531341963108031575107151470679\
         38779949359969996337/46586018984507924951915443957985228813659\
         93593559320218789386018784685444199780037460335001600000000000\
         000000000000*ep^3-35514637810031246836661262736/13*ep^3*z6-
         58606910180621219786422901006111378/28658175*ep^3*z5+565500366\
         1905707432018311288144024442251/7267331071000*ep^3*z4+
         3206482763679719115198535675164982387910894652853/
         18199858533117304168125*ep^3*z3-25896208094299065181261864096/
         65*ep^3*z3^2;
Fill mncnoptab(10,6,4,8)=
      +mncF321*(2498881326137810922147840+19678460060633793190996224*ep
         +164779543321530198442508336/3*ep^2+
         5092261981835477567409457424/63*ep^3)
      -4956930388919144732914819493298445042900170281029/
      403196865964444892340000-2339886242027960382592/45*ep^-3-
         411628432868791482911238326/734825*ep^-2-199529998866540654634\
         427588162921243/109968295437000*ep^-1-
         1479726729331985379221487104/45*z3+175429008279052841726916335\
         16616546791005153169517790372737332706568520493015863290504769\
         634619949989/1412342366374333489763507306482751444993764257814\
         94494003200000000000000000*ep-739863364665992689610743552/15*
         ep*z4-10632928278213357684714187009297528/19840275*ep*z3-
         11655153731549915015834183997210025445787492923646861346733106\
         4891469291336338032535010909941786808970909968581/
         19726967703884340682546839627289458283427853936794462330945745\
         7152000000000000000000*ep^2-15948659848819240718174269952/5*
         ep^2*z5-5316464139106678842357093504648764/6613425*ep^2*z4+
         51237191407179675757066546529094016547429/33960797120250*ep^2*
         z3+13164480688890836025028411531893459150332165983972938357247\
         95183938617181620939361369887736364118438534324895820301142238\
         619832491445524619503/1511805904545329295314563686136539877366\
         36811329449093638597863590368397828598631023352217600000000000\
         0000000000000*ep^3-71029105955020590542173471232/9*ep^3*z6-
         116017997839215605899834593047118256/19840275*ep^3*z5+
         51237191407179675757066546529094016547429/22640531413500*ep^3*
         z4+48330003510080635892372757786291176849448436312333/
         100799216491111223085000*ep^3*z3-51792803557682859501273585152/
         45*ep^3*z3^2;
Fill mncnoptab(10,6,5,7)=
      +mncF321*(4036654449914925335777280+31773281005459475692455168*ep
         +88612580880691934707799312*ep^2+651331838781908894746176288/5
         *ep^3)
      -9912675553537340981478496991265672918036369363853/
      499196119765503200040000-11973472296709386039808/65*ep^-3-
         71981220955536853368033784336/36846225*ep^-2-65456055353160092\
         79041575880356537931/1072190880510750*ep^-1-
         3452552404390644343497296896/65*z3+386287305849008416623017312\
         15144272759341216330435616001416304997075550250028279683866875\
         806650757989/1927044394936408376703560989603287685880704585006\
         98026803200000000000000000*ep-5178828606585966515245945344/65*
         ep*z4-31890661329056785739988073690209884/36846225*ep*z3-
         25707625537251995529234502764052996088963807122800558119576894\
         8470651392615722782447626480456584280403570734273/
         26916095875853852593095979433152963488758704496850753267879326\
         5152000000000000000000*ep^2-334920332644497658659121106432/65*
         ep^2*z5-15945330664528392869994036845104942/12282075*ep^2*z4+
         307832358570930335999149190109416160289979/126140103589500*
         ep^2*z3-169288654296494872599711682870690403251709639846396155\
         78150854813980437008587248695917000296855436081210995625314665\
         119714619194511054880123049/1031377789106726108173783972466327\
         49651233276533793259217002624140367944874320931951791308800000\
         00000000000000000000*ep^3-165733890120053507157811904768/13*
         ep^3*z6-12864423203823673660843466104412884/1364675*ep^3*z5+
         307832358570930335999149190109416160289979/84093402393000*ep^3
         *z4+190873224215557359692171265217826975425940605218917/
         249598059882751600020000*ep^3*z3-
         120851451200381667624922280448/65*ep^3*z3^2;
Fill mncnoptab(10,6,6,6)=
      +mncF321*(3805988481348358173732864+150009489849879133773247872/5
         *ep+419477421856525757372284032/5*ep^2+
         21661553091831332871361983912/175*ep^3)
      -103241764478642282109198321326429199793034462233/
      5515108646399183081250-93962099389677309534832/325*ep^-3-
         1310349424553417296115619069331/429872625*ep^-2-53427139710943\
         10785710283699956803213/568586072998125*ep^-1-
         16275493109063338838117792384/325*z3+7820915455287305737050512\
         42024933775764196629848086291661460642873042633132798471165537\
         25778066010591/41293808462923036643647735491499021840300812535\
         8638628864000000000000000000*ep-24413239663595008257176688576/
         325*ep*z4-351036087829721275552388272784559824/429872625*ep*z3
         -1885887726368682026114829278623310905518213333044014352591300\
         639224614122795062077313062390221070115233673049/
         20973581201964040981633230727132179341889899607935651897048825\
         85600000000000000000*ep^2-1578901360769927419064981051328/325*
         ep^2*z5-175518043914860637776194136392279912/143290875*ep^2*z4
         +76644288080674392077802526509870822902566/33446239588125*ep^2
         *z3+2297030800949091527585780713635835273937344749307727180806\
         31478638658709540965328327013692538486710503915171073791583982\
         57579218185298867874261/22100952623715559460866799409992732068\
         12141640009855554650056231579313104449734256109813760000000000\
         0000000000000000*ep^3-781312933830432040113431629472/65*ep^3*
         z6-1281627949323796747429683188724729916/143290875*ep^3*z5+
         38322144040337196038901263254935411451283/11148746529375*ep^3*
         z4+33005268003103917761700760747363776390835198874827/
         44120869171193464650000*ep^3*z3-569737349182965111699035388992/
         325*ep^3*z3^2;
Fill mncnoptab(10,7,1,10)=
      +mncF321*(11187502884621864120320+804101203882927749098432/9*ep+
         144964066168728779310300160/567*ep^2+
         23156008811206098161559446516/59535*ep^3)
      -607289218607528718601640111633459099900401503805637/
      11032764971113371413759832000-6834792325655632712/110565*ep^-3-
         5207737132467976136192899/733045950*ep^-2-31919020052602822038\
         61019766715871/40884331206844125*ep^-1-
         16277560061262785273333587264/110565*z3+
         24465996492570199910150064297855071800273721468158819406376269\
         115613270399199814266573626745065136965339619/
         44503019548449433821352892447620444877013208056794049456581590\
         112010240000000000000*ep-8138780030631392636666793632/36855*ep
         *z4-2066016222738176720807513571043552/855220275*ep*z3-
         18468776869443609304835168074528181539094681590446173423333198\
         380977326660050842654355489966718278493581721555701500961/
         71483805754053755335780925224374981971685650015740613943773236\
         75621429855911936000000000000000*ep^2-
         175435927317357640659127209632/12285*ep^2*z5-10330081113690883\
         60403756785521776/285073425*ep^2*z4+65534153329739415661396202\
         7589962142411973/101008347687497250*ep^2*z3+
         71765266332713522423906227235105081225966119340029366087532194\
         68225624615505035648428032221582642503087768098164441878328893\
         275104898796188226284617627659/5259625999748137289879601166108\
         91341940559784005735781500052691271944131777104959946445245071\
         14791952661348352000000000000000000000*ep^3-
         781322892897477990329405649712/22113*ep^3*z6-71243978512488771\
         055736689974147182/2565660825*ep^3*z5+655341533297394156613962\
         027589962142411973/67338898458331500*ep^3*z4+16025577574394464\
         747323044073020725069907944108202383/
         5516382485556685706879916000*ep^3*z3-
         569714613217581223534026720352/110565*ep^3*z3^2;
Fill mncnoptab(10,7,2,9)=
      +mncF321*(151031288942395165624320+1199285543150769735503040*ep+
         356733541836968953428068176/105*ep^2+
         11245409594245618004328419672/2205*ep^3)
      -1518236881567777654025139821177580674230700713298741/
      2043104624280253965511080000-1782473085166680247528/4095*ep^-3-
         140315924381513690259074207/27149850*ep^-2-2055458252271727485\
         8467661711478061/1009489659428250*ep^-1-
         8138740934123646998035729856/4095*z3+
         65176701662748782482768847248907616007259956980030375425594506\
         9619908013307843952221647311238846794999500497/
         87407726385843444654733514908345430454290812681694260997775289\
         221120000000000000000*ep-4069370467061823499017864928/1365*ep*
         z4-1030142555970720573045761859182692/31674825*ep*z3-
         98904277324623510568576585116912510440963438200178759525625261\
         010557625321306296510625454485664902065859077196818879527/
         28080058377013259671743348853570419405263723350739859573872764\
         15788440459673600000000000000000*ep^2-
         87717917436471311876641370528/455*ep^2*z5-51507127798536028652\
         2880929591346/10558275*ep^2*z4+6663621843287082121277232253771\
         45114097447/7482099828703500*ep^2*z3-
         58309353345780419995156516669935107783261951905609687395476603\
         93921219799516005086171264854999380730106629068855960455183560\
         7728641513238610302322230407543/
         15892852455424743602329797186722953438590686730726713591040183\
         19478377329897148717786893169083154379990630400000000000000000\
         000000*ep^3-390661257997059079945868302448/819*ep^3*z6-3478902\
         7823118007135677133845879682/95024475*ep^3*z5+6663621843287082\
         12127723225377145114097447/4988066552469000*ep^3*z4+
         716544535675096840895676313943079541461290365744097/
         20431046242802539655110800*ep^3*z3-
         284857736328721572444362784608/4095*ep^3*z3^2;
Fill mncnoptab(10,7,3,8)=
      +mncF321*(768886561888557206814720+6082595518251889488149760*ep+
         256756151033006398413284128/15*ep^2+
         1146066867308696837207239448/45*ep^3)
      -74543518455682739197141944639134218143858391709/
      19705109990743547370000-6729406409543456255584/585*ep^-3-
         1724012699179067648824434106/13574925*ep^-2-777217206134200782\
         616916974847501/1791463459500*ep^-1-
         5918964777653053774481216768/585*z3+37394300192934349318452821\
         42390777142339424834197986803932883986810129486968935345458250\
         8372755445622133/982187481861965435102272354843046915420610836\
         387391077980569600000000000000000*ep-
         2959482388826526887240608384/195*ep*z4-24927448127220431986158\
         6830145632/1508325*ep*z3-2475159304621032381508626733116475371\
         91170435379718135037185721408399728492225885730417525012173029\
         853100611925277/1371875629815603001613831059806847737845204840\
         198171524585538564653056000000000000000000*ep^2-
         63794707776761432528272333184/65*ep^2*z5-124637240636102159930\
         793415072816/502775*ep^2*z4+5324587551665082684787561205367549\
         635818/11618167435875*ep^2*z3-
         24632366844651026892054788483710287089639483425571087472444876\
         46461843390880305637203299552319138606511337853793267983115605\
         9644836866877036936343/199757937779383450448503928976593287076\
         17295154582767640655212911922557141888394314377575215923200000\
         0000000000000000000*ep^3-284116702606599919489984890944/117*
         ep^3*z6-24904705879111370745267982116342616/13574925*ep^3*z5+
         2662293775832541342393780602683774817909/3872722478625*ep^3*z4
         +16212084687030033939698905421667163214573309161/
         98525549953717736850*ep^3*z3-207170577788940466522305655424/
         585*ep^3*z3^2;
Fill mncnoptab(10,7,4,7)=
      +mncF321*(1943574364773852939448320+46039911434867873834671360/3*
         ep+5810844457171412750761504912/135*ep^2+
         25822925637576030981299679488/405*ep^3)
      -20067122298391416455502993961638782750219728303/
      2098769111440141140000-31906314355968248006272/405*ep^-3-
         1133618312584188392649045854/1342575*ep^-2-4224232740422362468\
         68350604206677073/156270735621000*ep^-1-
         10357745525009586140094124544/405*z3+4592731476146234991197803\
         70448612888795785338534583263793748673557582370926754700295466\
         768566033569/4767766159311851584286813064695493599794815662410\
         432512000000000000000000*ep-5178872762504793070047062272/135*
         ep*z4-560343076258535221395779884525112/1342575*ep*z3-
         30463851592126684656577137993589950648549160605588425915342609\
         68483150687917003735387109941191680739367879499/
         66594029382454426118770979254314574533591036766837221310542643\
         20000000000000000000*ep^2-111640215249395480897390428672/45*
         ep^2*z5-280171538129267610697889942262556/447525*ep^2*z4+
         99130181347299084218792166700737060167/85114779750*ep^2*z3-
         20624931020945005647443029896339968873737093182221401469255335\
         87307887262886620689421146851874454299741744020596410580479869\
         663029926284323/5103533819241559689568881555164013702940018182\
         05904566525878931868667293575137315101081600000000000000000000\
         00000*ep^3-497202095859774870968209866752/81*ep^3*z6-617663425\
         5658707058017748046728384/1342575*ep^3*z5+99130181347299084218\
         792166700737060167/56743186500*ep^3*z4+54307008969864538635152\
         4150722328489476083820147/1364199922436091741000*ep^3*z3-
         362553382158275634459979822592/405*ep^3*z3^2;
Fill mncnoptab(10,7,5,6)=
      +mncF321*(2691102966609950223851520+21248627738584812313292160*ep
         +893921024020929875809779248/15*ep^2+
         3972466021221198140948877176/45*ep^3)
      -1043312532682927748025704199389353005420963662641/
      78820439962974189480000-116649322387492733998544/585*ep^-3-
         4092321738221491504345068103/1939275*ep^-2-1851598442994779368\
         04907650513796482/28215549487125*ep^-1-
         20714328610124672030526460288/585*z3+1406282840301762946661365\
         39856898264247871554462641959792336797193111875270550521110126\
         3619227780043067/105190543663446051239607915673081718793187332\
         98609531387904000000000000000000*ep-
         10357164305062336015263230144/195*ep*z4-1120631653805803348696\
         665434579524/1939275*ep*z3-18629488088775330162551254884563501\
         87950517091858830498565896880446331778408068741679933910582769\
         413298899446931/2938509113664646162795140010296097968847942776\
         648668702628630233088000000000000000000*ep^2-
         223279056719373653747526490944/65*ep^2*z5-56031582690290167434\
         8332717289762/646425*ep^2*z4+356906856033661987915964552973212\
         0513707/2212984273500*ep^2*z3-
         12406181737920509617218795177091744862590594856412562927640001\
         75612127340054191316220096598977345827942067173580540681189852\
         55763085652616757773/62922712175754886935644299496685190123357\
         44433910412285003689506378750250315713999747940352000000000000\
         00000000000000*ep^3-994398590932119105848605979104/117*ep^3*z6
         -12351449865524424295551636577689368/1939275*ep^3*z5+356906856\
         0336619879159645529732120513707/1475322849000*ep^3*z4+
         4340223723073410274203135322204967706801450385687/
         7882043996297418948000*ep^3*z3-725119551416459740058477358784/
         585*ep^3*z3^2;
Fill mncnoptab(10,7,6,5)=
      +mncF321*(2114438045193532318740480+16726273994936636438098560*ep
         +706003135554290896443352352/15*ep^2+
         4412001482372210926363002520/63*ep^3)
      -260799931067682172257615638738744082790470507679/
      25079230897309969380000-122223206019982572072656/585*ep^-3-
         29978379481251508216101535849/13574925*ep^-2-12295745893907102\
         4005893607328576691/17955349673625*ep^-1-
         16274871394045385084762288512/585*z3+4363932139982464709463122\
         22008301750258045606533069695708052317044478951356426532110372\
         1097290171102117/416554552907246362908847346065403606421021838\
         62493744296099840000000000000000*ep-
         8137435697022692542381144256/195*ep*z4-61688339089324888266841\
         72567811512/13574925*ep*z3-14419679827342296127451809915534803\
         23056944160123106201094601638793855275331271133752330223019799\
         5757270764821643/290912402252799970116718861019313698915946334\
         88821820156023439307571200000000000000000*ep^2-
         175432749764030150567643099456/65*ep^2*z5-30844169544662444133\
         42086283905756/4524975*ep^2*z4+8876333858234394150149845850217\
         60432653/704131359750*ep^2*z3+
         56672780697628459729587653862700240226605037982380022661705836\
         63772255119273677246331051208507580999216220570167423642024030\
         241911519256540409930471/1789691825601343522644450117294367857\
         12161878210383683498674439523078879744654758580630743049830400\
         0000000000000000000000*ep^3-781309938241112985012012803296/117
         *ep^3*z6-68467069845605969593529329957024484/13574925*ep^3*z5+
         887633385823439415014984585021760432653/469420906500*ep^3*z4+
         283098964818376358478808306620587413967054866543/
         626980772432749234500*ep^3*z3-569744187813539321329562343616/
         585*ep^3*z3^2;
Fill mncnoptab(10,7,7,4)=
      +mncF321*(939750242308236586106880+22386887766356475567408896/3*
         ep+570821812113866506017433312/27*ep^2+
         89994344280596706804864695696/2835*ep^3)
      -645991316923849183009079765579863268641684957/
      139760419861170108000-478446773426296648120928/5265*ep^-3-
         6972803598174583053742881958/7186725*ep^-2-1027000575081665893\
         172425230615709/333535907250*ep^-1-
         65099715250417055459349826816/5265*z3+131218023826439531111667\
         44577911479255413721960396648075281419448806449926691720786897\
         5253717321617763/283721367305245200742868161406776450193884843\
         6454682274037760000000000000000*ep-
         32549857625208527729674913408/1755*ep*z4-484725884985339422088\
         170343724184/2395575*ep*z3-86729521165294026283581222722169435\
         37106291372656338453460212999413722163365987813424549621374650\
         15981512010467/39628934053012999025187708621826014713008169458\
         45696863359230122393600000000000000000*ep^2-
         701731270545420682306005377408/585*ep^2*z5-2423629424926697110\
         44085171862092/798525*ep^2*z4+10536001713232085580370450985122\
         812974819/19011546713250*ep^2*z3-
         14664331054141284419606937399570738866719796500457422555309227\
         68887826281613727036884888488767062298797434979782807301795745\
         442467610708250273413050659/4094814896975873979810501868369513\
         65709426377345357867844967117628804476855770087632483140098011\
         955200000000000000000000000*ep^3-
         3125240859829184542647349284928/1053*ep^3*z6-23386307872658409\
         31214879720177392/1026675*ep^3*z5+1053600171323208558037045098\
         5122812974819/12674364475500*ep^3*z4+4134463488648996771865784\
         9786301452684070721091/189674855525873718000*ep^3*z3-
         2278974225948597431824553577088/5265*ep^3*z3^2;
Fill mncnoptab(10,8,1,9)=
      +mncF321*(8090961907628312444160+453915172737445489934688/7*ep+
         9149827689899169945676488/49*ep^2+4421955436018880825579165104/
         15435*ep^3)
      -1214589302334871153444081366315247144847107283723163/
      30510362389251792551632128000+50304584525331488/9555*ep^-3-
         6579939873479575686332117/506797200*ep^-2-10249293048809888959\
         9243907161676477/678377051135784000*ep^-1-
         1017347521326416196229550864/9555*z3+
         49815677468930887845015363419880667777522481244680003577867359\
         20207420137036941245018547110962011940266856827521/
         12564685852512223482228633301044838936943395741368186629908202\
         274957557760000000000000000*ep-508673760663208098114775432/
         3185*ep*z4-3104386879398192885922026264108443/1773790200*ep*z3
         -6815246791507112484373789299101231768808645811137941888638607\
         1683330890416412319568276063410153232744907766827825481232161/
         36695020287080927739034208281845824078798633674746848491136928\
         201523339927014604800000000000000000*ep^2-
         32894236425574660060745149296/3185*ep^2*z5-3104386879398192885\
         922026264108443/1182526800*ep^2*z4+648425321428712349033740976\
         677508336366383/139665863469132000*ep^2*z3-
         89566816841121822823006229040828231139593547328925802847525496\
         53507920470083243228571894643941307021818206918130699741495981\
         707075349518044913070104723425229315459/
         40848492608302593734265611446364473272944926673500078520818072\
         22829272460951712980920390994600105004625452299284643840000000\
         000000000000000*ep^3-48832680877698781993002948512/1911*ep^3*
         z6-4015797977338235180864273832544269/197087800*ep^3*z5+
         648425321428712349033740976677508336366383/93110575646088000*
         ep^3*z4+34106199389537688140846194832659131909709710369990257/
         15255181194625896275816064000*ep^3*z3-
         35607163077700519176058119152/9555*ep^3*z3^2;
Fill mncnoptab(10,8,2,8)=
      +mncF321*(97091542891539749329920+5418988249940444717968320/7*ep+
         541238684962362027409329264/245*ep^2+
         17229832717500532161312190168/5145*ep^3)
      -759130222093264475156070859497396127039615834676893/
      1589081374440197528730840000-2086236001766059013464/3185*ep^-3-
         163297393292836473567051661/21116550*ep^-2-2129490851804791183\
         02010898061285577/7066427615997750*ep^-1-
         4069344160622913208828814528/3185*z3+
         74606021068143164838010509930466136347446815563337664797103936\
         749885538780075497842359687460873576031202943903/
         15616619489983232311008599628429309758274817150138016052797836\
         634357760000000000000000*ep-6104016240934369813243221792/3185*
         ep*z4-1548291616445822306149454198680798/73907925*ep*z3-
         11280244611180121480744514515378955024615770831677972961399278\
         888203689460079636284901844288399042918538039924852183611597/
         50168973048743455893210831635336087607732506977192956921476269\
         0255201913064652800000000000000000*ep^2-
         394730348719087163962900692576/3185*ep^2*z5-774145808222911153\
         074727099340399/24635975*ep^2*z4+82304650183949322952422433180\
         626831947344/1454852744470125*ep^2*z3-
         57509598554000822593226858021122759941684950221816500798125915\
         96659873849316197518188621508735912965019519860803563797389187\
         9721908072607889888048225439153487589/
         19527114855913881947925267709554695210788248928820240770168167\
         17644019560387209822063670301723717154199776421478400000000000\
         000000000000*ep^3-195330502279232125377035939024/637*ep^3*z6-
         5897892808222547076768908064109712/24635975*ep^3*z5+4115232509\
         1974661476211216590313415973672/484950914823375*ep^3*z4+
         776898737344574966669043891299322405354339526350011/
         31781627488803950574616800*ep^3*z3-
         142429157666792485877358195104/3185*ep^3*z3^2;
Fill mncnoptab(10,8,3,7)=
      +mncF321*(432498691062313428833280+3437227633609347724681920*ep+
         48761593362367584654471824/5*ep^2+660184770901811316079694584/
         45*ep^3)
      -55906326638436297660317496342854074404787411243/
      26273479987658063160000-840755409889463932424/65*ep^-3-
         1288253226862533891515897891/9049950*ep^-2-3815399833128487378\
         71422752836238249/790035385639500*ep^-1-
         369926056083164578514589248/65*z3+7621904717739430976778125644\
         87206421256527249019691639151762673949144083301706584706422810\
         8272827808322179/357195529117963756194336599251083592506026226\
         620883857339056128000000000000000000*ep-
         554889084124746867771883872/65*ep*z4-1405275112375420916298415\
         32911738/1508325*ep*z3-502469887635163459427522420375844731117\
         39625172323381545906883786698658724791649633497352469831386829\
         356407202827659/4989147698635519487501728466481229936408479643\
         33294215675801984124846080000000000000000000*ep^2-
         35884424813386540156602454816/65*ep^2*z5-
         70263755618771045814920766455869/502775*ep^2*z4+59117674554136\
         49806221772741752640684039/23236334871750*ep^2*z3-
         24416344804832562591056967424331814523769706710161795250802461\
         21130414971678650666456109394047999392986614342126876097516971\
         185981240800497084719803784302781/
         10754313232018017970815212045234357988728304072431798843683513\
         65076552812684325756604197541803844922507264000000000000000000\
         0000000*ep^3-17757249378651687789043932784/13*ep^3*z6-47606310\
         80141013477399144248459248/4524975*ep^3*z5+5911767455413649806\
         221772741752640684039/15490889914500*ep^3*z4+18781445389132969\
         25133034937581940194796150441527/18391435991360644212000*ep^3*
         z3-12948262770210040021039652064/65*ep^3*z3^2;
Fill mncnoptab(10,8,4,6)=
      +mncF321*(937080497301679095805440+7436553769486884325963680*ep+
         105227035277572898586776352/5*ep^2+
         9938758180882144204093293436/315*ep^3)
      -260849949866807333561454632856258863417873586709/
      56589033819571212960000-948699453375867627412/15*ep^-3-
         943643002901436210842876567/1392300*ep^-2-18879397813186379691\
         7039442525837/87034662000*ep^-1-184951404275849115492398624/15
         *z3+2929209240555621683908037213242606475101602806756549190119\
         766636283833908796551842986960947203109467/6321547095159017502\
         3802833938150071390136618381066895360000000000000000000*ep-
         92475702137924557746199312/5*ep*z4-
         70211582774630185959623159443864/348075*ep*z3-
         38643587699684549955508816415373750759912859733995348522298873\
         263287729257970861353764306833369017359318891687/
         17659309577311575497566947177260204139711194571205941722527825\
         9200000000000000000000*ep^2-5980696258197751673547617136/5*
         ep^2*z5-35105791387315092979811579721932/116025*ep^2*z4+
         659642220614816382964342447091432602351/1191606916500*ep^2*z3-
         17954589537428194466085433213012182506315175733716549181223598\
         59568354654119058249340753430844698596255050843235126949098333\
         1390932854106933151645184671/175100696027622047261659738391137\
         08976734078964256504082986232444398511559117959989200526982575\
         554560000000000000000000000000*ep^3-
         8878568685158702952575226392/3*ep^3*z6-26287400482200736542371\
         5261613791/116025*ep^3*z5+659642220614816382964342447091432602\
         351/794404611000*ep^3*z4+1214923934599420794852818180952067023\
         633350147071/5658903381957121296000*ep^3*z3-
         6474259252026221421905754032/15*ep^3*z3^2;
Fill mncnoptab(10,8,5,5)=
      +mncF321*(1081246727655783572083200+8583538976715121465384800*ep+
         24306076312890609507100512*ep^2+765871028754801609835729076/21
         *ep^3)
      -65202465528486248221427008323566213408494850321/
      12260957327573762808000-1388734867105834737412/13*ep^-3-
         1370315342024146773443587097/1206660*ep^-2-7518880522043195150\
         16254964138776071/210676102837200*ep^-1-
         184941724179472526569982624/13*z3+4448993759839545638147436463\
         41007356160299924408381253625832769269933494270560041561310808\
         73282091056797/83310910581449272581769469213080721284204367724\
         9874885921996800000000000000000*ep-277412586269208789854973936/
         13*ep*z4-70220748516331718490526090192679/301665*ep*z3-
         29325929996668580530961197496569656427686818310911677868264828\
         3457921749107796449891273043924151451587654876481357/
         11636496090111998804668754440772547956637853395528728062409375\
         72302848000000000000000000*ep^2-17941985811085521814281819408/
         13*ep^2*z5-70220748516331718490526090192679/201110*ep^2*z4+
         494267302027488735753913699926385579622/774544495725*ep^2*z3-
         34719214438997013650023213101848736808683461192700498869572971\
         60074984675124923896468235578104718960393828389323896734214858\
         99272597974973737034335088244477/
         57690776521612691155393557327204719239825304645115189132296399\
         75920866400405712513561876026003133111992320000000000000000000\
         00000*ep^3-44392610217265123219279591960/13*ep^3*z6-7897137508\
         16472118537858253785978/301665*ep^3*z5+24713365101374436787695\
         6849963192789811/258181498575*ep^3*z4+611671085345674333723352\
         0068803242222805366781/24521914655147525616*ep^3*z3-
         6474365727624560925299106032/13*ep^3*z3^2;
Fill mncnoptab(10,8,6,4)=
      +mncF321*(679640800240778245309440+5406987079134925830976320*ep+
         537936480274118516038916864/35*ep^2+
         51110683859326502402009717248/2205*ep^3)
      -1564922662255961302583723037174109769454789738149/
      468145643416452761760000-30650018303389557142664/455*ep^-3-
         1086962237542226868120088043/1508325*ep^-2-4714674488530986860\
         7277947640973137/20520399627000*ep^-1-
         4068715762194619977521102528/455*z3+21453453540338116735811201\
         70039413060301973283037025339594106660823011812983951477108676\
         97169229825630007/64149401147715939887962491294072155388837363\
         14824036621599375360000000000000000*ep-
         6103073643291929966281653792/455*ep*z4-46394080206871685724691\
         39941844549/31674825*ep*z3-14139056186418929895601825945648017\
         54157852580336732502129341489683057339390237704070036451473047\
         886627851946297207/8960101989386239079594940919394861926611147\
         114557120608055219306731929600000000000000000*ep^2-
         394723664827506870971268124576/455*ep^2*z5-4639408020687168572\
         469139941844549/21116550*ep^2*z4+29471871765175772542449117081\
         27478492252/7393379277375*ep^2*z3-
         85391226718064212435628838860157467688315774663431527550519001\
         76035182066624180510183757250325422988177176879080348564186453\
         83130222641016245232701549926861967/
         19518981946769394700133545398971790298164013923018982860642899\
         30173114096180467960413498010885848050845257564160000000000000\
         000000000*ep^3-195327474532656125496873511024/91*ep^3*z6-
         52590864716116029838282061242479793/31674825*ep^3*z5+147359358\
         8258788627122455854063739246126/2464459759125*ep^3*z4+
         7668581250934343019108014516134031124683027852123/
         46814564341645276176000*ep^3*z3-142436070011246105240957035104/
         455*ep^3*z3^2;
Fill mncnoptab(10,8,7,3)=
      +mncF321*(226546933413592748436480+1809643006396680184585152*ep+
         36266626517467953919519680/7*ep^2+3478769553572573049655801856/
         441*ep^3)
      -1147869456974398094014848985085560346545328491361/
      1029920415516196075872000-20109668394475598312968/1365*ep^-3-
         730996193415304119688584023/4524975*ep^-2-95470608948559895817\
         986313899564849/175563419031000*ep^-1-
         4068947671631674956667733696/1365*z3+6024845981985886233171171\
         56778206678408666256279521083113551677641030601656708481156621\
         0775752877722173371/538854969640813895058884926870206105266233\
         850445219076214347530240000000000000000*ep-
         2034473835815837478333866848/455*ep*z4-15495728049122162447552\
         66187598399/31674825*ep*z3-39494803202264296417493452072585856\
         84681570891740349001042863345408318939693680605632024698438486\
         6939616684960457187/752648567108444082685975037229168401835336\
         357622798131076638421765482086400000000000000000*ep^2-
         131575377140519683744449752544/455*ep^2*z5-1549572804912216244\
         755266187598399/21116550*ep^2*z4+26365993219000757873254421999\
         3169238147/2008078322250*ep^2*z3+
         21496437715237705082889793217276751152829383037176541662188417\
         37159326767077981841504107905300279033963280218206956385074393\
         22952519357772258418370588103648879869/
         62690377311388761801605386987285867663515009423343321423006017\
         75732472332438444155210411258492194328008886059008000000000000\
         00000000000*ep^3-195328591874963688138340761968/273*ep^3*z6-
         5942196547431040920401080749665201/10558275*ep^3*z5+2636599321\
         90007578732544219993169238147/1338718881500*ep^3*z4+
         30379051281090809104410644220244290537329849169979/
         514960207758098037936000*ep^3*z3-
         142433518833526078868734072928/1365*ep^3*z3^2;
Fill mncnoptab(10,8,8,2)=
      +mncF321*(36409328584327405998720+2048309087944351953447936/7*ep+
         41491712204630220990943200/49*ep^2+
         6727986718727294085620558308/5145*ep^3)
      -1214675337179890898074885331215615333057281378229907/
      6780080530944842789251584000-2565505481930405845303/3185*ep^-3-
         4790665806908196181152028249/506797200*ep^-2-98798082432418874\
         476471918022411993171/2713508204543136000*ep^-1-
         1525964824471953393191039816/3185*z3+
         41306090010928361868526821551143463827712730933102753662567737\
         054163343705853442316303054533867344698983281398019/
         23204202204982315783586457194834561448758825394175335735686656\
         082722160640000000000000000*ep-2288947236707930089786559724/
         3185*ep*z4-13988350829259669285810436676903581/1773790200*ep*
         z3-61876709809757318515000445505571652379959156931439511250239\
         33167885286672822621147492922001357688493663731668640312130786\
         757/7454436574996559703465506345368019743864748584822257982782\
         57243772431969088123699200000000000000000*ep^2-
         148023463465967973811927820172/3185*ep^2*z5-139883508292596692\
         85810436676903581/1182526800*ep^2*z4+1157411873071636742322289\
         5072069670048152989/558663453876528000*ep^2*z3+
         15999626841572549756158725677420335779329911242727961591903356\
         46610774306577296269039709768353997031043709960510045158491426\
         55395850089361869113545939490209295400139/
         15087630417154621914030566880843102484710493802906613823553435\
         28763758383775627916390334467170057916727570598935396352000000\
         000000000000000*ep^3-73248749320748010209368390178/637*ep^3*z6
         -18275182432280578480924159946510223/197087800*ep^3*z5+
         11574118730716367423222895072069670048152989/
         372442302584352000*ep^3*z4+35715023635265301879848481800987148\
         180649585605045463/3390040265472421394625792000*ep^3*z3-
         53411365767129778473176369588/3185*ep^3*z3^2;
Fill mncnoptab(10,9,1,8)=
      +mncF321*(3807511485942735267840+214978330758349153041552/7*ep+
         4382214342040338958207548/49*ep^2+2149414221460630824698802808/
         15435*ep^3)
      -114316670393210616873962227830464756328307957590299/
      6102072477850358510326425600-619855873954804498/9555*ep^-3-
         8075139083652774537353543/506797200*ep^-2-12105878448490927560\
         1416534057724973/678377051135784000*ep^-1-
         478751755714827829958755856/9555*z3+
         25255981002582467045822443073866193764027980809014287861792704\
         490269828535373428995537679404948487810030254392687/
         13605198899673391989350691996287614661409020701200239585197475\
         2758524805120000000000000000*ep-239375877857413914979377928/
         3185*ep*z4-1465459915014957872387132641507187/1773790200*ep*z3
         -7556896867537622586786602377067311772867873536875103151886765\
         72838588016343030155167297208082324481546927555290032039360189/
         87414418640130597548330553041409599047713120157061008139980251\
         1500663813323851038720000000000000000*ep^2-
         15479640609297716584454285784/3185*ep^2*z5-1465459915014957872\
         387132641507187/1182526800*ep^2*z4+267743779187404914671654723\
         695554228576841/124964193630276000*ep^2*z3-
         49862308295409782326089961096940286775512742699573010205946586\
         07881685176754759861197434795537498704269525178475218483429072\
         92007859040575790866570886940851285299777/
         22115629201213826138942241197133265607930339206824651886661659\
         41734910793312138356076430436920213100160498783909576704000000\
         00000000000000000*ep^3-22980085036089160961702050748/1911*ep^3
         *z6-1939066719071137961395705890228921/197087800*ep^3*z5+
         267743779187404914671654723695554228576841/83309462420184000*
         ep^3*z4+187360051774144625527590867721830515370533479260907/
         160580854680272592377011200*ep^3*z3-
         16756312284810332330759602808/9555*ep^3*z3^2;
Fill mncnoptab(10,9,2,7)=
      +mncF321*(39978870602398720312320+320957682772561902429120*ep+
         32445522435343918238090192/35*ep^2+
         3148510118789249225761309048/2205*ep^3)
      -535873000889578324335654247547762775712530298571413/
      2724139499040338620681440000-263325355459476596792/455*ep^-3-
         30837373836932501972264857/4524975*ep^-2-960281785190576627060\
         566615612744471/36341627739417000*ep^-1-
         239370094046039307546867584/455*z3+370387481195612575708338094\
         50846126937084721640751927180788370014013159246850007183025715\
         188748998850340830302393/1893116730010212243416144526385104080\
         9010696708534656194616152981241856000000000000000000*ep-
         359055141069058961320301376/455*ep*z4-
         91379925483218260370814353137049/10558275*ep*z3-
         50588982587736921729254702581400369743004086233669468080932018\
         0676986671950639008690087256643436478807441804829759659269769/
         55288256012900951392518059353227525118725619934049381097137112\
         803634496541818880000000000000000000*ep^2-
         23219399386035633467926637728/455*ep^2*z5-
         91379925483218260370814353137049/7038850*ep^2*z4+2903004431668\
         000253642632692445081432867709/127195697087959500*ep^2*z3-
         19363107423762735259802244401096348621153563415082227809347430\
         89956393138433802159582109609492096535894878546663093920884487\
         194222240565414362712196468379672228161911/
         30773138962727958449363044337383950289327930250683652903518078\
         96662677356185721274688910626512355890761361944215552000000000\
         0000000000000000*ep^3-11490014645994797080189885072/91*ep^3*z6
         -3211081161404825852721882863305879/31674825*ep^3*z5+290300443\
         1668000253642632692445081432867709/84797131391973000*ep^3*z4+
         3097293561652913588297138110924636561395458477324443/
         272413949904033862068144000*ep^3*z3-
         8378219744107769332664265312/455*ep^3*z3^2;
Fill mncnoptab(10,9,3,6)=
      +mncF321*(152646596845522386647040+1221979230958737221974080*ep+
         17558783870776107246325632/5*ep^2+564202880438644447920037532/
         105*ep^3)
      -368313496131260323777004393653537391188112506573/
      490438293102950512320000-529405566066953324232/65*ep^-3-
         540981521374241564417861987/6033300*ep^-2-16037827612273498081\
         5143640390250963/526690257093000*ep^-1-
         130557018214867045696323264/65*z3+3113960379891411186404321230\
         89762852692729860588755478718348986163459701735783896669412430\
         5138680227095171/415783155587047758533090221350467673816538464\
         849706077325885440000000000000000000*ep-
         195835527322300568544484896/65*ep*z4-
         33181400783586964901132194304111/1005550*ep*z3-
         67953635233726153576543504703630958217426003214792313693481970\
         91177803990824062955585179129415218717649786527426281/
         19358245038797430110235983467828405396999391914166618597650165\
         1688652800000000000000000000*ep^2-
         12665036662554249419543088288/65*ep^2*z5-
         99544202350760894703396582912333/2011100*ep^2*z4+2314804910660\
         2791947001689693200343863211/263345128546500*ep^2*z3-
         18193174807215287588939402615408591960813612007150770828001292\
         83993874536292610162830199163220491961127767455478618764422376\
         0407248849525449324202714469149783/
         57583941750276371356957643332154340130121924451327938782051406\
         42632124055219776008907131811140164346970112000000000000000000\
         0000000*ep^3-6267239822169691186923382512/13*ep^3*z6-115416074\
         4894263282742011268850231/3016650*ep^3*z5+23148049106602791947\
         001689693200343863211/175563419031000*ep^3*z4+2896947254198672\
         94256533432675462569589609604861/7006261330042150176000*ep^3*
         z3-4570031411035177621545651552/65*ep^3*z3^2;
Fill mncnoptab(10,9,4,5)=
      +mncF321*(275611910971082087001600+2203919433987522847596000*ep+
         6321401673492502963991856*ep^2+86827723266416687415901256/9*
         ep^3)
      -1095946227767952395639975734575980619813644113/
      808414768851017328000-79633265468867676236/3*ep^-3-
         79616407892618322467321911/278460*ep^-2-1500597621480555327978\
         5989604831561/16205854064400*ep^-1-10878970202132804651927872/
         3*z3+216734417808472610546631165667889354815449492920313575778\
         724548032850359275993550437424550667388218409/
         16021328957971013958032590233284754093116224562497593960038400\
         000000000000000*ep-5439485101066402325963936*ep*z4-
         4145257257809934974132399190347/69615*ep*z3-
         28397829862072641386203556174019816449206962456675151853023273\
         65218057275271809770681776635371521031900449437583/
         44755754192738456941033670926048261371684051521264338701574522\
         011648000000000000000000*ep^2-351803803792771555791039408*ep^2
         *z5-4145257257809934974132399190347/46410*ep^2*z4+496272624318\
         97154611551977082536003807/311651039700*ep^2*z3-
         89399948487554928419417449628808803184448060864009947204809267\
         09482109861207677612171296715134744972462198847328248408200045\
         678580441428087509533214953241/2218876020062026582899752204892\
         48920153174248635058419739601537535417938477142788983149077923\
         19742738432000000000000000000000000*ep^3-
         2611331102940454656802975880/3*ep^3*z6-
         5319100434742890091389381951856/7735*ep^3*z5+49627262431897154\
         611551977082536003807/207767359800*ep^3*z4+4142711925988381458\
         9627168249202198452200394421/565890338195712129600*ep^3*z3-
         380844545079527717436586096/3*ep^3*z3^2;
Fill mncnoptab(10,9,5,4)=
      +mncF321*(254410994742537311078400+2035658410750933406776800*ep+
         5845218477229535881568344*ep^2+562834183039878878014507310/63*
         ep^3)
      -736453150897992654585487222431219981260296718051/
      588525951723540614784000-350618986912013283244/13*ep^-3-
         700774157944798095468594083/2413320*ep^-2-15625423959102980431\
         964567233675837/16632323908200*ep^-1-
         43515174801927773684368288/13*z3+14242873518896822184436241913\
         26438077991803899903965900984131439517355189397129594879873052\
         95044351891/11404337981816167091193331785612827624682197893020\
         509549510000640000000000000*ep-65272762202891660526552432/13*
         ep*z4-199030799462899022194071548226731/3619980*ep*z3-
         99949902400510245990385946619646211245250814579124206084891806\
         26148084248228861121300786528252606932747785650479/
         17066860932164264913514173179799737003068851646775467824867084\
         3937751040000000000000000*ep^2-4221638136593031259474480496/13
         *ep^2*z5-199030799462899022194071548226731/2413320*ep^2*z4+
         46365266094772403943600806343894724102687/316014154255800*ep^2
         *z3-1109991509405258004542573289951013998245212279453091913634\
         10664074551545829502411782205198545455753678014661918189933209\
         7063015451641431811613091420219603477/
         29614598614427848126435359427965089209776989717825797087912151\
         87639378085541599090295096360014941664156057600000000000000000\
         000000*ep^3-10445307404477758714475280520/13*ep^3*z6-230370311\
         6728706570165016177247817/3619980*ep^3*z5+46365266094772403943\
         600806343894724102687/210676102837200*ep^3*z4+4021274705812618\
         143736381988208261101314433607413/58852595172354061478400*ep^3
         *z3-1523385947320769668507088784/13*ep^3*z3^2;
Fill mncnoptab(10,9,6,3)=
      +mncF321*(119936611807196160936960+961953947109673888455360*ep+
         97081183657121046452542176/35*ep^2+
         3133326479182657557423684976/735*ep^3)
      -253207835662154283744441544067037827816265570073/
      429133506465081698280000-3891010038870414519576/455*ep^-3-
         94539572694194611723004463/1005550*ep^-2-882456666233307519952\
         7154562525163/27720539847000*ep^-1-718042058462629256887546752/
         455*z3+3967025002241489981597201362716422137729292202943291989\
         2122493026431726117692446950167898089330727092259713/
         67356871205101736882360615858775763158279231305652384526793441\
         28000000000000000000*ep-1077063087693943885331320128/455*ep*z4
         -273994985488020220397440234213882/10558275*ep*z3-
         25917187318767815817080815708832920790591355373787802659844548\
         4727678683847988631343783860372088753620453800816257453/
         94081070888555510335746879653646050229417044702849766384579802\
         72068526080000000000000000000*ep^2-
         69657472509660396075176657184/455*ep^2*z5-13699749274401011019\
         8720117106941/3519425*ep^2*z4+63296041392885476467614965891342\
         864736389/921707949912750*ep^2*z3-
         30246155432446844094662549446973694890513327640437167113085940\
         47523834100357650133040058283361767710528976998368609368178222\
         9411435847477001451244381928303016720117/
         13321705178670111882841144734798246878496939502460455802388778\
         77343150370643169382982212392429591294701888287539200000000000\
         00000000000000*ep^3-34469715225598883409144555216/91*ep^3*z6-
         3198512377389678894630367530240124/10558275*ep^3*z5+6329604139\
         2885476467614965891342864736389/614471966608500*ep^3*z4+
         1440385400819794394015117367765427156331232570427/
         42913350646508169828000*ep^3*z3-25135409700178263472256403936/
         455*ep^3*z3^2;
Fill mncnoptab(10,9,7,2)=
      +mncF321*(26652580401599146874880+214671353317601246713152*ep+
         4365078750507150160840080/7*ep^2+2134011454826212403088668284/
         2205*ep^3)
      -28580817221482077169161947469079594703792183704397/
      217931159923227089654515200-860884028638727810728/1365*ep^-3-
         19151686450545331423918331/2585700*ep^-2-346107733653917092338\
         340857834478651/12113875913139000*ep^-1-
         478732833703024196412708416/1365*z3+
         26525942973316627443563013272311186654460141001164757582448010\
         163476927686759351169257784686802740262625593164093/
         20399298641742695194361720610843570504403362983890405042361895\
         457338163200000000000000000*ep-239366416851512098206354208/455
         *ep*z4-366098901441701206636418555143973/63349650*ep*z3-
         30534476703991953409173069677044678701537379508227445509740067\
         5236319850975527422812639312510952259660300601133876180572447/
         50410391039706236371702494305109178318611993811139529892020777\
         262717292922273792000000000000000000*ep^2-
         15479573517560702676656934624/455*ep^2*z5-36609890144170120663\
         6418555143973/42233100*ep^2*z4+1596813556999299343141726063013\
         45289011087/10599641423996625*ep^2*z3-
         14026491288646471339841183495484423145457620333479328364832389\
         69518685609779995504131483360930304203255509270632053009220901\
         096900601957270345495012948004608454982291/
         33159627290449718492374872265589236230132953412981568842974583\
         04975293151155226189868866960813314102697957360297574400000000\
         0000000000000000*ep^3-22979993859489541916779047728/273*ep^3*
         z6-481996511510755002624315661925959/7038850*ep^3*z5+159681355\
         699929934314172606301345289011087/7066427615997750*ep^3*z4+
         174098610935703566659596056755872775423886565921563/
         21793115992322708965451520*ep^3*z3-
         16756520396543437704047873888/1365*ep^3*z3^2;
Fill mncnoptab(10,9,8,1)=
      +mncF321*(2141725210842788588160+121504980151282968348768/7*ep+
         2497478534608023604422664/49*ep^2+247689656261062623497581844/
         3087*ep^3)
      -71450436856247167540837593776077659059629942630327/
      6780080530944842789251584000-465221734636557217/9555*ep^-3-
         27405862892116424986805161/1520391600*ep^-2-165076698387058178\
         7421315341391824389/8140524613629408000*ep^-1-
         269297863333977378663485624/9555*z3+
         35497985050610461411418229807595670792002288883878151529052864\
         781581741682443265399270821955940309944719293497471567/
         34130066557499703329686594754002377810917266608347036676375687\
         2896724808499200000000000000000*ep-134648931666988689331742812/
         3185*ep*z4-2478761438295227737440347177633389/5321370600*ep*z3
         -3700373287880520855274349688781283496301862511082426769968831\
         34440452053068902704678133219866983380263953558128215224814063\
         18759/76750878976164578706880853331909131282831451429329968190\
         729365818809595537313216069632000000000000000000*ep^2-
         8707297841360819977054841436/3185*ep^2*z5-24787614382952277374\
         40347177633389/3547580400*ep^2*z4+3382813020250910077369443080\
         6048663051388787/28491836147702928000*ep^2*z3+
         93048924940842993155771009636452678276931521757687664417246147\
         86599789062733628028986961405475019795518012127165532275705986\
         3097311260248067461770124762369316508471/
         22191748967860569603836959515022940454654177742103785132472309\
         96021665188479123575307840524854702330089580983805548691456000\
         0000000000000000000*ep^3-12926297830374241276250519342/1911*
         ep^3*z6-1111557627082444988041574094101029/197087800*ep^3*z5+
         33828130202509100773694430806048663051388787/
         18994557431801952000*ep^3*z4+795525951364116961160582804142675\
         091475745465136801/1130013421824140464875264000*ep^3*z3-
         9425425625552818740226524332/9555*ep^3*z3^2;
Fill mncnoptab(10,10,4,4)=
      +mncF321*(47636626587594434790400+3464709056609993307315200/9*ep+
         91100625966239773440754384/81*ep^2+
         2991131155878921674433024380/1701*ep^3)
      -429631716374498811609829654033221196971496718491/
      1833484695754107299904000-1336655912431803089104/243*ep^-3-
         4057263017799047797657958017/67665780*ep^-2-187032852547906935\
         79615070290660621/93762441372600*ep^-1-
         152300701003787035568019008/243*z3+731492028558461610849917313\
         21561375547880633403858132225736962819989330461082157655303982\
         6024651051/314704675960144917032783022439521955400497268191917\
         024215040000000000000000*ep-76150350501893517784009504/81*ep*
         z4-349993941922378370758072670263573/33832890*ep*z3-
         24971522916992508859205804799835655494647052694710855453763786\
         1496602622063721711551202669404569646530955471/
         23135023313915555749594472753126450897017131895390400644610890\
         137600000000000000000*ep^2-4925235947766076030323718912/81*
         ep^2*z5-349993941922378370758072670263573/22555260*ep^2*z4+
         2915566166816444572115926609050418577683/109389514934700*ep^2*
         z3-28279977096364389754337323026611504035351241902048212472274\
         76313250523883646713466366712157525262159981650371098187422483\
         3890910648575291443875057833501/217925323398949039391939948694\
         79804657901042276657523367282293865085690386147952489416427296\
         0283187609600000000000000000000000*ep^3-
         36558517855736102638507844320/243*ep^3*z6-13985913614276621511\
         58142318347537/11277630*ep^3*z5+291556616681644457211592660905\
         0418577683/72926343289800*ep^3*z4+2756962614394336312660435015\
         297095579005566008829/183348469575410729990400*ep^3*z3-
         5331877350734286358609247744/243*ep^3*z3^2;
Fill mncnoptab(10,10,5,3)=
      +mncF321*(32979203022180762547200+266739170373471143532800*ep+
         7023825710537488415374768/9*ep^2+231058857625326415856894284/
         189*ep^3)
      -429695143508439328959190282602995103394484440831/
      2648366782755932766528000-985864547359065533104/351*ep^-3-
         3035450884195266512842306597/97739460*ep^-2-218545229764845970\
         385911361152981/2052039962700*ep^-1-
         152308423035941199125455808/351*z3+120499509244346408060312247\
         66420531815891683688519785962636025740134574406086870505639465\
         71850082019659/75028539354053730863114024905347550162382880875\
         1349312467763200000000000000000*ep-76154211517970599562727904/
         117*ep*z4-350148655070025081182800353433633/48869730*ep*z3-
         44508334062295756315083906531609101180338982534251134247890268\
         4727361202417772437697201467055447933861372968019283/
         59734013262574927197299606129299079510740980763714137387034795\
         378212864000000000000000000*ep^2-4925263320277506787505850112/
         117*ep^2*z5-350148655070025081182800353433633/32579820*ep^2*z4
         +2180874720841608811115237802568986925261/118505307845925*ep^2
         *z3-5223834005445912109193341243488235965078559951453423015234\
         79869860060928498259156163705489383573022447749797447144654394\
         2252349429641264817668683638020358401/
         88843795843283544379306078283895267629330969153477391263736455\
         62918134256624797270885289080044824992468172800000000000000000\
         0000000*ep^3-36558703844491447908480236320/351*ep^3*z6-1403270\
         039986885509722098731762877/16289910*ep^3*z5+21808747208416088\
         11115237802568986925261/79003538563950*ep^3*z4+558209573560479\
         995449929543051093962112344574341/52967335655118655330560*ep^3
         *z3-5331792371403614437411718144/351*ep^3*z3^2;
Fill mncnoptab(10,10,6,2)=
      +mncF321*(10364892378399668229120+84045244240309053954560*ep+
         11114325936876906376800464/45*ep^2+367750622776103381841726356/
         945*ep^3)
      -357269740149586687331009083306817520628149337965287/
      7004930140389442167466560000-528003663955205867792/1755*ep^-3-
         1729099996361234687535584261/488697300*ep^-2-49761428488685194\
         2081299389590093571/36341627739417000*ep^-1-
         239364265481726005278501184/1755*z3+
         18937703638899116705549301750612210223293305809169231080973089\
         72424165357867171763697718857327689552622269368969/
         37669159423672590557770222718887275079153937328206713856634181\
         95247104000000000000000000*ep-119682132740863002639250592/585*
         ep*z4-550951729518058756299755986220969/244348650*ep*z3-
         28170461578054036797306875249246351951406965783184329931227610\
         6901428789336287838479137850815522017463842516577790841443687/
         12101358076293116401729718093129902181598617832503665556465214\
         9963057137838981120000000000000000000*ep^2-
         7739779137273514628560414976/585*ep^2*z5-550951729518058756299\
         755986220969/162899100*ep^2*z4+3127562069531990137008129148594\
         27379540011/54512441609125500*ep^2*z3-
         56653506010766910801835293527661721279318624788399765492745770\
         60178722609209960738589632020937590355594849138794368017851020\
         0373324715768461620153903574705489247063/
         61232266303387264261487690263161941902234146927380737920265565\
         29073694739349139271064669103774585701004750807367680000000000\
         000000000000000*ep^3-11489986573169408940201371872/351*ep^3*z6
         -2227395444025044518501375255872661/81449550*ep^3*z5+312756206\
         953199013700812914859427379540011/36341627739417000*ep^3*z4+
         49094033812087487023395922066648052222831056398881/
         14295775796713147280544000*ep^3*z3-
         8378283903447296742596442112/1755*ep^3*z3^2;
Fill mncnoptab(10,10,7,1)=
      +mncF321*(1151654708711074247680+84409119993490269557888/9*ep+
         2249226433844187588615616/81*ep^2+125260276613827671030250192/
         2835*ep^3)
      -10207349903670161759973380584632125990648702089987/
      1801267750385856557348544000-137972865589168544/15795*ep^-3-
         50404273990952430028300271/4398275700*ep^-2-256402459619351423\
         196103411174663717/1962447897928518000*ep^-1-
         239375890620347617938343168/15795*z3+
         24753404087504191756432591846323400615911585771168102837975436\
         748543069463736239853813310322657221281217497185511/
         44440190830077738710529420252607262774631857562951870672364176\
         1584277094400000000000000000*ep-119687945310173808969171584/
         5265*ep*z4-552140249592299413381793145421487/2199137850*ep*z3-
         14678968846439982162734461354659619757557656174958810529314444\
         578087147409800068193975386697443562532115236762322804851586539
       /571063087620272162997625396814800083949638775515847977609593495\
         67566663346215190528000000000000000000*ep^2-
         7739820339016564533680730752/5265*ep^2*z5-55214024959229941338\
         1793145421487/1466091900*ep^2*z4+61688281527235747728920739034\
         1549333735233/981223948964259000*ep^2*z3-
         91030172330501267147257450401695631809200728840121426359911807\
         85908472695314899094956077680611589164850527880488404159317163\
         3912680718222196317186997016872654467773/
         72238766171421125012490102587965300959160734837577425561433300\
         65174691368747147055038543375178067480760354764992020480000000\
         0000000000000000*ep^3-11490042563214672991551924544/3159*ep^3*
         z6-2265292307561465889400307613388763/733045950*ep^3*z5+
         616882815272357477289207390341549333735233/654149299309506000*
         ep^3*z4+2549931993985196257597831583945033431181396867825231/
         6304437126350497950719904000*ep^3*z3-
         8378155930177224629042180224/15795*ep^3*z3^2;
Fill mncnoptab(11,3,3,11)=
      +mncF321*(86135682075204846180096+3417146387009220642744968/5*ep+
         434891450115311304955331534/225*ep^2+
         150352052152185372352359835391/51975*ep^3)
      -22555386901686199873262219109365148974185297095593/
      53221986307306725788880000-8674620510056168471/675*ep^-3-
         8039900226483762251407676903/52378326000*ep^-2-623308052611564\
         841235958159379760103/1016107049837880000*ep^-1-
         765112406715030715789348312/675*z3+160610326946802211942969643\
         18954413295570053623275820857976761922276997277306774832126233\
         7937309/377448154278854917089372700955059909983756239940825907\
         20000000000000000*ep-382556203357515357894674156/225*ep*z4-
         12139334189771347140844431503352751/654729075*ep*z3-
         10602318261536095714774008735300422598743838583153605219157579\
         63455453862170906147012207784680882472146979/
         52720273261109754010693691909665704839092904107079466870846259\
         200000000000000000*ep^2-8246213312439286992472096556/75*ep^2*
         z5-12139334189771347140844431503352751/436486050*ep^2*z4+
         2282465460779110658884296020349649329343237/44828252198730000*
         ep^2*z3+533483149532712133475591099470713032737980809022884517\
         12507842621374330022819389710463268060784394363068980439542574\
         74448117551401/12103410654349561755726122881624314384785159498\
         0113059247119706614574390973772595200000000000000000000000*
         ep^3-36725403702619276108229760346/135*ep^3*z6-109001067828314\
         761151939985095051521/523783260*ep^3*z5+2282465460779110658884\
         296020349649329343237/29885501465820000*ep^3*z4+15038928863870\
         32102618693828257654554710683486401759/
         76031409010438179698400000*ep^3*z3-
         26778942941032011865846876276/675*ep^3*z3^2;
Fill mncnoptab(11,4,2,11)=
      +mncF321*(48929144847453640433664+1943586698819680379764992/5*ep+
         82640734575992988194008672/75*ep^2+289491818611147080205398064/
         175*ep^3)
      -367132314414954868978572706266653382005496399184487/
      1525031665980618138542199000-12809173140230227744/2925*ep^-3-
         259041368167484635473135994/4728598875*ep^-2-49932847559681334\
         5759146804039561657/2109833388205042500*ep^-1-
         1883353805090886429793895168/2925*z3+4843665899922620562010911\
         78156568398232848688159477171533463987103553962296779532180995\
         4312811843473/200596542755080957265569049462082944234056779645\
         0060585475768320000000000000*ep-941676902545443214896947584/
         975*ep*z4-29900001704430308755371549959175232/2837159325*ep*z3
         -4684873461951151973618697903560839944137654421381251494005009\
         17610696457690725330086871056980625192712026796233/
         41098461828344740872296771719286975700513378410781412746826788\
         057907200000000000000000*ep^2-20298371453222248054127661184/
         325*ep^2*z5-14950000852215154377685774979587616/945719775*ep^2
         *z4+8046602053807992093827383008400302385728604/
         279242654321255625*ep^2*z3+11107324279271338870913577360742348\
         21162101107813550581865667795051821872865728037860729459227125\
         10549446046170811948078434459653415428905488793/
         49645415056525502003024616221015895326060621639929610596792545\
         36402155636659775503044570827980800000000000000000000000*ep^3-
         90400994636954673028677527744/585*ep^3*z6-33718840472916138303\
         9875710010889736/2837159325*ep^3*z5+40233010269039960469136915\
         04200151192864302/93080884773751875*ep^3*z4+439738256748033739\
         653259339947586805038426853479877969/
         38125791649515453463554975000*ep^3*z3-
         65917395929717412371601851264/2925*ep^3*z3^2;
Fill mncnoptab(11,4,3,10)=
      +mncF321*(265032867923707219015680+2097274849770734506320448*ep+
         265677711316007498084521984/45*ep^2+
         1660084754865323261323077212/189*ep^3)
      -3470062531232746251511513741664068003492606935643/
      2661099315365336289444000-26725002432352654456/135*ep^-3-
         2976872059718999805317754571/1309458150*ep^-2-1071581182596256\
         63682095025022868373/12701338122973500*ep^-1-
         470837932672559703522084032/135*z3+950401146213660512925597490\
         17301667059919856051625682163690782412452638562042283431661272\
         8430441/724700456215401440811595585833715027168811980686385741\
         82400000000000000*ep-235418966336279851761042016/45*ep*z4-
         497382085314421845949903183027720/8729721*ep*z3-
         18877085788889628850172875255090382101462972320241935942879938\
         746057489089323195158349833211794134056033309/
         30366877398399218310159566539967445987317512765677772917607445\
         2992000000000000000*ep^2-5074592250859709535519416416/15*ep^2*
         z5-248691042657210922974951591513860/2909907*ep^2*z4+176906490\
         158396047958206430150191821715219/1120706304968250*ep^2*z3+
         17605699447136274775687576795517747337061760156696559723193274\
         71988843797383458973800295013195629742006012590969504536539196\
         689913104511/1923315224441447287969760321615529131025329166131\
         3428292214941564637378997542364932734976000000000000000000000*
         ep^3-22600246162532413058076331856/27*ep^3*z6-6377960492827593\
         448909412673196426/10072755*ep^3*z5+17690649015839604795820643\
         0150191821715219/747137536645500*ep^3*z4+762958419111698402020\
         471297104628148959098258621941/13305496576826681447220000*ep^3
         *z3-16479354695838735028952728736/135*ep^3*z3^2;
Fill mncnoptab(11,4,4,9)=
      +mncF321*(733937172711804606504960+5796821221904492652571776*ep+
         81320792950192804929693312/5*ep^2+7589376062183244642506230724/
         315*ep^3)
      -27760407963176706747711122752627149152434103754599/
      7687620244388749280616000-156063312572897690288/65*ep^-3-
         25230598856097943055893837487/945719775*ep^-2-1018169655343734\
         3328798035233699039927/110078263732437000*ep^-1-
         627781261723564506179569536/65*z3+8002111326431614662949619699\
         14995977862993606767661985034351839990993775159230200763454213\
         1476035919/219825805052005103712850661036226891574539634141537\
         008353280000000000000000*ep-941671892585346759269354304/65*ep*
         z4-5963083812693681271134343775217556/37828791*ep*z3-
         53026281425572516892134409711832784013852197892776201530442888\
         227017213103371761847587192287459541546056779863/
         30704287147270320735828006168189306498287707351963081505580861\
         3580800000000000000000*ep^2-60895078836371963553936331712/65*
         ep^2*z5-2981541906346840635567171887608778/12609597*ep^2*z4+
         1422841968258458058217105519223136135994757/3237595992130500*
         ep^2*z3+454252411583451848014860432370401067093425603612242578\
         04231312484807279521103725419437829634311915547944396913120771\
         0507329146417595939/154870872974631572469199001060806005844653\
         95638390943566018828763158987532661564442568294400000000000000\
         00000*ep^3-30133648787324199523878381088/13*ep^3*z6-1096643939\
         21682870816204916258939064/63047985*ep^3*z5+142284196825845805\
         8217105519223136135994757/2158397328087000*ep^3*z4+
         2917773417903534985281602116577734472869017831991979/
         19219050610971873201540000*ep^3*z3-
         21972502053732472258091428928/65*ep^3*z3^2;
Fill mncnoptab(11,5,1,11)=
      +mncF321*(7551564447119758281216+301144922122268278392888/5*ep+
         90260392525470496445146096/525*ep^2+
         5745289928185941749621045567/22050*ep^3)
      -11538440363406378940903087366942009090472499695819753/
      310551902890598602757684160000+581213493852661373/20475*ep^-3-
         669037847125689199678069/2947698000*ep^-2-
         23190864049852348186052611475269/4566738935508750*ep^-1-
         2034695055843982570168821944/20475*z3+254043920350153174019758\
         82313400715339897211073345238609049791819698859684119333375612\
         4154285819137/683851850301412354314439941348010037161557203335\
         247926866739200000000000000*ep-1017347527921991285084410972/
         6825*ep*z4-980735238133877909243213230426798/601821675*ep*z3-
         19945103503972331679075329717439619285023524966626526630619617\
         41758550137074292272044307454981981539743080373/
         11412465433325481762885715122049937054026855492580623704903967\
         59293952000000000000000*ep^2-21929490964897864473691359772/
         2275*ep^2*z5-490367619066938954621606615213399/200607225*ep^2*
         z4+543506182860787241362275037382946120251929/
         123617301517710000*ep^2*z3+14957687186288129739956519653777391\
         78487660305952650374814715406797069652502578865579899663485072\
         925299815000204532738043152961411937814139249007/
         45764046243015326391879055316463743509659518493535113768316037\
         2719253255961182941826108619961139200000000000000000000000*
         ep^3-97665361814118398846526708002/4095*ep^3*z6-13463894060736\
         4075578296146199745971/7221860100*ep^3*z5+54350618286078724136\
         2275037382946120251929/82411534345140000*ep^3*z4+6482596001081\
         0724397816875614756300042872798907662573/
         33755641618543326386704800000*ep^3*z3-
         71214325989263399743157329412/20475*ep^3*z3^2;
Fill mncnoptab(11,5,2,10)=
      +mncF321*(96110820236069650851840+762604858109322186915264*ep+
         32357512611261620283479264/15*ep^2+
         1017556100423031507766067996/315*ep^3)
      -13801991330222329523028575719838353371369087828877/
      29187208918289342364444000-20685074191382545208/585*ep^-3-
         11637720522122761724856907/27149850*ep^-2-38039294704785074578\
         9084572690886/216319212734625*ep^-1-
         739888648687465201003389376/585*z3+819964166085269900407698765\
         59308876917090638756208992074912181163744849689766512505604934\
         965946934287/1727625727077252263531216693931814830723933987373\
         2579205054464000000000000000*ep-369944324343732600501694688/
         195*ep*z4-18723051724553871601141010581576/904995*ep*z3-
         49817728834534655856281483386134355487494224079171566385625749\
         59701524842703858402782893832400103811072943118603/
         22200248548195252945066106890050824921938556789777886954381612\
         7492128768000000000000000*ep^2-7974359805386998739816801888/65
         *ep^2*z5-9361525862276935800570505290788/301665*ep^2*z4+
         2759760664920606562686922580032611251389/48585063822750*ep^2*
         z3+11989947967346448618187972756649647535622883669869008014627\
         06177149674784030381949374256846749305128256845068779463679917\
         66834946001712131422449503/37174486794326295899864832626296702\
         42015419348397929241487825796857934140730839896679774635992023\
         040000000000000000000000*ep^3-35514674799897761728673913808/
         117*ep^3*z6-630530463761038160923620912948322/2714985*ep^3*z5+
         2759760664920606562686922580032611251389/32390042548500*ep^3*
         z4+3215845989816822116229851331256420687422338514384413/
         145936044591446711822220000*ep^3*z3-
         25896123651851104034766310048/585*ep^3*z3^2;
Fill mncnoptab(11,5,3,9)=
      +mncF321*(468540248650839547902720+3705860795176261759309272*ep+
         52119077074402750870998364/5*ep^2+232414980907316019600439871/
         15*ep^3)
      -283270381765095933426149271695398189635761115223/
      122879044865354633856000-18621996536322000481/15*ep^-3-
         1480242038154488348641166413/105814800*ep^-2-29275538800963693\
         706876583364772533/586497575664000*ep^-1-
         92485728457403614366896632/15*z3+42478677719456678042066196165\
         52319416275033617827998287519760332531500782841746093953306195\
         42611/18300516571095995980090797622063510787091211633494589440\
         000000000000000*ep-46242864228701807183448316/5*ep*z4-
         11839586580528288374425744145863/117572*ep*z3-
         11246375277047745128041992446003167932063823844594630572008933\
         802955297515092193525561374187674721422186113/
         10224537844578861383892109946116985180914987463191169332527759\
         3600000000000000000*ep^2-2990383676583787096479047148/5*ep^2*
         z5-35518759741584865123277232437589/235144*ep^2*z4+10122730569\
         8217758052737283618340028728183/362248502616000*ep^2*z3+
         68337749286773471455043034799362357754763768765828587723240493\
         17322345105269970579328668294327622087605628176531428206782792\
         6153854074581/783572869216885932135828279176697053380689660275\
         732263756905026707448773973948200963276800000000000000000000000
         *ep^3-4439332650646978837535122406/3*ep^3*z6-29550389585271463\
         79796802259288311/2645370*ep^3*z5+1012273056982177580527372836\
         18340028728183/241499001744000*ep^3*z4+43928039603358083757494\
         40533701299018503276342629/43885373166198083520000*ep^3*z3-
         3237019334023496271134221436/15*ep^3*z3^2;
Fill mncnoptab(11,5,4,8)=
      +mncF321*(1153329842832835810222080+9110752680168737297175168*ep+
         127853338276256952571692656/5*ep^2+
         3979726458427176273230413904/105*ep^3)
      -3965701692784279674543057935014729053335869355351/
      698874567671704480056000-2284001839924386015632/195*ep^-3-
         1569247961526657514975463213/12282075*ep^-2-101406940637128219\
         388003423606084503/238264640113500*ep^-1-
         2959506165573065189326943104/195*z3+16065385504023896536665217\
         14675353253770396607338992211413860633269693749382687078353313\
         861473621303/2810273075948928882692693109838127875242694186468\
         5128908800000000000000000*ep-1479753082786532594663471552/65*
         ep*z4-1419881320386172832802585898113556/5731635*ep*z3-
         10647585534730407876772055155860302491151702774514270303061861\
         965137260409078983805500061011776204113008374167/
         39252639818953535031598303340014738421106444057907348515657351\
         168000000000000000000*ep^2-95692145962920589615065061056/65*
         ep^2*z5-709940660193086416401292949056778/1910545*ep^2*z4+
         203168045483178783707273001484550002583171/294326908375500*
         ep^2*z3+112101691656973405054902180743395945494541884186372035\
         06012250350823364605693900302631498800844465337422390154630574\
         87582785747675781935759/21036260267328329712169253517669849870\
         58953775456156219461009233632213327856196164517888000000000000\
         000000000000*ep^3-142058465861594351827934120032/39*ep^3*z6-
         6718681966635203524742465775381136/2456415*ep^3*z5+20316804548\
         3178783707273001484550002583171/196217938917000*ep^3*z4+
         417921724289807403023275318056762524308358814678797/
         1747186419179261200140000*ep^3*z3-
         103585027339726438593322028992/195*ep^3*z3^2;
Fill mncnoptab(11,5,5,7)=
      +mncF321*(1585828533895149239055360+12536315638945452896761296*ep
         +176157334148256015011618942/5*ep^2+
         1831171965710637422270761814/35*ep^3)
      -3965447872820265317527369614261156367677248130749/
      508272412852148712768000-8346731971637035708754/195*ep^-3-
         315955656234975527468804028131/687796200*ep^-2-536947489275672\
         9922298063732231984003/3638950867188000*ep^-1-
         4069206449582089524818491888/195*z3+27007375306021093775794731\
         39070666236352876448899466375293291732048425718903225410427553\
         453794072529/3441150705243586386970644624291585153358401044655\
         3219072000000000000000000*ep-2034603224791044762409245944/65*
         ep*z4-11717893129144685410306625509494451/34389810*ep*z3-
         17906046781558235071266610675022484389236488824172641282262559\
         955372013816279141971730439314251504623952958709/
         48064456921167593916242820416344577658497686601519202264070225\
         920000000000000000000*ep^2-131576294634041878722317980632/65*
         ep^2*z5-11717893129144685410306625509494451/22926540*ep^2*z4+
         67585241717863189828040713399958153560927/71351977788000*ep^2*
         z3-29545978970962772897460759521393056840852431096460348550409\
         72175896254012922818658197204641934340266479525058670351088372\
         88448755472342902273/36834921039525932434777999016654553446869\
         02733349759257750093719298855174082890426849689600000000000000\
         00000000000*ep^3-195329838726271773321067725004/39*ep^3*z6-
         64864385246342664963285239358389548/17194905*ep^3*z5+675852417\
         17863189828040713399958153560927/47567985192000*ep^3*z4+
         424652069301662433152322027488791495453519242634007/
         1270681032130371781920000*ep^3*z3-
         142430672329278535183812632824/195*ep^3*z3^2;
Fill mncnoptab(11,6,1,10)=
      +mncF321*(10068752596159677708288+80336814926395587883136*ep+
         361468402625700387250838176/1575*ep^2+
         460775484442441716563349104/1323*ep^3)
      -1254179917570247796740546416512410883802010342656453/
      25316731213907494790028600000-499533357289107328/61425*ep^-3-
         8130359136377149287172304/3868853625*ep^-2-4530164519234193988\
         58226258380632/18763340408938125*ep^-1-
         8138780127814471322758816256/61425*z3+303994082565921055809441\
         13117437337774140695067414300249056121586470621977144013949042\
         39422969554208491/61399985260685649528243743835350605539467814\
         29134098487717134336000000000000000*ep-
         4069390063907235661379408128/20475*ep*z4-588553400695576112092\
         80675733811864/27081975375*ep*z3-91872507720125895059055077132\
         86454955699726921922014787581436004620368942222795087698362911\
         9680016733547181259213/394499489177204919966817234707067412525\
         88786133100956218839287119180988416000000000000000*ep^2-
         87717963760244221634199785728/6825*ep^2*z5-2942767003477880560\
         4640337866905932/9027325125*ep^2*z4+31213981084629208258171926\
         01748779647289697/533099612795124375*ep^2*z3-
         17240876577415493333352132317739946511378140743036829212468748\
         33489917033535952719070590111043019465273511617910664560008189\
         878774700666046599196201/3525477474584015883391703013913698633\
         22774772198906690129551534933091688087211339349355183913743207\
         6288000000000000000000000*ep^3-390661446857191761692519627648/
         12285*ep^3*z6-674283705411420312758014289416043848/27081975375
         *ep^3*z5+3121398108462920825817192601748779647289697/
         355399741863416250*ep^3*z4+74961239038860701703418968053476757\
         119001260585609471/29114240895993619008532890000*ep^3*z3-
         284857305276082792403668567808/61425*ep^3*z3^2;
Fill mncnoptab(11,6,2,9)=
      +mncF321*(115332984283283581022208+916143246548851258232064*ep+
         64919684204823518299329232/25*ep^2+
         2047559983829695291685020252/525*ep^3)
      -1311195060436372871374555083423729021086900407128857/
      2310654039364572937185150000-134162624974621583296/975*ep^-3-
         236410579630483682996542322/143290875*ep^-2-362901021002942443\
         047626309095520881/54800867226105000*ep^-1-
         1479775260100034259644513792/975*z3+26264256156663299227229653\
         29098815465527953166584740545003948872408240120600565631049210\
         30226913747612488841/46131855592528484678887132868293421628653\
         484470894193304381402644480000000000000000*ep-
         739887630050017129822256896/325*ep*z4-152541202558127733701773\
         4027412784/61410375*ep*z3-398376296480813770234808131504142575\
         33729570217213229178092524696588308896263814851371544847891568\
         377696261602111839531/1482003081009033149342010078382883246388\
         918732400159255287729219443899131494400000000000000000*ep^2-
         47846151604212275439635820288/325*ep^2*z5-76270601279063866850\
         8867013706392/20470125*ep^2*z4+5749249655134410501272928411460\
         42801128809/8461898615795625*ep^2*z3-
         72778726905539382903584519728480653958080496708681130562654135\
         17485113371556471857188331319327140582202345023103212723975373\
         930235358710466741657838349/2612237418708866469810946283156303\
         98398926474864015673751482301031948936537992885895281585976849\
         832345600000000000000000000000*ep^3-
         71029339776268396029631473536/195*ep^3*z6-12035894993101317681\
         8572837369247416/429872625*ep^3*z5+574924965513441050127292841\
         146042801128809/5641265743863750*ep^3*z4+624349441067582652832\
         4526012146466717526773536898743/231065403936457293718515000*
         ep^3*z3-51792269680445304216029094656/975*ep^3*z3^2;
Fill mncnoptab(11,6,3,8)=
      +mncF321*(499776265227562184429568+3959822533414950172658688*ep+
         838008137290146888300240016/75*ep^2+
         8757837157827576016976788928/525*ep^3)
      -11916369504323853429712486360527164463033038096/
      4846116177457270340625-847085620046644465696/225*ep^-3-
         4158724340663605708576695776/99201375*ep^-2-381986356780672482\
         5905244366405747/26182927485000*ep^-1-
         1479759570457030579449742592/225*z3+10664351035049725837193339\
         50627261315069014106046968974072969834478667860457078656772416\
         307538358289/4315490563921574552055161214252851637480946343323\
         4428723200000000000000000*ep-739879785228515289724871296/75*ep
         *z4-10664582185748926848031875142078208/99201375*ep*z3-
         70496806563793520189898761102717387842653862273860949820878956\
         83098066041068930051665133511873692656242550801/
         60276845761868818752226454416717789199362887029094190455667556\
         352000000000000000000*ep^2-15948698661255387304916794496/25*
         ep^2*z5-5332291092874463424015937571039104/33067125*ep^2*z4+
         25180904306804653559517083277320346960313/84901992800625*ep^2*
         z3+30790806563878758954806667455506603188827792179265551767166\
         25701317531810990633392018002158262063543957854635257514398410\
         290563851850432183/3553389946580902189841923193910670651929497\
         70218790604706106089635481276947560884883947520000000000000000\
         00000000*ep^3-71029264190420727582400703936/45*ep^3*z6-
         119075212061782097683172924476514656/99201375*ep^3*z5+
         25180904306804653559517083277320346960313/56601328533750*ep^3*
         z4+22350816951773925477593731203900918445137213096547/
         201598432982222446170000*ep^3*z3-51792442309216616032825053056/
         225*ep^3*z3^2;
Fill mncnoptab(11,6,4,7)=
      +mncF321*(1076441186643980089540608+8522926869628331968625664*ep+
         1801498097081347786273679296/75*ep^2+
         2685386042088389750342241176/75*ep^3)
      -19827607860389696995711077788212584730795924461139/
      3743970898241274000300000-77782071762754595154688/2925*ep^-3-
         52931050337662745550415077964/184231125*ep^-2-1004423183259082\
         2501274973078746170749/10721908805107500*ep^-1-
         41432078685496275511946494976/2925*z3+387805067187294639630471\
         43367066967497949528883973333099002566303551262141228242163755\
         2485703397414887/728663661835329417441033999193743156223641421\
         2057644138496000000000000000000*ep-
         20716039342748137755973247488/975*ep*z4-1421439129596307361689\
         0994716508984/61410375*ep*z3-102678200773658530417674803487935\
         38265878758170022550924514327079228894593993149752612306539816\
         389745636914580213/4071059501222895204705766889264385727674754\
         0551486764317667481354240000000000000000000*ep^2-
         446562156947921588029446617088/325*ep^2*z5-7107195647981536808\
         445497358254492/20470125*ep^2*z4+20184901755372962742294029341\
         8968426989189/315350258973750*ep^2*z3-
         24847668841910153122158748470102326335608972563015435737819444\
         77217763326564680997001975775906561781500661129723373427212774\
         4664704993385903723/311991781204784647722569651671064067694980\
         66151472460913143293802461303324482081915416870912000000000000\
         0000000000000*ep^3-1988813666922899008376536529408/585*ep^3*z6
         -474899785495309234003563235945692664/184231125*ep^3*z5+
         201849017553729627422940293418968426989189/210233505982500*
         ep^3*z4+88003458050580818287327923997587352841896620570151/
         374397089824127400030000*ep^3*z3-
         1450201465910077350893673248768/2925*ep^3*z3^2;
Fill mncnoptab(11,6,5,6)=
      +mncF321*(1268662827116119391244288+10056879235927581458075136*ep
         +710098590728840950133266352/25*ep^2+
         891745435458632443496230544/21*ep^3)
      -583089290018232819725006317951308914209403632981/
      93432428833115572200000-67718401300829225514656/975*ep^-3-
         2080250564547981647873750402/2809625*ep^-2-3133286552815811511\
         77551591502336773/133784958352500*ep^-1-
         16276070456205221531892512512/975*z3+1087337534142716736158421\
         68661450562765532955862653909530964431815467417346034064272206\
         666342273265233/1728910319727919527294593769713280845216746822\
         435822632960000000000000000000*ep-8138035228102610765946256256/
         325*ep*z4-6901930437786298749575041806153484/25286625*ep*z3-
         12191516586801678496340863697412943770677864397572844307452976\
         572340111836979955091185477190467820692541136342333/
         41052700852667850803755632496783721623610965262003459816135275\
         315200000000000000000000*ep^2-526302500565255945622830634368/
         325*ep^2*z5-3450965218893149374787520903076742/8428875*ep^2*z4
         +100583486264271889236666888271467900360317/133784958352500*
         ep^2*z3+102222826629042322453857515570565495463335356857559034\
         90971858434278986492331418456189013807683354794311750270211930\
         25102453902123325801055090984423/90388476040471895083053036226\
         98827561220296879312307247407799975913074734578523160637916315\
         64800000000000000000000000000*ep^3-
         781315715619781307668299695296/195*ep^3*z6-7720701449276682213\
         3890680788089188/25286625*ep^3*z5+1005834862642718892366668882\
         71467900360317/89189972235000*ep^3*z4+265551482319815609057134\
         3554842017364089210742833/9343242883311557220000*ep^3*z3-
         569730998478133056440322975616/975*ep^3*z3^2;
Fill mncnoptab(11,6,6,5)=
      +mncF321*(845775218077412927496192+33629295629221996872774144/5*
         ep+57310376920962218417276704/3*ep^2+
         45323301600892786790075236832/1575*ep^3)
      -247779622434964561500246442271898821405195850689/
      59563173381111177277500-220101406503309826743424/2925*ep^-3-
         1032273643654176510102634601692/1289617875*ep^-2-1719106650825\
         3599642058234226538995369/6823032875977500*ep^-1-
         32550278424229494751449110528/2925*z3+117989176252298774863992\
         91962785760089381038919229577368880507349234051658813095960897\
         00308357601852437/28339811704952633414045929468642367754555196\
         703324194524364800000000000000000*ep-
         16275139212114747375724555264/975*ep*z4-7833931550215543193334\
         7770839050976/429872625*ep*z3-99461094736703293988989980192298\
         63490845704845590331506579219785880182802221012810207186313614\
         92181199937894611501/50667243392362661461995201627530469227860\
         65332636467010507415679401984000000000000000000*ep^2-
         350866132533995178277949387264/325*ep^2*z5-3916965775107771596\
         6673885419525488/143290875*ep^2*z4+498361028704070295490790566\
         89445012024204/100338718764375*ep^2*z3+
         88585364748421067113085163206764256899709319442006917183341782\
         24059646979681410048238136676917909318451460019458769865246540\
         68802223030316110535787/65622033605382595830296504300793488094\
         45935534380735061618062782512892257304007814623127245160448000\
         000000000000000000000*ep^3-1562622457190863554875047687424/585
         *ep^3*z6-2659964544607439869167249580766186416/1289617875*ep^3
         *z5+24918051435203514774539528344722506012102/33446239588125*
         ep^3*z4+2191014324060303035569821886677282309471244945889/
         10829667887474759505000*ep^3*z3-
         1139482483261417260809484168704/2925*ep^3*z3^2;
Fill mncnoptab(11,7,1,9)=
      +mncF321*(8495510003009728066368+67987280881404037483704*ep+
         34170959311077955246113354/175*ep^2+
         3290713622015454928697469872/11025*ep^3)
      -2024298787135752477735739228611924816239047609373713/
      48429146649606019923225600000+350501302742565238/6825*ep^-3-
         22600836451108685150612473/4343976000*ep^-2-126058829307324780\
         325744347579089213/1938220146102240000*ep^-1-
         763010650726734261628480924/6825*z3+19837222485084324863681276\
         82850627656969577941162192197699497860200625280125814380869589\
         0248439128199387302281/475935070170917556145023988675940868823\
         61347505182525113288644980899840000000000000000*ep-
         381505325363367130814240462/2275*ep*z4-27919478219150648856227\
         048512955599/15203916000*ep*z3-2989244950827776890556930403489\
         85674542090208600740750961722639605997806279709677506211187899\
         0936455102387803645839779391/152895917862837198912642534507690\
         93366166097364477853537973720083968058302922752000000000000000\
         00*ep^2-24670677350221547267345833836/2275*ep^2*z5-27919478219\
         150648856227048512955599/10135944000*ep^2*z4+19539258366170940\
         43875762112104832420608851/399045324197520000*ep^2*z3-
         12833292449726257003756823082082021044324311463841937186472126\
         80851118338631837535527328275853093310187968883262486976758362\
         7747882442981663340161656513966534403/
         59511207179928021174629387305309547309068949116404543299560128\
         53772250088799115648194042824300852279465985284505600000000000\
         000000000000*ep^3-36624510699968953770204510292/1365*ep^3*z6-
         107779676807366727619351260410292731/5067972000*ep^3*z5+
         1953925836617094043875762112104832420608851/266030216131680000
         *ep^3*z4+3698198319542322096236138714473199384283651361684669/
         1614304888320200664107520000*ep^3*z3-
         26705372178402716962490093932/6825*ep^3*z3^2;
Fill mncnoptab(11,7,2,8)=
      +mncF321*(86499738212462685766656+689580323058082418069184*ep+
         49179055020613100695270224/25*ep^2+521533768384640211187922216/
         175*ep^3)
      -138021901598805232187983731346130785770665371016071/
      324302321314326026271600000-94311281518493989224/325*ep^-3-
         22283528800568578098453763/6464250*ep^-2-490254722548918815767\
         2987641007961/360532021224375*ep^-1-
         369942476275130081344093248/325*z3+302121247109723063809307070\
         66188258401989270870539182265573892975689661780197927954043800\
         017341860608879158713/7098463404537832868640272558376958981034\
         007795517280023999016651980800000000000000000*ep-
         554913714412695122016139872/325*ep*z4-422230583839384047615363\
         561913684/22624875*ep*z3-4568492374315426474007058778430913562\
         38942903973986591955156913089955372307057458721233831864375734\
         4989848995540816412431/228040786585197526787321961978800398216\
         965940805422531461255768297819051393024000000000000000000*ep^2
         -35884599470260862494642086816/325*ep^2*z5-2111152919196920238\
         07681780956842/7541625*ep^2*z4+7485904256027326060650869832894\
         259837939/148454361680625*ep^2*z3+
         35450985164048282532088775680590015484129477967096436988184961\
         57771880218168610821161431389947270185336872262313361437853456\
         45220114047063003839030828974201/
         40400370041614354177029146583263738177655995632102124322771066\
         28137583399650783758976435432043110758885621760000000000000000\
         00000000*ep^3-17757328496992866206648996784/65*ep^3*z6-2296388\
         74143169871382745067575178/1077375*ep^3*z5+7485904256027326060\
         650869832894259837939/98969574453750*ep^3*z4+14099156151357020\
         1500248833305973048811078140561269/6486046426286520525432000*
         ep^3*z3-12948082160729465242371668064/325*ep^3*z3^2;
Fill mncnoptab(11,7,3,7)=
      +mncF321*(327978174055587683531904+2609368012806139659562488*ep+
         185429506399246843251757316/25*ep^2+
         167756890300045984151471761/15*ep^3)
      -260902431899508300086011830744094092937486098779/
      161682953770203465600000-444123221734850166971/75*ep^-3-
         782171428600646655617846201/11934000*ep^-2-2030767168748356505\
         677423580666723/9019955880000*ep^-1-
         323691713199242939464382392/75*z3+4005733844644844081328354847\
         84532932465437394046657747235679173837961483189250709078870464\
         31019152757/24780464613023348609330710903754827984933554405378\
         22298112000000000000000000*ep-161845856599621469732191196/25*
         ep*z4-105452064099089699931301665846161/1491750*ep*z3-
         13194228376616991789205135685731814133928222605103568714025625\
         9567168438569389369800934983995708554618872526041/
         17306123385765343987615608233715000056916970679781822888077269\
         40160000000000000000000*ep^2-10466313311206484679799193188/25*
         ep^2*z5-105452064099089699931301665846161/994500*ep^2*z4+
         1964470436682970085834903590701142892963/10213773570000*ep^2*
         z3-54789436727715118553738980767450578039323866895793246400647\
         62419855909763933802672418543869165626369764487329084734605726\
         0220131086783924583009210197569/428996705267674015791066359058\
         28586992998493462428435003316269488776353319839001973541291107\
         3101086720000000000000000000000000*ep^3-
         15537624110210105549966598586/15*ep^3*z6-265669188223475519233\
         941666961781/331500*ep^3*z5+1964470436682970085834903590701142\
         892963/6809182380000*ep^3*z4+128088270439619293528374811719733\
         0337848768678577/16168295377020346560000*ep^3*z3-
         11329659366176854167243503956/75*ep^3*z3^2;
Fill mncnoptab(11,7,4,6)=
      +mncF321*(605498167487238800366592+4816164344582766904077888*ep+
         342112416295781720547541968/25*ep^2+
         4640237943190244753965082984/225*ep^3)
      -65217438168022538323591009016385909894770923681/
      21894566656381719300000-29134737584436378028904/975*ep^-3-
         6240666299771684510519191973/19392750*ep^-2-241908507623254540\
         1055237828652223/2322267447500*ep^-1-
         7768194608353966878860684608/975*z3+15731748713441670964656324\
         03546949700352629067626689558134350093732052377061520188559350\
         92940980784809/52595271831723025619803957836540859396593666493\
         04765693952000000000000000000*ep-3884097304176983439430342304/
         325*ep*z4-1265237686355827792831434556860902/9696375*ep*z3-
         10351474785211117884969454680905479066121908471752159428133297\
         31034976010150667397711631135644638117917523659369/
         73462727841616154069878500257402449221198569416216717565715755\
         82720000000000000000000*ep^2-251190078261817192618330137312/
         325*ep^2*z5-632618843177913896415717278430451/3232125*ep^2*z4+
         327646261272084769154429316588187553743/922076780625*ep^2*z3-
         98758818731406718947812612314796951943356219222500581656433259\
         39255489414379093461706207884618133100517032991758567525562872\
         737054721366337204426189867469/1821047238687269291521261279267\
         82573358034421228267642463056817421744520214826783887685480618\
         78576742400000000000000000000000000*ep^3-
         372901020088548805488064863664/195*ep^3*z6-4777229611122365021\
         276793525555388/3232125*ep^3*z5+327646261272084769154429316588\
         187553743/614717853750*ep^3*z4+6372825462661295245320692637857\
         5735094223571907/437891333127634386000*ep^3*z3-
         271916296711048107267038664544/975*ep^3*z3^2;
Fill mncnoptab(11,7,5,5)=
      +mncF321*(594685700210680964645760+4737664584873073173446280*ep+
         67497031926993272304029208/5*ep^2+2144245438087139153913397537/
         105*ep^3)
      -86942482705694341798158379669594158793263262153/
      29723532915330334080000-3386304647672082066183/65*ep^-3-
         40263142712002458815555961731/72399600*ep^-2-67597103293823624\
         4774348801890347421/383047459704000*ep^-1-
         508599261914612663881289016/65*z3+4465649649770492665000385370\
         36552361207672730695536092618512965117308030642999059604860338\
         52945521453457/15273666939932366639991069355731465568770800749\
         58103957523660800000000000000000*ep-
         762898892871918995821933524/65*ep*z4-1160646990819073386590843\
         729688731/9049950*ep*z3-29356917136688165414715301779680839065\
         17514151815468304785550369778589837888295918509423013084280442\
         75359244421697/21333576165205331141892716474749671253836064558\
         46933478108385549221888000000000000000000*ep^2-
         49340562240731574455792670972/65*ep^2*z5-116064699081907338659\
         0843729688731/6033300*ep^2*z4+19568906662564636958735290089586\
         69401733/5633050878000*ep^2*z3-
         99520780780286363437446391171375011784463385716222404841526531\
         40141761441433282245834267542143737219540713455983447360503529\
         750682118132740078759401987912089/
         17874525592279665476312770511878928844472540222544856099489834\
         52539481773059036593785254588723304075865620480000000000000000\
         00000000*ep^3-24415981489408480895955690978/13*ep^3*z6-2938566\
         574766858312245555370686551/2011100*ep^3*z5+195689066625646369\
         5873529008958669401733/3755367252000*ep^3*z4+43816952160969300\
         6339949268018354350962857411603/2972353291533033408000*ep^3*z3
         -17804401021025028844925225988/65*ep^3*z3^2;
Fill mncnoptab(11,7,6,4)=
      +mncF321*(317165706779029847811072+12677950053567861922246464/5*
         ep+36347764829132225137508224/5*ep^2+
         5821125946836067619976595184/525*ep^3)
      -104327930170354320281407657386862272786715463801/
      66877949059493251680000-33142523555198858049128/975*ep^-3-
         24759601194911573305706176808/67874625*ep^-2-84137747360013192\
         7530245668751391847/718213986945000*ep^-1-
         4068660919061950984487425216/975*z3+33618245602637954734593821\
         80033136911735450357030247548567428103734586312101788519325682\
         1880544919945009/216013289579043471051302266602487870186901324\
         8869318454212034560000000000000000*ep-
         2034330459530975492243712608/325*ep*z4-46503780077776288122964\
         94073479707/67874625*ep*z3-14043036702120407298832434959311054\
         08958932743348362000757119292122636784674470640533470587404419\
         05518548528399333/19200218548684798027703444827274704128452458\
         10262240130297546994299699200000000000000000*ep^2-
         131574360508386020951780009824/325*ep^2*z5-4650378007777628812\
         296494073479707/45249750*ep^2*z4+96844457310587119365564581863\
         4500965571/5280985198125*ep^2*z3-
         22583082158239338746120151368896523835716508483681232540662542\
         57775134088991322510296447869752702845950770380469535407114181\
         2771979441121831950617858608740513337/
         42722669669204440440598423347749479785267152923342569628652060\
         20634009935007248750088727789132800070472528035840000000000000\
         0000000000*ep^3-195327210303048055935426302128/195*ep^3*z6-
         5962069698720152935895579612616331/7541625*ep^3*z5+96844457310\
         5871193655645818634500965571/3520656798750*ep^3*z4+25502697009\
         1737979967825942161869839092925107769/3039906775431511440000*
         ep^3*z3-142436673349842509419265464288/975*ep^3*z3^2;
Fill mncnoptab(11,7,7,3)=
      +mncF321*(89202855031602144696864+3585522023761863730417488/5*ep+
         10380352194075736771480296/5*ep^2+5052038750264614913163081299/
         1575*ep^3)
      -20661207354532514479117536901467070964439621174707/
      47082076137883249182720000-10048547437279200171223/1300*ep^-3-
         368841232606082320274710381829/4343976000*ep^-2-29020302113959\
         6651237444872758292250177/1011245293618560000*ep^-1-
         381450055315768453400790514/325*z3+880068272253476166073359373\
         33347178610291155204517085038651780448092552582113570057835760\
         468658637261681/2005837688948260802619235332737387366021226588\
         2357957074826035200000000000000000*ep-
         572175082973652680101185771/325*ep*z4-419677106774059200459577\
         76115936023/2171988000*ep*z3-280454802974366837149079013661522\
         03113673581512495498766499846058148219589924711452116583347708\
         924447028456855640729/1372815626230963058980796305150141345184\
         350754337501693162746100924284928000000000000000000*ep^2-
         37005428150037453008329902563/325*ep^2*z5-41967710677405920045\
         957776115936023/1447992000*ep^2*z4+150856901418150103298381162\
         0286174020634649/29742508635840000*ep^2*z3+
         12737016567543523589165633287983309265329012516849172252432416\
         01856130862090590448663140898266685162004349058608456949436488\
         896853295118088658764475862498686707/
         31736840325694727184444543058328184983341313600197337438427244\
         72470978808862527642923054929070080052351020826624000000000000\
         000000000*ep^3-36623978094721684554929112049/130*ep^3*z6-
         7840358253204256994933342880388187/34476000*ep^3*z5+1508569014\
         181501032983811620286174020634649/19828339090560000*ep^3*z4+
         12462717045792857889920101837153573776817185382087/
         480429348345747440640000*ep^3*z3-13353294053178650751694122477/
         325*ep^3*z3^2;
Fill mncnoptab(11,8,1,8)=
      +mncF321*(4569013783131282321408+257441806650709206415296/7*ep+
         130717966472162189044811568/1225*ep^2+
         4253360372748195868089070232/25725*ep^3)
      -1428932333384844031732517073048973438359601220081503/
      63563254977607901149233600000-628110869650810568/15925*ep^-3-
         1912808093717597591625979/211165500*ep^-2-28787023864845665840\
         877764335316767/282657104639910000*ep^-1-
         957503527154066431512060736/15925*z3+
         34494038266231305465306147631225673382125071741210503071014259\
         0734298710264081852381555678985995287348083700707/
         15460453295083399987898513632145016660692068978636635892269858\
         26801418240000000000000000*ep-1436255290731099647268091104/
         15925*ep*z4-731990689470128747361508969622287/739079250*ep*z3-
         94004714990322347540073879287688554126528115312475123210599231\
         1403106172727342428196711179744664654807284246819728047531/
         90304151487738220607779496943604957693918512558947322458657284\
         2459363443516375040000000000000000*ep^2-
         92877843814811188868885543712/15925*ep^2*z5-731990689470128747\
         361508969622287/492719500*ep^2*z4+2559854566308685369871696154\
         849136492393073/989299866239685000*ep^2*z3-
         69669208590598256889649904459435611675716686855774304525072381\
         50681366879878216316453426212426723267158531614186958714545272\
         9800347376916158556141801139499295885369/
         12565698409780583033489909771098446368142238185695824935603215\
         57803926587109169520497971839159211988727556127221350400000000\
         0000000000000000*ep^3-45960170143828561218686741488/3185*ep^3*
         z6-2884692351452764287555687953038103/246359750*ep^3*z5+
         2559854566308685369871696154849136492393073/659533244159790000
         *ep^3*z4+8624499729879200601821886043543616802913996961552281/
         6356325497760790114923360000*ep^3*z3-
         33512624378514180794947764448/15925*ep^3*z3^2;
Fill mncnoptab(11,8,2,7)=
      +mncF321*(40705759158805969772544+326559134742134460300288*ep+
         23549258654797471984313376/25*ep^2+50689658497571172855677416/
         35*ep^3)
      -984134871749321692041678583228997131750190884399/
      4913671535065545852600000-110906777994193750976/325*ep^-3-
         10148511133230878378412818/2513875*ep^-2-478308321324261001198\
         179540383621021/30284689782847500*ep^-1-
         174089114930482865314001152/325*z3+595651026513925427832741774\
         55942364269738726769930916509645864819530831967433708977163824\
         90413621239676343851/29878736269100572023613392146229546731393\
         14505766202050917953437696000000000000000000*ep-
         261133672395724297971001728/325*ep*z4-
         9490767429316307869579834718836/1077375*ep*z3-
         44777927242780226257271636950977133485243592795903627268155644\
         4017006607115272736057855296543868871498844452150167769779/
         47993277788976520306005259855232226665560433970528976646820410\
         419821611581440000000000000000000*ep^2-
         16886854781964986109549417984/325*ep^2*z5-
         4745383714658153934789917359418/359125*ep^2*z4+103719733281885\
         35252573709540899403812713/445363085041875*ep^2*z3-
         12750839255396119044307765892880416394860836762541015246283926\
         36752928852115494263695947950117715933977256951693508815600936\
         318424694942234734532999909796479/
         14787180694024774709870916562197242234501418099593723410064831\
         26980260117440947915330771619980286768447488000000000000000000\
         0000000*ep^3-8356382833517251622117708416/65*ep^3*z6-776195034\
         089671686605646758481364/7541625*ep^3*z5+103719733281885352525\
         73709540899403812713/296908723361250*ep^3*z4+36394840740487960\
         54356626443444792822775083193291/317943452268947084580000*ep^3
         *z3-6093231206724205933644699136/325*ep^3*z3^2;
Fill mncnoptab(11,8,3,6)=
      +mncF321*(132293717266119401760768+1059630383302348218641280*ep+
         76200446140498818847525872/25*ep^2+
         2451239341363483764264664816/525*ep^3)
      -30693735399892653991568158441017348336924504329/
      47157528182976010800000-124291278460560159344/25*ep^-3-
         31864074463501653804431786/580125*ep^-2-3807698601963198983116\
         9050210738571/202573175805000*ep^-1-43520153881171242248879488/
         25*z3+10108257897151299921393311933544787004794883861282758894\
         38911774229102624960409607458548025717983392119/
         15576292042471819125865018282360177590529662769094883016704000\
         0000000000000000*ep-65280230821756863373319232/25*ep*z4-
         5531810690165246038063957106386/193375*ep*z3-
         94480592787697027108286701112398400525179773607183769972715277\
         5886165170975572418076436368624213397252673945701/
         31080384856068372875717827031977959285891702445322457431648973\
         619200000000000000000000*ep^2-4221691096364414511466600896/25*
         ep^2*z5-8297716035247869057095935659579/193375*ep^2*z4+
         26934701604173731875176283712829329427/354148908750*ep^2*z3-
         28129258604284669493392580241068465286079669056826504967543537\
         95847601973879088101544985985511898824287036218005277663067450\
         5522514039548462573163172348411/
         10786202875301518111318239884894044729668192641982006515119519\
         18574948312041666335334752462126654160896000000000000000000000\
         00000*ep^3-2089085471241621634608860704/5*ep^3*z6-
         11340822630226079421859099384318/34125*ep^3*z5+269347016041737\
         31875176283712829329427/236099272500*ep^3*z4+17073332397275079\
         6858424134444983601187552907099/4715752818297601080000*ep^3*z3
         -1523331178491832935005560384/25*ep^3*z3^2;
Fill mncnoptab(11,8,4,5)=
      +mncF321*(203528795794029848862720+1630426830373404277885440*ep+
         23455335224022440345596176/5*ep^2+251590743233849343092802512/
         35*ep^3)
      -5114705003880468613913174164144553187590062619/
      5108732219822401170000-1087306999231034722976/65*ep^-3-
         272510390154925217279288704/1508325*ep^-2-20400801113058631413\
         86224722428242/3465067480875*ep^-1-174067633877657529625044352/
         65*z3+53277649519265510030341545108556454868602366276213633832\
         460530545876139964131667632522089659000194240361/
         53457834289763283239968742745060129490697802623533638513328128\
         00000000000000000*ep-261101450816486294437566528/65*ep*z4-
         22127675978598998465316632952024/502775*ep*z3-
         34849822137250865646043440961246646366157027328408181306734303\
         5396042614994537942705723521980374483443514399268751/
         74667516578218658996624507661623849388426225954642671733793494\
         22276608000000000000000000*ep^2-16886626302577622305247664384/
         65*ep^2*z5-33191513967898497697974949428036/502775*ep^2*z4+
         30802161872341626591682557809030745251353/263345128546500*ep^2
         *z3-2777147479262827032355092070145898779819012983297586981330\
         37206281318593263328326298092501266560180894757611059980822290\
         56601277447211259223486979918908043/
         37018248268034810158044199284956361512221237147282246359890189\
         84549222606926998862868870450018677080195072000000000000000000\
         000000*ep^3-8356279334349982387811310016/13*ep^3*z6-1102253694\
         07897543282154903714872/215475*ep^3*z5+30802161872341626591682\
         557809030745251353/175563419031000*ep^3*z4+5704065980286400760\
         3075929840581627171974759441/1021746443964480234000*ep^3*z3-
         6093467500289017123403028736/65*ep^3*z3^2;
Fill mncnoptab(11,8,5,4)=
      +mncF321*(159915482409594881249280+1283481968752616206020480*ep+
         129680822831204026428317568/35*ep^2+
         4191537866202794126634437768/735*ep^3)
      -122742674957457079216884795329941658887525230751/
      156048547805484253920000-7989255084627040970768/455*ep^-3-
         11202038754837164133532127/59150*ep^-2-49097788657808908036587\
         10621292381/7980155410500*ep^-1-957327778085714128884478336/
         455*z3+8292783015813315810926485975331196862679339658754035678\
         85126976812116855966458463485870794034063794788533/
         10584651189373130081513811063521905639158164919459660425638969\
         3440000000000000000*ep-1435991667128571193326717504/455*ep*z4-
         121811194924857552789232533146567/3519425*ep*z3-
         37892639113255570922006143680097307870249971122373055164966175\
         831949947917419863625615076822747072488551890899851/
         10338579218522583553378777983917148376859015901412062240063714\
         58469068800000000000000000*ep^2-92875974481160011842522414912/
         455*ep^2*z5-365433584774572658367697599439701/7038850*ep^2*z4+
         134331919327764669329490531744536602021/1470028628250*ep^2*z3-
         10959708270910667029526635577994608801827806105111141505329735\
         49944846389509403913712424489493308378672125341141114631520701\
         5196689059321421281857507640072461769/
         41868216275820351631786454880794490189561809864875718236079019\
         00221329736307103775086953233350144069063077475123200000000000\
         00000000000*ep^3-45959323351537148856818968288/91*ep^3*z6-
         1425446871095731604949351276697669/3519425*ep^3*z5+13433191932\
         7764669329490531744536602021/980019085500*ep^3*z4+141360491288\
         674429461214851681941062777080284501/3120970956109685078400*
         ep^3*z3-33514557612456607054149293248/455*ep^3*z3^2;
Fill mncnoptab(11,8,6,3)=
      +mncF321*(63966192963837952499712+2576584311072681246695424/5*ep+
         52408679888760968723836512/35*ep^2+
         8543445450700428635959915808/3675*ep^3)
      -27008284460280544470968056075005924435299104949/
      85826701293016339656000-13120274511337738372672/2275*ep^-3-
         478499202484331138449833142/7541625*ep^-2-14455548908247375101\
         40002415598702/6717987973125*ep^-1-
         1914718458932323036169264384/2275*z3+2593214952681193987917744\
         71663836195722207066101120319821522113308892814835628291913412\
         76483713740596003/82692587416977578761826648933764887805923163\
         43327859707530444800000000000000000*ep-
         2872077688398484554253896576/2275*ep*z4-
         14357218288473291632129655647516/1035125*ep*z3-
         13480215214843168284932278210488402142488592751133907495651327\
         10008345302062044117172295840400158748833431692067953/
         92401051765545590508322828231259513618177454618870306270569449\
         100673024000000000000000000*ep^2-
         185752617940498874369767753728/2275*ep^2*z5-
         21535827432709937448194483471274/1035125*ep^2*z4+1665368798573\
         63295706266902732938582388291/4608539749563750*ep^2*z3-
         93288256340437925088796973673114949400025293317546700523420884\
         72479368788540743078256475956114113887480040185661380964694779\
         085152239562622064986070857519947/
         20253587594727337283178432121127365610275643316987092799960825\
         75571463688229055618753363599724334398734073856000000000000000\
         000000000*ep^3-91918949740783275666799244672/455*ep^3*z6-
         8682490014152708041674363512235052/52791375*ep^3*z5+1665368798\
         57363295706266902732938582388291/3072359833042500*ep^3*z4+
         825806379681574616618892642218474753419745078419/
         42913350646508169828000*ep^3*z3-67028423121931978952222016512/
         2275*ep^3*z3^2;
Fill mncnoptab(11,8,7,2)=
      +mncF321*(11993661180719616093696+485889960782512265614272/5*ep+
         1996459543035175020525888/7*ep^2+1648791232524711039889898224/
         3675*ep^3)
      -113964194471102943862782223331859258076931471011/
      1930986708516986440320000-1009510643774550034876/2275*ep^-3-
         471057243704553911322452887/90499500*ep^-2-2732665947335259227\
         666217494103461/136379126520000*ep^-1-
         359041616416594958986343072/2275*z3+
         10348631770292009457787032736757717416399992478235969819628637\
         1181450436587982562764778578526600942524975766784169/
         17820627901785559382668439199040506375792223584141101021499419\
         0108983296000000000000000000*ep-538562424624892438479514608/
         2275*ep*z4-826109897912143724126380865714653/316748250*ep*z3-
         15403669353540341967648136330390970876003605947116984593974621\
         985058249890040238109697028960444830278835953676113276556478439
       /572494323428844273681829971744160485162545138361752358505858141\
         0282372265284730880000000000000000000*ep^2-
         34828955244677323677453835824/2275*ep^2*z5-8261098979121437241\
         26380865714653/211165500*ep^2*z4+10260446641172347642945541474\
         63031299348249/154176602530860000*ep^2*z3-
         37031960691565565833385830500173203471592029287831877885595698\
         43243280889568962008774585020658061422787793074671410698393624\
         759615981756246029426545701363263055746157/
         22015623976052152384758888407760853625648985855261691599674910\
         67481810702856273388202222742911411041755536690283282432000000\
         00000000000000000*ep^3-17234956814130364359233746376/455*ep^3*
         z6-1110347914967272145918999161371499/35194250*ep^3*z5+
         1026044664117234764294554147463031299348249/102784401687240000
         *ep^3*z4+6553200152190259704508118847228721979744377249511/
         1667670339173761016640000*ep^3*z3-
         12567478428578988015584678096/2275*ep^3*z3^2;
Fill mncnoptab(11,8,8,1)=
      +mncF321*(806296549964343939072+230486431595742049197888/35*ep+
         4800782256427474805719968/245*ep^2+807341191356683569414779056/
         25725*ep^3)
      -285820704825296581725776232595325676807744622377647/
      72038355641288954635798080000-17154666199570641808/270725*ep^-3-
         73308431218726452190468433/5384720250*ep^-2-433346990511285947\
         9147289697922698777/28831024673270820000*ep^-1-
         2872510294768932493711266176/270725*z3+
         11207730969511749504288548280551286453109869566287236672493161\
         976467893129176579032393054567896905087337014544026307777/
         28809094375445062081412538835756868214701345529476266027871283\
         2643034031063040000000000000000000*ep-
         4308765442153398740566899264/270725*ep*z4-33175629920539821354\
         14729576639432/18846520875*ep*z3-
         16568507701099881456962581693642772037562833514066026305215357\
         05028803490836967380702130337963661067250281416692696780349335\
         653583/9255029106699210854981515597711860027210479088526842890\
         459478586583637239643275211571200000000000000000000*ep^2-
         278633528215872364841223753792/270725*ep^2*z5-1658781496026991\
         067707364788319716/6282173625*ep^2*z4+439982421940215923600016\
         54450280612203336851/100908586356447870000*ep^2*z3+
         25387049881099422861088653885608781660154148383379855172163097\
         14948746435116053436262937658001870589568626287790113359080848\
         96197221753886548374184743333084461620065353/
         11018819800014102268571823648084307239637317420558476645637292\
         79274646256779564830795212482827161226398646113486782857216000\
         000000000000000000000*ep^3-137880508960551716173756243808/
         54145*ep^3*z6-4581494306324867494768575821180906/2094057875*
         ep^3*z5+43998242194021592360001654450280612203336851/
         67272390904298580000*ep^3*z4+105836047341715303949895640889965\
         72667634072710015623/36019177820644477317899040000*ep^3*z3-
         100537875895086911505590725568/270725*ep^3*z3^2;
Fill mncnoptab(11,9,1,7)=
      +mncF321*(1554733856759950234368+12627261971619729071484*ep+
         2790883431350821218246791/75*ep^2+185361593289422857356102667/
         3150*ep^3)
      -1428974660523043666518355385488650581467340064934193/
      186798137077051791132441600000+127678777299712529/5850*ep^-3-
         105866432817318774876584969/13031928000*ep^-2-5547607842811033\
         36049248522550399839/5814660438306720000*ep^-1-
         59843974599197313132111196/2925*z3+172042548795797572653295320\
         68110899549398440177169570479805351206417758350114082627260242\
         633630633077834078377/2282979359010460033804255922356804550251\
         75377746707356706873830014976000000000000000000*ep-
         29921987299598656566055598/975*ep*z4-2205637570106620387223495\
         362652771/6515964000*ep*z3-28130843425711187842990225470500013\
         50502072209580748734162217047214306472511487370351246994844680\
         8628370183279085516940901/806757205086207760115314539541993478\
         77324118883357770376434766642038091892654080000000000000000000
         *ep^2-1934955091911983845596101594/975*ep^2*z5-220563757010662\
         0387223495362652771/4343976000*ep^2*z4+24890506451701405277448\
         70133460167504066743/2907330219153360000*ep^2*z3-
         13405560486018915591180676676250132603622831690836921965733175\
         70053567923068288560341743531774890598092565908456728860889694\
         338442391080170718513439360477246218439/
         37110464426295311673628903189795116304384331471139841163797312\
         29741633175363114709736163093196718606669545943859200000000000\
         00000000000000*ep^3-2872510650568377111828096793/585*ep^3*z6-
         8966614847183199671099585491488299/2171988000*ep^3*z5+
         2489050645170140527744870133460167504066743/
         1938220146102240000*ep^3*z4+9841998585913529915471876588250555\
         095547590883162167/18679813707705179113244160000*ep^3*z3-
         2094538962911635004589604978/2925*ep^3*z3^2;
Fill mncnoptab(11,9,2,6)=
      +mncF321*(11872513087985074516992+96143108877554686694208*ep+
         7047154813811591211795568/25*ep^2+77485706789851342750695792/
         175*ep^3)
      -28418198204129548416646125759270898304388308332583/
      486453481971489039407400000-222384652871583389704/975*ep^-3-
         365207528610691252568412311/135749250*ep^-2-906083061773537866\
         60006025168638373/8652768509385000*ep^-1-
         152325214528931613860734208/975*z3+344014157431609527676021896\
         89427495009607539222083113728546868243301522357068364990524008\
         82065185859528439747/59621968065325404491564138523088437922054\
         34841438226314756913889280000000000000000000*ep-
         76162607264465806930367104/325*ep*z4-1751915131488165866060670\
         24018314/67874625*ep*z3-46602440133716177232751562704424203777\
         96736306518540718941115381340068870809240426544149984791840974\
         6383045437529180133/174125270889710731268953323737803996972554\
         86247810966583880421013994235494400000000000000000000*ep^2-
         4925322859891703224319031712/325*ep^2*z5-
         87595756574408293303033512009157/22624875*ep^2*z4+666190804517\
         15728673673343025018289965989/10094896594282500*ep^2*z3-
         75893274763279348913119896623685912150519650358484878834972744\
         76270882011519002478889981240428439043789568342468794979621376\
         723268006402623077653561755263571/
         33933394245698575978207182677876664719536134051675392496566007\
         35836787389683082290963131245850453990178816000000000000000000\
         00000000*ep^3-7311821682573089029548180464/195*ep^3*z6-7050591\
         33986457913742115961326716/22624875*ep^3*z5+666190804517157286\
         73673343025018289965989/6729931062855000*ep^3*z4+3757654344549\
         4660207482227517855944731295352277063/
         9729069639429780788148000*ep^3*z3-5331607705498284799531341344/
         975*ep^3*z3^2;
Fill mncnoptab(11,9,3,5)=
      +mncF321*(32154722946626243483520+260064134762591256737640*ep+
         11412701668739135273737448/15*ep^2+375385314108478676812038163/
         315*ep^3)
      -214853083643015009452195803491309717155121655473/
      1358136811669709111040000-99228257342614129763/45*ep^-3-
         153055897054489078790577637/6265350*ep^-2-
         68335055534858631614299166332471/812323512000*ep^-1-
         19039080985661704713006976/45*z3+45990013616739322278965852935\
         64266499887901838775117698977038896199133378287767231882090350\
         9981931553/293724364229468589230597487610220491707130783645789\
         22260070400000000000000000*ep-9519540492830852356503488/15*ep*
         z4-175075391351443680807064020615389/25061400*ep*z3-
         29822900846742082429092586932917710033877918272151848634590389\
         4045111972502531714842326747797645129042202376583/
         41026108010010252195947531682210906257377047227825643809776645\
         177344000000000000000000*ep^2-615659787410710902521568764/15*
         ep^2*z5-175075391351443680807064020615389/16707600*ep^2*z4+
         545254642640370106828502696688545915269/30385976370750*ep^2*z3
         -1150657346809299737009744364689921885124687329028448204903920\
         91929269290738472524930452107386252136121969696590502765296884\
         4484746245231675728861622586951/
         20339696850568577009914395211514484347374306124880355142796807\
         60741331102707142232345533214295976417689600000000000000000000\
         0000*ep^3-913970140623235501425849658/9*ep^3*z6-70157654508829\
         9438773206586904391/8353800*ep^3*z5+54525464264037010682850269\
         6688545915269/20257317580500*ep^3*z4+1395466557064088286973760\
         900196765734724681929831/135813681166970911104000*ep^3*z3-
         666468237254988220588452268/45*ep^3*z3^2;
Fill mncnoptab(11,9,4,4)=
      +mncF321*(39575043626616915056640+320216823227760300663360*ep+
         14062962198150314124809936/15*ep^2+463012317609908651474404916/
         315*ep^3)
      -859275123720850354235509223787850339748743972037/
      4413944637926554610880000-2611102448640148495208/585*ep^-3-
         7933188803078801112492476369/162899100*ep^-2-36648438299078971\
         080611040324085937/225724395897000*ep^-1-
         304602770060183370426308416/585*z3+102148859574562869549668077\
         15738701546654378508127262396072306586002286085129188941162361\
         1492157263721313/529232559468656504075690553176095281957908245\
         97298302128194846720000000000000000*ep-
         152301385030091685213154208/195*ep*z4-700415959155656380180364\
         864152271/81449550*ep*z3-6017636083705359345721998860389612927\
         66471887501374482409055049306724477873837364390295254737596071\
         93950814862627/67200764920396793096962056895461464449583603359\
         17840456041414480048947200000000000000000*ep^2-
         9850476746571608617419571424/195*ep^2*z5-700415959155656380180\
         364864152271/54299700*ep^2*z4+14521348834566881450262189885487\
         11049424/65836282136625*ep^2*z3-
         43927333051119462571915496867362483627807004068043246483334178\
         48269414819402194179492966669765664234002392505796074847025978\
         642008874959791260402444108862841/
         36648065785354462056463757292106797897099024775809423896291287\
         94703730380857728874240181745518490309393121280000000000000000\
         0000000*ep^3-14623413734827321240916202928/117*ep^3*z6-2810966\
         419195274417160349199683199/27149850*ep^3*z5+72606744172834407\
         2513109494274355524712/21945427378875*ep^3*z4+5616593408443816\
         883963698147315531083042190531427/441394463792655461088000*
         ep^3*z3-10663739657319215378457486688/585*ep^3*z3^2;
Fill mncnoptab(11,9,5,3)=
      +mncF321*(23321007851399253515520+189102012842532420698760*ep+
         2778527255424475379237666/5*ep^2+183855564088535716408151063/
         210*ep^3)
      -1350450735679036904718431686718860420519388161051/
      11770519034470812295680000-459699222406298185223/195*ep^-3-
         11322159267200914284064487047/434397600*ep^-2-1981894219114546\
         7529881065341445373/221764318776000*ep^-1-
         59833859489857358881951096/195*z3+5571620344957430896839405122\
         65994579642407779885952603739728135145921529985293344118847433\
         207579629183637/4914302337923238966417126565206599046752005141\
         17769948333237862400000000000000000*ep-
         29916929744928679440975548/65*ep*z4-11018175851913744838233596\
         76384913/217198800*ep*z3-3272183741420171216330857073000651781\
         08371471945823457411569501541725208936739263897375770043164502\
         702369074880647/6240071028322559359003619568864278841747048883\
         3522804234670277314740224000000000000000000*ep^2-
         1934919229642210298509367444/65*ep^2*z5-1101817585191374483823\
         359676384913/144799200*ep^2*z4+6799789178728441870558617340956\
         665851271/526690257093000*ep^2*z3-
         49509986192278176940410430898338509550889795107407220046398254\
         08512109423794526175599570530179644754929827704653541721825621\
         335095983512879636658117570436780551/
         84516585649947914784662098361852231749115454696177692091463858\
         23428150088818687744740744104588800139413044592640000000000000\
         0000000000*ep^3-2872461914718386768323075618/39*ep^3*z6-
         4454503952873230411579904643942097/72399600*ep^3*z5+6799789178\
         728441870558617340956665851271/351126838062000*ep^3*z4+
         9097612153682188136353359769569550763735078989981/
         1177051903447081229568000*ep^3*z3-2094650231690819805087887428/
         195*ep^3*z3^2;
Fill mncnoptab(11,9,6,2)=
      +mncF321*(6218935427039800937472+253126051452572562204864/5*ep+
         2246720775515957103063712/15*ep^2+124995487460436578053811744/
         525*ep^3)
      -17864350412771974462405331114615076532593435268441/
      583744178365786847288880000-767399718873610586984/2925*ep^-3-
         1254593455127356509399324673/407247750*ep^-2-72004304936457598\
         7075351559170998597/60569379565695000*ep^-1-
         239358996753952804737086848/2925*z3+
         23721195709166606569463000830853118246420229131792452805328470\
         11254500343509063470528405852892228248037810351002951/
         79004783697915979929830080449079578266012191223025547861980757\
         61498259456000000000000000000*ep-119679498376976402368543424/
         975*ep*z4-276002301400964391613508618552596/203623875*ep*z3-
         35146371616017067729148601189622349420185799864313924926799600\
         10016965249843170034369437463057337647744630222118193178789148\
         81/25380581672012096133227795413991114842206167800704354560426\
         3775855851837094289735680000000000000000000*ep^2-
         7739760459680652559408986272/975*ep^2*z5-138001150700482195806\
         754309276298/67874625*ep^2*z4+77216881056487508675827722366320\
         787673621/22713517337135625*ep^2*z3+
         39655557934916656674043636340216911380723810578632785779444502\
         60685298785108544942461331362183205264376482637710271843020100\
         15246643727524698538291720472029718284667/
         25684894638727511115552036475720995896590483497805306866287395\
         78728779153332318952902593200063312882048126138663829504000000\
         000000000000000000*ep^3-11489961191144002436744935984/585*ep^3
         *z6-1130842719780126662538365440514254/67874625*ep^3*z5+
         77216881056487508675827722366320787673621/15142344891423750*
         ep^3*z4+634397666714519422218776251338387155411601603221219/
         291872089182893423644440000*ep^3*z3-
         8378341875569453714880626464/2925*ep^3*z3^2;
Fill mncnoptab(11,9,7,1)=
      +mncF321*(583025196284981337888+23869991303767051077096/5*ep+
         71336990230407178649482/5*ep^2+5170335737631377671897529/225*
         ep^3)
      -2646524172967520925251356900833508824448996597933/
      922459936182971808061440000-36154485119782491/1300*ep^-3-
         6608422243127930424626449/620568000*ep^-2-27733414766649707412\
         94268295112083907/23258641753226880000*ep^-1-
         2493498763151411295178338/325*z3+67958074865679979259826826003\
         03781796905314132429926010408343604550866005147369296066262729\
         8356009710661504721533581/242093230045756824213550746518965279\
         1151373573905568573770696072630538076160000000000000000000*ep-
         3740248144727116942767507/325*ep*z4-27681261295472842126753002\
         3945541/2171988000*ep*z3-1002184448996026111291223323646561461\
         30297927654063785166475206774656219724149915119749658476713577\
         94787644191132206207772636739/77773353837808494579676601661444\
         20190933175704644405790302082845868602722389306900480000000000\
         0000000000*ep^2-241869384303742470740384271/325*ep^2*z5-
         276812612954728421267530023945541/1447992000*ep^2*z4+363571842\
         6788617170456747431682354138666803/11629320876613440000*ep^2*
         z3-22936079538882294347048226029043028385382180530519270269704\
         08027377899256276185121628825479475246916204845404740563171959\
         5855329008731508579752146709004560166723558283/
         15741171142877288955102605211549010342339024886512109493767561\
         13249494652542235472564589261181658894855208733552546938880000\
         00000000000000000000*ep^3-239375885540591059445205933/130*ep^3
         *z6-165237119444746802585335449173587/103428000*ep^3*z5+
         3635718426788617170456747431682354138666803/
         7752880584408960000*ep^3*z4+9105751479611541814800836999795752\
         96065054678995513/4151069712823373136276480000*ep^3*z3-
         87272458120189216563053409/325*ep^3*z3^2;
Fill mncnoptab(11,10,1,6)=
      +mncF321*(327312390896831628288+2692352775352445310336*ep+
         608111691189454926497056/75*ep^2+2492241667989093067373752/189
         *ep^3)
      -357269984236466083583758379464673411972299258874237/
      221822787778999001969774400000-115206150519867968/2925*ep^-3-
         8569652378236737604077899/1719490500*ep^-2-1114309687863871179\
         236708971695433603/20714727811467690000*ep^-1-
         12598727938803291619265536/2925*z3+125404708376317321733116715\
         62540259118877844134503528869221283455581172531718321189138734\
         4618424061323544161287/797773644908802943594160038548316319650\
         4207234467928408682155583995904000000000000000000*ep-
         6299363969401645809632768/975*ep*z4-18495633089313023098186144\
         3567993/2579235750*ep*z3-1472879977238598373995309234121729301\
         60250127066082447503188041261004080187254763004167987497934408\
         609306932785332049615531/2050302090851317289674014085313908086\
         742845187982069458537845128087238479928360960000000000000000000
         *ep^2-407358954991138936070895104/975*ep^2*z5-1849563308931302\
         30981861443567993/1719490500*ep^2*z4+1790424809518280352019179\
         217584936522624131/10357363905733845000*ep^2*z3-
         69497113478471131927074032024897465744944564632012544919288353\
         85189816102612111103056878001247827190935967460119623391867589\
         638566801210191871856603428957851840387/
         54602242004097600160612322439883069508058000633089512896019123\
         69746554322560201855660274659998539290068295362805760000000000\
         000000000000000*ep^3-604739068517306758296709888/585*ep^3*z6-
         2353530573394796519033750518970551/2579235750*ep^3*z5+
         1790424809518280352019179217584936522624131/
         6904909270489230000*ep^3*z4+2884766806367413998621114983564902\
         131618678007472891/22182278777899900196977440000*ep^3*z3-
         440955616057426452817550848/2925*ep^3*z3^2;
Fill mncnoptab(11,10,2,5)=
      +mncF321*(2082897032979837634560+17088267813942748980480*ep+
         768477174547902325799744/15*ep^2+8697347553489948912506632/105
         *ep^3)
      -227367982978662304877121202066182388709005563598849/
      22182278777899900196977440000-49667555808565821632/585*ep^-3-
         1550216570680892963391112207/1547541450*ep^-2-9626162308029676\
         0963129903768458779/24660390251747250*ep^-1-
         16033656035843077075252864/585*z3+2294135703006970194278265394\
         50672428121413334524000360941292904870869063223958863980162290\
         155404568811334693/2288753508793409915278207031876109219007841\
         415662306877154643882803200000000000000000*ep-
         8016828017921538537626432/195*ep*z4-35262489552035666883726485\
         5234903/773770725*ep*z3-27003189103703660636211870046729208929\
         47589726029966538904595217222934973097850002027244636799506751\
         97238645483150633437/58821648652718444745892460758512693899740\
         9413801561974836032312164170982227968000000000000000000*ep^2-
         518452991150376287016826496/195*ep^2*z5-3526248955203566688372\
         64855234903/515847150*ep^2*z4+19159628527845834862585747537124\
         2568957617/172622731762230750*ep^2*z3-
         92547326435192870598598326475116482257935980757445917456424104\
         22199412717401412217587286592912103829350353977177842536055258\
         62184383453992584480981924149717/
         54847445393047494234163446287506772363005343201891654810776077\
         19964766556385716682536326421864407265758412800000000000000000\
         0000000*ep^3-769662658707642891987613312/117*ep^3*z6-148286479\
         8324234499064708326125907/257923575*ep^3*z5+191596285278458348\
         625857475371242568957617/115081821174820500*ep^3*z4+
         1781430365169008492592037681508857265630368874116759/
         2218227877789990019697744000*ep^3*z3-
         561228206591974432059252352/585*ep^3*z3^2;
Fill mncnoptab(11,10,3,4)=
      +mncF321*(4512943571456314874880+36988453276708803950080*ep+
         4981877219842395250780336/45*ep^2+56259305273779813175887372/
         315*ep^3)
      -39065923979001821404829530204257406508683003481/
      1759404506026668621120000-66439663621681476016/135*ep^-3-
         3924826979432621881603469977/714249900*ep^-2-19053652917758414\
         714040896695566371/989714658933000*ep^-1-
         8015912404446253920189632/135*z3+80306909718748978477206332204\
         57875278308502750710573984872067504373214092054206470178424736\
         219703317/3699746846756453680866655407554629988177096009181224\
         5159280640000000000000000*ep-4007956202223126960094816/45*ep*
         z4-27109922133308628180208853891761/27471150*ep*z3-
         10670868004622929167318501050185151657059932733557816225833408\
         982757171613424697136453805126855845613915743551/
         10737955820987377232918920282129691280629808789731915956334397\
         436723200000000000000000*ep^2-259223249653462716088834048/45*
         ep^2*z5-27109922133308628180208853891761/18314100*ep^2*z4+
         8358363305247771749740905583446715126859/3464001306265500*ep^2
         *z3-9589872116887192225789844190298309024402451704410702136824\
         59574716440792158999629701959932787134236544298830303251342767\
         903209410170921794877912901254203/
         21574607016495954899802054920785006611322031853890948133609470\
         92643483348228647296452226302306803557335040000000000000000000\
         0000*ep^3-384826918277970947173156256/27*ep^3*z6-1477282573104\
         774925946561728817017/119041650*ep^3*z5+8358363305247771749740\
         905583446715126859/2309334204177000*ep^3*z4+512161146853692687\
         31428459673090021259176048901/29774537794297468972800*ep^3*z3-
         280624177316136222782571776/135*ep^3*z3^2;
Fill mncnoptab(11,10,4,3)=
      +mncF321*(4165794065959675269120+34165217868873514536960*ep+
         511855676992809303351296/5*ep^2+156292093312287988188356536/
         945*ep^3)
      -429722691029672323561137334776294681887069722681/
      20966237030151134401680000-292864506155914574464/585*ep^-3-
         4322972943894369920823676607/773770725*ep^-2-25157322428648672\
         3380746315263961427/12866290566129000*ep^-1-
         32063054090299012517040128/585*z3+5750428959424735237290038402\
         77727144245760933213945631515413689663825109880291484783729094\
         621879561720171/2872976751401278164982320145813088673485787620\
         996193544102005964800000000000000000*ep-
         16031527045149506258520064/195*ep*z4-7050735453293760841350998\
         56381006/773770725*ep*z3-3674787625479244921750683667806841537\
         97346146452504092865154840897539500470570863335190617630589634\
         5133983244817851/401284567667512278779001996890041316284656374\
         3448081872321873218086371328000000000000000000*ep^2-
         1036890886227004054688814592/195*ep^2*z5-352536772664688042067\
         549928190503/257923575*ep^2*z4+1000862160819137045480778928318\
         62822600923/45032016981451500*ep^2*z3-
         65967565216378638316985683923847886445689703199547857851960538\
         44489318587736156776408957839549032493271418063529591793135625\
         07234740564158068744146065186797/
         20941751877345406889407861309775313084056585586176813655023593\
         11259274503347273642422960997439137319653212160000000000000000\
         0000000*ep^3-1539304802295356575774701824/117*ep^3*z6-32908746\
         1449556220641932745709846/28658175*ep^3*z5+1000862160819137045\
         48077892831862822600923/30021344654301000*ep^3*z4+335454447885\
         3944301050477415950260962215338469791/
         2096623703015113440168000*ep^3*z3-1122503253656882250979003904/
         585*ep^3*z3^2;
Fill mncnoptab(11,10,5,2)=
      +mncF321*(1636561954484158141440+13452867184755383911680*ep+
         607018466288631492591056/15*ep^2+1380003648326643882746860/21*
         ep^3)
      -51044448786788682083552431928435395317335717741141/
      6337793936542828627707840000-52477757296083669968/585*ep^-3-
         3268474378206374246597077841/3095082900*ep^-2-3536978515140636\
         42348285298762948411/86311365881115375*ep^-1-
         12597576266985649365929536/585*z3+1580266669920423868414267421\
         03563057585691786234308913851951855096721159196611875716099659\
         77810414765235193391681/20103895851701834178572832971417571255\
         1906022308591795898790320716696780800000000000000000*ep-
         6298788133492824682964768/195*ep*z4-55465271365385660861041803\
         6367229/1547541450*ep*z3-4642639385844841160610270188299903528\
         21671955713999563245784832280286374194200694669232012243870676\
         8023551684936614436870387/129169031723632989249462887374776209\
         46479924684287037588788424306949602423548674048000000000000000\
         000*ep^2-407354871422103032323791104/195*ep^2*z5-5546527136538\
         56608610418036367229/1031694300*ep^2*z4+1495523955872703534945\
         90544616139365840563/172622731762230750*ep^2*z3-
         41300879261484798442975434074714684189470400937955103250353023\
         94921857593595826804497902430050933218844736092255147201093057\
         0130110193727922665056518759150844918819/
         68798824925162976202371526274252667580153080797692786248984095\
         85880658446425854338131946071598159505486052157135257600000000\
         000000000000000*ep^3-604733518999661723802721888/117*ep^3*z6-
         2347547982636746002824939951149801/515847150*ep^3*z5+149552395\
         587270353494590544616139365840563/115081821174820500*ep^3*z4+
         2863717452663799278418028994210126927580974415232741/
         4436455755579980039395488000*ep^3*z3-
         440968282012784494183502848/585*ep^3*z3^2;
Fill mncnoptab(11,10,6,1)=
      +mncF321*(218208260597887752192+9004750847751834550144/5*ep+
         49092710282062819397872/9*ep^2+42228282831325916142573796/4725
         *ep^3)
      -17864859125320793326870454957353680574606720049893/
      16636709083424925147733080000-384250720697852272/8775*ep^-3-
         63930684607462414659330853/11606560875*ep^-2-19454790946502910\
         453595437007203443/328805203356630000*ep^-1-
         25197453259853558515635584/8775*z3+
         96025560175788097271530565472542696693643232419884391718012262\
         8928485820161966198277833638869335011730585889678774491/
         91995427417387593201149283677206806063752195808411605803286450\
         759960446894080000000000000000000*ep-
         12598726629926779257817792/2925*ep*z4-555792240246588462281047\
         011134852/11606560875*ep*z3-2810324238520870134843341346806613\
         32539961024315441548524116380415727783570456917418907064260564\
         08813416912197526391635375812073/59107748916734455880554217262\
         69759345109213535529748400629582962860138069015873244364800000\
         00000000000000*ep^2-814717899771439483860141376/2925*ep^2*z5-
         277896120123294231140523505567426/3868853625*ep^2*z4+168565369\
         540545903120274106490925579468903/1479623415104835000*ep^2*z3-
         29384188422004535848658567108745972438929927303555896022960162\
         30632721509626426088076745239161813347364458663705862502522268\
         136552876321989264575965820849635279847874343/
         78705855714386444775513026057745051711695124432560547468837805\
         66247473262711177362822946305908294474276043667762734694400000\
         000000000000000000000*ep^3-1209478123027232446532394272/1755*
         ep^3*z6-2383398063973141515764257240893248/3868853625*ep^3*z5+
         168565369540545903120274106490925579468903/986415610069890000*
         ep^3*z4+748580681502634540657657716450440732913226113409037/
         8318354541712462573866540000*ep^3*z3-
         881911254775896264060418112/8775*ep^3*z3^2;
Fill mncnoptab(11,11,3,3)=
      +mncF321*(338470767859223615616+14119966314861724341024/5*ep+
         653195237097884454014294/75*ep^2+114957290662987197627474344/
         7875*ep^3)
      -429819209799654215153591691476848248935086914259/
      258045994217244731097600000-2200869141946375318/45*ep^-3-
         211699596256868085474380329/380933280*ep^-2-372881536306827367\
         597777704153727/184562174160000*ep^-1-200385991065308109613112/
         45*z3+36623199828733352785457698351763668227155934467619374907\
         10490802204714694382856916042593983667138827/
         22609564063511661383074005268389405483304475611663038708449280\
         0000000000000000*ep-100192995532654054806556/15*ep*z4-35553822\
         2536182766182944245276837/4761666000*ep*z3-
         18482982379702198812867791834234488243614967086354282995788916\
         4866385332099639262239136344646017634437992100381/
         25264023834378634767450904108232912540815133458063702263931207\
         30251264000000000000000000*ep^2-6480539266828193538149728/15*
         ep^2*z5-355538222536182766182944245276837/3174444000*ep^2*z4+
         476172628468368584913779104747269499709/2799192974760000*ep^2*
         z3+29612819168253881553242463012923601544740021859530975635358\
         67271624132020263297506294321379540436787107370151829281131433\
         6998484402725332258014297923319683491/
         31478295478263946103996211423631124409823722975070703363894468\
         05929456113112639302238137183138460823261029806899200000000000\
         0000000000*ep^3-9620615904709636252418036/9*ep^3*z6-1578246184\
         468280292872181912773953/1587222000*ep^3*z5+476172628468368584\
         913779104747269499709/1866128649840000*ep^3*z4+201557633442742\
         11139867884385694313944446528373849/
         129022997108622365548800000*ep^3*z3-7015733976325431089604608/
         45*ep^3*z3^2;
Fill mncnoptab(11,11,4,2)=
      +mncF321*(208289703297983763456+8696032467619402988544/5*ep+
         402813019936974240237424/75*ep^2+71013261959515129505201644/
         7875*ep^3)
      -227413060576169976529719928303808235070497964427971/
      221822787778999001969774400000-9952475818535372144/585*ep^-3-
         124181639558351393203944433/619016580*ep^-2-482442485998187785\
         50506070920285983/61650975629368125*ep^-1-
         1603255401362009042524096/585*z3+23420024888833164521550847468\
         34483329484721995770319702050804283386598317845405981859192972\
         04409428684860427/23602770559432039751306510016222376321018364\
         599017539670657265041408000000000000000000*ep-
         801627700681004521262048/195*ep*z4-355701134333636337599211279\
         741037/7737707250*ep*z3-67773739190802631173358837040623830053\
         72711719251639130280189673385830102292558931179954706451069566\
         5541106833910792679/151649562932789740360504000393040538960269\
         6144957151966374145804798253313556480000000000000000000*ep^2-
         51844909023980664720026624/195*ep^2*z5-35570113433363633759921\
         1279741037/5158471500*ep^2*z4+13649433014328097023264400025302\
         70285539/13077479678956875*ep^2*z3+
         19911515832095772651846977223755870667139141423303487659377521\
         16254265930000530599237999509308634994423007501675759460203301\
         447762516980832050443839914339486020517/
         19513552758453211509597771442566052177271774990861204368795000\
         22229699491799090666653932430513447556643628682445848576000000\
         0000000000000000*ep^3-76965735835289992558777888/117*ep^3*z6-
         1582823611897239543825581758243753/2579235750*ep^3*z5+
         1364943301432809702326440002530270285539/8718319785971250*ep^3
         *z4+10741170803871118190269208698309787305254275018115881/
         110911393889499500984887200000*ep^3*z3-
         56124037014661814181854464/585*ep^3*z3^2;
Fill mncnoptab(11,11,5,1)=
      +mncF321*(40914048862103953536+1712220690171724947984/5*ep+
         79630027395645518289784/75*ep^2+671951807624256971031614/375*
         ep^3)
      -357341466066727755253766851842203577740559606035993/
      1774582302231992015758195200000-2629870502276864/585*ep^-3-
         1150374494777995711156889/707447520*ep^-2-99837996632820538582\
         3405581137035633/55239274163913840000*ep^-1-
         314968337620220039412976/585*z3+294648679937103607247809031421\
         22239289177687969288517349303876746304730600842337884524155703\
         4825459045947424367/152108841629278427911953180683212311613346\
         884603855168325539766468188569600000000000000000*ep-
         157484168810110019706488/195*ep*z4-559673866967731168473015926\
         491151/61901658000*ep*z3-8504006355663630837502693373257889426\
         79605596418481833149397708007606694937008853315542587771358182\
         123513961807706262340949/9773106633057945747446133806662961880\
         14089539604786441903039511054917008765852057600000000000000000\
         00*ep^2-10183974206129033028711344/195*ep^2*z5-559673866967731\
         168473015926491151/41267772000*ep^2*z4+56122869674215071190423\
         7298883917634599373/27619637081956920000*ep^2*z3-
         40165251607148794605312784540521702223307157237862374748905960\
         26415602654202884123648836844469068869216092023617024041688834\
         9923921799810019700010804548271063645917807166177/
         17958548622581574129680674226380899913803566470635360528978507\
         66746916588168683485455775646082890946804364227391400320608239\
         61600000000000000000000000*ep^3-15118477140383439523360528/117
         *ep^3*z6-358417755204901841555177518130717/2947698000*ep^3*z5+
         561228696742150711904237298883917634599373/
         18413091387971280000*ep^3*z4+172508953635338511838086723013712\
         35161482835111149323/887291151115996007879097600000*ep^3*z3-
         11023887801619730245860784/585*ep^3*z3^2;
Fill mncnoptab(12,2,2,12)=
      +mncF321*(2847460564469581691904+1253429617132243870944352/55*ep+
         161949976256964417583029976/2475*ep^2+
         89716063772890707356084392232/898425*ep^3)
      -2450278111929247335969310833122706828275737372907053/
      174896832132859626905066201250-979400146033723484/81675*ep^-3-
         575596231541220827755334767/5206031473500*ep^-2-64369467406368\
         3392905176997123603891/2322857005466887890000*ep^-1-
         3060450355708119728802756448/81675*z3+404850403106750158309880\
         27029703945436568313631853914746265113549357005844363629510881\
         404861089001/2898113773679690181686635978903345884952717442833\
         32430528512000000000000000*ep-1530225177854059864401378224/
         27225*ep*z4-160220119779848259008653450683948716/260301573675*
         ep*z3-10163189259713483314744414380929019693944111771756869326\
         78741800540253998510772560476910491877978629653432947/
         15517164464561581040239033468291365265842997166897934021763526\
         13826560000000000000000*ep^2-32984854116260239525025307824/
         9075*ep^2*z5-80110059889924129504326725341974358/86767191225*
         ep^2*z4+168177567149072311052967978909825737439721339/
         102478985535303877500*ep^2*z3+13029130083297022054334775993980\
         15499756287074509763370628262941528069109892356569290978624389\
         06480345712855172082784401453007175802307/
         87136124126983849533887637709061246694379707648668662644087867\
         633647839754088110704558080000000000000000000000*ep^3-
         146901618345317017998212506984/16335*ep^3*z6-37123282315716872\
         8332956661229031753/52060314735*ep^3*z5+1681775671490723110529\
         67978909825737439721339/68319323690202585000*ep^3*z4+
         21699314696092339500418621461968000777132819507266205953/
         27983493141257540304810592200000*ep^3*z3-
         107115763850013697034596106704/81675*ep^3*z3^2;
Fill mncnoptab(12,3,1,12)=
      +mncF321*(1213119293738520010752+534623595517367575482816/55*ep+
         7690941900434117939469952/275*ep^2+
         12817515647640016909205467564/299475*ep^3)
      -960135894393383417851335458948603706706608877361/
      160862008572435257503416000-456282531172915144/117975*ep^-3-
         5094568304821237009590293/180682251750*ep^-2-
         570361442283089582205456870281/32454848712536250*ep^-1-
         1883354067359158360561563968/117975*z3+29716868558617015370785\
         15001486242194980470305289041373591819702301468545514985592941\
         749780327/4997907877536029232504396607401385799673044374600632\
         2380800000000000000*ep-941677033679579180280781984/39325*ep*z4
         -4740742779551632675006423321701664/18068225175*ep*z3-
         46949993956378036516365274584118971151336338103830645006971575\
         385934607957850737204071680870325970638044291/
         16858763899414233903035543276663188608397724511245193465093792\
         2027520000000000000000*ep^2-60895115300586418139323126752/
         39325*ep^2*z5-2370371389775816337503211660850832/6022741725*
         ep^2*z4+826022034861774582428303291363831789952757/
         1185556532381471250*ep^2*z3+4783026431932984551941458311508875\
         95716732710461177645996402863714185591304976298547548947203083\
         79978442940977993541307376360862229381/
         91401483632837541739538449326849940023970244439951477433471746\
         856592292065844520518942720000000000000000000000*ep^3-
         90400995917200048028703908144/23595*ep^3*z6-183833826304574797\
         74863707565922514/6022741725*ep^3*z5+8260220348617745824283032\
         91363831789952757/790371021587647500*ep^3*z4+10906262907154150\
         4348587635879993467914327966361314229/
         323734792252025955725624700000*ep^3*z3-
         65917393119918914695620205664/117975*ep^3*z3^2;
Fill mncnoptab(12,3,2,11)=
      +mncF321*(14456338250384030128128+576277425663091315485504/5*ep+
         24654176602014082024476224/75*ep^2+
         1504631108197442893500155628/3025*ep^3)
      -15425716814193221117002600437799591510380866275751/
      216875867172421454737740000-588876416171010136/2475*ep^-3-
         159687026216733171072629/52302250*ep^-2-4368010076226827089956\
         803099188477/315042994618852500*ep^-1-
         470838507884374328467040192/2475*z3+24158271143066592286318851\
         11889237638746951730523025959678153239339359351710705258367499\
         154335573/3396069151208007095024562969930914498991326647728424\
         668364800000000000000*ep-235419253942187164233520096/825*ep*z4
         -440462622691092567046785797373176/141216075*ep*z3-
         91307348853509297257569062305251614431512197871437932759174679\
         257476089556631506477433361708168493547842017/
         27274997291812497713138129044474011022965138010171676634394851\
         803136000000000000000*ep^2-5074592930570104524921558496/275*
         ep^2*z5-220231311345546283523392898686588/47072025*ep^2*z4+
         3982271875322722790963780426162468231100377/472564491928278750
         *ep^2*z3+25224811295377308856259822599254810235155532729317580\
         15982690819248600824034833848857254130740891559361275884571049\
         40937006930332953485852571/33772391194915307485050759334024418\
         58915688546933987115428064310477656895686922110914674032640000\
         0000000000000000000*ep^3-22600248933623283197913493136/495*
         ep^3*z6-387080838327745230218312076442322/10862775*ep^3*z5+
         3982271875322722790963780426162468231100377/315042994618852500
         *ep^3*z4+27795748454995765898349374544199792551074472989001697/
         7590655351034750915820900000*ep^3*z3-
         16479348366784898744251786016/2475*ep^3*z3^2;
Fill mncnoptab(12,3,3,10)=
      +mncF321*(66721561155618600591360+530399359349296054281216*ep+
         7525530039450176484578272/5*ep^2+12319977181614499396343849728/
         5445*ep^3)
      -141635084769287910934665207831713985643067091077/
      431448074940184908606000-23815818752873754304/2145*ep^-3-
         4093398245951709179492453416/31208752575*ep^-2-312454591111412\
         130487000768302990241/605430450528403500*ep^-1-
         1883353555316993887564325888/2145*z3+2557056743532434452531479\
         02504580994217383089844361234403262485399201592439457277756763\
         50390595773/77724123929101804527043626580665936663855084928614\
         87081062400000000000000*ep-941676777658496943782162944/715*ep*
         z4-89727124128556002727171516283915488/6241750515*ep*z3-
         67428388365546113013634764782916060660104052535039950746169236\
         266159855307989548898824707050349537062617389/
         43424634679710882183528180152153447761864043254919215272178646\
         77785600000000000000*ep^2-60895113483352753141739173632/715*
         ep^2*z5-44863562064278001363585758141957744/2080583505*ep^2*z4
         +116409312993564916549380843948288759179276/2967796326119625*
         ep^2*z3+171112210537811723401249415858573464410989132021531954\
         12748483013165498448616926702290301175330760262962408554171483\
         41293625766793401049/61242405830898716274826578661968164435280\
         21818470854798310547182424007522901647781212979200000000000000\
         0000000*ep^3-90400993447370632768826597504/429*ep^3*z6-
         338065480531588251304490877796788544/2080583505*ep^3*z5+
         58204656496782458274690421974144379589638/989265442039875*ep^3
         *z4+105300721283142996181075553305515911813055649426507/
         6606548647521581413029375*ep^3*z3-
         65917398738255897095797601024/2145*ep^3*z3^2;
Fill mncnoptab(12,4,1,11)=
      +mncF321*(3494938917675260030976+139665226771646473453248/5*ep+
         2000505507950686945109376/25*ep^2+6330861045550000736582655028/
         51975*ep^3)
      -1048948635360551790198177606843061486507206871782169/
      61001266639224725541687960000+3086605364056504/2925*ep^-3-
         422833068599944630173569/12159254250*ep^-2-1102745803375519630\
         423429566873023/2109833388205042500*ep^-1-
         134525291748386703151074112/2925*z3+43036862370658355033821982\
         00050970942500646242096741082219802433217738294186180611177667\
         5013420178617/250745678443851196581961311827603680292570974556\
         257573184471040000000000000000*ep-67262645874193351575537056/
         975*ep*z4-1285181480934584221960994961277688/1702295595*ep*z3-
         46369942807585267138055185794628413327514828259264387211974709\
         5321987667710756299632058251529817016460841347717/
         57537846559682637221215480407001765980718729775093977845557503\
         2810700800000000000000000*ep^2-1449883698914801515641399456/
         325*ep^2*z5-642590740467292110980497480638844/567431865*ep^2*
         z4+8964139503522643424799458900647928314147/4432423084464375*
         ep^2*z3+666003903926687500500017793524856354298585148198828855\
         65685705661899598416673119733280162765304390442697072911394845\
         876582536725424898911577509/3226951978674157630196600054366033\
         19619394040659542468879151544866140116382885407697897103818752\
         00000000000000000000000*ep^3-6457213999242413468810760496/585*
         ep^3*z6-24691573843047684273283419452169038/2837159325*ep^3*z5
         +8964139503522643424799458900647928314147/2954948722976250*
         ep^3*z4+141211506577573646757929247253262275037761395599896999/
         152503166598061813854219900000*ep^3*z3-
         4708385205972442157957870176/2925*ep^3*z3^2;
Fill mncnoptab(12,4,2,10)=
      +mncF321*(37861838274815317002240+301373478553388238821824*ep+
         38573797437047286616400512/45*ep^2+
         13437471033213515071072517372/10395*ep^3)
      -262237369104800172413940870302455757354773642738669/
      1407721537828262897115876000-523793452130372488/135*ep^-3-
         62120131759678221541664773/1309458150*ep^-2-581314527989256134\
         48421402074643367/292130776828390500*ep^-1-
         67262634140351158222895936/135*z3+1541716941126033463638161478\
         13691166395626433495498557603508772857628067698418649052803555\
         3675275451/826634104759948999720751577453638506459025190844805\
         186322432000000000000000*ep-33631317070175579111447968/45*ep*
         z4-118761905066800573987496358346552/14549535*ep*z3-
         93390522027249504885380998286425615226784745741768503739104615\
         318170797029038177311970781152193491554917301121/
         10622371672556794563916704075138787565671150112325042063795231\
         374966784000000000000000*ep^2-724941835659950335882891168/15*
         ep^2*z5-59380952533400286993748179173276/4849845*ep^2*z4+
         81650707012636526627959898180604985675583/3682320716324250*
         ep^2*z3+128708265686542670154794346607430216591058471665882765\
         27695601867846052360443432588496356326572956226238902492494337\
         2749781837335984308322757/860450996252805444380153537444078017\
         73109270699457833492340020851507949584964596428818717081600000\
         00000000000000000*ep^3-3228606943399600932361562288/27*ep^3*z6
         -2427887763408903185793762320346230/26189163*ep^3*z5+816507070\
         12636526627959898180604985675583/2454880477549500*ep^3*z4+
         65311347477151787174073531486711247996193564510859107/
         7038607689141314485579380000*ep^3*z3-
         2354192733462023070308748128/135*ep^3*z3^2;
Fill mncnoptab(12,4,3,9)=
      +mncF321*(157272251295386701393920+1249221152538158974175232*ep+
         17700506382733879588577184/5*ep^2+6136910580769824119227557388/
         1155*ep^3)
      -495723414619528406505696331072080241409442869869/
      640635020365729106718000-8911857115597307296/65*ep^-3-
         165688400825087197079227206/105079975*ep^-2-269146674793432219\
         20360082006588696/4586594322184875*ep^-1-
         134525095708940869952563712/65*z3+1896859720113229685368041755\
         93928409533674905052319277263859217149137149041276491761952769\
         711380331/2442508945022278930142785122624743239717107046017077\
         8705920000000000000000*ep-201787643563411304928845568/65*ep*z4
         -427104752412568794231589873649576/12609597*ep*z3-
         25010891225971543489124580109379325211017174590195880081136505\
         46067277605789150033964786121505253891162058209/
         68231749216156268301840013707087347773972683004362403345735247\
         462400000000000000000*ep^2-13048951204736811270929618304/65*
         ep^2*z5-213552376206284397115794936824788/4203199*ep^2*z4+
         1020494609255062981896436783680642721211/11012231265750*ep^2*
         z3+24163728236429776246566000052131987430008863010544467764817\
         25296060903458066311300647589093129992386173796632030685212267\
         692728074131892753/4022340728646681118297251833107044874020873\
         58941542562061877913709823703973293409827815424000000000000000\
         00000000*ep^3-6457213054513935200488527296/13*ep^3*z6-24066561\
         320817540075729541396751488/63047985*ep^3*z5+10204946092550629\
         81896436783680642721211/7341487510500*ep^3*z4+2955295226203361\
         6130712348540503287570889361398107/800793775457161383397500*
         ep^3*z3-4708387361676947783202958976/65*ep^3*z3^2;
Fill mncnoptab(12,4,4,8)=
      +mncF321*(329522812237953088634880+2617129752030178303488768*ep+
         259541837855291059198349472/35*ep^2+
         24540271757635024614917374304/2205*ep^3)
      -793154669243577177009250925253209575032784837723/
      489212197370193136039200-607955729520499813728/455*ep^-3-
         8947978049863082249578219582/601821675*ep^-2-45286253887697452\
         9677707978713132004/8756225524171125*ep^-1-
         1973024231684170264072284416/455*z3+20938222690403347068238339\
         79381343226106196725796238854308948269878803330484226420115546\
         97783018839/12880418264765924045674843420091419428195681687980\
         684083200000000000000000*ep-2959536347526255396108426624/455*
         ep*z4-8541611416265637386236401754742392/120364335*ep*z3-
         55266947215947990017697345380128068091160387532091658550833560\
         71394929953351960027177867883128417377769645629/
         71963173001414814224596889456693687105361814106163472278705143\
         808000000000000000000*ep^2-27340643707418349408076820096/65*
         ep^2*z5-4270805708132818693118200877371196/40121445*ep^2*z4+
         200075896811616170567712532484509048682291/1030144179314250*
         ep^2*z3+139318540278782649461625278307902444801601722560397621\
         74147818840633760510403480628966479447286364619274178995576916\
         6657031737190823465528809/143390162068865671428049688394276920\
         00122848584767646177252725939515043447110451789408763904000000\
         00000000000000000*ep^3-94705740860122137796232728128/91*ep^3*
         z6-10691330962817742127093488498145344/13373815*ep^3*z5+
         200075896811616170567712532484509048682291/686762786209500*
         ep^3*z4+471297332057794840383505218187374943735839165490397/
         6115152467127414200490000*ep^3*z3-
         69056463577750938763469488768/455*ep^3*z3^2;
Fill mncnoptab(12,5,1,10)=
      +mncF321*(5824898196125433384960+46550877125018226810080*ep+
         6000682007793825571367792/45*ep^2+2110506719300310080230315946/
         10395*ep^3)
      -10489490446153669309674193302854674755607529627387161/
      366007599835348353250127760000-43375628306833676/1755*ep^-3-
         17657224573780238165122559/34045911900*ep^-2-45099316911164252\
         24824046561053021/1085057171076879000*ep^-1-
         134525290167201013335753952/1755*z3+11567776548612469786585744\
         49137963523431113505409895258715837931490636178097047243318835\
         83505380944425239/40440263019424320984738720371555921557585846\
         7764332214031914893312000000000000000*ep-
         67262645083600506667876976/585*ep*z4-1070937531402263381886869\
         5101731408/8511477975*ep*z3-3490671222201257037834026299521065\
         75416800251974890137536178281516442667272834672551600831156725\
         8048255448631078013/259831709008077240469053715041154854886368\
         8686675603889140823956167875100672000000000000000*ep^2-
         1449883697268174240560760176/195*ep^2*z5-535468765701131690943\
         4347550865704/2837159325*ep^2*z4+32277694800822139968428982105\
         1767818696423/95740338624430500*ep^2*z3+
         25638247726896206398417544828675505084989205173310468510288628\
         70203946196141040303853152328910093241899269028914809886883679\
         7121733015742625611729/176149875886961525187051822290759759160\
         11525527793264713511543775880672543770749048882624429008355328\
         0000000000000000000000*ep^3-6457213992623183575855543816/351*
         ep^3*z6-123412253366224857553473257433002581/8511477975*ep^3*
         z5+322776948008221399684289821051767818696423/
         63826892416287000*ep^3*z4+562783111186212615600718450799024052\
         91141549811666809/36600759983534835325012776000*ep^3*z3-
         4708385227816996966363902736/1755*ep^3*z3^2;
Fill mncnoptab(12,5,2,9)=
      +mncF321*(56792757412222975503360+452373347082883775508960*ep+
         19325515783035510515088944/15*ep^2+449700360404121706963489072/
         231*ep^3)
      -403443045290837976280522682660357384038708669158041/
      1443816961875141432939360000-1102041623183443964/45*ep^-3-
         259806818028130586643474641/872972100*ep^-2-454693505561078889\
         68430856658456557/37095971660748000*ep^-1-
         33631298710063698128938528/45*z3+39396944641576174671936738380\
         31568271337617048646592939236772369634421244370855001919193223\
         382711753289/1408176300138232133055162785967442662657310270784\
         316034932277248000000000000000*ep-16815649355031849064469264/
         15*ep*z4-2673041076525228005472367056698267/218243025*ep*z3-
         66221386758953105418367937239464166140325660418124225005687038\
         206410538309117645085144588279841714191001447312339/
         50264654762211136526319701478187601627625787966360034435209917\
         90272348160000000000000000*ep^2-362470896081988583595486064/5*
         ep^2*z5-2673041076525228005472367056698267/145495350*ep^2*z4+
         46561363062513381913902264599150879509829/1402788844314000*
         ep^2*z3-612849862529143649221863716649080887589186874031525088\
         93108380422789700085986916750638797241734098554141631891182420\
         292191046235240406841634350257/3986931347235754685303642068309\
         37726494088026349230271293471155421167485558597200694874215471\
         38252800000000000000000000000*ep^3-
         1614303383013916777115218024/9*ep^3*z6-30435817185719341924122\
         281348459494/218243025*ep^3*z5+4656136306251338191390226459915\
         0879509829/935192562876000*ep^3*z4+264359843214573842747871574\
         45367139873134765408379161/1876962050437683862821168000*ep^3*
         z3-1177096567707932787343423504/45*ep^3*z3^2;
Fill mncnoptab(12,5,3,8)=
      +mncF321*(209696335060515601858560+1667924391023900230193280*ep+
         23692423908830833140499088/5*ep^2+1648645120925753578710590720/
         231*ep^3)
      -2332816863611220118195453724061615005084576955349/
      2261064777761396847240000-135071653542627653264/195*ep^-3-
         144894894829206280691322079/18543525*ep^-2-1077494237514206979\
         165703519455398/38542809430125*ep^-1-
         538098193689547888545862528/195*z3+353654062863105954134978387\
         60991374425051890619552945018595244806740906039263704044735059\
         248337468677/3422655457335447111117362314295665021390350553637\
         533935206400000000000000000*ep-269049096844773944272931264/65*
         ep*z4-2514054870726206814356996491650836/55630575*ep*z3-
         83229652119028449687528790208850081317550973615788210380466608\
         06087958547391228174843288544957639541557164461/
         17073615555237632394463183576980266940683881385972117932790828\
         2368000000000000000000*ep^2-17398593846994906244131776192/65*
         ep^2*z5-1257027435363103407178498245825418/18543525*ep^2*z4+
         56918502369182073601441968299098504991779/462513713161500*ep^2
         *z3+2627476959998343093629497249960088503737515617292177917190\
         02368858428331204261836090106950529018674517231275734830434275\
         39469018722501243280059/31141401864699800948604637453833987497\
         70269936230306746700784325838267128128859657853646929920000000\
         00000000000000000*ep^3-25828841673647585421924733024/39*ep^3*
         z6-28476581060867992209826716642768752/55630575*ep^3*z5+
         56918502369182073601441968299098504991779/308342475441000*ep^3
         *z4+11426425865781998417138589488552165506664907927211/
         226106477776139684724000*ep^3*z3-18833573541821666768833568704/
         195*ep^3*z3^2;
Fill mncnoptab(12,5,4,7)=
      +mncF321*(384443280944278603407360+3059341448238232191323520*ep+
         130487313910045311685686704/15*ep^2+
         1377512730304959150290825744/105*ep^3)
      -19828462287000884703024836265591996332296654930609/
      10483118515075567200840000-2951498433704427320912/585*ep^-3-
         14241118909921303900865544107/257923575*ep^-2-6952490090815108\
         92377472315933532288/3752668081787625*ep^-1-
         2959491489891007214324055424/585*z3+63621985873558728892431037\
         83898815916137244450898372842158709535698943917301398129111671\
         430827236787349/3358792498364756552775813862950206548688023312\
         98657120288768000000000000000000*ep-
         1479745744945503607162027712/195*ep*z4-23749175522251107265802\
         25043299284/28658175*ep*z3-59861370266753322841786160660033215\
         72573601725778225109348269501797010349262353980527234624185406\
         477348353800567/6702016321741092785978201273482866299981567900\
         3127870509357350256640000000000000000000*ep^2-
         31897364639917772987854370112/65*ep^2*z5-118745877611255536329\
         0112521649642/9552725*ep^2*z4+18084896293266199749083635139311\
         795670519/80270975011500*ep^2*z3+
         19343206295055099156592318439724669954177636441503213214149948\
         46250379922528387530051548728787328435118766383384394835269743\
         8697842292768300759683/607611422272061072502745410192532297170\
         91995688710509829796877615860113493555627913177104121856000000\
         0000000000000000000*ep^3-142058395134684474838182637792/117*
         ep^3*z6-242535755266198455377604080681526392/257923575*ep^3*z5
         +18084896293266199749083635139311795670519/53513983341000*ep^3
         *z4+97998468066728797164371730477470521399669137034027/
         1048311851507556720084000*ep^3*z3-
         103585188698285092595398436032/585*ep^3*z3^2;
Fill mncnoptab(12,5,5,6)=
      +mncF321*(384443280944278603407360+3066927591221342231216064*ep+
         131388282670951743894850184/15*ep^2+
         20929245521145695834842621004/1575*ep^3)
      -39653995462600995951444185101036383576293118972377/
      20966237030151134401680000-7972191363348271597736/585*ep^-3-
         75845107550656274461659532087/515847150*ep^-2-1435257828590214\
         6898735960807718142029/30021344654301000*ep^-1-
         2959381017549701747869949632/585*z3+10504937072253074041710593\
         55763683793820475297424251203466597450579059831526089960940869\
         702447046370903177/5542007622301848312080092873867840805335238\
         4664278424847646720000000000000000000*ep-
         1479690508774850873934974816/195*ep*z4-71331617806080499899923\
         37293088046/85974525*ep*z3-68901304339004405631232921934538043\
         45733492237406312880581185556700016527521865080219174798552783\
         515602311607087211/7740828851610962167804822470872710576478710\
         9248612690438307739546419200000000000000000000*ep^2-
         31897234088604008293905747616/65*ep^2*z5-356658089030402499499\
         6168646544023/28658175*ep^2*z4+3949983168246350067566982899342\
         51919080213/1765961450253000*ep^2*z3+
         58866498751273217413568813659779703564390080455050133299663543\
         40799915714794009373780164247197622740105776664765983862461405\
         67174238237490836767538077/13033265007735710005183889048629817\
         77431623307522840435849143024860199434436768218737648883413811\
         200000000000000000000000000*ep^3-
         142057862889943186448640889456/117*ep^3*z6-2450278099469410334\
         96438557952518196/257923575*ep^3*z5+39499831682463500675669828\
         9934251919080213/1177307633502000*ep^3*z4+10272447474736732461\
         42157801657092665951929096874503/10483118515075567200840000*
         ep^3*z3-103586404030814055657743695456/585*ep^3*z3^2;
Fill mncnoptab(12,6,1,9)=
      +mncF321*(5897709423577001302272+47249409984853588874208*ep+
         3398747911672488683160888/25*ep^2+1202684293421465720046235256/
         5775*ep^3)
      -10489509303815746525667143891104515402740738972678571/
      361488987491702077284076800000+5343873565177112/325*ep^-3-
         99037992652431100544276599/75657582000*ep^-2-81404917275918797\
         551300373437775207/4822476315897240000*ep^-1-
         25223492366604935014027376/325*z3+1320464054595384895621668691\
         31835336552699807003154347765408239926733647332704451336255091\
         9571693693180159753/456705370366031998320982615396104874123669\
         4962618525137133758861803520000000000000000*ep-
         37835238549907402521041064/325*ep*z4-4825025602788152113688971\
         9434715351/37828791000*ep*z3-198754421309407182557266129007053\
         56000130965610518029110368683908842519577849807530322881927658\
         2434847786174496502616443/146718305019894281784858997759905441\
         392502954507615766273485192724946014017945600000000000000000*
         ep^2-2446678743442656474102104592/325*ep^2*z5-4825025602788152\
         1136889719434715351/25219194000*ep^2*z4+4805872086128720449041\
         45250958014893423587/141837538702860000*ep^2*z3+
         53332574830692058540662119418115699838865675373122964012432401\
         12660971866552409430977125320320744494391232372361466072836034\
         175758584121985352783131670867/1368054858552020458904690677951\
         78795945501784151033648500388795873441977554312254272217919391\
         93602569771417600000000000000000000000*ep^3-
         1210727625538025769544038608/65*ep^3*z6-1869958982075049451456\
         45349515080419/12609597000*ep^3*z5+480587208612872044904145250\
         958014893423587/94558359135240000*ep^3*z4+11740192343999252576\
         128851719743445935067347651955497/7229779749834041545681536000
         *ep^3*z3-882822223844375208478497968/325*ep^3*z3^2;
Fill mncnoptab(12,6,2,8)=
      +mncF321*(51113481671000677953024+408411238729977789834528*ep+
         29241741144206695943020896/25*ep^2+
         2056886001417768231810385708/1155*ep^3)
      -114017190926967670798937344648124622395065463708123/
      453372475951131367831200000-1940065141928633692/25*ep^-3-
         1352382164553402406428382619/1454953500*ep^-2-1503211980073578\
         3800182092018788819/4032170832690000*ep^-1-
         16815618705402831819058784/25*z3+74876443801851232991021832208\
         40077436274715457205273612283878232052546932043457535807173477\
         4023610143731/298328654346540550742698719296159642900599326048\
         97347519947735040000000000000000*ep-25223428058104247728588176/
         25*ep*z4-4015660315829880208894612054986418/363738375*ep*z3-
         11299776673055749780624288162482990711881488389504828792384509\
         749742366150503862080871735460262847861625891183734951/
         95839193810027096692659775919670673986532552850397004516020323\
         4250535731200000000000000000*ep^2-1631118706697901886870102128/
         25*ep^2*z5-2007830157914940104447306027493209/121246125*ep^2*
         z4+2374502129154224282703404970405821405833/80224852207500*
         ep^2*z3+293520414262647636655961549937300844434923825221692111\
         48839511965774678447386834797541389674070592907702376179798955\
         0121341848880061448188252966727335549/
         10276854406190057533839323001440714839656083544999522874127764\
         11308909086195254313943944706970673269964800000000000000000000\
         0000*ep^3-807151543996249527525521672/5*ep^3*z6-15415252628895\
         356424495443679451217/121246125*ep^3*z5+2374502129154224282703\
         404970405821405833/53483234805000*ep^3*z4+13999494156157317277\
         991909419997737875905721555062047/1042756694687602146011760000
         *ep^3*z3-588548621725057267054784912/25*ep^3*z3^2;
Fill mncnoptab(12,6,3,7)=
      +mncF321*(165135863860156036463616+1318363123440040055509824*ep+
         94253718978410948819670864/25*ep^2+
         4726568601475856381666694664/825*ep^3)
      -14871653166087926536262899815097883653485230608943/
      18303857724735117334800000-530114145134364675864/325*ep^-3-
         2734534446609080001934496093/150114250*ep^-2-12541002621841523\
         42245072806250217783/19656832809363750*ep^-1-
         706246120900591599343662528/325*z3+636234829389715948706881954\
         40438678679993366317230549630478297563088164995167687355142767\
         40819828617367/78371824961844319564768990135504819469387210636\
         3533280673792000000000000000000*ep-
         1059369181350887399015493792/325*ep*z4-80279285359042602630626\
         96572840396/225171375*ep*z3-4177603271867744786786978799543457\
         64300856176155322049518474313551504428110657595169160136183771\
         82396953411445777/10946626658843784883764395413355348289969894\
         23717755218319503387525120000000000000000000*ep^2-
         68506880737716365894262420576/325*ep^2*z5-40139642679521301315\
         31348286420198/75057125*ep^2*z4+110847641377572456148325744088\
         256936279831/1156284282903750*ep^2*z3-
         10789851262056342257104303597122617958099156117403526047311680\
         92107741053013122723301318804634265432870796963433826976498050\
         895841083368308323290247853031/2856346316977994610960200562110\
         83036359731768111745728085572452511514090040663492505314077933\
         53989816320000000000000000000000000*ep^3-
         33900317308407887147459379024/65*ep^3*z6-921689888630700946552\
         06549749052822/225171375*ep^3*z5+11084764137757245614832574408\
         8256936279831/770856188602500*ep^3*z4+312570593733993337896336\
         6144358366570187815031729/73215430898940469339200*ep^3*z3-
         24719150583125517233105971104/325*ep^3*z3^2;
Fill mncnoptab(12,6,4,6)=
      +mncF321*(259499214637388057299968+2073748547930516435651904*ep+
         148517866482819261766165872/25*ep^2+
         4750743901337529548099490712/525*ep^3)
      -112655910468579641266234869587391943091127272189/
      88241738342386929300000-2762309944891699450072/325*ep^-3-
         79348384378314802462710498247/859745250*ep^-2-7051560418171901\
         7084790554607674922/231646177888125*ep^-1-
         1109772880525839570256804544/325*z3+14155150934681201298537132\
         98267632322976252689009987788942084896976863982139925410524051\
         093908435540508331/1108401524460369662416018574773568161067047\
         69328556849695293440000000000000000000*ep-
         1664659320788759355385206816/325*ep*z4-24094695586513097279627\
         177261007298/429872625*ep*z3-927321408715564432722285728136621\
         44212113568219198640063888190438560036075400054917295214797654\
         78996979362361654063/15481657703221924335609644941745421152957\
         4218497225380876615479092838400000000000000000000*ep^2-
         107653218222596731488062142048/325*ep^2*z5-1204734779325654863\
         9813588630503649/143290875*ep^2*z4+614045278790183464398570744\
         6190482140627/40878737274375*ep^2*z3-
         24734236682066732501240375563917762851792423944630678451493503\
         98448285408594789899276167926130300534710738160942699817553469\
         00037005893595782592973141462759249/
         88751984711666394552525214694398848081929626799441472993994664\
         48373121303730633087197618270396961210027212800000000000000000\
         000000000*ep^3-53271722671035445958902668752/65*ep^3*z6-
         92539080788560447310691589026950612/143290875*ep^3*z5+
         6140452787901834643985707446190482140627/27252491516250*ep^3*
         z4+6627448837565715436995695428823228783758561994191/
         97065912176625622230000*ep^3*z3-38844846529685614725349810592/
         325*ep^3*z3^2;
Fill mncnoptab(12,6,5,5)=
      +mncF321*(216249345531156714416640+1733140678157869117981536*ep+
         4990416255499778767536048*ep^2+803624405074295186194327388/105
         *ep^3)
      -991239146950321547118604725705601517648075643377/
      931832756895605973408000-996139453194298059284/65*ep^-3-
         56679756743638923260977301819/343898100*ep^-2-3549566865077071\
         548847508592515020021/6671409923178000*ep^-1-
         184950362008434363941388448/65*z3+2648833124152756147404811941\
         45000429366620638023469518073805319732655452410898382249406588\
         5296608484234763/250815430677889363609567631777333138161457649\
         452048642739064012800000000000000000*ep-
         277425543012651545912082672/65*ep*z4-4021292352952408650661961\
         372402794/85974525*ep*z3-2047368174816144798614904830801122322\
         65294228766773174902252518595996678830268695911112054198879984\
         57563009935239/41361015014173601193465470716351403451314819041\
         9303429429176790155264000000000000000000*ep^2-
         17942077683521369687036216016/65*ep^2*z5-201064617647620432533\
         0980686201397/28658175*ep^2*z4+6087769419576692280259261875873\
         272545603/49054484729250*ep^2*z3-
         35775721440346328191943543757634853738432818899539852762677532\
         87454283178386743811273557264028425848670880440866820970085785\
         116163506031615053511190314321831919/
         20083306254754224138742848582275396480253789835759327603212506\
         93460432020729903258588718191472683793811872153600000000000000\
         0000000000*ep^3-8878563660756467661547413784/13*ep^3*z6-
         15606114811039408326084786521834681/28658175*ep^3*z5+608776941\
         9576692280259261875873272545603/32702989819500*ep^3*z4+
         27888481671209207662065902197828764222311825317519/
         465916378447802986704000*ep^3*z3-6474270705667135698629929264/
         65*ep^3*z3^2;
Fill mncnoptab(12,6,6,4)=
      +mncF321*(97312205489020521487488+3919000417396555775872896/5*ep+
         11383094717952872291009952/5*ep^2+1854330220960435152487858196/
         525*ep^3)
      -11893979783455380316380449611386289047303844187921/
      24848873517216159290880000-3376351328695835034479/325*ep^-3-
         771543664322514878716981922741/6877962000*ep^-2-58505315671204\
         4129533284494087503982033/1601138381562720000*ep^-1-
         416113337154918319828916488/325*z3+276138035301436833912551818\
         83644980004105370156010888121537219232152304356656315102613705\
         511469046579939789/5793836448659244299381012294056395491529671\
         702342323647272378695680000000000000000*ep-
         624170005732377479743374732/325*ep*z4-725562829948140845786310\
         04381841567/3438981000*ep*z3-256715727429422677058631028551209\
         10257802542850672975902889318558271560829379279339511539189225\
         267870260164935485579/1156081730661166326958553371992738077867\
         700507040995015597492046162978406400000000000000000*ep^2-
         40369409143369940060034617196/325*ep^2*z5-72556282994814084578\
         631004381841567/2292654000*ep^2*z4+259059007739937903282949094\
         3234776445645321/47092305340080000*ep^2*z3+
         61304427571831242082599568822585403241268042332392041603497201\
         32664329923014649996053712052263633675786002455255840706832735\
         96699645414019498390865675725213623/
         10488724988352510450199091181317046196556892326397436659556027\
         53471596062304678171398594909389994683968182969958400000000000\
         0000000000*ep^3-19976647903107510870102850354/65*ep^3*z6-
         95529066948545979628405310474010661/382109000*ep^3*z5+
         2590590077399379032829490943234776445645321/31394870226720000*
         ep^3*z4+32995416707475419320483793236658601401092822677719/
         1129494250782552695040000*ep^3*z3-
         14567383891057785949105494484/325*ep^3*z3^2;
Fill mncnoptab(12,7,1,8)=
      +mncF321*(3700523559891451797504+29802635349776881276608*ep+
         2163635911072193299452816/25*ep^2+465069595175136187979823272/
         3465*ep^3)
      -28867050768157586741713672774610752309658747708179/
      1585478015314482795105600000-39475321150506248/975*ep^-3-
         10281094949797266814186769/2986483500*ep^-2-702853021152439425\
         6423560577741487/190360907206470000*ep^-1-
         47479513384426436547052096/975*z3+3525596237748350869238079398\
         02996446413176590305828213101384516131740512151309037222970146\
         8366081514788998033/195207743624790403887607495355366371978435\
         21437672520065997295792947200000000000000000*ep-
         23739756692213218273526048/325*ep*z4-1198117084561151478689760\
         251305811/1493241750*ep*z3-52814880685089339748216329599180273\
         48365337183882543084535884967266724062308195158048011098843123\
         48851446356956980502331/62711216310929319866513539544170109509\
         6656337214911961518453362819002391330816000000000000000000*
         ep^2-1535170971085783430312782944/325*ep^2*z5-1198117084561151\
         478689760251305811/995494500*ep^2*z4+1048156740041490606342766\
         9302618894917921/5009497558065000*ep^2*z3-
         33266895339909842786415388304271151342809728858347349163890620\
         46507071010381857736855490201121493443910849972606082271080489\
         811314305200635836773410380252269/
         11110101761443947398683015310397527998855398798828084188762043\
         22737835434903965533718519743811855458693545984000000000000000\
         000000000*ep^3-2279016699936461927195648368/195*ep^3*z6-
         4730559171879701311606736138488459/497747250*ep^3*z5+104815674\
         00414906063427669302618894917921/3339665038710000*ep^3*z4+
         27781375778208943504718893181585467312321067786869/
         25033863399702359922720000*ep^3*z3-
         1661783032382875739406600928/975*ep^3*z3^2;
Fill mncnoptab(12,7,2,7)=
      +mncF321*(28062303662510176131072+225527690497518768078720*ep+
         16312911215669327161475888/25*ep^2+830822084724406834620121552/
         825*ep^3)
      -2029748492244305385897589905631728021794624131327/
      14700517312325218223850000-9542074784836688528/75*ep^-3-
         12433487400597529609208533/8204625*ep^-2-131968474936889443158\
         758812947542633/21964720062285000*ep^-1-
         27696173819470163888438656/75*z3+15020773030804586508130442248\
         74114858648270432714343116649572235800555968667119525320858580\
         6018304975075739/109445920399635794958290813722452552129645219\
         99143597256109719552000000000000000000*ep-
         13848086909735081944219328/25*ep*z4-
         49869923888324818990168972900124/8204625*ep*z3-
         45093185008881399299890958248355883186881935677563772840415636\
         72376295224580554259858382665913278202644073874992765289/
         70319820936229333781692688432574691085070232923851980434901700\
         2488228741120000000000000000000*ep^2-
         895515658320097445389710784/25*ep^2*z5-
         24934961944162409495084486450062/2734875*ep^2*z4+3372762500628\
         967648989782966284956815203/211199231368125*ep^2*z3-
         70174113538042378565661939611472515368586935891585724296935982\
         27812156261646918568380486940925628440770153770663185945313947\
         6311944629586123397298950261231/
         12458064320973253418572567067052621662766762501489217524963044\
         65954065300408124617311639093756285555834880000000000000000000\
         000000*ep^3-1329425400570411086140346848/15*ep^3*z6-
         65148424070974990148336008929752/911625*ep^3*z5+33727625006289\
         67648989782966284956815203/140799487578750*ep^3*z4+23924290511\
         906318391158080405510065730213479568679/
         2940103462465043644770000*ep^3*z3-969375730978895140393571008/
         75*ep^3*z3^2;
Fill mncnoptab(12,7,3,6)=
      +mncF321*(77710994757720487747584+624305239867909907290368*ep+
         45128125546878570215737536/25*ep^2+459291691343585657483726024/
         165*ep^3)
      -40926001703523160518021079479651266337234559757/
      107040103653421738800000-622988478463447183136/325*ep^-3-
         757417046677798402751916761/35553375*ep^-2-5093756393442758281\
         9904758993721377/689713431907500*ep^-1-
         332342894860696103593737472/325*z3+147908335588465733286268486\
         16125833671068889930877219806665373634002198356996673280007054\
         13006222993873/38891281560012970611088371044686602142703427834\
         5813507702784000000000000000000*ep-498514342291044155390606208/
         325*ep*z4-598316699612403215484705243401518/35553375*ep*z3-
         13785430341513628092665649477524015979812441170624768850852565\
         11877910991734174517700716333216203464412796861857/
         77602294251738969100800225271906872947154996740463850063466405\
         560320000000000000000000*ep^2-32238444684025925912996279424/
         325*ep^2*z5-299158349806201607742352621700759/11851125*ep^2*z4
         +15268458390093733123145186418851054538329/344856715953750*
         ep^2*z3-117262859211597270432347836714668923161037793761135660\
         38963548695221079944458040250365728571430706289297462319440401\
         6678001855606267757140335951450067525607/
         13465632637181974594526659792808200285530211925268012895462701\
         33268566424477413607525052081686688091340800000000000000000000\
         000000*ep^3-15953050894582614904701270976/65*ep^3*z6-234177139\
         1829399140442066558865742/11851125*ep^3*z5+1526845839009373312\
         3145186418851054538329/229904477302500*ep^3*z4+239713669911657\
         783363926782686122100491874446851/10704010365342173880000*ep^3
         *z3-11632631907122162623183616896/325*ep^3*z3^2;
Fill mncnoptab(12,7,4,5)=
      +mncF321*(101764397897014924431360+818680060832446274837760*ep+
         11864623092377246086695888/5*ep^2+1156382612336853710320650592/
         315*ep^3)
      -15345188197838497163691451945716919043998076237/
      30652393318934407020000-1298785818377280844864/195*ep^-3-
         981678845886958301293786958/13574925*ep^-2-2093364232170013504\
         9800585448548847/87781709515500*ep^-1-
         261108759591612746340441728/195*z3+130953195022100038634586781\
         93418524607663992293917433590568861086031185734780388617456375\
         1523516264290063/264016242818830909062702770291929619117323841\
         52847225551480422400000000000000000*ep-
         130554379795806373170220864/65*ep*z4-2993482853957553856654293\
         88186024/13574925*ep*z3-77616509080077058249149594987692340345\
         30508490542960415751078617654248261760817746418328439805451885\
         7326040195513/335241911167512346515456973174637691131709585918\
         8038322741748720205824000000000000000000*ep^2-
         8443339063088921929001572992/65*ep^2*z5-1496741426978776928327\
         14694093012/4524975*ep^2*z4+5068214481652873654135923098422763\
         620013/87781709515500*ep^2*z3+
         19978976916317554931658654020793578756765962949109172649260038\
         90657625120396871673132060347280545194594458239241111579781480\
         88813621941902759195975115212246871/
         17463744569351499251080737897630779548046773770225502263663049\
         50835158278895568050946711470845811994619019264000000000000000\
         000000000*ep^3-12534454214837576520332138624/39*ep^3*z6-
         1177408769217534486928806437009456/4524975*ep^3*z5+50682144816\
         52873654135923098422763620013/58521139677000*ep^3*z4+
         522268427716449443255097929072537587667989081/
         17416132567576367625*ep^3*z3-9140120846449891465156440704/195*
         ep^3*z3^2;
Fill mncnoptab(12,7,5,4)=
      +mncF321*(67842931931343282954240+547558307858533910311296*ep+
         1596093147406786214706080*ep^2+261220315466554489905094472/105
         *ep^3)
      -103366634327823773027107240819334358809508149/
      309750500907126639360-1411481785233454891792/195*ep^-3-
         2128525621355503987543579739/27149850*ep^-2-101579277471646235\
         144089807226257267/395017692819750*ep^-1-
         174060499385285308277297024/195*z3+126463600970988583523669052\
         34239119182720780400580311415455973946042338106701954114748518\
         4647691141922111/381173450569687124959277124608973387600636296\
         20673181889949859840000000000000000*ep-
         87030249692642654138648512/65*ep*z4-19987298278559060418555013\
         2581873/13574925*ep*z3-821487276184644435057320753193789602525\
         07057719220428398426311076279203018118000106441872369692001999\
         7220593350897/532406060172905545309860105522971483228546286137\
         30033613042396862768742400000000000000000*ep^2-
         5628850142382712249491033536/65*ep^2*z5-1998729827855906041855\
         50132581873/9049950*ep^2*z4+1505440743960045451210353155960023\
         4772601/395017692819750*ep^2*z3+
         31571447662141349985448027389640353879613301209584268819894188\
         74289218800122887438975055213629528058735326623302911646871930\
         2532048403737365141335695998521984351/
         75387710853783668860805967865716269537752663595981575990558947\
         90577096697814874356927400911240586791021315096576000000000000\
         00000000000*ep^3-8356244963881425720097901792/39*ep^3*z6-
         265046652378206665794245860207859/1508325*ep^3*z5+150544074396\
         00454512103531559600234772601/263345128546500*ep^3*z4+
         1546312113487321316102861949930489119310031305061/
         73565743965442576848000*ep^3*z3-6093546000881753014824420032/
         195*ep^3*z3^2;
Fill mncnoptab(12,7,6,3)=
      +mncF321*(22896989526828357997056+928864949109479683785792/5*ep+
         546469605124528366766592*ep^2+4978321441877793336999811232/
         5775*ep^3)
      -1215375540526248235076023470425262986981701429577/
      10789642448264911271040000-803747508059057508348/325*ep^-3-
         2469237294709969031866182457/90499500*ep^-2-215804813976154832\
         19739771691835732391/231743713120920000*ep^-1-
         97908818430345408673825056/325*z3+7212602342126066558374435154\
         86840112065481124842104539113093513816786214997976172493367933\
         245039305451682231/6478641779282727911307850739639602537596186\
         28249887498362667789189120000000000000000*ep-
         146863227645518113010737584/325*ep*z4-247978625079992418931085\
         2987129559/497747250*ep*z3-32560596750700429208362855273645769\
         37542558106392487347289658198612549911016857548883680851127036\
         1745005998153191270321/633435434151316101587859159147010551885\
         9952293947144479145332209144773895782400000000000000000*ep^2-
         9498682344833377760521528752/325*ep^2*z5-247978625079992418931\
         0852987129559/331831500*ep^2*z4+146604235641537562570413804256\
         5940275649079/115871856560460000*ep^2*z3+
         13091796278419343376587900475020506674037945950800265252721535\
         85847337358151717015440755830620581894425930534587680450945086\
         9981518035029871857343308032688825832921/
         51253304494512947350761433330236907911563776594260022771729950\
         77735432324109842808513111147518628880277439913887006720000000\
         00000000000000*ep^3-4700386763201516175923851848/65*ep^3*z6-
         304414975583234128548278913481027/5027750*ep^3*z5+146604235641\
         5375625704138042565940275649079/77247904373640000*ep^3*z4+
         41285376282272395787514223113594096866236449423613/
         5394821224132455635520000*ep^3*z3-3427621939634981615719107408/
         325*ep^3*z3^2;
Fill mncnoptab(12,7,7,2)=
      +mncF321*(3591684631659350274048+146800913082707508742656/5*ep+
         437439516963865546976928/5*ep^2+2431714746003209445843504688/
         17325*ep^3)
      -160787178669274329500365388548201826164913102885413/
      9096680112866845036918380000-1105655786021568820928/5525*ep^-3-
         2709206640456700300412564944/1153868625*ep^-2-7685268807565077\
         9600953671365171752737/8494855484088723750*ep^-1-
         261112997734276180798034816/5525*z3+
         17362456369717558120675218175326459289030242584388049238730536\
         0045051664152538104520255952303577729113054948957781303/
         10060318670790339139540886577565890487673485740452029406558225\
         90182023600537600000000000000000*ep-
         391669496601414271197052224/5525*ep*z4-99563169257664095813813\
         64098005096/12692554875*ep*z3-51311168962792065015139203315237\
         77600200914346560761642758726112018799884907085232336043168698\
         819276934655450687495774098468733/6463829852297861549510899782\
         52891811424223936341557281238439774301079426260800173506560000\
         0000000000000*ep^2-25330062306667884480032812672/5525*ep^2*z5-
         4978158462883204790690682049002548/4230851625*ep^2*z4+
         16454389002365282016456821547027952958973991/
         8494855484088723750*ep^2*z3-
         28627576899974631099590711094711980684163822649654651477355420\
         99940058830784523901545986225570846593159901378568674337521021\
         9609135697499086289045773112243669176154769/
         38478418349255595223584146072675358614606505278140712095876260\
         54609875817325464488491218193999610631868288015350670295040000\
         000000000000000000*ep^3-12534474654466804149617388928/1105*
         ep^3*z6-1253610470910078800718482848134488/128207625*ep^3*z5+
         16454389002365282016456821547027952958973991/
         5663236989392482500*ep^3*z4+6023807921203513125853114391758337\
         227466683051897637/4548340056433422518459190000*ep^3*z3-
         9140074312624912532696201088/5525*ep^3*z3^2;
Fill mncnoptab(12,8,1,7)=
      +mncF321*(1439092495513342365696+11687382995821531610304*ep+
         2582741108599262107877552/75*ep^2+943104011616077458277559784/
         17325*ep^3)
      -909327645995814512748209085773211083378465661204631/
      128423719240473106403553600000+70581939500162344/2925*ep^-3-
         33872358663489892138397263/8959450500*ep^-2-262041836090638292\
         26636278738971009/571082721619410000*ep^-1-
         55392769798247066765720512/2925*z3+545642668080438435825265427\
         16038502897911801502734869694483880882307295319330686920855226\
         9865409822832069/782212409020304140559879368378711284691675124\
         9700296914404114432000000000000000000*ep-
         27696384899123533382860256/975*ep*z4-1403548934895999278832180\
         627820837/4479725250*ep*z3-73739922179192178012614369153898076\
         56082462392272367041182493214581707355105416373785888999042919\
         097998958132783607/2284442329456846328601428445539702584188037\
         5543775320591096762263257743360000000000000000000*ep^2-
         1791032812471849489265646368/975*ep^2*z5-140354893489599927883\
         2180627820837/2986483500*ep^2*z4+15842809072990026851926519191\
         80211987175211/1998789525667935000*ep^2*z3-
         11122565909769600467978994572639485890576868016090847405620413\
         95767846505513488043170119245548993252224758142812598525036667\
         883239784744417283934198878763/4451903035149958947578201809050\
         87438011407006508860834503052574672464817888451029426649871904\
         578511831040000000000000000000000000*ep^3-
         2658852833808650700515609296/585*ep^3*z6-570476873928143409458\
         0069391578653/1493241750*ep^3*z5+15842809072990026851926519191\
         80211987175211/1332526350445290000*ep^3*z4+1252803722877315525\
         651632487974150593991055255248429/2568474384809462128071072000
         *ep^3*z3-1938746812164485387734227616/2925*ep^3*z3^2;
Fill mncnoptab(12,8,2,6)=
      +mncF321*(9354101220836725377024+75841657163568876547968*ep+
         16711592850917475065083888/75*ep^2+
         1215830698983575682950265152/3465*ep^3)
      -113669897176048780567775079975896140673804423308397/
      2469686908470636661606800000-25522291644268506928/225*ep^-3-
         231553425085810139759913896/172297125*ep^-2-128799054663509707\
         40409169707015649/2440524451365000*ep^-1-
         27695821564858535551139456/225*z3+2060190565166877919598070853\
         04086018204100962719002108282171169861030705521278050361169024\
         24779080521351/45373023701961435338014168916538642599962214555\
         403384331960320000000000000000000*ep-
         13847910782429267775569728/75*ep*z4-35059578849198619892873639\
         6952898/172297125*ep*z3-65115099513991649225292736363474070232\
         17134931149609776601996337177056827977288600813303553488317024\
         7721885390711577/309531024529220756942224718990925010778620473\
         05417038206639403871030476800000000000000000000*ep^2-
         895514410253531325515761984/75*ep^2*z5-17529789424599309946436\
         8198476449/57432375*ep^2*z4+1990916582688620107163026480364722\
         12555787/38438260108998750*ep^2*z3+
         17027230986570026604756954148430177131463755731163149201406113\
         83754004025729872982890985969949023026723093203470101509867395\
         724176020561380213486065911159/9322361056510597796210764471944\
         13865921322364057016277378187015339776755407440189825036056552\
         322524774400000000000000000000000000*ep^3-
         1329423704597867720498073248/45*ep^3*z6-1416912937864314548861\
         558104879462/57432375*ep^3*z5+19909165826886201071630264803647\
         2212555787/25625506739332500*ep^3*z4+7653085022561931793791366\
         67312202823953081107019591/246968690847063666160680000*ep^3*z3
         -969379611298307894773049408/225*ep^3*z3^2;
Fill mncnoptab(12,8,3,5)=
      +mncF321*(21586387432700135485440+175021001898941977954560*ep+
         2571080424907569679939952/5*ep^2+311764106528347541553639936/
         385*ep^3)
      -214859322131314179004143492866747030362349879243/
      2023057959049670863320000-221004805133169424256/195*ep^-3-
         1882250356569256215507244072/149324175*ep^-2-64698069967524326\
         5059408952977344/14779573540875*ep^-1-
         55387906068869084112714112/195*z3+6457290487925203419683005534\
         92441681414786263053541202715374252144847048934927429659402376\
         53560093078079/61603789991060545447963979734783577794042229689\
         976859620120985600000000000000000*ep-
         27693953034434542056357056/65*ep*z4-70116389086098240280873317\
         2830676/149324175*ep*z3-37982255972289947052868006240973651505\
         54298888208383970143321411232439920244375391434348258920028885\
         9242035226629/782231126057528808536066270740821279307322367143\
         8756086397413680480256000000000000000000*ep^2-
         1791015568425858703624304768/65*ep^2*z5-3505819454304912014043\
         66586415338/49774725*ep^2*z4+115418565024051632436597918366148\
         61295107/965598804670500*ep^2*z3+
         47545685328444941479459948220055708735558881021631521601755718\
         54999081613965383075347484364878918361994800170267716226211684\
         57248049554480400738553408123249/
         42659124194592495515460458223616378504559711379249064852825837\
         82194818432744446308639364994783427873367654400000000000000000\
         0000000*ep^3-2658829399604353513380100096/39*ep^3*z6-283382913\
         3304309763680489140529244/49774725*ep^3*z5+1154185650240516324\
         3659791836614861295107/643732536447000*ep^3*z4+144692575483757\
         6639664076816631353961969986712939/202305795904967086332000*
         ep^3*z3-1938800313753725869422476416/195*ep^3*z3^2;
Fill mncnoptab(12,8,4,4)=
      +mncF321*(22614310643781094318080+183669915037631625335040*ep+
         8118456815341963873594592/15*ep^2+38504228627907988208821376/
         45*ep^3)
      -17536908721905823406681849580061305457229251223/
      157640879925948378960000-1387989103926016561376/585*ep^-3-
         151047551548479130065498011/5817825*ep^-2-17207389251362792956\
         925773194372736/197508846409875*ep^-1-
         174061014207148888726077952/585*z3+790803565962042186835069210\
         12001298322157802069027750560357866385941940784570031031692542\
         09284671928971/71871088322903969689291309690580840759715934638\
         30633622347448320000000000000000*ep-87030507103574444363038976/
         195*ep*z4-200489694995400176057234188167286/40724775*ep*z3-
         27032811351074874141600810822849432582040543621600340096498130\
         512638838719770032180989412939234929329905177241139/
         53145702976261516109362149570920504564703372591245666351700075\
         29973350400000000000000000*ep^2-5628851970105227912255174528/
         195*ep^2*z5-100244847497700088028617094083643/13574925*ep^2*z4
         +234283539292126606056190030370347346543/18810366324750*ep^2*
         z3-24292390030306302123692576422465594788704720202006114583715\
         68352870619774650975252664993746180170711391101744277058167243\
         757814510392852313362924075165929755693/
         32802733549431899426613319351049814251081190065073568418580427\
         99318705633858841989028239712738716863226057850880000000000000\
         0000000000*ep^3-8356247448054267424019722816/117*ep^3*z6-
         815075960827981169857303785921334/13574925*ep^3*z5+23428353929\
         2126606056190030370347346543/12540244216500*ep^3*z4+
         846536370840241666132325044230311321975514636719/
         110348615948163865272000*ep^3*z3-6093540353978253493494449536/
         585*ep^3*z3^2;
Fill mncnoptab(12,8,5,3)=
      +mncF321*(11307155321890547159040+92157334912550630464896*ep+
         819637455481980412467200/3*ep^2+100570700438606843118632872/
         231*ep^3)
      -270091471555048397599156883031217192163000120177/
      4855339101719210071968000-759984066533546113456/585*ep^-3-
         1171918593806444432777001827/81449550*ep^-2-358685004229728774\
         77680089393120742/724199103502875*ep^-1-
         87029060087699939037640832/585*z3+1735029573091581811281363575\
         49622402461324276905531732573710846092220892051858596920405653\
         80492750578486530219/31745344718485366765408468624234052434221\
         312784244487419770721670266880000000000000000*ep-
         43514530043849969518820416/195*ep*z4-1104579926023753211329565\
         615102719/447972525*ep*z3-111475848976124160964387255687525147\
         89936268300352447646737869060448434247925269048236371812991180\
         4000555592314308511483/443404803905921271111501411402907386320\
         19666057630011354017325464013417270476800000000000000000*ep^2-
         2814420848961853188349565248/195*ep^2*z5-110457992602375321132\
         9565615102719/298648350*ep^2*z4+133782699680440624860429088689\
         95367907823/2172597310508625*ep^2*z3-
         43178611476601215478689248895859410280169765367429579233443979\
         23021107328627862068373221079487668024184708839702482907431054\
         2016154633094691185501620203355729437931/
         14773011295477261295219471959891814633333088547757300681263338\
         75347271669890484103630249683696545971374085622238019584000000\
         000000000000000*ep^3-4178116743398929813005527456/117*ep^3*z6-
         413119662733602297048018279272621/13574925*ep^3*z5+13378269968\
         044062486042908868995367907823/1448398207005750*ep^3*z4+
         1950838977205836032453999339812945362853942102919/
         485533910171921007196800*ep^3*z3-3046786056136180859453427776/
         585*ep^3*z3^2;
Fill mncnoptab(12,8,6,2)=
      +mncF321*(2544109947425373110784+104243412119103960107328/5*ep+
         311946319624853329013376/5*ep^2+581198637609096694921877008/
         5775*ep^3)
      -71462302202486526246529680088986279133359681311761/
      5707720855132138062380160000-49090243376031994172/325*ep^-3-
         160457483876925968824704913/90499500*ep^-2-3645699520155416543\
         2781068643023313257/5330105401781160000*ep^-1-
         10879641520983020060884384/325*z3+5059222096962447240174508425\
         94814642345479902199032761826005278273334539870727567551489226\
         02737751204824225855297353/41424841585607278809874238848800725\
         5374790589312730622622985772427892070809600000000000000000*ep-
         16319462281474530091326576/325*ep*z4-2769030135068188031798673\
         63030791/497747250*ep*z3-7452949116317210480862731035159801811\
         68998682776989681496275875769928283556600778156537856018035231\
         3412996615862677810234164431/133078849900250090725224407287360\
         07882263433983502649907850230647375164658310591807488000000000\
         000000000*ep^2-1055418554052028426048423728/325*ep^2*z5-
         276903013506818803179867363030791/331831500*ep^2*z4+3626546109\
         190165256452347255019950777003353/2665052700890580000*ep^2*z3+
         45217552628607446727570926296940228403573561346508529657684362\
         88877821989994174054441957520756767736000397824139120264407540\
         140117301445065458667823925080387424731617/
         26934892844478916656508902250872751030224553694698498467113382\
         38226913072127825141943852735799727442307801610745469206528000\
         0000000000000000000*ep^3-522269456265522702993769672/65*ep^3*
         z6-35155378395738408216420164762723/5027750*ep^3*z5+3626546109\
         190165256452347255019950777003353/1776701800593720000*ep^3*z4+
         2760503643402393428285489935212481764224544360082949/
         2853860427566069031190080000*ep^3*z3-
         380837165593258858121282512/325*ep^3*z3^2;
Fill mncnoptab(12,8,7,1)=
      +mncF321*(199538035092186126336+8238631738768714527552/5*ep+
         4995297869945836595168*ep^2+141979149769803787294948096/17325*
         ep^3)
      -47642818676864333422358945214387103127701783358143/
      48515627268623173530231360000-213443519404072096/5525*ep^-3-
         15384570814291241280166321/2307737250*ep^-2-987039321970642420\
         9209880678401983579/135917687745419580000*ep^-1-
         14507626329274808715014912/5525*z3+
         19604536169750625312728553498203296300631831818463858251285391\
         74175235343212979350150799064797751405749381534042060411/
         20551793856043121385062096865598890567675835155494860073397518\
         6280041964109824000000000000000000*ep-
         21761439493912213072522368/5525*ep*z4-555936820012099918472480\
         818165502/12692554875*ep*z3-2007052085989314268644276324206233\
         34152994939448993838339684221918284699093402849592189330925715\
         1583290088751216431563929393148187/462163834439297100790029334\
         45081764516832011448421345608548443862527178977647212405719040\
         000000000000000000*ep^2-1407240021395885508949279104/5525*ep^2
         *z5-277968410006049959236240409082751/4230851625*ep^2*z4+
         7066733085912016263424358828101810495765351/
         67958843872709790000*ep^2*z3+
         37689820555525045354407786865295007546765006902266054585963713\
         19026006283572966673228449168463333307367111153351068665828363\
         27164607136247428541329874368810005389683843/
         13363005001005764569790437014667685256015487761594295872153598\
         48393801158845457738788878775659007635153115452188211355320320\
         0000000000000000000000*ep^3-696366197533305350117132096/1105*
         ep^3*z6-217098646839152578163159395930168/384622875*ep^3*z5+
         7066733085912016263424358828101810495765351/
         45305895915139860000*ep^3*z4+668902137254033141235854459224872\
         864662126044255189/8085937878103862255038560000*ep^3*z3-
         507767054677585259459993216/5525*ep^3*z3^2;
Fill mncnoptab(12,9,1,6)=
      +mncF321*(340837696305791612928+2801692103873109101424*ep+
         210682229549965992391212/25*ep^2+79017169120781168876262932/
         5775*ep^3)
      -1818740761283623527509151137531296765691034487735757/
      1084466962475106231852230400000-10075845060611662/325*ep^-3-
         235042098175301781789117181/75657582000*ep^-2-6856922564208154\
         9252379877476876267/2066775563955960000*ep^-1-
         1457704104170860070250224/325*z3+40490549721814173077424422517\
         89805104493641183847031949076632729396835488219166864760645197\
         9697741351376869/247241891382004157514621129986616736621217436\
         8771010515444831354880000000000000000000*ep-
         2186556156256290105375336/325*ep*z4-28238360491037318516146102\
         94915479/37828791000*ep*z3-71394599397730174632200386462344165\
         03159157293918392208701472782192549306522690486562794423642122\
         8226837521840404371357/953128566132011836160294503031455688190\
         246735326605051817644950266017795276800000000000000000000*ep^2
         -141397323796237902991279608/325*ep^2*z5-282383604910373185161\
         4610294915479/25219194000*ep^2*z4+9136216699439775596906562607\
         021549063499371/50636001316921020000*ep^2*z3-
         44895206979066333204536615883321005845953189338644497748537500\
         01282485742373724271926502620128844051986015241564289605673602\
         57395363451355732749453079642087/
         26661952621620309697162786389760236565349819612030665533016148\
         63871761520465278942899603121739642420854784000000000000000000\
         00000000*ep^3-69969809846033521460514692/65*ep^3*z6-3983598073\
         370441828056196223057317/4203199000*ep^3*z5+913621669943977559\
         6906562607021549063499371/33757334211280680000*ep^3*z4+
         14580025708617038322513898718646918170921920696071323/
         108446696247510623185223040000*ep^3*z3-
         51019657771270620406669832/325*ep^3*z3^2;
Fill mncnoptab(12,9,2,5)=
      +mncF321*(1846204188323037903360+15155917604106849329760*ep+
         227426833293335574701488/5*ep^2+12149292939620831261057492/165
         *ep^3)
      -16239908791727338391449066554235294678423619337221/
      1787582905178746536020160000-812475739779765628/15*ep^-3-
         39997015256705531474549059/62355150*ep^-2-14006678538802874935\
         8722531459540353/55643957491122000*ep^-1-
         364408239493798643728256/15*z3+5210610727259928568168163419749\
         37168039352475356357404629861729148516861378045181756460280400\
         9449897276937/586859874049592285968771033814386979232779850169\
         82227619349843148800000000000000000*ep-
         182204119746899321864128/5*ep*z4-
         1938124989803350923063347501729/4796550*ep*z3-
         50663875850604937555905281924012783142768887528854399675906147\
         117537863352204482029272643403083699710780349651144713/
         12464854556626074326317537774637146408082420296706123645603566\
         6913365327872000000000000000000*ep^2-
         11783047215562238701563184/5*ep^2*z5-
         1938124989803350923063347501729/3197700*ep^2*z4+68283602833053\
         44882599946223553610075239/6955494686390250*ep^2*z3-
         22211397014186060895328535306847441287056441417972265499645620\
         63879234997264749608385436930717520620711526911617901796268743\
         9525155332454681708624504716953/
         14063447536678844675426524689104300605898805949202988413019506\
         97426863219586081200650340108170360837373952000000000000000000\
         000000*ep^3-17492366703596458730480648/3*ep^3*z6-1061721200105\
         17018657109955276563/20785050*ep^3*z5+682836028330534488259994\
         6223553610075239/4636996457593500*ep^3*z4+14093187264495315707\
         80579413290110712101367173913/1964376818877743446176000*ep^3*
         z3-12755109834861209318317808/15*ep^3*z3^2;
Fill mncnoptab(12,9,3,4)=
      +mncF321*(3408376963057916129280+27988765196240583282240*ep+
         420212401541782576843824/5*ep^2+157240283391307488478184284/
         1155*ep^3)
      -1718932150248316723932035939920330576360710961579/
      102501603258516657074880000-21171941184823561224/65*ep^-3-
         4595571194687066876590156001/1260959700*ep^-2-6723289592244019\
         7485020769577492519/5241822082497000*ep^-1-
         2914942904126774080525248/65*z3+189689263357977132859893817132\
         88508644465641278282167734860988188924347832748153160663338403\
         68968723260449/11587672897318488598762024588112790983059343404\
         684647294544757391360000000000000000*ep-
         4372414356190161120787872/65*ep*z4-470355620539541699040840643\
         037459/630479850*ep*z3-121107905297181240303681101509219196466\
         46743479017490614525948767142664545921558989644092955581706364\
         174364793486177/1618514422925632857741974720789833309014780709\
         8573930218364888646281697689600000000000000000*ep^2-
         282789698319902533655430816/65*ep^2*z5-47035562053954169904084\
         0643037459/420319900*ep^2*z4+830504038193087202779055653979106\
         2673774/4586594322184875*ep^2*z3-
         12227210512939836840569763435460371060091066737179302265946473\
         42709631380831986282690847988780521216977175945089992060001594\
         5057327151238646211535586201805123/
         42232532952646570560305853641380214719514114265456574204297579\
         44372870248417001845552971344835593594633977856000000000000000\
         00000000*ep^3-139937377707887879787452784/13*ep^3*z6-198406818\
         2261655392587574808254571/210159950*ep^3*z5+415252019096543601\
         3895278269895531336887/1528864774061625*ep^3*z4+13625397169990\
         892111631182549196165503297846011021/
         10250160325851665707488000*ep^3*z3-102044433607728704109236064/
         65*ep^3*z3^2;
Fill mncnoptab(12,9,4,3)=
      +mncF321*(2678010470974076958720+22034247709350183531840*ep+
         331919046557284151449776/5*ep^2+124741861826255140069691972/
         1155*ep^3)
      -1350572570498503324028994598865506198656015727201/
      102501603258516657074880000-22298977823835360776/65*ep^-3-
         439352858833514602354482829/114632700*ep^-2-148008758013988325\
         7989244828903365351/110078263732437000*ep^-1-
         2290187859718014588569152/65*z3+157735353652275029011532854586\
         21977346354645689417692405910310023121965589872828585198332562\
         7312146940502461/123094193806371830314849164053152448214327539\
         3674786246889068799459328000000000000000*ep-
         3435281789577021882853728/65*ep*z4-369909085716421175639676512\
         208481/630479850*ep*z3-200885798868493277647694822841063893466\
         21434793535780516231647338231339845454398315566679996534896073\
         4966323939378073/343864949967857312290552114965520013880968838\
         814273557439318034210716297199616000000000000000*ep^2-
         222190581757615614417117984/65*ep^2*z5-36990908571642117563967\
         6512208481/420319900*ep^2*z4+388960720548158408286817753249873\
         37566841/27519565933109250*ep^2*z3-
         30837601405927837443670631794828624013706301722351698212684371\
         03565860564521130424098062974471013641370505084726391308596011\
         163884768140825893340360529027417133143/
         12813326123628236837690358332559226977890944148565005692932487\
         69433858081027460702128277786879657220069359978471751680000000\
         000000000000000*ep^3-109950196948948799914274416/13*ep^3*z6-
         61185136880305655802267863281471/8188050*ep^3*z5+3889607205481\
         5840828681775324987337566841/18346377288739500*ep^3*z4+
         10947498190937756969907202178263847739471127506151/
         10250160325851665707488000*ep^3*z3-80179136439949979269287136/
         65*ep^3*z3^2;
Fill mncnoptab(12,9,5,2)=
      +mncF321*(892670156991358986240+7371906400733918240736*ep+
         22349568183861349035928*ep^2+42341086695626108915194214/1155*
         ep^3)
      -285868419932462440804695932733771926608992988868083/
      65068017748506373911133824000-12489528310016549972/195*ep^-3-
         1554240972828252239288207029/2063388600*ep^-2-7388770529388559\
         427992579046155433437/2531800065846051000*ep^-1-
         2290403447201682078373984/195*z3+96018389742326268018866126125\
         91984551733078336306739852045296403629615232433012626979656120\
         0227946377377491790034629/224877711464725227825031582322061081\
         4891720341983394808524779907465699812966400000000000000000*ep-
         1145201723600841039186992/65*ep*z4-222364102706612411183799031\
         4671973/11348637300*ep*z3-140414501667254158264505383569948501\
         14738007059135370368334368961585467539724042855560241681986545\
         597843100710035044288839121027/7224280423156433496512182109885\
         26142180014987675858137854726806571794652879717840977920000000\
         00000000000*ep^2-74064291875320193534908976/65*ep^2*z5-2223641\
         027066124111837990314671973/7565758200*ep^2*z4+117772059589081\
         0040617667466937782127962731/2531800065846051000*ep^2*z3+
         12155816900015485380830752710230355073713753176077503430990753\
         16651670167639397211236504481755449259918508858456604775660205\
         53930540875022778588521185704063158784931/
         90537454939424929937845049582765549681427071242684028460885318\
         93199707805471681149391101632940260310278324742001577164800000\
         0000000000000000*ep^3-109951236089379449263176472/39*ep^3*z6-
         868555409750988872462378446819207/343898100*ep^3*z5+1177720595\
         890810040617667466937782127962731/1687866710564034000*ep^3*z4+
         12062486721522195772498613405236603443310273042941689/
         32534008874253186955566912000*ep^3*z3-
         80176766740873642026163312/195*ep^3*z3^2;
Fill mncnoptab(12,9,6,1)=
      +mncF321*(100425392661527885952+4169886437253325197024/5*ep+
         12761723508929313757224/5*ep^2+24474095808725340507173044/5775
         *ep^3)
      -214403988969770144642345243158583690645669248320677/
      433786784990042492740892160000-12085654462907491/325*ep^-3-
         28730040257957374885911079/6877962000*ep^-2-599031004238092871\
         9749455144127951067/135029336845122720000*ep^-1-
         429501959789914443193352/325*z3+768218360706695936901251293288\
         56177056162759053737269562174928703607456505871821074601499286\
         04054841514599675960347501/16078756369727853789489758136027367\
         32647580044518127288095217633837975366270976000000000000000000
         *ep-644252939684871664790028/325*ep*z4-83624122689655437945726\
         9989162063/37828791000*ep*z3-111729085012456410741397049021462\
         04346284532030440755781547146611279100072943153081113197875628\
         44911252075496637353651817451988411/51653605025568499500062102\
         08567961916587107161882385685661296666988331768089982562992128\
         0000000000000000000*ep^2-41661709750028528709597084/325*ep^2*
         z5-836241226896554379457269989162063/25219194000*ep^2*z4+
         3464255302181903352275585881110949068425483/
         67514668422561360000*ep^2*z3-
         26796577096680591979340491828407280031563323845254722999157170\
         23936298408553531547571372665515779171273575592613323165423150\
         90127383903825021863785426172294165453661769/
         55024138239435501169725328883925762818887302547741218297103052\
         58092122418775414218542442017419443203571651861951458521907200\
         000000000000000000000*ep^3-20616103895119307133201866/65*ep^3*
         z6-332516190465554427789602140560317/1146327000*ep^3*z5+
         3464255302181903352275585881110949068425483/
         45009778948374240000*ep^3*z4+958437550827946854270409917647623\
         9850602076329871593/216893392495021246370446080000*ep^3*z3-
         15032578835927330891513636/325*ep^3*z3^2;
Fill mncnoptab(12,10,1,5)=
      +mncF321*(47338568931359946240+395686023123881257152*ep+
         18360631335004309122752/15*ep^2+107053733734375751613175616/
         51975*ep^3)
      -227375583455067869926731799925660179421279141560141/
      976020266227595608667007360000+353224715383552/117*ep^-3-
         5405941362672278057032189/4539454920*ep^-2-1800614300751430768\
         16324431528652759/13020686052922548000*ep^-1-
         72885250195431657113920/117*z3+4821618334824280413419427120009\
         50293956325769932391513718459437325143676011867583615814965183\
         91310613445669/21579675940052150629765952014831886922073933347\
         673179127458070895001600000000000000000*ep-
         36442625097715828556960/39*ep*z4-11863966572146621535344847274\
         0729/11348637300*ep*z3-696147194504396449378577733597174571827\
         34390372657106655396975713964694292312187694651247570714131337\
         54002612182606259/69325514483561024164801828751104246381837538\
         0551840898913895225050630086197248000000000000000000*ep^2-
         2356622191095893330707520/39*ep^2*z5-1186396657214662153534484\
         72740729/7565758200*ep^2*z4+4681535729934559247318767477733527\
         6505831/1981408747183866000*ep^2*z3-
         37505601263066628115305993425411889671340967023605582217577174\
         82739427781676053752056383094962390959154857941930937521754482\
         683173849846127124868126313997591049033/
         89204812610071824043875526594587667096099542815365505685920001\
         01621483391081557333275119682347188830370873976895307776000000\
         000000000000000*ep^3-17492453307730620837521600/117*ep^3*z6-
         1588907456885904717050391177166103/11348637300*ep^3*z5+
         46815357299345592473187674777335276505831/1320939164789244000*
         ep^3*z4+471563667660660751547836388109820687362410073921937/
         21217831874512948014500160000*ep^3*z3-
         2550982184651357119325248/117*ep^3*z3^2;
Fill mncnoptab(12,10,2,4)=
      +mncF321*(205133798702559767040+1712848621805867658112*ep+
         238019028592704634725256/45*ep^2+153845140492975046095486292/
         17325*ep^3)
      -227399927774614540064821902054563055620935668791971/
      225235446052522063538540160000-366854536827091400/27*ep^-3-
         504612343019681244797705021/3142699560*ep^-2-48456812064015764\
         389553440281598781/77045479603092000*ep^-1-
         72877129013275035984544/27*z3+42457217415919254711376919346411\
         69941148009076718962827904522125594858208759816236856798665141\
         22604223967/43574345648182227233181249260718233208033903875109\
         304007367258537984000000000000000*ep-36438564506637517992272/9
         *ep*z4-355706887362776888050089770252437/7856748900*ep*z3-
         61451114627149254258569638647514911446847293705041632383579809\
         1803130874551893329883969337525465511159767937600614059/
         13998421193795976033277292343972972827101810568835248920376730\
         505830030586675200000000000000000*ep^2-
         2356593449462522302941056/9*ep^2*z5-35570688736277688805008977\
         0252437/5237832600*ep^2*z4+36034354816755902944949268578631623\
         0236181/3505569321940686000*ep^2*z3+
         37336776984838243340805889364130943804708035944434907773703380\
         40999362639523671381256737966337494932490952208960690362903701\
         076928740658573938774817896062763821/
         36025020477144390479257424201660404019578661521589915757775385\
         02577906754090628923053413717870980104572852952207720448000000\
         0000000000000*ep^3-17492258048435729682096560/27*ep^3*z6-
         1582825377566614264245169500458353/2618916300*ep^3*z5+
         360343548167559029449492685786316230236181/2337046214627124000
         *ep^3*z4+10743129239326849929443425776540273413376851060603081/
         112617723026261031769270080000*ep^3*z3-
         2551071858543845442753280/27*ep^3*z3^2;
Fill mncnoptab(12,10,3,3)=
      +mncF321*(284031413588159677440+2372879883061144461312*ep+
         36669504714201940166224/5*ep^2+213551424551879431139071732/
         17325*ep^3)
      -429822278271824974107460060612265877555813617059/
      307504809775549971224640000-1582194406287068368/39*ep^-3-
         349023293643358125506456983/756575820*ep^-2-990506468540256262\
         1201325226122463/5897049842809125*ep^-1-
         145735674035328291312704/39*z3+2856041261265940912009313534121\
         17130636610698941418273347813277034819554374530052021790128817\
         467958509/2107546327223931458108172461462313174828914971090130\
         9563490795520000000000000000*ep-72867837017664145656352/13*ep*
         z4-118589995032786709607554276263679/1891439550*ep*z3-
         71912039393433378220344335310965507555529463046295773519871848\
         50983146763627227285739023899225785576648645816137/
         11774906515993360737540821381407517459763616275417541825530011\
         5812895948800000000000000000*ep^2-4713120910003453230919936/13
         *ep^2*z5-118589995032786709607554276263679/1260959700*ep^2*z4+
         5864649315389184433331840905834364740807/41279348899663875*
         ep^2*z3+223200594376729977353754004006518087601166354576055176\
         91594278372544806088845326735773219244162796903914089259197741\
         15403815862805067140412660704100684620831679389/
         12719945501806537872922991755154167345184564438487303588547851\
         99675655965024592434559600399149506555441772770779516108800000\
         000000000000000*ep^3-34984067639937578503617760/39*ep^3*z6-
         1585721663654434184893957265045753/1891439550*ep^3*z5+
         5864649315389184433331840905834364740807/27519565933109250*
         ep^3*z4+20408477515906109798334224026332680402492569787849/
         153752404887774985612320000*ep^3*z3-5102347479502594712450048/
         39*ep^3*z3^2;
Fill mncnoptab(12,10,4,2)=
      +mncF321*(148778359498559831040+1245575457461175869952*ep+
         19317040122302714705264/5*ep^2+339035365517546805722119156/
         51975*ep^3)
      -357388491696144532820794592303927210573800502073983/
      488010133113797804333503680000-1718663804624639696/117*ep^-3-
         107099643504395866782307099/619016580*ep^-2-767361071978249581\
         5321466961196354431/11393100296307229500*ep^-1-
         229029939621347392019776/117*z3+211078810019515199057973452427\
         30205886429407172456404762685488357648597689456017517994653190\
         1991653001855578729/298785224628939769112765176342024183526217\
         09475757265206802454127679897600000000000000000*ep-
         114514969810673696009888/39*ep*z4-5596836836206728564781525807\
         88401/17022955950*ep*z3-15226495542130727238780449179034364243\
         37935234211551402654044489231857484152101414472867167709271318\
         2599016884751768636441/479929343587666978669229785148627592328\
         347541770207627720242617035896745376088064000000000000000000*
         ep^2-7406392383342080445461504/39*ep^2*z5-55968368362067285647\
         8152580788401/11348637300*ep^2*z4+4206014315502524602953818135\
         91792160582861/5696550148153614750*ep^2*z3-
         66479316543841022805968990373667175748440555548830743559560040\
         02916400850118011479736964550304495700655003822165455084280090\
         741318927638178272548448202964344708653993631/
         29396433757201981462274913168183020692237980829909072294458866\
         71758345605633261657740108944480922680780953348408542191471820\
         8000000000000000000000*ep^3-54975368026012234860911840/117*
         ep^3*z6-25364131878588858504546735716831/57316350*ep^3*z5+
         420601431550252460295381813591792160582861/3797700098769076500
         *ep^3*z4+17298878981154611982459229852678270644850061986918813/
         244005066556898902166751840000*ep^3*z3-
         8017791701833493353090816/117*ep^3*z3^2;
Fill mncnoptab(12,10,5,1)=
      +mncF321*(24796393249759971840+208386204539874054848*ep+
         29270928500954520668816/45*ep^2+5231804371049860808388388/4725
         *ep^3)
      -32490399839546542212073109982407235476699692376911/
      266187345334798802363729280000-3999087506069392/351*ep^-3-
         28435504108273908626585113/18570497400*ep^-2-50216015021029225\
         39165709065671277/306884856466188000*ep^-1-
         114533891559616640695232/351*z3+459320670293349424865226048211\
         81916847439198508690261128147797003685069054792250467386439425\
         147926833276556929/3932728597680061918236396338177070449832259\
         1959543750785022033638142771200000000000000000*ep-
         57266945779808320347616/117*ep*z4-
         50982499136153248325657565121753/9285248700*ep*z3-
         20591747367540882898807037923821274542988372411909545799110676\
         44387492563868450651514853000631652457522848353980099456025763/
         39418196753333714514699406353540612916568278097393053156755926\
         9458816526868893663232000000000000000000*ep^2-
         3703263151295494777078528/117*ep^2*z5-
         50982499136153248325657565121753/6190165800*ep^2*z4+5025247300\
         3348282372816000543018470706663/4142945562293538000*ep^2*z3-
         10175381202649160103298836271315425988026936196954604877726583\
         29215535135230567695169174691043820683604318918479673106494476\
         3519391479894736364993136086052157625409146463697/
         16715264487172080536087396779939145304386396484206758646203072\
         52125976208987774628770375793661767727410215934725841836873823\
         02720000000000000000000000*ep^3-27488138905817169226350880/351
         *ep^3*z6-231419290970241315060702768051277/3095082900*ep^3*z5+
         50252473003348282372816000543018470706663/2761963708195692000*
         ep^3*z4+29570211913745999802301824428799113584383283555451/
         2419884957589080021488448000*ep^3*z3-4008686876265583757729792/
         351*ep^3*z3^2;
Fill mncnoptab(12,11,1,4)=
      +mncF321*(3606748109055995904+154251260638635391616/5*ep+
         22297041272756597400368/225*ep^2+15142035365032386622825436/
         86625*ep^3)
      -1326328000849740284413910543545229985873778317839/
      74695428537826194540842400000-17530334162669968/1755*ep^-3-
         3808068905072505856671599/10213773570*ep^-2-109501200502250953\
         698385647621538541/32551715132306370000*ep^-1-
         83296971650532115252352/1755*z3+155386986655008124450413511841\
         82586118693992965696557033135550970942164910449118612350215846\
         624823037501/9158041486904847875286476549504272999336931590447\
         7226235354467532800000000000000000*ep-41648485825266057626176/
         585*ep*z4-14695856545637503104845171452151/18238881375*ep*z3-
         39737619852433554713429028042355712179454918821666363838474356\
         527720425732150751983173453717579501092631594085886667/
         52956990230498004570334730295982410430570341569932290889255885\
         246923131584512000000000000000000*ep^2-
         2693280959194093574903488/585*ep^2*z5-
         14695856545637503104845171452151/12159254250*ep^2*z4+187475037\
         117492795138545231532227649861227/113931002963072295000*ep^2*
         z3-25723993500843031341118709918844432959677021168590431770340\
         21933185370325564225575706822334073042876960963853253449185469\
         19680403868640295372891299138621972607982106079/
         10609960953921705368501001327285690076448588875506748126504443\
         69526752514143734061274809180577308587676883378977809949209395\
         2000000000000000000000*ep^3-3998272952965874304729056/351*ep^3
         *z6-70306577709003694888936358882519/6079627125*ep^3*z5+
         187475037117492795138545231532227649861227/
         75954001975381530000*ep^3*z4+375565601296220827828325178041013\
         3751655475018032221/1830037999176741766250638800000*ep^3*z3-
         2915413740374250539215808/1755*ep^3*z3^2;
Fill mncnoptab(12,11,2,3)=
      +mncF321*(11721931354431986688+500889370235260278272/5*ep+
         72302061025063627189616/225*ep^2+147035767656970325410008716/
         259875*ep^3)
      -32499342738824352104891674527790041221884079487013/
      563088615131305158846350400000-217171717712971312/135*ep^-3-
         29963164769221793072691799/1571349780*ep^-2-219991920197857390\
         745165575834346563/2921307768283905000*ep^-1-
         20819576451719159688128/135*z3+2743136357232949005562995725325\
         02350458639853348138550682326383844111320657816210204846793404\
         25893574537/50721460542857619001586639351100588919404544193248\
         925299580935864320000000000000000*ep-10409788225859579844064/
         45*ep*z4-51405713446156592832029060800891/19641872250*ep*z3-
         38396158536970809656936685739788193808621223929000186592404088\
         17107317500936106725671113157362985502497837735282859/
         16294458532460924483179917014148433978637028175363781812078733\
         92213019433369600000000000000000*ep^2-673303677013745815282432/
         45*ep^2*z5-51405713446156592832029060800891/13094581500*ep^2*
         z4+23523936009673407019027615101350392363559/
         4381961652425857500*ep^2*z3-
         13576394861357895295130964377496287315331942237848423058560236\
         89264458019395319278544760932940433150985464729801665111404286\
         0700172129540293716487853503891926582233233543/
         23074216622251881090635408425001617680104192668332829464041048\
         62712334390759357644643185011790897568523142068496972529542155\
         4688000000000000000000*ep^3-999545727294759143079584/27*ep^3*
         z6-245331602804708623229584556274079/6547290750*ep^3*z5+
         23523936009673407019027615101350392363559/2921307768283905000*
         ep^3*z4+38093646365108076615447501948841108463149265846207/
         5745802195217399580064800000*ep^3*z3-728904646964990702415872/
         135*ep^3*z3^2;
Fill mncnoptab(12,11,3,2)=
      +mncF321*(10820244327167987712+462666273469937230848/5*ep+
         22285684876078937216768/75*ep^2+45383235083974705203646408/
         86625*ep^3)
      -32501110832102707500813751409288462591667676872643/
      610012666392247255416879600000-965778894269300608/585*ep^-3-
         33235434254876931795354349/1702295595*ep^-2-291635857188738191\
         5327423237031562731/37977000987690765000*ep^-1-
         83276134304826722258432/585*z3+9060276808058570074996620439098\
         48104645218343410891526311378558616144145538078688087625252357\
         0802975505393/181329221440715987930672235680184605386871245490\
         86490794600184571494400000000000000000*ep-
         41638067152413361129216/195*ep*z4-1028439750861652366490526960\
         49082/42557389875*ep*z3-25406516496121549781855416942197226610\
         64692791431312614484218822191633100021300256534328704921278344\
         477834373059548019/1165053785070956100547364066511613029472547\
         514538510399563629475432308894859264000000000000000000*ep^2-
         2693207052095953485380608/195*ep^2*z5-
         51421987543082618324526348024541/14185796625*ep^2*z4+312800153\
         75139061209429838444941300789767/6329500164615127500*ep^2*z3-
         19354587642443634475860578341713750440328699844787651545500368\
         79108569864594577712723917562990675372632459287475351369052386\
         98540919318796693806075030077666426210780987080801/
         41245162212275237449510792559690391603186244394644932666973374\
         42098297723482351789799693208576229403735116447438338396556602\
         90048000000000000000000000*ep^3-3998172510991516866941696/117*
         ep^3*z6-491768062375854330547052561909858/14185796625*ep^3*z5+
         31280015375139061209429838444941300789767/4219666776410085000*
         ep^3*z4+1875574332177398662548034866894241457874663245179673/
         305006333196123627708439800000*ep^3*z3-
         2915642758202269846811648/585*ep^3*z3^2;
Fill mncnoptab(12,11,4,1)=
      +mncF321*(2833873514258282496+121442056320996312704/5*ep+
         123285879200202051295664/1575*ep^2+9341518773617101899790012/
         67375*ep^3)
      -25537248394131648027878229391404743513109526462597/
      1830037999176741766250638800000-130913748055781584/12285*ep^-3-
         1297957352362408315288736/3249837045*ep^-2-5737054519013480142\
         200386277611958591/1595034041483012130000*ep^-1-
         458132794313617534134656/12285*z3+2245793019655209799116353080\
         17163222139517679706201100274390141899526156037580330446743430\
         14468331746431957355493/17090514848775354793250168086763783297\
         6996178201331556982910037610329014272000000000000000000*ep-
         229066397156808767067328/4095*ep*z4-
         80909133539549023736204828072918/127672169625*ep*z3-
         79031725910317381051813020222458011509528095940761680779370953\
         4862694488840719098068911914410238334963643633758082182721567/
         13725979226607275589939971855250749140590739694627938152798938\
         84722664691775611863040000000000000000000*ep^2-
         14813043072904540968451264/4095*ep^2*z5-
         40454566769774511868102414036459/42557389875*ep^2*z4+102245848\
         0917532590268047839977495905073091/797517020741506065000*ep^2*
         z3-60751047461530996279830010485674955676047591541469705137316\
         88437890938974635899068410215586408529941502170484202147398802\
         78321485185734858359682098216259123573612144905334579032272303/
         27757080375074518458486902927398084910372555355793883557326980\
         97349090627750356901421878953953820070850453471967463366193708\
         8210883743580160000000000000000000000*ep^3-
         21990498212200002685609568/2457*ep^3*z6-2477637625821709031303\
         16367006954/27081975375*ep^3*z5+102245848091753259026804783997\
         7495905073091/531678013827670710000*ep^3*z4+104777462792453282\
         19356118221535780928422478628510369/
         6405132997118596181877235800000*ep^3*z3-
         16034779946192495811245504/12285*ep^3*z3^2;
Fill mncnoptab(12,12,2,2)=
      +mncF321*(290626397217321984+141160565336745916416/55*ep+
         78689010175858766338736/9075*ep^2+2214072027511672450259228/
         136125*ep^3)
      -32520658099701431444812854371821872664283946336733/
      22711240810295974740136132800000-430897350351795952/5445*ep^-3-
         8368899126429751614432601/9053967780*ep^-2-1151742418272971014\
         19367282311034799/32134385451122955000*ep^-1-
         1892235178577611889728/495*z3+46327436746387862698502709472064\
         91986504647700322955516924091837039494083358451062445454248073\
         19430953/33210480117347250536753156717982528459133927745579653\
         469963708006400000000000000000*ep-946117589288805944864/165*ep
         *z4-52260777881759550516151463627491/792222180750*ep*z3-
         66423532124035796449335986575613548038915937109648680650703220\
         699540818398903116273886474862162885563501149430019/
         10668990705777986268748755187835284152679006543392952376956313\
         87758524628992000000000000000000*ep^2-673286335526067273002752/
         1815*ep^2*z5-52260777881759550516151463627491/528148120500*
         ep^2*z4+2252411983327941820747452643656794336911/
         19637679997908472500*ep^2*z3+
         75501241880673072652640519504711033086635228313826639668395589\
         33351439573250234743647334412484649252170516446211732349801484\
         67092300387897551198408366768352823376789117/
         29054073127835472985003375993019436181449876299411758711590148\
         22554450354664942089179834607337439703955421560607451674102988\
         8000000000000000000000*ep^3-999522209806924044110624/1089*ep^3
         *z6-24837781676194656604604432233589/24006732750*ep^3*z5+
         2252411983327941820747452643656794336911/13091786665272315000*
         ep^3*z4+2307151027855800847965764761610873995992548888934263/
         11355620405147987370068066400000*ep^3*z3-
         728961831513069507264512/5445*ep^3*z3^2;
Fill mncnoptab(12,12,3,1)=
      +mncF321*(134135260254148608+65198492778283788672/55*ep+
         12128865755757197016464/3025*ep^2+1025309808172049885474596/
         136125*ep^3)
      -16271548837073857624921406516492063211372121342019/
      24603844211153972635147477200000-19486033799869424/23595*ep^-3-
         50003096894682042041366/1089829455*ep^-2-367376055230524573938\
         696745173235163/835494021729196830000*ep^-1-
         3786262082813871898496/2145*z3+1159665408814424842028881116069\
         91781861113454365379535538966955450574217943753050213106252424\
         119094600581/1899639462712262730702280564268600627862460667047\
         1561784819240979660800000000000000000*ep-
         1893131041406935949248/715*ep*z4-
         17431784880992926091775161111222/572160463875*ep*z3-
         15874084845674449530132035920958131501152623523441688450352192\
         655435292097788877663415289592685033307411451736355103/
         61026626837050081457242879674417825353323917428207687596190115\
         3797876087783424000000000000000000*ep^2-
         1346641120248619699033664/7865*ep^2*z5-
         8715892440496463045887580555611/190720154625*ep^2*z4+242236866\
         522051763529218659350097022524833/4595217119510582565000*ep^2*
         z3-64050649212675802982278253666315277233602422656306410050545\
         50889357140071280245333481220451684554170738983287075551234519\
         60403000720678558681719019713419934635250291619723/
         21604608777858457711648510388409252744526128016242583777938434\
         22051489283728850937514125014016120163861251472467701064862982\
         47168000000000000000000000*ep^3-1999137238917453253108768/4719
         *ep^3*z6-24899861681284230538757443319914/52014587625*ep^3*z5+
         242236866522051763529218659350097022524833/
         3063478079673721710000*ep^3*z4+1158068445379111235069482152685\
         383461165032771666609/12301922105576986317573738600000*ep^3*z3
         -1457697438701088966478144/23595*ep^3*z3^2;
Fill mncnoptab(13,1,1,13)=
      +mncF321*(19774031697705428416+79240850819342451090397/495*ep+
         10441716083353062233713336/22275*ep^2+
         5931731790126045226486324622/8085825*ep^3)
      -313635612886238270937302428312367871703984974936379229/322369840\
      9872868643114180221440000+195894355090115933/5880600*ep^-3+
         3017595113476021476083955487/10495359450576000*ep^-2+489535074\
         850094388742672772243870069/1170719930755311496560000*ep^-1-
         191278148989918784467260703/735075*z3+276304759277054661944407\
         87807698638690010477931735880367579478304065899887866834390947\
         824563/2875112870713978354847853153673954250945156193287028080\
         6400000000000000*ep-191278148989918784467260703/490050*ep*z4-
         563914594016978418764843854698850501/131191993132200*ep*z3-
         16469888080409170025429435741707813457950991675388028877461503\
         14352731124288329941602531171496060136131/36945629677527573905\
         3310320673603934901023742068998429089607765196800000000000000*
         ep^2-4123106766246514342161706903/163350*ep^2*z5-5639145940169\
         78418764843854698850501/87461328754800*ep^2*z4+113687162985997\
         5866984651537203773471661416073/103298817419586308520000*ep^2*
         z3+83740582081277292564370377246585837049146746823631104244572\
         38367732819989712420534423963959846785184217722062155716623246\
         3763575711/643776270606287604059891349307927248304796685658273\
         5248740690942053058290633926793756672000000000000000000000*
         ep^3-36725404598238791510520840721/588060*ep^3*z6-544124725029\
         2307727268952278431174279/104953594505760*ep^3*z5+113687162985\
         9975866984651537203773471661416073/68865878279724205680000*
         ep^3*z4+365641798229857797148089181853567673183120909473367814\
         667/56414722172775201254498153875200000*ep^3*z3-
         13389470430867565211276030513/1470150*ep^3*z3^2;
Fill mncnoptab(13,2,1,12)=
      +mncF321*(219035428036121668608+97009094239163273387584/55*ep+
         12667293296364775463286112/2475*ep^2+
         7113480980217393860094120976/898425*ep^3)
      -12062907727498484013209302372494561884159287383940987/
      11193397256503016121924236880000+1865588318896432/81675*ep^-3-
         148756110932940417125732/9110555078625*ep^-2-24266832825347404\
         676099112831132389/16259999038268215230000*ep^-1-
         235419260521459608661060096/81675*z3+7747221469935557856059205\
         80890371969462397072289233672221401434332835942776161312800091\
         16841343/72452844341992254542165899472583647123817936070833107\
         63212800000000000000*ep-117709630260729804330530048/27225*ep*
         z4-28843405138544864089785289546439366/607370338575*ep*z3-
         66300613788447879575662656512127458918869909463725167806909293\
         225820735989582398256046224608839082886044869/
         13300426683909926605919171544249741656436854714483943447225879\
         54708480000000000000000*ep^2-2537296473157241227848669248/9075
         *ep^2*z5-14421702569272432044892644773219683/202456779525*ep^2
         *z4+177805347294237940184806883671937331976130567/
         1434705797494254285000*ep^2*z3+
         11672953045524927476889912504160823533780236210004950410343775\
         26026237215399837300729893176941160594604311704578061847293636\
         28968393286827/11302136206763985176875452528449970771239010613\
         41665000268915701786834913503692187911921336320000000000000000\
         000000*ep^3-11300124498946855720988481568/16335*ep^3*z6-
         78806441574055787498235003422380786/140162385825*ep^3*z5+
         177805347294237940184806883671937331976130567/
         956470531662836190000*ep^3*z4+64780658942891953576664019547264\
         87517980151614482378701/97942225994401391066837072700000*ep^3*
         z3-8239674111190035014264963008/81675*ep^3*z3^2;
Fill mncnoptab(13,2,2,11)=
      +mncF321*(2224052038520620019712+89177998480739318027136/5*ep+
         3854108694578718507066976/75*ep^2+238310786892818129666736216/
         3025*ep^3)
      -150786359342577182794859270167773628654639245791837/
      13779750410467728180399155250+89402689513842928/32175*ep^-3-
         8219440802617886289171781/1196335515375*ep^-2-1612247120312940\
         4983431539202338777/59309760801763972500*ep^-1-
         941677045936219810208761984/32175*z3+2350235944280778211212672\
         79673194436105823630735931529515231946213721057604169041296181\
         69504698197219/21577774369487875080012316970198547997966141688\
         0044782366228480000000000000000*ep-470838522968109905104380992/
         10725*ep*z4-345424024217093556478717178006987008/717801309225*
         ep*z3-35343053201197557916720001023665903863745881912805742326\
         8798240859119992122900505444894431491270841318014124931/
         69319405617141462937940554966530699014865898252851316166314515\
         8576701440000000000000000*ep^2-10149185895827013849802217792/
         3575*ep^2*z5-172712012108546778239358589003493504/239267103075
         *ep^2*z4+90019835612259604572134100613321309030672696/
         70648391543277673125*ep^2*z3+
         49724145155276079316328271045230022610397863188326071058768015\
         47445729883682574027727206139168243343849813316439294275428573\
         85610505249105489/38838249874152603607808373234128081377530418\
         28974085182742273957049305430039960427551875137536000000000000\
         00000000000*ep^3-45200498008253452419005599072/6435*ep^3*z6-
         4030341707858216616260148131485827844/717801309225*ep^3*z5+
         45009917806129802286067050306660654515336348/
         23549463847759224375*ep^3*z4+120937781126041233020791054975484\
         22112650821855357536237/19291650574654819452558817350000*ep^3*
         z3-32958696383189119449860592832/32175*ep^3*z3^2;
Fill mncnoptab(13,3,1,11)=
      +mncF321*(946545956870382925056+37998560236940968993328/5*ep+
         4937003046518351014790984/225*ep^2+350665751708116687592672606/
         10395*ep^3)
      -524474288701549660737245904371216732759566080901421/
      112617723026261031769270080000+2197473595058344/675*ep^-3+
         263479984238563457766143/13094581500*ep^-2-7465246096198102438\
         56853881726979/23370462146271240000*ep^-1-
         8407830801778882513601632/675*z3+38669745120761267305902974695\
         36397188102475477514789842753727278381699142857148883216111935\
         584491/8349839442019686865866177550036752590495203947927325114\
         3680000000000000000*ep-4203915400889441256800816/225*ep*z4-
         903504547834424190613913056139/4408950*ep*z3-
         42597518966907799036039017571685824993839374484399426433718999\
         4718553869738874511799233784489396372896602777/
         19671058652882952896142044583590347343835463170972300118139317\
         36104960000000000000000*ep^2-90617731251579157937957216/75*
         ep^2*z5-903504547834424190613913056139/2939300*ep^2*z4+
         159180561990562340553902830378975850172871/294585657305940000*
         ep^2*z3+308527117297802745861368597800620914350375034266976817\
         20266302420560347751411936123736932216599617990497841938235443\
         7770600731274201001832199/472813476728814304790710630676341860\
         24819639657075819615992900346687196539616909552805436456960000\
         0000000000000000000*ep^3-403575875231216769464006656/135*ep^3*
         z6-3144133387380920969118505640409877/1309458150*ep^3*z5+
         159180561990562340553902830378975850172871/196390438203960000*
         ep^3*z4+38287622249760031405134746216740446653423095950373501/
         140772153782826289711587600000*ep^3*z3-
         294274074438533998716879136/675*ep^3*z3^2;
Fill mncnoptab(13,3,2,10)=
      +mncF321*(8737347294188150077440+69933190437443987231424*ep+
         1004155211242239429633728/5*ep^2+3187466392690208023795163612/
         10395*ep^3)
      -1140161711829764062517312784341633624861234441267/
      26522289843141185018125200-105779861995641208/585*ep^-3-
         38772407044541659677371569/17022955950*ep^-2-16636474757423323\
         68089838679908677/165117395598655500*ep^-1-
         67262643446380701804080576/585*z3+6407510298835687615449063173\
         46927584789482700789877979612284093277756553602598409045335385\
         6398870687/149512951121799471253840285313353747255197599735408\
         24239570944000000000000000*ep-33631321723190350902040288/195*
         ep*z4-3215206676673668223017854137503432/1702295595*ep*z3-
         17549191803841843868718514491233825669202137821718779124822040\
         68088081904366895987395404635619673700315364179/
         87330170272403686533386341803512561804727242030182164002743404\
         1894502400000000000000*ep^2-724941846614139228717659488/65*
         ep^2*z5-1607603338336834111508927068751716/567431865*ep^2*z4+
         80335481551223317728983381565863055365863/15956723104071750*
         ep^2*z3+984065738858727023393976596881670780927830145540983158\
         26063190604043837900478222293328986758399402940586260870594018\
         16519309870483269634919/23580211755017593205674826849587381777\
         08396351184088190567420861279796246860689862607943761920000000\
         000000000000000*ep^3-3228606988040436178327427408/117*ep^3*z6-
         12418635499948694008199518928002882/567431865*ep^3*z5+
         80335481551223317728983381565863055365863/10637815402714500*
         ep^3*z4+72533330542104492753132259381749124686589611256088957/
         30500633319612362770843980000*ep^3*z3-
         2354192630220497217778617248/585*ep^3*z3^2;
Fill mncnoptab(13,3,3,9)=
      +mncF321*(30892763647308102059520+247001946960534218969472*ep+
         24782115450585367707522528/35*ep^2+
         17443265401713431795786011183/16170*ep^3)
      -21811811183182627741272983028360384668790917942759/
      143502244561923319904832000-2923761173935923452/455*ep^-3-
         508969900243891554831117938/6620038425*ep^-2-63350711888191551\
         1473956220745944203/2054794256338824000*ep^-1-
         184972212195577222068982144/455*z3+529431517918811772229574212\
         63000130077328027168869135899490533029444700657992840691241736\
         49325969/34892984928889699002039787466067760567387243514529683\
         86560000000000000000*ep-277458318293365833103473216/455*ep*z4-
         17674508760786571846617024259345027/2648015370*ep*z3-
         82618383910596022647462733775415995655926744511369084061712083\
         1141581893005541372233013310816186934191069/
         11604038982339501411877553351545467308498755612986803290091028\
         4800000000000000000*ep^2-2563187156012171290569657264/65*ep^2*
         z5-17674508760786571846617024259345027/1765343580*ep^2*z4+
         359719428675012014693593293947282849415451/20145041728812000*
         ep^2*z3+114241300839553819051816020444182099304235267717073603\
         01340924622253780724019028436665907398328745848558486012978755\
         0563120776522157255833/933757669150122402461862032685563988611\
         98851182858094764364515682637645565228827281457152000000000000\
         00000000000*ep^3-8878668939944810905959309352/91*ep^3*z6-
         13601494496062437405743565903166277/176534358*ep^3*z5+
         359719428675012014693593293947282849415451/13430027819208000*
         ep^3*z4+2956624824803831485151740081913333123270565511344281/
         358755611404808299762080000*ep^3*z3-
         6474030358072297604593972912/455*ep^3*z3^2;
Fill mncnoptab(13,4,1,10)=
      +mncF321*(2103435459711962055680+151912855130812044389120/9*ep+
         19721289654398281593511904/405*ep^2+
         2332856496772954576599451916/31185*ep^3)
      -11865934827653645996729558111113134585347411730119/
      1146560528547906432040080000-2731897709258024/1215*ep^-3-
         3807564147851059206791/77026950*ep^-2-245640291571182413578778\
         549506903/618629880342474000*ep^-1-33631322818092556814573248/
         1215*z3+373821777840432791957820315022491619291561873270048691\
         673782472625841592956172623713051114790056691/
         36307066562005603124989873205806867734670910342987521909063680\
         00000000000000*ep-16815661409046278407286624/405*ep*z4-
         22543758646953829920608738763338/49517325*ep*z3-
         19108373166994434210835799781985782744648820576447113560842464\
         508133527842686769771535527114247669490226593/
         39672723333545451219110005882871288760676564378431529650028875\
         350016000000000000000*ep^2-362470924605145828806331424/135*
         ep^2*z5-11271879323476914960304369381669/16505775*ep^2*z4+
         159428537884639175727857388934187228062639/132563545787673000*
         ep^2*z3+389859662505266077403537169302953969381338608207388682\
         04589162816216757645176812204880359173257754469305400180546279\
         114400816447155082457356193/1747518609989697670506466490979759\
         51547733388172552229300709759681355878410424097707168893144924\
         160000000000000000000000*ep^3-1614303499314109951221204784/243
         *ep^3*z6-1845489189806708567332308827343512/346621275*ep^3*z5+
         159428537884639175727857388934187228062639/88375697191782000*
         ep^3*z4+222769086779403580176838677847701161067270669554111/
         372632171778069590413026000*ep^3*z3-
         1177096303138357250671063264/1215*ep^3*z3^2;
Fill mncnoptab(13,4,2,9)=
      +mncF321*(17474694588376300154880+139911494321943323327040*ep+
         6030827463729167220211712/15*ep^2+2129437525756923480573629342/
         3465*ep^3)
      -214071406796119133655949797055484873150626743772969/
      2489847617927539818028080000-1282819581049603736/585*ep^-3-
         17329115320667730298281373/630479850*ep^-2-6034366434520915557\
         89610039191871109/5063600131692102000*ep^-1-
         134525263860166794161908672/585*z3+336280067332650134744050093\
         84142283422283753753223301309892264959120693063783876483840150\
         88137805877817/39227768360993609420822391894807331316882214686\
         13451811597058048000000000000000*ep-67262631930083397080954336/
         195*ep*z4-10719038510158799118480948043048438/2837159325*ep*z3
         -5063331130125948052035913346182884864377044730973057611196776\
         02080982406588690224181587742384795146116083990644331/
         12602067015382934943384439442031320122354751125851694347684772\
         2741828157440000000000000000*ep^2-1449883665790694174396845536/
         65*ep^2*z5-5359519255079399559240474021524219/945719775*ep^2*
         z4+91719238343682784356717362382823082436253/9118127488041000*
         ep^2*z3+444906328301305252316071219367129188600023366554071409\
         98361157604996677811115675316907364413836328445851732996152254\
         2654882893044503534351712423813/111064516101567451947744314760\
         04693809478166448299986128889553615303951383418064876500067430\
         9885132800000000000000000000000*ep^3-
         6457213864128040387704850576/117*ep^3*z6-177642457578232695942\
         88334420204188/405308475*ep^3*z5+91719238343682784356717362382\
         823082436253/6078751658694000*ep^3*z4+582604015389782298946377\
         90113251613478712545751594309/12200253327844945108337592000*
         ep^3*z3-4708385509512972542837406496/585*ep^3*z3^2;
Fill mncnoptab(13,4,3,8)=
      +mncF321*(54920468706325514772480+439583537693794652885760*ep+
         132569445239664464579006624/105*ep^2+
         4253097793308887993143398808/2205*ep^3)
      -619654851602350444779065679771763148075345115107/
      2293182175172780325183750-269176672747564141472/4095*ep^-3-
         455217429469824390449521534/601821675*ep^-2-987656570894254805\
         75889742951545829/35024902096684500*ep^-1-
         2959550487154433652644902144/4095*z3+1118822304506148127778560\
         59116864567893216492454779562673373634081178969824777304117884\
         81787209623123/41560816267644714920710828102161646688311399579\
         88434064179200000000000000000*ep-1479775243577216826322451072/
         1365*ep*z4-21434764451045936394382771788479936/1805465025*ep*
         z3-18329789011151957196283319378541899158099110096746583018173\
         856085911038607412112027881833976204346051096098283/
         14512573221951987535293706040433226899581299178076300242872204\
         00128000000000000000000*ep^2-4556776338505566901415834496/65*
         ep^2*z5-10717382225522968197191385894239968/601821675*ep^2*z4+
         48895296837499270070640267573982954012496/1545216268971375*
         ep^2*z3+711074304495964094959048454302643007239689448548470330\
         31255024683182454070669663876658560621349048854672390173309234\
         04181186219424727127957407/28917016017221243737990020492845845\
         53358107797928141979079299731135533761833941110864100720640000\
         00000000000000000000*ep^3-142058679419348140568276335552/819*
         ep^3*z6-248380424552867936161877588238112952/1805465025*ep^3*
         z5+24447648418749635035320133786991477006248/515072089657125*
         ep^3*z4+621798445555969216960046403332389311280330895597/
         41694221366777824094250*ep^3*z3-103584539838913456443946705792/
         4095*ep^3*z3^2;
Fill mncnoptab(13,4,4,7)=
      +mncF321*(85431840209839689646080+2054895521341590546040576/3*ep+
         266400687507024941567031808/135*ep^2+
         6130138224740690553476547304/2025*ep^3)
      -19828889275772500162945488331065974649195050607841/
      47174033317840052403780000-2601389175493989133792/5265*ep^-3-
         12809146202421472689526964222/2321312175*ep^-2-373332698632459\
         578973088569374741107/19299435849193500*ep^-1-
         5919055627238443116712719104/5265*z3+6279644194491525578693937\
         77715150228201052425787934569584774725246318498117852669809658\
         0937038262443/149946093676998060391777404595991363780715326472\
         6147858432000000000000000000*ep-2959527813619221558356359552/
         1755*ep*z4-42905003592386864418909377691462776/2321312175*ep*
         z3-41045653801968190368532754000990163347818863544269284026617\
         096381489212425951383648602338501758250643572578913/
         20943801005440914956181878979633957187442399688477459534174171\
         95520000000000000000000*ep^2-63794815131036303329925281152/585
         *ep^2*z5-21452501796193432209454688845731388/773770725*ep^2*z4
         +194579119412432730656161767381701553048679/3973413263069250*
         ep^2*z3+602522356688876998006707893481658254110845852486631262\
         46421975452819992069093645883112389145843309607818997546207850\
         604117787728739906467672527/1410526515988713204024230416518378\
         54700392132848792254962028465893960977752896993369875420282880\
         0000000000000000000000*ep^3-284117140276044143426307405632/
         1053*ep^3*z6-71460147204901749946469831028914656/331616025*
         ep^3*z5+194579119412432730656161767381701553048679/
         2648942175379500*ep^3*z4+5630972016192685356874137892252319558\
         46288908457809/23587016658920026201890000*ep^3*z3-
         207169578177849694443252309632/5265*ep^3*z3^2;
Fill mncnoptab(13,5,1,9)=
      +mncF321*(2662160503697951976720+21405264271350180661440*ep+
         619727332631552409161037/10*ep^2+331535896962738242287977092/
         3465*ep^3)
      -10489494112227257588723647376048702298911253995400601/
      800837141520078448137031680000+957387453550031/60*ep^-3-
         1869007086013956462427681/18623404800*ep^-2-757169961168165354\
         366933310362587/296767773285984000*ep^-1-
         525489428616732651298547/15*z3+2576875316593772975066485174043\
         42549516829489512317158173965689122609335264234131939841898172\
         853427569/1980247922069388937108822667766716244361842568290444\
         424123514880000000000000000*ep-525489428616732651298547/10*ep*
         z4-5370624722088856850358061331240269/9311702400*ep*z3-
         15462020773832096717368565589961077858534170806884260764176863\
         2725200545067702622718709427512644199966400046387651/
         25446481473369387866449348873332473323985555157969767432825020\
         9382537625600000000000000000*ep^2-16990824620693900383833858/5
         *ep^2*z5-5370624722088856850358061331240269/6207801600*ep^2*z4
         +8803398123427440857691966523458363445183/5818975946784000*
         ep^2*z3+294437309795347039120107923063122810900282067742041019\
         96090362082383347685125553539624928113170580238624268700906905\
         500045014041735318504958772692937/
         23727225180236785070913299859026181447979413668108566520352702\
         137002229984306015906353701748240652697600000000000000000000000
         *ep^3-50446984433464968500203027/6*ep^3*z6-2108400589792580915\
         2003956155904761/3103900800*ep^3*z5+88033981234274408576919665\
         23458363445183/3879317297856000*ep^3*z4+6249738542520522048078\
         6709552047775747919522695211983/80083714152007844813703168000*
         ep^3*z3-18392129603977221694375646/15*ep^3*z3^2;
Fill mncnoptab(13,5,2,8)=
      +mncF321*(19659031411923337674240+157827499344376793537760*ep+
         2278658321401783410244512/5*ep^2+53992515629295974672968100/77
         *ep^3)
      -5244766311267121609137819766699472239524214226583383/
      54223348123755311592611520000-772669521771402612/65*ep^-3-
         136298630967138053808907246/945719775*ep^-2-101954925991196512\
         54895338856351303/17223129699633000*ep^-1-
         16815644399847499098409824/65*z3+17016780067609851663495012873\
         30620782327306147570900114987789926847491150420441186345912837\
         59558868184489/17698465803495163625410102593165026433983967954\
         0958470406039142400000000000000000*ep-
         25223466599771248647614736/65*ep*z4-80499040251752817635998130\
         36273731/1891439550*ep*z3-255714502039854709545879468658211243\
         87609796798282441278541002214020798681131648515075686207905589\
         024322500726958223/5685698204205972601409776388885224508328022\
         480608869910771840615891075072000000000000000000*ep^2-
         1631118979950793759255745808/65*ep^2*z5-8049904025175281763599\
         813036273731/1260959700*ep^2*z4+795995608916827664779425254645\
         32852393777/7091876935143000*ep^2*z3+
         89072211022950088654217152656017689267065984700054435195186891\
         94781437863078825207568878615500555526434204120891673896150875\
         134402975142909328464128079/5301551876209156664282190437251162\
         41728290024146800783189130688373643576211837542907590523437252\
         083712000000000000000000000000*ep^3-
         807151667775473130078667992/13*ep^3*z6-31431112658178528342497\
         129446328489/630479850*ep^3*z5+7959956089168276647794252546453\
         2852393777/4727917956762000*ep^3*z4+60926170872564794135177424\
         57094843424270159850999733/1084466962475106231852230400*ep^3*
         z3-588548338992315489730805232/65*ep^3*z3^2;
Fill mncnoptab(13,5,3,7)=
      +mncF321*(54062336382789178604160+434162409865088405858280*ep+
         6271915002727493734871168/5*ep^2+121694225036680600159294127/
         63*ep^3)
      -29743490483500453012698641854375940231604327469181/
      111819930827472716808960000-16704285901377958543/65*ep^-3-
         250143850108873506891458179/85974525*ep^-2-1574253639177773200\
         92699905680552807/15010672327150500*ep^-1-
         46242701745963449054499336/65*z3+74081752541307082563523666891\
         33994911122048139044661696174846559141716153698998585733019467\
         9414854287/279899374863729712731317821912517212390668609415547\
         60024064000000000000000000*ep-69364052618945173581749004/65*ep
         *z4-894567120951766073869628836218819/76421800*ep*z3-
         48353273251090869520017655049176908609874973379117603334900846\
         3457142883944326128295784764006398971389196088847/
         39095095210156374584872840761983386749892479418491257797125120\
         983040000000000000000000*ep^2-4485573786033481129206498412/65*
         ep^2*z5-2683701362855298221608886508656457/152843600*ep^2*z4+
         217823659220203985305549941734678378801047/7063845801012000*
         ep^2*z3-499462025388107647082540667932125877574240528807218707\
         33246970011070679631857097566071184068069960959484504078957758\
         2512329059384319380879393777641091829/
         44824234702861815430568290249696387920166478181536097471714477\
         01198546112995269235958393065857051116175360000000000000000000\
         00000*ep^3-2219665542143758840075999538/13*ep^3*z6-94413025619\
         283866292666563861027747/687796200*ep^3*z5+2178236592202039853\
         05549941734678378801047/4709230534008000*ep^3*z4+1735772259837\
         07577272099155565016172817055338397699/
         11181993082747271680896000*ep^3*z3-
         1618511452965141283080820948/65*ep^3*z3^2;
Fill mncnoptab(13,5,4,6)=
      +mncF321*(72083115177052238138880+580186911502722722359392*ep+
         8414630445782686900797264/5*ep^2+4103433695027273568242131412/
         1575*ep^3)
      -9914208122013686685022896976929405345656065613273/
      27954982706868179202240000-270369787885910511436/195*ep^-3-
         2621968528011213742508889187/171949050*ep^-2-64714213100756893\
         699204525439259338/1250889360595875*ep^-1-
         184966326643499421455808032/195*z3+122225116607381216268294553\
         70021080742455335745735235099486234968641205969974732086274691\
         207744825931/3470152858271092521887287732924980936937001638287\
         995043840000000000000000000*ep-92483163321749710727904016/65*
         ep*z4-2686608295393484640843223997915891/171949050*ep*z3-
         40361328090934587559644133190139739624497037793402625519962340\
         766510684778350891714644706211041927443387140331581/
         24574059846384006881920071336103843099932415634480219186764361\
         76076800000000000000000000*ep^2-5980749165846693589529450448/
         65*ep^2*z5-2686608295393484640843223997915891/114632700*ep^2*
         z4+1413963117242289721314179345947735230109/34626695103000*
         ep^2*z3+219962714393255734879749113029115429427699283109199614\
         85492452681103502523437371490779107259102094674937958400840612\
         539638932054743223797233206553809737373353/
         18313901607169256018775044302018809921668018228456176967014772\
         03632548840452352859263000595478738027465932800000000000000000\
         000000000*ep^3-8878640585448290673566271656/39*ep^3*z6-1058556\
         5538760453428359173884646549/57316350*ep^3*z5+1413963117242289\
         721314179345947735230109/23084463402000*ep^3*z4+29984978827395\
         8011074170266905775065002664476543107/
         13977491353434089601120000*ep^3*z3-
         6474095113062012486832800656/195*ep^3*z3^2;
Fill mncnoptab(13,5,5,5)=
      +mncF321*(50683440358864854941400+409717880155468729339110*ep+
         1197491158669812818879166*ep^2+65539294130896011931004187/35*
         ep^3)
      -59480443931535636745237444439140570872616352770177/
      238549185765275129192448000-539710505636847596029/208*ep^-3-
         41432879668737757066355150881/1467298560*ep^-2-959403793021106\
         23591586334649764836999/1024728564200140800*ep^-1-
         17339666870151607486669351/26*z3+10023608086798076013581355636\
         37782643340024642911855009706306795907752415758190133801063299\
         905740475661679/4075750748515702158655474016381663495123686803\
         59579044450979020800000000000000000*ep-
         52019000610454822460008053/52*ep*z4-80766688074459679970544239\
         94874303/733649280*ep*z3-8455361131704974412872887482816158858\
         95517766425500666468144669453102289625021100235942850361068580\
         81694624900167/73932814337835312133319528905478133669225239037\
         45048801046535124025344000000000000000000*ep^2-
         3364151699587991798877100809/52*ep^2*z5-8076668807445967997054\
         423994874303/489099520*ep^2*z4+8538316936402878275868941441892\
         76481284991/30139075417651200*ep^2*z3-
         52962241580526845202812066739403658045305780503376726106531498\
         05374652513801156151277077025452772211464152528505810838875542\
         99116006040686010307573816434695697/
         16970393785267319397237707052022710025814452411216631824714568\
         35974065057516768253507466871794417805771031969792000000000000\
         0000000000*ep^3-16647361829238442919518810535/104*ep^3*z6-
         32309453421639720766943429895576327/244549760*ep^3*z5+
         853831693640287827586894144189276481284991/20092716945100800*
         ep^3*z4+1921341674332147770256842371655735887250130363060253/
         119274592882637564596224000*ep^3*z3-
         1213913206241580112821729671/52*ep^3*z3^2;
Fill mncnoptab(13,6,1,8)=
      +mncF321*(2004450261607869723648+16193244881147959104480*ep+
         1181836895930090045686992/25*ep^2+1278621775775435584241731348/
         17325*ep^3)
      -1234060942310027972563673438117454035105710086875941/
      125130803362512257521411200000-1118691511301252/75*ep^-3-
         2357397874845353261560211/2909907000*ep^-2-1923139974250885041\
         64529674836601/23184982287967500*ep^-1-
         1978313074673111576439904/75*z3+125526122315880308092420482686\
         63257283429471832448176157994467303393549144620432574162927464\
         5178724949923/128654232186945612507788822696468846000883459358\
         6198111797746073600000000000000000*ep-989156537336555788219952/
         25*ep*z4-633299813805487669641930230518829/1454953500*ep*z3-
         74997715449816517734326086440403845923207950295488767609213227\
         673147307344586872810129276217991136393459326288808469/
         16532260932229674179483811346143191262676865366693483279013505\
         7908217413632000000000000000000*ep^2-
         63965457182298244928995056/25*ep^2*z5-633299813805487669641930\
         230518829/969969000*ep^2*z4+3336845818066250614946969518334282\
         28313/297243362666250*ep^2*z3-
         47343143480359633325086902318037500900486328925781925991616524\
         25927585735227395673958412102158078290510542259782833099529551\
         28360061051444716310396947/81133061101500454214520971064005643\
         47096908061841728584837708510333492785752007741662721370821104\
         76288000000000000000000000000*ep^3-94959029236110811605272632/
         15*ep^3*z6-2527730822623288885523969661099901/484984500*ep^3*
         z5+333684581806625061494696951833428228313/198162241777500*
         ep^3*z4+7901369364901616038755157553735401683484095913217011/
         12513080336251225752141120000*ep^3*z3-
         69240959452528138852225072/75*ep^3*z3^2;
Fill mncnoptab(13,6,2,7)=
      +mncF321*(12951832459620081291264+104535711770094595888128*ep+
         7617060390078287771919856/25*ep^2+234958706941612573226805176/
         495*ep^3)
      -1851112419392062559327035997185827952960441991424269/
      29048222209154631210327600000-9429560182064303456/325*ep^-3-
         235902015667350577677770689/675514125*ep^-2-563375384031484786\
         48395269731708327/39891807760179375*ep^-1-
         55392560175507919087178112/325*z3+6773281212077872322080793743\
         05488031586781045378823484333418315253046200320106598065206983\
         7602163594401093/107274374359960481566261234085102303079453846\
         57890748104202780672000000000000000000*ep-
         83088840263261878630767168/325*ep*z4-6330090220929832027259644\
         30847294/225171375*ep*z3-4049503061248517901233997819042750437\
         72253843843238034100939467257200234349570466328028990786782856\
         6483275308865613771/137849172787687662254588047959094830936605\
         9327951701521223866663607876976640000000000000000000*ep^2-
         5373096210043456841222818304/325*ep^2*z5-316504511046491601362\
         982215423647/75057125*ep^2*z4+19733863407150366316006794178816\
         429771627769/2712642927692197500*ep^2*z3-
         28677623292233202583732640637545743866669817887100676278341240\
         17590156319959642691312804912258617439688890065887777157765038\
         572773164281542955930588866747/1285355842640097574932090252949\
         87366361879295650285577638507603630181340518298571627391335070\
         092954173440000000000000000000000000*ep^3-
         2658851824933974461067820096/65*ep^3*z6-2266539733913686439226\
         1040924883574/675514125*ep^3*z5+197338634071503663160067941788\
         16429771627769/1808428618461465000*ep^3*z4+1168634039432593351\
         5990553911845915049042892017203087/
         2904822220915463121032760000*ep^3*z3-
         1938749122970587077680316416/325*ep^3*z3^2;
Fill mncnoptab(13,6,3,6)=
      +mncF321*(30529319369104477329408+246612527622671717219328*ep+
         17996051794674413742490032/25*ep^2+589918894984962075746967568/
         525*ep^3)
      -3499230100665611260473605418662928890507221444021/
      23295818922390149335200000-147264215947799356032/325*ep^-3-
         1456129990565789085850940909/286581750*ep^-2-22461141941833687\
         0773774973343450213/12508893605958750*ep^-1-
         130565424380685149020222464/325*z3+124526081885156424733359894\
         90857934872253760052268894454514435973678365168303432033703407\
         3609735546581/837794047211163765998502324091888254774790395529\
         53023201280000000000000000000*ep-195848136571027723530333696/
         325*ep*z4-316630093489085420174807827972587/47763625*ep*z3-
         56601132321794703367834249107232036135464461160288994335421839\
         62100782490270782137233125168973300878904768889391/
         81913532821280022939733571120346143666441385448267397289214539\
         2025600000000000000000000*ep^2-12665126077023045290713010688/
         325*ep^2*z5-949890280467256260524423483917761/95527250*ep^2*z4
         +25169652443648698358227147611040053766427/1471634541877500*
         ep^2*z3-255004862929247547194305503090745729966716048777378406\
         76894682285104159241603733379885189735231368282610995453647237\
         9964253535936310371034253165757549209531/
         87209055272234552470357353819137190103181039183124652223879866\
         83964518287868346948871431407041609654599680000000000000000000\
         0000000*ep^3-6267280326321180070846394112/65*ep^3*z6-113704030\
         67458403682893387788266727/143290875*ep^3*z5+25169652443648698\
         358227147611040053766427/981089694585000*ep^3*z4+1315650786633\
         226483747983841565598911874293238251/137034228955236172560000*
         ep^3*z3-4569938950762290398841073152/325*ep^3*z3^2;
Fill mncnoptab(13,6,4,5)=
      +mncF321*(33921465965671641477120+274754543576982191509248*ep+
         805763558962615264320936*ep^2+398670129163843228405865356/315*
         ep^3)
      -11663159394941348856100947714617268829328208251/
      69887456767170448005600-317543091295642530736/195*ep^-3-
         1532819254040933077147863328/85974525*ep^-2-352602282210376292\
         85926042004949861/588653816751000*ep^-1-
         87038792171310891801276992/195*z3+2062514333870466972138154958\
         04812770946408384316567284779540917906083991157186047733257659\
         015977923919939/1254077153389446818047838158886665690807288247\
         26024321369532006400000000000000000*ep-
         43519396085655445900638496/65*ep*z4-63407507656815180522806323\
         2262892/85974525*ep*z3-173589920634811211678763245400768528041\
         17927673966680049688865801023312824998477313259780310678004507\
         543267603947/2274855825779548065640600889399327189822315047306\
         168861860472345853952000000000000000000*ep^2-
         2814455355582948153882799488/65*ep^2*z5-3170375382840759026140\
         31616131446/28658175*ep^2*z4+171432630779080649346461760846681\
         74215651/909737716797000*ep^2*z3+
         47291341824298568641183536063541668912971410917468546232001433\
         30094199812129374851265570261734322757767480320751151689291117\
         068029148821458724567940609160043/
         11813709561620131846319322695456115576619876373976075060713239\
         37329665894547001916816893053807461055183454208000000000000000\
         00000000*ep^3-4178163637288766784923560736/39*ep^3*z6-85125583\
         8812653201957701017933836/9552725*ep^3*z5+17143263077908064934\
         646176084668174215651/606491811198000*ep^3*z4+3875852626525739\
         411474092739385939852313286442529/349437283835852240028000*
         ep^3*z3-3046679016159208144955478656/195*ep^3*z3^2;
Fill mncnoptab(13,6,5,4)=
      +mncF321*(19080824605690298330880+155279845889054829990432*ep+
         459114862825156253996368*ep^2+45921549750415752015948932/63*
         ep^3)
      -699717001159064298832687909652690672859226602851/
      7454662055164847787264000-358747173910636895494/195*ep^-3-
         41406638720222535295307333603/2063388600*ep^-2-321244022526228\
         71870412552612639164159/480341514468816000*ep^-1-
         48955355993758835872291568/195*z3+1262901300341980804967841176\
         06228433685266046521666177689200589918964894663782543020738226\
         30224955801721029/13599421664214059536047098301326817195396034\
         967997954116514333327360000000000000000*ep-
         24477677996879417936145784/65*ep*z4-25233502154234410099556875\
         8008803/60687900*ep*z3-162571983110297390521943516837473523253\
         47266441207670521154035309836618659888349919812071751251290304\
         674896335299439/3799013020478221568866579552965025405881915832\
         859714176255091918363342929920000000000000000*ep^2-
         1583117083331067258356393352/65*ep^2*z5-2523350215423441009955\
         68758008803/40458600*ep^2*z4+250794427885726806027804668274617\
         2061744671/240170757234408000*ep^2*z3+
         32129269901172214422342298362244939754176949387689104584866749\
         66999420449652826820230429504577900145271804138113034142026313\
         743604241419501124776673930443971543/
         11324909452701724477756629839383155157226844575751898971026188\
         61873359415049523347840649559110808149051202001174528000000000\
         00000000000*ep^3-2350197946999721469598444244/39*ep^3*z6-
         5852585624348792753831602427818333/114632700*ep^3*z5+250794427\
         8857268060278046682746172061744671/160113838156272000*ep^3*z4+
         24801562521424894646589078274104156728090299309231/
         3727331027582423893632000*ep^3*z3-1713800571302455511281720424/
         195*ep^3*z3^2;
Fill mncnoptab(13,6,6,3)=
      +mncF321*(5387526947489025411072+220753599172016676441984/5*ep+
         660565872104763446899872/5*ep^2+1230396081776905495946676544/
         5775*ep^3)
      -1924420305500158048354122306592655103083330788601/
      72605302308115965428040000-3636701081836994302192/5525*ep^-3-
         53349812246950815882146696968/7307834625*ep^-2-235873454075146\
         781564529014608146011347/9356652417257145000*ep^-1-
         391626006094885192948557824/5525*z3+28484142781929017947960029\
         02707168632446827181746075050595679930661849960290315998908769\
         9820992451367217668653/110200646885681262440434986568418308673\
         359203357343421524154481062707200000000000000000*ep-
         587439009142327789422836736/5525*ep*z4-94695166101038729201328\
         695907934462/80386180875*ep*z3-1821798813167391381252378525603\
         96618312521767983224846783753886085460047873297494994557430988\
         618421532422684560715691273/1539233442130426105652442482209662\
         79361648956494699419374602140892354777710592000000000000000000
         *ep^2-37994630769064043557341254208/5525*ep^2*z5-4734758305051\
         9364600664347953967231/26795393625*ep^2*z4+1348242363117730551\
         7227647169220783052941823/4678326208628572500*ep^2*z3-
         91099094722061680619779298565719343369036124571807016703782887\
         21843216963931339752437893086803584063074122898288060919016835\
         22179015726480581645604350582937964419/
         26991034195605776671986634450529853124723979572208692547612416\
         20798173272534697312353548115880759421905364769465958400000000\
         00000000000000*ep^3-18801502381484579182196348192/1105*ep^3*z6
         -12023055582497471593698229727041786/811981625*ep^3*z5+
         13482423631177305517227647169220783052941823/
         3118884139085715000*ep^3*z4+3722182084338597755466310783806757\
         6429694295194867/18151325577028991357010000*ep^3*z3-
         13710589622298614522727530432/5525*ep^3*z3^2;
Fill mncnoptab(13,7,1,7)=
      +mncF321*(909426507581348300544+22213776544032865816024/3*ep+
         14790049420128827760578852/675*ep^2+31026383212341852057403369/
         891*ep^3)
      -454658317605747469072013983647579479297363575050413/
      101609975662791908363251200000+40773853980082363/2025*ep^-3-
         447349242877190004982177/416988000*ep^-2-402429787910203127356\
         329211042877/28240354365795000*ep^-1-
         24234337049624750845038424/2025*z3+155979924928708440876361235\
         51573576419664216905691052486094970006920670364304160101121385\
         254969366893/3545381289265817782905436142612651510516528020454\
         68003113369600000000000000000*ep-12117168524812375422519212/
         675*ep*z4-702652167503028864785451453334271/3544398000*ep*z3-
         71386616020262207318881302578826750660930276908015166193976095\
         836001691068352089343449224129634046257385189/
         35153301647404954759351586118097143279598551934162367692324693\
         0821120000000000000000*ep^2-783576856333127883549813836/675*
         ep^2*z5-702652167503028864785451453334271/2362932000*ep^2*z4+
         1364126283822379070606590064655300010448/2745590007785625*ep^2
         *z3-3595858863067806725377111810129754940968774400719410318200\
         69722609511270836043334443847412203117499162582913923598083597\
         74283157614454747665363796301/50445676712719685044430543679351\
         39967106722749226278557241271728029094996793507520698247059265\
         8145280000000000000000000000000*ep^3-
         1163248115974879449902201542/405*ep^3*z6-288076036566476424193\
         4731289653199/1181466000*ep^3*z5+68206314191118953530329503232\
         7650005224/915196669261875*ep^3*z4+324521105206488059526791355\
         4345396884310907122627979/10160997566279190836325120000*ep^3*
         z3-848201727067389280235315932/2025*ep^3*z3^2;
Fill mncnoptab(13,7,2,6)=
      +mncF321*(5036823734296698279936+40991957289675616164864*ep+
         9090606491019081158330032/75*ep^2+476273402547641120954136832/
         2475*ep^3)
      -227335478907799035760230815636126539194466508448139/
      9173122802890936171682400000-106223364126635740096/2925*ep^-3-
         277089098863391942707969897/639960750*ep^-2-175580298173506455\
         90035798925446599/10197905743203750*ep^-1-
         193872344221260804619611392/2925*z3+41177309520745374111511088\
         81608264320703528957766388341298880167454340852665552094177271\
         53723998191973901/16899650812167064765182578946453638866795450\
         23083397481507061760000000000000000000*ep-
         96936172110630402309805696/975*ep*z4-3512468909125434358641820\
         77311053/319980375*ep*z3-3053632251834064522893481039542760826\
         69532071075866723361452206374484997297037452060282635118017370\
         14570422775367777/27145379532126106065171294800394614040506001\
         803560180332013127998006886400000000000000000000*ep^2-
         6268606520936607352059186688/975*ep^2*z5-351246890912543435864\
         182077311053/213320250*ep^2*z4+4857215412361507467579761288905\
         068257839/1762600992652500*ep^2*z3+
         29690371826321347358229992267252035945720514181831871015210549\
         74131343445791645724294366743541374129857835485815039976861228\
         63343153906183398831565480463/24045772566396383204511892487157\
         50050987537843797859445618339523693868615138238584866164431583\
         3715916800000000000000000000000000*ep^3-
         9305973609294280625778974336/585*ep^3*z6-143790635263224521238\
         9821182937257/106660125*ep^3*z5+485721541236150746757976128890\
         5068257839/1175067328435000*ep^3*z4+32266469721045558511862796\
         5105256565989386533601009/183462456057818723433648000*ep^3*z3-
         6785639755162034357156819456/2925*ep^3*z3^2;
Fill mncnoptab(13,7,3,5)=
      +mncF321*(9893760906654228764160+80621929435937151958080*ep+
         3583647379253939209962134/15*ep^2+17117450728759208572578424/
         45*ep^3)
      -5580907956211350259584935217392187191491446893/
      114647912673417002880000-219200452828324604252/585*ep^-3-
         195174350872236344718408301/46542600*ep^-2-1332607993611410526\
         0642257593241537/902897583588000*ep^-1-
         76160234283309646716396304/585*z3+3731387343957607979723871051\
         66195854478038602700586151335567466740458493480943456606229619\
         4134928980359/780047990146545867685258184953428420119365895425\
         0316640210124800000000000000000*ep-38080117141654823358198152/
         195*ep*z4-50207657160804933811887235604149/23271300*ep*z3-
         34328263732419298496092214629831067931972667578897363882675136\
         33696839566905271193795461955238509039948543379837/
         15564803018491644659646216611679607088257945060515892212729547\
         62952704000000000000000000*ep^2-2462653012773091610406282656/
         195*ep^2*z5-50207657160804933811887235604149/15514200*ep^2*z4+
         1622542731344797358581038404823423240541/300965861196000*ep^2*
         z3+95236115690071286190698803305880329827648877456368448390151\
         97691238828834196676920267797761581209989248969985569354628475\
         2836852498765197334200096165135005451/
         67076655277736440305287379652263675991361471981093406421796712\
         88435039753030704559318050876657777888423051264000000000000000\
         000000000*ep^3-3655899402017982592251225832/117*ep^3*z6-
         206419232625637962701914608561481/7757100*ep^3*z5+162254273134\
         4797358581038404823423240541/200643907464000*ep^3*z4+
         442924327438779397769305018197887147091669521509/
         126112703940758703168000*ep^3*z3-2665829929960819069361570272/
         585*ep^3*z3^2;
Fill mncnoptab(13,7,4,4)=
      +mncF321*(8794454139248203345920+215650843385303432237824/3*ep+
         5781765111473672649171536/27*ep^2+139039238764033745386311328/
         405*ep^3)
      -6138276701424820653930304070832820937751193783/
      141876791933353541064000-4280872504228737125632/5265*ep^-3-
         468248148391744327758874036/52360425*ep^-2-3082950834099906931\
         0076453434534219/1015759781536500*ep^-1-
         609226238449773082879013504/5265*z3+20320394282360675938479011\
         34644528937436084840644998023053536939825918567686515330660839\
         34330789384172573/47717268997242314161568765969567779632968543\
         7473612425140853800960000000000000000*ep-
         304613119224886541439506752/1755*ep*z4-10056066937754567846732\
         7735816644/52360425*ep*z3-130336249111668441265515912697185511\
         84533062891609723844634202787165415587358186773179541795383989\
         48411723389550249/66649351236460027523975079876579393085647646\
         1905213013378086301467253145600000000000000000*ep^2-
         19701026891442324646311888256/1755*ep^2*z5-
         50280334688772839233663867908322/17453475*ep^2*z4+481955188325\
         6670333348076537160306489237/1015759781536500*ep^2*z3-
         93114833503592318164882739996238107021045614837183613278982848\
         31118997003721326255268777517904646280119433153706822584419597\
         6559698265023934673657707757749967243/
         31458081813060345771546193998286542103407901599310830475072746\
         16314887264026453744001804330863355969586672225484800000000000\
         000000000000*ep^3-29246927217938600428028325632/1053*ep^3*z6-
         24571253350046947321126068531868/1026675*ep^3*z5+4819551883256\
         670333348076537160306489237/677173187691000*ep^3*z4+2092500201\
         7829633210728422090296493525248315197/6448945087879706412000*
         ep^3*z3-21327251720880907562216204672/5265*ep^3*z3^2;
Fill mncnoptab(13,7,5,3)=
      +mncF321*(3710160339995335786560+30478225194024001128504*ep+
         91575550789938726897960*ep^2+24496538583652451685162433/165*
         ep^3)
      -19292878558373429110981334200704913289624209087/
      1056944566360644369408000-180713812438950843661/390*ep^-3-
         106556821222362251481887051/20685600*ep^-2-9470678192687744651\
         97797265976708133/52969991570496000*ep^-1-
         9518644556003113997037796/195*z3+36351546770134663015782635935\
         42102889430173009381455001574883669467329029565281527200512362\
         81345352730348369/20470708399816952775313000600944577462543505\
         26761797303854262806118400000000000000000*ep-
         4759322278001556998518898/65*ep*z4-
         10267247017610947854587712181873/12641200*ep*z3-
         13641996535423017313563101007414862565769160090977301611774015\
         5860740986606596135596391050854325135305513210511596417/
         16819159812024324592814887804148564490436964832784493102305824\
         9017324470272000000000000000000*ep^2-
         307826716712022815086753694/65*ep^2*z5-
         30801741052832843563763136545619/25282400*ep^2*z4+173800852793\
         52129800299105861909503194119/8828331928416000*ep^2*z3-
         20690601423687364867479613063129667928822807395720287965487219\
         44388905578499670203310019763778090281586909533297242336370434\
         842941146806753938597378653772805930133/
         32389241034726932006383961340635823749668775486650431057134899\
         44957807927041636774824257739056911306286437723359150080000000\
         00000000000000*ep^3-456980752790032665631611643/39*ep^3*z6-
         106435532014519054439054520449389/10342800*ep^3*z5+17380085279\
         352129800299105861909503194119/5885554618944000*ep^3*z4+
         5375632341016419080260141542372973272690253166333/
         3699305982262255292928000*ep^3*z3-333243970698372729570885478/
         195*ep^3*z3^2;
Fill mncnoptab(13,7,6,2)=
      +mncF321*(698383122822651442176+28892830132815504210432/5*ep+
         17576123452551397999776*ep^2+23883959480097219067391896/825*
         ep^3)
      -3107363657666427522758995406022887244826170221579/
      904017899415338637209280000-940871373227679325208/16575*ep^-3-
         73283833792428941626061191/109892250*ep^-2-7255378991479602015\
         59115006916491733/281403080218260000*ep^-1-
         152309392915701027524094976/16575*z3+
         24313851166506886022288644779403361574848017604310184205421292\
         7732774080839374509795216421126238712275626919086239/
         72900859933263327098122366504100655707778882177188618888103086\
         24507417395200000000000000000*ep-76154696457850513762047488/
         5525*ep*z4-92739226781490811993555466805967/604407375*ep*z3-
         35491438456135813443091524157656343241737975756179576389484835\
         404347020294356973479634149830482715079258412143085263183950077
       /234196733778908027156192021106120221530515918964332348274797019\
         674304139949565280256000000000000000000*ep^2-
         4925266783148287073520234464/5525*ep^2*z5-
         92739226781490811993555466805967/402938250*ep^2*z4+11698781927\
         74497116264185591725693575834171/3236135422509990000*ep^2*z3+
         31240770498161323492535090703869961822648446546611953806604529\
         47579130125126474947697909914149644459905227155114154605849491\
         148777009193702942338705354227960179035901/
         10902218532289085313348841387258018274138509828806535093831607\
         15472798148242214938405845154966556345696014937682689916928000\
         0000000000000000000*ep^3-7311745478264580096518304208/3315*
         ep^3*z6-109349288762150410102302100833559/54946125*ep^3*z5+
         1169878192774497116264185591725693575834171/
         2157423615006660000*ep^3*z4+3078378853123118052114099284992054\
         889691269967323273/10396205843276394327906720000*ep^3*z3-
         5331781862486879750823791968/16575*ep^3*z3^2;
Fill mncnoptab(13,7,7,1)=
      +mncF321*(45265572775542223104+1891084428173730372968/5*ep+
         157874354845316810495732/135*ep^2+14607559741201549070049916/
         7425*ep^3)
      -333565650924547052295364099765862490489969598663643/
      1497053641431800783218567680000-11107160076890942764/447525*ep^-3
         -65818268614064735788003019/23736726000*ep^-2-4104696272431183\
         1662150778509075425541/1398010502524315680000*ep^-1-
         266577529985332647980277008/447525*z3+
         86714820833768015794557063011107541433821969121217775484819802\
         52361079072295695228068053829933437819835685755592501/
         40480806080084936061485948371634178390876645003247451659722385\
         17637190202163200000000000000000*ep-
         133288764992666323990138504/149175*ep*z4-652394088254141913946\
         602519326779/65275996500*ep*z3-1253380683618341909770415150966\
         89945536768681898167703173662287561926197210708164633903940276\
         1513262970948441559963474343849543/130046100599802214508016912\
         29135561444130219671633711967773371649628859885485146347929600\
         0000000000000000*ep^2-8619344697206468556388856512/149175*ep^2
         *z5-652394088254141913946602519326779/43517331000*ep^2*z4+
         118893322948193358694214046959920854216533/5255678580918480000
         *ep^2*z3+61123075742008042726669508381527663687738949078303361\
         34487580164401671676779775953308073968096811881967979417990753\
         46272879919333172781854685484570535503557701372403/
         38909408500952226217703380503841349691428495326908292328668580\
         56588011279378737289490674695924119728179690578835239914700800\
         0000000000000000000*ep^3-12795728280817036510593146264/89505*
         ep^3*z6-396689016846038733478929872261879/2967090750*ep^3*z5+
         118893322948193358694214046959920854216533/3503785720612320000
         *ep^3*z4+832915781628394103172155519993215703013941619419273/
         39396148458731599558383360000*ep^3*z3-
         9330220337595436126316841344/447525*ep^3*z3^2;
Fill mncnoptab(13,8,1,6)=
      +mncF321*(246160558443071720448+2027397188440479823968*ep+
         458854887034038821960576/75*ep^2+57594920126033615386235788/
         5775*ep^3)
      -454671337907335481548012724779867946559661794966143/
      375392410087536772564233600000-4076874386722556/225*ep^-3-
         34490220779168052292324979/26189163000*ep^-2-71618037977989061\
         1665719227697636/52166210147926875*ep^-1-
         728852070619885653553312/225*z3+262323311692485407909652255035\
         37528048309084395899684261085213264949369440809129962758624125\
         2315230409443/222295406836966774988170846141813249709386306882\
         50843795208273920000000000000000000*ep-
         364426035309942826776656/75*ep*z4-
         54356956233849603306962402015657/1007275500*ep*z3-
         10990410640638390683866731345684640645388904551198021010352867\
         335442418736746158003044009824389759522964337694411387/
         20403779780191490712722160047769138465611104652346333348458219\
         2864139673600000000000000000000*ep^2-
         23566220701601223854935568/75*ep^2*z5-
         54356956233849603306962402015657/671517000*ep^2*z4+70032748175\
         99973812292868585332466666511/54098292005257500*ep^2*z3-
         40214584673482945103771690359877797918044618909139147370721887\
         17488899229003832409639858400132377927725556058675669520621540\
         589019646121494769534279807/5790286370503476892056375448412508\
         48398336872085103277874650320086817860501515645854059662454858\
         7110400000000000000000000000000*ep^3-
         34984905017091892955626696/45*ep^3*z6-300972345949615314390477\
         2981482229/4364860500*ep^3*z5+70032748175999738122928685853324\
         66666511/36065528003505000*ep^3*z4+286928815622541244113997805\
         724025030922740664961197/2887633923750282865878720000*ep^3*z3-
         25509828702660934275960016/225*ep^3*z3^2;
Fill mncnoptab(13,8,2,5)=
      +mncF321*(1136125654352638709760+9356764918775863438080*ep+
         141166144688274538809608/5*ep^2+17716376611002434900853292/385
         *ep^3)
      -113675643347839559135867316739683827402447653489247/
      20333755546408241847229320000-4491518141164415024/195*ep^-3-
         778142790171430267179842182/2837159325*ep^-2-39339616180984443\
         1695898423495437277/361685723692293000*ep^-1-
         2915310143273202227203648/195*z3+18472350059766620207460858068\
         69545499787261111790751037495027362824783784066108571353192000\
         021934414815761/3390745938953199874486232639816458102233839134\
         3145287068957687152640000000000000000*ep-
         1457655071636601113601824/65*ep*z4-706606818294504464702491322\
         263736/2837159325*ep*z3-49238383518318386128908730130293611523\
         60538060955963688916207053408558367767287493624900965532024994\
         4644481397648471/198052689066392069851489766863679104039531789\
         158775075702367781873458243174400000000000000000*ep^2-
         94264534475921215575423872/65*ep^2*z5-353303409147252232351245\
         661131868/945719775*ep^2*z4+1513024544529779516932619131090438\
         964069681/2531800065846051000*ep^2*z3-
         93348747328678094024040658962144256349183587508500385390690778\
         68252299947517281355795534187772678449394751375467211987560465\
         145329067028470177536173108333/1015693433204583226558582338657\
         53282153713598522021582982918661480829010303439197824746785590\
         0816160325632000000000000000000000000*ep^3-
         139939146642245222249533984/39*ep^3*z6-30091174905274145985777\
         42072879584/945719775*ep^3*z5+15130245445297795169326191310904\
         38964069681/1687866710564034000*ep^3*z4+4660836104928018023714\
         90739299925605373650080727713/1016687777320412092361466000*
         ep^3*z3-102040391818397827319515264/195*ep^3*z3^2;
Fill mncnoptab(13,8,3,4)=
      +mncF321*(1785340313982717972480+14727050827251298018560*ep+
         222792461234829458800784/5*ep^2+22957362245241868269037376/315
         *ep^3)
      -7673999562783701212550603454881460531099487061/
      873593209589630600070000-28041275513894658752/195*ep^-3-
         416590274189710362955607006/257923575*ep^-2-286763494271915021\
         44685374558565237/5003557442383500*ep^-1-
         4580739483276475041407104/195*z3+95600331513152991680841344377\
         46983427859445821207775627676718569428444513277779696320487902\
         926412080479/1119293964132844406259020436323194830896793001481\
         31309600941015040000000000000000*ep-2290369741638237520703552/
         65*ep*z4-101017082654719954089678855614368/257923575*ep*z3-
         16411747796464192027502280592211857586362314946880480995270618\
         58459040143626795457681798199068938822615836436874017/
         42211255783091350765184217255166948954243509253996824180612132\
         42625936588800000000000000000*ep^2-148128344798842069706889856/
         65*ep^2*z5-50508541327359977044839427807184/85974525*ep^2*z4+
         424869758950273767552718456296339943223/454868858398500*ep^2*
         z3-11889678533443526936032964866964632762103943844932475297475\
         76101620568326613657801943947941999362707081469190147523038153\
         05962289245678342892897881958499394342153/
         94374245439181037314638581994859626310223704797932491425218238\
         48944661792079361232005412992590067908760016676454400000000000\
         000000000000*ep^3-219902147456624867039631232/39*ep^3*z6-
         432435994899958726098044134831192/85974525*ep^3*z5+42486975895\
         0273767552718456296339943223/303245905599000*ep^3*z4+
         5124322554607481539372633108421408105301058183/
         6988745676717044800560*ep^3*z3-160354275342635725995436672/195
         *ep^3*z3^2;
Fill mncnoptab(13,8,4,3)=
      +mncF321*(1190226875988478648320+9850849139020208782848*ep+
         89921891057168620634128/3*ep^2+171124399371049918248805552/
         3465*ep^3)
      -8441350444947444747703471809276661958524554133/
      1441428795822890490115500-91918054685788178528/585*ep^-3-
         1362058882179286841150327432/773770725*ep^-2-14654571420376796\
         8783426368690548579/23588199371236500*ep^-1-
         9160691962512746433510016/585*z3+27532131785339980560219347766\
         99234295689919440221615990401774782153246711608099721027110551\
         44342954427475819/48617932449565262841368376427243371473540825\
         01059268596653874164531200000000000000000*ep-
         4580345981256373216755008/195*ep*z4-22259235111392891178590217\
         81002168/8511477975*ep*z3-871685908426835805301129208624605956\
         86520821875863434466373569835825509835339232922877236173310693\
         1987693795666293257/339536788705241052717450547546249145650696\
         2275618369545027988402037237743616000000000000000000*ep^2-
         296253897641491470942497024/195*ep^2*z5-1112961755569644558929\
         510890501084/2837159325*ep^2*z4+338811999226954296360005115486\
         99340142713/55039131866218500*ep^2*z3+
         25502725539978453868677678568401105401227933549672012117662196\
         44838285147513486697442255607617138736504891788854577951758677\
         00052289315854617870821012326657662337/
         50608189116760831259974939594743474608857461697891298526773280\
         38996574886002557460662902717276423916072558942748672000000000\
         0000000000000*ep^3-439800500480980833196990528/117*ep^3*z6-
         875634582964547969180270440631512/257923575*ep^3*z5+3388119992\
         2695429636000511548699340142713/36692754577479000*ep^3*z4+
         584069767354450000012574294426789815724897562119/
         1153143036658312392092400*ep^3*z3-320717196713389149552210688/
         585*ep^3*z3^2;
Fill mncnoptab(13,8,5,2)=
      +mncF321*(334751308871759619840+2785066676193823360416*ep+
         8549365817342651602080*ep^2+3291230959540705875309740/231*ep^3
         )
      -23824538120640674694839633113936362267859087009603/
      14459559499668083091363072000-1997669369640572514/65*ep^-3-
         248631990760808541372608513/687796200*ep^-2-567792558893076092\
         38308725370035651977/40508801053536816000*ep^-1-
         286290803090883175381008/65*z3+2872130051428241383058651510178\
         76088727579033392167647584712330668070832203913274216557588712\
         42329091720622596399/18019047393006829152646761404011304606504\
         16940691822763241009541238541516800000000000000000*ep-
         429436204636324763071512/65*ep*z4-2789741106864901339819063204\
         69411/3782879100*ep*z3-108390700034282991251160241009770513090\
         18823768301214047827398975802522382425083509611046889466511311\
         1013151398212729086721227/150505842149092364510670460622609612\
         95416978909913711205306808470245721934994121687040000000000000\
         00000*ep^2-27774007140313767425422536/65*ep^2*z5-2789741106864\
         90133981906320469411/2521919400*ep^2*z4+3442194836537776738978\
         686680551557926345273/20254400526768408000*ep^2*z3+
         23191504550329249570435997013233202440741015203331620480548349\
         98161217880928329993820066862677632207952079189518526547798296\
         106564009921334808266325679870565529829/
         24665652787984355912553939790176511932440067485987635958895038\
         81160176805977861851596934739743340148633517958558121984000000\
         000000000000000*ep^3-13743858168611442125020764/13*ep^3*z6-
         111581860274966820917557423160549/114632700*ep^3*z5+3442194836\
         537776738978686680551557926345273/13502933684512272000*ep^3*z4
         +217153294303040374162318917356754933617598197895299/
         1445955949966808309136307200*ep^3*z3-
         10022201950800456793132344/65*ep^3*z3^2;
Fill mncnoptab(13,8,6,1)=
      +mncF321*(31506005540871493632+1320297331573557447264/5*ep+
         4103167123056674677376/5*ep^2+24072051431292504248265472/17325
         *ep^3)
      -171555659247339136516885040594139383972231688988307/
      1106156301724608356489275008000-420325132202419256/16575*ep^-3-
         191423489184641080871345711/87694015500*ep^-2-1297823827034730\
         1321379878303823854541/573874681591771560000*ep^-1-
         6872027600015497303642432/16575*z3+
         45747996190917185445390276822669853682987718932872923515696116\
         1295753189251956388275246280836904540264775916630926763/
         30765412620864551406729320762441975577066250202468063261389012\
         7340426455364403200000000000000000*ep-
         3436013800007748651821216/5525*ep*z4-1680156408155131625494196\
         011937336/241158542625*ep*z3-659174727890550883185604344817962\
         23999317247373132034625864348303984700477720429045118378860586\
         100231371957205125330020738669349/9883503645584968302609285334\
         14302669753896695044162109550776245371793351296871122442649600\
         0000000000000000*ep^2-222195770515763765042687648/5525*ep^2*z5
         -840078204077565812747098005968668/80386180875*ep^2*z4+
         13400928115777137405778270780830933309812147/
         860812022387657340000*ep^2*z3+
         51319913884935263192908869519698657270544269999941888596151225\
         89949512804718824374648841259849778632830639883755727831016634\
         23265203233534109547133069251579928264097/
         10528428182610602388319738253980600504739475206104596747757380\
         62370873640302481854803359035367702985272151568390711976919040\
         000000000000000000000*ep^3-329857641973637898912210256/3315*
         ep^3*z6-687600864312969069742282835535299/7307834625*ep^3*z5+
         13400928115777137405778270780830933309812147/
         573874681591771560000*ep^3*z4+83751979151344489293852619259406\
         37954136028141051787/553078150862304178244637504000*ep^3*z3-
         240521292806398317722668576/16575*ep^3*z3^2;
Fill mncnoptab(13,9,1,5)=
      +mncF321*(38462587256729956320+321921670656051436971*ep+
         29940203836341837987317/30*ep^2+77790510897064446448638421/
         46200*ep^3)
      -454718299270672980657143675273326097882894036489807/
      2402511424560235344411095040000+438534701802797/72*ep^-3-
         19756914166810156508123911/33522128640*ep^-2-
         3335958306956745101140528146011/458604045256500*ep^-1-
         4555328680686945402751/9*z3+8868057078752673176542171798054665\
         75070801843926516467471502225607229146216379083351839482052602\
         720609/4890498950413269049739758615119891493606498751415185634\
         94582026240000000000000000*ep-4555328680686945402751/6*ep*z4-
         712309344272574255049149385759349/83805321600*ep*z3-
         25573909744858323427563359353787834729838873568364652977475579\
         3084656097883148326222088715981295902053652675648619/
         31421820861494895697592126473564473237041101164613353356625657\
         701077509734400000000000000000*ep^2-294577778168942600875633/6
         *ep^2*z5-712309344272574255049149385759349/55870214400*ep^2*z4
         +3307197292794440005468915808859600908057/173114534416824000*
         ep^2*z3-259685693024650431607365800688114182594023134193448097\
         58991174464700996692255380794834136586343508128530112657653331\
         897589906770459642299472001062455995474679/
         40432121747636801884688467117463977575284693065757481209624450\
         08504945851953567814874762870786734124099722729750528000000000\
         00000000000*ep^3-4373113385727269559106985/36*ep^3*z6-31930354\
         94555661177805690015484981/27935107200*ep^3*z5+330719729279444\
         0005468915808859600908057/115409689611216000*ep^3*z4+
         21972333406390786223464331974350847876387976823948877/
         1201255712280117672205547520000*ep^3*z3-
         318872763953332872577997/18*ep^3*z3^2;
Fill mncnoptab(13,9,2,4)=
      +mncF321*(142015706794079838720+1188935125537677620256*ep+
         18436965908172761189792/5*ep^2+107834563619829166566902516/
         17325*ep^3)
      -56847192508088423318334723044868202673665403785099/
      81335022185632967388917280000-290400164869335652/39*ep^-3-
         40076229924723192197964817/453945492*ep^-2-2517579583437551838\
         82718065954495289/723371447384586000*ep^-1-
         72878810974590609138368/39*z3+16903998911176625452946283379990\
         85816677055937229006286437922499921127961511703849005581100686\
         5504171457791/251762885967275090680602773506372014090862555722\
         8537564870108271083520000000000000000*ep-
         36439405487295304569184/13*ep*z4-
         89044518733315170501033084231878/2837159325*ep*z3-
         97551943179757039056401887669836165739954790597084855521471250\
         476163971113778516351984372398527228910079511734816597/
         32351906758995144610240853417181981644857517759085908615981777\
         16902940402253824000000000000000*ep^2-
         2356599412822329609189392/13*ep^2*z5-
         44522259366657585250516542115939/945719775*ep^2*z4+89220288302\
         108615911911120946430769181099/1265900032923025500*ep^2*z3+
         31989900040580781916684739662963647686272203755106141592118877\
         77770457905922533658987365286237827252828428640633394897256779\
         39153005303816124615060835093416828173/
         20814456275683425610237622872070455655756559990251951326714666\
         90378346124585696711097527925881010727086537261275571814400000\
         00000000000000*ep^3-17492298568730995546074520/39*ep^3*z6-
         399474009898392659315948033339507/945719775*ep^3*z5+8922028830\
         2108615911911120946430769181099/843933355282017000*ep^3*z4+
         2753386025929164904225926027950168834511597626761289/
         40667511092816483694458640000*ep^3*z3-
         2551053357248587889567312/39*ep^3*z3^2;
Fill mncnoptab(13,9,3,3)=
      +mncF321*(167375654435879809920+1403838276497614515096*ep+
         21836650729941270104292/5*ep^2+42741147521860759644209807/5775
         *ep^3)
      -2638472985571089551564935534171953185750198897/
      3203175101828645533590000-299932383547087641/13*ep^-3-
         24113382374089937428509731/91706160*ep^-2-28234453806566999810\
         4810022765671223/293542036619832000*ep^-1-
         28626890437707996353520/13*z3+24497106845520497098852471957997\
         56857413915087537423012226408209298333950638634095459138736434\
         542881223673/3086852853940651608975769931888468030066084127656\
         67847406595185049600000000000000000*ep-42940335656561994530280/
         13*ep*z4-46681004641484633142980554747423/1260959700*ep*z3-
         51136299798894465982035466862538848518791630923189838272303595\
         28999656200768931446983764683852937066732018831203621/
         14371927564243007522431769208306842143944813865051299661494130\
         8022740221952000000000000000000*ep^2-2777377371695947553986380/
         13*ep^2*z5-46681004641484633142980554747423/840639800*ep^2*z4+
         6054853166182035687791189104972588639069/73385509154958000*
         ep^2*z3+340205778344193813479941611098466191650233403730347029\
         78751711033476501654143578349701875081051750132458396499677192\
         2695168083533975412202706743256182070683492773391103/
         19707597939732865985932152786151879192102679254469531444695207\
         31683859081666593674025542547141718460141963486849273328513843\
         20000000000000000000*ep^3-6871876203145598894082150/13*ep^3*z6
         -9573821314254514857435695352471/19105450*ep^3*z5+605485316618\
         2035687791189104972588639069/48923672769972000*ep^3*z4+
         519767617395224224287443148633865146752262612793/
         6406350203657291067180000*ep^3*z3-1002244173517648989772116/13
         *ep^3*z3^2;
Fill mncnoptab(13,9,4,2)=
      +mncF321*(74389179749279915520+626133537260848899744*ep+
         29390521990390801539296/15*ep^2+57961470368150163883347368/
         17325*ep^3)
      -178709919571970353806786260880476253483111561251623/
      488010133113797804333503680000-1021345618159805740/117*ep^-3-
         159090068698084233797565277/1547541450*ep^-2-60795950740332163\
         15413065712639852757/15190800395076306000*ep^-1-
         114511391038981813374848/117*z3+235160034374373423991556278228\
         20903465143255554274370437418595903938060676089844119856455390\
         32977323125834611939/66927890316882508281259399500613417109872\
         6292256962740632374972460029706240000000000000000*ep-
         57255695519490906687424/39*ep*z4-
         40083603876208276602257132748097/2431850850*ep*z3-
         67456521147151782100268066079955329489999043537654828974449568\
         3402797133481361097362998979424282853971691880238160057371629/
         43001669185454961288762988749317032272619939742610603443733738\
         486416348385697490534400000000000000000*ep^2-
         3703183520838124013351152/39*ep^2*z5-
         40083603876208276602257132748097/1621233900*ep^2*z4+2544719526\
         253906782895359787449518570753/70327779606834750*ep^2*z3-
         33473101445844921212458825777227735216937430072260041611845863\
         27215277063035405284785638494121395031244360263222597169461350\
         7250461627692917808440745592485469688965494051957/
         79017613939358926170594966596075959620735692470795586327505433\
         73686432987942207336005412842764720165939202600522161410676254\
         3104000000000000000000000*ep^3-27487597928688475566696520/117*
         ep^3*z6-116339713414155469126271455620851/515847150*ep^3*z5+
         2544719526253906782895359787449518570753/46885186404556500*
         ep^3*z4+1814654751665874513652547449499795849032753813713361/
         48801013311379780433350368000*ep^3*z3-
         4008935333165120698600880/117*ep^3*z3^2;
Fill mncnoptab(13,9,5,1)=
      +mncF321*(10460978402242488120+88523105054096400534*ep+
         2794866008192268809509/10*ep^2+8362174583103850514022613/17325
         *ep^3)
      -1072412946924404091310948098994982048450380414680173/
      20821765679522039651562823680000-7409213565059563/624*ep^-3-
         65950142531936236756937927/66028435200*ep^-2-14798988574835603\
         96187586928168382071/144031292634797568000*ep^-1-
         10737543617800586915659/78*z3+39554900476661235260921408260561\
         74895289510958225008006119306683955276928279418678928017747379\
         5997567325004679427/807915247396653135680917036828833392254891\
         02422447645119193835961246443110400000000000000000*ep-
         10737543617800586915659/52*ep*z4-84412454020653949098217999435\
         3087/363156393600*ep*z3-11285750624455850584783460779739468352\
         79163783335981918524799595016516377878300449734133645349395537\
         8229710351825295697571917/519091578024420604128638935616755603\
         86234070117865657014221441458602591979877685002240000000000000\
         00000*ep^2-694361770793560608882817/52*ep^2*z5-844124540206539\
         490982179994353087/242104262400*ep^2*z4+1404181776352630180912\
         52976455326956502921/28180035515503872000*ep^2*z3-
         89146513432060091468243220510508652828381247211912985147543891\
         13803319134274628430258328422688195558437463879902199074603287\
         26566600270710902712390704039651599669/
         11059273301061557130587960350819958513381801687084660449324979\
         64675287437292522956726217474125738429907722235704529387520000\
         00000000000000000*ep^3-10308051125725403264085665/312*ep^3*z6-
         355699309866244639490981733630253/11004739200*ep^3*z5+
         140418177635263018091252976455326956502921/
         18786690343669248000*ep^3*z4+494857088695153766366613957417213\
         946643443061024923/90529415997921911528534016000*ep^3*z3-
         751628926467627781196477/156*ep^3*z3^2;
Fill mncnoptab(13,10,1,4)=
      +mncF321*(3256092042897774080+250827335685912521536/9*ep+
         36295717983577822155088/405*ep^2+74039061677306709139856008/
         467775*ep^3)
      -32489749865078349402257039317276817913004722056683/
      2027119014472698571846861440000-1707661740097712/243*ep^-3-
         7028373073386918562001177/28284296040*ep^-2-116670174392176929\
         96385320979696069/5258353982911029000*ep^-1-
         10412129239753118191936/243*z3+3995723749899486948713824075677\
         28406073576993249718644792010218798093590898155102110924055551\
         4330489/261991015200710841950344211524279901443205290254384944\
         72924037120000000000000000*ep-5206064619876559095968/81*ep*z4-
         51453104578647090399865789436941/70710740100*ep*z3-
         31165900817039082941510536641274698529783445483270634985576705\
         36073384475764552279687732169168569734157947387373/
         46291075376309444554488400608376232893855193680010743784314585\
         00605168844800000000000000000*ep^2-336660150958437913005824/81
         *ep^2*z5-51453104578647090399865789436941/47140493400*ep^2*z4+
         23368953679866196768226380532557187461859/15775061948733087000
         *ep^2*z3-99831731310276244176207022955247133461931337493371988\
         39136886295597869902495191156959786836924977982613469861100241\
         173999268072617996177056154329474107541970516364491/
         14898125401763869505833812257878110588910248365400845470067825\
         81813232432050205090807841562364990682155954331415917180747776\
         00000000000000000000*ep^3-2498920809088901552063840/243*ep^3*
         z6-246638576255695053160455330396529/23570246700*ep^3*z5+
         23368953679866196768226380532557187461859/10516707965822058000
         *ep^3*z4+1887582956365316923373363043780474881986953097388513/
         1013559507236349285923430720000*ep^3*z3-
         364426654782213168850432/243*ep^3*z3^2;
Fill mncnoptab(13,10,2,3)=
      +mncF321*(9016870272639989760+77213934296613630208*ep+
         11181604385159814748864/45*ep^2+7610128498327013523421168/
         17325*ep^3)
      -32497923548560241150683178717659622970935722616083/
      732015199670696706500255520000-385446899744879552/351*ep^-3-
         133428643433393778873178649/10213773570*ep^-2-1344655256401302\
         8603721548451900956/258934097643346125*ep^-1-
         41640244296494739467392/351*z3+2609553080534984323037634543471\
         08913561915169644718998791174122550432335058682421960952121892\
         744488604963/6279799876734752828767869633945787199545324519164\
         15265613859205939200000000000000000*ep-20820122148247369733696/
         117*ep*z4-51458381961597555137280067733941/25534433925*ep*z3-
         52159257964407621693366672776791822630058570867455239569161990\
         13218601949476961548259784892110595539201529654616367/
         28820130737685988881814819208697910438405628065269273953336536\
         18880170426368000000000000000000*ep^2-
         1346611204518713620515968/117*ep^2*z5-
         51458381961597555137280067733941/17022955950*ep^2*z4+233289511\
         77147236100619715358803727805369/5696550148153614750*ep^2*z3-
         31246538727296651525414296271515811202896556090504892843860919\
         10578954668982542326547938499727516190814456450470747752737659\
         512276576157139387596439997051392364653926401021/
         71420194306970108137681026077385959486036786830553995960127055\
         27442939780921821281038429798400397235904963545347772115249528\
         832000000000000000000000*ep^3-9995483423149115305201280/351*
         ep^3*z6-22455301251317773280545579450139/773770725*ep^3*z5+
         23328951177147236100619715358803727805369/3797700098769076500*
         ep^3*z4+1894233926975836353025586093963524327200445276210313/
         366007599835348353250127760000*ep^3*z3-
         1457797163251839216702592/351*ep^3*z3^2;
Fill mncnoptab(13,10,3,2)=
      +mncF321*(7084683785645706240+60790239385946321152*ep+
         61824821127703976960752/315*ep^2+4694731391021648914803156/
         13475*ep^3)
      -51076697668466488934134469354327961675249711273629/
      1464030399341393413000511040000-2919578762190263984/2457*ep^-3-
         182470071056854967849944367/12999348180*ep^-2-4395450186846591\
         795331203246094984477/79751702074150606500*ep^-1-
         229003450583598414212032/2457*z3+62139723506275425171571255646\
         84263558495026578210807939458222885645284026551539082986806258\
         89710570797163586103/19122254376252145223216971285889547745677\
         89406448464973235357064171513446400000000000000000*ep-
         114501725291799207106016/819*ep*z4-
         80940968217303904714539666913043/51068867850*ep*z3-
         86674904958428068836153216876343338047872069161731160888757435\
         280031253531874737166332466947646794441983525597615457114469/
         61430955979221373269661412499024331818028485346586576348191054\
         980594783408139272192000000000000000000*ep^2-
         7406298551188956724844288/819*ep^2*z5-
         80940968217303904714539666913043/34045911900*ep^2*z4+636194689\
         26682242877941104478524428567601/19937925518537651625*ep^2*z3-
         12584069818751694181419395920410822363008162923282842965112702\
         42209528842501567228780657643804159894293779980363704634463811\
         36137353757337205585518578722899444341430302075069733000361/
         62113746293873048298711950606764945253980543453524774394018418\
         96165797208951847611573435421435121836868147629577540399874033\
         72551244611584000000000000000000000*ep^3-
         54974730507458179400802080/2457*ep^3*z6-2486877019970188119593\
         17291834579/10832790150*ep^3*z5+636194689266822428779411044785\
         24428567601/13291950345691767750*ep^3*z4+211340136656405138599\
         60057607742114200625943105048033/
         5124106397694876945501788640000*ep^3*z3-
         8018083632519078541210624/2457*ep^3*z3^2;
Fill mncnoptab(13,10,4,1)=
      +mncF321*(1574374174587934720+122023123009314460736/9*ep+
         124835566292609865137384/2835*ep^2+257874286768574493748051642/
         3274425*ep^3)
      -102177723840336169763980029782446098638287553484151/
      13176273594072540717004599360000-188316424147632856/22113*ep^-3-
         178816369315472265662580611/584970668100*ep^-2-156030071019796\
         54914150635874920045951/5742122549338843668000*ep^-1-
         458131873017640525932224/22113*z3+1339717190451912469154846504\
         55441077670807112856869073785328743476140259883150331100341083\
         59596491705523520563959/18466634226209214529849532270373334680\
         1117948394166045986728767911420441395200000000000000000*ep-
         229065936508820262966112/7371*ep*z4-16220798069260156585046666\
         3135113/459619810650*ep*z3-18755943568294803422981054576844144\
         56368868062843143411162145946521518256901683464096504830628700\
         460118271618354920789572107/5932475177421949761470159264191492\
         61556960801347036080162530759526886765484316400025600000000000\
         0000000*ep^2-14813039392436848981812256/7371*ep^2*z5-162207980\
         692601565850466663135113/306413207100*ep^2*z4+2226403157406015\
         42983641158041220828147883/319006808296602426000*ep^2*z3-
         11246033342862091503072433186459031742061257562902845922191975\
         79490839728420046073560770113028807429950402291160842972334725\
         4587928474715303400998380705516150039168296470373/
         21802411029798626159723345885284632123925440045003190349956601\
         30862052530550584554750881257840388094765265697123665760660060\
         372992000000000000000000000*ep^3-109952465760732266048761360/
         22113*ep^3*z6-503560531263916845160952266738829/97495111350*
         ep^3*z5+222640315740601542983641158041220828147883/
         212671205531068284000*ep^3*z4+86658016437304867768313997558274\
         41520433319032411671/9223391515850778501903219552000*ep^3*z3-
         16034787347874777068628896/22113*ep^3*z3^2;
Fill mncnoptab(13,11,1,3)=
      +mncF321*(133203765391272576+5885999350385611184/5*ep+
         9854647539539258405692/2475*ep^2+215967433041388236776768/
         28875*ep^3)
      -32532043943635147465427800350367436673329037930883/
      49551798131554853978478835200000-377048721117164/1485*ep^-3-
         4596863836032048174059149/138278780640*ep^-2-61034689047234913\
         39044069914391881/17527846609703430000*ep^-1-
         236642604196186791056/135*z3+717840310553012027305324410113624\
         84930459758476856748464005082183222587580388354864324801100574\
         8073/123229981882550094756041397840380439551517357126455114916\
         377395200000000000000000*ep-118321302098093395528/45*ep*z4-
         52295886969647854478142953393941/1728484758000*ep*z3-
         66734279077145398180650322075547407957655056603774336652245252\
         4805930476610714195622288534254651644033799764773/
         27711664170851912386360403085286452344620796216605071108977438\
         643078561792000000000000000000*ep^2-84165123853295724276704/
         495*ep^2*z5-52295886969647854478142953393941/1152323172000*
         ep^2*z4+20185583410821897807371977547002077344449/
         385612625413475460000*ep^2*z3-
         36190923921500735129489618949142710307703298622642103409042617\
         74426790472929833608311834159746549163943862215325862752642178\
         50987429891894205506356824329995157397479/
         14014951787082046337849494913144811516098270571144818673494320\
         10879697759207578744316803335635870729180722830719735501422592\
         000000000000000000000*ep^3-124946151456864559064248/297*ep^3*
         z6-2263666164453214429236336687649/4761666000*ep^3*z5+
         20185583410821897807371977547002077344449/
         257075083608983640000*ep^3*z4+23164259308413395984847905114749\
         20358954694095853513/24775899065777426989239417600000*ep^3*z3-
         91105982082829131623584/1485*ep^3*z3^2;
Fill mncnoptab(13,11,2,2)=
      +mncF321*(245914643799272448+10873044890772218112/5*ep+
         6073846821068711761232/825*ep^2+1199397649890230739863612/
         86625*ep^3)
      -32521051847509386435419465148572467529164056516913/
      26840557321258879238342702400000-430288106297882512/6435*ep^-3-
         58532325506824481168884051/74901006180*ep^-2-57596381670115365\
         325332311296955387/18988500493845382500*ep^-1-
         1892236065563254694848/585*z3+47280790996003250936306008771844\
         58759392741608486926281231252497052018224215691541397424060571\
         05551862903/41446679186449368669867939584042195516999141826483\
         407530514707591987200000000000000000*ep-946118032781627347424/
         195*ep*z4-52296614031509546576091704417791/936262577250*ep*z3-
         65808847033261725833011892963003053699403404872005194956382504\
         474628676142278866226308848923988538517587875480129189/
         13314900400810926863398446474418434622543400166154404566441479\
         71922638736982016000000000000000000*ep^2-
         673286374539069748479232/2145*ep^2*z5-
         52296614031509546576091704417791/624175051500*ep^2*z4+
         1677911411450909942076689603450845176932/17406125452691600625*
         ep^2*z3+108012153857685748481484462137667059055606430624556463\
         64031059444999786016907263080857935443527362828266324491001017\
         158396069435600225528581516242947811799870157874326824391/
         47137328242600271370869477211074733260784279308165637333683856\
         48112340255408402045485363666944262175697275939929529596064689\
         02912000000000000000000000*ep^3-999522263448006721897184/1287*
         ep^3*z6-24943098413186408272712993833289/28371593250*ep^3*z5+
         838955705725454971038344801725422588466/5802041817563866875*
         ep^3*z4+2323794082787702551685283057601325126904896114573843/
         13420278660629439619171351200000*ep^3*z3-
         728961753360976820175872/6435*ep^3*z3^2;
Fill mncnoptab(13,11,3,1)=
      +mncF321*(96609324349714176+4280476559663970864/5*ep+
         508888412253816170946/175*ep^2+19979504721439944714835783/
         3638250*ep^3)
      -25276783165159772683659812995729535860527596071/
      53044579686282370036250400000-4766796383501218/4095*ep^-3-
         4244096318720400892561291/95328553320*ep^-2-219782306407060138\
         235238434628610891/554794449211482480000*ep^-1-
         5206073091365612807312/4095*z3+5332440407670653350171772362905\
         26656200874240167157592198049436070641764300336858241429095411\
         523465569467447/1228924194290764054781468429705412689448433551\
         86889560328346562496508723200000000000000000*ep-
         2603036545682806403656/1365*ep*z4-
         935127275922362466648518142961/42557389875*ep*z3-
         72260674303757812565318021301084154812120126804731612071967847\
         065367297113677956584944916821390085205679979501063056781/
         39479648474414040116261042130821823084979645165064512876832126\
         85405191429576196096000000000000000000*ep^2-
         168329990899187869597528/1365*ep^2*z5-
         935127275922362466648518142961/28371593250*ep^2*z4+23892883520\
         9775519511114998101242507714273/6380136165932048520000*ep^2*z3
         -2545461356638959710348669692557070020604731918547741251260525\
         15560311405323854908266205115471824230835528876398093157765031\
         0793516978162387325829194452643442080325518735904673143/
         25432810843699179867590802159235220632490034590453357306612938\
         15653036338110518029015394360230011202516617145599616373966173\
         569397293056000000000000000000000*ep^3-
         249891949803098997992636/819*ep^3*z6-
         23019532046413915450851061647367/66200384250*ep^3*z5+238928835\
         209775519511114998101242507714273/4253424110621365680000*ep^3*
         z4+293660584824166392141746769528838159389286046526241/
         4270088664745730787918157200000*ep^3*z3-
         182212477748918859990008/4095*ep^3*z3^2;
Fill mncnoptab(13,12,1,2)=
      +mncF321*(2105988385632768+1075797410004920512/55*ep+
         1940726640603234908096/27225*ep^2+19900322670067123756316/
         136125*ep^3)
      -32617019903986208414624124025032711306812147791063/3134151231820\
      844514138786326400000-8938828149352672/16335*ep^-3-
         8946559707178854490791319/1249447553640*ep^-2-1854594453793033\
         6917294525771421153/554318149031870973750*ep^-1-
         41136417080299175488/1485*z3+153044451347517522745950355761511\
         11289134000381531012656946353891970221906682604603894004452043\
         77/17320658564602874429599152029786806225852161862773968929913\
         044992000000000000000*ep-20568208540149587744/495*ep*z4-
         53643215170353620283502475605441/109326660943500*ep*z3-
         19142730704413477882826196690007983498029940075140281097465218\
         4662769170649743929562916215683437087357889427/
         55643262184329633601183983972837082882452868593659388814057872\
         8309434613760000000000000000*ep^2-14636693218027142588992/5445
         *ep^2*z5-53643215170353620283502475605441/72884440629000*ep^2*
         z4+14963259442926309150745871999552263394059/
         24389998557402322845000*ep^2*z3-
         63061812133040604242221621259413566429672448725928306453654291\
         20784429055135046307944165780297332536548473917535962631797155\
         714404753821082138045589093924752221/
         11813369322444636759873137474681450320082833431616322253520116\
         56680205007761177485631021968735216706589115029725447549091840\
         0000000000000000*ep^3-21728789533099068418304/3267*ep^3*z6-
         28904394109510900212070350518639/3312929119500*ep^3*z5+
         14963259442926309150745871999552263394059/
         16259999038268215230000*ep^3*z4+291731052119602500255256454929\
         1773121205806884332293/1567075615910422257069393163200000*ep^3
         *z3-15846889983553389933632/16335*ep^3*z3^2;
Fill mncnoptab(13,12,2,1)=
      +mncF321*(1943989279045632+993700586382211008/55*ep+
         199380372403208322936/3025*ep^2+55268677194512183949622/408375
         *ep^3)
      -65261583051870634498612826015624852999161414471511/6790661002278\
      496447300703707200000-39839492371013848/70785*ep^-3-
         19794114905194822320618313/2707136366220*ep^-2-392045121672724\
         4956463475178299204101/115298174998629162540000*ep^-1-
         164539726883876126272/6435*z3+55288577493538391304209847595064\
         44538026007475773387759849660903712850222368392750341364334993\
         79759963/66701361256326680774831203062365282581293079557489332\
         23569713874862080000000000000000*ep-82269863441938063136/2145*
         ep*z4-107320875094335214457696883520057/236874432044250*ep*z3-
         14039418114002954496249596113214094041187250560108544464793907\
         674124507351104789742741810605072044755138479441781/
         42856122572872487630297040547399276452734442517301640353794150\
         466547905703444480000000000000000*ep^2-58546511460358836809248/
         23595*ep^2*z5-107320875094335214457696883520057/
         157916288029500*ep^2*z4+35739914561943715705030135133733951662\
         8931/634139962492460393970000*ep^2*z3-
         11768403292982984214569428914655351495603510659734367915478454\
         83497797657119610832250908295516308332282690478975195338302914\
         2182872894736018580078014654921659238724651/
         13192954843409988488639853680067563828091226861760644851410058\
         95681587943204683954421559510281776002527517464236836271784869\
         23264000000000000000000*ep^3-86914798692676936519376/14157*
         ep^3*z6-19305738749814369871238297584201/2392671030750*ep^3*z5
         +357399145619437157050301351337339516628931/
         422759974994973595980000*ep^3*z4+58477244499266873184192791265\
         69975086753652651952021/3395330501139248223650351853600000*
         ep^3*z3-63388082872857229059488/70785*ep^3*z3^2;
Fill mncnoptab(13,13,1,1)=
      +mncF321*(7312459672336+37075915621199546/495*ep+
         152932638155562033941/490050*ep^2+10896147413665101330451/
         14701500*ep^3)
      -33176266370098010066316985825458932216737307529823/9026355547644\
      03220071970462003200000-9540041726336279/588060*ep^-3-
         55672698543747156519704611/359840895448320*ep^-2-1498978751464\
         470614704157929305065123/2554298030738861447040000*ep^-1-
         1286522357154525869/13365*z3+934701329725368908692628837938073\
         723615450486522453999483737490863/3325665753960355451842105784\
         711708604522037248000000*ep-1286522357154525869/8910*ep*z4-
         56565938954743026123907177669441/31486078351728000*ep*z3-
         55072524454607099239380678930603973449084893800178637435467525\
         07347395291429/59354585416938365117728173308394975614921301432\
         25774080000000*ep^2-457366417457222414696/49005*ep^2*z5-
         56565938954743026123907177669441/20990718901152000*ep^2*z4+
         2364046450723858099057702302664341093161/
         4682879723021245986240000*ep^2*z3-
         30621146526538625317421057892153811036679723287947476499886387\
         54004578348438260525866111149443286109076215955265992513890657/
         25158089245918283395268591497800474776787576269306840265723365\
         8211862558766706413663879692288000000000000000*ep^3-
         1357947506442967459529/58806*ep^3*z6-
         37406439190820341315230438209639/954123586416000*ep^3*z5+
         2364046450723858099057702302664341093161/
         3121919815347497324160000*ep^3*z4+3870328572792999819165480815\
         280020622199869787425053/451317777382201610035985231001600000*
         ep^3*z3-494633764541922583756/147015*ep^3*z3^2;
Fill mncnoptab(14,1,1,12)=
      +mncF321*(15552811458186153984+90213470738322955901136/715*ep+
         3976795100082570110923076/10725*ep^2+
         6809022183242484079539161372/11679525*ep^3)
      -3860130211021422859273867178819494436534288439162809/
      50444910302640259322805227539200-360072938573979122/4601025*ep^-3
         -5911051269300523857022340357/12317470466301000*ep^-2+32537191\
         11320610260413264431911022379/5495879674934656747740000*ep^-1-
         941677024444138626824693584/4601025*z3+14667030560506077137043\
         09309555825950765533539510027689840049476204436855593629238431\
         1333458141/194357630060264936787714873188359307363892558666203\
         09825126400000000000000*ep-470838512222069313412346792/1533675
         *ep*z4-1042140637437844677861104090267443474/307936761657525*
         ep*z3-87250935151039811718708144575474597622641995865673580433\
         3368086595323628154999925725657893439795426495857/
         24975245662008639960003777677535625999309204963864293806457484\
         9273036800000000000000*ep^2-10149185868289953005257623592/
         511225*ep^2*z5-521070318718922338930552045133721737/
         102645587219175*ep^2*z4+34750922735933983283379083200054899359\
         4364459/40410879962754829027500*ep^2*z3+
         86376645467206417244648931994118705406962826935271339681355276\
         92953346248681757956515673856054366507991478222556573662394291\
         6036196147151/125938089161084406256612185317013960022377546835\
         21410002996489248481874750469712951018552033280000000000000000\
         000000*ep^3-45200497895082719210246959372/920205*ep^3*z6-
         8440184358743611949629712077996298213/205291174438350*ep^3*z5+
         347509227359339832833790832000548993594364459/
         26940586641836552685000*ep^3*z4+115890975545808066105958033784\
         872821165365958814063133921/22069648257405113453727287048400000
         *ep^3*z3-32958696675572393948588948632/4601025*ep^3*z3^2;
Fill mncnoptab(14,2,1,11)=
      +mncF321*(134420727602894616576+70647338225448513306624/65*ep+
         3096884438321956160016064/975*ep^2+
         1116950145206732584152137288/225225*ep^3)
      -1723272536638354559387783546020350656857586221758163/
      2605625532161170419566385720000+873962096328752/38025*ep^-3+
         1165400055668398623443693/4241553190875*ep^-2+9778773913443645\
         04396801002036769/1892520549219923122500*ep^-1-
         67262645879639307613917056/38025*z3+83376113970686819358187685\
         50160092921823794826920796649929691468494044280404994896606424\
         15890621319/12750503036515562547280005482390051089707265542911\
         7371398225920000000000000000*ep-33631322939819653806958528/
         12675*ep*z4-330300915897590531246651351371520/11310808509*ep*
         z3-24883390855470861581835870846150905823260615572899508907995\
         2424339221760655345557999644286297517247048391615099/
         81922933911167183472111564960445371563023334298824282742008064\
         19542835200000000000000000*ep^2-724941849496075320834929728/
         4225*ep^2*z5-165150457948795265623325675685760/3770269503*ep^2
         *z4+1791484305587338241368652521192906083113329/
         23855301040587266250*ep^2*z3+
         14894619458047146932417298965972145364325067831302663003510920\
         20484547212233359699427260668120652792758594664022747083167547\
         895755015924057351/1458592050829286668826581128126143500622809\
         04243693421307432066386962803928167402723614866276352000000000\
         00000000000000*ep^3-3228606999792519289950225248/7605*ep^3*z6-
         42503669939593291514525091762299996/121187234025*ep^3*z5+
         1791484305587338241368652521192906083113329/
         15903534027058177500*ep^3*z4+492556893934339491832155282522309\
         397028522872374198919/11399611703205120585602937525000*ep^3*z3
         -2354192602983041944195825088/38025*ep^3*z3^2;
Fill mncnoptab(14,2,2,10)=
      +mncF321*(1056162859737029130240+110773373368587563908032/13*ep+
         33864668416132431752129984/1365*ep^2+
         12157645261138832996431544716/315315*ep^3)
      -1326919838412684331325362848986068589536473642183839/
      255351302151794701117505800560-337873744858811048/53235*ep^-3-
         705608001128781763633971199/11876348934450*ep^-2-4085988574155\
         80389227507025943143621/2649528768907892371500*ep^-1-
         739889094003196192224091456/53235*z3+6301345337803333259232433\
         54723543393542609394754665428970994900800548983476983171576859\
         31693741922827/12240482915054940045388805263094449046118974921\
         19526765422968832000000000000000*ep-
         369944547001598096112045728/17745*ep*z4-9073502307129474260896\
         1954675903144/395878297815*ep*z3-28259132537390496222509201680\
         41243532011907188197132879282116359186947637949269116846602922\
         495400489292224352381/1179690248320807441998406535430413350507\
         5360139030696714849161244141682688000000000000000*ep^2-
         1139194333224363702477300704/845*ep^2*z5-453675115356473713044\
         80977337951572/131959432605*ep^2*z4+13888355335099495982711403\
         4720291249618341713/233781950197755209250*ep^2*z3+
         33137996007363367025710022646706396410737076034582567627141988\
         40807158569514500046513758957942529766737095673559004560064956\
         984268737497902441171/6143589718092955449097559711667316424623\
         27168674436690546903863621887330145441100271865816755994624000\
         0000000000000000000*ep^3-35514676949565858531922926448/10647*
         ep^3*z6-3244343684421593575883621281701855706/1187634893445*
         ep^3*z5+138883553350994959827114034720291249618341713/
         155854633465170139500*ep^3*z4+20943207286993099081601533452137\
         167108389582705330531641/63837825537948675279376450140000*ep^3
         *z3-25896118771758956952115230688/53235*ep^3*z3^2;
Fill mncnoptab(14,3,1,10)=
      +mncF321*(448069092009648721920+47053762383121979334080/13*ep+
         6178555568465610526282592/585*ep^2+
         2224742673205286705133158516/135135*ep^3)
      -5244742264751574779830441803303747943222611099771143/
      2379049398929764296125830440000-46239644916395576/22815*ep^-3-
         3343679661878921931229267/221298427350*ep^-2-58615535064114256\
         4899215919586261/49370101283997994500*ep^-1-
         134525290058223799163714752/22815*z3+4876633503875852521023620\
         04430244756907824798869728938068962498437151663925975727708874\
         81388617383681/22352186192709020952449122654346385214652041160\
         44353223815856128000000000000000*ep-67262645029111899581857376/
         7605*ep*z4-10765701820829646462635409703992008/110649213675*ep
         *z3-1941790608750252750959605603195367263685776216761567823323\
         4317803136028898358120411531830621549018137109060737/
         19148595335062381667220511879450187718383193269151275827001537\
         0919401226240000000000000*ep^2-1449883697143269527485940576/
         2535*ep^2*z5-5382850910414823231317704851996004/36883071225*
         ep^2*z4+3396307270427681154068428993766451925744/
         13528526109973875*ep^2*z3+106353381900209813742770171328511372\
         11830672270189754837440136765350069484027788712863297692718732\
         6052632495238787404171529265460775599301489603/
         11506388769672424921386733908139455511000107506945971461748032\
         22836979614988117110877073101616578560000000000000000000000*
         ep^3-6457213992115600974104875216/4563*ep^3*z6-128875919464557\
         934674517034852032906/110649213675*ep^3*z5+1698153635213840577\
         034214496883225962872/4509508703324625*ep^3*z4+146634267888225\
         5920634098201890800210083166746645639/
         10343693038825062157068828000*ep^3*z3-
         4708385229304188758527263136/22815*ep^3*z3^2;
Fill mncnoptab(14,3,2,9)=
      +mncF321*(3168488579211087390720+332321070116042013251520/13*ep+
         33868023687994824572672576/455*ep^2+
         4054484621057195479827907376/35035*ep^3)
      -14423048074594940836881634751275318651047770269731637/
      925185877361575004048934060000-1498951801911331928/17745*ep^-3-
         190589752473125408684581151/172120999050*ep^-2-497381935269732\
         33593048961128841622/9599741916332943375*ep^-1-
         739889072303518642204968256/17745*z3+1250160982118226067042070\
         91277131544208797038547064153457311110564506285438249461805867\
         2689583375139961/809461886814153845191573166083325884316617128\
         4440456119168532480000000000000000*ep-
         369944536151759321102484128/5915*ep*z4-19725032061296458946786\
         757986167768/28686833175*ep*z3-9346968515003980845934462699906\
         05865160539559153988524835128038088801602962559071787529006048\
         59626298692392001173/13002132634918901132063310535429139808778\
         7114790533354380874634574902067200000000000000000*ep^2-
         3417582988035326187425721312/845*ep^2*z5-986251603064822947339\
         3378993083884/9562277725*ep^2*z4+30190297370378425745887804224\
         87358979424422/1694072102882284125*ep^2*z3+
         12754928703878677869470159240360710825114582992486950987989804\
         69414099391748097875520659306211736638370753156577962211558146\
         219952056895331610289203/1161946389881636628234258378703919633\
         30588246128166997738906425203918005663664231112717372123246493\
         6960000000000000000000000*ep^3-35514676838219165646867589648/
         3549*ep^3*z6-705300115399844956118527597437469378/86060499525*
         ep^3*z5+1509514868518921287294390211243679489712211/
         564690700960761375*ep^3*z4+18185293968860601416405659933442771\
         0002679927652587087/185037175472315000809786812000*ep^3*z3-
         25896118979937646817758338208/17745*ep^3*z3^2;
Fill mncnoptab(14,3,3,8)=
      +mncF321*(8449302877896233041920+886913590880108767413504/13*ep+
         271568115863330573631749728/1365*ep^2+
         488696841867753737562410415568/1576575*ep^3)
      -218118236451234955137207040719166380638821988747321/
      5246800816795321384020420000-147026225981159707552/53235*ep^-3-
         8439589738156596891632223322/258181498575*ep^-2-35928762301787\
         600786812233342570131/278253388879215750*ep^-1-
         5919109568956303668218772224/53235*z3+529088231464922993486217\
         74682183012683244031358285322418489541026045766189692047953967\
         527546095799/1286406217808050699926763726971670016542971891758\
         32482938880000000000000000*ep-2959554784478151834109386112/
         17745*ep*z4-473589834033900321309232324860434536/258181498575*
         ep*z3-34382934716813563471046723062630984902176747022205028934\
         0770809378493557105351104979422988447030851567638311/
         17967947798607222662744588431012566637576846601427800300698919\
         2396800000000000000000*ep^2-9113554128893826398239890816/845*
         ep^2*z5-236794917016950160654616162430217268/86060499525*ep^2*
         z4+2094809154762269617477215993615363262149349/
         441931852925813250*ep^2*z3+85140258712013551452909400678717193\
         30674853502022889306294901274185900578518391203386461407366747\
         6367288220803472106874160785867191852766323709/
         15126353378532160117229541672091029199351816266781256971517194\
         069773256368450401477543879245824000000000000000000000000*ep^3
         -284117400275677379710447174592/10647*ep^3*z6-5660754898347116\
         886614561839677934112/258181498575*ep^3*z5+2094809154762269617\
         477215993615363262149349/294621235283875500*ep^3*z4+
         6953191204162068150189328736136103212474411755537659/
         2623400408397660692010210000*ep^3*z3-
         207168985253043467162349790592/53235*ep^3*z3^2;
Fill mncnoptab(14,4,1,9)=
      +mncF321*(756116592766282218240+79525605482088576814080/13*ep+
         1163492864737652281392216/65*ep^2+97061377915255940618242868/
         3465*ep^3)
      -10489487763104326566377654333537312920962456188137661/
      2819614102435276202815799040000+4964725918525052/2535*ep^-3-
         28861304388438477636787/84304162800*ep^-2-49020232237229682110\
         585765155115179/263307206847989304000*ep^-1-
         25223492352277285810022096/2535*z3+208343787403997816400827874\
         93457330068339592172542403481699525269644610187414872132068580\
         54627082093797/56662332076990769163410121625832811902163198991\
         083192834179727360000000000000000*ep-
         12611746176138642905011048/845*ep*z4-4848221190213834705126098\
         4967671721/295064569800*ep*z3-77686950387266101103283428076867\
         67069569625635631047711805091486723905900847498768026139620358\
         7029328273206952233/455074642222161539622215868740019893307254\
         901766866740333061221012157235200000000000000000*ep^2-
         815559581106488758701730944/845*ep^2*z5-4848221190213834705126\
         0984967671721/196709713200*ep^2*z4+466413020017388892346771515\
         860691853427437/1106332801882308000*ep^2*z3+
         49280649688524450508597752648323640641258077363991456476997444\
         96087622162235304598203071655219404782263657454652968861109423\
         4707424450417224423564403/848656308033865963382930725116491992\
         53090389627732227342637178013828081848628924617434404136564450\
         918400000000000000000000000*ep^3-1210727625483594495147585368/
         507*ep^3*z6-194495773505991142751460472851288149/98354856600*
         ep^3*z5+466413020017388892346771515860691853427437/
         737555201254872000*ep^3*z4+13774662881971802607742287389360072\
         489173687253238463/56392282048705524056315980800*ep^3*z3-
         882822224054331652441809728/2535*ep^3*z3^2;
Fill mncnoptab(14,4,2,8)=
      +mncF321*(4752732868816631086080+499649259550341257565120/13*ep+
         51132453088295185862723424/455*ep^2+
         1678925667960036227548055264/9555*ep^3)
      -476795676646255515576291087783076918310543636399623/
      20389771401907989069948960000-5761036274923764824/5915*ep^-3-
         31078311884630210549336329/2607893925*ep^-2-116513436925257072\
         679221733228200323/2327210161535259000*ep^-1-
         369944423133671206012464448/5915*z3+75957633496874165005800920\
         09524301285462243919039112681659549690265940243335754933414954\
         0479585368691561/328685793493481610186187619587350490916845119\
         147494302182644121600000000000000000*ep-
         554916634700506809018696672/5915*ep*z4-26928589753757890201227\
         25917022247/2607893925*ep*z3-113355375219627970419441969684339\
         30302922265653619342562619797271415373869722090207332213428569\
         590698556273158785037/1055915380781109197404672757935827408689\
         4898892559329834290561143797710848000000000000000000*ep^2-
         5126374311754450336145913888/845*ep^2*z5-269285897537578902012\
         2725917022247/1738595950*ep^2*z4+10090889623675367752878299842\
         815057511321/3802630982900750*ep^2*z3+
         96174589902192103408410083668373195176413386390385501408065235\
         71016199855554430393927323372378823200359387702314580068413222\
         0938567821789676914917395773/227695673889337930057990437711775\
         11248122844179935003261150017429533284481483145959373974345701\
         288365260800000000000000000000000*ep^3-
         17757337879573740573504466384/1183*ep^3*z6-1078602992339701590\
         0594104313137993/869297975*ep^3*z5+302726688710261032586348995\
         28445172533963/7605261965801500*ep^3*z4+3419001780661405208701\
         2289688374849885793190970785107/22428748542098787976943856000*
         ep^3*z3-12948060755254876242081765664/5915*ep^3*z3^2;
Fill mncnoptab(14,4,3,7)=
      +mncF321*(11089710027238805867520+1167609472569141034555584/13*ep
         +17115316807331376785222368/65*ep^2+
         940009871353681368069089776/2275*ep^3)
      -901318488381597831105796675682552620945149780263/
      16518853417694833164960000-53714026434288194392/2535*ep^-3-
         821457870476657752472350891/3353006475*ep^-2-35975118730141983\
         8974477248795704419/390277480505913000*ep^-1-
         369943372599341154354154304/2535*z3+12744463906377919039639183\
         91827772896362045158367991582249843665636262878810142626804297\
         850915488499/2362786930667848224355280314845924520180968780780\
         596625408000000000000000000*ep-184971686299670577177077152/845
         *ep*z4-8084538706063182821114896505367173/3353006475*ep*z3-
         82498332003644140552093562478610078177937104735198552062671225\
         65092720886878748030496689450879105811993470859/
         33002353099482653870347203240635326477181963145479633205365361\
         86880000000000000000000*ep^2-11961536330770616493830116256/845
         *ep^2*z5-8084538706063182821114896505367173/2235337650*ep^2*z4
         +2526336103656396887182775421906505442473/409955336665875*ep^2
         *z3+1051203511479916541074348305775529036497490177775279562030\
         41829896182601027377640401482172465129550240022108436464396765\
         2020404905630950860717714673686907/
         49190231589504200050428838001290191938364511770646756316361991\
         00665936968157146109590704078765205445672960000000000000000000\
         00000*ep^3-17757332809856254163568097232/507*ep^3*z6-108504379\
         61935709472186714911751449/372556275*ep^3*z5+25263361036563968\
         87182775421906505442473/273303557777250*ep^3*z4+33004467321669\
         5732133788146111083665472869929356767/
         90853693797321582407280000*ep^3*z3-
         12948072275687011318988947232/2535*ep^3*z3^2;
Fill mncnoptab(14,4,4,6)=
      +mncF321*(12475923780643656600960+1318330618386441512795712/13*ep
         +19446814040851146738010464/65*ep^2+
         1384749675722937303771912836/2925*ep^3)
      -178460641530390902066442361246232086938459293734559/
      2907318201514290637032960000-100616639449722741037/845*ep^-3-
         71632687661039066184862138453/53648103600*ep^-2-84273736832377\
         54586119665387009736247/1784125625169888000*ep^-1-
         138726991833435334023887544/845*z3+149580104287488086473963977\
         19740817602905270618340845683825107820554182200022262351373596\
         38119502572919/24777758946270168379405706235017595134964425947\
         78585661177856000000000000000000*ep-
         208090487750153001035831316/845*ep*z4-728897417223086638248959\
         98191513367/26824051800*ep*z3-35789279913628708730568277669668\
         69725206765013247582651220588787259597294701660106420035518185\
         17267713155975097/12817950969255855441495345851239350258915364\
         9451455464276641269678080000000000000000000*ep^2-
         13456709523966685026769957348/845*ep^2*z5-72889741722308663824\
         895998191513367/17882701200*ep^2*z4+25173533942951440924430932\
         54516965545117369/367319981652624000*ep^2*z3-
         85010638975991139582095062134939422676705359406542004566325714\
         32124705888801945635433059218433525271039493200892362277847510\
         38650742923461152960003354595747/
         85973593655877896310360624640032746576719307794697052984041568\
         72608354278790212033762419462108520184492851200000000000000000\
         00000000*ep^3-6658991266066624846373034902/169*ep^3*z6-1414987\
         6022025116634934058911667003/425778600*ep^3*z5+251735339429514\
         4092443093254516965545117369/244879987768416000*ep^3*z4+
         6242417336267018047578549431744424129798040058564371/
         1453659100757145318516480000*ep^3*z3-
         4855546624914461702196930652/845*ep^3*z3^2;
Fill mncnoptab(14,5,1,8)=
      +mncF321*(711639146132971499520+75165520497505197772320/13*ep+
         1107882548686592930947248/65*ep^2+404495130424433947750508432/
         15015*ep^3)
      -4936233469928818653905317779895351719078912408126499/
      1409807051217638101407899520000-6481475357937748/845*ep^-3-
         14295120090657925507087507/98354856600*ep^-2-67989064494692838\
         94835765476891081/6269219210666412000*ep^-1-
         7913252229335512813870496/845*z3+66106756683974293660706358748\
         04227672912673996091934640137760750538047626847096634380274804\
         495662005129/1917333795378642726086094447592877863681596528360\
         38342939875737600000000000000000*ep-11869878344003269220805744/
         845*ep*z4-7620877523510464697827123572691993/49177428300*ep*z3
         -4713579110156777304064298900851981410186780888006582135663545\
         9795306856062468702211760428359574084878539852164333859/
         29565630661871057527330837222203167443305716899166123536013571\
         2026335903744000000000000000000*ep^2-
         767585485539859005092167632/845*ep^2*z5-7620877523510464697827\
         123572691993/32784952200*ep^2*z4+12271295928388188506769108607\
         47282866500127/3134609605333206000*ep^2*z3-
         24209288913637094632626849509484251490106547585365881993789349\
         64755903233863152564809891275439546508947245552845492103271658\
         3675945454728674516921407/399537242844748038467643337300087602\
         46189972834251653225847530138303573859442829320572039447445084\
         5696000000000000000000000000*ep^3-379836116655261746139148568/
         169*ep^3*z6-31020811237530113545230991608140417/16392476100*
         ep^3*z5+1227129592838818850676910860747282866500127/
         2089739736888804000*ep^3*z4+3434694493552504191765814618646059\
         9076773439556206677/140980705121763810140789952000*ep^3*z3-
         276963838773702659957473328/845*ep^3*z3^2;
Fill mncnoptab(14,5,2,7)=
      +mncF321*(3914015303731343247360+413499973651229890212480/13*ep+
         6097069019059084476066624/65*ep^2+40497105461038667350403672/
         273*ep^3)
      -51419455111305924172187767555672445873194418470679/
      2670089112154617616302840000-3239419072089015024/845*ep^-3-
         52366900053233821366144697/1117668825*ep^-2-291667646339234994\
         541646363859126161/1496063675272666500*ep^-1-
         43522817588880882802395648/845*z3+5601043235704599633178335650\
         48254159657278923889630186323566695810453803240208511702977855\
         594896097585361/2951464268104732826161684747314984000069629641\
         324438631844151296000000000000000000*ep-
         65284226383321324203593472/845*ep*z4-9527099499688762526144948\
         36981656/1117668825*ep*z3-307980823430330490122478810877554897\
         42646910086390573046663696593245955987379077449389424089290958\
         37728795983926649/35117367161276496361153137830065310644246073\
         41440744616090587228473917440000000000000000000*ep^2-
         4221719426467597024716119616/845*ep^2*z5-476354974984438126307\
         247418490828/372556275*ep^2*z4+8047382764960008292253509321639\
         06371499586/374015918818166625*ep^2*z3-
         12689474191209212414723863805042364479932794880397776408277610\
         22350502667118642516136844412887448978590160530736317643142249\
         965088339152775698242501470653289/
         25250985549278822692553470173995631861693782708932001575732488\
         71675180976987335002923228093766138795445452800000000000000000\
         00000000*ep^3-2089098304439358070956861984/169*ep^3*z6-1293625\
         163093482270955776840518788/124185425*ep^3*z5+4023691382480004\
         14612675466081953185749793/124671972939388875*ep^3*z4+
         358727531316591718236844254730512597665588539227673/
         267008911215461761630284000*ep^3*z3-
         1523301873172880506420169664/845*ep^3*z3^2;
Fill mncnoptab(14,5,3,6)=
      +mncF321*(7828030607462686494720+828731121808696901714304/13*ep+
         12264051617007198049570848/65*ep^2+
         2046273981475408844689178848/6825*ep^3)
      -212076126185730679414854173624595372292505689051/
      5506284472564944388320000-52720063055732999344/845*ep^-3-
         176015497863984216614278941/248370850*ep^-2-167401518936630243\
         099841821440857849/65046246750985500*ep^-1-
         87044615897593862355571328/845*z3+5766370707182785938538733057\
         71200602461426657595702330861891266421567120680209483974524370\
         51330742469/15247851659243180541172742298472366236901185198637\
         4502226329600000000000000000*ep-130566923846390793533356992/
         845*ep*z4-635787791255561665269154891761097/372556275*ep*z3-
         18591550015590647991683497697913210143160851705807481430120191\
         08360358240493410658149228726951947824958344748437/
         10648759266766402982165364245644998676637380108274761647597890\
         09633280000000000000000000*ep^2-8443428018674949985203811776/
         845*ep^2*z5-635787791255561665269154891761097/248370850*ep^2*
         z4+69507824183554332272252876984275160475874/16261561687746375
         *ep^2*z3+71580039681345771200974184041662016373731841903428560\
         05164766702307869271709555621710094582724678492034128543244752\
         94742655572528593423570767754855034061027/
         17252226151681183206092433038133661520411901229705094244289278\
         00523415574339172983363696213132144518627328000000000000000000\
         00000000*ep^3-4178191701388678061424120224/169*ep^3*z6-7825025\
         877115051784926486014826699/372556275*ep^3*z5+3475391209177716\
         6136126438492137580237937/5420520562582125*ep^3*z4+83635269337\
         852454544042512993126120239108755711259/
         30284564599107194135760000*ep^3*z3-
         3046614974212721250649116224/845*ep^3*z3^2;
Fill mncnoptab(14,5,4,5)=
      +mncF321*(7338778694496268588800+780144135617901933315360/13*ep+
         2325455726853287269501392/13*ep^2+130546905764772363149726644/
         455*ep^3)
      -184165835354783942387449156803980026865121868873/
      5100558248270685328128000-39291769092812583050/169*ep^-3-
         80871296542890799597566721/31373160*ep^-2-17731826803224552846\
         074578303201609/1991846790460800*ep^-1-
         16320219124240506255645040/169*z3+1628646562326133341489143439\
         29380527725969552301519504721118666675944080506358458440013214\
         581306173586123/4603521313277551644529825288344201374609210157\
         44486940766686412800000000000000000*ep-
         24480328686360759383467560/169*ep*z4-
         25147177737669239616060562106881/15686580*ep*z3-
         95007563272610194665902589109012821953660193913531701327775455\
         984234454023445119395835347817216340863363482286413/
         58454482447224176610671346830530079953679838116159684087806523\
         319779328000000000000000000*ep^2-1583135876465096755582319880/
         169*ep^2*z5-25147177737669239616060562106881/10457720*ep^2*z4+
         8662759289532638537867078176194142721351/2191031469506880*ep^2
         *z3+1586690346504785389466996713632078714817745474012415302099\
         26545163100018423490757854602114472800385955229788136166631313\
         92430927647727340131112749540271657955501/
         18209501902921758591321730106614844408651698142829274783344520\
         97013441236319579903763567627512740375716218431078400000000000\
         000000000000*ep^3-3917039143352140623316687100/169*ep^3*z6-
         104605946215838316478508816056589/5228860*ep^3*z5+866275928953\
         2638537867078176194142721351/1460687646337920*ep^3*z4+
         6954283133315476161749576908731078810586990819517/
         2550279124135342664064000*ep^3*z3-571247412850234428207796600/
         169*ep^3*z3^2;
Fill mncnoptab(14,5,5,4)=
      +mncF321*(3453542915057067571200+369483341382779384154240/13*ep+
         1113466848796533782794056/13*ep^2+63405652407892570214041292/
         455*ep^3)
      -6997871480635325299293453304088706799971145238263/
      411870078547857840246336000-789880332816824799176/2873*ep^-3-
         7680151720497139419172100827/2533382670*ep^-2-1831002089208545\
         4043215811749737949353/1769257911626805600*ep^-1-
         130551282157137831273990112/2873*z3+16694975559336901184586749\
         78390733197164548696812641645847155632598134869491256053410276\
         009462227923573737013/1004686417061665535495913773649735749203\
         8722176214945702591746195587072000000000000000*ep-
         195826923235706746910985168/2873*ep*z4-95856386385556740248482\
         9064847583/1266691335*ep*z3-1063230948785076843956191209163241\
         78922227845620009594052506780485936417053153155498086109367084\
         91429991342598567543553/14033011381500767872311878214430951702\
         841242527179089922203987390445851162705920000000000000000*ep^2
         -12664975672168787396314864704/2873*ep^2*z5-958563863855567402\
         484829064847583/844460890*ep^2*z4+1611133806635800364820429617\
         678667353279371/884628955813402800*ep^2*z3+
         33921019549186068090957022102394494079355295746446801806707431\
         50054214826526399735916176933388309460084901192350116030286655\
         12565149030236259038412844053027761961/
         12303705198256659236191309989786984995815736142656170239236309\
         20649556907350232151475448556719670853362055888418897920000000\
         00000000000000*ep^3-31336060975029123912602186480/2873*ep^3*z6
         -4072551650334616066651527858513587/422230445*ep^3*z5+
         1611133806635800364820429617678667353279371/589752637208935200
         *ep^3*z4+284840154722644743959377235493040731825433973384507/
         205935039273928920123168000*ep^3*z3-
         4570094552573074198658053696/2873*ep^3*z3^2;
Fill mncnoptab(14,6,1,7)=
      +mncF321*(387447979561284483072+41222923749601076624064/13*ep+
         709938226642547476075264/75*ep^2+54377466485844131780996408/
         3575*ep^3)
      -375584837869899460732759137087466579869705537738859/
      197022724549048802991787200000+287061940250901704/38025*ep^-3-
         55596841197216316001509361/316140610500*ep^-2-2399721263137251\
         740043580497844501/876133119503070000*ep^-1-
         193874694866182642887065792/38025*z3+1319815194670761880451812\
         19889729010801619395058802288772423338782199646205937169883516\
         5792337256648811/707094367691462167758345059250262360265128662\
         96148929068138496000000000000000000*ep-
         96937347433091321443532896/12675*ep*z4-13384454100194742651812\
         086693844639/158070305250*ep*z3-973541101130998033487435695876\
         68104046812791650593736675629846152862118426587466383563332745\
         501346649396446232689/1135783525313689700411740793172919763072\
         554903243257686393095869368893440000000000000000000*ep^2-
         6268614846059510596468048288/12675*ep^2*z5-1338445410019474265\
         1812086693844639/105380203500*ep^2*z4+287833125034923275163586\
         956347400579380617/1382916002352885000*ep^2*z3+
         25326499777543559048876408660240253528701436097469503059342998\
         66992399926797489566843049778179938920392805258495927396303491\
         612095710311611040147443/1217902766349946681786965983115769506\
         34433734945605868024824988862416722065443252999714821859417522\
         1760000000000000000000000000*ep^3-9305984921656174573258539536/
         7605*ep^3*z6-55835786905447452608973709338097391/52690101750*
         ep^3*z5+287833125034923275163586956347400579380617/
         921944001568590000*ep^3*z4+77588944535825575593990339917086537\
         8244487220067199/5331203134856614669189536000*ep^3*z3-
         6785613838755610110777978656/38025*ep^3*z3^2;
Fill mncnoptab(14,6,2,6)=
      +mncF321*(1826540475074626848768+194485975482810534792192/13*ep+
         14533303777676062586959136/325*ep^2+23393638058047825424218456/
         325*ep^3)
      -617044647658562257240686610659686780044312290253543/
      68659434312547310133501600000-91923852542601826208/12675*ep^-3-
         417561677078483112370969669/4790009250*ep^-2-12551180196229052\
         5315914660270303119/356205636969682500*ep^-1-
         304658189576735585196006016/12675*z3+5296754846229819938594065\
         07688730747919489360818667518719494264109969087728534445562442\
         86670283309091988719/60294198619853827734445845552291816001422\
         4341013421034791019479040000000000000000000*ep-
         152329094788367792598003008/4225*ep*z4-95638991269001833753700\
         3350698121/2395004625*ep*z3-7810077801137936224058774946122217\
         37137860993257379384707376671600075675023736920713410124624871\
         3898545285489986706541/193697363728126503500588950231260234853\
         47727064718164232465367555911136051200000000000000000000*ep^2-
         9850673236872087629446029824/4225*ep^2*z5-95638991269001833753\
         7003350698121/1596669750*ep^2*z4+74705151612856504136747465495\
         553181911437/76329779350646250*ep^2*z3+
         33547826069039365628701831463063629655327922692497910177921342\
         56513217710338195692169713981523171730619753548936155429785630\
         60841009424350272222837410476708113/
         51584156193526737786216374784019647946031584676818231790424941\
         23565012567274127220257451677265112110695710720000000000000000\
         0000000000*ep^3-14623680760519763651571041728/2535*ep^3*z6-
         3999960451360337517133380047388949/798334875*ep^3*z5+747051516\
         12856504136747465495553181911437/50886519567097500*ep^3*z4+
         4754409805212743116526592590054253838473223198040497/
         6865943431254731013350160000*ep^3*z3-
         10663130061936366703421759488/12675*ep^3*z3^2;
Fill mncnoptab(14,6,3,5)=
      +mncF321*(3044234125124378081280+324977160472495485351936/13*ep+
         2926977275314487373670384/39*ep^2+71078590466453108588966192/
         585*ep^3)
      -233286400331823284573170125138469189408457640779/
      15574918936683699841248000-586971139814508443456/7605*ep^-3-
         2505444445358628323493250189/2874005550*ep^-2-8721466429842457\
         3462787962137798763/27876962893279500*ep^-1-
         304647316025801843142264832/7605*z3+47424839466150508905381440\
         13334391329256911288845084553374359551329998008177903399854219\
         2794493145960437/323951499823235115726172890661258615250277751\
         820194513872853401600000000000000000*ep-
         152323658012900921571132416/2535*ep*z4-95757994149001057849108\
         2776824753/1437002775*ep*z3-5401640098597411619497127289162023\
         66090251079931658504733214161815281801653138166370259520896885\
         249725661622097/8065614861998978617303962162527752499055315353\
         71847492860075485167616000000000000000000*ep^2-
         9850634663993055205717461248/2535*ep^2*z5-95757994149001057849\
         1082776824753/958001850*ep^2*z4+150283184434378343170745240987\
         79011011933/9292320964426500*ep^2*z3+
         84240952285507709017452915908360126954064633723936271536373923\
         19401751250236142214717817493529600805267751442505030096345706\
         90255660856565221818443935217131349/
         33721299820225478872818018715953415571577218783017175524712075\
         87061928215406629451414014125023593288363367464960000000000000\
         00000000000*ep^3-14623628337976681887005059456/1521*ep^3*z6-
         4039098445558784483816649209663197/479000925*ep^3*z5+150283184\
         43437834317074524098779011011933/6194880642951000*ep^3*z4+
         9262697502771504088008233290100907873460122636553/
         7787459468341849920624000*ep^3*z3-
         10663249531083000352310123776/7605*ep^3*z3^2;
Fill mncnoptab(14,6,4,4)=
      +mncF321*(2283175593843283560960+244838538772672716349632/13*ep+
         740751816471321134520656/13*ep^2+54509293308951983614370776/
         585*ep^3)
      -77756856327884722147589339998106183645594635067/
      6922186194081644373888000-147327660210788747228/845*ep^-3-
         3702883499018613094861738367/1916003700*ep^-2-2975960551422447\
         666987618953894573431/446031406292472000*ep^-1-
         25385108980896167752280416/845*z3+3235770696585837526546243622\
         33046051339081779974414745440063681187281854333292070845301782\
         884395094935393839/2954960050181369222046805216616869850599624\
         169474984030174042998702080000000000000000*ep-
         38077663471344251628420624/845*ep*z4-4798352250197955692171948\
         70055079/958001850*ep*z3-2056966099630706950074861457130295392\
         24734216337862027897067744533719542343901407328050465973899389\
         2269119357460292371/412735628867669643303290535718557403024742\
         4272699732330059996291307603283148800000000000000000*ep^2-
         2462635621444235708184277872/845*ep^2*z5-479835225019795569217\
         194870055079/638667900*ep^2*z4+2663950823322983574204522639860\
         68722903599/223015703146236000*ep^2*z3-
         35600041035968248202919215280107103032299287836988350012558265\
         28162796870392257432440176135684020996236500272168121582007881\
         819376123325832309453581239857203550933/
         61518525991283296180956549948934924979078680713280851196181546\
         03247784536751160757377242783598354266810279442094489600000000\
         00000000000000*ep^3-1218625256231669770215998728/169*ep^3*z6-
         2054122264173598562359411436463371/319333950*ep^3*z5+266395082\
         332298357420452263986068722903599/148677135430824000*ep^3*z4+
         649611257229550661863314840329229218722342331083/
         692218619408164437388800*ep^3*z3-888627986569243352098015888/
         845*ep^3*z3^2;
Fill mncnoptab(14,6,5,3)=
      +mncF321*(805826680179982433280+86997057588437793261696/13*ep+
         20478378063396762066768*ep^2+14579160675366888833675648/429*
         ep^3)
      -855374927921896602689353418731671857770423038949/
      215741469715544582986176000-1494933293474834375848/14365*ep^-3-
         6319131907917932732326430167/5428677150*ep^-2-1897305829873396\
         0571965567042287061787/4633770720927348000*ep^-1-
         152297238146990723016069056/14365*z3+
         11084700005919254607643549356225558262574393080037458006396453\
         538868205962249278026963661852581397776971936337/
         29024274270670337692104175683214588310334086286843176474153933\
         4539182080000000000000000*ep-228445857220486084524103584/14365
         *ep*z4-5295505689991260877688240756881229/29857724325*ep*z3-
         14006855901166470746738232480557257942937030660397056741204816\
         579376434864951557732637625458276558327851090723941754681/
         81079621315337769928913074127823276505304956823701408439400816\
         033687140051189760000000000000000*ep^2-
         14775670941110192392471006752/14365*ep^2*z5-529550568999126087\
         7688240756881229/19905149550*ep^2*z4+9541409707151808896744526\
         48507868479598703/2316885360463674000*ep^2*z3-
         64263344708727360542505743464059609198715811947391247406404025\
         75025283883586492503205662051060837402364898757532779222643680\
         7388686555906663807043197408625952321/
         12721023854103961128413003544996134194504223099541584200567131\
         39010769948652169850180463770924197701019950181710299136000000\
         00000000000000*ep^3-7311686851481600834727468848/2873*ep^3*z6-
         701951550025809555810126624359337/301593175*ep^3*z5+9541409707\
         15180889674452648507868479598703/1544590240309116000*ep^3*z4+
         5475228278377324503222469616631246655023374470447/
         15410104979681755927584000*ep^3*z3-
         5331915288194365882709693408/14365*ep^3*z3^2;
Fill mncnoptab(14,6,6,2)=
      +mncF321*(125350816916886156288+68297281445427935902848/65*ep+
         636835231170555388942208/195*ep^2+177901939657930987421770712/
         32175*ep^3)
      -3168927665985519619848557904577835290175388109036241/
      5135725686578538797985919680000-8802071021053678936456/646425*
         ep^-3-13049768058342390661871764193/81430157250*ep^-2-33163935\
         1255529682756562728810203978953/532883632906645020000*ep^-1-
         1066116824063263406566264832/646425*z3+
         35974573719476489330624772838229968571617945131086993073251221\
         0180637405391941780436663073783228077546780447093973/
         60598540010793813376891086350264497348766856459406791272432903\
         870083998783897600000000000000*ep-533058412031631703283132416/
         215475*ep*z4-4137923099930582822122485693471817/149288621625*
         ep*z3-25890386044301803834059339546039402897808663066292969721\
         05215594972617449753372155215256909171357569818637582946074735\
         93564443/97337535903488324192364173745347990203035280572531116\
         84969766052904025429438882266480640000000000000000*ep^2-
         34476694227990994683583001248/215475*ep^2*z5-41379230999305828\
         22122485693471817/99525747750*ep^2*z4+307441133137267590389196\
         929590740407499251/4964754343850730000*ep^2*z3+
         40560314570732941494688807492422591080303662058458669081402705\
         67190873894025918514958801970268839049578513066350807954529246\
         42090699978938789668199710369235066874291/
         35254282247832471633616093244389586538597333644683573958399713\
         90666107189497704392599126466913066056744628736581020407562240\
         000000000000000000*ep^3-51181982929954860322091369456/129285*
         ep^3*z6-15247224810615314228576630006452327/40715078625*ep^3*
         z5+307441133137267590389196929590740407499251/
         3309836229233820000*ep^3*z4+2246856202741124863306895142173336\
         165948119714880881/37215403525931440565115360000*ep^3*z3-
         37323012627025384527208191776/646425*ep^3*z3^2;
Fill mncnoptab(14,7,1,6)=
      +mncF321*(122351993545668784128+13160679955708098002112/13*ep+
         76965135504485663290912/25*ep^2+54345434780411293454018368/
         10725*ep^3)
      -101036167917852063330571832023223514585396614418149/
      167834172764004535881892800000-110116155736311368/12675*ep^-3-
         13457110608697635790365751/35126734500*ep^-2-75217111129550820\
         092019729160133747/20151061748570610000*ep^-1-
         20407857946011238656310336/12675*z3+73127249955102025785785399\
         52834332254793324289768021114238721738745468417759297609096057\
         065349825836376353/1252264125181579499100029099932214640029542\
         862104797533796732764160000000000000000000*ep-
         10203928973005619328155168/4225*ep*z4-472170676951620734885415\
         704978909/17563367250*ep*z3-2134663990278601922023382166993038\
         70377470424622451180077287672024165115873904749418338428738851\
         2453526544310612715789/804589049332217783771677177883696360160\
         59789345752374504086911386092411289600000000000000000000*ep^2-
         659854179678295579657662304/4225*ep^2*z5-472170676951620734885\
         415704978909/11708911500*ep^2*z4+44667249030977908725149928744\
         05825364184723/70528716119997135000*ep^2*z3-
         93261513008101366921849219575600473750481582080620213432235147\
         52755335940698741016532704056685704957726766060720708978518043\
         47420593622625307795181374793/75022810407156715598077104559931\
         40159081118072649321470329219313924870079231304384782433026540\
         119366041600000000000000000000000000*ep^3-
         979577340544437750158338288/2535*ep^3*z6-612391244479536417197\
         8393676180863/17563367250*ep^3*z5+4466724903097790872514992874\
         405825364184723/47019144079998090000*ep^3*z4+26177896798804393\
         73657456858427137613380575879311593/
         50350251829201360764567840000*ep^3*z3-
         714275204978603372309537248/12675*ep^3*z3^2;
Fill mncnoptab(14,7,2,5)=
      +mncF321*(480668546072270223360+51765379343668865064960/13*ep+
         788705779644166730151344/65*ep^2+3904695760416728538535264/195
         *ep^3)
      -32477880543551625969723930633910409882072249283757/
      13731886862509462026700320000-16200853975595244032/2535*ep^-3-
         73471287221555129089196431/958001850*ep^-2-1649289671653801792\
         2270671643966407/53430845545452375*ep^-1-
         16034393049195486818347264/2535*z3+610254473672940556493549880\
         16869141613534894976642867449301371256776992305237084988587057\
         1305815005809488547/266052458138577861580223325345598516093133\
         73493175069889464299526553600000000000000000*ep-
         8017196524597743409173632/845*ep*z4-
         50619331780214431603914238441819/479000925*ep*z3-
         80850595293187798194841810760067130117702721565672576940144355\
         11879452296460076662168846171979776404084053551312204031/
         77700313906939888832807681749911248495509167996755150235375360\
         138569242902528000000000000000000*ep^2-
         518455603293619447398500096/845*ep^2*z5-
         50619331780214431603914238441819/319333950*ep^2*z4+10382657755\
         33112219640200694516254990917/4190654552584500*ep^2*z3-
         92215345585174084416028498161369847884187323456502835994341222\
         77436510070840417641300086954220842032739804836632395228681777\
         090413766745369591759126654044324277/
         22761877378652198239152162633268555510814622678536593479180651\
         21266801545399474879704459534390925469645273038848000000000000\
         000000000000*ep^3-769666208415831427688576512/507*ep^3*z6-
         219691474355284027776334544434111/159666975*ep^3*z5+1038265775\
         533112219640200694516254990917/2793769701723000*ep^3*z4+
         16709376662250836714989773615598676861633034694451/
         80775805073585070745296000*ep^3*z3-561220093477870834940407552/
         2535*ep^3*z3^2;
Fill mncnoptab(14,7,3,4)=
      +mncF321*(640891394763026964480+69224370656023829089536/13*ep+
         635982828467035266758464/39*ep^2+15844438893805728855914296/
         585*ep^3)
      -24557456412612026382064094036927521827202674541/
      7787459468341849920624000-315959224112279856416/7605*ep^-3-
         674473935186942599463562877/1437002775*ep^-2-33574973493102950\
         74548248005566347/1991211635234250*ep^-1-
         64132036338665451351069952/7605*z3+112463271414665810988629481\
         65677467184538994549401274334279742909685843137757468486936955\
         523032135471558607/3693700062726711527558506520771087313249530\
         21184373003771755374837760000000000000000*ep-
         32066018169332725675534976/2535*ep*z4-202762253866084996824000\
         072784918/1437002775*ep*z3-14203414420225583408537435562649555\
         28410180919672341652200230322171770106379729872560525694140899\
         28501786212203399751/10318390721691741082582263392963935075618\
         56068174933082514999072826900820787200000000000000000*ep^2-
         2073802798683833249086828928/2535*ep^2*z5-10138112693304249841\
         2000036392459/479000925*ep^2*z4+759507453846676162334046844971\
         341491642/2323080241106625*ep^2*z3-
         20988073787341529072585486078617061872329746397170180980456344\
         96600502666985202192448786811399087902125533275207432950486435\
         292262107122478270888185717588702560243/
         76898157489104120226195687436168656223848350891601063995226932\
         54059730670938950946721553479497942833512849302618112000000000\
         00000000000000*ep^3-3078638179856417147954708416/1521*ep^3*z6-
         888313101446591864496042004978582/479000925*ep^3*z5+3797537269\
         23338081167023422485670745821/774360080368875*ep^3*z4+
         1106470386304534677804879608081360790069934043423/
         3893729734170924960312000*ep^3*z3-2244941351793175005189847936/
         7605*ep^3*z3^2;
Fill mncnoptab(14,7,4,3)=
      +mncF321*(360501409554202667520+39127654042121622124224/13*ep+
         120803487853647651756144/13*ep^2+100363663358858726505996056/
         6435*ep^3)
      -135068967362498659544105885718089328140154965801/
      76144048134898088112768000-119798133698757390548/2535*ep^-3-
         1019169260111377108261747079/1916003700*ep^-2-9304309264131103\
         081141631461625280637/4906345469217192000*ep^-1-
         12023427623053757954695456/2535*z3+290965774681859058570435620\
         86838564158146944745374388607729194296521460837151870768224977\
         9419030734323028033/170731025121590221718259856960085813590200\
         50756966574396561137325834240000000000000000*ep-
         6011713811526878977347728/845*ep*z4-83834782483424710420673642\
         5765813/10538020350*ep*z3-365533324158199418141030702494572559\
         34634648788117074434768177150794224372717788913137533957565402\
         1865485415696594177/476938948913751587817135730163666332384146\
         8048453024025847106825511008238305280000000000000000*ep^2-
         388833308488071230559715184/845*ep^2*z5-8383478248342471042067\
         36425765813/7025346900*ep^2*z4+6334010615909069219009844221567\
         2254222659/350453247801228000*ep^2*z3+
         14662436192073141154422780574527394927057659190990050334287781\
         93947327658629433392553938535382089463447302265851942701084137\
         834235329910038740841296532113637320649/
         71088074478816253364660902163213691086935364379791205826698675\
         41530773242468007986302591661046987152758545133086965760000000\
         00000000000000*ep^3-577238248920579966862225048/507*ep^3*z6-
         339021873246824600077654864068067/319333950*ep^3*z5+6334010615\
         9090692190098442215672254222659/233635498534152000*ep^3*z4+
         6376320095504964767159165450031732410453891409949/
         38072024067449044056384000*ep^3*z3-420941100262567589512562608/
         2535*ep^3*z3^2;
Fill mncnoptab(14,7,5,2)=
      +mncF321*(84823861071577098240+9270951691024928475648/13*ep+
         28958290602406095482160/13*ep^2+8140151414139610070687288/2145
         *ep^3)
      -7148241187414481971122593848521716135821118876591/
      17119085621928462659953065600-140334346574551086944/14365*ep^-3-
         312276550852911903203262058/2714338575*ep^-2-51094689896922859\
         51385171122990053643/11418934990856679000*ep^-1-
         16031656050103268750555968/14365*z3+
         48578356634266839324210805322958589386057221883697419933490548\
         77694137128770009634384986914121006037470862973120471/
         12119708002158762675378217270052899469753371291881358254486580\
         77401679975677952000000000000000*ep-24047484075154903125833952/
         14365*ep*z4-560852845774791035002730778523732/29857724325*ep*
         z3-69709873527854927241760300733638637408185692944347236793314\
         42946808808485917961429458704217584474818154077111766226233454\
         04033/38935014361395329676945669498139196081214112229012446739\
         879064211616101717755529065922560000000000000000*ep^2-
         1555337720207682692272049856/14365*ep^2*z5-2804264228873955175\
         01365389261866/9952574775*ep^2*z4+1182904112021065639795067663\
         72656053017701/2854733747714169750*ep^2*z3+
         58801498799492734994132268600087316675581255015977754603865417\
         25101075741476561229570571043203592750625353740871527864665018\
         045131966646289512336565874719472751259/
         43658553867284794592713428166426732555538493677626716976346394\
         93084962463774246925819351661811846509900469023629746634752000\
         0000000000000000*ep^3-769653032078789711760746944/2873*ep^3*z6
         -77247330466677873585670662451396/301593175*ep^3*z5+1182904112\
         02106563979506766372656053017701/1903155831809446500*ep^3*z4+
         1796019410362061771442328623568565346337093756475243/
         42797714054821156649882664000*ep^3*z3-
         561250248965852237811202624/14365*ep^3*z3^2;
Fill mncnoptab(14,7,6,1)=
      +mncF321*(6597411416678218752+3639727156485742926912/65*ep+
         34645128036018504729536/195*ep^2+1103895758551614500018152/
         3575*ep^3)
      -3475860025514247558643817171066217146717169914707/
      106994285137052891624706660000-7747367939546854024/646425*ep^-3-
         31603166106504569182820746/40715078625*ep^-2-18630034680081731\
         421656535245743169849/2397976348079902590000*ep^-1-
         56121492045757713533721728/646425*z3+
         14851800357734391110434198133844286165851952539834275226064530\
         55320505440370648249878617082618331612683351039448223/
         48231491028999157585688823829802355032691987794221731829079250\
         01904644801167360000000000000000*ep-28060746022878856766860864/
         215475*ep*z4-219174802171136975570594688803683/149288621625*ep
         *z3-4224239823645860726743899320902910320156405655920222037309\
         44409320604081888586633416426640623138282755721410233660159644\
         10457/30989093063151384844915941029131196880966334223091539241\
         944561311286285040662563950428160000000000000000*ep^2-
         1814598521883657870160098592/215475*ep^2*z5-219174802171136975\
         570594688803683/99525747750*ep^2*z4+53193860069400304219223051\
         1293376880046893/171284024862850185000*ep^2*z3+
         16691191206354640377156786167173088249997010930065581174918606\
         81342543854121064170213282980416067246908300916506382840299846\
         369953240810729718676593893697782257054901/
         95402404613522157930969264575633860714653192679286569528240858\
         44945424761783583723645799377809644063761995315727414409035776\
         00000000000000000000*ep^3-2693837036802607948473287024/129285*
         ep^3*z6-838645641231408158483098794611323/40715078625*ep^3*z5+
         531938600694003042192230511293376880046893/
         114189349908566790000*ep^3*z4+22656453424440597514226643108843\
         61658935336391171681/641965710822317349748239960000*ep^3*z3-
         1964257732265908950308518304/646425*ep^3*z3^2;
Fill mncnoptab(14,8,1,5)=
      +mncF321*(21848570276012282880+2386824166742454042912/13*ep+
         37242059975362935137504/65*ep^2+73168728323914274572137844/
         75075*ep^3)
      -454695391352380516373188312136460367024629291153107/
      4229421153652914304223698560000+2236824018838004/507*ep^-3-
         11281051236131959623854659/59012913960*ep^-2-48671123155973956\
         857513700885421581/18807657631999236000*ep^-1-
         145770524825665345982240/507*z3+116472909361861624841042209897\
         60613525351989920604601234505318397794471392302072096361197846\
         9780427980181/113347792816435538661396919673864456560388336775\
         657102487658554195968000000000000000*ep-
         72885262412832672991120/169*ep*z4-7137369838715490296442103655\
         02049/147532284900*ep*z3-6084774825766333035390382298610602149\
         24960862968778099790163460223811697547661946825319254052312721\
         655800052586481/1324123692615306981292817298460026009864298247\
         51866764898154459881112082579456000000000000000*ep^2-
         4713244480020292302738640/169*ep^2*z5-713736983871549029644210\
         365502049/98354856600*ep^2*z4+70375690268791328015655887101994\
         0206588717/65826801711997326000*ep^2*z3+
         49614810270226813899850285391201327503248441742928004497722031\
         55779777698923012029590464823951653600177333194597559291893164\
         705990028469434269695079483201986557/
         93710106176237067682455098644819367454488408614121339306421011\
         16854891643156383461218307545091996347056271652496080896000000\
         0000000000000*ep^3-34984907288088028905584200/507*ep^3*z6-
         3239182600034456063892736094691281/49177428300*ep^3*z5+
         703756902687913280156558871019940206588717/
         43884534474664884000*ep^3*z4+227966081963663435247206828361421\
         20536297762168906377/2114710576826457152111849280000*ep^3*z3-
         5101964174394564529406096/507*ep^3*z3^2;
Fill mncnoptab(14,8,2,4)=
      +mncF321*(68666935153181460480+7513128699801691139712/13*ep+
         117530785946682913113584/65*ep^2+7020179625792727440053088/
         2275*ep^3)
      -8120675069589430951231838110654555859523010542457/
      24030802009391558546725560000-1402448075851154992/507*ep^-3-
         22091999375120566026469927/670601295*ep^-2-4900412058210661496\
         7204163369998466/374015918818166625*ep^-1-
         458104677958236411546752/507*z3+232148933884836932373170844943\
         12437481259462891727430224340777724274031435975342799560707387\
         385886827494995323/7190599786111343864928695814115491094449125\
         454000426139025516233041641472000000000000000*ep-
         229052338979118205773376/169*ep*z4-
         7288351746426155214445256260288/479000925*ep*z3-
         33303770245551562300819073665652398386601583649914111694921426\
         98745473940604919332404150251740752003234821361333027132433/
         23100070223591508130327225361203364443969389117931315899526388\
         4431162202071928668160000000000000000*ep^2-
         14812943560473646100991808/169*ep^2*z5-
         3644175873213077607222628130144/159666975*ep^2*z4+499767114137\
         66633556959411700478542931793/1496063675272666500*ep^2*z3+
         24507990275378553145049089169533813376991584982495938098777223\
         41555931043014026801833804392369935126980670304855166018225657\
         41454180987889844956286796039017695566494749/
         19975284029395547695045883631482498299845678213327032032232778\
         58199778878818642593448135477995942871311806199451397148056223\
         74400000000000000000*ep^3-109951815008656754728571680/507*ep^3
         *z6-232643648674180383727699563004204/1117668825*ep^3*z5+
         49976711413766633556959411700478542931793/997375783515111000*
         ep^3*z4+412641198943958586523179390549566399336237225604977/
         12015401004695779273362780000*ep^3*z3-
         16035090366867769286061632/507*ep^3*z3^2;
Fill mncnoptab(14,8,3,3)=
      +mncF321*(68666935153181460480+7537470071594473600128/13*ep+
         118544884811862491729744/65*ep^2+78423096709191908872119024/
         25025*ep^3)
      -84433898609427153384742545384570006636750487903/
      249847657942634351620020000-4510023069271783216/507*ep^-3-
         341255626079901107701951709/3353006475*ep^-2-67137671510390230\
         278959452229458211/178877178565210125*ep^-1-
         458036642125408492252544/507*z3+339901860295372914363618994326\
         67437126278788465189027914097920026212444460581889226028698839\
         889632272027/1050652462286709056727752965908220391324310815813\
         3276551729930662051840000000000000*ep-229018321062704246126272/
         169*ep*z4-562056222580248109080251626651508/36883071225*ep*z3-
         10564015199461133959489129741910838745019350310446784133825087\
         60244778259223394075433739974020775615879755335710331/
         73375222909807936587251650794410204982176431514661908089955489\
         623246280589312000000000000000*ep^2-14812701941531970413148736/
         169*ep^2*z5-281028111290124054540125813325754/12294357075*ep^2
         *z4+7870115307813334059224638910906095585177/
         238502904753613500*ep^2*z3+
         11747491213122875708223704343683038137232731621495400786865925\
         31015236643999386214906851526715852817014587357636353421545985\
         73129388566283564048808852350522593052972542207/
         18865546027762461711987778985289026172076473868142196919330957\
         54966457829995384671589905729218390489572261410592986195386433\
         53600000000000000000000*ep^3-109950172956176256867984160/507*
         ep^3*z6-33613857458477824180768002118936/159666975*ep^3*z5+
         7870115307813334059224638910906095585177/159001936502409000*
         ep^3*z4+44083760710318585645326187486429389069581139647/
         1249238289713171758100100*ep^3*z3-16035836114495202935157056/
         507*ep^3*z3^2;
Fill mncnoptab(14,8,4,2)=
      +mncF321*(25750100682443047680+2840902659647036395488/13*ep+
         45055011499582108620864/65*ep^2+4303663495059054615732732/3575
         *ep^3)
      -51065656657618409900906213499256868101818667240663/
      402802014633610886116542720000-598071225200631466/169*ep^-3-
         5919665301313824168958063/141926200*ep^-2-85688872938851716613\
         848240368128269909/526614413695978608000*ep^-1-
         57253759412677678594256/169*z3+8952641474520378766314667861740\
         20265291619375655537780118560758030099245632181911365368735420\
         519349606380057701/7426291667989437913834691954689276635878291\
         23277044010691579704290245083136000000000000000*ep-
         85880639119016517891384/169*ep*z4-
         5524285194745397434886499637429/964263300*ep*z3-
         25433994809765505606395001973650233104621604341095874569778477\
         9329217490769160559688590735731643815160487677276453953628431/
         47714478384062904015864791051641171668154549300260351396910617\
         906392281516857266012160000000000000000*ep^2-
         5554754736635979881421672/169*ep^2*z5-
         5524285194745397434886499637429/642842200*ep^2*z4+456302384201\
         221410172909150449430692910259/37615315263998472000*ep^2*z3-
         76992467743385325311911696327140115205128787742710238390325100\
         34331177758430017612955722204813369022420722074296733581747996\
         48907126540127431880217828343936029/
         39865077060669506788809839252311991472281400416902519345952590\
         52701570877148726047220669049136153579782242956986023936000000\
         000000000000*ep^3-13743752443058255507068540/169*ep^3*z6-
         119747199770006963200312247612401/1490225100*ep^3*z5+456302384\
         201221410172909150449430692910259/25076876842665648000*ep^3*z4
         +3886083932672275966777285793376983920655436616879489/
         281961410243527620281579904000*ep^3*z3-
         2004489070490640104638616/169*ep^3*z3^2;
Fill mncnoptab(14,8,5,1)=
      +mncF321*(3029423609699182080+336616711630678388448/13*ep+
         5401342756656065415024/65*ep^2+10996959999675357377214892/
         75075*ep^3)
      -11174478943522535220951049529839529852906423146993/
      748959995959370241372946620000-22055591987836780/2873*ep^-3-
         17183708141612698911993827/38000740050*ep^-2-99620909384405760\
         49206297178135206857/2238111258207909084000*ep^-1-
         114533601677191015125728/2873*z3+84710632954940052464902883749\
         81693664164902250782820524137872332325724161931331723190927656\
         4209629079635985049153/602893637862489469821110297872529437908\
         649847427771647863490625238080600145920000000000000000*ep-
         171800402515786522688592/2873*ep*z4-28279231964506898425497797\
         5590329/418008140550*ep*z3-47827226135157165711400269804928162\
         47682519199911634875010561354871328098726661898029253803939241\
         784480403437456333207867919/7747273265787846211228985257282799\
         22024158355577288481048614032782157126016564098760704000000000\
         0000000*ep^2-11109785980194175234330416/2873*ep^2*z5-282792319\
         645068984254977975590329/278672093700*ep^2*z4+1551037284277690\
         963542840435856223010654679/1119055629103954542000*ep^2*z3-
         24891037690125749844130734372129705313778981717714417203952700\
         53060592404110086753594860636469559338034945309195631064150967\
         66225081925810714980320796112707914487/
         82528031672597022431634311916638287815443938303881115508858874\
         09122339759328359622530968319904536387337366190075618000896000\
         00000000000000000*ep^3-27488130946292460548011720/2873*ep^3*z6
         -40912209980803940232231743327567/4222304450*ep^3*z5+155103728\
         4277690963542840435856223010654679/746037086069303028000*ep^3*
         z4+1025129235000893851889235366340795455421015635979421/
         599167996767496193098357296000*ep^3*z3-
         4008689206089899146573520/2873*ep^3*z3^2;
Fill mncnoptab(14,9,1,4)=
      +mncF321*(2080816216763074560+232315419040970011824/13*ep+
         11266541976442290267244/195*ep^2+593244369289201877247136/5775
         *ep^3)
      -259885431284477085525464184368714097476199835002509/
      25376526921917485825342191360000-5659633909142390/1521*ep^-3-
         41762805657115128786271849/354077483760*ep^-2-8095371184957473\
         05151282763556254649/789921620543967912000*ep^-1-
         41648535498185564051248/1521*z3+902923365647264704570507033808\
         81259096444906362752843217457195260202001493541714308999566829\
         397510568207/9351192907355931939565245873093817666232037783991\
         71095523183072116736000000000000000*ep-20824267749092782025624/
         507*ep*z4-412326749605011700344901432342103/885193709400*ep*z3
         -1271468380773157447087739674249991024795423425189032537201611\
         3220137185227838796610710932299966818677510929451436797/
         30041056276209777138080792458811840098796266490579772286268793\
         085527303735214080000000000000000*ep^2-
         1346640678312925035318152/507*ep^2*z5-412326749605011700344901\
         432342103/590129139600*ep^2*z4+1228786593026866712131063083644\
         31410878343/131653603423994652000*ep^2*z3-
         10564861346546805188308372928382664401418765965182038016282666\
         77258781172822601754358409855437326188567221202861911704579652\
         86325513445562712399261750703269092786337643/
         19368268451650972190778550142341716467960506751286807400984771\
         20238329723208215635228050530583906006922456629406740074631004\
         160000000000000000000*ep^3-9995683748601473854758020/1521*ep^3
         *z6-1995782036465350761190048307619407/295064569800*ep^3*z5+
         122878659302686671213106308364431410878343/
         87769068949329768000*ep^3*z4+154742220062963842418801394563385\
         08039600503726075399/12688263460958742912671095680000*ep^3*z3-
         1457706472972219607357800/1521*ep^3*z3^2;
Fill mncnoptab(14,9,2,3)=
      +mncF321*(4904781082370104320+548589456147738063168/13*ep+
         62259313324400730388432/455*ep^2+128322849851399378786756512/
         525525*ep^3)
      -25533148352052686810912933126280714717303701855497/
      1057355288413228576055924640000-1850195695208966552/3549*ep^-3-
         5852061769153057130011033/938841813*ep^-2-57625178838195456883\
         60150421550679829/230393805991990641000*ep^-1-
         229027359370979350613248/3549*z3+10863595600884933151637398164\
         09028479382592966751381591363949061123764895125465517073786746\
         2624120851748447/481744986700924913647047235536494455925781441\
         46570572978422856642723840000000000000000*ep-
         114513679685489675306624/1183*ep*z4-
         40528501368819702015414321202909/36883071225*ep*z3-
         33362023652412791929800634687137715503203331774866521765421724\
         91438682490188684310911662745970960868481456048824831339/
         34047722551778866858758948945084324010385720922120987153496944\
         41729148103100989440000000000000000*ep^2-
         7406382855242072340492512/1183*ep^2*z5-
         40528501368819702015414321202909/24588714150*ep^2*z4+251545689\
         964548177735011013382567261447979/115196902995995320500*ep^2*
         z3-80948817437584576584442353985810236301461357360711551755644\
         50175204192968039313462507067948677949390279054161681130535040\
         50681960906610097971997858292626227085781470599070380479/
         31296504369743912449412423087257688299532252404939855677760821\
         92801747487605876493255788660580228466574591694389599440624401\
         332127662080000000000000000000*ep^3-54975303015888094177160720/
         3549*ep^3*z6-125485153670199365457758184320327/7823681775*ep^3
         *z5+251545689964548177735011013382567261447979/
         76797935330663547000*ep^3*z4+107724932730572627925095523745943\
         51765121530336204069/3700743509446300016195736240000*ep^3*z3-
         8017817576980022530940512/3549*ep^3*z3^2;
Fill mncnoptab(14,9,3,2)=
      +mncF321*(3269854054913402880+366981047928674380608/13*ep+
         125640750229859358401504/1365*ep^2+260779198311085459396206892/
         1576575*ep^3)
      -102162369988156039514746215426874582392947853050701/
      6344131730479371456335547840000-6355809111804154168/10647*ep^-3-
         1986166975944933329812576901/281652543900*ep^-2-63822207180775\
         59261686560667078909413/230393805991990641000*ep^-1-
         457995235648903746744128/10647*z3+7604406596861536807766579118\
         12738735227794998012053900407527707575793042254056739576499301\
         866152100311963964981/5092314286621328855200931626072646836030\
         828273899730359027975115133109141504000000000000000*ep-
         228997617824451873372064/3549*ep*z4-16238079362051567966176191\
         8785063/221298427350*ep*z3-10552141890077322603298325687586843\
         23641548927415156827677190642305557478587081348831435792980659\
         58768005166812486193916313/16359249731678709948296499789134116\
         00051013118866069190751221185362021080577963406131200000000000\
         00000*ep^2-14812556105457809748826912/3549*ep^2*z5-16238079362\
         0515679661761918785063/147532284900*ep^2*z4+495740117034098716\
         606098306030241604749073/345590708987985961500*ep^2*z3-
         32338305533529245094915909857921311716920437919142758328883286\
         90347631452526967783045163156740672609085308838731257169401983\
         310930421854087899032153602118871607092860482831/
         60121800112474999410146196229118227978097425578645161268062143\
         00255963038791005893403945286771979291625429649644048006668651\
         3315840000000000000000000*ep^3-109949182701811313749341520/
         10647*ep^3*z6-507691933125849206105567716488179/46942090650*
         ep^3*z5+495740117034098716606098306030241604749073/
         230393805991990641000*ep^3*z4+88174779449866874643100249492915\
         62529122611007079693/4440892211335560019434883488000*ep^3*z3-
         16036297979203179691691168/10647*ep^3*z3^2;
Fill mncnoptab(14,9,4,1)=
      +mncF321*(613097635296263040+69167223963878160384/13*ep+
         7959871113680935628824/455*ep^2+50091590007331987639553296/
         1576575*ep^3)
      -17036060234283587094971255948482095127293587964191/
      5639228204870552405631598080000-5926897297211739/1183*ep^-3-
         62482449515945195374884689/375536725200*ep^-2-3198138300743432\
         9237606323571869596619/22117805375231101536000*ep^-1-
         9544382055777181129752/1183*z3+1530067467996127800274284115377\
         77407466564371892544716521556200007797762388447898660125511926\
         03212507764443293/54560510213799952020009981707921216100330302\
         9346399681324425905192833122304000000000000000*ep-
         14316573083665771694628/1183*ep*z4-
         40709783169448775711261263851547/295064569800*ep*z3-
         16991628099193926444888269805097959030499071474416557924076163\
         8856534574098012843313862374977736844338762960457788468307/
         14022214055724608527111285533543528000437255304566307349296181\
         58881732354781111490969600000000000000*ep^2-
         925814577981313986571404/1183*ep^2*z5-
         40709783169448775711261263851547/196709713200*ep^2*z4+
         2905412398345239918274970049590145538121003/
         11058902687615550768000*ep^2*z3-
         21943563896319489833215888913838081965813601626121160086303491\
         99811722449846445811785208191970605175082589428178697170294856\
         061997469934663039683347901578457255183928417/
         33903270740117480870383193362284715025242909160890128534621509\
         21196971638415980766957112003818785314826370103182733838346983\
         833600000000000000000000*ep^3-2290675489813842013604130/1183*
         ep^3*z6-129141864456694225821459663809951/62589454200*ep^3*z5+
         2905412398345239918274970049590145538121003/
         7372601791743700512000*ep^3*z4+1519232104603394385957381956137\
         429792830288965668393/3947459743409386683942118656000*ep^3*z3-
         334058324451903746630004/1183*ep^3*z3^2;
Fill mncnoptab(14,10,1,3)=
      +mncF321*(94582555307412480+10895850122145942912/13*ep+
         6106487477084210253952/2145*ep^2+3631940892173289370750136/
         675675*ep^3)
      -32522746784465621442080128023718396183711758810283/
      69785449035273086019691026240000+1868567991528416/16731*ep^-3-
         1803626127256935957032833/108190342260*ep^-2-11587113759920506\
         2116996873613290719/592441215407975934000*ep^-1-
         1893147930364870655872/1521*z3+6230929776220022620421986891347\
         62370898211491978524100691430823182421332184199263343807843616\
         105754637/1484316334500941577708769186205367883528894886347890\
         62781457630494720000000000000000*ep-946573965182435327936/507*
         ep*z4-17456215811305213977802422242447/811427566950*ep*z3-
         16745167601428003985420935652991660413638449139085119248284340\
         388661394754241081777489768933533739500754468634619/
         95368432622888181390732674472418539996178623779618324718313628\
         8429438213816320000000000000000*ep^2-673321303251869535209728/
         5577*ep^2*z5-17456215811305213977802422242447/540951711300*
         ep^2*z4+119451973606677707739292641195905268407929/
         3258426684743867637000*ep^2*z3+
         16451230453664503387289672395927838285190895121341222286616247\
         88624792068085006567535767586013356274157486733495084401096519\
         3759809491566351069634652114023184007574090109/
         16881136836192934650724606163745772242154149614494580863302758\
         51941058493672430484609083406894639346668445928900382499968070\
         451200000000000000000000*ep^3-4997848206303987571036480/16731*
         ep^3*z6-2283028516310050182233278160249/6706012950*ep^3*z5+
         119451973606677707739292641195905268407929/
         2172284456495911758000*ep^3*z4+3357327116376410251191060287797\
         43506165407570067559/4984674931090934715692216160000*ep^3*z3-
         728847233200953087636224/16731*ep^3*z3^2;
Fill mncnoptab(14,10,2,2)=
      +mncF321*(148629729768791040+17155583731498477056/13*ep+
         6137299700554068862832/1365*ep^2+4478533936393106809630924/
         525525*ep^3)
      -4646034486821436652384266443783829364136692598179/
      6344131730479371456335547840000-428418157381852720/10647*ep^-3-
         291886865280991320713082323/619635596580*ep^-2-126765330534068\
         0840013391409037302839/691181417975971923000*ep^-1-
         20814626629648416559424/10647*z3+37117249540244053699743737277\
         27672834114361348781377759680942181658903009309586605758355395\
         914685304899673863/5456051021379995202000998170792121610033030\
         29346399681324425905192833122304000000000000000*ep-
         10407313314824208279712/3549*ep*z4-
         7486488199766656879516024885213/221298427350*ep*z3-
         50915205966371765406455245657042683971367024405299493576902140\
         6484205467633439649091557646649860994803748859234980245989/
         17527767569655760658889106916929410000546569130707884186620226\
         986021654434763893637120000000000000000*ep^2-
         673286494190087726267776/3549*ep^2*z5-
         7486488199766656879516024885213/147532284900*ep^2*z4+197191444\
         94971884064356278309454821173429/345590708987985961500*ep^2*z3
         +2795678526607470768541305735502305467779193752245060758291208\
         56526515126084049659942975228242991310166477905835252933136191\
         4095569833775202458747096038379903475524875568364282223303/
         17722584494498582741853266945852283730259123891869341473202398\
         24139773567281455740600888002713371776051859784698942371236785\
         98635725248266240000000000000000000*ep^3-
         4997612139851536905609760/10647*ep^3*z6-2778913802656069196102\
         39876126479/516362997150*ep^3*z5+19719144494971884064356278309\
         454821173429/230393805991990641000*ep^3*z4+2373736147973174890\
         549541500917936714742953693417983/
         22204461056677800097174417440000*ep^3*z3-
         728961514210169765955200/10647*ep^3*z3^2;
Fill mncnoptab(14,10,3,1)=
      +mncF321*(49543243256263680+5738660156614529408/13*ep+
         6193054252901810157152/4095*ep^2+13651591783724715211945616/
         4729725*ep^3)
      -4653296195771001794103920429671675805667892995313/
      19032395191438114369006643520000-32210039554592800/31941*ep^-3-
         284068276353973240689635233/9294533948700*ep^-2-35214315848120\
         1411619408764740046343/1382362835951943846000*ep^-1-
         20824081953071896299776/31941*z3+44790703549237167280195248297\
         89250225935817690826874632779190206058661950339440349182308926\
         4021820329665924157/202653323651256964645751360629421659801226\
         83947151988163478676478590944542720000000000000000*ep-
         10412040976535948149888/10647*ep*z4-
         681999424756823407875715466789/60354116550*ep*z3-
         12056267288465924033948952730862618696977457859821713896093615\
         40981734066404859031542870777739243793679304527622739124523/
         13020627337458565060889050852576133143263165639954428252917882\
         9039018004372531781304320000000000000000*ep^2-
         673319122165546069853824/10647*ep^2*z5-
         681999424756823407875715466789/40236077700*ep^2*z4+16823316235\
         58364410770644197029703339231/90154097996865903000*ep^2*z3-
         67069753716349954061083338208525856503372001646366568130361056\
         89526293167051898947524803021506360106861264465518597617545000\
         5802927131448891332422614529726359824568684769412858449/
         34645653899019785811141724856553336615544151969067885586711455\
         20874745319497582650798728426356967381755515368584398620462889\
         89814199733452800000000000000000000*ep^3-
         4997833211358915783154240/31941*ep^3*z6-2810015366299492059894\
         35499108277/1549088991450*ep^3*z5+1682331623558364410770644197\
         029703339231/60102731997910602000*ep^3*z4+21007991102950009435\
         904522409182595472506751995623/579246810174203480795854368000*
         ep^3*z3-728851595701651943703680/31941*ep^3*z3^2;
Fill mncnoptab(14,11,1,2)=
      +mncF321*(1644914005346304+995026471927195008/65*ep+
         600133291405108799408/10725*ep^2+43233222642864153244756/
         375375*ep^3)
      -2329009052680401158865281030403255614678318817887/28661880853772\
      8746152302429200000-32255466700495408/83655*ep^-3-
         28481176015722540144137258/5598850211955*ep^-2-775955144375877\
         24639760053821281853/3244320941519868210000*ep^-1-
         164550758116897067392/7605*z3+24825918039459788434267135061635\
         17443414133840082731291315387614798074219332370882692857833161\
         873581/3678681135954986636672508774954691342362224387716078323\
         3020846218936320000000000000*ep-82275379058448533696/2535*ep*
         z4-7671511301054602973029908570538/19995893614125*ep*z3-
         75958353119260254334215468596578509237896791432719772755120990\
         56350399939411013838429781035500301656269082608751/
         29544751167662093745129020377373743615142683856624615698448997\
         670120147113738240000000000000000*ep^2-58546996835450587409728/
         27885*ep^2*z5-3835755650527301486514954285269/6665297871375*
         ep^2*z4+58968178369170433979218320213224674254301/
         124906356248514926085000*ep^2*z3-
         22652831963343030347123356243217609623067804164516231733258555\
         28866214346661159902235691969731254752762985003382927369139565\
         11647852624642559545781031451966920283861/
         27985055728445430127417871442567559635345026676461973927233458\
         39324580485585693236651792900597706672028067348381167849240631\
         70560000000000000000*ep^3-86915466083532947243936/16731*ep^3*
         z6-377532031965351869135766736582/55085106375*ep^3*z5+
         58968178369170433979218320213224674254301/
         83270904165676617390000*ep^3*z4+146862933598543859980167968446\
         4173119303071653481599/1003165829882050611533058502200000*ep^3
         *z3-63387112132641262326848/83655*ep^3*z3^2;
Fill mncnoptab(14,11,2,1)=
      +mncF321*(1292432432772096+783374846844577152/65*ep+
         301581626948635666144/6825*ep^2+239877547683301696525568/
         2627625*ep^3)
      -4664043652574455251575082538847775789581760800929/72957514900512\
      7717478588001600000-22332610580380064/53235*ep^-3-
         77200350453500474279579641/14251618721340*ep^-2-39916968838040\
         35029681396825946670003/158971726134473542290000*ep^-1-
         904929896889998200576/53235*z3+1222324104862650306866647976632\
         04876010510498553463960914967938217569338540708779752106667283\
         0095113259747767/221953640189471913659632442594128484544200824\
         18309320369524264714647224975360000000000000000*ep-
         452464948444999100288/17745*ep*z4-
         7678988097988935695492153563063/25449319145250*ep*z3-
         30923988481317583840444847629284331824297632295702740618664892\
         635581294414123818254832246392166993618494459205103007073/
         14260687083883190304783246171869098204526324272331040467481490\
         7995114957169915760476160000000000000000*ep^2-
         29273101319942885231744/17745*ep^2*z5-
         7678988097988935695492153563063/16966212763500*ep^2*z4+
         29048143017817794808114155217352543364203/
         79485863067236771145000*ep^2*z3-
         17938795036540259607874187920376770810190099927951886855242610\
         62956080715369422881096710236152121576852582903814832828549901\
         87510612185029666891129730941203273837368653292828599/
         12538427125359541531651290900466921822768359760234091926619383\
         78983241163246744197431920763824426290540091276249591881691331\
         5821847228448768000000000000000000*ep^3-
         43457187031469328747328/10647*ep^3*z6-321581920913204891101885\
         714415029/59381744672250*ep^3*z5+29048143017817794808114155217\
         352543364203/52990575378157847430000*ep^3*z4+29568332080408244\
         83252851913887503756647865019674933/25535130215179470111750580\
         05600000*ep^3*z3-31694350193894946515584/53235*ep^3*z3^2;
Fill mncnoptab(14,12,1,1)=
      +mncF321*(6230734868736+45689011218798752/715*ep+
         94397630212143762136/353925*ep^2+3370101039339025625888/
         5308875*ep^3)
      -33181202244852273506744853766204867435341384991603/1059343116355\
      445445778909778323200000-38160223536612116/2760615*ep^-3-
         55736321710280553004006327/422313273130320*ep^-2-4175423279982\
         8910865743568500217993/83270904165676617390000*ep^-1-
         20584357755658789904/250965*z3+1535698726685665857150842101222\
         26461186350309319244293657502157800793/64232858562205722441293\
         2431561461433330542051328000000*ep-10292178877829394952/83655*
         ep*z4-56604804310733482000635733401541/36952411398903000*ep*z3
         -1105414347638369647516443246065780340368878032375361558347908\
         9667719592469553/140374459738251900243443423287959195973248279\
         07244163072000000*ep^2-7317862689056136559136/920205*ep^2*z5-
         56604804310733482000635733401541/24634940932602000*ep^2*z4+
         846386895014344617113463652546049914541/
         2060954878100496280402500*ep^2*z3-
         74457065492426478451276963957158080163548038670598292144574573\
         67551773379303767935950881958975481090695454222507482495453321\
         869/8422449077833519027718871698387450374796541723987371895435\
         31195567942158644501319344066566029312000000000000000*ep^3-
         10863580065928081494232/552123*ep^3*z6-
         37520605501651693956989848755539/1119770042391000*ep^3*z5+
         846386895014344617113463652546049914541/
         1373969918733664186935000*ep^3*z4+3874796295455488018465673476\
         262889821468000243694233/529671558177722722889454889161600000*
         ep^3*z3-7914140232444236272096/2760615*ep^3*z3^2;
Fill mncnoptab(15,1,1,11)=
      +mncF321*(7544020426693065216+28023620180339978062308/455*ep+
         8741646560401761934188361/47775*ep^2+
         19317838480617233761652645101/66216150*ep^3)
      -530767968643621756444761453388099577774252279488412063/142996729\
      20500503262580324831360000+66858334470700511/3726450*ep^-3+
         3074503757337586380177471547/19952266209876000*ep^-2+200263787\
         3460165848353174001130288961/8902416663530518368240000*ep^-1-
         184972275920803117402244404/1863225*z3+11052928988827401656977\
         89211053099820104374691355099707078700039035744265026487405752\
         947125713373/3035834056313229177923810829140488354692206081645\
         651699957760000000000000000*ep-92486137960401558701122202/
         621075*ep*z4-410689967598269616312851960426682197/
         249403327623450*ep*z3-3268099750160031384704291329587838306541\
         30834284218378074586985068128978424043532686258785063453009754\
         232297/1950546045503980558859799165724889799119603197591054351\
         00019200465305600000000000000000*ep^2-
         284798583476485735113123286/29575*ep^2*z5-41068996759826961631\
         2851960426682197/166268885082300*ep^2*z4+267533372225803701290\
         980932746771069640340441/65458946055371458590000*ep^2*z3+
         31899880712549171827320377801714162387244473980428234674005838\
         30663831906915810378077819203429986368541495417499127999757715\
         3150829444313567/468833159195127857837115362611974696628760049\
         35472885420246021338666615548339522304019064160256000000000000\
         00000000000*ep^3-8878669241548899097362261307/372645*ep^3*z6-
         6796806004986051637985921406384122741/332537770164600*ep^3*z5+
         267533372225803701290980932746771069640340441/
         43639297370247639060000*ep^3*z4+990651820182938545229681148665\
         32656900528215290811831609/35749182301251258156450812078400000
         *ep^3*z3-6474029658327461869668822742/1863225*ep^3*z3^2;
Fill mncnoptab(15,2,1,10)=
      +mncF321*(50293469511287101440+37315641020761302826880/91*ep+
         34846118625003583583470016/28665*ep^2+
         2560575266451282806466810640/1324323*ep^3)
      -34918943409710001924989215824678943155397254186948823/1411151932\
      94412861143884784520000+6303981822905152/1117935*ep^-3-
         1036043879569079952775576/6563245463775*ep^-2-4262422248194909\
         393799453242637661/2928426534056091568500*ep^-1-
         739889104702504611653015296/1117935*z3+15657599735755878113965\
         19653394957446065920903997453554708548774961017450176320600763\
         4885834643557/644235942897628423441516066478655212953630259010\
         2772449594572800000000000000*ep-369944552351252305826507648/
         372645*ep*z4-72004188663912628043620229783053888/6563245463775
         *ep*z3-6620156539497286705845223843908564092655597882277536169\
         12944717542195017808818565743332399644132979573163301/
         59132343274225936942276016813554553910152181148023542430321610\
         246324224000000000000000*ep^2-1139194334949509140190238464/
         17745*ep^2*z5-36002094331956314021810114891526944/
         2187748487925*ep^2*z4+7070122273897233805560559296641970581838\
         773/258390576534361020750*ep^2*z3+
         36846258919220289133046498742623319021144505761589508897446943\
         61168993878498575114395111401887363807468934303815074986881841\
         47986215855950947787/27031794759609003976029262731336192268342\
         39542167521438406376999936304252639940841196209593726376345600\
         0000000000000000000*ep^3-35514676998558285610166003968/223587*
         ep^3*z6-889788355339185214072857591976640816/6563245463775*
         ep^3*z5+7070122273897233805560559296641970581838773/
         172260384356240680500*ep^3*z4+12796250198255790092948976197116\
         5514631976131015250257/7055759664720643057194239226000*ep^3*z3
         -25896118632800248182172918528/1117935*ep^3*z3^2;
Fill mncnoptab(15,2,2,9)=
      +mncF321*(301760817067722608640+223834782929845583755776/91*ep+
         69648499341004059860529952/9555*ep^2+
         127918582758157137741906793252/11036025*ep^3)
      -1326920084614387497419662351345955574329856510255418571/89372955\
      7531281453911270301960000+259472667884483552/372645*ep^-3-
         90177862979973022157422004/41567221270575*ep^-2-30638996570080\
         5798830300974202843789/4121489196078943689000*ep^-1-
         1479778221572937668950731776/372645*z3+
         72716935849479134970815707632245499052990546202039894247724457\
         417309251429676612329856056080220576531/4986863409837197796269\
         513255334775537307730523449923859130613760000000000000000*ep-
         739889110786468834475365888/124215*ep*z4-273580414426318748263\
         1575177550649332/41567221270575*ep*z3-
         21539978527585644360182618793237501446946050661464422773310358\
         954588814551064235592265096277593905940355673605067/
         32040969707478720646870300962307523100204681859095719472429820\
         6631008665600000000000000000*ep^2-2278388671359719555835245184/
         5915*ep^2*z5-1367902072131593741315787588775324666/
         13855740423525*ep^2*z4+537761910898984838798465220147451483554\
         555263/3272947302768572929500*ep^2*z3+
         12224702555919662245332104182439562992537490135135901102992591\
         75855178826229761656860335435853417351241730530523717846306151\
         06728006512768623352117/95445596311705865890671223964964827021\
         55463074813717671410170641750407608086704698544641281552390553\
         60000000000000000000000*ep^3-71029354037044697174334857408/
         74529*ep^3*z6-33777519619975188138608946974953813444/
         41567221270575*ep^3*z5+537761910898984838798465220147451483554\
         555263/2181964868512381953000*ep^3*z4+483990289812642907809310\
         18120283293723462070777326080529/44686477876564072695563515098\
         0000*ep^3*z3-51792237070117746780129185408/372645*ep^3*z3^2;
Fill mncnoptab(15,3,1,9)=
      +mncF321*(127305344700445475520+94561613636828553491760/91*ep+
         9831602578999478512694022/3185*ep^2+
         3623013765114383663936528381/735735*ep^3)
      -38461450997131765610861082196382855236931364532544857/
      61404929341923792861321845760000+36673205633264003/41405*ep^-3+
         220032485831521873260177221/38555103787200*ep^-2-1228253721054\
         17905105590919940489839/17202737514068634528000*ep^-1-
         69364604740420268477882444/41405*z3+93258924491502633973572848\
         35775416598948638714859565023042075930820118824303902419134964\
         460809583867/1517741037776538459734199686406236033093657115832\
         585522344099840000000000000000*ep-104046907110630402716823666/
         41405*ep*z4-535632099408752159799249041888478271/
         19277551893600*ep*z3-13793948135139497542933829853601643299472\
         61730501719480335647228537000068037466922808800328232853457065\
         151743107/4875799738094587924523741450785927428292016804645000\
         7892827987965588275200000000000000000*ep^2-
         961195221604591055352762264/5915*ep^2*z5-535632099408752159799\
         249041888478271/12851701262400*ep^2*z4+34912563264331467966922\
         606362287423633127019/505962868060842192000*ep^2*z3+
         86104027433075620602714494309153849407489266385829870209064808\
         18754259028473388918063510037246427064641276843934036179032891\
         4333417064522185930129749/768337050309232220419903352917966857\
         52351477752250427254851873666090781245097972823284362316496743\
         9564800000000000000000000000*ep^3-3329500973245858559495726702/
         8281*ep^3*z6-2214717928360644973755758002629329699/
         6425850631200*ep^3*z5+3491256326433146796692260636228742363312\
         7019/337308578707228128000*ep^3*z4+951582941399300677286110489\
         97801518440579665093295701/2046830978064126428710728192000*
         ep^3*z3-2427761105455702524852521192/41405*ep^3*z3^2;
Fill mncnoptab(15,3,2,8)=
      +mncF321*(678961838402375869440+504646071136586766611136/91*ep+
         52527940819974823791701664/3185*ep^2+
         96943599168142186301140967104/3678675*ep^3)
      -57692203775981428496247761201425274436598667782870957/
      17270136377416066742246769120000-1507280799760152952/41405*ep^-3-
         272508682411787101786265216/602423496675*ep^-2-105416102777674\
         0514886247094483933879/537585547314644829000*ep^-1-
         369944517352408671718985024/41405*z3+2002596168792538013022171\
         36477291865369730502053533288472000726592858658044336173147768\
         9027163481169/611394705159005971328473994768137073878060117461\
         85696090521600000000000000000*ep-554916776028613007578477536/
         41405*ep*z4-89299666104944590057858935677937553/602423496675*
         ep*z3-18939100414746071696505544826503467686084333401307047312\
         231413737635579093262559062635500425299779937642720158467/
         12570421199775109492912770927807469151065355824475392659869715\
         6473782272000000000000000000*ep^2-5126374454596296293292714144/
         5915*ep^2*z5-89299666104944590057858935677937553/401615664450*
         ep^2*z4+126230207814622738682275659589849213804319/
         343724774497854750*ep^2*z3+
         32450051695885927983319666165479407103961245772874255369661575\
         73432249787811396290059110799830415867565701569420389280144129\
         9290270637485202600554942511/515025929035407222750216466252824\
         65918373099930805364519267896566801476803354734908107799115276\
         723683328000000000000000000000000*ep^3-
         17757338332410832690665006992/8281*ep^3*z6-3700138532286447725\
         36270254338203267/200807832225*ep^3*z5+12623020781462273868227\
         5659589849213804319/229149849665236500*ep^3*z4+937478997312647\
         71502375986313746805515184099118348841/
         375437747335131885701016720000*ep^3*z3-
         12948059713796620878649368992/41405*ep^3*z3^2;
Fill mncnoptab(15,3,3,7)=
      +mncF321*(1336706119354677492960+142327514953843288055712/13*ep+
         14886304508439612034411008/455*ep^2+
         27650938935876462239502695273/525525*ep^3)
      -654356024012942130989059817895382439443826962794863/
      99494889562933501800683520000-18103457311148779751/23660*ep^-3-
         50694829288095595885281033343/5507871969600*ep^-2-478337793289\
         18633917927251446060600099/1282191615955426176000*ep^-1-
         104046806785727738404409578/5915*z3+13932374914106027444739682\
         52256759816342069617133137689812668937114266645086296055063626\
         9068167/216372429548337749483084277916293454229026445126428262\
         400000000000000000*ep-156070210178591607606614367/5915*ep*z4-
         804799896663114680517283039796933437/2753935984800*ep*z3-
         58010875783563335412258055765558300733106772301337722264677399\
         5479435428089256889576741599755304999160647/
         19644257797311103494254287643235313379274978062785495955574620\
         16000000000000000000*ep^2-1441792679753729094478836093/845*
         ep^2*z5-804799896663114680517283039796933437/1835957323200*
         ep^2*z4+27015431899314476349771720653384128360894699/
         37711518116336064000*ep^2*z3-
         33931471974105513101094689555061246193064015841378712406527305\
         47940820322688720983690944172196414796425692491740206909488885\
         378905391288644141888899/7319974938914315483694767559715802371\
         78043329920338635660148675694335858356718171070045249816250810\
         36800000000000000000000000*ep^3-9988501951490375922947443073/
         2366*ep^3*z6-1121933167391679687004069059771018831/
         305992887200*ep^3*z5+27015431899314476349771720653384128360894\
         699/25141012077557376000*ep^3*z4+25283100437276618637575446283\
         688109517725562894030467/49747444781466750900341760000*ep^3*z3
         -3641642758226144709067857349/5915*ep^3*z3^2;
Fill mncnoptab(15,4,1,8)=
      +mncF321*(159755726682911969280+119115244368033840780480/91*ep+
         12466058487583680082781568/3185*ep^2+
         1263944134011310771545208048/200655*ep^3)
      -129900780896015487185518308787284403270388884062883/
      165264462941780542988007360000-125466919442658904/124215*ep^-3-
         503264648520565264588097/34588908900*ep^-2-1290516850715707505\
         116086350555207/15433077913339086000*ep^-1-
         261137326581557392275075008/124215*z3+173162730824269573412976\
         83665391284991736658773462044131259323179405484928129410926443\
         4065093094433/225250680848054831542069366493524185112969516959\
         63151191244800000000000000000*ep-130568663290778696137537504/
         41405*ep*z4-604144169989848123094262518603883/17294454450*ep*
         z3-32651687353062359213244763167973679739569631158157366858053\
         05613946593133493237111335438149947307740095247130573/
         92624156208869227842515154204897141113113148180344998546408431\
         085944832000000000000000000*ep^2-1206205764341932925200936416/
         5915*ep^2*z5-604144169989848123094262518603883/11529636300*
         ep^2*z4+659863909656285071764916695990441199489629/
         7716538956669543000*ep^2*z3-
         15849957063361744638104281076931800125679057146543570639861222\
         46333249498888065869176213774711783040329361332677503608118414\
         60273102218561295105616363/21206950019105003289714795669233956\
         55462421761856691480205148682162413750726371437392674081217276\
         8575488000000000000000000000000*ep^3-
         12534591862299517018472294864/24843*ep^3*z6-252971339408378121\
         1663846619565427/5764818150*ep^3*z5+65986390965628507176491669\
         5990441199489629/5144359304446362000*ep^3*z4+91687834397046155\
         229948996846257309782786886275391/1502404208561641299890976000
         *ep^3*z3-9139806637956457668089718944/124215*ep^3*z3^2;
Fill mncnoptab(15,4,2,7)=
      +mncF321*(745526724520255856640+79519867141830001717248/13*ep+
         8342100851901365515549792/455*ep^2+
         1414203976368202990465338112/47775*ep^3)
      -3299631022487084657366504751648135189646871660521/
      899548738319470106027160000-4660379582355458368/17745*ep^-3-
         77726460313682224660053514/23471045325*ep^-2-11403150470007583\
         4532898747756089931/7854334295181499125*ep^-1-
         174091453571522059590338816/17745*z3+5668717633119301326895941\
         10269702853497996904406823938200176435493194755640509834526880\
         8221742881726029/158114157219896401401518825749017000003730159\
         356666355277365248000000000000000000*ep-
         87045726785761029795169408/5915*ep*z4-382885122753798285237468\
         2766749732/23471045325*ep*z3-833939132617858063846623658305211\
         72278132744052388445811207217736797015584468374012554187490646\
         9812836415589447887/507947632154177893795250743613444671818559\
         2761726791319702456526899773440000000000000000000*ep^2-
         804137126293137811349829632/845*ep^2*z5-1914425613768991426187\
         341383374866/7823681775*ep^2*z4+567250448776672390391018212118\
         113471215823/1428060780942090750*ep^2*z3-
         11769176815287348042965829548611047581637755902003943089623102\
         16616345233646637679984132439673225616371347945253885828670269\
         68740747704123274782815565701/20811251826328700021335277615930\
         46582007729344142747382615315004127896409604946430980682494862\
         20230393856000000000000000000000000*ep^3-
         8356394099292185989378041728/3549*ep^3*z6-53685959388187212415\
         73329709135516/2607893925*ep^3*z5+5672504487766723903910182121\
         18113471215823/952040520628060500*ep^3*z4+24336016360461118033\
         070759965514731066099422568650533/
         84107807032870454913539460000*ep^3*z3-
         6093205471905638099013321728/17745*ep^3*z3^2;
Fill mncnoptab(15,4,3,6)=
      +mncF321*(1258076347627931758080+134651278001325053935296/13*ep+
         14209007803895538292675104/455*ep^2+
         2427481625547429322035110144/47775*ep^3)
      -10497772892848039963085270095015070617483668998717/
      1695935617550002871602560000-27126858438262243452/5915*ep^-3-
         1661174628628345484255650219/31294727100*ep^-2-145973888812084\
         1271181784836754169767/7285179636110376000*ep^-1-
         97925900472751474004565024/5915*z3+761069858136582876909850763\
         08309482262928896826257944070888386422887496827059113233800217\
         15317515851/12641713748097024683370258283172242415798176503972\
         3758223360000000000000000000*ep-146888850709127211006847536/
         5915*ep*z4-4314751096026168796217753851400791/15647363550*ep*
         z3-48570944095054665243754163976887077268744558551858969330976\
         637051606310957090655834931483613896182657798469353/
         17657381437240209026549711121605227397485451710149477221782215\
         7209600000000000000000000*ep^2-1356980578397576560247304144/
         845*ep^2*z5-4314751096026168796217753851400791/10431575700*
         ep^2*z4+2413448101342178499632999536785640484186599/
         3642589818055188000*ep^2*z3+
         25695509888410635229671495159658996954601009235832305965765615\
         26809615157251999473707921587370358620918746898591554172994547\
         8131792504766069697499897339121/
         26318447037513641727661415706132473441852849324907261117563745\
         52839292126160268989927271263910771485048832000000000000000000\
         0000000*ep^3-4700469074155142223863281992/1183*ep^3*z6-6118435\
         291925580724695495322182833/1738595950*ep^3*z5+241344810134217\
         8499632999536785640484186599/2428393212036792000*ep^3*z4+
         430405469327315802628369465238632574800803380681473/
         847967808775001435801280000*ep^3*z3-
         3427434066064107258565606992/5915*ep^3*z3^2;
Fill mncnoptab(15,4,4,5)=
      +mncF321*(986726547159162163200+106215910367109500327040/13*ep+
         2263609897261279610630400/91*ep^2+234990920942892637755834296/
         5733*ep^3)
      -4199138782656027235888084378500555533081672673139/
      864927164950501464517305600-357295717229129016448/20111*ep^-3-
         16027295218629029377007723281/79801554105*ep^-2-13425434192534\
         535044482685974790708483/18577208072081458800*ep^-1-
         261129480394887406377689856/20111*z3+1460976853919113608245862\
         71992939476915355328125213729845118105318213378524916222337071\
         288911376318079/3097786217059685794131528266948285508330781001\
         780610038909160652800000000000000*ep-
         391694220592331109566534784/20111*ep*z4-1730776434321061821257\
         0442583743524/79801554105*ep*z3-420571326688946344945138333974\
         80165193586994670778711955167496587616391764740581909461728360\
         85694917582462692909/19667497740055634422132130235688766484415\
         195532832893708709903158634086400000000000000000*ep^2-
         3618605364871010959660078336/2873*ep^2*z5-86538821716053091062\
         85221291871762/26600518035*ep^2*z4+473226223680751540628060380\
         5191499738803527/9288604036040729400*ep^2*z3+
         50373576485357167808146225265500489804921423497434463075452261\
         94402805041706338906991693679383078886918793587921995333577375\
         68475378170433062812143945782139/
         37936462297753663731920271055447592518024371130894322465301085\
         35444669242332458132840765890651542449408788398080000000000000\
         00000000*ep^3-62672770184255473278107146240/20111*ep^3*z6-
         25001942623917128423062091361592192/8866839345*ep^3*z5+
         4732262236807515406280603805191499738803527/
         6192402690693819600*ep^3*z4+1830468686850855415910187410916175\
         67658008290594931/432463582475250732258652800*ep^3*z3-
         9139892853445052874095819008/20111*ep^3*z3^2;
Fill mncnoptab(15,5,1,7)=
      +mncF321*(108722647325870645760+11659590885849535499640/13*ep+
         529072559176872366518192/195*ep^2+2017297414936878235343774/
         455*ep^3)
      -352588709060418641809729349223407079499507111643701/
      659130569400454177281615360000+19958054187479749/7605*ep^-3-
         121802457341540310074843/18934624800*ep^-2-5740975643751542465\
         24173818888473/1865222244495792000*ep^-1-
         10880722797800319951531352/7605*z3+223828237358456378724458891\
         89306972925236841205458796030608262396331712398101797683342720\
         85623448287/43024260467999020789528932176603265307137458328344\
         5864700313600000000000000000*ep-5440361398900159975765676/2535
         *ep*z4-3839107615878094648372677648976969/160944310800*ep*z3-
         65532745733441314983039837271923723035634002970358449878961920\
         639272835034353487037789968497584534961699011397/
         27643408552608320750761945230663655609173293941370292896339899\
         46612121600000000000000000*ep^2-351810017267445214228906628/
         2535*ep^2*z5-3839107615878094648372677648976969/107296207200*
         ep^2*z4+453780184935857986369397601484128804710383/
         7979006268120888000*ep^2*z3+
         13603217579018998072482553507087094059544663191071273840379874\
         82625071353603766553497254975645763250510020857834104495797590\
         7367081271291346411117447701/184045084178417075018611298644283\
         03106190803723711371410883738131743301581540342586903994852522\
         8775178240000000000000000000000000*ep^3-
         522274664502267661367594266/1521*ep^3*z6-234819456654925458589\
         7454576797623/7664014800*ep^3*z5+45378018493585798636939760148\
         4128804710383/5319337512080592000*ep^3*z4+20687630265744961120\
         630201974356477568468410003038213/
         461391398580317924097130752000*ep^3*z3-
         380825264727064898733912436/7605*ep^3*z3^2;
Fill mncnoptab(15,5,2,6)=
      +mncF321*(434890589303482583040+46731918954652594954368/13*ep+
         2127774763739775176552768/195*ep^2+366712123044359439214163848/
         20475*ep^3)
      -56217035492548822545766197981738101972962185077/
      26272742721638001326595000-6521659571570538032/7605*ep^-3-
         104786424778001003464474391/10059019425*ep^-2-2757392085880754\
         9933880344856916211/641170146545428500*ep^-1-
         43522743828703909874857984/7605*z3+255372757089390678961116723\
         79728247115377698955941932950868596827069389335029513992603493\
         409111032591847/1230493849384771994580527460250853387784131308\
         190655173042896896000000000000000000*ep-
         21761371914351954937428992/2535*ep*z4-960727202252973455876576\
         749128988/10059019425*ep*z3-3732246797975034593075231110264659\
         98290181605269587211711116740333878547342913370291754151654053\
         2036137454003945049/395300742302298986735895816798490275211178\
         10336159518841766056236553338880000000000000000000*ep^2-
         1407239549189244336107427776/2535*ep^2*z5-48036360112648672793\
         8288374564494/3353006475*ep^2*z4+49703477664328662885119585694\
         01791061897/22000936401068625*ep^2*z3+
         78591412348365817641073988744817315066104066766594796075081342\
         40331017396330917468183781959605401380156409364022466902040295\
         56053567638043751234838497049913/
         52636894075027283455322831412264946883705698649814522235127491\
         05678584252320537979854542527821542970097664000000000000000000\
         00000000*ep^3-2089097951869514549223712672/1521*ep^3*z6-
         591447666617835262617508836233776/479000925*ep^3*z5+4970347766\
         432866288511958569401791061897/14667290934045750*ep^3*z4+
         12140268828416991555060203940651357641305069900118/
         66261402599425253345750625*ep^3*z3-
         1523302696942283934867796672/7605*ep^3*z3^2;
Fill mncnoptab(15,5,3,5)=
      +mncF321*(611564891208022382400+65978277773782630659480/13*ep+
         201623490667605372416424/13*ep^2+35053592677922595574712489/
         1365*ep^3)
      -166634764025901985535791559742053382417468759703/
      55377489552653154991104000-3173797155761338271/338*ep^-3-
         153790559279828270966035775/1430616096*ep^-2-26964284296547675\
         10258981403646687/6796669048266240*ep^-1-
         1360055416929499029036836/169*z3+59070315210911876587896090815\
         38504331186632051788330968255927904751863331406788440549712958\
         94374527111/20246968738952194732885805666328663453142359488762\
         157117053337600000000000000000*ep-2040083125394248543555254/
         169*ep*z4-481303111192262919008652727763179/3576540240*ep*z3-
         11313281189530488577220878481074674928921114240224107123720022\
         6430732553685424034026505781217414499423846700727/
         85697157908739147808854597976857370302462725633258796116383020\
         2990592000000000000000000*ep^2-131928384794692244783884662/169
         *ep^2*z5-481303111192262919008652727763179/2384360160*ep^2*z4+
         260851118978790586888444196839837580812763/832591958412614400*
         ep^2*z3+228841748923580182060689316325723627044635476058741032\
         98666195782538336432553065544567147218600071681958209905766962\
         7618075245225751991831058727205846967231/
         42151624775281848591022523394941769464471523478771469405890094\
         83827410269258286814267517656279491610454209331200000000000000\
         000000000*ep^3-326420823444406864387119565/169*ep^3*z6-1000311\
         49276969478640263729183571/56770480*ep^3*z5+260851118978790586\
         888444196839837580812763/555061305608409600*ep^3*z4+
         52019263253531210724848344723294238533683892699829/
         193821213434286042468864000*ep^3*z3-47603542081033000671026858/
         169*ep^3*z3^2;
Fill mncnoptab(15,5,4,4)=
      +mncF321*(383726990561896396800+41654987556719156040960/13*ep+
         128624269936989606591152/13*ep^2+9713330600241572054745568/585
         *ep^3)
      -194405218253248986296153993839336830610177217089/
      102967519636964460061584000-63942059020427646080/2873*ep^-3-
         2844565299985332294745414514/11400222015*ep^-2-239063903862099\
         01674543004023196169/27080478239185800*ep^-1-
         14506221411852555845880640/2873*z3+482489788122188004051388346\
         20473271203221086562334926469829887023945392361546971114565674\
         8747443115827759/265790057423721041136485125304162896614781009\
         95277634133840598401024000000000000000*ep-
         21759332117778833768820960/2873*ep*z4-965524589245612060696121\
         319019528/11400222015*ep*z3-3032937325562265074279263430634209\
         18829159304102470835245948900465805516817463707885316732938981\
         8752754427033991571/371243687341290155352166090328861156159821\
         23087775370164560813202237701488640000000000000000*ep^2-
         1407225088684427961009737280/2873*ep^2*z5-48276229462280603034\
         8060659509764/3800074005*ep^2*z4+25512216511528571576731502511\
         05731926821/13269434337201042*ep^2*z3-
         29862153712864244315390902242859922414819435466372552643414546\
         01760466642116618716482732115373358658336319250179654891512021\
         877174821110856669895090674470989173/
         55334123907503493919378907361475858446790347731522458747888163\
         09799594556866123432561541128104339816707658757439488000000000\
         000000000000*ep^3-3481797168181438512909641600/2873*ep^3*z6-
         4296985310746845152906444753438032/3800074005*ep^3*z5+
         2551221651152857157673150251105731926821/8846289558134028*ep^3
         *z4+3068317782644325245682798344753936221095420347887/
         17161253272827410010264000*ep^3*z3-507782531872122866242713280/
         2873*ep^3*z3^2;
Fill mncnoptab(15,5,5,3)=
      +mncF321*(111920372247219782400+12256470903224286002880/13*ep+
         8862292070422822993918/3*ep^2+20684431433218346865478964/4095*
         ep^3)
      -1360965184013627614699272552674060027873591736919/
      2471220471287147041478016000-363152335713366275956/25857*ep^-3-
         1032979145909907109427947603/6514412580*ep^-2-6712001783267166\
         89146592381933680367/1179505274417870400*ep^-1-
         38074546781918183765777912/25857*z3+18163740627343840444138893\
         46306330060621636698501232922652677871827472493743674048053535\
         495203682287958609/3455270746508373534774306628954117655992153\
         12938609243739927779213312000000000000000*ep-
         19037273390959091882888956/8619*ep*z4-188550534605371776032081\
         303313241/7600148010*ep*z3-11309597120472733057299700361369565\
         88282407531986106451112436864294573219234490423164537499053912\
         2749075788165954733/482616793543677201957815917427519503007767\
         600141079812139290571629090119352320000000000000000*ep^2-
         1231306747490908142493310168/8619*ep^2*z5-18855053460537177603\
         2081303313241/5066765340*ep^2*z4+68586111638683379061130397799\
         99373256227/126375565116200400*ep^2*z3+
         16118175091548077738421181407080427035019971986944715520147180\
         97463635238873129266103210400169183804894998713273075005145355\
         10579284181213549568002276828664219/
         21267550232275255923796067003280286463896811910724284144840493\
         99070800690552023093210609720540972346943291452859351040000000\
         000000000000*ep^3-9139614239227015609285381480/25857*ep^3*z6-
         7759038789483928802216978946585821/22800444030*ep^3*z5+
         6858611163868337906113039779999373256227/84250376744133600*
         ep^3*z4+23223587322455127851757139524325372715101870688797/
         411870078547857840246336000*ep^3*z3-
         1332976176644161482238588376/25857*ep^3*z3^2;
Fill mncnoptab(15,6,1,6)=
      +mncF321*(41200161091908876288+4464464949993381778368/13*ep+
         343596911384596072680576/325*ep^2+160803927983162185950168/91*
         ep^3)
      -545807537431699073236800496409011012893370033811/
      2692526835786169024843200000-11158110237153176/4225*ep^-3-
         1670166683166101258538937/22353376500*ep^-2-277788123773988017\
         6922324334740803/4274467643636190000*ep^-1-
         2290677965868791589103552/4225*z3+8384579315042971305835972908\
         34835547391732749199841757713918141516602818536211894881387112\
         23849903/42916219635350585748483798139329428982426454666247739\
         015168000000000000000000*ep-3436016948803187383655328/4225*ep*
         z4-101550620469584980269785615281303/11176688250*ep*z3-
         10883448777487464610098673551197741558889228522982439921228553\
         704583377185589512768444910519687604081358874103391/
         12353148196946843335496744274952821100349315730049849638051892\
         57392291840000000000000000000*ep^2-222195795526838762151218784/
         4225*ep^2*z5-101550620469584980269785615281303/7451125500*ep^2
         *z4+310821333699104091415470182629569807782467/
         14960636752726665000*ep^2*z3-
         38480792635791540882234107815990534724565370916520932176785728\
         19059019803572708779353955030043305724518017033522461178200357\
         202296877635129874559368383099/
         13159223518756820863830707853066236720926424662453630558781872\
         76419646063080134494963635631955385742524416000000000000000000\
         00000000*ep^3-109952558780484985281057616/845*ep^3*z6-
         64203390375892353488377542119201/532223250*ep^3*z5+31082133369\
         9104091415470182629569807782467/9973757835151110000*ep^3*z4+
         605136610544343483182353991893038490642583103127987/
         32041069345855411395634080000*ep^3*z3-
         80173747079709182067922336/4225*ep^3*z3^2;
Fill mncnoptab(15,6,2,5)=
      +mncF321*(137333870306362920960+14918948316239476303872/13*ep+
         46121460543052259163920/13*ep^2+2712736873348274776572024/455*
         ep^3)
      -132559805911877875657145986809332329330117774373/
      196169812321563743238576000-2828662300739185504/2535*ep^-3-
         45407772394056824347152871/3353006475*ep^-2-396578011325695172\
         0920903196128157/71241127393936500*ep^-1-
         4581294832073761851260288/2535*z3+7692817050010625395592107186\
         42079036825808144167216312156048784297444615917008325850131189\
         236759044481267/1182455369504790495912103668202660071525038821\
         91889199508730220118016000000000000000*ep-
         2290647416036880925630144/845*ep*z4-10167658233417542443983433\
         3567814/3353006475*ep*z3-5050708932006031391830701707860913506\
         66876175468371744851029260639073133649251636449188010599663287\
         88632774421124779/17266736423764419740623929277758055221224259\
         55483447783008341336412649842278400000000000000000*ep^2-
         148130312949025475668306432/845*ep^2*z5-
         50838291167087712219917166783907/1117668825*ep^2*z4+1026645585\
         80339104150802904188996672713211/1496063675272666500*ep^2*z3-
         26739203080297593867565359651314960031032311626218229219365869\
         46462057606207562849862766407404295537459283365149641929422249\
         04111105951409918779471442536191739/
         25290974865169109154613514036965061678682914087262881643534056\
         90296446161554972088560510593767694966272525598720000000000000\
         00000000000*ep^3-219904822007501332576829504/507*ep^3*z6-
         3409958824273732599628233745142/8403525*ep^3*z5+10266455858033\
         9104150802904188996672713211/997375783515111000*ep^3*z4+
         309802364068160315960523296454204905575477832972443/
         4806160401878311709345112000*ep^3*z3-
         160348161135360086637968384/2535*ep^3*z3^2;
Fill mncnoptab(15,6,3,4)=
      +mncF321*(154500604094658286080+16857904805980811407296/13*ep+
         52500266106167161767408/13*ep^2+9351701108734529221740488/1365
         *ep^3)
      -36837009924762642176811779805283464738269560393/
      48455303358571510617216000-6427641560484510124/845*ep^-3-
         387361093876135352094869959/4470675300*ep^-2-22421830989353125\
         28121132812470501/7079863591944000*ep^-1-
         1717867111526904915064928/845*z3+18934896462121542349874449774\
         52121588940732494537828195992968139947882044867320082115537611\
         6985339632391/260578487670314746212240318925649898641942166620\
         3689620964764549120000000000000000*ep-
         2576800667290357372597392/845*ep*z4-
         4495385882599778232525162035279/131490450*ep*z3-
         11842264731575810542226694450559425189729010324090099203189014\
         8826420108477205932560846231816278910982579171280419/
         36396439935420603465898636306751093741158944203701343298589032\
         55121343283200000000000000000*ep^2-166645343562730298625040176/
         845*ep^2*z5-4495385882599778232525162035279/87660300*ep^2*z4+
         1463853977453316772828659945675690799589/19272962000292000*
         ep^2*z3-829139426313883024752804695633863886878091681789866510\
         68565879584043591717614009727310381124595879478418792774193489\
         904635559763866326082147189265068095349173/
         54249141085787739136645987609290057300774850717178881125380552\
         05685877016535415129962295223631705702654567409254400000000000\
         00000000000*ep^3-82463738225601696854987624/169*ep^3*z6-
         345551385161979211821238748628707/745112550*ep^3*z5+1463853977\
         453316772828659945675690799589/12848641333528000*ep^3*z4+
         1828157513279281590695902136812382419273583464541/
         24227651679285755308608000*ep^3*z3-60131866412094243128221904/
         845*ep^3*z3^2;
Fill mncnoptab(15,6,4,3)=
      +mncF321*(72706166632780369920+7985209483028587670784/13*ep+
         25139601603775854315648/13*ep^2+4540674957070910891805176/1365
         *ep^3)
      -1227992535664595739233867484936238400581083647/
      3432250654565482002052800-130072252745990664032/14365*ep^-3-
         1950270555211083819992186408/19000370025*ep^-2-266739832516380\
         6520775391462301529/7180429836147750*ep^-1-
         13741212229117009604898304/14365*z3+23577024598050233780799995\
         25968316994408666400954919872485671093940132631481471204402543\
         744027043961739019/6910541493016747069548613257908235311984306\
         25877218487479855558426624000000000000000*ep-
         20611818343675514407347456/14365*ep*z4-
         16140109247758133212738812772948/1000019475*ep*z3-
         14633450552684732900851544828089302158567093280401667089117414\
         243744795952696779295226221390161443012446555212913827/
         96523358708735440391563183485503900601553520028215962427858114\
         3258180238704640000000000000000*ep^2-
         1333144383770477733795466368/14365*ep^2*z5-
         8070054623879066606369406386474/333339825*ep^2*z4+963827844370\
         2259472249271048677420337812/276446548691688375*ep^2*z3+
         88262360088683699948746711871329673052499969216821018103844035\
         77475762520070081927814650996280064404094553471853049960350152\
         894625742931496186404276888125943463/
         28773744431901816838077031827967446392330980820391678548901844\
         81095789169570384184932001386614256704687982553868533760000000\
         0000000000000*ep^3-659701585770680362095284032/2873*ep^3*z6-
         1414500220761521794005979304914388/6333456675*ep^3*z5+
         4819139221851129736124635524338710168906/92148849563896125*
         ep^3*z4+46014935910135278264836710994977026150035887503/
         1225803805201957857876000*ep^3*z3-481073857298420530638643072/
         14365*ep^3*z3^2;
Fill mncnoptab(15,6,5,2)=
      +mncF321*(14137310178596183040+1566804256109657566848/13*ep+
         5006702024238080905904/13*ep^2+307193180909043389987248/455*
         ep^3)
      -798182307740857545434507344199970137907378989869/
      11467330081674568288963776000-86455784960893607512/43095*ep^-3-
         42846184529796459124581817/1809559050*ep^-2-627840882994967956\
         2801426423609747221/67821553279027548000*ep^-1-
         8015466791820766580924864/43095*z3+432243940021809063568574038\
         24576503796615185910223867587510825602516443097102898559859011\
         4466711842331125034813/655828355095171140442544224569962092519\
         121823153753152299057401191385268224000000000000000*ep-
         4007733395910383290462432/14365*ep*z4-
         59898819806847119158535300488189/19000370025*ep*z3-
         61073528216253670969350447518092594365028028422462332238428515\
         802271817738177268394244832645645223294601531879605660777711/
         21068730715040762812200037607218179697626684106608466850583909\
         205419968461988922654720000000000000000*ep^2-
         259221676127440958548715296/14365*ep^2*z5-
         59898819806847119158535300488189/12666913350*ep^2*z4+316794720\
         70043670161772502877461116554047/4844396662787682000*ep^2*z3+
         77452030155595396131271231228008131770222757130012488598030497\
         26940268742992370076521560223292215898911782137742586184525778\
         60518240944992263761629066509909997727/
         12972354939678615103278649029320843531518499393065384356986907\
         71457225589209112005934743505141171492741530054586089760358400\
         00000000000000000*ep^3-384824780795251054532610512/8619*ep^3*
         z6-851459945797617972022252313593483/19000370025*ep^3*z5+
         31679472070043670161772502877461116554047/3229597775191788000*
         ep^3*z4+284545933231236831180536518726655130596120454348449/
         36313211925302799581718624000*ep^3*z3-
         280629121118676946328469152/43095*ep^3*z3^2;
Fill mncnoptab(15,6,6,1)=
      +mncF321*(892882748121864192+500828008516866055872/65*ep+
         326453250173549974464/13*ep^2+102669596881706719319024/2275*
         ep^3)
      -91050444820292068301473271257342702183613929727803/
      20698530797422595761579615680000-5638663602322223264/1364675*
         ep^-3-96694591229607580998891871/515724329250*ep^-2-3417857988\
         0500396085853573052398975573/19329142684522851180000*ep^-1-
         16034655304733884335899008/1364675*z3+
         10230654311014845947917734577045289157187948988454515968534057\
         3959611882313304342744449121786680933822847905701/
         24921477493616503336816680533658559515726629279842619787364181\
         24527264019251200000000000000*ep-24051982957100826503848512/
         1364675*ep*z4-19034493689372318515867430184946/95001850125*ep*
         z3-14291764135848629822890517292246698681124046224775635478849\
         049896399690068283351829416754183369002644124382299644266891351
       /800611767171548986863601429074290828509813996051121740322188549\
         80595880155557906087936000000000000000*ep^2-
         1555369490642451974368513536/1364675*ep^2*z5-
         9517246844686159257933715092473/31667283375*ep^2*z4+2354587631\
         3636642601017714372771613884017/60028393430195190000*ep^2*z3+
         16334656349826991363096448485307324791269711237556254240738644\
         63899490192654883574506481047790268656102941991159509522995041\
         10482079625754110436520893480268771113/
         44106006794907291351147406699690868007162897936422306813755486\
         22954567003310980820178127917479983075321202185592705185218560\
         00000000000000000*ep^3-769667417668859045016307264/272935*ep^3
         *z6-591521149618599087456101406121492/200559461375*ep^3*z5+
         23545876313636642601017714372771613884017/40018928953463460000
         *ep^3*z4+22056530393699071219066203102514434862673293255559/
         40906187346684971860829280000*ep^3*z3-
         561216969566703970783673344/1364675*ep^3*z3^2;
Fill mncnoptab(15,7,1,5)=
      +mncF321*(8583366894147682560+944070322416639990264/13*ep+
         14894980130955310464188/65*ep^2+2697403006979444304506333/6825
         *ep^3)
      -343673240887644858511467435958462850452293855359/
      8137414437042644163970560000+1001467348691227/507*ep^-3-
         53187053811564923112437/1430616096*ep^-2-177641570236072162128\
         9157605666607/2931063527064816000*ep^-1-
         57266994202291077097432/507*z3+6347451920811045416783046757600\
         61922410939220416278776355028547504420367116108774424686731983\
         5529867/158082268650373060950815998422815517583561339828728876\
         34856981299200000000000000*ep-28633497101145538548716/169*ep*
         z4-34103151688989477689055049398619/17882701200*ep*z3-
         15397572088993923663910674074857056498605355477364334283953460\
         237019006204508535990211349772726072888931110936823/
         86333682118822098703119646388790276106121297774172389150417066\
         82063249211392000000000000000*ep^2-1851631768653959421503308/
         169*ep^2*z5-34103151688989477689055049398619/11921800800*ep^2*
         z4+293856713811567433288377606323072947998533/
         71811056413087992000*ep^2*z3+
         10925348801464012892015924698367551637619669138215565846363678\
         44562451053916791667848869778658069151373758684535498074040484\
         05955131449902173687699200091481612679/
         31728450047868733475258376279089641288133539639051515688572298\
         99673487842116443609572087389409227959872217699124084998144000\
         000000000000000*ep^3-13744070779398967968531230/507*ep^3*z6-
         67708526049710967852555005670119/2554671600*ep^3*z5+2938567138\
         11567433288377606323072947998533/47874037608725328000*ep^3*z4+
         1150911646138553217124792508229495369666100337138387/
         256328554766843291165072640000*ep^3*z3-
         2004343046271794602522588/507*ep^3*z3^2;
Fill mncnoptab(15,7,2,4)=
      +mncF321*(22888978384393820160+2524845467700272846976/13*ep+
         120078985439284126958384/195*ep^2+3125442929511302079627536/
         2925*ep^3)
      -955335428487311502675038102099039935860457485679/
      8481459532726432428256080000-1037305681126678480/1521*ep^-3-
         82175840030232787197189104/10059019425*ep^-2-52681982394047959\
         82828299090580804/160292536636357125*ep^-1-
         458112694594366631887232/1521*z3+48096802670642108151341544428\
         47025534954165395872246685102098624680029181752615135227797244\
         582475177969/4502426214652856119049933198156282580037647821921\
         934904370881458339840000000000000*ep-229056347297183315943616/
         507*ep*z4-51227509588095787472201444916478/10059019425*ep*z3-
         88952765947450312129008320606201347274173135975115105346834361\
         85949837308851919681670457380996617520647871542197087/
         18803475965479453097539458983478522135913218655214746356960837\
         15353375678241177600000000000000*ep^2-
         14812972003092869821682368/507*ep^2*z5-
         25613754794047893736100722458239/3353006475*ep^2*z4+1614017656\
         1001960736862207840000569949431/1496063675272666500*ep^2*z3+
         58249718700205029794306074886010161603228219412789252111944937\
         33006053626121225594410277632456304944711719229588667158369729\
         36799580031449313885727263633380913924031/
         13289339270049634905598604526126392062606701794971961763405859\
         07978626253871079650316924295025634326269555797825434062684160\
         000000000000000000*ep^3-109952008286710607082899680/1521*ep^3*
         z6-239384967047711077081460360247802/3353006475*ep^3*z5+
         16140176561001960736862207840000569949431/997375783515111000*
         ep^3*z4+16062202771628018117409119827266888055291506917791/
         1310771018694085011639576000*ep^3*z3-
         16035002315850675604399040/1521*ep^3*z3^2;
Fill mncnoptab(15,7,3,3)=
      +mncF321*(19312575511832285760+2140447499911551539016/13*ep+
         34197092928611690332068/65*ep^2+6292468901174583900582839/6825
         *ep^3)
      -6823223885277258396810900392414465027064461971/
      71785634605291126840320000-770052179328842927/338*ep^-3-
         937763438373574332366211147/35765402400*ep^-2-1164074527831120\
         81005222609331079317/1189417083446592000*ep^-1-
         42941772525248366424380/169*z3+1833223825462666017349497306029\
         16572777517998324411106622700251116322879567380834910105448278\
         06419514411/20325122038284550204554744876200692094071488996388\
         779043525163483136000000000000000*ep-64412658787872549636570/
         169*ep*z4-77016690809375212174733824533367/17882701200*ep*z3-
         11273958180746515239385686955699271436124606626743933295089434\
         9816665776844843704809752571386965844222739889461559/
         28389223149628070703400936319265853118103976478887047772899445\
         389946477608960000000000000000*ep^2-4166081305423455095619150/
         169*ep^2*z5-77016690809375212174733824533367/11921800800*ep^2*
         z4+37183823702199046724626435801212107315603/
         4162959792063072000*ep^2*z3+
         26845939361029428030577242655931846154990844261882845853454840\
         78029892744433743530924564698337428636652922493823286167383846\
         280620273721777981855508484803707/
         33851464037531549221267096268196995755683506847519621822237464\
         48347987258318099041096472219546184358456450063374745600000000\
         0000000000*ep^3-10307848832245516822986925/169*ep^3*z6-3649674\
         51464373092411028219642803/5960900400*ep^3*z5+3718382370219904\
         6724626435801212107315603/2775306528042048000*ep^3*z4+
         230856874812717680381201423877289057640539278841/
         21535690381587338052096000*ep^3*z3-1503350377328833910378546/
         169*ep^3*z3^2;
Fill mncnoptab(15,7,4,2)=
      +mncF321*(6058847219398364160+676096821282957693696/13*ep+
         10922282309449137169488/65*ep^2+6114704315907391420893632/
         20475*ep^3)
      -32500953662565770903043943133900643195025521616541/
      1089396357759083987451558720000-8292794321237736728/8619*ep^-3-
         185018927235532765246682531/16286031450*ep^-2-3880783115860746\
         190839310948480568401/87199139930178276000*ep^-1-
         687020276081012173393984/8619*z3+18374923829302886968229772802\
         06199082209974377006085185006845684153042990385486966912874595\
         47058022900113256199/65582835509517114044254422456996209251912\
         1823153753152299057401191385268224000000000000000*ep-
         343510138040506086696992/2873*ep*z4-
         77277186616672600108422406177067/57001110075*ep*z3-
         25763643861631814259234373250081481662615807650597486274535436\
         307997532591627708027345842741003364519336496766430392358573/
         21068730715040762812200037607218179697626684106608466850583909\
         205419968461988922654720000000000000000*ep^2-
         22218931235456248335575456/2873*ep^2*z5-
         77277186616672600108422406177067/38000740050*ep^2*z4+118774252\
         278772769338381736363566382892557/43599569965089138000*ep^2*z3
         -1440803073485715032627942727406922833376577984671940593494917\
         40299528533280126946034310455036138721659754598688246546923781\
         76796081225943741217721252269306194723/
         44887041313766834267400169651629216372036330079811018536286877\
         90509431104529799328493922163118240459313252784034912665600000\
         00000000000000*ep^3-164924433575719332083330960/8619*ep^3*z6-
         373505254657423330517540253535603/19000370025*ep^3*z5+
         118774252278772769338381736363566382892557/
         29066379976726092000*ep^3*z4+769533452982440573570624138237926\
         40729637790985377/21787927155181679749031174400*ep^3*z3-
         24054144341068646150994208/8619*ep^3*z3^2;
Fill mncnoptab(15,7,5,1)=
      +mncF321*(589054590774840960+66341825218819008936/13*ep+
         3263641724931639833804/195*ep^2+68956978936446356872173/2275*
         ep^3)
      -8592271009243473768140063653364569797552196727/
      2960316189562728226770540000-82637634867008617/25857*ep^-3-
         9161316925839040760819539/65144125800*ep^-2-139577801541204491\
         865242710541235161/106155474697608336000*ep^-1-
         200433106666015928499608/25857*z3+7694329840070850800387114258\
         12567137494014933757789910805055829982411546222239299807316267\
         609087262227105709/2851427630848570175837148802478096054430964\
         4484945789230393800051799359488000000000000000*ep-
         100216553333007964249804/8619*ep*z4-
         20131977296830657151310129680797/152002960200*ep*z3-
         10701918809106345935403820129976997464372516049262797886581423\
         3088351056629294655251089341500486003006533014410387560943/
         91603177021916360053043641770513824772289930898297681959060474\
         8061737759216909680640000000000000000*ep^2-
         6480705689391831593464252/8619*ep^2*z5-
         20131977296830657151310129680797/101335306800*ep^2*z4+
         44353274527516329086533554913549301893463/
         174398279860356552000*ep^2*z3+
         23845159215029030466722473750611888138348113973737687327501989\
         79233648897880001686904185232712779982839955716731696327023949\
         31618293078500015112914384975824837941/
         22053003397453645675573703349845434003581448968211153406877743\
         11477283501655490410089063958739991537660601092796352592609280\
         000000000000000000*ep^3-48104209903773697129732870/25857*ep^3*
         z6-898937476646786497976857075683307/456008880600*ep^3*z5+
         44353274527516329086533554913549301893463/
         116265519906904368000*ep^3*z4+23870528781007086787602302530821\
         8310497147382115963/653637814655450392470935232000*ep^3*z3-
         7015211588636464349941772/25857*ep^3*z3^2;
Fill mncnoptab(15,8,1,4)=
      +mncF321*(934244015689543680+734644513860671625024/91*ep+
         251866408822691189761168/9555*ep^2+5288473645738933108172152/
         111475*ep^3)
      -1687404976635102624294171292680265062685651121351/
      367015885234343803259081280000-108280984601937752/74529*ep^-3-
         917246978037942920966887/23194915380*ep^-2-2880792287227882056\
         62096464422850837/879685441060327902000*ep^-1-
         916268046265071082601920/74529*z3+1635445103198586703222308547\
         52825579382960727747382306381088613753739351073700046008909144\
         713547958056519/3804550151381663420597193552442058780131812409\
         524034994193394832297164800000000000000*ep-
         458134023132535541300960/24843*ep*z4-
         29543802762695007565798000390327/140826271950*ep*z3-
         22832058561041544157593158810057503461309186324032143948291414\
         856938822988176966782377601033700509730932737523050293/
         12222259377561644513400648339261039388343592125889585132024544\
         1497969419085676544000000000000000*ep^2-
         29626095974985509131684640/24843*ep^2*z5-
         29543802762695007565798000390327/93884181300*ep^2*z4+598252506\
         03206060014940891436345490469179/146614240176721317000*ep^2*z3
         -1607893777660052123021291909179632377486288624613052567461217\
         78517836624776882314168333831647038978306678402221441915558916\
         529228153664682108893476149840001502952718484083496477/
         61790534268468750220634784044072871770871370132829971466348289\
         44762424526811602307197326329863527998108809242769209152002023\
         142918717440000000000000000000*ep^3-
         219905049696728640781130000/74529*ep^3*z6-10186812573529998156\
         78463745622841/328594634550*ep^3*z5+59825250603206060014940891\
         436345490469179/97742826784480878000*ep^3*z4+80723826735933616\
         86833240543218910698828102914773297/
         14130111581522236425474629280000*ep^3*z3-
         32069540221658238272635552/74529*ep^3*z3^2;
Fill mncnoptab(15,8,2,3)=
      +mncF321*(1868488031379087360+1473987263529414239232/91*ep+
         507946585200621900028256/9555*ep^2+96610158893696457501280088/
         1003275*ep^3)
      -663176725789192878825215623120987670367883133419/
      72092406028174675640176680000-12643949871921455296/74529*ep^-3-
         1006682084836994840384031146/492891951825*ep^-2-30423372570386\
         9285900543930054801003/36653560044180329250*ep^-1-
         1832266995740316574757120/74529*z3+422065349017592106760763489\
         78023357050917714414389850406872844820318145929599530662480015\
         211593850716131211/4945915196796162446776351618174676414171356\
         13238124549245141328198631424000000000000000*ep-
         916133497870158287378560/24843*ep*z4-
         29588635924610939417996096547916/70413135975*ep*z3-
         58490083474703052722164626327092054669219226129976193913927185\
         59893246235425977129761411571758008560513127871339204957/
         15888937190830137867420842841039351204846669763656460671631907\
         394736024481137950720000000000000000*ep^2-
         59251232660127735375132160/24843*ep^2*z5-
         14794317962305469708998048273958/23471045325*ep^2*z4+520522515\
         7959774809096065908306303910873/6468275301914175750*ep^2*z3-
         54138128912366199992843222735160777901060151692494300264921564\
         13505903374065326836165506899315840729809716973313352880122547\
         39406409314080765837520687185582213072640551/
         58393356752598095775200268287799366723093847687106799988405344\
         79658083759509523983492565352342637229628428175644957271434199\
         040000000000000000000*ep^3-439803577461607223876598400/74529*
         ep^3*z6-1029433997835714299037906959548708/164297317275*ep^3*
         z5+5205225157959774809096065908306303910873/
         4312183534609450500*ep^3*z4+2423635569739090069023220912158116\
         3268999717097901/20779575855179759449227396000*ep^3*z3-
         64142006061470973194594816/74529*ep^3*z3^2;
Fill mncnoptab(15,8,3,2)=
      +mncF321*(1051024517650736640+833238556980416630208/91*ep+
         96478304629118251747248/3185*ep^2+18534522173022895794236344/
         334425*ep^3)
      -663465974732801846860784848911474213168187519999/
      128164277383421645582536320000-1713892726727310580/8281*ep^-3-
         536200995012129541493640229/219063089700*ep^-2-113082669315779\
         49385946195712917843459/1172913921413770536000*ep^-1-
         114495959935181288829728/8281*z3+28319018726517344282579203252\
         70463592751961319311811926642373582435187325141374093366892892\
         7234029274448037/593509823615539493613162194180961169700562735\
         885749459094169593838357708800000000000000*ep-
         171743939902771933244592/8281*ep*z4-
         3707449845916173238194898052227/15647363550*ep*z3-
         77941186146570587252650007227903947339354813842314817392673455\
         6397212911408232703314430235474698594795305981860155603/
         38133449257992330881810022818494442891632007432775505611916577\
         74736645875473108172800000000000000*ep^2-
         11109387141020211282622416/8281*ep^2*z5-
         3707449845916173238194898052227/10431575700*ep^2*z4+2595872029\
         92731020896668708585535560475643/586456960706885268000*ep^2*z3
         -1467476954378240647331848561160105174171736605563613166067650\
         05785008131321529520618036669394048136592500815916837075224870\
         20855069424870759875228449770257873542622681/
         20609420030328739685364800572164482372856652124861223525319533\
         45761676621003361405938552477297401375162974650227631978153246\
         720000000000000000000*ep^3-27487227952712574984481720/8281*
         ep^3*z6-43592806698852701866899690442267/12170171650*ep^3*z5+
         259587202992731020896668708585535560475643/
         390971307137923512000*ep^3*z4+42482040708647497531994504288334\
         5575071821297483743/628004959178766063354427968000*ep^3*z3-
         4009106635846899772969520/8281*ep^3*z3^2;
Fill mncnoptab(15,8,4,1)=
      +mncF321*(164866591004037120+131616615754524757824/91*ep+
         15409769298538566964144/3185*ep^2+9005766436377372735766136/
         1003275*ep^3)
      -6198146850304263184831282816977493872435227469689/
      7625774504313587912160911040000-301179531753888656/140777*ep^-3-
         357022880363641960703963771/5586108787350*ep^-2-16071792767988\
         257799309158749412785811/29909304996051148668000*ep^-1-
         305418435898257990140800/140777*z3+278141301544635203296855515\
         30368795181279654313049106684242428816758620248586526849455683\
         017136492746480869/3726297472131654207059910366874784616585919\
         449737233819881007961314689024000000000000000*ep-
         458127653847386985211200/140777*ep*z4-
         14885311164015926268939246236708/399007770525*ep*z3-
         15254458916036962013671692695048659725170176600658510999307792\
         236361993431301642214111615911228041826603105392658541787/
         47883478897819915482272812743677681130969736605928333751327066\
         3759544737772475514880000000000000000*ep^2-
         29626045044540606393483840/140777*ep^2*z5-
         7442655582007963134469623118354/133002590175*ep^2*z4+100435257\
         4543484362189427931185074164330547/14954652498025574334000*
         ep^2*z3-134846113537197412825721743523553707419179047457362869\
         22278820116449007863550652027838635511688784503677895031288239\
         8103996033240801623539321301741901033813/
         40806401194333485697636517865117469429123936436191835032988070\
         82281301004117999389539929239198400417557502530940829696000000\
         000000000000*ep^3-73301566521605871008357600/140777*ep^3*z6-
         535101383320441445187946842992354/931018131225*ep^3*z5+
         1004352574543484362189427931185074164330547/
         9969768332017049556000*ep^3*z4+1966414329675644604954302522417\
         06951961459048326089/1779347384339837179504212576000*ep^3*z3-
         10689880762904713967075776/140777*ep^3*z3^2;
Fill mncnoptab(15,9,1,3)=
      +mncF321*(47773841711397120+38735950090663121076/91*ep+
         4644383820695539751619/3185*ep^2+20469225357445876850147983/
         7357350*ep^3)
      -2654269167005769687085201687522868775486690247873/
      11278456409741104811263196160000+2726588320344757/16562*ep^-3-
         43143245793846676682524501/7711020757440*ep^-2-397156481894251\
         0938861245677078331461/51608212542205903584000*ep^-1-
         5206171177209330361004/8281*z3+1503207391321888012853814614321\
         05030775345424997229676537797089905598278990884785561833563431\
         998932266609/7065593138280232066823359454535252020244794474830\
         3507035020189742661632000000000000000*ep-
         7809256765813995541506/8281*ep*z4-
         30009264949769894094177727786277/2753935984800*ep*z3-
         20222370130168279493051026742261224333404190400417157410912854\
         555246338919517950499900995929797387429998907449858483/
         22698481701185911239172632630056216006923813948080658102331296\
         27819432068733992960000000000000000*ep^2-
         504991149701526787850598/8281*ep^2*z5-
         30009264949769894094177727786277/1835957323200*ep^2*z4+
         464274540739866599062636041756922353303521/
         25804106271102951792000*ep^2*z3+
         66151628844278798259149403881143915888446581022997503832297097\
         31447831813923158649941782140292609582667627886452870135672759\
         398546331155309295822875139063117417966292525371639/
         99785955961502329548851204046328861244885442450532873175469287\
         30672238366279606210380775439531163226759567721242201115034323\
         08794327040000000000000000000*ep^3-1249462446310793643723985/
         8281*ep^3*z6-374679665534924779681933153871897/2141950210400*
         ep^3*z5+464274540739866599062636041756922353303521/
         17202737514068634528000*ep^3*z4+966899889862934239434337879317\
         8828779594231371694547/276322182038657067875948305920000*ep^3*
         z3-182211693011312110399514/8281*ep^3*z3^2;
Fill mncnoptab(15,9,2,2)=
      +mncF321*(63698455615196160+51822162770141662272/91*ep+
         6246226708762988377712/3185*ep^2+4618285156222932459168472/
         1226225*ep^3)
      -580790265101330462250298698832983108077625446261/
      1850371754723150008097868120000-425143871208648856/24843*ep^-3-
         726256037569230389222902889/3614540980050*ep^-2-12682591967916\
         39092373580774266807737/1612756641943934487000*ep^-1-
         20814679033742769619328/24843*z3+15875288895254795368043151683\
         54530773555090906687603055548148730388284258837871141753369585\
         5775087334317359/551116264785858101212222037453749657579093969\
         0367673548731574799927607296000000000000000*ep-
         10407339516871384809664/8281*ep*z4-
         3756516707197981954092065219402/258181498575*ep*z3-
         21474188179900535893699760931196597429815364170876560626652703\
         86990367318553811609632177099231237626710090685062128733/
         17704815726925010766554653451443848485400574879502913319818411\
         0969915701361251450880000000000000000*ep^2-
         673286703781706859667552/8281*ep^2*z5-
         1878258353598990977046032609701/86060499525*ep^2*z4+6335726530\
         953086457183709836105299980453/268792773657322414500*ep^2*z3+
         11168905365150112050048581746669903391516065969815993201688408\
         81192530179762703245585412479300496613688655688581362093650649\
         8284741395948706419475601112481693879843884801111694703/
         17901600499493517921063906005911397707332448375625597447679190\
         14282599562910561354142311113851890682880666449190850880037157\
         561977022709760000000000000000000*ep^3-
         4997613580778444523458320/24843*ep^3*z6-1419491121712286204080\
         05656665076/602423496675*ep^3*z5+63357265309530864571837098361\
         05299980453/179195182438214943000*ep^3*z4+12284897663293657343\
         409916434321092564151470754763/259052045661241001133701536800*
         ep^3*z3-728961094808725385179616/24843*ep^3*z3^2;
Fill mncnoptab(15,9,3,1)=
      +mncF321*(17915190641773920+14648982608724830784/91*ep+
         1779686026157146610154/3185*ep^2+3986534976273031436126162/
         3678675*ep^3)
      -13968896869252003512700213274697144797370775969069/1578983897363\
      75467357684746240000-19146048634110497/33124*ep^-3-
         571357756963909248194844947/38555103787200*ep^-2-8006193967374\
         258177210168890665632409/68810950056274538112000*ep^-1-
         1952229432574439564410/8281*z3+3057236468619593107301996060753\
         35247563310429437587701720408412428856074014420765045172593693\
         42922791303613/38578138535010067084855542621762476030536577832\
         573714841121023599493251072000000000000000*ep-
         2928344148861659346615/8281*ep*z4-
         1614539830730102571186796518533/393419426400*ep*z3-
         40724197564852692071724254705298978412054039415387545587628847\
         32762134694194072551487841880112375654847719473479322471/
         12393371008847507536588257416010693939780402415652039323872887\
         76789409909528760156160000000000000000*ep^2-
         189370664006966690720865/8281*ep^2*z5-
         1614539830730102571186796518533/262279617600*ep^2*z4+738794070\
         39462274641914035554336711500531/11468491676045756352000*ep^2*
         z3-10111765956165244535840011855835926477941958271134566285539\
         16595093111108196683099155732632967730388237247995293778817191\
         9442765002649581331398828625820888144495566173/
         45546818267026514704656209264483506044013201195943303990956168\
         94133305332417428707124200974827257039110173977003066671718675\
         25120000000000000000000*ep^3-937092172871961255782275/16562*
         ep^3*z6-432583849924760290224349458995053/6425850631200*ep^3*
         z5+73879407039462274641914035554336711500531/
         7645661117363837568000*ep^3*z4+1509624633552329146872762228652\
         913083739578834020427/110528872815462827150379322368000*ep^3*
         z3-68330062894896725002303/8281*ep^3*z3^2;
Fill mncnoptab(15,10,1,2)=
      +mncF321*(923166023408640+785496263716551552/91*ep+
         303617447452180204064/9555*ep^2+2183973328854973610024912/
         33108075*ep^3)
      -665255487660518638199335879930608824993329516087/145915029801025\
      543495717600320000-14610601700896256/74529*ep^-3-
         86804793573660526136140967/33253777016460*ep^-2-82581645212357\
         89493419661035657989809/667681249764788877618000*ep^-1-
         905053450135625188480/74529*z3+4831553509667608532160986235018\
         44566480585764727531243125898375295137208514504366793834127120\
         80200414823/12934361316402792171307251899424736861550164579434\
         33587967614493860560896000000000000000*ep-
         452526725067812594240/24843*ep*z4-
         854518443691492184367864693407/3958782978150*ep*z3-
         58327838002610118319006120413216793624792498961184814448475570\
         98473513567773744182148788125802300748136717983885181/
         41552118542783188533750717284000868894307471655976225138349332\
         166408787054171258880000000000000000*ep^2-
         29273595531845461443200/24843*ep^2*z5-
         854518443691492184367864693407/2639188652100*ep^2*z4+853133057\
         16195829452015747328990722788809/333840624882394438809000*ep^2
         *z3-4003975863707406264534132131123188821534496643619961617648\
         57270303825964886128236196096034472831699729002047849088738940\
         133139907333828948089926497715553510722775259883230311/
         73067757140789869065566963289434276356458972961737132439506898\
         54214692093512495323029841281028125236247618159962656653212888\
         00806948044800000000000000000*ep^3-217289332863501897852800/
         74529*ep^3*z6-324076365121248687235905681469829/83134442541150
         *ep^3*z5+85313305716195829452015747328990722788809/
         222560416588262959206000*ep^3*z4+29834755167019474108517948524\
         96866610405779051122693/3574918230125125815645081207840000*
         ep^3*z3-31693361757157611504256/74529*ep^3*z3^2;
Fill mncnoptab(15,10,2,1)=
      +mncF321*(615444015605760+525453237373066112/91*ep+
         612446821240260661328/28665*ep^2+1477775200084605735613964/
         33108075*ep^3)
      -583407028881988852680129949543750802099670302801/191513476613846\
      025838129350420000-50457333383659312/223587*ep^-3-
         1084787892439567931410967159/374104991435175*ep^-2-29863629540\
         37238720679278613220686761/222560416588262959206000*ep^-1-
         1809767107379601734528/223587*z3+46268372746183579202646026736\
         46948037260457011982472607659104620710325650533673874661557870\
         1856128210423579/177459437261046308590335496060107389740468258\
         0298390882691567085576689549312000000000000000*ep-
         904883553689800867264/74529*ep*z4-
         1100494129707291417441120389272/7634795743575*ep*z3-
         58015319462970284572005300234072822373516189142078021810573292\
         89391912640940712696978508300183168798327066191951458273/
         57009506640698534668305984113649192122989851111999380889815283\
         732312855838322967183360000000000000000*ep^2-
         58545831910964075002432/74529*ep^2*z5-
         550247064853645708720560194636/2544931914525*ep^2*z4+553794873\
         82720171058645784209833457011151/333840624882394438809000*ep^2
         *z3-2141611241310188403216696676132338769101532496326036632746\
         95608108392556346177992087016830143825443044509826418210276827\
         6651533422662860648409430945394345106080849304892523803/
         10024896279716370035795787363310382716106171090350334570700346\
         47998255755229914358319694223757058782413173211546876492820808\
         234707132717465600000000000000000*ep^3-
         434569321563781558181920/223587*ep^3*z6-3271773592994594125114\
         54194536452/124701663811725*ep^3*z5+55379487382720171058645784\
         209833457011151/222560416588262959206000*ep^3*z4+7539491583763\
         8934906296095371669839394030379231531/134059433629692218086690\
         545294000*ep^3*z3-63389442009855466371392/223587*ep^3*z3^2;
Fill mncnoptab(15,11,1,1)=
      +mncF321*(3846525097536+18017442806841544/455*ep+
         23816625379151042974/143325*ep^2+65900577405853868719774/
         165540375*ep^3)
      -4742316634475598273006288971010841627525399486909/24513725006572\
      2913072805568537600000-9540038934889529/1117935*ep^-3-
         391501539380673360719354233/4788543890370240*ep^-2-92633039120\
         1021811111384770333209221/2967472221176839456080000*ep^-1-
         56606983692467564236/1117935*z3+254656792696320056631057503618\
         87131213144899876480980685071204954551/17341102311559671623269\
         2502184636970981799231488000000*ep-28303491846233782118/372645
         *ep*z4-8103273639060950107059841021963/8550971232804000*ep*z3-
         31216658777247460106944467773838865674067309594339081313174142\
         90483400973843423/64993761565311286154037289674951245364252997\
         97163984814080000000*ep^2-1829465669348760817784/372645*ep^2*
         z5-8103273639060950107059841021963/5700647488536000*ep^2*z4+
         2897096427723914601001181968652402900909/
         13353624995295777552360000*ep^2*z3-
         22096856567394215682238218772545757821112145002148215515198963\
         82097536661262578562987065724162420876670196947700929169089175\
         8271/634923084328988357474191866493823182100046991500586496732\
         8158243512179349781625330439886420836352000000000000000*ep^3-
         2715895012176907444558/223587*ep^3*z6-416543077087900955025603\
         497032729/19952266209876000*ep^3*z5+28970964277239146010011819\
         68652402900909/8902416663530518368240000*ep^3*z4+3887631460219\
         332595868309258035215813686887810643393/8579803752300301957548\
         19489881600000*ep^3*z3-1978535058178856122024/1117935*ep^3*
         z3^2;
Fill mncnoptab(16,1,1,10)=
      +mncF321*(2235265311612760064+75541623988186463794192/4095*ep+
         71998242138788481122963092/1289925*ep^2+
         12339641875720036040833917752/135442125*ep^3)
      -482516245567935992976192967438378512130326736814698459/438739964\
      60626544101098723914400000-1134101932755954118/50307075*ep^-3-
         563866292491386927377547127/4081145361111000*ep^-2+27801598910\
         423827942480878508986271/165540805726807159740000*ep^-1-
         1479778154362909249608872816/50307075*z3+
         19235495580718637432039627692194724210265794054494025695879871\
         197176068513773678261611734681091/1799012774111543216547443454\
         30547458055834434467890471108608000000000000000*ep-
         739889077181454624804436408/16769025*ep*z4-8341137524897652355\
         7161309009992154/170047723379625*ep*z3-
         11252065651164255853097435766199084146887844531850015523674643\
         72701482025502189172258986498548013534460023/
         23117582761528658475375397519702397619195297156634718234076349\
         68477696000000000000000*ep^2-2278388659050773626349217544/
         798525*ep^2*z5-41705687624488261778580654504996077/
         56682574459875*ep^2*z4+469133848758607377572396570452994166627\
         21763/40167989624887031407500*ep^2*z3+
         22661280294476195484718602337162269325401312337229053064600156\
         12100821708112969819503498725721970356355628095835333338163137\
         14104223628439/69700472270204843322372966189486556587823456330\
         31966331482969254247512434996804875347343651635200000000000000\
         00000000*ep^3-71029353682917914605195916228/10061415*ep^3*z6-
         6437151474841390264594527743757544633/1020286340277750*ep^3*z5
         +46913384875860737757239657045299416662721763/
         26778659749924687605000*ep^3*z4+204534454190585984414690945745\
         19468264741130113139506001/21936998230313272050549361957200000
         *ep^3*z3-51792237985734701092312446728/50307075*ep^3*z3^2;
Fill mncnoptab(16,2,1,9)=
      +mncF321*(11316030640039597824+42523811749906954936128/455*ep+
         4509450296996402004912792/15925*ep^2+
         25558042051830814514048382356/55180125*ep^3)
      -2653839733839967039957981674374182349022401482351888957/47665576\
      401668344208601082771200000+3774136827078052/621075*ep^-3+
         125663561143086716023898411/1108459233882000*ep^-2+64014029189\
         7761122974435964882016051/1483736110588419728040000*ep^-1-
         92486138231150525042549776/621075*z3+5992802666646815355252574\
         78194454140222110118677645108984690975788552593384397420783744\
         780503482093/1108191868852710621393225167852172341623940116322\
         205302029025280000000000000000*ep-46243069115575262521274888/
         207025*ep*z4-1376795013421424878424339607384370321/
         554229616941000*ep*z3-1752535257087840595836256086745795881318\
         53740831971479691694452037441709636816718134980696306561511130\
         951689941/7120215490550826810415622436068338466712151524243493\
         2160955157029113036800000000000000000*ep^2-
         427197875690817065543331552/29575*ep^2*z5-13767950134214248784\
         24339607384370321/369486411294000*ep^2*z4+15137789336689166710\
         784800274669527094365997/2567017492367508180000*ep^2*z3+
         49954080738658225815753877235372390679076487539042618079882328\
         98066164173296354579750944889391600608310969959556627839533375\
         4874936392703594486133/487833047815385536774541811376486893665\
         72366826825668098318649946724305552443157348117055439045551718\
         40000000000000000000000*ep^3-4439334625638003925683706408/
         124215*ep^3*z6-1972375009409774301029880309966351823/
         61581068549000*ep^3*z5+151377893366891667107848002746695270943\
         65997/1711344994911672120000*ep^3*z4+1132242426119348394818127\
         04884265389338759475780215051783/23832788200834172104300541385\
         600000*ep^3*z3-3237014827224692358724813408/621075*ep^3*z3^2;
Fill mncnoptab(16,2,2,8)=
      +mncF321*(50922137880178190208+191692344409490127652416/455*ep+
         20389976161704379242021024/15925*ep^2+
         38681285591911823497637893804/18393375*ep^3)
      -7961519094630087419825667685429264783964094273247254881/31777050\
      934445562805734055180800000-188540040478083597/207025*ep^-3-
         9885302868268538444297538523/1108459233882000*ep^-2-1514536887\
         87572497005634188663875093497/5934944442353678912160000*ep^-1-
         138729201458217196495230264/207025*z3+156268004101944478434742\
         07717263501771061928068743217808424921858452395473440973698666\
         413262941909821/6428378614243262784253669430704984091060746377\
         884667474660556800000000000000000*ep-
         208093802187325794742845396/207025*ep*z4-620095032632632293435\
         0170890419803017/554229616941000*ep*z3-
         23260397311600033169515372722131976267182380427312405588128971\
         986823153263868069802074210849349345214547961319/
         21072863527319789966253187415420684436917141688260497899198502\
         90741248000000000000000000*ep^2-1922390432199593390400633084/
         29575*ep^2*z5-6200950326326322934350170890419803017/
         369486411294000*ep^2*z4+46038535874577068128984886400772733774\
         21238577/174557189480990556240000*ep^2*z3+
         51862827508859062786569553878266815056644787702063004290621536\
         26224453574556630977828718755468662391402678789406051381104018\
         414731915517025483699/1105395623788219485641776412802250727987\
         06000881707942391972648881356191628079358920217632029697638400\
         000000000000000000000*ep^3-6659001911969468268154600662/41405*
         ep^3*z6-8933595446980475237364347088504196771/61581068549000*
         ep^3*z5+4603853587457706812898488640077273377421238577/
         116371459653993704160000*ep^3*z4+34565214177920887316205799385\
         1192915207142794863354602669/158885254672227814028670275904000\
         00*ep^3*z3-4855522317274528099798616412/207025*ep^3*z3^2;
Fill mncnoptab(16,3,1,8)=
      +mncF321*(21300763557721595904+80313908660310024330048/455*ep+
         8566213960570861899934272/15925*ep^2+
         48927199313255018025920299616/55180125*ep^3)
      -54298504675693379797551211943504855182490418394425371/5181040913\
      22482002267403073600000-174767224228816808/621075*ep^-3-
         9013761722288240619822259/4016156644500*ep^-2-4601143625781155\
         0373274024991528507/16127566419439344870000*ep^-1-
         174091547902575744167692096/621075*z3+794675309478001748586362\
         17888541130734812415283403616933573113378635606066382315027649\
         17555914874667/78258522260352764330044671330321545456391695035\
         11769099586764800000000000000000*ep-87045773951287872083846048/
         207025*ep*z4-3135178005008917058864382647568627/669359440750*
         ep*z3-11574079639131930929997605412178601063941219349349743749\
         95834937412147977514760993400015952413823007077684450729/
         25140842399550218985825541855614938302130711648950785319739431\
         2947564544000000000000000000*ep^2-804137174798102162126076192/
         29575*ep^2*z5-9405534015026751176593147942705881/1338718881500
         *ep^2*z4+88463151433837848690105838789718202985677049/
         8063783209719672435000*ep^2*z3+
         43129182822776054708607857183811509092844889844925569907883671\
         68718278112949214099456535041603951896949270670931406530473633\
         932805785007906831003653/3961737915656978636540126663483266609\
         10562307160041265532829973590780590795036422370059993194436336\
         0256000000000000000000000000*ep^3-8356394561428784830239953968/
         124215*ep^3*z6-122582398250740146720590800244599427/
         2008078322250*ep^3*z5+8846315143383784869010583878971820298567\
         7049/5375855473146448290000*ep^3*z4+23962668398405858554999557\
         30434027482018181444030953489/259052045661241001133701536800000
         *ep^3*z3-6093204468746125276809551968/621075*ep^3*z3^2;
Fill mncnoptab(16,3,2,7)=
      +mncF321*(83871756508528783872+45294214426338066311232/65*ep+
         4852496376857934538106848/2275*ep^2+
         27878425955324379951947104304/7882875*ep^3)
      -20361975915147340265142727063111164337104133206109421/
      49343246792617333549276483200000-677037350574412892/88725*ep^-3-
         527577076478321899348125049/5163629971500*ep^-2-13636343909655\
         171246579591435400203011/27647256719038876920000*ep^-1-
         97926485246592496127142304/88725*z3+14300277497586314971738993\
         89727431946109322899381234047052653080554383927731626670782022\
         061465936651/3585355038999918399127411014716938775594788194028\
         71553916928000000000000000000*ep-48963242623296248063571152/
         29575*ep*z4-47677001700865580069002981516141501/2581814985750*
         ep*z3-51964125490127026874632839712199514584246334912886218686\
         946327851463871879297464502818125288275679834292858067/
         28795217242300334115377026281941307926222181188927388433687395\
         27720960000000000000000000*ep^2-452327155153104523239322608/
         4225*ep^2*z5-47677001700865580069002981516141501/1721209990500
         *ep^2*z4+591634520275599483149452765106860361220018307/
         13823628359519438460000*ep^2*z3-
         31280173764418014227574862802641829506411952255945648945875325\
         74557313823001080907728691275368249878381042285735567585262234\
         8316933253344013772482977/858877059499279683420186060339987478\
         28890417377319733250790777948135407380521598738885309311773428\
         4165120000000000000000000000*ep^3-4700471886484301245949316232/
         17745*ep^3*z6-23205108140042336439861101261819721/95622777250*
         ep^3*z5+591634520275599483149452765106860361220018307/
         9215752239679625640000*ep^3*z4+9218808865190474937830167483526\
         37378660964837449138769/24671623396308666774638241600000*ep^3*
         z3-3427427610547390209140913232/88725*ep^3*z3^2;
Fill mncnoptab(16,3,3,6)=
      +mncF321*(118407185659099459584+64260978193232192553984/65*ep+
         533998161583619236837152/175*ep^2+
         13439042533126197288761577136/2627625*ep^3)
      -19245845544027807989074055467905667962328939040297/
      33035412550192764269758200000-77718601075887705536/502775*ep^-3-
         13438354417322824735188421828/7315142459625*ep^-2-311458562023\
         2205788191910470076227251/425727684985200097500*ep^-1-
         783410260054485880844079232/502775*z3+157522387592306288488925\
         40130259595424799858538044375260799243288245560496350903227587\
         57702250219/28114748000739065883999789483768723321372187410718\
         2612480000000000000000000*ep-1175115390081728821266118848/
         502775*ep*z4-191176022386422893725994802801885464/
         7315142459625*ep*z3-693536506186041118139352424032410219647585\
         40071841866929114435574629107679377998566018450498441815401675\
         819/2748859747555710196440889094022791810963852372459167699361\
         700249600000000000000000000*ep^2-10855849275401964365818507392/
         71825*ep^2*z5-95588011193211446862997401400942732/
         2438380819875*ep^2*z4+6317170873056510859654147417386074385759\
         001/106431921246300024375*ep^2*z3+
         94300859276668553271982953538782876850193942615209778326956642\
         81373904762701760320652193909360673402846778656695034490724789\
         95121094614312554299081/59878613604335635173165462439725328059\
         18333065981221103807190755669219680477485017922033226197919334\
         400000000000000000000000*ep^3-37603767333879632339942736256/
         100555*ep^3*z6-283508117036389070971326495520582632/
         812793606625*ep^3*z5+63171708730565108596541474173860743857590\
         01/70954614164200016250*ep^3*z4+913233740311328602366427048728\
         015231234599340619713/16517706275096382134879100000*ep^3*z3-
         27419438975443240187228784256/502775*ep^3*z3^2;
Fill mncnoptab(16,4,1,7)=
      +mncF321*(19328470635710337024+31431234772215548197312/195*ep+
         4356622742605679781702016/8775*ep^2+9440254885179051877028656/
         11375*ep^3)
      -2468116929611138506611643941551827237467562027187353/
      25953266170142883230463604800000+115453300642021496/342225*ep^-3+
         2334859834420726398279407/1810623496500*ep^-2-1301706132904524\
         2752326305305784921/807874384647239910000*ep^-1-
         87045780881641977448125248/342225*z3+1804642633881031570118201\
         40754598201530652960811152388165210053718737755132886166987415\
         0360695991/196997529615380131820187418391040592065647702968610\
         7439104000000000000000000*ep-43522890440820988724062624/114075
         *ep*z4-3859818224584417398810827192251627/905311748250*ep*z3-
         67955559925924037062170868744077204112359834762834322591354940\
         76882880062544733582602478854814033182389745883/
         16454409852743048065929729303966461672126960679387079104964225\
         87269120000000000000000000*ep^2-2814480133507004600448645472/
         114075*ep^2*z5-3859818224584417398810827192251627/603541165500
         *ep^2*z4+3931046029080160360838919468041206873444307/
         403937192323619955000*ep^2*z3+
         10052737965581835040251388476170390695092943368624968394050573\
         41153138758115285455497895206802100813973027028372006811464196\
         637802365784307798997663/4612658751338773809990258111385539625\
         61173025656926601776534790269255678735346932002606387281275125\
         76000000000000000000000000*ep^3-4178197309819685911948905584/
         68445*ep^3*z6-17107003806633582520948767658675603/301770582750
         *ep^3*z5+3931046029080160360838919468041206873444307/
         269291461549079970000*ep^3*z4+11581835336315676357415199783884\
         8462935042555734593707/12976633085071441615231802400000*ep^3*
         z3-3046602138636536886189807584/342225*ep^3*z3^2;
Fill mncnoptab(16,4,2,6)=
      +mncF321*(65233588395522387456+35477414007600411354816/65*ep+
         549432140638995517830432/325*ep^2+97133256959307166260519952/
         34125*ep^3)
      -617033561037040305098018570784118054516743484259677/
      1922464160751324683738044800000-707581481650114588/12675*ep^-3-
         1698736702613514260503033/2483708500*ep^-2-3134872525430988750\
         6500041618246753/10880463092892120000*ep^-1-
         10880706168914318623463456/12675*z3+57249642667946646907285726\
         29818208725579201670425648510907355597944720049918673352107105\
         46375847897/18574052792307269571617670876869541537618211994183\
         2987115520000000000000000000*ep-5440353084457159311731728/4225
         *ep*z4-9475938286125248901266583968189/657452250*ep*z3-
         75190561871139521313778402679998908545003702952163897148434947\
         30473169485044489637960514444469715308687067322493/
         54299552514052058617568106703089323518018970241977361046381945\
         3798809600000000000000000000*ep^2-351809959066396544450362384/
         4225*ep^2*z5-9475938286125248901266583968189/438301500*ep^2*z4
         +647265648072873196712015754236826565029017/
         19947515670302220000*ep^2*z3+
         10224174069090128322501449223284771899353051659609338759712645\
         07671007693908086262500956325229373103780458353646788110538234\
         871088239286012338111416509/5902320483855941181354881297630068\
         05154807116503863223089565945915965939932780666052314703725223\
         4772480000000000000000000000000*ep^3-
         522274585515137657363811848/2535*ep^3*z6-216411403169341619546\
         8328978801971/11176688250*ep^3*z5+6472656480728731967120157542\
         36826565029017/13298343780201480000*ep^3*z4+298509552010566451\
         81952121041244934237972939357499873/
         961232080375662341869022400000*ep^3*z3-
         380825452630271936731632848/12675*ep^3*z3^2;
Fill mncnoptab(16,4,3,5)=
      +mncF321*(76745398112379279360+8394012662976365749632/13*ep+
         131204203475554964302944/65*ep^2+23473406105767818817280584/
         6825*ep^3)
      -291610931605001931537442651433418480628880751757/
      772256397277233450461880000-26549740626733862032/43095*ep^-3-
         19545863860124131863368416/2714338575*ep^-2-204220829113375387\
         23470381868769151/737190796511169000*ep^-1-
         43522307222754871164435584/43095*z3+26646833619682587107273474\
         35179740512348343490643084219258713661387695294183758845788953\
         82146892301/73683131560336943868786648279061070080652228766010\
         419078758400000000000000000*ep-21761153611377435582217792/
         14365*ep*z4-323071403570106404206625790027466/19000370025*ep*
         z3-23729852799766069135758596692802684888249459242972373755313\
         3906734890600154123904170675873115303522193557633/
         14702472706926541393535269668601903628926661832124462666300293\
         906432000000000000000000*ep^2-1407237996359868447584810176/
         14365*ep^2*z5-161535701785053202103312895013733/6333456675*
         ep^2*z4+41345042885889398331597397427331461270561/
         1105786194766753500*ep^2*z3-
         16139587448778832110613002782148054191576129098524994076585290\
         49821200308408662129116584106833886910955122675556282657439027\
         311908264403695705172272391/1227191587577778951415526583783091\
         33306011000280710428982468664863820707139815971187465905791496\
         544674276966400000000000000000000*ep^3-
         2089095840928425235794997472/8619*ep^3*z6-44147392249328162851\
         05558000823322/19000370025*ep^3*z5+413450428858893983315973974\
         27331461270561/737190796511169000*ep^3*z4+46286153944714461800\
         5566475138678000797067777324/12066506207456772663466875*ep^3*
         z3-1523307467513049972703412672/43095*ep^3*z3^2;
Fill mncnoptab(16,4,4,4)=
      +mncF321*(39793910132344811520+4388059280592193842944/13*ep+
         1877007232038565423087456/1755*ep^2+
         341644520394854850393410336/184275*ep^3)
      -2721814594976966732092241597248979409267077002247/
      13900615150990202108313840000-1810103810547203742208/1163565*
         ep^-3-9098616025290192291583346578/513009990675*ep^-2-38810687\
         02938230293259400960121563847/59712454517404689000*ep^-1-
         609280517465960579521690496/1163565*z3+
         26662578395962662486111728435257179701873454674782088163968205\
         0831896066241354094936575063442144148107/143825788649199697584\
         678098108313255743929117939814037520782458880000000000000000*
         ep-304640258732980289760845248/387855*ep*z4-216253933115652675\
         857341118439784/24429047175*ep*z3-1500196676212418250672840360\
         63680160518474647392855676981459695898554739106460846335058028\
         832059634282249022373/1826267647290880339197983521885385459267\
         1252994773401300944910075874508800000000000000000*ep^2-
         19701219429643449005441186944/387855*ep^2*z5-10812696655782633\
         7928670559219892/8143015725*ep^2*z4+56081135089717500135379129\
         9359161773151609/29856227258702344500*ep^2*z3-
         50360293733966120023590376583260203870253974509456488553252284\
         39823032624936856498087059972080417134495271688496651052998818\
         88220065105372420325767946270809/
         20361041264665787805832065479330943584316794619824281357448025\
         38237946049063292172154679635882549283204116858798080000000000\
         0000000000*ep^3-29247188885732193218400935168/232713*ep^3*z6-
         63598338918178257609271149936169888/513009990675*ep^3*z5+
         560811350897175001353791299359161773151609/
         19904151505801563000*ep^3*z4+492585828505678527616312233922565\
         18362374120934661/2316769191831700351385640000*ep^3*z3-
         21326655274860172722811914368/1163565*ep^3*z3^2;
Fill mncnoptab(16,5,1,6)=
      +mncF321*(9155591353757528064+5011986118184806452384/65*ep+
         235407096164254514153104/975*ep^2+14066996432280852055257008/
         34125*ep^3)
      -37114672141282673347546239625819454772710450501987/
      823913211750567721602019200000-24355537979094916/38025*ep^-3-
         4254635974365212706240389/402360777000*ep^-2-17795553649471142\
         93667951987973019/25646805861817140000*ep^-1-
         4581355855942726975829792/38025*z3+831331512774635417797400739\
         33824619504083412973456019083769649218238512640703297384655426\
         5198696033/193170149039995603544823777119443231991229404739506\
         3066001408000000000000000000*ep-2290677927971363487914896/
         12675*ep*z4-21489412771366163614349362298069/10588441500*ep*z3
         -8340197813111222260484416082250634526055653832168142951923289\
         38732854104382516371421760707986131487822992514993/
         43439642011241646894054485362471458814415176193581888837105556\
         3039047680000000000000000000*ep^2-148130530118298810975255088/
         12675*ep^2*z5-21489412771366163614349362298069/7058961000*ep^2
         *z4+132955232533915418956736351717130504639257/
         29921273505453330000*ep^2*z3-
         90299780305671316236434167009147737837555885813538969528557785\
         52004789552811092344213571271435069941284325243461227038410127\
         3930897687959719397775463/908049305208606335593058661173856623\
         31508787154440495859933222448610144605043179392663800573111304\
         19200000000000000000000000000*ep^3-219905117249476852974967736/
         7605*ep^3*z6-266496647797095503083437635819297/9580018500*ep^3
         *z5+132955232533915418956736351717130504639257/
         19947515670302220000*ep^3*z4+121039156294377562150790200249627\
         3435276912685318141/262154203738817002327915200000*ep^3*z3-
         160347495237557732592058736/38025*ep^3*z3^2;
Fill mncnoptab(16,5,2,5)=
      +mncF321*(25750100682443047680+2830236547913558362656/13*ep+
         44597553060031187380032/65*ep^2+8061200054238749356190852/6825
         *ep^3)
      -421773323683493687735513217269327045732559801439/
      3328942269699263521624320000-97712398336787146/845*ep^-3-
         12761528201216583997562329/8941350600*ep^-2-376119119902628595\
         0992359570139363/621740748165264000*ep^-1-
         286332670810731961675952/845*z3+661827451815668945828928950765\
         62775051648207276594469596712306439862730977898028376290142823\
         06748739803/54844868715435551758446366799752322426949852593640\
         63056991197593600000000000000000*ep-429499006216097942513928/
         845*ep*z4-25568297382493327994312744566801/4470675300*ep*z3-
         94460993773666792686251706758831673676364117953848681389274349\
         2621155321665695795000523773708654518293156160278969/
         17619118799759611980228499263018423695126795464116814112330013\
         6368637739008000000000000000000*ep^2-
         27774452210931181773990984/845*ep^2*z5-
         25568297382493327994312744566801/2980450200*ep^2*z4+1550975888\
         1023279122286795931998682808493/1259843094966456000*ep^2*z3-
         13328322224623701834944690962399348895282074071561132230210796\
         97081329773621287570480407880389139862564084467124096709912444\
         7188194323302817241116905989567/
         93844062579477213931775562289295219586949588449955033927770155\
         48409818781280044855512098678173265180974120960000000000000000\
         0000000*ep^3-13744059770060224906157516/169*ep^3*z6-
         5628597654788874845967320609209/70963100*ep^3*z5+1550975888102\
         3279122286795931998682808493/839895396644304000*ep^3*z4+
         90460499760551252649346520340066894690369667221013/
         6745488283337981346449280000*ep^3*z3-
         10021740856562740444757816/845*ep^3*z3^2;
Fill mncnoptab(16,5,3,4)=
      +mncF321*(24235388877593456640+2679879904915784110848/13*ep+
         42650275543229976505136/65*ep^2+23422923092589411789009008/
         20475*ep^3)
      -368374801202528330580688300854692087843643926627/
      3089025589108933801847520000-36133050432902273488/43095*ep^-3-
         550626413548003430988634849/57001110075*ep^-2-2284277148308478\
         0311761269029258177/631877825581002000*ep^-1-
         13743272382564798510405056/43095*z3+64807022392040764798138965\
         50498371665500251375936760030249301909579063977721930459976398\
         52546044922703/57530315459679879033871239243325302297571647175\
         9256150083129835520000000000000000*ep-
         6871636191282399255202528/14365*ep*z4-307739677097013057837825\
         260657642/57001110075*ep*z3-1913327073207580815558719296795493\
         16681792239476027116921137773831121463573260598860288043975657\
         24183696338543/38447739942965901877852284671271272826676322094\
         25979221251560015973580800000000000000000*ep^2-
         444388773326870564475462784/14365*ep^2*z5-15386983854850652891\
         8912630328821/19000370025*ep^2*z4+2501946887599701712193831629\
         1322856971773/2211572389533507000*ep^2*z3+
         27586528418355280988172778884039213504690543323168346126261456\
         01957099285140397133606347308898921376660704570586789213653833\
         0155508957943659430164385105793/
         12607455891433924337976511132712658566140430105154353781701563\
         70425972785797704131365126709524798317773446971392000000000000\
         000000000*ep^3-659711523799023447457991648/8619*ep^3*z6-
         1448458381740198060502446177465538/19000370025*ep^3*z5+
         25019468875997017121938316291322856971773/1474381593022338000*
         ep^3*z4+20440401119322422385525667954463796503383345189783/
         1544512794554466900923760000*ep^3*z3-
         481051247682408279123429248/43095*ep^3*z3^2;
Fill mncnoptab(16,5,4,3)=
      +mncF321*(9424873452397455360+1051128553140466682112/13*ep+
         50892155389572895977392/195*ep^2+9482908694452108043866112/
         20475*ep^3)
      -71639453411924340535492556037390941029153297129/
      1544512794554466900923760000-136006262480072912576/129285*ep^-3-
         98123857524393195606846718/8143015725*ep^-2-295702908965466602\
         781767524709528539/6634717168600521000*ep^-1-
         16031763990284250929778112/129285*z3+2234932473844918899304328\
         83005252252716206861885965542333750999723142114787850962001903\
         75339330725069/51138058186382114696774434882955824264508130823\
         044991118500429824000000000000000*ep-8015881995142125464889056/
         43095*ep*z4-120182775260276785778098279470088/57001110075*ep*
         z3-95410126426897138760980806268599809080491594995624421454710\
         0669892662107931849560079191065241689295304616711/
         49949200609665103294303822820796867262006845797670841164977531\
         8314516480000000000000000*ep^2-518446274011926590649205568/
         43095*ep^2*z5-60091387630138392889049139735044/19000370025*
         ep^2*z4+143774687958088671407737805911366813831/
         33850597798982250*ep^2*z3+
         24131718852625499727377261860109793136341530783430021567843610\
         09955208855321936998312812744921868444171712020667844379796547\
         561681099515393735399503739076649/
         12307118275531320629302937356395592566520373636871565620501917\
         56446047389656034379613495246577896455625599523540172800000000\
         00000000000*ep^3-769653529022747760508919296/25857*ep^3*z6-
         1739867322474897569840861163834896/57001110075*ep^3*z5+
         143774687958088671407737805911366813831/22567065199321500*ep^3
         *z4+17409962653857414075227767216193840893357359047/
         3178009865338409261160000*ep^3*z3-561248959845275792264908096/
         129285*ep^3*z3^2;
Fill mncnoptab(16,5,5,2)=
      +mncF321*(1488137913536440320+167912691146848416384/13*ep+
         212412695716271771336/5*ep^2+75262935465505169010644/975*ep^3)
      -314055570233980065817587820562658951760018599103/
      42854101029860446711344960000-209248678797988208456/818805*ep^-3-
         34678948865569964166849029/11460540650*ep^-2-28620505943402191\
         2262985128509243973/24011357372078076000*ep^-1-
         16030121881231769642834272/818805*z3+1861660495288649480660127\
         98463603063413385031408446245119135429980855529125893539677738\
         889121766248984939/2733484948693873466982806448454768717857310\
         594526534048665890679947264000000000000000*ep-
         8015060940615884821417136/272935*ep*z4-
         908906145683514591736863373331/2714338575*ep*z3-
         36836146553213121249276729571069998676681750010446198742466458\
         47692060924775142676775209901634011038947304111077903/
         12544889190293190510844344642657217751033300660866233025431632\
         013854123816386560000000000000000*ep^2-
         518440489292967281458687808/272935*ep^2*z5-
         908906145683514591736863373331/1809559050*ep^2*z4+176001851357\
         297273709780903953942090199073/276130609778897874000*ep^2*z3+
         74003914189182439199670396798735356739465784102075398817592051\
         91109072568852412688427470415733600248822075103231481643026722\
         59674489528577320331065589271833/
         11126753750014453059856155637214015279458646892607974554171960\
         92532358299102660173205110020656107295563326114691547136000000\
         0000000000000*ep^3-769645672998835037366614576/163761*ep^3*z6-
         258388197965093827096019029294463/51572432925*ep^3*z5+
         176001851357297273709780903953942090199073/
         184087073185931916000*ep^3*z4+19738867910255593970702758143111\
         9853178370482700889/211209497932883630220200160000*ep^3*z3-
         561267269251877908421200576/818805*ep^3*z3^2;
Fill mncnoptab(16,6,1,5)=
      +mncF321*(2288897838439382016+1271090662162545389088/65*ep+
         61122067525537206611632/975*ep^2+3762734292330302696076092/
         34125*ep^3)
      -9278960753248967425596097304643177284298083636921/
      823913211750567721602019200000+4091864639508316/7605*ep^-3-
         1387144494995115189192851/402360777000*ep^-2-22804124398002867\
         95780438913629369/25646805861817140000*ep^-1-
         229067976083151630535264/7605*z3+77618689177568585127291243840\
         03806727947365421627905554242717336239554640852050532377868503\
         6675877/731264916205807356779284890663364299025998034581875074\
         265493012480000000000000*ep-114533988041575815267632/2535*ep*
         z4-102811689710346596088174525413381/201180388500*ep*z3-
         27409341592503655208398832230343418142452911825306937435833216\
         10133360819336486848199776645404888473148943289/
         58730395999198706600761664210061412317089318213722713707766712\
         12287924633600000000000000*ep^2-7406527075299543085414256/2535
         *ep^2*z5-102811689710346596088174525413381/134120259000*ep^2*
         z4+31398778593955700173874278681121674390567/
         29921273505453330000*ep^2*z3+
         52739130345164746839505536833210963308954438696932850707416377\
         31051247725375864825186317785075375069818228486719966855629469\
         70479989102275001826188850292454893/
         43167959248800997925521600379713797670929985903471449916424896\
         59419711349818290625268146108039765931798935645066782310400000\
         0000000000000*ep^3-10995256624907738812853752/1521*ep^3*z6-
         70028254620715508183248332387347/9580018500*ep^3*z5+3139877859\
         3955700173874278681121674390567/19947515670302220000*ep^3*z4+
         745662239298385770227463280616776620563115939907097/
         576739248225397405121413440000*ep^3*z3-
         8017372214168733582391984/7605*ep^3*z3^2;
Fill mncnoptab(16,6,2,4)=
      +mncF321*(5150020136488609536+2872422349705981483488/65*ep+
         46368770952503644315264/325*ep^2+25921984696882063062118156/
         102375*ep^3)
      -4236544204959621081893835972236250828472359865391/
      167170796587071711629395200000-273797836749070238/2535*ep^-3-
         24966834765431407618378901/19160037000*ep^-2-46504576542945671\
         6174763062462687/87457138488720000*ep^-1-
         171794785282643036689648/2535*z3+17045401546491142948796448820\
         75812299021828492057799442828724747905187623458472695650418533\
         5065839741/716083220662838964915714954346331409774480031907403\
         53739758984232960000000000000*ep-85897392641321518344824/845*
         ep*z4-77276109886895651429926372068167/67060129500*ep*z3-
         21785006836236594566578093102591233513990273698868430267082095\
         4935299931966189829634304573994684357284790414041/
         20913127966671191611314696951321868125085283311756044576809103\
         1428861316300800000000000000*ep^2-5554873464158721019077992/
         845*ep^2*z5-77276109886895651429926372068167/44706753000*ep^2*
         z4+39643269424975703570570870481569004150569/
         17097870574544760000*ep^2*z3+
         43905743418274984568202310935555957224036714434131914647237800\
         84886872124048042236722681809276489494849715159757548411086824\
         76914874360402376428919549697/56362743985234014687424402710950\
         70888392192282304299337701875538374937160036794940220566466110\
         863067693057048576000000000000000000*ep^3-
         8246412803596760010272164/507*ep^3*z6-373114806835720006666644\
         700630003/22353376500*ep^3*z5+39643269424975703570570870481569\
         004150569/11398580383029840000*ep^3*z4+11537472168985586583964\
         62115892158679282408736423577/384492832150264936747608960000*
         ep^3*z3-6013098170805275502150088/2535*ep^3*z3^2;
Fill mncnoptab(16,6,3,3)=
      +mncF321*(3635308331639018496+2040646873158873036288/65*ep+
         2560464760324018860048/25*ep^2+6284757611651099477261632/34125
         *ep^3)
      -184235361110076232476186735994651925039217405887/
      10296751963696446006158400000-5387426806620850552/14365*ep^-3-
         827033281102761654353508157/190003700250*ep^-2-348118558704764\
         50544240755560356189/2106259418603340000*ep^-1-
         687085514537863996313792/14365*z3+1714427161557903774795270642\
         89291653844593415850548644233787886186370373423378347295819119\
         3634330627/102276116372764229393548869765911648529016261646089\
         98223700085964800000000000000*ep-1030628271806795994470688/
         14365*ep*z4-11074295126116579797132236144281/13571692875*ep*z3
         -9448267082811647555742937282129570753823496338748701747019032\
         50294233950474000091174942688404629114439338701/
         12986792158512926856518993933407185488121779907394418702894158\
         27617742848000000000000000*ep^2-66657482804973968861774304/
         14365*ep^2*z5-11074295126116579797132236144281/9047795250*ep^2
         *z4+11737588916612102898949700310958888969751/
         7371907965111690000*ep^2*z3+
         50505981290294316893986629155913519535335147300560949980507498\
         66640458624759080535884321627795504231921208745336812583422153\
         64016216157614401503616959/29470715809272687418261125600497102\
         68440361977675450634092483941633954070607474478546701420188686\
         57134277492736000000000000000000*ep^3-
         32985198645218052432730256/2873*ep^3*z6-3812079056160503626703\
         52202894703/31667283375*ep^3*z5+117375889166121028989497003109\
         58888969751/4914605310074460000*ep^3*z4+2277666099801333764739\
         661052892142646887366342631/1029675196369644600615840000*ep^3*
         z3-24053416155074689133713952/14365*ep^3*z3^2;
Fill mncnoptab(16,6,4,2)=
      +mncF321*(942487345239745536+533761445747142885888/65*ep+
         26493762955324374998992/975*ep^2+5092565122978275294642256/
         102375*ep^3)
      -75849393529995094689682585993320033630090970115789/
      16340945366386259811773380800000-22068163070018216888/129285*
         ep^-3-164587132219273413409449673/81430157250*ep^-2-2210780117\
         043887663969607238178615951/277451808868749060000*ep^-1-
         1602986271760178394346048/129285*z3+47353795872609010742544774\
         89119668169237076651198633748885953591735050202195999304348900\
         8348672522502391/110298515473612438141411488270981895632838848\
         5510706721391499748048896000000000000000*ep-
         801493135880089197173024/43095*ep*z4-
         60559176240058404604055322410741/285005550375*ep*z3-
         93276192126121341287744618665017968044398952339308332526198005\
         4536284546205240585800395781023550431945042559808107/
         50619728311709365219196478382651931276099283368407606944724129\
         17870962241699840000000000000000*ep^2-
         51843957969909958129858592/43095*ep^2*z5-
         60559176240058404604055322410741/190003700250*ep^2*z4+
         86478043808263519469071005004431358740311/
         217997849825445690000*ep^2*z3-
         71410396445301601601856874297858839844885117623695473346768799\
         12580250608755000109220398938123379698173196669176877164319939\
         774974941419869286379208126588599/
         37089179166714843532853852124046717598195489642026581847239869\
         75107860997008867244017033402187024318544420382305157120000000\
         000000000000*ep^3-76964443818984847997614864/25857*ep^3*z6-
         915757729108342031486682490791007/285005550375*ep^3*z5+
         86478043808263519469071005004431358740311/
         145331899883630460000*ep^3*z4+33028068719371146616037493353007\
         5980130843318706007/544698178879541993725779360000*ep^3*z3-
         56127018116128823553155488/129285*ep^3*z3^2;
Fill mncnoptab(16,6,5,1)=
      +mncF321*(74406895676822016+42641818418109845088/65*ep+
         55303611757277661888/25*ep^2+47160117829080191622364/11375*
         ep^3)
      -113914167494150203415534296151717146049044321184251/310477961961\
      338936423694235200000-731956994326877044/818805*ep^-3-
         23011069393428929770256686/773586493875*ep^-2-7529078760049766\
         121937882158729820717/28993714026784276770000*ep^-1-
         801725908918263449520224/818805*z3+198728529666874917532491496\
         56893176827664571264369897090940365476392819676489928333677765\
         3113801250190417/592775736016757131839985741250619844815342497\
         49875409798211743602284953600000000000000*ep-
         400862954459131724760112/272935*ep*z4-
         9621659061474075912450652904767/570011100750*ep*z3-
         27990269705011242882609772362008532927059219098755196827561333\
         1035815819569387417043285541919990351234767727315441/
         19672667139323412392005904098712455109574948763631138153517786\
         567180330530242560000000000000000*ep^2-
         25922796845478049010370096/272935*ep^2*z5-
         9621659061474075912450652904767/380007400500*ep^2*z4+765532418\
         0405001634811865712176027928429/258872446667716756875*ep^2*z3+
         25820062627927579705424273114073137926981381369525570004938991\
         33215763845538884809363909052405706411553551005851222085084993\
         883462722416205844781888240490562557/
         96816382221554330746944296275154439888775279370047674100341984\
         90042781314396126356076136906264038908905708617548735447040000\
         0000000000000000*ep^3-38483332313757941790795032/163761*ep^3*
         z6-951511751821711359879965461254407/3610070304750*ep^3*z5+
         7655324180405001634811865712176027928429/172581631111811171250
         *ep^3*z4+1591022638905504730709927204762941654417799652144601/
         31047796196133893642369423520000*ep^3*z3-
         28060899544461502349535344/818805*ep^3*z3^2;
Fill mncnoptab(16,7,1,4)=
      +mncF321*(290653693770080256+494246207627291054144/195*ep+
         515759302113100892764016/61425*ep^2+99218133719601243130496488/
         6449625*ep^3)
      -37120157995955910042786789698896963432312331837639/
      25953266170142883230463604800000-198226708052236072/479115*ep^-3-
         117845212628935580504145329/12674364475500*ep^-2-4019253970348\
         87166499546060175146617/5655120692530679370000*ep^-1-
         1832536368515301190651712/479115*z3+39673374462764482480058180\
         48204353802265493238359982789557621190569864195135785342639958\
         658408152561/2994529831862781126011171627266476804511461951612\
         77842911719388610560000000000000*ep-916268184257650595325856/
         159705*ep*z4-59361561311347305031186797838757/905311748250*ep*
         z3-54780796862340139240888057363938083587416709224944843368492\
         7503466290057654404972870630306708518466040406205247/
         96200388646687481412047605976080593375392303234077805053321874\
         45727620549836800000000000000*ep^2-59252193081862312920660448/
         159705*ep^2*z5-59361561311347305031186797838757/603541165500*
         ep^2*z4+1417525929321240722387516726339731165883/
         11636050807676295000*ep^2*z3-
         13541391687974765200480073600912828861074437268219175489228384\
         97406191290088427534079140778764692106615724845782460276622643\
         63892880024345570126021767330668134849/
         17677279312384008650501095355492800146245829227471558740775995\
         15532371797750590011047305831242284149071664146654847356108800\
         0000000000000000*ep^3-87962021438535818785664816/95823*ep^3*z6
         -2099356362392689521374376397849691/2112394079250*ep^3*z5+
         1417525929321240722387516726339731165883/7757367205117530000*
         ep^3*z4+3422991555275349518728091434965899148736710196256567/
         18167286319100018261324523360000*ep^3*z3-
         64139078424778544947851872/479115*ep^3*z3^2;
Fill mncnoptab(16,7,2,3)=
      +mncF321*(490478108237010432+279319278665321775936/65*ep+
         32629281278044537857936/2275*ep^2+2111986175727216538132216/
         79625*ep^3)
      -4642082538570845749964921957467387176307154802193/
      1922464160751324683738044800000-655909052259942932/17745*ep^-3-
         70270639700120445074843623/156473635500*ep^-2-5184038806557356\
         25567671391062307571/279265219384231080000*ep^-1-
         114519686291807338090912/17745*z3+1623447933016893164338387424\
         01386909265678081660189560576328502582374468627730613609118294\
         316746589111/7319961811220131641360641755540276633250240326164\
         569493397585054924800000000000000*ep-57259843145903669045456/
         5915*ep*z4-1239549092395321392245526135809/11176688250*ep*z3-
         20224745143323514685302109835148662543430627138093301924286667\
         04012444612985376350358029210199713114769328726279/
         21377864143708329202677245772462354083420511829795067789627083\
         212728045666304000000000000000*ep^2-3703212621406628757464048/
         5915*ep^2*z5-1239549092395321392245526135809/7451125500*ep^2*
         z4+84242288492839614240473703386184720445121/
         418897829076346620000*ep^2*z3-
         54136093859217068280939426908832653321017979877240379265980891\
         02490711021117875179767195362800323311171092610208780666344733\
         6157101190755726486274352747981544187/
         29800777384861930292032497917305869978345459234051669907821601\
         02813193835288350976478216726998486688090161779801275236352000\
         000000000000000*ep^3-5497559088964039467150616/3549*ep^3*z6-
         133208153920871670997460218940401/78236817750*ep^3*z5+
         84242288492839614240473703386184720445121/
         279265219384231080000*ep^3*z4+43979505115595690747078329686927\
         9291170476202797927/1345724912525927278616631360000*ep^3*z3-
         4008842040203312247030832/17745*ep^3*z3^2;
Fill mncnoptab(16,7,3,2)=
      +mncF321*(230813227405651968+132325434166873204224/65*ep+
         15622674475098123669984/2275*ep^2+1024693165763936790455304/
         79625*ep^3)
      -1161228724461467549033668718816022000680837269237/
      1021309085399141238235836300000-14656302678778252096/301665*ep^-3
         -383014974705407502969988196/665012950875*ep^-2-50740384335041\
         8271373801893436929126/222539471696809141875*ep^-1-
         915945759625680929019776/301665*z3+572708101291163002908293167\
         12839254671817989216086355523397826605986481053644830228337819\
         6727508368669/551492577368062190707057441354909478164194242755\
         35336069574987402444800000000000000*ep-
         457972879812840464509888/100555*ep*z4-
         4974366952173928787037262066736/95001850125*ep*z3-
         55584961069943933315937788632546075467545146478073719703510692\
         78285743364596914214708650395163040133043029078599/
         12654932077927341304799119595662982819024820842101901736181032\
         2946774056042496000000000000000*ep^2-
         29624956025422080257951104/100555*ep^2*z5-
         2487183476086964393518631033368/31667283375*ep^2*z4+4077713446\
         6464889310704294957789708166513/445078943393618283750*ep^2*z3-
         74745430679067648606774651546098857537333350094231759848164229\
         01829074867702541333249300179884462258258538112607257295685210\
         6929598155817278051106169/261217708309462456661859976913497046\
         52085026620305130620365198573573683807657160150754853497126994\
         6096291414016000000000000000000*ep^3-
         43979461158320279922416768/60333*ep^3*z6-544281538749113192780\
         747922275104/665012950875*ep^3*z5+4077713446646488931070429495\
         7789708166513/296719295595745522500*ep^3*z4+114105614130930814\
         553172385265907162921061348000279/
         714916359779398866765085410000*ep^3*z3-
         32073103215701063294784896/301665*ep^3*z3^2;
Fill mncnoptab(16,7,4,1)=
      +mncF321*(29920233182214144+17308985795372798912/65*ep+
         7995219980101805617232/8775*ep^2+1601328436507955870637976/
         921375*ep^3)
      -7236487288734068064805012882263645287289394389553/
      49022836099158779435320142400000-750178745473134208/1163565*ep^-3
         -87545976416801704456786721/5130099906750*ep^-2-17973344296184\
         3113341961815120317381/1307987098952674140000*ep^-1-
         458122898503060857195008/1163565*z3+92620546309901927367728002\
         06514253065767438990501110966886495918342118301992459262123156\
         785434043420099/6933049544055638968888722119890290582635584766\
         067299391603712702021632000000000000000*ep-
         229061449251530428597504/387855*ep*z4-
         17494490189612397379306475304226/2565049953375*ep*z3-
         11351579416612014384508393126483356551915818567397482606705286\
         7804532370449024050953368429665347637191557892531341/
         20247891324683746087678591353060772510439713347363042777889651\
         671483848966799360000000000000000*ep^2-
         14813003469023494484223232/387855*ep^2*z5-
         8747245094806198689653237652113/855016651125*ep^2*z4+518752322\
         66151114514565217842203372378739/4577954846334359490000*ep^2*
         z3+79163992850533627853081743526868134256534575223646733040364\
         18118735554231762185947469483684862211628884319134445127683961\
         75319765179295844624127335030152441/
         22647106952410369765367086847989342664041001022233374058559528\
         63167902061847047100836523252927260563486715466093271449600000\
         00000000000000*ep^3-21990443754283711297737344/232713*ep^3*z6-
         280018499451301129534948429438352/2565049953375*ep^3*z5+
         51875232266151114514565217842203372378739/
         3051969897556239660000*ep^3*z4+2899045433314055867437361923587\
         2395035258047891413/1336986439067966711872367520000*ep^3*z3-
         16034858976091857623499008/1163565*ep^3*z3^2;
Fill mncnoptab(16,8,1,3)=
      +mncF321*(16986254830718976+69444706544037756096/455*ep+
         25305623963303220624368/47775*ep^2+56655437475976943244868664/
         55180125*ep^3)
      -1092701807918053484792239427423892953265729201881/
      13061447680398705939514363200000+32252186614126424/372645*ep^-3-
         126760832918943689806563127/108436229401500*ep^-2-100485256219\
         3591109659772055730341911/48382699258318034610000*ep^-1-
         83298905128313322207296/372645*z3+1101757920469530994224936809\
         23458766129816577264419920663319644731966458679140728402761513\
         2151166673/146399236224402632827212835110805532665004806523291\
         3898679517010984960000000000000*ep-41649452564156661103648/
         124215*ep*z4-4305643326023621302700554689613/1106492136750*ep*
         z3-13380018356296874772686554715052764849796842770534352338898\
         914490525983315484316348733211738016421441857925673/
         42755728287416658405354491544924708166841023659590135579254166\
         42545609133260800000000000000*ep^2-2693286798252177226165984/
         124215*ep^2*z5-4305643326023621302700554689613/737661424500*
         ep^2*z4+147763116451211106038341289771294264513807/
         24191349629159017305000*ep^2*z3+
         10503912686025277502745054195442144911040136447143442729406199\
         37110412170265874714225855208891220741550639007522563679620934\
         172258466537883405892902745301844837689134049617/
         47554042727056277226077755878074360189222795677021623062124705\
         68359730275564484700103762447225418372762912356147539510920267\
         93105817600000000000000000*ep^3-3998280744814109178145328/
         74529*ep^3*z6-1153489618838948441669917428769333/
         18072704900250*ep^3*z5+147763116451211106038341289771294264513\
         807/16127566419439344870000*ep^3*z4+20141935406067530024541281\
         33911962289077166846319257/155431227396744600680220922080000*
         ep^3*z3-2915385766156936540071776/372645*ep^3*z3^2;
Fill mncnoptab(16,8,2,2)=
      +mncF321*(19109536684558848+78508311608715075648/455*ep+
         9608777675375769220368/15925*ep^2+7238492936660201114172088/
         6131125*ep^3)
      -4646733829250194409928953346525622987861529051873/
      49343246792617333549276483200000-210101551209910492/41405*ep^-3-
         80097336770489868097744141/1338718881500*ep^-2-152212070993984\
         84739979739619322085099/64510265677757379480000*ep^-1-
         10407379029421156192352/41405*z3+16568142068972291621031829006\
         73383991413230422711229249281978930965251425879824086578444306\
         00207526419/19464443907108077319072615577232099229324502685483\
         0597892617602596864000000000000000*ep-15611068544131734288528/
         41405*ep*z4-1258604440280677452298266745609/286868331750*ep*z3
         -2204085655094954112940748145230810536643489755316855645124370\
         4284971830321487667863301406023488402118936379099801/
         62530252620346862917830943884452385694004997102150573284659218\
         39722953357393920000000000000000*ep^2-
         1009930529887720937626224/41405*ep^2*z5-
         1258604440280677452298266745609/191245554500*ep^2*z4+215614624\
         457178648923026399721836330885603/32255132838878689740000*ep^2
         *z3+3126862234749355684369960086350530362948308165811060551148\
         89742469058735103425688260186304002264927636437587089890816463\
         9543550583821194424046108940590242072320461/
         22980463106099211245651423962140640190119577995713026363008793\
         70192083337075767014361497580614969393793163390651301562941440\
         000000000000000000*ep^3-499761575429149890716936/8281*ep^3*z6-
         146315618441674681699014536610601/2008078322250*ep^3*z5+
         215614624457178648923026399721836330885603/
         21503421892585793160000*ep^3*z4+514677973774736540314129179711\
         584798653484321557751/34540272754832133484493538240000*ep^3*z3
         -364480231451506870370192/41405*ep^3*z3^2;
Fill mncnoptab(16,8,3,1)=
      +mncF321*(4496361572837376+18598731692614958016/455*ep+
         2300403169104791105296/15925*ep^2+15800521131344677644228824/
         55180125*ep^3)
      -3994468002435254460457442351316393971393922865999/17975039903024\
      8857929507188800000-473114419823567104/2111655*ep^-3-
         1547099691564862616257337189/307235983304250*ep^-2-75858207263\
         9992127560876421225738909/20308787342997693540000*ep^-1-
         124940012996203336250624/2111655*z3+18871508338635242202554918\
         05626320468932208617497334677184184414211268515587244677312250\
         38427586319879/95996070610001154953843844736942484990338865991\
         7010684991283297202995200000000000000*ep-
         62470006498101668125312/703885*ep*z4-
         22739924643532814534240984812262/21945427378875*ep*z3-
         22519398792044922994396441624020986089627300955187656278811439\
         85197471161250752323100627855977832655249677448049/
         28035541834177494582939588027314915783685756942502674615539517\
         69897763703095296000000000000000*ep^2-
         4039896819901743218538496/703885*ep^2*z5-
         11369962321766407267120492406131/7315142459625*ep^2*z4+
         413719854126062657596372843289574717770911/
         274168629130468862790000*ep^2*z3-
         11690887979772303325864505215389575440962142680683409027139429\
         63856759054388015278264525821733858001605779724288477650413964\
         962673280842781778464307891746530516349/
         11333661364854204403349845136493098150907325938984622232657523\
         75101326375472092567082901224373624465861946955740993562030899\
         200000000000000000000*ep^3-5997375223354513159682432/422331*
         ep^3*z6-896139108231861951679658276826256/51205997217375*ep^3*
         z5+413719854126062657596372843289574717770911/
         182779086086979241860000*ep^3*z4+63585906822280239689894966437\
         0939879470215039446247/176155391049643880770917045024000*ep^3*
         z3-4373145415665482975765504/2111655*ep^3*z3^2;
Fill mncnoptab(16,9,1,2)=
      +mncF321*(369266409363456+1582922845566869136/455*ep+
         618784295980601884268/47775*ep^2+1504041880248413227992164/
         55180125*ep^3)
      -37246589375685846802561517346628727048004063271289/2042810417214\
      3576089400464044800000-26567767191261406/372645*ep^-3-
         9567530883673543041157367279/9976133104938000*ep^-2-2041447448\
         5180555208117534142543704167/4451208331765259184120000*ep^-1-
         1810149335273990923376/372645*z3+29686504563034406665814083330\
         23767712876855473562907310730174778037818675143565235571089903\
         062533691/1989698710504381237060756259005947921219838052293823\
         88956897993765683200000000000000*ep-905074667636995461688/
         124215*ep*z4-61772191844378027130111701893307/712580936067000*
         ep*z3-35722751375888313938826331457633487175286029996308481814\
         1719319479934560146077051973902093863059185048659429329/
         63919813789687904316004964859662438709427330371087252690984978\
         80605685654224896000000000000000*ep^2-58547360827495185843304/
         124215*ep^2*z5-61772191844378027130111701893307/
         475053957378000*ep^2*z4+21394033409457024908061223611508244296\
         9819/2225604165882629592060000*ep^2*z3-
         10900347217729470323636029915826248503434818390199739272502497\
         90213251981979327835914336661154545785898181498569147118467314\
         15608405445931707860896793295456703717991099687/
         56200232313793782176273711492269698405445122163752827255238288\
         53516044871121663736486264710357312622356169148174364876542134\
         82761420800000000000000000*ep^3-86915966573605783303268/74529*
         ep^3*z6-2648287971824546832250792456086341/1662688850823000*
         ep^3*z5+213940334094570249080612236115082442969819/
         1483736110588419728040000*ep^3*z4+4888517982261339451562541867\
         711673854889650490839977/14299672920500503262580324831360000*
         ep^3*z3-63386384236934263635656/372645*ep^3*z3^2;
Fill mncnoptab(16,9,2,1)=
      +mncF321*(207712355266944+894796869319176384/455*ep+
         117458748871641086584/15925*ep^2+864265963745883104228696/
         55180125*ep^3)
      -14014327693900891274966913535144526065087532531429/1361873611476\
      2384059600309363200000-10787773313184263/124215*ep^-3-
         3697245647120311319991900907/3325377701646000*ep^-2-1017750721\
         3844095576575974638149046363/1978314814117892970720000*ep^-1-
         339310103931317726488/124215*z3+367905669597119573944015164840\
         73842154912224722629373230581748921306398065857794335181921999\
         6053350943/422100369299858019576460434946261809001637072522332\
         63942999074391719936000000000000000*ep-169655051965658863244/
         41405*ep*z4-11610268761227383201724059473331/237526978689000*
         ep*z3-37622736276589817602927953188633153805552411621197007106\
         3164424256914128329442259180061982744075287565593244773/
         11206720599490736470987883449421336656847648831294518328938924\
         855607370952212480000000000000000*ep^2-10977258563596916785652/
         41405*ep^2*z5-11610268761227383201724059473331/158351319126000
         *ep^2*z4+153881947000248963613952615113970434771313/
         2967472221176839456080000*ep^2*z3-
         66582707592592438604362775066640721630511075244458417480489626\
         66636429983984436594054184221558859912149566285913464049821086\
         28742492476299107851082783312740265873731032867/
         29806194637851345189916593416435893618602145147561767312153163\
         74096902369148453803100751105314503301499611137513904229166096\
         506788249600000000000000000000*ep^3-16296232793429716315234/
         24843*ep^3*z6-503337316964705027412737503591853/
         554229616941000*ep^3*z5+15388194700024896361395261511397043477\
         1313/1978314814117892970720000*ep^3*z4+18598818997599148884639\
         67376051015200785841276226291/95331152803336688417202165542400\
         00*ep^3*z3-11885690168283791373988/124215*ep^3*z3^2;
Fill mncnoptab(16,10,1,1)=
      +mncF321*(1709566710016+72536482939200544/4095*ep+
         96760364820481818136/1289925*ep^2+90235925097132279531376/
         496621125*ep^3)
      -677997987565858922685799345830807940989674867539/787941160925537\
      93487687504172800000-38160253186523732/10061415*ep^-3-
         9844902503649980183539259113/269355593833326000*ep^-2-21139565\
         83128401357847808006469115013/15022828119707749746405000*ep^-1
         -226427935549445981872/10061415*z3+151466452239884933953883310\
         8687671402533680073262343208731830206447659/234104881206055566\
         91413487794925991082542896250880000000*ep-
         113213967774722990936/3353805*ep*z4-
         8132145388795927262350618874179/19239685273809000*ep*z3-
         87345348869627018436986075854907240509038396237647536455882718\
         09169816466820373/41781703863414398241881114791040086305591212\
         981768473804800000000*ep^2-7317862694155921357088/3353805*ep^2
         *z5-8132145388795927262350618874179/12826456849206000*ep^2*z4+
         1029553506435619132111052087298504150947/
         15022828119707749746405000*ep^2*z3+
         86331082268161316997950933347960218539862760928139898748647740\
         99557971930739987443346360742419043720125295765359138242237851\
         64319/30952500361038182426866853491573880127377290835653591715\
         72477143712187433018542348589444630157721600000000000000000*
         ep^3-10863580073459159044696/2012283*ep^3*z6-42307339239010342\
         7346545681863777/44892598972221000*ep^3*z5+1029553506435619132\
         111052087298504150947/10015218746471833164270000*ep^3*z4+
         781400597887801186927665619448577810205406731541461/3860911688\
         53513588089668770446720000*ep^3*z3-7914140232325636625632/
         10061415*ep^3*z3^2;
Fill mncnoptab(17,1,1,9)=
      +mncF321*(397829202188892111+6069767945366384492013/1820*ep+
         164946403855659763642533/15925*ep^2+
         15429786383101329730323710639/882882000*ep^3)
      -23884560916669574266340126319825953429349869471058698393/
      12202387558827096117401877189427200000+72021979781370953/26499200
         *ep^-3+9788743859313881586754374281/425648345810688000*ep^-2+
         77339558456885776821685994519375786759/
         2279018665863812702269440000*ep^-1-2167643856497569743428901/
         414050*z3+5181876236724497283484908609125039207309705781460052\
         9967616362646224507715471757863312244633/276076179062876330664\
         3677175971012888691655662872203100160000000000000000*ep-
         6502931569492709230286703/828100*ep*z4-18725006405785252110931\
         602353115324601/212824172905344000*ep*z3-
         14925068383934715489402400757584712711549874129351119980806319\
         891947724128729943510207164264575314305601/
         17738100612222045426139046645977007101782105798199072305722645\
         5449600000000000000000*ep^2-480597608929240058416599871/946400
         *ep^2*z5-18725006405785252110931602353115324601/
         141882781936896000*ep^2*z4+13174565842394429434849027776023107\
         227998614681/67029960760700373596160000*ep^2*z3+
         15664358431983889938711621138860611483573894138268610902240190\
         51811185245294947226577810815194000539042094336022135733632660\
         3651262256163881/340285329112294598754563205480250344353880906\
         99515672501617361848998539029326979176978972822994944000000000\
         000000000000*ep^3-3329500960800719293021336681/2649920*ep^3*z6
         -28117345686295974697059005625920065963/23647130322816000*ep^3
         *z5+13174565842394429434849027776023107227998614681/
         44686640507133582397440000*ep^3*z4+118290042877731909107183824\
         9124064475012082219521863213157/610119377941354805870093859471\
         3600000*ep^3*z3-1213880560275613709592781903/6624800*ep^3*z3^2
         ;
Fill mncnoptab(17,2,1,8)=
      +mncF321*(1497709937652299712+5729642330518437971904/455*ep+
         625951028216873281380156/15925*ep^2+
         1228097317100896678829216696/18393375*ep^3)
      -468324655979238755956461323759308664604903801664192283/635541018\
      68891125611468110361600000+103354892160909/414050*ep^-3-
         70854633007185515801406409/2216918467764000*ep^-2-296020257446\
         9718803592964551585541051/11869888884707357824320000*ep^-1-
         4080270805233663150879696/207025*z3+71946436887513282964374944\
         22111924285227313137591377766214242534982852574712807500668099\
         04725623/10203775578163909181355030842388863636604359329975662\
         658191360000000000000000*ep-6120406207850494726319544/207025*
         ep*z4-21629376841290903656074135220430323/65203484346000*ep*z3
         -2064955730992137061067514407978301790815410849685852590957737\
         14850038175382437359800949572095470764947186879/
         65560019862772679895009916403531018248186663030143771241950897\
         9341721600000000000000000*ep^2-56540895320482601481097926/
         29575*ep^2*z5-21629376841290903656074135220430323/
         43468989564000*ep^2*z4+434265432968006358832518081491019746216\
         1980987/5934944442353678912160000*ep^2*z3+
         33473768798847119302838249953816652826577169737703446585554819\
         60472699643142975085575749489982030570234575315971900979112971\
         9664596730111835459/134457479384765878955257013954893655801934\
         78469821784805573281267439817461193278745851033603612344320000\
         0000000000000000000*ep^3-195852998219072273608402893/41405*
         ep^3*z6-557166588045307783689694849606818033/123162137098000*
         ep^3*z5+4342654329680063588325180814910197462161980987/
         3956629628235785941440000*ep^3*z4+2377276009800228398752974102\
         2451685827342222820271014687/317770509344455628057340551808000\
         00*ep^3*z3-142809477671220654218500518/207025*ep^3*z3^2;
Fill mncnoptab(17,2,2,7)=
      +mncF321*(4933632735795810816+2706917243720916400416/65*ep+
         297677326867796520345024/2275*ep^2+589077479667647009551392514/
         2627625*ep^3)
      -234162511563712844842390959164743722823176421844670899/964660474\
      7956688708883552465600000+19095876068532636/502775*ep^-3-
         69960253828306027036875637/336496553142750*ep^-2-2933603701289\
         67260624696464118131574/56302486339292712894375*ep^-1-
         32642167496964533478485568/502775*z3+2068062422241987290280605\
         82709534425235568174609871407061069127367646176422198216081408\
         63620763709/89405218128122965182322557828719582988364935195486\
         465294336000000000000000000*ep-48963251245446800217728352/
         502775*ep*z4-368422553037213061747525856851188131/
         336496553142750*ep*z3-2070755106976265632231492891479178787222\
         38206434973591857356573926236886291413882878952219509291418667\
         64275299/20105232038820411855557887993284020355630130080126087\
         281378163488194560000000000000000000*ep^2-
         452327163681903826030851408/71825*ep^2*z5-36842255303721306174\
         7525856851188131/224331035428500*ep^2*z4+106940207131033619171\
         0741462319430100057000893/450419890714341703155000*ep^2*z3-
         36716624876799153161217840128121551734430554543423108120465641\
         25142149468908603006104669252555717407260587645969310580912014\
         2588630335574175889/329475625095626700713589865098967116115123\
         58975494757269752485019232548481096209428757599091519651840000\
         000000000000000000*ep^3-1566823989138181124368737144/100555*
         ep^3*z6-564960470685610208810449273716419103/37388505904750*
         ep^3*z5+1069402071310336191710741462319430100057000893/
         300279927142894468770000*ep^3*z4+12276645393893720710009459093\
         110311608798223022388607521/4823302373978344354441776232800000
         *ep^3*z3-1142475803978691029400888144/502775*ep^3*z3^2;
Fill mncnoptab(17,3,1,7)=
      +mncF321*(2038549637360074608+1120656263547418301088/65*ep+
         17662141641339604592951/325*ep^2+15041565169117255201147859/
         160875*ep^3)
      -251382168796318011558080641945304106491679300001661/
      25063236466091344025029324800000+2055918810831701/33800*ep^-3+
         10036114535353010133529499/23605165584000*ep^-2-32880821012713\
         341816497745055537039/126387459287034865920000*ep^-1-
         113340864065135894008036/4225*z3+21817524856715029236330818695\
         37662514693770886565233586375198170429809316972176659532120468\
         9997/228657846874994795862717539203886401504769655231423184896\
         000000000000000000*ep-170011296097703841012054/4225*ep*z4-
         5344649991425128978930637836782679/11802582792000*ep*z3-
         39460450439354496759774930498248966518232382043632305609692853\
         2847126389125749777480195453947821750099373/
         93067929031352081820869509637819353349134392982958592222648336\
         3840000000000000000000*ep^2-21988126107588188175277149/8450*
         ep^2*z5-5344649991425128978930637836782679/7868388528000*ep^2*
         z4+61527525608100701525007172665880222605152783/
         63193729643517432960000*ep^2*z3+
         38487956614398578653492996812623805807587420148601359907512798\
         87059212525631931636523058689550237151629343987484338132345773\
         915974199468853871463/1565009219204226828389551859220093801546\
         83705133600097031324303841354605285206994786598595684718346240\
         0000000000000000000000*ep^3-21761444379457916387261077/3380*
         ep^3*z6-24731391894585579423577544557449031/3934194264000*ep^3
         *z5+61527525608100701525007172665880222605152783/
         42129153095678288640000*ep^3*z4+172130344462949798024842991817\
         18262640209692139877143/16112080585344435444661708800000*ep^3*
         z3-7933859637720009369807851/8450*ep^3*z3^2;
Fill mncnoptab(17,3,2,6)=
      +mncF321*(5755904858428445952+3179258932587305464512/65*ep+
         50501837353532717815824/325*ep^2+101373435929681858843426384/
         375375*ep^3)
      -2262445639763317360654842383014451890427753004948269/
      79889066235666159079780972800000-125809591397673994/71825*ep^-3-
         180783892333513889373414761/8360162811000*ep^-2-13825685071621\
         21256000084602053765293/14920741721386060560000*ep^-1-
         5440358102540974831296128/71825*z3+318334978471875609287627301\
         70119435369490208555592244272106940017249925283786889395534897\
         60918649901/11858500816066396773168348539832487297239360679841\
         914932953088000000000000000000*ep-8160537153811462246944192/
         71825*ep*z4-5357386668919160829995190403479839/4180081405500*
         ep*z3-31633427889092398323503996245507554984138009854370773608\
         78125528186459471250899972530913082265511061365236612171/
         26667113568012233232183447958628312216627094274393326202778688\
         73100820480000000000000000000*ep^2-527714991969956497768748376/
         71825*ep^2*z5-5357386668919160829995190403479839/2786720937000
         *ep^2*z4+6708899335105939741626547337958484759005647/
         2486790286897676760000*ep^2*z3+
         46655734118166471178420144484421676470315586466101203717873690\
         12707113518393982052062221994893102219778671354635733782323228\
         557866408254449993535237009/4058173239344507114469333941081651\
         23366438492991767291608692674814221915144894084614635931850186\
         986356736000000000000000000000000*ep^3-
         261137316933707761468726124/14365*ep^3*z6-83810921504421852700\
         47415981211757/464453489500*ep^3*z5+67088993351059397416265473\
         37958484759005647/1657860191265117840000*ep^3*z4+1250258510944\
         36696294925540464728363518306685538356041/
         39944533117833079539890486400000*ep^3*z3-
         190412671099395583672907624/71825*ep^3*z3^2;
Fill mncnoptab(17,3,3,5)=
      +mncF321*(5596018612360989120+622767099551651587764/13*ep+
         30038759467664219714944/195*ep^2+81646991875118482328616127/
         300300*ep^3)
      -1871157274630907218971639480667693460117242577687/
      67958562960396543640645440000-4717029097774805849/258570*ep^-3-
         555814268885741272146914203/2508048843300*ep^-2-33964139808856\
         142540463091126795067/37070165767418784000*ep^-1-
         9520580914009704772205144/129285*z3+45481980866708565661551476\
         61780404830124730309036808419260878211333564015732171016849273\
         20910241/17543602752461177111615868637871683352536244944288195\
         01875200000000000000000*ep-4760290457004852386102572/43095*ep*
         z4-12547014870140212494905453033637451/10032195373200*ep*z3-
         27859346206629015097867809423382350155401000372121759118744754\
         24157824234001794151779994770938754748389151/
         24504121178210902322558782781003172714877769720207437777167156\
         51072000000000000000000*ep^2-307833581503813322569001266/43095
         *ep^2*z5-12547014870140212494905453033637451/6688130248800*
         ep^2*z4+110057281219236201966579252079286740260781/
         43248526728655248000*ep^2*z3-
         10276271515000111882434008725942559561089896707430851883844188\
         57124694793725077675840572901415389980062406536220461371036886\
         66918279768561203641095957/29218847323280451224179204375787888\
         88238357149540724499582587258662397789043237409225378709321346\
         3017684992000000000000000000000*ep^3-
         456990081798715131467399327/25857*ep^3*z6-25787420188191460893\
         055158027514181/1433170767600*ep^3*z5+110057281219236201966579\
         252079286740260781/28832351152436832000*ep^3*z4+43667909561278\
         6688974664671801409574063277144107287/
         135917125920793087281290880000*ep^3*z3-
         333222667611976572321468602/129285*ep^3*z3^2;
Fill mncnoptab(17,4,1,6)=
      +mncF321*(1287505034122152384+714431526764196536064/65*ep+
         11434479948692184684828/325*ep^2+6320065718614451310289264/
         102375*ep^3)
      -32475235583255812564382113995682632320755854455503/
      5126571095336865823301452800000-1857441421141889/25350*ep^-3-
         508972750126539424002527/536481036000*ep^-2-120383804263727196\
         0796353368324423/261131114229410880000*ep^-1-
         214751062962612656323184/12675*z3+2085882750032431354665243856\
         11496109627470381524346318789747916613287732323371566026961259\
         286849063/3487794357666587286225984864656613910952753141129974\
         980280320000000000000000000*ep-107375531481306328161592/4225*
         ep*z4-77078515323335638285527573151253/268240518000*ep*z3-
         20625985128717819116190209809434017247543362479798184295857642\
         1722678697790663964918518449622166541327739745149/
         78432686964741862447598376348906800637138512571745077066996143\
         3264947200000000000000000000*ep^2-6943618622139676005816826/
         4225*ep^2*z5-77078515323335638285527573151253/178827012000*
         ep^2*z4+850636448264474970478028869500897358597901/
         1436221128261759840000*ep^2*z3-
         94638348891997549777405450162791022673887262760926203894561867\
         08331259246959672374735521513824942419508150447993061851243509\
         1082241662471499929283011/596790182256545163892549108982595769\
         65652719557612837001278334531503222815425600678622931154439262\
         699520000000000000000000000000*ep^3-10308052401728207680563647/
         2535*ep^3*z6-366670346901613296260541698047717/89413506000*
         ep^3*z5+850636448264474970478028869500897358597901/
         957480752174506560000*ep^3*z4+18577420485999218559103823979226\
         11924479412025613507/2563285547668432911650726400000*ep^3*z3-
         7516288740242552230691522/12675*ep^3*z3^2;
Fill mncnoptab(17,4,2,5)=
      +mncF321*(3029423609699182080+338029923059917005456/13*ep+
         5458254358036064553672/65*ep^2+145287419545657545594931/975*
         ep^3)
      -21650706481414690940188621956859940997121861880737/
      1452528477012111983268744960000-91540578694956072/14365*ep^-3-
         12336179812097061679252093/152002960200*ep^-2-2683433362732720\
         0196835966613373627/73987149031666416000*ep^-1-
         572667641628760859088864/14365*z3+2329888107458994699605490056\
         97446434051205125939413593956027490297029001392685735681259200\
         577365464973/1664933514575722106952836134992481216532406239449\
         804856586613555200000000000000000*ep-859001462443141288633296/
         14365*ep*z4-25763048069584800737355755528291/38000740050*ep*z3
         -2291591122320159859688304180553614597901457959806234998499143\
         62813218109904861862919091609146968485901000647814923/
         37440627449489175457985560933914150352144440361248229988701278\
         9783355195392000000000000000000*ep^2-
         55548928832386728582252288/14365*ep^2*z5-
         25763048069584800737355755528291/25333826700*ep^2*z4+554385444\
         607777261770400446707327189322029/406929319674165288000*ep^2*
         z3-12331163772591526310084477398748468456600552382730559042216\
         13561962063854027899985438282860383797498523260692492728001061\
         0817172045953471804248948013227/
         13406294654211030561682223184185031369564226921422147703967165\
         06915688397325720693644585525453323597282017280000000000000000\
         000000*ep^3-27488130595378983861581712/2873*ep^3*z6-
         62247695502990499862077824663637/6333456675*ep^3*z5+5543854446\
         07777261770400446707327189322029/271286213116110192000*ep^3*z4
         +61289205467384804648288768735141386786438619540653/
         34584011357431237696874880000*ep^3*z3-
         20043456296450712264112512/14365*ep^3*z3^2;
Fill mncnoptab(17,4,3,4)=
      +mncF321*(2356218363099363840+265009499159007623328/13*ep+
         13003824486094656001568/195*ep^2+2462693758380386881634878/
         20475*ep^3)
      -71628363469181242845361352117857205788306571729/
      6178051178217867603695040000-6616723672929250364/129285*ep^-3-
         7589277242471866878183647/12666913350*ep^-2-102426764183606346\
         62201057865717469/4423144779067014000*ep^-1-
         4008540371676751001109568/129285*z3+46101139422984612174088435\
         83347158899822391534572156597345731621499623959808515550287320\
         29609872703/42694111658389520618828377917124528606732205696419\
         75139763486720000000000000000*ep-2004270185838375500554784/
         43095*ep*z4-8622065131869922605960733489117/16286031450*ep*z3-
         27923722919471540148740599967596989788831284764713587044055651\
         11370447320474971000550190067606923785047981137/
         59633229299294051892179053775849321118926540391096820574513992\
         08448819200000000000000000*ep^2-129613697305129966826035952/
         43095*ep^2*z5-8622065131869922605960733489117/10857354300*ep^2
         *z4+125776942644397322356922145021592462211/122865132751861500
         *ep^2*z3+17971403794774657967327308125657371606097608484074367\
         94813821579317395295748181537590209112074225252421374392900824\
         4796762246243299922359612261726359568621/
         58714054852786581321879902574906086985784978919609907545463693\
         65499298439917471198792185114869370845815211085004800000000000\
         000000000*ep^3-192416275771856574738499144/25857*ep^3*z6-
         894930659818145951286079778439223/114002220150*ep^3*z5+
         125776942644397322356922145021592462211/81910088501241000*ep^3
         *z4+4489490607147207709692434784613631208286520625551/
         3089025589108933801847520000*ep^3*z3-
         140305671585703182117076144/129285*ep^3*z3^2;
Fill mncnoptab(17,4,4,3)=
      +mncF321*(744068956768220160+84617034340489735392/13*ep+
         1408746670180122194944/65*ep^2+116904585799737808482766/2925*
         ep^3)
      -286585327070728483891598865679402833684470090831/
      78255314924092989646803840000-18620362575560527056/272935*ep^-3-
         3439610467472140498637625851/4332084365700*ep^-2-3058888303454\
         479780676408781007475633/1008477009627279192000*ep^-1-
         2672050743567822171451072/272935*z3+17090761259478948572550464\
         29830727315894468464756512924021530399194964648715758208683161\
         240479993/5047392756058494437603710455980055381951451873443401\
         7207870554112000000000000*ep-4008076115351733257176608/272935*
         ep*z4-9582549438045951250571953513063/57001110075*ep*z3-
         25530562361335056320292728222234444138447127472349891725014461\
         001136017957434669043632633136635283189602101/
         17624932215124686448132920338195466019593844160035282525356357\
         6605265100800000000000000*ep^2-259224091343315485120417024/
         272935*ep^2*z5-9582549438045951250571953513063/38000740050*
         ep^2*z4+154959200966093086165966193038765181255821/
         504238504813639596000*ep^2*z3+
         30487831056363983512869804567176291954595125730456348281147346\
         78876118094672879722338734663213058093394802592314712750787053\
         96269680642155668253258577727/43474495726552197547667518973241\
         57374147456661336449154255222827965258311512225340972346845054\
         38747961250740783022080000000000000000*ep^3-
         128276020299873831474482976/54587*ep^3*z6-10309328107446098639\
         8173286167062/40111892275*ep^3*z5+1549592009660930861659661930\
         38765181255821/336159003209093064000*ep^3*z4+17468122249214787\
         45468410234689105661126789833789/3557059769276954074854720000*
         ep^3*z3-93540494148806144947122176/272935*ep^3*z3^2;
Fill mncnoptab(17,5,1,5)=
      +mncF321*(402345323163172620+45270933273095048442/13*ep+
         2963580759518711370819/260*ep^2+1123107793516311869970709/
         54600*ep^3)
      -515490119148162841996479204771594314463102863737/
      260397261985364613247057920000+550656373571513/5408*ep^-3+
         87941368861062324757811/572246438400*ep^-2-1092259355334616896\
         693750049024619/145901828902781952000*ep^-1-
         894796816203382974343/169*z3+825351852143771085781891352244634\
         5399854481772962099801078311216566971882594133956692225974033/
         44771321400355552455874585142654957083224369464196433118295490\
         5600000000000*ep-2684390448610148923029/338*ep*z4-
         25872117204491811232401743092879/286123219200*ep*z3-
         70412137986861797966219915640791848757554372447301614354921728\
         123224326134357859757002936512130242745377569/
         88095593998798059901142496315092118475633977320584070561650068\
         1843188695040000000000000*ep^2-694361916005582955918513/1352*
         ep^2*z5-25872117204491811232401743092879/190748812800*ep^2*z4+
         89107422942978905860504656641312397136781/
         510656401159736832000*ep^2*z3+
         15294776151371385785286612002569801628544125042551653686923726\
         33526081150117269067798920552864902084679746973512014589939948\
         398722702415886765623/6703147327105515280841111592092515684782\
         11346071107385198358253457844198662860346822292762726661798641\
         008640000000000000000*ep^3-3436017707379779460618845/2704*ep^3
         *z6-6096187327000655811349827178691/4541638400*ep^3*z5+
         89107422942978905860504656641312397136781/
         340437600773157888000*ep^3*z4+12378438221681048483101131212229\
         595151200045459871/49712204560842335256256512000*ep^3*z3-
         250542878137005847801463/1352*ep^3*z3^2;
Fill mncnoptab(17,5,2,4)=
      +mncF321*(757355902424795520+85724771946992906112/13*ep+
         1416443231518719671256/65*ep^2+90548296511652432018686/2275*
         ep^3)
      -10826327471305176566740757309134590431104786432697/
      2905056954024223966537489920000-30027176587526195/2873*ep^-3-
         4296137897085991344189181/33778435600*ep^-2-122763049258126912\
         124166819331996117/232531039813808736000*ep^-1-
         28632805607819503907872/2873*z3+143615127823424896743788816852\
         64247812935302956300607638876958149021278331492799439379149739\
         534597403/4155674052381002378954278992941233116464885973666712\
         92204018743377920000000000000*ep-42949208411729255861808/2873*
         ep*z4-8649994858763533384942033229653/50667653400*ep*z3-
         13905595567232955425676956577061946016335105559827445649155506\
         580853824228698671513364066045814732153049077607081/
         93451806113924981943131960091049719278952523141675582051798392\
         329925456769843200000000000000*ep^2-2777440370311440340060884/
         2873*ep^2*z5-8649994858763533384942033229653/33778435600*ep^2*
         z4+260205503282825411708478456290825402873603/
         813858639348330576000*ep^2*z3+
         79981279583429131077125167850060887346863129986502617228967731\
         84403038787048822018019257727382856018556289502967932919563717\
         541852298622301717491694437/1137711789534964897586600188302678\
         50214669855345956914274946949642892980150649960945454106032070\
         8537597411144499200000000000000000*ep^3-
         6872018911759052090382530/2873*ep^3*z6-
         6871062790446116835614358328549/2666718600*ep^3*z5+26020550328\
         2825411708478456290825402873603/542572426232220384000*ep^3*z4+
         1345739697885765956431909616660559371106116647657/
         2766720908594499015749990400*ep^3*z3-1002179288606848510020940/
         2873*ep^3*z3^2;
Fill mncnoptab(17,5,3,3)=
      +mncF321*(441790943081130720+50427350252557922952/13*ep+
         844443052802856208526/65*ep^2+54894605299642835543331/2275*
         ep^3)
      -143300136014253691107133062860013836201668285891/
      65899212567657254439413760000-1298228111496483277/34476*ep^-3-
         76847843164291698627311803/173717668800*ep^-2-4871717533230506\
         66601846122707543237/283081265860288896000*ep^-1-
         50101504561800529331912/8619*z3+147715590873643989104770904728\
         31525670517721553248498115862481244688968665214548862598495041\
         61/73792291755241146748592258128363382777068009845663767847763\
         968000000000000*ep-25050752280900264665956/2873*ep*z4-
         60804345280131556722649907111411/608011840800*ep*z3-
         58601114801753883551483067522443446618610083373965815478995345\
         911133427943801066085913489188438401209489/
         68713186023877919875761872663530081947734285224309093666106657\
         5459123200000000000000*ep^2-1620152516835603337762153/2873*
         ep^2*z5-60804345280131556722649907111411/405341227200*ep^2*z4+
         3624656160111116528169205286438369087987/20220090418592064000*
         ep^2*z3-161706622837393694432869032370828948638659557021769065\
         48637091620478097061754743980621959036751070068095318348723784\
         94621721904625984158259278799515811/
         80508325419541106569754664765262173595323271506230539893615237\
         55491219095393009890689531194545161999282421125611520000000000\
         000000*ep^3-24051780229725047419772735/17238*ep^3*z6-938947206\
         703908136521202482470497/608011840800*ep^3*z5+3624656160111116\
         528169205286438369087987/13480060279061376000*ep^3*z4+
         178500714464360468124271666368755845165701508177/
         599083750615065949449216000*ep^3*z3-1753878081170745840006653/
         8619*ep^3*z3^2;
Fill mncnoptab(17,5,4,2)=
      +mncF321*(93008619596027520+10737915157338903072/13*ep+
         183076348111447777976/65*ep^2+12170256966430496223656/2275*
         ep^3)
      -75867078641145676355953934984048826480697587354859/1655882463793\
      80766092636925440000-3100618265641594093/163761*ep^-3-
         185750734677842259868686883/825158926800*ep^-2-276869780347205\
         98072855771169631386011/30926628295236561888000*ep^-1-
         200365466752564542455840/163761*z3+150230340187900472097173348\
         52781494449665795645568545392310418401114420903957414530309984\
         0742516623779/360949974835378492343457375386895676401521524569\
         90877951434770853396480000000000000*ep-
         100182733376282271227920/54587*ep*z4-
         3218494894504298394206431140449/152002960200*ep*z3-
         70927479537928931513978689203878765651448694796990851973303250\
         0972398061263376830510884737246609076043346929619997/
         40584784369475992158160165525255878086859381478670538491066730\
         383281912654331904000000000000000*ep^2-
         6480467383457911707480100/54587*ep^2*z5-
         3218494894504298394206431140449/101335306800*ep^2*z4+787325772\
         47472411471481662145183169097581/2209044878231182992000*ep^2*
         z3-11746227612497339172184327720023860616374113511866637349757\
         22744002741574866007034196800816182948133363229335061018896657\
         50448055799050546825331990224111351/
         82534112050342686217841291529935186851570001727379968597028132\
         31604901819798229594257379447231415120479058961346907340800000\
         000000000000*ep^3-48102591709052926449961150/163761*ep^3*z6-
         973348859393130116099396261489137/2888056243800*ep^3*z5+
         78732577247472411471481662145183169097581/
         1472696585487455328000*ep^3*z4+1104025129901488118853936398307\
         229306267297695046403/16558824637938076609263692544000*ep^3*z3
         -7015965582426741564444788/163761*ep^3*z3^2;
Fill mncnoptab(17,5,5,1)=
      +mncF321*(5813038724751720+1362955376773873575/26*ep+
         9519165423879520519/52*ep^2+7819505212466362671499/21840*ep^3)
      -9504334458086893862032790470957594268516177096063/33117649275876\
      1532185273850880000-415772429353125955/2620176*ep^-3-
         13672082273565551743201553/3300635707200*ep^-2-548810981974729\
         698110332504042989209/16494201757459499673600*ep^-1-
         12526739916551362510613/163761*z3+4623540737176029814193254407\
         60873339720782220369123902385469505492210968500124039240971009\
         559375787399/1804749874176892461717286876934478382007607622849\
         543897571738542669824000000000000000*ep-
         12526739916551362510613/109174*ep*z4-
         1081518045768503846238350019539/810682454400*ep*z3-
         42945958157223269588816093605396060176675236904042183727238897\
         4216702354882248371634205681186407051582234551300427/
         40584784369475992158160165525255878086859381478670538491066730\
         3832819126543319040000000000000000*ep^2-
         1620171128430348530981923/218348*ep^2*z5-
         1081518045768503846238350019539/540454969600*ep^2*z4+241081394\
         5073713327503507513218925224753/1178157268389964262400*ep^2*z3
         +2407009826071386124608429762940488859412072565601904842706379\
         67156797466284241498781651415469524785598204540493804795592631\
         2090515811315311016232048578426639257/
         93304813672912406769269580074591728735699886952803054498940303\
         58329341507281898556307967465095114793701576155802678748774400\
         00000000000000000*ep^3-24052032128124200714516585/1310088*ep^3
         *z6-1020456688001567925112614878775691/46208899900800*ep^3*z5+
         2410813945073713327503507513218925224753/785438178926642841600
         *ep^3*z4+1485304787813140590777824668296356876641270611440017/
         331176492758761532185273850880000*ep^3*z3-
         1753813262200921614752015/655044*ep^3*z3^2;
Fill mncnoptab(17,6,1,4)=
      +mncF321*(61309763529626304+35183175372926440992/65*ep+
         4159306626871240417892/2275*ep^2+2458084474968047252225068/
         716625*ep^3)
      -57280996023608610446294722023572793085868928953/
      189873003530995030492646400000-963643494313621/11830*ep^-3-
         5646824804196218880336269/3755367252000*ep^-2-2058405542838080\
         10716881997464551839/20107095795664637760000*ep^-1-
         4772230761266276065648/5915*z3+2343364904896490878010157438925\
         17403769030235964381168881696057481796013785327023647453377671\
         199/8487896348817406819759556766628335613694620044253907112010\
         1867520000000000000*ep-7158346141899414098472/5915*ep*z4-
         31374224316422316242288939983/2254122000*ep*z3-
         22326475950415961130482136713956586774883028188767627585845121\
         9822601370172389335901023848578763710267849603/
         19087378699739579645247540868269959003054028419459881955024181\
         439935755059200000000000000*ep^2-462907765670023739565126/5915
         *ep^2*z5-31374224316422316242288939983/1502748000*ep^2*z4+
         12809966568421887925539978888616551431077/
         529134099885911520000*ep^2*z3-
         40204456439284021534382403145999327206321781516941889186780655\
         56711633662051763777575581244204234164470436843136755249049412\
         132050545908793066464188577293997/
         30063400191129266412416828835872109092254811611346188334653052\
         98524441832909166685454601753813408416788544467100080537600000\
         000000000000*ep^3-229067767454378731749739/1183*ep^3*z6-
         136513399796252715093238640871551/625894542000*ep^3*z5+
         12809966568421887925539978888616551431077/
         352756066590607680000*ep^3*z4+80647078581974267890443166625649\
         48748235069911951/188873671933463477700579840000*ep^3*z3-
         167028844067453002944298/5915*ep^3*z3^2;
Fill mncnoptab(17,6,2,3)=
      +mncF321*(86554960277119488+49986769222440271584/65*ep+
         5968766824549241445744/2275*ep^2+1190538301755723918759842/
         238875*ep^3)
      -96706428351922911329307199790280143469724042151/
      226957574533142497385741400000-522569751035693812/100555*ep^-3-
         42516354207707878651007761/665012950875*ep^-2-6418194438893176\
         78102285036751062429/2373754364765964180000*ep^-1-
         114522669967344660731072/100555*z3+416167611547038584430738122\
         32997104938566991184800687091260168615793332149981780238947100\
         6343979189/107739697654322283898814640557735673389830377095062\
         927608449303838720000000000000*ep-171784004951016991096608/
         100555*ep*z4-3745451835066180898440238498177/190003700250*ep*
         z3-20057227494328103880140161852982983836623498008257499446683\
         15657846559235630781416629389735286303817841983223/
         12361350015069442055969835990879592497215942214507352123253755\
         5991964889907200000000000000*ep^2-11109669417044582275722864/
         100555*ep^2*z5-3745451835066180898440238498177/126669133500*
         ep^2*z4+39266485509618882726749649909587244148963/
         1186877182382982090000*ep^2*z3-
         23836740186512671891640963910467634230884525667751498879058192\
         20729589566890808736799979455538929823836483584571863349950897\
         7228672608670358322108403/128244485132765769454206140388385660\
         46742173710494338163037498349440432545161831346508514367544218\
         620260673126400000000000000000*ep^3-5497573373538618807495896/
         20111*ep^3*z6-46420604586391279593888403093967/147780655750*
         ep^3*z5+39266485509618882726749649909587244148963/
         791251454921988060000*ep^3*z4+13197436967395324765930398875027\
         647259336279492171/211827069564266330893358640000*ep^3*z3-
         4008808818056220667664912/100555*ep^3*z3^2;
Fill mncnoptab(17,6,3,2)=
      +mncF321*(33660262329990912+19609103908137211776/65*ep+
         1017228976994356571104/975*ep^2+206349244732029199685572/
         102375*ep^3)
      -10840039662130210717470200192727576471120500460217/
      65363781465545039247093523200000-969495290274437366/129285*ep^-3-
         29063847737558401743618089/325720629000*ep^-2-4345249378131056\
         198782809201475784513/12207879590224958640000*ep^-1-
         57245329242526789224256/129285*z3+4204856308631267078358216517\
         68124453948347421367996426700697511749212100636211000639024961\
         49069909/28144247550516841508261783655898298354894465853404193\
         334452063043584000000000000*ep-28622664621263394612128/43095*
         ep*z4-153981226992526512917664117709/20000389500*ep*z3-
         98180472734555201602932779704708673149810490404592801520845932\
         4982895547716463460072932864118860971121469127411/
         15822528019288885831641390068325878396436406034569410717764807\
         1669715059081216000000000000000*ep^2-1851555337175077047375224/
         43095*ep^2*z5-153981226992526512917664117709/13333593000*ep^2*
         z4+74951471158679337746661594585489421917121/
         6103939795112479320000*ep^2*z3+
         23326155269868145418975543216407318030155276409694495579724331\
         96449416398243299440181914641779720528495698795066835186119607\
         3417981293872148812665830093/169352851236980991521168136924048\
         80855970042418668301753776163397157898470910494704539611054132\
         37944081062678023372800000000000000000*ep^3-
         2748710341141352176450708/25857*ep^3*z6-
         20435135092637604438997831115593/162860314500*ep^3*z5+
         74951471158679337746661594585489421917121/
         4069293196741652880000*ep^3*z4+1652117197387247485643467678549\
         25888710898349054929/6536378146554503924709352320000*ep^3*z3-
         2004583873091362047289816/129285*ep^3*z3^2;
Fill mncnoptab(17,6,4,1)=
      +mncF321*(3543185508420096+2088203374726467768/65*ep+
         110289818738658667262/975*ep^2+7624489409716727287372/34125*
         ep^3)
      -43465759596296459301184935989372267734433163731083/2483823695690\
      711491389553881600000-329674571136030142/2456415*ep^-3-
         269113218488948860391001517/86641687314000*ep^-2-1096366108627\
         6392438781841647073883317/463899424428548428320000*ep^-1-
         114528436906132246695632/2456415*z3+14948493227376261238384990\
         38208854273163405515731674223228961407626834948658566995407488\
         812120677509853/9625332662276759795825530010317218037373907321\
         864234120382605560905728000000000000000*ep-
         57264218453066123347816/818805*ep*z4-
         464807337816522907257214608677/570011100750*ep*z3-
         13789842764728942796643854158921321591005955128002319962212661\
         99654170807996239888797002113734365146124884293443469/
         21645218330387195817685421613469801646325003455290953861902256\
         20441702008231034880000000000000000*ep^2-
         3703241739028452350561128/818805*ep^2*z5-
         464807337816522907257214608677/380007400500*ep^2*z4+1218012282\
         5790458549980236688530747368603/10084770096272791920000*ep^2*
         z3+26752945569428108535302952980159423780478508403894637070360\
         30180632382534825600376205414171787615430140044550195334493495\
         04813575865772768170811021620332211021/
         26190824890642079093128303178832765960898213881488576701456927\
         32162622177482638191244341744588102398232021377067418596147200\
         00000000000000000*ep^3-5497598390089612402493876/491283*ep^3*
         z6-296371011868263139331998339782977/21660421828500*ep^3*z5+
         12180122825790458549980236688530747368603/
         6723180064181861280000*ep^3*z4+4323531130784668269749321784026\
         379924638918701447/1542747637074976081608418560000*ep^3*z3-
         4008733195683840695813192/2456415*ep^3*z3^2;
Fill mncnoptab(17,7,1,3)=
      +mncF321*(4180211149747248+2469873001948479864/65*ep+
         305381062171550962449/2275*ep^2+2095764800604165900813056/
         7882875*ep^3)
      -201874364419400643606787322393010803606591721551/
      9807353399774873748924518400000+3748047626102681/141960*ep^-3-
         19831880373945213746014807/165236159088000*ep^-2-1428738725202\
         99650373830132930466139/38465748478662785280000*ep^-1-
         976160509091564572708/17745*z3+9462528256366096093964991516259\
         897205021640427594625996686086666105072737081612745335621691433
       /516654560362798675985364324925203037355324698345889998122359193\
         60000000000000*ep-488080254545782286354/5915*ep*z4-
         1624336353915754733148145007533/1686083256000*ep*z3-
         12467890234687617820599410880461398698639984543983657738608095\
         79317596963671461082791717468388609561029019/
         16597720608469199691519600755017355654829589929965114743499288\
         20863978700800000000000000*ep^2-63123920992286608862539/11830*
         ep^2*z5-1624336353915754733148145007533/1124055504000*ep^2*z4+
         620857894830174497450717512869875786920909/
         442356107504622030720000*ep^2*z3+
         46336593661348028489119765881089101458664071569069872472072372\
         56048157763634315879213451460124378409400849991043443493267383\
         962077421917486271813239697169/
         11452723882334958633301649080332232035144690137655690794153543\
         99437882603013015880173181620500346063538493130323840204800000\
         0000000000*ep^3-187419441958676697442201/14196*ep^3*z6-4479499\
         99024466125746420254811053/27539359848000*ep^3*z5+620857894830\
         174497450717512869875786920909/294904071669748020480000*ep^3*
         z4+530264921306542831218662131316048312486029102694791/1578983\
         89736375467357684746240000*ep^3*z3-68329330101791335064711/
         35490*ep^3*z3^2;
Fill mncnoptab(17,7,2,2)=
      +mncF321*(3934316376232704+2339962406284738752/65*ep+
         292260186661983561312/2275*ep^2+225648567349301291658992/
         875875*ep^3)
      -1549093070793288743872245889490763995908034846051/
      79889066235666159079780972800000-103284894307234706/100555*ep^-3-
         79209562917683987874461041/6502348853000*ep^-2-152072851993552\
         61933048648877256826959/313335576149107271760000*ep^-1-
         5203717783424292056896/100555*z3+50283714871372133215610964178\
         26709778803062164464523599931043779336215899066365507185469311\
         4441767/292267186101521046431949291811251559839288683862274315\
         396232962375680000000000000*ep-7805576675136438085344/100555*
         ep*z4-1267321932903197570104671659059/1393360468500*ep*z3-
         32780822634558256707550037768788552286051872693860898238314477\
         564752319354749877704671702643096447697266876203/
         46945962255032957962012915587340518319097028893777372459302175\
         110794577969152000000000000000*ep^2-504965604099966495791352/
         100555*ep^2*z5-1267321932903197570104671659059/928906979000*
         ep^2*z4+198617303817867475320948402658771322578943/
         156667788074553635880000*ep^2*z3+
         78034605868096128649643196617772532792326845880385057706814351\
         24004113336958370480998934394214495365256647187614789097826198\
         8058841756031237472384925204690188983/
         48308646510201071049909429819218000776428162510490564295043724\
         28004321547133794491728649907420044343334306038456449415249920\
         00000000000000000*ep^3-249880943158271101867228/20111*ep^3*z6-
         152233347707579835875003662776151/9753523279500*ep^3*z5+
         198617303817867475320948402658771322578943/
         104445192049702423920000*ep^3*z4+12099642344538002392926779691\
         834689564545384143859/3728156424331087423723112064000*ep^3*z3-
         182239889418064995712456/100555*ep^3*z3^2;
Fill mncnoptab(17,7,3,1)=
      +mncF321*(765005962045248+459036738514706814/65*ep+
         49810433068436996317/1950*ep^2+234596987117197531143857/
         4504500*ep^3)
      -21772312675485251492765702788368747948318162788849/5752012768967\
      963453744230041600000-7570067370094174/129285*ep^-3-
         78942146177494313967079157/66881302488000*ep^-2-89008118980182\
         29097025550160834070891/1074293403939796360320000*ep^-1-
         1301416253790485805644/129285*z3+41698408590364790396618121414\
         68734744578629589261639840328291574508832340598651819879702870\
         44728667/12664911397732578678717802645154234259702509634031887\
         000503428369612800000000000000*ep-650708126895242902822/43095*
         ep*z4-8913935646500297080647477022513/50160976866000*ep*z3-
         37554878497859100993750492654409751186920732986789963023636241\
         7614363742268759655599539290958821634494323388911/
         28480550434719994496954502122986581113585530862224939291976652\
         90054871063461888000000000000000*ep^2-42082089589300632813076/
         43095*ep^2*z5-8913935646500297080647477022513/33440651244000*
         ep^2*z4+124695482945621458226814120345971358604427/
         537146701969898180160000*ep^2*z3+
         24339348930432578156325745187337405259661634787804383765159213\
         29263254100967709628947832346256470052058695291352497335770490\
         8043343060110887639744342348807/
         34461611698213261964642504182674692053813439317748127238759114\
         89687660759845576567426765453405397892410554443509761310720000\
         00000000000000*ep^3-62472426257055706316792/25857*ep^3*z6-
         78116522001877285139428374952613/25080488433000*ep^3*z5+
         124695482945621458226814120345971358604427/
         358097801313265453440000*ep^3*z4+37535333707345505731231956887\
         0681886678409896231229/575201276896796345374423004160000*ep^3*
         z3-45553935204178496318324/129285*ep^3*z3^2;
Fill mncnoptab(17,8,1,2)=
      +mncF321*(103856177633472+449972212482204192/455*ep+
         59565221042530334892/15925*ep^2+147555670334268293385716/
         18393375*ep^3)
      -1551695145190711871309215107048864059145679109731/30263858032805\
      29791022290969600000-1513986868873611/82810*ep^-3-
         551338005788695261214159069/2216918467764000*ep^-2-14271960154\
         184855711959247375480389439/11869888884707357824320000*ep^-1-
         56568339894336678288/41405*z3+52846243864370661669255272371887\
         30142127670946446568497064579862469229970582053155629624658481/
         12549961030037165797787344647800467657391331065432562658472204\
         69760000000000000*ep-84852509841505017432/41405*ep*z4-
         554669253059677015944894233711/22621617018000*ep*z3-
         22243383365817608767579199293479984926993778648115767320243061\
         212481954121856352705560447350345710452489561/
         14111026395878903523450860570471005405829228152957841302464305\
         56452393320448000000000000000*ep^2-5488829151537350896506/
         41405*ep^2*z5-554669253059677015944894233711/15081078012000*
         ep^2*z4+145920958696176565434210162009759628717663/
         5934944442353678912160000*ep^2*z3-
         66379737786318449824619372553327193260303630117228864739511069\
         15842908239981228426536343364591307343119659802581975923636004\
         65521792971368714699501860822030920458177/
         17724058464066496116928662656650429105776452801699352618900839\
         48252284839653473789960486599896831324330200238757613951028790\
         5587200000000000000000*ep^3-2716130405821507109109/8281*ep^3*
         z6-170469266413459925454200099781551/369486411294000*ep^3*z5+
         145920958696176565434210162009759628717663/
         3956629628235785941440000*ep^3*z4+2101000148499845298351756760\
         94816431698045427652669/2118470062296370853715603678720000*
         ep^3*z3-1980815110214191690518/41405*ep^3*z3^2;
Fill mncnoptab(17,8,2,1)=
      +mncF321*(48873495356928+213161908251488328/455*ep+
         28496050455289714098/15925*ep^2+71440626002835081062054/
         18393375*ep^3)
      -296952287665579920340612033624523405288234248159/122496568228021\
      4439223308249600000-16596187450469154/703885*ep^-3-
         5674468383029700114801589601/18843806975994000*ep^-2-140801467\
         793039518389958823696886372521/100894055520012541506720000*
         ep^-1-452378062904936151024/703885*z3+707282789207122732370625\
         72006914419042055586220789460281807576404758060726333121171026\
         392470862498933/3495515545774191715326113530062568655677892658\
         9928008121389462300131328000000000000000*ep-
         678567094357404226536/703885*ep*z4-
         3895381705757943073008840562727/336496553142750*ep*z3-
         60138280610547949291651792752625960557346755005717633362712642\
         303399227152469884149211411684030421826785927471549/
         78606319199827184811594425859442963873496065179740832445855562\
         00551444135154810880000000000000000*ep^2-
         43908609383230767633288/703885*ep^2*z5-
         3895381705757943073008840562727/224331035428500*ep^2*z4+
         547676086313885153250035206226420411599537/
         50447027760006270753360000*ep^2*z3-
         55745033598820630848420921454052750754373981344723311181391736\
         38901849343671928346904888736890417894677717937356867648590360\
         43512749888472253299229392457870079/
         71772846243727305559865438588552458296407555729871695524064961\
         78749277727170208959139708433881208738668111828563867702657024\
         0000000000000000000*ep^3-21728115660162915741132/140777*ep^3*
         z6-347094693475343089060522929995227/1570317247999500*ep^3*z5+
         547676086313885153250035206226420411599537/
         33631351840004180502240000*ep^3*z4+855195886826885589568858343\
         670439726941531170398513/18006995529519152256582631269120000*
         ep^3*z3-15847870258550281824504/703885*ep^3*z3^2;
Fill mncnoptab(17,9,1,1)=
      +mncF321*(540917591841+10296155276103609/1820*ep+
         773085899600912857/31850*ep^2+4056581367846571668053/67914000*
         ep^3)
      -8379777543362139810504947882922421107253902899/30744236731738715\
      33736930508800000-6360014001293997/5299840*ep^-3-
         4963853501723294015280223769/425648345810688000*ep^-2-10353891\
         5037734785325944188665800283219/2279018665863812702269440000*
         ep^-1-589656078635458083/82810*z3+2422386056615525779803937644\
         23694050758663934133834203253601148069836081/11986169917750045\
         026003705751002107434261962880450560000000*ep-
         1768968235906374249/165620*ep*z4-
         4087125282986753319122646043877/30403453272192000*ep*z3-
         68591282012548501021081687481315906838222501284878739065530269\
         50622072140553386429/10696116189034085949921565386506262094231\
         3505233327292940288000000000*ep^2-914732833132146835011/
         1324960*ep^2*z5-4087125282986753319122646043877/
         20268968848128000*ep^2*z4+998500680846923205552108388581118192\
         1083/1139509332931906351134720000*ep^2*z3-
         24257906898984145690846682595169179540863924218898727096316900\
         56283671465829430672129661403391981961778159897379787909576614\
         35291039/13583725872729899487904996275159279964471862492446833\
         39295807112211977113461851727838110557692074393600000000000000\
         000*ep^3-905298335873979505683/529984*ep^3*z6-2162983862211507\
         91440913598607251/70941390968448000*ep^3*z5+998500680846923205\
         5521083885811181921083/759672888621270900756480000*ep^3*z4+
         261959341472290835395330829776785227880073534183993/4067462519\
         60903203913395906314240000*ep^3*z3-329755843041764652693/
         1324960*ep^3*z3^2;
Fill mncnoptab(18,1,1,8)=
      +mncF321*(41459098620132864+2745701077608061747416/7735*ep+
         308929106545278240822474/270725*ep^2+
         1886023113610624008036890242/938062125*ep^3)
      -5619892858689296910122679714111306122047857508610465101/27550703\
      160164302952571425841753600000-104982591195414014/59830225*ep^-3-
         10330830658055826789384957413/961034155775694000*ep^-2+
         65041064369882152384581534019332836593/
         5145596831520639616842720000*ep^-1-32642161382854674222796368/
         59830225*z3+16508256135984467203217085569863644593599463496922\
         0035660678741686506390904060843198766325601/859735026848212756\
         09667752578728326267599412430407186828492800000000000000*ep-
         48963242074282011334194552/59830225*ep*z4-22263880539332182072\
         33923934365788161/240258538943923500*ep*z3-
         16602410801668042707128255620747102262924973389736996659276220\
         1442272289919399828457149723153925538567911/
         19728077613849754778902400916930929064687573527396449280428789\
         569945600000000000000000*ep^2-452327153590132296335731208/
         8547175*ep^2*z5-2226388053933218207233923934365788161/
         160172359295949000*ep^2*z4+48494276611299045596427430849340062\
         829297653639/2572798415760319808421360000*ep^2*z3-
         18175637305113548035994975078436493325727716155240502192978312\
         46257629724981553676196229271777172944837140115213733205351858\
         93825198339531271/28941118428174513221189847901661408295893334\
         74887088041449509270725904899602118473909127099686322176000000\
         0000000000000000*ep^3-1566823956874035700063661044/11966045*
         ep^3*z6-890155327914405073168989770071692967/6673848303997875*
         ep^3*z5+48494276611299045596427430849340062829297653639/
         1715198943840213205614240000*ep^3*z4+3301927622219325452420801\
         71214311153393862487123438193829/13775351580082151476285712920\
         876800000*ep^3*z3-1142475887558555529628201544/59830225*ep^3*
         z3^2;
Fill mncnoptab(18,2,1,7)=
      +mncF321*(112860879577028352+1073595164257639989504/1105*ep+
         17411084189493245849008/5525*ep^2+107528775286884263867253784/
         19144125*ep^3)
      -17345358817184486424354548218979063643082669716751529/3123662489\
      8145468200194360364800000+487625646053202/1221025*ep^-3+
         85779998065575883250593597/9806470977303000*ep^-2+207802896292\
         0502718085540491249010183/52506090117557547110640000*ep^-1-
         1813453713520203985574976/1221025*z3+4275856104365256327615092\
         14272356776048389258275354792895668100851895097323475118248792\
         1484871/822450599663468835551668551454671488529331113811293241\
         344000000000000000000*ep-2720180570280305978362464/1221025*ep*
         z4-124028226444613367975989757111825597/4903235488651500*ep*z3
         -2994207555836096751060778853691925631359620518927844040575178\
         20317648317381572880820513560400280728405999/
         13210766259274389360872143471159104284389000129952979428858564\
         444160000000000000000000*ep^2-175905007940680757783065992/
         1221025*ep^2*z5-124028226444613367975989757111825597/
         3268823659101000*ep^2*z4+1316200411468972480198126159769134197\
         860031529/26253045058778773555320000*ep^2*z3+
         22469760008867276932967060916496825784543036206201318884516117\
         55305126231556899368325447756695100714487279342805978151663337\
         357099978242569333/1842781418283764923471680111289461099656881\
         72278524789578009569891118842586910400787683194918802554880000\
         00000000000000000*ep^3-87045777113580276898745508/244205*ep^3*
         z6-604430028273817325148770542012304933/1634411829550500*ep^3*
         z5+1316200411468972480198126159769134197860031529/
         17502030039185849036880000*ep^3*z4+317129925315896620183429741\
         8031921495292872100876266943/468549373472182023002915405472000\
         00*ep^3*z3-63470878673155804899310008/1221025*ep^3*z3^2;
Fill mncnoptab(18,2,2,6)=
      +mncF321*(263342052346399488+2521108417693075743456/1105*ep+
         123937585775370240569536/16575*ep^2+86179659479360120848626502/
         6381375*ep^3)
      -364252620966527974937944237831278032287182876518506939/281129624\
      083309213801749243283200000-348995857378584958/10989225*ep^-3-
         3282191385811636311859936837/9806470977303000*ep^-2-9200788473\
         12544252412817609004759361/833430001865992811280000*ep^-1-
         38082517314489118730688896/10989225*z3+90842212396495693491080\
         29270183920711907381709465246596891676906763206386512564351202\
         45254123339341/75270678881200667829688705829131534630204383536\
         009557447802880000000000000000000*ep-
         19041258657244559365344448/3663075*ep*z4-290336527130729508865\
         354258966302773/4903235488651500*ep*z3-
         12627218197909493680158644477355008387477339556896929061320713\
         4667167346878296291655671296072724980672317473839/
         24180986560975842286140371409609624482145625837865933546582716\
         35859046400000000000000000000*ep^2-
         1231335020032054428193443544/3663075*ep^2*z5-29033652713072950\
         8865354258966302773/3268823659101000*ep^2*z4+33176930036893821\
         9636808235482994418161257919/2917005006530974839480000*ep^2*z3
         +1104526876263609111114027383433625007642152444551933733134554\
         60243787333144185575395280466645541549324168948664982336688575\
         202836644036463777589379/2635177428145783840564502559143929372\
         50934086358290449096553684944299944899281873126386968733887653\
         478400000000000000000000000*ep^3-1827961271390837082924820868/
         2197845*ep^3*z6-617419379420179287979709761449322213/
         700462212664500*ep^3*z5+33176930036893821963680823548299441816\
         1257919/1944670004353983226320000*ep^3*z4+23130668463956720875\
         954962194260454024273228127689534311/1405648120416546069008746\
         21641600000*ep^3*z3-1332888589690080671737341368/10989225*ep^3
         *z3^2;
Fill mncnoptab(18,3,1,6)=
      +mncF321*(106920833283500544+1026133643663572596768/1105*ep+
         1298589504386825143872/425*ep^2+35391990730565653449725386/
         6381375*ep^3)
      -89306721810898471706936211854065171413342673776037/1697642657507\
      90588044534567200000-11201745179152156/1221025*ep^-3-
         417016129050625472285353/5075813135250*ep^-2-32640700300820148\
         753495871744855919/190239456947672272140000*ep^-1-
         1718008371500189470388672/1221025*z3+3516035822671418651750214\
         05812593203756888878105775699563782673790659463976631311517890\
         474628979/7192611455442013170538815654957623949374523032585719\
         7752320000000000000000000*ep-2577012557250284205583008/1221025
         *ep*z4-855278871789045893253147549782753/35530691946750*ep*z3-
         34120074577493154980743799182421695714140889310794183933416270\
         1495996967627500721231530462762812207963252137/
         16174572950485513234876502615123494636886706246064169596376398\
         902067200000000000000000000*ep^2-166646845656641722968598224/
         1221025*ep^2*z5-855278871789045893253147549782753/
         23687127964500*ep^2*z4+434389693965218502487463660347475894743\
         5433/95119728473836136070000*ep^2*z3-
         55481314267209058405647996639011874195446723580794041166479789\
         35653088754196349928096068035576338958126533713305646758849362\
         861152889277753433937/5791598743177546902339566064052592027493\
         05684303935052959458648229230648130289831047004326887665172480\
         00000000000000000000000*ep^3-82464418642570766749104776/244205
         *ep^3*z6-4273132405486376403877916437521967/11843563982250*
         ep^3*z5+4343896939652185024874636603474758947435433/
         63413152315890757380000*ep^3*z4+287961937773343039123995003424\
         7672250262967773349629/42441066437697647011133641800000*ep^3*
         z3-60130311741357255136665776/1221025*ep^3*z3^2;
Fill mncnoptab(18,3,2,5)=
      +mncF321*(207901620273473280+401925773504679554592/221*ep+
         514532192424406463728/85*ep^2+14228211659533681260878354/
         1276275*ep^3)
      -833542457439352074076560487470256797647464426642427/814868475603\
      794822613765922560000-109348276584758362/732615*ep^-3-
         57733144733399400327433141/28424553557400*ep^-2-24357926929422\
         286551955615279431593/2415739135843457424000*ep^-1-
         2004341411122356863644544/732615*z3+59262490196793525338592836\
         64516626249437287746237065376211777196214767609044600066012853\
         1175447011/628346536747414270578270935617098028217358332126688\
         4795642675200000000000000000*ep-1002170705561178431822272/
         244205*ep*z4-222549468400375663012469423595803/4737425592900*
         ep*z3-81552620608081063448047052800496320907436101255105896255\
         72934429097166029122768908434053799788951393862865493/
         20185867042205920517125875263674121306834609395088083656277745\
         8297798656000000000000000000*ep^2-64807100153847056012580616/
         244205*ep^2*z5-222549468400375663012469423595803/3158283728600
         *ep^2*z4+2178430845610675599149365265506702943248901/
         25365260926356302952000*ep^2*z3-
         35638862013286062654496944250037568825728742308272292478963239\
         85090168071946363916760715230562136069320842814302644895838855\
         14373791133150605968561327/12428761636301026568345665030151160\
         00685285599627149737354913523966091804118564968963141610294006\
         439877804032000000000000000000000*ep^3-
         96208479525209405587048652/146523*ep^3*z6-14580774562358118076\
         00527950964329/2030325254100*ep^3*z5+2178430845610675599149365\
         265506702943248901/16910173950904201968000*ep^3*z4+
         56096005315716682365967654461923594763423672010565783/40743423\
         7801897411306882961280000*ep^3*z3-70152045542306618737021352/
         732615*ep^3*z3^2;
Fill mncnoptab(18,3,3,4)=
      +mncF321*(131306286488509440+256474431608797454976/221*ep+
         4338596171319593377872/1105*ep^2+9419229200244438837235832/
         1276275*ep^3)
      -525265623920650198013648995741735231287201692561/
      812985771711410503552906560000-6952758898701750088/4639895*ep^-3-
         2422099743020005224264781523/135016629397650*ep^-2-25302931441\
         1694625509868880621098291/3492318533338911276000*ep^-1-
         8017217691497243918934656/4639895*z3+7661924651317867753628722\
         72935675113564171543620472906148363613103952878841415646181880\
         187/1297489735962496702269411600594194977867086170399361623654\
         40000000000000*ep-12025826537245865878401984/4639895*ep*z4-
         105972533970815446722084944411693/3553069194675*ep*z3-
         11624411414832977613503985252101710690977183136578245702474453\
         3751484505000885026963088355094518076571/465150774100987853821\
         7953697418710618567063871957099666938470701465600000000000000*
         ep^2-777683644915163261564403552/4639895*ep^2*z5-1059725339708\
         15446722084944411693/2368712796450*ep^2*z4+2701370846822404810\
         91860949251576449024901/5238477800008366914000*ep^2*z3+
         90742920157653384641644714469895330352833540280094642205178736\
         91261711720076576438629754519995391918926273715206659553600604\
         4872229597494655645707/460172331658087595257756854008902453146\
         28756085368849779752170143537944483067529429379127389397924385\
         5583641600000000000000000*ep^3-384833213611833008822734448/
         927979*ep^3*z6-3515945826624205207032777567965521/
         7500923855425*ep^3*z5+2701370846822404810918609492515764490249\
         01/3492318533338911276000*ep^3*z4+2290709182535074206995720283\
         998063908517462268223/24887319542186035823048160000*ep^3*z3-
         280609846553222864195346848/4639895*ep^3*z3^2;
Fill mncnoptab(18,4,1,5)=
      +mncF321*(44550347201458560+86646766894049289312/221*ep+
         1455785554622771953416/1105*ep^2+854569237877088700139314/
         348075*ep^3)
      -32475559533231216444470445437389679449530806220091/1481579046552\
      35422293411985920000+1485399939196943/146523*ep^-3+
         907407000969031239730453/15504301940400*ep^-2-2203160792192412\
         2844287780863998097/83013581213529718752000*ep^-1-
         85900488520607296136480/146523*z3+8081939513856769797954183778\
         87233041230520708063386737517916076725155457194909645644051715\
         213/4021417835183451331700933987949427380591093325610806269211\
         31212800000000000*ep-42950244260303648068240/48841*ep*z4-
         78276862320480294036392388738497/7752150970200*ep*z3-
         15780906847429286994337703760803864293703478407155116191039703\
         463653017711558085805058929268043164209033/
         18455649867159698758515085955359196623391642875509105057168224\
         75865587712000000000000*ep^2-2777447646441151264974580/48841*
         ep^2*z5-78276862320480294036392388738497/5168100646800*ep^2*z4
         +39049850065109340094213822694703744941531/
         2184567926671834704000*ep^2*z3+
         10032187266977961504774344472147307898387279939501967090493596\
         27530761486859287592646209986925007309093179323152307363787243\
         169295191399447671/4786765426347318792683150666042871914780097\
         99164360362212814596261952011214612053640084628005514741400207\
         3600000000000000*ep^3-20616106127007116246968150/146523*ep^3*
         z6-405416121252646552320309047892673/2584050323400*ep^3*z5+
         39049850065109340094213822694703744941531/
         1456378617781223136000*ep^3*z4+2380943428324922161699747383385\
         0236415317951520561/779778445553870643649536768000*ep^3*z3-
         3006514620047175223796612/146523*ep^3*z3^2;
Fill mncnoptab(18,4,2,4)=
      +mncF321*(69300540091157760+135840273794384477472/221*ep+
         6931906035662380981648/3315*ep^2+1377425766616873461093314/
         348075*ep^3)
      -6889235377722951341130860554844650559369015684999/
      20203350634804830312737998080000-252519776660762402/439569*ep^-3-
         18212761493464239778244137/2584050323400*ep^-2-137243937048550\
         465389226437690580529/4611865622973873264000*ep^-1-
         400862929009935740193472/439569*z3+365478329844601918704063218\
         85142925455792308610800071563020019775192411491847067486341792\
         47658767/11762647167911595145225231914752075088228947977411608\
         33744308797440000000000000*ep-200431464504967870096736/146523*
         ep*z4-459587910115893340667676613327/29143424700*ep*z3-
         34640233547140649841380653807809985457449731919489913841706962\
         38631821609944069881389992315635770347092735529/
         26451560172106638245641746945518568560476072151323424823186358\
         1353435358822400000000000000*ep^2-12961401388649737488586088/
         146523*ep^2*z5-459587910115893340667676613327/19428949800*ep^2
         *z4+16809060044727260805659288699888949969169/
         628890766769164536000*ep^2*z3+
         92601415565428720337354873606708265341557188280070018585598365\
         26092665863841445287529753156410946875709877529645985440091845\
         4942903099369027481906133/283246073881893308089741903574088349\
         09530404343502904623128324900959420871599435397031317671813322\
         4141891200614400000000000000000*ep^3-
         96208353092348191813911980/439569*ep^3*z6-96961501996764585280\
         7492965077757/3876075485100*ep^3*z5+16809060044727260805659288\
         699888949969169/419260511179443024000*ep^3*z4+1100021678372758\
         341771547285376927063544173623278221/
         22223685698285313344011797888000*ep^3*z3-
         14030470224007605729378952/439569*ep^3*z3^2;
Fill mncnoptab(18,4,3,3)=
      +mncF321*(32826571622127360+65044669319697668832/221*ep+
         1125275295489471491376/1105*ep^2+228338040346078021603418/
         116025*ep^3)
      -143304057262015160355084713944587259931693120821/
      886893569139720549330443520000-1960954254229740418/927979*ep^-3-
         1241478699886682502150181673/49096956144600*ep^-2-116546143311\
         9001681904904347127551861/11429406109109164176000*ep^-1-
         400826235083252041072064/927979*z3+266281709247198290707356025\
         995555526261137119419583478735874715998178127441255551422948529
       /182979321738300816986711892391489035340230100953756126412800000\
         000000000*ep-601239352624878061608096/927979*ep*z4-
         1386361679872787713177920826541/184575023100*ep*z3-
         16656566972614599826957766822645132215246237006286164017178233\
         10823361311508265525069554746589720671/27523714443845435137384\
         3414048444415299826264612846134138371047424000000000000000*
         ep^2-38883810634544442075993528/927979*ep^2*z5-
         1386361679872787713177920826541/123050015400*ep^2*z4+682650002\
         48711518529081982631352227538317/5714703054554582088000*ep^2*
         z3-31674217685918861571686425997481091558902007140414134827589\
         24139151623303517568280805549714769402057930431614173226840765\
         5698471345324652241462204509/356344474416412164630304765884509\
         19323703737132209793532651420882561992111817459552101649659577\
         23116425783017472000000000000000000*ep^3-
         96207460998652975087303660/927979*ep^3*z6-10026234069368315919\
         70350078295277/8182826024100*ep^3*z5+6826500024871151852908198\
         2631352227538317/3809802036369721392000*ep^3*z4+43845327598339\
         8263040703783388347235820805887889/
         17737871382794410986608870400*ep^3*z3-
         14030866724650676485950728/927979*ep^3*z3^2;
Fill mncnoptab(18,4,4,2)=
      +mncF321*(5471095270354560+11001605739289426800/221*ep+
         38940481298228054908/221*ep^2+286771928032699579924/819*ep^3)
      -75889282458589886168901775388870779658446107738889/2815000188449\
      473023574827732480000-1139614205844673691/927979*ep^-3-
         4324733416507801034438638477/294581736867600*ep^-2-18631418473\
         700212097430597491247113947/315451608611412931257600*ep^-1-
         66785953381119621812768/927979*z3+7128647830328558455439109317\
         51608339338393983598348944809566459879373423168713856155852374\
         74182727/29798706158709374367903920850705256890180001542776074\
         4548558228684800000000000000*ep-100178930071679432719152/
         927979*ep*z4-1396706122635800486571004769053/1107450138600*ep*
         z3-65354282856996174369853169392018485627268777252514386419749\
         901945847170261210672095787424515797977780867033621/
         67010619102670150222292425595313707019872716116686009552072107\
         276203624235008000000000000000*ep^2-6480441148699012602259636/
         927979*ep^2*z5-1396706122635800486571004769053/738300092400*
         ep^2*z4+5236409127387937688729431008574120193693/
         2867741896467390284160*ep^2*z3+
         33890959518555801722334141316345253125631436299958198693005787\
         26210769241321629668256732086565486115524041524638550446888260\
         30355789900214138566563519196377/
         15405806453375203137894161434227461038334285918780613116569397\
         44479397879018961494339893617974135115510167003191972986880000\
         00000000000000*ep^3-16034137988294732451117170/927979*ep^3*z6-
         349369476261523856473285202765687/16365652048200*ep^3*z5+
         5236409127387937688729431008574120193693/
         1911827930978260189440*ep^3*z4+6187561542733051503568933392683\
         081647673438771128573/1407500094224736511787413866240000*ep^3*
         z3-2338684700159084217067116/927979*ep^3*z3^2;
Fill mncnoptab(18,5,1,4)=
      +mncF321*(8485780419325440+16823544226664182128/221*ep+
         2038728336911638432808/7735*ep^2+1241642664806592748597957/
         2436525*ep^3)
      -1031014864653787040651239338715216081953189786169/
      24692984109205903715568664320000-3801470012945088/341887*ep^-3-
         9040052923127257848183343/54265056791400*ep^-2-250618886439970\
         20327735572970930563/26413412204304910512000*ep^-1-
         38177845390108263150432/341887*z3+8845971264955743845619263662\
         53414443278601168225477280175890220126469010970562147485556953\
         111879/2352529433582319029045046382950415017645789595482321667\
         488617594880000000000000*ep-57266768085162394725648/341887*ep*
         z4-1882159059546801626061627739846/969018871275*ep*z3-
         82706248655831641146735791856080949165225480133851810656965466\
         0271925915661686166762153898159941326523022733/
         52903120344213276491283493891037137120952144302646849646372716\
         2706870717644800000000000000*ep^2-3703262124074386801941024/
         341887*ep^2*z5-941079529773400813030813869923/323006290425*
         ep^2*z4+447220938551926135732963952476502863418021/
         145273767123677007816000*ep^2*z3-
         56701489250326834497595581358888770840484208349529665332064558\
         28367273969334193090196045621798248690127831643446894808687960\
         057938596638850861172753/4508415016805222204888625454812478912\
         93563529342952807150139427489319501762482362720913706886994059\
         18778530201600000000000000000*ep^3-9162710696710696346976480/
         341887*ep^3*z6-143480842987310507084310974892671/4522088065950
         *ep^3*z5+447220938551926135732963952476502863418021/
         96849178082451338544000*ep^3*z4+332715395618844680028655768116\
         300472239019175075081/51855266629332397802694195072000*ep^3*z3
         -1336230774805958719103328/341887*ep^3*z3^2;
Fill mncnoptab(18,5,2,3)=
      +mncF321*(9900077155879680+19790636521826038176/221*ep+
         1041117254286986094064/3315*ep^2+214733764156065316384402/
         348075*ep^3)
      -10830614965885384270537320802108249315479604821967/2222368569828\
      53133440117978880000-195535778807355998/439569*ep^-3-
         43178602541250723251822633/7752150970200*ep^-2-100937833621533\
         9195189030772524603803/41506790606764859376000*ep^-1-
         57262811313551986215040/439569*z3+6881520066572512047411599118\
         64981269214959820332605599186722838468572861730396172684676821\
         90809/15841949047692384033973376316164410893237640373618327727\
         1960780800000000000000*ep-28631405656775993107520/146523*ep*z4
         -2940209411729989042567014091711/1292025161700*ep*z3-
         63663152550222189963455297971581585245041845174785811774744586\
         624224571756622197908083275406749595675371717/
         35624996864790085179315484101708509845759019732422120973988361\
         125041799168000000000000000*ep^2-1851616767621430565907800/
         146523*ep^2*z5-2940209411729989042567014091711/861350107800*
         ep^2*z4+71056628247417884287464691258583937373651/
         20753395303382429688000*ep^2*z3-
         24496339429866383722551668304840892584238486201883162963985459\
         50649169130769902116288528883263654411369540938588954509950888\
         1476585787466701153461486847/253567226005783813989564233408345\
         48908235501369867179397970905806959901755356423849706015968288\
         6402810929402085376000000000000000000*ep^3-
         13743968728876849278770900/439569*ep^3*z6-14712906274642678190\
         3336149247491/3876075485100*ep^3*z5+71056628247417884287464691\
         258583937373651/13835596868921619792000*ep^3*z4+50329665493230\
         1596732495279896237466539896343417/
         64792086583922196338226816000*ep^3*z3-
         2004387930664481596877368/439569*ep^3*z3^2;
Fill mncnoptab(18,5,3,2)=
      +mncF321*(3126340154488320+6319888776019615104/221*ep+
         112740715584028840352/1105*ep^2+23748398393871517377136/116025
         *ep^3)
      -10842397251733877727073256886921141110262181043977/7037500471123\
      68255893706933120000-2026320261182576524/2783937*ep^-3-
         71257849854897043249938601/8182826024100*ep^-2-461492183942857\
         0057705080346579135193/131438170254755388024000*ep^-1-
         114488412435790331878016/2783937*z3+21622151747941298768661271\
         76879047966162277439184494374557020310981242697837369236555840\
         49584474169/15892643284644999662882091120376137008096000822813\
         90637592310552985600000000000000*ep-57244206217895165939008/
         927979*ep*z4-466843009360095402613744447267/646012580850*ep*z3
         -1969295330600849304076471900323858202825687150003696999088649\
         77887883603465852222241787771016342328666936752287/
         35738996854757413451889293650833977077265448595565871761105123\
         8806419329253376000000000000000*ep^2-3703103104755766585109104/
         927979*ep^2*z5-466843009360095402613744447267/430675053900*
         ep^2*z4+66317919380599608467532206648440652849401/
         65719085127377694012000*ep^2*z3+
         14163317965468912432407554933187034030688527958234515265031450\
         53529963071083828972298116638865428338937274843114885360906285\
         5681583830496948831939220332943/
         61777669988471992532908918031989818700087362080323260617822145\
         14203099264236437070034661124708311240141020564178337792000000\
         000000000000*ep^3-27487052254578773558623240/2783937*ep^3*z6-
         152086531592638835272356692674171/12274239036150*ep^3*z5+
         66317919380599608467532206648440652849401/
         43812723418251796008000*ep^3*z4+180769162040510221418285158257\
         064146800661729943649/70375004711236825589370693312000*ep^3*z3
         -4009195051056612783831344/2783937*ep^3*z3^2;
Fill mncnoptab(18,5,4,1)=
      +mncF321*(260528346207360+534597096198432960/221*ep+
         5853288484359417112/663*ep^2+422499441086374367788/23205*ep^3)
      -989512764087488532749935664539300710201684791147/767727324122583\
      551884043927040000-153285435179353411/8351811*ep^-3-
         109516598500757317410236887/294581736867600*ep^-2-833375641090\
         217365308663863281447069/315451608611412931257600*ep^-1-
         28630987665461680242656/8351811*z3+451559854243420983945376699\
         57190014915045740486524660366641050137270377672533265459550927\
         9889523657/405262403758447491403493323569591493706448020981754\
         61258603919101132800000000000000*ep-14315493832730840121328/
         2783937*ep*z4-470578337707150505114425256111/7752150970200*ep*
         z3-40385309605289976452995953450172171972080343247898086417490\
         0341596302958748496053591498654498098551239863246411/
         91134441979631404302317698809626641547026893918692972990818065\
         89563692895961088000000000000000*ep^2-925805928065713479770524/
         2783937*ep^2*z5-470578337707150505114425256111/5168100646800*
         ep^2*z4+11956858606340269922972351350795662613037/
         157725804305706465628800*ep^2*z3+
         40936742267414864890359493239127179297298261218572959971397982\
         66798009685045439864744098041536598856890985074797275305458034\
         4760483466636680088932485288188213/
         39808603875521524908318513146043759323055794814129104293215322\
         99734764119384996501374285108845165138478271536248058198097920\
         00000000000000000*ep^3-6871966991329196897672290/8351811*ep^3*
         z6-158854628161386213449148911248903/147290868433800*ep^3*z5+
         11956858606340269922972351350795662613037/
         105150536203804310419200*ep^3*z4+95560187731715887294073845958\
         9553482464043465188309/4222500282674209535362241598720000*ep^3
         *z3-1002192136143870324720716/8351811*ep^3*z3^2;
Fill mncnoptab(18,6,1,3)=
      +mncF321*(694291125217536+7080438728681024256/1105*ep+
         895774616357901374736/38675*ep^2+2106632413955552121225728/
         44669625*ep^3)
      -4642323332862966789203072127889590565294695011753/13581141260063\
      24704356276537600000+8499462406394762/1709435*ep^-3+
         3210346655352174274493593/994859374509000*ep^-2-22070441037987\
         76000971305143620551077/5326704794534823619920000*ep^-1-
         15618583642225299350528/1709435*z3+526746025232248342467385549\
         70165071632409497273652382982524249444998781380530134108166472\
         0103/176021656085470933710815292401826787702640448595759196968\
         84531200000000000000*ep-23427875463337949025792/1709435*ep*z4-
         1637238613352011931393433186233/10151626270500*ep*z3-
         15874260705723960064251822668456823723100285688435824225246022\
         5373646363276298598081528527291297830921253/
         13194443283255587103450179296929077720651488789785970731106800\
         41668214784000000000000000*ep^2-1514974292993910216663336/
         1709435*ep^2*z5-1637238613352011931393433186233/6767750847000*
         ep^2*z4+561966408025559490765869420821380873160229/
         2663352397267411809960000*ep^2*z3+
         70670721219062459018485665140414033831710520146363666745874507\
         37968435290577942309095966463839044294076667098522808707714426\
         61904376323762070717828618626801/
         17456700648603420736159156950963890019710547450054832691726679\
         94678975493599175814529704631035539609833248364404985036800000\
         0000000000000*ep^3-749677854675842458656404/341887*ep^3*z6-
         468384262823049039441122939908753/165809895751500*ep^3*z5+
         561966408025559490765869420821380873160229/
         1775568264844941206640000*ep^3*z4+1126837952967349908986832630\
         10289187747543929874571/190135977640885458609878715264000*ep^3
         *z3-546634523227907203595288/1709435*ep^3*z3^2;
Fill mncnoptab(18,6,2,2)=
      +mncF321*(540004208502528+5554413275258076768/1105*ep+
         101697250227410432384/5525*ep^2+80994824942292498105994/
         2127125*ep^3)
      -471533123348924911941915690201909262202486922269/177145320783433\
      657089949113600000-100805256860531146/732615*ep^-3-
         233714538105773117678891173/142122767787000*ep^-2-721812360572\
         166424942299339510030569/108708261112955584080000*ep^-1-
         5203757418486253774976/732615*z3+96662052927977952346601758257\
         46725521200715594881359668867589807457216966273745168620160464\
         103/4182274548590789384968971347467404475814737058635238519979\
         76461312000000000000*ep-2601878709243126887488/244205*ep*z4-
         8951252741212370759971503871013/71061383893500*ep*z3-
         86101506270158629335949585515531013621004416745091410640360308\
         86235951214171202684115855293844366512017509/
         94049991723045824873392878028510465992803812093594399371329273\
         370110349803520000000000000*ep^2-168322026633434361480904/
         244205*ep^2*z5-8951252741212370759971503871013/47374255929000*
         ep^2*z4+58723206626092707847633276175050080518551/
         380478913895344544280000*ep^2*z3+
         28644324720065058908939911493372462887955680795081592998781557\
         51336405508992055840387568061754049156642666552722316187333503\
         976687942746476026570696962043/
         28450242757848943929629106988416363875040232536990975284523356\
         31540900976950990755937014991641985439538627891397918720000000\
         00000000000*ep^3-249881161240908415333868/146523*ep^3*z6-
         159991116017523224599136001812851/71061383893500*ep^3*z5+
         58723206626092707847633276175050080518551/
         253652609263563029520000*ep^3*z4+84131366572765655102155987490\
         63055571681878356509/17714532078343365708994911360000*ep^3*z3-
         182239572758422615099496/732615*ep^3*z3^2;
Fill mncnoptab(18,6,3,1)=
      +mncF321*(85263822395136+887025544984345536/1105*ep+
         16519602090269945328/5525*ep^2+5756532412355687521892/911625*
         ep^3)
      -10903466056766927185911100729607606449149355537997/2580416839412\
      0169382769254214400000-47172599942387986/4639895*ep^-3-
         503383250400892289601725969/2700332587953000*ep^-2-59638430219\
         30892322222687635754880893/4819399576007697560880000*ep^-1-
         5205394125988725553856/4639895*z3+9708989866714129455566766195\
         35441032883614224035347077540472046984346580419330160350526991\
         11371913/27017493583896499426899554904639432913763201398783640\
         839069279400755200000000000000*ep-7808091188983088330784/
         4639895*ep*z4-1422010530592096796753570438381/71061383893500*
         ep*z3-12159832652708080504372373247598846533250109664685158573\
         563161534964161786436163535150076808270955985942532817/
         86794706647268004097445427437739658616216089446374259991255300\
         8529875513901056000000000000000*ep^2-504981827525427755127672/
         4639895*ep^2*z5-1422010530592096796753570438381/47374255929000
         *ep^2*z4+53653396859333147741205105807134423225341/
         2409699788003848780440000*ep^2*z3+
         14062867501979863758990953595550762769768099710819027056622029\
         33896015881387374644482385971680809158832539593469068852863231\
         9592917058129591763265517894257/
         73515427286281671114161612458067884253103960875584680135208352\
         71901688124441360113341246738402890375767814471372221972480000\
         00000000000000*ep^3-249888216699719514786908/927979*ep^3*z6-
         165207432720717495368348928493151/450055431325500*ep^3*z5+
         53653396859333147741205105807134423225341/
         1606466525335899186960000*ep^3*z4+6690767663816416101735807398\
         0415633074997097495687/860138946470672312758975140480000*ep^3*
         z3-182217914699525594564936/4639895*ep^3*z3^2;
Fill mncnoptab(18,7,1,2)=
      +mncF321*(20124380441088+214770519390623328/1105*ep+
         29024710294468858848/38675*ep^2+221104363356064939691662/
         134008875*ep^3)
      -2327272358766144359968993379182824611533556872199/23427468673609\
      101150145770273600000-16609547845720412/5128305*ep^-3-
         382588625476171438916533933/8580662105140125*ep^-2-50146332318\
         14919868542929778499760509/22971414426431426860905000*ep^-1-
         1357665024988900977472/5128305*z3+4700180566328997670474333665\
         22569063350740427668499757072304346676598871880827865891212968\
         9040369/577153887705528935125718045950501817662433714091662915\
         7572075166105600000000000000*ep-678832512494450488736/1709435*
         ep*z4-11736332354719471362338580996181/2451617744325750*ep*z3-
         39271109543979535813031046169751980011860518938582647976747264\
         72154203850023315704161038051223202017161726047/
         12978898857780323832528217167934444307006926068916027113243439\
         72507522827288576000000000000000*ep^2-43910732753172247019888/
         1709435*ep^2*z5-11736332354719471362338580996181/
         1634411829550500*ep^2*z4+9471015676942196212205649845674494642\
         8821/22971414426431426860905000*ep^2*z3-
         66094326945802544543694468431835664626641999372155903565405421\
         11095592777881735817540027946487130646186151290632819803527752\
         402915282649916350596028974787253/
         16929437037176215375148635475710286810951943159726645908384731\
         24635610519506792545029623756465486576719917597480099774464000\
         000000000000000*ep^3-65187266617263920041096/1025661*ep^3*z6-
         531360858858816653938779347357153/5720441403426750*ep^3*z5+
         94710156769421962122056498456744946428821/
         15314276284287617907270000*ep^3*z4+326949371493533344905315848\
         636682203219648719340003/16399228071526370805102039191520000*
         ep^3*z3-47539364353843289745712/5128305*ep^3*z3^2;
Fill mncnoptab(18,7,2,1)=
      +mncF321*(7826147949312+84245386195377792/1105*ep+
         4941277660534745968/16575*ep^2+12740122865473722045064/
         19144125*ep^3)
      -10930631556212675373762598202906637566506941268417/2811296240833\
      09213801749243283200000-9719568121879022/2197845*ep^-3-
         61483923094399771904020447/1089607886367000*ep^-2-137758997109\
         46998662028848180337048713/52506090117557547110640000*ep^-1-
         226166298340985090752/2197845*z3+44596411880786520533418405939\
         10869177256541261091960422168666398233221383092644986204414681\
         362497/1401659441570570271019600968736932985751624734222609938\
         2675039689113600000000000000*ep-113083149170492545376/732615*
         ep*z4-9167339682350580226667882907613/4903235488651500*ep*z3-
         25884183870180052978705031583923418825770590689147448722924531\
         602902789877567854710338580335087430785089897577/
         22064128058226550515297969185488555321911774317157246092513847\
         532627888063905792000000000000000*ep^2-7318010617379191928408/
         732615*ep^2*z5-9167339682350580226667882907613/
         3268823659101000*ep^2*z4+3810360284855060667651084831521518030\
         8121/26253045058778773555320000*ep^2*z3+
         31346679877318272485879583597053445978687782822214532428605525\
         31704825581789110530599790876628666122495545104814914943883016\
         76062531412101939290972634805650727483/
         28604481823119752464355775183556341033639973859138595572654289\
         03037635414020473571703670532600741485490556327844309410310646\
         66112000000000000000000*ep^3-10863932776898295347236/439569*
         ep^3*z6-181180870864908517679123731880551/4903235488651500*
         ep^3*z5+38103602848550606676510848315215180308121/
         17502030039185849036880000*ep^3*z4+222249938560737227202507641\
         276931170834668657620569/28112962408330921380174924328320000*
         ep^3*z3-7924116885052090850872/2197845*ep^3*z3^2;
Fill mncnoptab(18,8,1,1)=
      +mncF321*(119787978816+9813132026704512/7735*ep+
         1499605369647905932/270725*ep^2+13057641591370531942708/
         938062125*ep^3)
      -528731488290025545252874648546793353645919457857/874625497148073\
      109605442090214400000-6360073711444497/23932090*ep^-3-
         5019507359640615557660425469/1922068311551388000*ep^-2-
         106332829543591370042622333635560606679/
         10291193663041279233685440000*ep^-1-18868994755175260656/
         11966045*z3+15229915955310646268020883365925888735331284266805\
         103255414258131820952541/3464003106229763012515070962039609048\
         501707272450211840000000*ep-28303492132762890984/11966045*ep*
         z4-4115785495477114306078593299177/137290593682242000*ep*z3-
         21021734437117556815434287519707725620093815008329411030611365\
         437625634346417792633/1545588789315425419763666198350154872616\
         430150621579382987161600000000*ep^2-1829465681669512499022/
         11966045*ep^2*z5-4115785495477114306078593299177/
         91527062454828000*ep^2*z4-101726768886759603833334240486193452\
         75977/5145596831520639616842720000*ep^2*z3+
         72127943723506141608366256953859340492096247816440219937348651\
         71559960518417588352889249214331855815280010026306730153541033\
         95875949/87237706160420910044545420522689597994052628007047441\
         12366405676205808573121669985449198914955766661120000000000000\
         000*ep^3-905298343457168619183/2393209*ep^3*z6-222780692515589\
         924896330554343151/320344718591898000*ep^3*z5-1017267688867596\
         0383333424048619345275977/3430397887680426411228480000*ep^3*z4
         +263245731550884996649133291178332876234727819307261/183671354\
         4010953530171428389450240000*ep^3*z3-659511685964109004386/
         11966045*ep^3*z3^2;
Fill mncnoptab(19,1,1,7)=
      +mncF321*(2438352336540736+71134704039586340846/3315*ep+
         64500822363852627497543/895050*ep^2+92365964064969619235296577/
         689188500*ep^3)
      -728505654318106778439684157721604252512397350307967253/607239988\
      01994790181177836549171200000+31000608270016373/296709075*ep^-3+
         1826001238334082345300041551/2118197731097448000*ep^-2+
         2093688319311542675407513986775582627/
         1620187923627490025128320000*ep^-1-9520631768464370403646124/
         296709075*z3+4875777275054711897388045059174088602265286870294\
         82891100573484737064030513053529704146531/44307103012173405282\
         24477044873651116656329232653431603200000000000000000*ep-
         4760315884232185201823062/98903025*ep*z4-146328579862011053842\
         692859525270399/264774716387181000*ep*z3-
         13320408607096882046440768212104235494231600732799093802943557\
         9810392092510613021928961475366111097723/284676444644296605756\
         167401398714705118146804147134910251497684992000000000000000000
         *ep^2-307833759004490232365451736/98903025*ep^2*z5-14632857986\
         2011053842692859525270399/176516477591454000*ep^2*z4+
         5551433590376269123701904971054663365996613067/
         5670657732696215087949120000*ep^2*z3+
         61248625019905663661898041483416623790282360112174550811592327\
         70696706695552715764674393291500896338205965763455769447409853\
         9580291291083/164811048562836719797025262478539765857360002563\
         91632064531579798763785374460631383578568569126912000000000000\
         000000000*ep^3-456990322622503163346354542/59341815*ep^3*z6-
         649576074623491635143664969682891363/75649918967766000*ep^3*z5
         +5551433590376269123701904971054663365996613067/
         3780438488464143391966080000*ep^3*z4+5100863854306909962580099\
         3709223867877332170055188227397/303619994009973950905889182745\
         85600000*ep^3*z3-333222113147786883455318792/296709075*ep^3*
         z3^2;
Fill mncnoptab(19,2,1,6)=
      +mncF321*(4620036006077184+45304301175259629888/1105*ep+
         6938043702083978851984/49725*ep^2+15154707177511380172199404/
         57432375*ep^3)
      -19171188935377361261234425026430770318300448685482171/8433888722\
      49927641405247729849600000-91853654428882/32967675*ep^-3-
         11302414983897279668923571/9806470977303000*ep^-2-198316130476\
         954224902865049777818301/22502610050381805904560000*ep^-1-
         2004343583134458712549184/32967675*z3+238322898337292198308643\
         28141012969455522477393068383056994196738035985132279987680335\
         82879203/11519846783165085373383640316671492903306456004898922\
         168320000000000000000000*ep-1002171791567229356274592/10989225
         *ep*z4-814161621111217360625481758825353/774195077155500*ep*z3
         -2149230406726008117371780831467367790747648036162894527616882\
         44268575786775565791559946743700843752999193/
         24671958535839039165534508121221941110239389692751692221796466\
         0326400000000000000000000*ep^2-64807108297040243738929576/
         10989225*ep^2*z5-814161621111217360625481758825353/
         516130051437000*ep^2*z4+14001616342909154904200866986827409636\
         5793419/78759135176336320665960000*ep^2*z3-
         12841731979868506600575413870140754333202919776562688140325439\
         17885622776567160880164878505432408390257851862196792352835926\
         706676496309229011/6856139620214007543556250919107254259666176\
         10665891893884513719628573471577562265556868452475679539200000\
         000000000000000000*ep^3-96208490653993136252119772/6593535*
         ep^3*z6-35103661100324444263797311212322167/2101386637993500*
         ep^3*z5+140016163429091549042008669868274096365793419/
         52506090117557547110640000*ep^3*z4+140176374012823444677904726\
         9153253955427431259588984399/421694436124963820702623864924800\
         000*ep^3*z3-70152023794195728832035272/32967675*ep^3*z3^2;
Fill mncnoptab(19,2,2,5)=
      +mncF321*(7294793693806080+14440218343759055232/221*ep+
         747975552182615439872/3315*ep^2+79230139379773195459432/182325
         *ep^3)
      -2738763451535545681251565443802722131122161441964273/76306612251\
      183929460474794605440000+10304989402884316/41759055*ep^-3-
         14042038396473447516609559/2661756408125100*ep^-2-115134858649\
         4894433874678821280092481/14251653031908477072888000*ep^-1-
         4008688189091638162407808/41759055*z3+646029805654822148681879\
         34509077622382741625025355616618852182473897108661038819979829\
         4079919/199699953860814571812875926447034064240716793555900265\
         8687890227200000000000*ep-2004344094545819081203904/13919685*
         ep*z4-116866032214991502487212875559659/70046221266450*ep*z3-
         67554115975288160787331681616266461682176727319563127125083746\
         2541095094138507513083874333800651841969/501205903263862912840\
         000425580999489266291153730312077147350848159875072000000000000
         *ep^2-129614218883157949311935312/13919685*ep^2*z5-11686603221\
         4991502487212875559659/46697480844300*ep^2*z4+1902543278237038\
         9295320420806133591516709297/7125826515954238536444000*ep^2*z3
         -1550463096212883403132373990406974928619816393876129931480136\
         21988469947377706394203827853176823375393083098614312502693150\
         94944323241343823171/36156397487421168198823752814985192747208\
         30835278981054123384796992267066526734455165502866309836916008\
         157184000000000000000*ep^3-192416984230191104886699064/8351811
         *ep^3*z6-36130619710686110439301301357483707/1330878204062550*
         ep^3*z5+19025432782370389295320420806133591516709297/
         4750551010636159024296000*ep^3*z4+2094616209167131524664477471\
         01071554383900873803636957/38153306125591964730237397302720000
         *ep^3*z3-140304029321796946962814864/41759055*ep^3*z3^2;
Fill mncnoptab(19,3,1,5)=
      +mncF321*(2887522503798240+5734892795395368528/221*ep+
         68904292781170529882/765*ep^2+2005157725904283656988518/
         11486475*ep^3)
      -833535801058104444832715594317726454741587191401729/586705302434\
      73227228191146424320000+4637718914464331/5274828*ep^-3+
         4710749069307449173679183/682189285377600*ep^-2+28683730557857\
         42768829479048535937/1565398960026560410752000*ep^-1-
         50108627780766453337688/1318707*z3+472336880618782388441882283\
         9618416703849279741809022508470034162571487036558909979966561/
         37002372425316997899346098527322666365394675428881176566169600\
         000000000*ep-25054313890383226668844/439569*ep*z4-676946813052\
         006138659874192268061/1023283928066400*ep*z3-
         11964347258155656943800864590385813521473137099266413344487033\
         863666675945888212815023176889372774577/2258558550176886211706\
         3916378936079783870891630867785909121953375977472000000000000*
         ep^2-1620177821886200942752417/439569*ep^2*z5-6769468130520061\
         38659874192268061/682189285377600*ep^2*z4+56835821237002352626\
         94446416103195525094137/5478896360092961437632000*ep^2*z3+
         51696974765245513233407791787195485676904017113302591040292415\
         40753452960322333517725591800135341035776827123587856976261884\
         371612164682266211/5562522690372487415203654279228491191878201\
         28504458623711289968768041087157959146948538902509205679385870\
         336000000000000000*ep^3-24052124189389181874597815/2637414*
         ep^3*z6-1586916478551369493941439653652121/146183418295200*
         ep^3*z5+5683582123700235262694446416103195525094137/
         3652597573395307625088000*ep^3*z4+1294925321137679606489203832\
         1892357169059490469514057/5867053024347322722819114642432000*
         ep^3*z3-1753800063288385242378581/1318707*ep^3*z3^2;
Fill mncnoptab(19,3,2,4)=
      +mncF321*(3647396846903040+7317250463140974048/221*ep+
         386944284732309212752/3315*ep^2+2648998545144475304640238/
         11486475*ep^3)
      -833570193747856785340911574691687916799064587320199/464475031094\
      16304888984657585920000-132497383634721026/8351811*ep^-3-
         954396397322024234368057123/4860598658315400*ep^-2-18399576729\
         49816710377935554895259/2185668741953604336000*ep^-1-
         400865533644796727757760/8351811*z3+61640596989110496459943676\
         65288377439162806943471145188168443763214358342865422240231044\
         389/3858936306489170469814027564193894961173271373060874702778\
         5318400000000000*ep-200432766822398363878880/2783937*ep*z4-
         107443043985535109827112661009817/127910491008300*ep*z3-
         81162877583065857043614836847542540757682283070859479710261468\
         1437594286934941578372327183841578254661/123969769309709087620\
         32860767993803792480244961831873599006938853036523520000000000\
         00*ep^2-12961410668781076275321320/2783937*ep^2*z5-10744304398\
         5535109827112661009817/85273660672200*ep^2*z4+5356016878171790\
         299141326249687133171019587/4337459618406927804792000*ep^2*z3+
         72491938618234987962517376695971067258659291184733941040170893\
         79703284285492225082421088129178633546426780677543309506989844\
         0641437057102165567/910605566349866458340746367192219669188949\
         98814433596918663024516842281675488127018983035151507003810575\
         81056000000000000000*ep^3-96208416181746080245515500/8351811*
         ep^3*z6-1635823466896340265243239900109001/115728539483700*
         ep^3*z5+5356016878171790299141326249687133171019587/
         2891639745604618536528000*ep^3*z4+4509149300118400692809067259\
         938998358008162933476621/1548250103647210162966155252864000*
         ep^3*z3-14030441863581547967307016/8351811*ep^3*z3^2;
Fill mncnoptab(19,3,3,3)=
      +mncF321*(1367773817588640+2782559495669669100/221*ep+
         770864974029460477/17*ep^2+140842117944418805011927/1531530*
         ep^3)
      -525447025447034042807568176646804106496445568057/
      78046634084295408341079029760000-623475564869411377/11135748*
         ep^-3-8976661494923663313112354247/12961596422174400*ep^-2-
         85367781107914107353657631439496779/28736792502903041356800*
         ep^-1-50105290641623252143448/2783937*z3+701689599747041494425\
         97121107469510684438456689920542603713898763619918816097158201\
         61501/11893655912989553104136273005446787297114956561994148216\
         8320000000000000*ep-25052645320811626071724/927979*ep*z4-
         108222389895514979094315368607641/341094642688800*ep*z3-
         98639568452395624413566596868427426678167307373290835070762016\
         47261319905846214621798183243928843/41531319116159629805517443\
         726952773380063070285331247026236345548800000000000000*ep^2-
         1620165849292223523559117/927979*ep^2*z5-108222389895514979094\
         315368607641/227396428459200*ep^2*z4+4255105405706267056752669\
         6374089306379389/100578773760160644748800*ep^2*z3-
         55286081609701488182881468713953631037458083224461174190864726\
         45032896631366082665740547112546853625509771304108045802693518\
         78823658091308577724571/20956448852584239205639351707969945411\
         79719778965671191086881180474479059909264883183120825217994308\
         945639060275200000000000000000*ep^3-24051961286175236592669515/
         5567874*ep^3*z6-189396369559656796473152336574937/
         34289937624800*ep^3*z5+425510540570626705675266963740893063793\
         89/67052515840107096499200*ep^3*z4+135110033189519791916235604\
         450361748988869145121767/117069951126443112511618544640000*
         ep^3*z3-1753835834622267071514353/2783937*ep^3*z3^2;
Fill mncnoptab(19,4,1,4)=
      +mncF321*(733339048583680+4450880350022388128/663*ep+
         2145537776512889483648/89505*ep^2+452005720170788967574514/
         9398025*ep^3)
      -5412677291672913037539219111878042842113585813821/15000987846342\
      58650720796357440000-10481436844550980/11868363*ep^-3-
         305493339498715155708842/26163509524425*ep^-2-7810413259428115\
         080491955318419017/140085418297831400394000*ep^-1-
         114533564281290198913088/11868363*z3+6463280033021039996405201\
         76054163324229427222666420987664424570260112748320933214086075\
         29/20310191086785107735863302969441552427227744068741445804097\
         53600000000000*ep-57266782140645099456544/3956121*ep*z4-
         2958692418244940202145627712401/17442339682950*ep*z3-
         84205571309561145176196021022721249086872594192117760521814277\
         04452316077086118511420919842039394369/65247247005110046115962\
         425094704230486738131378062492626352309752823808000000000000*
         ep^2-3703262217358511400064912/3956121*ep^2*z5-
         2958692418244940202145627712401/11628226455300*ep^2*z4+
         4122368894492953570733511310280108562791/
         17510677287228925049250*ep^2*z3-
         16365398044094396804082829606381815458327302361322780141064524\
         98401744266659062993292196163134834020122031050932199694283420\
         34120886993357282917/27318166990495993750222391015766590075668\
         49964433007907559890735505268450264643810569491054545210114317\
         2743168000000000000000*ep^3-27488132719485610003204120/
         11868363*ep^3*z6-21781343184698329586927988313933/
         7475288435550*ep^3*z5+4122368894492953570733511310280108562791/
         11673784858152616699500*ep^3*z4+118150485024735749679031239675\
         0236097221121608807/1948180239784751494442592672000*ep^3*z3-
         4008691958295471802807760/11868363*ep^3*z3^2;
Fill mncnoptab(19,4,2,3)=
      +mncF321*(694742256552960+1420548735692752512/221*ep+
         231974573095084775824/9945*ep^2+1846163018265857423816/38675*
         ep^3)
      -1547136263773962003945228144462671821930331663461/45241074457223\
      6735931668742720000-524286221854918424/25055433*ep^-3-
         29777042488571950987982173/110468151325350*ep^-2-7313702882813\
         53437284276161997107423/591471766146399246108000*ep^-1-
         229057078638832349724544/25055433*z3+1327000613430012879908575\
         32678375972398148145473019707770821217140945403032718799012095\
         52001/44526188151798120805546471894544941859691592766087015801\
         2907520000000000000*ep-114528539319416174862272/8351811*ep*z4-
         469744426628583726408247525727/2907056613825*ep*z3-
         24358751718750757693832381452534019625630534531238603719804549\
         6523397738324153554245674524341259211803/204345773587432562011\
         53067199989786471121282904118472965396053054455808000000000000\
         00*ep^2-7406487557060114839470176/8351811*ep^2*z5-
         469744426628583726408247525727/1938037742550*ep^2*z4+796636003\
         600145400456970301430589644943/3840725754197397702000*ep^2*z3-
         32789324509483238363602409723716564648966959410000451979572153\
         82295200800430339690144549878666503932706639878277905314066438\
         172322578850186347949/1475546477914750164100640852523847591043\
         63300754491898685927208623445101912287617192967493414398472729\
         8460876800000000000000000*ep^3-54976013981353780421714960/
         25055433*ep^3*z6-157254011241811230039798662253451/
         55234075662675*ep^3*z5+796636003600145400456970301430589644943/
         2560483836131598468000*ep^3*z4+1892590445286359613062377750338\
         06257067478411098083/316687521200565715152168119904000*ep^3*z3
         -8017486269650898767878624/25055433*ep^3*z3^2;
Fill mncnoptab(19,4,3,2)=
      +mncF321*(173685564138240+360285823264345440/221*ep+
         12024087678205558736/1989*ep^2+126306987036076246954/9945*ep^3
         )
      -10845260242177990812035889958220505175918461802147/1266750084802\
      2628606086724796160000-1038674681862259310/25055433*ep^-3-
         220879442533450195018328437/441872605301400*ep^-2-967830852286\
         005335958660341286289979/473177412917119396886400*ep^-1-
         57243371276967415363648/25055433*z3+38310077126013717469603728\
         69834510169632979748456126513491410947953644447456665468016912\
         5141/520956401376038013424893721166175819758391635363218084875\
         1017984000000000000*ep-28621685638483707681824/8351811*ep*z4-
         473194424147113848698895650831/11628226455300*ep*z3-
         15416862829121941021737143879099581842476986164374636539375266\
         093191957802638624711354949530014058713/5355494034179432585198\
         19585177332323835146582351136939477099758451177816064000000000
         *ep^2-1851548923868391122049752/8351811*ep^2*z5-
         473194424147113848698895650831/7752150970200*ep^2*z4+110007750\
         40440158127623995555545101713219/236588706458559698443200*ep^2
         *z3+6239200596781681573865570671262505052091203170084478862562\
         08020581547585495387420252310157204036095855741753665088506257\
         66990880826681744529728186881/48736317451569906696634876332054\
         90504967556317962564921991650873311448501724986412330665791126\
         96756488397819857600512000000000000000*ep^3-
         13743508500820514876964020/25055433*ep^3*z6-163801263341129901\
         835139937556363/220936302650700*ep^3*z5+1100077504044015812762\
         3995555545101713219/157725804305706465628800*ep^3*z4+
         992994028984559794973080436031673335519826038203599/6333750424\
         011314303043362398080000*ep^3*z3-2004608898978181614061240/
         25055433*ep^3*z3^2;
Fill mncnoptab(19,4,4,1)=
      +mncF321*(11027654865920+23330858358084640/221*ep+
         50503554754414002560/125307*ep^2+678640753261623041642/773955*
         ep^3)
      -21828710739927608999585081590419346853384229930539/3990262767127\
      12801091731831079040000-2531446471699971584/1578492279*ep^-3-
         130489426149895049624371783/4639662355664700*ep^-2-27161156658\
         33053945856254701732306357/14905088506889261001921600*ep^-1-
         229026549963273999914560/1578492279*z3+84177788872168967448386\
         80230610190085792091563431295703579987307775165523939537265334\
         5783/184518205918313345959230361688137834625168229762651033603\
         932160000000000000*ep-114513274981636999957280/526164093*ep*z4
         -478197595448977876597078832071/183144566670975*ep*z3-
         51491511466370641766649206102732084170140922191223806039840870\
         74217122688563058865361107189155910849/29638581210408607134730\
         27515370419442712219131960985128452072157898342400000000000000
         *ep^2-7406362798112056647978560/526164093*ep^2*z5-
         478197595448977876597078832071/122096377780650*ep^2*z4+
         18420365561443495968693534298829847528113/
         7452544253444630500960800*ep^2*z3+
         74951656645633578113757122770158397126373610241999593504270159\
         30812867334912645905348083303843743301067339776342175820741546\
         096903798250102242976957/1639887895359790248942259711291103652\
         79309746236048524529825324544718160919908043390110950468853099\
         8809839181339033600000000000000000*ep^3-
         7853593515847462837150400/225498897*ep^3*z6-
         24709029029051512505835925011544/497106680964075*ep^3*z5+
         18420365561443495968693534298829847528113/
         4968362835629753667307200*ep^3*z4+2103857014959047380487310712\
         444290586113314074654283/199513138356356400545865915539520000*
         ep^3*z3-8017713052305367571980864/1578492279*ep^3*z3^2;
Fill mncnoptab(19,5,1,3)=
      +mncF321*(75000584514240+155966164205485788/221*ep+
         26111703361851223616/9945*ep^2+254233161481301139192947/
         45945900*ep^3)
      -2707605690627776749942768462431544445760846266203/73338162804341\
      53403523893303040000+1554106723783009/2637414*ep^-3+
         428627575276512019463437/170547321344400*ep^-2-697230661493345\
         49314422427670066389/2739448180046480718816000*ep^-1-
         1301549861502586519352/1318707*z3+3568929765425482709501099125\
         4552074559913085651555670365233039111334975544569298792939581/
         11283439492658393186590723871911973570682080038189692113387520\
         000000000000*ep-650774930751293259676/439569*ep*z4-
         1286440833933229183581276056089/73091709147600*ep*z3-
         44886392325103352386681403085021054862317489896719421097271468\
         56139914441570983513755246788682118671/36248470558394470064423\
         5694970579058259656285433680514590846165293465600000000000000*
         ep^2-42082623894416958727438/439569*ep^2*z5-
         1286440833933229183581276056089/48727806098400*ep^2*z4+
         26935467475935399633200724781532050383583/
         1369724090023240359408000*ep^2*z3+
         78828385557425623155842590688686984200499325724954441986261357\
         74821956956971238353242130594162183788988502727332302508734083\
         37629156348071907477/36857844352256499504268305338732700895743\
         21380584217018136360516157901877341186093625503803751473963761\
         40185600000000000000000*ep^3-312365804554370724157405/1318707*
         ep^3*z6-164975343617034806420124924208771/511641964033200*ep^3
         *z5+26935467475935399633200724781532050383583/
         913149393348826906272000*ep^3*z4+12553033716325230231728071957\
         428027983424187167023/183345407010853835088097332576000*ep^3*
         z3-45552865685920840572998/1318707*ep^3*z3^2;
Fill mncnoptab(19,5,2,2)=
      +mncF321*(47368790219520+99592420415884704/221*ep+
         5649311862423123056/3315*ep^2+4675151370753754681346/1276275*
         ep^3)
      -10847247983688796409246809386392517372165400116847/4644750310941\
      6304888984657585920000-97278577104029530/8351811*ep^-3-
         227857460638384049272081993/1620199552771800*ep^-2-50127573593\
         99522233174756571688673723/8674919236813855609584000*ep^-1-
         5203813979342201293184/8351811*z3+8236233034027176389065363390\
         65548242818613442144485303462322764178465658657011136920500767\
         53/41676512110083041073991497693294065580671330829057446790008\
         143872000000000000*ep-2601906989671100646592/2783937*ep*z4-
         68081482255471063214922097241/6090975762300*ep*z3-
         11958607254192157808787596129770209026058952338197002061856060\
         0399601832553842289804116807778409390043/157514530417042134858\
         77046622862715406916075951504027631679404660328759296000000000\
         000*ep^2-168322252678647604299016/2783937*ep^2*z5-
         68081482255471063214922097241/4060650508200*ep^2*z4+4894283194\
         1212903405605051046526571137651/4337459618406927804792000*ep^2
         *z3+3272440501258657430587671980688937189274263206873286125993\
         71760879197675977179668221936967109397071199016371960169162665\
         2389850619126896381598126081/108002919560265721211379227328653\
         52919595692671385185422696179220634788923490274597962694273965\
         579091155630356955136000000000000000*ep^3-
         1249407360141501529009660/8351811*ep^3*z6-17003552002896644402\
         0413650209731/810099776385900*ep^3*z5+489428319412129034056050\
         51046526571137651/2891639745604618536528000*ep^3*z4+
         41466305934540619214817471963910521068457306675571/92895006218\
         8326097779693151718400*ep^3*z3-182239118842957301956520/
         8351811*ep^3*z3^2;
Fill mncnoptab(19,5,3,1)=
      +mncF321*(5921098777440+12632219740361760/221*ep+
         146419092201604946/663*ep^2+223811894882200957568/459459*ep^3)
      -3643054080957241000087330573691927366954759342059/12386000829177\
      6813037292420229120000-37802235867600809/33407244*ep^-3-
         742461976512115324595860861/38884789266523200*ep^-2-2216486783\
         7919219946390200333164511/185064943718695586337792*ep^-1-
         650617678386475403368/8351811*z3+31261762084766666652695307303\
         6103285773641806423344638303034668742704755912061582612406457/
         12880790143913027804461657940921929609410782193046600999659110\
         40000000000000*ep-325308839193237701684/2783937*ep*z4-
         205848193615845330211210695979/146183418295200*ep*z3-
         15096352023275739311300311252792061644962705251772567204403280\
         2650404757979780756368862312524297391963/165520076605820375229\
         33984431991727041608239152335963101970802974109204480000000000\
         0000*ep^2-21040682661013716055637/2783937*ep^2*z5-
         205848193615845330211210695979/97455612196800*ep^2*z4+
         8441544834258183140364255043493660286149/
         6939935389451084487667200*ep^2*z3+
         43834456097335436067383317398451536395146000547967248592488519\
         58772012033204173512707819843548989013589127573326982960771620\
         8948075617037017901191531/228953579236770715525400105845642548\
         44765168416802159386279458772974112466894853750234721161612952\
         021845062416387276800000000000000000*ep^3-
         312357151523273363817715/16703622*ep^3*z6-
         58964669487418556137084501725341/2160266070362400*ep^3*z5+
         8441544834258183140364255043493660286149/
         4626623592967389658444800*ep^3*z4+1076861967493737436434788387\
         826203070926979654118589/185790012437665219555938630343680000*
         ep^3*z3-22777688979710696316121/8351811*ep^3*z3^2;
Fill mncnoptab(19,6,1,2)=
      +mncF321*(2608715983104+28352719379787264/1105*ep+
         5057518948257939568/49725*ep^2+13248608376275998839664/
         57432375*ep^3)
      -10859811796472408128368001900688474317576376222917/8433888722499\
      27641405247729849600000-2533949421310142/6593535*ep^-3-
         52579262533232346465257941/9806470977303000*ep^-2-419799453474\
         5799407385105583440561613/157518270352672641331920000*ep^-1-
         226281284218984494592/6593535*z3+64882009342785194646089005827\
         410700667115176453640886911522156161684634698075587252636523/
         62284585999474330389980795772954094110165081810807100465899110\
         4000000000000*ep-113140642109492247296/2197845*ep*z4-
         1316865569221171695518064808759/2101386637993500*ep*z3-
         10845519992322835171818602372163422581255298730200072019608208\
         87835718561015010333460989503183353783/28584508211762496393659\
         72908910852002276146707991309200773529760599900160000000000000
         *ep^2-7318470547605187214168/2197845*ep^2*z5-
         1316865569221171695518064808759/1400924425329000*ep^2*z4+
         33459193195825694416719277523871178527821/
         78759135176336320665960000*ep^2*z3-
         38195591562065993730202952353426271669962819388039218621678859\
         56469761774141720178494315081944553154735136957207038773620732\
         35670044777413724659216104228289/
         18158255394010334912952917297380758968290226205708794564964812\
         16791872606165014633326522218540826493625645804350892922634240\
         000000000000000*ep^3-10864565179298288573956/1318707*ep^3*z6-
         185823118290227455729586649279451/14709706465954500*ep^3*z5+
         33459193195825694416719277523871178527821/
         52506090117557547110640000*ep^3*z4+226966215050636211680316567\
         147188438977232114991629/84338887224992764140524772984960000*
         ep^3*z3-7923196846282969012792/6593535*ep^3*z3^2;
Fill mncnoptab(19,6,2,1)=
      +mncF321*(823805047296+9052971715181856/1105*ep+
         546915429110206304/16575*ep^2+4380920324120362074226/57432375*
         ep^3)
      -1825885439724443394712117133742296693981108115967/44512190479857\
      2921852769635198400000-23234213117008564/41759055*ep^-3-
         992465651410498702153898747/139742211426567750*ep^-2-114940106\
         081965730795400602138919317/3463943445255532621882500*ep^-1-
         452271815985275246144/41759055*z3+1007174054309293074436211951\
         33555528006077021398966083516590652032720001482213392028132995\
         869/3081085002423996250827228579468525562571059100576746959118\
         459207680000000000000*ep-226135907992637623072/13919685*ep*z4-
         209077527808146430363058178883/1050693318996750*ep*z3-
         28827151270961386311353957494060817785142229940823249104915250\
         44325746816150601236763421780158389546661/
         24745251452570146096786306725827631927204317532742264837446350\
         446293260697600000000000000*ep^2-14635778191064836733776/
         13919685*ep^2*z5-209077527808146430363058178883/
         700462212664500*ep^2*z4+70485863992737613815342226936232539937\
         59/62350982014599587193885000*ep^2*z3+
         25849540303489628985407209702858383183256750444710984934539355\
         24319558759010069936804412780345622318451668735981913373423905\
         7627292171969776570903/173576120721855623375430901063907457636\
         35934650440476572190288033163053627037941318154330083158966396\
         5001202165350400000000000000000*ep^3-21727531378604617477592/
         8351811*ep^3*z6-21236331231062769351530499084689/
         5175637460243250*ep^3*z5+7048586399273761381534222693623253993\
         759/41567321343066391462590000*ep^3*z4+11577024417122086979659\
         5260166467305642867087528379/133536571439571876555830890559520\
         000*ep^3*z3-15848720633779343314064/41759055*ep^3*z3^2;
Fill mncnoptab(19,7,1,1)=
      +mncF321*(18116083216+646522096563728/3315*ep+29979718540790911/
         34425*ep^2+387279359503759021588/172297125*ep^3)
      -11125476847474532880746318422731770883249230671477/1214479976039\
      89580362355673098342400000-19079751576959491/474734520*ep^-3-
         1697077113132680998927921423/4236395462194896000*ep^-2-
         36654746920827962970181808036199957373/
         22682630930784860351796480000*ep^-1-14151745596824071492/
         59341815*z3+14869269710768662976985024471573694623079943695933\
         647449373565015609083107/2290483686568251461336495901430272105\
         5399044005589155840000000*ep-7075872798412035746/19780605*ep*
         z4-1384531936886758534166856371459/302599675871064000*ep*z3-
         41623321417510142511997761523711212532628331550346746986717701\
         50347123953217531124049/21461604331637050114432622068519293374\
         04528723434535943233601536000000000*ep^2-914732820643789167511/
         39561210*ep^2*z5-1384531936886758534166856371459/
         201733117247376000*ep^2*z4-12321032597531646725238800396599506\
         591139/11341315465392430175898240000*ep^2*z3+
         16352037359364694976621890812167119457527549403840774508803588\
         76560815128491177102094565390382975201307616057579838063367733/
         23115319952646735765672736353613416526890335599756118928524267\
         9132273547912362438593447911751680000000000000000*ep^3-
         2715894970737719359549/47473452*ep^3*z6-2313323126438713373052\
         96073008751/2118197731097448000*ep^3*z5-1232103259753164672523\
         8800396599506591139/7560876976928286783932160000*ep^3*z4+
         263628711382674658333115080215380046811145684678813/1214479976\
         0398958036235567309834240000*ep^3*z3-989267529415720880579/
         118683630*ep^3*z3^2;
Fill mncnoptab(20,1,1,6)=
      +mncF321*(76787302040064+14695508409557623032/20995*ep+
         781542141855196623842/314925*ep^2+5379551156621890565907316/
         1091215125*ep^3)
      -8520484437500342474018604887199733290015950323960541/22552843176\
      461028040540328183385600000-125918281502442614/3967110225*ep^-3-
         4137080012376483764840799511/21240816136838298000*ep^-2+
         129506887164719041645153266095524039/
         601736461347246809744160000*ep^-1-4008681130969498653519568/
         3967110225*z3+543796341264153416310512216441124688565644833314\
         12431943964678159351335792566847350747/16248750920527846914936\
         240895993783396702830252575378374656000000000000*ep-
         2004340565484749326759784/1322370075*ep*z4-4953091980311269379\
         171580351025853/279484422853135500*ep*z3-
         54768844816623578008862926731912015711359610325855464124838382\
         67345171596070313653838194912514843/40153629896592361290540242\
         0141386113983495956228046701248510531993600000000000000*ep^2-
         129614191614644013137050952/1322370075*ep^2*z5-495309198031126\
         9379171580351025853/186322948568757000*ep^2*z4+480578757139864\
         235960426715981193225073510191/18954698532438274506941040000*
         ep^2*z3-187037246423450036769338494617457592219877562361542660\
         03493538460890193429916265737891303158051533745849954435787195\
         018025166148493540623/3114947653386021185503182835160113407820\
         20203245831147920454233234326830867063014364650212078620822732\
         800000000000000000*ep^3-192416946856481270378816644/793422045*
         ep^3*z6-6348836401665623213515781617212772/21072238230990375*
         ep^3*z5+480578757139864235960426715981193225073510191/
         12636465688292183004627360000*ep^3*z4+637013949767743427420186\
         5989318334952017739704158359741/101487794294074626182431476825\
         235200000*ep^3*z3-140304126550326822572383144/3967110225*ep^3*
         z3^2;
Fill mncnoptab(20,2,1,5)=
      +mncF321*(95984127550080+3718242633703175424/4199*ep+
         201411027586734418136/62985*ep^2+52523724810050524913292/
         8083075*ep^3)
      -19171194451949546537595395725967164033530855576960127/4059511771\
      7629850472972590730094080000+870128369320139/158684409*ep^-3+
         175153118550547631805745667/1416054409122553200*ep^-2+66961281\
         0168212221522137132502864751/1083125630425044257539488000*
         ep^-1-200434400547289366108256/158684409*z3+
         19333367593678783311964288366312406027334373048171488247454853\
         3846901064733200912013313/467964026511201991150163737804620961\
         82504151127417089719009280000000000*ep-
         100217200273644683054128/52894803*ep*z4-8306971669001626561525\
         68597201017/37264589713751400*ep*z3-74806689325597266890352675\
         92150162369317450125697858193272784687572013944826863212016409\
         07190995191/45100557099852540201534799830280488322626265803534\
         205484232702953521152000000000000*ep^2-
         6480711004507070630152324/52894803*ep^2*z5-8306971669001626561\
         52568597201017/24843059809167600*ep^2*z4+110932498060096526302\
         197962236077565623764471/3790939706487654901388208000*ep^2*z3+
         10753423951971816256297186416574905547682606212440293240945736\
         66619397515565086624916263438875796029525128258496740970112691\
         273227618277603/5681664519776102642357805491332046855864048507\
         20396013806908521419412139501522938201121986831404380664627200\
         0000000000000*ep^3-48104246532434806310871790/158684409*ep^3*
         z6-39457186011732532932125264352885103/101146743508753800*ep^3
         *z5+110932498060096526302197962236077565623764471/
         2527293137658436600925472000*ep^3*z4+3332714291616075229578243\
         36752574755645665215604399127/40595117717629850472972590730094\
         08000*ep^3*z3-7015201826792045113540436/158684409*ep^3*z3^2;
Fill mncnoptab(20,2,2,4)=
      +mncF321*(95984127550080+3766620662734683600/4199*ep+
         41610962923675554748/12597*ep^2+20004033656518892100196/
         2909907*ep^3)
      -19171503786795931157510638211738414354058104346734917/4059511771\
      7629850472972590730094080000-33930839558858833/158684409*ep^-3-
         3517733709053190668014727027/1416054409122553200*ep^-2-
         2094394679979519686504164177659463571/
         216625126085008851507897600*ep^-1-200433402794241920189024/
         158684409*z3+1324007584187305442047003644210705511427468323000\
         37249438804009565833281418887711880361397/32490073840634881099\
         854225224720826778138596354178150862055014400000000000*ep-
         100216701397120960094512/52894803*ep*z4-2787814495912745714148\
         44733446407/12421529904583800*ep*z3-11753920307407415579940292\
         75905715885810111025349245941062067453256029397869256180456705\
         36212473021571/73062902501761115126486375725054391082654550601\
         72541288445697878470426624000000000000*ep^2-
         6480707666482886894081716/52894803*ep^2*z5-2787814495912745714\
         14844733446407/8281019936389200*ep^2*z4+8066414583085370057927\
         70553199015325917293/30327517651901239211105664*ep^2*z3+
         25048338573628685798025883256267728861004919962380672155393642\
         41967540008405284984852334858022505922387549248799509035606400\
         99622901954879293557/25270396101253369483441235061852458121295\
         08718597612554569125099802333566982318587466512272049905577925\
         869043712000000000000000*ep^3-48104223991636046905140310/
         158684409*ep^3*z6-40944638883460962195540687105669319/
         101146743508753800*ep^3*z5+80664145830853700579277055319901532\
         5917293/20218345101267492807403776*ep^3*z4+1741443606912779031\
         115592117584984728507789151151390569/2029755885881492523648629\
         5365047040000*ep^3*z3-7015214511695320327031108/158684409*ep^3
         *z3^2;
Fill mncnoptab(20,3,1,4)=
      +mncF321*(36565381923840+1441795333192079712/4199*ep+
         240621259426133976064/188955*ep^2+3086238728731568526198/
         1154725*ep^3)
      -238152408163867484762414062035958592814613996471519/132375383861\
      8364689336062741198720000-25773764330581376/476053227*ep^-3-
         26759968840655240775347311/46175687253996300*ep^-2-47578978057\
         5187863107922474069660601/247235198249194884873144000*ep^-1-
         229066950999668523285568/476053227*z3+305376243294053483655179\
         17923743586670329067655712123246723908566631203422750278115699\
         907/1977656668560384066947648491939528586495392821558670052472\
         9139200000000000*ep-114533475499834261642784/158684409*ep*z4-
         5207812902254858381452715938492/607574832289425*ep*z3-
         38478543812389838430385158610140162420631093184138177615212170\
         30383766374062415429300445815803277167/63532958697183578370857\
         7180217864270283952613928047068560495467693080576000000000000*
         ep^2-7406523849003677068930112/158684409*ep^2*z5-
         2603906451127429190726357969246/202524944096475*ep^2*z4+
         1205567011804512666331423959314574717583157/
         123617599124597442436572000*ep^2*z3-
         35159410938238223004115853906996356672659335731095255621111844\
         68682420574690812538344975451896413452069959768303285171857386\
         2429280171471172331/266004169486877573509907737493183769697843\
         02301027500574411843155814037547182300920700129179472690293956\
         5162496000000000000000*ep^3-54976261490028406708761920/
         476053227*ep^3*z6-1804389271027281941370170434598621/
         11543921813499075*ep^3*z5+120556701180451266633142395931457471\
         7583157/82411732749731628291048000*ep^3*z4+4395551949078277420\
         846500055101425323670865646923827/1323753838618364689336062741\
         19872000*ep^3*z3-8017386365972474669432896/476053227*ep^3*z3^2
         ;
Fill mncnoptab(20,3,2,3)=
      +mncF321*(27424036442880+1096186841245631520/4199*ep+
         12445717154890134992/12597*ep^2+30919154478065076331942/
         14549535*ep^3)
      -119119204984787290108868105784783417438298173126257/882502559078\
      909792890708494132480000-69632618476700654/158684409*ep^-3-
         183577136171903294183200807/30783791502664200*ep^-2-9865140602\
         95886305615854942154801849/32964693099892651316419200*ep^-1-
         57265668642962742538816/158684409*z3+1432424676161995456102853\
         771253364912560964129614275525285216667965289355527692594567029
       /125565502765738670917311015361239910253675734702137781109391360\
         0000000000*ep-28632834321481371269408/52894803*ep*z4-
         194274368462463835058620509263/30003695421700*ep*z3-
         12398977708876618523029828453683152612313248681862613690945555\
         65862843787351516255529919144711367539/28236870532081590387047\
         8746763495231237312272856909808249109096752480256000000000000*
         ep^2-1851626793792817798758104/52894803*ep^2*z5-
         582823105387391505175861527789/60007390843400*ep^2*z4+
         21393865124941988630212416390859767868189/
         3296469309989265131641920*ep^2*z3-
         59058824742440194289564080118562747413763072607440000354472957\
         18384260790676822910284361528009975728647009216115830668553024\
         77245487066765427219/55810857714221116876249702051133975884979\
         91905005325505133862613580538407762659170951681804253808558427\
         7312897024000000000000000*ep^3-13744036781838726634338740/
         158684409*ep^3*z6-1873810096590726068130538781555273/
         15391895751332100*ep^3*z5+213938651249419886302124163908597678\
         68189/2197646206659510087761280*ep^3*z4+1143314556466368024852\
         7346813037057930994371086314709/441251279539454896445354247066\
         240000*ep^3*z3-2004355803335171393180344/158684409*ep^3*z3^2;
Fill mncnoptab(20,3,3,2)=
      +mncF321*(5223625989120+212786714320076160/4199*ep+
         52157378198754956432/264537*ep^2+26787900679277274005704/
         61108047*ep^3)
      -5188497481270633599046351980121159192950093840139/20144080152888\
      1583159835634530240000-4103135838572761112/3332372589*ep^-3-
         269928777411458386542538423/17957211709887450*ep^-2-4730971046\
         27957793492602026448667947/7524549511932018235269600*ep^-1-
         228972640553737163003776/3332372589*z3+15857841392571102987629\
         15425073076458506114522836708947277148946671773341456220604519/
         74445950256366800939117202783343820308503400021030305005568000\
         00000000*ep-114486320276868581501888/1110790863*ep*z4-
         5297200026964856431236080487161/4253023826025975*ep*z3-
         66588367192765035908202592917548352786114274992611087400080538\
         92692649403208176336235583169656621/83706137940953331186900814\
         25795313178971707693386654394736435674480640000000000000*ep^2-
         7406195096543813834943584/1110790863*ep^2*z5-
         5297200026964856431236080487161/2835349217350650*ep^2*z4+
         87750728947830203627066029264451885954537/
         86532319387218209705600400*ep^2*z3+
         94238660962828746062555734966253843593543373322891222128008761\
         66132201450592166362292443576002180372328518275453171718746394\
         806917696542008181649/3133018603502867242825835546961384555361\
         37272849162590856378196716907496981222003460242137647884253166\
         2840064901120000000000000000*ep^3-7853433088956322979223920/
         476053227*ep^3*z6-281647397955391437224669028388979/
         11543921813499075*ep^3*z5+877507289478302036270660292644518859\
         54537/57688212924812139803733600*ep^3*z4+119933002264825125767\
         89182892039736330606255098342529/23165692175821382063381097970\
         97760000*ep^3*z3-8018460711544825407788512/3332372589*ep^3*
         z3^2;
Fill mncnoptab(20,4,1,3)=
      +mncF321*(4986188444160+201898596044738208/4199*ep+
         11677069127779042432/62985*ep^2+88942280926714130811058/
         218243025*ep^3)
      -5414403547913349828460472879438802327413861899861/22062563976972\
      7448222677123533120000+6346272063524404/158684409*ep^-3+
         3235100305112649478510294/11543921813499075*ep^-2-155989410907\
         3778260332450981720511/2943276169633272438966000*ep^-1-
         10412397703692173790400/158684409*z3+3666779494361494090230759\
         0996503065176314340073271835826695422055908567675049056805293/
         17937928966534095845330145051605701464810819243162540158484480\
         0000000000*ep-5206198851846086895200/52894803*ep*z4-
         1440476048067199622109640011971/1215149664578850*ep*z3-
         21818100462702602133004587906770136264018796321818755161373317\
         0692775201968438385346339155460492597/282368705320815903870478\
         746763495231237312272856909808249109096752480256000000000000*
         ep^2-336660993804732981871280/52894803*ep^2*z5-
         1440476048067199622109640011971/810099776385900*ep^2*z4+
         2667191085972482057955804984494324080981/
         2575366648429113384095250*ep^2*z3+
         88438073939427706673302488853487977850534823990733234158047567\
         37978039262193538498321486328069996160573725990012361702845719\
         786978945833736691/1546007138898091880228523602524486866619942\
         35595715387953846609794474748137469783128855451641379738460601\
         974784000000000000000*ep^3-2498926459276266929558600/158684409
         *ep^3*z6-176412766429729573880092015681691/7695947875666050*
         ep^3*z5+2667191085972482057955804984494324080981/
         1716911098952742256063500*ep^3*z4+1197307622047980292461375448\
         8588335785472389616411/2451395997441416091363079150368000*ep^3
         *z3-364422974445685066554736/158684409*ep^3*z3^2;
Fill mncnoptab(20,4,2,2)=
      +mncF321*(2493094222080+102380770031712480/4199*ep+
         63619310560896880/663*ep^2+3145297456480742219786/14549535*
         ep^3)
      -10849626384192529424819540201377020800195405022907/8825025590789\
      09792890708494132480000-92166348202013866/158684409*ep^-3-
         31266941945471771885972891/4397684500380600*ep^-2-197064638754\
         223144099745683618302439/6592938619978530263283840*ep^-1-
         5203895165241184126400/158684409*z3+56893198364392690138140453\
         7746384484778233619993515948534307304867437271838879382337509/
         56504476244582401912789956912557959614154080615962001499226112\
         00000000000*ep-2601947582620592063200/52894803*ep*z4-
         161217545505432523583644379557/270033258795300*ep*z3-
         23597789701157550748614423701468652336634181898237313112309958\
         25286382531828469847089216180426630159/63532958697183578370857\
         71802178642702839526139280470685604954676930805760000000000000
         *ep^2-168322578274208435017480/52894803*ep^2*z5-
         161217545505432523583644379557/180022172530200*ep^2*z4+
         7216801156359359323088030005467658188811/
         16482346549946325658209600*ep^2*z3+
         31076960223727276259581939818257829272156753189828219904300497\
         85913334440456413971333732192809514179807878546203715217953684\
         8199684984592016463569/795304722427650915486558254228659156360\
         96384646325888448157542243522672310617893186061465710616771957\
         59517087825920000000000000000*ep^3-1249409599143460302315100/
         158684409*ep^3*z6-183083089326700559248439391475483/
         15391895751332100*ep^3*z5+721680115635935932308803000546765818\
         8811/10988231033297550438806400*ep^3*z4+1111986365691236916361\
         672658431776867582200680627879/4412512795394548964453542470662\
         40000*ep^3*z3-182238475767409853524136/158684409*ep^3*z3^2;
Fill mncnoptab(20,4,3,1)=
      +mncF321*(237437544960+9939293233821600/4199*ep+
         133313296304293376/13923*ep^2+2269815993646883891218/101846745
         *ep^3)
      -171395323822421455836027373813460571463734487483/144785576098883\
      637896131862318610000-257872971097821068/3332372589*ep^-3-
         97363284188545656221262178/80807452694493525*ep^-2-12266453737\
         01176429105645339289857921/173064638774436419411200800*ep^-1-
         10408155159567745772992/3332372589*z3+137532300381990279926230\
         8322602067963069874480911467214311359952577829661032321088673/
         14676487336255169327997391405859210289390670289860260129669120\
         0000000000*ep-5204077579783872886496/1110790863*ep*z4-
         488638958562978460286086963391/8506047652051950*ep*z3-
         55165981020741055446219591469624928173408285394224380212611094\
         97909526134442589368310361165386411/16502067194073656719703303\
         3822821888385442237383908329496232589011189760000000000000*
         ep^2-336644047609469474729648/1110790863*ep^2*z5-
         488638958562978460286086963391/5670698434701300*ep^2*z4+
         2686425670833351645226841554349330164787/
         86532319387218209705600400*ep^2*z3+
         62719273944028384061904627272091041909464699590066654360939027\
         65735823747788166039962029359211544001642227225993933901627846\
         14472752326428755461/72890636897821809322886786194611803941060\
         50837715211297474921311372949929767205794789306875889552012440\
         076885688320000000000000000*ep^3-356972852738871670862840/
         476053227*ep^3*z6-3925371840403700878834156941157/
         3298263375285450*ep^3*z5+2686425670833351645226841554349330164\
         787/57688212924812139803733600*ep^3*z4+28832855729577491591034\
         4718007734651136799501288861/115828460879106910316905489854888\
         0000*ep^3*z3-364457078254772831483248/3332372589*ep^3*z3^2;
Fill mncnoptab(20,5,1,2)=
      +mncF321*(216790801920+9163599007557456/4199*ep+
         563045335967957144/62985*ep^2+170319496610831411243/8083075*
         ep^3)
      -21718883941945830570688118665984200843803715027029/2029755885881\
      4925236486295365047040000-4659189233924896/158684409*ep^-3-
         293794166935903018790085101/708027204561276600*ep^-2-794788579\
         2417948311597770644514971491/3790939706487654901388208000*
         ep^-1-452568880526334516128/158684409*z3+313266947190536329423\
         54147817104623986375168391522804601712943531271205927821563448\
         0189/371315129607255783998334002568238020321583958333464581280\
         62873600000000000*ep-226284440263167258064/52894803*ep*z4-
         35092808105581408310501041498/665439102031275*ep*z3-
         86787853389607553228723421036574849579691007519334244157912885\
         68959194724015928808599203791782025149/29225161000704446050594\
         55029002175643306182024069016515378279151388170649600000000000\
         00*ep^2-14636966551385976101152/52894803*ep^2*z5-
         17546404052790704155250520749/221813034010425*ep^2*z4+
         44255651351358693398809733469793762355887/
         1895469853243827450694104000*ep^2*z3-
         23702114365483775950891362660874491912732161369870669689722259\
         38304195631187293040392663201374773862834575019145750376727474\
         4005035510645540427/430673417264468452349374432131821341415555\
         37058806429501428698442746536981152296728752590100098641428310\
         55011840000000000000000*ep^3-108645826934078984468320/
         158684409*ep^3*z6-197129790267241640222223991366111/
         177006801140319150*ep^3*z5+44255651351358693398809733469793762\
         355887/1263646568829218300462736000*ep^3*z4+472944170313440966\
         864849971909495499956189449204817/2029755885881492523648629536\
         504704000*ep^3*z3-15846345388061853821216/158684409*ep^3*z3^2;
Fill mncnoptab(20,5,2,1)=
      +mncF321*(54197700480+2323613822634720/4199*ep+29131780997612824/
         12597*ep^2+27073684818792829046/4849845*ep^3)
      -10991240033877324587628604521476746748157398539117/4059511771762\
      9850472972590730094080000-7133033294536567/158684409*ep^-3-
         814034829726731964496822387/1416054409122553200*ep^-2-40986785\
         27522994613509763521807857369/1516375882595061960555283200*
         ep^-1-113046816037194305312/158684409*z3+772947877858440668123\
         95988064460909433645132470106850445092347006804576163348149891\
         531/3713151296072557839983340025682380203215839583334645812806\
         2873600000000000*ep-56523408018597152656/52894803*ep*z4-
         3720554398811843163401344067/280184885065800*ep*z3-
         29553537240063853830964180043359455353104348454808911480678908\
         5911643490913785991591108061770351773/417502300010063515008493\
         57557173937761516886058128807362546845019831009280000000000000
         *ep^2-3658859925918706695148/52894803*ep^2*z5-
         3720554398811843163401344067/186789923377200*ep^2*z4+302226020\
         9842687822422566133598026537817/758187941297530980277641600*
         ep^2*z3+103106254748757140671553040814554419960817733215573528\
         63022896823388054055612118133923486741520411985972131382246723\
         53717250548379673415419931941/80179700587603990255175464814072\
         98433516655921486732427222413442510244922743926374268237563478\
         5072136840845742571520000000000000000*ep^3-
         27158832404297314450330/158684409*ep^3*z6-20410631917982005456\
         7528213632303/708027204561276600*ep^3*z5+302226020984268782242\
         2566133598026537817/505458627531687320185094400*ep^3*z4+
         1203657041926614803393881312128900771011827037128009/202975588\
         58814925236486295365047040000*ep^3*z3-3962348706329063487452/
         158684409*ep^3*z3^2;
Fill mncnoptab(20,6,1,1)=
      +mncF321*(1806590016+416980300391424/20995*ep+6630733256952916/
         72675*ep^2+265706597869760327884/1091215125*ep^3)
      -11153654852436562129855541120206161258853939137637/1217853531528\
      895514189177721902822400000-19081308530357491/4760532270*ep^-3-
         191945315164502726690631847/4720181363741844000*ep^-2-38199774\
         609417937251791457889082680333/227456382389259294083292480000*
         ep^-1-56606988615109877968/2380266135*z3+647924179553573271409\
         43423986253867554256060475059627268766127769824032093/
         10335807635639234719280937755204102876248818607522106572800000\
         00*ep-28303494307554938984/793422045*ep*z4-
         73736590115511807591364416961/159705384487506000*ep*z3-
         71127181628545681678615805852759307010860341643833426157490378\
         057070138311305068647/3985411092449061260962024982888613635818\
         08060267421540898832384000000000*ep^2-1829465775185570563022/
         793422045*ep^2*z5-73736590115511807591364416961/
         106470256325004000*ep^2*z4-24097744067358760302138422983182611\
         369299/113728191194629647041646240000*ep^2*z3+
         54001753174125012800771802565672912993218239885139010477550973\
         182381542994733392630354697513100330590404199145239027250747979
       /222523480077479242970876208630785156432197630706985571551926952\
         44466866879030090755262585637961728000000000000000*ep^3-
         2715895168470800905549/476053227*ep^3*z6-242502637535791854013\
         455283645951/21240816136838298000*ep^3*z5-24097744067358760302\
         138422983182611369299/75818794129753098027764160000*ep^3*z4+
         261880675251747852635816095546254759866666869589837/1217853531\
         52889551418917772190282240000*ep^3*z3-1978535055717534965158/
         2380266135*ep^3*z3^2;
Fill mncnoptab(21,1,1,5)=
      +mncF321*(1199801594376+96076463053379655/8398*ep+
         2731416130400810611/62985*ep^2+14808006579509946119861/
         158722200*ep^3)
      -36309500838377128207333526043415724795648881835929/6150775411762\
      098556510998595468800000+2085389980387549/2538950544*ep^-3+
         101037856285089276711860927/15447866281336944000*ep^-2+2618993\
         250988199103818122727364449/262575910406071335161088000*ep^-1-
         12527145257143636549463/793422045*z3+2502909165547927616540333\
         997487889045623396118629872420355949810116790733836657/
         50243509339912946552060114087797722315098423786565795840000000\
         000*ep-12527145257143636549463/528948030*ep*z4-
         12133117819485504563449061187017/42791873355504000*ep*z3-
         83314954441291184426249670645488215602439173831077026288902983\
         052465162280863912676078543991/4358047029593048488861974318788\
         69901076707113902425454972873211904000000000000*ep^2-
         1620177340236495242390023/1057896060*ep^2*z5-
         12133117819485504563449061187017/28527915570336000*ep^2*z4+
         771785836362015805226007595789274858578049/
         2757047059263749019191424000*ep^2*z3+
         24995574278393086298402483479251433287541576056463939862111888\
         64666261190405462470903851683796523331077639079861180658046139\
         35472033/10769174668656538207337605848687562052867759988055172\
         76776509747409956825710660985155366260540115517440000000000000\
         00*ep^3-4810423439680911180972217/1269475272*ep^3*z6-131196988\
         5328039326105423599717483/245204226687888000*ep^3*z5+771785836\
         362015805226007595789274858578049/1838031372842499346127616000
         *ep^3*z4+3849118561544988728646555559538814267005400146558831/
         3354968406415690121733271961164800000*ep^3*z3-
         350760093245031765303943/634737636*ep^3*z3^2;
Fill mncnoptab(21,2,1,4)=
      +mncF321*(914134548096+37224529660215744/4199*ep+
         342582976302545032/9945*ep^2+326758551991482957692/4279275*
         ep^3)
      -2738782529749097930660217413036662647169909349147041/60892676576\
      4447757094588860951411200000-27760825549943/476053227*ep^-3-
         20083093463454935924527573/3034402305262614000*ep^-2-121138920\
         8080873133249118232983892277/22745638238925929408329248000*
         ep^-1-28633487823343080525344/2380266135*z3+
         94256560332980665354860104281585833671178464643282305119024487\
         3424400786308863479/253227287073161250622382975002500520468096\
         05588429161103360000000000*ep-14316743911671540262672/
         793422045*ep*z4-121846339174324030818590248747343/
         558968845706271000*ep*z3-1020827766772012219212206704072401738\
         4230084331067284123660109889166670238701684723431345805443/
         73215190097163214612881168555650143380886795135607476435442699\
         599872000000000000*ep^2-925815902313740738944156/793422045*
         ep^2*z5-121846339174324030818590248747343/372645897137514000*
         ep^2*z4+2027755185075583097529471502614385121046037/
         11372819119462964704164624000*ep^2*z3-
         59702102487754669836149705006351868284532098659090044259511653\
         26352409582364056801300918303728022127170245421278201349635393\
         03431526183/53125317656361671752997076706652897021528738908347\
         80864272774993950354290033027972588254069268075312578560000000\
         00000000*ep^3-1374407109558939568153562/476053227*ep^3*z6-
         45309515033790231845266063286470639/10620408068419149000*ep^3*
         z5+2027755185075583097529471502614385121046037/
         7581879412975309802776416000*ep^3*z4+2774139833925740854594765\
         13924190749165568673559957197/30446338288222387854729443047570\
         5600000*ep^3*z3-200434337779249101989596/476053227*ep^3*z3^2;
Fill mncnoptab(21,2,2,3)=
      +mncF321*(522362598912+21653189033705856/4199*ep+
         27194391610107967072/1322685*ep^2+71797496878308243792928/
         1527701175*ep^3)
      -2739444550650498626850149511739930297523718619335241/10656218400\
      87783574915530506664969600000-3485339042582300/3332372589*ep^-3-
         104454816509093544214994279/4130158693274113500*ep^-2-82946920\
         56312166665963363979448981813/39804866918120376464576184000*
         ep^-1-114534239812399964694656/16661862945*z3+
         28473737598137491802727349655905097587280229941098649219841255\
         684924002906822180417/1367427350195070753360868065013502810527\
         718701775174699581440000000000*ep-57267119906199982347328/
         5553954315*ep*z4-123017499439370655293204616685243/
         978195479985974250*ep*z3-1042426961902260543632804573047418676\
         239511086099484406518829020889239686910898897196322901051/
         13727848143218102739915219104184401883916274087926401831645506\
         174976000000000000*ep^2-3703263553326147908370544/5553954315*
         ep^2*z5-123017499439370655293204616685243/652130319990649500*
         ep^2*z4+319554592566504162850841401954587590889809/
         3980486691812037646457618400*ep^2*z3+
         17751880707992307880260490467276066019268473473027874327467275\
         51011723953825176185484006019336320768087539694184184079526377\
         189373803/8439640764806620094539669376474958556931823070724150\
         20244002716430240230021969326748970128060981864038400000000000\
         0000*ep^3-785375458583288840029784/476053227*ep^3*z6-678113141\
         0418941827391066066686477/2655102017104787250*ep^3*z5+
         319554592566504162850841401954587590889809/
         2653657794541358430971745600*ep^3*z4+2877277690011653484843246\
         90937901940502197695515050997/53281092004389178745776525333248\
         4800000*ep^3*z3-801735560344479960295792/3332372589*ep^3*z3^2;
Fill mncnoptab(21,3,1,3)=
      +mncF321*(186982066656+7810602406459776/4199*ep+
         157392385027813682/20995*ep^2+1262222114478540961894/72747675*
         ep^3)
      -515594689763812763371300151188282016135918407657/560319085129466\
      535168703805798400000+373759530512507/211579212*ep^-3+
         19392282274571125664575739/1231351660106568000*ep^-2+
         2656361388810018006315606222559/145298922754347774397440*ep^-1
         -650776792065153362776/264474015*z3+12541497451501468708134340\
         6345612408607237373528544739026670225029976067985790261/
         16986675157702742277774758571596308205313275798449375150080000\
         000000*ep-325388396032576681388/88158005*ep*z4-
         1464792672313874798787578679793/32403991055436000*ep*z3-
         10161364643824197944332074963342230993458656647879355124982781\
         5251029144174389754505483882757/381992296159112424067206096812\
         0877045959311050553433553153532153036800000000000*ep^2-
         21041317579896754051349/88158005*ep^2*z5-
         1464792672313874798787578679793/21602660703624000*ep^2*z4+
         9826566470412526198927658226200906231/387591923573105835584000
         *ep^2*z3+59094112016682703147253554424313511525073792168125631\
         39664099017181652308542278060224561316859146564953495530833846\
         485889580532029131/7775071874359853924145785533903193499877109\
         64731255348645362538941650535077135146718213718341113924812800\
         0000000000000*ep^3-62473175947625108791271/105789606*ep^3*z6-
         5798449634922748554482096877611/6218947778316000*ep^3*z5+
         29479699411237578596782974678602718693/
         775183847146211671168000*ep^3*z4+11547925181325189956781392070\
         21586410610996794377849/5883350393859398619271389960883200000*
         ep^3*z3-4555281973885496255429/52894803*ep^3*z3^2;
Fill mncnoptab(21,3,2,2)=
      +mncF321*(71231263488+3030677434049760/4199*ep+
         1316347557940951216/440895*ep^2+3629140121498796846014/
         509233725*ep^3)
      -10852573108319871483006589408397405335734321552247/3088758956776\
      1842751174797294636800000-16803756455350418/1110790863*ep^-3-
         203849600451291466188793337/1077432702593247000*ep^-2-94968287\
         0204521053051015819252633287/1153764258496242796074672000*
         ep^-1-5204029466615207174528/5553954315*z3+
         19637599141160687003769995930368117534502571451333857462989133\
         0168522571066533058879/713440356623515175666539860007044944623\
         15758353487375630336000000000000*ep-2602014733307603587264/
         1851318105*ep*z4-164344604260641439723841978077/
         9451164057835500*ep*z3-109905961635779889461099642119746898648\
         56602558366273655517307532128017050204659638112609591141/
         11459768884773372722016182904362631137877933151660300659460596\
         45911040000000000000*ep^2-168323110541750393195272/1851318105*
         ep^2*z5-164344604260641439723841978077/6300776038557000*ep^2*
         z4+3757651917633769346305582731867173288863/
         576882129248121398037336000*ep^2*z3+
         63156201992149398655029977846665634496260534569895236893532681\
         67694531235643677410547267228476840437672497389534276399929042\
         01929220735709/23013887608735876203398333629322034989726249695\
         09627070402966127379293478442307717725231662806930225409032192\
         0000000000000000*ep^3-35697521582759712315092/158684409*ep^3*
         z6-28623403469735332845962361890509/76959478756660500*ep^3*z5+
         3757651917633769346305582731867173288863/
         384588086165414265358224000*ep^3*z4+10786646407057703841648358\
         4649556679793046643045609/1403981343989174670507945331574400000
         *ep^3*z3-36447472189109295406984/1110790863*ep^3*z3^2;
Fill mncnoptab(21,3,3,1)=
      +mncF321*(4856677056+212151296412612/4199*ep+350445653713889584/
         1616615*ep^2+1099955492788870253617/2036934900*ep^3)
      -1839810536147918794630429156973697305944705489237/75502996721195\
      615613982837831334400000-23601603457072099/8145799662*ep^-3-
         998336451313323520858857443/23703519457051434000*ep^-2-
         982693992690027555035690323870650607/
         4230468947819556918940464000*ep^-1-1300608673525506895832/
         20364499155*z3+10180762160081318333485279877550697297413590316\
         2281113088008302826205071500578916761/560560280204190495166567\
         032862678170775338101348829379952640000000000000*ep-
         650304336762753447916/6788166385*ep*z4-
         1500159994851920750037592034893/1247553655634286000*ep*z3-
         76973754236951139203939369228955671522023469129151003036413056\
         8558845359007439309060686526041/128630058910721530553242869334\
         6825944047523108859829665857822051532800000000000000*ep^2-
         3825348461672651309738/617106035*ep^2*z5-
         1500159994851920750037592034893/831702437089524000*ep^2*z4+
         5865117378442507116836123432750079979/
         45983358128473444771092000*ep^2*z3+
         38968495710541233906443528752989375931687725225465841495992018\
         79463571980678633334323862747477753227472165103520678856101851\
         691041727/2553822507450993556118733240414240165514831949378665\
         52749832310078709415828839618822092349116549804589056000000000\
         0000000*ep^3-8923992182976570451823/581842833*ep^3*z6-
         10169891796540347294877360521453/376246340588118000*ep^3*z5+
         5865117378442507116836123432750079979/
         30655572085648963180728000*ep^3*z4+241204910373081168181085882\
         3687509865635721995429/447646225619736851466301410067200000*
         ep^3*z3-9112045160444094575566/4072899831*ep^3*z3^2;
Fill mncnoptab(21,4,1,2)=
      +mncF321*(10839540096+471947404029024/4199*ep+30210964953891736/
         62985*ep^2+258741228699010816342/218243025*ep^3)
      -10859967702275154146434832929605977413736533141697/2029755885881\
      49252364862953650470400000-211571733735131/158684409*ep^-3-
         409089509264096166915753761/21240816136838298000*ep^-2-
         758147611646955801461530916966117549/
         7581879412975309802776416000*ep^-1-113144206398718468448/
         793422045*z3+4844353938061202844012498251597342220162204943429\
         02115314987634169652357154322437/11933911419884253847513030385\
         57238816460554503367425192361984000000000*ep-
         56572103199359234224/264474015*ep*z4-
         1498027254690288394709964237593/558968845706271000*ep*z3-
         35786830284580055123689165659109607948515319796395199539089814\
         52496943634891833669775316088567/26357468434978757260637220680\
         03405161711924624881869151675937185595392000000000000*ep^2-
         3659249367458632323052/264474015*ep^2*z5-
         1498027254690288394709964237593/372645897137514000*ep^2*z4+
         1417227430315026365891596964443908661949/
         3790939706487654901388208000*ep^2*z3-
         23795029081359912828649722394239063802952100479636878839337196\
         95751488515117975965886145459078279758354841844411403019653578\
         106886355873/3439575593696938019529642254382369359877564492473\
         62741500443307081144405745453599116542775691253158688849920000\
         00000000000*ep^3-5432301947988589250354/158684409*ep^3*z6-
         30278140787964234774486994999709/505733717543769000*ep^3*z5+
         1417227430315026365891596964443908661949/
         2527293137658436600925472000*ep^3*z4+1946048571468452558110761\
         3380280826740168934256323/1610917369747216288610023441670400000
         *ep^3*z3-792313573413135845932/158684409*ep^3*z3^2;
Fill mncnoptab(21,4,2,1)=
      +mncF321*(2064674304+91576192461072/4199*ep+6646923474249736/
         69615*ep^2+123844700367769796017/509233725*ep^3)
      -22090663488993808057845946194744860029588042693019/2131243680175\
      567149831061013329939200000-7309390141790528/3332372589*ep^-3-
         2088768463805442152053019549/74342856478934043000*ep^-2-
         10572538775344029204617529974601042997/
         79609733836240752929152368000*ep^-1-452057998016395132832/
         16661862945*z3+17773133202192050381944793613462322836931382255\
         7801849042638920644368698593670071119/234416117176297843433291\
         6682880290532333232060186013770711040000000000000*ep-
         226028999008197566416/5553954315*ep*z4-
         504111168718364421128082533831/978195479985974250*ep*z3-
         25919772291179127884536667613936362128127424418337674635689673\
         23969381706709483975194879149213/10758150381623982555362130889\
         809816986579284183191302659901784431001600000000000000*ep^2-
         14634923920642501252768/5553954315*ep^2*z5-
         504111168718364421128082533831/652130319990649500*ep^2*z4-
         203437819848800379428200555431357513371/
         7960973383624075292915236800*ep^2*z3+
         14738003021490299837092217909770200897402064382728676189782140\
         03963224932302801496907492149171039017509402063508469310336990\
         9256157411/248085615009525088308676943354526187507155103653927\
         50838555138693360343251944420114146113914179123874365440000000\
         000000000*ep^3-3103765268850793473248/476053227*ep^3*z6-
         15811388993103777377518476741392/1327551008552393625*ep^3*z5-
         203437819848800379428200555431357513371/
         5307315589082716861943491200*ep^3*z4+2477997382446328977116180\
         670670524684054352418784923/1065621840087783574915530506664969\
         600000*ep^3*z3-3170087898697077847072/3332372589*ep^3*z3^2;
Fill mncnoptab(21,5,1,1)=
      +mncF321*(112911876+5354488845090/4199*ep+4588878088160057/755820
         *ep^2+29493047342736980971/1745944200*ep^3)
      -11189148985766442501903805631909141272015715900197/1948565650446\
      2328227026843550445158400000-3814912761647471/15233703264*ep^-3-
         65363681581081722082665781/25174300606623168000*ep^-2-80269587\
         15203934027414696606740785097/727860423645629741066535936000*
         ep^-1-3537935102263837339/2380266135*z3+6200647375581271141410\
         2358270571624152881958570233361870595496408292717043601/
         16537292217022775550849500408326564601998109772035370516480000\
         000000*ep-3537935102263837339/1586844090*ep*z4-
         74876449802162344656161788033/2555286151800096000*ep*z3-
         14706966294162618802252911749791817839089975852725776953725259\
         4648175806184481716087479/147574079308970954120193839366389807\
         77200664174473666200139621990400000000000*ep^2-
         914732597569734115663/6347376360*ep^2*z5-
         74876449802162344656161788033/1703524101200064000*ep^2*z4-
         7955905017141325869784236538923445279607/
         363930211822814870533267968000*ep^2*z3+
         20217722471608000153311986927630978162529991326586928532619471\
         704336245982286860584503675869689050177344333687853/
         15795923740331640912086813732529904186210486807363496105799776\
         9277850468923627062427648000000000000000*ep^3-
         2715894311891091648277/7616851632*ep^3*z6-25719590021388031570\
         8782867242063/339853058189412768000*ep^3*z5-795590501714132586\
         9784236538923445279607/242620141215209913688845312000*ep^3*z4+
         1278590391814566119402450065685474630312767421302849/974282825\
         2231164113513421775222579200000*ep^3*z3-197853506920697920543/
         3808425816*ep^3*z3^2;
Fill mncnoptab(22,1,1,4)=
      +mncF321*(8291469824+2463737051823784/29393*ep+
         1514102636122359058/4385745*ep^2+78751670485210460170828/
         96245174025*ep^3)
      -10953502470872846347124791986155726408460247561943239/2685367037\
      02121460878713687679572339200000-20585451193088594/209939473107*
         ep^-3-1894711820712860349776749973/3122399972115229806000*
         ep^-2+5940957014921694864493153418135838823/
         10030826463366334869073198368000*ep^-1-
         114529037024485889474096/1049697365535*z3+10155557979725841171\
         38854619104215940769630621137806404956363933204430999370079/
         31653410884145156327797871875312565058512006985536451379200000\
         00000*ep-57264518512242944737048/349899121845*ep*z4-2492227754\
         81519894705973604946861/123252630478232755500*ep*z3-
         46664915377490349102362138757432953687529323529847687589704457\
         78686471432103282207389027/41505209805648080846304517321797133\
         43587686799070718618789268684800000000000*ep^2-
         3703243269613316509331704/349899121845*ep^2*z5-249222775481519\
         894705973604946861/82168420318821837000*ep^2*z4+81016783187915\
         4007027444406840173006155821/1003082646336633486907319836800*
         ep^2*z3-741327880947314648334767273679519219398211671559972749\
         14102648226782080454400556494984375784738930073551431894754299\
         631910621/1324879038490509103466812426347213668767724940255427\
         8851821862989373983222288629058502951923246694400000000000000*
         ep^3-785371483701104545608644/29991353301*ep^3*z6-360057592050\
         6208702224963554042426/83635713538800798375*ep^3*z5+8101678318\
         79154007027444406840173006155821/
         668721764224422324604879891200*ep^3*z4+12086213164444985499061\
         28255510386162796748529421729263/13426835185106073043935684383\
         9786169600000*ep^3*z3-801750210329426700859576/209939473107*
         ep^3*z3^2;
Fill mncnoptab(22,2,1,3)=
      +mncF321*(3391964928+1032624335497920/29393*ep+
         1385829268617830416/9258795*ep^2+1315931546567425178588/
         3564636075*ep^3)
      -248970790283948754020129078133500148930657117962831/149187057612\
      28970048817427093309574400000+243195466034422/23326608123*ep^-3+
         111877449527453654910129499/520399995352538301000*ep^-2+
         636232410412695194350100218506143549/
         557268136853685270504066576000*ep^-1-5206149170157783576128/
         116633040615*z3+3218494704745557225769676222249597279342995812\
         71625902345646677445419243102773/25322728707316125062238297500\
         25005204680960558842916110336000000000*ep-
         2603074585078891788064/38877680205*ep*z4-
         11480216318074241050473799744813/13694736719803639500*ep*z3-
         49636954431653154148622363315628337330751502169531657120496384\
         812715601098662435841937451/1162145874558146263696526485010319\
         73620455230373980121326099523174400000000000*ep^2-
         168330414419106942277672/38877680205*ep^2*z5-
         11480216318074241050473799744813/9129824479869093000*ep^2*z4+
         35098457119890190196078760900311589771299/
         278634068426842635252033288000*ep^2*z3+
         13999546668370233542257839510556888817131635412787145903554933\
         14637264390189515053741817421787110093523650467222190754531708\
         9649/241657936620668860472346586565731773183233029102590046257\
         2307809261814539745445940270938430800197058560000000000000*
         ep^3-35698935291940217375492/3332372589*ep^3*z6-69458239989371\
         0756073461690436707/37171428239467021500*ep^3*z5+3509845711989\
         0190196078760900311589771299/185756045617895090168022192000*
         ep^3*z4+28189859684846683992205783005688267798408878146331827/
         7459352880614485024408713546654787200000*ep^3*z3-
         36442448170366035832744/23326608123*ep^3*z3^2;
Fill mncnoptab(22,2,2,2)=
      +mncF321*(925081344+288766970699616/29393*ep+1470630686627939776/
         33948915*ep^2+396425788078144561414/3564636075*ep^3)
      -249674814901955046408874775245674018872834618745581/547019211245\
      06223512330566008801772800000-14481741462681410/85530896451*ep^-3
         -4137428857688262114560795251/1908133316292640437000*ep^-2-
         20081106478942512702387580518122033269/
         2043316501796845991848244112000*ep^-1-5204174211373256440448/
         427654482255*z3+4481430373375276632969100626379601218351445597\
         4734385606554793040810656628904807/133704007574629140328618210\
         8013202748071547175069059706257408000000000*ep-
         2602087105686628220224/142551494085*ep*z4-
         3879277414532869782387695858171/16738011546426670500*ep*z3-
         24636208758614726899736347391401219881094608317228385974794876\
         755387625998432757294349817193/2301048831625129602119122440320\
         43307768501356140480640225677055885312000000000000*ep^2-
         15302157226336703551832/12959226735*ep^2*z5-
         3879277414532869782387695858171/11158674364284447000*ep^2*z4-
         25727740837894972948423713339021344957347/
         1021658250898422995924122056000*ep^2*z3+
         54617486250962710163932934173918660014212126801758434090942301\
         38685130244793912463959583310241078573609184667453173903907042\
         149/3222105821608918139631287820876423642443107054701200616763\
         0770790157527196605945870279179077335960780800000000000000*
         ep^3-35697643875552711483572/12218699493*ep^3*z6-7367757985570\
         01951367657697619507/136295236878045745500*ep^3*z5-25727740837\
         894972948423713339021344957347/681105500598948663949414704000*
         ep^3*z4+2597560085777604634369672134323812279901921789831107/
         2486450960204828341469571182218262400000*ep^3*z3-
         36447320612614212961096/85530896451*ep^3*z3^2;
Fill mncnoptab(22,3,1,2)=
      +mncF321*(294953472+93423401424672/29393*ep+132265879030539424/
         9258795*ep^2+133523385648407572042/3564636075*ep^3)
      -1357479099094358851264696081413342336716733449459/93241911007681\
      0628051089193331848400000-840281893745540/23326608123*ep^-3-
         65912233365959835341096231/130099998838134575250*ep^-2-
         361860804518755022797734636210545743/
         139317034213421317626016644000*ep^-1-452569750741477669952/
         116633040615*z3+3812100747017097420193682010263513333421966978\
         3605962098542029560185169137721239/364647293385352200896231484\
         0036007494740583204733799198883840000000000*ep-
         226284875370738834976/38877680205*ep*z4-
         46377987110039018109809594371/622488032718347250*ep*z3-
         90386539576263912189318777516494442159848030894031655223548498\
         7686886940967535606581363423/278915009893955103287166356402476\
         73668909255289755229118263885561856000000000000*ep^2-
         14636973660089507274448/38877680205*ep^2*z5-
         46377987110039018109809594371/414992021812231500*ep^2*z4-
         269818556744795766838513244027579753999/
         13931703421342131762601664400*ep^2*z3-
         25738690759184844745451152217784410223064259006926538663869227\
         15587767788971874487613844229848247144868175661027073283060518\
         886271/5799790478896052651336318077577562556397592698462161110\
         173538742228354895389070256650252233920472940544000000000000000
         *ep^3-3104167944966217439528/3332372589*ep^3*z6-
         33126206622293768535169605180409/18585714119733510750*ep^3*z5-
         269818556744795766838513244027579753999/
         9287802280894754508401109600*ep^3*z4+3129071497402707723700125\
         89817180676942271431257331/93241911007681062805108919333184840\
         0000*ep^3*z3-3169279318109366801104/23326608123*ep^3*z3^2;
Fill mncnoptab(22,3,2,1)=
      +mncF321*(40220928+13065708403200/29393*ep+70161604682536592/
         33948915*ep^2+60267215676282070864/10693908225*ep^3)
      -11131668644499055585075269839412983248990060576697/5470192112450\
      6223512330566008801772800000-4948063665937606/85530896451*ep^-3-
         4251780252534419849651576261/5724399948877921311000*ep^-2-
         88975173894145515810318873279683117/
         25226129651812913479607952000*ep^-1-225929022469110334336/
         427654482255*z3+8323581093555611661627368534257431508896030470\
         051322031558391464207418686803109429/6016680340858311314787819\
         486059412366321962287810768678158336000000000000*ep-
         112964511234555167168/142551494085*ep*z4-
         1550878403810367277755982805693/150642103917840034500*ep*z3-
         77921105605035250880554882444029187735779649141819758687050557\
         26389557919816082829789736999/19723275699643968018163906631317\
         99780872868766918405487648660479016960000000000000*ep^2-
         665187104427116374024/12959226735*ep^2*z5-
         1550878403810367277755982805693/100428069278560023000*ep^2*z4-
         5500951665842826709115409460951727638067/
         1021658250898422995924122056000*ep^2*z3+
         92685174398409298135304098952750527689143589160893755933316703\
         03248066356066949752398311558571432465277621454927937466995758\
         63977/86996857183440789770044771163663438345963890476932416652\
         603081133425323430836053849753783508807094108160000000000000000
         *ep^3-1551803244544695000604/12218699493*ep^3*z6-
         35039311889268709350779748077009/136295236878045745500*ep^3*z5
         -5500951665842826709115409460951727638067/
         681105500598948663949414704000*ep^3*z4+37558458730542808881826\
         468176304535518965126724853/8288169867349427804898570607394208\
         00000*ep^3*z3-1585196917125468876248/85530896451*ep^3*z3^2;
Fill mncnoptab(22,4,1,1)=
      +mncF321*(4096576+4225823490944/88179*ep+19902804222687668/
         83329155*ep^2+5184391892663696164/7403474925*ep^3)
      -11230390899632412438117529841578091232646430025997/5370734074042\
      42921757427375359144678400000-3822942192742871/419878946214*ep^-3
         -1814536187383417696933397087/18734399832691378836000*ep^-2-
         8512373328984194202171373848289278209/
         20061652926732669738146396736000*ep^-1-56607122224843305424/
         1049697365535*z3+932136640936530014146098606358118240267036839\
         827532256363276408124661770314999/7292945867707044017924629680\
         072014989481166409467598397767680000000000*ep-
         28303561112421652712/349899121845*ep*z4-
         178300137445043571486925584677/164336840637643674000*ep*z3-
         31603680700312270515683813084040355119184505072021781730471329\
         943591903582983286678841/1033018555162796678841356875564728654\
         40404649221315663400977353932800000000000*ep^2-
         1829468647794839253326/349899121845*ep^2*z5-
         178300137445043571486925584677/109557893758429116000*ep^2*z4-
         12254723857941073737424244527678486047071/
         10030826463366334869073198368000*ep^2*z3+
         36336393733401157236199057952970715953656537907679403539791865\
         98949862143314506957348838872407882924525042099660841/
         43344014743470022662766216882062057086961575799405433314314587\
         8898421686726432659301466112000000000000000*ep^3-
         387985630082833889611/29991353301*ep^3*z6-
         39574361755735484170868114408209/1338171416620812774000*ep^3*
         z5-12254723857941073737424244527678486047071/
         6687217642244223246048798912000*ep^3*z4+1202508153873454964985\
         660767117775263900227174044649/2685367037021214608787136876795\
         72339200000*ep^3*z3-395706997782533650286/209939473107*ep^3*
         z3^2;
Fill mncnoptab(23,1,1,3)=
      +mncF321*(21024576+74347935263454/323323*ep+41391107871434597/
         39309270*ep^2+1324682484862885948867/470531961900*ep^3)
      -18452989824712923614395852446157416999664685960581/1782877429243\
      16580336484807732390963200000+786159184933393/940839860961*ep^-3+
         3210647022673633132550307119/503747195501257075368000*ep^-2+
         589738359279316738258776908040157529/
         59937284052707482427548493952000*ep^-1-1301508449188501804532/
         4704199304805*z3+387163485310350624064644416146423751412344462\
         0430753805095484385540439130363/531953155136328321619936457904\
         5583850111045618402653634560000000000*ep-650754224594250902266/
         1568066434935*ep*z4-17751989345906993931638988067207/
         3314126286192480759000*ep*z3-190519372992939770787738022107863\
         88511135613033598188501543087493139571614911543240727/
         87189763654226003166716086735025228224671892827700859873871790\
         08000000000000*ep^2-3825634679728229132288/142551494085*ep^2*
         z5-17751989345906993931638988067207/2209417524128320506000*
         ep^2*z4-199425166231292046509122728678566929007419/
         89905926079061223641322740928000*ep^2*z3+
         12552952177628417746211937905142989439728485498193482630878528\
         5741876333670840113416773435188980313346929378932729787351/
         35933633022828097788188619335792180726994045056900417732010603\
         84694215256857702223162254557184000000000000000*ep^3-
         8924602570131647111498/134405694423*ep^3*z6-
         87543887947417120019458180021973/666332269181556978000*ep^3*z5
         -199425166231292046509122728678566929007419/
         59937284052707482427548493952000*ep^3*z4+528171944099783656070\
         0718802975636966787455729952389/218807684498024894049322264035\
         207091200000*ep^3*z3-9110614755864810465136/940839860961*ep^3*
         z3^2;
Fill mncnoptab(23,2,1,2)=
      +mncF321*(3656448+13422656995200/323323*ep+3924469169765168/
         19654635*ep^2+2460153194903445032/4356777425*ep^3)
      -10877436639718672373256409993381440371936304030997/6017211323695\
      68458635636226096819500800000-73942980183286/940839860961*ep^-3-
         82323658727386895586157087/20989466479219044807000*ep^-2-
         773380405715508490110691282336331177/
         22476481519765305910330685232000*ep^-1-226354122428591331136/
         4704199304805*z3+205406284101009727369753480036919937773979873\
         624804333215388628425263720963999/1723528222641703762048594123\
         610769167435978780362459777597440000000000*ep-
         113177061214295665568/1568066434935*ep*z4-
         525561640074541361761006347731/552354381032080126500*ep*z3-
         64450520348917042444279889056146900729740719300962606103126058\
         52263477298611055712645613/19774638396778457518211208471503721\
         761355585293322555019394121990144000000000000*ep^2-
         665341022718155177224/142551494085*ep^2*z5-
         525561640074541361761006347731/368236254021386751000*ep^2*z4-
         8668265568863440022827656213620007600167/
         11238240759882652955165342616000*ep^2*z3-
         12744250176918751642624421547547690651638119363075186640188289\
         9609754121334594254330994610413054498650752936029078879187/
         67760565128761555829155682176065255085188770678726502008934281\
         539948059129316670493916800221184000000000000000*ep^3-
         1552135687662180679804/134405694423*ep^3*z6-
         37170941907591223869952166489509/1499247605658503200500*ep^3*
         z5-8668265568863440022827656213620007600167/
         7492160506588435303443561744000*ep^3*z4+1112973044759855868703\
         60848637618102146753984843059/27350960562253111756165283004400\
         886400000*ep^3*z3-1584457857193767264728/940839860961*ep^3*
         z3^2;
Fill mncnoptab(23,2,2,1)=
      +mncF321*(317952+1212163087392/323323*ep+7069559369902688/
         373438065*ep^2+739436024033291614/13070332275*ep^3)
      -1404425042577786052819273604027279170135605076409/86497412778125\
      4659288727075014178032400000-15886255154522180/21639316802103*
         ep^-3-548940934927062052700078428/60344716127754753820125*
         ep^-2-5308331279874932699058889140419322013/129239768738650508\
         984401440084000*ep^-1-451301952700207036352/108196584010515*z3
         +1300110188522054646708509515040059637778148267356899421422648\
         13536150199963301/13213716373586395509039221614349230283675837\
         316112191628247040000000000*ep-225650976350103518176/
         36065528003505*ep*z4-536282679309441745592983982831/
         6352075381868921454750*ep*z3-104314306378134585810543520086618\
         90014682664661142172606957996571804280982985677831417397/
         45481668312590452291885779484458560051117846174641876544606480\
         5773312000000000000*ep^2-1330177577366570640368/3278684363955*
         ep^2*z5-536282679309441745592983982831/4234716921245947636500*
         ep^2*z4-1326058907108477598124686998018817990197/
         12923976873865050898440144008400*ep^2*z3+
         87983513874971758827138296035937920657692327633423133116432180\
         42162041302379459628497937014522019863895009781971478439/
         18999531006691965654057377551328100935650969033446842720152161\
         2945344557950829095698629459443712000000000000000*ep^3-
         3103182721456901721128/3091330971729*ep^3*z6-
         40202697995238969821964756710659/17241347465072786805750*ep^3*
         z5-1326058907108477598124686998018817990197/
         8615984582576700598960096005600*ep^3*z4+2575341383717435800789\
         2734260412162410921981996421/786340116164776962989751886376525\
         48400000*ep^3*z3-3171428705182880248144/21639316802103*ep^3*
         z3^2;
Fill mncnoptab(23,3,1,1)=
      +mncF321*(76176+302304922992/323323*ep+5546042204753117/
         1120314195*ep^2+1827111730229573758/117632990475*ep^3)
      -11283347347607538433703977795748883232808736374797/2888261435373\
      9286014510538852647336038400000-3751407261165671/22580156663064*
         ep^-3-613736005915777715801961029/335831463667504716912000*
         ep^-2-72051329494012781030793971719184725/
         8630968903589877469566983129088*ep^-1-14151422881552940356/
         14112597914415*z3+37220601312112873125321193282268654890199862\
         90148883001819416268923000431967/17235282226417037620485941236\
         10769167435978780362459777597440000000000*ep-
         7075711440776470178/4704199304805*ep*z4-
         550222958486289023234080292431/26513010289539846072000*ep*z3-
         18923341161147463408913630438746528185366804508411890837899303\
         34385725737190335031817/43943640881729905596024907714452715025\
         2346339851612333764313822003200000000000*ep^2-
         83156267626102775333/855308964510*ep^2*z5-
         550222958486289023234080292431/17675340193026564048000*ep^2*z4
         -18499423430719676993087534457782808856223/5394355564743673418\
         47936445568000*ep^2*z3+183724639379908075387837829981892666584\
         45940219607773246292667876671891518452027117358606097389294188\
         47576145210783/12340295962258524099281675865245903311817295698\
         183664543604859140402123316211376888347623424000000000000000*
         ep^3-387979140842612243611/1612868333076*ep^3*z6-
         43602470232894401700477669929809/71963885071608153624000*ep^3*
         z5-18499423430719676993087534457782808856223/35962370431624489\
         4565290963712000*ep^3*z4+9339500632274265112640764375296485667\
         6543850471259/1312846106988149364295933584211242547200000*ep^3
         *z3-197853570426198402343/5645039165766*ep^3*z3^2;
Fill mncnoptab(24,1,1,2)=
      +mncF321*(13824+1261243518792/7436429*ep+7708082372721158/
         8589075495*ep^2+330951527440002862/117632990475*ep^3)
      -14166671360941600921838493269582345127523599374671/2122069860156\
      67809745501042403478343948800000-12553800366998318/
         497704286448369*ep^-3-10733607471862224351068217919/
         66620566605041248217418000*ep^-2+28226392533139970032112098019\
         5697269/2642235271990188183681096108384000*ep^-1-
         449721417000981433232/2488521432241845*z3+35909718747654421746\
         1263061966231254252587937940761805020687854558691217/
         92643035083824751320805394644118974706460679247242922557440000\
         0000*ep-224860708500490716616/829507144080615*ep*z4-
         173321053942461910392284632019/46136126457784797934500*ep*z3-
         46154584501693391515467579243008855304864874620944234058869521\
         433300039659616687/5623945736696912748080208490514049166999107\
         6123583301171502120960000000000*ep^2-1329558115857582438488/
         75409740370965*ep^2*z5-173321053942461910392284632019/
         30757417638523198623000*ep^2*z4-147325155403786104285362232087\
         41925447281/2378011744791169365312986497545600*ep^2*z3+
         25385087051478149231899130136552373802184059643571996318558587\
         5412976351012540537713382283666751667937006207197/
         54062248977513534149234008552505862127961485915852244667221287\
         662714064051973651129903874048000000000000*ep^3-
         3101835457592802788348/71100612349767*ep^3*z6-
         7256451002869714611529176997589/66091831949445682755375*ep^3*
         z5-14732515540378610428536223208741925447281/15853411631941129\
         10208657665030400*ep^3*z4+374470235528948278871657365833031129\
         954426527500911/28937316274863792238022869418656137811200000*
         ep^3*z3-3176735877464496821512/497704286448369*ep^3*z3^2;
Fill mncnoptab(24,2,1,1)=
      +mncF321*(576+56485684224/7436429*ep+1129681272174316/25767226485
         *ep^2+17770418865327028/117632990475*ep^3)
      -11128954070293072639640925246307486346116646000797/3819725748282\
      020575419018763262610191078400000-4880415094318871/
         2986225718690214*ep^-3-755459816788506935954979029/
         44413711070027498811612000*ep^-2-98219740162846147980714528538\
         53664049/142680704687470161918779189852736000*ep^-1-
         56628271682874825424/7465564296725535*z3+640583046398112351458\
         688251754838043270734827719613248537371181707386623/
         46321517541912375660402697322059487353230339623621461278720000\
         000000*ep-28314135841437412712/2488521432241845*ep*z4-
         574487160018483013182009240031/3506345610791644643022000*ep*z3
         -6974446321251954273965622450803306921014529658304892319531707\
         5835363082742199611/393676201568783892365614594335983441689937\
         5328650831082005148467200000000000*ep^2-166356669194774266666/
         226229221112895*ep^2*z5-574487160018483013182009240031/
         2337563740527763095348000*ep^2*z4-2869113604846725942773741514\
         0054257699951/71340352343735080959389594926368000*ep^2*z3+
         97898308670846352076259889537896420399868287355300303084393596\
         508998148301555222628001225892988476011690442716757/
         62171586324140564271619109835381741447155708803230081367304480\
         812121173659769698799389455155200000000000000*ep^3-
         388081557981762569611/213301837049301*ep^3*z6-
         49999211027804033493956414222209/9517223800720178316774000*
         ep^3*z5-28691136048467259427737415140054257699951/475602348958\
         23387306259729950912000*ep^3*z4+539821552488753222022800891851\
         65952075860454629259/17362389764918275342813721651193682686720\
         0000*ep^3*z3-395704882836730498286/1493112859345107*ep^3*z3^2;
Fill mncnoptab(25,1,1,1)=
      +mncF321*(1+1347822955/89237148*ep+46951444927823/463810076730*
         ep^2+764258812173113/1882127847600*ep^3)
      -16384877608989855019942541382155145104844615197197/2200162031010\
      443851441354807639263470061158400000+44890013550518029/
         1720066013965563264*ep^-3+12208601919433541731800801413/
         76746892729007517946465536000*ep^-2-34129202241207918727560670\
         15443544697/82184085899982813265216813355175936000*ep^-1-
         869263486093407616/67190078670529815*z3+1532165873784579368050\
         38237497858946968010379013781977113699/11780171087115574051005\
         731537388989093330469671534592000000*ep-434631743046703808/
         22396692890176605*ep*z4-622909012464745364148270791231/
         2019655071815987314380672000*ep*z3+220493222865325589461774700\
         010724469015124616316347649329793123846777/9010533177996457497\
         381925834716417885359288014184946629345280000000*ep^2-
         82205548946601684833/65154015680513760*ep^2*z5-
         622909012464745364148270791231/1346436714543991542920448000*
         ep^2*z4-50705202189526193288062386422661918326807/410920429499\
         91406632608406677587968000*ep^2*z3+165559347660236706496335311\
         8703345356971723525214612534564282908331839465870844700221/
         31660424883823846208552233299355993009085119071797647155815069\
         5944192000000000000*ep^3-383566669097552365111/
         122861858140397376*ep^3*z6-62904657450242996291921600506009/
         5481920909214822710461824000*ep^3*z5-5070520218952619328806238\
         6422661918326807/27394695299994271088405604451725312000*ep^3*
         z4-72046442846348867247844807554084959199964292116741/
         100007365045929265974607036710875612275507200000*ep^3*z3-
         197902211847010086043/430016503491390816*ep^3*z3^2;
*--#] 28 :
#case 27
*--#[ 27 :
Fill mncnoptab(7,7,7,6)=
      +mncF321*(-1055162105421259365706176-41045765641584656142047858/5
         *ep-448325472940844311255867151/20*ep^2-
         691683365518385683003856145011/21600*ep^3)
      +10124713865177979390557276796324415457243636309/
      1948995455024217600000-307168139768704902623117/2700*ep^-3-
         425068760623135500081337497769/363528000*ep^-2-341056722360811\
         767980256712992773/100710720000*ep^-1+
         9374318726697720673307567774/675*z3-20542506216597522867855235\
         940070874076867985565614398738348278944615509657373115529/
         388445349638226137439443909280918405120000000000000000000*ep+
         4687159363348860336653783887/225*ep*z4+10224677949943313473917\
         096064102793/45441000*ep*z3+7270337863611752651883889678570767\
         907317726129618587292682324612820652150055249696920187981/
         28555953903908758861086313458288238319684812800000000000000000\
         000*ep^2+303054337257159272594377337861/225*ep^2*z5+1022467794\
         9943313473917096064102793/30294000*ep^2*z4-1140697562956174318\
         99370637039551764087/173281680000*ep^2*z3-
         96088285913159955235994636134909472070248576406308555179343393\
         653474151313987636898970320223123195219488234429925474903/
         17439852031417122174322583728023332549178258737445419884211790\
         1516800000000000000000000000000*ep^3+
         899788693044780097109824445809/270*ep^3*z6+7093826274450084654\
         3697869049323749/30294000*ep^3*z5-1140697562956174318993706370\
         39551764087/115521120000*ep^3*z4-67977350327262183168436117408\
         935707623216871933/487248863756054400000*ep^3*z3+
         328023441983972169606027575537/675*ep^3*z3^2;
Fill mncnoptab(8,6,5,8)=
      +mncF321*(-646017615564036346350720-5032890021323240765981292*ep-
         27553577822892061170397837/2*ep^2-
         99510862266994073009321481413/5040*ep^3)
      +47499945042343162165825982432352844837803616653737/
      14939504928366800221440000-3487008837852484248413/90*ep^-3-
         444039890753450324163331786531/1102701600*ep^-2-18992768060345\
         90567739836229290185109/1584572397408000*ep^-1+
         382594655465847522839657212/45*z3-5625321855498949175467209322\
         815145188593341761026985473468671848787142591382455582346177511
       /173864548359774442216296641739897085397753093160960000000000000\
         000*ep+191297327732923761419828606/15*ep*z4+190002134805162647\
         11013272931169827/137837700*ep*z3+3776958437003071128617462475\
         13999352267653029896255172971224094244025090248438087278629030\
         63131286127/24284623983549416055662261370020097987768936482915\
         0222745600000000000000000*ep^2+12369456299358536456168527018/
         15*ep^2*z5+19000213480516264711013272931169827/91891800*ep^2*
         z4-84224839952701975455122274233096968519667/209722817304000*
         ep^2*z3-612951143558963116548709050929803346772505934399759268\
         13642583137566813093888968725481453106464131879157539523258459\
         0105635204559/357661093349474440040371723311157097225833386481\
         8033932795916768928486663095582720000000000000000000000*ep^3+
         18362887121304880922832961921/9*ep^3*z6+1325425105959984197246\
         42053024430711/91891800*ep^3*z5-842248399527019754551222742330\
         96968519667/139815211536000*ep^3*z4-33572851297610494938721538\
         3776549515970774425762449/3734876232091700055360000*ep^3*z3+
         13389048500603325650215199746/45*ep^3*z3^2;
Fill mncnoptab(8,6,6,7)=
      +mncF321*(-904424661789650884891008-35199018327402023336726484/5*
         ep-577193784493298998069301929/30*ep^2-
         33019005949421529140614095151/1200*ep^3)
      +2685817702163285600040682776747177036249992393/
      603260497983686400000-36573069346653539684131/450*ep^-3-
         220020381001523105273288069177/262548000*ep^-2-187378190625075\
         966002452028126036377/76590502560000*ep^-1+
         2678296390178891400344100164/225*z3-56536758399999992236438560\
         4526838826134804535055894897922204532199692785596338013415773/
         12470960261065322497265858818682029212696576000000000000000000
         *ep+1339148195089445700172050082/75*ep*z4+23447802204173377665\
         2431066590287/1215500*ep*z3+1998956644320707606922132558086934\
         55194969444342707483118151812569637564851827114847934806410273/
         91678318889420992148340387631565223360581697798144000000000000\
         0000000*ep^2+28862222828917134577937218482/25*ep^2*z5+70343406\
         6125201329957293199770861/2431000*ep^2*z4-19042108073219421828\
         73698890721311330177/3378992760000*ep^2*z3-
         43931077383932267981866471790046481447967172544814581897585462\
         9811685282511225664336873823185477103091456274403535593513247/
         78960674057444162356462930086998440449659484259657883067757301\
         0907463680000000000000000000000000*ep^3+
         128540854535037659900545433087/45*ep^3*z6+13202371531577605328\
         7888344930138071/65637000*ep^3*z5-1904210807321942182873698890\
         721311330177/2252661840000*ep^3*z4-128574444093797711111296759\
         121874269539799008367/1055705871471451200000*ep^3*z3+
         93721867700440432059417640382/225*ep^3*z3^2;
Fill mncnoptab(8,7,4,8)=
      +mncF321*(-308355548257390129816320-2410344659044960826506472*ep-
         6638190009913389980413735*ep^2-72517907376479497610458978373/
         7560*ep^3)
      +3653596394449969667595117421528482849745645845869/
      2407606166141757060480000-29161454797188637305701/1755*ep^-3-
         341212964837739788867308639217/1954789200*ep^-2-12248353401355\
         86700457266859326001437/2298284758224000*ep^-1+
         7122074186448386814051552248/1755*z3-1722891403054746364610313\
         95286939300691290711609657630242866888199772331346574057764404\
         318796137/1118448511383183197302972404012900145280149570638053\
         3760000000000000000*ep+3561037093224193407025776124/585*ep*z4+
         16102918989106913883968277588465139/244348650*ep*z3+
         11533461876141475339019405512179887196034261806761247887362260\
         63495675740216782958232580299006337128312029/
         15621989531584821446948642492371037870648276143903996728940953\
         600000000000000000*ep^2+230261929528446015394569349172/585*
         ep^2*z5+16102918989106913883968277588465139/162899100*ep^2*z4-
         6420972744267179104306219786207565609989/33798305268000*ep^2*
         z3-13092488581043010717488070949118879459591248445916086972804\
         62836390974041478416278851214896064732039589540469576600805797\
         1354558841927561/174977535248302001772518945154692115435922235\
         33501052504467345322959305304235952664739840000000000000000000\
         0000*ep^3+341831857199444829684828247634/351*ep^3*z6+113826207\
         284560033554740121613829977/162899100*ep^3*z5-6420972744267179\
         104306219786207565609989/22532203512000*ep^3*z4-28901835355369\
         565316341431206023782926706089180113/601901541535439265120000*
         ep^3*z3+249243084691814293769803946084/1755*ep^3*z3^2;
Fill mncnoptab(8,7,5,7)=
      +mncF321*(-637735338441420495756480-4972483346895658027291858*ep-
         54528931530897633703342911/4*ep^2-
         84580412307539031647807063971/4320*ep^3)
      +3654457818755674567484297678730542377801277305949/
      1164117267145464952320000-30276871123621826155837/540*ep^-3-
         3835920817835913660684327019/6609600*ep^-2-1900609836481934022\
         521429380701058337/1111258564416000*ep^-1+
         1133121712919898210268355134/135*z3-17736718135130075838643553\
         06920384193429465897010514812372289343856077921642880565371572\
         4365723/555683701551497853646481709171968951025036790490726400\
         000000000000000*ep+566560856459949105134177567/45*ep*z4+
         1462180063197854327560181783646719/10740600*ep*z3+
         22100784966033341205832328085546089480809560428747216402902766\
         7782837331031548527449092482905695886981933/144142920741243346\
         5774263620223259189038767029585221240487936000000000000000000*
         ep^2+36632808225550190800550027701/45*ep^2*z5+1462180063197854\
         327560181783646719/7160400*ep^2*z4-646428925443613506149944794\
         2601136101359/16342037712000*ep^2*z3-
         20791717865623760076137268113950165680058326886053322396871187\
         83558555281208830667332490959283395843651632950855401384786522\
         016630700289/7856679838404604934516994777841213770528305417203\
         197831787149331959713642786913779712000000000000000000000000*
         ep^3+108765302963730674191381727969/54*ep^3*z6+102335186618421\
         75214284466954289267/7160400*ep^3*z5-6464289254436135061499447\
         942601136101359/10894691808000*ep^3*z4-26574320147722607162546\
         509057915719695594563513253/291029316786366238080000*ep^3*z3+
         39651599926124660861201197537/135*ep^3*z3^2;
Fill mncnoptab(8,7,6,6)=
      +mncF321*(-765282406129704594907776-29822972651567971709061228/5*
         ep-163404045907966225727706957/10*ep^2-
         84405827865827247036977281171/3600*ep^3)
      +10124680167285463741929950510881852537871252549/
      2687251309200057600000-37808908030165250520157/450*ep^-3-
         61976973804234907799580006127/71604000*ep^-2-12288460355884585\
         0676388628999122763/48739410720000*ep^-1+
         2266326280211126094191584508/225*z3-11760503913285972944735466\
         32187906303967215205529942913261721972188693851134332315592709/
         30712513966644757665224241054185661168353280000000000000000000
         *ep+1133163140105563047095792254/75*ep*z4+11245633803723693184\
         0993731113243/688500*ep*z3+41567505095572516776509244337849898\
         7654970518652977461477446797196733472260652846734987993570611/
         22577825527361013939370023312824143511600687480832000000000000\
         00000000*ep^2+73265910205125574728550613162/75*ep^2*z5+1124563\
         38037236931840993731113243/459000*ep^2*z4-34058024635872973181\
         0816715200370256981/716756040000*ep^2*z3-
         96844537461394091205641056487923721794181385444232841763318557\
         31230858187647556325292140845596841227241868077831870614408840\
         503291259/2868041753695077558896552927731838669410542330027622\
         3789850361317966040491517542400000000000000000000000000*ep^3+
         108765702167582799045730127489/45*ep^3*z6+10215585303350796148\
         182456010670387/5967000*ep^3*z5-340580246358729731810816715200\
         370256981/477837360000*ep^3*z4-5583160452821867031466018579950\
         965303625586721/51677909792308800000*ep^3*z3+
         79302288438441839702179633154/225*ep^3*z3^2;
Fill mncnoptab(8,7,7,5)=
      +mncF321*(-539622209450432727178560-4213045167712585416689246*ep-
         46312010536122052580973961/4*ep^2-
         72071032522194782512277934917/4320*ep^3)
      +3654871016437058718434990606836953817579289609309/
      1375774952081004034560000-406954513049836928712767/7020*ep^-3-
         669655733535769323004769668517/1117022400*ep^-2-23151262265865\
         81856342577745525518977/1313305576128000*ep^-1+
         12464745336568788857707424234/1755*z3-328978588658539162612643\
         58412132310588252695952918941903138997257021432419660971729527\
         24818851/12196174748338069774838364785722435418601456830251008\
         0000000000000000*ep+6232372668284394428853712117/585*ep*z4+
         16094528509015764198968058027044389/139627800*ep*z3+
         22060230630849039622556954385881260481780000117668502195147291\
         933859543156356720216908153836039479725687/1703507245123785005\
         00594791480930631431854285314617055694028800000000000000000*
         ep^2+402962331694306506903971294951/585*ep^2*z5+16094528509015\
         764198968058027044389/93085200*ep^2*z4-64413164888711654509900\
         66067756357485279/19313317296000*ep^2*z3+
         59168266936969506779032251625634155882310631014344080173956951\
         59833851942620028400385278722738463690576100546489742870388948\
         36836408853/19080508178982611983826987317614376299854456013207\
         76616291164837761644741819679060787200000000000000000000000*
         ep^3+1196422249746350731854206460619/702*ep^3*z6+1132316202051\
         31759172019314815081777/93085200*ep^3*z5-644131648887116545099\
         0066067756357485279/12875544864000*ep^3*z4-2778536572946802725\
         1834019067237732272734628946693/343943738020251008640000*ep^3*
         z3+436163127785773405710054897227/1755*ep^3*z3^2;
Fill mncnoptab(8,8,6,5)=
      +mncF321*(-390450207209032956585600-3054072777920949555710940*ep-
         16842488654310730164801993/2*ep^2-
         12287021355612195748496953261/1008*ep^3)
      +1616481924809279691290339664010926509111780449/
      840951586173194496000-771866872316974753165/18*ep^-3-
         524149722292082101256741177/1179360*ep^-2-
         81139450880343249544727804637593/61751289600*ep^-1+
         46251559543252868503565372/9*z3-518935208261653104462646533392\
         2939485809704221479692694334303204095347332560402582876148737/
         26624974643113195110586253203728425340282611957760000000000000\
         0000*ep+23125779771626434251782686/3*ep*z4+
         12306324875842546630617059355697/147420*ep*z3+
         34734252949346302970038699083990267745597209717968606980691919\
         782244693239468624212874274622919948113/3718857604263244235743\
         71419046248500783995621668013735936000000000000000000*ep^2+
         1495222667210769469860460298/3*ep^2*z5+
         12306324875842546630617059355697/98280*ep^2*z4-915587387591684\
         339120511894030892298881/3813142132800*ep^2*z3-
         13148806790755867207950575919493826985924370469234132206127772\
         86037732464542724089949908270981555113255748420493288361001630\
         9092682093/159004234824855099865224894313453135832120466776731\
         3846909304031468037284849732550656000000000000000000000000*
         ep^3+11098541105222638852694538805/9*ep^3*z6+
         87214282925419707925790750284741/98280*ep^3*z5-915587387591684\
         339120511894030892298881/2542094755200*ep^3*z4-247878636481925\
         249277278795950572469586643264139/3994520034322673856000*ep^3*
         z3+1618414019055746782850314466/9*ep^3*z3^2;
Fill mncnoptab(8,8,7,4)=
      +mncF321*(-220253963040992949868800-1726338704448403134470920*ep-
         4777773664164659095060761*ep^2-52543006457555391209675125663/
         7560*ep^3)
      +30706588269102533875821183918466910774715327499/
      28324778425197141888000-6246543708545553290801/351*ep^-3-
         4291178140445774682171393733/22997520*ep^-2-153343687200700892\
         66232643019158093/27038644214400*ep^-1+
         1017484942137059856017095736/351*z3-79638128294132084399237935\
         46750028248093484575070956519397960475548022893190951423362912\
         744871/7250446532375977509527072006806315467602410181807308800\
         00000000000000*ep+508742471068529928008547868/117*ep*z4+
         67749498426166736291306936396413/1437345*ep*z3+
         53173210830153834849055018335823360781324779972664445010312648\
         523093671602224099195536435895046975411347/1012710005648956012\
         167138889061267761122457277035793305357516800000000000000000*
         ep^2+32894723647286098099785136964/117*ep^2*z5+
         67749498426166736291306936396413/958230*ep^2*z4-45526933009033\
         909885294621719856533889/337983052680*ep^2*z3-
         43755555360198273554025011045010956178555234308829591410775543\
         83915977619052562968608400781156937304376429279879098018028987\
         08188800633219/25068210151899592907001693775223237762452532490\
         85252828191036003411720882361967096050483200000000000000000000\
         000*ep^3+244166714999303086108345787890/351*ep^3*z6+9679599377\
         57332204836625352577743/1916460*ep^3*z5-4552693300903390988529\
         4621719856533889/225322035120*ep^3*z4-263617778540704570123230\
         728782039602977489996689/7081194606299285472000*ep^3*z3+
         35605651465129881750837847988/351*ep^3*z3^2;
Fill mncnoptab(8,8,8,3)=
      +mncF321*(-67424682563569270368000-3714706173841391519122200/7*ep
         -72504461752120732105285107/49*ep^2-
         268463085080775805753488705563/123480*ep^3)
      +6139690580421081072116182436048800871123417039/
      18505521904462132700160-15733750902740014132747/5733*ep^-3-
         1588999746442413118315537673/53660880*ep^-2-404135321334407994\
         900199068298787/4206011322240*ep^-1+
         5087083739684820260299845064/5733*z3-6745140700556408690577700\
         23773444229295217748243877500435044895044795990092581370412140\
         9387/201401292565999375264640889077953207433400282827980800000\
         0000000000*ep+2543541869842410130149922532/1911*ep*z4+13576533\
         9144589626043014396047039/9390654*ep*z3+
         89753429637374571257757377052834180230161707129457393948024727\
         44923880245173444029881720894592930819/56261666980497556231507\
         7160589593200623587376130996280754176000000000000000*ep^2+
         164472409331625813073953457996/1911*ep^2*z5+135765339144589626\
         043014396047039/6260436*ep^2*z4-150036644630132261694868264617\
         8166619171/36802599069600*ep^2*z3-
         60138554227640979306832703820338061296313591602006070776265188\
         49842594375324471254718460412496689018377092263066752436563096\
         779533158811/9052409221519297438639500529941724747552303399474\
         5241018009633456534365196404367357378560000000000000000000000*
         ep^3+1220825360637981547403901322310/5733*ep^3*z6+985510610386\
         358995901130036327503/6260436*ep^3*z5-150036644630132261694868\
         2646178166619171/24535066046400*ep^3*z4-1477391344846935529754\
         952031485767575625417550479/115659511902888329376000*ep^3*z3+
         178032007956354184215968810524/5733*ep^3*z3^2;
Fill mncnoptab(9,5,4,9)=
      +mncF321*(-201880504863761358234600-6311727596674878641828565/4*
         ep-139030242149696063275349037/32*ep^2-
         14456631264052375477691381579/2304*ep^3)
      +25778869747324717708525722788616934247012432782777/
      25952054275562898670387200-856126944785541380819/288*ep^-3-
         60863560362018382983679508717/1915550208*ep^-2-662059894466180\
         04130022264042688059/655387767091200*ep^-1+
         95641428721228944030201781/36*z3-46790872214373459882585562401\
         97057906667024196245095186946422584864371876841386856026309333/
         46391432953889438369283668046054002653696240190257889280000000\
         0000*ep+95641428721228944030201781/24*ep*z4+807042606574640787\
         369881795712086/18706545*ep*z3+5593006316693491883919367663798\
         96893067096755828993755189562531617453785040599700239701269000\
         867721791/1157097904221887605172975405424761697428650844599823\
         6898951168000000000000000*ep^2+6184676846455568859840796403/24
         *ep^2*z5+403521303287320393684940897856043/6235515*ep^2*z4-
         12590834634545847827292458197971802989667/101199581683200*ep^2
         *z3-2099398346141737868644549745331174691992475268603770330459\
         71496439760588612132341059465865254925302940382716191004743892\
         0021875307/245455175739237203013244171031459346865108090560492\
         65677769790707679942334104993792000000000000000000000*ep^3+
         91813738409621243457309928235/144*ep^3*z6+36499137621652005756\
         8336582732186807/798145920*ep^3*z5-125908346345458478272924581\
         97971802989667/67466387788800*ep^3*z4-101984645998431579932780\
         7765545423479924645206580691/32440067844453623337984000*ep^3*
         z3+6694683427017234082036257095/72*ep^3*z3^2;
Fill mncnoptab(9,5,5,8)=
      +mncF321*(-403761009727522716469200-6300322255019596374986415/2*
         ep-414993228434785161756349883/48*ep^2-
         11140108282235129357178909685/896*ep^3)
      +902357460824433818664616031641051674708012647969219/
      454160949822350726731776000-1993463386695673084741/144*ep^-3-
         180464831601461069869784773571/1241560320*ep^-2-19221890060759\
         8474159949509754035317143/433539007930828800*ep^-1+
         95644556583380370370734887/18*z3-22883700095987039674565572307\
         53684167754591532004642018689353412579298269127213571154311699\
         91/11326033436008163664375895519056152991625058640199680000000\
         000000000*ep+95644556583380370370734887/12*ep*z4+1204160581703\
         75032767844499207750351/1396755360*ep*z3+
         15340249650907855571567694365643744734433645857274108589182968\
         89864473909050280555673383087322696177117/15819697909283619601\
         974273121041663832032335766013214510284800000000000000000*ep^2
         +2061566341796181366678068447/4*ep^2*z5+1204160581703750327678\
         44499207750351/931170240*ep^2*z4-95646449694284342299538599928\
         0752415980819/3825344187624960*ep^2*z3-
         33596475416545804271537603625863620137410344676331842550583874\
         34105620487862790014933257019109101436570764479133573078316035\
         127521/7766355169874302126590928849042268396903810677890587968\
         3568478411018567541504081920000000000000000000000*ep^3+
         91814039814994357796805731245/72*ep^3*z6+253465835903407974400\
         1249778008109589/2793510720*ep^3*z5-95646449694284342299538599\
         9280752415980819/2550229458416640*ep^3*z4-67193556752416428563\
         77205547006478001361822484797779/113540237455587681682944000*
         ep^3*z3+6694614611058904456398182569/36*ep^3*z3^2;
Fill mncnoptab(9,6,3,9)=
      +mncF321*(-86724997947390974010840-2720021739449994988696611/4*ep
         -60259105306531034435378891/32*ep^2-
         73673214988957783113187655261/26880*ep^3)
      +3652772181114665093246896864124038218916925051789/
      8560377479615136215040000-1993236603723570860237/2080*ep^-3-
         72698451228428997385773258427/6950361600*ep^-2-284580086399947\
         624080531032120440927/8171679140352000*ep^-1+
         296731840136842765237645227/260*z3-392925275545357999424303294\
         04679006252983369451319428787199318026373318107210527232292931\
         0139/908961329886015550824002969610483927592756476455052902400\
         00000000000*ep+890195520410528295712935681/520*ep*z4+251970998\
         067438662477565415335416/13574925*ep*z3+
         65562014859022970151642050723934720505188267927590802019617683\
         84467736482445891072942178736365122080411/31739915238775510241\
         4194641114840134514758626415827235127689216000000000000000*
         ep^2+57565030323632679290726247943/520*ep^2*z5+125985499033719\
         331238782707667708/4524975*ep^2*z4-955183195934425508091041880\
         3908871624161/180257628096000*ep^2*z3-
         80868036706273012019710464638167181860394295047696132261970451\
         77165424013722421251119201927523152292422007680140163391643635\
         326577399/2962582607378658231069103833306956451825138376042506\
         24414261931394019983987063748820992000000000000000000000*ep^3+
         56971566643358993760250957489/208*ep^3*z6+38456866490456426343\
         550617845660719/193065600*ep^3*z5-9551831959344255080910418803\
         908871624161/120171752064000*ep^3*z4-3178732140789170042134188\
         2609387363313112389155363/2140094369903784053760000*ep^3*z3+
         20770724595401422421676537817/520*ep^3*z3^2;
Fill mncnoptab(9,6,4,8)=
      +mncF321*(-273315145046323069609920-2135888419089215865136062*ep-
         23517345865351031345341855/4*ep^2-
         85568494340722050032022144667/10080*ep^3)
      +3653172179388397768414519058772802497583430484269/
      2716273623339418222080000-1548708612190214102221/180*ep^-3-
         18236657034765037774548497977/200491200*ep^-2-7310012523331922\
         11745659639093861007/2592936650304000*ep^-1+
         161859259478246247353995702/45*z3-1119247467357965498799194768\
         20574071043872761962105612307444970086494071116359517180898951\
         483/8193761988155188258629834461632968097290473044967424000000\
         000000000*ep+80929629739123123676997851/15*ep*z4+1829605065681\
         67772292197115531433/3132675*ep*z3+749227077078506984545074144\
         06210174756242123693754895965578750251822570129072136364120764\
         7650192500799/114446809755200157120502875401985625425994697024\
         93770497392640000000000000000*ep^2+
         5233204175353739762308098253/15*ep^2*z5+1829605065681677722921\
         97115531433/2088450*ep^2*z4-1070956102142244466239974088306173\
         349509/6355236888000*ep^2*z3-137751168834323100893773081848584\
         30025419695744667406411225674141307981734133423433464642486550\
         4443964802615111114548619153843695348467/
         22724355227052208022405057812297677329340550043507860395412136\
         78306403286264409436979200000000000000000000000*ep^3+
         15537753266582973039570299057/18*ep^3*z6+103357847425612479333\
         41225185555727/16707600*ep^3*z5-107095610214224446623997408830\
         6173349509/4236824592000*ep^3*z4-28694826680702293694521031352\
         855868133315140032083/679068405834854555520000*ep^3*z3+
         5664682254417008720393147641/45*ep^3*z3^2;
Fill mncnoptab(9,6,5,7)=
      +mncF321*(-478301503831065371817360-7466527975808652547223427/2*
         ep-492191733565512989839138847/48*ep^2-
         28344752242089505745095419977/1920*ep^3)
      +3653874897541673263588145602659851487687446446709/
      1552156356193953269760000-21615960737241730610597/720*ep^-3-
         11933086538078456701412347549/38188800*ep^-2-15366031583578907\
         6496881674655776153/164630898432000*ep^-1+
         566537038583140587236413447/90*z3-2743916481171475402409834373\
         45668153935949455925147806030922968254776704887844058614175670\
         7987/114664890796340826942924797130723751798817115498086400000\
         000000000000*ep+566537038583140587236413447/60*ep*z4+487625542\
         122292340728209341469433/4773600*ep*z3+
         18383065038911712611527796918343378352137270444303341270148881\
         983740078787972409709767297136715147844663/1601588008236037184\
         19362624469251021004307447731691248943104000000000000000000*
         ep^2+12210879778685282450317131647/20*ep^2*z5+4876255421222923\
         40728209341469433/3182400*ep^2*z4-1933945065478754706004190167\
         7185632494537/65368150848000*ep^2*z3-
         20271990222266011240473428225706873514061561290868174905107846\
         93828068314604453135804148920677998776504233307952942397619059\
         64480394013/57819721754492763587354507023073867575316533373356\
         8671603383284170195376308993654784000000000000000000000000*
         ep^3+108764843931001260878381357929/72*ep^3*z6+102807904910972\
         09597991666375693907/9547200*ep^3*z5-1933945065478754706004190\
         1677185632494537/43578767232000*ep^3*z4-2755957361445050700429\
         5608247636766438865562733893/388039089048488317440000*ep^3*z3+
         39652123925386393719322466057/180*ep^3*z3^2;
Fill mncnoptab(9,6,6,6)=
      +mncF321*(-485659988505389454460704-18970825750992229116187647/5*
         ep-83509767045153322022875957/8*ep^2-
         72305610347027681086223171917/4800*ep^3)
      +10123590913600730439355359027800011541331085229/
      4234456608436454400000-120941378856132410608109/2600*ep^-3-
         597506069166474192466915648717/1241136000*ep^-2-10893883322050\
         6713955576556120872043/76801495680000*ep^-1+
         2077417106717551628273689599/325*z3-34845875614735855705814461\
         135921848242474958888945393374804693748714064596973017264593899
       /1437345653638974658732494481335888942678933504000000000000000000
         *ep+6232251320152654884821068797/650*ep*z4+1609927993442512565\
         3414306910367169/155142000*ep*z3+12297292483618715889284854018\
         68528301446220586967115074544168377445233432029493163591156254\
         7409357/105664223468049545236251709104016991634291217410293760\
         000000000000000000*ep^2+402961471200515160110585152591/650*
         ep^2*z5+16099279934425125653414306910367169/103428000*ep^2*z4-
         1015326235321949888754630599371340962363/3388301280000*ep^2*z3
         +2590915007409810049181711688480924022040919277698584150379319\
         45596374480315339874624448342300237229450296000909559447874646\
         08555820111/13881322087884175385059316170222099159947024877333\
         69231428757487789556359789449052160000000000000000000000000*
         ep^3+398806636987080056854037773393/260*ep^3*z6+37850100693181\
         030355277002008873339/34476000*ep^3*z5-10153262353219498887546\
         30599371340962363/2258867520000*ep^3*z4-7864242435253892984115\
         2567321809380301849486253/1058614152109113600000*ep^3*z3+
         145388599092738096751591353649/650*ep^3*z3^2;
Fill mncnoptab(9,7,2,9)=
      +mncF321*(-14749149310780777893000-465605784511723829474985/4*ep-
         73054359921464177284423527/224*ep^2-
         272217006411799451107095512867/564480*ep^3)
      +28699266774727683422810478680986529391257680570493/
      395489439558219293134848000-1946567097702282061765/26208*ep^-3-
         3612231844843712789867072311/4170216960*ep^-2-1207475750023640\
         099113440855385571/366891716505600*ep^-1+
         635847549043884363031924595/3276*z3-53861606127512502688483264\
         83272787325014522394835932647190827486656457143689347991058163\
         2814047/736258677207672596167442405384491981350132745928592850\
         94400000000000000*ep+635847549043884363031924595/2184*ep*z4+
         36108810101627635594741411319374/11402937*ep*z3+
         35736048289280787708482812225214173884110171364529075904377260\
         3909757802842018020923258061188867339200297/
         10283732537363265318219906372120820358278179495872802418137130\
         5984000000000000000*ep^2+41117833465737139940284572325/2184*
         ep^2*z5+18054405050813817797370705659687/3800979*ep^2*z4-
         160587904960200699072594420183070871411/18143578252800*ep^2*z3
         -7952972394456912391888238263185406541968822713632358842153817\
         51148997295757384996289952495657103483387139523361893445685876\
         768618833306597/1946630078995509721205038193958668489713647323\
         02300166285127915784931498918347951565306855424000000000000000\
         000000*ep^3+610409026495618255473949338925/13104*ep^3*z6+
         16949833770569856008369696392244779/486525312*ep^3*z5-16058790\
         4960200699072594420183070871411/12095718835200*ep^3*z4-
         296020222752882218360452861386689883414341192184371/
         98872359889554823283712000*ep^3*z3+
         44508836252837743920856905457/6552*ep^3*z3^2;
Fill mncnoptab(9,7,3,8)=
      +mncF321*(-82595236140372356200800-648673350137391532011135*ep-
         14413276149113431540559763/8*ep^2-
         53084003461856282322909392671/20160*ep^3)
      +521843931681010462340732985516059114605616066507/
      1284056621942270432256000-1795631521349952087725/936*ep^-3-
         21671629145077202975390182817/1042554240*ep^-2-119238285732067\
         26907219913778228143/175107410150400*ep^-1+
         127173377809080058750092931/117*z3-459961165968323120305505521\
         73973299623059964554634361656354873087522416127555887780723018\
         62359/11184485113831831973029724040129001452801495706380533760\
         00000000000000*ep+127173377809080058750092931/78*ep*z4+
         28819563257246204934063870855305/1628991*ep*z3+
         30652796870036417743805296896356024158053173811152520600009213\
         286181806871711715593882655201409081056811/1562198953158482144\
         694864249237103787064827614390399672894095360000000000000000*
         ep^2+8223594119269352823669847133/78*ep^2*z5+
         28819563257246204934063870855305/1085994*ep^2*z4-6468822419833\
         2098334662015690458465879/1287554486400*ep^2*z3-
         46722718041150462141958486610638636006403530611321772201828935\
         80734044745938390502441592778429803628204090338295970779631502\
         007187519489/3791179930379876705071243811684995834444981765591\
         89470930125815330784948258445641069363200000000000000000000000
         *ep^3+122082178010949491767546777685/468*ep^3*z6+3319616275433\
         664364835246383827563/17375904*ep^3*z5-64688224198332098334662\
         015690458465879/858369657600*ep^3*z4-4746446637254576705100630\
         251255282938100412883277/321014155485567608064000*ep^3*z3+
         8901682144552203555068220041/234*ep^3*z3^2;
Fill mncnoptab(9,7,4,7)=
      +mncF321*(-227762620871935891341600-1783819807645848632865205*ep-
         39439158108812056516923617/8*ep^2-
         61838772093151617464414998937/8640*ep^3)
      +521946294198316427784926668548634102015776860459/
      465646906858185980928000-2785528830962720282209/216*ep^-3-
         358642453862683758667310239/2643840*ep^-2-87947259328699714408\
         93928045702597/21166829798400*ep^-1+80933030856396067140588335/
         27*z3-27061448413768553096116894978069051919190123098295090397\
         53480973725223002827025733152129127667/23815015780778479441992\
         0732502272407582158624496025600000000000000000*ep+
         80933030856396067140588335/18*ep*z4+
         13082787080846122030070762490983/268515*ep*z3+
         23505449361537497158674602099810996336755192720484940524239863\
         9377564033134293795326027849850015540238699/432428762223730039\
         7322790860669777567116301088755663721463808000000000000000000*
         ep^2+5233228292702475795490752145/18*ep^2*z5+
         13082787080846122030070762490983/179010*ep^2*z4-26680767241863\
         94834443850028076855667/19113494400*ep^2*z3-
         15826811152871777080063677240249950237330679573513818529079079\
         47138596274285607796338856905006119198986436563569546938796763\
         657249304031/1259313539812852390932581162962548835790394096871\
         71256675216879292268552960098818011955200000000000000000000000
         *ep^3+77689094081973176260955398825/108*ep^3*z6+14908860001332\
         68639454358693251989/2864160*ep^3*z5-2668076724186394834443850\
         028076855667/12742329600*ep^3*z4-92288451286020975993391678794\
         06541824185786327/245077319399045253120*ep^3*z3+
         5664607432050269723609085805/54*ep^3*z3^2;
Fill mncnoptab(9,7,5,6)=
      +mncF321*(-341643931307903837012400-5347609218813155836166625/2*
         ep-118080169264901786535935727/16*ep^2-
         12321938243954552670662909821/1152*ep^3)
      +522072097665957961421030967535581048469156823603/
      310431271238790653952000-4628336807167529005627/144*ep^-3-
         7650654026956056622962369097/22913280*ep^-2-363209847471107440\
         4448347245050799/3658464409600*ep^-1+
         80938098743269073616600521/18*z3-55371152648067781860191013552\
         67661446161873115903767583575675139661126316618099122775625721/
         32501386280141957750262130705987457992861994188800000000000000\
         0000*ep+80938098743269073616600521/12*ep*z4+209260252595835636\
         187170271375649/2864160*ep*z3+25939885394266715380829873753919\
         33442232232614253467255559184464492878951487954458227031373267\
         14536027/31777539845953118734000520728025996231013382486446676\
         37760000000000000000000*ep^2+5233264228227723055655086723/12*
         ep^2*z5+209260252595835636187170271375649/1909440*ep^2*z4-
         8706926214307406990069088281843368889/41503587840*ep^2*z3+
         51169277013175275326671640504430242243162410104509831024431697\
         46836780206894001904340101205002188983455135044750723491677472\
         99663639/28329228750784031398080237082085916652953111994558555\
         743444030363052170607947939840000000000000000000000000*ep^3+
         77689582435983155098660295635/72*ep^3*z6+148625214332382894753\
         4058136767957/1909440*ep^3*z5-87069262143074069900690882818433\
         68889/27669058560*ep^3*z4-428876976179788331121100264372653861\
         7802234748971/77607817809697663488000*ep^3*z3+
         5664495935900045845297071991/36*ep^3*z3^2;
Fill mncnoptab(9,7,6,5)=
      +mncF321*(-289083326491303246702800-4530921992270343719646135/2*
         ep-100288212823393085959783161/16*ep^2-
         10499610126685167145519555067/1152*ep^3)
      +522132989453997219378617344285647365080199343059/
      366873320554934409216000-62223900564378605119529/1872*ep^-3-
         20552285430115080021793108135/59574528*ep^-2-51205380774672739\
         038292602182504233/50030688614400*ep^-1+
         890350193091780775455108931/234*z3-343841516322467848174406948\
         29219763902226063711245079337576384151007920580410365459576738\
         499079/2385029728563889200412835780319054037415396002360197120\
         000000000000000*ep+890350193091780775455108931/156*ep*z4+
         2303389242371723121918040092776059/37234080*ep*z3+
         45948766763170234447303430796991096940803857915664810932112521\
         935383187353174406432320917595665197657063/6662606114261914686\
         24548517792084247377918982563835595603312640000000000000000*
         ep^2+57566127090750024669522580673/156*ep^2*z5+230338924237172\
         3121918040092776059/24822720*ep^2*z4-5358249866641181427189370\
         0460037651617/302953996800*ep^2*z3+
         41039221911870284743209267472490004803687018725854930075892225\
         31755955118095523374435400424900805095753790820422851090449153\
         2506460365493/485068919039024624655512744252241033045188837313\
         548544230465016533182574364825076786790400000000000000000000000
         *ep^3+854588404430332562288287620785/936*ep^3*z6+1644453933903\
         1460088558467848921447/24822720*ep^3*z5-5358249866641181427189\
         3700460037651617/201969331200*ep^3*z4-446213005297851654227267\
         5222416612068632820838059/91718330138733602304000*ep^3*z3+
         62308770968709476539387415741/468*ep^3*z3^2;
Fill mncnoptab(9,7,7,4)=
      +mncF321*(-137658726900620593668000-1082513767915579420194235*ep-
         24109608092295412675231529/8*ep^2-
         267258447015529515691140336539/60480*ep^3)
      +2610336483171909463347692852454332517181332253687/
      3852169865826811296768000-40136133251681643783079/2808*ep^-3-
         468889102775285059210987533307/3127662720*ep^-2-55901536532384\
         7616908930427471982317/1225751871052800*ep^-1+
         635952573642234612857998421/351*z3-118141039855047521957502878\
         89861751205042556229881404801919644251343782942236332346313895\
         40991/17248875715506698681557115911236015806307774659926425600\
         0000000000000*ep+635952573642234612857998421/234*ep*z4+2307195\
         168656572004906629959073429/78191568*ep*z3+
         55028508566221185848136708177722452759518666188445837343473676\
         435751651547800017338332012917499017739989/1686472172672547154\
         955888435661213251175357424614708851370885120000000000000000*
         ep^2+41118578177636359935199879423/234*ep^2*z5+230719516865657\
         2004906629959073429/52127712*ep^2*z4-1002587907132826864053162\
         85365775728283/1201717520640*ep^2*z3-
         14141000357905093126449628574457544659652685519347935392847015\
         35095438831221124251207006868659029595400560314232078579989330\
         45966130700231/45605140334651154443058474973000875696123557650\
         99701938166782700084296882197864338004377600000000000000000000\
         00*ep^3+610419146928123052899418207135/1404*ep^3*z6+1669207820\
         1060480550493415380731495/52127712*ep^3*z5-1002587907132826864\
         05316285365775728283/801145013760*ep^3*z4-49104566827514869362\
         36834309996028087817740697903/192608493291340564838400*ep^3*z3
         +44506525659009815659349714755/702*ep^3*z3^2;
Fill mncnoptab(9,8,1,9)=
      +mncF321*(-758527678840154291640-169335310339558209986073/28*ep-
         27055042938074345100758071/1568*ep^2-
         20657574910030954894948456279/790272*ep^3)
      +1553121885504308512872136284330855515068507268227/
      416168625940348406501376000+2591036499820684861/305760*ep^-3-
         6368713623111439378214161/2861913600*ep^-2-8646387888385944111\
         046167826586519/333116096721408000*ep^-1+
         381505306391735927197275589/38220*z3-4326796805843473846441675\
         31553730423073046871999303299250338698399165152991615303256215\
         6309932780678903/115926213657512496929734256162694158768387157\
         484307697267783814348800000000000000*ep+
         381505306391735927197275589/25480*ep*z4+
         6403685108403021832668382598396/39127725*ep*z3+
         65416152755496280029828560311153822800063800245360072745168865\
         8367976982966735074057881773683346787283380628282777/
         37241728866846230401325669104296902609100224977415305171047911\
         54297420120064000000000000000*ep^2+
         24670677235080608740621354467/25480*ep^2*z5+
         3201842554201510916334191299198/13042575*ep^2*z4-2963530818595\
         129372489633019688048448829011/6703961446518336000*ep^2*z3-
         18409426480527375365036490956103044690380688968041940575255699\
         59843895295260283437562131740632622867691069646634436610052495\
         8312538404418537892496830407/931656779343470373408625005268889\
         65561129752400371877560395806827558541860678817381817998321781\
         435020817203200000000000000000000*ep^3+
         73249021092458354367469512223/30576*ep^3*z6+104060797618071505\
         5367962589216379/556483200*ep^3*z5-296353081859512937248963301\
         9688048448829011/4469307631012224000*ep^3*z4-45766205501016596\
         2166828896525326499655612690036267/
         2392969599157003337382912000*ep^3*z3+
         26705372723655380716902935159/76440*ep^3*z3^2;
Fill mncnoptab(9,8,2,8)=
      +mncF321*(-10113702384535390555200-560786914214639288265870/7*ep-
         44285413656020223142549665/196*ep^2-
         166496410608542165141628599077/493920*ep^3)
      +337634226343081519813623273756861472486010381417/
      6785358031636115323392000-847498978677372110441/7644*ep^-3-
         30655094706007241408818913/23849280*ep^-2-44669955785427115031\
         30296864721509/925322490892800*ep^-1+
         254341541454779015192939390/1911*z3-21025876864393248848790471\
         42294382734194322636565898440131151800429134791441971244845549\
         156488767/4203261087955812241723076526328009675391658574642585\
         534464000000000000000*ep+127170770727389507596469695/637*ep*z4
         +5674268487720920339605582510601/2608515*ep*z3+
         44693196029129335701067566053045147703828817656460323183142035\
         66212592855463995659968055447660465150315957/
         18870838245262646330722466058767663460755868900284972452031968\
         05120000000000000000*ep^2+8223575632004418677181493545/637*
         ep^2*z5+5674268487720920339605582510601/1739010*ep^2*z4-
         1620973259693708098560742691366753604857/269885726510400*ep^2*
         z3+33739492818134391263641188268239022089578873177073172398371\
         67374826397650369709913239763373900792983201917596136275733153\
         4965548456416162577403/368402784059398645221992861078856072097\
         82293345604528813470278574666700125764409752408643180953600000\
         000000000000000000*ep^3+122081926772792385081757706225/3822*
         ep^3*z6+337577888964760912544600681004529/13912080*ep^3*z5-
         1620973259693708098560742691366753604857/179923817673600*ep^3*
         z4-757323176845686073980257432419456015164749049259/
         339267901581805766169600*ep^3*z3+8901739495824398142358028645/
         1911*ep^3*z3^2;
Fill mncnoptab(9,8,3,7)=
      +mncF321*(-49557141684223413720480-390853216374212245392585*ep-
         43754494318198393493789817/40*ep^2-
         32562166986559179568955657081/20160*ep^3)
      +30698554661773303052154281088889349050726873339/
      125887904111987297280000-3334319205170018028029/1560*ep^-3-
         87401994613745953033501587/3785600*ep^-2-270783437209315662912\
         83958021694411/360515256192000*ep^-1+
         127177608667853822868431059/195*z3-591649719620279594702066895\
         87000787967789177506329662271986122177971187122152137696572155\
         64252299/24063196262879815643047562408874902991905599049106771\
         14880000000000000000*ep+127177608667853822868431059/130*ep*z4+
         943762083292064794531633935449/88725*ep*z3+
         39292772531219275267406040319570934000873866110256084472891353\
         177979117316682964523581385870219362546093299/
         33610398358909351535238529529530532323424182085850785814379757\
         56800000000000000000*ep^2+8223624121194877906231098477/130*
         ep^2*z5+943762083292064794531633935449/59150*ep^2*z4-706605631\
         28398209560683106324637474433/2371810896000*ep^2*z3+
         12686372318615165355018725593311719118788178875767472661271545\
         34709608840178418254026258622006278814930599647859866361639873\
         18847777964324433/83197808321275906059351907112283751385328176\
         40392656243504878347323014219861888510777832243200000000000000\
         000000000*ep^3+24416517146248926072956433313/156*ep^3*z6+
         331436600005268626154191423223101/2839200*ep^3*z5-706605631283\
         98209560683106324637474433/1581207264000*ep^3*z4-8512961366979\
         849204321711995367435098149763/860477813479065600*ep^3*z3+
         8901589074176928290697673049/390*ep^3*z3^2;
Fill mncnoptab(9,8,4,6)=
      +mncF321*(-117135062162709886975680-921719000037934388720430*ep-
         51380111902331238742098911/20*ep^2-
         2535170057308480029659771569/672*ep^3)
      +262452840453621084823883453727005174441556047/
      455215958327370240000-615244366758042167839/60*ep^-3-
         141347242912177472613481993/1310400*ep^-2-15120364300363111279\
         5036710871139553/457577055936000*ep^-1+
         23124918400578145655481538/15*z3-80957250779798475878996954750\
         40053598552214436222796027692619438472778280425170389857080298\
         71/13911549251026644445281317298948102240297664747929600000000\
         0000000000*ep+11562459200289072827740769/5*ep*z4+
         171411074654961213456740738948/6825*ep*z3+
         10780434522066664456018377076916699360027626170256236705702945\
         403570896813623752767278345880959467856977/3886206196455090226\
         35218132903329683319275424643074354053120000000000000000000*
         ep^2+747608279589568218094902607/5*ep^2*z5+
         85705537327480606728370369474/2275*ep^2*z4-4053283672437286489\
         933139877890478233081/57197131992000*ep^2*z3+
         19682269254350430706308204175858346194189160734635136297771778\
         48202436056084015355495101132327868078225558368200613398629042\
         1566902087217/961975620690373354184610610596391471784328823999\
         224877380128939038162557334088193146880000000000000000000000000
         *ep^3+2219699920368126508629226283/6*ep^3*z6+
         89511087602820432228298185382253/327600*ep^3*z5-40532836724372\
         86489933139877890478233081/38131421328000*ep^3*z4-195933767583\
         74916568275324098298149801002193507/887671118738371968000*ep^3
         *z3+809216484187546070713023859/15*ep^3*z3^2;
Fill mncnoptab(9,8,5,5)=
      +mncF321*(-146418827703387358719600-2303569590347679932002725/2*
         ep-51334944033360727567811819/16*ep^2-
         63276246735399782444831862481/13440*ep^3)
      +2047511996671998935427506699669165440716478573/
      2840547579962790297600-818419255977718353805/48*ep^-3-
         20730982541628429513880603/116480*ep^-2-8868183675183874049951\
         86160443219/1656387532800*ep^-1+11563017874947439672928783/6*
         z3-32727518828840053644595578528302275228673889646397966737649\
         29391506173551538592419967722221/44966623841702285075656783188\
         5191183524773001953280000000000000000*ep+
         11563017874947439672928783/4*ep*z4+
         4113362560156729324758261804811/131040*ep*z3+
         10898711879427782659256533132074969654447355202995832055159043\
         934929520083600746398172350013912401717/3140368643600072910183\
         58087194609845106485191630767154790400000000000000000*ep^2+
         747612241237235511773742469/4*ep^2*z5+
         4113362560156729324758261804811/87360*ep^2*z4-8113412620272903\
         013532168423487543114073/91515411187200*ep^2*z3+
         57805663023953941466082384089579153921264483392097245083227583\
         84331013394054075106087586968702046410192633906637303014389045\
         31769911/23556182937015570350403688046437501604758587670626871\
         806063763429156107923699741491200000000000000000000000*ep^3+
         11098553439809058279876849205/24*ep^3*z6+
         89391977179719304077310153616069/262080*ep^3*z5-81134126202729\
         03013532168423487543114073/61010274124800*ep^3*z4-107960509320\
         35995992683530304028029231619463457/394520497217054208000*ep^3
         *z3+809204194245654007356162673/12*ep^3*z3^2;
Fill mncnoptab(9,8,6,4)=
      +mncF321*(-99114283368446827440960-780966332363738853589950*ep-
         43639457151276355456384957/20*ep^2-
         10801398527401532404309220683/3360*ep^3)
      +10236626229852569485333593711645053465461655473/
      20981317351997882880000-8275898986591849208519/780*ep^-3-
         1899482901211782492404269273/17035200*ep^-2-184302821495688121\
         375572374066405903/540772884288000*ep^-1+
         254382397713876644971146938/195*z3-296047419034095930500645645\
         46378132680150022864804321328452881070960938930641303684194487\
         95622933/60157990657199539107618906022187257479763997622766927\
         8720000000000000000*ep+127191198856938322485573469/65*ep*z4+
         45282901570690494936608271540157/2129400*ep*z3+
         28112269233027570868270829232753252090985310676725908246626077\
         45894339008273772075603912381243402598325667/
         12003713699610482691156617689118047258365779316375280647992770\
         5600000000000000000*ep^2+8223720485942473613122501007/65*ep^2*
         z5+45282901570690494936608271540157/1419600*ep^2*z4-8076060735\
         596330654831534799494722386517/135193221072000*ep^2*z3-
         12301204508186427860596562986592307134362880251621178067594688\
         49268587202604510873604243667901442196588641797019257273253973\
         909859643132701/2079945208031897651483797677807093784633204410\
         09816406087621958683075355496547212769445806080000000000000000\
         0000000*ep^3+24416779060113544194396356083/78*ep^3*z6+99035155\
         1795184108902229228350023/4258800*ep^3*z5-80760607355963306548\
         31534799494722386517/90128814048000*ep^3*z4-184324820418530884\
         5231658459256972070710790359/95369624327263104000*ep^3*z3+
         8901290076502085279464565459/195*ep^3*z3^2;
Fill mncnoptab(9,8,7,3)=
      +mncF321*(-35397958345873866943200-279951737388342702938145*ep-
         44092398414242934926379165/56*ep^2-
         165161464328579994613730349661/141120*ep^3)
      +30700687548620599321922804810670745179152295259/
      176243065756782216192000-5009606867512341289547/2184*ep^-3-
         168484817993415202550791267/6814080*ep^-2-57730960100140660986\
         40757763013223/72103051238400*ep^-1+
         127182215755329250774876321/273*z3-148191763692057711565150671\
         19237677055596882231797534501075038947287959173078796771207370\
         3320727039/847024508453369510635274196792396585315077086528558\
         34443776000000000000000*ep+127182215755329250774876321/182*ep*
         z4+45362143242793601050481018402687/5962320*ep*z3+
         98266761317617590933214698731835927403686373859137821909984812\
         5824723799099225284734022423756405176349660511/
         11830860222336091740403962394394747377845312094219476606661674\
         6639360000000000000000*ep^2+8223656789520831077400462723/182*
         ep^2*z5+45362143242793601050481018402687/3974880*ep^2*z4-
         2664227391304723718086838991406838192161/126180339667200*ep^2*
         z3+79766235295848284839786067460957499025802702445270651984779\
         89337243477481136049965643529099905043288377873154080835495045\
         945564066963245581327069/2474635610708030549829363125147767901\
         20520127895839167306809101562775734955572011864575842241740800\
         000000000000000000000*ep^3+122083029685259173653258177635/1092
         *ep^3*z6+335355500054601458928103088340541/3974880*ep^3*z5-
         2664227391304723718086838991406838192161/84120226444800*ep^3*
         z4-13288966729143119650777120759625006754871616167/
         1762430657567822161920*ep^3*z3+8901487717509979098287837111/
         546*ep^3*z3^2;
Fill mncnoptab(9,8,8,2)=
      +mncF321*(-6068221430721234333120-337925536688432851416126/7*ep-
         26891246801505258059098123/196*ep^2-
         102142306916752017035201197019/493920*ep^3)
      +13505130280174680976547297810197144731257188129/
      452357202109074354892800-4744366059525701042489/38220*ep^-3-
         512975513224051497726512131/357739200*ep^-2-222661146060958611\
         806699962582151309/41639512090176000*ep^-1+
         763036739890793718058647158/9555*z3-20492596281989197801137290\
         29794110204884757700584592976923977729425916572751239667101263\
         6614629321663/684819315084549249348619188106652639227239824458\
         33942147792896000000000000000*ep+381518369945396859029323579/
         3185*ep*z4+409407153070126244352604416329579/313021800*ep*z3+
         27012358559968892768064496817514072732547623592183024369700989\
         934988049789797870666490584115897567993801741951/
         19130500979517460344233207191736306509975869656352893672971927\
         931584512000000000000000*ep^2+24670769844703052444861899137/
         3185*ep^2*z5+409407153070126244352604416329579/208681200*ep^2*
         z4-259351170562089849394846607541931779116239/
         72869146157808000*ep^2*z3+626318767901353273562283909672472633\
         25863794393357084059063916200900371149932022377028428065121179\
         4567758223676500028814205410558008236983007750497/
         10403863034538702037592608450746245810246907216996870271912868\
         2479022174490021585228104975595272667136000000000000000000000*
         ep^3+73249272794218363616527050253/3822*ep^3*z6+10311799958866\
         94265702132185138039/69560400*ep^3*z5-259351170562089849394846\
         607541931779116239/48579430771872000*ep^3*z4-16569851851965727\
         4262139087814902942427406908437/113089300527268588723200*ep^3*
         z3+26705085174712984964224164029/9555*ep^3*z3^2;
Fill mncnoptab(9,9,5,4)=
      +mncF321*(-36604706925846839679900-580376997234256332985875/2*ep-
         3278448480922164952918703/4*ep^2-1029078387285498923916705931/
         840*ep^3)
      +20473128388306616874204458481918082355010615197/
      113621903198511611904000-204770230135982777497/48*ep^-3-
         189197582078947595357001059/4193280*ep^-2-20501708579278756021\
         6488028579572707/1464246578995200*ep^-1+
         5781509859481384038480745/12*z3-167748069787744163924369086960\
         3534811954859939389090349397708313288184910199907093633735689/
         92782711636320862321370975164352816625816846150402048000000000\
         0000*ep+5781509859481384038480745/8*ep*z4+
         16515345630601667739516584865497/2096640*ep*z3+
         52704101760678038223630637843998377614635367992709635679165485\
         42546179877715957801915327976625267759737/61557506151848629185\
         4185522518874218377732272634629776820142080000000000000000*
         ep^2+93451531781717193044703875/2*ep^2*z5+
         16515345630601667739516584865497/1397760*ep^2*z4-1587612738843\
         1838670827290219277767444727/732123289497600*ep^2*z3+
         14536166174442888446909613176261941788646671110027153900274464\
         62236527908162265425225549713526108077081233421360908830819542\
         10366583640662068163981/51881687711888014003454737301077656227\
         36023396816741950514439242784744165664580737540896883726090240\
         000000000000000000000*ep^3+2774638404154108871148712525/24*
         ep^3*z6+184785318052463463183136280177599/2096640*ep^3*z5-
         15876127388431838670827290219277767444727/488082192998400*ep^3
         *z4-467418579306421500554488829582315722057680653303/
         56810951599255805952000*ep^3*z3+101150519160789068358530285/6*
         ep^3*z3^2;
Fill mncnoptab(9,9,6,3)=
      +mncF321*(-18583928131583780145180-295216629241576982590035/2*ep-
         8366500684897694381237811/20*ep^2-15074956696505343199035617/
         24*ep^3)
      +8771679730663966634082761038004928504489637489/
      95914593609133178880000-1388007078317592581651/1040*ep^-3-
         1310477735263169806596734273/90854400*ep^-2-135520455178284206\
         422755650354848003/2884122049536000*ep^-1+
         63591853957136128650913667/260*z3-1293570907929727318109722275\
         93621725485755389646277898107704523004112195595818888470391745\
         014230371/1411707514088949184392123661320660975525128477547597\
         24072960000000000000000*ep+190775561871408385952741001/520*ep*
         z4+181828811377876267251979701281363/45427200*ep*z3+
         85405448724403238632342436633292624431885477762726251136691188\
         9590716125850334878899757555267807777427481267/
         19718100370560152900673270657324578963075520157032461011102791\
         1065600000000000000000*ep^2+3083875263402075716361868707/130*
         ep^2*z5+181828811377876267251979701281363/30284800*ep^2*z4-
         15789821780573304334141337553626723720599/1442061024768000*
         ep^2*z3+520114325947083509340561116485314665509620065874179036\
         13686528490040608171736457064808607961096266418309937108153588\
         2168222299199170441760784586127599/
         33237484415743937291173242904562389685496060289366775631775703\
         56497618502291357003698200179590282451353600000000000000000000\
         00*ep^3+6104158672847015304072823747/104*ep^3*z6+2048891569318\
         579423724496251122741/45427200*ep^3*z5-15789821780573304334141\
         337553626723720599/961374016512000*ep^3*z4-2919135456566959918\
         91001642380928570569736787489/67140215526393225216000*ep^3*z3+
         1112681860251719418947829103/130*ep^3*z3^2;
Fill mncnoptab(9,9,7,2)=
      +mncF321*(-4424744793234233367900-70563424487796595918035/2*ep-
         2819024336663897164507221/28*ep^2-2691225685029979188255369727/
         17640*ep^3)
      +675253062281415107539256428029446098774154989597/
      31018779573193670049792000-424798016696699633075/4368*ep^-3-
         583754757277343921458079/519168*ep^-2-266514205543509448985314\
         84823039501/6345068508979200*ep^-1+63586556020267680172231811/
         1092*z3-106515202534106711635986621903329153496775213811315349\
         45298690736547592632870547050878211294709147901/
         48915665363182089239187084864760902801945701747024244391280640\
         000000000000000*ep+63586556020267680172231811/728*ep*z4+
         60720925222573040047552096287409/63598080*ep*z3+
         70036489691866545661855375832659158229024847328781555411380751\
         412371445396975263222059036529801683291385530577/
         68323217783990929800832882827629666107056677344117477403471171\
         184230400000000000000000*ep^2+1027949029510819506011878737/182
         *ep^2*z5+60720925222573040047552096287409/42398720*ep^2*z4-
         57247394013049397385057713375001725324303/22207739781427200*
         ep^2*z3-634282281257916666958218509232014056009055675198934716\
         62590980744457151862141803967224866661141613360713099531486824\
         303863066942448871214674330635049533857/
         55005182619720516465754757565540471854729507834594557175724756\
         48635989804051238213725638516989104813171015680000000000000000\
         0000000*ep^3+30520538105223246779495203055/2184*ep^3*z6+
         694041160152366310121256333054503/63598080*ep^3*z5-57247394013\
         049397385057713375001725324303/14805159854284800*ep^3*z4-
         17334022541174783021263476581288620416486242635127/
         15509389786596835024896000*ep^3*z3+
         1112711000052637168017621919/546*ep^3*z3^2;
Fill mncnoptab(9,9,8,1)=
      +mncF321*(-379263839420077145820-42592891013471282317317/14*ep-
         1719648844860646164293323/196*ep^2-
         1664811904934719532419010129/123480*ep^3)
      +71441288180289225178714679037701403584167080507913/
      38287513586512053398126592000-1261316763236427161/152880*ep^-3-
         15766680680596990010961391/5723827200*ep^-2-466500631008523269\
         571725641924472547/15323340449184768000*ep^-1+
         190752666373917322413300617/38220*z3-5002592539423832706187369\
         59890778444817795310321036743969337350416744671725526344122818\
         512483854545843249/2693510086715877097030662257984230607302219\
         9754262104763137116864512000000000000000*ep+
         190752666373917322413300617/25480*ep*z4+1644222449816195713436\
         302204839851/20033395200*ep*z3+8702100029176603101726358507779\
         82180154743876436987560116376321480689066122631497121085254414\
         201542316741857531341/1001173750056775284814858896699929719491\
         3956584837621000528464531682674868224000000000000000*ep^2+
         3083834676120899781396394419/6370*ep^2*z5+16442224498161957134\
         36302204839851/13355596800*ep^2*z4-116407246347092131902788853\
         71324691953237569/53631691572146688000*ep^2*z3-
         13208959127189461764555123995517899585779664789322812314597166\
         40509436583154486020649098049183967475094513480154369430555712\
         173734215432541214183929633367357/
         14886476898069458357968517290949152067399754618622477595050317\
         86745361684020303564475361149635606780111316435599360000000000\
         00000000000*ep^3+18312255390351481365965065897/15288*ep^3*z6+
         2133794363869780481783695228892533/2225932800*ep^3*z5-
         11640724634709213190278885371324691953237569/
         35754461048097792000*ep^3*z4-204144288260842344342801521530318\
         9927313152223879867/19143756793256026699063296000*ep^3*z3+
         3338171507261246878302057373/19110*ep^3*z3^2;
Fill mncnoptab(10,4,3,10)=
      +mncF321*(-29908222942779460479200-2115119392605359506220855/9*ep
         -423292739445886132005564839/648*ep^2-
         103976413510136342410401477197/108864*ep^3)
      +902214027836708458669508913365131985555049401195147/
      6131172822601734810878976000-80798602271670080995/1944*ep^-3-
         14113731745942938744275617721/30169915776*ep^-2-97454787414664\
         86635366246248440123433/5852776607066188800*ep^-1+
         95639297010199388602486661/243*z3-1170709750440707573292333743\
         06001126549895062401620886387901071600063045230025877243578656\
         79/78635032141428107726952646032304147913282549987672064000000\
         00000000*ep+95639297010199388602486661/162*ep*z4+7551604917763\
         539704128423372598392/1178512335*ep*z3+
         74830906262129608009811322884272636427932123921567740670695917\
         54435004169480531575065048656443090191167/10544054652221950802\
         13873838193314096781858082141589337416925184000000000000000*
         ep^2+2061553909871773534218262721/54*ep^2*z5+37758024588817698\
         52064211686299196/392837445*ep^2*z4-46912404471077260807930884\
         9249248673876299/25821073266468480*ep^2*z3-
         12500016694216078582005848503795159330983534342960548377397538\
         39954869994258448885693097282379004826988361233268907099235926\
         701439/7988251031870710758779241101872047493958205268687461910\
         3099006365619098042689912832000000000000000000000*ep^3+
         91813532974127815153796955835/972*ep^3*z6+26148626826250824331\
         90567004727965713/37712394720*ep^3*z5-469124044710772608079308\
         849249248673876299/17214048844312320*ep^3*z4-83688930485841479\
         09344227902367390984542789707738997/
         1532793205650433702719744000*ep^3*z3+
         6694730317589598147065829463/486*ep^3*z3^2;
Fill mncnoptab(10,4,4,9)=
      +mncF321*(-89724668828338381437600-2109186909984089514333755/3*ep
         -420005394896126011048925339/216*ep^2-
         34166206461757108136367802531/12096*ep^3)
      +47485526121807598981301430617278193073305301935381/
      107564435484240961594368000-321294989830197932911/648*ep^-3-
         14297117629094810072814302507/2646483840*ep^-2-184146283079014\
         7535869001466739931343/102680291352038400*ep^-1+
         95639958038973944881390073/81*z3-21944268349213687520774485455\
         75079069018498898853486635541351722552560282723007215114990267/
         49051092173990242636695607661476271602827321629736960000000000\
         0000*ep+95639958038973944881390073/54*ep*z4+264611113837724068\
         329973478071199/13783770*ep*z3+6514355883100910136037601951619\
         15268168860674676620694032794785812281091309900176563183861723\
         937063/3044994484794441066244672119538846572180660117367957078\
         6713600000000000000*ep^2+229061719175011205753601277/2*ep^2*z5
         +264611113837724068329973478071199/9189180*ep^2*z4-12440314357\
         3905814624937004753117257902297/2265006426883200*ep^2*z3-
         11298920450637691469549995638872122414135340886313348051762613\
         66291701846628786978342997454285698737896896653855669289115459\
         13/37749428941441128282966465127873105293676910715045008732045\
         13266731365020624486400000000000000000000*ep^3+
         91813596685489798881394616455/324*ep^3*z6+13595490063087409240\
         7323963181336839/661620960*ep^3*z5-124403143573905814624937004\
         753117257902297/1510004284588800*ep^3*z4-406342381481607530744\
         667952964841370329885767899499/26891108871060240398592000*ep^3
         *z3+6694715780336828123462375827/162*ep^3*z3^2;
Fill mncnoptab(10,5,2,10)=
      +mncF321*(-10706789870048268396400-1518855712850697482710295/18*
         ep-305588540233628390167449911/1296*ep^2-
         75610050850678800196428770909/217728*ep^3)
      +763409681249757449662410582418386308996871937011997/
      14491863035240464098441216000-379039239474409954759/50544*ep^-3-
         31737570311180827690036103147/356553550080*ep^-2-4854459879746\
         671747359877931383390607/13833835616701900800*ep^-1+
         890180124444086267190546785/6318*z3-99617830903361026955237180\
         56372863662547597926350452208727607711635323644399168756098940\
         318247/1873515383965952588461795406558751916828462790979008593\
         9200000000000000*ep+890180124444086267190546785/4212*ep*z4+
         3199469387255608564192413472096486/1392787305*ep*z3+
         37805952629547308715364782752917248397923023935205471489648849\
         497390409456965605830133084706210477472477/1495338659769658477\
         3942210796196090827088169164917085148821848064000000000000000*
         ep^2+19188307045996657429038106445/1404*ep^2*z5+15997346936278\
         04282096206736048243/464262435*ep^2*z4-19685268726902056502100\
         59620480436637137297/305158138603718400*ep^2*z3-
         24308585899763739644958585975309020569771616848409539974470364\
         80336650334097154890184531628865556146532323632899772225311155\
         41613258371/61706363450829767155696476985164892953729310746713\
         915770856270853211590950448420825858048000000000000000000000*
         ep^3+854572015825408721634809322175/25272*ep^3*z6+224089548041\
         0066959732706516980389143/89138387520*ep^3*z5-1968526872690205\
         650210059620480436637137297/203438759069145600*ep^3*z4-
         1527487536496432535263830913966834916830826347770839/
         724593151762023204922060800*ep^3*z3+
         62312512403432010500282956267/12636*ep^3*z3^2;
Fill mncnoptab(10,5,3,9)=
      +mncF321*(-56940655217983972835400-1787425762524368762981185/4*ep
         -356918369378825068821455713/288*ep^2-
         87431203030771239137927254699/48384*ep^3)
      +5338573704034949165674142054706865683679456722419/
      19055704188350380142592000-222137510490714264149/864*ep^-3-
         17315629921035859148834903617/6094932480*ep^-2-229808985318648\
         8697973257726323323117/236475822507724800*ep^-1+
         80925981581569395556464355/108*z3-3844400674195148803843029237\
         77425172703605042438598956591173636131072475191942533047561778\
         21/13555938200811848874141331571898896879326823432218214400000\
         000000000*ep+80925981581569395556464355/72*ep*z4+1451339731657\
         28642428498383397633/11904165*ep*z3+51282479339553378284306276\
         42409534367187137158527699845878617213848636810927697361538853\
         80606249739939/37868658683625412532933740541174019188574027641\
         448775305658368000000000000000*ep^2+
         1744392768937033697844275815/24*ep^2*z5+1451339731657286424284\
         98383397633/7936110*ep^2*z4-1810611944171268365975693438028242\
         98299187/5216378437670400*ep^2*z3-
         10709136169200837617346484886586459317655717566720739517992343\
         65191102298438048365647450658344549637572546387554408590098638\
         41692721/52765849778914877584904261224020003594659236382204192\
         84558283008130968174908742094028800000000000000000000*ep^3+
         77688414786350822447427768125/432*ep^3*z6+20003015281830382663\
         0975698093076933/1523733120*ep^3*z5-18106119441712683659756934\
         3802824298299187/3477585625113600*ep^3*z4-12404640752778335606\
         6586017969872266427039217007109/12386207722427747092684800*
         ep^3*z3+5664762515275497717395596097/216*ep^3*z3^2;
Fill mncnoptab(10,5,4,8)=
      +mncF321*(-151841747247957260894400-3567417592918881286454870/3*
         ep-354857685994568498249825053/108*ep^2-
         9611548738774723795694625395/2016*ep^3)
      +69404824136563447816656408515066062061716225339247/
      92896557918208103195136000-773711554799206225499/324*ep^-3-
         58382279797258760841102261887/2285599680*ep^-2-721482878748735\
         2822462325812358385747/88678433440396800*ep^-1+
         161854997247749350658924690/81*z3-2275460615359678370766249181\
         48924136871210535314920431720617884927543183709865717860188418\
         15733/30024284999454368404836464848697947385071519086202060800\
         00000000000000*ep+80927498623874675329462345/27*ep*z4+11456013\
         4217526587067046909502507/3527160*ep*z3+
         15197558431256924600339713629009401638861385788620490651182216\
         0965353987935977252275623162820422942789821/419365810031554861\
         4486998220087044703109662826699503046544588800000000000000000*
         ep^2+193821817166748464700278745*ep^2*z5+114560134217526587067\
         046909502507/2351440*ep^2*z4-364174506105275119562744436156961\
         177077179/3912283828252800*ep^2*z3-
         91666802472816573128549025513856616358450426111884823208348171\
         02106041721771437076114522797105620124609694807756752715257476\
         0165143/212487477447760906183527813309796463339288260147086486\
         8142433569325468007935551681331200000000000000000000*ep^3+
         77688560966294381450318268275/162*ep^3*z6+19822518261472332650\
         3125160482501153/571399920*ep^3*z5-364174506105275119562744436\
         156961177077179/2608189218835200*ep^3*z4-466690359052124484660\
         7653659197620153413833767403/185793115836416206390272*ep^3*z3+
         5664729136925944023745710167/81*ep^3*z3^2;
Fill mncnoptab(10,5,5,7)=
      +mncF321*(-224842587271013636324400-10565769780608447896883315/6*
         ep-2102329228343293192251513197/432*ep^2-
         24411927368860144678235128271/3456*ep^3)
      +69412997095456101353004177371316470680781523557327/
      62735337814893783975936000-145146191020065617414263/16848*ep^-3-
         1539354412384565854823471908237/16978740480*ep^-2-166534977080\
         78994343807023497569952947/59886734271436800*ep^-1+
         6231652690928676842763676205/2106*z3-3676936733689442464449185\
         14058575051133510537088492082782704821506714165682689199566469\
         614658901/3277286385946272749495852023134843003198477185386020\
         8640000000000000000*ep+6231652690928676842763676205/1404*ep*z4
         +34026307690295276460240156926004979/707447520*ep*z3+
         24558186394344919327985432109462480104729009909643012386328991\
         87668177881998697591543024244388705268250001/
         45775673258254851348802686110804359674759701525256383108638310\
         400000000000000000*ep^2+14924341718932078464554001325/52*ep^2*
         z5+34026307690295276460240156926004979/471631680*ep^2*z4-
         364091321181588941227442874175271912081339/2642061806092800*
         ep^2*z3-191252803368074448371760317428082067967042886962840934\
         39385296544557344601410487661338778290461022047584483828770165\
         0307465945410723263/107941160555387347794221242539647043067748\
         06544614679143590018225051590253722755829596160000000000000000\
         00000*ep^3+5982041869258205009716733774575/8424*ep^3*z6+
         2181184524964011846647018184389439683/4244685120*ep^3*z5-
         364091321181588941227442874175271912081339/1761374537395200*
         ep^3*z4-116805209957368565973753736336052346983385658269331/
         3136766890744689198796800*ep^3*z3+
         436178967359121049972847144899/4212*ep^3*z3^2;
Fill mncnoptab(10,6,1,10)=
      +mncF321*(-1092529578576353918000-155932260843217859821315/18*ep-
         222022045250700337173624181/9072*ep^2-
         278752803811325706209543381411/7620480*ep^3)
      +15182097945623188294420482051136412120675440705683149/
      2824387832605023081922516992000-3702864526252346213/353808*ep^-3-
         9499267282367960455215517/18765976320*ep^-2-841982993835262042\
         46182773059707007/16746222062323353600*ep^-1+
         635842214388023272366407187/44226*z3-1943384909639903157425708\
         85472396522138708074827147454774614467202382478189434571213452\
         0119206307/359922026474427554902336811235794756400819580702762\
         06677196800000000000000*ep+635842214388023272366407187/29484*
         ep*z4+24127192102235017649327863026178/102626433*ep*z3+
         16872743037889413566992462384973056489342559658839627160847560\
         6973561891130159591701815482921857503090578171/
         66072168298200157574601508601341740839102847588624663554707180\
         8012288000000000000000*ep^2+13705931872759912240646301847/9828
         *ep^2*z5+12063596051117508824663931513089/34208811*ep^2*z4-
         1672987284592962987940645763628475097760263/
         2585813700799929600*ep^2*z3-7346492236248420922197123912021767\
         46529479961956778967182880531156572132313098984125527745455266\
         99238153256991926506219458565280708172492327081/
         20136180346926743612426784339244047144250188137155450058059056\
         3996471432622920494403487792782901248000000000000000000000*
         ep^3+610408512130315818105419511245/176904*ep^3*z6+17289907274\
         797147298512805585696459/6568091712*ep^3*z5-167298728459296298\
         7940645763628475097760263/1723875800533286400*ep^3*z4-
         174552359281709666264103959098786513527238679757008771/
         706096958151255770480629248000*ep^3*z3+
         44508953483790911101763815313/88452*ep^3*z3^2;
Fill mncnoptab(10,6,2,9)=
      +mncF321*(-13765872690062059366800-217074573474103989176225/2*ep-
         43712632155960967162355249/144*ep^2-
         7736293426847781929321833057/17280*ep^3)
      +819985078604789160585571696442245817430559159423/
      12106819578312835504128000-161646168180811234129/5616*ep^-3-
         705766309340816529254608511/2085108480*ep^-2-15114227312665359\
         356426448458942693/11557089069926400*ep^-1+
         127168884159126009231320135/702*z3-237643029742219815226211119\
         10045961109948623329699200637453768464315401445203762849779275\
         391/3478168354155671750602052179631953804564119170108620800000\
         0000000000*ep+127168884159126009231320135/468*ep*z4+
         24061302071186457390608587421683/8144955*ep*z3+
         36519719415312442810275719640511046377385593021741404775533278\
         62560752856329531413399222466317788307/11242000674890971750207\
         60240076175210796075418237876865859584000000000000000*ep^2+
         2741187418555643839783712315/156*ep^2*z5+
         24061302071186457390608587421683/5429970*ep^2*z4-1478219002205\
         0330862471579546980249273213/1784550518150400*ep^2*z3-
         30269453357911236869144312613064151278315114073913461133887764\
         02617945672108525627596254692384729957642854840691685457388468\
         199899539/8322260865865618560266150023935507919892945738222646\
         59218935077385362259939650867036160000000000000000000000*ep^3+
         122081744993412712697953852825/2808*ep^3*z6+168805335744926773\
         68853860417505979/521277120*ep^3*z5-14782190022050330862471579\
         546980249273213/1189700345433600*ep^3*z4-827637446085202306340\
         6055762859881186720981360673/3026704894578208876032000*ep^3*z3
         +8901781007894411692458284365/1404*ep^3*z3^2;
Fill mncnoptab(10,6,3,8)=
      +mncF321*(-65075034534838826097600-511277973342839686253270*ep-
         51155035590293434630596799/36*ep^2-
         62845051362669193876816737929/30240*ep^3)
      +521825106921141947302761436627697224547687148011/
      1629764174003650933248000-83295444221418534479/108*ep^-3-
         9649771780400045966876099/1145664*ep^-2-8916061742893189364768\
         03787209833/31750244697600*ep^-1+23121992691026887264094114/27
         *z3-1706532983857153177309861323756263162539745300537865137000\
         2736660870509350576080923016589923/526741842095690673769060786\
         8192622348258161243193344000000000000000*ep+
         11560996345513443632047057/9*ep*z4+
         8734756815750795323997513907943/626535*ep*z3+
         22732409013179436794188626604419080959331211428201876060015572\
         9008977337738531882410945783468713498379/147145898256685916297\
         78941123112437554770746760349133496647680000000000000000*ep^2+
         249199302202600398908152597/3*ep^2*z5+
         8734756815750795323997513907943/417690*ep^2*z4-104387190779809\
         410364399299981363281971/2639867630400*ep^2*z3-
         47816883677581247589169280973149373398086170190905588364442693\
         93556402304078619846371697480098085989304422598303209957446442\
         9945378717/107129103213246123534195272543689050266891164490822\
         77043551435912015901206675073060044800000000000000000000000*
         ep^3+11098358635661883514546396295/54*ep^3*z6+2159260908590317\
         60228904513011483/1432080*ep^3*z5-1043871907798094103643992999\
         81363281971/1759911753600*ep^3*z4-4805265310668835761007036259\
         142079124662140467357/407441043500912733312000*ep^3*z3+
         809248666916433454970143907/27*ep^3*z3^2;
Fill mncnoptab(10,6,4,7)=
      +mncF321*(-151841747247957260894400-3573693942627432586232270/3*
         ep-356624952586167177065352661/108*ep^2-
         20791003235868383420383627891/4320*ep^3)
      +521887340921411879945155567135852372259155862531/
      698470360287278971392000-1737590593525373138783/324*ep^-3-
         976466866886005573825112783/17184960*ep^-2-1180376789722940283\
         33254874018395119/666755138649600*ep^-1+
         161860297986252370927982714/81*z3-1171265400094124814505452839\
         97521230328325848401189071948853462744271016411310067930922614\
         70409/15479760257506011637294847612647706492840310592241664000\
         00000000000000*ep+80930148993126185463991357/27*ep*z4+
         358104225855971912509206836153/11016*ep*z3+
         78119148729406566057291466695408044637595629430585880017557309\
         858840921414000951590689490893221785724341/2162143811118650198\
         661395430334888783558150544377831860731904000000000000000000*
         ep^2+193822513250085024053093653*ep^2*z5+
         358104225855971912509206836153/7344*ep^2*z4-272493669478367122\
         1640039594871423921931/29415667881600*ep^2*z3-
         13576203879269568127770641392013744030683734774683673431425861\
         94146869342656593244976419235824923851439407820970585738855444\
         5709709908549/314828384953213097733145290740637208947598524217\
         928141688042198230671382400247045029888000000000000000000000000
         *ep^3+77688816376353172886863015895/162*ep^3*z6+30038391020091\
         5457824007552631709/859248*ep^3*z5-272493669478367122164003959\
         4871423921931/19610445254400*ep^3*z4-3547077513845559437405149\
         68791786816406310873103/13432122313216903296000*ep^3*z3+
         5664670833572069975391593627/81*ep^3*z3^2;
Fill mncnoptab(10,6,5,6)=
      +mncF321*(-192722217660868831135200-1512843293751963646511885*ep-
         302266751272329238319421035/72*ep^2-
         392196291440768622493039937/64*ep^3)
      +30705623805291222872963811718609821851233428163/
      32371175343082447872000-38819274935120540231833/2808*ep^-3-
         1266228168614598059154202721/8760960*ep^-2-2996906613680589831\
         15214462390843/686695726080*ep^-1+890285833269986215766511731/
         351*z3-1473468820845540196122642712277399885654486885542723675\
         22090174399701824864323339691328825213/15373329514711852657359\
         283343347607670506038021324800000000000000000*ep+
         890285833269986215766511731/234*ep*z4+
         15066327451459299241899410465563/365040*ep*z3+
         10521948957588585115389981265694951634156273328153678392745698\
         12155462923270401714704888233705641943/22965540535529389363312\
         109578159883804231467934384180428800000000000000000*ep^2+
         6396185634897495965486738857/26*ep^2*z5+
         15066327451459299241899410465563/243360*ep^2*z4-27203790620663\
         20216729577309878692455531/23175980755200*ep^2*z3+
         18869325179521616045842809799168431252254626034577499328657439\
         68107306126552109916308622158769029865059564793694065505152574\
         0904270104867/265764221064400666917590180495343098462258494469\
         679600126269388116800517610598154895360000000000000000000000000
         *ep^3+854582202378462093183044628385/1404*ep^3*z6+974372022417\
         764134733898305603671/2190240*ep^3*z5-272037906206632021672957\
         7309878692455531/15450653836800*ep^3*z4-1102714502476130658619\
         3904467257537072624076099/323711753430824478720*ep^3*z3+
         62310186838409998086606443821/702*ep^3*z3^2;
Fill mncnoptab(10,6,6,5)=
      +mncF321*(-137658726900620593668000-1083544166691266098852495*ep-
         217555801741651124531322961/72*ep^2-
         17902102165155577540726914557/4032*ep^3)
      +2610467432165415510549156142805675005157715837679/
      3852169865826811296768000-41584393723440779469731/2808*ep^-3-
         161105182048250763727843915949/1042554240*ep^-2-17080365545414\
         49353946274640818664147/3677255613158400*ep^-1+
         635956554203236326060012529/351*z3-425304426870625258513673236\
         95769121275591754117757698664001733154097148736893515480082385\
         1843849/620959525758241152536056172804496569027079887757351321\
         60000000000000000*ep+635956554203236326060012529/234*ep*z4+
         256473704302425812295659377789175/8687952*ep*z3+
         28283539514909902158643112873177822619061570620596125634760023\
         71496130585411030913356743450569797267904301/
         86732854594588139397731405262576681489018381837327883784788377\
         600000000000000000*ep^2+4568734045406389812182239923/26*ep^2*
         z5+256473704302425812295659377789175/5791968*ep^2*z4-134994966\
         83255955084983736020714865658171/162231865286400*ep^2*z3-
         41061116825547369261999055328134777264448683495356497393428577\
         43441819359195480845972968340534100524309828571557662512466678\
         2717836585229/505164631399212787676955415085548161557060946287\
         966983920012852932414423874224972825100288000000000000000000000
         *ep^3+610419530587830261384002264315/1404*ep^3*z6+167606965645\
         22686803861607034490119/52127712*ep^3*z5-134994966832559550849\
         83736020714865658171/108154576857600*ep^3*z4-25194460194294258\
         063079754565131994797889018369247/963042466456702824192000*
         ep^3*z3+44506438121152499533110736799/702*ep^3*z3^2;
Fill mncnoptab(10,7,1,9)=
      +mncF321*(-983276620718718526200-31262596810143335312775/4*ep-
         14903041209761316318878875/672*ep^2-
         169425536375335969990927057333/5080320*ep^3)
      +607279728046721136679631571558452495785790970793589/
      125528348115778803641000755200+142504969960960255/78624*ep^-3-
         4866047303069855768469593/4170216960*ep^-2-1509551745303475635\
         51489064792466041/11164148041548902400*ep^-1+
         127168439007395829231924439/9828*z3-16654621996422986807346035\
         98770042114601055646571387128628363823062663059681995473456386\
         5298576992628221/343387496515813532572167379997071333927571049\
         820941739634117207654400000000000000*ep+
         127168439007395829231924439/6552*ep*z4+
         12077879398297851846030000830377/57014685*ep*z3+
         25251056941778489102372473188940775365966903882286157863428840\
         31115194199366094460596899717147571574114612545839263/
         11031451505255209156756315621045521909210748459219230546878585\
         919168873234432000000000000000*ep^2+
         913728788855253997690835353/728*ep^2*z5+
         12077879398297851846030000830377/38009790*ep^2*z4-174864176900\
         53326659173895697253352216441/30243435097075200*ep^2*z3+
         43005176330195597532263654926320573420096943401807423283605046\
         94241832384642659360256077404178618966858170978189836349265560\
         5639622142703071965023291/367271800440487772322747413978891781\
         14390242444956691071731515786265022329555957763982825335955248\
         2770944000000000000000000000*ep^3+
         122081702105385331395943528265/39312*ep^3*z6+58224133651411344\
         24825886638701369/2432626560*ep^3*z5-1748641769005332665917389\
         5697253352216441/20162290064716800*ep^3*z4-7720543519998643931\
         0709319179482826530158013839621/330337758199417904318423040*
         ep^3*z3+8901790804951789247479510589/19656*ep^3*z3^2;
Fill mncnoptab(10,7,2,8)=
      +mncF321*(-11012698152049647493440-87099956867935433755410*ep-
         14698299058073670894321379/60*ep^2-
         33028383383844155554764011849/90720*ep^3)
      +5739845452557742822612239573384323983198213324633/
      105934671310237310661120000-421911219839577751349/7020*ep^-3-
         1826004822686716027438427411/2606385600*ep^-2-1647422799556673\
         5062414559210932713/6191297716032000*ep^-1+
         254339201569511381841417878/1755*z3-63770621383141123472692119\
         22846392033906144016834142921715631668788404853095295793538577\
         87007717653/11692708117404350417884194700512463278816795671278\
         46521405440000000000000000*ep+127169600784755690920708939/585*
         ep*z4+96390359434536365302660406607503/40724775*ep*z3+
         42227556273092482420971311624512795177407396857622371155448920\
         21411206220207067635599103459111232379372348721/
         16331852735900035733497988807224377831490533811882994340304030\
         53158400000000000000000*ep^2+913729703891187024345963613/65*
         ep^2*z5+96390359434536365302660406607503/27149850*ep^2*z4-
         14652980403645223357234663947530076313957/2230688147688000*
         ep^2*z3+952715148627678059229455269764306255766356185513799200\
         28127460122489800207140268123942254000682074290951589598020211\
         3775043418919464859550939/237807068784980298152980867829277722\
         70972970422122342429351443942764948978438564659973303828480000\
         0000000000000000000*ep^3+24416362803492538275499599673/702*
         ep^3*z6+5701758547786355906072005603530437/217198800*ep^3*z5-
         14652980403645223357234663947530076313957/1487125431792000*
         ep^3*z4-12454847441039936152277308757363893899072958660979/
         5296733565511865533056000*ep^3*z3+8901765227783600602171758929/
         1755*ep^3*z3^2;
Fill mncnoptab(10,7,3,7)=
      +mncF321*(-45552524174387178268320-359218888533634514850465*ep-
         120603903172191352423642979/120*ep^2-
         38445700908560063375179721743/25920*ep^3)
      +521846145075181675954775187953072755450942319243/
      2328234534290929904640000-1298041558832024430193/1080*ep^-3-
         57493222763011141516833637/4406400*ep^-2-286210362760747345209\
         500953477872667/6667551386496000*ep^-1+
         80928940112236345990985663/135*z3-1626833527053377968180329780\
         44353147314388605492868054481656550496063973947263087972205314\
         41/71968454282572327984041979602335068225377606303744000000000\
         00000000*ep+80928940112236345990985663/90*ep*z4+
         4375247909629626700621696874129/447525*ep*z3+
         25559401182150889465750450012747363166815584386136879774472278\
         7885502226899419692457809041015552819859349/
         23783581922305152185275349733683776619139655988156150468050944\
         000000000000000000*ep^2+581466587331248631775021721/10*ep^2*z5
         +4375247909629626700621696874129/298350*ep^2*z4-13431336990811\
         69710461978113957072931747/49026113136000*ep^2*z3+
         25094754134755770765538962905021895683635434875245287619976678\
         41116617575089553306472433822961803409402846049100628715371467\
         0192788214533/346311223448534407506459819814700929842358376639\
         72095585684641805373852064027174953287680000000000000000000000\
         00*ep^3+15537739977719240365943615141/108*ep^3*z6+511905002494\
         607832720101729226007/4773600*ep^3*z5-134313369908116971046197\
         8113957072931747/32684075424000*ep^3*z4-2112175371145440973779\
         03903312924606075477529493/23282345342909299046400*ep^3*z3+
         5664697430888344005555383293/270*ep^3*z3^2;
Fill mncnoptab(10,7,4,6)=
      +mncF321*(-91105048348774356536640-717748156501591205100110*ep-
         360847308623990586268867997/180*ep^2-
         12752210577668684851999007789/4320*ep^3)
      +57995303623481670528850734829630253287393454267/
      129346363016162772480000-3223170860572180480963/540*ep^-3-
         1805694686191879664114486651/28641600*ep^-2-195039461033585667\
         1450819034445217351/10001327079744000*ep^-1+
         161868469515588077865193186/135*z3-610915651295689513464152447\
         59963772429972546975333496140630897943207316433886287715639385\
         77547/13514076415283026032558993947549585033432017183703040000\
         00000000000000*ep+80934234757794038932596593/45*ep*z4+
         23324795520050772480056670135953/1193400*ep*z3+
         58054482023023605197276912534997716166590536016778852124822501\
         44661064154048526238277031512719693961461/26965512383565932182\
         8518704463534882303170702813561796689920000000000000000000*
         ep^2+5233236828522530883182075179/45*ep^2*z5+
         23324795520050772480056670135953/795600*ep^2*z4-80800613074203\
         90259347487106415596704897/147078339408000*ep^2*z3-
         16822605065972340745806673024965025025901666991658017107687577\
         74497960315033557318859544919784730123847658338135936144132784\
         992813900019/2748501773401066726241744601703975633669510925712\
         07107822893982582332159238310912327680000000000000000000000000
         *ep^3+15537842016052004571681032351/54*ep^3*z6+117651828375587\
         886851752129662577/550800*ep^3*z5-8080061307420390259347487106\
         415596704897/98052226272000*ep^3*z4-34368989746696253631528786\
         0046261944426573301573/19401954452424415872000*ep^3*z3+
         5664580940046450493030644223/135*ep^3*z3^2;
Fill mncnoptab(10,7,5,5)=
      +mncF321*(-96361108830434415567600-1519866715136651225823325/2*ep
         -306207934557628259031212491/144*ep^2-
         54241810059001384719862055687/17280*ep^3)
      +11601745729287292168998140077195632246295623263/
      24458221370328960614400-57666544739370612809225/5616*ep^-3-
         32028382832218167915247304929/297872640*ep^-2-3081991974586684\
         742820621377531159383/9455800148121600*ep^-1+
         890337657942753391253810851/702*z3-143828050483826110019555272\
         34468595294165263176834677326084260618029227690273707625337436\
         8771938491/300544410466988717827451187637376339409106665674558\
         03965440000000000000000*ep+890337657942753391253810851/468*ep*
         z4+28523416702279399651187032968251/1379040*ep*z3+
         95517984555565287749793771081575204450076922366738200922258939\
         0159312854366037799956202126506623149759864699/
         41978701623780659468502000147087113840684896809266695751837574\
         758400000000000000000*ep^2+57566038211015725853724162593/468*
         ep^2*z5+28523416702279399651187032968251/919360*ep^2*z4-
         8056597710830448473744952463859251352233/139055884531200*ep^2*
         z3-41074075982636082586579812728601930404588270439057156854151\
         21187259984185831924162717483596750767467816316289991828011299\
         3421203351311119227/611249203993047473089116052253513275484043\
         74500844005054321555204822145288781221711837134848000000000000\
         00000000000*ep^3+854587196585808353893324330385/2808*ep^3*z6+
         16898748924469860997566999747858983/74468160*ep^3*z5-805659771\
         0830448473744952463859251352233/92703923020800*ep^3*z4-
         1762376870545315847447774516907218593895420457401/
         91718330138733602304000*ep^3*z3+62309046780716209042136564381/
         1404*ep^3*z3^2;
Fill mncnoptab(10,7,6,4)=
      +mncF321*(-55063490760248237467200-435583619978240523234830*ep-
         44120291497896384026004925/36*ep^2-
         11022730982232944939330061091/6048*ep^3)
      +58010069050604208860662716334549098452433674083/
      214009436990378405376000-9298926482609159624723/1404*ep^-3-
         36358157473211763013774964509/521277120*ep^-2-3545479191939986\
         688581350899432862843/16547650259212800*ep^-1+
         254388024828975721389052754/351*z3-253240902613160154010525054\
         64488954184806102538588267836479279045274090439148214989299006\
         339005213/9298092698822463457786771117531330500469237469306639\
         351808000000000000000*ep+127194012414487860694526377/117*ep*z4
         +257096574942392353445107905645769/21719880*ep*z3+
         41935437114757532382869486033413207837298381144708545798421705\
         831399319730497413583412345253659256008901207/
         32467902037142853807669515738762689611154724875917209995561874\
         22720000000000000000*ep^2+8223740436061010728285867691/117*
         ep^2*z5+257096574942392353445107905645769/14479920*ep^2*z4-
         7986938700500895975137636334716771601463/243347797929600*ep^2*
         z3-36679726139756107996958070791245728318901535575889956358109\
         19657476619073470993947634685771845109119772206001480625852801\
         6352287401989660513631/798969565000599786894843802363557079072\
         15124201064144419051089072803071314578017223495867432960000000\
         0000000000000000*ep^3+122084166416770282317342751595/702*ep^3*
         z6+17121241702500752035850293020210743/130319280*ep^3*z5-
         7986938700500895975137636334716771601463/162231865286400*ep^3*
         z4-378840225330658341735580025716622545181886141577/
         32101415548556760806400*ep^3*z3+8901228174525026067796529087/
         351*ep^3*z3^2;
Fill mncnoptab(10,7,7,3)=
      +mncF321*(-16519047228074471240160-131364470511551424901369*ep-
         26861807770644049077649291/72*ep^2-
         101928941250934399312463671787/181440*ep^3)
      +104389521762598371968552128665401878403360187023/
      1284056621942270432256000-20930153288299248713489/14040*ep^-3-
         251473932108173936092508126429/15638313600*ep^-2-8631321253538\
         156044699423107871818041/165476502592128000*ep^-1+
         381562873746355489255616659/1755*z3-24814468176539674428992526\
         37120463996717592531528107458678841741283219112047646545170082\
         6833139548917/305473338798647332799821387114629311375416014991\
         62079150473216000000000000000*ep+381562873746355489255616659/
         1170*ep*z4+994161842119478749033473396396409/279255600*ep*z3+
         65562889273511901229981921399856093640164434548734810424826193\
         76337790029984390835643521988850312662592325789/
         17066860932164264913514173179799737003068851646775467824867084\
         39377510400000000000000*ep^2+8223695144785159719801138259/390*
         ep^2*z5+994161842119478749033473396396409/186170400*ep^2*z4-
         23602220189610477261376120890355964102129/2433477979296000*
         ep^2*z3+102944537765871158565771895519465022865165795503952571\
         52020972741765719439243046261328369815123667632912147958617051\
         7394670592487831591814208220667/272987659798391598654033457891\
         30091047295091823023857856331141175253631790384672508832209339\
         86746368000000000000000000000*ep^3+
         73250130555573726499699011013/1404*ep^3*z6+1750300953415275213\
         3059449138289383/434397600*ep^3*z5-236022201896104772613761208\
         90355964102129/1622318652864000*ep^3*z4-1271168905515363034672\
         882826879873819751503158211/321014155485567608064000*ep^3*z3+
         26704106204914193361424365269/3510*ep^3*z3^2;
Fill mncnoptab(10,8,1,8)=
      +mncF321*(-561872354696410586400-31432999914175567949340/7*ep-
         1891155686540301927108374/147*ep^2-
         2722288804466304826870427209/138915*ep^3)
      +71443470352186887254125676322369090353558984498657/
      25844071670895636043735449600-442424018374433183/34398*ep^-3-
         833437966570990407514063/429287040*ep^-2-241889303076789371278\
         33078512215219/1149250533688857600*ep^-1+
         127168446528482830301861734/17199*z3-3017705895661929629646207\
         87880937814677935140176014478956295218135278462158655303706514\
         302107479398399079/1093600804620674531583235268097290599318964\
         7864242308160222574673920000000000000000*ep+
         63584223264241415150930867/5733*ep*z4+182360017773411661084198\
         757714939/1502504640*ep*z3+45530556350265177464461561014538456\
         64710838273646564336147378994037485146297304785014029521454698\
         6881921956870666109/351323340677475181325005823776863358597566\
         575470538914015940259282354280857600000000000000000*ep^2+
         456864397086171247889448524/637*ep^2*z5+1823600177734116610841\
         98757714939/1001669760*ep^2*z4-1307931587781388950767794040756\
         609945052689/4022376867911001600*ep^2*z3+
         45886377678437675680996092925046117937064064314418084711922181\
         86671545696406427556104818335360406968153078883030884878762772\
         189330515812963388123439580681341/
         23246565304659383271339604416136541917605058248595524726390675\
         21004785190937154550075797978242520421666400501760000000000000\
         0000000000*ep^3+30520425686995352156783121035/17199*ep^3*z6+
         700552635038613695270237799001871/500834880*ep^3*z5-1307931587\
         781388950767794040756609945052689/2681584578607334400*ep^3*z4-
         9569514400251260920620054936738492588069846085531343/
         64610179177239090109338624000*ep^3*z3+
         4450895301650309728769597572/17199*ep^3*z3^2;
Fill mncnoptab(10,8,2,7)=
      +mncF321*(-5506349076024823746720-43811407698025176210540*ep-
         1868098087616946346277798/15*ep^2-532251911965285078074952424/
         2835*ep^3)
      +675264242904992133678059363233997023235755704313/
      24925805014173484861440000-246163519289838760841/3510*ep^-3-
         249652289083170076460928373/306633600*ep^-2-109440109595428209\
         150248761163642911/35691010363008000*ep^-1+
         127171146853128562385300374/1755*z3-27148674763289798306769549\
         50800435770038685626202919237214467125458618960893031573758552\
         261649915713/1000547700610542734437917644961018466403434808461\
         8595443671040000000000000000*ep+63585573426564281192650187/585
         *ep*z4+181969691723926480477161318315623/153316800*ep*z3+
         17883852035182276713061874049662627072778557098726704511715894\
         411980328315449676303778012763752293282024670161/
         13975203637634508368352180578378795340079774911296756741619103\
         196774400000000000000000*ep^2+456865461201397881169278104/65*
         ep^2*z5+181969691723926480477161318315623/102211200*ep^2*z4-
         57611758474393167911047936794809924944243/17845505181504000*
         ep^2*z3+125520540463510478633087079593178409533082707010489132\
         09098415673102963870691747403293479837819682732656226985254456\
         169017811781857293977449712392580179/
         61992281788575040934523778706864720235777191394970269023739552\
         37283387140786840200976577308643717598412800000000000000000000\
         000*ep^3+6104098152792307114592604217/351*ep^3*z6+687854929706\
         613176527114056385787/51105600*ep^3*z5-57611758474393167911047\
         936794809924944243/11897003454336000*ep^3*z4-66529623911099272\
         1203144499554011415854668096771/498516100283469697228800*ep^3*
         z3+4450865618935297577284030432/1755*ep^3*z3^2;
Fill mncnoptab(10,8,3,6)=
      +mncF321*(-19522510360451647829280-154949445372975147874980*ep-
         2192735689386330104875914/5*ep^2-621125230338576560367801487/
         945*ep^3)
      +61397687052665614082565065676121046073061528943/
      639123205491627816960000-90062623475185909141/90*ep^-3-
         85267740521818365545939243/7862400*ep^-2-
         7875561402541367665508100491011/221533312000*ep^-1+
         11561758000064931093644594/45*z3-53095191415711968253192810166\
         31457819054572735778094623979255208860270943733522885668917477\
         4877/550897350340655120033140165038344848715787524018012160000\
         00000000000000*ep+5780879000032465546822297/15*ep*z4+
         16523630491378335152495027172193/3931200*ep*z3+
         35067448019991552464835967166051396204314641580565583409524126\
         8736479875850156734083681231829790914944947/
         76946882689810786481773190314859277297216534079328722102517760\
         000000000000000000*ep^2+124600551227117401236706972/5*ep^2*z5+
         16523630491378335152495027172193/2620800*ep^2*z4-1352471405589\
         52565533279802650044999667/11732745024000*ep^2*z3+
         91215907577103596039939378585230715228636661458601438403007557\
         34751994370915084951538470447540948825391436010218444563841678\
         793105506662868379142583/6485210963986001750431842162634707028\
         42002924602092743814304905348093020708072592192612110465761280\
         000000000000000000000000*ep^3+554921601521995840018359077/9*
         ep^3*z6+982474494225242498458402705059/20800*ep^3*z5-135247140\
         558952565533279802650044999667/7821830016000*ep^3*z4-
         2301070989380038225248245943210896146510622077/
         511298564393302253568*ep^3*z3+404615955032829977203848092/45*
         ep^3*z3^2;
Fill mncnoptab(10,8,4,5)=
      +mncF321*(-32537517267419413048800-258107089825704156837800*ep-
         6568188929086957699409179/9*ep^2-4129189136306022982749627067/
         3780*ep^3)
      +23612026359108995851874176586299972955681497/
      147433265395992576000-89438560279431843557/27*ep^-3-
         165573116024967673748341801/4717440*ep^-2-36036534996307906149\
         007255998621133/329455480273920*ep^-1+
         11562734849587599442269362/27*z3-27330004390681722545933221378\
         06918152084498538741173324929437796729974321265888124509537311\
         5823/169991182390830722753083250926117839032300150268415180800\
         00000000000000*ep+5781367424793799721134681/9*ep*z4+
         367113480308512086009319162315/52416*ep*z3+
         64503653335940741027709660800544200582727789835933940590401423\
         71461753967290049478924595317934829424599/84798605413260866735\
         0153525918857341642794457200765508884889600000000000000000*
         ep^2+373805117190198899883272738/9*ep^2*z5+
         367113480308512086009319162315/34944*ep^2*z4-15848034275780897\
         130531296708124918955853/823638700684800*ep^2*z3+
         83297801088617832772735159762319996950016591576594684279078639\
         83255666906448506844038767637970979758672612762402861223805265\
         02121902757948164507087/20011508117442519687046827244701381687\
         69609024486457609484140850788401321042052570194345940865777664\
         0000000000000000000000*ep^3+2774631541802522750518872130/27*
         ep^3*z6+37053915841940284071740667623117/471744*ep^3*z5-
         15848034275780897130531296708124918955853/549092467123200*ep^3
         *z4-473905018923802616912486117622451339697959531969/
         63912320549162781696000*ep^3*z3+404605210567641480005217026/27
         *ep^3*z3^2;
Fill mncnoptab(10,8,5,4)=
      +mncF321*(-27531745380124118733600-218696265839916107851300*ep-
         5578790465048916961521566/9*ep^2-879649156112925677639979368/
         945*ep^3)
      +1364911334037958341391031737734036594818982443/
      10071032328958983782400-2407890103423219919735/702*ep^-3-
         2226478956352417019768850137/61326720*ep^-2-219737970268594263\
         181982464441884779/1946782383436800*ep^-1+
         127194927121864011069463078/351*z3-218756944834351273761508987\
         72521546092018227379903951619395940317504289672148858942090143\
         2966557/161205322332525682240266000799304801246525479344016038\
         297600000000000000*ep+63597463560932005534731539/117*ep*z4+
         60615286972372439647172663362873/10221120*ep*z3+
         32281962218772091662733599819174167780939877902383126563331146\
         5189450119611618732564878131679908451964263/
         50330865441660894483861394640019671092724279392425294387583805\
         030400000000000000*ep^2+4111873461127486702371712252/117*ep^2*
         z5+60615286972372439647172663362873/6814080*ep^2*z4-1578543205\
         4005083455502591643784394442271/973391191718400*ep^2*z3+
         28160972907287776455485099882727441472707036397446813788066805\
         30951869701906519649646010789333800442353237107313748287309811\
         807447442608355145840882311/1802836766300396598606048666475147\
         47624454077015984966038426249247527075012678516048808625812597\
         909749760000000000000000000000*ep^3+
         30521063640651490240114184195/351*ep^3*z6+20496751447404917884\
         59090698071613/30663360*ep^3*z5-157854320540050834555025916437\
         84394442271/648927461145600*ep^3*z4-48756214219693137906101454\
         4224891802104377077807/75532742467192378368000*ep^3*z3+
         4450604025768850093532401684/351*ep^3*z3^2;
Fill mncnoptab(10,8,6,3)=
      +mncF321*(-11799319448624622314400-94040808333330188773740*ep-
         5630713109978067482416232/21*ep^2-357949823297907786210917905/
         882*ep^3)
      +20468549657062293428383272620493001040306306953/
      352486131513564432384000-1823888843481004669457/1638*ep^-3-
         245906706125774112459062627/20442240*ep^-2-2541011976679525152\
         6145755507429977/648927461145600*ep^-1+
         127188501909841476676258390/819*z3-729096297563891876702334040\
         96737510134315892085481009584328429169620029860596030758014102\
         99735589211/12578313950532537232933821822367089291928894734949\
         091414900736000000000000000*ep+63594250954920738338129195/273*
         ep*z4+12142386097841442626215823904553/4769856*ep*z3+
         48026769749094635468472134960250934269022471223861225848279730\
         064740885456802163468248694383273004200415430203/
         17568827430169096234499884155676199856100288459915922760892586\
         875944960000000000000000*ep^2+4111850682282637650203326600/273
         *ep^2*z5+12142386097841442626215823904553/3179904*ep^2*z4-
         15632985100116958019134728171176411984339/2271246114009600*
         ep^2*z3+224269933401227288652632285603313899678107074033579540\
         72957824312479157399731830570011974350861369936828580637146077\
         49576956924008987386440771428349132671371/
         16265818288974495583444621165809825248470011602515819050535749\
         41810928413483723300344581675738206709037714636800000000000000\
         000000000*ep^3+30520908862345178684834303525/819*ep^3*z6+
         415655670532775595657672236534653/14309568*ep^3*z5-15632985100\
         116958019134728171176411984339/1514164076006400*ep^3*z4-
         173621128131805139704538734819096497940115921833/
         58747688585594072064000*ep^3*z3+4450674712686408295775638480/
         819*ep^3*z3^2;
Fill mncnoptab(10,8,7,2)=
      +mncF321*(-2359863889724924462880-18911178179551125740932*ep-
         3429758414221092431274170/63*ep^2-1656245917438475423016399668/
         19845*ep^3)
      +135047160698915591636274239481767115964046010481/
      11632042339947626268672000-2082883836649495396781/24570*ep^-3-
         899535790647320447263788871/919900800*ep^-2-389421360534689782\
         592112395634334109/107073031089024000*ep^-1+
         381528234722849943744859954/12285*z3-7210540157465524469912247\
         76654756663027316905769828722312083730798754117970843980953238\
         09234903000461/62262654055136059303022418020717091995048028937\
         9980025037586432000000000000000*ep+190764117361424971872429977/
         4095*ep*z4+1643485684710424772376753887712851/3219652800*ep*z3
         +8578309565522330045362781451265704389236627335098254925445441\
         025885505358895814502902203791175810588812005747/
         15811944687152186611049895740108579870490259613924330484803328\
         188350464000000000000000*ep^2+4111806632465429028966165452/
         1365*ep^2*z5+1643485684710424772376753887712851/2146435200*
         ep^2*z4-507625814270557480416505976059733631655103/
         374755608811584000*ep^2*z3-
         10472253463931511714565432654186271277599336561838157933456594\
         53190416340961431464142831032756840945650481952718465710900632\
         09855242047684939355632588691300191/
         41868216275820351631786454880794490189561809864875718236079019\
         00221329736307103775086953233350144069063077475123200000000000\
         0000000000*ep^3+18312365728733005658475314557/2457*ep^3*z6+
         2125200584638451363412245672841133/357739200*ep^3*z5-507625814\
         270557480416505976059733631655103/249837072541056000*ep^3*z4-
         3794590758338265197020173909698248323069497219699/
         5816021169973813134336000*ep^3*z3+
         13352434074308743629241936492/12285*ep^3*z3^2;
Fill mncnoptab(10,8,8,1)=
      +mncF321*(-168561706408923175920-9529791274914362898776/7*ep-
         1752075874483725161674567/441*ep^2-
         3445715818716603411418676701/555660*ep^3)
      +71437043783260207321769839435392294417300828355153/
      86146905569652120145784832000-9422178108038235067/687960*ep^-3-
         16640882512628968529477333/6439305600*ep^-2-963039175981054572\
         579529161434622487/34477516010665728000*ep^-1+
         190752685717623656619499562/85995*z3-
         80028685943002151760348220649570498390444792033201126672926499\
         1637614222646562639890635638711765491922512537/
         97496647920093763796581752919472947263692543673005612334817882\
         700513280000000000000000*ep+95376342858811828309749781/28665*
         ep*z4+824853354774178491332300720093683/22537569600*ep*z3+
         11956387547089198341969309956872743686290262902178658834351723\
         9440231374788219110429590182050590983494388104504876958331/
         31321162079817477745653388005747982117078775566480075557909968\
         22573243567597158400000000000000000*ep^2+
         4111779613586602201564286087/19110*ep^2*z5+8248533547741784913\
         32300720093683/15025046400*ep^2*z4-114002862893300254803500237\
         91251829514566199/120671306037330048000*ep^2*z3-
         45110860466708719622885816012102843564329063441125364665519801\
         11480775983719231981754920269539923175955401691157370580851955\
         1927820756302818579968255192633813/
         86215030955169268080174667890532014198345678873752078991733915\
         92935762193003588093659054098114616667014689136773693440000000\
         00000000000*ep^3+36624511150844172500839575659/68796*ep^3*z6+
         1096444778498389916021489436818489/2504174400*ep^3*z5-
         11400286289330025480350023791251829514566199/
         80447537358220032000*ep^3*z4-227498650152288151909791585395556\
         5781882921613438637/43073452784826060072892416000*ep^3*z3+
         13352685597579613678525887337/171990*ep^3*z3^2;
Fill mncnoptab(10,9,1,7)=
      +mncF321*(-202439304265618520100-3264263415042980324205/2*ep-
         56979516200210309711423/12*ep^2-167388798125161842821824199/
         22680*ep^3)
      +6494581627967466576897053667680490284100798507067/
      6520953148871626163168870400+5357901470585213/5616*ep^-3-
         14463499322526104013538177/8340433920*ep^-2-398785799165947476\
         43038157385912647/2029845098463436800*ep^-1+
         3740248067922733710797971/1404*z3-1271379142726908824938830898\
         01078134321009136761292101099223813816809415678170014812006871\
         07926664249733251/12878345102110287370177853920987102591163739\
         25750656883987493400084480000000000000000*ep+
         3740248067922733710797971/936*ep*z4+
         36628497320775235513864099044919/834043392*ep*z3+
         34594165353843799778120008613497713165512800118659034500670370\
         246938962693826669710889541935124337602993582038674459/
         75222117024355035908187835854731326692143700590543375642363418\
         7804550973358080000000000000000*ep^2+6718594016580662853972313/
         26*ep^2*z5+36628497320775235513864099044919/556028928*ep^2*z4-
         23157627107910024378820123566265312268687/202984509846343680*
         ep^2*z3+455883473664725843424443704831010354650214626656487155\
         32511598073570910638701871804246355236467001493832330967930750\
         4212878693808206318677975688165895705489341/
         20934108137910175815893227440397245094780904932437859118039509\
         50110664868153551887543476616675072034531538737561600000000000\
         000000000000*ep^3+1795319144137165302018534655/2808*ep^3*z6+
         145169968810537209853041525283387/278014464*ep^3*z5-2315762710\
         7910024378820123566265312268687/135323006564229120*ep^3*z4-
         1007357894875803938749297863747770597890828980991189/
         16302382872179065407922176000*ep^3*z3+
         65454345394976603659731599/702*ep^3*z3^2;
Fill mncnoptab(10,9,2,6)=
      +mncF321*(-1700490155831195568840-13655281033461769417485*ep-
         394504284227752747852749/10*ep^2-229657087516973973337018261/
         3780*ep^3)
      +4726690128731509362944018198301573295242156908011/
      564984913654598990192640000-217855969210867048501/4680*ep^-3-
         3745100274320434853692713031/6950361600*ep^-2-7777496966212379\
         6746209226564922137/38523630233088000*ep^-1+
         26182936525281004359586597/1170*z3-152507643576574357231539876\
         10148943821158055085780781774062345449039507999715773439775163\
         37234414311/18332590634349548436203272546316916834944376757041\
         714167808000000000000000000*ep+26182936525281004359586597/780*
         ep*z4+1279539423155058190607926208281541/3475180800*ep*z3+
         26900610390480080734113498501309966459764449801430872794359620\
         5059250942688677176280558560582459150858357548397/
         69136589424276536107985655242244304989283542550595066420179161\
         3173760000000000000000000*ep^2+141091183138160680004477293/65*
         ep^2*z5+1279539423155058190607926208281541/2316787200*ep^2*z4-
         43598657547125609586423351685776648795569/44944235271936000*
         ep^2*z3+123239572167946968082046668054461032497001395331148437\
         65984741477930237168376774397803800621860148802635563394121878\
         07336696027854440899285926236306685493/
         34276155803735935331522406745329964363167812173409487370268694\
         30138169080487961910063768935202478777958400000000000000000000\
         00000*ep^3+2513458359961611235721004677/468*ep^3*z6+1666773067\
         626729458111856256284443/386131200*ep^3*z5-4359865754712560958\
         6423351685776648795569/29962823514624000*ep^3*z4-2752340607252\
         1699711841432025386486421719091253741/
         56498491365459899019264000*ep^3*z3+458173810948315395325748873/
         585*ep^3*z3^2;
Fill mncnoptab(10,9,3,5)=
      +mncF321*(-5024175460410350544300-80522621287058035059975/2*ep-
         463567883933678253045019/4*ep^2-1342788687077501918388847759/
         7560*ep^3)
      +429814236425214094924437841156429420608324070049/
      17384151189372276621312000-63423536316626591039/144*ep^-3-
         1023828527730666262013967797/213857280*ep^-2-11238467395193868\
         666159558114780493/711205481226240*ep^-1+
         2380506741614119703854511/36*z3-904920451192757440676117757903\
         18974694680018032642635065966342940543890150970181319119305082\
         507/3677991037183428365021255792765095062698857796716619366400\
         00000000000000*ep+2380506741614119703854511/24*ep*z4+
         1787866307628498151137990849839/1645056*ep*z3+
         13037998338665481105107374735436686249778760000725861683199383\
         278696224865857523926651532024463422913287251/
         11301958129479408318442846193446530649415164525571802702417808\
         588800000000000000000*ep^2+12826612908953389139680119/2*ep^2*
         z5+1787866307628498151137990849839/1096704*ep^2*z4-35893692821\
         684333541977270051402802212747/12446095921459200*ep^2*z3+
         59863877171670466904921486533860118265013138531874138217891104\
         87636385810394827822192991534396021102461577971504581842107390\
         823805233989641974273439/5093838429894459556702828753196715338\
         68627751687461936959599489291593063537977017867651694038561587\
         200000000000000000000000*ep^3+1142492628097734424051938155/72*
         ep^3*z6+90157349010548314364326800418871/7128576*ep^3*z5-
         35893692821684333541977270051402802212747/8297397280972800*
         ep^3*z4-71496075203839671811794804079328083876633985611/
         51432399968557031424000*ep^3*z3+41650846282205578815016939/18*
         ep^3*z3^2;
Fill mncnoptab(10,9,4,4)=
      +mncF321*(-6698900613880467392400-53669324728483998784250*ep-
         1389815849315724196902613/9*ep^2-63866903896099538035128743/
         270*ep^3)
      +6824022792426881366528003977273099430375546239/
      206954180825860435968000-94687553853444485087/108*ep^-3-
         215106704246557814235828259/22913280*ep^-2-2398888747475505848\
         76241944246225107/8001061663795200*ep^-1+
         2380678795191619827568895/27*z3-669924263123219496303313979690\
         16927374183928403532265027481077120585010921611760816595461500\
         23/20435368568840579028102793664904023077954368064410196377600\
         000000000000*ep+2380678795191619827568895/18*ep*z4+
         5533500139057795684685218978099/3818880*ep*z3+
         23106766153891106872227327710728491572685014767521680223448088\
         23694574060695514238347961964624897609059/15022742411633477759\
         47693035917302006299813759440935106792914944000000000000000*
         ep^2+76960287338851533000172250/9*ep^2*z5+
         5533500139057795684685218978099/2545920*ep^2*z4-15392928364449\
         000041478586828463153623847/4000530831897600*ep^2*z3+
         89536602209418430536487764774577952259912911235739300471767428\
         14170963688477062543878420970699644256251505399954779258166033\
         993805072379631343493/8324114721121048105116117215232927676814\
         76022790585308146764471546435843626736153148068269519798272000\
         000000000000000000*ep^3+1142500916106814895864739275/54*ep^3*
         z6+193020704850224619016992797811199/11456640*ep^3*z5-
         15392928364449000041478586828463153623847/2667020554598400*
         ep^3*z4-573150533641273324688658994016503988108050140823/
         310431271238790653952000*ep^3*z3+83299799163210489624234470/27
         *ep^3*z3^2;
Fill mncnoptab(10,9,5,3)=
      +mncF321*(-4251225389577988922100-68229073307358344760225/2*ep-
         1181253616174869901002383/12*ep^2-381414019880032353195513323/
         2520*ep^3)
      +28655821459991601748652963658566096713301347727/
      1369660396738421794406400-854834926893686773045/1872*ep^-3-
         13783615431865512602795975879/2780144640*ep^-2-294007371168901\
         59115777420799872517/1801104790118400*ep^-1+
         26186438537017545365855749/468*z3-1185930990560186904657425383\
         38609440841967640683741111620098266839345749129974349336516052\
         9487544041/570216899090808354559666589280641381234109894651025\
         4774755000320000000000000*ep+26186438537017545365855749/312*ep
         *z4+426405635392734721001184722158871/463357440*ep*z3+
         38803504362232489800075377082965835185673934354122982265833419\
         981423236323334892580092730762822038105306095941/
         39822675508383284798199737419532719673827320509142758258023196\
         918808576000000000000000*ep^2+423279758358026823227828183/78*
         ep^2*z5+426405635392734721001184722158871/308904960*ep^2*z4-
         107229019953055503694378474446709878672257/44127067357900800*
         ep^2*z3+687650081047704302638532792995211632948571328740472316\
         29667925761752565685827727049466141339158873417215740621258384\
         7851506321227142311703891262135656769/
         98715328714759493754784531426550297365923299059419323626373839\
         58797926951805330300983654533383138880520192000000000000000000\
         0000*ep^3+12567460558055716970005566745/936*ep^3*z6+1496013946\
         5809752379289730247105651/1390072320*ep^3*z5-10722901995305550\
         3694378474446709878672257/29418044905267200*ep^3*z4-
         152710270634793786308022579616665746832749120467/
         126820407105409425408000*ep^3*z3+458154555373875054554532761/
         234*ep^3*z3^2;
Fill mncnoptab(10,9,6,2)=
      +mncF321*(-1214635825593711120600-9781506614410885436775*ep-
         170397931357401084240629/6*ep^2-11094319571597770244499953/252
         *ep^3)
      +396957294655796275668975870664254479499005593/
      66429737055214460928000-47003634407542064131/936*ep^-3-
         805994707891026524760005633/1390072320*ep^-2-10492707877256921\
         48118204418856675089/485397740936908800*ep^-1+
         3740506873142436033728179/234*z3-12077105406238886057986415423\
         16615297424447696396397778524837975111184942341625703063468549\
         501319820409/2035509844110217323368040589138828007530416330665\
         3193126228787200000000000000000*ep+3740506873142436033728179/
         156*ep*z4+61015998429181383497080733870129/231678720*ep*z3+
         93003787807379290200659057991669995913362558525280651268245849\
         98298615652412349969115176922470285559289089226623/
         33600382460198396548481028447730732224791801679589202280207072\
         400244736000000000000000000*ep^2+60467804785315720314449873/39
         *ep^2*z5+61015998429181383497080733870129/154452480*ep^2*z4-
         33342240119775735294386402679954468576521/48539774093690880*
         ep^2*z3+954564962243052658504403397490890404576640809299235852\
         41688953167247985174690442682108508170656599902577027854385988\
         95475921827426140585736515103765025312972413/
         52335270344775439539733068600993112736952262331094647795098773\
         75276662170383879718858691541687680086328846843904000000000000\
         000000000000*ep^3+1795331609193759429264855295/468*ep^3*z6+
         2167631432344606006896477238574069/695036160*ep^3*z5-333422401\
         19775735294386402679954468576521/32359849395793920*ep^3*z4-
         6858955527695948340217905406121123901167819467517/
         18832830455153299673088000*ep^3*z3+65452920943266559247788991/
         117*ep^3*z3^2;
Fill mncnoptab(10,9,7,1)=
      +mncF321*(-121463582559371112060-1967260375050973146683/2*ep-
         103815474005568360441923/36*ep^2-102694916113661808227200969/
         22680*ep^3)
      +3105918952658410178117687593742231572959756249119/
      5197861205622310709772288000-88720753165022473/28080*ep^-3-
         250203265333431630252435337/125106508800*ep^-2-323056675684548\
         425002992039290404403/14561932228107264000*ep^-1+
         11220744437551666912889401/7020*z3-467380639565657490519513697\
         23515181924138501633307465868863951348681893914821913638758968\
         05332800944355549/79189823919808599356994257029672245746907464\
         9995745537358769233592320000000000000000*ep+
         11220744437551666912889401/4680*ep*z4+165186541586675060789268\
         5000553131/62553254400*ep*z3+535802066881040362906797541997688\
         71570475094938305842574718631097438172224942304767090910418691\
         916723803799044595779/1956925118001018492690314219918834562057\
         919014407590446118818993117907333939200000000000000000*ep^2+
         60467346356631519176667169/390*ep^2*z5+16518654158667506078926\
         85000553131/41702169600*ep^2*z4-113055602723336191352962288431\
         03749729641249/167462220623233536000*ep^2*z3+
         66277302297221070821116543379408015997364981451995650460283257\
         70941607669809108250610700717462147400565789652029653389367671\
         587243028496035331784715081033241/
         23685448064606941780267765903992311592952109580701120602124702\
         17839495107968018707049190686295224359069969543069696000000000\
         00000000000*ep^3+1077191489981815678267119641/2808*ep^3*z6+
         2216154246041536025248689350112373/6950361600*ep^3*z5-
         11305560272333619135296228843103749729641249/
         111641480415489024000*ep^3*z4-48295904860569789474886036622282\
         879610388179239147/1219906201319521901273088000*ep^3*z3+
         196363036269742918004845229/3510*ep^3*z3^2;
Fill mncnoptab(10,10,4,3)=
      +mncF321*(-744322290431163043600-54401224222693803905450/9*ep-
         1442231421811792730893819/81*ep^2-478357946991138991393350049/
         17010*ep^3)
      +17192786460073111266627954717688638731694304729/
      4693720821130514687754240-94829646379076169935/972*ep^-3-
         4630098340650715819303147007/4330609920*ep^-2-9588561111869125\
         211007251830431217/2667020554598400*ep^-1+
         2380679534463159432161879/243*z3-18937485710164298737686968147\
         50881269568055762651327551441887379988001858622973024521353655\
         2347/524507793266908195054638370732536592334162113653195040358\
         400000000000000*ep+2380679534463159432161879/162*ep*z4+3509289\
         63330336788188890495691309/2165304960*ep*z3+
         14005091024962988957014325010675349283317322992960442342196481\
         4704243863208149380774357867405204384013169/
         83726751040837249379484758535124298484442953526174783285258459\
         5456000000000000000*ep^2+76960290011102082042919186/81*ep^2*z5
         +350928963330336788188890495691309/1443536640*ep^2*z4-
         34443674336542754073460005206146449125299/84011147469849600*
         ep^2*z3+414332664046810789752527388519582894874331495658638547\
         65025899533126864746749545362680834489402494504113346023450385\
         0960699323023668698205148007697/223513152204050296812246101225\
         43389392719017719648741915161327041113528601177387168632233124\
         1316089856000000000000000000000*ep^3+
         1142500952494215433482978395/486*ep^3*z6+142607264152474472100\
         4287560989081/721768320*ep^3*z5-344436743365427540734600052061\
         46449125299/56007431646566400*ep^3*z4-148320347215018686136758\
         80276810309187659764322867/58671510264131433596928000*ep^3*z3+
         83299791369122579288536862/243*ep^3*z3^2;
Fill mncnoptab(10,10,5,2)=
      +mncF321*(-314905584413184364600-23057122147087694325275/9*ep-
         1226323865978066114997683/162*ep^2-408405154640982780532625483/
         34020*ep^3)
      +945269752150363798419396615222511822186208051983/
      610183706746966909408051200-435261135250618539445/25272*ep^-3-
         22452340585527510014560782997/112595857920*ep^-2-1555931608252\
         58342440058117670228041/208027603258675200*ep^-1+
         26184131241819828775803349/6318*z3-395209933585941779956632252\
         43901920378171273609651085788146400883879528322964678953055567\
         650217189/2592752104000864707405891402979106809513561855638756\
         718018560000000000000000*ep+26184131241819828775803349/4212*ep
         *z4+3863298372510376955587051929609359/56297928960*ep*z3+
         18781649533104977507809035126712440195896960501982302038121139\
         31651356113386758237383506298500361925797321741/
         26666970206506663927365895593437089067295080698086668476354819\
         365273600000000000000000*ep^2+423275667934313894643854383/1053
         *ep^2*z5+3863298372510376955587051929609359/37531952640*ep^2*
         z4-376748695023727752530017349179323937119209/
         2184289834216089600*ep^2*z3+
         10744443566159083630047721016364962368958383130139151942983544\
         23627634880351287893391804349832670701750023977517302219073075\
         3716045577147361909151459031/189689781497693902983766859689993\
         77793529515929507983383173544486044153110029652558178994542021\
         171373670400000000000000000000000*ep^3+
         12567349381820317695436614745/12636*ep^3*z6+157953974089870986\
         38238473346606131/18765976320*ep^3*z5-376748695023727752530017\
         349179323937119209/1456193222810726400*ep^3*z4-167087516202643\
         577135456592571308979039756718225857/
         1525459266867417273520128000*ep^3*z3+
         458167244054819006456250161/3159*ep^3*z3^2;
Fill mncnoptab(10,10,6,1)=
      +mncF321*(-44986512059026337800-3305894440049229162365/9*ep-
         176935606020324049262177/162*ep^2-1697502591019472189109319/
         972*ep^3)
      +71433219952917547310257378041872529630164795432233/
      322787180869145495076859084800-243193070598741571/25272*ep^-3-
         3385713346584138534789473/3217024512*ep^-2-4101477922693271621\
         5480015751416007/3721382680516300800*ep^-1+
         3740249687854906657142371/6318*z3-2921349727564534691923635576\
         78380556915398183932902379257164630295034897965274336788590490\
         51936380080275167/13453271222740210913489365256745455385412120\
         474359540663083636411596800000000000000000*ep+
         3740249687854906657142371/4212*ep*z4+5528552334732613695156451\
         57289849/56297928960*ep*z3+43195688325675300845708004952426273\
         51138053237381062118386554158580802685134354569192392599589375\
         191653517963057289449/4321913598676113000617756461832107921999\
         50636875130912730900535582346920853504000000000000000000*ep^2+
         60467348867714417652472537/1053*ep^2*z5+5528552334732613695156\
         45157289849/37531952640*ep^2*z4-122343015519186574847729918132\
         9914708634473/50238666186970060800*ep^2*z3+
         16829304756850012507093175479861430324988109513892639498091765\
         12959919260025050537817647618451111602323506664621314959883104\
         512545262687195010662947428028052769/
         21868666536924022950531317951129264965083623902635977828666273\
         31812033835481835453951667537062352036073125288345600000000000\
         0000000000000*ep^3+1795319217592157996288464255/12636*ep^3*z6+
         326908090587803351421163752610403/2680853760*ep^3*z5-122343015\
         5191865748477299181329914708634473/33492444124646707200*ep^3*
         z4-13232078622631086453707572793463181038149128306081927/
         806967952172863737692147712000*ep^3*z3+
         65454335473858164131464199/3159*ep^3*z3^2;
Fill mncnoptab(11,3,2,11)=
      +mncF321*(-1794493376566767628752-426252413447598746899891/30*ep-
         432275992294099678156616279/10800*ep^2-
         15435140337851191205853865451/259200*ep^3)
      +25777550099975276621131366375010932471701611656921/
      2919606106000826100418560000-1705829711434615579/32400*ep^-3-
         1796342580385583528580135157/2514159648000*ep^-2-3327960464456\
         68041767473453776548809/97546276784436480000*ep^-1+
         95639078773960423268664989/4050*z3-106394274913479802393592315\
         52854429525752613070911056880875957903929746224175898550069715\
         587/1198248108821761641553564130016063206297638856955002880000\
         00000000000*ep+95639078773960423268664989/2700*ep*z4+757940977\
         371217905640670305958917/1964187225*ep*z3+
         35180841605313084630620799126560721029098899045194531792373275\
         182987329901948117980307070978321801933/8368297343033294287411\
         6971285183658474750641439808677572771840000000000000000*ep^2+
         2061553394633626458006390089/900*ep^2*z5+757940977371217905640\
         670305958917/1309458150*ep^2*z4-229640470586312947455652960231\
         1559625381687/2151756105539040000*ep^2*z3-
         18624529236640638358739904968580426059358834094759212234479243\
         18748182342415886053847792362285830399969418791876406965946175\
         21/19812130535393627873956451145515990808428088464006601960093\
         9995946475937605877760000000000000000000000*ep^3+
         18362702394154717275520180823/3240*ep^3*z6+5402403378749350860\
         64062133436282933/125707982400*ep^3*z5-22964047058631294745565\
         29602311559625381687/1434504070359360000*ep^3*z4-1011438884450\
         7870362643777480635344353825361182808253/
         25546553427507228378662400000*ep^3*z3+
         6694735130496369999476149519/8100*ep^3*z3^2;
Fill mncnoptab(11,3,3,10)=
      +mncF321*(-8972466882833838143760-424575269073018882049231/6*ep-
         427599549037293282224969819/2160*ep^2-
         3026267906683098015924658531/10368*ep^3)
      +25777533714485629572127525082577389165851879736773/
      583921221200165220083712000-17964275155791245599/6480*ep^-3-
         16234393589141465745280851937/502831929600*ep^-2-2401808388747\
         731945902345137833111869/19509255356887296000*ep^-1+
         95639123976764080214623529/810*z3-1200665521436185026128928390\
         72545062170686961398360731126161384351417356202372193046252542\
         19/26960582448489636934955192925361422141696874281487564800000\
         000000000*ep+95639123976764080214623529/540*ep*z4+302598487236\
         8308499236380361379467/1571349780*ep*z3+
         19921910830277160238759095607072347383327165616615698404334946\
         357694325906772750319767575622519610703/9414334510912456073338\
         159269583161578409447161978476226936832000000000000000*ep^2+
         2061553501076453296413067829/180*ep^2*z5+302598487236830849923\
         6380361379467/1047566520*ep^2*z4-23219981870798168952844731260\
         00102975593147/430351221107808000*ep^2*z3-
         89930819966736433160662176001093018581770404006543667069815526\
         00818290212575719754931257945177923777329910152620383563811450\
         823/1901964531397788275899819309969535117609096492544633788169\
         023961086169001016426496000000000000000000000*ep^3+
         18362703261734551507288363403/648*ep^3*z6+53126989149130646527\
         6711729042565681/25141596480*ep^3*z5-2321998187079816895284473\
         126000102975593147/286900814071872000*ep^3*z4-9212558741170182\
         057499211684602931763162036722509313/
         5109310685501445675732480000*ep^3*z3+
         6694734128147799463991893699/1620*ep^3*z3^2;
Fill mncnoptab(11,4,1,11)=
      +mncF321*(-428271594801930735856-306013435237064964618979/90*ep-
         311847600060038784775104071/32400*ep^2-
         2241779639321668404315835807/155520*ep^3)
      +11538429189226869979630544457019463466981355094667407/
      5475853961173003934339573760000+3898386388220843057/1263600*ep^-3
         +11752181429449629914767483/1273405536000*ep^-2-16418925921991\
         7312074895707240839487/1136350782800513280000*ep^-1+
         890179061741673458897131913/157950*z3-510062147424692661939284\
         99997051087190866059035164040668348616002228958820691321443120\
         189118079/2412175838805687316805784625566172970587503362734560\
         588595200000000000000*ep+890179061741673458897131913/105300*ep
         *z4+91739503301764760652368566899329/994848075*ep*z3+
         19349778108698307054180464816328703691956299327463093588014514\
         81991526916269896700681864089837106886092887/
         19373012309657453609836862089899584505292501607775750116349327\
         704064000000000000000*ep^2+19188304542015896510397556613/35100
         *ep^2*z5+91739503301764760652368566899329/663232050*ep^2*z4-
         6335078709082063700011516949966787377771521/
         25066561385305440000*ep^2*z3-382696594438472493886719558144077\
         15401769378500888460776804407651340024133851754591079040590725\
         9821549332475705439139666747456423791711/
         24120675274401301132063597116434132244066748116047250084681614\
         29787123586349194447138324480000000000000000000000*ep^3+
         170914382754659721675783745691/126360*ep^3*z6+6605039990513394\
         5938076344187186629/63670276800*ep^3*z5-6335078709082063700011\
         516949966787377771521/16711040923536960000*ep^3*z4-
         684549186435559354755495705093749287080404784997511197/
         6844817451466254917924467200000*ep^3*z3+
         62312535937323828240252907123/315900*ep^3*z3^2;
Fill mncnoptab(11,4,2,10)=
      +mncF321*(-5061391574931908696480-359764084042403360637317/9*ep-
         363250047904957022788562353/3240*ep^2-
         12898870930023904613546109661/77760*ep^3)
      +1982886633546250002144695594799976949920745130781/
      79625621072749802738688000-9345965113551975293/9720*ep^-3-
         114176886018484089558907807/9795427200*ep^-2-18170184845963383\
         175272261978517899/380050429030272000*ep^-1+
         80925396503315306155132843/1215*z3-546694834357753492878073071\
         38186065401654661982549462148724116229791344419534387977190319/
         21786329251304757119155711454837512841775251944636416000000000\
         0000*ep+80925396503315306155132843/810*ep*z4+
         16637658748616014267604340711242/15305355*ep*z3+
         29650378417534605416732016420518613479306502812454839448396814\
         2878128128214242615630192829110052963/248974135825783962270100\
         079856744769015787032382901850629734400000000000000*ep^2+
         1744391385944771542075209343/270*ep^2*z5+
         8318829374308007133802170355621/5101785*ep^2*z4-25415144950210\
         632700975972010632753500277/8383465346256000*ep^2*z3-
         23062715344428675467126329870368960131271575343711642065375058\
         98023696504851756645592328409611808246980078674243844039094726\
         6076463/954025408949130599191349365880718814992722800660388308\
         1455824188808223709098395303936000000000000000000000*ep^3+
         15537671680496313266366618401/972*ep^3*z6+11746847590389639162\
         06453203072659/97954272*ep^3*z5-254151449502106327009759720106\
         32753500277/5588976897504000*ep^3*z4-1046654573306535489803954\
         05971481021991702300271383/99532026340937253423360000*ep^3*z3+
         5664775385418819755271175913/2430*ep^3*z3^2;
Fill mncnoptab(11,4,3,9)=
      +mncF321*(-22776262087193589134160-358671649029127750973657/2*ep-
         360205713928585189778095213/720*ep^2-
         1411253923105337414908338481/1920*ep^3)
      +283269641039358173984078333624971872781634227519/
      2527797494373009610752000-73758119201479730633/2160*ep^-3-
         838741554362144863233854867/2176761600*ep^-2-16619526179085303\
         784255770338627617/12065092985088000*ep^-1+
         80925573305900571547349743/270*z3-9202706284501963987557565211\
         004083424089039144230831426260015955476043639945570756452471019
       /813356292048710932448479894313933812759609405933092864000000000\
         0000*ep+80925573305900571547349743/180*ep*z4+
         11075490731530836712783730946451/2267460*ep*z3+
         30598264910350132745028096162719902444446722118294207165107755\
         2680310815365336473153316693992677237227/568029880254381187994\
         00610811761028782861041462173162958487552000000000000000*ep^2+
         581463934703213446672761281/20*ep^2*z5+
         11075490731530836712783730946451/1511640*ep^2*z4-1971657649031\
         034080955148051288950767269/143307099936000*ep^2*z3-
         30926512816149700338558165269544319839222356230711479164120828\
         05747285782550932954992312997762165897744527300913931531371417\
         1416877/359767157583510528987983599254681842690858429878664951\
         2198829323725660119255960518656000000000000000000000*ep^3+
         15537675090374961917069855101/216*ep^3*z6+57975471326367725379\
         99727258718723/108838080*ep^3*z5-19716576490310340809551480512\
         88950767269/95538066624000*ep^3*z4-970256682376368474117312252\
         42072552421870446808883/22118228075763834094080000*ep^3*z3+
         5664771501058085763653084933/540*ep^3*z3^2;
Fill mncnoptab(11,4,4,8)=
      +mncF321*(-51392591376231688302720-1212928628044938442116556/3*ep
         -304080142527927623867697611/270*ep^2-
         3567591129442845674813481629/2160*ep^3)
      +116642022164433519917530350537050404449100576961/
      461289248638924882176000-3463391421462194583823/10530*ep^-3-
         2239636073350277418820537061/624218400*ep^-2-26296898648774006\
         471036159503123907/2201718171744000*ep^-1+
         3560754417319534550251896452/5265*z3-1164731797440945953482027\
         75423304814258162353274823850370840138024680010831107270276722\
         40429/45555054270880811071764010624775130252792921115852800000\
         00000000000*ep+1780377208659767275125948226/1755*ep*z4+
         28654301163503075123524574270201/2600910*ep*z3+
         77454613089047534193954052437132238232532055465116665670656521\
         224432896474295795395830304611167218563/6362926622794366478563\
         372649525161197528666753862457937100800000000000000000*ep^2+
         4264072686898752245357569114/65*ep^2*z5+
         28654301163503075123524574270201/1733940*ep^2*z4-8028613966024\
         18033991910993691917906596/25801384825125*ep^2*z3-
         63579604872262207978966200936565249999702490332469545758697114\
         05296292644631559674308392007332835639575866388656907799410969\
         6503593/255069293364871722700464934627831072064026582121006596\
         2750341883813309811113112633344000000000000000000000*ep^3+
         170914566610739698661855600891/1053*ep^3*z6+747520645480940838\
         386479948372189/6242184*ep^3*z5-401430698301209016995955496845\
         958953298/8600461608375*ep^3*z4-557546209993514173621003169769\
         9884924764505956639/576611560798656102720000*ep^3*z3+
         124624651758517131138987225926/5265*ep^3*z3^2;
Fill mncnoptab(11,5,1,10)=
      +mncF321*(-764770705003447742600-218384671253536080906305/36*ep-
         44444347362548615957886257/2592*ep^2-
         55822782553325529658124407399/2177280*ep^3)
      +11538421147173102084629396005649911621858979683774127/
      3066478218256882203230161305600-87141932701517617/101088*ep^-3-
         68747367877988355373726733/713107100160*ep^-2-9631088578787138\
         9928725530986720169/90908062624041062400*ep^-1+
         127168440119352626965509671/12636*z3-7830179196368384826188489\
         26488415812063913058527858189589182822387743466684372428243391\
         202789329/2072278334246704103983151337418212233822900616167417\
         9602022400000000000000*ep+127168440119352626965509671/8424*ep*
         z4+458497589147926414329884415665419/2785574610*ep*z3+
         93440610997836210796208696147406565415165264563596552112158182\
         796577188720156695936912050055103591953666989/
         52307133236075124746559527642728878164289754340994525314143184\
         8009728000000000000000*ep^2+2741186368802548703773949531/2808*
         ep^2*z5+458497589147926414329884415665419/1857049740*ep^2*z4-
         907295704416354306081300381713880403120951/2005324910824435200
         *ep^2*z3-61366599047903817791626473660794539601722347136802819\
         91919777998750823251281086844691181938373931099843812711162342\
         4385602343674094290690489/161347598933707881509830002718301659\
         80969702032977123443957577243307005819144270384894855190937600\
         0000000000000000000*ep^3+122081702194921165400172632185/50544*
         ep^3*z6+329010804052993782620190503376942977/178276775040*ep^3
         *z5-907295704416354306081300381713880403120951/
         1336883273882956800*ep^3*z4-6700287488499330034114068599238440\
         89727499411236636821/3833097772821102754037701632000*ep^3*z3+
         8901790772784342955628242477/25272*ep^3*z3^2;
Fill mncnoptab(11,5,2,9)=
      +mncF321*(-8134379316854853262200-256967616226549575402055/4*ep-
         51894027473457662499511351/288*ep^2-
         64517667836399878318870629809/241920*ep^3)
      +9914406324645411902373136199332599990574505170097/
      247724154448554941853696000-5284810893701859443/864*ep^-3-
         445418544966811997150443207/6094932480*ep^-2-98253627275375791\
         29085068119785597/33782260358246400*ep^-1+
         11560781726636982964545685/108*z3-8198315391350095730432762615\
         70609714967650289692012010861411169390462570983325722958258258\
         63/20333907301217773311211997357848345318990235148327321600000\
         0000000000*ep+11560781726636982964545685/72*ep*z4+
         41593648144840269802667266822319/23808330*ep*z3+
         43491606918005617229538251511833673779044699083748008222461256\
         901487166969492202534518395724394724729/2272119521017524751976\
         0244324704411513144416584869265183395020800000000000000*ep^2+
         249198794994073479669542065/24*ep^2*z5+
         41593648144840269802667266822319/15872220*ep^2*z4-330075530335\
         993296416120279519683018409/67745174515200*ep^2*z3-
         58592864943471316497228295882275660597588732589155273032496475\
         10308883556614508635850383801380040324148897966837278272843715\
         4383017/196976588541198072432334911809124447808117058892843706\
         32400830233973071241175168450560000000000000000000000*ep^3+
         11098337957466936755483936075/432*ep^3*z6+29363866086673707850\
         713720321013027/1523733120*ep^3*z5-330075530335993296416120279\
         519683018409/45163449676800*ep^3*z4-10437505132337190703023956\
         0550132309705021871384943/61931038612138735463424000*ep^3*z3+
         809253389965989379120109543/216*ep^3*z3^2;
Fill mncnoptab(11,5,3,8)=
      +mncF321*(-32537517267419413048800-256382379884405467077385*ep-
         51567172267144748744922931/72*ep^2-
         21257438581489306284497454691/20160*ep^3)
      +9914496676236773454653811340334427986624805183161/
      61931038612138735463424000-36906947070042945665/216*ep^-3-
         575958967078400313544592065/304746624*ep^-2-109456780820149995\
         03910821469911647/1689113017912320*ep^-1+
         11560868770944270498626323/27*z3-53931431557436156511252043528\
         22171902090750988629014735277176450664680977467728626033631091\
         57/33360316666060409338707183165219941538968354540224512000000\
         0000000000*ep+11560868770944270498626323/18*ep*z4+
         16414031840366361806087978303313/2351440*ep*z3+
         35816975095792220402159630937203624501396335370407765614369941\
         67300348345406427394440972366759694413789/46596201114617206827\
         6333135565227189234406980744389227393843200000000000000000*
         ep^2+83066333555905914225967681/2*ep^2*z5+
         49242095521099085418263934909939/4702880*ep^2*z4-7308046881896\
         865046594365760336612129991/372598459833600*ep^2*z3-
         25487522979268418513086833279498352313194444055504314266359999\
         97913823189198458857324009715043506156126516860526413312996218\
         1546573371/357097010710820411780650908478963500889637214969409\
         2347850478637338633735558357686681600000000000000000000000*
         ep^3+11098346342337855715519373705/108*ep^3*z6+290794376977930\
         76865822317154008107/380933280*ep^3*z5-73080468818968650465943\
         65760336612129991/248398973222400*ep^3*z4-98676569959496013803\
         917430223472624001583482112281/15482759653034683865856000*ep^3
         *z3+809251473656167900698676325/54*ep^3*z3^2;
Fill mncnoptab(11,5,4,7)=
      +mncF321*(-64240739220289610378400-1518271360619297041736825/3*ep
         -305278081144921513394905139/216*ep^2-
         1198124921156592507568625003/576*ep^3)
      +1416435868705027240972628213014032262723141795679/
      4481095558206698855424000-10349810616933084632797/8424*ep^-3-
         111879098586934361249564212039/8489370240*ep^-2-12650561129071\
         57228906108952342000413/29943367135718400*ep^-1+
         890207536961734044040943879/1053*z3-52271662547634676367127640\
         09953921285919663613858695889945598054482441326921123981732144\
         25380667/16386431929731363747479260115674215015992385926930104\
         3200000000000000000*ep+890207536961734044040943879/702*ep*z4+
         1624857874251395131082756329511027/117907920*ep*z3+
         34740932018001689702805456871331957548536378821231627038170026\
         62329283191327944219851448261828070056493583/
         22887836629127425674401343055402179837379850762628191554319155\
         2000000000000000000*ep^2+2132041316106553636704177951/26*ep^2*
         z5+1624857874251395131082756329511027/78605280*ep^2*z4-
         10236581838321627141467906910089691001021/264206180609280*ep^2
         *z3-3337922340620798954288802168665021371161643088625925543320\
         34245630371957620651372041243058190186645791546808031391827672\
         9930469440597961/134926450694234184742776553174558803834685081\
         80768348929487522781314487817153444786995200000000000000000000\
         0000*ep^3+854574657653536882424782631365/4212*ep^3*z6+31960651\
         4445009066443922028383384617/2122342560*ep^3*z5-10236581838321\
         627141467906910089691001021/176137453739520*ep^3*z4-
         2803072809569171803876343638733497321814143976467/
         224054777910334942771200*ep^3*z3+62311909441693788959031501937/
         2106*ep^3*z3^2;
Fill mncnoptab(11,5,5,6)=
      +mncF321*(-68829363450310296834000-1086594197430974069831455/2*ep
         -219250268158785781993756945/144*ep^2-
         90786282164829004495932960913/40320*ep^3)
      +4507455475238593840912435249439469561421703078903/
      13307495900128984479744000-18428326919577143891795/5616*ep^-3-
         274938258759177163723978516507/7923412224*ep^-2-15044169438448\
         190544233203970657143897/139735713300019200*ep^-1+
         635892879337369740512086177/702*z3-232817907023692646562335117\
         14129433058891716303635939910949708066973500426640285645752437\
         1727759/682767997072140156144969171486425625666349413622087680\
         00000000000000000*ep+635892879337369740512086177/468*ep*z4+
         1626438888083367519155374252498879/110047392*ep*z3+
         15461266148959141673543049862276098972457388352152067699403781\
         26476281746173887673056188780309565386108619/
         95365985954697606976672262730842415989082711510950798142996480\
         000000000000000000*ep^2+4568683876167194130237837859/52*ep^2*
         z5+1626438888083367519155374252498879/73364928*ep^2*z4-
         50902129019378560484408021312104304432453/1232962176176640*
         ep^2*z3+147534609257681843887358639846487193897669262601591204\
         09064403304574652398226795178136295216372814366348513916930435\
         859801947911275904223/7308516079271018340233729963621935207712\
         10859791618900347240817321201423429144925962240000000000000000\
         000000000*ep^3+610413394489197510176987249195/2808*ep^3*z6+
         322289502615763285362338935071672869/1980853056*ep^3*z5-
         50902129019378560484408021312104304432453/821974784117760*ep^3
         *z4-514183650358735415329979075856261054788858758374493/
         36595613725354707319296000*ep^3*z3+
         44507838899116015418696712143/1404*ep^3*z3^2;
Fill mncnoptab(11,6,1,9)=
      +mncF321*(-825952361403723562008-26254980846896612634747/4*ep-
         14892844000787726390500699/800*ep^2-
         33831747929040662471482118417/1209600*ep^3)
      +3036417552291361101247076152924617902183962466747497/
      747192548308207164529766400000+835120035958322191/93600*ep^-3-
         3517406859425458065349877/11583936000*ep^-2-562691199666590838\
         46912649025586393/13290652430415360000*ep^-1+
         127168436176026121504575079/11700*z3-2180928485734791331285381\
         45949256511982422716972904960833614732779463615214391300667654\
         6073437647321/535271693035000518412781175952536684635819693572\
         98562731343872000000000000000*ep+127168436176026121504575079/
         7800*ep*z4+894565020389654614117839911821/5027750*ep*z3+
         59532498074966982377774585401089904886325997266021322920382288\
         7089620193304450450718535796835396433602439881443/
         30952445300940541966207395120778681002274827326653284362734528\
         39272972288000000000000000*ep^2+2741186360626014884935412379/
         2600*ep^2*z5+2683695061168963842353519735463/10055500*ep^2*z4-
         47494707461492077648482833331762046976333/97725385517760000*
         ep^2*z3+189219364404210582954736903100165900248993803232233682\
         51159868710523518622049557109209294535586947102533802483992718\
         69115082881834851856522265053/17276702504688270302982448962673\
         96814807714780846664508938375006825059104087254536344454933709\
         3242880000000000000000000000*ep^3+
         24416340373282081721409561253/9360*ep^3*z6+5817237171867029839\
         526504878684297/2895984000*ep^3*z5-474947074614920776484828333\
         31762046976333/65150257011840000*ep^3*z4-731663951296782426667\
         5930447289186827775823930916107/37359627415410358226488320000*
         ep^3*z3+8901790882089027190172633069/23400*ep^3*z3^2;
Fill mncnoptab(11,6,2,8)=
      +mncF321*(-7809004144180659131712-61832019115738257171786*ep-
         17424213062822529806636717/100*ep^2-
         39245719998521954344226468359/151200*ep^3)
      +47437076709786314139763296620062680068630403073/
      1234669828790644646400000-17337524259578157019/900*ep^-3-
         75693320103060743291854661/334152000*ep^-2-4864943893443603685\
         679156682644461/5556292822080000*ep^-1+
         23121629948526433020870778/225*z3-5224701377573588525635279044\
         20489107759930539654973490146625419297127949325689910877717526\
         137/1351970728045606062673922686169439736052928052419624960000\
         000000000000*ep+11560814974263216510435389/75*ep*z4+
         8767554313310986293596662754768/5221125*ep*z3+
         34554874543686476066090976759997899131086745043993193423236776\
         36432273035918868319100610929067297616469/18883723609608025924\
         88297444132762819528912500911472132069785600000000000000000*
         ep^2+249198873496376998951423689/25*ep^2*z5+
         4383777156655493146798331377384/1740375*ep^2*z4-18969370419341\
         8872916990107511932040601/40855094280000*ep^2*z3+
         59704104032733879424033741995793394201818832768433570002495724\
         04517618975145941853726192379782769789273422941129638850838216\
         95689500419/27496469824733171707110119952880189568502065552644\
         5110784486855075074797637993541874483200000000000000000000000*
         ep^3+2219668231518866557541942423/90*ep^3*z6+17361209090829014\
         9072357173952849/9282000*ep^3*z5-18969370419341887291699010751\
         1932040601/27236729520000*ep^3*z4-1163674406441913673025890129\
         286613316578754560481/679068405834854555520000*ep^3*z3+
         809252656875398854754510479/225*ep^3*z3^2;
Fill mncnoptab(11,6,3,7)=
      +mncF321*(-27331514504632306960992-216056520197425230664341*ep-
         121415179031017388728545719/200*ep^2-
         1441397872726818777438725037/1600*ep^3)
      +521826403075437535554514088034736805478780005603/
      3880390890484883174400000-79750199120580845087/200*ep^-3-
         1250474129461375527317844133/286416000*ep^-2-16268037034073226\
         5555627014594269677/11112585644160000*ep^-1+
         8991927126084507235535597/25*z3-768250231975554187343996688020\
         60108968855094217222775621977983791015536243657794230441149886\
         39/56759120944188709336747774579708257140414472171552768000000\
         00000000000*ep+26975781378253521706606791/50*ep*z4+21025660636\
         3455211815374137194257/35802000*ep*z3+
         50902740940206061149164708218460348104900301428292164448761344\
         564065979573158466559991726556951603525821/7927860640768384061\
         758449911227925539713218662718716822683648000000000000000000*
         ep^2+1744395989829314282631835973/50*ep^2*z5+21025660636345521\
         1815374137194257/23868000*ep^2*z4-1569453454921398513803021894\
         23889523067/9612963360000*ep^2*z3-
         68040130770592995332699518938970197072694860823274145024754053\
         05566070580221314801593030259568872373914977427316803584988866\
         687226577873/1154370744828448025021532732715669766141194588799\
         069852856154726845795068800905831776256000000000000000000000000
         *ep^3+1726412135577145268160764779/20*ep^3*z6+1551696414893274\
         021411279479173241/23868000*ep^3*z5-15694534549213985138030218\
         9423889523067/6408642240000*ep^3*z4-11208682236272564415743433\
         35154160542516617190151/194019544524244158720000*ep^3*z3+
         629414727253639292437292667/50*ep^3*z3^2;
Fill mncnoptab(11,6,4,6)=
      +mncF321*(-46253332238608519472448-365761941325825046157078*ep-
         308513700650495673248586979/300*ep^2-
         10997758161536577100008049139/7200*ep^3)
      +24852326417310479118293604339190079068263624503/
      109188488260397145600000-23984316984578345947013/11700*ep^-3-
         13539993037398766390036585781/620568000*ep^-2-1353710151019126\
         249389189811410200551/19699583641920000*ep^-1+
         1780490079515488194841947806/2925*z3-9951848283933254132329685\
         47810614938605264146624713135113774578383652205308688806692019\
         750331531/4348154086617313625975856302624078984506751528856453\
         12000000000000000000*ep+890245039757744097420973903/975*ep*z4+
         771096007757222498028290045179769/77571000*ep*z3+
         65967643198807187911940913477267397994567023877335602326715352\
         75051512000332342438052267544008980014862531/
         60733075265886370758828125212799643866731621541184455659487232\
         0000000000000000000*ep^2+57565381444633932650806842509/975*
         ep^2*z5+771096007757222498028290045179769/51714000*ep^2*z4-
         470349413872701858520445668341612385361/17041162320000*ep^2*z3
         -4841560450147749080421096910156878936641714788006905410200595\
         89207435401195955600935596935579948935790397078833187916137968\
         693006578497651/8843304455917932191682813255982541601331651403\
         47858869420161388958653722349265360414310400000000000000000000\
         00000*ep^3+170915654254386309757578579721/1170*ep^3*z6+1709449\
         9196412017831804516758510091/155142000*ep^3*z5-470349413872701\
         858520445668341612385361/11360774880000*ep^3*z4-53784587032568\
         243383887994516510550832398665163/5459424413019857280000*ep^3*
         z3+62311084253725259158189431833/2925*ep^3*z3^2;
Fill mncnoptab(11,6,5,5)=
      +mncF321*(-41297618070186178100400-654722605705586829719385/2*ep-
         44370515412319464252147901/48*ep^2-
         6186883120884707845129900671/4480*ep^3)
      +174004371043529941122643435920880433903459105953/
      856037747961513621504000-6840143581792543142615/1872*ep^-3-
         8924423060178048652473978899/231678720*ep^-2-26182018678816460\
         72645860053393465919/22063533678950400*ep^-1+
         127187249255525791753034317/234*z3-119470939501873712056741100\
         03333114677120689887891653840994318000887820330358534543453423\
         033502399/5843919092413669513311550870726762155177074054783072\
         993280000000000000000*ep+127187249255525791753034317/156*ep*z4
         +154406693559897254226298441696121/17375904*ep*z3+
         78915274745855269430925790398932084582122596665201301651726602\
         077852724943669607717349438529830201863148981/
         81625253157351282299865000286002721356887299351351908406350839\
         80800000000000000000*ep^2+8223692482766518079384051231/156*
         ep^2*z5+154406693559897254226298441696121/11583936*ep^2*z4-
         1588151077791237098080976016624625096769/64892746114560*ep^2*
         z3-76985191769823114940706007771204905906533220500079361848577\
         68399483050371192494251801346498931395430614897184941706111616\
         096096135283562088733/2008632800899375446290067471710850569160\
         06597318051272164617777242512771879522736903064807014400000000\
         000000000000000*ep^3+122083514748942513273230425295/936*ep^3*
         z6+3454016274605115082264213562038267/34751808*ep^3*z5-
         1588151077791237098080976016624625096769/43261830743040*ep^3*
         z4-661754245406470576347244632923856963291462669803/
         71336478996792801792000*ep^3*z3+8901376988117953166931063587/
         468*ep^3*z3^2;
Fill mncnoptab(11,6,6,4)=
      +mncF321*(-19822856673689365488192-789299534084483648067534/5*ep-
         26965274788610110135572587/60*ep^2-
         102635492326048492701539755667/151200*ep^3)
      +62648972924377097173490839195714566346945898657/
      642028310971135216128000-28688697854611845596029/11700*ep^-3-
         338336787974094629326924475609/13031928000*ep^-2-3713474420279\
         696730144667587513861607/45965695164480000*ep^-1+
         763168434962016180688649278/2925*z3-33190113812103343225578689\
         94944466093884044821657248559267731900523402165424394043899868\
         4212107927/340930065623490326785514940976148785017205373874576\
         77623296000000000000000*ep+381584217481008090344324639/975*ep*
         z4+6964142391057816349786589567791753/1628991000*ep*z3+
         15314379692739436317535694442926403817589981903955951472197714\
         69956369414333057701880612381817199919023718101/
         33333712758133329909207369491796361334118850872608335595443524\
         2065920000000000000000*ep^2+24671236762080951048779964917/975*
         ep^2*z5+6964142391057816349786589567791753/1085994000*ep^2*z4-
         7835122454433853263538003220516449279553/675966105360000*ep^2*
         z3+24198865591114521727193131169242509254800978100408082279639\
         93684982904450882149226300294326408307787237189755471741410446\
         82282812794383731629/46872881146701854164497503071995348638899\
         53953129096472584330558937780183788577010445090889400320000000\
         0000000000000*ep^3+73250541851280836965651245473/1170*ep^3*z6+
         17606406353584781404044277078907623/361998000*ep^3*z5-
         7835122454433853263538003220516449279553/450644070240000*ep^3*
         z4-785311448547616057312244967135020717457783126809/
         160507077742783804032000*ep^3*z3+26703636518958284074886346529/
         2925*ep^3*z3^2;
Fill mncnoptab(11,7,1,8)=
      +mncF321*(-550634907602482374672-4396954130236671535686*ep-
         943337133754226708720839/75*ep^2-270975570819955785378933601/
         14175*ep^3)
      +264034163251246420241729382111117294932720179903543/
      97459897605418325808230400000-221016636380330021/35100*ep^-3-
         43871144315522199612577421/52127712000*ep^-2-11306727226592450\
         24052292855153703/123825954320640000*ep^-1+
         63584221653901316119512827/8775*z3-828583075020541719397261304\
         65388031520328736420974872929487759555869518559042089309357582\
         343917154407/3061794084082916178675065803302691071874572030502\
         622508626214912000000000000000*ep+63584221653901316119512827/
         5850*ep*z4+3098862346762535224122605965020511/26063856000*ep*
         z3+12510181533482374526434477422006652162336307772241749096998\
         4432122798643078705379277449256252768131062699708431/
         98361277857659388710887664759662007512493935820144294108547174\
         0415023513600000000000000*ep^2+228432197961350177065553392/325
         *ep^2*z5+3098862346762535224122605965020511/17375904000*ep^2*
         z4-187316297622490610819952647782175225753387/
         586352313106560000*ep^2*z3+
         16651626417561145481021195522206697620694051129566982003480467\
         43414102714876630674156798060990700134490913447394977240959787\
         214252077359919391987265819/2003986609207061219098667985280939\
         39373293629127490696045491400205237271808074591219069217859281\
         28764313600000000000000000000000*ep^3+
         6104085123302553464650428757/3510*ep^3*z6+11868738626716861335\
         059011567863859/8687952000*ep^3*z5-187316297622490610819952647\
         782175225753387/390901542071040000*ep^3*z4-3208860266284953421\
         8661138511856033620488792299121751/
         224157764492462149358929920000*ep^3*z3+
         2225447671675894698659828036/8775*ep^3*z3^2;
Fill mncnoptab(11,7,2,7)=
      +mncF321*(-4555252417438717826832-36264494416689235855158*ep-
         7738724921895697927941359/75*ep^2-315315617944399859823363521/
         2025*ep^3)
      +1043602050760946620626006448918709098824641137171/
      46564690685818598092800000-84710734699120814977/2700*ep^-3-
         16157748711519102607795987/44064000*ep^-2-93314217704556280819\
         134163553844757/66675513864960000*ep^-1+
         40463150865882673409710999/675*z3-1851431241177807339622007404\
         83076187440090332938280489883072745862869656865596725336722969\
         8993/825190296803974312665025338120373892272179633878728704000\
         0000000000000*ep+40463150865882673409710999/450*ep*z4+28130126\
         3354859687009852341255981/286416000*ep*z3+
         11317694778878748564615361900368356641692191712160631324580581\
         393519940284652339124197454158015307109419/1070261186503731848\
         3373907380157699478612845194670267710622924800000000000000000*
         ep^2+145366127191159439711434904/25*ep^2*z5+281301263354859687\
         009852341255981/190944000*ep^2*z4-5229034517930646560797088999\
         827384635713/1961044525440000*ep^2*z3-
         15114081743889218552792793563893690233585704921946603864785012\
         57380305638756735045711802640557284068726251915726435232630259\
         389298360422659699509/2321410742790443808393216228670378084036\
         71501420067288978984142255283297185275984705310016814448640000\
         0000000000000000000*ep^3+3884422283295422198799031409/270*ep^3
         *z6+1065541369287154249666312061518889/95472000*ep^3*z5-
         5229034517930646560797088999827384635713/1307363016960000*ep^3
         *z4-94646128724748726284779020178434383703058205923/
         84663073974215632896000*ep^3*z3+1416188871151815272086029532/
         675*ep^3*z3^2;
Fill mncnoptab(11,7,3,6)=
      +mncF321*(-13665757252316153480496-108671497930785950892732*ep-
         46288549700258799952909429/150*ep^2-
         167208971219903822924602883/360*ep^3)
      +347900284316151777986064732025128574212938052947/
      5173854520646510899200000-209138007013385281601/450*ep^-3-
         966944052137063606384099441/190944000*ep^-2-112034456042801169\
         7531549888140738841/66675513864960000*ep^-1+
         40464986224644393855965599/225*z3-2253347074704710656623887874\
         47162239640965426728205003353984672063245179680328965961358718\
         38641/33447339127825489430583510020185222957744242529665024000\
         000000000000000*ep+40464986224644393855965599/150*ep*z4+
         93718777931053709562945938228957/31824000*ep*z3+
         74275893514821397711391175989023956336528951738098301771708247\
         927101415412082820412204006940313422471763/2335887510226398875\
         3395432774153709179512162131224790638264320000000000000000000*
         ep^2+1308301650992697849959728411/75*ep^2*z5+
         93718777931053709562945938228957/21216000*ep^2*z4-157378147627\
         40675912115092685656612556629/1961044525440000*ep^2*z3+
         17824310275327858557090642486534592133605614520076869762639006\
         68200963647990279711684978737212889532778582965349548217906877\
         4041094732926007831021/289518346606517935287135810831906563768\
         75130562593426063138611845897009853038955008598754931507200000\
         00000000000000000000*ep^3+1942219983376724578011609817/45*ep^3
         *z6+3181846691090670873515002244258297/95472000*ep^3*z5-
         15737814762740675912115092685656612556629/1307363016960000*
         ep^3*z4-565641143350802014755815406758984641828587390967/
         172461817354883696640000*ep^3*z3+1416168676207555049127131707/
         225*ep^3*z3^2;
Fill mncnoptab(11,7,4,5)=
      +mncF321*(-19272221766086883113520-153376778001900043586380*ep-
         39254058596333711797318883/90*ep^2-710347281852202237422166009/
         1080*ep^3)
      +5523521199219241933257473917636744576095891869/
      58233860405545144320000-5590130652140296385431/3510*ep^-3-
         25247846988379313381260728331/1489363200*ep^-2-252472060375527\
         3036077089695262019881/47279000740608000*ep^-1+
         445151026444259757360185909/1755*z3-37027734879465925851279143\
         51179883548232653893393151544254263746426619640349162563909651\
         401562273/3895946061609113008874367247151174770118049369855381\
         995520000000000000000*ep+445151026444259757360185909/1170*ep*
         z4+1031358973857876896819029995556367/248227200*ep*z3+
         42778873001523736540900216103919141931686677610024626746511400\
         9736717149994872565627190458502689939058701/
         95468132347779277543701754720471019130862338422633811001579929\
         600000000000000000*ep^2+14391446437691464149761630801/585*ep^2
         *z5+1031358973857876896819029995556367/165484800*ep^2*z4-
         15700433042440017423424176100214587486949/1390558845312000*
         ep^2*z3+941438576790963012387535230424860665171093215954091072\
         31353180805380825224960293635551626368123440550738517567656418\
         16294278170068652979625065745849/53956955220363534563592926793\
         12076247645464332689411628535016812496133932291163967042532759\
         07513384960000000000000000000000*ep^3+
         21364594143315066345962353247/351*ep^3*z6+35118088065052625366\
         444508284442307/744681600*ep^3*z5-1570043304244001742342417610\
         0214587486949/927039230208000*ep^3*z4-246271672164693944377352\
         741770464313449325590787/52410474364990629888000*ep^3*z3+
         15577457542699546077783289937/1755*ep^3*z3^2;
Fill mncnoptab(11,7,5,4)=
      +mncF321*(-13765872690062059366800-109860071323793286800150*ep-
         2825549028832288085223754/9*ep^2-1801400995667810974541824291/
         3780*ep^3)
      +23202772437030181680846039771787911368789178319/
      342415099184605448601600-2401542178158094258661/1404*ep^-3-
         37880290580444838980110519357/2085108480*ep^-2-376910788604687\
         0825129610952797635431/66190601036851200*ep^-1+
         63597429103584067471783355/351*z3-6444044716229077234927879527\
         70160143240177644936585236548297207290554909449985000519569649\
         485334417/9546041837457729149994418347332165980481750468488149\
         73452288000000000000000*ep+63597429103584067471783355/234*ep*
         z4+344267055290003355321044259641879/115839360*ep*z3+
         42384409354722520697427963932529003000130592307212697267144955\
         92127321781936081663349603765849651804373728217/
         13333485103253331963682947796718544533647540349043334238177409\
         68263680000000000000000*ep^2+2055936607843762895052921680/117*
         ep^2*z5+344267055290003355321044259641879/77226240*ep^2*z4-
         15572029400230607338285327709700658928891/1946782383436800*
         ep^2*z3+432606355523438867947360646994373107368445362981424650\
         36860592258360260370373190725546363423712345471468807700217479\
         8225878300893421441136105450498014673/
         11171578495174790922695481569924330527795337639090535062181146\
         57837176108161897871115784117952065047416012800000000000000000\
         00000*ep^3+30521061972138523088434908425/702*ep^3*z6+355257625\
         40609260826892223566645097/1042554240*ep^3*z5-1557202940023060\
         7338285327709700658928891/1297854922291200*ep^3*z4-90901426371\
         75752447840050428775534098114849359171/
         2568113243884540864512000*ep^3*z3+2225302388265323904766162340/
         351*ep^3*z3^2;
Fill mncnoptab(11,7,6,3)=
      +mncF321*(-4955714168422341372048-198721353391370486880126/5*ep-
         1718450522846741248764298/15*ep^2-3324629944839903733565455891/
         18900*ep^3)
      +208788100388075042251966966008079790363180420407/
      8560377479615136215040000-6767299124159735791751/11700*ep^-3-
         326384815861831441512433414229/52127712000*ep^-2-1129520036287\
         8085469410580525081792261/551588341973760000*ep^-1+
         190789876192847952250832657/2925*z3-58207270962743532382132545\
         46940238778802969678183318881141084356764796012226792583776474\
         7009247571811/240014766198937190057002518447208744652112583207\
         702050468003840000000000000000*ep+190789876192847952250832657/
         1950*ep*z4+27952231809563729210769401541170167/26063856000*ep*
         z3+97057104746888531679356745749115273000020445098087753150818\
         01325653717152073105238765928162806008001251388407/
         85334304660821324567570865898998685015344258233877339124335421\
         96887552000000000000000*ep^2+2055933760691146836343299016/325*
         ep^2*z5+27952231809563729210769401541170167/17375904000*ep^2*
         z4-46037011423575081514306668793709904066433/16223186528640000
         *ep^2*z3+21221531283110646100349677530031572417042335268223185\
         31147516660299264311789467246958569705538668762876171307297282\
         49615484833115079759939225754806846830867/
         18987853186313084640265965932333102126785401299263364279400915\
         64726226637780999444483879017392355586876679127040000000000000\
         00000000*ep^3+18312613970027473574838858487/1170*ep^3*z6+
         36245104453615261628901677123904761/2895984000*ep^3*z5-
         46037011423575081514306668793709904066433/10815457685760000*
         ep^3*z4-5948873311424382247076380857037897700935623112133/
         4280188739807568107520000*ep^3*z3+6675933733630093535579833076/
         2925*ep^3*z3^2;
Fill mncnoptab(11,7,7,2)=
      +mncF321*(-825952361403723562008-33362003780377233243436/5*ep-
         1753099539292530884684251/90*ep^2-3448852245071717020043515801/
         113400*ep^3)
      +2295704368358771035753181035670729295428364291953/
      564984913654598990192640000-6508431450140935500427/140400*ep^-3-
         83573329975988174701577379907/156383136000*ep^-2-7230894858518\
         6133086580257326616958391/36404830570268160000*ep^-1+
         95385281653403591884948441/8775*z3-117782298840078526663267489\
         77675952083282504377059967301875315330638558129618960522106236\
         9476530873659/292517996304954700381971819357535657544762210784\
         3868740078796800000000000000000*ep+95385281653403591884948441/
         5850*ep*z4+14024996412308135505720060235526291/78191568000*ep*
         z3+53524878110454611184157238640164402308218091208252613178458\
         24628926291728263415773825936167790766706595162490333/
         28600325546478397062099923023961278024673974048697951940890543\
         769255936000000000000000000*ep^2+4111821865411172484497812007/
         3900*ep^2*z5+14024996412308135505720060235526291/52127712000*
         ep^2*z4-495277203530287487643670115156111559776033/
         1070730310890240000*ep^2*z3-
         62582701073000684924362602026430391396959437848640947824420282\
         44759593100675652766858412300606464739809874767662126910492369\
         73144251669531152106503597387041/
         46282892141638143810648291960061936434039415666954450431039731\
         89020177429591186145929455104893866743011905372160000000000000\
         00000000*ep^3+36624855662086937992940514299/14040*ep^3*z6+
         18657776660480312626399310744624953/8687952000*ep^3*z5-
         495277203530287487643670115156111559776033/713820207260160000*
         ep^3*z4-73421843493508363558630912108804162792554355862797/
         282492456827299495096320000*ep^3*z3+
         13352292205590882599300983177/35100*ep^3*z3^2;
Fill mncnoptab(11,8,1,7)=
      +mncF321*(-226732020777492742512-1825256246938131584346*ep-
         397204975418355706289369/75*ep^2-116264247353281080079360181/
         14175*ep^3)
      +2500496993565202959435428564016942564177247465023319/
      2241577644924621493589299200000+221875561704116309/35100*ep^-3-
         49500189833509954951773691/52127712000*ep^-2-32170564849537455\
         189348270268967399/2847996949374720000*ep^-1+
         26181735440146994802739117/8775*z3-183701997480680568265917144\
         33641559983110123569997264543985288221078761464651464373777725\
         6604828430569/165923844337640272239974411474272090692173511357\
         27902545705697280000000000000000*ep+26181735440146994802739117/
         5850*ep*z4+1281060049417312497761383650120281/26063856000*ep*
         z3+27529020533939299481610732811344263356550780232735823078534\
         421041807073424889975158787516908301635908980401578711/
         53303654353993081000699997062593060297720876268809081379225778\
         6142680678400000000000000000*ep^2+94060315827240980914522232/
         325*ep^2*z5+1281060049417312497761383650120281/17375904000*
         ep^2*z4-8957047500063694855892284466086666336253963/
         69775925259680640000*ep^2*z3+
         17514981843538813339294306724372982394599214451188709239446577\
         98135841191093151590046595089778537175944620619046008091698562\
         822389885811471441477591133/4721715340310562520158698888387291\
         00921189249327579672957783033743523291699872303937355924747280\
         2398208000000000000000000000000*ep^3+
         2513446791895359489889361147/3510*ep^3*z6+50506574289149163794\
         55507049029989/8687952000*ep^3*z5-8957047500063694855892284466\
         086666336253963/46517283506453760000*ep^3*z4-15168464655863565\
         823544544674239077957050580420523681/
         224157764492462149358929920000*ep^3*z3+
         916360847089875636859990756/8775*ep^3*z3^2;
Fill mncnoptab(11,8,2,6)=
      +mncF321*(-1607736147331312174176-12909735120264696365652*ep-
         932280006996396606830854/25*ep^2-54254630016843337344219388/
         945*ep^3)
      +429706846669346856689260110581422697940895921661/
      54325472466788364441600000-12502592101358254181/450*ep^-3-
         215836105236026621250786761/668304000*ep^-2-135619236573914218\
         24776424657326541/11112585644160000*ep^-1+
         4760453572989648799510894/225*z3-18234829784984862695298510303\
         64850802848547329447590514017104722195542222334528042287628966\
         093033/2317900601558306417539437244398835950971676007305786163\
         2000000000000000000*ep+2380226786494824399755447/75*ep*z4+
         116317262101570124422228671544291/334152000*ep*z3+
         23824395462668980330073552286995058261116377977713712545914923\
         725067319024309390333731226749389488428430811/
         64750801783475776824412139649954081845607713427755119649268695\
         040000000000000000000*ep^2+51305789834763503581200472/25*ep^2*
         z5+116317262101570124422228671544291/222768000*ep^2*z4-
         35679069785739105423509227709396152420351/38894049754560000*
         ep^2*z3+130853638444835009707823143262280331894112071234175427\
         89898139496685261982450078944783432284310255672561185181247527\
         0323052545089296293535803528324477/
         32101794271730708664637618705041799790679144767803590818808092\
         814730604525049593313534299468055183360000000000000000000000000
         *ep^3+228495827469940941715646677/45*ep^3*z6+
         34959101858994287838686087802083/8568000*ep^3*z5-3567906978573\
         9105423509227709396152420351/25929366503040000*ep^3*z4-
         2501873299596548058598373854922887089700225834283/
         5432547246678836444160000*ep^3*z3+166609542380257554118097392/
         225*ep^3*z3^2;
Fill mncnoptab(11,8,3,5)=
      +mncF321*(-4019340368328280435440-32251644253599540910140*ep-
         2791425442674102133488677/30*ep^2-24027075316282088589611287/
         168*ep^3)
      +143262517439339916670932546835144618827836088677/
      7243396328905115258880000-24544646393895974533/90*ep^-3-
         795067286965070433687658711/267321600*ep^-2-131881903088905445\
         567649702768376793/13335102772992000*ep^-1+
         2380427896621807271146127/45*z3-438408640006294392798992137215\
         23643858819549994591439295593763211544281894767147707947184312\
         17/22290854770808656757704580562212697349690047252827996160000\
         000000000000*ep+2380427896621807271146127/30*ep*z4+
         12920412816932145659272438726649/14851200*ep*z3+
         34686089091762888158133599787072897469371683709220464162345157\
         82981149243729269738279180584467037893519433/
         37673193764931361061476153978155102164717215085239342341392695\
         29600000000000000000*ep^2+76959397920448403102820803/15*ep^2*
         z5+12920412816932145659272438726649/9900800*ep^2*z4-1072584418\
         63913481802776117098645390604803/46672859705472000*ep^2*z3+
         11045115291987274541603910757851997091604148811541525127861223\
         74546213604264055731116015161359301733251328264045437636572122\
         77997667518424322880049/15435874029983210777887359858171864662\
         68568944507460415029089361489675950115081872326217254662307840\
         0000000000000000000000*ep^3+114248882932361701018658141/9*ep^3
         *z6+1359600891818535195702184688200687/133660800*ep^3*z5-
         107258441863913481802776117098645390604803/31115239803648000*
         ep^3*z4-824365414227438917576509066974622551747776589091/
         724339632890511525888000*ep^3*z3+83302559912550406236857411/45
         *ep^3*z3^2;
Fill mncnoptab(11,8,4,4)=
      +mncF321*(-4534640415549854850240-36428266100512796565440*ep-
         4738901558921509695669338/45*ep^2-43820118950418557553861659/
         270*ep^3)
      +6823736434064186716162486429953750735916389997/
      305727767129112007680000-987740081310703843276/1755*ep^-3-
         2248807905478910312184520103/372340800*ep^-2-22914804642663757\
         3890194087734562573/11819750185152000*ep^-1+
         104748683502291655465765588/1755*z3-18485926612914292329940296\
         31175501468271944868735948175323833049296475961748645730138900\
         01252689713/83527866077755130062451160539156452329215316599271\
         3101770752000000000000000*ep+52374341751145827732882794/585*ep
         *z4+20316105083479498644210694534337/20685600*ep*z3+
         24167767546554963811196059499924287906422356946057517400282882\
         2368874121175108521467955677631751435976941047/
         23333598930693330936445158644257452933883195610825834916810466\
         9446144000000000000000*ep^2+3386248446161511313010036332/585*
         ep^2*z5+20316105083479498644210694534337/13790400*ep^2*z4-
         15268347105947212881815090068480740632009/5909875092576000*
         ep^2*z3-555537218093035917140018113539019981829933187252425484\
         02474855041718681461832773895715934465104485635862886515620424\
         3580592304289090521005698401880401/
         57841012918804390871944061382744314862845683042628509937328421\
         63358160323323435723232610078154182937804800000000000000000000\
         00*ep^3+5026998327491121141782171704/351*ep^3*z6+2146564998221\
         277046038781847635031/186170400*ep^3*z5-1526834710594721288181\
         5090068480740632009/3939916728384000*ep^3*z4-24006319354415463\
         931728708272425433495388009181/18343666027746720460800*ep^3*z3
         +3665204176567961726704243084/1755*ep^3*z3^2;
Fill mncnoptab(11,8,5,3)=
      +mncF321*(-2429271651187422241200-19575071783290733895570*ep-
         170678549056819736217230/3*ep^2-37087680723340274562313669/420
         *ep^3)
      +20469106492436718522362741725134564334675765889/
      1712075495923027243008000-142482924416836902349/468*ep^-3-
         2299593798769866348586775741/695036160*ep^-2-48176743211249977\
         411902458287637659/4412706735790080*ep^-1+
         3741031748996625339759019/117*z3-13937391523970949119124804585\
         64382120154651787767226664171964011343061170113652085598642065\
         937565722647/1176072354374792231279312340391322848795351657717\
         7400472932188160000000000000000*ep+3741031748996625339759019/
         78*ep*z4+20346618326307052037721375185911/38613120*ep*z3+
         25419447564329974919150523825579819849932246265375478814178817\
         89526179825247695179790154332134222102779783873/
         45949240971211482459461235484076215008262292895164721066949842\
         59862528000000000000000*ep^2+120937470809559481450304536/39*
         ep^2*z5+20346618326307052037721375185911/25742080*ep^2*z4-
         15125639226679407225057391527955209043403/11031766839475200*
         ep^2*z3-162426925999915005157256973845992171000798390177012594\
         63948289624778293965477141121703213646662515340333397454503424\
         25549841690944997575073557884980986350521/
         93040480612934114737303233068432200421248466366390484969064486\
         67158510525126897277971007185222542375695727722496000000000000\
         000000000*ep^3+1795356903398409095055772945/234*ep^3*z6+
         2173155270929918847013258899358793/347518080*ep^3*z5-151256392\
         26679407225057391527955209043403/7354511226316800*ep^3*z4-
         630119945678972671239694998615101291059720761443/
         856037747961513621504000*ep^3*z3+130900070334066697509014092/
         117*ep^3*z3^2;
Fill mncnoptab(11,8,6,2)=
      +mncF321*(-583025196284981337888-23610776009290846870956/5*ep-
         207709087015451210684968/15*ep^2-205501207157562916344647393/
         9450*ep^3)
      +135039760745788873901825555023994461958950931701/
      47082076137883249182720000-204881667454393781203/5850*ep^-3-
         10527642654303819770345837437/26063856000*ep^-2-45594577865898\
         11559126574434537669263/3033735880855680000*ep^-1+
         22443744430030825708950242/2925*z3-312519563287778957186687429\
         80448080968523623010106224041599133462588219418135749885776834\
         3459838980501/110256783222636771682435531911686517074564217911\
         03812943373926400000000000000000*ep+11221872215015412854475121/
         975*ep*z4+1652103800030315933900828992105151/13031928000*ep*z3
         +2025039369550722425815986190750518625383930914854758430923237\
         073327206113127141407091215935690277427813535108741/
         15400175294257598418053804705209918936362909103145051045094908\
         183445504000000000000000000*ep^2+241872049937802938514147496/
         325*ep^2*z5+1652103800030315933900828992105151/8687952000*ep^2
         *z4-491272712559177748021355176110365017454963/
         1516867940427840000*ep^2*z3+
         15278907739410735428537194791149059388148344742426060920371510\
         97757494087648037663936375181562849231109682166523317037574377\
         667786803738384083063180239614133/
         87225450574625732566221781001655187894920437218491079658497956\
         25461103617306466198097819236146133477214744739840000000000000\
         000000000*ep^3+1077202352505097810459188611/585*ep^3*z6+
         2217637751989434589265308734593233/1447992000*ep^3*z5-
         491272712559177748021355176110365017454963/1011245293618560000
         *ep^3*z4-4486647258206094850906470754209652914651985091519/
         23541038068941624591360000*ep^3*z3+785427311314137792730747856/
         2925*ep^3*z3^2;
Fill mncnoptab(11,8,7,1)=
      +mncF321*(-48585433023748444824-1982215103578446466268/5*ep-
         21195007673405125482439/18*ep^2-213237165992463808936021793/
         113400*ep^3)
      +71428642209775605660306497849966516948456396031217/
      298877019323282865811906560000-1172775645836422331/140400*ep^-3-
         238395612983472897709137491/156383136000*ep^-2-136969499993739\
         72234941462923769422369/837311103116167680000*ep^-1+
         5610373377090432769216673/8775*z3-4413160607037173634224602341\
         26287179162264153084391601323127884600109809351422312483404390\
         303381705679763695113/1881066278521809045948335248787609006333\
         62360054822733004716089559482368000000000000000000*ep+
         5610373377090432769216673/5850*ep*z4+8290115018184353777366302\
         95385603/78191568000*ep*z3+65296074407642977862801726589147795\
         29934354179739903078994187970189603907038126868426669606873668\
         9273210620402332847209583/604299563619335622219709414618836067\
         67157542382629415620062803775202818355783270400000000000000000\
         00*ep^2+241869391241807984805412471/3900*ep^2*z5+8290115018184\
         35377736630295385603/52127712000*ep^2*z4-110345018054141000851\
         46806387002448520938039/418655551558083840000*ep^2*z3-
         96638665004607203451903491050717067823286613019839867704492987\
         30753309667443131393452914991457350887778522295766025105282094\
         1764644947879187612356705694898955489/
         12230902208917862435977160226533807569804992141812050888708283\
         70823228168253485215667901523839672800975298161268490240000000\
         0000000000000000*ep^3+2154383027667910132171845547/14040*ep^3*
         z6+1141247872710362125649008285307849/8687952000*ep^3*z5-
         11034501805414100085146806387002448520938039/
         279103701038722560000*ep^3*z4-26221486304173562798568535258472\
         64903969411318737933/149438509661641432905953280000*ep^3*z3+
         785452100840591623731434681/35100*ep^3*z3^2;
Fill mncnoptab(11,9,1,6)=
      +mncF321*(-56683005194373185628-923619389684534169011/2*ep-
         1231147965035386694832107/900*ep^2-82266549709515619462728151/
         37800*ep^3)
      +108710327791750835768038357924757640060266050287613/
      389839590421673303232921600000-1079555891148178741/140400*ep^-3-
         484773514711029910450834453/625532544000*ep^-2-133901540455844\
         3291045788192861391/165101272427520000*ep^-1+
         26181745025295185314547317/35100*z3-32621146232394043007118648\
         09326277885536880341314193600199002433621818974181847403294013\
         12383803311/11905953672017859637306567293193988734658630396118\
         9436096512000000000000000000*ep+26181745025295185314547317/
         23400*ep*z4+3865803144495413543096567673122063/312766272000*ep
         *z3+1423963617739626769745759874473221777343863238745915833331\
         686895622460477308910680649003344153406074275369060707/
         11265868975783561805703501794630175787561779404639600533048926\
         6394890240000000000000000000*ep^2+423271436742799135573500319/
         5850*ep^2*z5+3865803144495413543096567673122063/208510848000*
         ep^2*z4-8625667437986865594978560032494262270860943/
         279103701038722560000*ep^2*z3+
         20207082065355708764555568077323255557013323708432193704698041\
         21417515349739372065047090697383445466833220152268807190548172\
         5780043482587760880413360687/151488367168297214188424922669092\
         25321221488415926514507395538999271372275370903084656835918975\
         2410275840000000000000000000000000*ep^3+
         2513446875431499628126454597/14040*ep^3*z6+1588333802120811944\
         1609039725818547/104255424000*ep^3*z5-862566743798686559497856\
         0032494262270860943/186069134025815040000*ep^3*z4-180190766347\
         32579590079176739286182151616356657686173/
         896631057969848597435719680000*ep^3*z3+
         458180361116508552754411553/17550*ep^3*z3^2;
Fill mncnoptab(11,9,2,5)=
      +mncF321*(-334945030694023369620-5445924013466006455385/2*ep-
         1446404922746176043240821/180*ep^2-13739103677189768887814399/
         1080*ep^3)
      +61382847855044924666730294643983877570059797623/
      37251752548654878474240000-28489041159833343551/2160*ep^-3-
         210649501771014602991853289/1374796800*ep^-2-34285063384838450\
         56337556483437609/5926712343552000*ep^-1+
         2380314548084339389915007/540*z3-81029174444473597152981754460\
         98385323808458900002487780610114321282823007629058600312086120\
         2693/499531231682769709575846067364320564127773441574471467008\
         0000000000000000*ep+2380314548084339389915007/360*ep*z4+
         50153989296667992444625069289419/687398400*ep*z3+
         14653837933856744613777014852046756954875553011443007552066934\
         829957118260009881260516958928517911903992181/
         19536241909528691521879776991529002979703355822774116099893640\
         5606400000000000000000*ep^2+38479498052759534897860349/90*ep^2
         *z5+50153989296667992444625069289419/458265600*ep^2*z4-
         4904422017334863019023659016603830814733/26670205545984000*
         ep^2*z3+110381310378281421800324210740041831595844796678869825\
         85174179961012427303264812440984740692755403691955846685434603\
         37850983833857044070187418850879/
         19766469242535060262307478339664221911928383017376438428373962\
         68942012733437456008110333541589870182400000000000000000000000
         *ep^3+228496673768472869997247087/216*ep^3*z6+2045555069519891\
         87795876494042111/229132800*ep^3*z5-49044220173348630190236590\
         16603830814733/17780137030656000*ep^3*z4-429980651365626043347\
         288183501606419044419295681/3725175254865487847424000*ep^3*z3+
         41651903561847383226631363/270*ep^3*z3^2;
Fill mncnoptab(11,9,3,4)=
      +mncF321*(-669890061388046739240-5443849261135787767265*ep-
         1444894829267724417591151/90*ep^2-95988330450110122208898841/
         3780*ep^3)
      +429803491802011405929342257561458346310223962961/
      130381133920292074659840000-84029393798452378991/1080*ep^-3-
         4108757580574483286736533183/4811788800*ep^-2-7682719384347929\
         6086392005704678441/26670205545984000*ep^-1+
         2380620211879887112009127/270*z3-40546607875193134326554966509\
         83094351149438217490864792554599817050060688591583212431635470\
         379/1248828079206924273939615168410801410319433603936178667520\
         00000000000000*ep+2380620211879887112009127/180*ep*z4+35104122\
         6737593885661310615583213/2405894400*ep*z3+
         18354387120921288803439974435661386051136037726280122082862580\
         3126966186623512904296971245503070512281523/
         12210151193455432201174860619705626862314597389233822562433525\
         35040000000000000000*ep^2+38480039795028442604115089/45*ep^2*
         z5+351041226737593885661310615583213/1603929600*ep^2*z4-
         34369491026917169114439244183982340911171/93345719410944000*
         ep^2*z3+861765054301752201269908973378823666521303995525783019\
         39739530455857264065638720905500629681071461938301545142440677\
         63260720947056400868431775341/66521771489300683575073244412331\
         51604975898130847839855702775905093312083683746181140545572658\
         216960000000000000000000000*ep^3+228499618558290768512681407/
         108*ep^3*z6+109989801808050897239353695705469/61689600*ep^3*z5
         -34369491026917169114439244183982340911171/62230479607296000*
         ep^3*z4-119801277058103154896942966095421886793297435471/
         521524535681168298639360*ep^3*z3+41650221643545281426165143/
         135*ep^3*z3^2;
Fill mncnoptab(11,9,4,3)=
      +mncF321*(-566830051943731856280-4612828283661995649175*ep-
         1227306350549228829749177/90*ep^2-11684777831701400093349649/
         540*ep^3)
      +61403688017332200861432205677454370265751728103/
      22012399233296064552960000-1133760767436080450821/14040*ep^-3-
         7910751123583445669561962339/8936179200*ep^-2-1043356428951771\
         0355025994172351969/3502148203008000*ep^-1+
         26187972343346755476476557/3510*z3-153752422698561703306198325\
         85312685792381142204874938201371673674337349318124146514872235\
         08562345991/56003445446418677679967254304348707085492936081797\
         145109200896000000000000000*ep+26187972343346755476476557/2340
         *ep*z4+552034040195986995034516994116889/4468089600*ep*z3+
         18056027071943298541001545715417616287217263253369577447123027\
         8656090540013300891522057417826945312074167089/
         14222384110136887427928477649833114169224043038979556520722570\
         32814592000000000000000*ep^2+423282477551545268933960299/585*
         ep^2*z5+552034040195986995034516994116889/2978726400*ep^2*z4-
         4887557847712579504456694318052308843173/15759666913536000*
         ep^2*z3+800344008994455788382027124666319666295987521785388482\
         57943564610833606304876140429956576563422050484459928213830273\
         7514637701229793258826115399620301/
         51708029326778782442982373604383489096436013793029169518576773\
         11751295069993268252896199993676882270748672000000000000000000\
         00*ep^3+2513506892965924858127285237/1404*ep^3*z6+225933765953\
         4914090584277014041941/1489363200*ep^3*z5-48875578477125795044\
         56694318052308843173/10506444609024000*ep^3*z4-622821499581486\
         85866589433656414694513820943207/314462846189943779328000*ep^3
         *z3+458146120582238097841213613/1755*ep^3*z3^2;
Fill mncnoptab(11,9,5,2)=
      +mncF321*(-202439304265618520100-3305650291484975808605/2*ep-
         176894127951741881156729/36*ep^2-59380886636479416795359597/
         7560*ep^3)
      +675166969932831601503991384566374782320747912893/
      677981896385518788231168000-83576390191663265347/5616*ep^-3-
         4303254549003733935108533443/25021301760*ep^-2-208049657623010\
         206087731259622366969/323598493957939200*ep^-1+
         3740708042766453848063491/1404*z3-3999084215712958951824836162\
         12653165395607241602008497717080494030384279944480046218621683\
         596463459201/4095251948269365805347605471005499205626670950981\
         4162361103155200000000000000000*ep+3740708042766453848063491/
         936*ep*z4+552881171462917646132183205827321/12510650880*ep*z3+
         23383693625280194676487498206484327437577739792684933343663421\
         6937083311901277221253498139436875585291541604131/
         52000591902687994658363496407202323681225407361269003528891897\
         76228352000000000000000000*ep^2+60468161392398377968805257/234
         *ep^2*z5+552881171462917646132183205827321/8340433920*ep^2*z4-
         53200206286065931803850239330320169372383/485397740936908800*
         ep^2*z3+212511484949945829469718745481954227581544329276629994\
         90632337614731164269913460666042720556127503014524718046102247\
         59293124423492042543879990393166669393293/
         64796048998293401334907608744086711007655181933736230603455624\
         64628248401427660604301237146851413440216667521024000000000000\
         000000000*ep^3+1795341301558119069823840255/2808*ep^3*z6+
         2287870027082567027519279634326069/4170216960*ep^3*z5-
         53200206286065931803850239330320169372383/323598493957939200*
         ep^3*z4-25002247730714877539843238811232699849700275291479/
         338990948192759394115584000*ep^3*z3+65451814432469282318558519/
         702*ep^3*z3^2;
Fill mncnoptab(11,9,6,1)=
      +mncF321*(-24292716511874222412-1993846559099814603723/10*ep-
         35887115361020052177037/60*ep^2-12189272430008569614124961/
         12600*ep^3)
      +14285035506572308382266073916388910426525405781973/
      119550807729313146324762624000-420590837521254851/46800*ep^-3-
         66804155198840083617343553/69503616000*ep^-2-55821210119944595\
         52516418090287169463/558207402077445120000*ep^-1+
         3740250335562061400069507/11700*z3-219582100299546378785828224\
         95329945086001355513545533439347356035769017740256465282544687\
         6102712589282430074227/188106627852180904594833524878760900633\
         362360054822733004716089559482368000000000000000000*ep+
         3740250335562061400069507/7800*ep*z4+1847568581897947197022395\
         41872979/34751808000*ep*z3+32306821744140516624892719393127698\
         30938034385865712077924651966892950154458890620262447261609654\
         6527815231067466296242437/604299563619335622219709414618836067\
         67157542382629415620062803775202818355783270400000000000000000\
         00*ep^2+60467350214621445084035849/1950*ep^2*z5+18475685818979\
         4719702239541872979/23167872000*ep^2*z4-3607763852731146803159\
         644506502919751355643/279103701038722560000*ep^2*z3+
         73574422166476268003225357527660810846319503255903410830775703\
         86392542380454495918659354020194906699899681842309141862283645\
         812505876612003158978185944980225943/
         64373169520620328610406106455441092472657853377958162572148861\
         62227516675018343240357376441261435794606832427728896000000000\
         00000000000000*ep^3+359063850952166609104145587/4680*ep^3*z6+
         2334094058762613822106597386517813/34751808000*ep^3*z5-
         3607763852731146803159644506502919751355643/
         186069134025815040000*ep^3*z4-56372819032072406977001230612385\
         6700201787325620127/59775403864656573162381312000*ep^3*z3+
         65454333223252089250535863/5850*ep^3*z3^2;
Fill mncnoptab(11,10,1,5)=
      +mncF321*(-8286989063504851700-1235848043104719139865/18*ep-
         67791339655340618688305/324*ep^2-23489021626063426976392313/
         68040*ep^3)
      +2499872416569121850801645848628996389595525464316027/
      61329564365137644064603226112000+723606528316265/50544*ep^-3-
         1294001932331129308291598869/4278642600960*ep^-2-6136541557518\
         72589596946311433720463/181816125248082124800*ep^-1+
         1377985563959529972546583/12636*z3-323554862836791739047744433\
         49047528745020097186668842267778517702607619310845519003751355\
         51074428851439/81741196742621782688507393995575329250280050559\
         36810275552299581440000000000000000*ep+
         1377985563959529972546583/8424*ep*z4+3897966410719832101519312\
         287228431/2139321300480*ep*z3+18868449032060325369117342594064\
         67765071173852574300729238857246886157351813877905555271095534\
         595142530072984432183/1050386583084257941890936799259155248209\
         659667502789240778629128864591039692800000000000000000*ep^2+
         22277442661626122055148261/2106*ep^2*z5+3897966410719832101519\
         312287228431/1426214200320*ep^2*z4-815172933293943857760071093\
         2425325939511023/1909069315104862310400*ep^2*z3+
         15683884200540933411214202835265241161601866334594455478075778\
         74743143601827893654253101890801527541782264948630676194549957\
         534968339164583018280181/3406673626897359890320710949534582134\
         34815796285041334228422839749364382384206005126479901979155730\
         79244800000000000000000000*ep^3+661433352028986011791714915/
         25272*ep^3*z6+16923053835157505690086230403534259/713107100160
         *ep^3*z5-8151729332939438577600710932425325939511023/
         1272712876736574873600*ep^3*z4-1096175390094011159756892020269\
         03707957395542366886737/30664782182568822032301613056000*ep^3*
         z3+24114764237418767564666267/6318*ep^3*z3^2;
Fill mncnoptab(11,10,2,4)=
      +mncF321*(-39174857391113844400-2915613288683730785150/9*ep-
         79712077131588565496107/81*ep^2-27504733255296506199396127/
         17010*ep^3)
      +429623614249903269039250614999861147606055643809/
      2229517390036994476683264000-3196345904802380165/972*ep^-3-
         3136758972157041278761196447/82281588480*ep^-2-198547983000463\
         8422828550681532961/13820015601100800*ep^-1+
         125289097588930583455829/243*z3-461092552003566591067128214913\
         02044480260278157489705827893049216406109459324403399120159806\
         43031/24664978978376357872444369383697533254513973394541496772\
         85376000000000000000*ep+125289097588930583455829/162*ep*z4+
         354064150183110657829836086782669/41140794240*ep*z3+
         66591818955297080402176021926558331920628827638260003764024012\
         0040282338256039624250544644901006783636617/
         78297594528032958990033793723862332254592355758461887181604981\
         309440000000000000000*ep^2+4050506689296414824915086/81*ep^2*
         z5+354064150183110657829836086782669/27427196160*ep^2*z4-
         32428567066125590033753825297538682627147/1596211801927142400*
         ep^2*z3+146916407509689361342062518458040824519400295293957953\
         63464054224163839881364982627928822777619272072369096922960400\
         3430162328341599297447814637473/359576783608265914996700915346\
         41677685536719756484913556015784877391389137144121607537105038\
         4467259555840000000000000000000*ep^3+
         60131154851501569456447145/486*ep^3*z6+15279148423798338017351\
         71179441721/13713598080*ep^3*z5-324285670661255900337538252975\
         38682627147/1064141201284761600*ep^3*z4-1847670296989823200519\
         1970824433298524624214687619/1114758695018497238341632000*ep^3
         *z3+4384307259739310824837202/243*ep^3*z3^2;
Fill mncnoptab(11,10,3,3)=
      +mncF321*(-58762286086670766600-1457590279709207178535/3*ep-
         79679842125151360458421/54*ep^2-27484152624260657915506423/
         11340*ep^3)
      +429739322732291237534531270071373163497872914001/
      1486344926691329651122176000-6231894230155872245/648*ep^-3-
         5887361040451338512942343743/54854392320*ep^-2-380520244623416\
         89100753381691670691/101346781074739200*ep^-1+
         125305701987015577253501/162*z3-106522924069804722623561107466\
         02887445929427758105720670008055583251573595226996360186609679\
         0561/380632391641610460994511873205208846520277367199714456371\
         20000000000000000*ep+125305701987015577253501/108*ep*z4+
         70813652137982634000844233099593/5485439232*ep*z3+
         39399516564160829559887343484106707100391649660065056713956536\
         968757636785839366233980112131160746074089/3093238302342042824\
         297631356992092138453031338605901715816493088768000000000000000
         *ep^2+2025282834940500698126267/27*ep^2*z5+
         70813652137982634000844233099593/3656959488*ep^2*z4-3244169587\
         4055825064731741306009301753219/1064141201284761600*ep^2*z3+
         11072688010537588543127699912999531074362433991075231603062387\
         51277926427444732544548480696900622653073191727923008240569942\
         54485060881651526426359/17756878202877329135639551375131692684\
         21566407727650052148927648266241438871314647285782964861566713\
         85600000000000000000000*ep^3+60131956538279943057520505/324*
         ep^3*z6+305436037787696533885020832931525/1828479744*ep^3*z5-
         32441695874055825064731741306009301753219/709427467523174400*
         ep^3*z4-18450239092490293641011234299797416653383427557011/
         743172463345664825561088000*ep^3*z3+2192062670151203054442589/
         81*ep^3*z3^2;
Fill mncnoptab(11,10,4,2)=
      +mncF321*(-33147956254019406800-2470597417670298187810/9*ep-
         67709356276992336174191/81*ep^2-3348075119194437867023531/2430
         *ep^3)
      +675095741509221957268992497420231891718074408141/
      4140532295782989742411776000-43339253782695433255/12636*ep^-3-
         6064683219733041844809081763/152808664320*ep^-2-29454484724718\
         8539389132472081770001/1976262230957414400*ep^-1+
         1378225140876862630710127/3159*z3-5209547197953273604699778162\
         32613981214531129048959287138630454019054009858856472214343559\
         9498743/329881406089395732861910290111181000317573718239752528\
         8550400000000000000000*ep+1378225140876862630710127/2106*ep*z4
         +556794502346223262225772387658329/76404332160*ep*z3+
         19840582904250370554177644283102155189787546299547436553043535\
         5139252967845547481793665407416313264729249503/
         27645817327182007742160080253116823487423967588790246585109906\
         980864000000000000000000*ep^2+44555733269187055386750818/1053*
         ep^2*z5+556794502346223262225772387658329/50936221440*ep^2*z4-
         2028103997342512848275056177000098103967/118575733857444864*
         ep^2*z3+113610265253008222663238142464662443749058748534611248\
         85051461222379662000616524814571596775355502316024481870952909\
         188469379682598902051200282035887/
         51938868743416187721745687772260201101330817426033764025356133\
         711787562086985953433109151722200826380288000000000000000000000
         *ep^3+661444873333421517647711635/6318*ep^3*z6+241384039862056\
         6076496669396744341/25468110720*ep^3*z5-2028103997342512848275\
         056177000098103967/79050489238296576*ep^3*z4-29472458729643970\
         084369243065026455206226146148231/2070266147891494871205888000
         *ep^3*z3+48226883472314532917540686/3159*ep^3*z3^2;
Fill mncnoptab(11,10,5,1)=
      +mncF321*(-5919277902503465500-885340914917420824555/18*ep-
         48805093738643047966567/324*ep^2-17018606620883976750144163/
         68040*ep^3)
      +357074128504675982067228523748631422142175539652301/
      12265912873027528812920645222400-102179939519412821/50544*ep^-3-
         1486389252447036026714070479/4278642600960*ep^-2-4701962964698\
         800869085862121975632699/1272712876736574873600*ep^-1+
         984275824796861919869525/12636*z3-1155453936995836925846081464\
         94141442333142876378372397878509743922506455960998454099470628\
         528084033311703/4103773893563801150175720362902861726596814421\
         02259691804637632921600000000000000000*ep+
         984275824796861919869525/8424*ep*z4+27883221464180348823839760\
         41455069/2139321300480*ep*z3+145104083002401388476430674903792\
         90325622255545724123269606709439729096423912473524731741926309\
         020575043539707601249127/1139056717139620716485563380729948937\
         0793584377678163658543584044929102666268672000000000000000000*
         ep^2+15912459878598877498095455/2106*ep^2*z5+27883221464180348\
         82383976041455069/1426214200320*ep^2*z4-5762460960356335766987\
         867800855923998958029/1909069315104862310400*ep^2*z3+
         53551766751390422751731007556266254390410226253113435363780108\
         78047882053009158351180121108249756239762724598636691594615245\
         3100690517360077994259916767282981/
         36401494669398400107074881626588713005372000422059675264012749\
         13164369548373467903773516439999026193378863575203840000000000\
         000000000000*ep^3+472452417233982015343516025/25272*ep^3*z6+
         12219010195377440120505443091346441/713107100160*ep^3*z5-
         5762460960356335766987867800855923998958029/
         1272712876736574873600*ep^3*z4-8065138795476000402588259884168\
         0747324900589429970339/30664782182568822032301613056000*ep^3*
         z3+17224829848713413536690465/6318*ep^3*z3^2;
Fill mncnoptab(11,11,3,2)=
      +mncF321*(-2350491443466830664-298482984419178642083/15*ep-
         84831354941082078797083/1350*ep^2-2195389560491288996030339/
         20250*ep^3)
      +61355329702485397614922736936246584712356309207/
      5308374738183320182579200000-1254284088841378441/3240*ep^-3-
         35271991158837527224398113/7836341760*ep^-2-433388496194629243\
         91258680640564051/2533669526868480000*ep^-1+
         25061190715358598137029/810*z3-4609070007410032071971426700071\
         9667324603478687850781927324248965147718939773135298100145189/
         41614328532246041653918936574913503628310207784225341440000000\
         0000000000*ep+25061190715358598137029/540*ep*z4+
         51180166427789467826132583314491/97954272000*ep*z3+
         11485644445620479216863549929579927045129808713443004525098730\
         23252577390661226977908042442829179537211/23250014572086236607\
         55781586660419109168869218613218764166004736000000000000000000
         *ep^2+405056652043234749278413/135*ep^2*z5+
         51180166427789467826132583314491/65302848000*ep^2*z4-606843917\
         251381815725708557435582094371/542929184328960000*ep^2*z3-
         34009520731543412466213743570882235440217146490488827627218520\
         84410797152297378955545172036073106499951626163829530850111606\
         5718820943566305838021756159/837201036717234335340918763199542\
         33980098506381190119785367351256148660133546908438136986292131\
         88535523213312000000000000000000000*ep^3+
         2405278721544049897533449/324*ep^3*z6+237522731975063821905356\
         097506479/32651424000*ep^3*z5-60684391725138181572570855743558\
         2094371/361952789552640000*ep^3*z4-328843101314885242449536412\
         1695322467996767938277/2654187369091660091289600000*ep^3*z3+
         438412229925084272366663/405*ep^3*z3^2;
Fill mncnoptab(11,11,4,1)=
      +mncF321*(-662959125080388136-252984719872472094661/45*ep-
         72099396547464432906221/4050*ep^2-1872539869934478892463353/
         60750*ep^3)
      +50993646948647384825506658236383956674624553986379/
      15645297031922868383827353600000-332891103895182371/126360*ep^-3-
         28471604287028388021805291/305617328640*ep^-2-1849282664004413\
         318777979689423205703/2272701565601026560000*ep^-1+
         275599154449638465771479/31590*z3-3114803059587156955770824570\
         71858710896135707346370211369880758742673592432897929795972006\
         016332479389/1003519156438437064256229167356393551063705977849\
         3851900789653504000000000000000000*ep+275599154449638465771479/
         21060*ep*z4+563354716968120676067648261422601/3820216608000*ep
         *z3+1419326930642492722681803607869881452111117961460049757576\
         700099499044046343782963838079497604215237761451087638583/
         10316296798148961929285986421295274759202014591545251471932964\
         658491519139840000000000000000000*ep^2+
         4455492024359468970987263/5265*ep^2*z5+56335471696812067606764\
         8261422601/2546811072000*ep^2*z4-10679423528616340648029808257\
         44893849912801/3409052348401539840000*ep^2*z3+
         36745950982776917234112798990517536377665448198731600846802830\
         75912994415974171167430784341351533280268354461935212202749418\
         6228562900665851871341328437000269/
         69865924663276804545641859801525428490052900074691028889348371\
         72322590375220517961524999751211770700478441397944320000000000\
         000000000000*ep^3+26457352991707175360152099/12636*ep^3*z6+
         2627650000582135229667764613368069/1273405536000*ep^3*z5-
         1067942352861634064802980825744893849912801/
         2272701565601026560000*ep^3*z4-1938694833871635930046203938864\
         6486379070231095571783/54758539611730039343395737600000*ep^3*
         z3+4822940778488900267745853/15795*ep^3*z3^2;
Fill mncnoptab(12,2,1,12)=
      +mncF321*(-29661047546558142624-39151275086064572559401/165*ep-
         3674801899142068443675119/5400*ep^2-
         178725291655580001747467501593/172497600*ep^3)
      +109090654589204842557513635195077926096981984174557/
      747524268956027511446766428160-396570338379051979/1960200*ep^-3-
         204222691569493867080636517/152106658704000*ep^-2+833797985035\
         80478696100501635708273/135735644145543361920000*ep^-1+
         95639076286696001377499789/245025*z3-5053944520734891427262750\
         41364958597923976949899223035423429607974714184168459017376421\
         89/34723585395096356942606922145820703513830388807814348800000\
         000000000*ep+95639076286696001377499789/163350*ep*z4+152348389\
         9943216814140368898941946/237666654225*ep*z3+
         30462931652836400818389334207380103891589543571986938260004628\
         17677623619899149363078346784777375853/44620325697497069933974\
         6764098555476933603553223428054456048025600000000000000*ep^2+
         2061553388067122890946500889/54450*ep^2*z5+7617419499716084070\
         70184449470973/79222218075*ep^2*z4-512643867257962690103888424\
         42637985803421201/2994168620857574160000*ep^2*z3-
         44153642769285293261026129981543464974763961343543936868152231\
         37778745637044644305281926660216137459681374789859757033516551\
         90019/23325227195879985654343889467678523489304227741241794379\
         495257036424124241427270991872000000000000000000000*ep^3+
         18362702340030714015763508423/196020*ep^3*z6+56383690711294772\
         2351640939183281061/7605332935200*ep^3*z5-51264386725796269010\
         388842442637985803421201/1996112413905049440000*ep^3*z4-
         6585890427050148509479063731711267998311037058688349597/
         817604669170655090644900780800000*ep^3*z3+
         6694735168550019975324777919/490050*ep^3*z3^2;
Fill mncnoptab(12,2,2,11)=
      +mncF321*(-326271523012139568864-38944555744445496573701/15*ep-
         39841376110491421283482609/5400*ep^2-
         174083006152453343756037033973/15681600*ep^3)
      +736501721848705240608030154884486698594566371911/
      458795245228701244351488000-183564951597947479/178200*ep^-3-
         28191511588709659755014431/1975411152000*ep^-2-559617468898452\
         6369495367337852107/76643503187771520000*ep^-1+
         95639075000318097675856289/22275*z3-28036378715537571156134930\
         734112060331415337425055001456274864542498870820948779793592653
       /174348269802108175358322823150485387159709357493452800000000000\
         0000*ep+95639075000318097675856289/14850*ep*z4+434161582635749\
         708718373318392961/6173159850*ep*z3+24915106294741048416560255\
         78407182620626522295883666503367018319262191931051872796520815\
         720988077957/3287545384763079898626023871917929440079489485135\
         3409046446080000000000000000*ep^2+2061553385363035621676427389/
         4950*ep^2*z5+434161582635749708718373318392961/4115439900*ep^2
         *z4-323390483733695246526891538681831665244141/
         1690665511494960000*ep^2*z3-1857243389032720726475395092554685\
         96066868099052791002666661782600467504426568938519143534089513\
         92145642911641714176421453453/10377782661396662219691474409555\
         99518536709395733679150290638074005350149364121600000000000000\
         00000000*ep^3+18362702318266684399736133923/17820*ep^3*z6+
         78810618362924645813275689830807183/98770557600*ep^3*z5-
         323390483733695246526891538681831665244141/1127110340996640000
         *ep^3*z4-1607807364958562250179684737393435556150943448273199/
         20072291978755679440377600000*ep^3*z3+
         6694735206819711076027295419/44550*ep^3*z3^2;
Fill mncnoptab(12,3,1,11)=
      +mncF321*(-138037952043597509904-32995102163935042658527/30*ep-
         33831961209562928148525203/10800*ep^2-
         13480574287036059212509742749/2851200*ep^3)
      +1048948441093472725583741359287287212600971446952109/
      1544471630074437007121418240000+1620782618704217/32400*ep^-3-
         379889390523039615809449/2514159648000*ep^-2-11706242364372752\
         26732365804477143/172581874310926080000*ep^-1+
         7356851878768174440440753/4050*z3-9908448730254970131473614004\
         86853052325528656685148016479272725500144941206492783354075476\
         479/1457908474003437389278221476990544103102337197257152004096\
         00000000000000*ep+7356851878768174440440753/2700*ep*z4+
         11696205830961726136584617197283/392837445*ep*z3+
         24975137944520450099808800720807613712464895969189752460599863\
         2579361681777391166266193834507523748507013/
         78059756559059336889452557871390267237442314170525000468806814\
         92480000000000000000*ep^2+158581029537760924674917453/900*ep^2
         *z5+11696205830961726136584617197283/261891630*ep^2*z4-
         3990145946396315939709646124883098552423477/
         49490390427397920000*ep^2*z3-187085000115358205091120908446922\
         69354005522237937790286495894063669899326485686179939853970062\
         7313038878625815093533847101197493920451/
         31012296781373101455510339149701027170942961863489321537447789\
         81154873182448964289177845760000000000000000000000*ep^3+
         1412515562082311973193375571/3240*ep^3*z6+42661222322252105700\
         391223140715369/125707982400*ep^3*z5-3990145946396315939709646\
         124883098552423477/32993593618265280000*ep^3*z4-46916608046053\
         2605218102811666908022738996821571917409/
         13514126763151323812312409600000*ep^3*z3+
         514979632277200655409568363/8100*ep^3*z3^2;
Fill mncnoptab(12,3,2,10)=
      +mncF321*(-1380379520435975099040-32858293492453020498907/3*ep-
         33447862832887583520018983/1080*ep^2-
         13202671734459605739776682457/285120*ep^3)
      +116640513381761475764683197092820093824272372937/
      17174153564710741767168000-194197063228370443/3240*ep^-3-
         10436663687745859043305157/14789174400*ep^-2-16231235029581449\
         44307081891287649/573801628143744000*ep^-1+
         7356852458586801534032573/405*z3-86503466552284579811153435979\
         6326050284418421975088601146723317716028762419265866655161723/
         12687332916936299734096561376640669243151470250111795200000000\
         000000*ep+7356852458586801534032573/270*ep*z4+
         13732508116590531281985883590527/46216170*ep*z3+
         95176706597091046975564330036521125117473235508785016634524727\
         3960571797307101207038071701629243289/295351670930586857202765\
         7810065305593226493227287365090803712000000000000000*ep^2+
         158581030877835022289534873/90*ep^2*z5+
         13732508116590531281985883590527/30810780*ep^2*z4-175579291327\
         270131206647206616090430369479/215175610553904000*ep^2*z3-
         78956452809307010080224133497385643198037785620954058290913247\
         70922467338458370643710279568820944518572378245139662581019379\
         828713/1049427949844043659110484302468790696491995080726427138\
         9601406607689046080008234834329600000000000000000000*ep^3+
         1412515572983341597537748711/324*ep^3*z6+246643940506238138595\
         9869962398421/739458720*ep^3*z5-175579291327270131206647206616\
         090430369479/143450407035936000*ep^3*z4-4792016996087395635673\
         7635982286426537749533884613/150273843691218990462720000*ep^3*
         z3+514979618876187552492231103/810*ep^3*z3^2;
Fill mncnoptab(12,3,3,9)=
      +mncF321*(-5256060481660059030960-83250524884820590137687/2*ep-
         28154825283715939464856321/240*ep^2-
         1006095661214463973162121213/5760*ep^3)
      +1982886647400771804640271035634638814483851239001/
      76676523995981291526144000-17948035067924842793/9360*ep^-3-
         493189975186455458471813623/22009478400*ep^-2-2201907988578438\
         50933942764288644913/2561821410500352000*ep^-1+
         80925419958927026280733903/1170*z3-359947601379659782250217439\
         29249631623125682747278020817973589325908215745108444429330743\
         1411/138464225908292456357300743912967303838838267914800332800\
         0000000000000*ep+80925419958927026280733903/780*ep*z4+23323687\
         4067291451774645159340519/206338860*ep*z3+
         23806339886381843035634684499228018280775917479198572180279364\
         1624372221464917626056517236535914716897/193400649705658356864\
         625889192424455141645926883113388168183808000000000000000*ep^2
         +1744391441547127360107596003/260*ep^2*z5+23323687406729145177\
         4645159340519/137559240*ep^2*z4-160484798847067450139194901520\
         97062188309/5137342400736000*ep^2*z3-
         74525868050560898910633725922231828917571692423991845431471385\
         18080564522700486311098128339053964634388098619198009125875466\
         768163/3000313826714614749893522372230460730711356955943001566\
         877595131503041114492282863616000000000000000000000*ep^3+
         15537672134006292188406896221/936*ep^3*z6+41594481574219233234\
         689730447518837/3301421760*ep^3*z5-160484798847067450139194901\
         52097062188309/3424894933824000*ep^3*z4-7806292611148268045405\
         99436809997070911129296011781/670919584964836300853760000*ep^3
         *z3+5664774872597395898749934693/2340*ep^3*z3^2;
Fill mncnoptab(12,4,1,10)=
      +mncF321*(-328661790579994071200-23535178573403867094725/9*ep-
         4815239327805469159552613/648*ep^2-
         66972516057311126605488133169/5987520*ep^3)
      +5244741666460311762760877857139786046897166155082049/
      3243390423156317714954978304000-5123184695798953/1944*ep^-3-
         4068259147298817010196599/150849578880*ep^-2-28833301798854475\
         1287327027815917/2747221672704537600*ep^-1+
         1050978862756245662384015/243*z3-29755257102234484964096088562\
         71733580102773853346745148873874933263793490726981208881872587\
         13401/18369646772443311104905590610080855699089448685440115251\
         609600000000000000*ep+1050978862756245662384015/162*ep*z4+
         83487891585507024572977686685798/1178512335*ep*z3+
         20864016546715674102729526684722617445096438060279370249597091\
         6685163337262984665616732436209676194962629/
         27320914795670767911308395254986593533104809959683750164082385\
         22368000000000000000*ep^2+22654432839191848941958595/54*ep^2*
         z5+41743945792753512286488843342899/392837445*ep^2*z4-68703227\
         4032759448862314235054689347203/3564734004374400*ep^2*z3-
         10416351374121360992484650364532066771130434024598683695647414\
         84026799634358731473131756433061401325507966611928573618136122\
         175295455532641/4728134767288143047907106306763418602481963965\
         70758196159929003466871965396169095528054364569600000000000000\
         0000000*ep^3+1008939689136070745764296625/972*ep^3*z6+30297122\
         329883234571716312596418707/37712394720*ep^3*z5-68703227403275\
         9448862314235054689347203/2376489336249600*ep^3*z4-
         65062493197661312446206230247727649993641717112528303/
         810847605789079428738744576000*ep^3*z3+
         73568518263688095817524613/486*ep^3*z3^2;
Fill mncnoptab(12,4,2,9)=
      +mncF321*(-2957956115219946640800-23460004658165925915065*ep-
         4772990388066548100145889/72*ep^2-
         21966922396976984491489357711/221760*ep^3)
      +9914429775513309039974044237661243077984031226797/
      681241424733526090097664000-142912785206003365/216*ep^-3-
         135266463210121175845884683/16761064320*ep^-2-4434528052127504\
         21717041551912487/13271602283596800*ep^-1+
         1050979231627405399020803/27*z3-297145752609298673715701104965\
         45481817161415059491843447353303224239386367300208078169780003/
         20333907301217773311211997357848345318990235148327321600000000\
         0000000*ep+1050979231627405399020803/18*ep*z4+
         55572250517457244112300973495287/87297210*ep*z3+
         10794278385277734239194247171286492327324231351116704496953386\
         1185405406158001944262017852011178035563/156208217069954826698\
         351679732342829152867864020976198135840768000000000000000*ep^2
         +7551477906357071100224541/2*ep^2*z5+
         55572250517457244112300973495287/58198140*ep^2*z4-358754367289\
         7110948596886645334289117463/2049291529084800*ep^2*z3-
         15408840942573212947852157699805833024568028205187415572546130\
         20952769918047593731331297716562843589496850726774477391355629\
         6253517859/119712521685913128520751542651995383155383142542125\
         76251841604574697134046824208625827840000000000000000000000*
         ep^3+1008939725041930544540105005/108*ep^3*z6+2989504389705692\
         7467371155365244007/4190266080*ep^3*z5-35875436728971109485968\
         86645334289117463/1366194352723200*ep^3*z4-1150709173164029805\
         40353335049833797819959366147227/170310356183381522524416000*
         ep^3*z3+73568510308682067901179985/54*ep^3*z3^2;
Fill mncnoptab(12,4,3,8)=
      +mncF321*(-10011543774590588630400-79317206417687389315780*ep-
         4026779460944973624524479/18*ep^2-37351988709859081607039107/
         112*ep^3)
      +1982886770355312221979415666742686150136248442557/
      40255175097890178051225600-13511979666994611341/702*ep^-3-
         214946018201662970524556269/990426528*ep^-2-212852460181254543\
         85716752210148607/27448086541075200*ep^-1+
         46243217880618103309919548/351*z3-9206602807299235344396094044\
         56065066168801620776898913326862265348014930948644005757462262\
         879/1858646214251937091727971633490825314313951181526794240000\
         000000000000*ep+23121608940309051654959774/117*ep*z4+444345658\
         859290312894157663549161/206338860*ep*z3+
         43456402095540823324350532700875185826694939145712183607708179\
         8581517067951393734752193317289082357687/185433861578578680232\
         418288643304697756549716826848774166937600000000000000000*ep^2
         +166132565770309564210613818/13*ep^2*z5+4443456588592903128941\
         57663549161/137559240*ep^2*z4-28788547501285505968242326556072\
         6597881/48437799778368*ep^2*z3-
         39781061243035283943416301558466306544157165803471473413947713\
         19537146508429178050565033055569389879956214934597018116038780\
         52274869/95650985011826896012674350485436652024009968295377473\
         603137820642999117916741723750400000000000000000000000*ep^3+
         11098340144794350325941633845/351*ep^3*z6+29759371918565912943\
         401252258452747/1238033160*ep^3*z5-287885475012855059682423265\
         560726597881/32291866518912*ep^3*z4-11230061120520626165631514\
         9306378451528443470778517/50318968872362722564032000*ep^3*z3+
         1618505775415373631076936162/351*ep^3*z3^2;
Fill mncnoptab(12,4,4,7)=
      +mncF321*(-16685906290984314384000-397021244834644943896460/3*ep-
         20196288775764306658333331/54*ep^2-
         8453909305083240854079573383/15120*ep^3)
      +1982918755863579350841708955403058534938036482873/
      24153105058734106830735360-301068953678438662123/2106*ep^-3-
         23240997013659469073708777551/14856397920*ep^-2-30228171782221\
         33307515295599754812139/576409817362579200*ep^-1+
         231218655583419629323666292/1053*z3-66297899331586201756162385\
         02709846052779001354550732248934112401782521522249642428976066\
         877851/8046908536921651840279993806804302016781975231974604800\
         000000000000000*ep+115609327791709814661833146/351*ep*z4+
         555731600117518131473758777631009/154754145*ep*z3+
         43809797582491367460942432740444682500339230141822945653277096\
         501824328723039311555551628521252603311579/1123956263037507510\
         7964945250420713312999033856647772638281728000000000000000000*
         ep^2+276887946698951565393355874/13*ep^2*z5+555731600117518131\
         473758777631009/103169430*ep^2*z4-1255510120657366915367044654\
         48554210328211/12714922441821600*ep^2*z3-
         49896997237508265768818141867387935799590169919713117569462003\
         29969472501030349212601519697191999792137688496590572558513871\
         376891248593/1119769070716881024271525055140646501467319495895\
         016100889165395109983609468225618706432000000000000000000000000
         *ep^3+55491762567579142918845398755/1053*ep^3*z6+1494856757927\
         13984712025629668951107/3714099480*ep^3*z5-1255510120657366915\
         36704465448554210328211/8476614961214400*ep^3*z4-5221045718807\
         3395228328094381836576838941536911293/
         13723355147008015244736000*ep^3*z3+
         8092500668446746097882413374/1053*ep^3*z3^2;
Fill mncnoptab(12,5,1,9)=
      +mncF321*(-443693417282991996120-14139846841591165890195/4*ep-
         1611156223562057497958647/160*ep^2-
         40479822599645921734430151703/2661120*ep^3)
      +308513837421192144415310881942202248165752480279889/
      141324201444719726141829120000+2589915377435911/1440*ep^-3-
         326595993167956721962967/6572966400*ep^-2-18562017260806608860\
         85863952301441/2513797609010688000*ep^-1+
         1050978829876088201829919/180*z3-44504221498000170269594233393\
         83645567642954784747389034141726992978626191530819053823961042\
         8179/203743358933813710016778188584774790879185804393869370982\
         4000000000000000*ep+1050978829876088201829919/120*ep*z4+
         2457109152002747388354107921789/25675650*ep*z3+
         10580100156273068351056723697045438497509305658177456678732883\
         03883331000858541801824746703019720197996247/
         10285520864252524390139631154818482271286516690704470650007486\
         201856000000000000000*ep^2+22654432770745608686712819/40*ep^2*
         z5+2457109152002747388354107921789/17117100*ep^2*z4-8949079658\
         18155055706025234913533232287/3453018693696000*ep^2*z3+
         59928423918853750814643575772003909995523431462926050284171444\
         84861410058182177163925953557438613661544733415064413402703492\
         707108402950659/2696787978379163071769238412005801721415638706\
         36654674846774320495919565448185335967853230161920000000000000\
         000000000*ep^3+201787937276958301776755533/144*ep^3*z6+5973368\
         38008473586046132812148049/547747200*ep^3*z5-89490796581815505\
         5706025234913533232287/2302012462464000*ep^3*z4-78379939770604\
         8769873543653719438351676675932797283/
         7066210072235986307091456000*ep^3*z3+
         73568519172898502265391829/360*ep^3*z3^2;
Fill mncnoptab(12,5,2,8)=
      +mncF321*(-3549547338263935968960-28211869842089045682570*ep-
         1600527208050175121542147/20*ep^2-2666071472696927587306982273/
         22176*ep^3)
      +9914395603077177771159235723308331187700192556697/
      567701187277938408414720000-210104338571581433/60*ep^-3-
         1743142450338789416199082087/41902660800*ep^-2-381657081562863\
         44957723520483085889/232253039962944000*ep^-1+
         700653721565493114867926/15*z3-1060505350992037551624631757923\
         43469791520583272897659772261448728168112074753382218265446725\
         71/60548974748899642949753537444874193893227563490507489280000\
         000000000000*ep+350326860782746557433963/5*ep*z4+4005332002014\
         521285575553802790043/5237832600*ep*z3+
         34945655239010954946782037082049807407117526905504453167375262\
         444155959392862232445356348009874245330361/4228605251151511519\
         6077232052544367423022433502553322385991270400000000000000000*
         ep^2+22654436903314078552233889/5*ep^2*z5+40053320020145212855\
         75553802790043/3491888400*ep^2*z4-7130996970213136100979905504\
         929736406623/3415485881808000*ep^2*z3+
         12408368472438488193728083562546408863646171621494251623707807\
         79768117887026390155406220286008251071112811881921601688895320\
         8258689029/324065537220069523690940699444659377057345772584738\
         880567430936338481011501920960066355200000000000000000000000*
         ep^3+67262656988376742541833741/6*ep^3*z6+30161902190970056349\
         321681623553059/3491888400*ep^3*z5-713099697021313610097990550\
         4929736406623/2276990587872000*ep^3*z4-24009525071817110144776\
         005194411296161408382458661/28385059363896920420736000*ep^3*z3
         +24522826808984735419690973/15*ep^3*z3^2;
Fill mncnoptab(12,5,3,7)=
      +mncF321*(-10512120963320118061920-83518103629681499337405*ep-
         9470135762213778477142163/40*ep^2-1023532059624933550121432297/
         2880*ep^3)
      +9914496990902417189838218146250348104784460496697/
      191691309989953228815360000-116218669841317221101/1560*ep^-3-
         11695118096976602007889802767/14148950400*ep^-2-15661193058984\
         95651817300084773570423/548961730821504000*ep^-1+
         26975443019794869606030871/195*z3-9421682840292872027469946138\
         99912942124999936890599568136021030260258698446068487941617941\
         7552929/181752840820603709565790793449686501552382213906199740\
         41600000000000000000*ep+26975443019794869606030871/130*ep*z4+
         4004604474840549422123336654215523/1768618800*ep*z3+
         62155685585412646814052992541252977334477403233730317457748634\
         796878797895598708620289162408298667167545081/
         25386425461140502977190156338950251136293817804215102465665662\
         976000000000000000000*ep^2+1744393590610285973989659413/130*
         ep^2*z5+4004604474840549422123336654215523/1179079200*ep^2*z4-
         49971901326729491743215448958883868541681/8072966629728000*
         ep^2*z3-940999880534100400249511545532195803606419509229837028\
         49848829353983934000035543911707872253943382780202309845648590\
         3804779957710988581319/194552698030194508217021891631615915229\
         29633087652895127243550557090381891683837929114828800000000000\
         0000000000000*ep^3+5179229885791268182756916497/156*ep^3*z6+
         30113281128043839286035453335227499/1179079200*ep^3*z5-
         49971901326729491743215448958883868541681/5381977753152000*
         ep^3*z4-23806228688602788633048137551738933915155174606469/
         9584565499497661440768000*ep^3*z3+1888251625977467725612629761/
         390*ep^3*z3^2;
Fill mncnoptab(12,5,4,6)=
      +mncF321*(-15017315661885882945600-119513570915861776280550*ep-
         4077813403105443126420647/12*ep^2-1032604391837770714824046193/
         2016*ep^3)
      +367229317871717700544122168692910941626358605787/
      4969774703443231858176000-185891255602883434285/468*ep^-3-
         14130393700906307273571734921/3301421760*ep^-2-159872705626904\
         94563204835707363142733/1152819634725158400*ep^-1+
         23122557114973344137677150/117*z3-4931455486074681231599259368\
         21692684574860871628957506408557097677945043469081316140928855\
         208978249/6664270830088802684078995759821838390254014509893990\
         48192000000000000000000*ep+11561278557486672068838575/39*ep*z4
         +445331086615694056518393981049063/137559240*ep*z3+
         32475796474045678038185000127441779986377195223371382497383316\
         65168484075296127139759642814169287506495835389/
         93083560024181844249697239909484254166410665282122042374107430\
         9120000000000000000000*ep^2+747599907569085542692864165/39*
         ep^2*z5+445331086615694056518393981049063/91706160*ep^2*z4-
         149175826583885238233627470347351851793871/16953229922428800*
         ep^2*z3-613754993518260634828466477908016946602911650010227234\
         28849898722378177037924050920732860480434861251399130304618944\
         19489567917399058787025663/12055782187937719692514789884772466\
         21370872930331557734718192016187700664554675157007482224640000\
         000000000000000000000*ep^3+11098385827961416419704576725/234*
         ep^3*z6+30326689004567941550054610147622951/825355440*ep^3*z5-
         149175826583885238233627470347351851793871/11302153281619200*
         ep^3*z4-8204651320551374931914592335257981214478003997783/
         2236398616549454336179200*ep^3*z3+809242457077151685122942737/
         117*ep^3*z3^2;
Fill mncnoptab(12,5,5,5)=
      +mncF321*(-11262986746414412209200-179973143268534631215585/2*ep-
         12366769417460766958065317/48*ep^2-
         47411012377879939858739022797/120960*ep^3)
      +5950053815510369667153087060171645501588934082479/
      107347133594373808136601600-1377624610542017000207/1872*ep^-3-
         310868837150160830336292123769/39617061120*ep^-2-7631887677514\
         560908246200055013247817/307418569260042240*ep^-1+
         34686089738785977625292533/234*z3-6576465941348710885383924883\
         10486690883125463074357022861464106516071196277119934111149211\
         6003746013/118757306192182463830287704440025160114326538566310\
         91038781440000000000000000*ep+34686089738785977625292533/156*
         ep*z4+2409468758855180539706106747582889/990426528*ep*z3+
         12324723373039784997438537545291332603079674100332994596134813\
         220838025704797340143142430513937500521419746607/
         47392829703740584700845851862485983121298230152211851288759840\
         53862400000000000000000*ep^2+2242815708022391478755031319/156*
         ep^2*z5+2409468758855180539706106747582889/660284352*ep^2*z4-
         29492396478540866478422900341726067260387/4520861312647680*
         ep^2*z3-230886337929062077559653771085653717641162592068627232\
         64908055130056032346046797430406552132610596005078183413959830\
         8668993668735700720680157387/223427400132612171517438097976511\
         16184542113843248693185985308997603418876058883749788266572808\
         192000000000000000000000*ep^3+33295374722948012405072544455/
         936*ep^3*z6+6164298493986629503046511589439875/220094784*ep^3*
         z5-29492396478540866478422900341726067260387/3013907541765120*
         ep^3*z4-397406760863366925268817467652681660283831863426027/
         134183916992967260170752000*ep^3*z3+
         2427677794548172644489489467/468*ep^3*z3^2;
Fill mncnoptab(12,6,1,8)=
      +mncF321*(-354954733826393596896-2839980463018389863172*ep-
         203780327388965834281334/25*ep^2-129311111558836200146858048/
         10395*ep^3)
      +552075460862882922586217546188141172697334960879339/
      316119924284241492685670400000-2789583699862001/450*ep^-3-
         204366718233395649932599/816816000*ep^-2-517707588661341158770\
         592553150641/216268012920960000*ep^-1+
         1050978887950823936392774/225*z3-14183111474182928125483429993\
         85128839718042807650032757166624023946643013894256788985373972\
         8964539/814246678482479003745404057469866876793520792882584055\
         971840000000000000000*ep+525489443975411968196387/75*ep*z4+
         93994884507570871526517393567607/1225224000*ep*z3+
         42746476220497064032094663723943433373659534973899101424013479\
         36242305373739492056989215884218302197132248963/
         52315956976499563870167246861292091537799249913589160018143546\
         336870400000000000000000*ep^2+11327216445855167307843912/25*
         ep^2*z5+93994884507570871526517393567607/816816000*ep^2*z4-
         736113679469961457779209124777369671999/3595248296640000*ep^2*
         z3-10171152116939419608136846312007263120751639492184871135070\
         51732811516605400381512033430472775409157517954801807489455820\
         9433025590879739723457491/926844733602999416832550775743210212\
         81169584641049087970127742722664960876195374634194147454065049\
         600000000000000000000000*ep^3+50446984562372840917101217/45*
         ep^3*z6+1087703492704988520817118291031649/1225224000*ep^3*z5-
         736113679469961457779209124777369671999/2396832197760000*ep^3*
         z4-131684931857553545748691977995429921335466218855259/
         1374434453409745620372480000*ep^3*z3+
         36784258785692144929212832/225*ep^3*z3^2;
Fill mncnoptab(12,6,2,7)=
      +mncF321*(-2484683136784755178272-19845278174132068545888*ep-
         1419638904179679621396413/25*ep^2-854507374305809932586506571/
         9900*ep^3)
      +1043610682715903259338942862013415033795572038421/
      85368599590667429836800000-635096514102654422/75*ep^-3-
         314868725979352300887656143/3150576000*ep^-2-47533441829275340\
         408765271826086407/122238442085760000*ep^-1+
         2452297908954798348871406/75*z3-125725159481142044841439696941\
         18387434080828525998213540038410603447204922041719278620393055\
         7887/103017804513702507446197210862170486709852266991368273920\
         0000000000000000*ep+1226148954477399174435703/25*ep*z4+8452404\
         06992725135881408483824993/1575288000*ep*z3+
         82522845667697720696738616335533979372828126003271044887396402\
         7039548187295892468287138707977049215317253/
         14389067062994617072091586588878684854579491872834471033170821\
         12000000000000000000*ep^2+79290564256499398474384034/25*ep^2*
         z5+845240406992725135881408483824993/1050192000*ep^2*z4-
         5179461647481659482357122029211930485563/3595248296640000*ep^2
         *z3-1338419215492480895237270262008420153872410609774817403443\
         16199100162161185967218070838726559821723727819835995590859062\
         5538399235385359287439472791/713373206038460192547502637889817\
         77312620321706230201819573539588290232277887985141187332151233\
         7408000000000000000000000000*ep^3+117709697430271698537140348/
         15*ep^3*z6+249226248741424822735786479124009/40392000*ep^3*z5-
         5179461647481659482357122029211930485563/2396832197760000*ep^3
         *z4-1109633739405568423140416633791705189920890567639/
         1707371991813348596736000*ep^3*z3+85829785466301400699840658/
         75*ep^3*z3^2;
Fill mncnoptab(12,6,3,6)=
      +mncF321*(-6307272577992070837152-50385853987571423829816*ep-
         3605599257817076752819433/25*ep^2-65798280302734795741386011/
         300*ep^3)
      +1043657022467143813730996128745766702399527813681/
      33630054384202320844800000-126979970119338541051/975*ep^-3-
         1776368290212623560269468683/1241136000*ep^-2-9988904807153883\
         6986912294764571783/20637659053440000*ep^-1+
         80928165364896098753963998/975*z3-3623748526343287360867322602\
         48815488473971672462812754602850320941005055025590036843867038\
         0213829/116917032106821099720684136137225234916737096664806850\
         56000000000000000000*ep+40464082682448049376981999/325*ep*z4+
         845333081279193004600248550027453/620568000*ep*z3+
         23779602309167425577020602051209413835634416386827609818948613\
         317738431115632521216480518391787223855707649/
         16330449127049446359596007001663904239721169347740709188439900\
         160000000000000000000*ep^2+2616596894574193741420155022/325*
         ep^2*z5+845333081279193004600248550027453/413712000*ep^2*z4-
         2218479596816053534992491405023617922987/606989972160000*ep^2*
         z3+10413347232369174702812454320353678070872826347250582801176\
         94998007480207821846596331304804724277551558310651777313583018\
         0260011681244762179167631793/809621971932538155034070454113047\
         15521465920666594594128563620326392882664587157739601496012908\
         13440000000000000000000000000*ep^3+
         3884431259178842562753250534/195*ep^3*z6+108082487767346395458\
         0974700097019/68952000*ep^3*z5-2218479596816053534992491405023\
         617922987/404659981440000*ep^3*z4-5565753943139767365931957121\
         689303223647085594039/3363005438420232084480000*ep^3*z3+
         2832357227204134518797568814/975*ep^3*z3^2;
Fill mncnoptab(12,6,4,5)=
      +mncF321*(-7508657830942941472800-60114188766345912456720*ep-
         518203057371401141064523/3*ep^2-332690979750442088278101311/
         1260*ep^3)
      +347942847404505017811353197831310791629478346383/
      9416415227576649836544000-54110503884720672224/117*ep^-3-
         344847591870705626415640937/69503616*ep^-2-1931475475992391825\
         782614348472010957/121349435234227200*ep^-1+
         11561957494008390435393218/117*z3-1842305313596954255710660930\
         58037478002014679713996406435973784004245356199651198445002160\
         5881533893/500030762914452479285421913431684884691901215016045\
         9384750080000000000000000*ep+5780978747004195217696609/39*ep*
         z4+282089751903082123977295749350227/173759040*ep*z3+
         17234836955306571285255568170875048825348145676128915352525106\
         69834753740744150423936099830598259313047281471/
         99774378323664388843886003921023122360627852952024950081599664\
         2918400000000000000000*ep^2+373802361279009598693568822/39*
         ep^2*z5+282089751903082123977295749350227/115839360*ep^2*z4-
         15427917773245644482507267609559051118601/3569101036300800*
         ep^2*z3+145035079423191882263415816129951872678898200297925036\
         59663246287454490325861236976172977853142269475635439176191783\
         299175389671718053364467140289830151893/
         76073129752856909616450184023770441213082537256664119709138283\
         84319818260340542646169387088911681037166182400000000000000000\
         000000*ep^3+2774612815857551014113283120/117*ep^3*z6+327166909\
         2093880040586377729009069/173759040*ep^3*z5-154279177732456444\
         82507267609559051118601/2379400690867200*ep^3*z4-9642052132560\
         838408120099625618848157068533902701/4708207613788324918272000
         *ep^3*z3+404613762585719863793345894/117*ep^3*z3^2;
Fill mncnoptab(12,6,5,4)=
      +mncF321*(-4505194698565764883680-36224678947191469870212*ep-
         314644034242200592628864/3*ep^2-306068934806432672464670399/
         1890*ep^3)
      +56947181472181379584726656803373445383296418919/
      2568113243884540864512000-605012133981702356921/1170*ep^-3-
         28815932695520716363051781479/5212771200*ep^-2-355814203442526\
         4700289138202185350047/202249058723712000*ep^-1+
         34688957774178743239764934/585*z3-5280584969487115801388306991\
         30748801586662280794363213040274867370262023653715517131496969\
         320108213/2406398046525802556561092958389983507579774597264721\
         078910976000000000000000*ep+17344478887089371619882467/195*ep*
         z4+2544310364389712903396461647358157/2606385600*ep*z3+
         10459083502954183884342825638096537958965558660295997000844519\
         7765698590355690900564995298372042083373696933/
         10185301120540739694480029566937777074314093322185880320829965\
         7297920000000000000000*ep^2+1121418020840198840847231176/195*
         ep^2*z5+2544310364389712903396461647358157/1737590400*ep^2*z4-
         15226774767389317912637807058465905606611/5948501727168000*
         ep^2*z3+165816363168466385605574623556812745013128582104741487\
         41110455104966969063703166491815578954113129145160025005868487\
         18923680812488521642042887448746785509/
         73220387387124775505833302122879049667591942109539215220045598\
         19907825075577772296938035073077492998272450560000000000000000\
         00000*ep^3+1664782552373208889650964297/117*ep^3*z6+3329570728\
         970421348854419964645731/289598400*ep^3*z5-1522677476738931791\
         2637807058465905606611/3965667818112000*ep^3*z4-18655941011542\
         312546881660965245804030750846098727/
         14124622841364974754816000*ep^3*z3+
         1213807337927985899313312592/585*ep^3*z3^2;
Fill mncnoptab(12,6,6,3)=
      +mncF321*(-1351558409569729465104-54702107913754713324528/5*ep-
         32047177985084669759715*ep^2-316560257571908238879827141/6300*
         ep^3)
      +626363838808493598721499561246432296246139006473/
      94164152275766498365440000-476613987728368968819/2600*ep^-3-
         17320751976515712139048417577/8687952000*ep^-2-133293525952406\
         05723776771711522244741/2022490587237120000*ep^-1+
         5781694045546128368517254/325*z3-13931234104268350042959562316\
         33241278908309324158913676889507602975285164840175063137859090\
         36744966491/21176302809427062497737618033831854866702016455929\
         54549441658880000000000000000*ep+8672541068319192552775881/325
         *ep*z4+1276361207800754006515765473198241/4343976000*ep*z3+
         18076343455936273281805485465871067764057998584779669705020464\
         2329241775699675001771690999571247246455636099363/
         59156228908100616145540011724774609247616254015255592903380440\
         9586319360000000000000000*ep^2+1121422301456062252761992911/
         650*ep^2*z5+1276361207800754006515765473198241/2895984000*ep^2
         *z4-44740978089503320707097608893999541872963/
         59485017271680000*ep^2*z3-
         43628998845774808180188491769428635458920024544971528808905364\
         78216084889493964120379341132001614776213652826271343112853834\
         95488163106756257568516730498389/
         33505649268348297271469319051429453127890072709325144884692865\
         73589820754584388603078844849440260796009473376256000000000000\
         00000000*ep^3+1109858913364969996024958403/260*ep^3*z6+1709809\
         931068160926229131278803603/482664000*ep^3*z5-4474097808950332\
         0707097608893999541872963/39656678181120000*ep^3*z4-
         20652992775746064384266972052266419363245562297637/
         47082076137883249182720000*ep^3*z3+404598028807904303164997369/
         650*ep^3*z3^2;
Fill mncnoptab(12,7,1,7)=
      +mncF321*(-170517470171502806352-1374564707840165839998*ep-
         299803018815283179251699/75*ep^2-138274657092543265549598041/
         22275*ep^3)
      +227322094790827237108330736851297971738970025399189/
      270959935100778422302003200000+12012730617186803/2700*ep^-3-
         158967482935395520123877/484704000*ep^-2-994367457283181063582\
         7993002188483/2409843572547840000*ep^-1+
         1514645869462909185628339/675*z3-15464043011069244619418964505\
         00277597614201272898485491000698391151922496401635218147476956\
         6000947/185946571115340093509026371116048156145971749324546155\
         4790400000000000000000*ep+1514645869462909185628339/450*ep*z4+
         116536734164011809992648379968251/3150576000*ep*z3+
         12034391962941461991860479675484463772056725403166668959210345\
         6057624954481598246581111288379981951913933435303/
         31062735637525105478263401551627657516154356800005292179036001\
         52346624000000000000000000*ep^2+5441505879455198414398544/25*
         ep^2*z5+116536734164011809992648379968251/2100384000*ep^2*z4-
         810950813438036209287567471386309750854993/8434452503917440000
         *ep^2*z3+81345131701218320145836671243908801234403099044815266\
         52232424929034141019701517497548318963855645506212587518101942\
         3470952130858574034689236174993/423320364022822531841375191714\
         83692031664806287213526354472210305139258714351112061803471826\
         0068352000000000000000000000000*ep^3+
         145406012875827448003132349/270*ep^3*z6+4616323610693868338891\
         79455983519/1050192000*ep^3*z5-8109508134380362092875674713863\
         09750854993/5622968335944960000*ep^3*z4-2820799286046687871820\
         38152713499742631298097676791/5419198702015568446040064000*
         ep^3*z3+53012610691227341456701252/675*ep^3*z3^2;
Fill mncnoptab(12,7,2,6)=
      +mncF321*(-1023104821029016838112-8237465134583307991368*ep-
         1792879998003610578016969/75*ep^2-366494325197836093867417561/
         9900*ep^3)
      +279215606833845522327081403759723694705387869/
      55470175172623411200000-2366398606283297411/225*ep^-3-
         129158952206384046336483151/1050192000*ep^-2-
         99783258653324236358068356500279/212096776320000*ep^-1+
         3029344101546123670776278/225*z3-14084728055955211042352472226\
         73659216379157791778190243504888045005236055081920872844331189\
         989/2819206835154950308816210713001680170354758522817740800000\
         0000000000000*ep+1514672050773061835388139/75*ep*z4+
         38823188831966682513592961830867/175032000*ep*z3+
         62398864674779205845138835196950238169605456938988915784262504\
         7432495391124531929629257483030102139562627/
         26776647354068930265734343464266725575251310064109260005336678\
         40000000000000000000*ep^2+97947291273875892211409942/75*ep^2*
         z5+38823188831966682513592961830867/116688000*ep^2*z4-
         106167108246649752799578053390631860402123/183357663128640000*
         ep^2*z3+594858310420521750951085172761970588939947838004878807\
         89185219819480607008304661941098457960938732123771942792524488\
         766364808708553732956317750916847/
         25222838356359842522215271839675699835533613746131392786206358\
         640145474983967537603491235296329072640000000000000000000000000
         *ep^3+145406264860040776481726774/45*ep^3*z6+13782608217466236\
         10659077949354007/525096000*ep^3*z5-10616710824664975279957805\
         3390631860402123/122238442085760000*ep^3*z4-174458050982756982\
         094357252619357307354456597679/569123997271116198912000*ep^3*
         z3+106024644036128141080596854/225*ep^3*z3^2;
Fill mncnoptab(12,7,3,5)=
      +mncF321*(-2164260198330612542160-17436750300743157989220*ep-
         1519766268530573150778383/30*ep^2-28284829812505704705092669/
         360*ep^3)
      +143253984869807570102582903999226922622879044117/
      13452021753680928337920000-125060868805102910911/1170*ep^-3-
         582080141567411921452017991/496454400*ep^-2-978000034123594778\
         94097007437517033/24765190864128000*ep^-1+
         16662480902732143845488969/585*z3-1055626391988356678896323900\
         30829663576567962262551113230928070051302651362039567353892582\
         0865053327/100006152582890495857084382686336976938380243003209\
         18769500160000000000000000*ep+16662480902732143845488969/390*
         ep*z4+38837199614021956262629861948987/82742400*ep*z3+
         14030763819199845831541335146352084336240760081212921918205885\
         6339480594968353701303092701553417325917345107/
         28506965235332682526824572548863749245893672272007128594742761\
         2262400000000000000000*ep^2+538713961882606648961070941/195*
         ep^2*z5+38837199614021956262629861948987/55161600*ep^2*z4-
         105949307305330769666522757087181431488243/86678168024448000*
         ep^2*z3+106488519306299940773591651701555041597140394800338380\
         95195557289909379659982084845003150669511754453390903985435741\
         016244465379686756187618590698819107/
         69251824991221583628994250363013601468441089901378352033808178\
         28238341611598127124414553562960110184038400000000000000000000\
         000*ep^3+799739702372543901518861927/117*ep^3*z6+1381907960575\
         930335884438473166527/248227200*ep^3*z5-1059493073053307696665\
         22757087181431488243/57785445349632000*ep^3*z4-293737225007751\
         484833395920068079732150503212113/448400725122697611264000*
         ep^3*z3+583123578340909757500881917/585*ep^3*z3^2;
Fill mncnoptab(12,7,4,4)=
      +mncF321*(-2061200188886297659200-16649223572173197707240*ep-
         437294932900823720850820/9*ep^2-10233722466537789141243496/135
         *ep^3)
      +1364640834429678247950056217189889294696655803/
      134520217536809283379200-80408217546529200251/351*ep^-3-
         183904142666594985704920027/74468160*ep^-2-1893735838746143236\
         2225330053001457/2363950037030400*ep^-1+
         9522401221348627168623836/351*z3-28912279783911250850554474118\
         08120058622790672445618472141272298724610084217974844659128396\
         631847223/2887677655830963067873311550067980209095729516717665\
         2946931712000000000000000*ep+4761200610674313584311918/117*ep*
         z4+5555530497029678724874254881947/12411360*ep*z3+
         17096366919572962992499490399008616948292793396744577574438763\
         92665991209935688838728969022136753924715438149/
         36667084033946662900128106440975997467530735959869169154987876\
         62725120000000000000000*ep^2+307840036001129981997573464/117*
         ep^2*z5+5555530497029678724874254881947/8274240*ep^2*z4-
         883191158760597261232990582114186997599/764807364921600*ep^2*
         z3-25360445574746878002050299954607766565488988238917062133265\
         08315839129036558196872594968941537615160625947522334344033709\
         7995567246217381762055765809045433/
         87864464864549730606999962547454859601110330531447058264054717\
         83889390090693326756325642087692991597926940672000000000000000\
         000000*ep^3+2284994266955103297060241390/351*ep^3*z6+199461167\
         685392570064730321120807/37234080*ep^3*z5-88319115876059726123\
         2990582114186997599/509871576614400*ep^3*z4-385017454735928052\
         06755889611582121896112806159/59347154795651154432000*ep^3*z3+
         333202648718591773021191368/351*ep^3*z3^2;
Fill mncnoptab(12,7,5,3)=
      +mncF321*(-927540084998833946640-7526982758003496541446*ep-
         66431482821479609477182/3*ep^2-18854269479552820507359661/540*
         ep^3)
      +12281427376049492080404959543919445849060365143/
      2690404350736185667584000-302252207323438373771/2340*ep^-3-
         2097205297487242504778196767/1489363200*ep^-2-8113041827408901\
         28261044240946370533/173356336048896000*ep^-1+
         7142135816004798635786837/585*z3-88064528758758496766273099473\
         57577452713845922070415668233606793137850437777839263998485025\
         3959173087/195473564394711346132962628004601737231095536516272\
         7276407685120000000000000000*ep+7142135816004798635786837/390*
         ep*z4+150345520772048635714454108138341/744681600*ep*z3+
         14822990460993939468060018447289008418853919806413719683842349\
         02127722247967932275366007585642210257098054090559/
         70987474689720739374648014069729531097139504818306711484056529\
         15035832320000000000000000*ep^2+76960405094843206794128656/65*
         ep^2*z5+150345520772048635714454108138341/496454400*ep^2*z4-
         44387717504674913629191294503875880274673/86678168024448000*
         ep^2*z3-293767840828659923193443703005177628902163727527222599\
         76510339688272739911907034904161825831790990475241167801804760\
         42729977364984285871135208273968827099801/
         40206779122017956725763182861715343753468087251190173861631438\
         88307784905501266323694613819328312955211368051507200000000000\
         000000000*ep^3+685501510037584062511371067/234*ep^3*z6+2031458\
         14405512478933917230105003/82742400*ep^3*z5-443877175046749136\
         29191294503875880274673/57785445349632000*ep^3*z4-599471796989\
         18907256131626063000407028166999667/192171739338298976256000*
         ep^3*z3+249898308651476338366000796/585*ep^3*z3^2;
Fill mncnoptab(12,7,6,2)=
      +mncF321*(-185508016999766789328-7579399202517611953176/5*ep-
         67697970366739164411211/15*ep^2-214677397983897392309263013/
         29700*ep^3)
      +135031726886728780144890566307612693791986524289/
      147972239290490211717120000-366689020877442863047/23400*ep^-3-
         673075525138479554736793561/3723408000*ep^-2-91706950665386306\
         5530266127960935489/1362085497527040000*ep^-1+
         7141483133767194684524402/2925*z3-5278239063508210960112412066\
         05461792741125342297865719232933038932471991529256853480666984\
         432366175345783/5905012038408736377494134788734012729579857288\
         7359537611180657868800000000000000000*ep+
         3570741566883597342262201/975*ep*z4+82968013070604290376736708\
         4548723/20478744000*ep*z3+339240036696483564092328286780590115\
         00075158043338256225105489626800070754476169030304820677732401\
         91557928858185883/82478572155119284060919161347266998943488962\
         160770110405538179806572576768000000000000000000*ep^2+
         153919266427550351711969027/650*ep^2*z5+8296801307060429037673\
         67084548723/13652496000*ep^2*z4-682079989081919927571624792069\
         06940452119/681042748763520000*ep^2*z3-
         58506209857722463846549853343504640845058041060849486686059735\
         30480627603022930238940048435281201386760394277959655128216266\
         1355049271013075911337540805350891/
         20310978909736788465541781777154571749374232119555036198036099\
         15316351124817079917322904100579166789059220980367360000000000\
         000000000000*ep^3+1370990431580418776038672439/2340*ep^3*z6+
         104336092756980407057231619766219/206856000*ep^3*z5-6820799890\
         8191992757162479206906940452119/454028499175680000*ep^3*z4-
         5053787185306295214997554628865934543124972123421/
         73986119645245105858560000*ep^3*z3+499810955350642144054317997/
         5850*ep^3*z3^2;
Fill mncnoptab(12,7,7,1)=
      +mncF321*(-12730942343121250248-525179300482868070116/5*ep-
         28609490138540666280401/90*ep^2-92670100690907292393604063/
         178200*ep^3)
      +499906506469170265837194155178361586134642059037207/
      7984286087636270843832360960000-15185462437984962529/2386800*
         ep^-3-286270750330505983359956527/379787616000*ep^-2-176046004\
         936568098442062937763676881703/22368168040389050880000*ep^-1+
         24991671624482485020690907/149175*z3-
         53187843000517024809487186401904428028885394167484028020703778\
         4416535554874952252873628262593506258526014878339/
         87329155128388360586292418208037243816610119274757199709706822\
         0644117708800000000000000000*ep+24991671624482485020690907/
         99450*ep*z4+5834846668940982653803896211807861/2088831888000*
         ep*z3+77858348658363365677294712922059495337178750387301088505\
         51725005171671216219003625284375875268875223767559002614572193\
         6177/280548170672650240864188358616706515375097194592689792204\
         18392981817683431458340864000000000000000000*ep^2+
         1077418245618385924214675189/66300*ep^2*z5+5834846668940982653\
         803896211807861/1392554592000*ep^2*z4-106334371539275114034059\
         81673376415683639159/1597726288599217920000*ep^2*z3-
         31656390401405855626056318138482466759822688653328671823132627\
         67351045324259843497071782847333281829147421024437231678439918\
         532788692792578611564058404108492419/
         66802809634124297263166920265061386483691849441216514055340730\
         11475478849523375848075031586804879569215777804428247040000000\
         00000000000000*ep^3+9596797524067543377849313073/238680*ep^3*
         z6+757359371893657238523832486519933/21099312000*ep^3*z5-
         10633437153927511403405981673376415683639159/
         1065150859066145280000*ep^3*z4-2092898157104446514271390921632\
         5696994496867392522843/3992143043818135421916180480000*ep^3*z3
         +3498831885522107396357930779/596700*ep^3*z3^2;
Fill mncnoptab(12,8,1,6)=
      +mncF321*(-48719277191857944672-397200968360632832396*ep-
         265022158938036865368742/225*ep^2-97523780153204254974171227/
         51975*ep^3)
      +227313299974743385611836226844896466301899126643929/
      948359772852724478057011200000-7456377143020921/1350*ep^-3-
         25624682871445180876363943/66162096000*ep^-2-36956497874058210\
         40479897448156807/937161389324160000*ep^-1+
         432756108486640379881754/675*z3-173838744812493264710144348092\
         45838284162645167955257813719644516801408524885437075922051282\
         8902871/738621101930378704771965863044302398024276670928058339\
         81952000000000000000000*ep+216378054243320189940877/225*ep*z4+
         351555567721388795637687901221013/33081048000*ep*z3+
         34326616153941171957720890716898101131711623526467720758887045\
         480648568331278629138537594576047245701126254689/
         31637971482664459283416427506287428951638696740746130923092223\
         77390080000000000000000000*ep^2+13992444152516875463993956/225
         *ep^2*z5+351555567721388795637687901221013/22054032000*ep^2*z4
         -782432966727203395475981638902636121800533/
         29520583763711040000*ep^2*z3+
         67733305047042561885495119894237187881984283175558544068048963\
         87425911355623917304177437562848512364469463443536099220139766\
         20542324814912275726153/16815225570906561681476847893117133223\
         68907583075426185747090576009698332264502506899415686421938176\
         0000000000000000000000000*ep^3+20772288174531993006050057/135*
         ep^3*z6+1447790588672702539938090289917697/11027016000*ep^3*z5
         -782432966727203395475981638902636121800533/
         19680389175807360000*ep^3*z4-165441737649920260210803539000266\
         1968920949103670511/94835977285272447805701120000*ep^3*z3+
         15146458234848456175271372/675*ep^3*z3^2;
Fill mncnoptab(12,8,2,5)=
      +mncF321*(-243596385959289723360-1984462104362584166320*ep-
         264459416403419558863027/45*ep^2-388569114065486289210683017/
         41580*ep^3)
      +429689225007349961018121785386373199774641375851/
      358548118280803205314560000-895215004581820568/135*ep^-3-
         1024663186936623015954247073/13232419200*ep^-2-216614648509035\
         29512818481446614911/73343065251456000*ep^-1+
         432775659690028473316394/135*z3-226442009884075619849591923269\
         74563032730575481074918794899732001252738791191650191029216324\
         75097/19231952419786633818670073593526341718919277500617151479\
         8080000000000000000*ep+216387829845014236658197/45*ep*z4+
         351432215023735737864364089593983/6616209600*ep*z3+
         41695018494535454499567706665106990390473689037534654044893647\
         32094795056029760526424702714365168197819173/
         76749521787434145264527695323863940277406040732326884678153587\
         916800000000000000000*ep^2+13992513544957045209474766/45*ep^2*
         z5+351432215023735737864364089593983/4410806400*ep^2*z4-
         34103409055731316712210933987498079402581/256700728380096000*
         ep^2*z3-530845197433458918363078004433207474070904549397421515\
         65462295270097198827089680215714923116967691523397875450197875\
         83940599110077135213735367364787/
         15667833708421172766740780625116199427249115362302794577784655\
         719996247990041011593698084984072647475200000000000000000000000
         *ep^3+20772382487590553577553952/27*ep^3*z6+144348649481846275\
         6232596039680427/2205403200*ep^3*z5-34103409055731316712210933\
         987498079402581/171133818920064000*ep^3*z4-3096748272831507747\
         030399551624026452247102490317/35854811828080320531456000*ep^3
         *z3+15146243663634607269146942/135*ep^3*z3^2;
Fill mncnoptab(12,8,3,4)=
      +mncF321*(-412240037777259531840-3361724646996840096280*ep-
         448779741133957165239208/45*ep^2-3004014023736409807443715/189
         *ep^3)
      +429780810763950673248656222612437596432553213861/
      211869342620474621322240000-71473917051681919841/1755*ep^-3-
         3506511250465380212286067043/7819156800*ep^-2-6605191789092031\
         4897628115170950101/43339084012224000*ep^-1+
         9522204953279315462332508/1755*z3-1917113254362521582281129903\
         04465030653342874246394073103183576201662285394244764640541942\
         682086601/9625592186103210226244371833559934030319098389058884\
         315643904000000000000000*ep+4761102476639657731166254/585*ep*
         z4+351634674518552765374059866462833/3909578400*ep*z3+
         11229494263504644229081692961234187964383652863624167191173296\
         0001563905603913683211244635313017943263887427/
         12222361344648887633376035480325332489176911986623056384995958\
         87575040000000000000000*ep^2+307839339794289975928143712/585*
         ep^2*z5+351634674518552765374059866462833/2606385600*ep^2*z4-
         33988059250833072871716704737230679400231/151686794042784000*
         ep^2*z3-109920359300037411151185152604694982767771529692424665\
         31448096176294443570096127294852743839422184023634745566774177\
         27104004399296213247107810214660719/
         66654881554050774242906965974400591413374549030076663832540371\
         59679403801163197357249007804349106052136960000000000000000000\
         000*ep^3+456997907214795306161049314/351*ep^3*z6+1449246111413\
         356376976391130205277/1303192800*ep^3*z5-339880592508330728717\
         16704737230679400231/101124529361856000*ep^3*z4-62756084859959\
         5164490382115165831964075851330599/4237386852409492426444800*
         ep^3*z3+333204805375024453230284144/1755*ep^3*z3^2;
Fill mncnoptab(12,8,4,3)=
      +mncF321*(-294457169840899665600-2408134233982222628960*ep-
         64613265351636206889706/9*ep^2-21764868226710748146853009/1890
         *ep^3)
      +61402717526045384154568653130637810059291831549/
      42373868524094924264448000-15421119424768485560/351*ep^-3-
         754850352737394043977277559/1563831360*ep^-2-24456273296482737\
         2384506091452483/149814117573120*ep^-1+
         1360429408484350265104868/351*z3-20506652578880366597867998850\
         66094484658271649699146656450539205291683429282464748427244586\
         269510367/1443838827915481533936655775033990104547864758358832\
         64734658560000000000000000*ep+680214704242175132552434/117*ep*
         z4+50307336684018295502263031395753/781915680*ep*z3+
         13181453914759434699140441677016184787198976805389601729603517\
         43462015905852639984584366146853647935242164099/
         20166896218670664595070458542536798607141904777928043035243332\
         144988160000000000000000*ep^2+43977454459007415260106412/117*
         ep^2*z5+50307336684018295502263031395753/521277120*ep^2*z4-
         4809601975770001645485575079331373974483/30337358808556800*
         ep^2*z3+525579659994038406771245316325123331548106225979022225\
         84425328494663349466744332017678752672956437530156552745852416\
         414853262603185095111701075235201355577/
         57111902161957324894549975655845658740721714845440587871635566\
         59528103558950662391611667357000444538652511436800000000000000\
         0000000*ep^3+326429834921344738788035920/351*ep^3*z6+209341441\
         906592311860374684396317/260638560*ep^3*z5-4809601975770001645\
         485575079331373974483/20224905872371200*ep^3*z4-23232513098846\
         95920864591076820832847195079271479/21186934262047462132224000
         *ep^3*z3+47599429652662791683910284/351*ep^3*z3^2;
Fill mncnoptab(12,8,5,2)=
      +mncF321*(-88337150952269899680-725965366957148807412*ep-
         6547099360979054790274/3*ep^2-12261804142708370466506404/3465*
         ep^3)
      +135025969014062445626662316513830072275684182849/
      310741702510029444605952000-9939728787000974821/1170*ep^-3-
         56834422762254587448958681/579196800*ep^-2-2446857976375988927\
         900709145041173401/6674218937882496000*ep^-1+
         680154560820862342464434/585*z3-164461486478462899576503917710\
         15579206598318643165367109204428189046440267616413182464355493\
         79715879491/38848763410583791957198255189039557431446429531157\
         5905336714854400000000000000000*ep+340077280410431171232217/
         195*ep*z4+184893761459471746348573511891659/9556747200*ep*z3+
         39954977441490597810050042128298765089753241353548792555835384\
         3988811974257160838286691314933657336859509108300753/
         20619643038779821015229790336816749735872240540192527601384544\
         951643144192000000000000000000*ep^2+21988513809645002621658676/
         195*ep^2*z5+184893761459471746348573511891659/6371164800*ep^2*
         z4-156166428494419993541051692563860917403221/
         3337109468941248000*ep^2*z3+
         28657701758608315377875602172776563515066358062988257623189161\
         36030210774717228980438533296499689663508841170489453070026903\
         69804309062343895550468386687020433/
         23357625746197306735373049043727757511780366937488291627741514\
         02613803793539641904921339715666041807418104127422464000000000\
         000000000000*ep^3+32642693434057072761255797/117*ep^3*z6+
         213241260983098175998142087101943/868795200*ep^3*z5-1561664284\
         94419993541051692563860917403221/2224739645960832000*ep^3*z4-
         5413483731507665567085659122628474110723177890787/
         155370851255014722302976000*ep^3*z3+23800375188959366436199292/
         585*ep^3*z3^2;
Fill mncnoptab(12,8,6,1)=
      +mncF321*(-8833715095226989968-365568553084885905216/5*ep-
         3336822617320326854033/15*ep^2-8463658905924551650742609/23100
         *ep^3)
      +71412269767082535634503079202275656107354460315809/
      1643823606278055761965486080000-165911590816269107/23400*ep^-3-
         5184389370008711643558769/8687952000*ep^-2-9305561773635072205\
         722633025867738283/1535070355712974080000*ep^-1+
         340022946545805635254462/2925*z3-43301751061293099596679805872\
         39175367806401044064139826083472168200578054255301334414940592\
         1950053677503453937/102740182503986306572108727303573228019541\
         316793831999658478614193425612800000000000000000*ep+
         170011473272902817627231/975*ep*z4+
         30920793380450249363142406036369/15927912000*ep*z3+
         63188808061818036660210419211240115791653518918260019881909160\
         10858236153102926673889813288723143043111752029875541534791/
         33005667137958851866375101013730178279423199363845857906374579\
         97860903933112745984000000000000000000*ep^2+
         21988128827989233027178261/1950*ep^2*z5+
         30920793380450249363142406036369/10618608000*ep^2*z4-350574121\
         4489919677926180654294061747181533/767535177856487040000*ep^2*
         z3-20603821760774877940793310974228291808971280817517242187998\
         88961851770313464977658158674321886512338750877560015302404380\
         647808804587201414438259598698038928417/
         66802809634124297263166920265061386483691849441216514055340730\
         11475478849523375848075031586804879569215777804428247040000000\
         000000000000000*ep^3+65284340590876087811025859/2340*ep^3*z6+
         109478956005720239407136081757139/4343976000*ep^3*z5-350574121\
         4489919677926180654294061747181533/511690118570991360000*ep^3*
         z4-3094507330513345033727728469900393475175150361422621/
         821911803139027880982743040000*ep^3*z3+
         23801572479826144093725257/5850*ep^3*z3^2;
Fill mncnoptab(12,9,1,5)=
      +mncF321*(-8013039011818740900-132776360968336850765/2*ep-
         7282941757877854226957/36*ep^2-27753021623816903033996791/
         83160*ep^3)
      +227283275867969414719559939695146441558285444409489/
      5766027418944564826586628096000+562491209408753/432*ep^-3-
         71095740594436556581059167/402265543680*ep^-2-3573671460960725\
         2565342953517472941/17093823741272678400*ep^-1+
         11388308326963189652623/108*z3-1360805896147805369652526519778\
         72174873536649277896575846221069779569092776660573786806817000\
         0545583/355672650939146839981073353826901199535018091012013500\
         7233323827200000000000000*ep+11388308326963189652623/72*ep*z4+
         27258396517996361727557770348417/15471751680*ep*z3+
         36073210497388951960833399486572263949831255298823622954523567\
         777078096512846742477105074130303973607553800831/
         20774757594376790543862562957728577346804033827843539409339277\
         818894221312000000000000000*ep^2+184111092049349015469901/18*
         ep^2*z5+27258396517996361727557770348417/10314501120*ep^2*z4-
         741105802727969639823492114541637239216589/
         179485149283363123200*ep^2*z3+
         96065649577448577036850509245925545780878460699682265616184041\
         90444091352535165080152710109772391987370280796568025808153955\
         499172016736678757573/1704660307476223597021396932012642497684\
         70375141854405006297054233559178131646206139435164626710404530\
         176000000000000000000*ep^3+5466391219845654515833915/216*ep^3*
         z6+1538427635348356580849296186685689/67044257280*ep^3*z5-
         741105802727969639823492114541637239216589/
         119656766188908748800*ep^3*z4-76696428662096457221137238668756\
         8731905876952271071/221770285344021724099485696000*ep^3*z3+
         199295580096195877335347/54*ep^3*z3^2;
Fill mncnoptab(12,9,2,4)=
      +mncF321*(-32052156047274963600-265432981213106196490*ep-
         7274008711570808238731/9*ep^2-3955732649359252315028297/2970*
         ep^3)
      +61376725634023014032115297203780625374906154247/
      389280814133443480055808000-230095355175794143/108*ep^-3-
         355906858338781202771520329/14366626560*ep^-2-8054189246140421\
         06701639049391737/8575496860170240*ep^-1+
         11389585175642190444487/27*z3-11516161933580013273176215207261\
         03332866162178860486873599552749776651352998050764621883125077\
         953/7536521354503887127691335089463135161101491870554346236149\
         76000000000000000*ep+11389585175642190444487/18*ep*z4+
         50615237304176052912671644217899/7183313280*ep*z3+
         13283863372313984794794626705705121361093812387021922127691135\
         74294127452373113798062423468933610539448639/
         19139411995741389975341594021388570106678131407624016866614550\
         9867520000000000000000*ep^2+368226701131904658225938/9*ep^2*z5
         +50615237304176052912671644217899/4788875520*ep^2*z4-460995524\
         9527066277064576596141386407989/278703647955532800*ep^2*z3+
         14282638663607952671955351959165159218235568641854803485002210\
         84746085124864288975203911744210607152045315898025073539277184\
         34159122731375713844329/43948273552121389610707889653450939393\
         43376859125933879068595929458947561206503752032312838032377616\
         79360000000000000000000*ep^3+5466452591100358921166635/54*ep^3
         *z6+219422920876295036230647960175711/2394437760*ep^3*z5-
         4609955249527066277064576596141386407989/185802431970355200*
         ep^3*z4-2680548605034803490173949745594043250368468291189/
         194640407066721740027904000*ep^3*z3+398577049013895191907166/
         27*ep^3*z3^2;
Fill mncnoptab(12,9,3,3)=
      +mncF321*(-40681582675387453800-337326887963291765385*ep-
         6176096533995667533001/6*ep^2-714422450098321168433657/420*
         ep^3)
      +429729328490009089578880095706823400913471459153/
      2146942671887476162732032000-6071661339245077301/936*ep^-3-
         5745564748620558839433423551/79234122240*ep^-2-111807137252832\
         675832026507209623337/439169384657203200*ep^-1+
         125304815335130187318749/234*z3-114262078353609734549534977646\
         02898113252953412025468976329214454649066437134586699713400655\
         107009/5913429649898797581672762237548577931618728875112600887\
         623680000000000000000*ep+125304815335130187318749/156*ep*z4+
         354567127236904946153410109961709/39617061120*ep*z3+
         17386262696077706034659201217441462005843511218869258026614889\
         7945026862780109091472658149038275764593162587/
         19823074942749765551415524211123766767278815278480710143989918\
         487019520000000000000000*ep^2+2025281266403648468019563/39*
         ep^2*z5+354567127236904946153410109961709/26411374080*ep^2*z4-
         10706766458585019730885664609738938637761/512364282100070400*
         ep^2*z3+158720021909846415479465267182939435339412559186134860\
         33826775210965537660073645611723308362110673252255210089879408\
         4744740539356989471848105576844561/
         55863138826252077460722028626164305184542479187111870640605263\
         81445595566689155880361073207454488881790976000000000000000000\
         00*ep^3+60131913915433803103993145/468*ep^3*z6+154335534281141\
         7618718042403063641/13205687040*ep^3*z5-1070676645858501973088\
         5664609738938637761/341576188066713600*ep^3*z4-172852856582065\
         9020875916898174590228169934395801/97588303267612552851456000*
         ep^3*z3+2192067568220484990774541/117*ep^3*z3^2;
Fill mncnoptab(12,9,4,2)=
      +mncF321*(-19372182226374978000-161126442707692284130*ep-
         4448061917754234998297/9*ep^2-17093595378096767546296759/20790
         *ep^3)
      +675059040680251614503453518605902958111457262237/
      7084910817228671337015705600-3399660923905418815/1404*ep^-3-
         665538472001736786019316969/23770236672*ep^-2-5919180303768117\
         59324821265309038351/5636007103100774400*ep^-1+
         89498370109128929763631/351*z3-1226509656208057794095533014243\
         72587910690669728693365302980505062582064188262014618682445044\
         5104206479/133565748487816656157605429745174097454782486292837\
         0493586229166080000000000000000*ep+89498370109128929763631/234
         *ep*z4+2790046377746757031020754173845533/653681508480*ep*z3+
         15504639568418433489858846216526233180106689813137959003404078\
         188692244487053090375180956569203836896140735517263/
         37311735022553961837082477752335070950625959072729335659648224\
         19821140377600000000000000000*ep^2+2893240875100984749145034/
         117*ep^2*z5+2790046377746757031020754173845533/435787672320*
         ep^2*z4-249636424294315069410779343976523673825931/
         25362031963953484800*ep^2*z3-
         19411788233742834941436357513595633115954693912817021240716492\
         56249819908705585016125709587463969505499050278926343628535466\
         36988537130534728853815071097189/
         11122678926760622254939547163679884529419222351184900775115006\
         67911335139780781859486352245555258003532430536867840000000000\
         00000000000*ep^3+42951121275969126588357355/702*ep^3*z6+
         1114872382374815694466579374351227/19808530560*ep^3*z5-
         249636424294315069410779343976523673825931/
         16908021309302323200*ep^3*z4-154031465174060715668627243648000\
         077481526601864403/17712277043071678342539264000*ep^3*z3+
         3131580177799546351346902/351*ep^3*z3^2;
Fill mncnoptab(12,9,5,1)=
      +mncF321*(-2905827333956246700-48580561911726487335/2*ep-
         901621123960579083193/12*ep^2-106139999632576631967503/840*
         ep^3)
      +32454559938647996791156012054354967233231288390727/
      2271465346856949780170489856000-5473074230237779/1872*ep^-3-
         2857197183708565153199431/10564549632*ep^-2-116955081576818731\
         0291569737147988901/424237625578858291200*ep^-1+
         17895938252887813063891/468*z3-3993281620976155061497381248814\
         51558373203977436217375816896176535116205469607470915403048664\
         295017682931893/2904856350559136644151883658880790673171555087\
         920845228439127484635545600000000000000000*ep+
         17895938252887813063891/312*ep*z4+
         1883249064275943136737462160721/2934597120*ep*z3+
         23078909804374889747374330042782193082201877877533812778353369\
         5082626914231558219924401289453385360534170641324441478671/
         37327837834596320563162316622671034958871475471016148822685536\
         8805697468625846272000000000000000000*ep^2+
         289317480916374756923737/78*ep^2*z5+
         1883249064275943136737462160721/1956398080*ep^2*z4-30759534732\
         4447333951242275735361253138801/212118812789429145600*ep^2*z3+
         17691561929423078954044807064177442987416270589589476691656576\
         23519888294811390256671569544161219804286629424169866615682071\
         5916788039877626575782502361223197/
         79527154326338449122817762220311174385347439810972040542072297\
         75566046249432590295327418555720094725256878338605056000000000\
         000000000000*ep^3+8590044736226803642392655/936*ep^3*z6+
         227040026145751806537440787436223/26411374080*ep^3*z5-
         307595347324447333951242275735361253138801/
         141412541859619430400*ep^3*z4-15534821601512116244093095406458\
         19793588815245726261/1135732673428474890085244928000*ep^3*z3+
         313178669485163614726055/234*ep^3*z3^2;
Fill mncnoptab(12,10,1,4)=
      +mncF321*(-712270134383888080-54320786195085235826/9*ep-
         7731145057747263423773/405*ep^2-15436067582836412690011013/
         467775*ep^3)
      +227200702025590009683045788060622573087998709255121/
      64867808463126354299099566080000-2068382924716379/972*ep^-3-
         65775486296132149813038019/905097473280*ep^-2-4044749511668603\
         3795902154077394071/64101839029772544000*ep^-1+
         2277676252908009605951/243*z3-13030765333597029197056389403239\
         33130130638860457222177614332397301523853968480322884477543240\
         924383/3929865228010662629255163172864198521648079353815774170\
         9386055680000000000000000*ep+2277676252908009605951/162*ep*z4+
         358366266617206829533743101048797/2262743683200*ep*z3+
         37079771533675049441305383355845812172912602236862089327328661\
         4388856808972850333866812023471916647459826148253/
         25249677477986969756993673059114308851193742007278587518717046\
         36693728460800000000000000000*ep^2+73644485396871085202974/81*
         ep^2*z5+358366266617206829533743101048797/1508495788800*ep^2*
         z4-681583064116580094270230591546369067119717/
         2019207929437835136000*ep^2*z3+
         11610107255514740299009085257299062322188001276993119332312776\
         83336494878101239983624333094857313402415051143334712317905601\
         64626515850752533463655584614233/
         32490097832922430085910375362247839122996628356412261686305361\
         67548617202462688422667220164025054206865848622120960000000000\
         0000000000*ep^3+1093278899688526230014855/486*ep^3*z6+16679036\
         04610421799486012381923593/754247894400*ep^3*z5-68158306411658\
         0094270230591546369067119717/1346138619625223424000*ep^3*z4-
         12269789467552979363979337904266124170124444386819091/
         32433904231563177149549783040000*ep^3*z3+
         79718050835155721431418/243*ep^3*z3^2;
Fill mncnoptab(12,10,2,3)=
      +mncF321*(-2136810403151664240-54308972554879428386/3*ep-
         7726593633933463998683/135*ep^2-15419178501028643681936633/
         155925*ep^3)
      +429497703837849338905955492362158185168402514289/
      40874485484011565405859840000-101262688462068107/324*ep^-3-
         1099922327540237536809969763/301699157760*ep^-2-12949248444513\
         234706554737678162537/929012159851776000*ep^-1+
         2278218706940185448903/81*z3-791504037809409847069812305783335\
         346166222904848357571894553084301483598433583205108023181643203
       /789540332376597699091473199848518921639203910248550558072832000\
         0000000000000*ep+2278218706940185448903/54*ep*z4+3583838253726\
         42932357901051804157/754247894400*ep*z3+
         98459632227244315547114136904895864411626678425388642783146117\
         7376753049675299263010675638324022667085207/
         22055893823663887495393646443695399837219560955452438484384387\
         32759040000000000000000*ep^2+73646412418039991760742/27*ep^2*
         z5+358383825372642932357901051804157/502831929600*ep^2*z4-
         29652066504689211249653160712276884330139/29263883035330944000
         *ep^2*z3-46568484391935020240804593945744400688702711671101768\
         61255222546530845183736917501029172448474469957414780452450910\
         87724774441874103498416262837530091337427/
         39710119573571858993890458776080692261440323546726097616595442\
         04781643247454396961037713533808399586169370538147840000000000\
         0000000000*ep^3+1093305092735898949166615/162*ep^3*z6+12821853\
         4985195924376271368448141/19339689600*ep^3*z5-2965206650468921\
         1249653160712276884330139/19509255356887296000*ep^3*z4-
         23157756481447799150330907131250785864856034121459/
         20437242742005782702929920000*ep^3*z3+79712108757490468934210/
         81*ep^3*z3^2;
Fill mncnoptab(12,10,3,2)=
      +mncF321*(-1808070341128331280-46020530862875745022/3*ep-
         6563060212797158407531/135*ep^2-13137197423198393745009661/
         155925*ep^3)
      +4724175613614734803117448125523035736353516033739/
      531368311292150350276177920000-1393183130870127529/4212*ep^-3-
         1368633227569962451850360899/356553550080*ep^-2-52677221693348\
         9253793778767658060641/36231474234219264000*ep^-1+
         25061969721306896844181/1053*z3-119569771144161686552307283715\
         75397895692742424164548990106771196703310769443914618346066761\
         6589637/141130334412316838712600834472922757243007698956928412\
         2555187200000000000000000*ep+25061969721306896844181/702*ep*z4
         +3945259257552748916764826171712767/9805222627200*ep*z3+
         14847773249912557468479154823706715804256723832076861018360419\
         82405252084759132032316696526464817534098696109/
         39424910209799198898016143018105527209029965207871233790837092\
         34806784000000000000000000*ep^2+810116047760469614452394/351*
         ep^2*z5+3945259257552748916764826171712767/6536815084800*ep^2*
         z4-324277336570535987808602671620890387075969/
         380430479459302272000*ep^2*z3-
         74752779516773666450246872095240886087080293853931488423005908\
         20998230908676764394275272464158509174467027666760582065732888\
         237331044937939063749914031633183/
         10920282882732261223319876163422190371896088975349676844563746\
         56314951893049959164285371221797309886196576897990656000000000\
         000000000000*ep^3+12026430867800509732565005/2106*ep^3*z6+
         1675337076901857405945416521043593/297127958400*ep^3*z5-
         324277336570535987808602671620890387075969/
         253620319639534848000*ep^3*z4-25766258012835343533740261188395\
         6883979148642331969/265684155646075175138088960000*ep^3*z3+
         876815770294713143310238/1053*ep^3*z3^2;
Fill mncnoptab(12,10,4,1)=
      +mncF321*(-430492938363888400-32976675835194159530/9*ep-
         945515051067460654423/81*ep^2-1905350429624335991876713/93555*
         ep^3)
      +15515526120032973016890706258795575438846652310347/
      7332882695831674833811255296000-30731263851148571/12636*ep^-3-
         90059912978935050422319449/1069660650240*ep^-2-369949998818274\
         32474537449942728659/50724063927906969600*ep^-1+
         17896085655030531018743/3159*z3-108519452767557718634277119883\
         45774850549161872345335194192496940636229554030009572973774382\
         59460072681101/54127758084952856723327024699642062233010343253\
         183451461598648782028800000000000000000*ep+
         17896085655030531018743/2106*ep*z4+112880575534330058432025256\
         344469/1176626715264*ep*z3+12312311517455570871909970431524524\
         16329232946787732375931771983200402390274358512178432738249282\
         719435499923279143919/1391099546630918778751390681590224905299\
         5580920875583412180945421330340445683712000000000000000000*
         ep^2+578635474160027711479462/1053*ep^2*z5+1128805755343300584\
         32025256344469/784417810176*ep^2*z4-10522505388516583472722997\
         67430985648274697/5249940616538371353600*ep^2*z3+
         16966278733515629375202708554436281423415714372727702588407780\
         24035818293095315627334640261500496797221249264038109909426468\
         79574567048942949696026774272444564074010233/
         11758573502880792584909965267273208276895192331963628917783546\
         68703338242253304663096043577792369072312381339363416876588728\
         32000000000000000000000*ep^3+8590051684125263017098215/6318*
         ep^3*z6+48390156156669596239186341611459/35655355008*ep^3*z5-
         1052250538851658347272299767430985648274697/
         3499960411025580902400*ep^3*z4-1995032969447310749946072244205\
         3863748900624269836631/84328151002064260588829435904000*ep^3*
         z3+626355649691784797782466/3159*ep^3*z3^2;
Fill mncnoptab(12,11,1,3)=
      +mncF321*(-30525862902166632-4007505957742285999/15*ep-
         1201049824583284081319/1350*ep^2-364915216779697059712217/
         222750*ep^3)
      +32409346745013748359635045718068126683630181422663/2162260282104\
      21180996998553600000-434115375940973/3240*ep^-3-
         869910608554102390740503/86199759360*ep^-2-4445874715399871720\
         66179924438456373/4487128732084078080000*ep^-1+
         325377557624520738617/810*z3-770153705039272784314685258870539\
         10513276829516708625249430824698101678117994912647865922090612\
         051/5489335556586322402769116812889674125476682271996636937184\
         0839680000000000000000*ep+325377557624520738617/540*ep*z4+
         52039256776836503857930920789691/7542478944000*ep*z3+
         10675543591743404536182691750127114109464785219321892723796178\
         521716524006626643823949813131276366937067573777/
         17634695381451216973138438327000469673849597592385045251167460\
         95468635750400000000000000000*ep^2+5260315289262757355249/135*
         ep^2*z5+52039256776836503857930920789691/5028319296000*ep^2*z4
         -84682397769999299241174947233372638175811/
         6730693098126117120000*ep^2*z3+
         43858205082056916412202655729126666796413065085355472420098497\
         51902164295325342491653819142827838536583059304253436009215838\
         54032425408394976998073781163188610501277/
         62430239778820024595875022794917796753528659816917828636474698\
         66645926381924668951956669404196151429986856245933367233609728\
         00000000000000000000*ep^3+31236514177952023392877/324*ep^3*z6+
         265542928760477050619901323647279/2514159648000*ep^3*z5-
         84682397769999299241174947233372638175811/
         4487128732084078080000*ep^3*z4-2198247597147784280737302849513\
         316420233312689859893/108113014105210590498499276800000*ep^3*
         z3+5694194798074537727059/405*ep^3*z3^2;
Fill mncnoptab(12,11,2,2)=
      +mncF321*(-61051725804333264-8014455043555678718/15*ep-
         1200824147941178585339/675*ep^2-33162350741038111270417/10125*
         ep^3)
      +61327835519444921474054165338743957493851602167/
      204372427420057827029299200000-30518084956004813/1620*ep^-3-
         846552729068990472465637/3918170880*ep^-2-26246182796593473156\
         406406692919617/32515425594812160000*ep^-1+
         325553517649310838377/405*z3-293617062386663199827554427944576\
         727471509179557749124032520338604307371735891487091032595171/
         10770019414859343613598964779679697591804616831267430727680000\
         0000000000000*ep+325553517649310838377/270*ep*z4+
         52054459113921686299685835146491/3771239472000*ep*z3+
         69727105503278847115917873962404339305959689695737874390502429\
         00001149125097879727267392375158442165349/60172329380035407353\
         50449178587534677812876252727599784926296145920000000000000000\
         00*ep^2+10521241711835204633938/135*ep^2*z5+
         52054459113921686299685835146491/2514159648000*ep^2*z4-
         3681062545616000207731397850564011973637/146319415176654720000
         *ep^2*z3+56087023857818254415506970633078736715181447955214995\
         51060474471140795773318927285562829521623689084598019247701719\
         2076327478834594269169056846993037701297825268171/
         14903052030534294065855582698439578218073247786156599717908456\
         71291345273462920105718822991453074343095820718430274296217600\
         0000000000000000000*ep^3+31238171617856303063437/162*ep^3*z6+
         265542826792856970166632947738479/1257079824000*ep^3*z5-
         3681062545616000207731397850564011973637/97546276784436480000*
         ep^3*z4-4154860256915731091572667360754267042360713677637/
         102186213710028913514649600000*ep^3*z3+11386370050557949044758/
         405*ep^3*z3^2;
Fill mncnoptab(12,11,3,1)=
      +mncF321*(-25829576301833304-3395935590685905113/15*ep-
         1020140394979244889313/1350*ep^2-310858744047811705091419/
         222750*ep^3)
      +356357283505948206981943953569410853990948263544333/281093836673\
      5475352960981196800000-11476699731482863/42120*ep^-3-
         239958718080809369075947/20374488576*ep^-2-2061100397149898429\
         868453888132163501/19444224505697671680000*ep^-1+
         3579179906682026584147/10530*z3-361461552072899923230897369752\
         82447306958030856078828618208468239477907810520396882335790508\
         665852613/3083830296610816121269935980955520499776721862089539\
         2507823443148800000000000000000*ep+3579179906682026584147/7020
         *ep*z4+572865490321743518594917907269001/98052226272000*ep*z3+
         49666725868721962602510986459907262640670548826773315263145373\
         12841803429413001344923569356528121199913387151959/
         99069199410795586781238441029899067132019346474363129214594343\
         1490058584064000000000000000000*ep^2+57863521756213781834059/
         1755*ep^2*z5+572865490321743518594917907269001/65368150848000*
         ep^2*z4-924953712545393859478786398411662476100641/
         87499010275639522560000*ep^2*z3+
         97575090288169793595911663330281966463053506150523456627805622\
         54629730726952872176283782199410414451465950078381218083357812\
         2819247875635055809089020504096757801782859/
         35072416847172820960468361020144890819035922104289908730419536\
         07226443642416965807652800347428766499774758883876138092310036\
         48000000000000000000000*ep^3+343601950630600664420207/4212*
         ep^3*z6+266801432330626475648569583848879/2971279584000*ep^3*
         z5-924953712545393859478786398411662476100641/
         58332673517093015040000*ep^3*z4-243819054406526415515255232861\
         43210543721213661473863/1405469183367737676480490598400000*
         ep^3*z3+62636035870869002651009/5265*ep^3*z3^2;
Fill mncnoptab(12,12,2,1)=
      +mncF321*(-504559717391184-766175677341721738/165*ep-
         1362782050470465137489/81675*ep^2-41180562894240799095067/
         1225125*ep^3)
      +32333254153571184358224695489197499356514117769943/1308167470673\
      0481450318412492800000-30729726578194013/196020*ep^-3-
         10479157097359672249399031/5215085441280*ep^-2-747259498253148\
         95555842694784513181/8226402675487476480000*ep^-1+
         29595640740775130707/4455*z3-679068550152181570669784961587710\
         1236501769535743218943541285555125514066129376855345485252017/
         31378004646019700053621652227874648959877104823865885742596096\
         0000000000000000*ep+29595640740775130707/2970*ep*z4+
         53424523230798852331262535004891/456319976112000*ep*z3+
         17615048242086422014256645863056051463473638431435976518169001\
         2818117176999698152155681047017079915379247/
         20160602240699142609124631874216334377700314707847604642774591\
         60541429760000000000000000*ep^2+10521239694550751952538/16335*
         ep^2*z5+53424523230798852331262535004891/304213317408000*ep^2*
         z4-63734741050960340199476459685675992208251/
         407206932436630085760000*ep^2*z3+
         35516424956111940707179975078926758068816447227490115137122475\
         98839884937664614806577686145796468498375022502015753709902965\
         302649861060315292507994534984386807/
         14274487931287269418180041115240085803433423729869722723003474\
         18488581051044756128470818212221720187128513994251582455152640\
         00000000000000000*ep^3+31238167035503729419837/19602*ep^3*z6+
         28162005870854459800533104282189/13827878064000*ep^3*z5-
         63734741050960340199476459685675992208251/
         271471288291086723840000*ep^3*z4-28270027035765396910348637380\
         34835393255267249862373/6540837353365240725159206246400000*
         ep^3*z3+11386407284396042366558/49005*ep^3*z3^2;
Fill mncnoptab(13,1,1,12)=
      +mncF321*(-2471753962213178552-39412508319317007983381/1980*ep-
         3741900142897384635107699/64800*ep^2-
         184664980197485519397863134741/2069971200*ep^3)
      +313635592676067609906737490767339343616401551300991827/257895872\
      78982949144913441771520000+200675394323840921/23522400*ep^-3+
         1615490909080903826017369489/41981437802304000*ep^-2-638468268\
         7570266575040697204716499261/37463037784169967889920000*ep^-1+
         95639072703223961019869489/2940300*z3-632056731385199988008873\
         807173845115587730525518213562869445847869072208161775309448101
       /523890829211730749790060705844379418904000764082913280000000000\
         0000*ep+95639072703223961019869489/1960200*ep*z4+7030803508286\
         5319757088988362642769/131191993132200*ep*z3+
         92747782643117433652238648754189013040152807463291948109809295\
         81158540334664669994154419205685668793/16493584677467666922022\
         782172928747093795702770937429870071775232000000000000000*ep^2
         +2061553378179394592361844589/653400*ep^2*z5+70308035082865319\
         757088988362642769/87461328754800*ep^2*z4-11557351743099192800\
         01744668710955628940238923/826390539356690468160000*ep^2*z3-
         28111775111281707578639907453378566263479095037848790715207279\
         22022164847953915348265598689428073876078748161006472384094050\
         789/1642286404607876540969110584969202164042848687903758992025\
         686464809453645569879284121600000000000000000000*ep^3+
         18362702258208103409216862323/2352240*ep^3*z6+1332175793084215\
         4066930485009491204319/2099071890115200*ep^3*z5-11557351743099\
         19280001744668710955628940238923/550927026237793645440000*ep^3
         *z4-169629053339401034319148003763152919229408839253306108751/
         225658888691100805017992615500800000*ep^3*z3+
         6694735262317526389069107019/5880600*ep^3*z3^2;
Fill mncnoptab(13,2,1,11)=
      +mncF321*(-23006325340599584984-33201821505554118644227/180*ep-
         34413405989634259745468903/64800*ep^2-
         1263872749260523217595352379/1555200*ep^3)
      +95358942971052750646615605984875338876970016482219/
      842439070949692912975319040000+30857583677582717/194400*ep^-3+
         1460637597221911354974841/1371359808000*ep^-2-5890414568612549\
         63801747795672869/1223762381477475840000*ep^-1+
         7356851761823019788827253/24300*z3-452812726594082730649589320\
         6971994137663345740914955587126195918757591390113985838744089/
         40176049217466859272437761160453706544927722587553792000000000\
         00000*ep+7356851761823019788827253/16200*ep*z4+
         46927308673964512542342279125327/9428098680*ep*z3+
         41684313500727093859133199228603834412929604407899134265480431\
         5374421830017977811874774331671182829/790206476342923316422219\
         77113085385525431561964007329596702720000000000000000*ep^2+
         158581029311758267974753953/5400*ep^2*z5+
         46927308673964512542342279125327/6285399120*ep^2*z4-3917283992\
         362813134723672491091308298446177/296942342564387520000*ep^2*
         z3-26803219832552063622245631624594510684343853377103503180365\
         63310217224799926673195486474151808546059618199515887536371390\
         9627171553781/243668046139360082864724093319079499200266128927\
         41609779423263423359717862099005129254502400000000000000000000\
         00*ep^3+1412515560282178372195131071/19440*ep^3*z6+43766910938\
         357083707565130821895069/754247894400*ep^3*z5-3917283992362813\
         134723672491091308298446177/197961561709591680000*ep^3*z4-
         526636899979084371731442760435153754126714366103750509/
         81084760578907942873874457600000*ep^3*z3+
         514979635547463851179439863/48600*ep^3*z3^2;
Fill mncnoptab(13,2,2,10)=
      +mncF321*(-194668906728150334480-28004889132928446832709/18*ep-
         28869053194598200383463681/6480*ep^2-
         11582642764102303276468358927/1710720*ep^3)
      +21811781902589975266355097094042393196633224024451/
      22772927626806443583264768000-253394389318998593/252720*ep^-3-
         249190984780690217046763439/19610445254400*ep^-2-4296386824023\
         7795297080012534359723/760860958918604544000*ep^-1+
         80925371515095922853154343/31590*z3-79772792062803686977164459\
         065870227493858793589584881667593002420964780147510659076238467
       /834494218643726857510517876261186875814427061093662720000000000\
         0000*ep+80925371515095922853154343/21060*ep*z4+257701637966901\
         6374709451670472713/61282641420*ep*z3+313909752058759380359496\
         23340687683342891126106128556624859326228583810720339123841796\
         41020944006221/69935056366778245116226326002617771725327321774\
         697251971530752000000000000000*ep^2+
         1744391326853120163651904843/7020*ep^2*z5+25770163796690163747\
         09451670472713/40855094280*ep^2*z4-189119822286781804547249958\
         9474385843006829/16783697623204512000*ep^2*z3-
         22483091222164266732337539437950277487149263467555154611673406\
         27570120742202150846477145220303526213197616365690293523793440\
         19687/18739784818643636769830076829799833865928483584400484624\
         28822608515901085715756220416000000000000000000000*ep^3+
         15537671198647889627160834901/25272*ep^3*z6+950500644083619050\
         69247838907102291/196104452544*ep^3*z5-18911982228678180454724\
         99589474385843006829/11189131748803008000*ep^3*z4-103414762938\
         05952969996802887140864369260892286293791/
         199263116734556381353566720000*ep^3*z3+
         5664775934815018521541879613/63180*ep^3*z3^2;
Fill mncnoptab(13,3,1,10)=
      +mncF321*(-82165447644998517800-23671987244885889254345/36*ep-
         4892059003140538085253857/2592*ep^2-
         68917833925346300914619555213/23950080*ep^3)
      +228032273492326011076922434047616002815881744736299/
      564067899679359602600865792000-706114533919765/7776*ep^-3-
         111046425260559280821613/86199759360*ep^-2-1570119187013242535\
         10018529378711/23411106428264755200*ep^-1+
         1050978843779080919525363/972*z3-71856074531300063322178979347\
         60410224224597537644229503816024593660492097423281563513342531/
         17827685144063772423239121321895240391197058118633652224000000\
         00000000*ep+1050978843779080919525363/648*ep*z4+16744727297886\
         8973770828213343461/9428098680*ep*z3+9622657381564033442856361\
         73942695481559603615661956646822061705392739394944339451153836\
         188249838633573/5090853688634304579746905948134147863311455271\
         9907609001395748864000000000000000*ep^2+
         22654432799259454931562983/216*ep^2*z5+16744727297886897377082\
         8213343461/6285399120*ep^2*z4-80380325428262229646201835633862\
         777940529/1696813386082214400*ep^2*z3-
         11587169680991545661923773373827530466077400134639363088830873\
         62993320022000817769266649405348383755292320295513352421541879\
         02156926299/18354560432019188850571064855448053581063524711597\
         75606210904516563943965047240277671018496000000000000000000000
         *ep^3+1008939687528884662725080605/3888*ep^3*z6+31028876659543\
         611931440941714188567/150849578880*ep^3*z5-8038032542826222964\
         6201835633862777940529/1131208924054809600*ep^3*z4-
         72706483399474520072645557521971475706036285312895387/
         3243390423156317714954978304000*ep^3*z3+
         73568518787247367049895745/1944*ep^3*z3^2;
Fill mncnoptab(13,3,2,9)=
      +mncF321*(-625721485911911789400-19987782582130208106415/4*ep-
         4115648560547597325527671/288*ep^2-
         1049325563153980414570745389/48384*ep^3)
      +9914440123240307737676817362197745880315946110317/
      3220414007831214244098048000-297589878598802471/11232*ep^-3-
         28515180664738442592754171/79234122240*ep^-2-21202995057653346\
         3884848077598351/122967427704016896*ep^-1+
         11560767988372854871857457/1404*z3-774117712684173042360366656\
         86283872939001906932898419969787095197466666938553885742369180\
         39/25175313801507719337691044347812237061606957802690969600000\
         0000000000*ep+11560767988372854871857457/936*ep*z4+16727474918\
         7411910297053399305741/1238033160*ep*z3+
         10159081792139330259909559923938926823165924221605236512636291\
         00580781330246460153909579917397587449/70327508983875766132591\
         23243360889277878033704840486842479411200000000000000*ep^2+
         249198762541103372145204397/312*ep^2*z5+1672747491874119102970\
         53399305741/825355440*ep^2*z4-70333936030899470569391049228883\
         0747979/1937511991134720*ep^2*z3-
         43672626619968487528083932349739337145324483175874338225389776\
         08241887612517952205829272244858193446768019891326302396517478\
         3356791/134741366399729062404309095625622509179219121475985706\
         730684726814772937323562521329664000000000000000000000*ep^3+
         11098336634465923197815623295/5616*ep^3*z6+3076110738786198251\
         7365875019402647/19808530560*ep^3*z5-7033393603089947056939104\
         92288830747979/1291674660756480*ep^3*z4-1321531131622721814616\
         75800627423303069676143426539/805103501957803561024512000*ep^3
         *z3+809253692584333858691596811/2808*ep^3*z3^2;
Fill mncnoptab(13,3,3,8)=
      +mncF321*(-1787775674034033684000-14278629131818136915225*ep-
         20586242011698386368511507/504*ep^2-
         26258141993974522759710924109/423360*ep^3)
      +4506558157356831723009775386454113773352173466827/
      512338592154965902470144000-18460096756639184911/19656*ep^-3-
         1515739840112992831711587107/138659713920*ep^-2-22423988090209\
         8094456487348492210111/5379824962050739200*ep^-1+
         57803887284330549251451089/2457*z3-267341741509487027864664673\
         12156277114969117056905259930660984457383977121376461076194535\
         93/30424268388052541680070964238689104847400986602373120000000\
         000000000*ep+57803887284330549251451089/1638*ep*z4+33456840986\
         52932888777847813524533/8666232120*ep*z3+
         70161317566234266816638638775503227728659543870711961812906877\
         988658234158244386091426583528865852469/1699810397803637902130\
         50097923029306276837240424611376319692800000000000000000*ep^2+
         177999132008987055652580387/78*ep^2*z5+33456840986529328887778\
         47813524533/5777488080*ep^2*z4-3075947818853431850000052026939\
         1525377633/29668152364250400*ep^2*z3-
         37836996407859053715875258244390979216074977493071797966044996\
         21643588307613711466347718001391214004011742943618454924887324\
         564631/5210701278739522335166640807397120472165114463329134752\
         475698419790047185559644379545600000000000000000000*ep^3+
         55491687709987617038048311015/9828*ep^3*z6+1538782552187996357\
         05648735209897539/34664928480*ep^3*z5-307594781885343185000005\
         20269391525377633/19778768242833600*ep^3*z4-661275830017513154\
         142677569834712348000184293737123/1408931128426156231792896000
         *ep^3*z3+4046267410669869430854125251/4914*ep^3*z3^2;
Fill mncnoptab(13,4,1,9)=
      +mncF321*(-147897805760997332040-4738340252276369023285/4*ep-
         1634627856750346975406827/480*ep^2-
         4616841274002899429494467971/887040*ep^3)
      +5244739588963366195894470230305002452782355169934973/
      7207534273680706033233285120000+774454199139859/480*ep^-3+
         5377752115833806798889743/1005663859200*ep^-2-9131524766163817\
         909310476485401557/128203678059545088000*ep^-1+
         38925141161869800609097/20*z3-13155201995832350276603014239495\
         52930209062698139839174764050000549451345693120395228423429843\
         63/18142861009820554177684533935882326616384640676977891606528\
         000000000000000*ep+116775423485609401827291/40*ep*z4+
         38657356806187254893661762183187/1208730600*ep*z3+
         99004650151911898189400196882329964645653931165932695157175529\
         0133286582219143810423513216853950374441321/
         29142309115382152438728954938652366435311797290329333508354544\
         238592000000000000000*ep^2+22654432732424280574391719/120*ep^2
         *z5+38657356806187254893661762183187/805820400*ep^2*z4-
         80175466252417661131932963335841991337777/942674103379008000*
         ep^2*z3-298150887499729466727847471330615607595413965759358337\
         89048103641806529703895826381801140542108252987108945593335794\
         2613626608459471629197/513673900643650108908426364191581280269\
         64546787934223780337965808746583894892444946257758126080000000\
         000000000000000*ep^3+22420881885453061770737137/48*ep^3*z6+
         31134321652325227696512522837230999/83805321600*ep^3*z5-
         80175466252417661131932963335841991337777/628449402252672000*
         ep^3*z4-1132402931050565481578280373178332156000432048212187/
         27721285668002715512435712000*ep^3*z3+
         8174279964939757727373241/120*ep^3*z3^2;
Fill mncnoptab(13,4,2,8)=
      +mncF321*(-1001154377459058863040-8008847527607517959830*ep-
         1378516341754017382582589/60*ep^2-117668366678644137106974389/
         3360*ep^3)
      +9914423402239938254478962399370846953278915017437/
      2012758754894508902561280000-257297803993445831/780*ep^-3-
         591847677295165891429567417/148563979200*ep^-2-133901644446976\
         30626941883782138939/823442596232256000*ep^-1+
         2569060818288368748272962/195*z3-55258073319344738380819483762\
         17417010184013966310499685815815023901339966742706928179052218\
         29/11244809596224219404954228382619493151599404648237105152000\
         000000000000*ep+1284530409144184374136481/65*ep*z4+10044879505\
         91009761099309341775607/4642624350*ep*z3+
         36204859213278617072524902023366867941972827801798323211854399\
         70815787218057374524494898106777869661687/15706248075705614215\
         685829048087907899979761015234091171939614720000000000000000*
         ep^2+249198775882447877878337429/195*ep^2*z5+10044879505910097\
         61099309341775607/3095082900*ep^2*z4-4543725457035794434229095\
         9596556253777/78632791848000*ep^2*z3-
         62810598618923290747566992994722978042266754110302874586632575\
         66656338667536646311235636215396363490355937887821620953328074\
         652550291/2407343990777659318846988053017469658140282882058060\
         2556437726699430017997285557033500672000000000000000000000*
         ep^3+246629715064159509130064467/78*ep^3*z6+309781650592047945\
         48737367790481639/12380331600*ep^3*z5-454372545703579443422909\
         59596556253777/52421861232000*ep^3*z4-108855107869131266580762\
         4069225030114850032158223/4025517509789017805122560*ep^3*z3+
         29972354259569433185778777/65*ep^3*z3^2;
Fill mncnoptab(13,4,3,7)=
      +mncF321*(-2502885943647647157600-20039691112018082706355*ep-
         1381914911968587597142685/24*ep^2-354663467004138712671305479/
         4032*ep^3)
      +521811425881653961854354902994640609602102798311/
      42373868524094924264448000-746748528300420041/104*ep^-3-
         50908416426069861121954427/625532544*ep^-2-3564464231616040835\
         1791086330356851/121349435234227200*ep^-1+
         1284535841490573663997093/39*z3-558727119888714697182321129497\
         204177955444823164515297587963392683769518758264501102739199581
       /455520904312289998911756374560617798376897779213533184000000000\
         0000000*ep+1284535841490573663997093/26*ep*z4+1057810831054683\
         59421131795214709/195478920*ep*z3+1926284179496780709494381200\
         14510709674312564911756000473319697588325986184574428033091307\
         398620108543/3348690866790727209759946753587950288391217227834\
         73189099929600000000000000000*ep^2+249198891594389824236025217/
         78*ep^2*z5+105781083105468359421131795214709/130319280*ep^2*z4
         -8034859681910696122905897818828894233/5576720369220*ep^2*z3-
         10537739326876442623533163790556004973578296241296636386879157\
         40379072962399858758497392996985908857357163985876465029554376\
         416542612416433/7828429992167350449684928496605497541369304742\
         41271256310514296225779652308230621433430016000000000000000000\
         000000*ep^3+411049699852347794846718385/52*ep^3*z6+16362803381\
         41711046754917487808349/260638560*ep^3*z5-80348596819106961229\
         05897818828894233/3717813579480*ep^3*z4-1453324744930741141436\
         176664604753054364968369961/2118693426204746213222400*ep^3*z3+
         89916943599329993372473951/78*ep^3*z3^2;
Fill mncnoptab(13,4,4,6)=
      +mncF321*(-3003463132377176589120-24122947695557256259098*ep-
         12545229086876023218175781/180*ep^2-
         48654414361234880205674576129/453600*ep^3)
      +29743888919680376447965840769026775196486249542399/
      2012758754894508902561280000-280530409685877227921/7020*ep^-3-
         65222005511567440769543915383/148563979200*ep^-2-8560055197610\
         838578486809258531058179/5764098173625792000*ep^-1+
         69366147426078199286224382/1755*z3-262470227530802525526201889\
         00181240559892462544132235498726632782615297094731145215424880\
         40438703/17850725437737864332354452928094209973894681722930331\
         648000000000000000000*ep+34683073713039099643112191/585*ep*z4+
         6038794608709652543082750728178211/9285248700*ep*z3+
         17126516170863258954276154609467411411669064015010494264757299\
         846466160864923938251487874094703767515421403/
         24933096435048708281168903547183282366002856771996975635921633\
         280000000000000000000*ep^2+2242794319274191638893544673/585*
         ep^2*z5+6038794608709652543082750728178211/6190165800*ep^2*z4-
         2134953067772498419466036131408597842871/1246561023708000*ep^2
         *z3-3172058663414219928670207201698434052871639421330227180736\
         06612541032301852634759370973021442161097232723848679252809921\
         09934463996142778941/16791982333198966714574171625218792226237\
         15867247526844786053165404297354201154682974707384320000000000\
         0000000000000*ep^3+6659016810396496717394409637/702*ep^3*z6+
         31486410989225939733385939689367847/4126777200*ep^3*z5-
         2134953067772498419466036131408597842871/831040682472000*ep^3*
         z4-436351776400949099690123518251601233799738353280253/
         503189688723627225640320000*ep^3*z3+
         2427744131381640674639268221/1755*ep^3*z3^2;
Fill mncnoptab(13,5,1,8)=
      +mncF321*(-147897805760997332040-1188977179682102951140*ep-
         206437581266936428385459/60*ep^2-98048742400952777538531043/
         18480*ep^3)
      +806882033713208224167879255130001481744160416553507/
      1108851426720108620497428480000-23018296697018/15*ep^-3-
         42972494406596976178143397/1005663859200*ep^-2-474208836359277\
         61158712143938847277/128203678059545088000*ep^-1+
         58387714944348464225963/30*z3-10652161418110926770268018731632\
         00181345755488962247719402363420585968219988219493571968171177\
         0613/147339875153972391153930258018356863419779952997800924413\
         9520000000000000000*ep+58387714944348464225963/20*ep*z4+
         16110523748415524592635607933980987/502831929600*ep*z3+
         39953801580463760692239877869804951166209996175211831049750999\
         0698068925915616196422305780240653128639613417/
         11833371220874901351585448694816068324026020813788024289818183\
         100006400000000000000000*ep^2+5663608213016139157876171/30*
         ep^2*z5+16110523748415524592635607933980987/335221286400*ep^2*
         z4-317121911129275656853942107473228955957833/
         3770696413516032000*ep^2*z3-1919029120945356003480990485827617\
         50426048786217598763471291578950135974605256149088628916022471\
         82383669419291797616429535772809654060605294411/
         16975178271117205436493603951340846388492597919606060067788963\
         8686199562044313872956399537461657600000000000000000000000*
         ep^3+1401305124517947673412552/3*ep^3*z6+632083378142006903779\
         91007751978903/167610643200*ep^3*z5-31712191112927565685394210\
         7473228955957833/2513797609010688000*ep^3*z4-62534620731986365\
         733927491065229169959684184576050129/
         1441506854736141206646657024000*ep^3*z3+
         681189982331161026373323/10*ep^3*z3^2;
Fill mncnoptab(13,5,2,7)=
      +mncF321*(-876010080276676505160-7038894020565463322420*ep-
         1221097553464864799550211/60*ep^2-4514420147301759054642985/
         144*ep^3)
      +1802610899275044817437111815651639081079341255429/
      418235585432625226506240000-254074446322307996/195*ep^-3-
         2654161577946046978419895237/169787404800*ep^-2-41316216925261\
         2580699854487363045373/6587540769858048000*ep^-1+
         1498621680367349827677157/130*z3-17294065389745484247382308591\
         74215539823716273479085541881549997173618034968557376419155605\
         51367/40389520182356379903509065211041444789418269756933275648\
         00000000000000000*ep+4495865041102049483031471/260*ep*z4+
         16106631884878212221838408536601947/84893702400*ep*z3+
         16126202503251833503523627106214414310169203775741308241123866\
         2079533316713018205374522849441119594826189/
         80591826860763501514889385203016670273948627949889214176716390\
         4000000000000000000*ep^2+436097949704753308239227807/390*ep^2*
         z5+16106631884878212221838408536601947/56595801600*ep^2*z4-
         96660507039845356433140218589582346052697/193751199113472000*
         ep^2*z3-129323146709540719421394666114537153637397404139721568\
         46203956732186911786063294432038396783427841279860621787279530\
         9458920231215162168349861213079/147203994896825119097103718929\
         64493731175621939380835296102476422980524120834028679927544729\
         6196608000000000000000000000000*ep^3+
         107900521165912814689049084/39*ep^3*z6+63081679368213315699285\
         294073404343/28297900800*ep^3*z5-96660507039845356433140218589\
         582346052697/129167466075648000*ep^3*z4-1172209142793110598534\
         80413595727545320356211950049/460059143975887749156864000*ep^3
         *z3+157354765912342695448053533/390*ep^3*z3^2;
Fill mncnoptab(13,5,3,6)=
      +mncF321*(-1877164457735735368200-15106191112408697245560*ep-
         175173288897743492815833/4*ep^2-341221203833427476630272879/
         5040*ep^3)
      +19828981418984549599044267216641736117944324885839/
      2146942671887476162732032000-1635711981725768419/78*ep^-3-
         18494572531981262225972453917/79234122240*ep^-2-24951218352205\
         31132275973213089344613/3074185692600422400*ep^-1+
         1926830560903033639708987/78*z3-109187341182929305736202724920\
         79000121828097886609095915194271762573964557013021354433245566\
         55379/11900483625158576221569635285396139982596454481953554432\
         000000000000000000*ep+1926830560903033639708987/52*ep*z4+
         16118717298072532966557061323430643/39617061120*ep*z3+
         71125112808439073549517705798991874207355466056829462400301547\
         28736720948192445507122578628274076300835229/
         16622064290032472187445935698122188244001904514664650423947755\
         520000000000000000000*ep^2+62299817846572461173436253/26*ep^2*
         z5+16118717298072532966557061323430643/26411374080*ep^2*z4-
         20580280119013549573380558316150405835/19340583155712*ep^2*z3+
         28667794743466336054201279154814861420277784647186531709572670\
         99989727420161819467676311425671937646703112220439315462091959\
         786961161145453842947299/1905792291788342492796270843949676357\
         14993529683401774964772436275448389157962127379183378650384826\
         368000000000000000000000000*ep^3+231215778723517937350749715/
         39*ep^3*z6+63467417865570039863542528599549007/13205687040*
         ep^3*z5-20580280119013549573380558316150405835/12893722103808*
         ep^3*z4-600279116597975785285112927439303244833477526205741/
         1073471335943738081366016000*ep^3*z3+
         67437412482013710569294389/78*ep^3*z3^2;
Fill mncnoptab(13,5,4,5)=
      +mncF321*(-1877164457735735368200-15161704636827581697480*ep-
         1592527281324501668669809/36*ep^2-3128583216630572344279425767/
         45360*ep^3)
      +11898440558124769774334769121395486063903221891561/
      1288165603132485697639219200-54302186439424317647/702*ep^-3-
         199701886071475872015972355639/237702366720*ep^-2-511182548963\
         2983363578323027806720611/1844511415560253440*ep^-1+
         17342345030807356270903379/702*z3-3896144437766781206214573727\
         26957721718017579840624841680978026519618264832998411439391149\
         3691917/426513333125683371781055728628597656976256928633215390\
         84288000000000000000*ep+17342345030807356270903379/468*ep*z4+
         9688912297166019826741630063888165/23770236672*ep*z3+
         84399750216203212077528238429436652123964065390196047190133850\
         97466212027482892283920561142996089287217403/
         19857826138492126773268744514023307555500941926852702373142918\
         594560000000000000000*ep^2+560701446066190787831417461/234*
         ep^2*z5+9688912297166019826741630063888165/15846824448*ep^2*z4
         -57074882647635609769463614503618223504007/54250335751772160*
         ep^2*z3-278117463881375016469538699831302521950938549467293619\
         77053922002666178938280235259078077020002859828415093587924505\
         013567753908575220143274744007681/
         98660749398891614915959834623670356480366428166767283323985303\
         89939657052941968265389902197865255366819840000000000000000000\
         00*ep^3+2080952491459706259029186255/351*ep^3*z6+1288101277110\
         5305008957256125797987/2641137408*ep^3*z5-57074882647635609769\
         463614503618223504007/36166890501181440*ep^3*z4-17313229235783\
         8640170292407127260737904735025767573/
         292764909802837658554368000*ep^3*z3+
         606927148884276998924251853/702*ep^3*z3^2;
Fill mncnoptab(13,5,5,4)=
      +mncF321*(-938582228867867684100-7626937992959054902440*ep-
         809565409818637001361359/36*ep^2-1612561096468374064477540837/
         45360*ep^3)
      +11900349357937619537102456110628554169379278993867/
      2576331206264971395278438400-1018018635680098495465/11232*ep^-3-
         232739718214455346454551364171/237702366720*ep^-2-535255226192\
         9362800246523894224752447/1676828559600230400*ep^-1+
         8671975668915876210833533/702*z3-26427926938879371884913951947\
         18590945840729140361216473335098519692593561829395620059049542\
         77472187/58225010693081459409363914519738049930338382908511292\
         06442557440000000000000*ep+8671975668915876210833533/468*ep*z4
         +24295822287283440292585778045582851/118851183360*ep*z3+
         15537870756700411283268501651866494187863467379693845606415741\
         7255955186164239216379137666113837664228551313/
         73932814337835312133319528905478133669225239037450488010465351\
         2402534400000000000000*ep^2+1121414278906110664425060143/936*
         ep^2*z5+24295822287283440292585778045582851/79234122240*ep^2*
         z4-279943783240862771714443071848829438684691/
         542503357517721600*ep^2*z3-
         20775607926880928102925698169941762642630187236470130511935143\
         53040656233568742423607851268093524888735580837419982042303732\
         30220888948088449976957271287/60608549233097569275848953757223\
         96437790875861148797080255202985621660919702743762526667399265\
         777877753685606400000000000000000000*ep^3+
         16647774670213342442159231485/5616*ep^3*z6+3298111017581051687\
         7946642304524793/13205687040*ep^3*z5-2799437832408627717144430\
         71848829438684691/361668905011814400*ep^3*z4-20747398351688818\
         49954946358606079699891477761595291/
         6440828015662428488196096000*ep^3*z3+
         1213818936551947646751611275/2808*ep^3*z3^2;
Fill mncnoptab(13,6,1,7)=
      +mncF321*(-85258735085751403176-690164442836471294692*ep-
         606429425173647577076323/300*ep^2-5017321622220623686997447/
         1584*ep^3)
      +227324274291952511700273684202718797314805528635419/
      541919870201556844604006400000+73831429367108/25*ep^-3-
         2235100552820583794110433/37806912000*ep^-2-448433889299668113\
         4103190816317993/4819687145095680000*ep^-1+
         168293982176301056741771/150*z3-235543735945678441588591376589\
         57384598746150451187784449646916510748571704073244334131395996\
         899/5684433684889879401804451086440037695232528491990828974080\
         000000000000000*ep+168293982176301056741771/100*ep*z4+35032710\
         5106889015882302489343423/18903456000*ep*z3+
         26332213772801903561650598341956246914321851282482677152134601\
         05960871012189200137673214331952241168503451/
         13696091550936995360786332253804081797246189065258065334671958\
         3436800000000000000000*ep^2+16324517606435604951517307/150*
         ep^2*z5+350327105106889015882302489343423/12602304000*ep^2*z4-
         800513374867362908546855640755882170061123/
         16868905007834880000*ep^2*z3+
         37061992895103271500981577659913869905293440867676550494291601\
         82236757378760453650114123389034170426721601118712676380982894\
         81115823330675193/64705052701901151251474162166876895521651085\
         44782784745539550076035395217949023595572547133898752000000000\
         000000000000*ep^3+1346351968688275324564628/5*ep^3*z6+14080782\
         13925883347476208803198187/6301152000*ep^3*z5-8005133748673629\
         08546855640755882170061123/11245936671889920000*ep^3*z4-
         1504164602097549586612969811715866849502744306580637/
         54191987020155684460400640000*ep^3*z3+
         5890290120668640700562353/150*ep^3*z3^2;
Fill mncnoptab(13,6,2,6)=
      +mncF321*(-432852039666122508432-3504274441110659309016*ep-
         513279274272946533995181/50*ep^2-28961567009767267604978521/
         1800*ep^3)
      +39065237234231104684031676340879055743618293841/
      18343666027746720460800000-2388250673665584266/975*ep^-3-
         12651687642402319968013729/438048000*ep^-2-4638046904633094234\
         306256767605231/41275318106880000*ep^-1+
         5553754628454321612150443/975*z3-65912359006436078407710910180\
         02923626718136791381246283201872718249369921375221128051939250\
         759/3131706217146993742518325075104247363841172232093040640000\
         00000000000000*ep+5553754628454321612150443/650*ep*z4+35034722\
         5743191169808083717845263/3723408000*ep*z3+
         21354468795381113591773694921520723651891603075738908541243012\
         489990049071879680454986078437558010519357/2187113722372693708\
         87446522343713003210551375192955926630891520000000000000000000
         *ep^2+179569881919048337315745377/325*ep^2*z5+3503472257431911\
         69808083717845263/2482272000*ep^2*z4-3479320245047003982676039\
         9258937764142021/144463613374080000*ep^2*z3+
         95273509193618169659198589856559985564165244176873676926131074\
         74226017206579976204892773531081642510834370146541703441656783\
         641264018968858068423/1141384358927450406532994061249596553404\
         12482142755536835381043693223048869248812602821657912934400000\
         00000000000000000000*ep^3+266577945564345345167542844/195*ep^3
         *z6+1408661081125551770063434873317947/1241136000*ep^3*z5-
         34793202450470039826760399258937764142021/96309075582720000*
         ep^3*z4-2847473230528256240836618089002811431704774044989/
         20178032630521392506880000*ep^3*z3+194378985770232974961237449/
         975*ep^3*z3^2;
Fill mncnoptab(13,6,3,5)=
      +mncF321*(-772950070832361622200-6270371065319995316760*ep-
         73734547670360052814415/4*ep^2-1393281552117827375149009/48*
         ep^3)
      +113898987810325422896561850204785963698237567/
      29948842494280359936000-669553647352556659/26*ep^-3-
         169789150269195946462278719/595745280*ep^-2-323215667717471781\
         8451885700122769/3302025448550400*ep^-1+
         264476714844104689985135/26*z3-1401738328395274470995684531853\
         96354189859221078279709667607394667546724943721975038586460714\
         271/3741345027418275191061892356391207517335587093273819217920\
         000000000000000*ep+793430144532314069955405/52*ep*z4+
         50101063234033747642324301151409/297872640*ep*z3+
         90722775135421581104175290107138668349630848187433122326401680\
         8982288080474070409988368419826748871718939/
         52257437206558228350707222405324493567107741912770269403007680\
         51200000000000000000*ep^2+25652970201438373891110475/26*ep^2*
         z5+50101063234033747642324301151409/198581760*ep^2*z4-
         4938393761917824060164274047526406938811/11557089069926400*
         ep^2*z3-158576732408826045766463277299218331639611396487950665\
         86373116956144154103415306292513306113680551485553773334156518\
         753799246837291259314021007924717181/
         73995562049168711186969875967752767360274821125075462492988977\
         92454742789706476199042426648398941525114880000000000000000000\
         0000*ep^3+31735616858242836501406675/13*ep^3*z6+20285716989716\
         1924335289259201061/99290880*ep^3*z5-4938393761917824060164274\
         047526406938811/7704726046617600*ep^3*z4-209270496081447712844\
         4748340579428277509667943919/8071213052208557002752000*ep^3*z3
         +9256008039346656654263505/26*ep^3*z3^2;
Fill mncnoptab(13,6,4,4)=
      +mncF321*(-618360056665889297760-5036938136873073073104*ep-
         134216786204246212250707/9*ep^2-38398119311173351549406867/
         1620*ep^3)
      +7368305126946210035246014660024911180781187423/
      2421363915662567100825600-100989783820849446908/1755*ep^-3-
         82126491781503957694870501/131414400*ep^-2-1786980180836844898\
         97404621065213341/86678168024448000*ep^-1+
         14283170497943405277659594/1755*z3-219992293717151240407384236\
         92691866818707087243436519965152687708177312340946521595718300\
         58295283/73665246322218445609013049746632148191217589712185339\
         150336000000000000000*ep+7141585248971702638829797/585*ep*z4+
         150616366840688646145067511189451/1117022400*ep*z3+
         16125072821377384405701426689632017118911798989404455681975036\
         9079880110570465322570691581372603368400833/
         11692309959804420567642891084494897151636076517815423837687460\
         65920000000000000000*ep^2+461758524287706686494111966/585*ep^2
         *z5+150616366840688646145067511189451/744681600*ep^2*z4-
         14620094363765742578838373248049831823401/43339084012224000*
         ep^2*z3-133308293591329000617127936556443522048233123768013441\
         60353047040641911363444764202080792457107765139061492889449931\
         0004788102866192991889241004307635389/
         14569362796417684922079075422409606821612682358530762212151930\
         25389822336467005712145833509438888912921559040000000000000000\
         00000*ep^3+685496201182588327102338152/351*ep^3*z6+20613884364\
         7267248718841917169933/124113600*ep^3*z5-146200943637657425788\
         38373248049831823401/28892722674816000*ep^3*z4-132658331977033\
         9460442924807130136735082617476433/6053409789156417752064000*
         ep^3*z3+499808714857914101976903182/1755*ep^3*z3^2;
Fill mncnoptab(13,6,5,3)=
      +mncF321*(-231885021249708486660-1901011212497566910664*ep-
         68287715700023424030965/12*ep^2-3963814453981330826806109/432*
         ep^3)
      +7368477035363449492305621162794275194273878021/
      6456970441766845602201600-636917825168130094127/18720*ep^-3-
         1111113495077054561831784601/2978726400*ep^-2-2902507504970467\
         63791802548411413351/231141781398528000*ep^-1+
         3571112264255168763963371/1170*z3-8781015191076420587713355062\
         57998279475033743639161188642645887546726772059318257061004048\
         75206527/78624598776144857738620474492614565221566227957425016\
         50038784000000000000000*ep+3571112264255168763963371/780*ep*z4
         +75551035337089253044211782461953/1489363200*ep*z3+
         32523465191434277163865477523453889688335532387454586882849044\
         918086392196746888236902726687752051283497200903/
         63475572606152407165690552263408945795854901133829810797912981\
         0921193472000000000000000*ep^2+461763060650155359650047801/
         1560*ep^2*z5+75551035337089253044211782461953/992908800*ep^2*
         z4-1301240043793802835826060960861332042851/10506444609024000*
         ep^2*z3-133114639090429712994028375256033627260851772455760243\
         98274477408514174835423402376829133475332837401547352377991516\
         773211760578239905584289242965863769893/
         71904187001280790334962729138940667664932346512710469657309134\
         08719742317774751414861267041973385073340965086822400000000000\
         0000000*ep^3+1371004732893445403894289919/1872*ep^3*z6+1056432\
         93837041997640397483465299/165484800*ep^3*z5-13012400437938028\
         35826060960861332042851/7004296406016000*ep^3*z4-1436382106796\
         911305353059724565026990053349926709/
         16142426104417114005504000*ep^3*z3+499794672417805366237297277/
         4680*ep^3*z3^2;
Fill mncnoptab(13,6,6,2)=
      +mncF321*(-38192827029363750744-1579850848605121269408/5*ep-
         5763465042737597449247/6*ep^2-93858683034191336497594213/59400
         *ep^3)
      +2835398641139651048597866442165893413460066371653/
      15093168407630001595146240000-3510289807856687906729/795600*ep^-3
         -6451660800384613448738837167/126595872000*ep^-2-2058329267107\
         7557024523207777202477307/108058782803811840000*ep^-1+
         24996492649055916614377157/49725*z3-11301101477101717488150319\
         61104468872405835093570823478188552275194584698843933842855934\
         93645024913386417/62143221928015749496485894681438895868435640\
         990983132438432978042880000000000000000*ep+
         24996492649055916614377157/33150*ep*z4+58434979202068333164238\
         43527591021/696277296000*ep*z3+1436572578166442954132836202350\
         85282430985528480620879543585783269656609348097815844880305579\
         088426186148350205393/1735977566312510645472679491213905406334\
         3867273838280380594226416430989967360000000000000000*ep^2+
         3232323033777891180660127567/66300*ep^2*z5+5843497920206833316\
         423843527591021/464184864000*ep^2*z4-1526377747889301489149248\
         13633539914256331/7718484485986560000*ep^2*z3-
         26342153002420379140685413035108891291534148427036015315738813\
         19388874837588671823507298620303829305531522763973536245390383\
         58633292519553247813553860586199/
         57837930419155235725685645251135399552979956226161484030598034\
         73138942726860065669329031676887341618368638791712768000000000\
         00000000000*ep^3+9596983130737449875522874073/79560*ep^3*z6+
         765183567453279734957289960130213/7033104000*ep^3*z5-152637774\
         788930148914924813633539914256331/5145656323991040000*ep^3*z4-
         122407141604077248172737871104548893272375767620657/
         7546584203815000797573120000*ep^3*z3+
         3498619272241666477387044779/198900*ep^3*z3^2;
Fill mncnoptab(13,7,1,6)=
      +mncF321*(-28419578361917134392-697582472745529218848/3*ep-
         1872969457230523550060869/2700*ep^2-
         396809401759654862691216553/356400*ep^3)
      +1910246056458050879777055265005378422287828440341/
      13661845467266138939596800000-10873842780457993/4050*ep^-3-
         14571999306884727015243593/113420736000*ep^-2-1801978112504820\
         0765595951413498113/14459061435287040000*ep^-1+
         1514646330667032528883939/4050*z3-2166869458071859462092051431\
         63332862476183051496584040047233902647666587510253365595379130\
         8621401/158275950413652579593992684938064799576630715198869644\
         2470400000000000000000*ep+1514646330667032528883939/2700*ep*z4
         +352172563628974347947362197010663/56710368000*ep*z3+
         25582109676092848770923028040150023580912676213232412428075497\
         66631326329108437372056364489270675398221064297/
         40677391906282876221535406793798122937821181523816454043975716\
         2807296000000000000000000*ep^2+48973554361242568822507421/1350
         *ep^2*z5+352172563628974347947362197010663/37806912000*ep^2*z4
         -8498919790483897275224478654164467690513/556117747511040000*
         ep^2*z3-577940710228697559670274933220906972408163903663020936\
         99577013926000118405364058462627906079545569693938305735214799\
         966932503444837893440425799849/3603262622337120360316467405667\
         95711936194482087591325517233694859221071199536251478446218518\
         9867520000000000000000000000000*ep^3+
         36351504188265168484659581/405*ep^3*z6+14677436128605667885000\
         87333686547/18903456000*ep^3*z5-849891979048389727522447865416\
         4467690513/370745165007360000*ep^3*z4-247518478354196293214251\
         562089001725008489349894243/23225137294352436197314560000*ep^3
         *z3+53012604370613345109029077/4050*ep^3*z3^2;
Fill mncnoptab(13,7,2,5)=
      +mncF321*(-120236677685034030120-2953038363397255604240/3*ep-
         1587323946935936177639363/540*ep^2-30610963449765957192902509/
         6480*ep^3)
      +429697053711677747568669963620854574033449159411/
      726409174698770130247680000-22608680017226070383/10530*ep^-3-
         677307969835224000431159273/26808537600*ep^-2-8548982611195225\
         53576265095407543/8740655599104000*ep^-1+
         16661601687786851836843649/10530*z3-16237574593301473755049805\
         24006740426658378620285175987692315621928601021965667428018868\
         9807227/280600877056370639329641926729340563800169031995536441\
         3440000000000000000*ep+16661601687786851836843649/7020*ep*z4+
         352281423993077549631989354050183/13404268800*ep*z3+
         11571193119942237481335711601198852745331143088974881015638240\
         611260604985956108746042555469629683400307/4354786433879852362\
         55893520044370779725897849273085578358397337600000000000000000
         *ep^2+538710845801020718688080911/3510*ep^2*z5+352281423993077\
         549631989354050183/8936179200*ep^2*z4-335601716351647473641663\
         65276946442811181/520069008146688000*ep^2*z3-
         88581197755680361696903429964241391434397871921536742040001335\
         16864919599160700726311428357463835539669913098379903050812330\
         20552339211131508205539/19430927326380915720817690898713131725\
         15182095998270259085526887833429183950091785750435904309795225\
         600000000000000000000000*ep^3+399867733928818826056849771/1053
         *ep^3*z6+1471054356503288499228974842255027/4468089600*ep^3*z5
         -33560171635164747364166365276946442811181/346712672097792000*
         ep^3*z4-3298944570011834044145868179206237945033163075077/
         72640917469877013024768000*ep^3*z3+583133257196224535960782007/
         10530*ep^3*z3^2;
Fill mncnoptab(13,7,3,4)=
      +mncF321*(-171766682407191471600-4228951206972301765340/3*ep-
         228266600003412759249461/54*ep^2-4426020062758368113846071/648
         *ep^3)
      +12278725764895747052675549729719220980240298909/
      14528183493975402604953600-28984008712186429363/2106*ep^-3-
         81698277240902237296259551/536170752*ep^-2-5451198030606090086\
         5713001942592563/104013801629337600*ep^-1+
         2380477051101531779575871/1053*z3-1150224259927907496719256008\
         57013751239360336710501375354777497970360981287727446222578861\
         8519593/139294283954740333515224675884540789307029624183041368\
         575180800000000000000*ep+2380477051101531779575871/702*ep*z4+
         10078011972968181661420574196425/268085376*ep*z3+
         36812792734354763046213202280215191843437943316775426672894429\
         101803722790743892470117628776012278766217589/
         97280018865572779122788853822997544301612156628224326329559672\
         6845440000000000000000*ep^2+76959571805730503568292999/351*
         ep^2*z5+10078011972968181661420574196425/178723584*ep^2*z4-
         4754943408956170086480907201954806099383/52006900814668800*
         ep^2*z3-163819455940202399653596217291463954847142215256910914\
         98598599476261459630996989308217864796777007684963046273582687\
         77499478957081566343035227143655132491/
         13774670280249447562692944035732719176797445138974538818761824\
         96732195663568805400574242590742222244944019456000000000000000\
         0000000*ep^3+571245595915224947313257815/1053*ep^3*z6+
         42425139596850471043206338009645/89361792*ep^3*z5-475494340895\
         6170086480907201954806099383/34671267209779200*ep^3*z4-
         2425828802853919980438664827805526559246864821939/
         36320458734938506512384000*ep^3*z3+83302016641316949068246423/
         1053*ep^3*z3^2;
Fill mncnoptab(13,7,4,3)=
      +mncF321*(-103060009444314882960-849558044508692486044*ep-
         46204998252260927676289/18*ep^2-4523774200680685414620679/1080
         *ep^3)
      +159479486447166918699923351690761721018675009/
      314462846189943779328000-54336320624246590391/3510*ep^-3-
         254384871915900673630609753/1489363200*ep^-2-30326317819463772\
         2391438055559695241/520069008146688000*ep^-1+
         2380755254936891080274719/1755*z3-1121325960901048879096994709\
         77047392766318750300974413661286182173459212315612823222591861\
         21376397909/22722509046305863886461317128365609349032639879695\
         82976861208576000000000000000*ep+2380755254936891080274719/
         1170*ep*z4+16834907853964515906424647056479/744681600*ep*z3+
         14301664988771745177572078492915375695555437347323708738537492\
         523340289346531200269561424702254004867803300589/
         63475572606152407165690552263408945795854901133829810797912981\
         0921193472000000000000000*ep^2+76960558978839984127886591/585*
         ep^2*z5+16834907853964515906424647056479/496454400*ep^2*z4-
         14049818830402728035637464109512271516821/260034504073344000*
         ep^2*z3+553042099293807735323135496406376001882737223913078022\
         00425492231347732212114159326889946894044120769649470609381636\
         3952201630604777688374768370694545584753/
         17976046750320197583740682284735166916233086628177617414327283\
         52179935579443687853715316760493346268335241271705600000000000\
         000000000*ep^3+114250460840791530651692527/351*ep^3*z6+2157210\
         47945499516363426631812113/744681600*ep^3*z5-14049818830402728\
         035637464109512271516821/173356336048896000*ep^3*z4-
         510181112550508019209361809965799151036057688359/
         12106819578312835504128000*ep^3*z3+83298961771896050149607407/
         1755*ep^3*z3^2;
Fill mncnoptab(13,7,5,2)=
      +mncF321*(-25765002361078720740-213813112243261798036*ep-
         23521591443530314557899/36*ep^2-25705062397725772535327239/
         23760*ep^3)
      +135014969925332705507951557021568983488561631793/
      1065400122891529524363264000-177870681907641392789/56160*ep^-3-
         109045085795323181664262769/2978726400*ep^-2-31363126836574168\
         65863336788370620621/22883036358454272000*ep^-1+
         1190323927531568416326677/3510*z3-2795178231246692594385575083\
         15239405477621138399310283756721858867839401570214390069111178\
         715610635943/2284677276765284907959040245641135877516016212903\
         79163376591831040000000000000000*ep+1190323927531568416326677/
         2340*ep*z4+92896735182142472729282686177507/16382995200*ep*z3+
         14169199039791449096610913300237079166512787594178533423699297\
         87644815771053918448470347372656223199366989282219/
         25529081857536921256951168988439785387270393049762177030285627\
         0829867499520000000000000000*ep^2+153920353594269073792452787/
         4680*ep^2*z5+92896735182142472729282686177507/10921996800*ep^2
         *z4-7946946049529152050632107623015411229129/
         602185167327744000*ep^2*z3+
         18255492804777667869939914522103511955744119569358120400800129\
         81978137981463762358728374799072639829059101583197489200121817\
         682949974543659623790629090590507/
         14459482604788808931421411312783849888244989056540371007649508\
         68284735681715016417332257919221835404592159697928192000000000\
         00000000000*ep^3+456999765072680947712051653/5616*ep^3*z6+
         110564859038374382201529223747939/1489363200*ep^3*z5-794694604\
         9529152050632107623015411229129/401456778218496000*ep^3*z4-
         6019858808267772658608226468147708823466037544749/
         532700061445764762181632000*ep^3*z3+
         166600267856575828315868639/14040*ep^3*z3^2;
Fill mncnoptab(13,7,6,1)=
      +mncF321*(-2121823723853541708-88861996515377835596/5*ep-
         9928920376457003087341/180*ep^2-11069507356815929801045537/
         118800*ep^3)
      +499737583175993638695109268246457226961654677476743/
      47905716525817625062994165760000-18210060814915234643/4773600*
         ep^-3-62824574319678439992788183/253191744000*ep^-2-1091941944\
         25102720204605121938354004781/44736336080778101760000*ep^-1+
         8330571749785191230602019/298350*z3-57885286207008853256471202\
         97322247257743378007169317778931009244863617575409068664446489\
         559033871297748334559/5777195102052937927998565487602993919063\
         3145430637150934383309799303413760000000000000000*ep+
         8330571749785191230602019/198900*ep*z4+65320218041436926044378\
         7429880949/1392554592000*ep*z3+3338760616683797313990858825536\
         71971080946144589233704238153516167682112929138819770690620351\
         83029218489433907275510629/74237819665935330103049471837508556\
         838191635059989792880110584556180162040731533312000000000000000
         *ep^2+1077418468992895500381605989/397800*ep^2*z5+653202180414\
         369260443787429880949/928369728000*ep^2*z4-3358360684459288273\
         960575370046415321482333/3195452577198435840000*ep^2*z3-
         19903751426723848253214670412952797208344187885822857503205157\
         24888998698527117987968888109511567862761103143914018914852051\
         5199791841234987118396940924435721/
         32664317615957342000607275500836432216043196573937232791299944\
         22877971842761219695842539557857369293042831604391608320000000\
         0000000000000*ep^3+3198933119979545736222409891/477360*ep^3*z6
         +800415658115426701690938795024373/126595872000*ep^3*z5-
         3358360684459288273960575370046415321482333/
         2130301718132290560000*ep^3*z4-2435738906393130764104447536168\
         3772891898879163364267/23952858262908812531497082880000*ep^3*
         z3+1166276768529092231774531993/1193400*ep^3*z3^2;
Fill mncnoptab(13,8,1,5)=
      +mncF321*(-5342026007879160600-133162045328481849680/3*ep-
         14678432022679169755057/108*ep^2-22507618608519668564397811/
         99792*ep^3)
      +227298435017512027653679064889264095209563364632163/
      8649041128416847239879942144000+219181930243391/162*ep^-3-
         40244336320771243795807913/603398315520*ep^-2-6665798818712371\
         3451764141306224641/76922206835727052800*ep^-1+
         11388306963879590613703/162*z3-5479989381315497660472062358218\
         11829685444880745716783896782081218493124226795807021878960377\
         1947/215559182387361721200650517470849211839404903643644545892\
         92871680000000000000*ep+11388306963879590613703/108*ep*z4+
         354869234434572853125986206396231/301699157760*ep*z3+
         15929811923654830202808320176748976485884178244923196356565549\
         72324605308676712695049832477002183576059628553/
         13849838396251193695908375305152384897869355885229026272892851\
         87926281420800000000000000*ep^2+368222178824875830830537/54*
         ep^2*z5+354869234434572853125986206396231/201132771840*ep^2*z4
         -733580325047928390115677241330965931671691/
         269227723925044684800*ep^2*z3+
         58685728360791809964254522162799291566746912223143448644125112\
         52807748548632389577815195920135132604077373597515871914384619\
         128428896335943589/2066254918152998299419875069106233330526913\
         63808308369704602489980071731068662068047800199547527763066880\
         000000000000000*ep^3+1366597786888434877347385/81*ep^3*z6+
         1554929857308965183675062817704819/100566385920*ep^3*z5-
         733580325047928390115677241330965931671691/
         179485149283363123200*ep^3*z4-41115559472747083533667620079913\
         5333459301993069777/172980822568336944797598842880*ep^3*z3+
         398591172267482922103009/162*ep^3*z3^2;
Fill mncnoptab(13,8,2,4)=
      +mncF321*(-18080703411283312800-451133622932973959440/3*ep-
         12451941027011778377327/27*ep^2-1739292293822271585696871/2268
         *ep^3)
      +429648533974942090610021552044554251982930985339/
      4830621011746821366147072000-972499322981636956/1053*ep^-3-
         1922721823791865950018466001/178276775040*ep^-2-40755084144001\
         991442441176374022431/988131115478707200*ep^-1+
         250564431458679132171322/1053*z3-85865512738162153677417364560\
         70207267207538678931423530113559170501239614694971066398105326\
         3547/999742628658678904693748532275722011166524431808229602754\
         56000000000000000*ep+125282215729339566085661/351*ep*z4+
         71011740840893600657248839408803/17827677504*ep*z3+
         98604311436695169220130818267445155417299753514448256245455092\
         996424887624780364382099690595950246881061/2538901591271817037\
         54531349263317766721240518672563489046927717171200000000000000\
         00*ep^2+8100964578617106738261038/351*ep^2*z5+
         71011740840893600657248839408803/11885118336*ep^2*z4-317832762\
         58821903902446160061058324497461/3458458904175475200*ep^2*z3+
         15660118156515617073166753649908827901427747817028272378232149\
         65219514712013978573754928013707452253855292116178314630196024\
         780010624365069530541/8328390031743120480163302704006737785927\
         68209455351901281220802958692686526013830560059284175231909888\
         0000000000000000000*ep^3+60130823260981602706529480/1053*ep^3*
         z6+312091289398222820305058516056799/5942559168*ep^3*z5-
         31783276258821903902446160061058324497461/2305639269450316800*
         ep^3*z4-784714578057572367170099851709239849357164278489/
         96612420234936427322941440*ep^3*z3+8768765911582777912025566/
         1053*ep^3*z3^2;
Fill mncnoptab(13,8,3,3)=
      +mncF321*(-19372182226374978000-161563022013159959500*ep-
         8959982819307533441989/18*ep^2-179854352897385389950535/216*
         ep^3)
      +1753918391833223215731110624820994518743579147/
      18402365759035509966274560-2054195428948288967/702*ep^-3-
         557317652301509198865984913/16978740480*ep^-2-5353716620635103\
         33050884840450208079/4611278538900633600*ep^-1+
         89502174444368489119327/351*z3-7904827433823276408151481159052\
         54091593258189265099250777298477787329845291619381620456805042\
         6102097/863455343759622827685530050877893155263240315428441531\
         2072592588800000000000000*ep+89502174444368489119327/234*ep*z4
         +253988175543062325040434781938257/59425591680*ep*z3+
         49833410763944596725849753299204790951646261062763893501360173\
         763869266000836309241419577813311478964966454917/
         12060358795168957361481204930047699701212431215427664051603466\
         407502675968000000000000000*ep^2+2893254476749600425382943/117
         *ep^2*z5+253988175543062325040434781938257/39617061120*ep^2*z4
         -3210636169970774392887923530379938791877/329377038492902400*
         ep^2*z3+562744457292562481969359891896036469385429678273242130\
         50267669074658062734815820757858745911446282073839063940992021\
         18385825996567016704894589281025482331/
         71904187001280790334962729138940667664932346512710469657309134\
         08719742317774751414861267041973385073340965086822400000000000\
         0000000*ep^3+21475653139511081967573755/351*ep^3*z6+1125933360\
         368471247671613085705493/19808530560*ep^3*z5-32106361699707743\
         92887923530379938791877/219584692328601600*ep^3*z4-28780928401\
         73997921481611015830086982793076356611/
         322041400783121424409804800*ep^3*z3+3131539079547384508614799/
         351*ep^3*z3^2;
Fill mncnoptab(13,8,4,2)=
      +mncF321*(-7748872890549991200-64928637712233572200*ep-
         1814565685748789169761/9*ep^2-14165126664511597027719523/41580
         *ep^3)
      +675008108750626944724871945574112418701251397363/
      17712277043071678342539264000-403670497270457909/351*ep^-3-
         263504931435047829452704033/19808530560*ep^-2-3800965699251579\
         940928051446798812667/76086095891860454400*ep^-1+
         35800758328139969850758/351*z3-3169652253854761244312329451011\
         65039947498724274585246079843570341420183555395302127998695143\
         4814508013/868177365170808265024435293343631633456086160903440\
         8208310489579520000000000000000*ep+17900379164069984925379/117
         *ep*z4+186693543119193191885934169869293/108946918080*ep*z3+
         79574352446513381395937514870461228369729474033600717852695009\
         86987373245772043935950358514474287915100199141737/
         48505255529320150388207221078035592235813746794548136357542691\
         45767482490880000000000000000*ep^2+1157301339488424612233662/
         117*ep^2*z5+186693543119193191885934169869293/72631278720*ep^2
         *z4-145793473652894529553009151221709990905087/
         38043047945930227200*ep^2*z3-
         36609074890975185995488273240099736435717856605675933451859745\
         48121473247341235643194759482571851335275711965232419918189503\
         804525970578694083663788462946663/
         14459482604788808931421411312783849888244989056540371007649508\
         68284735681715016417332257919221835404592159697928192000000000\
         00000000000*ep^3+8590258150342834667125570/351*ep^3*z6+2290232\
         39791251250327968988214441/9904265280*ep^3*z5-1457934736528945\
         29553009151221709990905087/25362031963953484800*ep^3*z4-
         33053255983668579966699009803890371430452195540953/
         8856138521535839171269632000*ep^3*z3+1252616487689967620095358/
         351*ep^3*z3^2;
Fill mncnoptab(13,8,5,1)=
      +mncF321*(-968609111318748900-8171853918157414100*ep-
         923971339848769602235/36*ep^2-7318728427830503580128369/166320
         *ep^3)
      +356890798566680189552192746641297271530556489167877/
      74958356446279342745626165248000-26390836242372113/11232*ep^-3-
         11400483292794649477640753/79234122240*ep^-2-19582552330751739\
         237024363169891592363/13999841644102323609600*ep^-1+
         8947984830837802751201/702*z3-36683471709668519620005143460612\
         40877942550987051829778558641766736775967827619752290835851040\
         23307767069043/80710813925739573994097606076806532692796306116\
         33131380538844751373271040000000000000000*ep+
         8947984830837802751201/468*ep*z4+
         93651957396829069136607925300771/435787672320*ep*z3+
         42005238653333014667159672917798845691281943500660063242590349\
         55833828553262129468322352669163977695604087461358093449/
         20742920200776048117028528895774449704788839207938324481207369\
         214226809981969104896000000000000000*ep^2+
         1157270173200619776127831/936*ep^2*z5+
         93651957396829069136607925300771/290525114880*ep^2*z4-
         3268023249515977697854132654928106173192669/
         6999920822051161804800*ep^2*z3+
         88435149041749729389503730271572964723916875087814750814934727\
         30957471437549652098258393401588559072747658762088630599122201\
         82503308190662621028060161780517/
         11048225075985571559028931419400557955426375311772887561763216\
         43032255182110412544182035438687051378529193042661867520000000\
         0000000000000*ep^3+17180092901392540586893445/5616*ep^3*z6+
         117317972239494520173204908166307/39617061120*ep^3*z5-
         3268023249515977697854132654928106173192669/
         4666613881367441203200*ep^3*z4-1854826829870183811810248521829\
         9933931122883840757937/37479178223139671372813082624000*ep^3*
         z3+1252714163966127257626259/2808*ep^3*z3^2;
Fill mncnoptab(13,9,1,4)=
      +mncF321*(-534202600787916060-27220263459326370433/6*ep-
         7775810289282493364903/540*ep^2-15593300278591754762007793/
         623700*ep^3)
      +1344594629956512930612894886545071759144278071289/
      511777581563127055614197760000-1650741685024043/1296*ep^-3-
         9614499526350085708200071/241359326208*ep^-2-37190401384631917\
         651949256964219697/109888866908181504000*ep^-1+
         2277674560792297245911/324*z3-13018971897829809556945769217463\
         48381572577924900398452499555357762399769234886487925739725190\
         80463/52398203040142168390068842304855980288641058050876988945\
         84807424000000000000000*ep+2277674560792297245911/216*ep*z4+
         358761504880710559114995894176317/3016991577600*ep*z3+
         84036125617921658292800692829630570554618320443983476107686583\
         6577647933954177845920370021822476203916262859/
         76514174175718090172708100179134269246041642446298750056718322\
         32405237760000000000000000*ep^2+36822239331839883830747/54*
         ep^2*z5+358761504880710559114995894176317/2011327718400*ep^2*
         z4-675682763463724682908409319933296955824317/
         2692277239250446848000*ep^2*z3-
         38974293587609589079299332870641535468493157716392459808942958\
         17835804460476794021338917180030137768773476362950540283733264\
         331534412476462313498034369/8118465225617798622166510585269325\
         11819006205807402840737265409182563019106119046143733174419054\
         024704110100480000000000000000000*ep^3+
         1093278807151235028692855/648*ep^3*z6+168070951786069339282144\
         7104423273/1005663859200*ep^3*z5-67568276346372468290840931993\
         3296955824317/1794851492833631232000*ep^3*z4-12492243104867582\
         004756339959363736608622879984283331/
         43245205642084236199399710720000*ep^3*z3+
         39859032303988103227465/162*ep^3*z3^2;
Fill mncnoptab(13,9,2,3)=
      +mncF321*(-1356052755846248460-23060735264707688471/2*ep-
         6600757654367775051241/180*ep^2-1206379050100814729433841/
         18900*ep^3)
      +429503691684586061864486523228004953263312187409/
      64408280156624284881960960000-972715007457708889/5616*ep^-3-
         965159806704551051380409251/475404733440*ep^-2-103200039487982\
         257609665144586752673/13175081539716096000*ep^-1+
         25059617664187984384573/1404*z3-329817181040903034882303979244\
         93068185082997121261677447007894824561080605454868480528635962\
         4559/521347267093118480669925160534895033971283851846661955806\
         8224000000000000000*ep+25059617664187984384573/936*ep*z4+
         359032140580820470679233278560317/1188511833600*ep*z3+
         40811362471519122424382695603184616189532298580763360554501679\
         5618582883411691484768058369633153955271023/
         14563891794673297139815487175519502114735456122965419697625246\
         23536128000000000000000*ep^2+405053878253333437600681/234*ep^2
         *z5+359032140580820470679233278560317/792341222400*ep^2*z4-
         29226831002939192339360580413980686164459/46112785389006336000
         *ep^2*z3-64011484544664889539605216311965988752439158706256096\
         74685268841398452519036979386681463703571747373379484257984112\
         23926256491405834837620407505428225727063/
         26221285305723640224537191826745346001205039040377867632545561\
         73316132684033379580621728301689355917216600228364288000000000\
         0000000000*ep^3+12026318259279063206097565/2808*ep^3*z6+
         1688019030029782467494965408423273/396170611200*ep^3*z5-
         29226831002939192339360580413980686164459/30741856926004224000
         *ep^3*z4-23840654132885233021700119897269372056581787857619/
         32204140078312142440980480000*ep^3*z3+438420979391538892162403/
         702*ep^3*z3^2;
Fill mncnoptab(13,9,3,2)=
      +mncF321*(-968609111318748900-16520702783750139205/2*ep-
         950346742004328671683/36*ep^2-384474683854891514448919/8316*
         ep^3)
      +674842281672985000450301843625786338734676189261/
      141698216344573426740314112000-1092524175255942971/5616*ep^-3-
         1072617599837272001988416537/475404733440*ep^-2-17326666855018\
         01204166688857304715867/202896255711627878400*ep^-1+
         17901956056726528341383/1404*z3-447684390985271360448010081039\
         33721146223947785044418721758830861734155615218790745061764235\
         4158284823/992202703052352302885068906678436152521241326746789\
         5095211988090880000000000000000*ep+17901956056726528341383/936
         *ep*z4+565079073158384609610750381280553/2614726033920*ep*z3+
         55276703601650736925904404588000415993212768068227931546590667\
         7467001487908316194949626338975831626859326724851/
         27717288873897228793261269187448909849036426739741792204310109\
         40438561423360000000000000000*ep^2+289328125190816883260411/
         234*ep^2*z5+565079073158384609610750381280553/1743150689280*
         ep^2*z4-9074687131803982360749525542848583350019/
         20289625571162787840*ep^2*z3-
         26470589176886424067953944770295996466806820490590807539211052\
         55910081752864510567391454485445724252898835101340948480141384\
         20153243569109019448190166751682071147419/
         83840096277224902566202960907473855806739339265337817595604610\
         95923980336921958382146478273029369499553521136281047248404480\
         0000000000000000000*ep^3+8590333975440873856105415/2808*ep^3*
         z6+34803699260409580642157543935801/11319160320*ep^3*z5-
         9074687131803982360749525542848583350019/13526417047441858560*
         ep^3*z4-38304987305377952525437805017481513290564403655943/
         70849108172286713370157056000*ep^3*z3+313145415472246756196233/
         702*ep^3*z3^2;
Fill mncnoptab(13,9,4,1)=
      +mncF321*(-193721822263749780-3320109522253815137/2*ep-
         962492686604710814923/180*ep^2-1966537790390546223360119/
         207900*ep^3)
      +356724257013342032702758105150054419291740324551261/374791782231\
      396713728130826240000-9227755105149887/5616*ep^-3-
         42347984691839207177826739/792341222400*ep^-2-3178925268214393\
         2401706035213652533351/69999208220511618048000*ep^-1+
         3579229397574893120411/1404*z3-1113024030630019065440460332995\
         49826395696623200217968490263861576293211164583432144684354426\
         4156534930871/124170482962676267683227086272010050296609701717\
         432790469828380790358016000000000000000*ep+
         3579229397574893120411/936*ep*z4+18877915307337239163029049107\
         0051/4357876723200*ep*z3+6269415462525811412232624359203988950\
         65086930526361029995798246060241879601471698173245355534162225\
         28575288943407789/15956092462135421628483483765980345926760645\
         54456794190862105324171293075536084992000000000000000*ep^2+
         57863571998268385751807/234*ep^2*z5+18877915307337239163029049\
         1070051/2905251148800*ep^2*z4-30696845760661611877212004042067\
         63539420523/34999604110255809024000*ep^2*z3+
         17518527506655140322838839131432744566120334604310220720617651\
         64146300935585529913086544585217347514666934949989689711876313\
         75002056185979591293053771412549/
         84986346738350550454068703226158138118664425475176058167409357\
         15632732170080096493707964912977318296378408020475904000000000\
         00000000000*ep^3+1718011012960177106952155/2808*ep^3*z6+
         247626582071893133970568047281807/396170611200*ep^3*z5-
         3069684576066161187721200404206763539420523/
         23333069406837206016000*ep^3*z4-419542304959968877430158765278\
         5604315597928708495627/37479178223139671372813082624000*ep^3*
         z3+62635516229096016554677/702*ep^3*z3^2;
Fill mncnoptab(13,10,1,3)=
      +mncF321*(-25438219085138860-4013412777845189719/18*ep-
         1205601248397083506409/1620*ep^2-2571295599265648426059899/
         1871100*ep^3)
      +661638893354837302568995889155189042776457611847/
      5295331303112355452987719680000+2368575856195/3888*ep^-3-
         21461419205232829797723781/3620389893120*ep^-2-499369966779355\
         95594337929873668699/769222068357270528000*ep^-1+
         325375808733090951665/972*z3-424427359213636406072954584491265\
         963924548333579699932126043696973941880453368705821358889711711
       /365955703772421493517941120859311608365112151466442462478938931\
         200000000000000*ep+325375808733090951665/648*ep*z4+
         572284546411687176029377525441/99461260800*ep*z3+
         58506367406236663003010936798243738126295407655058398618798960\
         495228385452655856703636500947613848395625477/
         11756463587634144648758958884666979782566398394923363500778307\
         303124238336000000000000000*ep^2+5260311794081126323565/162*
         ep^2*z5+572284546411687176029377525441/66307507200*ep^2*z4-
         84093067048266315111043054472222746745531/
         8076831717751340544000*ep^2*z3+
         52317054010639274218249592794682111860053044575215610438316166\
         47440898846718796900490766805291193574011010607795541195960864\
         894131304375183116758053961621588879121/
         41620159852546683063916681863278531169019106544611885757649799\
         11097284254616445967971112936130767619991237497288911489073152\
         000000000000000000*ep^3+156182474778768334948625/1944*ep^3*z6+
         38115006565881321772206129109177/430998796800*ep^3*z5-
         84093067048266315111043054472222746745531/
         5384554478500893696000*ep^3*z4-1705952395719234594693704010120\
         26220546541584352121/9979662840480977584476856320000*ep^3*z3+
         5694201810144958643983/486*ep^3*z3^2;
Fill mncnoptab(13,10,2,2)=
      +mncF321*(-43049293836388840-3400688890364672753/9*ep-
         1023798552863489220943/810*ep^2-2189557980855569710452193/
         935550*ep^3)
      +674586318539716700540026004901695075748568929197/
      3188209867752902101657067520000-334614046510460191/25272*ep^-3-
         325275883212028615164635269/2139321300480*ep^-2-86640383159126\
         3743078561429042032121/1521721917837209088000*ep^-1+
         3581084354249927266939/6318*z3-2483349282035014852275509936739\
         07341095797124099092163535826369007429048085849749516136719997\
         2437/129033448605546823965806477232386520907892753332048834062\
         1885440000000000000000*ep+3581084354249927266939/4212*ep*z4+
         573455415710813262563387003598761/58831335763200*ep*z3+
         29515297214706133607839019639014269284619727510710965318496022\
         89278545598596539907061643818535044213274349/
         36045632191816410421043330759410767733970253904339413751622484\
         4325191680000000000000000*ep^2+57866820735562471339423/1053*
         ep^2*z5+573455415710813262563387003598761/39220890508800*ep^2*
         z4-39925562701225214460542365954277217313247/
         2282582876755813632000*ep^2*z3+
         38228020304694334453417896905790131993835961432403408282727358\
         38769015205730182337620943340730013129049557296455046981064278\
         22659862857516468071730675014766427197328797/
         17855048576742527034420256519346489871509196707638498990031763\
         81860734945230455320259607449600099308976240886336943028812382\
         20800000000000000000000*ep^3+1718099200295624503847995/12636*
         ep^3*z6+268060590932738064262188159330319/1782767750400*ep^3*
         z5-39925562701225214460542365954277217313247/
         1521721917837209088000*ep^3*z4-6640917021913701642997156243042\
         362023540882604001/227729276268064435832647680000*ep^3*z3+
         62625052639457459477525/3159*ep^3*z3^2;
Fill mncnoptab(13,10,3,1)=
      +mncF321*(-15374747798710300-2436490346291740915/18*ep-
         1031927605128293328379/2268*ep^2-444089264989271118155507/
         523908*ep^3)
      +50882571294321858414794574638346833649444919363067/6746252080165\
      14084710635487232000-104984912004232763/353808*ep^-3-
         285909923910454498751948057/29950498206720*ep^-2-7817799836417\
         315024230118395784622127/97998891508716265267200*ep^-1+
         17896090138494312069959/88452*z3-45699502741658613897852824129\
         88848996079236516160117510364866223862437380573155232843009821\
         81722000894177/65886378714889448158447025368821659341058209074\
         5561745350109775622307840000000000000000*ep+
         17896090138494312069959/58968*ep*z4+
         82025263023922722834022759686479/23532534305280*ep*z3+
         99957800690557045747570711265958805069691513316240013162106000\
         094313776466123176719327953226415942838762209308947/
         33865992164532323456373108401264407681287900747654407316256929\
         329349893848112824320000000000000*ep^2+
         289317989818556449928603/14742*ep^2*z5+
         82025263023922722834022759686479/15688356203520*ep^2*z4-
         181010526672450875129935671424952514381989/
         29399667452614879580160*ep^2*z3+
         48249432295531688991790453121965451133599522837866969659040826\
         04214591688624209619120406777837919374913632989154778792241581\
         06607112994138527512426495326452712917121/
         77787965712140096188537697606980990880282003871140253853134727\
         08941246362746484068613105672329056995737354421020642788140646\
         400000000000000000000*ep^3+8590059243864221937508295/176904*
         ep^3*z6+270635053021150322616679772478607/4991749701120*ep^3*
         z5-181010526672450875129935671424952514381989/
         19599778301743253053440*ep^3*z4-249994773548315714040950344653\
         12330036142737812052919/2361188228057799296487224205312000*
         ep^3*z3+313179415825459657584169/44226*ep^3*z3^2;
Fill mncnoptab(13,11,1,2)=
      +mncF321*(-462513074275252-383366274635307509/90*ep-
         1365264493533625593269/89100*ep^2-41309921522518634832697/
         1336500*ep^3)
      +1406316499955354131901007286191911591167073061281/62047468964729\
      5562860952371200000-27533056713411773/213840*ep^-3-
         9465745590738349458238391/5689184117760*ep^-2-8856104647520206\
         365553230482138641/1170555321413237760000*ep^-1+
         29594477996924184547/4860*z3-149766714185022435578683824185792\
         489340540765673079001649845462999361268456371919037807734551/
         74414240267240395384082969710374661564925940293753088717619200\
         00000000000000*ep+29594477996924184547/3240*ep*z4+
         53443311739910827373319544766491/497803610304000*ep*z3+
         39142447399750777283207722698061747212750787982183638896409726\
         13546500708037375643142685236721611210937/47811704918654093144\
         16908744873438982853829574983621654412946625789952000000000000\
         0000*ep^2+5260594269162520268549/8910*ep^2*z5+
         53443311739910827373319544766491/331869073536000*ep^2*z4-
         63425443179697580112660976449979376680811/
         444225744476323729920000*ep^2*z3-
         50592805135908662079004470150536696402599426709725283496380285\
         32712143608055537503608350900392502532819490204232090777993082\
         570277779542974266825315595558368617/
         77860843261566924099163860628582286200545947617471214852746222\
         82664987551153215246204462975754837384337349059554086119014400\
         0000000000000000*ep^3+31238026357008955581277/21384*ep^3*z6+
         28221048829224708776007416152589/15084957888000*ep^3*z5-
         63425443179697580112660976449979376680811/
         296150496317549153280000*ep^3*z4-28349711859309353271709778219\
         75825731715890278084293/7135458930943898972900952268800000*
         ep^3*z3+5693254820992425123559/26730*ep^3*z3^2;
Fill mncnoptab(13,11,2,1)=
      +mncF321*(-391357216694444-324858047092785283/90*ep-
         105406115241042069233/8100*ep^2-3198108390641343937489/121500*
         ep^3)
      +32317707180910674683273246987817256074504280741303/1686563020041\
      2852117765887180800000-34506059040239933/252720*ep^-3-
         1062315603331250201153413/611234657280*ep^-2-33806549534038084\
         271928387371291933/4320938779043927040000*ep^-1+
         325567149991648355777/63180*z3-1844614761046384741078298782236\
         93604836678683340632826702152829312028088193684685832715954209\
         99429/10985072670673037018252833178913913468592404406701141672\
         54564208640000000000000000*ep+325567149991648355777/42120*ep*
         z4+53487086433801684727641698212891/588313357632000*ep*z3+
         95606908454899203252674085682335485769317707338202032612410904\
         118306986842549316948719124879922909117746887/
         14115982402131912921705217571607139806566021909519644385307691\
         19451512045568000000000000000*ep^2+5260650053260662041669/
         10530*ep^2*z5+53487086433801684727641698212891/392208905088000
         *ep^2*z4-5707151217784665570213883491204984318721/
         47726732877621557760000*ep^2*z3+
         22819133787240315437121602121364197695881596409381699312683707\
         99126801649781549452074893667036105132798353030491662142581940\
         475649109127122170731412977448148645059/
         49973313800795410941817627576013499348830404779396382012916889\
         98793893724260166494021058751067333342907263122109228302215413\
         76000000000000000000*ep^3+31238333169572323894237/25272*ep^3*
         z6+311754845423731488230764191912079/196104452544000*ep^3*z5-
         5707151217784665570213883491204984318721/
         31817821918414371840000*ep^3*z4-284950927246929889141856028118\
         0776142891943914336133/8432815100206426058882943590400000*ep^3
         *z3+5693143252910714586919/31590*ep^3*z3^2;
Fill mncnoptab(13,12,1,1)=
      +mncF321*(-1828114918084-18387138329857843/990*ep-
         74949380165567744923/980100*ep^2-2630350128209315651459/
         14701500*ep^3)
      +31807581637427077664590916538032122906456511586103/3610542219057\
      612880287881848012800000-10368122369533771/2352240*ep^-3-
         59580956651371525036591799/1439363581793280*ep^-2-104236159728\
         7938815995546761155120743/6811461415303630525440000*ep^-1+
         1285617441608631509/53460*z3-923958088268382425369154815031681\
         982429302481867476663518763042223/1330266301584142180736842313\
         8846834418088148992000000*ep+1285617441608631509/35640*ep*z4+
         56290153801061563964898198014491/125944313406912000*ep*z3+
         58253072451737667659591415547746010436240400632812462591429414\
         76524985836769/23741834166775346047091269323357990245968520572\
         903096320000000*ep^2+228737956358404919203/98010*ep^2*z5+
         56290153801061563964898198014491/83962875604608000*ep^2*z4-
         18316261025759667728070099700392286115531/
         112389113352509903669760000*ep^2*z3+
         39729800030483988397051086237880626962675914940762639698024951\
         23698501768970157255323091681489328151558326351142401077592417/
         10063235698367313358107436599120189910715030507722736106289346\
         32847450235066825654655518769152000000000000000*ep^3+
         1358285946292734568619/235224*ep^3*z6+
         36684733790146866921001591000589/3816494345664000*ep^3*z5-
         18316261025759667728070099700392286115531/
         74926075568339935779840000*ep^3*z4-383569234063102735816024443\
         3209367678947580743728133/1805271109528806440143940924006400000
         *ep^3*z3+247849425853780014353/294030*ep^3*z3^2;
Fill mncnoptab(14,1,1,11)=
      +mncF321*(-1497453128678079496-28347998540419556772389/2340*ep-
         29840486833209084907157761/842400*ep^2-
         2459205680073243310394284483/44478720*ep^3)
      +265383966431313946361466436543034471632564177480338901/360201673\
      56596019880085716193280000+138960119135254687/32853600*ep^-3+
         1247800158364595203377276263/58635231310656000*ep^-2-394422196\
         4377827977112586081231038107/52324408144832434490880000*ep^-1+
         80925369179578137109056583/4106700*z3-116971715238290026803517\
         38769600951881776150818244839767847254894942849074019528137691\
         175019/1606261405456735014774503084201316589784236022034736349\
         18400000000000000*ep+80925369179578137109056583/2737800*ep*z4+
         59624936617775165323071616083889111/183235097845800*ep*z3+
         34879686806239181026737783401679679312773230130824000098948432\
         96493279230455842688090690018928262301763/10320349447111008247\
         935445321295713222855043373497642068784084680704000000000000000
         *ep^2+1744391319555878631523914283/912600*ep^2*z5+596249366177\
         75165323071616083889111/122156731897200*ep^2*z4-96416958225335\
         7590537730056886482649869074781/1154214885547774290240000*ep^2
         *z3-5643619764978143548061327063879814582930456413404552198905\
         19932844497790448604115924798529672718612312249311056392369193\
         7963018199727/867342211853198390197053617885771074534280625586\
         87396714851854328387567151995268257703526400000000000000000000\
         00*ep^3+15537671137643751409497115381/3285360*ep^3*z6+11479483\
         370478783682345144929055179689/2931761565532800*ep^3*z5-
         964169582253357590537730056886482649869074781/
         769476590365182860160000*ep^3*z4-15384146967749503260273363567\
         4141636937552797758105733817/315176464370215173950750016691200\
         000*ep^3*z3+5664775991222595236040761693/8213400*ep^3*z3^2;
Fill mncnoptab(14,2,1,10)=
      +mncF321*(-10696093776271996400-20203115841426445909135/234*ep-
         4237426290589545974777143/16848*ep^2-
         935941621891551102967157867/2395008*ep^3)
      +3036430286848815552972252522441302413397345767104709/
      57698208580359757244988561408000-67907167696817351/657072*ep^-3-
         1861659881691277532731283/2683534613760*ep^-2+
         84727115036925355105563432581729/342101393558891366400*ep^-1+
         11560767552205126563185617/82134*z3-38102086801511642975203094\
         78633130962028970878704437665397204265847445471971905722135113\
         859/7312619670753292009933303213634802733210179649875109478400\
         000000000000*ep+11560767552205126563185617/54756*ep*z4+
         97351034367572986260761751946429/41930228340*ep*z3+
         21637528813018931229009874222875358392953777191816435158539989\
         317694400634415536979201827673735324635893/8926984189949567775\
         102055678374781689334568410027708700229711691776000000000000000
         *ep^2+249198761389445081098412557/18252*ep^2*z5+
         97351034367572986260761751946429/27953485560*ep^2*z4-129543104\
         6500769634376934422581317065139/215610121990897920*ep^2*z3-
         36370401670810296441533417211686436684124936346802251177537115\
         86686806625452858867200830323492039928002698482121377976738459\
         8239936719657/407681007995763354640969880532151910111965260308\
         45987321953062033623143955077845481755707965440000000000000000\
         00000*ep^3+11098336587002977383796708895/328536*ep^3*z6+
         18597109416164823362693583281230223/670883653440*ep^3*z5-
         1295431046500769634376934422581317065139/143740081327265280*
         ep^3*z4-48548647014071033666271553095986548503160176397375411/
         14424552145089939311247140352000*ep^3*z3+
         809253699253714931697770411/164268*ep^3*z3^2;
Fill mncnoptab(14,2,2,9)=
      +mncF321*(-68760602847462834000-14415287546274022017005/26*ep-
         21126981730622565025773683/13104*ep^2-
         302697882006240613310920380119/121080960*ep^3)
      +545294491869685663816357000419449181803473383546539/
      1611817210919522729171073024000-134763131622332659/511056*ep^-3-
         167852521314760265008017373/39656678181120*ep^-2-3984405895620\
         1657781179259025430033/1538629939146511411200*ep^-1+
         57803836491447212111317445/63882*z3-22455637444639893940412443\
         292069622839637818065483024433192814175554192316338430123910537
       /669655854467188218989921752555273418863429123099852800000000000\
         0000*ep+57803836491447212111317445/42588*ep*z4+924348415564422\
         5704774150201509263/619635596580*ep*z3+29200238857362809045008\
         65693459970761655168498219874274706406420184802409333465971208\
         3590788428567/187069080816485017800605398772434368812603947133\
         9638427222016000000000000000*ep^2+177999114901786488099976775/
         2028*ep^2*z5+9243484155644225704774150201509263/413090397720*
         ep^2*z4-1315214135436284660285654078397714850492663/
         33940366304702457600*ep^2*z3-123125728764187548749331461138142\
         10515399913598390619979701013067341282497645554298750583309316\
         546052937397570566136939454915824609/
         33885849585646148134417019584419946504892904061669024460544224\
         4519295035828602174177280000000000000000000000*ep^3+
         55491682829148271630379509675/255528*ep^3*z6+17591763686890051\
         94647512510399433441/9914169545280*ep^3*z5-1315214135436284660\
         285654078397714850492663/22626910869801638400*ep^3*z4-
         8564075676016915224550056875998734983135858094313133/
         402954302729880682292768256000*ep^3*z3+
         4046268534396798820128637735/127764*ep^3*z3^2;
Fill mncnoptab(14,3,1,9)=
      +mncF321*(-28879453195934390280-12126463594283687181225/52*ep-
         1414123425748106969812829/2080*ep^2-
         1108944391226080152810241997/1048320*ep^3)
      +5244741780071623652262078006887528430513033297770333/
      36911311886425433927770460160000+6687757879613107/81120*ep^-3+
         2774478197552764573380623/5150217945600*ep^-2-6756098237189023\
         52611634020791929/417809782767057408000*ep^-1+
         3853589054131200648048763/10140*z3-583484832243012698484707487\
         66767524737700711493173345205404799163366450204311410443877772\
         6173/414792141593570570350201059951855140444941054438482640896\
         000000000000000*ep+3853589054131200648048763/6760*ep*z4+
         504548910759798529905295501281391/80472155400*ep*z3+
         39835936016735545969987216260480020775426686612832771215596417\
         46214719782738954591580453099249379337751/60915896604818599408\
         1038142811657381269968304522653971912420281548800000000000000*
         ep^2+249198760542077336820906989/6760*ep^2*z5+5045489107597985\
         29905295501281391/53648103600*ep^2*z4-111738693298057690881687\
         27672927099733511/689662006368192000*ep^2*z3-
         25231064331897016220658788018108268361802291379286030767023970\
         67908659405243218695051607828227776354400807939978084384149250\
         84915953711/58719486748360977005901011599281139316538206217267\
         882974006467949662964544350806249442377728000000000000000000000
         *ep^3+739889103517969609166623441/8112*ep^3*z6+321706801363515\
         05580861922604111639/429184828800*ep^3*z5-11173869329805769088\
         168727672927099733511/459774670912128000*ep^3*z4-1683159750581\
         2527943421590838749818893539870630563103/
         1845565594321271696388523008000*ep^3*z3+
         269751236650043244060550553/20280*ep^3*z3^2;
Fill mncnoptab(14,3,2,8)=
      +mncF321*(-165025446833910801600-17321986760191816458030/13*ep-
         1413873266204927170982141/364*ep^2-
         1108819416789027351834151045/183456*ep^3)
      +9914439758967368110784324066363452663644826785749/
      12210736446360020675538432000-217606976123031913/14196*ep^-3-
         163175758044112870484936317/901288140480*ep^-2-254320824517482\
         31510698648108823217/34968862253329804800*ep^-1+
         7707179453659597558582606/3549*z3-1398760199304401670580157462\
         64419858517753849698501612457094573801591262160861138698514409\
         03/17402681517966053841000591544530167972713364336557424640000\
         00000000000*ep+3853589726829798779291303/1183*ep*z4+2018108489\
         794546091464274788097821/56330508780*ep*z3+
         36349728697062273007770164969950317094485345280686072509939433\
         1769957146180695894064899949984103881751/972291547543680880018\
         6465601197276319035090152287770725486428160000000000000000*
         ep^2+35599823597881108798849727/169*ep^2*z5+201810848979454609\
         1464274788097821/37553672520*ep^2*z4-1190544059243900711849855\
         4270254493412427/128561993578418400*ep^2*z3-
         39861703653641616552151344324119668222761254030238904290166935\
         84696057476622102923909260299805995202646923184979409103667261\
         93391619989/62963508901649018136986104196183105225407160617637\
         59978154010185553303516670996286023925760000000000000000000000
         *ep^3+3699445580509218436086308305/7098*ep^3*z6+32159380460695\
         513036541174518795511/75107345040*ep^3*z5-11905440592439007118\
         498554270254493412427/85707995718945600*ep^3*z4-63485265584004\
         70758014343347710009322058212929799/
         122107364463600206755384320*ep^3*z3+
         269751220971822543443411317/3549*ep^3*z3^2;
Fill mncnoptab(14,3,3,7)=
      +mncF321*(-346553438351212683360-36456562020525973856607/13*ep-
         4267567758368156220685047/520*ep^2-
         50468007564609081586673237489/3931200*ep^3)
      +29743226966544836647816852178598849185635615216879/
      17443909209085743822197760000-6118177051704257507/20280*ep^-3-
         4569384032857924574327899423/1287554486400*ep^-2-2065982153255\
         677713543642888907239937/149866552514270592000*ep^-1+
         11560783938777438035539517/2535*z3-752018096668218766953903766\
         10243474558196387307516736147570197916148101722406854731312957\
         863/4464827911314905941714437480812404611075148867688202240000\
         000000000000*ep+11560783938777438035539517/1690*ep*z4+60608795\
         15208549707221602785482561/80472155400*ep*z3+
         48755053766052104587938589073055952447620193538354076267624421\
         9339274018901977861263806078572568579743/623627231660669952198\
         5488140709623295007929543741427287484006400000000000000000*
         ep^2+2242789202582638491696372953/5070*ep^2*z5+606087951520854\
         9707221602785482561/53648103600*ep^2*z4-5320467800233344925539\
         7010101573515718883/275489986239468000*ep^2*z3-
         53256998603195745759186842977628984322825998845939574475787237\
         96989603328914579616350010888246186308667372133331566001304175\
         6338361333/200000705771168892818859095378129869159699546707142\
         618770184302437122843900364285747920896000000000000000000000*
         ep^3+2219667634705083615625293919/2028*ep^3*z6+324417198977439\
         14061775544452644647/35765402400*ep^3*z5-532046780023334492553\
         97010101573515718883/183659990826312000*ep^3*z4-49130187085189\
         7847547276758157062932855777498545333/
         4360977302271435955549440000*ep^3*z3+
         269751114190658541568343469/1690*ep^3*z3^2;
Fill mncnoptab(14,4,1,8)=
      +mncF321*(-38505937594579187040-4055115823087561121120/13*ep-
         178337790568306881751393/195*ep^2-23488986394495261251728617/
         16380*ep^3)
      +552077974506607169154322518594778793594632092706309/
      2914050938402007941666088960000-602079468271974/845*ep^-3-
         1524744654416347475437903/203298076800*ep^-2-10847186978300627\
         3066720196690529/3702396034187136000*ep^-1+
         1284529755989046532475026/2535*z3-2918051905309366385017561952\
         07726992522388943030373513904763944540495757730650661521979392\
         982531/1560177876003842989035978296059041974808446870716062420\
         17280000000000000000*ep+642264877994523266237513/845*ep*z4+
         851100277209992749555631466724193/101649038400*ep*z3+
         43469713814068725884610957259311918955561265745813148939386595\
         847487791288092350888962524802730803177169791/
         50121296649821010737291750110875076359909712218801406139831402\
         10278400000000000000000*ep^2+124599380942113337197738042/2535*
         ep^2*z5+851100277209992749555631466724193/67766025600*ep^2*z4-
         16301632512102832976601054237899140064507/762258007038528000*
         ep^2*z3-355411168170397617134826631337974017549134965654581784\
         26539110162524127351806456646860061884796398440654968464529445\
         7433083813495936203561607829/887963491943916674856582092407043\
         79798852946736605985640315127665138199478894661639335662810300\
         41600000000000000000000000*ep^3+20552475197687381777543836/169
         *ep^3*z6+3429509294151697448462397132541717/33883012800*ep^3*
         z5-16301632512102832976601054237899140064507/
         508172004692352000*ep^3*z4-37057342365507524919504549904597955\
         54033192531240131/291405093840200794166608896000*ep^3*z3+
         44958538457520638581660238/2535*ep^3*z3^2;
Fill mncnoptab(14,4,2,7)=
      +mncF321*(-192529687972895935200-20290514267929689349720/13*ep-
         178703067716384265777019/39*ep^2-39299859121788491461541141/
         5460*ep^3)
      +19828801701771698142911771140965658754016023318539/
      20932691050902892586637312000-52871419387717579/507*ep^-3-
         991530754128386639925035113/772532691840*ep^-2-161706333229505\
         126417669281294854257/29973310502854118400*ep^-1+
         1284530839409490202123682/507*z3-26284993138891822610580177397\
         03507307550446217380245074549790979401839499463776569994064145\
         4069/281284158412839074328009561291181490497734378664356741120\
         0000000000000000*ep+642265419704745101061841/169*ep*z4+1617675\
         5343908494119072006657010463/386266345920*ep*z3+
         17009988240585859318217718591457829148516045000617320368832869\
         8136750557890734201961094749773119497988561/
         39288515594622206988508575286470626758549956125570991911149240\
         32000000000000000000*ep^2+124599392609765261514269614/507*ep^2
         *z5+16176755343908494119072006657010463/257510897280*ep^2*z4-
         94044945142313678973067475104597023545053/881567955966297600*
         ep^2*z3-422256163759190860450568097128678860363435840245326170\
         15571141542173939032795598830869466151513077627559016916470508\
         401690147028036399150665686234913/
         22522999812044047642137746337587084220862871689856573404927651\
         55982571871866825141753985384050002493440000000000000000000000\
         00*ep^3+308287154425889428280364830/507*ep^3*z6+65349531054715\
         779789439386756319867/128755448640*ep^3*z5-9404494514231367897\
         3067475104597023545053/587711970644198400*ep^3*z4-672034805613\
         371532873041438076739009197402040337441/
         10466345525451446293318656000*ep^3*z3+
         14986175619700221949047486/169*ep^3*z3^2;
Fill mncnoptab(14,4,3,6)=
      +mncF321*(-346553438351212683360-36629596212849637672752/13*ep-
         1621225352112229603139917/195*ep^2-
         3230523845920766160093864779/245700*ep^3)
      +59486299578614129256607037595732913665599076109093/
      34887818418171487644395520000-13563435521240451352/7605*ep^-3-
         26038246208378254607901672943/1287554486400*ep^-2-365467137675\
         5025516322929123753064039/49955517504756864000*ep^-1+
         34682601083124567590890246/7605*z3-143492834939627795755634008\
         45901849260010005779798266234689407774733358723933669667238538\
         483/8542400340525968000729153343391080250781534823383040000000\
         00000000000*ep+17341300541562283795445123/2535*ep*z4+486000351\
         27108219275704300080865073/643777243200*ep*z3+
         21417720333489488616839483467938068318997574044177057389351623\
         170355467300079364826218886498529833199/2761041462488208170890\
         85956642988044348048828678044301393920000000000000000000*ep^2+
         1121395483424409803532283394/2535*ep^2*z5+48600035127108219275\
         704300080865073/429184828800*ep^2*z4-2795176065812951152955786\
         79574185695630971/1469279926610496000*ep^2*z3-
         10488594079589578568885138173126081613074150651013286699779426\
         02694710771379381969318837878135861510827610058357197516069898\
         1708804547523706712499/216503251668568928828594130722147363850\
         35295176584993660459883930622178596767766077197434185632972800\
         0000000000000000000000*ep^3+1664751924595052421502979968/1521*
         ep^3*z6+66099043095689610276439047846546199/71530804800*ep^3*
         z5-279517606581295115295578679574185695630971/
         979519951073664000*ep^3*z4-20968412489567761945101893038676014\
         17060163357192367/17443909209085743822197760000*ep^3*z3+
         1213877261155194397027229458/7605*ep^3*z3^2;
Fill mncnoptab(14,4,4,5)=
      +mncF321*(-288794531959343902800-30687896636888878015860/13*ep-
         822473843732756857281860/117*ep^2-63800910450608113281224513/
         5670*ep^3)
      +59487761187482275474317353857775483587691121489991/
      41865382101805785173274624000-249896483525678412445/36504*ep^-3-
         58558255159531438686385914611/772532691840*ep^-2-1563694474679\
         2109068717318168927080493/59946621005708236800*ep^-1+
         17341837260914897737231412/4563*z3-492144601937216288926292860\
         30191780972115427897744766664829312293054244979857090184271688\
         42504519/35396798494671669113436723192882278764234894211122652\
         3025408000000000000000*ep+8670918630457448868615706/1521*ep*z4
         +24364342569192693502001580157040983/386266345920*ep*z3+
         31634242106213146391731468049524936448223530410590425119885941\
         758046042429842092364285499327325555473172267/
         49440668024272585274339191140494636712959264788418536220990204\
         0186880000000000000000*ep^2+1121399292399433818238986551/3042*
         ep^2*z5+24364342569192693502001580157040983/257510897280*ep^2*
         z4-274703819289593581743704036391328037919067/
         1763135911932595200*ep^2*z3-
         13490266837753926097402742936931850608215647596742056628686185\
         80566843184874140673558011507619860224007973781148994876691093\
         951190087169728279365269059/7369165170503819683745196397717092\
         56371879781097403311291784874795001795324875317179635953895016\
         01581367296000000000000000000000*ep^3+
         16647571013382358296212484145/18252*ep^3*z6+337380037331717628\
         00315388539829949/42918482880*ep^3*z5-274703819289593581743704\
         036391328037919067/1175423941288396800*ep^3*z4-224437882857680\
         7910266832579160891234473167001302971/
         20932691050902892586637312000*ep^3*z3+
         1213865474100002439531836515/9126*ep^3*z3^2;
Fill mncnoptab(14,5,1,7)=
      +mncF321*(-27746925619623237720-2940732548200060384540/13*ep-
         523060876431729164987381/780*ep^2-1109657837209460594645971/
         1040*ep^3)
      +4319182698462575291809582713385827454388175297970721/
      31638267331221800509517537280000+1902562960595374/2535*ep^-3-
         10101705825742013502748307/2207236262400*ep^-2-335919753552203\
         68689426237168101387/281382098598222336000*ep^-1+
         1851233841496518980923961/5070*z3-2622084948099187221059903009\
         63744740522703024096486683280854124866116355905354127068317370\
         30397429/19556482030908645813422241898456029685062481058338448\
         395468800000000000000000*ep+1851233841496518980923961/3380*ep*
         z4+6679458278382458644855787668441357/1103618131200*ep*z3+
         38813333838634235492206672435441904327626631884512459973572647\
         35867850729777494511134909059033066153389009563/
         62825928528655274433549875524235580929939304412205211128045226\
         0593664000000000000000000*ep^2+179569694017637906669793337/
         5070*ep^2*z5+6679458278382458644855787668441357/735745420800*
         ep^2*z4-646525556158996531531410063890508495749359/
         42819015004077312000*ep^2*z3+
         88482609374550498017481865222079271579965141538088340499510290\
         72916517246316014717173385209938849504240025723811115901972463\
         98820430782865925181/58581181642614078008031071818940332195494\
         82200365842617836699800982045313393133862420145351583334400000\
         0000000000000000000*ep^3+44429615044035346922217344/507*ep^3*
         z6+1617942858227685746867788682595649/21639571200*ep^3*z5-
         646525556158996531531410063890508495749359/
         28546010002718208000*ep^3*z4-137185261997104847847059490840216\
         2788450365694482193/137557684048790436997902336000*ep^3*z3+
         21597730266935795244008121/1690*ep^3*z3^2;
Fill mncnoptab(14,5,2,6)=
      +mncF321*(-118915395512671018800-12621007411776551393760/13*ep-
         75012164592279859204183/26*ep^2-21552890621174184687837031/
         4680*ep^3)
      +1166387016520075112856911601447857712398303891183/
      1993589623895513579679744000-169734842888841307/507*ep^-3-
         58655033585168652112012345/14714908416*ep^-2-50214184340282185\
         43438627478878909/317177888919091200*ep^-1+
         793389753567178058481421/507*z3-710923340757445682929412827279\
         011502489804262093443517444012793261435882994162774707006439547
       /123814555523858736198803728459503657281915892969504768000000000\
         000000000*ep+793389753567178058481421/338*ep*z4+95487693975842\
         5747782883503628819/36787271040*ep*z3+
         77676123836249950324130871291898372740444452349710535486940249\
         254846379797768919195406844124935708207779/2939956949257444060\
         364587266334536696218023927763815721242460160000000000000000000
         *ep^2+25652826917834951953916259/169*ep^2*z5+95487693975842574\
         7782883503628819/24524847360*ep^2*z4-1021488431393650496772867\
         4808143944081193/158588944459545600*ep^2*z3+
         35505291458814464587215000801938065923794364613359466580611696\
         15401564447478107410154502735510571635735749259910646252410008\
         86014952404942734892726057/21910129068859175597453726029081313\
         22165571871870401358438540253778964473992897927012380339586056\
         847360000000000000000000000000*ep^3+
         190412727499844194508168390/507*ep^3*z6+3950815049308236781845\
         635015739311/12262423680*ep^3*z5-10214884313936504967728674808\
         143944081193/105725962973030400*ep^3*z4-4336740689831103691026\
         9226233683082946278144427789/996794811947756789839872000*ep^3*
         z3+27768467895404272331967595/507*ep^3*z3^2;
Fill mncnoptab(14,5,3,5)=
      +mncF321*(-178373093269006528200-18997921226512412193240/13*ep-
         681563068389748886423159/156*ep^2-197379852760205033682163831/
         28080*ep^3)
      +699840130657574950216074475598569470330467608633/
      797435849558205431871897600-11022464788457386957/3042*ep^-3-
         5979884716693121601508269287/147149084160*ep^-2-16397550929113\
         5791380744075304480371/1141840400108728320*ep^-1+
         7140715965018058334503669/3042*z3-9336051359882519533850592901\
         03298039578069914678606063658107375455014134161259144170982138\
         5596861/108913226137451289579805302131945473120722751418838930\
         1616640000000000000000*ep+7140715965018058334503669/2028*ep*z4
         +573926564000501053965273877665653/14714908416*ep*z3+
         59866653719041017135889950138432293076387864753903004416186529\
         337318331513754103544064378908115330639821269/
         15212513238237718545950520350921426680910543011821088067996985\
         85190400000000000000000*ep^2+230876181216554762079408371/1014*
         ep^2*z5+573926564000501053965273877665653/9809938944*ep^2*z4-
         54524791540404281347302565324445914686791/570920200054364160*
         ep^2*z3-343538685461871351188320421595972140234211953368977596\
         95941033255177796086810434340484152988801224756755343906485583\
         767313094832118552642769648348582493/
         22674354370780983642292911992975669426827070187612409578208765\
         37830774754845770206706572165830818510195916800000000000000000\
         00000*ep^3+856859784605807784879651805/1521*ep^3*z6+8008376955\
         12574600567329300423955/1634989824*ep^3*z5-5452479154040428134\
         7302565324445914686791/380613466702909440*ep^3*z4-135764903836\
         946744800812987996476924703428893427479/
         1993589623895513579679744000*ep^3*z3+
         249913926676872540927980443/3042*ep^3*z3^2;
Fill mncnoptab(14,5,4,4)=
      +mncF321*(-118915395512671018800-12739266960072638591760/13*ep-
         346193972147848207699393/117*ep^2-101562990204973071720674477/
         21060*ep^3)
      +699911600655956435852970674442662924182417367611/
      1196153774337308147807846400-310459169529500996543/36504*ep^-3-
         10307643642627320920497757627/110361813120*ep^-2-2705057461912\
         076765728779050075847653/8563803000815462400*ep^-1+
         7141328452595361885093310/4563*z3-1297803306215429400712314132\
         37500311376449415978712027177694658708324759565623914291794880\
         4691592797/227778398313212190744965313746197463847851544248574\
         267566850048000000000000000*ep+3570664226297680942546655/1521*
         ep*z4+1439029724958678594571059483509219/55180906560*ep*z3+
         75175399734007608207209688245341935816459079119154951803132707\
         7763777375337926427530027790885202310822796059/
         28922790794199462385488426817189362477081169901224843689279269\
         350932480000000000000000*ep^2+461756702571524594965768345/3042
         *ep^2*z5+1439029724958678594571059483509219/36787271040*ep^2*
         z4-267295413818755619852531379996281973363283/
         4281901500407731200*ep^2*z3-
         13338821985669080089322387595542404724202940285970283630329409\
         99567970847494258576334517825381995663813444725488571644817073\
         708668611927327904912030914277/9484115574438415932980067763861\
         89812950609278272358061632527133861167310583114533210191472662\
         8856123521970995200000000000000000000*ep^3+
         6854937254046915305635592075/18252*ep^3*z6+2046730828858176280\
         275615443649337/6131211840*ep^3*z5-267295413818755619852531379\
         996281973363283/2854601000271820800*ep^3*z4-145120167312498850\
         455997355281010516255058838907851/2990384435843270369519616000
         *ep^3*z3+499814359121744423501942813/9126*ep^3*z3^2;
Fill mncnoptab(14,5,5,3)=
      +mncF321*(-36723872143618991100-3967851386823433152120/13*ep-
         145854566754937210979039/156*ep^2-43592672630853371767343011/
         28080*ep^3)
      +4899499139867251684315474128489052483477805654077/
      27112818884978984683644518400-4403250966348217198985/827424*ep^-3
         -147274897977801374807424923581/2501534430720*ep^-2-3925121830\
         8199075777579001877305705027/194112868018483814400*ep^-1+
         24997706625859290512441021/51714*z3-30917201150490859321641371\
         32257130239561062859067600426507776270564797692007822562322392\
         510638027023741/1771933716158140274243234168694419310765206733\
         018508942256039893401600000000000000*ep+
         24997706625859290512441021/34476*ep*z4+10116657506917844135285\
         487885984581/1250767215360*ep*z3+19555875326902193915381273695\
         62787782813099938395598170526888788966181860557694768581825223\
         9264842849725486173193/247495791560860103568110726885907437439\
         8808205851691344304054213482513432576000000000000000*ep^2+
         3232340317302341396977662991/68952*ep^2*z5+1011665750691784413\
         5285487885984581/833844810240*ep^2*z4-259419064163492400314664\
         758628546596284051/13865204858463129600*ep^2*z3-
         19364650402748616885474170188995554232209821523506439148804654\
         21876883850050990324965175670787023522355900172919385329687708\
         979980095710700794412139427317/
         17359725147452076523726716034972818336247952229497241960121776\
         65819480645291332841587934471562145824849461570961408000000000\
         00000000*ep^3+47985150627017935144416124445/413712*ep^3*z6+
         14787492473380021388085386005004383/138974135040*ep^3*z5-
         259419064163492400314664758628546596284051/9243469905642086400
         *ep^3*z4-1110380541658196983756455692680282451184659563036141/
         67782047212447461709111296000*ep^3*z3+
         3498566300295395497955634155/206856*ep^3*z3^2;
Fill mncnoptab(14,6,1,6)=
      +mncF321*(-11098770247849295088-1188233363151386548304/13*ep-
         1612703210846434835432843/5850*ep^2-31491466510173579453829189/
         70200*ep^3)
      +227322854747781557949012742041617856931693552362259/
      4162929912002868488094412800000-123839695319597873/114075*ep^-3-
         8526977791456685847552473/290425824000*ep^-2-91772818642767044\
         79314507578549073/37023960341871360000*ep^-1+
         16661109891937714040120129/114075*z3-7525840789396856441832400\
         06763520616056940152087946393042184168352811288748355744855612\
         8618022691/141527172592102042070818855844089688510320586606396\
         66601984000000000000000000*ep+16661109891937714040120129/76050
         *ep*z4+353305703747026186766999673256183/145212912000*ep*z3+
         11035478442712224444390168167981771720382048908021568488024469\
         65579430759078568841271957264063191668862281393/
         45466132487842632813753199392538907251929759771990613316348518\
         8587520000000000000000000*ep^2+538709098684152260311585831/
         38025*ep^2*z5+353305703747026186766999673256183/96808608000*
         ep^2*z4-756756964149688242704289853545479459357563/
         129583861196549760000*ep^2*z3-
         13222487872133894481692871569404404825097374753968219148051251\
         10256914565441998110743009902140916836205312148571944712819945\
         4512641816024282372301/805491247585943572610427237510429567688\
         05380255030335995254622263503123059155590608276998584270848000\
         0000000000000000000000*ep^3+799733093080259533447318682/22815*
         ep^3*z6+1504383674636081403454663247489827/48404304000*ep^3*z5
         -756756964149688242704289853545479459357563/
         86389240797699840000*ep^3*z4-187312680071178709570989182339036\
         2460925355936560613/416292991200286848809441280000*ep^3*z3+
         583138643990000103738595247/114075*ep^3*z3^2;
Fill mncnoptab(14,6,2,5)=
      +mncF321*(-39638465170890339600-4252041397862337695000/13*ep-
         231610414399197281587601/234*ep^2-22711288238229253437329771/
         14040*ep^3)
      +3610958639623256364616310891503685711699370173/
      18516312296243160182784000-1975414581008555918/4563*ep^-3-
         59833177325836437296140391/11617032960*ep^-2-91793119402701434\
         14948441231928431/450726473727129600*ep^-1+
         2380201174067528175654983/4563*z3-3530249357979360535222933580\
         03916068442932022243020630272375845345760385476104658921972702\
         725457/1862989394456403637549301220678014671801836537427508015\
         92320000000000000000*ep+2380201174067528175654983/3042*ep*z4+
         50521984543225490754055227541657/5808516480*ep*z3+
         22467310743268874119933945178476727564946390452229117367152131\
         00438794351930419368406606667295043559834973/
         26021404223301360670704837442365598269978560414957124326836949\
         4835200000000000000000*ep^2+76958594316898603683106117/1521*
         ep^2*z5+50521984543225490754055227541657/3872344320*ep^2*z4-
         4668695609629055607720850226024397146963/225363236863564800*
         ep^2*z3-333879319121802942196607732512717386802020844444002652\
         58216142194531100570708094185799952512932425880437801848065648\
         088499263318896676493321644558749421/
         19392539922378472851961043151887085693996836344668508191889075\
         65250004724539145571525357773407936883720192000000000000000000\
         00000*ep^3+571238954441570707184158420/4563*ep^3*z6+2165018239\
         72706116950045608674573/1936172160*ep^3*z5-4668695609629055607\
         720850226024397146963/150242157909043200*ep^3*z4-3691953074455\
         46989976856674125420928704709475617/22484093502580980221952000
         *ep^3*z3+83305055385117202049552909/4563*ep^3*z3^2;
Fill mncnoptab(14,6,3,4)=
      +mncF321*(-47566158205068407520-5122748271256134201144/13*ep-
         46819884401754280940585/39*ep^2-514578253820655516339847/260*
         ep^3)
      +23933785937204961620345838014431051235033189/
      102266832045527525376000-22158592559095812281/7605*ep^-3-
         34977546044107954711359371/1075651200*ep^-2-128232563890572341\
         369432124278772721/1126816184317824000*ep^-1+
         4760804200551471362743838/7605*z3-3557523611434513405268293646\
         03086364084624882648130938913890564900176237656447360091631739\
         54253/15671028435721512951150004385703299886333095579537273310\
         412800000000000000*ep+2380402100275735681371919/2535*ep*z4+
         16874751615666346649531427851879/1613476800*ep*z3+
         57597212020700154720134834851711401563759024795332656078904550\
         7699167512705114729685686249728636438727/559137611409781303668\
         03782934008723555325832296602085330393445171200000000000000*
         ep^2+153918611829854376154462582/2535*ep^2*z5+
         16874751615666346649531427851879/1075651200*ep^2*z4-1381283230\
         9731538227125313944942369414461/563408092158912000*ep^2*z3+
         80407844715018944587509953315274982255766880147100309547580061\
         82700004923994849312466760308143384590507851943873679112265373\
         993880887772700304876568089/5268953096910231073877815424367721\
         18305894043484643367573626185478426283657285851783439707034936\
         4513067761664000000000000000000000*ep^3+
         228497515644505828550321954/1521*ep^3*z6+219727630906805646479\
         064119983913/1613476800*ep^3*z5-138128323097315382271253139449\
         42369414461/375605394772608000*ep^3*z4-17965855329509548301059\
         2915236657058411926220901/8743814139892603419648000*ep^3*z3+
         166605680140791305726347574/7605*ep^3*z3^2;
Fill mncnoptab(14,6,4,3)=
      +mncF321*(-23783079102534203760-2577331495928655587352/13*ep-
         23803198965433730477327/39*ep^2-795485663538929122062703/780*
         ep^3)
      +28891407722698270832340308858927245176180203/
      246884163949908802437120-208943034241036518269/60840*ep^-3-
         123104697361598794102834369/3226953600*ep^-2-29790537326668025\
         0885845230314483591/2253632368635648000*ep^-1+
         2380731825072818506170574/7605*z3-1625751236091659793485800374\
         53515291426117428459804784813462958522449510241319863612262352\
         5317032051/144364813113747781835036187770443157142350230814608\
         8432667459584000000000000000*ep+1190365912536409253085287/2535
         *ep*z4+2821404528690548197644702745819/537825600*ep*z3+
         19484831632861072856861791331129454605601359659298143960129493\
         9133311650169263064867339911309744257968698783781/
         38312042037284845753577511901843256569640993898632992945883192\
         159172034560000000000000000*ep^2+153920952603323444452891747/
         5070*ep^2*z5+2821404528690548197644702745819/358550400*ep^2*z4
         -13508135932869217095450015571997699939201/1126816184317824000
         *ep^2*z3+18879364854967178765462886139195903154733127730365724\
         41088671624858387578636387467969316195292105819657282529837304\
         497425864507240725467427468372058179983/
         45683487230137043483491357986770574569073558498676952526636254\
         36367054329714033793652459135689857433814372555161600000000000\
         0000000*ep^3+457001394159824696346334093/6084*ep^3*z6+11240014\
         5740264944392517859274379/1613476800*ep^3*z5-13508135932869217\
         095450015571997699939201/751210789545216000*ep^3*z4-8188008453\
         9581211948705307123532582705869038353/
         7494697834193660073984000*ep^3*z3+166598444179699134497475119/
         15210*ep^3*z3^2;
Fill mncnoptab(14,6,5,2)=
      +mncF321*(-4896516285815865480-535328498394078528216/13*ep-
         10034644228289024459269/78*ep^2-1025192142964211747472683/4680
         *ep^3)
      +85908263600181760816541955569429002971262359973/
      3567476169076182195216384000-1559155433282579292083/2068560*ep^-3
         -35464683351589442579961269/4063571200*ep^-2-25150362169143287\
         49458558093607916337/76623500533612032000*ep^-1+
         8332702604306586277427579/129285*z3-19007903655480884020100166\
         07684864828966181944721726276032935599241852821155872768939554\
         05545212369351/82661979581540036717088675333830565932826629889\
         6194363014181289984000000000000000*ep+
         8332702604306586277427579/86190*ep*z4+
         59511653888138969823709224613279/54858211200*ep*z3+
         11889168587367145219361533353957514540400851579403991763633897\
         86724295720438125585922592317765951693549163687739/
         11545856304872660333919041086782763229850899524906215601418434\
         72796866314240000000000000000*ep^2+
         1077448629939007110427206949/172380*ep^2*z5+
         59511653888138969823709224613279/36572140800*ep^2*z4-130726125\
         89371622205771088867042339516961/5473107180972288000*ep^2*z3-
         22305435089052582052937656365517949547451872377576221284189454\
         73480885128118893388944671584361776661768572570107632291320549\
         42511767995860490627610887713793/
         13078974741773553108216832649076111996514082191087126613137202\
         18679904167986538265878182448461025774858173888122060800000000\
         00000000000*ep^3+3199015079399794986171910531/206856*ep^3*z6+
         812136771707004826787606305701013/54858211200*ep^3*z5-
         13072612589371622205771088867042339516961/3648738120648192000*
         ep^3*z4-4346013526177478356506604723871484784297937946449/
         1783738084538091097608192000*ep^3*z3+
         1166182625184426634761039833/517140*ep^3*z3^2;
Fill mncnoptab(14,6,6,1)=
      +mncF321*(-326434419054391032-180599291135100377232/65*ep-
         10358736018244001963729/1170*ep^2-1085208947024422826259647/
         70200*ep^3)
      +432459081196420726894460741067822588906430989421/
      269599270491614340181352448000-47540436293443613443/31028400*
         ep^-3-114222274311829146686647543/1645746336000*ep^-2-26974309\
         7736809137003126058251906937/419604883874542080000*ep^-1+
         8330602474107835128002719/1939275*z3-2676267488398848033692674\
         87787722252140938442022663301377318150307398533762973273472868\
         078704638379743603/1761085808526238293347326059532658680233946\
         8935385422994067062330595737600000000000000*ep+
         8330602474107835128002719/1292850*ep*z4+
         19953850905406255023385251304133/274291056000*ep*z3+
         37958593446214000128457535309731618321896514787758981710015918\
         218909898586283410345553586024415139110716103967463913/
         56575538977016011848012990352358162453347701682622091435509960\
         2723414835176931328000000000000000*ep^2+
         1077418951293575432903165189/2585700*ep^2*z5+
         19953850905406255023385251304133/182860704000*ep^2*z4-
         10626228078331616385978370690826825326069/69934147312423680000
         *ep^2*z3-55868769140586910677798018480574711381635528157408712\
         94092028327441564393929595816828950051185246612485787850445345\
         81468757702931196449991360788574990237779/
         38932637874185519517643004289678401955337633232489148730452904\
         30543894325357479009407993712908677949404351904520077312000000\
         000000000000*ep^3+3198934443984294958197484691/3102840*ep^3*z6
         +846885003382734358135600166594053/822873168000*ep^3*z5-
         10626228078331616385978370690826825326069/46622764874949120000
         *ep^3*z4-24133528675890123329157288784123806080490410490169/
         134799635245807170090676224000*ep^3*z3+
         1166275724025190069542675193/7757100*ep^3*z3^2;
Fill mncnoptab(14,7,1,5)=
      +mncF321*(-2433940843826599800-793373635597135885600/39*ep-
         88306204474860647022209/1404*ep^2-8899945019989570996178651/
         84240*ep^3)
      +45461755462134481072831394537358282934552398237479/
      3796592079746616061142104473600+19103549192127631/27378*ep^-3-
         20297209714954141150548041/1324341757440*ep^-2-790479797743760\
         6000380066057554637/33765851831786680320*ep^-1+
         876899610291926783625371/27378*z3-7632548935808317001290449563\
         04756320292305770311058880633046421868102052726244888682633781\
         498197/6625736112071849201587455555196902857299168582565066316\
         384829440000000000000*ep+876899610291926783625371/18252*ep*z4+
         355906766021480671906325714986471/662170878720*ep*z3+
         44101543414049125182583622329494415118436311070513244488607078\
         055542435425383369626890331941315475091414693/
         85141698342033627912346791310444059276253745339420502120726890\
         355653345280000000000000*ep^2+28353107649412406964837349/9126*
         ep^2*z5+355906766021480671906325714986471/441447252480*ep^2*z4
         -718223839178103116114217700554083055785227/
         590902407056266905600*ep^2*z3+
         34117067550549128403808414947207155482517744220064900474267053\
         50325003748482412388323220007258485208673189862186828449944914\
         0157552998980974737/317556869448282394065934834116111752765338\
         33111743159662769182281163471234841500041407123921862939115520\
         00000000000000000*ep^3+105228029172431617638608345/13689*ep^3*
         z6+1588482950327121164719191679726099/220723626240*ep^3*z5-
         718223839178103116114217700554083055785227/
         393934938037511270400*ep^3*z4-10891897384172456731973103766823\
         839059066504128838281/9491480199366540152855261184000*ep^3*z3+
         30691520364915334564261853/27378*ep^3*z3^2;
Fill mncnoptab(14,7,2,4)=
      +mncF321*(-6954116696647428000-2272212757444207950680/39*ep-
         63479366321392676433163/351*ep^2-6430413529341088439559709/
         21060*ep^3)
      +61379905892107186595143320650782628207982177577/
      1794230661505962221711769600-3597361793290924043/13689*ep^-3-
         1021793239477265422382932447/331085439360*ep^-2-15336107917930\
         1449408113294963343799/12845704501223193600*ep^-1+
         1252794378969333137145362/13689*z3-997030171528377676982514978\
         95652389303336075819088682700850666390636850785531734473015698\
         3669017/303704531084282920993287084994929951797135392331432356\
         7558000640000000000000*ep+626397189484666568572681/4563*ep*z4+
         254533646955717209161568920501241/165542719680*ep*z3+
         56811692344876333918961558830165286119828309958229612938721512\
         5912980936237801103397350370558485855401119/
         38563721058932616513984569089585816636108226534966458252372359\
         1345766400000000000000*ep^2+40504724340089069398168138/4563*
         ep^2*z5+254533646955717209161568920501241/110361813120*ep^2*z4
         -22107185428272510556366391304862122521227/6422852250611596800
         *ep^2*z3+45265339613955323424605629231861467125524562552395628\
         37734987003188077941663789676644775837898762565160012644603639\
         1339824855791567555687179547503642643/
         63227437162922772886533785092412654196707285218157204108835142\
         25741115403887430221401276484419237415681313996800000000000000\
         00000*ep^3+300653446603244687643397630/13689*ep^3*z6+114447882\
         5002265410938200971447229/55180906560*ep^3*z5-2210718542827251\
         0556366391304862122521227/4281901500407731200*ep^3*z4-
         15032564294756958399697178259196862763432031571047/
         4485576653764905554279424000*ep^3*z3+
         43844134682381337373207754/13689*ep^3*z3^2;
Fill mncnoptab(14,7,3,3)=
      +mncF321*(-6258705026982685200-684618758387407411260/13*ep-
         12842937483112545637367/78*ep^2-87534437493509368449935/312*
         ep^3)
      +61383251765823172583815791802825751883969760433/
      1993589623895513579679744000-2636718423046447817/3042*ep^-3-
         239780195517697419094907561/24524847360*ep^-2-2996598196271103\
         51362406298138075577/8563803000815462400*ep^-1+
         125300393831452531905829/1521*z3-38237555798651961095632638378\
         29641658511275335881938532269040822380850277426232122090787677\
         0599391543/130289243835157373106120159462824949320971083310184\
         481048238227456000000000000000*ep+125300393831452531905829/
         1014*ep*z4+5669156172857493502234471154789/4087474560*ep*z3+
         37332468209200544689324492228651955099327003324359758147984379\
         71625011078535340783349162129285183504696656273/
         28434718699547346457733309614649291985280425159141674452022681\
         68063549440000000000000000*ep^2+4050546894468563412273581/507*
         ep^2*z5+5669156172857493502234471154789/2724983040*ep^2*z4-
         767524278857031159608507124154551055861/251876558847513600*
         ep^2*z3+622315984226204649489654302527559110198448369256434738\
         32740461013718102633391236952347322682042018186830323265232029\
         4074524675410607650968653439425479757/
         10849828217157547827329197521858011460154970143435776225076110\
         41137175403307083025992459044726341140530913481850880000000000\
         00000000*ep^3+30065850723935594262287285/1521*ep^3*z6+23247366\
         2565028185436149060976769/12262423680*ep^3*z5-7675242788570311\
         59608507124154551055861/167917705898342400*ep^3*z4-15436673073\
         35501311349360643509665322009285749/492730999479860004864000*
         ep^3*z3+4384184023132790374537501/1521*ep^3*z3^2;
Fill mncnoptab(14,7,4,2)=
      +mncF321*(-2086235008994228400-229692144063540287360/13*ep-
         6533015560202029654525/117*ep^2-677128956275960245418107/7020*
         ep^3)
      +61357904959809894461222841548347301045794887263/
      5980768871686540739039232000-13215277872251426279/36504*ep^-3-
         30853114955313664015543261/7357454208*ep^-2-341179463904485777\
         4376825905132529/215894193297868800*ep^-1+
         125307969701075555520742/4563*z3-90038691984490909529025138642\
         99684644041053055450157655567628923782286112896415523256617463\
         1009578631/923869183558388645661579312554576913366885863472217\
         229251143794688000000000000000*ep+62653984850537777760371/1521
         *ep*z4+8531786361342273459411394458137/18393635520*ep*z3+
         55912203599458540173556302438371569922233033673511064308211592\
         9977679545596278862156268792660383537979050274619/
         12904192340740032137909516508757205962774534763130476260408838\
         81361203527680000000000000000*ep^2+8101146932356585696128001/
         3042*ep^2*z5+8531786361342273459411394458137/12262423680*ep^2*
         z4-165231471660231894966333021082912782949/166827331184716800*
         ep^2*z3-475108410052705877895659962016237077250864548914594230\
         17901847125357164156956314422587737389525022396897098209881007\
         845107783673132514782150762687561457851/
         76935145539844430048334309700447717626553424653453685959630601\
         09881789223450225093401073226241328087401022871306240000000000\
         000000000*ep^3+120264124288338029886712595/18252*ep^3*z6+
         118924530302949102212714143055539/18393635520*ep^3*z5-16523147\
         1660231894966333021082912782949/111218220789811200*ep^3*z4-
         658905653491614059927770243659771470306616599111/
         598076887168654073903923200*ep^3*z3+8768197573003860522508901/
         9126*ep^3*z3^2;
Fill mncnoptab(14,7,5,1)=
      +mncF321*(-214759486219994100-23858997713606176660/13*ep-
         2754865458436619327723/468*ep^2-290944438528474109984021/28080
         *ep^3)
      +227006670645202772288080535037822154961254448147849/215140217852\
      308243464719253504000-2865119760779259137/2482272*ep^-3-
         129672645945972108067399703/2501534430720*ep^-2-19208227491287\
         581158126654480775656679/40181363679826149580800*ep^-1+
         438452801295383803327553/155142*z3-166656392304065724773278846\
         22894592564602344030306210238625660267189491492215415414697659\
         252671942631386661/1673031518099926378679959756556025746222249\
         548861615184436370921406595072000000000000000*ep+
         438452801295383803327553/103428*ep*z4+
         59983155767896249183957045132223/1250767215360*ep*z3+
         23537689540044605648020349849108676789347358876532962293828359\
         51797693150840643900859498996310489983644282306336098767/
         53746762028165211255612340834740254330680316598490986863734462\
         258724409341808476160000000000000000*ep^2+
         56706263383043443547490343/206856*ep^2*z5+
         59983155767896249183957045132223/833844810240*ep^2*z4-
         56445262595632429083998596799902767003467/
         574019481140373565440*ep^2*z3-
         50192900176343378442127773039250777441727371892513656785853976\
         51370579464871886056945602975386577140027868895964835181591351\
         1304092518647891289661461974231/
         11450775845348682211071471849905412339805186244849749626603795\
         38395263036869846767472939327326081749824809383682375680000000\
         000000000000*ep^3+841824894719743977145804085/1241136*ep^3*z6+
         858668413385966015325485651036341/1250767215360*ep^3*z5-
         56445262595632429083998596799902767003467/
         382679654093582376960*ep^3*z4-13065274541499147730410455251688\
         691262900776132738853/107570108926154121732359626752000*ep^3*
         z3+61382945813098926372978083/620568*ep^3*z3^2;
Fill mncnoptab(14,8,1,4)=
      +mncF321*(-278164667865897120-92609163905210784524/39*ep-
         13338908540760827859362/1755*ep^2-2457150809543591451410462/
         184275*ep^3)
      +227263816914863992306745118581840898903046008675001/166100903488\
      914452674967070720000-15492650942618509/27378*ep^-3-
         35445911334250742710095547/2317598075520*ep^-2-262010909388782\
         76942762601189748057/211036573948666752000*ep^-1+
         50108819579723748758618/13689*z3-42303703094159696279512062068\
         41879871670450778899892526654217509705594512436747494336524921\
         1679581/327973937547556535478579049982246691436308844836970782\
         6610490572800000000000000*ep+25054409789861874379309/4563*ep*
         z4+359697381472035152439201990290677/5793995188800*ep*z3+
         54348683760787344793344590001214876049058903718396509128113451\
         7708279460476608518781004891355103300329003637/
         95784410634787831401390140224249566685785463506848064885817751\
         65011001344000000000000000*ep^2+1620178446649476925102012/4563
         *ep^2*z5+359697381472035152439201990290677/3862663459200*ep^2*
         z4-661676773333210907213845303629008596228837/
         5170396061742335424000*ep^2*z3-
         98699493488395285392377884086839934592688045468321055246070036\
         13125571326740283817252048057983879018737630557300061932228112\
         1262449988432189080547431543/234560490997645806506850076304835\
         09811552950541388663441349934312260938408996298151598112167125\
         215129237832335360000000000000000000*ep^3+
         12026066300921767566368545/13689*ep^3*z6+171098850712407558155\
         6163890740513/1931331729600*ep^3*z5-66167677333321090721384530\
         3629008596228837/3446930707828223616000*ep^3*z4-13005529317181\
         301654101930133164321742591208707154251/
         83050451744457226337483535360000*ep^3*z3+
         1753797581249127821568260/13689*ep^3*z3^2;
Fill mncnoptab(14,8,2,3)=
      +mncF321*(-596067145426922400-66328451320492017580/13*ep-
         1919141431077739341506/117*ep^2-355492087591512364965014/12285
         *ep^3)
      +61358174990199970354554333460259190453573735523/
      20932691050902892586637312000-593842714266257621/9126*ep^-3-
         118635253725211681020011329/154506538368*ep^-2-899303717359025\
         75067143732456880493/29973310502854118400*ep^-1+
         35798327112885109808926/4563*z3-144006879164394685762647876287\
         78001721137126149256946560553358444602861361874583937273954837\
         177823133/5211569753406294924244806378512997972838843332407379\
         24192952909824000000000000000*ep+17899163556442554904463/1521*
         ep*z4+51461526115801332373116454013671/386266345920*ep*z3+
         88403562943004972510469000598275525988461170822657834396642040\
         284219948533194234800812710868506453980684973857/
         72792879870841206931797272613502187482317888407402686597178065\
         1024268656640000000000000000*ep^2+1157292820008355459175384/
         1521*ep^2*z5+51461526115801332373116454013671/257510897280*
         ep^2*z4-4063123698014602227795182038782532865321/
         14986655251427059200*ep^2*z3-
         99391522018157113313544457893934312994119411788078446250181356\
         65309985272873625298370694145122266017722276535243581674090735\
         53211502431123926404135375519929313708949/
         74863277887946276634872138830512008619351086778342051267186339\
         48279594563473748696785340195311073371318497661083278553120768\
         0000000000000000000*ep^3+8590200332280453169293065/4563*ep^3*
         z6+246712532764532750318457244660699/128755448640*ep^3*z5-
         4063123698014602227795182038782532865321/9991103500951372800*
         ep^3*z4-3581745574894173528634921694688907710597089976137/
         10466345525451446293318656000*ep^3*z3+
         1252643892929818319436352/4563*ep^3*z3^2;
Fill mncnoptab(14,8,3,2)=
      +mncF321*(-357640287256153440-39979219622579567484/13*ep-
         149407045921098856022/15*ep^2-363176593141942728011818/20475*
         ep^3)
      +61344081656570432455741475567859833465764292399/
      34887818418171487644395520000-237400135669262027/3042*ep^-3-
         43189910351036215470390451/47687203200*ep^-2-51466706875744898\
         9245394453288989547/149866552514270592000*ep^-1+
         7160997422005163791318/1521*z3-2347251712417950610684689900787\
         00026282875850281938636972917811995891587612095322656876880867\
         942309/1421337205474444070248583557776272174410593636111103429\
         6171442995200000000000000*ep+3580498711002581895659/507*ep*z4+
         17195542684111851444693286662881/214592414400*ep*z3+
         14356216006873948903797984541586780769476409004677038112416783\
         29155717594095293630824594903642380722478341849/
         19852603601138510981399256167318778404268515020200732708321290\
         482480054272000000000000000*ep^2+231463253755033422378212/507*
         ep^2*z5+17195542684111851444693286662881/143061609600*ep^2*z4-
         11953207766384685333239569104570776230271/74933276257135296000
         *ep^2*z3-12197308023856530419536806184480071706314071943099038\
         93454254523411176011465308530406509335596550203544893193951303\
         3951901005528052405068304264231221343/
         31147832202366166011471380445525391751641062612734285813615627\
         97522991588441386677490313047061266432146163105792000000000000\
         0000000*ep^3+1718071909607737758358295/1521*ep^3*z6+2505731292\
         58506332019087063243287/214592414400*ep^3*z5-11953207766384685\
         333239569104570776230271/49955517504756864000*ep^3*z4-
         67227222874827455474430312279541553066034873979/
         317161985619740796767232000*ep^3*z3+250513910177223193091932/
         1521*ep^3*z3^2;
Fill mncnoptab(14,8,4,1)=
      +mncF321*(-59606714542692240-6707704961390384644/13*ep-
         988214450640666704818/585*ep^2-14408415864464232163138/4725*
         ep^3)
      +32412874697197291164498483396478006744139929718351/1107339356592\
      76301783311380480000-29327679730428145/36504*ep^-3-
         30510245029135574670881177/1287554486400*ep^-2-403571776193582\
         0409997176391375387561/20681584246969341696000*ep^-1+
         3579251246303855353220/4563*z3-3055612913289707523210537121155\
         72726709171067154530146029298043828366985642693729615995464182\
         9078853477/111833657627000426382350251106686212982770691768824\
         5444141959172063232000000000000000*ep+1789625623151927676610/
         1521*ep*z4+8624942164844241262423674888053/643777243200*ep*z3+
         85127936074311552463671469477278747680707919676120256429403852\
         8061588616696242307423535583651220131487547923730823/
         71853959930702154085043236410080553918021813634346239122639655\
         426102151526481920000000000000000*ep^2+
         231454462437217636684595/3042*ep^2*z5+
         8624942164844241262423674888053/429184828800*ep^2*z4-267116657\
         593586197013254323356257117337263/10340792123484670848000*ep^2
         *z3+3412695916105223144496211926114467303593107021263138798882\
         88910998953312152054404587980663474989084004587525594204146584\
         9795073393195539833865348636319/
         30617047714836048692704470186912867218730444504945854616587688\
         19238671221577130394312671998198079544986121346744320000000000\
         00000000*ep^3+3436024424095225996736725/18252*ep^3*z6+12808026\
         2290202902106120695454431/643777243200*ep^3*z5-267116657593586\
         197013254323356257117337263/6893861415656447232000*ep^3*z4-
         81732860443674569714287664053882501068208576363099/
         2214678713185526035666227609600*ep^3*z3+
         250541713044244231343503/9126*ep^3*z3^2;
Fill mncnoptab(14,9,1,3)=
      +mncF321*(-14901678635673060-3411110350748246993/26*ep-
         1031864781819128933863/2340*ep^2-28827374529709256686589/35100
         *ep^3)
      +1409981481175233513654876935286192635222805110081/
      19258075766830661179706327040000+3470584115924321/73008*ep^-3-
         409977050407924334204471/176578900992*ep^-2-117922100239523910\
         02479121863320491/399644140038054912000*ep^-1+
         3579120156367668149083/18252*z3-241311950381201614808934420166\
         85619463102506942650145021016191752218390196256252465150867755\
         394653/3585305155799375791567075328998473148620519049149494270\
         0835176448000000000000000*ep+3579120156367668149083/12168*ep*
         z4+52195973269460196461619681407131/15450653836800*ep*z3+
         32996528868835279072340882124504908874053346789239150739670555\
         55477636209553335194067363355240338624063285751/
         11517926645276350409508777110195475844949109152127816994965414\
         11146664509440000000000000000*ep^2+57863402221267256644591/
         3042*ep^2*z5+52195973269460196461619681407131/10300435891200*
         ep^2*z4-82295028319397855421653595948613463098331/
         13787722831312894464000*ep^2*z3+
         96674041529958885622919065264029510567344595258143749561637360\
         20938816288914050719913222827586375399558442420260541932694798\
         074476567218441370514022366757838373997973/
         93784093534405192504025589798587623567523053413858782573904213\
         99672547187069058247828241149414663037046921827224347222044835\
         840000000000000000000*ep^3+1718006465856179358592315/36504*
         ep^3*z6+270633313086486724510115301332239/5150217945600*ep^3*
         z5-82295028319397855421653595948613463098331/
         9191815220875262976000*ep^3*z4-2275049693024200109060120482831\
         938643444062416072933/221467871318552603566622760960000*ep^3*
         z3+62636274655070256641765/9126*ep^3*z3^2;
Fill mncnoptab(14,9,2,2)=
      +mncF321*(-21288112336675800-2443570575101955475/13*ep-
         79969490028226613023/126*ep^2-204468847037796991053221/171990*
         ep^3)
      +8760338118023676825026914470334531120927643521/
      83730764203611570346549248000-1661789118541041083/255528*ep^-3-
         1619543228594806777273632281/21630915371520*ep^-2-315209420323\
         8204398299370523464947/11190035921065537536*ep^-1+
         17905376651338205140199/63882*z3-17880826767629127964487170170\
         04485030498034536264630292973336275080765523455832328895375963\
         9239761/188544731338446662379914145419301410891201196626983108\
         01043750912000000000000000*ep+17905376651338205140199/42588*ep
         *z4+1067165155466423500761501623563/220723626240*ep*z3+
         10579147886555827749789554288364394451563448999471426067555883\
         3668966063424007672361377057972802119282132549/
         26335086409673534975325543895422869311784764822715257674303752\
         680840888320000000000000000*ep^2+289334013434619737350283/
         10647*ep^2*z5+1067165155466423500761501623563/147149084160*
         ep^2*z4-3524404783579417986820953696429848425933/
         419626347039957657600*ep^2*z3+
         25960078026781354576073465545588413962576776263376877034659087\
         45088925767465989820088263956448028622194325027604755833607433\
         772992533054694577450327419720550651031/
         27084117232188356110946321098237183081212359780661781070688935\
         43440669647267868266926050720010499642684799710410462556323840\
         000000000000000000*ep^3+8590493519781901094807495/127764*ep^3*
         z6+273195754890392033721946808395663/3605152561920*ep^3*z5-
         3524404783579417986820953696429848425933/279750898026638438400
         *ep^3*z4-4368573860526179697627559315559572077579250015733/
         293057674712640496212922368000*ep^3*z3+
         313125443652689004261529/31941*ep^3*z3^2;
Fill mncnoptab(14,9,3,1)=
      +mncF321*(-6386433701002740-1473026342810730213/26*ep-
         1052239728012194188643/5460*ep^2-626631429787875414110107/
         1719900*ep^3)
      +1540915431429897843305643867820821223134794544731/
      49215082515233911903693946880000-3857623717068935/18928*ep^-3-
         388323417014410874465946137/72103051238400*ep^-2-8131743430424\
         331868024012464941580661/193028119638380522496000*ep^-1+
         397696984014694134595/4732*z3-40197283661084455122136714546762\
         81783146590378264098374060301854322587304594887921082705273757\
         760276037/1405908838739433931663831728198340963211974410808079\
         9869213201020223488000000000000000*ep+1193090952044082403785/
         9464*ep*z4+7485998768841896443512709455949/5150217945600*ep*z3
         +5449020977625182502489415289644971252804015030192278488544017\
         90382208860429093788360340510104723962537857793993079/
         45165346242155639710598605743479205319899425713017636019944926\
         2678356381023600640000000000000000*ep^2+
         19287902556864969251125/2366*ep^2*z5+
         7485998768841896443512709455949/3433478630400*ep^2*z4-
         237509354322409960509616431165467048714113/
         96514059819190261248000*ep^2*z3+
         13391430489320497714338744477288947493510796648819069386089899\
         72614805571586669570084018116532973485488901958843484239070057\
         324484479797930952100678796261627734757/
         16598694703726863959422816787348216488343003351291291541893647\
         57337210398111307837873251084120720495302541536808697766661324\
         80000000000000000000*ep^3+190890540648576221838275/9464*ep^3*
         z6+277206448657899961372354357766287/12017175206400*ep^3*z5-
         237509354322409960509616431165467048714113/
         64342706546126840832000*ep^3*z4-956292364897035051360373382409\
         573605578826305871/208791259155537808076277350400*ep^3*z3+
         6959518241528002692333/2366*ep^3*z3^2;
Fill mncnoptab(14,10,1,2)=
      +mncF321*(-301044012841880-325574025287076643/117*ep-
         105987960845443968953/10530*ep^2-19122962061653879501561/
         935550*ep^3)
      +32354593164692042426407207658870037723791141350903/2192531926053\
      6707753095653335040000-24794509299719357/328536*ep^-3-
         301111310980065204230077957/305922945968640*ep^-2-759899496148\
         36130507600760911030519/16851661238271315456000*ep^-1+
         325528308001944598433/82134*z3-7545516256405875422439783141254\
         556028559378873771917668000503826830314385090490508913824709951
       /573715342648786942528126618044746399013951332076333730602418176\
         000000000000000*ep+325528308001944598433/54756*ep*z4+
         53544184228513719983471836735771/764807364921600*ep*z3+
         98460664998735992207620338786671020269939824378684587097110583\
         3948550878874884482031074707751479614012837/
         18430819539055384467905974503791461811259010470705458549457643\
         174656737280000000000000000*ep^2+5260572366595865369621/13689*
         ep^2*z5+53544184228513719983471836735771/509871576614400*ep^2*
         z4-61837423498714915171434147697637065977131/
         682492280149988275968000*ep^2*z3-
         18525633661408305903773612900375055519913776681937090171104608\
         23315550626677084645483479627443367744804016005900680479381589\
         4607593960345963095067494913716517479/
         26099469443712020177372613116490062217306972193096136152292452\
         87478445413841110829636801804104266151311759321119948206505984\
         00000000000000000*ep^3+156189529457866238096465/164268*ep^3*z6
         +313728562020728881183027820953999/254935788307200*ep^3*z5-
         61837423498714915171434147697637065977131/
         454994853433325517312000*ep^3*z4-28733630229443121374232359489\
         74908043116962427551813/10962659630268353876547826667520000*
         ep^3*z3+5693298599198795833207/41067*ep^3*z3^2;
Fill mncnoptab(14,10,2,1)=
      +mncF321*(-215031437744200-233240441566239305/117*ep-
         106779408322633262141/14742*ep^2-251845812544969523158739/
         17027010*ep^3)
      +184557107203286513729152924002245690733770640409/175402554084293\
      662024765226680320-195196847884077457/2299752*ep^-3-
         2300387968125461478013598873/2141460621780480*ep^-2-3072588060\
         432344148881636816047096189/636992794806655724236800*ep^-1+
         1627926437000483847781/574938*z3-25809094810251794486966449349\
         12208179902911284196071803549788256257677850959880058981665832\
         73949360197/28118176774788678633276634563966819264239488216161\
         599738426402040446976000000000000000*ep+1627926437000483847781/
         383292*ep*z4+7661944675027317856766748126157/152961472984320*
         ep*z3+33241827141352479107457019064090704596539036607450372074\
         187871720927543399375439328328530972580292318210198567879/
         90330692484311279421197211486958410639798851426035272039889852\
         5356712762047201280000000000000000*ep^2+
         26303431626334403780377/95823*ep^2*z5+
         7661944675027317856766748126157/101974315322880*ep^2*z4-
         60513237496937314900258731226119934161851/
         955489192209983586355200*ep^2*z3+
         28364997647436611337291143316486539958221771863444519294848054\
         27186046989718962177664777799193248738491134500456590112864666\
         03293242759030196049046419876805101772035787827/
         36533878570394934532783481644717138178229486480868566219753449\
         27107346046756247661514920640514062618123809079981328326606444\
         00403474022400000000000000000*ep^3+780963316605029694172405/
         1149876*ep^3*z6+316431915797210785617633845744911/
         356910103630080*ep^3*z5-60513237496937314900258731226119934161\
         851/636992794806655724236800*ep^3*z4-2321805206004619102471363\
         8229255909893090941360713/122781787859005563417335658676224*
         ep^3*z3+28465353407762459409731/287469*ep^3*z3^2;
Fill mncnoptab(14,11,1,1)=
      +mncF321*(-1308887012356-15601184119794581/1170*ep-
         5803911686413779391/105300*ep^2-2251310919904073639593/
         17374500*ep^3)
      +31796653487663856735051796192792220483509503356023/5042823429923\
      442783212000267059200000-10368125065369291/3285360*ep^-3-
         11946052572311987601117067/402070157558784*ep^-2-1153643457326\
         1879206275149356672228173/104648816289664868981760000*ep^-1+
         14141791852303275559/821340*z3-4603214904657237859042390966454\
         04041240008178750944126513274073259/92898762383355383696085269\
         02748409159739244544000000*ep+14141791852303275559/547560*ep*
         z4+56374853267760083880974471140891/175905693931968000*ep*z3+
         86671980637675279393336078534658361438305890619514920180372264\
         81916375191399/49740123646921902668906089036952483697132396406\
         867230720000000*ep^2+228737956300444455523/136890*ep^2*z5+
         56374853267760083880974471140891/117270462621312000*ep^2*z4-
         16923475418702418518660828387387614138091/
         156973224434497303472640000*ep^2*z3+
         87103686673921482303410402670258542059283905980811022233591913\
         67999064236799398711286700140497415595777264427054173619426850\
         37/35374286126900779916419261133227291574145475240746961960828\
         3102138535706630690554124507957732311040000000000000*ep^3+
         1358285945950363457579/328536*ep^3*z6+406272664573273225378437\
         197352079/58635231310656000*ep^3*z5-16923475418702418518660828\
         387387614138091/104648816289664868981760000*ep^3*z4-
         3847460016528164835914227978389402265952578390285253/252141171\
         4961721391606000133529600000*ep^3*z3+247849425855127932113/
         410670*ep^3*z3^2;
Fill mncnoptab(15,1,1,10)=
      +mncF321*(-545719070217959000-14598841906111604030285/3276*ep-
         21860603890865079256319219/1651104*ep^2-
         321833194432830178078312348439/15256200960*ep^3)
      +6634598784425399247044742756923830798725212256132611437/24709834\
      80662486963773880130859008000+274774168154133293/64393056*ep^-3+
         2102371582908547529501497093/114925053368885760*ep^-2-18283104\
         81786432957793949141816356013/20511167992774314320424960*ep^-1
         +57803834075168456732197541/8049132*z3-79307149581150083224406\
         40906939231986158882811360914959368798033567677693736187406994\
         51413/30117401352313781527021932828774686058454425413151306547\
         200000000000000*ep+57803834075168456732197541/5366088*ep*z4+
         213924150794952634296002585281916977/1795703958888840*ep*z3+
         23439730720247820041668931473333329954017614184898344541188068\
         9573741725865379541713788919692187612009/193506552133331404648\
         7895997742946229285320632530807887897015877632000000000000000*
         ep^2+177999113825284285237017383/255528*ep^2*z5+21392415079495\
         2634296002585281916977/1197135972592560*ep^2*z4-66847102903502\
         1000545082258583060968586160071/2262261175673637608870400*ep^2
         *z3-1664951334845718902532673283495830421316050272135824949393\
         37894242423458170804164225506396900843907247830366372048966086\
         6893155406579/310074840737518424495446668394163159146005323647\
         30744325559537922398555256838308402129010688000000000000000000\
         00*ep^3+55491682514212865282338500235/32196528*ep^3*z6+
         42515932403561429345777897861049239639/28731263342221440*ep^3*
         z5-668471029035021000545082258583060968586160071/
         1508174117115758405913600*ep^3*z4-1246997927322158027970989547\
         64004859305745326266763491291/61774587016562174094347003271475\
         2000*ep^3*z3+4046268592715156208653025799/16098264*ep^3*z3^2;
Fill mncnoptab(15,2,1,9)=
      +mncF321*(-2946882979176978600-8758996081474771730235/364*ep-
         112109839343117399938289/1568*ep^2-
         1431072591078335272528032855/12556544*ep^3)
      +57692153782174176785844753476272071071938856751715711/3979039421\
      356661777413655605248000+10825028103330241/264992*ep^-3+
         155785013708959884476138101/555193494535680*ep^-2-710453982941\
         8069694377040663382013/99087768081035334881280*ep^-1+
         1284529650833905564290329/33124*z3-824072368712504559939704399\
         10876710494089022470481960280733962085416013001992782949457841\
         47/57939219778149539985424909961528971998658433000930908569600\
         000000000000*ep+3853588952501716692870987/66248*ep*z4+55805330\
         69332878321921656621748089/8674898352120*ep*z3+
         24350983522516193834308467213311179317785416035713401051178971\
         30939941135973248329983096472353531503971/37226381258500255193\
         84121983849017329983139638749552050575901720576000000000000000
         *ep^2+35599822852021070001981563/9464*ep^2*z5+5580533069332878\
         321921656621748089/5783265568080*ep^2*z4-581300670775567860454\
         3233645690664838185309/3642932650038063782400*ep^2*z3-
         13763079140982265756881816975166245485848655682049953112807331\
         98640163315711294789121716123640705556122742643772981862404328\
         7757233756457/213254262984523675221430975458976582152760977500\
         17288292782031534734740139281689634718120673280000000000000000\
         000000*ep^3+1233148503312398394426451415/132496*ep^3*z6+
         369653616662168225650456443934082701/46266124544640*ep^3*z5-
         5813006707755678604543233645690664838185309/
         2428621766692042521600*ep^3*z4-2163655904652007721984330110796\
         88215111731867640872421/198951971067833088870682780262400*ep^3
         *z3+89917079833394376518683587/66248*ep^3*z3^2;
Fill mncnoptab(15,2,2,8)=
      +mncF321*(-14145038300049497280-10522107208969670711562/91*ep-
         4385459744711065484303127/12740*ep^2-
         44841642567998628235530592543/81496800*ep^3)
      +327176703951814153395545564455803161784997483019549/
      4701133531848607960082296320000-119350968286977407/496860*ep^-3-
         1012033376416051773448237913/346995934084800*ep^-2-48094808854\
         4161688981934909450057527/40389035902595924544000*ep^-1+
         23121535272265128903143314/124215*z3-1412609692616210608243965\
         19393199337382095145362464193899166739525073654276437786872626\
         257/2071747799757863552500070421967877139608733849590169600000\
         00000000000*ep+11560767636132564451571657/41405*ep*z4+33500937\
         806091968658217306200079243/10843622940150*ep*z3+
         11338594257937597219757195766921591238330137066839609564401046\
         6662449622586350142154676361237956513/361715605485000327387889\
         34528263676782124591340356289901363200000000000000000*ep^2+
         320398407759484356002253659/17745*ep^2*z5+33500937806091968658\
         217306200079243/7229081960100*ep^2*z4-226652100379455755306454\
         3000446503516807417/296978205166146504000*ep^2*z3-
         10335534778261834037150520916519986464735510161830560045339683\
         49637386862033268621935629238309726374973877435503220750669714\
         9891397/149913116432497662230919295705197869584302763375327618\
         5274764329893643694445475306196172800000000000000000000*ep^3+
         2219667319044125363112632299/49686*ep^3*z6+3711830474252661042\
         10911094268525197/9638775946800*ep^3*z5-2266521003794557553064\
         543000446503516807417/197985470110764336000*ep^3*z4-
         6209380770360345731609521851334191160450703380821443/
         1175283382962151990020574080000*ep^3*z3+
         269751232697504763279939169/41405*ep^3*z3^2;
Fill mncnoptab(15,3,1,8)=
      +mncF321*(-5893765958353957200-4391504657889987539220/91*ep-
         183556969745030964553735/1274*ep^2-371096078696595307878831409/
         1605240*ep^3)
      +10489484526061568171813476280067176536672427893982611/3617308564\
      86969252492150509568000-1955117140405231/49686*ep^-3-
         11691885641288632193712289/25236067933440*ep^-2-38907349811068\
         057630247623540017103/22519947291144394291200*ep^-1+
         1926794574137308424790659/24843*z3-200244404881902021289383987\
         84568165450241392630286979775541356633560962883291281421938511\
         753683/7057947534303099236115139910743285124133450129429806186\
         4960000000000000000*ep+1926794574137308424790659/16562*ep*z4+
         16256186775892920702465778351637783/12618033966720*ep*z3+
         29526112050357181630896243401216848348256725890415456226927409\
         78490458656220483044666454249600402937885613/
         22673919913014266762108172669205391686625822194219683729923729\
         52268800000000000000000*ep^2+8899955754424006809811373/1183*
         ep^2*z5+16256186775892920702465778351637783/8412022644480*ep^2
         *z4-5357296600377166189619652911092814925893/
         1693993327150924800*ep^2*z3-4613299696305478309747272155904497\
         12501975734196057129391826470685452109282950944096600854030849\
         56906478142441714739205681494318673797465438293/
         71459919113581865738458273150852572314314990468982912253396459\
         88289693196158665627165584292828938240000000000000000000000*
         ep^3+462430690671917086453120435/24843*ep^3*z6+679181193744562\
         73357563627206938227/4206011322240*ep^3*z5-5357296600377166189\
         619652911092814925893/1129328884767283200*ep^3*z4-176580340429\
         12252204907152940503251331817557501600303/
         7863714271455853315046750208000*ep^3*z3+
         67437808510884427334414795/24843*ep^3*z3^2;
Fill mncnoptab(15,3,2,7)=
      +mncF321*(-24753817025086620240-2640202761464468396988/13*ep-
         553705375685334879724509/910*ep^2-3374042283454309466262461489/
         3439800*ep^3)
      +3130870867842304713166169295084956589261105965027/
      25706813571284254053765120000-114695504665424089/35490*ep^-3-
         41728324650848990936766337/948724358400*ep^-2-2348809354113230\
         0671045253382161563/110427986063146752000*ep^-1+
         5780384748191899111134121/17745*z3-171203501470442986874452601\
         500585247637019473801150088759173587653027621869468728252332231
       /143872005735174197907017319467639246328952165446451200000000000\
         000000*ep+5780384748191899111134121/11830*ep*z4+25693116798119\
         66745140887152446807/474362179200*ep*z3+
         38318272246387607778483393109006985623776985902753661162982377\
         98397150161246258322008064953669250369/70333898307594355511114\
         5279027401123497134910948281273024512000000000000000000*ep^2+
         80099603442501491830678301/2535*ep^2*z5+2569311679811966745140\
         887152446807/316241452800*ep^2*z4-3895548320053871376432985318\
         157777892637/295261994821248000*ep^2*z3-
         36803484173203685190879642480253218191647113216713129198240070\
         60960380062524202023342416876605378865530805998058791693853685\
         01862635942885665311/15772408831963618797015228527722047773713\
         49558113205420513140865534013915873126849967776879586836480000\
         0000000000000000000*ep^3+277458419674659271851806993/3549*ep^3
         *z6+3602067199453901231271198301452241/52706908800*ep^3*z5-
         3895548320053871376432985318157777892637/196841329880832000*
         ep^3*z4-124044229500357427125301964465355948219588284175913/
         12853406785642127026882560000*ep^3*z3+
         67437805213655501632559651/5915*ep^3*z3^2;
Fill mncnoptab(15,3,3,6)=
      +mncF321*(-37130725537629930360-3978026982233934745302/13*ep-
         32333746887429096832976/35*ep^2-66339939377088179620724507/
         44100*ep^3)
      +734398002839464514869760673443624831610955157623/
      4019995537896303103057920000-19469389365438546413/283920*ep^-3-
         4807138833133518389944564979/6008587603200*ep^-2-4291432269987\
         837222019743609637083527/1398754490133192192000*ep^-1+
         8670602506810485012706814/17745*z3-545390615258664121417678267\
         2170735274634204132778025744717061411274254870351358458953743/
         30665026863426551797489268412173108592549099365990400000000000\
         00000*ep+4335301253405242506353407/5915*ep*z4+2446240792519009\
         5365760124310268199/3004293801600*ep*z3+
         90307641004683360447625815562472334446120186593202197634675183\
         58835793789321281473064054357791364313/11136200565369106289259\
         80025126718445537130275668112015622144000000000000000000*ep^2+
         160199257961457386963962737/3380*ep^2*z5+244624079251900953657\
         60124310268199/2002862534400*ep^2*z4-8019302223928216998386203\
         61435359409705233/41139837945093888000*ep^2*z3+
         60693808032103101830663446075874427657434661925935829767743320\
         61594560436083667637766339948927570644385813950598617040854631\
         75919012461573963/34944384479839195530229228116557118375846441\
         33764595468004051441433755141934446454565199903646023680000000\
         00000000000000*ep^3+3329502007163363186192390221/28392*ep^3*z6
         +34800594514561584099062238355873037/333810422400*ep^3*z5-
         801930222392821699838620361435359409705233/
         27426558630062592000*ep^3*z4-917571757501413924268194730111381\
         48262624733144001/6029993306844454654586880000*ep^3*z3+
         1213879360702809760600223363/70980*ep^3*z3^2;
Fill mncnoptab(15,4,1,7)=
      +mncF321*(-5662637881555762800-606293899022205925300/13*ep-
         10970593970315232090431/78*ep^2-7491941854105442277752867/
         32760*ep^3)
      +12592395334439816249295167773659244923606183490883/
      451975247588882864421679104000+222731161940375/1014*ep^-3+
         1426448867136997023317503/1545065383680*ep^-2-1586560760378703\
         455725582130313401/196967469018755635200*ep^-1+
         12593427116615756301275/169*z3-3158712093749373341255864221511\
         23271735932764802487250875032425747349382754425543141961958698\
         77/11640763113636098698465620177652398622061000629963362140160\
         0000000000000000*ep+37780281349847268903825/338*ep*z4+95901326\
         8300639134354198203593879/772532691840*ep*z3+
         54452357378494231403896767568699775904389956619752865013604563\
         2567303241439194478832606148556331350145369/
         43995748269366438678956495465150967037772622137398607232524668\
         1088000000000000000000*ep^2+3664687622516054966131795/507*ep^2
         *z5+959013268300639134354198203593879/515021794560*ep^2*z4-
         186706278305328354958855400903362416036697/
         62671467415058611200*ep^2*z3+
         40825915117171877537632822423585263785275206467080747442458896\
         23429798232430695524387783682125550731987090553108879474774731\
         622093054833386197829/1532176857962180111710050771264427498017\
         88242788139955135562255509018494684818036854012611159864115200\
         0000000000000000000000*ep^3+9067268352915519243069925/507*ep^3
         *z6+583521520548277519151709771942773/36787271040*ep^3*z5-
         186706278305328354958855400903362416036697/
         41780978276705740800*ep^3*z4-255294711731634857819568207081329\
         77919455685156745721/11073393565927630178331138048000*ep^3*z3+
         1322310031938381976926337/507*ep^3*z3^2;
Fill mncnoptab(15,4,2,6)=
      +mncF321*(-20385496373600746080-2188745320943275501176/13*ep-
         99482068976233875192371/195*ep^2-205085665521648467974878277/
         245700*ep^3)
      +499883653866434880531472694492305785886083912647/
      4983974059738783949199360000-188018345673092561/7605*ep^-3-
         383715411245437212029904299/1287554486400*ep^-2-78793324098911\
         2139193953351697391/648772954607232000*ep^-1+
         2040139619151587548525238/7605*z3-2563854374393975961920007001\
         39582481652498919117159785317363201648490144605328324058059627\
         959/2631059304881998144224579229764452717240712725601976320000\
         00000000000000*ep+1020069809575793774262619/2535*ep*z4+2881011\
         105770698065075389446712749/643777243200*ep*z3+
         16296095720804319475410368737043043258961004530255222824466327\
         53528357339962606623606087386056138877619/36749461865718050754\
         5573408291817087027252990970476965155307520000000000000000000*
         ep^2+65964392705744636857634782/2535*ep^2*z5+28810111057706980\
         65075389446712749/429184828800*ep^2*z4-26532718147452636750046\
         8400599241135389271/24977758752378432000*ep^2*z3+
         60750261159104708605758475618326873813634188654244462286246942\
         05662840441066213705540990969591147626957117181612287124575877\
         3484561458395759395907/421348635939599530720263962097717561954\
         91766766738487662279620264980086038324960134853468068962631680\
         00000000000000000000000*ep^3+97926519249041161512189554/1521*
         ep^3*z6+589630062901867770916238510980541/10218686400*ep^3*z5-
         265327181474526367500468400599241135389271/
         16651839168252288000*ep^3*z4-149180063137936144285478551603479\
         190111853762862931/17443909209085743822197760000*ep^3*z3+
         71404691772371761373804894/7605*ep^3*z3^2;
Fill mncnoptab(15,4,3,5)=
      +mncF321*(-25481870467000932600-2749995430192522920870/13*ep-
         25216312430368418957972/39*ep^2-10514878919591211060909287/
         9828*ep^3)
      +499877228017169936683898781098031099318758961233/
      3987179247791027159359488000-6624001242179933117/24336*ep^-3-
         321097490033199231676525031/103004358912*ep^-2-656669521379122\
         36275115982164066619/5709202000543641600*ep^-1+
         510042912914063202066470/1521*z3-46797691235297746395118241785\
         376317819790680383964978743056251641344242793503964108790212951
       /386301413234439256940267632793651410719577586064854876160000000\
         00000000*ep+255021456457031601033235/507*ep*z4+144418701584070\
         6515460077977504343/257510897280*ep*z3+
         25169679887931043391566717634072618297986512705188922658062833\
         16868666912529834303133306988499396630743/45863328408416127341\
         6875613548187724610011732731155252513823784960000000000000000*
         ep^2+65964506594606345752580455/2028*ep^2*z5+14441870158407065\
         15460077977504343/171673931520*ep^2*z4-26059519716331705676904\
         5919152673204285979/19982207001902745600*ep^2*z3-
         17785604038679023841510369606342121538445632728075867137600646\
         85930874350405296997445846051144361823218560160469343824761905\
         959145523302828190426799/6835960269484062786405562521073369725\
         15658424023565223832824559179036915885784153227862665950849736\
         37632000000000000000000000*ep^3+979266740660813922247377425/
         12168*ep^3*z6+300462127088251939921013159029627/4087474560*
         ep^3*z5-260595197163317056769045919152673204285979/
         13321471334601830400*ep^3*z4-157254607244761505374262908678475\
         899025398887201067/13955127367268595057758208000*ep^3*z3+
         71404341519906106960736147/6084*ep^3*z3^2;
Fill mncnoptab(15,4,4,4)=
      +mncF321*(-13990046530902472800-1521687204299347368360/13*ep-
         42414035419283804773420/117*ep^2-3212261425310200274825936/
         5265*ep^3)
      +3499213288421583155680230349654911798547594326263/
      50836535409335596281833472000-211432967873452741955/310284*ep^-3-
         7138376957315070077967310963/938075411520*ep^-2-19426690375714\
         11909575111041100271149/72792325506931430400*ep^-1+
         14282113450611308892660224/77571*z3-10405409805898770403384510\
         66094594956522750997919066296293898947050111084980690638780881\
         299116243/1571523040310311380951465232826849385313910816650065\
         969414144000000000000000*ep+7141056725305654446330112/25857*ep
         *z4+1449891348068326496225838430435199/469037705760*ep*z3+
         59332046303695485689795847390390007611997156117306288233987632\
         6763344863029741242085975393968717384326021/
         19954847544699304405572372398223180280453729233799608064843651\
         7437440000000000000000*ep^2+461754774336082464002659201/25857*
         ep^2*z5+1449891348068326496225838430435199/312691803840*ep^2*
         z4-253282745285426770063084056262811862791947/
         36396162753465715200*ep^2*z3-
         92994564169737806886889705013991629945678703596894222359808825\
         62341418712369561655211928146798416383158905298506593698105987\
         587663054530980802500651/7698145758472740205340964094043748481\
         74195842753537387688739556705492946901878679553726844693900659\
         376783360000000000000000000*ep^3+6854911047788180415576586895/
         155142*ep^3*z6+2164128905177106459684722770508197/52115300640*
         ep^3*z5-253282745285426770063084056262811862791947/
         24264108502310476800*ep^3*z4-242100456677451250675270485312906\
         84054708115135069/3631181100666828305845248000*ep^3*z3+
         499820327605738019382811925/77571*ep^3*z3^2;
Fill mncnoptab(15,5,1,6)=
      +mncF321*(-2831318940777881400-306051006940080357340/13*ep-
         33767414179235566496447/468*ep^2-23547874107268358946959843/
         196560*ep^3)
      +3832450229858052050971033541479123043471146628759/
      275115368097580873995804672000-1088731709154892/4563*ep^-3-
         13503554938821556588871477/3090130767360*ep^-2-
         30490204507827855041692241817083/1007506235390054400*ep^-1+
         340022639765760690811457/9126*z3-59914930174188999983781334762\
         19718494771866212235655826228249713216512206392969643074525621\
         21/44538571913042464585433677201452655597450785018990255144960\
         00000000000000*ep+340022639765760690811457/6084*ep*z4+96355548\
         4160038360068379386962539/1545065383680*ep*z3+
         21756057564584305122693263427948015420942069478052014306944165\
         38137665131996599091846951338917172991978279/
         35770456201615321882455933269492307982884697129102345880357012\
         76672000000000000000000*ep^2+10994063203030005581842843/3042*
         ep^2*z5+963555484160038360068379386962539/1030043589120*ep^2*
         z4-1986456543040506128898374455867568744618239/
         1378772283131289446400*ep^2*z3-
         63512728176900360459995531719933211850227412032066251337592746\
         11629431353330163074834946595473352508010493535232932526007522\
         771272940487249295844013/1095506453442958779872686301454065661\
         08278593593520067921927012688948223699644896350619016979302842\
         3680000000000000000000000000*ep^3+40802708711655320068396340/
         4563*ep^3*z6+604501337994764505630650078552833/73574542080*
         ep^3*z5-1986456543040506128898374455867568744618239/
         919181522087526297600*ep^3*z4-28188212227110277071285656232781\
         357912429465829493413/22146787131855260356662276096000*ep^3*z3
         +11900788801603679564143667/9126*ep^3*z3^2;
Fill mncnoptab(15,5,2,5)=
      +mncF321*(-8493956822333644200-921295047695953516740/13*ep-
         34077905101562519533039/156*ep^2-23941041536812156943670179/
         65520*ep^3)
      +1009832795284043062600761528965055192632819213/
      24164722713885013087027200-77964441050139446/1521*ep^-3-
         213043736154806598940389383/343347863040*ep^-2-867855573990929\
         1367226677361568461/3425521200326184960*ep^-1+
         340025952216269168514049/3042*z3-96086459372305321631087540434\
         10814480810811739989015858931997548381923114087154484534931850\
         77/23880450999947154065398362754516632662664796229463755980800\
         00000000000000*ep+340025952216269168514049/2028*ep*z4+
         21448896284673973527687024746327/11444928768*ep*z3+
         66509712532933805720048902773277117937775040464745783020482035\
         431146229064802089818751552111436185254463/3669066272673290187\
         33500490838550179688009386184924202011059027968000000000000000\
         00*ep^2+10994075032295123921359691/1014*ep^2*z5+
         21448896284673973527687024746327/7629952512*ep^2*z4-4653159419\
         370104284803059992446101538637/1089938563740149760*ep^2*z3-
         15070902905524722591446719077071563579069060661821983749192734\
         68541481179015641525157026528035309699349146390994893633945811\
         9491083066455996434840789/497160746871568202647677274259881434\
         55684249019895652642387240667566321155329756598390012069152708\
         1000960000000000000000000000*ep^3+40802748930836378244456280/
         1521*ep^3*z6+122414216618004859193619708910189/4904969472*ep^3
         *z5-4653159419370104284803059992446101538637/
         726625709160099840*ep^3*z4-20392878185971141010246832503394335\
         27856049707119/516856569158096113250304000*ep^3*z3+
         11900752925610687184619683/3042*ep^3*z3^2;
Fill mncnoptab(15,5,3,4)=
      +mncF321*(-8493956822333644200-926527663311673208940/13*ep-
         17298616813480695920117/78*ep^2-12301741021427382869396057/
         32760*ep^3)
      +11108191569673538594481495914904509617801126421/
      265811949852735143957299200-8948166078375379691/24336*ep^-3-
         712484278559744298184468019/171673931520*ep^-2-509706305839888\
         56346686061480493303/3425521200326184960*ep^-1+
         170023627559292088566677/1521*z3-19766067942248190293761293117\
         70552680841605921220077039801656778849608476630592111211396660\
         53357/49302683617578396265144007304371745421612888365492265707\
         1104000000000000000*ep+170023627559292088566677/1014*ep*z4+
         32265615676796790636327533156599/17167393152*ep*z3+
         12363564187488865030737254969747463944610301198763084772889521\
         10444330356986744040508870550011636697787889/
         68863787605236815203543873374260386850193261669582961164950641\
         3117440000000000000000*ep^2+21988300816334847490325797/2028*
         ep^2*z5+32265615676796790636327533156599/11444928768*ep^2*z4-
         50121355120100127093717123841858157828279/11989324201141647360
         *ep^2*z3+71980351988469526742368198307853135550044843172187185\
         33499663311524078573219339631376955995796490128890887373832789\
         2797150070531402575353252220288867/
         20528388689260640547575904250783329284645222473427663671699721\
         51214647858405009812143271585850401758338088960000000000000000\
         0000*ep^3+326424039693836870583553415/12168*ep^3*z6+
         62469202034409102851974179459563/2452484736*ep^3*z5-5012135512\
         0100127093717123841858157828279/7992882800761098240*ep^3*z4-
         19324556749289424859482731258337016415685756819331/
         4651709122422865019252736000*ep^3*z3+
         23801035173214927675748921/6084*ep^3*z3^2;
Fill mncnoptab(15,5,4,3)=
      +mncF321*(-3497511632725618200-384683724004493884740/13*ep-
         7281382991770580454707/78*ep^2-5269664905785299233646447/32760
         *ep^3)
      +1632889299604899866139749636021950839548671478287/
      94894866097426446392755814400-189216093062442842957/413712*ep^-3-
         2139927721482867880000900019/416922405120*ep^-2-74115333410111\
         55478772989029094386823/407637022838816010240*ep^-1+
         1190338497243914603706539/25857*z3-417568345067214901637246046\
         74101973643568345351490259844883607532961944819615906210746552\
         3463822393/255690290931910573483872174414779121322540654115224\
         9555925021491200000000000000*ep+1190338497243914603706539/
         17238*ep*z4+226818393247144643940257843479585/291845683584*ep*
         z3+47180357834687409522133142011804242967948217821194762922778\
         213439041487916378100751632901882095871992708051/
         64933960792564634282594969667035927440608899536972093514470791\
         380887142400000000000000*ep^2+153920565214333246965702979/
         34476*ep^2*z5+226818393247144643940257843479585/194563789056*
         ep^2*z4-48547860966193891519896358676348725551991/
         29116930202772572160*ep^2*z3+
         29759320703993566067606175040170848488756832725599949199924351\
         74762665814678931305074132124533934062922159404801221739231675\
         8716910661882929970495987163/212925921721995166596936632463591\
         56689481615288705130831318196478305318160139003107499917760863\
         260477951548850176000000000000000000*ep^3+
         2285001708270120412411413905/206856*ep^3*z6+315213143534491152\
         7335239264274011/291845683584*ep^3*z5-485478609661938915198963\
         58676348725551991/19411286801848381440*ep^3*z4-435171792862269\
         506902727722086109412709892356172351/
         237237165243566115981889536000*ep^3*z3+
         166599659756542567485273167/103428*ep^3*z3^2;
Fill mncnoptab(15,5,5,2)=
      +mncF321*(-582918605454269700-64854112014991677840/13*ep-
         7505124239640564171547/468*ep^2-427876580712828107192959/15120
         *ep^3)
      +543989148885859605918290117931267525646041993557/
      189789732194852892785511628800-273356753258757696517/2482272*
         ep^-3-3199074191832235050924165379/2501534430720*ep^-2-
         1316380580660828138484001426108895279/271758015225877340160*
         ep^-1+1190456682873336843813409/155142*z3-
         84063501360155588873316248926585881740835372630699680339930770\
         61990364997035798722658589892731867/31162254207326601143346921\
         2568012054111846422202930414628361994240000000000000*ep+
         1190456682873336843813409/103428*ep*z4+
         25349656900575210571145011266065/194563789056*ep*z3+
         42672631147682307240902314334817623905257747554306761338194641\
         6542470682211843279566996769213130473667927/
         35971938507244612741778463309863652985564589232129426804891489\
         54338918400000000000000*ep^2+153922229217939276754761299/
         206856*ep^2*z5+25349656900575210571145011266065/129709192704*
         ep^2*z4-572089262182246584315133372647493688711/
         2156809644649820160*ep^2*z3-
         15754728572426004008820877618523495628501405835559563808558867\
         50256273346212712667610122898785763043307640911760258961466752\
         2577844426204857844565915287/441155894067758735793028085385503\
         77766019721676285942941137388328488831063037997063351392110788\
         567802755865273958400000000000000000*ep^3+
         2285024304611622414445151305/1241136*ep^3*z6+32795677328516858\
         00160704466329651/1751074101504*ep^3*z5-5720892621822465843151\
         33372647493688711/1437873096433213440*ep^3*z4-1439111222626491\
         1761423140151746858745018277466927/
         43134030044284748360343552000*ep^3*z3+
         166594379837749319298974527/620568*ep^3*z3^2;
Fill mncnoptab(15,6,1,5)=
      +mncF321*(-745083931783653000-81688384839601005620/13*ep-
         9227580615068717838409/468*ep^2-6631048717342151059757173/
         196560*ep^3)
      +4639094024821156673870219653024633894734593721451/
      1265530693248872020380701491200+1082281180770526/4563*ep^-3-
         5092281652743714577567123/3090130767360*ep^-2-1556783792813712\
         3307228762175720971/393934938037511270400*ep^-1+
         89479547219528191330759/9126*z3-149092276639036919870822124673\
         85835494127124138629761336465740967101157205924141172484083645\
         63/42614505606399030115342942346349900875640911106169876122697\
         728000000000000*ep+89479547219528191330759/6084*ep*z4+
         51072741215598443820243145592425/309013076736*ep*z3+
         21333993814609997124414964185771714423768348108918466001182752\
         8554298935209415724102328879906710109751429/
         13690068997482215990853534780900096111209631285250049815330235\
         92607907840000000000000*ep^2+2893174232938250213751821/3042*
         ep^2*z5+51072741215598443820243145592425/206008717824*ep^2*z4-
         99202217732045813964194280192195305866597/
         275754456626257889280*ep^2*z3+
         95553619988272870103841400935045388394263356294704118118368019\
         07437377315673672905431026628240366375661225835668993832186244\
         098790406067888363/2916676381646533455533040008991304416066809\
         27583387828835338478583055750777934572043888070805695887520563\
         2000000000000000*ep^3+10737553939494028062405880/4563*ep^3*z6+
         33475486206126084453675280030459/14714908416*ep^3*z5-992022177\
         32045813964194280192195305866597/183836304417505259520*ep^3*z4
         -8438684263820121395313748208005966213935136377138211/
         22146787131855260356662276096000*ep^3*z3+
         3131787846731814068625013/9126*ep^3*z3^2;
Fill mncnoptab(15,6,2,4)=
      +mncF321*(-1788201436280767200-196820573027837109120/13*ep-
         1864747485215326934101/39*ep^2-1351096642895909061096457/16380
         *ep^3)
      +37960099392740977393889706711749110326507749/
      4315129056050895194112000-72338849678222138/1521*ep^-3-
         48289160752584541653340069/85836965760*ep^-2-94557912580473591\
         01207308655766131/4281901500407731200*ep^-1+
         35793457569959606965910/1521*z3-206135721335504207128595364029\
         174703614221340856174345428013855502573371451248649717914769261
       /246513418087891981325720036521858727108064441827461328535552000\
         0000000000*ep+17896728784979803482955/507*ep*z4+
         17058166320463930348283085193291/42918482880*ep*z3+
         63895792309636330115664096303336250797884265671060711058877066\
         6954146535411441968756489815955243040621/172159469013092038008\
         8596834356509671254831541739574029123766032793600000000000000*
         ep^2+1157275468874026482862090/507*ep^2*z5+
         17058166320463930348283085193291/28612321920*ep^2*z4-127432750\
         47143040355427915757867113947537/14986655251427059200*ep^2*z3+
         13404938446957766654265557125991844902583239773667415289026810\
         99605675245632798693785294685729270233801014814994749241564945\
         227884613234693086321/9434002154991103192819808938779103531546\
         51768080315426089141613609672729046419950433488780262133161000\
         96000000000000000000*ep^3+8590082372630299604050900/1521*ep^3*
         z6+33938918520628234128691887793091/6131211840*ep^3*z5-
         12743275047143040355427915757867113947537/9991103500951372800*
         ep^3*z4-1098032331601997220404241925801239856154846847157/
         1162927280605716254813184000*ep^3*z3+1252696887722943599976314/
         1521*ep^3*z3^2;
Fill mncnoptab(15,6,3,3)=
      +mncF321*(-1341151077210575400-148515074505439585020/13*ep-
         947465566653800456295/26*ep^2-6621486167625662563003/104*ep^3)
      +61378557188445772398539617590270556574969665423/
      9303418244845730038505472000-1325462063386561001/8112*ep^-3-
         106338407735984430833945057/57224643840*ep^-2-1287647779755431\
         6529907013496087851/1903067333514547200*ep^-1+
         8949776685722834950175/507*z3-62406804310661631192567789514843\
         08063664855518701883622103732211042937755995896107722556269286\
         53/10027070232623944058191065663324671424413358984910782572254\
         986240000000000000*ep+8949776685722834950175/338*ep*z4+
         8556038184272047557541384258913/28612321920*ep*z3+
         34999711021665431817769612295755575527511403130101487641960489\
         8600068686484356329707735390755968524626163/
         12732149175012673388744111699418809302080176379798449708719763\
         01586022400000000000000*ep^2+1157295557656864791588775/676*
         ep^2*z5+8556038184272047557541384258913/19074881280*ep^2*z4-
         460560297917653720814192830291278237139/740081740811212800*
         ep^2*z3-520274500034386069799104477969978965410881320781071794\
         88647022958531394176812000994593817929135745585074249975379391\
         0546155590192643323354662657472341/
         41750180729802973842536594600704228802905128017068883982976855\
         83981434933360588844607827011933972642735597813760000000000000\
         00000*ep^3+17180437831138515174828125/4056*ep^3*z6+12132328999\
         8846934085521117692571/28612321920*ep^3*z5-4605602979176537208\
         14192830291278237139/493387827207475200*ep^3*z4-34527590614811\
         27848383399827328268757844689429747/
         4651709122422865019252736000*ep^3*z3+1252635142133305911435587/
         2028*ep^3*z3^2;
Fill mncnoptab(15,6,4,2)=
      +mncF321*(-368159119234275600-41121158334776917320/13*ep-
         399060993844537378409/39*ep^2-99359290162426117953551/5460*
         ep^3)
      +429442597460701589337643508785185314235050037641/
      237237165243566115981889536000-15227239922361656783/206856*ep^-3-
         178200926914559731017296257/208461202560*ep^-2-300207651098541\
         821423786465494794163/92644777917912729600*ep^-1+
         125313608765474460348490/25857*z3-5293181807174092687926142087\
         82370033514352948886334780894625967437730917264092065296767902\
         02484013/31162254207326601143346921256801205411184642220293041\
         46283619942400000000000000*ep+62656804382737230174245/8619*ep*
         z4+20052698852488383533700698739677/243204736320*ep*z3+
         29434285117426417241890909834683455032343424854141164850766753\
         353657272501736320014377460167050755690424339/
         39569132357969074015956309640850018284121048155342369485380638\
         4977281024000000000000000*ep^2+8101186661071649042724145/17238
         *ep^2*z5+20052698852488383533700698739677/162136490880*ep^2*z4
         -2398987710329337778095492085581096974029/14558465101386286080
         *ep^2*z3-14880751453488221084566820997581629461199839650030911\
         01214514748680762541278495064630233047461290966113874494823640\
         0514734525029999260314902731487319561/
         25950346709868160929001652081500222215305718633109378200669051\
         95793460650766941003726552477105209870750345016115200000000000\
         0000000*ep^3+120264663828419991037377275/103428*ep^3*z6+
         874562574152418714259220623010797/729614208960*ep^3*z5-
         2398987710329337778095492085581096974029/9705643400924190720*
         ep^3*z4-25709744123290050433287269131693416032825354089093/
         118618582621783057990944768000*ep^3*z3+
         8768071814888468889750581/51714*ep^3*z3^2;
Fill mncnoptab(15,6,5,1)=
      +mncF321*(-30679926602856300-3467109664218243120/13*ep-
         411445332389028804361/468*ep^2-314693220185628790419457/196560
         *ep^3)
      +75614056767494782737480602976337764905548642158403/5019938416553\
      85901417678258176000-932869922442890311/2482272*ep^-3-
         31452729679478973386393617/2501534430720*ep^-2-337674420672475\
         8775284879376777201487/31252171750975894118400*ep^-1+
         62636648508527311928875/155142*z3-3399049918864438981982316923\
         25312842741300859703387838917224885389812472718692539616757093\
         2996444114743/242656734041947363911105274196160170392245466812\
         3554787061299445707571200000000000000*ep+
         62636648508527311928875/103428*ep*z4+
         20168045934548556116230592536997/2918456835840*ep*z3+
         42848222893186732112153313779588127386436769425575407605603689\
         450211701457525355895518666099245403407026857612487/
         70867619636393111306875069735712703786538996715770649722613780\
         85019347138379776000000000000000*ep^2+
         8100903243718233678178625/206856*ep^2*z5+
         20168045934548556116230592536997/1945637890560*ep^2*z4-
         1078391179820412942430860220508048353421/82677703044909772800*
         ep^2*z3-801858642796094592472772892836601166698307364345448197\
         60287409666772068014471086467604371231840345642259310189583192\
         5402733247630803062029185575504921723/
         68568230392245929220402079557061158584899224548284437028510683\
         57342264028083620114989473516648280252771197345438105600000000\
         0000000000*ep^3+120260815685602958934101875/1241136*ep^3*z6+
         909126119993421565958704906477477/8755370507520*ep^3*z5-
         1078391179820412942430860220508048353421/55118468696606515200*
         ep^3*z4-978486293068793355196923960344051530303332860194571/
         50199384165538590141767825817600*ep^3*z3+
         8768974708939004246211877/620568*ep^3*z3^2;
Fill mncnoptab(15,7,1,4)=
      +mncF321*(-99344524237820400-33350966110165912670/39*ep-
         973670038165341759913/351*ep^2-182348777143234858182469/36855*
         ep^3)
      +1152412337778728120931800867454302994342765461/
      2358131726550693205678325760-9842038156449521/54756*ep^-3-
         18828785493178499838376973/4635196151040*ep^-2-
         71545407808451173847645732506697/2335582636586035200*ep^-1+
         17896001805250913015903/13689*z3-14317046112588241258045952033\
         78881848304249909580028462214117166325979471528350097002571238\
         64281/31297343560438765949113415836815183993639861534414490270\
         873681920000000000000*ep+17896001805250913015903/9126*ep*z4+
         51601313499398691214910280982639/2317598075520*ep*z3+
         40115629969942923413349456495311367208838963081635764312061939\
         76663959254521228419533686779267454874371191/
         20108776891029991933956439376271027043351233953611581323854906\
         8681597419520000000000000*ep^2+578635139235565132868752/4563*
         ep^2*z5+51601313499398691214910280982639/1545065383680*ep^2*z4
         -91282169526615352921992871243986433642471/
         2068158424696934169600*ep^2*z3-
         70214050010849605027853964790160601283403192650312945283397456\
         99377245488734326183526186151421159284635710338503182556483441\
         9111117211481095422755159584902197/
         42493459885538482332935325373780769582321704873729708511480757\
         58491278359977379834248331325101644589114577275612613836800000\
         0000000000000*ep^3+8590047079507222427951765/27378*ep^3*z6+
         35916004171197582701875011482053/110361813120*ep^3*z5-
         91282169526615352921992871243986433642471/
         1378772283131289446400*ep^3*z4-1973244701683808244508119790769\
         756603430957356398289/33220180697782890534993414144000*ep^3*z3
         +626356323687417063579476/13689*ep^3*z3^2;
Fill mncnoptab(15,7,2,3)=
      +mncF321*(-178820143628076720-20096312205370886562/13*ep-
         984613925172269176873/195*ep^2-186007205893535369730889/20475*
         ep^3)
      +61358603015671463484867184269388146173014357499/
      69775636836342975288791040000-98627676748221797/6084*ep^-3-
         165692938596424609431478399/858369657600*ep^-2-328592009849616\
         87883985604519733241/42819015004077312000*ep^-1+
         3579720225600658270835/1521*z3-3802245414925332918898205144131\
         109719699430168701664444877734523769139903881572583245831086381
       /462787856890335879608818415230369450357539645457420734104076288\
         000000000000*ep+3579720225600658270835/1014*ep*z4+
         2462772755112021247587035842723/61312118400*ep*z3+
         61710909539924994116130113316119600398961743879753515430278844\
         8189069260858034095828511664088879337143/172834604185692398942\
         22776062559469640832818615111017704144474682163200000000000000
         *ep^2+115728885262039410371560/507*ep^2*z5+
         2462772755112021247587035842723/40874745600*ep^2*z4-1168381401\
         1271478094726962104424756439811/149866552514270592000*ep^2*z3-
         32503944849203511940252151833713217922098941462994346399337832\
         11192082969191984132585718135154358507260879272671650369063679\
         51841187794562807164218577/96346570914929939636622910617009758\
         77593491080862050149917735963034080615447512718325754642924552\
         2524667641856000000000000000000*ep^3+1718034677802587864219225/
         3042*ep^3*z6+255043388803125549504518880248147/429184828800*
         ep^3*z5-11683814011271478094726962104424756439811/
         99911035009513728000*ep^3*z4-767429497054941072111421871878993\
         223355485449757/6977563683634297528879104000*ep^3*z3+
         125265640323391609882940/1521*ep^3*z3^2;
Fill mncnoptab(15,7,3,2)=
      +mncF321*(-89410071814038360-10112273734080225246/13*ep-
         500541253499447933069/195*ep^2-31927816065712987025639/6825*
         ep^3)
      +8762408571368555454396564095144235073321020617/
      19935896238955135796797440000-510684311053668961/24336*ep^-3-
         209455395703077503522789497/858369657600*ep^-2-795871273597596\
         28935628525569158921/85638030008154624000*ep^-1+
         1790301190017476715502/1521*z3-3398109890254395115572813703803\
         76091467303550675862730912643116281767887123791262405836746666\
         09/83321535313707489688093372344388249762525781337681929045016\
         57600000000000000*ep+895150595008738357751/507*ep*z4+
         2882992706608448600608095022391/143061609600*ep*z3+
         20512460064400749649366223328587863014102503660466361527666912\
         2391087349231085645819467603885697458760977/
         11637980105285021769398914600250005377682661222159520436876658\
         381684736000000000000000*ep^2+231463976770780068059987/2028*
         ep^2*z5+2882992706608448600608095022391/95374406400*ep^2*z4-
         11349753721933094953086426812872884751721/
         299733105028541184000*ep^2*z3+
         39707082733522214673492146046985515951857603828185660051442460\
         98950759151058529533524592893475082157641353368237780867703797\
         95647883512160329589987/13877190753940193010161311273529530596\
         42017039203710064206901174221101952281786633008851592034871588\
         6365481369600000000000000000*ep^3+3436153627761351486589765/
         12168*ep^3*z6+18605528964476623434271483304953/61312118400*
         ep^3*z5-11349753721933094953086426812872884751721/
         199822070019027456000*ep^3*z4-79867356974629649534400009189442\
         4154476513009207/13955127367268595057758208000*ep^3*z3+
         250511549651736000716143/6084*ep^3*z3^2;
Fill mncnoptab(15,7,4,1)=
      +mncF321*(-12271970641142520-1400231013562492342/13*ep-
         210868895546449015579/585*ep^2-41068123506933644774647/61425*
         ep^3)
      +226725367761884072517477557423713938899915937116297/376495381241\
      5394260632586936320000-341942684466641863/1241136*ep^-3-
         45224839639108501210249337/6253836076800*ep^-2-401523723023102\
         40057798053851762867807/703173864396957617664000*ep^-1+
         12527515225535397361450/77571*z3-14969164105329034542445475405\
         93127899938042608804752827167594929739746666952622058977762278\
         55145590009/26961859337994151545678363799573352265805051868039\
         4976340144382856396800000000000000*ep+6263757612767698680725/
         25857*ep*z4+60801738435038928667537055567651/21888426268800*ep
         *z3+1867028302094401560497478470309440263278292155226494659412\
         204183377671469321475058011967647804377582641981469481/
         78741799595992345896527855261903004207265551906411833025126423\
         1668816348708864000000000000000*ep^2+1620183416084646982252805/
         103428*ep^2*z5+60801738435038928667537055567651/14592284179200
         *ep^2*z4-10890732826435395875094674596797619057961/
         2183769765207942912000*ep^2*z3-
         62774968294448786977747022292628813161876848017598135062098346\
         68518013322069353560641615770705368312707202374566120587567794\
         630644519099639426897667/3766036710729166211918607104798218189\
         97634011909070341234199393493835559294975565166665212096901205\
         7324763742208000000000000000000*ep^3+
         24052200936758996786563075/620568*ep^3*z6+93790881430911081963\
         8754064725577/21888426268800*ep^3*z5-1089073282643539587509467\
         4596797619057961/1455846510138628608000*ep^3*z4-58848251675690\
         60599276175997109756766377809332609/
         711711495730698347945668608000*ep^3*z3+
         1753787678188582625452105/310284*ep^3*z3^2;
Fill mncnoptab(15,8,1,3)=
      +mncF321*(-6082317810478800-4910002731713297570/91*ep-
         1052060627607096777769/5733*ep^2-208740652684718561653217/
         601965*ep^3)
      +661990642999251308619480655512249903797355097723/
      22146787131855260356662276096000+29893171464797047/894348*ep^-3-
         8610018785185344878711929/15141640760064*ep^-2-205552222402870\
         789757151367982539313/22519947291144394291200*ep^-1+
         17895550348754917189439/223587*z3-9961140942313502337412006829\
         36886656297654103726170091099236290155053833980748058215194508\
         07102177/36599809056100658206803208777701383166251201630822847\
         4669879252746240000000000000*ep+17895550348754917189439/149058
         *ep*z4+7485450034440241438488774717193/5407728842880*ep*z3+
         12255230507632611742960538428426282277422077274316039334529119\
         29308611584854628598436687820827986367017788137/
         10688932071854164601338622886231177041710255914897533894813541\
         60636402283315200000000000000*ep^2+578633820973394416373176/
         74529*ep^2*z5+7485450034440241438488774717193/3605152561920*
         ep^2*z4-79209371101813988452896448661920754924663/
         33779920936716591436800*ep^2*z3+
         91582610326805874293174880346777439630672353474568112475785581\
         19979513300104049676329683885281296376591980460441209796002633\
         988153006495633814417630047773901893/
         21605563604024899461723560990046755734300457944687460683170660\
         74539565530584054457946707127073902848865367290355924546355200\
         0000000000000000*ep^3+8590029562857141659650445/447174*ep^3*z6
         +277178910403305179235440169127219/12618033966720*ep^3*z5-
         79209371101813988452896448661920754924663/
         22519947291144394291200*ep^3*z4-948119222678411630258206864747\
         62989533283296865129/21703851389218155149529030574080*ep^3*z3+
         626363153079508997171228/223587*ep^3*z3^2;
Fill mncnoptab(15,8,2,2)=
      +mncF321*(-7298781372574560-5918576676148526412/91*ep-
         2128590140713273650226/9555*ep^2-98321776499790616795658/
         231525*ep^3)
      +2919845105266198308958649600587510469738209639/
      81404909642400137836922880000-109579228559812451/49686*ep^-3-
         1608283486109841381602822357/63090169833600*ep^-2-709425903667\
         201163900662442809055447/7343461073199259008000*ep^-1+
         2387373898330394174146/24843*z3-592057486508873118763120741874\
         53156577104339265363496486535442800943160133391140468423061676\
         227/1833073776901564773138054191576541494775567189429002438990\
         36467200000000000000*ep+1193686949165197087073/8281*ep*z4+
         7505340968500049306262243742609/4506440702400*ep*z3+
         31556706781972741416587235894741849521188465863094720236657580\
         984260893014399361691314327217820601760101/
         23275960210570043538797829200500010755365322444319040873753316\
         763369472000000000000000*ep^2+77155698297346223694744/8281*
         ep^2*z5+7505340968500049306262243742609/3004293801600*ep^2*z4-
         10081926801314208456092932938865524936971/
         3671730536599629504000*ep^2*z3+
         66169323378940020054845105926579730954465879154890152778970487\
         02683949695499928804927257045531493572000425101833367542893091\
         620847089275428204278668691022671989/
         26331780642405346218975589956619483551178683120087842707614242\
         78345095490399316370622549311121319097054666385121283040870400\
         0000000000000000*ep^3+572699302484270692275215/24843*ep^3*z6+
         281161278829590604860118037413867/10515028305600*ep^3*z5-
         10081926801314208456092932938865524936971/
         2447820357733086336000*ep^3*z4-3055108973524466580436613346027\
         40273553916912119/56983436749680096485846016000*ep^3*z3+
         83500195564585885807216/24843*ep^3*z3^2;
Fill mncnoptab(15,8,3,1)=
      +mncF321*(-1824695343143640-1489297444483080738/91*ep-
         41622490877818140433/735*ep^2-329049155140518726112691/3009825
         *ep^3)
      +3187665527555467277061885956022820226732731057/
      356631032719086318142709760000-36716469009512171/397488*ep^-3-
         265535212120300060402168171/126180339667200*ep^-2-454545426219\
         899924844261521550432767/29373844292797036032000*ep^-1+
         596559063810522894818/24843*z3-3857253173952054632940380813786\
         07321037044012588347686556097939202844315090133196290267383243\
         50633/47738881377522597661047663623088760651632002127160235826\
         5059894886400000000000000*ep+298279531905261447409/8281*ep*z4+
         3764301216660332914028046452537/9012881404800*ep*z3+
         46938017440782695079668160990796307250554824129291335804698378\
         6206808427065000309490224106910487593174327697/
         13942085311114127740876464634214578750056855541170696384539402\
         09525742108672000000000000000*ep^2+77151827515089438459953/
         33124*ep^2*z5+3764301216660332914028046452537/6008587603200*
         ep^2*z4-223825306614279252377373307223922882740143/
         337799209367165914368000*ep^2*z3+
         13084777499749242556378153974133752719804528797568705293558058\
         21624991195552775100737681627804416775397268757815903313148372\
         64584639788550042643941/32674054484193631702854726209246787758\
         79531757857564833450362630941992556543069530562647226730935111\
         70612002816000000000000000000*ep^3+1145346231450131119002935/
         198744*ep^3*z6+143405560278796274594350584806831/
         21030056611200*ep^3*z5-223825306614279252377373307223922882740\
         143/225199472911443942912000*ep^3*z4-1666029870015601579319995\
         49211748097567000221113997/120576952162323084164050169856000*
         ep^3*z3+83513783332552768978277/99372*ep^3*z3^2;
Fill mncnoptab(15,9,1,2)=
      +mncF321*(-138234495692700-234115526025928745/182*ep-
         107780356771793888261/22932*ep^2-255911862462158428828763/
         26486460*ep^3)
      +4623103402444055474456395631664599747894566070833/68212104366114\
      20189851981037568000-112095746126163217/3577392*ep^-3-
         1375453343199929423313748889/3331160967214080*ep^-2-1891799438\
         100633226144165833248048221/990877680810353348812800*ep^-1+
         1627594002106472948101/894348*z3-27303312520403216864207184157\
         87279230719471550582852982822129064622821631613272060023936312\
         41813/45516344170533344070960623161044449728437399987311576888\
         154626457600000000000000*ep+1627594002106472948101/596232*ep*
         z4+1535180209506906118605451723817/47588013817344*ep*z3+
         32085253827787098749884053418303866368229081109482389535857264\
         46664481573688045757383434039632201487634917/
         13292995880175778681511680247545150019984055506409560647248983\
         5028124008448000000000000000*ep^2+26302766775687750227017/
         149058*ep^2*z5+1535180209506906118605451723817/31725342544896*
         ep^2*z4-2560789307648076882802229554717288840669/
         64622457444153479270400*ep^2*z3-
         19866149173683545778302461595461605963775760664324917967228574\
         11505599996664205859125977210432680705545135665361866182099977\
         1489568335566985604834142948091039573288029/
         59139275075101875376818637731023598449607430848336839905065801\
         07335123748310424212501490288322427185515101463321238549932731\
         16426240000000000000000*ep^3+780945033260100142070005/1788696*
         ep^3*z6+63961824796225002217936104313859/111038698907136*ep^3*
         z5-2560789307648076882802229554717288840669/
         43081638296102319513600*ep^3*z4-127904669547997153357045601422\
         466376789929028227299/1038010283832172637586171027456000*ep^3*
         z3+28466683303740882822131/447174*ep^3*z3^2;
Fill mncnoptab(15,9,2,1)=
      +mncF321*(-82940697415620-141111044219329503/182*ep-
         8386190884024533361/2940*ep^2-783169923615525191866117/
         132432300*ep^3)
      +512236044834251914286516993371198793130035480617/126318711789100\
      3738861477969920000-14859264102227039/397488*ep^-3-
         2615198730032422093092806297/5551934945356800*ep^-2-3141373057\
         2690073090490917357995680101/14863165212155300232192000*ep^-1+
         108535811699187937835/99372*z3-5007589858240013183619508723937\
         10446161662208174698922621045068585254384599568828066548007722\
         966181/1427392553187925670065325142330353943483796863602091051\
         21252908571033600000000000000*ep+108535811699187937835/66248*
         ep*z4+7695775087280362061011423294669/396566781811200*ep*z3+
         58040336548863755254805692496827403201778062753515221491850733\
         08129140259653240492848269971390436316100550829/
         41686835080231241945220629256301590462669998068100382189772812\
         2648196890492928000000000000000*ep^2+1753576874931085610215/
         16562*ep^2*z5+7695775087280362061011423294669/264377854540800*
         ep^2*z4-170491739699831587378716787353290084949553/
         7431582606077650116096000*ep^2*z3+
         61770289471484730147240753276614519266858388751379515459272848\
         97845933711978559017581079643261699950818936063955924600037963\
         822931225334968774953278711103117/
         67409358444557686320577510288945877891017428787424877331492461\
         52563444455422249908793726236470576888459945945910484584628224\
         0000000000000000*ep^3+52064627189436628617275/198744*ep^3*z6+
         324014402047328858742848033285647/925322490892800*ep^3*z5-
         170491739699831587378716787353290084949553/
         4954388404051766744064000*ep^3*z4-1989735226388441223120481506\
         21304455837275045319691/2652692947571107851609103736832000*
         ep^3*z3+1897660707391009652125/49686*ep^3*z3^2;
Fill mncnoptab(15,10,1,1)=
      +mncF321*(-667799496100-11206208975545375/1638*ep-
         5883021239010265099/206388*ep^2-1240706271881031136549/
         18336780*ep^3)
      +648455749290394188116374959874746432108598768327/201712937196937\
      711328480010682368000-51840589530001943/32196528*ep^-3-
         10505907373672704412637355161/689550320213314560*ep^-2-
         467200200979120255530596359274714117/8204467197109725728169984
         *ep^-1+70708959333110066819/8049132*z3-45693567492952393710774\
         993944099981491239186088948145480755302438223/1820815742713765\
         520443271272938688195308891930624000000*ep+
         70708959333110066819/5366088*ep*z4+
         8078268722440917158452339770061/49253594300951040*ep*z3+
         85233412712885055008055099167173561666167293030918549959307858\
         5137055037791601/974906423479669292310559345124268680463794969\
         5745977221120000000*ep^2+1143689782271854434623/1341522*ep^2*
         z5+8078268722440917158452339770061/32835729533967360*ep^2*z4-
         14072227692475546210043287132142566788539/
         307667519891614714806374400*ep^2*z3+
         14516938871410700448833960251441639716346771663773351876083875\
         32334610799333959483225463059136936298315019543372967883838411\
         171/2683188885786591665486909900198354933642613447053562130155\
         707740679295607570253429117784818712576000000000000000*ep^3+
         33957148671490082704595/16098264*ep^3*z6+411871303077059818929\
         996120260623/114925053368885760*ep^3*z5-1407222769247554621004\
         3287132142566788539/205111679927743143204249600*ep^3*z4-
         3869737265359287047315973438390625230552320892743333/494196696\
         1324973927547760261718016000*ep^3*z3+1239247129257741238309/
         4024566*ep^3*z3^2;
Fill mncnoptab(16,1,1,9)=
      +mncF321*(-117875319167079144-1777328379945279721087/1820*ep-
         1514997822334818321520669/509600*ep^2-
         56476654537284705130754509289/11557728000*ep^3)
      +361887236992044302530552425216370410049603014078813233/623985727\
      440021960548959629004800000+26640989779329673/59623200*ep^-3+
         249927093787456840581329851/87064434370368000*ep^-2-1137743885\
         88674413277608560317348663/21189223133031316446720000*ep^-1+
         11560766786719847495790497/7452900*z3-238809049178861361331453\
         82046675935342723220750214173478687387281269296436719309172331\
         971/4249368797504589986175934085188668226942423338716233728000\
         000000000000*ep+11560766786719847495790497/4968600*ep*z4+
         35256272330278050174785892431558687/1360381787037000*ep*z3+
         13914373560911353470307832821703834850830405071285731999163085\
         82638039857717797515529887413620533287/54605023529687874327700\
         768895744514406640441129617153803090395136000000000000000*ep^2
         +320398404363728019599048339/2129400*ep^2*z5+35256272330278050\
         174785892431558687/906921191358000*ep^2*z4-1041777342339340889\
         07837140731070956656441593/1713834223995180006720000*ep^2*z3-
         25904986130753694418709878000772092647845942693740219429851293\
         21438266734080458164458208490712427904080860605691312621178038\
         354455567/2919552409907169363150543116402655588996132430061890\
         65913087336487439894763975512856259985408000000000000000000000
         *ep^3+2219667296972656442201757379/5962320*ep^3*z6+81621467534\
         4814205212382326696036321/2418456510288000*ep^3*z5-10417773423\
         3934088907837140731070956656441593/1142556149330120004480000*
         ep^3*z4-8023976325429980559807565783496743211840457376939733111
       /155996431860005490137239907251200000*ep^3*z3+
         89917079841260565063641603/1656200*ep^3*z3^2;
Fill mncnoptab(16,2,1,8)=
      +mncF321*(-471501276668316576-1781435636873891342872/455*ep-
         14659596850189151560191/1225*ep^2-
         39289036555817723040442559359/1986484500*ep^3)
      +346153140720801657107013379872975391066001720490133627/149213978\
      300874816653012085196800000-24665894650955419/1863225*ep^-3-
         958796139421952229666295913/10409878022544000*ep^-2+1076691212\
         97345891836326724442445259/27868434772791187935360000*ep^-1+
         11560768130523857074937522/1863225*z3-134608779130658576737668\
         69176344492574964789602353274512444598655455401425837383342350\
         97287/60016560665842680579210373390674193232427297018960936960\
         000000000000000*ep+5780384065261928537468761/621075*ep*z4+
         540192571571906819492045845854040543/5204939011272000*ep*z3+
         39144465549605341578896584195515333227808183581010554485828677\
         3837188971352662565845783420288667948639/385610882874392291872\
         5879705647175456909153434391102675157096857600000000000000000*
         ep^2+160199204565516215109748882/266175*ep^2*z5+54019257157190\
         6819492045845854040543/3469959340848000*ep^2*z4-19766360999240\
         6210613826479603965341044024209/819659846258564351040000*ep^2*
         z3-37091945976382156512736255206819094814184397763335654943605\
         51687779159929375624896336425829767450559005719393714174155080\
         81792084664513127/73975071546150999729252870756576161816061066\
         73807754891655948228043160658549343299343254961520640000000000\
         00000000000*ep^3+554916831914044824346652326/372645*ep^3*z6+
         787390939780895934029344502623052009/578326556808000*ep^3*z5-
         197663609992406210613826479603965341044024209/
         546439897505709567360000*ep^3*z4-15688313053601000022298747384\
         359218162986223706073056113/74606989150437408326506042598400000
         *ep^3*z3+44958537967138792738298714/207025*ep^3*z3^2;
Fill mncnoptab(16,2,2,7)=
      +mncF321*(-1650254468339108016-893729424006338531876/65*ep-
         96160596806931767913914/2275*ep^2-4994022088134027984539851013/
         70945875*ep^3)
      +654352976170739320025893070646678279486048297292093/
      80590860545976136458553651200000-35296992596863351/2129400*ep^-3-
         479873004074001214871455249/1487125431792000*ep^-2-81513483324\
         1482391942485075604507757/346191736307965067520000*ep^-1+
         5780383637396751283602136/266175*z3-24776798767295185911812441\
         0615740655703809304211167915346381041132118900885378376213621/
         31638519779725807410107975345892889817709388234752000000000000\
         00000*ep+2890191818698375641801068/88725*ep*z4+270549637945413\
         551119786552020910229/743562715896000*ep*z3+
         26208898874834088794440322291650761002219142124592635533392431\
         7104789189266764059524101015898318937/742413371024607085950653\
         350084478963691420183778741343748096000000000000000000*ep^2+
         160199203444045095574604257/76050*ep^2*z5+27054963794541355111\
         9786552020910229/495708477264000*ep^2*z4-849034861108086281609\
         0961665935534523383963/10182109891410737280000*ep^2*z3-
         34413317022741788126304019238418361726701391237747453115106578\
         51485024603247120240413809119553433149935953745482915710155061\
         72866608438170433/24320267586701271614445250337530595206633054\
         41081586589453369135063785629917746616730358907299430400000000\
         00000000000000*ep^3+1109833656833522166455025527/212940*ep^3*
         z6+398581651883795411501391603402382327/82618079544000*ep^3*z5
         -8490348611080862816090961665935534523383963/
         6788073260940491520000*ep^3*z4-3061945785650551394893762859186\
         2055201084298221823257/40295430272988068229276825600000*ep^3*
         z3+44958539424364878328202889/59150*ep^3*z3^2;
Fill mncnoptab(16,3,1,7)=
      +mncF321*(-679516545786691536-368740133432861684956/65*ep-
         11373642944187990310999/650*ep^2-215731254686364146157319657/
         7371000*ep^3)
      +1851084351367191534365013565468201485276735846308521/55366967829\
      6381508916556902400000+984254308918243/76050*ep^-3+
         3951906238538008101501901/38626634592000*ep^-2-295474390840756\
         328547921288703079/6082818896167453440000*ep^-1+
         340022549122134021935033/38025*z3-4248382170919675564670570491\
         752564538673493151961112766605470869492807991785530548620352693
       /131981441197688193860154423782907013855566900566478028800000000\
         000000000*ep+340022549122134021935033/25350*ep*z4+289644849355\
         5820402795573276502389/19313317296000*ep*z3+
         62683788692815491031439328967086322536640008749810801052573379\
         6083756124967141158556110015490552906053/432828542001868899040\
         6599669603972451632723242683890757829394432000000000000000000*
         ep^2+32982188757253234110887011/38025*ep^2*z5+2896448493555820\
         402795573276502389/12875544864000*ep^2*z4-17624374255619491087\
         519929019355205817540219/51703960617423354240000*ep^2*z3+
         22422177192913854255929713428315573741755978769164023681034809\
         61534067734539796294320089927111566239363131568805184968009763\
         42798321998181689/12160133793350635807222625168765297603316527\
         20540793294726684567531892814958873308365179453649715200000000\
         000000000000000*ep^3+16321083104065550044475989/7605*ep^3*z6+
         4293832980205270407085530999091907/2145924144000*ep^3*z5-
         17624374255619491087519929019355205817540219/
         34469307078282236160000*ep^3*z4-802239247166492242847510014210\
         5411568643630571613009/25166803558926432223479859200000*ep^3*
         z3+1322310005747350598541321/4225*ep^3*z3^2;
Fill mncnoptab(16,3,2,6)=
      +mncF321*(-2038549637360074608-1110951518014807832748/65*ep-
         17256652423825243684596/325*ep^2-7866259153872744055410799/
         87750*ep^3)
      +3499204045924785484169763866725172623957235553559/
      348878184181714876443955200000-92740248589227503/101400*ep^-3-
         70036511335650294437268547/6437772432000*ep^-2-658793763652987\
         26755683154154195671/1498665525142705920000*ep^-1+
         340022842435761854378108/12675*z3-6023467028228091584124389194\
         43433378953108288914541079831013055039936223941566127207002883/
         62644269163857098672013791184867921839064588704808960000000000\
         00000000*ep+170011421217880927189054/4225*ep*z4+14513082455412\
         77329036951160849447/3218886216000*ep*z3+
         10561014919671184326046347752392318408944079202200255179969856\
         0868882045665219050658329672715416996049/244996412438120338363\
         715605527878058018168660646984643436871680000000000000000000*
         ep^2+65964383563852949393621447/25350*ep^2*z5+1451308245541277\
         329036951160849447/2145924144000*ep^2*z4-754278395917715064191\
         294392942851359941073/749332762571352960000*ep^2*z3+
         86221349944820487522945307348965738681115903043851101005050686\
         79586609159271259926162165067941473563498675853701063335382836\
         299907942662890547/1605137660722283926553386522277019283637781\
         59111384714903922362914209851574571276704203687881762406400000\
         00000000000000000*ep^3+65284337878981425684865231/10140*ep^3*
         z6+2180146965827083031411305490914861/357654024000*ep^3*z5-
         754278395917715064191294392942851359941073/
         499555175047568640000*ep^3*z4-24762779031442275776608893151852\
         757827962476724893/24919870298693919745996800000*ep^3*z3+
         7933857738993458149436251/8450*ep^3*z3^2;
Fill mncnoptab(16,3,3,5)=
      +mncF321*(-2098506979635370920-230334783416976770994/13*ep-
         3619817615545276302168/65*ep^2-23450195473671101422995473/
         245700*ep^3)
      +24493922553917468326543898466395360891019863271553/
      2372371652435661159818895360000-6331267039556837081/689520*ep^-3-
         4779741414364382433359651029/43776852537600*ep^-2-901296864449\
         27244993017934301161713/207978072876946944000*ep^-1+
         1190087543463479072318038/43095*z3-119878396215049376016198128\
         28714247139856110485657585424947381478780664624059010858607720\
         3921/121830574669869285497332421096331134392612812113112465408\
         0000000000000000*ep+595043771731739536159019/14365*ep*z4+
         10194864925690427945870736042155969/21888426268800*ep*z3+
         59600808673244925284317705124689087020084043508531737908685322\
         63186945793903675924346748584610138681857/13613400654561612401\
         421545989446207063820983177893020987315086950400000000000000000
         *ep^2+461751011239024870863086609/172380*ep^2*z5+1019486492569\
         0427945870736042155969/14592284179200*ep^2*z4-5140888116750684\
         989267053897639967697689591/5095462785485200128000*ep^2*z3-
         12888386632635480143823942118155300556731569218136306293844035\
         18144003114649306272933797194509748297272407759487800869350902\
         8913927484414907027231/477432145805236131114039287186076615725\
         22175646090269601022667625202578252340480542898344923551410159\
         61600000000000000000000*ep^3+456990661065170954573814457/68952
         *ep^3*z6+2235061357314623761476416176733821/347435337600*ep^3*
         z5-5140888116750684989267053897639967697689591/
         3396975190323466752000*ep^3*z4-1287864670983410307179623850424\
         050291536855375747757/1186185826217830579909447680000*ep^3*z3+
         55536895103516443475174877/57460*ep^3*z3^2;
Fill mncnoptab(16,4,1,6)=
      +mncF321*(-453011030524461024-248046504861457778784/65*ep-
         34949773522204688261587/2925*ep^2-2781425869586106769579327/
         136500*ep^3)
      +9794087334179708862514539220567928997176132509009/
      4394203796003027848544102400000-5371758101783282/114075*ep^-3-
         66371147220572902316821/126230832000*ep^-2-1561472238805790361\
         5130645558939263/7386280088203336320000*ep^-1+
         680045315095576020087266/114075*z3-165494187233656584342252298\
         36780309037605727394317341202366056813469211230184221487230081\
         209/7777477784863768566759099972921306173631620926238883840000\
         00000000000000*ep+340022657547788010043633/38025*ep*z4+3232742\
         24338734729185315016300161/3218886216000*ep*z3+
         65088436304872799672784024195859768353695790800198309320837315\
         89890536917569888550395603350721768035956353/
         68560041053096033608040538766526923633862336164112829604017607\
         802880000000000000000000*ep^2+21988126517831261201420974/38025
         *ep^2*z5+323274224338734729185315016300161/2145924144000*ep^2*
         z4-5680533197820093441227437471894499728436213/
         25851980308711677120000*ep^2*z3-
         39169239772889797295641944353650936291148843595261864715498866\
         68015578307207241905576853144765551115809218994766728269646647\
         69134240977840769281/40128441518057098163834663056925482090944\
         53977784617872598059072855246289364281917605092197044060160000\
         00000000000000000000*ep^3+32642167119199103792087828/22815*
         ep^3*z6+633449899588729175376465704275241/459840888000*ep^3*z5
         -5680533197820093441227437471894499728436213/
         17234653539141118080000*ep^3*z4-106131316950315430784471136234\
         70211979807056865842351/46139139858031792409713075200000*ep^3*
         z3+23801577109463943524793278/114075*ep^3*z3^2;
Fill mncnoptab(16,4,2,5)=
      +mncF321*(-1132527576311152560-124644883780681242132/13*ep-
         17708470180362283277846/585*ep^2-356086505502502491522839/6825
         *ep^3)
      +6171282680922019401686040691391295698996672177/
      1107549791053063099822080000-588240689508900263/182520*ep^-3-
         5743671782414872291028947/143061609600*ep^-2-22163429145662961\
         514445655270350971/128457045012231936000*ep^-1+
         340024133117286634159528/22815*z3-2190946510342286014612426945\
         43513365343961883165086831941128130230495786899052095991047157/
         41345217648145685123529102182012828413782628545173913600000000\
         00000000*ep+170012066558643317079764/7605*ep*z4+16204274405992\
         3217396040722564503/643777243200*ep*z3+
         30409563007609400080098225158249176172249640091203078783294073\
         3152463893325418936714059309997362906957/129358105767327538656\
         0418397187196146335930528216078917346682470400000000000000000*
         ep^2+21988137180694120688394109/15210*ep^2*z5+1620427440599232\
         17396040722564503/429184828800*ep^2*z4-24223272238612969026078\
         6556219161014227291/449599657542811776000*ep^2*z3-
         79386116684642283695873786702671866988237899852605689120847195\
         31075578571373686215733758608035170084253240908588672856675601\
         88216603095958947679/28993855008415149662795908128709106218130\
         87589843538639738218681692464266336466429730668720053729361920\
         00000000000000000000*ep^3+65284363275847788796863271/18252*
         ep^3*z6+322339312914113711064580306042243/91968177600*ep^3*z5-
         242232722386129690260786556219161014227291/
         299733105028541184000*ep^3*z4-20898759790784853116538132097447\
         430710426800766019/34887818418171487644395520000*ep^3*z3+
         23801545972309381698915713/45630*ep^3*z3^2;
Fill mncnoptab(16,4,3,4)=
      +mncF321*(-932669768726831520-103434744307016648064/13*ep-
         14880430005927133566842/585*ep^2-260602911194363539301089/5850
         *ep^3)
      +129592092158852088967329883064838609949909572277/
      28242519671853109045463040000-39534635672825948501/1551420*ep^-3-
         50768226706053709685447947/173717668800*ep^-2-1689617322389809\
         91188967695572650371/155983554657710208000*ep^-1+
         4760535070132438573483892/387855*z3-35644773515566055332233349\
         02415310999246566422711355530440716112232091759570066453603046\
         0629/822356379021617677106993842400235157150136481763509141504\
         000000000000000*ep+2380267535066219286741946/129285*ep*z4+
         162669232707942803849342408369563/781729509600*ep*z3+
         87667792912043103202554155143228759649893493682355734808986245\
         8927519005745135495048159864496257579937/459452272091454418547\
         9771771438094884039581822538894583218841845760000000000000000*
         ep^2+153917656527530769740660563/129285*ep^2*z5+16266923270794\
         2803849342408369563/521153006400*ep^2*z4-335593317978870039220\
         41272394450351806053/77991777328855104000*ep^2*z3+
         63909424558638791454965181687832315096643176430401719297513684\
         07534216258278172034746541026905119077301651721670474589850355\
         960006944369305118361/2739266936557542302266800410230114582723\
         45982769442921835867555499599792722803507114879253998876215790\
         79680000000000000000000*ep^3+456992434512459870648497797/
         155142*ep^3*z6+2316755905596933853447078897362121/781729509600
         *ep^3*z5-33559331797887003922041272394450351806053/
         51994518219236736000*ep^3*z4-221566281927357739583047451934290\
         62030872335784419/42363779507779663568194560000*ep^3*z3+
         166608633230824341058714751/387855*ep^3*z3^2;
Fill mncnoptab(16,4,4,3)=
      +mncF321*(-310889922908943840-34853848907075920568/13*ep-
         15309630391847434602872/1755*ep^2-2878551195823524622632167/
         184275*ep^3)
      +2721089752468932864668295075641981965621743246457/
      1779278739326745869864171520000-156896253384187740841/4654260*
         ep^-3-1802726527462974572535214123/4690377057600*ep^-2-
         3586017512739914035942530445256575891/2547731392742600064000*
         ep^-1+4761174072700375075644712/1163565*z3-
         12344380938706314888922572131219827216543152645932525822718924\
         3436019547710615746142402362571/864753419006732188460065524941\
         7583919187657403788722794659840000000000000*ep+
         2380587036350187537822356/387855*ep*z4+38167636297601423419168\
         8627777347/5472106567200*ep*z3+7513984979673297532204929441695\
         70086688539355883343128991047386997214337108221956959507177307\
         905037597/1207848973075979060316126667913614721737516732458558\
         2870995310896742400000000000000*ep^2+
         153919929943987767905304443/387855*ep^2*z5+3816763629760142341\
         91688627777347/3648071044800*ep^2*z4-3419627190432303719703088\
         6636130581531/249630745908544000*ep^2*z3-
         11533699652299763691098751384257683008292771453966842141072848\
         30868059072563830207641872963886389056465692232118681874031506\
         89759122973401770408249/12242088302468607386863916233363963194\
         03366679883614800231362757478322540321844740352741483815866572\
         393047654400000000000000000*ep^3+456998615759262928640268617/
         465426*ep^3*z6+16823825342194713979405296305506747/
         16416319701600*ep^3*z5-102588815712969111591092659908391744593/
         499261491817088000*ep^3*z4-16733071366946360090649607370643367\
         6355515246464133/889639369663372934932085760000*ep^3*z3+
         166601656092637574482297591/1163565*ep^3*z3^2;
Fill mncnoptab(16,5,1,5)=
      +mncF321*(-149016786356730600-16541481730368704340/13*ep-
         1906502688187860597637/468*ep^2-156071614644648191883241/21840
         *ep^3)
      +5206718146508551161456971223155852817902473393/
      7101743508691762179465216000+209150575390504/4563*ep^-3+
         615209699490531929423/22889857536*ep^-2-4481176657876646300629\
         641262464749/1181804814112533811200*ep^-1+
         17895910159028395274011/9126*z3-165516401964109628915124400057\
         97727921243669463479050095735733852048644624892662851182721259/
         23916304166856598534121039071931066817961735824891257007636480\
         00000000000*ep+17895910159028395274011/6084*ep*z4+
         3426098916939813623140283401831/103004358912*ep*z3+
         26947479116353499147112527349455661263069635531843298342210343\
         573543388616236689859317450997681208529659/
         88582799395473162293758166229353563072532908316323851746254467\
         7569822720000000000000*ep^2+578634848610684975353849/3042*ep^2
         *z5+3426098916939813623140283401831/68669572608*ep^2*z4-
         283326181720915112146349471825340896501807/
         4136316849393868339200*ep^2*z3+
         27612467991264336674339855029230975239382937051567815415498135\
         16849238337474242094246819675698712325542968638991461721006214\
         7352905149227387737/458334859973026685869477715698633551096212\
         88620246658816981760920194475122246861321182411126609353753231\
         360000000000000000*ep^3+2147510794591283163484420/4563*ep^3*z6
         +6989564463654986981061223864543/14714908416*ep^3*z5-283326181\
         720915112146349471825340896501807/2757544566262578892800*ep^3*
         z4-621555557458876713625000181998213992276878068303373/
         7382262377285086785554092032000*ep^3*z3+
         626357558267226885310849/9126*ep^3*z3^2;
Fill mncnoptab(16,5,2,4)=
      +mncF321*(-298033572713461200-33268077689459391240/13*ep-
         967336136216192323559/117*ep^2-240317527422450169510201/16380*
         ep^3)
      +88576009113405654219306076529383784376041107/
      60411806784712532717568000-190512873661419353/36504*ep^-3-
         1781152514975955448429049/28612321920*ep^-2-912439292898505451\
         096113534435447/3670201286063769600*ep^-1+
         17896458662273575471318/4563*z3-182117538844777509554327798162\
         6311611390456363785514148940743930780745419458731922808201/
         13239173903753597278502687246071897266813342740465162649600000\
         0000000*ep+8948229331136787735659/1521*ep*z4+
         8589554346035282165851512459409/128755448640*ep*z3+
         11834854718261217358730733086857997274299715934778059814638491\
         696681830490263588357919004592915687947/1967536788721051862958\
         39638212172533857695033341665603328430403747840000000000000*
         ep^2+1157273549357833251734599/3042*ep^2*z5+
         8589554346035282165851512459409/85836965760*ep^2*z4-1093970315\
         025128996050253399948211555299/8174539228051123200*ep^2*z3+
         33225704585755971193521266801276743244938011273901614766202797\
         41389170745771603105688173695227583457445377527814444750332291\
         1250362349643187303/239398118825196974315753985431875560170789\
         76645396692328512794766351578523673583815081884383095064237178\
         880000000000000000*ep^3+17180138653744763021305805/18252*ep^3*
         z6+17808512198418282069225545476189/18393635520*ep^3*z5-
         1093970315025128996050253399948211555299/5449692818700748800*
         ep^3*z4-1222480115116646482281539088357419643189603377969/
         6977563683634297528879104000*ep^3*z3+1252702803326563116672419/
         9126*ep^3*z3^2;
Fill mncnoptab(16,5,3,3)=
      +mncF321*(-184079559617137800-20715212867821150140/13*ep-
         406857172494245376145/78*ep^2-61657320589456981639073/6552*
         ep^3)
      +3182332889382085374341064771839648124797307919/
      3514624670275053570102067200-7706638553419960319/413712*ep^-3-
         89393793968480040414497633/416922405120*ep^-2-1631143502354901\
         754327332239221650289/2038185114194080051200*ep^-1+
         62646250984358361503777/25857*z3-77735804829970868219843074099\
         92490501884309845962274884106403260870876578566273314396909977\
         09/92240364694051433435740322660454228471335012307079709809704\
         960000000000000*ep+62646250984358361503777/17238*ep*z4+
         60379570084926801273536248892999/1459228417920*ep*z3+
         47112582736433370422777910537358359617548994617911695635753419\
         40512194667814035314786107073648707961633/12883722379477109976\
         70535112441189036520017847955795506239499828985856000000000000\
         00*ep^2+8101038025335617275177297/34476*ep^2*z5+
         60379570084926801273536248892999/972818945280*ep^2*z4-
         1659165032334566577012359959320884439607/20797807287694694400*
         ep^2*z3-490319173399315443847356608190217292931766515780515184\
         00790343861441146573407534119339665981965940384938626668046925\
         9688359031838471401143555233/212778678876212827320430894284746\
         52230138359543900751511272395980286959584106801201068778166372\
         13096332492800000000000000000*ep^3+120262645360347091897583915/
         206856*ep^3*z6+896645275177639646019888229006813/1459228417920
         *ep^3*z5-1659165032334566577012359959320884439607/
         13865204858463129600*ep^3*z4-903119226892712405484561174804977\
         6875236725520311/79079055081188705327296512000*ep^3*z3+
         8768542966689364586498837/103428*ep^3*z3^2;
Fill mncnoptab(16,5,4,2)=
      +mncF321*(-40906568803808400-4655260999328009840/13*ep-
         418885531933839184753/351*ep^2-46372494911635045375903/21060*
         ep^3)
      +20445544635649045550409965850579129820154860789/
      101673070818671192563666944000-17270291430837960823/1861704*ep^-3
         -202883292285491621008685809/1876150823040*ep^-2-6018980882601\
         0570793609216075639471/145584651013862860800*ep^-1+
         125319428538558859907918/232713*z3-624620352352673757615826813\
         26564708637554114151357543380473052250837603832533996705815848\
         39/33691691649612942407535020452276300983848015858917101797376\
         00000000000000*ep+62659714269279429953959/77571*ep*z4+
         964020898780458068354668215329/104230601280*ep*z3+
         26204947431545913360065283585723848311595570223092167981922574\
         4957013383354137743247945096783627319969/329413356293448834631\
         67090943098583320114092703415226011805393354752000000000000000
         *ep^2+8101227440356743392887649/155142*ep^2*z5+
         964020898780458068354668215329/69487067520*ep^2*z4-40835134226\
         0514667043392851644948507347/24264108502310476800*ep^2*z3-
         66634109055383888030625040457308970599627218758664944267323261\
         00920644057326451926796707172706552772365419706474692445218123\
         867830783001366027450869/2270350921548723551745671737823862265\
         07533456996597653861089093205070725659687570029053875180397073\
         425619746816000000000000000000*ep^3+
         120265217319965562294235555/930852*ep^3*z6+1328842916728434139\
         83694546653187/938075411520*ep^3*z5-40835134226051466704339285\
         1644948507347/16176072334873651200*ep^3*z4-2762257716639852959\
         43072445992013085509018440749/10167307081867119256366694400*
         ep^3*z3+8767940557778793822216709/465426*ep^3*z3^2;
Fill mncnoptab(16,5,5,1)=
      +mncF321*(-2691221631829500-310968551692561840/13*ep-
         114644978374700226959/1404*ep^2-91524737467389243301223/589680
         *ep^3)
      +3020946472299588854049440967668118391312570304251/22890919179485\
      5971046461285728256-10746750064203386915/141489504*ep^-3-
         283073264921719537647169301/142587462551040*ep^-2-559121055591\
         4674745020892123399891343/356274757961125192949760*ep^-1+
         313189146362784079734599/8843094*z3-10598725398832954185517808\
         30621095389607376925880081543475543138430181176022475271903966\
         40359010477/88122552450043577232289398287816327246465215959450\
         3856236200460288000000000000000*ep+313189146362784079734599/
         5895396*ep*z4+1073623054662283739120434488487/1751074101504*ep
         *z3+1003427187473269226459613687097067193676917188802100879558\
         61783542484736055166298419209483337111066565867521221/
         19816789242908199295976643322878846722099307362632098872591176\
         9449618714132480000000000000000*ep^2+
         40504611871404545861929669/11790792*ep^2*z5+
         1073623054662283739120434488487/1167382734336*ep^2*z4-
         4835298806646350680926985286408379745409/
         4712629073559857049600*ep^2*z3-
         54953867554924187878090794797354239757993389893868832714835084\
         11045811282143009067563252616722137389406953219613962563500596\
         484607718662203659586214939/4366857829676001985814817754008640\
         21956775780714598687369386221559010321468861920410168767918409\
         4566575063244472320000000000000000000*ep^3+
         601305395143812506334253055/70744752*ep^3*z6+97614209110843106\
         1291376488277093/99811223785728*ep^3*z5-4835298806646350680926\
         985286408379745409/3141752715706571366400*ep^3*z4-277665441342\
         81649941599636982902324718519150152172371/14306824487178498190\
         403830358016000*ep^3*z3+43844692482063874460483897/35372376*
         ep^3*z3^2;
Fill mncnoptab(16,6,1,4)=
      +mncF321*(-23842685817076896-13497509860630799388/65*ep-
         2007325634291773028266/2925*ep^2-128215187770845105629446/
         102375*ep^3)
      +515419929510614449866854363513271603094776530557/
      4394203796003027848544102400000-1854918270161561/45630*ep^-3-
         531268841948353937765231/715308048000*ep^-2-523200818832145186\
         4643281109471329/1055182869743333760000*ep^-1+
         7158400017288099589702/22815*z3-554095565567241950501325609367\
         6040737007328451125604949543894547626799697947131777210096639/
         51008992480873839061055028645602978447684014689025884086599680\
         00000000000*ep+3579200008644049794851/7605*ep*z4+
         17302815665954472143748374412701/3218886216000*ep*z3+
         21457655075805668947335480683138040674894988927789874646167190\
         350641489076298527340075216972858433459377/
         45883121874373989531845050164110478372726029854470870084192743\
         84599941120000000000000*ep^2+231454052554082267676008/7605*
         ep^2*z5+17302815665954472143748374412701/2145924144000*ep^2*z4
         -259944406797061026656027240905192324875773/
         25851980308711677120000*ep^2*z3-
         16619258555194704843256599701528379162765015073246500753494381\
         08678449236570102762082629877842006526298630388305593991499820\
         913485905969818279/4654963421601052278361883050064247003320912\
         12549380128609971009345725137960319685293258863004626249056256\
         0000000000000000*ep^3+343601878822479351719161/4563*ep^3*z6+
         37334859130135938809430179596061/459840888000*ep^3*z5-
         259944406797061026656027240905192324875773/
         17234653539141118080000*ep^3*z4-142077790055516954335254188852\
         387879617444401790471/9227827971606358481942615040000*ep^3*z3+
         250542532911033461675632/22815*ep^3*z3^2;
Fill mncnoptab(16,6,2,3)=
      +mncF321*(-35764028725615344-20368297249183258452/65*ep-
         78418267484864837486/75*ep^2-15207989267576454659498/7875*ep^3
         )
      +757521785877290114076785239035969701662320319/
      4307138076317467610419200000-157267427362928377/60840*ep^-3-
         66876235212410970918344777/2145924144000*ep^-2-387886014510071\
         6035450634056429903/30585010717198080000*ep^-1+
         3579608358708002756696/7605*z3-5502318103932934558607178378565\
         64079595842236075711320227058684603118139127598921540055547/
         33911898784577732880786883331049348702696695701132246253568000\
         0000000000*ep+1789804179354001378348/2535*ep*z4+
         8678608237378671698059715722013/1072962072000*ep*z3+
         46979799295860856906571903293554929948126075347942083740958480\
         5234285838429500131116502115659501367/676666091359091910541247\
         43300482617464286651678350604319301461606400000000000000*ep^2+
         231456981890839097279843/5070*ep^2*z5+
         8678608237378671698059715722013/715308048000*ep^2*z4-646148319\
         979835232450625814090423039513/44078397798314880000*ep^2*z3-
         12158647325482452167906213959604691749825811840999547174757887\
         86688468262034335278871301501193138798078957253464103195555834\
         043410133545003230229/2824011142437971715539542383705643182014\
         68668946623944690049079003073250362593942411243710222806591094\
         1286400000000000000000*ep^3+687211728955101286326137/6084*ep^3
         *z6+133250752557806990872847570485351/1072962072000*ep^3*z5-
         646148319979835232450625814090423039513/29385598532209920000*
         ep^3*z4-16365644156452807723157424285005850475180594781/
         684074870944538973419520000*ep^3*z3+250533772117134660901087/
         15210*ep^3*z3^2;
Fill mncnoptab(16,6,3,2)=
      +mncF321*(-14726364769371024-8458069248288367092/65*ep-
         429030496965907835878/975*ep^2-28201604023327152438518/34125*
         ep^3)
      +47698900237082648902891829723135125225513537297/
      658992125676572544394137600000-3803941474063594039/1034280*ep^-3-
         74548646961010983245734259/1737176688000*ep^-2-419418891349309\
         9208990529367563499129/25477313927426000640000*ep^-1+
         25064898520536562393772/129285*z3-2969562103744018579264850165\
         302275486262377810816762627801750907853654515421753462325699937
       /449222555328172565433800272697017346451306878118894690631680000\
         0000000000*ep+12532449260268281196886/43095*ep*z4+
         61025236368102682553901504435091/18240355224000*ep*z3+
         11208494599297396935745529953478900350585991950906082299372599\
         325885267978960906684983071108623821097/3992889167193319207656\
         617084011949493347162751929118304461259800576000000000000000*
         ep^2+1620252547086718343064101/86190*ep^2*z5+
         61025236368102682553901504435091/12160236816000*ep^2*z4-
         10531742542155501189198359805214322175721/
         1819808137673285760000*ep^2*z3+
         27006201953957014528793544389817546909291351781897190779180791\
         45846309891903244957708097115385869745870990235015785344180367\
         53024484164094062097/65465712847425707951143937076812637401249\
         55507399009626905683195071243531132859574078831464255970975363\
         8912000000000000000000*ep^3+4810627844219081904404759/103428*
         ep^3*z6+958362135871711751440011229374457/18240355224000*ep^3*
         z5-10531742542155501189198359805214322175721/
         1213205425115523840000*ep^3*z4-2039922245176671006852939432055\
         551053591464371019/197697637702971763318241280000*ep^3*z3+
         1753565019530366557453609/258570*ep^3*z3^2;
Fill mncnoptab(16,6,4,1)=
      +mncF321*(-1636262752152336-950596768763596108/65*ep-
         441821887002911177818/8775*ep^2-89087524994254991342374/921375
         *ep^3)
      +75494720216530633986920480400260309136847261287379/9412384531038\
      485651581467340800000-605317902446617679/9308520*ep^-3-
         70001863029329599328543977/46903770576000*ep^-2-65248880275351\
         75488827272811307849383/585978220330798014720000*ep^-1+
         25055561402916933225832/1163565*z3-112427169113567885943994945\
         28138196701162551581661109572914828964552926259193402506399662\
         22960261/15460096921060276707419192682073039867800915080605330\
         811161411584000000000000000*ep+12527780701458466612916/387855*
         ep*z4+20457342535589653116026604182297/54721065672000*ep*z3+
         10576757360552109214124305519008078347289606225593780454133614\
         02734218571861158095088221733129308650894811653/
         34766296917382805782415163724348853898419837478301927846651187\
         62274012528640000000000000000*ep^2+1620187649755505497584181/
         775710*ep^2*z5+20457342535589653116026604182297/36480710448000
         *ep^2*z4-8448998015339443423044915206121257880349/
         13951862388828524160000*ep^2*z3-
         73710168855712315875244028031062078269202345025096210883744373\
         88797895867913615772150289501654952113742696570438369518820796\
         58939566993701812894285653/14556192765586673286049392513362134\
         06522585935715328957897954071863367738229539734700562559728031\
         522191687748157440000000000000000000*ep^3+
         4810451826460682626300879/930852*ep^3*z6+993085254618655013197\
         250326903057/164163197016000*ep^3*z5-8448998015339443423044915\
         206121257880349/9301241592552349440000*ep^3*z4-114278285971596\
         4359639935011536900301183257673560587/941238453103848565158146\
         734080000*ep^3*z3+1753779090637442485738649/2327130*ep^3*z3^2;
Fill mncnoptab(16,7,1,3)=
      +mncF321*(-1703048986934064-992782387616911562/65*ep-
         1081757584874207981993/20475*ep^2-657311079331920124221247/
         6449625*ep^3)
      +1544977985007695717221778078259243003816969711311/18455655943212\
      7169638852300800000+861862404427211/70980*ep^-3-
         19685275521650392426076237/270386442144000*ep^-2-1346470661155\
         828693640701469913739081/723855448643926959360000*ep^-1+
         132559372221816738473/5915*z3-35115135827399989245279179154537\
         557161597114149135708294226307835984103956904133150447349239/
         46600215248409292343777958718743803369303796321393999830644162\
         5600000000000*ep+397678116665450215419/11830*ep*z4+
         7527572273330011758992584840729/19313317296000*ep*z3+
         39852616807116691015572872098947366336264811595446092306134625\
         7145657707259831569059620056951701363947441/
         12724919133159719763498360578846639335369352279639921303349454\
         29329050337280000000000000*ep^2+38575578647816867782928/17745*
         ep^2*z5+7527572273330011758992584840729/12875544864000*ep^2*z4
         -224071466513673943586489192511146850246133/
         361927724321963479680000*ep^2*z3+
         89143810056022265051801683296137954718690880075910646978687336\
         51797109546876039631853347922795494010913876532915589801455220\
         659839630720180338523294839527/
         93530578372402162171963467489379894953681636124188141485587275\
         95409374591272963021414316567419492852231027230978028339200000\
         0000000000*ep^3+38177900531151417567509/7098*ep^3*z6+286719672\
         120183932328695927115427/45064407024000*ep^3*z5-22407146651367\
         3943586489192511146850246133/241285149547975653120000*ep^3*z4-
         55634098997257308687238591445755713166846581366901/
         43063197200829672915732203520000*ep^3*z3+
         13919187302454734001284/17745*ep^3*z3^2;
Fill mncnoptab(16,7,2,2)=
      +mncF321*(-1703048986934064-999033450503590172/65*ep-
         1099227690886375203098/20475*ep^2-676026150093833826791242/
         6449625*ep^3)
      +2919476887244045171149016934100275227000455139/
      348878184181714876443955200000-71870199262628393/141960*ep^-3-
         795566073681301644746179531/135193221072000*ep^-2-709006980720\
         798438876910216180247807/31471976027996824320000*ep^-1+
         132631095047343966348/5915*z3-45487113621136028619799900188792\
         10166073600582508445140427316697047338544170615466877463/
         60980437374865054131285104890997829835019033228809234022400000\
         000000000*ep+198946642571015949522/5915*ep*z4+
         3777303678831927009054139806377/9656658648000*ep*z3+
         18406545419809363565263481097985749836839300503199399710795259\
         8554688546197283992740615653763821613/596223269309409655441938\
         297612644041993015252550501828267970920448000000000000000*ep^2
         +77155641541711843787281/35490*ep^2*z5+
         3777303678831927009054139806377/6437772432000*ep^2*z4-
         9390382852771989544431174117089147970281/
         15735988013998412160000*ep^2*z3+
         12865672406365087548267609848082873314487032784635931232683811\
         93533777073033892362859706249218888209507441868858327523890095\
         72288824923405537099/35546993401317126489308925109581522570814\
         23804922539163930687707730991962606077596784885862944418629156\
         864000000000000000000*ep^3+76359854971427779989193/14196*ep^3*
         z6+146157503778744557353866686158751/22532203512000*ep^3*z5-
         9390382852771989544431174117089147970281/
         10490658675998941440000*ep^3*z4-108180051757864323552210984006\
         843737891754626207/81404909642400137836922880000*ep^3*z3+
         27833436340813230265303/35490*ep^3*z3^2;
Fill mncnoptab(16,7,3,1)=
      +mncF321*(-350627732604072-207463049121612746/65*ep-
         33046309792694291357/2925*ep^2-20659625338872976153303/921375*
         ep^3)
      +10765512590861626915017605854044646400333035744037/6274923020692\
      323767720978227200000-19142410262765273/689520*ep^-3-
         368747480807814194191476331/656652788064000*ep^-2-136843706000\
         92387245348833511827106601/3515869321984788088320000*ep^-1+
         66286637532414038234/14365*z3-94568891490984232190303498035693\
         804804992717492189499979858482676871891979709541397022976000829
       /618403876842411068296767707282921594712036603224213232446456463\
         3600000000000000*ep+99429956298621057351/14365*ep*z4+
         3793394932372765301202244893977/46903770576000*ep*z3+
         87069365598791041438961868994297570971175922596882465034397154\
         906123267533185497952196962134138234465966177/
         13906518766953122312966065489739541559367934991320771138660475\
         04909605011456000000000000000*ep^2+77152158550008972718321/
         172380*ep^2*z5+3793394932372765301202244893977/31269180384000*
         ep^2*z4-18638472796881274153092229319774733033773/
         159812241908399458560000*ep^2*z3-
         45695014985191847354188831054751217323578240737178635641166215\
         88441077008776268929723077026933966572063175089636812270205278\
         579157189100862621029/1185116447432255101652708529481956773069\
         47765985371785703069739211346854323593709318181360450073805999\
         730327552000000000000000000*ep^3+76356718899620004259513/68952
         *ep^3*z6+149963563082879556407931397761551/109442131344000*
         ep^3*z5-18638472796881274153092229319774733033773/
         106541494605599639040000*ep^3*z4-59311368560746584016137941634\
         807341960631875109679/209164100689744125590699274240000*ep^3*
         z3+27837707798109723875383/172380*ep^3*z3^2;
Fill mncnoptab(16,8,1,2)=
      +mncF321*(-44235038621664-189168990828743684/455*ep-
         220984515476776550426/143325*ep^2-1602666024886161656798294/
         496621125*ep^3)
      +1541288873863991018999475344060728213682275187411/71054275381368\
      96031095813580800000-2260432577887649/248430*ep^-3-
         1262300429858897023606324337/10409878022544000*ep^-2-157970561\
         79269801066111387245311985981/27868434772791187935360000*ep^-1
         +24111889645948686086/41405*z3-6074049236844495093618787936228\
         64808859562851788026127748793558695891950654663452019868979/
         32151122533399268256664987752380059142782651682779951181856768\
         0000000000000*ep+36167834468923029129/41405*ep*z4+
         7716127093603923524910928611829/743562715896000*ep*z3+
         54053978342040928571225916459446163994100335812620383355751430\
         3070612307540663918013107434685000536903/723006768929529532016\
         95230561628632587325865225226825587212808484605132800000000000\
         000*ep^2+7014049024641833333396/124215*ep^2*z5+
         7716127093603923524910928611829/495708477264000*ep^2*z4-
         163395141989487874079873135710015147258633/
         13934217386395593967680000*ep^2*z3-
         63143871809641233643959442731408687507861711321289815720455565\
         64956056863351344515369659044994787066597334187952102047083345\
         247220414755159152363733193/7591767725032643033438593140371744\
         72026636656852176473097299317809202483057870375114798422680153\
         640603167794722242560000000000000000*ep^3+
         3470856677851993637569/24843*ep^3*z6+3289394274816368329974600\
         14994727/1734979670424000*ep^3*z5-1633951419894878740798731357\
         10015147258633/9289478257597062645120000*ep^3*z4-6754259408713\
         6898236308361046797041365600491989281/165793309223194240725568\
         9835520000*ep^3*z3+2530386563112056257988/124215*ep^3*z3^2;
Fill mncnoptab(16,8,2,1)=
      +mncF321*(-22117519310832-95186115980408332/455*ep-
         112254607756461487858/143325*ep^2-823617052462547823369502/
         496621125*ep^3)
      +1535011191113955611464239455083826017418124015491/14210855076273\
      792062191627161600000-11445456683173843/993720*ep^-3-
         1506188172537429634729595131/10409878022544000*ep^-2-362204096\
         80401621410252192007094996201/55736869545582375870720000*ep^-1
         +12060561207175216488/41405*z3-6296565618642583717676615412500\
         37025198015444713579529737895281013036270691712432599766470171/
         68206309945854161944496438303263411181474625355611753578653286\
         4000000000000000*ep+18090841810762824732/41405*ep*z4+
         3872038395551741350878555149777/743562715896000*ep*z3+
         55364125100812164581079933287541115931813768086490943517481184\
         5562658383149569984716852917677109179982063/
         15338072169433590786359631054859788484596987122780262285287288\
         6570912317440000000000000000*ep^2+7014381403238470035011/
         248430*ep^2*z5+3872038395551741350878555149777/495708477264000
         *ep^2*z4-154625090848747708000573936615718470156303/
         27868434772791187935360000*ep^2*z3+
         27222433432606601897682670320174401260112323282977198267780150\
         11432058709783555893512086403977933881425248645516289806432116\
         9461580167732132840577024251/805269647976676778904022200960860\
         06497111102530391575896392106210476120524352679074676832691430\
         58259255029822589501440000000000000000000*ep^3+
         6942018035995418736083/99372*ep^3*z6+1674266087267157817557080\
         43386951/1734979670424000*ep^3*z5-1546250908487477080005739366\
         15718470156303/18578956515194125290240000*ep^3*z4-229272003349\
         35448981002452694119502065983667265653/11052887281546282715037\
         93223680000*ep^3*z3+2530164976518153448853/248430*ep^3*z3^2;
Fill mncnoptab(16,9,1,1)=
      +mncF321*(-240407818596-2260688116435507/910*ep-
         6006897288544953011/573300*ep^2-50142284410090350160559/
         1986484500*ep^3)
      +1511412462885321552405148464487227207120137056571/13073986670171\
      88869721629698867200000-1152015025545043/1987440*ep^-3-
         10587849569358097891816074137/1915417556148096000*ep^-2-
         107120513433593010144617010975191657221/
         5127791998193578580106240000*ep^-1+523770067850896421/165620*
         z3-16332693646795612706887698084808851749181029650793135870201\
         676691493/1828944384422309116516678733978593053323663769600000\
         000*ep+1571310203552689263/331240*ep*z4+
         8116718948766604205540360999629/136815539724864000*ep*z3+
         16009901109477906019946285006840372152347962681077880063042321\
         87462457173237947/52227129829267997802351393488800107881989016\
         227210592256000000000*ep^2+76245985360635643153/248430*ep^2*z5
         +8116718948766604205540360999629/91210359816576000*ep^2*z4-
         28863068875489194569491714543352858536273/
         2563895999096789290053120000*ep^2*z3+
         34496970041122121047068898255334915613552915958087712476838106\
         22377323451185911020162519356563669902514477732370661689918487\
         2297/937954556395096437177783439138602428102342146534957324718\
         93246779157194939955828745134685762355200000000000000000*ep^3+
         150920660517718597043/198744*ep^3*z6+4205802916231595130541563\
         50106127/319236259358016000*ep^3*z5-28863068875489194569491714\
         543352858536273/1709263999397859526702080000*ep^3*z4-
         86659728320889889413606847547011751190479965037977/30505968897\
         0677402935046929735680000*ep^3*z3+27538825095578911129/248430*
         ep^3*z3^2;
Fill mncnoptab(17,1,1,8)=
      +mncF321*(-14734414895884893-226680759460304232149/1820*ep-
         49939851641302870898647/127400*ep^2-
         205358846373575144975713183/305613000*ep^3)
      +7961516206396073552316211717123188227313307614869035211/10982148\
      8029443865056616894704844800000+125303959339616249/238492800*
         ep^-3+8528262518128204411454044153/3830835112296192000*ep^-2-
         227031090225156928423507860001988870333/
         20511167992774314320424960000*ep^-1+361273920091196065336996/
         1863225*z3-147290241190626297452882899632629225482129684714400\
         223700485851616159073947715366390517/2134169596961010595735681\
         18117734453362063672145346560000000000000000*ep+
         180636960045598032668498/621075*ep*z4+626762974254644525584604\
         7976268929747/1915417556148096000*ep*z3+
         60066455701201039423299725878042497482294780723367311761180577\
         45174914739940594062922428258747587/19588855698628462569726838\
         33154100086335156131084799044275404800000000000000000*ep^2+
         160199199798215980787825857/8517600*ep^2*z5+626762974254644525\
         5846047976268929747/1276945037432064000*ep^2*z4-42561720126279\
         37053948862688866876876991946187/603269646846303362365440000*
         ep^2*z3-144274364478447598743294969550666904283037311105750042\
         47734451221845510616858631616071811265428561429080821048440405\
         47426640820834061/75157993001213578662992138324995658705248013\
         73689299518865924960022647546012673199262075453440000000000000\
         0000000*ep^3+1109833633144593591423997127/23849280*ep^3*z6+
         9652252440271887787611341747791209761/212824172905344000*ep^3*
         z5-4256172012627937053948862688866876876991946187/
         402179764564202241576960000*ep^3*z4-42537290473460781030951178\
         5910575942896208653018022580879/549107440147219325283084473524\
         22400000*ep^3*z3+44958541874119606837218089/6624800*ep^3*z3^2;
Fill mncnoptab(17,2,1,7)=
      +mncF321*(-42469784111668221-93798305652088721299/260*ep-
         2976349519565460617871/2600*ep^2-160821444297197658643400807/
         81081000*ep^3)
      +2908845972504589490742005183990004433148409197930363/13920837625\
      737592224187716403200000+12094273263131497/4867200*ep^-3+
         60983276810048713640919103/3399143844096000*ep^-2+739480788342\
         6728272036137284217331/2599970591047574384640000*ep^-1+
         21251407359438856489988/38025*z3-65368871186651525921768678025\
         61488835637426738097323046885710171064946259160254066667971/
         32995360299422048465038605945726753463891725141619507200000000\
         00000000*ep+10625703679719428244994/12675*ep*z4+16069241472953\
         196401349072377905237/1699571922048000*ep*z3+
         18559922520430396370270180991882812689003727681877024189547637\
         05600368658562304192622378227692720347/21199765322540517504032\
         3249123459875182010934335537506505929523200000000000000000*
         ep^2+65964376996859151655372247/1216800*ep^2*z5+16069241472953\
         196401349072377905237/1133047948032000*ep^2*z4-181486710851651\
         427109647388678135527632107949/9099897068666510346240000*ep^2*
         z3+79376089997273788051699467053175285006103890242929425940092\
         06166503398498977307492422880772884120540355418108550561087624\
         7599296674760673/347432394095732451634932147679008502951900777\
         29736951277905273358054080427396380239005127247134720000000000\
         000000000000*ep^3+65284331961357108247692631/486720*ep^3*z6+
         3587395826185706493967144846389233/26977332096000*ep^3*z5-
         181486710851651427109647388678135527632107949/
         6066598045777673564160000*ep^3*z4-1129538357302519973656824673\
         176827725189041908722130809/48722931690081572784657007411200000
         *ep^3*z3+2644620109716815501649817/135200*ep^3*z3^2;
Fill mncnoptab(17,2,2,6)=
      +mncF321*(-104925348981768546-116559428880009371487/130*ep-
         3735000557795228160123/1300*ep^2-68125209149157051641594797/
         13513500*ep^3)
      +269439441905506029817880434701031657762288101594203/521921763535\
      845455160156979200000-178543031112908321/13790400*ep^-3-
         1505195016143004319265073479/9630907558272000*ep^-2-2001900665\
         37759899898788071916576221/320286232230498293760000*ep^-1+
         297519819858025317593632/215475*z3-560790653746347265834424366\
         040540723494667355105364725288796691216208189178243431001353/
         11525460776900115556539333876003838433594134285516800000000000\
         0000000*ep+148759909929012658796816/71825*ep*z4+11282151421389\
         6787042366141795976659/4815453779136000*ep*z3+
         86047630614288331035384880877311377601941160469055210705701924\
         7468459294197240670974074350879257/402456227915125014705392441\
         05344841781741527819638401925120000000000000000000*ep^2+
         461750656724307640465407329/3447600*ep^2*z5+112821514213896787\
         042366141795976659/3210302519424000*ep^2*z4-539127319262454522\
         73949814516585106249289341/1121001812806744028160000*ep^2*z3-
         17026238503794794510406365620431337333378008920350808314955518\
         18806894768586832595583838066148503557952238124098437319421414\
         95570661732007/11291552808111304678135294799567776345936775262\
         16450916531921384136757613890382357767666635531878400000000000\
         00000000000*ep^3+456990339606579235383909217/1379040*ep^3*z6+
         25630335936065567654844858877828631/76435774272000*ep^3*z5-
         53912731926245452273949814516585106249289341/
         747334541871162685440000*ep^3*z4-15613890045653624741628580170\
         234143769784249632455647/260960881767922727580078489600000*
         ep^3*z3+55537014205554194000518157/1149200*ep^3*z3^2;
Fill mncnoptab(17,3,1,6)=
      +mncF321*(-42469784111668221-94595195861249406939/260*ep-
         9130933875668349418993/7800*ep^2-1691066929558186507157203/
         819000*ep^3)
      +6232610266201620685036591152756193419605296194943/
      29827322736505401153753907200000-12453769015898903/4867200*ep^-3-
         1031803149241083996889643/34334786304000*ep^-2-600079546112468\
         60724612436581888731/551508913252515778560000*ep^-1+
         21251413634442345766588/38025*z3-32419658010644288581280358462\
         4774688427388103732493791740910530993070582208350303819406923/
         16497680149711024232519302972863376731945862570809753600000000\
         0000000000*ep+10625706817221172883294/12675*ep*z4+163008014511\
         197359592336122554023/17167393152000*ep*z3+
         59273177922568166032693276428361711156153660723819320739087781\
         5511976467755108528415133378404188597/688304068913653165715335\
         22442681777656497056602447242372055040000000000000000000*ep^2+
         21988126264347814677259549/405600*ep^2*z5+16300801451119735959\
         2336122554023/11444928768000*ep^2*z4-5311992446352538975159923\
         863003541493718573/275754456626257889280000*ep^2*z3-
         44347002747671750261073376492824948112492753608996724510852045\
         97142732260908026108965440599039364805718593795142284146253339\
         6503325184311689/564577640405565233906764739978388817296838763\
         10822545826596069206837880694519117888383331776593920000000000\
         0000000000000*ep^3+65284333556741288967247831/486720*ep^3*z6+
         2350052987636116751630086488136741/17167393152000*ep^3*z5-
         5311992446352538975159923863003541493718573/
         183836304417505259520000*ep^3*z4-12134501780986303558255944737\
         835388920082127463141011/492150825152339119036939468800000*
         ep^3*z3+23801578192136677430717153/1216800*ep^3*z3^2;
Fill mncnoptab(17,3,2,5)=
      +mncF321*(-87437790818140455-39216861900949965309/52*ep-
         3827583314736305583503/1560*ep^2-718920677934464391624313/
         163800*ep^3)
      +907188169469683965180569801590833691418172520259/
      2108774802165032142061240320000-1357903965173241761/16548480*
         ep^-3-130330994236374096574801261/116738273433600*ep^-2-
         63600666131123359828087381215035677/11646772081109028864000*
         ep^-1+148760075625435396344596/129285*z3-101862254700402912000\
         02488561071311151042640145818627493746920984012565579815733542\
         83569873/25315444087245565817627516071964911042620844075451940\
         8640000000000000000*ep+74380037812717698172298/43095*ep*z4+
         381661657186408242626033265872347/19456378905600*ep*z3+
         61856221920522284650897348164483285723735580144318968888924600\
         47486753423676534667757519591171349857/35359482219640551692004\
         0155570031352307038524101117428241950310400000000000000000*
         ep^2+153916905839112097602548683/1379040*ep^2*z5+3816616571864\
         08242626033265872347/12970919270400*ep^2*z4-157027520391435268\
         0951446347357542384212157/40763702283881601024000*ep^2*z3-
         58951896403694548970070018280672826986927239187508979530131992\
         54347660645622531236651300777954663805701867681042386812221163\
         00292635555611531959/42162838850332541449032040946302869960149\
         45381732647185544858959108799118388509970022191499742202455654\
         400000000000000000000*ep^3+456990395097322360124618977/1654848
         *ep^3*z6+2404481172076232938850802900115621/8338448102400*ep^3
         *z5-1570275203914352680951446347357542384212157/
         27175801522587734016000*ep^3*z4-168153483924420244336023631968\
         978288007768450063733/3163162203247548213091860480000*ep^3*z3+
         166610993819005422982095911/4137120*ep^3*z3^2;
Fill mncnoptab(17,3,3,4)=
      +mncF321*(-58291860545426970-13204039325711344803/26*ep-
         3929054605586147326553/2340*ep^2-753138611985724350377833/
         245700*ep^3)
      +2721424613544853202385294789934646726415468782137/
      9489486609742644639275581440000-20831870793175465441/24822720*
         ep^-3-575071627620968351104055647/58369136716800*ep^-2-
         222863382710402647189472013574248079/5823386040554514432000*
         ep^-1+297527063475749985343642/387855*z3-916535088896531777030\
         36920305576343562962609210133910758923659753654439774158839070\
         77/34521060118971226114946612825406696876301151011979919360000\
         00000000*ep+148763531737874992671821/129285*ep*z4+115084139221\
         5874460982931408390321/87553705075200*ep*z3+
         13771408369584461732246390833872284535152630076762020215799403\
         33054487849786170044763920307799/12054368938513824440455914394\
         4328870104672224125380941446119424000000000000*ep^2+
         153917293712972097864955883/2068560*ep^2*z5+115084139221587446\
         0982931408390321/58369136716800*ep^2*z4-5003304306178367012673\
         08828861577723008239/20381851141940800512000*ep^2*z3+
         15731989662717091941547424436566312662532767838558516727181281\
         94219029468495793467553735248615002266095565018125994766568156\
         65107932363821/11498956050090693122463283894446237261858941950\
         17994686966779716120581577742320900915143136293327942451200000\
         0000000000*ep^3+456991448123304293829369377/2482272*ep^3*z6+
         2485412387796102563261163455998501/12507672153600*ep^3*z5-
         500330430617836701267308828861577723008239/
         13587900761293867008000*ep^3*z4-179108005016717480772818222745\
         264219130726694187493/4744743304871322319637790720000*ep^3*z3+
         166609749341016763212254791/6205680*ep^3*z3^2;
Fill mncnoptab(17,4,1,5)=
      +mncF321*(-18627098294591325-8405915761091888655/52*ep-
         497126547765376053283/936*ep^2-3501139366955170098087/3640*
         ep^3)
      +5426010044758026130375883545659554532753765679/
      59206114304040796275120537600+3845377690369171/584064*ep^-3+
         9872183422260934649561/274678290432*ep^-2-22989099517652977943\
         8415665340201/1350634073271467212800*ep^-1+
         1118494260657850763764/4563*z3-1411704935309296687736106512497\
         428089642620452059475792002815614441812699271134060625743/
         16565405483537037945711542214324548445341462043214723468492800\
         00000000*ep+559247130328925381882/1521*ep*z4+
         8635717693591918492711212879517/2060087178240*ep*z3+
         68548651361786406530495385480964864385440035069890830212416442\
         44506470877937028936708827210898588607/18625944214261518354902\
         76840938788586559133508197285689160576316473344000000000000*
         ep^2+1157269684912403356452367/48672*ep^2*z5+
         8635717693591918492711212879517/1373391452160*ep^2*z4-
         11489315869173830150944633224194860842073/
         1438718904136997683200*ep^2*z3+
         31717675130891347846039156646713102173200471579551061761367981\
         31722518655774163215535190051683487407431450243600634751079132\
         71593160742417/56689531227337870855841399591667724316167332863\
         63223106614936415608469402875307522718912940829852041216000000\
         000000000*ep^3+17180086191980794224583265/292032*ep^3*z6+
         1085320573965256587771483763601/17311656960*ep^3*z5-1148931586\
         9173830150944633224194860842073/959145936091331788800*ep^3*z4-
         30259881097254154767010121605450852320971929319911/
         2567743435577421490627510272000*ep^3*z3+
         1252715170677851542782395/146016*ep^3*z3^2;
Fill mncnoptab(17,4,2,4)=
      +mncF321*(-30679926602856300-3487279249096911345/13*ep-
         208726424906665228409/234*ep^2-639573355405078967779/390*ep^3)
      +757839131233743015845574460168346438063326031/
      5020892386107219385860096000-798606775306099067/2482272*ep^-3-
         119671705774038060209369/30883141120*ep^-2-2506377791980201780\
         689313309905197/158819619287850393600*ep^-1+
         31318438080963497558248/77571*z3-79307682469890302782645085380\
         813905186456688037986820508380719189873012420601836186273/
         56959749196302523089661911161921049845896899169766866944000000\
         000000*ep+15659219040481748779124/25857*ep*z4+
         8668774381184794735676215649629/1250767215360*ep*z3+
         18989557892748005876509859071211880119436882507597597647907871\
         0067722877847418098624050573423009/318235339976764965228036140\
         01302821707633467169100568541775527936000000000000*ep^2+
         8100904473255221117189161/206856*ep^2*z5+
         8668774381184794735676215649629/833844810240*ep^2*z4-221947730\
         3140553981427038650159253199461/174701581216635432960*ep^2*z3+
         48096534817226928555153887080247725287638905656704217849458197\
         26657588516506106835746213954065297322635326470460803438444109\
         6083264208049377/758931099305985746082576737033451659282690168\
         71187649339807461263958384130993179460399446995359644201779200\
         0000000000000*ep^3+120260829575589776855507495/1241136*ep^3*z6
         +132349895616366425573217046158823/1250767215360*ep^3*z5-
         2219477303140553981427038650159253199461/116467720811090288640
         *ep^3*z4-39320305242928190441874203619610259315722042939/
         1936629920355641763117465600*ep^3*z3+8768951499449382659299805/
         620568*ep^3*z3^2;
Fill mncnoptab(17,4,3,3)=
      +mncF321*(-15339963301428150-3524399333973606165/26*ep-
         214519609826022377987/468*ep^2-42288497213845497140711/49140*
         ep^3)
      +143194362402375751560317353844954096233166076931/
      1897897321948528927855116288000-5848724694150826939/4964544*ep^-3
         -69110778704898857856746041/5003068861440*ep^-2-48474705227397\
         146698301486097875899/905860050752924467200*ep^-1+
         15660913890676846163878/77571*z3-12535381975916633570347282905\
         516054194693603440322975331758038135750900318369607489027/
         18183932902174143797173524451243033745541347035116994560000000\
         000000*ep+7830456945338423081939/25857*ep*z4+
         1355886639841658232049279211959/389127578112*ep*z3+
         46736604508900827256589562812119627801266322791734327694434035\
         74749185056479025075949855594165267/16001058620605017331331110\
         07023980260944982412093945533862563020800000000000000*ep^2+
         8101001415371732247507017/413712*ep^2*z5+
         1355886639841658232049279211959/259418385408*ep^2*z4-167216067\
         871370167676892238588587619607/27730409716926259200*ep^2*z3-
         17299806352327000876952760201644424122659656507283778175638113\
         10017727571784861599631996465467299291560349798672560657012019\
         91270844972600623217/11028095094202534962604194758383283190869\
         63653461998578599725210411584726173731642098410460312368558259\
         5686400000000000000000*ep^3+120262148119321836019495015/
         2482272*ep^3*z6+191681815016353329899816580191069/
         3502148203008*ep^3*z5-167216067871370167676892238588587619607/
         18486939811284172800*ep^3*z4-102163768698056042269825983557538\
         75520749355189543/948948660974264463927558144000*ep^3*z3+
         8768658470640085575943165/1241136*ep^3*z3^2;
Fill mncnoptab(17,4,4,2)=
      +mncF321*(-2691221631829500-313708016462508745/13*ep-
         58606953771514281529/702*ep^2-11884029773660099047777/73710*
         ep^3)
      +715401551868348517651127430095449981052001699503/
      54090073675533074443870814208000-95987600211674068007/141489504*
         ep^-3-226716871722732000952047385/28517492510208*ep^-2-4329786\
         5497364991463993451781393299/1408200624352273489920*ep^-1+
         156656441694710441354068/4421547*z3-64973691583652749355995423\
         07037690150122318263493756260233587663480926823152051170043952\
         71/54570891836069714242507605554402906422056859519737856524288\
         00000000000000*ep+78328220847355220677034/1473849*ep*z4+
         5393601553544582299632149530319/8755370507520*ep*z3+
         26517525465578264620754704049382088995123306176729982589329917\
         589406527758854401392636447401883926121/5335552997040743029132\
         3586529214621801210438531272613826647163928576000000000000000*
         ep^2+40506335021691987099490861/11790792*ep^2*z5+
         5393601553544582299632149530319/5836913671680*ep^2*z4-36079080\
         5263155839425357722456724540907/368814449235119247360*ep^2*z3-
         40002889430141630788496132321835156967531077754182471094383839\
         59104772645318958849932341083585376212827074535577908058294861\
         47335805370307418834183/32902321713553263060929615061636525399\
         95956060103872759252280165262963030539328354200607608341951593\
         56742303744000000000000000000*ep^3+601328767657591388838200195/
         70744752*ep^3*z6+5015670208335992396949813220492181/
         499056118928640*ep^3*z5-360790805263155839425357722456724540907
       /245876299490079498240*ep^3*z4-109887559114939793183364010415743\
         03069611046227271/5409007367553307444387081420800*ep^3*z3+
         43839039063714092433944753/35372376*ep^3*z3^2;
Fill mncnoptab(17,5,1,4)=
      +mncF321*(-3725419658918265-1713555858747260451/52*ep-
         522224150285868609799/4680*ep^2-881069107638178215221/4200*
         ep^3)
      +171815188510345538041763405190294237118374940459/
      9374301431473126076894085120000-3462792807898633/584064*ep^-3-
         68775076576471193158091/762995251200*ep^-2-2427879127025625425\
         8715267322971183/47272192564501352448000*ep^-1+
         223699956039509241908/4563*z3-38968450957951223148077788188026\
         41551559488995966767103869358475251379140746702194440831/
         23295101461223959611156856238893896251261430998270704877568000\
         000000000*ep+111849978019754620954/1521*ep*z4+
         8720133336670975069179350972653/10300435891200*ep*z3+
         37058269258772210726268355966277037193550725651597417448376133\
         9698046593369042170765203305240144221/523854681026105203731640\
         361514034289969756299180486600076412089008128000000000000*ep^2
         +231454047524968500209219/48672*ep^2*z5+
         8720133336670975069179350972653/6866957260800*ep^2*z4-
         241159018535337705898486610610226931365103/
         165452673975754733568000*ep^2*z3-
         65662177256609296489596241910106632427979815772502387520576995\
         34548411610832082292415261425073317715050569902443748010043826\
         7374032150173/159439306576887761782053936351565474639220623678\
         96564987354508668898820195586802407646942646083958865920000000\
         00000000*ep^3+3436018719908206024433005/292032*ep^3*z6+
         19619838079606935358272845609233/1471490841600*ep^3*z5-
         241159018535337705898486610610226931365103/
         110301782650503155712000*ep^3*z4-15548508949673507399392059184\
         9761384467270848356829/59058099018280694284432736256000*ep^3*
         z3+250542548990581491940351/146016*ep^3*z3^2;
Fill mncnoptab(17,5,2,3)=
      +mncF321*(-4601988990428445-2133752406763914783/52*ep-
         219502172676515489849/1560*ep^2-44010845304934247711707/163800
         *ep^3)
      +47724823346290177549959473288688477707311061857/
      2108774802165032142061240320000-824249164620820543/3309696*ep^-3-
         50974993291290313705018537/16676896204800*ep^-2-10481633729483\
         96338041968592056790169/81527404567763202048000*ep^-1+
         1566030093471130445180/25857*z3-267284207139584021241046653018\
         81943085678358935249565125397125267316289729006689417403/
         13025633568700254026138585882421030295275536345563398144000000\
         0000000*ep+783015046735565222590/8619*ep*z4+
         6810642478375632560292439715939/6485459635200*ep*z3+
         53671112250803967152758498261857855445483536539679738453972566\
         757142820471755590157146323842347023/6240412862035956759219132\
         9273935230176854314071663875820639957811200000000000000*ep^2+
         1620193403056952528729045/275808*ep^2*z5+
         6810642478375632560292439715939/4323639756800*ep^2*z4-
         10053026379686784892968315005517231937321/
         5823386040554514432000*ep^2*z3-
         42934962837850985666428387929414181215614046594658194255226708\
         97387748586826556815614017172285522653603209305147969319370580\
         9197717704324332037/148822044523840437211613700891677524029036\
         61759521780126432277925969482463936170948732874723938537637412\
         86400000000000000000*ep^3+24052336230898907059706875/1654848*
         ep^3*z6+985779053235922727635465403434177/58369136716800*ep^3*
         z5-10053026379686784892968315005517231937321/
         3882257360369676288000*ep^3*z4-2142336877298893746158356518867\
         466191772574487451/632632440649509642618372096000*ep^3*z3+
         1753753760082815175468025/827424*ep^3*z3^2;
Fill mncnoptab(17,5,3,2)=
      +mncF321*(-1533996330142815-719107371943165821/52*ep-
         225752203006686864629/4680*ep^2-46230250592141240042597/491400
         *ep^3)
      +143066890055452084436415462382226500743881118211/
      18978973219485289278551162880000-3994078797708917951/9929088*
         ep^-3-236057312988547039954061257/50030688614400*ep^-2-4519274\
         6806331777441915702132499571/2470527411144339456000*ep^-1+
         1566593856562886462476/77571*z3-645946800875260377370021699900\
         3222494535673712898668247088284887031297886504724042418003/
         95738406729946867092118606235794572670275192139890976358400000\
         000000000*ep+783296928281443231238/25857*ep*z4+
         20552862200848652028346605105257/58369136716800*ep*z3+
         26194130543099613625828473998341913961066473389628469478887946\
         1818525568275610630224486837302868853/936061929305393513882869\
         939109028452652814711074958137309599367168000000000000000*ep^2
         +1620256629520387517745493/827424*ep^2*z5+
         20552862200848652028346605105257/38912757811200*ep^2*z4-
         1049770149577571470659359032444313315329/
         1941128680184838144000*ep^2*z3-
         78727757634165876162041783008253682549704351845530385325254863\
         77586300245127284219847998159995928391213246907897119491999388\
         20737184317028026423/15667772244549172886156959553160250190456\
         93361954225123453466745363315728828251597238384575400929330270\
         2014464000000000000000000*ep^3+24053194425755750932186235/
         4964544*ep^3*z6+53668655570299507559501353422043/9216179481600
         *ep^3*z5-1049770149577571470659359032444313315329/
         1294085786789892096000*ep^3*z4-2254715577810025868911089319564\
         873229270578058747/1897897321948528927855116288000*ep^3*z3+
         1753550464545937307574137/2482272*ep^3*z3^2;
Fill mncnoptab(17,5,4,1)=
      +mncF321*(-134561081591475-64024857307060265/52*ep-
         12338258661034656911/2808*ep^2-2598337787708320527683/294840*
         ep^3)
      +75370132576311971740463536007866363288610262681331/1144545958974\
      27985523230642864128000-5661320856146275771/565958016*ep^-3-
         114583166167100472163550089/570349850204160*ep^-2-181340518997\
         397237688567178655751889/129554457440409161072640*ep^-1+
         7830187803889562863004/4421547*z3-4093589794884006937757929313\
         96974255406698683797713689189584602752089609347829772594701813\
         977799/7011460272637499851271510788401236915336470951241429283\
         4954877337600000000000000*ep+3915093901944781431502/1473849*ep
         *z4+8073474673924434961555042069/259418385408*ep*z3+
         37447514159247143030511170965185063341771875997157538273980272\
         2730790182083824152546154437146651871161040837/
         15767204494745917699362923669485578122322992027455531659311084\
         064989088055296000000000000000*ep^2+8100980069427028367070377/
         47163168*ep^2*z5+8073474673924434961555042069/172945590272*
         ep^2*z4-7344521030454538412967368810068716716573/
         169654646648154853785600*ep^2*z3-
         62947193856031652463441874868799180702814522028772960684984873\
         96398041030115420633568754312457576028972601866711204748631959\
         862811181257942567036947123/1122258710863245539092636054214347\
         91756214066062870975170784173700921353416059842967757684791413\
         958514672518899433472000000000000000000*ep^3+
         120261870992783095447975015/282979008*ep^3*z6+2131830834451885\
         16277449320370573/399244895142912*ep^3*z5-73445210304545384129\
         67368810068716716573/113103097765436569190400*ep^3*z4-
         1268821472923106785365502110611349799285295960505707/114454595\
         89742798552323064286412800*ep^3*z3+8768813861628436272057181/
         141489504*ep^3*z3^2;
Fill mncnoptab(17,6,1,3)=
      +mncF321*(-319321685050137-755590495209936639/260*ep-
         561328397234636077519/54600*ep^2-350471829981729391646951/
         17199000*ep^3)
      +1545273891821302645244296321721527235022607786691/98430165030467\
      8238073878937600000+6059116198595581/2271360*ep^-3-
         90478609746064746798331/721030512384000*ep^-2-9118155230758147\
         24785078519473848201/3860562392767610449920000*ep^-1+
         74564531892234148732/17745*z3-12423412440063669360385635442484\
         5450803116751762047495629581958758462908717066878128583/
         89219454249637219049464390477245141366363224782939147468800000\
         00000000*ep+37282265946117074366/5915*ep*z4+
         541779188623385031588594062711/7357454208000*ep*z3+
         45620951524199731517126753721641010993270186770428840954935456\
         2114144126743296831142464999438954889/802538316050093830632647\
         6918817697034890205930206107846288468030259200000000000000*
         ep^2+77151142823669005808321/189280*ep^2*z5+
         541779188623385031588594062711/4904969472000*ep^2*z4-893511495\
         1069228419051166204230730475561/83925269407991531520000*ep^2*
         z3+11718591530079526110926935789610536643965528065579208429246\
         18606245095760554076524767165970093167618313426935498484042256\
         57194288767401223/10057718190679095291658581645469123325924295\
         63116469785793703903950143440739630930250653838933995028480000\
         0000000000000*ep^3+229067363450455524665539/227136*ep^3*z6+
         8814791393343818948291551034503/7068926592000*ep^3*z5-
         8935114951069228419051166204230730475561/
         55950179605327687680000*ep^3*z4-258398896065838778794307167500\
         1112562973493665913/9985668916134416907995873280000*ep^3*z3+
         83515154714091223377749/567840*ep^3*z3^2;
Fill mncnoptab(17,6,2,2)=
      +mncF321*(-262970799453054-313726527615417609/130*ep-
         33722291682876531647/3900*ep^2-21387064873796671651363/1228500
         *ep^3)
      +20432980347921705234092122759591648747708435973/
      15815811016237741065459302400000-210538438221554179/2758080*ep^-3
         -782762171894087555230033531/875537050752000*ep^-2-70709382241\
         8919753420092805853210207/203818511419408005120000*ep^-1+
         149208713111315885104/43095*z3-4343918349541029111095287865691\
         94988303563073991002994713332173717353450442392541784327/
         38295362691978746836847442494317829068110076855956390543360000\
         000000000*ep+74604356555657942552/14365*ep*z4+
         26671539925492139411709461069639/437768525376000*ep*z3+
         17226644447042499141092110769192981794259563114885805622433625\
         285316863627170578826231846127330693/3744247717221574055531479\
         75643611381061125884429983254923839746867200000000000000*ep^2+
         77155560354953645698881/229840*ep^2*z5+
         26671539925492139411709461069639/291845683584000*ep^2*z4-
         8459703780845003625439200584223864829481/
         101909255709704002560000*ep^2*z3+
         71492813169372022796174963009092805472806325510874526057729619\
         28594614773613930687882550763542306789864908055476498585416366\
         623121972063787043/2626271373950125362557888839264897482865352\
         07520972590466451963399461455245932428507050730422444781836697\
         6000000000000000000*ep^3+229079341655079882934979/275808*ep^3*
         z6+153609912335525205594741737413751/145922841792000*ep^3*z5-
         8459703780845003625439200584223864829481/
         67939503806469335040000*ep^3*z4-116074994699565040994468945607\
         187609566126709487/527193700541258035515310080000*ep^3*z3+
         83500471562019195441109/689520*ep^3*z3^2;
Fill mncnoptab(17,6,3,1)=
      +mncF321*(-43828466575509-105752297620701963/260*ep-
         34685674831998179627/23400*ep^2-7486532313699588383911/2457000
         *ep^3)
      +10748771068763766310700071193041368403236150381877/5019938416553\
      8590141767825817600000-272098863729603977/49645440*ep^-3-
         58444670462491521644006659/583691367168000*ep^-2-6131424373324\
         788517687572124595366627/9375651525292768235520000*ep^-1+
         223729915791662649556/387855*z3-460721884976930164136202831429\
         30879312891178375848390009652599991535039340402450850653646089\
         89/24601614991710525793935125573337673387145512109619050117528\
         02713600000000000000*ep+111864957895831324778/129285*ep*z4+
         8941272481498174879850232986413/875537050752000*ep*z3+
         59178133782808943027266180997138142689296880257995015302578805\
         8053714725214943045256284872093996562481381/
         79033606489954474683523426914714677304877153019827226362461574\
         260596932608000000000000000*ep^2+231458075443955619317443/
         4137120*ep^2*z5+8941272481498174879850232986413/
         583691367168000*ep^2*z4-59965492042545218433892399540208716669\
         061/4687825762646384117760000*ep^2*z3-
         42013165934640218417584945683424696892707570153802304784773945\
         45541256727865302599077113376517157199887150340406335734047971\
         7678897052885612623814293/393774986267805452313205633057665935\
         98671602127323149182731289017867141549494681743072871856636476\
         67181491891208192000000000000000000*ep^3+
         687214869026533653166537/4964544*ep^3*z6+158655127912985440884\
         047097084151/875537050752000*ep^3*z5-5996549204254521843389239\
         9540208716669061/3125217175097589411840000*ep^3*z4-19168279688\
         7625837966703227110217207175768709230333/501993841655385901417\
         6782581760000*ep^3*z3+250536153479029111068287/12411360*ep^3*
         z3^2;
Fill mncnoptab(17,7,1,2)=
      +mncF321*(-9676414698489-23970258998128663/260*ep-
         57140546896342887209/163800*ep^2-424529975480775855544121/
         567567000*ep^3)
      +1541466405560021783509690944163203420095309056931/32481954460054\
      381856438004940800000-4112535670876963/2271360*ep^-3-
         581361653270658345874707931/23794006908672000*ep^-2-1474221341\
         0456370581890163752581638761/127398558961331144847360000*ep^-1
         +753479483547053748/5915*z3-9278790086708059968248885508586923\
         7826402651515774744771327576205171894395253281761689/
         22942145378478142041290843265577322065636257801327209349120000\
         0000000000*ep+1130219225320580622/5915*ep*z4+
         3885890087462681682865255883777/1699571922048000*ep*z3+
         56500204766184694161460047742807467462268710887591671237530787\
         1100475561739503460711761027577341979/361142242222542223784691\
         461346796366570059266859274853082981061361664000000000000000*
         ep^2+7014029379506298083171/567840*ep^2*z5+
         3885890087462681682865255883777/1133047948032000*ep^2*z4-
         144905972873304185070640062041623484275663/
         63699279480665572423680000*ep^2*z3-
         20863174647093764957024270408095533063761582243963069874504334\
         78104684808490345810685255085601007177748242579529915871995644\
         8659424137109120795896681/189604588537278797038925902606686931\
         07558358063241170656775707237992070006440319058811149417586254\
         760318875992064000000000000000000*ep^3+6941695349085780923363/
         227136*ep^3*z6+170778862494564809743648435784951/
         3965667818112000*ep^3*z5-1449059728733041850706400620416234842\
         75663/42466186320443714949120000*ep^3*z4-781314968085218474162\
         2216896890047052484552814727/842124745260669159240985313280000
         *ep^3*z3+2530399723089248805173/567840*ep^3*z3^2;
Fill mncnoptab(17,7,2,1)=
      +mncF321*(-3984406052319-9953375928784673/260*ep-
         3431893061614244977/23400*ep^2-25885135847178612999013/
         81081000*ep^3)
      +10728793281422316428191538655290776573171542276917/5521932258209\
      24491559446083993600000-13422865990224163/5516160*ep^-3-
         251958775156427906482557133/8255063621376000*ep^-2-42535631156\
         937315469297206736064789161/309396500334661351772160000*ep^-1+
         753867415926745748/14365*z3-1721698242734420169194330086468196\
         38301315833135977947256562078952315415704095677578190656873/
         10543549282161653911686482388573288594490933761265307193226297\
         34400000000000000*ep+1130801123890118622/14365*ep*z4+
         27332766625599053856104011762439/28892722674816000*ep*z3+
         10380294433471105237669465322879506429016920722339759858280214\
         22771928061895629713917827085806557246197233/
         16597057362890439683539919652090082234024202134163717536116930\
         59472535584768000000000000000*ep^2+7014476280883231523171/
         1379040*ep^2*z5+27332766625599053856104011762439/
         19261815116544000*ep^2*z4-133027666325094399623871060504134431\
         570063/154698250167330675886080000*ep^2*z3-
         12656514346635716326998438924295080032531853470316932193132154\
         83058187967807507057454918442009943797234055267332128256622861\
         2703350476920108977/202057815879225645037025230467786169767423\
         43051784999760230338486916280191035624099536748768044551672281\
         694208000000000000000000*ep^3+6942105008954263931363/551616*
         ep^3*z6+24964945018614128990647333886993/1375843936896000*ep^3
         *z5-133027666325094399623871060504134431570063/
         103132166778220450590720000*ep^3*z4-71803289580402247746651706\
         001707352123541977474303/18406440860697483051981536133120000*
         ep^3*z3+2530101791489577957173/1379040*ep^3*z3^2;
Fill mncnoptab(17,8,1,1)=
      +mncF321*(-60101954649-1144017252900401/1820*ep-
         3091386474775866103/1146600*ep^2-26333922826258910847307/
         3972969000*ep^3)
      +215585686803891523932528745448025364931410450373/747084952581250\
      782698074113638400000-2304019900364501/15899520*ep^-3-
         5350738104912931935439554331/3830835112296192000*ep^-2-
         109910113922545554398017126723199479081/
         20511167992774314320424960000*ep^-1+32735629452154476/41405*z3
         -6580200856368623745514076642118996393051426276936340962104940\
         0807651829/299654247943751125650092643775052685856549072011264\
         00000000*ep+49103444178231714/41405*ep*z4+
         4085394308103424923260529784577/273631079449728000*ep*z3+
         56376491489106562855480705525334960951293512514119933995478662\
         71592056435829861/76400829921672042499439752760759014958795360\
         8809480663859200000000*ep^2+304983942751986173077/3974880*ep^2
         *z5+4085394308103424923260529784577/182420719633152000*ep^2*z4
         -9986578094254001795757202411978495571983/
         10255583996387157160212480000*ep^2*z3+
         11398361842898269198160851894220382452421025495136931542939487\
         81961891449316116726327520157778034021955527471408368604379/
         34560903855040187611540252568519354882359850740803287731143977\
         827457705057596161095179960320000000000000000*ep^3+
         301841322324579343381/1589952*ep^3*z6+216413649608859689495610\
         561599351/638472518716032000*ep^3*z5-9986578094254001795757202\
         411978495571983/6837055997591438106808320000*ep^3*z4-
         87380504291798214758029276870021488215657431254911/12202387558\
         82709611740187718942720000*ep^3*z3+110155300372164918931/
         3974880*ep^3*z3^2;
Fill mncnoptab(18,1,1,7)=
      +mncF321*(-1028679891978123-39473654687600565509/4420*ep-
         1296966323139723610961/44200*ep^2-73146276715258371017406877/
         1378377000*ep^3)
      +3278273744043650071738642252319738218976500669264120381/64772265\
      3887944428599230256524492800000+4359354977869279/1406620800*ep^-3
         +1604004503121317668782087263/22594109131706112000*ep^-2+
         3035833460856052230219789363919791251/
         17282004518693226934702080000*ep^-1+148759846497041466741116/
         10989225*z3-11461169869378676904912521672039353857067830511713\
         08861213341350672276390381693386681338081/24368906656695372905\
         234623746805081141609810779593873817600000000000000000*ep+
         74379923248520733370558/3663075*ep*z4+261576465907606218138589\
         1286598354037/11297054565853056000*ep*z3+
         10593929885743390226139397785543527329470632736156257909473530\
         3772122246822296236525622572135948613363/521906815181210443886\
         306902564310292716602474269747335461079089152000000000000000000
         *ep^2+461750628619010192021794529/351655200*ep^2*z5+2615764659\
         076062181385891286598354037/7531369710568704000*ep^2*z4-
         26642786017248277743548932799861348507396253709/
         60487015815426294271457280000*ep^2*z3+
         26985160943934205128994161812883825605247985019385339075543364\
         58787007821301920134245949762810467072521856317687222426692459\
         964792319/7925859768689548681956315768308030797346099321061838\
         053199002242175514858638465701329672077312000000000000000000000
         *ep^3+456990313531104865086078817/140662080*ep^3*z6+6216314511\
         81910785839320374236508433/179318326442112000*ep^3*z5-
         26642786017248277743548932799861348507396253709/
         40324677210284196180971520000*ep^3*z4-212531369090169529768229\
         645839268528999922805849148373209/3238613269439722142996151282\
         62246400000*ep^3*z3+18512340776944796779183919/39072800*ep^3*
         z3^2;
Fill mncnoptab(18,2,1,6)=
      +mncF321*(-2057359783956246-39788353749906553869/2210*ep-
         3972399901198459885703/66300*ep^2-2811271009565754742658081/
         25525500*ep^3)
      +5279033797036598407863761294962619312626328411011121/52151582438\
      6428686472810190438400000-261093449134959521/703310400*ep^-3-
         50212962605248308750758437/18191714276736000*ep^-2-18689365274\
         9652134266287286186280041/125231916802124832860160000*ep^-1+
         297519892078427004819632/10989225*z3-1498535868350525650412990\
         02000747615214165891436390862762656072394510716167332212189291\
         97/16053298192816451189219119727803083756001192871932723200000\
         0000000000000*ep+148759946039213502409816/3663075*ep*z4+
         12687681238337246690357579493021371/27287571415104000*ep*z3+
         41198656955326778248033150514390298253104965178917172969802797\
         32724780657845697884134839841769431157/10314363936387558179571\
         282659373721199932855222722279356938321920000000000000000000*
         ep^2+153916889390138560504154443/58609200*ep^2*z5+126876812383\
         37246690357579493021371/18191714276736000*ep^2*z4-372118731874\
         023909607635892360673236441443721/438311708807436915010560000*
         ep^2*z3-239159506083027434228432071262658281129678573472475623\
         25283397293944150602388476907190777532623957549961567868286624\
         55766515729170906449/80789729687665058724031991411048904832039\
         21694309623561044892058217541850225799697832631651532800000000\
         00000000000000*ep^3+456990349897160849435349217/70331040*ep^3*
         z6+27736025826130036697850331893577751/3898224487872000*ep^3*
         z5-372118731874023909607635892360673236441443721/
         292207805871624610007040000*ep^3*z4-10756431772369344534179913\
         84688339951788312036165326647/78227373657964302970921528565760\
         0000*ep^3*z3+166611025317727677037135271/175827600*ep^3*z3^2;
Fill mncnoptab(18,2,2,5)=
      +mncF321*(-3428932973260410-13382163192339191943/442*ep-
         4065721372351424211083/39780*ep^2-96573924936575038172783/
         504900*ep^3)
      +610969066322067755029717501816492669988315190323/
      36214979510650500970296606720000-118506606216011041/421986240*
         ep^-3-9277623278612985531629651/1559289795148800*ep^-2-5120809\
         2034821563903540068982084789/1088973189583694198784000*ep^-1+
         297519731743695173344912/6593535*z3-17562959175175521352072116\
         360994125907986001849192466444962755426556915812808167103/
         11381488911951725458503610531528026121641106757889137049600000\
         0000*ep+148759865871847586672456/2197845*ep*z4+182083868258659\
         5516929791253933933/2338934692723200*ep*z3+
         51939245887279745195776376698623483323050782822172518207942840\
         626564709034984000104185878243/7948577821274570297706687794632\
         1097378111139302069372299016929280000000000*ep^2+
         153916881825050536840623563/35165520*ep^2*z5+18208386825865955\
         16929791253933933/1559289795148800*ep^2*z4-1053317884529125218\
         59787570818981751137381/77783799255978157056000*ep^2*z3-
         21822541851746026648719422684351815155757065608909359224586666\
         51564694045620088738199441597109006053079491080294377952247406\
         557052187323/5575251418225790604830683100337569581507365794026\
         64090650559862361494098299307103474008793354340820582400000000\
         000000*ep^3+456990329767252487748352097/42198624*ep^3*z6+
         28542390661430479087089181514623511/2338934692723200*ep^3*z5-
         105331788452912521859787570818981751137381/
         51855866170652104704000*ep^3*z4-305105541211784862834094291967\
         914698520393723895009/126752428287276753396038123520000*ep^3*
         z3+166611066654042716879844391/105496560*ep^3*z3^2;
Fill mncnoptab(18,3,1,5)=
      +mncF321*(-1353526173655425-10600508155203610875/884*ep-
         215846084042359503293/5304*ep^2-42693149837017587372359/556920
         *ep^3)
      +25258291123972465591206528971205989950178587363169/3792842359174\
      026810711346839552000+18862653823040005/56264832*ep^-3+
         12229309506380670614111/4178001364992*ep^-2+223886927549328799\
         392913918184737/130111082391818008166400*ep^-1+
         7829461888082239875580/439569*z3-25866248832224399100811794210\
         88568453357303188524224243267184120626051360121812580113/
         42608792489758967278034901334492767329848414130226809379225600\
         000000*ep+3914730944041119937790/146523*ep*z4+
         61090299792180134742055277833547/198455064837120*ep*z3+
         87630486554440389597397111690224704352873424933377385063570286\
         77986558734536206779644173592736159/34220584093589185025854418\
         755963757248289229743739069559275686933299200000000000*ep^2+
         8100887989480486621842025/4688736*ep^2*z5+
         61090299792180134742055277833547/132303376558080*ep^2*z4-
         1674994719948827779809851365164966395738681/
         3187721518599541200076800*ep^2*z3+
         40772088317241754712180143396526769096411815635080453285576890\
         50108582471445322084066641981039724728355986798038944636796815\
         33575508233/17154619748387048014863640308730983327714971673928\
         12586617107268804597225536329549150796287244125601792000000000\
         00000*ep^3+120260605940114140947537575/28132416*ep^3*z6+
         138025541946482635225699399741927/28350723548160*ep^3*z5-
         1674994719948827779809851365164966395738681/
         2125147679066360800051200*ep^3*z4-5002732478378104463020741195\
         60779719185752305966581/517205776251003656006092750848000*ep^3
         *z3+8769005271747698698404893/14066208*ep^3*z3^2;
Fill mncnoptab(18,3,2,4)=
      +mncF321*(-1804701564873900-3568241381482025325/221*ep-
         221338585677744209015/3978*ep^2-8924749965614869565045/83538*
         ep^3)
      +143236099459204392715400388497895627739754603299/
      16132127236562495886768488448000-426052732743673915/42198624*
         ep^-3-446813735825326653594751/3675093793280*ep^-2-49248977435\
         23401941670148551524533/9899756268942674534400*ep^-1+
         31318188725591745455060/1318707*z3-188083931007238877386685120\
         6900635229309850496207000117192191621367107540625998780331/
         23474320880900433758163696721276553875884782688146345164800000\
         000000*ep+15659094362795872727530/439569*ep*z4+
         61398628954948116835633880195563/148841298627840*ep*z3+
         13699491302736447471650385635208830683736795149303403525950917\
         23645730916383844709603344935421/40984854390947003097550108941\
         07181583558855620262952009168060416000000000000*ep^2+
         8100897336724199917398665/3516552*ep^2*z5+
         61398628954948116835633880195563/99227532418560*ep^2*z4-
         2094693212117958072795186580506177598367/
         3149922449209032806400*ep^2*z3+
         59722377169564208939522193543989005980847748301523549779936949\
         94973352691605210450334374415407600436433685453560880537392954\
         8113471639783831/564943710740955753106621137734143636675129818\
         01234078970677887453004172914480225861960982286091201812627456\
         000000000000000*ep^3+120260732501839328942777575/21099312*ep^3
         *z6+142292553738143006246407641538663/21263042661120*ep^3*z5-
         2094693212117958072795186580506177598367/
         2099948299472688537600*ep^3*z4-1091646103588137755318456698280\
         1127960453542656071/8066063618281247943384244224000*ep^3*z3+
         8768973012321179692423741/10549656*ep^3*z3^2;
Fill mncnoptab(18,3,3,3)=
      +mncF321*(-712382196660750-2856195265810419225/442*ep-
         60332400225777669781/2652*ep^2-1387572489388829408997/30940*
         ep^3)
      +715937569699069494296353684964590229598376054031/204340278329791\
      614565734187008000-18710327407922119079/534515904*ep^-3-
         1599487795298242371300583243/3770646231905280*ep^-2-8781900711\
         393103590892701982563025/5015876509597621764096*ep^-1+
         78300863096437694075462/8351811*z3-989705128582521321187214665\
         41279575190341565096037066136848711245568110965968754152819/
         31716415767972141611030061347858099458973217498651061911552000\
         00000000*ep+39150431548218847037731/2783937*ep*z4+
         16274016958689048058737218347309/99227532418560*ep*z3+
         28370097962536963481319470390462757957547618602852123644731854\
         56636755347715300158633791124395857/22150036861951802562942636\
         654374812469366970818843331747326050959360000000000000*ep^2+
         40504798481149504842371053/44542992*ep^2*z5+
         16274016958689048058737218347309/66151688279040*ep^2*z4-
         106341672006728906279981324967139146154249/
         438889194589791904358400*ep^2*z3-
         23434039660574119789653791070998294148342633923542126112532429\
         97746703363361935919741044066850450321063654868032774979599276\
         09181785920114127/34933717379150887148621983396120959176046674\
         73699498603017763088881417455581385947019809532666509097592422\
         40000000000000000*ep^3+601307908169527557109528835/267257952*
         ep^3*z6+741947031594478219558841184522371/269331873707520*ep^3
         *z5-106341672006728906279981324967139146154249/
         292592796393194602905600*ep^3*z4-58062669564413200865152370497\
         302822804598028635331/102170139164895807282867093504000*ep^3*
         z3+43843955615148490183266929/133628976*ep^3*z3^2;
Fill mncnoptab(18,4,1,4)=
      +mncF321*(-360940312974780-719781069576734781/221*ep-
         13305775514974370197/1170*ep^2-245175777690854642013/11050*
         ep^3)
      +156880538762409150921616550742078408560295993713/
      88342601533556525094208389120000-25398389142792127/42198624*ep^-3
         -527236719957611660481859/70876808870400*ep^-2-484815521568984\
         8148698336775701887/148496344034140118016000*ep^-1+
         6263600378714312226824/1318707*z3-1973770053992126269637780805\
         67865836915200621714386358104548841593205442878795403423521/
         12417915745996329458068595565555297000343050042029416592179200\
         000000000*ep+3131800189357156113412/439569*ep*z4+
         8810020053158239633658617072813/106315213305600*ep*z3+
         18698603291979086146827507307073200241432692088283312034858741\
         68389231324869010990908456512595069/28495012764265839239308124\
         313486901901234626475279621197455880617984000000000000*ep^2+
         1620178372348271673698453/3516552*ep^2*z5+
         8810020053158239633658617072813/70876808870400*ep^2*z4-
         19671243722075729431603716403986031085773/
         155246177853873759744000*ep^2*z3-
         97269449208189757177517326615236181544140798551970943857479155\
         06712876376875742519063923370556164498954170339609881761520609\
         59406028135521/39096450570308356616375165241117206690320402630\
         61181935687051034809977364323891063111486663397315004334080000\
         00000000000*ep^3+24052131570075502616403835/21099312*ep^3*z6+
         146058079139447655321326052674551/106315213305600*ep^3*z5-
         19671243722075729431603716403986031085773/
         103497451902582506496000*ep^3*z4-17177248024842240193002611829\
         4007759945021192391229/609563950581540023150037884928000*ep^3*
         z3+1753797652685965232706745/10549656*ep^3*z3^2;
Fill mncnoptab(18,4,2,3)=
      +mncF321*(-360940312974780-727309256822894361/221*ep-
         232255655896020483419/19890*ep^2-6932452825260918081731/298350
         *ep^3)
      +20454255830417001089889447158166202140630754453/
      11522948026116068490548920320000-554269639312198271/42198624*
         ep^-3-35239472239984140750912697/212630426611200*ep^-2-1209047\
         8579897787530362091185627703/16499593781571124224000*ep^-1+
         6263929852691085444100/1318707*z3-6732395266047612760504620165\
         9824794473321515955958315959843156625096976260998854803/
         42802180523579138476423834477541294816428093790352310272000000\
         00000*ep+3131964926345542722050/439569*ep*z4+
         2952673878341430032023427684591/35438404435200*ep*z3+
         19172045682937088219500803329334358844313011366725815653825191\
         25162180930568848694524402644217/29892087532998384025563612219\
         129301578093078028128652830399528960000000000000*ep^2+
         1620188046541404463195765/3516552*ep^2*z5+
         2952673878341430032023427684591/23625602956800*ep^2*z4-
         12111102329077827369417539456543366209/101849344330685952000*
         ep^2*z3-203608062772983168273809173923044256631533104453781368\
         06514151830333577269259746202158262480526306680639962092086521\
         7475474677157215690257619/206019358902684719081616825156610784\
         88437782537202171248566295139557077302146635072168107500340951\
         0883655680000000000000000*ep^3+24052263504013423530172475/
         21099312*ep^3*z6+150684618968049968583691870055671/
         106315213305600*ep^3*z5-12111102329077827369417539456543366209/
         67899562887123968000*ep^3*z4-339216142039714744597337950705656\
         777494952384029/1152294802611606849054892032000*ep^3*z3+
         1753770839743520565672089/10549656*ep^3*z3^2;
Fill mncnoptab(18,4,3,2)=
      +mncF321*(-94984292888100-194149172308199955/221*ep-
         12671912273368748939/3978*ep^2-388400340766818793121/59670*
         ep^3)
      +20432657894730951871942836370778357555553976069/
      43787202499241060264085897216000-20562553585636766011/801773856*
         ep^-3-244922095186831378550815273/807995621122560*ep^-2-
         2266241432791961759665911557500231/1899953223332432486400*
         ep^-1+31332454559799907656296/25055433*z3-80645585077201328378\
         61777157615657944179307558890652996315275770431142289172775613\
         2303/198227598549825885068937883424113121618582609366569136947\
         20000000000000*ep+15666227279899953828148/8351811*ep*z4+
         17400819626021138355111151853/787520098560*ep*z3+
         22623859857481793398712053010591231059215936239852515306025052\
         7084643618687111753371961634652153/138437730387198766018391479\
         08984257793354356761777082342078781849600000000000000*ep^2+
         8101297874385236092447337/66814488*ep^2*z5+
         17400819626021138355111151853/525013399040*ep^2*z4-89056434522\
         8551439246565791095421693729/31349228184985136025600*ep^2*z3-
         10477405158443606725926413496037907300592493845694219410013861\
         66164131135761016589942842441841038745277901495606409788725985\
         591550931885717392419/5514854961206378738326145186307880371525\
         57836569913471338652942230126068397174969258716006636314291827\
         79975270400000000000000000*ep^3+120266169933386545080458215/
         400886928*ep^3*z6+157131411809676132059536218664183/
         403997810561280*ep^3*z5-890564345228551439246565791095421693729
       /20899485456656757350400*ep^3*z4-2557675681517173208243506596017\
         93933992293446839/3127657321374361447434706944000*ep^3*z3+
         8767690609309302481909021/200443464*ep^3*z3^2;
Fill mncnoptab(18,4,4,1)=
      +mncF321*(-6332286192540-13201039745115145/221*ep-
         2662152662612093497/11934*ep^2-6503801432825273347/13770*ep^3)
      +10738474130365830156634648071911762889650719688917/3474514518314\
      77813195521594408960000-2360521767707344703/2405321568*ep^-3-
         206066795301545906157180313/12119934316838400*ep^-2-4661255716\
         35164320840224324372121549/4326193489527948771532800*ep^-1+
         6264780524397434292484/75166299*z3-201819702045514884125195935\
         751644124637856362256436567395316880281419439508606637592893/
         75933418073379977761000148842855075977435485499033347162112000\
         0000000000*ep+3132390262198717146242/25055433*ep*z4+
         158224544705219565722700604997/106315213305600*ep*z3+
         25379357939116187580848887903878419078011955398044613090414021\
         355040003560704350960915769929315043/2439389400033630216850228\
         4077122793767178758287744733567506766731673600000000000000*
         ep^2+1620215968133679670674613/200443464*ep^2*z5+
         158224544705219565722700604997/70876808870400*ep^2*z4-55735522\
         450474592840908248855492135253/34334868964507529932800*ep^2*z3
         -1719142261790786291570035715872915023774589781017491035298791\
         58352687286454492233987112466894212381801993151884019790621854\
         51544170892618408909/62313110410412710043442035775152227382142\
         17716982187283829984707344640171141283486661079020281761905124\
         992614400000000000000000*ep^3+24052648301029297688419835/
         1202660784*ep^3*z6+166146104500050949285256153660743/
         6059967158419200*ep^3*z5-55735522450474592840908248855492135253
       /22889912643005019955200*ep^3*z4-9184340620709142383101864090661\
         5408914249065893139/15793247810521718781614617927680000*ep^3*
         z3+1753721014009026237559769/601330392*ep^3*z3^2;
Fill mncnoptab(18,5,1,3)=
      +mncF321*(-38672176390155-317100885802857849/884*ep-
         34630744535382434087/26520*ep^2-22377296070055648393123/
         8353800*ep^3)
      +10818827698501208706724515417593381103667113771797/5689263538761\
      0402160670202593280000+2194722929097215/6251648*ep^-3+
         7878747850223253650574149/5953651945113600*ep^-2-5295265318781\
         77133723964919596955081/31877215185995412000768000*ep^-1+
         24854825441207709508/48841*z3-26875070273969373150322286157136\
         9448305644489720760583464120993447003988400059289212371/
         16248152869428086188690642375553241941782195254993156643278028\
         8000000000*ep+37282238161811564262/48841*ep*z4+
         3830269236416448316856570165057/425260853222400*ep*z3+
         43006640073471358762174703787090419357035559762760032617912925\
         70787434056697171741489001042791365771/65247247005110046115962\
         4250947042304867381313780624926263523097528238080000000000000*
         ep^2+77151135053458009127617/1562912*ep^2*z5+
         3830269236416448316856570165057/283507235481600*ep^2*z4-
         180825744800091863333895144771373407442543/
         15938607592997706000384000*ep^2*z3+
         18069779895462052214160088826795830298481194488585915925721264\
         87730672927142180283088505628458625752797362637235935059289808\
         350734561458129/2417558296135009491254116498001450462010150500\
         83010283945865957708056571320511138202062943437128657272832000\
         0000000000000*ep^3+381778903196696812116805/3125824*ep^3*z6+
         8337514059257646863896590530189/52225017062400*ep^3*z5-
         180825744800091863333895144771373407442543/
         10625738395331804000256000*ep^3*z4-640353733420537247152660400\
         82621457600662428656927/1896421179587013405355673419776000*
         ep^3*z3+27838388393388470826951/1562912*ep^3*z3^2;
Fill mncnoptab(18,5,2,2)=
      +mncF321*(-25781450926770-106848185125173723/442*ep-
         2092934014074124771/2340*ep^2-459800430769405951703/245700*
         ep^3)
      +20428749540221775771789340834191878282232594853/1613212723656249\
      58867684884480000-609872616569793929/84397248*ep^-3-
         9426125407453122909431531/110252813798400*ep^-2-21274708968552\
         986285082678020359199/62998448984180656128000*ep^-1+
         447620712679112284400/1318707*z3-50447374188966209190288853521\
         0134760415738195796871629160354413338686140764948416167/
         46369028900544066682792487350669736051130434939548336128000000\
         0000000*ep+223810356339556142200/439569*ep*z4+
         1284454549690215587261278275499/212630426611200*ep*z3+
         14627901206069368159897231166482371085942015490970102315784956\
         3190302727282480428787465582021/340874682393841221344146455130\
         42186010106141611023902350455603200000000000000*ep^2+
         231466333563396498382915/7033104*ep^2*z5+
         1284454549690215587261278275499/141753617740800*ep^2*z4-
         2409496419913159615519646753036457656707/
         346491469412993608704000*ep^2*z3+
         39937789131154494060962552750146512333461093584727812185616379\
         75881710017522682741591741471086282069868464289536244360050974\
         9298428281261160603/430008184109659160883130228951881510450337\
         49440149198544924206021842188568980504425630877710433862910549\
         6883200000000000000000*ep^3+3436185346436618492991725/42198624
         *ep^3*z6+163378331105419941428426290712311/1488412986278400*
         ep^3*z5-2409496419913159615519646753036457656707/
         230994312941995739136000*ep^3*z4-37624330813967928315400304044\
         3449622130115935213/16132127236562495886768488448000*ep^3*z3+
         250502107791357450525695/21099312*ep^3*z3^2;
Fill mncnoptab(18,5,3,1)=
      +mncF321*(-3392296174575-28529177539335165/884*ep-
         1941451044257205041/15912*ep^2-437799518681025201313/1670760*
         ep^3)
      +10724030048472428259072890715295150394852127185269/6485760434187\
      58584631640309563392000-2202030879615677869/3207095424*ep^-3-
         86653289113490474125926211/7541292463810560*ep^-2-856491784110\
         6886250538876025088911907/121133417706782565602918400*ep^-1+
         1118754139542580316996/25055433*z3-298922831729231979745738751\
         5885102934748677644612556972397490294236028319340862396488863/
         21202946738951486097879272330735686599853139412422388476805120\
         000000000000*ep+559377069771290158498/8351811*ep*z4+
         68118963107153471897393835913/85052170644480*ep*z3+
         37182907785294183458209739372018575485977291189188411939320201\
         5148007001376207524331630739616293433/681152578624775206705102\
         239999659549037376096803949098846535101815193600000000000000*
         ep^2+1157303795248112802819023/267257952*ep^2*z5+
         68118963107153471897393835913/56701447096320*ep^2*z4-849125150\
         41029083550731809528203970171/105333406701550057046016*ep^2*z3
         -9588486633893087553076378876834010269863816946722573371133418\
         84585619740623395919311444383011661152988543019178404282336832\
         33248073676712185909/82419810409238187737621510476689201156865\
         78656429476055171076938823862121100636903207184275004257548195\
         6886118400000000000000000*ep^3+17180556266394879191565985/
         1603547712*ep^3*z6+170091425790413673877735017008503/
         11311938695715840*ep^3*z5-849125150410290835507318095282039701\
         71/70222271134366704697344*ep^3*z4-451212279762063966506701846\
         12564183451005253726711/14099479204755621405035658903552000*
         ep^3*z3+1252654223238339119428219/801773856*ep^3*z3^2;
Fill mncnoptab(18,6,1,2)=
      +mncF321*(-1406260959642-30143243346841779/2210*ep-
         3511701797608224937/66300*ep^2-26909724342045674754853/
         229729500*ep^3)
      +10791034953587925276735485787414561333575774107637/1564547473159\
      286059418430571315200000-11259330146861929/46887360*ep^-3-
         537520406784215454977639131/163725428490624000*ep^-2-138340615\
         04816256520435235779979764201/876623417614873830021120000*
         ep^-1+13562363763339436624/732615*z3-2910727378860597118149936\
         154721154433069908193923618142821177047668596265695145316638843
       /507754777169627693396582574236038810680693601718536145102438400\
         00000000000*ep+6781181881669718312/244205*ep*z4+
         3922953815942415792526587707777/11694673463616000*ep*z3+
         50211334286777723940802746790980613597262616968002696329810564\
         895207691481211168220499234868044919/2330258821611073075570086\
         61052515108881207612064508902236972534831513600000000000000*
         ep^2+7014012252495382851811/3907280*ep^2*z5+
         3922953815942415792526587707777/7796448975744000*ep^2*z4-
         120103720604829989449479138798104206381903/
         438311708807436915010560000*ep^2*z3-
         45649341164305184025224197095671387522846749565037618523308400\
         78667240492387656312773490125282253213863279331375805884902481\
         83437221416419/60438957403375237281352912450036261550253762520\
         75257098646648942701414283012778455051573585928216431820800000\
         000000000000*ep^3+20825038937272717569449/4688736*ep^3*z6+
         179176898983713981311012987960951/27287571415104000*ep^3*z5-
         120103720604829989449479138798104206381903/
         292207805871624610007040000*ep^3*z4-73616266642566805637782884\
         717707803640368080480319/52151582438642868647281019043840000*
         ep^3*z3+7591232924104789840159/11721840*ep^3*z3^2;
Fill mncnoptab(18,6,2,1)=
      +mncF321*(-468753653214-10157848278025833/2210*ep-
         3606892460007816157/198900*ep^2-9390835197695951268961/
         229729500*ep^3)
      +10705872429779885886429886909600318008729131928277/4693642419477\
      858178255291713945600000-144572344275870907/421986240*ep^-3-
         234486157610101668108933859/54575142830208000*ep^-2-1704160376\
         5950156094321166603022842627/876623417614873830021120000*ep^-1
         +40714789484048936992/6593535*z3-54380918414283032730547070738\
         1831296260864134923494060426939887263013423174146809995377/
         29014558695407296765519004242059360610325348669630636862996480\
         000000000000*ep+20357394742024468496/2197845*ep*z4+
         1315933454029634025254393303659/11694673463616000*ep*z3+
         65058418050073109699642427922844198889711285182836044074325604\
         349389570822138760904324066779279027/9321035286444292302280346\
         44210060435524830448258035608947890139326054400000000000000*
         ep^2+21043809405090810569513/35165520*ep^2*z5+
         1315933454029634025254393303659/7796448975744000*ep^2*z4-
         34749144996937377437064645432264593564261/
         438311708807436915010560000*ep^2*z3-
         10413834470926703742704743237676914856895672216330387246724014\
         13416001664773568796705225004416649754319734795496134364183178\
         5910232379093981151/112785003717904888483061014336522064740974\
         23424587704075497263179443179744664029446494041639479510329109\
         8896793600000000000000000*ep^3+62479991583527648716667/
         42198624*ep^3*z6+184433865339921018446340213122551/
         81862714245312000*ep^3*z5-347491449969373774370646454322645935\
         64261/292207805871624610007040000*ep^3*z4-22578586187371127369\
         8227783321405242284230625012253/469364241947785817825529171394\
         560000*ep^3*z3+22770153387701321482717/105496560*ep^3*z3^2;
Fill mncnoptab(18,7,1,1)=
      +mncF321*(-10190296809-478635862437271/4420*ep-188891477944660559/
         397800*ep^2-1652081029066501212671/1378377000*ep^3)
      +10542171441456826214913589115919193057520440866677/2159075512959\
      81476199743418841497600000-2304051095871701/93774720*ep^-3-
         5425676537283189014103738331/22594109131706112000*ep^-2-
         113608906702851649880254173653366450281/
         120974031630852588542914560000*ep^-1+32735628802248076/244205*
         z3-15760238192388264150779241786771247719945128127146376886087\
         99158169901659/43300038827872037656438387025495113106271340905\
         62764800000000*ep+49103443203372114/244205*ep*z4+
         4121742822858878771152411864577/1613864937979008000*ep*z3+
         61171554460947286917894162438644336842228404942219313383345455\
         9666901993313343951/515196263105141806587888732783384957538810\
         050207193127662387200000000*ep^2+304983938727765744277/
         23443680*ep^2*z5+4121742822858878771152411864577/
         1075909958652672000*ep^2*z4+1557283138951390129715910596445209\
         0618417/60487015815426294271457280000*ep^2*z3+
         51440740410530777489124557938960703447343018687863610957137926\
         960959232857150137093337837208428994283306322818740461872623/
         49940506070533071098675664961510467805009984320460750771503047\
         96067638380822645278253504266240000000000000000*ep^3+
         301841318362749928981/9377472*ep^3*z6+224646920740859477193965\
         846639351/3765684855284352000*ep^3*z5+155728313895139012971591\
         05964452090618417/40324677210284196180971520000*ep^3*z4-
         87953628140289682314688903290648118839328124864191/71969183765\
         32715873324780628049920000*ep^3*z3+110155300403360426131/
         23443680*ep^3*z3^2;
Fill mncnoptab(19,1,1,6)=
      +mncF321*(-38099255258449-1513520039329508287/4420*ep-
         4251893524404773336963/3580200*ep^2-9488630501381860083388613/
         4135131000*ep^3)
      +364250934651527358604815626371530468763940617152398869/194316796\
      1663833285797690769573478400000+535243927033171679/37978761600*
         ep^-3+1380283670922531312679058189/22594109131706112000*ep^-2-
         15045643726050656410112946730085670341/
         51846013556079680804106240000*ep^-1+148759647415326916698116/
         296709075*z3-2030889836449040456337875327488654067266513072876\
         856237631727828271750405150210407/1205635456113562048496456338\
         741129555552742648341069824000000000000*ep+
         74379823707663458349058/98903025*ep*z4+29584021806195512774735\
         3772169597453/33891163697559168000*ep*z3+
         60104498758450358677858083131508237944273806248113645587195077\
         837684816696409658624983544231/8606997570500275306308916142062\
         424946882745401273920189009756160000000000000*ep^2+
         153916849839069649739168843/3164896800*ep^2*z5+295840218061955\
         127747353772169597453/22594109131706112000*ep^2*z4-24850277820\
         42231564426743648010001276569047141/
         181461047446278882814371840000*ep^2*z3-
         66648417467980057122663570774744556358374841990450240273631655\
         54576006993773619778985428472146691740216594635472987205457516\
         43/10221434490398230582213710873332311001483652309330624378646\
         249850968876717304110786954943004672000000000000000*ep^3+
         456990240799918487883166817/3797876160*ep^3*z6+693685645873872\
         263720975084115819793/4841594813937024000*ep^3*z5-248502778204\
         2231564426743648010001276569047141/
         120974031630852588542914560000*ep^3*z4-28550091319068768203346\
         899912224957469485625383774848721/9715839808319166428988453847\
         86739200000*ep^3*z3+166611150341381001512328871/9494690400*
         ep^3*z3^2;
Fill mncnoptab(19,2,1,5)=
      +mncF321*(-50130599024275-402982029682666665/884*ep-
         13562450015140800649/8424*ep^2-30956379841485263990947/9729720
         *ep^3)
      +833522404598186105824720281883855632257102544181793/337942254202\
      4057888343810034040832000+44045978055260549/1519150464*ep^-3+
         596573107913999742496183/2619606855849984*ep^-2+17315954050902\
         118350175794215267951/90166980097529879659315200*ep^-1+
         7829456120670452902796/11868363*z3-171456734304220535179640808\
         293328402724865114367594736574717124817246920271983571/
         78278939759257361989335136196525513172120102385043374080000000\
         000*ep+3914728060335226451398/3956121*ep*z4+681092421940637565\
         530498502928121/58941154256624640*ep*z3+2251225694378018052821\
         49471190164265258930620240657193370181449050679190345711518518\
         461959447/2514740159728776089495474629333021549697915178111336\
         6813106765824000000000000*ep^2+8100887516694061478834153/
         126595872*ep^2*z5+681092421940637565530498502928121/
         39294102837749760*ep^2*z4-106090837032415368910512455108647369\
         4421437/63116886068270915761520640*ep^2*z3+
         15343644631746288363398146479755415025240322881980638204171559\
         34286235831303704499604168895345060419977166578762687335256353\
         965965869/3857520313790738310220659857783422176867123260010292\
         85350407719175636942250232835126501810623679037440000000000000\
         00*ep^3+120260599771103649718064935/759575232*ep^3*z6+16443714\
         34910966622819268175112941/8420164893803520*ep^3*z5-1060908370\
         324153689105124551086473694421437/42077924045513943841013760*
         ep^3*z4-68678600070420773276866074807652728548709723315688301/
         1689711271012028944171905017020416000*ep^3*z3+
         8769007896592268658528157/379787616*ep^3*z3^2;
Fill mncnoptab(19,2,2,4)=
      +mncF321*(-52769051604500-107403902640276935/221*ep-
         62655825163020309283/35802*ep^2-20924690636502025896067/
         5907330*ep^3)
      +1125455037952484498717008725271443333869833669987/43349330474248\
      64966144503824384000-911015846636806631/7215964704*ep^-3-
         41672532486941516803122341/26663855497044480*ep^-2-24259485214\
         661553217379471249298167/3724288308376234159841280*ep^-1+
         156590101078449709425160/225498897*z3-362060823467941069696465\
         49308694383289094847799701119672412033822081522481669173/
         15913090364532190716608756875419385030748211469772390400000000\
         000*ep+78295050539224854712580/75166299*ep*z4+
         25775048709980514526365738224953/2105041223450880*ep*z3+
         20759207007886164765875935996077363050907427489432345737886238\
         52746302529805583540662583/22680300266147644159148492029264161\
         5200013563069572084400128000000000000*ep^2+
         40504462714549481128560205/601330392*ep^2*z5+
         25775048709980514526365738224953/1403360815633920*ep^2*z4-
         151621524295757273968251909655065124264309/
         9310720770940585399603200*ep^2*z3-
         68322421536460076658826300974394632383038439856052569976126897\
         26741077508614404214234532503149554928131026237899065529595905\
         274051249/1226911590020752623695046557212664806226664244478001\
         97564778455138348983439343755943971207675131828633600000000000\
         0000*ep^3+601303336675104228551396675/3607982352*ep^3*z6+
         8535126950612394222394416260156449/39995783245566720*ep^3*z5-
         151621524295757273968251909655065124264309/
         6207147180627056933068800*ep^3*z4-9741277089081216894499759907\
         9170826086123722185671/2167466523712432483072251912192000*ep^3
         *z3+43844939278535892339910865/1803991176*ep^3*z3^2;
Fill mncnoptab(19,3,1,4)=
      +mncF321*(-20052239609710-82024549548984889/442*ep-
         241002620760195394199/358020*ep^2-51668665227663710852107/
         37592100*ep^3)
      +3988136018301623607058584109524498060914198211121/40423714617512\
      654166791986053120000-19250605525658111/759575232*ep^-3-
         2882875872774724841819173/8930477917670400*ep^-2-3946765827772\
         889530489355340290741/2927499353815905183744000*ep^-1+
         3131796818764028985614/11868363*z3-122728676872015236115102030\
         533985074409115155776722999864482664758693030086462282907/
         14266336771124654222556328571816774775618888659674154926080000\
         0000000*ep+1565898409382014492807/3956121*ep*z4+
         62487250513797942393384033939931/13395716876505600*ep*z3+
         12123826022882261273935100169202871823569022188060284947995444\
         60600434898446279817256853569919/35254722623889957100811557784\
         3033213409573108623685469360669851648000000000000*ep^2+
         1620178192954006633687861/63297936*ep^2*z5+
         62487250513797942393384033939931/8930477917670400*ep^2*z4-
         429015106103056790798566067104708083652787/
         71723734168489677001728000*ep^2*z3-
         85780721810396268431483332284376675338270818764804699962208092\
         82704095530131346858063921110130514823042194438788105295507485\
         539679900177/1128758662819092413799442832635651621728531104919\
         76181759596178727281064764196255468453511061121282342912000000\
         000000000*ep^3+24052129148808977186468795/379787616*ep^3*z6+
         157381288315975919610810028940791/1913673839500800*ep^3*z5-
         429015106103056790798566067104708083652787/
         47815822778993118001152000*ep^3*z4-133575890032040842055329552\
         1422278926362891745299547/76805057773274042916904773500928000*
         ep^3*z3+1753798384211381202237785/189893808*ep^3*z3^2;
Fill mncnoptab(19,3,2,3)=
      +mncF321*(-15830715481350-65634634924448205/442*ep-
         13119549979140612557/23868*ep^2-2882973091061657326981/2506140
         *ep^3)
      +143188423505515979498634139949472565956269217907/183906250496812\
      4531091607683072000-1455939554649037051/4810643136*ep^-3-
         45949236962625706105008293/11311938695715840*ep^-2-22412826139\
         789728035358430711246213/1128572214659464896921600*ep^-1+
         15659352844863124821358/75166299*z3-14426455879626726544252400\
         547195133185754359524850319276368734353784544268668587/
         21554238800636194833078527831255886602494931937892761600000000\
         000*ep+7829676422431562410679/25055433*ep*z4+
         3312220940880636371788656484249/893047791767040*ep*z3+
         77575319722386907881829383078163109801215143113059455513202511\
         4203935083665664205147788329/295038786039984050122446042682315\
         184407152458459451638326021324800000000000*ep^2+
         8100913860714698694128777/400886928*ep^2*z5+
         3312220940880636371788656484249/595365194511360*ep^2*z4-
         3366696496326367294154739881980284592577/
         790000550261625427845120*ep^2*z3-
         70898272754353300105534088418517688872561794830531346170159274\
         74634723278829410427360881378475585373401642174698784254304663\
         0540563353481/443185167669444983438975920916318904546480436864\
         22253168744011522323915874747673182219771712355159517429760000\
         00000000000*ep^3+120260959683131430426223015/2405321568*ep^3*
         z6+163532388257733067277957090849911/2423986863367680*ep^3*z5-
         3366696496326367294154739881980284592577/
         526667033507750285230080*ep^3*z4-13203579981132188759009662685\
         972999165880826439767/919531252484062265545803841536000*ep^3*
         z3+8768939763339014484929341/1202660784*ep^3*z3^2;
Fill mncnoptab(19,3,3,2)=
      +mncF321*(-3166143096270-13377215589639825/442*ep-
         211514640316279465/1836*ep^2-48069061506881106737/192780*ep^3)
      +142979323022660842170567467760064437091952372611/919531252484062\
      2655458038415360000-4075697052375355583/4810643136*ep^-3-
         573501525839899180217163397/56559693478579200*ep^-2-6581122918\
         549228870950354774570023/161224602094209270988800*ep^-1+
         3133263149628999635006/75166299*z3-706463896500981697507009399\
         2103987642302665962635395248290311617608631840709021/
         54008064267503192735156993031726397680115141958015385600000000\
         000*ep+1566631574814499817503/25055433*ep*z4+
         3346466860627256282011507528297/4465238958835200*ep*z3+
         38674199061267714569828497544875097460203788783110655455319083\
         17944448592757846657886231/76975564539652610479534275978108669\
         40121672443573355591761920000000000000*ep^2+
         1620259989110400588424309/400886928*ep^2*z5+
         3346466860627256282011507528297/2976825972556800*ep^2*z4-
         2841466964445851426279877127034664031793/
         3950002751308127139225600*ep^2*z3-
         13313507561877027928488760478688081184753194452717091709434826\
         59744298914610598350797370278306069548590036761909032770693791\
         0604872993930151/142742136403943142350644934892175633991898086\
         84263494626420496642955765097919795317294892552116026988549898\
         240000000000000000*ep^3+24053238784685688855564155/2405321568*
         ep^3*z6+172320410453474429324199700109383/12119934316838400*
         ep^3*z5-2841466964445851426279877127034664031793/
         2633335167538751426150400*ep^3*z4-1394677015501556085883815362\
         7414953471734569814567/4597656262420311327729019207680000*ep^3
         *z3+1753531121562112406028185/1202660784*ep^3*z3^2;
Fill mncnoptab(19,4,1,3)=
      +mncF321*(-2864605658530-12033483736669087/442*ep-
         36777439814326974257/358020*ep^2-8265297416860691126401/
         37592100*ep^3)
      +10820533594749228923811445476985419233605150481797/7680505777327\
      40429169047735009280000+21743419346799799/759575232*ep^-3+
         1693567775535121124816141/8930477917670400*ep^-2-6425669462280\
         3193377971685820500467/143447468336979354003456000*ep^-1+
         447386173105579966346/11868363*z3-8969582296756992843879991100\
         378966594760285202402441141786002177510147935692589369/
         75147782168887067509761730748664492645235298289641639116800000\
         000000*ep+223693086552789983173/3956121*ep*z4+
         1293218387126942195470160560459/1913673839500800*ep*z3+
         37034990947547000828752165582217769345403485479150218850596848\
         3082581054622089594526245735787/804716851113208348638551881386\
         566895903332856995627738019416506368000000000000*ep^2+
         231453368116505639104099/63297936*ep^2*z5+
         1293218387126942195470160560459/1275782559667200*ep^2*z4-
         49419084363409098621531566121221637728501/
         71723734168489677001728000*ep^2*z3+
         20418111756025761523450275216919627536006370026839681710677471\
         71787502521667732094165870689835845667395310152642685230385965\
         16620362193/86390870890730016264907586923259045720561488667489\
         77225876025637879905628605784246046739125215430705152000000000\
         000000*ep^3+3436009627899138189253805/379787616*ep^3*z6+
         169592973718265383585079263999351/13395716876505600*ep^3*z5-
         49419084363409098621531566121221637728501/
         47815822778993118001152000*ep^3*z4-208070342611530709803175053\
         120375716981702719995149/76805057773274042916904773500928000*
         ep^3*z3+250545619363499769286175/189893808*ep^3*z3^2;
Fill mncnoptab(19,4,2,2)=
      +mncF321*(-1507687188700-3211262150964945/221*ep-
         2003638175070298943/35802*ep^2-461586589351274785969/3759210*
         ep^3)
      +20423474566365838094210044165391979733820680597/2758593757452186\
      796637411524608000-2888605726338883309/7215964704*ep^-3-
         5433410823722543485924157/1131193869571584*ep^-2-2302823299784\
         10140709039790818616741/11850008253924381417676800*ep^-1+
         4476126295403756077964/225498897*z3-33329389704437249351525024\
         43706361619319800393426139527830825424569461536789449/
         54008064267503192735156993031726397680115141958015385600000000\
         000*ep+2238063147701878038982/75166299*ep*z4+
         68594255507127046202072034217/191367383950080*ep*z3+
         88340362534354309745509120849237314120560048804898492658607688\
         471172984571845064701898579/3771802662442977913497179522927324\
         80065961949735094423996334080000000000000*ep^2+
         1157329085804851941870383/601330392*ep^2*z5+
         68594255507127046202072034217/127578255966720*ep^2*z4-
         1865496480953580859251755534455553446579/
         5925004126962190708838400*ep^2*z3+
         44265751652638655564426680466411334050394208000961978176037414\
         10676894180969341276673730436931012464184378860358537454546849\
         0650390552667/577903386250781952836619169603949935189870796933\
         74472171742901388484878938946539746133168227190392666193920000\
         000000000000*ep^3+17180891235256628884937185/3607982352*ep^3*
         z6+176173846469521579128489978954487/25451862065360640*ep^3*z5
         -1865496480953580859251755534455553446579/
         3950002751308127139225600*ep^3*z4-2038699541342788375391338661\
         325743275718784412561/1379296878726093398318705762304000*ep^3*
         z3+1252515749405039211562459/1803991176*ep^3*z3^2;
Fill mncnoptab(19,4,3,1)=
      +mncF321*(-150768718870-654684830669485/442*ep-419984761335645187/
         71604*ep^2-100013386364462106359/7518420*ep^3)
      +10685804865598902599219656898742116477713092012277/1459296097692\
      2068154211906965176320000-757981582609580681/14431929408*ep^-3-
         137038375109477992483085971/169679080435737600*ep^-2-506345002\
         585724760912878259647033627/109020075936104309042626560*ep^-1+
         447582191283919646042/225498897*z3-103737395323297377223672924\
         320573030007150942653908059071283103206348786181526025327/
         17204494724318260695499334423136394836845522588592170965401600\
         000000000*ep+223791095641959823021/75166299*ep*z4+
         3647803171888756857315902467/100719675763200*ep*z3+
         61716411344221816152356551732006070969016010738498570128585661\
         792995574647602878718088271558259/2763504075562574091816342671\
         674050762435635554275976809745521825546240000000000000*ep^2+
         231465882458968136884003/1202660784*ep^2*z5+
         3647803171888756857315902467/67146450508800*ep^2*z4-1228183119\
         66506989399009124893498832359/4955457997095650411028480*ep^2*
         z3-13595679717832151196611902800944737783843644416774126934469\
         03819269863305097836711933804685473544322381476095168411057701\
         93827989020242547283/23669241527344753786143305567575305127383\
         82821826964927144635079704665048964155150795080365005421202465\
         001308160000000000000000*ep^3+3436181661581808481576685/
         7215964704*ep^3*z6+185324029261081712452830730600903/
         254518620653606400*ep^3*z5-12281831196650698939900912489349883\
         2359/3303638664730433607352320*ep^3*z4-11239192871557767547934\
         80762977599698911730371910129/72964804884610340771059534825881\
         60000*ep^3*z3+250520334432195180362207/3607982352*ep^3*z3^2;
Fill mncnoptab(19,5,1,2)=
      +mncF321*(-130209348115-1142346521058897/884*ep-
         3713142220405517077/716040*ep^2-9858431923279179469921/
         827026200*ep^3)
      +29892487858821657678324295446814391011458878797/4680640639922517\
      8508917036482560000-30782517283685563/1519150464*ep^-3-
         18435046061563348948082273/65490171396249600*ep^-2-43539982057\
         36181405103402972571577027/3155844303413545788076032000*ep^-1+
         20343157608281688548/11868363*z3-13202344871052407524810929919\
         235800408739190186043995626146785855838769620087519/
         25618562103029682105600590027953804310875669871468740608000000\
         00000*ep+10171578804140844274/3956121*ep*z4+
         1323888579498892340147967308779/42100824469017600*ep*z3+
         76842311776266115669857308912463629965262507672131921074896518\
         16289381426791131387849830071/41150293522834517828107766661813\
         0799041477029145491456941747077120000000000000*ep^2+
         21041987488915136350889/126595872*ep^2*z5+
         1323888579498892340147967308779/28067216312678400*ep^2*z4-
         29063889800022372305404358798540623771301/
         1577922151706772894038016000*ep^2*z3-
         75946280011144835015426215034980234208163638113483720317392638\
         66328387632974141082513202206598805617292689724966045591035371\
         813913936461/2928945037528329585526724836199356396673809107266\
         54244925012755575167027760742696569095979319093608054784000000\
         0000000000*ep^3+312374907116401975095655/759575232*ep^3*z6+
         190210144588660684778739266122231/294705771283123200*ep^3*z5-
         29063889800022372305404358798540623771301/
         1051948101137848596025344000*ep^3*z4-2317883751832140315516991\
         54903430148679886637182429/16897112710120289441719050170204160\
         00*ep^3*z3+22773802312211997791581/379787616*ep^3*z3^2;
Fill mncnoptab(19,5,2,1)=
      +mncF321*(-34265617925-304887330861575/884*ep-11895952062944351/
         8424*ep^2-32351725708664106863/9729720*ep^3)
      +10672313063253288464103463139567854421641084438741/6420902829845\
      7099878532390646775808000-888622005104166311/28863858816*ep^-3-
         288676344436751094953873507/746587953917245440*ep^-2-211107051\
         04062435837152976866286318851/11992208352971473994688921600*
         ep^-1+101807631426971235604/225498897*z3-275805200056257212814\
         08590115716876177983256191387599996652293573825689343222932835\
         21/20817438616425095441554194651995037752583082332196526868135\
         93600000000000*ep+50903815713485617802/75166299*ep*z4+
         70256448054936045009497540809/8420164893803520*ep*z3+
         15876405147420620348925022520384276458078593516709589619698843\
         12939818007380672693989103002988849/33438399314307146510977746\
         3272560142254711902067393193979208140891095040000000000000*
         ep^2+105221694276796773344077/2405321568*ep^2*z5+
         70256448054936045009497540809/5613443262535680*ep^2*z4-
         21967441112465895172605137602510377104741/
         5996104176485736997344460800*ep^2*z3-
         68759704004510416435911613791160521693946482842398937011735642\
         58918291095685948192542162856052120708095320747449492639454041\
         613456986662153/7933457686450734648541107960323024710286546300\
         30644753973686550261120418073858097634916133422869710521510133\
         760000000000000000*ep^3+1562036193123636202464515/14431929408*
         ep^3*z6+197182689030378416011376491834999/1119881930875868160*
         ep^3*z5-21967441112465895172605137602510377104741/
         3997402784323824664896307200*ep^3*z4-1183356869713483148990639\
         133830597926167024845197969/3210451414922854993926619532338790\
         4000*ep^3*z3+113845500031014080028881/7215964704*ep^3*z3^2;
Fill mncnoptab(19,6,1,1)=
      +mncF321*(-1132255201-54293888712679/4420*ep-198364103833637579/
         3580200*ep^2-597960168705544563467/4135131000*ep^3)
      +10514317111937168627579984657870197396779673686997/1943167961663\
      833285797690769573478400000-20735408054327549/7595752320*ep^-3-
         613485168091202505754351459/22594109131706112000*ep^-2-
         39459589064748456986108598289293231107/
         362922094892557765628743680000*ep^-1+883862043398730412/
         59341815*z3-11003397765038807739312755447868307798980468576787\
         6303851752243234033722327/280584251604610804013720747925208332\
         9286382890684671590400000000*ep+441931021699365206/19780605*ep
         *z4+1389933862401778707529400692459/4841594813937024000*ep*z3+
         92219701805109623276096616999220078739274679526781687196600179\
         8852774911347610799143/751156151607296754005141772398175268091\
         5850532020875801317605376000000000*ep^2+914951861411063496511/
         632979360*ep^2*z5+1389933862401778707529400692459/
         3227729875958016000*ep^2*z4+1656014479911810271764149803534982\
         3823259/181461047446278882814371840000*ep^2*z3+
         16022267266296213928089051271936945640146882486424208921939321\
         84829845387958605583941382519572798342680280125603/
         93801970964919543504947664651276958723514490563117714063180808\
         27960995644183532273664000000000000000*ep^3+
         2716571998844431116349/759575232*ep^3*z6+235533125396323183553\
         989165125751/33891163697559168000*ep^3*z5+16560144799118102717\
         641498035349823823259/120974031630852588542914560000*ep^3*z4-
         264047171595449747336922838091912360793126779273501/1943167961\
         66383328579769076957347840000*ep^3*z3+991397702578435317419/
         1898938080*ep^3*z3^2;
Fill mncnoptab(20,1,1,5)=
      +mncF321*(-694329626375-109609922575155695/16796*ep-
         65866518932393047495/2720952*ep^2-2896769065912876482799/
         57139992*ep^3)
      +8714258823427941124891700599448385867225140047726489/25508495787\
      65977513356241337512820736000-81500207918087783/548413317504*
         ep^-3-2101352813658863732754959/29659903260166932480*ep^-2+
         14785282223617251514389422592158863/
         2722387039090147602950160384*ep^-1+39147261738495848260444/
         4284479043*z3-824195152305362063063758258331131502909882991104\
         4895271798392845432828525189037/281363652303512500691536638891\
         667244964551173204768456704000000000*ep+
         19573630869247924130222/1428159681*ep*z4+381298622025802236715\
         630105784299/2341571310013178880*ep*z3+20721648725334179700085\
         11870468006967183558970232909507543364361729463305557431111362\
         938469/1807782471534894187972374532238275145207081361373024109\
         5171036938240000000000*ep^2+40504424606959863877279117/
         45701109792*ep^2*z5+381298622025802236715630105784299/
         1561047540008785920*ep^2*z4-4387510475778443195116620959563031\
         3615162153/238208865920387915258139033600*ep^2*z3+
         72962691714717373783161852906259453710936796576932481158107906\
         24933411954047888371034268700391110573592155106579625080137653/
         13362687354024488385487546635479875606176762721801275393225313\
         955366236806331103758920637583720448000000000000*ep^3+
         601302807226238622437515715/274206658752*ep^3*z6+1891168346080\
         1437440193305209178181/6355693555750056960*ep^3*z5-43875104757\
         784431951166209595630313615162153/
         158805910613591943505426022400*ep^3*z4-81460657633459274130005\
         2057541221613698294310078654341/127542478938298875667812066875\
         6410368000*ep^3*z3+43845039785875090609357841/137103329376*
         ep^3*z3^2;
Fill mncnoptab(20,2,1,4)=
      +mncF321*(-555463701100-22291733313285975/4199*ep-
         13732135092675154385/680238*ep^2-6846378597087845375719/
         157134978*ep^3)
      +833550105764547962511264247607204884818838775950049/304992884417\
      671224423028855572185088000-231470152949863291/137103329376*ep^-3
         -16660507984107465814419773/1182097593702305280*ep^-2-17830006\
         4761529490310577214674315281/8137569953802071639253196800*
         ep^-1+31318131984100679843396/4284479043*z3-712263662447970934\
         6976371519562785479062265133666797817233348526255422819887429/
         30965293256228957277193570312805770165935659007590006784000000\
         0000*ep+15659065992050339921698/1428159681*ep*z4+
         36796628174850840506685438889811/279970482718967040*ep*z3+
         87499450341124127147562041965680102921703628661952521147152726\
         40179889781342286878882067801/99477160458102193767501587711481\
         173071857058608162332113373233152000000000000*ep^2+
         8100895602724627103918537/11425277448*ep^2*z5+
         36796628174850840506685438889811/186646988479311360*ep^2*z4-
         3610820035791049403631632201675679505426513/
         28481494838307250737386188800*ep^2*z3-
         20621273256883407571341292564080173094794362267148582103998483\
         60343049813213148297876504398294369533214410913257702317552666\
         98143283/18846055670148941862840810235203233592518579979096552\
         34358892057967424444993656724021890955945202155520000000000000\
         00*ep^3+120260708761505379365042215/68551664688*ep^3*z6+
         1894364597301024428959086768814109/759919881665767680*ep^3*z5-
         3610820035791049403631632201675679505426513/
         18987663225538167158257459200*ep^3*z4-816984429215458953018855\
         04495618813097082351141211757/15249644220883561221151442778609\
         2544000*ep^3*z3+8768974195700137003744381/34275832344*ep^3*
         z3^2;
Fill mncnoptab(20,2,2,3)=
      +mncF321*(-333278220660-13613955942869205/4199*ep-
         2868738979632068131/226746*ep^2-7377107916850922703589/
         261891630*ep^3)
      +1575259515527076852906954261861810956192466359921/96091015884584\
      5067495365014405120000-62894245784603903/45701109792*ep^-3-
         134832935382117059118104167/5910487968511526400*ep^-2-18002144\
         033228851346485178624193163/117935796431914081728307200*ep^-1+
         6263578385269030406968/1428159681*z3-1101132394310763029447425\
         0712103946259099008304671866982208567886602503082047/
         814407318319492588863478466351429806287450553335152640000000000
         *ep+3131789192634515203484/476053227*ep*z4+
         37145963213706508010666065930787/466617471198278400*ep*z3+
         71663302593269759556574480614479615364729074473311081321569912\
         860914211783728415265593/1421909733857471832469174820151174031\
         994697826382300407922688000000000000*ep^2+
         1620178181421660093964501/3808425816*ep^2*z5+
         37145963213706508010666065930787/311078314132185600*ep^2*z4-
         5172886525734872681184727573354330227887/
         82555057502339857209815040*ep^2*z3-
         67428388619386353589872918284991111646618931410058532520789586\
         47085094625736331723295930000565926494423300530977959849948092\
         9385073/567578180089334099925182443447146335700093364405425306\
         012048610464781441242844868866266460391888388096000000000000000
         *ep^3+24052129585914140193188795/22850554896*ep^3*z6+198635184\
         9033954089758425206279693/1266533136109612800*ep^3*z5-
         5172886525734872681184727573354330227887/
         55036705001559904806543360*ep^3*z4-161169265078959528133229215\
         352208577100928618008957/480455079422922533747682507202560000*
         ep^3*z3+1753802590868921232927737/11425277448*ep^3*z3^2;
Fill mncnoptab(20,3,1,3)=
      +mncF321*(-119027935950-9800178931427115/8398*ep-
         2088028021837337195/453492*ep^2-98884836803317871363/9523332*
         ep^3)
      +10822474923335757763744559847467416696132250102917/1848441723743\
      4619662001748822556672000+96886186869538451/91402219584*ep^-3+
         2128098292567021912138381/214926835218600960*ep^-2+38902764355\
         04163398208034351488071/313845673149391192698470400*ep^-1+
         2236937325912072923722/1428159681*z3-1354611374111251135959124\
         4566349539352317601348016782977829247429991814035093459/
         28311125262837903796291264285993847008855459664082291916800000\
         00000*ep+1118468662956036461861/476053227*ep*z4+
         484426259235799675682625690847/16967908043573760*ep*z3+
         80129887663539148072897652739296585161938582459115775153475924\
         54717892464406367433756061097/45475273352275288579429297239534\
         2505471346553637313518232563351552000000000000*ep^2+
         1157267095980722282661743/7616851632*ep^2*z5+
         484426259235799675682625690847/11311938695715840*ep^2*z4-
         34951882608751948557215495879061796737269/
         1726151202321651559841587200*ep^2*z3+
         86871905629272361117849775232737160520197909640758410073390037\
         60382034901252073516666737093260716245610394639213565085178834\
         41643029/26287831498874421470218976328078356600846429509303908\
         91003172511626356148914228866327970974446640955392000000000000\
         000*ep^3+17180051453637868406028385/45701109792*ep^3*z6+
         26328063588380138375483187959953/46055750403985920*ep^3*z5-
         34951882608751948557215495879061796737269/
         1150767468214434373227724800*ep^3*z4-3221594717196215482291398\
         0418091071018864804607051/264063103391923138028596411750809600
         *ep^3*z3+1252726537028758814275099/22850554896*ep^3*z3^2;
Fill mncnoptab(20,3,2,2)=
      +mncF321*(-47611174380-1996339599783375/4199*ep-
         436663445437932823/226746*ep^2-106682517012604099577/23808330*
         ep^3)
      +2916727358943521777299303418321277519032655379/12479352712283702\
      175264480706560000-529063482515523593/45701109792*ep^-3-
         76118283489596182493947571/537317088046502400*ep^-2-4444969607\
         3858060064748611632188721/75050052274854415645286400*ep^-1+
         895201564293824138956/1428159681*z3-16593579209238786548378450\
         713457533775840702021712862312266895269009671993/
         8884443472576282787601583269288325159499460581838028800000000*
         ep+447600782146912069478/476053227*ep*z4+
         489404577800373651954136023631/42419770108934400*ep*z3+
         65056201691778643265528606677443936020546331725784667721564087\
         9507319798972368998151/969483909448276249410801013739436839996\
         38488162429573267456000000000000*ep^2+231465053245182843019747/
         3808425816*ep^2*z5+489404577800373651954136023631/
         28279846739289600*ep^2*z4-2933945494202983752836437984245656323
       /487338001784768932761600*ep^2*z3-
         98266829561777203079324290792129788336844526446515302174188873\
         82100691506892047085897229846561279630932593399249435965230479\
         105814747/6308631471692948520668402858915031521306537745366302\
         27632392030531604571941422071744855170725583943368704000000000\
         000000*ep^3+3436167736105989679737965/22850554896*ep^3*z6+
         193220916791293091746505960408263/805975632069753600*ep^3*z5-
         2933945494202983752836437984245656323/324892001189845955174400
         *ep^3*z4-2202623227751708146544335269455625371793047947201/
         43677734492992957613425682472960000*ep^3*z3+
         250504615539835854000287/11425277448*ep^3*z3^2;
Fill mncnoptab(20,3,3,1)=
      +mncF321*(-3400798170-292835298013665/8398*ep-465300601347032803/
         3174444*ep^2-118730139739853741987/333316620*ep^3)
      +965448082439146324989458609289825158648693100287/588140548463828\
      80742732837162680320000-1393821649109326217/639815537088*ep^-3-
         234845229743788620277937171/7522439232651033600*ep^-2-81191676\
         2635233667985249012840472347/4833223366500624367556444160*
         ep^-1+447733888756187087714/9997117767*z3-16379736034419145255\
         3982291014558851351971200144583236336218550276311824753153/
         12740006368277056708331068928697231153984956848837031362560000\
         00000*ep+223866944378093543857/3332372589*ep*z4+
         496686712679727305698235420431/593876781525081600*ep*z3+
         46605061602238878154638331947214235509004465435104244261776403\
         58865800509829738067690507/10440751534961163194256726407035924\
         870515609649836279755339464704000000000000*ep^2+
         231475786225554042432931/53317961424*ep^2*z5+
         496686712679727305698235420431/395917854350054400*ep^2*z4-
         2517977231395142895766087032097287578017/
         12083058416251560918891110400*ep^2*z3-
         15197949278497619664931566928699326982091616112882434915781364\
         75054801267878614707806954938176111126671656024125163217676171\
         95030169/13567182070833403266880770339700650879297544731074160\
         61483484147293143771590710474992365604681670836879360000000000\
         00000*ep^3+490902583183259381353835/45701109792*ep^3*z6+
         29481765828088604021875837871809/1611951264139507200*ep^3*z5-
         2517977231395142895766087032097287578017/
         8055372277501040612594073600*ep^3*z4-1206176775846423144271013\
         115420717931441124784553969/3234773016551058440850306043947417\
         60000*ep^3*z3+250502197992472127858783/159953884272*ep^3*z3^2;
Fill mncnoptab(20,4,1,2)=
      +mncF321*(-7213814300-309628500534815/4199*ep-209766153926620195/
         680238*ep^2-116862618782759110385/157134978*ep^3)
      +10791011649290729543092376903096642452439655629557/3049928844176\
      71224423028855572185088000-142556342712196391/137103329376*ep^-3-
         51690836830467745788877763/3546292781106915840*ep^-2-165320713\
         160481954466443443536302107/2278519587064580058990895104*ep^-1
         +406858722901012445416/4284479043*z3-8170111776100940116049544\
         399604409471986118705412050593515648671373520851264199/
         29726681525979798986105827500293539359298232647286406512640000\
         000000*ep+203429361450506222708/1428159681*ep*z4+
         14161477550116181151669034421/7999156649113344*ep*z3+
         22621055265933030112433356218855381699238614957906492348085102\
         81359193775124829808585687533/23874518509944526504200381050755\
         48153724569406595895970720957595648000000000000*ep^2+
         105209787854336634737677/11425277448*ep^2*z5+
         14161477550116181151669034421/5332771099408896*ep^2*z4-
         14389755297503433334478677044125860876229/
         28481494838307250737386188800*ep^2*z3-
         35187890490402657720887151846299381443509897296468156973658136\
         90711749346541269943150639625021292798049959191014508765391306\
         916039163/7689190713420768280039050575962919305747580631471393\
         35618427959650709173557411943400931510025642479452160000000000\
         00000*ep^3+1561872468899009023248515/68551664688*ep^3*z6+
         40956154857215330039132599551563/1063887834332074752*ep^3*z5-
         14389755297503433334478677044125860876229/
         18987663225538167158257459200*ep^3*z4-121335644766266740076858\
         4603212032223479560941864113/152496442208835612211514427786092\
         544000*ep^3*z3+113869200970344822943121/34275832344*ep^3*z3^2;
Fill mncnoptab(20,4,2,1)=
      +mncF321*(-1442762860-63084652693755/4199*ep-43855988679977963/
         680238*ep^2-125941266207882466157/785674890*ep^3)
      +10621829767056190635202258984866328320323302260517/1524964422088\
      356122115144277860925440000-227971586856797179/137103329376*ep^-3
         -123573778558224213564481057/5910487968511526400*ep^-2-
         5449052551093557119234408204540271799/
         56962989676614501474772377600*ep^-1+81471450458360035544/
         4284479043*z3-242196707635066572130449888855069580386578972312\
         83714172710647687056141513159/45500022743846631101182389031061\
         5398356605601744179691520000000000*ep+40735725229180017772/
         1428159681*ep*z4+71591733457704877968659711833/
         199978916227833600*ep*z3+2640979241957651758432014489772022390\
         7457547891042666396255138291065795498851001704415187/
         14617052148945628471959416969850294818721853509770791657475250\
         5856000000000000*ep^2+21045147025855052251433/11425277448*ep^2
         *z5+71591733457704877968659711833/133319277485222400*ep^2*z4-
         184252623940756238350561020436910667389/
         5696298967661450147477237760*ep^2*z3-
         11800774712639996413099511998782117013951943842999945034736064\
         80264541127258061160234685426505895048539947713403603641117663\
         75137217/27134364141666806533761540679401301758595089462148321\
         22966968294586287543181420949984731209363341673758720000000000\
         00000*ep^3+312418347369491382349735/68551664688*ep^3*z6+
         214243550793976697936221568225863/26597195858301868800*ep^3*z5
         -184252623940756238350561020436910667389/
         3797532645107633431651491840*ep^3*z4-1231480751550899862894024\
         794309851704232457174726689/7624822110441780610575721389304627\
         20000*ep^3*z3+22767458532246888965341/34275832344*ep^3*z3^2;
Fill mncnoptab(20,5,1,1)=
      +mncF321*(-78411025-14676031388865/16796*ep-11115804716134385/
         2720952*ep^2-6988703955604365217/628539912*ep^3)
      +10479438256107027604685735006164987076283180791317/2805934536642\
      5752646918654712641028096000-103702150816040689/548413317504*
         ep^-3-41803060809341068857776941/21750595724122417152*ep^-2-
         41479484220907191855543750318328504643/
         5240595050248534135679058739200*ep^-1+4419308647584626876/
         4284479043*z3-538100677965689582936167670473193207695121028661\
         57811491976173045581766199/20671615271278469438561875510408205\
         752497637215044213145600000000*ep+2209654323792313438/
         1428159681*ep*z4+74272629496606936550185720777/
         3679612058592138240*ep*z3+850738945246870353737749959842498460\
         70262291607158936167722204466045962321281910347/
         11068055948172821559014537952479235582900498130855249650104716\
         492800000000*ep^2+4574758227301908155963/45701109792*ep^2*z5+
         74272629496606936550185720777/2453074705728092160*ep^2*z4+
         31819544974624855670261673621448155872731/
         2620297525124267067839529369600*ep^2*z3+
         32122579735351984269120074456392659804169902502856043740430961\
         55742907645592531531429145772287289833734736192047/
         77400026327625040469225387289396530512431385356081130918418906\
         946146729772577260589547520000000000000*ep^3+
         67914284025915082039285/274206658752*ep^3*z6+24997159087095070\
         8753210067691767/489388403792754385920*ep^3*z5+318195449746248\
         55670261673621448155872731/1746865016749511378559686246400*
         ep^3*z4-1303229658441094822647920932901703143713492094651857/
         14029672683212876323459327356320514048000*ep^3*z3+
         4956988538002720990039/137103329376*ep^3*z3^2;
Fill mncnoptab(21,1,1,4)=
      +mncF321*(-5554637011-929674392764579/16796*ep-
         3037784272290281671/13604760*ep^2-623638827947014964173/
         1208730600*ep^3)
      +19168295690728093900336403183441415363650084389016887/7014836341\
      60643816172966367816025702400000+33749316422313293/548413317504*
         ep^-3+2311983978912768856035339359/8156473396545906432000*
         ep^-2-888346796091128578005108889671816479/
         748656435749790590811294105600*ep^-1+1565825967066366771736/
         21422395215*z3-17815402637831580116988300861743106040575249782\
         669476734846974844601288223687/8139448513065897341433738482223\
         2310150459446534236589260800000000*ep+782912983533183385868/
         7140798405*ep*z4+865483608597535226010863489619301/
         643932110253624192000*ep*z3+2052257606864661856805064565359321\
         3472580030229871458593994867144314502767167017339233339/
         26148282177558290933171845912732194064602426834145527298372392\
         714240000000000*ep^2+1620168441284249727626773/228505548960*
         ep^2*z5+865483608597535226010863489619301/
         429288073502416128000*ep^2*z4-96313186803319398520640546025549\
         53126957947/13101487625621335339197646848000*ep^2*z3-
         72758948850090631151444650775474019416308462334058093342285465\
         6825860573475636665701823713733552485192691935376536965983923/
         77239911555721988218308092872064278665000968176834662132078877\
         346957634980144234187223687325810688000000000000*ep^3+
         4810398892906625446184767/274206658752*ep^3*z6+486182108760178\
         60118479485950877739/1747815727831265664000*ep^3*z5-9631318680\
         331939852064054602554953126957947/
         8734325083747556892798431232000*ep^3*z4-2077504874071127889368\
         098027974968147362028201473367179/3507418170803219080864831839\
         08012851200000*ep^3*z3+350765719294190249652901/137103329376*
         ep^3*z3^2;
Fill mncnoptab(21,2,1,3)=
      +mncF321*(-2380558719-408198149068479/16796*ep-35388370012671421/
         348840*ep^2-1278380810075750641987/5237832600*ep^3)
      +119050955456542228919375901235659130892934085350167/101664294805\
      89040814100961852406169600000+7380488606145803/182804439168*ep^-3
         +42781734551914597739760319/118209759370230528000*ep^-2+
         257293796515908918529125166303789219/
         379753264510763343165149184000*ep^-1+223690262122908359368/
         7140798405*z3-536471468861354363129386868258798875412728253983\
         9145563329445297956110345927/589815109642456329089401339291538\
         47935115540966838108160000000000*ep+111845131061454179684/
         2380266135*ep*z4+778147628885670942870298471763/
         1333192774852224000*ep*z3+118697982741117726272706547250055172\
         6839418146793007765110195003529677333022429860399219/
         37896061126896073816191081032945208789278879469776126519380279\
         29600000000000*ep^2+231453196808886411268099/76168516320*ep^2*
         z5+778147628885670942870298471763/888795183234816000*ep^2*z4-
         33222611145280431058352971735635809375579/
         189876632255381671582574592000*ep^2*z3+
         28583971471675329677425097123001707273083027976061965529594749\
         35596026139027853845428572053357675481066306532139328734510820\
         37/15898548461886109241601749116166564025212699283065134622186\
         2355872487798667463548702035423078960332800000000000000*ep^3+
         687201502038726166304521/91402219584*ep^3*z6+22454387422679942\
         97339126668126093/177314639055345792000*ep^3*z5-33222611145280\
         431058352971735635809375579/126584421503587781055049728000*
         ep^3*z4-13348081704191770401872984567314875139772422311695339/
         5083214740294520407050480926203084800000*ep^3*z3+
         50109384555554278191859/45701109792*ep^3*z3^2;
Fill mncnoptab(21,2,2,2)=
      +mncF321*(-680159634-59796479790729/8398*ep-488427830794951273/
         15872220*ep^2-108743290037205849379/1410185700*ep^3)
      +224476224115362822874708203199440524018915504423/672637111192091\
      54724675551008358400000-86862024484020469/639815537088*ep^-3-
         240735659815062775860293227/137911385931935616000*ep^-2-
         453425067110012644313909947032721963/
         57788540251637900046870528000*ep^-1+447573565638367481336/
         49985588835*z3-36466457004085048644086331636708011576834691246\
         9500020452150177782587079/145429878271337962297049726134183893\
         97990188452413440000000000*ep+223786782819183740668/
         16661862945*ep*z4+5524486547374695077320463795141/
         32663222983879488000*ep*z3+42074529350673319187522358438448650\
         79235827022209882806350908344971218370178552811/
         50782490494909708302470529291113358285524922370796443140096000\
         000000000*ep^2+231463359055426682048899/266589807120*ep^2*z5+
         5524486547374695077320463795141/21775481989252992000*ep^2*z4-
         7725498808842506184808114941909875557/
         1155770805032758000937410560*ep^2*z3-
         72605767854268308037292815842133524484066753554078203691218843\
         520721086899209476361608749152799450302743350493740093010724571
       /257448085888496655332755596483379019726455641799634282234265746\
         725335355796744951023182361235816448000000000000000*ep^3+
         98175557159438023777903/45701109792*ep^3*z6+340796786607219188\
         292931745479499/88657319527672896000*ep^3*z5-77254988088425061\
         84808114941909875557/770513870021838667291607040*ep^3*z4-
         25776629249440382295840357306212018891056720290491/33631855559\
         604577362337775504179200000*ep^3*z3+50101727331744692378227/
         159953884272*ep^3*z3^2;
Fill mncnoptab(21,3,1,2)=
      +mncF321*(-216414429-38618409563349/16796*ep-45952398235523543/
         4534920*ep^2-135914685158837034167/5237832600*ep^3)
      +10787757358760706124440191950192213313899680497797/1016642948058\
      9040814100961852406169600000-4792988084155007/182804439168*ep^-3-
         46553694167872486721619971/118209759370230528000*ep^-2-
         800853435997400817396852363716423191/
         379753264510763343165149184000*ep^-1+20341960713702290888/
         7140798405*z3-276651400711100944965649796426575680720664930217\
         9305614258837389161741710869/353889065785473797453640803574923\
         087610693245801028648960000000000*ep+10170980356851145444/
         2380266135*ep*z4+506340808750361369133732234031/
         9332349423965568000*ep*z3+284865682588419257761707018562958101\
         358460687507521475673252609622578163885861836023557/
         11368818338068822144857324309883562636783663840932837955814083\
         788800000000000*ep^2+21041840485574622927209/76168516320*ep^2*
         z5+506340808750361369133732234031/6221566282643712000*ep^2*z4+
         1158949338871162155592613861498135692271/
         189876632255381671582574592000*ep^2*z3-
         45500149464846829775315669851256398794569802004368924052236374\
         01806484773539374147167045193697016696718986751371064116209419\
         157/8238338748431892970648179087468128631246580537588297031496\
         503895210731385495838432741835559546126336000000000000000*ep^3
         +62474578713885395473211/91402219584*ep^3*z6+22449363119936129\
         6252403448347463/177314639055345792000*ep^3*z5+115894933887116\
         2155592613861498135692271/126584421503587781055049728000*ep^3*
         z4-1254941073616482548429184041610438462462058552818049/
         5083214740294520407050480926203084800000*ep^3*z3+
         4554841623655041062969/45701109792*ep^3*z3^2;
Fill mncnoptab(21,3,2,1)=
      +mncF321*(-30916347-5658828213555/16796*ep-48779186908975583/
         31744440*ep^2-150143009989451591027/36664828200*ep^3)
      +10540658494793635770088530005859561390227361641797/7116500636412\
      3285698706732966843187200000-61710734524251263/1279631074176*
         ep^-3-55876022548429797876026219/91940923954623744000*ep^-2-
         7429765466511671120889410870382921943/
         2658272851575343402156044288000*ep^-1+20377592117131237928/
         49985588835*z3-60246716964291290146931222103046687061550795911\
         6922392955369071997877896895771/566222505256758075925825285719\
         876940177109193281645838336000000000000*ep+
         10188796058565618964/16661862945*ep*z4+
         514173944799260953745337565231/65326445967758976000*ep*z3+
         43221355045493934309427934213053841364489936493712178700228727\
         68805289126949285039995407/12992935243507225308408370639866928\
         72775275867535181480664466718720000000000000*ep^2+
         21046412096768920365929/533179614240*ep^2*z5+
         514173944799260953745337565231/43550963978505984000*ep^2*z4+
         4011408252204088750666955035976109482927/
         1329136425787671701078022144000*ep^2*z3-
         35961433140295144113411914545180722081164265570639632495894583\
         93002101866671573707528457629461633048703105234600945746222380\
         11/42272525356385223406241385405084275192402279143310212173276\
         521444813082327908675340016415699128811520000000000000000*ep^3
         +8926736191794080212013/91402219584*ep^3*z6+
         34001537955800701766778090547009/177314639055345792000*ep^3*z5
         +4011408252204088750666955035976109482927/
         886090950525114467385348096000*ep^3*z4-12515751387114461151663\
         30748804811638803074152515649/35582503182061642849353366483421\
         593600000*ep^3*z3+4553018220789941164601/319907768544*ep^3*
         z3^2;
Fill mncnoptab(21,4,1,1)=
      +mncF321*(-3136441-608113120769/16796*ep-141862087584953/800280*
         ep^2-7994033191344831469/15713497800*ep^3)
      +10436208569377741900917785257510890422863379398597/7014836341606\
      43816172966367816025702400000-4141611099406297/548413317504*ep^-3
         -642867772787162671272731971/8156473396545906432000*ep^-2-
         351724487762344839569865706916729071/
         1048119010049706827135811747840*ep^-1+883863752933561416/
         21422395215*z3-81028497932047699928279140055997393792791431610\
         9802147601436941885403761537/826864610851138777542475020416328\
         2300999054886017685258240000000000*ep+441931876466780708/
         7140798405*ep*z4+75789973621955721013515604633/
         91990301464803456000*ep*z3+11732031610452950891180060866831282\
         46805355612512756337770564184093507934817179038799/
         44272223792691286236058151809916942331601992523420998600418865\
         97120000000000*ep^2+914953037571027227263/228505548960*ep^2*z5
         +75789973621955721013515604633/61326867643202304000*ep^2*z4+
         10569912170272802959300710261005084031023/
         13101487625621335339197646848000*ep^2*z3-
         28565202467420943862748774892330250661942368884371000395277800\
         9746922976405578467880031405104977879211487173367/
         43000014626458355816236326271886961395795214086711739399121614\
         9700815165403207003275264000000000000000*ep^3+
         2716575472619207716477/274206658752*ep^3*z6+269566859176245164\
         000370765598663/12234710094818859648000*ep^3*z5+10569912170272\
         802959300710261005084031023/8734325083747556892798431232000*
         ep^3*z4-1247196607249710057583890557414624228926957832941249/
         350741817080321908086483183908012851200000*ep^3*z3+
         198279535045175604271/137103329376*ep^3*z3^2;
Fill mncnoptab(22,1,1,3)=
      +mncF321*(-16194277-20534570170675/117572*ep-522959163402264913/
         666633240*ep^2-1577804093701324555447/769961392200*ep^3)
      +2740924451636869763112066329193324795017068595877841/34372698073\
      871546992475352022985259417600000-10780279337812213/
         26872252557696*ep^-3-504401740770484325772320663/
         399667196430749415168000*ep^-2+1278149259084082967933540263610\
         4823781/1283945787310890863241369391104000*ep^-1+
         223684548493993647208/1049697365535*z3-75553733315492767279639\
         492240793839698970989276142641676824311283906128683/
         13188921201727148469915779948046902107713336243973521408000000\
         0000*ep+111842274246996823604/349899121845*ep*z4+1291536339728\
         71346951304371387443/31552673402427585408000*ep*z3+
         53563590124160555394333159483042255834340391090061702386346343\
         2869587222164101881277/302642154832850589504303772138104097969\
         935495765573232620050841600000000000*ep^2+
         231449280164061120073219/11196771899040*ep^2*z5+12915363397287\
         1346951304371387443/21035115601618390272000*ep^2*z4+6966154096\
         14224930068954842846520125461651/64197289365544543162068469555\
         2000*ep^2*z3+2658412492157610453561421599787350062456468731170\
         23258994571740605466858733901554710278544054217709195649414233\
         7791/455899311273864511049091935163517639633945821245991734266\
         469379798221815636072111463517388800000000000000*ep^3+
         98169990705767937644143/1919446611264*ep^3*z6+8397318202270699\
         957310440947609277/85642970663732017536000*ep^3*z5+69661540961\
         4224930068954842846520125461651/427981929103630287747123130368\
         000*ep^3*z4-32236391157276243472211808524101965099677792555304\
         8797/17186349036935773496237676011492629708800000*ep^3*z3+
         50109404067612636479731/6718063139424*ep^3*z3^2;
Fill mncnoptab(22,2,1,2)=
      +mncF321*(-2944414-1938271582753/58786*ep-234759508478083/1508220
         *ep^2-886236136180402361/2058720300*ep^3)
      +10799512524814062117063127777411105119153993732997/7472325668232\
      94499836420696151853465600000-8498555935716479/13436126278848*
         ep^-3-59281267698573087444419971/8688417313711943808000*ep^-2-
         706852913674564482389218130577410839/
         27911864941541105722638465024000*ep^-1+40697084584763067976/
         1049697365535*z3-937349044600238097978663065382993510793356808\
         22788567376522802172968857/95571892766138757028375217014832623\
         9689372191592284160000000000*ep+20348542292381533988/
         349899121845*ep*z4+521638347095771685364521574831/
         685927682661469248000*ep*z3+3058927792106116575250351093651851\
         986912454954212295956165123946379133528237488691/
         10965295464958354692184919280366090506157083179912073645654016\
         000000000000*ep^2+21042641478262355026409/5598385949520*ep^2*
         z5+521638347095771685364521574831/457285121774312832000*ep^2*
         z4+1407794181123746047121704610911430623843/
         2791186494154110572263846502400*ep^2*z3-
         19464679675180076923959292973826678024947474625219516033775562\
         2291764158316358222571016076141156472284558406845942919/
         44152857211414486885297925459858067055852796383715069046893936\
         673936482362145679490651521024000000000000000*ep^3+
         8925253011632979427373/959723305632*ep^3*z6+
         36086395780218733098396246777409/1861803710081130816000*ep^3*
         z5+1407794181123746047121704610911430623843/
         1860790996102740381509231001600*ep^3*z4-1252078374427787149457\
         151794344920335423879402437249/3736162834116472499182103480759\
         26732800000*ep^3*z3+4554271326391580570297/3359031569712*ep^3*
         z3^2;
Fill mncnoptab(22,2,2,1)=
      +mncF321*(-267674-183048022203/58786*ep-56624693964488843/
         3666482820*ep^2-17393358767282620687/384980696100*ep^3)
      +10457164398832216934229091200318076218794884920997/8219558235056\
      239498200627657670388121600000-100177724245055999/147797389067328
         *ep^-3-262145371446378631881626657/31857530150277127296000*
         ep^-2-10981265947112663081380091741920748599/30703051435695216\
         2949023115264000*ep^-1+40809752101997157976/11546671020885*z3-
         23230446935008076618440702371954660838960809854442784990636915\
         79947934011/28384852151543210837427439453405289318774354090290\
         8395520000000000*ep+20404876050998578988/3848890340295*ep*z4+
         534073467953646374300386750831/7545204509276161728000*ep*z3+
         21644425297357736352207929194671315595225755157448367440250981\
         5258729589397709744831/977007825927789403073676307880618664098\
         5961113301657618277728256000000000000*ep^2+
         1913606539212523840219/5598385949520*ep^2*z5+
         534073467953646374300386750831/5030136339517441152000*ep^2*z4+
         2340578162100809999644238053604333468419/
         30703051435695216294902311526400*ep^2*z3-
         54818182730703032128999611830854380299138058420151808194675331\
         357575007173634016467250271341703481135069865434344861/
         13739330273434272683719177981332304395615370168814865603415819\
         11794847009975003791209097330688000000000000000*ep^3+
         8928008537197333171373/10556956361952*ep^3*z6+
         39157458206920759578078770601409/20479840810892438976000*ep^3*
         z5+2340578162100809999644238053604333468419/
         20468700957130144196601541017600*ep^3*z4-107261339376332130521\
         849628137406865220874128905859/3736162834116472499182103480759\
         26732800000*ep^3*z3+4551371586405167191097/36949347266832*ep^3
         *z3^2;
Fill mncnoptab(22,3,1,1)=
      +mncF321*(-64009-91173683623/117572*ep-2690802785003041/666633240
         *ep^2-9555019611481531729/769961392200*ep^3)
      +10403042504807123484437550285680222589633959134597/3437269807387\
      1546992475352022985259417600000-4203277130218969/26872252557696*
         ep^-3-669383927421878621953779971/399667196430749415168000*
         ep^-2-9387221887649132414635815926707666711/128394578731089086\
         3241369391104000*ep^-1+883844482298932456/1049697365535*z3-
         32403241643198990740238970515834338477218050166833010377684057\
         02010629921/17805043622331650434386302929863317845413003929364\
         25390080000000000*ep+441922241149466228/349899121845*ep*z4+
         545703982090485501861678666031/31552673402427585408000*ep*z3+
         19245638307396112694333026146921451780734894124627212241052158\
         11333102700819488911/45396323224927588425645565820715614695490\
         3243648359848930076262400000000000*ep^2+914939779374402502783/
         11196771899040*ep^2*z5+545703982090485501861678666031/
         21035115601618390272000*ep^2*z4+167019671898168988683454314162\
         63257966831/641972893655445431620684695552000*ep^2*z3+
         69781332664998425009535894253442714956479901102179002969576866\
         0559416144024820532294177949894544800625424699353/
         89237677413026517246871622992480705767273832528187656823588857\
         420263288443677312209125376000000000000000*ep^3+
         388076616384234524251/1919446611264*ep^3*z6+
         42508111966806576989339876246209/85642970663732017536000*ep^3*
         z5+16701967189816898868345431416263257966831/42798192910363028\
         7747123130368000*ep^3*z4-1102840519187805277443181135848270814\
         093771317214849/17186349036935773496237676011492629708800000*
         ep^3*z3+198279596711206416943/6718063139424*ep^3*z3^2;
Fill mncnoptab(23,1,1,2)=
      +mncF321*(-12167-190543942635/1293292*ep-61815964022194883/
         80662622040*ep^2-19936917981601354207/8469575314200*ep^3)
      +241564328745193206977253062887941773234276479875731/415909646693\
      8457186089517594781216389529600000+70084867960505857/
         3251542559481216*ep^-3+1791978221355753211275490889/
         16119910256040226411776000*ep^-2-55873857284446312394110660539\
         198912689/155357440264617794452205696323584000*ep^-1+
         20201700827715086528/127013381229735*z3-2662818305400738756474\
         9741775043553729113569206341446797704037345523/760106817467318\
         70373219086920518745000443610230947840000000000*ep+
         10100850413857543264/42337793743245*ep*z4+
         12529510226585442507925837480313/3817873481693737834368000*ep*
         z3+13669480460477810181867502159883000321455368793546642808748\
         8126150265798478037/174419394598645982558016863038745026741170\
         338875716169157836800000000000*ep^2+1911199546763843413339/
         123164490889440*ep^2*z5+12529510226585442507925837480313/
         2545248987795825222912000*ep^2*z4+3835056381385204955456983438\
         16414243882521/77678720132308897226102848161792000*ep^2*z3-
         89407165536317068792507332077105598026707691945999501852507894\
         732505955762856947834321891174425616127157707/
         25294126250857856362491956630521741997526596521595140823012714\
         68828324502371805901619200000000000000*ep^3+
         8917590088102849981613/232253039962944*ep^3*z6+975784554237804\
         122757470366501207/10362799450311574121856000*ep^3*z5+
         383505638138520495545698343816414243882521/5178581342153926481\
         7401898774528000*ep^3*z4-2088061938175279733255812647947344503\
         25828319850287/17186349036935773496237676011492629708800000*
         ep^3*z3+4566558950510947681721/812885639870304*ep^3*z3^2;
Fill mncnoptab(23,2,1,1)=
      +mncF321*(-529-8910472573/1293292*ep-3157235191656541/80662622040
         *ep^2-86233476454797953/651505793400*ep^3)
      +10260383641376375828268626495906640068377034415397/4159096466938\
      457186089517594781216389529600000-3173174115507289/
         3251542559481216*ep^-3-568778916203655457269839971/
         48359730768120679235328000*ep^-2-94482999411927846843322381763\
         80292791/155357440264617794452205696323584000*ep^-1+
         884166389491029856/127013381229735*z3-555341740223962891076657\
         313957933759872718893561221357225563031692673/4378215268611755\
         7334974194066218797120255519493025955840000000000*ep+
         442083194745514928/42337793743245*ep*z4+
         569815598325499916916569154031/3817873481693737834368000*ep*z3
         +2359657090340965757948282433076882428436227230619746763284541\
         42476842664190943/11162841254313342883713079234479681711434901\
         688045834826101555200000000000*ep^2+83196477411142319453/
         123164490889440*ep^2*z5+569815598325499916916569154031/
         2545248987795825222912000*ep^2*z4+2673494785316523459773725174\
         8869530595471/77678720132308897226102848161792000*ep^2*z3-
         10199197199293383015016148927352136299767619893254669888958640\
         761919440834532459706697473313236483441459776299/
         58763314105992971901341313644028111008653789038969831160023138\
         763819634839101794706417254400000000000000*ep^3+
         388170061443426226651/232253039962944*ep^3*z6+
         48877819321622609277349425158209/10362799450311574121856000*
         ep^3*z5+26734947853165234597737251748869530595471/517858134215\
         39264817401898774528000*ep^3*z4-597879153319016161036543345119\
         0162634046166657769/171863490369357734962376760114926297088000\
         00*ep^3*z3+198278566608191705263/812885639870304*ep^3*z3^2;
Fill mncnoptab(24,1,1,1)=
      +mncF321*(-1-444316699/29745716*ep-7964656853269/80662622040*ep^2
         -3299783159846801/8469575314200*ep^3)
      +16570486329283419861854511575562587426267541725797/2200162031010\
      443851441354807639263470061158400000-50862464987898457/
         1720066013965563264*ep^-3-4567230095496734722258071971/
         25582297576335839315488512000*ep^-2+39858913651236794525612256\
         9657211189/16436817179996562653043362671035187200*ep^-1+
         869263486093407616/67190078670529815*z3-1624441406791528173984\
         05352515425626943968699431105308502059/11780171087115574051005\
         731537388989093330469671534592000000*ep+434631743046703808/
         22396692890176605*ep*z4+617180932526396768527727240431/
         2019655071815987314380672000*ep*z3-194628463619043997235214763\
         316593101750657702405050913809474083418417/9010533177996457497\
         381925834716417885359288014184946629345280000000*ep^2+
         82264368544091037533/65154015680513760*ep^2*z5+
         617180932526396768527727240431/1346436714543991542920448000*
         ep^2*z4+48232755489281697654350594878767342496463/410920429499\
         91406632608406677587968000*ep^2*z3+381337339262431594843674082\
         260633652480847574742319633874043852640131727788151837/
         50656679814118153933683573278969588814536190514876235449304111\
         3510707200000000*ep^3+383843961485716456411/122861858140397376
         *ep^3*z6+61769066006455286197744150991809/
         5481920909214822710461824000*ep^3*z5+4823275548928169765435059\
         4878767342496463/27394695299994271088405604451725312000*ep^3*
         z4+35684947709551772424347985641722898628103560911/75137013558\
         173753549667195124624802611200000*ep^3*z3+
         198326255899064096431/430016503491390816*ep^3*z3^2;
*--#] 27 :
#case 26
*--#[ 26 :
Fill mncnoptab(7,6,6,7)=
      +mncF321*(74928910913451803400192+2895789549960127649804976/5*ep+
         7812789908068630895712162/5*ep^2+219512674146060879881259767/
         100*ep^3)
      -43209872361773913177809605781908450500115069/
      117300652385716800000-218752960460057396842/25*ep^-3-
         1939940028891494520651213341/21879000*ep^-2-474137577070156369\
         2633849382514923/19147625640000*ep^-1-
         24645811079110907681689904/25*z3+32715207285939378528795815239\
         9095012821050242881590277921263327624289379949062311/
         86567820776518967772218928354033244569600000000000000000*ep-
         36968716618666361522534856/25*ep*z4-
         43552121209810272619557734485028/2734875*ep*z3-
         16604949811547483329171755507309133583003053498888732909042218\
         672628552908471375386504029/9091283283693400780264214080597888\
         11810373632000000000000000000*ep^2-
         2391059304077648509812024168/25*ep^2*z5-
         21776060604905136309778867242514/911625*ep^2*z4+66963339424290\
         63180843578911668395437/140791365000*ep^2*z3+
         75764693835652712459178261460905564326377458876644848479333496\
         091078794491596820579226172149760863298065750535033/
         26646068802776351679637255505001272038469455672185515483898839\
         04000000000000000000000000*ep^3-1183206746499268801065167132/5
         *ep^3*z6-98096566700332579047555326730143/607750*ep^3*z5+
         6696333942429063180843578911668395437/93860910000*ep^3*z4+
         219539953834553161729217155175214153642800563/
         29325163096429200000*ep^3*z3-862824765032277160325212952/25*
         ep^3*z3^2;
Fill mncnoptab(7,7,6,6)=
      +mncF321*(68684835003997486450176+2656372564591088798302848/5*ep+
         7176290309420006192202708/5*ep^2+100997455348074923589787283/
         50*ep^3)
      -9927834664257146826423035654132542836767/29403572623425000-
         668253783351014165228/75*ep^-3-3959280882804786657584809/43875
         *ep^-2-25770470909526389563876313078647/102393720000*ep^-1-
         67774513366664748659705536/75*z3+10478499276848470644658883185\
         4964204765203714143725804447646980139509394766887/302568315600\
         70940467728820507508736000000000000000000*ep-
         33887256683332374329852768/25*ep*z4-
         1281365967367308885540195898747/87750*ep*z3-
         63230196117416333361864451523942831930497412961008011895198963\
         1555130200990476883533059/378128241151834851229052279050417212\
         28001280000000000000000000*ep^2-2191799160618645266033141104/
         25*ep^2*z5-1281365967367308885540195898747/58500*ep^2*z4+
         2228021348096587667503263980418510959/51196860000*ep^2*z3+
         15571825193361789193092060983328869109976419241811775409327771\
         407703238775641775416011747419426865623733568080388617/
         55364609623546419601024075327058198568819869007763237727656476\
         6720000000000000000000000000*ep^3-3253811484244635524719858888/
         15*ep^3*z6-4341907433032019255203754316473/29250*ep^3*z5+
         2228021348096587667503263980418510959/34131240000*ep^3*z4+
         3343809667064780907146009256957779744439971/470457161974800000
         *ep^3*z3-2372784242522670380141336368/75*ep^3*z3^2;
Fill mncnoptab(7,7,7,5)=
      +mncF321*(52467582294720302149440+406311949196358034603774*ep+
         4400105780236595002566377/4*ep^2+6707501633425607956144791973/
         4320*ep^3)
      -635460397283439976373876409669387410601983/2463484775431680000-
         3269363087714990313509/540*ep^-3-311267061579902188340904247/
         5054400*ep^-2-7758918707219240631031222391279/44680896000*
         ep^-1-93192189234245916194431282/135*z3+3145331404664936514984\
         522096507947104832605656009558071738370541029468656071/
         1190268745668906418399910624923484160000000000000000*ep-
         46596094617122958097215641/45*ep*z4-
         7051582932936691803079859862121/631800*ep*z3-
         12270886298191267039444679451040784075576476290549424472009265\
         046642500159847825215313/9625082502046705304012239830374256312\
         58214400000000000000000*ep^2-3013731763897299182319766723/45*
         ep^2*z5-7051582932936691803079859862121/421200*ep^2*z4+
         370205073873224334170277116545407359/11170224000*ep^2*z3+
         20939198357420672095866788751670103634272369348960133574724648\
         589482450103720482366142181013089396793939175310739767/
         63946124115196114639182807002752219346986948703966539575443230\
         5561600000000000000000000000*ep^3-8948003102457651630764868887/
         54*ep^3*z6-48018300018897583220911861864453/421200*ep^3*z5+
         370205073873224334170277116545407359/7446816000*ep^3*z4+
         3536021652276424824544855770222947014790231/615871193857920000
         *ep^3*z3-3262553765161826392774742071/135*ep^3*z3^2;
Fill mncnoptab(8,5,5,8)=
      +mncF321*(38229036180332552755200+296091782919966776062320*ep+
         801796282913121879122314*ep^2+95076717326964415371243203/84*
         ep^3)
      -43230827675708638694545991025070120713052781/
      229909278676004928000-5962589286630176510/3*ep^-3-
         376153401792230783223185041/18378360*ep^-2-4467567002783469085\
         37964441705223/7505869250880*ep^-1-1509090674931424125095824/3
         *z3+3732917890894620857600773652676180646859545654170060208990\
         944886245715240726469491/1939927151721272388463578038461648988\
         641689600000000000000*ep-754545337465712062547912*ep*z4-
         18684677741460806206528787578792/2297295*ep*z3-
         13246563443585826659051293663632887107983911030352944934393674\
         34662420034592237200960448967/14261071827243265445297393631576\
         8125227571529908224000000000000000*ep^2-
         48797708220636706202952296*ep^2*z5-
         9342338870730403103264393789396/765765*ep^2*z4+246699153376972\
         939262155600818652697/10220410200*ep^2*z3+
         43749032581799124743247681259030427499718476888332807459858184\
         0759590068273384056756476919901960538635899990327719/
         19904021260811650785762815701002505740024717399218753721683901\
         677568000000000000000000000*ep^3-362210084967446736209402660/3
         *ep^3*z6-127311973764934757337273101916041/1531530*ep^3*z5+
         246699153376972939262155600818652697/6813606800*ep^3*z4+
         242727185107141258673947010711100106267219219/
         57477319669001232000*ep^3*z3-52824207927308342800497736/3*ep^3
         *z3^2;
Fill mncnoptab(8,6,4,8)=
      +mncF321*(25698407654556882685440+199396332202069659681024*ep+
         541725536389787318745132*ep^2+483945710600744966610028487/630*
         ep^3)
      -1950871087166627870836012213814989126991511443/
      15433372859883058080000-55764368890612257172/45*ep^-3-
         161002110425163856529264881/12530700*ep^-2-1865615187680221907\
         97989345848397/4910864868000*ep^-1-15216760181560385343857984/
         45*z3+49720310555160240913755884259649555598902887911214264104\
         0535353800002928113909421069/384883150147080376807032117192806\
         416907658854400000000000000*ep-7608380090780192671928992/15*ep
         *z4-17142395120382694527547658635676/3132675*ep*z3-
         95626245575647572579948017969156207471727983917663366895715013\
         423544123392296135808703991937/1535964579833198013302976558232\
         0014750233346569561702400000000000000*ep^2-
         492043897826262006191128976/15*ep^2*z5-
         8571197560191347263773829317838/1044225*ep^2*z4+58317848171731\
         1712159247517137199773/36109300500*ep^2*z3+
         75282321299512986370751943652033514640836193167525069063815802\
         6244214154663425491185120722899299017691294426620375063741609/
         66529221233161168162271525913533686239924365044978309761828808\
         945842385846272000000000000000000000*ep^3-
         730457466648612816614764472/9*ep^3*z6-
         58827204242584636626068639502109/1044225*ep^3*z5+5831784817173\
         11712159247517137199773/24072867000*ep^3*z4+118421779816731578\
         51135563660814231367354937271/3858343214970764520000*ep^3*z3-
         532643042035852672797608912/45*ep^3*z3^2;
Fill mncnoptab(8,6,5,7)=
      +mncF321*(49060596431426776035840+379866252603223265783904*ep+
         1028100399896887035545904*ep^2+21756231702043763694590576/15*
         ep^3)
      -771790370221289811787992663256057233238739/3199108701428640000-
         63697610135548536224/15*ep^-3-25871712466292079309102971/
         596700*ep^-2-42972763781680656665358797143757/348138648000*
         ep^-1-9682772228137822397798368/15*z3+148219638106353820868902\
         211746531617997600769170918549864866528626072742665699203/
         59985378841103042314891095808956369469440000000000000000*ep-
         4841386114068911198899184/5*ep*z4-
         3113536698205683967011765208427/298350*ep*z3-
         52591689613757379583831427984615133758316981592922097923184466\
         917934849189659824326362539/4409731548312698035033207678285965\
         529609509273600000000000000000*ep^2-
         313116643671858553520453152/5*ep^2*z5-
         3113536698205683967011765208427/198900*ep^2*z4+317446807764366\
         099618860829453477287/10239372000*ep^2*z3+
         26586186430911223243539509313922378667657932083804923190369691\
         65687942899093171083206401179410721920550693375654597/
         27345687985262047569337811285540585437111509700314418378444086\
         9578342400000000000000000000*ep^3-464833579393718919081780544/
         3*ep^3*z6-10593928256718910450836257941543/99450*ep^3*z5+
         317446807764366099618860829453477287/6826248000*ep^3*z4+
         8532555562096745109849980628719043277920361/
         1599554350714320000*ep^3*z3-338961489622450566495256864/15*
         ep^3*z3^2;
Fill mncnoptab(8,6,6,6)=
      +mncF321*(53966656074569453639424+2089796538983518039546872/5*ep+
         5658720876224830256973669/5*ep^2+319551926089520915728448643/
         200*ep^3)
      -10802387156803725752978844988922889113293261/
      40715928927273600000-486041832107454181097/75*ep^-3-
         785436905853064175016551267/11934000*ep^-2-
         45504099253501533782955063637231/246158640000*ep^-1-
         53252261630979434612776264/75*z3+50433738158008653337949247303\
         3920408123787537752770325118393173079042094102337/185483546200\
         071250200652739050576281600000000000000000*ep-
         26626130815489717306388132/25*ep*z4-
         17125946400432153638793179857061/1491750*ep*z3-
         25538902023200631240868966454862195492114302546063153321856193\
         015811587125061364146363/1947933363509452263907239013290028063\
         260672000000000000000000*ep^2-1722130954940368316800205596/25*
         ep^2*z5-17125946400432153638793179857061/994500*ep^2*z4+
         123373023710578433893171238450482703/3619980000*ep^2*z3+
         15426828632406697421688157002522688131618011990137613961606478\
         0179590129216220044194626669701230219291450715404236247/
         42630749410130743092788538001834812897991299135977693050295487\
         03744000000000000000000000000*ep^3-
         2556570301595062757893920262/15*ep^3*z6-1166641009927570287498\
         38221462073/994500*ep^3*z5+123373023710578433893171238450482703
       /2413320000*ep^3*z4+60377095296659190568522071859152514091525197/
         10178982231818400000*ep^3*z3-1864321035699430333088780332/75*
         ep^3*z3^2;
Fill mncnoptab(8,7,3,8)=
      +mncF321*(7603079187738722688000+59316744718901791395120*ep+
         162768029004159718000290*ep^2+294784561123269942476616029/1260
         *ep^3)
      -176570169807770539864149971281550591096131769/
      4720796404199523648000-32657182658868061954/117*ep^-3-
         2273796336018018685052729/766584*ep^-2-
         41857266847637014469098009598333/4506440702400*ep^-1-
         11705425373273122620831152/117*z3+4471488282733824196097886845\
         2258427397141517914192751799519741564008179054900019735142029/
         11748408733016630223770718529547270433615016498298880000000000\
         0000*ep-5852712686636561310415576/39*ep*z4-
         155544796711146409801684179356/95823*ep*z3-
         29957806855422922373276518330045866779479373194329248411245279\
         4532017395746453746967963626658812177/164096528693117872341897\
         505171964683515212984704873915219968000000000000000*ep^2-
         378496104591579166902857048/39*ep^2*z5-
         77772398355573204900842089678/31941*ep^2*z4+265286575484033795\
         8112091310721909659/563305087800*ep^2*z3+
         66223917735573688243800384619179623963701333866769083647105958\
         04177158939094965822360945788339942861471709527947531417955336\
         6253049/312459884371967860308069544919093063278432563098233080\
         43691688076713045186135629758464000000000000000000000*ep^3-
         2809457221003660945219349980/117*ep^3*z6-
         1091157690545358028857465796265/63882*ep^3*z5+2652865754840337\
         958112091310721909659/375536725200*ep^3*z4+1316373938862015858\
         134111049681110871504987419/1180199101049880912000*ep^3*z3-
         409722939485525720509929848/117*ep^3*z3^2;
Fill mncnoptab(8,7,4,7)=
      +mncF321*(23062673536140792153600+179236318054124497566400*ep+
         488414194719155809991348*ep^2+37554817130404606750408097/54*
         ep^3)
      -8825761689800915556021480702610230888649447/77815325343948192000
         -49522785740306751796/27*ep^-3-1195748339832650123851397/63180
         *ep^-2-2053967809741367408634470069357/37140994800*ep^-1-
         8193211214016376050331136/27*z3+302640711667145670236314122188\
         639678801293472596449049452108600674014376217519465899531/
         261298821394189414824968394044855413980046295040000000000000000
         *ep-4096605607008188025165568/9*ep*z4-
         77625292018966010428737934207/15795*ep*z3-
         22371090238017242852807763876000607588586428713914596467868760\
         621868254418034997064798206962795277/4014675822784184118132418\
         728340182678918134552097875558400000000000000000*ep^2-
         264945193596922127498978384/9*ep^2*z5-
         77625292018966010428737934207/10530*ep^2*z4+107207713594735259\
         694019707087350371/7428198960*ep^2*z3+
         66376754561993719523804348595138790110290629210986422072504839\
         10053077253914323195699529554537435884224861811050496495756033\
         4286613/993776467655344374157655589459082098950752917354571154\
         3183150196675233030310828441600000000000000000000000*ep^3-
         1966605923941875016116510040/27*ep^3*z6-
         268132303060850486440778558138/5265*ep^3*z5+107207713594735259\
         694019707087350371/4952132640*ep^3*z4+142899488905551517363506\
         21073883230307144431/4863457833996762000*ep^3*z3-
         286812509392705145866248848/27*ep^3*z3^2;
Fill mncnoptab(8,7,5,6)=
      +mncF321*(37738920331866750796800+292843086032878508247120*ep+
         795753668437216511031702*ep^2+13545736001790815450997203/12*
         ep^3)
      -97762298313565588968083903406140687053327/526912021411776000-
         13464702150856012210/3*ep^-3-642354972372190873303801/14040*
         ep^-2-154966447721271126960227356129/1194593400*ep^-1-
         1489576631960479916257712/3*z3+9798813440630433615716653158891\
         38216427287340593808123629444651830605599249408129/
         516176705321760633028978841246817834762240000000000000000*ep-
         744788315980239958128856*ep*z4-28205327016382975522826704583/
         3510*ep*z3-346841701666443239763776470826222931283910113841741\
         115062621445932938455128109953591439103/3794592525606893099053\
         7854307267468086723844505600000000000000000*ep^2-
         48171505453154088060848408*ep^2*z5-
         28205327016382975522826704583/2340*ep^2*z4+6665428896030969580\
         922655940371803/281080800*ep^2*z3+
         20686385513887156701181770877858727208036437808233455875994111\
         15826463355814118746336879939146122283669465387984207826352321\
         0059/124157651675111582636214412455923751922534300001195773982\
         0361961816711709589504000000000000000000000000*ep^3-
         357562349318754460665718780/3*ep^3*z6-
         48411252382383817904895948731/585*ep^3*z5+66654288960309695809\
         22655940371803/187387200*ep^3*z4+29725428246936699013666330404\
         3026573356589/65864002676472000*ep^3*z3-
         52148808472318914882785336/3*ep^3*z3^2;
Fill mncnoptab(8,7,6,5)=
      +mncF321*(34594010304211188230400+268633196956441642645320*ep+
         730932046690178905563915*ep^2+74789025138778050928753585/72*
         ep^3)
      -48876814103844982431489719197369724120573/287406557133696000-
         41138077471639870337/9*ep^-3-3923047494694502990520067/84240*
         ep^-2-137479855010672332474728134693/1042554240*ep^-1-
         4096245321929646811989448/9*z3+1398404198184006448115507334231\
         90839534677797863181009232687569281418364005402769/
         80443122907287371381139559674828753469440000000000000000*ep-
         2048122660964823405994724/3*ep*z4-
         77590417650031473799823264647/10530*ep*z3-
         49486565257215031807481824422293576198584132345615374511578615\
         814638791291769665385566087/5913650689257495738785120151781943\
         078450469273600000000000000000*ep^2-
         132471319421688356590163452/3*ep^2*z5-
         77590417650031473799823264647/7020*ep^2*z4+2827489158839233621\
         7770261804970563/1303192800*ep^2*z3+
         23199258088182053166227043228314839258595802687361927060335265\
         39287170493160770177259406331076522128798506778424890706261584\
         133/1734265610699971313013788618431950820505241015889718747685\
         58496253762905466470400000000000000000000000*ep^3-
         983294282357838557396252270/9*ep^3*z6-
         534251891528233680592662273061/7020*ep^3*z5+282748915883923362\
         17770261804970563/868795200*ep^3*z4+24492478855295289913184288\
         17096400583133/574813114267392*ep^3*z3-
         143410217816354865920735884/9*ep^3*z3^2;
Fill mncnoptab(8,7,7,4)=
      +mncF321*(17740518104723686272000+138178043858939805933520*ep+
         378047925308093752887098*ep^2+58457214359134591821122797/108*
         ep^3)
      -176483173026317040070532032859549390254866101/
      2023198458942652992000-680859697687202395978/351*ep^-3-
         32824722578702478167443447/1642680*ep^-2-112310880549891752587\
         927453883567/1931331729600*ep^-1-81928028218647288553305584/
         351*z3+1994463793206195227770367894648407881768523307217795134\
         78844678112593479061209130583069/22419438875621451791982288209\
         0485945194879721144320000000000000*ep-
         40964014109323644276652792/117*ep*z4-
         155409945975601229871618370337/41067*ep*z3-
         66883431885639708204522527950573088492329875430089099201189353\
         68382056984526329215120790467039349/15657235708858318060716433\
         04052671244778072475318171467776000000000000000*ep^2-
         2649437456636605966886983736/117*ep^2*z5-
         155409945975601229871618370337/27378*ep^2*z4+53293867205341604\
         46665990469803193131/482832932400*ep^2*z3-
         28332033096267220442714502891549341144353452105996696604320875\
         85889836035974662438931288838497064652334495787160766442792637\
         625183/2981329402966033122472966768377246296852258752063713462\
         95494505900256990909324853248000000000000000000000*ep^3-
         19665960854227926530269114060/351*ep^3*z6-
         1083116761054359670850694549737/27378*ep^3*z5+5329386720534160\
         446665990469803193131/321888621600*ep^3*z4+1241105428531644525\
         168808877376679095184673273/505799614735663248000*ep^3*z3-
         2868170017231969684053195992/351*ep^3*z3^2;
Fill mncnoptab(8,8,5,5)=
      +mncF321*(17329096070755140672000+135114564653913096252000*ep+
         370364797441259038397760*ep^2+11163895914039595176535480/21*
         ep^3)
      -3491270518212431285968596006435762410683/40982046109804800-
         2354087214083718960*ep^-3-79020638554987512033319/3276*ep^-2-
         163593948295025204498520245633/2361078720*ep^-1-
         227989974669356939408160*z3+3227287084521097425310012077990676\
         097628917859636229033504168454144127922450866821/3716472278316\
         676557808647656977088410288128000000000000000*ep-
         341984962004035409112240*ep*z4-465985143400944934986552247/126
         *ep*z3-1137749282601072378019656051470885195349522420810980688\
         337817025345779910328444280880412963/2732106618436963031318725\
         51012325770224411680440320000000000000000*ep^2-
         22119500237327404983873120*ep^2*z5-465985143400944934986552247/
         84*ep^2*z4+215786584019321902943339195593047347/20069169120*
         ep^2*z3-701016275598970299252654578213057733875497090989283808\
         12747540584417112751586394615490452878126140815147738924848347\
         8322613/387236340507170628105152163605220278900691773882871809\
         690561235654335036129280000000000000000000000*ep^3-
         54728775656645120111162400*ep^3*z6-
         7065791330058246508877616053/182*ep^3*z5+215786584019321902943\
         339195593047347/13379446080*ep^3*z4+39204256777534737857719503\
         15389873182301/1576232542684800*ep^3*z3-
         7982031406903959280027680*ep^3*z3^2;
Fill mncnoptab(8,8,6,4)=
      +mncF321*(12708003785220436492800+99192262401054462800160*ep+
         272436045036906680601408*ep^2+8234011854626137217879428/21*
         ep^3)
      -63029020618311561875493519448757414000789/1008717180384513600-
         1442350539402349192*ep^-3-40642104908530471416389/2730*ep^-2-
         5690596154197565854144745491/130712400*ep^-1-
         167198894343592291451744*z3+9144283057374633026973780556695259\
         22549317960212672643718825999655192310574369617058401/
         14371435176680417815373261672467047768902546227200000000000000\
         00*ep-250798341515388437177616*ep*z4-
         3704021632892210394601266782/1365*ep*z3-
         61199390659054958023409961715333157392234497583679419326418144\
         75911794351687031975620420033487917/20073379113920920590662093\
         64170091339459067276048937779200000000000000000*ep^2-
         16221033282882609068614848*ep^2*z5-
         1852010816446105197300633391/455*ep^2*z4+113553003076960749526\
         351789146700561/14443720200*ep^2*z3+
         37249273772836447463765533391547040564712781270062830900671937\
         90505278287354409506296828418887359855351549784019591014973084\
         88949/29228719636921893357578105572325944086786850510428563362\
         3033829313977442067965542400000000000000000000000*ep^3-
         40134585971347541942907760*ep^3*z6-
         13017118929225326348916795268/455*ep^3*z5+11355300307696074952\
         6351789146700561/9629146800*ep^3*z4+59679383474866506257855349\
         0597639008496379/315224118870160500*ep^3*z3-
         5853421000089180778791872*ep^3*z3^2;
Fill mncnoptab(8,8,7,3)=
      +mncF321*(4887693763546321728000+38277498507735539717280*ep+
         105762117286392111330720*ep^2+5370688226021569409232076/35*
         ep^3)
      -3152672746857145658857079215511941633164271/
      131133233449986768000-3999723778057760984/13*ep^-3-
         34708684824327478992775/10647*ep^-2-
         22846053462323933680793185887401/2253220351200*ep^-1-
         836065143250111951334752/13*z3+4682187034557765698185041583082\
         1221144872507750947606778667437461248132742719378710239241/
         19181075482476130977584846578852686422228598364569600000000000\
         0000*ep-1254097714875167927002128/13*ep*z4-
         11130384294701204907965859323/10647*ep*z3-
         62492729582442333741649732893320192952423838867953362672399357\
         604975641230758720051380578057120729/5358253998142624403000734\
         8627580304821294035821999645786112000000000000000*ep^2-
         81105918077451886950486144/13*ep^2*z5-
         11130384294701204907965859323/7098*ep^2*z4+3376098993864816574\
         869663079575396667/1126610175600*ep^2*z3+
         24058338269466197989485462626267062605076152549594903596762461\
         62161140928135047485357771712101321305949207755582030875568244\
         662180101/6631801627486664790212088300323607873664691135146171\
         50315088889791460550889409284669440000000000000000000000*ep^3-
         200674632335504437497878480/13*ep^3*z6-
         13209018319762903749798435551/1183*ep^3*z5+3376098993864816574\
         869663079575396667/751073450400*ep^3*z4+5302338440412573945380\
         9788899645326588070827/65566616724993384000*ep^3*z3-
         29266327558424943505919488/13*ep^3*z3^2;
Fill mncnoptab(8,8,8,2)=
      +mncF321*(897739670855446848000+49493021084221935068640/7*ep+
         967027179867341605188000/49*ep^2+149339868301981589107517708/
         5145*ep^3)
      -87598307058949893622722473572238828486099/19831877898300468000-
         10484193343373828584/637*ep^-3-27892311224819888348975/149058*
         ep^-2-1330616460015474421110467794201/1971567807300*ep^-1-
         7525147447651921469261792/637*z3+67365868627528582179239776596\
         61328466761800345620156350230658940346671947883677315664623/
         15105096942449953144848066680846490557505021212098560000000000\
         0000*ep-11287721171477882203892688/637*ep*z4-
         100451907839630892021841968956/521703*ep*z3-
         63947842966134126813077392764247027369810092756129252005004838\
         99807035973801613861936745964360417/30140178739552262266879133\
         603013921461977895149874800754688000000000000000*ep^2-
         729959231871496326776370624/637*ep^2*z5-
         50225953919815446010920984478/173901*ep^2*z4+37393259925193343\
         81483775497103607919/6900487325550*ep^2*z3+
         91461688228608013880662583693275041141895739453655144413611696\
         03930063778451452090059660460342085383796404894854682155209031\
         24011931/13578613832278946157959250794912587121328455099211786\
         15270144501848015477946065510360678400000000000000000000*ep^3-
         1806085211059611013267772080/637*ep^3*z6-
         121836898446410959577888032130/57967*ep^3*z5+37393259925193343\
         81483775497103607919/4600324883700*ep^3*z4+3098153428674183385\
         3441127301182971871421419/178486901084704212000*ep^3*z3-
         263390776360625266128890048/637*ep^3*z3^2;
Fill mncnoptab(9,4,4,9)=
      +mncF321*(9557259045083138188800+74332165219153449688080*ep+
         202800400360845150070007*ep^2+48571949139220037508144935/168*
         ep^3)
      -16477790279274501027783685804106049539022648559/
      350432831653048400256000-274562612289655234/3*ep^-3-
         170611293959811706823403919/174594420*ep^-2-279676248759885040\
         77893084576244947/9032062665225600*ep^-1-
         377299425012460722534800/3*z3+24632997187357934902277017424203\
         5685258565771713448798803761634026859564938524147088053/
         513652310023045971173510000864224625470524201369600000000000000
         *ep-188649712506230361267400*ep*z4-
         88933808030508471674071749531527/43648605*ep*z3-
         13237399214936093891564844432748207088455282375903627668838644\
         520132394615549417676852814609728647/5739572937608569470104044\
         669765683022959577602181665128448000000000000000*ep^2-
         12199521915403673716159480*ep^2*z5-
         88933808030508471674071749531527/29099070*ep^2*z4+297310777611\
         081022334604302480220262657/49809169109700*ep^2*z3+
         97451107148184124651250967273037547068903071462120685578155035\
         320963925004463886440715611392067227682198270201607119381157/
         17122783372024957920558700282409974230802647621893028215929562\
         659448036524032000000000000000000000*ep^3-
         90553165802996401064859100/3*ep^3*z6-3081228649123963990654714\
         67564828/14549535*ep^3*z5+297310777611081022334604302480220262\
         657/33206112739800*ep^3*z4+49692876583651724057729523012405342\
         31699796101/3942369356096794502880*ep^3*z3-
         13205757643423150850409752/3*ep^3*z3^2;
Fill mncnoptab(9,5,3,9)=
      +mncF321*(6023064294036769379400+187694134456758660315585/4*ep+
         4109273419881533750634777/32*ep^2+988336201595713518251674003/
         5376*ep^3)
      -3902686883782244413238602500687234579235180207/
      131698115071002095616000-4570667427806604179/96*ep^-3-
         55138731216524188011437879/106928640*ep^-2-6359761447834765902\
         07701836213729/377154421862400*ep^-1-951111625534750933887755/
         12*z3+56645395340538421234635726395582276717100211789501771892\
         94210043388944659499597267403/18767635511933824088114328000258\
         750995878222233600000000000000*ep-951111625534750933887755/8*
         ep*z4-268383616746795164038053603809/208845*ep*z3-
         75995654407079079911952585898125467974832436036703013365663271\
         139435165347890783928980610071283/5242759099163982552074159985\
         4318983680796489624103944192000000000000000*ep^2-
         61505941837935283976427085/8*ep^2*z5-
         268383616746795164038053603809/139230*ep^2*z4+1038552506429098\
         5931260123710354071787/2773194278400*ep^2*z3+
         24191488377840766613757575173562157215193772933221654713649490\
         279086510956599882681660623956179544723280925712172378129360973
       /865091079908025856484648159180425329646762537219781450109367623\
         6259378172264448000000000000000000000*ep^3-
         913078011313681750307528725/48*ep^3*z6-11982092895517437120108\
         6096260303/8910720*ep^3*z5+10385525064290985931260123710354071\
         787/1848796185600*ep^3*z4+556112844591480108598582718507774049\
         8300171021/6584905753550104780800*ep^3*z3-
         66578969622113378013843193/24*ep^3*z3^2;
Fill mncnoptab(9,5,4,8)=
      +mncF321*(17521641582652420012800+136085327850363045434280*ep+
         370361216932455295314757*ep^2+29474058612964401747217925/56*
         ep^3)
      -3902305222740944946926762436894278961625289557/
      45271227055656970368000-434480939908937273*ep^-3-
         15216340057888839914110559/3341520*ep^-2-
         66355168677608416653387895608577/4801734537600*ep^-1-
         230566002360796496885480*z3+1362299698468796533100039514445451\
         033648904883953522736700378198312437181191574483658899/
         15483299297345404872694320600213469571599533342720000000000000\
         00*ep-345849003541194745328220*ep*z4-
         779585407540517409493166921323/208845*ep*z3-
         18332331717220081099410545385198551956018020667784291242533073\
         84612062938343970279474921538548847/43252762568102856054611819\
         8798131615366571039398857539584000000000000000*ep^2-
         22365727763465268008786740*ep^2*z5-
         779585407540517409493166921323/139230*ep^2*z4+5235147483089248\
         145110348960211451581/476642766600*ep^2*z3+
         12549821248926235806056795533927032705803180537937356171130067\
         03041938333895601915746730506167221394189945381488037169511229\
         87/17695044816300528882640530528690518106411051897677347843146\
         155937803273534177280000000000000000000000*ep^3-
         55337904402761178779753150*ep^3*z6-
         3581168110645939133814316397321/92820*ep^3*z5+5235147483089248\
         145110348960211451581/317761844400*ep^3*z4+4942013103090158995\
         192983493090318664083017761/2263561352782848518400*ep^3*z3-
         8070249789748373733557964*ep^3*z3^2;
Fill mncnoptab(9,5,5,7)=
      +mncF321*(28107633372171590437200+436301629335547511951415/2*ep+
         28462623873961763449659619/48*ep^2+107693844867245802805807563/
         128*ep^3)
      -10807569312841271181767959381667568181128847/
      78174583540365312000-222357242666652231523/144*ep^-3-
         40538875473168959517526841/2545920*ep^-2-
         65880430150296701886972753713047/1417873766400*ep^-1-
         6657257865317953066582255/18*z3+192133390388777320124182664252\
         26223481196660966108612260734961157720266411530627/
         13597630150521586923800578979125883043840000000000000000*ep-
         6657257865317953066582255/12*ep*z4-
         5714859783208413090241528444817/954720*ep*z3-
         74844668122986458189818431593043592301328502850467086553461351\
         458672374915741984540042811/1099569425033815613930358278221955\
         0411493841305600000000000000000*ep^2-
         143512626906366798649765735/4*ep^2*z5-
         5714859783208413090241528444817/636480*ep^2*z4+110417518687058\
         9809734285601981472401/62553254400*ep^2*z3+
         13666187446387003054219325332938880411221758336060371141412265\
         70340239054528289685121587336875247068160939090170993767/
         34377436324329431230024677044679593120940183623252411675758280\
         7469916160000000000000000000000*ep^3-
         6391495632133326408573635525/72*ep^3*z6-1178024369706666019937\
         34772322203/1909440*ep^3*z5+1104175186870589809734285601981472\
         401/41702169600*ep^3*z4+13283160995243917728991226577608848805\
         325491/3908729177018265600*ep^3*z3-466064304911862357547909601/
         36*ep^3*z3^2;
Fill mncnoptab(9,6,2,9)=
      +mncF321*(1425577347701010504000+11163459230197008778890*ep+
         123351024439254078215331/4*ep^2+150238683228318223101928321/
         3360*ep^3)
      -1501076116068205720930116446949850177291715621/
      214009436990378405376000-839618876870350027/156*ep^-3-
         10793630458015717975891723/173759040*ep^-2-1415003342715638335\
         89668187079951/612875935526400*ep^-1-731629380821967308897414/
         39*z3+28871064642947259326083958066047765533039196028865062364\
         687891572061943083493321485486547/4057863079848283709035727542\
         90394610532480569846005760000000000000*ep-
         365814690410983654448707/13*ep*z4-
         331138573625686005177467498843/1085994*ep*z3-
         27547103925862284522295733844692051089588979759900016639038701\
         401830473791713156948496324789085217/8096917152748854653423332\
         6815010238396622098575466131410124800000000000000*ep^2-
         23656149389799083430778901/13*ep^2*z5-
         331138573625686005177467498843/723996*ep^2*z4+3939482075825054\
         721794213000379603811/4506440702400*ep^2*z3+
         10562534710842264449683019882269603076045810120645259398740692\
         65763412863642007023818172901466930901045589692450753308951262\
         283669/2441688962125267772859151510967271800954784375859208442\
         974686247752911955937338589184000000000000000000000*ep^3-
         351184093942876414917196445/78*ep^3*z6-
         9428842738791128605279425028271/2895984*ep^3*z5+39394820758250\
         54721794213000379603811/3004293801600*ep^3*z4+1263111322867090\
         0107982866695466713818253149469/53502359247594601344000*ep^3*
         z3-25607240398764648757781153/39*ep^3*z3^2;
Fill mncnoptab(9,6,3,8)=
      +mncF321*(7413002208045254620800+57777526076041182230820*ep+
         316512363138496649083641/2*ep^2+381152394261755060011114751/
         1680*ep^3)
      -300193082439594699082461938511206455748433151/
      8231132191937630976000-846933504183501251/6*ep^-3-
         10096251625221076641378503/6683040*ep^-2-113363421798762857721\
         355368240881/23572151366400*ep^-1-292644280234391481493196/3*
         z3+28220021399487138023817003996265539705250103601284734289429\
         65793797823127846029431446757/76008923823331987556863028401047\
         94153330680004608000000000000000*ep-146322140117195740746598*
         ep*z4-330384310847269582440328692494/208845*ep*z3-
         37856291712657875576232890489670835742005584750166954260759072\
         48563389216075354760267766314164189/21233174351614129335900347\
         94099918839072257829776209739776000000000000000*ep^2-
         9462433267570641519557594*ep^2*z5-
         165192155423634791220164346247/69615*ep^2*z4+79793476271320044\
         8624583042917403023/173324642400*ep^2*z3+
         34829608670799977509978973596788137156798447292959407460783696\
         82446556911727828390212372529166901310395637402842492783632808\
         369369/1545874505241646804245242028047461042812282315884888462\
         272934475038369582492795535360000000000000000000000*ep^3-
         70236638806193832692948965/3*ep^3*z6-
         9234997197900565639134023823023/556920*ep^3*z5+797934762713200\
         448624583042917403023/115549761600*ep^3*z4+2167674382223064599\
         259825696053082237140216473/2057783047984407744000*ep^3*z3-
         10242978376445004620481458/3*ep^3*z3^2;
Fill mncnoptab(9,6,4,7)=
      +mncF321*(18869460165933375398400+146718846796301822362320*ep+
         400140067386525573762270*ep^2+6844083597137380600449701/12*
         ep^3)
      -300130594553371799939009285428202837280908611/
      3233659075404069312000-2890945424622256694/3*ep^-3-
         2387905137593107109079079/238680*ep^-2-
         9160622958707158368592366515439/308682934560*ep^-1-
         744872829974434457595376/3*z3+10775113644048081675229414663794\
         13095323355273566167698865923463169335826965068964656191/
         11375485198049685212591745747095610297501697966080000000000000\
         00*ep-372436414987217228797688*ep*z4-
         239995627229813525067562033283/59670*ep*z3-
         72389221665459740439716782341667780652599487801820986218371162\
         21845248265308391526771651497392651/15888769922976559367000260\
         36401299811550669124322333818880000000000000000*ep^2-
         24086052363380819303362024*ep^2*z5-
         239995627229813525067562033283/39780*ep^2*z4+10707006844642473\
         58527657106442449849/90789098400*ep^2*z3+
         38386709676047898616245861985227566575579248689707943490168257\
         42295516408383576274002444635829515514961250651653281938189853\
         4173/782193205553202970608150798472319637111966090007533376086\
         8280359445283770413875200000000000000000000000*ep^3-
         178783210650420058631226740/3*ep^3*z6-
         415299716459453201220864755276/9945*ep^3*z5+107070068446424735\
         8527657106442449849/60526065600*ep^3*z4+3967078412316160930002\
         76863508848657621947717/161682953770203465600*ep^3*z3-
         26073474557664243680982088/3*ep^3*z3^2;
Fill mncnoptab(9,6,5,6)=
      +mncF321*(25945507728158391172800+201715183755855701821890*ep+
         2200102334089129915854255/4*ep^2+25082529512529100569644005/32
         *ep^3)
      -831134054436921710446770812493965695400731/6514548628363776000-
         29354988167637702647/12*ep^-3-47858113508255457664226189/
         1909440*ep^-2-130856562935975129308943239283/1817786880*ep^-1-
         1024126134242686336274182/3*z3+7290837767240127962074950551698\
         117340278090658660811600253372372475136894718266311/
         5594453547643167191506523922840363309465600000000000000000*ep-
         512063067121343168137091*ep*z4-1319843606099582215575746780639/
         238680*ep*z3-2833872495969556045462346133066738192598478752450\
         6986653194889557590809895106765937132604611/452394277728198424\
         0170616916113186455014608994304000000000000000000*ep^2-
         33118059618124766133703393*ep^2*z5-
         1319843606099582215575746780639/159120*ep^2*z4+281858187525081\
         85248793788827388503/1737590400*ep^2*z3+
         32374224344725480800524166914523383696320283513780813951231930\
         28887340206329138626802416430641381758108890608755422143426006\
         18647/17169229545929715998836507322476313123001886057308215602\
         087291129122527641180569600000000000000000000000*ep^3-
         491650263600658060324179985/6*ep^3*z6-
         9131454315815094122998360299407/159120*ep^3*z5+281858187525081\
         85248793788827388503/1158393600*ep^3*z4+1092970349882875296781\
         865208670638111555983/325727431418188800*ep^3*z3-
         35851841638572891632620381/3*ep^3*z3^2;
Fill mncnoptab(9,6,6,5)=
      +mncF321*(19958082867814147056000+155507081365861201150020*ep+
         851464842497725205767941/2*ep^2+9760551806756868559050103/16*
         ep^3)
      -4154720903536677804821617607977916568652337/42344566084364544000
         -201741448664556425779/78*ep^-3-328368533254367914886992909/
         12411360*ep^-2-19374753213930978381780532643567/256004985600*
         ep^-1-10240656763433249702135356/39*z3+34488375432354265926332\
         005848152471366279607821818181967794567058900753683881704550931
       /34496295687335391809579867552061334624294404096000000000000000*
         ep-5120328381716624851067678/13*ep*z4-
         1321189246096932986392825262309/310284*ep*z3-
         12175205625041748178196760368513944699372703450157555478794193\
         326753583713031997879577592047589/2535941363233189085670041018\
         496407799222989217847050240000000000000000*ep^2-
         331178452610158028937396874/13*ep^2*z5-
         1321189246096932986392825262309/206856*ep^2*z4+467049320054241\
         43194697351880167303/3764779200*ep^2*z3-
         66888600006936248397180744973642411026598829362390074291089387\
         67037486288129777623709733477304045179264440431318684862622824\
         581599/3701685890102446769349150978725893109319206633955651283\
         810019967438816959438530805760000000000000000000000*ep^3-
         2458236752667602092775138165/39*ep^3*z6-
         9221293001610134216083627973999/206856*ep^3*z5+467049320054241\
         43194697351880167303/2509852800*ep^3*z4+2962355528964084058688\
         8644653085164713250141/10586141521091136000*ep^3*z3-
         358525066333918527386524258/39*ep^3*z3^2;
Fill mncnoptab(9,7,1,9)=
      +mncF321*(98190276499814499000+3103238028156943462335/4*ep+
         487822929900389863206801/224*ep^2+607179911679241100322093991/
         188160*ep^3)
      -416269458185660490520714758640312088513355617/
      861632765922046390272000+6452003763749291/2912*ep^-3-
         5779518646967237206199/27256320*ep^-2-
         8081804586093899462802657146689/3172534254489600*ep^-1-
         470336166935849840800669/364*z3+179211199246433748495076835191\
         22510126586426271814516291388520503798739498410025474895863/
         36827664926354171476962905431397157930678908859973632000000000\
         00000*ep-1411008500807549522402007/728*ep*z4-
         1572027617178604490422503127/74529*ep*z3-
         11876526180840842738511786122602306648828703329789285777623407\
         0244165020527506262398180569101090499/514392383821691942688070\
         5468247709262844227438911965995466752000000000000000*ep^2-
         91245211275197912528405601/728*ep^2*z5-
         1572027617178604490422503127/49686*ep^2*z4+1630598130225736652\
         76707652467480345021/2775967472678400*ep^2*z3+
         45399571141129667365594754708453392450828634394026166511344262\
         27790050966438709918890752052960097356431609471834243937044418\
         053891439/1655297686220671531636937239760772525266706907332484\
         40718646186891948553501996557453492224000000000000000000000*
         ep^3-451522694706631064234021315/1456*ep^3*z6-
         247035727245883361279484574023/1059968*ep^3*z5+163059813022573\
         665276707652467480345021/1850644981785600*ep^3*z4+442604008261\
         8342131224581631504432597954863983/215408191480511597568000*
         ep^3*z3-32923528825759435343869631/728*ep^3*z3^2;
Fill mncnoptab(9,7,2,8)=
      +mncF321*(1221923440886580432000+9593027261015361789780*ep+
         53245531534688668067541/2*ep^2+65269193389522060880851811/1680
         *ep^3)
      -12614127993219009210213877167719047099795741/
      2098131735199788288000-289721324666733289/26*ep^-3-
         217028138783298411697733/1703520*ep^-2-
         1196820569601114344351738566079/2575108972800*ep^-1-
         209035095767985986286436/13*z3+8171988484545941366404981934344\
         5714946235079123339520887070195874670889648219876332060743/
         13426752837733291684309392605196880495560018855198720000000000\
         00000*ep-313552643651978979429654/13*ep*z4-
         398010152267955248769936430/1521*ep*z3-21784588968216178139261\
         20502742191028720010927470284173605115533073160535600699988746\
         3867586094083/750155559739967416420102880786124267498116501507\
         99504100556800000000000000*ep^2-20276679594674815505167722/13*
         ep^2*z5-199005076133977624384968215/507*ep^2*z4+16766360852211\
         62929427817896413819831/2253220351200*ep^2*z3+
         12626677735162677694002688655531392014004680178663681186987459\
         19309550006435957841866372332321618870438277821703449870080660\
         484521139/4642261139240665353148461810226525511565283794602320\
         052205622228540223856225864992686080000000000000000000000*ep^3
         -50169111247267073797203215/13*ep^3*z6-
         26705294970732192233435841715/9464*ep^3*z5+1676636085221162929\
         427817896413819831/1502146900800*ep^3*z4+114005755580445556078\
         994800576291082952532699/524532933799947072000*ep^3*z3-
         7316374992822835750324822/13*ep^3*z3^2;
Fill mncnoptab(9,7,3,7)=
      +mncF321*(5559751656033940965600+43471949610032045137035*ep+
         958149262240937363337279/8*ep^2+55385269406989455618596549/320
         *ep^3)
      -2522414360974229593049347246382587752853469/92225570778012672000
         -1741483539747205331/8*ep^-3-173419955646743254723769/74880*
         ep^-2-5761982390033557030866326634521/792341222400*ep^-1-
         73158610611592340233091*z3+41836681673910579097016690045305126\
         139671041716028834487496340237051784636772633663867/
         150557892327128186637243693711559548055169531904000000000000000
         *ep-219475831834777020699273/2*ep*z4-
         139027605265592428798759951/117*ep*z3-279727179667729557363048\
         10419688106447980348683966135025170974463823177239962232038550\
         9364588703/210292543098219168092650504817819092705235619395603\
         005440000000000000000*ep^2-14193597578096969025444759/2*ep^2*
         z5-139027605265592428798759951/78*ep^2*z4+17844901679331986914\
         805464377684853/5212771200*ep^2*z3+
         13195203425051765933538872508412536898457081700245429040928472\
         05218720372560515104301221882150864808169988635659281611629620\
         35633/86758263049276096156620726063888119749668905483335576964\
         2973429868472724868405657600000000000000000000000*ep^3-
         70236401784368921724892885/4*ep^3*z6-
         5247259773047920729969606959/416*ep^3*z5+178449016793319869148\
         05464377684853/3475180800*ep^3*z4+1064646962653732024619554039\
         054457658806729/1213494352342272000*ep^3*z3-
         5121543287007024917880841/2*ep^3*z3^2;
Fill mncnoptab(9,7,4,6)=
      +mncF321*(12130367249528598470400+94675029596915640392520*ep+
         259980449498490250833765*ep^2+8977122945358416761390849/24*
         ep^3)
      -840525020889075492970574926621951830562753/14090017757751936000-
         1060805918173211133*ep^-3-102782981627855473373183/9360*ep^-2-
         7047471363229036658777022111869/217893836160*ep^-1-
         159605896258104604860552*z3+3870512184272966264840291021692111\
         35735270994597341991582171481430427399027732172981807/
         637282083924352112750237856980146235154156748800000000000000000
         *ep-239408844387156907290828*ep*z4-
         1515257753791718534178291844/585*ep*z3-25906529326921707117308\
         17228957504564742610418964783355352253998431698611875011518912\
         542762067603/8901271665533086480112190680119326675353888651665\
         73568000000000000000000*ep^2-15483787528466611744634244*ep^2*
         z5-757628876895859267089145922/195*ep^2*z4+1022206916118103772\
         804000190170634641/136183647600*ep^2*z3-
         24455026172344586737280487261568591796098021103127603179176628\
         80087306845725061336698055967848172629988235737282072869488426\
         29/55181178522271814504984183313743889743348577778309232880904\
         9760807427426484224000000000000000000000000*ep^3-
         38310454080521267849434230*ep^3*z6-
         7097624294468008352553186573/260*ep^3*z5+102220691611810377280\
         4000190170634641/90789098400*ep^3*z4+4234928097154028039960563\
         53844617607139843/234833629295865600*ep^3*z3-
         5587279940734414042990716*ep^3*z3^2;
Fill mncnoptab(9,7,5,5)=
      +mncF321*(13899379140084852414000+217042345464291933010425/2*ep+
         4771216730285921333211255/16*ep^2+164903096278876338613027655/
         384*ep^3)
      -1396584166620022052621871178675691225561/20437799618396160-
         28745911856711090965/16*ep^-3-552403482747350173957259/29952*
         ep^-2-42276876519611776996152435569/794327040*ep^-1-
         365737946613369225560665/2*z3+10854473550580946956893236913771\
         1158068645051054943276312208763918369695552888360829/
         156091835689300415427963201593037713232101376000000000000000*
         ep-1097213839840107676681995/4*ep*z4-
         11113347145534881587059982141/3744*ep*z3-
         38237664315732200092089436438162512869936340587180030064760209\
         841601477872712995244513415307/1147484779743524473153864714251\
         7682349425290578493440000000000000000*ep^2-
         70966815630377739249762585/4*ep^2*z5-
         11113347145534881587059982141/2496*ep^2*z4+1194445315539780958\
         9554931827949463/1390072320*ep^2*z3-
         21613060889674703908480751789966346804658084975033774313167479\
         52927222693722069222844857429228309124853169991061681161645507\
         557677/3701685890102446769349150978725893109319206633955651283\
         810019967438816959438530805760000000000000000000000*ep^3-
         351176698685755003993206275/8*ep^3*z6-
         78195873558230189770348386673/2496*ep^3*z5+1194445315539780958\
         9554931827949463/926714880*ep^3*z4+106807235799701111684420278\
         23773349691361/5109449904599040*ep^3*z3-
         25608928786186896728931815/4*ep^3*z3^2;
Fill mncnoptab(9,7,6,4)=
      +mncF321*(8553464086206063024000+66955385305092023322660*ep+
         369696810099963152451183/2*ep^2+12858817404422325624456223/48*
         ep^3)
      -1145856504806335830217610809328026028999351/27248464093503744000
         -29731697195500281289/26*ep^-3-2874264760077524799070547/
         243360*ep^-2-89092546390050073052824277722343/2575108972800*
         ep^-1-1462940927770889416787476/13*z3+374926257883532521178830\
         79323474135287473424411923712285313223711711432468352554506101\
         4967/876849164913194558975307272176122807873307353808896000000\
         000000000*ep-2194411391656334125181214/13*ep*z4-
         11127146148506193672732778825/6084*ep*z3-
         50042271636730181506717531759513225862437311617350329787996376\
         8500061956719248812853424865340560191/244948754200805686994319\
         308011795679183058449471998380736512000000000000000*ep^2-
         141933515818563889286998362/13*ep^2*z5-
         11127146148506193672732778825/4056*ep^2*z4+3380488751914193016\
         431097177116997599/643777243200*ep^2*z3-
         47155735635385501639563293472735713411899465467015676623539533\
         60211752638787301414110098750166056983952238851231399054328498\
         96907989/30316807439939039040969546515765064565324302332096784\
         01440406353332391089780156729917440000000000000000000000*ep^3-
         351176437226982499675527215/13*ep^3*z6-
         26363922148372008871015118807/1352*ep^3*z5+3380488751914193016\
         431097177116997599/429184828800*ep^3*z4+1045990454728806383574\
         46219720593432396402013/74933276257135296000*ep^3*z3-
         51217977138233187084727078/13*ep^3*z3^2;
Fill mncnoptab(9,7,7,3)=
      +mncF321*(2749327741994805972000+21627872042846816795895*ep+
         481937930966346593914989/8*ep^2+39583284834880052843179713/448
         *ep^3)
      -37827273652931679748653825133880097675822707/
      2797508980266384384000-26456639870884886487/104*ep^-3-
         2039185287583096429054883/757120*ep^-2-
         7444419401804497174719284657423/890161126400*ep^-1-
         470263387182966251447067/13*z3+1080247784619509035514162498829\
         0033175339662927192092030301113744503616262972441433524619/
         78916424842187510307777654495851052708597661842800640000000000\
         000*ep-1410790161548898754341201/26*ep*z4-
         11154132354076921087813594715/18928*ep*z3-
         14350842549690326870007907824345403926355154218593895508894968\
         046247470080921149532814473307252299/2204538787807251182948873\
         7721061611126475260452479854266286080000000000000*ep^2-
         91243663096942407680720883/26*ep^2*z5-
         33462397062230763263440784145/37856*ep^2*z4+370548441508347982\
         957925842011351729/222540281600*ep^2*z3+
         78888127878939564709512692576638458985522963200334792626211748\
         16017601661123632150093648718591439916146441832567028595811582\
         6131909423/177353323523643378389671847117225627707147168642766\
         18648426377166994487875213916870017024000000000000000000000*
         ep^3-451515681612882375889133745/52*ep^3*z6-
         242431277045502141924567524867/37856*ep^3*z5+11116453245250439\
         48873777526034055187/445080563200*ep^3*z4+36063137493762920052\
         7775899242843327402229031/699377245066596096000*ep^3*z3-
         32925130080399942224921037/26*ep^3*z3^2;
Fill mncnoptab(9,8,1,8)=
      +mncF321*(59849311390363123200+3326757818160598208640/7*ep+
         65957582306139439625688/49*ep^2+10386226815215923517472364/
         5145*ep^3)
      -1850135954498199839670870276131307490667099/
      6282738918181588262400-830114309645588/637*ep^-3-
         135048594223650917722/372645*ep^-2-
         54495621563875897692793821625/13879837363392*ep^-1-
         501691860520724542357216/637*z3+153289614768520077425027708344\
         38581451890067926450270986782202895646172430618065656448340885\
         87/51880251142768882526410544553534290850548471549874198596812\
         8000000000000*ep-752537790781086813535824/637*ep*z4-
         67236322768218500544868880197/5217030*ep*z3-
         25280930007343498023331884701864807604248245895329127280456374\
         6986792149068679549043803601468195339044187/
         18116004715452140477493567416416956922325634144273573553950689\
         329152000000000000000*ep^2-48664112188851532368045072/637*ep^2
         *z5-67236322768218500544868880197/3478020*ep^2*z4+252143810344\
         3874689576061938492160929/71440339370400*ep^2*z3+
         20907171732025704562333984482757554418123593282626732394619643\
         72850947467138682450044129256902230490738844487008706701950981\
         8193286433966299/757857155779334355885242457076503919744092891\
         68100744987710287353600068830143928633526351686533120000000000\
         00000000000*ep^3-120406050820827019564219640/637*ep^3*z6-
         84103840994734190516957798541/579670*ep^3*z5+25214381034438746\
         89576061938492160929/47626892913600*ep^3*z4+129079679198514675\
         61991099461011926284656961/923932193850233568000*ep^3*z3-
         17559216042975478403504368/637*ep^3*z3^2;
Fill mncnoptab(9,8,2,7)=
      +mncF321*(651692501806176230400+5145149465376456080160*ep+
         14423849587692577284516*ep^2+6721124532304553022961738/315*
         ep^3)
      -29680447923699042109650363853698120816209/9256463537646124800-
         503105613566920628/39*ep^-3-62535375970486511726953/425880*
         ep^-2-31267869855633665225227447349/58907721600*ep^-1-
         334450188849379850044864/39*z3+4575087824168506374481736444482\
         5750357558699880456222904070418065290132802674084172742626193/
         14154821331105773907675036711102884112885646499474571264000000\
         00000000*ep-167225094424689925022432/13*ep*z4-
         851389027592478509520599081/6084*ep*z3-
         15167701800360576655418810032926383338112940979561298053868026\
         01983414562098821292810563110298509680753/98854112820321622162\
         46626332214862448065935907603172298346987520000000000000000*
         ep^2-10814207964845474506984656/13*ep^2*z5-
         851389027592478509520599081/4056*ep^2*z4+117378308812879952690\
         866895753279953/300429380160*ep^2*z3-
         41539779648602159194428621632051458587359628336504198954225664\
         06761471524190324096707816826525416312137034561484668971393369\
         53637756877191/20799452080318976514837976778070937846332044100\
         98164060876219586830753554965472127694458060800000000000000000\
         000000*ep^3-80270434264217609177272760/39*ep^3*z6-
         21887088550292477961745302919/14196*ep^3*z5+117378308812879952\
         690866895753279953/200286253440*ep^3*z4+5265224765448277793071\
         9186916354594947076029/393399700349960304000*ep^3*z3-
         11706265557897705025691152/39*ep^3*z3^2;
Fill mncnoptab(9,8,3,6)=
      +mncF321*(2541600757044087298560+19995705547683087942720*ep+
         278522009365920547289568/5*ep^2+8579659379726795861813576/105*
         ep^3)
      -2522089892382956070169898937272143842184187/
      201743436076902720000-897700322841284116/5*ep^-3-
         156195889094283302622809/81900*ep^-2-
         2585987572154839604211234794179/433311606000*ep^-1-
         167210876680001326744352/5*z3+18232570513390081041360267796295\
         78402091156188934078519056904504914334539454127641733/
         14420783156231053522805382363665023378345489858560000000000000
         *ep-250816315020001990116528/5*ep*z4-
         858070562255856978086161741/1575*ep*z3-10606973695718253382182\
         40718237309436596399969825563314893119566399342000355333349577\
         4050980095201/176245178977555112306221375466362668172006995302\
         98156646400000000000000000*ep^2-16221160731254865158389584/5*
         ep^2*z5-858070562255856978086161741/1050*ep^2*z4+4167491070520\
         8991529877854516425081/27081975375*ep^2*z3-
         37658222305749538763064603997905393702598669123250057233312280\
         79851087843697531448418305458805207456526304712999788938906694\
         6950899/436270122762074083530435651064123116455477924716201758\
         44903806759100342736239827353600000000000000000000000*ep^3-
         8026974927287431915822616*ep^3*z6-
         13474346354447887086754942784/2275*ep^3*z5+4167491070520899152\
         9877854516425081/18054650250*ep^3*z4+1484212001472167527570049\
         81304651050974561/310374517041388800*ep^3*z3-
         5853289194135564630197936/5*ep^3*z3^2;
Fill mncnoptab(9,8,4,5)=
      +mncF321*(4621092285534704179200+36306102073817793016800*ep+
         100894146902783519543148*ep^2+15488730348262527547259954/105*
         ep^3)
      -67229382519807438660489684334193373433099/2958903729127906560-
         582939066068896460*ep^-3-198363326348431169614933/32760*ep^-2-
         137165585248715214317908699104659/7626284265600*ep^-1-
         60798312580003670790976*z3+21742725158908755521949158254353875\
         803976635663124841251168897725203484650855305173099/
         94467697146433372007682317622939324269910294528000000000000000
         *ep-91197468870005506186464*ep*z4-
         16213683303164632210358245039/16380*ep*z3-
         49194445913669101774567069675230400615852129469388041791425737\
         21377935268568609747968557456514367/44862409194286755859765441\
         02780140644378359880439530782720000000000000000*ep^2-
         5898543884033144481460752*ep^2*z5-
         16213683303164632210358245039/10920*ep^2*z4+107097911052493218\
         57283735703215244209/3813142132800*ep^2*z3-
         46804629012266780016227202905466738975603266076964684790328717\
         85694985087842313567167673055631890869340531800975050747669724\
         253/8343394192567498353153608517038076129194304960080356011592\
         832383408302688441466880000000000000000000000*ep^3-
         14594363928632852026674440*ep^3*z6-
         58447274265633366493511320151/5460*ep^3*z5+1070979110524932185\
         7283735703215244209/2542094755200*ep^3*z4+31000694036619836665\
         200250233030678034802971/36986296614098832000*ep^3*z3-
         2128530862363344707778928*ep^3*z3^2;
Fill mncnoptab(9,8,5,4)=
      +mncF321*(4236001261740145497600+33305199757834886481600*ep+
         92677890393585311421904*ep^2+4750999173946706532173674/35*ep^3
         )
      -168060002991747756176288412306565964818079/8069737443076108800-
         1782221799568907620/3*ep^-3-50507910375955336061461/8190*ep^-2
         -19023098777889164216743279275323/1039947854400*ep^-1-
         167191417378890629414624/3*z3+13045553529508765776841352620438\
         70289188596716633204067840349332007955381767005310959271/
         61829107782340641979028076884213787734656287768576000000000000\
         00*ep-83595708689445314707312*ep*z4-
         7433812358682856867258364761/8190*ep*z3-
         34690630698446916297393968672192650386196477360583097904996317\
         30087615264779695397527521482636149/34544055079600802012019389\
         59140708296171337107938438702694400000000000000*ep^2-
         5406984584809632567061616*ep^2*z5-7433812358682856867258364761/
         5460*ep^2*z4+1336015402659995170493122649009643793/
         519973927200*ep^2*z3-45591012183366856162088090635476894391675\
         67641695548729184164241323197839327995520175100184731725712412\
         6130922846467000703690028181/427544720306832601859826938042840\
         65412636836622187772328005730623918335881515030806528000000000\
         000000000000*ep^3-40134405842625017679425560/3*ep^3*z6-
         80621060341467805520423569397/8190*ep^3*z5+1336015402659995170\
         493122649009643793/346649284800*ep^3*z4+5855085489665220998736\
         99219490362718347719/747197911395936000*ep^3*z3-
         5853503245076731198116272/3*ep^3*z3^2;
Fill mncnoptab(9,8,6,3)=
      +mncF321*(1955077505418528691200+15416052567599006436960*ep+
         43120551659815070125212*ep^2+1335559881073933802225488/21*ep^3
         )
      -315224214651308279665295915214916329867853/32783308362496692000-
         2473492500770162564/13*ep^-3-859200102839462060758037/425880*
         ep^-2-56663915089705524172752537874837/9012881404800*ep^-1-
         334406837349007189537408/13*z3+1298536918321526096630226005505\
         769669808676230644467609438284217156024969770558393600099494439
       /133684423682665642461375346715971683288364439161704284160000000\
         00000000*ep-501610256023510784306112/13*ep*z4-
         89334109498842355229439000083/212940*ep*z3-
         86110579117224690017408309736939665436666934679686886077633927\
         34667700538637364871844568991280366110527/18672443532727417519\
         576960849739184624124545603250436563544309760000000000000000*
         ep^2-32442162803084151189012336/13*ep^2*z5-
         89334109498842355229439000083/141960*ep^2*z4+53011320786914832\
         14300299717519574639/4506440702400*ep^2*z3-
         10595323030670613378107054668433726517743992374814610892480649\
         32680208542969444925974288125194653712786361307510210188459358\
         48876169945437/23110502311465529460931085308967708718146715667\
         75737845418021763145281727739413475216064512000000000000000000\
         00000*ep^3-80269389914337859998687320/13*ep^3*z6-
         108840933479260274744157857569/23660*ep^3*z5+53011320786914832\
         14300299717519574639/3004293801600*ep^3*z4+2552809383338919984\
         1207609515075553209584123/65566616724993384000*ep^3*z3-
         11706742448313425335331344/13*ep^3*z3^2;
Fill mncnoptab(9,8,7,2)=
      +mncF321*(418945179732541862400+3320505606026170108800*ep+
         65615003033768236887432/7*ep^2+2057391082478157977858890/147*
         ep^3)
      -2522840847596417003210438437719105041549177/
      1223910178866543168000-1302343380203334436/91*ep^-3-
         34555151262286192346171/212940*ep^-2-
         655823014587766207254006365083/1126610175600*ep^-1-
         501663225420047916842144/91*z3+2435476830841946303332021549961\
         40747588943121114482150373947904682094607435098843417343801944\
         39/11764229284074576536601030511005508129376070646229977006080\
         00000000000000*ep-752494838130071875263216/91*ep*z4-
         33586192079221012667343087631/372645*ep*z3-
         32189791666321149864330707129435299216293218230605586580041948\
         056526364161453021990261510762047293998411/3286350061760025483\
         44554510955409649384592002617207683518379851776000000000000000
         *ep^2-48663807622033417138871568/91*ep^2*z5-
         33586192079221012667343087631/248430*ep^2*z4+39180488017810768\
         180998128725010741/157725424584*ep^2*z3-
         25846402051328084011751460827575996819275654805304244075824155\
         48428148179396749085500036820632751449631854271420129754252910\
         6229742198452157/137479756150446141657186840285987105622511182\
         16435509294822727864598651941976222881365324568985600000000000\
         0000000000*ep^3-120405360991533423055073560/91*ep^3*z6-
         41719929654231438855467874058/41405*ep^3*z5+391804880178107681\
         80998128725010741/105150283056*ep^3*z4+57496199047595873196985\
         599436496346852169159/611955089433271584000*ep^3*z3-
         17559531043522272585777392/91*ep^3*z3^2;
Fill mncnoptab(9,8,8,1)=
      +mncF321*(31919632741526999040+1784520075993704973792/7*ep+
         35742590442740252411780/49*ep^2+17115108066948251310013352/
         15435*ep^3)
      -22202782054522865817311574064169591812617061/
      141361625659085735904000-27458333487997148/9555*ep^-3-
         9722436509857391306173/22358700*ep^-2-
         11913992393106961697326010535917/2602469505636000*ep^-1-
         4013534360237291918544736/9555*z3+8768446083566204129920228348\
         81038018655000793387699253327980007200949027895374214770601089\
         08849/55903617557922387701928096988298174630795087710884850732\
         892160000000000000*ep-2006767180118645959272368/3185*ep*z4-
         269698986707072739612426134381/39127725*ep*z3-
         57543815642683411115008858178140172430071507955287559926321865\
         1640349628088660795332710106865092740369877/
         78083677467418205486666151803005332693779059821848545603967052\
         781977600000000000000*ep^2-129770964059028491128508304/3185*
         ep^2*z5-269698986707072739612426134381/26085150*ep^2*z4+
         168597390289360426386465343243506701461/9108643269726000*ep^2*
         z3+45449894690339218745772813764648023837860653027719011642577\
         07192579609748347519221681100296246113355417656021623389979907\
         260066747282024213909/4246474707974980423507187122753569718468\
         12539469260011098484418281723161183761572359612145286827212800\
         000000000000000000*ep^3-192649678908424090733490088/1911*ep^3*
         z6-344540538781627621270137044998/4347525*ep^3*z5+168597390289\
         360426386465343243506701461/6072428846484000*ep^3*z4+
         589077616813807297696239944454985304360674769/
         70680812829542867952000*ep^3*z3-140473734634079425057442128/
         9555*ep^3*z3^2;
Fill mncnoptab(9,9,4,4)=
      +mncF321*(1010863937460716539200+8020383193298943066600*ep+
         22681954077597708101208*ep^2+509147397339563678425262/15*ep^3)
      -7469714916689588730186459466103933006771/1502935227493539840-
         152876498353774195*ep^-3-60107911525316540571857/37440*ep^-2-
         418418043936834511061510556053/85448563200*ep^-1-
         13299072552415520041556*z3+65042037063757390852159969680336645\
         954345790301976962477981688139805116618850268181099/
         13008201897063875325457855136678744951966647556505600000000000\
         00*ep-19948608828623280062334*ep*z4-
         4072624310767892672692981421/18720*ep*z3-
         42882965092060240198802378136080535622353099180091975678323170\
         3733217683443359219592044924438733/181692757236861361232050036\
         1625956960973235751578009967001600000000000000*ep^2-
         1290300537674818402136712*ep^2*z5-4072624310767892672692981421/
         12480*ep^2*z4+434099827354453516630376764228634831/
         726312787200*ep^2*z3-71245909407559322480605000940549489465791\
         24207515493013248221766986756800655505188443035538656498973366\
         8061480615371983840028868155274311/575257967439418192323446979\
         31841528712023158999508828509008672971214355408985138886139183\
         104000000000000000000000*ep^3-3192503662806007205237890*ep^3*
         z6-1172004873066872925477282653/480*ep^3*z5+434099827354453516\
         630376764228634831/484208524800*ep^3*z4+5604396758031805996038\
         249849890614564104863/24154316156146176000*ep^3*z3-
         465622271197061693220968*ep^3*z3^2;
Fill mncnoptab(9,9,5,3)=
      +mncF321*(694968957004242620700+11039253983507502227475/2*ep+
         62551815351552399331767/4*ep^2+2815021357589681404559461/120*
         ep^3)
      -1008693971150222988817595974134433806085373/
      295121826489640550400-1253365279864561325/16*ep^-3-
         500065401223832365780507/599040*ep^-2-
         16686425267664563609254382877403/6338729779200*ep^-1-
         36574807288870209267139/4*z3+126066178199863842148351613221561\
         233741023065407723169209153177130604298190658816064210071/
         36726490022710341335542677669222989914385834934534144000000000\
         00000*ep-109724421866610627801417/8*ep*z4-
         44822766858687845153837654911/299520*ep*z3-
         83067328454402680203487763608873211895662287656386221747520015\
         6938111614768658125326776889551088473/512979217932071909878487\
         9354323951819814435605288581473501184000000000000000*ep^2-
         1774175774258933429831139/2*ep^2*z5-
         44822766858687845153837654911/199680*ep^2*z4+12984365353134334\
         80657896851041667313/3169364889600*ep^2*z3-
         89248399214324500090017422204021569213140467785503659519992497\
         85771194914908376829754162106518567619021308987586050679910316\
         0288099611875938141/216173698799533391681061405421156900947334\
         30820069758127143496844936434023602419739753737015525376000000\
         0000000000000000*ep^3-17558883706144983251975695/8*ep^3*z6-
         56106129511007638599812704033/33280*ep^3*z5+129843653531343348\
         0657896851041667313/2112909926400*ep^3*z4+12022398310698512827\
         4126805841018610321748083/737804566224101376000*ep^3*z3-
         640217646159987797418671/2*ep^3*z3^2;
Fill mncnoptab(9,9,6,2)=
      +mncF321*(213836602155151575600+1703603428882471109070*ep+
         4853062781023873546317*ep^2+308003265200593406774957/42*ep^3)
      -7064006952404485134303643732305889811424827/
      6714021552639322521600-441904366055183933/52*ep^-3-
         262863317477264024974937/2725632*ep^-2-
         7142921297864772507518061399043/20600871782400*ep^-1-
         36579267661592867865907/13*z3+61930194165431053627563826060906\
         429538234334747148191299516143782886625731208229717587769052561
       /588211464203728826830051525550275406468803532311498850304000000\
         0000000000*ep-109737802984778603597721/26*ep*z4-
         314254769188238901255259559929/6814080*ep*z3-
         40723431239780542153315675306693190383009697691722445876997475\
         2503859316650923793983748905018495419519537/
         82158751544000637086138627738852412346148000654301920879594962\
         94400000000000000000*ep^2-3548399000345370580380774/13*ep^2*z5
         -314254769188238901255259559929/4542720*ep^2*z4+90070422367154\
         04813061747920026878943/72103051238400*ep^2*z3-
         15978876163751891423929354530739909356236152261501989857489093\
         90364503909801533714427835619992713682154165881978445487316985\
         180575797459563276785961/6924475919946653602327758938450497851\
         14501256028474492328660490937003854644032709103791704081308844\
         03200000000000000000000000*ep^3-17559098663418888562574335/26*
         ep^3*z6-397851567928999510822576294247/757120*ep^3*z5+90070422\
         36715404813061747920026878943/48068700825600*ep^3*z4+
         895061669837020183447772465949788894063897813/
         16785053881598306304000*ep^3*z3-1280386249518554047853566/13*
         ep^3*z3^2;
Fill mncnoptab(9,9,7,1)=
      +mncF321*(22911064516623383100+366991319483392287915/2*ep+
         2110445255329270089483/4*ep^2+135605718559828868093695/168*
         ep^3)
      -11101522682376391938930310417004370502550207/
      98472316105376730316800+20328143974303/208*ep^-3-
         3595342255944434542877/10902528*ep^-2-
         23118437254142129058824248895819/6345068508979200*ep^-1-
         15677872634198084462383/52*z3+15699380755137084277774782888145\
         67640414453403116521059521235215327881447331562721583493912572\
         101/1397590438948059692548202424707454365769877192772121268322\
         304000000000000000*ep-47033617902594253387149/104*ep*z4-
         135033362805672174387235217341/27256320*ep*z3-
         20553308618088935037075673365121091169025367246754496194272599\
         34077837089359897303645554077420748587128501/
         39041838733709102743333075901502666346889529910924272801983526\
         3909888000000000000000*ep^2-760376761165223867075103/26*ep^2*
         z5-135033362805672174387235217341/18170880*ep^2*z4+22000268422\
         06143611619240943146396763/166975487078400*ep^2*z3-
         34617120303011536763933895371358748320844862783287894717721938\
         43196580338251148114357863760668883826628711369096883217563268\
         6830457333578989173533981853/722925257287755359264205385147103\
         34437644496011181418002381108524930151710387702237536963366142\
         52040167620608000000000000000000000*ep^3-
         7525378248481248248439115/104*ep^3*z6-
         174252020496944308363897788963/3028480*ep^3*z5+220002684220614\
         3611619240943146396763/111316991385600*ep^3*z4+815182092226034\
         58037943737677728265709022411/12956883698075885568000*ep^3*z3-
         274362734467686844070267/26*ep^3*z3^2;
Fill mncnoptab(10,3,3,10)=
      +mncF321*(1061917671675904243200+8312964340529592263520*ep+
         68834155266191930535319/3*ep^2+7173394074212768453824607/216*
         ep^3)
      -21186474906983202574628404875976995326047921919/
      4055008480556702917248000-5832527142224972/9*ep^-3-
         1100838063664075027402867/149652360*ep^-2-
         61961348455276493869374052085647/2322530399629440*ep^-1-
         125768358636384870080416/9*z3+56713517274913781336449620567369\
         1528128804134144588868998278466225148912333734588884409/
         10698643828765728942442536875143421484800346937098240000000000\
         000*ep-62884179318192435040208/3*ep*z4-
         4248237312937618829964121242511/18706545*ep*z3-
         37888352838883106681357504915517666121752001535166733408622213\
         83873305012098431220029088039508149/14943388112559454084663744\
         872354224727634043114251549566566400000000000000*ep^2-
         1355504661765854706107568*ep^2*z5-
         4248237312937618829964121242511/12471030*ep^2*z4+3478644181646\
         943770066496791714601157/5336696690325*ep^2*z3+
         23415149944288586855748187399021434036873771204978139962928442\
         304044237675509968603963109309594870481553693371640882961/
         40768531838154661715615953053357081501911065766411971942689434\
         903447706009600000000000000000000*ep^3-
         30184433993140768712219240/9*ep^3*z6-
         30202320967165502755237474380053/12471030*ep^3*z5+347864418164\
         6943770066496791714601157/3557797793550*ep^3*z4+12689246608531\
         679985904540562787556119875546473/72410865724226837808000*ep^3
         *z3-4401898506608012222318800/9*ep^3*z3^2;
Fill mncnoptab(10,4,2,10)=
      +mncF321*(594870547559187099200+41976260724414414127730/9*ep+
         4182701707645801304486137/324*ep^2+145859035184224846513102645/
         7776*ep^3)
      -10593247290326513807312989472180305292918096539/
      3619346412397718306304000-221744087161012339/972*ep^-3-
         2627805763230288088039361/979542720*ep^-2-
         36034497373598779167080439027511/3455003900275200*ep^-1-
         1902247142651218576822070/243*z3+61191141257509109151159647583\
         61129298680953518478557761684659869230387797808569450889/
         206309936091901109082913934231415841304689885839360000000000000
         *ep-951123571325609288411035/81*ep*z4-
         1948565348094144432794629730198/15305355*ep*z3-
         12247373180937695637600507227452782242255961095650754034065806\
         2483031966737013157287486622889967/864493527172860980104514166\
         169252670193704973551742536908800000000000000*ep^2-
         20502008859248249862211375/27*ep^2*z5-
         974282674047072216397314865099/5101785*ep^2*z4+395880388516568\
         5053304547425170157937/10887617332800*ep^2*z3+
         46285110208417945583828141665600146106001431733689397583403993\
         92464549195502920904302324456080056648787367249625953522909917/
         15849704428314902299165160916412792646742470771205281568075199\
         675718075008470220800000000000000000000*ep^3-
         913079162952915150915401525/486*ep^3*z6-3344854749052874965306\
         95517688731/244885680*ep^3*z5+39588038851656850533045474251701\
         57937/7258411555200*ep^3*z4+1858014027072169208209065086446907\
         5723968869681/180967320619885915315200*ep^3*z3-
         66578707034621489121274553/243*ep^3*z3^2;
Fill mncnoptab(10,4,3,9)=
      +mncF321*(2920273597108736668800+22801262078895805885380*ep+
         375870295524194010071147/6*ep^2+12979683730004257834592863/144
         *ep^3)
      -10593195612495982405281426819477796577747655619/
      737274269192127803136000-140206530283265369/18*ep^-3-
         1560337445120239934737891/18139680*ep^-2-206644606063835640733\
         712643163591/703797090796800*ep^-1-345861799907565835950980/9*
         z3+11051053246346303619896320446174214228529292317067875977381\
         06855654349152569986886647563/75646976567030406663735109218185\
         80847838629147443200000000000000*ep-172930899953782917975490/3
         *ep*z4-353575929660559798811091666521/566865*ep*z3-
         59190554574218163801731368500511558197419867358573477694259663\
         503895435507219003677386271887181387/8452825599023529583244138\
         5136549149974495597413948159164416000000000000000*ep^2-
         3727636416579614604650970*ep^2*z5-
         353575929660559798811091666521/377910*ep^2*z4+2802396031193418\
         0539432769958574087249/15524935826400*ep^2*z3+
         91525314557322510680792634472514376603283582386265651352620422\
         7019237552279725787489381673148455735276774542150667551431561/
         58217463464884856929899580960193912384729001914436295934160513\
         0421233241817088000000000000000000000*ep^3-
         83007164873272414014769375/9*ep^3*z6-
         29858462102824507895808475819481/4534920*ep^3*z5+2802396031193\
         4180539432769958574087249/10349957217600*ep^3*z4+3265480431623\
         337136441414311876544801637554993/7372742691921278031360*ep^3*
         z3-12105233918456453342068886/9*ep^3*z3^2;
Fill mncnoptab(10,4,4,8)=
      +mncF321*(7138446570710245190400+166919480030786785822520/3*ep+
         4114722311421354816234667/27*ep^2+47175977494537743949227229/
         216*ep^3)
      -10592841106100279885676004043485785395463867169/
      301612201033143192192000-5975564318724606529/81*ep^-3-
         64319368019536219519302571/81628560*ep^-2-71961811247075764613\
         1360436331341/287916991689600*ep^-1-7608862015602098339201960/
         81*z3+25603924672178873792486778045058272836028982432593149746\
         366518931325715325688001009989/7163539447635455176490067160813\
         0500453017321472000000000000000*ep-3804431007801049169600980/
         27*ep*z4-2590706910862097299582666830034/1700595*ep*z3-
         68710097565986663505859161329278870410335910592530440648793625\
         118539561069575527907792208268293/4002284848022504537520898917\
         4502438434893748775543635968000000000000000*ep^2-
         9111987317811675042698260*ep^2*z5-
         1295353455431048649791333415017/566865*ep^2*z4+281536545190191\
         26373401313071545017599/6351110110800*ep^2*z3+
         14431145542145024407994586130363216280279141333876674296612093\
         294245489894715668419516018679284548603725216539644990570060383
       /600367591981625087089589428651999721467517832242624301821030290\
         7468967806238720000000000000000000000*ep^3-
         1826155276817858950298392750/81*ep^3*z6-3259241981996967106084\
         89225372961/20407140*ep^3*z5+281536545190191263734013130715450\
         17599/4234073407200*ep^3*z4+2793836533711485754860178055821648\
         20340833113/274192910030130174720*ep^3*z3-
         266316220011445928856014252/81*ep^3*z3^2;
Fill mncnoptab(10,5,1,10)=
      +mncF321*(87998601709938920000+6239174205279846988850/9*ep+
         627079503948334055145835/324*ep^2+22126004698878372573859291/
         7776*ep^3)
      -2358820316873674019065081960575895073584579741/
      5448068810240775976857600-19396931586789295/12636*ep^-3-
         4168495469841634707391/134042688*ep^-2-
         1231271548853513953509610544197/5200690081466880*ep^-1-
         3658169796317701204483790/3159*z3+8552275459119900733147351536\
         71033502425259888296975636684547321868534579644867597686171/
         19564696992125653597136543510429740150673170331860992000000000\
         0000*ep-1829084898158850602241895/1053*ep*z4-
         79071029350420480651948792985/4188834*ep*z3-
         28410196784952839228477391366385697081219617105453211830228304\
         01357037303523560678836824644216283/13663547695263692227651873\
         9000329777294299791346099096754585600000000000000*ep^2-
         39426942740550525492095995/351*ep^2*z5-
         79071029350420480651948792985/2792556*ep^2*z4+6089840058839809\
         420708109552958639071/114721104738240*ep^2*z3+
         42119285995265339695805729284847945643882291383260210762827443\
         51450795095172891143169457869447331016364305100069745088954656\
         6761/153041576018923033620278960776698643238415949272603957765\
         0205130287985886667867580006400000000000000000000*ep^3-
         1755921574343185141121900825/6318*ep^3*z6-
         6911971240620981919170361310285/33510672*ep^3*z5+6089840058839\
         809420708109552958639071/76480736492160*ep^3*z4+23464402787401\
         797015302235692065442423755844329/1362017202560193994214400*
         ep^3*z3-128035950903700358936037005/3159*ep^3*z3^2;
Fill mncnoptab(10,5,2,9)=
      +mncF321*(1029583640006285364000+8065335710020600636625*ep+
         1604990696974597625095865/72*ep^2+55877356678780751155228517/
         1728*ep^3)
      -42887753169895054263804265917833161010545909/
      8466307397421563289600-304546083416120315/216*ep^-3-
         37736666948616815367287/2291328*ep^-2-
         5572424913305074251305414587/88811873280*ep^-1-
         365816159213212949910515/27*z3+1487502384370036824812658033909\
         3064679566861900726141504263170651688508519797744912473/
         289557805041264714502335346289706443936406857318400000000000000
         *ep-365816159213212949910515/18*ep*z4-
         3942805442057480426189223979/17901*ep*z3-
         39725885816870008833609607210884102370637249419240540317557239\
         0432698330632975931734937802948141/161776566488488604464002650\
         9790414353578863108400921706496000000000000000*ep^2-
         7885386603789601796042615/6*ep^2*z5-
         3942805442057480426189223979/11934*ep^2*z4+5918612921385319163\
         829002847143099/9382988160*ep^2*z3+
         17934629938980678112192184603694905494400725802267395475336664\
         00037531877905913300089955763063853933913178244437356388371190\
         3431/471123658740311407008073760928750032095171753412537436121\
         27526858312215847399482982400000000000000000000*ep^3-
         351184235578399951322812525/108*ep^3*z6-
         1349056034006889370069595678221/572832*ep^3*z5+591861292138531\
         9163829002847143099/6255325440*ep^3*z4+38488698097627732306002\
         20374259349434452733/22279756309004113920*ep^3*z3-
         25607208127496099506932145/54*ep^3*z3^2;
Fill mncnoptab(10,5,3,8)=
      +mncF321*(4492728610936517952000+35078232480897300895200*ep+
         289138994498273768680370/3*ep^2+4993782981095888969124203/36*
         ep^3)
      -504548329842289323870356304396893580604171/22825828767558136320-
         345905145518341640/9*ep^-3-584476215338207187469/1404*ep^-2-
         11414235579604673612504491717/8380532160*ep^-1-
         532089835556069648667040/9*z3+11049532591640000409182811248880\
         97182724394976869483758301396185174868638127909672718443/
         49182244826861874301499606612442785698022047088640000000000000\
         00*ep-266044917778034824333520/3*ep*z4-
         336814061532383167827637861/351*ep*z3-148029886401186957441145\
         27030781944638894909217674231833344857641429481201881311797135\
         84578914619/13739112815750318982053166314764180723408727133846\
         06302208000000000000000*ep^2-5734819063732289941576320*ep^2*z5
         -336814061532383167827637861/234*ep^2*z4+226919154624887912747\
         854696262623831/81710188560*ep^2*z3+
         21924047109296520111707022365521809810589706693138754870757182\
         06255966682915656216393067114846613315072350157089194403223218\
         5349/127758223573689818532664630417145540728287794701230451427\
         51524587093963491675996160000000000000000000000*ep^3-
         127703204345086349563799600/9*ep^3*z6-
         3555118745434095591335670932/351*ep^3*z5+226919154624887912747\
         854696262623831/54473459040*ep^3*z4+19384803176160455534711837\
         150191409763067469/28532285959447670400*ep^3*z3-
         18623494483394923487706880/9*ep^3*z3^2;
Fill mncnoptab(10,5,4,7)=
      +mncF321*(9609447306725330064000+224859748524456497952500/3*ep+
         11100951280392893379296375/54*ep^2+127526160961544226083872901/
         432*ep^3)
      -42881921135402571932348081742354434316426193/
      907104364009453209600-44071142979900400595/162*ep^-3-
         4910143755547650805313359/1718496*ep^-2-
         7546305020968336084004309258623/865915764480*ep^-1-
         10242391147069287062840060/81*z3+58765932060509037332363393320\
         340975233380563014470808774641587446680426156403419771307/
         122106321367880267985678691427874958136448122880000000000000000
         *ep-5121195573534643531420030/27*ep*z4-
         146889253066732819641807912257/71604*ep*z3-
         19290546076948690987434391413624742798642719035768495087909914\
         312912198997023312997735948267671871/8357080284162995511214422\
         658993849658156116822734353203200000000000000000*ep^2-
         12266096362076034846884670*ep^2*z5-
         146889253066732819641807912257/47736*ep^2*z4+11975267991117008\
         778474807480589417/2010640320*ep^2*z3+
         12471722945350397678665170468366450856165430671697295089217337\
         50871898173909004107857486789021171566753246977352734593815772\
         53/34732956873634040856787140187826707366712107158890246347878\
         885650822296177213440000000000000000000000*ep^3-
         2458278535452723838837045525/81*ep^3*z6-
         9265867652870485368952569098539/429624*ep^3*z5+119752679911170\
         08778474807480589417/1340426880*ep^3*z4+1675063009773524798563\
         5519412141138366115119/11935583736966489600*ep^3*z3-
         358505988031737120075067490/81*ep^3*z3^2;
Fill mncnoptab(10,5,5,6)=
      +mncF321*(11087823815452303920000+86599799227543150756900*ep+
         4285754274550264816409725/18*ep^2+16467284069535812183058157/
         48*ep^3)
      -593798973760231094192961713792462647996307/10888602707408025600-
         503420073338958281275/702*ep^-3-55296488334729707591613395/
         7446816*ep^-2-4323545557289254840941882804443/197489560320*
         ep^-1-51208841532482449393792060/351*z3+1384002486521967184177\
         48099339854880110687667392617221319473835832136782186961692880\
         8559/249482138453050601479997256403300723622129172480000000000\
         0000000*ep-25604420766241224696896030/117*ep*z4-
         734888789316877799936729054735/310284*ep*z3-
         48730271683254005140255504318254070256145711269825520341092914\
         2632243837610003870519987435289089/183402902162400282088636895\
         087686635479519755933581312000000000000000000*ep^2-
         183990218690606547229944010/13*ep^2*z5-
         734888789316877799936729054735/206856*ep^2*z4+1193287156835008\
         1404073842317866743/1742554944*ep^2*z3+
         42164310589561553516236312073812251790522813743938151654693411\
         57518054986656287174880255590174121182351402148739205464434246\
         44540689/53542242338981819342371648085142382474081381669715670\
         355109217386168602449021606297600000000000000000000000*ep^3-
         12291317657784735814536740525/351*ep^3*z6-
         46601493067831371005016742209995/1861704*ep^3*z5+1193287156835\
         0081404073842317866743/1161703296*ep^3*z4+46027323917980852698\
         06432603081067583238227/2722150676852006400*ep^3*z3-
         1792564200349539545859115570/351*ep^3*z3^2;
Fill mncnoptab(10,6,1,9)=
      +mncF321*(101826953407215036000+803101559315097551355*ep+
         17975965949091034820859/8*ep^2+66811877116525426059530647/
         20160*ep^3)
      -2358832368768518043307254957447418694471785699/
      4708207613788324918272000+107715011086067/312*ep^-3-
         9511965887961198230899/115839360*ep^-2-
         615593184553136653232248164169/642060503884800*ep^-1-
         52259571366899609728213/39*z3+10253405938727535537873826754923\
         518272982264307586959810595292501587503969509930940567397/
         20289315399241418545178637714519730526624028492300288000000000\
         00000*ep-52259571366899609728213/26*ep*z4-
         3955747426637780272207332179/180999*ep*z3-
         38889002228938643733418875311577832710202028316904754143570920\
         863032665336006063973600644584415667/1619383430549770930684666\
         536300204767932441971509322628202496000000000000000*ep^2-
         3379452252629371158765459/26*ep^2*z5-
         3955747426637780272207332179/120666*ep^2*z4+289048617437936181\
         245555098179299099/4721033116800*ep^2*z3+
         63209879040324700588204415143031865006686608340497155369090718\
         22320528804301504003257623200364678691417687697561135440866114\
         1506547/165058173839668101445278642141387573744543423808082490\
         7450887903480968482213640886288384000000000000000000000*ep^3-
         50169188075771571284199755/156*ep^3*z6-
         463070307434663977874340487247/1930656*ep^3*z5+289048617437936\
         181245555098179299099/3147355411200*ep^3*z4+240786919113480448\
         79221015905283336127463759781/1177051903447081229568000*ep^3*
         z3-3658169946755606549142887/78*ep^3*z3^2;
Fill mncnoptab(10,6,2,8)=
      +mncF321*(1059000315435036374400+8312050188342057977820*ep+
         46112912609977887824535/2*ep^2+33885488391111896914895575/1008
         *ep^3)
      -42887910846948162550944600960587054489960353/
      8231132191937630976000-26258561179235693/6*ep^-3-
         112297441055406456060739/2227680*ep^-2-
         9680432501164452487448238361/51806926080*ep^-1-
         41807367379060397693876/3*z3+183763436268777744915735587415690\
         477172627552302453785373007446066522207238499997584939/
         34837423419027160963562221350480306536098950021120000000000000\
         00*ep-20903683689530198846938*ep*z4-
         15786081102474099732044891656/69615*ep*z3-
         72922763307067017194346863575797134096301553664336002422354972\
         7809973186180578919708466466377/289639035054260196794275579552\
         3202781472573924545921024000000000000000*ep^2-
         1351779874646900414439174*ep^2*z5-7893040551237049866022445828/
         23205*ep^2*z4+2282641366308146241871684890204701/3537237600*
         ep^2*z3+104697546925750287256384884179606168734285353089386299\
         24688845501617750235869191796309456274855836359661865990151110\
         6849998034941/354262907451210725972867964760876488977814697390\
         286939270880817196293029321265643520000000000000000000000*ep^3
         -10033830641404102114059115/3*ep^3*z6-
         151180261543116416807591689129/61880*ep^3*z5+22826413663081462\
         41871684890204701/2358158400*ep^3*z4+7718839592861682710487979\
         7723501162565269027/411556609596881548800*ep^3*z3-
         1463271170622304048408238/3*ep^3*z3^2;
Fill mncnoptab(10,6,3,7)=
      +mncF321*(4043455749842866156800+31654754153312534604360*ep+
         87398640814683978437427*ep^2+15196936588734900158273131/120*
         ep^3)
      -2042115236806142405482927550078069845265023/
      102655843663621248000-88725790193062561*ep^-3-
         30276615073894358823967/31824*ep^-2-
         56337918602370638487771808785661/18520976073600*ep^-1-
         53207793224355505305416*z3+15503967557506621448772973119836330\
         38454582449378954677298157201615292182698128782559797/
         76784525086835375184994283792895369508136461271040000000000000\
         00*ep-79811689836533257958124*ep*z4-
         17199341466369058329013923521/19890*ep*z3-
         10354782422280241056917038376154971518650796482107961645178682\
         978516073838129573096821177771482743/1072491969800917757272517\
         5745708773727967016589175753277440000000000000000*ep^2-
         5161324494218440312900212*ep^2*z5-
         17199341466369058329013923521/13260*ep^2*z4+675867377476542735\
         787976471491042169/272367295200*ep^2*z3+
         13551232305335187793371715118444652064090382927748936438359765\
         80027319056152045950243404262121528569062740531401748354493142\
         029/5866449041649022279561130988542397278339745675056500320651\
         210269583962827810406400000000000000000000000*ep^3-
         12770291752485212018986990*ep^3*z6-
         122299868462120994951239153593/13260*ep^3*z5+67586737747654273\
         5787976471491042169/181578196800*ep^3*z4+567960163874060284516\
         4918208906867959187517/8554653638635104000*ep^3*z3-
         1862362536824871752646668*ep^3*z3^2;
Fill mncnoptab(10,6,4,6)=
      +mncF321*(7413002208045254620800+58010804957213054086140*ep+
         320113544149304628065805/2*ep^2+33367817911662243663010687/144
         *ep^3)
      -6124895172568268933541184455041479214104279/
      167982289631380224000-2693426041060026041/6*ep^-3-
         1488978165723311436383969/318240*ep^-2-
         9437708360214908284026317368769/673490039040*ep^-1-
         292623967014056390786612/3*z3+16247933201868850567286945480773\
         1500487876628688676377556902465731580126572934142778944329/
         43876871478191642962853876453083068290363692154880000000000000\
         0000*ep-146311983507028195393306*ep*z4-
         63049689918784087825646290049/39780*ep*z3-
         10852149744891606347854175625285705440794645513774480328228640\
         56484205997076636873203991920159599301/61285255417195300415572\
         4328326215641598115233667185901568000000000000000000*ep^2-
         9462361250155926298147038*ep^2*z5-
         63049689918784087825646290049/26520*ep^2*z4+173490394914220879\
         44861704821098611/3809332800*ep^2*z3+
         13849966285262388167415755696447804636457226177847971039228874\
         45110138707263233074405096777932957381005540860308829277740564\
         49123013/89237070564969698903952746808570637456802302782859450\
         591848695643614337415036010496000000000000000000000000*ep^3-
         70236149458634306259136255/3*ep^3*z6-
         447639056433588622300794227087/26520*ep^3*z5+17349039491422087\
         944861704821098611/2539555200*ep^3*z4+100941635858988962870681\
         04876165357349401767/8399114481569011200*ep^3*z3-
         10243201836287931228748646/3*ep^3*z3^2;
Fill mncnoptab(10,6,5,5)=
      +mncF321*(7127886738505052520000+55882493003728631359350*ep+
         618802039139129927535685/4*ep^2+64796767850123437712271215/288
         *ep^3)
      -12115043130791383319908117537452910671361/345669927219302400-
         123170275024794724265/156*ep^-3-13490603340439209809556061/
         1654848*ep^-2-65992231292997060941050993996513/2764853844480*
         ep^-1-3657492554566911352375930/39*z3+595717137977081522466942\
         44284539040707271068951716619941814753448770678374627284422900\
         67/16765199704045000419455815630301808627407080390656000000000\
         000000*ep-1828746277283455676187965/13*ep*z4-
         35056873087526309093330921335/22984*ep*z3-
         20918853289851189294477933059876618677839805891346780252442940\
         57659492917033150377044668121501221/12324675025313298956356399\
         34989254190422372759873666416640000000000000000*ep^2-
         118278426985535569650300095/13*ep^2*z5-
         105170619262578927279992764005/45968*ep^2*z4+17717367991865169\
         9169935958880613917/40659615360*ep^2*z3-
         80946838888514608080921938202990872435636919130218987027459811\
         42408000461034110162000412546016098664282597090437846999494857\
         525309687/4677450290733451737749587176718038532935749502666360\
         962222341230855689109946527526158336000000000000000000000*ep^3
         -1755888942010198987992621775/78*ep^3*z6-
         6768558375028189431783069519805/413712*ep^3*z5+177173679918651\
         699169935958880613917/27106410240*ep^3*z4+73780269919826304897\
         1838405098566581669671/604922372633779200*ep^3*z3-
         128043399859210888564242115/39*ep^3*z3^2;
Fill mncnoptab(10,6,6,4)=
      +mncF321*(3665770322659741296000+28860585464964773478420*ep+
         161003143964101083497611/2*ep^2+119223169796767970226993799/
         1008*ep^3)
      -214272355849400670682248216943834740942605581/
      11889413166132133632000-40852308111958277759/78*ep^-3-
         472036374214205225061287123/86879520*ep^-2-1479182675059337779\
         4741073808602887/919313903289600*ep^-1-
         1880895151390212674214476/39*z3+992077991056924116807064497452\
         67681728587744160862673229163256244210465335062780030337755391/
         54333958503846100846904915120393449789869490178768240640000000\
         0000000*ep-940447575695106337107238/13*ep*z4-
         1707163684254043990845709164733/2171988*ep*z3-
         13164571048375160130254244431639482595266684941763943404619365\
         1832858182844388279800570701405292430279/151782495540529243946\
         029959209509192605782168215323796623379660800000000000000*ep^2
         -60828547195254642767790354/13*ep^2*z5-
         1707163684254043990845709164733/1447992*ep^2*z4+29949022581039\
         351429640045949670395683/13519322107200*ep^2*z3+
         64798266882026381056048408198217606455464453998169942858536500\
         84289790710359209695969556670653447287600991861628165875706929\
         5818275463/221009526237155594608667994099927320681214164000985\
         55546500562315793131044497342561098137600000000000000000000*
         ep^3-451511866085934289072891465/39*ep^3*z6-
         4135554510593192029772655035711/482664*ep^3*z5+299490225810393\
         51429640045949670395683/9012881404800*ep^3*z4+2088863088580888\
         776645608851646180682394764733/2972353291533033408000*ep^3*z3-
         65852002891486257610470218/39*ep^3*z3^2;
Fill mncnoptab(10,7,1,8)=
      +mncF321*(72410277978464025600+573566423982010332720*ep+
         4851846164962808699996/3*ep^2+1366816973530824688464176/567*
         ep^3)
      -11100530175473551224262791084960361307185321/
      31157256267716856076800-864445731110654/351*ep^-3-
         153749093046831853549/766584*ep^-2-
         131129358659067596015926027211/63733947076800*ep^-1-
         334461225628609578697264/351*z3+144818180199966054614372681081\
         26844635794605878250627137247050357010000459109522110714167531/
         40435412101547015312391308574584027661295416783478456320000000\
         00000000*ep-167230612814304789348632/117*ep*z4-
         14923393623501293832563549749/958230*ep*z3-
         51708962649846182169986839512340638699724760211860830454848719\
         2915384171048754781516153278001837095169/304983244367881152819\
         75702721240668219403424485309046387122372608000000000000000*
         ep^2-1201583012268022381511624/13*ep^2*z5-
         14923393623501293832563549749/638820*ep^2*z4+13705596522474246\
         44083088976656504623/31866973538400*ep^2*z3-
         14087738043681067909827898180490391938096902952164209414209937\
         54696057912918651667778345675715359685993408512469559986109442\
         0788628597/744519798331236649300212478724140517547132851886989\
         838431841330664817913604413282613985280000000000000000000000*
         ep^3-80270700264019986805291460/351*ep^3*z6-
         27743358711984026566773561848/159705*ep^3*z5+13705596522474246\
         44083088976656504623/21244649025600*ep^3*z4+125020280725315294\
         2555257573207850410882495989/77893140669292140192000*ep^3*z3-
         11706144253509166772548072/351*ep^3*z3^2;
Fill mncnoptab(10,7,2,7)=
      +mncF321*(658933529604022632960+5197783293570663715920*ep+
         218218688321426363832184/15*ep^2+8695580765170893867252298/405
         *ep^3)
      -97032080841207322866482768071706189423467/29928971286133920000-
         953313063850073542/135*ep^-3-8515248778713812559743/105300*
         ep^-2-1319113511031541373752452880999/4456919376000*ep^-1-
         1170593426754075316727504/135*z3+68244968751475142060510060229\
         508676942521028854440699276721107060020105924528199334609447/
         20867323876539966667921975948422153360446497121894400000000000\
         00000*ep-585296713377037658363752/45*ep*z4-
         14893181172525079924951212949/105300*ep*z3-
         90572778886484354141260591017807787274719091889291067668809847\
         3270465658482259236984191857366068073/582930929468263533952827\
         1993549945249789131369646115310796800000000000000000*ep^2-
         4205532318366139951558984/5*ep^2*z5-
         14893181172525079924951212949/70200*ep^2*z4+882507202376132083\
         091830570302932993/2228459688000*ep^2*z3-
         44038132948478308678884335253842302290938053970742801962357852\
         55186147227612458117377102098196619836401212853533230755587099\
         827721009/1442963431035560031276915915894587207676493235998837\
         3160701934085572438360011322897203200000000000000000000000*
         ep^3-56189389584565851687682532/27*ep^3*z6-
         54515112673940605865823069931/35100*ep^3*z5+882507202376132083\
         091830570302932993/1485639792000*ep^3*z4+129068662348765143730\
         4862390723007834855921/9726915667993524000*ep^3*z3-
         40971734032764747057764072/135*ep^3*z3^2;
Fill mncnoptab(10,7,3,6)=
      +mncF321*(2156509733249528616960+16976703910274254626480*ep+
         236724469524064740433908/5*ep^2+625851494240040514558972/9*
         ep^3)
      -1441348792417485631896245294918302802560829/
      135868028378322240000-1536464913803143478/15*ep^-3-
         1967699001440855885173/1800*ep^-2-
         4709583382828026216195086725319/1361836476000*ep^-1-
         425644152035099686726576/15*z3+7601393038435470742685051750454\
         737350578968867982098279547956984059635904536753383327/
         70906385711363353204353387933230556383910297600000000000000000
         *ep-212822076017549843363288/5*ep*z4-
         1352554931945172810960897139/2925*ep*z3-
         26268899661709325779269167141315004096046393049460787449316514\
         69185259735416629784054743817021621/51500214636298571777791960\
         36354753290740464148463747072000000000000000000*ep^2-
         13763467488247048337753064/5*ep^2*z5-
         1352554931945172810960897139/1950*ep^2*z4+44375753067541904478\
         5965114051813979/340459119000*ep^2*z3-
         26102240655650299724080655802788866999562418129412483996215493\
         60722165228541335896047581739741487067623047612863550118534509/
         10243717632476738674340073754957803825541409014613555072620251\
         480229554212044800000000000000000000000*ep^3-
         20432379156353022663266308/3*ep^3*z6-
         9826275025705700406381638707/1950*ep^3*z5+44375753067541904478\
         5965114051813979/226972746000*ep^3*z4+561007797205631857912737\
         7180449498976875377/13586802837832224000*ep^3*z3-
         14899100484121407473533768/15*ep^3*z3^2;
Fill mncnoptab(10,7,4,5)=
      +mncF321*(3294667648020113164800+25939168085418420232400*ep+
         651175375156456992167788/9*ep^2+14350337943829185231312247/135
         *ep^3)
      -571757193432084384920801545865672607863/35290396981382400-
         9324619484374895470/27*ep^-3-75826188523600545519577/21060*
         ep^-2-28857440872965530295448604732341/2674151625600*ep^-1-
         1170409257845155365045008/27*z3+208296983713759821613566103490\
         14189772056234601439077716634839357603654214471339768515393/
         12719130743795789207114347244752550619700722055249920000000000\
         0000*ep-585204628922577682522504/9*ep*z4-
         4959304379942980045755514859/7020*ep*z3-
         13840685658480784029383876649096069330881439109956154692690899\
         1537239179292678327076940906042162061/177655140409375553204671\
         146470093569517383051265405418995712000000000000000*ep^2-
         37849137903000613718400872/9*ep^2*z5-
         4959304379942980045755514859/4680*ep^2*z4+26619732457698626980\
         40413304672258471/1337075812800*ep^2*z3+
         11936390830300569506327301897588822029898718679888317652247380\
         41951493259124452567467052252030636333330595288429578077798404\
         960534697/2198801418720853380993395681363180506935608740569656\
         862583151860658657273906487298621440000000000000000000000*ep^3
         -280942511127891714475394020/27*ep^3*z6-
         162192229667743405868146757029/21060*ep^3*z5+26619732457698626\
         98040413304672258471/891383875200*ep^3*z4+38026705563352923890\
         49544917694856859649/6015408576372000*ep^3*z3-
         40973759892099500237457224/27*ep^3*z3^2;
Fill mncnoptab(10,7,5,4)=
      +mncF321*(2534359729246240896000+19998152264116009768400*ep+
         504062201334453580366240/9*ep^2+2233769422430003485811201/27*
         ep^3)
      -16005719546803000327208822087806258231927/1284570450122319360-
         128426419577016380050/351*ep^-3-416965675512336450330721/
         109512*ep^-2-39497753505127822157711605728403/3476397113280*
         ep^-1-11703318352509784135427600/351*z3+1948798604461725266220\
         97306212371568299306174861024118619814311241874546524568000789\
         9403057889/154691975975655957705305758342767233519393136744257\
         81452800000000000000*ep-5851659176254892067713800/117*ep*z4-
         4964493674750106564525209411/9126*ep*z3-
         25815115226473959681175642702297583336928879926295725581879430\
         04600708464035642448341932820895116594661/43213369318597737688\
         16382368082497013011680553895101033277397401600000000000000*
         ep^2-378488634363481740963649400/117*ep^2*z5-
         4964493674750106564525209411/6084*ep^2*z4+52908088842264019674\
         2737647726325117/347639711328*ep^2*z3+
         24874607108377279324131949036832148247998452435090578915380324\
         26422732908827848823788053386043103223145155437305765569233113\
         0082447646129/534843053493916538952976545721824116048538276882\
         38504422531360804219377127683568997857492992000000000000000000\
         000*ep^3-2809406461844838596888801500/351*ep^3*z6-
         81878158141216625013180336938/13689*ep^3*z5+529080888422640196\
         742737647726325117/231759807552*ep^3*z4+4952053325681796265430\
         429081538415875208829/9634278375917395200*ep^3*z3-
         409746117494334283696002200/351*ep^3*z3^2;
Fill mncnoptab(10,7,6,3)=
      +mncF321*(977538752709264345600+7748552245772103963120*ep+
         21876410612624222368692*ep^2+685991076616603655855947/21*ep^3)
      -252153072691203682377691970590816838781809/52453293379994707200-
         1589536923155540062/13*ep^-3-27633793838920507879597/21294*
         ep^-2-36536207084612947525743623477801/9012881404800*ep^-1-
         167195660045111481559952/13*z3+4113248399486959602726695311722\
         09329344303386335914674607853698496901783071639804832660392658\
         23/85080586786610776737918167088521978435666225209341797990400\
         0000000000000*ep-250793490067667222339928/13*ep*z4-
         44779262196962466343309686767/212940*ep*z3-
         43430812265319692207763973298426546497566930616378083124380512\
         1540971387702523757763574022565705060893/190138825001830045827\
         9208241956298685725139443713844454642054856704000000000000*
         ep^2-16220998867882584889436664/13*ep^2*z5-
         44779262196962466343309686767/141960*ep^2*z4+26116659231981703\
         78790371463565570643/4506440702400*ep^2*z3+
         30749715914375414710443644306502462701483075367565794691797156\
         96131101842428987328094098876362753189012610512876231235138849\
         1478838216741061/994273236445190845913583398496871031734232656\
         72435379721485799735043822080363754767017079472128000000000000\
         000000000*ep^3-40134508019593683519691780/13*ep^3*z6-
         166928405456692839589016425093/70980*ep^3*z5+26116659231981703\
         78790371463565570643/3004293801600*ep^3*z4+7204863779662485758\
         544329823384335202685019/32783308362496692000*ep^3*z3-
         5853456546956800652343176/13*ep^3*z3^2;
Fill mncnoptab(10,7,7,2)=
      +mncF321*(173784667148313661440+1387227936814233499216*ep+
         35689435556712070781120/9*ep^2+17066422039695299919022727/2835
         *ep^3)
      -504570714451812579334546044640836752349383/590099550524940456000
         -17011551501611165378/1755*ep^-3-6309009199112694251002727/
         57493800*ep^-2-59693772192174172918850873039657/
         152092373706000*ep^-1-4013160704333460838194256/1755*z3+
         15347103907747576592043922018948633583511283531589538777043195\
         794288577283475574355504319871283/1796901992933219604704831688\
         909584184561270676421298773557248000000000000*ep-
         2006580352166730419097128/585*ep*z4-
         269612771091361751005045420646/7186725*ep*z3-
         50383605343069489303649557144228799601711269324789248964208440\
         8968977559653502434766003888158150944599023/
         12549162450120783024642774396911571325785920328511373400637562\
         054246400000000000000*ep^2-43256546428743999325060328/195*ep^2
         *z5-134806385545680875502522710323/2395575*ep^2*z4+38381071243\
         41498820475250578273540429/38023093426500*ep^2*z3-
         38378240662022813514133804546565822123958985358379382608580575\
         26627946827266714378332483452080031273610876081175001517956516\
         90937399144239701/40145244087998764507946096748720722128375135\
         03385861449460461937537298792703628310122383726451097600000000\
         000000000000*ep^3-192647878577181266543674348/351*ep^3*z6-
         687548459338204354174746202961/1597050*ep^3*z5+383810712434149\
         8820475250578273540429/25348728951000*ep^3*z4+5306437102529042\
         9153906699555270951319755713/1180199101049880912000*ep^3*z3-
         140477844896089098680050648/1755*ep^3*z3^2;
Fill mncnoptab(10,8,1,7)=
      +mncF321*(31679496615578011200+252903751622831961960*ep+
         2169126864384350734028/3*ep^2+3112086133976218649900638/2835*
         ep^3)
      -77706545697103216492677382814150269460910553/
      498516100283469697228800+231869016171463/351*ep^-3-
         6864757704262232135119/30663360*ep^-2-
         184945865096868811171535881861/72838796659200*ep^-1-
         146326809949665511017148/351*z3+275890054343229649553852620505\
         3117387614443860375887686203247853814183601872810317255071761/
         17717739855604076788404449622765926371442362600862515200000000\
         00000000*ep-73163404974832755508574/117*ep*z4-
         104860858962220365346670273779/15331680*ep*z3-
         62133368154149283689662730915352468205851054467922534805289952\
         53453059245222739579712375488617428893141/84883404018674127601\
         7503679444776198984437251657966274393774489600000000000000000*
         ep^2-525692575830483356814728/13*ep^2*z5-
         104860858962220365346670273779/10221120*ep^2*z4+32825851111065\
         954501867914811905625503/1784550518150400*ep^2*z3-
         66728996193772377044108843490978177814786846125602272654926119\
         20795575553919429549326218035012967544629131609257468008879980\
         01453269043427113313/60118606319207569648060846554460033221439\
         93497932005003282187850057592203970872217180493057642987520000\
         0000000000000000000*ep^3-35118431843683462807451270/351*ep^3*
         z6-401247934173389454270002224231/5110560*ep^3*z5+328258511110\
         65954501867914811905625503/1189700345433600*ep^3*z4+1023827810\
         7196800769092275010313474623884646487/
         1246290250708674243072000*ep^3*z3-5121437767300824594748024/
         351*ep^3*z3^2;
Fill mncnoptab(10,8,2,6)=
      +mncF321*(247100073601508487360+1965511662233948108280*ep+
         27917192653926026908028/5*ep^2+1588524467377648850371894/189*
         ep^3)
      -35320010531988660481211749169183818046168023/
      29051054795073991680000-279126805062016769/45*ep^-3-
         277765108374766901819887/3931200*ep^-2-
         1521350790645902607871453520297/5942559168000*ep^-1-
         146320651923880784896348/45*z3+5592900070518411553150031078011\
         413600518144582196313489993797048974603457808535211861175873/
         45908112528387926669428347086528737392982293668167680000000000\
         0000000*ep-73160325961940392448174/15*ep*z4-
         104673252346857577722061884403/1965600*ep*z3-
         36833146529628628429107808270877171262193250575489729651009711\
         840667866040673968148876483490664111327/6412240224150898873481\
         09919290493977476804450661072684187648000000000000000000*ep^2-
         1577070454725267838377624/5*ep^2*z5-
         104673252346857577722061884403/1310400*ep^2*z4+301613852058053\
         7448032139034680941853/20798957088000*ep^2*z3-
         56251090551594227606384660657667025896700539767107110985487743\
         36295869021753281131841031048547438984190126085756320941597116\
         62376465380296923531/54043424699883347920265351355289225236833\
         57705017439531785874211234108505900604934938434253881344000000\
         000000000000000000*ep^3-7023656720301764880251134/9*ep^3*z6-
         30405221747395571929583383939/50400*ep^3*z5+301613852058053744\
         8032139034680941853/13865971392000*ep^3*z4+1736779191340278310\
         93441103893610034597831649/2905105479507399168000*ep^3*z3-
         5121505602651364179497464/45*ep^3*z3^2;
Fill mncnoptab(10,8,3,5)=
      +mncF321*(673909291640477692800+5352166167608527066800*ep+
         15162106817969326590760*ep^2+1023307793586006145770332/45*ep^3
         )
      -5044004739254403343244487959260756694234897/
      1521721917837209088000-178780637581952714/3*ep^-3-
         2383692598187450130511/3744*ep^-2-
         13200930952883076203943572706247/6536815084800*ep^-1-
         26600940113885826401944/3*z3+346426059168585740269253512560031\
         3132969465349241778512921933350637039364580271249075937/
         10406561517651100260366284109342995961573318045204480000000000\
         0000*ep-13300470056942913200972*ep*z4-
         150919631871520830689379087/1040*ep*z3-45668798170718427512725\
         82648599091361137595136959592165310364237250435833298101524852\
         102444513431/2907084115789781779712800578601531137557177202524\
         8159472025600000000000000*ep^2-860210266067254649221136*ep^2*
         z5-452758895614562492068137261/2080*ep^2*z4+199777715001666585\
         85795392198845221/50283192960*ep^2*z3-
         29461631828414251747308488077331220311180062127398722782874855\
         71896016664723797390123719389710314337541824875241672023733449\
         565192674416217/4602063739515345538587575834547322296961852719\
         96070628072069383769714843271881111089113464832000000000000000\
         0000000*ep^3-6385074645219695303153660/3*ep^3*z6-
         15299667799094200495114621201/9360*ep^3*z5+1997777150016665858\
         5795392198845221/33522128640*ep^3*z4+1202029019832597008628501\
         32948956695199392019/760860958918604544000*ep^3*z3-
         931213784357296706125552/3*ep^3*z3^2;
Fill mncnoptab(10,8,4,4)=
      +mncF321*(823666912005028291200+6544693493231796702800*ep+
         167006676419184602075152/9*ep^2+3761464513945567099457578/135*
         ep^3)
      -22409874999902628242314754181655673036201/5533534246680760320-
         3265519393007680270/27*ep^-3-214256144576141147498249/168480*
         ep^-2-20807257840824571690867870592723/5348303251200*ep^-1-
         292581745549505208915272/27*z3+7568285425483389896926898633033\
         07840938277881195616348357534041791890854716931544299123141/
         18592785573997110301118480570044138644157828935607910400000000\
         000000*ep-146290872774752604457636/9*ep*z4-
         4981209410379050632701644639/28080*ep*z3-
         39860671850962121142312155691491766368765451389881062528773238\
         97136810074763288171285502494483223263/20775658326248912350078\
         761385012004870248464201418754967679795200000000000000*ep^2-
         9462211565235381764552048/9*ep^2*z5-
         4981209410379050632701644639/18720*ep^2*z4+1296829153912751165\
         488956240231553273/2674151625600*ep^2*z3-
         92807588285296097384953099852857158522201061762423766992917995\
         60380275409781010562192738614854420691357099335282100326791932\
         46545027814969237749/87550348013811023630829869195568544883670\
         39482128252041493116222199255779558979994600263491287777280000\
         00000000000000000*ep^3-70235132375391600211852180/27*ep^3*z6-
         168626092437662030830456564459/84240*ep^3*z5+12968291539127511\
         65488956240231553273/1782767750400*ep^3*z4+5779701421633800244\
         193971215607774558273103/29643933464361216000*ep^3*z3-
         10243666334192861346284816/27*ep^3*z3^2;
Fill mncnoptab(10,8,5,3)=
      +mncF321*(475192449233670168000+3785456162841623655000*ep+
         32345138662938276780220/3*ep^2+146583785886468650877344/9*ep^3
         )
      -186779069307188033334090658122613943963507/79928828007610982400-
         7548232975114159405/117*ep^-3-200749334164433836912361/292032*
         ep^-2-20092999052027849334782086343147/9270392302080*ep^-1-
         731467961705558323256780/117*z3+557667802508770971240238456465\
         83603096907562316393275949670331784169117892650768594069759567\
         307/2382256430025101748661708678478615396198654305861570343731\
         200000000000000*ep-365733980852779161628390/39*ep*z4-
         4987453643573029890530991095/48672*ep*z3-
         73270126368293080129338746512991804369996263023018587906908273\
         739706979591608030739612190708199077162699/6654858875064051603\
         97722884684704540003798805299845559124719199846400000000000000
         *ep^2-23655577056442942851021320/39*ep^2*z5-
         4987453643573029890530991095/32448*ep^2*z4+2574414052998437035\
         20712041292890029/927039230208*ep^2*z3-
         11885904203554657681741867744334468069277214680268246955663234\
         08694361061169444796853627980311525111792156127921156445169925\
         282031797243766544616883/5608825495156789417885484740144903259\
         42746017383064338786214997658973122261666494374071280305860163\
         6659200000000000000000000*ep^3-175588158019058175574517950/117
         *ep^3*z6-170430289091973196404079370035/146016*ep^3*z5+
         257441405299843703520712041292890029/618026153472*ep^3*z4+
         42561903848376147197518233373490691545577857/
         359679726034249420800*ep^3*z3-25609015816207529419877240/117*
         ep^3*z3^2;
Fill mncnoptab(10,8,6,2)=
      +mncF321*(122192344088658043200+978042601928625738120*ep+
         2809094676332654320556*ep^2+270330742507233788574568/63*ep^3)
      -5045733322280325810636293112485319343890497/
      8392526940799153152000-285960944286888277/39*ep^-3-
         848670675576655698289457/10221120*ep^-2-
         32150494078529151159774487274369/108154576857600*ep^-1-
         62705189617988715849260/39*z3+13463719459652616839644266681161\
         68263692643729888126615199988481854825117452987230453306818872\
         111/2246127491166524505881039611136980230701588345526623466946\
         56000000000000000*ep-31352594808994357924630/13*ep*z4-
         26996760738076999184323600009/1022112*ep*z3-
         25185169257643441803296922679355180308628635039150292692916184\
         2243114266426323647407480410851781608586901/
         89636874643719878747448388549368366612756573775081238575982586\
         10176000000000000000*ep^2-2027649034798458913212360/13*ep^2*z5
         -26996760738076999184323600009/681408*ep^2*z4+3807417748482504\
         536579421686743060771/54077288428800*ep^2*z3+
         21979112512505404472872401003013867530989091881969874021774501\
         38381140911328042817225628932548327104555361157656187988088040\
         4067810504771120504109010121/116184416349817825596033008327213\
         03748907151144654156464668392441506631524883737859604154826701\
         47649312653312000000000000000000000*ep^3-
         15050604786943470059469550/39*ep^3*z6-
         11587043493633570756387112189/37856*ep^3*z5+380741774848250453\
         6579421686743060771/36051525619200*ep^3*z4+1393663641131815972\
         06608725354627821219196131/4196263470399576576000*ep^3*z3-
         2194971260499019114379960/39*ep^3*z3^2;
Fill mncnoptab(10,8,7,1)=
      +mncF321*(10861541696769603840+87563024616120392416*ep+
         2292021155532066802184/9*ep^2+1121257898834658340925762/2835*
         ep^3)
      -11102583643796267598599346360980824517898851/
      207715041784779040512000-2775356697254768/1755*ep^-3-
         36113809124083125800299/114987600*ep^-2-
         1388949090036557035465793940793/418254027691500*ep^-1-
         250845904524755225106256/1755*z3+16490955077869275088538683233\
         89568404399153461221675415669408006843072543861857943866835928\
         99822941/31131327027568029651511209010358545997524014468999001\
         2518793216000000000000000*ep-125422952262377612553128/585*ep*
         z4-135466303616118871178621200723/57493800*ep*z3-
         19506424251712909643552874207774380350164670072846876530589520\
         561565346668043505081665266615280111042721339/
         79059723435760933055249478700542899352451298069621652424016640\
         94175232000000000000000*ep^2-2703561747272919618694928/195*
         ep^2*z5-135466303616118871178621200723/38329200*ep^2*z4+
         2561005737380869423995660159047523289/418254027691500*ep^2*z3+
         84131710478555266184134855949281943496773358543171376291782855\
         57050944629425949848040712828295205766643911570218589415808689\
         279016570489744523218222824771/
         41868216275820351631786454880794490189561809864875718236079019\
         00221329736307103775086953233350144069063077475123200000000000\
         000000000*ep^3-12040604910465760671574048/351*ep^3*z6-
         178920059922129277288914831509/6388200*ep^3*z5+256100573738086\
         9423995660159047523289/278836018461000*ep^3*z4+344932147421978\
         740403029486945347407252135689/103857520892389520256000*ep^3*
         z3-8779608095053787469877168/1755*ep^3*z3^2;
Fill mncnoptab(10,9,1,6)=
      +mncF321*(8385749104123591200+67743920109919547340*ep+
         197721834616365700509*ep^2+38861362583438897852701/126*ep^3)
      -4090177339667654177192941784647728172412647/
      99120160290280524595200-156669533650069/78*ep^-3-
         4141135346052179448611/23167872*ep^-2-
         20407680223317327059383647391/11264219366400*ep^-1-
         4303727310437776085062/39*z3+633233481424279188754502466353356\
         5414605056656987616340957348973538824297419689201006815889717/
         15506890574167851120848632792937241683693551768174382284800000\
         000000000000*ep-2151863655218888042531/13*ep*z4-
         105469547853271865454040087123/57919680*ep*z3-
         13705673675168897478653828828684892118896430781854027561969549\
         823596294960975329370209631351035092905711/7219777508800807864\
         242445200735620821771464343211681956994482176000000000000000000
         *ep^2-139153909274446249158228/13*ep^2*z5-
         105469547853271865454040087123/38613120*ep^2*z4+10555894544980\
         565737490393231346404467/2247211763596800*ep^2*z3-
         29192402443284230186896243962935113218192947676555769694388630\
         01645211086157583647257284206873969556702324450801722496956157\
         740175041850807315720287/2040247369269996150685857544364878831\
         14094120079818377203980323222510064314759637503795769952528498\
         688000000000000000000000000*ep^3-1032895001282252428474055/39*
         ep^3*z6-420933417916581637374867751367/19306560*ep^3*z5+
         10555894544980565737490393231346404467/1498141175731200*ep^3*
         z4+12471774809011144826847301347558075488380313803/
         4708207613788324918272000*ep^3*z3-150630553064996689706956/39*
         ep^3*z3^2;
Fill mncnoptab(10,9,2,5)=
      +mncF321*(54507369176803342800+438926951839968241650*ep+
         1273941991119605380507*ep^2+138080016864480023077349/70*ep^3)
      -784909010444533496819770608434699960067043/
      2926624779355602124800-35097449823881005/12*ep^-3-
         593329444765053282511423/17821440*ep^-2-
         9739187830911991606160440385123/80818804684800*ep^-1-
         2151671733831333085427/3*z3+7051772096827822177162559576052737\
         6356629783068004203638808394256665615427679969170973661931/
         26490292589237787629022139935986696582533440083494699008000000\
         000000000*ep-2151671733831333085427/2*ep*z4-
         8099853042733670098981755743/685440*ep*z3-
         18362430674102509159923106984140073358509504643748413675010339\
         89804762298329058689629585332792976979453/14800183264794463274\
         1513462057037901361389059263440273484042731520000000000000000*
         ep^2-69576273882247896900818*ep^2*z5-
         8099853042733670098981755743/456960*ep^2*z4+872335591243234123\
         2442730735658076351/282865816396800*ep^2*z3-
         10835462795228795598382447779658725562495290399467685105807500\
         58004597450287273409272443723283191365117492607112361317605674\
         6421987993909896655831/733755297639559055191716998972383995215\
         52330897836779014418497862241381771541927573792684498411847680\
         000000000000000000000*ep^3-1032885749564561788085135/6*ep^3*z6
         -1246712324543346577954370291893/8910720*ep^3*z5+8723355912432\
         341232442730735658076351/188577210931200*ep^3*z4+2769165329298\
         8720415680420324301742668773219/1688437372705155072000*ep^3*z3
         -75317385644764922647406/3*ep^3*z3^2;
Fill mncnoptab(10,9,3,4)=
      +mncF321*(118925169113025475200+956509130788860448800*ep+
         2770342476108355757378*ep^2+192494081989084141445261/45*ep^3)
      -3026044022990710199820797309691848343532709/
      5173854520646510899200-16860972120303850*ep^-3-
         6412202019997327314593/35360*ep^-2-
         32468631910139168496405393976967/55562928220800*ep^-1-
         1564621509759225893976*z3+347163710312104834619873218909438938\
         48308677326011404108734119908023319281760234662165113/
         59707646707523187743851555077355439329526912284360704000000000\
         00000*ep-2346932264638838840964*ep*z4-
         4099734981267699279656344501/159120*ep*z3-
         45214354706807401613783767442178575769435080773374946918513772\
         898493541165427177585791742586940027/1667939511434387296110219\
         331972628490173430419948613149707468800000000000000*ep^2-
         151800326387929279011952*ep^2*z5-4099734981267699279656344501/
         106080*ep^2*z4+1876378761852737914604412806334614557/
         27781464110400*ep^2*z3-902749591296083777357983418405817483155\
         86800094252756989555640713372556928946922720524343679284554191\
         1063152467931667636581014819008753569/
         31063930241728582385466136883194425504492505859734767394864683\
         40445575192085197499851515887616000000000000000000000*ep^3-
         375589262195425132794940*ep^3*z6-48335647088847240766279820227/
         159120*ep^3*z5+1876378761852737914604412806334614557/
         18520976073600*ep^3*z4+454099973526834442571959284851468509079\
         657099/12934636301616277248000*ep^3*z3-54778818601912127774128
         *ep^3*z3^2;
Fill mncnoptab(10,9,4,3)=
      +mncF321*(109014738353606685600+877470959110946300100*ep+
         2544820283655609698354*ep^2+59045341402842789082561/15*ep^3)
      -30564387682341741555076013228801640146557/57012171026407833600-
         103219524875927845/6*ep^-3-235379443304354362816649/1272960*
         ep^-2-264224179338788205826376025473/444059366400*ep^-1-
         4302594044600859329014/3*z3+8465900134257261140483217778717019\
         4457929481487091021200790099239315151995830654471551239947/
         15894175553542672577413283961592017949520064050096819404800000\
         000000000*ep-2151297022300429664507*ep*z4-
         5012573289870814697741611559/212160*ep*z3-
         11017117093893910311163022826070045991727052748932652830835212\
         6052057139044141138304194868097680370153/444005497943833898224\
         5403861711137040841671777903208204521281945600000000000000*
         ep^2-139149890816341175662276*ep^2*z5-
         5012573289870814697741611559/141440*ep^2*z4+124802326205136592\
         9798271040263248753/20204701171200*ep^2*z3-
         44623168996414496404747148990041953453059399328759989229957559\
         10915587082999081280118167604995640140472058983034594334202093\
         29050488644852742909/22012658929186771655751509969171519856465\
         69926935103370432554935867241453146257827213780534952355430400\
         000000000000000000*ep^3-1032867696011056669144535/3*ep^3*z6-
         177773015446834714805727563779/636480*ep^3*z5+1248023262051365\
         929798271040263248753/13469800780800*ep^3*z4+51070882558909193\
         337264721958980564017582961/1567834703226215424000*ep^3*z3-
         150643015585082120376892/3*ep^3*z3^2;
Fill mncnoptab(10,9,5,2)=
      +mncF321*(41928745520617956000+338424830251708869900*ep+
         986243855772343430955*ep^2+27635359008424804380557/18*ep^3)
      -720836417236837523820535530108493474828147/
      3494031624332708659200-243600987448634585/78*ep^-3-
         13034853348493394307153/367744*ep^-2-
         496366924471653274190482691323/3891275781120*ep^-1-
         21515966931064008947390/39*z3+34696237816108656591648829085320\
         09075697476548614204434206853410480871581427087429962021885592\
         51/16970741044369296266656743728590517298634223055090043972485\
         1200000000000000*ep-10757983465532004473695/13*ep*z4-
         1673266836898780558840790605/183872*ep*z3-
         75112037616272089821625690517592135915288443549589305472692312\
         7952267534007333982072988245117841221665777/
         79013245056316041266269320276850634273466905772108647337347612\
         934144000000000000000*ep^2-695760079688958982065060/13*ep^2*z5
         -5019800510696341676522371815/367744*ep^2*z4+15275238443328839\
         019779520078502267/648545963520*ep^2*z3-
         44996708739441701885239684436919402993679320705184968962074505\
         89991027805749914353440819161100158677420560579143426006168354\
         234020719633852511773869/7051094908197106696770323673325021240\
         42309278995852311616955997056994782271809307213118180955938491\
         46572800000000000000000000*ep^3-5164410680339532343119475/39*
         ep^3*z6-19973777520516022752325955915/183872*ep^3*z5+152752384\
         43328839019779520078502267/432363975680*ep^3*z4+31980824759337\
         320154946369228377328819490179/2445822137032896061440*ep^3*z3-
         753182120176244447524220/39*ep^3*z3^2;
Fill mncnoptab(10,9,6,1)=
      +mncF321*(5390838709793737200+43725217294822437990*ep+
         128511754499952222289*ep^2+25490430542929705740595/126*ep^3)
      -33309200926707425382219122984752109150307533/
      1255522030343553311539200-315853664565923/156*ep^-3-
         27794768971504358494231/139007232*ep^-2-1643596178542663231532\
         46028175017/80899623489484800*ep^-1-2766681465350797456957/39*
         z3+19778802021848212338449235069803837444053766052980318882612\
         0277043305973356469399822823369969270281/756046513526652148679\
         557933108707545654154637104261458974212096000000000000000*ep-
         2766681465350797456957/26*ep*z4-407613316733744613117626628983/
         347518080*ep*z3-2326170205269361940258273983793073467814336338\
         6796267027624475026656449219325368551336500483764109986849439/
         19200218548684798027703444827274704128452458102622401302975469\
         942996992000000000000000*ep^2-89456082891237857220558/13*ep^2*
         z5-407613316733744613117626628983/231678720*ep^2*z4+1206126397\
         00627356028889603845761288731/40449811744742400*ep^2*z3-
         73271206113391236316565276472846035554232975501923131309102726\
         37899763561494196652998494523737508365850721012241937980704049\
         368276001645336718101093549997/
         29905868768443108308418896343424635849687007046339798740056442\
         14443806954505074125062109452392960049330769625088000000000000\
         000000000*ep^3-1328007836041813871023585/78*ep^3*z6-
         183284051610126446334095809123/12871040*ep^3*z5+12061263970062\
         7356028889603845761288731/26966541163161600*ep^3*z4+5662942636\
         528333981048539637632335516413882787/3138805075858883278848000
         *ep^3*z3-96833929100772375886066/39*ep^3*z3^2;
Fill mncnoptab(10,10,3,3)=
      +mncF321*(11011589732687544000+90121790625069203000*ep+
         2420482355742153421180/9*ep^2+3884731392578539605218/9*ep^3)
      -5043914140618654332174254605809415924762097/
      93129381371637196185600-55784814317437975/27*ep^-3-
         77715157436077771338449/3436992*ep^-2-
         10103965851182356221986205556273/133351027729920*ep^-1-
         3911255784541220390660/27*z3+317616990617654406020118903612999\
         656597972752208696342938848926583806119377790931391953/
         59707646707523187743851555077355439329526912284360704000000000\
         0000*ep-1955627892270610195330/9*ep*z4-
         4134706929907859412109976621/1718496*ep*z3-
         50838339021629045374671031445553796927030396957778931336871866\
         3724094073359525070526314071097901/208492438929298412013777416\
         496578561271678802493576643713433600000000000000*ep^2-
         126499213150038426368440/9*ep^2*z5-
         4134706929907859412109976621/1145664*ep^2*z4+39459865414457607\
         0677093196374433907/66675513864960*ep^2*z3-
         17661331013030837536428934651716638053607341587168441664844010\
         66190827881930344073780094706722504601547458126701128065749535\
         500143807/4970228838676573181674581901311108080718800937557562\
         7831783493447129203073363159997624254201856000000000000000*
         ep^3-938965959163935146786650/27*ep^3*z6-
         17248950186631769106923639609/572832*ep^3*z5+39459865414457607\
         0677093196374433907/44450342576640*ep^3*z4+1933873455501785768\
         21449958754736678009746931/46564690685818598092800*ep^3*z3-
         136950309012480222339080/27*ep^3*z3^2;
Fill mncnoptab(10,10,4,2)=
      +mncF321*(6729304836642388000+496140712251782698100/9*ep+
         13347018136180407103810/81*ep^2+64400841078935355968281/243*
         ep^3)
      -5046124067591657371973914843045329050051249/
      152393533153588139212800-351958805009821625/486*ep^-3-
         508955563673752944398683/61865856*ep^-2-
         113800466053694868060974089409/3828259169280*ep^-1-
         21514764318713982074990/243*z3+1063582847901209652123954823234\
         2409760054230211109687910258233954234737162077686627225327907/
         32781737079181762190914898170783537020885132103324690022400000\
         000000000*ep-10757382159356991037495/81*ep*z4-
         45506858452910351361652743967/30932928*ep*z3-
         27225738954605633865022131226886845927069953931227684529675274\
         7028681671261798263036391731983073351177/183152267901831483017\
         622909295584402934718960838507338436502880256000000000000000*
         ep^2-695755828822529465188660/81*ep^2*z5-
         45506858452910351361652743967/20621952*ep^2*z4+302551632382814\
         66172611036572447223/8392722024960*ep^2*z3-
         11823407984540667279548740716145583796327899507475184393291778\
         02025581942366773955770343937968715294938736414705009985649260\
         1258614960902934391/726417744663163464639799828982660155263368\
         07588858411224274312883618967953826508298054757653427729203200\
         0000000000000000*ep^3-5164381805372186033727475/243*ep^3*z6-
         190440490399848900826938208963/10310976*ep^3*z5+30255163238281\
         466172611036572447223/5595148016640*ep^3*z4+195618459438496692\
         499800819712478062392748723/76196766576794069606400*ep^3*z3-
         753195434322868024615820/243*ep^3*z3^2;
Fill mncnoptab(10,10,5,1)=
      +mncF321*(1294097083969690000+95687400523554258650/9*ep+
         2586893038928919883855/81*ep^2+25125856870455950020337/486*
         ep^3)
      -7931845627853892830103809299496975118252157/
      1245272870912177366138880-3053322913479685/12636*ep^-3-
         113783853778639863954311/1608512256*ep^-2-
         15649895381116965055541289894557/20802760325867520*ep^-1-
         53796636233926023497675/3159*z3+116545563056647162614565139581\
         47527480632034987778378487882515250051097980823513518648409868\
         97/18751153609291967973203321753688183175946295563101722692812\
         800000000000000*ep-53796636233926023497675/2106*ep*z4-
         227885391490058958553662004859/804256128*ep*z3-
         54150502696142778098612321961402813232919060368887280646789476\
         4785339210743435905408211143487057069709/190478358617904742338\
         3278256674077790521077192720476319739629954662400000000000000*
         ep^2-1739423976353255021448850/1053*ep^2*z5-
         227885391490058958553662004859/536170752*ep^2*z4+2142086958253\
         2186348309552621069537893/31204140488801280*ep^2*z3-
         15603058214772996644932368976374100800535690321287415932278390\
         71561088750473977029752173002975770524659855164318482567588959\
         683756984372074716423/4794357114776878866622678871285557024738\
         22930086465514080210465031885188495254954767161400512623012741\
         120000000000000000000*ep^3-25822376464129195204244375/6318*
         ep^3*z6-962781297865107753633789664751/268085376*ep^3*z5+
         21420869582532186348309552621069537893/20802760325867520*ep^3*
         z4+11127428026896314575554090214823641697360997541/
         21792275240963103907430400*ep^3*z3-1882881099102442062111950/
         3159*ep^3*z3^2;
Fill mncnoptab(11,2,2,11)=
      +mncF321*(42476706867036169728+1677912064558639653744/5*ep+
         70602371437260282811909/75*ep^2+7513826114091824442411401/5400
         *ep^3)
      -4237292775170778237802214552820136116890812933/
      20275042402783514586240000+42622405566574/225*ep^-3-
         5779097582668229803723/6547290750*ep^-2-
         14849843699522390718093630510401/677404699891920000*ep^-1-
         125768490203250962470672/225*z3+319176777999583733694299541626\
         27790962095761810922383087544540557357672756770188793/
         15162477081584082968314252940962898929705707110400000000000000
         *ep-62884245101625481235336/75*ep*z4-
         1194786841505721333645669789457/130945815*ep*z3-
         11191109931785239902858515041380559286532537181442110548931519\
         44203670626752639493923048007/11205434462740595331575472465442\
         1654186268304915562496000000000000000*ep^2-
         1355504816296922581525736/25*ep^2*z5-
         1194786841505721333645669789457/87297210*ep^2*z4+9497430620777\
         4858700085259950257938443/3735687683227500*ep^2*z3+
         13650012760388301964611418726303077898049926440997590057657078\
         687004947482273806841652520729069859768453851469471231/
         52000678364993190963795858486424848854478400212260168294246728\
         1931730944000000000000000000000*ep^3-6036887428234526135630476/
         45*ep^3*z6-21995165396298419002099292224733/218243025*ep^3*z5+
         94974306207774858700085259950257938443/2490458455485000*ep^3*
         z4+398147017843372238590110575864169421979247720797/
         44351655256088938157400000*ep^3*z3-4401897040743627523440856/
         225*ep^3*z3^2;
Fill mncnoptab(11,3,1,11)=
      +mncF321*(17846116426775612976+4235637186763344575213/30*ep+
         4288176239649511123879657/10800*ep^2+
         152649084277784388939639061/259200*ep^3)
      -23305110214310171250844771528226616821240377429/
      265418736909166009128960000+8254471721911877/32400*ep^-3+
         48986468927789895620503/32651424000*ep^-2-
         3812433392949211060591314351149/1266834763434240000*ep^-1-
         951124224629176870194307/4050*z3+17048733138212899844238090553\
         368035238701488188885994501767517906225197260377050343/
         19297698103834287414218140106680053183261809049600000000000000
         *ep-951124224629176870194307/2700*ep*z4-
         3914145534503774955571086649/1020357*ep*z3-
         22567021652432655208468728614005204791347615813730307301971759\
         975270646120778179622293697599/5390832652438475499517945480647\
         267217761198814665061171200000000000000*ep^2-
         20502010385804490141051607/900*ep^2*z5-
         3914145534503774955571086649/680238*ep^2*z4+424731000490355816\
         34461345251143222379/3992126355360000*ep^2*z3+
         10058678709215002904324201978779554787655107146629230877389601\
         95321000481047944399379904619549812696269684346555114055593/
         89850932133304434802523587961523767838676138158760099592263036\
         710419926351872000000000000000000000*ep^3-
         182615845022982057529075849/3240*ep^3*z6-
         69537538652738962822306711942103/1632571200*ep^3*z5+4247310004\
         9035581634461345251143222379/2661417570240000*ep^3*z4+
         1290704416259897031678960257188649485772184315887/
         331773421136457511411200000*ep^3*z3-66578692324693535085842897/
         8100*ep^3*z3^2;
Fill mncnoptab(11,3,2,10)=
      +mncF321*(194684906473915777920+1531939629466762047532*ep+
         384057115879155529205087/90*ep^2+13502349391496094859152371/
         2160*ep^3)
      -24925259566786833287409336937976222600993039/
      26021444795016275404800-3977121001127813/270*ep^-3-
         2884377367847446752071/16005600*ep^-2-
         467082276872009141699171271347/620997433056000*ep^-1-
         345863297686219281017588/135*z3+443053534981061323258546129097\
         9677572129062879655380995883922228637380959217294055867/
         457695992674469687377220828883141026087715376988160000000000000
         *ep-172931648843109640508794/45*ep*z4-
         4175335700325618244535387837/100035*ep*z3-
         14730282244131573073519945110860356152620818956803975741954400\
         437329257384707388630454381718201/3196446655092931355008287673\
         23085020911958141481316568268800000000000000*ep^2-
         3727638186992152137390994/15*ep^2*z5-
         4175335700325618244535387837/66690*ep^2*z4+3919869505673630372\
         348189474887097999/33267719628000*ep^2*z3+
         22071579323550316109641209982708989636157406729758280246731313\
         219470662480711069684899534290693273339899252375251859495863/
         20584031725084288700214494696639990450314897105461404633863895\
         6827507467642470400000000000000000000*ep^3-
         16601440192621574977750679/27*ep^3*z6-
         363387833639581828337281045121/800280*ep^3*z5+3919869505673630\
         372348189474887097999/22178479752000*ep^3*z4+60492991839373863\
         00661398797106420338762312981/162634029968851721280000*ep^3*z3
         -12105217448901590150123294/135*ep^3*z3^2;
Fill mncnoptab(11,3,3,9)=
      +mncF321*(803075239204902583920+12601769835479605479699/2*ep+
         4190799611819210011206277/240*ep^2+146365505037369866124221873/
         5760*ep^3)
      -2118648333737772491576277039313496516481273011/
      536199468503365675008000-375441031671149983/720*ep^-3-
         4349167632481360413752357/725587200*ep^-2-
         56745951643319259865168456813459/2559262148352000*ep^-1-
         951123165599318097088087/90*z3+1872207775388084925187318734932\
         86332139350995399887713122695804715466061042689321299/
         4678229843353766645871064268286073498972559769600000000000000*
         ep-951123165599318097088087/60*ep*z4-
         389845610664532981521930590113/2267460*ep*z3-
         15887018996011722778832072062703414383932521015865334906232090\
         50852365322297707948753510614953/83164360478389704675758938544\
         42065129328571174138937344000000000000000*ep^2-
         20502007886574469786163787/20*ep^2*z5-
         389845610664532981521930590113/1511640*ep^2*z4+276587508449602\
         53549032755894044303083/56454312096000*ep^2*z3+
         20863111489667998867797983275380245731270888158557754309905323\
         6582883956298525994006219461071489729142467855711363072800529/
         47920497137762365228012580246146009513960607018005386449206952\
         9122239607209984000000000000000000000*ep^3-
         182615824647971591881297909/72*ep^3*z6-
         67102958224312315599697319936459/36279360*ep^3*z5+276587508449\
         60253549032755894044303083/37636208064000*ep^3*z4+948803495669\
         34042547905191637801869459801091217/670249335629207093760000*
         ep^3*z3-66578715689580763663597757/180*ep^3*z3^2;
Fill mncnoptab(11,4,1,10)=
      +mncF321*(45759272889168238400+3250381127868899354330/9*ep+
         327719572388775437316061/324*ep^2+58037219350838708884001741/
         38880*ep^3)
      -1792701120341485601952602509837973448009565033/
      7962562107274980273868800-65606753062543/972*ep^-3-
         3111165370740653878421/979542720*ep^-2-
         1193744816687670172368660629777/38005042903027200*ep^-1-
         146326797892422933151982/243*z3+412098002065375156035985114592\
         14656387303082287353150776466820161109153270685627940209/
         18155274376087297599296426212364594034812709953863680000000000\
         000*ep-73163398946211466575991/81*ep*z4-
         150369470491454342280851367608/15305355*ep*z3-
         20498333085316318103381961248931906914702593866677212030288400\
         9309484648404218541625167993746223/190188575978029415622993116\
         55723558744261509418138335811993600000000000000*ep^2-
         1577077715922005824501051/27*ep^2*z5-
         75184735245727171140425683804/5101785*ep^2*z4+2302355067439135\
         9418991540351980890777/838346534625600*ep^2*z3+
         43897500910925165927572443655822527673792753787941265032297722\
         08253831137378632207726259087427728818095106637983766594715033\
         61/26500705804142516644204149052242189305353411129455230781821\
         733857800621414162209177600000000000000000000*ep^3-
         70236863227028147436787385/486*ep^3*z6-
         26474250296646590562642072858391/244885680*ep^3*z5+23023550674\
         391359418991540351980890777/558897689750400*ep^3*z4+1337251053\
         7167266639191460528089626304028013701/
         1421886090584817906048000*ep^3*z3-5121437952775203305178317/
         243*ep^3*z3^2;
Fill mncnoptab(11,4,2,9)=
      +mncF321*(449272861093651795200+3530567006555980951560*ep+
         29437255262293623909626/3*ep^2+1290190515447708861049729/90*
         ep^3)
      -40743280773734702143106101657308467606409947/
      18431856729803195078400-1610660355227693/9*ep^-3-
         1505680512444189481877/697680*ep^-2-
         509774966711644166003972455807/58649757566400*ep^-1-
         53209710003511048503208/9*z3+208185676325215637915830607155268\
         387970177065032327231828995355246732469380555989469781/
         93103971159422038970750903653151764281090820276224000000000000\
         00*ep-26604855001755524251604/3*ep*z4-
         18188541300479375480656552444/188955*ep*z3-
         18019847638411093301102049569096109963223215225693899625341611\
         535174180014920974604155819782477459/1690565119804705916648827\
         70273098299948991194827896318328832000000000000000*ep^2-
         573482764542143285211844*ep^2*z5-9094270650239687740328276222/
         62985*ep^2*z4+1059160526955495345848887858440383341/
         3881233956600*ep^2*z3+2207506473271582529416897530453920457491\
         06538076888011332651927905193585470386785671690302887214031474\
         167076016345150486051129/9733959891328748078679209936544422150\
         72668912009374868019163778064301980318171136000000000000000000\
         000*ep^3-12770337927189446296008470/9*ep^3*z6-
         2362455878652540816319867369691/2267460*ep^3*z5+10591605269554\
         95345848887858440383341/2587489304400*ep^3*z4+7618168232369311\
         221344607748333482275085863197/92159283649015975392000*ep^3*z3
         -1862341450281591945724828/9*ep^3*z3^2;
Fill mncnoptab(11,4,3,8)=
      +mncF321*(1647333824010056582400+12919699641677128259960*ep+
         322033479140618893671331/9*ep^2+18733653814237883472952121/360
         *ep^3)
      -116408699041445494796500477716859937100153031/
      14362485763483009152000-140598240651943921/27*ep^-3-
         1565226011256039602870587/27209520*ep^-2-
         18865363557689654227742282914909/95972330563200*ep^-1-
         585304097911490559581672/27*z3+1411359176286943542101971937750\
         66782614166511339211129767912425481915803988046313044571/
         17192494674325092423576161185951320108724157153280000000000000\
         00*ep-292652048955745279790836/9*ep*z4-
         199881526648182182949120421864/566865*ep*z3-
         18832870660084324334008973916472797999721812394370344522596555\
         8252924972805178019592318457297621/480274181762700544502507870\
         094029261218724985306523631616000000000000000*ep^2-
         2102769069420325663815612*ep^2*z5-
         99940763324091091474560210932/188955*ep^2*z4+21298609234004089\
         26910870360700336381/2117036703600*ep^2*z3+
         11690048191146196846825372559916690956370540828409324093090349\
         21594533915252564672895897857205679753901750024542262900726376\
         941/1673024356322128576022989207843572557156149692516113054407\
         937743548019028671856640000000000000000000000*ep^3-
         140473651941093255908599630/27*ep^3*z6-
         25763671410905953756803574279321/6802380*ep^3*z5+2129860923400\
         408926910870360700336381/1411357802400*ep^3*z4+720055028277277\
         1396588717175527700323252437351/25134350086095266016000*ep^3*
         z3-20485785856487891322696236/27*ep^3*z3^2;
Fill mncnoptab(11,4,4,7)=
      +mncF321*(2956753017453947712000+69594241594791490382960/3*ep+
         1735979227811890847946160/27*ep^2+25276034327529051171308819/
         270*ep^3)
      -2037071147388752060502600881626799849544811957/
      140034236193959339232000-40252187308925013730/1053*ep^-3-
         43451030991280761115765267/106117128*ep^-2-3495170594726924507\
         76251119935089/267351492283200*ep^-1-
         40970618390021746040602064/1053*z3+178316855256514015065581215\
         2263537797805199911705474230486386288135242956160131249225817/
         12095521490081848004268869959722676191651598172160000000000000\
         000*ep-20485309195010873020301032/351*ep*z4-
         5597656115070530700768318358003/8843094*ep*z3-
         29709175363833301500570844472390596549822830614671149297589602\
         34111411856141466321742626473673961/42236211183167520096669617\
         49346408021058439249882670694400000000000000000*ep^2-
         49064523816452238440039848/13*ep^2*z5-
         5597656115070530700768318358003/5895396*ep^2*z4+17020821210206\
         15183404701907862761207/943593502176*ep^2*z3+
         33196662544890153356272058362851441581142159660518982282666161\
         95390628790467881186201355868566167868472737613040976055800965\
         409/1991898896539502207677516669834166014660765687117398450710\
         908384902105745871339520000000000000000000000*ep^3-
         9833139526856523919006564060/1053*ep^3*z6-
         90322188156959296196067524616809/13264641*ep^3*z5+170208212102\
         0615183404701907862761207/629062334784*ep^3*z4+363412421640809\
         56577625866818647780538420703879/70017118096979669616000*ep^3*
         z3-1434012358551098737642211288/1053*ep^3*z3^2;
Fill mncnoptab(11,5,1,9)=
      +mncF321*(66187519714689773400+2090686890767427507555/4*ep+
         46895153359124126477883/32*ep^2+19413896254357405263483567/
         8960*ep^3)
      -5550169909512235052859697010711317139579363/
      17043285479776741785600+41666627722797/32*ep^-3-
         56786349434404763701/6289920*ep^-2-
         7218991245019844468336304791/34863013785600*ep^-1-
         3483971568762040818891/4*z3+5063373063959826949481528877558967\
         41530197513647365986887534706250106787733843605531/
         154297238672507840945881118784134229640853481062400000000000000
         *ep-10451914706286122456673/8*ep*z4-
         349248572853985430966094347/24570*ep*z3-2853316544461536052479\
         65758313617337668422733513510240178404087227232399815016119455\
         30135446283/18318817087667091976070888419685574297878302845128\
         08402944000000000000000*ep^2-675890453231234779125159/8*ep^2*
         z5-349248572853985430966094347/16380*ep^2*z4+17282988892363534\
         3466211119822882989/4357876723200*ep^2*z3+
         24441964901563882017047195586165874929128705178148683192006681\
         10362348435665768715505769120767449198762099414032846930953322\
         57/62805612401322677180785456356498878932354960202156133277940\
         08947524308553063989248000000000000000000000*ep^3-
         3344612550468553487436885/16*ep^3*z6-
         82157013150382855232193565117/524160*ep^3*z5+17282988892363534\
         3466211119822882989/2905251148800*ep^3*z4+29278710544692083358\
         7435906693289718349767409/21304106849720927232000*ep^3*z3-
         243877992481514260608057/8*ep^3*z3^2;
Fill mncnoptab(11,5,2,8)=
      +mncF321*(577636535691838022400+4545854300010859715880*ep+
         12668093423679676308249*ep^2+46819515294275826731687021/2520*
         ep^3)
      -14295929750474704236931668959690425971255529/
      5030136339517441152000-2850274267897595/3*ep^-3-
         7405693854104162969675/668304*ep^-2-
         4002131628732724613905209323/94979364480*ep^-1-
         22804113522850287791416/3*z3+600142792365173765171364338269026\
         74018048115123442445345513450938156499545060400080637/
         20902454051416296578137332810288183921659370012672000000000000\
         00*ep-11402056761425143895708*ep*z4-
         25864848048299830350612352967/208845*ep*z3-
         39915717591269210211894275540148679132433566212059705538481869\
         2873839228959281487291181228527229/291956147334694278368629784\
         1887388403724354515942288392192000000000000000*ep^2-
         737334813600170668375284*ep^2*z5-25864848048299830350612352967/
         139230*ep^2*z4+881285636929975567738786266330257/2521919400*
         ep^2*z3+194855916486387965687416331744911587398860205043270861\
         36584345104284270483841201657683584486516222281062107371869591\
         736851733/8405146287742751219254252001127996100545249651396740\
         2254944240704565549287342080000000000000000000000*ep^3-
         5473000818194154293336090/3*ep^3*z6-
         375348347498405090010219147907/278460*ep^3*z5+8812856369299755\
         67738786266330257/1681279600*ep^3*z4+1384929897028385179710825\
         83865698002165183429/1257534084879360288000*ep^3*z3-
         798146865915074235422500/3*ep^3*z3^2;
Fill mncnoptab(11,5,3,7)=
      +mncF321*(1853250552011313655200+14566866072944036887035*ep+
         324054549258688680208161/8*ep^2+170618222653965306868253023/
         2880*ep^3)
      -94255934413942874867083411524021995772899/10337371669623398400-
         479154134528534773/24*ep^-3-828214057819626813596767/3818880*
         ep^-2-9618083179617503825159497400789/13469800780800*ep^-1-
         73162082358382051192081/3*z3+337357836004058682115056371761809\
         432213205958204704523360890494315164183330291776477271/
         36564059565159702469044897044235890241969743462400000000000000\
         00*ep-73162082358382051192081/2*ep*z4-
         189562148726997972100934142373/477360*ep*z3-
         22449071894212068648666569816984827537295752229236587468433399\
         57504850823347731538405046168151267/51071046180996083679643694\
         02718463679984293613893215846400000000000000000*ep^2-
         4731223809713233306905123/2*ep^2*z5-
         189562148726997972100934142373/318240*ep^2*z4+2228324190550218\
         36293643193567527301/198085305600*ep^2*z3+
         34020360199479579765023438674845127676687731519204125309321034\
         83720944632167176516662928260444908296177427533040339887710962\
         26107/74364225470808082419960622340475531214001918985716208826\
         5405797030119478458633420800000000000000000000000*ep^3-
         70236736322114679091656035/12*ep^3*z6-
         1369053390782618866373827431829/318240*ep^3*z5+222832419055021\
         836293643193567527301/132056870400*ep^3*z4+5744070365930201147\
         3021839164247078852507219/167982289631380224000*ep^3*z3-
         5121466903122587864003927/6*ep^3*z3^2;
Fill mncnoptab(11,5,4,6)=
      +mncF321*(2851154695402021008000+22433880855248366551740*ep+
         125003023498404252754245/2*ep^2+21996507469769056773528001/240
         *ep^3)
      -30629051873329737476599553871961237218233939/
      2183769765207942912000-2730974970768089815/26*ep^-3-
         2749816349486923336392971/2482272*ep^-2-
         49804385593167834757678661918563/14592284179200*ep^-1-
         487725948623086802931148/13*z3+6063900067724096266621255219194\
         78937189123118987436455515313900822544466124845524359200583/
         42779949691236851888782529541755991583104599851008000000000000\
         00000*ep-731588922934630204396722/13*ep*z4-
         189652072611708637498534493747/310284*ep*z3-
         40328770122993393285413569126388104808680092340820280443227574\
         53134360519066872857581809172002652967/59753124031765417905183\
         12201180602505581623528255062540288000000000000000000*ep^2-
         47312011932048293135194566/13*ep^2*z5-
         189652072611708637498534493747/206856*ep^2*z4+7406519124530368\
         9638154570877323213/42918482880*ep^2*z3+
         61621797931341971874332023932380251008907978836476843882716550\
         29430966459435703891636581322212140373471605671718871334228158\
         2746103/669278029237272741779645601064279780926017270871445879\
         43886521732710753061277007872000000000000000000000000*ep^3-
         117060714958563015830658545/13*ep^3*z6-
         1375172829861226003263473986421/206856*ep^3*z5+740651912453036\
         89638154570877323213/28612321920*ep^3*z4+294903255942490629808\
         670480865943426148202359/545942441301985728000*ep^3*z3-
         17071790368775232895365946/13*ep^3*z3^2;
Fill mncnoptab(11,5,5,5)=
      +mncF321*(2291106451662338310000+36177952781526630522525/2*ep+
         811312248455563725154075/16*ep^2+201538109317573537426931101/
         2688*ep^3)
      -5343843016469491232522095369667111039538713/
      474259140144882892800-120051352879183780175/624*ep^-3-
         93036437508620892735269645/46335744*ep^-2-46720522254826665414\
         4618924629353/77415907645440*ep^-1-2351350588941233791754315/
         78*z3+79372872600680552297104867785595547657745166281623336726\
         674686014999779749289963544093/6985499876685416841439923179292\
         42026141961682944000000000000000*ep-2351350588941233791754315/
         52*ep*z4-2849345295995827197091229350655/5791968*ep*z3-
         27692266180486930078795001715101424577496949592035421848043352\
         456679911598825032904742919281579/5135281260547207898481833062\
         4552257934265531661402767360000000000000000*ep^2-
         152073010421336994607243945/52*ep^2*z5-
         2849345295995827197091229350655/3861312*ep^2*z4+31276364189331\
         6750298467910457679977/227693846016*ep^2*z3-
         29581700843539822596311149750780190466795004533160928088049424\
         97461218958513566579478214908351256510246392977385191841762130\
         599161/1948937621138938224062327990299182722056562292777650400\
         92597551285653712914438646923264000000000000000000000*ep^3-
         2257581650430642581191116025/312*ep^3*z6-
         20930942334071517478477893656015/3861312*ep^3*z5+3127636418933\
         16750298467910457679977/151795897344*ep^3*z4+55972066142236873\
         624072136639569890807424313/118564785036220723200*ep^3*z3-
         164624909788241208474673285/156*ep^3*z3^2;
Fill mncnoptab(11,6,1,8)=
      +mncF321*(56480016823201939968+447655181674078201824*ep+
         31587150897664260539872/25*ep^2+8907331833076686091547428/4725
         *ep^3)
      -471767039819063274683022055793716810647161399/
      1697671014587136388800000-200029264577296/225*ep^-3-
         1328688922161833214631/20884500*ep^-2-
         450839723341226242957942358087/694536602760000*ep^-1-
         167230620165132111084992/225*z3+179751854711604709900490347481\
         71124347209640068593121255372496349064072097896980260155893/
         64379558478362193460662985055687606478710859639029760000000000\
         00000*ep-83615310082566055542496/75*ep*z4-
         9760494836890643272843372483/803250*ep*z3-
         33939758042246094605545192995582865264105826897137625895717988\
         09959226799917250112903734223517217/25692140965453096496439421\
         0086090179527743197402921378512896000000000000000*ep^2-
         1802374526190921713253696/25*ep^2*z5-
         9760494836890643272843372483/535500*ep^2*z4+402424217027451620\
         30992540903527421/1201620420000*ep^2*z3-
         18807491882398970034794970111240115895942552808117272252711161\
         67140649553786883153070689799512400299138379150861342895858923\
         8035953/130935570593967484319571999775619950326200312155450052\
         7545175500357499036371397818449920000000000000000000000*ep^3-
         8027070057776581654099136/45*ep^3*z6-
         472851781204660713955366720651/3480750*ep^3*z5+402424217027451\
         62030992540903527421/801080280000*ep^3*z4+16605017532437137340\
         5991072213298582260276717/13059007804516433760000*ep^3*z3-
         5853072027996166408504256/225*ep^3*z3^2;
Fill mncnoptab(11,6,2,7)=
      +mncF321*(431301946649905723392+3409224490949359065984*ep+
         239407098523311372198468/25*ep^2+638872867364453338050238/45*
         ep^3)
      -42888070385332789459965195879764000679201349/
      20210369221275433200000-171406463727368408/75*ep^-3-
         52583510319489740792183/1989000*ep^-2-
         15237785151108935848581291314449/154341467280000*ep^-1-
         425674196251626528406816/75*z3+1094103186060876011401793232484\
         730133166775368490738678038693458849335536935281484039073/
         51189683391223583456662855861930246338757640847360000000000000\
         000*ep-212837098125813264203408/25*ep*z4-
         92159639022955950238615150727/994500*ep*z3-
         36231425698200802095170128842595420454970904884618144957271543\
         22352911019723861091922220276465583/35749732326697258575750585\
         819029245759890055297252510924800000000000000000*ep^2-
         13763573992975648217169024/25*ep^2*z5-
         92159639022955950238615150727/663000*ep^2*z4+38996612520585174\
         9248445588073612073/1513151640000*ep^2*z3-
         12662246949789565808649524924452906650028216396930897289823392\
         52145641498281018376805232831420823696967079578837620857608192\
         27/97774150694150371326018849809039954638995761250941672010853\
         5044930660471301734400000000000000000000000*ep^3-
         20432523891337659061550128/15*ep^3*z6-
         339983145797582421142746768163/331500*ep^3*z5+3899661252058517\
         49248445588073612073/1008767760000*ep^3*z4+1847325867326254136\
         10637201583790104704541527/2021036922127543320000*ep^3*z3-
         14898769894291074228709888/75*ep^3*z3^2;
Fill mncnoptab(11,6,3,6)=
      +mncF321*(1186080353287240739328+9369893637321702829344*ep+
         657309769569995497968012/25*ep^2+8758697352338670679855033/225
         *ep^3)
      -6126245492092809311778796132627025055723787/
      1049889310196126400000-2593199707161335272/75*ep^-3-
         369951699853087981299781/994500*ep^-2-
         2803823576448668502792315605291/2338507080000*ep^-1-
         1170557318691714849393344/75*z3+394022901944252905915127782334\
         0039657894233017214393851849138633554653327336373544661627/
         67034109202792787859915644581099132110277863014400000000000000\
         000*ep-585278659345857424696672/25*ep*z4-
         126680410141484128078511524129/497250*ep*z3-
         26111997898446075522638541311985290501063753850329108191849218\
         691366797083664768697803831998771963/9363025133182615341268010\
         5716505167466378716254708957184000000000000000000*ep^2-
         37849662882837298734765216/25*ep^2*z5-
         126680410141484128078511524129/331500*ep^2*z4+5425251833769073\
         278768222319019539/7642180000*ep^2*z3+
         19807033948622499101042156792584205409785197861323016021932960\
         32150099042616365920067433780545465959200189256858844616213249\
         23243/54533765345259260441304456383015389556934740589525219806\
         1297584488754284202997841920000000000000000000000*ep^3-
         56189215664910090677451152/15*ep^3*z6-
         35869777968215819369182651177/12750*ep^3*z5+162757555013072198\
         36304666957058617/15284360000*ep^3*z4+260259479576665651951047\
         71276252083695083773/104988931019612640000*ep^3*z3-
         40972131465896836565736992/75*ep^3*z3^2;
Fill mncnoptab(11,6,4,5)=
      +mncF321*(1520615837547744537600+12031661603005526032320*ep+
         101571316335859521481484/3*ep^2+2264395544030031045459166/45*
         ep^3)
      -510377654236943294035349899643454636417113/68242805162748216000-
         14169681748269841640/117*ep^-3-3946117839030879395234483/
         3102840*ep^-2-764107118539778883448319034317887/
         196995836419200*ep^-1-2340917089152356036564704/117*z3+
         13096189713698443727770508692259912183746119407112924889248758\
         3857637689075371486097197010159/173926163464692545039034252104\
         9631593802700611542581248000000000000000*ep-
         1170458544576178018282352/39*ep*z4-
         33805464014197956952512153997/103428*ep*z3-
         86636150326849761321263465010751373178970182320600655168573053\
         5096551653066394212356536479564641169633/242932301063545483035\
         3125008511985754669264861647378226379489280000000000000000*
         ep^2-75698625265604815265604736/39*ep^2*z5-
         33805464014197956952512153997/68952*ep^2*z4+105002032774204284\
         7516836409106474921/1158799037760*ep^2*z3+
         18421692089011692287876842337143242245895825228725198771656715\
         76324845250734197836616626975750574010147322658141738354118795\
         50470610757/35373217823671728766731253023930166405326605613914\
         3547768064555583461488939706144165724160000000000000000000000*
         ep^3-561887396769155224400623760/117*ep^3*z6-
         1126595730934484486201718342953/310284*ep^3*z5+105002032774204\
         2847516836409106474921/772532691840*ep^3*z4+267559184238902106\
         985720081282392313973489/812414347175574000*ep^3*z3-
         81946435290490228890057472/117*ep^3*z3^2;
Fill mncnoptab(11,6,5,4)=
      +mncF321*(977538752709264345600+7764588957414767274720*ep+
         22000368501542799653648*ep^2+10395179992019178315382412/315*
         ep^3)
      -42859169320446367561120506905278364576853607/
      8917059874599100224000-5218880079753630400/39*ep^-3-
         15210415257985457467678303/10859940*ep^-2-97419021805939918078\
         6746914200019/229828475822400*ep^-1-501577050498727371088448/
         39*z3+25227980730258695997469825339069636807704981494832135190\
         889456020768913836448865761003441039/5217784903940776351171027\
         56314889478140810183462774374400000000000000*ep-
         250788525249363685544224/13*ep*z4-
         228600957042677726655246816839/1085994*ep*z3-
         16605315850577792022900217446658955378477624278642288549781992\
         3758726289775846250182899291496025079783/728796903190636449105\
         937502553595726400779458494213467913846784000000000000000*ep^2
         -16220963691548881938364032/13*ep^2*z5-
         228600957042677726655246816839/723996*ep^2*z4+1557793752790541\
         65993887734646817721/270386442144*ep^2*z3+
         55657595384997992780588748199522635493866280678110849040900504\
         14482619979548420825154852917887554526401674424647880712995331\
         13329793823/71736885746406265938930981132530377470002356185018\
         3114873634918723259899569724060368088596480000000000000000000*
         ep^3-120403285060369796110009120/39*ep^3*z6-
         95415152564724568197146834507/40222*ep^3*z5+155779375279054165\
         993887734646817721/180257628096*ep^3*z4+1025170627295615514030\
         467516917082148810895517/4458529937299550112000*ep^3*z3-
         17560479056567304015112064/39*ep^3*z3^2;
Fill mncnoptab(11,6,6,3)=
      +mncF321*(312812400866964590592+12502801459867859167104/5*ep+
         35826821177138475486244/5*ep^2+17183416112957999863649812/1575
         *ep^3)
      -34290816167386401524372560525210860097870867/
      22292649686497750560000-45771864983764848808/975*ep^-3-
         33949880478006487728131563/67874625*ep^-2-45305242472923336423\
         39962712120843/2872855947780000*ep^-1-
         4012528253139804009968576/975*z3+81425815834457158337692368819\
         12134701867621343489891590243489656259934651598981015239453368\
         7779/530335657636540508333023241518453665582319470471563874140\
         1600000000000000*ep-2006264126569902004984288/325*ep*z4-
         4586136145405782706308873963077/67874625*ep*z3-
         53348142134921302794444953310315146978079302195144490242254400\
         5801415947693959920898907458585764689419179/
         74074917240296288687127487759547469631375224161351856878763387\
         12576000000000000000*ep^2-129767396625091267448544864/325*ep^2
         *z5-4586136145405782706308873963077/45249750*ep^2*z4+152902459\
         27975067847429255667679905771/84495763170000*ep^2*z3-
         19461581650625936562827140590523804910499541782822443442954650\
         29105174475779411287346350437217234505169832864973372106300557\
         332590038820321/3645668533632366435016472461155193783025519741\
         32263058978781265695160680961333767479062624731136000000000000\
         00000000*ep^3-192644830811066999167833008/195*ep^3*z6-
         1959267517203857878435207180347/2513875*ep^3*z5+15290245927975\
         067847429255667679905771/56330508780000*ep^3*z4+92690565981153\
         6633056622131249209001817066533/11146324843248875280000*ep^3*
         z3-140484799653602906475462368/975*ep^3*z3^2;
Fill mncnoptab(11,7,1,7)=
      +mncF321*(28828341920175990192+230123645176865233794*ep+
         49332495869855630214629/75*ep^2+80846751041135716672901/81*
         ep^3)
      -22854224519017626516242759382948669633912289/
      161123497182763315200000+3825947180965987/2700*ep^-3-
         3008260462382453605987/33696000*ep^-2-
         36648779247097946230419886991/32958731520000*ep^-1-
         256071931768870329181069/675*z3+492041176790339869140799346851\
         472706359242373319734669014163009627444174856141428651/
         347204212399572554642735398133410618938521548750848000000000000
         *ep-256071931768870329181069/450*ep*z4-
         104856740490998000133848495503/16848000*ep*z3-
         32307476567185759746327204692276926924867715672792970610020384\
         43763567368014822261515916279461833/48495934468368142740613355\
         2404575277083297483693248248545280000000000000000*ep^2-
         919962013053930465242624/25*ep^2*z5-
         104856740490998000133848495503/11232000*ep^2*z4+32835088599426\
         884114294264422050481883/1961044525440000*ep^2*z3+
         83683271114758537956123170955704736034297299153917500964015244\
         45389752306852376415005224439952175721473726806862261180319079\
         02884863576570241/34742201592782152234456297299828787652250156\
         67511211127576633421507641182364674601031850591780864000000000\
         00000000000000*ep^3-24582902420687252232369779/270*ep^3*z6-
         401113538458629757702776332707/5616000*ep^3*z5+328350885994268\
         84114294264422050481883/1307363016960000*ep^3*z4+2047685599945\
         823115195900282325416722796584279/273909945210697635840000*
         ep^3*z3-8962515916866191690841292/675*ep^3*z3^2;
Fill mncnoptab(11,7,2,6)=
      +mncF321*(188694601659333753984+1503083881349528429952*ep+
         107007252133167446827536/25*ep^2+1454137256348568464429474/225
         *ep^3)
      -35319958366251111305889730148776266294733453/
      38043047945930227200000-211304300156049716/75*ep^-3-
         15107970726563878770907/468000*ep^-2-
         18067844252103058754753067157/152586720000*ep^-1-
         186229451503236403586632/75*z3+7194042502503990682737440372912\
         88604667794208011585688756753998925358301332287720007313/
         77429773196808781699153899623087767571230044979200000000000000\
         000*ep-93114725751618201793316/25*ep*z4-
         9522475251562725596598678163/234000*ep*z3-
         47319029957897856722261813301119260370612479062590623695445930\
         27840779720999463689815096430114587/10815045073622700073336311\
         6763449819105549747117738688512000000000000000000*ep^2-
         6021552965056531448979048/25*ep^2*z5-
         9522475251562725596598678163/156000*ep^2*z4+654393950170057597\
         0071797490914857/59339280000*ep^2*z3+
         43188719928152199765655955055930339556712501949362376211090052\
         29310124847801345460076289372918525932573320690594131071390170\
         9206840082803/684830913618354990861246403950494389428847130946\
         53367272629372584778994534506117721594265600000000000000000000\
         0000*ep^3-8939214721833178971675256/15*ep^3*z6-
         36147674600030513792484822047/78000*ep^3*z5+654393950170057597\
         0071797490914857/39559520000*ep^3*z4+1788868278488621664770887\
         04028517331358381307/3804304794593022720000*ep^3*z3-
         6518245015276252070588776/75*ep^3*z3^2;
Fill mncnoptab(11,7,3,5)=
      +mncF321*(432425128802639852880+3444309319762680909540*ep+
         294209493598317804099439/30*ep^2+1776615498691222693419839/120
         *ep^3)
      -240216438619559155665957759014768964638419/112929270340423680000
         -2532587166746148589/90*ep^-3-678881656801231203224597/2246400
         *ep^-2-9883407915021557533043590045361/10187244288000*ep^-1-
         256044049102319550359749/45*z3+8385012510833315743182869278842\
         4505722464400476468423359910736036919053096142061602386111/
         39349810738618222859510011788453203479699108858429440000000000\
         00000*ep-256044049102319550359749/30*ep*z4-
         34912593191118230878129017871/374400*ep*z3-
         55130424580631839223484304205852175163120258607943548687696692\
         2001998507401894948347158965723824247/549620590641505617726951\
         3593918519806944038148523480150179840000000000000000*ep^2-
         8279559264612977337033961/15*ep^2*z5-
         34912593191118230878129017871/249600*ep^2*z4+12876453473362192\
         46543501137888853347/5093622144000*ep^2*z3-
         10420350378330660194938947876025556746000981381147789771651285\
         25035061149379105981287462675132848026765680324459175388852383\
         2422922564767651643/463229354570428696459417297331050502030002\
         08900149481701021778953435215764862328013758007890411520000000\
         000000000000000*ep^3-12291316872368306230371067/9*ep^3*z6-
         1192443530322106193601270229891/1123200*ep^3*z5+12876453473362\
         19246543501137888853347/3395748096000*ep^3*z4+8504972711167299\
         645711414477549616994487491/79050489238296576000*ep^3*z3-
         8962822651550873884805257/45*ep^3*z3^2;
Fill mncnoptab(11,7,4,4)=
      +mncF321*(443512952618092156800+3539716313399075662160*ep+
         91029735981878375479336/9*ep^2+2071107807335454088520704/135*
         ep^3)
      -560299057395792992065191156295350597082813/256914090024463872000
         -20867638266733112470/351*ep^-3-1374464770016454037244939/
         2190240*ep^-2-19245940125073450662278944269239/9932563180800*
         ep^-1-2048115991042821058541336/351*z3+37243591394179744059166\
         14595853165882610097217845556564082053301933085916948123700886\
         7549/170515846534012299057876717749963881745362805053194240000\
         0000000000*ep-1024057995521410529270668/117*ep*z4-
         6988821285080735313769617985/73008*ep*z3-
         73253661040600898348076314392069801557229283085746505527003580\
         2148582018196237474202783694429502823/714506767833957303045036\
         7672094075749027249593080524195233792000000000000000*ep^2-
         66235636185038870381748224/117*ep^2*z5-
         6988821285080735313769617985/48672*ep^2*z4+5120747442059686229\
         6103414200534893/198651263616*ep^2*z3-
         76268676651378981988979871096197800905399589708414776568801260\
         56770650255692122615332638911143455580797620203422526485041574\
         292672218367206453/2007327203138524351324141621767885508796675\
         71900647754037761042131552601647736754726284700858449920000000\
         00000000000000*ep^3-491646981410184475216758340/351*ep^3*z6-
         240455009920812811724675971973/219024*ep^3*z5+5120747442059686\
         2296103414200534893/132434175744*ep^3*z4+441578780620939481369\
         93555062914017578523909/385371135036695808000*ep^3*z3-
         71705183083178376290591648/351*ep^3*z3^2;
Fill mncnoptab(11,7,5,3)=
      +mncF321*(213836602155151575600+1713846848095598949810*ep+
         4933551380455656237510*ep^2+453426068015972008924351/60*ep^3)
      -458437269757634681098646615536305996060191/435975425496059904000
         -1722024029183629787/52*ep^-3-229527877887069343582517/648960*
         ep^-2-1540165654403535047876577476641/1373391452160*ep^-1-
         36572231126824837909003/13*z3+32680723161655269365564635040401\
         797026551651784182889370357247798606378548228265825831245957359
       /311962151550906181372366612657913920930776159100919925964800000\
         0000000000*ep-109716693380474513727009/26*ep*z4-
         15006416451246939142300464137/324480*ep*z3-
         21354155685075989978781873801033486891837825308585999231077157\
         3052219840714683918531003100040452678409831/
         43573480729586052168898522211498511547867778918442268752213757\
         13280000000000000000*ep^2-3548324142208564577724096/13*ep^2*z5
         -15006416451246939142300464137/216320*ep^2*z4+4214302128273225\
         80622257806909764943/3433478630400*ep^2*z3-
         19631416213838094361865667359073849941342082169329352842100949\
         68801938928409000461921226118323343859045938280867644054335729\
         030465954518130864093083/4965145997855462632309102919966369123\
         46459450626246002763606514594300492516399053829237385756473354\
         40711680000000000000000000*ep^3-17558759555408698699075465/26*
         ep^3*z6-58243665124510489008683428053/108160*ep^3*z5+421430212\
         827322580622257806909764943/2288985753600*ep^3*z4+839744804363\
         2487619242887897009360483801711/141050872954607616000*ep^3*z3-
         1280463618413868630992404/13*ep^3*z3^2;
Fill mncnoptab(11,7,6,2)=
      +mncF321*(45618475126432336128+1840274616232020649296/5*ep+
         3215540039223812756764/3*ep^2+1125304854746136623236337/675*
         ep^3)
      -10297540152986953689118622488359636294803/45877516075797120000-
         11623375840790595266/2925*ep^-3-307829989315099860168901/
         6844500*ep^-2-23308800660555437840918438038553/144849879720000
         *ep^-1-1755665651628161655888352/2925*z3+
         34365435143840725813266180444645202787935796568249565113432752\
         66683717389610386030660286044231911/15442126501769855977932147\
         32656673908607341987549553633525760000000000000000*ep-
         877832825814080827944176/975*ep*z4-
         67752711570776609417223541259/6844500*ep*z3-
         14043963810868993954229057650030150683582147577549434332655755\
         20809729049690222931372604355596944318029/13569596074957594101\
         0410622803974603436266439538401528986132807680000000000000000*
         ep^2-18924630222422633500737176/325*ep^2*z5-
         67752711570776609417223541259/4563000*ep^2*z4+1858322265760298\
         369287638367362649507/72424939860000*ep^2*z3+
         24566752938712724806298049584030955479489250700140868056189127\
         46855694157524141408132914439513692694312993822876174053927495\
         42193124567290922479176201/14372293718013796764907197396878429\
         37797337901112062607653616020013363588285791102009856522680199\
         9468140953600000000000000000000*ep^3-
         84283003175087769925373116/585*ep^3*z6-
         89733988151053045702680182647/760500*ep^3*z5+18583222657602983\
         69287638367362649507/48283293240000*ep^3*z4+158864922021229960\
         90485408625715315394941713/1123999143857029440000*ep^3*z3-
         61460072291201249291176936/2925*ep^3*z3^2;
Fill mncnoptab(11,7,7,1)=
      +mncF321*(3326347144635691176+135457693830812703812/5*ep+
         7217220565052359984661/90*ep^2+2064087656202015459132881/16200
         *ep^3)
      -77731802260679732915938384477295214933313601/
      4747772383652092354560000-202395181197494131/140400*ep^-3-
         246668582190278931262349/1314144000*ep^-2-59180189231872433826\
         8408779586777/305922945968640000*ep^-1-
         384107693567489892173327/8775*z3+44404549948039553921389553554\
         13467122984446708899783501367978490587442983083608080922140197\
         1608589/276028011219136175605537133462380461163562380274482711\
         992729600000000000000000*ep-384107693567489892173327/5850*ep*
         z4-476511769866537273429542037923/657072000*ep*z3-
         28609151106604016088944122587271397083955244231675105969135370\
         8417993875699260699201804770678982885316492929/
         38554360418046858784693523684261526748947759134274199920318134\
         9830656000000000000000000*ep^2-16559315099265776377992529/3900
         *ep^2*z5-476511769866537273429542037923/438048000*ep^2*z4+
         39677259253743023567139337389958968439/21851638997760000*ep^2*
         z3+17006117105873107716099280578488108433371004717433186111719\
         63022346093162859270870217651743220879113099464690321183011156\
         8850184882025786337853/128270327555544802409842145689779694812\
         99111504802731371877654087609409845624452392764472628468514816\
         000000000000000000000*ep^3-147497405119122027833239453/14040*
         ep^3*z6-651880383568122703075089239209/73008000*ep^3*z5+
         39677259253743023567139337389958968439/14567759331840000*ep^3*
         z4+2793910070623608338755394676991323499698260509/
         2373886191826046177280000*ep^3*z3-53775101096326332127662719/
         35100*ep^3*z3^2;
Fill mncnoptab(11,8,1,6)=
      +mncF321*(8721179068288534848+70395948039151078344*ep+
         5128971673558496845092/25*ep^2+502986751146176656567126/1575*
         ep^3)
      -388542418833079550805841064081699891547559133/
      9054245411131394073600000-105054068144377/75*ep^-3-
         11675153596665144578927/111384000*ep^-2-
         1947482386432315451463211754627/1852097607360000*ep^-1-
         8607455633856148895804/75*z3+469066437283083855572093692405328\
         68192625530870122023660229557595257099196871626415985152049/
         11037621912182411512092558306661123576055600034789457920000000\
         0000000000*ep-4303727816928074447902/25*ep*z4-
         105427338133209549235758389843/55692000*ep*z3-
         76203057462271689297172196598723559488771844019016961950154920\
         653637076861762105907528909376072062629/3854214391873558144310\
         2464077353620146195067516520904553136128000000000000000000*
         ep^2-278307822290105234755656/25*ep^2*z5-
         105427338133209549235758389843/37128000*ep^2*z4+24422534028996\
         65718714850555418270011/498641663520000*ep^2*z3-
         74742100274059640002407082903513432923882866934815052988999517\
         56382165655415084246362648654565926609287159499102791711664288\
         85110749384154110993/38216421752060367457901927029811666417475\
         17234262332240334296763658405300601142061135035650958950400000\
         0000000000000000000*ep^3-413158005618229777685582/15*ep^3*z6-
         139855267812769403916836330989/6188000*ep^3*z5+244225340289966\
         5718714850555418270011/332427775680000*ep^3*z4+246608061974884\
         8156575898065891813721732477707/905424541113139407360000*ep^3*
         z3-301261095969806045697272/75*ep^3*z3^2;
Fill mncnoptab(11,8,2,5)=
      +mncF321*(47570067645210190080+383346104408865037440*ep+
         5569980615720592563404/5*ep^2+544151347557806941143238/315*
         ep^3)
      -105962721151384109031005767698263214809803979/
      452712270556569703680000-8825635878231568/5*ep^-3-
         112451596433816279173631/5569200*ep^-2-
         10252659238970743343094982181629/138907320552000*ep^-1-
         3129791081634699394176/5*z3+2887982819310750031233205427724844\
         820919443125569211342654276804837088911841410543916677/
         12439093064067330779969073974449049860318106725908480000000000\
         00000*ep-4694686622452049091264/5*ep*z4-
         28728559257642003837026357599/2784600*ep*z3-
         60128136888889321887027943545224288787061167912803247669534682\
         7055887970717363571213495756184606983/555979837144795765370073\
         11065754283005781013998287104990248960000000000000000*ep^2-
         303606480915306978990592/5*ep^2*z5-
         28728559257642003837026357599/1856400*ep^2*z4+1305544499079925\
         4351617900021928437781/486175621932000*ep^2*z3-
         16589029525229979657821674179796252695730669490626483582762612\
         43470734347039019384122698236584572144777714047896514329452314\
         82728837996871/12181933428128855837437700738507617844899021905\
         77834015484889545272774585131449999941770936320000000000000000\
         000000*ep^3-150238344916836139798208*ep^3*z6-
         341022659461737959249428928993/2784600*ep^3*z5+130554449907992\
         54351617900021928437781/324117081288000*ep^3*z4+65603159872188\
         8381080164348522414773839862573/45271227055656970368000*ep^3*
         z3-109551605773866747808768/5*ep^3*z3^2;
Fill mncnoptab(11,8,3,4)=
      +mncF321*(87211790682885348480+703025575037270044560*ep+
         10220522237421840401904/5*ep^2+142741694470455182160674/45*
         ep^3)
      -265465046776453480749837632833879212487891/618882119694558720000
         -159521389639348814/15*ep^-3-182490467303213242016921/1591200*
         ep^-2-2087099210138139916204947383939/5612416992000*ep^-1-
         17211406688230806308488/15*z3+53377085954419202197358849897330\
         29670797479767226353761791478418053247994082264701336823/
         12542752172934558536468816257569458609154090948624384000000000\
         00000*ep-8605703344115403154244/5*ep*z4-
         15049281664002736480293582509/795600*ep*z3-
         34688611792673660120508136132221045316573262359207009348292167\
         585421006091359101049168650112102549/1751915632669799156504657\
         458061528188463412159841859297869824000000000000000*ep^2-
         556603218925902760982832/5*ep^2*z5-
         15049281664002736480293582509/530400*ep^2*z4+13803200676787912\
         8746042489436816233/2806208496000*ep^2*z3-
         41508275180925577124219407982426331975580789018661983175943675\
         98494068609009600162848187528740351709400029834228337284524060\
         6505673272754643/347422015927821522344562972998287876522501566\
         75112111275766334215076411823646746010318505917808640000000000\
         0000000000*ep^3-826299125044738738320004/3*ep^3*z6-
         19871591617523428849467466307/88400*ep^3*z5+138032006767879128\
         746042489436816233/1870805664000*ep^3*z4+313916601992284080506\
         81955955706325001196383/1175876027419661568000*ep^3*z3-
         602560740161796426763984/15*ep^3*z3^2;
Fill mncnoptab(11,8,4,3)=
      +mncF321*(67085992832988729600+542048076735727272480*ep+
         1582438589738409064816*ep^2+7406242312257076401454/3*ep^3)
      -186779557041659269170195726754031054201819/566162531720577792000
         -440913910602285736/39*ep^-3-27969568521548896623073/229840*
         ep^-2-25801287392382283560409359754313/65665278806400*ep^-1-
         34420137789024215346272/39*z3+28877095544162906708647098601192\
         881694487858840196198213245112696857594393170323239751135775081
       /883892762727567513888372069197422775970532450785939790233600000\
         0000000000*ep-17210068894512107673136/13*ep*z4-
         15065659247839773299981606473/1034280*ep*z3-
         18720053168894710553556450782330625144274716435727832320409237\
         7160684970563072249667037872690729261042489/
         12345819540049381447854581293257911605229204026891976146460564\
         520960000000000000000*ep^2-1113196944917593646811008/13*ep^2*
         z5-15065659247839773299981606473/689520*ep^2*z4+12334403295409\
         35716583648292626628411/32832639403200*ep^2*z3+
         72202733450332449181370623848098989929723079544571731193119829\
         02864867505715327295222320888515182044293375443714671949705403\
         667219774031566853231/2448296843123995380823029053237854597369\
         12944095782052644776387867012077177711565004554923943034198425\
         600000000000000000000*ep^3-8262926742409391812716880/39*ep^3*
         z6-180498624700112370477393549751/1034280*ep^3*z5+123344032954\
         0935716583648292626628411/21888426268800*ep^3*z4+5819595008448\
         1558406897470255695552552659/2736553590486144000*ep^3*z3-
         1205150867165749675652096/39*ep^3*z3^2;
Fill mncnoptab(11,8,5,2)=
      +mncF321*(21563354839174948800+175007401200469335960*ep+
         514869901400012010644*ep^2+255601620804914662518416/315*ep^3)
      -15137719281498324726741516448386934317935011/
      142672957993585603584000-84147183561973015/39*ep^-3-
         4248983596514752543785139/173759040*ep^-2-16141158895059332064\
         2861142479731/1838627806579200*ep^-1-11064880102152965514404/
         39*z3+13744831572674685125461913143252392732066227151325704682\
         210099438837782883208274092393368115932303/1312580752650437758\
         1242325227581728223162406894171205884968960000000000000000*ep-
         5532440051076482757202/13*ep*z4-81537975484337716830816488411/
         17375904*ep*z3-16139889549789437207492085478433264142404395532\
         08676887088374731538099896051138992854440891994416175867283/
         33333712758133329909207369491796361334118850872608335595443524\
         2065920000000000000000*ep^2-357817789290653363680536/13*ep^2*
         z5-81537975484337716830816488411/11583936*ep^2*z4+218911734457\
         3626554987701582013651557/183862780657920*ep^2*z3+
         49277386474718374947952804819288044250508595280010118639814325\
         38376615922223154693032567595854229839931180724812800992953563\
         105482645519209189299496567/2076796442252993632529090023848933\
         04511715326710693046805947514891931038507296814240424267527288\
         8923146367795200000000000000000000*ep^3-
         2655971219424517813818010/39*ep^3*z6-
         36740760255636898978981027575/643552*ep^3*z5+21891173445736265\
         54987701582013651557/122575187105280*ep^3*z4+51961698605584237\
         3949024063829244640305911881/71336478996792801792000*ep^3*z3-
         387356031513731322144872/39*ep^3*z3^2;
Fill mncnoptab(11,8,6,1)=
      +mncF321*(2300091182845327872+93974379953491455264/5*ep+
         279727185867366958204/5*ep^2+141009382447933718374552/1575*
         ep^3)
      -347029897270123892996013098014819624867769/
      30652393318934407020000-1810897947130228/975*ep^-3-
         40709326666005949391407/271498500*ep^-2-
         94150184399926697046071329966861/63202830851160000*ep^-1-
         29511252062003765594816/975*z3+3203446693783085057699285828074\
         79933398778192719758055141116722016867696302510933484168294620\
         710679/2887677655830963067873311550067980209095729516717665294\
         693171200000000000000000*ep-14755626031001882797408/325*ep*z4-
         34091642765372059748423505257/67874625*ep*z3-
         20573832686453673203988110127204729811132793899897144562176419\
         08012317894782987058634262786264936383675580559/
         40333792437341329190140917085073597214283809555856086070486664\
         28997632000000000000000000*ep^2-954198152235737966374224/325*
         ep^2*z5-34091642765372059748423505257/45249750*ep^2*z4+
         39255355498751247854912416485872667839/31601415425580000*ep^2*
         z3+29190944777489796647153279883830354447009901903181023385496\
         21715877666437539396993911308392826054945389868620755902469160\
         24168886614510123581305044746793/
         22844760864782929957819990262338263496288685938176235148654226\
         63811241423580264956644666942800177815461004574720000000000000\
         000000000*ep^3-1416541602322605066763928/195*ep^3*z6-
         47156918699527970373609911606/7541625*ep^3*z5+3925535549875124\
         7854912416485872667839/21067610283720000*ep^3*z4+1301443389626\
         8181973284057872496429434948681/15326196659467203510000*ep^3*
         z3-1032895394390903745004688/975*ep^3*z3^2;
Fill mncnoptab(11,9,1,5)=
      +mncF321*(1514093588244537300+24838976195367799465/2*ep+
         1339346802807700473985/36*ep^2+453652011284416342486873/7560*
         ep^3)
      -388608703307268704610982179167831484311980189/
      52152453568116829863936000+97971547547555/432*ep^-3-
         94562226939619564583293/1924715520*ep^-2-
         660001231711876412417340729499/1185342468710400*ep^-1-
         2151866376302746771811/108*z3+33650179128113199084078723264589\
         436675168416948567248111128107261759225917588317619138313/
         46252891822478676812578339570770422604423466812451061760000000\
         0000000*ep-2151866376302746771811/72*ep*z4-
         318788555360273406251625273913/962357760*ep*z3-
         32305542207102705825565668320570140525729163884719996185743397\
         2168229954357228389721272735258836193/969059618528208904855147\
         668230605306532904554701097028764565504000000000000000*ep^2-
         34788481341947500418537/18*ep^2*z5-
         318788555360273406251625273913/641571840*ep^2*z4+3015087936983\
         9946763718620522655260303/37338287764377600*ep^2*z3-
         47669803694721835403676770383797516460256390326154890171275184\
         93310688452381817599390915459311279371393599714469119916350768\
         786083041223/1740706580839188579863027732206742569740069961775\
         80350491417243893343512656780797815674501699993600000000000000\
         0000*ep^3-1032895108376911278697055/216*ep^3*z6-
         1339758439761534838327611888757/320785920*ep^3*z5+301508793698\
         39946763718620522655260303/24892191842918400*ep^3*z4+
         15296530056707521106261345095179965251587077879/
         26076226784058414931968000*ep^3*z3-37657618017938398961239/54*
         ep^3*z3^2;
Fill mncnoptab(11,9,2,4)=
      +mncF321*(6606953839612526400+54124133650906879560*ep+
         485326205521526555780/3*ep^2+81951973048098427773196/315*ep^3)
      -35322799182063917699477145048705568168126919/
      1086509449335767288832000-5069295708082595/9*ep^-3-
         257264624513704628757143/40098240*ep^-2-
         5180732351597204543033330328841/222251712883200*ep^-1-
         782384360647877067124/9*z3+95025823059141526285792820502287176\
         8833123995361040478335788471083635808401132932269997/
         29853823353761593871925777538677719664763456142180352000000000\
         00000*ep-391192180323938533562/3*ep*z4-
         28959562060073111260394614523/20049120*ep*z3-
         60835018362325242188312936059972166115030273385909822800749330\
         22146349992440904982433037677122331/41698487785859682402755483\
         29931571225433576049871532874268672000000000000000*ep^2-
         25300315776528189668216/3*ep^2*z5-
         28959562060073111260394614523/13366080*ep^2*z4+275321373764486\
         0421778934756784896413/777880995091200*ep^2*z3-
         17136458589211866153747441227310705846786844147741098607862465\
         38883818074366284172766300886011672168552803380852952883675026\
         06646777/19880915354706292726698327605244432322875203750230251\
         132713397378851681229345263999049701680742400000000000000*ep^3
         -187796407422341729843810/9*ep^3*z6-
         121189377492039368709829212047/6683040*ep^3*z5+275321373764486\
         0421778934756784896413/518587330060800*ep^3*z4+136972194940235\
         1393560162756832039136187561269/543254724667883644416000*ep^3*
         z3-27388602360869358873352/9*ep^3*z3^2;
Fill mncnoptab(11,9,3,3)=
      +mncF321*(9084561529467223800+74465783704149592755*ep+
         1336831510337767391563/6*ep^2+4305454915940705819809/12*ep^3)
      -77600103655950138853656390562030310076961/1736678440496730931200
         -120965221324743565/72*ep^-3-168678647459835401557823/9165312*
         ep^-2-3329767964392907778427032469787/53879203123200*ep^-1-
         2151200434502172793355/18*z3+638419222592500339842678500662066\
         28132554646349647562943543331321398519152505233672294337531/
         14569660924080783195962176964792683120393392045922084454400000\
         0000000000*ep-2151200434502172793355/12*ep*z4-
         45516671100192953274360140383/22913280*ep*z3-
         20404795240389001247601786311274158881634266523728351134546784\
         0109004509079953082257657751689934305767/101751259945461935009\
         790505164213557185954978243615188020279377920000000000000000*
         ep^2-34787300865998032221485/3*ep^2*z5-
         45516671100192953274360140383/15275520*ep^2*z4+392577818014811\
         268142743098505232787/80818804684800*ep^2*z3-
         19304261726697230865539049490106629513030922256850584561712833\
         70564698015524208463793885171961270263748498866478615304088298\
         22571504832873359/11869570991228161186924833806906211687309935\
         88053242013468534524242139999245531181340764013944897536000000\
         0000000000000*ep^3-1032863023807430102677775/36*ep^3*z6-
         190863065422211079227404585027/7637760*ep^3*z5+392577818014811\
         268142743098505232787/53879203123200*ep^3*z4+35832877651263403\
         16899499040003866710963669/1026219078475341004800*ep^3*z3-
         37661281075030057698715/9*ep^3*z3^2;
Fill mncnoptab(11,9,4,2)=
      +mncF321*(4658749502290884000+38284814421380814980*ep+
         1035434803120264431346/9*ep^2+25152564147826244096561/135*ep^3
         )
      -5046179053525847065302035222286146732976977/
      220123992332960645529600-433547551507502201/702*ep^-3-
         3130203257228447685440903/446808960*ep^-2-
         13262501139162656946657313590191/525322230451200*ep^-1-
         21513864274164201883790/351*z3+7778895703638091789570341706388\
         13045016733629207931214962212988782938107539731666466285313803/
         34724358535725866617043188432755894770270917709447634616320000\
         00000000000*ep-10756932137082100941895/117*ep*z4-
         227881050186010226993534446427/223404480*ep*z3-
         54125745892510759864359782185835107517836630162958411762711147\
         4930417529155343664098928182481990973547/529106551716402062050\
         910626853910497366965886866798977705452765184000000000000000*
         ep^2-695752640868789773717140/117*ep^2*z5-
         227881050186010226993534446427/148936320*ep^2*z4+1946101859955\
         224177294579987476506439/787983345676800*ep^2*z3-
         16408255025293365093602827679078155794538812553742782606676293\
         33735033953111329508128894540755178981430125990551144269712974\
         3096647508720034623689/173129562478053959072485625907534003671\
         10272475344588008452044570595854028995317811036383907400275460\
         09600000000000000000000*ep^3-5164360145830512798169075/351*
         ep^3*z6-963600056762136947143421545103/74468160*ep^3*z5+
         1946101859955224177294579987476506439/525322230451200*ep^3*z4+
         1015059472308640087747608017731097141647306463/
         550309980832401613824000*ep^3*z3-753205355359915628846060/351*
         ep^3*z3^2;
Fill mncnoptab(11,9,5,1)=
      +mncF321*(748727598582463500+12362557372590704895/2*ep+
         74883950952044360467/4*ep^2+77181836041816357377949/2520*ep^3)
      -194855835954973926845073661891816618863319/
      52864085488149613117440-129223441685613/208*ep^-3-
         186284661784057294486919/2780144640*ep^-2-
         11556172765773973880730320555423/17031499681996800*ep^-1-
         512348530810989189075/52*z3+3189928734757147151110898849783157\
         039936478568247977247116653921541480650886519090825960758081/
         89095393611401894609518707162992098423721433596609062502400000\
         000000000000*ep-1537045592432967567225/104*ep*z4-
         228432414302387573847705625211/1390072320*ep*z3-
         33802083862357364748051369310816367073528725705053101168488572\
         88280918090542156723367465946773629840671/20740744763005892235\
         000060208363267851830077253824630979133702144000000000000000000
         *ep^2-24848911596346392806955/26*ep^2*z5-
         228432414302387573847705625211/926714880*ep^2*z4+6320863834688\
         2531450598194725194214151/161799246978969600*ep^2*z3-
         26888190298322767565938614287106609598586719393586618505142603\
         74711051022803759759291364310984126747670229571600492165321939\
         5394015652615753252981803/472660254714441828131620628677103109\
         00775547045500868495751360181987106102851165705978912427429194\
         679451648000000000000000000000*ep^3-245927373309408982124175/
         104*ep^3*z6-980490328130920108205365866479/463357440*ep^3*z5+
         63208638346882531450598194725194214151/107866164652646400*ep^3
         *z4+1305517399585518138893986931996889759918499661/
         4185073434478511038464000*ep^3*z3-8966101932825294121095/26*
         ep^3*z3^2;
Fill mncnoptab(11,10,1,4)=
      +mncF321*(141669575508260800+10698619931269950680/9*ep+
         299569472801342363620/81*ep^2+7603233274772350853072/1215*ep^3
         )
      -55539728478945716356927150254274402725855787/
      79625621072749802738688000-146400803063515/243*ep^-3-
         58024442642622045529819/2938628160*ep^-2-
         6314410524973589219580967943377/38005042903027200*ep^-1-
         453020589253558577636/243*z3+786466483864804760901033534137748\
         92824096682005308045878147570128767731385570131110930495097/
         11745228084941122796402080658903587264054273045019760368025600\
         000000000000*ep-226510294626779288818/81*ep*z4-
         46056539528371847496037070479/1469314080*ep*z3-
         44727391749081545342842416784954504917735290834032406804255154\
         665774730901020966541049286219068422007/1491382752914913504572\
         072261406901566754140109684988327268666310656000000000000000*
         ep^2-14647768450591658837224/81*ep^2*z5-
         46056539528371847496037070479/979542720*ep^2*z4+39758184032586\
         30455951874651994913209/57007564354540800*ep^2*z3-
         39571238421413638591751045014626838796409082563588254507480488\
         07001502541725370722695119000510318962570163773070628303270989\
         607593152025574347/3424540796269199190444770622346826446241592\
         35776046795771578903594203706068039253405115286080445009100800\
         0000000000000000*ep^3-108725711906303544835090/243*ep^3*z6-
         16005451898091854787648790687/37674720*ep^3*z5+397581840325863\
         0455951874651994913209/38005042903027200*ep^3*z4+2765166274049\
         831561765578979063640442989980897/39812810536374901369344000*
         ep^3*z3-15855886801079634775928/243*ep^3*z3^2;
Fill mncnoptab(11,10,2,3)=
      +mncF321*(463645883481580800+3886364399638280560*ep+
         108631415290102017698/9*ep^2+2750861092234739658601/135*ep^3)
      -2523534494512928848890260899355536019956207/
      1105911403788191704704000-2217578843572400/27*ep^-3-
         76599175017733273991333/81628560*ep^-2-
         806678156804765740419196714081/234599030265600*ep^-1-
         164687340785427175408/27*z3+1772967840046483746574483533466210\
         536111953891405301508896762068664547532188051353645883/
         81031806245924326223798539033553810518643666671632384000000000\
         000000*ep-82343670392713587704/9*ep*z4-
         836800897248992716963303405/8162856*ep*z3-
         55375186779887455941156738245158012255674791609528738267052953\
         32291962756283974590313424634504821/56590804852238140403739584\
         477642752345169960676827946150789120000000000000000*ep^2-
         5326292894724122208272/9*ep^2*z5-836800897248992716963303405/
         5441904*ep^2*z4+725899511071846040236992963541593217/
         3167086908585600*ep^2*z3-2515133145551648201371156647377743632\
         44715035830482426348319585459597400797292868561557384608176260\
         324052264429614226226104345142469/4437704320246940340780876697\
         59920364349892940853353819926638334349367884583599642835930841\
         08800000000000000000*ep^3-39535478358467348623520/27*ep^3*z6-
         3768509896513378547135885497/2720952*ep^3*z5+72589951107184604\
         0236992963541593217/2111391272390400*ep^3*z4+12454588254819679\
         8046997302104638037524860637/552955701894095852352000*ep^3*z3-
         5766297054189532238224/27*ep^3*z3^2;
Fill mncnoptab(11,10,3,2)=
      +mncF321*(425008726524782400+10695956630740461080/3*ep+
         299366478876452444380/27*ep^2+7593625661477189008862/405*ep^3)
      -458823111402271134991731797780342113066387/
      219354328024104139776000-6860491111170235/81*ep^-3-
         945178203238858837569739/979542720*ep^-2-
         4050193142080132006597649078467/1151667966758400*ep^-1-
         452873095235511454196/81*z3+1635319634629723214776642181952409\
         95066153128628674540486309302882049690264879971583579231863/
         81564083923202241641681115686830467111488007257081669222400000\
         00000000000*ep-226436547617755727098/27*ep*z4-
         46041068417410929093201131359/489771360*ep*z3-
         46394286204638227848817373765896057672120110523625072951157661\
         80245517256173669072286645856393712107/51784123365101163353196\
         953521072971067852087141839872474606469120000000000000000*ep^2
         -14647245255363462821464/27*ep^2*z5-
         46041068417410929093201131359/326514240*ep^2*z4+36189360864056\
         9114285696461467335099/1727501950137600*ep^2*z3-
         80718125590095136326063651470904870929979684320486202174447827\
         54765397584582366106814724686929934306374578371464970405518258\
         5520771504530609/185793228964257768578817850604754038967100279\
         82641427721982362391178586483726087966857383142385254400000000\
         000000000000*ep^3-108722156677137192525490/81*ep^3*z6-
         207851293433403425005746084451/163257120*ep^3*z5+3618936086405\
         69114285696461467335099/1151667966758400*ep^3*z4+3583534632107\
         2130686866744724259220485518741/172349829161796109824000*ep^3*
         z3-15857507507328137551208/81*ep^3*z3^2;
Fill mncnoptab(11,10,4,1)=
      +mncF321*(108976596544816000+8249560807950640640/9*ep+
         231920199462702325498/81*ep^2+5916485145942279233243/1215*ep^3
         )
      -2222183506980445331939613385071323960353405/
      4140532295782989742411776-2047677050449954/3159*ep^-3-
         408301815756489744095039/19101083040*ep^-2-
         11092699546871823673973368601177/61758194717419200*ep^-1-
         4530196454802194745800/3159*z3+7179633923901284678324496380404\
         43208534194453181634243514616677074928183949400301130948685944\
         589/1399639680122150466571247945186010815633134204531521443856\
         38400000000000000000*ep-2265098227401097372900/1053*ep*z4-
         230558721994606866358917151091/9550541520*ep*z3-
         89574034011462651585256045452124177556338799506268439824797852\
         77905038114875932475883334395513704627924313/
         39099084505585982378197827786550936075071039875574777313226868\
         4443648000000000000000000*ep^2-146477646917796296280640/1053*
         ep^2*z5-230558721994606866358917151091/6367027680*ep^2*z4+
         4924919841040678621333834806351728213/92637292076128800*ep^2*
         z3-30529617833540775777215784133436929328317641808596956947694\
         65037179542117329470103864384836377291320042585198729574737281\
         4397534963652465262430953/816182223110825807056003664992660303\
         02091284526624486325559638689951883279549355394885809849172727\
         169024000000000000000000000*ep^3-1087256860746466735240300/
         3159*ep^3*z6-1049314014407175299987695729799/3183513840*ep^3*
         z5+4924919841040678621333834806351728213/61758194717419200*
         ep^3*z4+14119679466631645746424002331415115767278919419/
         258783268486436858900736000*ep^3*z3-158558944597959957608480/
         3159*ep^3*z3^2;
Fill mncnoptab(11,11,2,2)=
      +mncF321*(13909376504447424+602418658492907256/5*ep+
         29590057929231571156/75*ep^2+2399533945262504212034/3375*ep^3)
      -721154522049550226478208250499654777283463/
      10532489559887540044800000-220245178528837/45*ep^-3-
         399335016794494425607/7255872*ep^-2-
         8925759605954766569378099791789/45244098694080000*ep^-1-
         8231800423517424908/45*z3+226754988274160256039444851811151718\
         4331498727788268191724619560484633013053955439/351554067081096\
         0980832575794528053003897840599040000000000000000*ep-
         4115900211758712454/15*ep*z4-52504377345085501711253133/
         16796000*ep*z3-19202097884161572581068930384098102402378711102\
         540295765470756468130683430311642823375494917/
         68744903853544874154202605050586433849817736487886231961600000\
         00000000000*ep^2-266305739533823834152/15*ep^2*z5-
         157513132035256505133759399/33592000*ep^2*z4+95328047471167781\
         7270540132495583313/158354345429280000*ep^2*z3-
         49849880667076897708912491359006071536181199571824967060392590\
         16654193592956210093025344699737308149216634387310179620974312\
         901074041403/5313747787045303707772624705412096356188995159733\
         86526554711281528833958170490199145938150051807232000000000000\
         000000*ep^3-395342709088977038774/9*ep^3*z6-
         21093025209123650702258348137/453492000*ep^3*z5+95328047471167\
         7817270540132495583313/105569563619520000*ep^3*z4+656424506260\
         7044968709715391618937631425699/752320682849110003200000*ep^3*
         z3-288344369952426952472/45*ep^3*z3^2;
Fill mncnoptab(11,11,3,1)=
      +mncF321*(6375130897871736+276351079417852439/5*ep+
         81560027488579571239/450*ep^2+2208640834287718809287/6750*ep^3
         )
      -55632353839365107090441574128511465397511131/
      1769458246061106727526400000-58416091523867/1080*ep^-3-
         7414533721292426963971/2612113920*ep^-2-
         7328932497451529005207416078739/281518836318720000*ep^-1-
         22651359997979206417/270*z3+5354568875257505351509321923869058\
         585737348720716178078516774327681104667853956143228379053/
         18310304554188258327724332092961941596456491425059150233600000\
         000000000000*ep-22651359997979206417/180*ep*z4-
         46819194120431439700986923503/32651424000*ep*z3-
         32324959406842475359939262610915079676594770169529091379554805\
         633665368179911472380452059017409487113/2557501602929486026831\
         3597453264610200857561404745406405826052096000000000000000000*
         ep^2-366194499757400239849/45*ep^2*z5-
         46819194120431439700986923503/21767616000*ep^2*z4+347974606232\
         5116019846630776298322401/1266834763434240000*ep^2*z3-
         65914780919999506899092828158255014735625668939231875378372191\
         52487163725714385637450858900683747309183699636028657400709079\
         955845742113689739179468523/9209211403889577688750106395194965\
         73781083570193091317639040863817635261469015992819506849213450\
         73890755346432000000000000000000000*ep^3-
         2174515638546422232677/108*ep^3*z6-
         232756203836790811365195679507/10883808000*ep^3*z5+34797460623\
         25116019846630776298322401/844556508956160000*ep^3*z4+
         3558632399452620263508158623172753987017840241/
         884729123030553363763200000*ep^3*z3-396393388929297255419/135*
         ep^3*z3^2;
Fill mncnoptab(12,1,1,12)=
      +mncF321*(351047164190381568+154444865797823013504/55*ep+
         6640716554981963357669/825*ep^2+87922882551753239357311621/
         7187400*ep^3)
      -249252369592860638046753465844059869021799779/
      144310595925694427349120000-199456796361176/27225*ep^-3-
         8119391867669310326951/186405219000*ep^-2+
         921327921820157261048602926091/14464582709456880000*ep^-1-
         125768478479802544636672/27225*z3+3443138301250532370543664262\
         546906705047463509788165472509960565152378597395893/
         199854000748548370279523377544282219008103546880000000000000*
         ep-62884239239901272318336/9075*ep*z4-
         70706927391428696233106072813/932026095*ep*z3-
         45110799264949822145387557592583924803457968361388821564938805\
         983589538073811139740065743/5582942935259578968143779516605596\
         53504525025079302553600000000000000*ep^2-
         1355504801263510351128736/3025*ep^2*z5-
         70706927391428696233106072813/621350730*ep^2*z4+15272300501172\
         786560677072102946361503/75336368278421250*ep^2*z3+
         52576713377983643806756112851316838616882419584630357613454044\
         7292586408977334245443400544972827554993283421811/
         22431665177055886298108017386300915192127937346465170636733882\
         74999623680000000000000000000*ep^3-6036887366445895307760976/
         5445*ep^3*z6-2725196415373425668027067933353/3106753650*ep^3*
         z5+15272300501172786560677072102946361503/50224245518947500*
         ep^3*z4+60554218186516785554881354515543448018304701007/
         631358857174913119652400000*ep^3*z3-4401897200561066926293856/
         27225*ep^3*z3^2;
Fill mncnoptab(12,2,1,11)=
      +mncF321*(3539725572253014144+140764212105371146292/5*ep+
         35956658674276797571537/450*ep^2+14245479239902207270567343/
         118800*ep^3)
      -2118645737274821360006399719697358059312536823/
      121650254416701087517440000+2908465931237/1350*ep^-3+
         1428799916573890370171/104756652000*ep^-2-
         148768557335182689963246384673/4064428199351520000*ep^-1-
         31442122083238760913868/675*z3+3779898562588454991120098735506\
         20528700835746128992354952703451120775750719268919/
         2166068154512011852616321848708985561386529587200000000000000*
         ep-15721061041619380456934/225*ep*z4-
         499444547156835420148853085223/654729075*ep*z3-
         34850732272271542001740567823734161016359813418917447490617503\
         952360012545765192055726697363/4235654226915945035335528591937\
         1385282409419258082623488000000000000000*ep^2-
         338876203714302949391534/75*ep^2*z5-
         499444547156835420148853085223/436486050*ep^2*z4+1863653355973\
         39364459125881270076942511/89656504397460000*ep^2*z3+
         21790445942695668321748048338345047410700646594584950344621334\
         72675735251721850608407292067915310987170010594169899557/
         91684624625820851839309783634207926365996059345673571012513302\
         7657346187264000000000000000000000*ep^3-
         1509221855672743891804969/135*ep^3*z6-
         45244887739860253352223855431539/5237832600*ep^3*z5+1863653355\
         97339364459125881270076942511/59771002931640000*ep^3*z4+
         921705230993024474262320591034651092661908683759/
         1064439726146134515777600000*ep^3*z3-1100474267912238493111714/
         675*ep^3*z3^2;
Fill mncnoptab(12,2,2,10)=
      +mncF321*(32447484412319296320+770864338670259039206/3*ep+
         390865351719064360340807/540*ep^2+13942684442515464333755963/
         12960*ep^3)
      -2118645579455622397291037962946256494593974107/
      13270936845458300456448000-1130166463592573/1620*ep^-3-
         72646212933805375045369/11427998400*ep^-2-
         6746217298558966055689977388093/443392167201984000*ep^-1-
         172931662555262798180554/405*z3+297403669756796458511846487507\
         51128668574180587311058287236917768560395001943879699/
         18525790179680915917649414502412851055931336687616000000000000
         *ep-86465831277631399090277/135*ep*z4-
         49839846248121043619427290755/7142499*ep*z3-
         26810971037129398189664825250548857348052059227007235532169798\
         982074706951098077712951565747/3528545008868820326957200678241\
         847633443693769598949130240000000000000*ep^2-
         1863819110448173920763777/45*ep^2*z5-
         49839846248121043619427290755/4761666*ep^2*z4+1109894719519549\
         5414920065511161272013/575335857096000*ep^2*z3+
         73277513299706608955243119737432369787988261927461034573229131\
         14397573045285551811507816676238046321379060473757725508683/
         39534410138653951313110378703070457849017500789854443820595736\
         1525847675948236800000000000000000000*ep^3-
         16601440331478302488693439/162*ep^3*z6-
         44433135055295181888125948748631/571399920*ep^3*z5+11098947195\
         195495414920065511161272013/383557238064000*ep^3*z4+6943941437\
         074801734563142771946879967136803359/959675185105455611520000*
         ep^3*z3-6052608588972715419373207/405*ep^3*z3^2;
Fill mncnoptab(12,3,1,10)=
      +mncF321*(13614329124050054400+107967221409019732760*ep+
         2744266216907920556992/9*ep^2+2701504318325969347265137/5940*
         ep^3)
      -407431807203715548239876090185983704945156537/
      6082512720835054375872000-5849861974705/27*ep^-3-
         467281624100731117307/299304720*ep^-2-
         864045914717385232280579851/967720999845600*ep^-1-
         4837249334569488665864/27*z3+575843792984097851555128188086260\
         3149196028633612426923313458442791580772950945405189/
         85589150630125831539540295001147371878402775496785920000000000\
         00*ep-2418624667284744332932/9*ep*z4-
         1405307149108123855098960478/479655*ep*z3-
         20117642032027918721168411870925617432634384609381913011919711\
         9201048588328899486978157514301/632524364552781125276772269729\
         27935355064732758736717742080000000000000*ep^2-
         52134800334325176814612/3*ep^2*z5-702653574554061927549480239/
         159885*ep^2*z4+129059872110018162627892671775485758/
         16010090070975*ep^2*z3+206415515772086834603175495595236805956\
         71069351723303829345304608599963142447013241756708230442552572\
         64275918136214979935247/34416501044340930706758635132782064032\
         92650796033146854782043358155924858982105088000000000000000000\
         00*ep^3-1160939884185892756664110/27*ep^3*z6-
         2456092707746043458373318672881/74826180*ep^3*z5+6452993605500\
         9081313946335887742879/5336696690325*ep^3*z4+73186763872319094\
         0181750854381878683671007963/233942796955194399072000*ep^3*z3-
         169303736494561484988620/27*ep^3*z3^2;
Fill mncnoptab(12,3,2,9)=
      +mncF321*(112318215273412948800+887938093961593925250*ep+
         29927522089653782421443/12*ep^2+5318807344962432153769667/1440
         *ep^3)
      -814864442671309316848219479348792169694226883/
      1474548538384255606272000-351121232426657/36*ep^-3-
         4423611910231743399403/36279360*ep^-2-
         739914742565066575669704765607/1407594181593600*ep^-1-
         13302434337100474726930/9*z3+213773725308949453615648227944343\
         06166720970660379356926951462562157315691906813483261/
         38423861113412270051421007856856283671561290907648000000000000\
         00*ep-6651217168550237363465/3*ep*z4-
         13680919979645776705075045843/566865*ep*z3-
         70793138513346167803817782659563229511317557381699867152241491\
         447252184289377958559114231596229/2683436698102707804204488417\
         033306348396685632188830449664000000000000000*ep^2-
         143370699252137699541045*ep^2*z5-13680919979645776705075045843/
         377910*ep^2*z4+2083398321421698126229863108929997359/
         31049871652800*ep^2*z3+207166183925482183336515935040040732359\
         78261020300602874628433466422844859055288670054315983606735359\
         97329506800773065300591/31834243980929194782844435661557388281\
         038928740588676331355520875806819396616192000000000000000000000
         *ep^3-6385169294660694105712375/18*ep^3*z6-
         2423774465847105044027268026681/9069840*ep^3*z5+20833983214216\
         98126229863108929997359/20699914435200*ep^3*z4+886408011956131\
         8681628866090963068172875591461/368637134596063901568000*ep^3*
         z3-465585288104933126203843/9*ep^3*z3^2;
Fill mncnoptab(12,3,3,8)=
      +mncF321*(345594508533578304000+2730185727019999469760*ep+
         22977792191828311982144/3*ep^2+101955166172609357986466/9*ep^3
         )
      -92598273452727456933296391680304513555133603/
      54457758519873076368000-35531252719097828/117*ep^-3-
         101720254661868892031917/29476980*ep^-2-
         1793426454257842572653604079733/142958784068100*ep^-1-
         532096660449375185393152/117*z3+165424469806200237380736851284\
         8494519984204778586741963818213606709858706698326100130203/
         96584979009690608508161791233933666182225354293248000000000000\
         000*ep-266048330224687592696576/39*ep*z4-
         547048990269355393430943398578/7369245*ep*z3-
         43851317148041552582234689931561877076314391195784974421123803\
         2697292103914214316509803422654259/539622348509091397501746342\
         6127914484978960013479726232371200000000000000*ep^2-
         5734827130858770662037936/13*ep^2*z5-
         273524495134677696715471699289/2456415*ep^2*z4+104374066504605\
         93840527178741456430891/50456041435800*ep^2*z3+
         14683315240184775138168229081598562135907605974669656881564161\
         30674105257714116525547124420371754757518864873617963028619649\
         8297/795284077951697548102356655585641097705298300263909455506\
         05897737943333112937185280000000000000000000000*ep^3-
         127703368793198901932370680/117*ep^3*z6-
         6041262103670952108076261944881/7369245*ep^3*z5+10437406650460\
         593840527178741456430891/33637360957200*ep^3*z4+43526030969071\
         6208376953215794478345033383767/5990353437186038400480*ep^3*z3
         -18623419436211509229361744/117*ep^3*z3^2;
Fill mncnoptab(12,4,1,9)=
      +mncF321*(26256206167810819200+208223731879684581060*ep+
         1176297931150499118549/2*ep^2+48663821047466804114037499/55440
         *ep^3)
      -2012010717593747351832323054998279376277647/
      15574792517913262233600+863489302333/6*ep^-3-
         1026695811477048867599/1396755360*ep^-2-
         164583705444964954976567235449/7741767998764800*ep^-1-
         1036553486608138339436/3*z3+1279486234291134476332769262025235\
         40345103447864685266050864373951419429926180405957521/
         98621243524424826465313920165931128090340646662963200000000000\
         000*ep-518276743304069169718*ep*z4-
         246632117393905098452745848639/43648605*ep*z3-
         10562668684932853524127774127130499009339539771562879162297949\
         3853419245320835271297675706097621/172187188128257084103121340\
         09297049068878732806544995385344000000000000000*ep^2-
         33515228968027293076794*ep^2*z5-246632117393905098452745848639/
         29099070*ep^2*z4+126415051753912853395871554071751799/
         8132109242400*ep^2*z3+8047077776586837014266443258820544096262\
         44402895480315128013852643331387406558137843712758627391961545\
         2151153674814703751569/396568736313393440242486330748106087622\
         198445633449020304103761433604510499995648000000000000000000000
         *ep^3-248772833543684352227365/3*ep^3*z6-
         7368461485635556221176316722063/116396280*ep^3*z5+126415051753\
         912853395871554071751799/5421406161600*ep^3*z4+316263275477410\
         6402130683808291535185333892199/525649247479572600384000*ep^3*
         z3-36279371308403633412626/3*ep^3*z3^2;
Fill mncnoptab(12,4,2,8)=
      +mncF321*(192545511897279340800+1523687538861965557080*ep+
         4287583169211038519823*ep^2+16046639738813290212115171/2520*
         ep^3)
      -814865865203625376053024798778225944981029401/
      860153314057482436992000-322650651384061/3*ep^-3-
         26773269744601023531449/21162960*ep^-2-
         577353063517731174991619045059/117299515132800*ep^-1-
         7601384912441145337160/3*z3+1982525231237765946811428992534026\
         14687726820880764393282994871403875702781365044533517/
         20802918555933361832527155035001097331556230155468800000000000\
         000*ep-3800692456220572668580*ep*z4-
         54749895868767206161599921742/1322685*ep*z3-
         13118090296790886159627566840483190291087085510691526154296236\
         49607701599117061614418795209609353/29056587996643382942401726\
         140688770303732861611044679712768000000000000000*ep^2-
         245778319987211358842220*ep^2*z5-27374947934383603080799960871/
         440895*ep^2*z4+98926629973852664846310432702232399/
         862496434800*ep^2*z3+10215751573783395427902358298677296235151\
         84173122911030498056044893789394165499050775255905172823681419\
         37773889322297155014170323/11133977091323765673432993178198975\
         36787417620369473237708482568331206663581120593920000000000000\
         000000000*ep^3-1824333937622982327973750/3*ep^3*z6-
         62409154562950828062978610189/135660*ep^3*z5+98926629973852664\
         846310432702232399/574997623200*ep^3*z4+9044054250458418811600\
         181582066245346200352779/215038328514370609248000*ep^3*z3-
         266048804709062496934076/3*ep^3*z3^2;
Fill mncnoptab(12,4,3,7)=
      +mncF321*(518391762800367456000+4102798934516229680040*ep+
         11548478074678435430925*ep^2+6177770251557361755111799/360*
         ep^3)
      -582043375757682062289151450130775812885799743/
      228203940464230034304000-89098677540921895/39*ep^-3-
         597435212502475984062131/23581584*ep^-2-3992092683388269953551\
         53735819583/4574681090179200*ep^-1-266046767439267240148184/39
         *z3+2732077985125808429807355524450752350472010632923852945959\
         7333426239267165454940832101967/106440589112720262437566055645\
         5595504865340639150080000000000000000*ep-
         133023383719633620074092/13*ep*z4-
         164259902815064814487433244640/1473849*ep*z3-
         18069851601917267888112846154348055558951370153962991252818240\
         5340288198420164958636619815438333239/148671463364749670740277\
         0535769935623412570615958700084428800000000000000000*ep^2-
         8602235147580008648867076/13*ep^2*z5-
         82129951407532407243716622320/491283*ep^2*z4+18878262250180849\
         4507128595232820651/611588381040*ep^2*z3+
         19717367868560479304868640347812195464480853052604849675942874\
         05965770948226516981738478418535798544525787845138981470283331\
         17717/87643551447738097137810733472703304645073690233165531831\
         2799689356926528183389388800000000000000000000000*ep^3-
         63851646688251896766132610/39*ep^3*z6-
         2435359842522482771203518779915/1965132*ep^3*z5+18878262250180\
         8494507128595232820651/407725587360*ep^3*z4+647275750561268124\
         3630402608350190172127093853/57050985116057508576000*ep^3*z3-
         9311726856422290358520308/39*ep^3*z3^2;
Fill mncnoptab(12,4,4,6)=
      +mncF321*(666503695029043872000+5288491617277166880120*ep+
         14954177247008268269055*ep^2+56347229264355386664483179/2520*
         ep^3)
      -36666754075168969638898264051103541922822753021/
      11181993082747271680896000-163229635556228175/13*ep^-3-
         22279529159787949994800255/165071088*ep^-2-4175212090626290859\
         5246246178691709/96068302893763200*ep^-1-
         114017288418228344930264/13*z3+4903259911707387058799365442611\
         246158113741654236951364121228376084118269578060373894205233/
         14901682475780836741259247790378337068114768948101120000000000\
         0000000*ep-171025932627342517395396/13*ep*z4-
         1480143866190501079553633842409/10316943*ep*z3-
         26758591013358479541331629785199695992335234946984544019518061\
         1445263620231385709659407325801383557/172016569182354990939163\
         5330642900721303800712679487700992000000000000000000*ep^2-
         11059987331365837544881388/13*ep^2*z5-
         1480143866190501079553633842409/6877962*ep^2*z4+55661279902638\
         68495658940061528189269/14127691602024*ep^2*z3+
         16080735751350909489192536142371706355406866632039358081598324\
         70561078454456323222604277950682665792940645372197243553097330\
         29523851/82945857090139335131224078158566407516097740436667859\
         3251233626007395266272759717560320000000000000000000000*ep^3-
         27364925107369022999877810/13*ep^3*z6-
         2461592285377550766622374206411/1528436*ep^3*z5+55661279902638\
         68495658940061528189269/9418461068016*ep^3*z4+4304437497375047\
         76941842254129690731041840084051/2795498270686817920224000*
         ep^3*z3-3990770414123253727340308/13*ep^3*z3^2;
Fill mncnoptab(12,5,1,8)=
      +mncF321*(28006619912331540480+222789998891318498640*ep+
         3163995866668597031484/5*ep^2+3297661720968832997145952/3465*
         ep^3)
      -171550712916045245573395477333493835869234281/
      1244958744030566685120000-12381452419994/15*ep^-3-
         1442008460499003126179/91891800*ep^-2-
         58183729893291063959493239803/509326842024000*ep^-1-
         5528284763010636337168/15*z3+141076969052570341133284476593418\
         905076706155537736009926319267154020292242180732166099/
         10218977536247967215978251596140889917255692006195200000000000\
         0000*ep-2764142381505318168584/5*ep*z4-
         138667115065322795076160326943/22972950*ep*z3-
         46454834260599629417371705665983961363278137582745770359125701\
         456086820723747967125243961898289/7136705823736971249010950280\
         169171653548422150081149403136000000000000000*ep^2-
         178747886270195251043352/5*ep^2*z5-
         138667115065322795076160326943/15315300*ep^2*z4+24618519569457\
         6805741670929989696463/14980201236000*ep^2*z3-
         40826584805548755580511692467948319941958436784055685051042383\
         25786398960463637559964208628379505566294922975641930681981359/
         86749411068554815053043884851148206667355909982316973191522697\
         8136009866718740480000000000000000000000*ep^3-
         265357687023787558396444/3*ep^3*z6-
         261888805051778128185640437496/3828825*ep^3*z5+246185195694576\
         805741670929989696463/9986800824000*ep^3*z4+169836095751229786\
         269521811216767985626649041/24899174880611333702400*ep^3*z3-
         193489987199678779096504/15*ep^3*z3^2;
Fill mncnoptab(12,5,2,7)=
      +mncF321*(179709144437460718080+1427651561686755765360*ep+
         20227438099580851518764/5*ep^2+54590895459980838950641/9*ep^3)
      -10721980951650193138120342748715887113806511/
      12126221532765259920000-6260467294367594/15*ep^-3-
         8769366321088967013653/1790100*ep^-2-
         475597766794303512064642567403/25255876464000*ep^-1-
         35473026139622636018608/15*z3+23546341642625468529169870699081\
         585133047287697712888391566124877408757492079013690866037/
         26545507244305943992526595254115256315670033753702400000000000\
         00000*ep-17736513069811318009304/5*ep*z4-
         69288197458199131663249926439/1790100*ep*z3-
         15524188370431546238290802207346875714799641864474624340077013\
         5636759649022638147689881356538041809/370775795274031567514213\
         2186373604631668597163686474704486400000000000000000*ep^2-
         1146965125094056709245112/5*ep^2*z5-
         69288197458199131663249926439/1193400*ep^2*z4+8649982525102201\
         51016824113137424043/8171018856000*ep^2*z3+
         11937105745342846034026005184976494849118424899258922715739184\
         26238510638442331858515742136483041143657653294240133142272487\
         13713/31757898642239216374642006952461903330214937166841157416\
         510859331992161256527521382400000000000000000000000*ep^3-
         1702711174571273745858364/3*ep^3*z6-
         260427563379892606431561198041/596700*ep^3*z5+8649982525102201\
         51016824113137424043/5447345904000*ep^3*z4+1032731996339605686\
         56876720968354776489026159/2425244306553051984000*ep^3*z3-
         1241562217390243241957464/15*ep^3*z3^2;
Fill mncnoptab(12,5,3,6)=
      +mncF321*(414713410240293964800+3297341862711159777360*ep+
         9357678055454391937428*ep^2+632692102299380739160232/45*ep^3)
      -1750452958304980913614210492507075435549841/
      857909550617406144000-257470551703786498/39*ep^-3-
         74377458622759330952653/1034280*ep^-2-
         9565998565109449486347421586173/40128781492800*ep^-1-
         212833309740576423745616/39*z3+8083019227025051520356093263171\
         80388651383803593561618249093219427115175619690116357444499/
         39541745165997395738867740847275850553550154445619200000000000\
         000000*ep-106416654870288211872808/13*ep*z4-
         23105116461080559815515792607/258570*ep*z3-
         42617314649366634625728892217021151203522152728624690240437056\
         637550544622072068519219137143212401983/4418411560348876179544\
         37418876187885273841162005971568951296000000000000000000*ep^2-
         6881773576461012809825784/13*ep^2*z5-
         23105116461080559815515792607/172380*ep^2*z4+28763584930466644\
         1045678782229840029/1180258279200*ep^2*z3+
         14978719615174363071822364884673766747553328101267873385546441\
         18450184402661656238070384115018477669074096481852082834047651\
         1305172077/643362096660696125056289324178624058297937602104923\
         78066281582530060786678848670400512000000000000000000000000*
         ep^3-51081218549106155014329340/39*ep^3*z6-
         14518627233251545127222373463/14365*ep^3*z5+287635849304666441\
         045678782229840029/786838852800*ep^3*z4+2999446102479809397137\
         00369141597729289217399/3002683427160921504000*ep^3*z3-
         7449426695417831942116376/39*ep^3*z3^2;
Fill mncnoptab(12,5,4,5)=
      +mncF321*(444335796686029248000+3543983544371640678000*ep+
         10113849947387296269940*ep^2+107170125375738142645371/7*ep^3)
      -64317934850722307253748282227526534456799869/
      29426297586177030739200-938458948042717970/39*ep^-3-
         92567725149378501061973/361998*ep^-2-8111283725612972412087778\
         87499953/1011245293618560*ep^-1-228021125640445490866480/39*z3
         +1841432436247137858587444229669084526978549033590886604750825\
         1775708286310247730837820976631629/841802631169111917988925780\
         188021691400507095986609324032000000000000000*ep-
         114010562820222745433240/13*ep*z4-
         69418424154330762272959077311/723996*ep*z3-
         12088776084276809638208494991839396429550201451429345823643198\
         5047975994430482709965381056701313601884353/
         11757923371475601378909125041198011052599241930373310615676728\
         11520000000000000000*ep^2-7373277181462216775279320/13*ep^2*z5
         -69418424154330762272959077311/482664*ep^2*z4+1539104747537490\
         556377301865212873847/5948501727168*ep^2*z3+
         13932868980225982890526615275768401730133698538333008825141935\
         98874908710535860625578163697058112757924395671464183644560383\
         433250792051261/5786775450210105452407099144690783782580190065\
         59147712664732167770096318986244075363591467827200000000000000\
         0000000*ep^3-54729526046865512087428700/39*ep^3*z6-
         264749908743674062438324611829/241332*ep^3*z5+1539104747537490\
         556377301865212873847/3965667818112*ep^3*z4+380154820980242685\
         41037922765955092018274119/334389745297466258400*ep^3*z3-
         7981688689028305339500280/39*ep^3*z3^2;
Fill mncnoptab(12,5,5,4)=
      +mncF321*(236979091565882265600+1900874465420205345840*ep+
         16437416105464735721296/3*ep^2+7942586076078061780188977/945*
         ep^3)
      -5143978270155260001936642949172301173122051/
      4413944637926554610880-3264528966486152354/117*ep^-3-
         19220149277295307648822271/65159640*ep^-2-
         3210421990152840329880673967663/3511268380620*ep^-1-
         364794979991997621631312/117*z3+290476360713111564861258437425\
         73688975142288056110605671277134059680608735551493224754002700\
         041/2500153814572262396427109567158424423459506075080229692375\
         040000000000000*ep-182397489995998810815656/39*ep*z4-
         83526864028187787046794845662/1628991*ep*z3-
         18960362555425833130103029075251039143811110192484285462688538\
         8762611610015639714963163682326375971294297/
         34921032413282536095360101372358092826219748533208732528559882\
         50214400000000000000*ep^2-11797105894738964804746808/39*ep^2*
         z5-41763432014093893523397422831/542997*ep^2*z4+25224102146854\
         6629165940813651624013/1858906789740*ep^2*z3+
         33405373580620925268934620214920435079890566605499393322228007\
         10447191783168874264463808467116286594354060378549352221481200\
         6035191285649249/223427400132612171517438097976511161845421138\
         43248693185985308997603418876058883749788266572808192000000000\
         0000000000*ep^3-87566306760562241981522780/117*ep^3*z6-
         216753796355505866032264703173/361998*ep^3*z5+2522410214685466\
         29165940813651624013/1239271193160*ep^3*z4+1479230651296443673\
         7386086867347940688289927357/220697231896327730544000*ep^3*z3-
         12771129215008081599196504/117*ep^3*z3^2;
Fill mncnoptab(12,6,1,7)=
      +mncF321*(17154054696303068544+137345470528001207472*ep+
         9865124623342703123976/25*ep^2+1491575822116224900620204/2475*
         ep^3)
      -600433810369373240772429518436648652342376351/
      7114049965888952486400000+49989473408294/75*ep^-3-
         1848576472670012387669/87516000*ep^-2-
         427841934278633974948044670469/1455219548640000*ep^-1-
         16930375111750549846712/75*z3+10150760607187833434703810908284\
         2570931155077454909560788754459349223123246209072799493/
         12066139656502701814784816024597843779850015342592000000000000\
         0000*ep-8465187555875274923356/25*ep*z4-
         162288825009381111310120493321/43758000*ep*z3-
         13292221887271956920539128714555397222231898100487175305888839\
         69247927149531367977910623153515117/33706890479457415228564838\
         0579418602878963378516952245862400000000000000000*ep^2-
         547415411111003342901168/25*ep^2*z5-
         162288825009381111310120493321/29172000*ep^2*z4+29586679121624\
         05925076272782714685513/299604024720000*ep^2*z3+
         15321817146484160278663585491897085908880418214768040379281415\
         80602423164109605002833360052726462249872169588172163346873025\
         634563972399/1255523341633650816578951740575906380619553073401\
         97839999820516405428156646594549156256153600000000000000000000\
         000*ep^3-812657929110629739428396/15*ep^3*z6-
         627581007247084952121917225749/14586000*ep^3*z5+29586679121624\
         05925076272782714685513/199736016480000*ep^3*z4+33479586438194\
         62081209150656929806865546539929/711404996588895248640000*ep^3
         *z3-592563043805845857040016/75*ep^3*z3^2;
Fill mncnoptab(12,6,2,6)=
      +mncF321*(94347300829666876992+754885632955760049744*ep+
         54156596201239576316118/25*ep^2+59457978637826814000659/18*
         ep^3)
      -54585201666443728795834364329902238852736251/
      117587602741966156800000-58219690671123058/75*ep^-3-
         142633213086063243107839/15912000*ep^-2-
         109194604415257331257445057539/3266486080000*ep^-1-
         93115768347848509071116/75*z3+45048798905988255092271447231257\
         3371123564449253769143591486193506341786012024148063278427/
         97333526562455127972597515931755939824123457096908800000000000\
         000000*ep-46557884173924254535558/25*ep*z4-
         162233408537982652028230177591/7956000*ep*z3-
         29513029650879849855920596950201999677883624668047201451158381\
         54310213076842043656612299122472120583/13595112493381157475521\
         1513500365503161181896001837405831168000000000000000000*ep^2-
         3010780180117226199791724/25*ep^2*z5-
         162233408537982652028230177591/5304000*ep^2*z4+253395323294530\
         72058560401555297059/465585120000*ep^2*z3+
         61757993232164017886625545091945083957848406965350004085007652\
         60691202876988488605189081760071607201324897291545658528044622\
         178370547376686553/6740109656448036588695225225716343283505321\
         40081540077660369799587020335203023291205473659781120000000000\
         00000000000000*ep^3-4469612386001915045152028/15*ep^3*z6-
         625833971971328032680505013779/2652000*ep^3*z5+253395323294530\
         72058560401555297059/310390080000*ep^3*z4+33081101305582540033\
         56062710165809265622277983/129346363016162772480000*ep^3*z3-
         3259111046420515845423788/75*ep^3*z3^2;
Fill mncnoptab(12,6,3,5)=
      +mncF321*(181437116980128609600+1453746400520684442480*ep+
         4182101698327925297310*ep^2+115167048446144964635975/18*ep^3)
      -85765304689953643592495596774465874310309623/
      96085869669149488128000-313490074514793022/39*ep^-3-
         720382388127053272224919/8274240*ep^-2-
         39204458769012699092661556069147/137584393689600*ep^-1-
         93110161723250570216780/39*z3+83246659162167914915721042242048\
         6940140699174363424112203203093596931907389099242878903794093/
         93533625685456879776547308909780187933389677331845480448000000\
         000000000*ep-46555080861625285108390/13*ep*z4-
         162338300298532807494037235551/4137120*ep*z3-
         54428172639092402529335797420742398652584054592979398523730114\
         12394645725925208216128733347473969023481/13064359301639557087\
         6768056013311233917769354781925673507519201280000000000000000*
         ep^2-3010760290783857457862940/13*ep^2*z5-
         162338300298532807494037235551/2758080*ep^2*z4+383429240522947\
         14795259737693406403/367872710400*ep^2*z3-
         52841436521552569408758426689657219137812681020984905386019261\
         57317469851355057668570490289067151699920149485715593609645149\
         79758237968878121141/12953951550920610480545127265808754483434\
         54730665513506057017925222286122633394523833623936206530150400\
         0000000000000000000*ep^3-22347926776570804508430100/39*ep^3*z6
         -629408210711676293479455448379/1379040*ep^3*z5+38342924052294\
         714795259737693406403/245248473600*ep^3*z4+2420866286353245076\
         523797153783863718372838629/48042934834574744064000*ep^3*z3-
         3259172644701992301617180/39*ep^3*z3^2;
Fill mncnoptab(12,6,4,4)=
      +mncF321*(155517528840110236800+1250585780872359198960*ep+
         3620543640963306934184*ep^2+251361531220904197337888/45*ep^3)
      -85737755042130466694973347515462497016203869/
      112100181280674402816000-691823031042679690/39*ep^-3-
         2340032855923782840445991/12411360*ep^-2-854852729264975656465\
         856181643429/1444636133740800*ep^-1-79799390918407384389704/39
         *z3+1188612789527474985895475041059865573329651922835871047742\
         277576028984209858892452460856641843/1562596134107663997766943\
         47947401526466219129692514355773440000000000000*ep-
         39899695459203692194852/13*ep*z4-41814803399408643961437212479/
         1241136*ep*z3-774197259692304639628711405539487930427555190673\
         31752816251467411896503098406693590128990862307707122627/
         21825645258301585059600063357723808016387342833255457830349926\
         56384000000000000000*ep^2-2580618650050985666581536/13*ep^2*z5
         -41814803399408643961437212479/827424*ep^2*z4+7509869024632439\
         12835489134993688947/8497859610240*ep^2*z3-
         24085427414765650925936645014700090071302194931041221658795498\
         98644280574692167201613821451896646448980662416162875723907572\
         9000730893980243431583041/475457060955355685102813650148565257\
         58176585785415074818211427401998864127128391538558669305698006\
         4822886400000000000000000000*ep^3-19155141398086374038387260/
         39*ep^3*z6-54740802579947063003177773985/137904*ep^3*z5+
         750986902463243912835489134993688947/5665239740160*ep^3*z4+
         2569752606331414522431784916326207796146366519/
         56050090640337201408000*ep^3*z3-2793679147436749419005312/39*
         ep^3*z3^2;
Fill mncnoptab(12,6,5,3)=
      +mncF321*(62207011536044094720+503273081990016188928*ep+
         1472454759035644951952*ep^2+103656885875564705011496/45*ep^3)
      -17145892030984317952992878806698586768040351/
      56050090640337201408000-2023418969908304276/195*ep^-3-
         3456221904167165574926123/31028400*ep^-2-
         29338218343771924632599168852663/82081598508000*ep^-1-
         159584741394781028000752/195*z3+308108347678006750878268212517\
         06949190115927843933408622105210278313242709465434574630923911\
         1067/101858118371462542076660019402750624659461358614379728207\
         872000000000000000*ep-79792370697390514000376/65*ep*z4-
         209682150658204472950938297431/15514200*ep*z3-
         18142880984433767963571387276408112231241154511717084540327397\
         6562716832471525308648796913446341299722673/
         12933715708623161516800037545317812157859166123410641677244400\
         926720000000000000000*ep^2-5161187478459763361384928/65*ep^2*
         z5-209682150658204472950938297431/10342800*ep^2*z4+92138952054\
         6710632081716101959824871/26555811282000*ep^2*z3+
         21420113781293398533521071441364848778384939867843827003292321\
         36523954978476187372970092965897968038773567368096647904719811\
         535707138593461216233117/1239710262639149638194002998905888671\
         62060431084934121007484610707434075353697732011649271078560728\
         0130785280000000000000000000*ep^3-7661988846992254528077016/39
         *ep^3*z6-93458652387312978783051771891/574600*ep^3*z5+92138952\
         0546710632081716101959824871/17703874188000*ep^3*z4+5635200959\
         47663542887678166755172783389557213/28025045320168600704000*
         ep^3*z3-5587512463240505937928096/195*ep^3*z3^2;
Fill mncnoptab(12,6,6,2)=
      +mncF321*(10886227018807716576+444282799342364402112/5*ep+
         1319860142481620560282/5*ep^2+189573045180677285516681/450*
         ep^3)
      -120093879530354685058919520406156717834461707/
      2242003625613488056320000-5195760656159317321/3900*ep^-3-
         9363043861638170750633503/620568000*ep^-2-78163570741578072094\
         35568581766819/144463613374080000*ep^-1-
         139646959790573964664628/975*z3+221196637174023933581488314998\
         86369554818774743988672516594232036323542991226713220665751025\
         72781/42016473828228298606622258003634632672027810428431637885\
         74720000000000000000*ep-69823479895286982332314/325*ep*z4-
         737117718356080568554028992681/310284000*ep*z3-
         28398691652230340850515700498490186393423677799331618322278562\
         68133718812824966478732334187179853461548101/
         11737347005575519076496034072375914533257193256995157322099293\
         84099840000000000000000*ep^2-4516075677520573301567817/325*
         ep^2*z5-737117718356080568554028992681/206856000*ep^2*z4+
         19157496672814735824442041338625127/3245935680000*ep^2*z3+
         67325513112109390364472517870095161752953775103295604329250592\
         06584191594733022546715809620432312744290129009741657055027294\
         9474399304818703/102763538131169282396763195355863174731826739\
         98663799526770435980476660202351059689595597461703884800000000\
         000000000000*ep^3-13408580072771145940038823/390*ep^3*z6-
         338614361051379117386484713241/11492000*ep^3*z5+19157496672814\
         735824442041338625127/2163957120000*ep^3*z4+444713509501629521\
         1184725515278254708440425183/1121001812806744028160000*ep^3*z3
         -4888960488054718864448429/975*ep^3*z3^2;
Fill mncnoptab(12,7,1,6)=
      +mncF321*(6054372245754024192+48983181833178697104*ep+
         3582843914348147242668/25*ep^2+12329342881857824548068/55*ep^3
         )
      -798640940727941459173470021231850769033/26809455847574400000-
         22676995151286/25*ep^-3-904045514326207498763/21879000*ep^-2-
         283528298752992199861700478131/727609774320000*ep^-1-
         1991807902248980475072/25*z3+296050943751834008094080106197676\
         61545977679997683978838942123270222916121730718903443/
         10055116380418918178987346687164869816541679452160000000000000\
         0000*ep-2987711853373470712608/25*ep*z4-
         3598192094384357462663817293/2734875*ep*z3-
         92133602282353815751307207109809903384166911563228819686756941\
         61788717732130070729485928222823461/67413780958914830457129676\
         11588372057579267570339044917248000000000000000000*ep^2-
         193205430388367445651624/25*ep^2*z5-
         3598192094384357462663817293/1823250*ep^2*z4+64639853059960483\
         500319060413605023/19147625640000*ep^2*z3-
         28712472519131491433014901298194017856063465072030399887452177\
         76224270776152028031743974544363563992068049609225085356823516\
         810066246669/2790051870297001814619892756835347512487895718671\
         06311110712258678729236992432331458347008000000000000000000000\
         000*ep^3-95606811243059232588276/5*ep^3*z6-
         28870382460940662212825867809/1823250*ep^3*z5+6463985305996048\
         3500319060413605023/12765083760000*ep^3*z4+1532529402725271724\
         5079684044290154086867/7820043492381120000*ep^3*z3-
         69713311998188741004696/25*ep^3*z3^2;
Fill mncnoptab(12,7,2,5)=
      +mncF321*(27749206126372610880+224471301486515843760*ep+
         3282844715081209338214/5*ep^2+92393622653788430858819/90*ep^3)
      -35320862117285463258962472490027678225196993/
      258692726032325544960000-10138077187569254/15*ep^-3-
         2753881382825890646783/353600*ep^-2-
         4586394495873154392586133870641/158751223488000*ep^-1-
         5477251285925344005388/15*z3+437118279609830136160144179917605\
         05637843013482900092451746401214985700911574198412399358409/
         32377024275735073768804837699539295823096426768715743232000000\
         000000000*ep-2738625642962672002694/5*ep*z4-
         9594182066923356130089420703/1591200*ep*z3-
         28338702315348038256908836201940791778154268057806620312165444\
         2948324424088588068031401242635256193173/452227821979830822265\
         73557850761580971535545886051194675679723520000000000000000*
         ep^2-177104194798760358846332/5*ep^2*z5-
         9594182066923356130089420703/1060800*ep^2*z4+86016731508835523\
         91063916165099781669/555629282208000*ep^2*z3-
         92487272220221473064791739836390365033393241777897707095060055\
         88285026315135092274393849549232138436412580268073635733946239\
         2099801582702338817/131884122124757346521387042298957907636777\
         06533924911260761494713801555547172568681564044599387750400000\
         00000000000000000*ep^3-262917666555177866266804/3*ep^3*z6-
         115407722533236688205842255921/1591200*ep^3*z5+860167315088355\
         2391063916165099781669/370419521472000*ep^3*z4+927498518002906\
         9882333273291350573871910591/1034770904129302179840*ep^3*z3-
         191714023130420656133884/15*ep^3*z3^2;
Fill mncnoptab(12,7,3,4)=
      +mncF321*(42691086348265555200+345980902537466768880*ep+
         1015230239881530045604*ep^2+71733667496624124244253/45*ep^3)
      -16377741503656571271152079506871171516037/77991777328855104000-
         166183337098310378/39*ep^-3-1061446027349783084317/22984*ep^-2
         -1953545650403526263632203729629/12898536908400*ep^-1-
         21906236085448080128224/39*z3+25917811687706209582724053113063\
         961607337188586543189278770990852767515481975580629417650635171
       /125007690728613119821355478357921221172975303754011484618752000\
         00000000000*ep-10953118042724040064112/13*ep*z4-
         1200264947825330292880199792/129285*ep*z3-
         16763778430358915613669608511891693708036673450259310841784957\
         2308016540584791517822649922770473110447147/
         17460516206641268047680050686179046413109874266604366264279941\
         251072000000000000000*ep^2-708406967898165289526696/13*ep^2*z5
         -600132473912665146440099896/43095*ep^2*z4+1527237995571197452\
         08378819167448091/6449268454200*ep^2*z3-
         41508499104309087558394669420174200718250362760114207410068477\
         64278757860684025045851233622433414065445824255929867340073076\
         0703971653890379920587/865647812390269795362428129537670018355\
         51362376722940042260222852979270144976589055181919537001377300\
         48000000000000000000000*ep^3-5258286669022619471129660/39*ep^3
         *z6-29061240525196604337129199123/258570*ep^3*z5+1527237995571\
         19745208378819167448091/4299512302800*ep^3*z4+4251145280090589\
         6898186491380746603698023023/3002683427160921504000*ep^3*z3-
         766886593567153478444872/39*ep^3*z3^2;
Fill mncnoptab(12,7,4,3)=
      +mncF321*(27444269795313571200+223304241779795206800*ep+
         659777358565099500264*ep^2+5226738491309691005384/5*ep^3)
      -1008645674965442596381042054255435397646161/
      7473345418711626854400-61518415975760282/13*ep^-3-
         211509999137436572362303/4137120*ep^-2-
         80169375458804338837611890036933/481545377913600*ep^-1-
         4693624947930847584040/13*z3+106885911009330871564984686937714\
         56140347739262368032845500032174831805666338423891062328110971/
         80414303977470427955257910054803124731153704169247153848320000\
         00000000000*ep-7040437421896271376060/13*ep*z4-
         12368779510003408604938641811/2068560*ep*z3-
         11888244890833307698676711408657070390525425658482983593289810\
         1840289677529515021519779848290731375535351/
         19400573562934742275200056317976718236788749185115962515866601\
         390080000000000000000*ep^2-455398427254399487591040/13*ep^2*z5
         -12368779510003408604938641811/1379040*ep^2*z4+361945076995796\
         4222341886198504324559/240772688956800*ep^2*z3+
         73235112238918722191008230312302834817901869320460310783267041\
         43557505741593988375662865368879683746037082011180031520568015\
         0507659809142935832354339/185956539395872445729100449835883300\
         74309064662740118151122691606115111303054659801747390661784109\
         20196177920000000000000000000*ep^3-1126762005766171600017500/
         13*ep^3*z6-16865780797508930210473176333/229840*ep^3*z5+
         3619450769957964222341886198504324559/160515125971200*ep^3*z4+
         179504669947425996828145562918966553755870047/
         18683363546779067136000*ep^3*z3-164339083203399131288800/13*
         ep^3*z3^2;
Fill mncnoptab(12,7,5,2)=
      +mncF321*(7318471945416952320+59926460087444460048*ep+
         178995850984826830416*ep^2+4314821622026335147421/15*ep^3)
      -2018418664270602045202376973437702369929573/
      56050090640337201408000-62199643716647822/65*ep^-3-
         112173568571353757326621/10342800*ep^-2-
         104710859916122103579657207803/2687195189250*ep^-1-
         6258599654563333255024/65*z3+593243033251389761142987798837420\
         95012834000521197716656214011053384397948386182411694459705302\
         27/16806589531291319442648903201453853068811124171372655154298\
         880000000000000000*ep-9387899481844999882536/65*ep*z4-
         8271937333734682439444159587/5171400*ep*z3-
         15185919960874579216903153161906000912166759736736697402534403\
         04757168301731028599873963201288948085930707/
         93898776044604152611968272579007316266057546055961258576794350\
         7279872000000000000000*ep^2-607202520399943956218808/65*ep^2*
         z5-8271937333734682439444159587/3447600*ep^2*z4+42204123491169\
         607781536384016763131/10748780757000*ep^2*z3+
         87463219252595205995148242734251382935274970307267557382838165\
         89896640563775474773921892971305349522667538242533045886520352\
         659902733949211910368336793/2659178513360975973926136432653131\
         20062619624677183689561054489967446091633681635164987686463512\
         7615880534425600000000000000000000*ep^3-
         300471960372690311481892/13*ep^3*z6-
         11521960470314297581637113521/574600*ep^3*z5+42204123491169607\
         781536384016763131/7165853838000*ep^3*z4+777824467480498396884\
         49250721957926962551263/28025045320168600704000*ep^3*z3-
         219114038699701311293512/65*ep^3*z3^2;
Fill mncnoptab(12,7,6,1)=
      +mncF321*(640366295223983328+26456325738878208096/5*ep+
         16049718652985000970*ep^2+43414930595357672586821/1650*ep^3)
      -77756811679934198233256515731797458485542633/
      24662039881748368619520000-1472717488763171/1300*ep^-3-
         15277254511924938036133/206856000*ep^-2-1259183258251564258460\
         49247379593/176566638568320000*ep^-1-2738730679072907475628/
         325*z3+1755855219496067448824159046608373742773866526942726865\
         87305370985249838529134981590941290347988517/
         57385928458782666447950775400719268509036513981884876201341747\
         20000000000000000*ep-4108096018609361213442/325*ep*z4-
         159970918975923029329970098721/1137708000*ep*z3-
         22307421307132037064358161305635254765713809616670948062561795\
         6716236455572745233954783011745653591590811517/
         16030820632676245687253481311422157229055191867982528747432104\
         91867299840000000000000000*ep^2-265657403520365188050201/325*
         ep^2*z5-159970918975923029329970098721/758472000*ep^2*z4+
         4201200559921443513345386011715271431/12611902754880000*ep^2*
         z3+18055074673338495905243201198610078771777480170234989436828\
         73608380005802226468639934391738342517100860651900413847464769\
         19954638789491079396487240590003/
         90797378993964263305628956438203139015667121234162455307061279\
         01317021549230872322337569351471493906387188056064000000000000\
         00000000*ep^3-262918672841292280574573/130*ep^3*z6-
         62596523352060509405943692939/34476000*ep^3*z5+420120055992144\
         3513345386011715271431/8407935169920000*ep^3*z4+33187072548487\
         11302700249667790737732808740357/12331019940874184309760000*
         ep^3*z3-95855843230768018974079/325*ep^3*z3^2;
Fill mncnoptab(12,8,1,5)=
      +mncF321*(1201264334475004800+9869051735141879280*ep+
         88923870436134485936/3*ep^2+3693026016651516298680/77*ep^3)
      -35324873785265317106449975909003288880331551/
      5975801971346720088576000+3148016140114/9*ep^-3-
         374157595704405375347/16964640*ep^-2-
         36930440007101705184854243801/135820491206400*ep^-1-
         142272178796899520008/9*z3+15533241171500813343124178997753374\
         82656479453797139932043743429587176060823976650311/
         26944989283395079597225317163114249543581375800121753600000000\
         000*ep-71136089398449760004/3*ep*z4-
         29003416649541382795111508483/110270160*ep*z3-
         64518939023718966931575938137145278932945058944573530527459092\
         32360003284317229163706223898479837/24463112834371013676283216\
         868931884522543646159246326195709542400000000000000*ep^2-
         4600129855631336566832/3*ep^2*z5-29003416649541382795111508483/
         73513440*ep^2*z4+2726606187994957722341131139383863461/
         4278345473001600*ep^2*z3+1802898481577007827598079879396953238\
         65313784134743164114601567798913763997843018776306925122747876\
         4312946887923718910420413617963357/132539435698041951511322184\
         03496288215250135833486834088475598252567787486230175999366467\
         78716160000000000000000*ep^3-34145293470242775451220/9*ep^3*z6
         -122527058746142377311476515367/36756720*ep^3*z5+2726606187994\
         957722341131139383863461/2852230315334400*ep^3*z4+283558983056\
         354682432349557513470223319329689/597580197134672008857600*
         ep^3*z3-4979519594994402890704/9*ep^3*z3^2;
Fill mncnoptab(12,8,2,4)=
      +mncF321*(4404635893075017600+36195453632450992880*ep+
         978800071874480030032/9*ep^2+166375307908012304135938/945*ep^3
         )
      -35322831004588089935842731119541860971314143/
      1629764174003650933248000-7793918581982962/27*ep^-3-
         198567194509559589078119/60147360*ep^-2-
         4032262755252801961171753522657/333377569324800*ep^-1-
         1564820288022244723448/27*z3+254270739845696955718213000885255\
         27908213541140901893171786348757786056631543437296318126099/
         12019970262366646136668795995953963574324548437885719674880000\
         0000000000*ep-782410144011122361724/9*ep*z4-
         29004808082497361184710214563/30073680*ep*z3-
         21356094455708876656297194718553370214466674005491962724630664\
         41706567425623121240685836881426420687/22090734067106867469230\
         83335802004859958233080289013950440275968000000000000000*ep^2-
         50600814400002566924752/9*ep^2*z5-
         29004808082497361184710214563/20049120*ep^2*z4+272464924122985\
         2722914717376087961109/1166821492636800*ep^2*z3+
         40792762155344523344616402532351251383194959891745984578838276\
         23964852195912557435239208099685864158829048275342139578800546\
         518678328568608711/3329414663039499212932415882837192378290437\
         01448934384777923934049920269788371496366084305911543758848000\
         000000000000000*ep^3-375594057279963640127020/27*ep^3*z6-
         9433365562580902649238457859/771120*ep^3*z5+272464924122985272\
         2914717376087961109/777880995091200*ep^3*z4+142207807695526480\
         6272989018649901278451699261/814882087001825466624000*ep^3*z3-
         54776637616310049061424/27*ep^3*z3^2;
Fill mncnoptab(12,8,3,3)=
      +mncF321*(5082272184317328000+41855271653948546640*ep+
         378686000117084863280/3*ep^2+1026641140343534595234/5*ep^3)
      -265488380215795957881504338126454308075699/
      10620017173958627635200-105172378024028546/117*ep^-3-
         367708077707901784906549/37234080*ep^-2-
         1071485211649650849129499273049/32103025194240*ep^-1-
         7822653284693226535864/117*z3+10358850741340148312941263473854\
         9715785040232472688100740438616338377761202533904136144838593/
         42440882654776059198608341417812760274775566089324886753280000\
         0000000000*ep-3911326642346613267932/39*ep*z4-
         20737609778451320544870455449/18617040*ep*z3-
         35947959625439726042657165267492589361994709525912625047132942\
         5391172338799232155401530417281616891141/323342892715579037920\
         000938632945303946479153085266041931110023168000000000000000*
         ep^2-252998927563191153384656/39*ep^2*z5-
         20737609778451320544870455449/12411360*ep^2*z4+193212928867920\
         0468812298861699077263/722318066870400*ep^2*z3-
         13487323772916687948055152117366312531320112107470503676620875\
         66752769529127172663063972377329275332002043317807627999818982\
         9134642269637189159/235114220649209080221894059874428893874337\
         03361579070134934875342784493125796110607580274442148522229760\
         000000000000000000*ep^3-1877935323512200584045260/117*ep^3*z6-
         88309866033077297410688786821/6205680*ep^3*z5+1932129288679200\
         468812298861699077263/481545377913600*ep^3*z4+5479112095966684\
         1774172546914946808767871133/26550042934896569088000*ep^3*z3-
         273899051344474144806448/117*ep^3*z3^2;
Fill mncnoptab(12,8,4,2)=
      +mncF321*(2178116650421712000+18014200204735017360*ep+
         54719788465203536048*ep^2+9433454319347161627126/105*ep^3)
      -5046317481719312322314714343190881144685993/
      470820761378832491827200-13590619304191534/39*ep^-3-
         114449076451402511972999/28959840*ep^-2-1440121343951129876537\
         07808109551/10112452936185600*ep^-1-1117551801077714970440/39*
         z3+49729755837258268857195974051078819402872158372972863070788\
         14573183316971699557982692068507707/47745992986623066598434384\
         095039355309122511850490497597440000000000000000*ep-
         558775900538857485220/13*ep*z4-6927146128331968032785166931/
         14479920*ep*z3-13266316425897323520883943715499028264655855406\
         1312426019556326916519423166344613402174501285653629451/
         28079777525300284872000081512861039553246873820562577325596396\
         7488000000000000000*ep^2-36142811952039618166000/13*ep^2*z5-
         6927146128331968032785166931/9653280*ep^2*z4+51929918323430841\
         5528109374845376263/459656951644800*ep^2*z3-
         72947929692058377758120641465700927304428838188557580259681726\
         28882867848755693638683009049932392516230689162341389818814038\
         1525815883618378047969527/151089688259146362154894115491655181\
         85376115038476345997787186929968527933731911088919754912699588\
         726593945600000000000000000000*ep^3-268277210137602848818900/
         39*ep^3*z6-89719693364974051230353899877/14479920*ep^3*z5+
         519299183234308415528109374845376263/306437967763200*ep^3*z4+
         1089885514161831699658455729134598927944696647/
         1177051903447081229568000*ep^3*z3-39128120129397388868240/39*
         ep^3*z3^2;
Fill mncnoptab(12,8,5,1)=
      +mncF321*(290415553389561600+2417596938488534880*ep+
         22274260415204878112/3*ep^2+42843132784523459196406/3465*ep^3)
      -55550312779789698307053041703376343208558899/
      38842712813753680575744000-77010727152328/117*ep^-3-
         1848735893229325566253/43439760*ep^-2-
         17056747234037683413551258744119/41713868361765600*ep^-1-
         447139733699632209680/117*z3+989084991672617559757666363585567\
         90518948506132213176371857935430671876136722913176544337449261\
         87/71732410573478333059938469250899085636295642477356095251677\
         1840000000000000000*ep-223569866849816104840/39*ep*z4-
         15291657473255488561285700863/238918680*ep*z3-
         24943514671344661763650163687791695255636630371136558385932617\
         088786552401130500927714516044702187350877059/
         40077051581690614218133703278555393072637979669956321868580262\
         2966824960000000000000000*ep^2-14457545391490598071120/39*ep^2
         *z5-15291657473255488561285700863/159279120*ep^2*z4+3069423601\
         591101778372049035931469917/20856934180882800*ep^2*z3-
         42538911802770037436942226076189590679726248152514635137299024\
         34471170396737748141513707083794067571317809200077014524586664\
         233814019365353228721717249/2269934474849106582640723910955078\
         47539167803085406138267653197532925538730771808058439233786787\
         347659679701401600000000000000000000*ep^3-
         107313741101930405009200/117*ep^3*z6-
         18381789247109296494885499651/21719880*ep^3*z5+306942360159110\
         1778372049035931469917/13904622787255200*ep^3*z4+5121993768341\
         63563455302077378534234242356453/3884271281375368057574400*
         ep^3*z3-15649930025478533765456/117*ep^3*z3^2;
Fill mncnoptab(12,9,1,4)=
      +mncF321*(126448877313158400+1061875262368480560*ep+
         9923903091359631310/3*ep^2+6474653355436716368207/1155*ep^3)
      -17668188033743711171048104757930237315033827/
      28385059363896920420736000-3738014828320/9*ep^-3-
         26539344245691612626843/2095133040*ep^-2-
         810784383572588731275726111869/7741767998764800*ep^-1-
         14975904578667954224/9*z3+531977751908561466601088448706993884\
         207212996040984181103017992024867875027333529110821/
         89134986870516758846178392936909191570508033338795622400000000\
         000000*ep-7487952289333977112/3*ep*z4-
         29320602454110179170922654063/1047566520*ep*z3-
         83134255316281156533554783955735300315438930535198889536756540\
         7803643249090819982437811287448227/311249426687309772220567714\
         62703513789843478372255370382934016000000000000000*ep^2-
         484223820240159571216/3*ep^2*z5-29320602454110179170922654063/
         698377680*ep^2*z4+5044941604968538207023993738064975411/
         81288563987030400*ep^2*z3-478984235954864584072591651182511558\
         61754819568579476357818785482337793127566500251630322332500640\
         861804880803287203455069183143663/3550163456197552272624701358\
         07936291479914352682683055941310667479494307666879714268744672\
         87040000000000000000*ep^3-3594238890354526898560/9*ep^3*z6-
         132790272081385684383414047507/349188840*ep^3*z5+5044941604968\
         538207023993738064975411/54192375991353600*ep^3*z4+88653271167\
         1058168613120107876832959617927577/14192529681948460210368000*
         ep^3*z3-524161411741292665232/9*ep^3*z3^2;
Fill mncnoptab(12,9,2,3)=
      +mncF321*(347734412611185600+2921720833462431000*ep+
         27329249353407363164/3*ep^2+1622705769742020785984/105*ep^3)
      -35330106454818650512533003953337939923334407/
      20643679537379578487808000-484505380353665/9*ep^-3-
         470716896881682273867959/761866560*ep^-2-
         247282803643864772549903727679/108276475507200*ep^-1-
         41173398490248610828/9*z3+290214995706353341979861176797940411\
         68316503229220732395649596124305645029867688685204619943/
         17722566383313079665352933778866866927928258366970831831040000\
         00000000000*ep-20586699245124305414/3*ep*z4-
         29323587789644594909943692027/380933280*ep*z3-
         24671432112171369451522493329754743892626235493495164732948673\
         254762036311965149288268174973716843883/3375557671206594351912\
         09771100327515108961753220882131686323650560000000000000000*
         ep^2-1331578735083538896152/3*ep^2*z5-
         29323587789644594909943692027/253955520*ep^2*z4+25180582433464\
         66564891363971456750701/14779738906732800*ep^2*z3-
         16512126907507145929533735613123340672008886249320772672726881\
         34968250795938897085698345346290659379978622629117536378231021\
         29621759397566651/43061212573115216157856054922056573969658797\
         36552943248156570575601555517545075202853530117609619456000000\
         0000000000000*ep^3-9883907016900920194070/9*ep^3*z6-
         133026499112547174915489345743/126977760*ep^3*z5+2518058243346\
         466564891363971456750701/9853159271155200*ep^3*z4+178158510637\
         1962884898612845088357070622306037/10321839768689789243904000*
         ep^3*z3-1441556861487916972744/9*ep^3*z3^2;
Fill mncnoptab(12,9,3,2)=
      +mncF321*(267488009700912000+2252882486401599360*ep+
         21157183997459037374/3*ep^2+180378913334294273243/15*ep^3)
      -5047145666711172081940351352657747503256159/
      3833826199799064576307200-6918437741859182/117*ep^-3-
         475922817866745293126917/707447520*ep^-2-
         174855500199360484174710217943/71479392034050*ep^-1-
         411687457152956159560/117*z3+716709024528502085077088880506805\
         44313896987327832406247654357068377696947903702706184890298399/
         57022357338309833823273064433504144340609171295728651416371200\
         00000000000000*ep-205843728576478079780/39*ep*z4-
         20969019447984483204730665793/353723760*ep*z3-
         35631761350166103236474583742561342245242947032060181645360989\
         574556748577825459781718724309867951042867/
         63717026601695674986692756392897821751967620537973711177110452\
         2797056000000000000000*ep^2-13315623495835951080560/39*ep^2*z5
         -20969019447984483204730665793/235815840*ep^2*z4+1591511712217\
         4802845710596649758133/122536100629800*ep^2*z3-
         34105004082727709960956412125432711781330290969217333067065578\
         44562075518217936827545235913782797661587633465513539317055971\
         008482936342318028843/3325186834895956991709644561081208641937\
         05233256618277622650379847952117064830707164349595681814814392\
         3200000000000000000000*ep^3-98837957575887242705300/117*ep^3*
         z6-95826898938949044772830688477/117907920*ep^3*z5+15915117122\
         174802845710596649758133/81690733753200*ep^3*z4+12990240933671\
         88658423750009528488678631865777/9584565499497661440768000*
         ep^3*z3-14416087726525171067920/117*ep^3*z3^2;
Fill mncnoptab(12,9,4,1)=
      +mncF321*(57318859221624000+484882413356297880*ep+
         1528930150594652464*ep^2+3039248105836282867498/1155*ep^3)
      -55574736788165976126966111594319197527164067/
      196803078256351981583769600-19752063658307/39*ep^-3-
         17631709790481498304711/1100473920*ep^-2-560890683869843112669\
         042207179969/4227005327325580800*ep^-1-29416757669769725380/39
         *z3+7315264986243783298036854242043904594965026963680189298729\
         716850469784291851922540136725603604443/2725831601792176656277\
         661831534165254179234414139531619563732992000000000000000*ep-
         14708378834884862690/13*ep*z4-25690856561417816049459076403/
         2017535520*ep*z3-181431200747860649706114058780457612107708703\
         85090898533609052365474789440630434804632947652137458938128729/
         15229279601042433402890807245851049367602432274583402310060499\
         67273934848000000000000000*ep^2-951153140288848643240/13*ep^2*
         z5-25690856561417816049459076403/1345023680*ep^2*z4+5781454753\
         4205231297547308723392318947/2113502663662790400*ep^2*z3-
         13961870790600101827513508447568382734048298698915292501753907\
         60741512078858208888177573535183439836160588521251446512783654\
         1009016164443897494947178569/226993447484910658264072391095507\
         84753916780308540613826765319753292553873077180805843923378678\
         7347659679701401600000000000000000000*ep^3-
         7060106657991940510850/39*ep^3*z6-
         97333783504683071995275574973/550236960*ep^3*z5+57814547534205\
         231297547308723392318947/1409001775775193600*ep^3*z4+
         14817334187728420105618016991925929791268627053/
         492007695640879953959424000*ep^3*z3-1029604346317121665720/39*
         ep^3*z3^2;
Fill mncnoptab(12,10,1,3)=
      +mncF321*(6322443865657920+54813756236255016*ep+
         2696180809174044836/15*ep^2+2409242456277491880704/7425*ep^3)
      -722209351605571180848051261429338728288343/
      23171477031752588098560000-117360625991/9*ep^-3-
         789106314550725804527/399072960*ep^-2-
         14038080806710342929582535487683/696759119888832000*ep^-1-
         748811121640316644/9*z3+61180290187999474961692759033058145366\
         33216996522343343343010708812970798213446665827/
         21222615921551609249090093556406950373930484128284672000000000\
         000000*ep-374405560820158322/3*ep*z4-
         1418784159941016101571338111/997682400*ep*z3-
         36879393951156802343546300834736803921135985772723951381798415\
         783614428855728524816481685619247/2964280254164854973529216329\
         7812870276041407973576543221841920000000000000000*ep^2-
         24211229950373514776/3*ep^2*z5-1418784159941016101571338111/
         665121600*ep^2*z4+948972698864078207936939509139112233/
         348379559944416000*ep^2*z3+12868462244806827864099728982711799\
         08353140986698061280029487492587084832153398675394979160847527\
         50829845115534363883470144818807461245102401/
         32078032640835089423081780821631743283041725980281397835054810\
         64333264838683615234204199424232749898137600000000000000000*
         ep^3-179712196823700569210/9*ep^3*z6-
         21160243603800616090223095177/997682400*ep^3*z5+94897269886407\
         8207936939509139112233/232253039962944000*ep^3*z4+323572506689\
         114811068135626226071004561597251/81100169611134058344960000*
         ep^3*z3-26207780866456853608/9*ep^3*z3^2;
Fill mncnoptab(12,10,2,2)=
      +mncF321*(11591147087039520+100563937075477876*ep+
         14856613466966965078/45*ep^2+402860551695324752714/675*ep^3)
      -5048172063247861496612335414954595024328161/
      88472912303055336376320000-219845125409833/54*ep^-3-
         29916386036155763015629/653028480*ep^-2-
         2314515295594337751747589211969/14075941815936000*ep^-1-
         4115903403301732966/27*z3+502106700256441786226140366121045946\
         75744512823820081345450598523814883388133973530702268723/
         93992896711499726082318238077204633528476655981970304532480000\
         000000000000*ep-2057951701650866483/9*ep*z4-
         4256310806823547988189684813/1632571200*ep*z3-
         12099789962815028707239728109952352138814455226705391414204024\
         616379705313745720963243951568958571671/5251403291348544641760\
         392010403666627909419275107723448662949363712000000000000000*
         ep^2-133152882547269422684/9*ep^2*z5-
         4256310806823547988189684813/1088380800*ep^2*z4+28680946909768\
         110641618311236914641/5758339833792000*ep^2*z3+
         57279634818755082874004376249092231130196872957210013867886036\
         93960001689134269420023217728747489080758831643210275424581796\
         4465279481115906114367055947/472739518732998321355838794953341\
         57454095623269912020972137431009305276755409487631401351592957\
         1379305877445017600000000000000000000*ep^3-
         988356860596266337715/27*ep^3*z6-21204747369637545145197045497/
         544190400*ep^3*z5+28680946909768110641618311236914641/
         3838893222528000*ep^3*z4+4642398249836463984772886467160312022\
         4207333/6319493735932524026880000*ep^3*z3-
         144172159540458526708/27*ep^3*z3^2;
Fill mncnoptab(12,10,3,1)=
      +mncF321*(4458133495015200+38775554548692500*ep+
         1150318278959399494/9*ep^2+114958304391172120402/495*ep^3)
      -7951369841977369246221315571182693820769053/
      361475041695340374337536000-55393732646861/702*ep^-3-
         23458899071040624852737/8489370240*ep^-2-
         3369761400452281184180645995307/144925896936877056*ep^-1-
         20591914289558241854/351*z3+1675260737916074371292419576479881\
         31181938778592931212804016238279262310371480280167241224221/
         82291740182108943855743926806368954660645888604622980907008000\
         0000000000000*ep-10295957144779120927/117*ep*z4-
         46895326078199174667732369871/46691536320*ep*z3-
         20142943628283048090715332101563907046838606535134997195315714\
         3161515786082726689519666359519625503281/229882858366176086868\
         898793108487039119708251940940138722082171125760000000000000000
         *ep^2-665807257484259005836/117*ep^2*z5-
         46895326078199174667732369871/31127690880*ep^2*z4+342935056816\
         0756213782534694163974649/1811573711710963200*ep^2*z3-
         33492996768863092883324118082637554645015463712446364005881062\
         59560173824788781314414446035459893633721820667702917099744514\
         386689357946065724148979197/1799514228362522447752039423557972\
         80814614218125929520825616307923619908855995298969575686187920\
         249975351751475200000000000000000000*ep^3-
         4942074645408046939135/351*ep^3*z6-
         21385273177236472248237376889/1414895040*ep^3*z5+3429350568160\
         756213782534694163974649/1207715807807308800*ep^3*z4+
         3631449256172598358677801221781694445038960961/
         1265162645933691310181376000*ep^3*z3-720717106755025600388/351
         *ep^3*z3^2;
Fill mncnoptab(12,11,1,2)=
      +mncF321*(120427502203008+5488250112336992/5*ep+
         874215061106936546/225*ep^2+285097115777911278173/37125*ep^3)
      -5065167631992745049154043450762531211690171/
      8515517809169076126220800000-5433039535702/135*ep^-3-
         913598141867511245591/1795828320*ep^-2-
         167941716636134842945053335393/75267188876880000*ep^-1-
         213819425246717528/135*z3+378329852742907026827169165179639359\
         8871307551796788333200650037612614830017709123/721857684406517\
         321397622229809760216800356603002880000000000000000*ep-
         106909712623358764/45*ep*z4-4365433503607797057385978373/
         157134978000*ep*z3-4276455426764548608621537543942419351734139\
         419349202817734800964622354509189588526556703643/
         20165171797039829751899430814838687262613202703113294708736000\
         0000000000000*ep^2-6917054861237074432/45*ep^2*z5-
         4365433503607797057385978373/104756652000*ep^2*z4+121667036244\
         377097670837034903421883/3048321149513640000*ep^2*z3-
         19276733054859050366499875051095171725982190570208635289355756\
         27380953102563823933226929190423612004331648171179611373795600\
         3121587369628044279702081/300187256288217032682117908891236283\
         77365416911798819517943327679053973131791486788115995555987765\
         37273277087744000000000000000000*ep^3-10268672579232252884/27*
         ep^3*z6-24736502766905029418645411537/52378326000*ep^3*z5+
         121667036244377097670837034903421883/2032214099675760000*ep^3*
         z4+424648189296000407715562227334608408617104081/
         4257758904584538063110400000*ep^3*z3-7489392655442317472/135*
         ep^3*z3^2;
Fill mncnoptab(12,11,2,1)=
      +mncF321*(110391877019424+15104662134429868/15*ep+
         2408937755309688754/675*ep^2+786789440754820865722/111375*ep^3
         )
      -55739383046949191577423781295462645038509451/
      102186213710028913514649600000-33612638834191/810*ep^-3-
         1019548841547457127183/1959085440*ep^-2-1107337710235908256058\
         47170872017/48773138392218240000*ep^-1-587973585358290922/405*
         z3+67756412517898536332542975239243762438391620991152298231131\
         899340917351856848978158671787/1406696413369383655653742338570\
         4094813785621983696236052480000000000000000*ep-
         293986792679145461/135*ep*z4-48037877472544554734232834703/
         1885619736000*ep*z3-765845529231074958680864823082211330230104\
         22054214788316279222641146368661195174848090047288618627/
         39296215105329245618615178309143083610206538793323100636253362\
         58560000000000000000*ep^2-19021781515428940868/135*ep^2*z5-
         48037877472544554734232834703/1257079824000*ep^2*z4+2663576995\
         434626216116880816885463481/73159707588327360000*ep^2*z3-
         62457324355833838502224513074127478523196905645219871397997519\
         65751659349363934433803039630641935939239826353304549501800987\
         378848576864009181527375020323627/
         45800496036215837705390506252107227176791733892630126383968366\
         36861757383031303086002625279855786696669028858561227128832000\
         000000000000000*ep^3-28238685480464265841/81*ep^3*z6-
         24794120322180796092247498937/57139992000*ep^3*z5+266357699543\
         4626216116880816885463481/48773138392218240000*ep^3*z4+
         4685966171631568828893748585565731008354732161/
         51093106855014456757324800000*ep^3*z3-20596068338574355948/405
         *ep^3*z3^2;
Fill mncnoptab(12,12,1,1)=
      +mncF321*(497634306624+275488041481016/55*ep+553886690159595928/
         27225*ep^2+5848705810582542/125*ep^3)
      -5142127542276627101244924341817644990314841/
      2060755309818916422545433600000-21377803620881/16335*ep^-3-
         5250812733164683931471/434590453440*ep^-2-
         11640659092567075211533398358631/268252261157200320000*ep^-1-
         9728565315738164/1485*z3+2024030309601809895810913902497984480\
         12913340335838595267/10316081752302707199015175459977560064000\
         000*ep-4864282657869082/495*ep*z4-4605070305488051855651934173/
         38026664676000*ep*z3-17733148769866412768345314278891530286737\
         799164976395864748547841/2668341200319814559765746860197059722\
         05813760000000*ep^2-3458273654317063976/5445*ep^2*z5-
         4605070305488051855651934173/25351109784000*ep^2*z4+8248746460\
         2811183539822803542359271/1475387436364601760000*ep^2*z3-
         10331006840684467599920131173357925715889963522767736534368916\
         13284623943014439990819022603193108811196820057973250315303/
         13360096413273598208271719341152212912509742299876998507124336\
         42464956398679404974522236928000000000000000*ep^3-
         5133903372239036062/3267*ep^3*z6-2944344675564302409458151067/
         1152323172000*ep^3*z5+82487464602811183539822803542359271/
         983591624243067840000*ep^3*z4+59207189415069928939457735051744\
         2869244363051/1030377654909458211272716800000*ep^3*z3-
         3739426350330862936/16335*ep^3*z3^2;
Fill mncnoptab(13,1,1,11)=
      +mncF321*(270395703435994136+390303290873748335083/180*ep+
         404521573150124405197487/64800*ep^2+
         163219706277392964488258881/17107200*ep^3)
      -23305107513110407637830621810548278023180088449/
      17517636636004956602511360000+442543756131307/194400*ep^-3+
         288902330235465872117221/15084957888000*ep^-2+
         14384751307848424541493833012857/585277660706618880000*ep^-1-
         86465835318362945391437/24300*z3+11952636689986114903469182838\
         64986509170261451160815404160666783496622705400097/
         90252839771333827192346743696207731724438732800000000000000*ep
         -86465835318362945391437/16200*ep*z4-
         551595848527951076437235968679/9428098680*ep*z3-
         31242617345267294799569562804332374373186424389607303813055747\
         88492323890433222289839951/50424455082332678992089626094489744\
         383820737212003123200000000000000*ep^2-
         1863819114544152961395737/5400*ep^2*z5-
         551595848527951076437235968679/6285399120*ep^2*z4+200097234912\
         2303406071632645296817632271/12910536633234240000*ep^2*z3+
         22625071846399031010657582833202378200797863219433368408664992\
         559931580834141496830484397108363534356834292788339969/
         11460578078227606479913722954275990795749507418209196376564162\
         8457168273408000000000000000000000*ep^3-
         16601440360260650761778759/19440*ep^3*z6-514818877919774792398\
         436848459061/754247894400*ep^3*z5+2000972349122303406071632645\
         296817632271/8607024422156160000*ep^3*z4+118252920944260021551\
         05541661547841132446412541109/153279320565043370271974400000*
         ep^3*z3-6052608473927785521576127/48600*ep^3*z3^2;
Fill mncnoptab(13,2,1,10)=
      +mncF321*(2079966949507647200+149615813049986398115/9*ep+
         30837309271109378385491/648*ep^2+5615959441035424056437731/
         77760*ep^3)
      -162972747667253461740861984556040660810458919/
      15925124214549960547737600+1975074863047/1944*ep^-3-
         174088310872938650677/13713598080*ep^-2-
         78420598488272782510387003009/532070600642380800*ep^-1-
         6651218133478513206161/243*z3+94622994069238847319360279155506\
         2966607728578481758903248174025886953604309571673/
         9262895089840457958824707251206425527965668343808000000000000*
         ep-6651218133478513206161/162*ep*z4-
         96275925302079485472132825511/214274970*ep*z3-
         24812691345567425504976549401036384249903372148109436104098079\
         54511401269065664660758835187/51751993463409364795372276614213\
         76529050750862078458724352000000000000*ep^2-
         143370701578399378695821/54*ep^2*z5-
         96275925302079485472132825511/142849980*ep^2*z4+14131883702578\
         556360577880910894805089/11736851484758400*ep^2*z3+
         13447839244977708516886140590778461553071349389804677993123235\
         0897521400478702681080314080616694868491160647221800081558851/
         13520768267419651349083749516450096584363985270130219786643741\
         7641839905174296985600000000000000000000*ep^3-
         6385169389693186909250335/972*ep^3*z6-
         1365932941974843854852755622819/263723040*ep^3*z5+141318837025\
         78556360577880910894805089/7824567656505600*ep^3*z4+7781527660\
         0737201507231778373712581077922884219/
         139344836877312154792704000*ep^3*z3-465585267193156027809067/
         486*ep^3*z3^2;
Fill mncnoptab(13,2,2,9)=
      +mncF321*(14399771188899096000+114855972447322385510*ep+
         11795719751152325539441/36*ep^2+2139092756078547669311333/4320
         *ep^3)
      -214437926938965876880904772620118471812128403/
      3026704894578208876032000+124021839567923/1404*ep^-3-
         241969980495021251111/521277120*ep^-2-
         43996896509683972149249340801/4044981174474240*ep^-1-
         66512182833532069819658/351*z3+4987333552287887652291680686874\
         2625399934699204476375488857569604393926246929607389/
         70419670273640908458901283196306158984534320742400000000000000
         *ep-33256091416766034909829/117*ep*z4-
         50621567837329739566409691223/16289910*ep*z3-
         65531581810853292542293454050975532070412006692008362589416830\
         7082704484732633142081412568479/196718103808281211210479414030\
         637119525320939201812758528000000000000000*ep^2-
         716853509088027537095089/39*ep^2*z5-
         50621567837329739566409691223/10859940*ep^2*z4+220059386642825\
         250092312389858458527/26243389972800*ep^2*z3+
         21034708120643924890514714891500224368216092746102071389557185\
         69039090908026623286434319396979593962259675183683691077190841/
         22033844583943135531840184397177935174519087106878876689345356\
         9490405771395150643200000000000000000000*ep^3-
         31925846994793578820180715/702*ep^3*z6-
         4634150238644956628341460663893/130319280*ep^3*z5+220059386642\
         825250092312389858458527/17495593315200*ep^3*z4+19690917490459\
         563000843346670226605514199290953/5296733565511865533056000*
         ep^3*z3-2327926311306103546670951/351*ep^3*z3^2;
Fill mncnoptab(13,3,1,9)=
      +mncF321*(6017047246789979400+192268215065789107245/4*ep+
         4399990135439522056125/32*ep^2+5606158920460670173868363/26880
         *ep^3)
      -814864120046525772431710087613594173449878731/
      27524906049839437983744000+4032322738059/32*ep^-3+
         309259756969325456731/406328832*ep^-2-
         1711485595864550350747694227/1251194828083200*ep^-1-
         316724688934131403629/4*z3+19359365305605444904666888530894241\
         622620037058758317629723003774595093598777414249/
         65495217806952733042194899756005028985615836774400000000000000
         *ep-950174066802394210887/8*ep*z4-
         41251193183964169257896031209/31744440*ep*z3-
         27940870178856684570282492207597414773939426513502394163035182\
         52341829159206498489695594746279/20125775235770308531533663127\
         74979761297514224141622837248000000000000000*ep^2-
         61444586670998259392961/8*ep^2*z5-
         41251193183964169257896031209/21162960*ep^2*z4+962685057200743\
         82102090894583114011/27599885913600*ep^2*z3+
         23577901102934859501580027921184223684304385359424434715944275\
         75657568329491383963111264715170824497667069707587034901353329/
         45363797672824102565553320817719278300480473455338863772181617\
         2480247176401780736000000000000000000000*ep^3-
         304055686465649982928515/16*ep^3*z6-
         2531601465450621214481103444721/169303680*ep^3*z5+962685057200\
         74382102090894583114011/18399923942400*ep^3*z4+219764988778274\
         6302886162318306662935687774617/1376245302491971899187200*ep^3
         *z3-22170726565089586125279/8*ep^3*z3^2;
Fill mncnoptab(13,3,2,8)=
      +mncF321*(37027983057169104000+295522450156361860740*ep+
         1688094485348803094409/2*ep^2+429371194095428564538595/336*
         ep^3)
      -4074322959888048156761541012774414331966099043/
      22363986165494543361792000-138455727640461/26*ep^-3-
         105712744372470942471473/1650710880*ep^-2-
         2381165263841539654337498223523/9149362180358400*ep^-1-
         6334491861398397932532/13*z3+532872133972123606021351697003404\
         1126340364531245156302889053293861431523096523310617/
         29268175457482002578230845828464747327947077058560000000000000\
         00*ep-9501737792097596898798/13*ep*z4-
         412325304546247983917586996794/51584715*ep*z3-
         13991011712825210811296351320590531051364981471820941102988012\
         785577885336844646037142043108879/1635219237906337568187110129\
         129671056054230307115068555264000000000000000*ep^2-
         614445846984000704154834/13*ep^2*z5-
         206162652273123991958793498397/17194905*ep^2*z4+14479404355604\
         88143508082762668250417/67274721914400*ep^2*z3+
         12778855914447725645013620228446420437762035783787382239873769\
         71339828065746640882531171821420250475845174128542128259442072\
         991/6265874553558829166867052437947475315253865396018680558532\
         5858823834141240495964160000000000000000000000*ep^3-
         1520278387806505765555755/13*ep^3*z6-
         12609752205155789359751581945193/137559240*ep^3*z5+14479404355\
         60488143508082762668250417/44849814609600*ep^3*z4+107884668356\
         86175408717016891619592779955623153/1118199308274727168089600*
         ep^3*z3-221707288144791021468654/13*ep^3*z3^2;
Fill mncnoptab(13,3,3,7)=
      +mncF321*(83312961878630484000+665947159533976212585*ep+
         15258399956330966757069/8*ep^2+3896050543251827018120023/1344*
         ep^3)
      -4074331381089051225226543880895511374390148687/
      9939549406886463716352000-11619590142287061/104*ep^-3-
         946236031307267064015217/733649280*ep^-2-411122382302441863469\
         769947743727/85394047016678400*ep^-1-14252578619097514027893/
         13*z3+51847532465446851531202328509695718459203499276427524643\
         284167720338549050919912994067/1267149870389526933780548281494\
         7565534111198085120000000000000000*ep-42757735857292542083679/
         26*ep*z4-275088643074420103066455250839/15284360*ep*z3-
         33992775570323100127256286693202240509269497410337429575055300\
         1883159589704978254136277612147619/176989837338987703262234587\
         59165900278721078761413096243200000000000000000*ep^2-
         2765005710975418274724657/26*ep^2*z5-
         825265929223260309199365752517/30568720*ep^2*z4+12611666904708\
         01353592804588431694027/26162391855600*ep^2*z3+
         93663515918237843763217801356567119924233708145658174053706076\
         88594470982968542504913007576226163854539607381517161309773406\
         13/27127765924299887209322369884408165723475189834075045566824\
         752289619154443771576320000000000000000000000*ep^3-
         13682502768686116233344355/52*ep^3*z6-
         38068395810234302828370621185311/183412320*ep^3*z5+12611666904\
         70801353592804588431694027/17441594570400*ep^3*z4+221588163042\
         2674851952280287547545993781111789/99395494068864637163520*
         ep^3*z3-997683406832241760754607/26*ep^3*z3^2;
Fill mncnoptab(13,4,1,8)=
      +mncF321*(8557578306545748480+68534983109046213760*ep+
         2954178862625560768352/15*ep^2+18940303304660827251898/63*ep^3
         )
      -74078577585955783140673767406206709174505831/
      1759404506026668621120000-583861416908/5*ep^-3-
         331222782651896462858/178562475*ep^-2-
         91021970026991344094470303733/7917717271464000*ep^-1-
         1689198191130663406688/15*z3+193977868436879993937629404352101\
         0956738476111923848856273058026014675932525103234487/
         46228707902074137405615900077780216292347178123264000000000000\
         00*ep-844599095565331703344/5*ep*z4-
         660831855582674552876551463483/357124950*ep*z3-
         60444169403411527505223668784861384318435887463905398840304558\
         7097439567366222622043358544781/307477121657601935898430964451\
         733019087120228688303489024000000000000000*ep^2-
         163852229731752268550096/15*ep^2*z5-
         660831855582674552876551463483/238083300*ep^2*z4+1146497795722\
         948246033237220952665963/232874037396000*ep^2*z3-
         11026618032030203585719597394689254373723442978687039459448332\
         734327919512894636263810060569665952892814999028211179748648193
       /190324394723483173904837490225623510561951729977687732941620951\
         85148831856087531520000000000000000000000*ep^3-
         27027171923436934190568*ep^3*z6-
         2557881791747039646976405989577/119041650*ep^3*z5+114649779572\
         2948246033237220952665963/155249358264000*ep^3*z4+458584006926\
         8516056979869168726739034943086871/1935344956629335483232000*
         ep^3*z3-59121939580617186002224/15*ep^3*z3^2;
Fill mncnoptab(13,4,2,7)=
      +mncF321*(46079267804477107200+369027809693347346080*ep+
         3181392002561698880416/3*ep^2+8095077158586593769459/5*ep^3)
      -814868035472496794521017486759129688556232139/
      3594212062311623040288000-1503541128422564/39*ep^-3-
         49564507280732172855463/106117128*ep^-2-
         78163194096022965204520375920191/41172129811612800*ep^-1-
         23648743101688954829888/39*z3+10581720244825938413252033040234\
         54661705477628528188193644551472754781049580756574362491/
         46833859209596915472529064484046202214074988122603520000000000\
         0000*ep-11824371550844477414944/13*ep*z4-
         2643301361208412721761945089893/265292820*ep*z3-
         34630610446191294166573440316481903825108659135068782174318809\
         314495730507732210312888418529718039/3270772194024492756286095\
         178693858371507655355109140185743360000000000000000*ep^2-
         2293930876851925461159856/39*ep^2*z5-
         2643301361208412721761945089893/176861880*ep^2*z4+321030548566\
         85402910092495072353946489/1210944994459200*ep^2*z3+
         35071515648114227601342527448453511411463916897962955828203873\
         59971881615606239608137183631451616462351083228650188323344947\
         89213/25066055714053095781413869773193145128491075406685342103\
         746071115608098706044936519680000000000000000000000*ep^3-
         5675705334375591265824920/39*ep^3*z6-
         10230759865958999784823513535317/88430940*ep^3*z5+321030548566\
         85402910092495072353946489/807296662972800*ep^3*z4+22905616568\
         023391018734636171767521758537475627/1797106031155811520144000
         *ep^3*z3-275902497899569028851440/13*ep^3*z3^2;
Fill mncnoptab(13,4,3,6)=
      +mncF321*(88867159337205849600+713345766764684074560*ep+
         2058329277735599186736*ep^2+995358430181041116514064/315*ep^3)
      -488915913799980629914153165846360545294315239/
      1118199308274727168089600-8531721850656796/13*ep^-3-
         1503154164476045387089153/206338860*ep^-2-
         24182092413497263516569257677789/960683028937632*ep^-1-
         15202596051630309956832/13*z3+13850038914029887056210362582236\
         6963374460291658142050729174313569050305943537021844047/
         31859768169793820049339499649011021914336726614016000000000000\
         000*ep-22803894077445464935248/13*ep*z4-
         992350312667506516769666890928/51584715*ep*z3-
         63333507690992852531384052774636610368338729089517405133723475\
         93845834688435042879053143901042617/31150211371661835774153287\
         4161319844905490986200870493880320000000000000000*ep^2-
         1474668072598691608223344/13*ep^2*z5-
         496175156333753258384833445464/17194905*ep^2*z4+35864912474246\
         455273905962794749828811/706384580101200*ep^2*z3+
         23354925677629919439484411610253451745403817743947714097883271\
         14908875029295157692546184403016875833521225487379278279222889\
         5479699/403444134826187922577042284920918240639523023212364077\
         669817716051216064887770883031040000000000000000000000*ep^3-
         3648663691367653245666280/13*ep^3*z6-
         1290902925598461101594447448959/5731635*ep^3*z5+35864912474246\
         455273905962794749828811/470923053400800*ep^3*z4+7140510117052\
         4216803161736465629634741181741669/2795498270686817920224000*
         ep^3*z3-532099523100994889865616/13*ep^3*z3^2;
Fill mncnoptab(13,4,4,5)=
      +mncF321*(78993030521960755200+637181819764235702880*ep+
         16688778380135072058496/9*ep^2+8162266529636408292422087/2835*
         ep^3)
      -977758885734774480197464719760911301066130401/
      2515948443618136128201600-875857835723725844/351*ep^-3-
         50197458360586112072727187/1857049740*ep^-2-127638150789746204\
         1343387372581941/14410245434064480*ep^-1-
         364847576175745714656352/351*z3+183492567158943114346433723167\
         55025527132182796169253380102579159867267818985781191001969367/
         47601934500634304886278541141584559930385817927814217728000000\
         00000000*ep-182423788087872857328176/117*ep*z4-
         1591502398816905652652385211054/92852487*ep*z3-
         11918675126155811265166908067367258130641260684917570037000272\
         8509649739643780476817035986440728565123/664882571601298887497\
         8374279248875297600761805865860169579102208000000000000000*
         ep^2-11797292317063579482057968/117*ep^2*z5-
         795751199408452826326192605527/30950829*ep^2*z4+94227140323552\
         46528155239648088901249/211915374030360*ep^2*z3+
         11357505480359860377106769358834348456163438181324399914051517\
         65585742627488067950893519520041086205760055612838800037476383\
         986693030689/2238930977759862228609889550029172296831621156330\
         03579304807088720572980560153957729960984576000000000000000000\
         00*ep^3-87567573437537481828793880/351*ep^3*z6-
         2106176264671477460936574575939/10316943*ep^3*z5+9422714032355\
         246528155239648088901249/141276916020240*ep^3*z4+7708564796160\
         5911209903908865794259391161224267/3144935554522670160252000*
         ep^3*z3-12770550293634169850768944/351*ep^3*z3^2;
Fill mncnoptab(13,5,1,7)=
      +mncF321*(6551895890949088680+52781227577566027540*ep+
         9195079221382493726903/60*ep^2+56929593363249755356147/240*
         ep^3)
      -600429566810439464749462372152830616767288621/
      18625876274327439237120000+5470829017346/15*ep^-3-
         916581901263766477657/687398400*ep^-2-
         172381949522828350200009025799/3810029363712000*ep^-1-
         2586585194214980817551/30*z3+303094023425416023652062456135947\
         30817354583771865361218102626768767087783889082637013/
         94805383015378371401880697336125915413107263406080000000000000\
         000*ep-2586585194214980817551/20*ep*z4-
         37563609186974514839541683101/26438400*ep*z3-
         19732277279430144591821335884277965096149442165175827864498773\
         0289374720024695602799949356917461/132419926883582702683647578\
         084771593988164184417374096588800000000000000000*ep^2-
         250898731106828558366767/30*ep^2*z5-
         37563609186974514839541683101/17625600*ep^2*z4+290443410484927\
         3075291448296847513603/784417810176000*ep^2*z3+
         51263104096442678245435698400097214897891867008782003806147107\
         46374441167484625624291372459305531314557486643907133280851472\
         30059370828123/65650418731636720019758687263470876138038844813\
         13702055133472073899548719509967122131236945920000000000000000\
         0000000*ep^3-62078036478153394387304/3*ep^3*z6-
         1929962511798128787285166996397/114566400*ep^3*z5+290443410484\
         9273075291448296847513603/522945206784000*ep^3*z4+571473787541\
         87917815036069270816527358666907/28655194268196060364800*ep^3*
         z3-30176821186280602831151/10*ep^3*z3^2;
Fill mncnoptab(13,5,2,6)=
      +mncF321*(30239519496688101600+243783187402791331680*ep+
         708737664847940383271*ep^2+197802640182524187298259/180*ep^3)
      -600434369174428349377576800789171504596864981/
      4035606526104278501376000-4817490357265894/39*ep^-3-
         214752070391174596542817/148936320*ep^-2-
         4540858376546119368187690333799/825506362137600*ep^-1-
         15519402173999025883658/39*z3+10174657678698731934284709528320\
         97181036668388556932854960558514565146803894009595733/
         690053458301793806570056306021464628857195724800000000000000000
         *ep-7759701086999512941829/13*ep*z4-
         488498509719420866113212847057/74468160*ep*z3-
         37527418689510511375628454593574085294466655112701553533389279\
         61328227628094469780999943643852159/54649493634494448726584714\
         7651438324395598221405035954176000000000000000000*ep^2-
         501797077689700661616902/13*ep^2*z5-
         488498509719420866113212847057/49645440*ep^2*z4+57958503610825\
         4354828552466468050599/33991438440960*ep^2*z3+
         30578601160415080350828472155086834561047693111283958248017229\
         93666692530481828196808465170713309705121231328883813726550237\
         184384806407667/9031274534510871537109660681747316294121745847\
         30985467901959121277186596334704471827577569280000000000000000\
         00000000*ep^3-3724679577237757397417620/39*ep^3*z6-
         1935578970918292580853734647493/24822720*ep^3*z5+5795850361082\
         54354828552466468050599/22660958960640*ep^3*z4+187780601856165\
         17827711816245458960478252902719/2017803263052139250688000*
         ep^3*z3-543183992765918060375126/39*ep^3*z3^2;
Fill mncnoptab(13,5,3,5)=
      +mncF321*(48599227762534449000+392953675563795792600*ep+
         4593248516814680518565/4*ep^2+86047592724748557338891/48*ep^3)
      -257314169843666432191424602990496832453940169/
      1076161740294474267033600-103191235344015665/78*ep^-3-
         192211303558232398118983/13238784*ep^-2-2261726093812283938691\
         98601818519/4622835627970560*ep^-1-49881869505591175606015/78*
         z3+32940360698519613085035974787863552863859767957526485049457\
         1948690874944057075722582657223/139186942984310833000814447782\
         410993948496543648579584000000000000000*ep-
         49881869505591175606015/52*ep*z4-69884709699217593692818221463/
         6619392*ep*z3-355873438555966374543863637812755602038697892284\
         516336960903773203013601915510121166136762842507711/
         32401684775891758649992077384253778253415018547104581723095040\
         000000000000000*ep^2-1612912351989598041644185/26*ep^2*z5-
         69884709699217593692818221463/4412928*ep^2*z4+3691967345974473\
         828742605083980645717/135965753763840*ep^2*z3-
         19413500831091551421499921657873453888326900619407298922113235\
         13273831813172335914163047958503903147642439264285619606113497\
         0124850693189533163/705848996958645367702322534796176428574050\
         10993852509246212013435351255243689676807104955055698083840000\
         00000000000000000*ep^3-5986068983079003686658175/39*ep^3*z6-
         93256682395399073585168200129/735488*ep^3*z5+36919673459744738\
         28742605083980645717/90643835842560*ep^3*z4+840814797445077542\
         6505700799817696829969921051/538080870147237133516800*ep^3*z3-
         1745969652573437166894865/78*ep^3*z3^2;
Fill mncnoptab(13,5,4,4)=
      +mncF321*(34559450853357830400+280948543244529966960*ep+
         7458530227343211064972/9*ep^2+530457124784290922367107/405*
         ep^3)
      -12862783237591305504441416503472139699571093/
      75667622364455221900800-1078106245129103498/351*ep^-3-
         921584074003150458335891/27925560*ep^-2-
         23016734052388699249175301642259/216695420061120*ep^-1-
         159605494943630950000864/351*z3+553485949794839629667769256796\
         1757613747920275273083699343403303473352768259168384447222759/
         33070817653072253920993512793100852162162778770902509158400000\
         00000000*ep-79802747471815475000432/117*ep*z4-
         5254921269638975055554658166/698139*ep*z3-
         35709407779174558673284266821106683434340468032584829660139755\
         106138962715850365703247414155015804331/4619184181651129113142\
         870551899218627806845044075229170444428902400000000000000*ep^2
         -5161261111746584768345576/117*ep^2*z5-
         2627460634819487527777329083/232713*ep^2*z4+120986610246283945\
         027028262337845509/6373394707680*ep^2*z3+
         31727744134225060390317910352911615698994243651740904719206466\
         22054459500902090872735607315532781290685250647522877243730093\
         1661286581004162480481/130813582908351828705536030728705785154\
         77155877468697833581980025946777431802520423307147110562414481\
         899520000000000000000000*ep^3-38310444600740308387589660/351*
         ep^3*z6-14287663755008692186103182777/155142*ep^3*z5+120986610\
         246283945027028262337845509/4248929805120*ep^3*z4+119266817686\
         046292459482546819179967657198701/9956266100586213408000*ep^3*
         z3-5587284520852238017754248/351*ep^3*z3^2;
Fill mncnoptab(13,5,5,3)=
      +mncF321*(11339819811258038100+92947575631438198440*ep+
         3336793816895780304217/12*ep^2+966888553665813262110053/2160*
         ep^3)
      -51443062155325183860366940591241595210637327/
      922424348823835086028800-7127595401561054497/3744*ep^-3-
         2456087438372984254932331/119149056*ep^-2-14853986270425608486\
         3747628197509/2201350299033600*ep^-1-34909104863912121682763/
         234*z3+1076093950642549945916989669725183780346717636104173339\
         80139597430477595790596153222014514987/19704695518288884627925\
         3013725559244132886556843294117068800000000000000*ep-
         34909104863912121682763/156*ep*z4-
         738609317445663713378313629393/297872640*ep*z3-
         62538907564955938433462547482970168915944310543819518374913213\
         886702297809514950806104752435844081373/2502058098394361602952\
         3882156120767567287077322074158006573989888000000000000000*
         ep^2-4516038204507622300035913/312*ep^2*z5-
         738609317445663713378313629393/198581760*ep^2*z4+1177918499063\
         965083609585276368060599/194236791091200*ep^2*z3+
         24612057788515188194351132786962433437429820959815542858895709\
         99037677102470008321326845615597066621704583780350244422667455\
         736035120737/4819357848864360285562487516689109926095770634293\
         98967705684227078631250471009292802102334062592000000000000000\
         000*ep^3-67042390970336092066883435/1872*ep^3*z6-
         1032225091047890986533882813379/33096960*ep^3*z5+1177918499063\
         965083609585276368060599/129491194060800*ep^3*z4+1436058500458\
         272869454223870908289157310754729/329437267437083959296000*
         ep^3*z3-4889075753689825294160333/936*ep^3*z3^2;
Fill mncnoptab(13,6,1,6)=
      +mncF321*(2774920612637261088+22574081068331817024*ep+
         1666609040156282275977/25*ep^2+94957440944783643854137/900*
         ep^3)
      -35319923163911328356511380400046568434661653/
      2586927260323255449600000-25888491152062/75*ep^-3-
         333979398903936465707/31824000*ep^-2-
         47743725727966481534793042407/529170744960000*ep^-1-
         2738736009174466706174/75*z3+424523541009233740184820717802400\
         50962407095153343510912671528077600975598840374962341/
         31601794338459457133960232445375305137702421135360000000000000\
         0000*ep-1369368004587233353087/25*ep*z4-
         9621032792271285399244363163/15912000*ep*z3-
         27377190367516412294905865342052834651209557306532202812446410\
         3159002948800648701937791090677699/441399756278609008945491926\
         949238646627213948057913655296000000000000000000*ep^2-
         88552489405317801911586/25*ep^2*z5-
         9621032792271285399244363163/10608000*ep^2*z4+2816494160412873\
         594231257563468626163/1852097607360000*ep^2*z3-
         84737600706549014928070617926523474005349148082354567768339406\
         99724292553856723780058057666658341107850504838347831844033942\
         88609212296993/21883472910545573339919562421156958712679614937\
         71234018377824024633182906503322374043745648640000000000000000\
         00000000*ep^3-131459366103389469514292/15*ep^3*z6-
         39329699575019851250342153047/5304000*ep^3*z5+2816494160412873\
         594231257563468626163/1234731738240000*ep^3*z4+251279873599894\
         305733620523238581597322373427/258692726032325544960000*ep^3*
         z3-95855802202997548393682/75*ep^3*z3^2;
Fill mncnoptab(13,6,2,5)=
      +mncF321*(10672771587066388800+86938702380401754960*ep+
         257328099814226361074*ep^2+2042403500013481448632/5*ep^3)
      -11773575348846635042222131676010982054694963/
      224200362561348805632000-6201366121629140/39*ep^-3-
         15329181718252115592259/8274240*ep^-2-
         2899132128103459484548881564179/412753181068800*ep^-1-
         5477338070587195361164/39*z3+172456897042679391993664314267597\
         5717899607186656449698305105840077038373612476813239471901/
         33404866316234599920195467467778638547639170475659100160000000\
         00000000*ep-2738669035293597680582/13*ep*z4-
         641809791679293075547002365/275808*ep*z3-
         11106410660017333663319025152560329180623590091201111793514687\
         168533526018254231696608694590440668277/4665842607728413245598\
         859143332544068491762670783059768125685760000000000000000*ep^2
         -177104502275111612646676/13*ep^2*z5-
         641809791679293075547002365/183872*ep^2*z4+1682722387878669086\
         144268605936188571/288927226748160*ep^2*z3-
         26553568412639141716197691710099930783761640008091125179704066\
         13283575719420074939537624751346282379975042276445711985718903\
         896278548701347907/1217476649522613766968526998666236323631066\
         47618939239291073113272771252127198733443009768440463360000000\
         000000000000000*ep^3-1314590421886869106447160/39*ep^3*z6-
         23719262466157876148204631913/827424*ep^3*z5+16827223878786690\
         86144268605936188571/192618151165440*ep^3*z4+14205394502861135\
         0335391385017145545101734131/37366727093558134272000*ep^3*z3-
         191713067082714401855092/39*ep^3*z3^2;
Fill mncnoptab(13,6,3,4)=
      +mncF321*(13722134897656785600+112166149641944373360*ep+
         333978458642477203786*ep^2+48086152440033675927449/90*ep^3)
      -3026917817010961933128558353526717398044057/
      44840072512269761126400-41153614557545798/39*ep^-3-
         286072970727850233467171/24822720*ep^-2-
         4444370910851567529694288982809/115570890699264*ep^-1-
         7041559471460839364116/39*z3+405039085267760372754728123831173\
         665541796059014154886832773975277443918894487738850882777/
         61242254913096766520358357024260837337338479205375016960000000\
         0000000*ep-3520779735730419682058/13*ep*z4-
         37194119754253474843843570907/12411360*ep*z3-
         57767947340843960538246357668456768355461689944151395269571644\
         909003144487865470439200339774283441/1900898840185649840799535\
         2065428883242003477547634687944215756800000000000000*ep^2-
         227703195049788291603924/13*ep^2*z5-
         37194119754253474843843570907/8274240*ep^2*z4+5629932377354092\
         04227636321446456161/76033480723200*ep^2*z3+
         83689905218931960252393897896931807358255653714698549230484264\
         19688594052433085225783937752719060165916357914124927539718317\
         348892077458863297997/8074912525206903006514569798068258342887\
         13325769672705776665433700418359987809902673280685837186079129\
         600000000000000000000*ep^3-1690170064194760088619140/39*ep^3*
         z6-51506712864136939932514002221/1379040*ep^3*z5+5629932377354\
         09204227636321446456161/50688987148800*ep^3*z4+572367597474533\
         951451451162556039754692079991/112100181280674402816000*ep^3*
         z3-246496303689064085777428/39*ep^3*z3^2;
Fill mncnoptab(13,6,4,3)=
      +mncF321*(7318471945416952320+60171366237604731648*ep+
         180952828458833181212*ep^2+13196508440900234676254/45*ep^3)
      -12453571230148741666455981012340402817399/345988213829241984000-
         239847000914863496/195*ep^-3-207471087659226780410899/15514200
         *ep^-2-79785076865442848755328043699251/1805795167176000*ep^-1
         -18774639773665400037952/195*z3+106613492286280908504248463937\
         193788918363381908573399871774578800946273740520171128072167951
       /303149161819828994275773867270091144819825472066606333952000000\
         000000000*ep-9387319886832700018976/65*ep*z4-
         12432478354559629028934845023/7757100*ep*z3-
         61761636918015475817355939183042538833030501767981129431368548\
         203732648626070600732048029723838677889/3849320151375940927619\
         0587932493488565057042033960243087036907520000000000000000*
         ep^2-607198395674717234639328/65*ep^2*z5-
         12432478354559629028934845023/5171400*ep^2*z4+3497487074370163\
         236194771116816513969/902897583588000*ep^2*z3+
         45722102993903935185903340824839368661903450212409773475910336\
         90775859356002760120953609577770967400779586516419195572070732\
         27266719539525538024777/47964980399729003858696544600525454556\
         74957155071855872313392676180485058327590821879287273872885310\
         0298240000000000000000000*ep^3-901410273625243151940016/39*
         ep^3*z6-5850625619623566248651831003/287300*ep^3*z5+3497487074\
         370163236194771116816513969/601931722392000*ep^3*z4+1362457989\
         3191645145610159011573823632317639/4670840886694766784000*ep^3
         *z3-657354769049336638942816/195*ep^3*z3^2;
Fill mncnoptab(13,6,5,2)=
      +mncF321*(1600915738059958320+13275481316921329968*ep+
         40504929362057843837*ep^2+12038812604161102991789/180*ep^3)
      -2354959540433343742460053222378538681106577/
      298933816748465074176000-416684923264313473/1560*ep^-3-
         752394275428895173083079/248227200*ep^-2-631542904179879027561\
         617623786987/57785445349632000*ep^-1-4106956370084407840462/
         195*z3+3099234229609610438505172239405848825119867405078552652\
         936661707025869988019407583500642860395961/4057590901126047122\
         5823780586367159551843999785171124586807296000000000000000*ep-
         2053478185042203920231/65*ep*z4-43697914306827533816591381713/
         124113600*ep*z3-1958027410838524108260994045039918426508344625\
         5042723855778487659383451049331792390061092373267606402321989/
         56674618398350363540795135949472273032013304583776616783850875\
         975106560000000000000000*ep^2-265649336714694900482361/130*
         ep^2*z5-43697914306827533816591381713/82742400*ep^2*z4+
         3395855574695238191678790239921546309/4127531810688000*ep^2*z3
         +4248844051321018607428405447229411567245646697628044518344827\
         88169463465806377184430395393065094873426515019287769936164933\
         7710059091266928377828990463/642001669654292770847881510169113\
         10415118166529205776479740298292140556408703137632689884303333\
         79529768718827520000000000000000000*ep^3-
         788734097403915885766159/156*ep^3*z6-
         63420262295128597220410897379/13790400*ep^3*z5+339585557469523\
         8191678790239921546309/2751687873792000*ep^3*z4+10456780922302\
         9403225222407078558759754208781/149466908374232537088000*ep^3*
         z3-287592696596989839039677/390*ep^3*z3^2;
Fill mncnoptab(13,6,6,1)=
      +mncF321*(113005816804232352+4741323938107888824/5*ep+
         14755591232792856754/5*ep^2+1124561016322439146246/225*ep^3)
      -1928776506345073033428777573450366008141263/
      3464914694129936087040000-35620409896903139/66300*ep^-3-
         255493388013994780471577/10549656000*ep^-2-5401743769232574082\
         87341987594821/2455881427359360000*ep^-1-
         24648480738809983338052/16575*z3+35103950309912781564088569918\
         14162670294350003906239117897201412377986135832855448224571766\
         824551/6588202695787516511686816292757900436621854332465744228\
         82936422400000000000000*ep-12324240369404991669026/5525*ep*z4-
         131891416473540186858913080179/5274828000*ep*z3-
         21951567154080188734343596686053348926523796130626011593167288\
         354780519310542185523357612873198106383151811/
         92021074281076631087870632982449266171979153320107502680064810\
         0526424064000000000000000*ep^2-796971838911336177754203/5525*
         ep^2*z5-131891416473540186858913080179/3516552000*ep^2*z4+
         9755946489248585411057901007810694347/175420101954240000*ep^2*
         z3+94880354193489290419156072937007089302378302180801689010190\
         82135701717803739167844758013058563779699075608036028990514024\
         9250026319278276103/180090613877012684295243263317355888165484\
         74619409944502921538342611475411968105243638956145050250117120\
         00000000000000000*ep^3-2366267035995198549924557/6630*ep^3*z6-
         66215005073628946695226742219/195364000*ep^3*z5+97559464892485\
         85411057901007810694347/116946734636160000*ep^3*z4+10536396400\
         77380449768089323260774673580375457/19057030817714648478720000
         *ep^3*z3-862703417046896805614311/16575*ep^3*z3^2;
Fill mncnoptab(13,7,1,5)=
      +mncF321*(642342734406773400+15907494983820920480/3*ep+
         1733779969841420331985/108*ep^2+170012963850179213454187/6480*
         ep^3)
      -5046106922411329863241919508057242937054467/
      1596503680656637648896000+39731432207005/162*ep^-3-
         2431279762118735810513/412439040*ep^-2-
         196106524680100745716713126751/2286017618227200*ep^-1-
         1369369900854908596567/162*z3+17753476820701142810918508956413\
         4377303432659582580498024383634381920480782575791510437/
         57816114778098346015722924463463028255529333515563827200000000\
         00000*ep-1369369900854908596567/108*ep*z4-
         29072092889652583080887146913/206219520*ep*z3-
         28227786841436553058012214735703616148958551470352077755658717\
         8057694031501483797275303740595781/201887420526710188511489097\
         5480427721943551155627285476592844800000000000000*ep^2-
         44276250531116773876553/54*ep^2*z5-
         29072092889652583080887146913/137479680*ep^2*z4+34840486166049\
         801690161983346436119/103909891737600*ep^2*z3+
         12289629478657817487634394291924889736431995524824081130872963\
         58408331485728668316192736809512042866525648577392997562763044\
         07681006167113/64058002174882139738959420545208126566434574593\
         34956898084154575275041265769533359616821662559764480000000000\
         0000000*ep^3-164324227115619266291365/81*ep^3*z6-
         124746824552971202637372993557/68739840*ep^3*z5+34840486166049\
         801690161983346436119/69273261158400*ep^3*z4+21397409864793907\
         1904005009883629338806096457/798251840328318824448000*ep^3*z3-
         47927874341799636034081/162*ep^3*z3^2;
Fill mncnoptab(13,7,2,4)=
      +mncF321*(1976439182790072000+49033849627405208720/3*ep+
         1340102961247704564526/27*ep^2+65959510303979339512793/810*
         ep^3)
      -35322814457119892837892725135409700065243977/
      3632045873493850651238400-100918381550344666/1053*ep^-3-
         738682391796011638876753/670213440*ep^-2-
         15174761314474465516218147061007/3714778629619200*ep^-1-
         27385134334106243149532/1053*z3+312173962296377619188317129793\
         321691824188624303990584890489597873637168087091123715568661/
         33070817653072253920993512793100852162162778770902509158400000\
         00000000*ep-13692567167053121574766/351*ep*z4-
         29096267852671167481082259845/67021344*ep*z3-
         19804710298682801185293402968797974636035910498767777199123440\
         86151578368053994781330345587918861473/46191841816511291131428\
         70551899218627806845044075229170444428902400000000000000*ep^2-
         885517016358096030662908/351*ep^2*z5-
         29096267852671167481082259845/44680896*ep^2*z4+266636578872826\
         5153614941737062560927/2600345040733440*ep^2*z3+
         51258035315077101447185072039582570976631533770237190663498532\
         68963352058277408919351984664395767529690680165337977935847501\
         5346305885810519/538840841824008587215952772821456594058832009\
         81464637436825535544960641235590780613247382220355665920000000\
         00000000000*ep^3-6572914786850454622097980/1053*ep^3*z6-
         125574878092970963135530567577/22340448*ep^3*z5+26663657887282\
         65153614941737062560927/1733563360488960*ep^3*z4+7634274714681\
         300644274449279924687655669605831/9080114683734626628096000*
         ep^3*z3-958582595340469570006844/1053*ep^3*z3^2;
Fill mncnoptab(13,7,3,3)=
      +mncF321*(1905852069118998000+15821633679039355860*ep+
         96715841657477340375/2*ep^2+28802013857669782020067/360*ep^3)
      -5044715778252526883787831794318125111926791/
      538080870147237133516800-24300382307044151/78*ep^-3-
         341590923239091992141471/99290880*ep^-2-
         27180858516329861575324325345153/2311417813985280*ep^-1-
         977853753624735205757/39*z3+8141845881894808908554355260362630\
         117275305394230706578023330734902011961507678019598951709/
         89566797810404021036024097147981474605857525837860962304000000\
         000000000*ep-977853753624735205757/26*ep*z4-
         20820154864317996575179953911/49645440*ep*z3-
         46711789880148458999723209283113238277330033418145842200109588\
         42676374317495697414953571193615708351/11372991356338007286147\
         219161873076166948671510033708184806359040000000000000000*ep^2
         -31624944065312051830453/13*ep^2*z5-
         20820154864317996575179953911/33096960*ep^2*z4+563791870800564\
         9973492087743019976351/5778544534963200*ep^2*z3-
         43060194769660806683955026134366184399197786209439857091104213\
         61896939487946977072743200828798232018111031334265233987670670\
         04735882212178426849/56685885926952459105732279982439173567067\
         67546903102394552191344576936887114425516766430414577046275489\
         79200000000000000000*ep^3-234742446105778550714005/39*ep^3*z6-
         30323498828621247838793293873/5516160*ep^3*z5+5637918708005649\
         973492087743019976351/3852363023308800*ep^3*z4+113448959113778\
         8861737616685868547416263435753/1345202175368092833792000*ep^3
         *z3-34237137009000185695589/39*ep^3*z3^2;
Fill mncnoptab(13,7,4,2)=
      +mncF321*(677636291242310400+5660029486456779280*ep+
         157303826140442827076/9*ep^2+3955742788998162117833/135*ep^3)
      -157705984026992032476734242863934781330927/
      47292263977784513688000-45109505959992166/351*ep^-3-
         13579922638326244622153/9308520*ep^-2-
         17132497572354069866746151809249/3250431300916800*ep^-1-
         3128988315741488172896/351*z3+13031662260782395646068916285173\
         45872514111230554598615435618385434106458704122577618560071653\
         423/4057590901126047122582378058636715955184399978517112458680\
         7296000000000000000*ep-1564494157870744086448/117*ep*z4-
         348048520726116120534729761/2327130*ep*z3-
         81727484924001660314168637580103331669442036236177983971064065\
         68400611034115549340365338448844602852254147/
         56674618398350363540795135949472273032013304583776616783850875\
         975106560000000000000000*ep^2-101199319614846297742744/117*
         ep^2*z5-348048520726116120534729761/1551420*ep^2*z4+1103051712\
         38819558259479968199119999/325043130091680*ep^2*z3-
         63820182925179115221628278785162312366406757092086166898524138\
         40652007307429039454085492402582195476711161106621263902127764\
         064230825173469693583747943/6420016696542927708478815101691131\
         04151181665292057764797402982921405564087031376326898843033337\
         9529768718827520000000000000000000*ep^3-
         751172426321993512638340/351*ep^3*z6-
         2325527037579985449719270306/1163565*ep^3*z5+11030517123881955\
         8259479968199119999/216695420061120*ep^3*z4+150460377247626102\
         93952288742947295508599903/47292263977784513688000*ep^3*z3-
         109560472364757931328504/351*ep^3*z3^2;
Fill mncnoptab(13,7,5,1)=
      +mncF321*(74116469354627700+624512554618575700*ep+
         70444790068605718535/36*ep^2+7219333247289922401401/2160*ep^3)
      -35366183152816400615373286865563168479301183/
      96854556626502684033024000-4372916696876651/11232*ep^-3-
         10713406239570504172367/595745280*ep^-2-
         6188140794796328728286488019659/37823200592486400*ep^-1-
         684680296368350978773/702*z3+674705472899447728275283613815458\
         214869100362786792738039800985204524152891367340050553827318653
       /193770667523162250343729890963467659900642774484286594965569536\
         000000000000000*ep-684680296368350978773/468*ep*z4-
         4894967963315449771462859401/297872640*ep*z3-
         42009608170892796227086541892750524176821639561454762010523402\
         20141875262851026077321066914607550049006577/
         27065021847375479731726656759543901815287986270619853729430826\
         4860712960000000000000000*ep^2-88552426352875627690163/936*
         ep^2*z5-4894967963315449771462859401/198581760*ep^2*z4+
         1067191894392917128826015955726915799/29718229036953600*ep^2*
         z3+51411478895549448071736062816401822679182384217549035678964\
         51606757299850299774631215746279357671615671154239662048929040\
         41571158813621327062996676059/30658855244715205791511076199912\
         74823905643054660030958420250979665487795844190654295802638159\
         2057346242453176320000000000000000000*ep^3-
         1314592789365767395776985/5616*ep^3*z6-
         67195717976309925647213391587/297872640*ep^3*z5+10671918943929\
         17128826015955726915799/19812152691302400*ep^3*z4+182162858804\
         3093020968713512613659855542093443/48427278313251342016512000*
         ep^3*z3-95855895998858858959327/2808*ep^3*z3^2;
Fill mncnoptab(13,8,1,4)=
      +mncF321*(77274313913596800+1954637011283836880/3*ep+
         55164069113589492496/27*ep^2+9896141492757134653036/2835*ep^3)
      -35331054993843499896035250008534235816335327/
      92896557918208103195136000-16849537164526/81*ep^-3-
         3843016485784210995283/685679904*ep^-2-
         847353251876794004466252000013/19002521451513600*ep^-1-
         82367536319740515272/81*z3+17549054419258262238961451380679875\
         968336351176604446120186030214849226933063092563720563/
         48334271954490217269144364851455091621622522819011359539200000\
         00000000*ep-41183768159870257636/27*ep*z4-
         29379823775331633997990586123/1714199760*ep*z3-
         10921732356730124530707093420689204276470206076624479254181734\
         3842411533405189688194126989726109551/675111534241318870382419\
         5422006550302179235064417642633726473011200000000000000*ep^2-
         2663231252968558365808/27*ep^2*z5-
         29379823775331633997990586123/1142799840*ep^2*z4+9936915577821\
         2665325289875040198025/2660353003211904*ep^2*z3-
         58662357486566789172886874553785668511734739429273470349172873\
         97800141535539299929946444830738077278336739328047264543567086\
         227808312513117/7046380239237035371285536259972893922307803205\
         26845258789257003280254539234648669557850382881574092800000000\
         0000000000*ep^3-19768315556464836455380/81*ep^3*z6-
         134702893962458853608789298767/571399920*ep^3*z5+9936915577821\
         2665325289875040198025/1773568668807936*ep^3*z4+16702369539590\
         8138805602809984047358005503703/4222570814464004690688000*ep^3
         *z3-2882887255984668044816/81*ep^3*z3^2;
Fill mncnoptab(13,8,2,3)=
      +mncF321*(178325339800608000+1506766328088042560*ep+
         42673265941028449540/9*ep^2+7689385023449253483034/945*ep^3)
      -35331049733934565357216765078798052988731693/
      40255175097890178051225600-8287355124317632/351*ep^-3-
         2025934883353738489510087/7428198960*ep^-2-
         4203495849813569504162085719441/4117212981161280*ep^-1-
         823499319199586250848/351*z3+481324328751346320186882246213477\
         92420948413933646031388813158055596488264353645287953220347/
         57598340745767508912397034781317317515766839692655203450880000\
         00000000000*ep-411749659599793125424/117*ep*z4-
         147034485673949384590976904967/3714099480*ep*z3-
         27131149217762501083671616111261823557720354430754744386355252\
         777779307510344376736177825187395699133/7313708287614287762476\
         21170717376282736083798645244618653701242880000000000000000*
         ep^2-26631685256946073328992/117*ep^2*z5-
         147034485673949384590976904967/2476066320*ep^2*z4+616124927853\
         5477207021524724477611717/72051227170322400*ep^2*z3-
         26321695719492147876514274917018711789318368351883638796849839\
         74328592233734545670329263944405426924867544406788805739309268\
         30454624677671117/12918363771934564847356816476616972190897639\
         20965882974446971172680466655263522560856059035282885836800000\
         00000000000000*ep^3-197678891129096584340320/351*ep^3*z6-
         678495765687475001076891647443/1238033160*ep^3*z5+616124927853\
         5477207021524724477611717/48034151446881600*ep^3*z4+9350344564\
         402589306724293515336799766147127331/
         100637937744725445128064000*ep^3*z3-28830788475616618315616/
         351*ep^3*z3^2;
Fill mncnoptab(13,8,3,2)=
      +mncF321*(114637718443248000+972621821826048240*ep+
         3081409772773629880*ep^2+1680160067946610460072/315*ep^3)
      -336491894069522156275228960555531366992047/
      596372964413187822981120-361027098010414/13*ep^-3-
         521555024691332091568189/1650710880*ep^-2-
         44176461902624812410719673463043/38427321157505280*ep^-1-
         19603447352369716616/13*z3+16511538791317542688477778905238912\
         2857119157143566028571529258365148079127301849752940143308447/
         30837690848557958131626073245639041259401439836730054685973544\
         960000000000000*ep-29405171028554574924/13*ep*z4-
         21045628422423388040295315169/825355440*ep*z3-
         50909155044111897842154073283063108823609421842815739075195854\
         53844379161937167201259019039492879853953607/
         21536354991373138145502151660799463752165055741835114377863332\
         8705404928000000000000000*ep^2-1902224380845825003792/13*ep^2*
         z5-21045628422423388040295315169/550236960*ep^2*z4+51975537403\
         73791353666535263519578909/96068302893763200*ep^2*z3-
         32929088580949045393795709766977372277164379926707666164729256\
         88895169228429494243840188974617236899331463130305717876440975\
         40522778066900446053840333/64200166965429277084788151016911310\
         41511816652920577647974029829214055640870313763268988430333379\
         529768718827520000000000000000000*ep^3-4706552333733638217940/
         13*ep^3*z6-98318735788150897725789777901/275118480*ep^3*z5+
         5197553740373791353666535263519578909/64045535262508800*ep^3*
         z4+153366190417728739561436366927404437159325303/
         2484887351721615929088000*ep^3*z3-686488438463972243792/13*
         ep^3*z3^2;
Fill mncnoptab(13,8,4,1)=
      +mncF321*(20380038834355200+174003914599973920*ep+
         5012972691901002884/9*ep^2+184635940426786144498/189*ep^3)
      -919049046280238532101931399683431715744503/
      9148903431338676829824000-100323097653988/351*ep^-3-
         10262558837574161559743/1238033160*ep^-2-
         5767053353773856490641284185761/86461472604386880*ep^-1-
         94133026184765438816/351*z3+7918342033966117109718785812709194\
         4811988467787856387506825159407613535018744640098763432555311/
         83673697339547335375701543825133762229823016254578302371495936\
         000000000000000*ep-47066513092382719408/117*ep*z4-
         563130157760710733393307257/123803316*ep*z3-
         24303991248525971341309706568817752637413785225227247688085662\
         7185641561292191242417291571040925895074517/
         58435842625015240329864372549015242555735424902474684188543829\
         913108480000000000000000*ep^2-3043687662919693495024/117*ep^2*
         z5-563130157760710733393307257/82535544*ep^2*z4+20260208886016\
         64150107258177714668899/216153681510967200*ep^2*z3-
         53195147333429561128227342230998800646467969308994489619013895\
         08855355689771883471450174417698698748630721395073588763973334\
         916937171725501379663/1514765575331778942268333804343515229202\
         39281356720897155150740102049792284792028374298549316166291236\
         3757568000000000000000000*ep^3-22592324906435787615640/351*
         ep^3*z6-8039683979213518873863313603/123803316*ep^3*z5+
         2026020888601664150107258177714668899/144102454340644800*ep^3*
         z4+579188025051003992235069715051586287597291447/
         50318968872362722564032000*ep^3*z3-3294738744412390400048/351*
         ep^3*z3^2;
Fill mncnoptab(13,9,1,3)=
      +mncF321*(4346680157639820+75613188558714807/2*ep+
         7476783150121751939/60*ep^2+475383793089347210633/2100*ep^3)
      -2721267568178733104943480992441285071197059/
      127038027922335867617280000+1568836717151/144*ep^-3-
         11108551230579654118651/12189864960*ep^-2-
         1204173703261651163390256095267/112607534527488000*ep^-1-
         2059242066092249819/36*z3+627106844064073022925670723585996165\
         2044682081819347822376810103255545824558205544081693/
         31647439970201927973844524605119405228443318512447913984000000\
         000000000*ep-2059242066092249819/24*ep*z4-
         29843723239298494730646604571/30474662400*ep*z3-
         34277659980901916649627518011045309956449367047881466339309119\
         04747723754844815067809027113114227/40185210371507075618001163\
         22622946608440020871677168234360995840000000000000000*ep^2-
         33290464107171416783/6*ep^2*z5-29843723239298494730646604571/
         20316441600*ep^2*z4+2182029489075344533344571104237307517/
         1182379112538624000*ep^2*z3+
         51080335067943639074580411170865517912856247862151080739130941\
         65344763818854383767746789317953692686211430496754060051793814\
         7887995973289654012563/407088376288889165616815034361812132011\
         46695660709413807415528696431731428013715700398143061438888398\
         5530880000000000000000000*ep^3-988417712884681254395/72*ep^3*
         z6-149706418005071455362167936399/10158220800*ep^3*z5+21820294\
         89075344533344571104237307517/788252741692416000*ep^3*z4+
         2312147260362429572793991539872046670143451477/
         825747181495183139512320000*ep^3*z3-36035652527625926725/18*
         ep^3*z3^2;
Fill mncnoptab(13,9,2,2)=
      +mncF321*(6687200242522800+58299955681369710*ep+
         578636807146715801/3*ep^2+110888594047201403134/315*ep^3)
      -7067825495600683498426341069307696254818347/
      214694267188747616273203200-1093032469977173/468*ep^-3-
         1043375455227067748416487/39617061120*ep^-2-
         20840252952245827874967454110673/219584692328601600*ep^-1-
         10289783308040814391/117*z3+1996753618392927380775853213895734\
         08662638363320886667790438989792953556452561548601132749311/
         65168408386639810083740645066861879246410481480832744475852800\
         0000000000000*ep-10289783308040814391/78*ep*z4-
         29867786197091262041575048859/19808530560*ep*z3-
         11952633023121094111018811408837259776185108978291934223818809\
         06848496874770059095360165313637886173819/91024323716708107123\
         84679484699688821709660076853387311015778897100800000000000000\
         00*ep^2-332882305524085727894/39*ep^2*z5-
         29867786197091262041575048859/13205687040*ep^2*z4+216001861658\
         8210192836272071051605637/768546423150105600*ep^2*z3+
         15487888569829336827423921554938060853053943563477991670178845\
         02844330656834855755924123373738267403383015740438114703941618\
         6143304457891851266695307553/142506985357193696872484738188833\
         40218046216869770580235079109637587677630616193372944175552659\
         5430283510881976320000000000000000000*ep^3-
         4941785666321081846455/234*ep^3*z6-
         150812648961596577316393665551/6602843520*ep^3*z5+216001861658\
         8210192836272071051605637/512364282100070400*ep^3*z4+
         468922221912897686768984241966377293207735649/
         107347133594373808136601600*ep^3*z3-360430200157768146802/117*
         ep^3*z3^2;
Fill mncnoptab(13,9,3,1)=
      +mncF321*(2149457220810900+37637643832564545/2*ep+
         250731894102663215/4*ep^2+145382405791020900359/1260*ep^3)
      -15189232352818419451134672959783601425143427/
      1431295114591650775154688000-41653735756985/624*ep^-3-
         19424933171185191826375/10564549632*ep^-2-
         33038201530254211832519295633/2300176350617600*ep^-1-
         4412481533437321795/156*z3+51298715185516199421830668759331855\
         248895513818913030875861925723793591906550469874825035228503/
         52594895470572610807583827547226936258745895931449218633511731\
         2000000000000000*ep-4412481533437321795/104*ep*z4-
         12832291191044065449109140839/26411374080*ep*z3-
         30603153832766242421341504578514765885700959905927703874563135\
         5039038013870652953804779521923328789586267/
         73462202157162016414686639775904876355781677020253888694169386\
         1764792320000000000000000*ep^2-71336348707230628615/26*ep^2*z5
         -12832291191044065449109140839/17607582720*ep^2*z4+90704355752\
         3015415337235952267399649/1024728564200140800*ep^2*z3-
         12141186763056047395105182737902263023681505237568297934497016\
         38159543159115863709522083979517141321750932615274787919260535\
         8250472390894049121632189/437983646353074368450158231427324974\
         84366329352286156548860728280935539940631295061368609116560081\
         92320350453760000000000000000000*ep^3-2118028053549732249475/
         312*ep^3*z6-65542342041618241160406248491/8803791360*ep^3*z5+
         907043557523015415337235952267399649/683152376133427200*ep^3*
         z4+1030421280981977602258651377312541551323068777/
         715647557295825387577344000*ep^3*z3-77219975425370086925/78*
         ep^3*z3^2;
Fill mncnoptab(13,10,1,2)=
      +mncF321*(91993230849520+7564436978712614/9*ep+
         1209327520655625107/405*ep^2+36012468500510277406/6075*ep^3)
      -5063626114902469435502580835111008584782001/
      11147586950184972383416320000-26722189222663/972*ep^-3-
         4122832736864592210283/11754512640*ep^-2-
         249833961263734903643548417339/161233515346176000*ep^-1-
         294014355173527373/243*z3+317934451579173006950051143411807200\
         44706789939155767800113034565131938076986735398607/
         79925932577805889525780814691500538714691033998274068480000000\
         00000000*ep-294014355173527373/162*ep*z4-
         4371004700686236858498099533/205703971200*ep*z3-
         25571358893091529151984818360485666944498798925036246631861219\
         443567472369974468337731844826269/1594813924729271331924317301\
         507430341323317321157593369977815040000000000000000*ep^2-
         9511001007037574242/81*ep^2*z5-4371004700686236858498099533/
         137135980800*ep^2*z4+239645929527070237413597882791483411/
         7981059009635712000*ep^2*z3-
         17314850060578950659252455603566875453494664067948265763396111\
         47283871003966422852311942836392640130652674530580779775541411\
         9757033292926609452009265426713/
         19234398038924635399991072289669537104877951486529450309472881\
         13306568070937059102323236901125206863719700854632926412800000\
         000000000000*ep^3-141194943329695976765/486*ep^3*z6-
         24912967014625324185047601977/68567990400*ep^3*z5+239645929527\
         070237413597882791483411/5320706006423808000*ep^3*z4+
         428781643705997419703249128838691352476227251/
         5573793475092486191708160000*ep^3*z3-10297813662586673366/243*
         ep^3*z3^2;
Fill mncnoptab(13,10,2,1)=
      +mncF321*(70764023730400+5832826767350660/9*ep+187189511046365509/
         81*ep^2+2239961817479862401/486*ep^3)
      -460903011139348322722372286480992682753503/
      1317442094112769463494656000-190464105609371/6318*ep^-3-
         28694282354659741729607/76404332160*ep^-2-
         3764270311566146522625099315131/2305639269450316800*ep^-1-
         2939688646586387234/3159*z3+1473631205754885874469351454715751\
         788580122878014356992785271545060025723525828169754994149/
         47878830651408840061523739232796482711648517006326097982259200\
         0000000000000*ep-1469844323293193617/1053*ep*z4-
         4376019065088559881579869549/267415162560*ep*z3-
         82805251935504584054856607406187156369918077754923363056958977\
         56317909912719039385577235476476103601/66875013342887588907316\
         0125406507750166424005646371312646057225093120000000000000000*
         ep^2-95108190549540761956/1053*ep^2*z5-
         4376019065088559881579869549/178276775040*ep^2*z4+944051785900\
         0671078837999800427809/415015068501057024*ep^2*z3-
         25679038435158327067268368936844087840957531194121165474913302\
         80689604334034445716081975194664384325132700537717416977611237\
         6746781335117927041727723/963230888781684742942182556900849444\
         94222592393224819874657165550388547576736392757532876388588584\
         714079192062361600000000000000000*ep^3-705962207505089746585/
         3159*ep^3*z6-25088476874713384530339104441/89138387520*ep^3*z5
         +9440517859000671078837999800427809/276676712334038016*ep^3*z4
         +432818437573741944749906854181903349929936863/
         7245931517620232049220608000*ep^3*z3-102981776685610187948/
         3159*ep^3*z3^2;
Fill mncnoptab(13,11,1,1)=
      +mncF321*(418151049316+379366263012737/90*ep+138979659528030787/
         8100*ep^2+52878444717902325781/1336500*ep^3)
      -5143058905657180214305660607051544014926721/
      2452469129040693924351590400000-21377681933861/19440*ep^-3-
         1051595262557063791651/103439711232*ep^-2-
         14275508980522437537139588264049/390185107137745920000*ep^-1-
         26753554374905911/4860*z3+323227893125658425364959997745431269\
         4418787186280755428439/196431837663681300715131936031308251136\
         000000*ep-26753554374905911/3240*ep*z4-
         4608845941589072582187290573/45254873664000*ep*z3-
         84731727892233799135810747889207433902985924374876002923925443\
         6587/15242623451744263005868464708828162643690782720000000*
         ep^2-432284204173362067/810*ep^2*z5-
         4608845941589072582187290573/30169915776000*ep^2*z4+7980328579\
         7806312074167220025226891/1755832982119856640000*ep^2*z3-
         31722386735014559320959926548772302457204687944821509475156371\
         46658355316957852005400041699924812715736527477652924460104847/
         65411032039387536827698337894281234419647698300197784690880751\
         13508426527934366755260871999488000000000000000*ep^3-
         2566951670665266491/1944*ep^3*z6-32509771682779036075201201337/
         15084957888000*ep^3*z5+79803285797806312074167220025226891/
         1170555321413237760000*ep^3*z4+5932483058339651656472336672497\
         28794493540131/1226234564520346962175795200000*ep^3*z3-
         467428293852201377/2430*ep^3*z3^2;
Fill mncnoptab(14,1,1,10)=
      +mncF321*(123074967426488000+116354219795317142870/117*ep+
         12218579230114937531437/4212*ep^2+25073525704658031345458611/
         5559840*ep^3)
      -44817488074530359464629327696795238417138214719/
      74012014787120941645610496000-615419982428149/164268*ep^-3-
         283812369154576166765863/12746789415360*ep^-2+
         3196651276795765385324632844707/98911924659418590720*ep^-1-
         66512173831230536651546/41067*z3+81876115415947408821861716945\
         7899252014056469715242044399955666682001230712621319/
         136664460095344534487739133174545595686414106755072000000000000
         *ep-33256086915615268325773/13689*ep*z4-
         10647032666161512659799266970089/398337169230*ep*z3-
         21685536764263861507831083177583561237948367364036890562651508\
         9067773804213887560196109109/779129865957871794254916279768572\
         9646505787052643225436160000000000000*ep^2-
         716853497539870407339193/4563*ep^2*z5-
         10647032666161512659799266970089/265558112820*ep^2*z4+75197352\
         6856509730313976392715416591927/10909403455082932800*ep^2*z3+
         50449084348018520438681055230882781791615899684673863460845347\
         0770192526180938097989674671997515340742488592284489159/
         97894729867143117537225699645698276578519525765353860889094203\
         80640037690146816000000000000000000*ep^3-
         31925846520138015647005955/82134*ep^3*z6-102062668270140763876\
         4099363864549/3186697353840*ep^3*z5+75197352685650973031397639\
         2715416591927/7272935636721955200*ep^3*z4+51297621757047924955\
         94924146555863296030555826409/129521025877461647879818368000*
         ep^3*z3-2327926434137312311615007/41067*ep^3*z3^2;
Fill mncnoptab(14,2,1,9)=
      +mncF321*(712076597253252000+74728353392275070565/13*ep+
         1741263744422463453357/104*ep^2+6811127438380454014420001/
         262080*ep^3)
      -582045549533404640307263393539889031348357209/
      166132468657959464973312000+4246380108421/4056*ep^-3+
         459119550727976599697/28612321920*ep^-2+
         31167392079435381558856835323/666073566730091520*ep^-1-
         4750870112356269660803/507*z3+40220846399474277358484143301094\
         5956317597841010926304102999021308737350125633580969/
         11595772371726202926232411299658414179453318148915200000000000\
         000*ep-4750870112356269660803/338*ep*z4-
         69104543415132951468948865997/447067530*ep*z3-
         52253504555878708529486039864486912177643562996132470345731249\
         59235430643948374127302929228819/32392914427096972779325610177\
         044912348502847988565167570944000000000000000*ep^2-
         307222932094555104549669/338*ep^2*z5-
         69104543415132951468948865997/298045020*ep^2*z4+13991187495749\
         30581710005156365466101/3498285539548800*ep^2*z3+
         16217829998703367816562240469493523795741385326161973700113092\
         362958675255169862989142031650604248638830292132385921094544783
       /248247982312425993658732744208204736299581714737502010699957688\
         29252383577186972467200000000000000000000*ep^3-
         4560835280294763871637005/2028*ep^3*z6-
         209605934945532643866306633083/113540960*ep^3*z5+1399118749574\
         930581710005156365466101/2332190359699200*ep^3*z4+655366233314\
         38633726904116635285875173077689249/
         290731820151429063703296000*ep^3*z3-332560904692752439397617/
         1014*ep^3*z3^2;
Fill mncnoptab(14,2,2,8)=
      +mncF321*(3662108214445296000+384428305526214076380/13*ep+
         1206568196124076970349/14*ep^2+61421289679856821962151661/
         458640*ep^3)
      -36668864367844184196429975522523117097911896403/
      2035122741060003445923072000-410185590184733/2366*ep^-3-
         245775076073782936086209/150214690080*ep^-2-
         14854542101768383543695920369827/3496886225332980480*ep^-1-
         57010434947021533042164/1183*z3+145445668132248039058065620756\
         0208118900196811895370504412052606922346259258562082679/
         81532774488699864325071641950723224699281143234560000000000000\
         00*ep-85515652420532299563246/1183*ep*z4-
         3732172849903317212848849821932/4694209065*ep*z3-
         94419577773440451529154653145506036810581273446334211583689203\
         6046680252366872289687025136237/113881339782762794927316598278\
         6735199752053249597994172416000000000000000*ep^2-
         790001816199376772527294/169*ep^2*z5-
         1866086424951658606424424910966/1564736355*ep^2*z4+26418146111\
         7413641170188318758422394601/128561993578418400*ep^2*z3+
         15832448613686709864661614188008534134585732309931275542831843\
         129730400621731754240827584741890781695403794235386300677576871
       /810407754758756731531019282152900506335130039740171184483678837\
         3388752451258023936000000000000000000000*ep^3-
         13682505696121539686622235/1183*ep^3*z6-
         39661021894829573083248589395043/4172630280*ep^3*z5+2641814611\
         17413641170188318758422394601/85707995718945600*ep^3*z4+
         591394480276663037560564583968490366743201333309/
         508780685265000861480768000*ep^3*z3-1995365511014605106213518/
         1183*ep^3*z3^2;
Fill mncnoptab(14,3,1,8)=
      +mncF321*(1519096740806937600+159742678058520165840/13*ep+
         466968858486657030196/13*ep^2+76500012185602717536334/1365*
         ep^3)
      -65189079524248556243832193379794644558069059/
      8721954604542871911098880-8862900438854/169*ep^-3-
         6425243338230724436021/16094431080*ep^-2-
         4903234665876313452218569567/12743754465499200*ep^-1-
         3378396196811053547888/169*z3+18555665086468459202862791247737\
         4093248340777866447001455434674189145037586536743400381/
         25112094542519558212122065720822753207378592116244480000000000\
         00000*ep-5067594295216580321832/169*ep*z4-
         1328119446732849669949996659349/4023607770*ep*z3-
         24054383606092808483159035657854152953655897445082286718862169\
         9808882983111730226354711458684629/701509053061818816752270245\
         396628883047264801752364410208256000000000000000*ep^2-
         327704457696872694813496/169*ep^2*z5-
         1328119446732849669949996659349/2682405180*ep^2*z4+44487850016\
         9847254444784937736647577/524742830932320*ep^2*z3+
         18345560608248477530198527299301791243791133281245594640716494\
         93236827838545707845809524711533737477645590744906763892622610\
         63/20677386026744136250661273045226668540337755806861645843157\
         53341186526660936366817280000000000000000000000*ep^3-
         810815153750154103164020/169*ep^3*z6-
         2662249752547648490167295240218/670601295*ep^3*z5+444878500169\
         847254444784937736647577/349828553954880*ep^3*z4+5389149382119\
         3375699569721511948592954813572051/109024432556785898888736000
         *ep^3*z3-118243881717655918403784/169*ep^3*z3^2;
Fill mncnoptab(14,3,2,7)=
      +mncF321*(6835935333631219200+719791811167070703600/13*ep+
         2109082779594553977324/13*ep^2+346641268730894600296157/1365*
         ep^3)
      -407432946624316731149752672889941939708871057/
      12113825839642877654304000-254704020609830/169*ep^-3-
         4308531143753176657181/223533765*ep^-2-
         35817732984958535834272299700481/416295979206307200*ep^-1-
         15202778985646632342160/169*z3+1375281215795063784879893433834\
         0093920818494818788166588178690401465236178468763165359/
         41417698620731966064141349543714328488637744598220800000000000\
         000*ep-22804168478469948513240/169*ep*z4-
         1328978766156447321772087756069/894135060*ep*z3-
         15589258737954204178377509781406682846603151173334478215563265\
         89245940391494932289102401985106493/10123818695790096626599818\
         41024289495942845705152829105111040000000000000000*ep^2-
         1474670015311514709809880/169*ep^2*z5-
         1328978766156447321772087756069/596090040*ep^2*z4+273631729775\
         7046417592999106384982171/720235258142400*ep^2*z3+
         19612584889748825079809288528401805269345381101655444515193867\
         72996645400022440406214437567500082364924873256404519931562158\
         403653/6555967190925553741876937129964921410392249127200916262\
         13453788583226105442627684925440000000000000000000000*ep^3-
         3648668090814670193669300/169*ep^3*z6-
         5352293099225909290669050948271/298045020*ep^3*z5+273631729775\
         7046417592999106384982171/480156838761600*ep^3*z4+342895810665\
         3474898674939234289595879139520969/1514228229955359706788000*
         ep^3*z3-532097504117792317489576/169*ep^3*z3^2;
Fill mncnoptab(14,3,3,6)=
      +mncF321*(10937496533809950720+1156192858126983078864/13*ep+
         17054991668205030605868/65*ep^2+652778822881217037826738/1575*
         ep^3)
      -9778413783617090850329248318542504259294894753/
      181707387594643164814560000-24753305646713974/845*ep^-3-
         8959998775102371956298253/26824051800*ep^-2-238718708432878762\
         190762246680867/195138740252956500*ep^-1-
         121621722625196728079728/845*z3+351885912372159586193295216308\
         3576578152915144353099342289136334786133672911550036462431/
         66440891537424195561226748226375068617189715292979200000000000\
         00000*ep-182432583937795092119592/845*ep*z4-
         7989211675772393856300579474673/3353006475*ep*z3-
         45398570798861196496092673804134329177225675102403318606744088\
         040393844814940341810207080325253843/1856033427561517714876633\
         3752111974092285504594468533593702400000000000000000*ep^2-
         11797354740285580314558776/845*ep^2*z5-
         7989211675772393856300579474673/2235337650*ep^2*z4+27563875306\
         3180937982695587273779874271/45914997706578000*ep^2*z3+
         57181083902095288753776495073315969287759621590082992989540671\
         92214769934097093550849958276151638026935160336205988168275441\
         20862599/62500220553490279005893467305665584112406108345982068\
         365682594511600888718863839296225280000000000000000000000*ep^3
         -5837866508830191793239524/169*ep^3*z6-
         21740249805192044059568319922873/745112550*ep^3*z5+27563875306\
         3180937982695587273779874271/30609998471052000*ep^3*z4+
         173525803351468857477038737703624863221883845241/
         45426846898660791203640000*ep^3*z3-4256785710843661317896904/
         845*ep^3*z3^2;
Fill mncnoptab(14,4,1,7)=
      +mncF321*(1550744589573748800+163939082997157024480/13*ep+
         1451098091105384805622/39*ep^2+68769035427240162886897/1170*
         ep^3)
      -11408120257378975260524947761925097246435230007/
      1495192217921635184759808000+9307956836332/169*ep^-3+
         7560696227182648059989/55180906560*ep^-2-
         1006299108582457723693409744933/305850107171980800*ep^-1-
         10346340237360419535628/507*z3+2720926961539882632025106488851\
         79182264747135264129307883421539400861741920251266049511/
         36240486293140470306123680850750037427558026523443200000000000\
         00000*ep-5173170118680209767814/169*ep*z4-
         9321091104214602664967682696763/27590453280*ep*z3-
         35114745092146144703162222475746455356896830487091807083288824\
         13683061430009811441559683660621559/10123818695790096626599818\
         410242894959428457051528291051110400000000000000000*ep^2-
         1003594919435504832444316/507*ep^2*z5-
         9321091104214602664967682696763/18393635520*ep^2*z4+5358504563\
         0046778161354455964216021593/62969139711878400*ep^2*z3+
         57111699784703733406536751338073054808089658516627121509247312\
         39227413283908869100175215468958334934858839820924791580756093\
         73638893312709/26416478013444299246045757494110900160306106603\
         38132493613230429735770794279010580095664390144000000000000000\
         00000000*ep^3-827707149331787010757240/169*ep^3*z6-
         38055723034773443959395928444727/9196817760*ep^3*z5+5358504563\
         0046778161354455964216021593/41979426474585600*ep^3*z4+
         405397529182391457241376274407577343318594245349/
         747596108960817592379904000*ep^3*z3-362121861728796591391508/
         507*ep^3*z3^2;
Fill mncnoptab(14,4,2,6)=
      +mncF321*(5981443416927316800+633711114446374198080/13*ep+
         1876806368845368819474/13*ep^2+268169954042939205161257/1170*
         ep^3)
      -4889224526138004349194197317792407153681449083/
      166132468657959464973312000-1792676860450168/169*ep^-3-
         765632631509788150631119/6131211840*ep^-2-34735331256690287991\
         6942664972117/713650250067955200*ep^-1-13302395865927095760756/
         169*z3+2305236256012052743394736580277322733807184667205655133\
         15111015721833000889867484892230347/79729069844909034673472097\
         8716500823406276583515750400000000000000000*ep-
         19953593798890643641134/169*ep*z4-
         3999010517583426688906495998127/3065605920*ep*z3-
         14837478906792196622124460308806455230308729276304504398705581\
         88325950900919287305536483761063223803/11136200565369106289259\
         80025126718445537130275668112015622144000000000000000000*ep^2-
         1290335887570508962176532/169*ep^2*z5-
         3999010517583426688906495998127/2043737280*ep^2*z4+68413234815\
         225567954146543013376105711/20989713237292800*ep^2*z3+
         76493476058120225082439449683310006530814791824738474202318141\
         53170792620428143120167442791874415648339724471206673644154451\
         2914059186155455967/127681404830181675975837564272035624834823\
         53565678329594630187959084874557068169737834384263322009600000\
         000000000000000000*ep^3-3192583729261454666039440/169*ep^3*z6-
         5482497939947511608409484573961/340622880*ep^3*z5+684132348152\
         25567954146543013376105711/13993142158195200*ep^3*z4+
         178658786181726447350670502638907401396381225521/
         83066234328979732486656000*ep^3*z3-465585718990158618034876/
         169*ep^3*z3^2;
Fill mncnoptab(14,4,3,5)=
      +mncF321*(7975257889236422400+848882777523228866880/13*ep+
         7602676528505743778632/39*ep^2+548889661745134504547942/1755*
         ep^3)
      -977836948043763335224010179121469560583986623/
      24919870298693919745996800-174948285081690428/1521*ep^-3-
         5925887658741241205616913/4598408880*ep^-2-
         20247387559006191794218909818173/4460314062924720*ep^-1-
         159625403060584352839024/1521*z3+75021210399071914630747463519\
         0599531629371831624340633414969830490890080309099780909169/
         19525486492630784001666636213465326287500651024875520000000000\
         00000*ep-79812701530292176419512/507*ep*z4-
         801622313429253742683998845145/459840888*ep*z3-
         36231364410923687935529061159344389552363753884203895767742897\
         926632163483915711324559928948958273/2055913950529681161094116\
         9694647109763762405089257452596101120000000000000000*ep^2-
         5161331648235238104290816/507*ep^2*z5-
         801622313429253742683998845145/306560592*ep^2*z4+1871651180352\
         39775562312865081265631/43728569244360*ep^2*z3+
         89677037939237958651115996136291013310263175468251553657642283\
         51212966715985644049720545058261695226896389837935604077145547\
         59445923399661521/11381885230576195115560377157964318556704269\
         46426182523864176755209851674801505416629807968616133427200000\
         000000000000000*ep^3-38310923854112824900083560/1521*ep^3*z6-
         1116225683276523741525039429511/51093432*ep^3*z5+1871651180352\
         39775562312865081265631/29152379496240*ep^3*z4+189191925784814\
         551303582983819131880559350858289/62299675746734799364992000*
         ep^3*z3-5587065222437381145483328/1521*ep^3*z3^2;
Fill mncnoptab(14,4,4,4)=
      +mncF321*(4652233768721246400+498902279980624230480/13*ep+
         13576695715694580408016/117*ep^2+996602401720576051040066/5265
         *ep^3)
      -977728715015761594412868174787188814238872657/
      42719777654903862421708800-2600911839049359913/9126*ep^-3-
         85901853919134739291050833/27590453280*ep^-2-63640196269604132\
         8617948783692501/61170021434396160*ep^-1-
         279322483501360459447672/4563*z3+43943485013676167275804996850\
         47907871814394664921446622919120227507105417330411653550858001/
         19752677731401601067766028567456628774684650787456837222400000\
         000000000*ep-139661241750680229723836/1521*ep*z4-
         2815925673845091247879258679503/2759045328*ep*z3-
         11184043016002567942703338560496918385343346221110626160135255\
         495920267533188352966022256244233154473/1103586339827513064159\
         3569451003267123428407318843423263613884825600000000000000*
         ep^2-9032252602170828959056898/1521*ep^2*z5-
         2815925673845091247879258679503/1839363552*ep^2*z4+43801534395\
         11559627715346037427617997/1799118277482240*ep^2*z3+
         15337111517296237190589540040460886818119319678391460241217452\
         11544341464210495330403108854872787561806207707121435554026670\
         97511220679/96621865963433197283598572777776798031303193723264\
         241090344159162680128949950726722499412754432000000000000000000
         *ep^3-67043588307527816044307555/4563*ep^3*z6-
         4018616274332984694899247472565/306560592*ep^3*z5+438015343951\
         1559627715346037427617997/1199412184988160*ep^3*z4+20601855426\
         8256604774001856262598606015438372689/
         106799444137259656054272000*ep^3*z3-9777606608318230308081994/
         4563*ep^3*z3^2;
Fill mncnoptab(14,5,1,6)=
      +mncF321*(820982429774337600+87589996858414733760/13*ep+
         262530172709052498558/13*ep^2+19051017867144487018862/585*ep^3
         )
      -35319477723776593789417566688222634545455109/
      8743814139892603419648000-58881451685518/507*ep^-3-
         620474607086421031957/322695360*ep^-2-
         22128407404444362964916591441/1788597117964800*ep^-1-
         5477471748148916136236/507*z3+66231073359447895263628050090805\
         70603655819768128218837263452073193845159837672202380473/
         16785067335770323089152020604557912071711085968752640000000000\
         0000000*ep-2738735874074458068118/169*ep*z4-
         28988310078275352496075790221/161347680*ep*z3-
         35580798397830671185640012921004892813130290530788385345582205\
         3284254663571329104637826756041303/197013720749564021039536492\
         7247622194669845688930759868416000000000000000000*ep^2-
         177104977984586018099964/169*ep^2*z5-
         28988310078275352496075790221/107565120*ep^2*z4+27367368301010\
         97172588276030876951357/6260089912876800*ep^2*z3-
         12431120829648625231954405688790557722932702128747329448201499\
         43780336820612219040482475722608649452500905143545430687867249\
         97755602893808349/11623250325915491668260133297408796070534686\
         90548778297189821389083739149482764655242092331663360000000000\
         00000000000000*ep^3-1314593655514022845409140/507*ep^3*z6-
         122037497515053493460389179809/53782560*ep^3*z5+27367368301010\
         97172588276030876951357/4173393275251200*ep^3*z4+1405504816059\
         492566357229017434270240281448463/4371907069946301709824000*
         ep^3*z3-191711608278374162472956/507*ep^3*z3^2;
Fill mncnoptab(14,5,2,5)=
      +mncF321*(2638872095703228000+282345699079069164000/13*ep+
         850398299343146039255/13*ep^2+16561001761608059003789/156*ep^3
         )
      -45412051692222081620611732705319219673055019/
      3497525655957041367859200-11038810287165430/507*ep^-3-
         11096985715949954705333/43026048*ep^-2-
         15168482550175821061177479014029/15024215790904320*ep^-1-
         17605925603006838775370/507*z3+3203537772862895516495839803778\
         171251684271652789004784248849043156738376551977730944803/
         25321473009390658831635048226304507353895581118575411200000000\
         000000*ep-8802962801503419387685/169*ep*z4-
         12441005430784530869182730981/21513024*ep*z3-
         14299737285417304876542500607459422224470148939390445034772566\
         4115360459730811592370971376602458021/247575322042732131399123\
         138217645195470991488653795008104628224000000000000000*ep^2-
         569265166321826240311430/169*ep^2*z5-
         12441005430784530869182730981/14342016*ep^2*z4+614980845944131\
         482732517608192131383/441888699732480*ep^2*z3-
         16975376031792998597439558908165169565927805972894359576248390\
         38066604238844061817662762430128562608977669578072484185524172\
         527257776355152263139/5008029501453525850846565949504300164949\
         87856427520310500237772292334736912662383317115506191098707968\
         000000000000000000000*ep^3-4225473933406179705397300/507*ep^3*
         z6-17623061857712405648911690403/2390336*ep^3*z5+6149808459441\
         31482732517608192131383/294592466488320*ep^3*z4+21962484393115\
         949340910808298977496439015357/20573680329159066869760*ep^3*z3
         -616218412421811815796950/507*ep^3*z3^2;
Fill mncnoptab(14,5,3,4)=
      +mncF321*(2814796902083443200+302747735397777017040/13*ep+
         919968495255601006292/13*ep^2+7551333387972173405998/65*ep^3)
      -6054388266207050093097240693646685688270559/
      437190706994630170982400-78078001193536498/507*ep^-3-
         45734584961859677074109/26891280*ep^-2-
         2731000011559466052288255882221/469506743465760*ep^-1-
         18778186707248879035664/507*z3+6872978442161312784054498166506\
         74723517917989661419020763314267465582976441675572367257119/
         51181027320230869163442341227417985489061443335920549888000000\
         00000000*ep-9389093353624439517832/169*ep*z4-
         97824365533925473316336231/158184*ep*z3-
         17439129953933470934924446687124194407974015825558925134407158\
         0381115291311498599163636138164572867/285949496959355611765987\
         224641380200768995169395133234360845598720000000000000*ep^2-
         607210985692840865034776/169*ep^2*z5-
         97824365533925473316336231/105456*ep^2*z4+34229322405265010044\
         325999542215439/23475337173288*ep^2*z3+
         41970130640513903853984650034981397919003580745998905646678293\
         23591105844916144118033257430277299675146693344185038354988960\
         0251615469774144567/135417787689805205699312661209840357303076\
         14779988300034763954478205773738926004578992905911555294494720\
         000000000000000000*ep^3-4507136925928184290171660/507*ep^3*z6-
         2395966592180878519155639629/298792*ep^3*z5+342293224052650100\
         44325999542215439/15650224782192*ep^3*z4+131669450557317336901\
         5800616361567216373103361/1092976767486575427456000*ep^3*z3-
         657315848654786790763448/507*ep^3*z3^2;
Fill mncnoptab(14,5,4,3)=
      +mncF321*(1231473644661506400+133510916356298545680/13*ep+
         411172109070128401534/13*ep^2+6867556055910590261487/130*ep^3)
      -3026673950034754725746620323636737344907191/
      499646522279577338265600-384680930941547009/2028*ep^-3-
         74685823501494775970519/35855040*ep^-2-
         888472032980684171494468075393/126253914209280*ep^-1-
         8214100041413162361388/507*z3+20236714818125412865611207971526\
         998024659776579693737871154156263682935161140950583165521613/
         34598374468476067554487022669734558190605535695082291724288000\
         0000000000*ep-4107050020706581180694/169*ep*z4-
         973829278143126355643206549/3585504*ep*z3-
         12710838959025291687060504142731657146685870339157290390224834\
         4613218519788719165461894046179488640353/483254649861310983884\
         518409643932539299601836277775166069829061836800000000000000*
         ep^2-265649987110887456848617/169*ep^2*z5-
         973829278143126355643206549/2390336*ep^2*z4+133113726056434503\
         811852222814104805/214631654155776*ep^2*z3+
         54525523873786067517947076180114942620790594005323413844527750\
         11737256566435924466707818869764566912959169988822395000035110\
         1049459370311945880211/547423698380283747935357446687555447590\
         53926595807103124532590699057276224133594990487242289344046889\
         015705600000000000000000*ep^3-3943679306456246040922315/1014*
         ep^3*z6-12950459434167596482532036695/3585504*ep^3*z5+13311372\
         6056434503811852222814104805/143087769437184*ep^3*z4+
         101795195335921467711593292945455364622974049/
         178445186528420477952000*ep^3*z3-287590546049021926039021/507*
         ep^3*z3^2;
Fill mncnoptab(14,5,5,2)=
      +mncF321*(217318878469677600+23827878196999735320/13*ep+
         74769998532263267926/13*ep^2+1918622917686365776772/195*ep^3)
      -2543635740339959444909559952118746091102591/
      2378317446050788130144256-1559111003493883147/34476*ep^-3-
         940799200447478815704331/1828607040*ep^-2-47692901658813464635\
         3435550918473/255411668445373440*ep^-1-24640016014669545164444/
         8619*z3+103078043182473531739313773836218687695762798441169883\
         326118907091860418943832469120928952189279/1009303779994383842\
         6994954253214965315363446872969406141809295360000000000000*ep-
         12320008007334772582222/2873*ep*z4-
         8813309214567546317966062469/182860704*ep*z3-
         58173066670931453085264362409811612507475988505105681490451922\
         855786440573760216654193119150342381484857/
         12815913314321967292617428223757090942225440698086597404171866\
         71991193600000000000000*ep^2-796941931288590255600971/2873*
         ep^2*z5-8813309214567546317966062469/121907136*ep^2*z4+
         1914589872024392250764043630374704391/18243690603240960*ep^2*
         z3+22109402284214069865740946189550585503309779645036707490002\
         90275589240854023185278501060510302912506099792867863380464035\
         937383075254453759/2758963949967702739203221710754105357417358\
         90634058072351154880332936744526784103900866163164911239168000\
         00000000000000*ep^3-11830928889255506108192345/17238*ep^3*z6-
         40448029549274577820300114837/60953568*ep^3*z5+191458987202439\
         2250764043630374704391/12162460402160640*ep^3*z4+1654746679187\
         0192645557405233848025647151064103/148644840378174258134016000
         *ep^3*z3-862797213227017208005943/8619*ep^3*z3^2;
Fill mncnoptab(14,6,1,5)=
      +mncF321*(228050674937316000+24672465481243222720/13*ep+
         681395610829584762881/117*ep^2+67955369112164708002151/7020*
         ep^3)
      -35321331981229163717799045157982233153602389/
      31477730903613372310732800+412776484908634/4563*ep^-3-
         4695434719637702151301/5808516480*ep^-2-
         538354506239585545513942900259/32194748123366400*ep^-1-
         13693698874839701160982/4563*z3+239876109713739488619999920020\
         47858811629594738561377993363229564326889458840867765347/
         22156288883216826477680667198016443934658633478753484800000000\
         00000*ep-6846849437419850580491/1521*ep*z4-
         29189349502471332781113179345/580851648*ep*z3-
         15133181618153145547742312764259222387246955719936315154153695\
         9921155006006761644839630080404249/309469152553415164248903922\
         7720564943387393608172437601307852800000000000000*ep^2-
         442762505426829500093258/1521*ep^2*z5-
         29189349502471332781113179345/387234432*ep^2*z4+26074975126924\
         70483945343585731568019/22536323686356480*ep^2*z3+
         43299724655569570954700595099238220957150774461033165755568289\
         26638975938424686696206530348911883624832920215416767022054183\
         3307665417043/490966093766670368067308030482547546019385174887\
         80395273298055474897141674151979037425980089460326400000000000\
         000000*ep^3-3286484543514121997796980/4563*ep^3*z6-
         128537656076369660870947974149/193617216*ep^3*z5+2607497512692\
         470483945343585731568019/15024215790904320*ep^3*z4+74151728319\
         2982129392354820142969116634968337/7154029750821220979712000*
         ep^3*z3-479278748707402101538234/4563*ep^3*z3^2;
Fill mncnoptab(14,6,2,4)=
      +mncF321*(586416021267384000+63659459456180778960/13*ep+
         196460815989610309522/13*ep^2+9868210492262710632391/390*ep^3)
      -5046090418570092542430921175892227628470567/
      1748762827978520683929600-10150680742548962/507*ep^-3-
         8313457532759423943479/35855040*ep^-2-
         32757886797420376437861594277189/37560539477260800*ep^-1-
         3912255581683175216644/507*z3+46202171849041041026459777395404\
         50558284222471667900406689209068867517873428845133436361/
         16633833879075032478118760898910845283944969084174178713600000\
         0000000*ep-1956127790841587608322/169*ep*z4-
         1392265639599054344023741177/10756512*ep*z3-
         14513474630303114472947261958187337664643939882311945446522000\
         405178016052575415618775093680705507/1161669831397382172799323\
         10010560706562404287566772876459093524480000000000000*ep^2-
         126502762920015873719636/169*ep^2*z5-
         1392265639599054344023741177/7171008*ep^2*z4+15769961196142193\
         9318324526946018597/536579135389440*ep^2*z3+
         68994066336192039521018692443469569471965322724318911801094263\
         67351258910440259561060195156817081816928363636182661310055039\
         644968872802654747/2631844703751364172766141570613247344185284\
         93249072611175637455283929212616026898992727126391077148504883\
         2000000000000000*ep^3-938990082945911114855660/507*ep^3*z6-
         18590049854970292066217522743/10756512*ep^3*z5+157699611961421\
         939318324526946018597/357719423592960*ep^3*z4+1203648019279102\
         285596132198064648813099071817/4371907069946301709824000*ep^3*
         z3-136939344473843861402068/507*ep^3*z3^2;
Fill mncnoptab(14,6,3,3)=
      +mncF321*(469132817013907200+51217460130572920800/13*ep+
         159565507913873202988/13*ep^2+12169178895222622178801/585*ep^3
         )
      -1681762365228753811809420850854877137654083/
      728651178324383618304000-11480272241487280/169*ep^-3-
         60998184762545907276359/80673840*ep^-2-
         617253835858676064837368370767/234753371732880*ep^-1-
         1043076864554691298640/169*z3+38696495166038465552185864019056\
         322786104999094353546609285399799975659037789223564812263/
         17473926499230337148730819530168968783134108936910248345600000\
         00000000*ep-1564615296832036947960/169*ep*z4-
         4188130681365916834739119079/40336920*ep*z3-
         53102288517409906615656489681943823665930556023694508829902123\
         9572228655967838199952081154621604941/536949610957012204316131\
         5662710361547773353736419724067442545131520000000000000*ep^2-
         101200169428397666660880/169*ep^2*z5-
         4188130681365916834739119079/26891280*ep^2*z4+2702749263691335\
         24541808326510884853/1173766858664400*ep^2*z3-
         95123306105878345269445821790406634287191459890522344494458201\
         57800912396443707949800513114765218709907838143614330666934638\
         76031793201871051/31633480016427648795469422294313584794774938\
         51316777796531250184861040393877770553965700615384049123328000\
         000000000000000*ep^3-250392731409607438405600/169*ep^3*z6-
         18970986031435335867384556211/13445640*ep^3*z5+270274926369133\
         524541808326510884853/782511239109600*ep^3*z4+8445857309170224\
         6629484879653959493149376873/364325589162191809152000*ep^3*z3-
         36519248924522851496240/169*ep^3*z3^2;
Fill mncnoptab(14,6,4,2)=
      +mncF321*(136830404962389600+15063116556013920240/13*ep+
         142733720402052491866/39*ep^2+2461812158596124129221/390*ep^3)
      -35329454420292020536463065320939677126982103/
      52462884839355620517888000-184089213620159771/6084*ep^-3-
         111074251275944195343223/322695360*ep^-2-281738756601933416525\
         758253771537/225363236863564800*ep^-1-2737718089039157736820/
         1521*z3+588730301426634868925710718168562390211481483597739445\
         73449983337219143426810082458912999827/91905279547840451893962\
         43173570356324315650039127122693324800000000000000*ep-
         1368859044519578868410/507*ep*z4-181706328717166543991459739/
         5975840*ep*z3-106863286872954611760505480772645531032476604036\
         38987937983172987314290490801728981153887358661726072943/
         37693862689182256742992435952226738065368943229666462953446666\
         8232704000000000000000*ep^2-88548887686443202357955/507*ep^2*
         z5-545118986151499631974379217/11951680*ep^2*z4+10472451428508\
         72745845400228644914623/16097374061683200*ep^2*z3-
         22663857220613962729014841738390510547930162692363206584063683\
         86942087331581374536376373790201207606173022291219746611445983\
         3095018217131679004114817/469689533210283455728536689257922574\
         03268269019202494480848962819791143000306624501838053884257192\
         2307754754048000000000000000000*ep^3-1314544724851452246685225/
         3042*ep^3*z6-68369165058504698586510987491/161347680*ep^3*z5+
         1047245142850872745845400228644914623/10731582707788800*ep^3*
         z4+380261482765239660066413658971048231274792991/
         5246288483935562051788800*ep^3*z3-95867047315053459637423/1521
         *ep^3*z3^2;
Fill mncnoptab(14,6,5,1)=
      +mncF321*(12073271026093200+1344497992164114480/13*ep+
         332878054288846143*ep^2+1375883304423558380387/2340*ep^3)
      -722267571621221640581544439151844136413647/
      12134272683932592500736000-10345038153618091/68952*ep^-3-
         55481281315257142945229/10971642240*ep^-2-
         15597930051032490112836606337631/364873812064819200*ep^-1-
         1369348320640173890170/8619*z3+1496638367314442480077796149774\
         02065072041258878570282753916012955747723912056455833678058960\
         43/26777447224340795826721307202407050836678532520122914253779\
         763200000000000000*ep-684674160320086945085/2873*ep*z4-
         14806843182414610121738019419/5485821120*ep*z3-
         83228241993139252913764067162576332316905751985134828273900718\
         35852160770740181554336020673411214136589/34001402670650117306\
         94419732833513923447565899492362576617025864466432000000000000\
         000*ep^2-88552329270757884551635/5746*ep^2*z5-
         14806843182414610121738019419/3657214080*ep^2*z4+9991250857334\
         54657389605160434224503/182436906032409600*ep^2*z3+
         20769795772723676388407483896284981979706874611508102475259806\
         34417710990951371101818310217087256624361798688289899204055180\
         3828138654857062161158077/423679129957031198840843299289799546\
         37233826339770413388847431768056500420684751081249836360901385\
         64490359209984000000000000000000*ep^3-
         1314591455854966529372825/34476*ep^3*z6-
         7905013864544923308411845259/203178560*ep^3*z5+999125085733454\
         657389605160434224503/121624604021606400*ep^3*z4+8467841202238\
         259080342686306177175614866807/1213427268393259250073600*ep^3*
         z3-95856099568439207910143/17238*ep^3*z3^2;
Fill mncnoptab(14,7,1,4)=
      +mncF321*(32007112271904000+10602894112656156080/39*ep+
         302848253662553156404/351*ep^2+7877820473696000708506/5265*
         ep^3)
      -17663516694384406222737074539383217223672953/
      112139416344122638856985600-1040893542764614/13689*ep^-3-
         35311957515651261786371/20692839960*ep^-2-
         2892621675135474038177115935213/229387580378985600*ep^-1-
         5765729593724328491648/13689*z3+193642126038347871854862114923\
         8066111397896187100268575103389597632749127251469361013969/
         12965860254458486854738726444279222990562232311766539304960000\
         00000000*ep-2882864796862164245824/4563*ep*z4-
         3686086959111004829556154081/517320999*ep*z3-
         47822333275912539256814352907114025610898129786253160441219750\
         4272832601143239430944925513000021/724405392297034216473834302\
         42482984194812109580100419371414218342400000000000*ep^2-
         186426196179892894768312/4563*ep^2*z5-
         3686086959111004829556154081/344880666*ep^2*z4+241366427264218\
         8468682830027971105401/160571306265289920*ep^2*z3-
         13207085679370058075446547216058561640763274495765322497912238\
         76076483725222284780687315641276550490381681189849935047760557\
         25980815419259/37804389220033618341182718347156161043492658466\
         36090436043950271567079908909702385881800466888445132800000000\
         00000000*ep^3-1383782147364885889533220/13689*ep^3*z6-
         34555390321799388676277535125/344880666*ep^3*z5+24136642726421\
         88468682830027971105401/107047537510193280*ep^3*z4+48817890646\
         64906321539657678901642100624315967/
         280348540860306597142464000*ep^3*z3-201802093315029315706136/
         13689*ep^3*z3^2;
Fill mncnoptab(14,7,2,3)=
      +mncF321*(61728002238672000+6842043504480381120/13*ep+
         21849281620834525704/13*ep^2+1718501470794501230788/585*ep^3)
      -1009488763528060601227343865949159910683447/
      3322649373159189299466240-3443336942591084/507*ep^-3-
         242658702702208836535859/3065605920*ep^-2-10759070804090398274\
         9326428178141/356825125033977600*ep^-1-411765314687067604648/
         507*z3+4714623149091012527046654356215256408314836324815426858\
         692594309232219867040132242855896279/1643422787252613208838133\
         576812391514053762945516408856903680000000000000*ep-
         205882657343533802324/169*ep*z4-4220203760595570165629197279/
         306560592*ep*z3-2896398276361780012550259254030500976457433084\
         1548609065861944429429135932703904160831216236044132609/
         22954595868412271734514624458086795616731087223194320388316880\
         43724800000000000000*ep^2-13315897832810348318312/169*ep^2*z5-
         4220203760595570165629197279/204373728*ep^2*z4+101891637106743\
         6294688581176577896323/35682512503397760*ep^2*z3-
         40508133611344460167360561724444326452440885616588670369146610\
         79184010252603530100564451516402272192154676178530607452288276\
         6533928684884095129973/684279622975354684919196808359444309488\
         17408244758878905665738373821595280166993738109052861680058611\
         269632000000000000000000*ep^3-98839820459359943375720/507*ep^3
         *z6-6667996122405236748792355049/34062288*ep^3*z5+101891637106\
         7436294688581176577896323/23788341668931840*ep^3*z4+1435604955\
         339093207805837051513456294939111133/
         41533117164489866243328000*ep^3*z3-14415220051190006886376/507
         *ep^3*z3^2;
Fill mncnoptab(14,7,3,2)=
      +mncF321*(32921601193958400+3670994164961711280/13*ep+
         35513417463891372236/39*ep^2+942650981525678446174/585*ep^3)
      -20191180779840632765416033136694860055486331/
      124599351493469598729984000-13142226584243218/1521*ep^-3-
         50301337947940399783699/510934320*ep^-2-
         48103468401802263775601300798243/133809421887741600*ep^-1-
         658652524058606942480/1521*z3+19532255261081830738683466165069\
         88725020770934396973798321665642287273362028561727833543046377/
         12818697740570383028937441899136653809619350975027989083848704\
         00000000000000*ep-329326262029303471240/507*ep*z4-
         5642966250078472543583387947/766401480*ep*z3-
         29757126865632765104749697913452452571355903243549387116106875\
         84036869636875952166683763602808615700109/44761461943403929882\
         30351769326925145262562008522892475721791685263360000000000000\
         00*ep^2-21304831703392326378520/507*ep^2*z5-
         5642966250078472543583387947/510934320*ep^2*z4+497098872066957\
         44386123246848727097/3345235547193540*ep^2*z3+
         62241343769194544153028667133289817592077434602977472058582737\
         68506749808462108730995590989320661528886730718517769141350737\
         968821183945492915063/2134952423683106616947894042081466245603\
         10313723647702185677103726323377274121020462900244928441782867\
         161251840000000000000000*ep^3-158139606465295930482700/1521*
         ep^3*z6-81654108684246828777137042089/766401480*ep^3*z5+
         49709887206695744386123246848727097/2230157031462360*ep^3*z4+
         171295639818967456350271270342799494651622999/
         8899953678104971337856000*ep^3*z3-23066276302943723283896/1521
         *ep^3*z3^2;
Fill mncnoptab(14,7,4,1)=
      +mncF321*(4801066840785600+539938221358837840/13*ep+
         15887901239248033688/117*ep^2+429128350243962606392/1755*ep^3)
      -35408425856520476029414201897663731971314123/
      1495192217921635184759808000-1025191212981089/9126*ep^-3-
         26844139328308388657963/9196817760*ep^-2-144907780653235186308\
         175557124997/6422852250611596800*ep^-1-288279134620100374520/
         4563*z3+732504643678844675904205554023068026930968391471112380\
         514299865784862787652503904996395102063/3325303903676307978481\
         730959776038992790144561322453404064153600000000000000*ep-
         144139567310050187260/1521*ep*z4-4960124482760268402752263033/
         4598408880*ep*z3-402872791892007220576768989717683264002148735\
         611055536482407232090139247474433711007921872799073953129/
         42223964100807335217773839819501153297714870647290777095244112\
         0423936000000000000000*ep^2-9321280389667481626930/1521*ep^2*
         z5-4960124482760268402752263033/3065605920*ep^2*z4+95785381790\
         4451947709641516513869323/458775160757971200*ep^2*z3+
         20855070779117060014827055273613013857759305521777316541960554\
         01306944814439375240399700164521357603654856464242572510153860\
         7062945172334188222947/276914464024203397935191698882221925733\
         55442052137525090749955403958497006983497438725383242419206303\
         858556928000000000000000000*ep^3-69188905085955861265675/4563*
         ep^3*z6-73530027246085285875398527451/4598408880*ep^3*z5+
         957853817904451947709641516513869323/305850107171980800*ep^3*
         z4+444525425369242644221281768577166887276505187/
         149519221792163518475980800*ep^3*z3-10090163165977507449914/
         4563*ep^3*z3^2;
Fill mncnoptab(14,8,1,3)=
      +mncF321*(2057600074622400+234189048636432120/13*ep+
         2339867723157284540/39*ep^2+30136370685790181980/273*ep^3)
      -35366437296517080848226245765743513805805671/
      3488781841817148764439552000+17920726581175/1521*ep^-3-
         33972890515130819927063/128755448640*ep^-2-
         43346344352404380256836080023/11327781747110400*ep^-1-
         41185001438790805420/1521*z3+363119792259090301774971080681034\
         7136885748846692582002897044930480356370939001788562879/
         38897580763375460564216179332837668971686696935299617914880000\
         000000000*ep-20592500719395402710/507*ep*z4-
         29943851811916844616782887163/64377724320*ep*z3-
         19713809153079517764815690002862813972247907068785070831137889\
         54567821907640952665396522076807233/49391276747525060214125066\
         07442021649646280198643210411687333068800000000000000*ep^2-
         1331619206762386201880/507*ep^2*z5-
         29943851811916844616782887163/42918482880*ep^2*z4+423234724865\
         435457692769931929387193/499555175047568640*ep^2*z3+
         73236435452753971537378086810177407017470544865624018177811111\
         37888137325126751791985006262278437478136165916085539792855552\
         9209935850192157511238419/978181556974309351810673478385243049\
         86129909184146085635644026208418632037517029809694868922066192\
         9631996182528000000000000000000*ep^3-9884181547120919500550/
         1521*ep^3*z6-152937554081402963156829978767/21459241440*ep^3*
         z5+423234724865435457692769931929387193/333036783365045760*
         ep^3*z4+2406202370875659570820438761208319911150190869/
         1744390920908574382219776000*ep^3*z3-1441424832645350868040/
         1521*ep^3*z3^2;
Fill mncnoptab(14,8,2,2)=
      +mncF321*(2645485810228800+302318659473997320/13*ep+
         1013336543886956476/13*ep^2+592035812520884547724/4095*ep^3)
      -15146742719339037476589268342803469599269251/
      1162927280605716254813184000-463764953628757/507*ep^-3-
         444304833244398374950579/42918482880*ep^-2-
         6949674405754490458142939413939/185020435202803200*ep^-1-
         17639703298665333116/507*z3+6777177388183256644535614128720032\
         691758208657088802073878008707715089678774055133612301343117/
         56402270058509685327324744356201276762325144290123151968934297\
         600000000000000*ep-8819851649332666558/169*ep*z4-
         367274111955301402583261645/613121184*ep*z3-
         36510198762191043887614114228658727447988065244311794513141048\
         07944588337353911451493917427050681735971/71618339109446287811\
         68562830923080232420099213636627961154866696421376000000000000\
         000*ep^2-570655680091372129144/169*ep^2*z5-
         367274111955301402583261645/408747456*ep^2*z4+8900202160127349\
         06113341461266021921/832591958412614400*ep^2*z3+
         19236972604171038912959357132155874532739832991333160811076643\
         81796102543721444270960085561499514648545973660133225216243906\
         7462520896801233655855729/469689533210283455728536689257922574\
         03268269019202494480848962819791143000306624501838053884257192\
         2307754754048000000000000000000*ep^3-4235818342438627635790/
         507*ep^3*z6-13276634453610882761902385647/1430616096*ep^3*z5+
         890020216012734906113341461266021921/555061305608409600*ep^3*
         z4+1054864722156933469364123077585705858689448937/
         581463640302858127406592000*ep^3*z3-617879745721369623272/507*
         ep^3*z3^2;
Fill mncnoptab(14,8,3,1)=
      +mncF321*(705462882727680+81115017498855648/13*ep+
         1372723554728055024/65*ep^2+811821653110385239096/20475*ep^3)
      -5067099184168023002598939903909872470115057/
      1453659100757145318516480000-18244883160064/507*ep^-3-
         44822265583377006787879/53648103600*ep^-2-
         9518377509812698126243309631921/1561109922023652000*ep^-1-
         4706532553894856432/507*z3+72991962072391889360603799054916741\
         615235657834591722936430289204517752252007121106059425721/
         23021334717759055235642752798449500719316385424540062028136448\
         00000000000000*ep-2353266276947428216/169*ep*z4-
         4299616875174818922295213039/26824051800*ep*z3-
         39105897399132923588017126003000775769261429717688280099380764\
         794977458870262234995212192247465315383/2923197514671277053538\
         18891058084907445718335250474610659382314139648000000000000000
         *ep^2-152183753293465876048/169*ep^2*z5-
         4299616875174818922295213039/17882701200*ep^2*z4+1960987810428\
         8258071391492755506827/70959541910166000*ep^2*z3-
         28099891246047163227387686463311304171865152565428436715766856\
         06164834127465985364448390046052373514131221131422381858701742\
         903981388132677133939/1917100135552177370320557915338459485847\
         68444976336712166730460488943440817578059191175730139825274411\
         32847104000000000000000000*ep^3-1129611818316256929280/507*
         ep^3*z6-2507570908011132474885599539/993483400*ep^3*z5+1960987\
         8104288258071391492755506827/47306361273444000*ep^3*z4+
         72720315860436553903906516898235268272629591/
         145365910075714531851648000*ep^3*z3-164736865332833419472/507*
         ep^3*z3^2;
Fill mncnoptab(14,9,1,2)=
      +mncF321*(48990477967200+5851850342561300/13*ep+
         188723183736619807/117*ep^2+79507930398377971297/24570*ep^3)
      -5062475731638346722790251076103715187566701/
      20932691050902892586637312000-120086105892203/9126*ep^-3-
         131040922564759836385937/772532691840*ep^-2-
         1510984290938423719571879466737/1998220700190274560*ep^-1-
         2940251651987324642/4563*z3+2203198857849721320136180754658455\
         345514206399963270476763476215402393817815175830280379/
         10478531960746042437707215657009331233189069378488876662784000\
         00000000000*ep-1470125825993662321/1521*ep*z4-
         4384037374027502788199441261/386266345920*ep*z3-
         11196072647825351967241107194858389989030622293520640446525753\
         02406094858898599821267817693855957/13305405164639403976050017\
         7996397317908838568616510974355658768384000000000000000*ep^2-
         95110442588371161028/1521*ep^2*z5-4384037374027502788199441261/
         257510897280*ep^2*z4+230899701586928539471386563462483549/
         14986655251427059200*ep^2*z3-
         69601248106573080198128620944494698032957175101997732503436854\
         82400006496042664670120443706505925700430186670675166393438114\
         1194408962766188051493/124004768807307404023057766287492996477\
         01462676885746270256913766637464037409121666150994187479219660\
         160719912960000000000000000*ep^3-705977690282815396105/4563*
         ep^3*z6-25331265720730461513312304889/128755448640*ep^3*z5+
         230899701586928539471386563462483549/9991103500951372800*ep^3*
         z4+438371851728093491676045511338278463941349991/
         10466345525451446293318656000*ep^3*z3-102977272822185057164/
         4563*ep^3*z3^2;
Fill mncnoptab(14,9,2,1)=
      +mncF321*(31493878693200+3777412141003050/13*ep+95347200121511591/
         91*ep^2+20241016935958262618/9555*ep^3)
      -724795657482504284759137346936717075760583/
      4651709122422865019252736000-217824149043523/14196*ep^-3-
         8463480329309603759731/44508056320*ep^-2-
         23089157023597832766848027705527/27975089802663843840*ep^-1-
         1469734931609038721/3549*z3+4070443205012108525207592388539841\
         1621660107949895326394377560641271063621267285237928537939/
         29927735133086771806335578637984350935111301051902080636577382\
         400000000000000*ep-1469734931609038721/2366*ep*z4-
         209174273458616867216510041/28612321920*ep*z3-
         20577857313979301790356579141568651531222172727769324217856741\
         600776412355570160896459146818518342077/3800156769072660169599\
         645583755103796794338358256169938571970083815424000000000000000
         *ep^2-47553657645192703114/1183*ep^2*z5-
         209174273458616867216510041/19074881280*ep^2*z4+67389530704764\
         5428309167150564415897/69937724506659609600*ep^2*z3-
         61529091427065237681985305688794194452121197461829156412719744\
         14059622563918241449646515429578615656581958852586187950846546\
         405552316495885101748294263981/
         17196264909325940387902426094118846400769752241690019727421546\
         30755980728424043344080032203181269614403047435181246067507200\
         00000000000000*ep^3-705956190019845353105/7098*ep^3*z6-
         25633065127487381617958175289/200286253440*ep^3*z5+67389530704\
         7645428309167150564415897/46625149671106406400*ep^3*z4+
         445061354944485857084248157023645277110854131/
         16280981928480027567384576000*ep^3*z3-51491762975247774542/
         3549*ep^3*z3^2;
Fill mncnoptab(14,10,1,1)=
      +mncF321*(247426656400+293156306262050/117*ep+10810110673041781/
         1053*ep^2+4145956689247965694/173745*ep^3)
      -5145886888761165051191136623855588446092401/
      4144672828078772732154187776000-106889151024073/164268*ep^-3-
         131996227005731686505111/21851638997760*ep^-2-
         320483895426331319972040828397/14653618468062013440*ep^-1-
         133767773357239091/41067*z3+2677904912410317783498025875352252\
         2763392699515961399490283/276641504709684498507144143244092453\
         6832000000*ep-133767773357239091/27378*ep*z4-
         4620346990706991682280569421/76480736492160*ep*z3-
         89524098797591841679754497814396886422510841877146318547614183\
         13871/276000360358369333713403985977709945012543815680000000*
         ep^2-4322842073611875694/13689*ep^2*z5-
         4620346990706991682280569421/50987157661440*ep^2*z4+7161435255\
         9971312595198740430617459/2967357739782557721600*ep^2*z3+
         28855290941112309199119935436772384866450106456553079923502794\
         09039921461312947690671064650321004812877905884882935081676525\
         79/44217857658625974895524076416534114467681844050933702451035\
         38776731696332883631926556349471653888000000000000000*ep^3-
         64173792237391939955/82134*ep^3*z6-
         32881342600329278917994492729/25493578830720*ep^3*z5+716143525\
         59971312595198740430617459/1978238493188371814400*ep^3*z4+
         596672957871578257575326260052395026292411891/
         2072336414039386366077093888000*ep^3*z3-4674282937780659002/
         41067*ep^3*z3^2;
Fill mncnoptab(15,1,1,9)=
      +mncF321*(32697394771833000+97427865219557774715/364*ep+
         16271962035601863840189/20384*ep^2+721524033711728670506239307/
         565044480*ep^3)
      -403357717592510328466359569111489671357487271301/
      2507271216985924245377224704000+156106367251199/264992*ep^-3+
         906464794993107870936217/185064498178560*ep^-2+
         27382487159953234548438692833931/4308163829610231951360*ep^-1-
         14252610193705040677977/33124*z3+32022209070726216793721425304\
         522132151428017169290608074716766111191578949375769/
         20336973228473889060675466246212142215240194457600000000000000
         *ep-42757830581115122033931/66248*ep*z4-
         20665026574654137638253418330387/2891632784040*ep*z3-
         41041892725531185940901151434708278595980286359671935786088410\
         2178307180628681437109958879/568115527260948183310876453997917\
         78672438030592190185472000000000000000*ep^2-
         395000910050975389452859/9464*ep^2*z5-
         20665026574654137638253418330387/1927755189360*ep^2*z4+
         2782314413399988651974337001959922348907/158388376088611468800
         *ep^2*z3+38860298522519437899697196384743007209133925280677152\
         27167876144651565637337718654950499621567547807970531822112837\
         11681/11082499210376160431193426080723425727659897979352768334\
         819539655916242668387041280000000000000000000*ep^3-
         13682505749847088224070295/132496*ep^3*z6-46008144791925998887\
         6135317470501/5140680504960*ep^3*z5+27823144133999886519743370\
         01959922348907/105592250725740979200*ep^3*z4+78524610588749571\
         96436795443463736784470218599523/
         626817804246481061344306176000*ep^3*z3-
         997682714221586500282243/66248*ep^3*z3^2;
Fill mncnoptab(15,2,1,8)=
      +mncF321*(139508884359820800+104084565341579048160/91*ep+
         2179035337498716433176/637*ep^2+1102377974704236922983398/
         200655*ep^3)
      -2444591212382646438066326445720565736430646189/
      3561464796855006030365376000+742461175808/8281*ep^-3-
         808004107212150479767/131437853820*ep^-2-
         1491688846125660700969059882677/30597754471663579200*ep^-1-
         15202784367181180887744/8281*z3+143295583109513502597334817117\
         96330528456268512372079512488568627054959617115717393/
         21353821889897583513709239558522749326002204180480000000000000\
         00*ep-22804176550771771331616/8281*ep*z4-
         2005416251066581903053105734371/65718926910*ep*z3-
         73342570916621130778218288386524248443604087058368409339310968\
         26886438875135792660457819303/23860852144959823699056811067912\
         5470424239728487198778982400000000000000*ep^2-
         210667153506711846423424/1183*ep^2*z5-
         2005416251066581903053105734371/43812617940*ep^2*z4+6709749994\
         2496579290156772718582662031/899933955048928800*ep^2*z3+
         17035274389742906496205427258477729865810067684259447669570746\
         185534176617747670015206012729083778109601715501876604180361671
       /832018628218990244371846463010311186504066840799909082736576939\
         667911918329157124096000000000000000000000*ep^3-
         3648668225449504360190560/8281*ep^3*z6-
         934971799427378900726194020151/2434034330*ep^3*z5+670974999424\
         96579290156772718582662031/599955970032619200*ep^3*z4+
         96767416759802439973253064234063747340662540263/
         1780732398427503015182688000*ep^3*z3-532097447504621388886144/
         8281*ep^3*z3^2;
Fill mncnoptab(15,2,2,7)=
      +mncF321*(520833168276664320+55663618876272225984/13*ep+
         5854349126423989024416/455*ep^2+8942255972432731374175199/
         429975*ep^3)
      -287599424698733901081612249366199700790263447/
      112231033514338425326640000+143053404016336/17745*ep^-3-
         547412189950729985641/8283898350*ep^-2-
         2459839904755516184967231394853/1928429903676276000*ep^-1-
         121622283260168546132288/17745*z3+8006354529019350240741166971\
         5132874770786965690900865335890491409026183747827351/
         3204355025494835461240882286693089634754232320000000000000000*
         ep-60811141630084273066144/5915*ep*z4-
         472499327409691267326139670254/4141949175*ep*z3-
         60643942535300681380214875511222597915017522690657206168742537\
         18145260256806683124213571/53097776259450496286381903134761794\
         827129011673497600000000000000000*ep^2-
         1685337236491846250566528/2535*ep^2*z5-
         236249663704845633663069835127/1380649725*ep^2*z4+132963041390\
         880086372609440291368356993/482107475919069000*ep^2*z3+
         27570881896082841200975593003620474507182658591412607399889032\
         107396091764561067826495447407151702649586872924842341076477413
       /946027011677569082521924549778487938007539556594648811274825091\
         75068702084073259008000000000000000000000*ep^3-
         5837869186091377603916704/3549*ep^3*z6-
         666842020150232974658528540852/460216575*ep^3*z5+1329630413908\
         80086372609440291368356993/321404983946046000*ep^3*z4+
         11734383065119833178423498490473474479610870213/
         56115516757169212663320000*ep^3*z3-1418926479980226565400448/
         5915*ep^3*z3^2;
Fill mncnoptab(15,3,1,7)=
      +mncF321*(213622979175975600+22877698485360175380/13*ep+
         137976514242072444345/26*ep^2+94100759271302809761301/10920*
         ep^3)
      -33259797231843561098059831081565291828469173/
      31644279744373231423488000+4917328870619/338*ep^-3+
         5416434187965195343607/57224643840*ep^-2-
         108221553399385417767326917813/951533666757273600*ep^-1-
         475087090763520604831/169*z3+445852042961537915502881954051221\
         3763404004512865012654602450938997167677941466489/
         435792283467297622728759990990260190326575595520000000000000000
         *ep-1425261272290561814493/338*ep*z4-
         1340107057998453815968576641169/28612321920*ep*z3-
         42611323531331738571309393989740604007957878663455775517718118\
         300569827446407096100841351407/9130428116693810088924800153537\
         96442949896920231627980800000000000000000*ep^2-
         46083440534092057295397/169*ep^2*z5-
         1340107057998453815968576641169/19074881280*ep^2*z4+2200626444\
         5292705625252337343626380489/195903990214732800*ep^2*z3+
         46517879986410052654928715045119535370343901867973090906976688\
         27243756372059626750930343810561806868666170876735864740614418\
         70444645619/16105284214545766856355458212499069722553145800762\
         78468328412491433424474145572828413301882880000000000000000000\
         000*ep^3-114020883608321341726415/169*ep^3*z6-
         272004504559434011339833307841/454163840*ep^3*z5+2200626444529\
         2705625252337343626380489/130602660143155200*ep^3*z4+
         68016951158960580696512496892626754612470015343/
         775284853737144169875456000*ep^3*z3-16628044129450604064775/
         169*ep^3*z3^2;
Fill mncnoptab(15,3,2,6)=
      +mncF321*(683593533363121920+73480848834548265264/13*ep+
         1114955782714313425908/65*ep^2+575078551751559737601469/20475*
         ep^3)
      -349228752803734140408268977478495743875821531/
      103832792911224665608320000-360684390919534/845*ep^-3-
         34081522065999167919037/6706012950*ep^-2-
         9051902517900980746486398360571/446031406292472000*ep^-1-
         7601383704671815561888/845*z3+10330405490287522399957506351087\
         776265284018570319949753732399696415070588504771713351/
         31638519779725807410107975345892889817709388234752000000000000\
         0000*ep-11402075557007723342832/845*ep*z4-
         2013854602577863699760981337637/13412025900*ep*z3-
         36701069629867155017292872895786477505647628150607112578361444\
         28261030971967174807237482886519151/24747112367486902865021778\
         336149298789714006125958044791603200000000000000000*ep^2-
         737334948481593865934696/845*ep^2*z5-
         2013854602577863699760981337637/8941350600*ep^2*z4+32589128210\
         101082100935040771051474847/91829995413156000*ep^2*z3+
         24806304703429386685349480629696363044121049695776083121609100\
         28660016542598959267845440093709998213129392257951003584684002\
         9416130547682691/405337793111687860240754172292176586777217573\
         51359776490889485584396427165295776945505981788323840000000000\
         000000000000*ep^3-364866782388461025186404/169*ep^3*z6-
         413696716375643794141159066283/212889300*ep^3*z5+3258912821010\
         1082100935040771051474847/61219996942104000*ep^3*z4+
         106110882121371175449979886931562306744858953743/
         363414775189286329629120000*ep^3*z3-266048820972968160824664/
         845*ep^3*z3^2;
Fill mncnoptab(15,3,3,5)=
      +mncF321*(747680427115914600+80900778920891869170/13*ep+
         248255385297437274372/13*ep^2+74235562037168782950461/2340*
         ep^3)
      -4889277868502756505728938089660643451687516417/
      1329059749263675719786496000-11994317228189681/2704*ep^-3-
         1267519275691178372572651/24524847360*ep^-2-112355275299759157\
         5962416297816607/5709202000543641600*ep^-1-
         1662788320694740650026/169*z3+41258495351638133150514782397732\
         1339616301553058102172468165600969050842669260761789/
         11622313388470704762896807269919837075893244657664000000000000\
         000*ep-2494182481042110975039/169*ep*z4-
         2020434860862221276165778026401/12262423680*ep*z3-
         18212631569566833104507841182638823488471906222925757021099407\
         188279380126715972988545970542501/1136346996466235335638755127\
         68032494442564313843684899553280000000000000000*ep^2-
         645167463053506273534423/676*ep^2*z5-
         2020434860862221276165778026401/8174949120*ep^2*z4+63677609922\
         993721571198750574539646407/167917705898342400*ep^2*z3+
         77402179217857840944166392197354026431895891051720567762575836\
         30036478807192447384148276816779688863782630037801218056763169\
         371/1989802940070302760187628755037516555415378143259837278580\
         91525383872217145770590412472320000000000000000000*ep^3-
         3192581548853636554671595/1352*ep^3*z6-
         2966914665894131908914960219083/1362491520*ep^3*z5+63677609922\
         993721571198750574539646407/111945137265561600*ep^3*z4+
         925230191993720510972277701264731104492646361/
         2712366835231991264870400*ep^3*z3-232793337853480529728449/676
         *ep^3*z3^2;
Fill mncnoptab(15,4,1,6)=
      +mncF321*(150792691183041600+16287963758264388960/13*ep+
         49835788632358053138/13*ep^2+51958024807342743313543/8190*ep^3
         )
      -17608148922199107659810835195687038138768953/
      23733209808279923567616000-2722327659876/169*ep^-3-
         9036270076367187065941/42918482880*ep^-2-
         104432089867703411932374377527/101950035723993600*ep^-1-
         335355442906242426052/169*z3+324173550427638777015847542643748\
         7998125063996186834248693534869129946500995124100613/
         45197885399608296300154250494132699739584840335360000000000000\
         0000*ep-503033164359363639078/169*ep*z4-
         712487685603737349517593471493/21459241440*ep*z3-
         40118354934598758039815108521942931388529408540200091389589388\
         82434573569135043903445237050529527/12373556183743451432510889\
         1680746493948570030629790223958016000000000000000000*ep^2-
         32529486035229566405044/169*ep^2*z5-
         712487685603737349517593471493/14306160960*ep^2*z4+19221835858\
         8503900052707495887337897333/2497775875237843200*ep^2*z3-
         32490248242466509253186952928441360228791216175279041333410257\
         57736111546771808957187128174211125119938063151711398276179141\
         7865976642220249/202668896555843930120377086146088293388608786\
         75679888245444742792198213582647888472752990894161920000000000\
         0000000000000*ep^3-80485326480808309947480/169*ep^3*z6-
         148651317306021553760180795557/340622880*ep^3*z5+1922183585885\
         03900052707495887337897333/1665183916825228800*ep^3*z4+
         39345477103995164542059465025580546539713096059/
         581463640302858127406592000*ep^3*z3-11737444997254975094492/
         169*ep^3*z3^2;
Fill mncnoptab(15,4,2,5)=
      +mncF321*(402113843154777600+43630939853289724320/13*ep+
         134512260491874390576/13*ep^2+70811759390244241007537/4095*
         ep^3)
      -821734973562046066263949310216024121609703/
      415331171644898662433280-263328665830428/169*ep^-3-
         25552335262260371206451/1341202590*ep^-2-
         1407762573580638205088204439709/17841256251698880*ep^-1-
         894275823873848467744/169*z3+409002146234593005811701435986447\
         055640883578880508330573638347447325076009834184177843/
         21478035141893862401833299834811858916250716127363072000000000\
         000000*ep-1341413735810772701616/169*ep*z4-
         23802804512721115934214013277/268240518*ep*z3-
         90031471684079298962716300434676316884979715193898194586473486\
         02829488595227084801245486812756291/10499846247348014501302097\
         3797662024864929425991564847187230720000000000000000*ep^2-
         86745238098461758378288/169*ep^2*z5-
         23802804512721115934214013277/178827012*ep^2*z4+12607908823755\
         611016044150098474034999/62444396880946080*ep^2*z3-
         14054994169297261858562827690820619373295046561036799561257287\
         19477624639020860566833953645091986955424448039017770669820879\
         7883567833677611/687916140309550254237165652404436835844763539\
         04879163530252441248947079246244832873230151949326745600000000\
         000000000000*ep^3-214627405686469774776360/169*ep^3*z6-
         1679040847228004390221962925/1419262*ep^3*z5+12607908823755611\
         016044150098474034999/41629597920630720*ep^3*z4+68468133388117\
         66759851658002534863491971048971/36341477518928632962912000*
         ep^3*z3-31299910039134544280528/169*ep^3*z3^2;
Fill mncnoptab(15,4,3,4)=
      +mncF321*(351849612760430400+38455151898947802480/13*ep+
         119999247327364090224/13*ep^2+9166064018683923482594/585*ep^3)
      -57520582815503767822193887472815067907154889/
      33226493731591892994662400-4129505045008189/338*ep^-3-
         420329745181935281653007/3065605920*ep^-2-
         69295550521544508566612446008551/142730050013591040*ep^-1-
         782450483932906614056/169*z3+333812243151347190951298721626844\
         3707431331277437743566814936219787568554009324412991137/
         20155793603471021497720437313731253851719031415772282880000000\
         0000000*ep-1173675725899359921084/169*ep*z4-
         23888278640029547741285333185/306560592*ep*z3-
         33326546115822641176054728465405122330012286964859132418803618\
         181223323467683271461692391425841687/4504434040112298221058599\
         77591970086670547237503813194433219788800000000000000*ep^2-
         75901650556198197808462/169*ep^2*z5-
         23888278640029547741285333185/204373728*ep^2*z4+12273134210159\
         163603861147031689906367/71365025006795520*ep^2*z3+
         49236984153112840778772808229890073422961322513165020198520983\
         52010786879848991764575788016208447517060726141537080100088840\
         594448906435039509/1342777910077226618758235495210840481727186\
         19004628883252876252695882251334707601526901595097488341073920\
         00000000000000000*ep^3-187798000180663227986015/169*ep^3*z6-
         36188949214851447540800589019/34062288*ep^3*z5+122731342101591\
         63603861147031689906367/47576683337863680*ep^3*z4+146137119711\
         40445321470878957821510141518558217/83066234328979732486656000
         *ep^3*z3-27387874818152604714882/169*ep^3*z3^2;
Fill mncnoptab(15,4,4,3)=
      +mncF321*(124182216268387200+13716792746190681840/13*ep+
         43556682242851740732/13*ep^2+3401842144089400587247/585*ep^3)
      -172555053130750449293840147286580162826816689/
      282425196718531090454630400-46055991405352467/2873*ep^-3-
         4659915608740870225011691/26057650320*ep^-2-151708512259387194\
         301410234338879/242641085023104768*ep^-1-
         4693969742349120664816/2873*z3+7715572479917889795322387519669\
         10631197634559794613341413950449629576291666092293313245533/
         13303898753949725976308700383719359875673319082751881222553600\
         0000000000*ep-7040954613523680997224/2873*ep*z4-
         72038267320668493559741305127/2605765032*ep*z3-
         47549874258437722420812575276587644323461080966053225635879954\
         13284908503880193549671918817990703857/18582291893476600927940\
         4102755940726421156420378239736476850936872960000000000000*
         ep^2-455402077808844092951332/2873*ep^2*z5-
         72038267320668493559741305127/1737176688*ep^2*z4+3533933955369\
         3354290788560002065046531/606602712557761920*ep^2*z3+
         12433435929116031514917024508655099325578739488907181500151860\
         74869462875194128053466525235315366116610482809829344403214198\
         257120687/1914033154323248098570333632169292761001053742327520\
         2044563414386511873163418810626933217002782720000000000000000*
         ep^3-1126770270166237430716290/2873*ep^3*z6-
         112662791340321968968487505353/289529448*ep^3*z5+3533933955369\
         3354290788560002065046531/404401808371841280*ep^3*z4+
         47791773450360519701667448009809213320997184201/
         706062991796327726136576000*ep^3*z3-164335253495906971231292/
         2873*ep^3*z3^2;
Fill mncnoptab(15,5,1,5)=
      +mncF321*(52358573327445000+5731242716296736100/13*ep+
         71714058160047102305/52*ep^2+30767672823694161602971/13104*
         ep^3)
      -1806580262066023435980527193799289965987/7012582768836173168640+
         11827530478280/507*ep^-3+36888416036811873973/3614188032*ep^-2
         -180113251255652440173002917/95848266608640*ep^-1-
         698658178251643480255/1014*z3+51233766556260907058835496819082\
         0594845776782093285669845443411928650290202139381/
         208235797774594233812788225545267330212957081567232000000000000
         *ep-698658178251643480255/676*ep*z4-
         20971456506138032962833796715/1807094016*ep*z3-
         14599914816476491489657804325286803916521033649865065308101829\
         394000719795190573672258584017/1329620419133899738985623728343\
         959159350115406303947411947520000000000000*ep^2-
         22589923982124628347845/338*ep^2*z5-
         20971456506138032962833796715/1204729344*ep^2*z4+1189269628923\
         20215021573455103756471/4674200468281344*ep^2*z3+
         24305103913078204962993975468658053260167169384595227267064763\
         67041070044581843748532784599277535629440644326120256565688817\
         21890240150701/11783598826949472590227213998833647446940890739\
         47106612941735934805493498618029137216742367508467548160000000\
         000000000*ep^3-83838892210152801954100/507*ep^3*z6-
         1519912632790702077942125625/9561344*ep^3*z5+11892696289232021\
         5021573455103756471/3116133645520896*ep^3*z4+14441506702014050\
         9399596929793815830693711021/5440595464822064350003200*ep^3*z3
         -24452996460234004723885/1014*ep^3*z3^2;
Fill mncnoptab(15,5,2,4)=
      +mncF321*(111698289765216000+12289682233388775600/13*ep+
         116317891891874844380/39*ep^2+4204028545235824650673/819*ep^3)
      -40047884794458682375916137368008807572471/
      72865117832438361830400-3816094314888350/1521*ep^-3-
         413823427388246421443/14117922*ep^-2-
         316339647852596112367677613613/2817040460794560*ep^-1-
         2235618047327930594560/1521*z3+8876242815143297839597545243674\
         459632167873660441432793364928774537360802803111171487/
         16973299876607175998080368264194740085658131718545080320000000\
         00000*ep-1117809023663965297280/507*ep*z4-
         700831512754894253115971899/28235844*ep*z3-
         76988247529545236057453658361629512151747865579300568583673254\
         1321311104728514105289606495294277/331905666113537763656949457\
         17303059017829796447649393274026721280000000000000*ep^2-
         72287447347196948302040/507*ep^2*z5-
         700831512754894253115971899/18823896*ep^2*z4+52465519961843077\
         5160692167043502573/9859641612780960*ep^2*z3+
         26755414047861833623645615367188027271154839946143041143688362\
         25311282071808521885462301591848246402066315366417811901114345\
         2218816108503657/767301662901272353576134568691908846701249251\
         45502219001643572969075572191261486586800911484279052042240000\
         000000000000*ep^3-536566809985657285778900/1521*ep^3*z6-
         81932817204553039243108237/237276*ep^3*z5+52465519961843077516\
         0692167043502573/6573094408520640*ep^3*z4+45200019078872640894\
         409457597464263961624337/765083737240602799219200*ep^3*z3-
         78250578066874211441080/1521*ep^3*z3^2;
Fill mncnoptab(15,5,3,3)=
      +mncF321*(73302002658423000+8128088564654312100/13*ep+
         51945307677313925105/26*ep^2+3271129593429653138693/936*ep^3)
      -336396518919569996749587852268489522018391/
      932673508255211031429120-23983996859580835/2704*ep^-3-
         25791521070148528061275/258156288*ep^-2-
         21415594300517880570173519542559/60096863163617280*ep^-1-
         162987322673095752755/169*z3+187274593752484041457305281731904\
         7514123305358547716236607633435292373407294729281087823/
         54918054711866773896011147094816759032707199516003637657600000\
         0000000*ep-488961968019287258265/338*ep*z4-
         2110497450861481762188168421/129078144*ep*z3-
         11496819569735126935342569421931447076200256937042439530311640\
         309880289863573544643876948709675947/7670708727957317204516165\
         23244337363967621962345674866777506447360000000000000*ep^2-
         63250383978716660236665/676*ep^2*z5-
         2110497450861481762188168421/86052096*ep^2*z4+5984091293590460\
         3624907189628458791/1767554798929920*ep^2*z3-
         19900713154074126774281292539773633756715225775171202196772055\
         60134754511477994261349023755308631666220326577462820376975129\
         686780674757721543/8689265053655297586275515026786594406199035\
         96758842906738612550778686924192596745880749877608635664905011\
         20000000000000000*ep^3-312992173440121386128225/1352*ep^3*z6-
         10015291015095662246671903789/43026048*ep^3*z5+598409129359046\
         03624907189628458791/1178369865953280*ep^3*z4+7681276725663307\
         047247302961703985443657/186609345389197885440*ep^3*z3-
         22824239355267203699615/676*ep^3*z3^2;
Fill mncnoptab(15,5,4,2)=
      +mncF321*(17247530037276000+1933619472674643600/13*ep+
         6289906902333555710/13*ep^2+157542191777995825069/182*ep^3)
      -11778264610748015569281922573130945435020733/
      138735184352962640925081600-150674459537218705/34476*ep^-3-
         18246815853748373214769/365721408*ep^-2-3266633928318572422990\
         43315144593/1787881679117614080*ep^-1-1955403936629577319820/
         8619*z3+147598838636698807415616100450317787446858291441724510\
         65063819645755438193720380782201861/18576872588759015863803770\
         675440566958512690448525720289280000000000000*ep-
         977701968314788659910/2873*ep*z4-1650371120930208915505832099/
         426674976*ep*z3-3295012524838280433929285620297365016334180275\
         0081392706885742506350887782100687930424196748376521/
         95595486590896641101395066712593171486942361096838803885993754\
         62400000000000000*ep^2-63248823313056206748505/2873*ep^2*z5-
         1650371120930208915505832099/284449984*ep^2*z4+138781566367057\
         886052200362380951497/18243690603240960*ep^2*z3+
         61384315578036334325803725166906511341636283436739140045623674\
         27286349332261978318748629556958749710429186591504888520770044\
         126251080098413419/1082891490709297424755764372699156408140970\
         08393066324655582729542531847883400684684010746025286737938350\
         0800000000000000000*ep^3-938955330012695214628475/17238*ep^3*
         z6-72754526791049490105344102579/1280024928*ep^3*z5+1387815663\
         67057886052200362380951497/12162460402160640*ep^3*z4+
         38197162125529153129847406456538200705583763/
         3650925904025332655923200*ep^3*z3-68477689050989787328925/8619
         *ep^3*z3^2;
Fill mncnoptab(15,5,5,1)=
      +mncF321*(1197745141477500+136326100391619600/13*ep+
         16355335654108344245/468*ep^2+2533245767578030400713/39312*
         ep^3)
      -11810773641077671895899443833469353655638357/
      1997786654682662029321175040-86462092457340325/2482272*ep^-3-
         24045751671616605819389/26331941376*ep^-2-
         2256820253112851815241338545289/317845631843131392*ep^-1-
         2445217223115521120255/155142*z3+10600061973341389945081968590\
         165041469306937108518815451780537430513095475070332123212417/
         19505716218196966656993959209212595306438324970952006303744000\
         0000000000*ep-2445217223115521120255/103428*ep*z4-
         2772437587186633299926515925/10240199424*ep*z3-
         63261703454430344250339121629597233326758021067761369745525207\
         163251053918505831011016174642316449/2724471367840554271389759\
         40130890538737785729125990591075082200678400000000000000*ep^2-
         316257544109733687811405/206856*ep^2*z5-
         2772437587186633299926515925/6826799616*ep^2*z4+50362872705913\
         0774620555503267870651/1021646673781493760*ep^2*z3+
         63852666155145173587136696144847029242058238607445179699212498\
         46044459773540411928156984826816802345793863036175167260238302\
         09591371067/10786533841188664659493115184090049354621438364886\
         74011221371217751876612124467072880821444191820185600000000000\
         000000*ep^3-4694958817183694894765975/1241136*ep^3*z6-
         382353048370534829874550971775/92161794816*ep^3*z5+50362872705\
         9130774620555503267870651/681097782520995840*ep^3*z4+
         3988941411065675911448382294479098980320632069/
         4994466636706655073302937600*ep^3*z3-342344654305441643210465/
         620568*ep^3*z3^2;
Fill mncnoptab(15,6,1,4)=
      +mncF321*(8818286034096000+984465675945425520/13*ep+
         3180006112345762744/13*ep^2+1775459429430719190776/4095*ep^3)
      -14135277754716301939901202487777628234621/
      325749938545018558771200-3202141442478/169*ep^-3-
         7514049471241090734973/21459241440*ep^-2-
         827092196310486571701641383921/356825125033977600*ep^-1-
         19611331475862859656/169*z3+4378930261002191995326550492025877\
         754668303227627875908413928750479251602881042603243/
         10749756588517878132117566567323335387583483421745217536000000\
         000000*ep-29416997213794289484/169*ep*z4-
         4235985553260136699098663725/2145924144*ep*z3-
         18701670478826921065639803292985319536128108905286643547164698\
         6861723853122303192359618975323689/105103460935953625158033994\
         771459686889794355417556412034417950720000000000000*ep^2-
         1902308195877417867792/169*ep^2*z5-
         4235985553260136699098663725/1430616096*ep^2*z4+98888442748644\
         9484022542868227485361/249777587523784320*ep^2*z3-
         51823331046544662604785071903979160357614270597804624324321967\
         35058565394949565774907335984824821947061399207815134475401898\
         24862752549531/59679018225654516389254910898259576965652719557\
         61283700127833453150322281542560067862293115443926269952000000\
         000000000*ep^3-4706742161003887520340/169*ep^3*z6-
         2928517825135120275714130991/102186864*ep^3*z5+988884427486449\
         484022542868227485361/166518391682522880*ep^3*z4+1682807703530\
         35769469839567664439110076527079/32303535572381007078144000*
         ep^3*z3-686401617412327739472/169*ep^3*z3^2;
Fill mncnoptab(15,6,2,3)=
      +mncF321*(14109257654553600+1584004676736968640/13*ep+
         5163235799021284732/13*ep^2+2915868779783523085178/4095*ep^3)
      -240361044219345534257969096669652434988379/
      3461093097040822186944000-209285710404936/169*ep^-3-
         39199284672110894539739/2682405180*ep^-2-
         5086666404729175214696404925341/89206281258494400*ep^-1-
         31373783872083576000/169*z3+3380926006766334013545925571356821\
         329695880866033290788557547024736037309125722583766541/
         52172151976273435201210589740075921081071839540203455774720000\
         00000000*ep-47060675808125364000/169*ep*z4-
         4247609112939636553682097389/1341202590*ep*z3-
         29273509762618477094985157426313812758094711806332878769054376\
         22758039846657973344932484804872059/10410247559370644777557652\
         81545886422527486948897701604912330178560000000000000*ep^2-
         3043646354696350999200/169*ep^2*z5-
         4247609112939636553682097389/894135060*ep^2*z4+193076883120580\
         9091758138858906295861/312221984404730400*ep^2*z3-
         37330180082427822562210099800535211812248326151420899672976352\
         85243759649475795049981698412431623895125869205351165351451813\
         378812194552449907/4344632526827648793137757513393297203099517\
         98379421453369306275389343462096298372940374938804317832452505\
         60000000000000000*ep^3-7530681427060668558000/169*ep^3*z6-
         2983870297025285369033931323/63866790*ep^3*z5+1930768831205809\
         091758138858906295861/208147989603153600*ep^3*z4+6990466319528\
         040248916641332012837158268073/807588389309525176953600*ep^3*
         z3-1098289238414539804512/169*ep^3*z3^2;
Fill mncnoptab(15,6,3,2)=
      +mncF321*(6172800223867200+698670110575704960/13*ep+
         2307390995047672600/13*ep^2+264936249233129273980/819*ep^3)
      -11779707420045735182495333111255706433539121/
      387642426868572084937728000-586333335594633/338*ep^-3-
         60776792765921515633687/3065605920*ep^-2-364075657422943620655\
         558589737349/4995551750475686400*ep^-1-13721469158206048800/
         169*z3+1445609751099952991230903917462349568047456996932790229\
         71456412996747225450296582183063/51265153113496194831121516751\
         3973525362005981876526776320000000000000*ep-
         20582203737309073200/169*ep*z4-877938445783673600789074727/
         631154160*ep*z3-2887747215216690637940351959837581449224529172\
         62608916940864291640648518212289478916627789117257/
         23868292464165499489991091111281346548249259851270054433616035\
         8400000000000000*ep^2-1331547222859757004750/169*ep^2*z5-
         877938445783673600789074727/420769440*ep^2*z4+1330018265396417\
         44155330038283179917/50975017861996800*ep^2*z3+
         48881466636131033934245278604988562374054557689765233871798433\
         76609067529169020633962683930925407318834518742380390059275322\
         40164693467403087/89651147378983229064747377260496608952847196\
         49099172847303145365176928582939490235277578102311320352194560\
         0000000000000000*ep^3-3294564384253877389875/169*ep^3*z6-
         75083929655290049154338898751/3576540240*ep^3*z5+1330018265396\
         41744155330038283179917/33983345241331200*ep^3*z4+257541975174\
         093273334213598582143642410852143/64607071144762014156288000*
         ep^3*z3-480552723911995814178/169*ep^3*z3^2;
Fill mncnoptab(15,6,4,1)=
      +mncF321*(726211791043200+83125670910115680/13*ep+
         279478320556831924/13*ep^2+164072656156285302206/4095*ep^3)
      -11814979634333122074039496346955658448672501/
      3294960628382862721970688000-87058570993449/2873*ep^-3-
         17951544988345353942127/26057650320*ep^-2-
         19423281427967804708258112415987/3860199079913030400*ep^-1-
         27454537239818533680/2873*z3+323905590262893842898053119153111\
         923171110004336426804534814193686265242969625846966608453/
         98828962172197964395436059993343816219287513186156831938969600\
         00000000000*ep-41181805859727800520/2873*ep*z4-
         15014207760741946608224033419/91201776120*ep*z3-
         13441100042583851915068403028598083531542155524952794333474288\
         872263168103367419502196937981601075887/9662791784607832482529\
         0133433089177739001338596684662967962487173939200000000000000*
         ep^2-2663215580034675858060/2873*ep^2*z5-
         15014207760741946608224033419/60801184080*ep^2*z4+882106886451\
         455052655783171933557103/3033013562788809600*ep^2*z3+
         19927695879263799135869611981026256996670107746465257201072444\
         70578854157175269880261941717272908183723277932206213924424940\
         8321841394452111121/822997532939066042814380923251358870187137\
         26378730406738242874452324204391384520359848166979217920833146\
         060800000000000000000*ep^3-6589402606987143310950/2873*ep^3*z6
         -77869679227359985675534591531/30400592040*ep^3*z5+88210688645\
         1455052655783171933557103/2022009041859206400*ep^3*z4+
         164945976642465335968963975888378984165771213/
         329496062838286272197068800*ep^3*z3-960972940559928371988/2873
         *ep^3*z3^2;
Fill mncnoptab(15,7,1,3)=
      +mncF321*(661371452557200+76040986567357350/13*ep+
         257301700478880453/13*ep^2+50684053661329664029/1365*ep^3)
      -721586753254461848461110890840969420065243/
      221509958210612619964416000+3605328046727/676*ep^-3-
         2361877520031734913557/57224643840*ep^-2-
         11370790413366451295354744179/12687115556763648*ep^-1-
         1470897152039867321/169*z3+18613324827050875530767819949953031\
         2937502061806036658316856216675185270087773377334093/
         62606582371528122241452707688091105297286207448244146929664000\
         00000000*ep-4412691456119601963/338*ep*z4-
         4299903346092728811640707641/28612321920*ep*z3-
         54946359853044255348769888227762948783804745583958421972213485\
         38380920682834871324841478724782781/43723039749356708065742141\
         824927229746154451853703467406317867499520000000000000*ep^2-
         142673537012203144992/169*ep^2*z5-4299903346092728811640707641/
         19074881280*ep^2*z4+287634028207862726626271956600687559/
         1110122611216819200*ep^2*z3+5693431735733914096564522452866545\
         20891302759452656331961733995609363786609998194449160205254841\
         7241918462207515911546945633261508771956215413/
         26067795160965892758826545080359783218597107902765287202158376\
         5233606077257779023764224963282590699471503360000000000000000*
         ep^3-706013199300816388355/338*ep^3*z6-
         3223657104460239592526383987/1362491520*ep^3*z5+28763402820786\
         2726626271956600687559/740081740811212800*ep^3*z4+363930436155\
         507533041818106848851929988225111/775284853737144169875456000*
         ep^3*z3-51479423650494460412/169*ep^3*z3^2;
Fill mncnoptab(15,7,2,2)=
      +mncF321*(705462882727680+81590606879121648/13*ep+
         1393267584551330224/65*ep^2+832910450789672086196/20475*ep^3)
      -93510953636431789043755743335328694216273/
      26919612976984172565120000-40585741551542/169*ep^-3-
         5235472418433942572003/1916003700*ep^-2-
         4466500619945440983390233744191/446031406292472000*ep^-1-
         1567983843081673600/169*z3+10106193841549252976418553820334640\
         3764476082679648253568602812025805490454157986844259/
         31942133863024552164006483514332196580248065024614360678400000\
         00000000*ep-2351975764622510400/169*ep*z4-
         2155637658527352934996988287/13412025900*ep*z3-
         41321854053434310900876679200330794172161564532327457852641713\
         79767079312868049510618946460997681/31230742678111934332672958\
         446376592675824608466931048147369905356800000000000000*ep^2-
         152174970568537953960/169*ep^2*z5-2155637658527352934996988287/
         8941350600*ep^2*z4+59821075643455500062373272989444607/
         223015703146236000*ep^2*z3+20735691194928779312634941602542698\
         37344399661235764704630694981844945629142239682724484472864285\
         54937197131367153359337745391600441633152639/
         26599790980577441590639331714652840018976640717107435920569771\
         962612865026303982016757649314550071374643200000000000000000*
         ep^3-376517466813640700900/169*ep^3*z6-
         11490698083351621647570140833/4470675300*ep^3*z5+5982107564345\
         5500062373272989444607/148677135430824000*ep^3*z4+125014951656\
         58091601669577522839222472423159/24227651679285755308608000*
         ep^3*z3-54922562206709347480/169*ep^3*z3^2;
Fill mncnoptab(15,7,3,1)=
      +mncF321*(154320005596680+17997368200857738/13*ep+
         311358923615858789/65*ep^2+189169794386375952031/20475*ep^3)
      -11835796310804075247093033467341154203540213/
      15505697074742883397509120000-34041730070645/2704*ep^-3-
         31417116781253968104547/122624236800*ep^-2-3504775075435338637\
         12108399592993/199822070019027456000*ep^-1-343171941598155802/
         169*z3+1988686866994372150007688340650571210263679734209862196\
         33989004158977815251252127028863/29067341815352342469245899998\
         042298888025739172399068217344000000000000*ep-
         514757912397233703/169*ep*z4-15158196304980744959720292079/
         429184828800*ep*z3-8061514031219314331825857897927239078243488\
         182825106749117126847153479281422495949669437810182373/
         28419975837081860242732392186202699335000393704907253814106613\
         8746880000000000000*ep^2-133160172725735664531/676*ep^2*z5-
         15158196304980744959720292079/286123219200*ep^2*z4+80010551112\
         0678714174662924942859823/14273005001359104000*ep^2*z3+
         17091760942152367851695735848332079248899909825788303420217522\
         19601245687890974574859610047891195472920072232338746336763745\
         23290711761139377/84720334273139151466186271511169295460440600\
         68398718340701472370092197510877818272337311306684197732823859\
         200000000000000000*ep^3-658937424796715206615/1352*ep^3*z6-
         82546673911432413735395965711/143061609600*ep^3*z5+80010551112\
         0678714174662924942859823/9515336667572736000*ep^3*z4+
         20251375057668683672970757853613857891865781/
         172285523052698704416768000*ep^3*z3-48048658119770279653/676*
         ep^3*z3^2;
Fill mncnoptab(15,8,1,2)=
      +mncF321*(17996502110400+15185742864854760/91*ep+
         29707364408248516/49*ep^2+248167490069685591932/200655*ep^3)
      -241030956051094303528836509722198152450109/
      2713496988080004594564096000-36113482941877/8281*ep^-3-
         23920822806135850360477/420601132224*ep^-2-
         62753342410051433320309666767323/244782035773308633600*ep^-1-
         1960230518876831036/8281*z3+7952889665001009425483175217472495\
         967409427513241036916949124958637021260207405249249/
         10381193505482979453302107142157963888580621132999667220480000\
         000000000*ep-2940345778315246554/8281*ep*z4-
         89900680856718179432177117/21459241440*ep*z3-
         43968290692538946027067055981067545744818024515248067529694089\
         040083804381397694403509111634853/1449998767198054094016958785\
         0103418028061425359646558068421741772800000000000000*ep^2-
         190221637819501720872/8281*ep^2*z5-89900680856718179432177117/
         14306160960*ep^2*z4+649943025192605552900097637444148689/
         122391017886654316800*ep^2*z3-
         10620486685379850415055008007608210683280518061824543425845060\
         54818928588421844802667412367152493509233893161096490375667354\
         90126596954208421454383647/59649603553827909548446088960063708\
         51637859446695672288621637497072305224026124375901987606772635\
         7475963183871033344000000000000000*ep^3-470653518251562224590/
         8281*ep^3*z6-26010742292997680881908458777/350500943520*ep^3*
         z5+649943025192605552900097637444148689/81594011924436211200*
         ep^3*z4+305278666317646407942667299204182208497071/
         19186342339959628446412800*ep^3*z3-68651012127941992232/8281*
         ep^3*z3^2;
Fill mncnoptab(15,8,2,1)=
      +mncF321*(9598134458880+8147697044837856/91*ep+
         3136382829735218228/9555*ep^2+2037991545847632797662/3009825*
         ep^3)
      -60458304851800592129918978260568266242703/
      1271951713162502153701920000-44809337584660/8281*ep^-3-
         131707132815300710354647/1971567807300*ep^-2-13311732805422700\
         5744563908383149/458966317074953688000*ep^-1-
         1045047423600556288/8281*z3+7149094988748138778314456283279874\
         86278304339316470525876370035967771725920403227136097/
         17440405089211405481547539998825379332815443503439440930406400\
         00000000000*ep-1567571135400834432/8281*ep*z4-
         22539831624168186222932564/10059019425*ep*z3-
         27395411440817093307227412613227325279534883954360208986312968\
         878499269685942374437961443069955403/1705198550224911614563943\
         5311721619601000236222944352288463968324812800000000000000*
         ep^2-101446634195949757616/8281*ep^2*z5-
         11269915812084093111466282/3353006475*ep^2*z4+6221589012950562\
         06559671498700910923/229483158537476844000*ep^2*z3-
         80214139360942439718252762606228894986428594928928153475715041\
         14878748068087798389517583276359129088638718796438081503869048\
         58343815932963/58093943501581132433956300464801802601444983326\
         16264005052438196634649721744789672459870610297735588222074880\
         00000000000000*ep^3-251003966930873003320/8281*ep^3*z6-
         6613594390235923631213813099/164297317275*ep^3*z5+622158901295\
         056206559671498700910923/152988772358317896000*ep^3*z4+
         2569962403406519509450728292358927269835141/
         296788733071250502530448000*ep^3*z3-36617144694826112208/8281*
         ep^3*z3^2;
Fill mncnoptab(15,9,1,1)=
      +mncF321*(102252852900+189934611107175/182*ep+11016554063351531/
         2548*ep^2+89935681431090443099/8828820*ep^3)
      -245273736832103124624794712648758016659741/
      477575469902080808643280896000-35629348727731/132496*ep^-3-
         930484880876903681222177/370128996357120*ep^-2-
         79228573819242714922703078455807/8616327659220463902720*ep^-1-
         44589257049185777/33124*z3+18405311583332435747942091230709726\
         87792049742363771139626251/46475772791226995749200216065007532\
         2187776000000*ep-133767771147557331/66248*ep*z4-
         94696414143346419284356829/3776826493440*ep*z3-
         99081106741085270332387043087157246633447244913459507446367424\
         42655469/75734498882336545170958053752283608911442023022592000\
         0000*ep^2-2161421013051858927/16562*ep^2*z5-
         94696414143346419284356829/2517884328960*ep^2*z4+1724661599550\
         18400488066925097599057/21540819148051159756800*ep^2*z3-
         56548956815078479046814539511009826955332163887694626843220830\
         4468055858520884174960142970446266263986993948171399/
         12397018428259938738069707217243225896163284385331757823671364\
         865794918308653352091648000000000000000*ep^3-
         21391263845272660385/66248*ep^3*z6-
         33520287373482473266277449529/61688166059520*ep^3*z5+172466159\
         955018400488066925097599057/14360546098700773171200*ep^3*z4+
         200667602721784828749915571903691840068081217/
         1671514144657282830251483136000*ep^3*z3-779047156480916647/
         16562*ep^3*z3^2;
Fill mncnoptab(16,1,1,8)=
      +mncF321*(4960315888349184+18828594629514863248/455*ep+
         2028807370507412151772/15925*ep^2+105375600965761129244867914/
         496621125*ep^3)
      -107561884374620909746352121870562607582555234803/
      4407312686108069962577152800000-897262811066354/1863225*ep^-3-
         1860687197973290351001613/650617376409000*ep^-2+
         76707013255990758728246764975127/18932360579341839630000*ep^-1
         -121622231583608910682448/1863225*z3+1792697388478535855713378\
         4401808508555396442059930610946461228949446874202758693/
         76263649606777083977532998423295533307150729216000000000000000
         *ep-60811115791804455341224/621075*ep*z4-
         89001978230684964293982167038783/81327172051125*ep*z3-
         64413915634952147721989575667924149243317670558893967119942549\
         23419425370376478705204913/60869520777958733926165334356919762\
         86332646134877519872000000000000000*ep^2-
         1685337151152235947129688/266175*ep^2*z5-
         89001978230684964293982167038783/54218114700750*ep^2*z4+
         2779645861001161703926214769269054647421/
         1113668269373049390000*ep^2*z3-3210275032568030969308229558091\
         07839440789646777347690479285260676511835225601075798676846965\
         9183269584883138540737891/771816909294054030029542173478952863\
         17631432356206779474636079746559547154838323200000000000000000\
         000*ep^3-5837868913241021359612684/372645*ep^3*z6-263293925373\
         470723787934879482133/18072704900250*ep^3*z5+27796458610011617\
         03926214769269054647421/742445512915366260000*ep^3*z4+
         321037528794295214166247537828832912401539264827/
         137728521440877186330536025000*ep^3*z3-
         472975571916669381513176/207025*ep^3*z3^2;
Fill mncnoptab(16,2,1,7)=
      +mncF321*(15190967408069376+8272930032388015456/65*ep+
         128276555422950208912/325*ep^2+611585740288924714424144/921375
         *ep^3)
      -4889183455320039659674658931152510828612388709/
      65414659534071539333241600000+4402555980856/38025*ep^-3+
         5509856114724988328069/2414164662000*ep^-2+
         639268485163663198329147303749/70249946491064340000*ep^-1-
         7601392377121263406928/38025*z3+736604764275982493889475503177\
         764330772483006309083721790299242300093841360301487/
         10272246681729158250035056930484704486269281894400000000000000\
         00*ep-3800696188560631703464/12675*ep*z4-
         4054200881841707241565775253019/1207082331000*ep*z3-
         92261644568648671083774433315314235379296722862358079598182053\
         59668647232596873099438268713/28695631223894831708049371911119\
         31677842533177870830796800000000000000000*ep^2-
         737335039676502955212976/38025*ep^2*z5-
         4054200881841707241565775253019/804721554000*ep^2*z4+155451536\
         07680595247857915703755964261/2066174896796010000*ep^2*z3+
         55496356877371385959407138093599616961882607197423057812043244\
         03841894976255554672075293305691581445358784635533443851979355\
         57154251/29774475018487972339480679048317607890434387194687501\
         095147121690365830614455968256380370944000000000000000000000*
         ep^3-364866823649690845903024/7605*ep^3*z6-
         6077244294964054579588620785597/134120259000*ep^3*z5+155451536\
         07680595247857915703755964261/1377449931197340000*ep^3*z4+
         242481295955957976593706084917035430507148609551/
         32707329767035769666620800000*ep^3*z3-29560969024468403070736/
         4225*ep^3*z3^2;
Fill mncnoptab(16,2,2,6)=
      +mncF321*(39876289446182112+21834704676357062952/65*ep+
         341651638871439652404/325*ep^2+549431967421147127287156/307125
         *ep^3)
      -34224273887268769668343774478475113591443815343/
      174439092090857438221977600000-496889978243329/50700*ep^-3-
         318835063630593416088341/3218886216000*ep^-2-
         31749084920457479526645931135159/107047537510193280000*ep^-1-
         6651214530348894070312/12675*z3+211770861958191826392806833523\
         207235453609928419917401982492414616370644546431732981/
         11299471349902074075038562623533174934896210083840000000000000\
         0000*ep-3325607265174447035156/4225*ep*z4-
         14228232977401736435675901578999/1609443108000*ep*z3-
         52731181359774536859918893323449438958729336101866115199980759\
         00175984472741994712175509702531/63130388692568629757708618204\
         4624969125357299131582775296000000000000000000*ep^2-
         645168121592728910457479/12675*ep^2*z5-
         14228232977401736435675901578999/1072962072000*ep^2*z4+
         426424258343544018287756311223833937113/22039198899157440000*
         ep^2*z3+258463917287561825590011815958847044672107556778037027\
         75593707266779967370939637962042152034002040462160641738942688\
         56993204551/85034313678218066674684989531517801513477698429907\
         576007731421104218896216141277954048000000000000000000000*ep^3
         -638516907062380016387167/5070*ep^3*z6-
         3097952454318400816993912167691/25546716000*ep^3*z5+4264242583\
         43544018287756311223833937113/14692799266104960000*ep^3*z4+
         1777652717574232835729488606699670640923186327267/
         87219546045428719110988800000*ep^3*z3-77597559983687900018907/
         4225*ep^3*z3^2;
Fill mncnoptab(16,3,1,6)=
      +mncF321*(16084553726191104+8829960631087703184/65*ep+
         138754141366948278468/325*ep^2+8309755413627976942226/11375*
         ep^3)
      -27390347060392959538455312765984645784580839/
      346109309704082218694400000-11766858519614/4225*ep^-3-
         706897961254149122359/29804502000*ep^-2-
         428016108939651233332664771/10324801071585000*ep^-1-
         894281022946579143568/4225*z3+34087853491356678200771544045349\
         7193509411922823552086478503684417898163094017729249/
         45197885399608296300154250494132699739584840335360000000000000\
         0000*ep-1341421534419868715352/4225*ep*z4-
         53208437250471217539286195801/14902251000*ep*z3-
         30235901040638412714493886896363646477132919802151137669436688\
         6453505310115430591583144213383/901862695608123282252980260063\
         74995589336757018797539328000000000000000000*ep^2-
         86745294569478158744856/4225*ep^2*z5-
         53208437250471217539286195801/9934834000*ep^2*z4+1015439384025\
         46693715342498457299761/13140655909290000*ep^2*z3-
         37938890638948931638831888477291637352460109522852229003428605\
         64028982062331658468427567190228794082407992762018576218354405\
         850430168517/3619087438497213037863876538323005239082299763514\
         26575811513264146396671118712294156303408824320000000000000000\
         000000*ep^3-42925506773265789800644/845*ep^3*z6-
         35027083247387697619557956527/709631000*ep^3*z5+10154393840254\
         6693715342498457299761/8760437272860000*ep^3*z4+10172519647733\
         856897438729345838933506986077187/1211382583964287765430400000
         *ep^3*z3-31299855503168368605544/4225*ep^3*z3^2;
Fill mncnoptab(16,3,2,5)=
      +mncF321*(35184961276043040+3887790756906378168/13*ep+
         61738630507266551916/65*ep^2+1606137494571104199388/975*ep^3)
      -31956053956847926300443735826138835506112593/
      184591631842177183303680000-159592908325697/3380*ep^-3-
         6285543165113502829793/10218686400*ep^-2-
         6744615084137403993256450467389/2378834166893184000*ep^-1-
         391247335032405131896/845*z3+355694705706912347585739509812951\
         991814626756101771393839141189361371442684402342379/
         21694984991811982224074040237183695875000723360972800000000000\
         0000*ep-586871002548607697844/845*ep*z4-
         40033933123328314234850966747/5109343200*ep*z3-
         73789150413285339958112079161541918023754894714547412415556680\
         849720988969375423063699794293/1018574338569174530544542411366\
         1175972442739616240663265280000000000000000*ep^2-
         37951059330300169768407/845*ep^2*z5-
         40033933123328314234850966747/3406228800*ep^2*z4+1960653443793\
         3762877685942844952347013/1189417083446592000*ep^2*z3-
         60496980067413788653526759139482768898249625779859596039729310\
         77634695696851490168509675414505726586642541123163266692461698\
         533313241611/7226593797191234994006588671723376861399536167785\
         28586580429685847524872889844708971306646740402176000000000000\
         0000000*ep^3-37559811995267764636511/338*ep^3*z6-
         188019682154945425903050007883/1703114400*ep^3*z5+196065344379\
         33762877685942844952347013/792944722297728000*ep^3*z4+
         594107003723369201490886106095695230250842719/
         30765271973696197217280000*ep^3*z3-13693692318455236378753/845
         *ep^3*z3^2;
Fill mncnoptab(16,3,3,4)=
      +mncF321*(24836443253677440+2771117479261520928/13*ep+
         44709616447649495496/65*ep^2+1186819808755223857988/975*ep^3)
      -31956964713800799411423264828045996488350783/
      261504811776417676346880000-6571598248477801/14365*ep^-3-
         228124424118752215579429/43429417200*ep^-2-1972740635627105419\
         35534369685657/10110045209296032000*ep^-1-
         4694829714333499347992/14365*z3+330279852998000668561038463266\
         610314588993975173373897939265088232752103129144993773/
         28767550099142688429122177354505580730250959176649932800000000\
         0000*ep-7042244571500249021988/14365*ep*z4-
         120688415920177355367672177751/21714708600*ep*z3-
         20158725023264706847334084012411621845921001666767872719647315\
         61212595856215872577200359430273/40181229795046081468186381314\
         7762900348907413751269804820398080000000000000*ep^2-
         455411256355704645252564/14365*ep^2*z5-
         120688415920177355367672177751/14476472400*ep^2*z4+56510877437\
         692353838767662890172784209/5055022604648016000*ep^2*z3+
         10543188504661821819066145130609890131000114166665085914241930\
         22707452041575778048570166044842739114778393966300557976750151\
         183/4138790115346229741190267810478034435263986537980461539448\
         3037279845421166320282805794242560000000000000000*ep^3-
         225358213320685572952286/2873*ep^3*z6-
         583094254637566410712903003639/7238236200*ep^3*z5+565108774376\
         92353838767662890172784209/3370015069765344000*ep^3*z4+
         5738216594017454678306998452358665404406868921/
         392257217664626514520320000*ep^3*z3-164325863276309797119596/
         14365*ep^3*z3^2;
Fill mncnoptab(16,4,1,5)=
      +mncF321*(7446552651014400+827994810954178560/13*ep+
         23910961233419582872/117*ep^2+490100018139297665284/1365*ep^3)
      -89512806900515325742704815074701699308603/
      2443124539087639190784000+13187215504364/4563*ep^-3+
         30748137983616622909/2145924144*ep^-2-
         37978565096022200135541415561/401428265663224800*ep^-1-
         447141164898833070512/4563*z3+23956306939344341958219710819699\
         74589872640930416872364088572817955350994822293/69423951973798\
         34311703692875898782680000231475511296000000000*ep-
         223570582449416535256/1521*ep*z4-5354753096221501821182840813/
         3218886216*ep*z3-587428575021932234802681360160164668343818996\
         859825712095463822877610685752652636749561127/
         38787310812714166123136175024821758103061952458644445714186240\
         0000000000*ep^2-14457551140773105051808/1521*ep^2*z5-
         5354753096221501821182840813/2145924144*ep^2*z4+47776761746387\
         85127105574280004176587/1404998929821286800*ep^2*z3+
         12368550929170964943026962877963286769789009161938432432397967\
         53356878202538154990363775054155346580819437998931861100256618\
         3132373143/502719568500259825670023559772060999053880776889411\
         190664646737980886868097283275806126362949844992000000000000000
         *ep^3-107313780643551205212280/4563*ep^3*z6-
         10977971915325582146468542637/459840888*ep^3*z5+47776761746387\
         85127105574280004176587/936665953214191200*ep^3*z4+16980151308\
         1338373518109823139146543982669599/39645248202467599595904000*
         ep^3*z3-15649918715702246415968/4563*ep^3*z3^2;
Fill mncnoptab(16,4,2,4)=
      +mncF321*(13031467139275200+1459339843952408880/13*ep+
         42633117144144857176/117*ep^2+380030934269100642328/585*ep^3)
      -1521791008016696739114472918826411577226201/
      23733209808279923567616000-1604284235248541/9126*ep^-3-
         1269662637431686012241/613121184*ep^-2-
         51898359045480883422943645426873/6422852250611596800*ep^-1-
         782477916529328404616/4563*z3+12895989997121838645689339444005\
         480045920030164780843638402224957039506614878366107/
         21478035141893862401833299834811858916250716127363072000000000\
         000*ep-391238958264664202308/1521*ep*z4-
         158056877610353087543991113/54098928*ep*z3-
         78397099689188574096193843645885063802587946336594481669962691\
         680964215244822011669757988387/2999956070670861286086313537076\
         0578532836978854732813482065920000000000000*ep^2-
         25300647863403098118394/1521*ep^2*z5-
         158056877610353087543991113/36065952*ep^2*z4+18542943923709967\
         123315974624006573473/3211426125305798400*ep^2*z3+
         44542560290892739433694410276094515262279914212583746435059178\
         92143109760817169186321101551620362502157621403513558915341806\
         750405524443/1788581964804830661016630696251535773196385201526\
         85825178656347247262406040236565470398395068249538560000000000\
         000000*ep^3-187798664184199914876415/4563*ep^3*z6-
         39356982598038339028416225451/919681776*ep^3*z5+18542943923709\
         967123315974624006573473/2140950750203865600*ep^3*z4+
         1962066840113835599032413211938077943143765449/
         249198702986939197459968000*ep^3*z3-27387575816454101719394/
         4563*ep^3*z3^2;
Fill mncnoptab(16,4,3,3)=
      +mncF321*(6899012014910400+780611195825722800/13*ep+
         2576304366330920456/13*ep^2+211050844781529564512/585*ep^3)
      -31961960602397532688243091554096240924021117/
      941417322395103634848768000-10984928076761485/17238*ep^-3-
         381036803531839393812413/52115300640*ep^-2-
         21917300228039692258301222255623/808803616743682560*ep^-1-
         782377204541619175720/8619*z3+40252362532529303361268157802866\
         696744904742555984954917760566064190269409857374349/
         12785577821841194857387634379780258102333759634066636800000000\
         0000*ep-391188602270809587860/2873*ep*z4-
         40512539577718495524067098263/26057650320*ep*z3-
         24181185989445494729043567343102381151597168910241081168121138\
         9464643639065682500604151957617/178583243533538139858606139176\
         783511266181072778342135475732480000000000000*ep^2-
         25300287794713336473530/2873*ep^2*z5-
         40512539577718495524067098263/17371766880*ep^2*z4+843367351784\
         141905206240677817971213/288858434551315200*ep^2*z3+
         68391691620913966061073086866715422738943997595684056074281037\
         84372230897259948006244263231514990664602387103967621989310034\
         2934640799/152102593255167898445281532995320598701837856483861\
         73108026186721171713991300541017396073231393226752000000000000\
         0000*ep^3-187796215448995975612175/8619*ep^3*z6-
         67870668453634538555261012989/2895294480*ep^3*z5+8433673517841\
         41905206240677817971213/192572289700876800*ep^3*z4+11088251576\
         238970816240794060564309911724013/2490522016918263584256000*
         ep^3*z3-27388663849721528040610/8619*ep^3*z3^2;
Fill mncnoptab(16,4,4,2)=
      +mncF321*(1277594817576000+146664153764355920/13*ep+
         13372528669308853528/351*ep^2+2630170100062349102344/36855*
         ep^3)
      -223838049664722044660557338941520658228157603/
      35585574786534917397283430400-169037144227414265/465426*ep^-3-
         1954491792161615658872963/469037705760*ep^-2-78648559473489904\
         7437238814536959/50954627854852001280*ep^-1-
         3910590893471587052024/232713*z3+59226290657509807652276348798\
         25023849248934259324239524126516184973526656927823824031/
         10284399160443511113411178404235745111064717905652350976000000\
         0000000*ep-1955295446735793526012/77571*ep*z4-
         31736183489993529426871641233/109442131344*ep*z3-
         24444346503291635628345318277205081793485792451219175652912855\
         1112884234926261962176731457159929/100553527562102818874136419\
         2402276658123140802912552686563046195200000000000000*ep^2-
         126496895503172653565986/77571*ep^2*z5-
         31736183489993529426871641233/72961420896*ep^2*z4+306055950980\
         2746015132563650837014119/6066027125577619200*ep^2*z3+
         19486570223515401379053229612007712996952755014429498931582160\
         15915144363992169603166437379976548961508257089054069719759790\
         8007039/299326613419598863899797846156345025935770850396457434\
         57136508429123005109459070731513526589849600000000000000000*
         ep^3-938950239040115934114835/232713*ep^3*z6-
         1492975270078132932379093811513/328326394032*ep^3*z5+306055950\
         9802746015132563650837014119/4044018083718412800*ep^3*z4+
         79682699692390071695779107878149059280223297923/
         88963936966337293493208576000*ep^3*z3-136957884799939402298858/
         232713*ep^3*z3^2;
Fill mncnoptab(16,5,1,4)=
      +mncF321*(1567695294950400+177649851174494160/13*ep+
         5288644782349639612/117*ep^2+337784379153166795342/4095*ep^3)
      -320379501314650341038409219989726610818911/
      41533117164489866243328000-15071723918746/4563*ep^-3-
         6149923596540274997/126230832*ep^-2-
         2442009355616524514402010539/9123369674164200*ep^-1-
         94134387072634710032/4563*z3+797557611171751719669354984289395\
         43020676244169603493701622911860034649300195375759/
         11168578273784808448953315914102166636450372386228797440000000\
         00000*ep-47067193536317355016/1521*ep*z4-
         1138178695911101926653631229/3218886216*ep*z3-
         47863891804826290642041502987507205831967895335667891632211194\
         5124871564969429089638309237039/155997715674884786876488303927\
         9550083707522900446106301067427840000000000000*ep^2-
         3043693110806718453688/1521*ep^2*z5-
         1138178695911101926653631229/2145924144*ep^2*z4+92562396002340\
         3136199409090305160167/1404998929821286800*ep^2*z3-
         10665617167590158789790149143957217404361352810043264410467082\
         48452862029472246702580439358693856106382677229245399003962398\
         85422394928689/93006262169851194372864796205079860206212030479\
         39662909290130056857645114092301404460716543548976005120000000\
         000000000*ep^3-22592362363368801627580/4563*ep^3*z6-
         2461733153578646533586150873/459840888*ep^3*z5+925623960023403\
         136199409090305160167/936665953214191200*ep^3*z4+4459563341632\
         81693812953275111568164475235889/436097730227143595554944000*
         ep^3*z3-3294727890186306344408/4563*ep^3*z3^2;
Fill mncnoptab(16,5,2,3)=
      +mncF321*(2057600074622400+234962114511413520/13*ep+
         2360275432608967720/39*ep^2+13120510484133279256/117*ep^3)
      -942608768513829584137498105242323258791/93071411012862445363200-
         411888992870663/3042*ep^-3-4985757181841475489181/3065605920*
         ep^-2-14053776725684022315290915070499/2140950750203865600*
         ep^-1-41179635455472503528/1521*z3+200082242059106165945697315\
         666400779534628594076216447380385813888895477783268160347/
         21509854453215186642428608427159728336867383854959165440000000\
         00000*ep-20589817727736251764/507*ep*z4-
         238032927744781153276450357/510934320*ep*z3-
         16999262151494308451922882066932582905966433921661433666238966\
         5602859248834147514519126435793/429200064290688302517322317685\
         378859009477200122738241563525120000000000000*ep^2-
         1331600716337090824702/507*ep^2*z5-238032927744781153276450357/
         340622880*ep^2*z4+892574253633424723062663092985037787/
         1070475375101932800*ep^2*z3-1107764667417108995756159191964808\
         68310434314325966042177089288686769380257759488096364662653750\
         647724081084029326760391190141844763500401/
         17912317158638007805144331120978343447122316981217128566040250\
         479873983182696284186368787417205435269120000000000000000*ep^3
         -9884056283889499926445/1521*ep^3*z6-
         11039947886013091787348906477/1532802960*ep^3*z5+8925742536334\
         24723062663092985037787/713650250067955200*ep^3*z4+11655380479\
         6487442884003209846255730096742019/83066234328979732486656000*
         ep^3*z3-1441487385944257680182/1521*ep^3*z3^2;
Fill mncnoptab(16,5,3,2)=
      +mncF321*(726211791043200+83825067057565680/13*ep+
         285488694723929884/13*ep^2+170192520019820249086/4095*ep^3)
      -1309103064492150438229291428524196413120237/
      366106736486984746885632000-1856978173042729/8619*ep^-3-
         12896071492879424807911/5211530064*ep^-2-
         43365636135069929790393270528701/4718021097671481600*ep^-1-
         82326358698280914008/8619*z3+595533428318780499740273361882201\
         9825544303728405616705747251554382235578613959936779/
         18283376285232908646064317163085769086337276276715290624000000\
         0000000*ep-41163179349140457004/2873*ep*z4-
         3014997897562489688718538489/18240355224*ep*z3-
         81388037201102250036971112069960103775816951170876815174450050\
         755906507051808609003569894120667/5958727559235722599948824843\
         86534315924824179503734925370694041600000000000000*ep^2-
         2663086101680797153372/2873*ep^2*z5-
         3014997897562489688718538489/12160236816*ep^2*z4+2819544616558\
         82597595510563577559249/1011004520929603200*ep^2*z3+
         37396215145144118425885033249158966786818650321271930073475514\
         44880814163232645902292596670961288145691438699806350476066798\
         4628651835603/725022361182966982589175307277694853812093782573\
         07425148258156704251836691865912182921282402974380851200000000\
         000000000*ep^3-19767329865860276365270/8619*ep^3*z6-
         5329614656336394091800819751/2026706136*ep^3*z5+28195446165588\
         2597595510563577559249/674003013953068800*ep^3*z4+864054409649\
         438971737021414480446216311203577/1647480314191431360985344000
         *ep^3*z3-2883345768019168201772/8619*ep^3*z3^2;
Fill mncnoptab(16,5,4,1)=
      +mncF321*(67241832504000+7876987630136240/13*ep+
         741160982857858816/351*ep^2+151510961043819928588/36855*ep^3)
      -2366755266569286947684717667554697670243933/
      7117114957306983479456686080-2456479011912035/465426*ep^-3-
         49276127718528048222281/469037705760*ep^-2-
         36518794581658693311418408473349/50954627854852001280*ep^-1-
         205899983345088004808/232713*z3+549329116738286786993266978046\
         39704546235919345898421786560504427313141905317437464801/
         18511918488798320004140121127624341199916492230174231756800000\
         000000000*ep-102949991672544002404/77571*ep*z4-
         1688121681034190082339672275/109442131344*ep*z3-
         11079305911774403532232345167294221385986682047933102166638844\
         16869788543426975685641723642959823/90498174805892536986722777\
         316204899231082672262129741790674157568000000000000000*ep^2-
         6658002502720643780662/77571*ep^2*z5-
         1688121681034190082339672275/72961420896*ep^2*z4+1444079234320\
         65528542771101329473053/6066027125577619200*ep^2*z3+
         74252761909060076518771520408941385881234986405369395985458978\
         99937072190839604462244267546793751654557532385213967015443563\
         1831494738909840337/249489112258101489202821070090534314843443\
         35933692049874844955297260519303262370332863063206637041035782\
         38976000000000000000000*ep^3-49420268812042108342945/232713*
         ep^3*z6-83675106967932959932352512715/328326394032*ep^3*z5+
         144407923432065528542771101329473053/4044018083718412800*ep^3*
         z4+421750341334089057550630064191415892408649811/
         8087630633303390317564416000*ep^3*z3-7207367676634354723406/
         232713*ep^3*z3^2;
Fill mncnoptab(16,6,1,3)=
      +mncF321*(141092576545536+82258670079165888/65*ep+
         1422328177136805664/325*ep^2+66390299356556878712/7875*ep^3)
      -240476255120115880984944538897956046903427/
      346109309704082218694400000+1148059594924/845*ep^-3-
         347987619847782318389/268240518000*ep^-2-
         5187542730390084292829017151/39824232704685000*ep^-1-
         1568959819679194096/845*z3+14950084651515420723215684610855100\
         38221883334866266292296448034713147692880967319/
         23899838281350207380476231585733031485408204283287961600000000\
         0000*ep-2353439729518791144/845*ep*z4-
         4331104426275324985846230809/134120259000*ep*z3-
         86803219348462588264375628538268773126795498356980968850555068\
         33661501167793356240945136939/33382227222609090195791735819973\
         9112562926711206574187882741760000000000000*ep^2-
         152185141179879579552/845*ep^2*z5-4331104426275324985846230809/
         89413506000*ep^2*z4+25021053368034640598374256826747059/
         487846850632391250*ep^2*z3+22342857328316990146430675771609865\
         95816873997959760629739194348577259651512414417774810373543040\
         152758031194296409835694448057135471793/
         66341915402362991870904930077697568322675248078581957652000927\
         7032369747507269784680325459896497602560000000000000000*ep^3-
         75308090680100192728/169*ep^3*z6-3367687680131227247216289683/
         6386679000*ep^3*z5+25021053368034640598374256826747059/
         325231233754927500*ep^3*z4+23690823912091649947532153287290508\
         59724601/22025137890259777553280000*ep^3*z3-
         54911363842998594976/845*ep^3*z3^2;
Fill mncnoptab(16,6,2,2)=
      +mncF321*(123456004477344+72556822958242392/65*ep+
         1270289516638142396/325*ep^2+782767029283443170284/102375*ep^3
         )
      -11784502125723989759574896647747943907821213/
      19382121343428604246886400000-138802358584901/3380*ep^-3-
         72152727796077541182907/153280296000*ep^-2-4367869530380037552\
         08259624686873/249777587523784320000*ep^-1-1371998829912372904/
         845*z3+2195202078073832356632890585154857354114844595725618963\
         2339402576254966528408608377/403309770997784749545536408009244\
         9063162634472804843520000000000000*ep-2057998244868559356/845*
         ep*z4-15216053943035670490217703919/536481036000*ep*z3-
         88001820605112242052529938155083537752854311864420866058812427\
         6711948229847056330463160492303/394327559067069877937789879373\
         44182671495717761276575943648870400000000000000*ep^2-
         133153254963067869123/845*ep^2*z5-
         15216053943035670490217703919/357654024000*ep^2*z4+76508029863\
         3022901623176492089946583/17841256251698880000*ep^2*z3+
         18285767451661424648941818282648713337918969182868293863908244\
         72407154583777952310053328895818398600608021430008194195047996\
         56273898896143/23509916270712385244251934596284075774348041037\
         84748124292782875483460292728887299460903348508213379072000000\
         00000000000*ep^3-131781256133155496219/338*ep^3*z6-
         4972147740413253750854303663/10519236000*ep^3*z5+7650802986330\
         22901623176492089946583/11894170834465920000*ep^3*z4+
         189094146905702518573825965321970232927611813/
         1938212134342860424688640000*ep^3*z3-48057138448398953269/845*
         ep^3*z3^2;
Fill mncnoptab(16,6,3,1)=
      +mncF321*(21786353731296+12945675819367368/65*ep+
         230507465834724804/325*ep^2+48341615856309705772/34125*ep^3)
      -3232698745742980731128081884196067119684629/
      29954187530753297472460800000-163972435273823/57460*ep^-3-
         5018359584415773984723/96509816000*ep^-2-472763278782907405424\
         200015424713/1415406329301444480000*ep^-1-4117814937262310152/
         14365*z3+23397744014234540095047404592096537868240858332504341\
         483864605720561399015037171971393/2468255798506442667218682817\
         0165788266555322973565642342400000000000000*ep-
         6176722405893465228/14365*ep*z4-1700673358808160683639432391/
         337784356000*ep*z3-1889215277847190565071314278929105768387078\
         2865504815670562881882058772977461778015594964421607/
         49250707377356482713862735954397224071337508714084213219414507\
         52000000000000000*ep^2-399477542828748138249/14365*ep^2*z5-
         5102020076424482050918297173/675568712000*ep^2*z4+714711813907\
         369010451460853530653863/101100452092960320000*ep^2*z3+
         72658579107642760195024799089400953054089197313344680446761338\
         80834508022763311797659108883518556097834163787404683711991454\
         34725668174617/12511364137109547625636681715587699455566087926\
         22839871362767930257284955782677415017454651553936163471360000\
         00000000000000*ep^3-395359727891485828097/5746*ep^3*z6-
         29117427118009172344886955557/337784356000*ep^3*z5+71471181390\
         7369010451460853530653863/67400301395306880000*ep^3*z4+
         594012213316888781672531064081530933549258111/
         32949606283828627219706880000*ep^3*z3-144147972034834525087/
         14365*ep^3*z3^2;
Fill mncnoptab(16,7,1,2)=
      +mncF321*(4479129414144+2734922590156592/65*ep+
         3191043465964367948/20475*ep^2+2098971722972390154142/6449625*
         ep^3)
      -482008761443870065809544022332377403975799/
      21804886511357179777747200000-17441409411074/17745*ep^-3-
         219341804600575874898703/16899152634000*ep^-2-
         29146650812684193137787592633207/491749625437450380000*ep^-1-
         348495089024773328/5915*z3+36506381616360891728080244072057509\
         61569693803411131246406031137551999902670030857/
         19358869007893667978185747584443755503180645469463248896000000\
         000000*ep-522742633537159992/5915*ep*z4-
         1267242560814865679543046199/1207082331000*ep*z3-
         13900457609549281659532296301226192020946698773778598252852729\
         1897793392007132907437894778579/189277228352193541410139142099\
         252076823179445254127564529514577920000000000000*ep^2-
         101451888430112527208/17745*ep^2*z5-
         1267242560814865679543046199/804721554000*ep^2*z4+668512229829\
         3766215355400381807041/5588063925425572500*ep^2*z3-
         48202113237047785421537468245449971663256392067306669149412886\
         64312381923024650220032765315848274991773666619240870593116467\
         7305364280739/161210854427742070246298980088805091024100852830\
         95415709436225431886584864426655767731908675484891742208000000\
         0000000000*ep^3-50203201581519103612/3549*ep^3*z6-
         53970991909208482472287879537/2816525439000*ep^3*z5+6685122298\
         293766215355400381807041/3725375950283715000*ep^3*z4+701466381\
         9674058702059889714862997833890847/
         1695935617550002871602560000*ep^3*z3-36613642361538675224/
         17745*ep^3*z3^2;
Fill mncnoptab(16,7,2,1)=
      +mncF321*(1959619118688+1206298893288104/65*ep+203525968801650308/
         2925*ep^2+135875425016953383532/921375*ep^3)
      -1695109805809125674136393847313728062417739/
      174439092090857438221977600000-13155902031041/10140*ep^-3-
         154336425653538735603307/9656658648000*ep^-2-
         22337159141368774027219586182937/321142612530579840000*ep^-1-
         21769218897938248/845*z3+3588195899115725001600768020338653668\
         67617892547632029964162851330050047014941524521/
         43557455267760752950917932064998449882156452306292310016000000\
         00000000*ep-32653828346907372/845*ep*z4-
         2226403524887465799242605417/4828329324000*ep*z3-
         13447283554627353270988829559710436131181839318283403668461234\
         600114497023685259228014513136371/4258737637924354681728130697\
         2331717285215375182178702019140780032000000000000000*ep^2-
         6340320922383298103/2535*ep^2*z5-2226403524887465799242605417/
         3218886216000*ep^2*z4+549739798216215557277558516499815463/
         1123999143857029440000*ep^2*z3+
         12753937570524126044591040185172435517624322765006940405813989\
         19793600046728520822917935494519746972761309538424285766175239\
         8167948777981/362724422462419658054172705199811454804226918869\
         64685346231507221744815944959975477396794519841006419968000000\
         000000000000*ep^3-6275013265689483359/1014*ep^3*z6-
         13798306688084845295443597753/1609443108000*ep^3*z5+5497397982\
         16215557277558516499815463/749332762571352960000*ep^3*z4+
         3593403348218568950538996565800303288160939/
         1938212134342860424688640000*ep^3*z3-2288633929268483489/2535*
         ep^3*z3^2;
Fill mncnoptab(16,8,1,1)=
      +mncF321*(29085255936+136608554678816/455*ep+181163643939116024/
         143325*ep^2+1507962738715627706156/496621125*ep^3)
      -245611966320188925625607771202673463646577/
      1678976261374502842886534400000-9501340118072/124215*ep^-3-
         939966974234365074252539/1301234752818000*ep^-2-
         12687527824792406937632866793737/4733090144835459907500*ep^-1-
         15853958543152304/41405*z3+19339096754129726430290920899555768\
         964634018123572127717360807/1742841479671012340595008102437782\
         4582041600000000*ep-23780937814728456/41405*ep*z4-
         95289738636988377258143291/13277905641000*ep*z3-
         10918368451665269860189933068115789775394853324988176142756401\
         534040339/3042903972951021904190278945404252143763295567872000\
         000000*ep^2-4611031587626621744/124215*ep^2*z5-
         95289738636988377258143291/8851937094000*ep^2*z4+1373370870580\
         9633981579424107473611/9466180289670919815000*ep^2*z3+
         33378600416082045356360647689057236652804125331325321238359857\
         760087901953261897282088456625760087755287452934656219/
         15341310304971674188361262681338492046502064426848050306793314\
         02142121140695852321341440000000000000000*ep^3-
         2281734855998582416/24843*ep^3*z6-
         34459537271839914314285381831/216872458803000*ep^3*z5+13733708\
         705809633981579424107473611/6310786859780613210000*ep^3*z4+
         4507808342963849318923710185097860928132569/
         130587042551350221113397120000*ep^3*z3-1661967266437459472/
         124215*ep^3*z3^2;
Fill mncnoptab(17,1,1,7)=
      +mncF321*(415378015064397+924511604822559523/260*ep+
         29686597273499481167/2600*ep^2+1625481138775623156644879/
         81081000*ep^3)
      -376467753490827733725075791275410044427968353373/184207681247945\
      454762408345600000+176699562081671/4867200*ep^-3+
         1001878897479135246359249/3399143844096000*ep^-2+
         44123351420963597923296700535851/113042199610764103680000*
         ep^-1-207850562731955317316/38025*z3+1306989902589361909062720\
         1563569758926347541343759367925967577185427342611121/
         679381394294256498018191595931528074488709120000000000000000*
         ep-103925281365977658658/12675*ep*z4-1577778997723843665963159\
         80785189/1699571922048000*ep*z3-479979999187336990727116872580\
         394047236836737306787856999783832697164140282704501973197/
         56935776237886570849304309347458961861955023370452992000000000\
         00000000*ep^2-645168138911120163259079/1216800*ep^2*z5-1577778\
         99772384366596315980785189/1133047948032000*ep^2*z4+4401300294\
         571049347744894837575611950043/23273394037510256640000*ep^2*z3
         +3519843177867346418266518989834850881213088622186595473207430\
         6257553051444869770363132965581201090770249854206478457703/
         58992614106877890633453344940835415635390788676537057392421065\
         812117671367619379200000000000000000000*ep^3-
         638516920903697593104967/486720*ep^3*z6-
         36028697058384902520842957622401/26977332096000*ep^3*z5+
         4401300294571049347744894837575611950043/
         15515596025006837760000*ep^3*z4+222844812256049788870592370043\
         61812640280471081337/92103840623972727381204172800000*ep^3*z3-
         25865847914317161888169/135200*ep^3*z3^2;
Fill mncnoptab(17,2,1,6)=
      +mncF321*(879624031901076+493109128281970431/65*ep+
         16028221395283787349/650*ep^2+4502494369280952182891/102375*
         ep^3)
      -2013193175619651108588094405123450917879624439/
      465170912242286501925273600000-25094474537/135200*ep^-3-
         3339678353514571854413/8583696576000*ep^-2-
         828956293576393389631215601087/285460100027182080000*ep^-1-
         48906017364069895392/4225*z3+338699007853336692487174497980140\
         713475916955654163222075554763377712716433793711/
         83699787777052400555841204618764258777008963584000000000000000\
         00*ep-73359026046104843088/4225*ep*z4-
         49818455606842650779973952111/252461664000*ep*z3-
         13709084815246538490407465976537899427158590611644048450692562\
         05868013938182979297851394411/77938751472306950318158787906743\
         82334880954310266454016000000000000000000*ep^2-
         37951068338566737320087/33800*ep^2*z5-
         49818455606842650779973952111/168307776000*ep^2*z4+38757292367\
         2280106500982085473180156833/999110350095137280000*ep^2*z3-
         27953446959763038623380451424967941701059704251651428691314737\
         88403374146336362053222727560026222434507457437476256614267596\
         6522697/116556761304258068852298761298647511725677931192085853\
         723514738855522277332918613254848118784000000000000000000000*
         ep^3-37559820199654178156951/13520*ep^3*z6-
         65855233868258635551631405361/22708192000*ep^3*z5+387572923672\
         280106500982085473180156833/666073566730091520000*ep^3*z4+
         125267480550637928954668637165113850625763772171/
         232585456121143250962636800000*ep^3*z3-13693684179565646622113/
         33800*ep^3*z3^2;
Fill mncnoptab(17,2,2,5)=
      +mncF321*(1552277703354840+175536457565831208/13*ep+
         5785224770921269047/130*ep^2+6615734002532735396557/81900*ep^3
         )
      -6039657495295231890724001450763963819615981977/
      790790550811887053272965120000+16687785664869/229840*ep^-3-
         33770456750769255143899/14592284179200*ep^-2-
         14988395611595094622988614911641/485282170046209536000*ep^-1-
         293436228682876163632/14365*z3+2089660801726456975189568564182\
         2290834018596443125170852530085414499268564535517/
         295051795888642958247406947225698263900009837709230080000000000
         *ep-440154343024314245448/14365*ep*z4-
         2551804746872483196994408478941/7296142089600*ep*z3-
         50288394520314586613194011790964931474750050941545690428875692\
         421857870125771535327074803/1648460709540352060233287438554924\
         71938013297949238894285291520000000000*ep^2-
         113853208172796102320101/57460*ep^2*z5-
         2551804746872483196994408478941/4864094726400*ep^2*z4+
         1118983817200774966321763455446436040119/
         1698487595161733376000*ep^2*z3+1613925160471936325406406230899\
         42993745410693105082334667646415475311064183149795439797351280\
         13083674041962254325225631019/42449129388166458884002746774133\
         68651552806705620986194305952541522607299109772595466076160000\
         0000000000*ep^3-112679463258064597665573/22984*ep^3*z6-
         609731027171888539400139775969/115811779200*ep^3*z5+1118983817\
         200774966321763455446436040119/1132325063441155584000*ep^3*z4+
         396562648711757439527583010848002243712737243893/
         395395275405943526636482560000*ep^3*z3-41081043415915894682819/
         57460*ep^3*z3^2;
Fill mncnoptab(17,3,1,5)=
      +mncF321*(610850022153525+277256462211642375/52*ep+
         5512645464998525777/312*ep^2+50374631376978236231/1560*ep^3)
      -10651954228354328299412935776775263195128051/
      3544159331369801919430656000+64801296421015/194688*ep^-3+
         31839547374743085043/13079918592*ep^-2-
         102603644909150408019654724741/137020848013047398400*ep^-1-
         12226520930322909980/1521*z3+482209137653126059791541683833697\
         194205274799291995529169905811538846018430791/1735598799344958\
         5779259232189746956700000578688778240000000000*ep-
         6113260465161454990/507*ep*z4-13525181782515890474588379617/
         98099389440*ep*z3-11559481905105472835586198379992225227749080\
         71499962966057035896145027362754108328587007/96968277031785415\
         30784043756205439525765488114661111428546560000000000*ep^2-
         12650357695150020099485/16224*ep^2*z5-
         13525181782515890474588379617/65399592960*ep^2*z4+158926855028\
         6347763854126289745935047/6228220364229427200*ep^2*z3+
         42882095516477943806325060595568277410760081869124764981005558\
         91186084962681493182874359829274047364471705523573315881588768\
         28144969/28906375188764939976026354686893507445598144671141143\
         4632171874339009949155937883588522658696160870400000000000000*
         ep^3-187799122078398635895475/97344*ep^3*z6-
         205529218116382883980625313779/98099389440*ep^3*z5+15892685502\
         86347763854126289745935047/4152146909486284800*ep^3*z4+
         2142107295111503033338038210785293551751974469/
         5316238997054702879145984000*ep^3*z3-13693676786239793282401/
         48672*ep^3*z3^2;
Fill mncnoptab(17,3,2,4)=
      +mncF321*(862376501863800+98786119227233130/13*ep+
         332325877104693241/13*ep^2+9284132803813534319/195*ep^3)
      -426091567339208439905383447277739333781579/
      100417847722144387717201920-837939366627209/137904*ep^-3-
         670029754859579383853/9264942336*ep^-2-
         27907035642573797966058481821349/97056434009241907200*ep^-1-
         97810780824777514648/8619*z3+255706579972639753907737239550911\
         438245564008564900799073213582811479056925788057/
         65754400226611859266564976810298470240573620975199846400000000\
         00*ep-48905390412388757324/2873*ep*z4-
         13590534221876457849650924609/69487067520*ep*z3-
         37889172420614105800633011143602641336122408587462055096355273\
         74333451773769587386452566893/22960702740026332267535075037015\
         022877080423642929703132594176000000000000*ep^2-
         12650338763075844492893/11492*ep^2*z5-
         13590534221876457849650924609/46324711680*ep^2*z4+167015339446\
         26375488770223698847770541/48528217004620953600*ep^2*z3+
         78422884605623858722292350262688833826048796339349443090755092\
         47316207480387848802125636810066556430421629831502047417425322\
         8251140379/782241908169434906290019312547363079038023261917003\
         18841277531708883100526688496660894090904308023296000000000000\
         000*ep^3-187798865829642117100435/68952*ep^3*z6-
         211879358993883052789855894163/69487067520*ep^3*z5+16701533944\
         626375488770223698847770541/32352144669747302400*ep^3*z4+
         2259485937236278589909056082990390170962474469/
         3765669289580414539395072000*ep^3*z3-13693742498937434657185/
         34476*ep^3*z3^2;
Fill mncnoptab(17,3,3,3)=
      +mncF321*(359323542443250+83450052373505895/26*ep+
         1720780461451629347/156*ep^2+5485043439377778277/260*ep^3)
      -159828461142202722358880719347548788991129581/
      90376062949929948945481728000-35311224417194957/1654848*ep^-3-
         422287501969861987027039/1667689620480*ep^-2-
         25962684408801983549791673024173/25881715735797841920*ep^-1-
         122253347778775222702/25857*z3+7861767159008472431682667318679\
         692133386754883178812735458421029495816861920847/
         491752993147738263745678245376163773166683062848716800000000000
         *ep-61126673889387611351/8619*ep*z4-
         68424927206879119139816630021/833844810240*ep*z3-
         57308476126381182428655169459213506212094578789973904503539472\
         630120041643308978727955607/8585732862189333647048372075806899\
         58010485926818952574402560000000000000*ep^2-
         63251108193337725459953/137904*ep^2*z5-
         68424927206879119139816630021/555896540160*ep^2*z4+86457613190\
         22519411446617716541317961/64704289339494604800*ep^2*z3+
         74830629469625513158202734826425754635219136285737494534330154\
         8399487946249196029913181297768335033064405980159902573080277/
         12027253326647163350467444919337877846066285665926127550533532\
         200980720680811022353820549120000000000000000*ep^3-
         938986355077763864083135/827424*ep^3*z6-
         1105543762296874998557065245247/833844810240*ep^3*z5+864576131\
         9022519411446617716541317961/43136192892996403200*ep^3*z4+
         12113195030315411542399208348081697458058151177/
         45188031474964974472740864000*ep^3*z3-68470422093345192922309/
         413712*ep^3*z3^2;
Fill mncnoptab(17,4,1,4)=
      +mncF321*(171466672885200+19813592924936580/13*ep+
         608105804668321036/117*ep^2+1919297989843520011/195*ep^3)
      -560641201073311672538215144300780436320633/
      664529874631837859893248000-11807764279619/36504*ep^-3-
         541577344862093965/129078144*ep^-2-
         494088304861855236939816756127/25691409002446387200*ep^-1-
         10295953780340860016/4563*z3+296456548641023362189492034026139\
         3335806016402798146772258122964793477716436603/386790589568305\
         054509205745942932177885727182207057920000000000*ep-
         5147976890170430008/1521*ep*z4-143699188127105372715312559/
         3678727104*ep*z3-127912725739363478517647191850651923253750561\
         4319237027489901766603513971595170673106831/397243992041978066\
         91237154043278586292526684503338586734592000000000000*ep^2-
         665807902552385717663/3042*ep^2*z5-143699188127105372715312559/
         2452484736*ep^2*z4+840803902485549824611612987541526167/
         12845704501223193600*ep^2*z3-771156606555265378439522312927653\
         67178256187160230618697104330883460441766849791107719628548120\
         6539473237438522379303662826382280193/
         10065612788944934455937748507043274914092211090843791027370270\
         62430481072953712273210034257959845888000000000000000*ep^3-
         9884159000482377164785/18252*ep^3*z6-
         2292413143207381322886993229/3678727104*ep^3*z5+84080390248554\
         9824611612987541526167/8563803000815462400*ep^3*z4+12459333299\
         1489347679709895121397907454127951/996794811947756789839872000
         *ep^3*z3-720721591338021439243/9126*ep^3*z3^2;
Fill mncnoptab(17,4,2,3)=
      +mncF321*(181552947760800+21193060213723860/13*ep+
         73425168855669169/13*ep^2+12762272948092986451/1170*ep^3)
      -1682557297449126381165992046241960522476061/
      1882834644790207269697536000-92279530703129/11492*ep^-3-
         10347504630793645791241/104230601280*ep^-2-
         10250899820018298890654658135581/24264108502310476800*ep^-1-
         6863527309423733872/2873*z3+5268195982776241681668860090312385\
         528364431535106848595266116206353581195803119/6556706575303176\
         84994237660501551697555577417131622400000000000*ep-
         10295290964135600808/2873*ep*z4-2166674051161079643279147841/
         52115300640*ep*z3-39144438718826626127856689948249186167485308\
         64789195240441970120292055375808340669408681/11741173144874302\
         4233140130951205464343314314778660181114880000000000000*ep^2-
         665803041489201196119/2873*ep^2*z5-
         2166674051161079643279147841/34743533760*ep^2*z4+7956447953775\
         61428992749099109787037/12132054251155238400*ep^2*z3-
         27986893035970740410165267818376812296428178813489101615256842\
         11881110421310209985987396881038844729320260654956495350285882\
         977761353/1560026597488901522515708030721236909762439553680633\
         13928473709960735528115902984793805879296340787200000000000000\
         00*ep^3-3294697570898887311235/5746*ep^3*z6-
         11826659240748070265222692909/17371766880*ep^3*z5+795644795377\
         561428992749099109787037/8088036167436825600*ep^3*z4+
         43606149015890488806829656688760711158609499/
         313805774131701211616256000*ep^3*z3-240245038369907591713/2873
         *ep^3*z3^2;
Fill mncnoptab(17,4,3,2)=
      +mncF321*(50431374378000+5970730548260940/13*ep+
         190273710280830022/117*ep^2+5661584315010322528/1755*ep^3)
      -1683575467374574280097650359894641303627251/
      6778204721244746170911129600-9606198859173455/620568*ep^-3-
         112020173232335949566213/625383607680*ep^-2-
         1311007740881388359653454176211/1941128680184838144*ep^-1-
         51452771934063392816/77571*z3+13535180116061148897888894186256\
         0745199652750866711319584323766676125252935683355737/
         61370773544837735315460645022945238891202046243519856640000000\
         000000*ep-25726385967031696408/25857*ep*z4-
         242437022461463882819109113/20846120256*ep*z3-
         76845776803116322345836300325491167208320413953596152666715544\
         4527320283609292843019614849319/857199568960983071321309468048\
         56085407766914933604225028351590400000000000000*ep^2-
         3328849874802212391323/51714*ep^2*z5-
         242437022461463882819109113/13897413504*ep^2*z4+13556257633436\
         0010092017420793198129/8088036167436825600*ep^2*z3+
         82936481899260675051342173924142912924674013113281537739479863\
         48158925725089647778877896952839201744058601479638579689155858\
         78538359176843/25686556896434475844574987791265411158857849071\
         31984266924825800648101070280430843396918774019491983523840000\
         0000000000000*ep^3-49418220402692551941685/310284*ep^3*z6-
         12338781545645960558607692273/62538360768*ep^3*z5+135562576334\
         360010092017420793198129/5392024111624550400*ep^3*z4+
         695533468360607269192139546791017382925209459/
         16945511803111865427277824000*ep^3*z3-3604213758539947327159/
         155142*ep^3*z3^2;
Fill mncnoptab(17,4,4,1)=
      +mncF321*(3539043816000+427335423565820/13*ep+42091378139542963/
         351*ep^2+2597203696074434339/10530*ep^3)
      -26481196080904108006847429540758090741787/
      1509209644964650514616931200-5178611518657115/8843094*ep^-3-
         44625217741155386395681/4455858204720*ep^-2-
         4285267347796636930626835502009/69152709231584858880*ep^-1-
         205877529337358282096/4421547*z3+12973397297783949138508408143\
         60553729149705054317465162893926279001263657028872097/
         85659849208588941854453792869491977148417915785261875200000000\
         00000*ep-102938764668679141048/1473849*ep*z4-
         12893270872538188673807843/15634590192*ep*z3-
         65280298545278346217262510463438295964862820991988269279205122\
         1542473194040090374509553739/108768957744443965974487886420720\
         6359627729449028119392629555200000000000000*ep^2-
         6657913810498926484894/1473849*ep^2*z5-
         12893270872538188673807843/10423060128*ep^2*z4+593023142971669\
         08908187902561056273/57627257692987382400*ep^2*z3+
         35412873456210950690217975601116136674472115576990229528409414\
         52342186021617784034636304261269873210112934092204481282165729\
         6081/216695506926969349932713323774784435877139774539329118649\
         48396588978075833130150060533129569894400000000000000000*ep^3-
         49419659755398552931465/4421547*ep^3*z6-
         13069059676338464872290169247/891171640944*ep^3*z5+59302314297\
         166908908187902561056273/38418171795324921600*ep^3*z4+
         187527355786505003512910989580520254732152999/
         60368385798586020584677248000*ep^3*z3-7207554747134161472822/
         4421547*ep^3*z3^2;
Fill mncnoptab(17,5,1,3)=
      +mncF321*(19290000699585+9165839779669419/52*ep+
         326074643156054639/520*ep^2+29247535518659105633/23400*ep^3)
      -1683005691255224600925586331350746668561939/
      17720796656849009597153280000+13666032602761/64896*ep^-3+
         682798030546494881773/980993894400*ep^-2-
         807033075972523499567744374493/76122693340581888000*ep^-1-
         128703961600686164/507*z3+970759429287737941785282199904673049\
         45199767110786768462813882878089121173147/11570658662299723852\
         8394881264979711333337191258521600000000000*ep-
         64351980800343082/169*ep*z4-2186514412133650129250865857/
         490496947200*ep*z3-6884873385372590743855312963798178911927931\
         99465828398655769191889149389244206251552019/20201724381621961\
         5224667578254279990120114335722106488094720000000000000*ep^2-
         133162025879430186947/5408*ep^2*z5-
         2186514412133650129250865857/326997964800*ep^2*z4+238799570173\
         108101110340369144323141/38061346670290944000*ep^2*z3+
         82810498041926285265028984797197330400890943719039159333825111\
         36590471925803254549205251769067501474794114045875363903237504\
         9423649/301108074882968124750274527988474035891647340324386911\
         075179035769802030370768628738044436141834240000000000000000*
         ep^3-1976837754335343017965/32448*ep^3*z6-
         4154802760741752847574388571/54499660800*ep^3*z5+2387995701731\
         08101110340369144323141/25374231113527296000*ep^3*z4+
         28304901837615765153189288730523743688234251/
         1772079665684900959715328000*ep^3*z3-144142262803668216703/
         16224*ep^3*z3^2;
Fill mncnoptab(17,5,2,2)=
      +mncF321*(13616471082060+1634715226500741/13*ep+59099595736395291/
         130*ep^2+2703338141468192651/2925*ep^3)
      -721669107295250879822673935313938637378511/
      10759055113086898683985920000-1206676613418661/275808*ep^-3-
         211217335827674180212361/4169224051200*ep^-2-18603104046734395\
         2887587358726357/970564340092419072000*ep^-1-
         1543520036588238016/8619*z3+1200789039153643015637079428237111\
         4802090743284129372185320731976040366946772440869/
         20456924514945911771820215007648412963734015414506618880000000\
         000000*ep-771760018294119008/2873*ep*z4-
         6593362957424466928715030531/2084612025600*ep*z3-
         66946127144132877084060383495860027913357119219923606591417312\
         730050723143012946143136275783/2857331896536610237737698226828\
         5361802588971644534741676117196800000000000000*ep^2-
         399460447227146879497/22984*ep^2*z5-
         6593362957424466928715030531/1389741350400*ep^2*z4+20035643510\
         72394534470908155996878269/485282170046209536000*ep^2*z3+
         26712319890202400764143992554039325763617813347003227463150661\
         29314508622039869908746751808618733379252203081200974313982204\
         5521753667037/681419617783152185034861267819036282184233597047\
         70055523957316510849278681026423757934408076641655848960000000\
         0000000000*ep^3-5930165906943673671815/137904*ep^3*z6-
         38559041034830031411263813779/694870675200*ep^3*z5+20035643510\
         72394534470908155996878269/323521446697473024000*ep^3*z4+
         12625271045094183729342834659135326371339751/
         1075905511308689868398592000*ep^3*z3-432512872566458010173/
         68952*ep^3*z3^2;
Fill mncnoptab(17,5,3,1)=
      +mncF321*(1891176539175+921353506188885/52*ep+20423611641702115/
         312*ep^2+42630422684114779/312*ep^3)
      -1696978775105892056845187784169489044678899/
      180752125899859897890963456000-1342152274958803/3309696*ep^-3-
         4491008614829241849181/667075848192*ep^-2-
         3503216592623659730668413761173/86272385785992806400*ep^-1-
         643343786550431428/25857*z3+3029688303710370996975671814467051\
         149256570393552472539838252449331204559038736499/
         37766629873746298655668089244889377779201259226781450240000000\
         000000*ep-321671893275215714/8619*ep*z4-
         738227118440551213489637803/1667689620480*ep*z3-
         16555424999469715377009455631910128938336907481282197631088112\
         003655368984279560791809232963/5275074270529126592746519803375\
         7591020164255343756446171293286400000000000000*ep^2-
         665787583933601429839/275808*ep^2*z5-
         738227118440551213489637803/1111793080320*ep^2*z4+317363447715\
         7751567411433803142683/6162313270428057600*ep^2*z3+
         33068660040283684581061521082764294329897075282526558880647276\
         47764607899844435688557357840941158416560622027106251589157880\
         52087766278947/47542928977542627480373113497679411896394882778\
         15885672746068109128556300495377324346486346232527174238208000\
         00000000000000*ep^3-9883878753155952419105/1654848*ep^3*z6-
         13393031313854535659823625361/1667689620480*ep^3*z5+3173634477\
         157751567411433803142683/4108208846952038400*ep^3*z4+
         154803299351418905929554606958314725223085079/
         90376062949929948945481728000*ep^3*z3-720756275072643599867/
         827424*ep^3*z3^2;
Fill mncnoptab(17,6,1,2)=
      +mncF321*(734857169508+456558461867739/65*ep+52046486978991527/
         1950*ep^2+17648605138026627029/307125*ep^3)
      -1686936354559943692911882854827651793573539/
      465170912242286501925273600000-3954421256841/27040*ep^-3-
         50445992376101251770307/25751089728000*ep^-2-
         3205697139215258365275336994327/352627182386519040000*ep^-1-
         8168058894691168/845*z3+10724892221352624439596294812666427227\
         5487346219991731008510370640185370381747/352543506116944711141\
         2031538542350579687617546158080000000000000*ep-
         12252088342036752/845*ep*z4-319742477507594637418104631/
         1839363552000*ep*z3-284967883677539843390352290675165848019519\
         794463851566692268553180125560144423590624147/
         24620851590101765605506361099740373795888934666131728236544000\
         00000000000*ep^2-6340762675179125303/6760*ep^2*z5-
         319742477507594637418104631/1226242368000*ep^2*z4+503864777232\
         538066283452485201121663/2997331050285411840000*ep^2*z3-
         38280494220610453545592262069152831565543974487246521278807994\
         99689902823205272461967851974718338331292409918323250498870915\
         01445353/14679018650544696081575883239438109249717807840813861\
         914914977993777848980574970650979666261914419200000000000000000
         *ep^3-6275418204021595959/2704*ep^3*z6-
         14155370272554828273633160753/4291848288000*ep^3*z5+5038647772\
         32538066283452485201121663/1998220700190274560000*ep^3*z4+
         3691794751800506587166464226916509804451779/
         5168565691580961132503040000*ep^3*z3-2288339332772575489/6760*
         ep^3*z3^2;
Fill mncnoptab(17,6,2,1)=
      +mncF321*(259361353944+162873713248092/65*ep+6287305610229017/650
         *ep^2+8692308764714562311/409500*ep^3)
      -1698340172929389592755387040807752808832759/
      1317984251353145088788275200000-47298347774843/229840*ep^-3-
         184814162981366775142207/72961420896000*ep^-2-1879998815619315\
         34761660533564339/16984875951617333760000*ep^-1-
         48972898761519568/14365*z3+10476209375800722997534035022491614\
         603596783856400045723036367053968718607054147199/
         98193237671740376504737032036712382225923273989631770624000000\
         0000000*ep-73459348142279352/14365*ep*z4-
         321415851019670158904131831/5211530064000*ep*z3-
         54381539483960257373301676185271219504205929847848391874518381\
         691663810692479307323180025323/1371519310337572914114095148877\
         697366524270638937667600453625446400000000000000*ep^2-
         19020586472039411589/57460*ep^2*z5-321415851019670158904131831/
         3474353376000*ep^2*z4+451625608112972910624882984614453083/
         8492437975808666880000*ep^2*z3+
         18579685117972226018356639312814027678461498151711947132116699\
         47989752870178417319851504247397075417000566020989374021776046\
         847666429607/3270814165359130488167334085531374154484321265828\
         96266514995119252076537668926834038085158767879948075008000000\
         00000000000*ep^3-18824694876993333317/22984*ep^3*z6-
         14565430905240845935593281353/12160236816000*ep^3*z5+451625608\
         112972910624882984614453083/5661625317205777920000*ep^3*z4+
         34128726667175639254634857492734718491014719/
         131798425135314508878827520000*ep^3*z3-6866153331025836067/
         57460*ep^3*z3^2;
Fill mncnoptab(17,7,1,1)=
      +mncF321*(5567099769+15174185908343/260*ep+5874865841662687/23400
         *ep^2+50184034551559616503/81081000*ep^3)
      -1722517080484300679776698310551618189260659/
      61402560415981818254136115200000-4750462901371/324480*ep^-3-
         476354408615618866555507/3399143844096000*ep^-2-41937562348912\
         0291292500804874039/791295397275348725760000*ep^-1-
         61929521243404/845*z3+1113384309117804032929635714805594171325\
         7486397811461108823243713/535400902554934991030786489068886771\
         16031795200000000*ep-92894281865106/845*ep*z4-
         336374865538529693763327031/242795988864000*ep*z3-
         81293853756181899323846708426793192990417743077329634904865954\
         74408529019/12463734673207385719563382560375816780854458646003\
         712000000000*ep^2-576378921729988933/81120*ep^2*z5-
         336374865538529693763327031/161863992576000*ep^2*z4+2305300256\
         1193821491847558732047983/395647698637674362880000*ep^2*z3+
         19693596766852669630806682669621615021802580771627003553470335\
         03588312347266306093186745292715090144742227133/
         10017725123341401117620110283574368696176095792549629849970183\
         29270899615979274240000000000000000*ep^3-570433687690622149/
         32448*ep^3*z6-17876701281761691476800103953/566523974016000*
         ep^3*z5+23053002561193821491847558732047983/
         263765132425116241920000*ep^3*z4+15187133646080552473404423320\
         87236575836017/227416890429562289830133760000*ep^3*z3-
         207745908511840099/81120*ep^3*z3^2;
Fill mncnoptab(18,1,1,6)=
      +mncF321*(18262090627704+178718932237227228/1105*ep+
         465834501644071449/850*ep^2+78728244189657539215357/76576500*
         ep^3)
      -3496567291996313867371391153604318773256032153/
      38915219211006020779485388800000-265719438334811/19536400*ep^-3-
         58042479833432625104011/718093984608000*ep^-2+
         2603836502518295779309029017911/23880990999642416640000*ep^-1-
         293435307242460556752/1221025*z3+14447632017790634958303462417\
         651714465120760805847505394811895281477823733/1763626423700570\
         9736623820011718657215078124748800000000000*ep-
         440152960863690835128/1221025*ep*z4-
         1490967227400932267381789825029/359046992304000*ep*z3-
         56736841511091742144104686931391992718230256680764794140215070\
         617756448789409539017/1642236440227602361682233927002886485144\
         2029041090035712000000000000*ep^2-113853165434241674487461/
         4884100*ep^2*z5-1490967227400932267381789825029/
         239364661536000*ep^2*z4+594211758244446148954254150811698818791
       /83583468498748458240000*ep^2*z3-9559988819873983176795088863649\
         01957384015495495140921972050023770218372466260755355764972606\
         1465207469691533578319/111252204523690784682608548112423482499\
         5956420054586853011204739795456458431477999206400000000000000*
         ep^3-112679424205271832260453/1953640*ep^3*z6-
         373953846401742817674114223961/5699158608000*ep^3*z5+594211758\
         244446148954254150811698818791/55722312332498972160000*ep^3*z4
         +255812994607137344485185391014216400330306116757/
         19457609605503010389742694400000*ep^3*z3-
         41081094245422638311939/4884100*ep^3*z3^2;
Fill mncnoptab(18,2,1,5)=
      +mncF321*(25364014760700+50210410761850185/221*ep+
         346395758842763311/442*ep^2+6156485240363416541/4095*ep^3)
      -223688489092554861578049906785595170091725887/
      1792458581840277320752054272000+3921604641053/1562912*ep^-3+
         1048153806869348000989/19845506483712*ep^-2+
         793052211081783856076899152427/3299918756314224844800*ep^-1-
         16302011688547358752/48841*z3+54294165184905767066592182536398\
         50260871999364623292514732095607065385009543/48252818952447621\
         83940277155206224614045374931271680000000000*ep-
         24453017532821038128/48841*ep*z4-57563692630943956701952241969/
         9922753241856*ep*z3-935132890284694919295438741236061370377049\
         25296048347962355754328836039601073382547/19969595113167644718\
         055964552355099659353507313965483425792000000000*ep^2-
         12650356698983590884957/390728*ep^2*z5-
         57563692630943956701952241969/6615168827904*ep^2*z4+1073355549\
         43340150191284928251166479691/11549715647099786956800*ep^2*z3+
         77848344087071378497909258985106709259768999825877037600319547\
         844958030772277572796523513925528892527113449900048352451682571
       /181821281758613231062436833417393579226391556373034165417801526\
         7607640187831037118808926332125184000000000000*ep^3-
         62599703027376060074705/781456*ep^3*z6-
         44606818966689544393408558007/472512059136*ep^3*z5+10733555494\
         3340150191284928251166479691/7699810431399857971200*ep^3*z4+
         5763795215993320375330250824960089646033157521/
         298743096973379553458675712000*ep^3*z3-4564560775487113260299/
         390728*ep^3*z3^2;
Fill mncnoptab(18,2,2,4)=
      +mncF321*(28182238623000+56487789847073970/221*ep+
         1787817388768382345/1989*ep^2+73765406805991072541/41769*ep^3)
      -1118453897176333922686215972237095609384688811/
      8066063618281247943384244224000-2142816998255021/21099312*ep^-3-
         56087732657335891939811/49613766209280*ep^-2-
         798437459101459262066856823019/197995125378853490688*ep^-1-
         489056407966405451656/1318707*z3+26516504165258275754329460961\
         71267499454786211267235687496942002165051339851/21475155687627\
         78774171222250393979086470743788093440000000000*ep-
         244528203983202725828/439569*ep*z4-
         482790092217866564417875174051/74420649313920*ep*z3-
         49343845679624634705912736815798963403944358227974763601653707\
         2730269260228226462563043/974855011439679441928312376696442030\
         24567233249202036277248000000000000*ep^2-
         63251730592754761075601/1758276*ep^2*z5-
         482790092217866564417875174051/49613766209280*ep^2*z4+16642541\
         9699625576046361374570647462061/17324573470649680435200*ep^2*
         z3+23095149294416417117537409352406170912742387069642342869335\
         56968016296535564408423796044871095483557106347411709252127405\
         73/11607749871098060064773960755175443516741524681660058537639\
         227181725734504931157381182652416000000000000000*ep^3-
         938994830731993307100895/10549656*ep^3*z6-
         1158055936053270456018455325151/10631521330560*ep^3*z5+
         166425419699625576046361374570647462061/
         11549715647099786956800*ep^3*z4+913426614479959270462582564314\
         53779870601419759/4033031809140623971692122112000*ep^3*z3-
         68468611837532199861733/5274828*ep^3*z3^2;
Fill mncnoptab(18,3,1,4)=
      +mncF321*(10679585162400+21511749270890340/221*ep+
         76218619767277141/221*ep^2+1511175510433190171/2210*ep^3)
      -34323771572996390416838410964565123742829/
      653228346151704562956288000-14898224876843/586092*ep^-3-
         30693720217618272847/118128014784*ep^-2-
         674078594765117007927638311/868399672714269696*ep^-1-
         20591878887062778064/146523*z3+2599142233334441791084716254257\
         5873478480828124858432644762296786463433891131/558354047878322\
         48128451778510243456248239338490429440000000000*ep-
         10295939443531389032/48841*ep*z4-727862380399220406068493907/
         295320036960*ep*z3-7395688047058868220036857324758973154883986\
         55912937783268748961862132836115342048350497/38994200457587177\
         6771324950678576812098268932996808145108992000000000000*ep^2-
         665807808053429574071/48841*ep^2*z5-
         727862380399220406068493907/196880024640*ep^2*z4+7282693017822\
         44299965419671804143341/206244922269639052800*ep^2*z3-
         22168900601540615282514978110552841287035850185279211620924741\
         03682783414015941836052894567970366140254825159476188200325077\
         10570853/92993793278883869978533764428707498906618150018105274\
         14697328944412676286389541561085311506106548224000000000000000
         *ep^3-9884157726366129720745/293046*ep^3*z6-
         12370624240028417761303971269/295320036960*ep^3*z5+72826930178\
         2244299965419671804143341/137496614846426035200*ep^3*z4+
         140265319191411766755294142744657270320567281/
         16004094480716761792429056000*ep^3*z3-720721987573120723267/
         146523*ep^3*z3^2;
Fill mncnoptab(18,3,2,3)=
      +mncF321*(8899654302000+18166153429018980/221*ep+
         11590643505597002/39*ep^2+2002396821158164297/3315*ep^3)
      -8412505365042894205276811824000815963980431/
      192049133768601141509148672000-741654440555567/3516552*ep^-3-
         9746092321733159147269/3543840443520*ep^-2-
         707338639183483566454434108239/54998645938570414080*ep^-1-
         51478282077922592816/439569*z3+1758431121141932102346394037988\
         177460233192558969296906437776255426630795539/4595506566899773\
         508514549671624975822900357077401600000000000*ep-
         25739141038961296408/146523*ep*z4-3664519571254467153254475431/
         1771920221760*ep*z3-819747042633605709972038861825723028761732\
         746440236128406709851914537191455955201157/5348998691027047692\
         33641907652368740875540374481218306048000000000000*ep^2-
         3329028024180512564603/293046*ep^2*z5-
         3664519571254467153254475431/1181280147840*ep^2*z4+19493343617\
         921350057933672919368049/7236663939285580800*ep^2*z3+
         40429707521196199965766375673669715938283168406436940302473920\
         60802600772615220453829548771662204297034088370121529425346663\
         88267/56100209877492118138776705862490388944977788956470140633\
         1863077907402759210533863484093313557987328000000000000000*
         ep^3-49420637541928462540885/1758276*ep^3*z6-
         64305326128686217295866344517/1771920221760*ep^3*z5+1949334361\
         7921350057933672919368049/4824442626190387200*ep^3*z4+
         38830269789397994291603177168878334590385233/
         5053924572857924776556544000*ep^3*z3-3603634422167216531479/
         879138*ep^3*z3^2;
Fill mncnoptab(18,3,3,2)=
      +mncF321*(1873611432000+3897140989438620/221*ep+43479684360158431/
         663*ep^2+914409662425614551/6630*ep^3)
      -2105241542787728574848266018631741849028511/
      228058346350213855542114048000-9565627305618923/16703622*ep^-3-
         56463414698273010853253/8416621053360*ep^-2-
         483062253930005971556373430541/18660254872014961920*ep^-1-
         205809234684659849936/8351811*z3+10550574301774367970316752349\
         2981508658139065861655711872059123764522183644513/
         13335324510494615490162220501660838933361763446423552000000000\
         00*ep-102904617342329924968/2783937*ep*z4-
         194723387191725568691320361/442980055440*ep*z3-
         28676917635648735649610931151978681026837376228371165226766600\
         26658014193154339034520987/93130929936863652185115543775983328\
         41134862956422084543119360000000000000*ep^2-
         6657695961512581094494/2783937*ep^2*z5-
         194723387191725568691320361/295320036960*ep^2*z4+1605113321830\
         91995224558106070644337/326554460260261833600*ep^2*z3+
         14679746253137706782599478884859189524799439016115158348369052\
         1468163390359909443843170127879288753433966677160060317750803/
         14174222064820077834426564872761933272968326435068623668856878\
         9828480349510270473969996922880000000000000000*ep^3-
         49418196624632708583865/8351811*ep^3*z6-
         67826361645168749103186536863/8416621053360*ep^3*z5+1605113321\
         83091995224558106070644337/217702973506841222400*ep^3*z4+
         98241967381712957036386577324177849837486981/
         57014586587553463885528512000*ep^3*z3-7208466285890977840502/
         8351811*ep^3*z3^2;
Fill mncnoptab(18,4,1,3)=
      +mncF321*(1601937774360+3313750082555682/221*ep+61096568512381941/
         1105*ep^2+5719474692078138377/49725*ep^3)
      -1682685387489089683135399263943780124189459/
      213387926409556823899054080000+42100067380987/2344368*ep^-3+
         4000645975358104871399/35438404435200*ep^-2-
         2841144440076982807762339016197/8249796890785562112000*ep^-1-
         3088894432708388920/146523*z3+34487134938335040635931390678898\
         6048908142444640352557367189006980845924759/507924410025764440\
         4147660163374973277942499927654400000000000*ep-
         1544447216354194460/48841*ep*z4-6642651139571130737146513411/
         17719202217600*ep*z3-18011897155760039235681409693177725977324\
         164529017813781222956065891085040465011170073/6739738350694080\
         0923438880364198461350318087184633506562048000000000000*ep^2-
         399486083152976761865/195364*ep^2*z5-
         6642651139571130737146513411/11812801478400*ep^2*z4+1811643444\
         296115328414894198720689389/4124898445392781056000*ep^2*z3+
         18704876469438321929970637929114444531298705257348396936183210\
         69087377939595764575323316013936470242559018324497608605681793\
         8424341/160730013074614096259194160740975924036130135833762202\
         2293365496565153926042636813027090877598662656000000000000000*
         ep^3-5930513358640483649575/1172184*ep^3*z6-
         40079755589270111426132027699/5906400739200*ep^3*z5+1811643444\
         296115328414894198720689389/2749932296928520704000*ep^3*z4+
         30971722518821596729581035196947868247002379/
         21338792640955682389905408000*ep^3*z3-432426893522175871165/
         586092*ep^3*z3^2;
Fill mncnoptab(18,4,2,2)=
      +mncF321*(889965430200+1866618998555850/221*ep+21078823357422523/
         663*ep^2+674380221850529717/9945*ep^3)
      -1684392337960314373255813216669055256920627/
      384098267537202283018297344000-1907402037252019/7033104*ep^-3-
         7522385574495702714619/2362560295680*ep^-2-
         2909272081927822223368770536987/235708482593873203200*ep^-1-
         5145169427158540472/439569*z3+28745549875187320855585681670521\
         310215995398525387349935192480409205552163053/7720451032391619\
         49430444344832995938247259989003468800000000000*ep-
         2572584713579270236/146523*ep*z4-39116288178855912320313929/
         186517918080*ep*z3-7722307239516014151099536842526857034342674\
         77678538497842273318456444116101032422559383/53917906805552640\
         73875110429135876908025446974770680524963840000000000000*ep^2-
         665769060354015045967/586092*ep^2*z5-
         39116288178855912320313929/124345278720*ep^2*z4+17923984210215\
         9098423344290887575141/824979689078556211200*ep^2*z3+
         26796626881489598637440292407561355697247906720250436509767598\
         52606756992829600886164895001498981291675916975080447745809012\
         351715969/2858521463296213773471206920254894895165637492674293\
         93503250848312202759770044331670664162231392927744000000000000\
         0000*ep^3-9883632516767054880065/3516552*ep^3*z6-
         13882031680049035781088249617/3543840443520*ep^3*z5+1792398421\
         02159098423344290887575141/549986459385704140800*ep^3*z4+
         161453280588527318781829018938795484233552983/
         192049133768601141509148672000*ep^3*z3-720851548931722462331/
         1758276*ep^3*z3^2;
Fill mncnoptab(18,4,3,1)=
      +mncF321*(93680571600+200286316123740/221*ep+2326113149664458/663
         *ep^2+25656323632907584/3315*ep^3)
      -4422211124327467649852490535231869787091/
      9477749458710186204347596800-2334621204362755/66814488*ep^-3-
         35715396279047407979489/67332968426880*ep^-2-
         5186105125660820384355046667669/1741623788054729779200*ep^-1-
         10291482269339526640/8351811*z3+921125335129197844748635628170\
         88276817767182095818174710478726010197828268347/
         24003584118890307882291996902989510080051174203562393600000000\
         000*ep-5145741134669763320/2783937*ep*z4-
         39514575517556203603535401/1771920221760*ep*z3-
         18444485006397327648973787987255405415368997217716546529739674\
         4644481269261838120795261/128950518374118903025544599074438454\
         72340579478122886290472960000000000000*ep^2-
         665771551339190652895/5567874*ep^2*z5-
         39514575517556203603535401/1181280147840*ep^2*z4+1642506742095\
         0223095058317274174237/870811894027364889600*ep^2*z3+
         12715093406138861556103675978672693519118589619003848081455407\
         10153488381378561817109203775839017487465565880541489284758151\
         7992950212963/333899734278229572750046631326726629220814238228\
         38583921451454135569041164724667408876941642376671318245376000\
         0000000000000*ep^3-9883658447394464527025/33407244*ep^3*z6-
         14620095808286893003923074513/33666484213440*ep^3*z5+164250674\
         20950223095058317274174237/580541262684909926400*ep^3*z4+
         169868485569936035098587988693501298527298807/
         1824466770801710844336912384000*ep^3*z3-720789307234649530955/
         16703622*ep^3*z3^2;
Fill mncnoptab(18,5,1,2)=
      +mncF321*(76282751160+164832022460952/221*ep+6471946290284387/
         2210*ep^2+59642284095337557/9100*ep^3)
      -1686914749482776770114961916951073166858639/
      4481146454600693301880135680000-32467413781297/2344368*ep^-3-
         15547592239406184535309/82689610348800*ep^-2-
         51252130453174125729615824455579/57748578235498934784000*ep^-1
         -147028049265287696/146523*z3+15850087174358822135559160036128\
         81255809282023456842997551187674458801682439/51469673549277463\
         2953629563221997292164839992668979200000000000*ep-
         73514024632643848/48841*ep*z4-11986796827980121786821813/
         656266748800*ep*z3-4074914228317067477917703505267609167620158\
         8432422242396457890559724935769338430134097/359452712037017604\
         9250073619423917938683631316513787016642560000000000000*ep^2-
         19022336338969935301/195364*ep^2*z5-35960390483940365360465439/
         1312533497600*ep^2*z4+390381201548291959201100745597017123/
         28874289117749467392000*ep^2*z3-
         50338689841539811676396908179696261411699481782341065726619708\
         56674471966605449798021265960625510201523439130946761868006080\
         194807/4511719665252325509030011529571254008031723111123149536\
         262078586849554880119682282181307726592737280000000000000000*
         ep^3-282394484099243275595/1172184*ep^3*z6-
         15037557533891404034003761913/41344805174400*ep^3*z5+390381201\
         548291959201100745597017123/19249526078499644928000*ep^3*z4+
         35139382308483877692157209773964952881348151/
         448114645460069330188013568000*ep^3*z3-20594963481086183849/
         586092*ep^3*z3^2;
Fill mncnoptab(18,5,2,1)=
      +mncF321*(21189653100+46432347320205/221*ep+3348513050093167/3978
         *ep^2+403089678609851803/208845*ep^3)
      -1703106541738406134135604004414216309188963/
      16132127236562495886768488448000-873183563312533/42198624*ep^-3-
         8432857563424967590969/33075844139520*ep^-2-
         77671323392668398930937460571373/69298293882598721740800*ep^-1
         -367215202383237472/1318707*z3+1175908772808650281590652652227\
         5377870399382346745262149015912952898172799269/138968118583049\
         15089747998206993926888450679802062438400000000000*ep-
         183607601191618736/439569*ep*z4-108628472827324365093904061/
         21263042661120*ep*z3-29230518801327608887130145730323205145090\
         6757673008660556963621297713075569780360841827/
         97052232249994753329751987724445784344458045545872249449349120\
         000000000000*ep^2-95100319896896474809/3516552*ep^2*z5-
         108628472827324365093904061/14175361774080*ep^2*z4+21301145204\
         636514745292423612736337/6929829388259872174080*ep^2*z3+
         11297331904863250781899743706287518285229845984152816745878477\
         97994698470320954924004682630632760990519858036382125148795793\
         049782081937/1933103724768697526447638391891575221804714010795\
         91801650508418679610238322090179735603346350601781316157440000\
         000000000000*ep^3-1411816190358117623255/21099312*ep^3*z6-
         15586786683587146891036320689/148841298627840*ep^3*z5+21301145\
         204636514745292423612736337/4619886258839914782720*ep^3*z4+
         180514281865334872977682406716368585228235271/
         8066063618281247943384244224000*ep^3*z3-102997492378058778797/
         10549656*ep^3*z3^2;
Fill mncnoptab(18,6,1,1)=
      +mncF321*(693479556+8198671833891/1105*ep+362712822484421/11050*
         ep^2+1601644257025381837/19144125*ep^3)
      -1726733647712850935390472685698157959682339/49292611000607626320\
      6814924800000-14253208442033/7814560*ep^-3-
         484727071757584842608707/27287571415104000*ep^-2-4369338598640\
         53919776629906276359/6352343605904882826240000*ep^-1-
         2229463219697024/244205*z3+16222715658236813317057599768680847\
         621500649832973506421710879013/6447119201599008850329053972537\
         84486938882867200000000*ep-3344194829545536/244205*ep*z4-
         340214243041216029473083831/1949112243936000*ep*z3-
         85096361037567246757179577909258729127764956039497203431046871\
         10432709211/11256310376740420227980679874839409530209182964672\
         1024000000000*ep^2-1729136999936158479/1953640*ep^2*z5-
         340214243041216029473083831/1299408162624000*ep^2*z4-945175102\
         70067262401130646279758337/3176171802952441413120000*ep^2*z3+
         46291930737141402077324304627050705076422839054295927104260955\
         75523036624354181301634989660599612545420177003/
         48252042677427748716536864532549875886581528067447383777356382\
         85988166483633504256000000000000000*ep^3-1711301294178582287/
         781456*ep^3*z6-18744918781237264742645330353/4547928569184000*
         ep^3*z5-94517510270067262401130646279758337/
         2117447868634960942080000*ep^3*z4+1376198912788336414369139865\
         1860145351553737/16430870333535875440227164160000*ep^3*z3-
         623237723715782377/1953640*ep^3*z3^2;
Fill mncnoptab(19,1,1,5)=
      +mncF321*(391419980875+3203479786935505/884*ep+144716169446849285/
         11016*ep^2+884389444496835848911/33081048*ep^3)
      -12303100329883014005121333971629898639144020217/6388322385678748\
      371160321425408000+661053032863603/1519150464*ep^-3+
         133897353310655402414623/39294102837749760*ep^-2+
         725977610482422492858448496711/156812139300051964624896*ep^-1-
         61132506209889099884/11868363*z3+12228718246320634809668249016\
         069979661193087738384726444338634297469/7285388606717629978747\
         95440535108027930378240000000000*ep-30566253104944549942/
         3956121*ep*z4-5367986249281115825970372402977/
         58941154256624640*ep*z3-10178940827788924701541240014958566549\
         71380141493066339488164307920526559650381/15196019008599567307\
         773917831033202865782397002307338240000000000*ep^2-
         63251757604468032078737/126595872*ep^2*z5-
         5367986249281115825970372402977/39294102837749760*ep^2*z4+
         1600486915506725016776651445950255149007/
         13721062188754546904678400*ep^2*z3+154834743911869613526316243\
         19427393898352552948574343340715578036773000477602815848019646\
         554488928378148870489689/2267277694588703304220993388105333709\
         2824686282830741060368208483343967784217933250560000000000000*
         ep^3-938995163073438225199615/759575232*ep^3*z6-
         13532220288924580308721314061877/8420164893803520*ep^3*z5+
         1600486915506725016776651445950255149007/
         9147374792503031269785600*ep^3*z4+1097370473482644175724660691\
         237668864932869514853/3194161192839374185580160712704000*ep^3*
         z3-68468412231517841623141/379787616*ep^3*z3^2;
Fill mncnoptab(19,2,1,4)=
      +mncF321*(329616826000+685642487405260/221*ep+206386198883113150/
         17901*ep^2+9091491322098308896/375921*ep^3)
      -58866276827659709095422632532316240627463641/
      36297286282265615745229099008000-2834550193871/94946904*ep^-3-
         794449590187386145921/223261947941760*ep^-2-
         24592325953681383469617204953/890978064204840708096*ep^-1-
         51480042563798889392/11868363*z3+10876091299910311856455590602\
         868706406259140024921857357498146324121207/7833249829942795753\
         14980057663348151630742683648000000000*ep-25740021281899444696/
         3956121*ep*z4-1363576522511297478331951099/17625943258560*ep*
         z3-39540925948188544563550660914365871417957427102614920017796\
         651733177835619199011/7294089124127792307731480558895937375575\
         55056110752235520000000000*ep^2-3329041486121954372891/7912242
         *ep^2*z5-1363576522511297478331951099/11750628839040*ep^2*z4+
         6740228040462824003435948442484626991/77960580617923561958400*
         ep^2*z3-507529277902972390244216932263276958201950960769098545\
         10769414658780962184711807247555612713913241101103105476439235\
         1886133/178022644025655190661922907479254921727025950734523570\
         2057977681553725627159242441566729678094336000000000000*ep^3-
         49420821866191326699445/47473452*ep^3*z6-
         67849425083594991111057672181/47841845987520*ep^3*z5+674022804\
         0462824003435948442484626991/51973720411949041305600*ep^3*z4+
         5540483555788201166076042553717807629405662149/
         18148643141132807872614549504000*ep^3*z3-
         3603600609353643199543/23736726*ep^3*z3^2;
Fill mncnoptab(19,2,2,3)=
      +mncF321*(208179048000+440718021194220/221*ep+45385071123637795/
         5967*ep^2+4126190522893622663/250614*ep^3)
      -14720995679907738275590727434949441613290221/
      14367675820063472899153185024000-99548104862459/150332598*ep^-3-
         884470810181476443109/58916347373520*ep^-2-
         409194941829495368048042162033/3526788170810827802880*ep^-1-
         205920787007644379792/75166299*z3+2216017845288773615459435889\
         5098935371154814373755177577941336370347129/257717310422360379\
         7573094562009283962075170734080000000000*ep-
         102960393503822189896/25055433*ep*z4-
         1376339426090595686072333011/27907743492720*ep*z3-
         12381548715040737937599109939043117322432163507232703810393490\
         030345878474188839247/3779664364320765104915403562336985730980\
         05801802844340224000000000000*ep^2-6658082319618673402558/
         25055433*ep^2*z5-1376339426090595686072333011/18605162328480*
         ep^2*z4+2869004052727612923891438784949003897/
         61718792989189486550400*ep^2*z3+101364489321597276530623692654\
         25719622139059293795296487476515056795333540025873140880711112\
         2915671437601814026984779/103250452103875858351009359504384712\
         06999072286617587171370104154172519632158396996648960000000000\
         00000*ep^3-49420815429620939569705/75166299*ep^3*z6-
         71209770021738457077396026059/75749589480240*ep^3*z5+286900405\
         2727612923891438784949003897/41145861992792991033600*ep^3*z4+
         727646344628124766914143335029676172619445127/
         3591918955015868224788296256000*ep^3*z3-7207179545657551316054/
         75166299*ep^3*z3^2;
Fill mncnoptab(19,3,1,3)=
      +mncF321*(74163785850+316497105836835/442*ep+1292713955256185/468
         *ep^2+16067807839125827/2652*ep^3)
      -1682438241394569930419893936424310963715619/
      4609179210446427396219568128000+84850980607085/84397248*ep^-3+
         712341168163974641119/85052170644480*ep^-2+
         101531408729866949130440310227/19799512537885349068800*ep^-1-
         1287045592927341170/1318707*z3+1086906002046581458539378384393\
         669163459678311776377947764891446223221/3580914207973849487154\
         19454931816297888339512524800000000*ep-643522796463670585/
         439569*ep*z4-750317069106572625100659787/42526085322240*ep*z3-
         55594385815884343908071314058977518518241480050293492439946634\
         1656962485550440329/486272608275186153848765370593062491705036\
         70407383482368000000000000*ep^2-665810422126707574255/7033104*
         ep^2*z5-750317069106572625100659787/28350723548160*ep^2*z4+
         150912754652479823609245243306435349/9899756268942674534400*
         ep^2*z3+190148447790936605930054289049079142790630017314315215\
         52756234076657002528869266369231403681985040806515116119934480\
         382232031161/7734094868225686616534650758265408266140794081910\
         96843894076970541674133576959771836212560149872640000000000000\
         00*ep^3-9884192684466426320225/42198624*ep^3*z6-
         14547353962524135836700822929/42526085322240*ep^3*z5+150912754\
         652479823609245243306435349/6599837512628449689600*ep^3*z4+
         169912403631098375483368771681143230554843463/
         2304589605223213698109784064000*ep^3*z3-720710150964824018075/
         21099312*ep^3*z3^2;
Fill mncnoptab(19,3,2,2)=
      +mncF321*(31226857200+67861507037940/221*ep+2419250136918230/1989
         *ep^2+16432259311497125/5967*ep^3)
      -1685058158171274744274804366973646214283459/
      10946800624810265066021474304000-1739363892978019/200443464*ep^-3
         -7013036949670771735531/67332968426880*ep^-2-
         3940854351895668948184451867081/9404768455495540807680*ep^-1-
         10290687499958104624/25055433*z3+48842417914918895960325766491\
         6879923953200373709323380425153123222465851/389668573358608894\
         193051897775803735065765814992896000000000*ep-
         5145343749979052312/8351811*ep*z4-7973156748629214572036389/
         1063152133056*ep*z3-155608909958872409608084411119890169677724\
         49165078281399351745545402276768680051747/34016979278886885944\
         23863206103287157882052216225599062016000000000000*ep^2-
         665771817897194076607/16703622*ep^2*z5-
         7973156748629214572036389/708768088704*ep^2*z4+120160134593600\
         226880309055320996949/23511921138738852019200*ep^2*z3+
         13108750476377799785286833928098312169430675012677338420842726\
         71375789825667940598803088103852103695261886408724660010935851\
         52799/10219551719060032270121013524671609922577858361870538750\
         909462515293848665037372985126681419798544384000000000000000*
         ep^3-9883670393458330102865/100221732*ep^3*z6-
         3052491708346998899921911693/20199890528064*ep^3*z5+1201601345\
         93600226880309055320996949/15674614092492568012800*ep^3*z4+
         176834251512636790255961771625703616331727271/
         5473400312405132533010737152000*ep^3*z3-720845712572317986731/
         50110866*ep^3*z3^2;
Fill mncnoptab(19,3,3,1)=
      +mncF321*(2342014290+10453180220175/442*ep+257960772777323/2652*
         ep^2+2113356098257211/9180*ep^3)
      -570699742209881086013856039371985549975953/
      48652447221378955848984330240000-862823823687287/534515904*ep^-3-
         184154378846677486609283/8079956211225600*ep^-2-
         14979749619096447903049929442457/125396912739940544102400*
         ep^-1-257193103080186658/8351811*z3+89810897914945243144659980\
         048296552532325402819591636448962456866241913/9841119582270989\
         92987554537750116575803847338885120000000000*ep-
         128596551540093329/2783937*ep*z4-121289613060946729624203179/
         212630426611200*ep*z3-5425550097402025573174072780430403220206\
         30926670995851206994152296847335966984647/17182045656172457696\
         32461517368497084848587599011909730304000000000000*ep^2-
         133148159784375695267/44542992*ep^2*z5-
         121289613060946729624203179/141753617740800*ep^2*z4+2353144680\
         74877644122982561622271/995213593174131302400*ep^2*z3+
         12048070927588142107284936618894838444103625593695733604799566\
         45251278895532877564986652270484401885725436492650723827/
         14523590890523516201659115813678504528582180466747085413666320\
         86571608649651624148266385408000000000000000*ep^3-
         1976646948519220496365/267257952*ep^3*z6-
         5441468999009085540404406763/448886456179200*ep^3*z5+235314468\
         074877644122982561622271/663475728782754201600*ep^3*z4+
         185307192150309841071396687121310010033150103/
         72978670832068433773476495360000*ep^3*z3-144168997386152970847/
         133628976*ep^3*z3^2;
Fill mncnoptab(19,4,1,2)=
      +mncF321*(4708811800+10478628813730/221*ep+3473920849637425/17901
         *ep^2+171386485927430197/375921*ep^3)
      -153370524706742824863447951145112551857049/
      6599506596775566499132563456000-145895159646709/189893808*ep^-3-
         954534405150920166367/89304779176704*ep^-2-
         16219430903329370627117087884957/311842322471694247833600*
         ep^-1-735159575323718072/11868363*z3+2298297796424589798057475\
         5214479766386807298433487348316790059559368637/125331997279084\
         732050396809226135704260918829383680000000000*ep-
         367579787661859036/3956121*ep*z4-109613432526321637553218109/
         95683691975040*ep*z3-28186817496593708771225009050781861201674\
         6398213352213044140310214573075212463829/437645347447667538463\
         888833533756242534533033666451341312000000000000*ep^2-
         95111981925166975417/15824484*ep^2*z5-
         109613432526321637553218109/63789127983360*ep^2*z4+79092727982\
         862914759539093872681029/155921161235847123916800*ep^2*z3-
         89400499907325809084671133142860053393603523577790153971528309\
         95646010362943488192109038259439200225188093028699754341767922\
         6121/394438838279510017443267188671535821573180498177459390385\
         9792549762538081242494836364684056764350464000000000000000*
         ep^3-1411976537371030269815/94946904*ep^3*z6-
         16213001709125540228934200081/669785843825280*ep^3*z5+79092727\
         982862914759539093872681029/103947440823898082611200*ep^3*z4+
         185818038554901028466954615165276306893097399/
         36297286282265615745229099008000*ep^3*z3-102974090230150823981/
         47473452*ep^3*z3^2;
Fill mncnoptab(19,4,2,1)=
      +mncF321*(991328800+2247301852180/221*ep+764710645482025/17901*
         ep^2+77822224150412579/751842*ep^3)
      -1710278716385716754803398084740930346542309/34482421968152334957\
      9676440576000-1121670347113789/901995588*ep^-3-
         6503338713661304171269/424197701089344*ep^-2-10029273841212540\
         0147514307468167/1481251031740547677209600*ep^-1-
         2936716850156867888/225498897*z3+29906136027177823236121103092\
         457205469328754760735917235040151860317559/7872895665816791943\
         90043630200093260643077871108096000000000*ep-
         1468358425078433944/75166299*ep*z4-5822865241606342371820031/
         23920922993760*ep*z3-34904169514751526582749067070011855959903\
         26435279815914775763928996773151117000323/27491273049875932314\
         119384277895953357577401584190555684864000000000000*ep^2-
         95096314093272660817/75166299*ep^2*z5-
         5822865241606342371820031/15947281995840*ep^2*z4+4626948023666\
         8075260562026444201959/740625515870273838604800*ep^2*z3+
         66934883531871964699228364857763562752146345761672607684112791\
         58615109012309555290675712597554827061574527654120648040446881\
         67/20821175514051309101189785743971655956135303951127079465066\
         78351598197944445961088377722093418053632000000000000000*ep^3-
         1411761127148305572815/450997794*ep^3*z6-
         16963428952502309794745915501/3181482758170080*ep^3*z5+4626948\
         0236668075260562026444201959/493750343913515892403200*ep^3*z4+
         190138474309665033284161553831790025598810969/1724121098407616\
         74789838220288000*ep^3*z3-103005640993143813221/225498897*ep^3
         *z3^2;
Fill mncnoptab(19,5,1,1)=
      +mncF321*(53509225+519755920915/884*ep+386151903243515/143208*
         ep^2+13950352953982031/1945944*ep^3)
      -1732157849560522979250587125528827705520019/63883223856787483711\
      60321425408000-213692945778719/1519150464*ep^-3-
         11002167820519722554047/7858820567549952*ep^-2-153095636841002\
         770538349488890717/27442124377509093809356800*ep^-1-
         8360480500060604/11868363*z3+190808574891469889531562207764433\
         244965873788204210598586067836399/1023118345135385567758341299\
         80518942253811289292800000000*ep-4180240250030302/3956121*ep*
         z4-115119089779122440182681469/8420164893803520*ep*z3-
         62718691376328972355778155949313883171649304633860666797422233\
         028057749677/1190871693735149764527588662676887734787844989568\
         5750784000000000*ep^2-8645680476904166027/126595872*ep^2*z5-
         115119089779122440182681469/5613443262535680*ep^2*z4-846237153\
         52797567483772383000250171/13721062188754546904678400*ep^2*z3+
         40662836249004869956393513067264042385599420931939295755006750\
         2333991085233614124480358972783945303291604491/
         67001407832085388217819760465197827659653207545084081473700577\
         34257854031559665909760000000000000*ep^3-128347530273552793765/
         759575232*ep^3*z6-19907801523310774553996095121/
         58941154256624640*ep^3*z5-84623715352797567483772383000250171/
         9147374792503031269785600*ep^3*z4+2056000759133092936349799549\
         97724711478112439/3194161192839374185580160712704000*ep^3*z3-
         9348565960917587431/379787616*ep^3*z3^2;
Fill mncnoptab(20,1,1,4)=
      +mncF321*(3652264000+150524275958980/4199*ep+48111411513709615/
         340119*ep^2+49985306653918737931/157134978*ep^3)
      -40462191332542684311613024646798924308682093/2252133184794949376\
      942261752512000-537530302971083/8568958086*ep^-3-
         41597426770880943014989/110821649409591120*ep^-2+
         202732134429645924292629842923/442259236619677806481152*ep^-1-
         205907335998037442864/4284479043*z3+13161111222638885107459293\
         76820517349723474160196103488456530089173497/89771529797122198\
         94879612724332339134561844723712000000000*ep-
         102953667999018721432/1428159681*ep*z4-
         15337883056819608004047817037/17498155169935440*ep*z3-
         26983455073369901443104959286957212168708217434181034321417840\
         55527555761062299/50155546167812057582686942509741588430148071\
         47732982038528000000000*ep^2-6658029852570221489086/1428159681
         *ep^2*z5-15337883056819608004047817037/11665436779956960*ep^2*
         z4+23779646540507598119115204801275705449/
         38697683204221808067100800*ep^2*z3-340723492660722905814404571\
         84235555229025661693211505101133922150773474501094466538379791\
         128447843058249032189/1690806800235846850824544564174367187528\
         3979611784887417024949703018993579918943584256000000000000*
         ep^3-49420455554281567560985/4284479043*ep^3*z6-
         835540534805168376623541570053/47494992604110480*ep^3*z5+
         23779646540507598119115204801275705449/
         25798455469481205378067200*ep^3*z4+171249337127898891012358861\
         04710546562677380323/4504266369589898753884523505024000*ep^3*
         z3-7207369137532539856598/4284479043*ep^3*z3^2;
Fill mncnoptab(20,2,1,3)=
      +mncF321*(1643518800+69392816497620/4199*ep+2550784883143970/
         37791*ep^2+125497530569192672/793611*ep^3)
      -11773214802878295524443765183104212239973093/1455924483099765253\
      780856082432000+27193263459197/3808425816*ep^-3+
         250637837513214820343/1791056960155008*ep^-2+
         611880500699661519739266349283/893453003272076376729600*ep^-1-
         10296178122690735088/476053227*z3+1710004761031466851287324915\
         42988196829639979528655200458785444173447/26708884898317348447\
         57570727900530651605176942592000000000*ep-5148089061345367544/
         158684409*ep*z4-282551111725850498043195359/706996168482240*ep
         *z3-1855835135451969456292472866110568727588248123780511939301\
         2631449831261716286867/820727119109651851353059059250316901584\
         24116962903342448640000000000*ep^2-665809701645342846559/
         317368818*ep^2*z5-282551111725850498043195359/471330778988160*
         ep^2*z4+569740246708469966299620843971464643/
         3127085511452267318553600*ep^2*z3+
         61054303651774558083728651035705095865508151371676085563594255\
         6224466469632932251756649101923469619802746858745084837501619/
         22313752227208574374177893496374124947666946362196680171489453\
         4557877612164861120985312874496786432000000000000*ep^3-
         9884183743453235347505/1904212908*ep^3*z6-
         16158498037260250417487790161/1918989600166080*ep^3*z5+
         569740246708469966299620843971464643/2084723674301511545702400
         *ep^3*z4+1299083683463615567562977459313689950816185953/
         727962241549882626890428041216000*ep^3*z3-
         720715668253197710027/952106454*ep^3*z3^2;
Fill mncnoptab(20,2,2,2)=
      +mncF321*(493055640+21348084322950/4199*ep+270940486910753/12597*
         ep^2+208408637953214651/3968055*ep^3)
      -437054973050595605612742784674522085615279/179743763345650031330\
      969886720000-300953266526231/2538950544*ep^-3-
         391252240837314373884581/268658544023251200*ep^-2-
         520212899925028902987870933551/85090762216388226355200*ep^-1-
         1029103895164820728/158684409*z3+24622750939504602603220582455\
         576080875202699579555860608116350302702287/1322089802466708748\
         154997510310762672544562586583040000000000*ep-
         514551947582410364/52894803*ep*z4-859122727964096419755079853/
         7069961684822400*ep*z3-231671116361847606600410648941871871550\
         8301213017740691117855055185215523099551/369327203599343333108\
         87657666264260571290852633306504101888000000000*ep^2-
         133154972043382075523/211579212*ep^2*z5-
         859122727964096419755079853/4713307789881600*ep^2*z4+168573005\
         39801356990945501098198877/694907891433837181900800*ep^2*z3+
         15358360366904887850182646700432571364609867818776760080626580\
         57580175190135163085155868672352252752332917750108413/
         14008249799613979366738810486956423430313400688465720300568085\
         704202721085994945164838174720000000000000*ep^3-
         1976742502747434718285/1269475272*ep^3*z6-
         5729004413386170031818244363/2132210666851200*ep^3*z5+16857300\
         539801356990945501098198877/463271927622558121267200*ep^3*z4+
         1339663038946486922022498191992238182069542961/242654080516627\
         5422968093470720000*ep^3*z3-144168477702263532991/634737636*
         ep^3*z3^2;
Fill mncnoptab(20,3,1,2)=
      +mncF321*(156525600+6879330764460/4199*ep+47156152325645/6669*
         ep^2+84069368156621027/4761666*ep^3)
      -1687051199669862546461622541935387711763349/21838867246496478806\
      71284123648000-144812332405213/5712638724*ep^-3-
         1532705317283449258091/4477642400387520*ep^-2-
         15362532167389639906290441160471/9381256534356801955660800*
         ep^-1-2940571312224131696/1428159681*z3+1530655149377314659429\
         8962521991429154768231273918394367993738763238331/
         2644179604933417496309995020621525345089125173166080000000000*
         ep-1470285656112065848/476053227*ep*z4-
         5893135571502085941025463/151499178960480*ep*z3-
         56024512738381636458328364047546383742545178566127637229754565\
         7506365196398321/295461762879474666487101261330114084570326821\
         06645203281510400000000*ep^2-95111756327493546289/476053227*
         ep^2*z5-5893135571502085941025463/100999452640320*ep^2*z4+
         8469673036697848382453669494698599/4690628267178400977830400*
         ep^2*z3-209556283832250129016112703597117528964822377596421857\
         60097118515971296472629518477587660074042947709348434931614322\
         01988119/10041188502243858468380052073368356226450125862988506\
         077170254055104492547418750444339079352355389440000000000000*
         ep^3-1411973488351282535855/2856319362*ep^3*z6-
         17813204752093660558374488213/20149390801743840*ep^3*z5+
         8469673036697848382453669494698599/3127085511452267318553600*
         ep^3*z4+7792370854941534320154081348299245299715409/
         43677734492992957613425682472960*ep^3*z3-102975272951251561157/
         1428159681*ep^3*z3^2;
Fill mncnoptab(20,3,2,1)=
      +mncF321*(23478840+1058563092510/4199*ep+2504302636627/2223*ep^2+
         11623793685932251/3968055*ep^3)
      -1721805483184106194722644335164159004171139/14559244830997652537\
      808560824320000-303892980033137/7616851632*ep^-3-
         44149971472511944382587/89552848007750400*ep^-2-
         27379701091644664675127353221929/12508342045809069274214400*
         ep^-1-146759588048047480/476053227*z3+639843123348735532353421\
         498777283972188020343565375710557183119641001/7554798871238335\
         70374284291606150098596892906618880000000000*ep-
         73379794024023740/158684409*ep*z4-5970556624043529995971199/
         1009994526403200*ep*z3-270473529582397147006479789353863252815\
         406260860981615368852845877586961862429/1055220581712409523168\
         21879046469315917973864666590011719680000000000*ep^2-
         19018028172318570725/634737636*ep^2*z5-
         5970556624043529995971199/673329684268800*ep^2*z4-722562566691\
         949062090892274099821/568561002082230421555200*ep^2*z3+
         73872700141192602775635331458722210634424986950930108438805590\
         494742390266628857649853700645928592375709077630817024251367/
         10568131339096305851560346351271068798100569785827553043319130\
         361203270581977168835004103924782202880000000000000*ep^3-
         282335230823817611275/3808425816*ep^3*z6-
         18890801179663798762140784289/134329272011625600*ep^3*z5-
         722562566691949062090892274099821/379040668054820281036800*
         ep^3*z4+196519403748280844030372278055712252733164263/72796224\
         15498826268904280412160000*ep^3*z3-20603436363953560777/
         1904212908*ep^3*z3^2;
Fill mncnoptab(20,4,1,1)=
      +mncF321*(2371600+113353226140/4199*ep+44112686475820/340119*ep^2
         +28585948891200641/78567489*ep^3)
      -1738383280840882361793161161239570963752939/14413652382687676012\
      4304752160768000-214253449001999/34275832344*ep^-3-
         11320171328805972059767/177314639055345792*ep^-2-1625939309389\
         95443553253476095797/619162931267548929073612800*ep^-1-
         133768248504192944/4284479043*z3+28821163404390453526131704119\
         42991438946259107515396035923003148681/36934572259387418996076\
         120922967338153625875434700800000000*ep-66884124252096472/
         1428159681*ep*z4-6182181303138825821659151/9998945811391680*ep
         *z3-8620016764849276961708118367963620685470223120872760113641\
         62949467206208111/42990468143838906499445950722635647225841204\
         12342556033024000000000*ep^2-8645704578542767067/2856319362*
         ep^2*z5-6182181303138825821659151/6665963874261120*ep^2*z4-
         158337484169281678001884745238394531/
         309581465633774464536806400*ep^2*z3+21130962542179592716086776\
         54374634849513825763827387195093365217388124030329654351177597\
         3692936141529838899241/430000146264583558162363262718869613957\
         9521408671173939912161497008151654032070032752640000000000000*
         ep^3-128347886193099576565/17137916172*ep^3*z6-
         21496802990375723624401767521/1329859792915093440*ep^3*z5-
         158337484169281678001884745238394531/
         206387643755849643024537600*ep^3*z4+19948749545032923733450923\
         5615077877737377359/72068261913438380062152376080384000*ep^3*
         z3-9348565400414364151/8568958086*ep^3*z3^2;
Fill mncnoptab(21,1,1,3)=
      +mncF321*(12326391+2200130024631/16796*ep+290440603334873/503880*
         ep^2+2564278064010223081/1745944200*ep^3)
      -43201684161106560899892320130741280042741261/7117853028487741240\
      70640751411200000+13161659071349/20311604352*ep^-3+
         572736359296099563723209/118209759370230528000*ep^-2+
         1764533547359207732298757905341/262079547626475737174016000*
         ep^-1-128698482628898888/793422045*z3+836934992185569231030568\
         219089446325490849098846324466810996271/1878589490732188873091\
         436814522671414877618176000000000*ep-64349241314449444/
         264474015*ep*z4-9612618130483968516947291983/
         3110783141321856000*ep*z3-744109884907742009031297160282995010\
         0608995605976686871340808484676937403/524785988083971026604564\
         8281571734280498193862722846720000000000*ep^2-
         133159353622049680259/8463168480*ep^2*z5-
         9612618130483968516947291983/2073855427547904000*ep^2*z4-
         34450987192172447278595141020885963/
         101919824076962786678784000*ep^2*z3+43810081985982744209003556\
         26146363325356370901500539053197632815007091885618346155021607\
         450196466908627/2089403383366704270057178935603002242746807961\
         72520748082304443185304850109825024000000000000*ep^3-
         395359709422024276361/10155802176*ep^3*z6-
         67684517729249400665063405593/938172693414528000*ep^3*z5-
         34450987192172447278595141020885963/67946549384641857785856000
         *ep^3*z4+15297833878240630962263866766004919613039406011/
         1067677954273161186105961127116800000*ep^3*z3-
         28828637776289261171/5077901088*ep^3*z3^2;
Fill mncnoptab(21,2,1,2)=
      +mncF321*(2347884+108801135135/4199*ep+45319273769429/377910*ep^2
         +6425216808173453/19840275*ep^3)
      -1690523560093596718108282142576147248161779/14559244830997652537\
      8085608243200000-1022871583261/15233703264*ep^-3-
         408905701166642262941/127932640011072000*ep^-2-
         3353895740775933356104561312217/125083420458090692742144000*
         ep^-1-73543950506183696/2380266135*z3+175410381462803998183786\
         79473202567137182531291410077236668288039/21859950437610925068\
         7003556599001764640304660480000000000*ep-36771975253091848/
         793422045*ep*z4-42500085658206767918791193/70699616848224000*
         ep*z3-51114033274898329197387477675174456807413038191839592570\
         43867475044895327/21809287816476717988761135715622791815057429\
         039887155200000000000*ep^2-19023257719844662757/6347376360*
         ep^2*z5-42500085658206767918791193/47133077898816000*ep^2*z4-
         18968590667047905134565329691198527/62541710229045346371072000
         *ep^2*z3-11494664095353929293683634657820538403783827686663432\
         68219590370534813922115581219767896295246157925708238934393233/
         10257734503661951498604568541179146891763780978034814020995561\
         04545999085181162250792914124800000000000000*ep^3-
         56481421555484518703/7616851632*ep^3*z6-
         20105607750274127710471158689/1343292720116256000*ep^3*z5-
         18968590667047905134565329691198527/41694473486030230914048000
         *ep^3*z4+198314072936755703794260619729704489848646743/7279622\
         4154988262689042804121600000*ep^3*z3-4118388604463875445/
         3808425816*ep^3*z3^2;
Fill mncnoptab(21,2,2,1)=
      +mncF321*(223608+10767459912/4199*ep+7617616704841/610470*ep^2+
         59469079046261629/1666583100*ep^3)
      -1733108350606874082207928355787818673720479/15287207072547535164\
      69898886553600000-98269755319549/159953884272*ep^-3-
         68709926449853299519087/9403049040813792000*ep^-2-
         40261922584504230013989831030149/1313375914809952273792512000*
         ep^-1-146539246494561712/49985588835*z3+2239508805208676987116\
         6947654648934041688837424550292399272256933/306039306126552950\
         9618049792386024704964265246720000000000*ep-73269623247280856/
         16661862945*ep*z4-43358249804468290225605593/
         742345976906352000*ep*z3-1202270587260131723122056043518630257\
         9638715183599364288210452221462773473/654278634494301539662834\
         071468683754451722871196614656000000000000*ep^2-
         19014606322034499077/66647451780*ep^2*z5-
         43358249804468290225605593/494897317937568000*ep^2*z4-34884549\
         286489569243851377136628131/656687957404976136896256000*ep^2*
         z3+17384501516384849226120935004696688772736387862413664022997\
         67799424883880079575660026074478443639887805319/
         46666184954214717411236257696406646009430747618613613612504894\
         412652577134733164544000000000000000*ep^3-8065380282875035769/
         11425277448*ep^3*z6-3117796481214802573161526127/
         2014939080174384000*ep^3*z5-34884549286489569243851377136628131
       /437791971603317424597504000*ep^3*z4+173031498005890319169873856\
         88541042543493513/69487304875216068930449949388800000*ep^3*z3-
         4122345228823128725/39988471068*ep^3*z3^2;
Fill mncnoptab(21,3,1,1)=
      +mncF321*(53361+10709666121/16796*ep+4926989073649/1511640*ep^2+
         5706861355410667/581981400*ep^3)
      -1746998210377510696166746111133193851732579/64060677256389671166\
      35766762700800000-8390278703543/60934813056*ep^-3-
         172068977305928388351761/118209759370230528000*ep^-2-
         34455764426609584525909345995209/5503670500155990480654336000*
         ep^-1-1672046900284744/2380266135*z3+1158833027807744292532580\
         3358855572702208109283000380717387622881/721378364441160527267\
         1117367767058233130053795840000000000*ep-836023450142372/
         793422045*ep*z4-6359305593814672790904799/444397591617408000*
         ep*z3-19639676735968909807445377845059082569977845769877430888\
         21703589346041819/55977172062290242837820248336765165658647401\
         2023770316800000000000*ep^2-1729102245968397967/25389505440*
         ep^2*z5-6359305593814672790904799/296265061078272000*ep^2*z4-
         53279814645390721117760573886139151/
         2751835250077995240327168000*ep^2*z3+
         10682777506085653592117587255147106437498511792098204011826887\
         16034772775874025926111832567882776932659427679/
         10177518254783042796742325744825316306697092091529405774940027\
         211853613382324426113024000000000000000*ep^3-
         5133801237096082093/30467406528*ep^3*z6-
         23777595987429075418220941889/59104879685115264000*ep^3*z5-
         53279814645390721117760573886139151/
         1834556833385330160218112000*ep^3*z4+1808677318058317188029227\
         10768396719507087943/3203033862819483558317883381350400000*
         ep^3*z3-373942795875831103/15233703264*ep^3*z3^2;
Fill mncnoptab(22,1,1,2)=
      +mncF321*(10648+3737881884/29393*ep+108252231385183/166658310*
         ep^2+751543821490404269/384980696100*ep^3)
      -18103243404111957666582442713549329778944269/3531344833758480623\
      04546642793881600000-78008929978429/3359031569712*ep^-3-
         34554804678153474612773/241344925380887328000*ep^-2+
         39158456985728038972966507250321/
         303389836321098975246070272000*ep^-1-145928755836256912/
         1049697365535*z3+849525948086774418901655519448417666565060378\
         3612893333221347/269376161085328957751017185658120601602936012\
         80000000000*ep-72964377918128456/349899121845*ep*z4-
         488232883816247669474889523/171481920665367312000*ep*z3-
         93903764232358978331595507416428523897371365243830568755998786\
         836671/1279770737592369520754921086803044482365052610936832000\
         00000000*ep^2-19004065361060974277/1399596487380*ep^2*z5-
         488232883816247669474889523/114321280443578208000*ep^2*z4-
         582490599693881591604426414390385321/
         151694918160549487623035136000*ep^2*z3+38132185903499881030994\
         76490467145586712453749969968048045305688494996457431213820923\
         752850186461/9905207239779677066655004798359732966178337941130\
         54114244688902090952330444800000000000000*ep^3-
         8061211579976842169/239930826408*ep^3*z6-
         37297088288715529652927709397/465450927520282704000*ep^3*z5-
         582490599693881591604426414390385321/
         101129945440366325082023424000*ep^3*z4+19928404716732394525943\
         13867736835392822114873/176567241687924031152273321396940800000
         *ep^3*z3-4130529535901712725/839757892428*ep^3*z3^2;
Fill mncnoptab(22,2,1,1)=
      +mncF321*(484+182866035/29393*ep+5792111365639/166658310*ep^2+
         652180123414009/5661480825*ep^3)
      -1717080544779134542175719255702703752800179/70626896675169612460\
      9093285587763200000-10959696654071/6718063139424*ep^-3-
         7880923464105656777843/482689850761774656000*ep^-2-
         37434302963848788768350249180057/
         606779672642197950492140544000*ep^-1-6691399373577136/
         1049697365535*z3+201918672948705778224521510787027566343698196\
         5507588839614529/161625696651197374650610311394872360961761607\
         680000000000*ep-3345699686788568/349899121845*ep*z4-
         46490880713185495230679193/342963841330734624000*ep*z3-
         48098977437285343844184597221857453495034046404025450295718374\
         34599/25595414751847390415098421736060889647301052218736640000\
         0000000*ep^2-1729654670827761487/2799192974760*ep^2*z5-
         46490880713185495230679193/228642560887156416000*ep^2*z4-
         88795171578945232660955802793339007/
         303389836321098975246070272000*ep^2*z3+
         11503985747647932719449270490771311346753942832496285198868779\
         667238945159891205358816474298344300600931101/
         86722718574369793242829565590360258277234045216897625678900736\
         07411398293846191662694400000000000000*ep^3-733633259642095339/
         479861652816*ep^3*z6-3917863005844681541312277527/
         930901855040565408000*ep^3*z5-88795171578945232660955802793339\
         007/202259890880732650164046848000*ep^3*z4+1278060159274923147\
         76770989517399236463621143/35313448337584806230454664279388160\
         0000*ep^3*z3-373940226457880575/1679515784856*ep^3*z3^2;
Fill mncnoptab(23,1,1,1)=
      +mncF321*(1+19093197/1293292*ep+7757553775549/80662622040*ep^2+
         26100194067821/69996490200*ep^3)
      -2611105163340132272241206621645137767603779/34183417990782092431\
      0801150224477388800000+92050604817097/3251542559481216*ep^-3+
         115467097500014231896471/700865663306096800512000*ep^-2-
         26457101588040205150613815460009/29368136155882380803819602329\
         6000*ep^-1-1640659124184544/127013381229735*z3+121817223890521\
         7497054090042435012536588690670393051/795764538362421969918776\
         35411700666000867328000000*ep-820329562092272/42337793743245*
         ep*z4-50447263042883115401973593/165994499204075558016000*ep*
         z3+7707545217814302116144867665995849670694270434822370888353/
         378057273556339628933948856208907183511160561336320000000*ep^2
         -155227950546496397/123164490889440*ep^2*z5-
         50447263042883115401973593/110662999469383705344000*ep^2*z4-
         165874814635904978930692534226709551/1468406807794119040190980\
         11648000*ep^2*z3+498903554107090231334614399301819246002369062\
         1080090976242489069652774963060387/957593191193159809710464523\
         231939297061175624099739800553952955596800000000*ep^3-
         724288753722925099/232253039962944*ep^3*z6-
         4972191787261950697501723127/450556497839633657472000*ep^3*z5-
         165874814635904978930692534226709551/
         97893787186274602679398674432000*ep^3*z4-505232443903095737780\
         8540498921205859065387/155379172685373147414000522829307904000\
         00*ep^3*z3-374043236759351743/812885639870304*ep^3*z3^2;
*--#] 26 :
#case 25
*--#[ 25 :
Fill mncnoptab(7,6,5,7)=
      +mncF321*(-4257324483718852465920-32717889516769400384532*ep-
         174660695826596554059471/2*ep^2-9667801099451265645917441/80*
         ep^3)
      +1273004620150190450570979740458949023828921/60720337705547520000
         -55778288099121732347/110*ep^-3-57512371929430775380795051/
         11325600*ep^-2-136236667949820123443063172830273/9911712096000
         *ep^-1+3081941506132015190731228/55*z3-57441133375576791084087\
         1140911114245311025210214400980569948899274911782143/
         2667355822245682480376493590740520140800000000000000*ep+
         4622912259198022786096842/55*ep*z4+
         319435575603639394513439518868/353925*ep*z3+
         51359969263689299425732557986722165135257455597702669721929275\
         733690892227367578987/4902162554932716107005213474832194573487\
         3088000000000000000*ep^2+298895337519536964340980426/55*ep^2*
         z5+159717787801819697256719759434/117975*ep^2*z4-3397000981568\
         390249711581165417003391/1238964012000*ep^2*z3-
         72130602614069885474221093330750876596097206457247255528102628\
         796118787291300789968972595941082661264504699/
         29855539274819441657856868913166691359629642209731670009970688\
         000000000000000000000*ep^3+147906698006702474575124599/11*ep^3
         *z6+2810116099724017893128065711007/314600*ep^3*z5-33970009815\
         68390249711581165417003391/825976008000*ep^3*z4-46237585248014\
         62473266984161966207686175027/15180084426386880000*ep^3*z3+
         107839729379897769970493974/55*ep^3*z3^2;
Fill mncnoptab(7,6,6,6)=
      +mncF321*(-5108789380462622959104-196203147790691682367272/5*ep-
         104639573085041231021043*ep^2-28922892350445559064022753/200*
         ep^3)
      +4405989840722909963917823395276129831699/175087478966400000-
         209005062679769309331/275*ep^-3-23826949268362495272408587/
         3146000*ep^-2-9831865809244030132714198965299/485868240000*
         ep^-1+18492565863323733202723128/275*z3-1299341747777421964324\
         687964032691878095843823294404606196518089770999259/
         5027017930972405938094122152755200000000000000000*ep+
         27738848794985599804084692/275*ep*z4+
         212909535414595745824073773042/196625*ep*z3+390801757051680983\
         1944903970610548267665467116001298258095126866623132839195133/
         3105490597037513492317024901086052352000000000000000000*ep^2+
         1793381776518812104410348276/275*ep^2*z5+
         319364303121893618736110659563/196625*ep^2*z4-2000842177683486\
         69369993727063814663/60733530000*ep^2*z3-
         38075800306784280996797056408838427039890534233646970500547497\
         456793696033875598558548236439555299733/1825273019157147421277\
         9235935897048180603678927880192000000000000000000000000*ep^3+
         887444605327744185603812574/55*ep^3*z6+
         8409700674623175680078671391711/786500*ep^3*z5-200084217768348\
         669369993727063814663/40489020000*ep^3*z4-15387562404106963511\
         978496009931552655593/43771869741600000*ep^3*z3+
         647028290530199662814626764/275*ep^3*z3^2;
Fill mncnoptab(7,7,6,5)=
      +mncF321*(-3547770403099043721600-27308119626120985502760*ep-
         73104845308770052962912*ep^2-101573320937309300784586*ep^3)
      +24486468993331277010714535863710645822281/1401238562435712000-
         17421002639509786772/33*ep^-3-276001652704482568616221/52272*
         ep^-2-2172230484272345318035005992411/152487878400*ep^-1+
         1541047238106411269105144/33*z3-586760564852231397875604229349\
         08614659737055866519999667473660213964422669/32735464835800617\
         7736321808199581696000000000000000*ep+770523619053205634552572/
         11*ep*z4+98365193800227682387089847243/130680*ep*z3+
         32694941778120660610878142880239129471032278956104943850588062\
         533282156951666774671/3754134742922832163997154934572347297303\
         1014400000000000000*ep^2+49816160756500108044705176/11*ep^2*z5
         +98365193800227682387089847243/87120*ep^2*z4-17350466115898501\
         0821218645408550191/76243939200*ep^2*z3-
         19203089391165023553442190754428113320689033761591435335727524\
         094524290851147616462779136117696610202225252201/
         12201566859183783934109989052795195276874902260664074430337515\
         520000000000000000000000*ep^3+369768587578484782162525960/33*
         ep^3*z6+326657550749991423202042348847/43560*ep^3*z5-173504661\
         158985010821218645408550191/50829292800*ep^3*z4-19777324454626\
         4346966443627451976460371187/700619281217856000*ep^3*z3+
         53919023325969310289936792/33*ep^3*z3^2;
Fill mncnoptab(7,7,7,4)=
      +mncF321*(-1970983557277246512000-15209799128469323811160*ep-
         40907751115365545900944*ep^2-1544402185437314094062731/27*ep^3
         )
      +15298805665784742408896257638641149897849/1576393382740176000-
         65512348757977951102/297*ep^-3-2625257648191961411661851/
         1176120*ep^-2-29573835964862004658878079313/4765246200*ep^-1+
         7704761137756406182078984/297*z3-71381402160447830939112254787\
         300247514851810699139039760363232865350295399/7181342598353760\
         52409055966737832345600000000000000*ep+
         3852380568878203091039492/99*ep*z4+
         12310139358091121810158428365/29403*ep*z3+25436306870760135113\
         277831268453721780112235397743141875234044755184482432132045123
       /52792519822352327306209991267423633868324864000000000000000*
         ep^2+249079119521639478812549536/99*ep^2*z5+
         12310139358091121810158428365/19602*ep^2*z4-221696816280612806\
         644355434813187/176490600*ep^2*z3-5110960673757702532846017748\
         45478284786470228846649770168115048166966784129562908409263872\
         54183235603684549341/38063169116188163475704051787352511516063\
         659942837225937763827712000000000000000000000*ep^3+
         1848831493567905075638924060/297*ep^3*z6+
         82627534298068002761969331167/19602*ep^3*z5-221696816280612806\
         644355434813187/117660400*ep^3*z4-2872673859568197110296366712\
         14923866747083/1576393382740176000*ep^3*z3+
         269600342323643459616097792/297*ep^3*z3^2;
Fill mncnoptab(8,5,4,8)=
      +mncF321*(-1737683462742388761600-13391597523123636813360*ep-
         35926501608030428390754*ep^2-1401378898267060971107621/28*ep^3
         )
      +21627248206023476628382079866196067355786619/
      2529002065436054208000-761275715628593794/11*ep^-3-
         47850380741433022588986247/67387320*ep^-2-
         31260112974012450187554736159657/15289733659200*ep^-1+
         251553725532664152821200/11*z3-2229698740208652474518412985004\
         6145781664444906067184010561024017049255054260571/
         254038079392071384203563790750930224703078400000000000000*ep+
         377330588298996229231800/11*ep*z4+
         3106976875020689614314771930272/8423415*ep*z3+
         79488176780359909874695348404672474815537005508699462925502235\
         28789148249538728432552957/18675213107104276178365634517541064\
         017896271773696000000000000000*ep^2+24399264804875027206467960/
         11*ep^2*z5+1553488437510344807157385965136/2807805*ep^2*z4-
         41647248487006376843696454899800173/37474837400*ep^2*z3-
         28127997583908523006610704727577141011118220170198307912245623\
         7217475527334876416570336246054590559432829863877/
         28434316086873786836804022430003579628606739141741076745262716\
         6822400000000000000000000*ep^3+60369277698355907634116900/11*
         ep^3*z6+20739692461284371200579094045441/5615610*ep^3*z5-
         124941745461019130531089364699400519/74949674800*ep^3*z4-
         18897856797639284771886004961938044279680149/
         126450103271802710400*ep^3*z3+8803609893858808438434568/11*
         ep^3*z3^2;
Fill mncnoptab(8,5,5,7)=
      +mncF321*(-3040946059799180332800-23397403887618704487180*ep-
         125171187374200401913689/2*ep^2-1389598761202446067806219/16*
         ep^3)
      +21633984666367641086581987321917737247307829/
      1445144037392030976000-5314558724466408809/22*ep^-3-
         93924749091682528402523017/38507040*ep^-2-53035614882381192418\
         9840827496223/78632915961600*ep^-1+440248167078159574276660/11
         *z3-7589187744109657592831615693768480091463632811999537489350\
         31341247161581415577/49375719998458966803413759135263406161920\
         00000000000000*ep+660372250617239361414990/11*ep*z4+
         776175861455941047577434588428/1203345*ep*z3+
         86068099347390144783464454437584311778428114984234522200112306\
         3934316502977889896707/115231080303603598367134894519512326764\
         4424192000000000000000*ep^2+42699023444051502245208750/11*ep^2
         *z5+388087930727970523788717294214/401115*ep^2*z4-112903820770\
         6884911573066959757814721/578183205600*ep^2*z3-
         11325402109089234747681607844728412709831889975732831539184519\
         0070041184625916553281411209784006112941457554597/
         62174160539811487252486929511669634756428729901766202795763957\
         760000000000000000000000*ep^3+105646938192433356677330225/11*
         ep^3*z6+20585382869413342449347854220111/3208920*ep^3*z5-
         1129038207706884911573066959757814721/385455470400*ep^3*z4-
         682375365693274165010038509279918376205779/2890288074784061952
         *ep^3*z3+15405996721975965074070514/11*ep^3*z3^2;
Fill mncnoptab(8,6,3,8)=
      +mncF321*(-724034776142661984000-5601588359953988984400*ep-
         15135745922908642252380*ep^2-894336950015507280559429/42*ep^3)
      +57402499495485254076845845778061062317453607/
      16111230805101451219200-747815393195104880/33*ep^-3-
         70586468086838692550137/297297*ep^-2-
         33156320095051164498455243522651/46139019806880*ep^-1+
         314437674551556700076720/33*z3-2616171596641477727094815929440\
         3213811363748385016445040385032178283328049065892217/
         717478253285383727633276957960259581098170777600000000000000*
         ep+157218837275778350038360/11*ep*z4+
         45775569830829823600909558774/297297*ep*z3+
         17662411741728709095388877767055005524858159351044296846772743\
         6286145018816275704354717813621/100214159595979733122855970539\
         5487236890224719808167936000000000000000*ep^2+
         10166344442401402824412880/11*ep^2*z5+
         22887784915414911800454779387/99099*ep^2*z4-264411201415772528\
         109960103200499427/576737747586*ep^2*z3-
         55162145064461632330576245718342164278769900217900444574852135\
         61430140771175937285049062904641803941234966400579019575853/
         16896310154453630009465784358992682219663330805073856447448586\
         398944097992704000000000000000000000*ep^3+
         75461489131631629432904800/33*ep^3*z6+
         155248455110710032277572078806/99099*ep^3*z5-26441120141577252\
         8109960103200499427/384491831724*ep^3*z4-192459261360327764946\
         47259985190423213422469/251737981329710175300*ep^3*z3+
         11004561667096738615587920/33*ep^3*z3^2;
Fill mncnoptab(8,6,4,7)=
      +mncF321*(-2027297373199453555200-15629531429442616554960*ep-
         41962042822990959642330*ep^2-702316805874681489861185/12*ep^3)
      +636255355134528924793690407624029546182859/63756354590824896000-
         4990838213698774598/33*ep^-3-2611843596986660929858579/1698840
         *ep^-2-200036652592375079271248298443/46254656448*ep^-1+
         880489212585111919621328/33*z3-9361763167985688691249229284662\
         27672852287249036147912378494370045868514142857/91490304703026\
         90907691373016239984082944000000000000000*ep+
         440244606292555959810664/11*ep*z4+
         91401754461913945958112376706/212355*ep*z3+
         13353183269482789116292825535756275144308646278298434372545462\
         293663574551605558409181/2690306810147074599524461154987908381\
         9298350694400000000000000*ep^2+28465990379821193014571672/11*
         ep^2*z5+45700877230956972979056188353/70785*ep^2*z4-9360969973\
         5232366053352240392820351/72272900700*ep^2*z3-
         31497888788936066276630234059908094222837902924513940664703863\
         53973586698291008273977674180142830755293155678041/
         40692988073306618406752695365387775948082603720705979729827510\
         35392000000000000000000000*ep^3+211293704817196167810234220/33
         *ep^3*z6+611098877065626973643817288353/141570*ep^3*z5-9360969\
         9735232366053352240392820351/48181933800*ep^3*z4-5672005064196\
         62436361620294263083208507731/3187817729541244800*ep^3*z3+
         30812071778994904334162744/33*ep^3*z3^2;
Fill mncnoptab(8,6,5,6)=
      +mncF321*(-3040946059799180332800-23421843866664376136640*ep-
         62773327701029117835810*ep^2-349401542469463858029003/4*ep^3)
      +1170067176445705234018611649645293431441/78132787488756000-
         4146539207369147554/11*ep^-3-1071080084355174196172281/283140*
         ep^-2-280126900853556049784733788563/27208621440*ep^-1+
         440280933111241890873184/11*z3-5856426136637016207488723720621\
         2580760152037223138523774726019069969795037/381362147788394145\
         478665341813391360000000000000000*ep+660421399666862836309776/
         11*ep*z4+182729047600424445519720336247/283140*ep*z3+
         41815345581209082214280474125772739526691522396372203253314618\
         468345365353200788817/5607048673942649141999427177095647387975\
         6800000000000000000*ep^2+42699371947070843140695048/11*ep^2*z5
         +182729047600424445519720336247/188760*ep^2*z4-225199673570123\
         1659811811889882776549/1156366411200*ep^2*z3-
         12166251237911755232310106151929205553667815688266439006201266\
         1108087402303700059482729022835033340528537083659/
         23068587343144341500426698052940916070341612086568015719856865\
         2800000000000000000000000*ep^3+105647727534899003124554660/11*
         ep^3*z6+608426474614846742523725336993/94380*ep^3*z5-225199673\
         5701231659811811889882776549/770910940800*ep^3*z4-535491460796\
         585998230788779534332707131219/2125211819694163200*ep^3*z3+
         15405636277080237267046072/11*ep^3*z3^2;
Fill mncnoptab(8,6,6,5)=
      +mncF321*(-2534121716499316944000-19549275443812891593180*ep-
         105097112624543389445529/2*ep^2-1174704991924377609264099/16*
         ep^3)
      +3183331802029896449183386141085295218850583/
      255025418363299584000-25904317934315543933/66*ep^-3-
         26731865714469697008540149/6795360*ep^-2-
         49362766178632692120203092861321/4625465644800*ep^-1+
         1100759214289029374204188/33*z3-148525779020188328453931628143\
         99573659502123847226706711335729641596012052849/11617816470225\
         6392478620609730031543910400000000000000*ep+
         550379607144514687102094/11*ep*z4+
         91436908789114260916053897305/169884*ep*z3+
         10587362392030693368918472492933059307970030762306720630465759\
         94901262368713482106157/17081313080298886346187054952304180202\
         72911155200000000000000*ep^2+35583011634376455164006602/11*
         ep^2*z5+91436908789114260916053897305/113256*ep^2*z4-186901475\
         7740107723950030785225906447/1156366411200*ep^2*z3-
         17151302864976918066234280472866769684140886740137933121772769\
         39646769229028382209571899265542466935488249413939/
         94734998689179429095085640004077361995536220302172651222878860\
         0832000000000000000000000*ep^3+264120689222100840294539045/33*
         ep^3*z6+612939224954944892289520737533/113256*ep^3*z5-18690147\
         57740107723950030785225906447/770910940800*ep^3*z4-14685524374\
         959742527393748193971782896144719/63756354590824896000*ep^3*z3
         +38513465046719934008486434/33*ep^3*z3^2;
Fill mncnoptab(8,7,2,8)=
      +mncF321*(-115674195005040672000-902141534029815409680*ep-
         2473591956099568503408*ep^2-124251548629250723777122/35*ep^3)
      +1839559856966609232760586435273289869283379/
      3232191365220970152000-260623616649396828/143*ep^-3-
         175175839209355580243603/8588580*ep^-2-
         8886025861171281734288574837371/124959845310300*ep^-1+
         217681967816895649808976/143*z3-391957950858376016564710931965\
         2292038689152630468895395516187197780579796918197627610099/
         67693212223572012241726521051200939165115095061626880000000000\
         0000*ep+326522951725343474713464/143*ep*z4+
         10604189739557124274330717906/429429*ep*z3+
         37540457631096307301140184512730768474848761893664456473907789\
         51499089924800169889139149888646521/13507265286984532349231019\
         1332025351737012048634624107085824000000000000000*ep^2+
         21114655241610862892103552/143*ep^2*z5+
         5302094869778562137165358953/143143*ep^2*z4-896171630639136125\
         3631767350507093339/124959845310300*ep^2*z3-
         57111522508009328961989999076225688517357851637850511252405700\
         11999177546213316740348678143672728000148762932173000549418473\
         6043/148790421129508504908604545199568125370682172903920514493\
         7699432224430723149315702784000000000000000000000*ep^3+
         52242433184484918105736440/143*ep^3*z6+
         37143960723399695180763461199/143143*ep^3*z5-89617163063913612\
         53631767350507093339/83306563540200*ep^3*z4-544770481223284108\
         31048312200691724331435229/3232191365220970152000*ep^3*z3+
         7618604851437469782487872/143*ep^3*z3^2;
Fill mncnoptab(8,7,3,7)=
      +mncF321*(-584797319192150064000-4536226865752438311000*ep-
         12316434017980263099600*ep^2-17443731590256940829521*ep^3)
      +1104068323730698141429281099966968880778061/
      383600733454796457600-379666377904822330/11*ep^-3-
         3132411073787900276189/8712*ep^-2-
         1768564342738801643614921227761/1647822135960*ep^-1+
         84660219082973917676440/11*z3-20589275803351544716427098437712\
         455395707212499344669854855440372377701336224432263461/
         700673268137788868581018728426873281333673590784000000000000000
         *ep+126990328624460876514660/11*ep*z4+
         1762861899331342716985243339/14157*ep*z3+
         36072844669900190922879987520378441237257884778229528133904274\
         9669230531663486651595952140427297/254453977148845193392107110\
         8295611021733350994686796365824000000000000000*ep^2+
         8211319924613152441493280/11*ep^2*z5+
         1762861899331342716985243339/9438*ep^2*z4-60601219911391768633\
         3401247573793629/1647822135960*ep^2*z3-
         36999822932540949949758922867164449725977036110337562679475749\
         81030934656497420455501842958454627326909282306468192884076380\
         719/2366134446798438986089656165378766902263697422272788462662\
         6548087321983405501972480000000000000000000000*ep^3+
         20316649263825446309542100/11*ep^3*z6+
         4028508419353934318048134899/3146*ep^3*z5-60601219911391768633\
         3401247573793629/1098548090640*ep^3*z4-26606609743947591794815\
         787329509914511902711/383600733454796457600*ep^3*z3+
         2962723469339268392060800/11*ep^3*z3^2;
Fill mncnoptab(8,7,4,6)=
      +mncF321*(-1403513566061160153600-10855762254137832202080*ep-
         29320957780913079235920*ep^2-123702604823386882476368/3*ep^3)
      +209219304135949441266055221290911617287/30273672645216000-
         1808055184271837088/11*ep^-3-471840315786985289750027/283140*
         ep^-2-3230564851355103242230065468661/693819846720*ep^-1+
         203204259188432535532128/11*z3-1231303055827968876587006069921\
         312706122231256906401909062443966640106419856411/1742672470533\
         8458871793091459504731586560000000000000000*ep+
         304806388782648803298192/11*ep*z4+
         42253096371129985334251556437/141570*ep*z3+
         62565465002602700299642708768280727648251174793195260066107003\
         850023870143493331041819/1830140687174880679948613030604019307\
         43526195200000000000000000*ep^2+19707377701267126644213216/11*
         ep^2*z5+42253096371129985334251556437/94380*ep^2*z4-1542337489\
         361954427367009890606392117/1734549616800*ep^2*z3-
         94223421276690663226852350937134875395830857283374707035682399\
         10383329486456528813932064940670939060888175082375005069943/
         23094801278852600936795835650283435997495219494270047243682328\
         158793000550400000000000000000000000*ep^3+
         48760433605196735271702720/11*ep^3*z6+
         47718955517720013550994167251/15730*ep^3*z5-154233748936195442\
         7367009890606392117/1156366411200*ep^3*z4-17262437523349409748\
         810343121428239133831/118067323316342400*ep^3*z3+
         7110319238652227957329824/11*ep^3*z3^2;
Fill mncnoptab(8,7,5,5)=
      +mncF321*(-1754391957576450192000-13563994411954993570200*ep-
         36607809627929366547840*ep^2-51429329684914980596550*ep^3)
      +4897326101266799964806489353113685674437/566723151918443520-
         3005800981595734980/11*ep^-3-207517019425607267470231/75504*
         ep^-2-6961220718319661767935107540257/925093128960*ep^-1+
         254021726616700434049560/11*z3-5254935528300154554527399946530\
         231178109363545344048257284409440013335600026293/5948322032755\
         5272949053752181776150482124800000000000000*ep+
         381032589925050651074340/11*ep*z4+
         14082082070142745990905825389/37752*ep*z3+49864502739696057042\
         25060308783706512616742774912027931601899782865566369334563097\
         389/1166084306281737307899702951410632035172974015283200000000\
         0000*ep^2+24634396603562070993975720/11*ep^2*z5+
         14082082070142745990905825389/25168*ep^2*z4-514651912717652895\
         693622958037797341/462546564480*ep^2*z3-
         93301041366104975535421011930371220265524207503946980526928729\
         33454334250096297838714733771600557950331950178191831059169/
         12446882373444770189094176687310651821807949874806593882910896\
         860317911875584000000000000000000000*ep^3+
         60950937192363426399815400/11*ep^3*z6+
         47629219976949573246109943721/12584*ep^3*z5-514651912717652895\
         693622958037797341/308364376320*ep^3*z4-1014683259778691674809\
         7033553453718653723/56672315191844352*ep^3*z3+
         8887718647155436780513080/11*ep^3*z3^2;
Fill mncnoptab(8,7,6,4)=
      +mncF321*(-1169594638384300128000-9061014504132941379120*ep-
         24545710651096435655568*ep^2-103975740237743993327614/3*ep^3)
      +588551789662318115532319097371562308367/102173645177604000-
         1883594099393448932/11*ep^-3-490919692849400648473229/283140*
         ep^-2-4187781128822070060949484254637/867274808400*ep^-1+
         169345173892222071403184/11*z3-1720814874930095137892640189126\
         8755788454086239947511460614648265865510285025839/
         292768975049686109046123936519679490654208000000000000000*ep+
         254017760838333107104776/11*ep*z4+3523908747098911458303798448/
         14157*ep*z3+12230419312137027721794694258965982819116162249196\
         00254197010623102747187838926626014261/43044908962353193592391\
         37847980653411087736111104000000000000000*ep^2+
         16422902940217921612526208/11*ep^2*z5+
         1761954373549455729151899224/4719*ep^2*z4-31997538779154849490\
         2213702211396343/433637404200*ep^2*z3-
         55703394480699055791625315020663583457651438339551901426886969\
         3054114852060146230973689883729089754091060825263907988239059/
         14226397587773202177066234760574596574457055208470349102108314\
         14581648833904640000000000000000000000*ep^3+
         40633894415814248852807560/11*ep^3*z6+
         4005913280766571918353127165/1573*ep^3*z5-31997538779154849490\
         2213702211396343/289091602800*ep^3*z4-348747833761821255043329\
         307003278480370429/2656514774617704000*ep^3*z3+
         5925174829875923272425152/11*ep^3*z3^2;
Fill mncnoptab(8,7,7,3)=
      +mncF321*(-404859682517642352000-3150869858481447398520*ep-
         8606839955906156177808*ep^2-12290693127086519728509*ep^3)
      +16564233355439545922583641561891615985002819/
      8311349224853923248000-5373941274371841066/143*ep^-3-
         319328415787647584165261/817960*ep^-2-
         1530783127719983475269387887617/1322326405400*ep^-1+
         761985017265645792729432/143*z3-560576039631537967883476961118\
         992090148866220494721723998077500611592000756124162399517/
         27629882540233474384378171857633036393924528596582400000000000\
         000*ep+1142977525898468689094148/143*ep*z4+
         1765725533136327750019700875/20449*ep*z3+
         37682789285953599443482561854034734445174561438357498258530273\
         45731437201750262773378992155083921/38592186534241520997802911\
         809150100496289156752749744881664000000000000000*ep^2+
         73902337195662053329505184/143*ep^2*z5+
         5297176599408983250059102625/40898*ep^2*z4-3337428701959215968\
         15763153546837001/1322326405400*ep^2*z3+
         78761471558809720393674112913469361987208127836512101420298980\
         05799493809501032213150703561814378846197856737564201671807418\
         41/55209803758630243008758643858837894386152939853031730795461\
         94553708462794617126912000000000000000000000*ep^3+
         182850880445991018841939380/143*ep^3*z6+
         36801128378267750741913399931/40898*ep^3*z5-100122861058776479\
         0447289460640511003/2644652810800*ep^3*z4-45467611208592340866\
         3456357042615667992739913/8311349224853923248000*ep^3*z3+
         26664037781317369202036736/143*ep^3*z3^2;
Fill mncnoptab(8,8,5,4)=
      +mncF321*(-572862680024963328000-4459049483511053995200*ep-
         12183386614065699345720*ep^2-121823215302327307474120/7*ep^3)
      +6995505701288211447669595311427300922891/2479413789643190400-
         982331092909324200/11*ep^-3-40027708130644902715907/44044*
         ep^-2-106435470221564546282213494247/41510589120*ep^-1+
         82945889012917180381440/11*z3-67200242332582651540036748182999\
         87399772383385663138450883221800741594617467303/23421518003974\
         8887236899149215743592523366400000000000000*ep+
         124418833519375770572160/11*ep*z4+2690997924005593654071873691/
         22022*ep*z3+10569098287827054542585764277509692652197622974483\
         290493371020410240933487970117806289/7652428259973901083091800\
         6186322727308226419752960000000000000*ep^2+
         8043884806530218476286880/11*ep^2*z5+
         8072993772016780962215621073/44044*ep^2*z4-9631537883860415168\
         5252223888384567/269818829280*ep^2*z3+
         10399222667114892858576038318955101156807150302019685159783648\
         109226167009568473866329649119475265087226182217775171060421/
         31039412918777895659053603113980937980633575000298943495509049\
         0454177927397376000000000000000000000*ep^3+
         19902347293793253239763600/11*ep^3*z6+
         28059788903022219860444207457/22022*ep^3*z5-963153788386041516\
         85252223888384567/179879219520*ep^3*z4-19318168528955763182548\
         142392624095608099/247941378964319040*ep^3*z3+
         2902111997198344894420320/11*ep^3*z3^2;
Fill mncnoptab(8,8,6,3)=
      +mncF321*(-286431340012481664000-2234785144532373014400*ep-
         6132225589250540287680*ep^2-61672413163263407182084/7*ep^3)
      +26569737382028183653945337386440159120073/18843544801288247040-
         309710553715809960/11*ep^-3-19351473651111218972153/66066*
         ep^-2-22050710047844570205408890668/25295515245*ep^-1+
         41468952687527457936960/11*z3-26709713876055113261243277118966\
         79092807035147735915077311253463625208804390107334707/
         186436454387540312985007907271477978366562271232000000000000000
         *ep+62203429031291186905440/11*ep*z4+
         2020417764563897648479778230/33033*ep*z3+
         35826990852641206609762612765783242752137262236416636176160295\
         02412482154397900673828056968387/52081223393038489875577478824\
         763968281091979423413960704000000000000000*ep^2+
         4021899944133216524317920/11*ep^2*z5+
         1010208882281948824239889115/11011*ep^2*z4-8524863724808249241\
         9623231590285151/480614789655*ep^2*z3-
         10388134491843604261517949138354460414584308899539474183386372\
         36981796313167564688494845229566344655918645757024638611689994\
         51/18403267919543414336252881286279298128717646617677243598487\
         31517902820931539042304000000000000000000000*ep^3+
         9951077478614222665952400/11*ep^3*z6+
         7088467135118838237656450280/11011*ep^3*z5-8524863724808249241\
         9623231590285151/320409859770*ep^3*z4-378685046932887792658290\
         98114197370565192649/895068378061191734400*ep^3*z3+
         1451099907080168514128160/11*ep^3*z3^2;
Fill mncnoptab(8,8,7,2)=
      +mncF321*(-66099540002880384000-518204364804739670400*ep-
         1434337928959505480640*ep^2-14594865894901299927784/7*ep^3)
      +2522880462436262756882702524367201438189633/
      7757259276530328364800-298617882813679800/143*ep^-3-
         9993404383340472019700/429429*ep^-2-
         16074098949541184153231701162033/199935752496480*ep^-1+
         124392986461693996184640/143*z3-796810607388710347092890938299\
         38326608563658440909754879774765390180012268134421361869/
         24176147222704290086330900375428906844683962522009600000000000\
         000*ep+186589479692540994276960/143*ep*z4+
         6074875823367325413233755445/429429*ep*z3+
         53175851130724331766657630761829909584453390129478726156143963\
         4285506893123937852328181626048647/337681632174613308730775478\
         33006337934253012158656026771456000000000000000*ep^2+
         12065552290089604161269280/143*ep^2*z5+
         6074875823367325413233755445/286286*ep^2*z4-403939815094045925\
         9649884542318739401/99967876248240*ep^2*z3-
         97863069675600396213583338692737444078500109440268188418115833\
         66775188550183082358635849602974430183608605270222875368999611\
         61/27632506781194436625883701251348366140269546396442381263128\
         703741310856287058720194560000000000000000000*ep^3+
         29852898259069775412711600/143*ep^3*z6+
         21717918062241140751884800695/143143*ep^3*z5-40393981509404592\
         59649884542318739401/66645250832160*ep^3*z4-439695757601460747\
         29055840010425709027727047/3878629638265164182400*ep^3*z3+
         4353452311231461936292320/143*ep^3*z3^2;
Fill mncnoptab(8,8,8,1)=
      +mncF321*(-5395880816561664000-298333499035871188800/7*ep-
         5857994668138707264120/49*ep^2-60681627280233939078396/343*
         ep^3)
      +5045203585005396079320599317302687611072531/
      190052852274993044937600-4167716631350040/7007*ep^-3-
         127726742962553584975/2004002*ep^-2-
         16763775299895601195324553059/25917597545840*ep^-1+
         497545782558709778521920/7007*z3-11174669939524286008021394270\
         90922286013073615240415498801618291494540708405781094242969/
         41776382400833013269179795848741151027613887238032588800000000\
         00000*ep+746318673838064667782880/7007*ep*z4+
         8128780495793663787572122802/7014007*ep*z3+
         74073300599508374483451708371210132678925902850184745650798405\
         12577873311953241047256887661538969/58351386039773179748678002\
         65543495195038920501015761426107596800000000000000*ep^2+
         48261930793199195052241440/7007*ep^2*z5+
         12193170743690495681358184203/7014007*ep^2*z4-8793101622504143\
         73149720117775151171/272134774231320*ep^2*z3-
         10431422692352254961407190423789879917106010630950071421900880\
         81348396305995936832954568485416391050671003265249991664898086\
         1513/536969405132138256370113723970838838213680873918409734165\
         1584782394524875713556145766400000000000000000000*ep^3+
         119410962526601213184298800/7007*ep^3*z6+
         89703894808053464030917159404/7014007*ep^3*z5-8793101622504143\
         73149720117775151171/181423182820880*ep^3*z4-10674582340031542\
         4915024462317873459295929567/95026426137496522468800*ep^3*z3+
         17414096854025178982441440/7007*ep^3*z3^2;
Fill mncnoptab(9,4,3,9)=
      +mncF321*(-325815649264197892800-2524002858423134500230*ep-
         13670211058425896219259/2*ep^2-77121459465764045141065/8*ep^3)
      +4099603626533486411600982275289185876820731/
      2557338223031976384000-70062092668459283/44*ep^-3-
         78016906006581859873717/4530240*ep^-2-
         1642407794561805050987591974487/29294615750400*ep^-1+
         47163567703840766369450/11*z3-32131826810819138934910714521869\
         3455974160702445306106129269446327313343610614059/
         19599779414812136510510220220122870776164515840000000000000*ep
         +70745351555761149554175/11*ep*z4+
         19629794291454521238062874541/283140*ep*z3+
         18414980218524481538681335365126820908557161414504889820880318\
         498178114728159364007234326359/2326968240958803780449081946315\
         14496729158755801261670400000000000000*ep^2+
         4574832842186286837032505/11*ep^2*z5+
         19629794291454521238062874541/188760*ep^2*z4-45179403892057012\
         27425480219200671633/21970961812800*ep^2*z3-
         43471720410839248019456727525662365818542432764300184805257425\
         7938203540747469591696989987968043951239251416215359/
         25498659560405705172852958722429922445452084789950259212990233\
         54501529600000000000000000000*ep^3+22638346372412230353315275/
         22*ep^3*z6+267716799177295549693399379071/377520*ep^3*z5-
         4517940389205701227425480219200671633/14647307875200*ep^3*z4-
         63231501644189382589380050085396202029727/1719218973466874880*
         ep^3*z3+1650707176569631713145319/11*ep^3*z3^2;
Fill mncnoptab(9,4,4,8)=
      +mncF321*(-868841731371194380800-6711942539807586179280*ep-
         18085085535553411456312*ep^2-152033153540802114398245/6*ep^3)
      +257426712718567436853772723722967382810701/60214334891334624000-
         489810552452804366/33*ep^-3-4479279884598432780263989/28880280
         *ep^-2-47803868951207981330233395596/102386609325*ep^-1+
         377316240457224984045200/33*z3-4240159413289034369732843746616\
         335954361163023726693714536148142100305004715047/9677641119697\
         9574934690967905116276077363200000000000000*ep+
         188658120228612492022600/11*ep*z4+
         666531807219434562078234205694/3610035*ep*z3+
         15080887766550477127103416061708269993913802066281061506361283\
         47825337143074889588876059/71143668979444861631869083876346910\
         54436674961408000000000000000*ep^2+12199581534725545928369080/
         11*ep^2*z5+333265903609717281039117102847/1203345*ep^2*z4-
         239493182767771265258403684526435607/433637404200*ep^2*z3-
         22171621366175676701487312798846109741343042339689612058554368\
         9856727329405116032085944892760977501197419856629/
         40620451552676838338291460614290828040866770202487252493232452\
         4032000000000000000000000*ep^3+90553570909298532002655100/33*
         ep^3*z6+4493701940599242718165852059607/2406690*ep^3*z5-
         239493182767771265258403684526435607/289091602800*ep^3*z4-
         61836162898861761427214996841310051380797/722572018696015488*
         ep^3*z3+13205572679649077000174552/33*ep^3*z3^2;
Fill mncnoptab(9,5,2,9)=
      +mncF321*(-113130433772290935000-3518287037248623678675/4*ep-
         76729461288314570459115/32*ep^2-2621064786772405552876799/768*
         ep^3)
      +2787682855201597515342610945228890686508517373/
      5008291175985822550425600-305732987121643165/1056*ep^-3-
         1227662202925295884616401/369667584*ep^-2-17447778742242688927\
         4483170801517/14342643871395840*ep^-1+196514099464241071241435/
         132*z3-6752662881934520130008217031134374551505536089969480170\
         51826430211910053542658998861/11895106126849485648228652651592\
         5702740542446632960000000000000*ep+196514099464241071241435/88
         *ep*z4+34821473033180041776719721835/1444014*ep*z3+
         28366379196582088786576897707878208594920693167625874522007637\
         1473157758570066008057834141421/103840957752786618702540281854\
         31334416538709477631302041600000000000000*ep^2+
         12707863577439672104766205/88*ep^2*z5+
         34821473033180041776719721835/962676*ep^2*z4-74587286966242122\
         41760449166163018993/105460616701440*ep^2*z3-
         20301925622281735869019534062293132001632916881814945711678231\
         191534731953276494359082183303583623163693108308315642021/
         38143345674957048345883957635821222647564485768067965172370706\
         5090801506713600000000000000000000*ep^3+
         188652812666952670859078725/528*ep^3*z6+
         7710409302288408322074232174535/30805632*ep^3*z5-7458728696624\
         212241760449166163018993/70307077800960*ep^3*z4-26492590145235\
         16712968304355913201843157691461/178867541999493662515200*ep^3
         *z3+13755910007706211975557865/264*ep^3*z3^2;
Fill mncnoptab(9,5,3,8)=
      +mncF321*(-543026082106996488000-4202843787748976356350*ep-
         45454285908998820524475/4*ep^2-511907903804205998595829/32*
         ep^3)
      +557571645476492892443960330048541275268418579/
      208678798999409272934400-341367743855607455/44*ep^-3-
         1266585049525084401576995/15402816*ep^-2-
         16983513402136016414904058788979/66401129034240*ep^-1+
         78607182680005767940250/11*z3-38116896752205629231831381435499\
         3881581853584205024782175134347271716520464009708203/
         13939577492401740994017952326085043289907317964800000000000000
         *ep+117910774020008651910375/11*ep*z4+
         111188145578311811502867006689/962676*ep*z3+
         25718019012744437232525639317037997025786618948214704308988009\
         10149294021002134365529536998969/19470179578647491006726302847\
         683752031010080270558691328000000000000000*ep^2+
         7624734551142212249621925/11*ep^2*z5+
         111188145578311811502867006689/641784*ep^2*z4-8385908387433566\
         3940643307675916569/244121797920*ep^2*z3-
         84017239594836857856313897904612464357945067865417614240629111\
         57345517451167437901636945365079903517631766025360312601/
         33758861447459800218712855862123241198128533077070642252644528\
         269618577408000000000000000000000*ep^3+
         37730636842311032408408375/22*ep^3*z6+
         1510806603442395898566260464849/1283568*ep^3*z5-83859083874335\
         663940643307675916569/162747865280*ep^3*z4-3056887357324094401\
         109331107806370439051322351/52169699749852318233600*ep^3*z3+
         2751165016276996912997915/11*ep^3*z3^2;
Fill mncnoptab(9,5,4,7)=
      +mncF321*(-1267060858249658472000-9787403032325465314950*ep-
         105476675311383496559775/4*ep^2-3546924440567252159210131/96*
         ep^3)
      +1544824431483530959162053495307813171682779/
      247738977838633881600-7120659296153402825/132*ep^-3-
         25609681776274042097608517/46208448*ep^-2-
         2398001068210193215156972734977/1497769827840*ep^-1+
         550276293680314192037270/33*z3-1210815059886671918504033680193\
         84510008775610024594912579084417166718665097505613/
         1896027647940824325251088350794114796617728000000000000000*ep+
         275138146840157096018635/11*ep*z4+
         777609109371459691489454647055/2888028*ep*z3+
         12315033138849753797527869561747892441377814989903111065341334\
         64928447636847078127178789/39823861352925403595681819545943460\
         12979130007552000000000000000*ep^2+17791139528047720159459505/
         11*ep^2*z5+777609109371459691489454647055/1925352*ep^2*z4-
         4435820239758943779628555044820031/5506506720*ep^2*z3-
         73953917469075496960562122292804219578446214007641238969317721\
         3628208850884762652901127229683679645391471643633399/
         14882007066809277588755271447913243775298780789286758301194060\
         92943360000000000000000000000*ep^3+264115711452314231431706225/
         66*ep^3*z6+10481439250052919365889721092295/3850704*ep^3*z5-
         4435820239758943779628555044820031/3671004480*ep^3*z4-
         1096643917718725323313405446242556753475441/
         8847820637094067200*ep^3*z3+19257868998200083940652845/33*ep^3
         *z3^2;
Fill mncnoptab(9,5,5,6)=
      +mncF321*(-1583826072812073090000-24483351299307854273775/2*ep-
         528308893724033614813425/16*ep^2-5931800818128130010046891/128
         *ep^3)
      +7726784576673520573545022670999018496511349/
      990955911354535526400-73946851162322614525/528*ep^-3-
         262221776362172145046149265/184833792*ep^-2-
         71105279272092579738170256258059/17973237934080*ep^-1+
         1375796198744672523945455/66*z3-315221922500925615002174100697\
         56603703337465842062342107414721024214024452794131/
         395005759987671734427310073082107249295360000000000000000*ep+
         1375796198744672523945455/44*ep*z4+
         7778716653191202194722435846265/23104224*ep*z3+
         11214776581571215030999171677308934781399347031484225657010888\
         087251681602138105218996833/2903823223650810678851799341891710\
         6344639489638400000000000000000*ep^2+
         88956445431806586862817365/44*ep^2*z5+
         7778716653191202194722435846265/15402816*ep^2*z4-5314384258512\
         8138693482427976093025/52862464512*ep^2*z3-
         26546091369075529249478982136443912264159135372187570921899593\
         337492156166562446803959262342931371809622213945119/
         75787998951343543276068512003261889596428976241738120978303088\
         066560000000000000000000000*ep^3+1320588719489652077702805925/
         264*ep^3*z6+52555735608731461361108555457245/15402816*ep^3*z5-
         53143842585128138693482427976093025/35241643008*ep^3*z4-
         39539615739067018809859493308981550875359149/
         247738977838633881600*ep^3*z3+96287024454736245565666945/132*
         ep^3*z3^2;
Fill mncnoptab(9,6,1,9)=
      +mncF321*(-10844455781722563000-339797853195602295375/4*ep-
         7512432511428297746055/32*ep^2-87148032906248057413433/256*
         ep^3)
      +7568293281789674956545548331340680414761863/
      141847026770840290099200+2114914727346225/4576*ep^-3-
         468604719143027474441/31409664*ep^-2-
         731424740990258085272414962447/3655968045649920*ep^-1+
         81628576718833995323865/572*z3-9301794642100652138047109492754\
         069014169474520392063448891755803690030413167513040663/
         17191926913923050728057529155860555978441928904540160000000000\
         000*ep+244885730156501985971595/1144*ep*z4+
         284639030989149687877952303/122694*ep*z3+
         62110344340497420161241747564045987650373787315698529041421672\
         096451195061189621325234683716513/2401291606575027973196625623\
         6804506975468808646155396815257600000000000000*ep^2+
         15835945494604835444430285/1144*ep^2*z5+
         284639030989149687877952303/81796*ep^2*z4-86757115278501381515\
         282483073751769/13057028734464*ep^2*z3-
         11573684527346932586652376254879647943335304086086500862705521\
         72305558163445071969694033559297376688264796462360227702347625\
         51/37788043461462477437105916241160158824300234388297273522227\
         287167604589794268335308800000000000000000000*ep^3+
         78363441705835837268912775/2288*ep^3*z6+
         64922756778538049322939534543/2617472*ep^3*z5-8675711527850138\
         1515282483073751769/8704685822976*ep^3*z4-64625937409987054227\
         099376595210823421597273/35461756692710072524800*ep^3*z3+
         5714001269331732608551635/1144*ep^3*z3^2;
Fill mncnoptab(9,6,2,8)=
      +mncF321*(-125313711255460728000-975486725221914990630*ep-
         10661697694039787848467/4*ep^2-609068765853392617960977/160*
         ep^3)
      +12613988386161114324871601115216984733717729/
      20458705784255811072000-39263982237863439/44*ep^-3-
         15209348815104477337693/1510080*ep^-2-
         6283094649953522105562241483523/175767694502400*ep^-1+
         18139901809131354609042/11*z3-55635366125896132505005699147052\
         248616405575654571009338791842184796159412023752359/
         8855731583408164866787875595395203972411707883520000000000000*
         ep+27209852713697031913563/11*ep*z4+
         126125259619746554751075110/4719*ep*z3+74709784776175025724289\
         17966879390567502215852553367998365864673976584682340267739286\
         5302551/247385811116932826908993024417628849335186902261216313\
         3440000000000000*ep^2+1759551816026425721897709/11*ep^2*z5+
         63062629809873277375537555/1573*ep^2*z4-1715612671358791307181\
         062306215291559/21970961812800*ep^2*z3-
         38510035386922612026945538347280755276449943459983525213713701\
         95446898514747055783483932568789154624629006117652829410775173/
         11502042449714633960158050803924561330448529136048277249054571\
         9868926308221190144000000000000000000000*ep^3+
         8707059571086471836443335/22*ep^3*z6+
         7016073353095516252149946815/25168*ep^3*z5-1715612671358791307\
         181062306215291559/14647307875200*ep^3*z4-87576311549610305573\
         349052315680332905981351/5114676446063952768000*ep^3*z3+
         634886624091439617838899/11*ep^3*z3^2;
Fill mncnoptab(9,6,3,7)=
      +mncF321*(-526317587272935057600-4081755102717522869730*ep-
         44310523336665031161765/4*ep^2-501668884107499883722059/32*
         ep^3)
      +132800490725765900758299713206509511366741/51274951840240128000-
         778797415147998897/44*ep^-3-93467890083887681629673/503360*
         ep^-2-49666481479586359021461285131/88104107520*ep^-1+
         76190962585132824379398/11*z3-13418844502789403822706689350165\
         4670156282846904432353973721771789104216608506606489/
         5073100799660960897551235572013006214056116224000000000000000*
         ep+114286443877699236569097/11*ep*z4+
         3525276824001735988822705691/31460*ep*z3+
         36173238775545684296314679900475395928916423324986136937134859\
         724103840223397554123564859949/2834352293498693326562039663932\
         73296767847507066198425600000000000000*ep^2+
         7390153529994437223867531/11*ep^2*z5+
         10575830472005207966468117073/62920*ep^2*z4-173249491706645360\
         207536169809266011/523118138400*ep^2*z3-
         20825735768644214010295680858505752136451792924654591620341853\
         8973325642170544240610439554529292590520964670324763424372803/
         12415765167511158263621441245592375192253430000119577398203619\
         61816711709589504000000000000000000000*ep^3+
         36569812837046521997440665/22*ep^3*z6+
         144885854016169665732908908473/125840*ep^3*z5-1732494917066453\
         60207536169809266011/348745425600*ep^3*z4-30201987689004626336\
         23985852605871426010911/48711204248228121600*ep^3*z3+
         2666486707538865544683189/11*ep^3*z3^2;
Fill mncnoptab(9,6,4,6)=
      +mncF321*(-1052635174545870115200-8153048329353148499460*ep-
         44151173204826940481565/2*ep^2-498324140229301303708651/16*
         ep^3)
      +6992125822241031705544401163312664257159/1349340837901056000-
         1933557526065679857/22*ep^-3-676654969776240288808499/755040*
         ep^-2-335789072576186227995094559261/132156161280*ep^-1+
         152394630761046152549196/11*z3-9843290003334091635599371608465\
         507520267297377474776643799265817580526285962387/1858850635236\
         10227965792975568050470256640000000000000000*ep+
         228591946141569228823794/11*ep*z4+5284939314917946862887765259/
         23595*ep*z3+34957217517025310781717643052105398031435237745888\
         01550615943201097610933562757007357021/13665050464239109076949\
         643961843344162183289241600000000000000000*ep^2+
         14780442189528278296139862/11*ep^2*z5+
         5284939314917946862887765259/15730*ep^2*z4-5489018069399279717\
         7537109744749229/82597600800*ep^2*z3-
         83944108480840766770758934268276704204595312200872433969052528\
         516721283672918823673811071937013831811294074744853459664351/
         24634454697442774332582224693635665063994900793888050393261150\
         0360458672537600000000000000000000000*ep^3+
         36570118896918080358976665/11*ep^3*z6+
         144053331797171450774311821693/62920*ep^3*z5-54890180693992797\
         177537109744749229/55065067200*ep^3*z4-79041120980269793494821\
         40957455028113983/67467041895052800*ep^3*z3+
         5332833627742364442053418/11*ep^3*z3^2;
Fill mncnoptab(9,6,5,5)=
      +mncF321*(-1096494973485281370000-17005496772829597762275/2*ep-
         369157734247597532397405/16*ep^2-4179102919779127433424975/128
         *ep^3)
      +384345811189053564232790547332621529019/71174022218956800-
         26786048637916820595/176*ep^-3-1857636364450892675115109/
         1208064*ep^-2-4503666288686487402600901798367/1057249290240*
         ep^-1+317518159046885349449505/22*z3-1061948141652261120432203\
         979782147401489037315508196733152192410219682971240481517/
         19272563386127908435493415706895472756208435200000000000000*ep
         +952554477140656048348515/44*ep*z4+
         35254787065888143047717090045/151008*ep*z3+
         44329578065512199562486566919247167219916404220029938804235344\
         10824869811940761915393527/16668146260380127401154577481928446\
         149825452100812800000000000000*ep^2+61585800080545848705041745/
         44*ep^2*z5+35254787065888143047717090045/100672*ep^2*z4-
         182397554363868283617760061100232849/264312322560*ep^2*z3-
         25514709026220409432115521722298254258905955857402151548228844\
         71070790262553697372548486178329328685964099116321417036281496\
         17/34338459091859431997673014644952626246003772114616431204174\
         5822582450552823611392000000000000000000000*ep^3+
         304753818812260390030713675/88*ep^3*z6+
         241386842070759633959696397825/100672*ep^3*z5-1823975543638682\
         83617760061100232849/176208215040*ep^3*z4-20804120190691857560\
         4253134362589765964657/1619209005481267200*ep^3*z3+
         22219494622108442346827055/44*ep^3*z3^2;
Fill mncnoptab(9,6,6,4)=
      +mncF321*(-607289523776463528000-4726805178402490998150*ep-
         51655139690903776641285/4*ep^2-590204386398515969179015/32*
         ep^3)
      +6996005457379223547010271528494126256341/2338857452361830400-
         56980681436095621575/572*ep^-3-3972107192959730081967745/
         3926208*ep^-2-9756894891142746200851760474891/3436060193280*
         ep^-1+1143113613971575420541850/143*z3-34983319313489891719616\
         037224679269972015976353862598838858789084861266077387132223/
         1150933394715326031882122419246164013659822489600000000000000*
         ep+1714670420957363130812775/143*ep*z4+
         63573952266199991478891345905/490776*ep*z3+
         12388234793064392616273428310864085506050513686770946283498188\
         824541375963460286626947646561/8460907305640143732520449353990\
         7723448340540999860224000000000000000*ep^2+
         110854953150679683822106125/143*ep^2*z5+
         63573952266199991478891345905/327184*ep^2*z4-32510275786018942\
         3870568544404406949/859015048320*ep^2*z3+
         78735067230702139302532850165763188646754446055888073812171643\
         96992907023576564782225841406117046655041365399561865120767290\
         91/17351652609855219231324145212777623949933781096667115392859\
         468597369454497368113152000000000000000000000*ep^3+
         548559197683540542007821375/286*ep^3*z6+
         441855149819770704349494535485/327184*ep^3*z5-3251027578601894\
         23870568544404406949/572676698880*ep^3*z4-68901485589349384087\
         80830251830409116379/83530623298636800*ep^3*z3+
         39994559428073215596583155/143*ep^3*z3^2;
Fill mncnoptab(9,7,1,8)=
      +mncF321*(-8262442500360048000-64965964896363242880*ep-
         180761548906522452498*ep^2-27780116334653610045731/105*ep^3)
      +2225922222817314501383430055756383770543021/
      54757124304919964928000-27604009554793/143*ep^-3-
         1028577082865871073699/25765740*ep^-2-
         85108723948570574720808642803/201615884870400*ep^-1+
         15548302817344362826216/143*z3-4910130102784497188059000904802\
         4760876629550135924825075331827601974483607908678601061/
         11945860980630355101481150773741342205608546187345920000000000\
         0000*ep+23322454226016544239324/143*ep*z4+
         18249802702019467086493665133/10306296*ep*z3+
         46685059225973876878461088798210370730520557280773256641879881\
         824541318266740196687280327753519/2383635050644329238099591611\
         7416238541825655641404254191616000000000000000*ep^2+
         1508185308852320865508332/143*ep^2*z5+
         18249802702019467086493665133/6870864*ep^2*z4-8586909717686859\
         439279727573576192467/1713735021398400*ep^2*z3-
         12695095385674924588704305056583426211574283115910410577463969\
         90810852663848449398099284759329442013278347688065560255062999\
         40057/58028264240508316914355772627831568894566047432529000652\
         570277856752798202823312408576000000000000000000000*ep^3+
         3731592515087441256705290/143*ep^3*z6+
         21995492932399810162398761469/1145144*ep^3*z5-8586909717686859\
         439279727573576192467/1142490014265600*ep^3*z4-716026304342954\
         059183050734329607887155110651/465435556591819701888000*ep^3*
         z3+544190563482316524750292/143*ep^3*z3^2;
Fill mncnoptab(9,7,2,7)=
      +mncF321*(-83542474170307152000-653248262829296010240*ep-
         1799580398256022744614*ep^2-12994868917954767755733/5*ep^3)
      +1802016336685187643464052500079193040207929/
      4384008382340530944000-15709458858767863/11*ep^-3-
         348751558836045315239/21780*ep^-2-
         14769417032052823893170281842941/263651541753600*ep^-1+
         12093469161889842201496/11*z3-58481613909808658602899091887369\
         56827552230506117216778907576397722695712680063383363/
         14013465362755777371620374568537465626673471815680000000000000\
         00*ep+18140203742834763302244/11*ep*z4+
         2022384866553140555854963733/113256*ep*z3+
         10171538934867234247408494487200270302596161557292749563908898\
         5441220712083216958860122270652559/508907954297690386784214221\
         6591222043466701989373592731648000000000000000*ep^2+
         1173036686279032458249492/11*ep^2*z5+
         2022384866553140555854963733/75504*ep^2*z4-6780376723062714219\
         430434375751335917/131825770876800*ep^2*z3-
         77466181289667605481856724053460555913959974725301718835009628\
         14009601326610924618655336663375254509662967246914268188034711\
         371/5205495782956565769397243563833287184980134329000134617857\
         84057921083634921043394560000000000000000000000*ep^3+
         2902358042792856540119990/11*ep^3*z6+
         2385683391262695654547642149/12584*ep^3*z5-6780376723062714219\
         430434375751335917/87883847251200*ep^3*z4-29075798637605218361\
         825679495859179761082527/2192004191170265472000*ep^3*z3+
         423255538022309058161452/11*ep^3*z3^2;
Fill mncnoptab(9,7,3,6)=
      +mncF321*(-300752907013105747200-2344433227396398389160*ep-
         6422494624861106343825*ep^2-9205911713934988416248*ep^3)
      +360523758318082931915917776934412506102567/243556021241140608000
         -222369648097409631/11*ep^-3-159388710630834123694009/755040*
         ep^-2-4457248692600747406299619158043/7030707780096*ep^-1+
         43540138420879045954176/11*z3-50392881333890120212532913148686\
         540481947708980547897270667686534355346108064904237/
         3346837333109661703245606800980802710662021120000000000000000*
         ep+65310207631318568931264/11*ep*z4+
         24233823246448795029052474289/377520*ep*z3+
         33812467393822950454917144257543209831449275715336654654612408\
         0591705356258293570287219679829/467471298406902545179503069572\
         2389443219707147793203200000000000000000*ep^2+
         4222970881917922959189372/11*ep^2*z5+
         24233823246448795029052474289/251680*ep^2*z4-16407552739182782\
         704211161143334940191/87883847251200*ep^2*z3+
         13450348331219614582305564552580113806131652821208172484502568\
         3286105289402453315290692420831753594806845755629490634549/
         79833880963934916818553505951597062707390882202414978126309282\
         52422271795200000000000000000000000*ep^3+
         10448576858742609783087990/11*ep^3*z6+
         6517142950976602192873920357/9680*ep^3*z5-16407552739182782704\
         211161143334940191/58589231500800*ep^3*z4-10503993434224355456\
         87108250551962087803103/24355602124114060800*ep^3*z3+
         1523679781101316377809508/11*ep^3*z3^2;
Fill mncnoptab(9,7,4,5)=
      +mncF321*(-501254845021842912000-3904522500930820587000*ep-
         10682157086413478176035*ep^2-45853839225617070955700/3*ep^3)
      +47580577055819676491117073943067988539/19276297684300800-
         735463633043278965/11*ep^-3-309014600115891005532797/453024*
         ep^-2-10749468897398294702809350659813/5550558773760*ep^-1+
         72574922388240306807360/11*z3-16124612810131799757657807391022\
         7456628210499313170986618573035056146425243396121/
         6424187795375969478497805235631824252069478400000000000000*ep+
         108862383582360460211040/11*ep*z4+
         24226925365267821078528251269/226512*ep*z3+
         16286345371584626906055788458568150391887140279574649555526046\
         99892481610555489966800189/13493261258402960277125134152037313\
         549858699319705600000000000000*ep^2+7038370166141673463600020/
         11*ep^2*z5+24226925365267821078528251269/151008*ep^2*z4-
         865186863935043322028726316996435017/2775279386880*ep^2*z3+
         58381801748695365256075343862812858764645464409660748147503296\
         232871063162424315962224707400160647862007797344401296471051/
         94596306038180253437115742823560953845740419048530113510122816\
         1384161302544384000000000000000000000*ep^3+
         17414488109383582891981650/11*ep^3*z6+
         28150817361391248177010056327/25168*ep^3*z5-865186863935043322\
         028726316996435017/1850186257920*ep^3*z4-945283632467193847624\
         609728594783183661/13493408379010560*ep^3*z3+
         2539378039622858499936780/11*ep^3*z3^2;
Fill mncnoptab(9,7,5,4)=
      +mncF321*(-417712370851535760000-3259065671955664552800*ep-
         8942693074709112559470*ep^2-77083461413875919681795/6*ep^3)
      +4997096526801738842382604960682157839791/2428813508221900800-
         766853393395053755/11*ep^-3-160874860342465367315923/226512*
         ep^-2-348543571064294097322689152881/173454961680*ep^-1+
         60482490622486756047560/11*z3-61598998230164244113868031025912\
         196303989267043394804071840635334353204165538821/2951111268500\
         835979184929280118369265794416640000000000000*ep+
         90723735933730134071340/11*ep*z4+5051400055818797469640796185/
         56628*ep*z3+21762325161693159800419859521309739576148233536181\
         352460186246639769330155186658286375247/2169463411702600957056\
         52547538224931918821899999641600000000000000*ep^2+
         5865344509573319067503220/11*ep^2*z5+
         5051400055818797469640796185/37752*ep^2*z4-4486512019701912115\
         2256217915712053/173454961680*ep^2*z3-
         33337373492396627402837119840963530462633786854274554037530142\
         27519745235479763736751854745913013618422032180752771421433/
         12601054909117806268209255782699799527911242626483017714494893\
         68000686601116057600000000000000000000*ep^3+
         14512155047377080778639150/11*ep^3*z6+
         1476876217639618707596394085/1573*ep^3*z5-44865120197019121152\
         256217915712053/115636641120*ep^3*z4-1071487067742888676806203\
         9468465161470263/173486679158707200*ep^3*z3+
         2116111080536653267079180/11*ep^3*z3^2;
Fill mncnoptab(9,7,6,3)=
      +mncF321*(-173511292507561008000-1359303477073557210720*ep-
         3757478612484191462658*ep^2-10904253060366359345691/2*ep^3)
      +772834593272684481430983015839069393356147/904636650324236544000
         -3286429286244027021/143*ep^-3-390955596869451137235597/
         1635920*ep^-2-22549502349661963111592065550593/31735833729600*
         ep^-1+326586639572877217319352/143*z3-306006689210168666412228\
         67036611072869412193790509111580853100010732279850054301136422\
         639/3536624965149884721200405997777028658422339660362547200000\
         000000000*ep+489879959359315825979028/143*ep*z4+
         3036699937967670716516750289/81796*ep*z3+
         20452363123518077829622744584881442486994777165725402398280593\
         9173042896757788860665709388369632627/493979987638291468771877\
         2711571212863525012064351967344852992000000000000000*ep^2+
         31672660316852793592679724/143*ep^2*z5+
         9110099813903012149550250867/163592*ep^2*z4-168623628011658966\
         6713507199985935127/15867916864800*ep^2*z3-
         46877245828800434373449430500596011714461791370430372217948009\
         59436844954782577861890990135654816302158837776613402431046187\
         261787/1010560247997967968032318217192168818844143411069892800\
         48013545111079702992671890997248000000000000000000000*ep^3+
         78365184193199790938400930/143*ep^3*z6+
         16238824414784873660473461465/40898*ep^3*z5-168623628011658966\
         6713507199985935127/10578611243200*ep^3*z4-9232548433306648342\
         5541131298649682508039499/3166228276134827904000*ep^3*z3+
         11427206814969563949257556/143*ep^3*z3^2;
Fill mncnoptab(9,7,7,2)=
      +mncF321*(-33049770001440192000-260666568026141565960*ep-
         729318334383509204709*ep^2-15057628487590094350923/14*ep^3)
      +75689066526565886686637457860730733081201567/
      465435556591819701888000-257282524098433233/143*ep^-3-
         228922136370071667891167/11451440*ep^-2-
         91499827121257756968085714650443/1332905016643200*ep^-1+
         62198868982316259993336/143*z3-7829989165453043141062893607700\
         047690970742489079971821810598007618955478704461275268357/
         47744437029523443736205480969989886888701585414894387200000000\
         00000*ep+93298303473474389990004/143*ep*z4+
         4061809720474904920858178499/572572*ep*z3+
         51979962669702854469747846576025648972667726551855009934659630\
         177865845593244460984529728834400557/6668729833116934828420343\
         160621137365758766286875155915551539200000000000000*ep^2+
         6032801413193054574959532/143*ep^2*z5+
         12185429161424714762574535497/1145144*ep^2*z4-1324212892452897\
         1629013490007879405647/666452508321600*ep^2*z3-
         45711040658921986755893571213290178460990385352015336655481255\
         34895092670062634540581850189777012354551125206391951362159078\
         874591/1612302941124030712633380428338414797337701533116056240\
         76603428790858980683762880636518400000000000000000000*ep^3+
         14926506360526845787415490/143*ep^3*z6+
         22290159322708702822974669145/286286*ep^3*z5-13242128924528971\
         629013490007879405647/444301672214400*ep^3*z4-1547377534199738\
         155435802584080736487945011307/232717778295909850944000*ep^3*
         z3+2176700019689180112584148/143*ep^3*z3^2;
Fill mncnoptab(9,8,1,7)=
      +mncF321*(-3855806500168022400-30544911128433703680*ep-
         86130213477719255058*ep^2-2695077284473825180247/21*ep^3)
      +3531602555674707075245304576203490974916881/
      186174222636727880755200+26906423731903/143*ep^-3-
         239118481079631717463/5153148*ep^-2-
         1771683761649428394531230490251/3427470042796800*ep^-1+
         7255872928235333231528/143*z3-10116624493015894426260020375485\
         154442844725670241114073913044070198919092616363317462703/
         53049374477248270818006089966655429876335094905438208000000000\
         000000*ep+10883809392352999847292/143*ep*z4+
         42737149795317039314238830521/51531480*ep*z3+
         40130303574440431098605747692514351781456259229632067313176975\
         311771308555289572623136995268206981/4445819888744623218946895\
         4404140915771725108579167706103676928000000000000000*ep^2+
         703819795581089026531596/143*ep^2*z5+
         42737149795317039314238830521/34354320*ep^2*z4-274678598792868\
         49235622675339552393149/11996145149788800*ep^2*z3+
         26226251403383240385600875387013575386503054787725409779254873\
         69764436726437386977107757416572234516604368765886990172842743\
         4631581/366833370023262372395731512840757281240424058218371086\
         57428916875321932186339896432001024000000000000000000000*ep^3+
         1741409806632134233250170/143*ep^3*z6+
         52985296261732721739260113353/5725720*ep^3*z5-2746785987928684\
         9235622675339552393149/7997430099859200*ep^3*z4-39969378712765\
         5272134364490529667228972020259/465435556591819701888000*ep^3*
         z3+253955621969571447263924/143*ep^3*z3^2;
Fill mncnoptab(9,8,2,6)=
      +mncF321*(-33416989668122860800-263417176660937513760*ep-
         736261207311501702096*ep^2-3252576616271796073244/3*ep^3)
      +504577156482063520326464359485608746045447/
      3068805867638371660800-13682940462404458/11*ep^-3-
         1570909479201675611677/113256*ep^-2-
         197773753729273965870012697741/4119555339900*ep^-1+
         4837550812423830238192/11*z3-146891620209971023262218872475168\
         1517633899885012924762178060804973872919612697390621/
         885573158340816486678787559539520397241170788352000000000000000
         *ep+7256326218635745357288/11*ep*z4+
         1015161282375160151011757693/141570*ep*z3+
         15613334520320633159790742210352534559790407949925361976974047\
         4526285544508449267622757758467821/197908648893546261527194419\
         53410307946814952180897305067520000000000000000*ep^2+
         469216408477685623571544/11*ep^2*z5+
         1015161282375160151011757693/94380*ep^2*z4-3315787567443260976\
         18955673960361071/16478221359600*ep^2*z3+
         32658578350609457685874725308111356163748873392985691425874117\
         37780629715743320874564193281740653868412355228280050085019324\
         78591/22267954182647531346865986356397950735748352407389464754\
         169651366624133271622411878400000000000000000000000*ep^3+
         1160947144163154483333380/11*ep^3*z6+
         617696817009867455761397687/7865*ep^3*z5-331578756744326097618\
         955673960361071/10985480906400*ep^3*z4-50925117380565344606567\
         226074273601263863357/7672014669095929152000*ep^3*z3+
         169300417654757700387496/11*ep^3*z3^2;
Fill mncnoptab(9,8,3,5)=
      +mncF321*(-100250969004368582400-788215102236419621400*ep-
         2192927172776763593751*ep^2-16046189440613861979028/5*ep^3)
      +10303150264675929216936876708728412013141/20876230392097766400-
         128116134844779585/11*ep^-3-91947233784327658820111/755040*
         ep^-2-64494210754256875650207507098693/175767694502400*ep^-1+
         14514566486356392197952/11*z3-92223548334663999086898026041821\
         6874627536202174641883672685337571471003358006092781/
         185066717171631853542669073667034466688767119851520000000000000
         *ep+21771849729534588296928/11*ep*z4+
         8111838844933105728416866087/377520*ep*z3+
         61447561297391246918133855895899927270644753877732815228107599\
         21047101277679096236460159030379/25849292916708083138245801735\
         0665246652276926444372964147200000000000000*ep^2+
         1407669589161968444657604/11*ep^2*z5+
         8111838844933105728416866087/251680*ep^2*z4-534300455549368114\
         4239621504657879337/87883847251200*ep^2*z3+
         57672657077309491273336988293532277881760216773152469956564915\
         94856897437714569576975729400120671598902736370704810546983/
         16417540717370126629582071068551901080665692562141589948037844\
         1231961878953984000000000000000000000*ep^3+
         3482887556689030131149130/11*ep^3*z6+
         29324693974575474077409252183/125840*ep^3*z5-53430045554936811\
         44239621504657879337/58589231500800*ep^3*z4-476972001874802363\
         05498875947578866950993869/2557338223031976384000*ep^3*z3+
         507880209878972899588956/11*ep^3*z3^2;
Fill mncnoptab(9,8,4,4)=
      +mncF321*(-133667958672491443200-1050629104908578613600*ep-
         2921383252405126406268*ep^2-64081917705791377003652/15*ep^3)
      +93273458033117335460320948141908489781/141680787979610880-
         254921887193944180/11*ep^-3-135091766179291622641661/566280*
         ep^-2-41080160055672208574561925881/59300841600*ep^-1+
         19354607274559493700736/11*z3-58811347991454196571855051070895\
         309948707442874590060299648011695233138779860463/8853333805502\
         507937554787840355107797383249920000000000000*ep+
         29031910911839240551104/11*ep*z4+8111105166341647205962459117/
         283140*ep*z3+2064065226768839162487795558334205010451096665823\
         4776939699117865395215278224048921109431/650839023510780287116\
         957642614674795756465699998924800000000000000*ep^2+
         1876912477295110580565072/11*ep^2*z5+
         8111105166341647205962459117/188760*ep^2*z4-312705534662126685\
         73972655972099657/385455470400*ep^2*z3+
         48299408147214337124351888691960712242406517185604446027965835\
         85573432090554759201734529235792777540154742325957373867019/
         26073106851773432353605026615743987903732203000251112536227601\
         1981509459013795840000000000000000000*ep^3+
         4643894675051377717160840/11*ep^3*z6+
         29287300089872771991381613453/94380*ep^3*z5-312705534662126685\
         73972655972099657/256970313600*ep^3*z4-14564326526949892118620\
         843062871750719451/590336616581712000*ep^3*z3+
         677153227608846919337008/11*ep^3*z3^2;
Fill mncnoptab(9,8,5,3)=
      +mncF321*(-83542474170307152000-657934201156122727200*ep-
         1835913612766597111230*ep^2-16185186332633459233591/6*ep^3)
      +2524677533063890468069385708713777506788909/
      6137611735276743321600-133774543947907975/11*ep^-3-
         28758629046996365904779/226512*ep^-2-
         5024997917268125217486153659579/13182577087680*ep^-1+
         12096066260184599416360/11*z3-31346493090623641934290905446362\
         53576246252857501198959795292696765688130448789273959/
         755689095117496735299232050807057405645799072727040000000000000
         *ep+18144099390276899124540/11*ep*z4+
         1014822580817265695466722447/56628*ep*z3+
         41716947981613203068647088308872418693305772883040645971481493\
         409568422760965315129979776312809/2111025588197826789623407141\
         697099514326928232629045873868800000000000000*ep^2+
         1173064311173685425897220/11*ep^2*z5+
         1014822580817265695466722447/37752*ep^2*z4-9497049081918755728\
         867806748238443/188322529824*ep^2*z3+
         41641322124529534409142689072876218333932811181100399032670222\
         124681077899690081456792246154999348814745414915065447652217781
       /147074207191892879896741292756395133858399850781519684650862506\
         4462275056123668070400000000000000000000*ep^3+
         2902420612283752066202150/11*ep^3*z6+
         615320175809427532366851833/3146*ep^3*z5-949704908191875572886\
         7806748238443/125548353216*ep^3*z4-292829808216047030686373990\
         0153628571685459/180517992214021862400*ep^3*z3+
         423226972609553881299580/11*ep^3*z3^2;
Fill mncnoptab(9,8,6,2)=
      +mncF321*(-23134839001008134400-182987995305241536480*ep-
         514579679088252846768*ep^2-763955905884357067245*ep^3)
      +3298007808035372400760797162445409080829/28972023441756595200-
         194948847886114602/143*ep^-3-1239070760805789429665/81796*
         ep^-2-583012358547244842459548080301/11200882492800*ep^-1+
         43539538258411064201808/143*z3-2251498713520992497585057937454\
         45394687456569586268433443682991908734553503250632300674099/
         19659474070980241538437550987642894601230064582603571200000000\
         0000000*ep+65309307387616596302712/143*ep*z4+
         2033721453727295983424403601/408980*ep*z3+
         59649817663746556664825445950600167170761336400124232665910539\
         168233909035592311069945995816326847/1098379031336906912916291\
         8146905402720073262119559080331496652800000000000000*ep^2+
         4222964487117214765729656/143*ep^2*z5+
         6101164361181887950273210803/817960*ep^2*z4-131361946671671082\
         3880681829094253249/95207501188800*ep^2*z3+
         13900869015721387825925704360820932029349180738363024544926775\
         22323614292855591000695227185753186112388643021954144654986755\
         0278227849/231105023114655294609310853089677087181467156677573\
         7845418021763145281727739413475216064512000000000000000000000*
         ep^3+10448562372147009253819620/143*ep^3*z6+
         22562466046293232286615886837/408980*ep^3*z5-13136194667167108\
         23880681829094253249/63471667459200*ep^3*z4-613159928144503273\
         7099487108814181221579703/1231310996274655296000*ep^3*z3+
         1523686358127721592624904/143*ep^3*z3^2;
Fill mncnoptab(9,8,7,1)=
      +mncF321*(-2203318000096012800-17548111843241094360*ep-
         49954401946634562471*ep^2-3166010943634073160499/42*ep^3)
      +1008943486465545689741697079672099984775953/
      93087111318363940377600-35770292695259/143*ep^-3-
         1180719199617261810745/20612592*ep^-2-
         7166820529172880554884339321057/11996145149788800*ep^-1+
         4146214251642841426856/143*z3-22977740230825493975722789265422\
         093141722701358053304921624142903910890519902069083259940817/
         21175612711334237765881854919809914632876927163213958610944000\
         0000000000*ep+6219321377464262140284/143*ep*z4+
         12242461907560281657358693421/25765740*ep*z3+
         15117339784085638964960782024059444890683219675964768961141769\
         6762801650113199918485538382977655444801/295771505558402293510\
         099059859868684446132802355486915166541866598400000000000000*
         ep^2+402182752469340577726692/143*ep^2*z5+
         12242461907560281657358693421/17177160*ep^2*z4-772732394142475\
         0384806168313281150349/5998072574894400*ep^2*z3-
         11364583909000505819169401297401276937837896031360187457485657\
         17299290840908926329502487796534916898755321684228277588097737\
         1851304234613/247463561070803054982936312514776790120520127895\
         83916730680910156277573495557201186457584224174080000000000000\
         000000*ep^3+995091345544244340749590/143*ep^3*z6+
         7740867964848196601697228639/1431430*ep^3*z5-77273239414247503\
         84806168313281150349/3998715049929600*ep^3*z4-1274925349598802\
         68498876086919307151923831769/232717778295909850944000*ep^3*z3
         +145117485422087890526108/143*ep^3*z3^2;
Fill mncnoptab(9,9,4,3)=
      +mncF321*(-18797056688319109200-149664733123168931850*ep-
         425794322840424093108*ep^2-6418223153498247497333/10*ep^3)
      +375200610541859764553202741431784050141/4053737369016631296-
         143624390793739695/44*ep^-3-69207755945699807180143/2013440*
         ep^-2-3899996404193574236549732873689/37003725158400*ep^-1+
         2721742814324647162791/11*z3-141931129178300018749893827655544\
         024365476367670601007330259259679523492736240106019/
         153410568181747457541949363697673307913056954613760000000000000
         *ep+8165228442973941488373/22*ep*z4+
         313923613584742223392811617/77440*ep*z3+1870822847803427939834\
         61150625091655168432286147110106410772499196548628466971901805\
         0282935879/428554066777002430976180397186629224712985430684092\
         019507200000000000000*ep^2+263940829900584434332182/11*ep^2*z5
         +941770840754226670178434851/154880*ep^2*z4-386629999612392175\
         5296152193268537679/351535389004800*ep^2*z3+
         23309792396782940702052540940193609467407021300225086933522732\
         02203458016692087118852255313957127518562292350074196628025995\
         53533/10835779095183408769719516457223334267998993948719611689\
         672232435537539574577502556782592000000000000000000*ep^3+
         1306095435431298935846955/22*ep^3*z6+
         46398453385067794123395634667/1006720*ep^3*z5-3866299996123921\
         755296152193268537679/234356926003200*ep^3*z4-2933026170151835\
         1297098571937700239204182613/6294986395155634176000*ep^3*z3+
         95224660628524246092798/11*ep^3*z3^2;
Fill mncnoptab(9,9,5,2)=
      +mncF321*(-7832106953466295500-124994247301269903375/2*ep-
         713973764108061888795/4*ep^2-2163556151067180662099/8*ep^3)
      +5045958190734834161857534657344430316453041/
      130935717019237190860800-102466845128401845/176*ep^-3-
         31342045793902784366671/4832256*ep^-2-
         2521958847230386630317112104289/112491324481536*ep^-1+
         4535484878129393035365/44*z3-631108745380504594933104331917796\
         2778106251588631438264493835562722313386890692014217/
         16395754474424259524795838245188834783207962024345600000000000\
         000*ep+13606454634388179106095/88*ep*z4+
         4084940530416423594059239709/2416128*ep*z3+
         33182611961582876677586033961278032702597545570845312892569394\
         153546913042536535430621425877819/1832068635471685392423171197\
         9728399356480127161744933833932800000000000000*ep^2+
         219946686502361468262165/22*ep^2*z5+
         4084940530416423594059239709/1610752*ep^2*z4-12806410845291992\
         02260703133401251761/281228311203840*ep^2*z3+
         62102084192637591685064133555237711875262219926382829116885542\
         94477820428665566490743194231641805484390687346882318241503995\
         18343482132729/15440978485680956548647243244368350067666736300\
         04982723367392631781173858828744267125266929680384000000000000\
         00000000*ep^3+2176789440632967717444825/88*ep^3*z6+
         1200409880390260799300214957/61952*ep^3*z5-1280641084529199202\
         260703133401251761/187485540802560*ep^3*z4-1324437500072952100\
         72408646448569920460316083/65467858509618595430400*ep^3*z3+
         79358026784637976176585/22*ep^3*z3^2;
Fill mncnoptab(9,9,6,1)=
      +mncF321*(-1084445578172256300-17384527306202607495/2*ep-
         100086280224232302819/4*ep^2-306478995420673434731/8*ep^3)
      +3026716031826243024922802364947609762986679/
      567388107083361160396800-971990400900729/2288*ep^-3-
         2326990479515219306075/62819328*ep^-2-
         13372869920112092978128804415693/36559680456499200*ep^-1+
         8162864273602895426409/572*z3-40184833527782385195334490811344\
         490732873948786676465700021870459359218499060278577969309877/
         75627188254765134878149481856463980831703311297192709324800000\
         0000000000*ep+24488592820808686279227/1144*ep*z4+
         36841710362932738269839893253/157048320*ep*z3+
         10513661680790610143768850889460153442438745293641739559423719\
         120597353592899582540420484357626022781/4225307222262889907287\
         1294265695526349447543193640987880934552371200000000000000*
         ep^2+395898671244408486806169/286*ep^2*z5+
         36841710362932738269839893253/104698880*ep^2*z4-11374351276124\
         558415457294047772339961/18279840228249600*ep^2*z3+
         64862867222479416745940946785507828937088165902040395093212727\
         97168462168477587485345887517838237468794932950512173675697140\
         4886412698237401197/136967655559384356969120506474845012440231\
         01767596198749358119600951724597354493147107967773036878233600\
         0000000000000000000*ep^3+3918172391076070390929645/1144*ep^3*
         z6+143031174543793394421501214737/52349440*ep^3*z5-11374351276\
         124558415457294047772339961/12186560152166400*ep^3*z4-
         430105260875099039048866052654276480416941977/
         1418470267708402900992000*ep^3*z3+142849992724697919549021/286
         *ep^3*z3^2;
Fill mncnoptab(10,3,2,10)=
      +mncF321*(-24134492538088732800-188441807566998438180*ep-
         1552649377007503524386/3*ep^2-160598399381513982647473/216*
         ep^3)
      +407431612403613807159804962055664016975748149/
      3431161022009517853056000-845740321325081/198*ep^-3-
         24485585403429745971509/506515680*ep^-2-
         219299202994633525454807719349/1228261269034800*ep^-1+
         31442131931380494529660/99*z3-24777091886690289044655674032835\
         11872154503060601875889134450242777845871951185673/
         2052766127968306617248698859699592470483234193408000000000000*
         ep+15721065965690247264830/33*ep*z4+
         163190097628590557755754184467/31657230*ep*z3+
         82958140272208374863338605077306267624765002633928474984648641\
         97028374226223440688072791611/14336060460330890888827942926556\
         46886481549574888950333440000000000000*ep^2+
         338876215042132739044710/11*ep^2*z5+
         163190097628590557755754184467/21104820*ep^2*z4-21559932039386\
         62733498507780317472513/144501325768800*ep^2*z3-
         18444645124273938861926135858552252621386293097625782025476321\
         17667498404048424034010939188445356359151578850782303/
         12480162807598365831311006036741963725074816050942440390619214\
         7663615426560000000000000000000*ep^3+7546109508619535392181825/
         99*ep^3*z6+2296899846778289887475149904327/42209640*ep^3*z5-
         2155993203938662733498507780317472513/96334217179200*ep^3*z4-
         1073642422223234002047175116712306658579489/
         290038970584067443200*ep^3*z3+1100474154546869882558506/99*
         ep^3*z3^2;
Fill mncnoptab(10,3,3,9)=
      +mncF321*(-108605216421399297600-844509959051487666210*ep-
         4604923326349282897863/2*ep^2-39313748352811239874289/12*ep^3)
      +2648308059916663936295687179218346553259718141/
      4956121476235970232192000-5850351155350961/44*ep^-3-
         2175961831397622159385837/1463267520*ep^-2-1478044820439500903\
         22519956451431/28386482662137600*ep^-1+15721093127195560465550/
         11*z3-22621465898843955131099862172971473299826969554353271081\
         34260014710929588203921583057/41511492810025756037695910273925\
         0921808831803555840000000000000*ep+23581639690793340698325/11*
         ep*z4+2117287857554911775905849108681/91454220*ep*z3+
         27143314882545799239924242770735710273271424616257611507339460\
         4654804125469835847011103199997/103538214435723100863757365580\
         68560846811191374197974630400000000000000*ep^2+
         1524943257901585072591635/11*ep^2*z5+
         2117287857554911775905849108681/60969480*ep^2*z4-2833445221839\
         8902508600506855858727129/417448274443200*ep^2*z3-
         24245174692837470667742333498168022844002593293089771653523084\
         9399255262045666112559081838536945743916081216854359043/
         38827173179194915919634241003197220478010538825154258993037557\
         05090257715200000000000000000000*ep^3+
         7546110823871947560630425/22*ep^3*z6+
         29318351650892124236956113194711/121938960*ep^3*z5-28334452218\
         398902508600506855858727129/278298849628800*ep^3*z4-2034992643\
         769719258595919395954371572869470377/141603470749599149491200*
         ep^3*z3+550236781401251011984973/11*ep^3*z3^2;
Fill mncnoptab(10,4,1,10)=
      +mncF321*(-5586688087520540000-393886957903017071675/9*ep-
         78360184901366089184435/648*ep^2-2724232991290275592120151/
         15552*ep^3)
      +163981777460314975797506440333023573016751701/
      5965758606688994508595200-3968377875740285/21384*ep^-3-
         274740393252037618619/146779776*ep^-2-
         39747765007622879189005433063/5694873301877760*ep^-1+
         196513279255806850977115/2673*z3-17909003134551492886690368512\
         756606280311423247311002385879796278404065043706051/
         64259276795705504702315650578831412044710805504000000000000*ep
         +196513279255806850977115/1782*ep*z4+
         1370517249585394962763496405/1146717*ep*z3+
         29893320962599608192146630640439436763486001998657569257575261\
         208152422918360438476314241/2243862232353132216861614733946746\
         9327454594309407375360000000000000*ep^2+
         4235952579454734522590815/594*ep^2*z5+
         1370517249585394962763496405/764478*ep^2*z4-731001962913761825\
         7481694189366965297/2135577488204160*ep^2*z3-
         71247775806277065146633182321892089934429477019809798371456294\
         547739231419047722589692195042195390806778828682136711/
         21017761902527353170180956248309653295596757464037450197020593\
         382554368737280000000000000000000*ep^3+
         188652733282904985006815525/10692*ep^3*z6+
         468989384626336211280638999495/36694944*ep^3*z5-73100196291376\
         18257481694189366965297/1423718325469440*ep^3*z4-1412649219990\
         192583622785596600613140431687299/1491439651672248627148800*
         ep^3*z3+13755927898574220560341385/5346*ep^3*z3^2;
Fill mncnoptab(10,4,2,9)=
      +mncF321*(-60336231345221832000-469984571384357661450*ep-
         15425091554256501217135/12*ep^2-529058046216341451355715/288*
         ep^3)
      +557537047532442892030137261212752178079891073/
      1878109190994683456409600-18356468982724705/396*ep^-3-
         25004281739229729284327/46208448*ep^-2-
         3687174896246175306828848818403/1792830483924480*ep^-1+
         78605405673714090666670/99*z3-46240203654194070910577031959800\
         3164864108668160470521763576832063644345617577417197/
         152937078773779101191511248377618760666411717099520000000000000
         *ep+39302702836857045333335/33*ep*z4+
         18588128512973139790513957511/1444014*ep*z3+
         38780484541228054416170790382941437732868662208889470549107713\
         6003146978850281230584204476379/267019605650022733806532153339\
         66288499670967228194776678400000000000000*ep^2+
         847190627984551159745835/11*ep^2*z5+
         18588128512973139790513957511/962676*ep^2*z4-29689177868144526\
         2043863292166103023/7909546252608*ep^2*z3-
         63311777031162027614087594732363946252250622387890091211903202\
         4248936937998719943947398280161358528352109955133969577/
         20576829834642163942834502620722737492192629685071629563516664\
         850053228134400000000000000000000*ep^3+
         37730551230936231735229225/198*ep^3*z6+
         1555049532686961764042017019771/11552112*ep^3*z5-2968917786814\
         45262043863292166103023/5273030835072*ep^3*z4-5701225687529896\
         62829420124923350211822031149/67075328249810123443200*ep^3*z3+
         2751184566893416806351325/99*ep^3*z3^2;
Fill mncnoptab(10,4,3,8)=
      +mncF321*(-241344925380887328000-1874174488773135876600*ep-
         15293291178680723677525/3*ep^2-520746965367109902131369/72*
         ep^3)
      +557546930228457152300937690004585262145632599/
      469527297748670864102400-128138462480697655/99*ep^-3-
         161415234144291521121905/11552112*ep^-2-
         2904161956378242890392781180411/64029660140160*ep^-1+
         314424043576071942121000/99*z3-1862285684457160406660873978906\
         58132002727597343696391890611586165268694142955471843/
         15361983358973347217897335216501884441938676940800000000000000
         *ep+157212021788035971060500/33*ep*z4+
         37121681695430873335380110353/722007*ep*z3+
         21924163898435610894347385711508790554172247547119628684091031\
         83889990928896921522439500557827/37549632044534446941543584063\
         390093202662297664648904704000000000000000*ep^2+
         3388765370691911027985300/11*ep^2*z5+
         37121681695430873335380110353/481338*ep^2*z4-37412083001546249\
         1846489081337115033/2471733203940*ep^2*z3-
         35767683260811477156930440376085582712538443637377580545854371\
         01231972099640995049910500610437665924274475499725170599/
         26869297886753718541424517931077681769939036530729694854145644\
         949288255488000000000000000000000*ep^3+
         75461160731627818274366750/99*ep^3*z6+
         1533809411845732868937122770169/2888028*ep^3*z5-37412083001546\
         2491846489081337115033/1647822135960*ep^3*z4-35461085388299404\
         77273281746245437093073943411/117381824437167716025600*ep^3*z3
         +11004711592494648023213260/99*ep^3*z3^2;
Fill mncnoptab(10,4,4,7)=
      +mncF321*(-469281799351725360000-10927641929260003957100/3*ep-
         534601654428422450102975/54*ep^2-6062553643758228506222809/432
         *ep^3)
      +7722891879881949844712885209652155529258951/
      3344476200821557401600-16654419632361949025/1782*ep^-3-
         20348315862102312898094855/207938016*ep^-2-
         17956941827489199081089221682191/60659678027520*ep^-1+
         5502554495179069011887980/891*z3-21544477830119016613932676908\
         944871911806301056814241632279961126939970698827831/
         914156187400040299674631883418591062654976000000000000000*ep+
         2751277247589534505943990/297*ep*z4+
         216498598775446670891612045845/2166021*ep*z3+
         30544892034009254405360842308015722409601872189953182174204201\
         7981463568547039801223301/268811064132246474270852281935118355\
         8760912755097600000000000000*ep^2+6589283565369831706133110/11
         *ep^2*z5+216498598775446670891612045845/1444014*ep^2*z4-
         78854189694942078823946387153251835/267616226592*ep^2*z3-
         14775246169027125345920991384276510976739321071674530515001992\
         75928108961712784761541170361074270876580739270437/
         88583375397674271361638520523293117710111790412421180364250362\
         67520000000000000000000000*ep^3+1320573535749443247962234825/
         891*ep^3*z6+53572652594083848137762068179835/51984504*ep^3*z5-
         78854189694942078823946387153251835/178410817728*ep^3*z4-
         48102326341385988986840849832329035987728821/
         836119050205389350400*ep^3*z3+192580982871675891007005610/891*
         ep^3*z3^2;
Fill mncnoptab(10,5,1,9)=
      +mncF321*(-8702341059406995000-272593208249393788575/4*ep-
         6022539458948796618135/32*ep^2-627977652815119395146993/2304*
         ep^3)
      +30633844588072404400856770459862250539562311/
      715470167997974650060800+49286948952815/1056*ep^-3-
         513966311170169362183/123222528*ep^-2-
         80743937831517796512301788377/1593627096821760*ep^-1+
         15116404579771389471815/132*z3-3099575869444804480104481027367\
         7306843411014368252332765743601814023220669503948641/
         71370636761096913889371915909555421644325467979776000000000000
         *ep+15116404579771389471815/88*ep*z4+
         895952622032723896581979645/481338*ep*z3+
         41401466640494891163702611260829100558126043770404158051821107\
         9610486805005821939045311749719/199374638885350307908877341160\
         281620797543221970520999198720000000000000*ep^2+
         977527508857087556962545/88*ep^2*z5+
         895952622032723896581979645/320892*ep^2*z4-1876063001988006008\
         99466518175549479/35153538900480*ep^2*z3-
         20454100914987420562118991733867304096788486854852584499481473\
         502134937232244209799089017994551658611878839845477568699579/
         83889540373987073897449031504407056997003517345537292756637334\
         14941633875961446400000000000000000000*ep^3+
         14511748587058599459720025/528*ep^3*z6+
         204110916040614866064508560545/10268544*ep^3*z5-18760630019880\
         0600899466518175549479/23435692600320*ep^3*z4-1820622411885299\
         531000309707113698750515968623/1252072793996455637606400*ep^3*
         z3+1058148341864182764550285/264*ep^3*z3^2;
Fill mncnoptab(10,5,2,8)=
      +mncF321*(-83542474170307152000-651165491633457937500*ep-
         3566450009576759436495/2*ep^2-122573208056521454091451/48*ep^3
         )
      +42887441385840069133817940484718540192562199/
      104339399499704636467200-5245925819414735/22*ep^-3-
         6973340771852458424713/2567136*ep^-2-
         2942833263467217896965226870039/298805080654080*ep^-1+
         12093181812975260944660/11*z3-15748261983078788148382077471256\
         46516780489536197951741818919190939654717482567917933/
         376368592294847006838484712804296168827497585049600000000000000
         *ep+18139772719462891416990/11*ep*z4+
         2860600815679039750032148897/160446*ep*z3+
         21121818100230087271192039367639034989766386543045681372362152\
         173554918834967515777761910332383/1051389697246964514363220353\
         774922609674544334610169331712000000000000000*ep^2+
         1173033627917475039205770/11*ep^2*z5+
         2860600815679039750032148897/106964*ep^2*z4-167630301299824277\
         4390542070303737/32310237960*ep^2*z3-
         61477889141718700687459759021625377746595811948504275049656780\
         41889412512072169436017249959281439033850588473294021135847/
         19011640412751461091170331907313324513138064687683102890999292\
         5403183980530892800000000000000000000*ep^3+
         2902351115261249445652775/11*ep^3*z6+
         3075938858859790662542906919/16456*ep^3*z5-1676303012998242774\
         390542070303737/21540158640*ep^3*z4-62584486851406195861541097\
         856644742682368079/5216969974985231823360*ep^3*z3+
         423258694428711412150390/11*ep^3*z3^2;
Fill mncnoptab(10,5,3,7)=
      +mncF321*(-292398659596075032000-2274052547872672544250*ep-
         24811399123574045533425/4*ep^2-848258435533229749856989/96*
         ep^3)
      +14296825136508226365920239697665847178193621/
      9937085666638536806400-215404809781215005/44*ep^-3-
         800785476275106369640873/15402816*ep^-2-
         41606198961338188008855096488453/256118640560640*ep^-1+
         42327117688143598382030/11*z3-30893091225585864968569376669686\
         594610432948629904242093165608106685853100465285601909/
         21067862892306304755973488296916870091801614090240000000000000\
         00*ep+63490676532215397573045/11*ep*z4+
         60009836598459682294511306659/962676*ep*z3+
         41534162166394040830432879342293417348212124201714999767376373\
         400257304657572101055875478207061/5885330083714786785939892359\
         32318195502951930743884873728000000000000000*ep^2+
         4105628140773983894457135/11*ep^2*z5+
         60009836598459682294511306659/641784*ep^2*z4-13229321387817927\
         277437311170445867/72431742240*ep^2*z3-
         32991403827017242216320570885994986721074781903309770160463159\
         6906358223428079025228192516471499412149651195691215868241363/
         26605211073238196279188802669126518269114492857399094424722042\
         03892953663406080000000000000000000000*ep^3+
         20316505115429201480375525/22*ep^3*z6+
         831508186141345712404147241779/1283568*ep^3*z5-132293213878179\
         27277437311170445867/48287828160*ep^3*z4-320558377706672196300\
         69718753638117969845299/828090472219878067200*ep^3*z3+
         1481394647053371853091345/11*ep^3*z3^2;
Fill mncnoptab(10,5,4,6)=
      +mncF321*(-487331099326791720000-3791115037600321526550*ep-
         41385396315667594373925/4*ep^2-4248170633629153399539119/288*
         ep^3)
      +594190231041648087142945196487668643165689/247738977838633881600
         -3345435754342320625/132*ep^-3-4024765985169957342061495/
         15402816*ep^-2-10266799506288010372151951138077/13479928450560
         *ep^-1+211648070635963888908310/33*z3-563117127700452813185438\
         75773772458880363295365890541542935616282784734668996824273/
         2303673592248101555180072346214849477890539520000000000000000*
         ep+105824035317981944454155/11*ep*z4+
         200066221140035434218509758115/1925352*ep*z3+
         19912394815589495764609696789643570956121482038241994739146294\
         186400680062523262591932677039/1693509704033152787906369376191\
         24564201937503571148800000000000000000*ep^2+
         6842757815824240950447465/11*ep^2*z5+
         200066221140035434218509758115/1283568*ep^2*z4-120595984941527\
         44393874192162899451/39646848384*ep^2*z3-
         10057467732395227997530710200344543097698717398046522641539168\
         136295656352949463321927973117134679562447611404177993438965219
       /438985982708430238606615244040587551440389132147085058007913693\
         64233735446200320000000000000000000000*ep^3+
         101583126884183794812170425/66*ep^3*z6+
         1387582867582615134536047558595/1283568*ep^3*z5-12059598494152\
         744393874192162899451/26431232256*ep^3*z4-40328055731624703458\
         81558475041901749957369/61934744459658470400*ep^3*z3+
         7406835883673410442392645/33*ep^3*z3^2;
Fill mncnoptab(10,5,5,5)=
      +mncF321*(-421728835955877450000-6580239441822020716875/2*ep-
         144412840553766587162325/16*ep^2-1658834270506610701713335/128
         *ep^3)
      +66047040413088820077219123503363595146177/31808461352120893440-
         104807648741744471775/2288*ep^-3-124789277589840726960119785/
         266982144*ep^-2-62054118686887375381327725417455/
         46730418628608*ep^-1+1587510691601157745443525/286*z3-
         25469404834038729636118692069523836329089422485943295692670863\
         978749702445075097072829/1207493550112764911163186720991975502\
         331105194803200000000000000*ep+4762532074803473236330575/572*
         ep*z4+3005275362573904752193454812625/33372768*ep*z3+
         17980608345615489913141220816274143840991849081653445603568695\
         80901299971483776336527422306583/17753400929320347306180051444\
         488066314417512374370671001600000000000000*ep^2+
         307927296499972440268660725/572*ep^2*z5+
         3005275362573904752193454812625/22248512*ep^2*z4-1795186696604\
         14181833314515257522241/687212038656*ep^2*z3-
         55388922752100300884299649985630867511649851491929997691396364\
         58344840154220080289854884917018339284462068180445153226029400\
         1051/214168969355927277369486592340569529896325526678862681420\
         436869544674409796086425190400000000000000000000*ep^3+
         1523761375583850623888868375/1144*ep^3*z6+
         21080451985662529986183861088725/22248512*ep^3*z5-179518669660\
         414181833314515257522241/458141359104*ep^3*z4-1651483603184770\
         77224794657244599676247091/2650705112676741120*ep^3*z3+
         111099235654449480595713675/572*ep^3*z3^2;
Fill mncnoptab(10,6,1,8)=
      +mncF321*(-7956426111457824000-62495279913606387120*ep-
         173548566871434665232*ep^2-79783449018984329778442/315*ep^3)
      +12613823761843327026770956034736296265411637/
      322224616102029024384000-14453915302232/33*ep^-3-
         68985575016475809799/3963960*ep^-2-
         7002626897469827092797107173/43941923625600*ep^-1+
         3455178720592070405984/33*z3-245559906832124787496572508800084\
         581807074633550044833237458930866565279084532951889/
         619901210838571540675151291677664278068819551846400000000000000
         *ep+1727589360296035202992/11*ep*z4+
         675581791090421886627411757/396396*ep*z3+
         16357302783803606162031813416646012711766538284926127981260824\
         81560540322117841517611114738917/86585033890926489418147558546\
         1700972673154157914257096704000000000000000*ep^2+
         111717431247427116581856/11*ep^2*z5+
         675581791090421886627411757/264264*ep^2*z4-1181314656712420624\
         4520468167047289/2441217979200*ep^2*z3-
         64661807593430432828014853009299939768361931730820401640984492\
         187169514471106966618821241040677611519086796840110872760986877
       /177131453725605362986433982380438244488907348695143469635440408\
         59814651466063282176000000000000000000000*ep^3+
         829242787554223198348960/33*ep^3*z6+
         2433057877239702973154348873/132132*ep^3*z5-118131465671242062\
         44520468167047289/1627478652800*ep^3*z4-2327344286376213072062\
         69458901811888034371431/161112308051014512192000*ep^3*z3+
         120931231777733935114208/33*ep^3*z3^2;
Fill mncnoptab(10,6,2,7)=
      +mncF321*(-66833979336245721600-522932973591530010600*ep-
         1442120147241271019802*ep^2-31277545380832360538197/15*ep^3)
      +1087177072273709458782970204626626608753/3306190333590144000-
         6229851264652043/11*ep^-3-7255886060954280769399/1132560*ep^-2
         -177087901998734566462560612781/7754457110400*ep^-1+
         9674635947161035088840/11*z3-106423845879595626999369379410451\
         57408461510077893615212994262754741443206770180007/
         3189339105669207034857578245640529641924984832000000000000000*
         ep+14511953920741552633260/11*ep*z4+
         4045975680623234316717421363/283140*ep*z3+
         14229748401505417894013860604494723004546028624979860476442792\
         961573793047015960231449814093/8909452981402142625774058502435\
         61282119520656402939904000000000000000*ep^2+
         938427866329018469735940/11*ep^2*z5+
         4045975680623234316717421363/188760*ep^2*z4-270760960004532833\
         4553276728952142711/65912885438400*ep^2*z3-
         36137837487987908183615843108652259548768810703686370864711518\
         9725652482667136704913137335643874332542243971335218144951/
         17907353606987247495607847950373618065750139423249390478178297\
         526202572734464000000000000000000000*ep^3+
         2321883075954643586617750/11*ep^3*z6+
         7177120369878813221598245441/47190*ep^3*z5-2707609600045328334\
         553276728952142711/43941923625600*ep^3*z4-39642030906606418286\
         99497801229938554277961/365334031861710912000*ep^3*z3+
         338605963244236943241980/11*ep^3*z3^2;
Fill mncnoptab(10,6,3,6)=
      +mncF321*(-200501938008737164800-1566442776958231339440*ep-
         4308221438547086009250*ep^2-6206956640085796027778*ep^3)
      +51495674849172810260782487090578916709451/52190575980244416000-
         92223904704275274/11*ep^-3-33296393105852107290593/377520*
         ep^-2-4738969753255565223290464964083/17576769450240*ep^-1+
         29025526826735172482784/11*z3-62114014799295383377374038474814\
         0035495190009059999770719454654544055459083553730123/
         61964302624430308105804377343873147328828276736000000000000000
         *ep+43538290240102758724176/11*ep*z4+
         8086385331273933016510676053/188760*ep*z3+
         59399112433656820972578370860645814595674562664282598550563152\
         8680439986104898693438812312713/123641388313335856847476730237\
         88197384515796864367329280000000000000000*ep^2+
         2815300814632969241016648/11*ep^2*z5+
         8086385331273933016510676053/125840*ep^2*z4-543698951819402906\
         1095078210605765787/43941923625600*ep^2*z3-
         16356296865814080600533694777158326506332028055669023464437022\
         5103817159232412400794237662881007158693511607719558712459/
         20592268632537303621663159960624240146373446484055026644521704\
         364496545382400000000000000000000000*ep^3+
         6965688219515585171334660/11*ep^3*z6+
         28520262715632246677528940157/62920*ep^3*z5-543698951819402906\
         1095078210605765787/29294615750400*ep^3*z4-1134209236121988104\
         648889055304330212937449/36533403186171091200*ep^3*z3+
         1015800071059327690244472/11*ep^3*z3^2;
Fill mncnoptab(10,6,4,5)=
      +mncF321*(-278474913901023840000-2177502729624133165800*ep-
         5998327880581147013070*ep^2-155895436475858953285385/18*ep^3)
      +2497410480558901101579659142699398249567/1821610131166425600-
         953508310393057615/33*ep^-3-33599563129512580342249/113256*
         ep^-2-2375514839005336687541462818981/2775279386880*ep^-1+
         120952212745319628204280/33*z3-2532151333528298687367469266868\
         8226983909080761022640395118204406628782496737558021/
         1821257239989087347154127784301622175461697126400000000000000*
         ep+60476106372659814102140/11*ep*z4+
         6741901782733938456555152965/113256*ep*z3+
         17840575168092175943190932700817049421655138538181431767520697\
         62529309809544340695729710863/26777376967300674669954828724718\
         048739694588799955763200000000000000*ep^2+
         3910184407923616980280620/11*ep^2*z5+
         6741901782733938456555152965/75504*ep^2*z4-2378912081983172307\
         15093242325580729/1387639693440*ep^2*z3-
         14974197284220370848487187382481923318925330728450271300846705\
         57401010690915697895338136983154984063805962757668318297371713\
         3699/356948282259878795615810987234282549827209211131437802367\
         394782574457349660144041984000000000000000000000*ep^3+
         29024002527563828281593950/33*ep^3*z6+
         23859393738889521019239555995/37752*ep^3*z5-237891208198317230\
         715093242325580729/925093128960*ep^3*z4-1008952448273453539970\
         0525990284939914043/227701266395803200*ep^3*z3+
         4232362647634825501540540/33*ep^3*z3^2;
Fill mncnoptab(10,6,5,4)=
      +mncF321*(-192790325008401120000-1512537138251873017200*ep-
         4191733637224906208380*ep^2-54917096438636729782400/9*ep^3)
      +1665584283188659013143698267282130541659/1754143089271372800-
         13510131818016020180/429*ep^-3-355986367421043626284181/
         1104246*ep^-2-12492574898004734936545670917577/13529487011040*
         ep^-1+1088678403649910098897760/429*z3-17884356696515637189265\
         1685648448695010927250823362541582523253884540416522518639261/
         18645120994388281716490383191787857021289124331520000000000000
         *ep+544339201824955049448880/143*ep*z4+
         45583848964081550901850310945/1104246*ep*z3+
         62883645804840139180116191044709210525581363368017847730613239\
         786033684956523400340683112247/1370666983513703284668312795346\
         505119863116764197735628800000000000000*ep^2+
         35192044240364977178477040/143*ep^2*z5+
         45583848964081550901850310945/736164*ep^2*z4-79558226565060608\
         3203784720826396383/6764743505520*ep^2*z3+
         23718767554326363428898944770377704645394303120437011153810279\
         78763223540443020695947688291628690336916629175239901224873992\
         017/7308516079271018340233729963621935207712108597916189003472\
         40817321201423429144925962240000000000000000000*ep^3+
         261218635793612553591333400/429*ep^3*z6+
         54475591463143651702629732065/122694*ep^3*z5-79558226565060608\
         3203784720826396383/4509829003680*ep^3*z4-29692670094542032489\
         246613398616803529329/877071544635686400*ep^3*z3+
         38090069964851750677413680/429*ep^3*z3^2;
Fill mncnoptab(10,6,6,3)=
      +mncF321*(-66099540002880384000-521709300145358662680*ep-
         1461481269284849303352*ep^2-90654919352302232470873/42*ep^3)
      +12624787073490990397696704141823663664319913/
      38786296382651641824000-1561145168905231709/143*ep^-3-
         11733102912199624648195889/103062960*ep^-2-5111735238020092903\
         79325896502197/1499518143723600*ep^-1+124420756002662645501048/
         143*z3-2874443468643563806081765300590675938506917611280670475\
         298003294777781466614809149111629/8769386393177775380119374055\
         71242820404722997416427520000000000000*ep+
         186631134003993968251572/143*ep*z4+
         18286613906248714963803933520/1288287*ep*z3+
         13357745922566829537776535482613556331677636780338479348287415\
         7807676521741312038084781314173361903/857408121400748763654044\
         1206512890898832699511696629034280550400000000000000*ep^2+
         12065847679060780202178876/143*ep^2*z5+
         9143306953124357481901966760/429429*ep^2*z4-594642103254844985\
         18356470835526600191/1499518143723600*ep^2*z3-
         12966748234149877629165492094699070651474609642465383955761297\
         93526702084394076925956463536458926197317271970691324825767819\
         941009/2505776941464349145222993130384663499787008662142693372\
         6191113736726905946142111747276800000000000000000000*ep^3+
         29853567307645293891694570/143*ep^3*z6+
         89445459311771854485394069081/572572*ep^3*z5-59464210325484498\
         518356470835526600191/999678762482400*ep^3*z4-5257888394914135\
         45061063810390734518935261311/38786296382651641824000*ep^3*z3+
         4353146894756314615341764/143*ep^3*z3^2;
Fill mncnoptab(10,7,1,7)=
      +mncF321*(-4331831994015926400-34253754736791408000*ep-
         288813735902775949250/3*ep^2-57831128672465652771229/405*ep^3)
      +3531764328930292743559454027848622445038689/
      165715516852472069683200+54590397360835/297*ep^-3-
         4650723340724004167/196020*ep^-2-92816464650930865760695286371/
         338980553683200*ep^-1+16930371193184906419592/297*z3-
         50109472831587587214674266448052508231347651067014982599383652\
         587121334362079528229/2335577560459296228603395761422910937778\
         91196928000000000000000*ep+8465185596592453209796/99*ep*z4+
         4744401994526091182559226273/5096520*ep*z3+
         34509473679121700065101340768932852774488614414366266237018958\
         17571265250363618098054438389157/33927196953179359118947614777\
         27481362311134659582395154432000000000000000*ep^2+
         60823933241520370273492/11*ep^2*z5+
         4744401994526091182559226273/3397680*ep^2*z4-30678499444630734\
         32088880418044643077/1186431937891200*ep^2*z3+
         43217784980345303021950052622122790436894308109937234389893381\
         58389401296793451857961946740801703081770384697036556924692529\
         83/22455079848047930769948893804771042758737834360392737567229\
         9005377722352318881464320000000000000000000000*ep^3+
         4063289565819662727411730/297*ep^3*z6+
         17527017755094952456001236627/1698840*ep^3*z5-3067849944463073\
         432088880418044643077/790954625260800*ep^3*z4-7688474037193413\
         5372123747079610562530681847/82857758426236034841600*ep^3*z3+
         592563099843169307309156/297*ep^3*z3^2;
Fill mncnoptab(10,7,2,6)=
      +mncF321*(-31189190356914670080-245835760675115061360*ep-
         3434881061339508891054/5*ep^2-45501779538021248549618/45*ep^3)
      +2522824808041691164287938743404707873023607/
      16440031433776991040000-114049651247573006/165*ep^-3-
         43877301437911310086501/5662800*ep^-2-
         5108984648756281881987104216297/188322529824000*ep^-1+
         67724006666512543299008/165*z3-2015058191272714506522174581145\
         266026584898156908072553501307570059707015535643998687/
         13012503551130364702218919242213360939053938114560000000000000\
         00*ep+33862003333256271649504/55*ep*z4+
         18948598295201957277421354661/2831400*ep*z3+
         10707528711132801380918761068281776910919576142488517099373909\
         44402814559385009779666275077597/14540227265648296765263263475\
         9749201241905771124959792332800000000000000*ep^2+
         2189670528272388423462312/55*ep^2*z5+
         18948598295201957277421354661/1887600*ep^2*z4-1768917180090812\
         700387232127327525501/94161264912000*ep^2*z3+
         36796800462868821723463932706262293515601196926843049678392567\
         8538986593677636851161749108591120021202504798477158417474711/
         21488824328384696994729417540448341678900167307899268573813957\
         031443087281356800000000000000000000000*ep^3+
         3250643789075326363543964/33*ep^3*z6+
         69156474850550425393143569509/943800*ep^3*z5-17689171800908127\
         00387232127327525501/62774176608000*ep^3*z4-101791398108564040\
         32602310757627542825807167/1644003143377699104000*ep^3*z3+
         2370224594582567847039944/165*ep^3*z3^2;
Fill mncnoptab(10,7,3,5)=
      +mncF321*(-77972975892286675200-614011594427163059400*ep-
         1712943563833604705253*ep^2-113201922804586389480896/45*ep^3)
      +504767170893071237345677615957935146490541/
      1315202514702159283200-222996576296605825/33*ep^-3-
         160757823420100215426439/2265120*ep^-2-
         16281523157033245579874022512891/75329011929600*ep^-1+
         33865650939934126139008/33*z3-48363788549050837361962956608423\
         373601925897050168389223122342054507226130741880127417/
         12492003409085150114130162472524826501491780589977600000000000\
         000*ep+16932825469967063069504/11*ep*z4+
         18941271518760370020756006863/1132560*ep*z3+
         64340816900560064893378683953163565573512824548523520115486329\
         448561689833599145344979119217173/3489654543755591223663183234\
         233980829805738506999035015987200000000000000*ep^2+
         1094848201131477368384172/11*ep^2*z5+
         18941271518760370020756006863/755040*ep^2*z4-17734354476537281\
         14153403683841146199/37664505964800*ep^2*z3+
         21265385092998824584931216968166261645550354066676689269897916\
         8460848738083165611601707475285881824044454849895467911502821/
         26818052761824101849422313090479530415267408800258287180119818\
         3752409729271332864000000000000000000000*ep^3+
         8126697381136244947533770/33*ep^3*z6+
         68882590131786115740233286367/377520*ep^3*z5-17734354476537281\
         14153403683841146199/25109670643200*ep^3*z4-497221449639165748\
         26483770953817252589872269/3288006286755398208000*ep^3*z3+
         1185072203791953502212124/33*ep^3*z3^2;
Fill mncnoptab(10,7,4,4)=
      +mncF321*(-86636639880318528000-683147231253955832000*ep-
         17193479125652970380800/9*ep^2-75994960169728431225338/27*ep^3
         )
      +777204361545214120442195810505513775873/1821610131166425600-
         4169799351074616700/297*ep^-3-36937409139469940956337/254826*
         ep^-2-1134780716109951929469453780199/2676162265920*ep^-1+
         338699223072134657215840/297*z3-684421882950154449976916393973\
         543375174765101795311279863643451218140867478789823/
         159360008499045142875986181126391940352898498560000000000000*
         ep+169349611536067328607920/99*ep*z4+
         121506342124934823033609163/6534*ep*z3+14089188040819285853637\
         09239552266997237534048366009457090145231248582314814968632693\
         7033/689123671952590892241484562768479195506846035292979200000\
         000000000*ep^2+10948633405447350238472560/99*ep^2*z5+
         121506342124934823033609163/4356*ep^2*z4-139476066718491196596\
         53691665815535/267616226592*ep^2*z3-
         45728364068922711023381269119767035542945727442166908106724143\
         13116410321691037099017865221395898341479199576822711987671420\
         91/20209571863243137692954004424293938482864050924353463810506\
         910483995011708699331788800000000000000000000*ep^3+
         81268002483174790145504600/297*ep^3*z6+
         51962579465375581685178197569/254826*ep^3*z5-13947606671849119\
         659653691665815535/178410817728*ep^3*z4-7302886742277123191836\
         96513079397456101/42037156873071360*ep^3*z3+
         11850251888848643932780720/297*ep^3*z3^2;
Fill mncnoptab(10,7,5,3)=
      +mncF321*(-44984409168626928000-356029231560245863200*ep-
         1002231767218111674930*ep^2-8938656612271581377189/6*ep^3)
      +5941109628183014248941588545804996961685/26819815986083248128-
         1102698772872800425/143*ep^-3-237366202614772663553401/2944656
         *ep^-2-2972338750040189526513890617897/12240964438560*ep^-1+
         84676119217606433570200/143*z3-1561272141458753994813653791795\
         598158025033490960207641617250174476504953044451033105407/
         70155091145422203040954992445699425632377839793314201600000000\
         0000*ep+127014178826409650355300/143*ep*z4+
         7120976965803323549184386527/736164*ep*z3+
         72395103771071407616201950275113226021601306375164425524264080\
         051398542738212940592622505911818833/6859264971205990109232352\
         965210312719066159609357303227424440320000000000000*ep^2+
         8211489068147340736779900/143*ep^2*z5+
         7120976965803323549184386527/490776*ep^2*z4-163900922593269408\
         66087251635579309/612048221928*ep^2*z3-
         26273380388809834017726409310642507448322967132907684546105324\
         77110924641753931437669590660201214178550339250010991095187566\
         0429391/242559207933748997257585735021235426779382438495412718\
         4695299809715164495586556417136394240000000000000000000*ep^3+
         20317032372324335758024250/143*ep^3*z6+
         6598621499809802252818817012/61347*ep^3*z5-1639009225932694086\
         6087251635579309/408032147952*ep^3*z4-800586522590176494273971\
         4784602737375403061/814172985291812889600*ep^3*z3+
         2962548620482862901693700/143*ep^3*z3^2;
Fill mncnoptab(10,7,6,2)=
      +mncF321*(-10282150667114726400-81891429667333770960*ep-
         233110161798376202130*ep^2-351689665103285843103*ep^3)
      +5046170425125879774687158577956304574106461/
      99736190698247078976000-130684526979226122/143*ep^-3-
         74643106019737443944201/7361640*ep^-2-
         9923294993264464907574593724613/285622503566400*ep^-1+
         19351875658935573303984/143*z3-8608884362306642577527096894398\
         499626150963421204748343041031138288753174018873674476773703/
         17016117357322155347583633417704395687133245041868359598080000\
         000000000*ep+29027813488403359955976/143*ep*z4+
         4081226590514548339697890571/1840410*ep*z3+
         56689471719477376888269043814164244037343965951554254337969973\
         370448846861322368547057917397507549163/2376735312522875572849\
         0103024453733571564243046423055683025685708800000000000000*
         ep^2+1876883416996705246135608/143*ep^2*z5+
         4081226590514548339697890571/1226940*ep^2*z4-85850680230183844\
         1249997927487006817/142811251783200*ep^2*z3-
         22164498697977545309024411657793440368123289598646740835218462\
         99670812017783420054869457765370865182973432786310058175385758\
         9527317104607/994273236445190845913583398496871031734232656724\
         35379721485799735043822080363754767017079472128000000000000000\
         00000*ep^3+4643828853344424182079060/143*ep^3*z6+
         7741671404333960879760067492/306735*ep^3*z5-858506802301838441\
         249997927487006817/95207501188800*ep^3*z4-25529158350166143244\
         931868370122132967213873/9973619069824707897600*ep^3*z3+
         677183262530171187972552/143*ep^3*z3^2;
Fill mncnoptab(10,7,7,1)=
      +mncF321*(-799722829664478720-6428325759229256008*ep-
         167372897857740479765/9*ep^2-23216470532852310118441/810*ep^3)
      +1412289924226167028023900518642010702203663/
      359050286513689484313600-5266967578051151/19305*ep^-3-
         83901050822095633969199/1987642800*ep^-2-
         99579199691264618004012072264571/231354227888784000*ep^-1+
         203164524227182992209288/19305*z3-5488051578362852088031308966\
         413833027288376874748485494237253346835747236933298938888382623
       /140382968197907781617564975696061264418849271595413966684160000\
         000000000*ep+101582262113591496104644/6435*ep*z4+
         86083336669684108999256328671/496910700*ep*z3+
         35802861184014390160250780258562678639644072992924443310929428\
         996028869534532728098777656747842668631/1960806632831372347600\
         43349951743301965405005132990209384961907097600000000000000*
         ep^2+2189661703729323345931444/2145*ep^2*z5+
         86083336669684108999256328671/331273800*ep^2*z4-75179504920607\
         05701491471388580489993/16525301992056000*ep^2*z3-
         14522402514372461845486463340640461274215192667395558442938319\
         16612484894854555856174623933491475447189728063492372204810618\
         4277256674247/426543218434986872896927277955157672613985809734\
         74777900517408086333799672476050795050327093542912000000000000\
         000000*ep^3+9751895404668363560586854/3861*ep^3*z6+
         56265666349052121538469325509/27606150*ep^3*z5-751795049206070\
         5701491471388580489993/11016867994704000*ep^3*z4-4206681466124\
         0207077370429769663404891396059/179525143256844742156800*ep^3*
         z3+7110756912239550639321644/19305*ep^3*z3^2;
Fill mncnoptab(10,8,1,6)=
      +mncF321*(-1392374569505119200-11130937541044988940*ep-
         31892111515477736874*ep^2-3057014938937874591443/63*ep^3)
      +1412601456785706151782688526720284690651231/
      206223754305298575605760-26319865663507/66*ep^-3-
         336773476914399925991/12684672*ep^-2-
         90339025105560752612207533093/351535389004800*ep^-1+
         604656567555217129574/33*z3-2547333645475049592913331184668131\
         819029363635417776956887440871880119277339294201721/
         37263078350964226192717814193610988143654459146240000000000000\
         000*ep+302328283777608564787/11*ep*z4+
         9539229787201514681684805593/31711680*ep*z3+
         36748168517557208970032321387685167821633069269997131170938245\
         3963818305583080575548178849635849/114504289716980337026448199\
         8733024959780007947609058364620800000000000000000*ep^2+
         19550551431819327261156/11*ep^2*z5+
         9539229787201514681684805593/21141120*ep^2*z4-3302639350101006\
         77234466315964855709/410124620505600*ep^2*z3+
         11195982087583586188893987321977622080360623963651749926632327\
         94721148232730086589388446008086024599673037038210242124002225\
         2332334125469/322762928212394576685770134706696280678652514633\
         14856257679611868335573972172748058638522777600000000000000000\
         000000*ep^3+145117494319756911634735/33*ep^3*z6+
         2821851201874283781792100969/813120*ep^3*z5-330263935010100677\
         234466315964855709/273416413670400*ep^3*z4-9588146361545350297\
         09501500471572707773749813/2577796928816232195072000*ep^3*z3+
         21162961894465154128412/33*ep^3*z3^2;
Fill mncnoptab(10,8,2,5)=
      +mncF321*(-8354247417030715200-66605600717723831400*ep-
         189929795370285878208*ep^2-4307246572779028948442/15*ep^3)
      +1009152225348005045465076897197900003281253/
      24550446941106973286400-4727386022246545/11*ep^-3-
         7262269367243015977061/1510080*ep^-2-
         421247588397567912227102409137/25109670643200*ep^-1+
         1209416281220206140676/11*z3-107801261418428290573185570734612\
         997806182396030078564887407925817871973692892802474651/
         26233207159078815239673341192302135653132739238952960000000000\
         0000*ep+1814124421830309211014/11*ep*z4+
         1361035508973107247861217207/755040*ep*z3+
         14178762445796405397481455700997338727114962317463091981861460\
         0960652911275733809830935148543861/732827454188674156969268479\
         18913597425920508646979735335731200000000000000*ep^2+
         117304406698280307691752/11*ep^2*z5+
         1361035508973107247861217207/503360*ep^2*z4-427994840213340413\
         160113233944850091/87883847251200*ep^2*z3+
         67190096460014361923173292233613403274407002742647413044549106\
         37063877553322731007535666319630728912350978451080732255485921\
         234717261/1743205961937630885828627210055803900364338151500267\
         530576020393067101679060155723822399488000000000000000000000*
         ep^3+290237476042650253877690/11*ep^3*z6+
         5183019361465571664080823563/251680*ep^3*z5-427994840213340413\
         160113233944850091/58589231500800*ep^3*z4-13037656726687133103\
         7339871780261226991104203/61376117352767433216000*ep^3*z3+
         42324791400070249709128/11*ep^3*z3^2;
Fill mncnoptab(10,8,3,4)=
      +mncF321*(-16708494834061430400-133143439911699344400*ep-
         379323724068340877896*ep^2-25775732670657060901792/45*ep^3)
      +233029371528829672820182860343400481585683/
      2832743877820035379200-27833263935379910/11*ep^-3-
         6718567525903392077527/251680*ep^-2-
         65031546484555433620942658547551/790954625260800*ep^-1+
         2419237284416006395992/11*z3-808600057810421248597078260857308\
         0014949276944255742364179996432387085585172400509269/
         98374526846545557148775029471133008699247772146073600000000000\
         00*ep+3628855926624009593988/11*ep*z4+
         4082522388629544982436737981/1132560*ep*z3+
         53243453090805719915708882087648180893503910543205671128019592\
         932298266389053640073042983878977/1374051476603764044317378398\
         4796299517360095371308700375449600000000000000*ep^2+
         234613116729810972435184/11*ep^2*z5+
         4082522388629544982436737981/755040*ep^2*z4-551041307605430472\
         085994859294551237/56496758947200*ep^2*z3+
         13720104656710518956005785450199820935852499226222577243170456\
         31150308092397772532137553704843913413689327417604325985263451\
         8446877467/719072459299272740404308724148019108900289487493860\
         356362608412140179442612314236076739788800000000000000000000*
         ep^3+580484698613487415097980/11*ep^3*z6+
         46553740557019420360091486587/1132560*ep^3*z5-5510413076054304\
         72085994859294551237/37664505964800*ep^3*z4-387511727189559771\
         783326188704265052534016089/92064176029151149824000*ep^3*z3+
         84645127697218963702576/11*ep^3*z3^2;
Fill mncnoptab(10,8,4,3)=
      +mncF321*(-13923745695051192000-111139878363002962200*ep-
         317577772744542852080*ep^2-1444354997574237721313/3*ep^3)
      +1683305026659006872189636939515306504285651/
      24550446941106973286400-87262421096650625/33*ep^-3-
         25241499865122059921381/906048*ep^-2-
         27058426184915795681377226812621/316381850104320*ep^-1+
         6048481242307816427780/33*z3-161479087746014869908546152589717\
         694573421133189853962309342254071599649518036792479/
         236098864431709337157060070730719220878194653150576640000000000
         *ep+3024240621153908213890/11*ep*z4+
         454003843448111597811921197/151008*ep*z3+
         42473513113268793012379231183390065783145348941322704571859193\
         69821036910287421339308000753947/13190894175396134825446832625\
         40444753666569155645635236043161600000000000*ep^2+
         195512307461430126358520/11*ep^2*z5+
         454003843448111597811921197/100672*ep^2*z4-1505123500637916603\
         0501698566087093/1861069706496*ep^2*z3+
         85358334350322195773397346688229207600767906905997405615079964\
         03883394688651756342258549358828719076951043858976133144552213\
         33469186116569/55587522548451443575130075679726060243600250680\
         17937804122613474412225891783479361650960946849382400000000000\
         0000000*ep^3+1451221102854956406619450/33*ep^3*z6+
         15626651407257466148549555057/453024*ep^3*z5-15051235006379166\
         030501698566087093/1240713137664*ep^3*z4-444415412316184732086\
         99754842633355537863577/12275223470553486643200*ep^3*z3+
         211608558198933257600840/33*ep^3*z3^2;
Fill mncnoptab(10,8,5,2)=
      +mncF321*(-4819758125210028000-38624603544031106700*ep-
         111141689111985165690*ep^2-510180298239025168301/3*ep^3)
      +265588453951212252779232510710523155190491/
      11198449481908443955200-142162510077369565/286*ep^-3-
         130116908275876871815277/23557248*ep^-2-
         2741598437649855114623611937773/144314528117760*ep^-1+
         9071407490632161699290/143*z3-42265685998987369034986988777491\
         652090540093349015649511164199773975307873023643234125951/
         17911702481391742471140666755478311249613942149335115366400000\
         0000000*ep+13607111235948242548935/143*ep*z4+
         12280768763689788738473726455/11778624*ep*z3+
         27676953356475669330686240933797785996198187867520106997359796\
         5575522852330338811414327273264016083/250182664476092165563053\
         716046881406016465716278137428242375639040000000000000*ep^2+
         879791397976353129652980/143*ep^2*z5+
         12280768763689788738473726455/7852416*ep^2*z4-5418958938876009\
         12417030913324611853/195855431016960*ep^2*z3+
         42195133705642272086534543958707102257659884725819865068628674\
         41630790628964248935060710302510117387361852652342019001140699\
         3028574820247435877/400630392511199244134677481438921661387675\
         72670218881341872499832783794447261892455290805736132868833280\
         000000000000000000*ep^3+2176799976214302419884225/143*ep^3*z6+
         15881165244853982249811937385/1308736*ep^3*z5-5418958938876009\
         12417030913324611853/130570287344640*ep^3*z4-57200900298590514\
         78669317703484943124653275/4255410803125208702976*ep^3*z3+
         317427283403790678020420/143*ep^3*z3^2;
Fill mncnoptab(10,8,6,1)=
      +mncF321*(-550829500024003200-4442860885188554640*ep-
         12929363795875752224*ep^2-1265059438433063001187/63*ep^3)
      +3026238109843230524573051413029580759758247/
      1117045335820367284531200-195646805470708/429*ep^-3-
         4233152321169151422901/123675552*ep^-2-
         2979912641184256619657307956621/8997108862341600*ep^-1+
         3109664478805591373272/429*z3-75391145450545343262216647751995\
         601310815739730079782423323982630960462347431414976447475171/
         28076593639581556323512995139212252883769854319082793336832000\
         00000000000*ep+1554832239402795686636/143*ep*z4+
         36954692079495130317849576583/309188880*ep*z3+
         49026605766331376295411243597549995896881820524967802836411603\
         4268162483677779615964787198109112057239/392161326566274469520\
         0866999034866039308100102659804187699238141952000000000000000*
         ep^2+100545701463528014336568/143*ep^2*z5+
         36954692079495130317849576583/206125920*ep^2*z4-13949228341745\
         26466117063481325021907/4498554431170800*ep^2*z3-
         36311558870019506637800683986281998563801595254053841531349037\
         27742728872658627124042138259106892948503673033752681262410417\
         9479677967300770154789/854297179042778129382595649464801746243\
         17287828339385769620532658136996506498072497089373725746150684\
         7539200000000000000000000*ep^3+746318599779446129091080/429*
         ep^3*z6+16297921822276389151309407323/11451440*ep^3*z5-
         1394922834174526466117063481325021907/2999036287447200*ep^3*z4
         -475958907768201454273394499620720398098273577/
         2792613339550918211328000*ep^3*z3+108838071768851806196536/429
         *ep^3*z3^2;
Fill mncnoptab(10,9,1,5)=
      +mncF321*(-255951207629617500-4158526926421433475/2*ep-
         24501339519799296735/4*ep^2-695691105232999193887/72*ep^3)
      +5043881755473393814613519882021519250728113/
      4006632940788658040340480+2366512318765/528*ep^-3-
         3121481146659351762137/246445056*ep^-2-
         1299392420654983188281922692977/9561762580930560*ep^-1+
         444599784170748843875/132*z3-109568964270694455275957149644040\
         150359068936171994834420026911375116067361089117904593/
         88300975297459292096740466453288988608444800278315663360000000\
         00000*ep+444599784170748843875/88*ep*z4+
         6867484185805955886139898587/123222528*ep*z3+
         11322956687991272824222789963026000656121922540934903933516771\
         7676122946267016451286385623873139/197335776863926176988684616\
         0760505351485187456845870313120569753600000000000*ep^2+
         7187701856602613533425/22*ep^2*z5+6867484185805955886139898587/
         82148352*ep^2*z4-96229357376330859529733273985126347/
         682983041495040*ep^2*z3+12731412233348641861374260184550581729\
         28734247141881176712972289938669330351237107816736244376369543\
         27633113407553049656718149383145024069/
         19566807937054908138445786639263573205747288239423141070511599\
         4299310351390778473530113825329098260480000000000000000*ep^3+
         213408056777224661783375/264*ep^3*z6+
         27940249958428850852451403343/41074176*ep^3*z5-962293573763308\
         59529733273985126347/455322027663360*ep^3*z4-88123291460203339\
         3954250207753837239501028479/10016582351971645100851200*ep^3*
         z3+7780505807639820670975/66*ep^3*z3^2;
Fill mncnoptab(10,9,2,4)=
      +mncF321*(-1228565796622164000-9957424442111464500*ep-
         29216428859581950070*ep^2-412596450428038871378/9*ep^3)
      +3027600355558415760477235122238817522056007/
      500829117598582255042560-2993530692992875/22*ep^-3-
         399245711449034523955/263296*ep^-2-
         56554801577775793296324022781999/10756982903546880*ep^-1+
         177873098289905769030/11*z3-1725190347571178440238245619472358\
         23652394527473861601202114413357823084451127820069/
         28944812706772058161081883671314135251894056035287040000000000\
         00*ep+266809647434858653545/11*ep*z4+
         4116316178096644976127516301/15402816*ep*z3+
         46512061834466595257580294529124904292437053951037036584096182\
         8725938125755417485675696156120013/168183900736300719024447115\
         9739067060924875673448184925955031040000000000000*ep^2+
         17250836508512060836060/11*ep^2*z5+
         4116316178096644976127516301/10268544*ep^2*z4-3663765781406886\
         871242088073438955731/5378491451773440*ep^2*z3+
         14713942905869509051255957573768318140447116859253544327800075\
         91058403835899547720994249536872032637443189274047609379242137\
         9350531/376532487778528271338983477372053642478697040724057786\
         6044204049024939626769936363456382894080000000000000000*ep^3+
         42682408525555387667575/11*ep^3*z6+
         49844715770843241550377966667/15402816*ep^3*z5-366376578140688\
         6871242088073438955731/3585660967848960*ep^3*z4-51238931460520\
         2323707224919880569604253686153/1252072793996455637606400*ep^3
         *z3+6224037610745774204140/11*ep^3*z3^2;
Fill mncnoptab(10,9,3,3)=
      +mncF321*(-1842848694933246000-14933179925869882950*ep-
         43800721716621171540*ep^2-412176909934080509077/6*ep^3)
      +15147591009363406172605986917155523957217083/
      1669430391995274183475200-17424539931765225/44*ep^-3-
         29072293935908488193061/6845696*ep^-2-
         19486864388795179373696917877951/1434264387139584*ep^-1+
         266855754242242758705/11*z3-2048726582786388515253873556482139\
         6126013680537584409009776054090288343197739330249417/
         22935318259080335609542978299555581456738909163198873600000000\
         0000*ep+800567262726728276115/22*ep*z4+
         316643072992899524177225825/789888*ep*z3+
         94938930326641284253891455431383614804302160171960615599398063\
         42539093508048385001254997075061/22882163365483091023734301493\
         048531441154771067322243890544640000000000000*ep^2+
         25876746389366494360410/11*ep^2*z5+316643072992899524177225825/
         526592*ep^2*z4-3665621123620227722679332100538320751/
         3585660967848960*ep^2*z3+9327654953173655023087928637470600554\
         61213705394364544085458140153145381393569895194871622492582787\
         877143685831801786737743420239/1972313031220862373680389643377\
         42384155507973712601697745172593044163504259377619038191484928\
         000000000000000*ep^3+128049453175621258008525/22*ep^3*z6+
         49810683786307243568979370475/10268544*ep^3*z5-366562112362022\
         7722679332100538320751/2390440645232640*ep^3*z4-39316705818030\
         783293734539206159899021904149/64208861230587468595200*ep^3*z3
         +9335551920477681101490/11*ep^3*z3^2;
Fill mncnoptab(10,9,4,2)=
      +mncF321*(-1023804830518470000-8312124641487398550*ep-
         24461375506699345865*ep^2-231193570367918303951/6*ep^3)
      +1682075268575443570677812267402016674465483/
      333886078399054836695040-18881204966594915/132*ep^-3-
         97983644888151792966553/61611264*ep^-2-11807501055286028075092\
         9368341297/21513965807093760*ep^-1+444704315713268525075/33*z3
         -1970439228596054416663643960621541490465959572584147840266189\
         28341331616754530352143249/39735438883856681443533209903980044\
         87380016012524204851200000000000*ep+444704315713268525075/22*
         ep*z4+2288844650170407127978959881/10268544*ep*z3+
         12752399752245696999477399059675202016772018935241173570015410\
         214001224029652116023710269786795919/5550068724297923727806754\
         8271389213010520897223790102556516024320000000000000*ep^2+
         14375773510733470964450/11*ep^2*z5+
         2288844650170407127978959881/6845696*ep^2*z4-60728113989279099\
         51450816933158332109/10756982903546880*ep^2*z3+
         46198956384828670570961610778758734230549456327982749043757793\
         91266609384294519412604096070633587750455338229491226552387590\
         060657574251/2317121992545975963763316838860159984891126238879\
         05617940268940617604363489079771285661108942353203200000000000\
         0000*ep^3+213413081082435721841375/66*ep^3*z6+
         83638051779301096294402980781/30805632*ep^3*z5-607281139892790\
         9951450816933158332109/7171321935697920*ep^3*z4-32389727096456\
         751244043831484571117727198813/92746132888626343526400*ep^3*z3
         +15559856393331348991550/33*ep^3*z3^2;
Fill mncnoptab(10,9,5,1)=
      +mncF321*(-177196989897427500-2889162101647736775/2*ep-
         17126119246902911315/4*ep^2-490148407326444702563/72*ep^3)
      +15128810509559683265656562645907363567515411/
      17362076076750851508142080-714869650316395/6864*ep^-3-
         143832191509087568649187/9611357184*ep^-2-16920509724970562576\
         3778475119041/1118726221968875520*ep^-1+4001400790719486535675/
         1716*z3-608201039568441951849226642097458549708821259039003755\
         704265225954985748269426488785836237/7102709700489381808031561\
         2703364330211917786223870161715200000000000000*ep+
         4001400790719486535675/1144*ep*z4+
         185744655050863748681099917337/4805678592*ep*z3+
         78304915612911806130706181070567071770023187621818837907898776\
         88923236765608706574955850552319173931/19841495689365077326909\
         1485070216436512612207575049616639544786944000000000000000*
         ep^2+64689322353102492576825/286*ep^2*z5+
         185744655050863748681099917337/3203785728*ep^2*z4-539445426955\
         05432837431896212858438557/559363110984437760*ep^2*z3+
         21009555224083717417379123743529499926489046503935201169554481\
         30504529486291097220787571074995193682428874694434941591538338\
         6311678306390237/157390511343685417338623296279576366973729749\
         77585989098592767791450776389995743464578530824909341327360000\
         0000000000000*ep^3+1920672666639477344626375/3432*ep^3*z6+
         84977648359108872360775901677/177988096*ep^3*z5-53944542695505\
         432837431896212858438557/372908740656291840*ep^3*z4-2769352911\
         238919755478866337540620674997226621/
         43405190191877128770355200*ep^3*z3+70024542501152847886775/858
         *ep^3*z3^2;
Fill mncnoptab(10,10,3,2)=
      +mncF321*(-91004873823864000-754880855618817200*ep-
         20730183548089735195/9*ep^2-3799145341428130296*ep^3)
      +5045932066670947115735287329735163717123499/
      11268655145968100738457600-5852071563220225/297*ep^-3-
         91583904730923527712727/415876032*ep^-2-
         6214169331205151286061482187861/8067737177660160*ep^-1+
         355808805890061806380/297*z3-447290387380345650758225520614041\
         106778452232643893054388067259273288465620165556101/
         10320893216586151024294340234800011655532509123439493120000000\
         0000*ep+177904402945030903190/99*ep*z4+
         4164130512839634218273684597/207938016*ep*z3+
         14184447268616796931275025797880056858622391214964092168862677\
         258807870131255078205892302666251/7207881460127173672476304970\
         31028740396375288620650682552156160000000000000*ep^2+
         11500779988475857803920/99*ep^2*z5+
         4164130512839634218273684597/138625344*ep^2*z4-991518348224315\
         4207160104920568563/212308873096320*ep^2*z3+
         10795236861450002095425952436396874769697130249293857583703328\
         59791036175858239441773972123101115255714654304005020901402749\
         372157/3550163456197552272624701358079362914799143526826830559\
         413106674794943076668797142687446728704000000000000000*ep^3+
         85366327898843779013450/297*ep^3*z6+
         18146734331496798037185672833/69312672*ep^3*z5-991518348224315\
         4207160104920568563/141539248730880*ep^3*z4-226041157736772846\
         294747097065559614794379553/5634327572984050369228800*ep^3*z3+
         12447388747767202327840/297*ep^3*z3^2;
Fill mncnoptab(10,10,4,1)=
      +mncF321*(-25279131617740000-1891048178357456300/9*ep-
         52109974350589567510/81*ep^2-259006328122339986892/243*ep^3)
      +5041233339885931712180974508766429234173201/
      40567158525485162658447360-856386583794455/5346*ep^-3-
         37043471225338965521963/7485768576*ep^-2-
         61575131488472632641811631047/1536711843363840*ep^-1+
         889210201983668470150/2673*z3-14073732428538208786968702610392\
         02581040024685133686324745082275857409965635106725216707/
         11707763242564915068183892203851263221744690036901675008000000\
         00000000*ep+444605100991834235075/891*ep*z4+
         20837077334065483564603056193/3742884288*ep*z3+
         17779503500400631263550136377336776095986851219081505347816749\
         684778125227782863078415582350838931/3270576212532705053886123\
         380278292909548552872116202472080408576000000000000000*ep^2+
         28750843689057099820700/891*ep^2*z5+
         20837077334065483564603056193/2495256192*ep^2*z4-1870849050126\
         415781698034126403674911/145219269197882880*ep^2*z3+
         60730876565945739899812224342325444472068110393967250595409395\
         43788309699432492624748360120680207197636674188180411648621961\
         5186536062307/682723444232296489323120140021297138405421123955\
         43619571686384289115571385175289753810862456229068800000000000\
         0000000*ep^3+213408302162969077479875/2673*ep^3*z6+
         91397832079165423689163084477/1247628096*ep^3*z5-1870849050126\
         415781698034126403674911/96812846131921920*ep^3*z4-11529123395\
         99341053189977785035952718547366047/
         101417896313712906646118400*ep^3*z3+31121896763023034014900/
         2673*ep^3*z3^2;
Fill mncnoptab(11,2,1,11)=
      +mncF321*(-482689850761774656-19053567101011248078/5*ep-
         800415364821914323328/75*ep^2-11321115108452734649867/720*ep^3
         )
      +1059322336730878494569299239002860825514204881/
      446050932861237320897280000+137050124660113/9900*ep^-3+
         9849319660930732635667/109745064000*ep^-2-
         33876602507621754793561634057/532246549915080000*ep^-1+
         15721059884623850140034/2475*z3-221805640053767871463609037086\
         17632099353917459574495034492454485598580026092681/
         926595821652360625841426568614399379037570990080000000000000*
         ep+7860529942311925070017/825*ep*z4+
         142187366234751242011488473231/1371813300*ep*z3+
         29406930758444909457334582364835858707474867486635258450844580\
         5125053110766135552853581971/258845536089307752159393413951714\
         0211702797843549493657600000000000000*ep^2+
         169438100692900188263317/275*ep^2*z5+
         142187366234751242011488473231/914542200*ep^2*z4-2719491921672\
         7733339152768577528133173/93925861749720000*ep^2*z3-
         55786796724847671589029234594964770463846440241433608894776325\
         3040535327577014935814852331865146380136623601441/
         17333559454997730321265286162141616284826133404086722764748909\
         39772436480000000000000000000*ep^3+1509221846351477844229819/
         990*ep^3*z6+6265259459395647953644152398281/5487253200*ep^3*z5
         -27194919216727733339152768577528133173/62617241166480000*ep^3
         *z4-112793044358435427526713677950718598825717617557/
         1115127332153093302243200000*ep^3*z3+550237150032783704249507/
         2475*ep^3*z3^2;
Fill mncnoptab(11,2,2,10)=
      +mncF321*(-4826898507617746560-37890568901595580716*ep-
         1575840701135641043971/15*ep^2-13750826194479651400861/90*ep^3
         )
      +105932260759256838632256776586944000613111901/
      4460509328612373208972800-88126690232147/990*ep^-3-
         12386312359014493391093/10974506400*ep^-2-
         1063203169825678540150609084453/212898619966032000*ep^-1+
         31442122973990964112948/495*z3-2291275774834835294986546705558\
         9223478902120622298218993229498628021595236368091/
         95306998798528521515118161343195364701007301836800000000000*ep
         +15721061486995482056474/165*ep*z4+
         141796422747676002716760377249/137181330*ep*z3+
         47716362020837629789402211455362870693500485660753286818172899\
         31189074985818796981429281/41600175442924460168473941527954039\
         11665210819990257664000000000000*ep^2+338876204692551449638274/
         55*ep^2*z5+141796422747676002716760377249/91454220*ep^2*z4-
         27626302827534220013161475109408562913/9392586174972000*ep^2*
         z3-28720446169866011064620787591928914670629198886618810032026\
         055429893270860182585229586842399636621414260271151/
         92090929808134340549815569928733498561650059407780699458524312\
         03041280000000000000000000*ep^3+1509221859629486041315759/99*
         ep^3*z6+1222714150266718667462394951557/109745064*ep^3*z5-
         27626302827534220013161475109408562913/6261724116648000*ep^3*
         z4-13895913597738900217949636060153051426145513451/
         15930390459329904317760000*ep^3*z3+1100474257983295635483694/
         495*ep^3*z3^2;
Fill mncnoptab(11,3,1,10)=
      +mncF321*(-2011207711507394400-15812233616672160395*ep-
         3165481701574398347183/72*ep^2-554596136826352389972023/8640*
         ep^3)
      +60532723588691330370729276989672408245057801/
      6117269936382683258019840-6659380499261/2376*ep^-3-
         1869461639308541452237/26338815360*ep^-2-
         64294961884265905531581763061/113545930648550400*ep^-1+
         7860530517114747468283/297*z3-88999857736783282521768858461099\
         60441175213962218470813790785302135467274280199/88953198878626\
         620080776950586982340387606815047680000000000*ep+
         7860530517114747468283/198*ep*z4+
         118252127307593516220611447851/274362660*ep*z3+
         88841036293336130848614496016904945443707586961796713868248609\
         0411530533536566022743972933/186368785984301581554763258045234\
         0952426014447355635433472000000000000*ep^2+
         169438101803755292183263/66*ep^2*z5+
         118252127307593516220611447851/182908440*ep^2*z4-2750823803339\
         8267380833171025911086421/22542206819932800*ep^2*z3-
         62135152266792309738345841311424681714661462797766317399669511\
         05668397241673746774438237617404676417684651193109197/
         46675808900417888209103162577414944331779812030524727060915863\
         22619216953344000000000000000000*ep^3+
         7546109275997840673564005/1188*ep^3*z6+
         30773750990681874139567126756553/6584703840*ep^3*z5-2750823803\
         3398267380833171025911086421/15028137879955200*ep^3*z4-
         101302559764723574404884476706624721178742726961/
         267630559716742392538368000*ep^3*z3+550237133959254471237641/
         594*ep^3*z3^2;
Fill mncnoptab(11,3,2,9)=
      +mncF321*(-18100869403566549600-141691006415308359555*ep-
         3127438154589882383663/8*ep^2-542431670097417543956983/960*
         ep^3)
      +2118642566517066477601073189313587826244167803/
      23789383085932657114521600-696036820425821/264*ep^-3-
         33480233259012431118479/975511680*ep^-2-
         17339039073742077331878716191069/113545930648550400*ep^-1+
         7860532227753430267483/33*z3-300099873383644655413813813295449\
         48214175420173975777081498126740519589332503441763/
         33209194248020604830156728219140073744706544284467200000000000
         *ep+7860532227753430267483/22*ep*z4+
         354011370683502593648816942113/91454220*ep*z3+
         50113366535136428951783275522661034920928735274104797606533810\
         3181008521967295576958007959407/115962800168009872967408249450\
         367881484285343391017315860480000000000000*ep^2+
         508314318041773404403389/22*ep^2*z5+
         354011370683502593648816942113/60969480*ep^2*z4-27836847495669\
         636373286609392142713781/2504689646659200*ep^2*z3-
         69237644648830148191985421024835022978527737094550657498692222\
         2669127013359279514689268630510325072359832131009470007/
         66006194404631357063378209705435274812617916002762240288163846\
         986534381158400000000000000000000*ep^3+
         7546109448349066763376005/132*ep^3*z6+
         30195577928468691023409969852713/731633760*ep^3*z5-27836847495\
         669636373286609392142713781/1669793097772800*ep^3*z4-
         12775142393041182000083625744773028833394573223/
         4248104122487974484736000*ep^3*z3+550237099380611217141161/66*
         ep^3*z3^2;
Fill mncnoptab(11,3,3,8)=
      +mncF321*(-60336231345221832000-471510243411659784150*ep-
         15565132793490517204765/12*ep^2-537947578917529938972305/288*
         ep^3)
      +10593234069259425350865571673585448250807930369/
      35684074628898985671782400-35651069026132315/396*ep^-3-
         881949098077127654352215/877960512*ep^-2-119364867385310989592\
         775478610387/34063779194565120*ep^-1+78605501741725919897650/
         99*z3-10479195180745856498234429060952125590618898929792432586\
         396009625202259089811755463/3474734331196352346905349632303997\
         671390891212800000000000000*ep+39302750870862959948825/33*ep*
         z4+353725562344022892772863083975/27436266*ep*z3+
         61350294854686808076554512394611400870203857677735032661726794\
         647679329921851063095961305451/4246684576465205308865048197645\
         308159824902712073388032000000000000000*ep^2+
         847190741136970595083425/11*ep^2*z5+
         353725562344022892772863083975/18290844*ep^2*z4-27962230461623\
         747669138997474564725003/751406893997760*ep^2*z3-
         11272935996580172369389899974178416005709289410175178262087858\
         23129448613450133508752046632654954392288347046440843581/
         33426686061497185566415025283304973154269396636443489431645474\
         966674079744000000000000000000000*ep^3+
         37730555842455047179265875/198*ep^3*z6+
         29973416082072503226596661589835/219490128*ep^3*z5-27962230461\
         623747669138997474564725003/500937929331840*ep^3*z4-8469755553\
         7376733904897478436761152421389098379/
         8921018657224746417945600*ep^3*z3+2751183502565808708059095/99
         *ep^3*z3^2;
Fill mncnoptab(11,4,1,9)=
      +mncF321*(-4177123708515357600-32808983685802911405*ep-
         728640224107771962273/8*ep^2-382349091945452014092619/2880*
         ep^3)
      +2859165966837838555594019278678303205835263/
      139119199332939515289600+40845393567629/264*ep^-3+
         198604279360176310061/462084480*ep^-2-
         129626734393127073053898398083/17928304839244800*ep^-1+
         1813968402338082553493/33*z3-127234620016519833278814443672391\
         92503697816740542871238971935363300774421743319921/
         61174831509511640476604499351047504266564686839808000000000000
         *ep+1813968402338082553493/22*ep*z4+
         12920301002875823045602812191/14440140*ep*z3+
         15132266806325556549091397165289982918953364175234515531806876\
         48359441976478961130893633329/15258263180001299074658980190837\
         87914266912413039701524480000000000000*ep^2+
         117303300147620278390419/22*ep^2*z5+
         12920301002875823045602812191/9626760*ep^2*z4-3349752953745794\
         18418965430308800409/131825770876800*ep^2*z3-
         56869297748964791129707869438526537421912236433792277571169372\
         745821761946364336157977019166750850704836240140637293647/
         38626824965590270153488928319620722820344004444816463016633483\
         256519919853895680000000000000000000*ep^3+
         1741409818190923350321355/132*ep^3*z6+
         372206727206364452949888442397/38507040*ep^3*z5-33497529537457\
         9418418965430308800409/87883847251200*ep^3*z4-1326862398625266\
         10157937353540679817888534781/173898999166174394112000*ep^3*z3
         +126977805090176876456551/66*ep^3*z3^2;
Fill mncnoptab(11,4,2,8)=
      +mncF321*(-33416989668122860800-261618956006242128840*ep-
         722076693620403723273*ep^2-41781189446532879055411/40*ep^3)
      +8577490417503187790344657764143984157727949/
      52169699749852318233600-348950448401877/11*ep^-3-
         7088482161725701483853/19253520*ep^-2-
         345312650544348175020673922947/249004233878400*ep^-1+
         4837257265302410637528/11*z3-112100509201851240316797469249181\
         68778476724856610683909027565114511393440250089471/
         6720867719550839407830084157219574443348171161600000000000000*
         ep+7255885897953615956292/11*ep*z4+
         8600037783472735349313856694/1203345*ep*z3+
         29954482264899414175220356726056719032171765122663175618191091\
         0980098960353503711400884937067/375496320445344469415435840633\
         90093202662297664648904704000000000000000*ep^2+
         469213286927768507525436/11*ep^2*z5+
         4300018891736367674656928347/401115*ep^2*z4-375506560743345971\
         97616184746335541/1830913484400*ep^2*z3-
         61263601478539679753157896824755170905635577643946024886088252\
         1388947938631313550033957529968181803373615926508906030643/
         33949357879913323377089878405916650916317972656576969448213022\
         393425710809088000000000000000000000*ep^3+
         1160940074156165242219770/11*ep^3*z6+
         122322246403757087425609018099/1604460*ep^3*z5-375506560743345\
         97197616184746335541/1220608989600*ep^3*z4-3623451506103382817\
         71954334508889781284958443/65212124687315397792000*ep^3*z3+
         169303648267302573164868/11*ep^3*z3^2;
Fill mncnoptab(11,4,3,7)=
      +mncF321*(-97466219865358344000-762492620810400979590*ep-
         8407307086496033398935/4*ep^2-4371448423462988608596541/1440*
         ep^3)
      +30634532775216292067778957655451891824691813/
      63881264999819165184000-88993072719729745/132*ep^-3-
         337870630014002444072917/46208448*ep^-2-
         30680341057314475680304637317547/1280593202803200*ep^-1+
         42326421853711494009238/33*z3-22885278420192936204488989801172\
         379360760500683416048965021803663627250395051916833/
         4702647967032657311601225066276087074062860288000000000000000*
         ep+21163210926855747004619/11*ep*z4+
         30089637893575152472855104389/1444014*ep*z3+
         61205200764763416893282213361677858962719385240195499944105548\
         551084576280566687367633870313/2627379501658386958008880517554\
         991944209606833678057472000000000000000*ep^2+
         1368540247233265646142057/11*ep^2*z5+
         30089637893575152472855104389/962676*ep^2*z4-11287343037324494\
         2306445917751663021/1883225298240*ep^2*z3-
         30971736842883768447797315256366075718116386879918895607804539\
         40331493151833857811588147219338501186551703292514112416963/
         65325295045897356935508220839373147535772192283792419346415728\
         220585915842560000000000000000000000*ep^3+
         20316471599230427222084665/66*ep^3*z6+
         853495655465053160555622821243/3850704*ep^3*z5-112873430373244\
         942306445917751663021/1255483532160*ep^3*z4-252715077394012342\
         607035349638204872364192343/15970316249954791296000*ep^3*z3+
         1481402305792098533393221/33*ep^3*z3^2;
Fill mncnoptab(11,4,4,6)=
      +mncF321*(-134953227505880784000-1057737481893280547100*ep-
         5851353510851373462315/2*ep^2-611394249705051201726757/144*
         ep^3)
      +1069354296695804101646023032311716352790023/
      1610303355951120230400-1046463931488960915/286*ep^-3-
         11545098367234987590213773/300354912*ep^-2-
         30818007390329372616951899570831/262858604785920*ep^-1+
         253967118178104984151940/143*z3-252009161914790486861784686440\
         97004672518801854766764532277763472878448569148082983/
         3743469587403165027167617562599130401572126720000000000000000*
         ep+380950677267157476227910/143*ep*z4+
         271056965975907673215647448952/9386091*ep*z3+
         88501919147816717435182133980560070965926191588321175225545642\
         19672255658070488050704064329/27519532690538732803478502363107\
         7416828148443303116800000000000000000*ep^2+
         24633815738968693139168930/143*ep^2*z5+
         135528482987953836607823724476/3128697*ep^2*z4-159578564516283\
         791139471256220567143/1932783858720*ep^2*z3-
         55598926816664467521480579942670568507161778627858174770875522\
         657579685704296128896263960775582248795825016285991742134818473
       /663966298846500735892505556611388671553588562372466150236969461\
         634035248623779840000000000000000000000*ep^3+
         60949621551976470387542475/143*ep^3*z6+
         860537540606957149756656854451/2781064*ep^3*z5-159578564516283\
         791139471256220567143/1288522572480*ep^3*z4-372518807666315257\
         553349618608828809498565/16103033559511202304*ep^3*z3+
         8888319275340795544674910/143*ep^3*z3^2;
Fill mncnoptab(11,5,1,8)=
      +mncF321*(-4773855666874694400-37584187046607457620*ep-
         104789377952159595849*ep^2-32274389425235776110037/210*ep^3)
      +17154943694364260782261657725673437166804711/
      730375796497932455270400-2287755812027/22*ep^-3-
         343177226043134222147/89849760*ep^-2-
         51551683233658335468571463051/1494025403270400*ep^-1+
         691035686241516862564/11*z3-8929093852538923875223649946553453\
         8075562782224883889609393447579907332345955968981/
         376368592294847006838484712804296168827497585049600000000000000
         *ep+1036553529362275293846/11*ep*z4+
         22995499701779397735956938259/22462440*ep*z3+
         18548069869001216922802663341480382475372157197336084861091278\
         163053781344440959532666182469/1642796401948382053692531802773\
         3165776164755228283895808000000000000000*ep^2+
         67030458202212121357218/11*ep^2*z5+
         22995499701779397735956938259/14974960*ep^2*z4-975203249088434\
         0937428567251010149/3380147971200*ep^2*z3-
         81194057100859963305166367980323659809145873993520761354640148\
         0709045512101100036687844261387681951381951171585703732941/
         23764550515939326363962914884141655641422580859603878613749115\
         6753979975663616000000000000000000000*ep^3+
         165848556289926511236635/11*ep^3*z6+
         41777821870909978431493852283/3743740*ep^3*z5-9752032490884340\
         937428567251010149/2253431980800*ep^3*z4-168824939425885606503\
         7950968262874437830445727/1825939491244831138176000*ep^3*z3+
         24186247146940453572574/11*ep^3*z3^2;
Fill mncnoptab(11,5,2,7)=
      +mncF321*(-33416989668122860800-262471821364651052700*ep-
         728747620793799036003*ep^2-6377434336946727467429/6*ep^3)
      +1750503350256357670026383093910355441408703/
      10646877499969860864000-2721173935826297/22*ep^-3-
         1404357450449362177907/987360*ep^-2-
         7824380924717756804954138850641/1494025403270400*ep^-1+
         4837279293513881922316/11*z3-192569688225468705602611642146640\
         87017892844147402782412329009938628374062801908933/
         11575748841926541074710707855448829720770117632000000000000000
         *ep+7255918940270822883474/11*ep*z4+
         22969522592975374790161050719/3208920*ep*z3+
         23348032441530922180487507182840602658981408198538182577359323\
         57322962875765330299308472249987/29426650418573933929699461796\
         6159097751475965371942436864000000000000000*ep^2+
         469213522057523821389462/11*ep^2*z5+
         22969522592975374790161050719/2139280*ep^2*z4-1786401161590560\
         75688705832462636903/8788384725120*ep^2*z3-
         55608295094420451762607645081444654661115426874945564247602788\
         1808801532010352307548453649120448569821488345079207716319/
         38007444390340280398841146670180740384449275510570134892460060\
         055613623762944000000000000000000000*ep^3+
         1160940606910024848667865/11*ep^3*z6+
         41356448560920582359181004803/534820*ep^3*z5-17864011615905607\
         5688705832462636903/5858923150080*ep^3*z4-45322070795374311893\
         732701249679709930101369/7452814249978902604800*ep^3*z3+
         169303407780124125118954/11*ep^3*z3^2;
Fill mncnoptab(11,5,3,6)=
      +mncF321*(-83542474170307152000-656205283121641950060*ep-
         1822121859733053683175*ep^2-159492982526464742920661/60*ep^3)
      +15318342423231513191676471778147055399063947/
      37264071249894513024000-42418858502028155/22*ep^-3-
         549008993177229740648/26741*ep^-2-
         64323122788684276708573107598199/996016935513600*ep^-1+
         12093590815571084039164/11*z3-21911931752771876128250661408865\
         298391632010477567862688693861094972905602787087750341/
         52669657230765761889933720742292175229504035225600000000000000\
         00*ep+18140386223356626058746/11*ep*z4+
         7656812394648052431335968041/427856*ep*z3+
         14594042513735091079841065305594477656473633169772989509298472\
         1997570278649132127670651921493777/735666260464348348242486544\
         9153977443786899134298560921600000000000000000*ep^2+
         1173037977852076453390938/11*ep^2*z5+
         22970437183944157294007904123/855712*ep^2*z4-29769068606210576\
         3891978803533990167/5858923150080*ep^2*z3-
         19565385310550806748567421842851922884048786554583470614432849\
         44245012735928298653472383737120171964248035812709720027695651\
         13/88528839846200098119000740881518489540478474982995486698262\
         59488453803314983731200000000000000000000000*ep^3+
         2902360967591263423379435/11*ep^3*z6+
         82728650263825383879204434017/427856*ep^3*z5-29769068606210576\
         3891978803533990167/3905948766720*ep^3*z4-17710613592829300989\
         703048685688824608902299/1164502226559203532000*ep^3*z3+
         423254194596940852127878/11*ep^3*z3^2;
Fill mncnoptab(11,5,4,5)=
      +mncF321*(-96395162504200560000-759074901038472960900*ep-
         2117389171690493434125*ep^2-12432618869016481576041/4*ep^3)
      +42445740815140816050717629003977410183911/89461297552840012800-
         1983091040948077725/286*ep^-3-150191298741917766678055/2085798
         *ep^-2-87364622911037609273833951217357/408891163000320*ep^-1+
         181418663325172213806180/143*z3-577864337197780886196944224619\
         5502666629034795106099826129686433910773114134864972247/
         12074935501127649111631867209919755023311051948032000000000000\
         00*ep+272127994987758320709270/143*ep*z4+
         344994778171835269763650031885/16686384*ep*z3+
         40464297193983279514589078843934919136223963686380017822680724\
         6458897165459053939060631990197/177534009293203473061800514444\
         88066314417512374370671001600000000000000*ep^2+
         17595727147751710047512310/143*ep^2*z5+
         344994778171835269763650031885/11124256*ep^2*z4-14002058161958\
         4761360663884939912205/2405242135296*ep^2*z3-
         12726160433625838728747699360080672672972279568899110145222144\
         71106066243434562001343736903055173662321508835079864147503241\
         661/4283379387118545547389731846811390597926510533577253628408\
         7373908934881959217285038080000000000000000000*ep^3+
         43535771211066344584265325/143*ep^3*z6+
         1254588599325703092485704637015/5562128*ep^3*z5-14002058161958\
         4761360663884939912205/1603494756864*ep^3*z4-20953887151805733\
         0116429906244617417062633/11182662194105001600*ep^3*z3+
         6348650217333651345178410/143*ep^3*z3^2;
Fill mncnoptab(11,5,5,4)=
      +mncF321*(-55082950002400320000-436027162609968911100*ep-
         1227670566059502431400*ep^2-153286850385426119178149/84*ep^3)
      +594495226010473852637463872276805824194703/
      2191801790044580313600-2272273436544471025/286*ep^-3-
         57534907293659721830250865/700828128*ep^-2-
         32295270607368424922579751902377/134167412859480*ep^-1+
         103680349530230368421420/143*z3-107896701915135753513234710494\
         223453847874409226149039045751075569978135819510111207/
         39620882113075098647542064282549196170239389204480000000000000
         *ep+155520524295345552632130/143*ep*z4+
         259420071878401209141810492140/21900879*ep*z3+
         37614181613814955998408106757663379551319716959868956664393954\
         645980262717981512698399915871/2912667339966619479920164690111\
         323379709123123920188211200000000000000*ep^2+
         10054834583839431357282390/143*ep^2*z5+
         129710035939200604570905246070/7300293*ep^2*z4-206952291781388\
         247542895991848770657/6313760605152*ep^2*z3-
         57773550768945599780924663264467208121264017039314828720065933\
         695193608912024992758423697875179246963309806967861970591971093
       /365425803963550917011686498181096760385605429895809450173620408\
         6606007117145724629811200000000000000000*ep^3+
         24877885585773002472152425/143*ep^3*z6+
         2565774285542256195392294326685/19467448*ep^3*z5-2069522917813\
         88247542895991848770657/4209173736768*ep^3*z4-2654553575587213\
         5729204042980397184336066397/2191801790044580313600*ep^3*z3+
         3627662066702253113138090/143*ep^3*z3^2;
Fill mncnoptab(11,6,1,7)=
      +mncF321*(-3118919035691467008-24702069229277577228*ep-
         1740360907096527959607/25*ep^2-46616318802472341918179/450*
         ep^3)
      +35318443588618108755062493418016543453783113/
      2301604400728778745600000+431579294067649/1650*ep^-3-
         344483222431372012321/56628000*ep^-2-
         82413120817069235898606839281/941612649120000*ep^-1+
         33860739226866105480724/825*z3-1338353265758108535600294063462\
         04230828965401956457320951069119726927077987979737819/
         867500236742024313481261282814224062603595874304000000000000000
         *ep+16930369613433052740362/275*ep*z4+
         9496134273616194638496275833/14157000*ep*z3+
         22123168984522823410545145122730241011729012436151767093992989\
         113896478510310314784777594257/3029214013676728492763179890828\
         1083592063702317699956736000000000000000*ep^2+
         1094830788148078918628286/275*ep^2*z5+
         9496134273616194638496275833/9438000*ep^2*z4-61083543337169769\
         11656487093715443461/3295644271920000*ep^2*z3+
         11557435977422944604945802254273270176318901050168021613561939\
         11704579367771291155507470181098028749772756466440923719231/
         84652944323939715433782553947220739947182477273542573169570133\
         7602303438356480000000000000000000000*ep^3+
         1625315812608685325202067/165*ep^3*z6+
         1357351897161023081967764377/181500*ep^3*z5-610835433371697691\
         1656487093715443461/2197096181280000*ep^3*z4-15977400549621952\
         3938605776852382790360811081/230160440072877874560000*ep^3*z3+
         1185126240982173586048582/825*ep^3*z3^2;
Fill mncnoptab(11,6,2,6)=
      +mncF321*(-18713514214148802048-147972685168340775288*ep-
         10395338199902161923942/25*ep^2-46230066079231389747539/75*
         ep^3)
      +5045581051749148245099720139491893164206409/
      54800104779256636800000-62797454228776001/275*ep^-3-
         24355861667525096265571/9438000*ep^-2-
         2846046307139895584869940183/309537360000*ep^-1+
         67722878967801802490648/275*z3-2871827479698737447497714490910\
         70462896099468336347657776839357395504396033299300199/
         309821513122151540529021886719365736644141383680000000000000000
         *ep+101584318451702703735972/275*ep*z4+
         9488823328608886552711822933/2359500*ep*z3+
         27167139371548932638790958326264639078356508388274829194409056\
         0788968448946611060940723430349/618206941566679284237383651189\
         40986922578984321836646400000000000000000*ep^2+
         6568999590745045902151116/275*ep^2*z5+
         9488823328608886552711822933/1573000*ep^2*z4-29220875168343762\
         9025698222219146441/26155906920000*ep^2*z3+
         35636422473748711276371471160762767396003548557704709509386099\
         478245834325673147811391332385967208594010168538856551502471/
         66513027683095490697972006672816295672786232143497736061805105\
         09732384158515200000000000000000000000*ep^3+
         3250638355888622049830234/55*ep^3*z6+
         8762735864116067402817684863/196625*ep^3*z5-292208751683437629\
         025698222219146441/17437271280000*ep^3*z4-22014337923636590889\
         456133304856408480942313/5480010477925663680000*ep^3*z3+
         2370237000468167006835764/275*ep^3*z3^2;
Fill mncnoptab(11,6,3,5)=
      +mncF321*(-38986487946143337600-308481618094212146220*ep-
         867890342816574203343*ep^2-231956606446772433996679/180*ep^3)
      +1261717038246200205637818541376296686008893/
      6576012573510796416000-153495004774915825/66*ep^-3-
         3485756751821497626151/141570*ep^-2-
         1918900197681291024643600673363/25109670643200*ep^-1+
         16932060609665006181236/33*z3-26766875244631552570565459036147\
         30962914761847067967857686331214326946185083445214491/
         13880003787872389015700180525027585001657533988864000000000000\
         00*ep+8466030304832503090618/11*ep*z4+
         1898472094538072995675987729/226512*ep*z3+
         35453255344026248075204931958790500743357936552201926277976739\
         81449519456570419207217425804091/38773939375062124707368702602\
         5997869978415389666559446220800000000000000*ep^2+
         547421389204138173878874/11*ep^2*z5+
         1898472094538072995675987729/151008*ep^2*z4-583282092030661137\
         19099419263005891/2510967064320*ep^2*z3-
         76987591245263706704385747594054345414107837279472446716663279\
         63765038892821077207840058302462580614254425580711688102406204\
         773/4362701227620740835304356510641231164554779247162017584490\
         38067591003427362398273536000000000000000000000*ep^3+
         4063330267506873788638465/33*ep^3*z6+
         7030304446574238156116179747/75504*ep^3*z5-5832820920306611371\
         9099419263005891/1673978042880*ep^3*z4-69828657927028855250793\
         07825910606393355317/822001571688849552000*ep^3*z3+
         592544518103526164190098/33*ep^3*z3^2;
Fill mncnoptab(11,6,4,4)=
      +mncF321*(-35987527334901542400-285621542204526143280*ep-
         807946612693165431332*ep^2-54377738353223868266999/45*ep^3)
      +874200035415481400600307335496211816957/4933527438575736000-
         2170506459316713490/429*ep^-3-580427642404585071954697/
         11042460*ep^-2-6036559723519298440216700442659/38655677174400*
         ep^-1+203212250744213414783632/429*z3-331089666395919436077648\
         5774337100983403968110124133197352801907318122004207969317/
         1864512099438828171649038319178785702128912433152000000000000*
         ep+101606125372106707391816/143*ep*z4+
         17112963184636507272528304217/2208492*ep*z3+
         33864010136585890067137823315706030814229811767803175725546337\
         7036766141281549475521077387/403137348092265671961268469219560\
         32937150493064639283200000000000000*ep^2+
         6569154212753073419661288/143*ep^2*z5+
         17112963184636507272528304217/1472328*ep^2*z4-1643218749088493\
         6353465756573546439/773113543488*ep^2*z3-
         17104203324750588007649398222771680454783212477578233079944192\
         29376320781056183900458770109246523411093515717993901228918172\
         95347/88433044559179321916828132559825416013316514034785886942\
         01613889586537223492653604143104000000000000000000*ep^3+
         48760625968787517110500580/429*ep^3*z6+
         21364911940763431981393726189/245388*ep^3*z5-16432187490884936\
         353465756573546439/515409028992*ep^3*z4-8263152536087239294353\
         3743592527771168963/9867054877151472000*ep^3*z3+
         7110231190516573471736776/429*ep^3*z3^2;
Fill mncnoptab(11,6,5,3)=
      +mncF321*(-15423226000672089600-123101363519839211220*ep-
         351709070986568335488*ep^2-31983173831168715052373/60*ep^3)
      +2525063098312854900652588275981437802057851/
      33245396899415692992000-836135815986279515/286*ep^-3-
         903828778962491267925713/29446560*ep^-2-
         20017784286460393131622579384357/214216877674800*ep^-1+
         29032690265633492824036/143*z3-6644929335858359480547197329712\
         637574650622089460809541175308085192657928198445175486837/
         87693863931777753801193740557124282040472299741642752000000000\
         00000*ep+43549035398450239236054/143*ep*z4+
         612886516695862245360512966/184041*ep*z3+
         43686041574056312072745634278696694523071935560825111278490772\
         363490994117467741156693770611876101/1224868744858212519505777\
         3152161272712618142159566612906115072000000000000000*ep^2+
         2815377026225400115699122/143*ep^2*z5+
         306443258347931122680256483/61347*ep^2*z4-76776418487399920324\
         9579220525910167/85686751069920*ep^2*z3-
         36182517504489976226623800168522518911109036670626756405312397\
         31820465729379266435834893449161416510181057704609361515357477\
         02931897/40992506140803580536531989218588787125715632105724749\
         421350566784186279975412803449605062656000000000000000000*ep^3
         +6965860839899416557187715/143*ep^3*z6+
         6249103656046545446951296617/163592*ep^3*z5-767764184873999203\
         249579220525910167/57124500713280*ep^3*z4-13325496550344933682\
         7735094161436459468749597/33245396899415692992000*ep^3*z3+
         1015721314264766157790798/143*ep^3*z3^2;
Fill mncnoptab(11,6,6,2)=
      +mncF321*(-2879002186792123392-115885021204694660184/5*ep-
         336103285384905351656/5*ep^2-46763875480828734774217/450*ep^3)
      +14418250517448984425285719144191670065793/1017716231614766112000
         -3980745105230936987/10725*ep^-3-4546500999724605106384913/
         1104246000*ep^-2-16198707653665781743874872438141/
         1147590416115000*ep^-1+406416674156792141473736/10725*z3-
         97743877256498933327732889850331754776773398400492268397257026\
         594366424013384473426279383/6963440882832727262776040461114150\
         02077625355135981977600000000000000*ep+
         203208337078396070736868/3575*ep*z4+
         43079517769372405957763433698/69015375*ep*z3+
         63768719877259687543240710679112160625043283764180045708886750\
         0350964588013898378882186596804893131/972622337713974378770056\
         299363806061336334350858086356076199936000000000000000*ep^2+
         13138280554592806281062604/3575*ep^2*z5+
         21539758884686202978881716849/23005125*ep^2*z4-374122789024461\
         1972133472986788113679/2295180832230000*ep^2*z3-
         22463771427231037272048466106263926052249633684867080097974289\
         01772068905571569298598514781747172705178912561500274098560761\
         351815167/3255061190743184316978993268888565877701356911895205\
         883739118443706791794297622923920202006528000000000000000000*
         ep^3+19504212494810813350857038/2145*ep^3*z6+
         75487594185558509658176039287/10224500*ep^3*z5-374122789024461\
         1972133472986788113679/1530120554820000*ep^3*z4-12336032858748\
         52958366809065525433983101987/1424802724260672556800*ep^3*z3+
         14220547693202943183656348/10725*ep^3*z3^2;
Fill mncnoptab(11,7,1,6)=
      +mncF321*(-1169594638384300128-9357639649554835548*ep-
         671182960081283712762/25*ep^2-1022756438116065821438/25*ep^3)
      +619596104351356937088331118838882726494959/
      107677398864504268800000-128477430488547/550*ep^-3-
         2738339977281628516169/226512000*ep^-2-
         22563477609470075992887111811/198234241920000*ep^-1+
         4232595343757370641478/275*z3-98255983976669684165078039944776\
         14182469275935805191537218135477461149445438865093/
         171217151988557430292354200555438959724393922560000000000000000
         *ep+6348893015636055962217/275*ep*z4+
         28629068599428598586633472499/113256000*ep*z3+
         25750185806034119105248318862753448915511556971512071246326786\
         6096873171499629324299165428269/956593899055808997714688386577\
         297376591485336348419686400000000000000000*ep^2+
         410561573427915345352476/275*ep^2*z5+
         28629068599428598586633472499/75504000*ep^2*z4-889592263645525\
         2739064402161377292579/13182577087680000*ep^2*z3-
         60368174935047971703952678059734644878906163116388164079298832\
         02927454266707333391354491310161242829795062521655623559919874\
         62294457/95115404669215970952950889437568665198450990409240787\
         8786519063677486035201473857244364800000000000000000000000*
         ep^3+203164489042078987355499/55*ep^3*z6+
         110420856476334955432805583031/37752000*ep^3*z5-88959226364552\
         52739064402161377292579/8788384725120000*ep^3*z4-6496889771083\
         8065134086712499404605000065387/204587057842558110720000*ep^3*
         z3+148140740304133759596204/275*ep^3*z3^2;
Fill mncnoptab(11,7,2,5)=
      +mncF321*(-5847973191921500640-46739481954531600780*ep-
         669251250632150314002/5*ep^2-3051907670309769056786/15*ep^3)
      +5045609607041103078630518005864530674938609/
      175360335293621237760000-21726635148037267/110*ep^-3-
         33616556349967275443843/15100800*ep^-2-
         1978931102942902697564737112963/251096706432000*ep^-1+
         4232831742068499572198/55*z3-107591913769130719458331859873155\
         9260784352569206382760450097665993255601851187875861/
         37476010227255450342390487417574479504475341769932800000000000\
         00*ep+6349247613102749358297/55*ep*z4+
         9538541024414392292079682513/7550400*ep*z3+
         70577959555876428001070292439596908037479719863120627595483180\
         10244768080798125394361962909161/52344818156333868354947748513\
         50971244708607760498552523980800000000000000*ep^2+
         410564092146201661609116/55*ep^2*z5+
         9538541024414392292079682513/5033600*ep^2*z4-32685494361455356\
         985788355319388643/9657565632000*ep^2*z3-
         90584027434943319403543701981715422078734885482332977059991287\
         02771687869229249221083393734219060840802792053050799465071727\
         35212817/27393236544734199634449856158019775577153885237861346\
         9090517490339115978138024470886377062400000000000000000000*
         ep^3+203165630202066581018459/11*ep^3*z6+
         36651718101644534893331956797/2516800*ep^3*z5-3268549436145535\
         6985788355319388643/6438377088000*ep^3*z4-27338619146198280002\
         829176148162281705563351/17536033529362123776000*ep^3*z3+
         148138149376381281275564/55*ep^3*z3^2;
Fill mncnoptab(11,7,3,4)=
      +mncF321*(-9746621986535834400-77988995613869410980*ep-
         223793379522551284852*ep^2-30698136597456292640473/90*ep^3)
      +5048199134745011069748743927951546756835497/
      105216201176172742656000-80631038545882195/66*ep^-3-
         39097530943083029997377/3020160*ep^-2-
         18209703660669535985348351351861/451974071577600*ep^-1+
         4233480905972365598054/33*z3-587793029798822650753093191282099\
         719683550830230005584704905714219338223019525943163/
         12296815855818194643596878683891626087405971518259200000000000\
         00*ep+2116740452986182799027/11*ep*z4+
         1908963933133167353284511453/906048*ep*z3+
         38542557744576297219969862231465616419569876113807815293443820\
         50143997643381229452284440472989/17175643457547050553967229980\
         99537439670011921413587546931200000000000000*ep^2+
         136856997489810997027636/11*ep^2*z5+
         1908963933133167353284511453/604032*ep^2*z4-254047596080569024\
         146758669904261613/45197407157760*ep^2*z3+
         80659885606939014481168875388386314592570169485849898006922678\
         39077469400153130786833139897001218382007792811504317665074335\
         9941241973169/144759173303258967643567905415953281884375652812\
         96713031569305922948504926519477504299377465753600000000000000\
         000000*ep^3+1015843778908651563712135/33*ep^3*z6+
         22096916308903129044286386059/906048*ep^3*z5-25404759608056902\
         4146758669904261613/30131604771840*ep^3*z4-1993629700310333986\
         4122341245075043037909261/7515442941155195904000*ep^3*z3+
         148130998849567849235372/33*ep^3*z3^2;
Fill mncnoptab(11,7,4,3)=
      +mncF321*(-6747661375294039200-54178687912862115540*ep-
         156410016934281441156*ep^2-2403018053229326698781/10*ep^3)
      +5049901549306957543829965758203451680543017/
      151978957254471739392000-382376075771458265/286*ep^-3-
         1664010131247676090939739/117786240*ep^-2-
         85550204057989579689002092694623/1958554310169600*ep^-1+
         12701983717626039666802/143*z3-1446063169579768020612195381815\
         434849799516483599362995763991663208869436774685224108317/
         43846931965888876900596870278562141020236149870821376000000000\
         00000*ep+19052975576439059500203/143*ep*z4+
         17210888779349412528751322309/11778624*ep*z3+
         94580968306351833983781925297640290157319827823570026453014725\
         88315190567772440066246286002002121/61243437242910625975288865\
         76080636356309071079783306453057536000000000000000*ep^2+
         1231729383724749656718804/143*ep^2*z5+
         17210888779349412528751322309/7852416*ep^2*z4-1508451557209666\
         75951391267830554139/39171086203392*ep^2*z3+
         14499708074426633928535883614906691575030291926219020243754476\
         29954544571442919552972031460199645675741459485003075023250163\
         13065038448633/31764298599115110614360043245557748710628714674\
         38821602355779128235557652447702492371977683913932800000000000\
         0000000*ep^3+3047568500017809042630005/143*ep^3*z6+
         22409732094930642162163702155/1308736*ep^3*z5-1508451557209666\
         75951391267830554139/26114057468928*ep^3*z4-147977143256765503\
         732826770877587333805667547/75989478627235869696000*ep^3*z3+
         444376080054775047090436/143*ep^3*z3^2;
Fill mncnoptab(11,7,5,2)=
      +mncF321*(-1927903250084011200-15571876900668729480*ep-
         45422759360428394658*ep^2-2122325056767135503437/30*ep^3)
      +1682127515525747073697064176467001120063903/
      177308783463550362624000-38147922310873732/143*ep^-3-
         174437180864995341351727/58893120*ep^-2-
         17440523504239215024288179108201/1713735021398400*ep^-1+
         3628777468279273487884/143*z3-65277303076719093938313177090020\
         1220575423220598612603088085318455976231580350490797778533/
         69634408828327272627760404611141500207762535513598197760000000\
         00000000*ep+5443166202418910231826/143*ep*z4+
         12328546332009481436613739529/29446560*ep*z3+
         42455163040426168759573875986573417642401718221449469297588708\
         72795996693097325781747315609565005157/97262233771397437877005\
         62993638060613363343508580863560761999360000000000000000*ep^2+
         351918837728466898359708/143*ep^2*z5+
         12328546332009481436613739529/19631040*ep^2*z4-925785133337988\
         119203065557475037289/856867510699200*ep^2*z3-
         11818883127885009813660675476747973853657678135631124305881448\
         84965703596977588022635520126011616773975236784664520306553495\
         5150783595655572727/110829151737845148042613904463535025077334\
         69880050133990259073986479921707955336022974048789206994518016\
         0000000000000000000*ep^3+870725150650469062179560/143*ep^3*z6+
         16391411513061075503208526127/3271840*ep^3*z5-9257851333379881\
         19203065557475037289/571245007132800*ep^3*z4-54106225344521255\
         437195707287655487337700029/88654391731775181312000*ep^3*z3+
         126968548307056785934612/143*ep^3*z3^2;
Fill mncnoptab(11,7,6,1)=
      +mncF321*(-179937636674507712-7331037217916444424/5*ep-
         21711346896052856826/5*ep^2-1034766020192922545909/150*ep^3)
      +1411862611016713850960149961455197590168147/
      1595779051171953263616000-1113080024668444/3575*ep^-3-
         9945883761028753718033/490776000*ep^-2-
         8217802647256870329412614488329/42843375534960000*ep^-1+
         8465205770093406151132/3575*z3-3514351989406559530015211446368\
         341932647649138594269364748087238550561464887168558793045643/
         40403261386106373568634608389761222098569910715582251008000000\
         0000000000*ep+12697808655140109226698/3575*ep*z4+
         9628919892432835947820884119/245388000*ep*z3+
         42801066946657418526673090713344894142478864135847583242579117\
         054143668746481140058356197863806953/1067105650520474746993433\
         197016290078723292544941443316380745072640000000000000*ep^2+
         821123331203852081360844/3575*ep^2*z5+
         9628919892432835947820884119/163592000*ep^2*z4-300153079818700\
         012418742081132398767/3060241109640000*ep^2*z3-
         24991469413089652782919293353633893064531395908855796563994247\
         74065775776972237985470135133893292836882332391794514006158974\
         73565673362191/41493660024627974710381361052780644342721068566\
         03328734540128813840634934125221267817820934950092800000000000\
         000000000*ep^3+406329062716879337604856/715*ep^3*z6+
         118744594038600639987117910393/245388000*ep^3*z5-3001530798187\
         00012418742081132398767/2040160739760000*ep^3*z4-5132008063494\
         2059807309426161240301680750937/797889525585976631808000*ep^3*
         z3+296281367330387383671076/3575*ep^3*z3^2;
Fill mncnoptab(11,8,1,5)=
      +mncF321*(-245713159324432800-1996076412519773220*ep-
         5879833162689776670*ep^2-973631750419547013554/105*ep^3)
      +35311527810462730310839593146960686866046999/
      29215031859917298210816000+1894686876955/22*ep^-3-
         2424974464392599662979/359399040*ep^-2-
         401137334759043706976186653/5051649715200*ep^-1+
         35567966808599163082/11*z3-55753414081534372191756998535255617\
         57243447035330010703926101723018928914220017397/46806771957306\
         8073664142414276644519525283860473446400000000000*ep+
         53351950212898744623/11*ep*z4+9614417852489437221715613521/
         179699520*ep*z3+5041120981511820757722978225231088279029252123\
         79755794234527894988539233921351375573841892981/
         91528653461932364094937205972194125764619084269288975562178560\
         00000000000*ep^2+3450096707762432485764/11*ep^2*z5+
         9614417852489437221715613521/119799680*ep^2*z4-282933922923733\
         0869713900698221114673/20916355645785600*ep^2*z3+
         12372610780519655485050200536317665957112260897250357192695855\
         49762335828292845410364183516180827204688231328204834818514431\
         95999/16100514540578468356574609333693255849429222343885852877\
         1569463709521227966838872684237946880000000000000000*ep^3+
         8536321852384583306705/11*ep^3*z6+
         39115012576171776977695611069/59899840*ep^3*z5-282933922923733\
         0869713900698221114673/13944237097190400*ep^3*z4-1234753635588\
         822073523867415982492285448984549/14607515929958649105408000*
         ep^3*z3+1244881073437998782836/11*ep^3*z3^2;
Fill mncnoptab(11,8,2,4)=
      +mncF321*(-982852637297731200-7979491858438835280*ep-
         23480316422111735760*ep^2-184881683879508671476/5*ep^3)
      +560641409111534459710554354105792391513153/
      115932666110782929408000-920813916036490/11*ep^-3-
         12019193805543833834597/12835680*ep^-2-
         14669174209763131498290907282357/4482076209811200*ep^-1+
         142292390332769273128/11*z3-3982572914293623562457062576251002\
         432230458899900677918832344821066546204315860133359/
         83618347819563723576458775050463057394360606324162560000000000\
         000*ep+213438585499153909692/11*ep*z4+
         457736961897744576603379501/2139280*ep*z3+
         25760019689906723132179098992344369513636261602794397441338375\
         302484837284998159595635846676903/1167943755113199437669771638\
         70768545897560810656123953191321600000000000000*ep^2+
         13800604460832682960656/11*ep^2*z5+
         1373210885693233729810138503/4278560*ep^2*z4-12147742193184810\
         05672508308096815057/2241038104905600*ep^2*z3+
         16568061850559757149896529185795080677757248778689481569805468\
         99684706566162104688244397166277115417666665103823073550977957\
         516733/5752579674394181923234469793184152871202315899950882850\
         90086729712143554089851388861391831040000000000000000*ep^3+
         34145780176249784218820/11*ep^3*z6+
         16725512517827917281988370801/6417840*ep^3*z5-1214774219318481\
         005672508308096815057/1494025403270400*ep^3*z4-583381364069650\
         25625093767457811462378148969/173898999166174394112000*ep^3*z3
         +4979297084960615310544/11*ep^3*z3^2;
Fill mncnoptab(11,8,3,3)=
      +mncF321*(-1228565796622164000-9989444578022828100*ep-
         29471260990409977620*ep^2-279409247990092920335/6*ep^3)
      +5048916605806701202429326915407760843838121/
      834715195997637091737600-5619763375893625/22*ep^-3-
         28190986588752042058213/10268544*ep^-2-
         6330642078125695437673556930161/717132193569792*ep^-1+
         177901747788849106610/11*z3-4256079810487378936805325884607265\
         8608000600125724320825519631739047714789942656699549/
         71672869559626048779821807186111192052309091134996480000000000\
         0000*ep+266852621683273659915/11*ep*z4+
         458135608754304228594912589/1711424*ep*z3+
         55040534618172729558102190935844408498735688768586469108948522\
         2368850367018251060299386813827829/200218929447977046457675138\
         0641746501101042468390696340422656000000000000000*ep^2+
         17251142104306317102420/11*ep^2*z5+
         1374406826262912685784737767/3422848*ep^2*z4-17267708965877338\
         8221222731417153559/256118640560640*ep^2*z3+
         65453223483949902998196620620576759153883104437461418990839916\
         45585033518561481649382961371853616764631450622503477269651306\
         79920662473/72191587725261615032636461921722156160519806078155\
         03641717679836898994664653869300845403827077120000000000000000\
         00*ep^3+42683100891293669989525/11*ep^3*z6+
         16826227766985651139344773329/5134272*ep^3*z5-1726770896587733\
         88221222731417153559/170745760373760*ep^3*z4-17866101685580566\
         0058538965363093396133964123/417357597998818545868800*ep^3*z3+
         6223724378738548180100/11*ep^3*z3^2;
Fill mncnoptab(11,8,4,2)=
      +mncF321*(-567030367671768000-4627692263755544760*ep-
         13740404070039391248*ep^2-328408086089810263913/15*ep^3)
      +336427082548327435559666726229697436630839/
      120569972755214246584320-13942111075895107/143*ep^-3-
         1084225085214225683914241/1001183040*ep^-2-4347975823118153638\
         62518916614563/116533981455091200*ep^-1+1067348130224470075660/
         143*z3-2696838068078527257137415308834331245033926872546772076\
         29374379908492216736925709366293891/98648745840130302889327239\
         86578379196099692531093078016000000000000000*ep+
         1601022195336705113490/143*ep*z4+61959495413508778206778737211/
         500591520*ep*z3+1737136946121459338217340857033785774215516468\
         827857924502337682214846529126223360861343698539719469/
         13778816450947970365909130907653919202264736637156223377746165\
         760000000000000000*ep^2+103506182755975843333560/143*ep^2*z5+
         61959495413508778206778737211/333727680*ep^2*z4-17914543432219\
         588233273509477967628951/58266990727545600*ep^2*z3-
         92458547864306448715246181059943527171748097536768347854162885\
         90842276443655963436126304691507458217326401517725148116301698\
         47229995112629/36432988736964216976533170435087121984659664299\
         96756735785362914687679719906422098282067320580866048000000000\
         000000000*ep^3+256097086564378433144750/143*ep^3*z6+
         85348494411471159942354416693/55621280*ep^3*z5-179145434322195\
         88233273509477967628951/38844660485030400*ep^3*z4-385670202992\
         5470037370692502944695898758061/18606477277039235584000*ep^3*
         z3+37343017622595514818520/143*ep^3*z3^2;
Fill mncnoptab(11,8,5,1)=
      +mncF321*(-81004338238824000-665163548597562840*ep-
         1995794765526635022*ep^2-677003746792974090113/210*ep^3)
      +560168154476627344393884695585646352718021/
      1406649682144166210150400-23628512703668/143*ep^-3-
         81128604687957255907963/7008281280*ep^-2-
         22449581071614962632581030041081/203934467546409600*ep^-1+
         152434597130352654500/143*z3-434248935971877586932050600937119\
         39448916491416584847968875864696813350000137925178011791183/
         11161400957911885698335310567671537604729937835179596840960000\
         000000000000*ep+228651895695528981750/143*ep*z4+
         62135819376478172286768248573/3504140640*ep*z3+
         40380357884557675300493744726420349496901274736527682261936371\
         1949003496432560183433204342530491591/226759950735600883736104\
         55436596164172869966580005670473090832793600000000000000*ep^2+
         14786134137982850979060/143*ep^2*z5+
         62135819376478172286768248573/2336093760*ep^2*z4-4389528991378\
         875355360602189413252057/101967233773204800*ep^2*z3+
         13114746020388995104183985857020948159717903647429714259400480\
         22398199643833188454631374961837248182262064704572235991030062\
         8143774273129719427071/353196673852549937504947282967505619917\
         88320869165484150671346070056299065866805142929297198518519101\
         12870400000000000000000000*ep^3+36584248852131245811400/143*
         ep^3*z6+87355496329556624267562519899/389348960*ep^3*z5-
         4389528991378875355360602189413252057/67978155848803200*ep^3*
         z4-112076866571616501085493857097064979445532331/
         3516624205360415525376000*ep^3*z3+5335200853815155072540/143*
         ep^3*z3^2;
Fill mncnoptab(11,9,1,4)=
      +mncF321*(-27301462147159200-226727165502736080*ep-
         4158909442597178885/6*ep^2-11461088536228382237/10*ep^3)
      +5042533678821832541366892125574636750110687/
      37562183819893669128192000-25018404065585/198*ep^-3-
         5202177086580818471911/1386253440*ep^-2-
         67511632187997192763833759701/2241038104905600*ep^-1+
         35568332634805148542/99*z3-69755335726124279280435767443120013\
         534821312601219642479913271579286697452322885617/
         53754652169719536584866355389583394039231818351247360000000000\
         000*ep+17784166317402574271/33*ep*z4+
         4165581096493444945379208869/693126720*ep*z3+
         44104121498644456695527315660344795133274348122553267657538015\
         1028350053928364303166369604921/750820985429913924216281767740\
         65493791289092564651112765849600000000000000*ep^2+
         1150033448317811858528/33*ep^2*z5+4165581096493444945379208869/
         462084480*ep^2*z4-46919092148872226133329089722592633/
         3361557157358400*ep^2*z3+2288584554050490066014559522098979431\
         93080389206179771388459712115217901464776990448117280256108525\
         12936966362045038479488463/43506905100460199419420359780384349\
         44606793537777978626731748375974194946898035714077753344000000\
         000000000*ep^3+8536330030796576067605/99*ep^3*z6+
         18220908444065003396335101041/231042240*ep^3*z5-46919092148872\
         226133329089722592633/2241038104905600*ep^3*z4-228683921879944\
         515528057784886444955792379837/18781091909946834564096000*ep^3
         *z3+1244876491022442096616/99*ep^3*z3^2;
Fill mncnoptab(11,9,2,3)=
      +mncF321*(-81904386441477600-679984117516398240*ep-
         4155605338718648465/2*ep^2-102996464712517880293/30*ep^3)
      +5045622680581091555817005648683509461064647/
      12520727939964556376064000-1023860680204985/66*ep^-3-
         80448593408179690372231/462084480*ep^-2-
         2751761511227479652032374864961/4482076209811200*ep^-1+
         35579237367206961022/33*z3-17449967228207430337351739262268058\
         7356714234268014472810709382395626352351350163957/
         44795543474766280487388629491319495032693181959372800000000000\
         000*ep+17789618683603480511/11*ep*z4+
         4165804207947359029209225989/231042240*ep*z3+
         70754604275034917057034407824097780436519972287605301525282715\
         767889951916105253307771918095819/4004378588959540929153502761\
         283493002202084936781392680845312000000000000000*ep^2+
         1150072210617023352848/11*ep^2*z5+4165804207947359029209225989/
         154028160*ep^2*z4-31303400531060560644729095240373907/
         747012701635200*ep^2*z3+20756625808490810701548265717205721999\
         70634643730088198701203865247629870601317603040898725408509354\
         82498428548945017277825734087/39446260624417247473607792867548\
         47683110159474252033954903451860883270085187552380763829698560\
         000000000000000*ep^3+8536593486209657743805/33*ep^3*z6+
         18204429027596076647830941521/77014080*ep^3*z5-313034005310605\
         60644729095240373907/498008467756800*ep^3*z4-22810295626515750\
         4686420269683720929352096117/6260363969982278188032000*ep^3*z3
         +1244757199274973658456/33*ep^3*z3^2;
Fill mncnoptab(11,9,3,2)=
      +mncF321*(-68253655367898000-567643155321597810*ep-
         5218855841169381964/3*ep^2-28853000496552197277/10*ep^3)
      +201845290012343410145769319590921761301809/
      600994941118298706051072-6574620743708899/396*ep^-3-
         513245001411550265405387/2772506880*ep^-2-
         7704600477472394716674819709783/11952203226163200*ep^-1+
         88956267769858496455/99*z3-10539094565561270209831840974082868\
         66594608380946103519419156554936101197137489728847977/
         32521564562680319633844145010697953393735250102504652800000000\
         0000000*ep+88956267769858496455/66*ep*z4+
         20848316063469285307110694177/1386253440*ep*z3+
         17548354130345786877513869262815565335928566170315600083562279\
         2080188154535791754098714942046101/119538604259236295829171176\
         17976216774665763421477348216668160000000000000000*ep^2+
         2875209302144254290110/33*ep^2*z5+
         20848316063469285307110694177/924168960*ep^2*z4-18664001523934\
         18366007281304715631219/53784914517734400*ep^2*z3+
         20009290189703940010870279870754049054791972315089079118571017\
         77182689789478366701089948131570146797462809602302913313942141\
         8895175332393/225203913896070022519779212854247319960121551304\
         74457844827105928701316949971015717402888657436672000000000000\
         0000000*ep^3+42683358193314521869375/198*ep^3*z6+
         91610294084299869992491629853/462084480*ep^3*z5-18664001523934\
         18366007281304715631219/35856609678489600*ep^3*z4-116039469572\
         5340785551574395868621728316852583/37562183819893669128192000*
         ep^3*z3+3111801719462739289210/99*ep^3*z3^2;
Fill mncnoptab(11,9,4,1)=
      +mncF321*(-15750843546438000-131502779659896750*ep-
         405635573239201900*ep^2-1356901907366249239/2*ep^3)
      +719922656491409785681766820598249976447023/
      9301112183973670450790400-250182747534755/1716*ep^-3-
         3557825890976159921669/800946432*ep^-2-
         9986565808032503423335054726921/279681555492218880*ep^-1+
         88921331068719784775/429*z3-1664914398775027022778791725554490\
         466166183301774427824193176213082335000686856559116381133/
         22322801915823771396670621135343075209459875670359193681920000\
         00000000000*ep+88921331068719784775/286*ep*z4+
         1392227533048394228631255887/400473216*ep*z3+
         38076276596604366985493967750768685765243487805970611886388824\
         0259211670311534981512669937912661223/113379975367800441868052\
         277182980820864349832900028352365454163968000000000000000*ep^2
         +2875085620199014292350/143*ep^2*z5+
         1392227533048394228631255887/266982144*ep^2*z4-220922006195254\
         256014784883487150145/27968155549221888*ep^2*z3+
         21109608543284010591787921333585916152740079660371813708355693\
         07989590963738894106675300520547987681924066692513721123221001\
         212414597098625471/1236639731986099707660611613625242883365019\
         46252461342917514604075684671635680841507402742195716253286400\
         000000000000000000*ep^3+42681677647641615461375/858*ep^3*z6+
         18578253586988415845099815609/400473216*ep^3*z5-22092200619525\
         4256014784883487150145/18645437032814592*ep^3*z4-2407155035005\
         02489842005998353771570314748411/32553892643907846577766400*
         ep^3*z3+3112187241411847831610/429*ep^3*z3^2;
Fill mncnoptab(11,10,1,3)=
      +mncF321*(-1436919060376800-12323657517618720*ep-
         238219747102515115/6*ep^2-18914575194232616261/270*ep^3)
      +5034140589637559987519240198100495069704327/
      713681492577979713435648000-1614806256035/198*ep^-3-
         1794054993289378551439/2926535040*ep^-2-
         634473169945383070828711922669/109490718839673600*ep^-1+
         1871974857978109738/99*z3-739787005459243928652965693975814591\
         87270023465045268381290629650087313518683816629/
         11116608339860366749523382339070307338725491686244352000000000\
         00000*ep+935987428989054869/33*ep*z4+
         1411118041967183502936455383/4389802560*ep*z3+
         45257362400472707929471705099042153149750374171986362304911341\
         3838796946942832195783295662401/155271822837206689089625617274\
         2578919221216608139723692572672000000000000000*ep^2+
         60527980691754261392/33*ep^2*z5+1411118041967183502936455383/
         2926535040*ep^2*z4-248641848981655383645574192774567043/
         383217515938857600*ep^2*z3+59021981839761068753222505232753618\
         87591617642987614003368269833892475275002993369869470821661363\
         5067876714642673301877897739/350011185664749312099448028993331\
         64890063526834534462776428144284678527818878015800921292800000\
         00000000000*ep^3+449279918043211686095/99*ep^3*z6+
         20410203445081091852166782161/4389802560*ep^3*z5-2486418489816\
         55383645574192774567043/255478343959238400*ep^3*z4-30162112421\
         5529298309398775195895151906578357/356840746288989856717824000
         *ep^3*z3+65520651887665910824/99*ep^3*z3^2;
Fill mncnoptab(11,10,2,2)=
      +mncF321*(-2873838120753600-24645034211332080*ep-
         238159480018696901/3*ep^2-6301827135072042088/45*ep^3)
      +5046423112992850641446181591236330568042923/
      356840746288989856717824000-114747858348095/99*ep^-3-
         168123486339143431678519/13169407680*ep^-2-
         3725550672398259512998933427039/85159447986412800*ep^-1+
         3746611512832005524/99*z3-165294629396061702631726780171521054\
         4437576103699678537243711599614724146350419647767/
         12506184382342912593213805131454095756066178147024896000000000\
         000000*ep+1873305756416002762/33*ep*z4+
         4234918145272799760957113237/6584703840*ep*z3+
         10138637747207557473029460696368945508204666438930859595621233\
         689373279188647044121112573237083/1746808006918575252258288194\
         3354012841238686841571891541442560000000000000000*ep^2+
         121065189116592324016/33*ep^2*z5+4234918145272799760957113237/
         4389802560*ep^2*z4-33146710708620857058606922924197437/
         25547834395923840*ep^2*z3+332870457254390347669725444171857344\
         40312130133203499328272360638499320835494222822409873108656300\
         942656859903181411988718098351/9056539429075388450573217750202\
         45641530393756843579224340078233366056907313468658848838451200\
         000000000000000*ep^3+898622389592362416310/99*ep^3*z6+
         20409950074442991465040375073/2194901280*ep^3*z5-3314671070862\
         0857058606922924197437/17031889597282560*ep^3*z4-3015998523522\
         56032440201987567497284280185633/178420373144494928358912000*
         ep^3*z3+131010641038032211232/99*ep^3*z3^2;
Fill mncnoptab(11,10,3,1)=
      +mncF321*(-1197432550314000-10287866154929090*ep-
         299157537767128348/9*ep^2-5297650567190010077/90*ep^3)
      +5031736445737706298671739766710791515268489/
      856417791093575656122777600-21868544350513/1188*ep^-3-
         115772120079607446580811/158032892160*ep^-2-
         38295867799683329965883095939951/6131480255021721600*ep^-1+
         4679992518554945725/297*z3-32855530939382462174291702136782417\
         7039057568924053139829022013466429689963723348938119/
         59449040760351488077027052249876433754728868263179059200000000\
         00000000*ep+4679992518554945725/198*ep*z4+
         21185987820891863268282283681/79016446080*ep*z3+
         18236369240873682718441252851387555849513974027716775813651345\
         60036763299870750277564844212689/75487060298981287686876025540\
         92269834963861099393567416123392000000000000000*ep^2+
         151320172879650238730/99*ep^2*z5+21185987820891863268282283681/
         52677630720*ep^2*z4-1645153032861735673194009053883224147/
         3065740127510860800*ep^2*z3+8993762318258172265700725541585072\
         76476429124030623129199694717976306233917953455148160932394562\
         9742180699606741082655784601190320452621/
         17333479087044456543796417549131572148534136893426404871820279\
         78185757339589605874458997844187545600000000000000000000*ep^3+
         2246402630601978852325/594*ep^3*z6+
         102662552261295301275048164509/26338815360*ep^3*z5-16451530328\
         61735673194009053883224147/2043826751673907200*ep^3*z4-
         1526483739023159004008377697185026614269884839/
         2141044477733939140306944000*ep^3*z3+163801184546314905310/297
         *ep^3*z3^2;
Fill mncnoptab(11,11,2,1)=
      +mncF321*(-28738381207536-1296399882904854/5*ep-67741657452449624/
         75*ep^2-3935578789665092489/2250*ep^3)
      +718186274482500122753681318230742778372623/
      5097724946985569381683200000-23105082919513/1980*ep^-3-
         7591382579535795205111/52677630720*ep^-2-
         3450719652039557212345268157251/5677296532427520000*ep^-1+
         187329257844820777/495*z3-238314294935181919141149620944438598\
         587642365960202169395324757845080247390229561/1890579649636116\
         79413662964950175294876283872215040000000000000000*ep+
         187329257844820777/330*ep*z4+4346307112188978669927862973/
         658470384000*ep*z3+7728814154331617236927251191284984633353446\
         6180166822294702831816396404144258509598715263/
         14787792651162541818059582597548370659249681982283082786406400\
         000000000000*ep^2+6053257415983645238/165*ep^2*z5+
         4346307112188978669927862973/438980256000*ep^2*z4-258276346548\
         444299911114134885268751/25547834395923840000*ep^2*z3+
         89254384741757188458660933224486443258214293208302271597533273\
         77275319054532865299969866563839042960176476245179084160550707\
         2173690357/236166568313124609234338875796093171386177562654838\
         45624653834734614842585355119962041695557858099200000000000000\
         0000*ep^3+17972442990106114937/198*ep^3*z6+
         24005254687886923116817180937/219490128000*ep^3*z5-25827634654\
         8444299911114134885268751/17031889597282560000*ep^3*z4-
         407454490440683448862952151190321200114977371/
         17842037314449492835891200000*ep^3*z3+6550563929424143818/495*
         ep^3*z3^2;
Fill mncnoptab(12,1,1,11)=
      +mncF321*(-43880895523797696-19193547525815067678/55*ep-
         74240392775298669623/75*ep^2-3202051940549061967609/2160*ep^3)
      +1059322784990292622865691219262797080828276551/
      4906560261473610529870080000+62405825183113/108900*ep^-3+
         65837489070239982791407/25351109784000*ep^-2-
         2814890055781587458215194169669/245897906060766960000*ep^-1+
         15721059735330172090034/27225*z3-14001100807460437700366285926\
         6223225907807710909564428861400249805015223351/647146288138156\
         62757178998442910432821671624704000000000*ep+
         7860529867665086045017/9075*ep*z4+
         2996548002459035577792234118231/316888872300*ep*z3+
         23050446257002483390914684262411465215173334495207313123430140\
         2848522232228238784242247/225976261665268672520105361386417002\
         60897441491305103360000000000000*ep^2+169438099622981914278317/
         3025*ep^2*z5+2996548002459035577792234118231/211259248200*ep^2
         *z4-62150661292463880247026840868981021337/2410763784909480000
         *ep^2*z3-82926095417444874989416975998441430596683615297528555\
         1197086770025863959977312421490080131648724631659162023163/
         27238450572139290504845449683365397019012495349279135773176857\
         624995430400000000000000000000*ep^3+1509221836871507056414819/
         10890*ep^3*z6+45229468258861378538748782883247/422518496400*
         ep^3*z5-62150661292463880247026840868981021337/
         1607175856606320000*ep^3*z4-9283473352231827189264973741720060\
         74628687246099/85864804575788184272726400000*ep^3*z3+
         550237150107455938754507/27225*ep^3*z3^2;
Fill mncnoptab(12,2,1,10)=
      +mncF321*(-365674129364980800-31841032533771236230/11*ep-
         3225457769994048593627/396*ep^2-114764677199698640344543/9504*
         ep^3)
      +10593233782296026545190710028206545722020395211/
      5887872313768332635844096000-163396765732613/13068*ep^-3-
         11703262675840534887613/144863484480*ep^-2+
         31921335528293105267001109879/624502618567027200*ep^-1+
         15721062444953068793702/3267*z3-790443167956220189863550685978\
         9095780977329339381814621497320849101540158999067/
         436823744493255723610958239489645421546283466752000000000000*
         ep+7860531222476534396851/1089*ep*z4+
         118643082107463221335497975811/1508994630*ep*z3+
         10454276737597327874493392731573669340150436441363274584503983\
         5310638838627335543195296221/122027181299245083160856895148665\
         1814088461840530475581440000000000000*ep^2+
         169438103361257758002871/363*ep^2*z5+
         118643082107463221335497975811/1005996420*ep^2*z4-539811536676\
         1452891902089538459807941/24796427501926080*ep^2*z3-
         23713880827090944135853608879813250017214055003412594938260897\
         30350704197990996066069655433936789992989172753410531/
         91684624625820851839309783634207926365996059345673571012513302\
         76573461872640000000000000000000*ep^3+
         7546109339031833766160685/6534*ep^3*z6+
         31683885869934784661168914750073/36215871120*ep^3*z5-539811536\
         6761452891902089538459807941/16530951667950720*ep^3*z4-
         119928611556933222533807797375096881641801241769/
         1471968078442083158961024000*ep^3*z3+550237114656577200645233/
         3267*ep^3*z3^2;
Fill mncnoptab(12,2,2,9)=
      +mncF321*(-2742555970237356000-238055095531526469105/11*ep-
         15988570308203477658667/264*ep^2-2824801974459196325994811/
         31680*ep^3)
      +52966120953389812047848798031644706952585327043/
      3925248209178888423896064000-388521051871477/8712*ep^-3-
         61134260713917626098717/96575656320*ep^-2-
         2484321676156128515582858869781/749403142280432640*ep^-1+
         39302653344828477710771/1089*z3-184917870992854465694762669852\
         3981953772953425373401826635821531857664653990934237/
         13590072050901289179007589673011190892551041187840000000000000
         *ep+39302653344828477710771/726*ep*z4+
         888464395950619728157623319577/1508994630*ep*z3+
         24525738883998582798114426444766505762371645290015799162492344\
         778450388821954291538106499799/3796401195976513698337770071291\
         8056438307701705392573644800000000000000*ep^2+
         847190511027984445603911/242*ep^2*z5+
         888464395950619728157623319577/1005996420*ep^2*z4-136151266260\
         847095117740436669801463687/82654758339753600*ep^2*z3-
         33868471160401299565232195402097077794936971980544015203678818\
         420214576029195237484783298780601649902252290156416233/
         20917677322039127678894380266174845422760582428494414719891923\
         890256490790912000000000000000000*ep^3+
         37730546462811015275068285/4356*ep^3*z6+1563107150939548682850\
         94901853889/24143914080*ep^3*z5-136151266260847095117740436669\
         801463687/55103172226502400*ep^3*z4-79470447781979456040545782\
         041560761486403285867/140187436042103157996288000*ep^3*z3+
         2751185656783748300368609/2178*ep^3*z3^2;
Fill mncnoptab(12,3,1,9)=
      +mncF321*(-1139215556867824800-99046047192149818215/11*ep-
         2223964219307831850339/88*ep^2-394513558674386860107659/10560*
         ep^3)
      +162972686375427658776459257618807639244557959/
      29075912660584358695526400+6823846562029/968*ep^-3+
         1013101563705722402359/32191885440*ep^-2-
         365099683734672673470750881657/1249005237134054400*ep^-1+
         1813968545026322561653/121*z3-21479267182129022089992922115684\
         965627142217283605042987870617927662471394854359143/
         380522017425236097012212510844313344991429153259520000000000000
         *ep+5441905635078967684959/242*ep*z4+
         246230799002381193468155548669/1005996420*ep*z3+
         28448313526934998794959698005520823686940323499339463013937461\
         5793011609267567267417587237111/106299233487342383553457561996\
         1705580272615647750992062054400000000000000*ep^2+
         351909903069249726783897/242*ep^2*z5+
         246230799002381193468155548669/670664280*ep^2*z4-6254991774302\
         803062352811041052436571/9183862037750400*ep^2*z3-
         11422428118523589467619959588862326981926469282870673974621305\
         30859424488238552474044348452521392825796831053972384701/
         22992157717613256043743409714059954059728574074295513700377073\
         36697614277017600000000000000000000*ep^3+
         1741409829895985408302955/484*ep^3*z6+
         7264654129094030999106456114823/2682657120*ep^3*z5-62549917743\
         02803062352811041052436571/6122574691833600*ep^3*z4-8882731492\
         204487853465423936056180508749456117/
         36344890825730448369408000*ep^3*z3+126977801133965379224711/
         242*ep^3*z3^2;
Fill mncnoptab(12,3,2,8)=
      +mncF321*(-7594770379118832000-659037194908687331100/11*ep-
         3687124000856514581475/22*ep^2-130261935143992172408927/528*
         ep^3)
      +814862966042189718387743119527951011861792389/
      21806934495438269021644800-492866113521775/242*ep^-3-
         37166433751755076488193/1609594272*ep^-2-
         761726800034604115752124228907/8921465979528960*ep^-1+
         12093129651663951711380/121*z3-6721267632460925384201897139617\
         3080303969813719984573225224622003565134123488362637/
         178369695668079420474474614458271880464732415590400000000000000
         *ep+18139694477495927567070/121*ep*z4+
         82000551423001238071061570093/50299821*ep*z3+
         44599116821060157775517874872939333791778774111502251926007632\
         8300557441683955871932893214011/249138828485958711453416160928\
         524745376394292441638764544000000000000000*ep^2+
         1173033072676366163115210/121*ep^2*z5+
         82000551423001238071061570093/33533214*ep^2*z4-161247938344125\
         172992440946745219339/35322546299040*ep^2*z3-
         67708071600375257944623786691222134247371333750276441556730753\
         51335410030804289462197399792865122331673576011829854623329/
         14344950901004645528541786716912718212577530668540935344625883\
         43036495907520512000000000000000000000*ep^3+
         2902349857561755528509575/121*ep^3*z6+
         2401787745947757918888007576751/134132856*ep^3*z5-161247938344\
         125172992440946745219339/23548364199360*ep^3*z4-33901669040311\
         2397227244854178379080374253639/218069344954382690216448*ep^3*
         z3+423259267230647283558710/121*ep^3*z3^2;
Fill mncnoptab(12,3,3,7)=
      +mncF321*(-18402712841711016000-1598089051028268176490/11*ep-
         17906925710520143212545/44*ep^2-1056618158702656840757299/1760
         *ep^3)
      +1358105875247820065406726223270134698445057587/
      14999478753476058057216000-248078470794989625/6292*ep^-3-
         2062637911855335484937967/4649939008*ep^-2-2025372485244705065\
         13243988593617/128865619704307200*ep^-1+
         380934756327328052927238/1573*z3-44419655939634790331710008918\
         60066697814911816639797045895739983531049548564592067721/
         48674645814962780630935346685989061258014443438080000000000000\
         00*ep+571402134490992079390857/1573*ep*z4+
         574212166157864460146065631423/145310594*ep*z3+
         58899242823276017451370930804160857042283785459217731160318406\
         39130394001615346990095523137121/13597314487630166409352625459\
         42269164270000336591101362176000000000000000*ep^2+
         36950554335546177683963571/1573*ep^2*z5+
         1722636498473593380438196894269/290621188*ep^2*z4-627527256273\
         4561815934719606691992421/568524792813120*ep^2*z3-
         14551629099069046402103301893368371283940005284164183523148887\
         568699386041737701608473345643707794684790352781870325930643/
         13249214126642191555224600676145624284969567684529936784773993\
         79224378727412531200000000000000000000*ep^3+
         182848097896094248155181665/3146*ep^3*z6+
         50598341970648184704327735969283/1162484752*ep^3*z5-6275272562\
         734561815934719606691992421/379016528542080*ep^3*z4-4305702391\
         7444213504706547659610432837432618451/
         11249609065107043542912000*ep^3*z3+13332654193044761222134221/
         1573*ep^3*z3^2;
Fill mncnoptab(12,4,1,8)=
      +mncF321*(-1735947515227161600-151189661666610992880/11*ep-
         38701912936000602036*ep^2-18106811373839886039082/315*ep^3)
      +5718337400697541492888431717263289301921811/
      669511146789771417331200-33253599864982/363*ep^-3-
         2090269020497976877073/2223781560*ep^-2-
         43259887425474251770728358223/12325709576980800*ep^-1+
         8292428906612274536848/363*z3-56439514351828003042961640980673\
         11328857986054092453712685541622135256357776411039/
         65715151035608207543227489537258061223848784691200000000000000
         *ep+4146214453306137268424/121*ep*z4+
         15963596546436721885748307257/42765030*ep*z3+
         37325756951808037586285103507535770455157532190366716775134444\
         812039077165346981055038633347/9178798944219531474599542771050\
         9116717618949846919544832000000000000000*ep^2+
         268121834911668027125592/121*ep^2*z5+
         15963596546436721885748307257/28510020*ep^2*z4-374367151710050\
         837027632046859731341/362520869911200*ep^2*z3-
         13020136059492275274379350880119185249879328689080624387435932\
         7415055770169095191372052455271654680409122071145063302973/
         82987319262010346032886369436685146684332822049410369762298499\
         183929515311104000000000000000000000*ep^3+
         1990182689570979517099820/363*ep^3*z6+
         385171108964263277589198543167/92657565*ep^3*z5-37436715171005\
         0837027632046859731341/241680579940800*ep^3*z4-165662147521930\
         03215438449864937446023521781/42917381204472526752000*ep^3*z3+
         290234956464058462288888/363*ep^3*z3^2;
Fill mncnoptab(12,4,2,7)=
      +mncF321*(-10126360505491776000-881136779719299405120/11*ep-
         2477210735197184952000/11*ep^2-165241874175376494532534/495*
         ep^3)
      +30633824409310731529873354475400248348838641/
      614857175623259464896000-4986347132945780/363*ep^-3-
         2569453521514071505081/15884154*ep^-2-
         7693979394381275238274032442739/12325709576980800*ep^-1+
         48372603665501294088224/363*z3-2074926084994651865268188372466\
         41384964237503238734617050591196691084503119872342251/
         413833021098873843420907805832295662517531705344000000000000000
         *ep+24186301832750647044112/121*ep*z4+
         34572588669762426604389469777/15884154*ep*z3+
         27462931541997945417658115130340849928096419809090980975049343\
         4675788285756771134918252654631/115604698072969026152390742772\
         419645545222700681834528768000000000000000*ep^2+
         1564044402035674495843536/121*ep^2*z5+
         34572588669762426604389469777/10589436*ep^2*z4-437881801148919\
         041148264356364281183/72504173982240*ep^2*z3-
         36086351139627134029651226848153309146328391473864800053724379\
         49830628672170294489380866835644300772343351032589055188294547/
         69558374164871505664929153549764527496090230343782168120063467\
         4092798831891578880000000000000000000000*ep^3+
         11609401506103805483605960/363*ep^3*z6+
         127897240275666287304267290183/5294718*ep^3*z5-437881801148919\
         041148264356364281183/48336115988160*ep^3*z4-96816863328833753\
         667057220376721454758118081/43918369687375676064000*ep^3*z3+
         1693036156877017086731408/363*ep^3*z3^2;
Fill mncnoptab(12,4,3,6)=
      +mncF321*(-21031671819098304000-1832999158896036672240/11*ep-
         5168246493019822794540/11*ep^2-115376923934617999942531/165*
         ep^3)
      +137856603120499020768085476872188770409521121/
      1332190547183728840608000-357834290726385270/1573*ep^-3-
         339617378157573810489023/137662668*ep^-2-259419302983709229833\
         6427287247973/320468449001500800*ep^-1+
         435360353614644656050608/1573*z3-11658690007818193635141960484\
         18200774626582981964572595050184047197645954912413665351/
         11207977654761166592649586407958007526516483686400000000000000\
         00*ep+653040530421966984075912/1573*ep*z4+
         622798218208546225591932461267/137662668*ep*z3+
         77048242916148023221111115187032879700868829008390750469362320\
         01693773961474682211523295829787/15654802864047888958136246417\
         09849366758224071733175910400000000000000000*ep^2+
         42229272336068788395629736/1573*ep^2*z5+
         622798218208546225591932461267/91775112*ep^2*z4-23536898511802\
         461031970433967397351821/1885108523538240*ep^2*z3-
         26819750340725758258258664133719147796911231016935536169235629\
         4006774723489040314703551371229345238491632235355907074974317/
         28982655902029794027053813979068553123370929309909236716693111\
         420533284662149120000000000000000000000*ep^3+
         104484779956135359348947820/1573*ep^3*z6+
         772619879207913659502852074031/15295852*ep^3*z5-23536898511802\
         461031970433967397351821/1256739015692160*ep^3*z4-225471300941\
         906762738606046928222416063707623/47578233827990315736000*ep^3
         *z3+15237249000570729994318296/1573*ep^3*z3^2;
Fill mncnoptab(12,4,4,5)=
      +mncF321*(-20030163637236480000-1753295427737690961600/11*ep-
         452890403105093107800*ep^2-471971754711244842220283/693*ep^3)
      +2673525820314097805445863248173081059155979/
      27123547151801681380800-1344167549776921200/1573*ep^-3-
         13071337566959604383367055/1445458014*ep^-2-497059331249583160\
         213038990106829/17710098497451360*ep^-1+
         414650928146104229523520/1573*z3-77978867030953823813036428845\
         00073979954395830086973134695556056526008576093613723/
         7906207768595484537378008292209363408120331632640000000000000*
         ep+621976392219156344285280/1573*ep*z4+
         3120652777225357602659156522900/722729007*ep*z3+
         38629385736027816155632930731887645035848150216616077562934066\
         7841308279327315778777058923/830303614891682909727808528441193\
         57763007073179454668800000000000000*ep^2+
         40218589015182079517539840/1573*ep^2*z5+
         1560326388612678801329578261450/240909669*ep^2*z4-152917963629\
         880463171190393440384197/13022131248126*ep^2*z3-
         17866883713897184382431897795536181416776564907163521798700453\
         68712635042468996674885199173879953184561480645502432089833476\
         637/2369881631146838146606402233101897357602792583904795980717\
         81036002112933220788490731520000000000000000000*ep^3+
         99509845217589938220040800/1573*ep^3*z6+
         1311292700487788126903664886350/26767741*ep^3*z5-1529179636298\
         80463171190393440384197/8681420832084*ep^3*z4-3343624874374488\
         1666596321375900379907670659/6780886787950420345200*ep^3*z3+
         14511423929566001031491840/1573*ep^3*z3^2;
Fill mncnoptab(12,5,1,7)=
      +mncF321*(-1417690470768848640-124127834107989036780/11*ep-
         1764251031453118634307/55*ep^2-9555594404795751647371/198*ep^3
         )
      +600420591858399130493675095608953405595955301/
      86080004587256325085440000+286323759115429/3630*ep^-3-
         1716080158300584129797/2117887200*ep^-2-
         547922545397415781618511025437/35216313077088000*ep^-1+
         33860741824393963334884/1815*z3-323764667723312652537231522823\
         376258684602929350030937688634617513365591861827564303/
         46349298363073870463141674253217114201963550998528000000000000\
         00*ep+16930370912196981667442/605*ep*z4+
         161825387901087633374375462741/529471800*ep*z3+
         42613858875448493799505565861907785941387667713525982876374197\
         0789218919175560486655178067167/129477261841725309290677631905\
         1100030106494247636546722201600000000000000*ep^2+
         1094830796111266124580726/605*ep^2*z5+
         161825387901087633374375462741/352981200*ep^2*z4-6021801533531\
         081412916432992090150241/7250417398224000*ep^2*z3+
         14499458130289013212571075979185882703433915969511350279468650\
         518825503615977166744134395682879323377595210884822534085531/
         29265732180562015907107682936039170096025942143139003867194246\
         242822490297466880000000000000000000000*ep^3+
         1625315823254702205203647/363*ep^3*z6+
         306297940849258534930619194877/88245300*ep^3*z5-60218015335310\
         81412916432992090150241/4833611598816000*ep^3*z4-6044204275929\
         10173250938059638869458945085841/1721600091745126501708800*
         ep^3*z3+1185126204349618491488542/1815*ep^3*z3^2;
Fill mncnoptab(12,5,2,6)=
      +mncF321*(-7088452353844243200-620585694185272943400/11*ep-
         1763858925620002580082/11*ep^2-47760967697039130988139/198*
         ep^3)
      +2680452423840327409910499359059035228958273/
      76857146952907433112000-15634034562822235/363*ep^-3-
         52030520334536709918127/105894360*ep^-2-
         4199138127193333886275762317583/2347754205139200*ep^-1+
         33861093417689621671000/363*z3-1606088256393516141093318743301\
         08100119330654783796710999803011987697949680423578107/
         459814467887637603801008673146995180575035228160000000000000000
         *ep+16930546708844810835500/121*ep*z4+
         161819758083310117723480170889/105894360*ep*z3+
         10572267074956388595933763027252203999702033106131753411971719\
         13011720651078456989749083903379/64224832262760570084661523762\
         4553586362348337121302937600000000000000000*ep^2+
         1094832037246915129357020/121*ep^2*z5+
         161819758083310117723480170889/70596240*ep^2*z4-28681944566600\
         2046590331022323317427/69051594268800*ep^2*z3-
         38966242151191640150428600992388960502997877088530636835349057\
         154975714691063392508590261775736094371068531284729573846001/
         68012632516763249983486283470880871329510447447253675495173168\
         133518108007176601600000000000000000000*ep^3+
         8126587545807639416000150/363*ep^3*z6+
         612380885042536703147062087471/35298120*ep^3*z5-28681944566600\
         2046590331022323317427/46034396179200*ep^3*z4-1077168854560727\
         12478976270849210853347261259/61485717562325946489600*ep^3*z3+
         1185122300910472051321516/363*ep^3*z3^2;
Fill mncnoptab(12,5,3,5)=
      +mncF321*(-12268475227807344000-1076576577675135295500/11*ep-
         3072461895699440558895/11*ep^2-18589626503264058121411/44*ep^3
         )
      +21446451622809591537816513464985769490138993/
      355250812582327690828800-1428227325171852135/3146*ep^-3-
         55845501837970673369338/11471889*ep^-2-
         63330361863302315160831109193873/4069440622241280*ep^-1+
         253971286417616103075180/1573*z3-17030825838338018700748505173\
         68002771320340299721674838792959713589124171887116777101/
         28244103689998139813476957748054178966821538889728000000000000\
         00*ep+380956929626424154612770/1573*ep*z4+
         486021335380738796610348158887/183550224*ep*z3+
         10234067997471580779122996070946579101483891277371002855319370\
         549882264423417271979566854283623/3606866579876633615954591174\
         499492941010948261273237297561600000000000000*ep^2+
         24633860187176492217932610/1573*ep^2*z5+
         486021335380738796610348158887/122366816*ep^2*z4-1709233454345\
         63793207358443419499761/23937886013184*ep^2*z3-
         31145492706346072724416781302872133688152227640315097554174764\
         38398991705277078421062926631483872978167929798115818556639930\
         8997/367635483806112071460736756673499461884535772631385017521\
         6090430289187810219924022886400000000000000000000*ep^3+
         60949722251897190287143575/1573*ep^3*z6+
         1854850062877688672022138937893/61183408*ep^3*z5-1709233454345\
         63793207358443419499761/15958590675456*ep^3*z4-703349927321047\
         83920901693264924878268453659/22203175786395480676800*ep^3*z3+
         8888273673966012737952030/1573*ep^3*z3^2;
Fill mncnoptab(12,5,4,4)=
      +mncF321*(-9347409697377024000-824293028233177347600/11*ep-
         2372912281356695753920/11*ep^2-32677187137437054518915/99*ep^3
         )
      +29715957770129781838407522278554111925497/645798741709563842400-
         4911301032677786810/4719*ep^-3-9024330343133173562818771/
         825976008*ep^-2-42112976661052064560477990308779/
         1265007035532240*ep^-1+580578087544239919727600/4719*z3-
         83617587339874861197005659217330435489660366429791479824724127\
         6169551702769332372439/182633399454555692813431991550036294727\
         5796607139840000000000000*ep+290289043772119959863800/1573*ep*
         z4+208810798913738555621155963082/103247001*ep*z3+
         28792666386806339416937257544074912048368610479988761433272678\
         6700816715490056691037828065697/134260094527985126502986639048\
         941001502782437331178199449600000000000000*ep^2+
         18768911498521013627183400/1573*ep^2*z5+
         104405399456869277810577981541/34415667*ep^2*z4-11732448536086\
         38998688735413174537/218859348708*ep^2*z3-
         99689759726204457802780929387116911902098880313496734137698039\
         14001705662624484081969800061432179206059847209873234031880142\
         3055481/172225459827681709893068426925320945910124704333079676\
         38831314516967152350781073671535460352000000000000000000*ep^3+
         139315391020047002404556500/4719*ep^3*z6+
         540763468124573494354014022667/22943778*ep^3*z5-11732448536086\
         38998688735413174537/145906232472*ep^3*z4-13604528214182123554\
         01999636779022250575621/516638993367651073920*ep^3*z3+
         20315257712843641147961480/4719*ep^3*z3^2;
Fill mncnoptab(12,5,5,3)=
      +mncF321*(-3271593394081958400-290785146445871873460/11*ep-
         848667692611390166648/11*ep^2-238007288573734042646087/1980*
         ep^3)
      +8584521616775828880313564511152731818665711/
      532876218873491536243200-6022740218941583081/9438*ep^-3-
         111578386222866169378424779/16519520160*ep^-2-
         7199987550079836257537604518917/343359052501608*ep^-1+
         203230663074062789969356/4719*z3-26296477683599418891081212218\
         8035608952038429064572676816492798910162440534532272560194683/
         16535408826536126960496756396550426081081389385451254579200000\
         00000000*ep+101615331537031394984678/1573*ep*z4+
         73372355271170820068780930620/103247001*ep*z3+
         17100502402919306971066683045613948228528198692180788087256230\
         88004487820390303023233570591594180639/23095920908255645565714\
         35275949609313903422522037614585222214451200000000000000*ep^2+
         6569219597886695624323554/1573*ep^2*z5+
         36686177635585410034390465310/34415667*ep^2*z4-739772079421546\
         266556548342050692679/403951826472480*ep^2*z3-
         94939606726937193503532625133413014823738706683582460696311800\
         83344447076258968695614786986108068509667897311388713990875749\
         468312887/5910777781286036283530108412077014863635479852711294\
         493646907142223126686788064484070969992806400000000000000000*
         ep^3+48761070326465060207503265/4719*ep^3*z6+
         260480276699306843109113911777/30591704*ep^3*z5-73977207942154\
         6266556548342050692679/269301217648320*ep^3*z4-278086320071792\
         1966036940232589039342946740257/2664381094367457681216000*ep^3
         *z3+7110029348251807657810522/4719*ep^3*z3^2;
Fill mncnoptab(12,6,1,6)=
      +mncF321*(-637960711845981888-56385568104653701368/11*ep-
         4073925003164708110272/275*ep^2-6265289536443378985508/275*
         ep^3)
      +35318120113951320255128249410055799303539963/
      11252288181340696089600000-405827900510991/3025*ep^-3-
         1551122448105823814869/415272000*ep^-2-
         212005159713316070918413310009/6905159426880000*ep^-1+
         25395573481276962379668/3025*z3-177188619585995954226918442421\
         96986603249976930949391964867278041913567444191605737/
         568006107390611157636540125652170517180925870080000000000000000
         *ep+38093360221915443569502/3025*ep*z4+
         2206815735352611082561470923/15972000*ep*z3+
         11562560491471378156242169309790693118900406225047862005217907\
         9132523539754631621761204527849/793365575010571748104642352359\
         742665506430298796903628800000000000000000*ep^2+
         2463369452194866543273456/3025*ep^2*z5+
         2206815735352611082561470923/10648000*ep^2*z4-8783401757106740\
         419871829964714137779/24168057994080000*ep^2*z3-
         35487582654166919100962198557876177428088576710686886225403243\
         03457330662821463069778938758830565938748751019013920850937990\
         7079241/415186290222768127175579279290974332215460672421289153\
         43855990874810898361969096943206400000000000000000000000*ep^3+
         1218986939356794790446894/605*ep^3*z6+
         112346214478276654863728108531/69212000*ep^3*z5-87834017571067\
         40419871829964714137779/16112038662720000*ep^3*z4-124285618196\
         2693768107983483804563002962069/6658158687183843840000*ep^3*z3
         +888844418497265664162624/3025*ep^3*z3^2;
Fill mncnoptab(12,6,2,5)=
      +mncF321*(-2658169632691591200-235073909149851844800/11*ep-
         680048862668580339963/11*ep^2-62832334001304811037773/660*ep^3
         )
      +5045513922814306750947660727887389136465763/
      385792737645966723072000-6653564376181562/121*ep^-3-
         6935908399223369844999/11073920*ep^-2-
         417241638255567516145123617331/184137584716800*ep^-1+
         4232738988363035279402/121*z3-10624236096582056148905552838042\
         4332823962599201921347168347828833980860808751889691/
         817928794642480066996617780939125544740533252915200000000000000
         *ep+6349108482544552919103/121*ep*z4+
         3188584520642266208598433193/5536960*ep*z3+
         19799980005594983392051489252553127854920725094332694057911548\
         152486547732099780277795201661/3264132651472066620773385678280\
         0841095121703721929749299200000000000000*ep^2+
         410563106089311093876594/121*ep^2*z5+
         9565753561926798625795299579/11073920*ep^2*z4-1391735002801174\
         84836385330835645863/92068792358400*ep^2*z3-
         29355847347619022082241485401867130446126042129764700677766120\
         59840138704825218404000531702824457634129137196310415989112194\
         8031009983693/962872808064005226956460746530906183357903057259\
         34296808624257083860047886146184457924808540160000000000000000\
         00000*ep^3+1015825917752370146492980/121*ep^3*z6+
         37535651171980387949316995831/5536960*ep^3*z5-1391735002801174\
         84836385330835645863/61379194905600*ep^3*z4-216326882820658541\
         31251857959602818339398671/27556624117569051648000*ep^3*z3+
         148139170779804389083766/121*ep^3*z3^2;
Fill mncnoptab(12,6,3,4)=
      +mncF321*(-3680542568342203200-326421615539337335640/11*ep-
         949042395729856781976/11*ep^2-22066464718799801536999/165*ep^3
         )
      +15142107952905842855865700919884787810121091/
      835884264899594566656000-564299690267558735/1573*ep^-3-
         2480556433435128821434697/647824320*ep^-2-13057865973565269140\
         6732771090749/10772048705932800*ep^-1+76199112893171843955212/
         1573*z3-293865396236098190749860635572172784095420135992002112\
         9419610965822802636575851491507/163749344687424509412722879744\
         01293405705475723362304000000000000*ep+
         114298669339757765932818/1573*ep*z4+
         51731736812166460087029632711/64782432*ep*z3+
         56248444117843018830928545550885476789703993930775314305133108\
         22428117590303563511973861943603/67269933790778737681644451316\
         78985104515228764104757451161600000000000000*ep^2+
         7390240150178787813742824/1573*ep^2*z5+
         51731736812166460087029632711/43188288*ep^2*z4-223466925409519\
         2423889982487833706677/1077204870593280*ep^2*z3+
         20640455820053305781544122307086212004102568197397338365180003\
         18398056065296019849174653082590487366851685464499426449840814\
         85635527609943/19276713617441384643668344145548741790825219206\
         33204622108657626818878158680646612847654666974003200000000000\
         00000000*ep^3+18285102593214039924469030/1573*ep^3*z6+
         68349875157096835892793271817/7198048*ep^3*z5-2234669254095192\
         423889982487833706677/718136580395520*ep^3*z4-4751803860558601\
         20970622974589380361166746921/417942132449797283328000*ep^3*z3
         +2666396901346040156002856/1573*ep^3*z3^2;
Fill mncnoptab(12,6,4,3)=
      +mncF321*(-2103167181909830400-187531320204841823280/11*ep-
         550335108717157513932/11*ep^2-4317897648268256404541/55*ep^3)
      +78897912076492355827398277025589520962133/7618736789449429644000
         -649425918876204750/1573*ep^-3-118443219153140777492431/
         26992680*ep^-2-43219767665269650728740374279629/
         3141847539230400*ep^-1+43549516628944410152544/1573*z3-
         49579629689160633882821086298189313173113483858478980771302458\
         064560244899171456702354207/4863355537216507929557869528397184\
         14149452628983860428800000000000000*ep+65324274943416615228816/
         1573*ep*z4+617541304931598817129672289/1349634*ep*z3+
         32148767140912468560405119947437272748305560562892870170411509\
         2231777203557791961681317214377319171/679291791419283693109245\
         669396943915853947800599298407418298368000000000000000*ep^2+
         4223070693875959047156888/1573*ep^2*z5+
         617541304931598817129672289/899756*ep^2*z4-3662006504852721104\
         59471223677959877/314184753923040*ep^2*z3+
         16045639531431395931985069683777180216808215173758603372317095\
         00017661352288357383181387681724653627658699340000269145427307\
         471972340686519277/4375036217670629722593178285240996159022460\
         15968852770353912375449724997719147840244386190988709514444800\
         0000000000000000*ep^3+10448802943117536592510860/1573*ep^3*z6+
         1246873819963751568369562992/224939*ep^3*z5-366200650485272110\
         459471223677959877/209456502615360*ep^3*z4-1189778933306905243\
         833227107281497769035093/1693052619877651032000*ep^3*z3+
         1523576757051681266963112/1573*ep^3*z3^2;
Fill mncnoptab(12,6,5,2)=
      +mncF321*(-490739009112293760-44118888833537872704/11*ep-
         131317578972121817604/11*ep^2-57246367764616617412/3*ep^3)
      +1009299706680387543077625643037623397582399/
      417942132449797283328000-696769328858984374/7865*ep^-3-
         1593909491203652361006947/1619560800*ep^-2-
         22816856265216882545665364874841/6732530441208000*ep^-1+
         50806488266386827318232/7865*z3-948064061744202070700992729732\
         224183983762676226998423648672869634595259630461353452209223/
         40122683182036190418852423609276769167329841891168485376000000\
         000000000*ep+76209732399580240977348/7865*ep*z4+
         86805404121666148729318645921/809780400*ep*z3+
         32616321473380571550142039502641591213661338867565531118605081\
         381423369187210294759969860082213601/2996875550379192763717260\
         30616298786406153441440866944449249280000000000000000*ep^2+
         4926901970043233316151344/7865*ep^2*z5+
         86805404121666148729318645921/539853600*ep^2*z4-89152006366517\
         7271515724632438218821/3366265220604000*ep^2*z3-
         61997172734512712143943633862711620547557009456560159840516599\
         07549616506337893420415784380294222033134017120753718985751067\
         700437902919/3169654585214636957043020635976299220624526071016\
         43167221815395501715168579009957958305765864243200000000000000\
         00000*ep^3+2438047740888423244416556/1573*ep^3*z6+
         120149356572223931852686148943/89975600*ep^3*z5-89152006366517\
         7271515724632438218821/2244176813736000*ep^3*z4-76338747797437\
         95665909611958186672782474073/41794213244979728332800*ep^3*z3+
         1777519840719859545907696/7865*ep^3*z3^2;
Fill mncnoptab(12,6,6,1)=
      +mncF321*(-36805425683422032-16738662917159606304/55*ep-
         50817828552112234641/55*ep^2-5000044181883238788043/3300*ep^3)
      +4233646855528923014044297719648150289664597/
      23404759417188647866368000-55756010846724167/314600*ep^-3-
         256092883153995745823483/32391216000*ep^-2-5297756042189137614\
         57119724975119/7540434094152960000*ep^-1+
         19046791095753078922222/39325*z3-14403414955202618835257674260\
         8938571465194010518976358387964553123254896069856087687909837/
         81964909929016788998512808230379685584688105577672762982400000\
         000000000*ep+28570186643629618383333/39325*ep*z4+
         130936531394018498554377472819/16195608000*ep*z3+
         13066069002655155880693405435187837691706139943858146826237083\
         7568554930027352575428293949389814927/163549896107530599376659\
         70989204991525075406484837189717382397952000000000000000*ep^2+
         3695056798477901897667123/78650*ep^2*z5+
         130936531394018498554377472819/10797072000*ep^2*z4-10286962985\
         661209279067873474110169887/538602435296640000*ep^2*z3-
         11766664275828914982170299739379097287741849238602901510311639\
         73796328892752578252165524708696615828963650810758267830377512\
         366825981261/6475151509795615497959313584923011264990103259362\
         13898753137165096360987239977485543396064551239680000000000000\
         00000*ep^3+3656963216286395739822679/31460*ep^3*z6+
         188301707848247663194073011977/1799512000*ep^3*z5-102869629856\
         61209279067873474110169887/359068290197760000*ep^3*z4-
         7324812482400310697120516649549250277182633/
         468095188343772957327360*ep^3*z3+1333264756436145371782517/
         78650*ep^3*z3^2;
Fill mncnoptab(12,7,1,5)=
      +mncF321*(-156362919570093600-14021251180880989500/11*ep-
         41545174028655116442/11*ep^2-329997798152658473694/55*ep^3)
      +784765145097728622552484389461904866897011/
      1020207461774889778790400+17417782468653/242*ep^-3-
         3709051429018648948553/1694309760*ep^-2-
         166369942588040480571916757477/5634610092334080*ep^-1+
         248975744975426670054/121*z3-126100154470895320438583967086059\
         44613072287899675573945334356698189051192017261871/
         16685747410706593366731002731158161112706878359470080000000000\
         00*ep+373463617463140005081/121*ep*z4+
         28892587491689691376618380403/847154880*ep*z3+
         81157318615166972429667601024711539505173742891928064032244372\
         172730605308443713508469435731/2330590713151055567232197374291\
         980054191689645745784099962880000000000000*ep^2+
         24150676628584739542428/121*ep^2*z5+
         28892587491689691376618380403/564769920*ep^2*z4-83940843418927\
         23420242945971619091811/98605676615846400*ep^2*z3+
         10582260684378613561811349913396443864521584528090819369099700\
         08076891361456963135847007762275943457131109419085680006910136\
         633/2495450120017194169597916503008012681976751450239957068319\
         413990666895038938525200621240320000000000000000*ep^3+
         59754252209023282180935/121*ep^3*z6+
         118941269951970203883766014007/282384960*ep^3*z5-8394084341892\
         723420242945971619091811/65737117743897600*ep^3*z4-43166271623\
         1596218390155516921700914705232919/7651555963311673340928000*
         ep^3*z3+8714167578982866986412/121*ep^3*z3^2;
Fill mncnoptab(12,7,2,4)=
      +mncF321*(-521209731900312000-46787760311992638120/11*ep-
         138886638779271664064/11*ep^2-9952065325451083808953/495*ep^3)
      +5045576083226973188525573128531907120642777/
      1967542961994430287667200-11928482970372367/363*ep^-3-
         34782860886239116341943/94128320*ep^-2-
         55206808065496213657912224868657/42259575692505600*ep^-1+
         2490024868234542709756/363*z3-24237580243628968214240929219305\
         485405846945131887177347075693406204884700612115782061/
         96360191296830576692871540772438380425882222525939712000000000\
         0000*ep+1245012434117271354878/121*ep*z4+
         9636636282422936331954015985/84715488*ep*z3+
         15595444124478531346745224673568977396434928640457064128051992\
         8160939309644346809231059037015537/134591613684473459007659398\
         3653618481295700770418190317728563200000000000000*ep^2+
         80503199822022662177864/121*ep^2*z5+
         9636636282422936331954015985/56476992*ep^2*z4-1194866073570810\
         084140748749494219529/4225957569250560*ep^2*z3+
         70707299234424166387955548429811836456592196622691808020254347\
         70026873727811340089405210245116006804385529785281163647708749\
         727008987221/5338166847906844978246618378767343880536214549445\
         79741507012881272920105480794446634735138546647040000000000000\
         0000*ep^3+597548936494583609559590/363*ep^3*z6+
         119442538916076647215549486231/84715488*ep^3*z5-11948660735708\
         10084140748749494219529/2817305046167040*ep^3*z4-9379349822586\
         47420493139692796720288152134039/4918857404986075719168000*
         ep^3*z3+87138709582419608716792/363*ep^3*z3^2;
Fill mncnoptab(12,7,3,3)=
      +mncF321*(-541256260050324000-48747083456755133100/11*ep-
         145517690827704894300/11*ep^2-466830599908994432391/22*ep^3)
      +5048369964429638385940485069147140262608809/
      1894671000439081017753600-330366617293925415/3146*ep^-3-
         1664905041655939804189147/1468401792*ep^-2-
         17992373272821392731166606599891/4883328746689536*ep^-1+
         11207547480820566082830/1573*z3-268812274746537531863943183897\
         33537267119309007619607604568152485978410819958835735975641/
         10334630516585079350310472747844016300675868365907034112000000\
         00000000*ep+16811321221230849124245/1573*ep*z4+
         86882133346623946144582698713/734200896*ep*z3+
         34530661569406878841064671195308674991359522664364683183010519\
         3885152711448750475937571048048821581/288699011353195569571429\
         4094937011642379278152547018231527768064000000000000000*ep^2+
         1086819167022895796415660/1573*ep^2*z5+
         86882133346623946144582698713/489467264*ep^2*z4-35454876801230\
         95304795857643471396963/12208321866723840*ep^2*z3-
         13361444268337221289117046528924243000511830681793200755144811\
         42540796178615780834142436428802977147672272382001065679076808\
         21931106333841/45801471555040729913355985689823810495000720834\
         24494182130170521321654505025216352126027488730231603200000000\
         00000000*ep^3+2689029048855188075832075/1573*ep^3*z6+
         362908500591354329582912357157/244733632*ep^3*z5-3545487680123\
         095304795857643471396963/8138881244482560*ep^3*z4-651197050733\
         74998210282747888296710727442121/315778500073180169625600*ep^3
         *z3+392097542122207155954300/1573*ep^3*z3^2;
Fill mncnoptab(12,7,4,2)=
      +mncF321*(-206192860971552000-18676390556565917280/11*ep-
         56295407014249362624/11*ep^2-457224542323727539298/55*ep^3)
      +1009296206694494732735620092801733707289949/
      994702275230517534320640-67192997493498296/1573*ep^-3-
         1306830157052069577913327/2753253360*ep^-2-
         65603447950632106979430314203927/40058556125187600*ep^-1+
         4269646023133359275120/1573*z3-6730343424392181193501082649843\
         782182314169804497609736790615423659756040795505839865159373/
         68208561409461523712049120135770507584460731214986425139200000\
         0000000000*ep+6404469034700038912680/1573*ep*z4+
         62234718165647142353021017937/1376626680*ep*z3+
         39081044242020353936281460253011838389353040052654615155856983\
         04901529208350048167997692014544864627/86609703405958670871428\
         822848110349271378344576410546945833041920000000000000000*ep^2
         +414027419503568772782160/1573*ep^2*z5+
         62234718165647142353021017937/917751120*ep^2*z4-21738075804795\
         33160861670500770430759/20029278062593800*ep^2*z3-
         20925518164928699906592134746994003203703513138091352026155894\
         87462122499291644437449360682057615730267712784270063694043656\
         2351184093229170838507/107921205899390258682067225351182272752\
         68653598911675712705133521406091381237079349228396366213991947\
         5671040000000000000000000*ep^3+1024394433701088533767600/1573*
         ep^3*z6+88291133440979853776110563831/152958520*ep^3*z5-
         2173807580479533160861670500770430759/13352852041729200*ep^3*
         z4-1043102058243026296672220377092322202809124831/
         12433778440381469179008000*ep^3*z3+149369264669126496268400/
         1573*ep^3*z3^2;
Fill mncnoptab(12,7,5,1)=
      +mncF321*(-24055833780014400-2197415012001206760/11*ep-
         6718841673596336298/11*ep^2-333513689767393224457/330*ep^3)
      +35275155084170594391826910077310573605152683/
      298410682569155260296192000-190455738075652/1573*ep^-3-
         12824562701835511954439/2202602688*ep^-2-
         5586365840343494356605931683871/106822816333833600*ep^-1+
         497954755342796540572/1573*z3-30663669493341067299837890278550\
         9979706043496982201255588814085054041028416349761780406347/
         26796220553717027172590725767624127979609572977316095590400000\
         0000000000*ep+746932133014194810858/1573*ep*z4+
         29158690425672472992292716917/5506506720*ep*z3+
         27699882790593366217652817390203930107989733948420472616342178\
         0716680949244323677986438194181204909/534682352659234651808310\
         59003170164601208059661967735614519377920000000000000000*ep^2+
         48301392746417284698924/1573*ep^2*z5+
         29158690425672472992292716917/3671004480*ep^2*z4-9383576530363\
         1165115090621981726793/7630201166702400*ep^2*z3-
         25397478343944897836156569833375248833323235797824001265746135\
         70491180285376001326072211783191649419107259656717625554846540\
         66092739562813284301/42397616603331887339383552816535892867126\
         85342429586887134159597695250185485995458625441429584068265115\
         6480000000000000000000*ep^3+119508594977686220395880/1573*ep^3
         *z6+127527184897971676742702556073/1835502240*ep^3*z5-93835765\
         303631165115090621981726793/5086800777801600*ep^3*z4-
         1595814961227170384083166383662890492626463329/
         149205341284577630148096000*ep^3*z3+17428309702231964761540/
         1573*ep^3*z3^2;
Fill mncnoptab(12,8,1,4)=
      +mncF321*(-19855608834297600-1818631115662146240/11*ep-
         1522971496030075300/3*ep^2-88613007022880914648/105*ep^3)
      +35304522024033857063115907135793252892969749/
      361536019266476565358848000-80005746418340/1089*ep^-3-
         1995484917469943645509/1026360720*ep^-2-
         26519234021673901903690192207/1760815653854400*ep^-1+
         284546352320777658416/1089*z3-19040452873176895744789891241214\
         111309679625685794370721456452060651133390587194483/
         20215424747586834271231791770441618271164102627819520000000000\
         000*ep+142273176160388829208/363*ep*z4+
         29197378292717073601104164003/6671344680*ep*z3+
         15606334768505810114196239842104760393608437833760622789002066\
         62415567484613827430379157754843/36706803732129125183907108645\
         0986858535191119204960995744153600000000000000*ep^2+
         9200266331471266471744/363*ep^2*z5+
         29197378292717073601104164003/4447563120*ep^2*z4-1301435319426\
         163665626834433616311649/129419950558298400*ep^2*z3-
         25685835220176922978697842828252803484325449725401472852798017\
         46819964348050542837654697002797451236942033226474639149143723\
         503/2781467095311472578267216163737392597064856039536690609226\
         7929788279468549399407813078286336000000000000000*ep^3+
         68290631605232554392040/1089*ep^3*z6+
         128788181993523339457313756567/2223781560*ep^3*z5-130143531942\
         6163665626834433616311649/86279967038865600*ep^3*z4-1644747247\
         213203790690676914533332987859134239/
         180768009633238282679424000*ep^3*z3+9959014263541779521408/
         1089*ep^3*z3^2;
Fill mncnoptab(12,8,2,3)=
      +mncF321*(-49639022085744000-4553120620763878800/11*ep-
         42042445295224176320/33*ep^2-23368087563225817952/11*ep^3)
      +5045244123815172862377493979220951525161657/
      20659201100941518020505600-8764025209328690/1089*ep^-3-
         69288620348146828236391/762439392*ep^-2-
         152360529808490073238491036037/469550841027840*ep^-1+
         711551745878282396360/1089*z3-14956257954900551602251621636815\
         33824164398251053333576883692938979460692283917005906929/
         63597726255908180617295216909809331081082266867120209920000000\
         0000000*ep+355775872939141198180/363*ep*z4+
         4174752297271817247806439485/381219696*ep*z3+
         94295419731053135039187731777444018144671415627412362382418466\
         91476842310557490083206386882618357/88830465031752482945055202\
         9211388197655162508476005609700851712000000000000000*ep^2+
         23001327886673416374640/363*ep^2*z5+
         4174752297271817247806439485/254146464*ep^2*z4-369822722834633\
         024822429919033173567/14790851492376960*ep^2*z3-
         65680551116686250536527265498202488424374706401048079682475144\
         85706123629519798403781186805392765674619406356807060893054718\
         67032421382167/35231901196185176856427681299864469611539016026\
         34226293946285016401272696173243347789251914407870464000000000\
         000000000*ep^3+170731079785354916818900/1089*ep^3*z6+
         18497332949161396558100948345/127073232*ep^3*z5-36982272283463\
         3024822429919033173567/9860567661584640*ep^3*z4-47655868615394\
         486883936943478137311094059599/2065920110094151802050560*ep^3*
         z3+24895511486862791951120/1089*ep^3*z3^2;
Fill mncnoptab(12,8,3,2)=
      +mncF321*(-34365476828592000-3163412368396722960/11*ep-
         9794848040220275928/11*ep^2-246867385791016637728/165*ep^3)
      +28835318881774813071006285715889986743983/
      170520390039517291597824-14559529157125022/1573*ep^-3-
         567866090863285301565163/5506506720*ep^-2-22993520821852675337\
         6491468606289/640936898003001600*ep^-1+711682123547741066840/
         1573*z3-221300935621820727416303987518666435005471848940454127\
         993404739570119114269671352351120299/1364171228189230474240982\
         40271541015168921462429972850278400000000000000*ep+
         1067523185321611600260/1573*ep*z4+
         20913299158376054678157312113/2753253360*ep*z3+
         25303202814326875620612996976227123047395662022322370766937049\
         935802130238256196178284469769038281/3464388136238346834857152\
         913924413970855133783056421877833321676800000000000000*ep^2+
         69005359944130424621520/1573*ep^2*z5+
         20913299158376054678157312113/1835502240*ep^2*z4-5474493527458\
         538716510841003927801933/320468449001500800*ep^2*z3+
         12159669948053292765417933686036332539421410693973515137760029\
         94332545130688914172416337023089274399704675320744040234591727\
         04739639364536663/37786214032908602178518688194104643658375594\
         68825207700257390680090364966645803490503972678202441072640000\
         000000000000000*ep^3+170734194551456708886700/1573*ep^3*z6+
         31231235747363147271051380719/305917040*ep^3*z5-54744935274585\
         38716510841003927801933/213645632667667200*ep^3*z4-12315036230\
         65892988820935272121039729059591567/74602670642288815074048000
         *ep^3*z3+24894054319902774025040/1573*ep^3*z3^2;
Fill mncnoptab(12,8,4,1)=
      +mncF321*(-6545805110208000-606112370977851360/11*ep-
         172287989050643548*ep^2-338584871398363097776/1155*ep^3)
      +503701429282377255535879253595585685123243/
      15666560834880651165550080-452087995669636/4719*ep^-3-
         3271841260901507706238/1204548345*ep^-2-
         71638481726087737483610630855621/3364918714515758400*ep^-1+
         406500204812518503040/4719*z3-97445016021167897826739672994867\
         466469121118969175371027776592171337445123086128313461547/
         31668260654392850294879948634464878521356768064100840243200000\
         0000000000*ep+203250102406259251520/1573*ep*z4+
         1164965523168076738919590319/803032230*ep*z3+
         12404220327367995852036299795737007930734905600599268064947035\
         304994102292144340839585047237021577/9027104655285779835724724\
         247288469348255906176695851467386388480000000000000000*ep^2+
         13143259260940939108400/1573*ep^2*z5+
         1164965523168076738919590319/535354820*ep^2*z4-535659505107186\
         6643632167868116086637/1682459357257879200*ep^2*z3+
         10350628073809403508204445054714880330201978743975651469517596\
         82226560369955658803352669084827187009508039362213362332958115\
         4151995923197907621/100212548335148097347633852111812110413208\
         92627560841733226195412734227711148716538569225197198706808455\
         168000000000000000000*ep^3+97558193945025747055400/4719*ep^3*
         z6+47831810304404792329630213669/2409096690*ep^3*z5-5356595051\
         071866643632167868116086637/1121639571505252800*ep^3*z4-
         648126715077699504818986261432824391716221129/
         195832010436008139569376000*ep^3*z3+14227119785306706838000/
         4719*ep^3*z3^2;
Fill mncnoptab(12,9,1,3)=
      +mncF321*(-1175661049399200-111110296650378480/11*ep-
         717963345186075765/22*ep^2-19067907307770176101/330*ep^3)
      +5036119128218970313392954102800711823087647/
      872277379817530760865792000+281268253525/242*ep^-3-
         10840310219094329062631/32191885440*ep^-2-
         1703196069688586612594278881809/468376963925270400*ep^-1+
         1871959766418463498/121*z3-15493668627310639872420318215659191\
         12274613972311726056580517708325503569856894901263/
         28532628072308274657110014670280455502728761994693836800000000\
         000000*ep+2807939649627695247/121*ep*z4+
         325930918903128131789335033/1238149440*ep*z3+
         94572268181020511704032982420208856980959449771045769196928988\
         87578329648291398564446411432739/39853101194883050199670575100\
         392858926677892942252908109365248000000000000000*ep^2+
         181583760564772804896/121*ep^2*z5+325930918903128131789335033/
         825432960*ep^2*z4-17628269114238468586830283679877977/
         33455497423233600*ep^2*z3+401088340376996314903782989163042434\
         30839636729973812504463765520306286788022242801937544166464772\
         042630578122216457245264982503/2066232699374236772427074864490\
         63450067675020079868445256847478427218909224109886611438698496\
         0000000000000000*ep^3+449279501995885853495/121*ep^3*z6+
         6844299493226738506946031227/1788438080*ep^3*z5-17628269114238\
         468586830283679877977/22303664948822400*ep^3*z4-23502754396659\
         562629150679840773424177528369/33549129992981952340992000*ep^3
         *z3+65520771756787104184/121*ep^3*z3^2;
Fill mncnoptab(12,9,2,2)=
      +mncF321*(-1959435082332000-185492660079816180/11*ep-
         600915469217009114/11*ep^2-1455760678281311324/15*ep^3)
      +1009239533924724145099272677091331491058717/
      104673285578103691303895040-571318641133177/726*ep^-3-
         838378676595870421178699/96575656320*ep^-2-1118097128852592618\
         11609981637659/3747015711402163200*ep^-1+9366509421901684010/
         363*z3-6399982264886794069840507273533480439567635326950834337\
         999005679921836638702984820840889/7120673993295433794115018036\
         1518661763997466653007806464000000000000000*ep+
         4683254710950842005/121*ep*z4+21212408592039645564377032609/
         48287828160*ep*z3+35564696552107542009238213596069448877024482\
         75725837466363070802534000898758488423758009973036591/
         90416723335890920140502617259016298689900469612736285273122406\
         40000000000000000*ep^2+302662895343424079380/121*ep^2*z5+
         21212408592039645564377032609/32191885440*ep^2*z4-544201760865\
         538495313648094901091461/624502618567027200*ep^2*z3+
         38245299691279211854588732990675259644213110869212620880059890\
         78815439156384588296911119318105009985817571194220090089767923\
         85367141748291/20761656062037693504680597908848705306799777301\
         23740494646917956093607124530661258518666306704637952000000000\
         0000000000*ep^3+2246555441520926385325/363*ep^3*z6+
         103272926071253695933116486301/16095942720*ep^3*z5-54420176086\
         5538495313648094901091461/416335079044684800*ep^3*z4-
         1545803593384029468506427321200080207162873631/
         1308416069726296141298688000*ep^3*z3+327526757423076797180/363
         *ep^3*z3^2;
Fill mncnoptab(12,9,3,1)=
      +mncF321*(-678265990038000-64447249346050410/11*ep-
         210036643805665068/11*ep^2-1025419206648904481/30*ep^3)
      +3017236910157231436822499389183241771223839/
      907168475010231991300423680-125915851798163/6292*ep^-3-
         489202958318992242922081/836989021440*ep^-2-
         21228588951176009367363402287563/4639162309355059200*ep^-1+
         14040218070702172055/1573*z3-323535288923176561163451292275516\
         8697075594771099293343612185983135671065862914328259811/
         10390371235114765638351505909895070032909834419775628902400000\
         0000000000*ep+42120654212106516165/3146*ep*z4+
         63732513437540103268223036771/418494510720*ep*z3+
         19645335473694546257099756624937496904586185355061508837312917\
         581098567507410754525519487892007659/1451280671503636912051128\
         74437176161060421876225340996667981168640000000000000000*ep^2+
         1361884445894313953850/1573*ep^2*z5+
         63732513437540103268223036771/278996340480*ep^2*z4-48216402089\
         76116338705967396510904377/16237068082742707200*ep^2*z3+
         20888594611922840792846685492846568085825528320601620171061624\
         16926595956996633130094030668192668122781301250650014880761448\
         966761158661/2330389966147088046443740581605466922191811737893\
         99443276694872622751820100380345343931932385214464000000000000\
         0000000*ep^3+6739221139118058908975/3146*ep^3*z6+
         313592535691836318764912626519/139498170240*ep^3*z5-4821640208\
         976116338705967396510904377/10824712055161804800*ep^3*z4-
         4748986494679260387348593982367676021301603829/
         11339605937627899891255296000*ep^3*z3+491401637603555521850/
         1573*ep^3*z3^2;
Fill mncnoptab(12,10,1,2)=
      +mncF321*(-26125801097760-2595080589715068/11*ep-
         135784650323990318/165*ep^2-11852205314077727452/7425*ep^3)
      +5028912837626456131386618727978858155812801/
      39252482091788884238960640000-20500297127905/2178*ep^-3-
         3776006140903177501147/32191885440*ep^-2-
         83981109144464923508010091285757/168615707013097344000*ep^-1+
         374637696026713490/1089*z3-25091174500652257961553161609603368\
         73459975394070807575865808665727135417603582839/
         21836194953297148972278072451745246558210787240837120000000000\
         00000*ep+187318848013356745/363*ep*z4+
         1449372858252370439305065631/241439140800*ep*z3+
         14511089946710344595192409632970464229393829786284021728965328\
         980569962550286724882344296731/3049982234302274249974788910744\
         351448470246908845885824696320000000000000000*ep^2+
         12106431529958724700/363*ep^2*z5+1449372858252370439305065631/
         160959427200*ep^2*z4-770944910831753803099365225130872233/
         84307853506548672000*ep^2*z3-209562927532447392389319097828683\
         66477490753258827512758565751020819430606998837738876289332037\
         91841477672773027820515488937095886040837/
         27277238640165892366566140154448761295103508486633841696475179\
         11848014318608516355615815836932610457600000000000000000*ep^3+
         89861642234623651525/1089*ep^3*z6+
         24068507665734484164471426217/241439140800*ep^3*z5-77094491083\
         1753803099365225130872233/56205235671032448000*ep^3*z4-
         409100609176977347220998442093023146641813091/
         19626241045894442119480320000*ep^3*z3+13101294225122137412/
         1089*ep^3*z3^2;
Fill mncnoptab(12,10,2,1)=
      +mncF321*(-21771500914800-2166368531271490/11*ep-
         68197081816944269/99*ep^2-663658623500802614/495*ep^3)
      +5025096904896472615130276000955419660921777/
      47102978510146661086752768000-131174743128401/13068*ep^-3-
         213833167183678218057247/1738361813760*ep^-2-
         4975097643965185381838459935769/9635183257891276800*ep^-1+
         936708932840667413/3267*z3-30457620759598550468074475288434321\
         519162984078340809591139342402625183804907074377039/
         31970373031122355810312325876600215485876413599309627392000000\
         000000000*ep+936708932840667413/2178*ep*z4+
         870487318469837526179351977/173836181376*ep*z3+
         17595122267328200110971637337986769429147745681996909848945213\
         4884198127701326948403998756433011/446547898924195972938808844\
         42208049557052884992412614359378821120000000000000000*ep^2+
         30266537594498594242/1089*ep^2*z5+870487318469837526179351977/
         115890787584*ep^2*z4-254264304615612687157797607620661267/
         33723141402619468800*ep^2*z3+
         55324099345021627873883685858667997116338035189496205218060932\
         36930870783623131708100869517812118631259304009061389426263114\
         69678952747535806753/64318301868435145762699155775964840073599\
         48744205717139066317144123166905497889473660047835776481351100\
         373401600000000000000000*ep^3+449314519253275576565/6534*ep^3*
         z6+4839549948442681448495969317/57945393792*ep^3*z5-2542643046\
         15612687157797607620661267/22482094268412979200*ep^3*z4-
         412144307600131727508019092385529582706276787/
         23551489255073330543376384000*ep^3*z3+32752318019974094486/
         3267*ep^3*z3^2;
Fill mncnoptab(12,11,1,1)=
      +mncF321*(-124408576656-68249967486974/55*ep-1119011768619712/225
         *ep^2-25301892721603519/2250*ep^3)
      +4957721116965709715633277463702594528993961/
      8243021239275665690181734400000-23409347464159/65340*ep^-3-
         1129914545400551552285/347672362752*ep^-2-13361931183155508101\
         3822512646459/11803099490916814080000*ep^-1+26731160947504111/
         16335*z3-19904014108298598971672009079746652091131522636437948\
         2307/41264327009210828796060701839910240256000000*ep+
         26731160947504111/10890*ep*z4+4580191302393876417255018173/
         152106658704000*ep*z3+1881281186872845541302063748060651782659\
         6645151307905444943265521/106733648012792582390629874407882388\
         8823255040000000*ep^2+864814739831023034/5445*ep^2*z5+
         4580191302393876417255018173/101404439136000*ep^2*z4-984145284\
         81823021888977171479875951/5901549745458407040000*ep^2*z3+
         13742115623499081595685328401566648741226252965508560435763272\
         13547160388525571117082388646292623034338242455156543550503/
         53440385653094392833086877364608851650038969199507994028497345\
         69859825594717619898088947712000000000000000*ep^3+
         2567713058545564991/6534*ep^3*z6+31677135145954710471247017737/
         50702219568000*ep^3*z5-98414528481823021888977171479875951/
         3934366496972271360000*ep^3*z4-5841436980288743287482658298232\
         74975056332571/4121510619637832845090867200000*ep^3*z3+
         937252696832599174/16335*ep^3*z3^2;
Fill mncnoptab(13,1,1,10)=
      +mncF321*(-25394036761457000-80415942775966075915/396*ep-
         16582477976958346167763/28512*ep^2-3017802533148037686335219/
         3421440*ep^3)
      +52966134111901131456789923022145432611447580187/
      423926806591319949780774912000+537830692544027/940896*ep^-3+
         173251753942739726749589/73011196177920*ep^-2-
         6955610231794523522876823679163/566548775564007075840*ep^-1+
         39302647983516030447779/117612*z3-2881158877556904549741360262\
         557297725441920191588590822423407061135763708659/2311236743350\
         559384184964230103944029345415168000000000000*ep+
         39302647983516030447779/78408*ep*z4+
         6259595861635021043376627049721/1140799940280*ep*z3+
         37744683619244458677163319698593099810649623829705242137894495\
         130353579929584296637617/6456464619007676357717296039611914360\
         256411854658600960000000000000*ep^2+847190494376639190532439/
         26136*ep^2*z5+6259595861635021043376627049721/760533293520*
         ep^2*z4-917316389320259954720555913441340542001/
         62486997304853721600*ep^2*z3-316606340759921157343586451029214\
         51427360475009069580304418613462966678123082341743098521619411\
         994322950408257/1617012779996840420446380663742644203985821152\
         481015361772721389166395392000000000000000000*ep^3+
         37730545767113603269481965/470448*ep^3*z6+11567910109740567141\
         61056511376647/18252799044480*ep^3*z5-917316389320259954720555\
         913441340542001/41657998203235814400*ep^3*z4-51512017208060024\
         23424317525918606608648257735867/
         741871911534809912116356096000*ep^3*z3+
         2751185785988125654689361/235224*ep^3*z3^2;
Fill mncnoptab(13,2,1,9)=
      +mncF321*(-158224382898309000-55560096454086876015/44*ep-
         1268710182543870210207/352*ep^2-6968951005900113516127/1280*
         ep^3)
      +4074315771406584194977551648704924660765994503/
      5233664278905184565194752000+25666776630061/3872*ep^-3+
         16838528627315380010669/386302625280*ep^-2-
         1714065775263351821314249615/66613612647149568*ep^-1+
         1007760216582485659237/484*z3-15663496374061352128201410952901\
         911262786429479804088079957811939681330873429207/
         2013344007540931730223346618223880132229783879680000000000000*
         ep+3023280649747456977711/968*ep*z4+
         206157249139442369743833901201/6035978520*ep*z3+
         88125592692334893704936348351708934634078516019953786785045615\
         893168734945393420581986921/2410413457762865840214457188121781\
         361162393759072544358400000000000000*ep^2+
         195505500234378413904153/968*ep^2*z5+
         206157249139442369743833901201/4023985680*ep^2*z4-337997047545\
         5762458596710881285369249/36735448151001600*ep^2*z3-
         43703446838494474173223052270166489508217244898681023222052502\
         03390725022921863237954546010477857879023646638358337/
         58879388017591618651702700008492157486289046835762056248584674\
         654055307411456000000000000000000*ep^3+
         967449899006067212928395/1936*ep^3*z6+
         12606943902047613317719173502469/32191885440*ep^3*z5-337997047\
         5455762458596710881285369249/24490298767334400*ep^3*z4-
         54410475969737969365035235929499944470223085409/
         1308416069726296141298688000*ep^3*z3+70543225269862861591943/
         968*ep^3*z3^2;
Fill mncnoptab(13,2,2,8)=
      +mncF321*(-876319659129096000-76880384931899062710/11*ep-
         876899770929584555139/44*ep^2-158795541417723953751347/5280*
         ep^3)
      +12222952627685913051219512738564466586040108341/
      2834901484406974972813824000-248715020760339/6292*ep^-3-
         98626934942595495571777/209247255360*ep^-2-
         9039467938815236392216342800203/4871120424822812160*ep^-1+
         18139687314421441511274/1573*z3-535434324913913560604666024965\
         4192706630513394520711132883313949633596204389340679/
         124221752340269596401866249354867916752224360857600000000000000
         *ep+27209530971632162266911/1573*ep*z4+
         618280235979977388260260872487/3269488365*ep*z3+
         35174718528474014169946257845838098474059166822834514645202498\
         288163093958219143658061290067/1735073984098641026193433977895\
         08304815703167950426996736000000000000000*ep^2+
         1759549534126481293960953/1573*ep^2*z5+
         618280235979977388260260872487/2179658910*ep^2*z4-914246039876\
         97615674961171061958197547/179085309736132800*ep^2*z3-
         39246790402329534988010785068617510421787652064143833434531486\
         327381959505310769272291165460644313229823765189234163/
         62733021432964922136480116837810721046257422748721291594573834\
         243578538229760000000000000000000*ep^3+
         8707049234060299262248395/3146*ep^3*z6+
         12573908947483918764660987387501/5812423760*ep^3*z5-9142460398\
         7697615674961171061958197547/119390206490755200*ep^3*z4-
         160965027098793347906331207394892412050846284363/
         708725371101743743203456000*ep^3*z3+634888982740191997645863/
         1573*ep^3*z3^2;
Fill mncnoptab(13,3,1,8)=
      +mncF321*(-361655732338992000-31785996476624153400/11*ep-
         90930539352279750270/11*ep^2-5788441593653341372165/462*ep^3)
      +814863616736158625497913264358822840381020827/
      457945624404203649454540800-628821371220/121*ep^-3-
         1077353349924895164391/16900739856*ep^-2-
         35186839370306107395710473/137253322761984*ep^-1+
         575863060472888227920/121*z3-237634888909629628524848997416640\
         9223312062616900375966050952140054912583614922177/
         133777271751059565355855960843703910348549311692800000000000000
         *ep+863794590709332341880/121*ep*z4+
         660081025712511902815408882289/8450369928*ep*z3+
         38961062913088809119682477191332793739847539364862005324596536\
         45800137087172642263867516299/46713530341117258397515530174098\
         389758073929832807268352000000000000000*ep^2+
         55858715053461343039440/121*ep^2*z5+
         660081025712511902815408882289/5633579952*ep^2*z4-251577152957\
         6032138326655600827179/12005048415360*ep^2*z3-
         10755861978764797624109139162086179809442232136301469472507021\
         8093470672604095735481130141877166965303035951672784529/
         30426225044551708558841459382592021095681979641984449967390872\
         6605591609344000000000000000000000*ep^3+
         138207129982471137028800/121*ep^3*z6+
         2533603938370166416245533855341/2816789976*ep^3*z5-25157715295\
         76032138326655600827179/8003365610240*ep^3*z4-4434315967799751\
         231160701467882133314352440029/45794562440420364945454080*ep^3
         *z3+20155206109594934452080/121*ep^3*z3^2;
Fill mncnoptab(13,3,2,7)=
      +mncF321*(-1752639318258192000-154118462488968385800/11*ep-
         441315062887934773650/11*ep^2-365387364304922913931/6*ep^3)
      +116408688787852712444641766296335855335330069/
      13499530878128452251494400-906895268392680/1573*ep^-3-
         26208905322321881457491/3487454256*ep^-2-
         27350578818430800113072566098233/811853404137135360*ep^-1+
         36279389396985925567440/1573*z3-465490384514218706322404462878\
         65008098299127597253869908122860132268761920456879059/
         540829397944030895899281629844322902866827149312000000000000000
         *ep+54419084095478888351160/1573*ep*z4+
         220081771516537039017814007507/581242376*ep*z3+
         71172462522825401354016127184907113398961903442063984616399264\
         651865695374281982096105247937/1762614840989095645656821818814\
         05262035000043632179806208000000000000000*ep^2+
         3519099234555558184433280/1573*ep^2*z5+
         660245314549611117053442022521/1162484752*ep^2*z4-807065656555\
         8405309556472892913395367/7959347099383680*ep^2*z3-
         65719406930112813495583804327057702398860158311259904445724098\
         69833509457190510504498822726490058732734355687748162733/
         65901355848771231335292243950831464533442141069363781069047260\
         21547644420096000000000000000000000*ep^3+
         8707049612896430647164600/1573*ep^3*z6+
         7616725822396429538844607536647/1743727128*ep^3*z5-80706565655\
         58405309556472892913395367/5306231399589120*ep^3*z4-3192258267\
         476652807302097800679906828069519599/6749765439064226125747200
         *ep^3*z3+1269777822805855791758400/1573*ep^3*z3^2;
Fill mncnoptab(13,3,3,6)=
      +mncF321*(-3004524545585472000-265073044028356292400/11*ep-
         69406022418676537770*ep^2-32705322082628394021555/308*ep^3)
      +244459228724869157568226009637556585798523979/
      16536925325707354008080640-18590080666097340/1573*ep^-3-
         1611410779760761970048501/12206089896*ep^-2-131329756700494116\
         1267924395286189/2841486914479973760*ep^-1+
         62193621289227778653840/1573*z3-313312052352828359569737834859\
         720641822865065733712367589037399170333796889570680173/
         21295157544046216526034214175120214300381319004160000000000000\
         00*ep+93290431933841667980760/1573*ep*z4+
         991959965537373351288129533923/1525761237*ep*z3+
         40957762223356185505888756463240903071875555183887559846811427\
         43174717233605986929147856127279/59488250883381978040917736384\
         97427593681251472586068459520000000000000000*ep^2+
         6032745583924428818081280/1573*ep^2*z5+
         991959965537373351288129533923/1017174158*ep^2*z4-179807467243\
         96122793237914272812030159/10446643067941080*ep^2*z3-
         98515152789637566506940580837183248075147491731180638757397661\
         898224780536000391439419489021526994962279018882473224572301/
         75354905345277464470339916345578238120764416205764015463402089\
         693386540121587712000000000000000000000*ep^3+
         14926379906588002598568600/1573*ep^3*z6+
         7719441287031983804343926124349/1017174158*ep^3*z5-17980746724\
         396122793237914272812030159/6964428711960720*ep^3*z4-
         17716765357664217825386528819982093295292402941/
         20671156657134192510100800*ep^3*z3+2176757715974898086539200/
         1573*ep^3*z3^2;
Fill mncnoptab(13,4,1,7)=
      +mncF321*(-393802908546902400-34773768848947626680/11*ep-
         300924361503557403962/33*ep^2-13838618038867852721977/990*ep^3
         )
      +300211654638088119437897647109113252827491959/
      154944008257061385153792000+13439779639888/363*ep^-3+
         741569704881961559057/5718295440*ep^-2-
         95956257253230105901599765553/63389363538758400*ep^-1+
         627050713485844307632/121*z3-443115039944540089105831038821757\
         709868682585557075962913838943286834680012254617/
         22990723394381880190050433657349759028751761408000000000000000
         *ep+940576070228766461448/121*ep*z4+
         243743033710868483027769058661/2859147720*ep*z3+
         11571145668022779212321742159347589775403293233558953116636856\
         63947752288915403095086537251/12844966452552114016932304752491\
         071727246966742426058752000000000000000*ep^2+
         182471797648500320175712/363*ep^2*z5+
         243743033710868483027769058661/1906098480*ep^2*z4-172732031781\
         429200129308058862672331/767691253929600*ep^2*z3+
         69853083664397924011871517277832855012404850623408550147579698\
         02559919940530729842707801670138081196612008961973497563267/
         77287082405412784072143503944182808328989144826424631244514963\
         788088759099064320000000000000000000000*ep^3+
         451476613770106968132040/363*ep^3*z6+
         951388002305373043791572070169/953049240*ep^3*z5-1727320317814\
         29200129308058862672331/511794169286400*ep^3*z4-88345936636881\
         14426092517840501294528240747093/77472004128530692576896000*
         ep^3*z3+65840347210193634388576/363*ep^3*z3^2;
Fill mncnoptab(13,4,2,6)=
      +mncF321*(-1635796697040979200-144654504596904309840/11*ep-
         418341046708683658812/11*ep^2-28957970428359074822818/495*ep^3
         )
      +967381756148013302045224691164409023000867/
      120197643354922902912000-6718250740929056/1573*ep^-3-
         101995813725508047579367/2064940020*ep^-2-
         41835336062820645360602311499/225894113487900*ep^-1+
         33860897228176006137408/1573*z3-565930772525731780325026262173\
         40566697902349313253405650093980128942334874818135873/
         707872272932284205851552825765768896411567390720000000000000000
         *ep+50791345842264009206112/1573*ep*z4+
         365874624150809840144204116319/1032470010*ep*z3+
         36912388778367790024569901306800810861736706051310345961116242\
         7990510036324970643289752227381/988724391413550881566499773711\
         483810584141518989374259200000000000000000*ep^2+
         3284494025125390402348576/1573*ep^2*z5+
         365874624150809840144204116319/688313340*ep^2*z4-9396945676417\
         31327106039309301236971/1009879566181200*ep^2*z3-
         27196814865791113021999134261440283009349165772276366521035290\
         57350341435141401242554816509858170928920032674605243638784607/
         45212943207166478682203949807346942872458649723458409278041253\
         81603192407295262720000000000000000000000*ep^3+
         8126582819743035990527920/1573*ep^3*z6+
         478485864137612644863772222217/114718890*ep^3*z5-9396945676417\
         31327106039309301236971/673253044120800*ep^3*z4-55346349261900\
         5483765569222837402867448192891/1141877611871767577664000*ep^3
         *z3+1185124459317645737940448/1573*ep^3*z3^2;
Fill mncnoptab(13,4,3,5)=
      +mncF321*(-2336852424344256000-207494665574371786800/11*ep-
         604373535617245143330/11*ep^2-33787325791918378271879/396*ep^3
         )
      +12866749642531245533027577865745263409513923/
      1119040059634332226110720-72618063921087440/1573*ep^-3-
         417506177489102244310129/825976008*ep^-2-325474888119122455432\
         720395642707/192281069400900480*ep^-1+48374085668463938579280/
         1573*z3-734706207686233733938429296320019429155751055252446937\
         45882207761691084174627004573/64557951291424319573661617709838\
         1233527349460336640000000000000*ep+72561128502695907868920/
         1573*ep*z4+52373202933776516927201278259/103247001*ep*z3+
         47740815725319619153457037882967962016382507218700857938851946\
         4772338746281986033218037389691/901716644969158403988647793624\
         873235252737065318309324390400000000000000*ep^2+
         4692148990685794505924560/1573*ep^2*z5+
         52373202933776516927201278259/68831334*ep^2*z4-927947696236491\
         61088869351069543199/70691569632684*ep^2*z3-
         77509928318763536672164687916250845493624932990263421184060155\
         15513337649984800234285697521271352366864126890636500799323335\
         141/4437885483088067148347465134130100647034753255336004854367\
         994876563376713765479713341440000000000000000000*ep^3+
         11609437262543326418363200/1573*ep^3*z6+
         138963342591001315239115626139/22943778*ep^3*z5-92794769623649\
         161088869351069543199/47127713088456*ep^3*z4-10311684567007636\
         12264809115412088770877373667/1398800074542915282638400*ep^3*
         z3+1693019902015295227707760/1573*ep^3*z3^2;
Fill mncnoptab(13,4,4,4)=
      +mncF321*(-1454041508480870400-130023826633958900160/11*ep-
         3450497347214883506072/99*ep^2-245038915477507973222947/4455*
         ep^3)
      +2546462942312074630600152979523631788963/355848286248127015200-
         4805785760461269472/42471*ep^-3-11221491482928692046410861/
         9292230090*ep^-2-4147703943629958908453591660153/
         1084291744741920*ep^-1+812763886188152732688064/42471*z3-
         38283478643260851299854776336961555895338564692254131383945376\
         6157217316546906073/543551784090939561944738070089393734308272\
         7997440000000000000*ep+406381943094076366344032/14157*ep*z4+
         294326558609657245406765951984/929223009*ep*z3+
         48170332837157908905882282146546769710562108637709228002766266\
         67819884086343196574274069/14799393135800829640981772381937941\
         082758205173189836800000000000000*ep^2+
         26276314878759085019235776/14157*ep^2*z5+
         147163279304828622703382975992/309741003*ep^2*z4-6367884063117\
         038973091365144503831/7972733417220*ep^2*z3-
         30688806388103596182075187530238801512174364259513914904186656\
         67896997009437766194023783188196330494708081967538004602922053\
         43/36916814697267217857305921877542083775748930819318622098800\
         7994856504716660325085295411200000000000000000*ep^3+
         195040451875222755812548160/42471*ep^3*z6+
         400094043360747614390281446250/103247001*ep^3*z5-6367884063117\
         038973091365144503831/5315155611480*ep^3*z4-901526331355750931\
         885217954972010929306457/1779241431240635076000*ep^3*z3+
         28441859762778548678753728/42471*ep^3*z3^2;
Fill mncnoptab(13,5,1,6)=
      +mncF321*(-221514136057632600-19731685346243963820/11*ep-
         231163450087716974709/44*ep^2-65082261266700199745869/7920*
         ep^3)
      +600418258653138375062842659527114788941879773/
      550912029358440480546816000-13256475214808/363*ep^-3-
         4809030720914910373277/6777239040*ep^-2-
         557532479238353187498082468313/112692201846681600*ep^-1+
         2116297562335394540893/726*z3-44537484767475403776436623348306\
         070636065228292585453396819551158139348074481265723/
         41383302109887384342090780583229566251753170534400000000000000\
         00*ep+2116297562335394540893/484*ep*z4+
         163190426273515614127409455939/3388619520*ep*z3+
         28850786941210004907641163179031923075870732768413890369443660\
         1614447153653446042228457777811/578023490364845130761953713862\
         0982277261135034091726438400000000000000000*ep^2+
         68426928496999369123407/242*ep^2*z5+
         163190426273515614127409455939/2259079680*ep^2*z4-285840364417\
         4782885997568318662948707/23201335674316800*ep^2*z3-
         93349393769041073064719378944028456771930447003095411207181967\
         77644398708347026550934861790770961757476261761952200448014059\
         103023401/2368341224085018759731554374584086440766192092826010\
         8424002424509017131022763229156317593600000000000000000000000*
         ep^3+253955609910828391036660/363*ep^3*z6+
         656730420660227478664734868031/1129539840*ep^3*z5-285840364417\
         4782885997568318662948707/15467557116211200*ep^3*z4-2016897354\
         3469687296597980421808642759894355671/
         275456014679220240273408000*ep^3*z3+74070371242075366064263/
         726*ep^3*z3^2;
Fill mncnoptab(13,5,2,5)=
      +mncF321*(-766779701737959000-68452781821444849500/11*ep-
         805014170878686975045/44*ep^2-5061914883053131335057/176*ep^3)
      +85772961204548731332777743409323285566318747/
      22736052005268972213043200-13807404916710090/1573*ep^-3-
         597497406421901573548471/5873607168*ep^-2-
         37188304746855164171334527705963/97666574933790720*ep^-1+
         31745050341696089623155/3146*z3-711376062786608335943165065239\
         89900768688971215955268070058277640622203364386854241/
         19128281864125724318121960802914999511921465491456000000000000\
         00*ep+95235151025088268869465/6292*ep*z4+
         490107399412318858640599857833/2936803584*ep*z3+
         82755998826602723344283995498074165440083341453736978177290915\
         0050645948076835913324779089649/480915543983551148793945489933\
         2657254681264348364316396748800000000000000*ep^2+
         3079218068234132429659635/3146*ep^2*z5+
         490107399412318858640599857833/1957869056*ep^2*z4-121649040388\
         3765523759939268803814319/2872546321582080*ep^2*z3-
         69632023718803006301458126421851977719681232705946392382563016\
         88932990821222229801229296080780134680757084624775797824757574\
         74964044629/79475215903695669526565013999376383388271363456326\
         72117537240267239242047745399352082682609664000000000000000000\
         00*ep^3+3809341272365545425045600/1573*ep^3*z6+
         1987343730116192615263540814237/978934528*ep^3*z5-121649040388\
         3765523759939268803814319/1915030881054720*ep^3*z4-11883223567\
         0751947037280139820304202708116281/454721040105379444260864*
         ep^3*z3+1111049207708788856321625/3146*ep^3*z3^2;
Fill mncnoptab(13,5,3,4)=
      +mncF321*(-876319659129096000-78601856890763310300/11*ep-
         232979010092879069005/11*ep^2-13325989835243162436569/396*ep^3
         )
      +25737583756292469920279729443593765602792611/
      5968213651383105205923840-577991597253936565/9438*ep^-3-
         136461184285270690029781/206494002*ep^-2-825125622142867259666\
         502846180479/384562138801800960*ep^-1+54425434609846315060640/
         4719*z3-126271238295401642541232557804489044322825808528063409\
         0010528820934090880794373019847/298257734966380356430316673819\
         45212988963545067552768000000000000*ep+27212717304923157530320/
         1573*ep*z4+315820344740949678262512146549/1651952016*ep*z3+
         40638743244794189503754747417173105871389558262780590162192704\
         349152444570877059790181326670843/2082965449878755913213776403\
         27345717343382262088529453934182400000000000000*ep^2+
         1759572105393019090494510/1573*ep^2*z5+
         315820344740949678262512146549/1101301344*ep^2*z4-107826876214\
         0911868788790796956710695/2262130228245888*ep^2*z3+
         65025026657896338115472366377695488669189337524161219549132799\
         94165616578496614511972288862325666123311938375183992928326334\
         24264594041719/90752013894682975847441468759508397959520728420\
         66751188798687441688018531331529875199208507161182208000000000\
         000000000*ep^3+13060727203923027391057225/4719*ep^3*z6+
         433765960836660873658323034277/183550224*ep^3*z5-1078268762140\
         911868788790796956710695/1508086818830592*ep^3*z4-474221317319\
         8979444932780736328672252255374773/14920534128457763014809600*
         ep^3*z3+1904596698221224105423430/4719*ep^3*z3^2;
Fill mncnoptab(13,5,4,3)=
      +mncF321*(-408949174260244800-36960268488835553820/11*ep-
         110981650194344115781/11*ep^2-32280252482197759269349/1980*
         ep^3)
      +317873022950282325400311008890593086856199/
      157889250036590084812800-704137879534813717/9438*ep^-3-
         3306415920900313694103197/4129880040*ep^-2-1410183715009410702\
         19996186310681/54937448400257280*ep^-1+25403287209533966140352/
         4719*z3-107157144474901513730753620154929041460205219068673541\
         00882603791548106905934586640781/54680584743836398678891390200\
         2328904797664992905134080000000000000*ep+
         12701643604766983070176/1573*ep*z4+
         147952810869464928747971500481/1651952016*ep*z3+
         68590645170683588553370966241334729722543849339064377707964577\
         720123030766658166760445882164489/7637539982888771681783846812\
         00267630259068294324607997758668800000000000000*ep^2+
         821150527099705105933518/1573*ep^2*z5+
         147952810869464928747971500481/1101301344*ep^2*z4-350453293525\
         113920968916374856471077/1615807305889920*ep^2*z3-
         39048509121934166516070832004833820176855396457789542442936449\
         75405054088998023943957971094800341241627351907542491778724201\
         41607/31762612085283759790795060084739249845924784261428087143\
         43989453079557164692660313034168729600000000000000000*ep^3+
         6095120735223953379150505/4719*ep^3*z6+
         69465453658792481807737597139/61183408*ep^3*z5-350453293525113\
         920968916374856471077/1077204870593280*ep^3*z4-577472974913634\
         427402255377950729163423005017/3552508125823276908288000*ep^3*
         z3+888759750342571404302054/4719*ep^3*z3^2;
Fill mncnoptab(13,5,5,2)=
      +mncF321*(-76677970173795900-7006931657710577460/11*ep-
         85742093244370998687/44*ep^2-774101619722601172891/240*ep^3)
      +17157791886023710397319803384028636751142357/
      45472104010537944426086400-885469905450374237/50336*ep^-3-
         17252979977700918002158873/88104107520*ep^-2-39745587809828970\
         7003066457059079/585999449602744320*ep^-1+
         3175668105802208472449/3146*z3-4659461095552403628011750061114\
         99437445309912861688185320173937207736571212361100956963/
         12795256830057717290860585306854496372265360833980137472000000\
         0000000*ep+9527004317406625417347/6292*ep*z4+
         148772177941393771959986473213/8810410752*ep*z3+
         29506595233990977569603577187795473790260655522303112131547759\
         73416716851064668059652962795722031/17871843559959725735374201\
         5400862625480621980871958271475528499200000000000000*ep^2+
         1231736619019295455451217/12584*ep^2*z5+
         148772177941393771959986473213/5873607168*ep^2*z4-674562132907\
         433708531011088500173841/17235277929492480*ep^2*z3-
         23539665881969952721592644173424249639521875811841808274364791\
         92166242670470013987916564660447153668720574890893940015092435\
         68830307/59459609823651198328368352478631875711571196137393379\
         13251948256164931012304660105999963861811200000000000000000*
         ep^3+6095169732980433107807105/25168*ep^3*z6+
         217140542068294006561012189863/978934528*ep^3*z5-6745621329074\
         33708531011088500173841/11490185286328320*ep^3*z4-389766872989\
         9963205577204060790594622558667077/113680260026344861065216000
         *ep^3*z3+444368306230106739003047/12584*ep^3*z3^2;
Fill mncnoptab(13,6,1,5)=
      +mncF321*(-65151216487539000-5883573136073019660/11*ep-
         70565351579210708073/44*ep^2-20481984889281786521569/7920*ep^3
         )
      +35316290155440172774339661886138202562815597/
      110182405871688096109363200+13308124823434/363*ep^-3-
         2347596153265658184353/6777239040*ep^-2-
         58628549826127154051673854657/8668630911283200*ep^-1+
         622439253175553256961/726*z3-777273779912294734613069640448928\
         3290468061476386042014409557848066928246206499/248299812659324\
         3060525446834993773975105190232064000000000000*ep+
         622439253175553256961/484*ep*z4+9664407901223561974691959859/
         677723904*ep*z3+7947827001538334266140531137622677908752941759\
         46713258742730006028643521977478886844660159/55490255075025132\
         553147556530761429861706896327280573808640000000000000*ep^2+
         20125563474310155886059/242*ep^2*z5+
         9664407901223561974691959859/451815936*ep^2*z4-273391898107556\
         6666750059571631471619/78884541292677120*ep^2*z3+
         23611464546322219403474863053398480108160922686210319194662572\
         06498374196663320773922335300623733160974173492440044555528758\
         086539/1375532582948578895652086780758437404797004367513347097\
         2660608154837149698020883493989258362880000000000000000*ep^3+
         74692813962193643001520/363*ep^3*z6+
         40731969526552581567593813359/225907968*ep^3*z5-27339189810755\
         66666750059571631471619/52589694195118080*ep^3*z4-707457173005\
         1044791496777513041481766293653667/275456014679220240273408000
         *ep^3*z3+21785420173205490234307/726*ep^3*z3^2;
Fill mncnoptab(13,6,2,4)=
      +mncF321*(-180418753350108000-16338524848830807840/11*ep-
         49222127758846183393/11*ep^2-14374736427909940125589/1980*ep^3
         )
      +15136294279525526301343063219283482126397657/
      17052039003951729159782400-37788486562046822/4719*ep^-3-
         5992452227483707256363267/66078080640*ep^-2-357690772558259385\
         555583590648319/1098748968005145600*ep^-1+
         11204763269926385002466/4719*z3-644467174421382449503963612070\
         048295615750101249647824796573130473199598033514948609/
         74564433741595089107579168454863032472408862668881920000000000\
         000*ep+5602381634963192501233/1573*ep*z4+
         261312315670712681535618781673/6607808064*ep*z3+
         41107290945413483633715677693874783779802191203944232073386647\
         18780965294484460846606512023513/10414827249393779566068882016\
         3672858671691131044264726967091200000000000000*ep^2+
         362263161985784729879454/1573*ep^2*z5+
         261312315670712681535618781673/4405205376*ep^2*z4-104454065741\
         71400978493438761041977767/109874896800514560*ep^2*z3+
         14085026957711612062097048845333044986560099944652090077909756\
         05889223931061644394852178069335191181108213191094051801980593\
         08178930693/41307243465945824236432166026175875266054041156425\
         81333089980628897596054315671313244974286372864000000000000000\
         00*ep^3+2688961806718569511589740/4719*ep^3*z6+
         370484324937967044867491791103/734200896*ep^3*z5-1044540657417\
         1400978493438761041977767/73249931200343040*ep^3*z4-3129934834\
         394460131490097658868578544131388791/
         42630097509879322899456000*ep^3*z3+392128020638400323719022/
         4719*ep^3*z3^2;
Fill mncnoptab(13,6,3,3)=
      +mncF321*(-154644645728664000-14077538916335666100/11*ep-
         42785803636153401495/11*ep^2-842552576058048670745/132*ep^3)
      +1514276158933841878820660565438471344200399/
      1989404550461035068641280-84291661547148685/3146*ep^-3-
         80253399980500138923907/275325336*ep^-2-
         24702961313728466872187731095403/25637475920120064*ep^-1+
         3202044254380822175360/1573*z3-1074133441941624417909108969171\
         2625293013626392527446329475701782008170193486282335333/
         14581489265023039647704370720062104127937733144136908800000000\
         00000*ep+4803066381571233263040/1573*ep*z4+
         18715885056030795136046208977/550650672*ep*z3+
         35924329342153257202465327348800792117339729191893609056444913\
         74580003921740134813718095901683/10719354361949153237591363946\
         6704228808290286922751999685427200000000000000*ep^2+
         310518572873780071961370/1573*ep^2*z5+
         18715885056030795136046208977/367100448*ep^2*z4-51288842857165\
         04046169374490872684731/64093689800300160*ep^2*z3-
         18931110917567893340680754250101493338153633823708238591276026\
         78601717794563933423824796249624820579504614406932384893376731\
         09098412393086727/11535589321724147152163671140097511918410190\
         36813818151109522048143454799982585575247543836910265827328000\
         000000000000000*ep^3+768291321548498124465025/1573*ep^3*z6+
         26985136516495584389997799961/61183408*ep^3*z5-512888428571650\
         4046169374490872684731/42729126533533440*ep^3*z4-6621263374443\
         5790247009754338849437917535797/994702275230517534320640*ep^3*
         z3+112029111688971986224310/1573*ep^3*z3^2;
Fill mncnoptab(13,6,4,2)=
      +mncF321*(-48111667560028800-4414715036325309240/11*ep-
         13598404034946629542/11*ep^2-2043295078833368905433/990*ep^3)
      +841062519226917327125503605962412226833859/
      3552508125823276908288000-55606130303587157/4719*ep^-3-
         270816329383755372334327/2064940020*ep^-2-
         62423997668030799354050169072371/137343621000643200*ep^-1+
         2988943845069432430880/4719*z3-1494033235152834647714430379628\
         3300110590883047017550576825850024899949880632069045741/
         65616701692603678414669668240279468575719799148616089600000000\
         00000*ep+1494471922534716215440/1573*ep*z4+
         43847254286753276409386701757/4129880040*ep*z3+
         94226578445341419528743645316896370826277487402596937078253255\
         746471795999659275981112914476809/9165047979466526018140616174\
         403211563108819531895295973104025600000000000000*ep^2+
         96607073579126960871420/1573*ep^2*z5+
         43847254286753276409386701757/2753253360*ep^2*z4-1661547845570\
         885899672655694032122487/68671810500321600*ep^2*z3-
         35493525967485519555767779915342771031636115948711552909922872\
         84143144495030853711041137178647439013283135228558656347292135\
         7235553931014731/103820303895517324369473040260877607265691713\
         31324363359985698433291093199843270177227894532192392445952000\
         00000000000000*ep^3+717080692230778625458450/4719*ep^3*z6+
         21611791412218008237379940727/152958520*ep^3*z5-16615478455708\
         85899672655694032122487/45781207000214400*ep^3*z4-796110215964\
         4489576552103185651327548256829/355250812582327690828800*ep^3*
         z3+104556352821496556328236/4719*ep^3*z3^2;
Fill mncnoptab(13,6,5,1)=
      +mncF321*(-4510468833752700-418582294738487460/11*ep-
         5255005118748477407/44*ep^2-147047450617812253681/720*ep^3)
      +105753149543463795995096341489714182290184589/
      4774570921106484164739072000-8528881765994471/151008*ep^-3-
         508242194026729024083739/264312322560*ep^-2-983377364207134738\
         962825004815727/61529942208288153600*ep^-1+
         560204396323540362275/9438*z3-75855040240558790871473386206567\
         704376714891690645565458813195476195671795046548125898129/
         35847609339394355707945737773979291060909974189567209635840000\
         0000000000*ep+560204396323540362275/6292*ep*z4+
         132254563184433035364179351651/132156161280*ep*z3+
         42918497927450494707712896698988631565960335536109400853337712\
         012447601797037327242115613213939447/4551849135271375044438163\
         9840872766653023720842490596490093789184000000000000000*ep^2+
         72452172555870860729025/12584*ep^2*z5+
         132254563184433035364179351651/88104107520*ep^2*z4-95590986285\
         34496301366177252252791167/4394995872020582400*ep^2*z3-
         32423913486532441478900311556998031832094193044646605300766700\
         31630146989658552906946774002827462822873896035687077701446702\
         4201600513/166583984420221153194253212821767018320091710321252\
         30790433213400129014885085382435748470182641664000000000000000\
         000*ep^3+1075578500411592103689875/75504*ep^3*z6+
         67494474982092857802685974611/4894672640*ep^3*z5-9559098628534\
         496301366177252252791167/2929997248013721600*ep^3*z4-
         1108434860964727638472358474712611867968535557/
         477457092110648416473907200*ep^3*z3+78427215545959515516197/
         37752*ep^3*z3^2;
Fill mncnoptab(13,7,1,4)=
      +mncF321*(-9652032072228000-2668803680095118020/33*ep-
         74515455114396853886/297*ep^2-1882104456425765164169/4455*ep^3
         )
      +35309539711746291871548492917012806707205271/
      743731239633894648738201600-589170603746431/19602*ep^-3-
         93227323894254485978213/137239090560*ep^-2-
         3757758326801781231784940509987/760672362465100800*ep^-1+
         1244889338720111466494/9801*z3-5225448846966845426056667997399\
         483719122203232420655904306902747205459388150733873/
         11471451344860782939627564377671235764985978872135680000000000\
         000*ep+622444669360055733247/3267*ep*z4+
         29288331022438004964500308091/13723909056*ep*z3+
         36370808154187324696909274153711851304592176331601714669916607\
         14245616985055918330058571929/17803123503237230027468174386952\
         62541396429590500251743027200000000000000*ep^2+
         40251161495032382106436/3267*ep^2*z5+
         29288331022438004964500308091/9149272704*ep^2*z4-1339109840790\
         21436995265186672339183/28024771248714240*ep^2*z3-
         42020928775351524776326141855861234379061571927789220578975718\
         03220839790494402237696423349945380388429248353162833150418304\
         342881171/6354960533222434497912640927103980810162160177911663\
         5893692009675347631604856481742230373636505600000000000000000*
         ep^3+298771487865942587132035/9801*ep^3*z6+
         131731184667491869771205040287/4574636352*ep^3*z5-133910984079\
         021436995265186672339183/18683180832476160*ep^3*z4-45955516045\
         8586931747238170951481259435274051/97859373636038769570816000*
         ep^3*z3+43570695739670341540508/9801*ep^3*z3^2;
Fill mncnoptab(13,7,2,3)=
      +mncF321*(-20046528150012000-1853591692773692340/11*ep-
         5781208299834909438/11*ep^2-40095629030861675621/45*ep^3)
      +5044831855645392821015718026181278641606289/
      51156117011855187479347200-25507294213915759/9438*ep^-3-
         2034393549228383595011557/66078080640*ep^-2-122941243471306470\
         357840537977369/1098748968005145600*ep^-1+
         1245157738477505340446/4719*z3-8252951534731243831299080198961\
         54510605530792000274621714563362475412135930735922487/
         87488935590138237886226224320372624767626398864821452800000000\
         0000*ep+622578869238752670223/1573*ep*z4+
         29339637651622546844454587323/6607808064*ep*z3+
         25791262485621739484496590425314168108231784803136412688720320\
         080852368336930538896083169995839/6110031986311017345427077449\
         602141042072546354596863982069350400000000000000*ep^2+
         40252120005467493731524/1573*ep^2*z5+
         29339637651622546844454587323/4405205376*ep^2*z4-1077104110389\
         935325228554363430243457/109874896800514560*ep^2*z3-
         59279851838319904479125146000166614645368687714536037692796757\
         66612828846567954889322387106008491729045745419245092011539359\
         59962691723/63772586403565483031684747549183807428293958276587\
         22058103829742859446539996124132729083108786176000000000000000\
         000*ep^3+298778005694812439635315/4719*ep^3*z6+
         44423036593888515401735369333/734200896*ep^3*z5-10771041103899\
         35325228554363430243457/73249931200343040*ep^3*z4-128340757186\
         7181287960679568457692473205152863/127890292529637968698368000
         *ep^3*z3+43567788943993055426972/4719*ep^3*z3^2;
Fill mncnoptab(13,7,3,2)=
      +mncF321*(-11455158942864000-1065079515517378200/11*ep-
         304770225396927255*ep^2-51754302384691900595/99*ep^3)
      +252301209832226674021184357756433176963599/
      4476160238537328904442880-15909773831386505/4719*ep^-3-
         62107114295309751309253/1651952016*ep^-2-
         50418923688712394258019047473507/384562138801800960*ep^-1+
         711713133041019950960/4719*z3-11424707002176908123776675162732\
         148042884857267670465602786621283269437544322892405917/
         21325428050096195484767642178090827287108934723300229120000000\
         000000*ep+355856566520509975480/1573*ep*z4+
         262734144725872665613326466/103247001*ep*z3+
         71122803324261561703378074016698219005362117666293114531267929\
         733627551859765195816081786728987/2978640593326620955895700256\
         6810437580103663478659711912588083200000000000000*ep^2+
         23001895010065883013340/1573*ep^2*z5+
         131367072362936332806663233/34415667*ep^2*z4-10541613414633990\
         37927906014766193899/192281069400900480*ep^2*z3+
         59895043091648938345423275021857428156781990017018848300134075\
         90061586255138366442552682483435476029490104508390918254689718\
         531111163864087/6748319753208626084015747616957044472269961365\
         36083618399070398163921057989812561519813144592505508986880000\
         000000000000*ep^3+170734929742891572722650/4719*ep^3*z6+
         1618087659487515035123835097/45887556*ep^3*z5-1054161341463399\
         037927906014766193899/128187379600600320*ep^3*z4-6722202347945\
         4191425754820749685171267575593/11190400596343322261107200*
         ep^3*z3+24893702782617344034380/4719*ep^3*z3^2;
Fill mncnoptab(13,7,4,1)=
      +mncF321*(-1781913613334400-167043436303866920/11*ep-
         4796278532601093979/99*ep^2-125538322853222747791/1485*ep^3)
      +4404348267034822245185011279500849431136131/
      503568026835449501749824000-1846669165001759/42471*ep^-3-
         27642629492809279068547/24779280240*ep^-2-14575013204492181262\
         7746127450953/17305296246081043200*ep^-1+995937177204675579440/
         42471*z3-32994757997035779825678710662541457514298141028728917\
         32695333344576483982242994417903167/39830677043771506342161930\
         859976990067677749099519121817600000000000000*ep+
         497968588602337789720/14157*ep*z4+2461637343389546093106325409/
         6194820060*ep*z3+184747139720581585836163114883902616193579379\
         2905825063297659690850375854585702688094147932029561/
         50576101503015278271535155378747518503359689824989551655659765\
         76000000000000000*ep^2+32201032137999863065060/14157*ep^2*z5+
         2461637343389546093106325409/4129880040*ep^2*z4-10206059393825\
         38865787634686560619703/1236092589005788800*ep^2*z3-
         19992030221860028658374930136282890373364969451465023217845703\
         63844216622709680468956287823870576919526727355610536755441496\
         885291722640619657/6302104324629116930705318590856211327572927\
         18528391558733499212652674032930894343166258152990878614106931\
         2000000000000000000*ep^3+239017898091987284039350/42471*ep^3*
         z6+8738423993036722995550835662/1548705015*ep^3*z5-10206059393\
         82538865787634686560619703/824061726003859200*ep^3*z4-
         10026360751984756032317532336643199608526893/
         10071360536708990034996480*ep^3*z3+34856351710904400299252/
         42471*ep^3*z3^2;
Fill mncnoptab(13,8,1,3)=
      +mncF321*(-653145027444000-62060823819731100/11*ep-
         606719633405071310/33*ep^2-7599701229988518325/231*ep^3)
      +35264435820563989179205279921604141871915383/
      10990694985700887586908979200+8115650309885/2178*ep^-3-
         46958355026092227974497/405617756544*ep^-2-
         1140554413608550179510813112093/749403142280432640*ep^-1+
         9359744696036461190/1089*z3-3551129055383804027696473433455074\
         614744361398973242048520075153309715901806416827/
         11839670770745203132751412123127349505590467082846208000000000\
         0000*ep+4679872348018230595/363*ep*z4+
         29740183486630770983222406971/202808878272*ep*z3+
         19386853783086677575079921378977485435472095181357198641531427\
         5741412159059237078558712255331/148834112487063243029633937874\
         9239484607415137658210457170739200000000000000*ep^2+
         302639385233483774260/363*ep^2*z5+
         29740183486630770983222406971/135205918848*ep^2*z4-22507083131\
         62489336622765682682514477/7868732993944542720*ep^2*z3+
         20657852467496853407035793698630373978883157543006673861826701\
         01578420433769414372030134354850758920243124504324728640569997\
         1875504773/155343479700992843282309000440319530915075026571173\
         99885124713476196087725631584425878535777812480000000000000000\
         00*ep^3+2246396027511037153975/1089*ep^3*z6+
         146340610486902430287668867039/67602959424*ep^3*z5-22507083131\
         62489336622765682682514477/5245821995963028480*ep^3*z4-
         443891632004873833831236550417194835887312641/
         1099069498570088758690897920*ep^3*z3+327604297070605061420/
         1089*ep^3*z3^2;
Fill mncnoptab(13,8,2,2)=
      +mncF321*(-904354653384000-86230734550241400/11*ep-
         282584137692387720/11*ep^2-509238372636915224/11*ep^3)
      +5045737688050766803890767185596137470727209/
      1133960593762789989125529600-566244227368295/1573*ep^-3-
         18524483954019101336271/4649939008*ep^-2-
         67120995069117375038094244858417/4871120424822812160*ep^-1+
         18732937625494544060/1573*z3-154184649994910423300971007579255\
         03889029692272741224018194422406411538714493399077771/
         37401519964784096696361710896959297088160285514711171072000000\
         0000000*ep+28099406438241816090/1573*ep*z4+
         1419321396217755043760418319/6974908512*ep*z3+
         93525106476832934777526025810365989565197507637569735452082969\
         509262208098982817571598018689719/5224077348295919830340151219\
         40983059097202713318031870466929459200000000000000*ep^2+
         1815976397561258001720/1573*ep^2*z5+
         1419321396217755043760418319/4649939008*ep^2*z4-18982247018858\
         3331511354590872299193/487112042482281216*ep^2*z3+
         15017736722361844947405448118832650885645048861116159673175749\
         75254174753404397024283957212588503731420051243977237968698631\
         49523108821/21810224550019395196836183661820862140476533730592\
         82943871509772057930716678674453393346423204872192000000000000\
         0000*ep^3+4493108649839408644150/1573*ep^3*z6+
         21155356138906913350689595273/6974908512*ep^3*z5-1898224701885\
         83331511354590872299193/324741361654854144*ep^3*z4-12973540378\
         483187988354974756390971601640851/22679211875255799782510592*
         ep^3*z3+655054164886384520600/1573*ep^3*z3^2;
Fill mncnoptab(13,8,3,1)=
      +mncF321*(-258387043824000-24778525702782600/11*ep-
         81948747176938295/11*ep^2-9411780186660884755/693*ep^3)
      +1884327080104165255158803285655420013669381/
      1488323279313661860727257600-61955125739915/4719*ep^-3-
         68768917670034485055701/219709618128*ep^-2-
         477976281352937618317370218351/210480512183701760*ep^-1+
         16046380432802747120/4719*z3-800840227299142347278981767750369\
         05846900446554512746048086441312652383146438984657164623/
         68110457744849275845096901770560653015728950960177698308096000\
         00000000000*ep+8023190216401373560/1573*ep*z4+
         3201648030341019866720900243/54927404532*ep*z3+
         43775948784751411090614550746244236468121399930000556531592802\
         127443308593067644232050613410256289/8648513357015612584432511\
         56976582566407450696007321333311781994496000000000000000*ep^2+
         518814787763482547380/1573*ep^2*z5+
         3201648030341019866720900243/36618269688*ep^2*z4-9249894353255\
         92815452564429510254759/8524460743439921280*ep^2*z3+
         28953367649674748861800637318930668440737448112847208503427151\
         43039011732281232651643654261945520184346942951088283847975070\
         241202854538109157/5671893892166205237634786731770590194815634\
         46675552402860149291387406629637804908849632337691790752696238\
         08000000000000000000*ep^3+3850994957144112237550/4719*ep^3*z6+
         4040669903420004749484511303/4577283711*ep^3*z5-92498943532559\
         2815452564429510254759/5682973828959947520*ep^3*z4-12585736809\
         1707398046361088919077005376759963/744161639656830930363628800
         *ep^3*z3+561598522189339561220/4719*ep^3*z3^2;
Fill mncnoptab(13,9,1,2)=
      +mncF321*(-16328625686100-3258237472546875/22*ep-
         68657496407807111/132*ep^2-223805478880175251/220*ep^3)
      +5030058308059828895308911637339284818029121/
      62803971346862214782337024000-91461957165089/17424*ep^-3-
         153218092989589464239263/2317815751680*ep^-2-
         8707311202224451018534920163/30744744298684416*ep^-1+
         936550024691288357/4356*z3-40875614854722194480683355099898879\
         8809437226230972714501573600825879456505487/570603517838020737\
         640783234350755821950870371696640000000000000*ep+
         936550024691288357/2904*ep*z4+4357953838316425248920360141/
         1158907875840*ep*z3+805957309819810150108488205675019053498416\
         414548248511107318361306375588229855856788047653/
         27336877803746309944218478385190112982585175997803865539870720\
         0000000000000*ep^2+15132951016340977169/726*ep^2*z5+
         4357953838316425248920360141/772605250560*ep^2*z4-250313934394\
         061485014275342527720619/44964188536825958400*ep^2*z3-
         26370926504691192136568866530211966722735571087694785888635468\
         77651790312509389265496327568806219197492584049533653930995765\
         6856523926209/321424770242612373644667607558403278667188833003\
         16546486841536673466473794208701604342986254762748579676160000\
         000000000*ep^3+449305780366772873285/8712*ep^3*z6+
         24390424826152571785526519609/386302625280*ep^3*z5-25031393439\
         4061485014275342527720619/29976125691217305600*ep^3*z4-
         417080718852798214745045296342387340745932131/
         31401985673431107391168512000*ep^3*z3+16376794934309455387/
         2178*ep^3*z3^2;
Fill mncnoptab(13,9,2,1)=
      +mncF321*(-11304433167300-2263800465273375/22*ep-
         15989048608610441/44*ep^2-128812763619091117/180*ep^3)
      +15066179038421627460707101155778253057823683/
      272150542503069597390127104000-450836073989987/75504*ep^-3-
         730393680617302900644829/10043868257280*ep^-2-
         7909975354418512152291612005179/25979308932388331520*ep^-1+
         2810355876984946031/18876*z3-198032541083445165116405961738518\
         04323280511358373026800743954034594467443978801225521/
         40302046002869393991181598680805120127650266840341833318400000\
         000000000*ep+2810355876984946031/12584*ep*z4+
         13100434834769669884839224423/5021934128640*ep*z3+
         10328697756314225929109427946974344320621912775910358617246842\
         639127321135850960817639675626783/5117463524861309221557699153\
         707589150339944946788883629063798784000000000000000*ep^2+
         45400264660973307827/3146*ep^2*z5+
         13100434834769669884839224423/3347956085760*ep^2*z4-7341758836\
         98210714122691218083622017/194844816992912486400*ep^2*z3+
         27171702573920904243215759628445166859013240348673769379601595\
         68220565033894680840820691181562971089701862202410417018538231\
         76407317/20436199755830063290025740857926202679985110576314132\
         996701990410764639190884474026471817417074933760000000000000000
         *ep^3+1347956160444274504655/37752*ep^3*z6+
         73966619132641029495741504427/1673978042880*ep^3*z5-7341758836\
         98210714122691218083622017/129896544661941657600*ep^3*z4-
         1269449066083612638512617313716256850387375913/
         136075271251534798695063552000*ep^3*z3+49127561593910419921/
         9438*ep^3*z3^2;
Fill mncnoptab(13,10,1,1)=
      +mncF321*(-86394844900-171195124693775/198*ep-12409793788118273/
         3564*ep^2-423384133800612877/53460*ep^3)
      +4955664199732228715893018199720522075606081/
      11869950584556958593861697536000-117046609284887/470448*ep^-3-
         141667578665771884400809/62581025295360*ep^-2-
         8975080425200919001382081954281/1133097551128014151680*ep^-1+
         133655804993592371/117612*z3-396405259721825843524753940669284\
         12807259073343056104053447/11884126178652718693265482129894149\
         193728000000*ep+133655804993592371/78408*ep*z4+
         4588485756294910926737099981/219033588533760*ep*z3+
         11182097654292060234661945301965770580240360848968662356370813\
         532119/922178718830527911855042114884103839943292354560000000*
         ep^2+2162036852330329607/19602*ep^2*z5+
         4588485756294910926737099981/146022392355840*ep^2*z4-925482582\
         56792754044061001454724779/8498231633460106137600*ep^2*z3+
         76298630647935528478767798655139621787554997175555250746260399\
         312453792639114131661033869989552268376239536651/
         14859327746785046498307083817160063795393306978667278931981407\
         98778118180090727628800000000000000*ep^3+64192826544941926355/
         235224*ep^3*z6+31945561368257212601680416569/73011196177920*
         ep^3*z5-92548258256792754044061001454724779/
         5665487755640070758400*ep^3*z4-5871392305109581555283227615723\
         00117277016931/5934975292278479296930848768000*ep^3*z3+
         2343131742017479981/58806*ep^3*z3^2;
Fill mncnoptab(14,1,1,9)=
      +mncF321*(-8426150568549000-38979952276898009475/572*ep-
         910701936213493066035/4576*ep^2-9271537654754048181199/29952*
         ep^3)
      +7333773636028048344322634105926177890250541299/
      176897852626995238303582617600+76608857171285/654368*ep^-3+
         58956326167138105088375/91399201141248*ep^-2-
         4005567427965483017256296846507/2127705401562604351488*ep^-1+
         9069841794843935158605/81796*z3-106725997122201028292580329603\
         2056106306562725803009000483064920205184749411903/
         2603993397508296906181726365917110273062501089280000000000000*
         ep+27209525384531805475815/163592*ep*z4+
         2614510690656648221959320984115/1428112517832*ep*z3+
         13837134696246566059226339700832707025315845146269389779486122\
         190011696674843159265183801/7274283470748648696361486871296090\
         179222224022915357081600000000000000*ep^2+
         1759549482192448739491745/163592*ep^2*z5+
         2614510690656648221959320984115/952075011888*ep^2*z4-368197573\
         801632314772408508911005646443/78224463292742807040*ep^2*z3-
         26972271881072798605279893907868924095746637455534896396194098\
         6889257309972358524997067955066312831082408287615421/
         82010576167359754550585903583256933641616886664097149774814368\
         268148463894528000000000000000000*ep^3+
         8707048993013804345872675/327184*ep^3*z6+
         55868532867665942836176189322325/2538866698368*ep^3*z5-
         368197573801632314772408508911005646443/52149642195161871360*
         ep^3*z4-171094321020111428435304910244534570900191041143/
         61914248419448333406253916160*ep^3*z3+634889027583227222854655/
         163592*ep^3*z3^2;
Fill mncnoptab(14,2,1,8)=
      +mncF321*(-38519545456224000-44578233014919972480/143*ep-
         130358225496784361328/143*ep^2-1641194729964569564087/1155*
         ep^3)
      +12222968781251960350865642101953548750987709839/
      64494008770258680631514496000-58179598707678/20449*ep^-3-
         11260646397020830077241/595046882430*ep^-2+
         22609034847473051493880955113/3166228276134827904*ep^-1+
         10365536797734892662192/20449*z3-14399559536360247571311424059\
         8724842832761342596383363653930631124384436923599719/
         76899180020166893010679106743489662751376985292800000000000000
         *ep+15548305196602338993288/20449*ep*z4+
         9963296295070631193852216485933/1190093764860*ep*z3+
         18658657304622383841393065059558305444708409499767138657155913\
         81346875721646275417409680969/21481868374554603181442515916796\
         2663105156303176719138816000000000000000*ep^2+
         1005456888164531165994024/20449*ep^2*z5+
         9963296295070631193852216485933/793395843240*ep^2*z4-499860200\
         10788452837718916230166411151/2328109026569726400*ep^2*z3-
         67248026442732176031761517225136845179325460402222142406220900\
         419164542307850155774918417656351896431720949786083519891/
         17316405016212750673739728251130352699468590592738700523155530\
         71236912916935475200000000000000000000*ep^3+
         2487728378416990683329580/20449*ep^3*z6+
         13337108699893824105106746821949/132232640540*ep^3*z5-49986020\
         010788452837718916230166411151/1552072684379817600*ep^3*z4-
         410259014143842818356816013684013260237210697409/
         32247004385129340315757248000*ep^3*z3+362793686638257824416344/
         20449*ep^3*z3^2;
Fill mncnoptab(14,2,2,7)=
      +mncF321*(-154078181824896000-178665960005050510440/143*ep-
         47664368655046814394/13*ep^2-86234182709605613832508/15015*
         ep^3)
      +24445874803461984740773586357600040262576145621/
      32247004385129340315757248000-102137011102059/20449*ep^-3-
         395156579628534676490389/4760375059440*ep^-2-
         3606975137838156123774672380693/6926124354044936040*ep^-1+
         41462139866727641840136/20449*z3-73952480294667165370884839440\
         24739036477116769414594988809559486685074046957200041/
         988703743116431481565874229559152806803418382336000000000000000
         *ep+62193209800091462760204/20449*ep*z4+
         19945923144023878165819544081177/595046882430*ep*z3+
         15299100414928188338033099089655044462117751851851557619712973\
         4535548133816583696432015096753/441912720847980408303960327431\
         2374783877501093921079427072000000000000000*ep^2+
         4021827485135804475992292/20449*ep^2*z5+
         19945923144023878165819544081177/396697921620*ep^2*z4-69541856\
         1006076307859499307103576681763/8148381592994042400*ep^2*z3-
         31563808031850552832235067352762241029592923608070317001995807\
         8706041703006428555624751135176681719374358574399593820311/
         38915138283733816640144983536753925874436016314053838390572813\
         31759304898563276800000000000000000000*ep^3+
         9950913363172692085380390/20449*ep^3*z6+
         53765131935243666797776537328387/132232640540*ep^3*z5-69541856\
         1006076307859499307103576681763/5432254395329361600*ep^3*z4-
         210567073975353480896408264985251284063794673729/
         4030875548141167539469656000*ep^3*z3+1451174859246938815967772/
         20449*ep^3*z3^2;
Fill mncnoptab(14,3,1,7)=
      +mncF321*(-62915257578499200-73110507509992556520/143*ep-
         215341671312826142826/143*ep^2-10169146974557984228141/4290*
         ep^3)
      +5704037693209507314918693197317032149295362701/
      18426859648645337323289856000+50439953240012/20449*ep^-3+
         11885633108653165840343/680053579920*ep^-2-
         642367517682524074979363308721/22615916258105913600*ep^-1+
         16930371612121258405744/20449*z3-48228717263753009807593220371\
         715489079057470445581041884693646899284568019658864423/
         15819259889862903705053987672946444908854694117376000000000000\
         000*ep+25395557418181887608616/20449*ep*z4+
         4658905917313117109523717764999/340026789960*ep*z3+
         12447743073020032485249765251019967683374407907078186776367429\
         32468164708172259376181382719/88382544169596081660792065486247\
         495677550021878421588541440000000000000*ep^2+
         1642246200219198155773968/20449*ep^2*z5+
         4658905917313117109523717764999/226684526640*ep^2*z4-161168798\
         937391210894883072899787582539/4656218053139452800*ep^2*z3+
         12307099752475379677344229211897627721568350737607151292903819\
         13526957840019558418850433414606839477623231784821621273079/
         27988964842531629660411968928357631301998211733569491457835061\
         8861150006165897216000000000000000000000*ep^3+
         4063289571517692243420560/20449*ep^3*z6+
         6324952252666453899128531826057/37780754440*ep^3*z5-1611687989\
         37391210894883072899787582539/3104145368759635200*ep^3*z4-
         202204081802905429210826726166198719806850228807/
         9213429824322668661644928000*ep^3*z3+592563092273991683729584/
         20449*ep^3*z3^2;
Fill mncnoptab(14,3,2,6)=
      +mncF321*(-215709454554854400-251432755071812727840/143*ep-
         744524905733778660372/143*ep^2-35409584978225698793357/4290*
         ep^3)
      +2444582922797744735036877195350408586989089099/
      2303357456080667165411232000-4257914666315016/20449*ep^-3-
         403712026826800549107121/170013394980*ep^-2-349094283526836491\
         728245194342021/39577853451685348800*ep^-1+
         58047095567579614042848/20449*z3-13739719650318356200357309774\
         9200707004806254823573721262202496669429278948811987077/
         13182716574885753087544989727455370757378911764480000000000000\
         000*ep+87070643351369421064272/20449*ep*z4+
         1999680924416461897720039036891/42503348745*ep*z3+
         15478418254370093707138071782679608338825255694377489908666459\
         88672113266841358177144722591217/32222802561831904772163773875\
         194399465773445476507870822400000000000000000*ep^2+
         5630559507679187678048256/20449*ep^2*z5+
         1999680924416461897720039036891/28335565830*ep^2*z4-6839303620\
         6013726244372692789620038161/582027256642431600*ep^2*z3-
         95050919081975569695507087161338410922298411445594937981156865\
         58606200746140906779502170701045738153924333579542678629872379/
         86719142737110499231176417063028060984024459354509474366858966\
         743812976910400487424000000000000000000000*ep^3+
         13931281030279020160013520/20449*ep^3*z6+
         2743078759695708850084787658288/4722594305*ep^3*z5-68393036206\
         013726244372692789620038161/388018171094954400*ep^3*z4-
         90117652074487162093533025289641506267882210563/
         1151678728040333582705616000*ep^3*z3+2031643632452742849356928/
         20449*ep^3*z3^2;
Fill mncnoptab(14,3,3,5)=
      +mncF321*(-251661030313996800-295129725991989784560/143*ep-
         67931227028340386046/11*ep^2-255491928283984298853317/25740*
         ep^3)
      +14379828692822430658118047519678722099288419/
      11613567005448742010476800-42303512446694156/20449*ep^-3-
         1411331614514343292789907/60004727640*ep^-2-
         34011318505439419978801498850393/399104404554810240*ep^-1+
         67722410182029336488272/20449*z3-13513658972259030683415054176\
         152150813139431394990149994497877927005498292987371477/
         11166536392844402615332226592668078759191548788736000000000000\
         00*ep+101583615273044004732408/20449*ep*z4+
         82587787991798461005806068841/1500118191*ep*z3+
         13830347457761664233668667078777985537962062606072989370200513\
         596884840185947758801468088657/2495507129494477599834128907846\
         98811324847120597896249999360000000000000*ep^2+
         6568994669674797078758144/20449*ep^2*z5+
         82587787991798461005806068841/1000078794*ep^2*z4-3351703677068\
         437594773662584328084299/24944025284675640*ep^2*z3-
         29949337470633454167966968189120832280913386217155844071196528\
         75348817285357937915809851659255842258775115708372032042093390\
         469/1428576469794063520134707824129499065426425333622447276929\
         8878745508774564311734696280064000000000000000000*ep^3+
         16253180648731919355674680/20449*ep^3*z6+
         231233179120257799563145453589/333359598*ep^3*z5-3351703677068\
         437594773662584328084299/16629350189783760*ep^3*z4-14267368696\
         29938199218076511691370279529875049/14516958756810927513096000
         *ep^3*z3+2370242300431390817578944/20449*ep^3*z3^2;
Fill mncnoptab(14,4,1,6)=
      +mncF321*(-47186443183874400-55277832265852699440/143*ep-
         165100997558192545017/143*ep^2-47647635424030000391117/25740*
         ep^3)
      +5403817678060608312347617480309934562092437637/
      23276033240394110303102976000-211182533309496/20449*ep^-3-
         96006201529820294099839/859015048320*ep^-2-
         6085776359968619110152076921531/14283736584066892800*ep^-1+
         12697787209322246817758/20449*z3-45010776917817423397238710860\
         879500882535912024730399285137090576104364767077811/
         19823633947196621184278180041286271815607386112000000000000000
         *ep+19046680813983370226637/20449*ep*z4+
         4431288777667278548081295209633/429507524160*ep*z3+
         35319765443733501951708963310422563313575960842717266035240239\
         97590613650656331427307388861/33918739538770426075961867237046\
         7362797615215542188113920000000000000000*ep^2+
         1231684730222084471026526/20449*ep^2*z5+
         4431288777667278548081295209633/286338349440*ep^2*z4-743560237\
         09680700622906450754983707289/2940769296719654400*ep^2*z3-
         75616299397669863737039691894902194872153659143366235132884830\
         74971652151119953282220740475177172516875488621346410411434769\
         84092679/87356078086786703855971420284758267725879982154038772\
         93694545071877548922880325992379842560000000000000000000000*
         ep^3+3047467357531905560521920/20449*ep^3*z6+
         6181608082377233953485604340519/47723058240*ep^3*z5-7435602370\
         9680700622906450754983707289/1960512864479769600*ep^3*z4-
         211855646800159886004822537576218390245579904719/
         11638016620197055151551488000*ep^3*z3+444422201908338820059418/
         20449*ep^3*z3^2;
Fill mncnoptab(14,4,2,5)=
      +mncF321*(-134818409096784000-158559707532664846800/143*ep-
         476773632120205047600/143*ep^2-2313517597333500098191/429*ep^3
         )
      +257318814205793974530199243891737033691628323/
      387933887339901838385049600-14954159076490200/20449*ep^-3-
         124782593483578103731019/14316917472*ep^-2-
         2867616490194463895861229965245/83321796740390208*ep^-1+
         36279691189799086806840/20449*z3-38774794751946523618091921068\
         337990180974579459255744967587007014246972956879649727/
         59946669056322582461257216444849685970396735602688000000000000\
         00*ep+54419536784698630210260/20449*ep*z4+
         211425460046537742881843528749/7158458736*ep*z3+
         62950949109020967910892283543348415738885549788328881477166459\
         732777147955311088753806513307/2131330251745283500336803875840\
         609465142833063479640221286400000000000000*ep^2+
         3519102470770134190645080/20449*ep^2*z5+
         211425460046537742881843528749/4772305824*ep^2*z4-873562817876\
         896307485319157142330579/12253205402998560*ep^2*z3-
         93296145507647413559835991804385062218119419037196177376101985\
         61162700465466259972718813499724118973581028684007283623154538\
         5317131262371/729608027601038148433357510125917856198991632324\
         47597683601074051913568897532398501910767218982912000000000000\
         0000000*ep^3+8707056948950837759595600/20449*ep^3*z6+
         298787356183113082300264964267/795384304*ep^3*z5-8735628178768\
         96307485319157142330579/8168803601999040*ep^3*z4-1055514145991\
         6756652795866916140566745082118793/193966943669950919192524800
         *ep^3*z3+1269774560991103491213960/20449*ep^3*z3^2;
Fill mncnoptab(14,4,3,4)=
      +mncF321*(-125830515156998400-149002191248076013680/143*ep-
         453246464167976539284/143*ep^2-33489425113010281336159/6435*
         ep^3)
      +25734331951134999739906987755310529996440619/
      41564345072132339826969600-114940904527198078/20449*ep^-3-
         413575419267893096977546/6711055065*ep^-2-
         37027318376589239708033923390279/178546707300836160*ep^-1+
         33863294120481058310336/20449*z3-26973658366462488501377035394\
         86950405523802871706367707572926324486642483463011501/
         449600017922419368459429123336372644777975517020160000000000000
         *ep+50794941180721587465504/20449*ep*z4+
         148504749172819585775170807397/5368844052*ep*z3+
         20554762898168479682052734563431294266297578531275277718203773\
         959755455538146488986238029/7547851380880232176244261665386773\
         73258429463157066956800000000000000*ep^2+
         3284519461217028455340472/20449*ep^2*z5+
         148504749172819585775170807397/3579229368*ep^2*z4-341290296515\
         200764583769184496688207/5251373744142240*ep^2*z3-
         22155868203175868088728199207347133542853210865400363077709936\
         10456780837434776435277416754229431164043363064709706183637792\
         49/10446465435369089490985050963946961915930735252114145712549\
         805082653291400152955996654796800000000000000000*ep^3+
         8126640417741368492575340/20449*ep^3*z6+
         214553494013545688721602961365/596538228*ep^3*z5-3412902965152\
         00764583769184496688207/3500915829428160*ep^3*z4-8112615465586\
         87901344405469593275208256607179/14844408954332978509632000*
         ep^3*z3+1185097965570836001758472/20449*ep^3*z3^2;
Fill mncnoptab(14,4,4,3)=
      +mncF321*(-47186443183874400-56453365516400795880/143*ep-
         174709175065092392844/143*ep^2-13198178341458278041594/6435*
         ep^3)
      +8128702219281185385347435490168471801503171/
      35001553744953549327974400-597451073402907717/81796*ep^-3-
         34193501573455515229420279/429507524160*ep^-2-
         39757740713182703845919194192291/150355121937546240*ep^-1+
         12701048787262827895876/20449*z3-77375695412969755744378286109\
         7523554850180798667571547493644193921325622463223067609/
         34740672262061471341100168961802099590528339774799872000000000\
         0000*ep+19051573180894241843814/20449*ep*z4+
         447849972411297912463918226911/42950752416*ep*z3+
         48618870649290870932135700455353595188934390344436904588131062\
         59079453834061658007424932303033/48524220192037684745168049294\
         3027178623242638123529141433139200000000000000*ep^2+
         1231719493188783927673177/20449*ep^2*z5+
         447849972411297912463918226911/28633834944*ep^2*z4-19731213055\
         98310864911804751239043727/84021979906275840*ep^2*z3-
         80210610017576483673750397704965959514872466087979139944698224\
         38123371501190747767150473483110101769465804366541380119666570\
         166839/3067360824235974516939637231040533270835022022960769558\
         42362410040254377618891195944442580172800000000000000000*ep^3+
         6095092222007605498886505/40898*ep^3*z6+
         668326217410696476189507894805/4772305824*ep^3*z5-197312130559\
         8310864911804751239043727/56014653270850560*ep^3*z4-3764702945\
         4615513113727510715400237054891047193/
         1662573802885293593078784000*ep^3*z3+444386482483121642466527/
         20449*ep^3*z3^2;
Fill mncnoptab(14,5,1,5)=
      +mncF321*(-17347957052895000-20588594449060316700/143*ep-
         251442424473318004185/572*ep^2-1659084794478600973109/2288*
         ep^3)
      +3924167473683728095608951536196581492086757/
      45977349610655032697487360+190062071763480/20449*ep^-3-
         669181827403259028227/76356893184*ep^-2-
         1111931391323416167427393386439/1269665474139279360*ep^-1+
         9336589801726747169295/40898*z3-198044326521402029452841669854\
         045314559285769993492461431888352690937179483191121/
         239786676225290329845028865779398743881586942410752000000000000
         *ep+28009769405180241507885/81796*ep*z4+
         8573373354174174094506233165/2245790976*ep*z3+
         35052597163312912647724790863748205266873206941787187918180168\
         395954320286559435127041474393/9377853107679247401481937053698\
         681646628465479310416973660160000000000000*ep^2+
         905650364748920786698815/40898*ep^2*z5+
         8573373354174174094506233165/1497193984*ep^2*z4-79018147649145\
         56128729614536874718121/888765831897495552*ep^2*z3+
         31459446118940021012707008810249517621338408095149419546088178\
         69547796542235625625498848475493344615508916244985859632928820\
         5153863/759069409039379047723110745953227498483897920358385826\
         736209886748564342519356509545856216596480000000000000000*ep^3
         +1120392218683992549411900/20449*ep^3*z6+
         636241222024007061357591212705/12726148864*ep^3*z5-79018147649\
         14556128729614536874718121/592510554598330368*ep^3*z4-
         886608728183456648687554735664667116385248939/
         114943374026637581743718400*ep^3*z3+326781286793401566240765/
         40898*ep^3*z3^2;
Fill mncnoptab(14,5,2,4)=
      +mncF321*(-39652473263760000-47277858673661653800/143*ep-
         145472026704105311910/143*ep^2-484750234430501542937/286*ep^3)
      +1261339050424207726280468777158882295575921/
      6465564788998363973084160-23700836051949105/20449*ep^-3-
         1857784783591755365527/140361936*ep^-2-
         13440261654573654989442356191951/277739322467967360*ep^-1+
         10670934426525209093040/20449*z3-37170018286577850257911105083\
         16443516373075327651359769540566477460157855487868649/
         19782400788586452212214881426800396370230922748887040000000000\
         00*ep+16006401639787813639560/20449*ep*z4+
         2608709237895412707204983905/298269114*ep*z3+
         16385355625369718101323669010265146773942225426055163836223096\
         0620987682684835900537068423881/193418220345884477655564951732\
         53530896171210051077735008174080000000000000*ep^2+
         1035034741819743714129780/20449*ep^2*z5+
         2608709237895412707204983905/198846076*ep^2*z4-555112259733764\
         142748436151387016835/27773932246796736*ep^2*z3+
         73373566296794922909611168147718665604908055424881094265003124\
         85854494192536153962300891214150054613906423979619182356655041\
         2856276599/194411083130959854458329423505601714477867956687701\
         98388984385570354609352199626681565042942201036800000000000000\
         00*ep^3+2560909518483046262591850/20449*ep^3*z6+
         23110847866366003854912480175/198846076*ep^3*z5-55511225973376\
         4142748436151387016835/18515954831197824*ep^3*z4-2981256242212\
         40850338302424703290248520291971/16163911972495909932710400*
         ep^3*z3+373458200103476027004780/20449*ep^3*z3^2;
Fill mncnoptab(14,5,3,3)=
      +mncF321*(-27756731284632000-33340016248148276100/143*ep-
         103857368267310507675/143*ep^2-703183918165539978615/572*ep^3)
      +504661976635833689671136415646546650087449/
      3694608450856207984619520-165532665294633105/40898*ep^-3-
         26574938273856972671707/596538228*ep^-2-
         210390586176359239580821116607/1392177054977280*ep^-1+
         7471089826006028554080/20449*z3-353655326067474284628428056774\
         2842686745770818932397707537788321258013601089839972889/
         27079908635042787917165259908686764809027218696254259200000000\
         00000*ep+11206634739009042831120/20449*ep*z4+
         14664516084663969929779019443/2386152912*ep*z3+
         17020432326867666863773580466897326308330807101250180353115324\
         49384541725999878376620896063361/29095390411004844502033702140\
         9625763908216493076041142003302400000000000000*ep^2+
         724539663415226852113410/20449*ep^2*z5+
         14664516084663969929779019443/1590768608*ep^2*z4-1200131163294\
         3128825707810107291559/881712134818944*ep^2*z3-
         70945245165231133118641913047316408663641128105612030906784411\
         29822899346006993418340113637272831500045808777084401576779556\
         48505945961711/25203808602086371929097096608616412594845794081\
         64644699903157416111749983155228987935810063837555589120000000\
         0000000000*ep^3+1792671433973052058898325/20449*ep^3*z6+
         66460025527064265937315181497/795384304*ep^3*z5-12001311632943\
         128825707810107291559/587808089879296*ep^3*z4-1275351950182838\
         74807919300996084369124128303/9236521127140519961548800*ep^3*
         z3+261405108176375105332110/20449*ep^3*z3^2;
Fill mncnoptab(14,5,4,2)=
      +mncF321*(-6939182821158000-8424871036297707600/143*ep-
         26712496622671870815/143*ep^2-14229189191045935687/44*ep^3)
      +5045974229156149362658983225139371581810201/
      147784338034248319384780800-322388276096042625/163592*ep^-3-
         420028494886665278104771/19089223296*ep^-2-
         5420928962182494432149954368393/70536970785515520*ep^-1+
         1868215570304712381690/20449*z3-407538125204028222837180766783\
         34413081497740926221655778517846159518986396974251154049/
         12608737051193902170002559281973235492203183562347773952000000\
         0000000*ep+2802323355457068572535/20449*ep*z4+
         14745776453571986763035365067/9544611648*ep*z3+
         25249742168433112263332858936761747264343553540510095315639258\
         2508556585710247379931511928659533/176113210590856772552667058\
         908138680502770348497731474515243827200000000000000*ep^2+
         362279172413999575374885/40898*ep^2*z5+
         14745776453571986763035365067/6363074432*ep^2*z4-3452925981383\
         15480845871615343178349/105805456178273280*ep^2*z3-
         22012998675804477603559233083096079201764066514993516303070712\
         51990325739429645608502312718252851391159187798966796401879941\
         5810561/585928516629565744460306213929375335000322574181893940\
         1396963587707716274515962436816290919219200000000000000000*
         ep^3+1792713706366950753057525/81796*ep^3*z6+
         69020400864943950094033734163/3181537216*ep^3*z5-3452925981383\
         15480845871615343178349/70536970785515520*ep^3*z4-278602600436\
         964234343380341320636350859563637/73892169017124159692390400*
         ep^3*z3+130692617411096164078515/40898*ep^3*z3^2;
Fill mncnoptab(14,5,5,1)=
      +mncF321*(-510234030967500-628836165278061300/143*ep-
         8171914180392730215/572*ep^2-58350434088874763951/2288*ep^3)
      +1853211593224901293966982447518089057098357/
      740477314782128421338480640-169254699929897925/11124256*ep^-3-
         520666515499734006283279/1298067184128*ep^-2-
         3251298961388214578586843573103/1060282045070696448*ep^-1+
         4668463232222982995145/695266*z3-87830605913701904017701504957\
         700003269218254420976468446149573426929928406294487351/
         37413142968768157620442610114340561812257029635860070400000000\
         00000*ep+14005389696668948985435/1390532*ep*z4+
         74269858134604461678527241335/649033592064*ep*z3+
         26195913085760703036754026238439740799032553865655352541605865\
         758570451462857761601621444878423/2560593390827588600930225001\
         23017423625738467223675367551768985600000000000000*ep^2+
         1811308889031502532432985/2781064*ep^2*z5+
         74269858134604461678527241335/432689061376*ep^2*z4-16225004899\
         11711196836480463881572897/7194771020122583040*ep^2*z3-
         36179024329559873108890989857285001012334213000585920644133715\
         95748391709615762047497865986295966035164813014206521234255842\
         27071/13601911993186347639257108537646213133936059757793966467\
         52866547146434135155491279975210391961600000000000000000*ep^3+
         8963175180513053002262025/5562128*ep^3*z6+
         363115155519093739620160709215/216344530688*ep^3*z5-1622500489\
         911711196836480463881572897/4796514013415055360*ep^3*z4-
         10863491660942960800821499690965688378797594623/
         35172672452151100013577830400*ep^3*z3+653557361619006454243935/
         2781064*ep^3*z3^2;
Fill mncnoptab(14,6,1,4)=
      +mncF321*(-3084081253848000-3732641064739049400/143*ep-
         11771703659046319520/143*ep^2-182078035494378354176/1287*ep^3)
      +11771098258637506287276688391300549339137897/
      775867774679803676770099200-180477321711435/20449*ep^-3-
         13796133010412320191469/85901504832*ep^-2-
         1480821003983543996349701616853/1428373658406689280*ep^-1+
         829926036673478032260/20449*z3-1057119743134190356027048995221\
         5542436094853776785864479436764421362729784117211/
         73268151068838711897092153432594060630484899069952000000000000
         *ep+1244889055010217048390/20449*ep*z4+
         29436003964512267972496279799/42950752416*ep*z3+
         13760912093942206987074298291933057202444284749607937333361081\
         96411672073919809871783220707/21490913371764941961729439081392\
         81210685690005675303889797120000000000000*ep^2+
         80502320410082783299920/20449*ep^2*z5+
         29436003964512267972496279799/28633834944*ep^2*z4-734655646391\
         6852493439752142264529767/4999307804423412480*ep^2*z3-
         81056165116682741555494272384950095601874215063560352112808371\
         01420801761661776818700681773590002683027032345912356078535238\
         1837997/365302153100201166716747046489990733645375874172473179\
         1168010079977465898374403202189433042370560000000000000000*
         ep^3+199180985933523263169150/20449*ep^3*z6+
         136507377081180671023542131771/14316917472*ep^3*z5-73465564639\
         16852493439752142264529767/3332871869615608320*ep^3*z4-
         4707448499677885948935755905870505223321869/
         2873584350665939543592960*ep^3*z3+29047131296322158695200/
         20449*ep^3*z3^2;
Fill mncnoptab(14,6,2,3)=
      +mncF321*(-5286996435168000-6431755356419478120/143*ep-
         1859589963026834934/13*ep^2-532990103312072998396/2145*ep^3)
      +373661186589606375644845447537153773204479/
      14367921753329697717964800-11638947335682807/20449*ep^-3-
         469870414892484521650963/71584587360*ep^-2-
         50927673747381445417413989420203/2083044918509755200*ep^-1+
         1422971626799120856696/20449*z3-108341785527867562324786913604\
         5333715705517936944614195405970153970997367901423123681/
         44004851531944530365393547351615992814669230381413171200000000\
         00000*ep+2134457440198681285044/20449*ep*z4+
         8432954537383293439899477127/7158458736*ep*z3+
         27840278162953569976644886366335866952937874424647162032278404\
         02414006722464760194071692017/25599338710223962520010910359343\
         37468788452068401236620083200000000000000*ep^2+
         138006573135520013469972/20449*ep^2*z5+
         8432954537383293439899477127/4772305824*ep^2*z4-25702659585916\
         0563427502205586602787/104152245925487760*ep^2*z3-
         13065541894378053748037574326785129263150793165298894215001107\
         01133263130354261792921677473265493822686114167492447099985475\
         0101954462596163/696255212632636024541307293813028397932615061\
         50548309834824723620087093284663200791726753013512473149440000\
         0000000000000*ep^3+341459003771802231533190/20449*ep^3*z6+
         39707219750205740512602899671/2386152912*ep^3*z5-2570265958591\
         60563427502205586602787/69434830616991840*ep^3*z4-945021026130\
         623803387865720908519710237309193/323278239449918198654208000*
         ep^3*z3+49792491924831371605932/20449*ep^3*z3^2;
Fill mncnoptab(14,6,3,2)=
      +mncF321*(-2467265003078400-3024961774475250960/143*ep-
         9743557433950273738/143*ep^2-773994649167945116156/6435*ep^3)
      +210233331167111003426269984195024646909531/
      17318477113388474927904000-16016037392022066/20449*ep^-3-
         470113192933521188352581/53688440520*ep^-2-
         54845950074748107647039658274789/1785467073008361600*ep^-1+
         664293058413191749920/20449*z3-1772349590405057157097267351737\
         77542434089955221269401383400175945462575712741689253/
         15566342038510990333336492940707698138522448842404659200000000\
         00000*ep+996439587619787624880/20449*ep*z4+
         7409550652105022035816389587/13422110130*ep*z3+
         15531441597291449978510600037786156034021427601230164285794042\
         9382413091711319552710115641063/310605309684050745242799045693\
         366279546332184299350043236761600000000000000*ep^2+
         64405591654492469355240/20449*ep^2*z5+
         7409550652105022035816389587/8948073420*ep^2*z4-99523779901164\
         6195060306676150217653/892733536504180800*ep^2*z3+
         14907441710890739857142698839722293232901150957957325624856335\
         33223601832078331038076315344054486029193816119520602864224493\
         18424757941597/24629436093127260732073455291345222239793185849\
         17355177830534440982672687620739075625708269865747349504000000\
         00000000000*ep^3+159353246490198194013300/20449*ep^3*z6+
         17843710354773594475144807294/2237018355*ep^3*z5-9952377990116\
         46195060306676150217653/595155691002787200*ep^3*z4-83363265499\
         6861348267892410376210859554767/577282570446282497596800*ep^3*
         z3+23233806090295611839448/20449*ep^3*z3^2;
Fill mncnoptab(14,6,4,1)=
      +mncF321*(-308408125384800-382303669540819320/143*ep-
         1253487452860141016/143*ep^2-101824478461455240472/6435*ep^3)
      +11733172771291747444091695247171861002725041/
      7758677746798036767700992000-1106132324210613/81796*ep^-3-
         130602591488295562627271/429507524160*ep^-2-216952164311740941\
         760364228995843/99986156088468249600*ep^-1+
         82996756232115949020/20449*z3-11015065670765019462156919615875\
         91844287551695864862776940358830240314953009579876139/
         78054086507390822957158700316977172094591136338343362560000000\
         000000*ep+124495134348173923530/20449*ep*z4+
         14897868146410103615883252499/214753762080*ep*z3+
         46645953007840169050377095854463594389535019378995163015948906\
         243861785246010224902451227060921/7631572458937126810615572552\
         68600948845338176823503056232723251200000000000000*ep^2+
         8050281787221566574465/20449*ep^2*z5+
         14897868146410103615883252499/143169174720*ep^2*z4-94899652107\
         7880807373032156615274643/7141868292033446400*ep^2*z3-
         10236383979799329294053483776165628189861135241271523046809680\
         71430001704922257887810668092232130974236591731585313664143034\
         7837300466489/928564131975044953486335425055013212262879509458\
         63766640012630374319883281941935074610483643703256678400000000\
         000000000*ep^3+39836425154947253127225/40898*ep^3*z6+
         74034373119711503277908275651/71584587360*ep^3*z5-948996521077\
         880807373032156615274643/4761245528022297600*ep^3*z4-
         150615906354965140579296533895771050504974201/
         775867774679803676770099200*ep^3*z3+2904679723982224667031/
         20449*ep^3*z3^2;
Fill mncnoptab(14,7,1,3)=
      +mncF321*(-243480098988000-303527136702493620/143*ep-
         1003613087338967574/143*ep^2-27424716886390208821/2145*ep^3)
      +35274446907296386482999575448768679774460311/
      29482975437832539717263769600+88905204007291/40898*ep^-3-
         121083838105140275615333/5440428639360*ep^-2-
         12462274132730576106351068829667/30154555010807884800*ep^-1+
         65517960827402720266/20449*z3-17106525555533286736838596279894\
         92956044465023659735833981531979423133445989626990831/
         15435547921974389112784198147951455941145514656864927744000000\
         0000000*ep+98276941241104080399/20449*ep*z4+
         29878669581289212240268093691/544042863936*ep*z3+
         10267955497453331469161943332582721300291581080494795437153111\
         438195369154990045360335854103107/2155968429455458977600697328\
         64532691055988421369346486224447078400000000000000*ep^2+
         6355424039076727851012/20449*ep^2*z5+
         29878669581289212240268093691/362695242624*ep^2*z4-21597445375\
         65648788763336522444508157/21108188507565519360*ep^2*z3+
         11282011861065334693933864765746264623240546209253758940440135\
         90491623669756119432572621506859570023973576908116842475779317\
         5654556183/236869606641814651260543348039825570447948987884466\
         81930099939044906515719985603921565165832634368000000000000000\
         00*ep^3+15724765195623312826865/20449*ep^3*z6+
         150825112340385884756567410207/181347621312*ep^3*z5-2159744537\
         565648788763336522444508157/14072125671710346240*ep^3*z4-
         11770102053093926194711089417430116453344327929/
         73707438594581349293159424000*ep^3*z3+2293232042317237133812/
         20449*ep^3*z3^2;
Fill mncnoptab(14,7,2,2)=
      +mncF321*(-278262970272000-348786829344638160/143*ep-
         1163333410921310622/143*ep^2-2921556922821736388/195*ep^3)
      +168167486526788165258342743576166375033531/
      122845730990968915488599040-2232017699755746/20449*ep^-3-
         206404206350797132005857/170013394980*ep^-2-335630150364180104\
         609016706279937/79155706903370697600*ep^-1+
         74931223440228129408/20449*z3-30086686045867950123603539499797\
         065895623147335860219861501862422428151162272754624113/
         23956600397268414123004862635749147435186048768460770508800000\
         00000000*ep+112396835160342194112/20449*ep*z4+
         2141067328339823120860362997/34002678996*ep*z3+
         18023102831017424836371933050130385818854691277680058755252670\
         7520014146983632173161235457612021/334615100122627867850067411\
         9254634929552636621456898015789632716800000000000000*ep^2+
         7263899264279581378056/20449*ep^2*z5+
         2141067328339823120860362997/22668452664*ep^2*z4-9013665008776\
         20513932740319531352901/7915570690337069760*ep^2*z3+
         12943984694342963059271418806715693930449772687882735443133871\
         22446761115980777395470513688019938538020903514875063510730557\
         807318922126749/8673844884970904866512825559125926093144556755\
         57851171322927346606941250857738544024705955909241457868800000\
         000000000000*ep^3+17972420102098383121620/20449*ep^3*z6+
         10968578131391288129106373387/11334226332*ep^3*z5-901366500877\
         620513932740319531352901/5277047126891379840*ep^3*z4-
         289357476256692443796047816245963773113335289/
         1535571637387111443607488000*ep^3*z3+2620220873020024960056/
         20449*ep^3*z3^2;
Fill mncnoptab(14,7,3,1)=
      +mncF321*(-64928026396800-82037628541010520/143*ep-
         277117637480810021/143*ep^2-23333246163704530927/6435*ep^3)
      +2928180213453839918454256379262131667766099/
      9213429824322668661644928000-110965076458747/20449*ep^-3-
         227511936470837755628171/2040160739760*ep^-2-35834957453041520\
         8081330674411973/474934241420224185600*ep^-1+
         17473418842840833040/20449*z3-21623335291494417856645027550207\
         1389729170059767879685298814125374213645824461736437/
         74151382182021281809300765301128313489861579521426194432000000\
         000000*ep+26210128264261249560/20449*ep*z4+
         1880547387006134479203961883/127510046235*ep*z3+
         89684542406521778736436092133250260287912391170568002814489797\
         89898655988455897715513228698919/72499938359902704700847939250\
         5170901403071267982327903421087088640000000000000*ep^2+
         1694803308384833219580/20449*ep^2*z5+
         1880547387006134479203961883/85006697490*ep^2*z4-8666827498011\
         65832014844147064603483/33923874387158870400*ep^2*z3-
         13130562501082110916128438857140581326088996114193391360089952\
         89067878355513909035244597943991216165159237656839535792698881\
         987541534123/1342380756007401943626984907959964752510467116934\
         76966990453041736788526918459536575252112224049273241600000000\
         000000000*ep^3+4193324723854980966350/20449*ep^3*z6+
         39375015193663221749089796993/170013394980*ep^3*z5-86668274980\
         1165832014844147064603483/22615916258105913600*ep^3*z4-
         14096338043278613348565969717666733682625359/
         307114327477422288721497600*ep^3*z3+611512871406779324836/
         20449*ep^3*z3^2;
Fill mncnoptab(14,8,1,2)=
      +mncF321*(-6956574256800-9096557459377500/143*ep-
         32345868799712382/143*ep^2-518757109298902912/1155*ep^3)
      +11738645343792170132191927626449098308311869/
      343968046774712963368077312000-82026196938009/40898*ep^-3-
         973113359491156459188601/38083000475520*ep^-2-
         2803418510055420502211375298853/25329826209078623232*ep^-1+
         1873024736350904154/20449*z3-429099797616041592903353998879963\
         7156976331983643470774431860059686452512782897701/
         14175503193649949185209977890975826884725472644059627520000000\
         000000*ep+2809537104526356231/20449*ep*z4+
         30634093027698920174667988187/19041500237760*ep*z3+
         34861560588904576241716880494251356327026333507584959661422338\
         09331176220658433127014875311/28285300094896692125956670492431\
         40261667486577731950985451929600000000000000*ep^2+
         181594507838271184908/20449*ep^2*z5+
         30634093027698920174667988187/12694333491840*ep^2*z4-499610047\
         5431123785245250653934920319/2216359793294379532800*ep^2*z3-
         59211325699583574674053659645673511206721488231738781287271216\
         51475394527102910144454403116781822247726241523898254902348123\
         6637953/165325317288776756594093520468612949169792967054056433\
         063146513333837313800715847779087483974713344000000000000000*
         ep^3+449303707754800701885/20449*ep^3*z6+
         174907996834142294485514920463/6347166745920*ep^3*z5-499610047\
         5431123785245250653934920319/1477573195529586355200*ep^3*z4-
         335505705560045838164418297578997471387848093/
         57328007795785493894679552000*ep^3*z3+65507780496225767148/
         20449*ep^3*z3^2;
Fill mncnoptab(14,8,2,1)=
      +mncF321*(-3975185289600-5227035461298000/143*ep-
         18745343419076304/143*ep^2-3949604947363554832/15015*ep^3)
      +1672621247521925529112564012322717748854347/
      85992011693678240842019328000-49768685403264/20449*ep^-3-
         280877252096725985247913/9520750118880*ep^-2-
         21376145206287514148479159192/173153108851123401*ep^-1+
         1070721169371415368/20449*z3-108617864046567213442616044714371\
         011975417114036696718417713136421039125334397182379/
         63558327584589670122257798829538554419881353875508166656000000\
         0000000*ep+1606081754057123052/20449*ep*z4+
         4390179549130120887876984191/4760375059440*ep*z3+
         30180500377404416102251241975840285266419066521215890583228658\
         323211676100701483307385576002807/4349996301594162282050876355\
         0310254084184276078939674205265225318400000000000000*ep^2+
         103773345997967172936/20449*ep^2*z5+
         4390179549130120887876984191/3173583372960*ep^2*z4-85917373107\
         284268510010285304719259/69261243540449360400*ep^2*z3+
         11651916879470831269561168161632209841472349696956018174902786\
         08798329284778451848609229752393464413599442917792022851373840\
         28628702209/21171262209031024939488447691254301239593652815656\
         93879392287972534493338828276119701119027076434252267520000000\
         00000000*ep^3+256756562071489393920/20449*ep^3*z6+
         25402289804600571787670436059/1586791686480*ep^3*z5-8591737310\
         7284268510010285304719259/46174162360299573600*ep^3*z4-
         48933641493519307192138101618783840067657259/
         14332001948946373473669888000*ep^3*z3+37429646861095085016/
         20449*ep^3*z3^2;
Fill mncnoptab(14,9,1,1)=
      +mncF321*(-41408180100-119329461677475/286*ep-970558187706421/572
         *ep^2-100530777106880267/25740*ep^3)
      +1650485135999069028567709104879031682824427/
      8255233122593111120833855488000-39015653156189/327184*ep^-3-
         142541089476957932590249/130570287344640*ep^-2-
         82010186946813747672209989341041/21277054015626043514880*ep^-1
         +44551934764408337/81796*z3-4547219245168734981740783453697646\
         97786833988046547030053061/28691676059890135130883806856458731\
         6248576000000*ep+133655804293225011/163592*ep*z4+
         4605499884783646468541257421/456996005706240*ep*z3+
         26649119023337611317349514190987171940044274494526756140095024\
         87291249/46754461044707765131050635224624064685124922376192000\
         0000*ep^2+2162036844801380487/40898*ep^2*z5+
         4605499884783646468541257421/304664003804160*ep^2*z4-241453822\
         646682755547312239346609217/53192635039065108787200*ep^2*z3+
         25670683241444289144808458307815988757817061887254164462933387\
         5232972405188298566564628985245687818398908383733751/
         38266306883149300696592718706286488097850954352682211649597835\
         42758125294252692865024000000000000000*ep^3+
         21397608774191763185/163592*ep^3*z6+
         32496178928741459947299644729/152332001902080*ep^3*z5-24145382\
         2646682755547312239346609217/35461756692710072524800*ep^3*z4-
         197633512063299882324926894924276939291471777/
         4127616561296555560416927744000*ep^3*z3+781043914064190607/
         40898*ep^3*z3^2;
Fill mncnoptab(15,1,1,8)=
      +mncF321*(-1572226345152000-12953634194581216740/1001*ep-
         24802435354793489763/637*ep^2-138877324733483720882233/2207205
         *ep^3)
      +73337684863089120872319638056999195859167850437/
      9480619289228026052832630912000+251145275484599/2004002*ep^-3+
         705828471920467997384587/1399550267475360*ep^-2-
         11210966630049569300410642345409/4072561120178422391520*ep^-1+
         20731061982792424118892/1002001*z3-206991075197005067295210257\
         742809443771687468478873180716682706720892629316931/
         2746399286434531893238539526553202241120606617600000000000000*
         ep+31096592974188636178338/1002001*ep*z4+
         60278830146767772468051306625969/174943783434420*ep*z3+
         26379875307748620541629883347266815910799120916506384981117282\
         90922492349348900598943421/76720958480552154219437556845700951\
         10898439399168540672000000000000000*ep^2+
         287273376019761285675082/143143*ep^2*z5+
         60278830146767772468051306625969/116629188956280*ep^2*z4-
         1987364520075966067671575668525572344891/
         2395624188340248465600*ep^2*z3-3242101685740022967188559423332\
         38714071604597009639225444063006210992415767298040172743873632\
         5029102488297059026701/176698010369517864017752329093166864280\
         2917407422316379913829664527462160138240000000000000000000*
         ep^3+4975456425388841439016705/1002001*ep^3*z6+170802848629065\
         193343034394091539/38876396318760*ep^3*z5-19873645200759660676\
         71575668525572344891/1597082792226832310400*ep^3*z4-
         765252299447202306110883758203929952755941759903/
         1185077411153503256604078864000*ep^3*z3+
         725587525208915529262714/1002001*ep^3*z3^2;
Fill mncnoptab(15,2,1,7)=
      +mncF321*(-5135939394163200-6066644014927287540/143*ep-
         18366756458460844323/143*ep^2-209512586727989336587/1001*ep^3)
      +4751381325171226919029814209042713769685203/
      188029180088217727788672000+28211458851733/40898*ep^-3+
         15051965578149058228489/3173583372960*ep^-2-
         275714512350833033911598129/263852356344568992*ep^-1+
         1382070844736735453188/20449*z3-231145381108355650603650538524\
         3245487558173444070545931830924255002821656080883/
         9416226124918395062532135519610979112413508403200000000000000*
         ep+2073106267105103179782/20449*ep*z4+
         447298895526144181611145173643/396697921620*ep*z3+
         29355170180207181231801150860863355088908192797360927824637046\
         694409279356740039217078443/2630432862190359573237859091852604\
         0380223220797149282304000000000000000*ep^2+
         134060911768378863136626/20449*ep^2*z5+
         447298895526144181611145173643/264465281080*ep^2*z4-8553573218\
         70535911010325084693992361/319544376195844800*ep^2*z3-
         22690716877909240859765457863024691902877604344066936777897904\
         8727822100075290899445060357942519813884402796612258963/
         78756827478985105105055323824382945222072890159394672933302122\
         1903668848518758400000000000000000000*ep^3+
         331697102309105319208595/20449*ep^3*z6+
         549520713344672970251992508677/37780754440*ep^3*z5-85535732187\
         0535911010325084693992361/213029584130563200*ep^3*z4-
         3528763846521659938685222942417099920961088523/
         1612350219256467015787862400*ep^3*z3+48372501657601688857102/
         20449*ep^3*z3^2;
Fill mncnoptab(15,2,2,6)=
      +mncF321*(-14380630303656960-17068834748575987272/143*ep-
         260513616677176402974/715*ep^2-19312469249991644998096/32175*
         ep^3)
      +4889177911844531077720813390399821737205405629/
      69100723682420014962336960000-372364424052523/102245*ep^-3-
         435024872309773773412441/10200803698800*ep^-2-
         23796086412234433814096274808613/148416950443820058000*ep^-1+
         19349007911419673757704/102245*z3-3221814180108332698202175455\
         82127129339347087395670066001842286552338980569444537/
         470811306245919753126606775980548955620675420160000000000000000
         *ep+29023511867129510636556/102245*ep*z4+
         4035341065981038568249530699089/1275100462350*ep*z3+
         81476257729916491848895972511125369882031277393172879648250169\
         73341499320160123794143332661/26304328621903595732378590918526\
         04038022322079714928230400000000000000000*ep^2+
         1876852917134286659434468/102245*ep^2*z5+
         4035341065981038568249530699089/850066974900*ep^2*z4-128670764\
         780951530885732993924706801203/17460817699272948000*ep^2*z3-
         22252643701495047512267237102673927255778665963674330698229807\
         322212418600745785149437926437053755506140466681777651825819/
         24776897924888714066050404875150874566864131244145564104816847\
         64108942197440013926400000000000000000000*ep^3+
         928751954611433492838382/20449*ep^3*z6+
         11747930092919688081496567044839/283355658300*ep^3*z5-12867076\
         4780951530885732993924706801203/11640545132848632000*ep^3*z4-
         13891446714019441880662904862505997936540395021/
         2159397615075625467573030000*ep^3*z3+677214814398281843204892/
         102245*ep^3*z3^2;
Fill mncnoptab(15,3,1,6)=
      +mncF321*(-5777931818433600-6876143711638344360/143*ep-
         21083026831439482548/143*ep^2-3667953195626277744413/15015*
         ep^3)
      +2095363458052914784614881630242373181605850757/
      73707438594581349293159424000-13387318083864/20449*ep^-3-
         144963652227087865263563/19041500237760*ep^-2-
         265797575477027992622743934791/9894463362921337200*ep^-1+
         1554830652289546529772/20449*z3-516653329769512879053245530407\
         585841292176011335597438485945946404235350878110227/
         18832452249836790125064271039221958224827016806400000000000000\
         00*ep+2332245978434319794658/20449*ep*z4+
         12121905535290709582561177727821/9520750118880*ep*z3+
         32575379024070053315384491113371195640259032382841165520819247\
         77635388376932150684227140499/26304328621903595732378590918526\
         04038022322079714928230400000000000000000*ep^2+
         150818534199309292498284/20449*ep^2*z5+
         12121905535290709582561177727821/6347166745920*ep^2*z4-
         5974904462141350829578118090949212129/2037095398248510600*ep^2
         *z3-1993358596111863004920243974578874810309970603188307580708\
         97376647615490426320665123780131650163855921498788462718877953\
         347630933881/2109025313809564707379881432589163892239102426290\
         36466090625445306757966852396441816027627520000000000000000000\
         00*ep^3+373159258867549364921280/20449*ep^3*z6+
         2541869896537590875343689475229/151123017760*ep^3*z5-597490446\
         2141350829578118090949212129/1358063598832340400*ep^3*z4-
         684175099893479938645983309269710003938659115593/
         257976035081034722526057984000*ep^3*z3+54419051100044810742852/
         20449*ep^3*z3^2;
Fill mncnoptab(15,3,2,5)=
      +mncF321*(-13481840909678400-16138629348942741480/143*ep-
         49971819377341375164/143*ep^2-1257924689972165139943/2145*ep^3
         )
      +19955411592014622320786935874571461967380821/
      300846688141148364461875200-496951927663548/20449*ep^-3-
         861412294366285344068257/2720214319680*ep^-2-
         25365649083520621431389793442/17668684576645245*ep^-1+
         3627946739140695220956/20449*z3-115190650239898411636641203785\
         3264090062386929355637056352897013365366298263818083/
         18079154159843318520061700197653079895833936134144000000000000\
         00*ep+5441920108711042831434/20449*ep*z4+
         810489056888639830283549419051/272021431968*ep*z3+
         57732357851693602345614916476884688175683661031102043415687252\
         72177718429593692644882780161/20201724381621961522466757825427\
         99901201143357221064880947200000000000000*ep^2+
         351910010583713944936812/20449*ep^2*z5+
         810489056888639830283549419051/181347621312*ep^2*z4-3899038212\
         70968438190121258717598869/58202725664243160*ep^2*z3-
         77605978170806732414909036555301632218423770692578093204580964\
         4039034889102459931671868998154456600915025304055978108186267/
         71607843097446792989208412237067622327139114467290590322300144\
         087763281024118970908672000000000000000000*ep^3+
         870705159611433124289640/20449*ep^3*z6+
         1211648028213614495574847437789/30224603552*ep^3*z5-3899038212\
         70968438190121258717598869/38801817109495440*ep^3*z4-
         240767745310962650727041438065512162309662887339/
         36853719297290674646579712000*ep^3*z3+126977705612010978770052/
         20449*ep^3*z3^2;
Fill mncnoptab(15,3,3,4)=
      +mncF321*(-10111380682258800-12217655408835707460/143*ep-
         38422413553781979918/143*ep^2-328879844752495639402/715*ep^3)
      +977825119884140707959826689842688071250528617/
      19655316958555026478175846400-39343872566051193/163592*ep^-3-
         1632860859717842331462507/604492071040*ep^-2-80836111269909169\
         0533926972908553/84432754030262077440*ep^-1+
         2721063288533014147002/20449*z3-401369454909939932730615838960\
         681176180512236631476756423365830890492126918073/
         847460351242655555627892196764988120117215756288000000000000*
         ep+4081594932799521220503/20449*ep*z4+
         135717262923733535432672837939/60449207104*ep*z3+
         10956616844985411879174102416271652979662370170233509374603412\
         5952431265583315876422017/520305401312378816684411688498317282\
         24617359818537041920000000000000*ep^2+527867188326121890222333/
         40898*ep^2*z5+407151788771200606298018513817/120898414208*ep^2
         *z4-12042000746297462644221988195514168671/2483316295007708160
         *ep^2*z3-20456351219630681721682177272266337189408333615923397\
         19363173169937213069683936865646568375887538074342380570855051\
         2377569/829084558362626150078178647932298564756407559691598866\
         0753813557661342381073774600519680000000000000000*ep^3+
         2612125308745279309641645/81796*ep^3*z6+
         1878849998974561825750131979577/60449207104*ep^3*z5-1204200074\
         6297462644221988195514168671/1655544196671805440*ep^3*z4-
         260790904636216033471775832635552358323199265289/
         49138292396387566195439616000*ep^3*z3+190464235411663391350683/
         40898*ep^3*z3^2;
Fill mncnoptab(15,4,1,5)=
      +mncF321*(-2832319518840000-3412369437142339800/143*ep-
         10679383203592971060/143*ep^2-1144536421368277891273/9009*ep^3
         )
      +6487011430490193898695438994178377422461551/
      465520664807882206062059520+37563148260420/20449*ep^-3+
         5215647625352884257227/601310533824*ep^-2-
         8858890741753052268726005299/156228368888231640*ep^-1+
         762170389886263642340/20449*z3-5065381816893378778275516180406\
         327493254912803735677564856048183458402215127/3806137717861751\
         2673814105679269641885966181335040000000000*ep+
         1143255584829395463510/20449*ep*z4+
         188799485572019902482952554755/300655266912*ep*z3+
         10089119962874008500107971601888459645317136465132151062090881\
         0065783299003123572988771/170119784266290202294456908003604202\
         206412072187037042606080000000000*ep^2+73930640100243215619380/
         20449*ep^2*z5+188799485572019902482952554755/200436844608*ep^2
         *z4-300461917246295840902584752380304401/218719716443524296*
         ep^2*z3+371112027880582051999111465583383567481228757637303753\
         17417437673676082716753282978995313318928549253219038993499236\
         734784117509277/7411891074042292301545219150485514729640549915\
         67721627261979164971820382451122778432109381272207360000000000\
         0000*ep^3+182921174275892379942600/20449*ep^3*z6+
         41124659160702335670891308435/4772305824*ep^3*z5-3004619172462\
         95840902584752380304401/145813144295682864*ep^3*z4-11829044912\
         164775087491329735267372494988699559/
         8146611634137938606086041600*ep^3*z3+26676026206701635535580/
         20449*ep^3*z3^2;
Fill mncnoptab(15,4,2,4)=
      +mncF321*(-5286996435168000-6412435080223737600/143*ep-
         1560826488369016680/11*ep^2-315063002909041240736/1287*ep^3)
      +890355852897792240179859760926471622773197/
      34229460647638397504563200-1890036809701180/20449*ep^-3-
         22902662606147646706481/21475376208*ep^-2-
         1245410336882144477625479513143/312456737776463280*ep^-1+
         1422763535034373614320/20449*z3-264198932798901475239745551730\
         795709423737107907664084091763949458020985170203/
         1070476233148617543951021722229458678042798850048000000000000*
         ep+2134145302551560421480/20449*ep*z4+
         12629070533783486789444226043/10737688104*ep*z3+
         16342538385598092878778649492238115054784713993121588377982717\
         93413274522914020674853323/14951934164029412311036251680004275\
         58454793603206380257280000000000000*ep^2+
         138004336574323322316640/20449*ep^2*z5+
         12629070533783486789444226043/7158458736*ep^2*z4-1951586809283\
         14364304117214800699239/78114184444115820*ep^2*z3+
         82530439932368541203741405553434084443164918559730531987788043\
         54496136991845918265834750354684113865230177094525032052180858\
         281/7008453350505630412216221375988606164979171139672596411626\
         937874809187821556558681886456545280000000000000000*ep^3+
         341453932598222371755800/20449*ep^3*z6+
         19646339555594351808512152789/1193076456*ep^3*z5-1951586809283\
         14364304117214800699239/52076122962743880*ep^3*z4-118909112543\
         167152661127796084828563293799921/41564345072132339826969600*
         ep^3*z3+49794729856508167288800/20449*ep^3*z3^2;
Fill mncnoptab(15,4,3,3)=
      +mncF321*(-2973935494782000-3643301901537566100/143*ep-
         11718629936967356550/143*ep^2-61925855061190276430/429*ep^3)
      +1297426643747242577025403072300098734422799/
      88670602820548991630868480-54495519069607245/163592*ep^-3-
         213894121882160774769217/57267669888*ep^-2-
         25113277289921893577110709498411/1904498211208919040*ep^-1+
         800427933865198109730/20449*z3-1361199040035358074807075868144\
         0809103347326135173261999939166352051850484767493/
         98959580664405532951916674766101068903512071471104000000000000
         *ep+1200641900797797164595/20449*ep*z4+
         19041214297153109345684687741/28633834944*ep*z3+
         83363278167971501216843610919744652735930441411430298415479582\
         635206982390141785041889113/1382223247163607893642462377529284\
         14292709808651967597117440000000000000*ep^2+
         155257526700121638232545/40898*ep^2*z5+
         19041214297153109345684687741/19089223296*ep^2*z4-179825990433\
         6924955043223589362213967/1333148747846243328*ep^2*z3-
         11236338634469682753083394791507054879175310692054400026941068\
         263945841750810577475178570013780819220781417629168732153920069
       /459865568371803304576696423386448270584887393108940171049811525\
         3316157907368920311754915840000000000000000*ep^3+
         768283354161956210065425/81796*ep^3*z6+
         30502921870156650840948375263/3181537216*ep^3*z5-1798259904336\
         924955043223589362213967/888765831897495552*ep^3*z4-2690140361\
         847745731640310215682602628082652169/
         1551735549359607353540198400*ep^3*z3+56016403745338018079895/
         40898*ep^3*z3^2;
Fill mncnoptab(15,4,4,2)=
      +mncF321*(-583124606820000-724654423148959800/143*ep-
         2385098663325169260/143*ep^2-2993800186903928288/99*ep^3)
      +45406295315793390356210209585495823284367837/
      15827702603467995006110023680-261068215197816075/1390532*ep^-3-
         3075693426936245481942517/1460325582144*ep^-2-5058059955515092\
         35541246297399645/67990586140158409728*ep^-1+
         2669060318740284132860/347633*z3-17980266853804847688928323189\
         99110044697572635337148736347174863751101950828293959/
         67660520792391520482968278975235165204373144116133888000000000\
         000*ep+4003590478110426199290/347633*ep*z4+
         95919541703982287520689571665/730162791072*ep*z3+
         10868115604214027217466902776508583398293147099726928018053541\
         383396686636071449381775754079/9450519507716430345313573236863\
         5024259693684484262470541639680000000000000*ep^2+
         258772719782891687693495/347633*ep^2*z5+
         95919541703982287520689571665/486775194048*ep^2*z4-22219699976\
         44735311186382765335123389/8946129755284001280*ep^2*z3-
         51963592803645399699241117175765116975978283445306184809836602\
         889513305738992159496466575338391868362330379809081051385529731
       /184952183279534641559440092780737163825859398416001875044096072\
         844309225836993763788393021440000000000000000*ep^3+
         1280518297320757017803175/695266*ep^3*z6+
         159986866272759002441799479195/81129199008*ep^3*z5-22219699976\
         44735311186382765335123389/5964086503522667520*ep^3*z4-
         778290179149970382270049055245390422418234991/
         2082592447824736185014476800*ep^3*z3+93349786657846750848145/
         347633*ep^3*z3^2;
Fill mncnoptab(15,5,1,4)=
      +mncF321*(-629404337520000-772696030094660700/143*ep-
         226679567864504665/13*ep^2-277738046956719629327/9009*ep^3)
      +480489065053187882239067806599851533343687/
      155173554935960735354019840-66638407147965/40898*ep^-3-
         14804816359781667102397/601310533824*ep^-2-
         340117119247037921565741110071/2499653902211706240*ep^-1+
         169372579491059814660/20449*z3-3112129242277977609408596534902\
         4062731939198423926874655830842033245600398943/107047623314861\
         7543951021722229458678042798850048000000000000*ep+
         254058869236589721990/20449*ep*z4+
         42353859301993478110241937845/300655266912*ep*z3+
         11174298265956985062484312925613834968661020117439238674487132\
         212052823994832286854939/8795255390605536653550736282355456226\
         2046682541551779840000000000000*ep^2+16429044123070568403870/
         20449*ep^2*z5+42353859301993478110241937845/200436844608*ep^2*
         z4-247631283768877754097562262209267615/874878865774097184*
         ep^2*z3-641573260199262069271014731848084542591690092402658547\
         51610898073525196172655045174706410144991821711666952430904887\
         8885034791561633/169373292121669570172029421993516645189051628\
         93246763747978820762051364208355735366514999532978176000000000\
         0000000*ep^3+40649178858948771473025/20449*ep^3*z6+
         29255778194448503864363396195/14316917472*ep^3*z5-247631283768\
         877754097562262209267615/583252577182731456*ep^3*z4-3751261348\
         5380798462994726246844110866715421/100575452273307884025753600
         *ep^3*z3+5927986894507810811970/20449*ep^3*z3^2;
Fill mncnoptab(15,5,2,3)=
      +mncF321*(-881166072528000-1089688457303907300/143*ep-
         3558049192555994605/143*ep^2-57463189393797440347/1287*ep^3)
      +3362709809630644172320428512328405607787189/
      775867774679803676770099200-2910195973246275/40898*ep^-3-
         71772796870201617348461/85901504832*ep^-2-
         8059293142918623857965937188289/2499653902211706240*ep^-1+
         237151036199131568220/20449*z3-8801204282138500306075403472734\
         1778385621200110667341322589529340415238381512431/
         21771107746169217249421668448542235158772655723642880000000000\
         00*ep+355726554298697352330/20449*ep*z4+
         8502780499777889519704558933/42950752416*ep*z3+
         28067524563047243706169087552236956387387171468563738814626734\
         220690394046212390835128009/1600469023031545982112324858191802\
         69181032410018067744030720000000000000*ep^2+
         23000980434749683818690/20449*ep^2*z5+
         8502780499777889519704558933/28633834944*ep^2*z4-3427052441073\
         7328350657489067977777/89273353650418080*ep^2*z3-
         69439375163311020092750828720453541169534426124592055637149470\
         85238077546590557464088734976175349256429439255259583555587689\
         90613392041/34446763766611553471431406001881429706004455733109\
         86262700048169206535227441593112763228349462583705600000000000\
         00000*ep^3+56909573496376380626175/20449*ep^3*z6+
         41972101073396828723099147317/14316917472*ep^3*z5-342705244107\
         37328350657489067977777/59515569100278720*ep^3*z4-708905829055\
         23085376054115188241294259355141/129311295779967279461683200*
         ep^3*z3+8298870473572245670110/20449*ep^3*z3^2;
Fill mncnoptab(15,5,3,2)=
      +mncF321*(-330437277198000-412943362656810300/143*ep-
         1371180024645396630/143*ep^2-7538748039688463369/429*ep^3)
      +560535223224003031083854391572655878730733/
      344830122079912745231155200-18228995402392845/163592*ep^-3-
         71672169800153057688593/57267669888*ep^-2-
         59123915885771072841322886625061/13331487478462433280*ep^-1+
         88971130879621160310/20449*z3-15893775152700978223981206888406\
         4897181518589824576250006890222578650113723755897/
         10613415026257493409093063368664339639901669665275904000000000\
         000*ep+133456696319431740465/20449*ep*z4+
         2137660379226307139149604773/28633834944*ep*z3+
         13641282599125936750449047011126921935419728423564876049067227\
         1767837335916055503409759851/211776347511852780847362985700022\
         4633270446711131932112977920000000000000*ep^2+
         17251565491294681733865/40898*ep^2*z5+
         2137660379226307139149604773/19089223296*ep^2*z4-9141797858840\
         42836832992156886642899/6665743739231216640*ep^2*z3-
         10236920548089945596665297627896783432437154891757001273866895\
         09393645711215267770461307551949995087489549185046102481136434\
         29585146127/16792797336223132317322810425917196981677172169891\
         05803066273482488185923377776642472073820363009556480000000000\
         000000*ep^3+85368116147677197066225/81796*ep^3*z6+
         10862382244455867477759474037/9544611648*ep^3*z5-9141797858840\
         42836832992156886642899/4443829159487477760*ep^3*z4-1134244048\
         80239545749793563944357489410822651/
         517245183119869117846732800*ep^3*z3+6223262149815263772975/
         40898*ep^3*z3^2;
Fill mncnoptab(15,5,4,1)=
      +mncF321*(-32395811490000-41080640142269700/143*ep-
         139592622391110290/143*ep^2-1275838720670188439/693*ep^3)
      +11715079655965812612290200232556158993346161/
      73862612149517310028513443840-7470176469590475/2781064*ep^-3-
         154697331834261820659541/2920651164288*ep^-2-33624394951870814\
         9728810888435651/951868205962217736192*ep^-1+
         148215375955025931690/347633*z3-627935931885177546264288981988\
         7104610587022510631944264808601349034645705173984311/
         43302733307130573109099698544150505730798812234325688320000000\
         00000*ep+222323063932538897535/347633*ep*z4+
         75361288977288674277015876335/10222279075008*ep*z3+
         25934574607204473182418944712885491192666845861910211005228075\
         9223035881595639979991055450657/423383273945696079470048081011\
         48490868342770648949586802654576640000000000000*ep^2+
         28751173126422007084335/695266*ep^2*z5+
         75361288977288674277015876335/6814852716672*ep^2*z4-4253098628\
         231701470023950504925553503/339952930700792048640*ep^2*z3-
         11242982821793557106426421740396614702854225836539719047859930\
         45349599154467962708243418289250770808231558317642696185179032\
         279/7413662251878609632193135508516285472093395675454054107030\
         7141620118898103923395000652697436160000000000000000*ep^3+
         142273711872559776104775/1390532*ep^3*z6+
         398251366332525829406732598815/3407426358336*ep^3*z5-425309862\
         8231701470023950504925553503/226635287133861365760*ep^3*z4-
         4299531967226268641422633227812193315128586193/
         184656530373793275071283609600*ep^3*z3+10373749477187027915385/
         695266*ep^3*z3^2;
Fill mncnoptab(15,6,1,3)=
      +mncF321*(-59627779344000-75329972469086580/143*ep-
         254337616054566081/143*ep^2-16636368847613655141/5005*ep^3)
      +1440128837536160990863235985576264094809241/
      4913829239638756619543961600+27590147546289/40898*ep^-3-
         8141921790577722402769/6347166745920*ep^-2-
         1831754192459305318286678795267/26385235634456899200*ep^-1+
         16045166288222170764/20449*z3-12317027870532176621774736269145\
         749404560451694254311337323487750758983620856513/
         45961227464135014193223522280255829779631162083246080000000000\
         00*ep+24067749432333256146/20449*ep*z4+
         8594928171172911243287313157/634716674592*ep*z3+
         72797044871174114349797152120161750831614720948575551927291890\
         655426382428349607665809533/6419659081270978883806103042302675\
         241594744446280272843898880000000000000*ep^2+
         1556429805565233653898/20449*ep^2*z5+
         8594928171172911243287313157/423144449728*ep^2*z4-217002556039\
         457896863883936902147959/9234832472059914720*ep^2*z3+
         60899502552587559680911010280478799386586487389561985925123122\
         27861488339123490740406742559655541879020146497113464800056280\
         121749313/6754267405217951661064981568996358765883226614335267\
         181764800331777520053807045319143584998946242560000000000000000
         *ep^3+3850961598192528707835/20449*ep^3*z6+
         6425029207318090773996729651/30224603552*ep^3*z5-2170025560394\
         57896863883936902147959/6156554981373276480*ep^3*z4-3633098366\
         492281262959522043478152846992652497/
         85992011693678240842019328000*ep^3*z3+561608259682942868118/
         20449*ep^3*z3^2;
Fill mncnoptab(15,6,2,2)=
      +mncF321*(-55652594054400-70850213870781240/143*ep-
         242116855676594094/143*ep^2-6889941357639969236/2145*ep^3)
      +3362683848955059201792711899606491065282451/
      12284573099096891548859904000-436502653355349/20449*ep^-3-
         325261106618436788449667/1360107159840*ep^-2-
         33512723877031120978061799495683/39577853451685348800*ep^-1+
         14986086108079199400/20449*z3-49923724711997612283703380729936\
         36293263921656107330709332697678108331000265689/
         20165488549889237477276820400462245315813172364024217600000000\
         00*ep+22479129162118799100/20449*ep*z4+
         8632628701196711199521148643/680053579920*ep*z3+
         29968220542232892496485803130530582752979502829962803526810141\
         54947764801721136730435753/28741075733751448829284976630717334\
         3086703482225047929618432000000000000*ep^2+
         1452777950590401815100/20449*ep^2*z5+
         8632628701196711199521148643/453369053280*ep^2*z4-208354498905\
         083580039562952000498239/9894463362921337200*ep^2*z3+
         31297166264023988331897069497705420999842628733503571658544334\
         21848463818592753323028355029165449871606730531484593321941808\
         711682501/1825304058285123077969870698469260541486649148901201\
         95985464508966107165584540939399138458735109734400000000000000\
         00*ep^3+3594479661205806539250/20449*ep^3*z6+
         46085511452809294883898267667/226684526640*ep^3*z5-20835449890\
         5083580039562952000498239/6596308908614224800*ep^3*z4-
         251948314920717623779745243566187307401449417/
         6142286549548445774429952000*ep^3*z3+524045444986433147652/
         20449*ep^3*z3^2;
Fill mncnoptab(15,6,3,1)=
      +mncF321*(-10434861385200-13428029465062380/143*ep-
         46662794376392934/143*ep^2-3163379412519155229/5005*ep^3)
      +35088756587295481884359831041780844888982163/
      687936093549425926736154624000-233731966563609/163592*ep^-3-
         47158534702261622192593/1813476213120*ep^-2-161781913309693791\
         178408968125441/985048797019724236800*ep^-1+
         2808411121247351790/20449*z3-148444072782494708738565738346138\
         4279465143529247101940041069268925511815181440013/
         32264781679822779963642912640739592505301075782438748160000000\
         00000*ep+4212616681871027685/20449*ep*z4+
         15187480330427595294578959139/6347166745920*ep*z3+
         86154903814123135658341042062302109797192133424251987262719777\
         47460263983251922087691702233/45066006750522271764318843356964\
         78019599510601288751536417013760000000000000*ep^2+
         544762590551771896485/40898*ep^2*z5+
         15187480330427595294578959139/4231444497280*ep^2*z4-1246637958\
         5768416329301170211883501/3350506112311987200*ep^2*z3-
         24625694958178443648576172160050633031799839941921045117557311\
         90461887053596138189391637769601725596626491005965673579701540\
         6456859473/817736218111735138930502072914228722586018818707738\
         47801488100016816010181874340850814029513329161011200000000000\
         00000*ep^3+2695728841546385964525/81796*ep^3*z6+
         83350537523462230353072990611/2115722248640*ep^3*z5-1246637958\
         5768416329301170211883501/2233670741541324800*ep^3*z4-
         556149720822906395818127921060270683981327531/
         68793609354942592673615462400*ep^3*z3+196554757728116050323/
         40898*ep^3*z3^2;
Fill mncnoptab(15,7,1,2)=
      +mncF321*(-1987592644800-2630887081928280/143*ep-9528679716520518/
         143*ep^2-2031433156236846409/15015*ep^3)
      +143751975346375859487472450075400079883103/
      14741487718916269858631884800-10543230668098/20449*ep^-3-
         126739632337152622605469/19041500237760*ep^-2-
         257031839073923802673576151383/8795078544818966400*ep^-1+
         535131035268236596/20449*z3-5160248785277890936702380488058146\
         0052746871603950629684741910293378020309946879/604964656496677\
         124318304612013867359474395170920726528000000000000*ep+
         802696552902354894/20449*ep*z4+4404124252978373510769221267/
         9520750118880*ep*z3+288761836629561214724734910815338868351312\
         038328010771694191633311456434166267360039402979/
         84498762657229259558097831294308962867490823774164091307819008\
         0000000000000*ep^2+51883918728563452092/20449*ep^2*z5+
         4404124252978373510769221267/6347166745920*ep^2*z4-18253469382\
         364050436128336181414543/30782774906866382400*ep^2*z3-
         15913589206120433450226650889182500333190749426483326484231046\
         75971414015020934341748347678422577899437426179662179371679140\
         8418143747/201513568034677587807873725111006363780126066038692\
         69636795281789858231080533319709664885844356114677760000000000\
         0000*ep^3+128371969233238038740/20449*ep^3*z6+
         3698473376657733011500142809/453369053280*ep^3*z5-182534693823\
         64050436128336181414543/20521849937910921600*ep^3*z4-
         451849252928564100559327001855262864880453463/
         257976035081034722526057984000*ep^3*z3+18716660752440498772/
         20449*ep^3*z3^2;
Fill mncnoptab(15,7,2,1)=
      +mncF321*(-927543234240-1237371880500504/143*ep-22673909374388302/
         715*ep^2-14713542478223669183/225225*ep^3)
      +11694536363634504359960978372071469048014393/
      2579760350810347225260579840000-13658621510098/20449*ep^-3-
         329387153707266870836701/40803214795200*ep^-2-2812581982809711\
         27994546483490623/8311349224853923248000*ep^-1+
         249867632966393044/20449*z3-3798094540351743648854752565068474\
         04152732242702412909857785121829645233751962047/
         96794345039468339890928737922218777515903227347316244480000000\
         00000*ep+374801449449589566/20449*ep*z4+
         30967064766018809824717837253/142811251783200*ep*z3+
         14817148566103585154063858895981276658502280285034729054056822\
         865245952246732869602761343269/9463861417609677070506957104962\
         6038411589722627063782264757288960000000000000*ep^2+
         24214173228429952668/20449*ep^2*z5+
         30967064766018809824717837253/95207501188800*ep^2*z4-154836734\
         191218764081828986211187607/593667801775280232000*ep^2*z3-
         59724426998034917773007516201946720083694759648365588519604894\
         34052050746854786644598980036405014310438912421996851297158463\
         35219139/32242170885548414049259796017761018204820170566190831\
         41887245086377316972885331153546381735096978348441600000000000\
         000*ep^3+59910763988658899060/20449*ep^3*z6+
         185361160086488374753989992777/47603750594400*ep^3*z5-15483673\
         4191218764081828986211187607/395778534516853488000*ep^3*z4-
         72133216648943102591075591414547079002097349/
         85992011693678240842019328000*ep^3*z3+8733323155790945524/
         20449*ep^3*z3^2;
Fill mncnoptab(15,8,1,1)=
      +mncF321*(-13521038400-137826658999800/1001*ep-362096819561894/
         637*ep^2-20568878758300927/15435*ep^3)
      +235470881258513401345403643646589289073481/
      3611664491134486115364811776000-39015355929974/1002001*ep^-3-
         1007244901017410093571613/2799100534950720*ep^-2-
         20982311595342015067036008416213/16290244480713689566080*ep^-1
         +178207741435443068/1002001*z3-1435177511786411010176732816657\
         8717404429140235221064013960799/281178425386923324282661307193\
         29556992360448000000*ep+267311612153164602/1002001*ep*z4+
         661737126399116104091520533/199935752496480*ep*z3+
         11811174027121182049750852923357632500238030174543187283118096\
         378274943/6545624546259087118347088931447369055917489132666880\
         000000*ep^2+17296294911779770836/1002001*ep^2*z5+
         661737126399116104091520533/133290501664320*ep^2*z4-4612482353\
         6336171120617997415837943/40725611201784223915200*ep^2*z3+
         10618422227392939483846572764264376592783029754100563270767518\
         525970486863373323634639973128467139491443/
         17391883894689932495868247020094390097527944084287551822864901\
         54984200722186240000000000000*ep^3+42795217925860819420/
         1002001*ep^3*z6+33358976563265055591606382319/466516755825120*
         ep^3*z5-46124823536336171120617997415837943/
         27150407467856149276800*ep^3*z4-200297357262212843832130712730\
         690713272197917/12640825718970701403776841216000*ep^3*z3+
         6248351311324619996/1002001*ep^3*z3^2;
Fill mncnoptab(16,1,1,7)=
      +mncF321*(-159784781151744-963852165746152844/715*ep-
         15106090548042710113/3575*ep^2-72874947898450264932241/
         10135125*ep^3)
      +34224296418973538829396221593439902742285315533/
      43533455919924609426272284800000+25446841123087/9202050*ep^-3+
         190545866733202969377283/6426506330244000*ep^-2+
         177521097059561165558333965637/13357525539943805220000*ep^-1+
         9674495224952648874572/4601025*z3-1743212986604338530817116479\
         2526381402347882073854051979711890776259614286757/
         2324994104918122237662255683854562743805804544000000000000000*
         ep+4837247612476324437286/1533675*ep*z4+
         28477775198279833482803096592793/803313291280500*ep*z3+
         43331190540541243112549220065913153035600093486388197668748696\
         227678019327046710766143/1298979191205115838635979798445730389\
         146825718377742336000000000000000*ep^2+
         938426337991947395206774/4601025*ep^2*z5+
         28477775198279833482803096592793/535542194187000*ep^2*z4-
         848485216229444059869525580283949390131/
         11000315150541957240000*ep^2*z3+640343883052183745017123049290\
         37489507574656330315184416725291049530823020020088915192283099\
         693238561689557185761/3889226048344943461978040682685577541830\
         760007871341873249487515573673326018560000000000000000000*ep^3
         +464375921383497373166101/920205*ep^3*z6+
         12457413737326244371390836657949/25502009247000*ep^3*z5-
         848485216229444059869525580283949390131/7333543433694638160000
         *ep^3*z4-454263897935538560577186075113952406073928385943/
         5441681989990576178284035600000*ep^3*z3+
         37623056883074350150714/511225*ep^3*z3^2;
Fill mncnoptab(16,2,1,6)=
      +mncF321*(-359515757591424-2183646053956679424/715*ep-
         34617519496263710748/3575*ep^2-81535053610976854984/4875*ep^3)
      +181081694937526867754711441620497491078972197/
      102371442492474096240499200000-67386757886686/511225*ep^-3-
         31769361579040097854513/34002678996000*ep^-2-
         83164591080870489074734611899/494723168146066860000*ep^-1+
         2418627193335636446968/511225*z3-27191267644409717522394578173\
         365390526753184543714719099534401662394602309/1621787182560074\
         105512176118760158163927040000000000000000*ep+
         3627940790003454670452/511225*ep*z4+
         1360772195675406867292824454283/17001339498000*ep*z3+
         32214329885521514671572506625367641569533844637077462213522248\
         498004465935023290374651/4349260684838557495432968075153115142\
         23267539635404800000000000000000*ep^2+234606626554416322036656/
         511225*ep^2*z5+1360772195675406867292824454283/11334226332000*
         ep^2*z4-614446518810012407988455116927200799/
         3637670354015197500*ep^2*z3-2032643510179401463537376467799744\
         32963233166567125921160722920187782410491324850359163531015008\
         207335873356692829619/4096709312977631293989815620891348308013\
         24921364840676336257401473039384497356800000000000000000000*
         ep^3+116093999680540342794844/102245*ep^3*z6+
         2126751321040207423861077718629/1889037722000*ep^3*z5-61444651\
         8810012407988455116927200799/2425113569343465000*ep^3*z4-
         1448756773057006616236462943009343940821924889/
         7312245892319578302892800000*ep^3*z3+84651833672768037148144/
         511225*ep^3*z3^2;
Fill mncnoptab(16,2,2,5)=
      +mncF321*(-674092045483920-825536161283235444/143*ep-
         13262634246663798318/715*ep^2-31775246987874549844/975*ep^3)
      +4889118535925892499966759333687799303926945969/
      1474148771891626985863188480000-106866777166863/817960*ep^-3-
         65360134947552383482837/27202143196800*ep^-2-10619951915784604\
         3587870703910561/6332456552269655808000*ep^-1+
         906984296303060196648/102245*z3-705385389685536346362699669229\
         509752489617599941434788855483972494944688573/2259894269980414\
         8150077125247066349869792420167680000000000*ep+
         1360476444454590294972/102245*ep*z4+
         2049504786468126949749334854377/13601071598400*ep*z3+
         27612760032907966601389907663065831715577707901331455766331289\
         919652464943483853201349/2020172438162196152246675782542799901\
         20114335722106488094720000000000*ep^2+175954953898898086400607/
         204490*ep^2*z5+2049504786468126949749334854377/9067381065600*
         ep^2*z4-57060611103316313612548064838871265479/
         186248722125578112000*ep^2*z3-60700073956314651916623567592156\
         57357748306129313377192674133965919493565385644894439778551069\
         3525552015070154942838047/136054901885148906679495983250428482\
         42156431748785212161237027376675023394582604472647680000000000\
         0000*ep^3+174140985306291966007311/81796*ep^3*z6+
         3280088493122956223024593808851/1511230177600*ep^3*z5-57060611\
         103316313612548064838871265479/124165814750385408000*ep^3*z4-
         290464132312774194908091394118807077864439389181/
         737074385945813492931594240000*ep^3*z3+63488904410613728055513/
         204490*ep^3*z3^2;
Fill mncnoptab(16,3,1,5)=
      +mncF321*(-264349821758400-324874224707540760/143*ep-
         1049785688292340188/143*ep^2-9288293216865257479/715*ep^3)
      +95865030267496453235623186987896472171721483/
      73707438594581349293159424000+2306845275728/20449*ep^-3+
         165454071018416702659/181347621312*ep^-2-
         34090072334876974283133173/366461606034123600*ep^-1+
         71135942480744905876/20449*z3-16607820240369453113722397749895\
         43766680464012059437665619643998131858137/13612539602705557473\
         9288095605858483921573166186496000000*ep+106703913721117358814/
         20449*ep*z4+5367645393468823434184914187/90673810656*ep*z3+
         43012858141838789075021720882354547169330872981924951557346587\
         071263497844460172844529/8080689752648784608986703130171199604\
         80457342888425952378880000000000*ep^2+6900193425149541497652/
         20449*ep^2*z5+5367645393468823434184914187/60449207104*ep^2*z4
         -65074492848769637215220511854225101/549692409051185400*ep^2*
         z3+43948982082863733146255867999202774538869798426436204538805\
         59437869423734835133634643319355631461824956209828845930612729\
         893529/1611280668270063543814178076192503202095771720799394841\
         8738677499387399618502669096350203940700160000000000000*ep^3+
         17072643706671991479440/20449*ep^3*z6+
         26032267915814455010454121879/30224603552*ep^3*z5-650744928487\
         69637215220511854225101/366461606034123600*ep^3*z4-58361124156\
         16828230057349509519888426746349697/
         36853719297290674646579712000*ep^3*z3+2489761894260247789084/
         20449*ep^3*z3^2;
Fill mncnoptab(16,3,2,4)=
      +mncF321*(-396524732637600-491763736584582840/143*ep-
         1612582855764673212/143*ep^2-43606277748081106648/2145*ep^3)
      +31954355431661790937297347292186414368685141/
      16379430798795855398479872000-302273101755667/81796*ep^-3-
         23184020786420284432669/544042863936*ep^-2-1013494152769045158\
         80227649417021/633245655226965580800*ep^-1+
         106705849310240856844/20449*z3-6559555211065373275511974442978\
         26433377951343314712187032773999056875554537/36158308319686637\
         040123400395306159791667872268288000000000*ep+
         160058773965361285266/20449*ep*z4+
         24266145724582402297727851193/272021431968*ep*z3+
         79188589795623646878703511208618706722385559560344297188271920\
         3395396022747832576043/101008621908109807612333789127139995060\
         05716786105324404736000000000*ep^2+10350310042337661051663/
         20449*ep^2*z5+24266145724582402297727851193/181347621312*ep^2*
         z4-54026050690282050472061707514964524219/
         316622827613482790400*ep^2*z3-35086355742438791502919363655843\
         44068570804378509022148984970472441919339646045203730081481435\
         5997305885966171015224469/442178431126733946708361945563892567\
         87008403183551939524020338974193826032393464536104960000000000\
         0000*ep^3+51218020965137100974095/40898*ep^3*z6+
         120749906443169169946539110009/90673810656*ep^3*z5-54026050690\
         282050472061707514964524219/211081885075655193600*ep^3*z4-
         6192419650335677539871202194470067004675363667/
         24569146198193783097719808000*ep^3*z3+3734619994144264933561/
         20449*ep^3*z3^2;
Fill mncnoptab(16,3,3,3)=
      +mncF321*(-174937382046000-219876487472092500/143*ep-
         736550370550316070/143*ep^2-1363718661279587450/143*ep^3)
      +31948546334245095952575615433572776867363861/
      37126709810603938903221043200-35311144574241165/2781064*ep^-3-
         907551872203582079676337/6165819124608*ep^-2-79887729605368515\
         6123628517092573/1435356818514455316480*ep^-1+
         800373917864216927490/347633*z3-210497512992403788019586381690\
         0791888689091666956319669927705110486522212640557/
         266366204621691559528909049578755377131953325709721600000000000
         *ep+1200560876796325391235/347633*ep*z4+
         122168023138564460994254203949/3082909562304*ep*z3+
         12522399204162768573652102169706083142706037638337819702444263\
         258104606105062829277647157/3720484240282044580387627899516323\
         15137877234954879448907776000000000000*ep^2+
         155256386764692958825185/695266*ep^2*z5+
         122168023138564460994254203949/2055273041536*ep^2*z4-507343908\
         73062580553340334504050178651/717678409257227658240*ep^2*z3-
         46175185310830488473801893036543946000319543812520822690179145\
         6121371875811168421207864448221005343797731950318882057217/
         34838300634227523073992153286852141710976317659768194776500873\
         13118301444976454781632512000000000000000*ep^3+
         768278194644822624851025/1390532*ep^3*z6+
         630582269122476527968495513421/1027636520768*ep^3*z5-507343908\
         73062580553340334504050178651/478452272838151772160*ep^3*z4-
         6701372780997687320289960711444363699049115987/
         55690064715905908354831564800*ep^3*z3+56017612226542485576855/
         695266*ep^3*z3^2;
Fill mncnoptab(16,4,1,4)=
      +mncF321*(-78325873113600-98006059720267440/143*ep-
         2933464290553305068/1287*ep^2-8968570891633983328/2145*ep^3)
      +1121204861015999805310987110663607719399661/
      2909504155049263787887872000-118520734121846/552123*ep^-3-
         55100173020702901603/21475376208*ep^-2-
         297699272812125163727438228719/28121106399881695200*ep^-1+
         569092169520454853168/552123*z3-338235817065230533220747162722\
         43303126960514890190850151771788943893294261/95153442946543781\
         68453526419817410471491545333760000000000*ep+
         284546084760227426584/184041*ep*z4+570197018176231067608153369/
         32213064312*ep*z3+40417316353870977267548715758905203360676019\
         546781038163618857991458365152696200497/2658121629160784410850\
         889187556315659475188627922453790720000000000*ep^2+
         18400530344201878794712/184041*ep^2*z5+
         570197018176231067608153369/21475376208*ep^2*z4-22744084931645\
         7073345729265707709663/7030276599970423800*ep^2*z3-
         50861214460383446225229357812747345493174230076781037008780271\
         95876331082038378111038044381146778779284667524600776511759231\
         17047/15055403744148406237513726399423701794582367016219345553\
         75895178849010151853843143690222180709171200000000000000*ep^3+
         136581247157712953827420/552123*ep^3*z6+
         8723093728520538695552017627/32213064312*ep^3*z5-2274408493164\
         57073345729265707709663/4686851066646949200*ep^3*z4-2294759490\
         28185361015144032384030140164888997/
         4364256232573895681831808000*ep^3*z3+19918031457342796833272/
         552123*ep^3*z3^2;
Fill mncnoptab(16,4,2,3)=
      +mncF321*(-88116607252800-111347026500946320/143*ep-
         376123628275149496/143*ep^2-31658257325137446352/6435*ep^3)
      +1681270361264980473594136039767497253838939/
      3879338873399018383850496000-589204497456589/122694*ep^-3-
         2490167303270020619825/42950752416*ep^-2-
         3932628527101308400142548538411/16664359348078041600*ep^-1+
         71142106169739308816/61347*z3-13223260591947424951217512736458\
         896135474744097447316242491883279117051657/3338717296369957252\
         088956638532424726839138713600000000000*ep+
         35571053084869654408/20449*ep*z4+429826526754382221411103093/
         21475376208*ep*z3+14851498322723959452694029086234632302714328\
         85842083830131453101059421013127593855307/88604054305359480361\
         696306251877188649172954264081793024000000000000*ep^2+
         2300086780392887756494/20449*ep^2*z5+
         429826526754382221411103093/14316917472*ep^2*z4-96311863076169\
         312159601859243270303/2777393224679673600*ep^2*z3-
         10913857232757377308128421303862870749043063359688306168922844\
         14285068356444353057699518866857660468304981320325364521235676\
         28507/91244871176657007500083190299537586633832527371026336689\
         4481926575157667790207965872861927702528000000000000000*ep^3+
         17072795587522309901665/61347*ep^3*z6+
         750174912847894324098901591/2386152912*ep^3*z5-963118630761693\
         12159601859243270303/1851595483119782400*ep^3*z4-4038018790508\
         8242349005354672684233328754357/646556478899836397308416000*
         ep^3*z3+2489697050657083218854/61347*ep^3*z3^2;
Fill mncnoptab(16,4,3,2)=
      +mncF321*(-25916649192000-33209077227989040/143*ep-
         114651552387582448/143*ep^2-9914376599416767376/6435*ep^3)
      +1681189294645011467344714328536608691381519/
      13189752169556662505091686400-18966866156092925/2085798*ep^-3-
         375552030472788073528109/3650813955360*ep^-2-
         20964668081397738482972376143599/56658821783465341440*ep^-1+
         355895181741370896184/1042899*z3-24102683187430070241243557505\
         442796286782070501130392590613981070778147476651/
         21028910891186175752282293387796477141996315187609600000000000
         *ep+177947590870685448092/347633*ep*z4+
         2165301722615286541890731813/365081395536*ep*z3+
         70335420271442299453969159029122867234045020445263095754075816\
         7881739772247855872517903/146861220011133338699511627612486440\
         186004171692715571937280000000000000*ep^2+
         11501078369387914113926/347633*ep^2*z5+
         2165301722615286541890731813/243387597024*ep^2*z4-134071994405\
         8199104290846056486315389/141647054458663353600*ep^2*z3-
         45461020523003748066676470590528248325990022709197738878761131\
         549304715388478277883633906111896463056157234192314409094619/
         48860716639504101111273994984810128749644285517824893174042474\
         56648417776579477831239598080000000000000000*ep^3+
         85368349816055928613985/1042899*ep^3*z6+
         3918256040661463952174172439/40564599504*ep^3*z5-1340719944058\
         199104290846056486315389/94431369639108902400*ep^3*z4-
         216463283141885797228121528515721561999073797/
         10991460141297218754243072000*ep^3*z3+12446386727932430560798/
         1042899*ep^3*z3^2;
Fill mncnoptab(16,4,4,1)=
      +mncF321*(-1919751792000-2508780725222800/143*ep-
         21911186469719260/351*ep^2-1441705182779887912/11583*ep^3)
      +333914921612601963260218474405167643384609/
      35612330857802988763747553280-9569788694861465/28158273*ep^-3-
         18833421092640436573781/3285732559824*ep^-2-
         8811963866289570175623428827619/254964698025594036480*ep^-1+
         711518225381796153440/28158273*z3-4379720260666267628684399314\
         1953692025937107006287301318366864201779722825549/
         525722772279654393807057334694911928549907879690240000000000000
         *ep+355759112690898076720/9386091*ep*z4+
         243016066124300386587481777/547622093304*ep*z3+
         12478315193528981801704819285125203718657011889127965306912166\
         8835444630646866823106989/367153050027833346748779069031216100\
         465010429231788929843200000000000000*ep^2+
         23001271175222711393260/9386091*ep^2*z5+
         243016066124300386587481777/365081395536*ep^2*z4-2942611755049\
         330228096407517006199/4721568481955445120*ep^2*z3-
         64141332365773765087794925923568848072379066471783446888160359\
         50389298798519603438358063078678563100483701748745093894679/
         68647287840625596602616356590229106507764698661406874707332402\
         28349016710896787035625881600000000000000000*ep^3+
         170730738250715845065850/28158273*ep^3*z6+
         12470152783102185076850645957/1642866279912*ep^3*z5-2942611755\
         049330228096407517006199/3147712321303630080*ep^3*z4-
         141386472946833934218064184270983916802474233/
         89030827144507471909368883200*ep^3*z3+24896290219496152015580/
         28158273*ep^3*z3^2;
Fill mncnoptab(16,5,1,3)=
      +mncF321*(-9275432342400-11931487027237260/143*ep-
         3186371295790571/11*ep^2-3603291546951491881/6435*ep^3)
      +3361062364561129998743090790554178176027233/
      73707438594581349293159424000+4801942036031/40898*ep^-3+
         510703287878305236683/1632128591808*ep^-2-
         1550120710257798258190709849789/237467120710112092800*ep^-1+
         2495911384996424276/20449*z3-427867982735599412479821794170819\
         8282833566886449093142512628827378673169179/104457335145761395\
         89368982336421779495370718655283200000000000*ep+
         3743867077494636414/20449*ep*z4+1735009252552723144717318061/
         816064295904*ep*z3+9898341209396346436263044246783549233460132\
         43161046068564095300262545824160380480007/58360537102463444398\
         2373003845697749235885858752752076718080000000000*ep^2+
         242111258286879997302/20449*ep^2*z5+
         1735009252552723144717318061/544042863936*ep^2*z4-197027200113\
         346142807596299008568463/59366780177528023200*ep^2*z3+
         14022192986855401256499129587805748447605314312157102346674595\
         27282749676362440268200591155333572972926466345949247580894890\
         78231/15815777670620547966681086318586515016530971410977898359\
         50435339396939957503027140846294008017715200000000000000*ep^3+
         599038367254708932565/20449*ep^3*z6+
         9513399530926063070953188653/272021431968*ep^3*z5-197027200113\
         346142807596299008568463/39577853451685348800*ep^3*z4-
         265462421734889121673661319114827711436266707/
         36853719297290674646579712000*ep^3*z3+87361303515920649194/
         20449*ep^3*z3^2;
Fill mncnoptab(16,5,2,2)=
      +mncF321*(-6956574256800-9041493696603480/143*ep-
         31893558522983808/143*ep^2-943129711668270352/2145*ep^3)
      +1680898375693564898383544887039891753619687/
      49138292396387566195439616000-210992615502459/81796*ep^-3-
         79398019975093954398161/2720214319680*ep^-2-
         66672865765045336170597267067957/633245655226965580800*ep^-1+
         1873231801730396268/20449*z3-712684736720448886683477745429449\
         687091377100985805160102784156671083102073/2350290040779631407\
         608021025694900386458411697438720000000000*ep+
         2809847702595594402/20449*ep*z4+2181326832244682993341374589/
         1360107159840*ep*z3+601165096968117910338498994335509581098561\
         9507039814526719820398865409422154628430929/482761795884348345\
         2060070803870661528605673463947397693440000000000000*ep^2+
         181596895988166004311/20449*ep^2*z5+
         2181326832244682993341374589/906738106560*ep^2*z4-740495066309\
         434014947537325421897507/316622827613482790400*ep^2*z3+
         41639487609740746413803817534630197102750496632286252840817796\
         11960905859399289068170404773669217282237313812441827905972423\
         617863/4893006216848232027191961079812703083239269280271287304\
         97165933125928299352499021699322208730480640000000000000000*
         ep^3+898618320932178040215/40898*ep^3*z6+
         12270883535076194424818473021/453369053280*ep^3*z5-74049506630\
         9434014947537325421897507/211081885075655193600*ep^3*z4-
         27759607946545457794198092682955298384297151/
         4913829239638756619543961600*ep^3*z3+65505911556450487857/
         20449*ep^3*z3^2;
Fill mncnoptab(16,5,3,1)=
      +mncF321*(-1023025626000-1348730063088660/143*ep-4862183840388882/
         143*ep^2-147660969511159783/2145*ep^3)
      +1000474901244534519681107964861477974662993/
      200484232977261270077393633280-646248249510815/2781064*ep^-3-
         39347488103299512112173/10276365207680*ep^-2-
         13913277690972249830584714111283/615152922220480849920*ep^-1+
         4681193723368742482/347633*z3-20268403296200347228396070763487\
         5867538790334662123331690189122819268772757527/461018431076004\
         6222615733550401535373437653714206720000000000000*ep+
         7021790585053113723/347633*ep*z4+244144585045718908549704957/
         1027636520768*ep*z3+879351315325301234749438323246778000722767\
         67344957528995742721291072417689958101700683/49533074204938463\
         3483559927450398052698357265472472639078400000000000000*ep^2+
         907949905236644207763/695266*ep^2*z5+
         732433755137156725649114871/2055273041536*ep^2*z4-337170634190\
         9992036742204388658852831/10765176138858414873600*ep^2*z3-
         61413744666384867500202623943145491073630450277979082455059278\
         07207791549686199721894313627810006699103920939012502466667232\
         5962771/153565118190313743622640009274121758304740143565437324\
         648341308242599035489092000656402662432335462400000000000000000
         *ep^3+4492937588949533613995/1390532*ep^3*z6+
         4265230976401155677080790759/1027636520768*ep^3*z5-33717063419\
         09992036742204388658852831/7176784092572276582400*ep^3*z4-
         44876928310819793642418051427173064145803781/
         51143936983995221958518784000*ep^3*z3+327583234321661219573/
         695266*ep^3*z3^2;
Fill mncnoptab(16,6,1,2)=
      +mncF321*(-371017293696-2497075784074368/715*ep-46364684879512664/
         3575*ep^2-4365455438520924808/160875*ep^3)
      +239596966188004067223871917495919822663847/
      131620426061752409452070400000-8894197880554/102245*ep^-3-
         116131483778743462317511/102008036988000*ep^-2-
         15068036078319557898422843498389/2968339008876401160000*ep^-1+
         499440698531774776/102245*z3-407817231921311258207783209245583\
         69164847119532150900968984296950106066101/26114333786440348973\
         42245584105444873842679663820800000000000*ep+
         749161047797662164/102245*ep*z4+4443076485170756799248849909/
         51004018494000*ep*z3+44608915506994260343551072514874244897955\
         786927031550887764135980562171795488887749/7295067137807930549\
         77966254807122186544857323440940095897600000000000*ep^2+
         48424810976712825312/102245*ep^2*z5+
         4443076485170756799248849909/34002678996000*ep^2*z4-1443553217\
         07431089573067408725375957/1484169504438200580000*ep^2*z3-
         19501687868759966753641180578889840164787389144130676990191822\
         58005530306966149566863949011370130569803691650837955743612279\
         02297/21746694297103253454186493688056458147730085690094610244\
         318485916707924415666623186636542610243584000000000000000*ep^3
         +23962685139090525268/20449*ep^3*z6+
         27151055427206268138601475681/17001339498000*ep^3*z5-144355321\
         707431089573067408725375957/989446336292133720000*ep^3*z4-
         31883708759278520355743021464375048419054487/
         92134298243226686616449280000*ep^3*z3+17469000837419231296/
         102245*ep^3*z3^2;
Fill mncnoptab(16,6,2,1)=
      +mncF321*(-139131485136-946272368618388/715*ep-17846190690457374/
         3575*ep^2-570852692878728976/53625*ep^3)
      +5003453987773563465033593121625595065071737/
      7370743859458134929315942400000-98366786546987/817960*ep^-3-
         65795383420145306669231/45336905328000*ep^-2-19330521667401531\
         7583421133028681/31662282761348279040000*ep^-1+
         187433626867587016/102245*z3-101441340046754527733808968487279\
         17624609235854890426645918529055361677993989/17627175305847235\
         55706015769271175289843808773079040000000000000*ep+
         281150440301380524/102245*ep*z4+745011382456956573948433339/
         22668452664000*ep*z3+55170072928571774204322793391221066034436\
         668847279892339266873796292112078716308211533/
         24620851590101765605506361099740373795888934666131728236544000\
         00000000000*ep^2+36322048869203363259/204490*ep^2*z5+
         745011382456956573948433339/15112301776000*ep^2*z4-52531033139\
         6901472381109447206937903/15831141380674139520000*ep^2*z3-
         48719706952185507581427390163917307450785051834343397082920029\
         57702472256582597985916488843461509632720654289002988645291049\
         90613/14679018650544696081575883239438109249717807840813861914\
         914977993777848980574970650979666261914419200000000000000000*
         ep^3+35947181615468189227/81796*ep^3*z6+
         4659813806445037779865959051/7556150888000*ep^3*z5-52531033139\
         6901472381109447206937903/10554094253782759680000*ep^3*z4-
         98520077837922397872201166395248294700194081/
         737074385945813492931594240000*ep^3*z3+13099456772035483997/
         204490*ep^3*z3^2;
Fill mncnoptab(16,7,1,1)=
      +mncF321*(-2944581696-21760521697768/715*ep-4128155202993826/
         32175*ep^2-3126442995277566929/10135125*ep^3)
      +1645222932183944539947248712985961589250879/11608921578646562513\
      6726092800000-2601080091562/306735*ep^-3-
         1020470159845141840701661/12853012660488000*ep^-2-108277551482\
         780312392008031595689/374010715118426546160000*ep^-1+
         3960171881597676/102245*z3-68934636717498186791910076408794792\
         0941723561621689967802426001/632651457120577479635987941184915\
         0323281100800000000*ep+5940257822396514/102245*ep*z4+
         667153633818463236520087637/918072332892000*ep*z3+
         61471592614889976234904987197044566713883242952668052351214806\
         120782743/1636406136564771779586772232861842263979372283166720\
         00000000*ep^2+1153086298368729836/306735*ep^2*z5+
         667153633818463236520087637/612048221928000*ep^2*z4-2574651568\
         6959975221349626906875207/187005357559213273080000*ep^2*z3+
         19926974412678485318458804959440736365308652468862436600812268\
         02618090988349858106826933255300573146102337/
         65219564605087246859505926325353962865729790316078319335743380\
         8119075270819840000000000000000*ep^3+570602891361968404/61347*
         ep^3*z6+34586064361458578708859667631/2142168776748000*ep^3*z5
         -25746515686959975221349626906875207/124670238372808848720000*
         ep^3*z4-13557367417636694351278965563750604867941459/
         3869640526215520837890869760000*ep^3*z3+416556754313759588/
         306735*ep^3*z3^2;
Fill mncnoptab(17,1,1,6)=
      +mncF321*(-8426150568549-210176546498929521/2860*ep-
         6948628087790826609/28600*ep^2-3978959162279282064557/9009000*
         ep^3)
      +102672131201758028584272240787766447582495511749/247656993677793\
      3336250156646400000+362357512962017/65436800*ep^-3+
         1031714477535060755400103/45699600570624000*ep^-2-182742830782\
         122583538544756097603/1519789572544717393920000*ep^-1+
         56686363153101539268/511225*z3-1132511460725049082664143154246\
         0896264947818025944524403959540903939559/295237346656269490496\
         79437255296034841978470400000000000*ep+85029544729652308902/
         511225*ep*z4+43438295495874985994222864252077/
         22849800285312000*ep*z3+24434148146511224519574898100446326797\
         7582762046007778749045504851439944446162461/148454764709156095\
         844111976965226330188208653528884838400000000000*ep^2+
         175954885804062939593567/16359200*ep^2*z5+
         43438295495874985994222864252077/15233200190208000*ep^2*z4-
         1106599082164879732769307661997265439859/
         312897853170971228160000*ep^2*z3-24844893689148496655821163459\
         29391330384309119507897990034735397352613459667705595137807466\
         657889223677507434529/1906831971131406565929805088996700303366\
         16690671634932985603445049269240784224256000000000000000*ep^3+
         174140922183163690336991/6543680*ep^3*z6+
         10454178162420440784347924746793/362695242624000*ep^3*z5-
         1106599082164879732769307661997265439859/
         208598568780647485440000*ep^3*z4-69177789544316962338170823045\
         17862951529875416641/1238284968388966668125078323200000*ep^3*
         z3+63488963882134766219033/16359200*ep^3*z3^2;
Fill mncnoptab(17,2,1,5)=
      +mncF321*(-12391397894925-62495305851746565/572*ep-
         420496849511934993/1144*ep^2-81970255771650239/120*ep^3)
      +287594130462634007213468872399170594298999393/
      4717276070053206354762203136000+33807917954769/2617472*ep^-3+
         1678840621940328782623/17409371645952*ep^-2+
         124847893342978765486647891193/2894837281037556940800*ep^-1+
         3334492732547056836/20449*z3-854401822961615754275881545755919\
         123013384669132255945467199147807383869/1530510405066101038735\
         382027314546446208163905536000000000*ep+5001739098820585254/
         20449*ep*z4+122355402361217559892638031529/43523429114880*ep*
         z3+37466822141114069877476081628125367793679152835789510572992\
         7954492587814545017161/158351749023099835567052775429574752200\
         755897097477160960000000000*ep^2+10350289013285100791919/
         654368*ep^2*z5+122355402361217559892638031529/29015619409920*
         ep^2*z4-1428368095662697384104565558244792941/
         289483728103755694080*ep^2*z3+60230012526018691893001660075616\
         45677527505384825504408779053153013723600825394681115117580591\
         104795310151273021/1047079571987677973483374570469868070584429\
         571816081744010545637454547254994332234547200000000000*ep^3+
         51217926229217974865835/1308736*ep^3*z6+
         212308011413129591675831763507/4835936568320*ep^3*z5-142836809\
         5662697384104565558244792941/192989152069170462720*ep^3*z4-
         20590959227163869287029527873543106066026679341/
         2358638035026603177381101568000*ep^3*z3+3734644921474750927497/
         654368*ep^3*z3^2;
Fill mncnoptab(17,2,2,4)=
      +mncF321*(-14578115170500-18605218640225805/143*ep-
         127595658788179155/286*ep^2-28020380849429735/33*ep^3)
      +1437970207527352771744605132655934841518443861/
      20048423297726127007739363328000-633413591291691/11124256*ep^-3-
         251072734261485051298057/369949147476480*ep^-2-
         45173680653683953447724804900929/17224281822173463797760*ep^-1
         +66690545877589801272/347633*z3-152656761700802806748257198689\
         46451941047629222870434190536575108096382423/23521348524285950\
         115386395665313955986926804664320000000000*ep+
         100035818816384701908/347633*ep*z4+
         615598114034804395502935994381/184974573738240*ep*z3+
         17822481335529759489990530751605423944583572888919015531335206\
         629785282276234620079/6570713925144898199271713323321606821508\
         820868512392151040000000000*ep^2+51751498230289275730347/
         2781064*ep^2*z5+615598114034804395502935994381/123316382492160
         *ep^2*z4-234709692827974580895783104897786129651/
         43060704555433659494400*ep^2*z3-716549485060728359430430074629\
         49666909700086410244542803868187551770130820615562393541897495\
         38995766694777197103/11186838365493353349005615084261070194048\
         33947973147398988539525405477130183676788736000000000000*ep^3+
         256089869316342786600855/5562128*ep^3*z6+
         1102684826822614095675348644063/20552730415360*ep^3*z5-
         234709692827974580895783104897786129651/
         28707136370289106329600*ep^3*z4-109485294236511826232261631603\
         976739865535956689/10024211648863063503869681664000*ep^3*z3+
         18673153892527819656237/2781064*ep^3*z3^2;
Fill mncnoptab(17,3,1,4)=
      +mncF321*(-5507287953300-7063972142967495/143*ep-
         24410887480495726/143*ep^2-938010680275679147/2860*ep^3)
      +31955111276144614871020581873943105502594561/
      1179319017513301588690550784000-21429179306549/1963104*ep^-3-
         590679822190251597521/4352342911488*ep^-2-
         8147639321164069615359330964547/15197895725447173939200*ep^-1+
         4446023631319138876/61347*z3-675175365643494996198726401856738\
         295244688197283426004101712115417828377/2767217473445405895927\
         811254742818351403153489920000000000*ep+2223011815659569438/
         20449*ep*z4+2743062524418088478765832989/2176171455744*ep*z3+
         78347103586947345359358422624288649414379975554784853619599864\
         9320663788534999493/773025167664105670502554508626071390765743\
         631589693194240000000000*ep^2+1150032908299138799047/163592*
         ep^2*z5+2743062524418088478765832989/1450780970496*ep^2*z4-
         15222840216064954367850697673240008613/7598947862723586969600*
         ep^2*z3-197540408422218838148891898032210321297111316475167792\
         49594035337423642390162009614262766954247445382037592916554046\
         163161/1280310317254038863598554298648038352542824007014603810\
         674971911753234126395265382961874206720000000000000*ep^3+
         17072652679234316430665/981552*ep^3*z6+
         44793708480582194332032205687/2176171455744*ep^3*z5-1522284021\
         6064954367850697673240008613/5065965241815724646400*ep^3*z4-
         2492943221370084937499195025444913956344990189/
         589659508756650794345275392000*ep^3*z3+1244877934699355472467/
         490776*ep^3*z3^2;
Fill mncnoptab(17,3,2,3)=
      +mncF321*(-4859371723500-6314785563515625/143*ep-
         22266277232289510/143*ep^2-526295028599550851/1716*ep^3)
      +31943436803106253252323242133224841581711297/
      1336561553181741800515957555200-1557350944664585/11124256*ep^-3-
         133194417786386455316863/73989829495296*ep^-2-
         46870521917020050950188313199617/5741427274057821265920*ep^-1+
         22230911069428646620/347633*z3-9474792743871483672615997220423\
         7401508918972527383800777564719140570747997/446034460904978017\
         002882762245953535752093481041920000000000*ep+
         33346366604142969930/347633*ep*z4+
         41425811132896970152612645427/36994914747648*ep*z3+
         13532149755733876939482091707359730819198051794011958170770683\
         86833417937188160268521/15575025600343462398273690840466030984\
         31720502165900361728000000000000*ep^2+17250567283361703157545/
         2781064*ep^2*z5+41425811132896970152612645427/24663276498432*
         ep^2*z4-522172517223282897514281272555314687/
         318968181892101181440*ep^2*z3-35903301383081500865648207629453\
         67315865509663299853363671416644354655361929628915339753273277\
         663915090528502753658213/9917339374683292805992533431736036154\
         24966865877231708969988225189092614373203245006848000000000000\
         000*ep^3+85363599974031369922925/5562128*ep^3*z6+
         77661586370368956793948661361/4110546083072*ep^3*z5-5221725172\
         23282897514281272555314687/212645454594734120960*ep^3*z4-
         2639503658644186449828507932847637350875447213/
         668280776590870900257978777600*ep^3*z3+6224333110761294348575/
         2781064*ep^3*z3^2;
Fill mncnoptab(17,3,3,2)=
      +mncF321*(-1079860383000-1429833426771015/143*ep-5658762894848161/
         156*ep^2-211558102969252951/2860*ep^3)
      +31930103180136009361005994914718704513441491/
      6014526989317838102321808998400-18969755466056465/50059152*ep^-3-
         2408700112744684804833863/554923721214720*ep^-2-
         27551091917789999668183141532281/1722428182217346379776*ep^-1+
         44487462430033204652/3128697*z3-108125705953377617991513268066\
         2948171830765787716390758331372961801709744441/234168091975113\
         45892651345017912560626984907754700800000000000*ep+
         22243731215016602326/1042899*ep*z4+
         13949277543581947641885700897/55492372121472*ep*z3+
         75702252751179817734391988920746010145907686349012208277019031\
         25286257213017055519821/40884442200901588795468438456223331333\
         832663181854884495360000000000000*ep^2+5750544468892546750987/
         4171596*ep^2*z5+13949277543581947641885700897/36994914747648*
         ep^2*z4-6908651387619482207843065442401007023/
         21530352277716829747200*ep^2*z3-267407487826888658936515913985\
         02790492922059837722807547654315803224661419693704541276625749\
         89468732667154361272218799/61896681062271600205233119495275610\
         26341139355212792309480520915952903205091495777402880000000000\
         000000*ep^3+85368417784787537171765/25029576*ep^3*z6+
         246188262654054934889093466479/55492372121472*ep^3*z5-69086513\
         87619482207843065442401007023/14353568185144553164800*ep^3*z4-
         14188018449071593264210634553510339399828691531/
         15036317473294595255804522496000*ep^3*z3+
         6223150562674416566951/12514788*ep^3*z3^2;
Fill mncnoptab(17,4,1,3)=
      +mncF321*(-869571782100-1145427466384215/143*ep-4121752477724742/
         143*ep^2-1497102440734027091/25740*ep^3)
      +1680861122128261871978872548795978261321499/
      393106339171100529563516928000+24507678713147/1963104*ep^-3+
         957580946604970870301/13057028734464*ep^-2-
         4064901107926547160818905115699/15197895725447173939200*ep^-1+
         701973081402199292/61347*z3-1967073869158180535778634325048304\
         45071763269364354108470577378024369307/52474642459409178470927\
         38379364159244142276247552000000000*ep+350986540701099646/
         20449*ep*z4+1317381502282488271857808391/6528514367232*ep*z3+
         68998806009734337064448027667718441469805676861804374842909413\
         55436459711332618519/45808898824539595289040267177841267600932\
         955946055892992000000000000*ep^2+181583389758402065399/163592*
         ep^2*z5+1317381502282488271857808391/4352342911488*ep^2*z4-
         2039552918292015452190747564880674101/7598947862723586969600*
         ep^2*z3+668899051076457874775859460834585947637742571439693394\
         31541405849431275602672660867683415417310759657756472640092153\
         35180789/15517835234125341411578773860465575958134783566501077\
         66827350215263873584677224431756567904256000000000000000*ep^3+
         2695671923119943009305/981552*ep^3*z6+
         7656605957112906253646983207/2176171455744*ep^3*z5-20395529182\
         92015452190747564880674101/5065965241815724646400*ep^3*z4-
         333182104817029599283618194932497071432311/
         445698797246145725128704000*ep^3*z3+196563113411156708419/
         490776*ep^3*z3^2;
Fill mncnoptab(17,4,2,2)=
      +mncF321*(-511512813000-683049707183970/143*ep-193005585421593/11
         *ep^2-25959291934547632/715*ep^3)
      +62233801128565039170672607392534808633993/
      24751139873735959268814028800-1000318251576595/5562128*ep^-3-
         127268290265869672648891/61658191246080*ep^-2-
         65792177732495833189426664332457/8612140911086731898880*ep^-1+
         2341484691375382504/347633*z3-30454196358150207426556219547014\
         93506073955506798742236649529617282221786339/14050085518506807\
         5355908070107475363761909446528204800000000000*ep+
         3512227037063073756/347633*ep*z4+245816071051727500890738137/
         2055273041536*ep*z3+843245896631483403882359820545666062556687\
         38126767746697213935622293155424744106096199/98122661282163813\
         1091242522949359952011983916364517227888640000000000000*ep^2+
         907981843296432626547/1390532*ep^2*z5+
         737448213155182502672214411/4110546083072*ep^2*z4-307330476241\
         9332377326667974380327019/21530352277716829747200*ep^2*z3+
         28976267601384280076703579783465956530349619996379519537859496\
         21826147775703098924971628361581218382031702914357562838284221/
         14519889403970888017408442775124598163598260934847448879859926\
         7155889633455894712238512306913280000000000000000*ep^3+
         4493079522654655482655/2781064*ep^3*z6+
         13274363387389945449531889937/6165819124608*ep^3*z5-3073304762\
         419332377326667974380327019/14353568185144553164800*ep^3*z4-
         770379655328115744418369484696622545922959987/
         1670701941477177250644946944000*ep^3*z3+327531336802274530597/
         1390532*ep^3*z3^2;
Fill mncnoptab(17,4,3,1)=
      +mncF321*(-56834757000-77359273642665/143*ep-3508123149546701/
         1716*ep^2-37560128494027543/8580*ep^3)
      +1662334283415627443092684112992973773447097/
      6014526989317838102321808998400-1138156446430955/50059152*ep^-3-
         188991623307194911620293/554923721214720*ep^-2-
         5349375922842463302211544812141/2870713637028910632960*ep^-1+
         2341098561523382612/3128697*z3-1059171782754309628666226984188\
         5768967790187702318168430057917715474419510607/449602736592217\
         8411389058243439211640381102288902553600000000000*ep+
         1170549280761691306/1042899*ep*z4+744964536005462376893545723/
         55492372121472*ep*z3+22073937537856694920444770769748025475564\
         647284530633171526796005754259578157157322601/
         24153270469455707842245969795676552664910373325895808686489600\
         00000000000*ep^2+302657929158575879497/4171596*ep^2*z5+
         744964536005462376893545723/36994914747648*ep^2*z4-96605885662\
         722510667379373422152511/7176784092572276582400*ep^2*z3-
         12808013575154058319596614022279902365065988938904580475582073\
         186512806771165961297273827654256426379012056965236265647481/
         52527999416686170798169034528470693893941445024077840655175492\
         7011427177596884697653518008320000000000000000*ep^3+
         4493046966148170540215/25029576*ep^3*z6+
         14000719321653173950278734981/55492372121472*ep^3*z5-966058856\
         62722510667379373422152511/4784522728381517721600*ep^3*z4-
         815456390731306002927197860703047495067036161/
         15036317473294595255804522496000*ep^3*z3+327566746982352467261/
         12514788*ep^3*z3^2;
Fill mncnoptab(17,5,1,2)=
      +mncF321*(-43478589105-239377840155657/572*ep-9183695689425957/
         5720*ep^2-299616606958993693/85800*ep^3)
      +6901764948556742420225718146037085340513/
      32354431207497985972305920000-24067120674555/2617472*ep^-3-
         53300044218670613777453/435234291148800*ep^-2-
         56517640386762473933227535967721/101319304836314492928000*
         ep^-1+11705299881282252/20449*z3-36847712075726814247676318040\
         99809728617800906792685608609386754729852491/20661890468392364\
         02292765736874637702381021272473600000000000*ep+
         17557949821923378/20449*ep*z4+2247921978744575155269516097/
         217617145574400*ep*z3+1220088779760258757367647107304235493520\
         8545176124454760312378287048754327316233751/180372539121624656\
         4505960520127499911786735140375950786560000000000000*ep^2+
         36318478386084024123/654368*ep^2*z5+
         2247921978744575155269516097/145078097049600*ep^2*z4-468492412\
         207576477575838291476138703/50659652418157246464000*ep^2*z3-
         19439361109120749215240226153605229348041320292537307134657073\
         697670934929637201640220252579301887628394512790269650588191919
       /376009084519190964972870289695896648216342832572910728115857936\
         77547706090255822769486068449280000000000000000*ep^3+
         179719543949414960295/1308736*ep^3*z6+
         14429604929368839084474073873/72539048524800*ep^3*z5-468492412\
         207576477575838291476138703/33773101612104830976000*ep^3*z4-
         33992177176885995446316601272140057610997259/
         786212678342201059127033856000*ep^3*z3+13101842547648056349/
         654368*ep^3*z3^2;
Fill mncnoptab(17,5,2,1)=
      +mncF321*(-12787820325-71388727202205/572*ep-558955404776181/1144
         *ep^2-18686354717700749/17160*ep^3)
      +554530069785354802381239807074253159481777/
      8910410354544945336773050368000-606068530540263/44497024*ep^-3-
         243345932024469732759341/1479796589905920*ep^-2-
         47941658296174555715759280083861/68897127288693855191040*ep^-1
         +58587220721978172/347633*z3-230491358801458839960307698169147\
         4581303531726243824803650310276815137100841/449602736592217841\
         1389058243439211640381102288902553600000000000*ep+
         87880831082967258/347633*ep*z4+453242150549748826083232781/
         147979658990592*ep*z3+6057918839420442148331224685273009497425\
         8199299403915410655895438242215560628124962783/
         31399251610292420194919760734379518464383485323664551292436480\
         000000000000*ep^2+181615711547413561383/11124256*ep^2*z5+
         453242150549748826083232781/98653105993728*ep^2*z4-39703465260\
         7802336477306010535082191/172242818221734637977600*ep^2*z3-
         25709608912503470960686134514317355768326013699415022330158703\
         21802567788220019397275823006676309678942525433259481261671873\
         98383/68073887890424793709776350431472156062360998706063991532\
         424891619230048632394029728206201874766888960000000000000000*
         ep^3+898704602421551299395/22248512*ep^3*z6+
         2995407636581003588644884893/49326552996864*ep^3*z5-3970346526\
         07802336477306010535082191/114828545481156425318400*ep^3*z4-
         35059053388092859737155912356223697572037131/
         2673123106363483601031915110400*ep^3*z3+65493668457428830353/
         11124256*ep^3*z3^2;
Fill mncnoptab(17,6,1,1)=
      +mncF321*(-414081801-12487017194757/2860*ep-541211607064097/28600
         *ep^2-423677204420841013/9009000*ep^3)
      +1641111350176411944439683396641990144396179/82552331225931111208\
      3385548800000-15605324669647/13087360*ep^-3-
         518958143135715942654893/45699600570624000*ep^-2-4510644224174\
         38361058124064843881/10638527007813021757440000*ep^-1+
         556899243092156/102245*z3-536282260831893195505375919860006101\
         0975814905745732518221538601/359908384495261855081806473207418\
         329502213734400000000*ep+835348864638234/102245*ep*z4+
         337279312719470374200480631/3264257183616000*ep*z3+
         93433587052076825040051088331353495235874065471485169509691127\
         30080910049/18851398693226170900839616122568422881042368702080\
         6144000000000*ep^2+1729629596661579279/3271840*ep^2*z5+
         337279312719470374200480631/2176171455744000*ep^2*z4+941951424\
         8916674086441715389618097/5319263503906510878720000*ep^2*z3+
         39114080337126480828778721755736648890212390134205819368822934\
         43609051703012911613968200831382283488625323/
         10017725123341401117620110283574368696176095792549629849970183\
         2927089961597927424000000000000000*ep^3+1711808820882630287/
         1308736*ep^3*z6+18131861314845708911466196753/7616600095104000
         *ep^3*z5+9419514248916674086441715389618097/
         3546175669271007252480000*ep^3*z4-1374487508100975737287167531\
         5999322426734809/27517443741977037069446184960000*ep^3*z3+
         624835130314759657/3271840*ep^3*z3^2;
Fill mncnoptab(18,1,1,5)=
      +mncF321*(-214384046625-18997246025315145/9724*ep-
         134413205564402085/19448*ep^2-16711793353766229077/1225224*
         ep^3)
      +30198306136833737081241259947409780478123618249/2862914846915290\
      9367051810832384000-43437762142699/756449408*ep^-3+
         36026977406265699715987/528287382596413440*ep^-2+
         8632795149701398729522862504557/3513753491723386614743040*
         ep^-1+16672450375069313172/5909761*z3-307592533496741637773303\
         3071729836332477242130209765352329738290512819/329105287994124\
         404906640927004392799817082863616000000000*ep+
         25008675562603969758/5909761*ep*z4+
         13067613378404438869915208624209/264143691298206720*ep*z3+
         23319217907362932832237773355220352559613803169691386047724043\
         118251082788628303/6129061000135158814135480191850058489198900\
         12426395975680000000000*ep^2+51751417649454193169963/189112352
         *ep^2*z5+13067613378404438869915208624209/176095794198804480*
         ep^2*z4-4370529740830264406106077939657936296639/
         61490686105159265758003200*ep^2*z3+128344519238444218870492931\
         39247230331511654245634429808640733427331069869991010326600690\
         9657593742598038533831/115586705998639776293619270766154267532\
         0474202654116210920732197190084632136600518656000000000000*
         ep^3+256089496187259875742295/378224704*ep^3*z6+
         3523804199359888123595583624701/4192757004733440*ep^3*z5-
         4370529740830264406106077939657936296639/
         40993790736772843838668800*ep^3*z4-254487964011879855961486844\
         9635975618853821118581/14314574234576454683525905416192000*
         ep^3*z3+18673224821229446369453/189112352*ep^3*z3^2;
Fill mncnoptab(18,2,1,4)=
      +mncF321*(-190563597000-4290739245965970/2431*ep-
         15559717125691865/2431*ep^2-7305534388932452/561*ep^3)
      +159784584300256262969831474759721954679427437/170411598030672079\
      565784588288000-265621371546601/283668528*ep^-3-
         7822873865062630849643/1048189251183360*ep^-2-
         3935832663964898240095681608779/439219186465423326842880*ep^-1
         +44460620590212420664/17729283*z3-1800153419207250010925181771\
         73160964428196811806653486941836118966511/22038300535320830685\
         712562076187017844893941760000000000*ep+22230310295106210332/
         5909761*ep*z4+69729664159270078527692130037/1572283876775040*
         ep*z3+74859821100437450480610753783927973649181650644887290020\
         01958723425663914964089/22983978750506845553008050719437719334\
         4958754659898490880000000000*ep^2+5750169981530477762819/
         23639044*ep^2*z5+69729664159270078527692130037/
         1048189251183360*ep^2*z4-62197481391201973252459425317703091441
       /1098047966163558317107200*ep^2*z3-72029570600748516145602486698\
         48739313057834349469917649098734487938836867603485485047093173\
         52697710574148595697/21672507374744958055053613268653925162258\
         89129976467895476372869731408685256125972480000000000000*ep^3+
         85363337311152918029005/141834264*ep^3*z6+
         1231678110795860866144078421359/1572283876775040*ep^3*z5-
         62197481391201973252459425317703091441/
         732031977442372211404800*ep^3*z4-20441238852308062988630080234\
         50045815468166319/12172257002190862826127470592000*ep^3*z3+
         6224368875867036826687/70917132*ep^3*z3^2;
Fill mncnoptab(18,2,2,3)=
      +mncF321*(-127042398000-2910766624604370/2431*ep-5909790288516415/
         1326*ep^2-1338552102695151/143*ep^3)
      +159727128640455488369991115145470839505396843/255617397046008119\
      348676882432000-361388386658369/425502792*ep^-3-
         62436483275841127148771/4716851630325120*ep^-2-
         5982031218316066637054686691417/73203197744237221140480*ep^-1+
         88920244286149848712/53187849*z3-33763875671900719856041807587\
         18227751601796406642757825216367568037321201/63188215294871885\
         7420750579848434175648799098142720000000000*ep+
         44460122143074924356/17729283*ep*z4+
         70371395392122312639725952413/2358425815162560*ep*z3+
         45939415413749893053643814717902143594122420277110009414846726\
         136762284110888745357/2206461960048657173088772869066021056111\
         604044735025512448000000000000*ep^2+5750165076496880931451/
         35458566*ep^2*z5+70371395392122312639725952413/
         1572283876775040*ep^2*z4-6033999319652274085272698886371533411/
         183007994360593052851200*ep^2*z3-73067826858840377371239790333\
         79737249137878503272726587708693638175584842524410309674037035\
         46027548408512839528309/15183890015275861522207258750644810598\
         528047480319981134367800226724293576703524995072000000000000000
         *ep^3+85363273704591715484645/212751396*ep^3*z6+
         1293935864256532413787867334491/2358425815162560*ep^3*z5-
         6033999319652274085272698886371533411/122005329573728701900800
         *ep^3*z4-15144575056502201420538337740730382029545156247/
         127808698523004059674338441216000*ep^3*z3+
         6224409367245405764183/106375698*ep^3*z3^2;
Fill mncnoptab(18,3,1,3)=
      +mncF321*(-45133483500-1042394278361625/2431*ep-3925523847680190/
         2431*ep^2-100297441327004435/29172*ep^3)
      +88487042049138632044878149293868286956953/
      398623621124379133487215411200+107713634176295/189112352*ep^-3+
         6240170125480586752337/1257827101420032*ep^-2+
         946585100392082528802036396557/292812790976948884561920*ep^-1+
         3509881907448149660/5909761*z3-9706450764956887224311583232293\
         680848738000009916259574585109680293073/5158221656724235570781\
         637386517830005296319168512000000000*ep+5264822861172224490/
         5909761*ep*z4+6694891503953705918306479523/628913550710016*ep*
         z3+63973134427327582824827092886562089916513914208345268264237\
         906780716603802968631103/8825847840194628692355091476264084224\
         446416178940102049792000000000000*ep^2+2723751815240686139385/
         47278088*ep^2*z5+6694891503953705918306479523/419275700473344*
         ep^2*z4-1599060996949098714774773056206580597/
         146406395488474442280960*ep^2*z3+69093461599771573924497015481\
         97880030483177842070560534293321386267657215696413754519542788\
         981631515647881440646538547709/7555498006351548708170906861864\
         65163088982050481807869475417062029422641184637314984606433280\
         00000000000000*ep^3+13478363799905504710525/94556176*ep^3*z6+
         41774928835919976347233534147/209637850236672*ep^3*z5-15990609\
         96949098714774773056206580597/97604263658982961520640*ep^3*z4-
         18162159234721350206676918881134376819231239/
         420769377853511307569838489600*ep^3*z3+982813560285741465295/
         47278088*ep^3*z3^2;
Fill mncnoptab(18,3,2,2)=
      +mncF321*(-20059326000-471805147179450/2431*ep-3649684655772995/
         4862*ep^2-1094266651902110/663*ep^3)
      +67182268308370654026782493192779469264125/
      681646392122688318263138353152-917323751227835/141834264*ep^-3-
         2645600200345842052717/34939641706112*ep^-2-
         7083560813628009273560903710019/24401065914745740380160*ep^-1+
         4682808679337406520/17729283*z3-619464807128843981833361729130\
         4278733473842256659963033837029098346766177/758258583538462628\
         9049006958181210107785589177712640000000000*ep+
         2341404339668703260/5909761*ep*z4+751428609262804663889230427/
         157228387677504*ep*z3+3261989157485497957476262009226082100602\
         5462608853762368106201555806130906097756889/105910174082335544\
         30826109771516901069335699414728122459750400000000000*ep^2+
         302659317067036906585/11819522*ep^2*z5+
         751428609262804663889230427/104818925118336*ep^2*z4-4910381875\
         8519648010413122012526541/12200532957372870190080*ep^2*z3-
         74183237327972346783635031312272104216376115869504354980121628\
         3477459542490995221373504579760978653258468083950337/
         95308109634346946170162485696355118833837590338008496966493269\
         115438642758385203045990400000000000000*ep^3+
         4493061669212179533575/70917132*ep^3*z6+
         14631358202232157713576388109/157228387677504*ep^3*z5-49103818\
         758519648010413122012526541/8133688638248580126720*ep^3*z4-
         171289438773480548676025532087271247217954729/
         8520579901533603978289229414400*ep^3*z3+327533802359450060045/
         35458566*ep^3*z3^2;
Fill mncnoptab(18,3,3,1)=
      +mncF321*(-1583631000-38253967014375/2431*ep-47298539634045/748*
         ep^2-4243636873662785/29172*ep^3)
      +1653619600108103989059375338906038185934657/21585469083885130078\
      3327145164800-2114857390689995/1796567344*ep^-3-
         195562562793969570181451/11949357463490304*ep^-2-
         77334040440549476398809683222893/927240504760338134446080*
         ep^-1+2342019468489129380/112285459*z3-13066345326077976450677\
         541100141595806831709439391226086838224576073653/
         210013310309486733953252379308225935929921566146560000000000*
         ep+3513029202733694070/112285459*ep*z4+
         120401207110871676854451307/314456775355008*ep*z3+
         40902892973869556783166903115745788851856241675221936579363166\
         22885136922248935961/17966904531824779838008579076680457171194\
         490078556636315648000000000000*ep^2+908019118779202920315/
         449141836*ep^2*z5+120401207110871676854451307/209637850236672*
         ep^2*z4-33787144702418852193399551089371313/
         154540084126723022407680*ep^2*z3-34961636207468043641216174507\
         01043725760751509270133842537734674041793624477984552415144527\
         852384797859946987757607/5910561594925954748460841906322430966\
         45559138040047592157002901070488113636822521951027200000000000\
         0000*ep^3+4493255204526232013975/898283672*ep^3*z6+
         15687071654708736625997394997/1991559577248384*ep^3*z5-3378714\
         4702418852193399551089371313/103026722751148681605120*ep^3*z4-
         20098131928095780943489787418037572375129901/
         11991927268825072265740396953600*ep^3*z3+327539740028232625565/
         449141836*ep^3*z3^2;
Fill mncnoptab(18,4,1,2)=
      +mncF321*(-3008898900-72495597626865/2431*ep-579979495517835/4862
         *ep^2-5961598750172129/21879*ep^3)
      +1677044046971843908077548396663297198924899/11360773202044805304\
      3856392192000-332308704458101/567337056*ep^-3-
         29696596603013755797835/3773481304260096*ep^-2-159862811497664\
         203069835797245227/4392191864654233268428800*ep^-1+
         702307207806535016/17729283*z3-9036012146530721835236059355176\
         17292796550088349895927386795527888440247/75825858353846262890\
         49006958181210107785589177712640000000000*ep+
         351153603903267508/5909761*ep*z4+6850449246381844276312275907/
         9433703260650240*ep*z3+457642483710415341746849828710450521410\
         2771055654543285215036113753808208229389099/105910174082335544\
         30826109771516901069335699414728122459750400000000000*ep^2+
         181592024376811810727/47278088*ep^2*z5+
         6850449246381844276312275907/6289135507100160*ep^2*z4-95985104\
         0227753721200748516644512701/2196095932327116634214400*ep^2*z3
         -1873894216758391891372723822494542928460199093572865357261286\
         45771760195154643428154142894788700826189515543770450429467231/
         12351495663921777934311393279103659727666958874491831416993510\
         309422530746504547860040658400051200000000000000*ep^3+
         2695788077339915760265/283668528*ep^3*z6+
         46740001375087231166510133203/3144567753550080*ep^3*z5-
         959851040227753721200748516644512701/1464063954884744422809600
         *ep^3*z4-6728845931670760207724897115646784958206597/
         2103846889267556537849192448000*ep^3*z3+196528059987911019571/
         141834264*ep^3*z3^2;
Fill mncnoptab(18,4,2,1)=
      +mncF321*(-668644200-16411146518970/2431*ep-202190090569495/7293*
         ep^2-476556139667144/7293*ep^3)
      +1657248373227407080745100684898091949818099/51123479409201623869\
      7353764864000-779957966724727/851005584*ep^-3-
         20876758196050631567219/1886740652130048*ep^-2-
         34415167797549979766107349296801/732031977442372211404800*
         ep^-1+468873773523429064/53187849*z3-2777752348679330428141829\
         0899824834184030758895467707930389152902574719/108322654791208\
         9469864143851168744301112227025387520000000000*ep+
         234436886761714532/17729283*ep*z4+769554731537853322161842923/
         4716851630325120*ep*z3+993476447610268688667900825520231690194\
         96488128015549751916863185612493353484789/10807160620646484113\
         08786711379275619319969328033481883648000000000000*ep^2+
         60541373150187436829/70917132*ep^2*z5+
         769554731537853322161842923/3144567753550080*ep^2*z4-349224784\
         5842010032502921192369169/52287998388740872243200*ep^2*z3-
         18417002221876250592418556274152430344700765361774431534953370\
         790972036820358760993350600846212375060702348894121251186378509
       /804977220978591872333198344227624125659552037096855898746896438\
         72704858800867241558462939933966336000000000000000*ep^3+
         898743121782342971155/425502792*ep^3*z6+
         16333990386171752238666953201/4716851630325120*ep^3*z5-3492247\
         845842010032502921192369169/34858665592493914828800*ep^3*z4-
         186892145667143182449723095279623807339577879/2556173970460081\
         19348676882432000*ep^3*z3+65487944142298360417/212751396*ep^3*
         z3^2;
Fill mncnoptab(18,5,1,1)=
      +mncF321*(-35820225-3771000125865/9724*ep-33886804431745/19448*
         ep^2-5535543295516681/1225224*ep^3)
      +1635888878523442819222446973688834287791379/95430494897176364556\
      83936944128000-78051688260107/756449408*ep^-3-
         106077654660166691835913/105657476519282688*ep^-2-474380035066\
         752308787822402458089/122981372210318531516006400*ep^-1+
         2784494648903788/5909761*z3-1578587471099548562237242120143861\
         682872086682366137332391450279/1273634976968947054513984539880\
         945680320078807040000000*ep+4176741973355682/5909761*ep*z4+
         342297066064270539168501367/37734813042600960*ep*z3+
         10157771801030914357288966057081853677878037482550572063847052\
         173915308581/2594311534448744471591737647343940101248211692810\
         141696000000000*ep^2+8648144749934264907/189112352*ep^2*z5+
         342297066064270539168501367/25156542028400640*ep^2*z4+16351006\
         9593085896217199175352301873/61490686105159265758003200*ep^2*
         z3+30773783737337663315775521847574838297577414609056734928825\
         60026065640915658908877576079798503058632733209/
         16543557489403799559955496411159957446827952480267674437950759\
         8376737136581720145920000000000000*ep^3+42795204605846718455/
         378224704*ep^3*z6+19268712851686511028843286801/
         88047897099402240*ep^3*z5+163510069593085896217199175352301873/
         40993790736772843838668800*ep^3*z4-691542893969324664449193277\
         23823189053615293/1590508248286272742613989490688000*ep^3*z3+
         3124175676638710157/189112352*ep^3*z3^2;
Fill mncnoptab(19,1,1,4)=
      +mncF321*(-2352637000-55248019868125/2431*ep-6272104821527905/
         71604*ep^2-3164791404227489315/16540524*ep^3)
      +223643740284031841902532228132732662943421149/193246752166782138\
      22759972311859200+863637839200495/22977150768*ep^-3+
         19302509272442692922305/118864661084193024*ep^-2-
         9190730537414346703476268194863/11858918034566429824757760*
         ep^-1+44457233315406284300/1436071923*z3-942564435989729971266\
         61088667784508215243503205373184782479033321/97948002379203691\
         9365002758941645237550841856000000000*ep+22228616657703142150/
         478690641*ep*z4+99816021706602085950952293599/
         178296991626289536*ep*z3+1236443820957370355726646045203202064\
         92711408655360538895081699391564091039/34202349331111377311023\
         8849991632728191902908720087040000000000*ep^2+
         5750113903455512392075/1914762564*ep^2*z5+
         99816021706602085950952293599/118864661084193024*ep^2*z4-
         20033914504658261433642231119811374951/
         41506213120982504386652160*ep^2*z3-268113413149446416791520711\
         63638333595248855617520821108470789025627033707222914889529394\
         0470847554818291/681601038536767467598903736202902149255191386\
         56898572211304138057190860342165504000000000000*ep^3+
         85362563885524560195125/11488575384*ep^3*z6+
         276770855646148793291535576119/25470998803755648*ep^3*z5-
         20033914504658261433642231119811374951/
         27670808747321669591101440*ep^3*z4-229348176305135172689627203\
         74140807366724834401/9662337608339106911379986155929600*ep^3*
         z3+6224546138139364706855/5744287692*ep^3*z3^2;
Fill mncnoptab(19,2,1,3)=
      +mncF321*(-1114407000-26808151093395/2431*ep-3851267746559765/
         87516*ep^2-8769528372738917/87516*ep^3)
      +8406396738712140429933448530842770675677253/15337043822760487160\
      92061294592000+69997892896981/2553016752*ep^-3+
         6614778697391310421099/28301109781950720*ep^-2+
         64826872633452270188712455029/188236794199467140075520*ep^-1+
         2339867370963487316/159563547*z3-74053265091764807843717001602\
         751003069034883169070369750199667469621/1671645907271743009049\
         604708593741205420103434240000000000*ep+1169933685481743658/
         53187849*ep*z4+3801305719438615463344039103/14150554890975360*
         ep*z3+14979926817522278213962060664691681528502291463365378551\
         4264978213585497994703/933952152401548009773025553043818436449\
         356209411651010560000000000*ep^2+302638657322763914761/
         212751396*ep^2*z5+3801305719438615463344039103/
         9433703260650240*ep^2*z4-78344449650841558330341269058347449/
         470591985498667850188800*ep^2*z3+31073042007138535390049561230\
         55296640957751925677977450924947354482743840025416104710295763\
         950166226108244027/4449491579568018028485643589932545230337889\
         371522338793953934132373419363136564101120000000000000*ep^3+
         4492782512422188975095/1276508376*ep^3*z6+
         77574994409026056577551759121/14150554890975360*ep^3*z5-
         78344449650841558330341269058347449/313727990332445233459200*
         ep^3*z4-907310764613272664819396505817199459686288777/76685219\
         1138024358046030647296000*ep^3*z3+327607651222990720253/
         638254188*ep^3*z3^2;
Fill mncnoptab(19,2,2,2)=
      +mncF321*(-351918000-8681625582210/2431*ep-215403555614765/14586*
         ep^2-767404764283519/21879*ep^3)
      +8391364102720583505455746433750596292135881/48567305438741542676\
      24860766208000-752389224318683/8084553048*ep^-3-
         34274931581783156068859/29873393658725760*ep^-2-
         19881829338063287209920309937577/4172582271421521605007360*
         ep^-1+4682425351814812504/1010569131*z3-3623154612488139559576\
         95201693952875545530338661272045378003789135773/26798573450950\
         130113826475484643413699391033180160000000000*ep+
         2341212675907406252/336856377*ep*z4+10678950084347046884860471/
         124127674482240*ep*z3+5298609742971746663122734994332596957643\
         99071378747871335570529664786545725303/11229315332390487398755\
         361922925285731996556299097897697280000000000*ep^2+
         302656339822299271417/673712754*ep^2*z5+
         10678950084347046884860471/82751782988160*ep^2*z4-324814550407\
         459263621791934243102931/10431455678553804012518400*ep^2*z3-
         27989384451647512246233484260971472077522269295474216467086267\
         9694555723015423836658605331021676247849703051/
         17728443012341321832247486178637484902127527964659318632160206\
         30867534277499724759040000000000000*ep^3+
         4493020843816340946215/4042276524*ep^3*z6+
         82668980493692152955609381017/44810090488088640*ep^3*z5-
         324814550407459263621791934243102931/6954303785702536008345600
         *ep^3*z4-943779137343581964281590752665556072788221549/2428365\
         271937077133812430383104000*ep^3*z3+327540951811109586221/
         2021138262*ep^3*z3^2;
Fill mncnoptab(19,3,1,2)=
      +mncF321*(-111440700-2791206796245/2431*ep-106031509241210/21879*
         ep^2-60629227352689/5148*ep^3)
      +1676310915031224242525940128752216981003259/30674087645520974321\
      84122589184000-91463245730647/5106033504*ep^-3-
         2939951990197388645291/11320443912780288*ep^-2-
         17199288254941072531326070073723/13176575593962699805286400*
         ep^-1+234085818591461732/159563547*z3-355373523363046381706101\
         61414176074462394886016266043037572369272113/84627074055631989\
         83313623837255814852439273635840000000000*ep+
         117042909295730866/53187849*ep*z4+777410420590644972684317803/
         28301109781950720*ep*z3+37421127501738854505731193062261245599\
         13932520256330413502388086587146093083/26267404286293537774866\
         3436793573935251381433897026846720000000000*ep^2+
         60530177193073495229/425502792*ep^2*z5+
         777410420590644972684317803/18867406521300480*ep^2*z4-37624897\
         276986954581123715969570989/6588287796981349902643200*ep^2*z3-
         66177800968779433157514617658373583017842694944469290402007289\
         51816415538815390780472201457070852984961452193805739913/
         24144901561643627049621162457122278553136844661310465905784121\
         208219097576703289580301341163520000000000000*ep^3+
         898589225152443959155/2553016752*ep^3*z6+
         17157723463508216095235462561/28301109781950720*ep^3*z5-
         37624897276986954581123715969570989/4392191864654233268428800*
         ep^3*z4-193151228945810990528096124047172217355699039/15337043\
         82276048716092061294592000*ep^3*z3+65510917840820374657/
         1276508376*ep^3*z3^2;
Fill mncnoptab(19,3,2,1)=
      +mncF321*(-17595900-452152286565/2431*ep-5930873000990/7293*ep^2-
         540765735627763/262548*ep^3)
      +548962418444278084086784742957726380504873/647564072516553902349\
      9814354944000-1056027014859607/32338212192*ep^-3-
         84986188689610883050241/215088434342825472*ep^-2-1409462379044\
         66147594147513817083/83451645428430432100147200*ep^-1+
         234569053602280292/1010569131*z3-16709469076218512643383245233\
         224010730222679506230176373555094914475151/2646167709899532847\
         8109799792836467927170117334466560000000000*ep+
         117284526801140146/336856377*ep*z4+6561008618542669286940569/
         1489532093786880*ep*z3+155455969385273245680238742230170323494\
         1217376295026042899152815452079729235951/739209786452219513335\
         210110583424523614859020374901608415232000000000*ep^2+
         60545685192644879549/2694851016*ep^2*z5+
         6561008618542669286940569/993021395857920*ep^2*z4+381052507785\
         7111692979746476364017/13908607571405072016691200*ep^2*z3-
         87079411382423248977179742707732917107493211493765396724969977\
         59866918387991829475214215978881112828067789251/
         15838373904250075602621754182776215083174176820018904743702963\
         08915452663914856143912960000000000000*ep^3+
         898802515745581981555/16169106096*ep^3*z6+
         675780638740646806979414643/6638531924161280*ep^3*z5+381052507\
         7857111692979746476364017/9272405047603381344460800*ep^3*z4-
         196422918148149314718062623134208239570710239/9713461087748308\
         535249721532416000*ep^3*z3+65480009862653068417/8084553048*
         ep^3*z3^2;
Fill mncnoptab(19,4,1,1)=
      +mncF321*(-1768900-48227855515/2431*ep-1672259234470/17901*ep^2-
         384572709879289/1503684*ep^3)
      +1629267540634438031396841372393248026813499/19324675216678213822\
      7599723118592000-233714905781041/45954301536*ep^-3-
         12083433697752247933945/237729322168386048*ep^-2-1678310468790\
         06605063067977339963/830124262419650087733043200*ep^-1+
         33414045826595276/1436071923*z3-357975587462579364663196533843\
         551331790598486937471441279575020159/6189865988069082684937964\
         863821396006355583002214400000000*ep+16707022913297638/
         478690641*ep*z4+116402235243339254731119869/254709988037556480
         *ep*z3+1217618606322323986566106025181566204528499087188012004\
         77565537102454013681/72047737470976560753919114091951707954664\
         6218688987922432000000000*ep^2+8648163676771233947/3829525128*
         ep^2*z5+116402235243339254731119869/169806658691704320*ep^2*z4
         +126318024302254562177056415392868371/
         415062131209825043866521600*ep^2*z3-65713716399986413398224441\
         39465417481305250149813742874473657256123213416293198628619010\
         5428907406973097/148892017404634196039599467700439617021451572\
         322409069941556838539063422923548131328000000000000*ep^3+
         128385893318504698165/22977150768*ep^3*z6+
         20834540112754586509713001121/1782969916262895360*ep^3*z5+
         126318024302254562177056415392868371/
         276708087473216695911014400*ep^3*z4-20453168624245148726338261\
         9590125262550818719/96623376083391069113799861559296000*ep^3*
         z3+9372526589757131191/11488575384*ep^3*z3^2;
Fill mncnoptab(20,1,1,3)=
      +mncF321*(-9261000-4475357191095/46189*ep-231202497872435/554268*
         ep^2-3285244903726787/3174444*ep^3)
      +19640866379908793505212286433010184130601561/4306301082235083450\
      62737654603776000-87984485727947/307213015824*ep^-3-
         54341632546570055715713/71516904418989469440*ep^-2+
         1221211406812151580658261555339/158558126314017820990279680*
         ep^-1+2339787668333506628/19200813489*z3-160111127205253935587\
         953047030537473176769995742074127678270899/4677146674456684231\
         35933857113669220576526336000000000*ep+1169893834166753314/
         6400271163*ep*z4+4331435176076639634650054761/
         1882023800499722880*ep*z3+117209019184043143562222328300120870\
         93169860748759100730288374217532137101/10452527499285678060765\
         817976463865809716567199826575360000000000*ep^2+
         302631836097150092713/25601084652*ep^2*z5+
         4331435176076639634650054761/1254682533666481920*ep^2*z4-
         115643650372512214551576170193186971/
         924922403498437289109964800*ep^2*z3+46604335617770594421893262\
         46938565076983766406228002014332338614926845393249257466988099\
         8191674841379/164952898686845073951882547547605440216853260136\
         20059059129298146208277640249344000000000000*ep^3+
         4492681788090581258135/153606507912*ep^3*z6+
         29661281839957290620742145451/567594479515789440*ep^3*z5-
         115643650372512214551576170193186971/
         616614935665624859406643200*ep^3*z4-69396885586533489675343354\
         65850490033924617127/645945162335262517594106481905664000*ep^3
         *z3+327607824857064046109/76803253956*ep^3*z3^2;
Fill mncnoptab(20,2,1,2)=
      +mncF321*(-1852200-929698361550/46189*ep-12638173101505/138567*
         ep^2-9073322364836/37791*ep^3)
      +1678634661731317236352059654074658767202419/18455576066721786216\
      9744709115904000-161649080265463/307213015824*ep^-3-
         2065921960847913863527/378396319677192960*ep^-2-
         14658575394336146644509165502691/792790631570089104951398400*
         ep^-1+468372532369127176/19200813489*z3-1764268427138769949220\
         06325929043858756432324771980125303349695747/27277119405431382\
         43728766254686918894402301591552000000000*ep+
         234186266184563588/6400271163*ep*z4+42153905931749144395057769/
         89620180976177280*ep*z3+74959864390070692553719499472498223419\
         1638615632711103279519493347468954833/380994627348962965314914\
         0652421079087641688744336786718720000000000*ep^2+
         60533232641820277661/25601084652*ep^2*z5+
         42153905931749144395057769/59746787317451520*ep^2*z4+638793276\
         75872517114660472312537051/396395315785044552475699200*ep^2*z3
         -2120067164716220232495660686193369705166001570116194419093152\
         5607776023427155368355041181651399234040941/
         75218521801201353722058441681708080738885086622107469309629599\
         54670974603953700864000000000000*ep^3+898631038979921621395/
         153606507912*ep^3*z6+19430034441927371231320844177/
         1702783438547368320*ep^3*z5+63879327675872517114660472312537051
       /264263543856696368317132800*ep^3*z4-409335226074462144775100345\
         5535506638993863/1883222047624672062956578664448000*ep^3*z3+
         65500020521989992673/76803253956*ep^3*z3^2;
Fill mncnoptab(20,2,2,1)=
      +mncF321*(-185220-96636318975/46189*ep-145511028257/14586*ep^2-
         3403979276479/122265*ep^3)
      +1640015168038613069197847438011744884194099/18455576066721786216\
      97447091159040000-345871420003067/614426031648*ep^-3-
         24756456960862812538471/3783963196771929600*ep^-2-
         41585207848051992535719630067303/1585581263140178209902796800*
         ep^-1+46991120875888168/19200813489*z3-96318745967721320131078\
         024771793574773303691109091191633519307/1623638059847106097457\
         5989611231660085727985664000000000*ep+23495560437944084/
         6400271163*ep*z4+43172295160708554978928793/896201809761772800
         *ep*z3+4730881176307687544134862835248390232448040783744876552\
         487342152456738651/2721390195349735466535100466015056491172634\
         81738341908480000000000*ep^2+12111434811871291561/51202169304*
         ep^2*z5+43172295160708554978928793/597467873174515200*ep^2*z4+
         28937130758190412584737662600416767/
         792790631570089104951398400*ep^2*z3-58891310101375402572276653\
         04257089037342432628765743033801206248325289307573359662881719\
         9749962506759/182289784977401239887641631626588460974338857885\
         2094281738472437994241294325514240000000000000*ep^3+
         179791877343033846695/307213015824*ep^3*z6+
         21174136010833440603259667489/17027834385473683200*ep^3*z5+
         28937130758190412584737662600416767/
         528527087713392736634265600*ep^3*z4-19595057873133828372514054\
         0906812924623756183/922778803336089310848723545579520000*ep^3*
         z3+13090098512243578973/153606507912*ep^3*z3^2;
Fill mncnoptab(20,3,1,1)=
      +mncF321*(-44100-23988316065/46189*ep-1082492951990/415701*ep^2-
         89097415459147/11639628*ep^3)
      +1624860866702823354368183202355527074482619/77513419480231502111\
      29277782867968000-237527410797361/1843278094944*ep^-3-
         37809495706747981340651/28606761767595787776*ep^-2-17946501081\
         6368645780656262319803/33297206525943742407958732800*ep^-1+
         33413092700341196/57602440467*z3-28794605813548593895124114108\
         2244023379277531281551669766779283/218216955243451059498301300\
         374953511552184127324160000000*ep+16706546350170598/
         19200813489*ep*z4+6301448660093220585872431/537721085857063680
         *ep*z3+2863020881152615801968999544297442419838869897747749358\
         08846977954926061/84665472744213992292203125609357313058704194\
         318595260416000000000*ep^2+8647999739055532187/153606507912*
         ep^2*z5+6301448660093220585872431/358480723904709120*ep^2*z4+
         232099355610150873923682834679723411/
         16648603262971871203979366400*ep^2*z3+
         84737473010565981459856338149209743623648187934051102679729799\
         5884283281008059213866530454399061185625261/
         19545461193844707189198330123584982452634188221232608817782552\
         2591279620637821365125120000000000000*ep^3+
         128383472377819334965/921639047472*ep^3*z6+
         23094646244984555458441684001/71516904418989469440*ep^3*z5+
         232099355610150873923682834679723411/
         11099068841981247469319577600*ep^3*z4-190910420803090530205687\
         713507392709567647519/3875670974011575105564638891433984000*
         ep^3*z3+9372530402262147511/460819523736*ep^3*z3^2;
Fill mncnoptab(21,1,1,2)=
      +mncF321*(-9261-20138157879/184756*ep-159291856967/291720*ep^2-
         2799181027296761/1745944200*ep^3)
      +3792948613519108525883139755310280485555751/86126021644701669012\
      547530920755200000+48058202837825/2457704126592*ep^-3+
         1357395891005104561442981/14303380883797893888000*ep^-2-
         2272159425078757943560200019019/6342325052560712839611187200*
         ep^-1+11607499075621408/96004067445*z3-39013376821316934804440\
         79679503302716577166846540227815237/13858212368760545870694336\
         507071680609674854400000000*ep+5803749537810704/32001355815*ep
         *z4+924463597886054990967528653/376404760099944576000*ep*z3+
         74446148497544028338548495679775409345444855053579935555082094\
         7071/107536291144914383341212119099422487754285670780108800000\
         0000*ep^2+12093163420159497769/1024043386080*ep^2*z5+
         924463597886054990967528653/250936506733296384000*ep^2*z4+
         108082366313275207298616483802325347/
         36996896139937491564398592000*ep^2*z3-198489380982220767463877\
         92011352467469236200104298901656795766958483495449625135752710\
         877511/7309037219436007280589584414374065057687675576395027407\
         35455211106074624000000000000*ep^3+35908050290058608251/
         1228852063296*ep^3*z6+7679680109622174390581589163/
         113518895903157888000*ep^3*z5+10808236631327520729861648380232\
         5347/24664597426624994376265728000*ep^3*z4-1330538802013545229\
         232968553407266050832078001/1291890324670525035188212963811328\
         00000*ep^3*z3+2628519506018342137/614426031648*ep^3*z3^2;
Fill mncnoptab(21,2,1,1)=
      +mncF321*(-441-1032862299/184756*ep-510059357939/16628040*ep^2-
         4455261638819/44767800*ep^3)
      +1598920773314503195104925403433219257967779/77513419480231502111\
      2927778286796800000-7178566032265/7373112379776*ep^-3-
         160815425992674398552239/14303380883797893888000*ep^-2-
         7300973000139166170576894539339/133188826103774969631834931200
         *ep^-1+1671380425766944/288012202335*z3-2493002065689274731104\
         53609624392329150717691503044282425727/22173139790016873393110\
         938411314688975479767040000000000*ep+835690212883472/
         96004067445*ep*z4+6581587400928078014650399/
         53772108585706368000*ep*z3+41470167192195494976688659829142562\
         64672000509299877438808561007377/19117562870207001482882154506\
         5639978229841192497971200000000000*ep^2+1730099291847026767/
         3072130158240*ep^2*z5+6581587400928078014650399/
         35848072390470912000*ep^2*z4+813000943689114052229762854857764\
         63/332972065259437424079587328000*ep^2*z3-
         30988836950813669776794033640142365959194679947673705026698409\
         97189798356421901468367023638043/20214708652611585850316336323\
         183128502404771308429675800912018410019435315200000000000000*
         ep^3+5136813701916538093/3686556189888*ep^3*z6+
         26723336204604249086536607489/7151690441898946944000*ep^3*z5+
         81300094368911405222976285485776463/
         221981376839624949386391552000*ep^3*z4-14678116018156778221267\
         4694924016393202302343/387567097401157510556463889143398400000
         *ep^3*z3+374898893560086271/1843278094944*ep^3*z3^2;
Fill mncnoptab(22,1,1,1)=
      +mncF321*(-1-18858053/1293292*ep-62344656649/666633240*ep^2-
         24909977895431/69996490200*ep^3)
      +2648050721727466109579176090643127840524579/34183417990782092431\
      0801150224477388800000-105486731095945/3251542559481216*ep^-3-
         392551175426807500877413/2102596989918290401536000*ep^-2+
         4512380670551928245115956562997/
         58736272311764761607639204659200*ep^-1+1640659124184544/
         127013381229735*z3-1287919916480503178739297460291081792131021\
         807193531/79576453836242196991877635411700666000867328000000*
         ep+820329562092272/42337793743245*ep*z4+
         49926161051428792977208793/165994499204075558016000*ep*z3-
         44781858402888080001896231312516836706747403035010762947911/
         2646400914894377402537641993462350284578123929354240000000*
         ep^2+1708963036358335567/1354809399783840*ep^2*z5+
         49926161051428792977208793/110662999469383705344000*ep^2*z4+
         156319449747777911061025521579612623/1468406807794119040190980\
         11648000*ep^2*z3+479672458548601039428184685247332385962844933\
         4211525616245897228765477/646865565952834457400032584822683975\
         6818534889872143102771200000000*ep^3+724912573871585899/
         232253039962944*ep^3*z6+4870527509455187062929887927/
         450556497839633657472000*ep^3*z5+15631944974777791106102552157\
         9612623/97893787186274602679398674432000*ep^3*z4+1340273548129\
         3664539492694241588523418238457/170917089953910462155400575112\
         238694400000*ep^3*z3+374997201725149951/812885639870304*ep^3*
         z3^2;
*--#] 25 :
#case 24
*--#[ 24 :
Fill mncnoptab(6,6,6,6)=
      +mncF321*(400494664746341028864+15263831319406661863872/5*ep+
         40123336709068148112432/5*ep^2+1902109941766099954789512/175*
         ep^3)
      -431570292877051709634774925366826106977/219356756318700000-
         5412913527453496192/75*ep^-3-2385439937866893487399102/3378375
         *ep^-2-363860740268353820298563981221/202905202500*ep^-1-
         395153304402395052000704/75*z3+4373302981228998490987813638177\
         228466493504431211976031355447/2141792484052375683809280000000\
         00000000*ep-197576652201197526000352/25*ep*z4-
         40805378433711698352890529344/482625*ep*z3-1848485284427817178\
         21068135199759532303688702816671553667421836528919/18523592149\
         27473843402029137920000000000000000*ep^2-
         12780051749958054149992256/25*ep^2*z5-
         20402689216855849176445264672/160875*ep^2*z4+26710710812303519\
         872845139555693487/101452601250*ep^2*z3+1525755945562281857441\
         48717433802942456429227871035279812692802076953345834559029411\
         9751459973/656974775638752986098665944494728725501338189824000\
         0000000000000000000*ep^3-18972500972735883698988032/15*ep^3*z6
         -909916957791796519766838391672/1126125*ep^3*z5+26710710812303\
         519872845139555693487/67635067500*ep^3*z4+13143608555886931084\
         65141324384986245393/109678378159350000*ep^3*z3-
         13835843634857418216057152/75*ep^3*z3^2;
Fill mncnoptab(7,5,5,7)=
      +mncF321*(278121294962736825600+2122601725231556629060*ep+
         33553591961136860317289/6*ep^2+2552737153268419126440029/336*
         ep^3)
      -531487496851358530006850594292874795493/388767666583296000-
         1734107509143891869/54*ep^-3-950076037794957523614119/2993760*
         ep^-2-297911500998459228337411844833/359610451200*ep^-1-
         98799023299238107418300/27*z3+63503652723702259767468309731885\
         1441544223164809317654986522763/448392494199765050850410496000\
         00000000000*ep-49399511649619053709150/9*ep*z4-
         785231386436060565744955412/13365*ep*z3-6877654337118673859769\
         29430557877939433159644136887698037145889473259/99435519513739\
         89767658703159296000000000000000*ep^2-
         3195050862276380258224190/9*ep^2*z5-
         392615693218030282872477706/4455*ep^2*z4+819360610976244770377\
         1145607096913/44951306400*ep^2*z3+2776001656133297008293268379\
         68512122716798347790869122649724992876801330456228354198090504\
         2938171/178802254937843012696612923453685369932444201742499840\
         00000000000000000000*ep^3-23715883908824756668135675/27*ep^3*
         z6-140833312661425078823028432383/249480*ep^3*z5+8193606109762\
         447703771145607096913/29967537600*ep^3*z4+19741703669024547090\
         6995528198163762091/19438383329164800*ep^3*z3-
         3458843228674575163619366/27*ep^3*z3^2;
Fill mncnoptab(7,6,4,7)=
      +mncF321*(183881847909247488000+1406499375850382777600*ep+
         11162969790128783862560/3*ep^2+106767691682328090854744/21*
         ep^3)
      -1745594359095114737906486585596909028747/1931081893856715600-
         5995745557323783040/297*ep^-3-41337943375450686454256/205821*
         ep^-2-28039874254470204885029827609/52536839355*ep^-1-
         718545173212912050387200/297*z3+945727868510717581774680344650\
         064293342056203230294393348521269118979/1011741701655925686685\
         06053358387200000000000000*ep-359272586606456025193600/99*ep*
         z4-1143370215845496792752411248/29403*ep*z3-818312337963061997\
         9231011435612189988556456018523711606832260332082275861905801/
         179566393953579344578945548528651815878656000000000000000*ep^2
         -23236757731032970725536000/99*ep^2*z5-
         571685107922748396376205624/9801*ep^2*z4+629686828340874169320\
         5908750462129/52536839355*ep^2*z3+1546301860622090241114030740\
         68242280444108731868471751488719537482582523973412148335688524\
         4624843045623/153577876928083547622720519100651704524843838527\
         42628605952000000000000000000000*ep^3-
         172479320049715000315552000/297*ep^3*z6-
         25879988723422086708496548464/68607*ep^3*z5+629686828340874169\
         3205908750462129/35024559570*ep^3*z4+8510913869964987269172963\
         764881797635263/965540946928357800*ep^3*z3-
         25155148441888450292752640/297*ep^3*z3^2;
Fill mncnoptab(7,6,5,6)=
      +mncF321*(303405049050258355200+2316135404409576509760*ep+
         6105112966443500596400*ep^2+58102676182688574457008/7*ep^3)
      -19620490677969819736715534579931868493/13161405379122000-
         442981077097046576/9*ep^-3-17823712611172872196987/36855*ep^-2
         -1210495816375344826995867509/973944972*ep^-1-
         35924108054700971111104/9*z3+224137633488948468684047831884014\
         8361509482973150131775994238480079/145079882567746203119599484\
         928000000000000000*ep-17962054027350485555552/3*ep*z4-
         3712262146723797306121728088/57915*ep*z3-315463850394567379072\
         9056468631344198143850256571604182244519210426350809/
         41824789185690417404943096310923264000000000000000*ep^2-
         1161826716636481609252096/3*ep^2*z5-
         1856131073361898653060864044/19305*ep^2*z4+1209722739898100307\
         776375918840396/6087156075*ep^2*z3+983100848469533762653268267\
         42466046331784429980801852401456590547362076702357078360527002\
         02481/52242081332536150299536291183562801132277711503360000000\
         000000000000000*ep^3-8623890104636859641612960/9*ep^3*z6-
         83313642076902429557701471004/135135*ep^3*z5+60486136994905015\
         3888187959420198/2029052025*ep^3*z4+30049851713059506363076796\
         909030565397/2632281075824400*ep^3*z3-
         1257792081498735944914432/9*ep^3*z3^2;
Fill mncnoptab(7,6,6,5)=
      +mncF321*(275822771863871232000+2107409658487236929280*ep+
         5563970646371268452032*ep^2+53072430549272003403616/7*ep^3)
      -196170434994426574093224227761287612689/144775459170342000-
         4981871998877469008/99*ep^-3-2203348309451489356962593/4459455
         *ep^-2-339420519831072021159353888789/267834867300*ep^-1-
         359228936145739661069824/99*z3+5645286315078846394845416655879\
         96589870442080816571313711672461061133/40216143447779247504752\
         977222041600000000000000*ep-179614468072869830534912/33*ep*z4-
         7427443444539156574956682016/127413*ep*z3-17012340893586138400\
         92369929678560253754075400455317151509687049492695938939/
         24843924776300107938536199208688418816000000000000000*ep^2-
         11618224107795718333976896/33*ep^2*z5-
         3713721722269578287478341008/42471*ep^2*z4+1207161322866225264\
         7475738998414067/66958716825*ep^2*z3+5555807076198595490902215\
         64981499292782085642064724640963794594550519281749779621954514\
         889157763/5408216353058214581564218055080606868327015978631168\
         000000000000000000000*ep^3-86238608468103538352152160/99*ep^3*
         z6-167318730745962536720967669364/297297*ep^3*z5+1207161322866\
         2252647475738998414067/44639144550*ep^3*z4+1679018336132070814\
         231045694174837153333/144775459170342000*ep^3*z3-
         12578054395835276548305472/99*ep^3*z3^2;
Fill mncnoptab(7,7,5,5)=
      +mncF321*(189628155656411472000+1452336098890708831800*ep+
         11554827184053924730640/3*ep^2+332680211417844595563250/63*
         ep^3)
      -156937334180948065160028872996441706091/168465988852761600-
         316214146062924500/9*ep^-3-40826294770193150956993/117936*
         ep^-2-838123764043589091182736375757/934987173120*ep^-1-
         22451702087946370305640/9*z3+880559108763850311610966461506290\
         003010319384559283911349431634977/9140032601768010796534767550\
         4640000000000000*ep-11225851043973185152820/3*ep*z4-
         337996966602525266320177123/8424*ep*z3-18535472843983792408013\
         192313398183249666544866737214866748718272343380767/
         395244257804774444476712260138224844800000000000000*ep^2-
         726138629163956282778760/3*ep^2*z5-337996966602525266320177123/
         5616*ep^2*z4+57600772024008948877970049705847271/467493586560*
         ep^2*z3+163561974859252564269215149712073493741948039548002904\
         6565807395391765859481715635152534969783516781499571/
         31956484631195624589335685614463606677529505920786861603264921\
         600000000000000000000*ep^3-5389910463509806195076600/9*ep^3*z6
         -28207597780311494686171387913/72072*ep^3*z5+57600772024008948\
         877970049705847271/311662391040*ep^3*z4+1738346858277519169418\
         53887389875020949/16846598885276160*ep^3*z3-
         786129568644069463574920/9*ep^3*z3^2;
Fill mncnoptab(7,7,6,4)=
      +mncF321*(137911385931935616000+1057688549260942872000*ep+
         8436293742470730717200/3*ep^2+243733916405507300189968/63*ep^3
         )
      -2835502702761532215280049220711886550419/4184010770022883800-
         2139803297015192080/99*ep^-3-191339232364988109117379/891891*
         ep^-2-1547848159374681515434337969857/2731915646460*ep^-1-
         179622191304825227430080/99*z3+7260558345258750084940049228107\
         13861012788594353641725385214632849554693/10373050419844320757\
         0196972973242449920000000000000*ep-89811095652412613715040/33*
         ep*z4-3720492292315314190174199192/127413*ep*z3-
         25951623989649080008110451225526126546299595046530887363019504\
         2964357761175321779/762558619656200283311922096085008044764692\
         4800000000000000*ep^2-5809139438311200006677120/33*ep^2*z5-
         1860246146157657095087099596/42471*ep^2*z4+6099200061278225751\
         6195724960925884/682978911615*ep^2*z3+
         27418531361131674927840997815923480849887666888058900298665552\
         559908984752276190359753770248034132955202467/
         41942886078444257273503087368983483764257476521032755854285209\
         6000000000000000000000*ep^3-43119490309071936981503200/99*ep^3
         *z6-28391136708725783111180957612/99099*ep^3*z5+30496000306391\
         128758097862480462942/227659637205*ep^3*z4+1418361685939593948\
         2533435253602574973817/1673604308009153520*ep^3*z3-
         6288942255866196791054720/99*ep^3*z3^2;
Fill mncnoptab(7,7,7,3)=
      +mncF321*(51716769724475856000+398284361068180914600*ep+
         3201190205367689440960/3*ep^2+280367963195080770004187/189*
         ep^3)
      -5674662800616689491261315081263814041703/22314724106788713600-
         462172291914373450/99*ep^-3-339542364146226428649991/7135128*
         ep^-2-147004474811045121065386954007/1092766258584*ep^-1-
         67365809453209940083880/99*z3+37379165479483856494725461872381\
         17621153448212296629904128886800139/14292673087307540725611355\
         40305920000000000000*ep-33682904726604970041940/33*ep*z4-
         1398045213984919736265865453/127413*ep*z3-20141388110139178888\
         36473115986204003298458221442432264741731363233251282857857/
         158866379095041725689983770017710009325977600000000000000*ep^2
         -726151278045851062639840/11*ep^2*z5-
         1398045213984919736265865453/84942*ep^2*z4+1065093970479285210\
         8838095603900111/321401840760*ep^2*z3+
         98927643049452484466044865198961441860660842909363077246513207\
         8038190796147711446343788492922655864280827/
         26852323891490767884094569162153447277646320947327848986076774\
         400000000000000000000*ep^3-16169989232398624059186700/99*ep^3*
         z6-21712608432658646965358591251/198198*ep^3*z5+10650939704792\
         852108838095603900111/214267893840*ep^3*z4+5617417495143722654\
         263024260186618798437/1312630829811100800*ep^3*z3-
         2358270964079760088507520/99*ep^3*z3^2;
Fill mncnoptab(8,4,4,8)=
      +mncF321*(90815116722526310400+4870028261505942758080/7*ep+
         271312012765649986708792/147*ep^2+2603850860145479854213343/
         1029*ep^3)
      -33971050064947861091220573553594282582222627/
      76042493922088629936000-3484136773773388552/1323*ep^-3-
         54470165142191977623362059/2026214190*ep^-2-315908014764589026\
         058197712604491/4137610424547600*ep^-1-
         225858983232181339400000/189*z3+209507085365861953996252701634\
         56978483032906816093364566481115733743037/45458496421140147256\
         93080728467537920000000000000*ep-112929491616090669700000/63*
         ep*z4-2781819860016221285491080527632/144729585*ep*z3-
         35731858510173183971808680158047075380415199934849897516550699\
         4646215584146633/159133830911700045093502261213026019442688000\
         00000000000*ep^2-51121624018659276708287840/441*ep^2*z5-
         1390909930008110642745540263816/48243195*ep^2*z4+1793956036835\
         003315158496894397099253/30423606062850*ep^2*z3+
         94221843861218524956524850613397933285375675822439833051245118\
         4123719572380187024311358499877232370751551/
         20149033508272241239231875304707752004398199505202010165293875\
         200000000000000000000*ep^3-379459647933381401872658800/1323*
         ep^3*z6-63385455925906112550904836331286/337702365*ep^3*z5+
         1793956036835003315158496894397099253/20282404041900*ep^3*z4+
         19502235388299352513759837264441708515257783/
         3802124696104431496800*ep^3*z3-55338978387173405562623456/1323
         *ep^3*z3^2;
Fill mncnoptab(8,5,3,8)=
      +mncF321*(56290361604871680000+3024905464768377684000/7*ep+
         56390826571619835021700/49*ep^2+3264607044165404579189015/2058
         *ep^3)
      -363343919455482040802842924125839881844483/
      1312105777479176359680-6709574990012791100/4851*ep^-3-
         2503405739300933315623765/174810636*ep^-2-
         3005054185835850097981758436967/71394062227488*ep^-1-
         513319668628272907986400/693*z3+169133246779324853400221061381\
         47590528901324174099101068988373736049489901/59299271566776700\
         32762926954970360053760000000000000*ep-
         256659834314136453993200/231*ep*z4-
         74454390434579515514571958160/6243237*ep*z3-
         60471241201726793571415292060175083751890233182981287057296454\
         49350707180629701449/43592934423679449529331546492859626559048\
         2534400000000000000*ep^2-116185603399332743199029200/1617*ep^2
         *z5-37227195217289757757285979080/2081079*ep^2*z4+324481538133\
         977776227255952908372415/8924257778436*ep^2*z3+
         25778189969429743439459268130440936873631988487913872309733360\
         226841367522540763817655468612234657894237/8509395750099890719\
         43427614678457098224961668394655029605171200000000000000000000
         *ep^3-862408931294000798102957000/4851*ep^3*z6-
         1711522949066874837956524905805/14567553*ep^3*z5+3244815381339\
         77776227255952908372415/5949505185624*ep^3*z4+1238469417191646\
         783976134368548454916591569/328026444369794089920*ep^3*z3-
         125770113107968695864000400/4851*ep^3*z3^2;
Fill mncnoptab(8,5,4,7)=
      +mncF321*(144478594785837312000+1105668468256560322400*ep+
         61482230830677031789700/21*ep^2+392444123629607618894399/98*
         ep^3)
      -13970043657941794912383014583934401628153/19661924737450195200-
         1776559876504221380/189*ep^-3-4494488049446630275805/47628*
         ep^-2-274756217751440487774301351357/1069841092320*ep^-1-
         51328493433585902653600/27*z3+88747232903271359043607062696481\
         76466974501562084519136285066273370093/12089802354130909973216\
         43041646182400000000000000*ep-25664246716792951326800/9*ep*z4-
         571849555652962519798606616/18711*ep*z3-1059909139730583924522\
         676497346085047629633189478830398929869385557302063826487/
         29625431999075380082048255481158043697152000000000000000*ep^2-
         11618474124527870465460400/63*ep^2*z5-
         285924777826481259899303308/6237*ep^2*z4+125777324152480053487\
         49978883209207/133730136540*ep^2*z3+14989421304773051138360554\
         71790372227026009555130270376657192291973720492117357986789223\
         220417153397576037/1741573124364467430041650686601390329311729\
         1289010140839149568000000000000000000000*ep^3-
         86240307298871275194515000/189*ep^3*z6-
         12971952091312652099805459823/43659*ep^3*z5+125777324152480053\
         48749978883209207/89153424360*ep^3*z4+277579967149326895087516\
         8490892344872199/378113937258657600*ep^3*z3-
         12577278690871623706547440/189*ep^3*z3^2;
Fill mncnoptab(8,5,5,6)=
      +mncF321*(197016265617050880000+1507338187042890649200*ep+
         27926781620112745947350/7*ep^2+1069016630203363576856207/196*
         ep^3)
      -6280975177779794282491922774615145224101/6485940570831321600-
         16605631905999392050/693*ep^-3-11849665575205269309721675/
         49945896*ep^-2-3735088259510128204382061519449/5999501027520*
         ep^-1-256618191733356543090320/99*z3+1864069723727602240658231\
         7046916552031436940388347034387029403069847/186185849295274294\
         0034860056576000000000000000*ep-128309095866678271545160/33*ep
         *z4-37163495159620469055834456040/891891*ep*z3-
         78594398276780515023781338309562900944317613741160435254726029\
         582401038307/1610254383649081070090309207970545664000000000000\
         000*ep^2-58091768181671752419974360/231*ep^2*z5-
         18581747579810234527917228020/297297*ep^2*z4+19249491046361682\
         934324264117534517/149987525688*ep^2*z3+
         19087588297563074748006602538287963065813674180737807287949826\
         232877090198717110724269365713101841/1622464905917464374469265\
         41652418206049810479358935040000000000000000000000*ep^3-
         431197443007204403645727100/693*ep^3*z6-
         1684167813421884008490928516915/4162158*ep^3*z5+19249491046361\
         682934324264117534517/99991683792*ep^3*z4+15739294211466500180\
         782054001248508912851/1621485142707830400*ep^3*z3-
         62888262868628083835903480/693*ep^3*z3^2;
Fill mncnoptab(8,6,2,8)=
      +mncF321*(12665331361096128000+684972484127018848800/7*ep+
         12921107688481759262320/49*ep^2+1140425520923451649508228/3087
         *ep^3)
      -2049722730571631757079655719974986718832879/
      32893762893748796239200-261727461716263720/1617*ep^-3-
         51969931298165942008399/29135106*ep^-2-
         1019621032934701528359014569915/169560897790284*ep^-1-
         38499733325036552781920/231*z3+1363726391160402908159510914069\
         52516325584397727783302356282921536867802417867/21353519443017\
         3728462284808916743922945884160000000000000*ep-
         19249866662518276390960/77*ep*z4-5601236847559672280938260292/
         2081079*ep*z3-230356139085380668840365984841664893477577965791\
         020771028709666804257319937517172004293/7456410684224682524022\
         0216175259467030522672604774400000000000000*ep^2-
         8713939078268727410156160/539*ep^2*z5-
         2800618423779836140469130146/693693*ep^2*z4+341199473144061949\
         9977086015030908381/423902244475710*ep^2*z3+
         39610691615561969851787184761873107938895157067065935063343056\
         551700682556371604337126625785236631487102689802887121/
         67048849819260436545499144281716992935171947639181970029557882\
         53549245235200000000000000000000*ep^3-
         64680797753827315902487600/1617*ep^3*z6-
         44078096231029267058202737222/1618617*ep^3*z5+3411994731440619\
         499977086015030908381/282601496317140*ep^3*z4+4143459927448200\
         1187344111246888563210274237/32893762893748796239200*ep^3*z3-
         9432700147782673484741120/1617*ep^3*z3^2;
Fill mncnoptab(8,6,3,7)=
      +mncF321*(59104879685115264000+454302575068199832000*ep+
         8489318381158857008400/7*ep^2+739756346829473797638032/441*
         ep^3)
      -11352334648379959266805283319520957181653/39050767186880248800-
         718123471683235120/231*ep^-3-22107314870119645203515/693693*
         ep^-2-16180297517539409401299976028/177068606715*ep^-1-
         25664781596344476530240/33*z3+32597387591630971880078040133111\
         147691436953273911958376042924716206666511/1089170294083653679\
         4870682162190457241600000000000000*ep-12832390798172238265120/
         11*ep*z4-1241608924477580285370433264/99099*ep*z3-
         11638325948764955049287573907379978786852155986801905504601551\
         617755613905371161817/8006865506390102974775182008892584470029\
         27104000000000000000*ep^2-5809250336135971117777920/77*ep^2*z5
         -620804462238790142685216632/33033*ep^2*z4+1347774985005215812\
         4121982967321183/354137213430*ep^2*z3+
         60610769139035332573898373528938617357276018277514527759810655\
         6178504289128127203681778896361733072967308577/
         25836817824321662480477901819293825998782605536956177606239689\
         113600000000000000000000*ep^3-43120243843083755044055200/231*
         ep^3*z6-28691754992306729775004790492/231231*ep^3*z5+134777498\
         50052158124121982967321183/236091475620*ep^3*z4+42195293920766\
         546740710586133570438983831/9762691796720062200*ep^3*z3-
         6288598153994029569393920/231*ep^3*z3^2;
Fill mncnoptab(8,6,4,6)=
      +mncF321*(130030735307253580800+997113013437996037440*ep+
         18552007389841297249520/7*ep^2+535724009403344398576384/147*
         ep^3)
      -11345935730786693032956810786132943675849/17750348721309204000-
         316793376076537616/21*ep^-3-12929230314016526528177/85995*
         ep^-2-116323681926836328731765496997/289748629170*ep^-1-
         5132411955243891061312/3*z3+2468604289936153992673630378901456\
         2001064385315581974521443028445910077/374208168104051975361460\
         9414619136000000000000000*ep-2566205977621945530656*ep*z4-
         338218587672433601631658768/12285*ep*z3-3531884946334467496742\
         30192837738686470290448507462741761938589049151036548709/
         11003731885370855459046494893001559087513600000000000000*ep^2-
         1161836558116504885945216/7*ep^2*z5-
         169109293836216800815829384/4095*ep^2*z4+122022989479872462587\
         491488726051587/1448743145850*ep^2*z3+
         28975244903158827289487329975524094077798799958388418126641522\
         48995287074029672112239466305873353647583739/
         66576009648324217894449345030132513911519804001639295006801920\
         000000000000000000000*ep^3-8623956976657018551016160/21*ep^3*
         z6-28374141999369554683038323828/105105*ep^3*z5+12202298947987\
         2462587491488726051587/965828763900*ep^3*z4+351591281757511461\
         280339629638459173411/44375871803273010*ep^3*z3-
         1257761553525963089529472/21*ep^3*z3^2;
Fill mncnoptab(8,6,5,5)=
      +mncF321*(147762199212788160000+1133516231980574176800*ep+
         21105167104720517384240/7*ep^2+610088071933546896999640/147*
         ep^3)
      -784780478433545888524588435653763486217/1080990095138553600-
         5923450789840347520/231*ep^-3-2108779659602016652336411/
         8324316*ep^-2-3964530130253091480728198572721/5999501027520*
         ep^-1-64148980072962805904480/33*z3+36183404971594081500198617\
         9425011316755013379830622693382090778112597/482593721373350970\
         05703572666449920000000000000*ep-32074490036481402952240/11*ep
         *z4-18604333714006535294485354285/594594*ep*z3-
         76069451383432428720173985770603033802574485978885409396646460\
         85893476450837/20868896812092090668370407335298271805440000000\
         0000000*ep^2-14522803849223620002153440/77*ep^2*z5-
         18604333714006535294485354285/396396*ep^2*z4+28685073504288160\
         7743030002876173251/2999750513760*ep^2*z3+
         21765171321071837826384573391802003673925971149181744623396491\
         861173357983959120759562057966233069794025727/
         70304266188630374096538508351819934690564913025731095527182827\
         5200000000000000000000*ep^3-107798421717900300912822400/231*
         ep^3*z6-142117548348456671941937758045/462462*ep^3*z5+28685073\
         5042881607743030002876173251/1999833675840*ep^3*z4+50121968026\
         07688224082536684193079804747/540495047569276800*ep^3*z3-
         15722494363052256760506080/231*ep^3*z3^2;
Fill mncnoptab(8,6,6,4)=
      +mncF321*(88657319527672896000+682274329400063481120*ep+
         12778241595224148609936/7*ep^2+372370788473650999634396/147*
         ep^3)
      -28348669873728912972669397848926102109599/65084611978133748000-
         1272316896602709016/77*ep^-3-1138878765451518381281077/6936930
         *ep^-2-4619857306048363203737110070843/10624116402900*ep^-1-
         12829520209933635493664/11*z3+81502685001640632376994307661720\
         2323579866024958660568881759956326444533/181528382347275613247\
         844702703174287360000000000000*ep-19244280314900453240496/11*
         ep*z4-1863229615731736150250126444/99099*ep*z3-
         29033322648403639014735855562760984274692538966378285560020660\
         0705413922329181687/133447758439835049579586366814876407833821\
         18400000000000000*ep^2-8713661784966718339224576/77*ep^2*z5-
         931614807865868075125063222/33033*ep^2*z4+30235905058845914588\
         5780067639296933/5312058201450*ep^2*z3+
         44848062220487595253779267076916122826461333147354618815417070\
         673141558223148200555389929599798534015792199/
         69658087271455462569915911767703942643776632575126949428587397\
         1200000000000000000000*ep^3-21559637858742957226922320/77*ep^3
         *z6-14424501248100889633028026698/77077*ep^3*z5+30235905058845\
         9145885780067639296933/3541372134300*ep^3*z4+45540094311186923\
         1420998981631463911411653/65084611978133748000*ep^3*z3-
         3144520132324043452609664/77*ep^3*z3^2;
Fill mncnoptab(8,7,1,8)=
      +mncF321*(799389750601728000+43718914239942288000/7*ep+
         2525014959768580473680/147*ep^2+229116302275724555498008/9261*
         ep^3)
      -10091784671724190267877504412964495616847541/
      2565713505712406106657600-7659830626966160/63063*ep^-3-
         4541246251370697911083/568134567*ep^-2-
         5050907705182327214902458622643/66128750138210760*ep^-1-
         94770569745507221180800/9009*z3+644125415734268335942818993798\
         78333513982348780509594857379053944052722982872502431/
         16117431481802860057553933583619271229789308348006400000000000\
         00*ep-47385284872753610590400/3003*ep*z4-
         13861989966183302833741605596/81162081*ep*z3-
         43105593476123506729687568227773754692854962175698880000948412\
         3944040469186155409861743451871/225121088116408872487183652220\
         0422528950200810577068451430400000000000000*ep^2-
         7149915253293686563208000/7007*ep^2*z5-
         6930994983091651416870802798/27054027*ep^2*z4+1631077317821767\
         5330311886449473227529/33064375069105380*ep^2*z3+
         10879421056830435851660709743406671418101808051723640618649806\
         61087518778928205352013941582091887848285030631001799504616887/
         35426290745121072597286796476087648897781469739028693927088081\
         71962930293212656435200000000000000000000*ep^3-
         159214608228561571301516000/63063*ep^3*z6-
         114095193434984022743875488616/63126063*ep^3*z5+16310773178217\
         675330311886449473227529/22042916712736920*ep^3*z4+15938885794\
         6016734239211009648549163256683801/1282856752856203053328800*
         ep^3*z3-23218800860657214469892800/63063*ep^3*z3^2;
Fill mncnoptab(8,7,2,7)=
      +mncF321*(9093058413094656000+70528305430912617600*ep+
         4020051820376494492720/21*ep^2+358347682534434593708744/1323*
         ep^3)
      -630656041706356215610043449539195239041789/
      14097326954463769816800-177213004548767200/693*ep^-3-
         17488752819316048565714/6243237*ep^-2-
         338370413615003770310922069977/36334478097918*ep^-1-
         11845768500555386026880/99*z3+10118264004603414199373874575892\
         0330132454312185307353289681438197317321802386971/
         221301080801536814663587061942404097602958131200000000000000*
         ep-5922884250277693013440/33*ep*z4-
         1726651993389427150342474216/891891*ep*z3-
         47688493336517371689135957076138498686347388790963828996036605\
         30892402020206399275870610801/21637242954833774948308427791629\
         34542290264451264282624000000000000000*ep^2-
         893734830715891549146880/77*ep^2*z5-
         863325996694713575171237108/297297*ep^2*z4+1039286269323547886\
         160172755642761779/181672390489590*ep^2*z3+
         92097507737225479728863445513528651793306701452539675046574893\
         93781081710500136483139262976262807741813562376563373022947/
         40240381748272771872273064037053858882035670446816130317392088\
         58388092415901696000000000000000000000*ep^3-
         19901732742347840600334400/693*ep^3*z6-
         1061961576461227897836012272/53361*ep^3*z5+1039286269323547886\
         160172755642761779/121114926993060*ep^3*z4+7622366708545312063\
         962626348650728346277081/7048663477231884908400*ep^3*z3-
         2902392598111037432426240/693*ep^3*z3^2;
Fill mncnoptab(8,7,3,6)=
      +mncF321*(36372233652378624000+280869267383586835200*ep+
         5293530190852137962080/7*ep^2+51858862660838126132312/49*ep^3)
      -13967951333975931021635849117786996391001/78101534373760497600-
         809770652137009760/231*ep^-3-74461101171096520796756/2081079*
         ep^-2-1294014938794552046000400002611/12748939683480*ep^-1-
         15792555252917721948160/33*z3+42651999021114616984613919611939\
         98935731069225181283053652059291731468916109/23235632940451278\
         49572412194600630878208000000000000000*ep-
         7896277626458860974080/11*ep*z4-2297175215573069857989583876/
         297297*ep*z3-3033088259276629805758495000144398275629683179034\
         17063718517766956896961173082330447/34162626160597772692374109\
         904608360405458223104000000000000000*ep^2-
         3574894585003379921553280/77*ep^2*z5-
         1148587607786534928994791938/99099*ep^2*z4+1475500464530091166\
         69448466658361297/6374469841740*ep^2*z3+
         94394937915983036964645236088345246813851455281083214031438626\
         47620139020929473553532814728257573745643706535505596939/
         10264356123934489305242593622348193776664541997453354330525479\
         18168577802240000000000000000000000*ep^3-
         26535339670599289277556800/231*ep^3*z6-
         18038839643650035198753375916/231231*ep^3*z5+14755004645300911\
         6669448466658361297/4249646561160*ep^3*z4+13709067310069298987\
         7512574602493099105839/39050767186880248800*ep^3*z3-
         3869995629288772277165440/231*ep^3*z3^2;
Fill mncnoptab(8,7,4,5)=
      +mncF321*(66682428362694144000+514032542300516553600*ep+
         28971398708774006696560/21*ep^2+847795013925793640816960/441*
         ep^3)
      -6979272091932207637010603562436251195341/21300418465571044800-
         713589932600018800/63*ep^-3-11659608965019132487099/103194*
         ep^-2-382377781156919227650810439507/1264357654560*ep^-1-
         7895307618183954529280/9*z3+3321887749357919000144956435579289\
         74482043707163766733431260741099237103/98534356492769800140892\
         115328942735360000000000000*ep-3947653809091977264640/3*ep*z4-
         1147548724352921080115796089/81081*ep*z3-118226215466459476398\
         756337362755918559960634625635973552395258195353228619741801/
         7243599503969843136469464066707312039323238400000000000000*
         ep^2-1787423216910455484904640/21*ep^2*z5-
         1147548724352921080115796089/54054*ep^2*z4+2694823111648310403\
         3625989615187121/632178827280*ep^2*z3+
         71422821816459514228950578245937264283376558549031057995856461\
         720184054182819134561491340386572557016648995525829/
         33482782112367597480862300547935962084167398307662474115355596\
         83316121600000000000000000000*ep^3-13267506243510196932522400/
         63*ep^3*z6-8946719330067608947741773269/63063*ep^3*z5+26948231\
         116483104033625989615187121/421452551520*ep^3*z4+1244290850579\
         9572041583690625677014772853/2130041846557104480*ep^3*z3-
         1935072493734372854866880/63*ep^3*z3^2;
Fill mncnoptab(8,7,5,4)=
      +mncF321*(60620389420631040000+467717424323026800000*ep+
         26404203730846228588400/21*ep^2+774408993518764092053680/441*
         ep^3)
      -6978080952676916846884180517236156792643/23430460312128149280-
         8030932574914711600/693*ep^-3-1442250906526242307689365/
         12486474*ep^-2-9439718473678665169808907309841/30597455240352*
         ep^-1-78950261972739950278400/99*z3+17084445139035903545801744\
         9729104273870758169728880341845987003735239325707/557655190570\
         83068389737892670415141076992000000000000*ep-
         39475130986369975139200/33*ep*z4-883085255919060892039229945/
         68607*ep*z3-60736266722436127567316191543512496923988900521818\
         934528093881790825018427128892133/4099515139271732723084893188\
         553003248654986772480000000000000*ep^2-
         17874162336135706539627200/231*ep^2*z5-
         883085255919060892039229945/45738*ep^2*z4+59153028323587283153\
         2200919662069947/15298727620176*ep^2*z3+
         17041038159461236184640096818216723444611338025339227894595322\
         35872645683758138305779780800446320842690547866318426319/
         73903364092328322997746674080906995191984702381664151179783450\
         108137601761280000000000000000000*ep^3-
         132674587936494849917332000/693*ep^3*z6-
         89832690214890561539254253585/693693*ep^3*z5+59153028323587283\
         1532200919662069947/10199151746784*ep^3*z4+2514774881756499569\
         430357882377910154241/450585775233233640*ep^3*z3-
         19350941701301714763032000/693*ep^3*z3^2;
Fill mncnoptab(8,7,6,3)=
      +mncF321*(27279175239283968000+211225781269559721600*ep+
         4000892862937767037840/7*ep^2+355177099446048281299640/441*
         ep^3)
      -3490982444320360606275774756123507330497/26033844791253499200-
         868592448764104000/231*ep^-3-79679448733066982167094/2081079*
         ep^-2-1376452391064293485972302045679/12748939683480*ep^-1-
         11843595683303341178240/33*z3+33107243217115451706996993966295\
         1671778852770211418748791718826772575256661/240962119382457702\
         918620523884509868851200000000000000*ep-5921797841651670589120/
         11*ep*z4-1725051508839175867301700556/297297*ep*z3-
         10567873637306158653743609116894857993774452380156517538314410\
         85617321438337571722683/15942558874945627256441251288817234855\
         8805041152000000000000000*ep^2-2681150566012857189448320/77*
         ep^2*z5-862525754419587933650850278/99099*ep^2*z4+219786238067\
         96739478411088556038695/1274893968348*ep^2*z3+
         15487893090968422367790348431865278856186735896855661515203235\
         337309248250554257144469405016002921378691359214645824401/
         20577300915911272050983377036991526932153531530989328089834510\
         92754521653248000000000000000000000*ep^3-
         19901366320638620450243200/231*ep^3*z6-
         13697881573287403041485597756/231231*ep^3*z5+21978623806796739\
         478411088556038695/849929312232*ep^3*z4+3912207551504930597535\
         7624470798536968219/13016922395626749600*ep^3*z3-
         2902559900021238528348800/231*ep^3*z3^2;
Fill mncnoptab(8,7,7,2)=
      +mncF321*(5595728254212096000+43607939875587033600*ep+
         2507132585617101259520/21*ep^2+226119200879351603210344/1323*
         ep^3)
      -2522433445591638041511726841115274938370211/
      91632625204014503809200-2613249573436059200/9009*ep^-3-
         256659132830443074582892/81162081*ep^-2-
         4914232321824207624360001902859/472348215272934*ep^-1-
         94762391698258330301440/1287*z3+806998513071243040271534184818\
         8549076093133453480708970293007064937742051530745877/
         28781127646076535817060595685034412910338050621440000000000000
         *ep-47381195849129165150720/429*ep*z4-
         13844265882674900441450888048/11594583*ep*z3-
         13526544369657335213951283625159627727110600497434159393728104\
         147499538182356607114313787463/1005004857662539609317784161696\
         6172004241967904361912729600000000000000*ep^2-
         7149847567649400420765440/1001*ep^2*z5-
         6922132941337450220725444024/3864861*ep^2*z4+21608988011005108\
         4633355866767690549/62151080956965*ep^2*z3+
         54342302884300702184731917345012092984012685858454920488491218\
         19370294938413058627554107194436931767836986929522368629629/
         63261233473430486780869279421585087317466910248265524869800145\
         927909469521654579200000000000000000000*ep^3-
         159213228417391988686947200/9009*ep^3*z6-
         112811192708155273399897717408/9018009*ep^3*z5+216089880110051\
         084633355866767690549/41434053971310*ep^3*z4+10125612836637465\
         3753900313862897313149129/126914993357360808600*ep^3*z3-
         23219429957564209615601920/9009*ep^3*z3^2;
Fill mncnoptab(8,8,4,4)=
      +mncF321*(19052122389341184000+1037163775968865459200/7*ep+
         59402571714266718149120/147*ep^2+253785251582730392661760/441*
         ep^3)
      -6978168538701354047214633399245902148801/74551464629498656800-
         1710946347874203200/441*ep^-3-14111121249273772604854/361179*
         ep^-2-2609713398343951636153665714721/24338884850280*ep^-1-
         110528055815880867857920/441*z3+241231311006036788417846778710\
         19078778877048338401375545747611863423533/25203940689539093409\
         618107482754777088000000000000*ep-55264027907940433928960/147*
         ep*z4-16133045455412709314823052876/3972969*ep*z3-
         34068853726766660189679395359310619132284764868290021436151329\
         763091976199921533/7411313526575963084089424669388177360688250\
         880000000000000*ep^2-3574824281424347587137280/147*ep^2*z5-
         8066522727706354657411526438/1324323*ep^2*z4+14487725475448507\
         4473994772021025163/12169442425140*ep^2*z3-
         20247011400318499684816518908580288719901222265792402015623187\
         24540193866035426976414092822316332229980789094718491/
         48988972409687335320476015015752743024989859533300100213871605\
         1853184860160000000000000000000*ep^3-
         26534861971142904733884800/441*ep^3*z6-
         18625163199229180841364064228/441441*ep^3*z5+14487725475448507\
         4473994772021025163/8112961616760*ep^3*z4+17068192448946542641\
         82557460388183213481/677740587540896880*ep^3*z3-
         3870213810502861624533760/441*ep^3*z3^2;
Fill mncnoptab(8,8,5,3)=
      +mncF321*(12990083447278080000+708050544450063984000/7*ep+
         13548693774846979104400/49*ep^2+58064236563470575710880/147*
         ep^3)
      -1396295180707336499686609628163041578327/21868429624652939328-
         3228819520566705200/1617*ep^-3-594746158078941844435375/
         29135106*ep^-2-4151934614859332529914508838175/71394062227488*
         ep^-1-276343243588632710348800/1617*z3+42398037216300865562197\
         6973564649838629026965314045856027549304012278454333/
         650597722332635797880275414488176645898240000000000000*ep-
         138171621794316355174400/539*ep*z4-
         40359078045810835928258325445/14567553*ep*z3-
         14959324892292575074429230591107918159166508330026382521379714\
         5565277260471517011231/478276766248368817693237538664517045676\
         41512345600000000000000*ep^2-8937142574244804742283200/539*
         ep^2*z5-40359078045810835928258325445/9711702*ep^2*z4+28877654\
         1754338958384106365432898149/35697031113744*ep^2*z3+
         35695809164009646891637777477856906323049703627571003892939873\
         097535787765932769717744887739389620481867385800137797/
         95800657156721900182264207141916475248869058642897973751571139\
         029067261542400000000000000000000*ep^3-
         66337711197864453791252000/1617*ep^3*z6-
         46828969844542142376543754735/1618617*ep^3*z5+2887765417543389\
         58384106365432898149/23798020742496*ep^3*z4+196791119173170652\
         67486034924710658557399/10934214812326469664*ep^3*z3-
         9675280093485737117752000/1617*ep^3*z3^2;
Fill mncnoptab(8,8,6,2)=
      +mncF321*(3897025034183424000+213233067288761270400/7*ep+
         4108754535994458942160/49*ep^2+53324410142766826185848/441*
         ep^3)
      -1261202346823143828717093886335542382953879/
      65787525787497592478400-356294236054289920/1617*ep^-3-
         34979223701688209212622/14567553*ep^-2-
         1030202130581802488645471310931/130431459838680*ep^-1-
         82916430336237800090240/1617*z3+143779689986599451116355397117\
         1438592878335022395825492628112675147552737321153517/
         7379776319506804055656562996162669977009756569600000000000000*
         ep-41458215168118900045120/539*ep*z4-
         12131314711917571942781495884/14567553*ep*z3-
         96130886154726919124631473277906538806597696800401478499953305\
         32969051295435867506668802871/10307742129872201121208042684067\
         868722299454260884013056000000000000000*ep^2-
         2681190501921270157618560/539*ep^2*z5-
         6065657355958785971390747942/4855851*ep^2*z4+20363232246230993\
         71789164161013539951/847804488951420*ep^2*z3+
         11355828157001338891921655026737595709687935207047612689021133\
         727294045080631293461805112237315378057571788931818291385857/
         12404163426162840545268486161095115160287629460444220562705910\
         966256758729736192000000000000000000000*ep^3-
         19901637688568931681913600/1617*ep^3*z6-
         14291512184023341058007748692/1618617*ep^3*z5+2036323224623099\
         371789164161013539951/565202992634280*ep^3*z4+2022705990217274\
         3364644112416803360335135061/32893762893748796239200*ep^3*z3-
         2902436113995354372510080/1617*ep^3*z3^2;
Fill mncnoptab(8,8,7,1)=
      +mncF321*(399694875300864000+22014868020973987200/7*ep+
         1287793356429227452720/147*ep^2+346567249031613336152/27*ep^3)
      -1009263844311044298020327773908892768727959/
      513142701142481221331520-1871099294591920/63063*ep^-3-
         5134515913861362372293/568134567*ep^-2-
         6163974327342781855016631937819/66128750138210760*ep^-1-
         331697105157286016693120/63063*z3+2306230921347722053868535920\
         216322114034486844641328253788547987324192568303094447929/
         11604550666898059241438832180205875285448302010564608000000000\
         0000*ep-165848552578643008346560/21021*ep*z4-
         48682892504497064016360707140/568134567*ep*z3-
         15336861539731937686926124421284891472272672741172312486207581\
         623168688025626181736466616775269/1620871834438143881907722295\
         98430422084414458361548928502988800000000000000*ep^2-
         3574957730506557586624960/7007*ep^2*z5-
         24341446252248532008180353570/189378189*ep^2*z4+15998430241519\
         79874033580755472116865/6612875013821076*ep^2*z3+
         30907404898864180749229772285952947488417043724143477645752957\
         94284974575550565775215097602928656990040345180603197535854868\
         29/33159008137433323951060441501618039368323455675730857515754\
         44448957302754447046423347200000000000000000000*ep^3-
         79607306173504330657328800/63063*ep^3*z6-
         58836492482377672661965754720/63126063*ep^3*z5+159984302415197\
         9874033580755472116865/4408583342547384*ep^3*z4+97669499171379\
         409439748047916308498791458079/1282856752856203053328800*ep^3*
         z3-11609398665585665672728640/63063*ep^3*z3^2;
Fill mncnoptab(9,3,3,9)=
      +mncF321*(12770875789105262400+689335812982305004230/7*ep+
         25907362479020536041293/98*ep^2+3030582914934256819722299/8232
         *ep^3)
      -2123577761868296692495956523534144229364697/
      33796663965372724416000-5869409805400049/196*ep^-3-
         2370867472400381028655267/7204317120*ep^-2-
         8128634079539941143588111246929/7355751865862400*ep^-1-
         1176401351628962628350/7*z3+1088986277476428725062858579694099\
         6837931001067006752876653632015141713/168887076046249472257948\
         83141771460608000000000000*ep-1764602027443443942525/7*ep*z4-
         174411349792113203173279531427/64324260*ep*z3-
         36371147202905772130688247434224114746117530864130007901959865\
         2181639736821687/116395030609700604411247368201527602792366080\
         000000000000*ep^2-798779281176127401687085/49*ep^2*z5-
         174411349792113203173279531427/42882840*ep^2*z4+29413785908897\
         9652730459729700528113/36057607185600*ep^2*z3+
         18861478805888391851905413851042933633539172515506750348285076\
         134060465752702080934404103314827693187/2362927496331887472110\
         382774688006831638809442878542615412736000000000000000000*ep^3
         -3952722358573623316443175/98*ep^3*z6-
         1815354724774236982348450980351/66706640*ep^3*z5+2941378590889\
         79652730459729700528113/24038404790400*ep^3*z4+156573315630183\
         36706415477747771457233388679/13518665586149089766400*ep^3*z3-
         288219801380019137366643/49*ep^3*z3^2;
Fill mncnoptab(9,4,2,9)=
      +mncF321*(7036295200608960000+380527663991793630000/7*ep+
         7176074545155132443975/49*ep^2+562381657209938873227005/2744*
         ep^3)
      -1115078703533001471289231212203104146559732127/
      32209572625558821277424640-50290380605666650/4851*ep^-3-
         355754062510246798954015/2971780812*ep^-2-
         40740619021582868016178852952075/92241128397914496*ep^-1-
         64167440407498745322800/693*z3+7323039623585388547128259661265\
         6154578244773574200548316315280690358214180101/206426248209938\
         318204717698382489418888904704000000000000*ep-
         32083720203749372661400/231*ep*z4-
         158701235105882948168673329855/106135029*ep*z3-
         34641061744540463621581306733873502740178453299039705951300708\
         98810752270814720482660823/20182887804234522585527751575182379\
         81834540228888494080000000000000*ep^2-
         14523261985574840520853400/1617*ep^2*z5-
         158701235105882948168673329855/70756686*ep^2*z4+75834965869548\
         1848504309867874245995/169560897790284*ep^2*z3+
         23393584998399681717294786545964236060808065496421813586948682\
         64588620644701939919414026792041224774465665933/
         55165085586976107956447582964209305119389373128334241205390967\
         5704320000000000000000000*ep^3-107801534684680075863251500/
         4851*ep^3*z6-3746119519711262282030038121890/247648401*ep^3*z5
         +758349658695481848504309867874245995/113040598526856*ep^3*z4+
         355153883519438404041741543074253878170736963/
         503274572274356582459760*ep^3*z3-15721072814688199171782200/
         4851*ep^3*z3^2;
Fill mncnoptab(9,4,3,8)=
      +mncF321*(30959698882679424000+1666999340200788765600/7*ep+
         31187124872917168612600/49*ep^2+906861708598509807912974/1029*
         ep^3)
      -29699274091319723153655486941127002745607/194980753646381102400-
         127695924291389740/441*ep^-3-5773126725075348255305/1889244*
         ep^-2-199469204189659091644809379211/21218514997680*ep^-1-
         25666636872995889773600/63*z3+12463165417042021521790783981319\
         3238692710747621787253536301783826979143/795717954448675398138\
         41276341038612480000000000000*ep-12833318436497944886800/21*ep
         *z4-4872856728833155866037439336/742203*ep*z3-
         27237163576029972202278113564022604205316627628758852605609831\
         59423668400538759/35813855572215570588076113292777723936112640\
         0000000000000*ep^2-5809296383725128059963600/147*ep^2*z5-
         2436428364416577933018719668/247401*ep^2*z4+155229884810135442\
         3185467217492194/78009246315*ep^2*z3+2211252085270721559292082\
         19360457255332580523751725507172907225470500101858600603263392\
         697521587132257721/1302563782352952969000848504546763765940893\
         7053867966167462707200000000000000000000*ep^3-
         43120556732661032378689000/441*ep^3*z6-
         112951784083853417953129295683/1731807*ep^3*z5+776149424050677\
         211592733608746097/26003082105*ep^3*z4+46871486127150497119048\
         4150270706069869197/194980753646381102400*ep^3*z3-
         6288455317452388710815120/441*ep^3*z3^2;
Fill mncnoptab(9,4,4,7)=
      +mncF321*(65672088539016960000+504408384667940168000*ep+
         28235468059104574882100/21*ep^2+545496403130155603234795/294*
         ep^3)
      -3088238105810290007895271928184921881322137/
      9559627807348284906240-4277800767911569000/2079*ep^-3-
         6698629016293355973082480/318405087*ep^-2-
         31200696227253994112215493414147/520156739085984*ep^-1-
         256656944724686732561600/297*z3+134102246253920623642248448206\
         937991568300999962571186918842925168114065459/4030671020282364\
         6370133680926745637683200000000000000*ep-
         128328472362343366280800/99*ep*z4-
         633012113935766553419831795660/45486441*ep*z3-
         47909847217887232325386564275195672740197557828974945188614893\
         607676139208684972553/2963084922092663958012040144787459831085\
         662208000000000000000*ep^2-58092729889354254558216800/693*ep^2
         *z5-316506056967883276709915897830/15162147*ep^2*z4+8101826604\
         2461534037559036905821039/1912340952522*ep^2*z3+
         80926841308159497614957741131895555612013159181553057137998541\
         0265676040021144527399877616692136017317419/
         18797932135997426229020991537919768633840885835756977413685248\
         000000000000000000000*ep^3-431203977637474891366798000/2079*
         ep^3*z6-14582719750221359513429431885180/106135029*ep^3*z5+
         81018266042461534037559036905821039/1274893968348*ep^3*z4+
         1369757530017001518149267678360610686975059/
         298738368979633903320*ep^3*z3-62885278419050240155954400/2079*
         ep^3*z3^2;
Fill mncnoptab(9,5,1,9)=
      +mncF321*(989479012585635000+215315667713080434825/28*ep+
         32838488723473391439895/1568*ep^2+23510853588102636609971287/
         790272*ep^3)
      -163983363380933749642217886250784659273528013/
      33683213203198767348940800+4093423031461745/51744*ep^-3-
         4162042641652998178877/7458587136*ep^-2-
         10414367973117169965064734042907/868151796686254080*ep^-1-
         12031426727179431327265/924*z3+3078193929753108083167174848788\
         8719312911667981268130250779024401852277833/619784691316604019\
         119556814996444946418892800000000000*ep-
         12031426727179431327265/616*ep*z4-877674192894132303374646385/
         4162158*ep*z3-431155188656189335633551362620732868032225667229\
         8639598671276187723308694067639649/180351581175502525146413221\
         28558601246989610909696000000000000*ep^2-
         5446224808580826716093265/4312*ep^2*z5-
         877674192894132303374646385/2774772*ep^2*z4+353730825551204818\
         1569421155321026371/5711524978199040*ep^2*z3+
         22480437303231293534374317635155668743006559250799088667799483\
         24436659217206613186823291965996822343346694145199/
         40543522188517270775812029799980041079469053750072241892400836\
         00029777920000000000000000000*ep^3-80851172257809840548490425/
         25872*ep^3*z6-452705206682152122236706038615/207182976*ep^3*z5
         +3537308255512048181569421155321026371/3807683318799360*ep^3*
         z4+56917370603759469494294058480870912185948513/
         443200173726299570380800*ep^3*z3-5895397385447145800648045/
         12936*ep^3*z3^2;
Fill mncnoptab(9,5,2,8)=
      +mncF321*(10554442800913440000+570613657626646101000/7*ep+
         10755960689273462604975/49*ep^2+7584651387737056570904375/
         24696*ep^3)
      -32796218767348944593670935024057528974016831/
      631560247559976887792640-86672473131610475/1617*ep^-3-
         15500689563435623038265/25897872*ep^-2-
         3753378125648988036673103403473/1808649576429696*ep^-1-
         32083525251261505385800/231*z3+1385685503369905879135483913664\
         606621496931488103990869690721390266463171807923/2603095703529\
         736880302138622985068774959349760000000000000*ep-
         16041762625630752692900/77*ep*z4-518552040161480160783447515/
         231231*ep*z3-9365532766160511005379012106769400501525654643415\
         511989074332295394417707957548067653863/3635887876498130906951\
         690541117414011393105559394713600000000000000*ep^2-
         7261626167875385551398900/539*ep^2*z5-
         518552040161480160783447515/154154*ep^2*z4+7589189509109819487\
         03555446880324431/113040598526856*ep^2*z3+
         16241544410809969721368110208674987388364448957048993622319202\
         876561228950604920422796283489309184624927431101153/
         32476057188513516323918091257453815486415135235277193124237160\
         43253350400000000000000000000*ep^3-53900734567168315291240250/
         1617*ep^3*z6-146696048636703053042772805015/6474468*ep^3*z5+
         758918950910981948703555446880324431/75360399017904*ep^3*z4+
         32717802275913587536869726389108462238089251/
         31578012377998844389632*ep^3*z3-7860551507294264671723300/1617
         *ep^3*z3^2;
Fill mncnoptab(9,5,3,7)=
      +mncF321*(40634604783516744000+312769900006754597550*ep+
         23436503554589230823925/28*ep^2+16389214395287759741365637/
         14112*ep^3)
      -90835118914068908572560788082173743357787/454408927265515622400-
         90848697075120535/84*ep^-3-4115952717188507722445/366912*ep^-2
         -818509445032897569415496820343/24725216355840*ep^-1-
         1604118560598400686650/3*z3+3100889957456793742712286927884975\
         403492418625164474640156640122787808421/1508807333795537564657\
         410515974435635200000000000000*ep-802059280299200343325*ep*z4-
         28237989538775749645049407/3276*ep*z3-110593510655230026354027\
         6603652866219639054590743480363312223813570655107552974747/
         110917617404538223027188668521455715602137088000000000000000*
         ep^2-363079875833048047940625/7*ep^2*z5-
         28237989538775749645049407/2184*ep^2*z4+4029140507496942571097\
         3628140443639/1545326022240*ep^2*z3+27634324666790523274016201\
         10072305479966077126673402669407099289687380529063153649194913\
         663032091025463117/1491302616122462480835665328674968311618043\
         60963672020815236300800000000000000000000*ep^3-
         5390053987874776695076625/42*ep^3*z6-
         28880158876166017158556915499/336336*ep^3*z5+40291405074969425\
         710973628140443639/1030217348160*ep^3*z4+372287231681071682511\
         168792916389345472343/113602231816378905600*ep^3*z3-
         393032015099999810924045/21*ep^3*z3^2;
Fill mncnoptab(9,5,4,6)=
      +mncF321*(73881099606394080000+568304430947024639400*ep+
         10633785324858133561975/7*ep^2+2475137425479731094676189/1176*
         ep^3)
      -454000496517714330180147155759494072841467/
      1249624549980167961600-1269843938311814975/231*ep^-3-
         1842703428378403124820245/33297264*ep^-2-
         30951080462183288551803833201317/203983034935680*ep^-1-
         32079806416624126290280/33*z3+91912111174198639098963526126539\
         026618945146156178799511876080738885525083/2458797136555690846\
         1083726926990802944000000000000000*ep-16039903208312063145140/
         11*ep*z4-4657599465530307313506479125/297297*ep*z3-
         13121290747577064710108417125496726734781501383858894874393036\
         24214485685273994081/72301854308143434269574835776948910911022\
         694400000000000000*ep^2-7261533875659907157507940/77*ep^2*z5-
         4657599465530307313506479125/198198*ep^2*z4+151344102999263340\
         80293280896840183/318723492087*ep^2*z3+
         31540518264829263960605788164312366114293944174055934508976243\
         36992114758613147640938331728276859037544476379/
         10936219184898058192794879076949767618532319804002614859783995\
         3920000000000000000000000*ep^3-53900107455158381471229650/231*
         ep^3*z6-143958619803547371269838438475/924924*ep^3*z5+15134410\
         299926334080293280896840183/212482328058*ep^3*z4+1780466360509\
         243484339505150655210909350787/312406137495041990400*ep^3*z3-
         7860837874103970861656020/231*ep^3*z3^2;
Fill mncnoptab(9,5,5,5)=
      +mncF321*(69263530880994450000+1067884333713724278375/2*ep+
         160497290256130449965775/112*ep^2+37566774283710381151644665/
         18816*ep^3)
      -1570067785485966892195677389606386537349/4612224405924495360-
         12052746580721923775/1232*ep^-3-17312517881874214585257005/
         177585408*ep^-2-3331451101083894178828985351197/12798935525376
         *ep^-1-20047639262935840088525/22*z3+3312231467374691564976493\
         1659529072772169080322275979397279129970173659/945883693891767\
         9013117900242624184320000000000000*ep-60142917788807520265575/
         44*ep*z4-46621086534133814936786221325/3171168*ep*z3-
         69343274349436925631523577999136804761871828211261518674201086\
         2482945799684529/409030377517004977100059983771846127386624000\
         00000000000*ep^2-27230418467934930568308075/308*ep^2*z5-
         46621086534133814936786221325/2114112*ep^2*z4+1416671686251526\
         79588688205265170189/3199733881344*ep^2*z3+
         35166096998211885650101826158171246498822263528914572341965227\
         05730940894821774450406611589164126419662460199/
         15157599790268708655213702400652377919285795248347624195660617\
         6133120000000000000000000*ep^3-134748757591269144035343625/616
         *ep^3*z6-727024287044465262565687992925/4932928*ep^3*z5+
         141667168625152679588688205265170189/2133155920896*ep^3*z4+
         7026439680630590560794779775605554114013/1153056101481123840*
         ep^3*z3-9826392160268814378671125/308*ep^3*z3^2;
Fill mncnoptab(9,6,1,8)=
      +mncF321*(974256258545856000+53119687807576316160/7*ep+
         1016927138617063440712/49*ep^2+457782275957785555870012/15435*
         ep^3)
      -12614291444735110669538888909242119225754247/
      2631501031499903699136000-42848385263668/1617*ep^-3-
         258676610209381111906/72837765*ep^-2-
         2462894924825034226289877529573/67824359116113600*ep^-1-
         2961581166889797166112/231*z3+16012845821327637308301911869778\
         776563508367775979163665374540570586182226436257/
         327990058644746846918069466496118665644878069760000000000000*
         ep-1480790583444898583056/77*ep*z4-865101608744262075683546453/
         4162158*ep*z3-107446962868252887787763083566479308920813165008\
         279752862810926473913977915998207410623317/4581218724387644942\
         75913008180794165435531300483733913600000000000000*ep^2-
         670304574340002053227056/539*ep^2*z5-
         865101608744262075683546453/2774772*ep^2*z4+205565061869941313\
         54142322990774265219/33912179558056800*ep^2*z3+
         17607008838469121439350465784272330605368376065084703444562045\
         1142382555875113294036849232080567649951481097145422243311/
         85200314442330621927096672621663417262581697304061312955959792\
         4955009690527334400000000000000000000*ep^3-
         4975456637129443948795960/1617*ep^3*z6-
         7034886656218964137699900843/3237234*ep^3*z5+20556506186994131\
         354142322990774265219/22608119705371200*ep^3*z4+18012295936936\
         9865838104103740024261502494161/1315750515749951849568000*ep^3
         *z3-725587446824507322282608/1617*ep^3*z3^2;
Fill mncnoptab(9,6,2,7)=
      +mncF321*(9093058413094656000+70451706842410982400*ep+
         1335809301011322250560/7*ep^2+118715148596991505942948/441*
         ep^3)
      -1261367704684714000733142965168454881517139/
      28194653908927539633600-29224751777668400/231*ep^-3-
         970759105212414209807/693693*ep^-2-
         383416902991947338822594815091/80743284662040*ep^-1-
         3948683471487917511040/33*z3+656303755572261165322344786807194\
         1458697828380587783748185195935716588753057387/143435885704699\
         78728195457718489154474265804800000000000000*ep-
         1974341735743958755520/11*ep*z4-191753389424932120716882460/
         99099*ep*z3-63191400944006388610939942359117390531706290839897\
         73755654581915210659058394913135767713/28620691739198115010989\
         98385136156801971249274159104000000000000000*ep^2-
         893737161479339876454720/77*ep^2*z5-95876694712466060358441230/
         33033*ep^2*z4+231610584946615716548733508916639791/
         40371642331020*ep^2*z3+719140713014882787747474458057013554638\
         78331718137468841878699258882121757679907518373803450946345019\
         4693860134135973/307930683718034679157277808670445813299936259\
         923600629915764375450573340672000000000000000000000*ep^3-
         6633926750344010516967200/231*ep^3*z6-
         4579300624907339371610802520/231231*ep^3*z5+231610584946615716\
         548733508916639791/26914428220680*ep^3*z4+14586634231340910769\
         102535284490240996115071/14097326954463769816800*ep^3*z3-
         967456954124946432270400/231*ep^3*z3^2;
Fill mncnoptab(9,6,3,6)=
      +mncF321*(30007092763212364800+231883311633444282240*ep+
         4375752033834887424960/7*ep^2+128796378347789538963880/147*
         ep^3)
      -6985745601806356273486307750229448851029/47334263256824544000-
         12806970624927272/7*ep^-3-41447380570980400378/2205*ep^-2-
         7615438328369866990983512149/140484183840*ep^-1-
         394837253059944286144*z3+1734388374407963179884750098416472565\
         65278007644970401459557975198879541/11462923713546344270901504\
         3948675072000000000000000*ep-592255879589916429216*ep*z4-
         287256023964085407646137181/45045*ep*z3-3206021799523641280246\
         1947374074961060863266560990534749054328453739880752384663/
         4381930564129905107246959744057509752183193600000000000000*
         ep^2-268118834074058786287776/7*ep^2*z5-
         287256023964085407646137181/30030*ep^2*z4+39379130622196990756\
         3429401766871/20659438800*ep^2*z3+1912746500851116690877161677\
         79889119086801731543765349545089608316275498506517329234122891\
         930742445366916281429167637/1777377683798179966275773787419600\
         6539678860601650830009567929318936412160000000000000000000000*
         ep^3-663387433256597940711920/7*ep^3*z6-
         2262373973537539318939324091/35035*ep^3*z5+3937913062219699075\
         63429401766871/13772959200*ep^3*z4+167873034164748672676283216\
         470988391419/55687368537440640*ep^3*z3-96748091255260329012064/
         7*ep^3*z3^2;
Fill mncnoptab(9,6,4,5)=
      +mncF321*(45465292065473280000+351345069501398013600*ep+
         6630403805900675253980/7*ep^2+195184582149102691666870/147*
         ep^3)
      -69813344710263152801278845835414613865401/312406137495041990400-
         1429065566896958140/231*ep^-3-1032794142532499380073519/
         16648632*ep^-2-34342689106023873610300333439123/
         203983034935680*ep^-1-19739384882582464448960/33*z3+
         68233784527318473277414778703955741405773353678763959652020950\
         7806875527963/297416101637776364745268760908880752410624000000\
         000000*ep-9869692441291232224480/11*ep*z4-
         11489468492947669604083253675/1189188*ep*z3-
         24235328512185661897477623053133669720458992213364753792525208\
         1093292741019314701813/218640807427825745231194303389493506594\
         93262786560000000000000*ep^2-4468585731862739694112880/77*ep^2
         *z5-11489468492947669604083253675/792792*ep^2*z4+2945585113371\
         330147183069597313286353/101991517467840*ep^2*z3+
         11819268644141850223469616078481761194227992885310225038885515\
         679101769990227378251892858667401108340011994766879409921/
         65691879193180731553552599183028440170653068783701467715363066\
         7627889793433600000000000000000000*ep^3-
         33168953753525354577989800/231*ep^3*z6-
         90495630201093992508616027415/924924*ep^3*z5+29455851133713301\
         47183069597313286353/67994344978560*ep^3*z4+713110883228863520\
         944151627271734419105261/156203068747520995200*ep^3*z3-
         4837595292028976412250160/231*ep^3*z3^2;
Fill mncnoptab(9,6,5,4)=
      +mncF321*(34098969049104960000+264224565459208785600*ep+
         5011183295146115755680/7*ep^2+148526058301410041467510/147*
         ep^3)
      -2683902121883382970121728407862124276693/16020827563848307200-
         510956237306880980/77*ep^-3-92081011313500514104777/1387386*
         ep^-2-6083445922427575508613182261393/33997172489280*ep^-1-
         4934362879217131561120/11*z3+413832544771145186492657119469410\
         59061991456131501841694007486474610615515913/24090704232659885\
         544366769633619340945260544000000000000*ep-
         7401544318825697341680/11*ep*z4-1437963836718575196539912255/
         198198*ep*z3-1465569030929193957750087513068176037229734120251\
         8365550707975402463430161333435120847/177099054016538853637267\
         3857454897403418954285711360000000000000*ep^2-
         3351403319979505555672080/77*ep^2*z5-
         1437963836718575196539912255/132132*ep^2*z4+365642742751706539\
         120114463008357603/16998586244640*ep^2*z3+
         17335170092518397022414412036730360083744338202893311333986681\
         31468263604426662291393349115192237717115378236255501024857/
         85846147729648579994182536612381565615009430286541078010436455\
         645612638205902848000000000000000000*ep^3-
         8292156949562464086860600/77*ep^3*z6-
         11452080490370967886959907645/154154*ep^3*z5+36564274275170653\
         9120114463008357603/11332390829760*ep^3*z4+4047863530858849945\
         20570036161408525255479/104135379165013996800*ep^3*z3-
         1209436058004465887111920/77*ep^3*z3^2;
Fill mncnoptab(9,6,6,3)=
      +mncF321*(12590388571977216000+98106339591557046720*ep+
         1879661714399237442216/7*ep^2+56484365205646063945796/147*ep^3
         )
      -69801135753354565965128571917421079690471/1128133274287651632000
         -2271266563203675448/1001*ep^-3-2086443149930932746832481/
         90180090*ep^-2-36180205133168847178718467030591/
         552454052950800*ep^-1-23685513495339678435392/143*z3+
         11957169488707230288676925462674178748669448984927106495954979\
         8158763072932973/189454056743263544342736200698957039285567488\
         000000000000*ep-35528270243009517653088/143*ep*z4-
         3460417047028556168504852362/1288287*ep*z3-
         12651051259590706076459060350949858671546778103998164890204069\
         7056975394846286222711849/417822582994574999136812313777322091\
         10291625185116160000000000000*ep^2-16086778453850921975903328/
         1001*ep^2*z5-1730208523514278084252426181/429429*ep^2*z4+
         2161864506626406671335281456691697621/276227026475400*ep^2*z3+
         75852262386849223199702795453107794074944116861760772502280092\
         00870092132024426542618227669013643467210632285517093056277/
         85687173382001082623822939322358636789796449860084520458565277\
         02404668887589191680000000000000000000*ep^3-
         39802449648458860567138960/1001*ep^3*z6-
         28184301035250425189777096324/1002001*ep^3*z5+2161864506626406\
         671335281456691697621/184151350983600*ep^3*z4+1008722380133207\
         272558917583576718760625331/564066637143825816000*ep^3*z3-
         5805248958547299337176992/1001*ep^3*z3^2;
Fill mncnoptab(9,7,1,7)=
      +mncF321*(568316150818416000+4454167667285731200*ep+
         258704818638837829210/21*ep^2+3378638980767131290415/189*ep^3)
      -2522974942892216693015374921414583232403027/
      902228925085681268275200+46600262535875/693*ep^-3-
         132920029235651837171/24972948*ep^-2-
         1432610847483905796200805421157/23254065982667520*ep^-1-
         5182769201656341634040/693*z3+43027536320036159235097004278439\
         6468299805937498158667751725052042528113922915993/
         15181254142985425485922072449248921095562927800320000000000000
         *ep-2591384600828170817020/231*ep*z4-
         6073800562444713546232151951/49945896*ep*z3-
         57432450340493502321634108775648360259217569015441761933395042\
         6516489175472365224059041989/424089961914741988986845184715935\
         1702888918324477993943040000000000000*ep^2-
         55858716715853696054020/77*ep^2*z5-
         6073800562444713546232151951/33297264*ep^2*z4+4043245277668521\
         847438031790654959083/11627032991333760*ep^2*z3+
         37040555813826881671699730111616204352510238387132905607373939\
         3764395446806688345611580894789426652625388396112688671113473/
         21689565762319024039155181515972029937417226370833894241074335\
         74671181812171014144000000000000000000000*ep^3-
         1243864203102567307130350/693*ep^3*z6-
         7229879191933318262237549503/5549544*ep^3*z5+40432452776685218\
         47438031790654959083/7751355327555840*ep^3*z4+4388718949209940\
         4492719279967690008666668533/451114462542840634137600*ep^3*z3-
         181396830752016437373980/693*ep^3*z3^2;
Fill mncnoptab(9,7,2,6)=
      +mncF321*(4546529206547328000+35470955699263843200*ep+
         681097662808632774080/7*ep^2+2932261323277272574912/21*ep^3)
      -11414463553798583628916284383128857442957/510310477989638726400-
         35339945241938440/231*ep^-3-3488048821810508267050/2081079*
         ep^-2-63583875262052161428797331965/11399051952288*ep^-1-
         13819934463593600225600/231*z3+3584476016223707109419133900987\
         049190112570834051226591142226386784404183159171/1574982274404\
         5466838802855534027306873703628800000000000000*ep-
         6909967231796800112800/77*ep*z4-2020078134595805495796929051/
         2081079*ep*z3-240114403853387516274928672444878698357283689910\
         52497440553614361353285997738325388410471/21998649336795413890\
         800144450458303262210386577850368000000000000000*ep^2-
         446866960069698868124000/77*ep^2*z5-
         2020078134595805495796929051/1387386*ep^2*z4+13645205680330738\
         95911735624520288703/484459707972240*ep^2*z3+
         15691788100524510331546717344798387130072692341055738176600127\
         51987758438991420216077702966889656628653913963345040789/
         22107843959243515426676355494288417365123628917591840096516416\
         69901552189440000000000000000000000*ep^3-
         3316952364363757510366000/231*ep^3*z6-
         2361941589393223372853612603/231231*ep^3*z5+136452056803307389\
         5911735624520288703/322973138648160*ep^3*z4+380625562556618873\
         05218370037907915014596351/56389307817855079267200*ep^3*z3-
         483733525057095469268960/231*ep^3*z3^2;
Fill mncnoptab(9,7,3,5)=
      +mncF321*(12502955318005152000+97351378134914989800*ep+
         1862577781726927389535/7*ep^2+2659963818014566570560/7*ep^3)
      -6983293523673580337354878685056458679961/113602231816378905600-
         30628114296831775/21*ep^-3-8234761488168282948259/550368*ep^-2
         -3189360561542982764099499962057/74175649067520*ep^-1-
         3454504675894808586560/21*z3+192721481394910764822706004973782\
         265522801088965017934259746402100290817/3072480388820003768029\
         63595980248711168000000000000*ep-1727252337947404293280/7*ep*
         z4-8071905723224677254459526103/3027024*ep*z3-
         13602859414213676860962598329391516656063139082122650580874055\
         956543308918026103/4517372054293920356016411227055650962705219\
         584000000000000*ep^2-111715041340593035762540/7*ep^2*z5-
         8071905723224677254459526103/2018016*ep^2*z4+28881448866658783\
         0893683382035363971/37087824533760*ep^2*z3-
         49975588443537513937748044398995287968963926696359257882689020\
         06974822132233924167699824760500424373595061708353257/
         24883287573174519527860833023874409155550404842311162013395101\
         04651097702400000000000000000000*ep^3-829226548364710746752650/
         21*ep^3*z6-9363770688629529290220894509/336336*ep^3*z5+
         288814488666587830893683382035363971/24725216355840*ep^3*z4+
         1787774758399544924002039508251823744779/1032747561967080960*
         ep^3*z3-120938645533677910697180/21*ep^3*z3^2;
Fill mncnoptab(9,7,4,4)=
      +mncF321*(15155097355157760000+118065284263051320000*ep+
         6783325486200637314200/21*ep^2+29101091161462792925440/63*ep^3
         )
      -1395735462353335285588714112476359303589/18744368249702519424-
         2058892328821268200/693*ep^-3-748442107386581309558695/
         24972948*ep^-2-5056092471114701615134372830923/61194910480704*
         ep^-1-138161823797010082860800/693*z3+610547698529665669399811\
         3842830428886958015470689492525561292843425203784437/
         8030234744219961848122256544539780315086848000000000000*ep-
         69080911898505041430400/231*ep*z4-
         40366728062992771425198560185/12486474*ep*z3-
         12660824898847568455280499445572523278147092664126359766458531\
         4420592341821659718419/347253047091252654190720364206842628121\
         36358543360000000000000*ep^2-4468536572260091320743200/231*
         ep^2*z5-40366728062992771425198560185/8324316*ep^2*z4+28842150\
         0970967062386129645573138745/30597455240352*ep^2*z3-
         28468014990054301278139362270799948362258198271263504994871108\
         64679665693969229758075866816028362934347502694901310751/
         11824538254772531679639467852945119230717552381066264188765352\
         01730201628180480000000000000000000*ep^3-
         33168619732458159698422000/693*ep^3*z6-
         3609820524372706943638677535/106722*ep^3*z5+288421500970967062\
         386129645573138745/20398303493568*ep^3*z4+10017400361487079926\
         7144536461976451092217/46860920624256298560*ep^3*z3-
         4837747979759441332637600/693*ep^3*z3^2;
Fill mncnoptab(9,7,5,3)=
      +mncF321*(8524742262276240000+66619546028092980000*ep+
         1283097172655198547050/7*ep^2+33281630609389070883455/126*ep^3
         )
      -6979931176198113651303434446817244754933/166616606664022394880-
         370801497845381825/231*ep^-3-546361260567822010324315/33297264
         *ep^-2-953462950985919424251316953329/20398303493568*ep^-1-
         25905681726764633194600/231*z3+1118717567587805665156182935398\
         4496552765128304863325278189373698307810641101/262321001644518\
         75370532704712163282362617036800000000000*ep-
         12952840863382316597300/77*ep*z4-15160372192848655376807160185/
         8324316*ep*z3-393434487640388274197102998180903806122792094538\
         0700769752908195290078582356811172691/192841192151342307293913\
         3755895332728167305777774592000000000000*ep^2-
         837851806505021578629900/77*ep^2*z5-
         15160372192848655376807160185/5549544*ep^2*z4+2426649262367003\
         53961604808451993/46150007904*ep^2*z3+
         43340244340221235451049602319291267071721414522119898143657778\
         16184895300431128526166159794688305039374081055648009023483/
         51412304029200649574293763593415182073877869916050712275139166\
         21442801332553515008000000000000000000*ep^3-
         6219124344470750256737750/231*ep^3*z6-
         8921668701001460412005782115/462462*ep^3*z5+242664926236700353\
         961604808451993/30766671936*ep^3*z4+65430377473718432858573537\
         72572183857163/4900488431294776320*ep^3*z3-
         907073973056375142545500/231*ep^3*z3^2;
Fill mncnoptab(9,7,6,2)=
      +mncF321*(2098398095329536000+16495516343819232000*ep+
         321090239304634076800/7*ep^2+4224089541715786140728/63*ep^3)
      -74180495178232127612514227780102704252639/7186872565020745396800
         -563204311292734960/3003*ep^-3-55142913919965230394773/
         27054027*ep^-2-1234814604952334281315897155911/185234594224680
         *ep^-1-82911876182094366623360/3003*z3+23291155562554725623867\
         8992902541727162307595790149036540032869738643714465100161551/
         22289653141700954125212642843132533561485333993881600000000000\
         00*ep-41455938091047183311680/1001*ep*z4-
         12163970791899471996602221468/27054027*ep*z3-
         15488101596374055973308202702738206072789175215247243540397172\
         68455931403312291203571482125091/31133192498211647191504870030\
         91100544238452981734433200537600000000000000*ep^2-
         2681174357961683399711040/1001*ep^2*z5-
         6081985395949735998301110734/9018009*ep^2*z4+20052862992939327\
         92485421673007442633/1574494050909780*ep^2*z3+
         97386666368587838432307149410863163894335046981937961827576296\
         13923290110725796070375888286803069004484245809286937140977706\
         67/10827431228549656800346266612773237344758679404320280005144\
         30840475853960635770260684800000000000000000000*ep^3-
         19901527994257389581274400/3003*ep^3*z6-
         14647730508643178918836245464/3006003*ep^3*z5+2005286299293932\
         792485421673007442633/1049662700606520*ep^3*z4+476555239990012\
         0742455590093142443863357279/12217683360535267174560*ep^3*z3-
         2902486226754595343743040/3003*ep^3*z3^2;
Fill mncnoptab(9,7,7,1)=
      +mncF321*(174866507944128000+1387038385472771400*ep+
         82304632972705524625/21*ep^2+316032893260273832839/54*ep^3)
      -5047070437860289677500742758751934399062437/
      5864488013056928243788800-329914307831785/9009*ep^-3-
         10922521499238607982387/1298593296*ep^-2-
         12895032502558062031701152441359/151151428887338880*ep^-1-
         20731070636817730679240/9009*z3+825015008570112084748724819219\
         1073944227711834267412257688669542522258145331517973019/
         95488874059046887472410961939979773777403170829788774400000000\
         0000*ep-10365535318408865339620/3003*ep*z4-
         1745450463255084130016962363/46378332*ep*z3-
         54468165594833616334163662830729060170174841686864934223317507\
         556804883259651847943860727588603/1333745966623386965684068632\
         124227473151753257375031183110307840000000000000*ep^2-
         31919265353653901357260/143*ep^2*z5-
         1745450463255084130016962363/30918888*ep^2*z4+7820151063171192\
         919621320215839326653/75575714443669440*ep^2*z3+
         56301032373181218875864371473703821465962182503740013707169912\
         59161500464566071402874422113059853844520743522115102682741193\
         551/7094132940945735135586873884689025108285886745710647459370\
         5508667977951500855667480068096000000000000000000*ep^3-
         4975456616608445137070350/9009*ep^3*z6-
         7610302428096024391743237199/18036018*ep^3*z5+7820151063171192\
         919621320215839326653/50383809629112960*ep^3*z4+23586653218532\
         414918325091848706492194108629/586448801305692824378880*ep^3*
         z3-725587349364914717077580/9009*ep^3*z3^2;
Fill mncnoptab(9,8,1,6)=
      +mncF321*(194851251709171200+10804742381044759680/7*ep+
         213205642322611640056/49*ep^2+2855894409576998282924/441*ep^3)
      -26560402207496596908308308029972520741273/
      27700010857893723148800-134006900603476/1617*ep^-3-
         87397704120386787572/14567553*ep^-2-
         203843188225864925956993658311/3569703111374400*ep^-1-
         4146210454239345038816/1617*z3+4278032151364068084534624551613\
         2584814203245851520389796294256419176588188585049/
         4438963199703340785357331125511380437299101696000000000000000*
         ep-2073105227119672519408/539*ep*z4-
         6105209086432229783058492103/145675530*ep*z3-
         11311336171058053420405194902426362564023680306670051421719588\
         4115446098997001521833395749/248005825681135666074178470594114\
         1346718665686829236224000000000000000*ep^2-
         134060904104135175190704/539*ep^2*z5-
         6105209086432229783058492103/97117020*ep^2*z4+3924811787681923\
         826003346441051862187/33912179558056800*ep^2*z3-
         86003461204206680380813157275082420581589603771305581592657146\
         1644622564381286969478858040598963953309182145005547096453133/
         10603787706022633974698088741141881302737310670185459406747453\
         031725777748391624704000000000000000000000*ep^3-
         995091254645415451333240/1617*ep^3*z6-
         7568528421605899975339988879/16186170*ep^3*z5+3924811787681923\
         826003346441051862187/22608119705371200*ep^3*z4+57390354756907\
         075842833526663296279962428097/1315750515749951849568000*ep^3*
         z3-145117527696207233197808/1617*ep^3*z3^2;
Fill mncnoptab(9,8,2,5)=
      +mncF321*(1299008344727808000+71744434829307957600/7*ep+
         1405654820960425506180/49*ep^2+18649959645284493535894/441*
         ep^3)
      -5044671084929504507117926306120707735946213/
      789450309449971109740800-152572908227603300/1617*ep^-3-
         40072015003805497034131/38846808*ep^-2-
         30907914613434560137025692153589/9043247882148480*ep^-1-
         27638072024571493286080/1617*z3+652603766976307616579896515694\
         111239627313064637473498000714298971985347318824643/
         10120836095323616990614714966165947397041951866880000000000000
         *ep-13819036012285746643040/539*ep*z4-
         5415943016211283455189231289/19423404*ep*z3-
         34613329067626017943735826388141606116604102887353780520278300\
         772653244339952191674667888087/1130906565105978637298253825909\
         16045410371155319413171814400000000000000*ep^2-
         893727543551691940968720/539*ep^2*z5-
         5415943016211283455189231289/12948936*ep^2*z4+5428722640864313\
         9472554171276624423/69563445247296*ep^2*z3-
         25887066188900687605614324620697827570744565820956627266498831\
         1857777778109458938764321031342299948201561350802950183797/
         34764142469031243138140035487658650538309604000334816714970134\
         9308679278685061120000000000000000000*ep^3-
         6633861396576260824050200/1617*ep^3*z6-
         19842184891349596895039482801/6474468*ep^3*z5+5428722640864313\
         9472554171276624423/46375630164864*ep^3*z4+1047834239532584464\
         24771923231276763362637661/394725154724985554870400*ep^3*z3-
         967486778090733716284240/1617*ep^3*z3^2;
Fill mncnoptab(9,8,3,4)=
      +mncF321*(2857818358401177600+157599526271914584000/7*ep+
         3079434008413123190376/49*ep^2+203545413944754069164432/2205*
         ep^3)
      -1396115126187607232184864065359713119641/99401952839331542400-
         79435624493232520/147*ep^-3-1490488155096467017061/267540*
         ep^-2-1754251727847801968488898869781/108172821556800*ep^-1-
         5526537264057749578496/147*z3+21785316673297541263948770010022\
         57696156343471364540300813300167783279866377/15330448148056290\
         800960671585030489692438528000000000000*ep-
         2763268632028874789248/49*ep*z4-300630407008663716943894211/
         490490*ep*z3-7605474647395297332906980194269742842477533546411\
         69783356511782982152780298897738903/11269939801052472504189742\
         72925843802175698181816320000000000000*ep^2-
         178741690820658529128864/49*ep^2*z5-
         901891221025991150831682633/980980*ep^2*z4+5486061009449545137\
         574854221290103/3181553575200*ep^2*z3-
         12243538283629958226112577745400697140213632700643417189163461\
         903022203373229329665979825129279418203404211125445691/
         13357466559990487642411448354591043778648122646712832058314814\
         005559028613120000000000000000000*ep^3-
         1326746337994794594520240/147*ep^3*z6-
         9856031656765580574913868891/1471470*ep^3*z5+54860610094495451\
         37574854221290103/2121035716800*ep^3*z4+8224346238627264715678\
         546917665338903517/14617934241078168000*ep^3*z3-
         193509211191110428448288/147*ep^3*z3^2;
Fill mncnoptab(9,8,4,3)=
      +mncF321*(2598016689455616000+143404233546927787200/7*ep+
         2806680365520381816360/49*ep^2+37185379273205085081368/441*
         ep^3)
      -109054991367243388774868805710368408931/8542355322130054425-
         895007970565851400/1617*ep^-3-110749562758039873494251/
         19423404*ep^-2-7775821960936536570411516293/469388969280*ep^-1
         -55263164170382182540160/1617*z3+47629383469611330811979538174\
         2232516806755425264863782169176657945293557461/368888908562604\
         4973981161600147961582243020800000000000*ep-
         27631582085191091270080/539*ep*z4-5413620233126370415905591569/
         9711702*ep*z3-265783592336667787378269120686771233470475565674\
         5516859488205753320217388547092151071/433892682340520191411305\
         0950764498638376437999992832000000000000*ep^2-
         1787409071063218660657440/539*ep^2*z5-
         5413620233126370415905591569/6474468*ep^2*z4+
         81068554239993271894746756575275/51847539744*ep^2*z3-
         54686951129762288042860202450659078072594262318744838021233363\
         80490090130175278066143546408132660752078134822333654277/
         86910356172578107845350088719146626345774010000837041787425337\
         32716981967126528000000000000000000*ep^3-
         13267410122548184498580400/1617*ep^3*z6-
         19789465971756651267213490921/3237234*ep^3*z5+
         81068554239993271894746756575275/34565026496*ep^3*z4+143006680\
         810937355015000236440394401672003/273355370308161741600*ep^3*
         z3-1935116358140694525272480/1617*ep^3*z3^2;
Fill mncnoptab(9,8,5,2)=
      +mncF321*(974256258545856000+53960171660180323200/7*ep+
         1062539915639522110760/49*ep^2+14192584034713386122638/441*
         ep^3)
      -148356614007286384831372492943159227421377/
      30958835664704749401600-165279636134489300/1617*ep^-3-
         64842885033451683929893/58270212*ep^-2-
         1458312602283845451820785427993/398966818330080*ep^-1-
         20727432385648638681760/1617*z3+450535564675259049713249970600\
         2641492650332467088897586272104583336883959521/933322829276768\
         40526239143905347003696021504000000000000*ep-
         10363716192824319340880/539*ep*z4-3050517498064228696359737096/
         14567553*ep*z3-33773661073403500862201202815616585318484871196\
         207297459284661355986742404621066057268169/1478309235432651813\
         46176970707079797922053797803154472960000000000000*ep^2-
         670291684522578915465840/539*ep^2*z5-
         1525258749032114348179868548/4855851*ep^2*z4+39384925139622565\
         5745115493241037747/678243591161136*ep^2*z3-
         29028192175969026687796400373732564064854749456451664865178384\
         43479730130228240029279989702773667762752751260419895333329/
         89767514971620181796385936432947143303596280805802830956592194\
         97757272167950581760000000000000000000*ep^3-
         4975369052955220269289400/1617*ep^3*z6-
         3765099673194633796756626163/1618617*ep^3*z5+39384925139622565\
         5745115493241037747/452162394107424*ep^3*z4+559181358072095760\
         25950588707095181245931023/263150103149990369913600*ep^3*z3-
         725627445000168415791280/1617*ep^3*z3^2;
Fill mncnoptab(9,8,6,1)=
      +mncF321*(119908462590259200+6681703189695101280/7*ep+
         132994878252874086836/49*ep^2+1802110899134925475948/441*ep^3)
      -118757635021708490746446030781077227906501/
      201232431820580871110400-2216435012680628/21021*ep^-3-
         5302622262981978193639/757512756*ep^-2-
         1699261239413116303432752512963/25932843191455200*ep^-1-
         33169660696545231969568/21021*z3+66367656010150871034937482381\
         36234709964655771180594482790320535997532558464407224773/
         11233985183417280879107171992938796914988608332916326400000000\
         00000*ep-16584830348272615984784/7007*ep*z4-
         24478854174591165809103205357/946890945*ep*z3-
         43672864506410323720620445276227514717190219006147754685336519\
         952404279642663448373519804828113/1569112901909867018451845449\
         557914674296180302794154333070950400000000000000*ep^2-
         1072487148766604386950192/7007*ep^2*z5-
         24478854174591165809103205357/631260630*ep^2*z4+15479450251052\
         378219642601708687312533/220429167127369200*ep^2*z3+
         79328795416689934225484352531545450148244081531677089677759427\
         01528699478576184034519229125756119478750601232778870683699837\
         90981/66030006604187227031231672311336310623276330479306795583\
         372050375579477935411813577601843200000000000000000000*ep^3-
         7960729464008169822202520/21021*ep^3*z6-
         30900069110337645726907158926/105210105*ep^3*z5+15479450251052\
         378219642601708687312533/146952778084912800*ep^3*z4+2539292999\
         34297125321842343913685247873553013/8552378352374687022192000*
         ep^3*z3-1160940455916356891695984/21021*ep^3*z3^2;
Fill mncnoptab(9,9,3,3)=
      +mncF321*(334900588875138000+18782427581808268950/7*ep+
         378036053874062285580/49*ep^2+3463765875893872003499/294*ep^3)
      -13959753463408623579638480734630715857921/8482299975622958284800
         -16398713889961675/196*ep^-3-1001673065677644812923/1141504*
         ep^-2-122913070940430536908836145667/46153737197568*ep^-1-
         215858622940424009885/49*z3+2521478733796961382557760460612177\
         895761160511829462784289922702310417/1533044814805629080096067\
         15850304896924385280000000*ep-647575868821272029655/98*ep*z4-
         454617642992891148026218565/6278272*ep*z3-25477946685764312159\
         920513166256442181505146164945619052688697035205557204243/
         331468817678013897182051256742895235934028877004800000000*ep^2
         -20946059982531512410770/49*ep^2*z5-
         1363852928978673444078655695/12556544*ep^2*z4+2221258221096902\
         2102442543538949901/115384342993920*ep^2*z3-
         97648358852364431018636073493004464443813762757738212448739424\
         5287337992555293282670556725535912722949650557715426391365717/
         19215233266508276960192098876276498019889088971563795531040789\
         16520173808487825974231040000000000000000*ep^3-
         103651006797955442004425/98*ep^3*z6-
         480624309055538950332188505/570752*ep^3*z5+2221258221096902210\
         2442543538949901/76922895329280*ep^3*z4+3968052703176185961260\
         25906346723575761699/4241149987811479142400*ep^3*z3-
         7559191178456591643530/49*ep^3*z3^2;
Fill mncnoptab(9,9,4,2)=
      +mncF321*(202970053863720000+11396618933876163000/7*ep+
         229852712286890552400/49*ep^2+3167680009054441636330/441*ep^3)
      -5043695702122805215472560499910530542256809/
      5052481980479815102341120-47888498452702175/1617*ep^-3-
         33401603738680933113965/103591488*ep^-2-
         7681379250615694220510519224205/7234598305718784*ep^-1-
         4317915376844109494500/1617*z3+1450251313890739963376062441446\
         01557851110078454726192716574462081935761311670241/
         14574003977266008466485189551278964251740410688307200000000000
         *ep-2158957688422054747250/539*ep*z4-
         2274623069249937828478786105/51795744*ep*z3-
         18926800145836677790165544828262423541687498069971508573532110\
         97927441738326098362604017017/40712636343815230942737137732729\
         776347733615914988741853184000000000000*ep^2-
         139643042827675355019000/539*ep^2*z5-
         2274623069249937828478786105/34530496*ep^2*z4+2213225988462960\
         4547550999579092413/190384165939968*ep^2*z3-
         17257652925291500915904257057854332155868469133317892488780008\
         49979484821734463883987082131849438967699710646764776248915266\
         8101/852234025836175099738439969360615240178120874066797459392\
         72108105502748754052057609095086080000000000000000*ep^3-
         1036528032765454888906250/1617*ep^3*z6-
         26562761431737087395867060735/51795744*ep^3*z5+221322598846296\
         04547550999579092413/126922777293312*ep^3*z4+15383331042747890\
         97780881787689888030244037/26592010423577974222848*ep^3*z3-
         151175710619230352883400/1617*ep^3*z3^2;
Fill mncnoptab(9,9,5,1)=
      +mncF321*(38056885099447500+4288996921480166025/14*ep+
         174087969917379162755/196*ep^2+4838165150156031659171/3528*
         ep^3)
      -5047956626979187080736684155297697811429617/
      26946570562559013879152640-248094860555345/25872*ep^-3-
         44048256633224565796447/14917174272*ep^-2-
         52179753398668706015332738923701/1736303593372508160*ep^-1-
         3239232361849418374975/6468*z3+4875202926001230451278145756500\
         65036664714317543158410977519586600339624988908457/
         262332071590788152396733411923021356531327392389529600000000000
         *ep-3239232361849418374975/4312*ep*z4-
         61531333807018898186036213683/7458587136*ep*z3-
         63496770550508501900300760340344140518448084421155952172086577\
         77641903178281027135725137889/73282745418867415696926847918913\
         5974259205086469797353357312000000000000*ep^2-
         52367547584636904238725/1078*ep^2*z5-
         61531333807018898186036213683/4972391424*ep^2*z4+1871592595738\
         6989562184343927647728063/868151796686254080*ep^2*z3-
         70067535208439498496274565245929161138276905929709397425046413\
         79438094098402786150472074253669610527221259468844224609195161\
         015495243/2470556557708953047783558919098936010826677808007972\
         35738782821084987817412599082740042708748861440000000000000000
         *ep^3-1554830265729860035286875/12936*ep^3*z6-
         80852901031536917172499131629/828731904*ep^3*z5+18715925957386\
         989562184343927647728063/578767864457502720*ep^3*z4+7741745815\
         47640688027088062157481007750143039/67366426406397534697881600
         *ep^3*z3-56686486285375405594475/3234*ep^3*z3^2;
Fill mncnoptab(10,2,2,10)=
      +mncF321*(630660532795321600+309356143786543505080/63*ep+
         53237075493426810556871/3969*ep^2+12741008673788505006507433/
         666792*ep^3)
      -116525467270212745783440540164082627893683074839/
      37553433538435625716633728000-688949602009547/11907*ep^-3-
         475579997893506946756201/923953670640*ep^-2-
         40617251034411350765896540665911/35848256718280406400*ep^-1-
         14116868219900217586600/1701*z3+126811469017455993843976704866\
         3996543507523837453401080132831696976139516047/401123732317039\
         23196598552753870102988639436800000000000*ep-
         7058434109950108793300/567*ep*z4-
         123305683933697093616968399594/916620705*ep*z3-
         63818121861103155758787722334352741536143285616870718375109312\
         63692275362205032170823/42020379235277232493408021745408120319\
         850614343335936000000000000*ep^2-1065039474981492968945180/
         1323*ep^2*z5-61652841966848546808484199797/305540235*ep^2*z4+
         310668680344050248248320366544675303489/790770368785597200*
         ep^2*z3+105643995068728407216417640178282814451798804186515522\
         7902307156836256354169754564772115792436929885499865303/
         24762227792853900458950408803059451835465904862981032521069870\
         56817766400000000000000000*ep^3-23716342993235337993501050/
         11907*ep^3*z6-324395214254199486796040344177771/230988417660*
         ep^3*z5+310668680344050248248320366544675303489/
         527180245857064800*ep^3*z4+16696745873108898246467895202860463\
         9833528180043/1877671676921781285831686400*ep^3*z3-
         3458633677802717639018116/11907*ep^3*z3^2;
Fill mncnoptab(10,3,1,10)=
      +mncF321*(260603525948480000+128051969899329179600/63*ep+
         22105778692387321698280/3969*ep^2+1328413266558179030607809/
         166698*ep^3)
      -1393845023113901801915034181801464909681488713/
      1087073076112610218113081600-2266938637631270/130977*ep^-3-
         6498286884908791668361/53492054616*ep^-2-
         26382822700176825514388133023/518856347238269040*ep^-1-
         64167584759173146521680/18711*z3+25449830600744822958515080501\
         65211307638889348687623709672850098371173951979/19507280455839\
         1710703458224971452500850014945280000000000*ep-
         32083792379586573260840/6237*ep*z4-
         17713936613153786272976393810/318405087*ep*z3-
         56840899070043272232410052297269124325769091867942221726258139\
         81412712435881140182177/90822995119055351634874882088320709182\
         554310299982233600000000000*ep^2-4841088540288287550892280/
         14553*ep^2*z5-8856968306576893136488196905/106135029*ep^2*z4+
         7398396890037635407050889955876645371/45781442403376680*ep^2*
         z3+10369825855357353542045744901134792954999100087771316246290\
         14288628655895136656092985506288265563764701637347/
         60819506859641159021983460218040758894126783873988500928943541\
         74640128000000000000000000*ep^3-107801559423200939830946900/
         130977*ep^3*z6-7819950776710899776130766255015/13373013654*
         ep^3*z5+7398396890037635407050889955876645371/
         30520961602251120*ep^3*z4+211592369995455004246974510574782505\
         67165325239/543536538056305109056540800*ep^3*z3-
         15721062062498888162894920/130977*ep^3*z3^2;
Fill mncnoptab(10,3,2,9)=
      +mncF321*(2579974906889952000+140037045527955089800/7*ep+
         23922785238010593590975/441*ep^2+5671569560618451248146309/
         74088*ep^3)
      -557539114401180466326869123301902151210655789/
      43922144489398392651033600-1131669315598085/1323*ep^-3-
         995263869574973259295/98240688*ep^-2-
         1657049249651430596425636337593/41927785635415680*ep^-1-
         6416756061901606202200/189*z3+48684143593233111272493229776228\
         98813954918183491770347457540841378228149281/37532045129079694\
         219039581524088985252528128000000000000*ep-
         3208378030950803101100/63*ep*z4-1766434426838442056250275548/
         3216213*ep*z3-163974966779979827455285229509756401434165195885\
         28066330534346938992827706350138819697/26211542602901977383802\
         274772964129634214808167383040000000000000*ep^2-
         484108832953595823880100/147*ep^2*z5-
         883217213419221028125137774/1072071*ep^2*z4+150255280153851889\
         0623099139884879737/924877624310640*ep^2*z3+
         15863110295378146944956360782254955773335588524383227955689734\
         42472689697069452936483314184446967524034226741/
         96538899777208188923783270187366283958931402974584922109434193\
         2482560000000000000000000*ep^3-10780155510372627928763750/1323
         *ep^3*z6-1523586546802287333436159041959/270161892*ep^3*z5+
         1502552801538518890623099139884879737/616585082873760*ep^3*z4+
         3384599639654844660619898544038892766985854651/
         10980536122349598162758400*ep^3*z3-1572106368642924205160380/
         1323*ep^3*z3^2;
Fill mncnoptab(10,3,3,8)=
      +mncF321*(9381726934145280000+507777649144654304000/7*ep+
         86304176197542344990800/441*ep^2+2540824979239670414195080/
         9261*ep^3)
      -386104409071574965819178753120170571590429/
      8364674331429749292960-364516468350270800/14553*ep^-3-
         201900426247661706315545/742945203*ep^-2-
         270976332385149346579225325813/303424764466824*ep^-1-
         256669228056864151475200/2079*z3+16808014101736700651077462759\
         1252355974770341642058114406141617816826631509/355505183988904\
         560984579065773896524365824000000000000*ep-
         128334614028432075737600/693*ep*z4-
         70560890471041262507950068680/35378343*ep*z3-
         59725203993648163862947537850301126954860749914827403545118212\
         126928742627507605391/2613440901285729610966619407702539571017\
         5540674560000000000000*ep^2-19364344957075265369355200/1617*
         ep^2*z5-35280445235520631253975034340/11792781*ep^2*z4+7966360\
         0412600747313541775920409735/13386386667654*ep^2*z3+
         16403544203667750537463599902178197385649363824009117839363205\
         24992710550971871642857329566141306073157/28341497681965350314\
         5239564725559588633293355677566736390946816000000000000000000*
         ep^3-431206050043198348159676000/14553*ep^3*z6-
         15039656157307442767862028135860/742945203*ep^3*z5+79663600412\
         600747313541775920409735/8924257778436*ep^3*z4+102597693373959\
         9474630182851833747907903907/1045584291428718661620*ep^3*z3-
         62884333473663745960283200/14553*ep^3*z3^2;
Fill mncnoptab(10,4,1,9)=
      +mncF321*(586357933384080000+31944800645223792300/7*ep+
         1220994207047192385345/98*ep^2+7889700422020304604986993/
         444528*ep^3)
      -2787698211524629578192206472653096176001041817/
      966287178766764638322739200+129904155814555/29106*ep^-3-
         3059113334919944941997/23774246496*ep^-2-
         1668943980654928183431866453629/922411283979144960*ep^-1-
         16041899295391817431340/2079*z3+314667089468915768690721777984\
         5897666334677737973571042063712380751549955629/107035832405153\
         202032075843605735254238691328000000000000*ep-
         8020949647695908715670/693*ep*z4-13271847127483211116271869175/
         106135029*ep*z3-1697787112520113649745664827144420175614369460\
         925040276297719050720204248970972878397/1201362369299673963424\
         2709270941892749015120410050560000000000000*ep^2-
         403424052645815788290630/539*ep^2*z5-
         13271847127483211116271869175/70756686*ep^2*z4+247992662363486\
         1389901854483531426189/6782435911611360*ep^2*z3+
         19057787877763560557381084033209409205138277423123109677798464\
         33925997682435689262137261986911607037306205241099/
         50547767923346207720492920270104986280896482597492665216499743\
         58478684160000000000000000000*ep^3-26950390315923208904569075/
         14553*ep^3*z6-2582014384266729896891721786125/1981187208*ep^3*
         z5+2479926623634861389901854483531426189/4521623941074240*ep^3
         *z4+19522504442140124344819607367285375709580800583/
         241571794691691159580684800*ep^3*z3-3930265215604450591590110/
         14553*ep^3*z3^2;
Fill mncnoptab(10,4,2,8)=
      +mncF321*(5159949813779904000+279827698554094719600/7*ep+
         5303710318541201794350/49*ep^2+16948050544112738312120867/
         111132*ep^3)
      -557538629332329773917441207803254047416427249/
      21961072244699196325516800-11822173072340270/1323*ep^-3-
         4936225308386720379905/49120344*ep^-2-
         7467230291213937216486045908153/20963892817707840*ep^-1-
         12833481417831680885200/189*z3+2014490136324004549915277958847\
         883597352864145495630839153092906861066323849763/7758577454026\
         943039342088493182769920171048960000000000000*ep-
         6416740708915840442600/63*ep*z4-963101824485498758164937948/
         877149*ep*z3-1357808844503059805725766674107463738987290413400\
         3268863093436454892606907162422433182163/108368346448872862746\
         15752976447357345645684751702425600000000000000*ep^2-
         322739137914559496829000/49*ep^2*z5-
         481550912242749379082468974/292383*ep^2*z4+5019692678906813255\
         33742349633058389/154146270718440*ep^2*z3+
         74759860618687171708331057264916177540539097733287058396188438\
         612783059063516543945193947146865856885098558903969/
         27140704936114867213560119122300688656504077303767368539541055\
         504331571200000000000000000000*ep^3-21560305884420711620466500/
         1323*ep^3*z6-505838252371917246602579990443/45026982*ep^3*z5+
         501969267890681325533742349633058389/102764180478960*ep^3*z4+
         3241474506321358343774770794538169702109107581/
         5490268061174799081379200*ep^3*z3-3144215138721845613318760/
         1323*ep^3*z3^2;
Fill mncnoptab(10,4,3,7)=
      +mncF321*(16418022134754240000+126967581360798282000*ep+
         2398799540431831166250/7*ep^2+7633684385784275719868705/15876*
         ep^3)
      -1544351867704505667342205762195263594897877/
      19119255614696569812480-381344288715784150/2079*ep^-3-
         1647586728138105490713335/849080232*ep^-2-
         2081439070078291693497905896127/346771159390656*ep^-1-
         64166398790806013190800/297*z3+5402172183527577379011543713222\
         984611528560166951627783594958187248759353907/6529687052857430\
         711961656310132793304678400000000000000*ep-
         32083199395403006595400/99*ep*z4-52924803343403939346853060520/
         15162147*ep*z3-19192601513552216468179011915887608336607643829\
         95605183965306607466501135742185911569/48001975737901156119795\
         0503455568492635877277696000000000000000*ep^2-
         1613692904940513776274600/77*ep^2*z5-
         26462401671701969673426530260/5054049*ep^2*z4+2654122952296139\
         6829641067045781777/2549787936696*ep^2*z3+
         58548956247277743248044765469731817281480525315942547169941559\
         6064614518034525050911405934618933078876023817/
         63273839569767336686884657516637941221508421723157985974464544\
         768000000000000000000000*ep^3-107801359104645574667696500/2079
         *ep^3*z6-2508677748719319943148856314495/70756686*ep^3*z5+
         26541229522961396829641067045781777/1699858624464*ep^3*z4+
         8248001744969457018554799291762654177599689/
         4779813903674142453120*ep^3*z3-15721153084340471013091400/2079
         *ep^3*z3^2;
Fill mncnoptab(10,4,4,6)=
      +mncF321*(24627033202131360000+190655452158512897400*ep+
         10827968328768108879275/21*ep^2+7679616266709737287319371/
         10584*ep^3)
      -7720236526554227081926458632282408055781387/
      63730852048988566041600-678146671444169575/693*ep^-3-
         17034204730125133656788525/1698160464*ep^-2-299590639647068143\
         741394373454957/10403134781719680*ep^-1-
         32081665260669370825640/99*z3+52469275810495595397861391317713\
         04099247961798636013462135530124562450220009/42322045712964828\
         68864036497308291956736000000000000000*ep-
         16040832630334685412820/33*ep*z4-79425547047192990699231159430/
         15162147*ep*z3-37254200253240644964933390030472418224924414185\
         8757424923928979551537963064687654183/622247833639459431182528\
         43040536656452798906368000000000000000*ep^2-
         7261580015371591114833220/231*ep^2*z5-
         39712773523596495349615579715/5054049*ep^2*z4+2382117476489441\
         99295390216741443801/15298727620176*ep^2*z3+
         80216472065555861361613953150076098639725314706090094708221537\
         556343649083316249819959045254606569378808527/
         82021643886735436445961593077123257138992398530019611448379965\
         44000000000000000000000*ep^3-53900420973225219371800450/693*
         ep^3*z6-280098586219796028527344664055/5241236*ep^3*z5+
         238211747648944199295390216741443801/10199151746784*ep^3*z4+
         43257199503447348794872290684977243913627637/
         15932713012247141510400*ep^3*z3-7860694786562213330910260/693*
         ep^3*z3^2;
Fill mncnoptab(10,5,1,8)=
      +mncF321*(721671302626560000+39375281197663304400/7*ep+
         754643436869034612180/49*ep^2+612139387750870765188344/27783*
         ep^3)
      -50456329582389435234048393852531835329828757/
      14210105570099479975334400-1003896498585130/14553*ep^-3-
         454470616980968678917/349621272*ep^-2-
         123307645136185126084217301179/13564871823222720*ep^-1-
         19743870809144869153520/2079*z3+313631864711166662367203656597\
         84346126069174552482880872919644402640085663329/86769856784324\
         5626767379540995022924986449920000000000000*ep-
         9871935404572434576760/693*ep*z4-1923090672926680264517871215/
         12486474*ep*z3-10014489612292011128367230566994651333860153144\
         002084243651833441114236240488917209969/5771250597616080804685\
         2230811387523990366754911027200000000000000*ep^2-
         496521898166911546127640/539*ep^2*z5-
         1923090672926680264517871215/8324316*ep^2*z4+30399821898558131\
         93802493289506758767/6782435911611360*ep^2*z3+
         31345182694671426395922444150569254632093700653520512510264488\
         2964900791102373271264667936521286691922350059634809/
         17647489476238244770417090789300403335317984486849626743710472\
         97903870607360000000000000000000*ep^3-
         33169710387106494153429100/14553*ep^3*z6-
         23522317723767557848962976760/14567553*ep^3*z5+303998218985581\
         3193802493289506758767/4521623941074240*ep^3*z4+74167241354836\
         0650089301431351100883268339141/7105052785049739987667200*ep^3
         *z3-4837250002400088477839480/14553*ep^3*z3^2;
Fill mncnoptab(10,5,2,7)=
      +mncF321*(5556869030224512000+43158460788038138400*ep+
         821832278642384425800/7*ep^2+660914652320113768615972/3969*
         ep^3)
      -1261393395497169301488534778996551289318237/
      46136706396426883036800-6427299085313380/189*ep^-3-
         78675605786924780905/206388*ep^-2-2664930893336825547528898637/
         2001899619720*ep^-1-1974367429378249906400/27*z3+
         23394623764645321160973732929551588246012709845027400119691724\
         6848568915418091/838261669702790964634799477054560975768780800\
         000000000000*ep-987183714689124953200/9*ep*z4-
         95989188785647047644959666/81081*ep*z3-15735337856218992557699\
         09964841832981664672732237626567522475054113405037985495367271\
         853/1170846480239922886813226612101155055351874703065088000000\
         000000000*ep^2-49652135408034284425200/7*ep^2*z5-
         47994594392823523822479833/27027*ep^2*z4+697449912196799480198\
         4345256083871/2001899619720*ep^2*z3+
         83752942031911733815492595345431598410758308718035009790063554\
         27291953707206903117573040194852509028094743888783747/
         35991898096913144317084419195246913242849692718342930769375056\
         87084623462400000000000000000000*ep^3-
         3316967710028194825339000/189*ep^3*z6-
         2314941191573915440452317573/189189*ep^3*z5+697449912196799480\
         1984345256083871/1334599746480*ep^3*z4+81142032442680886847716\
         33093636094247272293/11534176599106720759200*ep^3*z3-
         483726500384844702776240/189*ep^3*z3^2;
Fill mncnoptab(10,5,3,6)=
      +mncF321*(15155097355157760000+117597144225527647200*ep+
         2235651291531544543800/7*ep^2+598033935481557785309096/1323*
         ep^3)
      -4110035898362695695743569456272766860631/55130494852066233600-
         358408428298332100/693*ep^-3-44737525607445297697445/8324316*
         ep^-2-15941203467368765637354475619/999916837920*ep^-1-
         19742748222635277991520/99*z3+16060833032075227815752935203116\
         12705130746010957124649470852422393488009033/21087801324107042\
         66838827874091328864256000000000000000*ep-
         9871374111317638995760/33*ep*z4-959441960797434865426315105/
         297297*ep*z3-9104351244285545398188934811448417401562302955434\
         58406008094687292260224815397439/24803789077946618156480026014\
         7744734372402561024000000000000*ep^2-1489556405757612922186320/
         77*ep^2*z5-959441960797434865426315105/198198*ep^2*z4+16190479\
         044172259002462099919795927/1699858624464*ep^2*z3+
         38750114392405757373488833318399749391732400330232202465861822\
         740001575009195415589238825212729555224644010255220531189/
         52788117208805944998390481486362139422846215986902965128416750\
         07724114411520000000000000000000000*ep^3-
         33169521035650173384340600/693*ep^3*z6-
         1773330660247351100668348130/53361*ep^3*z5+1619047904417225900\
         2462099919795927/1133239082976*ep^3*z4+86518418940094283778999\
         8754596010962189779/468609206242562985600*ep^3*z3-
         4837336403456318447474480/693*ep^3*z3^2;
Fill mncnoptab(10,5,4,5)=
      +mncF321*(18943871693947200000+147260986117032138000*ep+
         8426570828724574307900/21*ep^2+754805748443088123554435/1323*
         ep^3)
      -3491875359962279627834951423888296778591/37488736499405038848-
         1268152754607655450/693*ep^-3-463122198048553253459635/
         24972948*ep^-2-6331431637366801344112870708279/122389820961408
         *ep^-1-24675860276972034722000/99*z3+1031627074692282928058046\
         836547198865084829403154311306221923675896853033158407/
         1084081690469694849496504633512870342536724480000000000000*ep-
         12337930138486017361000/33*ep*z4-14403121948856454219026636075/
         3567564*ep*z3-364561509655689006596782619125758622509200466768\
         295198931721516599061872963475644382889/7969457430744248413677\
         0323585470383153852942857011200000000000000*ep^2-
         5585772592778823766315000/231*ep^2*z5-
         14403121948856454219026636075/2378376*ep^2*z4+4265738930035981\
         4268707988024004429/3599700616512*ep^2*z3+
         19439127915998545757319624565889623935424831487916947422743630\
         5964091122173846774703417072960401664303004198306294720039/
         18483620324565483730804852380656317955384805564087791916122681\
         837572099135242240000000000000000000*ep^3-
         41461466890994167639727500/693*ep^3*z6-
         38731950007668898286642305675/924924*ep^3*z5+42657389300359814\
         268707988024004429/2399800411008*ep^3*z4+852966189324329120554\
         187024686788081007/344565592825413960*ep^3*z3-
         6046868634469034560616600/693*ep^3*z3^2;
Fill mncnoptab(10,5,5,4)=
      +mncF321*(11657767196275200000+91048456595699742000*ep+
         5254598103591565697200/21*ep^2+476162554362366190355395/1323*
         ep^3)
      -34898037720406806126606365878006404728147/609191968115331881280-
         18631381305581673050/9009*ep^-3-13544432203714923404082205/
         649296648*ep^-2-1429660141765523613363572460587/24860432382786
         *ep^-1-197380184518445864748400/1287*z3+5180995610034057126550\
         3682365439962801559835788792308883542312885907243328004073/
         88786290449468008173763729484704081053757734912000000000000*ep
         -98690092259222932374200/429*ep*z4-
         28868878231355903586532532350/11594583*ep*z3-
         18229459747121239295349747180002515617818203753122864511936152\
         761503382983347909086459887/6526985635779539450801489501650024\
         380300556019989217280000000000000*ep^2-
         44685518382256265257434200/3003*ep^2*z5-
         14434439115677951793266266175/3864861*ep^2*z4+3581160891291005\
         90991752784478465087/49720864765572*ep^2*z3+
         67158596371139333505955793134649244266944971348688433985329835\
         791466926790184196843190743618736199099744690804179031095127/
         10708448467796363868474329617028476494816276333943134071021843\
         477233720489804321259520000000000000000*ep^3-
         331687234637849186797659500/9009*ep^3*z6-
         158186074415690824778674556825/6012006*ep^3*z5+358116089129100\
         590991752784478465087/33147243177048*ep^3*z4+21871296703531708\
         37559270705994389788094667/1218383936230663762560*ep^3*z3-
         48377006305458554574091000/9009*ep^3*z3^2;
Fill mncnoptab(10,6,1,7)=
      +mncF321*(505169911838592000+3958778608010853120*ep+
         76618585902622755984/7*ep^2+44993410032183174302248/2835*ep^3)
      -12614388809167062024506567425036046004563779/
      5075037703606957134048000+74991716980616/2079*ep^-3-
         60467526120118062766/31216185*ep^-2-
         8814073622299552378624012871/372661313824800*ep^-1-
         13820715698137884999872/2079*z3+252978176435842443623624013036\
         0273522391798720292356676565815085875732272867297/
         100405119993289851097368204029424081319860633600000000000000*
         ep-6910357849068942499936/693*ep*z4-
         674827531191227007013668715/6243237*ep*z3-
         16884471849529152440437470516330986747964811116362876171071463\
         187926615091597800455555721/1402413895220707635538509208716716\
         83296591214433796096000000000000000*ep^2-
         49652191928627119085472/77*ep^2*z5-674827531191227007013668715/
         4162158*ep^2*z4+749034746447344480735485625109991929/
         2422298539861200*ep^2*z3+6473375047238240992199463045102070610\
         59928972034083822432936116612009330712335637656155885007637462\
         096482159436548379/2155514786026242754100944660693120693099553\
         819465204409410350628154013384704000000000000000000000*ep^3-
         3316971165936985825769680/2079*ep^3*z6-
         2408681865727189454653743185/2081079*ep^3*z5+74903474644734448\
         0735485625109991929/1614865693240800*ep^3*z4+21931594105266280\
         6167943729718365076007732557/2537518851803478567024000*ep^3*z3
         -483724914645900170706464/2079*ep^3*z3^2;
Fill mncnoptab(10,6,2,6)=
      +mncF321*(3334121418134707200+26056063805665196160*ep+
         501796359772716649920/7*ep^2+19514565907933255649972/189*ep^3)
      -2522715131727002878841769521062899524260919/
      153789021321422943456000-3899383648367432/63*ep^-3-
         58730665228977039373/85995*ep^-2-13567061681069938305887336599/
         5872238884512*ep^-1-2764056527096658705088/63*z3+
         14816799896006149283957288766147702453050399320894979661270731\
         1983746585602749/889065407260535871582363081724534368239616000\
         000000000000*ep-1382028263548329352544/21*ep*z4-
         673918823850355584769975999/945945*ep*z3-198240731147615916692\
         34655435077976472569378084298679243826302413236151544378402499\
         2479/248361374596347279020987463172972284468579482468352000000\
         000000000*ep^2-29791212996711627686304/7*ep^2*z5-
         673918823850355584769975999/630630*ep^2*z4+1509314960721887335\
         47706588038462097/73402986056400*ep^2*z3+
         20493058829410095765851293718579836502696905493917928205263590\
         012011331834321721904290044368508595760836604515448373/
         19086612627150909865120525330812757022723321896090948135274651\
         370903306240000000000000000000000*ep^3-
         663392151108269976179120/63*ep^3*z6-
         2379703344685931117986041281/315315*ep^3*z5+150931496072188733\
         547706588038462097/48935324037600*ep^3*z4+73357140189554825249\
         3552800247408443517743/1398082012012935849600*ep^3*z3-
         96745939632493316516704/63*ep^3*z3^2;
Fill mncnoptab(10,6,3,5)=
      +mncF321*(7577548677578880000+59205256137883252800*ep+
         1139751911043017247240/7*ep^2+44302497795569158858000/189*ep^3
         )
      -34925321020989516807069276305362479660229/937218412485125971200-
         427494828127751360/693*ep^-3-53063936829343974768361/8324316*
         ep^-2-634120312004479184901887859349/33997172489280*ep^-1-
         69094166033805970463680/693*z3+6849764997289404567168119729475\
         6579947827957424544566913458497469348860383077/180680281744949\
         141582750772252145057089454080000000000000*ep-
         34547083016902985231840/231*ep*z4-6738031288716098381925540445/
         4162158*ep*z3-241037080264304934206836125942802900268016971382\
         95197820268946767992942681597836913779/13282429051240414022795\
         053930911730525642157142835200000000000000*ep^2-
         744771754827235654338240/77*ep^2*z5-
         6738031288716098381925540445/2774772*ep^2*z4+79489455048121633\
         379204714437680559/16998586244640*ep^2*z3+
         26121745301249216477516217305137967376558224565991899380466521\
         3624598577309463249317985098266304898902529026944612329/
         15650124160728350752464001570074422511243819327881820249836495\
         31701737449062400000000000000000000*ep^3-
         16584629068528287296451200/693*ep^3*z6-
         23772321491590352096609121785/1387386*ep^3*z5+7948945504812163\
         3379204714437680559/11332390829760*ep^3*z4+5545746062201095673\
         16958945607871767783879/468609206242562985600*ep^3*z3-
         2418728104744773666495040/693*ep^3*z3^2;
Fill mncnoptab(10,6,4,4)=
      +mncF321*(7577548677578880000+59345987484363777600*ep+
         3442136567714910010040/21*ep^2+44859419461929729197540/189*
         ep^3)
      -34900606607332038714763735335861444474533/937218412485125971200-
         914498866065682720/693*ep^-3-334225800036496445546311/24972948
         *ep^-2-880622952556169053599193780429/23536504031040*ep^-1-
         69083437810688242458560/693*z3+8616267153937685590354136273512\
         97511504630730771880756293038717609624527641877/22765715499863\
         59183942659730377027719327121408000000000000*ep-
         34541718905344121229280/231*ep*z4-
         20235291070471555966212444115/12486474*ep*z3-
         30242916895813659734237596040830653302100257921485874988813724\
         4243279544888077354720803/167358606045629216687217679529487804\
         623091179999723520000000000000*ep^2-2234277245186304808930240/
         231*ep^2*z5-20235291070471555966212444115/8324316*ep^2*z4+
         710888291651985472250671340985540467/152987276201760*ep^2*z3+
         98335459159122671841550522169078704111984923289805571169188879\
         433608976825044811975259365742945779432293873906950150075479/
         89237070564969698903952746808570637456802302782859450591848695\
         643614337415036010496000000000000000000*ep^3-
         16584370744370565460830400/693*ep^3*z6-
         2668808174279416406049242645/154154*ep^3*z5+710888291651985472\
         250671340985540467/101991517467840*ep^3*z4+5959927488531671494\
         86522037782182274603943/468609206242562985600*ep^3*z3-
         2418846228272525023647680/693*ep^3*z3^2;
Fill mncnoptab(10,6,5,3)=
      +mncF321*(3497330158882560000+27531907293584692800*ep+
         537244074338707966040/7*ep^2+787702139307879275840/7*ep^3)
      -17447601235167687383074025999791386481801/1015319946858886468800
         -752586630244631320/1001*ep^-3-417214560586823827379009/
         54108054*ep^-2-1835846260482071020313784544171/82868107942620*
         ep^-1-46052494121836888365760/1001*z3+865211488710641978281648\
         70989960142679007638518173829931084795568947865987551637/
         497203226517020845773076885114342853901043315507200000000000*
         ep-69078741182755332548640/1001*ep*z4-
         20284739780764661711144379740/27054027*ep*z3-
         30222833726774783396456728127324578175822875514701854166992134\
         405113212630326919510274043/3655111956036542092448834120924013\
         6529683113711939616768000000000000*ep^2-
         4468521139118370275153120/1001*ep^2*z5-
         10142369890382330855572189870/9018009*ep^2*z4+1752345494100238\
         22035728624725004247/82868107942620*ep^2*z3+
         17941013695416290183373141750543821072825592438748827647032196\
         136382413598616483911597547743072548461557567604678368457008151
       /194893762113893822406232799029918272205656229277765040092597551\
         28565371291443864692326400000000000000000*ep^3-
         11056171612491333466968400/1001*ep^3*z6-
         24560955948118720824725770210/3006003*ep^3*z5+1752345494100238\
         22035728624725004247/55245405295080*ep^3*z4+171538533904190732\
         799195755500787186536813/253829986714721617200*ep^3*z3-
         1612598488755735042197280/1001*ep^3*z3^2;
Fill mncnoptab(10,6,6,2)=
      +mncF321*(699466031776512000+5552084529359974080*ep+
         109945883966085819464/7*ep^2+1479545434442434034504/63*ep^3)
      -12608974944448851351314146306420540936583141/
      3665305008160580152368000-283018503802602136/3003*ep^-3-
         276743680124618879723437/270540270*ep^-2-105149234689502265135\
         523613656313/31489881018195600*ep^-1-27635189326176644086208/
         3003*z3+530706168183191387881521813547293729664220683950571487\
         6444829826066625762841392211547/153464261880611069152089045974\
         967493570826524547874816000000000000*ep-
         13817594663088322043104/1001*ep*z4-581932444489155521408790482/
         3864861*ep*z3-349638133190490258169605674301728814590529080087\
         66085475678000350875132690446517148292727479199/
         21435203035018719091351103016282227247081748779241572585701376\
         0000000000000*ep^2-127673905529489490100576/143*ep^2*z5-
         290966222244577760704395241/1288287*ep^2*z4+382639002670903614\
         535818156635360759/926172971123400*ep^2*z3+
         45720210302521895210735814386765235578322844920980660064571148\
         53258485882620814584502577915263147151307687916190246929234507\
         407/1140128508366278861076461874325021892403088941274925484541\
         6956750210742205494660845010944000000000000000000*ep^3-
         6633792066982756620064720/3003*ep^3*z6-
         1695973842204746294901235852/1002001*ep^3*z5+38263900267090361\
         4535818156635360759/617448647415600*ep^3*z4+176271109903680787\
         82241857209768772179439153/107803088475311180952000*ep^3*z3-
         967518590935782699393824/3003*ep^3*z3^2;
Fill mncnoptab(10,7,1,6)=
      +mncF321*(202067964735436800+1599099927178316160*ep+
         94487875678221697136/21*ep^2+3786833181406852859924/567*ep^3)
      -504605011336844179053928770720868264456429/
      507503770360695713404800-155667546860128/2079*ep^-3-
         21175362109929982571/6243237*ep^-2-
         8213410458915890202733820713/269144282206800*ep^-1-
         5528280415961213059328/2079*z3+3012815554574003022618082498241\
         5342252507147605967741674469876575314975506235191/
         3012153599798695532921046120882722439595819008000000000000000*
         ep-2764140207980606529664/693*ep*z4-
         1356056654141463216847413134/31216185*ep*z3-
         31893417039050901945690620902078538669304563708066201518882895\
         1075449994832137938670060989/673158669705939665058484420184024\
         0798236378292822212608000000000000000*ep^2-
         59582624101257909257344/231*ep^2*z5-
         678028327070731608423706567/10405395*ep^2*z4+76727814483353251\
         48565858584152559/63744698417400*ep^2*z3-
         73966954479357044584338454576908542359064684472960385814532249\
         069594932034161411104135578821891632249289027410742558159/
         51732354864629826098422671856634896634389291667164905825848415\
         0756963212328960000000000000000000000*ep^3-
         1326788341238399925641920/2079*ep^3*z6-
         5024405712188278050639149686/10405395*ep^3*z5+7672781448335325\
         148565858584152559/42496465611600*ep^3*z4+29592558886060434962\
         56504463664807990019453/66776811889565225448000*ep^3*z3-
         193490044571046568916864/2079*ep^3*z3^2;
Fill mncnoptab(10,7,2,5)=
      +mncF321*(1111373806044902400+8776457927100177600*ep+
         516629240016140150696/21*ep^2+14714577561412089168808/405*ep^3
         )
      -504509859001936565399101073480116692083353/
      92273412792853766073600-10028943784370960/189*ep^-3-
         602600756173077595429/1031940*ep^-2-
         192056769026669443988353958621/97870648075200*ep^-1-
         2763922402607011526848/189*z3+74523104688131301576846308862927\
         269402521595280145683231183411457425041990133763/
         1351948420896661267763004596593595941719889674240000000000000*
         ep-1381961201303505763424/63*ep*z4-
         1354597708613751603497841047/5675670*ep*z3-
         49377599557579353353345948564487457419201935401565709275480039\
         7434187486912379285698994799/188834120333094763185237187999674\
         2873271503521103373926400000000000000*ep^2-
         29791054192753520034944/21*ep^2*z5-
         1354597708613751603497841047/3783780*ep^2*z4+29333352296013885\
         0530975154130956239/440417916338400*ep^2*z3-
         18477884393426774384945106714812182477817575386497026453743465\
         180299691200808146596818474410715894492797556739943043427/
         29023866625350759577296875639047110839033992208071739372424045\
         860650403600793600000000000000000000*ep^3-
         663388913330436671969120/189*ep^3*z6-
         4979258243999211311349440323/1891890*ep^3*z5+29333352296013885\
         0530975154130956239/293611944225600*ep^3*z4+535821457910985619\
         11504693157623339133163239/230683531982134415184000*ep^3*z3-
         96747409195581941282944/189*ep^3*z3^2;
Fill mncnoptab(10,7,3,4)=
      +mncF321*(2020679647354368000+15962233821456748800*ep+
         940148926557772301120/21*ep^2+37515959079227440360868/567*ep^3
         )
      -13964141310409438324680639344570521583923/1405827618727688956800
         -666669646262824000/2079*ep^-3-20713919795044752864059/6243237
         *ep^-2-82820314239151677035606482091/8499293122320*ep^-1-
         55268175952539533000960/2079*z3+570507376522867642013189472828\
         07378410257361200781257057348859039832856180243/56914288749658\
         9795985664932594256929831780352000000000000*ep-
         27634087976269766500480/693*ep*z4-2709299035177217634568123342/
         6243237*ep*z3-993660321243689259487378505043277708251439606603\
         7122214222493575937458550464635131251/209198257557036520859022\
         09941185975577886397499965440000000000000*ep^2-
         595808951414471373306880/231*ep^2*z5-
         1354649517588608817284061671/2081079*ep^2*z4+30853291817489844\
         48997290857669779/2549787936696*ep^2*z3+
         69063153552912378681399696003049215189075351843917720469348483\
         20959605139623716941530297825634387933313082409804654513/
         20951603720175079569861182101937133136927663125201786859468608\
         105657010099322880000000000000000000*ep^3-
         13267530966944257066902400/2079*ep^3*z6-
         9970798960903239507468909878/2081079*ep^3*z5+30853291817489844\
         48997290857669779/1699858624464*ep^3*z4+2989401634509692022274\
         66310183484076528001/702913809363844478400*ep^3*z3-
         1935061321824506608762880/2079*ep^3*z3^2;
Fill mncnoptab(10,7,4,3)=
      +mncF321*(1515509735515776000+12005327962029521600*ep+
         2131908835999812570520/63*ep^2+28547509593242265405236/567*
         ep^3)
      -6979109540942231457540600218222333166989/937218412485125971200-
         717222557969316400/2079*ep^-3-266787610999427755546091/
         74918844*ep^-2-9545342001071907391922154179441/917923657210560
         *ep^-1-41446367958233090285120/2079*z3+10632317110010257740999\
         9051785574820371642349558268408189894625151204801791401/
         1416533408880401270008766054456817247581319987200000000000*ep-
         20723183979116545142560/693*ep*z4-
         12207552501725610498407596979/37459422*ep*z3-
         36920984346891412787521233819005131904697645814647010423532785\
         648548478813088574626287/1041342437617248459387132228183479673\
         21034511999827968000000000000*ep^2-446851077375492849151360/
         231*ep^2*z5-12207552501725610498407596979/24972948*ep^2*z4+
         4861761601609780385730509386089727/5399550924768*ep^2*z3+
         31625655577329270298076472203138570021056471179653133630044697\
         1683549776137182953990194953923273009227996739074757625492449/
         61077817186690371694260991148977236303766909460268246182865329\
         4627404798307357582950400000000000000000*ep^3-
         9950533321053006380192800/2079*ep^3*z6-
         15133946913858639209537425237/4162158*ep^3*z5+4861761601609780\
         385730509386089727/3599700616512*ep^3*z4+159155546911532148740\
         460189881513468286343/468609206242562985600*ep^3*z3-
         1451348276709233618303360/2079*ep^3*z3^2;
Fill mncnoptab(10,7,5,2)=
      +mncF321*(466310687851008000+3714239649997836800*ep+
         666004862217628137760/63*ep^2+9034107750859664849948/567*ep^3)
      -296676380664639766184544082408773904188089/
      129363706170373417142400-1831892701107572800/27027*ep^-3-
         179330585179612821060581/243486243*ep^-2-
         8037802635912878534026097636707/3334222696044240*ep^-1-
         165808211677170348078080/27027*z3+8302033332020618895988314358\
         68675323805366158881057963729856021077775595830036131949/
         36109238089555545682844481405874704369606241070088192000000000\
         000*ep-82904105838585174039040/9009*ep*z4-
         24482044640017774417727081758/243486243*ep*z3-
         54521379900047441560887781199733620387993446994080542781290939\
         41105777658951682515424258866133/50435771847102868450237889450\
         075828816662938304097817848709120000000000000*ep^2-
         1787431213802330421802240/3003*ep^2*z5-
         12241022320008887208863540879/81162081*ep^2*z4+154562285834409\
         4780724231086228547927/5668178583275208*ep^2*z3+
         10661805341041896769029460842095533896737246177510994094961362\
         97543216796713568569249389319585255640461235113625193544017355\
         9413/848957227768121490401550072574323993727838534733944514643\
         35493340030757345529474599773798400000000000000000*ep^3-
         39802681781359508620355200/27027*ep^3*z6-
         30970940346800004889813983674/27054027*ep^3*z5+154562285834409\
         4780724231086228547927/3778785722183472*ep^3*z4+12856673276805\
         9797931487111201948222445793251/1099591502448174045710400*ep^3
         *z3-5805143561356490433002240/27027*ep^3*z3^2;
Fill mncnoptab(10,7,6,1)=
      +mncF321*(46631068785100800+374588817631890560*ep+
         68175137764338377488/63*ep^2+943134712219855309328/567*ep^3)
      -15776494600600885889320821131335792946993/
      68724468903010877856900-2121050069701504/27027*ep^-3-
         1233116558663511472784/243486243*ep^-2-
         3322709024288840568177730432441/70852232290940100*ep^-1-
         16584818129588742257024/27027*z3+99009025419157811770070141038\
         035999915416827613641267047129063400405471197400265868451/
         43408462646229988131590901575776519610033788372113162240000000\
         000000*ep-8292409064794371128512/9009*ep*z4-
         250889125471552307961418424/24845535*ep*z3-
         64602288774761455778555981522753790372790116765017667798125543\
         3292274569475850037854866977188903/606310028704815197155359771\
         03198299927459803689854733885269606400000000000000*ep^2-
         25535405660935370263936/429*ep^2*z5-
         125444562735776153980709212/8281845*ep^2*z4+941783173238264752\
         325804929413723593/35426116145470050*ep^2*z3+
         17047077283197370916018151742494486760338230081761276567564377\
         86956300169856925735857331760858898311935795875609363870630727\
         8867991/101456452698488861827916673316007248136146189461668754\
         8178426527908610429391466885377725300736000000000000000000*
         ep^3-3980364346273348960927360/27027*ep^3*z6-
         16034113804701672429498776968/135270135*ep^3*z5+94178317323826\
         4752325804929413723593/23617410763646700*ep^3*z4+9342079221183\
         538166667001113625020793736579/687244689030108778569000*ep^3*
         z3-580470281882489253821312/27027*ep^3*z3^2;
Fill mncnoptab(10,8,1,5)=
      +mncF321*(45104456414160000+2536701504174879600/7*ep+
         153918188418511365680/147*ep^2+6387018050668727485064/3969*
         ep^3)
      -1009415173136224291306101788154734452772981/
      4547233782431833592107008+189496879648310/14553*ep^-3-
         2709165801588982481719/1398485088*ep^-2-
         128525645870581191806897093951/6028831921432320*ep^-1-
         8637957779145894661400/14553*z3+918347609320455048614903195604\
         8985508907276745534009266854988668233969645394781/
         4164001136361716704710054157508275500497260196659200000000000*
         ep-4318978889572947330700/4851*ep*z4-
         6830362201592324106336582931/699242544*ep*z3-
         29963154011595633234051663163920740091372563134393564109621751\
         057274525245856744538081273/2908045453129659353052652695194984\
         024838115422499195846656000000000000*ep^2-
         93097869276071814958000/1617*ep^2*z5-
         6830362201592324106336582931/466161696*ep^2*z4+697297935514465\
         061514046153707215957/27129743646445440*ep^2*z3+
         83861127173497999948559828559142811159172231472199701065036147\
         63443324570456899979856506282285920010971878649947741617833043/
         30436929494149110704944284620021972863504316930957052121168610\
         03767955312644716343181967360000000000000000*ep^3-
         2073107164263751099901500/14553*ep^3*z6-
         2057051369153120462980779443/17929296*ep^3*z5+6972979355144650\
         61514046153707215957/18086495764296960*ep^3*z4+750955183063986\
         555617039771861002328178550567/56840422280397919901337600*ep^3
         *z3-302327897870203639612400/14553*ep^3*z3^2;
Fill mncnoptab(10,8,2,4)=
      +mncF321*(198459608222304000+11143257972949845600/7*ep+
         674193561688589018920/147*ep^2+27869233993249561997632/3969*
         ep^3)
      -5044272146858557650612723582147615986342221/
      5167311116399810900121600-29484282046755700/1323*ep^-3-
         1406875288006990936609/5778864*ep^-2-
         10214228329319771640428368339/12647899135872*ep^-1-
         3454526710662210509360/1323*z3+1325461927538825794674918032817\
         0096977668828273959355105794190482773472278801/136276400826383\
         4557905108633366344709253648791633920000000*ep-
         1727263355331105254680/441*ep*z4-1364817955134197383796556695/
         31783752*ep*z3-86521976371849040571656045078149058716684375285\
         426444450391036820071464621897579439389/1903447932957595212907\
         190855036716816257675549272200917811200000000*ep^2-
         37238374419033153146080/147*ep^2*z5-
         1364817955134197383796556695/21189168*ep^2*z4+1401712620270313\
         64663119028679966043/1233170165747520*ep^2*z3-
         13185060593520155763867922386267947102679027431271383791482977\
         586303972857374703904756460529208592905883889500636204288821781
       /131068117438919615475836632335022849651453996353403573727520330\
         305797118726327498031759360000000000000000*ep^3-
         829227107651590419513400/1323*ep^3*z6-
         482957444026071517482915905/963144*ep^3*z5+1401712620270313646\
         63119028679966043/822113443831680*ep^3*z4+14621541282020834301\
         6593378931140680850516039/2583655558199905450060800*ep^3*z3-
         120938428187313758442080/1323*ep^3*z3^2;
Fill mncnoptab(10,8,3,3)=
      +mncF321*(270626738484960000+15206071425795900000/7*ep+
         307044314061888108200/49*ep^2+12712703865395297352040/1323*
         ep^3)
      -13960340048470353842616101146373692095997/
      10496846219833410877440-321963688843394900/4851*ep^-3-
         12496223076483811677235/17929296*ep^-2-
         605888532062503943575424745605/285576248909952*ep^-1-
         17268823127728305703600/4851*z3+390435214533182471656645103483\
         99328369755149132821760502832559619514678743389/29420309261362\
         18022325898728487235821899664588800000000000*ep-
         8634411563864152851800/1617*ep*z4-6825507525512504523975224995/
         116540424*ep*z3-1740578843263382806825787023494279730208114966\
         71919340063912823940593372596043714334183/28116245815665708403\
         45257016095395117667931823995355136000000000000*ep^2-
         186187356944197796824800/539*ep^2*z5-
         6825507525512504523975224995/77693616*ep^2*z4+2208853632823937\
         4736847407483441567/142788124454976*ep^2*z3-
         21567252498858027158686148261417637169512157902649836668378606\
         26467178706017655466963799463124402180589141115108968332082691\
         3479/697282384775052354331450884022321560145735260600107012230\
         40815722684067162406228952895979520000000000000000*ep^3-
         4146043473425129664299000/4851*ep^3*z6-
         8878429770999398143174912685/12948936*ep^3*z5+2208853632823937\
         4736847407483441567/95192082969984*ep^3*z4+4097036461987937084\
         40331766174663643958487/5248423109916705438720*ep^3*z3-
         604733819583199455983200/4851*ep^3*z3^2;
Fill mncnoptab(10,8,4,2)=
      +mncF321*(135313369242480000+7626658949651066000/7*ep+
         1393519293580576591000/441*ep^2+19370190430178650212890/3969*
         ep^3)
      -265426383639917369005382722762362202934683/
      398880156353669613342720-362150581237496350/14553*ep^-3-
         1134537873022465135321855/4195455264*ep^-2-
         4560041124404075235946735060543/5140372480379136*ep^-1-
         25905839573021776353800/14553*z3+10274947208252705515573357348\
         3916350728781222924266504290459391849100380940291483/
         15532820028401930076122373074389422426197016654643200000000000
         *ep-12952919786510888176900/4851*ep*z4-
         61526276550861380616722521915/2097727632*ep*z3-
         13356157566214524739203661070545957693043951275290373782982586\
         87674318821641410459286680531/43391099261171496136338265215146\
         209002189774856764316975104000000000000*ep^2-
         279284135167800593640400/1617*ep^2*z5-
         61526276550861380616722521915/1398485088*ep^2*z4+3741464094679\
         148312050761550660772135/48833538563601792*ep^2*z3-
         19182129381921938630359523674358012533354353133011439596163729\
         90741225835972536581809430389427276240488715485114267321189881\
         169235431/2137981636478901675966541372297156163215394256929976\
         0785086974901585484199167228314042157487882240000000000000000*
         ep^3-6219128442342958916024500/14553*ep^3*z6-
         6224164646572143379751358665/17929296*ep^3*z5+3741464094679148\
         312050761550660772135/32555692375734528*ep^3*z4+15548131172606\
         8660596616266640977967771053539/3789361485359861326755840*ep^3
         *z3-907072496537619594717200/14553*ep^3*z3^2;
Fill mncnoptab(10,8,5,1)=
      +mncF321*(20817441421920000+1180010699263045600/7*ep+
         217744045160556487640/441*ep^2+3066212446663797534454/3969*
         ep^3)
      -5049296628753855004690156331934080410238941/
      49261699309678197247825920-6788006562351920/189189*ep^-3-
         77887954136826749916373/27270459216*ep^-2-
         5347931109482775048229913627459/198386250414632280*ep^-1-
         51827617868891529374800/189189*z3+5489336334593338526028245595\
         556821446979374846177160909892975884272939517175213122299/
         54260578307787485164488626969720649512542235465141452800000000\
         00000*ep-25913808934445764687400/63063*ep*z4-
         61709171242535747810278648237/13635229608*ep*z3-
         71089205609081949414995491856014742924226011553646476532072565\
         153117929561185012799138458135749/1515775071762037992888399427\
         5799574981864950922463683471317401600000000000000*ep^2-
         558587045027643062742800/21021*ep^2*z5-
         61709171242535747810278648237/9090153072*ep^2*z4+2871357414966\
         76309501543396389460438/24798281301829035*ep^2*z3-
         55005702965023652129910645236186193811577012030178399697788589\
         83893577738029210029154898489093064553738694626345163532020409\
         38828248819/10220163074265286840170343914258205647644788946484\
         40850557971934509790674675048276920683819799307878400000000000\
         000000*ep^3-12438639468449740088276000/189189*ep^3*z6-
         82773015226861740790960266731/1515025512*ep^3*z5+1435678707483\
         38154750771698194730219/8266093767276345*ep^3*z4+8461507298400\
         88414284424142347528442866060051/123154248274195493119564800*
         ep^3*z3-1813968439726149076270000/189189*ep^3*z3^2;
Fill mncnoptab(10,9,1,4)=
      +mncF321*(5306406636960000+305124971312413200/7*ep+
         19227748260434068310/147*ep^2+837543140111098493753/3969*ep^3)
      -2524720135150291993795225315262843087398637/
      96628717876676463832273920-530310914020480/14553*ep^-3-
         12257456174447070370603/11887123248*ep^-2-
         2449814156483103062847635527627/307470427993048320*ep^-1-
         1016215858957849727600/14553*z3+182714888684324611831244110459\
         9023592050050123018448306965540770759979051346229021/
         71672869559626048779821807186111192052309091134996480000000000\
         00*ep-508107929478924863800/4851*ep*z4-
         6904995148662565318856812447/5943561624*ep*z3-
         11667815490718464787229689397893124511972659141480955294560112\
         390057638720582226001510949087/1001094647239885232288375690320\
         8732505505212341953481702113280000000000000*ep^2-
         10952674337316640332400/1617*ep^2*z5-
         6904995148662565318856812447/3962374416*ep^2*z4+12995683281679\
         21532753637001104436243/461205641989572480*ep^2*z3-
         94434700616538933705649303661119555782939930128052194256027196\
         78028382175216575621448800117528259552344338012871119765584322\
         17/49307825780521559342009741084435596038876993428150424436293\
         148261040876064844404759547871232000000000000000*ep^3-
         243894632942229783160000/14553*ep^3*z6-
         29158027521298500872697030083/1981187208*ep^3*z5+1299568328167\
         921532753637001104436243/307470427993048320*ep^3*z4+5102569943\
         36743857049727779420505850028415027/
         241571794691691159580684800*ep^3*z3-35568165613890749493200/
         14553*ep^3*z3^2;
Fill mncnoptab(10,9,2,3)=
      +mncF321*(17511141901968000+1005610869460969200/7*ep+
         21076355371333327880/49*ep^2+915382215281861241028/1323*ep^3)
      -5043253890847128340851840613278098645402641/
      58562859319197856868044800-1807909352949550/441*ep^-3-
         2942164052010565262929/65493792*ep^-2-
         2521931281134446610688095252133/16771114254166272*ep^-1-
         101583196416137406440/441*z3+156199272306723701360723359013478\
         88695747886939661033398849032684228857163047/18533590512388149\
         987509477413782288045849623566221312000000*ep-
         50791598208068703220/147*ep*z4-1379789939082384043908508895/
         360215856*ep*z3-9968097379731318435668676245734597843604496612\
         4994836227366556706325741813477205128019/258868918882232948955\
         37795628499348701104387470101932482232320000000*ep^2-
         1095221976386128966320/49*ep^2*z5-1379789939082384043908508895/
         240143904*ep^2*z4+391683947977280293627952131981986859/
         41927785635415680*ep^2*z3-116813194085835615949511810061887931\
         94826194355557161958549684806240788694445328981803649195798734\
         8523964369468175934208695529/199223538507157815523271681149234\
         73147021007445717343206583090206481162046401779700827422720000\
         00000000000*ep^3-24388536477647558226100/441*ep^3*z6-
         1933981430677828502626945985/40023984*ep^3*z5+3916839479772802\
         93627952131981986859/27951857090277120*ep^3*z4+201056575469210\
         685022943240026619039167664339/29281429659598928434022400*ep^3
         *z3-3557237103233531046320/441*ep^3*z3^2;
Fill mncnoptab(10,9,3,2)=
      +mncF321*(15919219910880000+915067002710016000/7*ep+
         19209927349223064500/49*ep^2+836085116492528208980/1323*ep^3)
      -5042645616470586676255704475859031791680087/
      64419145251117642554849280-20637868559415700/4851*ep^-3-
         184050636054254582688895/3962374416*ep^-2-
         395463225387572982753600361363/2562253566608736*ep^-1-
         1015774395605043251600/4851*z3+1372129983563739692838503010186\
         892001687712139398806210881440005118622155486812909/
         17918217389906512194955451796527798013077272783749120000000000\
         00*ep-507887197802521625800/1617*ep*z4-
         6901961118258277218181342435/1981187208*ep*z3-
         13992301068216400393136184885022734692818051997578911859040322\
         4075240504100915716067674658653/400437858895954092915350276128\
         34930022020849367813926808453120000000000000*ep^2-
         10952152243598694932800/539*ep^2*z5-
         6901961118258277218181342435/1320791472*ep^2*z4+32537365708158\
         844340699367221743135/3843380349913104*ep^2*z3-
         83431972385871788615827273051270698319461418261427542129595243\
         41508420099338588843928726467086477667388200658761740406711637\
         213/1972313031220862373680389643377423841555079737126016977451\
         72593044163504259377619038191484928000000000000000*ep^3-
         243883989491958027859000/4851*ep^3*z6-
         29114253239733190921047168215/660395736*ep^3*z5+32537365708158\
         844340699367221743135/2562253566608736*ep^3*z4+203291949775998\
         785319627212669036864567153189/32209572625558821277424640*ep^3
         *z3-35573014490220343990400/4851*ep^3*z3^2;
Fill mncnoptab(10,9,4,1)=
      +mncF321*(3979804977720000+229514263559820200/7*ep+
         43605152069167419880/441*ep^2+637216913107373898998/3969*ep^3)
      -5051144277710772615074803006402812939171097/
      257676581004470570219397120-566345552883805/14553*ep^-3-
         160723006334107941301951/142645478976*ep^-2-145105785502138536\
         566366156045153/16603403111624609280*ep^-1-
         762159273824307191900/14553*z3+1352930920351786008564589518303\
         754942252003117725036311516775837048704513849441806129/
         70956140864029788292023589114250080131786000223646515200000000\
         00000*ep-381079636912153595950/4851*ep*z4-
         62234350207580395679338901539/71322739488*ep*z3-
         17227162394070103464871097137682871650852424520123595949722493\
         615246711043481275996660195142149/1982167401534972759930983866\
         8353290360900320437067893770184294400000000000000*ep^2-
         8214502216901311133800/1617*ep^2*z5-
         62234350207580395679338901539/47548492992*ep^2*z4+173716238334\
         23175939478714950521443459/8301701555812304640*ep^2*z3-
         34261700657791105435844438590239249467058822929123035508261492\
         70914922554031156847759254049776422050216939415098089818150204\
         14562782463/78616639032809898770541107032755428058806068819110\
         83465830553342383005189808063668620644767686983680000000000000\
         0000*ep^3-182920901695718732530750/14553*ep^3*z6-
         88442449776642260967448230557/7924748832*ep^3*z5+1737162383342\
         3175939478714950521443459/5534467703874869760*ep^3*z4+
         1054735400103014858918839157286245372073887767/
         644191452511176425548492800*ep^3*z3-26676144326312384143400/
         14553*ep^3*z3^2;
Fill mncnoptab(10,10,2,2)=
      +mncF321*(648560811184000+346385090823028400/63*ep+
         68967834443209926940/3969*ep^2+118684335600332943062/3969*ep^3
         )
      -5040430945626760946031163458236862626596301/
      1581197201618342135437209600-3597357279852550/11907*ep^-3-
         17258304007536501050467/5304997152*ep^-2-
         4797781288980729212234987570099/452820084862489344*ep^-1-
         101540937887185057640/11907*z3+3627846897955963865722118831893\
         5486141133123555015681565787570162216314341/119144510436780964\
         2054180690886004231518904372114227200000*ep-
         50770468943592528820/3969*ep*z4-4206442114451626086737261165/
         29177484336*ep*z3-22335884818732585113125824112529878016138034\
         6998156137870209885220765421751593339137/166415733567149752899\
         8858290403529559356710623077981373857792000000*ep^2-
         3285519607260931419760/3969*ep^2*z5-
         4206442114451626086737261165/19451656224*ep^2*z4+3480027042643\
         50073590932757220838749/1132050212156223360*ep^2*z3-
         26042466376121522846001898161595519050377208977214560068126280\
         22180624361140567874286734494782299413526630467404473813253/
         89561031296924092892579676840315313847746786719009035394229676\
         2529123168919160925611622400000000000000*ep^3-
         24387544709739023004100/11907*ep^3*z6-
         19605498074493744119488144985/9725828112*ep^3*z5+3480027042643\
         50073590932757220838749/754700141437482240*ep^3*z4+27760064983\
         9376297132165537121425667327443719/790598600809171067718604800
         *ep^3*z3-3557725072355162091920/11907*ep^3*z3^2;
Fill mncnoptab(10,10,3,1)=
      +mncF321*(294800368720000+157617497399788400/63*ep+
         31438760617144498960/3969*ep^2+6025148858239487276/441*ep^3)
      -5058897354239386771585567473398083544379449/
      3478633843560352697961861120-466130928977510/130977*ep^-3-
         112424758020246396608341/641904655392*ep^-2-
         38042612380820424520053501740081/24905104667436913920*ep^-1-
         508119768342825327400/130977*z3+258961817288814550436829164198\
         24167730745107877127998962164029270505295876289689/
         18806292304275056531148579145043753016640869394022400000000000\
         00*ep-254059884171412663700/43659*ep*z4-
         21053348923617396950031776689/320952327696*ep*z3-
         15980025290912709916443183916458467817488436298990363533382820\
         1577697005173464757949016797/262677895777229361241847848772240\
         7946050930352116073916006400000000000000*ep^2-
         16429033773753171777200/43659*ep^2*z5-
         21053348923617396950031776689/213968218464*ep^2*z4+17316499003\
         49834082891348769737254483/12452552333718456960*ep^2*z3-
         34397542091990273496423797282693960421013805785670895825882492\
         01817794245936825576997794496387451499852522856053945021526291/
         25875826940215395573066336429149875472296964481245120695430806\
         66760162592324196168139538432000000000000000*ep^3-
         121947453882291725010500/130977*ep^3*z6-
         98429332283117315065511639821/106984109232*ep^3*z5+17316499003\
         49834082891348769737254483/8301701555812304640*ep^3*z4+
         1400601213725299827663373338594152927199140471/
         8696584608900881744904652800*ep^3*z3-17783822502443252482000/
         130977*ep^3*z3^2;
Fill mncnoptab(11,1,1,11)=
      +mncF321*(6306605327953216+15679358910591999194/315*ep+
         13818610242703014385019/99225*ep^2+6822117869130946195150829/
         33339600*ep^3)
      -11652561560596874447175840860734234697746467149/
      375534335384356257166337280000+265003631067451/1190700*ep^-3+
         168572327082765406530383/92395367064000*ep^-2+
         1775747541033375515433052151299/896206417957010160000*ep^-1-
         3529217756526086408326/42525*z3+329317611605474365710109170144\
         9523784300976739351144671200186766757/105275187997879197102016\
         02196677926584320000000000*ep-1764608878263043204163/14175*ep*
         z4-24823158180044559205806543991/18332414100*ep*z3-
         72764842190233625994021987101308244996547677305582446968845827\
         82588782982117/49014561037015145728245781829325560501118173184\
         00000000000*ep^2-266259871325793364878041/33075*ep^2*z5-
         24823158180044559205806543991/12221609400*ep^2*z4+299440446229\
         534688887946068903111822303/79077036878559720000*ep^2*z3+
         20427270100466402369837509108723260579153832550535907681490832\
         33671247305218265982536664436539143818889/46791813667524377284\
         48678912142753559233920042135493673671555284992000000000000000\
         00*ep^3-2371634317636457679044087/119070*ep^3*z6-
         68839424863777450302067376801747/4619768353200*ep^3*z5+
         299440446229534688887946068903111822303/52718024585706480000*
         ep^3*z4+1246714913131216292840499869145120878133606162407/
         938835838460890642915843200000*ep^3*z3-
         864658349979563931787711/297675*ep^3*z3^2;
Fill mncnoptab(11,2,1,10)=
      +mncF321*(57332775708665600+28331366937678988040/63*ep+
         4939851255298379239699/3969*ep^2+6013003161509429727259693/
         3333960*ep^3)
      -2118645806999836838503700873728954657251614339/
      7510686707687125143326745600+1697162085443/11907*ep^-3-
         21063971986357663393/83995788240*ep^-2-
         361299064724904913264014647491/35848256718280406400*ep^-1-
         1283351937055433925656/1701*z3+4298438752939705003130218460390\
         096796705728247358857652106618787631648789/1504213996188897119\
         872445728270128862073978880000000000*ep-641675968527716962828/
         567*ep*z4-33748346705174779114391806876/2749862115*ep*z3-
         11462938098077136860836545885463322789263068746844802505463503\
         0631607815549028595603/840407584705544649868160434908162406397\
         0122868667187200000000000*ep^2-96821772675082721213956/1323*
         ep^2*z5-16874173352587389557195903438/916620705*ep^2*z4+
         27690615076730962534915061314764373751/790770368785597200*ep^2
         *z3+9847649567285210508582063079165143449533578688714727845374\
         74817039405518494541250873216885924426542240757443/
         24762227792853900458950408803059451835465904862981032521069870\
         568177664000000000000000000*ep^3-2156031226290891133615030/
         11907*ep^3*z6-30464328218661557259570715805273/230988417660*
         ep^3*z5+27690615076730962534915061314764373751/
         527180245857064800*ep^3*z4+96188591480075422864004520014264073\
         813240186061/9388358384608906429158432000*ep^3*z3-
         314421218084880971965532/11907*ep^3*z3^2;
Fill mncnoptab(11,2,2,9)=
      +mncF321*(469086346707264000+25639844691873833200/7*ep+
         4435104721462896766280/441*ep^2+267181364471559511761331/18522
         *ep^3)
      -1059324359065943578650988824972365907835476217/
      458986409914213203203301120+119627065991990/14553*ep^-3-
         8134851183556271367845/112927670856*ep^-2-
         339880566328036422574659451411/273840849931308660*ep^-1-
         12833520238612738370480/2079*z3+938880328273846136582099757073\
         63222381366022735710836046585706622940679753/40021415469273755\
         57030241091089080570295091200000000000*ep-
         6416760119306369185240/693*ep*z4-67350180126450006474851228002/
         672188517*ep*z3-4399608574346451396882612106435697174646739279\
         975412138459193090894012555376329840829/3913008860004652338010\
         4824482496450668220677907021824000000000000*ep^2-
         968217731157770876363080/1617*ep^2*z5-
         33675090063225003237425614001/224062839*ep^2*z4+28028609454213\
         420494956744915724991173/96649711740461880*ep^2*z3+
         32524750944506803627606115156602177407306393929103038561805057\
         41515677201913671498727214235278212151122411/
         10235709239770957530981485120312273410824200092171392411156527\
         185920000000000000000000*ep^3-21560312346874121796685900/14553
         *ep^3*z6-29867431978241618964052580630363/28231917714*ep^3*z5+
         28028609454213420494956744915724991173/64433141160307920*ep^3*
         z4+83685441153160111667316805670665196748702273727/
         1147466024785533008008252800*ep^3*z3-3144212076813518467969400/
         14553*ep^3*z3^2;
Fill mncnoptab(11,3,1,9)=
      +mncF321*(193498118016746400+10595064810318732315/7*ep+
         1634319730751162089233/392*ep^2+17801173565714266598419319/
         2963520*ep^3)
      -111507848916493860956874427029216343119049817/
      117125718638395713736089600+49582744515163/3528*ep^-3+
         103743525015061678013/1309875840*ep^-2-
         35423424093496242049031932123/186345713935180800*ep^-1-
         160419019498467651947/63*z3+2590825308542076478225211577547608\
         711677716742595118432039534273789086833/2680860366362835301359\
         97010886349894660915200000000000*ep-160419019498467651947/42*
         ep*z4-241892054556773087794380871/5847660*ep*z3-
         24243188287939094127393517333477739056614314929093909539457213\
         786153971126306199133/5242308520580395476760454954592825926842\
         96163347660800000000000*ep^2-24205443538961923126569/98*ep^2*
         z5-241892054556773087794380871/3898440*ep^2*z4+287880980257894\
         97685835461493792429/241798071715200*ep^2*z3+
         12715194904663534229650775056034261652776871680717327112096144\
         2388696034150950357002606620841885751936457631/
         93780645497859383525960891039155818702961934318168210049164644\
         8697344000000000000000000*ep^3-1078015627888393805059315/1764*
         ep^3*z6-528068941480245940991918086289/1200719520*ep^3*z5+
         28788098025789497685835461493792429/161198714476800*ep^3*z4+
         4647893987750862852303448413700630119175633579/
         146407148297994642170112000*ep^3*z3-78605299163939916016303/
         882*ep^3*z3^2;
Fill mncnoptab(11,3,2,8)=
      +mncF321*(1407259040121792000+76815195896959182000/7*ep+
         1472954825723780729550/49*ep^2+1592917966286455498970569/37044
         *ep^3)
      -29344161554649166536040938752313256350728203/
      4238101661257739641766400-2983043942483510/4851*ep^-3-
         4709160965157354629645/660395736*ep^-2-
         21736827567973307857858440239/809132705244864*ep^-1-
         12833509575774974786320/693*z3+1507202431917110132296884731928\
         6701091551257648690183761351452967178103747597/213895619033324\
         244192388404573961075493437440000000000000*ep-
         6416754787887487393160/231*ep*z4-3542431295327467937529547052/
         11792781*ep*z3-63126598436899529607397451250585139228690831940\
         40268940775963144284621179927733846497/18672490772832103543354\
         210955658040539176461821542400000000000000*ep^2-
         968217645641040877718520/539*ep^2*z5-
         1771215647663733968764773526/3930927*ep^2*z4+54831754608028225\
         586509156528907581/62800332514920*ep^2*z3+
         57985017884349378278654172302905545441517759938661527508078577\
         34841268232179802862921404785950418520534336001/
         68021816882493401537744659454387690868431271438013454986318434\
         84794880000000000000000000*ep^3-21560310609347357689906100/
         4851*ep^3*z6-57872058648072291217261062159/18344326*ep^3*z5+
         54831754608028225586509156528907581/41866888343280*ep^3*z4+
         4193874613827149210456465074417071458212178329/
         20130982890974263298390400*ep^3*z3-3144212949526140196492360/
         4851*ep^3*z3^2;
Fill mncnoptab(11,3,3,7)=
      +mncF321*(3694054980319704000+28800184573254367650*ep+
         2208447031918021296235/28*ep^2+4776282133702920298717321/42336
         *ep^3)
      -4633253356322917614822144891218774443947737/
      254923408195954264166400-11855194550794355/924*ep^-3-
         960240732829031438862475/6792641856*ep^-2-
         19872478437849691178079013197463/41612539126878720*ep^-1-
         1604180675892242543570/33*z3+143787775329123867162088165640701\
         41453565957955490006549737848941765686509/77734369676874175142\
         400670358723729817600000000000000*ep-802090337946121271785/11*
         ep*z4-23909129859111593382443461723/30324294*ep*z3-
         35514546799995674390771114007639373087981391147026949795189428\
         504383306979765580651/4000164644825096343316254195463070771965\
         6439808000000000000000*ep^2-1089244251015004188312655/231*ep^2
         *z5-23909129859111593382443461723/20216196*ep^2*z4+70160069107\
         5570638545352634024348427/305974552403520*ep^2*z3+
         20911124207300109729185745134085928600662213267490013534692874\
         3461071065817406576957213086025200095058047/
         97480705219529510301923141832355371629774879405425468588110643\
         200000000000000000000*ep^3-5390074931418792452538325/462*ep^3*
         z6-1561212182295493828797082726409/188684496*ep^3*z5+701600691\
         075570638545352634024348427/203983034935680*ep^3*z4+6905789074\
         832572321447022125196455248686791/12746170409797713208320*ep^3
         *z3-131009076492625566164155/77*ep^3*z3^2;
Fill mncnoptab(11,4,1,8)=
      +mncF321*(317535373155686400+17400735598616267040/7*ep+
         336055244747872731096/49*ep^2+1376273410496842312154468/138915
         *ep^3)
      -17155065058053969779614937666441205842710741/
      10980536122349598162758400-12012353492572/1323*ep^-3-
         22111093087302571333/122800860*ep^-2-
         6036669136801811943569659661/4764521094933600*ep^-1-
         789754968550016018336/189*z3+409939757907235463983679944440548\
         49475818796319265677129216486736477220986269/25861924846756476\
         79780696164394256640057016320000000000000*ep-
         394877484275008009168/63*ep*z4-3276112140959543434490288467/
         48243195*ep*z3-13690104912360909288493657148191518046237901157\
         4839201206047521124046420778015889478057/180613910748121437910\
         2625496074559557607614125283737600000000000000*ep^2-
         19860876259510545303312/49*ep^2*z5-
         3276112140959543434490288467/32162130*ep^2*z4+1460824675872117\
         39042782439285979/749374189200*ep^2*z3+
         86276757833585873074052500519240244719575931691658606052080047\
         231873554133178814862299551406027176928082137480529/
         81648287349478892200793358359587905041649765888833500356452675\
         3088641433600000000000000000000*ep^3-1326788435567336527652680/
         1323*ep^3*z6-81527975004206005652006208806/112567455*ep^3*z5+
         146082467587211739042782439285979/499582792800*ep^3*z4+
         1458424065040611453100285831237784665153604557/
         27451340305873995406896000*ep^3*z3-193489986973966985486672/
         1323*ep^3*z3^2;
Fill mncnoptab(11,4,2,7)=
      +mncF321*(2020679647354368000+15787571919992870400*ep+
         303830536910001485040/7*ep^2+247723726061066039982452/3969*
         ep^3)
      -42887705085706084577557008578446399483649341/
      4313782048065913563940800-9271746076123360/2079*ep^-3-
         5480698185225999502750/106135029*ep^-2-
         30352480416378104904360643171/158381058375540*ep^-1-
         7897521687771088432640/297*z3+11310386463007036366530129791776\
         86037930883382543782898008504954798993191851109/11196780873887\
         279313336250157800207319197286400000000000000*ep-
         3948760843885544216320/99*ep*z4-6545966814299615398172187692/
         15162147*ep*z3-75685877818402608694289337252407712064323179785\
         33306276064124023015808111304746710984207/15639163700347541416\
         719526890208285382200040676655104000000000000000*ep^2-
         198608684650447229738880/77*ep^2*z5-
         3272983407149807699086093846/5054049*ep^2*z4+15104740812048334\
         2614326818751232407/121114926993060*ep^2*z3+
         16762204171386316014038046379028794495835442655353470950093764\
         584377763454264467430684029437334518371618092870818567/
         14139674252358735267426021826704144488262379282206151373683058\
         056403877888000000000000000000000*ep^3-
         13267879584369193959803200/2079*ep^3*z6-
         161643013958387647532020471156/35378343*ep^3*z5+15104740812048\
         3342614326818751232407/80743284662040*ep^3*z4+6851943701131283\
         33465512593124882743972782153/2156891024032956781970400*ep^3*
         z3-1934901982459722616519040/2079*ep^3*z3^2;
Fill mncnoptab(11,4,3,6)=
      +mncF321*(4546529206547328000+35549436987107727840*ep+
         685134459202326418120/7*ep^2+310993460088742748983472/2205*
         ep^3)
      -296984920741864923048416085892758307604609/
      13277260843539284592000-16964080918463540/231*ep^-3-
         110028260568454246376461/141513372*ep^-2-
         2613726121385433389787663752467/1083659873095800*ep^-1-
         1974334129165523742688/33*z3+494415804481325611417542875653712\
         3146114111129130639608672061216763097160581/217656235095247690\
         39872187700442644348928000000000000000*ep-
         987167064582761871344/11*ep*z4-4911223652468561691537514322/
         5054049*ep*z3-347979817127077779939544197504531751528896742908\
         911804121487817953315364009064660943/3200131715860077074653003\
         35637045661757251518464000000000000000*ep^2-
         446868393787602366267824/77*ep^2*z5-
         2455611826234280845768757161/1684683*ep^2*z4+16153798545764023\
         8765052807295033/57687509880*ep^2*z3+
         21124340982013054198362424829103281972872695490092669505631714\
         7604910663537916589228450645632047678729088722314622627/
         82952755613837913568899328049997647664472625122276088058940607\
         264236083609600000000000000000000*ep^3-
         3316962106146621081511640/231*ep^3*z6-
         40547629668701004800837662837/3930927*ep^3*z5+1615379854576402\
         38765052807295033/38458339920*ep^3*z4+242685411152748271669736\
         3305028211014162879/3319315210884821148000*ep^3*z3-
         483729074838845640136432/231*ep^3*z3^2;
Fill mncnoptab(11,4,4,5)=
      +mncF321*(4663106878510080000+36596172778657147200*ep+
         2130161098225836325600/21*ep^2+195159806895127702902706/1323*
         ep^3)
      -593809462042781355441796261653464864373679/
      25890658644901604954400-2454482491677247400/9009*ep^-3-
         7761592887481221044864435/2759510754*ep^-2-1389319150838695896\
         66516751494631/16905094020294480*ep^-1-78967796985041260106560/
         1287*z3+147349828078663076132152874976592281410765812875452058\
         52181963128419680323/63381495659736127444107810583688980344078\
         336000000000*ep-39483898492520630053280/429*ep*z4-
         196790938770347779913047802240/197107911*ep*z3-
         64561704195603505024513259871314660411322167226819694849697378\
         2359412283477774876137/582423972286534027586846610859423104398\
         197763604480000000000000*ep^2-17874597446666675325286880/3003*
         ep^2*z5-98395469385173889956523901120/65702637*ep^2*z4+3534337\
         8044748046412638136335498237/12430216191393*ep^2*z3+
         84188353333108634356320059661553080932539315468358427313613133\
         0624926224335230935079189680767118104516342008216182147/
         28104393601968285117143092343339203028723325391427138634369077\
         7411231851269324800000000000000000*ep^3-
         132677544402761842887786800/9009*ep^3*z6-
         549430877594845581913272055430/51102051*ep^3*z5+35343378044748\
         046412638136335498237/8286810794262*ep^3*z4+216059027392987820\
         78376210462280955682034231/25890658644901604954400*ep^3*z3-
         19349590999870380256543840/9009*ep^3*z3^2;
Fill mncnoptab(11,5,1,7)=
      +mncF321*(277843451511225600+2185185538667539980*ep+
         42558892502208162777/7*ep^2+50381257311392443401881/5670*ep^3)
      -40365360415094016355949168220419626701311/
      29527492093713205143552+15159006674507/378*ep^-3-
         1650154964490545399/8255520*ep^-2-
         18445998728464851747022168913/3523343330707200*ep^-1-
         691035907706298635044/189*z3+737139364442868303252528450805725\
         5215778890166289474383129645525387803697807/533439244356321522\
         949417849034720620943769600000000000000*ep-
         345517953853149317522/63*ep*z4-104000225749157514615099839/
         1746360*ep*z3-490397596248894821006808943616465406204310074254\
         58467515058637408583792830386133246571/74508412378904183706296\
         2389518916853405738447405056000000000000000*ep^2-
         2482609639452086853414/7*ep^2*z5-104000225749157514615099839/
         1164240*ep^2*z4+296692767706414360080732986891592893/
         1761671665353600*ep^2*z3+3122626017860731764923430282895716189\
         02613207984145193646321293673626774380918653519014384732482165\
         63529474821164467/12597164333919600510979546718336419634997392\
         4514200257692812699047961821184000000000000000000000*ep^3-
         165848560893750116017835/189*ep^3*z6-
         2446632480443147823507799259/3783780*ep^3*z5+29669276770641436\
         0080732986891592893/1174447776902400*ep^3*z4+68035737703535419\
         6947922419314061591317617/12905372418580946304000*ep^3*z3-
         24186244070514105860734/189*ep^3*z3^2;
Fill mncnoptab(11,5,2,6)=
      +mncF321*(1515509735515776000+11906547216458974560*ep+
         231456595958829877080/7*ep^2+45553706123306574290932/945*ep^3)
      -3153473870579938624058500670364973173421027/
      422919808633913094504000-9674973003822460/693*ep^-3-
         1296708626991807095153/8324316*ep^-2-
         436170696622644214263603629329/807432846620400*ep^-1-
         13820498808376398928352/693*z3+4294134405734962356849663578808\
         9155029904122168051073485441085244664631211667/569190022637697\
         568579184830098775971201024000000000000000*ep-
         6910249404188199464176/231*ep*z4-675647981058554551861266304/
         2081079*ep*z3-326745262703877032368876013677952635040563169005\
         1519089636400640449154965168319370477/908593388545971905110793\
         1381384624768162696108441600000000000000*ep^2-
         148956320424866692691376/77*ep^2*z5-
         337823990529277275930633152/693693*ep^2*z4+1859773337108375984\
         3966042653655483/20185821165510*ep^2*z3+
         51888586351181213336346366226237247530677427185085314065217081\
         703687932809547836357489199382482828956092534639865621/
         73316829456674923608875668731058526976175299981809673789467708\
         440612700160000000000000000000000*ep^3-
         3316965962538559588235080/693*ep^3*z6-
         2435408913345447490601670521/693693*ep^3*z5+185977333710837598\
         43966042653655483/13457214110340*ep^3*z4+118197443792862909426\
         391122014134692931123123/422919808633913094504000*ep^3*z3-
         483727319543403196120784/693*ep^3*z3^2;
Fill mncnoptab(11,5,3,5)=
      +mncF321*(2841580754092080000+22359402697343786100*ep+
         435872827388400253975/7*ep^2+22963716594227226665947/252*ep^3)
      -17466397381583608688784267699532082915773/1249624549980167961600
         -67030854020295775/462*ep^-3-12636664599850102857545/8324316*
         ep^-2-3735100141039796073366117847027/815932139742720*ep^-1-
         8637209431041874577140/231*z3+12162653595100317986394373927900\
         36333258483563726269242911765377517880190579/86038229402356734\
         08702417726292621766164480000000000000*ep-
         4318604715520937288570/77*ep*z4-20283715895458798581696580525/
         33297264*ep*z3-42539962223563799133197477977933643028897091489\
         5460097232935488051729864113912306973/632496621487638762990240\
         663376749072649626530611200000000000000*ep^2-
         279290962877302965593210/77*ep^2*z5-
         20283715895458798581696580525/22198176*ep^2*z4+140354305675099\
         825813200336941589661/81593213974272*ep^2*z3+
         52681742523145395681950169814986471473044676327501267018006744\
         478954327386900153688380649468848049476475477953874467021/
         67450544644723884281143421624014087268935980939425132722485786\
         578695644304637952000000000000000000*ep^3-
         2073089198002167555506225/231*ep^3*z6-
         24516555391955655495231664525/3699696*ep^3*z5+1403543056750998\
         25813200336941589661/54395475982848*ep^3*z4+425950883987091416\
         37980415981303234044377/78101534373760497600*ep^3*z3-
         302336184404316548948530/231*ep^3*z3^2;
Fill mncnoptab(11,5,4,4)=
      +mncF321*(2331553439255040000+18426061070224807200*ep+
         1086002586014802080000/21*ep^2+14454282515440100816738/189*
         ep^3)
      -17455653926722461992633607618761598103327/1522979920288329703200
         -2953932366551439100/9009*ep^-3-1090279981136706357942775/
         324648324*ep^-2-4787041409050230289982691204659/
         497208647655720*ep^-1-276349218538342748839520/9009*z3+
         73303835688181373116548204932925368820726971339449658023135283\
         3170208147452289/634187788924771486955455210605029150383983820\
         8000000000000*ep-138174609269171374419760/3003*ep*z4-
         40648974108266791112452695080/81162081*ep*z3-
         36477084074964025342178647184063323940907374762653110737571257\
         273904231115305228778033/6660189424264836174287234185357167735\
         0005673673359360000000000000*ep^2-8937163846119172587387280/
         3003*ep^2*z5-20324487054133395556226347540/27054027*ep^2*z4+
         69335637988776383064251030192548277/49720864765572*ep^2*z3+
         65170554565399377451554329461464386623810712046925213561166713\
         4658214551595054630402012846105329778459226614606014060223/
         76488917627116884774816640121631974962973402385308100507298881\
         9802408606414594375680000000000000000*ep^3-
         66337855799547937533305800/9009*ep^3*z6-
         16649404957005535566514737055/3006003*ep^3*z5+6933563798877638\
         3064251030192548277/33147243177048*ep^3*z4+1513428123389921269\
         152474084566651299668461/3045959840576659406400*ep^3*z3-
         9675214949582040300015440/9009*ep^3*z3^2;
Fill mncnoptab(11,5,5,3)=
      +mncF321*(874332539720640000+6961648638756068100*ep+
         138595330764878220600/7*ep^2+7510119532681979139617/252*ep^3)
      -34896136803363441401037351416425343918447/8122559574871091750400
         -1192714879408456325/6006*ep^-3-592124471942073641617895/
         288576288*ep^-2-331857337875679461771837248503/55245405295080*
         ep^-1-34538675674500578283620/3003*z3+478747713698748184730329\
         0602662398087455864099663751907937266529700787444119511/
         110982863061835010217204661855880101317197168640000000000000*
         ep-17269337837250289141810/1001*ep*z4-
         34687891127186680350943940/184041*ep*z3-1654352495625883800236\
         01893342267728114186012384158712293274964036283075460907622722\
         0383/815873204472442431350186187706253047537569502498652160000\
         0000000000*ep^2-159589687453468987432490/143*ep^2*z5-
         17343945563593340175471970/61347*ep^2*z4+226236978424904394017\
         18356258231657/44196324236064*ep^2*z3+
         55947024683438047282552713545574136334846436995293530323855992\
         39103537000701388000545073899701008356214925176083593556009/
         13385560584745454835592912021285595618520345417428917588777304\
         346542150612255401574400000000000000000*ep^3-
         8292111902120870394496675/3003*ep^3*z6-
         51536169631633186295072171695/24048024*ep^3*z5+226236978424904\
         39401718356258231657/29464216157376*ep^3*z4+177122078758778746\
         5642120153421762749540653/8122559574871091750400*ep^3*z3-
         1209456452513013684264590/3003*ep^3*z3^2;
Fill mncnoptab(11,6,1,6)=
      +mncF321*(133364856725388288+1058350025398887936*ep+
         523637571706794828464/175*ep^2+844464437677762977680/189*ep^3)
      -2522908661052583899127230184387153065673247/
      3844725533035573586400000-54293104245752/1575*ep^-3-
         2503478227444667674/2149875*ep^-2-
         12091144871758876032756088753/1223383100940000*ep^-1-
         2764140834323432115904/1575*z3+2061359162123992483683519735035\
         35220491801256065188366050279060641485767221117/31295102335570\
         862679699180476703609762034483200000000000000*ep-
         1382070417161716057952/525*ep*z4-678945098406293398173942607/
         23648625*ep*z3-54412004411965026523923308191407488154045684039\
         496801941608023984993342271186748995537/1748464077158284844307\
         751740737724882658799556577198080000000000000*ep^2-
         29791312748675440816352/175*ep^2*z5-
         678945098406293398173942607/15765750*ep^2*z4+14463794506255864\
         8909276115809492793/1835074651410000*ep^2*z3-
         63590344234767268788220004396917358025872873785776644799013583\
         111691439916343441758640582214778567128020375067108693/
         67184876447571202725224249164460904719986093074240137436166772\
         8255796379648000000000000000000000*ep^3-
         132678836951877767615632/315*ep^3*z6-
         2541828839714606698555039133/7882875*ep^3*z5+14463794506255864\
         8909276115809492793/1223383100940000*ep^3*z4+11976657191891246\
         810606265680720759017236221/384472553303557358640000*ep^3*z3-
         96745014537026411863072/1575*ep^3*z3^2;
Fill mncnoptab(11,6,2,5)=
      +mncF321*(606203894206310400+4809061313686918080*ep+
         95117512129639050824/7*ep^2+19158803257842846597844/945*ep^3)
      -157668878902185640879097042728295935657211/
      52864976079239136813000-12283670361897160/693*ep^-3-
         8206326984872379619969/41621580*ep^-2-
         56123173025088096307521656951/82813625294400*ep^-1-
         5528016280422324629504/693*z3+17677548620268211333942851309475\
         44380551821593728192897456852493331645828901409/59013621547076\
         483910289883184641092694122168320000000000000*ep-
         2764008140211162314752/231*ep*z4-543049851072667193255766539/
         4162158*ep*z3-166658624289189289087558944043632749524869452267\
         1335398874814999727930041188064856138351/117753703155557958902\
         35879070274473699538854156540313600000000000000*ep^2-
         59582310859061299359712/77*ep^2*z5-543049851072667193255766539/
         2774772*ep^2*z4+23165417712920664931970952254820835/
         64594627729632*ep^2*z3-158351563726723251331631204646735414436\
         70330391971287586878104434713393243814181900072020389061860248\
         4524995015716961/126691481301134267996137155567269134614830918\
         3685671163082002001853787458764800000000000000000000*ep^3-
         1326781953627823424019760/693*ep^3*z6-
         2030530982700937448035456507/1387386*ep^3*z5+23165417712920664\
         931970952254820835/43063085153088*ep^3*z4+29733302554873433330\
         459345861379686197633403/211459904316956547252000*ep^3*z3-
         193492928623326762301472/693*ep^3*z3^2;
Fill mncnoptab(11,6,3,4)=
      +mncF321*(909305841309465600+7229190550283133120*ep+
         143533021497333817336/7*ep^2+3228739484867112316124/105*ep^3)
      -2327927920752883624223271632591800329667/520676895825069984000-
         8737209088793120/77*ep^-3-49194878200751576900791/41621580*
         ep^-2-105874500727360197504677562761/29997505137600*ep^-1-
         921188386884285163584/77*z3+2431918556683095048525954508413684\
         600035848267883218192770101232883978989919/5420408452348474247\
         4825231675643517126836224000000000000*ep-
         1381782580326427745376/77*ep*z4-815347804498920150153225767/
         4162158*ep*z3-120359471161420344611351012020483461458004268976\
         193105159199963190803812180387462263/5692469593388748866912165\
         97039074165384663877550080000000000000*ep^2-
         89371897475410581330368/77*ep^2*z5-815347804498920150153225767/
         2774772*ep^2*z4+27265248208216604858526624087543223/
         50995758733920*ep^2*z3+133927770282076669096834903099256459746\
         63778017889781970750738320874151483106442719969947479783609206\
         057862415243829849679/2337161371939682590341619559272088123868\
         6317395510808488341325049518040751557050368000000000000000000*
         ep^3-221126772721315740416960/77*ep^3*z6-
         236394824254678391252902759/106722*ep^3*z5+2726524820821660485\
         8526624087543223/33997172489280*ep^3*z4+5737073215768283979234\
         0772212521474836337/260338447912534992000*ep^3*z3-
         32250449546767567483712/77*ep^3*z3^2;
Fill mncnoptab(11,6,4,3)=
      +mncF321*(559572825421209600+4470314754552558720*ep+
         268552043291768345008/21*ep^2+18329708440053339580876/945*ep^3
         )
      -27918083969199288455355943680782084252909/
      10153199468588864688000-1159395784545279760/9009*ep^-3-
         541851297392358701014216/405810405*ep^-2-
         19636342163008220841749600174227/4972086476557200*ep^-1-
         66313943169689879036288/9009*z3+122248177193680905967255050828\
         48223067830711330681904676707461666031383566611219/
         443931452247340040868818647423520405268788674560000000000000*
         ep-33156971584844939518144/3003*ep*z4-
         9806142076716941263422081886/81162081*ep*z3-
         42110901524801114326843857338244377051002098035704965578233958\
         36541858606217066957466857/32634928178897697254007447508250121\
         901502780099946086400000000000000*ep^2-
         714961427565126102720064/1001*ep^2*z5-
         4903071038358470631711040943/27054027*ep^2*z4+1613097905804274\
         11220590875535549521/497208647655720*ep^2*z3+
         28561875977651241804762660194430494302457655175721043007949192\
         809960752436788020338016181516991733141118429029911262968072093
       /842219471992184018255506024379289676317300133664627494685867989\
         48443211652310986706124800000000000000000*ep^3-
         15920847262291112613610720/9009*ep^3*z6-
         12539686611247170058619403134/9018009*ep^3*z5+1613097905804274\
         11220590875535549521/331472431770480*ep^3*z4+75449834668373640\
         8347474272910623235839619/5076599734294432344000*ep^3*z3-
         2322159824654453965237184/9009*ep^3*z3^2;
Fill mncnoptab(11,6,5,2)=
      +mncF321*(139893206355302400+1126393661266658880*ep+
         68603616558399966472/21*ep^2+4768093701644017177024/945*ep^3)
      -2521424710039947984656979732627151297870691/
      3665305008160580152368000-245418591946426840/9009*ep^-3-
         240163921218906399476093/811620810*ep^-2-
         91528731483924114287287233098017/94469643054586800*ep^-1-
         16579443204730860285632/9009*z3+624723670856555115595202175416\
         074291853726027887849911790622235867678907834385086351/
         91347774928935160209576813080337793792158645564211200000000000\
         000*ep-8289721602365430142816/3003*ep*z4-
         351573812400260939328235342/11594583*ep*z3-
         40599175399910090725872935803705305788347599016064104095272843\
         14163378926647669383068705156883/12759049425606380411518513700\
         1679924089772314162152217772032000000000000000*ep^2-
         25534499497416909226528/143*ep^2*z5-
         175786906200130469664117671/3864861*ep^2*z4+748311418012414205\
         796108923654972761/9446964305458680*ep^2*z3+
         15169274054209756517247690094569034974289950363061193765835123\
         43151890061210945260184491446249478868638542304074433349018621\
         33/22834506540108946377301687398946516892666907367270916567151\
         60805714476380092067928342528000000000000000000*ep^3-
         3980235062831336052464080/9009*ep^3*z6-
         3236471568713711277086325176/9018009*ep^3*z5+74831141801241420\
         5796108923654972761/6297976203639120*ep^3*z4+77725264511088839\
         387056289782398312792116431/1832652504080290076184000*ep^3*z3-
         580529585072834067500576/9009*ep^3*z3^2;
Fill mncnoptab(11,6,6,1)=
      +mncF321*(11191456508424192+455742083024334144/5*ep+
         1887391198357758616/7*ep^2+74779853355149008348/175*ep^3)
      -1010132011527578496802662897836970411203789/
      18326525040802900761840000-1369441439896072/25025*ep^-3-
         16185532865135549462101/6763506750*ep^-2-
         16332098890355785687740869760329/787247025454890000*ep^-1-
         3685498841912350469184/25025*z3+512835512084439012230595318921\
         452314358025270691479218491631208956944285611087374743/
         94740692283438466160218237566178911847295966685167616000000000\
         0000*ep-5528248262868525703776/25025*ep*z4-
         1178732313457472456624541706/483107625*ep*z3-
         23586808542395365471635037545337031395472211310800211420787443\
         96086180332735609049138283113793/94521121255002369171045315778\
         7955356011986735527780715331584000000000000000*ep^2-
         51070784757845146167904/3575*ep^2*z5-
         589366156728736228312270853/161035875*ep^2*z4+2405746547866412\
         644364885137277998051/393623512727445000*ep^2*z3+
         16849578672287630614538670046543647271986049665734323336049489\
         13272487236613979997678149060337184644041969737024295404290367\
         751807/2878625542834108579641286564323221524497798629567188876\
         77609114069308117863055088509949837312000000000000000000*ep^3-
         176904997231501836353072/5005*ep^3*z6-
         33862379738786820700758306908/1127251125*ep^3*z5+2405746547866\
         412644364885137277998051/262415675151630000*ep^3*z4+3662224242\
         5871956967881939403636366016501201/9163262520401450380920000*
         ep^3*z3-128993547562078776322912/25025*ep^3*z3^2;
Fill mncnoptab(11,7,1,5)=
      +mncF321*(34730431438903200+279570261678716580*ep+
         17018016872641783150/21*ep^2+3544836897138716586782/2835*ep^3)
      -5046512787664551086757378155467801339787857/
      29527492093713205143552000+8283758073475/378*ep^-3-
         24475786412086645873/33022080*ep^-2-
         14900055287829108423922682263/1565930369203200*ep^-1-
         86379621432112208582/189*z3+2445216671769795178255633531697626\
         2436394384376278410334084450752331268031/144207831562310535228\
         05382363665023378345489858560000000*ep-43189810716056104291/63
         *ep*z4-1367349527396094019540495463/181621440*ep*z3-
         15926481274257143640022679712794278387623244798695041876592689\
         0931075725871566809499/201423061688634414064253000532985906482\
         29370891769321881600000000*ep^2-930978746614460278396/21*ep^2*
         z5-1367349527396094019540495463/121080960*ep^2*z4+138657892458\
         145119776596398760525213/7046686661414400*ep^2*z3+
         12263234828724925029666357967875890821272664664679041481218667\
         96729575658429995286068291542375518437288767733632164312003391/
         26352319908354208402549164173179197284419322018144633871141653\
         712276669373547327646597120000000000000000*ep^3-
         20731072745245075742455/189*ep^3*z6-
         489958249082088176492898737/5503680*ep^3*z5+138657892458145119\
         776596398760525213/4697791107609600*ep^3*z4+155110840313382507\
         753083306845461283159263827/14763746046856602571776000*ep^3*z3
         -3023278544653598966636/189*ep^3*z3^2;
Fill mncnoptab(11,7,2,4)=
      +mncF321*(126292477959648000+1016838010444432800*ep+
         61919181035221390280/21*ep^2+2580641334566131687640/567*ep^3)
      -5044785981290120652375791759442605877562309/
      8120060325771131414476800-21829908659700340/2079*ep^-3-
         11517043018058984151371/99891792*ep^-2-
         55530679760619143686296143927/143543617176960*ep^-1-
         3454695046609564524080/2079*z3+2064274467747080793617257673333\
         8364324466766291435742195650519450825793555152889/
         3346072341719236637713436376569149955756726943744000000000000*
         ep-1727347523304782262040/693*ep*z4-
         1367368638623412795360962135/49945896*ep*z3-
         19185390518259303306611741232093540774244303043155511075544283\
         768093231948698249544592107/6676634968920136269763743432845626\
         58763853030675835781120000000000000*ep^2-
         37238573386012098569440/231*ep^2*z5-
         1367368638623412795360962135/33297264*ep^2*z4+2771657320284968\
         8778488563569971115/387567766377792*ep^2*z3+
         19387221839089371305866257589407343674109331305365797377340824\
         16228281858960841044450754471259904482567405015727781200821979\
         33/19566597531952999738892754398585553983681346598472390649322\
         67788136542700985889077759836160000000000000000*ep^3-
         829231163568748306502200/2079*ep^3*z6-
         5393751147500169473867831755/16648632*ep^3*z5+2771657320284968\
         8778488563569971115/258378510918528*ep^3*z4+155657407043441118\
         264761230497332532476029103/4060030162885565707238400*ep^3*z3-
         120936576974814993672800/2079*ep^3*z3^2;
Fill mncnoptab(11,7,3,3)=
      +mncF321*(142079037704604000+1146935465885808300*ep+
         70158896549855747300/21*ep^2+1961009811099049253555/378*ep^3)
      -821298590733142182811855178141526245969/1176117223510746316800-
         45592856413985395/1386*ep^-3-277139865671761707832307/
         799134336*ep^-2-5216994663272678944714910441323/
         4895592838456320*ep^-1-1295191722434370461530/693*z3+
         23680760696327619953557471027028601421622759780305424719020952\
         846784692228469/3414857324979538775913989595565541578990682112\
         000000000000*ep-647595861217185230765/231*ep*z4-
         947704293035323826248838747/30735936*ep*z3-
         80774343171305187693847382660995253811904410984757790849130022\
         86474628901633142445111/25103790906844382503082651929423170693\
         4636769999585280000000000000*ep^2-13964087102234621119940/77*
         ep^2*z5-947704293035323826248838747/20490624*ep^2*z4+195388757\
         596333888135263187028920577/2447796419228160*ep^2*z3-
         87323436846185828946096101028664264144311769228567197976935869\
         80053654665222253497852951899747872314446393288417440519194997\
         34855967/11029270346914968963319459460263107191190525928607019\
         452624233084151241848776744765180478069145600000000000000000*
         ep^3-310953980494193049044825/693*ep^3*z6-
         16348604500248358567742275153/44396352*ep^3*z5+195388757596333\
         888135263187028920577/1631864279485440*ep^3*z4+345093485709142\
         16661492043434268381336271/768999723064718745600*ep^3*z3-
         45354704448779064274900/693*ep^3*z3^2;
Fill mncnoptab(11,7,4,2)=
      +mncF321*(58288835981376000+472985685648496000*ep+
         87581725789312924760/63*ep^2+1238504432445783964540/567*ep^3)
      -201702421416876794892292777483315524211387/
      703738561566831389254656-355942516711940120/27027*ep^-3-
         278680632933693443589611/1947889944*ep^-2-
         53198676852464889950474547854177/113363571665504160*ep^-1-
         20723203925090658635680/27027*z3+25867634992577808477934477959\
         7155822414719299469745727320025766673654232843199218567/
         91347774928935160209576813080337793792158645564211200000000000\
         000*ep-10361601962545329317840/9009*ep*z4-
         12351499571139966814822326479/973944972*ep*z3-
         16683667403363255559856718503276475411213280109067864260746248\
         08652750832421138317238522489931/12759049425606380411518513700\
         1679924089772314162152217772032000000000000000*ep^2-
         223425577923810853835840/3003*ep^2*z5-
         12351499571139966814822326479/649296648*ep^2*z4+18262638606453\
         86932448314409335034071/56681785832752080*ep^2*z3-
         91072246980999369574188215882749320966597778133853769842836358\
         96785121490856172840669895673933041980328834949894794417255611\
         715242583/5060488747408044583170104928826602123016829543713808\
         92532170694449292273061521230402398405525504000000000000000000
         *ep^3-4975267493473017564717200/27027*ep^3*z6-
         16686734066217496215106346257/108216108*ep^3*z5+18262638606453\
         86932448314409335034071/37787857221834720*ep^3*z4+174453931891\
         897249299975219942903582040754153/8796732019585392365683200*
         ep^3*z3-725674229084336202030400/27027*ep^3*z3^2;
Fill mncnoptab(11,7,5,1)=
      +mncF321*(7286104497672000+59603939996400440*ep+
         11191246574251883866/63*ep^2+1611532735900009295111/5670*ep^3)
      -5051406104564710024514935999895527365348973/
      140747712313366277850931200-920657623534108/27027*ep^-3-
         135649898273764253870149/77915597760*ep^-2-
         35058853143648512512788742836263/2267271433310083200*ep^-1-
         2591372213983556684900/27027*z3+831645512956596982758577569524\
         0011202535824057684173623024904933092970695828862217287/
         23685173070859616540054559391544727961823991671291904000000000\
         000000*ep-1295686106991778342450/9009*ep*z4-
         8859703522442795596337503963/5565399840*ep*z3-
         76169309866971149406793850761657166524157373160451817222888513\
         28402975716434201596797602646989/47260560627501184585522657889\
         39776780059933677638903576657920000000000000000*ep^2-
         3989905761786757955980/429*ep^2*z5-
         8859703522442795596337503963/3710266560*ep^2*z4+44465034959301\
         86572591151578194008089/1133635716655041600*ep^2*z3+
         28670540819565391036233291601990438236434442174648366441938389\
         11329554136642762846071599608918463782998249011974354901641892\
         813347/1439312771417054289820643282161610762248899314783594438\
         388045570346540589315275442549749186560000000000000000000*ep^3
         -621931726946455486354600/27027*ep^3*z6-
         86106340930722659531960958683/4328644320*ep^3*z5+4446503495930\
         186572591151578194008089/755757144436694400*ep^3*z4+9689211348\
         13341698051100361370771873981499523/
         351869280783415694627328000*ep^3*z3-90698484586945123280540/
         27027*ep^3*z3^2;
Fill mncnoptab(11,8,1,4)=
      +mncF321*(4669637840524800+268772755745619840/7*ep+
         16963997458394562920/147*ep^2+3701655156039980378296/19845*
         ep^3)
      -5048203830609786085284421821374495124836947/
      219610722446991963255168000-31792393611320/1323*ep^-3-
         154590941692209365713/245601720*ep^-2-
         9220983987323690338116819773/1941101186824800*ep^-1-
         81297446233278983776/1323*z3+741721383387091741728489161270940\
         85467053752605076239194772042876160782917/33095697343550267834\
         8383525246112286533028992253952000000*ep-40648723116639491888/
         441*ep*z4-1381674121074822761975590343/1350809460*ep*z3-
         13520717849169282926361481844153876025997969047027092357577344\
         427799315216332299339/1320759790215474229364173246352007586791\
         0401770460169633792000000*ep^2-876214179666135820928/147*ep^2*
         z5-1381674121074822761975590343/900539640*ep^2*z4+262209977709\
         103423024501194299747/106092574988400*ep^2*z3-
         72113257936423426929619502000396827189552737686925247822824417\
         0885433693959896001622341361642433876820954722054172284282411/
         35575631876278181343441371633791916333966084724495255726041232\
         511573503654288892322906112000000000000000*ep^3-
         19511575426904858511440/1323*ep^3*z6-
         5853210070624650867744983227/450269820*ep^3*z5+262209977709103\
         423024501194299747/70728383325600*ep^3*z4+10871637956783802583\
         829465776610779424439203/5779229538078735875136000*ep^3*z3-
         2845451748158678760448/1323*ep^3*z3^2;
Fill mncnoptab(11,8,2,3)=
      +mncF321*(12735375928704000+733464204029481600/7*ep+
         15446947900996116000/49*ep^2+674982564995790642580/1323*ep^3)
      -5043970465379406787744389265861212860844973/
      80523931563897053193561600-12392719193469920/4851*ep^-3-
         27893303993014617199283/990593604*ep^-2-
         11000814526524655368777920834203/115301410497393120*ep^-1-
         812712019422821493760/4851*z3+24342907923147698887611136136628\
         79522657656509445852227529887562197292671640338119/
         39818260866458915988789892881172884473505050630553600000000000\
         00*ep-406356009711410746880/1617*ep*z4-
         1381805289456841709619950339/495296802*ep*z3-
         15495128604598971426031959926954220636019270427342494429930587\
         276877160262104490358362790103/5561636929110473512713198279560\
         406947502895745529712056729600000000000000*ep^2-
         8761830342264055108480/539*ep^2*z5-
         1381805289456841709619950339/330197868*ep^2*z4+387901516179141\
         031272357336971540177/57650705248696560*ep^2*z3-
         17659420084792714554964145662195643373879370130564920252195532\
         40096317767656473041684970736188493156384648038987739802088372\
         57/54786473089468399268899712316039551154307770475722693818103\
         49806782319562760489417727541248000000000000000*ep^3-
         195109402652384186206400/4851*ep^3*z6-
         5865669908745653197166287391/165098934*ep^3*z5+387901516179141\
         031272357336971540177/38433803499131040*ep^3*z4+20798974502392\
         4722235636394056952153438391463/40261965781948526596780800*
         ep^3*z3-28457378729559674780800/4851*ep^3*z3^2;
Fill mncnoptab(11,8,3,2)=
      +mncF321*(9551531946528000+551703752795488800/7*ep+
         35029622485257178040/147*ep^2+513499253360911543840/1323*ep^3)
      -5042197523710217071738811561845843413633517/
      107365242085196070924748800-13886002211931020/4851*ep^-3-
         370862915992972358854835/11887123248*ep^-2-1429787515106586583\
         35071872985491/1383616925968717440*ep^-1-609430595549950317520/
         4851*z3+546706419935471297423978716011605151580862165624868422\
         83085001598190970228256514657/11945478259937674796636967864351\
         8653420515151891660800000000000000*ep-304715297774975158760/
         1617*ep*z4-12452846368740553276866205007/5943561624*ep*z3-
         31514017512810618157962528646574298616250362696988113226603885\
         404624936850853125034455464271/1516810071575583685285417712607\
         3837129553352033262851063808000000000000000*ep^2-
         6571251506724283926560/539*ep^2*z5-
         12452846368740553276866205007/3962374416*ep^2*z4+3457045743205\
         652181453446570006790281/691808462984358720*ep^2*z3-
         41197176021429190224625185627671343782633811619915398190684891\
         02894701706231134248461063825705449127029693196082776383786464\
         78287977/66175622081489813779916756761578643147143155571642116\
         7157453985049074510926604685910828684148736000000000000000000*
         ep^3-146329582412421512553800/4851*ep^3*z6-
         17788788184375919799914768641/660395736*ep^3*z5+34570457432056\
         52181453446570006790281/461205641989572480*ep^3*z4+21474475799\
         5733960936356407496888096490106023/53682621042598035462374400*
         ep^3*z3-21344190911269158666400/4851*ep^3*z3^2;
Fill mncnoptab(11,8,4,1)=
      +mncF321*(1959288604416000+113781940036041920/7*ep+
         21871562438058176008/441*ep^2+1622091423068601292384/19845*
         ep^3)
      -404279237078711619617771335968029413225241/
      41872444413226467660652032-5688946446887224/189189*ep^-3-
         478970070368840750313359/579497258340*ep^-2-423841477725480051\
         827137060361857/67451325140974975200*ep^-1-
         4877785638913581550400/189189*z3+46967861620497757137515464879\
         47724020735037541616996944885255442805562646759487805401/
         50330992775576685147615938707032546918875982301495296000000000\
         000000*ep-2438892819456790775200/63063*ep*z4-
         124897595411992653161940273221/289748629170*ep*z3-
         84821289586463878203280127743500826090147676169909583687113854\
         90192404701019330512230132221159/20085738266688003448847129602\
         994051315254718129965340200796160000000000000000*ep^2-
         52572769611711304778080/21021*ep^2*z5-
         124897595411992653161940273221/193165752780*ep^2*z4+3391564633\
         6317742413975669089290855511/33725662570487487600*ep^2*z3-
         47780457346089160409193869377512649647852476767369991401077360\
         16648162486370896690823931789370919673027219258307653785824364\
         30031803/17158393439700573144364130503180748187437832480361491\
         69129684261234386053331125007040220088185651200000000000000000
         *ep^3-1170692852166220403630800/189189*ep^3*z6-
         181522606823450901445714070623/32194292130*ep^3*z5+33915646336\
         317742413975669089290855511/22483775046991658400*ep^3*z4+
         2272527387676393412686745633691433345724280863/
         2617027775826654228790752000*ep^3*z3-170727600895300752267680/
         189189*ep^3*z3^2;
Fill mncnoptab(11,9,1,3)=
      +mncF321*(291852365032800+17338071338370640/7*ep+
         6916470266931618865/882*ep^2+19880871501708643861/1470*ep^3)
      -5056583167108712301165934485644921595429407/
      3513771559151871412082688000-1450489604185/2646*ep^-3-
         1366918194067007697259/11788882560*ep^-2-
         723574761904667947773743067977/628916784531235200*ep^-1-
         5081261099522484946/1323*z3+9012785495327278268215161147556369\
         97744459864549430217505735938833635741/66191394687100535669676\
         705049222457306605798450790400000*ep-2540630549761242473/441*
         ep*z4-4210761264965290974238045349/64838854080*ep*z3-
         27817976022051923752085039119300479487024133286186323472692782\
         047737951545346476817/4622659265754159802774606362232026553768\
         64061966105937182720000000*ep^2-164290590619273813664/441*ep^2
         *z5-4210761264965290974238045349/43225902720*ep^2*z4+432883461\
         40182295055315886553745873/314458392265617600*ep^2*z3+
         31535599639107618753661442477490583847174126641525353897010361\
         007697000866099954843049983372627239691271717637311566487457/
         35575631876278181343441371633791916333966084724495255726041232\
         511573503654288892322906112000000000000000*ep^3-
         1219476276895747390115/1323*ep^3*z6-
         19686715401325321762760686961/21612951360*ep^3*z5+432883461401\
         82295055315886553745873/209638928177078400*ep^3*z4+28020486323\
         0489011700702013955254755507896957/
         1756885779575935706041344000*ep^3*z3-177837712774436546008/
         1323*ep^3*z3^2;
Fill mncnoptab(11,9,2,2)=
      +mncF321*(530640663696000+31550869366822000/7*ep+
         6301913057793677720/441*ep^2+10887681926064746020/441*ep^3)
      -1008114511966923352202302874766032920829869/
      386514871506705855329095680-3588652753356430/14553*ep^-3-
         189548962938668710462577/71322739488*ep^-2-
         23994765916078406155927044439201/2767233851937434880*ep^-1-
         101541078286663593320/14553*z3+6058485942739486293504058139469\
         2861867236045074639016215485559953015844523673999/
         24378527061097295503340750743575235391941867732992000000000000\
         00*ep-50770539143331796660/4851*ep*z4-
         4210554648408707808349797533/35661369744*ep*z3-
         37220349356204341521187978134388922483827627086756548171406721\
         6338786702818050872709456147/340508383414926949757950915075126\
         9559695650456446762483712000000000000000*ep^2-
         3285520167073749886480/4851*ep^2*z5-
         4210554648408707808349797533/23774246496*ep^2*z4+3453338553033\
         26517172790603612643043/1383616925968717440*ep^2*z3+
         11495309247815535635630095993235899365180080550986459066750814\
         05217913476769262515856605117721642230807244739330328543305179/
         33542738626205142409530436111860949686310879883095526827410304\
         93948358915975809847588290560000000000000000*ep^3-
         24387548557336465165300/14553*ep^3*z6-
         19738417197880215796938972617/11887123248*ep^3*z5+345333855303\
         326517172790603612643043/922411283979144960*ep^3*z4+2819187441\
         94007026685571376019949688825823683/
         966287178766764638322739200*ep^3*z3-3557723936929724807600/
         14553*ep^3*z3^2;
Fill mncnoptab(11,9,3,1)=
      +mncF321*(198990248886000+11867906279050770/7*ep+
         794143425249031316/147*ep^2+124278275590166595161/13230*ep^3)
      -112483870988818625710376582473445429917069/
      114522924890875808986398720-34746920167753/6468*ep^-3-
         162677141594451911999029/950969859840*ep^-2-149370578912948869\
         048859607992467/110689354077497395200*ep^-1-
         4234254978749331275/1617*z3+5854096997990811195313970366323078\
         890450268142815949194765253119376055769635034061/
         63210038022702273340804946570841503194820699907686400000000000\
         0000*ep-4234254978749331275/1078*ep*z4-
         21094513123381763232315568801/475484929920*ep*z3-
         35960581163742093276941947434014370741026628337156041075931958\
         809954414654928962828480190689/8828895941401320197295441583733\
         64892978229368350124843991040000000000000000*ep^2-
         136908308357901900870/539*ep^2*z5-
         21094513123381763232315568801/316989953280*ep^2*z4+51139887096\
         30513828393994935429836441/55344677038748697600*ep^2*z3-
         94578140822618081027757564743296618931914726607451267470601696\
         39329994186014063492333509288059492053870312561931123872820246\
         37459277/35017129468776679886457409190164792219260882612982636\
         10468743390274257251696173483755551200378880000000000000000000
         *ep^3-2032453350474781856675/3234*ep^3*z6-
         99774188753563542914558744989/158494976640*ep^3*z5+51139887096\
         30513828393994935429836441/36896451359165798400*ep^3*z4+
         481237098786937031635219932135316929545275853/
         4294609683407842836989952000*ep^3*z3-148199127635793567890/
         1617*ep^3*z3^2;
Fill mncnoptab(11,10,1,2)=
      +mncF321*(6826955907200+3838674107622640/63*ep+828165779031950720/
         3969*ep^2+7844754015071695444/19845*ep^3)
      -5059999278329884262019704607657580905932777/
      150213734153742502866534912000-35748533728370/11907*ep^-3-
         18390987309896732646259/503974729440*ep^-2-
         31919341513825974490661675982181/215089540309682438400*ep^-1-
         1068899444376238456/11907*z3+293228414785129764942281023692058\
         52024173515690600253193627019668414243/96247691254202309519682\
         963974634695573380880400384000000*ep-534449722188119228/3969*
         ep*z4-4317758948462471571026265629/2771861011920*ep*z3-
         24283732208497475037125790634792491258806113972523380061114239\
         110904156366937521/1920492552099031404942802934746541644058400\
         2574393614008320000000*ep^2-34584584190766213904/3969*ep^2*z5-
         4317758948462471571026265629/1847907341280*ep^2*z4+27522911835\
         4750926720075735867052399/107544770154841219200*ep^2*z3-
         40263390595717996893548826579582247110198363243621593835591231\
         72074922181844872705564308120559012188847249545601115003/
         41886536746010417594318726413412774333555044809060348186076804\
         369984501947749873221632000000000000000*ep^3-
         256712132819806008140/11907*ep^3*z6-
         23208993679571792509875390281/923953670640*ep^3*z5+27522911835\
         4750926720075735867052399/71696513436560812800*ep^3*z4+
         389166300099267805028537828197614555564712027/
         75106867076871251433267456000*ep^3*z3-37449208621533221488/
         11907*ep^3*z3^2;
Fill mncnoptab(11,10,2,1)=
      +mncF321*(6206323552000+3493080538425920/63*ep+754748806874424988/
         3969*ep^2+7162883877447320236/19845*ep^3)
      -5061592491272728155393768041837776905936443/
      165235107569116753153188403200-406806997504988/130977*ep^-3-
         1140757420760822265836893/30490471131120*ep^-2-
         89429677314577364549073108572719/591496235851626705600*ep^-1-
         10688204174055161200/130977*z3+5499033523940328957731735213622\
         8754715881460739816727614292269102090477258452309/
         19851086321179226338434611319768405962009806582579200000000000\
         0000*ep-5344102087027580600/43659*ep*z4-
         21598473529521104138172406537/15245235565560*ep*z3-
         31819237170014159814296014686568195145561728952941158996111535\
         1156039490463671976146040001/277271112209297659088617173704031\
         949860931537167807802245120000000000000000*ep^2-
         345842682196764654080/43659*ep^2*z5-
         21598473529521104138172406537/10163490377040*ep^2*z4+684564827\
         769157790220299981732506357/295748117925813352800*ep^2*z3-
         37125904187529954426390182100708402501959740910609007358309904\
         5838650258097349692488638653043115057699122047767566102557597/
         14375459411230775318370186905083264151276091378469511497461559\
         259778681068467756489664102400000000000000000*ep^3-
         2567099606040597002600/130977*ep^3*z6-
         116388426533104420346813547493/5081745188520*ep^3*z5+684564827\
         769157790220299981732506357/197165411950542235200*ep^3*z4+
         1954849245051492975997367496594276127602682133/
         413087768922791882882971008000*ep^3*z3-374498419820415999040/
         130977*ep^3*z3^2;
Fill mncnoptab(11,11,1,1)=
      +mncF321*(34134779536+106132810668742/315*ep+131929525513461232/
         99225*ep^2+2924705374905116519/992250*ep^3)
      -465629114938129045359226749141640730658331/
      2731158802795318233936998400000-25744475065601/238140*ep^-3-
         3876694638587220623419/4031797835520*ep^-2-1391398953158363878\
         46473447675141/43017908061936487680000*ep^-1-26755737468765871/
         59535*z3+309656160651591058725718383036068390787137632794261913
       /223799294213178565267891203160670208000000*ep-26755737468765871/
         39690*ep*z4-4556756248089341073211894973/554372202384000*ep*z3
         -8361617027405183688828124254291733710549883528986747231818201/
         1736627020869300798194649299508416967868416000000*ep^2-
         864544381197008474/19845*ep^2*z5-4556756248089341073211894973/
         369581468256000*ep^2*z4+117024044336356009964306554354029871/
         21508954030968243840000*ep^2*z3-625971921528207753788887302110\
         88662511331775427608282833579454497729938958255877502424099269\
         360811113334121/2192935027565679825606122169002370689993109058\
         244875875439995275646573465305088000000000000000*ep^3-
         2566877406122259551/23814*ep^3*z6-
         30817609927525276646501116937/184790734128000*ep^3*z5+11702404\
         4336356009964306554354029871/14339302687312162560000*ep^3*z4+
         577294060046964665594994499600068798020381851/
         15021373415374250286653491200000*ep^3*z3-934622953677147814/
         59535*ep^3*z3^2;
Fill mncnoptab(12,1,1,10)=
      +mncF321*(4738245926336000+25995033473074606720/693*ep+
         4606591075404051815951/43659*ep^2+5725608369818985593837831/
         36673560*ep^3)
      -105932147629174578244171568766542506398377233483/
      4543965458150710711712681088000-722009991440104/1440747*ep^-3-
         160751164175161872519079/55899197073720*ep^-2+
         4286797387607067951394070653279/867527812582385834880*ep^-1-
         12833514303227475302912/205821*z3+2438433367991803779197984327\
         8468575080528778084742410186322649219353230967/104005653450775\
         172288323390354677481320543682560000000000*ep-
         6416757151613737651456/68607*ep*z4-
         338995052782480797551314991513/332733315915*ep*z3-
         32245615064088638934381890514344067191481800302100987122717244\
         3754568509793489668421/290540907855345436097278321782536146211\
         538533459637043200000000000*ep^2-968217677813583269675872/
         160083*ep^2*z5-338995052782480797551314991513/221822210610*
         ep^2*z4+16869031812712394256836940241287100937/
         5980200913941078825*ep^2*z3+1327507004810259418563233655919044\
         03876874816846462206497137156528305282925448078821640010344146\
         5954959543/389120722459132721497792138333791385985892790703987\
         653902526537499934720000000000000000*ep^3-
         21560311250499142749906160/1440747*ep^3*z6-1584799938444870383\
         22907561533367/13974799268430*ep^3*z5+168690318127123942568369\
         40241287100937/3986800609294052550*ep^3*z4+6073610354464008511\
         32763188453890457586627013717/567995682268838838964085136000*
         ep^3*z3-3144212644931928762723488/1440747*ep^3*z3^2;
Fill mncnoptab(12,2,1,9)=
      +mncF321*(31983160002768000+19431936795206250900/77*ep+
         760906800167292246375/1078*ep^2+1690534146201673022406445/
         1629936*ep^3)
      -2118645998194998133693785758737023635830299203/
      13463601357483587293963499520+15326965342775/106722*ep^-3+
         2654002166379616157069/1656272505888*ep^-2+
         132865216023703964441649583381/64261319450547098880*ep^-1-
         3208379866096982929180/7623*z3+8149512694108206279073621871113\
         29862150845685484546650207719084465507277381/51360816518901319\
         6485547606689765339854536704000000000000*ep-
         1604189933048491464590/2541*ep*z4-
         50767962794680952101263121861/7394073687*ep*z3-
         10807543527481597527314465007608486898105682473699774235233261\
         626032848622221865372663/1434769915335039190603843564358203191\
         168091523257466880000000000000*ep^2-242054431914254598505530/
         5929*ep^2*z5-50767962794680952101263121861/4929382458*ep^2*z4+
         9080138446794659990562080147657239771/472509701842258080*ep^2*
         z3+42845883844924985789020202278534831390895457850402245933056\
         697320851835382370292722286585904579198754528648483/
         17966808666631560227182007374918268933175790583122392908585793\
         21295994880000000000000000000*ep^3-5390078070414031265113775/
         53361*ep^3*z6-10418123624839300860041264914099/138022708824*
         ep^3*z5+9080138446794659990562080147657239771/
         315006467894838720*ep^3*z4+11219740959367186173546829239852126\
         1802653915513/16829501696854484117454374400*ep^3*z3-
         786053043063750586168630/53361*ep^3*z3^2;
Fill mncnoptab(12,2,2,8)=
      +mncF321*(191898960016608000+116389188160624072200/77*ep+
         2272017983581754658895/539*ep^2+5029892243903516134103965/
         814968*ep^3)
      -31779667187616257114843908494061259936823450527/
      33659003393708968234908748800-483221814005075/17787*ep^-3-
         612997418720412273583513/2484408758832*ep^-2-16541751767003272\
         3131065533744627/289175937527461944960*ep^-1-
         6416757580820260694600/2541*z3+4338245018706211338988118244865\
         69890445991794437165132754311914943278178474971/45502473384714\
         137876141483280171398077737861120000000000000*ep-
         3208378790410130347300/847*ep*z4-
         913055751940351474752343454006/22182221061*ep*z3-
         57624366400098396651544758267785982144968895520306605422833429\
         63948242325377474883632857/12711164718671362829255926577985956\
         3967548108388591206400000000000000*ep^2-
         4356979622207628349863100/17787*ep^2*z5-
         456527875970175737376171727003/7394073687*ep^2*z4+246338966879\
         861373671677712710459364731/2126293658290161360*ep^2*z3+
         16236133195769282417407888321369858897500638686064488536473064\
         430250535694842685477614142697324808761832372754019/
         14007373206722630142116772499670655417027175733366795571356199\
         0336539000832000000000000000000*ep^3-
         10780155797854716312502250/17787*ep^3*z6-
         31022775521249184077013011691059/69011354412*ep^3*z5+246338966\
         879861373671677712710459364731/1417529105526774240*ep^3*z4+
         321714318865320691583317454345491637214539351177/
         8414750848427242058727187200*ep^3*z3-524035426782324826821740/
         5929*ep^3*z3^2;
Fill mncnoptab(12,3,1,8)=
      +mncF321*(78727778468352000+47841034830884287200/77*ep+
         937136093530918284840/539*ep^2+260567124934488546492860/101871
         *ep^3)
      -171550106707962535555579235072571181109312041/
      442881623601433792564588800-426637312920340/53361*ep^-3-
         632796551038186881509/10896529644*ep^-2-
         1802213982809326519581421411/46974648721160160*ep^-1-
         7897548169214456707040/7623*z3+6547090794951720940339541682719\
         4334236343044409433392736255326018807396820813/167640691417367\
         87638578441208484199291798159360000000000000*ep-
         3948774084607228353520/2541*ep*z4-6577795445085888093584358595/
         389161773*ep*z3-1240316074917316177388437102892650097069564080\
         72790845951533877052688176561530185005123/66900866940375593838\
         18908725255766524607795178346905600000000000000*ep^2-
         595826276552771056241040/5929*ep^2*z5-
         6577795445085888093584358595/259441182*ep^2*z4+587840737305450\
         550789641772238608211/12434465837954160*ep^2*z3+
         17493728631643310126601192157579462717317973344027897899136729\
         845949667324801222458124102782376188295907360770073/
         52925586264037210480157123365232874160926544674368858266772002\
         0305672929280000000000000000000*ep^3-
         13267884129476095773050200/53361*ep^3*z6-
         168843614980339911531324017780/908044137*ep^3*z5+5878407373054\
         50550789641772238608211/8289643891969440*ep^3*z4+3634660949431\
         669047362463817868252674300159721/221440811800716896282294400*
         ep^3*z3-1934900016094959880674800/53361*ep^3*z3^2;
Fill mncnoptab(12,3,2,7)=
      +mncF321*(413320836958848000+35864582350838685600/11*ep+
         702027204807755957560/77*ep^2+195053862390147959993120/14553*
         ep^3)
      -32165784125928612398239235354424147790056719/
      15817200842908349734449600-625818966781100/2541*ep^-3-
         13954044552827717606269/4669941276*ep^-2-
         3295191048067876731961345710143/271781896172426640*ep^-1-
         1974385688655167367200/363*z3+83524137082499453522425660959107\
         7923793241674894065169779961493739640386209/407290309566005530\
         57770751235384352020889600000000000000*ep-
         987192844327583683600/121*ep*z4-14796799704834633041086349372/
         166783617*ep*z3-3724084616126205588197804122763826896656590938\
         840817452296052428018596381449040860206189/3822906682307176790\
         7536621287175808712044543876268032000000000000000*ep^2-
         1340609014878457092684400/2541*ep^2*z5-
         7398399852417316520543174686/55594539*ep^2*z4+9931978854155912\
         12785057803044506423/3996792590770980*ep^2*z3+
         31580588464029957335499378822870241292107522334719237137799591\
         3556379321182357283617412959302933993916787063193303/
         11380139942487967734508864732482670484581845396593431581782101\
         45008227450880000000000000000000*ep^3-
         3316970787644677302785000/2541*ep^3*z6-
         126388867900092154106791978427/129720591*ep^3*z5+9931978854155\
         91212785057803044506423/2664528393847320*ep^3*z4+1345976865960\
         633557030102533423742312277921341/15817200842908349734449600*
         ep^3*z3-161241697661549109065520/847*ep^3*z3^2;
Fill mncnoptab(12,3,3,6)=
      +mncF321*(763053852847104000+66379849400784139200/11*ep+
         118666407701066809440/7*ep^2+121663316197280431996964/4851*
         ep^3)
      -142560705911703094443730517138789737235041/
      37972966012522353933120-50098205600008840/11011*ep^-3-
         500814615100853055024719/10118206098*ep^-2-
         5072449746678953891777823374383/30992672370539880*ep^-1-
         15794941207370127956160/1573*z3+490126771543941975055470369605\
         931074816828671107189426480041508154496868779/1296868400775850\
         8219590511838180408924569600000000000000*ep-
         23692411811055191934240/1573*ep*z4-
         118519215053280932130523925300/722729007*ep*z3-
         34139900201848119614196107400083751162356477309585012249112340\
         1280614240457660880301/190674514736662925698074783317073040130\
         3623630848000000000000000*ep^2-10724861440506643819707040/
         11011*ep^2*z5-59259607526640466065261962650/240909669*ep^2*z4+
         415199703840114179677689341133779227/911549187368820*ep^2*z3+
         22728003788367759668552155324541848478808205180496518944881120\
         17643907925999581230378811048308064882059964633009615673/
         46004215717507609566752085681061195433922110015728947169354145\
         11195759470182400000000000000000000*ep^3-
         26535742130137632310034800/11011*ep^3*z6-
         1022084182095697373067407538470/562122561*ep^3*z5+415199703840\
         114179677689341133779227/607699458245880*ep^3*z4+7895386903562\
         918526824121652888821186814073/47466207515652942416400*ep^3*z3
         -3869811999656760710612320/11011*ep^3*z3^2;
Fill mncnoptab(12,4,1,7)=
      +mncF321*(91849074879744000+8004962578185986400/11*ep+
         14357147473907359320/7*ep^2+19006629711496980641140/6237*ep^3)
      -85775616035716201820193975655204986430056029/
      189806410114900196813395200+156624591253540/22869*ep^-3+
         11232200644620399181/4669941276*ep^-2-
         98295431829956519168386421743/181187930781617760*ep^-1-
         27641431288934328035680/22869*z3+65260699293443904412628442310\
         2730516352645662488784330698393494922162556860713/
         143692021214886751187815210358435993929698508800000000000000*
         ep-13820715644467164017840/7623*ep*z4-
         23066222562568654635709210453/1167485319*ep*z3-
         17250548031451682882866784281176757371249467566131652736502329\
         641423299891853338597498781/8028104032845071260582690470306919\
         82952935421401628672000000000000000*ep^2-
         99304383860586345131280/847*ep^2*z5-
         23066222562568654635709210453/778323546*ep^2*z4+29064719939036\
         1647834429922168146651/5329056787694640*ep^2*z3+
         71165382060872656528841708760188293430167844024416056944271048\
         477236472808763221399152396767467894991637445877682113/
         72583661162108174372786912043747941706413546981991577051573031\
         3562065731584000000000000000000000*ep^3-
         6633942332367242476272200/22869*ep^3*z6-
         85842385257488452360116960722/389161773*ep^3*z5+29064719939036\
         1647834429922168146651/3552704525129760*ep^3*z4+19799434089107\
         95976468146425088047967269547297/94903205057450098406697600*
         ep^3*z3-967449832686170061152080/22869*ep^3*z3^2;
Fill mncnoptab(12,4,2,6)=
      +mncF321*(413320836958848000+36043718749008328800/11*ep+
         711876885036675590440/77*ep^2+866748734122060056656/63*ep^3)
      -4288763206666997333190250169663222294400233/
      2108960112387779964593280-4205058904600580/2541*ep^-3-
         28977660034940090846497/1556647092*ep^-2-
         2991144882104419658297691419789/45296982695404440*ep^-1-
         13820618417462459101600/2541*z3+167767813888954377196775906248\
         88468192251307140740698483555078499406374756398759/
         821097264085067149644658344905348536741134336000000000000000*
         ep-6910309208731229550800/847*ep*z4-
         34609128063840374988686666486/389161773*ep*z3-
         15508262690874661633547036048745481956568198540012597209946934\
         5660059150340263329924048921/160562080656901425211653809406138\
         3965905870842803257344000000000000000*ep^2-
         446869386220226582668400/847*ep^2*z5-
         17304564031920187494343333243/129720591*ep^2*z4+65284015537015\
         0613790066953879824699/2664528393847320*ep^2*z3+
         72950943818343563236557248015589336336412557963951841326087355\
         152386384406920879533260837610126052791436394291225223/
         33136289832538494285775812015170128763929491007727933135189060\
         1046513287168000000000000000000000*ep^3-
         3316968850608043222259000/2541*ep^3*z6-
         1103290153411393622750371407/1108723*ep^3*z5+65284015537015061\
         3790066953879824699/1776352262564880*ep^3*z4+25044890762556323\
         6444530571060075838678083857/2636200140484724955741600*ep^3*z3
         -483726009663739008771760/2541*ep^3*z3^2;
Fill mncnoptab(12,4,3,5)=
      +mncF321*(635878210705920000+55641739655960856000/11*ep+
         1105653563978220232400/77*ep^2+14930102239360007362430/693*
         ep^3)
      -237579683933036378654154770171846385669709/
      75945932025044707866240-578640771397661800/33033*ep^-3-
         1892559779317075848127705/10118206098*ep^-2-
         3666611319210821844165767543297/6198534474107976*ep^-1-
         276401580261008068587200/33033*z3+6148000512712668689090292915\
         626790875615559547600383603595980807915290403329/1960865021973\
         08644280208538993287782939492352000000000000*ep-
         138200790130504034293600/11011*ep*z4-
         693314146847394749644972250110/5059103049*ep*z3-
         17039459743890559047715296060886718490030239798994786196105543\
         605736099703705808353819/1153199465127337374621956289501657746\
         70843157193687040000000000000*ep^2-8937349364600217842264800/
         11011*ep^2*z5-346657073423697374822486125055/1686367683*ep^2*
         z4+136094664732419400725360656040152729/364619674947528*ep^2*
         z3+79457005905535514774685397529345719184830775612901777011157\
         464449717948315610213246037769671795123226456099514721455623/
         27823349665948602265971661419905810998436092137512867248025386\
         9637119532756631552000000000000000000*ep^3-
         66339116283849113645518000/33033*ep^3*z6-
         872930467227896331780348370580/562122561*ep^3*z5+1360946647324\
         19400725360656040152729/243079783298352*ep^3*z4+59466080548669\
         77754976235208780943312334113/37972966012522353933120*ep^3*z3-
         9674638128206266024143200/33033*ep^3*z3^2;
Fill mncnoptab(12,4,4,4)=
      +mncF321*(423918807137280000+37339460605116840000/11*ep+
         204716806380576010400/21*ep^2+30881296632331505102440/2079*
         ep^3)
      -118740062840140105774955198963609998081949/
      56959449018783530899680-4198334881340231000/99099*ep^-3-
         13386150097354607380406855/30354618294*ep^-2-
         24469521692456990429134716872875/18595603422323928*ep^-1-
         552735952003155198404800/99099*z3+6164943238244420807249118114\
         069419123472989010234942132943163352641117127641921/
         296482791322330670151675310957851127804512436224000000000000*
         ep-276367976001577599202400/33033*ep*z4-
         198710025131763656863814002400/2168187021*ep*z3-
         21221840175890233977470971395552616292453371334378102457856465\
         27897046484055790027995639/21795469890906676380354973871581331\
         412789356709606850560000000000000*ep^2-
         2553494402073303367637600/4719*ep^2*z5-
         99355012565881828431907001200/722729007*ep^2*z4+66745716165376\
         317206882874902343587/273464756210646*ep^2*z3+
         75179755213012385697916101684491408196589026382739970157883023\
         757918383741776250668729024451685947935254010586143341473991/
         35548224467202572199096033496528460364041888758571939710767155\
         4003169399831182736097280000000000000000*ep^3-
         132676616228840538804962000/99099*ep^3*z6-
         199297074640027116332320167450/187374187*ep^3*z5+6674571616537\
         6317206882874902343587/182309837473764*ep^3*z4+134165594434788\
         6154882122649208458616773675/11391889803756706179936*ep^3*z3-
         19350017992785610279674400/99099*ep^3*z3^2;
Fill mncnoptab(12,5,1,6)=
      +mncF321*(55109444927846400+4842616870174571280/11*ep+
         96942002991410337428/77*ep^2+19828638334689318590716/10395*
         ep^3)
      -10091365242432319114912045520575052695161239/
      37216943159784352316352000-132241400993158/7623*ep^-3-
         20325606111914305211/70436520*ep^-2-
         794498173018066774693400673/438605496929600*ep^-1-
         5528280737231911064816/7623*z3+2816813957885977728554401275861\
         49294990760799201311894684809930073147880494333/10403042259901\
         3032534164858178053208274894848000000000000000*ep-
         2764140368615955532408/2541*ep*z4-2724526953060365460189269107/
         228918690*ep*z3-9605760952348406236643970926853169480904309236\
         95720156067739666104005295360989272181769/75558626191483023629\
         013557367594539572040980837800345600000000000000*ep^2-
         59582624555430207467128/847*ep^2*z5-
         2724526953060365460189269107/152612460*ep^2*z4+567567035159933\
         109123937912248119413/17763522625648800*ep^2*z3-
         99078493664245929019194647058371836834400285998680620265807778\
         8680366543965880199470610616772465867925690880764549329/
         29033464464843269749114764817499176682565418792796630820629212\
         542482629263360000000000000000000000*ep^3-
         1326788350654099890348340/7623*ep^3*z6-
         5225047641519681584658965764/38153115*ep^3*z5+5675670351599331\
         09123937912248119413/11842348417099200*ep^3*z4+273459772011762\
         600546438425030868137537959303/18608471579892176158176000*ep^3
         *z3-193490042568643456494536/7623*ep^3*z3^2;
Fill mncnoptab(12,5,2,5)=
      +mncF321*(206660418479424000+18185738429788909200/11*ep+
         364966791536938877740/77*ep^2+1664462539590065276531/231*ep^3)
      -14015527973582403815715242526766797766609/
      13784053022142352709760-2841868640991410/847*ep^-3-
         3472650678889033453673/91567476*ep^-2-
         5746087424467572304761245462143/42632454301557120*ep^-1-
         2303390287555010144880/847*z3+19750761448556446468263784586552\
         230631231636877262632952804033324713972836530459/
         1947449511053523969039566145093156058906031554560000000000000*
         ep-3455085431332515217320/847*ep*z4-
         4089557157922925213172453451/91567476*ep*z3-
         18481302655729031346127505624719388409810834334279011133670701\
         344244868787341259403057601/3885872204133412643777840093190576\
         32084782187165830348800000000000000*ep^2-
         223434199024721951122760/847*ep^2*z5-
         4089557157922925213172453451/61044984*ep^2*z4+5086635393564438\
         97783579269664581673/4263245430155712*ep^2*z3+
         46393279014918114369186340572056312073042763372894187226020632\
         08447507296562140311079621069619266690057182739864004535249/
         12242273853017384997027531024758556839311880540505661589131170\
         2640332594412917882880000000000000000000*ep^3-
         552827021842917352444700/847*ep^3*z6-
         15766706753835654122128254869/30522492*ep^3*z5+508663539356443\
         897783579269664581673/2842163620103808*ep^3*z4+129838428880185\
         7006664168127293388535497017/22973421703570587849600*ep^3*z3-
         80621500984370888411960/847*ep^3*z3^2;
Fill mncnoptab(12,5,3,4)=
      +mncF321*(254351284282368000+22474804181969498400/11*ep+
         454310134705135539280/77*ep^2+697276931254617014074/77*ep^3)
      -1862796430479868725688529252144613243169/1489135922059700154240-
         252960598685144060/11011*ep^-3-287882986401071728127393/
         1190377188*ep^-2-2701421530851022109932159568909/
         3646196749475280*ep^-1-36849652914847819862880/11011*z3+
         28939172663394768385753507493426071857491891184817059092100462\
         3924478836220223/232535522605749545217000243888510688474127400\
         96000000000000*ep-55274479372271729794320/11011*ep*z4-
         16389826055568970134245752834/297594297*ep*z3-
         99318641087164353812066153336008136785059254405041026868989735\
         293271800221978377704557/1709448618894641284733723440908339718\
         650145624282890240000000000000*ep^2-3574898443308083517859760/
         11011*ep^2*z5-8194913027784485067122876417/99198099*ep^2*z4+
         52889761065300197561234190421069769/364619674947528*ep^2*z3+
         44182902438065118453399472367313755040443046253359934093263863\
         59433671831198947506785482468650180557846049568539912796382901/
         22058129028366724287644205400409967713072146357883101051296542\
         581735126861319544137318400000000000000000*ep^3-
         8845121975983089244992200/11011*ep^3*z6-
         64125423392291846467037895071/99198099*ep^3*z5+528897610653001\
         97561234190421069769/243079783298352*ep^3*z4+17343545531555938\
         467317058257680556856109/232677487821828149100*ep^3*z3-
         1289994739403748991457360/11011*ep^3*z3^2;
Fill mncnoptab(12,5,4,3)=
      +mncF321*(127175642141184000+11318016952582591200/11*ep+
         694937736286830862720/231*ep^2+9757646282379519746414/2079*
         ep^3)
      -2792352714764981001244359159102676965641/4467407766179100462720-
         2738492950471487620/99099*ep^-3-1033301969511503070369317/
         3571131564*ep^-2-9573760631800573262218401862601/
         10938590248425840*ep^-1-165788445721157778476960/99099*z3+
         31694313272732965939522896883087444657674327321016214660681928\
         680593030513409459/5115781497326489994774005365547235146430802\
         821120000000000000*ep-82894222860578889238480/33033*ep*z4-
         3523935144607207131732064738/127540413*ep*z3-
         10787761159106648709129933468813391277482381332023512540861755\
         507882152156524557283267717/3760786961568210826414191569998347\
         38103032037342235852800000000000000*ep^2-
         255343968801970664305840/1573*ep^2*z5-
         1761967572303603565866032369/42513471*ep^2*z4+7761866567350306\
         6186939465492935863/1093859024842584*ep^2*z3+
         70923860917153894716811683228446558324821475384518638703965767\
         71248655268538518176880972105917896778602417243153613524403178\
         81/96484851444079389295836653739675599949649694304246317304377\
         11213987200196516007659123507200000000000000000*ep^3-
         39802203972007485181977400/99099*ep^3*z6-
         32986787639757162836116905293/99198099*ep^3*z5+776186656735030\
         66186939465492935863/729239349895056*ep^3*z4+11603314637740523\
         7799177564442679726634589/2792129853861937789200*ep^3*z3-
         5805359552885970299679920/99099*ep^3*z3^2;
Fill mncnoptab(12,5,5,2)=
      +mncF321*(25435128428236800+2288063171653589520/11*ep+
         47702423969569931792/77*ep^2+3430490543718521490817/3465*ep^3)
      -15757223406011676922427742750101377708727/
      125994859655519942737650-212550767714155498/33033*ep^-3-
         277739939404916982761507/3967923960*ep^-2-
         2658668038959970656232620381103/11546289706671720*ep^-1-
         11051873770859538107024/33033*z3+71090670779779426813348840256\
         1426428930539252520841273584205374896166457970129978663/
         57897089728767951542355589623776001684458646307602432000000000\
         0000*ep-5525936885429769053512/11011*ep*z4-
         78720462354506846834253710/14171157*ep*z3-
         90994684551614690804050128195639197094383624582082797123385497\
         2756376785172469976668149819191/161736140814115165026010873665\
         939027584273285856975811290071040000000000000*ep^2-
         51068449774300546760488/1573*ep^2*z5-
         39360231177253423417126855/4723719*ep^2*z4+3958004754809385710\
         5384589209012853/2886572426667930*ep^2*z3+
         45106264268893812004902486996151111433309886318195648243521475\
         03236896403775516095065342385368657129500234317034260054518115\
         75171/35183201079083549306726835786172707521639761028043419605\
         041113941804325516595621928993869004800000000000000000*ep^3-
         2653463928723629859658060/33033*ep^3*z6-
         13757265720137796241904840273/198396198*ep^3*z5+39580047548093\
         857105384589209012853/1924381617778620*ep^3*z4+386515710402007\
         335473997416915081811854297887/40318355089766381676048000*ep^3
         *z3-387031789173978193195448/33033*ep^3*z3^2;
Fill mncnoptab(12,6,1,5)=
      +mncF321*(17221701539952000+1533782434656897360/11*ep+
         31429740280132384264/77*ep^2+6628655585665578332864/10395*ep^3
         )
      -1009228634190046514415717708534035576716637/
      11909421811130992741232640+89593662480646/7623*ep^-3-
         562725678883643712487/3662699040*ep^-2-
         121575770175129411185379748337/47369393668396800*ep^-1-
         1727592368459878716568/7623*z3+2716194947416320255935871537351\
         649602178969386755685541979992038709625579323/3245749185089206\
         615065943575155260098176719257600000000000*ep-
         863796184229939358284/2541*ep*z4-105479283163760280855468371/
         28174608*ep*z3-70378282686175966157583393032781051857247634980\
         25062529344866505912915244269291954221/18134070285955925670963\
         25376822268949728983540107208294400000000000*ep^2-
         18619574947790558042864/847*ep^2*z5-
         105479283163760280855468371/18783072*ep^2*z4+13620447793930176\
         1223479614510865429/14210818100519040*ep^2*z3+
         85337712536849537093590128435895610001572683410277674927466092\
         1899219477693709631576823550208645580684198550486150381/
         22006039151730773678041296040079362811664363557987809536453868\
         807349845489908449280000000000000000*ep^3-
         414621455404137859173020/7623*ep^3*z6-
         5514983259269997088778894155/122089968*ep^3*z5+136204477939301\
         761223479614510865429/9473878733679360*ep^3*z4+652297661475642\
         96577077842482614966825875419/11451367126087493020416000*ep^3*
         z3-60465573237788624729776/7623*ep^3*z3^2;
Fill mncnoptab(12,6,2,4)=
      +mncF321*(51665104619856000+4610877438423250800/11*ep+
         8620146081923882600/7*ep^2+148823278614552984942/77*ep^3)
      -1681732969390899701168052606867087703614043/
      6616345450628329300684800-2563197144679910/847*ep^-3-
         24505657502724191159473/732539808*ep^-2-
         9717647154949890575838931107047/85264908603114240*ep^-1-
         575806089722984667240/847*z3+307684946309903392982326736838696\
         5016572865253916129434375804159751679680542579/122689319196372\
         0100494926671408688317110799879372800000000000*ep-
         863709134584477000860/847*ep*z4-4117598863654746024706527637/
         366269904*ep*z3-1987458523022502065261754225778283201976181724\
         2906903715031939815199144665626825614756827/171366964202283497\
         5906027481097044157493889445401311838208000000000000*ep^2-
         55858111161891184123280/847*ep^2*z5-
         4117598863654746024706527637/244179936*ep^2*z4+493104298105621\
         0875574746665039059/172601029560960*ep^2*z3+
         69780922500983502348891566962359437152345794181208365843757997\
         03148955388458304517216332989325250203058959328252534549355404\
         863601/1155447369676806272347752895837087420029483668711211561\
         70349108500632057463375421349509770248192000000000000000*ep^3-
         138205762680420498640100/847*ep^3*z6-
         16679019286040281948184310833/122089968*ep^3*z5+49310429810562\
         10875574746665039059/115067353040640*ep^3*z4+30629216339399284\
         48481032755524926020944171/174114353963903402649600*ep^3*z3-
         20155837326326947165520/847*ep^3*z3^2;
Fill mncnoptab(12,6,3,3)=
      +mncF321*(47690865802944000+4276021068601862400/11*ep+
         8058278543622713720/7*ep^2+115022369787559309276/63*ep^3)
      -13964874501155309359359631979054445706967/
      59565436882388006169600-328900900284434440/33033*ep^-3-
         251679094081235676091711/2380754376*ep^-2-
         2408819744433347392160497628281/7292393498950560*ep^-1-
         20723864016685264599200/33033*z3+43745117709566166861349597583\
         4679977613563654258199459525983597776250201171619/
         189473388789869999806444643168416116534474178560000000000000*
         ep-10361932008342632299600/11011*ep*z4-
         12379084794302002408020578587/1190377188*ep*z3-
         14785685264609547614978725912030552216113719415243233942067606\
         9237381591090304061580877/139288405984007808385710798888827680\
         77890075457119846400000000000000*ep^2-670278995095059728592000/
         11011*ep^2*z5-12379084794302002408020578587/793584792*ep^2*z4+
         94751053735415902286034276670336823/3646196749475280*ep^2*z3-
         22854156251869699936823062201186075029099267831819962940736154\
         52149291078063637173870919494964549052169195183691287354826103\
         83679013/15964152064133651878814363681613864837122334746444758\
         775226978275932738374166845655053040720281600000000000000000*
         ep^3-4975282803171234802942000/33033*ep^3*z6-
         5660338867447959057999748807/44088044*ep^3*z5+9475105373541590\
         2286034276670336823/2430797832983520*ep^3*z4+51423325076614414\
         4336117397817340340021541/29782718441194003084800*ep^3*z3-
         725666446668772965155840/33033*ep^3*z3^2;
Fill mncnoptab(12,6,4,2)=
      +mncF321*(15896955267648000+1436157118814649600/11*ep+
         90474520636153616360/231*ep^2+1313285942114929675924/2079*ep^3
         )
      -5042160336205933335447943590803846378705983/
      64509368143626210681676800-427747119708432200/99099*ep^-3-
         335251098810110126687375/7142263128*ep^-2-
         64206425750158465125142921595351/415666429440181920*ep^-1-
         20721600804338820956320/99099*z3+13021864734029534089633529023\
         2119506175332446948098873282586371417072707163841308881/
         17028555802578809277163408712875294613076072443412480000000000\
         0000*ep-10360800402169410478160/33033*ep*z4-
         253558216690268307345209051/72880236*ep*z3-
         14106694039453123595361769451823422802728543238154810581671345\
         351082796352347050152491820121301/4043403520352879125650271841\
         648475689606832146424395282251776000000000000000*ep^2-
         31917670398346739703680/1573*ep^2*z5-
         253558216690268307345209051/48586824*ep^2*z4+17561148686583330\
         76061259262143934417/207833214720090960*ep^2*z3+
         49478800240792528606630036492486340930030423707332563525709644\
         80000054807026631510767505349468112841897401932518521173608196\
         38117/17591600539541774653363417893086353760819880514021709802\
         5205569709021627582978109644969345024000000000000000000*ep^3-
         4975229085728764450938800/99099*ep^3*z6-
         17477967286670386639949142277/396792396*ep^3*z5+17561148686583\
         33076061259262143934417/138555476480060640*ep^3*z4+20347102282\
         8941275855036035102797079558676829/32254684071813105340838400*
         ep^3*z3-725692050765523435290880/99099*ep^3*z3^2;
Fill mncnoptab(12,6,5,1)=
      +mncF321*(1589695526764800+145209230807343840/11*ep+
         282420251205268224/7*ep^2+230953551584625958058/3465*ep^3)
      -5054699162633612308070185613725224758632969/
      645093681436262106816768000-656513204774216/33033*ep^-3-
         16333340315822581593319/23807543760*ep^-2-
         3882048594496543373794909635599/692777382400303200*ep^-1-
         691025653643153650480/33033*z3+1404679002764423311975759663287\
         4822065721773388316619001729553706712222695670422217/
         18567579796397885334283133698587055933791402605936640000000000\
         0000*ep-345512826821576825240/11011*ep*z4-
         595030141454072074317399457/1700538840*ep*z3-
         56447065484857958257816351998538164285288523480456127848963687\
         526342291874200543501522777857/1650368783817501683938886465978\
         96966922727842711199807438848000000000000000*ep^2-
         3191920731705572842960/1573*ep^2*z5-
         595030141454072074317399457/1133692560*ep^2*z4+281672269670196\
         291785282017458906157/346388691200151600*ep^2*z3+
         10706275288592228929726913483501558461641565414770782938374452\
         78024780255601496880537718150134347443784558716230737050006437\
         21033/14668215027139788778023141450211945118351270632682825083\
         1512515850671094719334517080061902848000000000000000000*ep^3-
         165848274280434690129200/33033*ep^3*z6-
         18215463056274995065088444851/3967923960*ep^3*z5+2816722696701\
         96291785282017458906157/230925794133434400*ep^3*z4+45834289746\
         701605446526630770285750872803519/64509368143626210681676800*
         ep^3*z3-24186322021278842030512/33033*ep^3*z3^2;
Fill mncnoptab(12,7,1,4)=
      +mncF321*(2701443378816000+245538249566251200/11*ep+
         1420395756145681880/21*ep^2+688840830459815055448/6237*ep^3)
      -48531596249030728164073047482269033439507/
      3650123271440388400257600-265516273366880/22869*ep^-3-
         1205406905585544202859/4669941276*ep^-2-
         73512017904681022896406131103/40263984618137280*ep^-1-
         812975219010999494080/22869*z3+8077625962776146714541942101096\
         7344799848769963404027120802596463973819613407829/
         625715527901497251252412602418431041726507938480128000000000000
         *ep-406487609505499747040/7623*ep*z4-
         1385029531988347999004482703/2334970638*ep*z3-
         51284394700836245864045328244066160585907183763702664388977306\
         5095400483677232428156267589/873971517431645837712074015359492\
         520321883617154669037486080000000000000*ep^2-
         8762142849442151551040/2541*ep^2*z5-
         1385029531988347999004482703/1556647092*ep^2*z4+25477952574281\
         1195160950172498314869/181187930781617760*ep^2*z3-
         22260144555916052614796336221347787898037916610663412299705025\
         95102464330783195305843980883350285972642071979545285115042881/
         18715875900128956271984373772560095114825635876799678012395604\
         9300017127920389390046593024000000000000000*ep^3-
         195115776064920911163200/22869*ep^3*z6-
         5961555096615980567717020627/778323546*ep^3*z5+254779525742811\
         195160950172498314869/120791953854411840*ep^3*z4+2728969000063\
         7044885129887698188092587221633/23725801264362524601674400*
         ep^3*z3-28454512319849439152320/22869*ep^3*z3^2;
Fill mncnoptab(12,7,2,3)=
      +mncF321*(6078247602336000+553863266945882400/11*ep+
         35394424070907136280/231*ep^2+74713962971559701440/297*ep^3)
      -5044743578974606456910167307737271459840797/
      168716808991022397167462400-7737038054022140/7623*ep^-3-
         210755987837817024284387/18679765104*ep^-2-
         1301723828211770873101840238555/33450079528914048*ep^-1-
         609568908331459841680/7623*z3+13308085509043123812783406757387\
         102050346940662687114774060575684545776122003546717/
         45885805379443131758510257510684943059943915488542720000000000\
         000*ep-304784454165729920840/2541*ep*z4-
         12478766396352595579668613583/9339882552*ep*z3-
         84163770428758984320388680599688665616062272195963033656675013\
         767694115845001962567179581249/6409124461165402809888542779302\
         9451490271465258009062748979200000000000000*ep^2-
         6571413740831776171040/847*ep^2*z5-
         12478766396352595579668613583/6226588368*ep^2*z4+6820295827854\
         29669431004811006181261/217425516937941312*ep^2*z3-
         32801626376698352622089948171927757636161099465826511707066793\
         95274105261243685903184058124132438603578184005409345219083996\
         324204837/2541984213288973799165056370841592324064864071164665\
         43574768038701390526419425926968921494546022400000000000000000
         *ep^3-146332886897886314244200/7623*ep^3*z6-
         18050951982588728595899476129/1037764728*ep^3*z5+6820295827854\
         29669431004811006181261/144950344625294208*ep^3*z4+22417989375\
         9421898013091323588024921964095671/84358404495511198583731200*
         ep^3*z3-21342645186330808162720/7623*ep^3*z3^2;
Fill mncnoptab(12,7,3,2)=
      +mncF321*(3740460062976000+342550997434118400/11*ep+
         22075560665586064480/231*ep^2+29977105287098755180/189*ep^3)
      -5041976743194012147368689382446437249041947/
      274164814610411395397126400-122650885775017120/99099*ep^-3-
         409507895954366865588407/30354618294*ep^-2-
         31603488873351263615820996963881/706632930048309264*ep^-1-
         4875179966586758224640/99099*z3+218910614093615090950347543788\
         1311208395401679439562173113062997073700149686187317857/
         12303131567363189702750562795052400357947462340365516800000000\
         000000*ep-2437589983293379112320/33033*ep*z4-
         12507623127737775182640780683/15177309147*ep*z3-
         34378424472548634182042833960407342523213719600453772242172511\
         30794641311668446105645581931749/42961162403749340710034138317\
         51505420207259155575919987392512000000000000000*ep^2-
         52569703318583670881920/11011*ep^2*z5-
         12507623127737775182640780683/10118206098*ep^2*z4+670172764710\
         231018709532663618093719/353316465024154632*ep^2*z3+
         20339641663842113729942547646546899316060061644106644222583295\
         33860332125392849416990910479885481612113399355101630823222388\
         2417580749/681569517188106099901130739431901941889891679081025\
         91995984680376810334896208576668542075725152256000000000000000\
         00*ep^3-1170630374751665699281600/99099*ep^3*z6-
         18383369696019348340551577429/1686367683*ep^3*z5+6701727647102\
         31018709532663618093719/235544310016103088*ep^3*z4+23560368906\
         7578537053852562885405550007506241/137082407305205697698563200
         *ep^3*z3-170756523382159829759360/99099*ep^3*z3^2;
Fill mncnoptab(12,7,4,1)=
      +mncF321*(623410010496000+57539619149963200/11*ep+
         11270312926148393240/693*ep^2+171188399958172432648/6237*ep^3)
      -505683374292244627298467243206559548325417/
      164498888766246837238275840-4721071527749480/297297*ep^-3-
         18252484442685666901811/45531927441*ep^-2-
         12499181996645371383518992288013/4239797580289855584*ep^-1-
         2438863382813567885440/297297*z3+34377025135613507145620364253\
         95851240341026545831925111548965095306413959067183869/
         11690698390324594469733824921332590773127920159293440000000000\
         0000*ep-1219431691406783942720/99099*ep*z4-
         897155543186697880226918785/6504561063*ep*z3-
         13664178373733511344950504471718825647324617632791409704896022\
         500361225522085583797042847829/1039121086107315875072632219320\
         09201395791604670014693572608000000000000000*ep^2-
         3755192176177317980960/4719*ep^2*z5-
         897155543186697880226918785/4336374042*ep^2*z4+325516554893461\
         7842119477281870566007/10599493950724638960*ep^2*z3+
         23194153511043640745845315208438224496469172483160067898982161\
         35268719421604470992216452562550218491089620679983846944008412\
         979395584859/1849730066165679572504378754243041269715919738331\
         19528603567675358279924195458328392463297463745249280000000000\
         00000000*ep^3-585345609290893662287600/297297*ep^3*z6-
         9456782148030495410137029995/5059103049*ep^3*z5+32551655489346\
         17842119477281870566007/7066329300483092640*ep^3*z4+1266722684\
         91236315460637606954928705540572567/
         411247221915617093095689600*ep^3*z3-85364029481072292804640/
         297297*ep^3*z3^2;
Fill mncnoptab(12,8,1,3)=
      +mncF321*(192960241344000+126592972011126400/77*ep+
         25411234221278416520/4851*ep^2+14723728523620083736/1617*ep^3)
      -5054655251150589777951940250891568590841971/
      5314579483217205510775065600+153865574853800/160083*ep^-3-
         9416871909704599453913/196137533592*ep^-2-
         2169249476511023356874245171451/3804946546413972960*ep^-1-
         406504239857680724960/160083*z3+374415772555636796987895631012\
         35370681528996671930143602232729653272552806619461/
         41714368526766483416827506827895402781767195898675200000000000\
         00*ep-203252119928840362480/53361*ep*z4-
         4219162833178057027057967741/98068766796*ep*z3-
         23017568196173533609071095883815228871284387819085505069008745\
         7981076524747448951019012177/582647678287763891808049343572995\
         0135479224114364460249907200000000000000*ep^2-
         13143260726488564455040/53361*ep^2*z5-
         4219162833178057027057967741/65379177864*ep^2*z4+1704378432977\
         68454668386918504352313/1902473273206986480*ep^2*z3+
         10817383845364497611806315871976221774592694907395804319658658\
         431582843947018204299661069515057050731555595726622169592252617
       /573953527603954659007520795691842916854652833555190125713465217\
         8533858589558607961428852736000000000000000*ep^3-
         97558194849020031600400/160083*ep^3*z6-
         19956744581224745327680440569/32689588932*ep^3*z5+170437843297\
         768454668386918504352313/1268315515471324320*ep^3*z4+
         288983802851167283650327704973759615440877177/
         2657289741608602755387532800*ep^3*z3-14226990637774804486400/
         160083*ep^3*z3^2;
Fill mncnoptab(12,8,2,2)=
      +mncF321*(289440362016000+190427582074360800/77*ep+
         12800472181379872760/1617*ep^2+201423919247177510360/14553*
         ep^3)
      -129256445802133285786899420113500385213603/
      90847512533627444628633600-791536357661620/5929*ep^-3-
         188639172630601354838129/130758355728*ep^-2-
         14405135100636153060107521584289/3043957237131178368*ep^-1-
         22564778822830705840/5929*z3+510345788352938228229034722807717\
         16222754185418353649261543098801178871486456854659/
         37855789438040583700770962446315078024453730278047744000000000\
         00000*ep-33847168234246058760/5929*ep*z4-
         4223101155117055347736125941/65379177864*ep*z3-
         31148835555509396894898835400800877411331115287564096141293732\
         4522070218458098472472531819047/528752768046145731815804779292\
         4929747947395883785747676790784000000000000000*ep^2-
         2190347916640798179680/5929*ep^2*z5-
         4223101155117055347736125941/43586118576*ep^2*z4+2023060671243\
         22014871920083157840179/1521978618565589184*ep^2*z3+
         15954605202549312769350072358327337392447561568219781903071771\
         18496018935586450775232691318946823543532953213408079660821355\
         8837069117/209713697596340338431117150594431366735351285871084\
         89844918363192864718429602638974936023300046848000000000000000\
         000*ep^3-5419457844544918684600/5929*ep^3*z6-
         20143925409333179285003168849/21793059288*ep^3*z5+202306067124\
         322014871920083157840179/1014652412377059456*ep^3*z4+
         98306327597838058283812921994557792023424757/
         590508831468578390086118400*ep^3*z3-790604564641025844960/5929
         *ep^3*z3^2;
Fill mncnoptab(12,8,3,1)=
      +mncF321*(89058572928000+58898613044049600/77*ep+
         3992792413125327080/1617*ep^2+63507925077737579144/14553*ep^3)
      -844237238805266557902434627973583089191327/
      1919153702272879767779884800-1024951559965640/231231*ep^-3-
         11658404143673138059331/106241164029*ep^-2-
         39256425418170680898830861455313/49464305103381648480*ep^-1-
         270984777858711640960/231231*z3+909395782390921690681468276643\
         39460081104190692896426753485162050692282216201918379/
         22095419957713483547796929101318596561211769101064601600000000\
         000000*ep-135492388929355820480/77077*ep*z4-
         2117954489653702774591186069/106241164029*ep*z3-
         50315595184853328542050707714671196257703812286826453182605464\
         496351331103024239257988929837/2805626932489752862696106992164\
         248437686373326090396726460416000000000000000*ep^2-
         8762101635954314244640/77077*ep^2*z5-
         2117954489653702774591186069/70827442686*ep^2*z4+9893522450067\
         13334198407020003645439/24732152551690824240*ep^2*z3-
         10676028672203558768839648087044730259554239459109480818150044\
         67642645164141674727700356109295466663618913593607714201761783\
         34694601/64423327081152885919763163340502009544909202748797294\
         26043664740235563341424656011634481916018688000000000000000000
         *ep^3-65038300325010577732400/231231*ep^3*z6-
         10254265312165179822395348011/35413721343*ep^3*z5+989352245006\
         713334198407020003645439/16488101701127216160*ep^3*z4+
         17009999911210958635344208269698964795427919/
         319858950378813294629980800*ep^3*z3-9484804904595979968160/
         231231*ep^3*z3^2;
Fill mncnoptab(12,9,1,2)=
      +mncF321*(5077901088000+3499923010142000/77*ep+758504578324675990/
         4851*ep^2+481650129197826173/1617*ep^3)
      -2529460167592729717151629726412579498925271/
      100977010181126904704726246400-316492318702640/160083*ep^-3-
         180962488778316782810765/7453226276496*ep^-2-
         11517874540387122851401569756079/115670375010984777984*ep^-1-
         10689649077900346000/160083*z3+5475309686380536197883342288634\
         280319298320078665898318400097853841974927528659/
         24262438836996832191420080501939162842456430267596800000000000\
         000*ep-5344824538950173000/53361*ep*z4-
         4324443570148467412214997305/3726613138248*ep*z3-
         31655106636145585572217702369734066501004293200081066264290045\
         996978691683228358650988407/3388869149224749166638654345271501\
         6094113854542732064718848000000000000000*ep^2-
         345848461927843295600/53361*ep^2*z5-
         4324443570148467412214997305/2484408758832*ep^2*z4+54173699315\
         9352811952156510652395537/289175937527461944960*ep^2*z3-
         21671422797963030330503135652838236591272061286811085417576666\
         9513973362764821016768483785155448251493642062058208293116619/
         17570005947059836500230228439546211740448556129240514052453016\
         87306283241701614682070056960000000000000000*ep^3-
         2567139341764073852000/160083*ep^3*z6-
         23420130941641469829168398645/1242204379416*ep^3*z5+5417369931\
         59352811952156510652395537/192783958351641296640*ep^3*z4+
         197368459991829112358725950025568551002224789/
         50488505090563452352363123200*ep^3*z3-374486861846035966960/
         160083*ep^3*z3^2;
Fill mncnoptab(12,9,2,1)=
      +mncF321*(3808425816000+2632680767285400/77*ep+191060664683719760/
         1617*ep^2+3294581790244342502/14553*ep^3)
      -337594057525737330992897667396146611566119/
      17951468476644783058617999360-38913206814155/17787*ep^-3-
         259988633947497293940593/9937635035328*ep^-2-
         24366006475917536461748132427163/231340750021969555968*ep^-1-
         890603582795279140/17787*z3+5466668292717838225237367745116202\
         854730607647347837923534578206317495879115700611/
         32293306092042783646780127148081025743309508686171340800000000\
         000000*ep-445301791397639570/5929*ep*z4-
         4330359428016825887111236685/4968817517664*ep*z3-
         40796600598122619479324050106490235423589381059282709306143999\
         7243587049040137048921773379/585790238651706641661824536825502\
         421055396628524368547282944000000000000000*ep^2-
         28819902993947593960/5929*ep^2*z5-4330359428016825887111236685/
         3312545011776*ep^2*z4+799717661178800421538599531784837429/
         578351875054923889920*ep^2*z3-17514823443696340228204867107536\
         74933377252297968867664512044319275715418678813339967786078807\
         810013157703406286616106106175694201/
         37662868139750917922323080106755020964716149299296879721486040\
         0198386779960210659141708173551861760000000000000000*ep^3-
         213922763497618756850/17787*ep^3*z6-
         23630024145880185082297812185/1656272505888*ep^3*z5+7997176611\
         78800421538599531784837429/385567916703282593280*ep^3*z4+
         44460781908587536611605612654067516219001571/
         14959557063870652548848332800*ep^3*z3-31208841377782981240/
         17787*ep^3*z3^2;
Fill mncnoptab(12,10,1,1)=
      +mncF321*(28210561600+193324199746600/693*ep+48191338288572392/
         43659*ep^2+59547630999781354/24255*ep^3)
      -5123033617482132774673617273628593426124121/
      36351723665205685693701448704000-128725175187613/1440747*ep^-3-
         1067896821601189892357537/1341580729769280*ep^-2-
         5588971991084935368853771895605/2082066750197726003712*ep^-1-
         535114771774194284/1440747*z3+49435383559596893950420534012100\
         2129400293144488652792351/433275433596713702358637369319057522\
         688000000*ep-267557385887097142/480249*ep*z4-
         4561287553573950829198193501/670790364884640*ep*z3-
         13307504079049735407672165028302050509116066774458375141816239\
         5263/33621099124029663453048410438482952497932533760000000*
         ep^2-17290888105516022056/480249*ep^2*z5-
         4561287553573950829198193501/447193576589760*ep^2*z4+113839342\
         660903528298066266257292519/26025834377471575046400*ep^2*z3+
         10292037919648412919241134369002697057626285839681369853430672\
         302840789428079066095158405901288346653080865039/
         87407810275206155872394610689176845855254746933336934894008282\
         2810657752994545664000000000000000*ep^3-128343873861934679710/
         1440747*ep^3*z6-30963983020270899278285433449/223596788294880*
         ep^3*z5+113839342660903528298066266257292519/
         17350556251647716697600*ep^3*z4+579171276384876680350732852868\
         685502066848811/18175861832602842846850724352000*ep^3*z3-
         18692459062343517848/1440747*ep^3*z3^2;
Fill mncnoptab(13,1,1,9)=
      +mncF321*(1998947500173000+4919335216912325105/308*ep+
         2362593379939651244149/51744*ep^2+26992236660769837184113451/
         391184640*ep^3)
      -158898633801032046291312408798930638206749551281/
      16156321628980304752756199424000+182591368384819/1707552*ep^-3+
         1037985459294508099578277/1192516204239360*ep^-2+
         26478772118149577566154829900191/27760890002636346716160*ep^-1
         -802094942631038143891/30492*z3+591027596124114907985984232245\
         243599728886497016419250682809391253042359/6018845685808748396\
         315011015895687576420352000000000000*ep-802094942631038143891/
         20328*ep*z4-1149256620168465417490567670521/2661866527320*ep*
         z3-77468418687291111973383470808351042229163204170292503553187\
         21782003313993430734557/16813709945332490514888791769822693646\
         501072538173440000000000000*ep^2-1089244922037742746320953/
         426888*ep^2*z5-1149256620168465417490567670521/1774577684880*
         ep^2*z4+1182552527785316260484959392824137738367/
         1020620955979277452800*ep^2*z3+2749144288423733708225605590856\
         20905428285500148690345242992631634515911811360773992284675155\
         89112305678369/16843883124967087712983131913985877124852303671\
         677243351799181137149952000000000000000000*ep^3-
         5390077964204541061532395/853776*ep^3*z6-164694390381476738575\
         155295788481/33125450117760*ep^3*z5+11825525277853162604849593\
         92824137738367/680413970652851635200*ep^3*z4+21905603891086904\
         28600967543311528401840273883463/
         4039080407245076188189049856000*ep^3*z3-
         131008840566336082323661/142296*ep^3*z3^2;
Fill mncnoptab(13,2,1,8)=
      +mncF321*(9840972308544000+6052251697185668000/77*ep+
         363161003647374157160/1617*ep^2+103714487656246704023530/
         305613*ep^3)
      -2444591198704584527432717016734899325549969837/
      50488505090563452352363123200+1367522020280/53361*ep^-3-
         1705902816280825585625/1863306569124*ep^-2-
         3347989350766765591408728654229/433763906291192917440*ep^-1-
         987193806082260208000/7623*z3+81491531855976411350477852593775\
         7759679056210186867655040634596677511675081/168527679202644955\
         0968203084450792521397698560000000000000*ep-
         493596903041130104000/2541*ep*z4-
         282841275396058061914762973573/133093326366*ep*z3-
         15269467203909629601405819298437364843515052598008157361078085\
         55105536695602115963601/67254839781329962059555167079290774586\
         0042901526937600000000000000*ep^2-670304581196169662554400/
         53361*ep^2*z5-282841275396058061914762973573/88728884244*ep^2*
         z4+14569534595719479737287780740299663123/2551552389948193632*
         ep^2*z3+434215556363141785262676084475560882209570460283660051\
         311092335566081412139768245260797319855494844896450535073/
         98570404047307397296377287960645352934635681086655228094728808\
         014601519104000000000000000000*ep^3-1658485561383984602746000/
         53361*ep^3*z6-194599051873640706868429399541/7962848586*ep^3*
         z5+14569534595719479737287780740299663123/1701034926632129088*
         ep^3*z4+66717343531989259400895784914689589200370541519/
         25244252545281726176181561600*ep^3*z3-80620824928328519449760/
         17787*ep^3*z3^2;
Fill mncnoptab(13,2,2,7)=
      +mncF321*(42391880713728000+3728513932331233600/11*ep+
         224180787834327357280/231*ep^2+64217006601850705434620/43659*
         ep^3)
      -2444599577714877423310660428650717035797855179/
      11720545824595087153227153600+135058972985800/99099*ep^-3-
         29755423110543890672027/1730213242758*ep^-2-
         26515742214267863177101462132009/100695192531884070120*ep^-1-
         7897551668176298081600/14157*z3+753631983731037374708516968882\
         864026635790001707238615037016016072225489293149/
         362162543266092117789697519985037658169750323200000000000000*
         ep-3948775834088149040800/4719*ep*z4-
         1131964110977237327777625775892/123586660197*ep*z3-
         34568117317782029047879209346639068088853730620259291048197158\
         231891365333845364062491519/3540967314487022502435579546724659\
         281953125876539326464000000000000000*ep^2-
         5362436705856039751880800/99099*ep^2*z5-
         565982055488618663888812887946/41195553399*ep^2*z4+72609170621\
         392975975918735705632045493/2961623309761296180*ep^2*z3+
         41440917387499332402781070423387057654213694141088437142375867\
         024532472328803812577800577874183240253683176790559/
         12802657435298963701322472824043004295154576071167610529504864\
         13134255882240000000000000000000*ep^3-
         13267884610447014163274000/99099*ep^3*z6-
         10164340874899784148931172961422/96122957931*ep^3*z5+726091706\
         21392975975918735705632045493/1974415539840864120*ep^3*z4+
         33937475367817389206152352450844447924689295059/
         2930136456148771788306788400*ep^3*z3-644966549963113861619680/
         33033*ep^3*z3^2;
Fill mncnoptab(13,3,1,7)=
      +mncF321*(17221701539952000+1518066524181872600/11*ep+
         91633187027221383710/231*ep^2+7539177779308271980715/12474*
         ep^3)
      -128663201468919983381137815289583983802147147/
      1518451280919201574507161600+22484987288780/7623*ep^-3+
         990629285067054672583/56039295312*ep^-2-
         436668614282624847719267560687/13045531016276478720*ep^-1-
         1727589876499751670640/7623*z3+1732333935358757350910033205062\
         8809717805550993021224672376363037454248789007/205274316021266\
         78741116458622633713418528358400000000000000*ep-
         863794938249875835320/2541*ep*z4-
         104372421351891185561856174305/28019647656*ep*z3-
         11327516700876158393098410811729230081224478227363700751546717\
         2917048381169246130336121/286718001173038259306524659653818565\
         34033407907201024000000000000000*ep^2-167576151602938178949680/
         7623*ep^2*z5-104372421351891185561856174305/18679765104*ep^2*
         z4+3796317864656159795770584316609167613/383692088714014080*
         ep^2*z3+119853676272892380769392015804626471863321470738971846\
         02024457555690265713834270682108604579991632187786249992938359/
         62733021432964922136480116837810721046257422748721291594573834\
         2435785382297600000000000000000000*ep^3-
         414621404316096068197600/7623*ep^3*z6-
         134954412748717263144236413055/3113294184*ep^3*z5+379631786465\
         6159795770584316609167613/255794725809342720*ep^3*z4+
         3709279076916887984769335633145424793229003937/
         759225640459600787253580800*ep^3*z3-20155202901682347191600/
         2541*ep^3*z3^2;
Fill mncnoptab(13,3,2,6)=
      +mncF321*(63587821070592000+5618019898147696800/11*ep+
         113498445247156460600/77*ep^2+426823623071772644636/189*ep^3)
      -25732616293267684235463839837463451876723261/
      82249444383123418619137920-2925003917212660/33033*ep^-3-
         61458428082838574260607/60709236588*ep^-2-
         1313360719696004369894273767639/353316465024154632*ep^-1-
         27641358153231058508320/33033*z3+49416575918867338597697969635\
         17711637987178151704796078936935197963107901927/15884322073074\
         21569253059298179989728814694400000000000000*ep-
         13820679076615529254160/11011*ep*z4-
         208977794301049069915703627302/15177309147*ep*z3-
         28880902089865420283967731927908542636593786455875983630632709\
         17276233950925415479360529/19879114747997319311919043069331420\
         5302631628156593766400000000000000*ep^2-
         2681217605557120998663440/33033*ep^2*z5-
         104488897150524534957851813651/5059103049*ep^2*z4+377009803715\
         4034253182369503878101069/103916607360045480*ep^2*z3+
         11252167968254848952280141570379776072694509795445923861836829\
         1780894868559705864036213643680332979014786046532896347/
         31067782042992151915209200719677690422908437932700068218265136\
         95872460940902400000000000000000000*ep^3-
         6633940618509724850387800/33033*ep^3*z6-
         272423237379761684323999012531/1686367683*ep^3*z5+377009803715\
         4034253182369503878101069/69277738240030320*ep^3*z4+1924151300\
         85246826103509798751623013769297719/10281180547890427327392240
         *ep^3*z3-322483559926270212861520/11011*ep^3*z3^2;
Fill mncnoptab(13,3,3,5)=
      +mncF321*(79484776338240000+7061274807632202000/11*ep+
         144035653372347837250/77*ep^2+24140603943404036401685/8316*
         ep^3)
      -616612180923337308221968514554421043043/1576732152769094280960-
         30259219584933800/33033*ep^-3-72694506429601889469295/
         7142263128*ep^-2-613655407503177851508900594367/
         17501744397481344*ep^-1-34551127507173925530800/33033*z3+
         70862616063261438773903771048552001407916003935302260582707711\
         27020488169/18308730363894364545304252006842930246451200000000\
         00000*ep-17275563753586962765400/11011*ep*z4-
         314433249252461053895687755/18220059*ep*z3-4842807208981920031\
         998486729115610486994256433895586691204418998251658795835117421
       /269187550216465306867870282329985468419335100825600000000000000
         *ep^2-478787983879922756522800/4719*ep^2*z5-
         314433249252461053895687755/12146706*ep^2*z4+60969853153560398\
         85856601681191538/136732378105323*ep^2*z3+
         16959566387484407054762903923037528172436456364614762752159811\
         341644352564652134769503171297017893554407261003899759/
         44164047088807305184082002253818747616565225615099789282579979\
         3074792909137510400000000000000000*ep^3-
         8292411899130713425322000/33033*ep^3*z6-
         40953948930487994796212762795/198396198*ep^3*z5+30484926576780\
         19942928300840595769/45577459368441*ep^3*z4+170534866177241454\
         704118990878690629014743/6701111649268650694080*ep^3*z3-
         403106500316377877851600/11011*ep^3*z3^2;
Fill mncnoptab(13,4,1,6)=
      +mncF321*(13777361231961600+1223606077707985920/11*ep+
         6803499707632209856/21*ep^2+1740786709227903790018/3465*ep^3)
      -14295934006048621065605155965801909390756629/
      210896011238777996459328000-7374801265684/2541*ep^-3-
         228447930469187104759/5837426595*ep^-2-
         81260440739782803032523190567/418125994111425600*ep^-1-
         153563394452253559456/847*z3+218681424929413259019204823106306\
         8864916977870635660170841970589895859122121/325832247652804424\
         4621660098830748161671168000000000000000*ep-
         230345091678380339184/847*ep*z4-34918624228707092641427459593/
         11674853190*ep*z3-26500889102082831685111699611099177432085308\
         936863345758540849654151915407018281821501/8495348182904837312\
         785915841594624158232120861392896000000000000000*ep^2-
         44686969578185517482896/2541*ep^2*z5-
         34918624228707092641427459593/7783235460*ep^2*z4+6509173743978\
         9482381712555243346207/8414300191096800*ep^2*z3-
         21274086783216070661445172179187904522864531723896546828566206\
         97690389152758480524779103522183270503234382551713913/
         33702722137368212136814714784660216435107772905295931992200838\
         9098590437376000000000000000000000*ep^3-
         110565698487071892011320/2541*ep^3*z6-
         139087723349783874084284053547/3891617730*ep^3*z5+650917374397\
         89482381712555243346207/5609533460731200*ep^3*z4+2438795446023\
         5207668271731615170605555396377/5549895032599420959456000*ep^3
         *z3-16124168549059900744048/2541*ep^3*z3^2;
Fill mncnoptab(13,4,2,5)=
      +mncF321*(42391880713728000+3777229514196698400/11*ep+
         232336139713245153440/231*ep^2+1088990946997999432781/693*ep^3
         )
      -357402655378405559556844885639082657700389/
      1713530091315071221232040-10707089083015180/33033*ep^-3-
         229685200162529150039423/60709236588*ep^-2-1009949148520796704\
         75886661574297/7066329300483092640*ep^-1-
         6142462978462334726880/11011*z3+263749653806845614337084728754\
         3471174420963226857654312926565246870748687751811/
         1280911731972704753445667018052343717316169564160000000000000*
         ep-9213694467693502090320/11011*ep*z4-
         139896418260798638272956833884/15177309147*ep*z3-
         11953594646309261339629751736124406321427964583651426045357387\
         7322907455087191542298269711/125238422912383111665089971336787\
         94934065792573865407283200000000000000*ep^2-
         1787476420809172527951280/33033*ep^2*z5-
         69948209130399319136478416942/5059103049*ep^2*z4+2448432483358\
         31776751982379664074475/10391660736004548*ep^2*z3+
         45479404148346743059018431059107650851633277206831683363535546\
         41791809177516174280736122214429439502547203473627777047/
         23682970251372917404963973708610303409383102236097262002783513\
         9036357697524989952000000000000000000*ep^3-
         4422622579684463809426600/33033*ep^3*z6-
         563560425852129044473631248571/5059103049*ep^3*z5+244843248335\
         831776751982379664074475/6927773824003032*ep^3*z4+970987225300\
         874699527323415382430964419397229/68541203652602848849281600*
         ep^3*z3-644969058677122393836880/33033*ep^3*z3^2;
Fill mncnoptab(13,4,3,4)=
      +mncF321*(42391880713728000+3801136493671934400/11*ep+
         236364901246632317840/231*ep^2+1123816008343140723626/693*ep^3
         )
      -989819862885727595786566713898470830009/4746620751565294241640-
         81454426378292680/33033*ep^-3-800678394843257241594709/
         30354618294*ep^-2-15603747318874961527809393330329/
         185956034223239280*ep^-1-6141937623734186991680/11011*z3+
         86117375484792870394312730382615446465112979869583791023515254\
         330267411253/4201853618513756663147325835570452491560550400000\
         0000000*ep-9212906435601280487520/11011*ep*z4-
         20046125760914840236132740772/2168187021*ep*z3-
         29144928586210805332274169681527303422987108868658818230352590\
         056467152855253907947/3088927138733939396308811489736583250111\
         870281973760000000000000*ep^2-255351389804842615145440/4719*
         ep^2*z5-10023062880457420118066370386/722729007*ep^2*z4+
         12630049203410172827862973827538919/546929512421292*ep^2*z3+
         25892648267942864769914511254000670426910234814898829379292294\
         50457095377334686227404142847344370331536421664952882629379/
         79247955055144056220490448823751797268477736702428658113714194\
         224346012745812137738240000000000000000*ep^3-
         4422584789406739362607600/33033*ep^3*z6-
         577568624917142456645124441326/5059103049*ep^3*z5+126300492034\
         10172827862973827538919/364619674947528*ep^3*z4+14628021356958\
         38623090985230716258929099737/94932415031305884832800*ep^3*z3-
         644986552401863147526880/33033*ep^3*z3^2;
Fill mncnoptab(13,4,4,3)=
      +mncF321*(16956752285491200+1535626166294306880/11*ep+
         97119874340246303264/231*ep^2+786728451489471775646/1155*ep^3)
      -47485970948694475594668022321941657971911/
      569594490187835308996800-104756374591615832/33033*ep^-3-
         5117636886857246036304871/151773091470*ep^-2-
         19670860350321176474292574170757/185956034223239280*ep^-1-
         2456251331730576667072/11011*z3+117034352258600246011802719917\
         9382984182982596130785801481655591591778415943/143796768278026\
         3391388195952617443741556277248000000000000*ep-
         3684376997595865000608/11011*ep*z4-
         8056706359282346878978202972/2168187021*ep*z3-
         39178521463891413136491728185053116802775135213073386469678649\
         1834081577802832790149/105709950970005926007012659870985293448\
         272894094213120000000000000*ep^2-102138159915118403478176/4719
         *ep^2*z5-4028353179641173439489101486/722729007*ep^2*z4+
         24445378608776283305750264876426819/2734647562106460*ep^2*z3+
         31578594716929173000518342459910167484312833659829296551411805\
         2453758616574183316887071514059043238944557738464077279167893/
         35256534671199644567427084121144688473664984195169371898590181\
         519364603892692422167101440000000000000000*ep^3-
         1768995913526592735865040/33033*ep^3*z6-
         239906960456288387618972473042/5059103049*ep^3*z5+244453786087\
         76283305750264876426819/1823098374737640*ep^3*z4+4938103053868\
         883210741526044971156802742191/711993112734794136246000*ep^3*
         z3-258011770139101431753632/33033*ep^3*z3^2;
Fill mncnoptab(13,5,1,5)=
      +mncF321*(5381781731235000+484053200165843100/11*ep+
         121028357218567013405/924*ep^2+2317111382693578919051/11088*
         ep^3)
      -1681974197423831539760559889280796620061977/
      63516916326031961286574080+11390364390920/2541*ep^-3-
         140467272092934097307/35161910784*ep^-2-
         1632334978222000967730353984473/4092715612949483520*ep^-1-
         119971729902674094365/1694*z3+60136252345800293958769603485504\
         192389510711313310421956098273334049714503/2318392275063719010\
         76138826796804292726908518400000000000*ep-
         359915189708022283095/3388*ep*z4-20668301518472468895964001915/
         17580955392*ep*z3-27009556607516997989106777251978194739691235\
         504194510203136346858906978044013917197/2266758785744490708870\
         4067210278361871612294251340103680000000000*ep^2-
         34911704136617762593415/5082*ep^2*z5-
         20668301518472468895964001915/11720636928*ep^2*z4+118780438838\
         2937257061920770822641839/409271561294948352*ep^2*z3+
         77241172582529674160002525518760518540314233183683388648396161\
         497077886174805304320854268171464377441926518729175354560797/
         56711300059722898192211370058067920214265280045901756226182676\
         37533353823137861675526389760000000000000*ep^3-
         43189736183637175387900/2541*ep^3*z6-
         85952441203586176435275157975/5860318464*ep^3*z5+1187804388382\
         937257061920770822641839/272847707529965568*ep^3*z4+3230512571\
         29675755273993334239317158588386743/
         158792290815079903216435200*ep^3*z3-12596992996677824663765/
         5082*ep^3*z3^2;
Fill mncnoptab(13,5,2,4)=
      +mncF321*(13247462723040000+1196308105080138000/11*ep+
         75291968267300520700/231*ep^2+363587600717127069655/693*ep^3)
      -840915829293512208539147625688443134835007/
      12901873628725242136335360-16860749237514950/33033*ep^-3-
         5082692464616122017065/892782891*ep^-2-
         3289896629367291556624563377359/166266571776072768*ep^-1-
         1919417674304803336000/11011*z3+271658210940895036158502452708\
         06131881572686410880598603806568371345018083/42663085275629934\
         611368736607779336660975616000000000000*ep-
         2879126511457205004000/11011*ep*z4-
         10354169694782390366360938465/3571131564*ep*z3-
         38604083406640153364612115671093393449805406195737735750871695\
         05429921594290448386674899/13260538896605270646891879318012841\
         69489319213703396065280000000000000*ep^2-
         558583158211084007513000/33033*ep^2*z5-
         10354169694782390366360938465/2380754376*ep^2*z4+5860721230588\
         47271708571391364081265/83133285888036384*ep^2*z3+
         24910617747880657801460482490115782542573381245586818797963594\
         90321830273692282140740754006140580290665887596723857016978147\
         3097/182468607942158424933440083161833533289398538547688900657\
         7427612376356592594606994100615905280000000000000000*ep^3-
         1382062262970423993762500/33033*ep^3*z6-
         43636630451641205088417835235/1190377188*ep^3*z5+5860721230588\
         47271708571391364081265/55422190592024256*ep^3*z4+677601356748\
         1083796999509226307423631487777/1290187362872524213633536*ep^3
         *z3-201556266619133690408600/33033*ep^3*z3^2;
Fill mncnoptab(13,5,3,3)=
      +mncF321*(9935597042280000+903471477465451500/11*ep+
         19177877530940781775/77*ep^2+376122821731972174105/924*ep^3)
      -465619519214204336519708960025520706699/9530469901182080987136-
         38764272263837075/22022*ep^-3-22502215964185767316625/
         1190377188*ep^-2-707653776707018087391415823851/
         11667829598320896*ep^-1-1439234271127059018400/11011*z3+
         12971770544785870761174521404346227505371619461624618993467248\
         551524877/27301326323308953183024495851404611551232000000000000
         *ep-2158851406690588527600/11011*ep*z4-
         1484028527424471190033093855/680215536*ep*z3-
         59564809888163909872001856580021819698703542060734651000974985\
         94319395817914111187/27636588488890438171768015652545174757718\
         40368476160000000000000*ep^2-19948896185893185332150/1573*ep^2
         *z5-1484028527424471190033093855/453477024*ep^2*z4+30131065651\
         618284891715046257597217/5833914799160448*ep^2*z3+
         40828871693867595129863370395567175117850781390764662368127578\
         6038002209340132985267083451068527392399822649376418914449/
         58035448018435628917575447112995371973111085094929007240477665\
         0524520228686295015096320000000000000000*ep^3-
         345507597575313095766625/11011*ep^3*z6-
         44780585114866050084903933515/1587169584*ep^3*z5+3013106565161\
         8284891715046257597217/3889276532773632*ep^3*z4+10127982976972\
         1645703717311424375061824461/23826174752955202467840*ep^3*z3-
         50392647977178723595350/11011*ep^3*z3^2;
Fill mncnoptab(13,5,4,2)=
      +mncF321*(2649492544608000+243446914979506800/11*ep+
         15775885669412560700/231*ep^2+8789557473027800955/77*ep^3)
      -25210230297573982860958617078126640426127/
      1935281044308786320450304-27937887808778930/33033*ep^-3-
         65870445294334746323647/7142263128*ep^-2-
         25412583109707091721496728293601/831332858880363840*ep^-1-
         383701901253523122080/11011*z3+8417765199137154634723503709853\
         26983436747119927175346078456918930858539042463/66982611098116\
         46945989586471351751779867028357120000000000000*ep-
         575552851880284683120/11011*ep*z4-149148239931089222057281811/
         255080826*ep*z3-2582679312837543985488124988505685267292352556\
         81549182822504641759702179271267306982982879/45843577328263935\
         6649690684994158241452021785308888353996800000000000000*ep^2-
         15958693153658726905640/4719*ep^2*z5-
         149148239931089222057281811/170053884*ep^2*z4+6491724853815839\
         008380582845935759/4890193287531552*ep^2*z3+
         49112354176096901202107687469592935289270240941302893058739311\
         471325835334529326251389781567591026709639980991602836119869853
       /370409470382317898434927814399291543392708854360677401089678070\
         32997751191751140676783308800000000000000000*ep^3-
         276399365929626297433100/33033*ep^3*z6-
         2325799675692028602606326279/297594297*ep^3*z5+649172485381583\
         9008380582845935759/3260128858354368*ep^3*z4+30395549456052672\
         051134821318106178471898567/24191013053859829005628800*ep^3*z3
         -40317282868481920003880/33033*ep^3*z3^2;
Fill mncnoptab(13,5,5,1)=
      +mncF321*(206991605047500+19303498357856100/11*ep+
         5127676013011099855/924*ep^2+11788650073117272589/1232*ep^3)
      -5060207431445885715729644813760781351212697/
      4954319473430492980352778240-6642832790113475/1057056*ep^-3-
         76438226987514489633479/457104840192*ep^-2-
         26746028902811955766242254772655/21282121187337314304*ep^-1-
         59983651409665540715/22022*z3+92890398825744788908594204743187\
         788971315074110699847184194811336971448971128431/
         96002827356375429853395748100648982384944183928422400000000000\
         00*ep-179950954228996622145/44044*ep*z4-
         1502996055916812590906406695/32650345728*ep*z3-
         57381729132486017232676197841741600560310242096406117632592892\
         1167210131472998714217556967/134092463685172011820034525360791\
         28562471637220284984354406400000000000000*ep^2-
         9974726548721918030855/37752*ep^2*z5-
         1502996055916812590906406695/21766897152*ep^2*z4+5214404695174\
         783619400368255147695843/53205302968343285760*ep^2*z3+
         86527179453475997619103416059681797199992146721939507549062673\
         57102328660784783546263019552530383314195573397264067435209747\
         63/75841339060779589704551469998254943509657137930348697873111\
         58490006289556511046053571382476800000000000000000*ep^3-
         345516410120687198637025/528528*ep^3*z6-
         49038674840452150115704977385/76184140032*ep^3*z5+521440469517\
         4783619400368255147695843/35470201978895523840*ep^3*z4+
         1382111427387081303897827544510127239382783177/
         12385798683576232450881945600*ep^3*z3-25194190381531885563335/
         264264*ep^3*z3^2;
Fill mncnoptab(13,6,1,4)=
      +mncF321*(1013041267056000+92907752748866640/11*ep+
         6000580173749301368/231*ep^2+13611735983019973412/315*ep^3)
      -1682208267442472140727397051833409594031259/
      337433617982044794334924800-9502358873902/2541*ep^-3-
         12954025805838876511133/186797651040*ep^-2-
         9659659368163423678697997311287/21742551693794131200*ep^-1-
         11291332369352945368/847*z3+4056854774951412116821946702502097\
         76493546674142237917246850639904779555559/84455718591606906820\
         59342976169299235051667456000000000000*ep-16936998554029418052/
         847*ep*z4-4173667641978591323058485485/18679765104*ep*z3-
         12506225843891620780960353674478188039946113130137267912581765\
         3742467550647672062070691/578023490364845130761953713862098227\
         726113503409172643840000000000000*ep^2-3285803902167651424528/
         2541*ep^2*z5-4173667641978591323058485485/12453176736*ep^2*z4+
         1110772308065556221240692856100333361/2174255169379413120*ep^2
         *z3-2106492904756879339152499070351310945316008553054300277704\
         90521882944814668405158823001091415736860781398315734207994319\
         217559/4678682254927139100857438029790603417676885603786894888\
         6600708009650169040887358823092715520000000000000000*ep^3-
         8129824762648981471060/2541*ep^3*z6-
         18485077299043047219008585417/6226588368*ep^3*z5+1110772308065\
         556221240692856100333361/1449503446252942080*ep^3*z4+
         399189854182100301137530418828536940940138677/
         843584044955111985837312000*ep^3*z3-1185604392091689997648/
         2541*ep^3*z3^2;
Fill mncnoptab(13,6,2,3)=
      +mncF321*(1870230031488000+172307634194232000/11*ep+
         3737911759437159160/77*ep^2+1712401645739584292/21*ep^3)
      -210230348387001064274082217256570779924939/
      22847067884200949616427200-2747867325016120/11011*ep^-3-
         28415383332873381235637/10118206098*ep^-2-
         23403734366365341821060844231683/2355443100161030880*ep^-1-
         270935011537245339520/11011*z3+1936878856262010830920717749740\
         82971009952200169725344283317976903745957244013/21917822969310\
         72578118141342000677027407667920896000000000000*ep-
         406402517305868009280/11011*ep*z4-2091297136687006448888678390/
         5059103049*ep*z3-577004947317809571097079120451266006721732083\
         91930560291662116398557932742672228979917/14578017481864700828\
         7406315841763750555263193981502095360000000000000*ep^2-
         26285818704871537723040/11011*ep^2*z5-
         1045648568343503224444339195/1686367683*ep^2*z4+10925746784755\
         18136051478388700757853/1177721550080515440*ep^2*z3-
         12513470079389958671716335846541327824390959222838821875695926\
         46942669771130588237628966458002126012512713382119188047305543\
         483/5279150814859011864687289577253262181588073659538610706093\
         57747219997962108691985947521187840000000000000000*ep^3-
         65037209233335730958800/11011*ep^3*z6-
         9395236972595668791671713180/1686367683*ep^3*z5+10925746784755\
         18136051478388700757853/785147700053676960*ep^3*z4+10410295113\
         356176662229764015565437660288557/11423533942100474808213600*
         ep^3*z3-9485447228241228693600/11011*ep^3*z3^2;
Fill mncnoptab(13,6,3,2)=
      +mncF321*(935115015744000+86790908144966400/11*ep+
         1905899745257895320/77*ep^2+9755371740660590672/231*ep^3)
      -88457225033854892270904883625908632408671/
      19239636113011325992780800-3706515907235080/11011*ep^-3-
         148794545545841383648237/40472824392*ep^-2-
         1518390932320061664463745044897/123970689482159520*ep^-1-
         135414651307794655200/11011*z3+1230165171286319919154373942503\
         241861992216256708828214561080935932758595344419/
         27968177967283718827114413687398542519444785070080000000000000
         *ep-203121976961691982800/11011*ep*z4-
         599568973963392284857879927/2890916028*ep*z3-
         53329232678760027372486864527594556417289405437074568399683225\
         264920741865361649055887601/2734529173966620723875347945579189\
         51041556854394775509401600000000000000*ep^2-
         1877478966432994868800/1573*ep^2*z5-
         599568973963392284857879927/1927277352*ep^2*z4+531482506860108\
         730229661307822009289/1177721550080515440*ep^2*z3+
         51280790868026133729278605600329727708714922587268349363399682\
         90713062499677547580008688717278451229416503159535688870238856\
         29542449/70654318799300212853490403141445426650722679080641531\
         1701939172491519954910077648557919394437529600000000000000000*
         ep^3-32517345284307923566000/11011*ep^3*z6-
         19285523773298362857059503661/6745470732*ep^3*z5+5314825068601\
         08730229661307822009289/785147700053676960*ep^3*z4+88731680165\
         947384769207821134419327240471047/182776543073607596931417600*
         ep^3*z3-4743317314641616358080/11011*ep^3*z3^2;
Fill mncnoptab(13,6,4,1)=
      +mncF321*(124682002099200+11696789416822560/11*ep+
         784238370730100948/231*ep^2+2280423776817342418/385*ep^3)
      -10123291116006173698456744342924881168546623/
      16449888876624683723827584000-189999097636724/33033*ep^-3-
         77483346132441509128423/607092365880*ep^-2-
         62721667156612909987290294124427/70663293004830926400*ep^-1-
         18065191404684103200/11011*z3+77640615922156827576002385859948\
         1932612818035974919689329265254542542818449934851/
         13391163610735444574422381273526422158310163091554304000000000\
         0000*ep-27097787107026154800/11011*ep*z4-
         1205965323650636507589034939/43363740420*ep*z3-
         68066773243425512506630930174442451080046224301835476304853210\
         8081289615121367450059586801/267202564999024082161533999253737\
         94644632126915146635490099200000000000000*ep^2-
         751036072802628527600/4719*ep^2*z5-
         1205965323650636507589034939/28909160280*ep^2*z4+2036903038803\
         885176016852991590933181/35331646502415463200*ep^2*z3+
         29806924223474258663463974284810294161256326641969859425267863\
         29244250535854543429688244372953600122173354465028570097175129\
         79/62228791024229406937067872819080979289975087532593803383065\
         91581543622200214191633699595878400000000000000000*ep^3-
         13007642338510868459000/33033*ep^3*z6-
         40043646844999618559833691477/101182060980*ep^3*z5+20369030388\
         03885176016852991590933181/23554431001610308800*ep^3*z4+
         115888484507666305862537205991611302796133433/
         1644988887662468372382758400*ep^3*z3-1896989864120528732528/
         33033*ep^3*z3^2;
Fill mncnoptab(13,7,1,3)=
      +mncF321*(84420105588000+7975775524718300/11*ep+
         1621760239271501470/693*ep^2+25778638581827330191/6237*ep^3)
      -112289548319318379589738614294873712937557/
      269946894385635835467939840+12672996380405/15246*ep^-3-
         5026874974011334297961/448314362496*ep^-2-
         9475509397105239016158976922027/52182124065105914880*ep^-1-
         8468889493458821290/7623*z3+1183393757285572192017883738156691\
         1210648109647393218432634780555448852717433/303477548805840818\
         5086657242770168191795232505856000000000000*ep-
         4234444746729410645/2541*ep*z4-4236294203213831592389692397/
         224157181248*ep*z3-1442520635741105452668517789994915545645049\
         2735933048835506790390514334514445794560121/847767785868439525\
         117532113664410733998299805000119877632000000000000*ep^2-
         91272711490609979620/847*ep^2*z5-4236294203213831592389692397/
         149438120832*ep^2*z4+76093120904855650294884948056521621/
         2007004771734842880*ep^2*z3+1678987337567289332331496370188913\
         20450320502210321390356167430621109293463914153722332451439280\
         29431754921841331668136375586727/16812064902704853169081060653\
         71423494751894226960757563325185441146762740869219093709798244\
         3520000000000000000*ep^3-2032463784805077488225/7623*ep^3*z6-
         20509354167189468254897567273/74719060416*ep^3*z5+760931209048\
         55650294884948056521621/1338003181156561920*ep^3*z4+1021802901\
         21933372555227980700839969713255697/
         2024601707892268766009548800*ep^3*z3-296395216872817581940/
         7623*ep^3*z3^2;
Fill mncnoptab(13,7,2,2)=
      +mncF321*(103901668416000+9864809025334400/11*ep+
         2021887460557440040/693*ep^2+32462671865961403240/6237*ep^3)
      -560193574366666059924211140058110191328403/
      1096659258441645581588505600-4685210478615320/99099*ep^-3-
         186965341729301660882849/364255419528*ep^-2-
         7205474274441686051096600322317/4239797580289855584*ep^-1-
         135389700020902649440/99099*z3+4022346228570680263092591605867\
         28427231975179885160185317331685880735376325873/83904533901851\
         156481343241062195627558334355210240000000000000*ep-
         67694850010451324720/33033*ep*z4-4244745975103896683519760461/
         182127709764*ep*z3-3228875589427298434704575966792060338853089\
         01494953517770030311613361519366826584672485953/
         15586816291609738126089483289801380209368740700502204035891200\
         000000000000*ep^2-1460233312332344696320/11011*ep^2*z5-
         4244745975103896683519760461/121418473176*ep^2*z4+969156096482\
         88693829245381220824079/2119898790144927792*ep^2*z3+
         82988776090624001534534743734268739493536054242743903184994591\
         50434547302773650071616136799802414447791359649042242657347362\
         007/2953672449632263467150000008372154853246451259434161468841\
         0533926092193672768889135274183884800000000000000000*ep^3-
         32516775277425499043600/99099*ep^3*z6-
         20843471168054268780912711929/60709236588*ep^3*z5+969156096482\
         88693829245381220824079/1413265860096618528*ep^3*z4+1055772308\
         50059283974342791368752818283593227/
         1644988887662468372382758400*ep^3*z3-4743619139168457132160/
         99099*ep^3*z3^2;
Fill mncnoptab(13,7,3,1)=
      +mncF321*(25975417104000+2485027109838200/11*ep+
         515594813693158135/693*ep^2+764246641747510451/567*ep^3)
      -70420138279185844229351855099373131262529/
      548329629220822790794252800-218594264428775/99099*ep^-3-
         33523550611437513439201/728510839056*ep^-2-
         52247515560159840801801797249297/169591903211594223360*ep^-1-
         33871657583989043920/99099*z3+64576885900403983518374199261947\
         38134348303372660155240722142946090430189300567/
         54401602168612743583590923923701090018135037559439360000000000\
         00*ep-16935828791994521960/33033*ep*z4-
         152238082694349248570652299/26018244252*ep*z3-
         77459820677057668113143926716196053494672939060363815400729450\
         115191727394952476913889799/1519714588431949467293724620755634\
         5704134522182989648934993920000000000000*ep^2-
         52155092005068722380/1573*ep^2*z5-152238082694349248570652299/
         17345496168*ep^2*z4+49289712757755486306149333815386061/
         4462944821357742720*ep^2*z3+3877790334612938564799830508502574\
         28693490508341705743498401442048260023303856394752076991036717\
         25812046405618883660528194320335315491/
         86075507056232475561425352257105159085076037823480053367228367\
         11274503290686384713262922762659509043200000000000000000*ep^3-
         8129747846838351165050/99099*ep^3*z6-
         1336192263728989595030544188/15177309147*ep^3*z5+4928971275775\
         5486306149333815386061/2975296547571828480*ep^3*z4+72944530771\
         8743968970833646947670659786871/43289181254275483483756800*
         ep^3*z3-1185612041777205003820/99099*ep^3*z3^2;
Fill mncnoptab(13,8,1,2)=
      +mncF321*(2538950544000+1762138431232400/77*ep+385993808600901520/
         4851*ep^2+6704953375956796132/43659*ep^3)
      -562028860863352888541395812629214174249409/
      44878671191611957646544998400-46944847514450/53361*ep^-3-
         162997727274670659734393/14906452552992*ep^-2-
         78681690973873690774223639087591/1735055625164771669760*ep^-1-
         1781701330858086520/53361*z3+380543119773920299017465735007124\
         78381760700655553410326440964208133995809577/33978646982368248\
         7865952516288731331474216210923520000000000000*ep-
         890850665429043260/17787*ep*z4-333853934145674180145729617/
         573325098192*ep*z3-2182784739949177326489691973261649908383464\
         52486957810902416412443102380814863972829629/47459857298170676\
         9864904138631772794836548194406317110067200000000000000*ep^2-
         19213927532291826160/5929*ep^2*z5-333853934145674180145729617/
         382216732128*ep^2*z4+781469767964344883340513656631477253/
         867527812582385834880*ep^2*z3-21036045645378879448456606538124\
         42095618260926518749194158382052950106313129964038590031888047\
         9536632666256577019178245517623/304834143840252832186634616248\
         66469959787093126211538236115999757056687059716609940891946188\
         8000000000000000*ep^3-427859116149420872300/53361*ep^3*z6-
         23922223971182694163010102489/2484408758832*ep^3*z5+7814697679\
         64344883340513656631477253/578351875054923889920*ep^3*z4+
         10453443522185495744669344334684176086373453/
         5178308214416764343832115200*ep^3*z3-62413728857986404400/
         53361*ep^3*z3^2;
Fill mncnoptab(13,8,2,1)=
      +mncF321*(1562431104000+1089887680530400/77*ep+240614103820390820/
         4851*ep^2+4220515054764185882/43659*ep^3)
      -41705567005730929444226661199652168655827/
      5402062273064402309306342400-723081966964900/693693*ep^-3-
         600420342323701450376809/48445970797224*ep^-2-2809036067472980\
         00819391178555549/5638930781785507926720*ep^-1-
         14248047520936319840/693693*z3+5256910636710459962805847756192\
         59527964337350458746230734409559914249010619588597/
         76329632581192034074207573259100606302367929621859532800000000\
         00000*ep-7124023760468159920/231231*ep*z4-
         8700676992683327000200632379/24222985398612*ep*z3-
         29834366580576245351229406445146444133344998597443664412732444\
         32464091816754609572770645689/10661382343461060878245206570224\
         144063208218639143507560549580800000000000000*ep^2-
         153704003853281130320/77077*ep^2*z5-
         8700676992683327000200632379/16148656932408*ep^2*z4+1518147512\
         244455737685222830519450043/2819465390892753963360*ep^2*z3-
         18275650242688573172495346706599242138190068493095509758705559\
         75420503101302719706011979210794377004012017667096929203766302\
         7567/890213246939567150891272802523300495529654437983380793416\
         94276410527784354231610342585568294076416000000000000000*ep^3-
         3422719967896484632600/693693*ep^3*z6-
         48570981926238419962525576531/8074328466204*ep^3*z5+1518147512\
         244455737685222830519450043/1879643593928502642240*ep^3*z4+
         277791879964353386567347192640480498660330729/
         218783522059108293526906867200*ep^3*z3-499354363830223976240/
         693693*ep^3*z3^2;
Fill mncnoptab(13,9,1,1)=
      +mncF321*(15868440900+24301288296025/154*ep+12214142217039673/
         19404*ep^2+1234711806839205851/873180*ep^3)
      -569607272680819361123757732522824569776569/
      7180587390657913223447199744000-42907229921891/853776*ep^-3-
         1073286548347405704037217/2385032408478720*ep^-2-
         84897625503350709183811662712879/55521780005272693432320*ep^-1
         -44592895324234897/213444*z3+530284086828919885409447389308855\
         6063252067508516759611739/831888832505690308528583749092590443\
         5609600000*ep-44592895324234897/142296*ep*z4-
         4575134110714235640990563021/1192516204239360*ep*z3-
         70692352055806567937275785394033726734644606933290311130001691\
         69371/3227625515906847691492647402094363439801523240960000000*
         ep^2-240151215361436783/11858*ep^2*z5-
         4575134110714235640990563021/795010802826240*ep^2*z4+312270317\
         553840540466987022241768097/138804450013181733580800*ep^2*z3-
         51102742706160760841889937121233563640470187804577279622473597\
         32137047717247050554147573037466678289/51046902574345861791667\
         39169512066220980071875964929036015104474805698560000000000000\
         00*ep^3-21390644905908135985/426888*ep^3*z6-
         31411233334901640916288700729/397505401413120*ep^3*z5+31227031\
         7553840540466987022241768097/92536300008787822387200*ep^3*z4+
         194894096361838287420091405045900894008069217/
         10770881085986869835170799616000*ep^3*z3-778852461511883567/
         106722*ep^3*z3^2;
Fill mncnoptab(14,1,1,8)=
      +mncF321*(465844843008000+3785626612071109360/1001*ep+
         233576589376865850796/21021*ep^2+345586906371992005605238/
         19864845*ep^3)
      -48891679613236236994850508848350783058298635803/
      21331393400763058618873419552000-1031209869915362/9018009*ep^-3-
         2064526217944570413108373/3148988101819560*ep^-2+
         20311557826585850166176563253809/18326525040802900761840*ep^-1
         -7897543302435911047856/1288287*z3+178703525237285179987147117\
         046652962581971831238661915444132398865180862707/7911438273679\
         721503156286702005109336561418240000000000000*ep-
         3948771651217955523928/429429*ep*z4-
         5702039036612704891859388856993/56231930389635*ep*z3-
         29675544670683926992735301398880973489870249158771339018517101\
         32597381300187004656923/28415169807611908970162058091000352262\
         586812589513113600000000000000*ep^2-5362436028443473418602024/
         9018009*ep^2*z5-5702039036612704891859388856993/37487953593090
         *ep^2*z4+1386390393207096677346214981652553394709/
         5390154423765559047600*ep^2*z3+1028408383413587197347699362263\
         10303358688235694981058182265492169880696563382972246722792066\
         23268547878329781/64070762630749808242645237174419479407513192\
         706325898261573725209490987417600000000000000000*ep^3-
         13267883063316055103167580/9018009*ep^3*z6-1080139336832524670\
         30283097568381/87471891717210*ep^3*z5+138639039320709667734621\
         4981652553394709/3593436282510372698400*ep^3*z4+21631963234390\
         4658098219370559714985753346831811/
         1333212087547691163679588722000*ep^3*z3-
         644966817585209582607688/3006003*ep^3*z3^2;
Fill mncnoptab(14,2,1,7)=
      +mncF321*(1630456950528000+1897966393380737600/143*ep+
         117674520968066618000/3003*ep^2+65042513499239136560/1053*ep^3
         )
      -244459263789031790839364265036426542208351851/
      30473419143947226598390599360+37359471231800/1288287*ep^-3+
         11187355342284772389467/22492772155854*ep^-2+
         2147139349806668392557803377027/1309037502914492911560*ep^-1-
         27641428101425900633920/1288287*z3+309492962452606864773469182\
         1380308724373965782187971011836770145141025647269/
         39234275520493312760550564665045746301722951680000000000000*ep
         -13820714050712950316960/429429*ep*z4-
         3996761831678355646859126184436/11246386077927*ep*z3-
         39867983273780248283981033074188808116981105670325404512417189\
         111843762506192902334897/1096013692579316488849107954938585015\
         84263419988122009600000000000000*ep^2-
         2681218343796207848327840/1288287*ep^2*z5-
         1998380915839177823429563092218/3748795359309*ep^2*z4+34356456\
         575445790177810784273598454133/38501103026896850340*ep^2*z3+
         45449127803149561964245991972967088509084344698459238098894338\
         2240037568481691495326449052509440430875288431113789/
         25242572909931123431107475584738123468613105820318805427340423\
         7789637451448320000000000000000000*ep^3-
         6633942289236954869234800/1288287*ep^3*z6-
         5458177838203933763166282672418/1249598453103*ep^3*z5+34356456\
         575445790177810784273598454133/25667402017931233560*ep^3*z4+
         2796124633832988238404109021777551693662597933/
         4761471741241754155998531150*ep^3*z3-322483293035552043986720/
         429429*ep^3*z3^2;
Fill mncnoptab(14,2,2,6)=
      +mncF321*(4891370851584000+5717407477083828000/143*ep+
         119009180645622683480/1001*ep^2+5113977851162163459604/27027*
         ep^3)
      -97783484675069325027994579661508153934880147/
      4063122552526296879785413248-1142230716718660/429429*ep^-3-
         384907595035481508485753/14995181437236*ep^-2-
         3727564080044893219503445127206/54543229288103871315*ep^-1-
         27641393154597895699360/429429*z3+9254519361782541927560890210\
         86444300454766203803971954011295555601244657710697/
         3923427552049331276055056466504574630172295168000000000000000*
         ep-13820696577298947849680/143143*ep*z4-
         572124129752372300342468003938/535542194187*ep*z3-
         66485729919094394646716691530092743852923541427590556884512374\
         632414555717680688427515107/6137676678444172337555004547656076\
         0887187515193348325376000000000000000*ep^2-
         383031141647084896186160/61347*ep^2*z5-
         286062064876186150171234001969/178514064729*ep^2*z4+6779490094\
         2444545891449732228387793641/25667402017931233560*ep^2*z3+
         60067184871031993381354373793716389353921025003611006388683010\
         04507173652061937517623844642101421986975693575917501/
         23865705296662153062137976916479680370325118230119597858576400\
         66374754086420480000000000000000000*ep^3-
         6633941495937490944009400/429429*ep^3*z6-
         5545581353438342454338465678953/416532817701*ep^3*z5+677949009\
         42444545891449732228387793641/17111601345287489040*ep^3*z4+
         23524940230300063651886496836787884184882015007/
         12697257976644677749329416400*ep^3*z3-322483442508517881256080/
         143143*ep^3*z3^2;
Fill mncnoptab(14,3,1,6)=
      +mncF321*(1956548340633600+2293193317508148960/143*ep+
         4359686766657748616/91*ep^2+314155236239518036264/4095*ep^3)
      -5045581518286834453139101943363303782779617/
      524138616166962961788624000-105996999869732/143143*ep^-3-
         153964615943024804573/25791505740*ep^-2-
         2322353837610820887154313666/281440811600123175*ep^-1-
         3685519814978828284064/143143*z3+91471296625627685607594687693\
         84893892845417794990576743903227234486125098259/97174676211748\
         143060187157065128783409840128000000000000000*ep-
         5528279722468242426096/143143*ep*z4-
         2759025119055755285005546142/6447876435*ep*z3-
         81934968700743758578790760360037662084439626995216425245920974\
         866002986184733471920869/1900209497970331993051084999274326962\
         45162585737920512000000000000000*ep^2-357495740706949487097808/
         143143*ep^2*z5-1379512559527877642502773071/2149292145*ep^2*z4
         +2357449333097342274484237145867832031/2251526492800985400*
         ep^2*z3-256409911795688914783379831419914894919921985869449316\
         88313413245354542179222230389019349365679349514131187732972291/
         55533660401848471548436446286423871630948832804701371940148932\
         313720239318630400000000000000000000*ep^3-
         884525552229926647034360/143143*ep^3*z6-
         34696563742180361275834242829/6447876435*ep^3*z5+2357449333097\
         342274484237145867832031/1501017661867323600*ep^3*z4+294986695\
         1325240025364494655211479413014503/3853960412992374719034000*
         ep^3*z3-128993371149044892742704/143143*ep^3*z3^2;
Fill mncnoptab(14,3,2,5)=
      +mncF321*(4891370851584000+5763210909344013600/143*ep+
         121610889984178134520/1001*ep^2+1773410559729103002824/9009*
         ep^3)
      -2144422715927217910602334686839787688861829/
      89103564748383703504066080-1886709979838540/143143*ep^-3-
         42958994844790623602429/263073358548*ep^-2-
         3510670667181803163641154329681/5103460050348900240*ep^-1-
         9213770812761756116320/143143*z3+58039566927356759459855600285\
         77068978616207884476951684683518622943752649077/24779542433995\
         776480347725051607839769509232640000000000000*ep-
         13820656219142634174480/143143*ep*z4-
         10076842382343761160718534996/9395477091*ep*z3-
         33114981115489510145525772353239245474091651854141700802763450\
         965678006903704175135892031/3101141900687581812659370718815701\
         6027210533992428627558400000000000000*ep^2-
         127677003191376767573520/20449*ep^2*z5-
         5038421191171880580359267498/3131825697*ep^2*z4+19300018289742\
         381621610972346872589/7505088309336618*ep^2*z3+
         13134480830654696036537951710679887254987013625699003162171505\
         309988078741946868283885284246282275372529691095782622041/
         46638866682143461771388997412048705067038364694862238314949360\
         26558008842240026214400000000000000000*ep^3-
         2211313128817189042245800/143143*ep^3*z6-
         300835347196745960068655397193/21922779879*ep^3*z5+19300018289\
         742381621610972346872589/5003392206224412*ep^3*z4+180868365534\
         1971528112364183292268823282462771/891035647483837035040660800
         *ep^3*z3-322483689048832262577040/143143*ep^3*z3^2;
Fill mncnoptab(14,3,3,4)=
      +mncF321*(3913096681267200+4651844492499464640/143*ep+
         99648290192190842464/1001*ep^2+22226624571218077824292/135135*
         ep^3)
      -71277708032174836675098967692915692438659/
      3702364186220929508479200-52520067494535896/429429*ep^-3-
         2642100035732558885743813/1973050189110*ep^-2-
         1357292672017205884756906748017/302178555612763830*ep^-1-
         22111961033657725811648/429429*z3+1075584956723405562141579197\
         002103815685200555793230499347763804575456147/5780327729172363\
         663588913847874696549236736000000000000*ep-
         11055980516828862905824/143143*ep*z4-
         24290717301125045983770127616/28186431273*ep*z3-
         22718530527291757288024108541981305759701733724991771594386403\
         1291698559013887181/270411129990176512808178783613303584184877\
         533102080000000000000*ep^2-306423170197690734250528/61347*ep^2
         *z5-12145358650562522991885063808/9395477091*ep^2*z4+354499448\
         44611881527589672504349281/17775209153691990*ep^2*z3+
         22062213212732926282701865639552243757257746211146080886562691\
         640346327057537961787871509346797140650152665659915665667/
         74591503226507076030425429413612106590769910903427698252395983\
         42475341773345726136320000000000000000*ep^3-
         5307125575875443534855120/429429*ep^3*z6-
         248739258617252687777820083942/21922779879*ep^3*z5+35449944844\
         611881527589672504349281/11850139435794660*ep^3*z4+32954598513\
         635730436129954081346316788929571/18511820931104647542396000*
         ep^3*z3-257991032093600848142432/143143*ep^3*z3^2;
Fill mncnoptab(14,4,1,5)=
      +mncF321*(1019035594080000+1208652485784393600/143*ep+
         77371730600629835320/3003*ep^2+381551772362291248636/9009*ep^3
         )
      -28592721920671936224131521740694611603492181/
      5702628143896557024260229120+302577096048460/429429*ep^-3+
         8748905853044376396599/3156880302576*ep^-2-
         2638060338942215612082846667151/91862280906280204320*ep^-1-
         1919546934675807660560/143143*z3+30783496384951859493565564593\
         8122763048778409691734871114877036514585342487/634356286310291\
         8778969017613211606980994363555840000000000*ep-
         2879320402013711490840/143143*ep*z4-
         353850454671400332444914388205/1578440151288*ep*z3-
         10904052299296200813990865491653274631091062650157896344868638\
         241280505994435735515447/4961827041100130900254993150105122564\
         3536854387885804093440000000000*ep^2-558587246171914129441760/
         429429*ep^2*z5-353850454671400332444914388205/1052293434192*
         ep^2*z4+282922922127228722326009960398815287/
         540366358272236496*ep^2*z3+23406000296687094340882997352256121\
         96337186744853177447681511903307557808848740411677820284251606\
         862605272019723579245598027/9829958677018635686649970810065106\
         17047264854128963774587166390505781329343896023757907558400000\
         000000000*ep^3-1382071513419716766150200/429429*ep^3*z6-
         1541676677889689951518755263465/526146717096*ep^3*z5+282922922\
         127228722326009960398815287/360244238848157664*ep^3*z4+
         6464431453844897892800091742536376953364817659/
         14256570359741392560650572800*ep^3*z3-201551919779580558692960/
         429429*ep^3*z3^2;
Fill mncnoptab(14,4,2,4)=
      +mncF321*(2038071188160000+2432235505181868000/143*ep+
         157315876444699125800/3003*ep^2+786196525812018472280/9009*
         ep^3)
      -714800878560288594314971217574637477563949/
      71282851798706962803252864-20253393798918100/429429*ep^-3-
         418614103387924021160615/789220075644*ep^-2-
         17275554944944321303447992832687/9186228090628020432*ep^-1-
         3838932932960401574400/143143*z3+34465528021684264332466916425\
         601054806915157193093615851361574845059546200337/
         356825411049539181317007240743152892680932950016000000000000*
         ep-5758399399440602361600/143143*ep*z4-
         12675898431224857862364388075/28186431273*ep*z3-
         15156216274605913180216640510644161783081955610239058775302016\
         79119358147045273091843359/34887846382735295392417920586676643\
         03061185074148220600320000000000000*ep^2-
         159595634717129684501200/61347*ep^2*z5-
         12675898431224857862364388075/18790954182*ep^2*z4+345951934278\
         74653646765751129738176/33772897392014781*ep^2*z3+
         21926674460195878227532713160176453930501690352252234949526694\
         76691011844036947777920088139161268241566035115442725035417/
         12755147051732710001202748429727670227021654764486136401159713\
         16563283443242119169310720000000000000000*ep^3-
         2764131610552566466963000/429429*ep^3*z6-
         394176003196851119047313733950/65768339637*ep^3*z5+17297596713\
         937326823382875564869088/11257632464004927*ep^3*z4+17153429550\
         4764453979804834938008534924077249/178207129496767407008132160
         *ep^3*z3-403109341243494463810000/429429*ep^3*z3^2;
Fill mncnoptab(14,4,3,3)=
      +mncF321*(1222842712896000+1473483590804656800/143*ep+
         32281259081800556200/1001*ep^2+54891172242010603600/1001*ep^3)
      -11876997393830412885994256967828196572097/
      1974594232651162404522240-24007376605107860/143143*ep^-3-
         482578641802233952938569/263073358548*ep^-2-
         4942526000285597262804107288429/805809481634036880*ep^-1-
         2302931438174187639680/143143*z3+14769731972521358312155839741\
         1509476179817555809481448994389840703117913/256903454629882829\
         4928406154610976244105216000000000000*ep-
         3454397157261281459520/143143*ep*z4-
         2547099672858593047057037722/9395477091*ep*z3-
         10147080757763502957749897302243413401602601153127851690983654\
         10946412467795288407/39660299065225888545199554929951192347115\
         37152163840000000000000*ep^2-31918470548896945510480/20449*
         ep^2*z5-1273549836429296523528518861/3131825697*ep^2*z4+
         20668061883772718777973545306425/34853351281749*ep^2*z3+
         12143097916996671137499417634668867073623232409787404455546321\
         15664772921583778139107177876738556673851302843354644739/
         29002914280908693867792335403639811614199398651155673307110283\
         99199385152328050933760000000000000000*ep^3-
         552815906010261077334200/143143*ep^3*z6-
         81595029116974849119236738891/21922779879*ep^3*z5+
         20668061883772718777973545306425/23235567521166*ep^3*z4+
         3104906355736649498012048181814973843957443/
         4936485581627906011305600*ep^3*z3-80626493995520564097360/
         143143*ep^3*z3^2;
Fill mncnoptab(14,4,4,2)=
      +mncF321*(254758898520000+311325964477326000/143*ep+
         20938639229915462800/3003*ep^2+36658526624365685560/3003*ep^3)
      -17144133230068571607655181066364628693290025/
      13686307545351736858224549888-80153408549734475/858858*ep^-3-
         6453112081254276242367595/6313760605152*ep^-2-1006710983856879\
         213223969228312451/293959298900096653824*ep^-1-
         479587196722112015800/143143*z3+846381516873581132638618341572\
         2741748959582400616770616530254800647655045456397/
         714364472921177440996648495967792091147227765932032000000000000
         *ep-719380795083168023700/143143*ep*z4-
         25645021336982181296482361935/450982900368*ep*z3-
         51704474869568242980568974144052394692548373162559686594944744\
         115445365438684237118081597/9977924065462294482231525287789519\
         90675498931206391091691520000000000000*ep^2-
         19948186995339096601150/61347*ep^2*z5-
         25645021336982181296482361935/300655266912*ep^2*z4+10104856789\
         35046301067678238829287403/8645861732355783936*ep^2*z3+
         48253004701063755790681255317865742566127397340781655967414971\
         07741905353333092773162107594592835453147463528706946983563761/
         33196545716839551049130273063209234532846558690051618597658269\
         484876014893819393500480798720000000000000000*ep^3-
         345496368443018350401625/429429*ep^3*z6-
         856652218407574918479793895705/1052293434192*ep^3*z5+101048567\
         8935046301067678238829287403/5763907821570522624*ep^3*z4+
         1001033952379472733296155246781389976225218517/
         6843153772675868429112274944*ep^3*z3-50397986670418026418750/
         429429*ep^3*z3^2;
Fill mncnoptab(14,5,1,4)=
      +mncF321*(239773080960000+289731782657811600/143*ep+
         19127955571820482220/3003*ep^2+98096209639603164986/9009*ep^3)
      -6728174126840721669818672620474764237895769/
      5702628143896557024260229120-369302626849690/429429*ep^-3-
         39408057872749692887591/3156880302576*ep^-2-
         3023043473571967431051867556823/45931140453140102160*ep^-1-
         451653245291916301360/143143*z3+801841431815953635932529644932\
         0911781663189117116801669825456580924037706269/713650822099078\
         362634014481486305785361865900032000000000000*ep-
         677479867937874452040/143143*ep*z4-
         84034417203424428872815745045/1578440151288*ep*z3-
         34824726723343050489706225792179045300136035801582871198789676\
         2910659817266375645722583/697756927654705907848358411733532860\
         6122370148296441200640000000000000*ep^2-
         131432155779548800091560/429429*ep^2*z5-
         84034417203424428872815745045/1052293434192*ep^2*z4+1056512403\
         490000304197931631616824991/9186228090628020432*ep^2*z3-
         34686856984530981916693497184717976337584408597813886319022722\
         04739196351932192970814078468633165313939090558427072998470154\
         461/3953486505413432540224535135173059887936968335199926180917\
         759826815439283954981820551334461440000000000000000*ep^3-
         325192990109182627968700/429429*ep^3*z6-
         387839100887446547530224500125/526146717096*ep^3*z5+1056512403\
         490000304197931631616824991/6124152060418680288*ep^3*z4+
         1802833091681400037745767372940547420121030439/
         14256570359741392560650572800*ep^3*z3-47424180324675668719960/
         429429*ep^3*z3^2;
Fill mncnoptab(14,5,2,3)=
      +mncF321*(359659621440000+437575035374604000/143*ep+
         9737980718314628200/1001*ep^2+50656532882763899680/3003*ep^3)
      -841044199859293651445896029343497166746577/
      475219011991379752021685760-5162657818322700/143143*ep^-3-
         54339370444048199073035/131536679274*ep^-2-
         4640776176980902287538665822347/3062076030209340144*ep^-1-
         677375896394655440000/143143*z3+132879572373117214557040908331\
         7719504768359407417162768658301239444861333379/792945357887864\
         84737112720165145087262429544448000000000000*ep-
         1016063844591983160000/143143*ep*z4-
         1505606177002589878616870245/18790954182*ep*z3-
         57254051764297093532584943077458837284106317712352807084416163\
         665095430128237860299713/7752854751718954531648426797039254006\
         80263349810715688960000000000000*ep^2-9387850271811910046000/
         20449*ep^2*z5-1505606177002589878616870245/12527302788*ep^2*z4
         +128569541928779806031863702654755155/765519007552335036*ep^2*
         z3-22873866780301945672517912067963940607947504962400250521682\
         33690623294469898424256263864859554872563156103877483051580353\
         713550831/1254616978679033853126143866618641816215197251351612\
         1294799126490408417932115359530751851505909760000000000000000*
         ep^3-162593940015721787205000/143143*ep^3*z6-
         49641223775052665563401228485/43845559758*ep^3*z5+128569541928\
         779806031863702654755155/510346005034890024*ep^3*z4+9510873726\
         183322704853251098909119158843343/47521901199137975202168576*
         ep^3*z3-23713189525053270679600/143143*ep^3*z3^2;
Fill mncnoptab(14,5,3,2)=
      +mncF321*(143863848576000+176818831755616800/143*ep+
         4000626874704601000/1001*ep^2+1011954229489342060/143*ep^3)
      -2017028846482166702177440434848987852580619/
      2851314071948278512130114560-7932660923569260/143143*ep^-3-
         319777301137281529910923/526146717096*ep^-2-
         31297691963364524700100941151271/15310380151046700720*ep^-1-
         270816565439006459680/143143*z3+195114277352414783492986189237\
         5496309874713996531057488321176940998068415525143/
         293072604275354847588368613730376242521939596279808000000000000
         *ep-406224848158509689520/143143*ep*z4-
         1210295039966187134068846843/37581908364*ep*z3-
         11841410486580459697873252864329152225719110717831132702828766\
         321218906408342809542568243/4093507308907607992710369348836726\
         11559179048700057883770880000000000000*ep^2-
         3754939256941152190480/20449*ep^2*z5-
         1210295039966187134068846843/25054605576*ep^2*z4+6490797841437\
         19615820687747673280/10072618520425461*ep^2*z3+
         67605896963330190525585037701654106978614074908014542406747508\
         629751543805741442153854758807332068897632838992100740101661/
         71679450940544239782197620649304689949466253581757880912622444\
         2318510443051430898795806720000000000000000*ep^3-
         65034395582872647184200/143143*ep^3*z6-
         41103944763905434349950960829/87691119516*ep^3*z5+324539892071\
         859807910343873836640/3357539506808487*ep^3*z4+323122066496576\
         66719901500519653596171387383/375172904203720856859225600*ep^3
         *z3-9486785180369672470160/143143*ep^3*z3^2;
Fill mncnoptab(14,5,4,1)=
      +mncF321*(14985817560000+18686358811767600/143*ep+
         1298075757085419320/3003*ep^2+788692575484092204/1001*ep^3)
      -5069026729469307814323748263672855335663053/
      68431537726758684291122749440-1127611437053275/858858*ep^-3-
         161837551945372726202723/6313760605152*ep^-2-
         49040007415464893944908545568739/293959298900096653824*ep^-1-
         28225479592871029720/143143*z3+1522417468351602681701841425800\
         37516100172323082494758718137155086551582723803153/
         22288171555140736159095433074195113243793506297079398400000000\
         0000*ep-42338219389306544580/143143*ep*z4-
         1524391371705654730436426615/450982900368*ep*z3-
         91077297975328056295086241640958178867493563573999463072418556\
         0421350060370367770253604673/311311230842423587845623588979033\
         021090755666536394020607754240000000000000*ep^2-
         1173486667770192003710/61347*ep^2*z5-
         1524391371705654730436426615/300655266912*ep^2*z4+462540490205\
         4881337429663021675472711/734898247250241634560*ep^2*z3+
         77176080944192417038348972488836311473922168700805798148998717\
         461811913257745655391529764634923499439122451280112543610691589
       /103573222636539399273286451957212811742481263112961050024693800\
         79281316646871650772150009200640000000000000000*ep^3-
         20324325589031827342025/429429*ep^3*z6-
         53904653645900591133452347345/1052293434192*ep^3*z5+4625404902\
         054881337429663021675472711/489932164833494423040*ep^3*z4+
         1685288245220910519247341596611425219105826669/
         171078844316896710727806873600*ep^3*z3-2964078457839011337470/
         429429*ep^3*z3^2;
Fill mncnoptab(14,6,1,3)=
      +mncF321*(23977308096000+29817296154755520/143*ep+
         187391901973723184/273*ep^2+167857004673335522528/135135*ep^3)
      -187096159625867212961395018611402015478511/
      1584063373304599173405619200+133432954340032/429429*ep^-3-
         8052848387795184058543/7892200756440*ep^-2-
         8151449217781309906389856111513/229655702265700510800*ep^-1-
         135502716460590096736/429429*z3+173639924244299511559961993778\
         047500598535069241861095378519026453979885799/1585890715775729\
         69474225440330290174524859088896000000000000*ep-
         67751358230295048368/143143*ep*z4-4263077307432989141355254795/
         789220075644*ep*z3-7307242009419700505862293482929249330601283\
         661041544640777537706695939893281333104853/1550570950343790906\
         329685359407850801360526699621431377920000000000000*ep^2-
         4381092144143855402784/143143*ep^2*z5-
         4263077307432989141355254795/526146717096*ep^2*z4+234167122975\
         520669942413834088586859/22965570226570051080*ep^2*z3+
         31400401744438827157846033572903493860229359124001396689560296\
         149624291507227653428152092257579670452885446059947256572458983
       /125507508108362937784905877307081266283713280482537339076754280\
         216363151871586724461947125760000000000000000*ep^3-
         32519434289927440279040/429429*ep^3*z6-
         21374307840196451797612319447/263073358548*ep^3*z5+23416712297\
         5520669942413834088586859/15310380151046700720*ep^3*z4+
         555061850983390179907048024570817865640140617/
         35641425899353481401626432000*ep^3*z3-4742319916991405004832/
         429429*ep^3*z3^2;
Fill mncnoptab(14,6,2,2)=
      +mncF321*(23977308096000+30034622509166400/143*ep+
         2100505792933602400/3003*ep^2+3155392723320560852/2457*ep^3)
      -186771423358278960562582281782292262290707/
      1584063373304599173405619200-4585928691925520/429429*ep^-3-
         184273302211092796027103/1578440151288*ep^-2-
         17998439732354477889555985934993/45931140453140102160*ep^-1-
         135391282584233752480/429429*z3+103895877957512689278335747670\
         521241151012429017611822328494572791540427396207/
         95248596389490325466219799462372278819630368790937600000000000
         *ep-67695641292116876240/143143*ep*z4-
         87280279710035469020158223/16106532156*ep*z3-
         61674519369052918199163177844122398767124029773636504425730501\
         2662743441880625902066463/133038987539497259763087003837193598\
         756733190827518812225536000000000000*ep^2-
         625815182336854203360/20449*ep^2*z5-87280279710035469020158223/
         10737688104*ep^2*z4+226542283525815442346125305608728537/
         22965570226570051080*ep^2*z3+378498033594867542610695427798634\
         33930243863401747245519533065186541163864279666119383031681951\
         19209507057253819673973378029689613137/
         75352295739462773218756200629115627481884746916177824496563553\
         701392958100284849341695620144494018560000000000000000*ep^3-
         32516818866224261295200/429429*ep^3*z6-
         21877252740952419576298636043/263073358548*ep^3*z5+22654228352\
         5815442346125305608728537/15310380151046700720*ep^3*z4+
         115847039857029117456809644883807475874516129/
         7128285179870696280325286400*ep^3*z3-4743606542617573438240/
         429429*ep^3*z3^2;
Fill mncnoptab(14,6,3,1)=
      +mncF321*(4795461619200+6070085779212480/143*ep+39236117868885424/
         273*ep^2+3309358819073839568/12285*ep^3)
      -1692265739485925801689255932746500458147583/
      71282851798706962803252864000-293822206922432/429429*ep^-3-
         98375910122177504498459/7892200756440*ep^-2-
         17774718958231760470376068205549/229655702265700510800*ep^-1-
         27095409014448413920/429429*z3+3203703743116600717985426140213\
         3565037219310195868167230493574405667990628672057/
         14858781036760490772730288716130075495862337531386265600000000\
         0000*ep-13547704507224206960/143143*ep*z4-
         87773099624461930982440451/80532660780*ep*z3-
         18807714617592370977948202624803797758729296687998358147512031\
         0899874088868410382636660837/207540820561615725230415725986022\
         014060503777690929347071836160000000000000*ep^2-
         125171128779898879840/20449*ep^2*z5-87773099624461930982440451/
         53688440520*ep^2*z4+215114686762492972270110165096707557/
         114827851132850255400*ep^2*z3+18657463493059485786350008536241\
         88048264601633602022269400721762842816246333965593117671306322\
         937793597174437730183002235584459109533/
         12373640142480202760132597155938987249656863704130253285751488\
         81833400154067835420768896499214849146880000000000000000*ep^3-
         6503745738408570156800/429429*ep^3*z6-
         22622829643874418211216774751/1315366792740*ep^3*z5+2151146867\
         62492972270110165096707557/76551900755233503600*ep^3*z4+
         8184757540114852573756766234774985007052243/
         2376095059956898760108428800*ep^3*z3-948505124249036611744/
         429429*ep^3*z3^2;
Fill mncnoptab(14,7,1,2)=
      +mncF321*(841309056000+1096654960249600/143*ep+244382116622682320/
         9009*ep^2+4334793265312880684/81081*ep^3)
      -62443353647809957146089165179083612666823/
      15048602046393692147353382400-336049262646640/1288287*ep^-3-
         147756039478326387253637/44985544311708*ep^-2-
         36136663875706112018361404366557/2618075005828985823120*ep^-1-
         14254238799696386240/1288287*z3+613054173503997768070970435620\
         057815110876249694061458242220981063172546658881/
         16705138443695226312537010982631445823750556987949056000000000\
         000*ep-7127119399848193120/429429*ep*z4-
         4365603834972092856433780289/22492772155854*ep*z3-
         34682603701669972349542408752739800037610978658200315929822268\
         25742660497220069670961821/23332991660773365558449105288369338\
         858873205775903299374940160000000000000*ep^2-
         153712259237324837120/143143*ep^2*z5-
         4365603834972092856433780289/14995181437236*ep^2*z4+3651749658\
         42689057652903972270467729/1309037502914492911560*ep^2*z3-
         76192553763518795901738436862365848406679344180160549055995013\
         85304561938597898548188672972431490887627316613866203208778954\
         79/38965562997354791116453018292265678255506759911730472439125\
         440853092969582660300823353952451952640000000000000*ep^3-
         3422890235840567869600/1288287*ep^3*z6-
         24743364708689267706058011101/7497590718618*ep^3*z5+3651749658\
         42689057652903972270467729/872691668609661941040*ep^3*z4+
         142661545521605854992827265605988348301254823/
         203156127626314843989270662400*ep^3*z3-499304845422979189760/
         1288287*ep^3*z3^2;
Fill mncnoptab(14,7,2,1)=
      +mncF321*(420654528000+552409331384000/143*ep+124506203999218960/
         9009*ep^2+2239685313126897544/81081*ep^3)
      -563560996815104113294335556285162228799461/
      270874836835086458652360883200-425957540700320/1288287*ep^-3-
         352349354060928997070075/89971088623416*ep^-2-
         2578345288630820833400548820234/163629687864311613945*ep^-1-
         7122995041332658720/1288287*z3+1550036409361514354113187350815\
         52567975531093826356909846204934776843729424233177/
         84695051909534797404562645681941430326415323928901713920000000\
         00000*ep-3561497520666329360/429429*ep*z4-
         89404379724163144261474739/918072332892*ep*z3-
         86310189216384504757961366875228982669175608327884304887220836\
         1796607342261435299906499157/118298267720120963381336963812032\
         54801448715328382972783094661120000000000000*ep^2-
         10978661353613565280/20449*ep^2*z5-89404379724163144261474739/
         612048221928*ep^2*z4+87108193373352595660780344322647143/
         654518751457246455780*ep^2*z3+26621022928916996955993435621634\
         50005381886178690972987304550514266833498586636725673934686008\
         27985156164652619012339023110910886517/
         28211899524854862293102321515540890929217649245416977491513394\
         50580152351274664759353084018209856054886400000000000000*ep^3-
         1711331675590804884800/1288287*ep^3*z6-
         25283068670105421597574651439/14995181437236*ep^3*z5+871081933\
         73352595660780344322647143/436345834304830970520*ep^3*z4+
         29367962444053630319406817359823943569562057/
         81262451050525937595708264960*ep^3*z3-249685391642465444320/
         1288287*ep^3*z3^2;
Fill mncnoptab(14,8,1,1)=
      +mncF321*(6009350400+60396955781600/1001*ep+15389546795796136/
         63063*ep^2+32290228095561668/57915*ep^3)
      -570259839693000216850172747085693906962509/
      18961238578456052105665261824000-171636158640824/9018009*ep^-3-
         1082611166300768511182267/6297976203639120*ep^-2-
         2168219264589936730288818299263/3665305008160580152368*ep^-1-
         713486383099384432/9018009*z3+16768721399146233797170053182812\
         44353302819633205246610603479/70294606346730831070665326798323\
         89248090112000000*ep-356743191549692216/3006003*ep*z4-
         4599098982712985563272431771/3148988101819560*ep*z3-
         13188005481182072124392000037570040318926879745170174294915150\
         74938229/16364061365647717795867722328618422639793722831667200\
         00000*ep^2-7684839306599297296/1002001*ep^2*z5-
         4599098982712985563272431771/2099325401213040*ep^2*z4+16341098\
         505420355269451596867032647/22908156301003625952300*ep^2*z3+
         76633321492051231169880092378070529362019204317094374437102975\
         3638182405347232488798508018187468998049/155284677631160111570\
         25220553655705444221378646685314127557947812358935019520000000\
         0000000*ep^3-171125168440735728080/9018009*ep^3*z6-
         32185321992507470449994727479/1049662700606520*ep^3*z5+1634109\
         8505420355269451596867032647/15272104200669083968200*ep^3*z4+
         197806170635040502605507412558193416172814037/
         28441857867684078158497892736000*ep^3*z3-24923278739424461104/
         9018009*ep^3*z3^2;
Fill mncnoptab(15,1,1,7)=
      +mncF321*(58230605376000+484405519525744940/1001*ep+
         31088128781964522809/21021*ep^2+140988613182426385769/57915*
         ep^3)
      -24446018701592321123465375724619284850244260583/
      85325573603052234475493678208000+203017056165139/18036018*ep^-3+
         1129648460976953646833527/12595952407278240*ep^-2+
         3695097872969063957009940339799/36653050081605801523680*ep^-1-
         6910356288121324883428/9018009*z3+3620929678299899802160010349\
         21306307457567661987689389550319789714509105741/13078091840164\
         4375868501882216819154339076505600000000000000*ep-
         3455178144060662441714/3006003*ep*z4-
         2884145199501054018152961531293/224927721558540*ep*z3-
         45688562391878196465835742217874780348636651461179294466884642\
         17764424294652318918051/36533789752643882961636931831286167194\
         7544733293740032000000000000000*ep^2-13679684457007962287234/
         184041*ep^2*z5-2884145199501054018152961531293/149951814372360
         *ep^2*z4+640926600539123081504178343089508927129/
         21560617695062236190400*ep^2*z3+124395146221836653478296781403\
         48703321982698822540588778229350386319101153402664951112822414\
         86375920374214924339/16828381939954082287404983723158748979075\
         403880212536951560282519309163429888000000000000000000*ep^3-
         1658485455263172067977595/9018009*ep^3*z6-
         59005111025011841078945127859681/349887566868840*ep^3*z5+
         640926600539123081504178343089508927129/
         14373745130041490793600*ep^3*z4+284278371058233541790569196947\
         136482807142366317/10665696700381529309436709776000*ep^3*z3-
         80620823381570316172682/3006003*ep^3*z3^2;
Fill mncnoptab(15,2,1,6)=
      +mncF321*(139753452902400+1169815811872092480/1001*ep+
         25290233851457762288/7007*ep^2+633199226799617773024/105105*
         ep^3)
      -135810628288460275504996451805467836366605013/
      197512901858917209434013144000+300369344504/1002001*ep^-3-
         10047376620678145498793/87471891717210*ep^-2-
         4284378165328896058816537353947/5090701400223027989400*ep^-1-
         1842761890815222480192/1002001*z3+3841503225095429287265127100\
         525589820076030655958081812052678003136357585169/
         581248526229530559415563920963640685951451136000000000000000*
         ep-2764142836222833720288/1002001*ep*z4-
         192871198921002969958727789612/6247992265515*ep*z3-
         96352332790108964269666401977455072288429484766080697528476940\
         41745585445424803413347/32474479780127895965899494961143259728\
         6706429594435584000000000000000*ep^2-3647916136991810102176/
         20449*ep^2*z5-96435599460501484979363894806/2082664088505*ep^2
         *z4+10444012664086609820480970742717953161/
         149726511771265529100*ep^2*z3-77274563889003649353682043363761\
         35292428937986970590048132466962851319123191319692467916152909\
         6536055531772528207/106953716329485945204396118773853382400345\
         90021646190151436090667827601646551040000000000000000000*ep^3-
         442262822054458681316080/1002001*ep^3*z6-
         6035154644728479368876801670286/14578648619535*ep^3*z5+
         10444012664086609820480970742717953161/99817674514177019400*
         ep^3*z4+1671750924559631884361543668285722942762997829/
         24689112732364651179251643000*ep^3*z3-64496658599093331560032/
         1002001*ep^3*z3^2;
Fill mncnoptab(15,2,2,5)=
      +mncF321*(279506905804800+2357406175926131520/1001*ep+
         51612832496281407392/7007*ep^2+11822385290308867984376/945945*
         ep^3)
      -244464299988012878393108528698894027076137793/
      177761611673025488490611829600+47252508482552/3006003*ep^-3-
         239296744983454885550081/262415675151630*ep^-2-
         32302653651572886039991743555431/3054420840133816793640*ep^-1-
         11056579418173583785024/3006003*z3+395611008396232619428336538\
         680353061122670373739007789780958735015504569819/3013192359973\
         8864200102833662755133159723226890240000000000*ep-
         5528289709086791892512/1002001*ep*z4-
         33188778032440717893092261560/535542194187*ep*z3-
         19695329074944691948770653795278010892653313493032580332773881\
         1165627140286285454817/336695406360366025374445963757133316866\
         8572262035108134912000000000*ep^2-21887497772989711528352/
         61347*ep^2*z5-16594389016220358946546130780/178514064729*ep^2*
         z4+3045459106570982832475678557175315229/22458976765689829365*
         ep^2*z3+146462942659797290918348192759228327688552099173673596\
         35850614854510076944390713066125460204644915704241662158906137/
         79286073359643885011361295600482798613965219981265805135413912\
         451486150318080445644800000000000000*ep^3-
         2653577028645805702760560/3006003*ep^3*z6-
         2480149702881238523411548518502/2915729723907*ep^3*z5+30454591\
         06570982832475678557175315229/14972651177126552910*ep^3*z4+
         128468813232485845411239186157493459451847877257/
         888808058365127442453059148000*ep^3*z3-
         128993266024197153629216/1002001*ep^3*z3^2;
Fill mncnoptab(15,3,1,5)=
      +mncF321*(109182385080000+924163026790998600/1001*ep+
         20353277470104413740/7007*ep^2+313154503372333371391/63063*
         ep^3)
      -17155458446073419841690179375246464211193221/
      31934717605820719335857283072+113621724213520/1002001*ep^-3+
         7488942479252171531239/9821405385792*ep^-2-
         81101849726863918976115259841/107172661057326905040*ep^-1-
         1439661423072075074660/1002001*z3+2027078095254227657957076575\
         51920959026720538402485145416284269217366453/39647267894393242\
         368556360082572543631214772224000000000*ep-
         2159492134608112611990/1002001*ep*z4-
         17013026518630034455203569095/701528956128*ep*z3-
         20106963432801845024176196952786801087606540512478400138506626\
         90251641462190419089/88604054305359480361696306251877188649172\
         954264081793024000000000*ep^2-2849935151926560173380/20449*
         ep^2*z5-17013026518630034455203569095/467685970752*ep^2*z4+
         32935349191920140212942674836530183/630427417984275912*ep^2*z3
         +1663868314884970762870222515282142968231703094482300672823062\
         670525289895793627126833946941901071024675743971239951/
         79286073359643885011361295600482798613965219981265805135413912\
         45148615031808044564480000000000000*ep^3-
         345517902553323433552400/1002001*ep^3*z6-
         1652351473959631546293398716415/4910702692896*ep^3*z5+32935349\
         191920140212942674836530183/420284945322850608*ep^3*z4+
         23210839225450950499714102225494540805186955671/
         399183970072758991698216038400*ep^3*z3-50387962994949426695820/
         1002001*ep^3*z3^2;
Fill mncnoptab(15,3,2,4)=
      +mncF321*(174691816128000+1491509471421400800/1001*ep+
         33318260269943473400/7007*ep^2+1566057877479293620960/189189*
         ep^3)
      -25733072538871692412175325972176934708182893/
      29938797755456924377366202880-6311718060535780/3006003*ep^-3-
         66036964274370829381051/2762270264754*ep^-2-
         27909082623693789195713216182033/321517983171980715120*ep^-1-
         6910206550381271794240/3006003*z3+2759291095861325059663438594\
         340235809227209331969953263307059621167483927/3398337248090849\
         34587625943564907516838983761920000000000*ep-
         3455103275190635897120/1002001*ep*z4-
         15378140823035224971256130747/394610037822*ep*z3-
         28008844759774618293524389419082935253815507905796820741196178\
         347795002778494963/7845695481584369571578775642137885653704807\
         04817725440000000000*ep^2-13679653558983422905520/61347*ep^2*
         z5-15378140823035224971256130747/263073358548*ep^2*z4+76363999\
         207022081069214903539398285/945641126976413868*ep^2*z3+
         15171842407528763855559680556739852455416879533709424315361927\
         9039395731410478889920196404286031394688417898209961759/
         12147759096888295239240712790216828787639671204272510858247345\
         87203127088802018256486400000000000000*ep^3-
         1658482044599516126440600/3006003*ep^3*z6-
         170261948460651655052174736497/306918918306*ep^3*z5+7636399920\
         7022081069214903539398285/630427417984275912*ep^3*z4+
         7440627530186144691656428075612452045200197963/
         74846994388642310943415507200*ep^3*z3-80621404921785126405360/
         1002001*ep^3*z3^2;
Fill mncnoptab(15,3,3,3)=
      +mncF321*(81886788810000+708359063000134500/1001*ep+
         16162953457622848650/7007*ep^2+260109909009152188310/63063*
         ep^3)
      -712854386523699535056751686789591961398503/
      1769236432455441514451927040-58690406193579025/8016008*ep^-3-
         4883606034843798033500825/58928432314752*ep^-2-
         43042500553933703908068644379515/144401059108819408896*ep^-1-
         1079587496908898686550/1002001*z3+2415957583274144311204149825\
         63065406373299103174316465769382621612631/64225863657470707373\
         210153865274406102630400000000000*ep-1619381245363348029825/
         1002001*ep*z4-77394197508136521110984897405/4209173736768*ep*
         z3-15389789692335293123757482730399271313170131538670567376777\
         662511245538933361/9442928348863306796476084507131236273122707\
         50515200000000000*ep^2-4274833205477767751675/40898*ep^2*z5-
         77394197508136521110984897405/2806115824512*ep^2*z4+1521092620\
         90794726769129749979110851/4247089973788806144*ep^2*z3+
         13936999198527572192331735427104222804900644980755891394352192\
         8752324176049251743029072972604318042688067311245754557/
         40942447326549439510033513478138200728711484429214758818537350\
         90203132040036431901491200000000000000*ep^3-
         1036538260372964112294875/4008004*ep^3*z6-
         296574094977187982348323013235/1091267265088*ep^3*z5+152109262\
         090794726769129749979110851/2831393315859204096*ep^3*z4+
         45129611001420088909170235559134762596239707/
         884618216227720757225963520*ep^3*z3-75585358291475278314525/
         2004002*ep^3*z3^2;
Fill mncnoptab(15,4,1,4)=
      +mncF321*(34253297280000+295124347317751200/1001*ep+
         1824548873233122040/1911*ep^2+106750732635239476712/63063*ep^3
         )
      -672776109401213909916658480196566207914311/
      3991839700727589916982160384-317897562772180/3006003*ep^-3-
         14907071787297285464641/11049081059016*ep^-2-
         1906895723605414723559469302021/321517983171980715120*ep^-1-
         451653754379951631520/1002001*z3+31554754094841004585867808845\
         098011869662729262122235137142732250133649/1999021910641676085\
         8095643739112206872881397760000000000*ep-677480631569927447280/
         1002001*ep*z4-6058415750192310578476813225/789220075644*ep*z3-
         65259009531950875092355350271007442676320860694833822638866862\
         6135482492200935289/949329153271708718161031852698684164098281\
         65282944778240000000000*ep^2-2682289205525214632080/61347*ep^2
         *z5-6058415750192310578476813225/526146717096*ep^2*z4+24504673\
         8481604124256560465653762281/16075899158599035756*ep^2*z3-
         15132734518576905921219209388863867919405878785613843679466703\
         658788933869082461514187718462746825953465053911275619352762891
       /179830431726569591943546660289341875233903093839218174316279882\
         805662942170788717593194240409600000000000000*ep^3-
         325193024518989155193400/3006003*ep^3*z6-
         206583026622307624686734631695/1841513509836*ep^3*z5+245046738\
         481604124256560465653762281/10717266105732690504*ep^3*z4+
         1038103273066691484408553911555971792501242909/
         49897996259094873962277004800*ep^3*z3-47424160646708641790320/
         3006003*ep^3*z3^2;
Fill mncnoptab(15,4,2,3)=
      +mncF321*(41103956736000+357518897467833600/1001*ep+
         8228801173907414000/7007*ep^2+14871927541079057740/7007*ep^3)
      -53125321732190979355707836184436959414467/
      262621032942604599801457920-2784721636260320/1002001*ep^-3-
         30184674056396054076659/920756754918*ep^-2-
         179639301785712185137523600797/1410166592859564540*ep^-1-
         541931196939757570560/1002001*z3+71265356134059899939062359802\
         821749251341489688839630235223086915531513/3793996927693133241\
         0101779983323008259535667200000000000*ep-812896795409636355840/
         1002001*ep*z4-608712947639910648137744909/65768339637*ep*z3-
         94315934664467189836502582221317869618343794370302513027608218\
         2058252527375330747/116584281980736158370653034541943669275227\
         571400107622400000000000*ep^2-1072903724243782474880/20449*
         ep^2*z5-608712947639910648137744909/43845559758*ep^2*z4+
         94012110676285816126313516649731027/5358633052866345252*ep^2*
         z3+67539086590084961886210494329025636256918267737476164647698\
         44111033425132127683789806319033356229746886475821258953/
         56689542452145377783123326354345201008985132286605050671820947\
         40281259747742751863603200000000000000*ep^3-
         130075878227513959246400/1002001*ep^3*z6-
         1253920412726031389287547831/9027027009*ep^3*z5+94012110676285\
         816126313516649731027/3572422035244230168*ep^3*z4+331017442633\
         742129137590964829520038703621791/
         12474499064773718490569251200*ep^3*z3-18970209279395387803520/
         1002001*ep^3*z3^2;
Fill mncnoptab(15,4,3,2)=
      +mncF321*(12844986480000+113268192347592000/1001*ep+
         2664468695218203400/7007*ep^2+4948323050025956320/7007*ep^3)
      -5043662290096885295262292368141820355947681/
      79836794014551798339643207680-5191341321867875/1002001*ep^-3-
         421435620790508718305855/7366054039344*ep^-2-
         66991283519557651695142513182295/342952515383446096128*ep^-1-
         169253823035487686000/1002001*z3+98984133967190734422003361107\
         4723736436977975443470763941332231377231463/170384952934582529\
         1871843573796506007291874508800000000000*ep-
         253880734553231529000/1002001*ep*z4-
         1531893596341919105538883415/526146717096*ep*z3-
         28268719557592284964344154632169420929610934427783398808504847\
         547919620122977590239/1151852705969673244702051981274403452439\
         2484054330633093120000000000*ep^2-335261119697066006500/20449*
         ep^2*z5-1531893596341919105538883415/350764478064*ep^2*z4+
         881478938403049121229436559700578399/171476257691723048064*
         ep^2*z3+151211419422812447922480894513135100212250705204230301\
         27748888034043254694489642625033640240028029760435753969903633\
         567/1916106534882513769069568430776867794103697471287250712707\
         548022215065794737050129897881600000000000000*ep^3-
         40646352605301866581250/1002001*ep^3*z6-
         55694216439565334425036937545/1227675673224*ep^3*z5+8814789384\
         03049121229436559700578399/114317505127815365376*ep^3*z4+
         358417475922788762352007548533848619115562109/
         39918397007275899169821603840*ep^3*z3-5929323732981227187900/
         1002001*ep^3*z3^2;
Fill mncnoptab(15,4,4,1)=
      +mncF321*(1007449920000+9059611983703200/1001*ep+
         59925024336706840/1911*ep^2+1271128041660360904/21021*ep^3)
      -2540063884577877129425245792381311902108093/
      508959561842767714415225448960-9772249591509100/51102051*ep^-3-
         74594129274525943883036/23479297250409*ep^-2-
         20359510749230163239704212541285/1093161142784734431408*ep^-1-
         225774519867313290880/17034017*z3+5796263917053521778524113244\
         922612941919320908158785491215702065174965481/1298080919209023\
         19458532675233311587296273550540800000000000*ep-
         338661779800969936320/17034017*ep*z4-
         1547673619924544418610912955/6708370642974*ep*z3-
         66831148472610390490020190373916125322429114433696387260488005\
         94860963154403201133/36262029632378602148027562373453442021235\
         597948818659737600000000000*ep^2-1341106463060958919120/
         1042899*ep^2*z5-1547673619924544418610912955/4472247095316*
         ep^2*z4+248395986924337185292005464324825413/
         683225714240459019630*ep^2*z3+16057457773896596747883298307553\
         59937329352761242605478646202545069611587430734160739408866338\
         2289819105867987659/308685988252946332394047078565055304899666\
         11429884985625111530330660122673900892979200000000000000*ep^3-
         162592232825962617910600/51102051*ep^3*z6-
         59210008225556203836028773415/15652864833606*ep^3*z5+248395986\
         924337185292005464324825413/455483809493639346420*ep^3*z4+
         990318673291901565867665374735967442041718851/
         1272398904606919286038063622400*ep^3*z3-
         23713372583279474012080/51102051*ep^3*z3^2;
Fill mncnoptab(15,5,1,3)=
      +mncF321*(4281662160000+37925911410581100/1001*ep+
         2694275481445697795/21021*ep^2+45361730379847327373/189189*
         ep^3)
      -224460131020008277125384881052039606116255/
      10644905868606906445285761024+399474762679645/6012006*ep^-3+
         12381097651408523750941/88392648472128*ep^-2-
         10077352040121315530753508765239/2572143865375845720960*ep^-1-
         169378994998978840580/3006003*z3+76232977708367749988215974604\
         5677995837629013561728848440590413475757661/396472678943932423\
         6855636008257254363121477222400000000000*ep-
         84689497499489420290/1002001*ep*z4-
         6144463436973479010200433155/6313760605152*ep*z3-
         89852227037515979844080592543355799434067298317870272162880482\
         9179050485919943449/110755067881699350452120382814846485811466\
         1928301022412800000000000*ep^2-111762600618022970730/20449*
         ep^2*z5-6144463436973479010200433155/4209173736768*ep^2*z4+
         215371359007871555717197937281785547/128607193268792286048*
         ep^2*z3+177035963575355670502098971649426521510200457714571573\
         38040800857825695136253395446568021051601603493053874903456724\
         4529049621/545485642903927762228758202877670354876172717978961\
         7954260489778438442579180591100326891959091200000000000000*
         ep^3-40649308239625994641825/3006003*ep^3*z6-
         226035896887556401893027425045/14732108078688*ep^3*z5+21537135\
         9007871555717197937281785547/85738128845861524032*ep^3*z4+
         1228881905350947478108751931404769352722639151/
         399183970072758991698216038400*ep^3*z3-5927894256918128414210/
         3006003*ep^3*z3^2;
Fill mncnoptab(15,5,2,2)=
      +mncF321*(3425329728000+30645933443800800/1001*ep+
         2211477587824696600/21021*ep^2+37964598016194193480/189189*
         ep^3)
      -42036154619149946686426196108680688794603/
      2494899812954743698113850240-4435698541715380/3006003*ep^-3-
         90008402209271566799167/5524540529508*ep^-2-
         17923996473155815379269424043533/321517983171980715120*ep^-1-
         135393701823853509440/3006003*z3+10498878326465294616698446634\
         814577556109975959930127143464545347906770481/6872193101694828\
         6772164357476459075627438938521600000000000*ep-
         67696850911926754720/1002001*ep*z4-154327138754942505310394771/
         197305018911*ep*z3-1281437294926503958911023795329210239117602\
         21174857121560173131056871004761526127/20207942209994267450913\
         1926539369026743727790426853212160000000000*ep^2-
         89402365922803225040/20449*ep^2*z5-154327138754942505310394771/
         131536679274*ep^2*z4+20449371553290708234600167525953609/
         16075899158599035756*ep^2*z3+205937546998412127222923615983391\
         92052036257497784124129185086949035847238624674268885622856853\
         11060451793214012286669471427319/43493388594206506908372987376\
         11291629546017138018922048863697183341584883133324637327308522\
         04871680000000000000*ep^3-32516885222070551428600/3006003*ep^3
         *z6-5828227131077097685987101038/460378377459*ep^3*z5+20449371\
         553290708234600167525953609/10717266105732690504*ep^3*z4+
         5382001907207641650518615427284943667866653/
         2079083177462286415094875200*ep^3*z3-4743587022664503460880/
         3006003*ep^3*z3^2;
Fill mncnoptab(15,5,3,1)=
      +mncF321*(535207770000+4856311375277100/1001*ep+
         358157749537332670/21021*ep^2+6315931972445316523/189189*ep^3)
      -1695426007901029586517980328016106722080103/
      638694352116414386717145661440-3094798517511875/24048024*ep^-3-
         372352345330787174156747/176785296944256*ep^-2-100212865780113\
         122178363606199739/8230860369202706307072*ep^-1-
         21165802093036773110/3006003*z3+373041155238452071110759598625\
         427323510563667310853356402325257756138517/1585890715775729694\
         7422544033029017452485908889600000000000*ep-
         10582901046518386555/1002001*ep*z4-
         1554804619413140723150974655/12627521210304*ep*z3-
         42479485371510326803310854491250300560198458846938073895757394\
         6489607945343376653/443020271526797401808481531259385943245864\
         7713204089651200000000000*ep^2-27939576043941685795/40898*ep^2
         *z5-1554804619413140723150974655/8418347473536*ep^2*z4+
         198612803137388063254525365651281381/1083007943316145566720*
         ep^2*z3+330529796613707561043125762490400039002994241467069266\
         35259559777664671766360219714004102379575114621697481102657393/
         14739281037557798223612064852129752262336134394517313174673446\
         3247312753441311548453683200000000000000*ep^3-
         20323930371366771328225/12024012*ep^3*z6-
         60838206702537099895601757065/29464216157376*ep^3*z5+198612803\
         137388063254525365651281381/722005295544097044480*ep^3*z4+
         12087270266779591809461290963431439658307391/
         28012910180544490645488844800*ep^3*z3-1482078356406190034815/
         6012006*ep^3*z3^2;
Fill mncnoptab(15,6,1,2)=
      +mncF321*(180280512000+1671664857552960/1001*ep+
         127221050085069712/21021*ep^2+1056236737993915864/85995*ep^3)
      -37465962532904582156995361799141866161907/
      42136085729902338012589470720-150614784115424/3006003*ep^-3-
         672509188414300325753551/1049662700606520*ep^-2-
         20917899176969790467459649034099/7636052100334541984100*ep^-1-
         7127402336377899808/3006003*z3+1515431315317157838080517241538\
         7842243725723189013494645838141262753264833/195857503398302617\
         3006684188079083655382009747865600000000000*ep-
         3563701168188949904/1002001*ep*z4-628932443786996730629294957/
         14995181437236*ep*z3-33588366110838814289913145529614000443063\
         73008277037845257463090083712762330218181/10942600706711895824\
         6694938221068327981728598516141014384640000000000*ep^2-
         4705500330320833248/20449*ep^2*z5-628932443786996730629294957/
         9996787624824*ep^2*z4+40983943875450699887350463078604421/
         763605210033454198410*ep^2*z3-18624471175186793697300966309308\
         00772799219428549084128589043015339354883405051557081889330247\
         148130403768780452053804503776771/6524008289130976036255948106\
         41693744431902570702838307329554577501237732469998695599096278\
         307307520000000000000*ep^3-1711452865551961469120/3006003*ep^3
         *z6-25934284857051945556852024295/34988756686884*ep^3*z5+
         40983943875450699887350463078604421/509070140022302798940*ep^3
         *z4+759179172703437607815252797423103903797870009/
         4740309644614013026416315456000*ep^3*z3-249650116237963442656/
         3006003*ep^3*z3^2;
Fill mncnoptab(15,6,2,1)=
      +mncF321*(72112204800+675523453136640/1001*ep+4746076877418992/
         1911*ep^2+4858608447737743964/945945*ep^3)
      -1693030413641883931030575811126094421703873/
      4740309644614013026416315456000-204875946800176/3006003*ep^-3-
         422684732631920327680889/524831350303260*ep^-2-
         99261261595165720106847999238993/30544208401338167936400*ep^-1
         -2848644442985048000/3006003*z3+241201147154703223545405624594\
         08951607023592772830986634589350518704913353/78343001359321046\
         92026736752316334621528038991462400000000000*ep-
         1424322221492524000/1002001*ep*z4-90282009468684749941155101/
         5355421941870*ep*z3-261331684659756722067201833362816524910785\
         27093675065462467953202501332821274502633/21885201413423791649\
         33898764421366559634571970322820287692800000000000*ep^2-
         1882011086152544000/20449*ep^2*z5-90282009468684749941155101/
         3570281294580*ep^2*z4+304221929535496747469700246996141539/
         15272104200669083968200*ep^2*z3+247453423366945628328525388777\
         25142947869002923789048186413943691846256149904604636579075028\
         3775305861458956018004047923023449/130480165782619520725118962\
         12833874888638051414056766146591091550024754649399973911981925\
         566146150400000000000000*ep^3-684517463053597300000/3006003*
         ep^3*z6-26689838199728045991580993001/87471891717210*ep^3*z5+
         304221929535496747469700246996141539/10181402800446055978800*
         ep^3*z4+2094953903607404508099465003359182555804169/
         31602064297426753509442103040*ep^3*z3-99878602600210844672/
         3006003*ep^3*z3^2;
Fill mncnoptab(15,7,1,1)=
      +mncF321*(1502337600+15314073222200/1001*ep+361940576451494/5733*
         ep^2+8559741331651127/57915*ep^3)
      -571224020818693029102914580340012404576149/
      75844954313824208422661047296000-42905472945626/9018009*ep^-3-
         1096060396076110493237987/25191904814556480*ep^-2-
         22351442647317019903017595851403/146612200326423206094720*
         ep^-1-178371567241129468/9018009*z3+10980648657083227565047073\
         4967220380330798848385795988303897/187452283591282216188440871\
         4621970466157363200000*ep-89185783620564734/3006003*ep*z4-
         662100874787812635090183893/1799421772468320*ep*z3-
         12623678517151280865177200831841424111431982725607993992341826\
         52804393/65456245462590871183470889314473690559174891326668800\
         00000*ep^2-39208359635881396/20449*ep^2*z5-
         662100874787812635090183893/1199614514978880*ep^2*z4+463790062\
         95560065505351569663414423/366530500816058015236800*ep^2*z3+
         96418241211712595441366100333498769607248220850971549317587351\
         6140438786366870995767827978743744121077/217398548683624156198\
         35308775117987621909930105359439778581126937302509027328000000\
         00000000*ep^3-42781287580456415420/9018009*ep^3*z6-
         33335396182609667619895681199/4198650802426080*ep^3*z5+4637900\
         6295560065505351569663414423/244353667210705343491200*ep^3*z4+
         201507741786076709146130951988289426528874077/1137674314707363\
         12633991570944000*ep^3*z3-6230819699122973596/9018009*ep^3*
         z3^2;
Fill mncnoptab(16,1,1,6)=
      +mncF321*(3726758744064+160089602876091568/5005*ep+
         4922078511519326596/47775*ep^2+12848034877902285458882/
         70945875*ep^3)
      -514642287085568582057611027268006105789117297/
      28067622895740866603780815200000-1202431381237714/225450225*ep^-3
         -126670218044470685244767/4143405397131000*ep^-2+
         5996719049689742690017084281643/120569243689492768170000*ep^-1
         -11056513540353057010768/225450225*z3+240803912441244651143319\
         75771202655807312153179287068028055709279207/13984926946875923\
         2340586808051402270304108544000000000*ep-
         5528256770176528505384/75150075*ep*z4-
         8815279949987318093861551973/10569911727375*ep*z3-
         14686773872020549715180002806492834438948712264278502406044261\
         62204914783975549/19533521672257381032119996969108727656343243\
         88537958400000000000*ep^2-21887482174196573763944/4601025*ep^2
         *z5-8815279949987318093861551973/7046607818250*ep^2*z4+
         11913556626042483433869344980946898079/7092308452323104010000*
         ep^2*z3-369098720353570643111638583301427476062447206635700076\
         63920850099813516414972670133445210429084972149995667/
         48893127464907860664866797153761546240158125813239726406564985\
         910069036098519040000000000000*ep^3-530715056497639528711244/
         45090045*ep^3*z6-1391322454107749512589888050327/
         115094594364750*ep^3*z5+11913556626042483433869344980946898079/
         4728205634882069340000*ep^3*z4+3923843791380091601559153168581\
         790831545392751/1754226430983804162736300950000*ep^3*z3-
         128993569291323849194248/75150075*ep^3*z3^2;
Fill mncnoptab(16,2,1,5)=
      +mncF321*(5823060537600+50551855727941280/1001*ep+
         3477678739312602464/21021*ep^2+843292662918826271924/2837835*
         ep^3)
      -4889205709182696095306798501521799646145504693/17065114720610446\
      8950987356416000+9500324751128/9018009*ep^-3+
         25672699374958099026337/1259595240727824*ep^-2+
         15047094193323943806072896879393/183265250408029007618400*
         ep^-1-691036160327451904624/9018009*z3+37764965178652821245600\
         9090431816299673037840615692617389649938488693/141713926395009\
         3554384612988254209672414966579200000000*ep-
         345518080163725952312/3006003*ep*z4-
         117863096331758571650779234745/89971088623416*ep*z3-
         13663115307189675093626605646769632118348181094057163137479141\
         527211575249818897/1187638117673248766752895815721810641505669\
         2282310787072000000000*ep^2-1367968665727623363152/184041*ep^2
         *z5-117863096331758571650779234745/59980725748944*ep^2*z4+
         13518330242106440266183323923086993501/5390154423765559047600*
         ep^2*z3+268117623921109252045520150808061346231361446787641269\
         92417335503080204009097540301708464353631980905678683873/
         30509311538102505054876881423947204853858670507461589277696551\
         20788307852547588096000000000000*ep^3-165848571150815232224560/
         9018009*ep^3*z6-1368504799487443318550457961481/69977513373768
         *ep^3*z5+13518330242106440266183323923086993501/
         3593436282510372698400*ep^3*z4+3189446852801174689161707460325\
         93733275068012287/85325573603052234475493678208000*ep^3*z3-
         8062080356278936944592/3006003*ep^3*z3^2;
Fill mncnoptab(16,2,2,4)=
      +mncF321*(7278825672000+63936538460954800/1001*ep+
         4481862004680039520/21021*ep^2+222567529945719986744/567567*
         ep^3)
      -4889166136892735633959663696242137360992815013/13652091776488357\
      5160789885132800-805877744663965/18036018*ep^-3-
         1193727502372745937671639/2519190481455648*ep^-2-8911161614894\
         80234788270777503947/586448801305692824378880*ep^-1-
         863783323456091845880/9018009*z3+12155469253519323748657082073\
         19581101485203114376885441343015010072371/36896232979272078612\
         37081672990424468537537986560000000*ep-431891661728045922940/
         3006003*ep*z4-296421710931090128964059154971/179942177246832*
         ep*z3-12658544585737281017636816803389642959794794913810661284\
         09465798159566984196228381/90186269560812328225298026006374995\
         5893367570187975393280000000000*ep^2-1709958385015058654590/
         184041*ep^2*z5-296421710931090128964059154971/119961451497888*
         ep^2*z4+51192712693319942673830643016723796659/
         17248494156049788952320*ep^2*z3+625384789135572005647701741471\
         74923300553176838704279132546061443182553118960789885525539024\
         63862779840115183707/15776310515439344466546380247034842581350\
         22234321105306265889074289775440002621112320000000000000*ep^3-
         207310443855704455572575/9018009*ep^3*z6-
         3554509538190363924468923056751/139955026747536*ep^3*z5+
         51192712693319942673830643016723796659/11498996104033192634880
         *ep^3*z4+341769535050246051572305132841853075827109472097/
         68260458882441787580394942566400*ep^3*z3-
         10077650613028578375590/3006003*ep^3*z3^2;
Fill mncnoptab(16,3,1,4)=
      +mncF321*(2740263782400+24193449672612320/1001*ep+
         1709577045266486936/21021*ep^2+428696979776239638656/2837835*
         ep^3)
      -60546440696795878623911689703805707376630239/
      4490819663318538656604930432000-99472284165508/9018009*ep^-3-
         3548914853498552699827/33147243177048*ep^-2-
         676497195420860987895908282983/2411384873789855363400*ep^-1-
         325189836445587480736/9018009*z3+83878550153272728557417776077\
         18317158003802811625296162183943745590633/67966744961816986917\
         525188712981503367796752384000000000*ep-162594918222793740368/
         3006003*ep*z4-1472181308711969019593394607/2367660226932*ep*z3
         -4962552830643137848748876447886098549218570499297082572102887\
         7292759620731774229/949329153271708718161031852698684164098281\
         65282944778240000000000*ep^2-643749234659409104528/184041*ep^2
         *z5-1472181308711969019593394607/1578440151288*ep^2*z4+
         2627792132994103896417527047506739261/2411384873789855363400*
         ep^2*z3-814500932545383090211076979701927420457899875814358248\
         32129620796447927952459039390727349678164243745263065432857/
         22086834721615082253164932345848779613890311280495474287722447\
         040056856160036695572480000000000000*ep^3-
         78046306654663646602840/9018009*ep^3*z6-
         17896868083785315587653974235/1841513509836*ep^3*z5+2627792132\
         994103896417527047506739261/1607589915859903575600*ep^3*z4+
         4355170714540519518988758649925313390268267021/
         2245409831659269328302465216000*ep^3*z3-3793936853665541645008/
         3006003*ep^3*z3^2;
Fill mncnoptab(16,3,2,3)=
      +mncF321*(2568997296000+22972747406865600/1001*ep+
         552049339169930440/7007*ep^2+28384916913851161856/189189*ep^3)
      -15141937579662681583527898301136928346131451/
      1197551910218276975094648115200-282623034834845/3006003*ep^-3-
         25837015800875248524721/22098162118032*ep^-2-
         25831166101202334862461039512717/5144287730751691441920*ep^-1-
         101617542488742177200/3006003*z3+27402241422861867736065881675\
         1285736072643609743860703881730696133519/239741604803587255441\
         0059566595467490927575040000000000*ep-50808771244371088600/
         1002001*ep*z4-926128679690083585688596489/1578440151288*ep*z3-
         22349197820999751578210069556780881268518722863054482538745386\
         94454327731075493/46880452013417714477087992725860946375223785\
         32491100160000000000*ep^2-201170617594541203900/61347*ep^2*z5-
         926128679690083585688596489/1052293434192*ep^2*z4+245902536312\
         7880854070592759739334437/2572143865375845720960*ep^2*z3+
         39459920347420792224846299775769401170627090796182933459078240\
         7122120942334036294519704143782756410798248269313/
         40512007249523254926440087547941324159516620338122210333741349\
         0681818878420426162176000000000000*ep^3-
         24389356799109442034750/3006003*ep^3*z6-
         11641443855016122255890640829/1227675673224*ep^3*z5+2459025363\
         127880854070592759739334437/1714762576917230480640*ep^3*z4+
         1161703827597489474895497836154809154869029039/
         598775955109138487547324057600*ep^3*z3-1185617665264078007820/
         1002001*ep^3*z3^2;
Fill mncnoptab(16,3,3,2)=
      +mncF321*(604469952000+5506957793385600/1001*ep+
         136188803377134320/7007*ep^2+7253712415240058596/189189*ep^3)
      -15137048405992503672093678040415331956226701/
      5089595618427677144152254489600-12537985549251980/51102051*ep^-3-
         257562562385989120293199/93917189001636*ep^-2-
         41959821537402430619755224031159/4372644571138937725632*ep^-1-
         406201439443543813280/51102051*z3+3398119731848106249850449379\
         5428825829966820980323015398986616273837433/128381629372320975\
         2886586897911872841391716433920000000000*ep-
         203100719721771906640/17034017*ep*z4-
         934703067570741693891149491/6708370642974*ep*z3-
         96342187706596249952690127106460607169603768223307148957763465\
         4121541666620670021/896588644756613789374307860882090599426154\
         8943389229056000000000000*ep^2-804625452360060179440/1042899*
         ep^2*z5-934703067570741693891149491/4472247095316*ep^2*z4+
         2208935487316013241352983387691411603/10931611427847344314080*
         ep^2*z3+448801690628241016835043832603279853881542055146728220\
         0781962956650565593165805524159086321960088739931882485899/
         13183142854958497212632879728927187097363363023252578775959219\
         996360841601491140608000000000000000*ep^3-
         97551114315498512448200/51102051*ep^3*z6-
         12314340724689485812106717911/5217621611202*ep^3*z5+2208935487\
         316013241352983387691411603/7287740951898229542720*ep^3*z4+
         1262628307634240896600870992041775477291616009/
         2544797809213838572076127244800*ep^3*z3-4743503347381749518000/
         17034017*ep^3*z3^2;
Fill mncnoptab(16,4,1,3)=
      +mncF321*(456710630400+4140802310081120/1001*ep+
         914581286587044808/63063*ep^2+80376105358174292456/2837835*
         ep^3)
      -198004621696626108097549770572506589208799/
      88055287516049777580488832000+66217186382972/9018009*ep^-3+
         1323421361389697027347/33147243177048*ep^-2-
         228454657775267017297984559269/1205692436894927681700*ep^-1-
         54201256186904641376/9018009*z3+672517761394644528174735762411\
         65959359886997656211552364215988556123/33563824672502215761740\
         83393233654487298605056000000000*ep-27100628093452320688/
         3006003*ep*z4-248748369792489845661316469/2367660226932*ep*z3-
         38534575731220965400196033442692678778254841895765532038886020\
         9745312774293859/468804520134177144770879927258609463752237853\
         2491100160000000000*ep^2-35764033115349512816/61347*ep^2*z5-
         248748369792489845661316469/1578440151288*ep^2*z4+378890301153\
         586400319140157800521031/2411384873789855363400*ep^2*z3+
         10606672975357991674111134804402344597452224525169986408413154\
         1301311894657296583707604289199763117586300527360901132273731/
         48277709617278839947133963121448458536419326651336686079073117\
         808209400412180315654648779243520000000000000*ep^3-
         13007779029423684356440/9018009*ep^3*z6-
         9713348824964173077301928291/5524540529508*ep^3*z5+37889030115\
         3586400319140157800521031/1607589915859903575600*ep^3*z4+
         91892787812782011623791048351715141213106239/
         249489981295474369811385024000*ep^3*z3-1896927053037496370864/
         9018009*ep^3*z3^2;
Fill mncnoptab(16,4,2,2)=
      +mncF321*(285444144000+2623037597052800/1001*ep+
         591389042675332600/63063*ep^2+10660449016041496024/567567*ep^3
         )
      -88532425544557202185577958433844238894001/
      63029047906225103952349900800-1053250423805815/9018009*ep^-3-
         86672556741069682669675/66294486354096*ep^-2-
         70855508016253495312898952754847/15432863192255074325760*ep^-1
         -33849302481146171120/9018009*z3+93551023470524304031065397292\
         2042366516074836903700378288055134378829/755186055131299854639\
         16876347757225964218613760000000000*ep-16924651240573085560/
         3006003*ep*z4-18409755503767315056842075/278548261992*ep*z3-
         37469645023918568745984944378974880635802806691351271174428442\
         72905435478162391/75343583592992755409605702595133663817323940\
         700749824000000000000*ep^2-22350663469263069020/61347*ep^2*z5-
         18409755503767315056842075/185698841328*ep^2*z4+13936389235895\
         9687731855277142766619/1543286319225507432576*ep^2*z3+
         27425433979780804074768855237062410474515897414391050378821805\
         212317088058118616597523397796659170927439904773267/
         12270463734230601251758295747693766452161284044719707937623581\
         6889204756444648308736000000000000000*ep^3-
         8129245568751312437050/9018009*ep^3*z6-
         12631696211254953438406035205/11049081059016*ep^3*z5+139363892\
         358959687731855277142766619/1028857546150338288384*ep^3*z4+
         2552814739868169534526536495731981073734543/
         10504841317704183992058316800*ep^3*z3-1185889884372164373260/
         9018009*ep^3*z3^2;
Fill mncnoptab(16,4,3,1)=
      +mncF321*(33581664000+314528403171680/1001*ep+72975763237335928/
         63063*ep^2+6810513060022124216/2837835*ep^3)
      -340000069372157933971627399612667315939477/
      2035838247371070857660901795840-2212595919894830/153306153*ep^-3-
         600802800552178967792993/2817515670049080*ep^-2-14890572921611\
         1265394901716200313/131179337134168131768960*ep^-1-
         67714602421410110368/153306153*z3+1652021747495930852609640325\
         58248756295669560753945865524899310076568041/11554346643508887\
         7759792820812068555725254479052800000000000*ep-
         33857301210705055184/51102051*ep*z4-
         316099770567475244087297515/40250223857844*ep*z3-
         44976193414291427645796267035643972068955139935020661657815678\
         08617884616561183089/80692978028095241043687707479388153948353\
         9404905030615040000000000000*ep^2-44702031406449190648/1042899
         *ep^2*z5-316099770567475244087297515/26833482571896*ep^2*z4+
         3038964194412809741861003657375001581/327948342835420329422400
         *ep^2*z3+34124419297771716539382913426672739458024949902368876\
         85842067244114959004601491940990396783707219255271111068929507/
         22187229424895150808861136583784455884862539968134090079939367\
         2538752964153095896432640000000000000000*ep^3-
         16258710035816552287220/153306153*ep^3*z6-
         13342016685886000713643537465/93917189001636*ep^3*z5+303896419\
         4412809741861003657375001581/218632228556946886281600*ep^3*z4+
         259725281992469434529321670588778806361148651/
         8482659364046128573587090816000*ep^3*z3-2371457181594357516376/
         153306153*ep^3*z3^2;
Fill mncnoptab(16,5,1,2)=
      +mncF321*(24037401600+227806204269680/1001*ep+53718173268702892/
         63063*ep^2+5098980590346018074/2837835*ep^3)
      -6744144903906321918930057588148900411232911/
      56883715735368156316995785472000-54452256088882/9018009*ep^-3-
         98616175357078116292777/1259595240727824*ep^-2-
         31216506248050598560258642918411/91632625204014503809200*ep^-1
         -2851048658757550544/9018009*z3+771279945767924292122266981865\
         9961306337146682363504137386821504009/765255202533050519367691\
         0136572732231040819527680000000*ep-1425524329378775272/3006003
         *ep*z4-72710220784759432654673659/12853012660488*ep*z3-
         20743895626647406475718358717826641421050204535388267939760533\
         2731344033300433/534437152952961945038803117074814788677551152\
         70398541824000000000*ep^2-1882207385916937304/61347*ep^2*z5-
         72710220784759432654673659/8568675106992*ep^2*z4+5517134206257\
         71192294256723853073497/91632625204014503809200*ep^2*z3-
         29432415313797152720265654154768702907768230500583888714592109\
         446092140978701735118019631232255195546616331125644861068417/
         14483312885183651984140188936434537560925797995401005823721935\
         3424628201236540946963946337730560000000000000*ep^3-
         684583592677580582860/9018009*ep^3*z6-
         22064148990197351393991029347/209932540121304*ep^3*z5+55171342\
         0625771192294256723853073497/61088416802676335872800*ep^3*z4+
         217693956987581685534075196879059826345180223/
         9480619289228026052832630912000*ep^3*z3-99859392665919320696/
         9018009*ep^3*z3^2;
Fill mncnoptab(16,5,2,1)=
      +mncF321*(7511688000+72171634293520/1001*ep+17366331469426592/
         63063*ep^2+1689405696147377764/2837835*ep^3)
      -339321055217009995100615309508907214655299/
      9101394517658905010719325675520-158005788638605/18036018*ep^-3-
         1303802060453786843897891/12595952407278240*ep^-2-246313547775\
         146587787022506934323/586448801305692824378880*ep^-1-
         889963201568708296/9018009*z3+40332266985379463076179915184259\
         715933591489277511891406657643057908141/1291368154274522751432\
         97858554664856398813829529600000000000*ep-444981600784354148/
         3006003*ep*z4-320199343864340582290894915/179942177246832*ep*
         z3-10503386096642349330439630967544042414160205744405308455230\
         59188740454944698004633/90186269560812328225298026006374995589\
         3367570187975393280000000000000*ep^2-588108982750222906/61347*
         ep^2*z5-320199343864340582290894915/119961451497888*ep^2*z4+
         2429398372640426490071914525356665207/
         1466122003264232060947200*ep^2*z3+
         11782958968854309574663797098425798860143489526698734545679766\
         13312168437396164678868600540848639416014999453103652285631227/
         48881180987494825446473137660466564268124568234478394655061531\
         7808120179173325696003318889840640000000000000000*ep^3-
         213905143156785147215/9018009*ep^3*z6-
         14309540765656040429367878005/419865080242608*ep^3*z5+24293983\
         72640426490071914525356665207/977414668842821373964800*ep^3*z4
         +94148720732626087299396404029638845293214039/
         12640825718970701403776841216000*ep^3*z3-31213953631702757122/
         9018009*ep^3*z3^2;
Fill mncnoptab(16,6,1,1)=
      +mncF321*(240374016+12491872967776/5005*ep+16687108849883944/
         1576575*ep^2+1816467428362303268/70945875*ep^3)
      -1717575652062924044635618045584256406450359/14220928933842039079\
      24894636800000-34331628034136/45090045*ep^-3-
         1114678945581361401803339/157449405090978000*ep^-2-
         58174857609859902265210754139733/2290815630100362595230000*
         ep^-1-142697311790324656/45090045*z3+1806107615646873442091482\
         301361737883826407175278750081986671/1977035803501804623862462\
         31620285947602534400000000*ep-71348655895162328/15030015*ep*z4
         -669222283078033830845827037/11246386077927000*ep*z3-
         63475696176002029013903557967192649006006463721084822498201860\
         910729/2191615361470676490517998526154253032115230736384000000\
         000*ep^2-94100088573963376/306735*ep^2*z5-
         669222283078033830845827037/7497590718618000*ep^2*z4+489420942\
         1720589390034371089877563/572703907525090648807500*ep^2*z3+
         18533612447972650643990756210966173722891550988592030760177935\
         9731410332956238372705444465794442504247/539004666157745841814\
         09856467234680054322140757089520112184612241245890150400000000\
         0000000*ep^3-6845007854291145808/9018009*ep^3*z6-
         34945508188523694493290449831/26241567515163000*ep^3*z5+
         4894209421720589390034371089877563/381802605016727099205000*
         ep^3*z4+13695762694673271181313601083000948263653803/
         47403096446140130264163154560000*ep^3*z3-4984655730299668336/
         45090045*ep^3*z3^2;
Fill mncnoptab(17,1,1,5)=
      +mncF321*(113731651125+4081382855667595/4004*ep+53714326689760825/
         15288*ep^2+30463383459049042603/4540536*ep^3)
      -24446831080901316524825843527880750675679981941/4368669368476274\
      4051452763242496000+249610625828591/1154305152*ep^-3+
         1339590167228114721278537/806140954065807360*ep^-2+
         72785844856628057617604442764033/37532723283564340760248320*
         ep^-1-13496785901077981988/9018009*z3+996945780734405509125699\
         1466978654689279783369519653068448010001/197703580350180462386\
         2462316202859476025344000000000*ep-6748392950538990994/3006003
         *ep*z4-1498273112241515333313270445243/57581496718986240*ep*z3
         -1156631926634422044466065827351108315514577839478369279697992\
         46057651310991/55228707109061047561053562859087176409303814556\
         87680000000000*ep^2-854979821679626723423/5889312*ep^2*z5-
         1498273112241515333313270445243/38387664479324160*ep^2*z4+
         229691591312994688612899387261084816323/
         5519518129935932464742400*ep^2*z3+2608717293248970964477731321\
         73541370369663377272842649366360827412848820293109679618955251\
         209668294087829/1418773788044201313935866881693973440004588472\
         259188489476216108997538993930240000000000000*ep^3-
         207310570567336070120555/577152576*ep^3*z6-
         18991208034341656069803100679023/44785608559211520*ep^3*z5+
         229691591312994688612899387261084816323/
         3679678753290621643161600*ep^3*z4+1922864808287466902301479818\
         298132251736285030449/21843346842381372025726381621248000*ep^3
         *z3-5038800297320252785219/96192096*ep^3*z3^2;
Fill mncnoptab(17,2,1,4)=
      +mncF321*(107041554000+975734595187700/1001*ep+72388749217851380/
         21021*ep^2+3848079619523215135/567567*ep^3)
      -57520747451077673790824652160730697395070757/1092167342119068601\
      28631908106240-998249012465/72144072*ep^-3-
         18006303330914565959443/10076761925822592*ep^-2-
         31246244616569201973181899725927/2345795205222771297515520*
         ep^-1-12702872835434098480/9018009*z3+237417233082609506016381\
         3402560064937789684402228905693558426611/508380635186178331850\
         347452737878150977945600000000*ep-6351436417717049240/3006003*
         ep*z4-1045441108691576609764450607/42339335822784*ep*z3-
         75641510589902269464883962096888545103852230787608348726533544\
         38887737956021/39764669118523954243958565258542767014698746480\
         9512960000000000*ep^2-50292971772250453855/368082*ep^2*z5-
         1045441108691576609764450607/28226223881856*ep^2*z4+4182582685\
         6283961701141460851820970783/1172897602611385648757760*ep^2*z3
         -1285072960282236189415805671391850234254218780372603003017962\
         902906564048476266804821339161899734073456189021/
         21247556249749958877503542420248946237508716960553606818395812\
         448347143973099274240000000000000*ep^3-12194749355847020209675/
         36072036*ep^3*z6-234426170064209444408573474419/
         559820106990144*ep^3*z5+41825826856283961701141460851820970783/
         781931735074257099171840*ep^3*z4+24231126939219120846018624087\
         100227730086141061/273041835529767150321579770265600*ep^3*z3-
         296400012865350924995/6012006*ep^3*z3^2;
Fill mncnoptab(17,2,2,3)=
      +mncF321*(75558744000+700717623537000/1001*ep+17788059316712770/
         7007*ep^2+976426884280481210/189189*ep^3)
      -287710989322651493149772580521855223105299771/773618534001006925\
      911142682419200-40907507962025/102204102*ep^-3-
         120567971201570521563085/14275412728248672*ep^-2-2013420540338\
         36868828329996358689/3323209874065592671480320*ep^-1-
         50811659089689726880/51102051*z3+78356649776584147333368566066\
         447910352167695264557158707779649607233/2419891823486208859607\
         6538750322999986550210560000000000*ep-25405829544844863440/
         17034017*ep*z4-17932846613946265439337546799/1019672337732048*
         ep*z3-10900180928368266568331764658647530784325061024613664127\
         709342162212484539589/8449992187686340276841195117440337990623\
         48362720215040000000000*ep^2-100585914598792538990/1042899*
         ep^2*z5-17932846613946265439337546799/679781558488032*ep^2*z4+
         37268336664399327371398908496244248417/
         1661604937032796335740160*ep^2*z3+1207079505668690855239075280\
         55947422821708296494356748325754674653998650110459928740266625\
         3895293896175423/292666064046142684263134193116376669938136597\
         25280450163079631471552539907850240000000000000*ep^3-
         12194745390627861709075/51102051*ep^3*z6-
         246524826738217209036292806799/793078484902704*ep^3*z5+
         37268336664399327371398908496244248417/
         1107736624688530890493440*ep^3*z4+2586344276893656457424868814\
         7397950467613470807/386809267000503462955571341209600*ep^3*z3-
         592797593414396471030/17034017*ep^3*z3^2;
Fill mncnoptab(17,3,1,3)=
      +mncF321*(26760388500+250195994987025/1001*ep+1753110140918230/
         1911*ep^2+130144840473680815/68796*ep^3)
      -1682747973950568476002978198848478503040411/
      12773887042328287734342913228800+17290643316535/32064032*ep^-3+
         2930012097496754760101/707141187777024*ep^-2-
         6220511356827786044879358691/32923441476810825228288*ep^-1-
         352875708429298420/1002001*z3+17031596042231484620782030951245\
         1528028966428850006995274039285003/149838503002242034650628722\
         912216718182973440000000000*ep-529313562643947630/1002001*ep*
         z4-315965022971412364565749975/50510084841216*ep*z3-
         18752672855898395032763367440177982834517449831112411899487343\
         0908518841337/418575464405515307831142792195187021207355226115\
         27680000000000*ep^2-5588134291012822855/163592*ep^2*z5-
         315965022971412364565749975/33673389894144*ep^2*z4+61552215636\
         7910235034974065013626599/82308603692027063070720*ep^2*z3+
         52172375611093402670359112362255993228631269643867443880997970\
         0944762115999463436699609818600875098103979987/
         70825187499166529591678474734163154125029056535178689394652708\
         16115714657699758080000000000000*ep^3-1354977872960969662675/
         16032016*ep^3*z6-13279566082720907117314701505/117856864629504
         *ep^3*z5+615522156367910235034974065013626599/
         54872402461351375380480*ep^3*z4+519186064538252948029827291416\
         89085400468437/2128981173721381289057152204800*ep^3*z3-
         98797969971885334305/8016008*ep^3*z3^2;
Fill mncnoptab(17,3,2,2)=
      +mncF321*(12593124000+119890979697000/1001*ep+9492696799684760/
         21021*ep^2+16546434236145610/17199*ep^3)
      -1683078532739541029429262498784642266795931/
      27144509964947611435478690611200-960857775317675/204408204*ep^-3-
         80897507005518888651355/1502675024026176*ep^-2-
         68903293249472740890375397136207/349811565691115018050560*
         ep^-1-8462712737461086880/51102051*z3+514398536032485949164390\
         328471854266693049772001542715788779817148269/9781457475986360\
         02199304303170950736298450616320000000000*ep-
         4231356368730543440/17034017*ep*z4-318853866396757218482367367/
         107333930287584*ep*z3-9817502129374760101750995488135423616270\
         27625495831255436838474209736552385319/48793939850700070170030\
         3597758960870436002663585808384000000000000*ep^2-
         5587697016312274455/347633*ep^2*z5-318853866396757218482367367/
         71555953525056*ep^2*z4+528950917150557241213298129462645191/
         174905782845557509025280*ep^2*z3+14711682279239733072652908480\
         31702155884907696692873046971111052061092760158339436541446760\
         76147529847178172547/26269705908781767339458925174125969893647\
         140969411732066380277208865559821286375424000000000000000*ep^3
         -4064643743302216290025/102204102*ep^3*z6-
         13963222928399258700269914801/250445837337696*ep^3*z5+52895091\
         7150557241213298129462645191/116603855230371672683520*ep^3*z4+
         54852242022653777546887016313572261263067029/
         4524084994157935239246448435200*ep^3*z3-296469193880835225715/
         51102051*ep^3*z3^2;
Fill mncnoptab(17,3,3,1)=
      +mncF321*(1049427000+10261673738025/1001*ep+921443079997315/22932
         *ep^2+22616042917948075/252252*ep^3)
      -1707724613805028207185961732217618567484857/32573411957937133722\
      5744287334400-6203870730137785/7358695344*ep^-3-
         69325287879468797835455/6010700096104704*ep^-2-
         15961398056478397430934061273967/279849252552892014440448*
         ep^-1-6345544466005943780/459918459*z3+50098283204201458947431\
         8701524019379565102232191561973707191561887431/117377489711836\
         32026391651638051408835581407395840000000000*ep-
         3172772233002971890/153306153*ep*z4-
         107775325957279297351906285/429335721150336*ep*z3-
         31812707784773387487907432680802468983378373546336961492854475\
         07507521360708093/20493454737294029471412751105876356558312111\
         870603952128000000000000*ep^2-16762354263723196045/12514788*
         ep^2*z5-107775325957279297351906285/286223814100224*ep^2*z4+
         132324951142546841287354409003909003/699623131382230036101120*
         ep^2*z3+506938654847788312542288544458127999614819701961226220\
         769263241461934215132251512959015525112374635792812175987/
         12030453073327813450968536345048709477825343741910189134072926\
         95034577882427890335744000000000000000*ep^3-
         12193419494516430217475/3679347672*ep^3*z6-
         14997344871958066697542417925/3005350048052352*ep^3*z5+
         132324951142546841287354409003909003/466415420921486690734080*
         ep^3*z4+176224245404179638691047532973552185167702221/16286705\
         9789685668612872143667200*ep^3*z3-889374595751669899265/
         1839673836*ep^3*z3^2;
Fill mncnoptab(17,4,1,2)=
      +mncF321*(1877922000+18321561267700/1001*ep+409581108172300/5733*
         ep^2+89867142022991855/567567*ep^3)
      -1686351148266218893943310794612985317649643/18202789035317810021\
      4386513510400-30187955916025/72144072*ep^-3-
         56201515874064723232459/10076761925822592*ep^-2-
         58949134587830194995478007315423/2345795205222771297515520*
         ep^-1-222747352052868400/9018009*z3+83268029409888684761666741\
         880054392375705142872956221149988753991189/1093221717904357884\
         810987162367533175862974218240000000000*ep-111373676026434200/
         3006003*ep*z4-323073309873094403210029111/719768708987328*ep*
         z3-53653534073695120332544589472582352007457804497254651628618\
         8115158460499175153/190870411768914980371001113241005281670553\
         9831085662208000000000000*ep^2-294096354701402525/122694*ep^2*
         z5-323073309873094403210029111/479845805991552*ep^2*z4+
         408078431787663063732836697182992279/1172897602611385648757760
         *ep^2*z3-30354793181043921819708700145827265163698307028160892\
         48841651001763942030875964463190649419862787827910427263364026\
         751/4521513762857034210832976066569223764025286586975838481431\
         67312139823305558631827434897408000000000000000*ep^3-
         213933347185002171875/36072036*ep^3*z6-
         14912915352451391283164259073/1679460320970432*ep^3*z5+
         408078431787663063732836697182992279/781931735074257099171840*
         ep^3*z4+19617053379830503228075383842224547613975319/
         10112660575176561123021472972800*ep^3*z3-15602855334821296145/
         18036018*ep^3*z3^2;
Fill mncnoptab(17,4,2,1)=
      +mncF321*(441864000+4391286142700/1001*ep+1108908637380715/63063*
         ep^2+4151636509765795/103194*ep^3)
      -425489873025272647831341394222804548004573/193404633500251731477\
      785670604800-203719879861405/306612306*ep^-3-
         167957513465514411333389/21413119092373008*ep^-2-1592082106455\
         34319720366422375831/4984814811098389007220480*ep^-1-
         889591900342676560/153306153*z3+789349085493358156324409842892\
         5292888286958806876899678319904358177233/446034460904978017002\
         882762245953535752093481041920000000000*ep-444795950171338280/
         51102051*ep*z4-325981090380702864615187063/3059017013196144*ep
         *z3-1939796107265766817784525601532941231507907301884239353571\
         96495007008770414689189/31150051200686924796547381680932061968\
         63441004331800723456000000000000*ep^2-588078809659665010/
         1042899*ep^2*z5-325981090380702864615187063/2039344675464096*
         ep^2*z4+31502045558326951404237512434806073/
         498481481109838900722048*ep^2*z3+45982627299621674363456943172\
         31121762956266669477728451220989720930487652970207356048598850\
         1932598096796558331/283069484078301492963965561059969634772361\
         029221416214919362987066959501747738902528000000000000000*ep^3
         -213894982799070199775/153306153*ep^3*z6-
         15635083456771921388554096759/7137706364124336*ep^3*z5+3150204\
         5558326951404237512434806073/332320987406559267148032*ep^3*z4+
         953730067808597666446902126227967925932881/
         2014631598960955536226934068800*ep^3*z3-31216980851721227770/
         153306153*ep^3*z3^2;
Fill mncnoptab(17,5,1,1)=
      +mncF321*(23474025+1001774824535/4004*ep+554880947883065/504504*
         ep^2+12605980106507891/4540536*ep^3)
      -1722774566563692413733393021018741491747539/14562231228254248017\
      150921080832000-85767900930293/1154305152*ep^-3-
         113802217609739593583927/161228190813161472*ep^-2-489341858408\
         420091053759729176151/187663616417821703801241600*ep^-1-
         2787053047832588/9018009*z3+2786654900349157884784687225911675\
         21613902327722340006611754781/32391754604573566957362582588667\
         6496551992360960000000*ep-1393526523916294/3006003*ep*z4-
         339507955477062983777927287/57581496718986240*ep*z3-
         19461113945793154608567520171718691268058983754134433153196839\
         5220056433/754055947729046836033584644902736915241694748083224\
         57600000000*ep^2-58812501679672681/1963104*ep^2*z5-
         339507955477062983777927287/38387664479324160*ep^2*z4-70787931\
         511565321254025662686545393/93831808208910851900620800*ep^2*z3
         +2376567861623914272930967747583286215839805218063645813722283\
         99526970667354550850088990492810243126501/
         89443974315548224264465270389056863358715141004907409374733779\
         39918746571243520000000000000*ep^3-42781260246906206455/
         577152576*ep^3*z6-18579700594382164177259510161/
         134356825677634560*ep^3*z5-70787931511565321254025662686545393/
         62554538805940567933747200*ep^3*z4+694871303734366864562957725\
         65602633819741693/2427038538042374669525153513472000*ep^3*z3-
         3115409892606447757/288576288*ep^3*z3^2;
Fill mncnoptab(18,1,1,4)=
      +mncF321*(1481544000+239479516593340/17017*ep+18902436321366445/
         357357*ep^2+2160934540829279641/19297278*ep^3)
      -359398085611973591642890307380353399969222361/493181815425641915\
      26835346004224000-200180132028581/5212409202*ep^-3-
         402714118204020807478171/1820115122851705680*ep^-2+
         5627235146633439018815549077897/16948370357734522624549632*
         ep^-1-50806710099704956048/2606204601*z3+127068261251523582407\
         4652506392128987753873921709165258585772160091/205690804996327\
         75306665057937774549988567678976000000000*ep-
         25403355049852478024/868734867*ep*z4-
         90849700235523156610017703127/260016446121672240*ep*z3-
         42666542298471572172874101193407327881978076563517649079289736\
         6843160835469/179562333988334730882875396245607182300749027078\
         0456960000000000*ep^2-100584731967487301894/53187849*ep^2*z5-
         90849700235523156610017703127/173344297414448160*ep^2*z4+
         76320918867610093699063981787668881337/
         211854629471681532806870400*ep^2*z3-39298847637513742274120370\
         52110246009490378890840938373367388857891055941423665851893433\
         90494358256271/63306598006510910303303752588504843584073503396\
         5002218680843387528088486150144000000000000*ep^3-
         12194612890767932091895/2606204601*ep^3*z6-
         1322213012174076260842651291397/202235013650189520*ep^3*z5+
         76320918867610093699063981787668881337/
         141236419647787688537913600*ep^3*z4+17709499987539600762274534\
         589274823952772638437/12329545385641047881708836501056000*ep^3
         *z3-592820878000840622062/868734867*ep^3*z3^2;
Fill mncnoptab(18,2,1,3)=
      +mncF321*(740772000+122644915681800/17017*ep+10025679754432640/
         357357*ep^2+18114177824536450/292383*ep^3)
      -31958034693061770016828000644318837120806401/8767676718678078493\
      659617067417600+16317006625685/3474939468*ep^-3+
         42083466159993940144079/485364032760454848*ep^-2+
         43311000605651051773341071094307/112989135718230150830330880*
         ep^-1-8468786233937814560/868734867*z3+68663453445578673653641\
         501970045336472320695478166304122815744039/2285453388848086145\
         185006437530505554285297664000000000*ep-4234393116968907280/
         289578289*ep*z4-6134826985563222843723301621/34668859482889632
         *ep*z3-3563261215938701077564814630939945600922490038442751221\
         39907976130848022429/31922192709037285490288959332552387964577\
         60481387479040000000000*ep^2-5588125241543445335/5909761*ep^2*
         z5-6134826985563222843723301621/23112572988593088*ep^2*z4+
         7911238224069892904379909502860650341/
         56494567859115075415165440*ep^2*z3+236837359594828942865853727\
         27600918859314898386157097393929967011001805503522322308342195\
         692712113437/1965400918502789698958776632649660176629732948584\
         1572148588275102996211171328000000000000*ep^3-
         4064928121364743248425/1737469734*ep^3*z6-
         282078743000939848885201893043/80894005460075808*ep^3*z5+
         7911238224069892904379909502860650341/
         37663045239410050276776960*ep^3*z4+111498964366502787698793077\
         3516910953212581583/1461279453113013082276602844569600*ep^3*z3
         -296397327820986602675/868734867*ep^3*z3^2;
Fill mncnoptab(18,2,2,2)=
      +mncF321*(246924000+41924613894000/17017*ep+10658981167844510/
         1072071*ep^2+24570671617662815/1072071*ep^3)
      -31999965190017366036750770958654987568892549/2630303015603423548\
      0978851202252800-2505801310733425/31274455212*ep^-3-
         455661627841263313557215/485364032760454848*ep^-2-405735676240\
         756314067670314764691/112989135718230150830330880*ep^-1-
         25389207049254763040/7818613803*z3+854811201356018363585358727\
         05413007412525718112902220246612435612461/87761410131766507975\
         10424720117141328455543029760000000000*ep-12694603524627381520/
         2606204601*ep*z4-2072021189575366616182849111/
         34668859482889632*ep*z3-42433916885140979640269150794168097960\
         835586859852458905310599430500632981881/1225812200027031762827\
         096038370011697839780024852791951360000000000*ep^2-
         16763187118985011765/53187849*ep^2*z5-
         2072021189575366616182849111/23112572988593088*ep^2*z4+
         1819659105642561409463727835184626043/
         56494567859115075415165440*ep^2*z3+615414420573773679289738861\
         46832845330615876395064957160019424832925492683435773607228723\
         14359835143512443/92697741241000375593450908123594692298706028\
         573382058207373627757779570065345085440000000000000*ep^3-
         12193996497207709832075/15637227606*ep^3*z6-
         301002394202592191191787773499/242682016380227424*ep^3*z5+
         1819659105642561409463727835184626043/
         37663045239410050276776960*ep^3*z4+351551994522142373180873272\
         7950289546884623953/13151515078017117740489425601126400*ep^3*
         z3-889403314709824065545/7818613803*ep^3*z3^2;
Fill mncnoptab(18,3,1,2)=
      +mncF321*(77976000+13444770769800/17017*ep+1163638526780110/
         357357*ep^2+24719363295670570/3216213*ep^3)
      -1686335766513156668778898701891942729516481/43838383593390392468\
      29808533708800-9984723014235/579156578*ep^-3-
         53923676653409446443949/242682016380227424*ep^-2-
         11052326531021135809885744288165/11298913571823015083033088*
         ep^-1-296986215272950880/289578289*z3+529041844204977829281168\
         03729191334338815804891803892606356662714353/17552282026353301\
         595020849440234282656911086059520000000000*ep-
         445479322909426320/289578289*ep*z4-329932995468919846622330095/
         17334429741444816*ep*z3-51185237362664791512096795880884863915\
         553372569647087359461108797717705761259/4903248800108127051308\
         384153480046791359120099411167805440000000000*ep^2-
         588190593400814090/5909761*ep^2*z5-329932995468919846622330095/
         11556286494296544*ep^2*z4+206183360777503132630528561016642569/
         28247283929557537707582720*ep^2*z3-195422835913251222131067169\
         00708666329751314138459867868575725979668944957616569753441212\
         36981576937953797/21811233233176558963164919558492868776166124\
         370207543107617324178301075309492961280000000000000*ep^3-
         71310882153417348825/289578289*ep^3*z6-
         16465994583931302620450835565/40447002730037904*ep^3*z5+
         206183360777503132630528561016642569/
         18831522619705025138388480*ep^3*z4+635146094025503584654462391\
         13673031288953127/730639726556506541138301422284800*ep^3*z3-
         10402084229378562790/289578289*ep^3*z3^2;
Fill mncnoptab(18,3,2,1)=
      +mncF321*(12996000+2299154929800/17017*ep+618713953564880/1072071
         *ep^2+1523253142079290/1072071*ep^3)
      -1710741903278427760693244428941538995677387/26303030156034235480\
      978851202252800-828229228420315/31274455212*ep^-3-
         152097529497474499559417/485364032760454848*ep^-2-145096132449\
         206179131722307567733/112989135718230150830330880*ep^-1-
         1333565050939978400/7818613803*z3+1729138774325565260852604831\
         3782721505716501839627962236249002801599/351045640527066031900\
         41698880468565313822172119040000000000*ep-666782525469989200/
         2606204601*ep*z4-111393095499070573738790797/34668859482889632
         *ep*z3-7751806719781374684554112537511547205402914429189580336\
         243501531557103022787/4903248800108127051308384153480046791359\
         120099411167805440000000000*ep^2-882050041231719175/53187849*
         ep^2*z5-111393095499070573738790797/23112572988593088*ep^2*z4+
         22615852507841001240872262370911197/56494567859115075415165440
         *ep^2*z3+11278351087554693836433221058773741555633231273351253\
         8502352999440628945693030761204848307495424525022101/
         25728352670971532817774129601650771740049020175469305951434313\
         010322492916095778816000000000000*ep^3-641638955050613701625/
         15637227606*ep^3*z6-17515735082767045220076963953/
         242682016380227424*ep^3*z5+22615852507841001240872262370911197/
         37663045239410050276776960*ep^3*z4+195898231761284004465166197\
         320211004089552623/13151515078017117740489425601126400*ep^3*z3
         -46831601119520682275/7818613803*ep^3*z3^2;
Fill mncnoptab(18,4,1,1)=
      +mncF321*(1299600+244167570820/17017*ep+6445028929060/97461*ep^2+
         1701751353882911/9648639*ep^3)
      -1728578213410792988796625016260145859438379/26303030156034235480\
      9788512022528000-86055755777573/20849636808*ep^-3-
         117189872517180562700879/2912184196562729088*ep^-2-52055162252\
         2355422132327644638111/3389674071546904524909926400*ep^-1-
         44593136620168688/2606204601*z3+422997146690498239726338600006\
         3231405603172988375245052658270667/936121708072176085067778636\
         81249507503525792317440000000*ep-22296568310084344/868734867*
         ep*z4-346315430438394320550613207/1040065784486688960*ep*z3-
         67856633146715476824019803442026246875492381122221441128257881\
         53111777957/54480542223423633903426490594222742126212445549012\
         975616000000000*ep^2-58812754286987641/35458566*ep^2*z5-
         346315430438394320550613207/693377189657792640*ep^2*z4-
         281243368293223016420941806568019753/
         1694837035773452262454963200*ep^2*z3+1931451783140358717215110\
         53207053003590462569612313198537849975029239283175814696681583\
         5627147766657323/706989636299307673502371641502562284052476601\
         720840787946613668276654429836410880000000000000*ep^3-
         42781443034734229255/10424818404*ep^3*z6-
         20118828132072382065837234721/2426820163802274240*ep^3*z5-
         281243368293223016420941806568019753/
         1129891357182301508303308800*ep^3*z4+6937474825561732218447346\
         0683521172560175493/43838383593390392468298085337088000*ep^3*
         z3-3115409604751600477/5212409202*ep^3*z3^2;
Fill mncnoptab(19,1,1,3)=
      +mncF321*(6859000+3603474666695/51051*ep+11456634104395085/
         38594556*ep^2+27620122211692837/38594556*ep^3)
      -159958043277828777289186008377091541487213671/473454542808616238\
      6576193216405504000+552485965174439/1125880387632*ep^-3+
         313565591880798289719047/87365525896881872640*ep^-2+
         3540281127330901325046720549667/813521777171257085978382336*
         ep^-1-6351340535034950036/70367524227*z3+197488433368072051681\
         552801910617917972028397775968827184055113/7618177962826953817\
         28335479176835184761765888000000000*ep-3175670267517475018/
         23455841409*ep*z4-10541081908765935781813511243/
         6240394706920133760*ep*z3-232812008746574881245361624393433537\
         067477111295021279527953524596147793/2660182725753107124190746\
         61104603233038146706782289920000000000*ep^2-
         16763935955817116269/1914762564*ep^2*z5-
         10541081908765935781813511243/4160263137946755840*ep^2*z4+
         3881727269094226660852593044050312741/
         10169022214640713574729779200*ep^2*z3+634321186636511363542967\
         55905808184167316804436422900685536211269770017667328708504678\
         4675647579/529075461086518351577640491756031186571929536329238\
         53311648831399518011392000000000000*ep^3-
         12194466116824881456995/562940193816*ep^3*z6-
         1625163291849696857341958028307/43682762948440936320*ep^3*z5+
         3881727269094226660852593044050312741/
         6779348143093809049819852800*ep^3*z4+1867790020192458654827102\
         9735741146403476780339/2367272714043081193288096608202752000*
         ep^3*z3-889192429202711873633/281470096908*ep^3*z3^2;
Fill mncnoptab(19,2,1,2)=
      +mncF321*(1444000+788112282200/51051*ep+659839205987120/9648639*
         ep^2+1689883325574170/9648639*ep^3)
      -338167408693158102193530676071333835969471/473454542808616238657\
      61932164055040-15927378380635/281470096908*ep^-3-
         11144327191804850079833/4368276294844093632*ep^-2-
         20668457246438493330018678653797/1016902221464071357472977920*
         ep^-1-1337169536151345440/70367524227*z3+131647305814355185303\
         42543936289150614112622578998509734438837/25393926542756512724\
         2778493058945061587255296000000000*ep-668584768075672720/
         23455841409*ep*z4-5963522958700730846452111/16422091334000352*
         ep*z3-57358385374327911497229324284973684742220588704195404181\
         405848857160193/3546910301004142832254328814728043107175289423\
         76386560000000000*ep^2-882342923313508615/478690641*ep^2*z5-
         5963522958700730846452111/10948060889333568*ep^2*z4-3079540047\
         1806639527120091947258707/508451110732035678736488960*ep^2*z3-
         21609822271659004504325270058021620035818280991759184537823726\
         14220923053970941411743498203185761999/34726926039335805042501\
         58895739061899302173897604222959816694346570163713736704000000\
         000000*ep^3-641836200954672104825/140735048454*ep^3*z6-
         18716319249653165993862520481/2184138147422046816*ep^3*z5-
         30795400471806639527120091947258707/
         338967407154690452490992640*ep^3*z4+20203610001245171816135678\
         1812923829450986271/118363635702154059664404830410137600*ep^3*
         z3-46799802921432065315/70367524227*ep^3*z3^2;
Fill mncnoptab(19,2,2,1)=
      +mncF321*(152000+86257082200/51051*ep+76061405598250/9648639*ep^2
         +22975423278590/1072071*ep^3)
      -1715192869913667930535154272768376219429657/22489090783409271336\
      23691777792614400-1351033871380915/2673965920626*ep^-3-
         238007503411387822114799/41498624801018889504*ep^-2-2126926036\
         63612382486196621370411/9660571103908677895993290240*ep^-1-
         2662138281835385440/1336982960313*z3+6179816427440808491969866\
         753972768055537021999330666673317788319/1172437588479068192479\
         908302453149349348357701632000000000*ep-1331069140917692720/
         445660986771*ep*z4-868873535001553188787753/22287123953286192*
         ep*z3-70026238442521540385718756441641946002765961755325959364\
         173776544972361623/4912825457920838236955470841279812507748493\
         380855330242560000000000*ep^2-1763705373308495390/9095122179*
         ep^2*z5-868873535001553188787753/14858082635524128*ep^2*z4-
         107632115346609680896885847468340469/
         4830285551954338947996645120*ep^2*z3+3112627106048699433683461\
         43682394155696480847152632385756189264895924276919061115126374\
         48574114181/10630691644694634196684159884915495610108695604910\
         88661168375820378621545021440000000000000*ep^3-
         641506378986283592225/1336982960313*ep^3*z6-
         20404854836611757568964278341/20749312400509444752*ep^3*z5-
         107632115346609680896885847468340469/
         3220190367969559298664430080*ep^3*z4+4008818349397235604639224\
         1940228656910154377/224890907834092713362369177779261440*ep^3*
         z3-93710739619459972630/1336982960313*ep^3*z3^2;
Fill mncnoptab(19,3,1,1)=
      +mncF321*(36100+21371153735/51051*ep+19838794820090/9648639*ep^2+
         227529787102279/38594556*ep^3)
      -1737640936115669750115283495419444886026299/94690908561723247731\
      52386432811008000-252005041342799/2251760775264*ep^-3-
         39511547518922057032213/34946210358752749056*ep^-2-18417479453\
         0861643246304639147717/40676088858562854298919116800*ep^-1-
         33443311908629036/70367524227*z3+85633670339646786655295442879\
         800989194514026817297827933919007/7404868979867799110399420857\
         5988379958843644313600000000*ep-16721655954314518/23455841409*
         ep*z4-118739374550101530380582269/12480789413840267520*ep*z3-
         15850991200970270884992262722296515541804495417810170088701565\
         610232909/5745994687626711388252012679859429833623968866497462\
         272000000000*ep^2-176432855193257483/3829525128*ep^2*z5-
         118739374550101530380582269/8320526275893511680*ep^2*z4-
         197827050776107763327224250055758611/
         20338044429281427149459558400*ep^2*z3+329359543901045968559842\
         27597419932389272979333805531509754542114985235594716906531368\
         61852621/46031269976378073552941868777914635996054019809525586\
         662121969316444241920000000000000*ep^3-128340416090699088565/
         1125880387632*ep^3*z6-22354776398121700610682956321/
         87365525896881872640*ep^3*z5-197827050776107763327224250055758\
         611/13558696286187618099639705600*ep^3*z4+19842287348156525124\
         8487629363774122878045599/4734545428086162386576193216405504000
         *ep^3*z3-9346234976480791351/562940193816*ep^3*z3^2;
Fill mncnoptab(20,1,1,2)=
      +mncF321*(8000+89923565020/969969*ep+83393972254525/183324141*
         ep^2+2792877043321/2144142*ep^3)
      -2049423860216209322369288049636224763192517/53411590610597019423\
      562679722574592000-1078289347477063/50805352491894*ep^-3-
         247816260658230496979237/1971184678048397251440*ep^-2+
         13519874577746518141619479327987/91775425487132440011936257280
         *ep^-1-2648725668777525424/25402676245947*z3+51055302443399237\
         5383653204574604978697238768327175847584631/203715721820780024\
         2992067466539537049622203596800000000*ep-1324362834388762712/
         8467558748649*ep*z4-4448324690682739292494433/
         2117276775562188240*ep*z3-303114077594175015200691981650515676\
         693634940433539515753202096825999/4742350439490724305347454452\
         28453170996399808140279808000000000*ep^2-1762522061532518774/
         172807321401*ep^2*z5-4448324690682739292494433/
         1411517850374792160*ep^2*z4-4901168316836711850481266670887206\
         41/229438563717831100029840643200*ep^2*z3+
         82428103015181903873812748879496460344101844594190899351407750\
         120860926744944452478063855119/2637664835154362627398732480766\
         2196181865874843236090134961953846406938624000000000000*ep^3-
         641105043441256835885/25402676245947*ep^3*z6-
         111516932454742778258017383511/1971184678048397251440*ep^3*z5-
         490116831683671185048126667088720641/
         152959042478554066686560428800*ep^3*z4+31030652230120514903965\
         664160700330710412361/3338224413162313713972667482660912000*
         ep^3*z3-93934999793291033998/25402676245947*ep^3*z3^2;
Fill mncnoptab(20,2,1,1)=
      +mncF321*(400+4846337060/969969*ep+4930518741860/183324141*ep^2+
         822780966479/9648639*ep^3)
      -1699811511233587271232603293110787619547979/85458544976955231077\
      7002875561193472000-330816668477039/203221409967576*ep^-3-
         49134646621412329006789/3153895484877435602304*ep^-2-198995294\
         117052636517524808833877/3671017019485297600477450291200*ep^-1
         -133852059261650384/25402676245947*z3+452972117747609741302282\
         98586455135574826162615836558002749/40743144364156004859841349\
         33079074099244407193600000000*ep-66926029630825192/
         8467558748649*ep*z4-6528465058722960901170991/
         59283749715741270720*ep*z3-18333645029093014484635254596996574\
         195799234158922374970598994943141/9484700878981448610694908904\
         56906341992799616280559616000000000*ep^2-176502016417069163/
         345614642802*ep^2*z5-6528465058722960901170991/
         39522499810494180480*ep^2*z4-370347709604074329791358570843653\
         251/1835508509742648800238725145600*ep^2*z3+
         27792006632408506657533670120164330635257464752558381341201472\
         728291298650569305002213065803/2526838581576448231289542040397\
         8910628005964135537094751140023012524294144000000000000*ep^3-
         128390461473929330965/101610704983788*ep^3*z6-
         25962549040839336253504567361/7884738712193589005760*ep^3*z5-
         370347709604074329791358570843653251/
         1223672339828432533492483430400*ep^3*z4+1604327690169437378587\
         78779133982106373788719/427292724884776155388501437780596736000
         *ep^3*z3-9346156164853657111/50805352491894*ep^3*z3^2;
Fill mncnoptab(21,1,1,1)=
      +mncF321*(1+55835135/3879876*ep+665690574539/7332965640*ep^2+
         13334148911/39382200*ep^3)
      -2682565823547166887903046770507562302759779/34183417990782092431\
      0801150224477388800000+100571322842761/3251542559481216*ep^-3+
         1076167958967480824480239/6307790969754871204608000*ep^-2-
         43967804678396649455679516531017/29368136155882380803819602329\
         6000*ep^-1-1637586994026304/127013381229735*z3+142818427960508\
         1596511260077824260307557907828919291/795764538362421969918776\
         35411700666000867328000000*ep-818793497013152/42337793743245*
         ep*z4-7089841939844605444877599/23713499886296508288000*ep*z3+
         280409901186777871106556337503654621876895759956900720194737/
         18524806404260641817763493954236451992046867505479680000000*
         ep^2-34801059247493503/27649171424160*ep^2*z5-
         7089841939844605444877599/15808999924197672192000*ep^2*z4-
         149397527921948659281785469900701327/1468406807794119040190980\
         11648000*ep^2*z3+479257090823727627859373059734691248707919974\
         6121471555877922001792829/924093665646906367714332264032405679\
         545504984267449014681600000000*ep^3-5063352925572703213/
         1625771279740608*ep^3*z6-33290695739043754839983874689/
         3153895484877435602304000*ep^3*z5-1493975279219486592817854699\
         00701327/97893787186274602679398674432000*ep^3*z4+112417206678\
         40779920617497540089701023708743/17091708995391046215540057511\
         2238694400000*ep^3*z3-373960050583728127/812885639870304*ep^3*
         z3^2;
*--#] 24 :
#case 23
*--#[ 23 :
Fill mncnoptab(6,6,6,5)=
      +mncF321*(-25030916546646314304-947560330004051551788/5*ep-
         491812724845520402742*ep^2-572343178995044437434989/875*ep^3)
      +6427978693555392149652790815289181/52092142502400-
         393378397702530152/75*ep^-3-123996024974406425970371/2457000*
         ep^-2-114453330958350356077780273/936936000*ep^-1+
         24713178893911879647452/75*z3-39865075544011877591722054568527\
         81634246166110937940259887/31153345222580009946316800000000000\
         00*ep+12356589446955939823726/25*ep*z4+
         1618383567785805897050364709/307125*ep*z3+56634538927093115056\
         884742503131513417153210370179817837090794021/8981135587527145\
         907403777638400000000000000*ep^2+798810306512646723514868/25*
         ep^2*z5+1618383567785805897050364709/204750*ep^2*z4-
         91385577467653315693180246254383/5465460000*ep^2*z3-
         14463741401889487215290768595312351919709042404727441550449828\
         35999509745575916272255110861/95559967365636797977987773744687\
         814618376463974400000000000000000000*ep^3+
         1185858870322014145448576/15*ep^3*z6+
         10008438267177621170373817747/204750*ep^3*z5-
         91385577467653315693180246254383/3643640000*ep^3*z4+1625110568\
         8623935599046634832011322807/159532186413600000*ep^3*z3+
         864563153818914418365332/75*ep^3*z3^2;
Fill mncnoptab(7,5,4,7)=
      +mncF321*(-13906064748136841280-105498846401554457852*ep-
         824448647547017396180/3*ep^2-192851592591279079242208/525*ep^3
         )
      +86522231391321266901672017588617767481/1263494916395712000-
         189321186765024302/135*ep^-3-83596375793704701694307/6081075*
         ep^-2-40976084676228157900458580381/1168733966400*ep^-1+
         24708688871408584422092/135*z3-2760120026210038712121264896776\
         6532556653215168698916454678143/388606828306463044070355763200\
         00000000000*ep+12354344435704292211046/45*ep*z4+
         17817461590471429538356747124/6081075*ep*z3+195599249430455464\
         327877333518856470604929146315575821499569075107227/5601534265\
         9406809024477361130700800000000000000*ep^2+
         798794388267909902635628/45*ep^2*z5+
         8908730795235714769178373562/2027025*ep^2*z4-38590262353260757\
         77844925193281723/417404988000*ep^2*z3-47501214654512474191086\
         92364851642166969173325225014953804046032212087647018405416680\
         337947307/5960075164594767089887097448456178997748140058083328\
         00000000000000000000*ep^3+1185837237966160561742396/27*ep^3*z6
         +55594288019893850067401848096/2027025*ep^3*z5-385902623532607\
         5777844925193281723/278269992000*ep^3*z4-417399683645297372538\
         86025604082587009/451248184427040000*ep^3*z3+
         864612550177464589262252/135*ep^3*z3^2;
Fill mncnoptab(7,5,5,6)=
      +mncF321*(-20859097122205261920-158040987215477416050*ep-
         2053442698819517230517/5*ep^2-27359079208310740985813/50*ep^3)
      +432900361502004970732483624438709016611/4211649721319040000-
         157402901327864308/45*ep^-3-1097134368088321528622113/32432400
         *ep^-2-323721692845005438857838810473/3895779888000*ep^-1+
         12355725118298892209518/45*z3-24466085580570977624423663175078\
         23575680616571651105618189/22947776614846882326528000000000000\
         00*ep+6177862559149446104759/15*ep*z4+
         17807581441599995751947448719/4054050*ep*z3+145833633319884334\
         9181056876953816568061058262111187765941622563417/277853882239\
         121076510304370688000000000000000*ep^2+
         399402088854845476473082/15*ep^2*z5+
         17807581441599995751947448719/2702700*ep^2*z4-2709599727729076\
         9922614080323104583/1947889944000*ep^2*z3-
         16349254769256156917792676330259906910004590438654167016297069\
         98468726026272151053972165177/14078030906544706844971413096315\
         6155464572469248000000000000000000000*ep^3+
         592925270723118768604864/9*ep^3*z6+
         15783117709346267037736458071/386100*ep^3*z5-27095997277290769\
         922614080323104583/1298593296000*ep^3*z4+110243094660637652289\
         68106309087500621/2105824860659520000*ep^3*z3+
         432291084765557525022154/45*ep^3*z3^2;
Fill mncnoptab(7,6,3,7)=
      +mncF321*(-5585411130243392448-212907844847977988436/5*ep-
         559710359777161447812/5*ep^2-132597347066402981626168/875*ep^3
         )
      +1363599920048148862010681455235656582909/49588275792863808000-
         128841027299625738/275*ep^-3-6454645646099615367092/1376375*
         ep^-2-511441427664185015629708402111/40472824392000*ep^-1+
         20215626316736965529988/275*z3-2149322805234998002721512235812\
         1454066491962655293119206574278849183/756053237597982562464992\
         51438223360000000000000*ep+30323439475105448294982/275*ep*z4+
         1623505105237466663688911364/1376375*ep*z3+5415043603777746239\
         9176386646649935834815917693946863993415752595202132441189/
         38906052023275524658771535514541226773708800000000000000*ep^2+
         1960671034506888498999276/275*ep^2*z5+
         2435257657856199995533367046/1376375*ep^2*z4-37132424984896449\
         0600330576259112303/101182060980000*ep^2*z3-
         84206523638970915044640913686104698858781009408642828798065249\
         4921586742899520751052206602068505639/282081814765867740531527\
         484062421498106856029948333994803200000000000000000000*ep^3+
         970227704095075766734644/55*ep^3*z6+
         15526634550810516754934172868/1376375*ep^3*z5-3713242498489644\
         90600330576259112303/67454707320000*ep^3*z4-110350393609276035\
         517504717594292482467551/619853447410797600000*ep^3*z3+
         707416581807329851198308/275*ep^3*z3^2;
Fill mncnoptab(7,6,4,6)=
      +mncF321*(-13653227207261625984-518528787514752982968/5*ep-
         1353843586982659975728/5*ep^2-317738841281246590549944/875*
         ep^3)
      +1574030475379168452332664919467572887/23398054007328000-
         55279461613830764/25*ep^-3-4407182709444497864053/204750*ep^-2
         -17481862300793103106282338569/324648324000*ep^-1+
         4492947917298613136264/25*z3-210531254982840859913885861996164\
         129219925558752461063418892287/3022497553494712564991655936000\
         00000000000*ep+6739421875947919704396/25*ep*z4+
         3241590868563509571739847248/1126125*ep*z3+1490924997036124569\
         037320945247711326758438581582899295769804205642749/
         435674887350941847968157253238784000000000000000*ep^2+
         435710911779591735407928/25*ep^2*z5+
         1620795434281754785869923624/375375*ep^2*z4-734549585230795166\
         1761053584549013/811620810000*ep^2*z3-581302544141210728616301\
         06369100114930708968266993686427770768796767531107656003842532\
         3964979/724314690141725167173779203805438419865225354280960000\
         00000000000000000*ep^3+215608981931146561135832/5*ep^3*z6+
         3389562130766336904617664614/125125*ep^3*z5-734549585230795166\
         1761053584549013/541080540000*ep^3*z4-511182511511239246728848\
         53707067607273/292475675091600000*ep^3*z3+
         157197231157513786821224/25*ep^3*z3^2;
Fill mncnoptab(7,6,5,5)=
      +mncF321*(-17066534009077032480-129557550738109596102*ep-
         337905873388239577251*ep^2-158382532670835719187897/350*ep^3)
      +1285626006444872682213069385205641/15280361800704-
         18378087770209436/5*ep^-3-11625302917906344940841/327600*ep^-2
         -3218372756543829463344296987/37102665600*ep^-1+
         1123337225331588295946/5*z3-1684300983170919921131417934735159\
         96257960821173256494986423011/19343984342366160415946597990400\
         0000000000*ep+1685005837997382443919/5*ep*z4+
         1620437966756304370763547869/450450*ep*z3+35817054050590663089\
         99299883388694408816774992105951325976969958090507/83649578371\
         3808348098861926218465280000000000000*ep^2+
         108928794324740044399242/5*ep^2*z5+
         1620437966756304370763547869/300300*ep^2*z4-735533286864133216\
         7039215495020703/649296648000*ep^2*z3-903563934400441773934231\
         74751966351828327393950810950356423204257257918713335745499806\
         801297/8428389121649165581658521644281465249340804122542080000\
         000000000000000*ep^3+53902728549704228051648*ep^3*z6+
         307293200610139181723052419/9100*ep^3*z5-735533286864133216703\
         9215495020703/432864432000*ep^3*z4-391907458784223867625670242\
         59963698393/233980540073280000*ep^3*z3+39298205362385764981406/
         5*ep^3*z3^2;
Fill mncnoptab(7,6,6,4)=
      +mncF321*(-11170822260486784896-425080607471017315272/5*ep-
         1113938259145331137884/5*ep^2-262775722928838854179986/875*
         ep^3)
      +4724094949774784011306271950719088847/85792864693536000-
         639367829545616376/275*ep^-3-373125778145950716618583/16516500
         *ep^-2-22311860253956834263951676501/396792396000*ep^-1+
         40439652618654035371176/275*z3-8936440481754842210119456226971\
         595551403444001061986252813226703/1570943103428876855654413172\
         7360000000000000*ep+60659478927981053056764/275*ep*z4+
         9734242629487376416555717834/4129125*ep*z3+3870484430876771068\
         424119525696156686809763896785053420214193366179859/
         1386379730820318523355814687984844800000000000000*ep^2+
         3921431403771278844122952/275*ep^2*z5+
         4867121314743688208277858917/1376375*ep^2*z4-14919735627323028\
         3100927698843347/20244510000*ep^2*z3-7978034446976226700675053\
         66785889005953184454778200909396542591432110652205496108537634\
         674571/2028081132396830468086581770655227575622630991986688000\
         00000000000000000*ep^3+1940495875576312404375888/55*ep^3*z6+
         30799231743109553036456871711/1376375*ep^3*z5-1491973562732302\
         83100927698843347/13496340000*ep^3*z4-559921210537142526614054\
         2336254804091/21885934870800000*ep^3*z3+
         1414740740592175524758616/275*ep^3*z3^2;
Fill mncnoptab(7,7,5,4)=
      +mncF321*(-7585126226256458880-57888886571856211872*ep-
         457476860211898510490/3*ep^2-93163935041136586716509/450*ep^3)
      +193816037156770893772952723001459667/5183568887777280-
         73575069530124929/45*ep^-3-1807215338298020079259/113400*ep^-2
         -2878256568965671604384519933/71922090240*ep^-1+
         4493350338620472142424/45*z3-338773775366778572600247669247752\
         31230690798466438493496998957/87884928863153949966680457216000\
         000000000*ep+2246675169310236071212/15*ep*z4+
         1999441529992171178651746403/1247400*ep*z3+7172408172195497624\
         89936141248893492428660888790016039460281399271379/38004255558\
         1513888919915634748293120000000000000*ep^2+
         145238397459166392868916/15*ep^2*z5+
         1999441529992171178651746403/831600*ep^2*z4-446831077731744688\
         5592542585388673/899026128000*ep^2*z3-838212997043798523887444\
         65156667591402063835096861749210531695578538271512512568792100\
         1143297688141091/399456057889945307366696070180795083469118824\
         009835770040811520000000000000000000*ep^3+
         215610921019439353232162/9*ep^3*z6+304941593576562631396496297/
         19800*ep^3*z5-4468310777317446885592542585388673/599350752000*
         ep^3*z4-91939883872040939997712035576280444993/
         323973055486080000*ep^3*z3+157192805179404409450724/45*ep^3*
         z3^2;
Fill mncnoptab(7,7,6,3)=
      +mncF321*(-3723607420162261632-142514253349149767904/5*ep-
         75498586708311871182*ep^2-25819828453752632694957/250*ep^3)
      +93279763583180324478692961239157569501/5085977004396288000-
         143175848584682667/275*ep^-3-4395721592618949507203/847000*
         ep^-2-172293880508026455753033412649/12453176736000*ep^-1+
         13478344934106606150792/275*z3-2512365074466242321545325330614\
         73326494936311213895184992592639879001/13298782589544000970538\
         07345810800640000000000000*ep+20217517401159909226188/275*ep*
         z4+667375171601169741230247721/847000*ep*z3+901420295396652036\
         95993913940856772885624767773033867974235048488594005277979/
         97763925596948754270759243087821544200601600000000000000*ep^2+
         1307127430611232465207284/275*ep^2*z5+
         2002125514803509223690743163/1694000*ep^2*z4-75411394894544237\
         022699587940838681/31132941840000*ep^2*z3-
         14575981487679402100840707112629923752242156929914111044531116\
         20102255390250348034057087492278176778779/77672011256378254210\
         1909025351545995634397713352458441746022400000000000000000000*
         ep^3+646824542838562929528246/55*ep^3*z6+
         927827721216342587288428211/121000*ep^3*z5-7541139489454423702\
         2699587940838681/20755294560000*ep^3*z4-1246364842167862050317\
         4031036057156076419/63574712554953600000*ep^3*z3+
         471597182404085055807372/275*ep^3*z3^2;
Fill mncnoptab(7,7,7,2)=
      +mncF321*(-827468315591613696-31863262770118750152/5*ep-
         256057959443581643153/15*ep^2-320114031725059654561759/13500*
         ep^3)
      +279590494456896533945563503983930300719/68660689559349888000-
         97662302419634459/2475*ep^-3-57923526801691076068013/137214000
         *ep^-2-223395192868376278965375430433/168117885936000*ep^-1+
         26952537123594255167384/2475*z3-521239376881750822032100087289\
         012632446710525290564256812589489869/1246760867769750090987944\
         3866976256000000000000*ep+13476268561797127583692/825*ep*z4+
         6023288002790171071390787609/34303500*ep*z3+371917011223299425\
         532412913131737611891511518519473103129681029823930263123/
         1833073604942789142576735807896653953761280000000000000*ep^2+
         290467855206938896936852/275*ep^2*z5+
         6023288002790171071390787609/22869000*ep^2*z4-2228271925327880\
         70572102974605573463/420294714840000*ep^2*z3-
         32984652936167315845031815436297025145165968904102865567941980\
         2773117133863152359129989992326317071839/587394585126360547464\
         568700422106659198513270722796696570429440000000000000000000*
         ep^3+1293629079869427908632142/495*ep^3*z6+
         477311290463722398517241783/272250*ep^3*z5-2228271925327880705\
         72102974605573463/280196476560000*ep^3*z4-59476451529497698910\
         035457499627375843467/858258619491873600000*ep^3*z3+
         943240057624793036786444/2475*ep^3*z3^2;
Fill mncnoptab(8,4,3,8)=
      +mncF321*(-3405566877094736640-181745825408657644992/7*ep-
         3344084952262429056170/49*ep^2-3166606753442462197790613/34300
         *ep^3)
      +99943962614844987222732190600380384899509/5964117170359892544000
         -127508707685837558/2205*ep^-3-472291969071315212855449/
         794593800*ep^-2-556552210021806044111918865911/324518464670400
         *ep^-1+14117272598941164618464/315*z3-294382698608552931155738\
         301442398176635684964351404355554199292853/1697796318249865443\
         769591308484608000000000000*ep+7058636299470582309232/105*ep*
         z4+10204299529506391435218344528/14189175*ep*z3+
         19856042038097358444191590219412222010307483990489489987813375\
         503983693669/2340203395760294780786797959015088521216000000000\
         0000*ep^2+3195128448697457944511432/735*ep^2*z5+
         5102149764753195717609172264/4729725*ep^2*z4-22693642471872030\
         7776215073963236411/101412020209500*ep^2*z3-
         69369398646481465898363642325639406021580503167594909105632511\
         9746257857598187459740648007941034717/313554832061503909729721\
         059830497230071556170326828667371520000000000000000000*ep^3+
         4743282218949892840602524/441*ep^3*z6+
         455465807617767833915030391743/66216150*ep^3*z5-22693642471872\
         0307776215073963236411/67608013473000*ep^3*z4-8295723535997242\
         68409710924464336597339549/7455146462949865680000*ep^3*z3+
         3458602458701962953289448/2205*ep^3*z3^2;
Fill mncnoptab(8,4,4,7)=
      +mncF321*(-7946322713221052160-60418579196754813320*ep-
         16592859304714421311921/105*ep^2-6243668609015332359883637/
         29400*ep^3)
      +266097177818370725897820198392410037761/6803434165207680000-
         379044323150660219/945*ep^-3-209455477316245807124273/52390800
         *ep^-2-67115533955490506490502587163/6293182896000*ep^-1+
         14118062230443568729592/135*z3-1802991002594022280758203994123\
         094275444335559233254760981/4448338236108780266373120000000000\
         000*ep+7059031115221784364796/45*ep*z4+
         783967362142524264430621076/467775*ep*z3+356977004750213538228\
         671754780187201359166145259040945467818012017/1795363546775859\
         26360504362598400000000000000*ep^2+3195148053623242492396556/
         315*ep^2*z5+391983681071262132215310538/155925*ep^2*z4-4134152\
         046488242269122445486379507/786647862000*ep^2*z3-
         20365119406720196290638671824200177544737102052079416115359289\
         815155170727095898376562584321/4966729303828972574905914540380\
         149164790116715069440000000000000000000*ep^3+
         4743308862628311248041262/189*ep^3*z6+
         69163919720384355180612238807/4365900*ep^3*z5-4134152046488242\
         269122445486379507/524431908000*ep^3*z4-2485918309375210090394\
         79119519605387267/1700858541301920000*ep^3*z3+
         3458541707971164209136092/945*ep^3*z3^2;
Fill mncnoptab(8,5,2,8)=
      +mncF321*(-1139879822498651520-61109112616190000856/7*ep-
         1133968029035650942944/49*ep^2-814883682623108971334828/25725*
         ep^3)
      +6813845660554341220922570700756993502717/1214912756925163296000-
         29341921729688476/2695*ep^-3-28699291961447173288037/242792550
         *ep^-2-229472771286723194062459829701/594950518562400*ep^-1+
         5775176333100481067128/385*z3-61252744528710303080266147861501\
         5493288605115577823196590525292939579/105891556369244107727909\
         40991018500096000000000000*ep+8662764499650721600692/385*ep*z4
         +4183480771164028245194236036/17342325*ep*z3+
         27436611716772087054083549342668114483798294019666963702551955\
         014713046556383/9730565719571305698511505913584738071216128000\
         0000000000*ep^2+3921288673705330625374392/2695*ep^2*z5+
         2091740385582014122597118018/5780775*ep^2*z4-11016790743564024\
         93199293548878920449/1487376296406000*ep^2*z3-
         13974684052700760648954684609868258819054591710258232171607290\
         2068364868239017090485268110847404987/219488382443052736810804\
         741881348061050089319228780067160064000000000000000000*ep^3+
         1940431219686813628952248/539*ep^3*z6+
         31735145339143976537463869086/13488475*ep^3*z5-110167907435640\
         2493199293548878920449/991584197604000*ep^3*z4-193421960255662\
         067448531159616805641869631/3037281892312908240000*ep^3*z3+
         1414888323493661650047976/2695*ep^3*z3^2;
Fill mncnoptab(8,5,3,7)=
      +mncF321*(-4876152574022009280-37162407007671860772*ep-
         683406282365533012404/7*ep^2-161711357975401853128212/1225*
         ep^3)
      +2271916143754814085666886520888751847907/94668526513649088000-
         7414952637019282/35*ep^-3-614037451826612676389/286650*ep^-2-
         91576909656918568453890185749/15453260222400*ep^-1+
         320861278881298331836/5*z3-30971929307270252070275825391700904\
         42278960424702973324231690384841/12473605603468399178715364715\
         397120000000000000*ep+481291918321947497754/5*ep*z4+
         33126304091168119662235976/32175*ep*z3+11146836022375031168695\
         99521417042598153344085837046468574175643116057099729/
         916977657114237954920541241083463257292800000000000000*ep^2+
         217850722862085902191404/35*ep^2*z5+16563152045584059831117988/
         10725*ep^2*z4-123880072456067135758549104179046701/
         38633150556000*ep^2*z3-623404436793013048272156330220192480149\
         7760884975686730954150695663280050640513753953818267262898669/
         23036681539212532143408077865097755678726575779113942908928000\
         00000000000000000*ep^3+107802346954958406934276/7*ep^3*z6+
         1722423136931267212046528782/175175*ep^3*z5-123880072456067135\
         758549104179046701/25755433704000*ep^3*z4-35195048060025678469\
         024686381320453525477/236671316284122720000*ep^3*z3+
         78603511140866230692772/35*ep^3*z3^2;
Fill mncnoptab(8,5,4,6)=
      +mncF321*(-9752305148044018560-74193988151738580840*ep-
         6799933615105404918372/35*ep^2-320414917547454375232978/1225*
         ep^3)
      +39330310472224634216163661678330999801/818931890256480000-
         36820971562917272/35*ep^-3-5921109545980328862023/573300*ep^-2
         -5465409779142178590920704559/206594388000*ep^-1+
         641791704593912098136/5*z3-21913386454049593145859145440243564\
         885435873961356451830919603/4407808932179789157279498240000000\
         0000000*ep+962687556890868147204/5*ep*z4+
         463410466270931329001252854/225225*ep*z3+185877422197822620453\
         0603325235524124571242987800133511797936424429517/762431052864\
         148233944275193167872000000000000000*ep^2+
         435706593204455175492744/35*ep^2*z5+
         231705233135465664500626427/75075*ep^2*z4-66525051973962048337\
         7425808415509/103297194000*ep^2*z3-164634830480069180462649403\
         37185027166865192450680350725460924427828556814356919394857509\
         516103/2704108176529107290782109027540303434163507989315584000\
         000000000000000000*ep^3+215607025636148895402896/7*ep^3*z6+
         3415840694537665691682332419/175175*ep^3*z5-665250519739620483\
         377425808415509/68864796000*ep^3*z4-84936209667969199696803854\
         487394964909/409465945128240000*ep^3*z3+
         157201696180981833969176/35*ep^3*z3^2;
Fill mncnoptab(8,5,5,5)=
      +mncF321*(-9973948446863200800-75983724205173657990*ep-
         1396385856557675525133/7*ep^2-26415470977095166601951/98*ep^3)
      +118076648322579897181214836234492646747/2402200211419008000-
         141516743016015036/77*ep^-3-330499826786198764189577/18498480*
         ep^-2-296884131835890825356024950963/6666112252800*ep^-1+
         1444215627799353432918/11*z3-562489184858498475936297568096639\
         6366275270288612116558840287/110824910294806127383027384320000\
         00000000*ep+2166323441699030149377/11*ep*z4+
         695618707825343794141082401/330330*ep*z3+143113279181509291615\
         9350236980590941086271542283968560030735475901683/575090851303\
         243239317967574275194880000000000000*ep^2+
         980353558605152935078362/77*ep^2*z5+
         695618707825343794141082401/220220*ep^2*z4-2187934298288634648\
         5641308839413981/3333056126400*ep^2*z3-28856013548729359141421\
         64880489372688943554024827580185910164201278977039951739506223\
         528341/4944654951367510474572999364645126279613271751891353600\
         00000000000000*ep^3+2425610123026393652619840/77*ep^3*z6+
         30948877793472287212480872521/1541540*ep^3*z5-2187934298288634\
         6485641308839413981/2222037417600*ep^3*z4-33866187278559208617\
         6939601156222813291/1201100105709504000*ep^3*z3+
         353689631351582813465742/77*ep^3*z3^2;
Fill mncnoptab(8,6,1,8)=
      +mncF321*(-101322650888769024-27417875403910966416/35*ep-
         517751630752456014346/245*ep^2-2286713134064247154229113/
         771750*ep^3)
      +1311801618004581164912550943724063227996087/
      2631501031499903699136000-963013138625518/40425*ep^-3-
         12354276108632006039069/14567553000*ep^-2-
         2443176664997616889505474711171/339121795580568000*ep^-1+
         7700115957439295534224/5775*z3-5191888502226993184042954342450\
         137822534590004281199458508030137097521657/1016834259191303468\
         868022899603542490218496000000000000*ep+3850057978719647767112/
         1925*ep*z4+11206359677173357750623138431/520269750*ep*z3+
         35061284104776800855923941121590861751717221476417267300901636\
         944959249798382475793/1420268701757082385528004117623989848200\
         431859138560000000000000*ep^2+1742792002400136215556312/13475*
         ep^2*z5+11206359677173357750623138431/346846500*ep^2*z4-
         3205800992089104396072489854671560533/49870852291260000*ep^2*
         z3-14015741114158182807151075251859513380899650246270411472393\
         4313731763528589531053639719207946801878405676007213/
         26606686436214458946626644556236901958401566523484908741888048\
         62519541760000000000000000000*ep^3+2587237597749166788964684/
         8085*ep^3*z6+44218838431115930323362584153/202327125*ep^3*z5-
         3205800992089104396072489854671560533/33247234860840000*ep^3*
         z4-1197832136010646392195518617771085441833379/
         113819248767296872800000*ep^3*z3+1886526896097785337309688/
         40425*ep^3*z3^2;
Fill mncnoptab(8,6,2,7)=
      +mncF321*(-1063887834332074752-40835737855492261344/5*ep-
         152230542143193360264/7*ep^2-550477808846691687270847/18375*
         ep^3)
      +3634266549011699372033918766175199478133/694235861100093312000-
         48571869762275234/1925*ep^-3-94318787370423772805351/346846500
         *ep^-2-1479849506994788034394519579961/1699858624464000*ep^-1+
         3850208339900365768112/275*z3-13975507960092221077907876098568\
         27076389645607190001763667057760891669/25932626049610801892549\
         243243310612480000000000000*ep+5775312509850548652168/275*ep*
         z4+11168686685681057312339805701/49549500*ep*z3+
         71406785603459349629944470716867823329518460331679682915983172\
         249708601766933/2723423641629286726114007486017885874159616000\
         00000000000*ep^2+2614199218408688554570968/1925*ep^2*z5+
         11168686685681057312339805701/33033000*ep^2*z4-292042110051621\
         7698494605547237481409/4249646561160000*ep^2*z3-
         23581517330466209370173294248887742631278844957903730453224111\
         241598831440986796753939674996854021127773/5126352742920964777\
         87259956732020357118702490812622571552374784000000000000000000\
         00*ep^3+1293623880014692997097092/385*ep^3*z6+
         85576259857855693924542131351/38538500*ep^3*z5-292042110051621\
         7698494605547237481409/2833097707440000*ep^3*z4-62400463043053\
         6153064873800125382514464091/8677948263751166400000*ep^3*z3+
         943251913844723303231144/1925*ep^3*z3^2;
Fill mncnoptab(8,6,3,6)=
      +mncF321*(-3900922059217607424-149135255467344926208/5*ep-
         2759404438763427422964/35*ep^2-658584040293439728071763/6125*
         ep^3)
      +3636425730525467548827536451052212091319/189337053027298176000-
         61762133519693578/175*ep^-3-10136382719818745278807/2866500*
         ep^-2-295357508047730751368136516709/30906520444800*ep^-1+
         1283546086559323975504/25*z3-686486889030440397520525241376381\
         890419612530650051144140804865597/3464890445407888660754267976\
         499200000000000000*ep+1925319129838985963256/25*ep*z4+
         3716084042622076202295661997/4504500*ep*z3+2464502906467651210\
         99021157311355348183778852490475065808586041467986063929/
         254716015865066098589039233634295349248000000000000000*ep^2+
         871410407215468251152856/175*ep^2*z5+
         3716084042622076202295661997/3003000*ep^2*z4-98309599768038888\
         3490445494058976313/386331505560000*ep^2*z3-
         50273261676224545378392165434503951585375776199005090838924056\
         3517394659067472687616418035135527821857/369866720268467877191\
         385250167402855063998911120218305593344000000000000000000000*
         ep^3+431212792304776491662164/35*ep^3*z6+
         27994620481912158551489376647/3503500*ep^3*z5-9830959976803888\
         83490445494058976313/257554337040000*ep^3*z4-43494053854802490\
         5950527028139488025683081/2366713162841227200000*ep^3*z3+
         314406265425137257847848/175*ep^3*z3^2;
Fill mncnoptab(8,6,4,5)=
      +mncF321*(-6501536765362679040-49661700570493124256*ep-
         917173813853498687704/7*ep^2-655068873106681563538013/3675*
         ep^3)
      +12593675729289149355483705104770991813/393087307323110400-
         122421496775659318/105*ep^-3-19615641409319152017487/1719900*
         ep^-2-31553694954249529046319257687/1090818368640*ep^-1+
         1283736635701404451984/15*z3-249524991601630051826115887961745\
         372889508215867953734522079/7556243883736781412479139840000000\
         00000*ep+641868317850702225992/5*ep*z4+
         3714631518566926473789149687/2702700*ep*z3+5911743355709447004\
         64733311262707497871681162163408474328214763606101/36596690537\
         4791152293252092720578560000000000000*ep^2+
         290474865624082364743192/35*ep^2*z5+
         3714631518566926473789149687/1801800*ep^2*z4-57968277955759081\
         833031730460149819/13635229608000*ep^2*z3-
         31781716553942236043098737412945787087669553462132162329785246\
         58471700444408999414859385160857301527/15527932279492528954973\
         60817029329770531074145810829038059520000000000000000000*ep^3+
         431219220211168631532844/21*ep^3*z6+
         27863030185478634913880001437/2102100*ep^3*z5-5796827795575908\
         1833031730460149819/9090153072000*ep^3*z4-13399892697939434130\
         36112722053475780619/4913591341538880000*ep^3*z3+
         314391598437027457928248/105*ep^3*z3^2;
Fill mncnoptab(8,6,5,4)=
      +mncF321*(-5319439171660373760-40712619833256893184*ep-
         754669877388355958292/7*ep^2-180585441843110982851399/1225*
         ep^3)
      +12599490254523994205780393842696221527/480440042283801600-
         472431057400128894/385*ep^-3-277009245952401901943957/23123100
         *ep^-2-22383715348298335359218386369/740679139200*ep^-1+
         3851540677998210811632/55*z3-635638656659054858822602373751287\
         26143239733105526356404223191/23564146551433152834816197591040\
         0000000000*ep+5777311016997316217448/55*ep*z4+
         3718315532449845446093417837/3303300*ep*z3+3836306726218874449\
         72622092480800498162310654516897940161239311143573/29113974347\
         2266889904721084476817408000000000000*ep^2+
         2614298411716031319178248/385*ep^2*z5+
         3718315532449845446093417837/2202200*ep^2*z4-21364519661803508\
         72670264317296587/617232616000*ep^2*z3-
         67836078173883383424931403970746882299341948380877447056061266\
         464457772946928536861014323835724125649/4394016636789398381033\
         6567719887459181603070641081934704489267200000000000000000*
         ep^3+1293668813485021921748412/77*ep^3*z6+
         84384101873220864132040227061/7707700*ep^3*z5-6409355898541052\
         618010792951889761/1234465232000*ep^3*z4-166421511614512993288\
         9855337931671651689/6005500528547520000*ep^3*z3+
         943149312098056572196344/385*ep^3*z3^2;
Fill mncnoptab(8,6,6,3)=
      +mncF321*(-2127775668664149504-81841460528915210448/5*ep-
         1531419951100097353338/35*ep^2-742428475797615527416371/12250*
         ep^3)
      +727892279731988774028703019789746659841/69423586110009331200-
         794872300467960618/1925*ep^-3-951178806406265866917373/
         231231000*ep^-2-3102615632386697676984185846753/
         283309770744000*ep^-1+7702609476751897944624/275*z3-
         30364450241532289513701346581000416727687408081130552125695196\
         7345363/2823774836513176206077584264271600025600000000000*ep+
         11553914215127846916936/275*ep*z4+3727238683430903284335427327/
         8258250*ep*z3+108517269834553448331130477872501016139336998901\
         747513531357499468848524406633/2075854020175211882349121261564\
         74412185944064000000000000*ep^2+5228561702164355435488536/1925
         *ep^2*z5+3727238683430903284335427327/5505500*ep^2*z4-96823400\
         5334178998658643503046477423/708274426860000*ep^2*z3-
         67096438478043516387108285451238773480904100671434289396066148\
         883091048403421748004506062177661816872159/4605173547390666692\
         12221861130931620811634404246672610111216680960000000000000000\
         00*ep^3+2587321717913546074938084/385*ep^3*z6+
         43214282452740885010104962803/9634625*ep^3*z5-9682340053341789\
         98658643503046477423/472182951240000*ep^3*z4-72125075745856258\
         8161866611765794772738721/4338974131875583200000*ep^3*z3+
         1886334985928564934045288/1925*ep^3*z3^2;
Fill mncnoptab(8,7,1,7)=
      +mncF321*(-63651408891662592-2474441317042227624/5*ep-
         4046579298503435833/3*ep^2-181260763272035747701501/94500*ep^3
         )
      +100900476210418252633029058207632871859071/
      322224616102029024384000-4049511834143/2475*ep^-3-
         163957546647270976841/137214000*ep^-2-
         508984824096788866299658541483/41525117826192000*ep^-1+
         2073106788254022256568/2475*z3-3415736531631274524544502004821\
         408848637912162047001481796736843063680594543/1069403644898945\
         159616939451200966546602065920000000000000*ep+
         1036553394127011128284/825*ep*z4+6050469911483840584460591489/
         445945500*ep*z3+3879382365753713821132735039367118369457361488\
         980684227716773049952944922004142735696787/2524345011397273743\
         96931657569009029933864185980832972800000000000000*ep^2+
         22343485862068441929604/275*ep^2*z5+
         6050469911483840584460591489/297297000*ep^2*z4-843100778238112\
         92998519896277869933/2118628460520000*ep^2*z3-
         77522544271632635034730429497369865330583543519972915112139768\
         80002131744027689239971702680791457431546717870942015897/
         46947112039651567184318574709896168695708282187952152036957436\
         6811944115188531200000000000000000000*ep^3+
         99509132985180977554934/495*ep^3*z6+
         3489132367557909213435065801/24774750*ep^3*z5-8431007782381129\
         2998519896277869933/1412418973680000*ep^3*z4-33834786528362565\
         624593600221788727939685627/4027807701275362804800000*ep^3*z3+
         72558746686013784837788/2475*ep^3*z3^2;
Fill mncnoptab(8,7,2,6)=
      +mncF321*(-572862680024963328-22130772180407968896/5*ep-
         59633728911216455412/5*ep^2-43836120332846924493869/2625*ep^3)
      +13314103071737603271227066746116143887/4722692932653696000-
         8276701489330918/275*ep^-3-2275951970331136782901/7078500*
         ep^-2-245286579031845544348122599311/242836946352000*ep^-1+
         2073289359550769641168/275*z3-11979906785247755705706627022925\
         3868989785486678825957108394687709258443/414922016793772830280\
         7878918929697996800000000000000*ep+3109934039326154461752/275*
         ep*z4+6032656454952633857693152669/49549500*ep*z3+
         42624329772058199814864421163287822634967929238124916812731763\
         622925631456703581/3050234478624801133247688384340032179058769\
         92000000000000000*ep^2+201093312577101729884136/275*ep^2*z5+
         6032656454952633857693152669/33033000*ep^2*z4-2209942098325696\
         63778241587721975023/607092365880000*ep^2*z3-
         70336209303042264278471402393879150511113872802022227636224965\
         553097581897941796618692229493872005127992808858447/
         61097357880562436340729723942548772480146083318174728157889757\
         0338439168000000000000000000000*ep^3+99510011608775480121484/
         55*ep^3*z6+6783017722554847364016616017/5505500*ep^3*z5-
         220994209832569663778241587721975023/404728243920000*ep^3*z4-
         23754955289523487131241888440178171789399/
         413235631607198400000*ep^3*z3+72556733822473816612888/275*ep^3
         *z3^2;
Fill mncnoptab(8,7,3,5)=
      +mncF321*(-1750413744520721280-13480094596688752032*ep-
         36105737798963564810*ep^2-52649183402606605064351/1050*ep^3)
      +279871134594202505378793965284700255207/32457780518965401600-
         4165332960624173/15*ep^-3-1365653233758638232379/491400*ep^-2-
         18035708523382888430570741803/2408300294400*ep^-1+
         345609427746998852408/15*z3-1693338685222533620374190931745452\
         66439049106091296141783574183883227/19159458206927461138506800\
         20284997632000000000000*ep+172804713873499426204/5*ep*z4+
         2007950186062650633298245323/5405400*ep*z3+6046540851344334033\
         4390898165716157620125028517968401689973248942997165498293/
         140847768132746949875795134630419956320174080000000000000*ep^2
         +11172067791609534902372/5*ep^2*z5+
         2007950186062650633298245323/3603600*ep^2*z4-67524604788240537\
         10306883454577211/6020750736000*ep^2*z3-
         12770082478048248307447637547445995653551983890944157930899187\
         99273171432501522509645576953052998001857910464607/
         25391109768545428089653911248851437913826943716644042870811327\
         59848058880000000000000000000*ep^3+16585296973540802927354/3*
         ep^3*z6+171332439177756915710016803/46200*ep^3*z5-675246047882\
         4053710306883454577211/4013833824000*ep^3*z4-59505756147986457\
         598987826462698057521337/405722256487067520000*ep^3*z3+
         12092116463785749342548/15*ep^3*z3^2;
Fill mncnoptab(8,7,4,4)=
      +mncF321*(-2333884992694295040-17965847626023513216*ep-
         144249845325812517128/3*ep^2-105062075372571553514302/1575*
         ep^3)
      +969152146568365307640810182586517763/84232994426380800-
         24855651992347412/45*ep^-3-1002168544319554277912/184275*ep^-2
         -25769432469246141416012167/1834747200*ep^-1+
         1382618257603363289312/45*z3-403881194433998591311563153180031\
         67493057727563221645215967099/34275122256630040487005378314240\
         0000000000*ep+691309128801681644656/15*ep*z4+
         286814117297397543645252299/579150*ep*z3+849055802809366417178\
         693851727928829719327214228121508054515239426427/1482165966767\
         904166787670975518343168000000000000*ep^2+
         44688910957085947566608/15*ep^2*z5+286814117297397543645252299/
         386100*ep^2*z4-4373661870297233164676699636113883/
         2921834916000*ep^2*z3-1549435080384743521578846470452048683479\
         74894622525952116424258916485555442530465724617478645595610985\
         2965099/198368045066761156950421181631651858701772997786281584\
         9282134968631296000000000000000000*ep^3+
         66342057306827239705256/9*ep^3*z6+2223127801643345598135688949/
         450450*ep^3*z5-4373661870297233164676699636113883/
         1947889944000*ep^3*z4-200766241397146515477194132821598645293/
         1052912430329760000*ep^3*z3+48366477669811697776592/45*ep^3*
         z3^2;
Fill mncnoptab(8,7,5,3)=
      +mncF321*(-1432156700062408320-11051353910130232608*ep-
         29710188902038529430*ep^2-14514443707944666891823/350*ep^3)
      +11198948521129141521347551578412994423/1586824825371641856-
         16096729572797679/55*ep^-3-6437105149015892171043/2202200*
         ep^-2-253693774501543499615135327137/32378259513600*ep^-1+
         1036907469149845581864/55*z3-313137090809845269437336303292786\
         208693561107262461221465292603807630749/4337318148884238652535\
         169429921177639321600000000000*ep+1555361203724768372796/55*ep
         *z4+669991108679705910265060161/2202200*ep*z3+
         11164198994415248990482517233252883883409573786663719160924131\
         3944174823559596139/318851177498912545128825025776344697117610\
         082304000000000000*ep^2+100549452484328880350628/55*ep^2*z5+
         2009973326039117730795180483/4404400*ep^2*z4-73894812684789724\
         892296610904464561/80945648784000*ep^2*z3-
         82109230699595144273640436689964742891978278893205507596817449\
         3825276979620934242271403515592645528925638836302923/
         19160131431344380036452841428383295049773811728579594750314227\
         80581345230848000000000000000000*ep^3+49756272507589517384382/
         11*ep^3*z6+518820325992142107312967089/169400*ep^3*z5-73894812\
         684789724892296610904464561/53963765856000*ep^3*z4-19464777565\
         7114950504718683087360113319/1445722326322560000*ep^3*z3+
         36275478587706228814044/55*ep^3*z3^2;
Fill mncnoptab(8,7,6,2)=
      +mncF321*(-381908453349975552-14815378558430848944/5*ep-
         8045336701139377706*ep^2-25610051932522407216643/2250*ep^3)
      +279644843289264184576616988275538180283/148764827378591424000-
         27750094526267686/825*ep^-3-106381602472970467805633/297297000
         *ep^-2-405493276142772564036759232157/364255419528000*ep^-1+
         4146824987541825436336/825*z3-98274507196873669000061250221128\
         12673292370946323862096967816398630082973/51234570633695069083\
         0716888909439108644864000000000000*ep+2073412493770912718168/
         275*ep*z4+6044927228440716796371150389/74324250*ep*z3+
         34854638551832448742974221549230687654346401867389188485181191\
         00120113147550400363/37664295342059044393342456169830717347017\
         690972160000000000000*ep^2+134063081589165202778424/275*ep^2*
         z5+6044927228440716796371150389/49549500*ep^2*z4-2186147372412\
         28169153160522011216443/910638548820000*ep^2*z3-
         70531516980441184002263147644561049476041201623804823545645270\
         153408384370148747077764567277229227882310365543251429/
         70220039375547215873980774138733585655973926349501082106560268\
         5402480514170880000000000000000000*ep^3+
         199021209889976891449468/165*ep^3*z6+
         3456509171180410193699838401/4129125*ep^3*z5-21861473724122816\
         9153160522011216443/607092365880000*ep^3*z4-861777588951625801\
         64973457096320197407607/1859560342232392800000*ep^3*z3+
         145110759161626377141976/825*ep^3*z3^2;
Fill mncnoptab(8,7,7,1)=
      +mncF321*(-34273835557049088-1341253422071637816/5*ep-
         11099423405123097071/15*ep^2-101058418345396235616439/94500*
         ep^3)
      +706209314489582161084257357915461899116001/
      4188920009326377316992000-15117729916001/32175*ep^-3-
         33517808243673797650571/23189166000*ep^-2-
         7968219980576898866848296903893/539826531740496000*ep^-1+
         14511741544558514607176/32175*z3-78795149142532504663976643196\
         71847005825784206819247574404343633666284363645087/
         4604980423372245730729695309605506065654088099430400000000000*
         ep+7255870772279257303588/10725*ep*z4+
         6069799923154680462003109769/828184500*ep*z3+
         52650247690139903081482581290046247491801853877784610875968266\
         172875782523368734949681479/6432031089040253499633818634858350\
         082714859458791624146944000000000000*ep^2+
         156404396281462606888828/3575*ep^2*z5+
         6069799923154680462003109769/552123000*ep^2*z4-284105248338565\
         49120621636272938355459/1349566329351240000*ep^2*z3-
         16739317998244673825064411699673365825913004389564539063614125\
         3751884964059523397060217103098465920270558251727931603639/
         10121797355748877884939084707453613970794705639722483979168023\
         348465515123464732672000000000000000000*ep^3+
         696563912494302473696138/6435*ep^3*z6+
         25152639291284669815800873047/322071750*ep^3*z5-28410524833856\
         549120621636272938355459/899710886234160000*ep^3*z4-6046086440\
         900933986237185602781099466165781/1068602043195504417600000*
         ep^3*z3+507911338021209967561316/32175*ep^3*z3^2;
Fill mncnoptab(8,8,4,3)=
      +mncF321*(-428672753760176640-23378204352531929472/7*ep-
         447662993500123372248/49*ep^2-15990088828295357457186/1225*
         ep^3)
      +280016556110322437025968226911121508877/132535937119108723200-
         24897560654125652/245*ep^-3-4104021353930109262943/4013100*
         ep^-2-151309865629893297032615026477/54086410778400*ep^-1+
         1382619067870872354272/245*z3-21142194449668982712108567449755\
         27773827483609027162724891327001881787/98575412474641787557617\
         487043663128166400000000000*ep+2073928601806308531408/245*ep*
         z4+1009648869938062782614449414/11036025*ep*z3+
         74780667436364130171319508002249717687414763997126700259353174\
         1766324953878877/724661767042983057110965967673510675267295641\
         6000000000000*ep^2+134066741895839255517744/245*ep^2*z5+
         504824434969031391307224707/3678675*ep^2*z4-360360016074596730\
         20858508644365493/135216026946000*ep^2*z3+
         35888208345322080665403108072727957147911648407751945965376407\
         98911528861691054367119745961053694981324977041171/
         43545753253055409173756457791780216022213208474044533523441426\
         831394209792000000000000000000*ep^3+66342061413984191581736/49
         *ep^3*z6+1174014163872722973819160027/1226225*ep^3*z5-36036001\
         607459673020858508644365493/90144017964000*ep^3*z4-10136007538\
         5832642186959487623502709926987/1656699213988859040000*ep^3*z3
         +48366469650663042774992/245*ep^3*z3^2;
Fill mncnoptab(8,8,5,2)=
      +mncF321*(-175366126538254080-9590079031545096864/7*ep-
         184552372993547148360/49*ep^2-19909403262401466430951/3675*
         ep^3)
      +838984066426931321571307606256465155619/971930205540130636800-
         49513691450102414/2695*ep^-3-95107139914271606748521/485585100
         *ep^-2-1457619586991883506014263118607/2379802074249600*ep^-1+
         6220409903116035744944/2695*z3-2394019706783968905875130832701\
         6502382044352189259228643095727893955271/273251043379707035109\
         7156740850341912772608000000000*ep+9330614854674053617416/2695
         *ep*z4+18195281614085380694105530757/485585100*ep*z3+
         42201258176667524601087780773072076604993698930065872084322093\
         122023421011964421/1004381209121574517155798831195485795920471\
         759257600000000000*ep^2+603285705187581441213288/2695*ep^2*z5+
         18195281614085380694105530757/323723400*ep^2*z4-64397808856141\
         7432731321512887465239/5949505185624000*ep^2*z3-
         69614501491529003340846691477617392637937826028314093005115641\
         17112206524889959088216608447590634995055583593563/
         40236276005823198076550966999604919604525004630017148975659878\
         3922082498478080000000000000000*ep^3+298532647642232702734172/
         539*ep^3*z6+21387888516237763295652946001/53953900*ep^3*z5-
         643978088561417432731321512887465239/3966336790416000*ep^3*z4-
         332930172098194020384101459808275569707661/
         12149127569251632960000*ep^3*z3+217664251112762448554264/2695*
         ep^3*z3^2;
Fill mncnoptab(8,8,6,1)=
      +mncF321*(-23382150205100544-6429444869477846736/35*ep-
         124988200345227807738/245*ep^2-9112466287773152464781/12250*
         ep^3)
      +100885364317419326553287209415915701553173/
      877167010499967899712000-311971542645786/13475*ep^-3-
         2042841904676136796741/1618617000*ep^-2-
         85045380630662062210074832727/7536039901790400*ep^-1+
         4146221759591373513936/13475*z3-343578425282034200106825817467\
         4859961151742011433660137663462821227121600640099/
         2951910527802721622262625198465067990803902627840000000000000*
         ep+6219332639387060270904/13475*ep*z4+
         2026963049133522706742230633/404654250*ep*z3+
         22880841599639400904510455958950884947955150073981424379236926\
         155344764039285914669001899/4123096851948880448483217073627147\
         488919781704353605222400000000000000*ep^2+
         402182827137618060272472/13475*ep^2*z5+
         2026963049133522706742230633/269769500*ep^2*z4-133901484848838\
         0618429417857326718669/94200498772380000*ep^2*z3-
         24577444188737630463316674690874750466079447153970982162642038\
         2342860618495027100901223687369039698228759052376337066399/
         84348311297907315707825705895446783089955880331020699826400194\
         570545959362206105600000000000000000000*ep^3+
         199018302689013343379268/2695*ep^3*z6+
         3652948610967444102991812791/67442375*ep^3*z5-1339014848488380\
         618429417857326718669/62800332514920000*ep^3*z4-47193342537793\
         565427892668226640115388679057/10964587631249598746400000*ep^3
         *z3+145117391392408429300776/13475*ep^3*z3^2;
Fill mncnoptab(9,3,2,9)=
      +mncF321*(-319271894727631560-68709430356709557987/28*ep-
         10264237149724732044525/1568*ep^2-19820149313638332632562493/
         2195200*ep^3)
      +3397732005849879111592484469031692996855259/
      2162986493783854362624000-4482978803872733/23520*ep^-3-
         680981534991505161277891/288172684800*ep^-2-
         1132514474863459292294498768257/117692029853798400*ep^-1+
         1764610485700598379853/420*z3-15164341208945986656252857123260\
         76028017377673709124740069394642613/93826153359027484587749350\
         787619225600000000000*ep+1764610485700598379853/280*ep*z4+
         43535221735142425264056547219/643242600*ep*z3+
         45127268610247430457449894265976558214051918026179280781445162\
         137293416367/5747902746158054538827030528470498903326720000000\
         00000*ep^2+798779704784707030146653/1960*ep^2*z5+
         43535221735142425264056547219/428828400*ep^2*z4-88983389680399\
         1553339360627314401249/4326912862272000*ep^2*z3-
         31557118076653549414428038159947311926681880103945229800797754\
         545519261536664443311166827621430429/1444011247758375677400789\
         47342044861933482799287022048719667200000000000000000*ep^3+
         2371634567554312713122017/2352*ep^3*z6+
         16092857277041040252202879020437/24014390400*ep^3*z5-889833896\
         803991553339360627314401249/2884608574848000*ep^3*z4-
         65151044727034421030032837716446301046048601/
         2703733117229817953280000*ep^3*z3+864658126312240024415177/
         5880*ep^3*z3^2;
Fill mncnoptab(9,3,3,8)=
      +mncF321*(-1277087578910526240-68416878726736183215/7*ep-
         50708036475377207379753/1960*ep^2-19384467792849365764526061/
         548800*ep^3)
      +16989041101282559950087465089975940046943479/
      2703733117229817953280000-36463765016165609/5880*ep^-3-
         4752409257454534711393903/72043171200*ep^-2-
         30367239226807079281596115982861/147115037317248000*ep^-1+
         1764623232347509534849/105*z3-47528426990744678815676143989460\
         290353692683071560837092261200267/7330168231174022233417918030\
         28275200000000000*ep+1764623232347509534849/70*ep*z4+
         43446981575158405272042181129/160810650*ep*z3+
         71003834333906889458191256573328338944655101236737344692754922\
         8032360457/2245274510217990054229308800183788634112000000000000
         *ep^2+798780334346823922788089/490*ep^2*z5+
         43446981575158405272042181129/107207100*ep^2*z4-89929406046647\
         3347777221717827754697/1081728215568000*ep^2*z3-
         20720530905217635485070247966293069298040659852712489615884323\
         0876946757080796292619460185547589811/253830102145026974543107\
         524624688233867450233121718445015040000000000000000000*ep^3+
         2371636277787606634876381/588*ep^3*z6+
         15772659739270662646283338773737/6003597600*ep^3*z5-8992940604\
         66473347777221717827754697/721152143712000*ep^3*z4-45768132907\
         888241274197771933152918207478693/675933279307454488320000*
         ep^3*z3+864656142798292481399093/1470*ep^3*z3^2;
Fill mncnoptab(9,4,1,9)=
      +mncF321*(-71242488906165720-15395202810742860729/28*ep-
         2317499948035872731703/1568*ep^2-13569202484810750921541493/
         6585600*ep^3)
      +504556215860424472090884424598180331590573/
      1439453555692255014912000+940856575193873/86240*ep^-3+
         119985464230443529691/4781145600*ep^-2-
         58820936063093315910206504191/111301512395673600*ep^-1+
         1443770336525842803647/1540*z3-4836775030025013157277876600491\
         73399721713670747692754882464697513331/13453473152985570893926\
         0738569300219002880000000000*ep+4331311009577528410941/3080*ep
         *z4+161492830926046573442208661/10672200*ep*z3+
         49057829875992096927806620922036277910817788327098360372294170\
         83916035941964511/28186816105573044223126852655134321851216974\
         3155200000000000*ep^2+1960640817485146774622541/21560*ep^2*z5+
         161492830926046573442208661/7114800*ep^2*z4-315891911337344886\
         5381871966399098639/69563445247296000*ep^2*z3-
         13053465548233079605803269755313731676481000835718057302658151\
         985938754622521761445309053986919902702153/
         30114630055278846812231857901584847937278066881555011353210309\
         8368000000000000000000*ep^3+1940428032773784975371483/8624*
         ep^3*z6+20243069015872920387624776001/132809600*ep^3*z5-
         3158919113373448865381871966399098639/46375630164864000*ep^3*
         z4-4109713093029342671825419954414274383397077/
         599772314871772922880000*ep^3*z3+707447855080083915945043/
         21560*ep^3*z3^2;
Fill mncnoptab(9,4,2,8)=
      +mncF321*(-696593224860287040-37399075218302602662/7*ep-
         2783080566405742131861/196*ep^2-16048530949914256920473887/
         823200*ep^3)
      +3633963965351455818382205445326299105277/1060287496952869785600-
         2154520387918303/980*ep^-3-1566291885511914523523/64209600*
         ep^-2-72161648663651750634879549529/865382572454400*ep^-1+
         320839676928556388926/35*z3-7194121263290931121585410534845721\
         77816088262900020807984440116621/20373555818998385325235095701\
         815296000000000000*ep+481259515392834583389/35*ep*z4+
         232575810684735670840212607/1576575*ep*z3+51492273438154875078\
         8039900092231160265100662554726481394820237659663616327/
         2995460346573177319407101387539313307156480000000000000*ep^2+
         217849114258445089449789/245*ep^2*z5+
         232575810684735670840212607/1051050*ep^2*z4-243946408034853658\
         284023550847819217/540864107784000*ep^2*z3-
         30273017896148556096329851113800968260644237789494248730732518\
         620744352848342215324131336285115957/6967885156922309105104912\
         4406777162238123593405961926082560000000000000000000*ep^3+
         215603236519945194727307/98*ep^3*z6+
         28404202253360004623604373037/19619600*ep^3*z5-243946408034853\
         658284023550847819217/360576071856000*ep^3*z4-2953969437673854\
         06977971999709046187747763/6626796855955436160000*ep^3*z3+
         78605173966521909493987/245*ep^3*z3^2;
Fill mncnoptab(9,4,3,7)=
      +mncF321*(-2438076287011004640-18642464481135081015*ep-
         13795691103908384217009/280*ep^2-5264308353082451335800373/
         78400*ep^3)
      +90858799184319513321762609638205122368757/7573482121091927040000
         -12635645258614699/280*ep^-3-8541940649936214778279/18345600*
         ep^-2-1674356837596806742000988258149/1236260817792000*ep^-1+
         160423943082105653459/5*z3-47089647925540776637979015607787289\
         77193347498385579148880283858839/38014798029617978449418254370\
         734080000000000000*ep+481271829246316960377/10*ep*z4+
         21112841808492943321946137/40950*ep*z3+18773156161079282527176\
         7092471714313319916192268579864249489202096325953789/
         310510952673604386851400208620855282892800000000000000*ep^2+
         217849726136073441599697/70*ep^2*z5+21112841808492943321946137/
         27300*ep^2*z4-245789820252737156718586619426873041/
         154532602224000*ep^2*z3-50363546392476181006864099523895779928\
         7697910890536930578541991691858190463471219429737947291230537/
         35103514726419096599478975794434675319964305949126008242176000\
         0000000000000000*ep^3+215603790932923962451271/28*ep^3*z6+
         27996320809164622960834413257/5605600*ep^3*z5-2457898202527371\
         56718586619426873041/103021734816000*ep^3*z4-22143356020617522\
         1641488386852518355839599/1893370530272981760000*ep^3*z3+
         78604543309224424386703/70*ep^3*z3^2;
Fill mncnoptab(9,4,4,6)=
      +mncF321*(-3989579378745280320-30509234916593356170*ep-
         11291696109940396151691/140*ep^2-4311278710377834388760167/
         39200*ep^3)
      +943493054343706755598785838289388149359/48044004228380160000-
         364462918665391131/1540*ep^-3-291548467550691404541989/
         123323200*ep^-2-845932832081890174926049803391/133322245056000
         *ep^-1+2887828304088253287462/55*z3-13583598747935857332915181\
         50782058555320075344997795540310136207579/67026905746298745841\
         25496203673600000000000000*ep+4331742456132379931193/55*ep*z4+
         232263231168054701874564727/275275*ep*z3+286714513074129629566\
         90218047804555037076655605070135402426223032004000889/
         28984578905683459261625565743469821952000000000000000*ep^2+
         1960662219165104408761473/385*ep^2*z5+
         696789693504164105623694181/550550*ep^2*z4-4336015369136507404\
         3679962145774659/16665280632000*ep^2*z3-5840501141052331799461\
         26432769581356869652325545557069810419872831822689796967076594\
         0012993943/216328654122328583262568722203224274733080639145246\
         7200000000000000000000*ep^3+1940447421036486635749239/154*ep^3
         *z6+252111627774322942877285473193/30830800*ep^3*z5-4336015369\
         1365074043679962145774659/11110187088000*ep^3*z4-2314554359370\
         441257772068779081419582133/12011001057095040000*ep^3*z3+
         707425677728527603889247/385*ep^3*z3^2;
Fill mncnoptab(9,5,1,8)=
      +mncF321*(-94989985208220960-5134101939342876708/7*ep-
         96705103866927769140/49*ep^2-567289200488763699933587/205800*
         ep^3)
      +6559174827903704564934631431386046331735381/
      14034672167999486395392000-34506860186717/10780*ep^-3-
         946468755846673939351/3884680800*ep^-2-
         170456518026523698846288512747/72345983057187840*ep^-1+
         481257007908796691654/385*z3-185601816836317517491409981917152\
         9815304535175886117693890207105869037263/387365432072877511949\
         723009372778091511808000000000000*ep+721885511863195037481/385
         *ep*z4+11199310502990081177559715801/554954400*ep*z3+
         89626691764306607768721884184937099866964023788343514616407137\
         6022277073834263693/386467673947505411028028331326255741006920\
         23377920000000000000*ep^2+326773484554481401695831/2695*ep^2*
         z5+11199310502990081177559715801/369969600*ep^2*z4-54686026091\
         246208448617900465668593151/904324788214848000*ep^2*z3-
         40574544919850607500852726449327392558132862266808142053232277\
         396488934521055859070205359008253335321532657/
         71987787976770722258188973366441834303034541459645315860086711\
         6482560000000000000000000*ep^3+323404685499119824854253/1078*
         ep^3*z6+87906354715571005969922792451/431631200*ep^3*z5-
         54686026091246208448617900465668593151/602883192143232000*ep^3
         *z4-325917298753256631097142352833110877123362591/
         35086680419998715988480000*ep^3*z3+117907953752519784267833/
         2695*ep^3*z3^2;
Fill mncnoptab(9,5,2,7)=
      +mncF321*(-812692095670334880-6243260903696605932*ep-
         116510176378827233556/7*ep^2-2024860708863607482506059/88200*
         ep^3)
      +18170243950381885443131967199942469074189/4544089272655156224000
         -3537124955653439/420*ep^-3-141078004401289481023/1528800*
         ep^-2-75651721998525910819207178789/247252163558400*ep^-1+
         160421752968006267458/15*z3-2986388268361198936366156740243689\
         617084905400174986705340286163743/7257370532927068613070757652\
         5946880000000000000*ep+80210876484003133729/5*ep*z4+
         413790188640259733198585083/2402400*ep*z3+10672513929268328090\
         57469171455131268578334904344254525395002374484524479737/
         5335142732301020828628603584485604406067200000000000000*ep^2+
         36308233379605119570879/35*ep^2*z5+413790188640259733198585083/
         1601600*ep^2*z4-323930936029423860242068313272920541/
         618130408896000*ep^2*z3-12639525860904863970921055859568301273\
         75912043180590422377670216982531146609041997104222997820619257\
         63/32279277405248105645793621832791521896494450425037233942691\
         8400000000000000000000*ep^3+107801747868039314840431/42*ep^3*
         z6+28620867502224185750689412897/16816800*ep^3*z5-323930936029\
         423860242068313272920541/412086939264000*ep^3*z4-6023109781259\
         8427199832186608171065977781/1032747561967080960000*ep^3*z3+
         39302440589283578302451/105*ep^3*z3^2;
Fill mncnoptab(9,5,3,6)=
      +mncF321*(-2438076287011004640-18690966632270043540*ep-
         1737426227433364091478/35*ep^2-667607435503487721142101/9800*
         ep^3)
      +90881266873015226311883706572675727210137/7573482121091927040000
         -17571991757092727/140*ep^-3-5830701246371692556791/4586400*
         ep^-2-4368971285176127315599034395699/1236260817792000*ep^-1+
         160432804438489324034/5*z3-74014912249086926503518834394012676\
         994538248882517165391505763881251/5987330689664831605783375063\
         39061760000000000000*ep+240649206657733986051/5*ep*z4+
         3720588167129687079633599147/7207200*ep*z3+2650326887063541586\
         6036025617930896523558713406575460193411592309439960850797/
         44014927541483421836185979572006236350054400000000000000*ep^2+
         108925522357651417143861/35*ep^2*z5+
         3720588167129687079633599147/4804800*ep^2*z4-97679338873776524\
         6990103292970035759/618130408896000*ep^2*z3-
         54605678038924173906332852016489247628647348923455847921953481\
         0513862668478201448904522531102805467049/493155627024623836255\
         180333556537140085331881493624407457792000000000000000000000*
         ep^3+107802492726581991875623/14*ep^3*z6+
         2576766327151459176978116347/509600*ep^3*z5-976793388737765246\
         990103292970035759/412086939264000*ep^3*z4-5633075640600040347\
         90803974471312576417903/3786741060545963520000*ep^3*z3+
         39301588277516411030459/35*ep^3*z3^2;
Fill mncnoptab(9,5,4,5)=
      +mncF321*(-3324649482287733600-25511344856750734020*ep-
         475113818026972366542/7*ep^2-183019661341280940712461/1960*
         ep^3)
      +314692823161978311122875603229561990009/19217601691352064000-
         134265192504169029/308*ep^-3-159275722554949805124349/36996960
         *ep^-2-597745555679197128876673394531/53328898022400*ep^-1+
         481362427155747992838/11*z3-1010862058355662853589024561707287\
         2856867356884475892346481594458731/600561075486836762737644459\
         84915456000000000000*ep+722043640733621989257/11*ep*z4+
         531790397820637331585103901/755040*ep*z3+212964597849913324808\
         814669552160211070782501825311199113824880539314225017/
         259701826994923794984165069061489604689920000000000000*ep^2+
         326781334735718156414847/77*ep^2*z5+
         531790397820637331585103901/503360*ep^2*z4-5732107358642084595\
         9090132305537183/26664449011200*ep^2*z3-
         35637484103456180574266726119765238668980774764541545002560061\
         9189518740827157573583000760318310512383007/
         26246926043755339662707709784679442284477567529606275663481588\
         9408000000000000000000*ep^3+1617058988728139602324905/154*ep^3
         *z6+85413206531256709264234531451/12332320*ep^3*z5-57321073586\
         420845959090132305537183/17776299340800*ep^3*z4-20989053932252\
         06377356513063985166103823/9608800845676032000*ep^3*z3+
         117899839157497553220945/77*ep^3*z3^2;
Fill mncnoptab(9,5,5,4)=
      +mncF321*(-2216432988191822400-17076990706066014750*ep-
         1281757610845152634839/28*ep^2-748333448977041642915187/11760*
         ep^3)
      +314931156037813862024765998450070581633/28826402537028096000-
         149325835507499699/308*ep^-3-1058277478046674796936449/
         221981760*ep^-2-981570767169972551069316212377/79993347033600*
         ep^-1+320955335605301554538/11*z3-2645201981639630835544736064\
         004793999859989183112071079247738401767/2364709234729419753279\
         4750606560460800000000000*ep+481433003407952331807/11*ep*z4+
         3730107136103114891705220187/7927920*ep*z3+5554679084694228210\
         6595168992978634671626268523985303124662620681116923141/
         102257594379251244275014995942961531846656000000000000*ep^2+
         217857724962154080591477/77*ep^2*z5+
         3730107136103114891705220187/5285280*ep^2*z4-56731087672776415\
         283210063785150987/39996673516800*ep^2*z3-
         78400544090659253922599732852113267469752330775037059187080686\
         896942675475587074418938591727111411059431/7578799895134354327\
         60685120032618895964289762417381209783030880665600000000000000\
         00*ep^3+1078055188064584848548555/154*ep^3*z6+
         14510132639511674078699037341/3083080*ep^3*z5-5673108767277641\
         5283210063785150987/26664449011200*ep^3*z4-2762691851065094893\
         639188985033342049477/14413201268514048000*ep^3*z3+
         78596266901727715888283/77*ep^3*z3^2;
Fill mncnoptab(9,6,1,7)=
      +mncF321*(-71607835003120416-2777507176657898412/5*ep-
         7538807121219834924/5*ep^2-44759638857834932768719/21000*ep^3)
      +14415217883069496602808450892001826486659/
      40917411568511622144000+18439414347791/1100*ep^-3-
         179838341587630403507/396396000*ep^-2-
         219648668480803898751722689619/36911215845504000*ep^-1+
         259138201774978616146/275*z3-430239445426109038794171278204884\
         596005473334490084375531119540556627801739/1195299047539164894\
         01628814320742953952215040000000000000*ep+
         388707302662467924219/275*ep*z4+6043952553801399658094025419/
         396396000*ep*z3+2896922786699129450385326998630225343288927064\
         175573787731432687409413822181567160599/1669540351453223375641\
         08239132942480114989540992614400000000000000*ep^2+
         25136420160360929637267/275*ep^2*z5+
         6043952553801399658094025419/264264000*ep^2*z4-415575927664641\
         9286399285484098183387/92278039613760000*ep^2*z3-
         13750056430650688240645984904583416640974182407022388302390257\
         01202048934931916355494880006357097969191553657787/
         13505731742019064875319202134668676021927028944017571487533525\
         2390602342400000000000000000000*ep^3+24877281958585951021121/
         110*ep^3*z6+6908099591813519958027262767/44044000*ep^3*z5-
         4155759276646419286399285484098183387/61518693075840000*ep^3*
         z4-31045228118068303537019371134337764526671067/
         3580273512244766937600000*ep^3*z3+9069845224975794758461/275*
         ep^3*z3^2;
Fill mncnoptab(9,6,2,6)=
      +mncF321*(-525124123356216384-20283936025854068568/5*ep-
         54639645226212838368/5*ep^2-53516029980705151280501/3500*ep^3)
      +279564069862890416145174862645899642989/108192601729884672000-
         759689495025803/50*ep^-3-38283468450822105157/234000*ep^-2-
         6601980953602874552593050509/12614906304000*ep^-1+
         172767287786521265164/25*z3-3522415629884338226239562369643665\
         974331949892582494246319277721029/1330517931036629245729638902\
         97569280000000000000*ep+259150931679781897746/25*ep*z4+
         2010709932419171491717755593/18018000*ep*z3+250611169607219272\
         052083459203097947770748916741063188198782645922237221999/
         1956219001843707637163821314311388282224640000000000000*ep^2+
         16757703479022838206978/25*ep^2*z5+
         2010709932419171491717755593/12012000*ep^2*z4-7369373783758870\
         0649698757253584611/220760860320000*ep^2*z3-
         38732735990283322331666621233833656142903897276064184911062934\
         7852351761595200683317615368227540846705998983/
         27295224639389220082617293654166062428864533579123713096417405\
         82912000000000000000000000*ep^3+8292468095618158470907/5*ep^3*
         z6+2259612968998455987917428949/2002000*ep^3*z5-73693737837588\
         700649698757253584611/147173906880000*ep^3*z4-7106190237763184\
         7752964296094946373785027/1352407521623558400000*ep^3*z3+
         6046469630894091223774/25*ep^3*z3^2;
Fill mncnoptab(9,6,3,5)=
      +mncF321*(-1312810308390540960-10128840166999758204*ep-
         27220071156417876462*ep^2-53151350143572057140601/1400*ep^3)
      +55952659431040632974702792836058061697/8655408138390773760-
         2957211003778163/20*ep^-3-975766600533745103539/655200*ep^-2-
         144131467521680796568526470163/35321737651200*ep^-1+
         86395709376075815942/5*z3-355164573740649573702697966326760148\
         3456387866553005902979860083570347/536464829793968911878190405\
         67979933696000000000000*ep+129593564064113723913/5*ep*z4+
         2009635933917565874132468033/7207200*ep*z3+1265871517736787239\
         730720857318553266090786387713005976618545725579938214579333/
         3943737507716914596522263769651758776964874240000000000000*
         ep^2+8378980148347646575209/5*ep^2*z5+
         2009635933917565874132468033/4804800*ep^2*z4-73932762681836080\
         408312777051532491/88304344128000*ep^2*z3-
         38977708665689666194212740120205624558367726323656150074082670\
         747359544997312286382967732669726035057243685324031/
         71095107351927198651030951496784026158715442406603320038271717\
         275745648640000000000000000000*ep^3+8292584438971570759267/2*
         ep^3*z6+2246396005820007054346670669/800800*ep^3*z5-7393276268\
         1836080408312777051532491/58869562752000*ep^3*z4-6641160829373\
         4348095368219147696901633707/540963008649423360000*ep^3*z3+
         3023102262235749916487/5*ep^3*z3^2;
Fill mncnoptab(9,6,4,4)=
      +mncF321*(-1432156700062408320-11067001891024938768*ep-
         29827355454105313644*ep^2-14618607126476978144273/350*ep^3)
      +322982400529603328286306834370506167/45756194503219200-
         17057284300226349/55*ep^-3-2532283765372976188208/825825*ep^-2
         -5085741696247733068552689467/634867833600*ep^-1+
         1036928878079705883144/55*z3-682149405650777165504905718272346\
         7325569540113750533282163353634081/945883693891767901311790024\
         26241843200000000000*ep+1555393317119558824716/55*ep*z4+
         287336400406411492063296049/943800*ep*z3+142891203840216206123\
         120376739534006703039265363676696234463946593551164863/
         409030377517004977100059983771846127386624000000000000*ep^2+
         100549679191199692552188/55*ep^2*z5+
         287336400406411492063296049/629200*ep^2*z4-4812372253196134490\
         78707592201777/529056528000*ep^2*z3-
         27173527687759518069145839204622179125934031464989325420583351\
         819317004579544576536136831312810968348765059869387/
         41057424495737957220970374489392775106658167989813417322101916\
         726743112089600000000000000000*ep^3+49756375156559993334522/11
         *ep^3*z6+6788725704508964625472433197/2202200*ep^3*z5-48123722\
         5319613449078707592201777/352704352000*ep^3*z4-831589529867515\
         10100839872528142952361/571952431290240000*ep^3*z3+
         36275240875661068015044/55*ep^3*z3^2;
Fill mncnoptab(9,6,5,3)=
      +mncF321*(-716078350031204160-5558896769887700694*ep-
         60432110435190877749/4*ep^2-8559254096713638924681/400*ep^3)
      +280048794288161102722140726063206638589/79341241268582092800-
         38237550561404013/220*ep^-3-91921942203918186700981/52852800*
         ep^-2-303496376425584524712216986489/64756519027200*ep^-1+
         518486943220436796762/55*z3-1346243733999082662886304254204987\
         1925037278819225405443936963221961623489/374744288063598219579\
         038638745189748037386240000000000*ep+777730414830655195143/55*
         ep*z4+2015830208539914985410981793/13213200*ep*z3+
         47764703474110404891374982913617664541238241816596823812908547\
         28730729084241859127/27548741735906043899130482227076181830961\
         511111065600000000000*ep^2+50275079584503835797099/55*ep^2*z5+
         2015830208539914985410981793/8808800*ep^2*z4-10393873918231301\
         271229852180061713/23127328224000*ep^2*z3-
         24622288906878008049723662041327406183193721143265113917049029\
         12152150972482948167761140783548625015774775048940961749/
         66769226011948895551030861809630106589451779111754171785895021\
         05769871860459110400000000000000000*ep^3+
         49756592641283399000337/22*ep^3*z6+
         3465857365210006927903386211/2202200*ep^3*z5-10393873918231301\
         271229852180061713/15418218816000*ep^3*z4-88502917927820285868\
         266879249921091980617/991765515857276160000*ep^3*z3+
         18137374269606132721797/55*ep^3*z3^2;
Fill mncnoptab(9,6,6,2)=
      +mncF321*(-154232260006720896-6033993130650721572/5*ep-
         33270966769379449383/10*ep^2-33628389966057006114013/7000*ep^3
         )
      +1957993218244350516839003038646055948227/2578590341228918016000-
         153543378697647651/7150*ep^-3-130439823246899875939369/
         572572000*ep^-2-1483410787874624861214740245159/
         2104586868384000*ep^-1+7257566313028773946188/3575*z3-
         26235341997777431542781844873039595900316306122723549638643134\
         582812455949/3410173021378743798169251612581226707140214784000\
         000000*ep+10886349469543160919282/3575*ep*z4+
         4721033606673272638042750437/143143000*ep*z3+
         46204486352795458053387806058133974563695643959158056518429876\
         314819413565546648227/1253467748983724997410436941331966273308\
         748755553484800000000000*ep^2+703837793160506980068426/3575*
         ep^2*z5+14163100820019817914128251311/286286000*ep^2*z4-
         498737478802959517047109565650035737/5261467170960000*ep^2*z3-
         84666903449431161825381892383653899133450945268637691772065899\
         1623998474803939386552243642320178827704196843351819347/
         15121265890941367521851106939239759433493491151779621257393872\
         416008239213392691200000000000000000*ep^3+
         348290113423739103061119/715*ep^3*z6+
         25126253395933024106542443997/71571500*ep^3*z5-498737478802959\
         517047109565650035737/3507644780640000*ep^3*z4-815641198167929\
         454327314039638316370239479/32232379265361475200000*ep^3*z3+
         253936964210273281939158/3575*ep^3*z3^2;
Fill mncnoptab(9,7,1,6)=
      +mncF321*(-30689072144194464-1201609016492915628/5*ep-
         23222239610518089366/35*ep^2-20154320244943559351351/21000*
         ep^3)
      +302694316999735897754590717951793617816967/
      2004953166857069485056000-114902576787227/7700*ep^-3-
         2304995432818079354401/2774772000*ep^-2-
         1940259603507600648504562912753/258378510918528000*ep^-1+
         777415907508947940038/1925*z3-10678183990103497912849625089597\
         48611329270284244953255475687084690595113953/69725777773117952\
         1509501416871000564721254400000000000000*ep+
         1166123861263421910057/1925*ep*z4+
         18214048878665318269752548137/2774772000*ep*z3+
         71315265834310373986772929300650989092866721256235500363295639\
         11317632261474733860149/97389853834771363579063139494216446733\
         7438989123584000000000000000*ep^2+75409272993536709254001/1925
         *ep^2*z5+18214048878665318269752548137/1849848000*ep^2*z4-
         12158995920028805438937545647182902681/645946277296320000*ep^2
         *z3-3633184680729512473135545528656694126030147425496892788988\
         7908008527699663460660337516404218379400997452703579731/
         29937705361475593806957564731848898515271580825905616797365980\
         94658351923200000000000000000000*ep^3+74631857086027761313963/
         770*ep^3*z6+21609730238411142657642205941/308308000*ep^3*z5-
         12158995920028805438937545647182902681/430630851530880000*ep^3
         *z4-129351752488955303384041696732266316977826441/
         25061914585713368563200000*ep^3*z3+27209518418796890534783/
         1925*ep^3*z3^2;
Fill mncnoptab(9,7,2,5)=
      +mncF321*(-187544329770077280-1463588260413565572*ep-
         28109916082918691562/7*ep^2-3456036035531977330547/600*ep^3)
      +279610609607768769754095764222959178213/302939284843677081600-
         1808415890932643/140*ep^-3-635706567314767543979/4586400*ep^-2
         -108713753185374653065309221619/247252163558400*ep^-1+
         86389383373312307222/35*z3-31700891661954684803591335508996704\
         116028630811444832421747672653236081/3379728427702004144832599\
         555782735822848000000000000*ep+129584075059968460833/35*ep*z4+
         155429360102801013536854021/3880800*ep*z3+11183222771887141840\
         770931659126392912019960309127137654565668371952799623442639/
         248455462986165619580902617488060802948787077120000000000000*
         ep^2+8378912890443609197769/35*ep^2*z5+
         155429360102801013536854021/2587200*ep^2*z4-717625730874242564\
         10049804458966251/618130408896000*ep^2*z3-
         97544732755812957597846771237101292463856508573164514944381105\
         5824123047764805390282596743905579532382382880703/
         45242341042135490050656060043408016646455281531474840024354729\
         175474503680000000000000000000*ep^3+8292523507070296890547/14*
         ep^3*z6+2365157274185936438192796589/5605600*ep^3*z5-717625730\
         87424256410049804458966251/412086939264000*ep^3*z4-82556431900\
         47238131277881192898993050679/291287773888151040000*ep^3*z3+
         3023171909313829835687/35*ep^3*z3^2;
Fill mncnoptab(9,7,3,4)=
      +mncF321*(-375088659540154560-2925129982652049744*ep-
         56109341823801945879/7*ep^2-8034426319587954830993/700*ep^3)
      +55987689740045314458554550970021435021/30293928484367708160-
         5316492531920093/70*ep^-3-3514269785168394364733/4586400*ep^-2
         -4075741121441501736129698981/1931657527800*ep^-1+
         172817421962496813244/35*z3-1320768077297153953799209829355529\
         30490416773049098469480945326680737/70411008910458419684012490\
         74547366297600000000000*ep+259226132943745219866/35*ep*z4+
         1010087019482974276049214649/12612600*ep*z3+155541779827158917\
         50716261877901303798459851996637351564411663843534897819269/
         172538515962615013597849039922264446492213248000000000000*ep^2
         +16758236690418147511638/35*ep^2*z5+
         1010087019482974276049214649/8408400*ep^2*z4-44930317233541311\
         97181484197596561/19316575278000*ep^2*z3+
         29645107552027483299656863263288933479009501696428558414317729\
         1629905612945094564510983457090152192400111639577/
         31104109466468149409826041279843011444438006052888952516743876\
         30813872128000000000000000000*ep^3+8292709634227825349197/7*
         ep^3*z6+147384773725646283905904354/175175*ep^3*z5-44930317233\
         54131197181484197596561/12877716852000*ep^3*z4-104939393375262\
         252276162398081785013440327/1893370530272981760000*ep^3*z3+
         6045918080243005325674/35*ep^3*z3^2;
Fill mncnoptab(9,7,4,3)=
      +mncF321*(-306890721441944640-2398190508094442256*ep-
         46172303044053566697/7*ep^2-949240057966706473381/100*ep^3)
      +168037310286991887257118570677070253591/111077737776014929920-
         61665858491654877/770*ep^-3-49732142911417377675403/61661600*
         ep^-2-250542957407904868836113696321/113323908297600*ep^-1+
         1555508259712418800476/385*z3-19131822555706385379013319203087\
         91771177710039971818552656739002253282573/12491476268786607319\
         3012879581729916012462080000000000*ep+2333262389568628200714/
         385*ep*z4+1011142267726419135828618759/15415400*ep*z3+
         67503904038028563118137017469936894605062932179261253836737140\
         7274399925138135499/918291391196868129971016074235872727698717\
         0370355200000000000*ep^2+150825743145175931725302/385*ep^2*z5+
         3033426803179257407485856277/30830800*ep^2*z4-5361845994013069\
         7997699910560623077/283309770744000*ep^2*z3+
         33312474563253072468346199554445231285116893427824497741601199\
         320932305533888541854207435940686594166075767195869/
         96809085126792657026288040901305069725172943470717952422640308\
         9135837590323200000000000000000*ep^3+74635117442731756462413/
         77*ep^3*z6+5354407646531797696786358629/7707700*ep^3*z5-
         53618459940130697997699910560623077/188873180496000*ep^3*z4-
         336651139327443556637262307484713175336581/
         6942358611000933120000*ep^3*z3+54411600876720908776266/385*
         ep^3*z3^2;
Fill mncnoptab(9,7,5,2)=
      +mncF321*(-102296907147314880-803351154950401122*ep-
         62419704994773098985/28*ep^2-27272718294419949420143/8400*ep^3
         )
      +21517275355821832987992022820128717037/42722206836928819200-
         23796316715409673/1540*ep^-3-182215602581695948887763/
         1109908800*ep^-2-138637131455381229640655805299/
         271977379914240*ep^-1+518407707675437262322/385*z3-
         24717253762955401220911461074371151345779910703687795861611517\
         8936535617/485779632675034729083938976151171895604019200000000\
         00*ep+777611561513155893483/385*ep*z4+
         6080654600520835219573125559/277477200*ep*z3+
         52070247843560706458886059441720292279852981862983748452815314\
         624886662084398533/2142679912792692303265704173217036364630339\
         753082880000000000*ep^2+50274236111083915384719/385*ep^2*z5+
         6080654600520835219573125559/184984800*ep^2*z4-211631973774911\
         865506249043969688673/3399717248928000*ep^2*z3-
         12971087623188530480044329748512118390243687034972677344394123\
         3786531754797755568094563349219910271322626163335475057/
         57124782254667388415881959548239091193197633240056346972376851\
         34936445925059461120000000000000000*ep^3+
         49755828403408478122397/154*ep^3*z6+
         3647038125251228598307284831/15415400*ep^3*z5-2116319737749118\
         65506249043969688673/2266478165952000*ep^3*z4-1295111226660168\
         97348936691990975276007877/6942358611000933120000*ep^3*z3+
         18138244330715097854497/385*ep^3*z3^2;
Fill mncnoptab(9,7,6,1)=
      +mncF321*(-11016590000480064-436106114720873478/5*ep-
         4911478089600668637/20*ep^2-2187943392361514594411/6000*ep^3)
      +33620576761687854108017732270768207628811/
      620580742122426269184000-256891333373593/14300*ep^-3-
         11699434360346830843843/10306296000*ep^-2-
         2461127866864088026340429818141/239922902995776000*ep^-1+
         518277916995646177042/3575*z3-41307307902928551682115731790074\
         9087974323308023954733402316398576536087433968857/
         757848206817832440257229856666506141090501355791974400000000000
         *ep+777416875493469265563/3575*ep*z4+
         6103669324971360791694783079/2576574000*ep*z3+
         54642630183466180197379533469926593876856124463183527148157731\
         6978094242408937213074481089/211705708987839200902233116210194\
         837008214802757941457636556800000000000*ep^2+
         50272856785736993676159/3575*ep^2*z5+
         6103669324971360791694783079/1717716000*ep^2*z4-39312300508455\
         19694138452302014328227/599807257489440000*ep^2*z3-
         48587814380167365430648710159957062043145886483287910830290670\
         25758875035152145027778599308729935098088111945381847602527/
         11397296030052270316153964855550776152377557267705557900151903\
         58395635748037652905984000000000000000000*ep^3+
         49754578868741347499117/1430*ep^3*z6+
         3775570179960085706000127311/143143000*ep^3*z5-393123005084551\
         9694138452302014328227/399871504992960000*ep^3*z4-271311330009\
         1283039842131401149445667606857/1108179896647189766400000*ep^3
         *z3+18139674617665872853297/3575*ep^3*z3^2;
Fill mncnoptab(9,8,1,5)=
      +mncF321*(-7306921939093920-406602408064067748/7*ep-
         8070313869973744842/49*ep^2-7255207339774678916557/29400*ep^3)
      +840590250714817979886842338655714125654519/
      23391120279999143992320000+3517944420139/2156*ep^-3-
         1942506551562925920203/3884680800*ep^-2-
         9433697879088062668023683672647/1808649576429696000*ep^-1+
         259137870650988792706/2695*z3-69476176337187242668155148194121\
         9973480525140287250003290831672042279605401/192777830387116514\
         1069469517364942361341324165120000000000*ep+
         388706805976483189059/2695*ep*z4+6115670915338853433652115843/
         3884680800*ep*z3+183119989962549796615245012239651137397610175\
         0343794973671539648192912266869443972137/107705387152950346409\
         3575072294438527717820526851554017280000000000*ep^2+
         25136417859776653366107/2695*ep^2*z5+
         6115670915338853433652115843/2589787200*ep^2*z4-38860273623141\
         72866190473755264352659/904324788214848000*ep^2*z3+
         88897856628724025742473280449629908670263711832325961435814750\
         918145846996457532315780726738884797864597189159251/
         16554353556681544351495254994123166923004573333492769864271492\
         824222822794526720000000000000000*ep^3+24877279989125664573401/
         1078*ep^3*z6+7680725371351936948653136839/431631200*ep^3*z5-
         3886027362314172866190473755264352659/602883192143232000*ep^3*
         z4-20736306710435908171416126557990437151271553/
         11695560139999571996160000*ep^3*z3+1813970310778388961329/539*
         ep^3*z3^2;
Fill mncnoptab(9,8,2,4)=
      +mncF321*(-35722729480014720-1982063510499325968/7*ep-
         39137726000086566732/49*ep^2-26206734398229407422909/22050*
         ep^3)
      +6992751067459596068179403169481001202077/39760781135732616960000
         -789693804195307/147*ep^-3-229629558355038639701/4013100*ep^-2
         -387438903209202417673399454627/2163456431136000*ep^-1+
         345605085093163791128/735*z3-676096487869477973927495474054939\
         14428000524355640905535259377785547/38326120370140727002401678\
         962576224231096320000000*ep+172802542546581895564/245*ep*z4+
         678668386947405705742017257/88288200*ep*z3+2354129506169751442\
         0778639265692843328790711346101890334554183944066187965777/
         2817484950263118126047435682314609505439245454540800000000*
         ep^2+11172051875680326381372/245*ep^2*z5+
         678668386947405705742017257/58858800*ep^2*z4-22912613952086660\
         291789060109639359/1081728215568000*ep^2*z3+
         31865286699756537037743561494892619065596469232584096506332391\
         28752071888700251961944025812429096129671713265601/
         14108824053989952572297092324536789991197079545590428861595022\
         2933717239726080000000000000000*ep^3+16585275270973907676494/
         147*ep^3*z6+2529653295554332211913397883/29429400*ep^3*z5-
         22912613952086660291789060109639359/721152143712000*ep^3*z4-
         162421423176220889119422150800936983751899/
         19880390567866308480000*ep^3*z3+2418432161219574505756/147*
         ep^3*z3^2;
Fill mncnoptab(9,8,3,3)=
      +mncF321*(-53584094220022080-2972287365338511792/7*ep-
         58661992512050537019/49*ep^2-8723121947817650245753/4900*ep^3)
      +7001133841370889187233629020805925796457/26507187423821744640000
         -1522579592496337/98*ep^-3-5111613570408401439857/32104800*
         ep^-2-493503762001929065285753334379/1081728215568000*ep^-1+
         172842459337695607804/245*z3-720640906498002941798906982897138\
         966488638851129895365455797417015979/2725413004098896142393008\
         28178319816754462720000000*ep+259263689006543411706/245*ep*z4+
         1018010061757915655800082863/88288200*ep*z3+251245984099916959\
         707385169031271330552570914831129528064517738493441105915349/
         20035448535204395563003987074237223149790189898956800000000*
         ep^2+16758503808268720895238/245*ep^2*z5+
         1018010061757915655800082863/58858800*ep^2*z4-1719563235825166\
         5861461584219356763/540864107784000*ep^2*z3+
         17921896586284279590885235586024733916924065515058738770291156\
         226890216701433397672215827732516476685838061996257/
         10032941549503966273633487875226161771517923232419860523800904\
         74195322593607680000000000000000*ep^3+8292830674465512643717/
         49*ep^3*z6+631774572562276317674194137/4904900*ep^3*z5-1719563\
         2358251665861461584219356763/360576071856000*ep^3*z4-161592195\
         040690914827954742635094424974679/13253593711910872320000*ep^3
         *z3+1209128890759258652786/49*ep^3*z3^2;
Fill mncnoptab(9,8,4,2)=
      +mncF321*(-29227687756375680-1625087080223148672/7*ep-
         32208057630000331890/49*ep^2-1032056506850791464401/1050*ep^3)
      +6994307394377483090745034150296873312497/48596510277006531840000
         -3076103946295231/539*ep^-3-117712470800543311781351/
         1942340400*ep^-2-2241775737009044670867910185649/
         11899010371248000*ep^-1+1036893274570601380904/2695*z3-
         14170971631588322981459478001538252992919043875358034362329320\
         71509774963/98370375616694532639497642670612308859813888000000\
         0000*ep+1555339911855902071356/2695*ep*z4+
         764314482461161293527569931/121396275*ep*z3+
         49265580614950616594046524681926461685746745807849568557877679\
         624714419553047749/7231544705675336523521751584607497730627396\
         666654720000000000*ep^2+100549295825701942523988/2695*ep^2*z5+
         764314482461161293527569931/80930850*ep^2*z4-10248344633827864\
         4776239586561009693/5949505185624000*ep^2*z3+
         76535769850150721967206895389710715543049868646373640544666151\
         799984641850189915903771108501079940210021170290357/
         72425296810481756537791740599288855288145008334030868156187781\
         10597484972605440000000000000000*ep^3+49756201275565670571542/
         539*ep^3*z6+3828093353329459199446032227/53953900*ep^3*z5-
         102483446338278644776239586561009693/3966336790416000*ep^3*z4-
         169678453592513262470233899568270327210879/
         24298255138503265920000*ep^3*z3+7255124446381768485052/539*
         ep^3*z3^2;
Fill mncnoptab(9,8,5,1)=
      +mncF321*(-4871281292729280-272244077494923222/7*ep-
         21779548880429417011/196*ep^2-29667530288018101657103/176400*
         ep^3)
      +2521151996625499573965821697311227685305817/
      105260041259996147965440000-40542689441957/6468*ep^-3-
         14632934168878018735267/23308084800*ep^-2-
         16039013403013013422235939847857/2712974364644544000*ep^-1+
         518276822485815749842/8085*z3-64615200646960245755589345189952\
         286714678599693321779015300038909865645722593/2698889625419631\
         19749725732431091930587785383116800000000000*ep+
         259138411242907874921/2695*ep*z4+6128587653773515420620138823/
         5827021200*ep*z3+848241509923339629412202106422356166807022895\
         230857519161868518794553595010385520654581/7539377100706524248\
         65502550606106969402474368796087812096000000000000*ep^2+
         16757616013259386684533/2695*ep^2*z5+
         6128587653773515420620138823/3884680800*ep^2*z4-38371374695672\
         62808913542531419394819/1356487182322272000*ep^2*z3+
         16351573140834835668531346647920510270400003801599807304273037\
         3898907380162304179671854645292675433953250164412323187/
         67864241318544857438067767943308040337518788289186940203183699\
         40304497758970639810560000000000000000*ep^3+
         49754571217292344303757/3234*ep^3*z6+
         3909794472012206874555730927/323723400*ep^3*z5-383713746956726\
         2808913542531419394819/904324788214848000*ep^3*z4-675737506260\
         91692397060750238381735263569949/52630020629998073982720000*
         ep^3*z3+3627938605805256269789/1617*ep^3*z3^2;
Fill mncnoptab(9,9,3,2)=
      +mncF321*(-3349005888751380-380175579798321879/14*ep-
         15616496534994959115/196*ep^2-21831640780928150336/175*ep^3)
      +13992470751222747546795927882757547487769/
      848229997562295828480000-768231573170021/784*ep^-3-
         10753701751490556253069/1027353600*ep^-2-
         2288962282788029406172593099991/69230605796352000*ep^-1+
         43210842392698743121/980*z3-4422890103833682310543286855988914\
         459818532197799187543018469425187/2725413004098896142393008281\
         7831981675446272000000*ep+129632527178096229363/1960*ep*z4+
         4117992905030533010168713357/5650444800*ep*z3+
         15096254150477048552453984345730063532594072705754628467138237\
         62565892872441/20035448535204395563003987074237223149790189898\
         95680000000*ep^2+2094814119586293485781/490*ep^2*z5+
         4117992905030533010168713357/3766963200*ep^2*z4-64201084456583\
         441547868550100530587/34615302898176000*ep^2*z3+
         72442322133269958105634391517249930763483161727285783831936735\
         13100627200100909291585813402384546659833864201446229721/
         13830127407293406718986665857868824485750131513496209109161161\
         79231794014206262509568000000000000000*ep^3+
         4146417396779888228441/392*ep^3*z6+
         5548833497832794402557685811/627827200*ep^3*z5-642010844565834\
         41547868550100530587/23076868598784000*ep^3*z4-283461220379670\
         13283272700413270771706299/24947941104773406720000*ep^3*z3+
         151140831704464854589/98*ep^3*z3^2;
Fill mncnoptab(9,9,4,1)=
      +mncF321*(-913365242386740-103947106585726287/14*ep-
         4288583475956537211/196*ep^2-126632170599576147263/3675*ep^3)
      +5040715339565735700855249161912634108548609/
      1122773773439958911631360000-82373098805423/8624*ep^-3-
         32079647100437954048557/124309785600*ep^-2-
         27710961036720516521316321376127/14469196611437568000*ep^-1+
         129571570320618087283/10780*z3-4604948295539211748045609582668\
         9320682396736775059448628106259131932841601179/104100028409042\
         9176177513539377068875124315049164800000000000*ep+
         388714710961854261849/21560*ep*z4+
         12365791033151205315822799271/62154892800*ep*z3+
         59447017740789000118118740337537232776599601129069209226083821\
         3661654681231795721723893/290804545312965935305265269519498402\
         4838115422499195846656000000000000*ep^2+6284117892921154056063/
         5390*ep^2*z5+12365791033151205315822799271/41436595200*ep^2*z4
         -3631187467760573263844566880662537379/7234598305718784000*
         ep^2*z3+123141982848374956197447817125524770986766515748779758\
         66317390592697537548878231414194911909310333131573902376538601\
         25977733/12174771797659644281977713848008789145401726772382820\
         84846744401507182125057886537272786944000000000000000*ep^3+
         12438664215521690024843/4312*ep^3*z6+
         16807823154772524233752404633/6906099200*ep^3*z5-3631187467760\
         573263844566880662537379/4823065537145856000*ep^3*z4-
         179869987231137846690826113901613463572930083/
         561386886719979455815680000*ep^3*z3+453489421976285410999/1078
         *ep^3*z3^2;
Fill mncnoptab(10,2,1,10)=
      +mncF321*(-7883256659941520-7725765661589853163/126*ep-
         10611228497214435088765/63504*ep^2-63203604188230802658997319/
         266716800*ep^3)
      +754822679031757601876541381049490345409947/
      19460888635302672436150272-1077912736308733/952560*ep^-3-
         2106731620519329996869/299256249600*ep^-2+
         14651952654330237210548516347/2322154281346099200*ep^-1+
         1764609575028867467693/17010*z3-129654195939549473277362218078\
         645119767467367523603888910629749/3278579507875403210900530114\
         19430912000000000*ep+1764609575028867467693/11340*ep*z4+
         41580091044895645823520323/24740100*ep*z3+22638019208084516568\
         61299825889140678657847196165153416197936844735978279/
         1190637110210894228216496724599001469662789632000000000*ep^2+
         266259884783691883928831/26460*ep^2*z5+
         41580091044895645823520323/16493400*ep^2*z4-126152197937034063\
         5218069697307738367/256119957501408000*ep^2*z3-
         41596486125072593339660643249598170453219555925522543833809843\
         599546139840499892034024627497079261251/7388181105398585887024\
         229861278031935632505329687621590007718871040000000000000000*
         ep^3+2371634429002822810811777/95256*ep^3*z6+
         1307173361710361587252883691049/74814062400*ep^3*z5-1261521979\
         370340635218069697307738367/170746638334272000*ep^3*z4-
         3300401665062764399627092942269710868857504837/
         3040763849266042568148480000*ep^3*z3+864658222355767581588457/
         238140*ep^3*z3^2;
Fill mncnoptab(10,2,2,9)=
      +mncF321*(-70949309939473680-7678309346485206715/14*ep-
         52152275983256466759713/35280*ep^2-61241888339342222226668183/
         29635200*ep^3)
      +16988687924065918453893841980588773578022759/
      48667196110136723159040000-601601094248269/105840*ep^-3-
         31286609598019014812561/432259027200*ep^-2-
         282623815255144492937019609847/882690223903488000*ep^-1+
         1764609108155194261949/1890*z3-1941281857242313280562576314040\
         22786641396273523008684607584006241/54285131586294473225769267\
         241408266240000000000*ep+1764609108155194261949/1260*ep*z4+
         4850523823197309621856436611/321621300*ep*z3+10347485894395913\
         987365884288919138176817134754934107347555704578684438751/
         598603014564174536972129322179284814360739840000000000*ep^2+
         266259877902499072228463/2940*ep^2*z5+
         4850523823197309621856436611/214414200*ep^2*z4-877026790751813\
         614082463535508122897/19471107880224000*ep^2*z3-
         17727394960160847362659504589150656898639319194802801147854651\
         6032679769706785481165301161692077/357035748072125854302393001\
         6698911421432267015338457248563200000000000000000*ep^3+
         2371634373608318930388881/10584*ep^3*z6+
         16525668471313096237730374248997/108064756800*ep^3*z5-87702679\
         0751813614082463535508122897/12980738586816000*ep^3*z4-
         91171710375650253561961654614534919603926473/
         12166799027534180789760000*ep^3*z3+864658321595922909697273/
         26460*ep^3*z3^2;
Fill mncnoptab(10,3,1,9)=
      +mncF321*(-29024717702511960-6294356913340410057/28*ep-
         953442782783873494407/1568*ep^2-16878274358845346472644207/
         19756800*ep^3)
      +111507546314559091636989578774235959929913081/
      780838124255971424907264000+6471106498697/23520*ep^-3-
         9417074420833138697/8732505600*ep^-2-
         80654359655889585564207953273/2236148567222169600*ep^-1+
         160418985106157615303/420*z3-114221603310089558290833783401341\
         551814307555252109527419139530031347639/7819176068558269628966\
         5794841852052609433600000000000*ep+160418985106157615303/280*
         ep*z4+1324089705808713672569882923/214414200*ep*z3+
         25664822396417708719853523734626819053738660435804745649281570\
         9673540984073806341/364049202818083019219476038513390689364094\
         55788032000000000000*ep^2+72616329099183886778103/1960*ep^2*z5
         +1324089705808713672569882923/142942800*ep^2*z4-15073241995421\
         43923932966508575121081/82211344383168000*ep^2*z3-
         35388333500675638852247608676604597763912674094949661528385422\
         870354767897643582811738339688619010822897/
         17877574032816331282182087071734497029431741291589800390635961\
         71264000000000000000000*ep^3+215603121506065453720067/2352*
         ep^3*z6+168398250073256767784355739943/2668265600*ep^3*z5-
         1507324199542143923932966508575121081/54807562922112000*ep^3*
         z4-3262632678268443299638147231207506863841132451/
         976047655319964281134080000*ep^3*z3+78605305808975594791867/
         5880*ep^3*z3^2;
Fill mncnoptab(10,3,2,8)=
      +mncF321*(-232197741620095680-12531369879428284170/7*ep-
         4706595307703620535643/980*ep^2-16484212470703223788510319/
         2469600*ep^3)
      +1544428533326031917670772652608720862402389/
      1351866558614908976640000-612002651941939/2940*ep^-3-
         2458659978227927169221/1091563200*ep^-2-
         553171730335274603717645168231/73557518658624000*ep^-1+
         320838493905687588118/105*z3-626536643736283657577681791379375\
         57037560214349052881420647691952267/53436926405258622081616622\
         44076126208000000000000*ep+160419246952843794059/35*ep*z4+
         1321201796376723263306265883/26801775*ep*z3+111603341037369938\
         69446073232827507994509696165089868409376403173231340069051/
         196416614153869769943979933840077829712117760000000000000*ep^2
         +72616341817055520343299/245*ep^2*z5+
         1321201796376723263306265883/17867850*ep^2*z4-8026413593457610\
         8865844738937592147/540864107784000*ep^2*z3-
         58963300661680174666563248828880577771331595046263935286627984\
         411863105465685081764299072681729007/3807451532175404618146612\
         86937032350801175349682577667522560000000000000000000*ep^3+
         215603155993826747913071/294*ep^3*z6+
         494732199071822462627322614849/1000599600*ep^3*z5-802641359345\
         76108865844738937592147/360576071856000*ep^3*z4-71756120358799\
         26713295726218275195900088503/337966639653727244160000*ep^3*z3
         +78605263444501134449623/735*ep^3*z3^2;
Fill mncnoptab(10,3,3,7)=
      +mncF321*(-664929896457546720-5119720865031019455*ep-
         3836901122409621448377/280*ep^2-1488925448502858140225789/
         78400*ep^3)
      +356414521129209485981877099137632281713419/
      108941627434168488960000-12094784043858737/3080*ep^-3-
         121857690128804531480963/2902838400*ep^-2-
         87416166695373407813340913889/658634680704000*ep^-1+
         481261698626842063177/55*z3-9571228059908248189532693350351745\
         16206141520163496016246259937898787/28474128086767097121758487\
         310887813120000000000000*ep+1443785095880526189531/110*ep*z4+
         914107737717854193558374069/6479550*ep*z3+34131164176932733408\
         8574448992696292441618525160174646198189569080669075907593/
         2093231106658867788234565251419712596528332800000000000000*
         ep^2+653547669358735292733891/770*ep^2*z5+
         914107737717854193558374069/4319700*ep^2*z4-185835655964195469\
         92342107287565877/43586118576000*ep^2*z3-
         67442588169957559562857428168626270327413769218678027536169354\
         196909055015108256080978513265309523/1534525072326320508491509\
         51329957294970129680291893693172940800000000000000000*ep^3+
         646810005577959503849413/308*ep^3*z6+
         113475016215997203044699358119/80634400*ep^3*z5-18583565596419\
         546992342107287565877/29057412384000*ep^3*z4-11737293081975337\
         1332573435598123843325061/2095031296810932480000*ep^3*z3+
         235815188934332277000029/770*ep^3*z3^2;
Fill mncnoptab(10,4,1,8)=
      +mncF321*(-51599498137799040-2796612940871335872/7*ep-
         52932416107154818236/49*ep^2-2108481482021138440192999/1389150
         *ep^3)
      +6559260403873418176433493644593297836374137/
      25836555581999054500608000-60280372950689/6615*ep^-3-
         1652013753439726361/18058950*ep^-2-
         8011885850506360130928782161/24663403314950400*ep^-1+
         641676251778203379992/945*z3-130662484515405836038277551515181\
         22127352162761518131781535451570931407/50307198970503572980483\
         50771075040149504000000000000*ep+320838125889101689996/315*ep*
         z4+113274073074103375958550959/10319400*ep*z3+
         38244857553345739739711201987657977434404800627468988922894975\
         615317023953647/3049776467388773761269162968168053511733903360\
         000000000000*ep^2+16136962786689396503844/245*ep^2*z5+
         113274073074103375958550959/6879600*ep^2*z4-201122994537618697\
         5260200716385116913/61658508287376000*ep^2*z3-
         15871722292230371007772401633649000709883561368418006043840174\
         117619105817833966727797951878504930592479031/
         44875504193311619070039879501158546059034519351467209886807300\
         7677440000000000000000000*ep^3+215603130739083140971922/1323*
         ep^3*z6+29674889605751221209936761297/264864600*ep^3*z5-
         2011229945376186975260200716385116913/41105672191584000*ep^3*
         z4-375664898311295138703765731865013616332286371/
         64591388954997636251520000*ep^3*z3+157210581571475732139764/
         6615*ep^3*z3^2;
Fill mncnoptab(10,4,2,7)=
      +mncF321*(-361196486964593280-2787465541202096040*ep-
         262236828845180697966/35*ep^2-2072786813363651778707203/198450
         *ep^3)
      +485823816571028388471450672291548819261/273374354638344960000-
         1307852254838342/945*ep^-3-319650979564122830539/20638800*
         ep^-2-2932835143819668771772283953/54540918432000*ep^-1+
         641680033349990572736/135*z3-148573439118769577028684130958894\
         79345693369766619492238397244812463/81508199304680900851840904\
         2243092480000000000000*ep+320840016674995286368/45*ep*z4+
         1244067968914975167726834559/16216200*ep*z3+528787168738128420\
         0305106596679515032213896439614979272960585077083165579717/
         59919481190927011239177552022395044442931200000000000000*ep^2+
         16136973342893116206072/35*ep^2*z5+
         1244067968914975167726834559/10810800*ep^2*z4-1067464689700058\
         43606677741999841601/463597806672000*ep^2*z3-
         91743275158338690134515085722476538168500134653723372269414938\
         944832603430615321556526904299805159289/4565212090170803512762\
         24080206622952536135798868383737189498880000000000000000000*
         ep^3+215603260012332101777396/189*ep^3*z6+
         29233211121312536237357818097/37837800*ep^3*z5-106746468970005\
         843606677741999841601/309065204448000*ep^3*z4-8845681327888085\
         21537589527224336082330893/25560502158685253760000*ep^3*z3+
         157210298143918632833816/945*ep^3*z3^2;
Fill mncnoptab(10,4,3,6)=
      +mncF321*(-886573195276728960-6840363580523422560*ep-
         643285201085085102132/35*ep^2-188261949375296981737093/7350*
         ep^3)
      +90862036731000866835707183915722883562197/
      20827075833002799360000-8446279982735157/385*ep^-3-
         5229280570821756889201/23123100*ep^-2-
         2235233536090933328041570258799/3399717248928000*ep^-1+
         641702577565591756536/55*z3-3409746915041824172195288753600629\
         9217082473659508846265473395987421959/762101663498766422964712\
         454497291468800000000000000*ep+962553866348387634804/55*ep*z4+
         1243956533112716041546170389/6606600*ep*z3+8499077555881717943\
         3306633153176229331087691781299734572140080975622269129499151/
         392173004394617288560417077986575565878984704000000000000000*
         ep^2+435699956005663991045244/385*ep^2*z5+
         1243956533112716041546170389/4404400*ep^2*z4-96124685044535777\
         6268008175568689299/1699858624464000*ep^2*z3-
         12858713594062694503907748219462742132246419369432513024470273\
         842522117863649735832189740680081916718893/2510866649593941932\
         01923244113642623894874689377611055454224384000000000000000000\
         00*ep^3+215604018981352424374746/77*ep^3*z6+
         29202460804604236238086880137/15415400*ep^3*z5-961246850445357\
         776268008175568689299/1133239082976000*ep^3*z4-871332023796689\
         863588912525879695674335963/10413537916501399680000*ep^3*z3+
         157208556130584083465796/385*ep^3*z3^2;
Fill mncnoptab(10,4,4,5)=
      +mncF321*(-985081328085254400-7622870776821126060*ep-
         432476485960840860080/21*ep^2-191293166211996722946004/6615*
         ep^3)
      +62908423147665605966811537072856006133/12971881141662643200-
         110945336882344291/1386*ep^-3-803868805728810591475091/
         998917920*ep^-2-79070313323052318628911587357/35997006165120*
         ep^-1+1283526096456114745724/99*z3-753607631065829072346915244\
         1192720442262122534149365589925005617061/152017022232605555567\
         966253899317248000000000000*ep+641763048228057372862/33*ep*z4+
         3737360195145699780140563177/17837820*ep*z3+157554799492656816\
         789661159644666187398043605198648853282115099850032846117/
         657370249580900856053667831061895561871360000000000000*ep^2+
         290469641514149160344662/231*ep^2*z5+
         3737360195145699780140563177/11891880*ep^2*z4-5611280181683190\
         8413504557419180539/89992515412800*ep^2*z3-
         45385367710120612976919061547204623776450050385415704204929923\
         9656336328906828248987549096480852062137/984259726640825237351\
         539116925479085667908782360235337380559585280000000000000000*
         ep^3+2156060604668136694534795/693*ep^3*z6+
         19734754976433805921568035943/9249240*ep^3*z5-5611280181683190\
         8413504557419180539/59995010275200*ep^3*z4-1743994130809303987\
         564744401602616356887/16214851427078304000*ep^3*z3+
         314407817162555923949438/693*ep^3*z3^2;
Fill mncnoptab(10,5,1,7)=
      +mncF321*(-48622604014464480-377913897313724772*ep-
         1029140327012437692*ep^2-165630493577393450374183/113400*ep^3)
      +504548561038229333681252054940444322544041/
      2109106578122371795968000+2863618916197/540*ep^-3-
         629342416783446833/5896800*ep^-2-3102899757839769729195826441/
         2013339046118400*ep^-1+86379430812159974342/135*z3-
         14848444707147759202496305019214641325678260090790819292946274\
         34261583/608401499265349333097306215700685127680000000000000*
         ep+43189715406079987171/45*ep*z4+672165947891777117841126931/
         64864800*ep*z3+89822335778288323422795545832081167149440400003\
         972166896379856817762626211858067/7648092496178214689484790725\
         071232969833919283200000000000000*ep^2+310326185040387089667/5
         *ep^2*z5+672165947891777117841126931/43243200*ep^2*z4-80610655\
         25805578174871373879522939/264913032384000*ep^2*z3-
         16040146560034593152034257783957569068868111006787816949586579\
         02858693887871869156520304704228561133986597601/
         16704677479306202690561783716349630206465094550423712415007452\
         3674214400000000000000000000*ep^3+8292427565278291446667/54*
         ep^3*z6+178662584760183731871821273/1663200*ep^3*z5-8061065525\
         805578174871373879522939/176608688256000*ep^3*z4-1774304045838\
         294775175962312672008906474073/277514023437154183680000*ep^3*
         z3+3023281311176354129567/135*ep^3*z3^2;
Fill mncnoptab(10,5,2,6)=
      +mncF321*(-291735624086786880-2262396464832624120*ep-
         30680006657389494708/5*ep^2-163696433135421785138611/18900*
         ep^3)
      +6988650339531486101932167025760657721149/4868667077844810240000-
         378922730954819/90*ep^-3-6421339665387487127/140400*ep^-2-
         13205043055480356765718434967/88304344128000*ep^-1+
         172763111326078407052/45*z3-1778173598002769823811047999446282\
         761484402714643550229446654890103777/1212434464657128400171133\
         45033660006400000000000000*ep+86381555663039203526/15*ep*z4+
         671453066718710073700754491/10810800*ep*z3+1260796282094780889\
         112026670505569810315844227158730691087328788916790403569813/
         17826045654300785843655321726662525721772032000000000000000*
         ep^2+1861962112587484250466/5*ep^2*z5+
         671453066718710073700754491/7207200*ep^2*z4-386113855625679455\
         800707397557527/2102484384000*ep^2*z3-
         44673830805983974861397203881697354335754552858342758144135029\
         2990973420441593409884274517805427934742966722071/
         32460225556379098410068920630633940514835581455936986624616754\
         03214848000000000000000000000*ep^3+8292447950980639923571/9*
         ep^3*z6+2299252585042608134971730429/3603600*ep^3*z5-386113855\
         625679455800707397557527/1401656256000*ep^3*z4-852806267503530\
         60641606426287763539602091/2434333538922405120000*ep^3*z3+
         6046515476262177017326/45*ep^3*z3^2;
Fill mncnoptab(10,5,3,5)=
      +mncF321*(-596731958359336800-4630573965649266180*ep-
         12573782543187003882*ep^2-14933731879324327468369/840*ep^3)
      +28772384550288637100480990016820633871/9795214971429888000-
         1881378995299475/44*ep^-3-1381751400848795680477/3171168*ep^-2
         -477954310085385684655478563391/388539114163200*ep^-1+
         86389789264908669830/11*z3-42976176957730533095380535724155508\
         28986061513683949281397673445460476451/14339704900392789014504\
         0295438210362769408000000000000*ep+129584683897363004745/11*ep
         *z4+2015092724015649230170924193/15855840*ep*z3+
         15235838870654965744508585637832477005442426341922692119454694\
         18920604872117921389/10541610358127312716504011056279151210827\
         108843520000000000000*ep^2+8378917190917615257225/11*ep^2*z5+
         2015092724015649230170924193/10570560*ep^2*z4-1120764490080994\
         317491665697035627/2988762416640*ep^2*z3-
         14126460166428196755890985942522305906918058035962737259498859\
         48919339416269345609516205713181640133079455213336627/
         42230493767044755998712385189089711538276972789522372102733400\
         06179291529216000000000000000000*ep^3+41462637008263532936975/
         22*ep^3*z6+2306015855968282512210602029/1761760*ep^3*z5-
         1120764490080994317491665697035627/1992508277760*ep^3*z4-
         1944707190310266162876058685287977358711/26447080422860697600*
         ep^3*z3+3023167407732537597479/11*ep^3*z3^2;
Fill mncnoptab(10,5,4,4)=
      +mncF321*(-530428407430521600-4131179175700678920*ep-
         33878782016693151413/3*ep^2-8701188157604955918289/540*ep^3)
      +24214344821541077302193615021216458423/9265629386901888000-
         9404506929384107/99*ep^-3-67625435868896518070197/71351280*
         ep^-2-65240645425287668392410512287/25712147260800*ep^-1+
         691242715743055738712/99*z3-7475266487776231020240000409906389\
         651849254304435541267854156018833/2814486583049382857372632357\
         90735933440000000000*ep+345621357871527869356/33*ep*z4+
         288408670124321348917186849/2548260*ep*z3+15545921377464395571\
         4409332645627780651752770105591871251333962973078642231/
         1217074062081210727779362155794595211693260800000000000*ep^2+
         22344219892903497500668/33*ep^2*z5+288408670124321348917186849/
         1698840*ep^2*z4-4243666826361873706672681140876121/
         12856073630400*ep^2*z3-143834106855435741032112866272587425312\
         73433768743608738949965350607100974102878341189544972983014041\
         7098204609307/447944880314724733272056371469987297388152175660\
         290875518279279226874851491840000000000000000*ep^3+
         165853542407418591908230/99*ep^3*z6+
         195376005629639910509627062/165165*ep^3*z5-4243666826361873706\
         672681140876121/8570715753600*ep^3*z4-348078127912083569722773\
         256689297289991/4632814693450944000*ep^3*z3+
         24183968578874363528780/99*ep^3*z3^2;
Fill mncnoptab(10,5,5,3)=
      +mncF321*(-214211472231556800-1680096559361083290*ep-
         18604700271927561971/4*ep^2-6804743249586911355161/1008*ep^3)
      +2883070508106053634118783936816400064371/2730272126007089664000-
         97333291341254873/1716*ep^-3-706522714803742866066883/
         1236755520*ep^-2-698073490680222595390599434827/
         445677219187200*ep^-1+1209847188066761126642/429*z3-
         17671262027398297013938355739844629174511977059936297420010164\
         046680976229/1658007291306592122759360027725566406232637440000\
         000000*ep+604923594033380563321/143*ep*z4+
         14181052957617135851347234231/309188880*ep*z3+
         12685757637297703032636119741060243239917974241232944514947230\
         1588112990775176163/248746570467407513512128260891024005042037\
         9969126400000000000*ep^2+39102997173726402376693/143*ep^2*z5+
         14181052957617135851347234231/206125920*ep^2*z4-49550843347160\
         3879253702235408298033/3788256363091200*ep^2*z3-
         19394814442131130380670654047896757826372248446092977158016079\
         13151219013766971085664426920944107331775072733748470839/
         16997537250470418838848142249251549991771867196735133446066418\
         217831302364768763904000000000000000*ep^3+
         580495721665562230017185/858*ep^3*z6+
         2821289147933313678844600413/5725720*ep^3*z5-49550843347160387\
         9253702235408298033/2525504242060800*ep^3*z4-87807238316771742\
         6357414219951021520789871/23207313071060262144000*ep^3*z3+
         42320054814881586295889/429*ep^3*z3^2;
Fill mncnoptab(10,6,1,6)=
      +mncF321*(-25005910636010304-980052655978827288/5*ep-
         3794298927533428164/7*ep^2-24742613016377977611229/31500*ep^3)
      +4036221276775893377335369716645832092917/32808324548570227937280
         -13713749942003/1050*ep^-3-469115747704341697/1274000*ep^-2-
         2624417714012814254535051839/903421366848000*ep^-1+
         172759132811378885164/525*z3-250913582957548734393511756513094\
         4730874456696722963639432157254761359879/201228795882014291921\
         9340308430016059801600000000000000*ep+86379566405689442582/175
         *ep*z4+224971179470119878659316457/42042000*ep*z3+
         16741425716727853697725703585516899653191412287513550740450625\
         783251810681789387977/2810673992345493898385660591463678116413\
         965336576000000000000000*ep^2+5585872185495107332326/175*ep^2*
         z5+224971179470119878659316457/28028000*ep^2*z4-44915958002486\
         2700434011065708689963/29361194422560000*ep^2*z3-
         26018732866630196764251469775250800128732694977400626077225597\
         70678330719899012934063449295408060542799882003757/
         12960045611028395587427517199934588101849169188703730215309948\
         4617244672000000000000000000000*ep^3+8292428711836971555907/
         105*ep^3*z6+2411423037479937714256748509/42042000*ep^3*z5-
         449159580024862700434011065708689963/19574129615040000*ep^3*z4
         -44527300118745820379128083038239634717905027/
         10252601421428196230400000*ep^3*z3+6046558930347199350574/525*
         ep^3*z3^2;
Fill mncnoptab(10,6,2,5)=
      +mncF321*(-125029553180051520-978642806037327288*ep-
         18895112987905749720/7*ep^2-24556932085856935453729/6300*ep^3)
      +4301133315007576772330709789688332013/6990906573315624960-
         1109954447123003/210*ep^-3-43780272630226395091/764400*ep^-2-
         22956708555759169598801902153/123626081779200*ep^-1+
         172771072019473181164/105*z3-924347222273822937823032521497564\
         459993723042855669122759452739375757/1481374473181073245300003\
         05204762771456000000000000*ep+86385536009736590582/35*ep*z4+
         224825369047209964431655457/8408400*ep*z3+32513178420395352837\
         2951625869339094048920081721456151824046009000675494539783/
         10890093345172843715396705636652015713664368640000000000000*
         ep^2+5585914659738819106326/35*ep^2*z5+
         224825369047209964431655457/5605600*ep^2*z4-237314935965590423\
         87244781013788577/309065204448000*ep^2*z3-
         99246188038961467467853429454687247138157247418794830570143405\
         73745134580879810322154325304838590654577353260503/
         23994598731275429544722946130164608828566461812228620512916704\
         5805641564160000000000000000000*ep^3+8292486453598492068907/21
         *ep^3*z6+798799882612195792214650503/2802800*ep^3*z5-237314935\
         96559042387244781013788577/206043469632000*ep^3*z4-10753775359\
         658942501611429502985341556137/516373780983540480000*ep^3*z3+
         6046428553762712460574/105*ep^3*z3^2;
Fill mncnoptab(10,6,3,4)=
      +mncF321*(-204593814294629760-1603516782154981824*ep-
         31033107747114891354/7*ep^2-2247827345458548952689/350*ep^3)
      +839524577746974982922004776552336966227/833083033320111974400-
         12718526941649939/385*ep^-3-93030489554553303219499/277477200*
         ep^-2-106258256344357167788552463029/113323908297600*ep^-1+
         1036833631480257374504/385*z3-29969351768563766109084172461544\
         601792180576012560923921650754953041/2939534987780956202863890\
         895918124236800000000000*ep+1555250447220386061756/385*ep*z4+
         1518715057764003184820019431/34684650*ep*z3+722858077807446081\
         7284754106305307519721298001156425579772327520767246394081511/
         148241395661165335075837655478925563902256218112000000000000*
         ep^2+100548665364493242505908/385*ep^2*z5+
         1518715057764003184820019431/23123100*ep^2*z4-3940741475434846\
         823873596754907437/31478863416000*ep^2*z3-
         38618852662368859618109721402516472856673492929208714881264375\
         351771252834037396539931906547264479602164979477/
         84838045514152411604556130960224866929574275693236908242098348\
         33842326732800000000000000000*ep^3+49755915866506492565702/77*
         ep^3*z6+3615709515160096109495756441/7707700*ep^3*z5-394074147\
         5434846823873596754907437/20985908944000*ep^3*z4-3689447462654\
         04621247685510002416465941621/10413537916501399680000*ep^3*z3+
         36276286939802505607244/385*ep^3*z3^2;
Fill mncnoptab(10,6,4,3)=
      +mncF321*(-136395876196419840-1073519286680263176*ep-
         20933511132240817149/7*ep^2-9190518010560155697781/2100*ep^3)
      +28006323014545987109575449084201683233/41654151666005598720-
         14180517036448061/385*ep^-3-103359714353182786663981/277477200
         *ep^-2-7020088398633848154406986125/6799434497856*ep^-1+
         691347312261476091176/385*z3-489105647357740590466843354047772\
         8131869811786044069920313675974789561473/722721126979796566331\
         003089008580228357816320000000000*ep+1037020968392214136764/
         385*ep*z4+507323841703130661594203842/17342325*ep*z3+
         24503654177500336166226253117789912416817403191606238284440605\
         6490758637671762257/758995945785166515588288796052098887179551\
         8367334400000000000*ep^2+67033773935124159313452/385*ep^2*z5+
         253661920851565330797101921/5780775*ep^2*z4-175274862058413211\
         69723567120917599/212482328058000*ep^2*z3-
         88684993185941095756486404100864531257569176958535066290984235\
         7988111567205357403780145127595195334348048976937819963/
         28329228750784031398080237082085916652953111994558555743444030\
         363052170607947939840000000000000000*ep^3+
         33171213311431341611138/77*ep^3*z6+188853441116584800321471173/
         592900*ep^3*z5-17527486205841321169723567120917599/
         141654885372000*ep^3*z4-34452813872186768948301884588095753302\
         533/1301692239562674960000*ep^3*z3+24182821822788915624596/385
         *ep^3*z3^2;
Fill mncnoptab(10,6,5,2)=
      +mncF321*(-36721966668266880-291176681459688612*ep-
         1643828670428225447/2*ep^2-2203582425076582230811/1800*ep^3)
      +279798278223747609395577386222533896673/1547154204737350809600-
         32927072646131153/4290*ep^-3-251736950174149090648523/
         3091888800*ep^-2-955332461078673960970053682919/
         3788256363091200*ep^-1+1036916493262725820804/2145*z3-
         40225318092750205435593385048328177060222219895445607162606050\
         27904781101981/22196572612367002043440932371176020263439433728\
         00000000000*ep+518458246631362910402/715*ep*z4+
         6109461108626607139690196399/772972200*ep*z3+
         14007855591868785938873479576524415802092474517477967253309087\
         70768670869005514867869/16317464089448848627003723754125060950\
         7513900499730432000000000000*ep^2+33516514999166677946586/715*
         ep^2*z5+6109461108626607139690196399/515314800*ep^2*z4-
         205984649006785374966247602000631273/9470640907728000*ep^2*z3-
         29345844632207076824924644837631824464435593452446987400015729\
         9579764432884285305344188493150891853710822522333308964707/
         17401228760169091286270785627671274304076449042657592865410495\
         650504795795932022046720000000000000000*ep^3+
         49756314252118654009477/429*ep^3*z6+
         3800430399316778524875412391/42942900*ep^3*z5-2059846490067853\
         74966247602000631273/6313760605152000*ep^3*z4-2336853346727066\
         8620247547078555107289051/2762775365602412160000*ep^3*z3+
         36275371687454133654994/2145*ep^3*z3^2;
Fill mncnoptab(10,6,6,1)=
      +mncF321*(-3147597142994304-126193529411914788/5*ep-
         1017186991086084733/14*ep^2-6996988935912532333333/63000*ep^3)
      +2419710812671683662980451060243060028035/
      156386347014851419834368-2365340915719679/150150*ep^-3-
         71891085745016332738949/108216108000*ep^-2-
         14090846127328110365970229487339/2519190481455648000*ep^-1+
         3109682750956423631452/75075*z3-422446287611801854088751245993\
         804223351490506062809103771775586672112835928288453/
         27404332478680548062873043924101338137647593669263360000000000\
         00*ep+1554841375478211815726/25025*ep*z4+
         2632077682083513102369051431/3864861000*ep*z3+
         27622006181380743632008080474331887957937092946292173126663713\
         81504757462721766677868660221/38277148276819141234555541100503\
         97722693169424864566533160960000000000000*ep^2+
         14363681489188706048874/3575*ep^2*z5+
         2632077682083513102369051431/2576574000*ep^2*z4-11364534507064\
         591472553008396998444501/6297976203639120000*ep^2*z3-
         14184080795501718612669162547791654180027385306891585037587249\
         458134998098950140611031995157838320734972571758835235136569/
         81437750597591347219747276737501563743077781519637534610121119\
         64436244432496186317864960000000000000000*ep^3+
         149263814261003201697451/15015*ep^3*z6+
         3979201790825525257410883451/501000500*ep^3*z5-113645345070645\
         91472553008396998444501/4198650802426080000*ep^3*z4-2186515983\
         63972386619176811573189562337206331/
         244353667210705343491200000*ep^3*z3+108837898323407274025582/
         75075*ep^3*z3^2;
Fill mncnoptab(10,7,1,5)=
      +mncF321*(-6946086287780640-55216864621472268*ep-
         3287501600629374962/21*ep^2-26588870916932353259509/113400*
         ep^3)
      +2522174483241286946464325726707549837240037/
      73818730234283012858880000+3415842433433/756*ep^-3-
         768050853863190749/3175200*ep^-2-66328840465566159763777456567/
         23488955538048000*ep^-1+86379262442205661142/945*z3-
         81205561196630173075946986089946004587928356569793569608419593\
         1384771/2370279940208917410060056272791752692035747840000000*
         ep+43189631221102830571/315*ep*z4+61773845389975252036230017/
         41277600*ep*z3+90423905294071620251633185048879167014873357369\
         0694340127765241771642742962626351/559508504690651150178480557\
         036071962450815858104703385600000000*ep^2+
         930978392587291150561/105*ep^2*z5+61773845389975252036230017/
         27518400*ep^2*z4-143940424906489681655885934354950857/
         35233433307072000*ep^2*z3+159827177933063406658011856480089259\
         41973218820361227636621404412087771796898882924289009202999578\
         49619978122563/21499160463222784872071759732627489510395549783\
         7568439795733673041854841487360000000000000000*ep^3+
         8292426270843414693907/378*ep^3*z6+
         2560089564274895221744176653/151351200*ep^3*z5-143940424906489\
         681655885934354950857/23488955538048000*ep^3*z4-62301540548061\
         785064963789482897871210482179/36909365117141506429440000*ep^3
         *z3+604656776955482305051/189*ep^3*z3^2;
Fill mncnoptab(10,7,2,4)=
      +mncF321*(-27784345151122560-220684065205498752*ep-
         13119568894719147074/21*ep^2-26473654268109337885459/28350*
         ep^3)
      +6991357762046038477061024438560787771177/51121004317370507520000
         -585259194865237/189*ep^-3-683922897850249854829/20638800*
         ep^-2-1800234261700619607235561121/17170289136000*ep^-1+
         345582600309089283128/945*z3-964553754817509141764415156945151\
         3548014418959130204052105262097311/703949149655646006166561450\
         3330326899589120000000*ep+172791300154544641564/315*ep*z4+
         84914919692606753829130679/14189175*ep*z3+33507905545235914056\
         18172175593701210492587176624332123247438804780178550661/
         517497235762613533355651451853703786713330797772800000000*ep^2
         +3723990717775957800124/105*ep^2*z5+84914919692606753829130679/
         9459450*ep^2*z4-3796560215239381600637159276887439/
         231798903336000*ep^2*z3+33973181400457601681522272415915902031\
         43566026845535905788062467943705889905244595528158768328643527\
         24045522413/25914166629777463908300781820577777534851778757206\
         910153950040947009288929280000000000000000*ep^3+
         16585166929837265458994/189*ep^3*z6+
         115978104096739973386496339/1719900*ep^3*z5-379656021523938160\
         0637159276887439/154532602224000*ep^3*z4-169828822671133101088\
         884818643631486730599/25560502158685253760000*ep^3*z3+
         2418481622940802900756/189*ep^3*z3^2;
Fill mncnoptab(10,7,3,3)=
      +mncF321*(-34098969049104960-271329301059880752*ep-
         5393961171248954781/7*ep^2-2428966684846361983369/2100*ep^3)
      +7000261092790633625020406977379726553977/41654151666005598720000
         -1458446233710057/154*ep^-3-18007195224674149774429/184984800*
         ep^-2-238871693324676311220204712747/849929312232000*ep^-1+
         172838898009637976124/385*z3-606071344078851765184245944229357\
         39505269580270027361227861614762345913/36136056348989828316550\
         154450429011417890816000000000*ep+259258347014456964186/385*ep
         *z4+340015041922820949606440791/46246200*ep*z3+
         18793063819541182321293962957267212184705896180559353161154281\
         7716168148416239/237186233057864536121340248766280902243609948\
         97920000000000*ep^2+16758466052288961287478/385*ep^2*z5+
         340015041922820949606440791/30830800*ep^2*z4-65356215061131578\
         2771741749500053/32689588932000*ep^2*z3-
         34209468428571048514809570853975333198774357935645430434646500\
         655772983804191578283579117268802460125009624693557/
         26605211073238196279188802669126518269114492857399094424722042\
         03892953663406080000000000000000*ep^3+8292813577139661655677/
         77*ep^3*z6+321400004349523762034028301/3853850*ep^3*z5-6535621\
         50611315782771741749500053/21793059288000*ep^3*z4-176172271648\
         217512187095964551131037597159/20827075833002799360000*ep^3*z3
         +1209136780068912588930/77*ep^3*z3^2;
Fill mncnoptab(10,7,4,2)=
      +mncF321*(-15155097355157760-121145195241387512*ep-
         21850762236970676839/63*ep^2-4262393844891847602329/8100*ep^3)
      +6995908513638427868235934181315444476907/93721841248512597120000
         -7740153714965297/2079*ep^-3-295833190194678813381307/
         7491884400*ep^-2-5621387417886870190723284478313/
         45896182860528000*ep^-1+2073962298580622959528/10395*z3-
         31322942157102640369496622655712462046367912776545865723850063\
         20295381889/42158732407154799702641846858833846654205952000000\
         00000*ep+1036981149290311479764/3465*ep*z4+
         6133787939592189609470738353/1872971100*ep*z3+
         10830092188392748239276952404763040575765306555234315633812705\
         59173180113031388011/30992334452894299386521792505460704559831\
         6999999488000000000000*ep^2+22344495230549728423724/1155*ep^2*
         z5+6133787939592189609470738353/1248647400*ep^2*z4-20118452259\
         7213360688723760901072751/22948091430264000*ep^2*z3-
         21012550583208500310492622706478897139958153066744224996064783\
         36147743632236177014518370902417671965120869193547178281/
         36355843563506173627536304255343593037956493726350146537419838\
         9659169522801998561280000000000000000*ep^3+
         99513247388183466426994/2079*ep^3*z6+
         1965173499286131786008195936/52026975*ep^3*z5-2011845225972133\
         60688723760901072751/15298727620176000*ep^3*z4-191840095635121\
         770974669815961575539367819/46860920624256298560000*ep^3*z3+
         14509860523255131723428/2079*ep^3*z3^2;
Fill mncnoptab(10,7,5,1)=
      +mncF321*(-2040109259348160-16433667338511122*ep-
         1716644858238863599/36*ep^2-16701031076965028958317/226800*
         ep^3)
      +2520154952676225570681935587975986755459657/
      251335200559582639019520000-129749793558197/15444*ep^-3-
         26397237378292216383187/55653998400*ep^-2-
         27077638885747604546342434724897/6477918380885952000*ep^-1+
         518278401180027062962/19305*z3-2727848313902805883917218883223\
         73613714389359258169318530925679427153180528749403/
         27404332478680548062873043924101338137647593669263360000000000\
         00*ep+259139200590013531481/6435*ep*z4+
         879328438166073388085805649/1987642800*ep*z3+
         17760866641545561173288405950055141666196559908411565435352489\
         61098260214796353007935289971/38277148276819141234555541100503\
         97722693169424864566533160960000000000000*ep^2+
         5585874224176697893271/2145*ep^2*z5+
         879328438166073388085805649/1325095200*ep^2*z4-373586766997716\
         0408286163423968860659/3238959190442976000*ep^2*z3-
         46178602717319489942394427304812228420185500907590221405760477\
         933530827633536093537049654820317607796487552246797153209451/
         75799752479296561642995542194136070868557012029816474521728119\
         053598890487079888035512320000000000000000*ep^3+
         49754589616410253976477/7722*ep^3*z6+
         4053451485754441270673309407/772972200*ep^3*z5-373586766997716\
         0408286163423968860659/2159306126961984000*ep^3*z4-78590966682\
         570255506029419470634228711237709/125667600279791319509760000*
         ep^3*z3+3627936532628902014893/3861*ep^3*z3^2;
Fill mncnoptab(10,8,1,4)=
      +mncF321*(-992298041111520-56404635000187188/7*ep-
         3484094910399875906/147*ep^2-3694100220572821105448/99225*ep^3
         )
      +265386014474182852680519615994909283508331/
      54392748593682220001280000-20017460877101/2646*ep^-3-
         220123428424147377263/1155772800*ep^-2-
         3989548820380562386277899391/2884608574848000*ep^-1+
         86380766735847414002/6615*z3-136873579261747585267499379532502\
         121150222407143981152014787018792197/2846207201887707932132641\
         255986517772041872998400000*ep+43190383367923707001/2205*ep*z4
         +1373242650713227925994107279/6356750400*ep*z3+
         88435238528024696426999916417583552043120848017917157969633038\
         0247125362870093/397545516490725817232078290525630078583474425\
         4954471424000000*ep^2+930980045591139101716/735*ep^2*z5+
         1373242650713227925994107279/4237833600*ep^2*z4-13495581233686\
         3500723916506158493217/246634033149504000*ep^2*z3-
         13541373886009932195299321859517022949047523031587405628726454\
         369864738202657255593991061028190319330577651759023685299/
         19764239931265656301911873129884397963314491513608475403356240\
         284207502030160495734947840000000000000*ep^3+
         4146219821792202250721/1323*ep^3*z6+
         5579204237862363261270628051/2118916800*ep^3*z5-13495581233686\
         3500723916506158493217/164422688766336000*ep^3*z4-177423544122\
         804330415707637437608450646694643/516731111639981090012160000*
         ep^3*z3+604652972701594363348/1323*ep^3*z3^2;
Fill mncnoptab(10,8,2,3)=
      +mncF321*(-2976894123334560-169146457779360204/7*ep-
         3480242894016504932/49*ep^2-3686399928584157599273/33075*ep^3)
      +13989209880920309470988743926816258866929/
      954258747257582807040000-659266407327761/882*ep^-3-
         3092642320098564584303/385257600*ep^-2-
         221975305430624867251015097339/8653825724544000*ep^-1+
         86415557395134066362/2205*z3-413263501843236844063461519031624\
         3170676511297799430619617066866713/286699290041572191602381390\
         68108967736508416000000*ep+43207778697567033181/735*ep*z4+
         1373318940161218811085011039/2118916800*ep*z3+
         28746206110705983166828250270925966365451058141834386226946192\
         884892743831/4301275725819125472046973106316499006448463773696\
         0000000*ep^2+931021310386067920996/245*ep^2*z5+
         1373318940161218811085011039/1412611200*ep^2*z4-23699988447336\
         88097488923186264581/1442304287424000*ep^2*z3+
         56775674283724816385833522406885413659910091881629929032228633\
         73383528756195339344221843359041200292391098727834334309903/
         39528479862531312603823746259768795926628983027216950806712480\
         56841500406032099146989568000000000000000*ep^3+
         4146388118039738611301/441*ep^3*z6+
         5571743462968731036819162691/706305600*ep^3*z5-236999884473368\
         8097488923186264581/961536191616000*ep^3*z4-261611535690649989\
         6770536028919667794089/2551493976624552960000*ep^3*z3+
         604577021953600263460/441*ep^3*z3^2;
Fill mncnoptab(10,8,3,2)=
      +mncF321*(-2435640646364640-138688026734489076/7*ep-
         2864037030676173958/49*ep^2-1016084727564713933654/11025*ep^3)
      +13995278271810844682833616738819231920649/
      1166316246648156764160000-2626057115879623/3234*ep^-3-
         403120516436153785460717/46616169600*ep^-2-
         7751571761624713630035946210573/285576248909952000*ep^-1+
         259283228601252258646/8085*z3-40183888310674402342597721856599\
         682494297966233248833373237109781635564207/3414857324979538775\
         91398959556554157899068211200000000000*ep+
         129641614300626129323/2695*ep*z4+12373903622951113431860354311/
         23308084800*ep*z3+13677715157587969241791121498733826167470366\
         750695987799284863717333665522271674693/2510379090684438250308\
         2651929423170693463676999958528000000000000*ep^2+
         8379320309006371271604/2695*ep^2*z5+
         12373903622951113431860354311/15538723200*ep^2*z4-190647045809\
         610000873250339318888441/142788124454976000*ep^2*z3+
         24306796827469817704217531374290595476228366352941847252973439\
         03717431071838636912892237708151679726729976577967257883747107/
         13696618272367099817224928079009887788576942618930673454525874\
         51695579890690122354431885312000000000000000*ep^3+
         12439338849208930778083/1617*ep^3*z6+
         16856043515105696481604556153/2589787200*ep^3*z5-1906470458096\
         10000873250339318888441/95192082969984000*ep^3*z4-503446492581\
         652742685796236989393648013883/583158123324078382080000*ep^3*
         z3+1813649198187899473532/1617*ep^3*z3^2;
Fill mncnoptab(10,8,4,1)=
      +mncF321*(-541253476969920-30967923661063688/7*ep-
         5803293772967646712/441*ep^2-2081172366703914616283/99225*ep^3
         )
      +5038493041807004699459164606072095521275309/
      1894680742679930663377920000-127783405151828/14553*ep^-3-
         48487204437329485349047/209772763200*ep^-2-
         20683457927897906383654007345611/12208384640900448000*ep^-1+
         518290045692159827572/72765*z3-2750066606301918155197649940452\
         68622459061114174543672990705732534503644442609/10540127876415\
         595408797324586192822360633689872793600000000000*ep+
         259145022846079913786/24255*ep*z4+
         12399237383397967859186923121/104886381600*ep*z3+
         88302788476104530441131853087211542599837796893532233179461424\
         0744900574548279009679577/736099005323445023741452713471230331\
         2871479663201089486848000000000000*ep^2+5585887518909332272676/
         8085*ep^2*z5+12399237383397967859186923121/69924254400*ep^2*z4
         -1783690435427060901115734646721396407/6104192320450224000*
         ep^2*z3+848965677053232688402160710028042256520110169228016460\
         34237065273422774899560298126727427198289620046208065611940959\
         984450610517/1240792914027934008373439189279599559008934166968\
         289688420226221967014707987383786082803782778880000000000000000
         *ep^3+24877348812245915313256/14553*ep^3*z6+
         17166709682187559979998874983/11654042400*ep^3*z5-178369043542\
         7060901115734646721396407/4069461546966816000*ep^3*z4-
         192980880155441150210697866991412899317880743/
         947340371339965331688960000*ep^3*z3+3627909064686316688540/
         14553*ep^3*z3^2;
Fill mncnoptab(10,9,1,3)=
      +mncF321*(-65666782132380-7707767086082349/14*ep-
         334763890982680401/196*ep^2-31623849123692035643/11025*ep^3)
      +5032888592094315984334589964765816727857409/
      15616762485119428498145280000-1152724794133/2352*ep^-3-
         645810915813436622383/17465011200*ep^-2-
         7490117961314468400900548833223/22361485672221696000*ep^-1+
         2540516518812374273/2940*z3-2169691805142668530939038667173373\
         832117211737891338273162448840940491/7004380390169368853934042\
         86235158278376780935987200000*ep+2540516518812374273/1960*ep*
         z4+1395161999945022990937513519/96057561600*ep*z3+
         13587937902918622193051260430826370241966125569758663032759562\
         578379144799714559/9783405853447957254549431454459315457711408\
         71885938491392000000*ep^2+41072538658099666551/490*ep^2*z5+
         1395161999945022990937513519/64038374400*ep^2*z4-3628239775983\
         02038907397532722098891/11180742836110848000*ep^2*z3+
         23270921021837993481014727065293775034604665097271186493972839\
         893245647231507810288215431844888456141930295074673354117/
         75292342595297738292997611923369135098340920051841811060404724\
         892219055352992364704563200000000000000*ep^3+
         243894715429785625033/1176*ep^3*z6+
         2095711204789372276824632337/10673062400*ep^3*z5-3628239775983\
         02038907397532722098891/7453828557407232000*ep^3*z4-2537738147\
         69999990474897496638673769037215523/
         7808381242559714249072640000*ep^3*z3+8892134036867877773/294*
         ep^3*z3^2;
Fill mncnoptab(10,9,2,2)=
      +mncF321*(-131333564264760-7706789590122909/7*ep-
         334646354469319589/98*ep^2-1003256213453427497/175*ep^3)
      +4668767160886782713789665384748412089363/
      7209954979279514542080000-83604096647893/1176*ep^-3-
         6527173666256260135343/8732505600*ep^-2-
         4062838556420435930719873894471/1765380447806976000*ep^-1+
         2542957605002768033/1470*z3-2977589488112116663627566054905129\
         469344853481939496612022314795137/4825149051399659984668078805\
         16273927005436641280000*ep+2542957605002768033/980*ep*z4+
         1395827895304062436009709359/48028780800*ep*z3+
         49279778441284348489300127508599965488470491065720229617335458\
         76799087766519/17735665264056291015164886557930136178239273101\
         2694016000000*ep^2+41076760796333427271/245*ep^2*z5+
         1395827895304062436009709359/32019187200*ep^2*z4-5728259238025\
         2045735309692066728267/882690223903488000*ep^2*z3+
         31998971339038620058229907653250776006422507219817925794268708\
         392080916352849779259851687694731588376712124271303103567/
         77338330165822133355307329638678078986882792879337512447915722\
         851246747074541070267187200000000000000*ep^3+
         243917607172997795593/588*ep^3*z6+
         18860706606355110460739740313/48028780800*ep^3*z5-572825923802\
         52045735309692066728267/588460149268992000*ep^3*z4-78115638790\
         975817103725412491770857760307/1201659163213252423680000*ep^3*
         z3+8889309908619978269/147*ep^3*z3^2;
Fill mncnoptab(10,9,3,1)=
      +mncF321*(-53727367199220-6320039832044991/14*ep-
         275481035884552787/196*ep^2-26143723498651570192/11025*ep^3)
      +5030170853416751656559259797847439008191809/
      19087154148479301497733120000-32198087295037/25872*ep^-3-
         288040037742179350041991/6339799065600*ep^-2-26870299028917794\
         2969904204746141/737929027183315968000*ep^-1+
         22865080749308342537/32340*z3-18491627333684255592118517000330\
         2737448353611333737092343971101994051891266933/731355811832918\
         86510022252230725706175825603198976000000000000*ep+
         22865080749308342537/21560*ep*z4+37711085637444710211776583413/
         3169899532800*ep*z3+115599028529427979412250348784386901120617\
         6432767136482262460225962997048177649577214021/
         10215251502447808492738527452253808679086951369340287451136000\
         0000000000*ep^2+369653715994135156719/5390*ep^2*z5+
         37711085637444710211776583413/2113266355200*ep^2*z4-9716341324\
         414457981653529507226593417/368964513591657984000*ep^2*z3+
         68799897984162096923902577001660994799183828990346519956349330\
         3684902474088119443759363184459777852483329301693405682101/
         91480196253286752025992098486893499144484217862987800438391740\
         74404615225388572311604428800000000000000*ep^3+
         2195057215215502597777/12936*ep^3*z6+
         19008275807304123717408443033/117403686400*ep^3*z5-97163413244\
         14457981653529507226593417/245976342394438656000*ep^3*z4-
         258598982683007800213238182212035902472451043/
         9543577074239650748866560000*ep^3*z3+80028865588890022325/3234
         *ep^3*z3^2;
Fill mncnoptab(10,10,2,1)=
      +mncF321*(-1621402027960-901274768592341/63*ep-381814812166590317/
         7938*ep^2-8830269901239045979/99225*ep^3)
      +457716333801587538106537189221761206813699/
      57498080058848804924989440000-84159426826933/95256*ep^-3-
         22182746923989766974989/2121998860800*ep^-2-
         36704986524334708795331849028983/905640169724978688000*ep^-1+
         2542929375455305553/119070*z3-22085153358899752110845232512331\
         1499898163047281942403439241698196639/303940077644849398483209\
         3599198990386527817275801600000*ep+2542929375455305553/79380*
         ep*z4+4297387765848032787302295437/11670993734400*ep*z3+
         13144136921434213006624289186793947894096534017977777373475408\
         81160357332719171/42452993256925957372419854347028815289712005\
         69076483096576000000*ep^2+41076737176620659711/19845*ep^2*z5+
         4297387765848032787302295437/7780662489600*ep^2*z4-29143894808\
         1563492403749899022494651/452820084862489344000*ep^2*z3+
         23360201973881102640176596929189874208548951650808463947931433\
         14548614218028139546839422078307761076035190845058992753/
         32671498661888125723568606602461963980172934951067071585139907\
         4085879115192449011128729600000000000000*ep^3+
         243917493684268652713/47628*ep^3*z6+
         22406041809440823044823334553/3890331244800*ep^3*z5-2914389480\
         81563492403749899022494651/301880056574992896000*ep^3*z4-
         368037199361180265996350724923128435736947843/
         316239440323668427087441920000*ep^3*z3+8889375783356359541/
         11907*ep^3*z3^2;
Fill mncnoptab(11,1,1,10)=
      +mncF321*(-788325665994152-1557766578164274335/252*ep-
         54263267950443531062033/3175200*ep^2-
         65847107257188909215661383/2667168000*ep^3)
      +116525469535167480749451860039827898696140260221/
      30042746830748500573306982400000+547882008731411/9525600*ep^-3+
         172807189588520153942461/739162936512000*ep^-2-
         36066157731826870160497977286687/28678605374624325120000*ep^-1
         +1764608181503923345949/170100*z3-3694137108384881828225946286\
         342986342168700912125120952703409419/9399570356953499741251430\
         5327481487360000000000*ep+1764608181503923345949/113400*ep*z4+
         381871493576756060499389343/2263261000*ep*z3+16417031683330107\
         90274701097017202597245641800812501196762722265382686319/
         8752600185181276022901032469522421518056816640000000000*ep^2+
         266259857868019994541263/264600*ep^2*z5+
         1145614480730268181498168029/4526522000*ep^2*z4-30492124122474\
         3691013114786329762418617/632616295028477760000*ep^2*z3-
         11660918140295072087386596323033248141222969916995793644672571\
         017479361435095686409910949503301/2089682987304847398072027947\
         4073901077616187239304371424460800000000000000000*ep^3+
         2371634206271125024028081/952560*ep^3*z6+334678295154528014878\
         544207690623/184790734128000*ep^3*z5-3049212412247436910131147\
         86329762418617/421744196685651840000*ep^3*z4-10645925414957796\
         42059612049343090705645883066147/
         7510686707687125143326745600000*ep^3*z3+
         864658477602609388353433/2381400*ep^3*z3^2;
Fill mncnoptab(11,2,1,9)=
      +mncF321*(-5804943540502392-1268362645689011301/28*ep-
         4867643525343335103603/39200*ep^2-1948019960200911846305991/
         10976000*ep^3)
      +50685179279341437946187264660891244915378119/
      1774632100581753238425600000+33189417470067/39200*ep^-3+
         696132332798574458357/130987584000*ep^-2-
         281082043606017900774597518509/55903714180554240000*ep^-1+
         53472977567026577853/700*z3-8111709370671888756621628973097062\
         36656713935974997427795983050730689/27925628816279534389166355\
         30066144736051200000000000*ep+160418932701079733559/1400*ep*z4
         +3986615170219585603700873069/3216213000*ep*z3+
         10864407283552533564964216900427762155896745823145319938430316\
         623106819966780371/7801054346101778983274486539572657629230597\
         668864000000000000*ep^2+72616327012966017672999/9800*ep^2*z5+
         3986615170219585603700873069/2144142000*ep^2*z4-86942431066044\
         929544341957370703129/24179807171520000*ep^2*z3-
         96328215521999891794241913807877535446806064927279050940396575\
         804845057036695918253808996068224054283/2298545232790671164851\
         9826235087210466412238803472600502246236487680000000000000000*
         ep^3+71867705327027645583057/3920*ep^3*z6+
         1567537917886291192253469664207/120071952000*ep^3*z5-869424310\
         66044929544341957370703129/16119871447680000*ep^3*z4-
         4372861862725359862923061964238315017349574963/
         4880238276599821405670400000*ep^3*z3+26201772031948019075001/
         9800*ep^3*z3^2;
Fill mncnoptab(11,2,2,8)=
      +mncF321*(-37995994083288384-2069155442968496766/7*ep-
         3949145743162466893857/4900*ep^2-14128002734469328474834901/
         12348000*ep^3)
      +13899841089528426481303108412377369936758781/
      74352660723819993715200000-279074337502797/53900*ep^-3-
         120224560605787824491497/1981187208000*ep^-2-
         2796587342413633155232116650437/12136990578672960000*ep^-1+
         962514177256590748954/1925*z3-57150652411171975211272024898922\
         3546762038295783023234765920152341/299901117580533083111113697\
         371619328000000000000*ep+1443771265884886123431/1925*ep*z4+
         35826781079455690045986522001/4422292875*ep*z3+
         43637258269072971532389755600964093623149594467099942761906574\
         90406738463/47631894966767360436150336689613230309376000000000\
         0000*ep^2+653546981090990052312391/13475*ep^2*z5+
         35826781079455690045986522001/2948195250*ep^2*z4-2117336979315\
         109355249762997151410209/89242577784360000*ep^2*z3-
         97852221206902194326867403720711256953471837869704806670603871\
         413080470030804740059635044014257/3626144316357528207758678923\
         209831912392146187453120643072000000000000000000*ep^3+
         646809381850193917069713/5390*ep^3*z6+
         4638919690339797725598911762101/55032978000*ep^3*z5-2117336979\
         315109355249762997151410209/59495051856240000*ep^3*z4-
         97619599022407915423897308102302512662375067/
         18588165180954998428800000*ep^3*z3+235815895198502493846809/
         13475*ep^3*z3^2;
Fill mncnoptab(11,3,1,8)=
      +mncF321*(-15479849441339712-844718276986654356/7*ep-
         404570446580629503819/1225*ep^2-2182368086047786443468103/
         4630500*ep^3)
      +29344105101537208792224021078384540220908241/
      385281969205249058342400000-5059192285306/11025*ep^-3-
         52586906468322153533/8186724000*ep^-2-
         11405167207857435551228642957/367787593293120000*ep^-1+
         320838002286888962968/1575*z3-74769170807667050501700852216113\
         5891364353671090728431455075331239619/964536521614918128573180\
         035055740780544000000000000*ep+160419001143444481484/525*ep*z4
         +21251590698004155593403722363/6432426000*ep*z3+
         50115134630431963816180271612189849257281268802165981762166121\
         60436685494335591/13472215564813927520457583662090938339954157\
         15840000000000000*ep^2+24205443263619129380808/1225*ep^2*z5+
         21251590698004155593403722363/4288284000*ep^2*z4-2195375753753\
         61512762474186204898391/22836484550880000*ep^2*z3-
         38850152403666467892777071142567131950568303795647878626410575\
         077537885364406925114630221623456288459359/
         33740980596474901556420962030946275232356781467268578862261128\
         39680000000000000000000*ep^3+107801561678281970843248/2205*
         ep^3*z6+520167671241112411579541107729/15008994000*ep^3*z5-
         219537575375361512762474186204898391/15224323033920000*ep^3*z4
         -8403039697395944084340258107953079452415730881/
         3660178707449866054252800000*ep^3*z3+78605302699729143589528/
         11025*ep^3*z3^2;
Fill mncnoptab(11,3,2,7)=
      +mncF321*(-88657319527672896-690023456006103180*ep-
         329552222362657664661/175*ep^2-196829466144676717952693/73500*
         ep^3)
      +1544420933978569945442160957303398683196579/
      3540602891610475891200000-159375005295056/1925*ep^-3-
         48447504563949265558769/47171124000*ep^-2-
         809363878170540149008808195791/192650644105920000*ep^-1+
         320838431418138317768/275*z3-191989717105442351242161134257526\
         1126938104855667158192341649858792513/431857609315967639680003\
         724215131832320000000000000*ep+481257647127207476652/275*ep*z4
         +63705638565211533107508730009/3369366000*ep*z3+
         13564088522693698407221335462040209019580886327585385829327770\
         40826603840442809/63494676901985656243115145959731282094692761\
         600000000000000*ep^2+217849022903171606267472/1925*ep^2*z5+
         63705638565211533107508730009/2246244000*ep^2*z4-3132929547168\
         09353855868191457954583/5666195414880000*ep^2*z3-
         33792303904012509678300087453402675813247791370631336180336507\
         1655621690269652132936828604879458997/608694945356107135034965\
         4402754972700481810651578449829193318400000000000000000*ep^3+
         107801576941622319021548/385*ep^3*z6+
         516456222572637056050629899249/2620618000*ep^3*z5-313292954716\
         809353855868191457954583/3777463609920000*ep^3*z4-219419584683\
         57089835416229004993874626139281/1770301445805237945600000*
         ep^3*z3+78605272879597978722128/1925*ep^3*z3^2;
Fill mncnoptab(11,3,3,6)=
      +mncF321*(-177314639055345792-1382322262861664046*ep-
         662221371295484963922/175*ep^2-99316668262389782155064/18375*
         ep^3)
      +514828056458967569907695652004154634588583/
      590100481935079315200000-12520962051925423/7700*ep^-3-
         1630836880589712661374911/94342248000*ep^-2-
         15630919234529988439473600838753/288975966158880000*ep^-1+
         641685875776586794486/275*z3-958509093738966390276525702431812\
         527432118379574713000491353426931007/1079644023289919099200009\
         31053782958080000000000000*ep+962528813664880191729/275*ep*z4+
         63756653956915841800626452869/1684683000*ep*z3+
         73990200560965320801534753690972110443747531776152928167875072\
         167884901485129/1736182571538670287897679772336402244776755200\
         000000000000*ep^2+435698712328641996724869/1925*ep^2*z5+
         63756653956915841800626452869/1123122000*ep^2*z4-9357346290539\
         25117404302657624096319/8499293122320000*ep^2*z3-
         24958508808956657181549313767853722137185962986488759145481421\
         354116977828145080315764193521475358731/2301627762127780104350\
         96307104172405236968465262810134166372352000000000000000000*
         ep^3+431206911198205889163467/770*ep^3*z6+
         1040533226678302727193680003193/2620618000*ep^3*z5-93573462905\
         3925117404302657624096319/5666195414880000*ep^3*z4-38633251733\
         49450146029589456091828425254981/147525120483769828800000*ep^3
         *z3+157209841841853164223931/1925*ep^3*z3^2;
Fill mncnoptab(11,4,1,7)=
      +mncF321*(-19449041605785792-152080298892413892*ep-
         10464635533738190721/25*ep^2-170729731957034402015011/283500*
         ep^3)
      +2522769960862092580657492786494499366509479/
      26363832226529647449600000+3382715031788/675*ep^-3+
         405591077803003907/29484000*ep^-2-5677738239722843151482182043/
         25166738076480000*ep^-1+172758796979468852152/675*z3-
         15392407606559663567733977077281904353551302185056967209935827\
         837110729/15840167605872845136712008258778552074240000000000000
         *ep+86379398489734426076/225*ep*z4+674117739082958645037080281/
         162162000*ep*z3+2058030143024682337423492293346074941792676067\
         23455511984281329127987375499750923/44249678013602527846304860\
         623626419325467675852800000000000000*ep^2+
         620652347766112913472/25*ep^2*z5+674117739082958645037080281/
         108108000*ep^2*z4-150737083526893465995813453456160723/
         12583369038240000*ep^2*z3-157714692649984535244478874130008088\
         81658170199420707013351000292197873457536321361862326537482455\
         1222450511/272047604662986729532006191951979691933860111249757\
         60218726422426943488000000000000000000*ep^3+
         8292427296352789905796/135*ep^3*z6+
         2385728269356887982736207589/54054000*ep^3*z5-1507370835268934\
         65995813453456160723/8388912692160000*ep^3*z4-5965758402163672\
         803668471586912192575325883/1883130873323546246400000*ep^3*z3+
         6046563510899827759456/675*ep^3*z3^2;
Fill mncnoptab(11,4,2,6)=
      +mncF321*(-95477113337493888-746251064377987896*ep-
         51311467253182534494/25*ep^2-5163078246054026980847/1750*ep^3)
      +6988428638350781623671303509729779932179/14876482737859142400000
         -162277580199274/275*ep^-3-184328175544397937757/28314000*
         ep^-2-4118618991873900399670458841/186797651040000*ep^-1+
         345521447365980347104/275*z3-113626279322805500809952742955112\
         699266625149103762452608746002661779/2381567698433645071764726\
         4203040358400000000000000*ep+518282171048970520656/275*ep*z4+
         2021944125011394769226996783/99099000*ep*z3+280034653839286725\
         273259993367685112497070438373470945546430887604307674165321/
         12255406387331790267513033687080486433718272000000000000000*
         ep^2+33515267266992683120088/275*ep^2*z5+
         2021944125011394769226996783/66066000*ep^2*z4-7148353494182962\
         3481779550427075733/1214184731760000*ep^2*z3-
         34636247653995158233428256449912286284518165833624495335825441\
         223745163342811127852221186313379349272632475161/
         56109818461741012965976277090095811461358647945262505451123246\
         2555709440000000000000000000*ep^3+16584872909813351386492/55*
         ep^3*z6+2381178258125786215846737109/11011000*ep^3*z5-71483534\
         941829623481779550427075733/809456487840000*ep^3*z4-1139944399\
         66659876461522134927738489684681/7438241368929571200000*ep^3*
         z3+12093083552835131326312/275*ep^3*z3^2;
Fill mncnoptab(11,4,3,5)=
      +mncF321*(-159128522229156480-1247023556328554550*ep-
         17230880523361524658/5*ep^2-1121918537423357652704/225*ep^3)
      +6989865752144770220464533197239884256129/8925889642715485440000-
         4104066612895891/660*ep^-3-30766644070494680861651/475675200*
         ep^-2-279787748451532011625040015573/1457021678112000*ep^-1+
         345540300700963000594/165*z3-112877265991213468216624031986715\
         7457327609655998685074671888875774423/142258977186436398953412\
         991506161074176000000000000*ep+172770150350481500297/55*ep*z4+
         2024574182813991315809235223/59459400*ep*z3+566471164419876147\
         49606936232780810754566262299264453458821612121389512211391/
         1493992397693780146896826963758383108110417920000000000000*
         ep^2+11171822780116516498331/55*ep^2*z5+
         2024574182813991315809235223/39639600*ep^2*z4-7097324096671864\
         5414887032508771603/728510839056000*ep^2*z3-
         20344614724855698447117025040015060596375554682578209311059401\
         90924338878953256229249771244449897181036898695041/
         20277340261160378872397613523332758317982197252111932636629926\
         220146598215680000000000000000*ep^3+33169928039648586494399/66
         *ep^3*z6+1605901674955168940575707511/4404400*ep^3*z5-70973240\
         966718645414887032508771603/485673892704000*ep^3*z4-6158334996\
         7929953164394806553143782385483/2231472410678871360000*ep^3*z3
         +12092877358079000751727/165*ep^3*z3^2;
Fill mncnoptab(11,4,4,4)=
      +mncF321*(-114246118523496960-900691889702163720*ep-
         37741110310519861828/15*ep^2-17453524238688560964563/4725*ep^3
         )
      +169418009235431411081935041906946489687/301132955074311360000-
         95422154193965407/6435*ep^-3-697086693470137448938007/
         4637833200*ep^-2-350449562448296111968975079383/
         835644785976000*ep^-1+9676602683962952026792/6435*z3-
         26463593239222029797593996474097359685853108372780901184849294\
         016887/4668822795318898125381163572882780979200000000000*ep+
         4838301341981476013396/2145*ep*z4+
         14214490727522959584186991741/579729150*ep*z3+
         10885684942185803285920416128100890065767121630943403387445933\
         4542441994797/403789675805068350830965465229769348879482880000\
         0000000*ep^2+312816256289954763878108/2145*ep^2*z5+
         14214490727522959584186991741/386486100*ep^2*z4-28741565961788\
         280042210832362382813/417822392988000*ep^2*z3-
         10015813979421243118624293421104780704766203413077291600913153\
         2147409124547693560817455636831564351184216525980419/
         13832631225968765331093865762737263990699761716093044796603530\
         45070906767966208000000000000000*ep^3+464386083092950669803766/
         1287*ep^3*z6+11537972489339615665126724087/42942900*ep^3*z5-
         28741565961788280042210832362382813/278548261992000*ep^3*z4-
         873348774672379239199159946952148412147/37641619384288920000*
         ep^3*z3+338584293089714915531116/6435*ep^3*z3^2;
Fill mncnoptab(11,5,1,6)=
      +mncF321*(-12502955318005152-98513957502855180*ep-
         48108447629610578232/175*ep^2-25387299830368532689753/63000*
         ep^3)
      +2522729576861983620909779347218674353658189/
      41010405685712784921600000-8942511175499/2100*ep^-3-
         702462224738771843/7644000*ep^-2-76510804424417481631697300999/
         117444777690240000*ep^-1+86379530041613819126/525*z3-
         36146752093247661603073977710505671300903043773301139650087782\
         01443598833/58212615951582705877416630351011178872832000000000\
         00000*ep+43189765020806909563/175*ep*z4+
         17348759165713843526860309/6468000*ep*z3+240046803825263164939\
         24663779788917286730032343057021852445698701759659650666500179/
         81308783349994644917585181395913545510546854379520000000000000\
         00*ep^2+2792935975413059904699/175*ep^2*z5+
         17348759165713843526860309/4312000*ep^2*z4-4428481543167806375\
         46259611380334179/58722388845120000*ep^2*z3-
         17616708006367243701178768884243038951370904696109087972514395\
         70859509216226410045159421355259453689708467788373/
         12497186839205952887876534442794067098211698860535739850477450\
         3023771648000000000000000000000*ep^3+8292428396197565894971/
         210*ep^3*z6+822006458974956153396656023/28028000*ep^3*z5-
         442848154316780637546259611380334179/39148259230080000*ep^3*z4
         -3950659100647455675642459506703749855832967/
         1577323295604337881600000*ep^3*z3+3023279944938424840703/525*
         ep^3*z3^2;
Fill mncnoptab(11,5,2,5)=
      +mncF321*(-51148453573657440-403209248897662740*ep-
         39415531079955476688/35*ep^2-991668498013357942567/600*ep^3)
      +20966168445765352579846265259801851843087/
      83308303332011197440000-1845803519274817/1540*ep^-3-
         188029330676662182509/14229600*ep^-2-
         604363246841776427791971552709/13598868995712000*ep^-1+
         259148409824164728418/385*z3-200057828996517923007224669623783\
         4030178622140904370180529924908971843/787895873647955440357364\
         260649507487744000000000000*ep+388722614736247092627/385*ep*z4
         +676779154972922708810749651/61661600*ep*z3+
         63607009348175064640943087813493372701182019837434178054195874\
         362649431906796347/5270805179063656358252005528139575605413554\
         421760000000000000*ep^2+25136528900643987981171/385*ep^2*z5+
         2030337464918768126432248953/123323200*ep^2*z4-209476795037854\
         401681467481324664729/6799434497856000*ep^2*z3-
         66729159269901645299121593604786075748827000326449019092052562\
         9036638913536063029833976711831445138778348524801/
         27422398550029062336826224148759552946933099213975566300476233\
         806359035904000000000000000000*ep^3+24877380490819823252753/
         154*ep^3*z6+22241385519942792537986956621/184984800*ep^3*z5-
         209476795037854401681467481324664729/4532956331904000*ep^3*z4-
         431889551968635823319548749561207909281833/
         41654151666005598720000*ep^3*z3+9069733298178387883549/385*
         ep^3*z3^2;
Fill mncnoptab(11,5,3,4)=
      +mncF321*(-68197938098209920-539443501361568180*ep-
         106108105065403299333/70*ep^2-9420038873667844657117/4200*ep^3
         )
      +67245102884120392021799695159100047261/200260344548103840000-
         6205812277913393/770*ep^-3-5095339341242022135157/61661600*
         ep^-2-50399685220794680146578461603/212482328058000*ep^-1+
         345586274339007893284/385*z3-127029327920954708643912283708523\
         836634893712563051083550690932172852103/3764172536353107116307\
         3077552530220226969600000000000*ep+518379411508511839926/385*
         ep*z4+112993332110121161054704721/7707700*ep*z3+
         44284393976676344857230905327002240897598113728007161350046036\
         216678360648188377/2767172719008419588082302902273277192842116\
         071424000000000000*ep^2+33515956306753584618798/385*ep^2*z5+
         338979996330363483164114163/15415400*ep^2*z4-34577170523363814\
         852458922101816989/849929312232000*ep^2*z3-
         59972307439995486769487636043668598969650656375260455302121805\
         77775993016676852893163287200387819202127304182152697/
         29509613282066699373000246960506163180159491660998495566087531\
         6281793443832791040000000000000000*ep^3+
         16585185016207288362757/77*ep^3*z6+
         2507532676794799543204825819/15415400*ep^3*z5-3457717052336381\
         4852458922101816989/566619541488000*ep^3*z4-779165595964245755\
         28116211833420524652243/5206768958250699840000*ep^3*z3+
         12092369391372954104242/385*ep^3*z3^2;
Fill mncnoptab(11,5,4,3)=
      +mncF321*(-36721966668266880-292400889880091580*ep-
         8313435774404303361/10*ep^2-749675313783622078609/600*ep^3)
      +1750059382844142610058710682205626195701/9669713779608442560000-
         13664544452758553/1430*ep^-3-100454221309083235235293/
         1030629600*ep^-2-62277911884970338064661427601/225491450184000
         *ep^-1+345667806123554781124/715*z3-25962376264446093143215314\
         006286390628659595456310602159467129444615392373/1438067548582\
         2482697402612485374810666303488000000000000*ep+
         518501709185332171686/715*ep*z4+1020363642595885196003963339/
         128828700*ep*z3+6306792767081841526304365595173204340782082347\
         5894422052435380562921166796334766709/740021047140537352698581\
         5761507964150000630408151040000000000000*ep^2+
         33516825378632289997278/715*ep^2*z5+
         1020363642595885196003963339/85885800*ep^2*z4-3391991280004001\
         7289939651863205459/1578440151288000*ep^2*z3-
         39149233793929945786372509682770824259099810915676402130669291\
         4328086588461952558283279769273006913719830304654917007/
         22547753495521984173982229514313280601330027914036401510088105\
         799163972524693258240000000000000000*ep^3+
         16585578786254367608077/143*ep^3*z6+
         2578463442476969504009253119/28628600*ep^3*z5-3391991280004001\
         7289939651863205459/1052293434192000*ep^3*z4-12771940204914759\
         122178463213061625862699/1381387682801206080000*ep^3*z3+
         12091476655957879623682/715*ep^3*z3^2;
Fill mncnoptab(11,5,5,2)=
      +mncF321*(-7868992857485760-63313031927383650*ep-
         25664590206666507053/140*ep^2-7111712699196249467381/25200*
         ep^3)
      +20990574216190476147256784991359923971647/
      541503971658072783360000-131738241943017607/60060*ep^-3-
         1007886902713203390950077/43286443200*ep^-2-
         19184188828723078358639888528117/265177945416384000*ep^-1+
         1555557752197686023518/15015*z3-760415157065299075567314313944\
         536240574336130905172980264559863655823661833/1981836840389910\
         896735797533140716094949949440000000000000*ep+
         777778876098843011759/5005*ep*z4+376745229191319313242493273/
         220849200*ep*z3+2613866652582156686806762302446982502160526169\
         91645302533037543304663098872263897119/14569164365579329131253\
         3247804688044203137411160473600000000000000*ep^2+
         7182202748731790917101/715*ep^2*z5+376745229191319313242493273/
         147232800*ep^2*z4-591856504789982665241388931916027807/
         132588972708192000*ep^2*z3-13358943472763740146261362698394441\
         35493790901224107880063057666120865276807943108350596096434424\
         6199504548714585229291/310736227860162344397692600494129898287\
         0794471903141583109017080447284963559289651200000000000000000*
         ep^3+149270699971169923235603/6006*ep^3*z6+
         4035541383798235444681854291/200400200*ep^3*z5-591856504789982\
         665241388931916027807/88392648472128000*ep^3*z4-64299504821680\
         8406556853499057243303685083/270751985829036391680000*ep^3*z3+
         54411030406776426373279/15015*ep^3*z3^2;
Fill mncnoptab(11,6,1,5)=
      +mncF321*(-4167651772668384-166355518835166804/5*ep-
         3325692425510070512/35*ep^2-3877987672642211390287/27000*ep^3)
      +2522420607534731780852365111389488694961037/
      123031217057138354764800000+5462768692433/1260*ep^-3-
         3962209566408597737/68796000*ep^-2-
         108281496840880704692473146701/117444777690240000*ep^-1+
         86379204675708649142/1575*z3-104674758615169562974120518072507\
         650448792994650051710008537491571289/5109404462950344927297825\
         38395160975706685440000000*ep+43189602337854324571/525*ep*z4+
         680914834287166631220831187/756756000*ep*z3+480830235937417982\
         5038095465931379534590405663385598231647068680229396094194907/
         4995611649023670983736433544964928236167998733077708800000000*
         ep^2+930978325139737039561/175*ep^2*z5+
         680914834287166631220831187/504504000*ep^2*z4-4739352099542256\
         7965636715947744619/19574129615040000*ep^2*z3+
         31399135136447951060834521281673804693396038495503888449608371\
         0323862438207691713941758452729298862675618727/
         68555996375072655842065560371898882367332748034938915751190584\
         515897589760000000000000000*ep^3+8292425721581924706907/630*
         ep^3*z6+200421568763771438418204281/19404000*ep^3*z5-473935209\
         95422567965636715947744619/13049419743360000*ep^3*z4-
         67793155217859616199408764823938894435985179/
         61515608528569177382400000*ep^3*z3+604656906647029712851/315*
         ep^3*z3^2;
Fill mncnoptab(11,6,2,4)=
      +mncF321*(-13639587619641984-545088732266926224/5*ep-
         2183983539443576604/7*ep^2-2482696685407064511719/5250*ep^3)
      +6990188317331442140669965534646961737197/
      104135379165013996800000-412209445455707/385*ep^-3-
         2000719967593118528399/173423250*ep^-2-
         210160561355889178614463153847/5666195414880000*ep^-1+
         345563593095284623768/1925*z3-15748224739141762705235667850349\
         18180236180381210002825258260576666681/23526078352206919476920\
         67347033138764185600000000000*ep+518345389642926935652/1925*ep
         *z4+2044111097492719835411099591/693693000*ep*z3+
         10875654025010953227428045211215680901736173223891304916590388\
         6724124662402923/345896589876052448510287862784159649105264508\
         92800000000000*ep^2+33515714189024675668596/1925*ep^2*z5+
         2044111097492719835411099591/462462000*ep^2*z4-223682769844180\
         78874879350151624179/2833097707440000*ep^2*z3+
         58703149226761413349750797619873659259744719272673099667773438\
         63733793522051677944480288492680661306780937541/
         13856880767311560562077501390170061598497131696562028346209396\
         895275800330240000000000000000*ep^3+16585075297964695522414/
         385*ep^3*z6+2618525937427501675254284143/77077000*ep^3*z5-
         22368276984418078874879350151624179/1888731804960000*ep^3*z4-
         191971944895093111814520716664777632328779/
         52067689582506998400000*ep^3*z3+2418523393529858756444/385*
         ep^3*z3^2;
Fill mncnoptab(11,6,3,3)=
      +mncF321*(-13639587619641984-547262777270716884/5*ep-
         22080201713144320953/70*ep^2-10132799732181859031101/21000*
         ep^3)
      +64801417992488284834424189604876242189/964216473750129600000-
         2661332134602709/770*ep^-3-99214391946668022024509/2774772000*
         ep^-2-445800526183140944293791211889/4249646561160000*ep^-1+
         345663587794540760068/1925*z3-27305236662120820298150664441864\
         770095671570494519997643212208222647193/4097058542969368289858\
         2941553774389362688000000000000*ep+518495381691811140102/1925*
         ep*z4+1024223608869683933737960903/346846500*ep*z3+
         65850010045640303034278962331182210482668370468518685967665211\
         959635873259997169/2108322071625462543300802211255830242165421\
         7687040000000000000*ep^2+33516781535017955392446/1925*ep^2*z5+
         1024223608869683933737960903/231231000*ep^2*z4-331492595797271\
         89788556324024918471/4249646561160000*ep^2*z3-
         19642925536382774877763395797455130180151731043610233401464066\
         833581916073135441198618375854093306848150209053577/
         19574092892546174042806427591720220550278216339102399682029907\
         72630661093130240000000000000000*ep^3+16585558973611707316189/
         385*ep^3*z6+2661739937376461477559115863/77077000*ep^3*z5-
         33149259579727189788556324024918471/2833097707440000*ep^3*z4-
         11424037948070084171106438260736037124593/
         2892649421250388800000*ep^3*z3+2418305062092100093754/385*ep^3
         *z3^2;
Fill mncnoptab(11,6,4,2)=
      +mncF321*(-4896262222435584-197848177899404424/5*ep-
         346342115103834893/3*ep^2-16960766045580226757117/94500*ep^3)
      +3498708897071799722026490076838345259311/
      145045706694126638400000-9486001729321787/6435*ep^-3-
         362666985772365518617327/23189166000*ep^-2-
         3451312093266265067576346853249/71029806807960000*ep^-1+
         2074156912710392457208/32175*z3-471393797040291677278043438513\
         724118982157370680511866147814368901415738633/1981836840389910\
         896735797533140716094949949440000000000000*ep+
         1037078456355196228604/10725*ep*z4+
         1541748861989702874392514787/1449322875*ep*z3+
         16139260235801001329111715894852697980777216196385875033536273\
         3343099985886249673519/145691643655793291312533247804688044203\
         137411160473600000000000000*ep^2+22344724190434359475364/3575*
         ep^2*z5+1541748861989702874392514787/966215250*ep^2*z4-1216318\
         1681388468400352182072104821/4439362925497500*ep^2*z3-
         72429113366169215375657059009447694761879395186731062582629201\
         956936709065391427622267089024567073624183412849834868447/
         28922371977753572055477542045992090532874317776944625504322389\
         748778575430051849830400000000000000000*ep^3+
         99514180400599421410534/6435*ep^3*z6+
         8215033950940209391031599679/644143500*ep^3*z5-121631816813884\
         68400352182072104821/2959575283665000*ep^3*z4-7171564777955612\
         362027062008754383938097/4532678334191457450000*ep^3*z3+
         14509428258914240420684/6435*ep^3*z3^2;
Fill mncnoptab(11,6,5,1)=
      +mncF321*(-524599523832384-21426476516028054/5*ep-
         1782928117139900723/140*ep^2-2555269783218371490631/126000*
         ep^3)
      +279844849979353330699282682905366519361893/
      108601629871424597107200000-388273802967577/60060*ep^-3-
         49240142634246224719727/216432216000*ep^-2-
         45992166733387581144016784654677/25191904814556480000*ep^-1+
         518283985431824970602/75075*z3-1235280225963781362103960593446\
         1544117086947400493270372493831800696279058200531/
         488253413128419223666348369234069840482869339750400000000000000
         *ep+259141992715912485301/25025*ep*z4+
         885396919439193922197383669/7729722000*ep*z3+
         79384540869148951125524124051588998135568626676797634331506498\
         317906331689746057256840783/6819705718254139189830109363549461\
         44308792738476032262144000000000000000*ep^2+
         2393949188146231080639/3575*ep^2*z5+
         885396919439193922197383669/5153148000*ep^2*z4-357412163787859\
         9085144673721142956639/12595952407278240000*ep^2*z3-
         58389834022034731597474111179568561478297356317294666670454135\
         1434428659672007355045603050668755424175587007615955597108891/
         22823411055881488191501249261240517613321588170299453536749687\
         93661165167079389566861312000000000000000000*ep^3+
         49754648965639027722817/30030*ep^3*z6+
         4281809235242518525990125667/3006003000*ep^3*z5-35741216378785\
         99085144673721142956639/8397301604852160000*ep^3*z4-1062490257\
         3689904130858449759311233097921881/54300814935712298553600000*
         ep^3*z3+3627926686486529422081/15015*ep^3*z3^2;
Fill mncnoptab(11,7,1,4)=
      +mncF321*(-694608628778064-28294014140288754/5*ep-
         351453241819822868/21*ep^2-3751708544984328792473/141750*ep^3)
      +5043490010383005663780152451983016362528809/
      1476374604685660257177600000-15416359475561/3780*ep^-3-
         150912847444203951023/1651104000*ep^-2-
         148912249583809905311146605427/234889555380480000*ep^-1+
         43190282649961748821/4725*z3-756593856709775328828260826719492\
         780238104853843988043041542922568971/2253247368161102112938340\
         9943226599028664827904000000*ep+43190282649961748821/3150*ep*
         z4+1375426304849562297404113919/9081072000*ep*z3+
         48718656853221037328953580316342752184711440493266222138577998\
         21658406727605259/31472353388849127197539531333279047887858392\
         018389565440000000*ep^2+465489893166897297218/525*ep^2*z5+
         1375426304849562297404113919/6054048000*ep^2*z4-13357012520201\
         1617388413230654772917/352334333070720000*ep^2*z3-
         73325223167386401121409182393770418665479659812213633623215288\
         621089937738378487040889509150639912852466666637007816043/
         41175499856803450628983069020592495756905190653350990423658833\
         925432295896167699447808000000000000000*ep^3+
         4146218755852113926141/1890*ep^3*z6+
         5650036932744123138895727011/3027024000*ep^3*z5-13357012520201\
         1617388413230654772917/234889555380480000*ep^3*z4-185535047795\
         647243084016751698120060646292763/738187302342830128588800000*
         ep^3*z3+302326666447929784418/945*ep^3*z3^2;
Fill mncnoptab(11,7,2,3)=
      +mncF321*(-1704948452455248-69567596769967218/5*ep-
         1444408833422590296/35*ep^2-114640626649644780981/1750*ep^3)
      +13985668886795783737002119970195242015329/
      1666166066640223948800000-549357680558521/1540*ep^-3-
         85748841705877711180559/22198176000*ep^-2-
         1709025732069298609837441751371/135988689957120000*ep^-1+
         43204693675303163621/1925*z3-909463128068791132497289488560660\
         66367954163109121285818898630458789953/11062058066017294382617\
         39421951908512792576000000000000*ep+129614081025909490863/3850
         *ep*z4+4130621409309037472229209917/11099088000*ep*z3+
         21575691659111730782350789852494837792965462489509581414330045\
         5720980755896980049/569246959338874886691216597039074165384663\
         877550080000000000000*ep^2+4189563310805052752562/1925*ep^2*z5
         +4130621409309037472229209917/7399392000*ep^2*z4-6290497696278\
         3213868410871183905247/67994344978560000*ep^2*z3-
         12833469273307149408233281035267684699894897443425655211423505\
         11202238398551595773937669879481826574276428243404757213259/
         88737403773029477273890042623970766365901798632527848749762711\
         4801153152374552869732352000000000000000*ep^3+
         4146358617129749588941/770*ep^3*z6+
         5688433869047170964986552291/1233232000*ep^3*z5-62904976962783\
         213868410871183905247/45329563319040000*ep^3*z4-52551748092819\
         1286171647978173371990586563/833083033320111974400000*ep^3*z3+
         302295398088977523778/385*ep^3*z3^2;
Fill mncnoptab(11,7,3,2)=
      +mncF321*(-1136632301636832-46581742070207292/5*ep-
         2923232368804709378/105*ep^2-2108479990075445918933/47250*ep^3
         )
      +13997391051491411963822782862529424114909/
      2499249099960335923200000-1468136199940084/3465*ep^-3-
         450347308118033138106127/99891792000*ep^-2-
         4324250478590338009364169353929/305974552403520000*ep^-1+
         259300941525907125626/17325*z3-2078963477371792962955552046670\
         1170805652839735405374094057934301172457/381122469305752095526\
         114910219368479798067200000000000*ep+129650470762953562813/
         5775*ep*z4+12420761707334299995032061641/49945896000*ep*z3+
         16533659290552377524039915811170946866301302187162150402543423\
         97869719322605711/65923820658729996069019569142392780182415118\
         17216000000000000*ep^2+2793127440077601573658/1925*ep^2*z5+
         12420761707334299995032061641/33297264000*ep^2*z4-929883540284\
         87173675886382611311453/152987276201760000*ep^2*z3+
         11656536612666210435536053513947539535228666954238154769848743\
         40412444039338661342668793107329410848689362001165017862078278\
         6637/246189070243637700074095077238015785517645668049263827067\
         50520277123307698162376707992138547200000000000000000*ep^3+
         12439423009586253518648/3465*ep^3*z6+
         17355936367519519632418061743/5549544000*ep^3*z5-9298835402848\
         7173675886382611311453/101991517467840000*ep^3*z4-554350451967\
         805302800345431068216238901303/1249624549980167961600000*ep^3*
         z3+1813609188037192967398/3465*ep^3*z3^2;
Fill mncnoptab(11,7,4,1)=
      +mncF321*(-204010925934816-8422479081222556/5*ep-
         229364395204105814/45*ep^2-1176933020948705434187/141750*ep^3)
      +5035309757574649716611887558021859688830869/
      5026704011191652780390400000-104914789624264/19305*ep^-3-
         74740932715776232478527/556539984000*ep^-2-
         31047840308444767922329961099611/32389591904429760000*ep^-1+
         259148200842425541626/96525*z3-5876526229651988169006923599671\
         9126671678487462644475204533687292468057025877/602781991516566\
         9427979609496716911610899621478400000000000000*ep+
         129574100421212770813/32175*ep*z4+
         12461719453314468796474161401/278269992000*ep*z3+
         76280258969345260399041757947793480683601157891978154309278066\
         93448723645905518981129/17182428113515089921466639867849487133\
         0005729018904576000000000000000*ep^2+2792948053699818543658/
         10725*ep^2*z5+12461719453314468796474161401/185513328000*ep^2*
         z4-12961661927468009998739162507163019/121765383099360000*ep^2
         *z3-7641360885514325221621858511698704032244549967998796074228\
         164793270839621684410614099239816504597574202856561942340677/
         16672811056966533853094637490861653600205703974212472449959593\
         7881595819057592926208000000000000000000*ep^3+
         12438692141227970675648/19305*ep^3*z6+
         2548237118592648757241399689/4416984000*ep^3*z5-12961661927468\
         009998739162507163019/81176922066240000*ep^3*z4-11425460839178\
         748947214875129587807165569797/132281684505043494220800000*
         ep^3*z3+1813949675180021419798/19305*ep^3*z3^2;
Fill mncnoptab(11,8,1,3)=
      +mncF321*(-52533425705904-15449257782765378/35*ep-
         336689899174365888/245*ep^2-255557556985757453869/110250*ep^3)
      +5035090878301303444867799903417337115934089/
      19520953106399285622681600000+501846562487/2940*ep^-3-
         405195563666264351023/21831264000*ep^-2-
         5579028116492425968773452565563/27951857090277120000*ep^-1+
         2540482949001821813/3675*z3-1299226265003036503623528747120683\
         4746491161287460072523935087036112477/525328529262702664045053\
         2146763687087825857019904000000*ep+2540482949001821813/2450*ep
         *z4+1396657990166824115307030079/120071952000*ep*z3+
         81159249725486421159885347823014719539379722166709961548751224\
         260025744424099257/7337554390085967940912073590844486593283556\
         539144538685440000000*ep^2+82144943903703785862/1225*ep^2*z5+
         1396657990166824115307030079/80047968000*ep^2*z4-3599062304891\
         72548094771703484120591/13975928545138560000*ep^2*z3+
         34190889991914924581926159071225252677366424418907416328120284\
         525377578523745908417289234968349350732380882557271295287/
         11293851389294660743949641788505370264751138007776271659060708\
         7338328583029488547056844800000000000000*ep^3+
         243894348762109535773/1470*ep^3*z6+
         6336262791087975283321002851/40023984000*ep^3*z5-3599062304891\
         72548094771703484120591/9317285696759040000*ep^3*z4-2589110527\
         96805294398169360542025162592947003/
         9760476553199642811340800000*ep^3*z3+17784322862874910114/735*
         ep^3*z3^2;
Fill mncnoptab(11,8,2,2)=
      +mncF321*(-85963787518752-25331966614030284/35*ep-
         553917131699791892/245*ep^2-211114427162118927211/55125*ep^3)
      +14005297268086202284035639352382345292209/
      33045626988364441651200000-748176313918697/16170*ep^-3-
         1931463812775970757338631/3962374416000*ep^-2-
         36585672550587585860423969038699/24273981157345920000*ep^-1+
         45773066323795861034/40425*z3-10429761820381837164633676842513\
         817460694870050241715112604898384130534347/2591632791279114249\
         577581389491705662626856960000000000000*ep+
         22886533161897930517/13475*ep*z4+37769057003764676560348866373/
         1981187208000*ep*z3+343684718414056740271819345854524448347812\
         1697601904281252312630718869018290848021/190519841703729688639\
         466554821515134727179691517542400000000000000*ep^2+
         1478762706607833223116/13475*ep^2*z5+
         37769057003764676560348866373/1320791472000*ep^2*z4-5072080345\
         89292670687778383249572543/12136990578672960000*ep^2*z3+
         19539315696808225560287947442871789790515695622027517749997194\
         2796575231163383573832490689290338029278691797023743527491/
         14387204067612499808009378234254083811530401910641463712737263\
         14806281397783741968941056000000000000000*ep^3+
         2195257526749851904157/8085*ep^3*z6+
         57463130831677474476033175579/220131912000*ep^3*z5-50720803458\
         9292670687778383249572543/8091327052448640000*ep^3*z4-
         730510747141317283461190612940922293063603/
         16522813494182220825600000*ep^3*z3+320015429920497961732/8085*
         ep^3*z3^2;
Fill mncnoptab(11,8,3,1)=
      +mncF321*(-28654595839584-8482762877734548/35*ep-
         186896248039987982/245*ep^2-143850925922947774649/110250*ep^3)
      +1675592655653908985080767709653883604838343/
      11929471342799563436083200000-11013219912472/8085*ep^-3-
         141189255329648740816127/3962374416000*ep^-2-
         59482261542527331110049786368891/230602820994786240000*ep^-1+
         15243842631835133978/40425*z3-85570491562806509454170024828783\
         9452001842756642969230297243470150508339356267/638485232552548\
         215563686328998399022169906059673600000000000000*ep+
         7621921315917566989/13475*ep*z4+12612539913515819242546033081/
         1981187208000*ep*z3+531524073329453100692199294476200582461132\
         0600600186161391106853511000818982154415929231/
         89180767084861820174701430138723726563457511954558065049600000\
         0000000000*ep^2+492873436650338385822/13475*ep^2*z5+
         12612539913515819242546033081/1320791472000*ep^2*z4-1578693076\
         234419070774422230805190487/115301410497393120000*ep^2*z3+
         77581047654753991907106208529911251825200582528432947285621974\
         85931474377938781734496438530589701659216552237193130408188322\
         69/15378625150977900696731405002268244277233589202012576242726\
         1457631719686064829753348948230144000000000000000000*ep^3+
         731688233659590011744/8085*ep^3*z6+
         19458744859242041559672107263/220131912000*ep^3*z5-15786930762\
         34419070774422230805190487/76867606998262080000*ep^3*z4-
         91157909626257026038307498947754079716825141/
         5964735671399781718041600000*ep^3*z3+106704417074555593654/
         8085*ep^3*z3^2;
Fill mncnoptab(11,9,1,2)=
      +mncF321*(-1459261825164-902252264551781/70*ep-76574528157367525/
         1764*ep^2-4436413350528592477/55125*ep^3)
      +265038357957151099616769048640511857957211/
      36987069043703909600870400000-73764096223093/105840*ep^-3-
         19647851989312460726669/2357776512000*ep^-2-
         1725350999796668826420838397597/52961413434209280000*ep^-1+
         2542720875984067313/132300*z3-29069530516385126594232623276792\
         20056805963411731924518154323340677/44435683866206052409825929\
         812850736645143527424000000*ep+2542720875984067313/88200*ep*z4
         +4299539789310638631350345357/12967770816000*ep*z3+
         17259000253082519996178381680023330473351977995410794727445733\
         828838288794449/6206577961538882656786528413308306328905263989\
         8778992640000000*ep^2+41076320538400836431/22050*ep^2*z5+
         4299539789310638631350345357/8645180544000*ep^2*z4-28989978097\
         5059290076308949846961451/503133427624988160000*ep^2*z3-
         91843975978578139658017168722454304155823698638567194772762839\
         950819857362814118434220065061369506713246264264843213/
         82503784499717489200930824753691828232759936745118867639242190\
         42572704929102247755776000000000000000*ep^3+
         243915202354420951273/52920*ep^3*z6+
         22482181155528453701724193433/4322590272000*ep^3*z5-2898997809\
         75059290076308949846961451/335422285083325440000*ep^3*z4-
         370252639443302741283506445440574828633489763/
         351377155915187141208268800000*ep^3*z3+8889543187080834437/
         13230*ep^3*z3^2;
Fill mncnoptab(11,9,2,1)=
      +mncF321*(-1193941493316-739805937112359/70*ep-35001424355836051/
         980*ep^2-58187524113814826/875*ep^3)
      +5033423873412307633794232514187143012659969/
      858921936681568567397990400000-96812290322933/129360*ep^-3-
         92771283653309113269253/10566331776000*ep^-2-12493584372335450\
         4350425780572949/3689645135916579840000*ep^-1+
         2543181843816483313/161700*z3-30947718912874972273153022078454\
         54256048728151979692721550524338928950001431/58044112050231655\
         960335120818036274742718732697600000000000000*ep+
         2543181843816483313/107800*ep*z4+159437817014626157004977271/
         587018432000*ep*z3+1836619329057896151057644851653897288182059\
         7668460407680418654894800458853413379320843/810734246226016547\
         04274027398839751421325010867780059136000000000000000*ep^2+
         41077242485587724431/26950*ep^2*z5+478313451043878471014931813/
         1174036864000*ep^2*z4-859971210826647747541853838963093793/
         1844822567958289920000*ep^2*z3+7164818241139674428584579347792\
         33183834440892284815661497623161043899347057297617097112092978\
         4981557966503122903464237/469786255268979585567653166832786410\
         17242128687808861102815553136531637478652798985830400000000000\
         00000*ep^3+243920273069709863273/64680*ep^3*z6+
         22638311276243985504074744473/5283165888000*ep^3*z5-8599712108\
         26647747541853838963093793/1229881711972193280000*ep^3*z4-
         374405702518750991046102340966624342833278243/
         429460968340784283698995200000*ep^3*z3+8889174413802506437/
         16170*ep^3*z3^2;
Fill mncnoptab(11,10,1,1)=
      +mncF321*(-8533694884-52528782556679/630*ep-25724042442478091/
         79380*ep^2-349510645336590758/496125*ep^3)
      +453021194373910183158159212874649264413859/
      10924635211181272935747993600000-28447607607127/952560*ep^-3-
         104930110170660491875469/403179783552000*ep^-2-145107420305264\
         674934889063268103/172071632247745950720000*ep^-1+
         133643209337037227/1190700*z3-30256953465510391039800368800780\
         9638404542021083504793/895197176852714261071564812642680832000\
         000*ep+133643209337037227/793800*ep*z4+
         4529191381086795896510521997/2217488809536000*ep*z3+
         1779247585510516099497039874330491769528327491842693572742281/
         1389301616695440638555719439606733574294732800000*ep^2+
         2162106129694154549/198450*ep^2*z5+
         4529191381086795896510521997/1478325873024000*ep^2*z4-13432515\
         3677880669220756971463266571/86035816123872975360000*ep^2*z3+
         43371284615100985521840579864649415399682341877563624459023208\
         66676995513197311351834821246094277/50851031932826825131900072\
         8958182511682637030147037647477891900899328000000000000000*
         ep^3+12838993568827890067/476280*ep^3*z6+
         30037306148618603695751152793/739162936512000*ep^3*z5-13432515\
         3677880669220756971463266571/57357210749248650240000*ep^3*z4-
         566133157452204475762184084359700976975496483/
         60085493661497001146613964800000*ep^3*z3+468761122749683303/
         119070*ep^3*z3^2;
Fill mncnoptab(12,1,1,9)=
      +mncF321*(-431772660037368-1049895090967223943/308*ep-
         4112636452893884673057/431200*ep^2-15209712150252901248612901/
         1086624000*ep^3)
      +95339047550320272143267764055767353656710969679/
      44878671191611957646544998400000+116246745561803/4743200*ep^-3+
         386476959703158455024557/3312545011776000*ep^-2-18179561844357\
         1363283611443031757/385567916703282593280000*ep^-1+
         481256772034422933477/84700*z3-1636377321655053330462727547125\
         942706138103225126178833768758059861351/7642978648646029709606\
         3631947881747002163200000000000*ep+1443770316103268800431/
         169400*ep*z4+685547645751417637566182894519/7394073687000*ep*
         z3+21690543405780305996257251491506636944651369989019847992973\
         098173511326988320809/2135074278772379747922386256485421415428\
         70762389504000000000000*ep^2+653546919578212223887391/1185800*
         ep^2*z5+685547645751417637566182894519/4929382458000*ep^2*z4-
         734585553362627834557290006461436703849/2835058211053548480000
         *ep^2*z3-18389899679928645783244821423611745104759068541594562\
         16775266239372607113886259835695584144649613083/
         57189994482529794458817186703966987946192356070544922678207897\
         92768000000000000000*ep^3+646809324769730302818713/474320*ep^3
         *z6+93980655847034888073555760336919/92015139216000*ep^3*z5-
         734585553362627834557290006461436703849/1890038807369032320000
         *ep^3*z4-1036380902470479170146369454233318710312093083153/
         11219667797902989411636249600000*ep^3*z3+
         235815948470250907561409/1185800*ep^3*z3^2;
Fill mncnoptab(12,2,1,8)=
      +mncF321*(-2302787520199296-1397568624392458440/77*ep-
         682474253447760628422/13475*ep^2-629128800947800267983679/
         8489250*ep^3)
      +1672620166149861202372943341569477798386569957/
      147627207867144597521529600000-74712018064862/148225*ep^-3-
         17397893423298176937257/5448264822000*ep^-2+
         2980733816270233384748471377439/1268315515471324320000*ep^-1+
         641676341198920875136/21175*z3-9055630793765169962915261146283\
         5022360975156213063242101636151885721/791953379711677420567764\
         607354695733739520000000000*ep+962514511798381312704/21175*ep*
         z4+192282087358177466143352082727/389161773000*ep*z3+
         48072578383362442313572128635493106996829309484966130515639597\
         887089064331563/8849321023859205534151995668327733498158459230\
         6176000000000*ep^2+435698002460008519350344/148225*ep^2*z5+
         192282087358177466143352082727/259441182000*ep^2*z4-5178093667\
         9668117980868782699808548993/37303397513862480000*ep^2*z3-
         10028244790072907553003566589825488696516719959906450682543625\
         9892185556859002324446957814140839234547713/
         55407510279496999055865565506532490542277314709464616288813095\
         845888000000000000000000*ep^3+215603134035808036612196/29645*
         ep^3*z6+545761989524014053622474037649/100893793000*ep^3*z5-
         51780936679668117980868782699808548993/24868931675908320000*
         ep^3*z4-34813067692302688541690297686578601953339089423/
         73813603933572298760764800000*ep^3*z3+157210573228438673790456/
         148225*ep^3*z3^2;
Fill mncnoptab(12,2,2,7)=
      +mncF321*(-10746341760930048-931734841242661404/11*ep-
         455076859393807804898/1925*ep^2-629667475828566655085234/
         1819125*ep^3)
      +272545272869762845569126515216217436926841/
      5154701268668192841600000-156127157324773/127050*ep^-3-
         4889447202344093477399/274702428000*ep^-2-
         79653648608492963454518731027/841430019109680000*ep^-1+
         1283352079737294579172/9075*z3-2236690111179227778781512519458\
         03211807370599362658640306535534731901/41915591492432153263059\
         1849973510307840000000000000*ep+641676039868647289586/3025*ep*
         z4+11310841597097272873780341121/4905400500*ep*z3+
         19531642466420749738014015690336270462304583348066881264894981\
         444249570332391/7703398300608553882436764031879162901194342400\
         000000000000*ep^2+871395965772709628301038/63525*ep^2*z5+
         11310841597097272873780341121/3270267000*ep^2*z4-2724946119341\
         181211210364691521900107/420715009554840000*ep^2*z3-
         19950110435502995722754749293876930738003299625681981267901810\
         180950496442113747497349580333519625479/3038148646008669737743\
         271253775075749127983741469093770996115046400000000000000000*
         ep^3+431206250607274283123417/12705*ep^3*z6+
         192641724174761504677637257337/7630623000*ep^3*z5-272494611934\
         1181211210364691521900107/280476673036560000*ep^3*z4-282895644\
         9208085687531000934401851581981937/1288675317167048210400000*
         ep^3*z3+104807070568809068702854/21175*ep^3*z3^2;
Fill mncnoptab(12,3,1,7)=
      +mncF321*(-4339868788067904-377153158328931348/11*ep-
         2402346678861275127/25*ep^2-16343713378445827754441/115500*
         ep^3)
      +4765268308047907080728056560175649612507447/
      223170382263257139110400000+1100138881638/3025*ep^-3+
         52895653887017788789/24708684000*ep^-2-
         15817240823588237352289990451/1917332600863680000*ep^-1+
         172758873101805679752/3025*z3-42051743310084306135513858711653\
         22364003232144486406543653340466330616203/19549934859168265467\
         729960592984488970027008000000000000*ep+259138309652708519628/
         3025*ep*z4+885932935354418026798762549/950334000*ep*z3+
         27852433776950095258113665792168859190395373027433701598656312\
         340483398357736009501/2730647630219411993395472949083986336574\
         6102768762880000000000000*ep^2+16757614082589900943944/3025*
         ep^2*z5+885932935354418026798762549/633556000*ep^2*z4-43963263\
         5187890599278051632039471809/169176405958560000*ep^2*z3-
         82919803226399631700549574532951444920239514523489892239938369\
         39982442765677048993504609492778087445771600609/
         49376640246332091410059123839284314085995610191831004796988456\
         70490243072000000000000000000*ep^3+8292427604744047632096/605*
         ep^3*z6+42404448943124232874776293653/4118114000*ep^3*z5-
         439632635187890599278051632039471809/112784270639040000*ep^3*
         z4-2676404763476766000544304028051029340180347/
         2861158746964835116800000*ep^3*z3+6046562452774271946456/3025*
         ep^3*z3^2;
Fill mncnoptab(12,3,2,6)=
      +mncF321*(-17359475152271616-1510684073089797060/11*ep-
         106114811829323210088/275*ep^2-2352292660135234793098/4125*
         ep^3)
      +162966158354335431154880106289914521077/1908026249643113600000-
         240158247552271/6050*ep^-3-4568137124835125820761/10589436000*
         ep^-2-328010955843562713677844938821/227052544839120000*ep^-1+
         691038490795511957108/3025*z3-29158579678790940585455247481293\
         3190863385861035899423627751491134391/339316693033974574034288\
         640454746439680000000000000*ep+1036557736193267935662/3025*ep*
         z4+34574441316372033372010350451/9265756500*ep*z3+
         19902432072155508476432536952529231822045962433374122333118228\
         28326542823083453/48890901214528955307198662388993087212913426\
         4320000000000000*ep^2+67030487357209182401226/3025*ep^2*z5+
         34574441316372033372010350451/6177171000*ep^2*z4-6914455835247\
         6991862109372795184223/6678016024680000*ep^2*z3-
         12519263965777523024738923601312569936325096657239473327045322\
         007057670314330567756875708083430371215525402852891/
         99576224496769717676952566409223366740091147220192526340593387\
         6882199019520000000000000000000*ep^3+33169724433206835222059/
         605*ep^3*z6+85304065429461037258774621321/2059057000*ep^3*z5-
         69144558352476991862109372795184223/4452010683120000*ep^3*z4-
         21265092381470803688339542708420135261837/
         5519647365039007200000*ep^3*z3+24186214797997475381174/3025*
         ep^3*z3^2;
Fill mncnoptab(12,3,3,5)=
      +mncF321*(-23368524243442560-2043413431911009270/11*ep-
         28954347022074159606/55*ep^2-413211215543519219872/525*ep^3)
      +92406597111263449928313344252388963493399/
      803660656349679448320000-12211237522953277/31460*ep^-3-
         1615634382403551061182509/385455470400*ep^-2-
         16013427544192361272047871129507/1180673233163424000*ep^-1+
         2418691040052236354638/7865*z3-1708314731503420969602265673851\
         08927724715792100302731474828788313342307/14821353151724009393\
         8177278150633244852224000000000000*ep+3628036560078354531957/
         7865*ep*z4+242589740995203199318935484537/48181933800*ep*z3+
         20725723397620996405147307962738379557734268583600510935505545\
         4672041497325951643/381349029473325851396149566634146080260724\
         72616960000000000000*ep^2+234607310576801015396511/7865*ep^2*
         z5+242589740995203199318935484537/32121289200*ep^2*z4-68196466\
         333918369049000488715423243/4960811904048000*ep^2*z3-
         20615225729928639945846012451402609146826555923302853498541509\
         20877274969549957305164993496347426543859515164231/
         13144061633573602733357738766017484409692031433065413476958327\
         1748450270576640000000000000000*ep^3+232188619536748779041873/
         3146*ep^3*z6+609314013376393977498384228027/10707096400*ep^3*
         z5-68196466333918369049000488715423243/3307207936032000*ep^3*
         z4-1150880617182229409252172223913791393167653/
         200915164087419862080000*ep^3*z3+84651144976469460315169/7865*
         ep^3*z3^2;
Fill mncnoptab(12,4,1,6)=
      +mncF321*(-3719887532629632-325489736076871392/11*ep-
         161603891993944962732/1925*ep^2-659875858953998498239/5250*
         ep^3)
      +840928271462002984711400912398638111735443/
      45946843407141175699200000-40078150819347/21175*ep^-3-
         75719370641542013933/3815311500*ep^-2-
         253457933207657952159851476811/3552704525129760000*ep^-1+
         1036554832673549006712/21175*z3-615041943161854664182719162478\
         2966657380668592757196453190420904453135241/335415549054357495\
         76987677487963584017203200000000000000*ep+
         1554832249010323510068/21175*ep*z4+
         6117533639230433022830368879/7630623000*ep*z3+
         80976598365628423173045015795351298352347464919433459893679706\
         787874781067425308881/9369869319380335271455054237052894292167\
         7803618304000000000000000*ep^2+100545699547811558382564/21175*
         ep^2*z5+6117533639230433022830368879/5087082000*ep^2*z4-
         3880007590805929568095861480567080671/1776352262564880000*ep^2
         *z3-1354331580041537408982028057239328462002822784238651940641\
         270281928840996022309066150659393079165359158249253297/
         28803040143693719989201155572915849883497439278568086131576599\
         7445264179200000000000000000000*ep^3+49754572357569004687926/
         4235*ep^3*z6+23103385269177474309951132701/2543541000*ep^3*z5-
         3880007590805929568095861480567080671/1184234841709920000*ep^3
         *z4-21227148984865233011054966832892651545949277/
         22973421703570587849600000*ep^3*z3+36279352740663902950236/
         21175*ep^3*z3^2;
Fill mncnoptab(12,4,2,5)=
      +mncF321*(-12399625108765440-1087624970690565060/11*ep-
         108469661750559426078/385*ep^2-2450277074294291730368/5775*
         ep^3)
      +137027076654932649080964372161725268729/2246057197676772480000-
         1173427537308701/8470*ep^-3-9577850573034212593141/6104498400*
         ep^-2-2046236237252765334071064043/366636173904000*ep^-1+
         691048237888318891228/4235*z3-24068668146651082986143470493706\
         70315968329874230173784188738211441/39449968463465556012290997\
         64456567603200000000000*ep+1036572356832478336842/4235*ep*z4+
         2041629753544380993754916093/763062300*ep*z3+46587768605922042\
         3346576716460762908569809174973860426657882368082517998001/
         162405761819888571262666837001499528458120724480000000000*ep^2
         +67030592906996242434366/4235*ep^2*z5+
         2041629753544380993754916093/508708200*ep^2*z4-834373287479452\
         761887600943209673/115422499192000*ep^2*z3-
         10784058391865434548312554454824295019751223855441247795790847\
         282697028158957032585959490730473158144021299087/
         16373792131514920876185286535057595029202156877066849550866804\
         32867645849600000000000000000*ep^3+33169772334553961771569/847
         *ep^3*z6+15559408358107275933225542209/508708200*ep^3*z5-
         2503119862438358285662802829629019/230844998384000*ep^3*z4-
         30790541387302348252143599779334070307441/
         9545743090126283040000*ep^3*z3+24186111724551134940994/4235*
         ep^3*z3^2;
Fill mncnoptab(12,4,3,4)=
      +mncF321*(-13353442424824320-1177982579692689120/11*ep-
         16951960050613664502/55*ep^2-776138814337757754619/1650*ep^3)
      +64733081201120403738868093465169609833/984878255330489520000-
         8074001143382596/7865*ep^-3-15150436002846034562569/1417115700
         *ep^-2-34620714569854507196228736503/1085177604010500*ep^-1+
         1382250144918751407616/7865*z3-2692617708924101114178150419752\
         0388529303348814744437942743832353705663/411946433187623202269\
         34567015396593054515200000000000*ep+2073375217378127111424/
         7865*ep*z4+1023722836353546835127302309/354278925*ep*z3+
         92669501885008514573575693809794717635371107474027245670749451\
         17578332999646247/30283599399352347022635406762123365197175198\
         84288000000000000*ep^2+134062813551849483724752/7865*ep^2*z5+
         1023722836353546835127302309/236185950*ep^2*z4-332223203061302\
         22934745860868903539/4340710416042000*ep^2*z3-
         32317297146080685557529867640233335213206728893626276080445810\
         214875879136160609473279981101353544832192400491851/
         49684552974908218332092252535546091068635878816987262942902476\
         72091420227796992000000000000000*ep^3+66340281703465366158568/
         1573*ep^3*z6+189611319027978608433603726/5623475*ep^3*z5-
         33222320306130222934745860868903539/2893806944028000*ep^3*z4-
         270075780425859031061241110768233778491/70348446809320680000*
         ep^3*z3+48370518241141010550448/7865*ep^3*z3^2;
Fill mncnoptab(12,4,4,3)=
      +mncF321*(-5722903896353280-509672282227615800/11*ep-
         52196853203522346996/385*ep^2-37004336528111372327/175*ep^3)
      +2332461420802757914556558744979736799353/82729773447761119680000
         -71774858737500183/55055*ep^-3-59511103855703420712607/
         4408804400*ep^-2-536271889414759796885921160161/
         13504432405464000*ep^-1+4147785254395312588008/55055*z3-
         80072324348596683976639924372479051748813614258360476281956271\
         727422811/2883625032313362415885419691077761513816064000000000\
         00*ep+6221677881592968882012/55055*ep*z4+
         97966947526771029203387733/78728650*ep*z3+27348067019244893940\
         643291126831691810630407262050518358615654247978367752223751/
         21198519579546642915844784733486355638022639190016000000000000
         *ep^2+57457069802203651335468/7865*ep^2*z5+
         293900842580313087610163199/157457300*ep^2*z4-2389638977030471\
         730537187312873479/750246244748000*ep^2*z3-
         40547239405215316026091665634886539901205413643868672571232102\
         18937826366903389444703303060384576980070412914650487/
         11755365233863284457373026949910205146839248928099186412290725\
         99216830025896768307200000000000000*ep^3+
         199025851680515123380134/11011*ep^3*z6+
         16546460765447579464026798209/1102201100*ep^3*z5-7168916931091\
         415191611561938620437/1500492489496000*ep^3*z4-131282639730723\
         49090823263106856205925147/6894147787313426640000*ep^3*z3+
         145100262449202483590604/55055*ep^3*z3^2;
Fill mncnoptab(12,5,1,5)=
      +mncF321*(-1549953138595680-137289192420531996/11*ep-
         2785568840200578408/77*ep^2-2574232999065165788299/46200*ep^3)
      +280286903811878942560219451263106545384933/
      36757474725712940559360000+5073849994545/3388*ep^-3-
         29458785695827984681/6104498400*ep^-2-
         475444801973504265496660349909/2842163620103808000*ep^-1+
         86379233006563924662/4235*z3-194910698927074458776430694673696\
         146696083358563784069286829293710943069/2575991416737465567512\
         653631075603252521205760000000000*ep+129568849509845886993/
         4235*ep*z4+2051360782193529226425212761/6104498400*ep*z3+
         63428166610982007166873930636500544026444758955969098404038535\
         9142434771484945393/179901490932102437211937041351415570409621\
         3829471436800000000000*ep^2+8378805158954019098289/4235*ep^2*
         z5+2051360782193529226425212761/4069665600*ep^2*z4-12470551546\
         87452058198460450073291113/1421081810051904000*ep^2*z3+
         34208725356857552192528109957084394022949474957105380766802685\
         960265384885579923429954561804372421111958241/
         22120734830356776951706487479999372710526033365940290149050828\
         603796288962560000000000000*ep^3+8292425925947455173627/1694*
         ep^3*z6+8095094860424784497581852559/2034832800*ep^3*z5-
         1247055154687452058198460450073291113/947387873367936000*ep^3*
         z4-8749812310212887172021932527701900780103171/
         18378737362856470279680000*ep^3*z3+604656815560825855923/847*
         ep^3*z3^2;
Fill mncnoptab(12,5,2,4)=
      +mncF321*(-4133208369588480-367307697859493976/11*ep-
         681374284268294125/7*ep^2-498455161742144007241/3300*ep^3)
      +1164884228044479289318356160616341748417/57274458540757698240000
         -181085339870419/847*ep^-3-21267092527321318182629/9156747600*
         ep^-2-213572925912711692920177079783/28047667303656000*ep^-1+
         230365480801864726072/4235*z3-12745891101914855333646189341964\
         45803578217068636824152120763602412179/63376374336557415733745\
         48771599475854540800000000000*ep+345548221202797089108/4235*ep
         *z4+513693610313380408731337079/572296725*ep*z3+
         60986540399886690938481718561930986127131722788768518541673663\
         4688253919187967/652262140909127474333685684107272481169927359\
         692800000000000*ep^2+22343700236501707965284/4235*ep^2*z5+
         513693610313380408731337079/381531150*ep^2*z4-8121140358410543\
         604363842078080139/3505958412957000*ep^2*z3-
         24616270875792031414779033411552881645957860791694538381835975\
         1507087356191171788160543907161090929708795133489/
         18370759083159341232034110181210319386722509814684366130148814\
         9220186966405939200000000000000*ep^3+11056667377849921619606/
         847*ep^3*z6+8202051964190164656527273479/763062300*ep^3*z5-
         8121140358410543604363842078080139/2337305608638000*ep^3*z4-
         9550925263067718763856394557419093664641/
         7159307317594712280000*ep^3*z3+1612371376383056040492/847*ep^3
         *z3^2;
Fill mncnoptab(12,5,3,3)=
      +mncF321*(-3338360606206080-298570934606473116/11*ep-
         1759992697403852421/22*ep^2-5818589191906715492599/46200*ep^3)
      +17147290760507470733256039754637036329/1042812270349930080000-
         2281069030979581/3146*ep^-3-85975446551381658036989/
         11336925600*ep^-2-12400132911732037196932679977/
         542588802005250*ep^-1+345642403102541944228/7865*z3-
         49657137175983271095258548311902555001404042797705834590362235\
         0593925289/307586670113425324361111433714961228140380160000000\
         0000*ep+518463604653812916342/7865*ep*z4+
         1030783239290772462998255953/1417115700*ep*z3+
         16888797457517828857738598114769648933374760612409762418984807\
         9775237077591836519/226117542181830857769011037157187793472241\
         484693504000000000000*ep^2+33516557189253588984366/7865*ep^2*
         z5+1030783239290772462998255953/944743800*ep^2*z4-318307097968\
         54498605912321425496421/17362841664168000*ep^2*z3-
         30053372753753430249049325321812932872511044408464672701052071\
         7969825800879617482229546690437940564843286109779228503/
         11670967739876573697166246243603157520143992781948730714971715\
         6517117073340315048345600000000000000*ep^3+
         16585457393075523520069/1573*ep^3*z6+
         2803843254466746754653192363/314914600*ep^3*z5-318307097968544\
         98605912321425496421/11575227776112000*ep^3*z4-417648026209966\
         10679352115279988510846649/35455617191897622720000*ep^3*z3+
         2418352100732618750090/1573*ep^3*z3^2;
Fill mncnoptab(12,5,4,2)=
      +mncF321*(-953817316058880-86166231469011576/11*ep-
         1808469798068975775/77*ep^2-41588340213182519297/1100*ep^3)
      +6998579668286513784083988752449347104987/
      1489135922059700154240000-3778461045980463/11011*ep^-3-
         144777392181989083363069/39679239600*ep^-2-
         2772891704310288220219228155491/243079783298352000*ep^-1+
         691455106001798055576/55055*z3-4602051073320439096315538559870\
         6857367696735635589277853109289843323617/100698017001419004999\
         1733860376361163554816000000000000*ep+1037182659002697083364/
         55055*ep*z4+296015199358332972276187813/1417115700*ep*z3+
         62090262507561932442014807407758727345011146565843362482540108\
         0895110158628411/296106305238111837554657310562984015261268610\
         9081600000000000*ep^2+9576415062036439975596/7865*ep^2*z5+
         296015199358332972276187813/944743800*ep^2*z4-6158771605547037\
         3772960129923370637/121539891649176000*ep^2*z3-
         16951111710208397424648109873544581260111942143941377299485309\
         043629015540945905572844171704250400696284619836006564391/
         32286203911354985867607219891158139627898337175063527379661338\
         387696523711256796856320000000000000000*ep^3+
         33171725164126640886798/11011*ep^3*z6+
         2185694589589115263556005601/826650825*ep^3*z5-615877160554703\
         73772960129923370637/81026594432784000*ep^3*z4-283614246014605\
         144102599509059301330256019/744567961029850077120000*ep^3*z3+
         4836320603276152100892/11011*ep^3*z3^2;
Fill mncnoptab(12,5,5,1)=
      +mncF321*(-79484776338240-7286336986293522/11*ep-
         3134685497872674469/1540*ep^2-104157396380595720709/30800*ep^3
         )
      +2515977706344218597105389117821326729290877/
      6450936814362621068167680000-535374035781989/220220*ep^-3-
         31271826524874693748213/476150875200*ep^-2-
         5379843919327505570902790298283/11084438118404851200*ep^-1+
         11517653586082295346/11011*z3-27603758797352085243131217881742\
         49847596172721031340853512941262733041261917/73262230888564888\
         4717611020304097850922956226560000000000000*ep+
         17276480379123443019/11011*ep*z4+298075653084670407157932247/
         17005388400*ep*z3+17400814505650193424319116714912235053804386\
         043737297884755061600692252751788493213589/1023294136791605706\
         807345279004817503241120056493054361600000000000000*ep^2+
         159597026948418248417/1573*ep^2*z5+298075653084670407157932247/
         11336925600*ep^2*z4-65433057353293119240743010485777269/
         1630064429177184000*ep^2*z3-2059348334578144057033433257473550\
         51333458008927282631712179926350404564926148599597902560386460\
         1332374812818661576548437/445203690363362858695826699999148489\
         65469814226042956861740152683891527874700890236518400000000000\
         000000*ep^3+5528307675264227217865/22022*ep^3*z6+
         4613875089737568257830925683/19839619800*ep^3*z5-6543305735329\
         3119240743010485777269/1086709619451456000*ep^3*z4-70152572023\
         31939563548465932665216450063553/189733435716547678475520000*
         ep^3*z3+2015506881900381980269/55055*ep^3*z3^2;
Fill mncnoptab(12,6,1,4)=
      +mncF321*(-309990627719136-139967568945396036/55*ep-
         2935230311412765972/385*ep^2-4595035640925387809/375*ep^3)
      +20758637641291292951018389026753356210083/
      13613879528041829836800000-13623171861441/8470*ep^-3-
         1182560020834800224453/40696656000*ep^-2-
         94623271794962087525500893787/526326596315520000*ep^-1+
         86380515252745474842/21175*z3-21577006892918269436147901621413\
         7023585837165227295503638254644146315871/144899517191482438172\
         58676674800268295431782400000000000*ep+129570772879118212263/
         21175*ep*z4+1380629297877851891321265439/20348328000*ep*z3+
         19303227487820795074226810324594092399071744263140938412144106\
         77196796153426466789/28334484821806133860880084012847952339515\
         367814175129600000000000*ep^2+8378817373675049568324/21175*
         ep^2*z5+1380629297877851891321265439/13565552000*ep^2*z4-
         390776507826197804094609561234275431/2368469683419840000*ep^2*
         z3-59923330398944000288812956040244403292183003852432860330867\
         2421155415919816229458996198603027241986312710111974223649/
         56487930642553486690555003985166575811627302370243422236538763\
         0949808140979171386982400000000000000*ep^3+
         4146218429211152046741/4235*ep^3*z6+
         5818406562380870947666127491/6782776000*ep^3*z5-39077650782619\
         7804094609561234275431/1578979788946560000*ep^3*z4-22700727359\
         563242276716575213222777774367027/183787373628564702796800000*
         ep^3*z3+604653365951266077156/4235*ep^3*z3^2;
Fill mncnoptab(12,6,2,3)=
      +mncF321*(-619981255438272-281026248957517752/55*ep-
         539295969676008246/35*ep^2-721176441713273309686/28875*ep^3)
      +4660682440369158552291941720416000599203/
      1527318894420205286400000-439644781316806/4235*ep^-3-
         69447860957403598662809/61044984000*ep^-2-
         710260545029491965250769336443/186984448691040000*ep^-1+
         172806463981402296284/21175*z3-3987265435587122856955542916069\
         4121646425247347992683508796899467181/134434733441182397010975\
         2769733222150963200000000000*ep+259209695972103444426/21175*ep
         *z4+4150564964131093632855393847/30522492000*ep*z3+
         42040222313862804687818904405397299594891286516909648550705030\
         71188783495877/31060101948053689253985032576536784817615588556\
         800000000000*ep^2+16758123182122344795348/21175*ep^2*z5+
         4150564964131093632855393847/20348328000*ep^2*z4-3044074338364\
         6330267974632199762751/93492224345520000*ep^2*z3-
         55863257305378969144690964838964776703166116103044870997660809\
         97812086917563584211830606090653201176500845405901900690708913/
         95523096038095756642506026441558153110903081077315770643476445\
         51970242845847835759714762752000000000000000*ep^3+
         8292658359070471249532/4235*ep^3*z6+
         454240854501894219507696037/260876000*ep^3*z5-3044074338364633\
         0267974632199762751/62328149563680000*ep^3*z4-1971333093413140\
         24889609677682289896934601/763659447210102643200000*ep^3*z3+
         1209209063512983271852/4235*ep^3*z3^2;
Fill mncnoptab(12,6,3,2)=
      +mncF321*(-333836060620608-152363310710525208/55*ep-
         464810548581416208/55*ep^2-401488411725853987429/28875*ep^3)
      +1555393831956531531663654052666669997581/
      945483125117269939200000-1075945015040356/7865*ep^-3-
         165215672639473932419309/113369256000*ep^-2-
         1591824134868312852745811894323/347256833283360000*ep^-1+
         172878620671464377084/39325*z3-3940359927900018617011818361667\
         51638489434311796863057403481858992023/24863707901584939505968\
         737293243485519872000000000000*ep+259317931007196565626/39325*
         ep*z4+4165768473647526867656173867/56684628000*ep*z3+
         23691949085960215931107551654534604421348425370423105484313463\
         5043107457684581/329007005820124263949619233958871128068076234\
         3424000000000000*ep^2+16758882799707904887948/39325*ep^2*z5+
         4165768473647526867656173867/37789752000*ep^2*z4-2971404448336\
         9062918240488259442111/173628416641680000*ep^2*z3-
         24809561535311935338949872380054723118878479364639630614474490\
         3631344099568233653686476914870388563722871776236119/
         12736175112960546693336181416630429833490468313634527565941356\
         3659552361780105707520000000000000000*ep^3+
         8293002089518220255432/7865*ep^3*z6+
         6058633446459229319970018141/6298292000*ep^3*z5-29714044483369\
         062918240488259442111/115752277761120000*ep^3*z4-1384737367511\
         530887443857226106282249757/9269442403110489600000*ep^3*z3+
         1209046857011279042452/7865*ep^3*z3^2;
Fill mncnoptab(12,6,4,1)=
      +mncF321*(-47690865802944-21993020015520024/55*ep-
         95570662388207826/77*ep^2-20096108484062621124/9625*ep^3)
      +5030783132136479603987256548485274193507409/
      21503122714542070227225600000-127662035526486/55055*ep^-3-
         40163009225183256998809/793584792000*ep^-2-
         15792724598135460695682581758177/46185158826686880000*ep^-1+
         172770223784522833884/275275*z3-219623829941018343706266275451\
         4368876784264066147337066219443834947931404781/976829745180865\
         179623481360405463801230608302080000000000000*ep+
         259155335676784250826/275275*ep*z4+85426116107033536287024743/
         8097804000*ep*z3+963345364648840526626372742662064377928211203\
         99658489509598143423787962094311705203439/95507452767216532635\
         35222604044963363583787193935174041600000000000000*ep^2+
         2393963530402967756364/39325*ep^2*z5+
         85426116107033536287024743/5398536000*ep^2*z4-5438806262964416\
         70636047722732895389/23092579413343440000*ep^2*z3-
         11646900012306726699043900416241762897051250681450256290663371\
         02453799909405304718318262636155446232896262004098848412881/
         59360492048448381159443559999886465287293085634723942482320203\
         578522037166267853648691200000000000000000*ep^3+
         8292487244518125730332/55055*ep^3*z6+
         18867209212490540592787038883/132264132000*ep^3*z5-54388062629\
         6441670636047722732895389/15395052942228960000*ep^3*z4-
         252756032815677346409290111464552764545135763/
         10751561357271035113612800000*ep^3*z3+1209291867918854356332/
         55055*ep^3*z3^2;
Fill mncnoptab(12,7,1,3)=
      +mncF321*(-27352114210512-12724257104597142/55*ep-
         25482511827407436/35*ep^2-71875134837794054737/57750*ep^3)
      +5036963356008681712435713829082891020836649/
      37492624220227199370547200000+4724106288501/16940*ep^-3-
         1712900150504475524129/319312224000*ep^-2-
         36438575622744087814617458998627/483167815417647360000*ep^-1+
         7621386222857577039/21175*z3-814982459902515758505444331030767\
         7894623823208081051926766177189483122271/636666186305959759109\
         0889320496856346423564697600000000000*ep+22864158668572731117/
         42350*ep*z4+12611432335265667314160851191/2075529456000*ep*z3+
         65707547524175864485133733439415090626941611011165021989746316\
         2708049328518045461743/115604698072969026152390742772419645545\
         222700681834528768000000000000*ep^2+739303733914159871958/
         21175*ep^2*z5+12611432335265667314160851191/1383686304000*ep^2
         *z4-3158515559342533976201627886119810839/
         241583907708823680000*ep^2*z3+32518592059642319943625431750417\
         77814779457976591434888086643810873469134049953279383256728334\
         32038775538115723880753/17519948950059666025870598159091664128\
         65240639667857526597879175376635711098476178702336000000000000
         *ep^3+731682347691302294919/8470*ep^3*z6+
         58373744643573430152324789179/691843152000*ep^3*z5-31585155593\
         42533976201627886119810839/161055938472549120000*ep^3*z4-
         274071662801540722475646176465950479003654683/
         18746312110113599685273600000*ep^3*z3+53353064824238795142/
         4235*ep^3*z3^2;
Fill mncnoptab(12,7,2,2)=
      +mncF321*(-36469485614016-17038461992442696/55*ep-
         34362696485377704/35*ep^2-6984934033016645069/4125*ep^3)
      +14003231642981389608543834033307308495589/
      77893263615430469606400000-82130954567308/4235*ep^-3-
         212905394854413221946109/1037764728000*ep^-2-
         2033938177799579114603954289163/3178735627747680000*ep^-1+
         10171712628283745852/21175*z3-13385367738705399517352284996836\
         643546722865056101689027248641910014009/7900921333957491161473\
         604135260679898660864000000000000*ep+15257568942425618778/
         21175*ep*z4+4215233447675562739923231227/518882364000*ep*z3+
         87391412011828351305255873548867350013036078172642603834537719\
         1066004573698131/116164781285720797809904021836247575217882301\
         202432000000000000*ep^2+985840845361214296044/21175*ep^2*z5+
         4215233447675562739923231227/345921576000*ep^2*z4-272228581106\
         35049937570510666368791/1589367813873840000*ep^2*z3+
         99687018807585117281972474201826811541730789296873878538963561\
         75650431811198964636337294514803103852750178435601718046163347/
         30021544469115809230501894024489705263426682624299242202235454\
         3061921918012360552448178257920000000000000000*ep^3+
         487834566366465275096/4235*ep^3*z6+
         6586132403174135804729987021/57653596000*ep^3*z5-2722285811063\
         5049937570510666368791/1059578542582560000*ep^3*z4-78583010945\
         5299245673624014914363921732943/38946631807715234803200000*
         ep^3*z3+71114667610293750196/4235*ep^3*z3^2;
Fill mncnoptab(12,7,3,1)=
      +mncF321*(-9818707665312-4620056155374492/55*ep-14813205382512738/
         55*ep^2-27225486902865627037/57750*ep^3)
      +1674109252954106685787717350477263301680983/
      34814579633068113701222400000-6583184609044/7865*ep^-3-
         9836422633740128364787/550650672000*ep^-2-
         26598911880252168149352124758617/224327914301050560000*ep^-1+
         5081511875814034526/39325*z3-150906797905344642355955416539322\
         022038774841882336233446453828693951500713/3321221133614941610\
         71983662537857692418406822707200000000000*ep+
         7622267813721051789/39325*ep*z4+4228552376003279343741726947/
         1927277352000*ep*z3+648699889834679504864110481928056505977870\
         4655592994914231266981286351175151155963491/324725339408536210\
         9601975685375287543618487645937959174144000000000000*ep^2+
         492876218934782142222/39325*ep^2*z5+
         4228552376003279343741726947/1284851568000*ep^2*z4-50259756504\
         4193271731262653620725869/112163957150525280000*ep^2*z3-
         88443660405589947953093803065899193294616743152576285569995730\
         719143047608960145468342308427529989241965864977172837751429399
       /459972949187524362853046876303788698500358815922299103741393210\
         61987322438322384642953025945600000000000000000*ep^3+
         243897353529484053848/7865*ep^3*z6+
         20240997235966522073565195343/642425784000*ep^3*z5-50259756504\
         4193271731262653620725869/74775971433683520000*ep^3*z4-
         99542354542540256337691324038449883693829861/
         17407289816534056850611200000*ep^3*z3+35567773816026694498/
         7865*ep^3*z3^2;
Fill mncnoptab(12,8,1,2)=
      +mncF321*(-868321086048-2968998708043836/385*ep-70592812102381522/
         2695*ep^2-29756402239898641504/606375*ep^3)
      +1678722616336101223752183005776815233580923/
      393672554312385593390745600000-21716754922591/59290*ep^-3-
         193146717670219587324559/43586118576000*ep^-2-
         88820863472044645469225322533149/5073262061885297280000*ep^-1+
         1695032897405093542/148225*z3-85236005026326994960000712717303\
         0348651265758249653481973875283426577/219936767165642986511962\
         05667107550091280384000000000000*ep+2542549346107640313/148225
         *ep*z4+4311399179111344066006100717/21793059288000*ep*z3+
         28132150289306127824352276483343601273036483487084462366713422\
         85164949526085213/17203080070382295558391479579229113920420044\
         744320614400000000000*ep^2+164303908177230485724/148225*ep^2*
         z5+4311399179111344066006100717/14528706192000*ep^2*z4-
         845834229130528694284633267122289993/2536631030942648640000*
         ep^2*z3-357298750262817817925688044334548692341537542515579601\
         780500865187948052872575692141960122413482568379647570621701/
         30261391415653653584225894992053522756228911984058976198145765\
         943739721838169895731200000000000000*ep^3+81304437639912696091/
         29645*ep^3*z6+22870965953801970838452070073/7264353096000*ep^3
         *z5-845834229130528694284633267122289993/
         1691087353961765760000*ep^3*z4-1270217069481910505674481807907\
         27517840208081/196836277156192796695372800000*ep^3*z3+
         11852906209623070076/29645*ep^3*z3^2;
Fill mncnoptab(12,8,2,1)=
      +mncF321*(-578880724032-1988129935664184/385*ep-
         142803158257856366/8085*ep^2-60721212638431269908/1819125*ep^3
         )
      +62113211345818510615470675108826085582929/
      21870697461799199632819200000-37562603376026/88935*ep^-3-
         321696546795490582216009/65379177864000*ep^-2-
         71991629927236918246994798148617/3804946546413972960000*ep^-1+
         3391333447748939284/444675*z3-68776955530495810275126724368979\
         4679000185459521456618431715505558903940059/268252476176591437\
         78890988128057736695332858757120000000000000*ep+
         1695666723874469642/148225*ep*z4+4322292170345783599689094247/
         32689588932000*ep*z3+40494668431734044092038403450215424034105\
         41374110057961943592874233410512584744947303/37468308393292639\
         726176642523561010118674857453130298163200000000000000*ep^2+
         109541009309439784116/148225*ep^2*z5+
         4322292170345783599689094247/21793059288000*ep^2*z4-2172910951\
         2015396296990901610524551/100130172274051920000*ep^2*z3+
         44042919784338756069729600156972255084042220927622075823376818\
         9836323564049051793465751734288371613857938584652349697859091/
         59442658048849302276393750168489616421584831596112499560426199\
         52626053976644738938473929506816000000000000000*ep^3+
         162615847240285206532/88935*ep^3*z6+
         23192988894639229159585513043/10896529644000*ep^3*z5-217291095\
         12015396296990901610524551/66753448182701280000*ep^3*z4-
         359538085904791196001289502752704781248601/
         817879267962019930867200000*ep^3*z3+23703784167075375332/88935
         *ep^3*z3^2;
Fill mncnoptab(12,9,1,1)=
      +mncF321*(-5712638724-43155821357181/770*ep-472481551928437/2156*
         ep^2-291034133236413377/606375*ep^3)
      +184472820115390559810794478275943552093267/
      6648692028386956688377036800000-9482579762589/474320*ep^-3-
         1158550361010020740812559/6625090023552000*ep^-2-4394346917859\
         10887352170098202229/771135833406565186560000*ep^-1+
         44547736006743609/592900*z3-1625670686855357549121209503447962\
         4601637999506525852219/722125722661189503931062282198429204480\
         00000*ep+133643208020230827/1185800*ep*z4+
         4539243240707226816759074957/3312545011776000*ep*z3+
         15837497499516914077100226996927855024823801783520266830631875\
         47/1867838840223870191836022802137941805440696320000000*ep^2+
         2162106115538485749/296450*ep^2*z5+
         4539243240707226816759074957/2208363341184000*ep^2*z4-38190501\
         1059015642161490186129860353/385567916703282593280000*ep^2*z3+
         52639204259110155491257019329435950592588185035901493600346395\
         4248975542217740860497710926951519/524742008371154006904475654\
         76069759672903699382863168544563162775552000000000000000*ep^3+
         4279664495070227889/237160*ep^3*z6+
         30362679994505112081880263833/1104181670592000*ep^3*z5-
         381905011059015642161490186129860353/257045277802188395520000*
         ep^3*z4-190282624181868171596999433483297754761983521/
         29919114127741305097696665600000*ep^3*z3+156253707605174541/
         59290*ep^3*z3^2;
Fill mncnoptab(13,1,1,8)=
      +mncF321*(-127932640011072-78859785813323177/77*ep-
         237384734317803189199/80850*ep^2-339811021714100273124217/
         76403250*ep^3)
      +31779641643431450809738572598878446171469196223/
      50488505090563452352363123200000+265665802517327/10672200*ep^-3+
         707643422794858256128223/7453226276496000*ep^-2-24621526325810\
         1030803966164517099/433763906291192917440000*ep^-1+
         320837686736115335893/190575*z3-157370952068135013758609710700\
         3024790324398591134959401583309211145269/250785236908697849846\
         458792328986982350848000000000000*ep+320837686736115335893/
         127050*ep*z4+3681041754255830028885051251183/133093326366000*
         ep*z3+20584864806564754139577411782536705541655455925629263839\
         714580652091353344315627/7005712477221871047870329904092789019\
         37544689090560000000000000*ep^2+435697918348446964573819/
         2668050*ep^2*z5+3681041754255830028885051251183/88728884244000
         *ep^2*z4-55349557731526751383813624126556064431/
         750456585278880480000*ep^2*z3-26025775220805902498292073652051\
         75127513102472380203923679772634318861194890125112826400870610\
         162382013/2339428211800984404580990543609149600673931065510728\
         2433054418246041600000000000000000*ep^3+
         431206190734141349871317/1067220*ep^3*z6+
         66394004738640586035351861623551/207034063236000*ep^3*z5-
         55349557731526751383813624126556064431/500304390185920320000*
         ep^3*z4-456944096289294062467113124854726068176758112211/
         12622126272640863088090780800000*ep^3*z3+
         52403553951957412363927/889350*ep^3*z3^2;
Fill mncnoptab(13,2,1,7)=
      +mncF321*(-482207643118656-42535500122372075/11*ep-
         1668161683129243193/150*ep^2-3770313054939642835447/222750*
         ep^3)
      +128661955859048643732135653548928987119998089/
      54230402889971484803827200000+35703339181979/217800*ep^-3+
         8542432857120087532169/8005613616000*ep^-2-
         45792571673912868771377897771/66558831715696320000*ep^-1+
         172758769670631423727/27225*z3-4453253333808377854326729090982\
         59427451310962364375292215549585527371/18856032850278033823042\
         014460826088898560000000000000*ep+172758769670631423727/18150*
         ep*z4+104407849355439330972555917903/1000701702000*ep*z3+
         21818810208318678095478037120474629064259751808419714280856775\
         74546871486904207/19752948713971440924446418902517262272675132\
         211200000000000000*ep^2+33515226458249085556663/54450*ep^2*z5+
         104407849355439330972555917903/667134468000*ep^2*z4-3789696194\
         998261659513348502388647561/13703288882643360000*ep^2*z3-
         99140475299827042942811363844719140034907223252460170706571929\
         23936233209865648496031884422447202479152803/
         50291022473116019028763922428900690272773306676864912293228983\
         680919142400000000000000000*ep^3+33169708918907822709209/21780
         *ep^3*z6+270673524802026789341416753513/222378156000*ep^3*z5-
         3789696194998261659513348502388647561/9135525921762240000*ep^3
         *z4-1897479682070779779128675468865988195697040773/
         13557600722492871200956800000*ep^3*z3+4031042606575099816579/
         18150*ep^3*z3^2;
Fill mncnoptab(13,2,2,6)=
      +mncF321*(-1557901616229504-137873525628162198/11*ep-
         9971035787877684997/275*ep^2-14456489193484703852761/259875*
         ep^3)
      +2494844122163883342820829433182820106833503/
      325482565821620176569600000-416408509655947/471900*ep^-3-
         173408087871681103589497/17345496168000*ep^-2-
         1861478764614978897827197641881/53130295492354080000*ep^-1+
         2418627439964158310978/117975*z3-36713740350061774349636664144\
         5421122921372067713652649560074498854153/482465922907682597455\
         0041606465925939200000000000000*ep+1209313719982079155489/
         39325*ep*z4+732025918288107044707415505281/2168187021000*ep*z3
         +7047745438294775076781592062516578784149737604423574401913979\
         799929879745218071/1986192861840238809354945659552844168024607\
         9488000000000000000*ep^2+234606629272235161929241/117975*ep^2*
         z5+732025918288107044707415505281/1445458014000*ep^2*z4-
         1382340020485237127178291923381500093/1562655749775120000*ep^2
         *z3-3106941299675311340163312421618551301973632612568614538960\
         3024724656949183455366979375202720700174369315039911/
         24894056124192429419238141602305841685022786805048131585148346\
         922054975488000000000000000000*ep^3+232188001832271003618263/
         47190*ep^3*z6+1919940369466822202614636462951/481819338000*
         ep^3*z5-1382340020485237127178291923381500093/
         1041770499850080000*ep^3*z4-3871123329654563281189672613682456\
         1448440571/81370641455405044142400000*ep^3*z3+
         28217278093748311111053/39325*ep^3*z3^2;
Fill mncnoptab(13,3,1,6)=
      +mncF321*(-619981255438272-55022862949669953/11*ep-
         5089517350964035779/350*ep^2-432293290169540924413/19250*ep^3)
      +14295850492503491813168227685439470317388861/
      4686578027528399921318400000-23460443915121/169400*ep^-3-
         3355469270602764794537/2075529456000*ep^-2-
         687855347239435325675088782819/120791953854411840000*ep^-1+
         172759008520227132627/21175*z3-6153277298337586473981048326074\
         01721960326232494692205091031250970584621/20364515478300276528\
         885375617692176010444800000000000000*ep+518277025560681397881/
         42350*ep*z4+34906418574430577214659700721/259441182000*ep*z3+
         27977456751102944725277684001793104353380333244987757449616342\
         567427489471062404551/1991097230368321245184199025373740037085\
         65332688896000000000000000*ep^2+33515230666390196720763/42350*
         ep^2*z5+34906418574430577214659700721/172960788000*ep^2*z4-
         1239903350624081159339623735641872167/3552704525129760000*ep^2
         *z3-1388292995571347908005793748885931917319157818755282727898\
         6201533670582464545656061033706483161975991761560769/
         17781468660137449585170101144504172632159133432177236846534533\
         515753553920000000000000000000*ep^3+33169712649349742455509/
         16940*ep^3*z6+277384612791218141900952563173/172960788000*ep^3
         *z5-1239903350624081159339623735641872167/2368469683419840000*
         ep^3*z4-231461515539070231135150739902400877281722577/
         1171644506882099980329600000*ep^3*z3+12093121155229784362437/
         42350*ep^3*z3^2;
Fill mncnoptab(13,3,2,5)=
      +mncF321*(-1669180303103040-148813058599726815/11*ep-
         4360489795327208973/110*ep^2-34026507836704841501/550*ep^3)
      +1885708831738875057317393615344569643921/
      229617330385622699520000-393116335917441/62920*ep^-3-
         8531135225649838858751/110130134400*ep^-2-
         756152924309517587190952621361/2361346466326848000*ep^-1+
         172759868826674175747/7865*z3-30035455058612635378845275573168\
         34735057581152660324261228150187943317/37053382879310023484544\
         319537658311213056000000000000*ep+518279606480022527241/15730*
         ep*z4+34984325285797694287421353921/96363867600*ep*z3+
         57245040590205553635444269837368419409928910487234185988382486\
         593825366544709293/1525396117893303405584598266536584321042898\
         90467840000000000000*ep^2+33515250188872594496043/15730*ep^2*
         z5+34984325285797694287421353921/64242578400*ep^2*z4-643370780\
         50111599486950107889351533/69451366656672000*ep^2*z3-
         23312713542621315064177996732106014902867208312628793137044230\
         27760355885671810356729584725555504882250203041587/
         24854225634393721532167360575742152338326750346160054574612109\
         56697968752721920000000000000000*ep^3+33169730451219246144549/
         6292*ep^3*z6+282414564439674454470460541173/64242578400*ep^3*
         z5-64337078050111599486950107889351533/46300911104448000*ep^3*
         z4-32563950433424228601540510902137613133317/
         57404332596405674880000*ep^3*z3+12093104779488624301077/15730*
         ep^3*z3^2;
Fill mncnoptab(13,3,3,4)=
      +mncF321*(-1430725974088320-128629164829592250/11*ep-
         13383658585979022204/385*ep^2-212872490884572800381/3850*ep^3)
      +118819640737655240833404621386764967320963/
      16876873783343268414720000-13080986332242093/220220*ep^-3-
         570412626341876531485847/899396097600*ep^-2-
         5528757953829894876627090519031/2754904210714656000*ep^-1+
         1036626782802007731822/55055*z3-283904976516159020413328252490\
         48942335069075113916953388906796533929/41170425421455581649493\
         6883751759013478400000000000*ep+1554940174203011597733/55055*
         ep*z4+5018622972832995594905804203/16060644600*ep*z3+
         96700005288393721352650045485070897962474792181026392858016692\
         2247688363809/305079223578660681116919653307316864208579780935\
         6800000000*ep^2+14363780221956978221337/7865*ep^2*z5+
         5018622972832995594905804203/10707096400*ep^2*z4-6261922891268\
         3465126102908878565613/81026594432784000*ep^2*z3-
         23331907453934384816904281413347484212766858315914258597126039\
         7389923327514578358898882979184337540941813157249/
         29617952214319184825832771352759398203172710829174065034746097\
         2339841276366028800000000000000*ep^3+99509834770896839817537/
         22022*ep^3*z6+291775333667351264390696278223/74949674800*ep^3*
         z5-62619228912683465126102908878565613/54017729621856000*ep^3*
         z4-571776845007036626412764978388812522364199/
         1054804611458954275920000*ep^3*z3+36278554162775360898321/
         55055*ep^3*z3^2;
Fill mncnoptab(13,4,1,5)=
      +mncF321*(-344434030799040-30918573169278093/11*ep-
         350011155624242069/42*ep^2-457637941568168894569/34650*ep^3)
      +840888038943293856708621479893611121074109/
      496225908797124697551360000+8951678308913/20328*ep^-3+
         375093078405170583287/219761942400*ep^-2-
         203974854748737781959934640659/12789736290467136000*ep^-1+
         19195370931486314891/4235*z3-306003869743341340770643879095792\
         993782205606515774891715018569349887/1839993869098189691080466\
         8793397166089437184000000000*ep+57586112794458944673/8470*ep*
         z4+2064828299962906907587642961/27470242800*ep*z3+
         55051015137396228408367598323719763558734790528362779938905957\
         827949345495283861/7196059637284097488477481654056622816384855\
         31788574720000000000*ep^2+11171739416288646779737/25410*ep^2*
         z5+2064828299962906907587642961/18313495200*ep^2*z4-1195869396\
         263552302132198121439945463/6394868145233568000*ep^2*z3+
         87524809859877097285718586394704266042374525003887841078812870\
         8043623858993520976718868050066192980148321551/
         33648797781948422997395811241004760088811600468647458501013317\
         56760326926761984000000000000*ep^3+11056567190699728890391/
         10164*ep^3*z6+17061197273611928956394685893/18313495200*ep^3*
         z5-1195869396263552302132198121439945463/4263245430155712000*
         ep^3*z4-15891194102883417382365283139118659183583649/
         124056477199281174387840000*ep^3*z3+806209316768352721787/5082
         *ep^3*z3^2;
Fill mncnoptab(13,4,2,4)=
      +mncF321*(-741857912490240-66963534247720908/11*ep-
         601273245171223730/33*ep^2-506491506124995498722/17325*ep^3)
      +2329569662141260618900098306644439660649/
      638201109454157208960000-216275677290091/9438*ep^-3-
         25685167337473652312893/102032330400*ep^-2-
         37797804290505465455902637863/44647307136432000*ep^-1+
         76785836131455207004/7865*z3-349556485006097724150910934601569\
         14404852010094882953204479515816171/98082484092291238635558492\
         8938014120345600000000000*ep+115178754197182810506/7865*ep*z4+
         2070543366376003442734494941/12754041300*ep*z3+
         32940955270862243819815972088940915880511501168926228200462263\
         94976296310951/20189066266234898015090271174748910131450132561\
         920000000000*ep^2+22343615246661865296314/23595*ep^2*z5+
         2070543366376003442734494941/8502694200*ep^2*z4-88282887591708\
         12154742568745946191/22323653568216000*ep^2*z3-
         52930668020332574520474219409363457196521663305024326057811467\
         548978751207539296765315187206344509993732265211/
         13533125857927381374265127833491601948218915563484149715876293\
         6592204398585708544000000000000*ep^3+11056628869133749837651/
         4719*ep^3*z6+17426476783389851958378119033/8502694200*ep^3*z5-
         8828288759170812154742568745946191/14882435712144000*ep^3*z4-
         47041228923316642727549826541281211072909/
         159550277363539302240000*ep^3*z3+1612388832292913919886/4719*
         ep^3*z3^2;
Fill mncnoptab(13,4,3,3)=
      +mncF321*(-476908658029440-43445813730456078/11*ep-
         924525398870176848/77*ep^2-227040844596573899473/11550*ep^3)
      +777003373835316476811801278928371438683/330919093791044478720000
         -3561777156167915/44044*ep^-3-136725796409189879869423/
         158716958400*ep^-2-1317900067807268081884920799631/
         486159566596704000*ep^-1+345614417215747949098/55055*z3-
         18006109087016240470880457574654201976401759182521807373221370\
         658849/792585730038717079883300952677183127552000000000000*ep+
         518421625823621923647/55055*ep*z4+297183621014551366043161883/
         2834231400*ep*z3+462842640778216113444679155225313298601070552\
         476703017107006889468657488397847/4486459170274421781131171372\
         166424473655585013760000000000000*ep^2+4788037321922953433883/
         7865*ep^2*z5+297183621014551366043161883/1889487600*ep^2*z4-
         59872620028664343409671535815943517/243079783298352000*ep^2*z3
         -9327746731928856909075692011140372088853929410651000225302422\
         6106817340291376230092931981895367099902574306954451429/
         27953423299874446638620969602734320024154404480574482579793366\
         5694342196634257981440000000000000000*ep^3+
         33170646836244926088083/22022*ep^3*z6+
         6013070836580240539896110301/4408804400*ep^3*z5-59872620028664\
         343409671535815943517/162053188865568000*ep^3*z4-5416610086185\
         57812199358501717678751909/2585305420242534990000*ep^3*z3+
         2418414431403207773927/11011*ep^3*z3^2;
Fill mncnoptab(13,4,4,2)=
      +mncF321*(-105979701784320-9788822936666316/11*ep-
         3197338775732692804/1155*ep^2-26955249328167403651/5775*ep^3)
      +6999086078987317981482182558107097578547/
      13402223298537301388160000-14659978779631993/330330*ep^-3-
         338319809420781297194531/714226312800*ep^-2-
         654686910505673258112460182823/437543609937033600*ep^-1+
         15367270815782272980/11011*z3-75212363105100112822829091260809\
         30279919301478789919252971638257311549/15104702550212850749876\
         00790564541745332224000000000000*ep+23050906223673409470/11011
         *ep*z4+299312557707354355437854107/12754041300*ep*z3+
         24824647995196227694111387320565716974336107132379709235058533\
         20906466381234271/11103986446429193908299649146111900572297572\
         9090560000000000000*ep^2+638434836302442427874/4719*ep^2*z5+
         299312557707354355437854107/8502694200*ep^2*z4-569309993342325\
         52689571404985972997/1093859024842584000*ep^2*z3-
         36776319753547679108792054534804315955612326289533762426611688\
         569603896805627459985647187808850251511226817703222105607/
         62958097627142222441834078787758372274401757491373878390339609\
         8560082212369507538698240000000000000000*ep^3+
         11057355104174375440445/33033*ep^3*z6+
         18970080761427923220070104067/59518859400*ep^3*z5-569309993342\
         32552689571404985972997/729239349895056000*ep^3*z4-88925634964\
         150860186536828535468935949169/1675277912317162673520000*ep^3*
         z3+8060259557100956435866/165165*ep^3*z3^2;
Fill mncnoptab(13,5,1,4)=
      +mncF321*(-86108507699760-7873042654494342/11*ep-
         1011250864862687413/462*ep^2-62539730534397147848/17325*ep^3)
      +1681645025343430602707108727935981206224323/
      3969807270376997580410880000-1949890480459/5082*ep^-3-
         2545967097402137728289/439523884800*ep^-2-
         792954648977088782987942030897/25579472580934272000*ep^-1+
         4798911343402809599/4235*z3-8473115562700279509542635524452655\
         173921698953110478838106287335594517/2069993102735463402465525\
         239257181185061683200000000000*ep+14396734030208428797/8470*ep
         *z4+320568956075513006319888379/16904764800*ep*z3+
         14970925041556408795803581448631487848729536217959493712172241\
         431288185801804027/8095567091944609674537166860813700668432962\
         23262146560000000000*ep^2+1396469366242002294059/12705*ep^2*z5
         +320568956075513006319888379/11269843200*ep^2*z4-5616964991335\
         16072466008655213282029/12789736290467136000*ep^2*z3-
         10320463622493474031967271411424295796790171210499684736082802\
         76228564127687153291319085413992740394574954099106286473121/
         35444562537326811370132106286292450133915800028688597641364172\
         73458346139461163547203993600000000000000*ep^3+
         691036316105896932631/2541*ep^3*z6+
         18280304050524836086173579563/73253980800*ep^3*z5-561696499133\
         516072466008655213282029/8526490860311424000*ep^3*z4-600092923\
         5566220671866113807972268818175117/152684895014499906938880000
         *ep^3*z3+100775602841863915045/2541*ep^3*z3^2;
Fill mncnoptab(13,5,2,3)=
      +mncF321*(-139098358591920-12798019401016374/11*ep-
         79101707968597081/22*ep^2-34706419196336612302/5775*ep^3)
      +4659499447039371689077960418258294373323/
      6807478500844343562240000-55093531884587/3146*ep^-3-
         53170140944726154638369/272086214400*ep^-2-
         565092422142447699692566077563/833416399880064000*ep^-1+
         14399514931910141437/7865*z3-818541441544517407935754338092987\
         4605578219803681705310962334109197/124549186148941255410233006\
         8492716343296000000000000*ep+43198544795730424311/15730*ep*z4+
         597279677612594854499873161/19434729600*ep*z3+
         13250479310439641760591535624039344434849219001051869774767069\
         5771584893728467/448645917027442178113117137216642447365558501\
         3760000000000000*ep^2+1396499463157991509739/7865*ep^2*z5+
         597279677612594854499873161/12956486400*ep^2*z4-28893996285271\
         550619470963843490191/416708199940032000*ep^2*z3-
         28059974853230534633541330804791875974299538588721568042592875\
         424375946761723476608442155560205104931774772182823/
         23629267370984316685224826375937717687366360507670737599149084\
         1668928314990919680000000000000000*ep^3+691049974113040684151/
         1573*ep^3*z6+18703357238394936464588139563/45347702400*ep^3*z5
         -28893996285271550619470963843490191/277805466626688000*ep^3*
         z4-229322418212233251995285846581124652171841/
         3403739250422171781120000*ep^3*z3+100769712280936538469/1573*
         ep^3*z3^2;
Fill mncnoptab(13,5,3,2)=
      +mncF321*(-59613582253680-5538745894199886/11*ep-
         243545185190316267/154*ep^2-15583963734818784638/5775*ep^3)
      +13998292300570274503646110794957750503489/
      47652349505910404935680000-580636145536177/22022*ep^-3-
         19885170165847519918521/70540870400*ep^-2-
         1739559196756644607468865942203/1944638266386816000*ep^-1+
         43222242376797721591/55055*z3-16500689660410961592652394191089\
         4166540451838295030707872280317829523/592341276478935323524549\
         32963315362562048000000000000*ep+129666727130393164773/110110*
         ep*z4+200135393918609313274773347/15115900800*ep*z3+
         92048148483730732728536812675847137802398915311143230097643876\
         5039086935342989/740265763095279593886643276407460038153171527\
         27040000000000000*ep^2+598535334717982175511/7865*ep^2*z5+
         200135393918609313274773347/10077267200*ep^2*z4-16373199741101\
         12419871089362443663/57195243129024000*ep^2*z3-
         86160389852966710966509251760472180215970539679162091442333452\
         21991262302895709516776951752313438109042138306392103813/
         41972065084761481627889385858505581516267838327582585593559739\
         9040054808246338359132160000000000000000*ep^3+
         2073262550324538753493/11011*ep^3*z6+
         19369935522333114704947224203/105811305600*ep^3*z5-16373199741\
         10112419871089362443663/38130162086016000*ep^3*z4-748730600424\
         802169709303244944489815601763/23826174752955202467840000*ep^3
         *z3+302255637248077914575/11011*ep^3*z3^2;
Fill mncnoptab(13,5,4,1)=
      +mncF321*(-6623731361520-624218686901406/11*ep-421370335251305933/
         2310*ep^2-88142245846666776/275*ep^3)
      +5023857183996706367643101902541951454449449/
      154822483544702905636024320000-202555453292743/330330*ep^-3-
         67675547227181972368513/5713810502400*ep^-2-
         4992740320475486293403772056381/66506628710429107200*ep^-1+
         959883851232122291/11011*z3-9135395646714800447382511035542905\
         83565358077138487242218160508656533622283/29837708580070063668\
         49906700874871247395312631808000000000000*ep+
         2879651553696366873/22022*ep*z4+604513789715024141168126249/
         408129321600*ep*z3+5601217861301636666260689385901462993728539\
         010995079639037564933602021935477933432763/4167597938933085060\
         451733499946893104109288957353530490880000000000000*ep^2+
         39899649871658445497/4719*ep^2*z5+604513789715024141168126249/
         272086214400*ep^2*z4-499565400572061607670300667654518269/
         166266571776072768000*ep^2*z3-82240126247468608870740379657882\
         78970201017624674699767035185488782666922353502373984610533256\
         983622985484530414622565303/2357151175160204808222267909813673\
         45795360180047703800693431499300894780311143622488621056000000\
         0000000000*ep^3+691044743869781879015/33033*ep^3*z6+
         20338085241870506613430334347/952301750400*ep^3*z5-49956540057\
         2061607670300667654518269/110844381184048512000*ep^3*z4-
         300851551202788825612090440992198274589660187/
         77411241772351452818012160000*ep^3*z3+503866030625059533721/
         165165*ep^3*z3^2;
Fill mncnoptab(13,6,1,3)=
      +mncF321*(-9117371403504-4289786286858774/55*ep-
         192492189958223007/770*ep^2-12621780507830043502/28875*ep^3)
      +186612872541880234255333985973303187541227/
      4165847135580799930060800000+1178959679151/8470*ep^-3-
         303124761354939015001/461228768000*ep^-2-
         1400659066888762321358138436299/80527969236274560000*ep^-1+
         2540445528065941863/21175*z3-550499486750200986680137035561308\
         4183602403650121260426098039856647637/130332899061121769784866\
         40395322992646684672000000000000*ep+7621336584197825589/42350*
         ep*z4+469753358319023181538132103/230614384000*ep*z3+
         23604800619785238193335367517918254643642632829275221211504786\
         7677582792230126619/127430222743572559691788737623919362373481\
         812920893440000000000000*ep^2+246434384509697316561/21175*ep^2
         *z5+1409260074957069544614396309/461228768000*ep^2*z4-16768781\
         6816961848742093526691901343/40263984618137280000*ep^2*z3+
         41648209269368623445490804806369538785734829275142848256435561\
         32652464442405103337249764278462912048744704778191192217077/
         72201886650110171309528364657262398420939592651032328528704796\
         311188532470505183368970240000000000000000*ep^3+
         121946969490815687349/4235*ep^3*z6+
         6744784347882862935787560121/230614384000*ep^3*z5-167687816816\
         961848742093526691901343/26842656412091520000*ep^3*z4-
         33272577334437555500537934758455917473848547/
         6248770703371199895091200000*ep^3*z3+17784383437518242079/4235
         *ep^3*z3^2;
Fill mncnoptab(13,6,2,2)=
      +mncF321*(-9818707665312-4651072854087492/55*ep-15071274435832563/
         55*ep^2-14027408188668701206/28875*ep^3)
      +13999967026396485725508057865931762949409/
      289317836285884601395200000-40237054669569/7865*ep^-3-
         209994931084021161464609/3854554704000*ep^-2-
         225964746813216659566501521227/1311859147959360000*ep^-1+
         5085789913797625326/39325*z3-514148613555138146888508655506814\
         303715166370948547623969087274537009/1141244192682748723323965\
         041759875985362124800000000000*ep+7628684870696437989/39325*ep
         *z4+4244631852976202458992669247/1927277352000*ep*z3+
         16533728273860252024560731101776128126187484039775342490846741\
         9431993609077631/838967864841316873071529046595121376573594397\
         57312000000000000*ep^2+492919626398879096322/39325*ep^2*z5+
         4244631852976202458992669247/1284851568000*ep^2*z4-85702034459\
         28690952635303374853917/1967788721939040000*ep^2*z3+
         64729628030063313858486312597832402148751541446020140055620437\
         013872587187555700119454344525396623213562176263764455866423/
         12754250918251814378971392886221116615181270395944122504217676\
         666029362529936886215118684160000000000000000*ep^3+
         243916918242540735498/7865*ep^3*z6+
         20709476308128165313258320043/642425784000*ep^3*z5-85702034459\
         28690952635303374853917/1311859147959360000*ep^3*z4-8697107330\
         30178423259505841574090249856003/144658918142942300697600000*
         ep^3*z3+35557440310842214878/7865*ep^3*z3^2;
Fill mncnoptab(13,6,3,1)=
      +mncF321*(-2104008785424-1006777163170314/55*ep-46420172937574113/
         770*ep^2-3149765640275782312/28875*ep^3)
      +15049229399887615301933517755654263617734267/
      1462212344588860775451340800000-34283674403107/110110*ep^-3-
         102428917163772536123009/17987921952000*ep^-2-1091927109474003\
         77166444619901971/3140590800214707840000*ep^-1+
         7622855149285267189/275275*z3-32398582294279954515548719547681\
         02908327555664027455173524213508821728332659/33816069724079405\
         490965609276581874137146876493824000000000000*ep+
         22868565447855801567/550550*ep*z4+609276632726375620718585641/
         1284851568000*ep*z3+195543507249977241786906071865062023013276\
         11197864037384092890586139430012850862510199/47232776641241630\
         685119646332731455179905274850006678896640000000000000*ep^2+
         105617335063845925269/39325*ep^2*z5+
         609276632726375620718585641/856567712000*ep^2*z4-1401292581606\
         987246905665197614745847/1570295400107353920000*ep^2*z3-
         11237675335730503063401337984859595607478319299536026795856090\
         64506685600099101397452021104205650215588886136602144428107/
         15714341167734698721481786065424489719690678669846920046228766\
         62005965202074290816590807040000000000000000*ep^3+
         365849245148818104847/55055*ep^3*z6+
         21408659268975241129525521803/2997986992000*ep^3*z5-1401292581\
         606987246905665197614745847/1046863600071569280000*ep^3*z4-
         1003228465140440131901220211536176707285213009/
         731106172294430387725670400000*ep^3*z3+53350707716108736317/
         55055*ep^3*z3^2;
Fill mncnoptab(13,7,1,2)=
      +mncF321*(-337680422352-166617394599682/55*ep-72430767212512333/
         6930*ep^2-15560037818222991977/779625*ep^3)
      +186526763191659582393753534231483311185387/
      112477872660681598111641600000-9631863909763/76230*ep^-3-
         173737106632946739136609/112078590624000*ep^-2-
         40519198126418739569280335554817/6522765508138239360000*ep^-1+
         847466993424139621/190575*z3-404443539491884652187626218636421\
         432232073984960405290323753388185612323/2709620971480721593827\
         3725381876501712457433088000000000000*ep+847466993424139621/
         127050*ep*z4+4333674312522587481278154047/56039295312000*ep*z3
         +2353696801383889106903871385440650721242110999494375460823282\
         847266538829798195823/3784677615484105022846125507430405062492\
         4098437505351680000000000000*ep^2+9127929103076767243/21175*
         ep^2*z5+4333674312522587481278154047/37359530208000*ep^2*z4-
         400569080066872513513908994986801869/3261382754069119680000*
         ep^2*z3-567647764065796511799941946456991306436082499289250979\
         25888654044229200089641724094842146754607022613726792573361127\
         14081/12008617787646323692200757609795882105370673049719696880\
         89418172247687672049442209792713031680000000000000*ep^3+
         40651947467133382783/38115*ep^3*z6+
         23595645590704747472523155243/18679765104000*ep^3*z5-400569080\
         066872513513908994986801869/2174255169379413120000*ep^3*z4-
         133503599375680277521408103893873544846817961/
         506150426973067191502387200000*ep^3*z3+5926533021125125613/
         38115*ep^3*z3^2;
Fill mncnoptab(13,7,2,1)=
      +mncF321*(-181827919728-90341730604678/55*ep-515556849614099/90*
         ep^2-8643217801964504453/779625*ep^3)
      +186209779999787591690078671725860057498347/
      208887477798408682207334400000-22168971182563/141570*ep^-3-
         377894574695025444957409/208145954016000*ep^-2-
         84577878770486969707935021597137/12113707372256730240000*ep^-1
         +847968487845365221/353925*z3-80602099252263178998526386372988\
         8016504285361344680964071618880732153033921/101448209172238216\
         472896827829745622411440629481472000000000000*ep+
         847968487845365221/235950*ep*z4+4350911925390258440321419967/
         104072977008000*ep*z3+4681572222794447681359984855102781110437\
         160542650009626870962047890499023661023184381/
         14169832992372489205535893899819436553971582455002003668992000\
         0000000000*ep^2+9128597782002900043/39325*ep^2*z5+
         4350911925390258440321419967/69381984672000*ep^2*z4-3845565764\
         59158468018364279434050909/6056853686128365120000*ep^2*z3-
         10144830724116727628963904737939674765491748502427915111003521\
         85067061883266772307981368638920028097010078608821910117424151/
         22480132498473917951799818245537891301253899949075272561033908\
         184476713220765558167319587953049600000000000000*ep^3+
         40654705775090367583/70785*ep^3*z6+
         24105230975581714804740849323/34690992336000*ep^3*z5-384556576\
         459158468018364279434050909/4037902457418910080000*ep^3*z4-
         137659362196276558741872790425780108047891881/
         939993650092839069933004800000*ep^3*z3+5925730635116321453/
         70785*ep^3*z3^2;
Fill mncnoptab(13,8,1,1)=
      +mncF321*(-2538950544-9671640520438/385*ep-4823801817855439/48510
         *ep^2-1206575685340736933/5457375*ep^3)
      +184284976562155674580589632864065247017707/
      14959557063870652548848332800000-4741227641617/533610*ep^-3-
         1167353147454648220567009/14906452552992000*ep^-2-223929607925\
         525483306824559096657/867527812582385834880000*ep^-1+
         44547737251537159/1334025*z3-686399814670673489650801466935255\
         462037086022601902696749/6932406937547419237738197909104920363\
         008000000*ep+44547737251537159/889350*ep*z4+
         4559974723796913971842903487/7453226276496000*ep*z3+
         19811105934125616234561856734215089491411113903106524760397781\
         0333/537937585984474615248774567015727239966920540160000000*
         ep^2+480468034596239497/148225*ep^2*z5+
         4559974723796913971842903487/4968817517664000*ep^2*z4-16915717\
         3406098597360505154969145949/433763906291192917440000*ep^2*z3+
         35933067815124203061363925925309349295636794769967523996423888\
         2961574660174372189040617731281874053/459422123169112756125006\
         525256085959888206468836843613241359402732512870400000000000000
         *ep^3+2139832287057309157/266805*ep^3*z6+
         31033763575436170901848677803/2484408758832000*ep^3*z5-
         169157173406098597360505154969145949/289175937527461944960000*
         ep^3*z4-193339084675065084596008791100889123229081001/
         67318006787417936469817497600000*ep^3*z3+312507415085869727/
         266805*ep^3*z3^2;
Fill mncnoptab(14,1,1,7)=
      +mncF321*(-19973097643968-23369243098214993/143*ep-
         10431511126041489697/21450*ep^2-15665156501956115139511/
         20270250*ep^3)
      +2444593413834560809153051359290930856407509211/
      24876260525671205386441305600000+51432260340653/36808200*ep^-3+
         38089803053594631446651/3672289331568000*ep^-2-
         2712018686123399760517312623863/213720408639100883520000*ep^-1
         +1209311189156032978489/4601025*z3-887708969188662489938068434\
         784555043461073991511391716579207516470607/9226167083008421578\
         02482414228001088811827200000000000*ep+1209311189156032978489/
         3067350*ep*z4+14023895303236413739397028053339/
         3213253165122000*ep*z3+511905117765680011212109724454229398612\
         288576449161250866130199254629190631070237/1159802849290281998\
         78212482004083070459538010569441280000000000000*ep^2+
         234606559599600791304241/9202050*ep^2*z5+
         14023895303236413739397028053339/2142168776748000*ep^2*z4-
         473282507716809069193294438717861257373/
         44001260602167828960000*ep^2*z3-215508847945718736717653674507\
         67714571129230448970428502688090909770948763688098982095897544\
         21672530821/39325310806045608864597352876734374348634766123262\
         7885601189045324480512000000000000000*ep^3+
         232187937221288725347263/3680820*ep^3*z6+
         38966710714608068218798319227069/714056258916000*ep^3*z5-
         473282507716809069193294438717861257373/
         29334173734778552640000*ep^3*z4-337603317048255956188079282475\
         941877418078999289/43533455919924609426272284800000*ep^3*z3+
         28217298312362737893253/3067350*ep^3*z3^2;
Fill mncnoptab(14,2,1,6)=
      +mncF321*(-51359393941632-60418402632476406/143*ep-
         4537218859882273713/3575*ep^2-328580898677514647279/160875*
         ep^3)
      +128664075109091576979912242140734112111736029/
      509163227133621162880377600000-84827006735321/2044900*ep^-3-
         20945962156162606061651/75163816728000*ep^-2+
         270617068457398277529978713063/4374394328870485920000*ep^-1+
         345518588625136808854/511225*z3-941922009183911952222994198351\
         871930768450706820361150955768058640861003/3824003462036385259\
         31292053265553082862796800000000000000*ep+
         518277882937705213281/511225*ep*z4+
         15103551766312545155140219549/1342211013000*ep*z3+
         12005006804571935012949029005609818233372665629011690631990180\
         455823209127651199013/1068239466451575525194062334248133543706\
         271149981696000000000000000*ep^2+33515236532872012334963/
         511225*ep^2*z5+15103551766312545155140219549/894807342000*ep^2
         *z4-3494470537073796753252236836798872221/
         128658656731484880000*ep^2*z3-57921859316228397565846200699659\
         84102740600009466245027690206119902033210246290009844929824897\
         0200636200133103/934910107775226793744721317953263832170855771\
         122918719531126806628286857216000000000000000000*ep^3+
         33169717944246875526109/204490*ep^3*z6+
         99686668175808791069092362351/695961266000*ep^3*z5-34944705370\
         73796753252236836798872221/85772437820989920000*ep^3*z4-
         385097055012429364782557629092630666795291679/
         18184400969057898674299200000*ep^3*z3+12093113378084248965837/
         511225*ep^3*z3^2;
Fill mncnoptab(14,2,2,5)=
      +mncF321*(-110055844160640-130367388173349150/143*ep-
         13868648782242873699/5005*ep^2-1020028965375050646187/225225*
         ep^3)
      +1069198192278962123774493337036762671052427/
      1974594232651162404522240000-153915528885383/2862860*ep^-3-
         91199911336599654432013/105229343419200*ep^-2-
         1696105177390149925025154865949/322323792653614752000*ep^-1+
         1036553729240216501802/715715*z3-63191734560808202221344962313\
         4609028071797925383845280292462256321/120423494357757576324769\
         038497389511442432000000000*ep+1554830593860324752703/715715*
         ep*z4+45466161025201620900117861347/1879095418200*ep*z3+
         33681198982589051610070172385658364105200967259786962213620566\
         85423769760379/14164392523294960194714126760696854409684061257\
         7280000000000*ep^2+14363670199345457586667/102245*ep^2*z5+
         45466161025201620900117861347/1252730278800*ep^2*z4-5387430785\
         24784851318051899294800097/9480111548635728000*ep^2*z3-
         11697250730601057847581758277252685787507753935652185561647163\
         850580855831831535716085470501251315585646722227/
         21001820661062694694681419686502118725886104042505246115547232\
         5840978359605002240000000000000*ep^3+99509137666177986604867/
         286286*ep^3*z6+920646603218058167910364421459/2923037317200*
         ep^3*z5-538743078524784851318051899294800097/
         6320074365757152000*ep^3*z4-2408564745516019299420406607751224\
         7141471719/493648558162790601130560000*ep^3*z3+
         36279373244174823354451/715715*ep^3*z3^2;
Fill mncnoptab(14,3,1,5)=
      +mncF321*(-42799494951360-50884958380779621/143*ep-
         311240880822165643/286*ep^2-269204978498091665431/150150*ep^3)
      +2042212899342485002823394313963064854587419/
      9698347183497545959626240000+5397573762305/163592*ep^-3+
         7254476937333832396759/30065526691200*ep^-2-
         441690048890113131078800828003/1749757731548194368000*ep^-1+
         57586186146338782833/102245*z3-5376521713533762358294952930419\
         5315258148892112496175553538938161427073/264315119295954949123\
         70906721715029087476514816000000000*ep+172758558439016348499/
         204490*ep*z4+35427028673723161603273946737/3758190836400*ep*z3
         +6781589077949161209289946266436423973383103432596883815104891\
         28580114860681751673/73836711921132900301413588543230990540977\
         461886734827520000000000*ep^2+11171740713551120049577/204490*
         ep^2*z5+35427028673723161603273946737/2505460557600*ep^2*z4-
         1122688825543396062073350319024349863/51463462692593952000*
         ep^2*z3+133376791248368620220742634190764178463529261774288670\
         91656781678605920854398418282336059797006352329143294799/
         71083085314366043581998651246622555687614505990017756083390633\
         3615619063278469120000000000000*ep^3+11056568341258442483911/
         81796*ep^3*z6+311053510291616694557834535781/2505460557600*
         ep^3*z5-1122688825543396062073350319024349863/
         34308975128395968000*ep^3*z4-334003690243376238017702696322666\
         713043857873/16972107571120705429345920000*ep^3*z3+
         806208905465750107499/40898*ep^3*z3^2;
Fill mncnoptab(14,3,2,4)=
      +mncF321*(-73370562773760-87942692154711276/143*ep-
         146801151013753860/77*ep^2-879046265139550261/275*ep^3)
      +13200411275699538051068958809610337743431/
      36566559863910414898560000-345789646989471/286286*ep^-3-
         232436372941964262067571/17538223903200*ep^-2-
         2405885002082996022345401223647/53720632108935792000*ep^-1+
         691056347294099804676/715715*z3-125065348099010208225830889642\
         7046501348336690310748640309680707497/361270483073272728974307\
         115492168534327296000000000*ep+1036584520941149707014/715715*
         ep*z4+5081607208080199135663959871/313182569700*ep*z3+
         16474316617811293289551080669605931208296919658830816388385997\
         21282484437021/10623294392471220146035595070522640807263045943\
         2960000000000*ep^2+9575810279486281324446/102245*ep^2*z5+
         5081607208080199135663959871/208788379800*ep^2*z4-573650816281\
         23785027387378216634937/1580018591439288000*ep^2*z3-
         11033761704188678348309994760617881367713102469321642380391949\
         861629768148020390460029303082593360285343331295649/
         24776897924888714066050404875150874566864131244145564104816847\
         6410894219744001392640000000000000*ep^3+
         33169807804554934733223/143143*ep^3*z6+
         320338549801438391237673088411/1461518658600*ep^3*z5-573650816\
         28123785027387378216634937/1053345727626192000*ep^3*z4-
         27703639692681616432024800743714022058153/
         761803330498133643720000*ep^3*z3+4837201313861260544982/143143
         *ep^3*z3^2;
Fill mncnoptab(14,3,3,3)=
      +mncF321*(-36685281386880-44535401495786142/143*ep-
         379607139558530652/385*ep^2-254967949347922938469/150150*ep^3)
      +13202630704460752450960684634977157192171/
      73133119727820829797120000-11730742456250239/2862860*ep^-3-
         1583427541199050479164807/35076447806400*ep^-2-
         3291980673305768348642859775067/21488252843574316800*ep^-1+
         69116035758916142162/143143*z3-1220828820001187056853493286586\
         3942713833938678138661413877378067741/713620707305230081924557\
         2651697156233625600000000000*ep+103674053638374213243/143143*
         ep*z4+5114628636944216432570814379/626365139400*ep*z3+
         23822137327980575671061940424892215141575270536570827945613034\
         82202597244553/31476427829544355988253615023770787577075691683\
         8400000000000*ep^2+957597143151419867463/20449*ep^2*z5+
         5114628636944216432570814379/417576759600*ep^2*z4-546132390418\
         11547059312828192135437/3160037182878576000*ep^2*z3-
         17281498492033583847827887302934361855992240262513046716067344\
         0105431921763299981715146802694655982064674472195367/
         69987089447093058991510279449808890134549546032845741570149317\
         78125012034250310942720000000000000*ep^3+
         33170319831505114650395/286286*ep^3*z6+
         111693850282111556193681218933/974345772400*ep^3*z5-5461323904\
         1811547059312828192135437/2106691455252384000*ep^3*z4-
         10262249732516694139363151282844149320949/
         507868886998755762480000*ep^3*z3+12092455241904144733579/
         715715*ep^3*z3^2;
Fill mncnoptab(14,4,1,4)=
      +mncF321*(-14266498317120-17260201787881752/143*ep-
         12538598508942326/33*ep^2-146278131174117067148/225225*ep^3)
      +1681797918147646578646415080939421899739183/
      23960622453346878253194240000-4185179331296/61347*ep^-3-
         2085276690419195508029/2652840590400*ep^-2-
         466046425808724881491399576157/154390388077781856000*ep^-1+
         19195668344875859756/102245*z3-1946780854448786057873109861699\
         9102982442901205495311028573177589047/291524028635244429180561\
         47119538635022952038400000000*ep+28793502517313789634/102245*
         ep*z4+4204362926681507704487046187/1326420295200*ep*z3+
         24118798256034361091178917366809477992022283214491241815463629\
         76100094003270167/81437549913014228273617928540328298390783965\
         3162516480000000000*ep^2+5585878093426171336196/306735*ep^2*z5
         +4204362926681507704487046187/884280196800*ep^2*z4-52599570098\
         1763375657152684754711649/77195194038890928000*ep^2*z3-
         59602913381837150434209253120944242312095196699324032493514746\
         229574761803070669494252267230373553548939285567/
         14660886346087996488787221819615902110570491860441162192199318\
         13082214318011842560000000000000*ep^3+2764145544195771878464/
         61347*ep^3*z6+19475662261064622608262086903/442140098400*ep^3*
         z5-525995700981763375657152684754711649/51463462692593952000*
         ep^3*z4-91735758907886853203807212033299349274699821/
         11980311226673439126597120000*ep^3*z3+403102203553422998428/
         61347*ep^3*z3^2;
Fill mncnoptab(14,4,2,3)=
      +mncF321*(-18342640693440-22392853458929424/143*ep-
         500778285298593300/1001*ep^2-65415667068858247397/75075*ep^3)
      +4658438488480096658200490917970617442273/
      51623378631402938680320000-224099090435681/143143*ep^-3-
         37063093019608973052959/2063320459200*ep^-2-
         139117562040254964054144399811/2106691455252384000*ep^-1+
         172782160508919030484/715715*z3-567494415283484047677014379320\
         666485497125785943611588350540140443/6667044670325678966077178\
         60193159924940800000000000*ep+259173240763378545726/715715*ep*
         z4+86200410306602442893450293/21054290400*ep*z3+
         62364497781057687607927507789498726159790530327540124675497658\
         8352658781901/166639912038764237584872079537610051878636014796\
         800000000000*ep^2+2393980975737918757464/102245*ep^2*z5+
         86200410306602442893450293/14036193600*ep^2*z4-329605338425389\
         059764049002267201/39012804726896000*ep^2*z3-
         13226188747897078738373231219323906715260067622599074675716771\
         578017486935733848312124791852152201821553176852874669/
         94482570753575629638538877257242001681641887144341751119701579\
         0046876624623791977267200000000000000*ep^3+
         8292542334828256135882/143143*ep^3*z6+
         20094474654818816442675978433/343886743200*ep^3*z5-98881601527\
         6167179292147006801603/78025609453792000*ep^3*z4-2722530796109\
         16542574285164670203411989411/25811689315701469340160000*ep^3*
         z3+1209263479542043221992/143143*ep^3*z3^2;
Fill mncnoptab(14,4,3,2)=
      +mncF321*(-6114213564480-7565289895718712/143*ep-
         864497826576937006/5005*ep^2-23212021099076103062/75075*ep^3)
      +13996090011900922270290430709669740382389/
      464610407682626448122880000-2042170948733016/715715*ep^-3-
         190047034553457876224653/6189961377600*ep^-2-
         374902254506266112126072398427/3792044619454291200*ep^-1+
         11526512446501394036/143143*z3-9502177953185570492156638071849\
         42693818244279310498163648039201441/34001927818660962726993610\
         86985115617198080000000000*ep+17289768669752091054/143143*ep*
         z4+607762540241038343714340269/442140098400*ep*z3+
         60778908801631231903786431789244773675466697556772667879326867\
         850236732247/4999197361162927127546162386128301556359080443904\
         0000000000*ep^2+159610247692240363532/20449*ep^2*z5+
         607762540241038343714340269/294760065600*ep^2*z4-2519481494922\
         6594439764520671430291/9480111548635728000*ep^2*z3-
         54476430725324649221193556870562208116673806318484664877597138\
         331604933130412831833575916706297822361910268358853623/
         18424101296947247779515081065162190327920167993146641468341807\
         905914094180163943556710400000000000000*ep^3+
         2764363053497952876720/143143*ep^3*z6+
         21030753137274634773643891207/1031660229600*ep^3*z5-2519481494\
         9226594439764520671430291/6320074365757152000*ep^3*z4-
         895800943175279007482560475669616939593087/
         232305203841313224061440000*ep^3*z3+2015001155624323752044/
         715715*ep^3*z3^2;
Fill mncnoptab(14,4,4,1)=
      +mncF321*(-509517797040-642856903128036/143*ep-227299593151309264/
         15015*ep^2-192180735296229671/6825*ep^3)
      +294935056390182790476645912537909587935817/
      118393663887125751368724480000-1785602507864377/17177160*ep^-3-
         63092764346942883690749/37139768265600*ep^-2-
         982083820449572507123657613461/101716020380656281600*ep^-1+
         960020983582798612/143143*z3-198332614860671734039519128290544\
         3480216390200464139304970071935201/866589463730218391207294146\
         35340365928857600000000000*ep+1440031475374197918/143143*ep*z4
         +306845651380512760906401967/2652840590400*ep*z3+
         33009666022086844020736806654157568525450933857466865755222552\
         67727558253551/33891577394771827692902219160440748429938104813\
         486080000000000*ep^2+79800680086510835995/122694*ep^2*z5+
         306845651380512760906401967/1768560393600*ep^2*z4-873397614330\
         879476817890694748044383/4322930866177891968000*ep^2*z3-
         10698894673038122412129972953132414633545421087205145105039287\
         2036042730620377582198582298087112616510572462629/
         38473253637940104110336771453807913365774712496430995203309560\
         3975428642655761858560000000000000*ep^3+2764223173520395301465/
         1717716*ep^3*z6+11199896753246093161284646601/6189961377600*
         ep^3*z5-873397614330879476817890694748044383/
         2881953910785261312000*ep^3*z4-3625424926526031493160479470288\
         01039289256677/1006346143040568886634158080000*ep^3*z3+
         1007696816523351382007/4294290*ep^3*z3^2;
Fill mncnoptab(14,5,1,3)=
      +mncF321*(-1888213012560-2348545178089026/143*ep-
         15457350043970859/286*ep^2-666193983011884168/6825*ep^3)
      +560001123489342313543121827422835507199041/
      60345271363984730415452160000+1386297182799/40898*ep^-3+
         821217551333050290911/20043684460800*ep^-2-
         2620822947704857287598095234097/1166505154365462912000*ep^-1+
         2540438902728288423/102245*z3-22772300249310673984554617769152\
         2242743713585955348069881490423500032001/264315119295954949123\
         7090672171502908747651481600000000000*ep+7621316708184865269/
         204490*ep*z4+4263396963203245489570619327/10021842230400*ep*z3
         +2738383255404261014061695913196925641182542128143452142688901\
         70476941906697620729/73836711921132900301413588543230990540977\
         4618867348275200000000000*ep^2+246434294789036611281/102245*
         ep^2*z5+4263396963203245489570619327/6681228153600*ep^2*z4-
         468152876200534501327392591443685229/583252577182731456000*
         ep^2*z3+262258023284653907203783080094442841707750308521481901\
         55542247422280026434396584438726157419005360508433789578041336\
         931653/2928508522528468548314470470498562879953309877925871245\
         124266538381806877003690237445432934400000000000000*ep^3+
         121946927943154161429/20449*ep^3*z6+
         3055292441114886424351237309/477230582400*ep^3*z5-468152876200\
         534501327392591443685229/388835051455154304000*ep^3*z4-
         12420861433431885427306399811288136334855969/
         10057545227330788402575360000*ep^3*z3+17784390143005435935/
         20449*ep^3*z3^2;
Fill mncnoptab(14,5,2,2)=
      +mncF321*(-1618468296480-2032502709554388/143*ep-
         47542320602055705/1001*ep^2-937752527969625002/10725*ep^3)
      +41985863317722830061669248096170913785987/
      5265584620403099745392640000-116900579637971/143143*ep^-3-
         615995937952341051824387/70152895612800*ep^-2-
         6082899096521548861201325727049/214882528435743168000*ep^-1+
         15257066117934863818/715715*z3-2342014565088257693534896939179\
         07603935389152120448176008493205279/32112931828735353686605076\
         93263720305131520000000000*ep+22885599176902295727/715715*ep*
         z4+1837184461898185962123835003/5010921115200*ep*z3+
         14734630947772098144840488263184873648714819584319072293487439\
         961851692381/4721464174431653398238042253565618136561353752576\
         0000000000*ep^2+211250747264253805578/102245*ep^2*z5+
         1837184461898185962123835003/3340614076800*ep^2*z4-70579031745\
         626613621517909053319093/107441264217871584000*ep^2*z3+
         21752924530381061985942488898007970499134857129748159491431801\
         7910209071691810379887213772613806254878786830625719/
         10235611831637359877508378369534550182177871107303689704634337\
         72550783010009107975372800000000000000*ep^3+
         731749082365920887614/143143*ep^3*z6+
         66217780708627938129656345249/11692149268800*ep^3*z5-705790317\
         45626613621517909053319093/71627509478581056000*ep^3*z4-
         2949137538178740726624420369811567580532329/
         2632792310201549872696320000*ep^3*z3+106672804188949088858/
         143143*ep^3*z3^2;
Fill mncnoptab(14,5,3,1)=
      +mncF321*(-269744716080-343472508996462/143*ep-82109102570969127/
         10010*ep^2-1164788646433437182/75075*ep^3)
      +5007929860237327110177437071531741818980009/
      3801752095931038016173486080000-98137162065157/1431430*ep^-3-
         156562503885323233187713/140305791225600*ep^-2-
         3433903401094494002767410701519/544369072037216025600*ep^-1+
         508254895887287035/143143*z3-693565640539420395645422209722368\
         27839188155300196762128827799500949/57794851158007641936671078\
         83756930558486118400000000000*ep+1524764687661861105/286286*ep
         *z4+88087464964473508083048527/1431691747200*ep*z3+
         11432582454789674417117383157171887397343002761042066876485888\
         4470677163562711/226030750778978266228817107785400991451971822\
         1022494720000000000*ep^2+7041267101163978651/20449*ep^2*z5+
         88087464964473508083048527/954461164800*ep^2*z4-13885394333336\
         7183493229321869030543/1360922680093040064000*ep^2*z3-
         64678819667627688753192334205351644546719102037403939692752729\
         99166522858654471234425167868162784083395503757041/
         53714581040662529969431723222047202122216233216170966380005270\
         862723306647708290252800000000000000*ep^3+
         121951537030651408805/143143*ep^3*z6+
         23055364008102883407723299467/23384298537600*ep^3*z5-138853943\
         333367183493229321869030543/907281786728693376000*ep^3*z4-
         381203606490448885198796401055889336582835867/
         1900876047965519008086743040000*ep^3*z3+88915321979890425659/
         715715*ep^3*z3^2;
Fill mncnoptab(14,6,1,2)=
      +mncF321*(-83920578336-546561903440868/715*ep-5790196972390249/
         2145*ep^2-17913533405481663856/3378375*ep^3)
      +559558861462183708027368927048354250944641/
      1357768605689656434347673600000-8602164431923/306735*ep^-3-
         22483935138752574668887/64426128624000*ep^-2-
         37292308725801563290815355095737/26246365973222915520000*ep^-1
         +1694853207821432042/1533675*z3-144807603286233830614612396977\
         3485192814531925319939630168484920302931/396472678943932423685\
         563600825725436312147722240000000000*ep+847426603910716021/
         511225*ep*z4+4367826018861140309747698367/225491450184000*ep*
         z3+82671156120893341457097629619186380911300147292529276601925\
         75772673116293494663/55377533940849675226060191407423242905733\
         0964150511206400000000000*ep^2+54767249870716130658/511225*
         ep^2*z5+4367826018861140309747698367/150327633456000*ep^2*z4-
         52312782506010299282900649498758387/1874740426658779680000*
         ep^2*z3-204211706289295912760493491603090917415758799193181203\
         60514100839366665985460317180984750458299362832086230758159653\
         11469/21963813918963514112358528528739221599649824084444034338\
         43199903786355157752767678084074700800000000000000*ep^3+
         81303448202163479966/306735*ep^3*z6+
         24703463832412196314308522923/75163816728000*ep^3*z5-523127825\
         06010299282900649498758387/1249826951105853120000*ep^3*z4-
         142864668430357458513762146655135151745963881/
         2036652908534484651521510400000*ep^3*z3+11853192146213648506/
         306735*ep^3*z3^2;
Fill mncnoptab(14,6,2,1)=
      +mncF321*(-35965962144-236561025949812/715*ep-8302489032715/7*
         ep^2-2672878644971030908/1126125*ep^3)
      +558041671449187455612912094032121874797601/
      3168126746609198346811238400000-26712091661603/715715*ep^-3-
         453811883785361290775809/1052293434192000*ep^-2-10177216088236\
         5632185196226495977/61241520604186802880000*ep^-1+
         1696301938591547242/3578575*z3-2104308094091963353440074853315\
         2918321221020754932488421926709413209/136606011828018062759404\
         36816152744956421734400000000000*ep+2544452907887320863/
         3578575*ep*z4+627532130650189939082170601/75163816728000*ep*z3
         +1844052954981192912262790324669817061369162854064507986185075\
         909846109683494301/2938399760126717460974622401210212888875633\
         68732924313600000000000*ep^2+23474161895963605482/511225*ep^2*
         z5+627532130650189939082170601/50109211152000*ep^2*z4-34287430\
         0561261742034814661538566789/30620760302093401440000*ep^2*z3-
         48997899949903231124040935482845791622174768188882518037093058\
         480680760140525993365488776583554058511523460059947813960601/
         47551080824569796182623528472426657757427301071635445140638088\
         73915726913046637723025483078041600000000000000*ep^3+
         81311415666576845566/715715*ep^3*z6+
         25439551282459970828360331083/175382239032000*ep^3*z5-34287430\
         0561261742034814661538566789/20413840201395600960000*ep^3*z4-
         148371464134552035868561147480795845665542921/
         4752190119913797520216857600000*ep^3*z3+11850874145277334586/
         715715*ep^3*z3^2;
Fill mncnoptab(14,7,1,1)=
      +mncF321*(-736145424-5277214431202/715*ep-6967833786109/234*ep^2-
         686753584975456937/10135125*ep^3)
      +61330830721794342721440428350946497354489/
      17198402338735648168403865600000-4741396480177/1840410*ep^-3-
         1181107039828695501107809/51412050641952000*ep^-2-
         32930354948884323030408689678711/427440817278201767040000*
         ep^-1+44547733874765959/4601025*z3-101246282348841088466984611\
         0150498650387078953344969304599/358645950748626689136047585705\
         73414531072000000*ep+44547733874765959/3067350*ep*z4+
         4592779947982427812316313407/25706025320976000*ep*z3+
         85905240380769801786306614081265337909963586485101881440688639\
         7229/8349010900840672344830470575825725836629450424320000000*
         ep^2+480468010396045897/511225*ep^2*z5+
         4592779947982427812316313407/17137350213984000*ep^2*z4-
         134485875339260841185561621079410189/1496042860473706184640000
         *ep^2*z3+24372528500471672338738731055962539496945052663536725\
         8310470992608245437268573235512452987910333619/
         30810451910944466581399247130269256833772576679931178824519737\
         7229343948800000000000000*ep^3+2139832179844823557/920205*ep^3
         *z6+32095695347049094044524611883/8568675106992000*ep^3*z5-
         134485875339260841185561621079410189/997361906982470789760000*
         ep^3*z4-197667618040108955212265870333031613899793321/23217843\
         1572931250273452185600000*ep^3*z3+312507415423546847/920205*
         ep^3*z3^2;
Fill mncnoptab(15,1,1,6)=
      +mncF321*(-1572226345152-13283387539694955/1001*ep-
         1120482037113009603/26950*ep^2-1111444763640240619157/15765750
         *ep^3)
      +7333693253828055783144824800733481138305868673/94806192892280260\
      5283263091200000+390698015109137/200400200*ep^-3+
         1037518009231633923853633/139955026747536000*ep^-2-36252356596\
         8711502709007541205029/8145122240356844783040000*ep^-1+
         518274011990303706381/25050025*z3-8505511900642187020307312879\
         129391652385653617366704457695937985453/1153270885376052697253\
         10301778500136101478400000000000*ep+1554822035970911119143/
         50100050*ep*z4+871959262006059602942735176753/2499196906206000
         *ep*z3+2111446070776057580546300426738663735572246098097064926\
         2348789296138835385799/644334916272378888212291566689350391441\
         87783649689600000000000*ep^2+2051951295309016454261/1022450*
         ep^2*z5+871959262006059602942735176753/1666131270804000*ep^2*
         z4-181666142416629660263061196936402720577/
         239562418834024846560000*ep^2*z3-96829099798583344235409175143\
         34590773793432079563701548929507703181160217682892364893377081\
         1164865196793/445195289416774663687962532358697062938502748153\
         77081882434609839442231296000000000000000*ep^3+
         99509065446161198846027/20040020*ep^3*z6+
         18715013143744128950034055883041/3887639631876000*ep^3*z5-
         181666142416629660263061196936402720577/
         159708279222683231040000*ep^3*z4-19793520630850362752182985186\
         0670086646786607261/237015482230700651320815772800000*ep^3*z3+
         36279441423398508286811/50100050*ep^3*z3^2;
Fill mncnoptab(15,2,1,5)=
      +mncF321*(-2620377241920-22357385228136429/1001*ep-
         996714087594446049/14014*ep^2-388340021815621681907/3153150*
         ep^3)
      +128658382893200281023217104474887293075838137/
      9979599251818974792455400960000+42086965011407/8016008*ep^-3+
         54482331725069313445657/1473210807868800*ep^-2-
         18935430509919894366317558509/85738128845861524032000*ep^-1+
         172758084447460256159/5010005*z3-17038283583787194899055656227\
         145557655812761272652193610577899933591/1398492694687592323405\
         86808051402270304108544000000000*ep+518274253342380768477/
         10020010*ep*z4+15373052797540528053913972873/26307335854800*ep
         *z3+2093579425877507678501597484666002086790544123733426479044\
         17257441848523183529/39067043344514762064239993938217455312686\
         4877707591680000000000*ep^2+683983976546711273879/204490*ep^2*
         z5+15373052797540528053913972873/17538223903200*ep^2*z4-
         3065456708563807041420125280254140889/2521709671937103648000*
         ep^2*z3+228291796047884266925392888946122107236442346961331623\
         41585739931777494025688036930831680986961725073927011/
         48893127464907860664866797153761546240158125813239726406564985\
         910069036098519040000000000000*ep^3+33169698681893931907753/
         4008004*ep^3*z6+113243622238089741724679519827/13640840813600*
         ep^3*z5-3065456708563807041420125280254140889/
         1681139781291402432000*ep^3*z4-3742096100261837507099412896422\
         105079778819877/2494899812954743698113850240000*ep^3*z3+
         2418629411639350748229/2004002*ep^3*z3^2;
Fill mncnoptab(15,2,2,4)=
      +mncF321*(-3493836322560-30148373430495948/1001*ep-
         3422417584370387354/35035*ep^2-16714572821888902148/96525*ep^3
         )
      +356406227688115092412755798109207891028897/
      20733239442837205247483520000-707120700994129/30060030*ep^-3-
         296793723352354040019931/1104908105901600*ep^-2-
         641719549056421246236886802983/676879964572590979200*ep^-1+
         138208983366139974620/3006003*z3-23707812031532934104780081398\
         3335163672198998020690372315776723/147457340029907236316043720\
         6090483813580800000000*ep+69104491683069987310/1002001*ep*z4+
         15461029058601813279485528057/19730501891100*ep*z3+
         66269390420237198792360533929204130885658300668524880984611465\
         8257860643/948508427899216084467463845582378643505629102080000\
         000000*ep^2+273594083235360870046/61347*ep^2*z5+
         15461029058601813279485528057/13153667927400*ep^2*z4-153865754\
         625360776362024623495576091/99541171260675144000*ep^2*z3-
         19034636955767507103155170005289309191308309151269473362734426\
         267048231876650214443740567194500922906062033/
         82086197736843076020575155298008463314551190180710191176838217\
         73485761322024960000000000000*ep^3+33169752737916356644085/
         3006003*ep^3*z6+352982725890444097797259518589/30691891830600*
         ep^3*z5-153865754625360776362024623495576091/
         66360780840450096000*ep^3*z4-112104283718786130207472963589469\
         77072061863/5183309860709301311870880000*ep^3*z3+
         8062044473616891488366/5010005*ep^3*z3^2;
Fill mncnoptab(15,3,1,4)=
      +mncF321*(-1310188620960-11364699783894192/1001*ep-
         260179918592538216/7007*ep^2-2118256392463107889/31850*ep^3)
      +28591548100643431839372188172726624903817741/
      4435377445252877685535733760000-8516593900275/2004002*ep^-3-
         25352900667574352168083/491070269289600*ep^-2-
         5494646412467307774410980041439/28579376281953841344000*ep^-1+
         86380157826275367762/5010005*z3-424840330123440953068985270199\
         36398599045695836821629262849502455663/70798692668559361372422\
         0715760223993414549504000000000*ep+129570236739413051643/
         5010005*ep*z4+10334552868952725272999389007/35076447806400*ep*
         z3+25635456498233840945818416693974981586983873489401422820481\
         9578492127358705059/988884534658029914751074846561129337602376\
         721697341440000000000*ep^2+170996196782491833936/102245*ep^2*
         z5+10334552868952725272999389007/23384298537600*ep^2*z4-
         476224105592980046465988239790942719/840569890645701216000*
         ep^2*z3-242105040460950705588996346724107876758547184444225126\
         917588225421869247923125596895201088035183853368536401/
         84678393454848646842277528623208730577115964607469460371896266\
         715958379953520640000000000000*ep^3+4146216742257912247551/
         1002001*ep^3*z6+359145807069738877841985932581/81845044881600*
         ep^3*z5-476224105592980046465988239790942719/
         560379927097134144000*ep^3*z4-18611190109916402612077727974424\
         96181646219367/2217688722626438842767866880000*ep^3*z3+
         604654249829143894728/1002001*ep^3*z3^2;
Fill mncnoptab(15,3,2,3)=
      +mncF321*(-1310188620960-11506703850754848/1001*ep-
         1343499804105065364/35035*ep^2-74008461594461504701/1051050*
         ep^3)
      +26392680534261591066676148258017443073727/
      4095454704757966468638720000-596520252468443/10020010*ep^-3-
         357816962819755476541291/491070269289600*ep^-2-
         907063874224442525261293192777/300835539810040435200*ep^-1+
         17277010310542923482/1002001*z3-103611019188421591409886348450\
         0783314957588282396487954390973189/174764254850260428226422187\
         38850178531328000000000*ep+25915515465814385223/1002001*ep*z4+
         1485782840280456857550212849/5010921115200*ep*z3+
         22729321497306955192737512931895612683932238644298645843662484\
         64943431793/89932650941555302823581757210773678791644833382400\
         00000000*ep^2+34199470591763036568/20449*ep^2*z5+
         1485782840280456857550212849/3340614076800*ep^2*z4-23658408212\
         163665211884878569957661/44240520560300064000*ep^2*z3-
         31289427104476000725684769537604219886559904631938153850135134\
         112030083261115685978002806208919329885572538389/
         38953853124541591275423161103789734768765981094348279167058989\
         488636430617348669440000000000000*ep^3+4146242621714614670875/
         1002001*ep^3*z6+124659416016593468421722794143/27281681627200*
         ep^3*z5-23658408212163665211884878569957661/
         29493680373533376000*ep^3*z4-185011881123465552372880568017050\
         6580148861/2047727352378983234319360000*ep^3*z3+
         3023227158262345231936/5010005*ep^3*z3^2;
Fill mncnoptab(15,3,3,2)=
      +mncF321*(-327547155240-2930281774758522/1001*ep-
         352174348055918406/35035*ep^2-20107536988193840359/1051050*
         ep^3)
      +79279168100394897958259043164721392977291/
      49145456457095597623664640000-12400488788933851/80160080*ep^-3-
         1655093663793000360028493/982140538579200*ep^-2-
         13403101293246126943303990672919/2406684318480323481600*ep^-1+
         4322555225596402430/1002001*z3-3082252621772564205728660640233\
         0892952292524997631752730842819/212387115269413714858499186062\
         4153640960000000000*ep+6483832838394603645/1002001*ep*z4+
         750305589066830978084625817/10021842230400*ep*z3+
         44516890920629816411074888512666466889365769069003134584128805\
         5759693/7318737869592716701137838314678847557913804800000000000
         *ep^2+34202272512593618727/81796*ep^2*z5+
         750305589066830978084625817/6681228153600*ep^2*z4-430096592023\
         12781656815221258235077/353924164482400512000*ep^2*z3-
         15150628478113852596286939722392387105282383231800483146722198\
         6319259791734480673351545049779696391376819239/
         93244966180905008577007251169109476640301564593478887947242425\
         3857827016566374400000000000000*ep^3+8293105661073508539515/
         8016008*ep^3*z6+66079498359355304947454920419/54563363254400*
         ep^3*z5-43009659202312781656815221258235077/
         235949442988267008000*ep^3*z4-61141271436143626269223437268076\
         00806860143/24572728228547798811832320000*ep^3*z3+
         3022465250315777108581/20040020*ep^3*z3^2;
Fill mncnoptab(15,4,1,3)=
      +mncF321*(-231209756640-2059402646438208/1001*ep-3780873864464628/
         539*ep^2-1069229321606728651/80850*ep^3)
      +560135358238950488523160883054952504863831/
      492819716139208631726192640000+9886998806427/2004002*ep^-3+
         12111435842953607571743/491070269289600*ep^-2-
         3910735675060162565158731176101/28579376281953841344000*ep^-1+
         15242546928693086598/5010005*z3-577498097081053203407476774916\
         309828586213393239589940097056403489/5593970778750369293623472\
         3220560908121643417600000000*ep+22863820393039629897/5010005*
         ep*z4+1848533674891001001972465413/35076447806400*ep*z3+
         16902741911399538226518250439658379369964589800158789990730837\
         511768113201677/3906704334451476206423999393821745531268648777\
         07591680000000000*ep^2+30175610044122407544/102245*ep^2*z5+
         1848533674891001001972465413/23384298537600*ep^2*z4-1256555577\
         522886352437135908218221957/14289688140976920672000*ep^2*z3+
         20545131691464461088568266927293529145364085812864751542907767\
         498409900691183710241474905453300683526935879123/
         30297441319087904325329125302947571486817985295604217129934769\
         602272779369048965120000000000000*ep^3+731681172616652441529/
         1002001*ep^3*z6+68999675704371760388684502679/81845044881600*
         ep^3*z5-1256555577522886352437135908218221957/
         9526458760651280448000*ep^3*z4-1273754311315766797262053881452\
         27505362277071/739229574208812947589288960000*ep^3*z3+
         106706536542380223216/1002001*ep^3*z3^2;
Fill mncnoptab(15,4,2,2)=
      +mncF321*(-154139837760-1391146599269808/1001*ep-
         169443703154686764/35035*ep^2-4914752823850129193/525525*ep^3)
      +13988704372296485186785346308147484726299/
      18429546171410849108874240000-369987095657609/5010005*ep^-3-
         197756642882071144752103/245535134644800*ep^-2-
         401628212674726641955903612661/150417769905020217600*ep^-1+
         2034211831134052516/1002001*z3-9705063018101093814030728611063\
         5397107755581022981375429990107/143361302806854257529486950592\
         13037076480000000000*ep+3051317746701078774/1002001*ep*z4+
         620721250787139839934517259/17538223903200*ep*z3+
         16904518622072068444769868478582752845626005955611300620243346\
         078964949/6022275732693435456936278384650023133369073664000000\
         00000*ep^2+4023808220338389240/20449*ep^2*z5+
         620721250787139839934517259/11692149268800*ep^2*z4-20471719043\
         059022482509156901382881/376044424762550544000*ep^2*z3-
         48034214937317494398035824965405475622377206672341714633377944\
         9255880603715934472286216520036786340075526881/
         11619757324082008761134749761073642473637579587802753728810209\
         932689844360288665600000000000000*ep^3+487830977413617550610/
         1002001*ep^3*z6+7986186438060882429429730659/13640840813600*
         ep^3*z5-20471719043059022482509156901382881/
         250696283175033696000*ep^3*z4-11264594110417838945324441089455\
         09801777617/9214773085705424554437120000*ep^3*z3+
         355578594326437300376/5010005*ep^3*z3^2;
Fill mncnoptab(15,4,3,1)=
      +mncF321*(-19267479720-177220570770666/1001*ep-22219891227556938/
         35035*ep^2-1335495271532307667/1051050*ep^3)
      +1665405921822846401924390631838726950247123/
      17741509781011510742142935040000-714197379919883/80160080*ep^-3-
         127471830818503735581629/982140538579200*ep^-2-
         1227112652929538532818772475757/1829080082045045846016*ep^-1+
         254193617827379974/1002001*z3-62590477419915852450578062386946\
         901637669042148392124771145281386071/7551860551312998546391687\
         6347757225964218613760000000000*ep+381290426741069961/1002001*
         ep*z4+313425360818183734842722527/70152895612800*ep*z3+
         35559879362715038084984414433261411061590313151547355432574138\
         6433364243924399/105481017030189857573447983633187129344253516\
         981049753600000000000*ep^2+2011854650518298679/81796*ep^2*z5+
         313425360818183734842722527/46768597075200*ep^2*z4-69055929938\
         0946838225029223138441183/114317505127815365376000*ep^2*z3-
         27125755967234848941014824874886815375480714634036773270224177\
         4626384706524567585266160657041785271594016802939/
         29002914280908693867792335403639811614199398651155673307110283\
         991993851523280509337600000000000000*ep^3+
         487820517020435576875/8016008*ep^3*z6+
         12674116517635408280282148281/163690089763200*ep^3*z5-69055929\
         9380946838225029223138441183/76211670085210243584000*ep^3*z4-
         146392027491480405390148634278111628443177879/
         8870754890505755371071467520000*ep^3*z3+177819649270443034133/
         20040020*ep^3*z3^2;
Fill mncnoptab(15,5,1,2)=
      +mncF321*(-12844986480-119633968918746/1001*ep-6105867308360641/
         14014*ep^2-1401963511089821909/1576575*ep^3)
      +1678455523600838930556348825150608118127523/
      26612264671517266113214402560000-7658015452435/2004002*ep^-3-
         142869825235993416987649/2946421615737600*ep^-2-
         34670862633425186897767096237217/171476257691723048064000*
         ep^-1+847386731212124581/5010005*z3-42999667872249145684409331\
         2126269143564971342318349376384258511149/786652140761770681915\
         800795289137770460610560000000000*ep+2542160193636373743/
         10020010*ep*z4+630913610380673512720495721/210458686838400*ep*
         z3+11937950332609547718220269571718416273507182997871305479177\
         34358397270496033/54938029703223884152837491475618296533465373\
         4276300800000000000*ep^2+1676538819578059443/102245*ep^2*z5+
         630913610380673512720495721/140305791225600*ep^2*z4-3169264381\
         97215560965489425989719069/85738128845861524032000*ep^2*z3-
         59706978794076438013839202655184103542295706616887076551851750\
         29163351658604285844761683287900952330355263106205839827/
         64290273815623455185281378446531150394734543658562703407856602\
         194881126259117962963399475200000000000000*ep^3+
         40651507714056394063/1002001*ep^3*z6+
         26277023992365511288509488843/491070269289600*ep^3*z5-31692643\
         8197215560965489425989719069/57158752563907682688000*ep^3*z4-
         155040655701672382618283126176410132371302601/
         13306132335758633056607201280000*ep^3*z3+5926663939283687309/
         1002001*ep^3*z3^2;
Fill mncnoptab(15,5,2,1)=
      +mncF321*(-4281662160-40419372017118/1001*ep-2870423036696959/
         19110*ep^2-1486158612450838367/4729725*ep^3)
      +1671331767231383376419622823900454446302883/
      79836794014551798339643207680000-165045512372479/30060030*ep^-3-
         560346905143428979466113/8839264847212800*ep^-2-
         25266185364515554743354838381021/102885754615033828838400*
         ep^-1+169680179794639009/3006003*z3-13456464039613735030964239\
         166529397728539388747629030656664348494081/7551860551312998546\
         3916876347757225964218613760000000000*ep+169680179794639009/
         2004002*ep*z4+635892492729820862577551849/631376060515200*ep*
         z3+74343625465197432317021217583979464536916501929382689857907\
         321026861209309109/1054810170301898575734479836331871293442535\
         16981049753600000000000*ep^2+111785815438586461/20449*ep^2*z5+
         635892492729820862577551849/420917373676800*ep^2*z4-2839244588\
         69395761164509406617689869/257214386537584572096000*ep^2*z3-
         47160910211422187947245647766826001644366461779821668433899918\
         6280484583860098904670714442741467624388007107979/
         31903205708999563254571568944003792775619338516271240637821312\
         3911932366756085602713600000000000000*ep^3+
         40657086724193926895/3006003*ep^3*z6+
         27307565594157570650492771147/1473210807868800*ep^3*z5-
         283924458869395761164509406617689869/171476257691723048064000*
         ep^3*z4-5991532013887422186985640893349762834818027/
         1478459148417625895178577920000*ep^3*z3+29625206665030342913/
         15030015*ep^3*z3^2;
Fill mncnoptab(15,6,1,1)=
      +mncF321*(-135210384-6913890549054/5005*ep-401066363725099/70070*
         ep^2-9639372978484831/716625*ep^3)
      +1652205612993296610270695487219055017880483/25281651437941402807\
      55368243200000-4740868078017/10020010*ep^-3-
         1200238533955180318785409/279910053495072000*ep^-2-23978983787\
         1714373765490849059217/16290244480713689566080000*ep^-1+
         44547744442809159/25050025*z3-71114981089433195756108111670614\
         483907353466293670085072943/1405892126934616621413306535966477\
         8496180224000000*ep+133643233328427477/50100050*ep*z4+
         662880288835256964362873321/19993575249648000*ep*z3+
         19511633291808182784999195633146307618996235340964460650010789\
         035187/1090937424376514519724514821907894842652914855444480000\
         000*ep^2+88249240310269377/511225*ep^2*z5+
         662880288835256964362873321/13329050166432000*ep^2*z4-84015232\
         855042987172304802365710669/8145122240356844783040000*ep^2*z3+
         39146939716229107158880401401474506158358518298098632893450902\
         939354586803071738305057662623557/1461502848293271638308256052\
         1087722771031885785115589767113362646926056488960000000000*
         ep^3+2139832515380195157/5010005*ep^3*z6+
         33629597557255964622058804043/46651675582512000*ep^3*z5-
         84015232855042987172304802365710669/5430081493571229855360000*
         ep^3*z4-67607706322878033250373607928607884266424387/421360857\
         299023380125894707200000*ep^3*z3+312507414366742527/5010005*
         ep^3*z3^2;
Fill mncnoptab(16,1,1,5)=
      +mncF321*(-58230605376-2566788811750549/5005*ep-
         1807052534736596047/1051050*ep^2-449597645538590014471/
         141891750*ep^3)
      +2444639957746088281557874832434263355217199563/85325573603052234\
      47549367820800000-30337341922309/1803601800*ep^-3+
         105258550572360424312331/1259595240727824000*ep^-2+
         13925302587151049785756726948373/14661220032642320609472000*
         ep^-1+34551568685359405763/45090045*z3-20768238065455577363417\
         541060121658042755994369371647352293562481/7908143214007218495\
         449849264811437904101376000000000*ep+34551568685359405763/
         30060030*ep*z4+296974994936266100096728346843/
         22492772155854000*ep*z3+24590748646298592799619380629992116079\
         2220819997232527155706697383527601391/220914828436244190244214\
         25143634870563721525822750720000000000*ep^2+
         136796668475583810011/1840410*ep^2*z5+
         296974994936266100096728346843/14995181437236000*ep^2*z4-
         50360540785624281471005521436696134411/
         2156061769506223619040000*ep^2*z3+3730829391333493739134251518\
         76619827866504485363930046252497187828417260783457822883456466\
         267087715213/2297609373350933301920432197075260631586378092727\
         4307521882042250972291399680000000000000*ep^3+
         6633933617932887879013/36072036*ep^3*z6+
         7192268901926772305358546000811/34988756686884000*ep^3*z5-
         50360540785624281471005521436696134411/
         1437374513004149079360000*ep^3*z4-8836088700714320933379489421\
         4881298678810806847/2133139340076305861887341955200000*ep^3*z3
         +4031049100567459816163/150300150*ep^3*z3^2;
Fill mncnoptab(16,2,1,4)=
      +mncF321*(-58230605376-2606942807587504/5005*ep-
         940338493049403356/525525*ep^2-241229014072585307033/70945875*
         ep^3)
      +257348058256139168295130251782641711876083529/898163932663707731\
      320986086400000-109782264762473/225450225*ep^-3-
         122040070611827754277253/33147243177048000*ep^-2-
         1138970713748705847356288527373/385821579806376858144000*ep^-1
         +34552585258324678628/45090045*z3-4037624144618943991409105744\
         80476916868566729161855750276617689/15608177396066878609440491\
         9700225748107264000000000*ep+17276292629162339314/15030015*ep*
         z4+31510861634791910160628936369/2367660226932000*ep*z3+
         15647691997581344758297770299811810451937222266873733114107175\
         78307202493/14533870291858170410803569173443993791922056462336\
         0000000000*ep^2+68398591834786428088/920205*ep^2*z5+
         31510861634791910160628936369/1578440151288000*ep^2*z4-
         1222509989065653964394817685449944537/56738467618584832080000*
         ep^2*z3-196571793263552249006899357081258428725351031923399056\
         881343082224661890999536613917279786959167409354599/
         21281606820663019709038003225409601600068827083887827342143241\
         63496308490895360000000000000*ep^3+1658489207323105148842/
         9018009*ep^3*z6+397402340180942741550199482169/
         1841513509836000*ep^3*z5-1222509989065653964394817685449944537/
         37825645079056554720000*ep^3*z4-201093499896118552129986667496\
         27116752202354907/449081966331853865660493043200000*ep^3*z3+
         2015502387292610601544/75150075*ep^3*z3^2;
Fill mncnoptab(16,2,2,3)=
      +mncF321*(-43672954032-1988663121243588/5005*ep-
         245453860341553694/175175*ep^2-9291444271727707106/3378375*
         ep^3)
      +712553415428239206271981567010321970375139/
      3317318310853952839597363200000-299182952834371/601200600*ep^-3-
         159981655628917221477559/22098162118032000*ep^-2-
         2198489863929145218167071436341/54150397165807278336000*ep^-1+
         8637998849227268792/15030015*z3-694323230634583170983985750503\
         852650217119145237376720569891/3640921976047092254717128903927\
         12052736000000000*ep+4318999424613634396/5010005*ep*z4+
         15894257672817596099712860597/1578440151288000*ep*z3+
         13008087778939739311278321011724196050279124472711599797952727\
         214241/1672854370192620960260077329069450870380298240000000000
         *ep^2+34199251135537444679/613470*ep^2*z5+
         15894257672817596099712860597/1052293434192000*ep^2*z4-
         116577779628534284197787436408564991/7963293700854011520000*
         ep^2*z3-598479933319733515484776487865464058596447921363268109\
         97004129750635614070165558300523568844902198792883/
         33534653171953849238484126294584826763744818435217182478528744\
         39448728531107840000000000000*ep^3+1658487307942880251687/
         12024012*ep^3*z6+209176660127813451028201652897/
         1227675673224000*ep^3*z5-116577779628534284197787436408564991/
         5308862467236007680000*ep^3*z4-6002886053885117341244320624906\
         5852133764167/1658659155426976419798681600000*ep^3*z3+
         1007761252585922902647/50100050*ep^3*z3^2;
Fill mncnoptab(16,3,1,3)=
      +mncF321*(-15413983776-707707961013744/5005*ep-6803137837981944/
         13475*ep^2-5285424847684385713/5255250*ep^3)
      +186769406059040975284328670085927657329077/
      2464098580696043158630963200000+14232682774881/50100050*ep^-3+
         618976037489697076053/272816816272000*ep^-2-
         150296127717579937692642319/635097250710085363200*ep^-1+
         1016177992925804682/5010005*z3-1333485927578890930427003399034\
         54547296314883954823186082698321/19978467066965604620083829721\
         6288957577297920000000*ep+1524266989388707023/5010005*ep*z4+
         9936036089272047074528513/2783845064000*ep*z3+
         37561515328797207737657778250614966797791757139176749185125729\
         32692484111/13952515480183843594371426406506234040245174203842\
         56000000000*ep^2+2011708548752018352/102245*ep^2*z5+
         29808108267816141223585539/5567690128000*ep^2*z4-1167511191618\
         55126655429532829074773/23816146901628201120000*ep^2*z3+
         46003153874969118251181284277478803238632701033334264364578656\
         6662470211591524781538063892659304083702123/
         21078924850942419521332879385167605394353885873565086129360925\
         047963436481249280000000000000*ep^3+48778770447961547283/
         1002001*ep^3*z6+8405552103966076523497572519/136408408136000*
         ep^3*z5-116751119161855126655429532829074773/
         15877431267752134080000*ep^3*z4-488714334228920272957559413103\
         49721523311133/3696147871044064737946444800000*ep^3*z3+
         177843598595455762248/25050025*ep^3*z3^2;
Fill mncnoptab(16,3,2,2)=
      +mncF321*(-7706991888-360266309770212/5005*ep-46256993929678656/
         175175*ep^2-204087660861743741/375375*ep^3)
      +13979706627647342240552338864234292864689/
      368590923428216982177484800000-679836040187163/200400200*ep^-3-
         92680999499002413556669/2455351346448000*ep^-2-
         260795579207902591908542008589/2005570265400269568000*ep^-1+
         508529860725596196/5010005*z3-10482809483439857936294174859205\
         7712526430785713356646436091/321257821415919904827981962111216\
         517120000000000*ep+762794791088394294/5010005*ep*z4+
         316109658863785734209296847/175382239032000*ep*z3+
         37063525799988079644288464964235219030166354146234382720370147\
         64897/2867750348901635931874418278404772920651939840000000000*
         ep^2+2011892668543958007/204490*ep^2*z5+
         316109658863785734209296847/116921492688000*ep^2*z4-1079448860\
         2587354917582143163850839/5013925663500673920000*ep^2*z3-
         35464053678557745642994758581720712425343847606804582213320617\
         839827170459273253229766182350217515582869/
         10060395951586154771545237888375448029123445530565154743558623\
         318346185593323520000000000000*ep^3+97565681037202749951/
         4008004*ep^3*z6+13281585687674885921669400041/409225224408000*
         ep^3*z5-10794488602587354917582143163850839/
         3342617109000449280000*ep^3*z4-1298941087867297695994389273812\
         193124888157/184295461714108491088742400000*ep^3*z3+
         177791049340909498773/50100050*ep^3*z3^2;
Fill mncnoptab(16,3,3,1)=
      +mncF321*(-680028696-32651871047694/5005*ep-335473647461394/13475
         *ep^2-25676534464121783/477750*ep^3)
      +14929907002164120350727877053096122441943787/4524084994157935239\
      246448435200000-4032476486349889/6813606800*ep^-3-
         73860473669801315836543/9275771753248000*ep^-2-148179700030678\
         014605974240879151/3886795174345722422784000*ep^-1+
         762931031340722474/85170085*z3-7967403077795270426007729157565\
         6191147667614106562146074774966999/286566136991787891269327432\
         5696144735249367040000000000*ep+1144396547011083711/85170085*
         ep*z4+15272947423844980779859907/94650732176000*ep*z3+
         26850332772742351996396265615880743722418846392050141865112583\
         6753650103047/250164242398608758195956434397904743143458396857\
         9584000000000000*ep^2+6035918502342316581/6952660*ep^2*z5+
         45818842271534942339579721/189301464352000*ep^2*z4-14516855972\
         04538358814104071217497309/9716987935864306056960000*ep^2*z3-
         14428785410794308273132234785695460313775047221781733478517989\
         955683382585295064841278874840706666189569611/
         49798959960351466119148927547458467744161055376297515980615185\
         425813618686951424000000000000000*ep^3+292708282489410622573/
         136272136*ep^3*z6+14306660711873572488143969241/
         4637885876624000*ep^3*z5-1451685597204538358814104071217497309/
         6477991957242870704640000*ep^3*z4-1521899234668570596678609013\
         737466690096617551/2262042497078967619623224217600000*ep^3*z3+
         533409060549788505919/1703401700*ep^3*z3^2;
Fill mncnoptab(16,4,1,2)=
      +mncF321*(-1141776576-54719607988504/5005*ep-458289623896226/
         11025*ep^2-69522781038493988/779625*ep^3)
      +1678248912261399830782203334486120189766743/29938797755456924377\
      3662028800000-69986184339548/225450225*ep^-3-
         131628571065226531926853/33147243177048000*ep^-2-
         6480872847574929981703354734313/385821579806376858144000*ep^-1
         +677894302533213748/45090045*z3-352626743146903099618018928557\
         672454191281510903013255558666663/7491925150112101732531436145\
         610835909148672000000000*ep+338947151266606874/15030015*ep*z4+
         640547039985670335949475669/2367660226932000*ep*z3+
         94029679277416666410706406604903583477838131477654710377148485\
         6698339447/523219330506894134788928490243983776509194032644096\
         0000000000*ep^2+447075690584408716/306735*ep^2*z5+
         640547039985670335949475669/1578440151288000*ep^2*z4-247804851\
         391636454288456195135000129/964553949515942145360000*ep^2*z3-
         74881102728017599760988019760070109590794596144714989195232397\
         96122988646981601797300704827070963109307/
         16274169921683485659852590701783812988287926593561279732227184\
         77967765316567040000000000000*ep^3+32521116106687433752/
         9018009*ep^3*z6+28459166859148266726471453407/5524540529508000
         *ep^3*z5-247804851391636454288456195135000129/
         643035966343961430240000*ep^3*z4-18863350147006417741946237318\
         876583172135741/16632665419698291320759001600000*ep^3*z3+
         118533598685466911132/225450225*ep^3*z3^2;
Fill mncnoptab(16,4,2,1)=
      +mncF321*(-285444144-13933674986596/5005*ep-17140825558000582/
         1576575*ep^2-1709014456739253992/70945875*ep^3)
      +1667202749498234366348991731169601064634643/11975519102182769750\
      94648115200000-853248408780721/1803601800*ep^-3-
         361478740340932034718509/66294486354096000*ep^-2-
         65368862663964806000281467974549/3086572638451014865152000*
         ep^-1+169758754972583272/45090045*z3-9604155594753735457759374\
         00208794841488599871087123200725799587/84284157938761144490978\
         656638121903977922560000000000*ep+84879377486291636/15030015*
         ep*z4+323772963486385982825433847/4735320453864000*ep*z3+
         50833005119113207042423611635684772008906070832571484435162755\
         599899043097/1177243493640511803275089103048963497145686573449\
         216000000000000*ep^2+223584373975579103/613470*ep^2*z5+
         323772963486385982825433847/3156880302576000*ep^2*z4-401411385\
         942907385850390893381513743/7716431596127537162880000*ep^2*z3-
         56690130084711070940351919777064065705764310732614899874084308\
         290927730116936282226542431966715656087443/
         50815265265664761346070334232100477289960260588058689776137944\
         3120547129458688000000000000000*ep^3+32527385464464961597/
         36072036*ep^3*z6+14954183452300622016559543441/
         11049081059016000*ep^3*z5-401411385942907385850390893381513743/
         5144287730751691441920000*ep^3*z4-1970298207514517313756535578\
         8659317348324031/66530661678793165283036006400000*ep^3*z3+
         59243981718672048391/450900450*ep^3*z3^2;
Fill mncnoptab(16,5,1,1)=
      +mncF321*(-15023376-788261260174/5005*ep-2132706808144391/3153150
         *ep^2-117682968706529423/70945875*ep^3)
      +1647379826724030695752048381289614548507043/22753486294147262526\
      798314188800000-23714697072421/450900450*ep^-3-
         1226354364680136789587713/2519190481455648000*ep^-2-
         50448053285699333013133074712429/29322440065284641218944000*
         ep^-1+8909540603215963/45090045*z3-635351558378256225257000030\
         63304578429112812089647322142261/11715767724455138511777554466\
         3873154134835200000000*ep+8909540603215963/30060030*ep*z4+
         672356373106671045327851369/179942177246832000*ep*z3+
         18000943294412998845467369343292760587405028852261822608615288\
         401139/9818436819388630677520633397171053583876233699000320000\
         000*ep^2+5883279051944431/306735*ep^2*z5+
         672356373106671045327851369/119961451497888000*ep^2*z4-1259249\
         1244741665959165169813304349/73306100163211603047360000*ep^2*
         z3+29755711148532200487870243587478127535845465953533934095598\
         759397883698211500890897455448536550828361/
         39131738763052348115703555795212377719437874189646991601446028\
         48714451624919040000000000000*ep^3+427966240016307697/9018009*
         ep^3*z6+35777036773124514031049052107/419865080242608000*ep^3*
         z5-12592491244741665959165169813304349/
         48870733442141068698240000*ep^3*z4-230972884609076513059041332\
         49111278782379201/1264082571897070140377684121600000*ep^3*z3+
         1562537092547077307/225450225*ep^3*z3^2;
Fill mncnoptab(17,1,1,4)=
      +mncF321*(-909853209-169972233931399/20020*ep-130594416374499097/
         4204200*ep^2-4510455810138525812/70945875*ep^3)
      +4887898126124094431528952483946784176947938401/10921673421190686\
      01286319081062400000+627482401580429/28857628800*ep^-3+
         1756526966778007877067179/20153523851645184000*ep^-2-448520487\
         575983608906377194244221/938318082089108519006208000*ep^-1+
         539820630697120352/45090045*z3-7648467769783620131188868133367\
         508978821029919441162036075979/1977035803501804623862462316202\
         85947602534400000000*ep+269910315348560176/15030015*ep*z4+
         306003289202756939047526262143/1439537417974656000*ep*z3+
         84176832164225201396168206475406960305605498722295799594821260\
         045432197/5522870710906104756105356285908717640930381455687680\
         00000000*ep^2+34198780894606467719/29446560*ep^2*z5+
         306003289202756939047526262143/959691611983104000*ep^2*z4-
         35439477716691081481528052981603635351/
         137987953248398311618560000*ep^2*z3-84175947728394323732272655\
         83504240786872365584188866354120242602673460987770764039499585\
         4289207907/558352533665565255386016088820926186542537769484135\
         57240307599724421054464000000000000*ep^3+
         1658466003653409066967/577152576*ep^3*z6+
         4277679036916102383472358975843/1119640213980288000*ep^3*z5-
         35439477716691081481528052981603635351/
         91991968832265541079040000*ep^3*z4-458065026178428089977954712\
         671678172061059782253/546083671059534300643159540531200000*
         ep^3*z3+1007795510307529811447/2404802400*ep^3*z3^2;
Fill mncnoptab(17,2,1,3)=
      +mncF321*(-481686993-92153708238303/20020*ep-24449448923551203/
         1401400*ep^2-587595521851545367/15765750*ep^3)
      +15127930339058926008761003819304737083942987/6386943521164143867\
      171456614400000+57258941435837/3206403200*ep^-3+
         16923558349430039534393/117856864629504000*ep^-2+
         799365364193174068906259009921/5487240246135137538048000*ep^-1
         +31754427357175616/5010005*z3-16609385108850067106155993581645\
         14088032057904383369416098437/83243612779023352583682623840120\
         398990540800000000*ep+47631641035763424/5010005*ep*z4+
         19578756576747236836041509/171803009664000*ep*z3+
         22102101859381655032200062888726739974157437265098472828992733\
         92246887/29067740583716340821607138346887987583844112924672000\
         000000*ep^2+2011704059495833367/3271840*ep^2*z5+
         19578756576747236836041509/114535339776000*ep^2*z4-15199688878\
         81545400344975530363921069/13718100615337843845120000*ep^2*z3+
         97042583840218705530238684345505436952800702081780117764760349\
         8891487290344310795609870524132864263/413768614421639936622900\
         34371571793192204904180719099260185842322097286676480000000000\
         00*ep^3+97557357239866215271/64128064*ep^3*z6+
         4716264751362129678599043147/2182534530176000*ep^3*z5-15199688\
         87881545400344975530363921069/9145400410225229230080000*ep^3*
         z4-1522667567056847664580319643833802715543966031/319347176058\
         2071933585728307200000*ep^3*z3+177846230109925671573/801600800
         *ep^3*z3^2;
Fill mncnoptab(17,2,2,2)=
      +mncF321*(-170007174-16677015803397/10010*ep-4589179207064997/
         700700*ep^2-32921712595536463/2252250*ep^3)
      +125671914130877426840009041865964418445401/150385096758712528728\
      413798400000-1671347101535689/27254427200*ep^-3-
         721653033362802907524661/1001783349350784000*ep^-2-
         6667157026760374069224391972687/2454818004849929951232000*
         ep^-1+190677017038086136/85170085*z3-4219012623344151693412770\
         084128992500389533505507950614923/6189567359280056833019119136\
         67610489651200000000*ep+286015525557129204/85170085*ep*z4+
         2918514490285951665330335423/71555953525056000*ep*z3+
         89427460033478217025318296714712992563799596236694344826677127\
         927/3554815536659319540552664324272583099558133760000000000*
         ep^2+6035595698292359621/27810640*ep^2*z5+
         2918514490285951665330335423/47703969016704000*ep^2*z4-
         179726666268063912615403831280824733/6137045012124824878080000
         *ep^2*z3-75448520426485800160088846354842144063562064071020931\
         60668489431250098004119294495704531491823678231/
         90710811623205678413481998429984315844449213011576486839638192\
         783059436175360000000000000*ep^3+292693356943716243253/
         545088544*ep^3*z6+45399948639887623481305418723/
         55654630519488000*ep^3*z5-179726666268063912615403831280824733/
         4091363341416549918720000*ep^3*z4-1343812520029781217789489885\
         4875311593047173/75192548379356264364206899200000*ep^3*z3+
         533389507133538137919/6813606800*ep^3*z3^2;
Fill mncnoptab(17,3,1,2)=
      +mncF321*(-53520777-10665880348647/20020*ep-817990561793731/
         382200*ep^2-231522088831393999/47297250*ep^3)
      +1677135105512662216413695154985378119145843/63869435211641438671\
      71456614400000-113073075683521/9619209600*ep^-3-
         57872238227860003244909/353570593888512000*ep^-2-
         12558488760159684843978500797589/16461720738405412614144000*
         ep^-1+10590941899579072/15030015*z3-13153955249710543535903185\
         21148059753348445866971264358558897/62432709584267514437761967\
         8800902992429056000000000*ep+5295470949789536/5010005*ep*z4+
         46714425519022392060121921/3607863202944000*ep*z3+
         66044025362055940077387436222822972204874957249431897628771031\
         54731831/87203221751149022464821415040663962751532338774016000\
         0000000*ep^2+223535012883730463/3271840*ep^2*z5+
         46714425519022392060121921/2405242135296000*ep^2*z4-2992684822\
         86511574816480743114712143/41154301846013531535360000*ep^2*z3-
         28755404835422859870033442771355458865510531717287789209453197\
         78033833294803786956464172428714251443/22677702905801419603370\
         49960749607896111230325289412170990954819576485904384000000000\
         0000*ep^3+32520736753121847757/192384192*ep^3*z6+
         926737302509581447148221073/3466378371456000*ep^3*z5-299268482\
         286511574816480743114712143/27436201230675687690240000*ep^3*z4
         -62063193866052800201434690986348672412235293/1064490586860690\
         644528576102400000*ep^3*z3+59268982688909491591/2404802400*
         ep^3*z3^2;
Fill mncnoptab(17,3,2,1)=
      +mncF321*(-9444843-1931388184053/20020*ep-43323046528381/107800*
         ep^2-581868279099067/606375*ep^3)
      +1660092620698521517388492921466798180011443/36192679953263481913\
      971587481600000-1155320848649921/54508854400*ep^-3-
         490557625839109131761069/2003566698701568000*ep^-2-
         89376600639427418863155488756693/93283084184297338146816000*
         ep^-1+10617062061647072/85170085*z3-19233989289032472728412368\
         599292270211165021050244893203882129747/5434143042214644456662\
         8016842830596461025034240000000000*ep+15925593092470608/
         85170085*ep*z4+47444839763799370618489921/20444558150016000*ep
         *z3+9536411948057284610521270388800122647555128685898170130062\
         170685475956759/7590168421220010915338055965139391317893374766\
         890352640000000000*ep^2+670810466491408989/55621280*ep^2*z5+
         47444839763799370618489921/13629705433344000*ep^2*z4-158663213\
         745610731004348208000612623/233207710460743345367040000*ep^2*
         z3-30975544599850690833706975478748730221106939545561086186414\
         9263694285872210871231476370448359707490921/
         91643837114187222534306384699549868807420690631124130704274471\
         337399476090306560000000000000*ep^3+32529966872106334157/
         1090177088*ep^3*z6+16815244302556037829131511841/
         333927783116928000*ep^3*z5-158663213745610731004348208000612623
       /155471806973828896911360000*ep^3*z4-214809206809429007577169015\
         43319714205851551/2010704441847971217442865971200000*ep^3*z3+
         59235574468559987591/13627213600*ep^3*z3^2;
Fill mncnoptab(17,4,1,1)=
      +mncF321*(-938961-204114564751/20020*ep-44552173407743/970200*
         ep^2-767955482598133/6449625*ep^3)
      +1641026984107562902177931193646023540645043/36405578070635620042\
      8773027020800000-94640327021659/28857628800*ep^-3-
         628496019212219201020589/20153523851645184000*ep^-2-1072476815\
         81516503650220822189781/938318082089108519006208000*ep^-1+
         556849018466848/45090045*z3-2604118978768635621603522657204181\
         9590753580660668119478689057/809793865114339173934064564716691\
         241379980902400000000*ep+278424509233424/15030015*ep*z4+
         342839243319682798245935047/1439537417974656000*ep*z3+
         19139080571774895503587863381748495000327845520072981969125094\
         78236367/18851398693226170900839616122568422881042368702080614\
         400000000*ep^2+11766596446070597/9815520*ep^2*z5+
         342839243319682798245935047/959691611983104000*ep^2*z4+
         178631625772735840789862839975634417/
         2345795205222771297515520000*ep^2*z3-8161420733659172905325917\
         38703009540526310416319737271888254855303938618119673382190080\
         23/29188631027034987795355669386653440047265020143861140032289\
         8450186240000000000000*ep^3+1711870508981438623/577152576*ep^3
         *z6+19398473238522662827023351841/3358920641940864000*ep^3*z5+
         178631625772735840789862839975634417/
         1563863470148514198343680000*ep^3*z4-7805367439325684304162900\
         098074802528735797/6741773716784374082014315315200000*ep^3*z3+
         3125073966632886589/7214407200*ep^3*z3^2;
Fill mncnoptab(18,1,1,3)=
      +mncF321*(-5000211-17208364821597/340340*ep-4940032222462497/
         23823800*ep^2-64946651060759654/134008875*ep^3)
      +863830035145247202483923028541868441121084659/350707068747123139\
      74638468269670400000-180966004530889/926650524800*ep^-3-
         260787310709677162022159/647152043680606464000*ep^-2+171566071\
         026731482452675664970233/30130436191528040221421568000*ep^-1+
         95258818277311968/1447891445*z3-736955820176711376367784956330\
         68789577771318106879476719606031/38090889814134769086416773958\
         8417592380882944000000000*ep+142888227415967952/1447891445*ep*
         z4+56373668797801437266481707437/46225145977186176000*ep*z3+
         17888227398164926923837228063669682966970298394022275341075347\
         9632928197/266018272575310712419074661104603233038146706782289\
         920000000000*ep^2+6034925398460100421/945561760*ep^2*z5+
         56373668797801437266481707437/30816763984790784000*ep^2*z4-
         37420667398229405309324432457943894213/
         75326090478820100553553920000*ep^2*z3+198556418479601660574898\
         40660756397760423253882397915989735589228100391360922460619950\
         55824489/16731046204195516204246481716300853533787245399177600\
         67130867512191746048000000000000*ep^3+292663062339670937653/
         18533010496*ep^3*z6+934003373815672333872127274137/
         35952891315589248000*ep^3*z5-374206673982294053093244324579438\
         94213/50217393652546733702369280000*ep^3*z4-992884109197384960\
         68598172175867836295980168407/17535353437356156987319234134835\
         200000*ep^3*z3+533539091040397725119/231662631200*ep^3*z3^2;
Fill mncnoptab(18,2,1,2)=
      +mncF321*(-1111158-1986676417053/170170*ep-54658337839223/1082900
         *ep^2-3736901053966901/29779750*ep^3)
      +560039270330538452968915620197556012992881/102545926534246532089\
      586164531200000-597161538877763/1389975787200*ep^-3-
         8068313914707340367141/1892257437662592000*ep^-2-
         10213933347358233529728804109813/792906215566527374247936000*
         ep^-1+63582895093283752/4343674335*z3-816855216005696083331967\
         894174882249954813877130956905479257/2004783674428145741390356\
         5241495662756888576000000000*ep+31791447546641876/1447891445*
         ep*z4+112294150190328681919536749/405483736641984000*ep*z3+
         92842410582588803820894384595120983476709448706180041657543140\
         5370797/700048085724501874787038581854219034310912386269184000\
         0000000*ep^2+670651265261426909/472780880*ep^2*z5+
         112294150190328681919536749/270322491094656000*ep^2*z4-6883806\
         401973199867772576993539823/1982265538916318435619840000*ep^2*
         z3-26395662693988772864504236588384163976635822520004542693816\
         575249197318037647583927394680361721/1531534229460974175619485\
         6340306165927082170788477957537582556457755213824000000000000*
         ep^3+97568409671937215591/27799515744*ep^3*z6+
         17980048783059570183615910241/2838386156493888000*ep^3*z5-
         6883806401973199867772576993539823/
         1321510359277545623746560000*ep^3*z4-2016873763324750823953475\
         89562954363851835959/153818889801369798134379246796800000*ep^3
         *z3+177766463856398711573/347493946800*ep^3*z3^2;
Fill mncnoptab(18,2,2,1)=
      +mncF321*(-123462-229587941397/170170*ep-659242343283373/
         107207100*ep^2-622206304982863/38288250*ep^3)
      +1661950894779198521938174149541558234474643/27687400164246563664\
      18826442342400000-5738218650468163/12509782084800*ep^-3-
         259083664821809456728303/51090950816889984000*ep^-2-
         43789186847674817649498323877223/2378718646699582122743808000*
         ep^-1+63834666040871912/39093069015*z3-16633067032119422161693\
         8044908964245610986698603011388806137/400956734885629148278071\
         30482991325513777152000000000*ep+31917333020435956/13031023005
         *ep*z4+115046805564713814808895149/3649353629777856000*ep*z3+
         69044801205564242210824190366602378675710433150872369726304321\
         247597/5250360642933764060902789363906642757331842897018880000\
         000000*ep^2+670970048170946269/4255027920*ep^2*z5+
         115046805564713814808895149/2432902419851904000*ep^2*z4+
         75647699441426608490185362135217819/
         5946796616748955306859520000*ep^2*z3-1002969715701069180450234\
         18604002075111164804218792943509137867042800677333860430463786\
         6976332849/393729320173875340617931847589462800374396133515218\
         02265495400754763760926720000000000000*ep^3+
         97611242424475150951/250195641696*ep^3*z6+
         19696624972104091334258206241/25545475408444992000*ep^3*z5+
         75647699441426608490185362135217819/
         3964531077832636871239680000*ep^3*z4-2039611408415247875586101\
         89214836562447612279/1384370008212328183209413221171200000*
         ep^3*z3+177604274068344017173/3127445521200*ep^3*z3^2;
Fill mncnoptab(18,3,1,1)=
      +mncF321*(-29241-113524430247/340340*ep-3470657493377/2165800*
         ep^2-1198815870282533/268017750*ep^3)
      +545948216381159262548634928087507712278481/389674520830136821940\
      4274252185600000-96346133524059/926650524800*ep^-3-
         656801609230865372611949/647152043680606464000*ep^-2-
         22975247760717489966388765839697/6026087238305608044284313600*
         ep^-1+556827695885568/1447891445*z3-10534107011249572117730191\
         0686106260216243821554305868230401/114272669442404307259250321\
         876525277714264883200000000*ep+835241543828352/1447891445*ep*
         z4+352593359106472976998683847/46225145977186176000*ep*z3+
         68987893447090737956190659180509498657005897331696832055277629\
         684523/2660182725753107124190746611046032330381467067822899200\
         0000000*ep^2+35298891178869711/945561760*ep^2*z5+
         352593359106472976998683847/30816763984790784000*ep^2*z4+
         483004733417958214612012129228002737/
         75326090478820100553553920000*ep^2*z3+262664471719043245989663\
         81803044009670699081317177578154777098776662688222311945695462\
         93271/13496822986900978356572461524388550677855345314521391150\
         93082433661173760000000000000*ep^3+1711827181496277663/
         18533010496*ep^3*z6+21608704178012998646024295841/
         107858673946767744000*ep^3*z5+48300473341795821461201212922800\
         2737/50217393652546733702369280000*ep^3*z4-2062446626353138294\
         44110967301335995263885399/58451178124520523291064113782784000\
         00*ep^3*z3+3125075672439388989/231662631200*ep^3*z3^2;
Fill mncnoptab(19,1,1,2)=
      +mncF321*(-6859-79827208399/1021020*ep-55693031114221/148440600*
         ep^2-420371102819618/402026625*ep^3)
      +30754380915456380806607762772964934786590217/9469090856172324773\
      15238643281100800000+3952692537890237/225176077526400*ep^-3+
         1385270119568034928943843/17473105179376374528000*ep^-2-
         285970336324345942740727814271877/
         813521777171257085978382336000*ep^-1+31451917002789376/
         351837621135*z3-7772311049471832331733800905331290946094897559\
         454324291/35269342420495156561497012924853480776007680000000*
         ep+15725958501394688/117279207045*ep*z4+
         2227880974664444724920153431/1248078941384026752000*ep*z3+
         48832548594144579301965389160895722060761439026931752103669122\
         27/8210440511583663963551687071129729414757614406860800000000*
         ep^2+669733673218287709/76590502560*ep^2*z5+
         2227880974664444724920153431/832052627589351168000*ep^2*z4+
         3049974897845098884207720114451928161/
         2033804442928142714945955840000*ep^2*z3-4575253736616771653042\
         84394034218632914087066345211742475636391361072862930226217803\
         98981/22494704978168297260954102540647584463092242190868985251\
         55137389435289600000000000*ep^3+97444388618999033191/
         4503521550528*ep^3*z6+409311911712331967861162188979/
         8736552589688187264000*ep^3*z5+3049974897845098884207720114451\
         928161/1355869628618761809963970560000*ep^3*z4-389882324077256\
         9856914608442728600232466790901/473454542808616238657619321640\
         550400000*ep^3*z3+178476547813698228373/56294019381600*ep^3*
         z3^2;
Fill mncnoptab(19,2,1,1)=
      +mncF321*(-361-4532242501/1021020*ep-45172171619227/1929727800*
         ep^2-58216463724589/804053250*ep^3)
      +1607189739982445525262206228386221443902643/94690908561723247731\
      5238643281100800000-218612960687377/225176077526400*ep^-3-
         186501998456015583600463/17473105179376374528000*ep^-2-
         39476301799324171627845897272647/
         813521777171257085978382336000*ep^-1+1671363405655264/
         351837621135*z3-5526333744663354568927023927037348523141733249\
         3963497251/5643094787279225049839522067976556924161228800000000
         *ep+835681702827632/117279207045*ep*z4+
         122784658161759414834920749/1248078941384026752000*ep*z3+
         28425862972501380454989683729142366973163878511277294792773336\
         459/1313670481853386234168269931380756706361218305097728000000\
         000*ep^2+35311251562196431/76590502560*ep^2*z5+
         122784658161759414834920749/832052627589351168000*ep^2*z4+
         329924670628774684526474005653231739/
         2033804442928142714945955840000*ep^2*z3-5635014796128173435522\
         10174124088046566864744692147926006859682968814855285097945068\
         083843/4164733950243730464313788127525609923452506554195172126\
         572940081011621888000000000000*ep^3+5137270350661906909/
         4503521550528*ep^3*z6+25193419997438644975081529441/
         8736552589688187264000*ep^3*z5+3299246706287746845264740056532\
         31739/1355869628618761809963970560000*ep^3*z4-1777626426273074\
         73514499484426240629659936919/47345454280861623865761932164055\
         0400000*ep^3*z3+9375156591878282167/56294019381600*ep^3*z3^2;
Fill mncnoptab(20,1,1,1)=
      +mncF321*(-1-275295799/19399380*ep-169704792667/1929727800*ep^2-
         129048403772/402026625*ep^3)
      +2729603412131988931961762514431366066029043/34183417990782092431\
      0801150224477388800000-2920725891004177/81288563987030400*ep^-3-
         1233526484792388461694223/6307790969754871204608000*ep^-2+
         41962356687075834924860657872889/29368136155882380803819602329\
         6000*ep^-1+1637586994026304/127013381229735*z3-150775614301296\
         1107315837882415787109115980684853387/795764538362421969918776\
         35411700666000867328000000*ep+818793497013152/42337793743245*
         ep*z4+7006587372496227851924671/23713499886296508288000*ep*z3-
         202155646625796463938210902442192847415599243731947397000481/
         18524806404260641817763493954236451992046867505479680000000*
         ep^2+34837003170344911/27649171424160*ep^2*z5+
         7006587372496227851924671/15808999924197672192000*ep^2*z4+
         694946696050094137216405229721824059/7342034038970595200954900\
         58240000*ep^2*z3+667724472754391851400935423733458752437353662\
         645410371131555211761503/9240936656469063677143322640324056795\
         45504984267449014681600000000*ep^3+5068636682231860189/
         1625771279740608*ep^3*z6+32509221416960799697986070241/
         3153895484877435602304000*ep^3*z5+6949466960500941372164052297\
         21824059/489468935931373013396993372160000*ep^3*z4-53295086604\
         825617397504578952928116165913559/1709170899539104621554005751\
         12238694400000*ep^3*z3+9377858704808598967/20322140996757600*
         ep^3*z3^2;
*--#] 23 :
#case 22
*--#[ 22 :
Fill mncnoptab(6,5,5,6)=
      +mncF321*(1824676814888928000+13700135458366877520*ep+
         34991237042690224428*ep^2+318423790105206829472/7*ep^3)
      -816502634408769374862309693890323/91161249379200-
         1260577530954368/3*ep^-3-97497089190372870767/24570*ep^-2-
         425322983806097568739039/46846800*ep^-1-72007619129935604368/3
         *z3+327076834065769315458201031345230476303393522100141697/
         3476935850734376110080000000000000*ep-36003809564967802184*ep*
         z4-939679173009134070465832/2457*ep*z3-84816079419507432597128\
         0361629772950693338615405645932908477/182247069552093058185953\
         2800000000000000*ep^2-2329044761304071588272*ep^2*z5-
         469839586504567035232916/819*ep^2*z4+
         203857922880221233986632719051/163963800*ep^2*z3+
         29460772958540800334863939340930647773797638054033001153376627\
         23318180819860861023060101/23463384844241178074952355160526025\
         91076207820800000000000000000000*ep^3-17287816661955697901120/
         3*ep^3*z6-2796949646649836676294734/819*ep^3*z5+
         203857922880221233986632719051/109309200*ep^3*z4-1381667691353\
         27893721937159758017511/1595321864136000*ep^3*z3-
         2521542452608860678448/3*ep^3*z3^2;
Fill mncnoptab(6,6,5,5)=
      +mncF321*(1642209133400035200+12343355539100225640*ep+
         31590567581720950116*ep^2+205936039568563700544/5*ep^3)
      -62849221430595832775665138904033801/7799351335776000-
         431852081144784*ep^-3-244697748350668284037/60060*ep^-2-
         201151819594370946480193351/21643221600*ep^-1-
         21601105638892874616*z3+13918667273800875551691757361628639758\
         877211194220533911/164489662775222452516552704000000000*ep-
         32401658458339311924*ep*z4-5170684229316900902162714/15015*ep*
         z3-24785558173520539934054933290514425130548538108742274352143\
         8371/592754948776791629888649324134400000000000*ep^2-
         2096127730167557292792*ep^2*z5-2585342114658450451081357/5005*
         ep^2*z4+2415906762275849594085789559651/2164322160*ep^2*z3+
         30138523083892512210217488570125842670626801069338899853362925\
         389888676448402912596880507/3153478923066014333273596533574697\
         8824064233111552000000000000000000*ep^3-5186316561321661045440
         *ep^3*z6-2209597181738721090661533/715*ep^3*z5+
         2415906762275849594085789559651/1442881440*ep^3*z4-53660983614\
         798957350201869529402779/779935133577600*ep^3*z3-
         756475710211833152232*ep^3*z3^2;
Fill mncnoptab(6,6,6,4)=
      +mncF321*(1182390576048025344+44514214905908796048/5*ep+
         114305068356987213792/5*ep^2+3742893742602832223022/125*ep^3)
      -1509045223107225428820195865518187/259978377859200-
         6677686205179776/25*ep^-3-635257645898033518163/250250*ep^-2-
         7117012731317749001334623/1202401200*ep^-1-
         388843978753506912624/25*z3+2931683509173966172887019605291246\
         9490526292614996864267/481903308911784528857088000000000000*ep
         -583265968130260368936/25*ep*z4-31050922828852608003899012/
         125125*ep*z3-1668524522346073931151010629330471476094508771625\
         145375413389111/5557077644782421530206087413760000000000000*
         ep^2-37730555335884533841648/25*ep^2*z5-
         46576384243278912005848518/125125*ep^2*z4+
         12030339771536130871836637474607/15030015000*ep^2*z3+
         45341465215019014933629707783302573546796709789248283118247398\
         100577681577665100037188711/5912772980748776874887993500452558\
         5295120437084160000000000000000000*ep^3-
         18670855678565513464512/5*ep^3*z6-40130959652128880089557642/
         17875*ep^3*z5+12030339771536130871836637474607/10020010000*
         ep^3*z4-625846074184224896593696290452321969/16248648616200000
         *ep^3*z3-13616298150615096920784/25*ep^3*z3^2;
Fill mncnoptab(7,4,4,7)=
      +mncF321*(810967473283968000+6107914582660130240*ep+
         47072144378473844552/3*ep^2+2158427557204829897986/105*ep^3)
      -3027420469605552436987020532271633/759311848795500-
         1820672271523040/27*ep^-3-61250062943509787852/93555*ep^-2-
         1824354750107201831288167/1123782660*ep^-1-
         288101378921402762560/27*z3+1177271079169889739611215500799017\
         091562263040633935393/28243417372119239786496000000000000*ep-
         144050689460701381280/9*ep*z4-15927894927392227825460104/93555
         *ep*z3-2095324820013346988828339329602313565776150712183908657\
         643887/10177797884216889249461698560000000000000*ep^2-
         9316430394489674647360/9*ep^2*z5-7963947463696113912730052/
         31185*ep^2*z4+308252101609466830903128632417/561891330*ep^2*z3
         +8447012149194192920379038380016397587734702268695047316260806\
         35425111520941726221280433/14078030906544706844971413096315615\
         54645724692480000000000000000000*ep^3-69152974511369052948800/
         27*ep^3*z6-48096040599366825245011016/31185*ep^3*z5+
         308252101609466830903128632417/374594220*ep^3*z4-3612267884717\
         96662729368095384806/14602150938375*ep^3*z3-
         10085389673054115324736/27*ep^3*z3^2;
Fill mncnoptab(7,5,3,7)=
      +mncF321*(492662740020010560+3720370167904273884*ep+
         9605282006038279068*ep^2+2217678071453277774442/175*ep^3)
      -1079640172021979847545423541276323/445677219187200-
         179117691619278/5*ep^-3-17661397457891323399/50050*ep^-2-
         5625981844593741276194183/6183777600*ep^-1-
         32411971486022149572/5*z3+454691829030557533207200652549869668\
         261135109930321105157/17991056866039955743997952000000000000*
         ep-48617957229033224358/5*ep*z4-2591538909022101086570856/
         25025*ep*z3-36339704158909691963986781640409751491219965641229\
         67787993000801/29174657635107713033581958922240000000000000*
         ep^2-3144301279275378368844/5*ep^2*z5-
         3887308363533151629856284/25025*ep^2*z4+
         35843416572212892118617791860391/108216108000*ep^2*z3+
         70719620524709069352720796737027760020768318384877234839950309\
         7291299636979254079647377/229941171473563545134533080573155053\
         9254683664384000000000000000000*ep^3-1555944653894678109636*
         ep^3*z6-23760515413991964651161522/25025*ep^3*z5+
         35843416572212892118617791860391/72144072000*ep^3*z4-320999472\
         950684214288938609927238209/38996756678880000*ep^3*z3-
         1134600102024985883652/5*ep^3*z3^2;
Fill mncnoptab(7,5,4,6)=
      +mncF321*(1094806088933356800+8241580303572535920*ep+
         21153362815755775920*ep^2+968977602663276186642/35*ep^3)
      -62921578831700908796619817474131821/11699027003664000-
         173156410946176*ep^-3-149194845528042856033/90090*ep^-2-
         127721243496425963530844647/32464832400*ep^-1-
         14403260897065298768*z3+20676907575330566930080695573578270954\
         5575487438397710769/3671644258375501172244480000000000000*ep-
         21604891345597948152*ep*z4-10349933123046393838569004/45045*ep
         *z3-1471996425809764936286775791992961503868292534550831504188\
         323561/5292454899792782409720083251200000000000000*ep^2-
         1397445333008065219536*ep^2*z5-5174966561523196919284502/15015
         *ep^2*z4+12036055551555834354076754994743/16232416200*ep^2*z3+
         34407086662426868377487541514331728206930971356886887032683170\
         701774775780514201223213641/5631212362617882737988565238526246\
         2185828987699200000000000000000000*ep^3-3457605180277499801920
         *ep^3*z6-10393682326142948114105042/5005*ep^3*z5+
         12036055551555834354076754994743/10821610800*ep^3*z4-214324102\
         455210024461381249181848867/5849513501832000*ep^3*z3-
         504289382972323089776*ep^3*z3^2;
Fill mncnoptab(7,5,5,5)=
      +mncF321*(1231656850050026400+9275379348419214030*ep+
         23825020503562907535*ep^2+2185260118849812860157/70*ep^3)
      -62866232711112640489643183458623817/10399135114368000-
         295880742459684*ep^-3-44898779189941709689/16016*ep^-2-
         186941516035293578580110351/28857628800*ep^-1-
         16201445983904986074*z3+65152081788732762384863371306674037607\
         578337823047826431/1028060392345140328228454400000000000*ep-
         24302168975857479111*ep*z4-2587750696849016272707533/10010*ep*
         z3-13900074803659363894238419299543988767801005338440336358309\
         18853/4445662115825937224164869931008000000000000*ep^2-
         1572102355574073702618*ep^2*z5-7763252090547048818122599/20020
         *ep^2*z4+12025727791326317268367619263711/14428814400*ep^2*z3+
         90546071724450141934155763149825889745774797564550056834193691\
         295589464000053499658491/1261391569226405733309438613429879152\
         96256932446208000000000000000*ep^3-3889752273975421791360*ep^3
         *z6-46859202696943300211928297/20020*ep^3*z5+
         12025727791326317268367619263711/9619209600*ep^3*z4-2026529930\
         06516304723258904855057927/5199567557184000*ep^3*z3-
         567349993782813705102*ep^3*z3^2;
Fill mncnoptab(7,6,2,7)=
      +mncF321*(104232778053820416+3967797373037027712/5*ep+
         10402215068044521504/5*ep^2+350476930185979189058/125*ep^3)
      -127124689141323268435673539463059957/247941378964319040-
         1195944849953904/275*ep^-3-62910433967128729661/1376375*ep^-2-
         696942224939424282055998491/5059103049000*ep^-1-
         377177052444369732096/275*z3+164074640198006572898968912871775\
         188556888890352656047083116962727/3087217386858428796732052767\
         0607872000000000000*ep-565765578666554598144/275*ep*z4-
         30273607103987692267768788/1376375*ep*z3-843645416187644421985\
         3732333943957214117355703866823019833944077720693571/
         324217100193962705489762795954510223114240000000000000*ep^2-
         36588441096892910889792/275*ep^2*z5-45410410655981538401653182/
         1376375*ep^2*z4+869235885497533929114434498273447/
         12647757622500*ep^2*z3+280226546768297781751977839530472057193\
         55754748895176317275897431033566830595017407060959965879/
         49223678502590880648307858686106315552834563630585348096000000\
         0000000000000*ep^3-18105632022224270578848/55*ep^3*z6-
         41115638932628963000908208/196625*ep^3*z5+86923588549753392911\
         4434498273447/8431838415000*ep^3*z4+20701057184970300402824365\
         0308921071549/77481680926349700000*ep^3*z3-
         13202403960485574649536/275*ep^3*z3^2;
Fill mncnoptab(7,6,3,6)=
      +mncF321*(429960209472009216+16273894854640655232/5*ep+
         42211659819002141232/5*ep^2+1401536552104537136958/125*ep^3)
      -219723837855272151209487492729067/103991351143680-
         1466979911952264/25*ep^-3-6515245330955916771/11375*ep^-2-
         51968035121914703508101641/36072036000*ep^-1-
         141418963953348601536/25*z3+1369812948398954513864124070463045\
         504243196140017531253851/62191307685076390226165760000000000000
         *ep-212128445930022902304/25*ep*z4-11320829222481312209788653/
         125125*ep*z3-7863306594031133182572826230056372619774755871678\
         66542345961744569/72612481225156974661359542206464000000000000\
         00*ep^2-13720426916383909632672/25*ep^2*z5-
         33962487667443936629365959/250250*ep^2*z4+
         25919493700345466150076553003243/90180090000*ep^2*z3+
         15215620750309108283791344421591599303148747449042437980332292\
         64321246532855427681133570683/64383528012597792637669262560483\
         41509913114260275200000000000000000000*ep^3-
         6789503976215280515568/5*ep^3*z6-1362830348841899438872893/
         1625*ep^3*z5+25919493700345466150076553003243/60120060000*ep^3
         *z4-60173527433008552259828352330202747/32497297232400000*ep^3
         *z3-4951148412683928334176/25*ep^3*z3^2;
Fill mncnoptab(7,6,4,5)=
      +mncF321*(796222610133350400+6013687032153440640*ep+
         15532128878120855904*ep^2+102539466702616970238/5*ep^3)
      -1428908387891146910861624480550457/365594593864500-
         188477036953696*ep^-3-1471596037786254476/819*ep^-2-
         68643803211220487398121219/16232416200*ep^-1-
         10473723437416229504*z3+29110284749440998636788384197905099066\
         91857283938413837/71207646223040022734438400000000000*ep-
         15710585156124344256*ep*z4-7538380189599284382715084/45045*ep*
         z3-14457865080850045552332454390722926285264373929992213133023\
         5569/718490847002171672592302211072000000000000*ep^2-
         1016309247165102835968*ep^2*z5-3769190094799642191357542/15015
         *ep^2*z4+4343377142139105807532325184751/8116208100*ep^2*z3+
         17189490740196904890569067761155552553794700260683674937024303\
         731957638218771876677407/3575372928646274754278454119699203948\
         3066023936000000000000000000*ep^3-2514588809319216516160*ep^3*
         z6-1097844505653390809756996/715*ep^3*z5+
         4343377142139105807532325184751/5410805400*ep^3*z4-43320726682\
         4735065379100808985359/33235872169500*ep^3*z3-
         366771039490275104000*ep^3*z3^2;
Fill mncnoptab(7,6,5,4)=
      +mncF321*(716600349120015360+5418206121737433024*ep+
         14022946691726607288*ep^2+464216884720437963186/25*ep^3)
      -107131355701832530285402076645849/30466216155375-969446937984288/
         5*ep^-3-12600401198594084126/6825*ep^-2-
         7809710511088276150642973/1803601800*ep^-1-
         47129083806858601152/5*z3+111123390929838038633723884073012956\
         6144658348069676120533/30224975534947125649916559360000000000*
         ep-70693625710287901728/5*ep*z4-11313008479594146895542548/
         75075*ep*z3-23630795815231050881709425952219759371222000915800\
         560241539457267/130702466205282554390447175971635200000000000*
         ep^2-4573363206591622615104/5*ep^2*z5-
         5656504239797073447771274/25025*ep^2*z4+
         2166185325201511389151777120579/4509004500*ep^2*z3+
         79190594033958342834637559643827799407438335223318375396572540\
         2015484233201526087148527/178292846804116964227391804013646380\
         2745170102845440000000000000000*ep^3-2263117061392382006976*
         ep^3*z6-4966976761650046331169756/3575*ep^3*z5+
         2166185325201511389151777120579/3006003000*ep^3*z4-46973504397\
         74758458053055080534651/609324323107500*ep^3*z3-
         1650499090427792033472/5*ep^3*z3^2;
Fill mncnoptab(7,6,6,3)=
      +mncF321*(312698334161461248+11875241802638725056/5*ep+
         6199402902204692808*ep^2+1038259391434951913874/125*ep^3)
      -21958450716236850485245485189509477/14298810782256000-
         17606874585831912/275*ep^-3-1714258283727031740851/2752750*
         ep^-2-102586800351433041495664739/66132066000*ep^-1-
         1131222550110248397888/275*z3+11160749664372305658721381518633\
         58454585433496921478736244291/69819693485727860251307252121600\
         000000000*ep-1696833825165372596832/275*ep*z4-
         90704137306406720219299934/1376375*ep*z3-337916797849620703976\
         0295738213373203199662726511882234239263417857/431318138477432\
         42948847568070639616000000000000*ep^2-109762041517520194764576/
         275*ep^2*z5-136056205959610080328949901/1376375*ep^2*z4+
         11428737224232256057302362867493/55110055000*ep^2*z3+
         35174875483919577316753745664759726716181240879551086242303628\
         942971244430797775929873969/3004564640587896989757898919489226\
         03795945332146176000000000000000000*ep^3-
         54315409483704973183344/55*ep^3*z6-121911502453574623745634144/
         196625*ep^3*z5+34286211672696768171907088602479/110220110000*
         ep^3*z4+724332229602087190677387418184481517/
         178735134778200000*ep^3*z3-39610608068007367543008/275*ep^3*
         z3^2;
Fill mncnoptab(7,7,4,4)=
      +mncF321*(309642126162969600+2355934684052389440*ep+
         18508252209447201656/3*ep^2+373599469485328509098/45*ep^3)
      -219749354312571992901242159528897/144630828342000-
         790898854945472/9*ep^-3-341737211541191894/405*ep^-2-
         814094219473886372602201/401350950*ep^-1-36655138599846964288/
         9*z3+7354531886944896459493800852755946118417859248246844467/
         464999623614571163844870144000000000*ep-18327569299923482144/3
         *ep*z4-26448766533868065782584/405*ep*z3-103702293084512410233\
         92685245430619885952070432572395548776377/13405381149259749168\
         2509924073472000000000*ep^2-1185683870907679579072/3*ep^2*z5-
         13224383266934032891292/135*ep^2*z4+
         82079120891843389801089052459/401350950*ep^2*z3+
         23856426937396955983620315139662549024563634802104261530256427\
         989972271069339730860404736483393/3522540193033027401822716668\
         26097957203808486781160291041280000000000000000*ep^3-
         8800991185307979432320/9*ep^3*z6-306474235656144565046912/495*
         ep^3*z5+82079120891843389801089052459/267567300*ep^3*z4+
         123177871541414588343733598703829/18078853542750*ep^3*z3-
         1283730517063940650432/9*ep^3*z3^2;
Fill mncnoptab(7,7,5,3)=
      +mncF321*(209008435160004480+1592812257273068832*ep+
         4183565108403869370*ep^2+282655368003837871071/50*ep^3)
      -2896020138384896683267398221459/2821634816000-227394376436409/5*
         ep^-3-88708483312176413/200*ep^-2-2118132237212072292682853/
         1902700800*ep^-1-13747203615796361256/5*z3+2081856708390609743\
         936038358458008430254854437865401832627/1952998419181198888148\
         45460480000000000*ep-20620805423694541884/5*ep*z4-
         97058930452129862994859/2200*ep*z3-439902473687929910649595200\
         22993640894496983070505978141628342303/84453901240336419759981\
         2521662873600000000000*ep^2-1333910576671839742212/5*ep^2*z5-
         291176791356389588984577/4400*ep^2*z4+
         654055966436191222635070993547/4756752000*ep^2*z3+
         97455022144929653655741546891345894980828142151778578226133409\
         66686111975624109462349647267019441/14794668810738715087655410\
         0066961142025599564448087322237337600000000000000000*ep^3-
         660081686528021690478*ep^3*z6-926666476673690537966783/2200*
         ep^3*z5+654055966436191222635070993547/3171168000*ep^3*z4+
         1210365498320465673842548767433043/190460350080000*ep^3*z3-
         481382115636444403836/5*ep^3*z3^2;
Fill mncnoptab(7,7,6,2)=
      +mncF321*(60802453864728576+2328204294446389632/5*ep+
         6170999436299565504/5*ep^2+211084327565475915138/125*ep^3)
      -6789005019541173365819330405042807/22705254483912000-
         1410129903253344/275*ep^-3-807236020557294756/15125*ep^-2-
         8751784358700317097472691/55594539000*ep^-1-
         220004201926108419456/275*z3+205322357358230410229606464848150\
         17597217761222454922548345739139/66493912947720004852690367290\
         54003200000000000*ep-330006302889162629184/275*ep*z4-
         194596275888344654420248/15125*ep*z3-7350536878023705907306945\
         755562977070546045660174484314909080093549030649/4888196279847\
         43771353796215439107721003008000000000000*ep^2-
         21343090089775432672512/275*ep^2*z5-291894413832516981630372/
         15125*ep^2*z4+1373123423388441566140683494378/34746586875*ep^2
         *z3+3968686437556280875855307412378738803963439833311841492644\
         3719910049984422061763508185352124215109/129453352093963757016\
         9848375585909992723996188920764069576704000000000000000000*
         ep^3-10561542943924662126528/55*ep^3*z6-
         1897567314303077701665976/15125*ep^3*z5+
         686561711694220783070341747189/11582195625*ep^3*z4+96393974114\
         2612261332082591145656993/283815681048900000*ep^3*z3-
         7701576072551927844096/275*ep^3*z3^2;
Fill mncnoptab(7,7,7,1)=
      +mncF321*(5911349681293056+228278580276720792/5*ep+
         1843673824279692587/15*ep^2+2318927864562634905949/13500*ep^3)
      -11413536771873280499205170874644299/392346797481999360+
         4272492637049/2475*ep^-3-4022785136036729431/19602000*ep^-2-
         52172505439327193662030867/24016840848000*ep^-1-
         192531082488612710024/2475*z3+83262584974000542699937485556054\
         93682520799628292095318494203383/27927443438042402038129954262\
         026813440000000000*ep-96265541244306355012/825*ep*z4-
         6155154876036231295514837/4900500*ep*z3-2961461249291382241372\
         412912383337575097762567896975556146647792061859017/
         2053042437535923839685944104844252428212633600000000000*ep^2-
         2075054968677829455772/275*ep^2*z5-6155154876036231295514837/
         3267000*ep^2*z4+225797511814399453476718086650779/
         60042102120000*ep^2*z3+795905534551013649811784915930422713321\
         90657512770675087868231058203643666939803319167194754390507/
         26315277413660952526412677778910378332093394528381292006355238\
         912000000000000000*ep^3-9241481817805926195962/495*ep^3*z6-
         3454882521049683715760933/272250*ep^3*z5+225797511814399453476\
         718086650779/40028068080000*ep^3*z4+10282266657596660995144437\
         116697777833/17515482030446400000*ep^3*z3-
         6738576264003521730884/2475*ep^3*z3^2;
Fill mncnoptab(8,3,3,8)=
      +mncF321*(148953209378688000+7903695219517159920/7*ep+
         143827557571890399990/49*ep^2+26799737249551035431859/6860*
         ep^3)
      -5041130579644479636436249411279917769/6879027878154432000-
         207648105821258/147*ep^-3-769807483220054100499/52972920*ep^-2
         -267641691575990241923334133/6363107150400*ep^-1-
         41162400485372681104/21*z3+15229057024324425769681480574270535\
         41842826573850110957/199900631844888397155532800000000000*ep-
         20581200242686340552/7*ep*z4-29672666826524953600372552/945945
         *ep*z3-1887687678062993873078078838320501730198844822815469668\
         9668353/504253341841367879592774598656000000000000*ep^2-
         9316556065454518512952/49*ep^2*z5-14836333413262476800186276/
         315315*ep^2*z4+78945232385191045696852214828729/795388393800*
         ep^2*z3+385324593391179905872097784433627175599574072306369137\
         50556553919630474735515750041673/35768626673665440354260701422\
         4907861661839681126400000000000000000*ep^3-
         69153828482414866927820/147*ep^3*z6-
         1291388203953250366142026747/4414410*ep^3*z5+
         78945232385191045696852214828729/530258929200*ep^3*z4+10618981\
         95425253255305510778933543019/1719756969538608000*ep^3*z3-
         10085000500036064791000/147*ep^3*z3^2;
Fill mncnoptab(8,4,2,8)=
      +mncF321*(80434733064491520+4278337308239787936/7*ep+
         78211481583515869800/49*ep^2+18333959725076065815966/8575*ep^3
         )
      -3642335368391389205276433315100947167/9203884522160328000-
         125151710074704/245*ep^-3-6685419702070294586/1226225*ep^-2-
         25818517490551214011245149/1502400299400*ep^-1-
         37046353079587412448/35*z3+41499659825138324455040770019958285\
         80428204907535598105723457/10105930465773008593866614931456000\
         00000000*ep-55569529619381118672/35*ep*z4-
         2970681619973284305075184/175175*ep*z3-56107871900542046063692\
         8358505700435162354296491304305461104847500771/278595642352416\
         04533176166178751053824000000000000*ep^2-
         25154715754451106811872/245*ep^2*z5-4456022429959926457612776/
         175175*ep^2*z4+200145460466599132372245178363679/3756000748500
         *ep^2*z3+39799854788138700951855748850047282760060373177894861\
         3019381651260129556646371160041975498267/746559123955961689832\
         6691900726124525513242150638777794560000000000000000*ep^3-
         12447695641446997462368/49*ep^3*z6-196021418529877505041426056/
         1226225*ep^3*z5+200145460466599132372245178363679/
         2504000499000*ep^3*z4+30741695544477753121669518500982848333/
         23009711305400820000*ep^3*z3-9076485693126778743456/245*ep^3*
         z3^2;
Fill mncnoptab(8,4,3,7)=
      +mncF321*(312801739695244800+2365876925060631840*ep+
         42880282241096733432/7*ep^2+1987209015618472376138/245*ep^3)
      -31501247545580111212748706226008259/20473297256412000-
         69651401056880/7*ep^-3-31454315484723313282/315315*ep^-2-
         3829253889152734202795567/14203364175*ep^-1-
         4116087114127635424*z3+109820622475016833135249388526352349394\
         9562253747685871/68537359489676021881896960000000000*ep-
         6174130671191453136*ep*z4-2964097110393636030372836/45045*ep*
         z3-278364972286372643769260225187220196841954247678977079403111
       /3528303266528521606480055500800000000000*ep^2-
         2794955414972673120096/7*ep^2*z5-1482048555196818015186418/
         15015*ep^2*z4+2975894678190838491761765811386/14203364175*ep^2
         *z3+1351685556575049286449425834456170308986801853132222114842\
         386571259936759844820323264603/6569747756387529860986659444947\
         287255013381898240000000000000000000*ep^3-
         6915357012934449180320/7*ep^3*z6-21288605504840460778508756/
         35035*ep^3*z5+1487947339095419245880882905693/4734454725*ep^3*
         z4-5080189371376130660478224324307431/2047329725641200*ep^3*z3
         -1008511786269940598560/7*ep^3*z3^2;
Fill mncnoptab(8,4,4,6)=
      +mncF321*(563043131451440640+4254079559555723040*ep+
         384777039064288409208/35*ep^2+17788698226038491835682/1225*
         ep^3)
      -188899638712248065443721483416819597/68244324188040000-
         1781539821753312/35*ep^-3-86633068775134459363/175175*ep^-2-
         232812549128307900356896997/189378189000*ep^-1-
         37041150394833159264/5*z3+216456207243858833156265519808463140\
         271600763427011399431/7496273694183314893332480000000000000*ep
         -55561725592249738896/5*ep*z4-2962441987354917885257824/25025*
         ep*z3-46107772888490271071706613190366641507562641985590038709\
         42577137/32416286261230792259535509913600000000000000*ep^2-
         25154328312479043341856/35*ep^2*z5-4443662981032376827886736/
         25025*ep^2*z4+35800286560276563214144998306973/94689094500*
         ep^2*z3+215669695495453925818764674442203563056485255205682462\
         73510711447632315758767613945907/70751129684173398502933255560\
         970785823221035827200000000000000000*ep^3-
         12447520129857605613504/7*ep^3*z6-190578550982542636043776676/
         175175*ep^3*z5+35800286560276563214144998306973/63126063000*
         ep^3*z4-265633406106355624108343437774210387/34122162094020000
         *ep^3*z3-9076886126269336516704/35*ep^3*z3^2;
Fill mncnoptab(8,5,1,8)=
      +mncF321*(10635997760593920+569992494733960896/7*ep+
         10567359192455112888/49*ep^2+2526132698102089235506/8575*ep^3)
      -2119278149443150815461699454109250123/40497091897505443200-
         11494739551224/2695*ep^-3-6252627047032233251/80930850*ep^-2-
         49852962242857754013090881/99158419760400*ep^-1-
         53886131506023067968/385*z3+2722738838715616555932777113044426\
         1000170223846338651867821280253/504245506520210036799568618619\
         92857600000000000*ep-80829197259034601952/385*ep*z4-
         13009371703603033103555642/5780775*ep*z3-975647586436484985749\
         6007267247389848002336913921604347743173906181147399/
         3706882178884306932766287967079900217606144000000000000*ep^2-
         36588716922762828397152/2695*ep^2*z5-6504685851801516551777821/
         1926925*ep^2*z4+1714982511367915941761746395911969/
         247896049401000*ep^2*z3+61101911029556621395152525007736126089\
         530370729398217266495575884036278612118413076247837122313/
         10451827735383463657657368661016574335718539010894288912384000\
         000000000000000*ep^3-18105757001110333460688/539*ep^3*z6-
         295607007532536949117418376/13488475*ep^3*z5+17149825113679159\
         41761746395911969/165264032934000*ep^3*z4+29657862089433778495\
         5892784428067633251/506213648718818040000*ep^3*z3-
         13202120925752888243616/2695*ep^3*z3^2;
Fill mncnoptab(8,5,2,7)=
      +mncF321*(102371478445716480+778300627277714112*ep+
         14244363103631416200/7*ep^2+3345862194712551081402/1225*ep^3)
      -264880394421182730477773771928993263/525936258409161600-
         66158853381648/35*ep^-3-319907308262228402/15925*ep^-2-
         26693018513757430267913687/429257228400*ep^-1-
         6735565618912316736/5*z3+7757430047208847583967863051745592870\
         231341803880670478643613/1484953048031952283180400561356800000\
         000000*ep-10103348428368475104/5*ep*z4-
         540255416654049947425538/25025*ep*z3-5592089735740619841424774\
         72877276762163189410822563547529667430825039/21832801359862808\
         450489077168653887078400000000000*ep^2-4573574598367275237504/
         35*ep^2*z5-810383124981074921138307/25025*ep^2*z4+
         72682419361362823079581444964981/1073143071000*ep^2*z3+
         52874259546789702724009860559958823069541936917004699747135246\
         88209971507930500906591812349629/91415402933383064061143166131\
         340300312407046742515646464000000000000000000*ep^3-
         2263212819517444510176/7*ep^3*z6-35733885082337814333893142/
         175175*ep^3*z5+72682419361362823079581444964981/715428714000*
         ep^3*z4+12678140358694964372113310103753903457/
         6574203230114520000*ep^3*z3-1650280434175772053632/35*ep^3*
         z3^2;
Fill mncnoptab(8,5,3,6)=
      +mncF321*(341238261485721600+2585256854198166720*ep+
         47007477722097081144/7*ep^2+2188822868222195045238/245*ep^3)
      -91600935086884295304084130367612443/54595459350432000-
         189879097160568/7*ep^-3-2553481158152622247/9555*ep^-2-
         104500459011445687461889829/151502551200*ep^-1-
         4489918257095162880*z3+139649450638014245699042240820250842472\
         9560714822614437799/79960252737955358862213120000000000000*ep-
         6734877385642744320*ep*z4-1078650782087099553164659/15015*ep*
         z3-98937932231486351122192076126774918799760354830850824075260\
         22781/115257906706598372478348479692800000000000000*ep^2-
         3049015588064270399520/7*ep^2*z5-1078650782087099553164659/
         10010*ep^2*z4+17246240101021553632350578295523/75751275600*
         ep^2*z3+765751970246627894373758008186727449547772594490839616\
         7806810110006543181666195282084333/383235285789272575224221800\
         95525842320911394406400000000000000000000*ep^3-
         7543965400661510648400/7*ep^3*z6-23414943588337586247401547/
         35035*ep^3*z5+17246240101021553632350578295523/50500850400*
         ep^3*z4+3254126290491578992110774365958341/27297729675216000*
         ep^3*z3-1100222323361871235296/7*ep^3*z3^2;
Fill mncnoptab(8,5,4,5)=
      +mncF321*(511857392228582400+3877391007434767680*ep+
         70487938831484178360/7*ep^2+3281610207100317409242/245*ep^3)
      -714893509424287807229865093808819/284351350783500-
         644230596413088/7*ep^-3-563329870884098338/637*ep^-2-
         26893225246345763123542837/12625212600*ep^-1-
         6733749091495650624*z3+231128268376486613916503584706427747221\
         1328281054867765221/88156178643595783145589964800000000000*ep-
         10100623637243475936*ep*z4-539239639692033422493044/5005*ep*z3
         -7854036545329959913002981013311801919148918479877710495490383\
         82203/6099448422913185871554201545342976000000000000*ep^2-
         4573439342735363597376/7*ep^2*z5-808859459538050133739566/5005
         *ep^2*z4+2156554204308281919827780560967/6312606300*ep^2*z3+
         28723413742648651324034431326138077275168581061131268490288690\
         0667418887314751265070630507/865314616489314333050274888812897\
         098932322556580986880000000000000000*ep^3-
         11315757747737235107520/7*ep^3*z6-35096349150441973497793236/
         35035*ep^3*z5+2156554204308281919827780560967/4208404200*ep^3*
         z4-83967109448110794615895626442343/284351350783500*ep^3*z3-
         1650420291665983621824/7*ep^3*z3^2;
Fill mncnoptab(8,5,5,4)=
      +mncF321*(372259921620787200+2829348769768934400*ep+
         51759321067582567920/7*ep^2+2430866723236475064846/245*ep^3)
      -1758173404663880224923796556316037/962419956498000-
         7732159834355424/77*ep^-3-28498749591262306278/29645*ep^-2-
         3059513669947010201230598/1335359025*ep^-1-
         53861879958918834816/11*z3+34059136060756864384214800284498902\
         13317266888467938325061/179024855091609898080275005440000000000
         *ep-80792819938378252224/11*ep*z4-66467107741284949608480/847*
         ep*z3-72122200233101859894256023008071999113723776744459230095\
         643312669/774160761369750514466494811524300800000000000*ep^2-
         36586910950780659416064/77*ep^2*z5-99700661611927424412720/847
         *ep^2*z4+10128010534484124042740512007/41087970*ep^2*z3+
         13822898068307175696686860603813904026757950979532330147164634\
         56107737130508005394787157/64898596236698574978770616660967282\
         41992419174357401600000000000000*ep^3-90524694477670568930880/
         77*ep^3*z6-4390462124602483322833416/5929*ep^3*z5+
         10128010534484124042740512007/27391980*ep^3*z4+297285519872061\
         1072722269812240997/481209978249000*ep^3*z3-
         13203987548681179381248/77*ep^3*z3^2;
Fill mncnoptab(8,6,1,7)=
      +mncF321*(8686064837818368+333781349461874496/5*ep+
         178088340485575608*ep^2+645154972248335676614/2625*ep^3)
      -529852264917145051996150692763607243/12397068948215952000+
         82193246008/275*ep^-3-3130793465270695969/24774750*ep^-2-
         4956115202040956392109507/3794327286750*ep^-1-
         31433614906908870208/275*z3+3167262095759231641621969177553773\
         5834212355255546244716310476607/720350723600300052570812312314\
         18368000000000000*ep-47150422360363305312/275*ep*z4-
         22808305121134458596251996/12387375*ep*z3-37711529848584439866\
         94076572574350093614081923736925361090640736315439399/
         1765181989944908063222041889085666770288640000000000000*ep^2-
         3049060095110853549216/275*ep^2*z5-11404152560567229298125998/
         4129125*ep^2*z4+7582520788047513103123100941646/1355116888125*
         ep^2*z3+660582138063211680364991152598068162910413022012515719\
         505375712563744545143721521037374074081628729/
         14239868730336013271868332131445009919963958078128404765343744\
         0000000000000000000*ep^3-1508813240101972339504/55*ep^3*z6-
         25085679130178193230805378/1376375*ep^3*z5+
         3791260394023756551561550470823/451705629375*ep^3*z4+100174623\
         373989791124573524618536448299/154963361852699400000*ep^3*z3-
         1100176201746961829728/275*ep^3*z3^2;
Fill mncnoptab(8,6,2,6)=
      +mncF321*(71660034912001536+2737449036081631872/5*ep+
         7223422807602200952/5*ep^2+1718719796411820438576/875*ep^3)
      -529670687898413020164350944841945317/1502675024026176000-
         83573123681844/25*ep^-3-796302544474734357/22750*ep^-2-
         42845900340581245584641743/408816408000*ep^-1-
         23573361733831508256/25*z3+31569754366423031304427583844100041\
         6359383207134908667618404231/866222611351972165188566994124800\
         00000000000*ep-35360042600747262384/25*ep*z4-
         344590524724248119757891/22750*ep*z3-1132889021034734676344809\
         81288245426953056655716416637847840893295645479/63679003966266\
         52464725980840857383731200000000000000*ep^2-
         2286775434120438668112/25*ep^2*z5-1033771574172744359273673/
         45500*ep^2*z4+2280022090396469714285743610229/48668620000*ep^2
         *z3+6944289205236413191374333932402153572654231667221578746608\
         0153458068586219352445582456384915903/239488940862773813255235\
         2047185980672520065469568883097600000000000000000000*ep^3-
         1131601036193303579928/5*ep^3*z6-36588543272136082237134837/
         250250*ep^3*z5+6840066271189409142857230830687/97337240000*
         ep^3*z4+59111509161848583331402137874015816139/
         18783437800327200000*ep^3*z3-825152570887540933296/25*ep^3*
         z3^2;
Fill mncnoptab(8,6,3,5)=
      +mncF321*(199055652533337600+1516824259918007040*ep+
         3983094642339415272*ep^2+188290524217208635344/35*ep^3)
      -45768392887800146593040264580979601/46796108014656000-
         31466052659428*ep^-3-2525697045059811257/8190*ep^-2-
         14555025664124853561355699/18551332800*ep^-1-
         2618775549945665312*z3+190893446345203218087653107392056247661\
         97304600464707580287/1880665144396710040439252582400000000000*
         ep-3928163324918497968*ep*z4-540765505478505367874771/12870*ep
         *z3-1345025896675683479012573783854327986809049241154333620328\
         46032617/2710865965739193720690756242374656000000000000*ep^2-
         254080976882192355984*ep^2*z5-540765505478505367874771/8580*
         ep^2*z4+8504410603673091583867682094311/64929664800*ep^2*z3+
         18133203512142971981260104446311618485675341120063786361824643\
         3133136155811251006691718038068958669/295893376214774301753108\
         2001339222840511991288961746444746752000000000000000000*ep^3-
         628655503330616726680*ep^3*z6-4014035595034933163784161/10010*
         ep^3*z5+8504410603673091583867682094311/43286443200*ep^3*z4+
         140657680452565539344179109486662903/23398054007328000*ep^3*z3
         -91688965715835571568*ep^3*z3^2;
Fill mncnoptab(8,6,4,4)=
      +mncF321*(238866783040005120+1821274793522952768*ep+
         4787941712923626408*ep^2+1133485373156354171134/175*ep^3)
      -47620081364077760493974043911147/40621621540500-322196983410816/
         5*ep^-3-4233351420046676182/6825*ep^-2-
         1354402494419529759093203/901800900*ep^-1-15709713064926444864/
         5*z3+64424271385485107974882054752581033439310553151953357239/
         5289370718615746988735397888000000000*ep-23564569597389667296/
         5*ep*z4-3786017364219320798106976/75075*ep*z3-9069756374996809\
         2347659028373225334570198631979307965208725293/152486210572829\
         6467888550386335744000000000*ep^2-1524454607594888209728/5*
         ep^2*z5-1893008682109660399053488/25025*ep^2*z4+
         19659046178754286360923586463/125250125*ep^2*z3+
         62814628541663439383420854551371977404877741842557508164304602\
         4647876051646718623863889331986269/832200120604052723680616812\
         8766564238939975500204911875850240000000000000000*ep^3-
         754372447264980882432*ep^3*z6-1097756456687175334694264/2275*
         ep^3*z5+58977138536262859082770759389/250500250*ep^3*z4+
         3212174077418130810802478851667297/406216215405000*ep^3*z3-
         550166180236762820544/5*ep^3*z3^2;
Fill mncnoptab(8,6,5,3)=
      +mncF321*(130290972567275520+997306475601578688*ep+
         2640906376111261512*ep^2+631477504467560686914/175*ep^3)
      -9144140234123889950992317651270139/14298810782256000-
         1947817251689976/55*ep^-3-190135420966952554103/550550*ep^-2-
         1228320739493901411937949/1417115700*ep^-1-
         94257994621381712064/55*z3+11102650127815956194903856672050885\
         1821103703203831462676967/167567264365746864603137405091840000\
         00000*ep-141386991932072568096/55*ep*z4-
         1083723227551001208995156/39325*ep*z3-467274981512483510422887\
         840330314545535641014078880822624681719403/1449228945284172963\
         0812782871734910976000000000*ep^2-9146724488369329804128/55*
         ep^2*z5-1625584841326501813492734/39325*ep^2*z4+
         2102964186615816694623130016459/24799524750*ep^2*z3+
         10229776555871487786324725212912743619876188046782645774411842\
         60541861265275019842257859344286449/19146041990367748936965824\
         714547912497430531869752476995420160000000000000000*ep^3-
         4526233246873974046032/11*ep^3*z6-73816193083691083575774054/
         275275*ep^3*z5+2102964186615816694623130016459/16533016500*
         ep^3*z4+247792419919174032802308603433433791/35747026955640000
         *ep^3*z3-3300999897197325845664/55*ep^3*z3^2;
Fill mncnoptab(8,6,6,2)=
      +mncF321*(30401226932364288+1172264247649194336/5*ep+
         629459176040653860*ep^2+766847966636720867883/875*ep^3)
      -3705424332066930239298507744008371433/24794137896431904000-
         1183587443816172/275*ep^-3-736264301575819313411/16516500*
         ep^-2-2631884554247222908119299719/20236412196000*ep^-1-
         109991535831284586528/275*z3+903897923500041742791172244425794\
         92399428933019506069000854975997/58828642427357837626616338838\
         991667200000000000*ep-164987303746926879792/275*ep*z4-
         3807066245787458861416291/589875*ep*z3-32150550272061639175832\
         982281914574336157674907790839808021977353348845681/
         4324695875365024754894002628259883587207168000000000000*ep^2-
         10671432807079040327856/275*ep^2*z5-3807066245787458861416291/
         393250*ep^2*z4+982308896602045514052212185068619/
         50591030490000*ep^2*z3+196632174261965910529365811367761846733\
         3078303554769598580487795780976102208402915189615739275596827/
         10660123952293209935468098637290083815084129727932236345167052\
         8000000000000000000*ep^3-5280720635623877870664/55*ep^3*z6-
         89201540400384446839968698/1376375*ep^3*z5+9823088966020455140\
         52212185068619/33727353660000*ep^3*z4+123429016191987629480556\
         014174226575299/44275246243628400000*ep^3*z3-
         3850904553768813319248/275*ep^3*z3^2;
Fill mncnoptab(8,7,1,6)=
      +mncF321*(4008953002070016+155438248580701632/5*ep+
         421525011956137032/5*ep^2+312296399137986462518/2625*ep^3)
      -244576770845515205467833422681759179/12397068948215952000-
         1338937936904/275*ep^-3-4884934096493597863/24774750*ep^-2-
         49838903878972228251820789/30354618294000*ep^-1-
         14507781923347967296/275*z3+1463693132564166567896241039002282\
         73630417233657239874259890277840719/72611352938910245299137881\
         0812697149440000000000000*ep-21761672885021950944/275*ep*z4-
         10572033922753634927200222/12387375*ep*z3-51878529699853246423\
         934483561908552288037971210343117113358812196726324284261/
         53379103375934019831834546725950563133528473600000000000000*
         ep^2-1407258112550172108192/275*ep^2*z5-
         5286016961376817463600111/4129125*ep^2*z4+
         27363251945463166324297241514571/10840935105000*ep^2*z3+
         64705341818303969419583299682214830331174684878241574213308604\
         853906978674178009295252935087992136648698942291/
         10692037629098426359627701689946035184025564580680577427630707\
         4809226854400000000000000000000*ep^3-696375165313412070448/55*
         ep^3*z6-12064731852713081439339096/1376375*ep^3*z5+
         27363251945463166324297241514571/7227290070000*ep^3*z4+
         74520590754929670126243533348623219643/154963361852699400000*
         ep^3*z3-507774155524374499936/275*ep^3*z3^2;
Fill mncnoptab(8,7,2,5)=
      +mncF321*(27561551889231360+212638237537549824*ep+
         571279890080915208*ep^2+139301374796606792352/175*ep^3)
      -203652175814383000049838996768023249/1502675024026176000-
         14035316534388/5*ep^-3-133300920962724409/4550*ep^-2-
         21338747943699225377279813/245289844800*ep^-1-
         1813168961281851552/5*z3+6667779729106882647973139202541162027\
         5117297963761225734380299353/478986455173186528462670005071249\
         40800000000000*ep-2719753441922777328/5*ep*z4-
         292919440984295627143657/50050*ep*z3-2371887290331503673183836\
         3792536768593547338499279852725384422763975897503/352119420331\
         8673746894878365760498908004352000000000000*ep^2-
         175904028200786621904/5*ep^2*z5-878758322952886881430971/
         100100*ep^2*z4+10783445652448374650440937098019/613224612000*
         ep^2*z3+130018033930540769373495886279319264218399475496417991\
         23714684564097511340587531307369961255602438661675639/
         23510286822727248231161028934121701772061984922818558213714192\
         22081536000000000000000000*ep^3-87045429619752385176*ep^3*z6-
         267841857120057253200519/4550*ep^3*z5+
         10783445652448374650440937098019/408816408000*ep^3*z4+97310820\
         32510453654848202184366675443/3756687560065440000*ep^3*z3-
         63475100498216615472/5*ep^3*z3^2;
Fill mncnoptab(8,7,3,4)=
      +mncF321*(61247893087180800+471608534323967040*ep+
         1262503703259754680*ep^2+8752809616307790646/5*ep^3)
      -639575048819693634399127006238873/2127095818848000-
         15935775872920*ep^-3-641009591913759337/4095*ep^-2-
         26038576913637717734155847/64929664800*ep^-1-
         805639257946952960*z3+6247509144511069357728012850197904723650\
         8613738889696141/20149983689964750433277706240000000000*ep-
         1208458886920429440*ep*z4-585202329106522548089023/45045*ep*z3
         -3052438811293627025143906756167893708356171898543412574726485\
         791/203314947430439529051806718178099200000000000*ep^2-
         78177296963982302880*ep^2*z5-585202329106522548089023/30030*
         ep^2*z4+1275096423501380974957806851797/32464832400*ep^2*z3+
         26638539866048397157161211610615430838269124240068534363839503\
         738202651762871654285427687565888926010839/
         12881041887452023178598778028029341474141103752355947073260616\
         67942400000000000000000*ep^3-193429144265088374800*ep^3*z6-
         648734133794452158107019/5005*ep^3*z5+
         1275096423501380974957806851797/21643221600*ep^3*z4+6010321845\
         3211656670645314949019861/11699027003664000*ep^3*z3-
         28213507614708339296*ep^3*z3^2;
Fill mncnoptab(8,7,4,3)=
      +mncF321*(55123103778462720+424926428627308608*ep+
         1139896123102515528*ep^2+277382583226343422454/175*ep^3)
      -1054946966595644913717252233710067/3899675667888000-
         82022690424336/5*ep^-3-366234847028193674/2275*ep^-2-
         4451136705704586864304249/10821610800*ep^-1-
         3625150777435545024/5*z3+3862275680242909966388686381256100516\
         15435212075026266187/138485342451030466614163144704000000000*
         ep-5437726166153317536/5*ep*z4-292747789513298752323342/25025*
         ep*z3-32308081392250041180873490604870000289556793183039003309\
         6978677/23954197442713602695558318796256051200000000*ep^2-
         351795430219183026048/5*ep^2*z5-439121684269948128485013/25025
         *ep^2*z4+953619752202483900941085824443/27054027000*ep^2*z3+
         22278680358359740250986312852454793256024913975513196726740672\
         8025269666010065344954513582632023864730873/
         13224536337784077130028078775443457246784866519085438995214233\
         124208640000000000000000*ep^3-174085139720873740512*ep^3*z6-
         2934479061789203210759254/25025*ep^3*z5+
         953619752202483900941085824443/18036018000*ep^3*z4+39785143636\
         7024756294723651606153/80571811320000*ep^3*z3-
         126963261190630856064/5*ep^3*z3^2;
Fill mncnoptab(8,7,5,2)=
      +mncF321*(20044765010350080+155183276476755072*ep+
         419575671782120160*ep^2+103197986081665064106/175*ep^3)
      -101790819960370382662334447571711299/1033089079017996000-
         170347578737904/55*ep^-3-8849886146122464316/275275*ep^-2-
         21197056927442292170739769/224849024400*ep^-1-
         14504071285910900736/55*z3+27383988852323558384498805538572448\
         732794445271773002944882260796449/2710823843052649157834480893\
         7007360245760000000000*ep-21756106928866351104/55*ep*z4-
         1173558297190629702274658/275275*ep*z3-97072395415423222908373\
         25048522972808984969371704792764830360621910383816927/
         1992819859368203407055156411102154356985063014400000000000*
         ep^2-1407218617557475428672/55*ep^2*z5-
         1760337445785944553411987/275275*ep^2*z4+
         1017935266550109395089591218913/80303223000*ep^2*z3+
         11187055059809919708422679195599403448078598554999577896783146\
         50462141027613237733886406547178264972305384093/
         23480553224686740240751031162234430208056141824239699448914494\
         8600655052800000000000000000*ep^3-696357273135782263968/11*
         ep^3*z6-11973133925644195561949346/275275*ep^3*z5+
         1017935266550109395089591218913/53535482000*ep^3*z4+1443452427\
         130069363937278476082844321/645680674386247500*ep^3*z3-
         507814912211273908416/55*ep^3*z3^2;
Fill mncnoptab(8,7,6,1)=
      +mncF321*(2338555917874176+91225977839129952/5*ep+
         250137721014429972/5*ep^2+188103512961711614573/2625*ep^3)
      -3805337980663863762874516536602779/330588505285758720-
         1016555805644/275*ep^-3-11090931785578041161/49549500*ep^-2-
         119383595316417096440939873/60709236588000*ep^-1-
         8462874815056193056/275*z3+11993698040909515506110792731458777\
         477000851968323556054961270085688453/1024691412673901381661433\
         77781887821728972800000000000*ep-12694312222584289584/275*ep*
         z4-883577569799138030160181/1769625*ep*z3-42281013999172721527\
         37229050396465898840078255811156058435150959662564756017219/
         7532859068411808878668491233966143469403538194432000000000000*
         ep^2-820900561186109969712/275*ep^2*z5-
         883577569799138030160181/1179750*ep^2*z4+219910140803412525768\
         839049893909/151773091470000*ep^2*z3+
         17722552737276154492853708465747645603685472059416533625357577\
         15349129591178948476240075609233788560069060129968617/
         18257210237642276127235001276070732270553220850870281347705669\
         82046449336844288000000000000000000*ep^3-406218843185526888328/
         55*ep^3*z6-7232274020153037636507406/1376375*ep^3*z5+219910140\
         803412525768839049893909/101182060980000*ep^3*z4+5198052139856\
         794101955142680670413601/14758415414542800000*ep^3*z3-
         296201510883219180496/275*ep^3*z3^2;
Fill mncnoptab(8,8,3,3)=
      +mncF321*(9374677513344000+513445501119545280/7*ep+
         9904086519360395112/49*ep^2+14274687884530975362/49*ep^3)
      -8790300210389565624352686439470323/191084107726512000-
         157541209452192/49*ep^-3-4295789214692528039/133770*ep^-2-
         8296280624827266148035457/96410714400*ep^-1-
         6041467975622303040/49*z3+263535669262868945250177263601977983\
         30525704548063868419/56169198979315073207785677127680000000*ep
         -9062201963433454560/49*ep*z4-1474148214668261890062601/735735
         *ep*z3-1812400363864858203214664564976331451327710837023320758\
         22462119/80964530176743919124630586438923059200000000*ep^2-
         586320900187163624640/49*ep^2*z5-1474148214668261890062601/
         490490*ep^2*z4+277963734831384471788315010347/48205357200*ep^2
         *z3-7399419774124993125177205578297973128210225932831780165322\
         37669852585416370391528762574312053056370254843/
         24685801163863610642719080380827786860665084168959486124399901\
         8318561280000000000000000*ep^3-1450698580528853304000/49*ep^3*
         z6-5229546014697183300377829/245245*ep^3*z5+
         277963734831384471788315010347/32136904800*ep^3*z4+14806199519\
         4366288501568684974820849/95542053863256000*ep^3*z3-
         211610317803050863680/49*ep^3*z3^2;
Fill mncnoptab(8,8,4,2)=
      +mncF321*(5624806508006400+308522214835623360/7*ep+
         5967081855434795400/49*ep^2+43156311601383093042/245*ep^3)
      -508810296853800634169892500108907311/18407769044320656000-
         56510721925488/49*ep^-3-266488677744989048/22295*ep^-2-
         21047193570458727096201563/600960119760*ep^-1-
         3625705325293594560/49*z3+138477747829091965559629719819490383\
         3709774216117838293296083089/492877062373208937788087435218315\
         6408320000000*ep-5438557987940391840/49*ep*z4-
         295078453561365816035462/245245*ep*z3-485495527100595370499066\
         002216962545114760648093215237285426297831602319/3623308835214\
         91528555482983836755337633647820800000000*ep^2-
         351801353008839490560/49*ep^2*z5-442617680342048724053193/
         245245*ep^2*z4+1035323037744162589155672133141/300480059880*
         ep^2*z3-130269133401782355866043598553793366643865835340041452\
         8709460521089859207199208547132968854476228343570643/
         20160070950488615358220582311009359269543152071316913668259919\
         82934917120000000000000000*ep^3-870439119208864740000/49*ep^3*
         z6-3158488915716521117033574/245245*ep^3*z5+
         1035323037744162589155672133141/200320039920*ep^3*z4+178902760\
         1509487621854814996621313821/1840776904432065600*ep^3*z3-
         126957214886085838080/49*ep^3*z3^2;
Fill mncnoptab(8,8,5,1)=
      +mncF321*(1022692092364800+56348508289919040/7*ep+
         1098689389079065128/49*ep^2+8033213516200927814/245*ep^3)
      -339812733904909156469771612323957853/67495153162509072000-
         378784564728/539*ep^-3-1941597046882425409/16186170*ep^-2-
         56431267451927771110916911/49579209880200*ep^-1-
         7253917692114730944/539*z3+69460894092959683397229146544425179\
         729900386998771372876408702150573/1366255216898535175548578370\
         425170956386304000000000*ep-10880876538172096416/539*ep*z4-
         1774696968951886419906712/8093085*ep*z3-2429289711826576262563\
         5754504011450472302191559139285341604204117412835961723/
         100438120912157451715579883119548579592047175925760000000000*
         ep^2-703629266835775591008/539*ep^2*z5-
         887348484475943209953356/2697695*ep^2*z4+
         15335810252285910494790866515523/24789604940100*ep^2*z3+
         36131153407998037506653130411005019052751327196692625672477911\
         89864197165442657881274319946325586424599935993/
         20118138002911599038275483499802459802262502315008574487829939\
         1961041249239040000000000000000*ep^3-1740938372859152150160/
         539*ep^3*z6-6443015094198116041604538/2697695*ep^3*z5+
         15335810252285910494790866515523/16526403293400*ep^3*z4+
         1347937937114350498443263547204793649/6749515316250907200*ep^3
         *z3-253886621159979311520/539*ep^3*z3^2;
Fill mncnoptab(9,2,2,9)=
      +mncF321*(9309575586168000+499062102045288210/7*ep+
         37012130133053141001/196*ep^2+14136388939545873388833/54880*
         ep^3)
      -73279889305919465829713772868902595411/1599842081201075712000+
         280503854371/588*ep^-3-872055571324287407/110835648*ep^-2-
         8928311444685464786563163/87050317939200*ep^-1-
         2572691972640975718/21*z3+711278680746537555993633559097787238\
         5849587575494302323/15054066540268852133064867840000000000*ep-
         1286345986320487859/7*ep*z4-4874021632276381249746919/2474010*
         ep*z3-23779774799049656929578678556199166516865822030139597062\
         1445199/103289780287312438880940709952618496000000000*ep^2-
         582285786819616987939/49*ep^2*z5-4874021632276381249746919/
         1649340*ep^2*z4+50358551452267748625908489187731/8320986273600
         *ep^2*z3+15342492384849539751499888003660861927061803735191785\
         254416494469924503758201439363883434441/2192679858719593776422\
         481586219097150350504119397200691200000000000000000*ep^3-
         8644242583251820668955/294*ep^3*z6-887169045869742537038868571/
         46181520*ep^3*z5+50358551452267748625908489187731/
         5547324182400*ep^3*z4+568917023088427848614305366813152728003/
         1039897352780699212800*ep^3*z3-630309248894539461559/147*ep^3*
         z3^2;
Fill mncnoptab(9,3,1,9)=
      +mncF321*(3770378112398040+810216939275582553/28*ep+
         120660938846565642999/1568*ep^2+231737680491719964401447/
         2195200*ep^3)
      -29139584030053012965167659807581678529/1570796291782029312000+
         8962820588109/7840*ep^-3+11287756129305952033/1883481600*ep^-2
         -8448456163844834961164659/461537371975680*ep^-1-
         6946271590762199229/140*z3+24517640488691465553924118384813966\
         42706397237017374371979/12832927575584772817608399912960000000\
         000*ep-20838814772286597687/280*ep*z4-
         3357905439571507963794217/4204200*ep*z3-1753275906012138850283\
         09068652564610943646173015038153371895223231/18867853027041933\
         2288177210099478036480000000000*ep^2-9433030208618401654887/
         1960*ep^2*z5-3357905439571507963794217/2802800*ep^2*z4+3516278\
         658578677979921697963234257/1442304287424000*ep^2*z3+
         56318645896069820656621641511551442043013334153401476924871631\
         41531244500171654246345287093/21066924132796097067588548573477\
         60007199503957852212428800000000000000000*ep^3-
         9335782406347730865681/784*ep^3*z6-
         1233586569023242828885738791/156956800*ep^3*z5+351627865857867\
         7979921697963234257/961536191616000*ep^3*z4+515016454548751172\
         844039812443353859387/1963495364727536640000*ep^3*z3-
         3403669399301737502841/1960*ep^3*z3^2;
Fill mncnoptab(9,3,2,8)=
      +mncF321*(33514472110204800+1789076280132818820/7*ep+
         65839559597188949511/98*ep^2+24901565472572852435739/27440*
         ep^3)
      -29139336763184519424576192330410523077/176714582825478297600-
         5126129751927/98*ep^-3-13704803609623895603/23543520*ep^-2-
         11548567566243902640234535/5769217149696*ep^-1-
         3087221300394934980/7*z3+1051156030908108836618578130117426837\
         9176381161853755479190571/615980523628069095245203195822080000\
         0000000*ep-4630831950592402470/7*ep*z4-
         743945987753390368223972/105105*ep*z3-157426684214704345399385\
         452455541284564958122777161466378486731331317/1886785302704193\
         3228817721009947803648000000000000*ep^2-2096228177729634452310/
         49*ep^2*z5-371972993876695184111986/35035*ep^2*z4+
         79369151973957580633643051116597/3605760718560*ep^2*z3+
         22464146275742753830912862124773169266836474741351786831274708\
         3522401527129573755297098073443/948011585975824368041484685806\
         4920032397767810334955929600000000000000000*ep^3-
         5186544071567174768625/49*ep^3*z6-132984231407347410454909803/
         1961960*ep^3*z5+79369151973957580633643051116597/2403840479040
         *ep^3*z4+267548314257143512596977434287094130767/
         220893228531847872000*ep^3*z3-756371839381339107306/49*ep^3*
         z3^2;
Fill mncnoptab(9,3,3,7)=
      +mncF321*(105570587147145120+802921674611827485*ep+
         588084712091040589947/280*ep^2+221020613180053169853159/78400*
         ep^3)
      -1512338263094821215885435432783598031/2911757832023040000-
         301651825048263/280*ep^-3-252315476261558954537/22422400*ep^-2
         -30128556311763077981207209/897792896000*ep^-1-
         6946148884768255377/5*z3+1033452282376487605657425556033403035\
         32876349648359407467/19190460657109286126931148800000000000*ep
         -20838446654304766131/10*ep*z4-1114484303311077846972169/50050
         *ep*z3-1825489762354359822116381864264814763053798571402887225\
         2953643/691547440239590234870090878156800000000000*ep^2-
         9433011982396884185691/70*ep^2*z5-3343452909933233540916507/
         100100*ep^2*z4+23495523822307230932864375098897/336672336000*
         ep^2*z3+711384070592728540358103631177603058101367327921593651\
         4646937891107204949647652934551/102196076210472686726459146921\
         402246189097051750400000000000000000*ep^3-
         9335765898010128610413/28*ep^3*z6-1181371213447483324585023171/
         5605600*ep^3*z5+23495523822307230932864375098897/224448224000*
         ep^3*z4+1663359224474125986109390517825919197/
         727939458005760000*ep^3*z3-3403688378806999620549/70*ep^3*z3^2
         ;
Fill mncnoptab(9,4,1,8)=
      +mncF321*(7312248460408320+392177662157451456/7*ep+
         7279859146051233408/49*ep^2+5226462115814162294858/25725*ep^3)
      -9166289319153152182488455270820043/254778810302016000-
         73952123164/245*ep^-3-12206637290278664/1003275*ep^-2-
         672171815381649764870209/6363107150400*ep^-1-
         3367886309460939488/35*z3+498195891065487795946349708785573123\
         892898603612422247038159/1342794913099250968873626343833600000\
         000000*ep-5051829464191409232/35*ep*z4-
         4880342461109301445111147/3153150*ep*z3-2973098621712702881264\
         5204566760360988751577666643979520303714378987/164522455460711\
         66690872199634971787264000000000000*ep^2-
         2286795012052315680432/245*ep^2*z5-4880342461109301445111147/
         2102100*ep^2*z4+1283842430492642972313613006422203/
         270432053892000*ep^2*z3+18244429969934712428493701148075703900\
         97481974595801913599070591180868699868108051377660959/
         39742300982483986682601500669289989489024445837842841600000000\
         0000000000*ep^3-1131609903943044552008/49*ep^3*z6-
         37088563893989541748603797/2452450*ep^3*z5+1283842430492642972\
         313613006422203/180288035928000*ep^3*z4+8073813412418764805159\
         1790674676880849/184077690443206560000*ep^3*z3-
         825132261109061070416/245*ep^3*z3^2;
Fill mncnoptab(9,4,2,7)=
      +mncF321*(56873043580953600+433632704716823040*ep+
         7977490693710246096/7*ep^2+377240975910220152452/245*ep^3)
      -1655613919308475874728381362528374791/5916782907103068000-
         2650182112616/7*ep^-3-47718443491475951/11466*ep^-2-
         26659766125868728989604289/1931657527800*ep^-1-
         748411083843059776*z3+1638145108287062834267435922260661023150\
         6777940413855615933957/565696399250267536449676404326400000000\
         0000*ep-1122616625764589664*ep*z4-540999475476225230256644/
         45045*ep*z3-19635647297053334053513922891852913975906216879837\
         18670268764918953179/13862096101500195841580366456288182272000\
         0000000000*ep^2-508176061711823329824/7*ep^2*z5-
         270499737738112615128322/15015*ep^2*z4+
         18045763383872368067632942338377/482914381950*ep^2*z3+
         32334421474341862953028877800415783515796827145037919060984464\
         07634739179189565913329398865721/87062288507983870534422062982\
         228857440387663564300615680000000000000000000*ep^3-
         1257342960312304778480/7*ep^3*z6-4026098451391092293068394/
         35035*ep^3*z5+18045763383872368067632942338377/321942921300*
         ep^3*z4+11600500119628645423354245869845153951/
         5916782907103068000*ep^3*z3-183363337787670675424/7*ep^3*z3^2;
Fill mncnoptab(9,4,3,6)=
      +mncF321*(153557217668574720+1169104878326848320*ep+
         107255667716381849184/35*ep^2+5054624480151377759946/1225*ep^3
         )
      -87382777689602735924625934518497/115692857280000-208472920164756/
         35*ep^-3-73191118400924388/1225*ep^-2-
         6285998359788671510896387/38846808000*ep^-1-
         10103003647187716512/5*z3+132090201392062116652231806174162845\
         6114789047610282687123/168707346436125592324669440000000000000
         *ep-15154505470781574768/5*ep*z4-17822229438386318214579/550*
         ep*z3-65249131522749029691609141649454656431441306578127747119\
         984758949/1702270622128222116603300623155200000000000000*ep^2-
         6860336264458905400848/35*ep^2*z5-53466688315158954643737/1100
         *ep^2*z4+1966658147893760683080251336693/19423404000*ep^2*z3+
         68566193554216717077455592960996434959197143184243832547462562\
         52002486905410623138854953/70077309401466985183857700746104397\
         386809406914560000000000000000000*ep^3-3394807619464295692632/
         7*ep^3*z6-8302990871920265734608147/26950*ep^3*z5+
         1966658147893760683080251336693/12948936000*ep^3*z4+2859669189\
         8790552384077484128049583/6999417865440000*ep^3*z3-
         2475447281838276990192/35*ep^3*z3^2;
Fill mncnoptab(9,4,4,5)=
      +mncF321*(186129960810393600+1420007571179383680*ep+
         26156061444714794928/7*ep^2+1239474573702659971784/245*ep^3)
      -68677698586680999531498065884135727/75068756606844000-
         1645157924687280/77*ep^-3-80480376266983861123/385385*ep^-2-
         54977258712791775017011847/104158003950*ep^-1-
         26937927849509478528/11*z3+50837041967239925954317338483403467\
         5025505424865669035995606261/536215245970389966730039696293888\
         00000000000*ep-40406891774264217792/11*ep*z4-
         2164374369626130640812268/55055*ep*z3-107377895171157106764644\
         91677389485820296334098517218485408583173015383/23187663124546\
         7674093004525947758575616000000000000*ep^2-
         18293975554760263622592/77*ep^2*z5-3246561554439195961218402/
         55055*ep^2*z4+25440287128405649461612003148179/208316007900*
         ep^2*z3+282770716629908504829950578297326326268017317667123968\
         635267676698785090704193159065537/2200418605185796142530896093\
         611944307520209934090240000000000000000*ep^3-
         45263525149534243182240/77*ep^3*z6-145338110284523442281979512/
         385385*ep^3*z5+25440287128405649461612003148179/138877338600*
         ep^3*z4+257882338744531991251063765082890423/37534378303422000
         *ep^3*z3-6601455269881458888768/77*ep^3*z3^2;
Fill mncnoptab(9,5,1,7)=
      +mncF321*(7464586970000160+57357834410000124*ep+
         152938239210643668*ep^2+885431807100920261363/4200*ep^3)
      -529828441890161045844522067862326331/14425680230651289600+
         65727492343/20*ep^-3-13717906822995281/655200*ep^-2-
         15751996156101378186417241/35321737651200*ep^-1-
         491150706055830142/5*z3+94273794138855176842302052329862962405\
         9998330735908087022838887/249472112069367983574307294307942400\
         0000000000*ep-736726059083745213/5*ep*z4-
         11403140039655819486380333/7207200*ep*z3-168395546346873596003\
         692266199142488892234869021272682217356552055120561/
         91697765711423795492054124108346325729280000000000000*ep^2-
         47641568493247235109/5*ep^2*z5-11403140039655819486380333/
         4804800*ep^2*z4+424849568927360786112873145384591/
         88304344128000*ep^2*z3+441105953863712915094788954817060812458\
         4447902061306310670379725358047797673556212376873153847731/
         92466680067116969297846312541850713765999727780054576398336000\
         0000000000000000*ep^3-47150417787191404967/2*ep^3*z6-
         12531781394134794889342569/800800*ep^3*z5+42484956892736078611\
         2873145384591/58869562752000*ep^3*z4+9978111473581959635165593\
         0831022609749/180321002883141120000*ep^3*z3-
         17190246818732836747/5*ep^3*z3^2;
Fill mncnoptab(9,5,2,6)=
      +mncF321*(49763913133334400+380970081098727120*ep+
         1008908001686952264*ep^2+96455093547970249287/70*ep^3)
      -1891959442821526398379544460036946517/7728042980706048000-
         1150824416827*ep^-3-399420422978029931/32760*ep^-2-
         331519286629460770418282423/8830434412800*ep^-1-
         654841412785086632*z3+1002360216087191480663488983437957684772\
         796680887098536802651/3966816724018905840368379494400000000000\
         00*ep-982262119177629948*ep*z4-758847561111808727838619/72072*
         ep*z3-14484442158205752395742333154635027613907846714578806280\
         451613302270263/1176177851036380253225000790230512435200000000\
         000000*ep^2-63521814153614560764*ep^2*z5-
         758847561111808727838619/48048*ep^2*z4+14293315620533112788304\
         4942847293/4415217206400*ep^2*z3+17077632791947239885762508852\
         07165469550750641555398687686316988986869265006374130423749192\
         49054023/70450803860660548036454333365219591440761697356232058\
         20825600000000000000000000*ep^3-157167431852073685330*ep^3*z6-
         820960368235813435134367/8008*ep^3*z5+142933156205331127883044\
         942847293/2943478137600*ep^3*z4+611284461406379989058300715223\
         055629/223538433326208000*ep^3*z3-22920620410029372740*ep^3*
         z3^2;
Fill mncnoptab(9,5,3,5)=
      +mncF321*(111968804550002400+856775835864928980*ep+
         2267038081993319730*ep^2+866017275794714320023/280*ep^3)
      -6541837237818094556517474192568093/11884725844992000-
         45816716632851/4*ep^-3-330521321658255135/2912*ep^-2-
         22897090145615971967856541/76953676800*ep^-1-
         1473198794816781114*z3+277377636308469298930541119459462339071\
         69829347226116050270567/48746840542762724248185426935808000000\
         00000*ep-2209798192225171671*ep*z4-541868246600537043084129/
         22880*ep*z3-58447268895107525445832914975342526560511159901222\
         1996991134610206701/210796937495879703720913205407053250560000\
         00000000*ep^2-142922011969636304823*ep^2*z5-
         1625604739801611129252387/45760*ep^2*z4+
         935349253267962459825070245237/12825612800*ep^2*z3+
         13439751391519593975050236274213513895720714289791477211357496\
         853964620499965392447457605992565059/2630163344131327126694295\
         11230153141378843670129933017310822400000000000000000*ep^3-
         707244065874097618545/2*ep^3*z6-36856820144686261498404051/
         160160*ep^3*z5+2806047759803887379475210735711/25651225600*
         ep^3*z4+243605750112434388931791153739064909/41596540457472000
         *ep^3*z3-51573529007100209817*ep^3*z3^2;
Fill mncnoptab(9,5,4,4)=
      +mncF321*(108575810472729600+833184947986896960*ep+
         2216329608105773640*ep^2+106610066160635453414/35*ep^3)
      -423482535199528003768873521775153/794378376792000-
         274485903842736/11*ep^-3-39988640454398519969/165165*ep^-2-
         11901145247892638708582041/19839619800*ep^-1-
         15710761094340615552/11*z3+12405929806719148383974706593915482\
         36905852728778697596339363197/22521040330756378602661667244343\
         2960000000000*ep-23566141641510923328/11*ep*z4-
         3797752603281710308783564/165165*ep*z3-26063168462433870165941\
         390254887527389887122062063719582124028666000903/9738818512309\
         64231190619008980586017587200000000000*ep^2-
         1524465760688433791424/11*ep^2*z5-1898876301640855154391782/
         55055*ep^2*z4+348311734718234807294622036011/4959904950*ep^2*
         z3+65527916326739180138654388563981465231526237346294980270454\
         2383218552696305631055783157448238686123/131234630218776698313\
         53854892339721142238783764803137831740794470400000000000000*
         ep^3-3771887498985232939680/11*ep^3*z6-
         12450599362658651149770376/55055*ep^3*z5+
         348311734718234807294622036011/3306603300*ep^3*z4+863055645000\
         6285323087674248662783/1191567565188000*ep^3*z3-
         550154664828666123840/11*ep^3*z3^2;
Fill mncnoptab(9,5,5,3)=
      +mncF321*(47501917081819200+366879444826207950*ep+
         3950346439610971065/4*ep^2+772513035435432050703/560*ep^3)
      -319964979133442998847692268716025669/1372685835096576000-
         644802433675683/44*ep^-3-1518450956903307488219/10570560*ep^-2
         -1393746525264973809856388227/3809207001600*ep^-1-
         6872559034128783546/11*z3+126135376256334116065099582236069098\
         955412633197499163788487393/5254909410509821673954389023680102\
         4000000000*ep-10308838551193175319/11*ep*z4-
         5332838083230329338339229/528528*ep*z3-52656294579719259324162\
         7615411970928784289540194206819381653327324167/454478197241116\
         64122228887085760680820736000000000*ep^2-666944188645875780987/
         11*ep^2*z5-5332838083230329338339229/352352*ep^2*z4+
         2302902485535707933228524992047/76184140032*ep^2*z3+
         51271640955705069280687124590823427603167389085644726463954238\
         2646756558754950026778550708816786009/187130861608255662410045\
         70865002935702821969442404474315630392115200000000000000*ep^3-
         3300358148058734987205/22*ep^3*z6-8980121984550300771293495/
         88088*ep^3*z5+2302902485535707933228524992047/50789426688*ep^3
         *z4+3246152550636658551905624001734640409/686342917548288000*
         ep^3*z3-240702509917860068469/11*ep^3*z3^2;
Fill mncnoptab(9,6,1,6)=
      +mncF321*(4134232783384704+160095034866534768/5*ep+
         433117640027639592/5*ep^2+213164786310583086953/1750*ep^3)
      -122275393354597040999754437380454773/6010700096104704000-
         60673608141/25*ep^-3-26140384748823911/273000*ep^-2-
         2352865629178408199909507/2943478137600*ep^-1-
         1360106241381764184/25*z3+346057053579940099120119801731881273\
         2317656861248441777755378539/166314741379578655716204862871961\
         60000000000000*ep-2040159362072646276/25*ep*z4-
         2641429810330819731544283/3003000*ep*z3-1227900500561686449127\
         804355902352275249943970621377818462390411125770261/
         1222636876152317273227388321444617676390400000000000000*ep^2-
         131930465080544903268/25*ep^2*z5-2641429810330819731544283/
         2002000*ep^2*z4+13726761798962257068632432781343/5256210960000
         *ep^2*z3+49505210131035560251784370734745950987903175689171374\
         04478246002520869443628013598228406985900360893831363/
         22040893896306795216713464625739095411308110865142398325357055\
         207014400000000000000000000*ep^3-65285179419581569542/5*ep^3*
         z6-8997296221256923575010557/1001000*ep^3*z5+
         13726761798962257068632432781343/3504140640000*ep^3*z4+
         35433425006935906088050745889990969179/75133751201308800000*
         ep^3*z3-47603806482048170844/25*ep^3*z3^2;
Fill mncnoptab(9,6,2,5)=
      +mncF321*(22967959907692800+177385589390449440*ep+
         477442543682149560*ep^2+23334926284187155977/35*ep^3)
      -20786262958346809185953836064510429/184001023350144000-
         1434727240170*ep^-3-11800689453740843/780*ep^-2-
         67690084688289232010566547/1471739068800*ep^-1-
         302214805358591280*z3+6852714136482529115569671807536337354673\
         03727939046151055374763/59134130268294633143539506798919680000\
         0000000*ep-453322208037886920*ep*z4-293079583568235911972339/
         60060*ep*z3-81205451198987330443043888263043527654752404259470\
         207824133306022823351/1449051112476820471973200973563991320166\
         4000000000000*ep^2-29317550241699315720*ep^2*z5-
         293079583568235911972339/40040*ep^2*z4+
         827264186826673339284466763209/56605348800*ep^2*z3+
         51123926556451135960642715005408012110026742069258297514577869\
         815789304438006810816347349718001610139280599/
         70530860468181744693483086802365105316185954768455674641142576\
         66244608000000000000000000*ep^3-72538338590851811100*ep^3*z6-
         986910632034516891368301/20020*ep^3*z5+
         827264186826673339284466763209/37736899200*ep^3*z4+10335507999\
         757425160569248045346043987/4508025072078528000*ep^3*z3-
         10578963015613529976*ep^3*z3^2;
Fill mncnoptab(9,6,3,4)=
      +mncF321*(41342327833847040+319383267521494176*ep+
         860080167967649112*ep^2+210331960535617175403/175*ep^3)
      -2111588967442403200798257177455677/10399135114368000-
         43647403698162/5*ep^-3-784212045879899317/9100*ep^-2-
         430627638725046827951671/1923841920*ep^-1-2719254873107869488/
         5*z3+854564400886594133024052063219412116627468881278605191669\
         26573/40947346055920688368475758626078720000000000*ep-
         4078882309661804232/5*ep*z4-879226158561669464032381/100100*ep
         *z3-1785001707756189686774987541203294526136747508101346874999\
         421029500347/1770694274965389511255670925419247304704000000000\
         00*ep^2-263850744764002214376/5*ep^2*z5-
         2637678475685008392097143/200200*ep^2*z4+
         30106398636968768460183953377/1145144000*ep^2*z3+
         21140288458694006468836828237923415101997434987000549227746384\
         707495284541215108460029098529084262840164599/
         10455162845871646860445728161291768552752270942147547064451723\
         12878612480000000000000000*ep^3-130565744945447172444*ep^3*z6-
         8892211287315575189313297/100100*ep^3*z5+
         90319195910906305380551860131/2290288000*ep^3*z4+1086281778084\
         76104445486363713716311/25997837785920000*ep^3*z3-
         95218146934625391768/5*ep^3*z3^2;
Fill mncnoptab(9,6,4,3)=
      +mncF321*(30067147515525120+233082006745337568*ep+
         631650403024499628*ep^2+155802477898575872634/175*ep^3)
      -4219263945335460311209729758154483/28597621564512000-
         524729026607076/55*ep^-3-103394075574918426471/1101100*ep^-2-
         19198331586917352765796829/79358479200*ep^-1-
         21750194951030270304/55*z3+19109140333508812637129332842753390\
         98638181828564715372874160881/12611782585223572017490533656832\
         24576000000000*ep-32625292426545405456/55*ep*z4-
         1761173637535902223449237/275275*ep*z3-79513071839600219244887\
         71635483430921086339240260802621095721223806419/10907476733786\
         79938933493290058256339697664000000000*ep^2-
         2110765005886623646608/55*ep^2*z5-5283520912607706670347711/
         550550*ep^2*z4+3760062910395769503208640350667/198396198000*
         ep^2*z3+137955203304631953010214538912138471038176626961577783\
         40867222970941536115979813317999280947929316532535528509/
         91238721101639904935489721087539500237018151088474260715782037\
         1705402490880000000000000000*ep^3-1044507405467796688152/11*
         ep^3*z6-18064667290729393148619594/275275*ep^3*z5+
         3760062910395769503208640350667/132264132000*ep^3*z4+363687254\
         66322124418569970850955021/10213436273040000*ep^3*z3-
         761787315352666211184/55*ep^3*z3^2;
Fill mncnoptab(9,6,5,2)=
      +mncF321*(8769584692028160+68453177308896744*ep+
         187845206894904123*ep^2+188497354027369237173/700*ep^3)
      -1424453385217452350249425947867826933/33058850528575872000-
         107365545768933/55*ep^-3-88953092351772262847/4404400*ep^-2-
         24420739369581149810629327/415105891200*ep^-1-
         6344804080033238232/55*z3+411613229861248458505510978845120151\
         1089770357906634689168799302204101/936860720158995548947596596\
         8629743700934656000000000*ep-9517206120049857348/55*ep*z4-
         294528480527391451814107/157300*ep*z3-144787543417334984659899\
         1684577020633461874083626714426720050296099347081000611/
         688718543397651097478262055676904545774037777776640000000000*
         ep^2-615650428355645971764/55*ep^2*z5-883585441582174355442321/
         314600*ep^2*z4+4307372630378967567446551796699/793584792000*
         ep^2*z3+762863726452441237592278795947769201435646066893727508\
         493793064166006369106978077947744850483866341265975715113769/
         16692306502987223887757715452407526647362944777938542946473755\
         2644246796511477760000000000000000*ep^3-304652812137806366766/
         11*ep^3*z6-10869592720863841558116069/550550*ep^3*z5+
         4307372630378967567446551796699/529056528000*ep^3*z4+933680537\
         647011513493829326129331579/694513666566720000*ep^3*z3-
         222177059566758032652/55*ep^3*z3^2;
Fill mncnoptab(9,6,6,1)=
      +mncF321*(809500125417984+31939620637469328/5*ep+
         89372483472721122/5*ep^2+23012441543558895769/875*ep^3)
      -171302157381838814246908052479506127/42976505687148633600-
         15092955983298/3575*ep^-3-71694214036141760213/429429000*ep^-2
         -142626847413997015691624131/105229343419200*ep^-1-
         38082720305016309552/3575*z3+880493640757717622148217589752210\
         074186561057692600328333166122738408121/2192254085172049584537\
         3760366593600260187095040000000000*ep-57124080457524464328/
         3575*ep*z4-2665290829038190256269933/15336750*ep*z3-
         61441285169750369058161167111060523260791419043632571679649823\
         147810335842381711/3223202783101007136198266420567913274222496\
         79999467520000000000*ep^2-3694050168413100023304/3575*ep^2*z5-
         2665290829038190256269933/10224500*ep^2*z4+6395655442186301227\
         88055031643657/1315366792740000*ep^2*z3+
         35036497008497314061217718193542803399779210185263031785951118\
         378430171871629737010551037955796051824339677/
         73949685248779754290364194176110769202377994994018521115853368\
         362417520640000000000000000*ep^3-1827983724054041856876/715*
         ep^3*z6-34195705464594494643263487/17892875*ep^3*z5+6395655442\
         18630122788055031643657/876911195160000*ep^3*z4+64519531935263\
         044981362675937664425129/383718800778112800000*ep^3*z3-
         1332909058073115770232/3575*ep^3*z3^2;
Fill mncnoptab(9,7,1,5)=
      +mncF321*(1230426423626400+9661672994610780*ep+187567520368661070/
         7*ep^2+32718687662916646519/840*ep^3)
      -3057641153602240037665839932039901989/504898808072795136000+
         31595400881/28*ep^-3-63591276986927191/917280*ep^-2-
         190466308444514233966333531/247252163558400*ep^-1-
         113342738272479890/7*z3+10354516170248995816815649642962655219\
         54358911188652353675656599/16898642138510020724162997778913679\
         114240000000*ep-170014107408719835/7*ep*z4-
         2658977718850696214768347/10090080*ep*z3-362965623755460382135\
         141355168921177566906355576692802739214096671604049/
         1242277314930828097904513087440304014743935385600000000*ep^2-
         10994210316194902515/7*ep^2*z5-2658977718850696214768347/
         6726720*ep^2*z4+92626607115996452427473193968009/
         123626081779200*ep^2*z3+20773143941172226514258211495459307748\
         65584210802562337246579409099012821348188299934108801261493269\
         37187/29764698054036506612273723712768432004246895744391342121\
         2860060364963840000000000000000*ep^3-54404337889612113125/14*
         ep^3*z6-3188287590066857009666751/1121120*ep^3*z5+
         92626607115996452427473193968009/82417387852800*ep^3*z4+
         57025451374717424338525290930031134403/252449404036397568000*
         ep^3*z3-3966975672848236253/7*ep^3*z3^2;
Fill mncnoptab(9,7,2,4)=
      +mncF321*(5468561882784000+42849633387543840*ep+
         828682616263026216/7*ep^2+1198367035393616327/7*ep^3)
      -299406348768047626588227623053244567/11137473707488128000-
         5819044714606/7*ep^-3-992385717487941247/114660*ep^-2-
         46608116946638204977832387/1818030614400*ep^-1-
         503614936316968400/7*z3+95740753214776321364412757791869841407\
         5812507204339667200443/350630607708476412992281310901829632000\
         0000*ep-755422404475452600/7*ep*z4-1475463476751308646404371/
         1261260*ep*z3-111940855327177600822308652773170195326974138921\
         940520134432403190911/8592020713980206092641097537367666180751\
         3600000000*ep^2-48861774668998083480/7*ep^2*z5-
         1475463476751308646404371/840840*ep^2*z4+
         51766733894932696540777201402289/15453260222400*ep^2*z3+
         12394680339082646912998853189157541363985902985908753156281531\
         9964495009565172174686851205857203343099033/
         45573786764055896571173686856912837281227847696540589768122895\
         6895805440000000000000000*ep^3-120895399331702787700/7*ep^3*z6
         -1754692793984509355798103/140140*ep^3*z5+
         51766733894932696540777201402289/10302173481600*ep^3*z4+
         89551264181504692414797718640479551857/94668526513649088000*
         ep^3*z3-17632453441121713640/7*ep^3*z3^2;
Fill mncnoptab(9,7,3,3)=
      +mncF321*(7382558541758400+57894796502365680*ep+
         1121301585776788695/7*ep^2+32494431900512316369/140*ep^3)
      -10549355321668797847709568735939937/291175783202304000-
         34587222558939/14*ep^-3-2519463005684179647/101920*ep^-2-
         13444396600569218551467491/202003401600*ep^-1-
         679674713590081980/7*z3+42286430185037886299401363290716555261\
         9498352150641002886323/114652568956577927431732124153020416000\
         0000*ep-1019512070385122970/7*ep*z4-40248683917932291319809/
         25480*ep*z3-87066133974176214721855620580084758227059453162707\
         37127896616261509/49579439699030906315158785911738924531712000\
         00000*ep^2-65961202617123785190/7*ep^2*z5-
         120746051753796873959427/50960*ep^2*z4+
         455811126714564150134399397349/101001700800*ep^2*z3-
         42161761373042682164814384926447495039947959072731617818957378\
         359680329423579600473684589289673815167000617/
         20736072977645432939884027519895340962958670701925968344495917\
         538759147520000000000000000*ep^3-163203819758834258025/7*ep^3*
         z6-2376958996321246208979879/140140*ep^3*z5+
         455811126714564150134399397349/67334467200*ep^3*z4+19016699083\
         6817654188433527431388703/145587891601152000*ep^3*z3-
         23806054632740597082/7*ep^3*z3^2;
Fill mncnoptab(9,7,4,2)=
      +mncF321*(3579422323276800+28178884388977920*ep+
         549558976813259904/7*ep^2+4018609845329931562/35*ep^3)
      -1525837857362185182792819203485772749/86779482637511664000-
         73226779052712/77*ep^-3-7579557062683189163/770770*ep^-2-
         406059338178952111319116153/14165488537200*ep^-1-
         3625335881257749312/77*z3+556495442372039266866619980912597476\
         079447299710658050641537165951937/3122869067196651829825321989\
         543247900311552000000000*ep-5438003821886623968/77*ep*z4-
         295725949374393194670054/385385*ep*z3-194197732662816679557991\
         385099347888822161214814468959393733077167156895387847/
         229572847799217032492754018558968181924679259258880000000000*
         ep^2-351797429620970528544/77*ep^2*z5-443588924061589792005081/
         385385*ep^2*z4+15333179026014310989314632075421/7082744268600*
         ep^2*z3+106257232065674495990119968446982613686033686959969065\
         660398186932151893704688326465347816972568289559206313597/
         45984315435226512087486819428119908119457148148591027400754146\
         7339522855403520000000000000000*ep^3-870430234349281948080/77*
         ep^3*z6-3222932546677875324190168/385385*ep^3*z5+
         15333179026014310989314632075421/4721829512400*ep^3*z4+
         30466660750993668512193118301074983593/43389741318755832000*
         ep^3*z3-126961292299683785952/77*ep^3*z3^2;
Fill mncnoptab(9,7,5,1)=
      +mncF321*(521999088811200+4139016631814610*ep+46719171385573911/4
         *ep^2+29190148991821300619/1680*ep^3)
      -37770878898745753462145004977033993/14692822457144832000-
         74996871509/44*ep^-3-3666649768591781591/31711680*ep^-2-
         28251524312289062244873001/27752793868800*ep^-1-
         75561457060351222/11*z3+14503893255170478339764921996611524280\
         404233628448343580518169325761229/5621164320953973293685579581\
         17784622056079360000000000*ep-113342185590526833/11*ep*z4-
         178099558782558433669073/1585584*ep*z3-10076301305222831792713\
         12811201019448257558684163103439642065120761978832968219/
         8264622520771813169739144668122854549288453333319680000000000*
         ep^2-7329469043950241949/11*ep^2*z5-178099558782558433669073/
         1057056*ep^2*z4+30046096813859989615123563008627/
         97134778540800*ep^2*z3+374341559392338344905004044705154780707\
         44783826880151477203946001712849618189875327640160234671756083\
         69546267672127/22033844583943135531840184397177935174519087106\
         878876689345356949040577139515064320000000000000000*ep^3-
         36269537934449453635/22*ep^3*z6-110786262411708954936937/88088
         *ep^3*z5+30046096813859989615123563008627/64756519027200*ep^3*
         z4+2665394700760859539883514026266627367/22039233685717248000*
         ep^3*z3-2644653222670108531/11*ep^3*z3^2;
Fill mncnoptab(9,8,1,4)=
      +mncF321*(187493550266880+10528177043210112/7*ep+
         212184883461980424/49*ep^2+495720767220435044/75*ep^3)
      -59981971613767940531125854086560769/64968596627014080000-
         104542142396/49*ep^-3-52688990149082219/1003275*ep^-2-
         1064909747105019921001159/2892321432000*ep^-1-
         604479565351183904/245*z3+197173129360011203248240007935028165\
         948362564993023836776362731/2147121589363626162599533835438443\
         9345152000000*ep-906719348026775856/245*ep*z4-
         895531829998499734199737/22072050*ep*z3-6775789060938723530657\
         5114242115256148777915326684829450352617449708653/157842294132\
         3875700866910746394739218733470842880000000*ep^2-
         58635637924634543088/245*ep^2*z5-895531829998499734199737/
         14714700*ep^2*z4+2640454761557204466013406260309/
         24584732172000*ep^2*z3-281996094982865968523321362997643194292\
         28992008221887427361707966802980311014482574484438070747007219\
         6166961/134369752895142405450448498328921809439972186148480274\
         8723335456511592759296000000000000000*ep^3-
         29015579179641679592/49*ep^3*z6-1162193548712922339300201/
         2452450*ep^3*z5+2640454761557204466013406260309/16389821448000
         *ep^3*z4+29963821535383024044435955957648898951/
         552233071329619680000*ep^3*z3-4231477986332425168/49*ep^3*z3^2
         ;
Fill mncnoptab(9,8,2,3)=
      +mncF321*(624978500889600+35036113120763040/7*ep+
         704071122051877260/49*ep^2+764640877100465314/35*ep^3)
      -203420903642771956275800145845341129/66267968559554361600-
         9745836244388/49*ep^-3-666930963017180747/321048*ep^-2-
         1344246938383952413431057977/216345643113600*ep^-1-
         402781182513006400/49*z3+2846827847454311301077940660585352070\
         01701132295746180175961/92722316260685984769069946660706058240\
         00000*ep-604171773769509600/49*ep*z4-1192715420753966464383647/
         8828820*ep*z3-325853419509040858380230583154431505348652291977\
         88832664232920178371/22721121443636545000539791265483383900209\
         1520000000*ep^2-39088237120195779120/49*ep^2*z5-
         1192715420753966464383647/5885880*ep^2*z4+
         38930831393405620143998125029451/108172821556800*ep^2*z3-
         10344800961608606857309215518971253488258417435640758838930596\
         57058910248150758896102310285718254564492763/
         27648097303527243919845370026527121283944894269234624459327890\
         05167886336000000000000000*ep^3-96713639844206931800/49*ep^3*
         z6-1538814898064864069190621/980980*ep^3*z5+
         38930831393405620143998125029451/72115214371200*ep^3*z4+
         29126763055805405231977846118700065029/165669921398885904000*
         ep^3*z3-14107171370776437328/49*ep^3*z3^2;
Fill mncnoptab(9,8,3,2)=
      +mncF321*(562480650800640+31569714348771456/7*ep+
         635720141356693560/49*ep^2+24230015013426179856/1225*ep^3)
      -1016738545489970467341596006505233353/368155380886413120000-
         10202366708244/49*ep^-3-482502447355457241/222950*ep^-2-
         42757871158212386393642349/6677334664000*ep^-1-
         1812353553345127392/245*z3+18816302468809161789835992211684124\
         3753191826714783940721003688359/681353251024724035598252070445\
         7995418861568000000*ep-2718530330017691088/245*ep*z4-
         298334204801469830046549/2452450*ep*z3-64510705950452979381240\
         528870912887370145501941982885072005676414951769417/
         500886213380109889075099676855930578744754747473920000000*ep^2
         -175895362225501577424/245*ep^2*z5-895002614404409490139647/
         4904900*ep^2*z4+3232984223059664902905955362941/10016001996000
         *ep^2*z3-34907948164284024114091973250337894771723719790035153\
         3517419151783407289401040126568498475618508122136056581/
         14754325808094068049461011581214943781644004753558618417354271\
         67934297931776000000000000000*ep^3-87041504336078225016/49*
         ep^3*z6-3478804071602859833373993/2452450*ep^3*z5+
         3232984223059664902905955362941/6677334664000*ep^3*z4+29710088\
         746757419513322405550808836911/184077690443206560000*ep^3*z3-
         12696817076600142960/49*ep^3*z3^2;
Fill mncnoptab(9,8,4,1)=
      +mncF321*(136358945648640+7684641926391456/7*ep+
         155855562543633180/49*ep^2+17990212641608426918/3675*ep^3)
      -4080443574599931285750521614639117177/6074563784625816480000-
         1276729221844/539*ep^-3-28487326623846627443/485585100*ep^-2-
         1222173868318116386867462887/2974752592812000*ep^-1-
         4835798969204524192/2695*z3+9358731727149448280183787072302484\
         25402482326713145501930437124749921/14052910802384933234213948\
         9529446155514019840000000000*ep-7253698453806786288/2695*ep*z4
         -3588417700230349905910483/121396275*ep*z3-1602112296808460983\
         9373949962168129297390736900702757823943336796542680136487/
         516538907548238323108696541757678409330528333332480000000000*
         ep^2-469084664078356351824/2695*ep^2*z5-
         3588417700230349905910483/80930850*ep^2*z4+1149153200936711873\
         41770491066621/1487376296406000*ep^2*z3-
         61851132566015879088262490659974304845168398261262149891227602\
         43009760860293284172098760783616969783907675507/
         41385883891703860878738137485307917307511433333731924660678732\
         0605570569863168000000000000000*ep^3-232124432554575913816/539
         *ep^3*z6-4717056434470714673929284/13488475*ep^3*z5+1149153200\
         93671187341770491066621/991584197604000*ep^3*z4+12705827212018\
         1642018586708494246817149/3037281892312908240000*ep^3*z3-
         33851889050953373936/539*ep^3*z3^2;
Fill mncnoptab(9,9,2,2)=
      +mncF321*(29295867229200+1696836641192550/7*ep+36035175870995013/
         49*ep^2+41971005308027643/35*ep^3)
      -36917968935074732993085970490703133/257039393200695705600-
         3646001568687/196*ep^-3-3261930923263962617/17122560*ep^-2-
         634278143908221259585549091/1153843429939200*ep^-1-
         18869549099096361/49*z3+96441497848570737071974465350302428932\
         160887195714371393/68683197230137766495607367896819302400000*
         ep-56608647297289083/98*ep*z4-605805357018704929170439/
         94174080*ep*z3-37636103549804522617549161748023366595598996108\
         7313556433165043/594016246892458692824569706287147291508736000\
         00*ep^2-1832149010232804762/49*ep^2*z5-
         605805357018704929170439/62782720*ep^2*z4+
         8768300504920639372649964140233/576921714969600*ep^2*z3-
         45603427325256450458371415096356605344940227239521807433289661\
         29105696822566629007495988508671538121434957553/
         75168239917101164176201177124167052008808151518037703974614298\
         370882212672307200000000000000*ep^3-9066397305668542005/98*
         ep^3*z6-2619593712913258424809131/31391360*ep^3*z5+
         8768300504920639372649964140233/384614476646400*ep^3*z4+
         90659470317377242536692063402587225361/7068583313019131904000*
         ep^3*z3-661399194990449298/49*ep^3*z3^2;
Fill mncnoptab(9,9,3,1)=
      +mncF321*(13183140253140+1529217091117287/14*ep+65099758095605115/
         196*ep^2+95062994728296908/175*ep^3)
      -61928165542321422793548554270284747/951997752595169280000-
         180636655659/784*ep^-3-3677085638812584641/342451200*ep^-2-
         2044755483420836101867687859/23076868598784000*ep^-1-
         170016531512352513/980*z3+125922724725009200857800566966921304\
         354964517569788940003204583/2002344247909393084207108125391737\
         42921646080000*ep-510049594537057539/1960*ep*z4-
         5459221171045589410157887/1883481600*ep*z3-2093995881945390085\
         10867348347870043624500581568217795355668939733084977/
         73599606864016146966137095374748982999229269016576000000*ep^2-
         8245656710694753093/490*ep^2*z5-5459221171045589410157887/
         1255654400*ep^2*z4+78500688414393905379836335243897/
         11538434299392000*ep^2*z3-479077818159599527816573912517209439\
         74366756982049311221123195391489608113506925051846817641668117\
         097642879805046899/2509744753176591276433253730778971169944697\
         335061393702013490829740635178433078823485440000000000000*ep^3
         -16321296889877153673/392*ep^3*z6-23706009296174522298796803/
         627827200*ep^3*z5+78500688414393905379836335243897/
         7692289532928000*ep^3*z4+92058061861294411883027528070298919137
       /15707962917820293120000*ep^3*z3-595037561988221997/98*ep^3*z3^2
         ;
Fill mncnoptab(10,1,1,10)=
      +mncF321*(114933031928000+56287164863865650/63*ep+
         38591774832268883377/15876*ep^2+45786201122304492682747/
         13335840*ep^3)
      -12384177310873137096273473895189860722147/
      21900238249561525421568000-2416201643941/47628*ep^-3-
         54368889476484209357/194516562240*ep^-2+
         224675593500219803477209559/397210600756569600*ep^-1-
         2572687119552672662/1701*z3+1415065946082794057451019566300533\
         569949417889446515691/245327520083024186725624971264000000000*
         ep-1286343559776336331/567*ep*z4-7090785646257442387822579/
         289459170*ep*z3-1167275770720774434338791514943856822377851677\
         020875008900983163/4208136316526845166194039817087483904000000\
         0000*ep^2-194095218599353257097/1323*ep^2*z5-
         7090785646257442387822579/192972780*ep^2*z4+630303424604317886\
         868542996565767/8761998546100800*ep^2*z3+423511821982760548251\
         09733713931545849877945815331157291457479189713661708868579928\
         09/47460603002588609879274493208205566024902686567038976000000\
         000000000*ep^3-8644240787786553026195/23814*ep^3*z6-
         12356720510816572585494444119/48629140560*ep^3*z5+630303424604\
         317886868542996565767/5841332364067200*ep^3*z4+866190324782401\
         50783918278582303588532139/5475059562390381355392000*ep^3*z3-
         630309714902700941903/11907*ep^3*z3^2;
Fill mncnoptab(10,2,1,9)=
      +mncF321*(930957558616800+50317328617698285/7*ep+
         7575005730772016811/392*ep^2+26551581856096325538247/987840*
         ep^3)
      -2476849391515239013684437436026283547453/
      540746623445963590656000+17135707607/1176*ep^-3+76987997915580823/
         960575616*ep^-2-10041404438150469480259561/29423007463449600*
         ep^-1-257269140857725351/21*z3+3902855718382615920124830444120\
         635877388733206727343276857/8310848334664424300927344705536000\
         0000000*ep-257269140857725351/14*ep*z4-
         424072367880196322053189/2144142*ep*z3-92533592055735849365869\
         874098967977443925480696873907731708602551/4073060335996353839\
         87176199579825602560000000000*ep^2-116457156012135082071/98*
         ep^2*z5-424072367880196322053189/1429428*ep^2*z4+1282704032234\
         62929673252205235523/216345643113600*ep^2*z3+
         48380826685657625238575791372569465863101663162174316209929254\
         87751436313122682907207591857/70840426204786875853649405093232\
         36947286244078052494540800000000000000000*ep^3-
         1728848500321985456495/588*ep^3*z6-53259019793375790786819307/
         26682656*ep^3*z5+128270403223462929673252205235523/
         144230428742400*ep^3*z4+12827366414683867265959192550234551811\
         963/135186655861490897664000*ep^3*z3-126061864419596597147/294
         *ep^3*z3^2;
Fill mncnoptab(10,2,2,8)=
      +mncF321*(6702894422040960+360593029680354900/7*ep+
         67289877738049041063/490*ep^2+25924797680419363241771/137200*
         ep^3)
      -2476841003130238996875398467927674608041/75103697700828276480000
         -1629039871167/490*ep^-3-58123226551278320123/2001199200*ep^-2
         -723005422738154463100428463/12259586443104000*ep^-1-
         3087226074733457892/35*z3+102791863717274935000151455833935470\
         729001346688305659795524067/3029304217985182657688017145167872\
         00000000000*ep-4630839112100186838/35*ep*z4-
         12693750873725894166164522/8933925*ep*z3-137651240950861862182\
         79018608182042610124430334830722674388814954931141/
         8351046520147524232312072017010111807488000000000000*ep^2-
         2096228550191113487718/245*ep^2*z5-6346875436862947083082261/
         2977975*ep^2*z4+389369026296638837535756591379429/
         90144017964000*ep^2*z3+502932874062018735538872689459849647651\
         04640411770447777476836400395450516818656532216489983/
         10360412332450080593596225494885234035406131964151773265920000\
         000000000000*ep^3-1037308983833989641237/49*ep^3*z6-
         2345208233529170350133846883/166766600*ep^3*z5+389369026296638\
         837535756591379429/60096011976000*ep^3*z4+97026825118258005040\
         86845908248681901087/18775924425207069120000*ep^3*z3-
         756371511319402776282/245*ep^3*z3^2;
Fill mncnoptab(10,3,1,8)=
      +mncF321*(2708240170521600+146018025746770320/7*ep+
         2736125947935669276/49*ep^2+1192832793636764368378/15435*ep^3)
      -407542696067002117682178038229811877/30585216258255859200-
         138620829854/147*ep^-3-809937063654793/123480*ep^-2-
         21261451224383062998479/8320986273600*ep^-1-748418574222044752/
         21*z3+78796868025739656440548425694885399679101648357942607121\
         95759/57570487400623380824840144840294400000000000*ep-
         374209287111022376/7*ep*z4-27878164264069899371503/48510*ep*z3
         -9362266152026227230024424208334016152926398812951915350760884\
         01153779/1410734857098827622954678832436097318912000000000000*
         ep^2-169392209660981531016/49*ep^2*z5-27878164264069899371503/
         32340*ep^2*z4+7220244268101159101115581994487/4160493136800*
         ep^2*z3+611148046266654703971449987571740430562894104204403253\
         7201026812515681308920594440400898341/316003861991941456013828\
         2286021640010799255936778318643200000000000000000*ep^3-
         1257344247408475699460/147*ep^3*z6-108304087365183665005709/
         18865*ep^3*z5+7220244268101159101115581994487/2773662091200*
         ep^3*z4+18271466023130103149178985153586193629/
         76463040645639648000*ep^3*z3-183362783192640466792/147*ep^3*
         z3^2;
Fill mncnoptab(10,3,2,7)=
      +mncF321*(17061913074286080+131020645554049680*ep+
         12209029306528829076/35*ep^2+587242240414699760434/1225*ep^3)
      -4966941532891222395963408365244321043/59167829071030680000-
         1106226112454/35*ep^-3-413475370543748257/1146600*ep^-2-
         506251702074504240142159/390233844000*ep^-1-
         1122625508946299728/5*z3+1131320336572541982151383379806086116\
         93073346537028776059280811/13091830954077620129263939642982400\
         0000000000*ep-1683938263419449592/5*ep*z4-
         814262426845242681597812/225225*ep*z3-141518220157654816619255\
         791254918640339677828677243860850057480960220961/3368489352664\
         5475895040290488780282920960000000000000*ep^2-
         762264757481128982712/35*ep^2*z5-407131213422621340798906/
         75075*ep^2*z4+146550696758095736603219248627/13303426500*ep^2*
         z3+22324870341808476929525261885954634615032661546184204635342\
         658718415256799207977118627741237/1865620468028225797166187063\
         904904088008307076377870336000000000000000000*ep^3-
         377203189459252442308/7*ep^3*z6-12494646941539055868839689/
         350350*ep^3*z5+146550696758095736603219248627/8868951000*ep^3*
         z4+145950067989067231612456027935640926533/
         118335658142061360000*ep^3*z3-275044330238855919688/35*ep^3*
         z3^2;
Fill mncnoptab(10,3,3,6)=
      +mncF321*(37225992162078720+286027132018689360*ep+
         26684063314963671924/35*ep^2+1285914982948017539196/1225*ep^3)
      -549925256697395853521192433460546339/3002750264273760000-
         210736307418486/385*ep^-3-260837581741446184781/46246200*ep^-2
         -11382563014977423177028957/694386693000*ep^-1-
         26942423424486290832/55*z3+16576686385954858736418745490816191\
         386406021622472429214082941/8793617371963392311534907555840000\
         000000000*ep-40413635136729436248/55*ep*z4-
         6515791479970765669931921/825825*ep*z3-24376362909907657997013\
         51439766853036359457174927970164471625426097269/26618490831750\
         1156484316420093090201600000000000000*ep^2-
         18294310591251170630328/385*ep^2*z5-6515791479970765669931921/
         550550*ep^2*z4+33330147809223396437614775315437/1388773386000*
         ep^2*z3+299282513626746263031477406496351892500939528125368218\
         45383237869598655566142454907543/11467196083876415757358532849\
         36253775420517567692800000000000000000*ep^3-
         9052856813639883297252/77*ep^3*z6-300673420281595023667581711/
         3853850*ep^3*z5+33330147809223396437614775315437/925848924000*
         ep^3*z4+1044858398710645144300669569738999449/
         375343783034220000*ep^3*z3-6601109816366779180872/385*ep^3*
         z3^2;
Fill mncnoptab(10,4,1,7)=
      +mncF321*(3686215787654400+28449268604396640*ep+76450462680048960
         *ep^2+43102774366703363839/405*ep^3)
      -13245367146366260320887551941694535707/730300061676721536000+
         15105491338/27*ep^-3-351925652559769/147420*ep^-2-
         129428538649656404851177/1892235945600*ep^-1-
         1309734221693074576/27*z3+397737868164957828874844599182124229\
         395659798318036026058391859/2138332389166011287779776808353792\
         000000000000*ep-654867110846537288/9*ep*z4-
         1269670634362454281889557/1621620*ep*z3-1179493372274831951405\
         6946290763128294830958057214613747040357376013697/130996808159\
         17685070293446301192332247040000000000000*ep^2-
         4705339758811874856*ep^2*z5-1269670634362454281889557/1081080*
         ep^2*z4+3112633209451929435859891868393/1324565161920*ep^2*z3+
         52951320417525941153465534978728588353116884565600071272639291\
         600038580029300398041259483259863/1956966773907237445457064815\
         7005442066878249265620016168960000000000000000000*ep^3-
         314336098165568866340/27*ep^3*z6-387554851356385514650393/
         49140*ep^3*z5+3112633209451929435859891868393/883043441280*
         ep^3*z4+131398667256748726312827318367523865757/
         365150030838360768000*ep^3*z3-45840672082975933768/27*ep^3*
         z3^2;
Fill mncnoptab(10,4,2,6)=
      +mncF321*(19905565253333760+153366897768084000*ep+
         2054419016133679536/5*ep^2+299101936161397498517/525*ep^3)
      -779098300486238492459710906946877979/7955338362491520000-
         1003160976774/5*ep^-3-58449400841891597/27300*ep^-2-
         8761825565449789553112647/1298593296000*ep^-1-
         1309711167565349136/5*z3+1626739235936478691919261248775037830\
         801260892837407665087087653/1617226176680176604203192544133120\
         000000000000*ep-1964566751348023704/5*ep*z4-
         1268632196498891466461237/300300*ep*z3-57962919873811456485378\
         8269031633011275280590367142778455502494023658467/118887859505\
         807561982495142901577469132800000000000000*ep^2-
         127043930572725238392/5*ep^2*z5-1268632196498891466461237/
         200200*ep^2*z4+20095739691161402191342210755683/1576863288000*
         ep^2*z3+103342440550164089173220943262642663148641723946468247\
         12757334823812225895444516588992550316325623/
         90579604963706418904012714326710903280979325172298360553472000\
         0000000000000000*ep^3-62867109702579944628*ep^3*z6-
         4229939787800622429469603/100100*ep^3*z5+
         20095739691161402191342210755683/1051242192000*ep^3*z4+
         119488060920143253536081921620703688877/67620376081177920000*
         ep^3*z3-45840930851514016008/5*ep^3*z3^2;
Fill mncnoptab(10,4,3,5)=
      +mncF321*(36191936824243200+279316323480055680*ep+
         750653897826287616*ep^2+21954013874718653132/21*ep^3)
      -2290618701044156629395562549914229/12868929704030400-
         22564434243528/11*ep^-3-2282159626310864567/110110*ep^-2-
         20418807001196371733816527/357113156400*ep^-1-
         5238440075791583040/11*z3+906836412846031220450961050027848705\
         60863102256812224593095107/49638211341258956920152246171205632\
         000000000*ep-7857660113687374560/11*ep*z4-
         12091307708206897443544/1573*ep*z3-664184366235779048027658994\
         19553919358134962983465720411557786880669071/75128028523531526\
         40613346640707377849958400000000000*ep^2-508171406013167884320/
         11*ep^2*z5-18136961562310346165316/1573*ep^2*z4+
         294274435051060268794443438031/12754041300*ep^2*z3+
         87238699748059324433499465120920638354025899773495499576651777\
         9523798025522714634728242472481312781/401738663935030709123077\
         19058182819823179950300417768872675901440000000000000000*ep^3-
         1257332414843440753200/11*ep^3*z6-852514408635165681488834/
         11011*ep^3*z5+294274435051060268794443438031/8502694200*ep^3*
         z4+115312321609294753018041981885539/32828902306200*ep^3*z3-
         183368145601952832480/11*ep^3*z3^2;
Fill mncnoptab(10,4,4,4)=
      +mncF321*(28149284196633600+218404530729228480*ep+
         1778112309024949592/3*ep^2+112932728858735964652/135*ep^3)
      -2502830602703486415105098415744557/18096932396292750-
         475607633771200/99*ep^-3-211028188153910123294/4459455*ep^-2-
         98268062732288421533829889/803504601900*ep^-1-
         36662058701628086912/99*z3+11958950609582199342526691916707240\
         9129070006970479313585614541/844539012403364197599812521662873\
         60000000000*ep-18331029350814043456/33*ep*z4-
         26726247728014945983254428/4459455*ep*z3-248915687442590342608\
         8461716069060159974990789228933784747108812511999/365205694211\
         611586696482128367719756595200000000000*ep^2-
         1185708425574286043008/33*ep^2*z5-13363123864007472991627214/
         1486485*ep^2*z4+3555985206419221440143025551806/200876150475*
         ep^2*z3+665614552021245039037451561343839831908693132832191171\
         966698174465621971245167218276910011082887/4206238148037714689\
         5364919526729875455893537707702364845323059200000000000000*
         ep^3-8801158045053075105280/99*ep^3*z6-
         485192256478885476690508/7865*ep^3*z5+
         1777992603209610720071512775903/66958716825*ep^3*z4+5044028443\
         29478731452057292975024973/144775459170342000*ep^3*z3-
         1283654526378820547456/99*ep^3*z3^2;
Fill mncnoptab(10,5,1,6)=
      +mncF321*(2551995545299200+19832302420650720*ep+53976296002153056
         *ep^2+24088289247850901107/315*ep^3)
      -1018897391780899414154909054573267201/81144451297413504000-
         6151898630/3*ep^-3-62172685152691/1820*ep^-2-
         182514981475296987988657/883043441280*ep^-1-100748541405493072/
         3*z3+608752344700231121248890068802760828458129629932256101015\
         914779/4751849753702247306177281796341760000000000000*ep-
         50374270702746536*ep*z4-2969419047614956142189/5460*ep*z3-
         71782629896693552173983578576781776987453635677606901661744086\
         869549107/1164416072526016450692750782328207310848000000000000\
         00*ep^2-3257542140643059048*ep^2*z5-2969419047614956142189/
         3640*ep^2*z4+3527593173689767858620030816907/2207608603200*
         ep^2*z3+158854288072855069373697944743503313810226563051740954\
         964231707330933162239501350710468321592504224088583/
         48441525046828121355414207968657352552325518384928347967817703\
         7516800000000000000000000*ep^3-24179694701309210180/3*ep^3*z6-
         338407104085860791453203/60060*ep^3*z5+
         3527593173689767858620030816907/1471739068800*ep^3*z4+78232588\
         244636439633192315842113489/231841289421181440*ep^3*z3-
         3526208905107042376/3*ep^3*z3^2;
Fill mncnoptab(10,5,2,5)=
      +mncF321*(11483979953846400+89187271013720880*ep+
         242450601592619160*ep^2+24006996407318938457/70*ep^3)
      -145529486907988837286061066743257609/2576014326902016000-
         399824591829*ep^-3-9347953900373819/2184*ep^-2-
         39651997175996516646695827/2943478137600*ep^-1-
         151114397483114904*z3+1598615813132337270281290090171222674902\
         59236011963981662704147437/27712787763591506289625907436265144\
         3200000000000*ep-226671596224672356*ep*z4-
         293869900234488193558051/120120*ep*z3-198001529313138221825532\
         745046447459145983698342683292057478214395638439027/
         71304182617203143374621286906650102887088128000000000000*ep^2-
         14658849488134471428*ep^2*z5-293869900234488193558051/80080*
         ep^2*z4+1514462070972195663307880043431/210248438400*ep^2*z3+
         12976830978625062322731396008596498711516345965444510985543147\
         318143375184453277674558465311732450793159157/
         20403570349724004714900464396398476895039508343731820164044816\
         82020761600000000000000000*ep^3-36269337726628391310*ep^3*z6-
         77862617018180672850153/3080*ep^3*z5+
         1514462070972195663307880043431/140165625600*ep^3*z4+133440345\
         67139340615927371658367067417/9016050144157056000*ep^3*z3-
         5289404493724662972*ep^3*z3^2;
Fill mncnoptab(10,5,3,4)=
      +mncF321*(16703970841958400+130056341952962880*ep+
         355186929641732280*ep^2+17695893670181577546/35*ep^3)
      -10563500752814396773602082052644441/128689297040304000-
         28804651621144/11*ep^-3-2586093222481377550/99099*ep^-2-
         16557603051716811656786017/238075437600*ep^-1-
         2417334520630324544/11*z3+305750607922356442132895819971493756\
         62997673272846278807247744023/36484085335825333336311900935836\
         139520000000000*ep-3626001780945486816/11*ep*z4-
         135780750431248585562407/38115*ep*z3-6344571199643006613270758\
         76231543715012617570773455217663493646397415097/15776885989941\
         6205452880279454854934849126400000000000*ep^2-
         234536328332651575008/11*ep^2*z5-135780750431248585562407/
         25410*ep^2*z4+413007780985726689070874991079/39679239600*ep^2*
         z3+11214894451695492470954047835382822556285640436338802889660\
         822659792580806023681691546424326327274863497187331/
         10557623441761188999678096297272427884569243197380593025683350\
         01544822882304000000000000000*ep^3-580297484530053126160/11*
         ep^3*z6-2047320433549925407434683/55055*ep^3*z5+
         413007780985726689070874991079/26452826400*ep^3*z4+11696285587\
         486098732844463103199073/4949588347704000*ep^3*z3-
         84635949125559909152/11*ep^3*z3^2;
Fill mncnoptab(10,5,4,3)=
      +mncF321*(9743982991142400+76323152276869680*ep+
         210713586376275930*ep^2+63917008480142346661/210*ep^3)
      -24616097216400117902118528430564399/514757188161216000-
         33572844121574/11*ep^-3-23999110639290897997/792792*ep^-2-
         113788206036659701924846577/1428452625600*ep^-1-
         1409745352135462864/11*z3+149301263874567372105792452618507173\
         938175517228252494360551303107/3064663168209328000250199678610\
         23571968000000000*ep-2114618028203194296/11*ep*z4-
         2064973931504526973656067/990990*ep*z3-30776450593019691974506\
         94754900304477161772905652193515734444210185961077/
         1325258423155096125804194347420781452732661760000000000*ep^2-
         136808951423503535448/11*ep^2*z5-2064973931504526973656067/
         660660*ep^2*z4+4267923956043857070209322572077/714226312800*
         ep^2*z3+290593830955515751264309075907364092320979609617981367\
         6137043306522014611979613095821314937323126807650528673777/
         48776220300936693178512804893398616826709903571898339778657077\
         0713708171624448000000000000000*ep^3-338498015178420181460/11*
         ep^3*z6-1226189799607842380475523/55055*ep^3*z5+
         4267923956043857070209322572077/476150875200*ep^3*z4+429708289\
         542842291196020788112133371/257378594080608000*ep^3*z3-
         49374981360511821352/11*ep^3*z3^2;
Fill mncnoptab(10,5,5,2)=
      +mncF321*(2248611459494400+17790243274626480*ep+50000886988820910
         *ep^2+2588847780516164786/35*ep^3)
      -7118774023060143802730913807186797351/644647585307229504000-
         98541352726902/143*ep^-3-8161884139984134577/1145144*ep^-2-
         2186488257361530692506068109/105229343419200*ep^-1-
         4229271243555651792/143*z3+78593301749622542720465361490272153\
         185257077045320992378684892091036103/7046530988053016521727280\
         11783365722648870912000000000*ep-6343906865333477688/143*ep*z4
         -691657314106946364638179/1431430*ep*z3-2729534306504952733212\
         6062915485134161292258737072325851320521753038705281174193/
         51801473299837614688900710330555749050004412857057280000000000
         *ep^2-410427274751588075544/143*ep^2*z5-
         2074971942320839093914537/2862860*ep^2*z4+
         70572268630668125500292133358859/52614671709600*ep^2*z3+
         24635421844674759570476126196962600774104430328333884230150242\
         873206634817603304033744000482206735672991/
         19015633349686222531807935645285626366325770141319048286933723\
         293193076736000000000000*ep^3-1015495008770081059380/143*ep^3*
         z6-3840437682128629136228409/715715*ep^3*z5+
         70572268630668125500292133358859/35076447806400*ep^3*z4+
         160171678550921871891997265425519942339/322323792653614752000*
         ep^3*z3-148124658707312680296/143*ep^3*z3^2;
Fill mncnoptab(10,6,1,5)=
      +mncF321*(911426980464000+7173621525367440*ep+139829925927001416/
         7*ep^2+3676910054516765287/126*ep^3)
      -463212162979874248436531089313769089/103274756196708096000+
         21655623757/21*ep^-3-577988176847401/25480*ep^-2-
         18776512190961931904444773/61813040889600*ep^-1-
         251872713770024680/21*z3+1080190228572876715570881185681685835\
         26139547706582694585901/23842881324176396083475129141324414976\
         00000*ep-125936356885012340/7*ep*z4-164321116578061278487079/
         840840*ep*z3-1259478802584248649491379930332407285683632095192\
         9502802346695326587/584257408550654014299594632541001300291092\
         48000000*ep^2-8143859518504960500/7*ep^2*z5-
         164321116578061278487079/560560*ep^2*z4+
         17043479958777703813274474663063/30906520444800*ep^2*z3+
         95519072099299106593891018924181769619979182352881910811844722\
         99181999790131096615548894158536671681181/94793476469236264868\
         04126866237870154495392320880442671769562303432753152000000000\
         000*ep^3-60449264604362142050/21*ep^3*z6-
         1789336540243261133970323/840840*ep^3*z5+
         17043479958777703813274474663063/20604346963200*ep^3*z4+
         101435916705923745331232134419761354477/568011159081894528000*
         ep^3*z3-8815502945764197220/21*ep^3*z3^2;
Fill mncnoptab(10,6,2,4)=
      +mncF321*(3281137129670400+25828493240515680*ep+
         503567545071002760/7*ep^2+525595058669851563/5*ep^3)
      -122194425820088030034370823255291161/7573482121091927040-
         2462885470130/7*ep^-3-32510970532341521/8820*ep^-2-
         114231948245475655901634967/10302173481600*ep^-1-
         302191541077061680/7*z3+15736357042804176880281460312803110777\
         905807289289979056478661/9642082369817636507869842350605860864\
         0000000*ep-453287311615592520/7*ep*z4-177458034389696634183265/
         252252*ep*z3-1327480126005182804271534506851207412335082133836\
         40884367590764855483897/17113003828128754409909108857596024692\
         9011507200000000*ep^2-29317305138711604200/7*ep^2*z5-
         177458034389696634183265/168168*ep^2*z4+
         1135945821048170725326535770517/572342971200*ep^2*z3+
         48254606876615587577652293069815178593026587734790544342199835\
         53428369284362693359893443522077127072148881/
         46143459098606595278313357942624247747243195792747347140224431\
         88570030080000000000000000*ep^3-72537783994086356300/7*ep^3*z6
         -214820194201324171736477/28028*ep^3*z5+
         1135945821048170725326535770517/381561980800*ep^3*z4+610632801\
         53419873577351739414705770999/94668526513649088000*ep^3*z3-
         10579224080898954904/7*ep^3*z3^2;
Fill mncnoptab(10,6,3,3)=
      +mncF321*(3579422323276800+28266146680093920*ep+
         554220625512567924/7*ep^2+4079944282735134132/35*ep^3)
      -659518030229050799614465604597201/37534378303422000-
         85398040872660/77*ep^-3-51606258025724356277/4624620*ep^-2-
         677452389591312238719521/22220374176*ep^-1-3625083832983745632/
         77*z3+22707422655701323172301174963579478313474742548026315882\
         38656171/12769429867538866667709165327542648832000000000*ep-
         5437625749475618448/77*ep*z4-888473406234819058497043/1156155*
         ep*z3-23234224455305645035597072572410727804640802272026714934\
         097171686003969/2760955048239783595425404890459961359859712000\
         0000000*ep^2-351794691581301086544/77*ep^2*z5-
         888473406234819058497043/770770*ep^2*z4+
         596191153470225833155942169873/277754677200*ep^2*z3+
         66177120664559374906369077041424815572654259383657463901680771\
         7438060297160889289904719722821092785345801369/
         23094801278852600936795835650283435997495219494270047243682328\
         15879300055040000000000000000*ep^3-870424019370793352280/77*
         ep^3*z6-3265743931973339932725342/385385*ep^3*z5+
         596191153470225833155942169873/185169784800*ep^3*z4+1139730916\
         60281228595601825400991589/150137513213688000*ep^3*z3-
         126963939074326052784/77*ep^3*z3^2;
Fill mncnoptab(10,6,4,2)=
      +mncF321*(1391997570163200+11064011481628560*ep+31349426662235694
         *ep^2+9842433394800297223/210*ep^3)
      -1016816977563360499509109127409482629/148764827378591424000-
         5106870681410/11*ep^-3-19016594422632643259/3963960*ep^-2-
         339352108408085671593061051/24283694635200*ep^-1-
         201384422760236272/11*z3+1243153648320379458479060252888984693\
         600625608108713136991329676525547/1806802817449491415827507722\
         5214505708945408000000000*ep-302076634140354408/11*ep*z4-
         3264627494083072166323/10890*ep*z3-429834632843436499589884071\
         763802549867770197199560004728316806540489351745517/
         1328242905124041402279505393091173052564215714283520000000000*
         ep^2-19544056664631378504/11*ep^2*z5-3264627494083072166323/
         7260*ep^2*z4+9950057810239566631704392166767/12141847317600*
         ep^2*z3+175430343730240182534782905898300294947653839824577756\
         9348233987670998491525912668477152127055260860030766161569229/
         35411535938480039247600296352607395816191389993198194679305037\
         95381521325993492480000000000000000*ep^3-48356680604677855580/
         11*ep^3*z6-186457283826684318293737/55055*ep^3*z5+
         9950057810239566631704392166767/8094564878400*ep^3*z4+19425772\
         36093233284383874418486083117/5721724129945824000*ep^3*z3-
         7053661711294125112/11*ep^3*z3^2;
Fill mncnoptab(10,6,5,1)=
      +mncF321*(160615104249600+1289890059582600*ep+3721710637780231*
         ep^2+7180440893982116989/1260*ep^3)
      -3061175836521306257814899268406756861/3867885511843377024000-
         821743526755/429*ep^-3-21426135473845708321/309188880*ep^-2-
         1035021865428563549895288881/1894128181545600*ep^-1-
         906726798465939752/429*z3+508647072911849005863609421080705977\
         49661247721281363745074784321832703/64713039686201172138311756\
         18418664799836569600000000000*ep-453363399232969876/143*ep*z4-
         2688066967789833593402291/77297220*ep*z3-174550590070174987813\
         77794511799592098087355245888668322812973147417322376426937/
         475727816018916869591945298954083409642897669095424000000000000
         *ep^2-29317835339342542308/143*ep^2*z5-
         2688066967789833593402291/51531480*ep^2*z4+
         2480935881683894154843811652231/27058974022080*ep^2*z3+
         42231313635959023363911931384189923363108439735733167106964198\
         40145024451023901971959385653921688687290962614053121/
         50732445364924464391460016407204881352992562806581903397698238\
         048118938180559831040000000000000000*ep^3-
         217616948048904217930/429*ep^3*z6-83398336742202771525359/
         204490*ep^3*z5+2480935881683894154843811652231/18039316014720*
         ep^3*z4+91413422784031178525017072646925527441/
         1933942755921688512000*ep^3*z3-31735936703235349268/429*ep^3*
         z3^2;
Fill mncnoptab(10,7,1,4)=
      +mncF321*(162031463193600+1301349447203520*ep+78840656935702040/
         21*ep^2+16284426464015016094/2835*ep^3)
      -203877273628028955270906313307980003/255605021586852537600-
         268086197168/189*ep^-3-3160394486876443/103194*ep^-2-
         1574794133324765928572639/7726630111200*ep^-1-
         402987491805752320/189*z3+945057705411841854820297802424781613\
         0291974507932472465349/119214406620881980417375645706622074880\
         0000*ep-201493745902876160/63*ep*z4-99563183851536052250101/
         2837835*ep*z3-108145551060229189135262812689168839895148849716\
         6779185227050746771/292128704275327007149797316270500650145546\
         24000000*ep^2-4343382165380469440/21*ep^2*z5-
         99563183851536052250101/1891890*ep^2*z4+
         1071847191517170098079215862181/11589945166800*ep^2*z3-
         48374689247955194225667872547719566419281499030070245851835639\
         170695885042823656723899645565035392377/1958542902256947621240\
         52207980121284183789097538852121317552940153569280000000000000
         *ep^3-96718629991546181600/189*ep^3*z6-
         389302110009041723439329/945945*ep^3*z5+
         1071847191517170098079215862181/7726630111200*ep^3*z4+30611937\
         140010242129086223792687846629/639012553967131344000*ep^3*z3-
         14104919568127843648/189*ep^3*z3^2;
Fill mncnoptab(10,7,2,3)=
      +mncF321*(437484950622720+3516080477985504*ep+71089932154115388/7
         *ep^2+8169716263734606202/525*ep^3)
      -1017502395695563750459062429186746723/473342632568245440000-
         813582340104/7*ep^-3-467572530805569533/382200*ep^-2-
         575575718709708704804827007/154532602224000*ep^-1-
         201408702974692128/35*z3+1172994915657037152003958847746729203\
         2798660735035576165200515173/547516005287724671462881128036803\
         203301376000000*ep-302113054462038192/35*ep*z4-
         199141688410976200155991/2102100*ep*z3-40158963773519628981729\
         00993417230018375996888548814555634974909723642819/
         40249785003758830372106224033065850077703506493440000000*ep^2-
         19544309743623023616/35*ep^2*z5-199141688410976200155991/
         1401400*ep^2*z4+19258368753706618592300259169621/
         77266301112000*ep^2*z3-154168657701528718606405778597895093855\
         96130684319837297786844112506841463572278661745168063563706972\
         1745999/201554629342713608175672747493382714159958279222720412\
         3085003184767389138944000000000000000*ep^3-9671450520324165744/
         7*ep^3*z6-70963491790881584484089/63700*ep^3*z5+
         19258368753706618592300259169621/51510867408000*ep^3*z4+
         30947125420759612919884637501329596361/236671316284122720000*
         ep^3*z3-1410676648892658048/7*ep^3*z3^2;
Fill mncnoptab(10,7,3,2)=
      +mncF321*(318170873180160+2566383341438592*ep+52214310073130736/7
         *ep^2+6050032528288634056/525*ep^3)
      -4065710395780426492444252537789293737/2603384479125349920000-
         10302093162720/77*ep^-3-16043399002875299161/11561550*ep^-2-
         1737084617122547849321665039/424964656116000*ep^-1-
         1610840416020662784/385*z3+14049170839493966769971223048356906\
         675586833584009328533568623195919/9034014087247457079137538612\
         60725285447270400000000*ep-2416260624030994176/385*ep*z4-
         398921140238604161083627/5780775*ep*z3-11967845590126916790304\
         70908735415748811201065868858706120909171612217041161/
         16603036314050517528493817413639663157052696428544000000000*
         ep^2-156349956113150648448/385*ep^2*z5-
         398921140238604161083627/3853850*ep^2*z4+
         38101056716090809234147965575807/212482328058000*ep^2*z3+
         10647930872368580720665515646005725534279549614320093646520429\
         697916857696748373229679685241375724656059743277/
         66513027683095490697972006672816295672786232143497736061805105\
         097323841585152000000000000000*ep^3-77369557848564992832/77*
         ep^3*z6-1583681406570617045756963/1926925*ep^3*z5+
         38101056716090809234147965575807/141654885372000*ep^3*z4+
         130863391701280561340191017398461941019/1301692239562674960000
         *ep^3*z3-11286376535317374336/77*ep^3*z3^2;
Fill mncnoptab(10,7,4,1)=
      +mncF321*(61866558673920+502416902222144*ep+13297515866509816/9*
         ep^2+32857654254501329444/14175*ep^3)
      -255178743854604497258283938529209087/836802154004576760000-
         513434503744/297*ep^-3-396661404141814589/9555975*ep^-2-
         234546487301063129350240499/819574693938000*ep^-1-
         1208935035287215168/1485*z3+5532259806882728986415315709624682\
         6795880459820949924262624770185223/184367634433621573043623236\
         99198475213209600000000000*ep-604467517643607584/495*ep*z4-
         900903579335670368771722/66891825*ep*z3-1877791989566394508880\
         9283178457698962974689541622192455262586141435912432817/
         1355349903187797349264801421521605155677771137024000000000000*
         ep^2-13030109493868074944/165*ep^2*z5-450451789667835184385861/
         22297275*ep^2*z4+13982763218723315443201440429097/
         409787346969000*ep^2*z3+49173355067347621101867214724313357228\
         39372776396157366079212354899810370771820031605682315269403535\
         850945737751/3179811390394125973253904162274949828392696244287\
         18482834575851013850894579007488000000000000000*ep^3-
         58031025204762729664/297*ep^3*z6-1220398159558084190552006/
         7432425*ep^3*z5+13982763218723315443201440429097/
         273191564646000*ep^3*z4+9019018525184488905426567499887499609/
         418401077002288380000*ep^3*z3-8462993970028363328/297*ep^3*
         z3^2;
Fill mncnoptab(10,8,1,3)=
      +mncF321*(13020385435200+755178561423000/7*ep+16073855833929948/
         49*ep^2+1182823005549121864/2205*ep^3)
      -408521555796840687235343642447995823/6361724981717218713600-
         2091897209/147*ep^-3-85895255562828419/12841920*ep^-2-
         55875545573466092836344937/865382572454400*ep^-1-
         25188126036701788/147*z3+2302620117045836293731669835614922348\
         410315420811733363359/3708892650427439390762797866428242329600\
         000*ep-12594063018350894/49*ep*z4-202200083433360757138573/
         70630560*ep*z3-25538328121585040878795713570079748162452883191\
         8823293320029368143/908844857745461800021591650619335356008366\
         08000000*ep^2-814387833073750632/49*ep^2*z5-
         202200083433360757138573/47087040*ep^2*z4+
         2907171884409886481814163328411/432691286227200*ep^2*z3+
         93586174689786192296998444241667567317872452266797102267916905\
         73150315326892475816270211939876917558096127305437/
         41838642337858507980473575187311381148102617134939786032270318\
         4732330395734061875200000000000000*ep^3-6044938432961375270/
         147*ep^3*z6-292687241262843642771539/7847840*ep^3*z5+
         2907171884409886481814163328411/288460857484800*ep^3*z4+
         92107863672846638070642036422561335841/15904312454293046784000
         *ep^3*z3-881533307718426904/147*ep^3*z3^2;
Fill mncnoptab(10,8,2,2)=
      +mncF321*(23436693783360+1360744601354424/7*ep+29013728414898852/
         49*ep^2+24260063718051056/25*ep^3)
      -119445956017021357389056637300352843/1039497546032225280000-
         726869852295/49*ep^-3-3255128679142470889/21403200*ep^-2-
         5243941612228140342787771/11919870144000*ep^-1-
         75478378399994868/245*z3+8837553271401277475980566993334641085\
         448831753670720633145814837/7884230476143235269065488243729966\
         127539814400000*ep-113217567599992302/245*ep*z4-
         606530644353268381331303/117717600*ep*z3-292418192852214879156\
         4449817602207830884494863922170044371845217009055003/
         579596904054127157358329626076148241118930493505536000000*ep^2
         -7328598245807795496/245*ep^2*z5-606530644353268381331303/
         78478400*ep^2*z4+790451431446329964425848425403/65559285792000
         *ep^2*z3-24841998336635901283801973167316548068816718487492687\
         24894756223128193030368222453187413032485007737567264214783275\
         13/98821199656328281509559365649421989816572457568042377016781\
         201421037510150802478674739200000000000000*ep^3-
         3626559933703900314/49*ep^3*z6-2643031707836879458777707/
         39239200*ep^3*z5+790451431446329964425848425403/43706190528000
         *ep^3*z4+5468529735621584232932954381146709441/
         519748773016112640000*ep^3*z3-529119074379865512/49*ep^3*z3^2;
Fill mncnoptab(10,8,3,1)=
      +mncF321*(8522434103040+496713609471456/7*ep+10659185228132296/49
         *ep^2+3963319114508099744/11025*ep^3)
      -227207941381768423217049196074011759/5399612253000725760000-
         600965753152/1617*ep^-3-61618392006740860721/5827021200*ep^-2-
         172042233932557636688631229/2231064444609000*ep^-1-
         906725611892893456/8085*z3+20159359952574314282755730427725182\
         4182082905267761239695507659246983/497792612970778247217782739\
         878358830756659200000000000*ep-453362805946446728/2695*ep*z4-
         5472278242074429843977657/2913510600*ep*z3-6667181817980736672\
         3173677792043836298419723010631621490638141389012071447657/
         36594447386070528430149638381083339203299820699648000000000000
         *ep^2-29317774372850695344/2695*ep^2*z5-
         5472278242074429843977657/1942340400*ep^2*z4+
         2411322485240456329107768900421/557766111152250*ep^2*z3-
         56304953872571295960265109320110714487235020415741304049990351\
         3028246441836093328378713439258548656647980665535351483/
         39931831697863264773250519180786844864655809384637531937393220\
         1660518918568548791379558400000000000000*ep^3-
         43523298753329596288/1617*ep^3*z6-2681559633247273238650037/
         107907800*ep^3*z5+2411322485240456329107768900421/
         371844074101500*ep^3*z4+96669358197082068080699045318608143317/
         24298255138503265920000*ep^3*z3-6347115011426821232/1617*ep^3*
         z3^2;
Fill mncnoptab(10,9,1,2)=
      +mncF321*(382952512800+23364394627860/7*ep+539118445472721/49*
         ep^2+12498716932633601/630*ep^3)
      -1483306533818860962723969913672369/786540543194128859136-
         67021498573/294*ep^-3-1155928645388312867/436625280*ep^-2-
         288586758233380825086280639/29423007463449600*ep^-1-
         740032291759846/147*z3+400736709037059558938586237979184048668\
         7257564305870691/228757097713438438613941274301243064320000*ep
         -370016145879923/49*ep*z4-41453825774272635826793/480287808*ep
         *z3-3763047460527333665921780768110346138477611771121221676001\
         822119/50450163531992981552218965095603921802913382400000*ep^2
         -23949836358014724/49*ep^2*z5-41453825774272635826793/
         320191872*ep^2*z4+2379007316282510689494316829597/
         14711503731724800*ep^2*z3-819555346992789216401297213374038432\
         86537858032968108766635830224175773129026349525349748372894130\
         11045442229/45538658326920825012760353945372931861880399602655\
         54942287925820215841042003394560000000000000*ep^3-
         177773691955710815/147*ep^3*z6-69728365485132734123959/
         53365312*ep^3*z5+2379007316282510689494316829597/
         9807669154483200*ep^3*z4+1393137603583585475828144803799109480\
         77/540746623445963590656000*ep^3*z3-25936666899689404/147*ep^3
         *z3^2;
Fill mncnoptab(10,9,2,1)=
      +mncF321*(344657261520+21053272581198/7*ep+486725822040961/49*
         ep^2+197951608780888997/11025*ep^3)
      -6867729015873531398479275138770243/4045990448529469440000-
         139106716601/588*ep^-3-35632074664838687041/13098758400*ep^-2-
         8832859482978822970072890619/882690223903488000*ep^-1-
         3329777604954683/735*z3+77604100849839546338251048197194500436\
         7133089453108659936511227/492362148102006120884497837261504007\
         14840473600000*ep-3329777604954683/490*ep*z4-
         5599293874703790690844607/72043171200*ep*z3-346168079835852954\
         59888649673984815013027065318793313027997797089419811/
         517074789039542012103932552709333416275197466509312000000*ep^2
         -107772790839950442/245*ep^2*z5-5599293874703790690844607/
         48028780800*ep^2*z4+63885141728610091470912944197457/
         441345111951744000*ep^2*z3-33611797431911354959878770409253424\
         50269210859216580622742389370285676154958687729390465761922850\
         321306838414534523/7260333035975139049681912578324880884482874\
         433570460352253312757463980337609978025082880000000000000*ep^3
         -319988594914896643/294*ep^3*z6-3149918994562646728543787/
         2668265600*ep^3*z5+63885141728610091470912944197457/
         294230074634496000*ep^3*z4+14030094966059738076089860688167255\
         4897/600829581606626211840000*ep^3*z3-23343585200461198/147*
         ep^3*z3^2;
Fill mncnoptab(10,10,1,1)=
      +mncF321*(2363904400+1437846869030/63*ep+345809318306509/3969*
         ep^2+1224310349043479/6615*ep^3)
      -3397552680556553839263869301112183/289589927266929261772800-
         437680755541/47628*ep^-3-16605265293761025913/212199886080*
         ep^-2-231441114280817071712376941/953305441815767040*ep^-1-
         370618666935059/11907*z3+1696303875339066066667371764470469087\
         924415943/17172926405811693070793747988480000*ep-
         370618666935059/7938*ep*z4-656550349047047098231943/
         1167099373440*ep*z3-826943607348784968907044409182126404115919\
         7986933379/23378535091815806478855776761597132800000*ep^2-
         11973853814530186/3969*ep^2*z5-656550349047047098231943/
         778066248960*ep^2*z4+47526816347659886295548318203/
         95330544181576704*ep^2*z3-199888491933757774252719418291502999\
         631243407310967182320573805034202882927681974851125259511/
         17113328054316719996312524532246526835473361591486843905505977\
         4341120000000000000*ep^3-177754713883277495/23814*ep^3*z6-
         4239395297748884744552747/389033124480*ep^3*z5+
         47526816347659886295548318203/63553696121051136*ep^3*z4+
         44854062416875783261962936744070939037/
         17520190599649220337254400*ep^3*z3-12940578009083654/11907*
         ep^3*z3^2;
Fill mncnoptab(11,1,1,9)=
      +mncF321*(83786180275512+18305716141970829/28*ep+
         70197824906266310283/39200*ep^2+252087166907422095058039/
         98784000*ep^3)
      -22291737906282114669720586267320388144429/
      54074662344596359065600000+607443178613/39200*ep^-3+
         176971154820489508033/1440863424000*ep^-2+
         937935167365668198451693093/8826902239034880000*ep^-1-
         771807343159056933/700*z3+233355141358203240219356170135921630\
         3954667956609087673/556530022410564127294241832960000000000*ep
         -2315422029477170799/1400*ep*z4-57539204589733412895622069/
         3216213000*ep*z3-137019185068783533344039331924279540185524801\
         8886329193004929/68187394017796102229996015554658304000000000*
         ep^2-1048114332388660636639/9800*ep^2*z5-
         57539204589733412895622069/2144142000*ep^2*z4+1982371439719248\
         14470220686292593/3817864290240000*ep^2*z3+
         76265055427151450340500126781610195958023807898144895808354188\
         3808117479043039781595131/126500761079976564024373937666486374\
         05868292996522311680000000000000000*ep^3-
         1037309029584433839577/3920*ep^3*z6-
         7539341566008261603198092269/40023984000*ep^3*z5+1982371439719\
         24814470220686292593/2545242860160000*ep^3*z4+1777417100991988\
         04621710467773990598893203/13518665586149089766400000*ep^3*z3-
         378185593813316405761/9800*ep^3*z3^2;
Fill mncnoptab(11,2,1,8)=
      +mncF321*(487483230693888+26542467256795776/7*ep+
         12653834937262214256/1225*ep^2+626999841240205954554/42875*
         ep^3)
      -75056015113192042832536180146271916297/31293207375345115200000+
         7044590916/1225*ep^-3-5180499173469787/56852250*ep^-2-
         14209217981707998317423713/15324483053880000*ep^-1-
         1122628980903255648/175*z3+55556619541739395552414964195800411\
         7260304435189097997392581/227197816348888699326601285887590400\
         00000000*ep-1683943471354883472/175*ep*z4-
         9285151494475675714101631/89339250*ep*z3-392700662727054737548\
         654892004264406670110376705088043743068270143517/3340418608059\
         009692924828806804044722995200000000000*ep^2-
         762265022354940562992/1225*ep^2*z5-9285151494475675714101631/
         59559500*ep^2*z4+137292347905802933039761643213071/
         450720089820000*ep^2*z3+75803886974863384583052566910154627003\
         1512856768106455441100335853765358420168925344700161/
         20720824664900161187192450989770468070812263928303546531840000\
         00000000000*ep^3-377203309744308886728/245*ep^3*z6-
         225270716417731532741384423/208458250*ep^3*z5+1372923479058029\
         33039761643213071/300480059880000*ep^3*z4+10661571745728377435\
         37417002102793835783/15646603687672557600000*ep^3*z3-
         275044067815983257808/1225*ep^3*z3^2;
Fill mncnoptab(11,2,2,7)=
      +mncF321*(2481732810805248+19279302699679776*ep+
         9171742509406713168/175*ep^2+453386194658130516142/6125*ep^3)
      -50037731614105247097070093247136616603/4097920013438050800000+
         314023184628/1925*ep^-3-7000381831050472577/1965463500*ep^-2-
         263494937100268293787681771/6020332628310000*ep^-1-
         8981035174868637984/275*z3+76265990180088281636647933782312228\
         238223272750250756317794821/6120430971031287410430891783094272\
         00000000000*ep-13471552762302956976/275*ep*z4-
         37118150312500442024366794/70195125*ep*z3-37773264946075149181\
         774175135481994074631575578726493411487750465410229/
         62990750894827039923725343214019129062195200000000000*ep^2-
         6098120311330945745136/1925*ep^2*z5-18559075156250221012183397/
         23398375*ep^2*z4+275475336587814354020246412573187/
         177068606715000*ep^2*z3+11674518002414996990096159005589579952\
         202278337583336573512747352675543549663259802778907521/
         63431095912959677103650360172766738992282440596847591424000000\
         00000000000*ep^3-3017626532553432639624/385*ep^3*z6-
         896000322691457454595736427/163788625*ep^3*z5+2754753365878143\
         54020246412573187/118045737810000*ep^3*z4+33730815077216083321\
         3132457045623452971/1024480003359512700000*ep^3*z3-
         2200352114594868270864/1925*ep^3*z3^2;
Fill mncnoptab(11,3,1,7)=
      +mncF321*(995278262666688+7750876613548068*ep+529145260856629569/
         25*ep^2+315855579286336871077/10500*ep^3)
      -163522492582518118799587827071717233/33392778311692800000+
         12126185034/25*ep^-3+2887041216218351/1092000*ep^-2-
         117699003952198347919507/16352656320000*ep^-1-
         327433831628168664/25*z3+1154352145464241113184117513349941833\
         90164339213514665461313/23142125423874581036577671086080000000\
         00000*ep-491150747442252996/25*ep*z4-1275170045840095713277367/
         6006000*ep*z3-366739971312735081389731042654448628185237681668\
         424423418952744301387/1531131523938430722501831385853649223680\
         000000000000*ep^2-31761045892167066408/25*ep^2*z5-
         1275170045840095713277367/4004000*ep^2*z4+
         45614394064466382209451939546157/73586953440000*ep^2*z3+
         59422629389945583757121668070368977592571164991642224733349861\
         65861249190115392875276397372659/75483004136422015753343928605\
         59241940081610431024863379456000000000000000000*ep^3-
         15716806030269448872/5*ep^3*z6-4440901126656631146614723/
         2002000*ep^3*z5+45614394064466382209451939546157/
         49057968960000*ep^3*z4+1969852711547172729361807902962304953/
         13660682036601600000*ep^3*z3-11460164193678411192/25*ep^3*z3^2
         ;
Fill mncnoptab(11,3,2,6)=
      +mncF321*(4343032418909184+33830959039179120*ep+
         2310919048192334292/25*ep^2+115070556530227729108/875*ep^3)
      -4415027852987277341212384062320643031/206617815803599200000-
         4121494243518/275*ep^-3-5404712148646600733/33033000*ep^-2-
         54866147692754181750371059/101182060980000*ep^-1-
         15716709819772996272/275*z3+4607331357091016158353218644288310\
         05799917436434480281499560022783/21169490652743511749019790402\
         70254080000000000000*ep-23575064729659494408/275*ep*z4-
         3825979562134788371087846/4129125*ep*z3-5081313107978230243616\
         081518813512559185475925533056298981945775624237701/
         4863256502909440582346441939317653346713600000000000000*ep^2-
         1524529031225543751384/275*ep^2*z5-1912989781067394185543923/
         1376375*ep^2*z4+68371197783680722118942989065643/
         25295515245000*ep^2*z3+351511900673759616000443458539305808561\
         978558807801487265313829717558241167895212526007565306339/
         12681144694918898646561780005739526459337105524121770477486080\
         0000000000000000*ep^3-754406160702885377556/55*ep^3*z6-
         26676744508467965408308473/2752750*ep^3*z5+
         68371197783680722118942989065643/16863676830000*ep^3*z4+
         32712315249397986539707157253377253217/51654453950899800000*
         ep^3*z3-550089223365329567016/275*ep^3*z3^2;
Fill mncnoptab(11,3,3,5)=
      +mncF321*(6333588944242560+49533323665177170*ep+
         681627386292126366/5*ep^2+102846379451802590612/525*ep^3)
      -11880641725352852244835324504878107/381301620860160000-
         33813334664261/220*ep^-3-256345219788430214021/158558400*ep^-2
         -140274018800252498691712739/28569052512000*ep^-1-
         4583884787460055426/55*z3+327203559762926084590023163426987317\
         5930022690512849037160841/103412940294289493583650512856678400\
         00000000*ep-6875827181190083139/55*ep*z4-
         26832519026584740689086847/19819800*ep*z3-47390130144543868814\
         6787965050568533743168988638760205822661354004943/313033452181\
         381360025556110029474077081600000000000*ep^2-
         444652631528670501897/55*ep^2*z5-26832519026584740689086847/
         13213200*ep^2*z4+55709765314267842031163608506571/
         14284526256000*ep^2*z3+304618763084851006352007708969826147423\
         4755465660761339798437640659896263425936045007803890107107/
         73652088388088963339230818273335169675829908884099242933239152\
         6400000000000000*ep^3-440068746741210446471/22*ep^3*z6-
         63349118271297539980194237/4404400*ep^3*z5+
         55709765314267842031163608506571/9523017504000*ep^3*z4+
         299605371042271409329052013197546747/285976215645120000*ep^3*
         z3-160444369821419758903/55*ep^3*z3^2;
Fill mncnoptab(11,4,1,6)=
      +mncF321*(918718396307712+7197869417907168*ep+496828209473655456/
         25*ep^2+75279672864474309727/2625*ep^3)
      -935603767844184475858881990081559/206980030857600000-9990876234/
         25*ep^-3-340145919008143/58500*ep^-2-3358586214037925663829649/
         110380430160000*ep^-1-302245903788948336/25*z3+882029752091621\
         3678823770314836966374233389520758144484282784287/192449915024\
         941015900179912751841280000000000000*ep-453368855683422504/25*
         ep*z4-126481499861876916377503/643500*ep*z3-154884793023227956\
         7160839348337419804523351499558526134518492873799576219/
         7073827640595549937958461002643859413401600000000000000*ep^2-
         29317881937472315592/25*ep^2*z5-126481499861876916377503/
         429000*ep^2*z4+31071238432992545251241268645731/55190215080000
         *ep^2*z3+15805748857090197269331401059354781720861038625410868\
         7531816172319040032458599009300433115849718851952611/
         70845730380986127482293279154161378107776070637957708902933391\
         7368320000000000000000000*ep^3-14507818016841683628/5*ep^3*z6-
         3157291295514164920569599/1501500*ep^3*z5+
         31071238432992545251241268645731/36793476720000*ep^3*z4+
         6020192829604475508352938587583573163/37566875600654400000*
         ep^3*z3-10578622915747630008/25*ep^3*z3^2;
Fill mncnoptab(11,4,2,5)=
      +mncF321*(3340794168391680+26212558157735040*ep+
         362827771464216528/5*ep^2+18392755900535874512/175*ep^3)
      -339605982969412074836541490846548647/20661781580359920000-
         3021316624032/55*ep^-3-1003633638810183463/1651650*ep^-2-
         41417768599125496558620041/20236412196000*ep^-1-
         2417905308449002368/55*z3+634335475280846834261095033929687934\
         72361016172824833022686797589/38105083174938321148235622724864\
         5734400000000000*ep-3626857962673503552/55*ep*z4-
         590654903957242001157439/825825*ep*z3-311479141666660865371769\
         403559446760451849494189878989109082100178551625251/
         392173004394617288560417077986575565878984704000000000000*ep^2
         -234542386494550768896/55*ep^2*z5-590654903957242001157439/
         550550*ep^2*z4+421051510855860313091402921251/206494002000*
         ep^2*z3+267296578270657534379936645790247344434686764261732554\
         7473994150587163783515148945952251109834534708295597/
         11221963692348202593195255418019162292271729589052501090224649\
         25111418880000000000000000*ep^3-116062240593050883264/11*ep^3*
         z6-2118347532146492377884891/275275*ep^3*z5+
         421051510855860313091402921251/137662668000*ep^3*z4+6267828909\
         972217125459354294847702933/10330890790179960000*ep^3*z3-
         84629642012185730304/55*ep^3*z3^2;
Fill mncnoptab(11,4,3,4)=
      +mncF321*(3897593196456960+30733594766521920*ep+
         429214024278513816/5*ep^2+9437601266081652916/75*ep^3)
      -685017523534800921112240024947503/35747026955640000-
         22096198404784/55*ep^-3-10075997021697543514/2477475*ep^-2-
         20169423962711618727804979/1785565782000*ep^-1-
         2820475739412586496/55*z3+900938849107738006088376398938229254\
         042205202121150371508897/4653582313243027211264273078550528000\
         000000*ep-4230713609118879744/55*ep*z4-
         2072072037302729104557674/2477475*ep*z3-6470741770494832523224\
         19244583804306111210473823491716964391939587227/70432526740810\
         8060057501247566316673433600000000000*ep^2-
         273628402057013013312/55*ep^2*z5-1036036018651364552278837/
         825825*ep^2*z4+2095041730432631384512733784251/892782891000*
         ep^2*z3+426243875694806603416176237070857104057125397173087116\
         49878218096616774591994490904812686958461641453089839/
         16294291281289590165319510866963823648378551363304231583006190\
         712617802137600000000000000*ep^3-135403963158800213408/11*ep^3
         *z6-360670700595830840708286/39325*ep^3*z5+
         2095041730432631384512733784251/595188594000*ep^3*z4+143522223\
         08910765564280388240927077/17873513477820000*ep^3*z3-
         98739175766439988928/55*ep^3*z3^2;
Fill mncnoptab(11,4,4,3)=
      +mncF321*(1798889167595520+14313017309905440*ep+
         203106802103946252/5*ep^2+1520640017044142209/25*ep^3)
      -16418499794326854493428432537074567/1858845401693280000-
         359875372337964/715*ep^-3-72500797341545686569/14314300*ep^-2-
         7939604144212477949448673/573144572000*ep^-1-
         16917909065374710816/715*z3+1579751547492871532759486916109049\
         33395824755704401425152233334103/17785991601214850001452051706\
         22011801600000000000*ep-25376863598062066224/715*ep*z4-
         1387173441193537340611991/3578575*ep*z3-6422523604216255461638\
         71400315847148889724482285307332200820148162176173/
         1538246384019308003165582724684835614778982400000000000*ep^2-
         1641717610844808856752/715*ep^2*z5-4161520323580612021835973/
         7157150*ep^2*z4+2723209481786245825195176266053/2579150574000*
         ep^2*z3+533890808596056202820853564387105405648422093878576994\
         72520951219243353090753531487049387217138276723/
         47161789061721782072936348326601255868863517215573036425926893\
         088276480000000000000*ep^3-812399850889717072968/143*ep^3*z6-
         2247356447314036844282366/511225*ep^3*z5+
         2723209481786245825195176266053/1719433716000*ep^3*z4+46439844\
         353916920611065990903646627/103269188982960000*ep^3*z3-
         592489012142532763728/715*ep^3*z3^2;
Fill mncnoptab(11,5,1,5)=
      +mncF321*(410142141208800+3251255786964900*ep+64166463318369816/7
         *ep^2+3809227648880883051/280*ep^3)
      -339661658646478714483461667121836357/168299602690931712000+
         19251492291/28*ep^-3-552920558460143/305760*ep^-2-
         5649166980559417046709371/82417387852800*ep^-1-
         37780949177594982/7*z3+629251246776080335127959260931599663238\
         2075206127084928739431/310383222952224870443810163286169616384\
         000000*ep-56671423766392473/7*ep*z4-296802219047273349303851/
         3363360*ep*z3-109335637688234750645619368661156699731689785323\
         872186202257936418623/1140866921875250293993940590506401646193\
         410048000000*ep^2-3664737199524969369/7*ep^2*z5-
         296802219047273349303851/2242240*ep^2*z4+
         771084606647269480882389352189/3169899532800*ep^2*z3+
         66499936479801310704874314352073635176698607023543104522471180\
         078888742113316045364835648831265095749611/
         11425999395845442640344260061983147061222124672489819291865097\
         4193162649600000000000000*ep^3-18134781251736871935/14*ep^3*z6
         -1106699363269395078372109/1121120*ep^3*z5+
         771084606647269480882389352189/2113266355200*ep^3*z4+160380018\
         7146463423830559852309055239/16829960269093171200*ep^3*z3-
         1322324914842531351/7*ep^3*z3^2;
Fill mncnoptab(11,5,2,4)=
      +mncF321*(1193140774425600+9480864864818880*ep+187905826533486024/
         7*ep^2+1402207224080117614/35*ep^3)
      -3536561763953000181572471604064327/602635296093831000-
         6479729814576/77*ep^-3-1028657108705021932/1156155*ep^-2-
         2981915664158162342562587/1089652964400*ep^-1-
         1208840132396950656/77*z3+192380873440870571270617411011459220\
         9439058520660044868570948907/326614998642328466984876766213124\
         91520000000000*ep-1813260198595425984/77*ep*z4-
         297124114964739529111994/1156155*ep*z3-32661362258404261406562\
         851302700397625550309681870843303544834320067314713/
         117651901318385186568125123395972669763695411200000000000*ep^2
         -117270008086444327872/77*ep^2*z5-148562057482369764555997/
         385385*ep^2*z4+4978147455858191587456252563679/7082744268600*
         ep^2*z3+145843393365430246499509220478038473254167911281789043\
         440272950597302812295933739844804952704260741567169/
         26932712861635686223668613003245989501452151013726002616539158\
         2026740531200000000000000*ep^3-290152919885118443040/77*ep^3*
         z6-1117768764350878178194926/385385*ep^3*z5+
         4978147455858191587456252563679/4721829512400*ep^3*z4+70183067\
         448964542559860905656805377/241054118437532400*ep^3*z3-
         42316084374841075776/77*ep^3*z3^2;
Fill mncnoptab(11,5,3,3)=
      +mncF321*(1043998177622400+8343349385340060*ep+47723939151143877/
         2*ep^2+10105552894528378633/280*ep^3)
      -1357644667117174257219629284477/264792792264000-6172404316671/22
         *ep^-3-3015422746385948141/1057056*ep^-2-
         1906539582136782219229249/238075437600*ep^-1-
         151055691091633380/11*z3+9369244022837656108643888718178222608\
         727458868751116328506647863/1824204266791266666815595046791806\
         97600000000000*ep-226583536637450070/11*ep*z4-
         29789201272594233144755/132132*ep*z3-3794031777717859480402400\
         1310094977668474088665149310752859450497896813/157768859899416\
         205452880279454854934849126400000000000*ep^2-
         14658223632611362830/11*ep^2*z5-29789201272594233144755/88088*
         ep^2*z4+57607401878343067055838104167/95230175040*ep^2*z3+
         10894451368645429615618876435350572002218807165395139416846534\
         0456082855509783551029080067801802625788806460513/
         28104393601968285117143092343339203028723325391427138634369077\
         7411231851269324800000000000000*ep^3-36267919853799323625/11*
         ep^3*z6-228862696329191580684423/88088*ep^3*z5+
         57607401878343067055838104167/63486783360*ep^3*z4+108125750542\
         3365822641747368037281/3813016208601600*ep^3*z3-
         5290047112364656338/11*ep^3*z3^2;
Fill mncnoptab(11,5,4,2)=
      +mncF321*(321230208499200+2591897903083440*ep+7537585559971050*
         ep^2+815752629773098111/70*ep^3)
      -112938213156611179698264141148653889/71627509478581056000-
         18667065561054/143*ep^-3-23206607888431227991/17177160*ep^-2-
         83239249255453135937869331/21045868683840*ep^-1-
         604078072788035856/143*z3+176336851604799884102720475121983722\
         7813390427878718901243455628681281/112349027232988146073457910\
         041990708330496000000000000*ep-906117109182053784/143*ep*z4-
         42748947816799137712379/613470*ep*z3-6007619596955050168394650\
         68128867269884254800368966841442107566111679777881539/
         8259163472550640097082383662397281417411417866240000000000000*
         ep^2-58631375910499438392/143*ep^2*z5-42748947816799137712379/
         408980*ep^2*z4+9515562046717990452191218035731/52614671709600*
         ep^2*z3+172306486246200731708205929853607465143724422311277818\
         3352477540128134714579036450184724231711811294003946825261/
         92712802201981842820650614779248686683100443725478624630296487\
         66103607123640320000000000000000*ep^3-145068244594278506340/
         143*ep^3*z6-84950566574060034469173/102245*ep^3*z5+
         9515562046717990452191218035731/35076447806400*ep^3*z4+
         730533371052853585814825221361051441/7162750947858105600*ep^3*
         z3-21161824873225416264/143*ep^3*z3^2;
Fill mncnoptab(11,5,5,1)=
      +mncF321*(28681268616000+234771160466070*ep+19593997582791987/28*
         ep^2+17873612603843297/16*ep^3)
      -1702317974480946002753606691657302777/12033421592401617408000-
         3481508455629/4004*ep^-3-23156757540156863989/961920960*ep^-2-
         41280710801124296080302421/235713729259008*ep^-1-
         377795531124484086/1001*z3+38822854007582033193493186779631346\
         0151599029339094364691060349132537/280872568082470365183644775\
         104976770826240000000000000*ep-566693296686726129/1001*ep*z4-
         6152437313177896323523/981552*ep*z3-13072073358535340269149451\
         5961262499794396023982986095549412865028967845890971/
         20647908681376600242705959155993203543528544665600000000000000
         *ep^2-5235314400035042931/143*ep^2*z5-6152437313177896323523/
         654368*ep^2*z4+45432702464834561075795666137337/
         2946421615737600*ep^2*z3+1130607951180208014005391106343600589\
         20372462144447948734217835632241581301961346068524845996892759\
         493153/6404739389542752726155016589710759837191197293293445393\
         199536106006118400000000000000000*ep^3-181347026345604082155/
         2002*ep^3*z6-629134154702925303394537/8016008*ep^3*z5+
         45432702464834561075795666137337/1964281077158400*ep^3*z4+
         22187893193320898978373743999632619327/2005570265400269568000*
         ep^3*z3-13223352749788569387/1001*ep^3*z3^2;
Fill mncnoptab(11,6,1,4)=
      +mncF321*(87496990124544+3535005116358144/5*ep+72128113134243624/
         35*ep^2+8384712734115739652/2625*ep^3)
      -113241548627502275650959779756487677/262968129204580800000-
         21091181988/35*ep^-3-2680944191969191/238875*ep^-2-
         2963867836992583311324899/42925722840000*ep^-1-
         201494299388368608/175*z3+198307734063187046209432385660752515\
         098247721749378334505369/4655748344283373056657152449292544245\
         7600000*ep-302241449082552912/175*ep*z4-698316295486833713371/
         36750*ep*z3-33845559144456769115609900421669436754354117087540\
         0591229691365845243/171130038281287544099091088575960246929011\
         50720000000*ep^2-19545225930585618576/175*ep^2*z5-
         698316295486833713371/24500*ep^2*z4+
         185684217954587657670121541963/3787563780000*ep^2*z3-
         20026331257768945834588010061340821553129808935862358638593718\
         3149824973397209105926089276787977799179/141644620609654247607\
         57347184276628588291890089863412345287310850392064000000000000\
         00*ep^3-9671865815598624984/35*ep^3*z6-
         398857371945350600252207/1751750*ep^3*z5+
         185684217954587657670121541963/2525042520000*ep^3*z4+996902641\
         450116753772475472780647/34997089327200000*ep^3*z3-
         1410490862836949424/35*ep^3*z3^2;
Fill mncnoptab(11,6,2,3)=
      +mncF321*(190902523908096+7736405680033056/5*ep+31737473353723212/
         7*ep^2+884461652538620608/125*ep^3)
      -26100430398271726982940827393293997/27813936742792200000-
         15641628347652/385*ep^-3-50034167868858478171/115615500*ep^-2-
         119854250911348728144912263/88534303357500*ep^-1-
         4834245844667128992/1925*z3+4159051808669189916647910097226070\
         994397995112851374257884053394307/4481157781372746567032509232\
         44407383654400000000000*ep-7251368767000693488/1925*ep*z4-
         1199856984043825842081896/28903875*ep*z3-576797980428633353565\
         2401118483759255818448810298433118610491655367872173/
         134459315792440213220714426738254479729937612800000000000*ep^2
         -469068046351163700624/1925*ep^2*z5-599928492021912921040948/
         9634625*ep^2*z4+4690960602282736569737560616659/44267151678750
         *ep^2*z3+29966607096741260732158078177134945351103030595048975\
         877063940608198353494935556168713076516090522732877/
         73829534557770552445301372708198796395589113268395755424359091\
         0171204812800000000000000*ep^3-232116900253248285816/385*ep^3*
         z6-4843594019472035825094099/9634625*ep^3*z5+
         4690960602282736569737560616659/29511434452500*ep^3*z4+
         23470355461919504849414697443018307929/361581177656298600000*
         ep^3*z3-33855262714455666096/385*ep^3*z3^2;
Fill mncnoptab(11,6,3,2)=
      +mncF321*(111359805613056+4541167485088416/5*ep+2690033130143268*
         ep^2+11175090519333112198/2625*ep^3)
      -677463723243278531447285485289109497/1239706894821595200000-
         2867459714756/55*ep^-3-6699402012394363606/12387375*ep^-2-
         138336131423246552219908961/86727480840000*ep^-1-
         402676231456507616/275*z3+345423943894335155083730530609724841\
         4034716868709985871059188173267/640165397338963795290358461777\
         724833792000000000000*ep-604014347184761424/275*ep*z4-
         601610413313535267044023/24774750*ep*z3-1163918296985573296201\
         165519971303614046780929920866757253926668307108801573/
         47060760527354074627250049358389067905478164480000000000000*
         ep^2-39087135147680927952/275*ep^2*z5-601610413313535267044023/
         16516500*ep^2*z4+1082258098389740075821699730033/
         17855657820000*ep^2*z3+777631914726148183549396395877362429669\
         98482520309055814198365325417600386292514158344349600097419112\
         7439339403/110410117722018262960205005634546869041413064037749\
         47320644994826869822728437760000000000000000*ep^3-
         19342229458112210168/55*ep^3*z6-63610757235242749439283/211750
         *ep^3*z5+1082258098389740075821699730033/11903771880000*ep^3*
         z4+1498735976245423229150256444043845887/36461967494752800000*
         ep^3*z3-2821671468920027248/55*ep^3*z3^2;
Fill mncnoptab(11,6,4,1)=
      +mncF321*(17132277786624+705623384569824/5*ep+2125591390860492/5*
         ep^2+601738506106032514/875*ep^3)
      -5956600621666472061537686648361877/70478963408224800000-
         629578248132/715*ep^-3-12116224634372993023/644143500*ep^-2-
         485161432158368037885246407/3946100378220000*ep^-1-
         805932684229072032/3575*z3+61521855707464195853160587855538024\
         2569948738071951602766501130936057/748993514886587640489719400\
         279938055536640000000000000*ep-1208899026343608048/3575*ep*z4-
         604804502483042817815843/161035875*ep*z3-205807037757522730841\
         806115930153308479875955427813715090561711776213890327431/
         55061089817004267313882557749315209449409452441600000000000000
         *ep^2-78180373936342959504/3575*ep^2*z5-
         604804502483042817815843/107357250*ep^2*z4+
         17794968854277381537869576299501/1973050189110000*ep^2*z3+
         10741374915677939295646981095589772665489617823524062072148050\
         41531684567233345052112920914590887162876414571829539/
         14209782150823750442978384225166182045629861341658357201670108\
         3421814618514993971200000000000000000*ep^3-
         38687220626056943736/715*ep^3*z6-2577327211068143561607592/
         53678625*ep^3*z5+17794968854277381537869576299501/
         1315366792740000*ep^3*z4+86056345706405235466916413712544730247
       /12087142224510553200000*ep^3*z3-5642036631522500016/715*ep^3*
         z3^2;
Fill mncnoptab(11,7,1,3)=
      +mncF321*(8202842824176+341498052810486/5*ep+1465523456215236/7*
         ep^2+1815501571996816441/5250*ep^3)
      -2041774948040974847003595909823696291/50489880807279513600000+
         11713330497/140*ep^-3-435009406060326827/183456000*ep^-2-
         363890418581205965063991053/12362608177920000*ep^-1-
         18891362123762157/175*z3+3046603398234508116745533792351063601\
         6887293934867694990165333/782165721839606673518401611481147433\
         28768000000*ep-56674086371286471/350*ep*z4-
         1824267281345692087873669/1009008000*ep*z3-2017562663434402848\
         204904134001734861467598092006375022981524617906063/
         1149993857250252296345892115230452859362957328384000000*ep^2-
         1832375789738294754/175*ep^2*z5-1824267281345692087873669/
         672672000*ep^2*z4+25715149796235314061876435922279/
         6181304088960000*ep^2*z3+6492587648523169647963197241777219786\
         13145014278524377934817142009158216694857052395292918410863270\
         2231683304912667/196073808841921193471347947717107122651929479\
         301671382969803971073487123315084283084800000000000000*ep^3-
         1813484427614532597/70*ep^3*z6-8045889441277527454743761/
         336336000*ep^3*z5+25715149796235314061876435922279/
         4120869392640000*ep^3*z4+96810048067880068198720263512770632137
       /25244940403639756800000*ep^3*z3-132229549340914866/35*ep^3*z3^2
         ;
Fill mncnoptab(11,7,2,2)=
      +mncF321*(11931407744256+498462812767296/5*ep+10758018769025292/
         35*ep^2+447549237238531966/875*ep^3)
      -676957536160183478194846827981832427/11570597685001555200000-
         2877500182812/385*ep^-3-35562662352445168099/462462000*ep^-2-
         317553822615554483040217703/1416548853720000*ep^-1-
         301915934771808912/1925*z3+98010344339245022666626512738221907\
         71509488791885202196654651943057/17284465728152022472839678467\
         998570512384000000000000*ep-452873902157713368/1925*ep*z4-
         608751465533268902425663/231231000*ep*z3-459755737405029204046\
         763450273977743744822291233197415601858736849152437569/
         181520076319794287847964476096643547635415777280000000000000*
         ep^2-29314421930743200864/1925*ep^2*z5-
         608751465533268902425663/154154000*ep^2*z4+
         4234964298781314119816272676929/708274426860000*ep^2*z3+
         27841401311065789798658487253912549221908207016919142912786860\
         232296749819749364712828082973786870320196135263513/
         48226849876646455040157631860853677372772716648112961277044951\
         89136701915079091683328000000000000*ep^3-14506252997985695976/
         385*ep^3*z6-2714793719921387408604147/77077000*ep^3*z5+
         4234964298781314119816272676929/472182951240000*ep^3*z4+
         33307751690299124053058097120300305569/5785298842500777600000*
         ep^3*z3-2116472374324590816/385*ep^3*z3^2;
Fill mncnoptab(11,7,3,1)=
      +mncF321*(3479993925408+146337436374948/5*ep+456108466946562/5*
         ep^2+115444042934910929/750*ep^3)
      -786806919325187281861621356763151/45756194503219200000-
         16082374408/55*ep^-3-10243809608420621249/1585584000*ep^-2-
         12186791552440294474350119/285690525120000*ep^-1-
         12592800755803738/275*z3+1634798210429238940947946935617324438\
         557190290203590961323057177/9967973314966564286528072934255230\
         976000000000000*ep-18889201133705607/275*ep*z4-
         611050988221684247216633/792792000*ep*z3-534595415252030766604\
         528681598580338886234991530022101020414770452488383/
         732780008211395625683824297967995867040317440000000000000*ep^2
         -1221566561924220186/275*ep^2*z5-611050988221684247216633/
         528528000*ep^2*z4+4132078232796965866502562533789/
         2428369463520000*ep^2*z3+2098435585246367105979836582149524310\
         97215605426089794711540968583452817693701297102896466914278903\
         6643802099911/273265041361995200826507388945503500877497333493\
         4299461859636219650281125288345600000000000000000*ep^3-
         604486880584208224/55*ep^3*z6-2780116675198491845903677/
         264264000*ep^3*z5+4132078232796965866502562533789/
         1618912975680000*ep^3*z4+5049564003508468791327516002002686977/
         2833615759592217600000*ep^3*z3-88155333380052854/55*ep^3*z3^2;
Fill mncnoptab(11,8,1,2)=
      +mncF321*(275725809216+84418878947832/35*ep+391824783801180/49*
         ep^2+12705973419165576/875*ep^3)
      -679857081122745483127030265059442297/500691318005521843200000-
         35134193439/245*ep^-3-3067517548750287209/1819272000*ep^-2-
         774309418080025908433669451/122595864431040000*ep^-1-
         4440602540457684/1225*z3+1073604468342134017563612704159528367\
         975449546760551790061123/8547953960104272932022531896901111235\
         2153600000*ep-6660903810686526/1225*ep*z4-
         622998857709908310244423/10005996000*ep*z3-1674939629156696109\
         028877949525529796680886546254463290970927489864821/
         31419475028444393096593123862546301336166512721920000000*ep^2-
         431101951455636648/1225*ep^2*z5-622998857709908310244423/
         6670664000*ep^2*z4+7016400337566526163108421556993/
         61297932215520000*ep^2*z3-242471826192505060745720562485342706\
         11311135750287266111699311791525541464010694092839273745772054\
         067231201788099/1260474485412350529458665378181402931333832366\
         9393160333773112426152743641683989626880000000000000*ep^3-
         213330674457589482/245*ep^3*z6-3175270783101205406885387/
         3335332000*ep^3*z5+7016400337566526163108421556993/
         40865288143680000*ep^3*z4+474639436327038087795986396213057031\
         79/250345659002760921600000*ep^3*z3-31123341210192552/245*ep^3
         *z3^2;
Fill mncnoptab(11,8,2,1)=
      +mncF321*(200527861248+61621521957216/35*ep+1438441297496748/245*
         ep^2+65786114528160246/6125*ep^3)
      -1020053706719074615827431324700680513/1032675843386388801600000-
         432923633172/2695*ep^-3-12599170399515941531/6879122250*ep^-2-
         1130333836787530728905087671/168569313592680000*ep^-1-
         35512650251638272/13475*z3+26814054893527639324639922671653135\
         043877863662119067291668489843129/2938359173785843820382745339\
         559756987105280000000000000*ep-53268975377457408/13475*ep*z4-
         312015055876108922124829/6879122250*ep*z3-83023470692939869199\
         46668940316294047224099812192593754374644512150312251247/
         216008890820555202539077726555005821686144774963200000000000000
         *ep^2-3448669647775004784/13475*ep^2*z5-
         312015055876108922124829/4586081500*ep^2*z4+
         6897452020515075438500687998853/84284656796340000*ep^2*z3-
         69445768612994918829206613827652185415144089379994613800460268\
         0270655776040489614436262242206324029612485624809649/
         27730438679071711648090638319990864489344312072664952734300847\
         337536036011704777179136000000000000000*ep^3-
         1706578498761683256/2695*ep^3*z6-1606261681767127986628451/
         2293040750*ep^3*z5+6897452020515075438500687998853/
         56189771197560000*ep^3*z4+726802612393874974755383613926358707\
         71/516337921693194400800000*ep^3*z3-249006246340352976/2695*
         ep^3*z3^2;
Fill mncnoptab(11,9,1,1)=
      +mncF321*(1914762564+1297040701671/70*ep+69556120929907/980*ep^2+
         8346111791348302/55125*ep^3)
      -20768427945317901478076636797683289/2184834842205913497600000-
         29176302891/3920*ep^-3-16638412860628591609/261975168000*ep^-2
         -3489890753121411227433455291/17653804478069760000*ep^-1-
         123539531503569/4900*z3+10151284056540029226810260074594327555\
         402370081/127206862265271800524398133248000000*ep-
         370618594510707/9800*ep*z4-657358143425968038843143/
         1440863424000*ep*z3-998401257154526774790801179452582112934090\
         030443343371/3506780263772370971828366514239569920000000*ep^2-
         5986926128703309/2450*ep^2*z5-657358143425968038843143/
         960575616000*ep^2*z4+3476034703548128174131755092113/
         8826902239034880000*ep^2*z3-4540338668720063747565479000141609\
         72905914300887372776604269298714014272847410667615351690913/
         13452653950483287071931236215824934171498334130874011838039468\
         27776000000000000000*ep^3-11850312725903049/1960*ep^3*z6-
         4265476889504865947914667/480287808000*ep^3*z5+
         3476034703548128174131755092113/5884601492689920000*ep^3*z4+
         75149911615356878618710036071914069899/
         36049774896397572710400000*ep^3*z3-431352601509861/490*ep^3*
         z3^2;
Fill mncnoptab(12,1,1,8)=
      +mncF321*(32230296244224+19588577253251760/77*ep+
         871183013480303388/1225*ep^2+4418384143911743971538/4244625*
         ep^3)
      -8105982859620214272713719263301406612441/
      51117454247626245679200000-3355298067122/148225*ep^-3-
         339516796506554763071/2724132411000*ep^-2+
         1043288602058778684506300371/4172090511418830000*ep^-1-
         8981008452546510384/21175*z3+146472708639878366836191323222566\
         39816505692480701712822792709/91636452594051775395062518641328\
         12800000000000*ep-13471512678819765576/21175*ep*z4-
         336634268977897868628587711/48645221625*ep*z3-1021871822127913\
         1063258837251439742904796153438281323570378951617960249/
         1347302171917133909479680952077631371608064000000000000*ep^2-
         6098118145451268229736/148225*ep^2*z5-
         336634268977897868628587711/32430147750*ep^2*z4+47507221636031\
         78328323936612497321/245417088906990000*ep^2*z3+
         18738297823783241389231331284728765771541670176078492843791240\
         0544091648648883258085640617/759763571046339243530389869624917\
         1625964496773711300395008000000000000000*ep^3-
         3017625543141721328524/29645*ep^3*z6-
         5763959614950400116258003967/75670344750*ep^3*z5+4750722163603\
         178328323936612497321/163611392604660000*ep^3*z4+2216559470332\
         7523629970464684673620744603/3194840890476640354950000*ep^3*z3
         -2200354685099055059864/148225*ep^3*z3^2;
Fill mncnoptab(12,2,1,7)=
      +mncF321*(131607042997248+11432269366461216/11*ep+
         799857072515231064/275*ep^2+11199263608204777468/2625*ep^3)
      -12509355277676416400333789537821132907/19318765777636525200000+
         18222389844/3025*ep^-3+87078542176327193/1029528500*ep^-2+
         919148743566129029253121/4730261350815000*ep^-1-
         5238935893870336224/3025*z3+7322063325909129280677171880940232\
         4516253540489334066077931319/112207901135573602524566349356728\
         32000000000000*ep-7858403840805504336/3025*ep*z4-
         7274693353745938765400928/257382125*ep*z3-10416605473286557737\
         56316477931520336771011565971089110486060479654147/
         33668525745534375080708395303897493667840000000000000*ep^2-
         508176689636596639728/3025*ep^2*z5-10912040030618908148101392/
         257382125*ep^2*z4+522891510160467616924667265103/6625015897500
         *ep^2*z3+10542607401761542541271255851153469068658455922386110\
         1382779333591390324994395231417011768301/966501957725615228164\
         509562039860608200925780057151818956800000000000000000*ep^3-
         251468876871363151752/605*ep^3*z6-80222308212873538535981621/
         257382125*ep^3*z5+522891510160467616924667265103/4416677265000
         *ep^3*z4+137679232610003480325238905080146510999/
         4829691444409131300000*ep^3*z3-183362703376632083472/3025*ep^3
         *z3^2;
Fill mncnoptab(12,2,2,6)=
      +mncF321*(460624650490368+40103720725349736/11*ep+
         2817547246777929924/275*ep^2+436537431072869913368/28875*ep^3)
      -8339494820053208245596156355656756913/3679764910026004800000-
         1860429129821/3025*ep^-3-29860066086556344451/5294718000*ep^-2
         -210205971432632438043388523/16218038917080000*ep^-1-
         18336218721900963784/3025*z3+940089041465981073222973941337040\
         27514887027581433551518572076541/41236403667323298927778133388\
         59765760000000000000*ep-27504328082851445676/3025*ep*z4-
         458808051929154768163203739/4632878250*ep*z3-26166429523225320\
         7571718424916641171666417879304642745217781548583726763247/
         2425143909450841037063425713739736468894515200000000000000*
         ep^2-1778617836700346668548/3025*ep^2*z5-
         458808051929154768163203739/3088585500*ep^2*z4+916443852878741\
         853344048450170967/3339008012340000*ep^2*z3+
         79282076220819240347246710248768370404902173744665479153921409\
         05186816545926942299376650381729159/28131005981561756830956215\
         312732182862296145754343460842556620800000000000000000*ep^3-
         880140808989222852382/605*ep^3*z6-1133955783884904742078274469/
         1029528500*ep^3*z5+916443852878741853344048450170967/
         2226005341560000*ep^3*z4+2021255559761181733689699138846506343\
         961/19318765777636525200000*ep^3*z3-641770189537177024252/3025
         *ep^3*z3^2;
Fill mncnoptab(12,3,1,6)=
      +mncF321*(182225136457728+15911882717644368/11*ep+
         1123785515711357604/275*ep^2+58450580478784887086/9625*ep^3)
      -39954986974222095676657194130330817/44564626938031200000-
         504462958866/3025*ep^-3-460559330647038991/363363000*ep^-2-
         5164121305839469990769/4091921583750*ep^-1-7253892357131632464/
         3025*z3+205410404290858817976385573418769966086013364320665543\
         265880477/22829842860801826396001734748012544000000000000*ep-
         10880838535697448696/3025*ep*z4-1782012294757935334021987/
         45420375*ep*z3-71284708802083985023242180507619215996052654348\
         600621171225584067755593/1678300283356983416652889767293935272\
         591360000000000000*ep^2-703629076613891068008/3025*ep^2*z5-
         1782012294757935334021987/30280250*ep^2*z4+
         59919388318033946012622152520827/556501335390000*ep^2*z3+
         52245468177630804646841232512278733229847386194658751328123171\
         92472230394318440341833597982690461353/86820748015914371914575\
         097002648747681098125781810917773202685952000000000000000000*
         ep^3-348187592128379717772/605*ep^3*z6-
         13358066672274819009125881/30280250*ep^3*z5+
         59919388318033946012622152520827/371000890260000*ep^3*z4+
         99174698183061610668635612485207897/2254757910555150000*ep^3*
         z3-253887078711622032792/3025*ep^3*z3^2;
Fill mncnoptab(12,3,2,5)=
      +mncF321*(531489981335040+46580958053000280/11*ep+
         662290299042715404/55*ep^2+34754644932663107876/1925*ep^3)
      -2377360812195410352479194362586582439/909118389535836480000-
         1903645862511/605*ep^-3-5342661285052021517/145345200*ep^-2-
         61575843714915496615776181/445201068312000*ep^-1-
         4231408567513551384/605*z3+73115251560180179148620198895165587\
         832146868289998232852359544783/2794372766162143550870612333156\
         735385600000000000*ep-6347112851270327076/605*ep*z4-
         2082725756702774462346299/18168150*ep*z3-708074791941556986182\
         543180996424430774531678370580179536458987907285324379/
         5751870731121053565552783810469774966225108992000000000000*
         ep^2-410449967223155475948/605*ep^2*z5-
         2082725756702774462346299/12112100*ep^2*z4+
         5320224213132953791009071612083/17123118012000*ep^2*z3+
         92665254005922938532791184320604954440866691997221814159767915\
         240026131251537354784876712957081282171605739/
         22760279884975935469017729464965340969163690793186863163564202\
         9001645490176000000000000000*ep^3-203109279327820962282/121*
         ep^3*z6-15825090026636606843658087/12112100*ep^3*z5+
         5320224213132953791009071612083/11415412008000*ep^3*z4+
         31293423348813837494047022251533162323/227279597383959120000*
         ep^3*z3-148101057900908492052/605*ep^3*z3^2;
Fill mncnoptab(12,3,3,4)=
      +mncF321*(490606136616960+43333228164728880/11*ep+
         624581776434010896/55*ep^2+33376618883240541684/1925*ep^3)
      -49341311313338834555550046117686671/20447299418626080000-
         217587241897902/7865*ep^-3-90294530191682499559/314914600*
         ep^-2-47965526697351375003907231/56741312628000*ep^-1-
         50772486706057628208/7865*z3+355150410810963352000463753895203\
         29054334814432266947463004871/14788050462083397582462023338505\
         01120000000000*ep-76158730059086442312/7865*ep*z4-
         4181023308178546707558133/39364325*ep*z3-501782610758942359151\
         1679326320215567123494732923403638547921277797551/447637836619\
         37534483654523734214793022668800000000000*ep^2-
         4925353111641550042776/7865*ep^2*z5-12543069924535640122674399/
         78728650*ep^2*z4+7951525485140161936091737915109/
         28370656314000*ep^2*z3+641812193522629597808114317157238966008\
         51830172509115343952298987881522604481316738853742740866367/
         19606185928909282040903243824361822167705921744947218468828262\
         4327680000000000000*ep^3-2437290312467746207284/1573*ep^3*z6-
         98010176573142477011094087/78728650*ep^3*z5+
         7951525485140161936091737915109/18913770876000*ep^3*z4+
         743220626604905060087698496816501327/5111824854656520000*ep^3*
         z3-1777262324237430119784/7865*ep^3*z3^2;
Fill mncnoptab(12,4,1,5)=
      +mncF321*(108467343129600+9574277069784960/11*ep+
         192973439710269888/77*ep^2+630330062699208812/165*ep^3)
      -3537943032332942818092153878039299/6628988257032141000+
         118238933256/847*ep^-3+26873443720180781/76306230*ep^-2-
         210500273242636260352922/29216320107975*ep^-1-
         1208989051477961664/847*z3+29675034182505535120258011667664224\
         2926547676361096607429666439/558874553232428710174122466631347\
         07712000000000*ep-1813483577216942496/847*ep*z4-
         13780083548984640759650/586971*ep*z3-5709259483275438571559565\
         870787941660122708548963103580642923526697995883/2300748292448\
         42142622111352418790998649004359680000000000*ep^2-
         117271578604951815648/847*ep^2*z5-6890041774492320379825/
         195657*ep^2*z4+14510757326655520451631034574071/
         233730560863800*ep^2*z3+13093695165411725925038396274742737648\
         80809937981653337792925438329678702610671343191173101714502875\
         217/8102833271192958590368676732600502824368510390454318735916\
         054433625014272000000000000*ep^3-290156473883684634960/847*
         ep^3*z6-698281673208844208175700/2543541*ep^3*z5+
         14510757326655520451631034574071/155820373909200*ep^3*z4+
         194771773936158719542209906784253281/6119066083414284000*ep^3*
         z3-42314416303265835552/847*ep^3*z3^2;
Fill mncnoptab(12,4,2,4)=
      +mncF321*(253090467302400+22447177372751040/11*ep+
         65174236248425928/11*ep^2+2109365033010168008/231*ep^3)
      -35371445713269976764303710896901/28409949672994890-1298091685072/
         121*ep^-3-623242642100171713/5450445*ep^-2-
         12001536067702301460968527/33390080123400*ep^-1-
         402965433295161344/121*z3+310508616955559075883221573654801729\
         30398724168500598644498989377/25149354895459291957835510998410\
         61847040000000000*ep-604448149942742016/121*ep*z4-
         299253133991378246027444/5450445*ep*z3-74300622754056349154441\
         864730189169158410723437553361697922009635413080329/
         1294170914502237052249376357355699367400649523200000000000*
         ep^2-39090202686626935488/121*ep^2*z5-149626566995689123013722/
         1816815*ep^2*z4+85127952433145349193840141982/596251430775*
         ep^2*z3+104460637584716981132843445575799714371803308132446479\
         537762143722592659064877472502587411338174198539691367/
         78864369801441616400146432596104906458152188598392480861749963\
         0490701623459840000000000000*ep^3-96718093133329435360/121*
         ep^3*z6-30419304435922734684144/46585*ep^3*z5+
         42563976216572674596920070991/198750476925*ep^3*z4+22740923629\
         0313852998632740060586911/2840994967299489000*ep^3*z3-
         14105157403792728896/121*ep^3*z3^2;
Fill mncnoptab(12,4,3,3)=
      +mncF321*(175216477363200+15675549192717120/11*ep+
         46198790886468312/11*ep^2+2541348777944650392/385*ep^3)
      -391234915952543069238106027479299/454384431525024000-
         58459418178336/1573*ep^-3-1211397975874042787/3149146*ep^-2-
         12816699945773487757437439/11348262525600*ep^-1-
         3625685774233676928/1573*z3+2512380040044651170064943321186627\
         21996953411741864478372532951/29576100924166795164924046677010\
         022400000000000*ep-5438528661350515392/1573*ep*z4-
         300474537312753804325531/7872865*ep*z3-70068296319367592600676\
         18526347429340045947955352540371027367541852739/17905513464775\
         0137934618094936859172090675200000000000*ep^2-
         351801060280610270976/1573*ep^2*z5-901423611938261412976593/
         15745730*ep^2*z4+545903112405783429674590782017/5674131262800*
         ep^2*z3+339157455334915902940237868030595974084078466580807629\
         843350359243734538854728967328930873392993383366234293/
         35050831022862940622287303376046625092512083821507769271888872\
         46625340548710400000000000000*ep^3-870438436265941485120/1573*
         ep^3*z6-3682015796393792043731277/7872865*ep^3*z5+
         545903112405783429674590782017/3782754175200*ep^3*z4+426408992\
         29066574539046062456467059/681576647287536000*ep^3*z3-
         126957243400618030848/1573*ep^3*z3^2;
Fill mncnoptab(12,4,4,2)=
      +mncF321*(41718208896000+3782909044670400/11*ep+79851824812037592/
         77*ep^2+646403500578377464/385*ep^3)
      -423400232368928716535529501153846917/2068244336194027992000-
         220968294011280/11011*ep^-3-2296413028264265817/11022011*ep^-2
         -13856811966493726107353851/22507387342440*ep^-1-
         6039986229892120320/11011*z3+343912027389777547965246538014715\
         24391786883522229401108672267218939/17164434716150966761222736\
         256415247106048000000000000*ep-9059979344838180480/11011*ep*z4
         -71997655187427703594304/7872865*ep*z3-11464692555582968993535\
         632321789325676650987420974281796180117363500938983281/
         1261816641639681125943141948421806883215633285120000000000000*
         ep^2-83757921967227366720/1573*ep^2*z5-
         107996482781141555391456/7872865*ep^2*z4+
         3699664439311214283385784957171/168805405068300*ep^2*z3+
         10127742624336154134578336131361712152162539184573751852348753\
         584753017969970547573271267703170950321907/
         39140074047205711104280656937121310116168427903459944069552720\
         6478151680000000000000000*ep^3-1450663668851748616800/11011*
         ep^3*z6-6458978045773353964074956/55110055*ep^3*z5+
         3699664439311214283385784957171/112536936712200*ep^3*z4+
         670161852620271917755595747513753537/38300821040630148000*ep^3
         *z3-211627307787224304960/11011*ep^3*z3^2;
Fill mncnoptab(12,5,1,4)=
      +mncF321*(28924624834560+2599768588053312/11*ep+54054854824805064/
         77*ep^2+6434515019206079906/5775*ep^3)
      -37741201326244542023800548615638989/265159530281285640000-
         161438542008/847*ep^-3-345714713667956431/127177050*ep^-2-
         10627484541003525672804109/779101869546000*ep^-1-
         1611953878617284544/4235*z3+1403415937315331496156519213790553\
         2684254697980352721478218793673/100597419581837167831342043993\
         64247388160000000000*ep-2417930817925926816/4235*ep*z4-
         401633267837729108704552/63588525*ep*z3-3317368609952671711061\
         3464370101355328522082662251874454775720573574893501/
         5176683658008948208997505429422797469602598092800000000000*
         ep^2-156361806295682047968/4235*ep^2*z5-
         200816633918864554352276/21196175*ep^2*z4+
         761691057138567185290514678549/48693866846625*ep^2*z3-
         10129849678688546059593310892190861463233358039863349619711254\
         2413963500704646742401940580967848520347319/
         23700787318239403876828379442856470761277892892078882302554459\
         21835316674560000000000000*ep^3-77374926208532381712/847*ep^3*
         z6-1666409424973295529620838/21196175*ep^3*z5+
         761691057138567185290514678549/32462577897750*ep^3*z4+54595466\
         5462173601185266134109532863/49717411927741057500*ep^3*z3-
         11283930094564268448/847*ep^3*z3^2;
Fill mncnoptab(12,5,2,3)=
      +mncF321*(50618093460480+4575146352731136/11*ep+13719560975535504/
         11*ep^2+1052149880044023668/525*ep^3)
      -339441901574409258717558912998971021/1363677584303754720000-
         982732177448/121*ep^-3-2399262691730400511/27252225*ep^-2-
         191295809175742281313828561/667801602468000*ep^-1-
         402889906316761856/605*z3+201387118072428954062951645235786359\
         3144757715811520470568162641/827962301085079570628329580194588\
         262400000000000*ep-604334859475142784/605*ep*z4-
         302009838681949608903569/27252225*ep*z3-8510202373387544872667\
         585478555631100638278670194583554532192326997947037/
         766916097482807142073704508062636662163347865600000000000*ep^2
         -39089384769970014432/605*ep^2*z5-302009838681949608903569/
         18168150*ep^2*z4+8973985238775396215239382900963/
         333900801234000*ep^2*z3+18964059463368824652814021786136170168\
         69627186405730126761151559864412187361405060197470452133166130\
         04410583/85679809166998299298924519363669528003918427119241213\
         77572835491750832452403200000000000000*ep^3-
         19343247431826626288/121*ep^3*z6-425522961818527112861037/
         3028025*ep^3*z5+8973985238775396215239382900963/
         222600534156000*ep^3*z4+13996329210410113338792381948303476987/
         681838792151877360000*ep^3*z3-2821191217367913376/121*ep^3*
         z3^2;
Fill mncnoptab(12,5,3,2)=
      +mncF321*(23362196981760+2131330761951552/11*ep+6492279519758232/
         11*ep^2+1862925642318080342/1925*ep^3)
      -451593207887185393278515974352332843/3939513021321958080000-
         18762925250712/1573*ep^-3-58619076907209908693/472371900*ep^-2
         -2134365364786133895176536579/5787613888056000*ep^-1-
         2415870152873582016/7865*z3+1022133551671228080095636963041436\
         62445082554643009122107031652523733/91543651819471822726521260\
         034214651232256000000000000*ep-3623805229310373024/7865*ep*z4-
         1213166034046189793677931/236185950*ep*z3-33853584143158891567\
         773185052194416689188127170015955062818203740140182370507/
         6729688755411632671696757058249636710483377520640000000000000*
         ep^2-234520876943377136352/7865*ep^2*z5-
         1213166034046189793677931/157457300*ep^2*z4+
         34781650562914555892151017490677/2893806944028000*ep^2*z3+
         25225593616686969303799173666548850199993474407634359964698261\
         5455423146965106093032893392720993159514053000123127/
         17367511517673472763640247386314222500214274973137992135374576\
         862666231151832596480000000000000000*ep^3-
         116052503395251777168/1573*ep^3*z6-5284910743956335149229739/
         78728650*ep^3*z5+34781650562914555892151017490677/
         1929204629352000*ep^3*z4+6866484338858903890161136744200099347/
         656585503553659680000*ep^3*z3-16930466069439744672/1573*ep^3*
         z3^2;
Fill mncnoptab(12,5,4,1)=
      +mncF321*(2781213926400+257285330138880/11*ep+5614520452111920/77
         *ep^2+47412224262325596/385*ep^3)
      -511422412555103993663533663969714537/37228398051492503856000-
         2994715997928/11011*ep^-3-1030202057019753305/198396198*ep^-2-
         97150033347245148453909097/3038497291229400*ep^-1-
         402944842427900160/11011*z3+1979638308681383157312540216705355\
         23413372649682657662682739079617309/15104702550212850749876007\
         90564541745332224000000000000*ep-604417263641850240/11011*ep*
         z4-8728961592220011752240/14171157*ep*z3-647632766716624786473\
         92625066824495983984420781590452415162198344333878085271/
         111039864464291939082996491461119005722975729090560000000000000
         *ep^2-5584274696304700320/1573*ep^2*z5-4364480796110005876120/
         4723719*ep^2*z4+2065930786238183829764145896063/
         1519248645614700*ep^2*z3+4434485100065388428117105607627938634\
         81549433849000872356110858438879794623455519963330935482579230\
         2114849845159507/284878269806073404714181351980807114363808857\
         4270311239381882798914399150993246781440000000000000000*ep^3-
         96717445079262505200/11011*ep^3*z6-277965978066045632327194/
         33066033*ep^3*z5+2065930786238183829764145896063/
         1012832430409800*ep^3*z4+5283563432279065856017041380809760221/
         3722839805149250385600*ep^3*z3-14105250056504722848/11011*ep^3
         *z3^2;
Fill mncnoptab(12,6,1,3)=
      +mncF321*(3254020293888+1505147568002208/55*ep+32829678471276504/
         385*ep^2+1383544740878095148/9625*ep^3)
      -2041038827253516509242443032644966151/127276574535017107200000+
         233871804864/4235*ep^-3-2040653857803077147/5087082000*ep^-2-
         2419480338333048789634697/299654565210000*ep^-1-
         906792303279797136/21175*z3+4891713674265313485404210185958264\
         96083008599024846594274778633/31935688756138783438521283807505\
         54726400000000000*ep-1360188454919695704/21175*ep*z4-
         1833408476549518065604499/2543541000*ep*z3-1571181812288202465\
         173438005923279554171786906714772816054446163972683491/
         2300748292448421426221113524187909986490043596800000000000*
         ep^2-87954124103871349392/21175*ep^2*z5-
         1833408476549518065604499/1695694000*ep^2*z4+
         3098561918827722951859161516523/1947754673865000*ep^2*z3+
         26859691726512885828724931004989586684798196067794961334960631\
         3516058528545606935956280393506944823842691508632029/
         17932676394461424346207937773068754225913429323886800710012305\
         744438353681878456729600000000000000*ep^3-43523665900295776128/
         4235*ep^3*z6-8340644390703968104574431/847847000*ep^3*z5+
         3098561918827722951859161516523/1298503115910000*ep^3*z4+
         106241752154061443828170988241630692917/
         63638287267508553600000*ep^3*z3-6347008540837325808/4235*ep^3*
         z3^2;
Fill mncnoptab(12,6,2,2)=
      +mncF321*(3796357009536+1766805649526736/55*ep+505555440539076/5*
         ep^2+1661742059261201756/9625*ep^3)
      -677125517107393280799599701672661377/36364735581433459200000-
         1412000573556/605*ep^-3-35114893394299062349/1453452000*ep^-2-
         317733891274475525257820903/4452010683120000*ep^-1-
         150960088256053656/3025*z3+31409496930973140944072627193444369\
         819466179245583114209482848149/1760454842682150437048485769888\
         74329292800000000000*ep-226440132384080484/3025*ep*z4-
         612611980007596462928413/726726000*ep*z3-101778710184706278902\
         47034981329097528740016656084738992379543582593349663/
         12941709145022370522493763573556993674006495232000000000000*
         ep^2-14657236503499373832/3025*ep^2*z5-
         612611980007596462928413/484484000*ep^2*z4+
         4038473124072832925633637615829/2226005341560000*ep^2*z3+
         42126900807350125109528456991289585754376934029796142675218138\
         6006779103205524868055931550845812835606538344127/
         16699530305455262272731007102225213942513725935709607822475554\
         6756406068767621120000000000000000*ep^3-7253138207621660088/
         605*ep^3*z6-2839536749230693324224897/242242000*ep^3*z5+
         4038473124072832925633637615829/1484003561040000*ep^3*z4+
         37218858957848926897617135485827795619/18182367790716729600000
         *ep^3*z3-1058232834838420728/605*ep^3*z3^2;
Fill mncnoptab(12,6,3,1)=
      +mncF321*(876082386816+411682366889136/55*ep+263284216208532/11*
         ep^2+401339447198633936/9625*ep^3)
      -6145685024526912245067402476876426473/1418224687675904908800000-
         1050146450268/7865*ep^-3-15506049772570804749/6298292000*ep^-2
         -856122151833675996419180689/57876138880560000*ep^-1-
         453302576313904968/39325*z3+4102411170296299239710761555108731\
         2279811474004293707235481608957221/100698017001419004999173386\
         0376361163554816000000000000*ep-679953864470857452/39325*ep*z4
         -615855097750198722377373/3149146000*ep*z3-1317504676574672971\
         2433641064713485957498448083615760681898599229964469874099/
         74026576309527959388664327640746003815317152727040000000000000
         *ep^2-43975940134729625496/39325*ep^2*z5-
         1847565293250596167132119/6298292000*ep^2*z4+
         1664801563339891689752988148661/4134009920040000*ep^2*z3+
         61715816137408763463920733189632856740318336791013042545387496\
         922936007850666703514109830042870126450357295955919/
         19104262669440820040004272124945644750235702470451791348912034\
         5489328542670158561280000000000000000*ep^3-
         21761318779207860264/7865*ep^3*z6-1258642586713613854679973/
         449878000*ep^3*z5+1664801563339891689752988148661/
         2756006613360000*ep^3*z4+3610737504250693454922787270669709076\
         11/709112343837952454400000*ep^3*z3-3173654443325401704/7865*
         ep^3*z3^2;
Fill mncnoptab(12,7,1,2)=
      +mncF321*(127608638976+61930204891776/55*ep+1456892287123272/385*
         ep^2+18342560647921658/2625*ep^3)
      -2039706740605636470880820844219063181/3245552650642936233600000-
         247652407032/4235*ep^-3-90383299795336868797/129720591000*
         ep^-2-1050696664882484708182901509/397341953468460000*ep^-1-
         35527465292679072/21175*z3+20694179072386397194325936408876469\
         69780869283675758035274454768181/35913278790715868915789109705\
         7303631757312000000000000*ep-53291197939018608/21175*ep*z4-
         1877381074436264134380889/64860295500*ep*z3-639623768207214082\
         669123532813120514417815290352423330324504870991971814419/
         26401086655845635865887277690056267094973250273280000000000000
         *ep^2-3448847444093304384/21175*ep^2*z5-
         1877381074436264134380889/43240197000*ep^2*z4+
         10091831149165746978307860295937/198670976734230000*ep^2*z3-
         67732956712290888713954374672868930074391146018286974634744647\
         6981138428686194106691511846482630089364914362153897/
         67785516771064184028666004782199890973952762844292106683846515\
         7139769769175005664378880000000000000*ep^3-1706659989400312656/
         4235*ep^3*z6-9794435392625784872971541/21620098500*ep^3*z5+
         10091831149165746978307860295937/132447317822820000*ep^3*z4+
         149561432959933352728579567378367461607/
         1622776325321468116800000*ep^3*z3-248982554825065536/4235*ep^3
         *z3^2;
Fill mncnoptab(12,7,2,1)=
      +mncF321*(74438372736+36356111181936/55*ep+123409184216436/55*
         ep^2+121147797795804368/28875*ep^3)
      -680294562533891784599058783902576977/1854601514653106419200000-
         42672551996/605*ep^-3-8465105418303757307/10589436000*ep^-2-
         663848747606973677283899503/227052544839120000*ep^-1-
         2958862218334856/3025*z3+1325149388373317332525659145820719667\
         2409190499497974614689318804691/395046066697874558073680206763\
         0339949330432000000000000*ep-4438293327502284/3025*ep*z4-
         627595022936487875543213/37063026000*ep*z3-4040935901551450665\
         454416810286610457628263004647986567625002701508156896229/
         290411953214301994524760054590618938044705753006080000000000000
         *ep^2-287382825080870232/3025*ep^2*z5-627595022936487875543213/
         24708684000*ep^2*z4+3259579612692614213440079226029/
         113526272419560000*ep^2*z3+49245076823481998668050591492527698\
         43111991187969619786339716539318487699258470362395178074099546\
         752973802396678782751/2401723557529264738440151521959176421074\
         13460994393937617883634449537534409888441958542606336000000000\
         000*ep^3-142211981431267688/605*ep^3*z6-
         3329857179303636614454097/12354342000*ep^3*z5+
         3259579612692614213440079226029/75684181613040000*ep^3*z4+
         51509978861721785566271302490286681619/
         927300757326553209600000*ep^3*z3-20751356229975208/605*ep^3*
         z3^2;
Fill mncnoptab(12,8,1,1)=
      +mncF321*(1012766976+3799794447072/385*ep+1871628251096/49*ep^2+
         50038987660780148/606375*ep^3)
      -8467888251192947564882060055595837/1682879152185226195200000-
         116717556624/29645*ep^-3-184199162397155996249/5448264822000*
         ep^-2-443299079477085259117895347/4172090511418830000*ep^-1-
         1976632997859504/148225*z3+23201108723534473286118580485948705\
         05209640741467/55411309202752396308427826842828800000*ep-
         2964949496789256/148225*ep*z4-659836115390567712788273/
         2724132411000*ep*z3-501279804384959583299750444809385281937183\
         675244743769233/3394563295331655100729858785783903682560000000
         *ep^2-191581667968760688/148225*ep^2*z5-
         659836115390567712788273/1816088274000*ep^2*z4+
         400496178457363742716334760821/2086045255709415000*ep^2*z3+
         27465106990012844307602608294242731029377138970584155555722509\
         662797264435462421031919316490119/2954103158237607742573344426\
         8009642482523564097019265254717039784755200000000000000*ep^3-
         94802517485450592/29645*ep^3*z6-4345500600669554029894037/
         908044137000*ep^3*z5+400496178457363742716334760821/
         1390696837139610000*ep^3*z4+7631139717831814525512415714779187\
         0279/68156605663501660905600000*ep^3*z3-13803283198935312/
         29645*ep^3*z3^2;
Fill mncnoptab(13,1,1,7)=
      +mncF321*(6397564590144+566638529342795/11*ep+245977110759818227/
         1650*ep^2+355846957556502547921/1559250*ep^3)
      -675511635785388648612864401361072527543/
      21460388955271659993600000+659557145029/217800*ep^-3+
         26977232831220092017/1143659088000*ep^-2+
         73701064835787481776703241/3503096406089280000*ep^-1-
         2292033858014103823/27225*z3+511112040731686400015411343112102\
         589154539449178203524289357/1636365224893781703483259261452288\
         000000000000*ep-2292033858014103823/18150*ep*z4-
         1387970063715430879282737647/1000701702000*ep*z3-
         34984513421888486910449171474052913117991635344566399113557623\
         2255249/240589673556631055264228741442434173501440000000000000
         *ep^2-444654526589811491287/54450*ep^2*z5-
         1387970063715430879282737647/667134468000*ep^2*z4+261493493034\
         5766016037292220475731/721225730665440000*ep^2*z3+
         15222743987823729100086924387983691504893439042499494077031031\
         17032278967200299285175077877/25370676390297399739318376003546\
         3409652743017265002352476160000000000000000*ep^3-
         440070458873783283641/21780*ep^3*z6-
         3650697379389381341084110537/222378156000*ep^3*z5+261493493034\
         5766016037292220475731/480817153776960000*ep^3*z4+754827225718\
         81749443582176731467699094557/37555680671725404988800000*ep^3*
         z3-53480788682620372771/18150*ep^3*z3^2;
Fill mncnoptab(13,2,1,6)=
      +mncF321*(17716332711168+1576157038200108/11*ep+10449129870909834/
         25*ep^2+6226325248348660216/9625*ep^3)
      -5773536206695108980207906727889268719/66235768380468086400000+
         1363874733/6050*ep^-3-301457052596100637/10589436000*ep^-2-
         6736757189795807346777601/32436077834160000*ep^-1-
         705241384289977884/3025*z3+22560097115734452816344449063875177\
         8249056890289865138107610557/261818435983005072557321481832366\
         080000000000000*ep-1057862076434966826/3025*ep*z4-
         35666599679272422259428013/9265756500*ep*z3-512835354567279063\
         69213423492226934658996615492454931454880406706796027/
         12831449256353656280758866210263155920076800000000000000*ep^2-
         68408401435762579998/3025*ep^2*z5-35666599679272422259428013/
         6177171000*ep^2*z4+66126965835587429170717370383369/
         6678016024680000*ep^2*z3+1278620617457157903740299505132099288\
         88774424793566914131962594204459633850841115569808908445137164\
         507/2100711047331496200031909875893930253666387079234123320519\
         1722506649600000000000000000*ep^3-33851580025736301057/605*
         ep^3*z6-21987967216156389528461413/475167000*ep^3*z5+
         66126965835587429170717370383369/4452010683120000*ep^3*z4+
         686751648824756156693588459597418583481/
         115912594665819151200000*ep^3*z3-24683440833218044002/3025*
         ep^3*z3^2;
Fill mncnoptab(13,2,2,5)=
      +mncF321*(40883844718080+3659717290337640/11*ep+53950187658865698/
         55*ep^2+2964518640442053017/1925*ep^3)
      -5773740014768108591788869895648009549/28702166298202837440000+
         9102454419/7865*ep^-3-1446907413747655117/4588755600*ep^-2-
         5539775709515630460850417/1756954216017000*ep^-1-
         4231453774742182344/7865*z3+3054654677894360425048679569310498\
         65457658570434815487681485507/15438909533045843118560133140690\
         9630054400000000*ep-6347180662113273516/7865*ep*z4-
         35774350798682070034474933/4015161150*ep*z3-165658027949478552\
         0016941733130324359352723323942315172413951284679876847/
         181594775939678976855309317444831466790821298176000000000*ep^2
         -410450434926142230468/7865*ep^2*z5-35774350798682070034474933/
         2676774100*ep^2*z4+64849327173242703252828992785409/
         2893806944028000*ep^2*z3+5922888890088880438589122898027403069\
         2131002972872640111064728005247667799556679276305506765963/
         17823805389917529128093858022147111061550837949952016789843874\
         93888000000000000*ep^3-203109490575700024062/1573*ep^3*z6-
         292811281759491013532258529/2676774100*ep^3*z5+
         64849327173242703252828992785409/1929204629352000*ep^3*z4+
         372633756949370387916079122988272652013/
         25114395510927482760000*ep^3*z3-148100534546780873532/7865*
         ep^3*z3^2;
Fill mncnoptab(13,3,1,5)=
      +mncF321*(15818154206400+1421330802955245/11*ep+8435675562962595/
         22*ep^2+42499260288233603/70*ep^3)
      -339637253625086297486686097932854223/4363768269772015104000+
         32786011827/968*ep^-3+143614929238145707/697656960*ep^-2-
         62240201434329390849329/164381932915200*ep^-1-
         25187324249621913/121*z3+1706011900402291439844361461733205972\
         419614402676336530288007/2235498212929714840696489866525388308\
         480000000*ep-75561972748865739/242*ep*z4-
         301185591031103171864963/87207120*ep*z3-1440237278604904380905\
         355386369764492161341464830279303646637587451687/4108479093657\
         89540396627415033555354730364928000000000*ep^2-
         4886316710694555537/242*ep^2*z5-301185591031103171864963/
         58138080*ep^2*z4+9151246424867678175141377094583/
         1068482563948800*ep^2*z3+1389924171063222806882622800041465236\
         03184444901221503005326668207367411000574166826025007222113324\
         2357/612776766133967493396631177902913026092868598278107854403\
         65161654289170432000000000000*ep^3-24179710310976558555/484*
         ep^3*z6-2496823995619986802188959/58138080*ep^3*z5+
         9151246424867678175141377094583/712321709299200*ep^3*z4+
         6566845193124532457167325415485599723/1090942067443003776000*
         ep^3*z3-1763099230386655023/242*ep^3*z3^2;
Fill mncnoptab(13,3,2,4)=
      +mncF321*(29202746227200+2643703210197000/11*ep+7946018717296644/
         11*ep^2+447761403347289436/385*ep^3)
      -145543070293613063012450275559493521/1013017634054217792000-
         1004228814213/1573*ep^-3-2610522700032758543/377897520*ep^-2-
         25940561884160834179018951/1157522777611200*ep^-1-
         604468766971505160/1573*z3+50869929358261594220714388061873634\
         130537570278882233859744233/3632684596010786616131796033103756\
         0012800000000*ep-906703150457257740/1573*ep*z4-
         302291069314311469807049/47237190*ep*z3-1704913218344058211827\
         40678794269539431825622213601565798983826456801983/
         26705114108776320125780781977181098057473720320000000000*ep^2-
         58635523876114047780/1573*ep^2*z5-302291069314311469807049/
         31491460*ep^2*z4+8926348052424048920431854387917/
         578761388805600*ep^2*z3+85465037456612038800306600124819512622\
         68505581120797428004282825269918679688553644538920699003202064\
         67163/51779636738320253192015334532796150704847396554500113697\
         108561597874349015040000000000000*ep^3-145077637772856356550/
         1573*ep^3*z6-2568786828665124282669037/31491460*ep^3*z5+
         8926348052424048920431854387917/385840925870400*ep^3*z4+
         21480435859727620674429636977181927083/1772780859594881136000*
         ep^3*z3-21157510390641289692/1573*ep^3*z3^2;
Fill mncnoptab(13,3,3,3)=
      +mncF321*(15644328336000+1433830627592730/11*ep+30798820513769256/
         77*ep^2+509306282375049261/770*ep^3)
      -17617980891603101654775638325471413/229009753488612096000-
         97034996146311/44044*ep^-3-83278069096457390887/3527043520*
         ep^-2-9561108829001989267142987/127100540286720*ep^-1-
         2266330993503350454/11011*z3+915387993125139740675132895856749\
         6555776690995854527028427/123233753850694979853850194487541760\
         00000000*ep-3399496490255025681/11011*ep*z4-
         217218896478721823898829/62982920*ep*z3-8904807491899339546851\
         95547345147117059734718035256076983407095431/26645109322581865\
         7640800736513183291801600000000000*ep^2-31411226646168633909/
         1573*ep^2*z5-651656689436165471696487/125965840*ep^2*z4+
         2515226685679599321634270280171/317751350716800*ep^2*z3+
         64621034656878912165274996824414881904694327617519987630977705\
         557447535345701758454040439511975241/6903011295803476385234683\
         763160724888213126614366833169233284064870400000000000000*ep^3
         -1088061277648385434545/22022*ep^3*z6-
         40324682201556344346596307/881760880*ep^3*z5+
         2515226685679599321634270280171/211834233811200*ep^3*z4+
         26346800425396760050863662864900861/3578277398259564000*ep^3*
         z3-79345167744753849933/11011*ep^3*z3^2;
Fill mncnoptab(13,4,1,4)=
      +mncF321*(5624232606720+514069463142144/11*ep+4710469059585104/33
         *ep^2+4064175028852388036/17325*ep^3)
      -4994693593675930284924269623102547/180486739099026360000-
         10881727336/363*ep^-3-185510529157773047/490540050*ep^-2-
         17634892350272532868109/11048188276125*ep^-1-44776621934938304/
         605*z3+4395811130896987259364283660128758218295930680871486423\
         5493/164374868597773150051212490185690316800000000*ep-
         67164932902407456/605*ep*z4-303737145071749178842874/245270025
         *ep*z3-1459696734978337331889667123254427157839920233165409140\
         79795371867239/12083762040170280599900806324516333962657792000\
         0000000*ep^2-13030154302509503264/1815*ep^2*z5-
         151868572535874589421437/81756675*ep^2*z4+
         4317157905426384436848689944019/1502553605553000*ep^2*z3-
         27432183243734138487300990415234994397367878897159636066981907\
         9666429647217561184522694177742619166655111/
         43813538778578675777859129220058281365640104776884711589861090\
         582816756858880000000000000*ep^3-6447912218352344176/363*ep^3*
         z6-1331010567940494768749956/81756675*ep^3*z5+
         4317157905426384436848689944019/1001702403702000*ep^3*z4+
         990122650425301842349754403589279787/383534320585431015000*
         ep^3*z3-940326546105700192/363*ep^3*z3^2;
Fill mncnoptab(13,4,2,3)=
      +mncF321*(7787398993920+717851977746624/11*ep+2223807360558504/11
         *ep^2+1953830725162623662/5775*ep^3)
      -452762849028447019328206887339930263/11818539063965874240000-
         1330247631832/1573*ep^-3-13386038115367644473/1417115700*ep^-2
         -81267465837102054788395477/2480405952024000*ep^-1-
         805851878914333312/7865*z3+13362821016243293223547900225715296\
         4032631180610031351374020911/363268459601078661613179603310375\
         600128000000000*ep-1208777818371499968/7865*ep*z4-
         1219958093477693169996791/708557850*ep*z3-21971662314400381652\
         7421461633608381896917404661534417068251320444467371/
         133525570543881600628903909885905490287368601600000000000*ep^2
         -78179528001954677664/7865*ep^2*z5-1219958093477693169996791/
         472371900*ep^2*z4+33495798490030669763754325714817/
         8681420832084000*ep^2*z3+1301605516042353083170164336312836865\
         58308375172694635710684044137970763045890374668037784654486515\
         538995973/3132668022668375318116927739234167117643267491547256\
         8786750679766713981154099200000000000000*ep^3-
         38686838061520172176/1573*ep^3*z6-1829918539043096270911293/
         78728650*ep^3*z5+33495798490030669763754325714817/
         5787613888056000*ep^3*z4+22860678848876661717975936072182580301
       /5909269531982937120000*ep^3*z3-5642220370375180256/1573*ep^3*
         z3^2;
Fill mncnoptab(13,4,3,2)=
      +mncF321*(2781213926400+259754793615360/11*ep+5755549465144464/77
         *ep^2+4242840550590140/33*ep^3)
      -37635153310946195425609246405972769/2757659114925370656000-
         16642388388280/11011*ep^-3-1569076523862192689/99198099*ep^-2-
         579545338740187637398605511/12153989164917600*ep^-1-
         402618307638775616/11011*z3+2839094964345721048525919481285391\
         1319393873289752379277626659719/217961075760647196967907761986\
         225360076800000000000*ep-603927461458163424/11011*ep*z4-
         43836180365224324999931/70855785*ep*z3-36687694271098234075132\
         7159612905901402853372928031239377830613562848541/
         640922738610631683018738767452346353379369287680000000000*ep^2
         -5583792183727026336/1573*ep^2*z5-43836180365224324999931/
         47237190*ep^2*z4+7968402731536486361277668029571/
         6076994582458800*ep^2*z3+4857373530781192641295124504708390191\
         56055333053589496699548245085197380820724311355618716028632228\
         615443608033/2795342329987444663862096960273432002415440448057\
         44825797933665694342196634257981440000000000000*ep^3-
         96709817446126021840/11011*ep^3*z6-478924540446188227435761/
         55110055*ep^3*z5+7968402731536486361277668029571/
         4051329721639200*ep^3*z4+141493446031663330312688680978247657/
         91921970497512355200*ep^3*z3-14109052208720216480/11011*ep^3*
         z3^2;
Fill mncnoptab(13,4,4,1)=
      +mncF321*(247219015680+23540828001984/11*ep+8072611092979336/1155
         *ep^2+24067911512762618/1925*ep^3)
      -2049145379392638570001168330401313801/1675277912317162673520000-
         8978800208584/165165*ep^-3-38936956817592007921/44639144550*
         ep^-2-261977039327464916749848949/54692951242129200*ep^-1-
         35811643597451712/11011*z3+23587513306438553284780151605537074\
         8113886902719513978664306403/207581976914902092350388344748786\
         05721600000000000*ep-53717465396177568/11011*ep*z4-
         177114351615374084743582/3188510325*ep*z3-14924569206786661605\
         675460902165418500870110920211881321860839961055661/
         305201304100300801437494651167783977799699660800000000000*ep^2
         -1489111489023076832/4719*ep^2*z5-88557175807687042371791/
         1062836775*ep^2*z4+14694441648956563226304805796671/
         136732378105323000*ep^2*z3+91703654982354718326296096526409544\
         695186275285834652655242972066084688188836143058136980082504463
       /639968315789232004994557196420112003350684378237071436215090289\
         534042112000000000000*ep^3-25790863730922956720/33033*ep^3*z6-
         6137995068119030072857496/7439857425*ep^3*z5+
         14694441648956563226304805796671/91154918736882000*ep^3*z4+
         131632916400723834126729718627699741373/
         837638956158581336760000*ep^3*z3-18807740011144718944/165165*
         ep^3*z3^2;
Fill mncnoptab(13,5,1,3)=
      +mncF321*(790907710320+74317374876654/11*ep+474958468335789/22*
         ep^2+216813543954649682/5775*ep^3)
      -447167457020260786905091210241297/114760506765864960000+
         4314903603/242*ep^-3+21272005192545857/2325523200*ep^-2-
         8907532875818377431602021/7123217092992000*ep^-1-
         6297217986131109/605*z3+51292289236243529863025436347168349572\
         5716195501194754987187/139718638308107177543530616657836769280\
         00000000*ep-18891653958393327/1210*ep*z4-
         205315112052033949616671/1162761600*ep*z3-16536414261722672560\
         03778916615258644307014592065561969214059754098987/
         10271197734144738509915685375838883868259123200000000000*ep^2-
         610793078960308323/605*ep^2*z5-205315112052033949616671/
         775174400*ep^2*z4+431777894931854141271995275621/
         1187202848832000*ep^2*z3+7920930006187682944596235975181527982\
         12889907909037806862458704168215631046623851652424451016024027\
         1779031/240974463282182716778225210710320547511020576272865913\
         7442359982054921627238400000000000000*ep^3-302247930487088607/
         121*ep^3*z6-978492556709720542655499/387587200*ep^3*z5+
         431777894931854141271995275621/791468565888000*ep^3*z4+
         13395813699435904958992057493010034913/29091788465146767360000
         *ep^3*z3-44076354173419245/121*ep^3*z3^2;
Fill mncnoptab(13,5,2,2)=
      +mncF321*(730068655680+69231093683976/11*ep+224524275481854/11*
         ep^2+69616808533859206/1925*ep^3)
      -225794409892938352241213629575774539/63032208341151329280000-
         684211448454/1573*ep^-3-4908218741523108667/1079707200*ep^-2-
         317252987645692703842537043/23150455552224000*ep^-1-
         75481808362128348/7865*z3+735265177829380779745034269175491438\
         7626566586174504652025728929/217961075760647196967907761986225\
         360076800000000000*ep-113222712543192522/7865*ep*z4-
         618390267262792550384413/3778975200*ep*z3-93396281246412836043\
         999116855854340817192928879551166706230690718028959/
         640922738610631683018738767452346353379369287680000000000*ep^2
         -7328639328320329956/7865*ep^2*z5-618390267262792550384413/
         2519316800*ep^2*z4+76373028290071671659580075481/
         236229138288000*ep^2*z3+44306340620563730327155632688237586702\
         44779109653530149229150534444723065850110615761253434315046078\
         606346647/8270243579844510839828689231578201190578226177684758\
         159702179458412491024682188800000000000000*ep^3-
         3626578759979100804/1573*ep^3*z6-3026227284096062451089697/
         1259658400*ep^3*z5+76373028290071671659580075481/
         157486092192000*ep^3*z4+14261904048801389451688890633482039233/
         31516104170575664640000*ep^3*z3-529113549532761948/1573*ep^3*
         z3^2;
Fill mncnoptab(13,5,3,1)=
      +mncF321*(130369402800+12531319379190/11*ep+581430133100559/154*
         ep^2+7939205013435266/1155*ep^3)
      -6154494945720371810397131533031360873/9530469901182080987136000-
         769171509011/22022*ep^-3-23972704033229115037/42324522240*
         ep^-2-243466290562623852333725161/77785530655472640*ep^-1-
         18885010644600431/11011*z3+11105076458751647368408085465227273\
         10477105655128450522181436147/18682377922341188311534951027390\
         7451494400000000000*ep-56655031933801293/22022*ep*z4-
         88977183238558844784859/3023180160*ep*z3-694186308238483600724\
         83358164205073902226087276368427350050226858927629/
         2746811736902707212937451860510055800197296947200000000000*
         ep^2-261757055116752111/1573*ep^2*z5-88977183238558844784859/
         2015453440*ep^2*z4+10563608372125672117339308733591/
         194463826638681600*ep^2*z3+97106612797387754315121536292464977\
         99520439179841567798207192704006533886544034167907901170441784\
         02476098285893/15574050124215763127231683064380549727743168210\
         605783151599161374399065241051516108800000000000000*ep^3-
         4533535937931660865/11011*ep^3*z6-3164819403505509600089537/
         7054087040*ep^3*z5+10563608372125672117339308733591/
         129642551092454400*ep^3*z4+41964714669363039095307836119637685\
         0139/4765234950591040493568000*ep^3*z3-661198157559052163/
         11011*ep^3*z3^2;
Fill mncnoptab(13,6,1,2)=
      +mncF321*(37219186368+18320524637688/55*ep+62934839821602/55*ep^2
         +62669507935584934/28875*ep^3)
      -226666954701758184263052583974115339/1236401009768737612800000-
         9110002818/605*ep^-3-3005373529847377461/16472456000*ep^-2-
         2179806809958016510897009/3089150269920000*ep^-1-
         1480409978694228/3025*z3+9841427790284352256633742242860215844\
         367046270967455058556871/5938042128094555045600051207958062694\
         400000000000*ep-2220614968041342/3025*ep*z4-
         70042894136132189886837/8236228000*ep*z3-598312851830811250104\
         090836324731468257670856155377488923972227448337/8730518074023\
         0277334283325694630512880202547200000000000*ep^2-
         143703157246876716/3025*ep^2*z5-210128682408396569660511/
         16472456000*ep^2*z4+80119925058929138234514995551/
         5821860124080000*ep^2*z3-2312828742928521118391023196667165967\
         24140508669534293376978232038889674276163464375055254185048986\
         5804061236845941/902523583126377141369104558215779980261744908\
         1379041066088099538898566558813147921121280000000000000*ep^3-
         71111373634091244/605*ep^3*z6-1137533960749814074053259/
         8236228000*ep^3*z5+80119925058929138234514995551/
         3881240082720000*ep^3*z4+17874604731036433716158192823071258113
       /618200504884368806400000*ep^3*z3-10374110488123284/605*ep^3*
         z3^2;
Fill mncnoptab(13,6,2,1)=
      +mncF321*(17178086016+8535705511536/55*ep+540977939040*ep^2+
         30171996886409783/28875*ep^3)
      -6126495340924331251228564549944777473/72329459071471150348800000
         -154621906628/7865*ep^-3-71242808068939382749/321212892000*
         ep^-2-42793205983029519080826619/52708626480510000*ep^-1-
         8874445434842168/39325*z3+484103292972061083638397810882813246\
         2767679230779348874887906263/635200849359600402592188334931285\
         3350809600000000000*ep-13311668152263252/39325*ep*z4-
         633100730538934776994573/160606446000*ep*z3-411912568985542334\
         81547638260801094014221822384643270054965755060532179/
         13341657007813149319981909036763128172386870886400000000000*
         ep^2-862122828117361896/39325*ep^2*z5-633100730538934776994573/
         107070964000*ep^2*z4+2224554909843202082172392637613/
         368960385363570000*ep^2*z3+76385167074535281219996065632968642\
         90900417295185873808801311568502613322620895365382973920057275\
         7661102017/141775604225905900111348958255626306124198163046024\
         42559489450500135698899455180800000000000000*ep^3-
         426624191341259864/7865*ep^3*z6-3510663715105796897658737/
         53535482000*ep^3*z5+2224554909843202082172392637613/
         245973590242380000*ep^3*z4+50353144192716506871752216604697431\
         2611/36164729535735575174400000*ep^3*z3-62257520952367384/7865
         *ep^3*z3^2;
Fill mncnoptab(13,7,1,1)=
      +mncF321*(344622096+186968684266/55*ep+2651297357051/198*ep^2+
         2095210741994611/70875*ep^3)
      -228951567430501218819330656283293099/133531309055023662182400000
         -14587154183/10890*ep^-3-186156884657710842749/16011227232000*
         ep^-2-260225170090263163311384409/7006192812178560000*ep^-1-
         123539511558319/27225*z3+2287364577644635034384175712473774882\
         6445157314073/1628413984733947973145634094972928000000*ep-
         123539511558319/18150*ep*z4-664163368016421801418973/
         8005613616000*ep*z3-135565326279036379206860464147470698917335\
         6212852523197467/279324065444433334002914094373075503022080000\
         00*ep^2-1330427885659777/3025*ep^2*z5-664163368016421801418973/
         5337075744000*ep^2*z4+1363343852235973156737798617309/
         24521674842624960000*ep^2*z3+183373173066434739965970182276621\
         91261885069932720519701187188002714953924477101830906639628163/
         26252692752520728921428944300347769136468941076391063613791965\
         8704293068800000000000*ep^3-5925155729689837/5445*ep^3*z6-
         4485224056965453677794337/2668537872000*ep^3*z5+
         1363343852235973156737798617309/16347783228416640000*ep^3*z4+
         78178677236291289094703335838664777379/
         200296963582535493273600000*ep^3*z3-862705205014247/5445*ep^3*
         z3^2;
Fill mncnoptab(14,1,1,6)=
      +mncF321*(628982226432+746014045654584/143*ep+56740391750685138/
         3575*ep^2+29157306996532032713/1126125*ep^3)
      -155880359105946906766577692667054621053/
      50372301853345979707200000-958130196251/511225*ep^-3-
         27672129867926673163/2684422026000*ep^-2+
         82592233727357956371486713/4111272865479780000*ep^-1-
         4231402116880944504/511225*z3+75732944924798369389075669274915\
         6630368860985293570502670069/252841803892159184355356173883827\
         81440000000000*ep-6347103175321416756/511225*ep*z4-
         325009532443416814778039947/2348869272750*ep*z3-
         50370574346524727971965804374365432500995423573011723967203873\
         7835593/3717454155983602133911282953487668600845107200000000000
         *ep^2-410449835102448967388/511225*ep^2*z5-
         325009532443416814778039947/1565912848500*ep^2*z4+547791536819\
         009576831732403647351/1692877062256380000*ep^2*z3+
         71595384972769709783392972154305520995279252158160036014121610\
         903189983142043958773302083/6634069437828622926121193633841603\
         21469115455431229008531947520000000000000*ep^3-
         203109216492784011442/102245*ep^3*z6-
         943990395330071986603206637/521970949500*ep^3*z5+5477915368190\
         09576831732403647351/1128584708170920000*ep^3*z4+3157641369423\
         840276424215364434255136409/11018941030419433060950000*ep^3*z3
         -148101249309166347812/511225*ep^3*z3^2;
Fill mncnoptab(14,2,1,5)=
      +mncF321*(1123182547200+1344339715583340/143*ep+4153189965517278/
         143*ep^2+48394026065400856/1001*ep^3)
      -15396282700035848758968505394251849/2786023608678888754176+
         16238523105/40898*ep^-3+384335957965629441/55676901280*ep^-2+
         81561789332266572908261/3480442637443200*ep^-1-
         302246684158867596/20449*z3+4509070132299144145729884196704048\
         4697107664498592920057361253/849548461077654859433996744249661\
         456384000000000*ep-453370026238301394/20449*ep*z4-
         1727430184218242315562393/6959612660*ep*z3-2970919575233999851\
         6708167069620343863225370109823760477972206689482857/
         124906459641049031699419107237185664988395601920000000000*ep^2
         -29317891005993845142/20449*ep^2*z5-5182290552654726946687179/
         13919225320*ep^2*z4+112189779787034370748953859085/
         200637281452608*ep^2*z3+21117211069844677025776484954147415533\
         53148183453989225053279568324369173918608014646847616218913680\
         3451/142462492613367892380148010354783060140320879409206662023\
         79075148621514014720000000000000*ep^3-72539110804587443865/
         20449*ep^3*z6-46464415589361720689038647/13919225320*ep^3*z5+
         112189779787034370748953859085/133758187635072*ep^3*z4+
         48452021225609487033402939328512311941/87063237771215273568000
         *ep^3*z3-10578612570376057578/20449*ep^3*z3^2;
Fill mncnoptab(14,2,2,4)=
      +mncF321*(1604546496000+1941223360133880/143*ep+42735029762669940/
         1001*ep^2+363949957653706576/5005*ep^3)
      -5773274082210493195560539890471656769/731331197278208297971200-
         2561063286189/143143*ep^-3-104934029244057084503/584607463440*
         ep^-2-180119207920192700074992347/358137547392905280*ep^-1-
         3022391253728723784/143143*z3+18459013187003307834647501375091\
         276847142060198858913794456749/2457622333831787271934062010150\
         80635596800000000*ep-4533586880593085676/143143*ep*z4-
         531643579544938528723961/1491345570*ep*z3-52624380056034130345\
         947192823118896861524131020503927807584828114983957/
         158084737983202680744577307597063107250938183680000000000*ep^2
         -41882591975710219164/20449*ep^2*z5-531643579544938528723961/
         994230380*ep^2*z4+40392282228982608678359337418957/
         52667286381309600*ep^2*z3+345723214544450539686199179807522634\
         1045923337962881275492028692458040117514025543010828298661/
         44071391553476303452606024243686828108749089483843690974587702\
         47680000000000000*ep^3-725389381440607025910/143143*ep^3*z6-
         241337862005281140484317237/48717288620*ep^3*z5+
         40392282228982608678359337418957/35111524254206400*ep^3*z4+
         795153567223303823673864283526241978161/
         914163996597760372464000*ep^3*z3-105787081395375896508/143143*
         ep^3*z3^2;
Fill mncnoptab(14,3,1,4)=
      +mncF321*(599030691840+728596518353424/143*ep+2311377666223260/
         143*ep^2+696549599670266074/25025*ep^3)
      -679213575795248459253290744108952317/230461511747334547680000-
         88826496306/20449*ep^-3-1465332697614551401/36845008200*ep^-2-
         4966993874072464055680631/56429235408546000*ep^-1-
         805974745827679632/102245*z3+282385761146539841138698312612222\
         81576535254523131572510094259/10119621374601477002081431806503\
         32028928000000000*ep-1208962118741519448/102245*ep*z4-
         614597568227200441476433/4605626025*ep*z3-91498408060172388962\
         76246006511009298743444210856892785363979172474693/
         74392817874448320350389321222147344588676792320000000000*ep^2-
         78180881958279124104/102245*ep^2*z5-614597568227200441476433/
         3070417350*ep^2*z4+15820307582743235806689922188401/
         56429235408546000*ep^2*z3-646818059497410379341299787003864654\
         36779658485321922285270758508793237058251026220180123143958666\
         2671651/158667601148138490138389846532639633231282379442003919\
         8289969494677721123389440000000000000*ep^3-
         38687453606225722236/20449*ep^3*z6-826386893707191419574097/
         438631050*ep^3*z5+15820307582743235806689922188401/
         37619490272364000*ep^3*z4+4876950435550728361904612970393225893
       /14403844484208409230000*ep^3*z3-5641971644561534232/20449*ep^3*
         z3^2;
Fill mncnoptab(14,3,2,3)=
      +mncF321*(641818598400+790056411135120/143*ep+17889528505130244/
         1001*ep^2+157882836616623022/5005*ep^3)
      -679360447642239639700556449522298683/215097410964178911168000-
         5467777678326/143143*ep^-3-1545548726686358143/3438867432*
         ep^-2-182855002804436229953736023/105334572762619200*ep^-1-
         1208880146621480496/143143*z3+19011275625172536503432881008957\
         22473715016850078158884356379/64251564283183980965596392422243\
         303424000000000*ep-1813320219932220744/143143*ep*z4-
         88327188811060385092639/614083470*ep*z3-2126651828539594543818\
         292364118006747737872020464170353852720998118547/1653173730543\
         2960077864293604921632130817064960000000000*ep^2-
         16752909976003822536/20449*ep^2*z5-88327188811060385092639/
         409388980*ep^2*z4+3010774650460065502628479065623/
         10533457276261920*ep^2*z3+446571784118258542109418143259736769\
         59664851717607745163996258798432750073422054478456880291623772\
         54740323/11704883751364660839970901773975280880037854896138305\
         038178782899229696699924480000000000000*ep^3-
         290153724213513193140/143143*ep^3*z6-1506340569326297550728031/
         716430715*ep^3*z5+3010774650460065502628479065623/
         7022304850841280*ep^3*z4+1699452290268147039927273254856056507/
         4301948219283578223360*ep^3*z3-42315502622054881416/143143*
         ep^3*z3^2;
Fill mncnoptab(14,3,3,2)=
      +mncF321*(171151626240+214562491484976/143*ep+25009707702096708/
         5005*ep^2+686710014958588996/75075*ep^3)
      -451790575084923497743139489181138353/537743527410447277920000-
         67927903347922/715715*ep^-3-259204655756243361149/257915057400
         *ep^-2-61425964662313439530526533/19750232392991100*ep^-1-
         322082200950680080/143143*z3+105024722250629529283836671271076\
         691674375452306558420465796817/1349282849946863600277524240867\
         1093719040000000000*ep-483123301426020120/143143*ep*z4-
         178204044086814876518567/4605626025*ep*z3-32728690641382428562\
         038799412423043576910303893448319022518126134201747/
         991904238325977604671857616295297927849023897600000000000*ep^2
         -4467018183523106808/20449*ep^2*z5-178204044086814876518567/
         3070417350*ep^2*z4+27742160273341796137606642072397/
         395004647859822000*ep^2*z3+52922897554871965402456370343806943\
         59758606619292015195142399474060993292282389137682458159738542\
         497/5199742565787510040580777220913410027224310573176205419247\
         6086024640921600000000000000*ep^3-77367612709277668940/143143*
         ep^3*z6-4263545503633503829820809/7164307150*ep^3*z5+
         27742160273341796137606642072397/263336431906548000*ep^3*z4+
         15853452546028672428151470568632064687/
         134435881852611819480000*ep^3*z3-56437151772077819672/715715*
         ep^3*z3^2;
Fill mncnoptab(14,4,1,3)=
      +mncF321*(112318254720+140266795293072/143*ep+464167646628684/143
         *ep^2+63179028243662608/10725*ep^3)
      -679928634845218359510707137915173617/1229128062652450920960000+
         54421857852/20449*ep^-3+1723098446723037193/147380032800*ep^-2
         -40298743367643147337832969/451433883268368000*ep^-1-
         151133099440882776/102245*z3+229695352048830722990049532006632\
         2815099345705105030570434911/449760949982287866759174746955703\
         123968000000000*ep-226699649161324164/102245*ep*z4-
         266948590126154323693217/10527145200*ep*z3-1129113499696136183\
         3823730438998394562568654482197642413862104268459/516616790794\
         780002433259175153801004088033280000000000*ep^2-
         14659034645462721672/102245*ep^2*z5-266948590126154323693217/
         7018096800*ep^2*z4+10586456814614669197667032086307/
         225716941634184000*ep^2*z3+14327116215359333044224603725461158\
         76138199294278931298857550288942854297791652526046329617825677\
         031953147/3878541361398940870049529581908968812320235941915651\
         373597703209212207190507520000000000000*ep^3-
         7253950773010919448/20449*ep^3*z6-9478634084188577857152211/
         24563338800*ep^3*z5+10586456814614669197667032086307/
         150477961089456000*ep^3*z4+740680805502099746266492373203266893
       /9754984624225800960000*ep^3*z3-1057833542047635576/20449*ep^3*
         z3^2;
Fill mncnoptab(14,4,2,2)=
      +mncF321*(80227324800+101485286771760/143*ep+2398997355435468/
         1001*ep^2+22326850244929028/5005*ep^3)
      -135549288375790280235446532221170397/344155857542686257868800-
         6512407581300/143143*ep^-3-33147276273596889277/68777348640*
         ep^-2-314787455359602970202121407/210669145525238400*ep^-1-
         150968763921786456/143143*z3+146425238876324993077263337631955\
         458179829040923476240902860671/4047848549840590800832572722601\
         3281157120000000000*ep-226453145882679684/143143*ep*z4-
         17902127524924496681231/982533552*ep*z3-6449149394238533176226\
         769494144589989230732852363323055882842076241603/4251018164254\
         18973430796121269413397649581670400000000000*ep^2-
         2093905852115009976/20449*ep^2*z5-17902127524924496681231/
         655022368*ep^2*z4+3318449075849079465843907423093/
         105334572762619200*ep^2*z3+79071297835291473656342452688916688\
         67705557944773281245910325732549402987924269290745809586620816\
         7402559511679/153380796677882515646978696846172080652016050558\
         9963492202947711115059455558103859200000000000000*ep^3-
         36265930502208208440/143143*ep^3*z6-658126586724952776800829/
         2292578288*ep^3*z5+3318449075849079465843907423093/
         70223048508412800*ep^3*z4+500814644584867919595195659360247205\
         31/860389643856715644672000*ep^3*z3-5291095667727189720/143143
         *ep^3*z3^2;
Fill mncnoptab(14,4,3,1)=
      +mncF321*(10696976640+13788315745056/143*ep+1678030182037368/5005
         *ep^2+48571856199375596/75075*ep^3)
      -685077558940757240698893048675687197/12905844657850734670080000-
         3814407094912/715715*ep^-3-39473239297300328393/515830114800*
         ep^-2-60555493361158428618870559/158001859143928800*ep^-1-
         20138172575805904/143143*z3+6025653798336718960861372091449933\
         4073020779039858631832097/127091006274429852459421435560481259\
         520000000000*ep-30207258863708856/143143*ep*z4-
         90387142432904266963031/36845008200*ep*z3-23506865490572597541\
         9614348863201719611085285450463648295443942000391/
         121457661835833992408798891791260970757023334400000000000*ep^2
         -279197661732219312/20449*ep^2*z5-90387142432904266963031/
         24563338800*ep^2*z4+1499980115716794054599423540887/
         395004647859822000*ep^2*z3+41041800251506313070720425139432072\
         41869322581668884731382958981266339989046455422047365691678520\
         85484028707/73987026226807892519878406641938294934182139416213\
         452314056846918351662049184972800000000000000*ep^3-
         4835613648874323200/143143*ep^3*z6-3487817664847083019647493/
         85971685800*ep^3*z5+1499980115716794054599423540887/
         263336431906548000*ep^3*z4+18319543676084809794829082967037299\
         197/2150974109641789111680000*ep^3*z3-3526634633474971952/
         715715*ep^3*z3^2;
Fill mncnoptab(14,5,1,2)=
      +mncF321*(6606956160+8630684876016/143*ep+30587520270096/143*ep^2
         +10543188109273161/25025*ep^3)
      -680113200240551318841496293504351977/20895177065091665656320000-
         48846490596/20449*ep^-3-24516589076708078509/835153519200*
         ep^-2-73908793214735947744301497/639531334630188000*ep^-1-
         8882892578735928/102245*z3+39658194066228965341034702593205812\
         0425762025533800714605080359/137626850694580087228307472568445\
         1559342080000000000*ep-13324338868103892/102245*ep*z4-
         637131409834503622651453/417576759600*ep*z3-117519345203635101\
         259049156799278015221491909028989992835300671551392529/
         101174232309249715676529476862120388640600437555200000000000*
         ep^2-862224224393005416/102245*ep^2*z5-
         637131409834503622651453/278384506400*ep^2*z4+
         346202926489313083425832418593/159882833657547000*ep^2*z3-
         43756403823266295833253663630015311389944167444426387387395957\
         968682795783421844789680110074885184515156161/
         13962748901036187132178306494872287724352849390896344944951731\
         55316394588582707200000000000000*ep^3-426670665907134744/20449
         *ep^3*z6-518597752244989257385751/19884607600*ep^3*z5+
         346202926489313083425832418593/106588555771698000*ep^3*z4+
         58780854559404349899884588313277291099/
         10447588532545832828160000*ep^3*z3-62244033011029656/20449*
         ep^3*z3^2;
Fill mncnoptab(14,5,2,1)=
      +mncF321*(2359627200+3123360696600/143*ep+79055422092342/1001*
         ep^2+72546743089734/455*ep^3)
      -2044400608734553110003570912334449187/
      175519487346769991513088000-478449785214/143143*ep^-3-
         88044654093106618781/2338429853760*ep^-2-
         992101928540348267349871907/7162750947858105600*ep^-1-
         4435767879519996/143143*z3+28736014050854357574108403682126395\
         92156291731118450964570987/28087112386648997393532137258866358\
         353920000000000*ep-6653651819279994/143143*ep*z4-
         91574911879512936197627/167030703840*ep*z3-8262118710116955852\
         31344546186500482592940180453616708715622831680717/
         2064780251209177870949581160451436502869396684800000000000*
         ep^2-61577699920491996/20449*ep^2*z5-91574911879512936197627/
         111353802560*ep^2*z4+2539791256935667882915196691289/
         3581375473929052800*ep^2*z3+7183167668933174164660073035945504\
         54412948248601329839915376882537573840449378953895137223430073\
         969666823347/8138572884948868177186624730613212442760035335783\
         47975454625316101868282541034700800000000000000*ep^3-
         1066520328909809940/143143*ep^3*z6-3770679591559466138736481/
         389738308960*ep^3*z5+2539791256935667882915196691289/
         2387583649286035200*ep^3*z4+1852510705648391921135360804844498\
         35849/87759743673384995756544000*ep^3*z3-155655283288695084/
         143143*ep^3*z3^2;
Fill mncnoptab(14,6,1,1)=
      +mncF321*(73410624+527180463432/715*ep+2130941296526/715*ep^2+
         7645855283709518/1126125*ep^3)
      -688213759715414417704483378486719937/
      1880565935858249909068800000-29185251606/102245*ep^-3-
         189141686932047925949/75163816728000*ep^-2-
         270489913809370556005042669/32890182923838240000*ep^-1-
         494158483962876/511225*z3+100711107597300390966308829458530615\
         53366581361569/3440024542750465093270152025630310400000*ep-
         741237725944314/511225*ep*z4-670687021297127375736893/
         37581908364000*ep*z3-20644727862602187743583244234974712455547\
         04976055506223087/21074003151834479217184143727254357147648000\
         0000*ep^2-47895432117311172/511225*ep^2*z5-
         670687021297127375736893/25054605576000*ep^2*z4+
         1000895337432936395471181273569/115115640233433840000*ep^2*z3+
         18616994697119521021529236769354670463351496202458908379230294\
         9846446974348929014309918379352353/170642502891384737989288137\
         9522604993870481169965419134896477781577904947200000000000*
         ep^3-23700636816674148/102245*ep^3*z6-
         4695885919705522583732417/12527302788000*ep^3*z5+
         1000895337432936395471181273569/76743760155622560000*ep^3*z4+
         26869150694320891646167255973369148833/
         313427655976374984844800000*ep^3*z3-3450820776284028/102245*
         ep^3*z3^2;
Fill mncnoptab(15,1,1,5)=
      +mncF321*(28652616000+247987623420765/1001*ep+11297888521230513/
         14014*ep^2+901711866920176903/630630*ep^3)
      -779484233897970925754284225703033382029/
      5528863851423254732662272000+796370951969/8016008*ep^-3+
         220108018284776893387/294642161573760*ep^-2+
         25425452985146177098321499/36100264777204852224*ep^-1-
         377807641021103907/1002001*z3+55414733923191650629895031958232\
         061135572280868327676761/4214030064869319739255936231397130240\
         0000000*ep-1133422923063311721/2004002*ep*z4-
         691082468664935527501301/107376881040*ep*z3-105736011508428772\
         255133998325610395322937290382519414454115863239/1858727077991\
         8010669556414767438343004225536000000000*ep^2-
         1495808884000606267/40898*ep^2*z5-691082468664935527501301/
         71584587360*ep^2*z4+332535895868131939623427095263383/
         26544312336180038400*ep^2*z3+307836224814381212308128066710185\
         384778590720910454642092641916536171326447803813230092847/
         71150394720711980882649801722951194477562632594999311165051371\
         52000000000000*ep^3-362695100169937496345/4008004*ep^3*z6-
         779697408324181700495080853/8184504488160*ep^3*z5+332535895868\
         131939623427095263383/17696208224120025600*ep^3*z4+25374702028\
         717478465805360120582121767017/1382215962855813683165568000*
         ep^3*z3-26446532130109065973/2004002*ep^3*z3^2;
Fill mncnoptab(15,2,1,4)=
      +mncF321*(30562790400+268527814031520/1001*ep+6265947339520392/
         7007*ep^2+57289671726007828/35035*ep^3)
      -2886801862063877237274840605991202777/19197443928552967821744000
         -5560224324/1002001*ep^-3-505902182263686577/613837836612*
         ep^-2-6918067116458325235307479/1175138827382970450*ep^-1-
         402995697955471008/1002001*z3+26223877092654214519916274419229\
         65777346837741157777965641/18963135291911938826651713041287086\
         08000000000*ep-604493546933206512/1002001*ep*z4-
         758283443289293204838136/109613899395*ep*z3-164019954826131089\
         3779924117520458019143112385115344092595845997949/278809061698\
         770160043346221511575145063383040000000000*ep^2-
         797765906982650064/20449*ep^2*z5-379141721644646602419068/
         36537966465*ep^2*z4+1723679445202433458022531796061/
         138251626750937700*ep^2*z3-65403815521401941867642487942672829\
         51891470336026806884056364334168628463114716411745867815583149\
         453/7180029291721666568501350615860189473707431539773221100588\
         13820342884106240000000000000*ep^3-96718834360485955320/
         1002001*ep^3*z6-27296994542165196659172893/255765765255*ep^3*
         z5+1723679445202433458022531796061/92167751167291800*ep^3*z4+
         5135527078883670832874740827313541543/239968049106912097771800
         *ep^3*z3-14104816761014271024/1002001*ep^3*z3^2;
Fill mncnoptab(15,2,2,3)=
      +mncF321*(24450232320+218428011943776/1001*ep+26159738072462088/
         35035*ep^2+741341528286948676/525525*ep^3)
      -3850811508617342513315757633306298613/31995739880921613036240000
         -1144999049812/5010005*ep^-3-68248345132102832069/
         15345945915300*ep^-2-10977860893309873351239119/
         376044424762550544*ep^-1-322397469040600864/1002001*z3+
         16517378993036324786828901149898144808791555157481205734251/
         15170508233529551061321370433029668864000000000*ep-
         483596203560901296/1002001*ep*z4-3059102026624292109088954/
         548069496975*ep*z3-5064100529119423307164731198474111089541226\
         426405676879292205939217/1115236246795080640173384886046300580\
         253532160000000000*ep^2-638212259287474896/20449*ep^2*z5-
         1529551013312146054544477/182689832325*ep^2*z4+
         12668788462290420051044719108951/1382516267509377000*ep^2*z3+
         37101278239820356920005787628979039418211891061445407332728953\
         2905060179264160774790729580681/240488334156006495383356329823\
         57503733416169817109767173787363573760000000000000*ep^3-
         77375008090114172600/1002001*ep^3*z6-
         38355816802743100035296629/426276275425*ep^3*z5+
         12668788462290420051044719108951/921677511672918000*ep^3*z4+
         74656487932936213684662079977440274911/
         3999467485115201629530000*ep^3*z3-56418949146670733552/5010005
         *ep^3*z3^2;
Fill mncnoptab(15,3,1,3)=
      +mncF321*(8595784800+77440708076400/1001*ep+1878943699042560/7007
         *ep^2+7210535177387021/14014*ep^3)
      -39988194855355749052607626129511839/944741569725021100032000+
         538577410941/2004002*ep^-3+3601736459869546379/1925765761920*
         ep^-2-561344078387197528535891/346984474982745600*ep^-1-
         113351564849536998/1002001*z3+39841492232061705167186765485568\
         106049215410716856823653/1049862161489934329503209026507243520\
         00000000*ep-170027347274305497/1002001*ep*z4-
         271107183862985904157063/137554697280*ep*z3-120932927617114890\
         91008565040800479233746086842147799501696614311/77178979016960\
         59793587438657759865607290880000000000*ep^2-224373285094608864/
         20449*ep^2*z5-271107183862985904157063/91703131520*ep^2*z4+
         9069518767990010177741135478317/2949368037353337600*ep^2*z3+
         13484936316629523115319607081520124787708451998803872881130033\
         88328750888776225714386698131516375181809/
         67560656573533395901707946747332068571647070107580404260772195\
         666549475901440000000000000*ep^3-27202348511965743345/1002001*
         ep^3*z6-10419165047741525437658189/320960960320*ep^3*z5+
         9069518767990010177741135478317/1966245358235558400*ep^3*z4+
         54911118898576834939347279437604270701/
         8030303342662679350272000*ep^3*z3-3966852746226542472/1002001*
         ep^3*z3^2;
Fill mncnoptab(15,3,2,2)=
      +mncF321*(4584418560+42041675207088/1001*ep+5240912089682844/
         35035*ep^2+7427235041767378/25025*ep^3)
      -42394300827813035969805532604144297/1882102345936565472720000-
         11888466154806/5010005*ep^-3-15490988863061243969/601801800600
         *ep^-2-181320074835252761177509/2168652968642160*ep^-1-
         60391368323107680/1002001*z3+641021196215785079504733014650728\
         0109444945498994344908613/321257821415919904827981962111216517\
         12000000000*ep-90587052484661520/1002001*ep*z4-
         22787214078064550480299/21492921450*ep*z3-23652295230032142703\
         7381644409834178907942450719673487892085929037/295209594739874\
         287104719528659314859478876160000000000*ep^2-
         119652691355725032/20449*ep^2*z5-22787214078064550480299/
         14328614300*ep^2*z4+79892805796662148507394140111/
         54216324216054000*ep^2*z3+112052391269173004239154872631384503\
         19103580282121641678092732443228438508574043340260132108309024\
         715881/5030197975793077385772618944187724014561722765282577371\
         779311659173092796661760000000000000*ep^3-14506476270268547220/
         1002001*ep^3*z6-457623761249973379510236/25075075025*ep^3*z5+
         79892805796662148507394140111/36144216144036000*ep^3*z4+
         1848158076094651513861361066917556813/470525586484141368180000
         *ep^3*z3-10582025180143273656/5010005*ep^3*z3^2;
Fill mncnoptab(15,3,3,1)=
      +mncF321*(429789240+4048668902862/1001*ep+525382074550206/35035*
         ep^2+10941912633230483/350350*ep^3)
      -6184287135328749082710866674017663833/
      2890909203358564566097920000-32544468694599/80160080*ep^-3-
         34463025854400235529/6419219206400*ep^-2-
         1171584560681998659436108961/47189888597653401600*ep^-1-
         5661044186040042/1002001*z3+1468052214022648337321243499365089\
         16650550356006159047421/80314455353979976206995490527804129280\
         00000000*ep-8491566279060063/1002001*ep*z4-
         46205889352265858499293/458515657600*ep*z3-5164150992349705681\
         868788283652524189770670659587967689356710489/7380239868496857\
         1776179882164828714869719040000000000*ep^2-44868183465123261/
         81796*ep^2*z5-138617668056797575497879/917031315200*ep^2*z4+
         13420581589993046028903775899629/117974721494133504000*ep^2*z3
         +3046205339061440893791713724734064956727020962236911651228902\
         093534074115072972305398600337193/1547542430293901797791897982\
         4147053652453305277310135176332168459714560000000000000*ep^3-
         10879484065234398105/8016008*ep^3*z6-5928994260545202349593537/
         3209609603200*ep^3*z5+13420581589993046028903775899629/
         78649814329422336000*ep^3*z4+586077962417676943103632145660434\
         716709/1445454601679282283048960000*ep^3*z3-
         3967857044052312711/20040020*ep^3*z3^2;
Fill mncnoptab(15,4,1,2)=
      +mncF321*(674179200+6341700757680/1001*ep+164079950655228/7007*
         ep^2+5096840996064656/105105*ep^3)
      -680365181781848828775656534663727041/204772735237898323431936000
         -213028914900/1002001*ep^-3-66223993385697510983/
         24553513464480*ep^-2-166438951108801144300650169/
         15041776990502021760*ep^-1-8883499128794328/1002001*z3+
         15581614592373877470311647525639160860868981207002620570511/
         546138296407063838207569335589068079104000000000*ep-
         13325248693191492/1002001*ep*z4-277143913175182440869393/
         1753822390320*ep*z3-222295938965984184607373081897265276158913\
         7670788425972578324977801/200742524423114515231209279488334104\
         44563578880000000000*ep^2-17596556160482184/20449*ep^2*z5-
         277143913175182440869393/1169214926880*ep^2*z4+
         6785083174921637524843896990079/37604442476255054400*ep^2*z3-
         14909945682449908410953157941267259822640898531206304808700204\
         35424770510177135211240115890643844672271/
         86456527708943517567966888103226506500279610028294298577456919\
         1420375324426240000000000000*ep^3-2133369381837081720/1002001*
         ep^3*z6-11814063793168714853101219/4092252244080*ep^3*z5+
         6785083174921637524843896990079/25069628317503369600*ep^3*z4+
         21760836694549943150871466432708414241/
         34128789206316387238656000*ep^3*z3-311214303629040600/1002001*
         ep^3*z3^2;
Fill mncnoptab(15,4,2,1)=
      +mncF321*(179781120+1722280098816/1001*ep+228899641348008/35035*
         ep^2+1049582209786538/75075*ep^3)
      -682547999187336476837710901298442567/767897757142118712869760000
         -1653164703592/5010005*ep^-3-113746744960780841783/
         30691891830600*ep^-2-10269692767063912150733819/
         752088849525101088*ep^-1-2364508508282464/1002001*z3+
         4117876440322512818448800687491035849069653772596222651177/
         546138296407063838207569335589068079104000000000*ep-
         3546762762423696/1002001*ep*z4-93173546929773530468981/
         2192277987900*ep*z3-112292490441265573424976447099069549538754\
         4294037886179223257678789/401485048846229030462418558976668208\
         89127157760000000000*ep^2-4691333927605056/20449*ep^2*z5-
         93173546929773530468981/1461518658600*ep^2*z4+
         1928653920310380466375999068269/47005553095318818000*ep^2*z3+
         17031357846085049994856206217011937475242957895863920521819872\
         9338810031386853254639476261841688093781/225845623402954494871\
         42370769822434351093449150248306567172419694246539087052800000\
         00000000*ep^3-568777134860913200/1002001*ep^3*z6-
         4138328360039906058271543/5115315305100*ep^3*z5+
         1928653920310380466375999068269/31337035396879212000*ep^3*z4+
         68783227892566787295525535891428289621/
         383948878571059356434880000*ep^3*z3-415131495315117632/5010005
         *ep^3*z3^2;
Fill mncnoptab(15,5,1,1)=
      +mncF321*(9363600+96549559110/1001*ep+5661434586527/14014*ep^2+
         302814970990481/315315*ep^3)
      -138029542240552773004337585773049837/
      2948727387425735857419878400-72883868691/2004002*ep^-3-
         192934870341727173533/589284323147520*ep^-2-
         1990558677517481116243117663/1805013238860242611200*ep^-1-
         123539303949423/1002001*z3+19505739718820349372851361416177831\
         607635578619483503/53939584830327292662475983761883267072000000
         *ep-370617911848269/2004002*ep*z4-1982612094964895493899/
         859015048320*ep*z3-1523688102516764453880027095560975734297512\
         15412501407014687/13217614776830585365017894945733932803004825\
         6000000*ep^2-244364032248249/20449*ep^2*z5-
         1982612094964895493899/572676698880*ep^2*z4+
         95216040657662061379516870201/180501323886024261120*ep^2*z3+
         19771313490096589830746415668862632462596333372780611597452209\
         4809985443515420736797937/187794501093055987653942725833248235\
         59821244577851836417833539993600000000000*ep^3-
         29625745690536945/1002001*ep^3*z6-4997688010896148975382273/
         98214053857920*ep^3*z5+95216040657662061379516870201/
         120334215924016174080*ep^3*z4+27760643592851708255255476257086\
         861953/2457272822854779881183232000*ep^3*z3-4313526128875683/
         1002001*ep^3*z3^2;
Fill mncnoptab(16,1,1,4)=
      +mncF321*(543338496+24901397051824/5005*ep+9292803850937636/
         525525*ep^2+353598880962706814/10135125*ep^3)
      -207758364348548320334133894483549611117/
      77749647910639519678063200000-5023975381042/225450225*ep^-3-
         509448426854196192599/4143405397131000*ep^-2+
         3558543941530154350381669/15864374169670101075*ep^-1-
         322348527768685328/45090045*z3+1191856070315505028272459905275\
         405401359362049877729013/5056836077843183687107123477676556288\
         0000000*ep-161174263884342664/15030015*ep*z4-
         9299838589232129146724207/73989382091625*ep*z3-707293655754337\
         096567138251826232446529354314655028450358629721/7434908311967\
         204267822565906975337201690214400000000*ep^2-
         638200554507431368/920205*ep^2*z5-9299838589232129146724207/
         49326254727750*ep^2*z4+65430789822734916654037719269161/
         373279392227531790000*ep^2*z3-13554006381512545691286760461308\
         0092175402513113071322607812466037497646305085640483/
         91523080407594879552202589724018852512882050586022614238285004\
         8000000000*ep^3-15474739321547725852/9018009*ep^3*z6-
         248669294099411291954843239/115094594364750*ep^3*z5+
         65430789822734916654037719269161/248852928151687860000*ep^3*z4
         +4569474432504424094179707649138381057789/
         9718705988829939959757900000*ep^3*z3-18807469740858713224/
         75150075*ep^3*z3^2;
Fill mncnoptab(16,2,1,3)=
      +mncF321*(305627904+14341430867616/5005*ep+1848532369456008/
         175175*ep^2+1166112570580184/53625*ep^3)
      -3849823164526773115697350687482279823/
      2559659190473729042899200000+73528556688/25050025*ep^-3+
         5162368795802045213/102306306102000*ep^-2+
         6122746946600360683188761/31337035396879212000*ep^-1-
         20150525033427408/5010005*z3+435787468438255579841446863751996\
         5339951857620927920817/337122405189545579140474898511770419200\
         000000*ep-30225787550141112/5010005*ep*z4-
         523120210943812451502349/7307593293000*ep*z3-25072541294219370\
         98788419800735542239768739053233007892512762469/49566055413114\
         695118817106046502248011268096000000000*ep^2-39888482991103248/
         102245*ep^2*z5-523120210943812451502349/4871728862000*ep^2*z4+
         42609400652936769590536027931/512043062040510000*ep^2*z3+
         67160925843024925121032612979449819198389708956145598803674881\
         4096006187303123870016428168520609/137864823127300063058275577\
         4866484411216142640701569314575496289491877888000000000000*
         ep^3-967192570765315872/1002001*ep^3*z6-
         22177606678018011516389447/17051051017000*ep^3*z5+
         42609400652936769590536027931/341362041360340000*ep^3*z4+
         122613430344148739163140586851548885103/
         426609865078954840483200000*ep^3*z3-3526155507469854192/
         25050025*ep^3*z3^2;
Fill mncnoptab(16,2,2,2)=
      +mncF321*(114610464+5514854276376/5005*ep+737616984167988/175175*
         ep^2+1135295848018856/125125*ep^3)
      -142506518782777741055828529519659849/252805845972713979545600000
         -5199435714093/100200100*ep^-3-235482211511521986433/
         409225224408000*ep^-2-1963871095875540131700512947/
         1002785132700134784000*ep^-1-7549310726593368/5010005*z3+
         23922136792260856816484740714642410060905147482367534993/
         5056836077843183687107123477676556288000000000*ep-
         11323966089890052/5010005*ep*z4-794738411771175249514861/
         29230373172000*ep*z3-24758742459776639854670083509932686522424\
         85880238421795555876433/13940453084938508002167311075578757253\
         1691520000000000*ep^2-14956694391535263/102245*ep^2*z5-
         794738411771175249514861/19486915448000*ep^2*z4+
         3670837362926809556267860202183/147468401867666880000*ep^2*z3+
         63880450431616173979036096832505372652603568884219710298949037\
         963345829370248843857562543/1717773815400046395595402355882678\
         838101154986936411940984811683840000000000000*ep^3-
         725328714458634519/2004002*ep^3*z6-35635509376822297015826283/
         68204204068000*ep^3*z5+3670837362926809556267860202183/
         98312267911777920000*ep^3*z4+395413098915449919394948564079997\
         554519/3412878920631638723865600000*ep^3*z3-
         1322747649328001997/25050025*ep^3*z3^2;
Fill mncnoptab(16,3,1,2)=
      +mncF321*(35956224+1757897360496/5005*ep+240434532123948/175175*
         ep^2+724683400578286/238875*ep^3)
      -453584827789873630318888218226664963/
      2559659190473729042899200000-281755994922/25050025*ep^-3-
         4682873862934983799/34102102034000*ep^-2-
         2848471534267999829553439/5222839232813202000*ep^-1-
         2368802988376368/5010005*z3+8832704507465134142674467279324312\
         998961532337536069739/6068203293411820424528548173211867545600\
         000000*ep-3553204482564552/5010005*ep*z4-
         20956648182001950551423/2435864431000*ep*z3-158667667758210917\
         391223591078800683337363041353767587643467683/2973963324786881\
         7071290263627901348806760857600000000*ep^2-4692388098257448/
         102245*ep^2*z5-62869944546005851654269/4871728862000*ep^2*z4+
         510543098576281869039197680433/78342588492198030000*ep^2*z3-
         69716031486110714274207946978390969721331793569281501695450591\
         709697720177806533047177523489579673/2047292623440405936415392\
         325676729350655971821441830432144611989895438663680000000000000
         *ep^3-113779106913119292/1002001*ep^3*z6-
         2915732319655545007459707/17051051017000*ep^3*z5+
         510543098576281869039197680433/52228392328132020000*ep^3*z4+
         48599391169791190974571571135888610329/
         1279829595236864521449600000*ep^3*z3-414963839024836152/
         25050025*ep^3*z3^2;
Fill mncnoptab(16,3,2,1)=
      +mncF321*(6741792+338236692408/5005*ep+47999646297804/175175*ep^2
         +237560712317944/375375*ep^3)
      -6160446851763176219978787932931063313/
      184295461714108491088742400000-1680288037229/100200100*ep^-3-
         25756571033752950203/136408408136000*ep^-2-
         2110110061763018691768461161/3008355398100404352000*ep^-1-
         443017031659304/5010005*z3+24490151921420265085292765007626416\
         7074140577553659777873/910230494011773063679282225981780131840\
         000000000*ep-664525547488956/5010005*ep*z4-
         15913997689816057253711/9743457724000*ep*z3-153402634347988906\
         3882433076499003397422344049975276740708152951/167285437019262\
         0960260077329069450870380298240000000000*ep^2-879543148950639/
         102245*ep^2*z5-47741993069448171761133/19486915448000*ep^2*z4+
         6170258238234442430690440655989/7520888495251010880000*ep^2*z3
         +6841327265177428432766684015507944636259952858652356250489487\
         674736738828631775697359358453561057/2632233372994807632534075\
         847298652022271963770425210555614501129865563996160000000000000
         *ep^3-42654597266922007/2004002*ep^3*z6-
         2334844918360771752685899/68204204068000*ep^3*z5+
         6170258238234442430690440655989/5013925663500673920000*ep^3*z4
         +688741597029434228374754160939275336669/
         92147730857054245544371200000*ep^3*z3-77849098006073341/
         25050025*ep^3*z3^2;
Fill mncnoptab(16,4,1,1)=
      +mncF321*(665856+35550688864/5005*ep+49205123070088/1576575*ep^2+
         5568867023002028/70945875*ep^3)
      -692163185484207028225032231947682157/
      207332394428372052474835200000-585660120112/225450225*ep^-3-
         198882784963221438953/8286810794262000*ep^-2-
         42426322538293507435646159/507659973429443234400*ep^-1-
         395329915311088/45090045*z3+2976191963222681844528930772368329\
         86861655672485383689/12136406586823640849057096346423735091200\
         000000*ep-197664957655544/15030015*ep*z4-
         99051788644264378609991/591915056733000*ep*z3-1078171271388804\
         4994496335751859155632593098150440185563666133/148698166239344\
         085356451318139506744033804288000000000*ep^2-260656785434896/
         306735*ep^2*z5-99051788644264378609991/394610037822000*ep^2*z4
         -141615791114213856078597464993/6345749667868040430000*ep^2*z3
         +2596596052376527562428543413842717988221995251748103614287010\
         012874961549292097431649363/1824289439189686737209729336665840\
         002954063758991321252018115313664000000000000*ep^3-
         18960608771809312/9018009*ep^3*z6-5428059082236177968656373/
         1381135132377000*ep^3*z5-141615791114213856078597464993/
         4230499778578693620000*ep^3*z4+2848782579049679897206854506586\
         2978317/34555399071395342079139200000*ep^3*z3-
         69016407705328592/225450225*ep^3*z3^2;
Fill mncnoptab(17,1,1,3)=
      +mncF321*(3581577+711646672167/20020*ep+198828340819467/1401400*
         ep^2+5054942710770763/15765750*ep^3)
      -312299572993373594516017162970791877563/
      17692364324554415144519270400000+1157859830507/3206403200*ep^-3+
         303657132881201516623/117856864629504000*ep^-2+
         747863853984688584656509309/288802118217638817792000*ep^-1-
         236126061028224/5010005*z3+20749773277709630223097713548777139\
         022771487537359/146320488363518046501942230256844800000000*ep-
         354189091542336/5010005*ep*z4-7280125993122971217202349/
         8418347473536000*ep*z3-273394020030099114771357174314095695167\
         7156080412724746367/537826122104109105021887001372637239705600\
         0000000*ep^2-14957633213304863/3271840*ep^2*z5-
         7280125993122971217202349/5612231649024000*ep^2*z4+
         21972706841527686014008036079767/42470899737888061440000*ep^2*
         z3+15407414704588076701364066297851799541327819296570047030045\
         933114398243149161505993/2383413552281116655005275774062990950\
         856303400677672245788672000000000000*ep^3-725367993499035119/
         64128064*ep^3*z6-116240240514100318660301849/6547603590528000*
         ep^3*z5+21972706841527686014008036079767/
         28313933158592040960000*ep^3*z4+350137790808563844784543947311\
         41632069119/8846182162277207572259635200000*ep^3*z3-
         1322309195333623597/801600800*ep^3*z3^2;
Fill mncnoptab(17,2,1,2)=
      +mncF321*(842724+43501747491/5005*ep+1165839318531/31850*ep^2+
         22050833198967/250250*ep^3)
      -682793610376325808038115555231581057/
      163818188190318658745548800000-37607597829/801600800*ep^-3-
         6499132975975852649/3273801795264000*ep^-2-
         119411850423970311517463851/8022281061601078272000*ep^-1-
         55561492131408/5010005*z3+241615502913862810372130630435172467\
         521197014312359807/7585254116764775530660685216514834432000000\
         000*ep-83342238197112/5010005*ep*z4-2857481606237842682149/
         13755469728000*ep*z3-29600180346916645585304007462550980984282\
         427315346458123351951/2788090616987701600433462215115751450633\
         83040000000000*ep^2-879902632555119/817960*ep^2*z5-
         2857481606237842682149/9170313152000*ep^2*z4+
         872239350085059810824237195983/20055702654002695680000*ep^2*z3
         -1623264838051109613434009132634010665298948027840892659232232\
         95280052137494912370005865415727/51669407395309682395467075888\
         5761653249311990268720020731591437588627456000000000000*ep^3-
         42670737058149567/16032016*ep^3*z6-2507272989207613214137699/
         545633632544000*ep^3*z5+872239350085059810824237195983/
         13370468436001797120000*ep^3*z4+808374224520705762510615142683\
         18508621/81909094095159329372774400000*ep^3*z3-
         77783418844525341/200400200*ep^3*z3^2;
Fill mncnoptab(17,2,2,1)=
      +mncF321*(99144+5324609196/5005*ep+1656490425921/350350*ep^2+
         42451725203103/3503500*ep^3)
      -2046988877401566121147288652878893271/
      4177363798853125798011494400000-2771867926629/6813606800*ep^-3-
         121741074488029709149/27827315259744000*ep^-2-
         1025137109362927658384300711/68189389023609165312000*ep^-1-
         110488837869936/85170085*z3+1255545049172869074377011029423874\
         306023708126623386189/3438648532933364907232843964820058275840\
         00000000*ep-165733256804904/85170085*ep*z4-
         49521427279261133377333/1987665375696000*ep*z3-252164135433325\
         86310865172993567278684234251669914425389045151/23698770244395\
         46360368442882848388733038755840000000000*ep^2-879291881454159/
         6952660*ep^2*z5-49521427279261133377333/1325110250464000*ep^2*
         z4-825920095673275579075391663317/170473472559022913280000*
         ep^2*z3+200219825196574995917996482843185376797485663319185829\
         372670310803502334389113850357/8965526244009294323481070013781\
         438613506813118630786700893224960000000000000*ep^3-
         42643346839774047/136272136*ep^3*z6-2748011981760584938349099/
         4637885876624000*ep^3*z5-825920095673275579075391663317/
         113648981706015275520000*ep^3*z4+24852774370096326423340632401\
         3602041563/2088681899426562899005747200000*ep^3*z3-
         77900386028458941/1703401700*ep^3*z3^2;
Fill mncnoptab(17,3,1,1)=
      +mncF321*(23409+5253166719/20020*ep+1724996282819/1401400*ep^2+
         52613448314041/15765750*ep^3)
      -232019271975232119861190652846857819/
      1965818258283823904946585600000-284738901981/3206403200*ep^-3-
         100317454612388906329/117856864629504000*ep^-2-
         902670883951069171099402939/288802118217638817792000*ep^-1-
         1544156342208/5010005*z3+2427239709255109074806257300175321760\
         91611783089389/303410164670591021226427408660593377280000000*
         ep-2316234513312/5010005*ep*z4-50934524101679345737333/
         8418347473536000*ep*z3-966925588196076257378138558135301033841\
         0289685249600457753/464681769497950266738910369185958575105638\
         4000000000*ep^2-97742034295671/3271840*ep^2*z5-
         50934524101679345737333/5612231649024000*ep^2*z4-
         2856819990253919235735960201377/722005295544097044480000*ep^2*
         z3+14198123060191701993492882610794140831347457800956694148651\
         25511286928271462806144871549/30325850417698688618551344817302\
         275373781839110505080553028410408960000000000000*ep^3-
         4739946677537223/64128064*ep^3*z6-3031843170450036167375299/
         19642810771584000*ep^3*z5-2856819990253919235735960201377/
         481336863696064696320000*ep^3*z4+85262368344975922992245631817\
         345612381/2948727387425735857419878400000*ep^3*z3-
         8627059054324149/801600800*ep^3*z3^2;
Fill mncnoptab(18,1,1,2)=
      +mncF321*(5832+5557401756/85085*ep+1822556980281/5955950*ep^2+
         532922261759/643500*ep^3)
      -17793344305423015933165270220554567439/6391366612245282470957586\
      43200000-2226779382629/115831315600*ep^-3-463170549830456319781/
         4257579234740832000*ep^-2+1683463193837092005161035937/
         10432976520612202292736000*ep^-1-109802026304496/1447891445*z3
         +19402642808461279235673361198190083361689254467549/1002349538\
         06356658818515684845577830400000000*ep-164703039456744/
         1447891445*ep*z4-456474017917588763694397/304112802481488000*
         ep*z3-663657974986866711124332747224592941415002027715905988079
       /1228102710424395309442570614492382516740096000000000*ep^2-
         878563465171279/118195220*ep^2*z5-456474017917588763694397/
         202741868320992000*ep^2*z4-25308326079121328506929950102333/
         26082441301530505731840000*ep^2*z3+370417389159010461882980144\
         4640456557662976686121582151142091791251660782016411/
         14803219322859168949026630753135630966357403167902425593937920\
         00000000000*ep^3-42610401688174687/2316626312*ep^3*z6-
         9068212293761415413068897/236532179707824000*ep^3*z5-
         25308326079121328506929950102333/17388294201020337154560000*
         ep^3*z4+2301813888961422915593934169632567081907/3195683306122\
         64123547879321600000*ep^3*z3-78129432234647741/28957828900*
         ep^3*z3^2;
Fill mncnoptab(18,2,1,1)=
      +mncF321*(324+333334107/85085*ep+120355951657/5955950*ep^2+
         87211887491/1433250*ep^3)
      -225469597724582175324402875557480619/142030369161006277132390809\
      600000-376121393181/231662631200*ep^-3-125612644660052842729/
         8515158469481664000*ep^-2-967090029336127608499629739/
         20865953041224404585472000*ep^-1-6181194493392/1447891445*z3+
         1947867112486829591398835221576000108110848407433/200469907612\
         713317637031369691155660800000000*ep-9271791740088/1447891445*
         ep*z4-53219895955135238310133/608225604962976000*ep*z3-
         5273257991089768495190035096844594297123030173576904827/
         272911713427643402098349025442751670386688000000000*ep^2-
         97790149974711/236390440*ep^2*z5-53219895955135238310133/
         405483736641984000*ep^2*z4-6696408416852198146675633491377/
         52164882603061011463680000*ep^2*z3+402519393000851446797076229\
         83266286688206077516830008465132607658502709755239151493960581/
         44989409956336594521908205081295168926184484381737970503102747\
         788705792000000000000*ep^3-4742267792813703/4633252624*ep^3*z6
         -3550687312044630048841699/1419193078246944000*ep^3*z5-
         6696408416852198146675633491377/34776588402040674309120000*
         ep^3*z4+76340396403043142395980592530341055181/213045553741509\
         415698586214400000*ep^3*z3-8626967671832949/57915657800*ep^3*
         z3^2;
Fill mncnoptab(19,1,1,1)=
      +mncF321*(1+14274301/1021020*ep+14911374857/175429800*ep^2+
         43007406851/141891750*ep^3)
      -1114721641188431513460398512575906257/13805351882449810137268386\
      6931200000+7674815806057/225176077526400*ep^-3+
         162316984118887847437/919637114704019712000*ep^-2-
         100909111719834434296209109/450704585690447139046195200*ep^-1-
         4525856120224/351837621135*z3+35552667761276740269031638943408\
         489758711907/1691464845482268617562452181769125888000000*ep-
         2262928060112/117279207045*ep*z4-2754684908293104336673/
         9384052190857344000*ep*z3+172553516848409497512876598290461071\
         447178937382099/2072423323841167084684337911955895496998912000\
         0000*ep^2-96245102058871/76590502560*ep^2*z5-
         2754684908293104336673/6256034793904896000*ep^2*z4-
         5047269420501448143475192637899/5633807321130589238077440000*
         ep^2*z3+132026973897033922055390915150646434747353880661281825\
         42607961564297/25598162483293805199842999003667747355831162999\
         09831065600000000*ep^3-14003202606806869/4503521550528*ep^3*z6
         -4610048523749185226660099/459818557352009856000*ep^3*z5-
         5047269420501448143475192637899/3755871547420392825384960000*
         ep^3*z4+30911992653433702458169886219338409501/690267594122490\
         50686341933465600000*ep^3*z3-25889706195484447/56294019381600*
         ep^3*z3^2;
*--#] 22 :
#case 21
*--#[ 21 :
Fill mncnoptab(6,5,4,6)=
      +mncF321*(-101370934160496000-755656181560800520*ep-
         5709671117239425124/3*ep^2-21820572578126752202/9*ep^3)
      +63175433737550059861497094479195169/126349491639571200-
         639889365541808/27*ep^-3-1073080709105979536239/4864860*ep^-2-
         844704804600087943601860717/1753100949600*ep^-1+
         36031758065169802952/27*z3-28631039406281272256406263514507369\
         9706095856949827/54637563368683053158400000000000*ep+
         18015879032584901476/9*ep*z4+5153110752668765922402722/243243*
         ep*z3+65898731465802596703249928283585095649127648929873692863\
         47/252021661894894400462861107200000000000*ep^2+
         1164621465236877402008/9*ep^2*z5+2576555376334382961201361/
         81081*ep^2*z4-61527371432690390465121347772571/876550474800*
         ep^2*z3-505567523515695564288385138531120900691778358777465272\
         8502208203409387103771191510883/670382424121176516427210147443\
         60074030748794880000000000000000000*ep^3+
         8644581594113656007680/27*ep^3*z6+235337167173011370399749/
         1287*ep^3*z5-61527371432690390465121347772571/584366983200*
         ep^3*z4+2697042883676648260091340244969227563/
         315873729098928000*ep^3*z3+1260463756153229246552/27*ep^3*z3^2
         ;
Fill mncnoptab(6,5,5,5)=
      +mncF321*(-126713667700620000-943800860772619850*ep-
         7120328763417164345/3*ep^2-27155452780873101640/9*ep^3)
      +12646591909395879091386085608444365/20215918662331392-
         1063439421523540/27*ep^-3-1414702992535960868311/3891888*ep^-2
         -1084115875428158504544557653/1402480759680*ep^-1+
         45045488912747098810/27*z3-20045476160693158512558481960785233\
         08210958300581651/305970354864625097687040000000000*ep+
         22522744456373549405/9*ep*z4+12878790160281005565532685/486486
         *ep*z3+4618879230518435561098451267550657812661115099041361728\
         43061/14113213066114086425920222003200000000000*ep^2+
         1455797373390304144990/9*ep^2*z5+12878790160281005565532685/
         324324*ep^2*z4-61636092533125516830181431145819/701240379840*
         ep^2*z3-245068680950915520105267223942886739972370404522939285\
         994374800512174507273073767811/2730284781875337085085364964133\
         937560525041827840000000000000000*ep^3+10805866578145413340400/
         27*ep^3*z6+1171735812066121962796145/5148*ep^3*z5-
         61636092533125516830181431145819/467493586560*ep^3*z4+28362794\
         15344870180573508411343995147/252698983279142400*ep^3*z3+
         1575516049572769781710/27*ep^3*z3^2;
Fill mncnoptab(6,6,5,4)=
      +mncF321*(-81096747328396800-605998420283416160*ep-
         4600382278436819732/3*ep^2-88493164820525157419/45*ep^3)
      +221081271219860371547651374913581/552226799124000-
         681199398241648/27*ep^-3-1992194610397750441/8505*ep^-2-
         3112118619550719883026941/6129723600*ep^-1+
         28829128307973698848/27*z3-26853266431063638589543643442243345\
         71955573863483/641895849366346358784000000000*ep+
         14414564153986849424/9*ep*z4+144318677277715731756562/8505*ep*
         z3+30855271031915956857963447970497610576671094884070608461/
         1480406964977002072648974336000000000*ep^2+
         931710370863095672992/9*ep^2*z5+72159338638857865878281/2835*
         ep^2*z4-34231369566373931934138311473/612972360*ep^2*z3-
         54274890817202964820559198345776523922823170710960264581859813\
         3236359254849052756527/112624247252357654759771304770524924371\
         65797539840000000000000000*ep^3+6915754960703283300320/27*ep^3
         *z6+6668104057364154495646/45*ep^3*z5-
         34231369566373931934138311473/408648240*ep^3*z4+31926990763102\
         4375635783156603223/55222679912400*ep^3*z3+
         1008330084331557329056/27*ep^3*z3^2;
Fill mncnoptab(6,6,6,3)=
      +mncF321*(-38926438717630464-1460033283284704128/5*ep-
         3721861293210903128/5*ep^2-361652888702040765821/375*ep^3)
      +35328583346033965206343064252413/184075599708000-
         1832694289178896/225*ep^-3-5481424362191518267/70875*ep^-2-
         114568866396734265339841/638512875*ep^-1+115296896187456508096/
         225*z3-20004587509465114189903722495371296792800391394903/
         9985046545698721136640000000000*ep+57648448093728254048/75*ep*
         z4+578271518227597829864104/70875*ep*z3+7156865994074288325439\
         3139512741159220775620840532367009/719642274641598229759918080\
         0000000000*ep^2+3726771920934757387264/75*ep^2*z5+
         289135759113798914932052/23625*ep^2*z4-
         30849021965914642318711372571/1160932500*ep^2*z3-
         29308288666812392008350344532789321213078668762307245960487027\
         3307873076038680848297/109495795939792164349777657415788120916\
         88969830400000000000000000*ep^3+5532509433308407826848/45*ep^3
         *z6+81627010513182107904796/1125*ep^3*z5-
         30849021965914642318711372571/773955000*ep^3*z4+41423294210133\
         4317915170237959067/209176817850000*ep^3*z3+
         4033536051002587207936/225*ep^3*z3^2;
Fill mncnoptab(7,4,3,7)=
      +mncF321*(-33790311386832000-758954907507957160/3*ep-
         1927212371667028454/3*ep^2-312738025586516920741/378*ep^3)
      +63049674089731950635625660409338211/379048474918713600-
         154005674377304/81*ep^-3-270530325165337749397/14594580*ep^-2-
         243811660452602546478673381/5259302848800*ep^-1+
         36021056413819671176/81*z3-30475296375298614434215189093716506\
         87120940144565513/1748402027797857701068800000000000*ep+
         18010528206909835588/27*ep*z4+5162786362864702789469228/729729
         *ep*z3+5454099588774843486776004392319415697514845083149053111\
         711/630054154737236001157152768000000000000*ep^2+
         1164583537828993006904/27*ep^2*z5+2581393181432351394734614/
         243243*ep^2*z4-8705253550058174630849630843869/375664489200*
         ep^2*z3-422890578549300989359939488038707116963192914902145968\
         1370671501872749268929222767/171892929261840132417233371139384\
         805207048192000000000000000000*ep^3+8644323892682898373840/81*
         ep^3*z6+5054839850554541027705353/81081*ep^3*z5-
         8705253550058174630849630843869/250442992800*ep^3*z4+277577263\
         489085514919008453167741447/135374455328112000*ep^3*z3+
         1260581572017891336056/81*ep^3*z3^2;
Fill mncnoptab(7,4,4,6)=
      +mncF321*(-67580622773664000-1514112802189267280/3*ep-
         11480304958775616356/9*ep^2-308545662355927088509/189*ep^3)
      +63108058099651633875322757769120883/189524237459356800-
         768650238409072/81*ep^-3-653626085048436877213/7297290*ep^-2-
         537278263842809677288764109/2629651424400*ep^-1+
         72052267590937489168/81*z3-53397737648675745783465992953699212\
         353636439382191391/15298517743231254884352000000000000*ep+
         36026133795468744584/27*ep*z4+10314262586659455140326360/
         729729*ep*z3+9582716469837066626899383378112493434931083958829\
         3381486719/5512973853950815010125086720000000000000*ep^2+
         2329203053781869333872/27*ep^2*z5+5157131293329727570163180/
         243243*ep^2*z4-61277509661718213199463754946027/1314825712200*
         ep^2*z3-134524150996011059819948902401050938703049870778078889\
         89416921564021057280176671323/26070427604712420083280394622806\
         6954564023091200000000000000000*ep^3+17288892234386676281120/
         81*ep^3*z6+3326560996506159031396534/27027*ep^3*z5-
         61277509661718213199463754946027/876550474800*ep^3*z4+23763318\
         61287996929993459591505865121/473810593648392000*ep^3*z3+
         2521051275928131413488/81*ep^3*z3^2;
Fill mncnoptab(7,5,2,7)=
      +mncF321*(-10812899643786240-244287261513062768/3*ep-
         209087207650827910*ep^2-369274391503371321671/1350*ep^3)
      +8068039883856203343496195018067861/151619389967485440-
         147968697597278/405*ep^-3-552633393779290031729/145945800*
         ep^-2-115687820254928913438006127/10518605697600*ep^-1+
         57631517741524304528/405*z3-6662485926638942769412943011140269\
         2136166111687264983/119940379106933038293319680000000000*ep+
         28815758870762152264/135*ep*z4+82830394430794404399665327/
         36486450*ep*z3+21360171219067108108920901939920632591250193923\
         29951451019907/777990870269539014228852237926400000000000*ep^2
         +1863325966272064288952/135*ep^2*z5+82830394430794404399665327/
         24324300*ep^2*z4-192401247227273454426345172933157/
         26296514244000*ep^2*z3-107207324274211666183758789951371571441\
         78938093518393559150104710680463460306079072483/
         15329411431570903008968872038210336928364557762560000000000000\
         00000*ep^3+2766173190537334281164/81*ep^3*z6+
         5951982481233566973724574/289575*ep^3*z5-192401247227273454426\
         345172933157/17531009496000*ep^3*z4+30814228054859629426505977\
         55195742463/9476211872967840000*ep^3*z3+2016954467679644306648/
         405*ep^3*z3^2;
Fill mncnoptab(7,5,3,6)=
      +mncF321*(-40548373664198400-303741344458792240*ep-
         772140938933672262*ep^2-89667136540708193189/90*ep^3)
      +31547234665638073652393538850586237/157936864549464000-
         137334334105160/27*ep^-3-118437327924569990327/2432430*ep^-2-
         8113407605057963480108581/70124037984*ep^-1+
         14410092668825643536/27*z3-74600614536822655384672916854457085\
         860682889740597653/35696541400872928063488000000000000*ep+
         7205046334412821768/9*ep*z4+10328832289265409434937397/1216215
         *ep*z3+5341710277046862067982456894762115688962421203298866067\
         19893/51454422636874273427834142720000000000000*ep^2+
         465839331554812417424/9*ep^2*z5+10328832289265409434937397/
         810810*ep^2*z4-24343578231493551434025845590321/876550474800*
         ep^2*z3-165977430362332261316475956061324795161732819294595840\
         318965471664020257928089748293/6758999749369886688257880087394\
         328451659857920000000000000000000*ep^3+3457769754989029021840/
         27*ep^3*z6+1448287061964822435374933/19305*ep^3*z5-
         24343578231493551434025845590321/584366983200*ep^3*z4+37288900\
         814932697664027707279626423/15793686454946400*ep^3*z3+
         504214225676672881808/27*ep^3*z3^2;
Fill mncnoptab(7,5,4,5)=
      +mncF321*(-67580622773664000-1516534783065302000/3*ep-
         11534475962356283450/9*ep^2-88974216587666511869/54*ep^3)
      +31591842947945074534160585214728141/94762118729678400-
         1360235504721640/81*ep^-3-228836789594680131863/1459458*ep^-2-
         363884265571905743234692813/1051860569760*ep^-1+
         72065269231549644880/81*z3-11940795742744744015196881069946892\
         7188179629002207457/34268679744838010940948480000000000*ep+
         36032634615774822440/27*ep*z4+10323093735304442448837253/
         729729*ep*z3+2855426277695059052547697936836070044455213190790\
         48578771197/16465415243799767496906925670400000000000*ep^2+
         2329249166557444538320/27*ep^2*z5+10323093735304442448837253/
         486486*ep^2*z4-24420644916824807648894666237569/525930284880*
         ep^2*z3-396857550620490921001090617933283488505430888769761454\
         6660201072233479997271807960043/105115964102200477775786551119\
         156596080214110371840000000000000000*ep^3+
         17289205576101959925200/81*ep^3*z6+479262576134039187899159/
         3861*ep^3*z5-24420644916824807648894666237569/350620189920*
         ep^3*z4+210729036952333738412777027905931699/47381059364839200
         *ep^3*z3+2520908363776052777680/81*ep^3*z3^2;
Fill mncnoptab(7,5,5,4)=
      +mncF321*(-54064498218931200-1216205551168928320/3*ep-
         9293753733361946500/9*ep^2-360834791053861615391/270*ep^3)
      +126481793862210065000218910743447349/473810593648392000-
         1450635254882168/81*ep^-3-243320914064396879911/1459458*ep^-2-
         59907530509853486498345396/164353214025*ep^-1+
         57660200994349943072/81*z3-19861154056954551637383401422050958\
         2547055519647619/71393082801745856126976000000000*ep+
         28830100497174971536/27*ep*z4+41343349746436104799533988/
         3648645*ep*z3+768076113546262484856459150017366104764637608392\
         159929747/55570776447824215302060874137600000000*ep^2+
         1863427631581590551168/27*ep^2*z5+20671674873218052399766994/
         1216215*ep^2*z4-48566878439963517289325830994609/1314825712200
         *ep^2*z3-10960911588544978378798015361704787438648587033160977\
         385079333221046045710580704251/3284873878193764930493329722473\
         64362750669094912000000000000000*ep^3+13831556734376054276080/
         81*ep^3*z6+215744019690285738138346/2145*ep^3*z5-
         48566878439963517289325830994609/876550474800*ep^3*z4+67650714\
         2447175217067266703778036509/236905296824196000*ep^3*z3+
         2016638755090569230336/81*ep^3*z3^2;
Fill mncnoptab(7,6,1,7)=
      +mncF321*(-875755508339712-100146731672095472/15*ep-
         263145508531762402/15*ep^2-159955898699032967999/6750*ep^3)
      +570469129847002542881550853284822977/132417044150174784000+
         15583712844518/22275*ep^-3-1953727048582597801/88209000*ep^-2-
         28443149263259340375697543/108075783816000*ep^-1+
         256707186972678765232/22275*z3-3530202132440885229506517735796\
         53168852525932784366343905473/79159420175857148634155199155404\
         80000000000*ep+128353593486339382616/7425*ep*z4+
         4078107543823124800333303/22052250*ep*z3+259096060304955974652\
         1248211138047551884500927930381060920548939183/118760842561891\
         10091200102415916125388800000000000*ep^2+
         8300217157330595566888/7425*ep^2*z5+4078107543823124800333303/
         14701500*ep^2*z4-155512844971273497456892734273581/
         270189459540000*ep^2*z3-12624061951508728965789135982782136931\
         5624700039212246518500883516359493611096705450286373/
         26662825855570060351166756788307587591118721966567063552000000\
         0000000000*ep^3+12321972142509553967716/4455*ep^3*z6+
         2166650918970551960976802/1225125*ep^3*z5-15551284497127349745\
         6892734273581/180126306360000*ep^3*z4-698350807071810688197200\
         4955724553631/236459007411026400000*ep^3*z3+
         8984782150713680568712/22275*ep^3*z3^2;
Fill mncnoptab(7,6,2,6)=
      +mncF321*(-8257123364345856-312177188433542432/5*ep-
         161563468831052652*ep^2-240415164291221095177/1125*ep^3)
      +282195113471989640522577055272197/6942279760416000-
         431609742506852/675*ep^-3-791136168928514903/121500*ep^-2-
         1749683528551709579699231/96324228000*ep^-1+
         73354597352422192352/675*z3-6826518862872767986665614042178212\
         42453717115288786163/1614582026439483207794688000000000000*ep+
         36677298676211096176/225*ep*z4+580373666700952321853239/334125
         *ep*z3+1454889533874345969770246005689905818844281882796013811\
         0575139/6981969348572786025130725212160000000000000*ep^2+
         2371524846327453693968/225*ep^2*z5+580373666700952321853239/
         222750*ep^2*z4-1332641341365285059898737336629/240810570000*
         ep^2*z3-392968725586563216095325016877527336893553667043724851\
         72964884527237571871080927104339/89421566684163600885651753556\
         22696541545992028160000000000000000000*ep^3+
         3520609970814969444776/135*ep^3*z6+594743198880353004565352/
         37125*ep^3*z5-1332641341365285059898737336629/160540380000*
         ep^3*z4+6467438028889574916529841061027011/86778497005200000*
         ep^3*z3+2566973310860262663632/675*ep^3*z3^2;
Fill mncnoptab(7,6,3,5)=
      +mncF321*(-25803510513580800-194274980340961520*ep-
         498675970528956766*ep^2-58705426784919437473/90*ep^3)
      +16987134493512018766695609889999/133505380008000-156593025125992/
         27*ep^-3-134216116559826443/2430*ep^-2-
         191571621224036308069487/1481911200*ep^-1+9171578208955703632/
         27*z3-214835398446690849505070681323828283920263849195317/
         162218602342428454158336000000000*ep+4585789104477851816/9*ep*
         z4+72409960799280496643531/13365*ep*z3+15329514786377249868704\
         96917097823354962027304367590418951/23382838216047007096199184\
         3840000000000*ep^2+296448601171510195408/9*ep^2*z5+
         72409960799280496643531/8910*ep^2*z4-
         168244278916161078624198275183/9632422800*ep^2*z3-
         50676659598352074559608451470752685348614926552452068327673277\
         8828565830589342377817/350386547007334925919288503730521986934\
         04703457280000000000000000*ep^3+2200435563263937206480/27*ep^3
         *z6+72770776522970700272653/1485*ep^3*z5-
         168244278916161078624198275183/6421615200*ep^3*z4+704040056040\
         584388989300270861149/867784970052000*ep^3*z3+
         320846911568162154448/27*ep^3*z3^2;
Fill mncnoptab(7,6,4,4)=
      +mncF321*(-34404680684774400-776632485142754240/3*ep-
         5973767724035246408/9*ep^2-117028114543629827246/135*ep^3)
      +20101607914331301283685032723361/118334314098000-934751782767712/
         81*ep^-3-393678306091643662/3645*ep^-2-
         495645444688839251235983/2064090600*ep^-1+36693117048063391552/
         81*z3-17454924694588078991063679932768957969578703521867/
         9885196080241733925273600000000*ep+18346558524031695776/27*ep*
         z4+289588001479924542201044/40095*ep*z3+2493412520914172766621\
         915793560521876484727254202058597/2849783407580728989849275596\
         80000000*ep^2+1185818504636735814208/27*ep^2*z5+
         144794000739962271100522/13365*ep^2*z4-
         33693507023339710931785164733/1444863420*ep^2*z3-
         58854057333146870697734998863635583022838369826449272501891351\
         6650055148029851617/279960841891514056576136055892640081889774\
         79680000000000000000*ep^3+8801905992155360127680/81*ep^3*z6+
         96744307090420572006164/1485*ep^3*z5-
         33693507023339710931785164733/963242280*ep^3*z4+15455581702248\
         4839872840334490949/130167745507800*ep^3*z3+
         1283312641059248048704/81*ep^3*z3^2;
Fill mncnoptab(7,6,5,3)=
      +mncF321*(-20642808410864640-155807509522240576*ep-
         1205482934162666068/3*ep^2-238088559770295051727/450*ep^3)
      +13600271789336422025593034411447/133505380008000-836315050128376/
         135*ep^-3-714586087699353227/12150*ep^-2-
         82131707115092264986157/602026425*ep^-1+36690932905301767456/
         135*z3-163851997516905966117719703606795647650243543188332429/
         154999874538190387948290048000000000*ep+18345466452650883728/
         45*ep*z4+290002133254698277267292/66825*ep*z3+7004232571680244\
         52476446908920314786748302505842065507154421/13405381149259749\
         1682509924073472000000000*ep^2+1185810783323065803904/45*ep^2*
         z5+145001066627349138633646/22275*ep^2*z4-
         334521863249994194125246824451/24081057000*ep^2*z3-
         10622982721612100890342142096565891601233112699233126039622068\
         265612971622005231539809/8584470401679705685022568341397788679\
         88415234703360000000000000000*ep^3+1760370708531947822128/27*
         ep^3*z6+10917829710634941510178/275*ep^3*z5-
         334521863249994194125246824451/16054038000*ep^3*z4+16423177443\
         69269025478332624893647/4338924850260000*ep^3*z3+
         1283336814904933874176/135*ep^3*z3^2;
Fill mncnoptab(7,6,6,2)=
      +mncF321*(-5254533050038272-199694573322060544/5*ep-
         1565470044175607752/15*ep^2-157421718857004375749/1125*ep^3)
      +494090987214146636022870581743361/19091269341144000-
         5485841330269664/7425*ep^-3-27430089775472940544/3675375*ep^-2
         -5408237294087941843410791/264891627000*ep^-1+
         513536645777615305664/7425*z3-17987363512831132311315437187155\
         0253436030718411224533203/671343206593537117801031270400000000\
         000*ep+256768322888807652832/2475*ep*z4+
         4072909748309743814974228/3675375*ep*z3+5455749185060581264901\
         46541031740554169313006917570222258104851/41472897930522348989\
         2765077602304000000000000*ep^2+16600866730149434672576/2475*
         ep^2*z5+2036454874154871907487114/1225125*ep^2*z4-
         575814434525257570498166915473/165557266875*ep^2*z3-
         12549863343608289493641653451285560293920726035673189358215267\
         93194224103182043370113/52162580565762100516630189574465729825\
         6849534976000000000000000000*ep^3+24644531772335344356032/1485
         *ep^3*z6+1423855586977292326160668/136125*ep^3*z5-
         575814434525257570498166915473/110371511250*ep^3*z4-3241326591\
         182061656525403682488451/34091552394900000*ep^3*z3+
         17968212119918581836224/7425*ep^3*z3^2;
Fill mncnoptab(7,7,4,3)=
      +mncF321*(-8601170171193600-196249984300850480/3*ep-
         1540165505287413914/9*ep^2-20678389469029391641/90*ep^3)
      +221064316399012817485373912814853/5206709820312000-
         234035372102896/81*ep^-3-40236185105790685/1458*ep^-2-
         134589222652111344445067/2064090600*ep^-1+9173284768804273936/
         81*z3-5656869466507099488053898384603155801610039327663659/
         12916656211515865662357504000000000*ep+4586642384402136968/27*
         ep*z4+72765428412964635890186/40095*ep*z3+50070741314844170776\
         284358309253589660748341992964347861/2327323116190928675043575\
         0707200000000*ep^2+296454648272720405104/27*ep^2*z5+
         36382714206482317945093/13365*ep^2*z4-
         82128314453960813122103542483/14448634200*ep^2*z3-
         33858060574940344247392688557801115779732173439290600227324689\
         3215876863356367048838150131917/176127009651651370091135833413\
         048978601904243390580145520640000000000000000*ep^3+
         2200476650123392353440/81*ep^3*z6+76524090053496861866488/4455
         *ep^3*z5-82128314453960813122103542483/9632422800*ep^3*z4-
         30458572256314010010417791380487/162709681884750*ep^3*z3+
         320828116782266744560/81*ep^3*z3^2;
Fill mncnoptab(7,7,5,2)=
      +mncF321*(-3440468068477440-78777297680729648/3*ep-
         622317689645339870/9*ep^2-42155915208975630067/450*ep^3)
      +100843681255924418383021990040063/5950525508928000-
         215102836923338/405*ep^-3-784981355013663229/145800*ep^-2-
         17163977563090884949165/1155890736*ep^-1+18340999540457096048/
         405*z3-2134684496719621926839607160416961158278680884779700029/
         12206240119882493050927841280000000000*ep+9170499770228548024/
         135*ep*z4+13249978166493957419411/18225*ep*z3+4516870889722415\
         3635818145030894232213189801029543644204063101/527836882752102\
         62349988282603929600000000000*ep^2+592889554084529315432/135*
         ep^2*z5+13249978166493957419411/12150*ep^2*z4-
         162873952108772536084302081503/72243171000*ep^2*z3-
         12207392488067818488412964059768830955130064147025087423206210\
         7029222971884852364623341456707/963194584032468430185899088977\
         61160172916383104223517081600000000000000000*ep^3+
         880163831356565425124/81*ep^3*z6+311293843246719466004581/
         44550*ep^3*z5-162873952108772536084302081503/48162114000*ep^3*
         z4-2037328351049727840383636852558171/14876313772320000*ep^3*
         z3+641717541176674326728/405*ep^3*z3^2;
Fill mncnoptab(7,7,6,1)=
      +mncF321*(-437877754169856-50496761937936496/15*ep-
         80861249708172206/9*ep^2-27895545047144108479/2250*ep^3)
      +285184257999218186496259354890576523/132417044150174784000-
         15075054269366/22275*ep^-3-3339616373381597153/88209000*ep^-2-
         8684588352221361044732723/27018945954000*ep^-1+
         128354221114654096016/22275*z3-7366908403062967946126055257135\
         8904357092774093186724286855859/332469564738600024263451836452\
         7001600000000000*ep+64177110557327048008/7425*ep*z4+
         1023629340413592015778087/11026125*ep*z3+263086086894600771683\
         61796709782289632570852938394530178897950577485257/
         244409813992371885676898107719553860501504000000000000*ep^2+
         4150110650072747995544/7425*ep^2*z5+1023629340413592015778087/
         7350750*ep^2*z4-19038097599120392449043251075597/
         67547364885000*ep^2*z3-138585512048896736561331097164108626499\
         7934623328039021363422848432724151363941062392996412336377/
         71199343651680066359341660657225049599819790390642023826718720\
         00000000000000000*ep^3+6160988864551794945308/4455*ep^3*z6+
         2254949659394949558543307/2450250*ep^3*z5-
         19038097599120392449043251075597/45031576590000*ep^3*z4-
         7981831256760398491308257224162132373/236459007411026400000*
         ep^3*z3+4492383169877917843256/22275*ep^3*z3^2;
Fill mncnoptab(8,3,2,8)=
      +mncF321*(-4137589149408000-218637608468742320/7*ep-
         3946210957511500572/49*ep^2-1633772734149986095061/15435*ep^3)
      +315093999581354581786172352395250791/15477812725847472000-
         19941779949664/1323*ep^-3-18413278404683137147/119189070*ep^-2
         -19428006138396158009274313/42950973265200*ep^-1+
         10290831728337185008/189*z3-4734523954604312719718630373899671\
         278880747753297/22310338375545580039680000000000*ep+
         5145415864168592504/63*ep*z4+7403716768461295918703192/8513505
         *ep*z3+3769557881487651838802756300457739215514938547081639133\
         81/360180958458119913994838999040000000000*ep^2+
         2329144715930763414064/441*ep^2*z5+3701858384230647959351596/
         2837835*ep^2*z4-59800030634743427904594907311499/
         21475486632600*ep^2*z3-397296251498004495437351794604218076185\
         73514939612448164866574860372067502146811/12673124530068537540\
         483525163864365846862233600000000000000000*ep^3+
         17288495814234824867840/1323*ep^3*z6+
         52710544702111840744327462/6621615*ep^3*z5-
         59800030634743427904594907311499/14316991088400*ep^3*z4+
         512856807793133449801544112318414509/7738906362923736000*ep^3*
         z3+2521231968541248857008/1323*ep^3*z3^2;
Fill mncnoptab(8,3,3,7)=
      +mncF321*(-14481562022928000-108839607512847640*ep-
         1948517389228647814/7*ep^2-1596040511669985598249/4410*ep^3)
      +315133007186676592939259667229736399/4422232207384992000-
         51503977523288/189*ep^-3-93477235523145632533/34054020*ep^-2-
         91945608751971062533359877/12271706647200*ep^-1+
         5145543939533172536/27*z3-168882842372993389989181405082522038\
         586350321210267/226644707307129701990400000000000*ep+
         2572771969766586268/9*ep*z4+527749611677944786577212/173745*ep
         *z3+903590651346755011279874060945480632144523448572717249957/
         245021060175591778227781632000000000000*ep^2+
         1164575557108739941688/63*ep^2*z5+263874805838972393288606/
         57915*ep^2*z4-60408762615836703315639597411211/6135853323600*
         ep^2*z3-436065792560264412368769153380836334836955665810329922\
         969628823410319504889741583/4010835016109603089735445326585645\
         4548311244800000000000000000*ep^3+8644269659373719043280/189*
         ep^3*z6+25777141328644997637756749/945945*ep^3*z5-
         60408762615836703315639597411211/4090568882400*ep^3*z4+
         1273634328064419998142186089269026641/2211116103692496000*ep^3
         *z3+1260606259524667656056/189*ep^3*z3^2;
Fill mncnoptab(8,4,1,8)=
      +mncF321*(-882685685207040-140668197917314496/21*ep-
         854819927165996520/49*ep^2-5384202063930930521494/231525*ep^3)
      +11655682731281821049295515665968795127/2683852726661951644800-
         12965707905032/19845*ep^-3-11564778192294956639/1787836050*
         ep^-2-47432101334508878441776097/2190499636525200*ep^-1+
         32930510079160179776/2835*z3-813898093535379113497649129813977\
         94344599977416043969321/18046304403166086774761812377600000000\
         00*ep+16465255039580089888/945*ep*z4+
         23751049307017140513934222/127702575*ep*z3+3917089100465301461\
         17193538547431999545788149396466162101851101/17688612212851812\
         40201661344682606592000000000*ep^2+7453259267328650662688/6615
         *ep^2*z5+11875524653508570256967111/42567525*ep^2*z4-321267481\
         9768422692533554944509339/5476249091313000*ep^2*z3-
         54921117256107371045325083009311278345428683122820562552625432\
         5084742947914294829196453601/888760861852335345038891892943586\
         253037290732218902118400000000000000000*ep^3+
         11064632115715915364816/3969*ep^3*z6+
         173141552035538359752813272/99324225*ep^3*z5-32126748197684226\
         92533554944509339/3650832727542000*ep^3*z4-3322073500420711041\
         32948953815531734783/33548159083274395560000*ep^3*z3+
         8067953503946569841312/19845*ep^3*z3^2;
Fill mncnoptab(8,4,2,7)=
      +mncF321*(-7723499745561600-174626795157168640/3*ep-
         3142846898768384656/21*ep^2-1296816105298189124536/6615*ep^3)
      +504176208332996842036386316297168511/13266696622154976000-
         55468638845384/567*ep^-3-26330935974213214354/25540515*ep^-2-
         114980911863924579309204751/36815119941600*ep^-1+
         8232785550804792128/81*z3-169895841570984980815907180816240850\
         99291197106609959/42835849681047513676185600000000000*ep+
         4116392775402396064/27*ep*z4+1183699585670478988312307/729729*
         ep*z3+37790514302603351425915582027917603781429913851784718774\
         71/1929540848882785253543780352000000000000*ep^2+
         1863318788684003912864/189*ep^2*z5+1183699585670478988312307/
         486486*ep^2*z4-96034692634660666236013025787559/18407559970800
         *ep^2*z3-47557860354942295926517013550258287834964098340326075\
         95412526918349405822264822559/91246496616493470291481381179823\
         4340974080819200000000000000000*ep^3+13830817167990945484240/
         567*ep^3*z6+8365371402781966205534677/567567*ep^3*z5-
         96034692634660666236013025787559/12271706647200*ep^3*z4+
         1297356198220895624052029174692837319/6633348311077488000*ep^3
         *z3+2016976546166281010720/567*ep^3*z3^2;
Fill mncnoptab(8,4,3,6)=
      +mncF321*(-23170499236684800-174108912951688000*ep-
         9348660538430621512/21*ep^2-1276301727722863865806/2205*ep^3)
      +485026077858891298375055685718669/4252146353254800-
         275095949449568/189*ep^-3-9268903906417791598/654885*ep^-2-
         8308134312497434400884231/235994358600*ep^-1+
         8233478739080613824/27*z3-467537133129276163341213161092365338\
         073730118896937/392269685723878330368000000000000*ep+
         4116739369540306912/9*ep*z4+454654315708560928421812/93555*ep*
         z3+5841589402096232592818223712069283959319480506571871939151/
         989508127632197565919887360000000000000*ep^2+
         1863335967639077602112/63*ep^2*z5+227327157854280464210906/
         31185*ep^2*z4-1859433792797678059885901809927/117997179300*
         ep^2*z3-147106128451557244328602955088772041495399262881859825\
         20721535244479712954219847/94801554926226982121019616810206165\
         2960083968000000000000000*ep^3+13830933879359171273920/189*
         ep^3*z6+1056512379755435050191244/24255*ep^3*z5-
         1859433792797678059885901809927/78664786200*ep^3*z4+1016205774\
         4843684969064074371153551/10630365883137000*ep^3*z3+
         2016923006805177543488/189*ep^3*z3^2;
Fill mncnoptab(8,4,4,5)=
      +mncF321*(-30893998982246400-697102416943229440/3*ep-
         37500893192920557760/63*ep^2-5134230846701264606224/6615*ep^3)
      +126244191955893597259102389586924559/829168538884686000-
         2889510339949472/567*ep^-3-246825119922332209994/5108103*ep^-2
         -128561495451302846728014119/1150472498175*ep^-1+
         32939522103821959424/81*z3-95191992353077828538909855457695176\
         630655374199721643/59970189553466519146659840000000000*ep+
         16469761051910979712/27*ep*z4+23655055347329336235024136/
         3648645*ep*z3+509615505459205833117701228846283486754588623964\
         976509783873/64832572522461584519071019827200000000000*ep^2+
         7453483163901825560192/189*ep^2*z5+11827527673664668117512068/
         1216215*ep^2*z4-48234248742278150882693232981269/2300944996350
         *ep^2*z3-15337386111204260379252947829243625635918613267561374\
         0754052586118605689415711593/844595671160931295259992949763654\
         9271826202624000000000000000*ep^3+55324682092446807411520/567*
         ep^3*z6+18404506853255023275592864/315315*ep^3*z5-
         48234248742278150882693232981269/1533963330900*ep^3*z4+
         465644673391950619114174741729605119/414584269442343000*ep^3*
         z3+8067261162686113330304/567*ep^3*z3^2;
Fill mncnoptab(8,5,1,7)=
      +mncF321*(-982990876707840-22417826732309008/3*ep-
         58584689166391678/3*ep^2-247314526580890300327/9450*ep^3)
      +1059550735758561342091203266571794351/219090018503016460800+
         42848878862/405*ep^-3-131467649718149909/13267800*ep^-2-
         19053748469987766530850409/178816296859200*ep^-1+
         5238932915887042288/405*z3-11516940939232194650850365929250386\
         860525903180826773131/229584577617803383299381657600000000000*
         ep+2619466457943521144/135*ep*z4+7563360896318868498173977/
         36486450*ep*z3+96861829216410590633916357436412243495074266780\
         49210982896788467/39380954833807374549944222887182336000000000\
         000*ep^2+169392219113813254792/135*ep^2*z5+
         7563360896318868498173977/24324300*ep^2*z4-
         41546932017838511679546288721637/63862963164000*ep^2*z3-
         16484279219289973358031933886251251201660989987082597170465377\
         9061399620806822375339656609/310936744671370966194364510650817\
         348001384512729645056000000000000000000*ep^3+
         251468862212776361044/81*ep^3*z6+3968495654488758934332718/
         2027025*ep^3*z5-41546932017838511679546288721637/
         42575308776000*ep^3*z4-4762002524142636816072791666083621733/
         248965930117064160000*ep^3*z3+183362745271627983208/405*ep^3*
         z3^2;
Fill mncnoptab(8,5,2,6)=
      +mncF321*(-7372431575308800-55734193742587360*ep-
         144147866857277196*ep^2-59993510406519606283/315*ep^3)
      +2083769159003671336162278624453517/57431587108896000-
         7719362339336/27*ep^-3-324287941123035482/110565*ep^-2-
         14647101420089617193089069/1753100949600*ep^-1+
         2619638491063996640/27*z3-770293160018480089415017246785618357\
         6922815464769871/20398023657641673179136000000000000*ep+
         1309819245531998320/9*ep*z4+1885949751117918590344687/1216215*
         ep*z3+54716796172765665271515604694367173656269513783353525732\
         981/29402527221071013387333795840000000000000*ep^2+
         84696717437240284160/9*ep^2*z5+1885949751117918590344687/
         810810*ep^2*z4-619084245815664947336880547291/125221496400*
         ep^2*z3-376434591115891116648919513175088031408232171154533876\
         64636337954535661005933126461/86901425349041400277601315409355\
         65152134103040000000000000000000*ep^3+628676284551642139600/27
         *ep^3*z6+1930800603096181350211151/135135*ep^3*z5-
         619084245815664947336880547291/83480997600*ep^3*z4+22499489928\
         646691942394134344749551/315873729098928000*ep^3*z3+
         91679466472727224448/27*ep^3*z3^2;
Fill mncnoptab(8,5,3,5)=
      +mncF321*(-18431078938272000-139078120133352400*ep-
         1075396811369021710/3*ep^2-59398346737961118793/126*ep^3)
      +2868513708842403263562268819743127/31587372909892800-
         74125786927160/27*ep^-3-1167236696966818511/44226*ep^-2-
         36799996040911206960547/579537504*ep^-1+6550297370524528880/27
         *z3-45329957741326570573908150178958846609446430254780681/
         47976151642773215317327872000000000*ep+3275148685262264440/9*
         ep*z4+942252783592171482842687/243243*ep*z3+645372980327153086\
         4082082963174388881943373880663917764797/138309488047918046974\
         0181756313600000000*ep^2+211746058314955825520/9*ep^2*z5+
         942252783592171482842687/162162*ep^2*z4-
         2569095988691030660034458333/206977680*ep^2*z3-
         64591953468681507172928941513433854340893020182974255985055656\
         447907876831907836553/5574331429662146548715953468440122519405\
         293731840000000000000000*ep^3+1571719693935857369200/27*ep^3*
         z6+318880595397310781583667/9009*ep^3*z5-
         2569095988691030660034458333/137985120*ep^3*z4+563867145225523\
         8192322579490852377/15793686454946400*ep^3*z3+
         229185494071478092400/27*ep^3*z3^2;
Fill mncnoptab(8,5,4,4)=
      +mncF321*(-19659817534156800-445879970767911680/3*ep-
         3459910701372924560/9*ep^2-480155137707942835034/945*ep^3)
      +11492673904454930959871719280311129/118452648412098000-
         472816079510752/81*ep^-3-3647116556086237034/66339*ep^-2-
         2926790510625810141654832/23479030575*ep^-1+
         20966149133738309248/81*z3-17733770057089398182564825744543568\
         3265992083968490957/176312357287191566291179929600000000*ep+
         10483074566869154624/27*ep*z4+2155926497894691839002736/521235
         *ep*z3+1261383747004111766598575848685046653911792256926998611\
         306443/254143684288049411314758397722624000000000*ep^2+
         677605797252480627712/27*ep^2*z5+1077963248947345919501368/
         173745*ep^2*z4-4332597439024740194177245074889/328706428050*
         ep^2*z3-442257259877795851559907584891767778536482251600047623\
         0347737810130397528413333637679/338013522066138411347763628442\
         537929270438498664448000000000000000*ep^3+
         5029628106559258934720/81*ep^3*z6+5150661807677259587435992/
         135135*ep^3*z5-4332597439024740194177245074889/219137618700*
         ep^3*z4+11109328940310180679267962260496109/59226324206049000*
         ep^3*z3+733336295609913731584/81*ep^3*z3^2;
Fill mncnoptab(8,5,5,3)=
      +mncF321*(-9383094732211200-71348058432064960*ep-
         559700323074204220/3*ep^2-157705894768284237239/630*ep^3)
      +80488339220437670926290434757644329/1737305510044104000-
         998215925227096/297*ep^-3-856593217095063901231/26756730*ep^-2
         -45208811110460366360622616/602628451425*ep^-1+
         36694481536363803040/297*z3-7412194418178166623799088872067315\
         408841833315890079429/15515487441272857833623833804800000000*
         ep+18347240768181901520/99*ep*z4+3783489933884798289098732/
         1911195*ep*z3+157529681323934600701142520095947065226380459373\
         847361407891339/67093932652045044587096216998772736000000000*
         ep^2+1185823380820722609280/99*ep^2*z5+
         1891744966942399144549366/637065*ep^2*z4-
         29910227468075042263123886163157/4821027611400*ep^2*z3-
         13599137147477244055659803723370451183705277807435146085669159\
         4317581821554677960139/250380386715658082479824909957435503163\
         28777678848000000000000000*ep^3+8801939152314510062000/297*
         ep^3*z6+1030588146369153162248446/55055*ep^3*z5-
         29910227468075042263123886163157/3214018407600*ep^3*z4-4826948\
         225903569567703172443820421/24818650143487200*ep^3*z3+
         1283297885472089534464/297*ep^3*z3^2;
Fill mncnoptab(8,6,1,6)=
      +mncF321*(-589794526024704-22579532918951008/5*ep-
         179415020587680124/15*ep^2-42870064289691738017/2625*ep^3)
      +2396965150696787581762673568753983/826131291489504000-
         660520978468/675*ep^-3-22379358100183219/850500*ep^-2-
         65071211283759246216953/337134798000*ep^-1+5238954946629590368/
         675*z3-8800476782394319122323653041613838051420455632163164040\
         87/29396694955383670764317884416000000000000*ep+
         2619477473314795184/225*ep*z4+291895092788102447908952/2338875
         *ep*z3+3153479860208810535616562966059212047834600638840136382\
         37806214787/2161052170800900157712436936942551040000000000000*
         ep^2+169392289437870218512/225*ep^2*z5+
         145947546394051223954476/779625*ep^2*z4-
         785061877263702929099787054761/2046889845000*ep^2*z3-
         66529112153299271314405382491932166370004686806307037595574202\
         4263653733663588171549060986771/197578376211788395935569043892\
         8434054829054012394328555520000000000000000000*ep^3+
         251468956683490532584/135*ep^3*z6+315998554304947753795861/
         259875*ep^3*z5-785061877263702929099787054761/1364593230000*
         ep^3*z4-5837517368522699123766030554644886903/
         175552899441519600000*ep^3*z3+183362450773045140688/675*ep^3*
         z3^2;
Fill mncnoptab(8,6,2,5)=
      +mncF321*(-3686215787654400-28097072253330080*ep-
         221391687217751336/3*ep^2-10459031342825729773/105*ep^3)
      +3527834389829429716334227568317171/194383833291648000-
         9466917505474/27*ep^-3-121950242742359077/34020*ep^-2-
         5446134275617417527747689/539415676800*ep^-1+
         1309941439299058384/27*z3-126229222704641985644296675443239576\
         412302115597949/672742511016451336581120000000000*ep+
         654970719649529192/9*ep*z4+291295976208468918284999/374220*ep*
         z3+57015870819039265989888273183398079561894945547859278006583/
         62061949765091431334495335219200000000000*ep^2+
         42348793361214964936/9*ep^2*z5+291295976208468918284999/249480
         *ep^2*z4-18676559963437646768741558767/7705938240*ep^2*z3-
         24416699959843252151889610701599652223056368877431415202776447\
         86185133242174733054532085572787/17612700965165137009113583341\
         30489786019042433905801455206400000000000000000*ep^3+
         314341096610864591060/27*ep^3*z6+309272853145454498942107/
         41580*ep^3*z5-18676559963437646768741558767/5137292160*ep^3*z4
         -2370989012623091026787897505305281/19438383329164800*ep^3*z3+
         45838398423889483048/27*ep^3*z3^2;
Fill mncnoptab(8,6,3,4)=
      +mncF321*(-7372431575308800-56138200688970400*ep-
         441524990412437516/3*ep^2-6935323048144135847/35*ep^3)
      +44186592216171463759432787826959/1214898958072800-55555895024864/
         27*ep^-3-167720720942521409/8505*ep^-2-
         198360205729786269635801/4214184975*ep^-1+2620690777688263904/
         27*z3-1957166668520470535971078959332860379584040383511387/
         5216341931573714979028992000000000*ep+1310345388844131952/9*ep
         *z4+145604995451130051022972/93555*ep*z3+719622205844261182603\
         3923158614437861450130188454786538401/390990283520076017407320\
         6118809600000000*ep^2+84700448410935477536/9*ep^2*z5+
         72802497725565025511486/31185*ep^2*z4-
         81897549931799489729178222421/16856739900*ep^2*z3-
         46248793799897118655347247175583945597748593863841672086347436\
         7883687665609718894943433041629/231166700167792423244615781354\
         626784414999319450136440995840000000000000000*ep^3+
         628701636137795421760/27*ep^3*z6+51308227195130035700552/3465*
         ep^3*z5-81897549931799489729178222421/11237826600*ep^3*z4-
         314827392825180684723548699344957/1518623697591000*ep^3*z3+
         91667892251879319584/27*ep^3*z3^2;
Fill mncnoptab(8,6,4,3)=
      +mncF321*(-5897945260247040-45024620881175936*ep-
         355795181697653360/3*ep^2-28126446411983408728/175*ep^3)
      +25272965640854060750656291610759/867784970052000-296379497968736/
         135*ep^-3-127536397685686046/6075*ep^-2-
         76288044491912051036873/1532430900*ep^-1+10484385706988850176/
         135*z3-32484374864033017128962180869486774327346314881111511/
         108499912176733271563803033600000000*ep+5242192853494425088/45
         *ep*z4+583175592634917822318904/467775*ep*z3+14044102199644889\
         820058027572865262610486427229823491772409/9575272249471249405\
         893566005248000000000*ep^2+338807557191794797184/45*ep^2*z5+
         291587796317458911159452/155925*ep^2*z4-
         7398866020675750925325348044/1915538625*ep^2*z3-
         96916552188924080891156070497843839664631270105987604114186462\
         75795846572532154921180283599/46700343468240893584770864920126\
         62311414127665659322040320000000000000000*ep^3+
         502969142934197770688/27*ep^3*z6+623329297890474093756272/
         51975*ep^3*z5-3699433010337875462662674022/638512875*ep^3*z4-
         3701613657823364844158991512036453/15186236975910000*ep^3*z3+
         366653791118829309056/135*ep^3*z3^2;
Fill mncnoptab(8,6,5,2)=
      +mncF321*(-1876618946442240-14416447034496416*ep-
         115256077700098868/3*ep^2-9257632624434180443/175*ep^3)
      +4944509509788818239662075608127143/534555541552032000-
         652763935387876/1485*ep^-3-91177758153283522433/20582100*ep^-2
         -8941076636299462422645029/741696555600*ep^-1+
         36686929586060537056/1485*z3-267553567828154683087187641131905\
         258919959293886869961/2819641467692855894764331335680000000*ep
         +18343464793030268528/495*ep*z4+292426305545078605116092/
         735075*ep*z3+1733394756123868491477167407376442388453345467266\
         89853056031/375170215125340633933762870200238080000000*ep^2+
         1185796547534444604304/495*ep^2*z5+146213152772539302558046/
         245025*ep^2*z4-2243756784776988812908581204457/1854241389000*
         ep^2*z3-299749262793591678322752016350705770403264030507008355\
         3125786296962469560847388774659511339303/296663931882000276497\
         2569194051043733325824599610084326113280000000000000000*ep^3+
         1760351356508636637928/297*ep^3*z6+2247348054872246773854817/
         571725*ep^3*z5-2243756784776988812908581204457/1236160926000*
         ep^3*z4-26346894654274838693510304768532637/190912693411440000
         *ep^3*z3+1283380572949125476176/1485*ep^3*z3^2;
Fill mncnoptab(8,6,6,1)=
      +mncF321*(-187661894644224-7284652328747248/5*ep-
         59372039328878614/15*ep^2-88108405826490268487/15750*ep^3)
      +285094673008038150452708444202631621/308973103017074496000-
         7844676836438/7425*ep^-3-7697875413601894013/205821000*ep^-2-
         72893564507643701494365449/252176828904000*ep^-1+
         18336446024371927088/7425*z3-122843888628189219665528144537599\
         32203804593341189550988934313/13032806937753120951127311988945\
         84627200000000*ep+9168223012185963544/2475*ep*z4+
         293839240313284611809927/7350750*ep*z3+43509443155422397419254\
         78498116006352675418258392959460507430287164871/95808647085009\
         779185344058226065113316589568000000000*ep^2+
         592873402531010319992/2475*ep^2*z5+293839240313284611809927/
         4900500*ep^2*z4-5712901542634264929535382207731/48495544020000
         *ep^2*z3-17809241572746280793918560238574144269889099073528750\
         733176716781896137255202761477073045125584073/
         15350578491302222307074062037697720693721146808222420337040556\
         0320000000000000000*ep^3+880141880784329516444/1485*ep^3*z6+
         1179179373803325167437501/2858625*ep^3*z5-
         5712901542634264929535382207731/32330362680000*ep^3*z4-
         1012403393412952035617782802088547331/42441360304543200000*
         ep^3*z3+641767580909024931608/7425*ep^3*z3^2;
Fill mncnoptab(8,7,1,5)=
      +mncF321*(-189036707059200-4401188806814800/3*ep-
         35843941489335058/9*ep^2-1180559476955947253/210*ep^3)
      +1018369111215911680916533498821715717/1095450092515082304000+
         2019445810/81*ep^-3-51000513220009621/2653560*ep^-2-
         8375947607638076781324349/44704074214800*ep^-1+
         201496912822271696/81*z3-3033041935919962768083646871089993779\
         7681417602835745682997/319324303448791018975113336714166272000\
         0000*ep+100748456411135848/27*ep*z4+146892010560361006272697/
         3648645*ep*z3+107441534510448248009920424705786192956728430416\
         68474001212541447947/23474628022124491645965855771736659386695\
         6800000000*ep^2+6515084158062683384/27*ep^2*z5+
         146892010560361006272697/2432430*ep^2*z4-
         75860748894071973725804324789/638629631640*ep^2*z3-
         27789225622502918582621135907192157369083384293588891135808463\
         7598067014675207372733780145616235035547/352654302340908723467\
         41543401182552658092977384227837320571288331223040000000000000\
         000*ep^3+48359388903414446140/81*ep^3*z6+
         30576792699907898422007/73710*ep^3*z5-
         75860748894071973725804324789/425753087760*ep^3*z4-13008299461\
         177524075748499203082964677/547725046257541152000*ep^3*z3+
         7052422848547063064/81*ep^3*z3^2;
Fill mncnoptab(8,7,2,4)=
      +mncF321*(-945183535296000-21923393011039520/3*ep-
         177325833769516892/9*ep^2-1735822185227508485/63*ep^3)
      +4413733246373607460728799484311901/947621187296784000-
         16209393136912/81*ep^-3-670602733906725391/331695*ep^-2-
         2084484950406212726362489/375664489200*ep^-1+
         1007846403544618720/81*z3-580892963946455234875996142030858796\
         97557148797323/1221211132725136389895618560000000*ep+
         503923201772309360/27*ep*z4+104756412248460483070466/521235*ep
         *z3+2837815331273208916950511953506551404755000826764373871861/
         12322118026087244184957982919884800000000*ep^2+
         32576697618120350560/27*ep^2*z5+52378206124230241535233/173745
         *ep^2*z4-788436811518085816886996857957/1314825712200*ep^2*z3-
         33861710506814978011595484517684372121219604642752022746610956\
         87071430068312363052506534290790046071/14759527162705443225477\
         766490450287105786681382907856021444456611840000000000000000*
         ep^3+241805616127041082400/81*ep^3*z6+826805929188721896820066/
         405405*ep^3*z5-788436811518085816886996857957/876550474800*
         ep^3*z4-4350774658101260124027547711448813/43073690331672000*
         ep^3*z3+35258093952703001440/81*ep^3*z3^2;
Fill mncnoptab(8,7,3,3)=
      +mncF321*(-1417775302944000-10957461592277200*ep-
         88565613031887910/3*ep^2-577405176850199711/14*ep^3)
      +221147443942923662585689876945669/31587372909892800-
         15483131655440/27*ep^-3-246625672768350929/44226*ep^-2-
         1216169260187415935452589/87655047480*ep^-1+504083257192962800/
         27*z3-178771684584282787240241103056535279968967438725827/
         2507553525862280053919003443200000*ep+252041628596481400/9*ep*
         z4+73329413570403345529610/243243*ep*z3+9996779359443706188295\
         889192873469446364995949384641143/2891590363455139968736806658\
         5329664000*ep^2+16288919029539136400/9*ep^2*z5+
         36664706785201672764805/81081*ep^2*z4-
         15782315295133216296818472311/17531009496*ep^2*z3-
         37896452290700240769735452785401586224110548454427332676438124\
         7128321847268793616293222127052773083/734696463210226507223782\
         154191303180376937028838079944178568506900480000000000000*ep^3
         +120906684578561116000/27*ep^3*z6+82550477390929343098360/
         27027*ep^3*z5-15782315295133216296818472311/11687339664*ep^3*
         z4-147154198955453805027613017758057/987105403434150*ep^3*z3+
         17627304527145604880/27*ep^3*z3^2;
Fill mncnoptab(8,7,4,2)=
      +mncF321*(-756146828236800-17584414646518720/3*ep-
         142906829559560824/9*ep^2-335220517774994078/15*ep^3)
      +3533073281151199916593802524750339/947621187296784000-
         17446640548616/81*ep^-3-1438333872373982683/663390*ep^-2-
         969066085692495777388823/164353214025*ep^-1+806375920377119168/
         81*z3-2024075389860305007912177031722311744992048203351948197/
         53316856843646729646452810711040000000*ep+403187960188559584/
         27*ep*z4+117482324142919879437092/729729*ep*z3+423054552424158\
         99660699949420753597530216640135639902479263331/23055915038611\
         8425944748818413964492800000000*ep^2+26061708064314616352/27*
         ep^2*z5+58741162071459939718546/243243*ep^2*z4-
         78309492233751020180241723694/164353214025*ep^2*z3-
         17543186417171636329882588350118783254021252231589759254354670\
         6935831168984533325595816565769658316537/964289107963422290731\
         214077376085424244729850349979926734371165306880000000000000000
         *ep^3+193446870681416824720/81*ep^3*z6+
         133876029056854606305766/81081*ep^3*z5-
         39154746116875510090120861847/54784404675*ep^3*z4-430436574224\
         26089292840419768267347/473810593648392000*ep^3*z3+
         28205386333007367584/81*ep^3*z3^2;
Fill mncnoptab(8,7,5,1)=
      +mncF321*(-120296086310400-2815996687147280/3*ep-
         23160245042684714/9*ep^2-2318891306112186203/630*ep^3)
      +7126166418890596866780265850910041083/12049951017665905344000-
         209743523474/891*ep^-3-7892494417152752009/321080760*ep^-2-
         107812202760387987121575043/491744816362800*ep^-1+
         1410480267652716848/891*z3-48946268145459638380176762028549330\
         29060269747237596556146696733/81324715291579474735034426811022\
         0807372800000000*ep+705240133826358424/297*ep*z4+
         147276740202811993374121/5733585*ep*z3+17260349428264032737884\
         43504986588908096433369402118484632661696853027231/
         59784595781046102211654692333064630709551890432000000000*ep^2+
         45605599499204882312/297*ep^2*z5+147276740202811993374121/
         3822390*ep^2*z4-18320906026361574613894992537661/
         245872408181400*ep^2*z3-50916269471171340154426449651632328150\
         06054107298681917192542335497912617447507688444851419514129006\
         400809/1197508214459023752278302589273955940610863233036224671\
         89463923786334076928000000000000000*ep^3+338515795574904825220/
         891*ep^3*z6+2412272463121658290916227/8918910*ep^3*z5-
         18320906026361574613894992537661/163914938787600*ep^3*z4-
         633607939369925893189669179494310293/34428431479045443840*ep^3
         *z3+49366963736196761960/891*ep^3*z3^2;
Fill mncnoptab(8,8,3,2)=
      +mncF321*(-115736759424000-6403052635408000/7*ep-
         377043738686918560/147*ep^2-185088183156603856/49*ep^3)
      +321435719045123943718543205763197/562829553667180800-
         62642563103720/1323*ep^-3-519924253238615968/1083537*ep^-2-
         4571962196261923685559223/3436077861216*ep^-1+
         2016352100602270400/1323*z3-2510129608425360443462214363085815\
         88398858022244881/43882186702589900943582560256000000*ep+
         1008176050301135200/441*ep*z4+296498125214477336321849/
         11918907*ep*z3+17207054832512594056733446759568016616870171243\
         87993003613/63253539200581186816117645655408640000000*ep^2+
         65155739551209293600/441*ep^2*z5+296498125214477336321849/
         7945938*ep^2*z4-594469380082185624799436566271/8590194653040*
         ep^2*z3+277933418984987137191105254492977137659079934355560552\
         166188248102994505956919040480281100895228211/
         71428822812105354868978820546376698092202211137035550128471938\
         17088000000000000000*ep^3+483627166382564026000/1323*ep^3*z6+
         364416338879240384202577/1324323*ep^3*z5-
         594469380082185624799436566271/5726796435360*ep^3*z4-156716356\
         77429406551285384416801077/619112509033898880*ep^3*z3+
         70508980706281331360/1323*ep^3*z3^2;
Fill mncnoptab(8,8,4,1)=
      +mncF321*(-30863135846400-5139002676991040/21*ep-
         304352622707119592/441*ep^2-2258384807648837968/2205*ep^3)
      +37011566797241982104593768760011589/243986611514722876800-
         2326451351704/3969*ep^-3-86540329633617247/6501222*ep^-2-
         192328688667257172753019937/2190499636525200*ep^-1+
         1612034863769498944/3969*z3-5636642865720103610499225535846410\
         12252719977284724606822453/36965779677990670334106557641373673\
         0624000000*ep+806017431884749472/1323*ep*z4+
         1187398159129985280903134/178783605*ep*z3+19596410465065776176\
         2594324756173515901798995724593036438769853926659/271748162641\
         11864641661223787756650322523586560000000*ep^2+
         52120874774343980896/1323*ep^2*z5+593699079564992640451567/
         59594535*ep^2*z4-1178460879923061439273377244153/
         64426459897800*ep^2*z3+387711484735511542155940327179300410371\
         36210395247063091347855318143519987984391822779982020003173802\
         19/13608047891579815366798893059931317506941627648138916726075\
         44588481069056000000000000000*ep^3+386876473648156109360/3969*
         ep^3*z6+1477129793311347504958072/19864845*ep^3*z5-
         1178460879923061439273377244153/42950973265200*ep^3*z4-
         2851092147484908903031910263932182999/394684224509110536000*
         ep^3*z3+56418663540139808224/3969*ep^3*z3^2;
Fill mncnoptab(9,2,1,9)=
      +mncF321*(-129299660919000-27683207679094825/28*ep-
         4092288111435437143/1568*ep^2-13978259762580109173139/3951360*
         ep^3)
      +728477400768059076713516134605762014041/
      1145110496709099368448000+3342547229981/42336*ep^-3+
         14410251111546006643/30512401920*ep^-2-
         115943547404620546552891633/186922635650150400*ep^-1+
         1286343692242107251/756*z3-73742247091072793376575272686368044\
         278435452173899817/11224134905759276516858658816000000000*ep+
         1286343692242107251/504*ep*z4+1862236186224150536395769/
         68108040*ep*z3+12591359202034921554674427214664285531319546110\
         06424285764209/39291655616497153745976095397642240000000000*
         ep^2+582285695648911242211/3528*ep^2*z5+
         1862236186224150536395769/45405360*ep^2*z4-1159920994224864323\
         50101612962333/1374431144486400*ep^2*z3-5228061333959827564583\
         24156036798157703542938166124378808401643886166290511835094211/
         51183003238085755752158767185319728066071524729159680000000000\
         00000*ep^3+8644241376276721125595/21168*ep^3*z6+
         224500228077017382224372809/847566720*ep^3*z5-1159920994224864\
         32350101612962333/916287429657600*ep^3*z4-11573390575752660146\
         6365227771326139431/16839860245722049536000*ep^3*z3+
         630309713966292441463/10584*ep^3*z3^2;
Fill mncnoptab(9,2,2,8)=
      +mncF321*(-1034397287352000-54997252855280450/7*ep-
         4015744808073851047/196*ep^2-13499228987047800300371/493920*
         ep^3)
      +193900569914767729826473380823167997/38099231325163008000-
         2679690131131/5292*ep^-3-1712399515517314361/293388480*ep^-2-
         2258359716445672880571317/105725472652800*ep^-1+
         2572693347575926198/189*z3-51796558420849260814303736723293510\
         546853506447/980674214309695825920000000000*ep+
         1286346673787963099/63*ep*z4+142794616134515750093327/654885*
         ep*z3+102556928299229143067885344464012079663582916385352667/
         395803251052879026367954944000000000*ep^2+
         582285824854470517339/441*ep^2*z5+142794616134515750093327/
         436590*ep^2*z4-9067633677352636466145133913849/13215684081600*
         ep^2*z3-143124543621893333931233429120159183097294386201635940\
         85623836851378472314727901/17742374342095952556676935229410112\
         185607127040000000000000000*ep^3+8644243105651900343155/2646*
         ep^3*z6+16720650246804104098426597/8149680*ep^3*z5-
         9067633677352636466145133913849/8810456054400*ep^3*z4-17053892\
         4987903055204213967086474939/9524807831290752000*ep^3*z3+
         630309170841800712847/1323*ep^3*z3^2;
Fill mncnoptab(9,3,1,8)=
      +mncF321*(-413758914940800-22052850827081360/7*ep-
         404429732435756484/49*ep^2-68425734144557092157/6174*ep^3)
      +145696474039021170394235395241560337921/71569406044318710528000-
         20699410783/1323*ep^-3-96163203716861951/238378140*ep^-2-
         34391214465522508836873233/11682664728134400*ep^-1+
         1029076551446582344/189*z3-90615464867320345712477464259650328\
         9431650632025042841/42967391436109730416099553280000000000*ep+
         514538275723291172/63*ep*z4+5947160746430481351944977/68108040
         *ep*z3+2174186741868643652929772875656365479221056978190603541\
         5792641/210578716819664433357340636271738880000000000*ep^2+
         232914310067070884092/441*ep^2*z5+5947160746430481351944977/
         45405360*ep^2*z4-1593689096346374453818868404918937/
         5841332364067200*ep^2*z3-3968426210555874695525798024777520788\
         24507211741355391672670469580632697004258390506707/
         13225608063278799777364462692612890670197778753257472000000000\
         00000000*ep^3+1728848485852716439670/1323*ep^3*z6+
         43994807228717340267598727/52972920*ep^3*z5-159368909634637445\
         3818868404918937/3894221576044800*ep^3*z4-44127036345387193807\
         2617212679870961799/35784703022159355264000*ep^3*z3+
         252123728815327198924/1323*ep^3*z3^2;
Fill mncnoptab(9,3,2,7)=
      +mncF321*(-2896312404585600-21948148575026960*ep-
         399002884727823700/7*ep^2-333637081944547405337/4410*ep^3)
      +504143677067103585181258771196616113/35377857659079936000-
         1694190392239/189*ep^-3-3573754727599991639/34054020*ep^-2-
         37593918700402653939978577/98173653177600*ep^-1+
         1029081310096156744/27*z3-902569442679644477420250360316068542\
         91425129351788201/609220973241564638950195200000000000*ep+
         514540655048078372/9*ep*z4+5933775598285220043530113/9729720*
         ep*z3+79931877709314703517073109652060413884771427027646934014\
         971/109769434958665116646046171136000000000000*ep^2+
         232914433176275039932/63*ep^2*z5+5933775598285220043530113/
         6486480*ep^2*z4-18963297739924055455655876252069/9817365317760
         *ep^2*z3-61848737607956891424995897817577623632065133291381497\
         652459417208999509096849390377/2919887891727791049327404197754\
         3498911170586214400000000000000000*ep^3+1728849325895380056470/
         189*ep^3*z6+42983584132872696818554583/7567560*ep^3*z5-
         18963297739924055455655876252069/6544910211840*ep^3*z4-
         224674385417730358971523051006338583/17688928829539968000*ep^3
         *z3+252123391814049423244/189*ep^3*z3^2;
Fill mncnoptab(9,3,3,6)=
      +mncF321*(-6951149771005440-52636598210951040*ep-
         4778445476365012168/35*ep^2-221677244856226731937/1225*ep^3)
      +126058170372355498353406647651492713/3685193506154160000-
         52468053355852/315*ep^-3-94909105795819156463/56756700*ep^-2-
         23172962868775612870433531/5113211103000*ep^-1+
         4116471745923663136/45*z3-473959755510425954779291328435753019\
         801936132399096803/1332670878965922647703552000000000000*ep+
         2058235872961831568/15*ep*z4+2965912754702993287749719/2027025
         *ep*z3+8403702046278689312569009862706598796461754554852148349\
         82027/480241277944159885326451998720000000000000*ep^2+
         931661343779043208048/105*ep^2*z5+2965912754702993287749719/
         1351350*ep^2*z4-47488458876267739521190622260019/
         10226422206000*ep^2*z3-158544788536406146159329441819818698792\
         793844057307400525551579259213403207996947/3326695189142991104\
         3769253555143960348013363200000000000000000*ep^3+
         1383084364557831991096/63*ep^3*z6+21413918749361129148367484/
         1576575*ep^3*z5-47488458876267739521190622260019/6817614804000
         *ep^3*z4-407492996180636479625179975667707/1842596753077080000
         *ep^3*z3+1008482123175104430256/315*ep^3*z3^2;
Fill mncnoptab(9,4,1,7)=
      +mncF321*(-614369297942400-14043712730167120/3*ep-
         36850617514193756/3*ep^2-31264116755795976539/1890*ep^3)
      +1018826674989960204177876338679053791/337061566927717632000+
         41462714995/81*ep^-3+101221499645101/102060*ep^-2-
         275391403018661240970563/11004079806720*ep^-1+
         654865434848461928/81*z3-6485729783315187083371791080714203080\
         4787492744716973983/2072147982601712587727752396800000000000*
         ep+327432717424230964/27*ep*z4+26474442957319600015291/204120*
         ep*z3+55547430293923837677633837422409785533314243553046908092\
         9251837/3626922056907429576551639575166976000000000000*ep^2+
         21174023710450998452/27*ep^2*z5+26474442957319600015291/136080
         *ep^2*z4-11124251052606548974123579799911/27510199516800*ep^2*
         z3-41856994445058356427209579142325303493028556560993912910660\
         460865006297005941311633794987/1036455815571236553981215035502\
         72449333794837576548352000000000000000000*ep^3+
         157168014241261333570/81*ep^3*z6+308725880691820206356473/
         249480*ep^3*z5-11124251052606548974123579799911/18340133011200
         *ep^3*z4-13759675923207291944816197901718997/
         687880748832076800*ep^3*z3+22920359283099961124/81*ep^3*z3^2;
Fill mncnoptab(9,4,2,6)=
      +mncF321*(-3686215787654400-27996567422663840*ep-
         219074663067149096/3*ep^2-4389915935033672177/45*ep^3)
      +45835315480593040977878639197398007/2526989832791424000-
         1644495880090/27*ep^-3-70352548073789626/110565*ep^-2-
         379654311102536119476613/200354394240*ep^-1+
         1309770263661718096/27*z3-100324287002241915622963312280239066\
         6241738841357123029/5330683515863690590814208000000000000*ep+
         654885131830859048/9*ep*z4+3780099005173003590857033/4864860*
         ep*z3+11265561164801402763391115297323881340561855913598187257\
         0613/121966038842961240717829079040000000000000*ep^2+
         42348185350566796264/9*ep^2*z5+3780099005173003590857033/
         3243240*ep^2*z4-8573161931609816768854478111159/3506201899200*
         ep^2*z3-130018049617348122135032042777390105448081497781676469\
         5586485486003067914349051891069/510980381052363433632295734607\
         011230945485258752000000000000000000*ep^3+
         314336964470096676740/27*ep^3*z6+1316942812309992039603803/
         180180*ep^3*z5-8573161931609816768854478111159/2337467932800*
         ep^3*z4-2877365362823368071435358687825817/50539796655828480*
         ep^3*z3+45840274009541024968/27*ep^3*z3^2;
Fill mncnoptab(9,4,3,5)=
      +mncF321*(-7372431575308800-56021844441122560*ep-
         438820629792665320/3*ep^2-61651230597899293873/315*ep^3)
      +1638025439736729931427405524888417/45124818442704000-
         16697434493204/27*ep^-3-536253698243952943/88452*ep^-2-
         6752063682744567870821449/438275237400*ep^-1+
         2619833280662966816/27*z3-231004129923715627555088654974524200\
         04689540704577899291/61409474102749715606179676160000000000*ep
         +1309916640331483408/9*ep*z4+1890636508131697393844479/1216215
         *ep*z3+5446662445838720521602048321692682737624781737652839628\
         9259241/29506024116889183354457210801356800000000000*ep^2+
         84697411360103135504/9*ep^2*z5+1890636508131697393844479/
         810810*ep^2*z4-4280986825695934276032980910709/876550474800*
         ep^2*z3-132679236397154191115519601640311371278622342124444990\
         940709586462755288488889363023/2616219550988100780197354161187\
         8975024408845248102400000000000000*ep^3+628681001999116099240/
         27*ep^3*z6+660172487180322117550084/45045*ep^3*z5-
         4280986825695934276032980910709/584366983200*ep^3*z4-208840788\
         70648566039562985280758981/157936864549464000*ep^3*z3+
         91677345608419943888/27*ep^3*z3^2;
Fill mncnoptab(9,4,4,4)=
      +mncF321*(-6255396488140800-143243029706766080/3*ep-
         1131504520909906880/9*ep^2-160841261107828235804/945*ep^3)
      +80381050484448972677265547749477763/2605958265066156000-
         1266130394454032/891*ep^-3-108972259924627595753/8027019*ep^-2
         -116183434962897908934352723/3615770708550*ep^-1+
         73372993565989455488/891*z3-5326503014209945247043076467826291\
         039107445309349299373653/1675672643657468646031374050918400000\
         0000*ep+36686496782994727744/297*ep*z4+
         53058314494018913323307452/40135095*ep*z3+45086412234202380432\
         62473099303293120269664511685389455656736127/28984578905683459\
         26162556574346982195200000000*ep^2+2371590024739719716672/297*
         ep^2*z5+26529157247009456661653726/13378365*ep^2*z4-
         29638957678489501170912538849633/7231541417100*ep^2*z3-
         52623658198150307614109425560565636549930589501174581158712900\
         3761949981976657413949/120182585623515879590315956779569041518\
         378132858470400000000000000*ep^3+17603492701632924236320/891*
         ep^3*z6+18893805876110436847825792/1486485*ep^3*z5-
         29638957678489501170912538849633/4821027611400*ep^3*z4-
         336105560854359276923836619433556637/1302979132533078000*ep^3*
         z3+2566770658491030238784/891*ep^3*z3^2;
Fill mncnoptab(9,5,1,6)=
      +mncF321*(-460776973456800-3532290381599980*ep-28124230625784292/
         3*ep^2-10775723133275259443/840*ep^3)
      +13244323019618424903248701380088633843/5842400493413772288000-
         36671692205/108*ep^-3-31535536888626949/3538080*ep^-2-
         12412568491465662669267581/190737383316480*ep^-1+
         163717002948517802/27*z3-4283932411950914521370600223814794696\
         086815364851856840581/1833275367940681831086914273280000000000\
         00*ep+81858501474258901/9*ep*z4+3796796286264589903268783/
         38918880*ep*z3+25554971414500381909109871215062630735272296094\
         6830444105417899601/224617297940975395581163345356521472000000\
         0000000*ep^2+5293507941573071693/9*ep^2*z5+
         3796796286264589903268783/25945920*ep^2*z4-
         20352652273626297073959645780499/68120494041600*ep^2*z3-
         11781201730476706902481129063694802141360395125735359182097872\
         59869668564271137942038010970653/36693127010760702102319965294\
         38520387539671737303753031680000000000000000000*ep^3+
         78584034108853486385/54*ep^3*z6+4131364087865075589067459/
         4324320*ep^3*z5-20352652273626297073959645780499/
         45413662694400*ep^3*z4-17063356170065530083253769552873438497/
         584240049341377228800*ep^3*z3+5730080999920066601/27*ep^3*z3^2
         ;
Fill mncnoptab(9,5,2,5)=
      +mncF321*(-2303884867284000-17625011214110300*ep-
         139797852026233900/3*ep^2-10657419232345225603/168*ep^3)
      +45846237979866978809457628967602483/4043183732466278400-
         13142787300865/108*ep^-3-895745943702372325/707616*ep^-2-
         41659854569940204341896961/11219846077440*ep^-1+
         818655148760498770/27*z3-7184276067162538597307210734136421706\
         230041568446486237/61409474102749715606179676160000000000*ep+
         409327574380249385/9*ep*z4+3793270618097828963241935/7783776*
         ep*z3+50524937167197260052763210220896867857422627900291374639\
         520761/88518072350667550063371632404070400000000000*ep^2+
         26467789770927364705/9*ep^2*z5+3793270618097828963241935/
         5189184*ep^2*z4-1203286611789273962449635863939/801417576960*
         ep^2*z3-688760706489545143440665138985637455844107451561698095\
         07099601883645104564058467538554319723/61934772624756525746333\
         479881511728739131162510973237985280000000000000000*ep^3+
         392923570820107976725/54*ep^3*z6+13775690456593732877995/2912*
         ep^3*z5-1203286611789273962449635863939/534278384640*ep^3*z4-
         245550304861940525725276493650425701/2021591866233139200*ep^3*
         z3+28649642705619312685/27*ep^3*z3^2;
Fill mncnoptab(9,5,3,4)=
      +mncF321*(-3686215787654400-28241818235911280*ep-
         224626968356826610/3*ep^2-7162562952686048447/70*ep^3)
      +11480078224236547214753578668617779/631747458197856000-
         20984454551092/27*ep^-3-664616125663417043/88452*ep^-2-
         32249665764486980194166933/1753100949600*ep^-1+
         1310196402801352288/27*z3-142286436410849077049211925388356928\
         912820457374179510767/761669383480667566377897295872000000000*
         ep+655098201400676144/9*ep*z4+949134147080414472312497/1216215
         *ep*z3+1500754195202158183626051868628497401976940307817172290\
         8760499/16468510741865601853196344172426035200000000*ep^2+
         42349695411033128272/9*ep^2*z5+949134147080414472312497/810810
         *ep^2*z4-131112214495081395323534501087/54784404675*ep^2*z3-
         83380179425115819640901219068211683233825442090313266653062433\
         17235235029202349081665733/47400579298791218402074234290324600\
         16198883905167477964800000000000000*ep^3+314347224575745081320/
         27*ep^3*z6+343409810814718567746262/45045*ep^3*z5-
         131112214495081395323534501087/36522936450*ep^3*z4-70394636726\
         498256811374500475442031/315873729098928000*ep^3*z3+
         45835581205050797584/27*ep^3*z3^2;
Fill mncnoptab(9,5,4,3)=
      +mncF321*(-2345773683052800-18066790519501360*ep-
         145097972791271770/3*ep^2-14065523213696154617/210*ep^3)
      +80491177614962453858795804201717773/6949222040176416000-
         263787396750604/297*ep^-3-91498756498682237839/10702692*ep^-2-
         398591975303804700981252251/19284110445600*ep^-1+
         9173928031114358176/297*z3-65775324598170863256187165345816366\
         25516824164004381048163/55607506989521922475707820356403200000\
         000*ep+4586964015557179088/99*ep*z4+951674109247598684980817/
         1911195*ep*z3+461025054229854272267387962866240117422180634212\
         90783150386001171/80154884874976479933384280574533828608000000\
         000*ep^2+296456942606361536944/99*ep^2*z5+
         951674109247598684980817/1274130*ep^2*z4-
         905646971484725153322214180454/602628451425*ep^2*z3-
         35053345972975618135578370468203174991465475477745648437210636\
         592604862331547894492359485009359/2700301033308162516739476315\
         2962389181561283466673123110577766400000000000000*ep^3+
         2200492249469925631640/297*ep^3*z6+7392647108599601222967622/
         1486485*ep^3*z5-452823485742362576661107090227/200876150475*
         ep^3*z4-101953365128072957931346768205000471/
         496373002869744000*ep^3*z3+320821131156381734128/297*ep^3*z3^2
         ;
Fill mncnoptab(9,5,5,2)=
      +mncF321*(-586443420763200-4559978460918790*ep-149057100559075975/
         12*ep^2-12679959133772300261/720*ep^3)
      +45948700832151423409938606818155831/15883936091831808000-
         233673567496579/1188*ep^-3-48415694977961963419/24463296*ep^-2
         -236768013751647725923042367/44077966732800*ep^-1+
         2293323363221773414/297*z3-36167925746143010576765416549188800\
         64775991129508876550903/12316193930882394548330599274250240000\
         0000*ep+1146661681610886707/99*ep*z4+3824011446855575607860123/
         30579120*ep*z3+60332650657098003604755708778462636338606767907\
         2292901514257386149/426073309913546851145895816429006382694400\
         0000000*ep^2+74113664722990928791/99*ep^2*z5+
         3824011446855575607860123/20386080*ep^2*z4-
         8078683161301719476316127824653/22038983366400*ep^2*z3-
         40006607976381407298679284337667375055486481761133766488836682\
         0132760705664348316716414697132787/109646989223587302193386157\
         4121265763837224772015887166931468288000000000000000*ep^3+
         1100238354028755064795/594*ep^3*z6+2205979140478734284963587/
         1698840*ep^3*z5-8078683161301719476316127824653/14692655577600
         *ep^3*z4-633315232165459018021577080270198259/
         7941968045915904000*ep^3*z3+80206972028798419147/297*ep^3*z3^2
         ;
Fill mncnoptab(9,6,1,5)=
      +mncF321*(-177221912868000-1375339516891340*ep-11199092255528924/
         3*ep^2-884720222152722959/168*ep^3)
      +5092810064906084229652578383825447387/5842400493413772288000+
         37817796539/108*ep^-3-25311925691597789/3538080*ep^-2-
         89232301535542421078196713/953686916582400*ep^-1+
         62967585814370650/27*z3-18807128606560417458980256329731395444\
         83887229771872769/211193322386766546941212524281856000000*ep+
         31483792907185325/9*ep*z4+133535853767931776653253/3538080*ep*
         z3+31721686485571033068907083198955432722689868572319082699542\
         917/739311792080010444884286211002036387840000000*ep^2+
         2035963101081546085/9*ep^2*z5+133535853767931776653253/2358720
         *ep^2*z4-7587078575777076534544161720251/68120494041600*ep^2*
         z3+13270368877786543524333666224410790441397189897455839814153\
         99419264666064590408012985534655138853529/12594796512175311552\
         40769407185091166360463478008137047163260297543680000000000000\
         00*ep^3+30224608587151338025/54*ep^3*z6+
         1681536030976133962346219/4324320*ep^3*z5-
         7587078575777076534544161720251/45413662694400*ep^3*z4-
         65278033302571062716284288737410243581/2921200246706886144000*
         ep^3*z3+2203884380883894625/27*ep^3*z3^2;
Fill mncnoptab(9,6,2,4)=
      +mncF321*(-708887651472000-5494834207182320*ep-44646054448145512/
         3*ep^2-41862878415983783/2*ep^3)
      +17645856623422238465650410957722651/5053979665582848000-
         2857103806957/27*ep^-3-951863504301916853/884520*ep^-2-
         42124043031407762065627633/14024807596800*ep^-1+
         251935273951807720/27*z3-3215390653241970019106087357632416328\
         1479169757985979/902719269310420819410841239552000000*ep+
         125967636975903860/9*ep*z4+1468286253658709297926591/9729720*
         ep*z3+22379702907206170515305961047410755752232436860204267269\
         7967/1301215663554812985931562996339834880000000*ep^2+
         8144081101240175860/9*ep^2*z5+1468286253658709297926591/
         6486480*ep^2*z4-3133378001019066440801710837237/7012403798400*
         ep^2*z3-386784776354523198425567654247745218011703286874540934\
         195582502118567093533133995878347404117183637119/
         13224536337784077130028078775443457246784866519085438995214233\
         12420864000000000000000*ep^3+60450770074421799650/27*ep^3*z6+
         557600203080970394140721/360360*ep^3*z5-
         3133378001019066440801710837237/4674935865600*ep^3*z4-21549631\
         5284372383968152841787221853/2526989832791424000*ep^3*z3+
         8814813335837667940/27*ep^3*z3^2;
Fill mncnoptab(9,6,3,3)=
      +mncF321*(-850665181766400-6608264197975440*ep-17968966377830202*
         ep^2-1778663038425997897/70*ep^3)
      +80394769464190637251951878446021/19143862369632000-2920863787300/
         9*ep^-3-467294462280951619/147420*ep^-2-
         4666020263984559478209569/584366983200*ep^-1+
         100812735570210784/9*z3-35461247036325719044628800844125116338\
         3712358637409341/8321362811750381215968248463360000000*ep+
         50406367785105392/3*ep*z4+73508078742087731954453/405405*ep*z3
         +1798669478384180300079254579649880209881273969443329975781829\
         809/8744169259088343265460103335403690393600000000*ep^2+
         3257769981904780816/3*ep^2*z5+73508078742087731954453/270270*
         ep^2*z4-9734212764229045648184273273/18261468225*ep^2*z3-
         15550996814483657672008380149456980946601959239010788090722379\
         5115436011115896203551319290632094252759107/
         32914401551818147523625440507770382480886778891945981499199869\
         1091415040000000000000000*ep^3+24181243025360329160/9*ep^3*z6+
         84491325690198295562114/45045*ep^3*z5-
         9734212764229045648184273273/12174312150*ep^3*z4-3369123816209\
         95572930443503697809/3008321229513600*ep^3*z3+
         3525504372764489680/9*ep^3*z3^2;
Fill mncnoptab(9,6,4,2)=
      +mncF321*(-360888258931200-2819795653438400*ep-23244801043935656/
         3*ep^2-388940251587635213/35*ep^3)
      +12373755502877967180028722593588543/6949222040176416000-
         39492460016780/297*ep^-3-71486942214411872521/53513460*ep^-2-
         69766943609060163129530263/19284110445600*ep^-1+
         1411357097157291872/297*z3-34053296633661497720801696375028606\
         81509743905117651376475827/18917673877835358026235800485248368\
         6400000000*ep+705678548578645936/99*ep*z4+
         147425885393927177872927/1911195*ep*z3+70722524494878143325591\
         449906388353237641312287802490430796042262977/8180607550340099\
         54200119967543692254773248000000000*ep^2+45608692954989477488/
         99*ep^2*z5+147425885393927177872927/1274130*ep^2*z4-
         85885353215670469470399682693/385682208912*ep^2*z3-
         12607991156668701691707862759275850742626478381080749955306536\
         4337158331032817801124949564768986079316583251/
         68429040826229928701617290815654625177763613316355695536836527\
         8779051868160000000000000000*ep^3+338536804419527851480/297*
         ep^3*z6+1213786498323119676370862/1486485*ep^3*z5-
         85885353215670469470399682693/257121472608*ep^3*z4-28796574204\
         605031378708012036028189/496373002869744000*ep^3*z3+
         49357217699814035888/297*ep^3*z3^2;
Fill mncnoptab(9,6,5,1)=
      +mncF321*(-45111032366400-355979294165950*ep-11947616497767283/12
         *ep^2-7369144147588494239/5040*ep^3)
      +7122542630828109334478657516489197429/32133202713775747584000-
         601825285375/1188*ep^-3-16349319501868696517/856215360*ep^-2-
         776823388856481222241463677/5245278041203200*ep^-1+
         176312380308224734/297*z3-213852850878748495350122323147566291\
         256849299051530277934305870059/9559803266928526009669353029214\
         0241846272000000000*ep+88156190154112367/99*ep*z4+
         296161270046943621340919/30579120*ep*z3+7468422873957361586249\
         8074354852200440999278148763963182856361876989471629/
         7027740238751541811002674037519434140551405895680000000000*
         ep^2+5700708720950907811/99*ep^2*z5+296161270046943621340919/
         20386080*ep^2*z4-14213209811467416022445182803323/
         524527804120320*ep^2*z3-47285782049572204530597729579238891788\
         817316759756930260939498133803114246935474715125065466527195557
       /190552683077663765951257973036772750985307140264941561316876335\
         7102080000000000000000*ep^3+84629068912722493495/594*ep^3*z6+
         1266573306816852108942457/11891880*ep^3*z5-
         14213209811467416022445182803323/349685202746880*ep^3*z4-
         21701431332082077060527161024196248847/2295228765269696256000*
         ep^3*z3+6170847732969952231/297*ep^3*z3^2;
Fill mncnoptab(9,7,1,4)=
      +mncF321*(-33756554832000-801895208903360/3*ep-47376444072714482/
         63*ep^2-10010259938368621/9*ep^3)
      +5090979998712164996794663008119985569/30672602590422304512000-
         242477720287/567*ep^-3-21613032505193491/2321865*ep^-2-
         302607252376925078429196221/5006856312057600*ep^-1+
         251878270095719320/567*z3-129584114733233799960767080169935942\
         45134550799228390339/7761354597713670600089560267358208000000*
         ep+125939135047859660/189*ep*z4+1483262969635967242403431/
         204324120*ep*z3+1503211452290240482782912507408543538352499760\
         821083750968059479/1901879585125826869464826277802738607718400\
         00000*ep^2+8143878361444249660/189*ep^2*z5+
         1483262969635967242403431/136216080*ep^2*z4-
         50279268741876862749705717383249/2503428156028800*ep^2*z3-
         65411792818223271756773294561788523518249933752220970120951073\
         639440680935183739351050629269009780823/2314293859112213497754\
         913785702605018187351640839951824162490796736512000000000000000
         *ep^3+60449392035592574150/567*ep^3*z6+
         1836011267867353228225583/22702680*ep^3*z5-
         50279268741876862749705717383249/1668952104019200*ep^3*z4-
         117928533855370936056902940807194533207/
         15336301295211152256000*ep^3*z3+8815436221527157900/567*ep^3*
         z3^2;
Fill mncnoptab(9,7,2,3)=
      +mncF321*(-101269664496000-801440307736640*ep-47300749078388258/
         21*ep^2-9979842931191445/3*ep^3)
      +17668671596610086981794489361743409/35377857659079936000-
         6548032220623/189*ep^-3-273754939933240309/773955*ep^-2-
         8910703268434823538588407/8924877561600*ep^-1+
         252015017283984280/189*z3-224754428194660700914361700076284069\
         035414234096537851/44935359183452058566228541702144000000*ep+
         126007508641992140/63*ep*z4+1483338358877345937389719/68108040
         *ep*z3+1538044531835001343949604699701291929372106445703306835\
         041583/64771624141395135299704469151138447360000000*ep^2+
         8144365594637212540/63*ep^2*z5+1483338358877345937389719/
         45405360*ep^2*z4-24475454035756551358529964313/405676252800*
         ep^2*z3+109479422496650312561696372108900400856166207994995664\
         382150726790571126941112418601135524215285697169/
         65828803103636295047250881015540764961773557783891962998399738\
         218283008000000000000000*ep^3+60452704416569133350/189*ep^3*z6
         +1832190015102755735403167/7567560*ep^3*z5-
         24475454035756551358529964313/270450835200*ep^3*z4-40385041694\
         8483849852910949169588807/17688928829539968000*ep^3*z3+
         8813947817482787020/189*ep^3*z3^2;
Fill mncnoptab(9,7,3,2)=
      +mncF321*(-81015731596800-642860020986040*ep-38120310012677491/21
         *ep^2-13488782523001601/5*ep^3)
      +7075291895023669887484128189647597/17688928829539968000-
         7262506046765/189*ep^-3-4803467543022585557/12383280*ep^-2-
         52320823046530544514855799/49086826588800*ep^-1+
         201657908895651032/189*z3-171544418050387989879175707038688279\
         786205708161480176947/42994713358716722786899546557382656000000
         *ep+100828954447825516/63*ep*z4+594181061971470045231241/
         34054020*ep*z3+35166483860461975431880663331752310380362325631\
         95870597271976553/18592289887136589868184544716902096699392000\
         0000*ep^2+6515653539446661908/63*ep^2*z5+
         594181061971470045231241/22702680*ep^2*z4-
         1175517939468300284735245118287/24543413294400*ep^2*z3+
         52576675226315784608177249905076810018670908099461679435489666\
         47886993742819527736149741051221060440743/77760273666170373524\
         56510319960752861109501513222238129185969077034680320000000000\
         00000*ep^3+48363256773610836730/189*ep^3*z6+
         185304662894507779487147/945945*ep^3*z5-
         1175517939468300284735245118287/16362275529600*ep^3*z4-
         170998500807293679801259425385871833/8844464414769984000*ep^3*
         z3+7050642485398873412/189*ep^3*z3^2;
Fill mncnoptab(9,7,4,1)=
      +mncF321*(-17185155187200-411598143265400/3*ep-3524427091276253/9
         *ep^2-26566118974975511/45*ep^3)
      +2034517674722064980653293027076047569/24099902035331810688000-
         451096663025/891*ep^-3-7504196219545204147/642161520*ep^-2-
         304067259121345214608381427/3933958530902400*ep^-1+
         201506673808663736/891*z3-269023856565797403298482535906220928\
         92584974694673669596246001743/31866010889761753365564510097380\
         080615424000000000*ep+100753336904331868/297*ep*z4+
         595694131293053651858653/160540380*ep*z3+929782466318287731509\
         4121395500529197897282878118191194257962706268690953/
         2342580079583847270334224679173144713517135298560000000000*
         ep^2+6515119014618862244/297*ep^2*z5+595694131293053651858653/
         107026920*ep^2*z4-785547273700794498468157773347/
         78679170618048*ep^2*z3-327610058222876121177865471502901453390\
         636867721341729551879683384731182410475926476611725072340290567
       /690802662528847274342001148146889322999664217715983676485231260\
         97890508800000000000000*ep^3+48359625925119807490/891*ep^3*z6+
         189984501989585457619631/4459455*ep^3*z5-
         785547273700794498468157773347/52452780412032*ep^3*z4-79224404\
         65522844991451194889468091947/1721421573952272192000*ep^3*z3+
         7052317134325820564/891*ep^3*z3^2;
Fill mncnoptab(9,8,1,3)=
      +mncF321*(-2893418985600-165507149853760/7*ep-3440059412994398/49
         *ep^2-245279758092984017/2205*ep^3)
      +18473871804832831336437006904608907/1301261928078522009600-
         35084509475/1323*ep^-3-11893928292280343/5417685*ep^-2-
         222961694505360635977633801/11682664728134400*ep^-1+
         50372438758699832/1323*z3-615627723128265837694505407413021792\
         7699462973096719189/44153483933659992747176165076526694400000*
         ep+25186219379349916/441*ep*z4+301255912627793077448171/
         476756280*ep*z3+6940027014225843332953552067833998719622270652\
         72165821129643189/10819581639826926190733233935944468523909120\
         00000*ep^2+1628767817367093068/441*ep^2*z5+
         301255912627793077448171/317837520*ep^2*z4-
         9138063100342202868749193986797/5841332364067200*ep^2*z3+
         19096906082517912908628052910584843802208112460219904393627422\
         552674601417856066362726412111420614533/4388586873575753003150\
         058734369384330784903852259464199893315881218867200000000000000
         *ep^3+12089827533356448430/1323*ep^3*z6+
         416750024615087023152403/52972920*ep^3*z5-
         9138063100342202868749193986797/3894221576044800*ep^3*z4-
         39566826312374924466288938681201987387/35784703022159355264000
         *ep^3*z3+1763145982876144220/1323*ep^3*z3^2;
Fill mncnoptab(9,8,2,2)=
      +mncF321*(-5786837971200-330954729316640/7*ep-6876639578565144/49
         *ep^2-490079428038392884/2205*ep^3)
      +64444218552257943969015984661507/2251318214668723200-
         5744893830706/1323*ep^-3-1874207780371578227/43341480*ep^-2-
         19921579090908956510531197/171803893060800*ep^-1+
         100880418716344816/1323*z3-69901079496581501678626265263439177\
         5912612750725409/2516380114273315279708798335320064000*ep+
         50440209358172408/441*ep*z4+15072334422256119629755/11918907*
         ep*z3+11642032682410529999173306799478747701924745839549008307\
         1161/90680273797953189419586256811593826304000000*ep^2+
         3258003216579684904/441*ep^2*z5+15072334422256119629755/
         7945938*ep^2*z4-268773960944727353440489273789/85901946530400*
         ep^2*z3+285126190629337067180246727217388614793751739805012829\
         62378857479271445298945796357224579435894636787/
         10240036038343423674016803713528563438498108988605416466417737\
         056177356800000000000000*ep^3+24182823077556774740/1323*ep^3*
         z6+41671377192582481908475/2648646*ep^3*z5-
         268773960944727353440489273789/57267964353600*ep^3*z4-13697382\
         5099874173609339264659728779/61911250903389888000*ep^3*z3+
         3524715422034563464/1323*ep^3*z3^2;
Fill mncnoptab(9,8,3,1)=
      +mncF321*(-2314735188480-132766120747832/7*ep-2772335965565121/49
         *ep^2-994303337852171903/11025*ep^3)
      +184640314044142655488935311061196771/16265774100981525120000-
         114149548525/1323*ep^-3-1221309014079094697/433414800*ep^-2-
         610782188247406951170799043/29206661820336000*ep^-1+
         201496821826651448/6615*z3-15469054242482929406214787367146000\
         98881895004453339603981877/13905168388259674195882695315220398\
         814003200000*ep+100748410913325724/2205*ep*z4+
         603344107856337048699853/1191890700*ep*z3+10441536323509371824\
         7929044838992858110332817170961525738714807447743/204443352400\
         044852683714153818747174997859080601600000*ep^2+
         6515099210190161252/2205*ep^2*z5+603344107856337048699853/
         794593800*ep^2*z4-18111460419971857552799782093691/
         14603330910168000*ep^2*z3+185257421768297761571995812624933329\
         56167290940709929698549995914138171289970516707837652514204110\
         660543/5118847729338758302874228507768449883427511853275439042\
         7555636438536867020800000000000000*ep^3+9671900404371916154/
         1323*ep^3*z6+210558499742471140415711/33108075*ep^3*z5-
         18111460419971857552799782093691/9735553940112000*ep^3*z4-
         81740794774739328057220848087335154397/89461757555398388160000
         *ep^3*z3+1410505073535006532/1323*ep^3*z3^2;
Fill mncnoptab(9,9,2,1)=
      +mncF321*(-90419343300-10889638257355/14*ep-491896801849227/196*
         ep^2-19405879811136887/4410*ep^3)
      +7415132870126441434571309151585001/16656152679405081722880-
         1444008301243/21168*ep^-3-4261086344138975047/5547709440*ep^-2
         -200483145492324852222258257/74769054260060160*ep^-1+
         6304898820601603/5292*z3-1673014714528259342912091700309264514\
         7018196681427759/4036889959648913622598963664139583488000*ep+
         6304898820601603/3528*ep*z4+618646247496863205207943/
         30512401920*ep*z3+89960536825060579495421514802919383438245324\
         13615712446320247/49460944639208805443351926564317570395013120\
         0000*ep^2+101812477133731781/882*ep^2*z5+
         618646247496863205207943/20341601280*ep^2*z4-
         1509072799653608049853017074669/37384527130030080*ep^2*z3+
         65238207564781464846737112977515833349126281601161675508524158\
         50200436477435341144453497597260854860630299/
         50598509252134250014178171050414368735422666225172832692088064\
         669064900466704384000000000000*ep^3+3022849819908945415/10584*
         ep^3*z6+1002673754830027541288249/3390266880*ep^3*z5-
         1509072799653608049853017074669/24923018086686720*ep^3*z4-
         25753803161256318932591281101803382797/
         458044198683639747379200*ep^3*z3+110148736654558499/2646*ep^3*
         z3^2;
Fill mncnoptab(10,1,1,9)=
      +mncF321*(-14366628991000-27937088549538025/252*ep-
         4198107310533557399/14112*ep^2-14646813475275228837587/
         35562240*ep^3)
      +1125839352643563342517854014920272513691/
      15927445999681109397504000+1489551115613/381024*ep^-3+
         6805104432535531273/424399772160*ep^-2-
         221813860778680374114832483/2599923932224819200*ep^-1+
         1286343427397691443/6804*z3-5659574307872674600456754744100031\
         3803450003442697447/78058756390053150321789763584000000000*ep+
         1286343427397691443/4536*ep*z4+2890561093038349294751819/
         947320920*ep*z3+6710920466783365614903860278031919723446164468\
         812071519848373/1912789234784929620997290825948856320000000000
         *ep^2+582285615952087330723/31752*ep^2*z5+
         2890561093038349294751819/631547280*ep^2*z4-
         15930844964990406953385383837653/1737917066995200*ep^2*z3-
         12017797541766677291171673216441609537116961881270248443663639\
         12751758161688137532709/10441332660569494173440388505805224525\
         4785910447485747200000000000000*ep^3+8644240199363471559835/
         190512*ep^3*z6+362115304987849750849876459/11788882560*ep^3*z5
         -15930844964990406953385383837653/1158611377996800*ep^3*z4-
         529998345090090545825964971405309435327/
         361987409083661577216000*ep^3*z3+630309715829351314999/95256*
         ep^3*z3^2;
Fill mncnoptab(10,2,1,8)=
      +mncF321*(-91946425542400-44474864157071920/63*ep-
         275998430237303164/147*ep^2-357098382458170113059/138915*ep^3)
      +145698467161070425648566964371665599703/322062327199434197376000
         -828047351240/11907*ep^-3-1795357556138520863/4290806520*ep^-2
         +4877549995915672390765433/10514398255320960*ep^-1+
         2058157204335388448/1701*z3-1286587450048693862447050380298655\
         28509611099654293499/27621894494641969553206855680000000000*ep
         +1029078602167694224/567*ep*z4+5970797962677850093768279/
         306486180*ep*z3+9576787767127521599148875890010645396586758196\
         19931478607/42303760075379015629822895679590400000000*ep^2+
         465828716441513304224/3969*ep^2*z5+5970797962677850093768279/
         204324120*ep^2*z4-1561607221793645656581197408684063/
         26285995638302400*ep^2*z3-208460477176861773513907620299195788\
         39174139611844176824894422062893613920585078709283/
         30229961287494399491118771868829464389023494293159936000000000\
         0000000*ep^3+3457697622235480483840/11907*ep^3*z6+
         45777845700514937695433519/238378140*ep^3*z5-15616072217936456\
         56581197408684063/17523997092201600*ep^3*z4-220940485599315081\
         882734376848215039529/32206232719943419737600*ep^3*z3+
         504247065600717822368/11907*ep^3*z3^2;
Fill mncnoptab(10,2,2,7)=
      +mncF321*(-514899983037440-35479210970626280/9*ep-
         3286052185214493242/315*ep^2-1408375849420078980062/99225*ep^3
         )
      +1008279287835951646171063901043256009/398000898664649280000-
         2019404132069/8505*ep^-3-18578949081582828889/6129723600*ep^-2
         -3684816507587849909109869/276113399562000*ep^-1+
         8232617005756615112/1215*z3-9674093209801474967073488227126107\
         71038071383103066901/37010174124425051816224358400000000000*ep
         +4116308502878307556/405*ep*z4+11925479784883028023812071/
         109459350*ep*z3+7644474553094675255634515037455762846313678497\
         997348404876599/60016438563650152526225744068608000000000000*
         ep^2+1863314607663398256116/2835*ep^2*z5+
         11925479784883028023812071/72972900*ep^2*z4-185001230680856314\
         065991006892201/552226799124000*ep^2*z3-1687061246768763518179\
         138368142708601785287325148208808915728105771502488356844137/
         43798318375916865739911062966315248366755879321600000000000000\
         00*ep^3+2766157751974949231282/1701*ep^3*z6+
         180679989079733309516282087/170270100*ep^3*z5-1850012306808563\
         14065991006892201/368151199416000*ep^3*z4-15144163467109684658\
         22711646077962969/49750112333081160000*ep^3*z3+
         2016989550542971471652/8505*ep^3*z3^2;
Fill mncnoptab(10,3,1,7)=
      +mncF321*(-204789765980800-14148414982221520/9*ep-
         37625881472469868/9*ep^2-32477200866972841603/5670*ep^3)
      +105960492679070738575567437956452511/105163208881447901184+
         8809996003/243*ep^-3+517584549896977/3980340*ep^-2-
         3419712769389879843288787/2145795562310400*ep^-1+
         654866527723594088/243*z3-161708605842417684442904355425217239\
         8827839444913668779429/155855130405685953919808805273600000000\
         000*ep+327433263861797044/81*ep*z4+3799252342212487744593797/
         87567480*ep*z3+13486995343081936102807963027285271461011805792\
         19678656556359386583/26734042481464663408762135308555780096000\
         000000000*ep^2+21174027022922393972/81*ep^2*z5+
         3799252342212487744593797/58378320*ep^2*z4-1420157383757361059\
         41821113520619/1072897781155200*ep^2*z3-9097134597882336406595\
         84127715659727144747870796526325572488376456770018756119935609\
         851/5922604660407066022749800202872711390502562147231334400000\
         000000000000*ep^3+157168036352608969570/243*ep^3*z6+
         4157922874690340646842101/9729720*ep^3*z5-14201573837573610594\
         1821113520619/715265187436800*ep^3*z4-975923505666862702333533\
         88947215231861/6572700555090493824000*ep^3*z3+
         22920344070393437924/243*ep^3*z3^2;
Fill mncnoptab(10,3,2,6)=
      +mncF321*(-982990876707840-22612802996143360/3*ep-
         100035766757068144/5*ep^2-129226173508629271702/4725*ep^3)
      +11458102881634352529913651306592293/2369052968241960000-
         2442202669384/405*ep^-3-205494936654487673/3316950*ep^-2-
         2388309567123159579428449/13148257122000*ep^-1+
         5238992407869258304/405*z3-23056652485447286301342057751439564\
         9047513476700933339/4626271765553131477028044800000000000*ep+
         2619496203934629152/135*ep*z4+345209585361612848572936/1658475
         *ep*z3+2717500918281509829677749689677860083785212420548922186\
         65464339/1120306853188136180489547222614016000000000000*ep^2+
         169392424353527828896/135*ep^2*z5+172604792680806424286468/
         552825*ep^2*z4-2094043583309198459985261951497/3287064280500*
         ep^2*z3-740777555965851131064023810129947110784984602405684766\
         70705623353899284776817747/10209398222824444228417497194945279\
         3395701350400000000000000000*ep^3+251469140326357114192/81*
         ep^3*z6+4136684170501905509831158/2027025*ep^3*z5-
         2094043583309198459985261951497/2191376187000*ep^3*z4-77360742\
         695543180248885954593751727/1184526484120980000*ep^3*z3+
         183362052575724980512/405*ep^3*z3^2;
Fill mncnoptab(10,3,3,5)=
      +mncF321*(-1563849122035200-36081815480197760/3*ep-
         96306075812379176/3*ep^2-41797007312878069309/945*ep^3)
      +11460745783404801964021245656579611/1489119008609232000-
         51229657904636/891*ep^-3-13408641116833779229/22934340*ep^-2-
         135091939277821614961273/82646187624*ep^-1+
         18337386390239163488/891*z3-1947862330274021432347003215879917\
         8068538843320820416579091/246221286414974984722977411563520000\
         000000*ep+9168693195119581744/297*ep*z4+
         13309810785627464627097877/40135095*ep*z3+40897026220964600637\
         5426712235334988956055806857996833784831161559/106473963327000\
         4625937265680372360806400000000000*ep^2+592876753387757149232/
         297*ep^2*z5+13309810785627464627097877/26756730*ep^2*z4-
         29097794888900962031675368130143/28926165668400*ep^2*z3-
         80545036833155828470157747032436081826945006601321859714602489\
         231805966477088448753/7063792787667872106532856235207323256590\
         3882169876480000000000000*ep^3+4400732184432580710520/891*ep^3
         *z6+14681736490029690211817756/4459455*ep^3*z5-
         29097794888900962031675368130143/19284110445600*ep^3*z4-
         662955946553882245009441238151286103/5211916530132312000*ep^3*
         z3+641757349240626069104/891*ep^3*z3^2;
Fill mncnoptab(10,4,1,6)=
      +mncF321*(-204789765980800-14220019564070320/9*ep-
         114525964521150608/27*ep^2-412303454579584209/70*ep^3)
      +13245050466844462009227338805631890523/13145401110180987648000-
         67324299725/243*ep^-3-3205119711968467/1137240*ep^-2-
         813525245190818504070697/85831822492416*ep^-1+
         654869126822281448/243*z3-548180849037095915398614714296004617\
         5010205309551882841887/530340374297125815421571629056000000000\
         000*ep+327434563411140724/81*ep*z4+544061182829041573821209/
         12509640*ep*z3+26011692482333045443624678888287209792568159754\
         08425874433792411391/51982860380625734405926374211080683520000\
         000000000*ep^2+21174035239582300532/81*ep^2*z5+
         544061182829041573821209/8339760*ep^2*z4-140207442579132556745\
         320713801493/1072897781155200*ep^2*z3-112596987848026107277546\
         10373459571689690992490824164476671859670279417660123790668950\
         217613/6989167049668705162346660056073372166742231880578577203\
         2000000000000000000*ep^3+157168091479811550370/243*ep^3*z6+
         1418914375570334089712833/3243240*ep^3*z5-14020744257913255674\
         5320713801493/715265187436800*ep^3*z4-262868546635639257782448\
         01324585880953/1314540111018098764800*ep^3*z3+
         22920308306481576164/243*ep^3*z3^2;
Fill mncnoptab(10,4,2,5)=
      +mncF321*(-819159063923200-56895549061711360/9*ep-
         458473612374955400/27*ep^2-22301141273253244916/945*ep^3)
      +1041743743996828163977729900337639/258442141990032000-
         5056453826324/243*ep^-3-176666657109796069/796068*ep^-2-
         10890603558462153430119151/15777908546400*ep^-1+
         2619576415730169056/243*z3-92519907699785013705531652562265715\
         5968828560920017602589/223837533104522713384524919603200000000\
         00*ep+1309788207865084528/81*ep*z4+1904510871804462639658684/
         10945935*ep*z3+19367795125709857483359769682983986315970048880\
         299027653933393401/9679451211545496599429688003385098240000000\
         0000*ep^2+84696501566823672464/81*ep^2*z5+
         952255435902231319829342/3648645*ep^2*z4-
         2060355690649767673599822109877/3944477136600*ep^2*z3-
         34477607083966258085427127198590475012805819050915228460759325\
         7917725373113384902605503260013/724636839709651351232101714613\
         687226247834601378386884427776000000000000000*ep^3+
         628674820711852120840/243*ep^3*z6+236788767193834006541263/
         135135*ep^3*z5-2060355690649767673599822109877/2629651424400*
         ep^3*z4-57571362518651915304832588300039813/710715890472588000
         *ep^3*z3+91680177201432457808/243*ep^3*z3^2;
Fill mncnoptab(10,4,3,4)=
      +mncF321*(-1042566081356800-72708593948885440/9*ep-
         590299281757659080/27*ep^2-9669920288244484078/315*ep^3)
      +80300697440821341589597526122244083/15635749590396936000-
         392281419791056/2673*ep^-3-34675667159610383293/24081057*ep^-2
         -159535360331078341785192161/43389248502600*ep^-1+
         36681228011761565824/2673*z3-508039256562488997148607426867692\
         0716551259731645863123411/969496315258964002346723558031360000\
         00000*ep+18340614005880782912/891*ep*z4+
         26718369803101210877852156/120405285*ep*z3+7426073940319654837\
         788298433334844207407165975659744055260170843/2934688614200450\
         2502395885315263194726400000000*ep^2+1185776297718405998656/
         891*ep^2*z5+13359184901550605438926078/40135095*ep^2*z4-
         3567568246420835386102714037786/5423656062825*ep^2*z3-
         52082595711841687925886754890728761253872938966400150464651334\
         7393733824313054616633431473269/784645827998106853756010137855\
         133199671483404305034548294451200000000000000*ep^3+
         8801619162858641075360/2673*ep^3*z6+10133606875834134316899376/
         4459455*ep^3*z5-1783784123210417693051357018893/1807885354275*
         ep^3*z4-975074730734294884876981964924243867/
         7817874795198468000*ep^3*z3+1283443058041995725632/2673*ep^3*
         z3^2;
Fill mncnoptab(10,4,4,3)=
      +mncF321*(-521283040678400-36660820655906720/9*ep-
         302201867135124740/27*ep^2-45480459133354997776/2835*ep^3)
      +10056329079708487355866603891242611/3908937397599234000-
         483120858527408/2673*ep^-3-42470500295877001910/24081057*ep^-2
         -192409873390450378453708033/43389248502600*ep^-1+
         18346854148790412992/2673*z3-263527122209191179663836807081345\
         99268736726293348184946753/10134468148840370371197750259954483\
         20000000*ep+9173427074395206496/891*ep*z4+
         13415890651420244541536698/120405285*ep*z3+5470173789567415653\
         01219766739454281346212160563834854955879392243/43824683305393\
         39040357785540412637079142400000000*ep^2+592910361967988430848/
         891*ep^2*z5+6707945325710122270768349/40135095*ep^2*z4-
         6977435806234407349497418217287/21694624251300*ep^2*z3-
         27570195347517419115146163839272229812455991535520927081913124\
         4356571384132970409461840897285907/820216438867354364459615930\
         771232571389923985300196114483799654400000000000000*ep^3+
         4400960579387937198880/2673*ep^3*z6+15785273558548353117876874/
         13378365*ep^3*z5-6977435806234407349497418217287/
         14463082834200*ep^3*z4-660863916465529894415103989093581081/
         7817874795198468000*ep^3*z3+641653474760333102336/2673*ep^3*
         z3^2;
Fill mncnoptab(10,5,1,5)=
      +mncF321*(-98456618260000-6913138278346300/9*ep-56818762380332180/
         27*ep^2-4541905011693648635/1512*ep^3)
      +5093466407667253332327674010163198523/10516320888144790118400+
         167650304455/972*ep^-3-8160548757841661/6368544*ep^-2-
         3906442137743728694806267/156057859077120*ep^-1+
         314838299487056450/243*z3-285435446646564568564201117987207585\
         668724384879013143/57927311283227395732446863803023360000*ep+
         157419149743528225/81*ep*z4+1472623246850319645262807/70053984
         *ep*z3+3354025302285839041121971646874874389326213709234562743\
         1640441/1419478640793620054177829525123909864652800000*ep^2+
         10179816491806441625/81*ep^2*z5+1472623246850319645262807/
         46702656*ep^2*z4-5716516205404870742951916311/93672184320*ep^2
         *z3-6321799224945081630248850786494754276525609684458438307156\
         50670875797633123010947206920974938247/17447337159723375310694\
         6411384947694041276325957837166706598829096960000000000000*
         ep^3+151123055879661342125/486*ep^3*z6+21256307546463790190171/
         96096*ep^3*z5-5716516205404870742951916311/62448122880*ep^3*z4
         -4687940357855663323315947147757994957/309303555533670297600*
         ep^3*z3+11019415772342142725/243*ep^3*z3^2;
Fill mncnoptab(10,5,2,4)=
      +mncF321*(-315061178432000-22150935796589600/9*ep-
         182485300650059500/27*ep^2-1829148524885145367/189*ep^3)
      +31497543237434265711653531242597/20306168299216800-7542015624640/
         243*ep^-3-18086889388525159/56862*ep^-2-
         2860348158982022374227139/3155581709280*ep^-1+
         1007656083729024640/243*z3-44395600576859625196774940192113047\
         9687699303425181707/28203529171169861886450139870003200000*ep+
         503828041864512320/81*ep*z4+147370222992412574127517/2189187*
         ep*z3+64422054294938010196209917340867393280950425405205249392\
         897387/853727596858312800069698481898565664768000000*ep^2+
         32576022411465007360/81*ep^2*z5+147370222992412574127517/
         1459458*ep^2*z4-23616788791530767806726381579/121368527280*
         ep^2*z3-621714008652622202496080680848743727168703917241303145\
         7841404231436865938993206682934611680547977829/
         30005250514300006933677153524115407198587512270193853182418848\
         265011200000000000000*ep^3+241801027876664993600/243*ep^3*z6+
         57730327546881291130657/81081*ep^3*z5-
         23616788791530767806726381579/80912351520*ep^3*z4-
         71930427477378351508769696909503/1421431780945176*ep^3*z3+
         35260184576123595520/243*ep^3*z3^2;
Fill mncnoptab(10,5,3,3)=
      +mncF321*(-300740215776000-7082767667284400/3*ep-
         58867545650464330/9*ep^2-398070986223976663/42*ep^3)
      +6187009034415675015969287953313209/4169533224105849600-
         90012428742860/891*ep^-3-31987615828556477039/32108076*ep^-2-
         29823253885131341831745599/11570466267360*ep^-1+
         3528173136422940320/891*z3-72722059060723755327643403981476650\
         4813628411278868480852887/486454471144337777817492012477815193\
         60000000*ep+1764086568211470160/297*ep*z4+
         73877140367444599129397/1146717*ep*z3+300652647163566500211443\
         5114359229442337340113668869688840109391301/420716959731776547\
         87434741187961315959767040000000*ep^2+114020987468764226480/
         297*ep^2*z5+73877140367444599129397/764478*ep^2*z4-
         66257480050695431960626688102/361577070855*ep^2*z3-
         70756150243818835468399643567069851129701687232780767799154835\
         64580082720608406628111633654036880736975499/
         35192078139203963332260320990908092948564143991268643418944500\
         051494096076800000000000000*ep^3+846336973174674347800/891*
         ep^3*z6+5294840921151760970206/7623*ep^3*z5-
         33128740025347715980313344051/120525690285*ep^3*z4-23726841448\
         43082745877872601308061/42546257388835200*ep^3*z3+
         123395682269642478320/891*ep^3*z3^2;
Fill mncnoptab(10,5,4,2)=
      +mncF321*(-100246738592000-7147032003620600/9*ep-
         60364278206759675/27*ep^2-7506599601986302199/2268*ep^3)
      +24763380900567215811769676651095297/50034398689270195200-
         123179094899495/2673*ep^-3-178509683582471973257/385296912*
         ep^-2-174755408941217501930783417/138845595208320*ep^-1+
         3528940378663736120/2673*z3-7730468454576641410107077056337543\
         143458458361540868163257571/1563603657249657142984795754392977\
         408000000000*ep+1764470189331868060/891*ep*z4+
         296842665140891582557523/13760604*ep*z3+1586935800332248851648\
         11810578902524871129885942221120962064979394673/67615225671178\
         37376552011976636640064962560000000000*ep^2+
         114023662145888507180/891*ep^2*z5+296842665140891582557523/
         9173736*ep^2*z4-4134270507854435183004279302867/69422797604160
         *ep^2*z3-17320299568756400102068420154950309066167462642908562\
         9342493937915621216454447486729793938155365547/
         27840489410697628142229249307320694137463705558189513828764399\
         69792000000000000000*ep^3+846355115147504463550/2673*ep^3*z6+
         1287936197222374807943029/5351346*ep^3*z5-
         4134270507854435183004279302867/46281865069440*ep^3*z4-8248680\
         9132372213125915576940712019/3573885620662156800*ep^3*z3+
         123386942001747770300/2673*ep^3*z3^2;
Fill mncnoptab(10,5,5,1)=
      +mncF321*(-9639109480000-696954767184550/9*ep-24133625169961495/
         108*ep^2-3100010206798751095/9072*ep^3)
      +35580253032605969803664391519690306809/751916943502352493465600-
         39215597842615/138996*ep^-3-163026128006146779529/20035439424*
         ep^-2-1434251321172118262158159981/24547901232830976*ep^-1+
         4407886268703618190/34749*z3-165382324160200537339070958919963\
         38266348341593351978145388128231/35109071010308795647955596888\
         122096353280000000000*ep+2203943134351809095/11583*ep*z4+
         1493813734816331673333475/715551408*ep*z3+22738725423762259667\
         24311269861128130428697388928087713120950716608937033/
         1032395434068830012135297957799660177176427233280000000000*
         ep^2+142518058466885557435/11583*ep^2*z5+
         1493813734816331673333475/477034272*ep^2*z4-337283713084061472\
         953765726128403/61369753082077440*ep^2*z3-
         14848872947964476107331451094525698782680437343232303744028766\
         9013734962637685658553465029289961299/236861663814450914428809\
         78512243934309139043244428422312128461930496000000000000000*
         ep^3+2115731445659765270575/69498*ep^3*z6+
         6821678142765752431604045/278269992*ep^3*z5-337283713084061472\
         953765726128403/40913168721384960*ep^3*z4-15440328501809030195\
         4547351165499301211/53708353107310892390400*ep^3*z3+
         154270798705601025055/34749*ep^3*z3^2;
Fill mncnoptab(10,6,1,4)=
      +mncF321*(-22504369888000-1610314278189760/9*ep-95805090163220252/
         189*ep^2-15882614093965828/21*ep^3)
      +462946484497562083933090560293308027/4182627625966677888000-
         403031060582/1701*ep^-3-58545904002269767/13931190*ep^-2-
         184160756711829975731308253/7510284468086400*ep^-1+
         503755709850450800/1701*z3-14764252750353182670825467993164003\
         71126403684390904909/1330517931036629245729638902975692800000*
         ep+251877854925225400/567*ep*z4+1486174275820045081907023/
         306486180*ep*z3+1705775017607863983152914024086242220805240212\
         05596109481082423/32603650030728460619397021905189804703744000\
         000*ep^2+16287752642418083480/567*ep^2*z5+
         1486174275820045081907023/204324120*ep^2*z4-
         49703729386196100230456064756617/3755142234043200*ep^2*z3-
         44602175042100241557944439373442719291662414642498358382858034\
         63067180350318480077554376314961609783/13224536337784077130028\
         0787754434572467848665190854389952142331242086400000000000000*
         ep^3+120898755543509499100/1701*ep^3*z6+
         622501912057599831085013/11351340*ep^3*z5-
         49703729386196100230456064756617/2503428156028800*ep^3*z4-
         128710689604733730360738548152440307711/
         23004451942816728384000*ep^3*z3+17630873875797846200/1701*ep^3
         *z3^2;
Fill mncnoptab(10,6,2,3)=
      +mncF321*(-54010487731200-1290890932416800/3*ep-77076334437749116/
         63*ep^2-192563355658417829/105*ep^3)
      +1765792983761838065611545467766089/6633348311077488000-
         8413704912460/567*ep^-3-1422971672814952411/9287460*ep^-2-
         16362840208308829399648733/36815119941600*ep^-1+
         403177575905720992/567*z3-533628859551569440263935072896977329\
         3216009228946712963/2010142442745197428997900878007500800000*
         ep+201588787952860496/189*ep*z4+297609363921189932703314/
         25540515*ep*z3+15545067493783701395865837697305191578522116911\
         751724070540143/1241785595430273163737743246397913694208000000
         *ep^2+13030821544342337968/189*ep^2*z5+
         148804681960594966351657/8513505*ep^2*z4-
         58113811491038835125729960597/1840755997080*ep^2*z3-
         62142697931864742018725178252918134549453803267094651168743737\
         33037532484973377694502922580643984524937/39990997885459049241\
         20491021694101471427743635371436752152784096760692736000000000\
         00000*ep^3+96723217642803232280/567*ep^3*z6+
         41864672555953396837943/315315*ep^3*z5-
         58113811491038835125729960597/1227170664720*ep^3*z4-2108520622\
         599994769791410694023937/150757916160852000*ep^3*z3+
         14102835973032276208/567*ep^3*z3^2;
Fill mncnoptab(10,6,3,2)=
      +mncF321*(-34370310374400-825999705228880/3*ep-7113603661595534/9
         *ep^2-125993988188902768/105*ep^3)
      +7078398006599017117571642215721339/41695332241058496000-
         16432391927110/891*ep^-3-59705486029531940137/321080760*ep^-2-
         2359818641897096175289633/4628186506944*ep^-1+
         403359921855216208/891*z3-875148092646911299744207962747374113\
         199735014901407265136787/5212012190832190476615985847976591360\
         00000000*ep+201679960927608104/297*ep*z4+
         85281671888614299260521/11467170*ep*z3+17793518025292544564852\
         345140018179472855022190314653658178526410481/2253840855705945\
         792184003992212213354987520000000000*ep^2+13031460851375457112/
         297*ep^2*z5+85281671888614299260521/7644780*ep^2*z4-
         1143290674042945786153331628121/57852331336800*ep^2*z3-
         53471503733371229846338725006680867120066625889481349354588569\
         278771841541575002004133758991125745406657/
         68555996375072655842065560371898882367332748034938915751190584\
         51589758976000000000000000*ep^3+96727556580677887820/891*ep^3*
         z6+128486440272403459781026/1486485*ep^3*z5-
         1143290674042945786153331628121/38568220891200*ep^3*z4-
         204822246807793840721252219467645567/20847666120529248000*ep^3
         *z3+14100782691601476856/891*ep^3*z3^2;
Fill mncnoptab(10,6,4,1)=
      +mncF321*(-5728385062400-416912092906400/9*ep-3649751783076548/27
         *ep^2-594426104496108526/2835*ep^3)
      +127063332329820521771732346259710269/4518731631624714504000-
         836026709240/2673*ep^-3-781428994784239657/120405285*ep^-2-
         120364036603798162947562223/2950468898176800*ep^-1+
         201513249255936416/2673*z3-32079884141708634228312540676161479\
         281953555756715344348082629257/1152297715210134831522645231199\
         90470082560000000000*ep+100756624627968208/891*ep*z4+
         149865263006502556153447/120405285*ep*z3+219235654313518736968\
         2880464143145954387591467056955685173842101834894503/
         1694187378984746686581001776902006444597213921280000000000*
         ep^2+6515144634555481664/891*ep^2*z5+149865263006502556153447/
         80270190*ep^2*z4-944508370660502533775001587707/
         295046889817680*ep^2*z3-24427241832193325179519755985793772781\
         77593536559145564375508798175707804066058233482700810815828478\
         319631671/9033555086346948787653136824644743830661068875815865\
         98961863213107530950508544000000000000000*ep^3+
         48359801636026271440/2673*ep^3*z6+200075062866641357866351/
         13378365*ep^3*z5-944508370660502533775001587707/
         196697926545120*ep^3*z4-2137539248366269813378918604396206097/
         1129682907906178626000*ep^3*z3+7052259970880924864/2673*ep^3*
         z3^2;
Fill mncnoptab(10,7,1,3)=
      +mncF321*(-2250436988800-165962051020480/9*ep-3465291077769806/63
         *ep^2-248473543846587497/2835*ep^3)
      +40661231570514576689654982860439733/3680712310850676541440+
         29267150989/1701*ep^-3-6878465846602841/6965595*ep^-2-
         32009747237329605238153541/3004113787234560*ep^-1+
         50371453015646264/1701*z3-430048721763993655185823699458017752\
         08692802502723795081/397381355402939934724585485688740249600000
         *ep+25185726507823132/567*ep*z4+27423171421573985858449/
         55724760*ep*z3+48324520131987447535037657730974144795000970587\
         78039862513664213/97376234758442335716599105423500216715182080\
         00000*ep^2+1628763792955353356/567*ep^2*z5+
         27423171421573985858449/37149840*ep^2*z4-
         1811417869762708233307654551161/1502056893617280*ep^2*z3+
         37797277282599801216932181253283845415792008630237945652700314\
         4868725755943019827348524786974065611/860507230112892745715697\
         79105282045701664781416852239213594429043507200000000000000*
         ep^3+12089799814626034510/1701*ep^3*z6+
         421133533460113254478627/68108040*ep^3*z5-
         1811417869762708233307654551161/1001371262411520*ep^3*z4-
         8190878499557751784042425931928277679/9201780777126691353600*
         ep^3*z3+1763153371161316124/1701*ep^3*z3^2;
Fill mncnoptab(10,7,2,2)=
      +mncF321*(-3600699182080-266209177755664/9*ep-5582172117084382/63
         *ep^2-287469269818907908/2025*ep^3)
      +7087992670537760707915813478343869/398000898664649280000-
         4559982814502/1701*ep^-3-7457975989243614227/278623800*ep^-2-
         79765021284689380319384839/1104453598248000*ep^-1+
         403518808090496656/8505*z3-39134249970736611881465610581857603\
         397454785175087814841/2274332592363137662523339279117058048000\
         00*ep+201759404045248328/2835*ep*z4+604511325288180883429393/
         766215450*ep*z3+7779083978713950380753687207458597429603509357\
         75225497383026587/98349419158077634568029265114714764581273600\
         0000*ep^2+13032001388511308344/2835*ep^2*z5+
         604511325288180883429393/510810300*ep^2*z4-
         1055935341538860254100430212583/552226799124000*ep^2*z3-
         33961471122394666785681400329695051927700688449142459136069957\
         80154053997634315361460345687907160426661/
         41133597825043593505239336223139329420399648820963349450714350\
         70953855385600000000000000*ep^3+19346242678721714188/1701*ep^3
         *z6+425439109403970854825107/42567525*ep^3*z5-
         1055935341538860254100430212583/368151199416000*ep^3*z4-
         292462305580413216358891533680586013/199000449332324640000*
         ep^3*z3+2819776908124422776/1701*ep^3*z3^2;
Fill mncnoptab(10,7,3,1)=
      +mncF321*(-1145677012480-85195975950904/9*ep-257730787057175/9*
         ep^2-658688185704990811/14175*ep^3)
      +2029650615519160696177334744194998701/361498530529977160320000-
         246363016873/2673*ep^-3-2958523004289278401/1376060400*ep^-2-
         837822295029850734373267943/59009377963536000*ep^-1+
         201507162539315288/13365*z3-3935578806718565230432537610301959\
         44643528666161947731942200727/72018607200633426970165326949994\
         04380160000000000*ep+100753581269657644/4455*ep*z4+
         605872811647955541663913/2408105700*ep*z3+26367793545939684128\
         046407538016019588906121620885498694770450794880369/
         105886711186546667911312611056375402787325870080000000000*ep^2
         +6515140993855137812/4455*ep^2*z5+605872811647955541663913/
         1605403800*ep^2*z4-17605749547891905439621027098431/
         29504688981768000*ep^2*z3-183615003517311332677194472948237917\
         15976361861440277262452824286419034161031915978598388897308700\
         1981/652600350108864704650431776617114360996725197640283909554\
         602679526332825600000000000000*ep^3+9671957909513049074/2673*
         ep^3*z6+217290398514080425441931/66891825*ep^3*z5-
         17605749547891905439621027098431/19669792654512000*ep^3*z4-
         89805145838388494948796754787703627097/
         180749265264988580160000*ep^3*z3+1410489058071586420/2673*ep^3
         *z3^2;
Fill mncnoptab(10,8,1,2)=
      +mncF321*(-80372749600-43618123420300/63*ep-987272851122106/441*
         ep^2-78103607392122698/19845*ep^3)
      +2180564283128466334083993799802509/5511226989509034393600-
         1249157252851/23814*ep^-3-3728771572492464103/6241173120*ep^-2
         -52084562742974113860554477/24739760600755200*ep^-1+
         12608252881234454/11907*z3-24598018803027408544130187902544951\
         81320040870905053/667867824206621739032916782670151680000*ep+
         6304126440617227/3969*ep*z4+619025408118254323430599/
         34326452160*ep*z3+26377076918346146917090326512470048697105167\
         4171485099931533/163657537409146782716973286426050784395264000\
         00*ep^2+407243713028041556/3969*ep^2*z5+
         619025408118254323430599/22884301440*ep^2*z4-
         7502482633194025941685567402153/210287965106419200*ep^2*z3-
         64564044932935280665308675785223633337793633297094532945240777\
         06106087409970437191381284253460463274821891/
         28461661454325515632975221215858082413675249751659718389299536\
         376349006512521216000000000000*ep^3+3022807215507225535/11907*
         ep^3*z6+1007213961253564253024057/3814050240*ep^3*z5-
         7502482633194025941685567402153/140191976737612800*ep^3*z4-
         129994032616836446232170310787476417361/
         2576498617595473579008000*ep^3*z3+440607162670017932/11907*
         ep^3*z3^2;
Fill mncnoptab(10,8,2,1)=
      +mncF321*(-64298199680-34989811361648/63*ep-265156158440920/147*
         ep^2-316411700883156332/99225*ep^3)
      +185400128475813075002409264430732441/585567867635334904320000-
         676275448852/11907*ep^-3-4937750069640245281/7801466400*ep^-2-
         144158509142208431631593873/65714989095756000*ep^-1+
         50447140065620072/59535*z3-29501206825827333922093745849841936\
         244136119833500255695379/1005641642365208580237944929047189557\
         0841600000*ep+25223570032810036/19845*ep*z4+
         619989330177184180271413/42908065200*ep*z3+5421398643262826228\
         4536566694742648966629079743021073681531015559/422446723071521\
         2517188991443703704381333312634880000*ep^2+1629031363573276328/
         19845*ep^2*z5+619989330177184180271413/28605376800*ep^2*z4-
         926475293354923913346787745591/32857494547878000*ep^2*z3+
         40824674076595629083466429770751087815146744291956200940135073\
         076871443519068807097614720866913722241285629223/
         50418979416494021178346615127256117253353294677572641335092449\
         70461097456673595850752000000000000*ep^3+2418323475327104456/
         11907*ep^3*z6+1016565237845394273914099/4767562800*ep^3*z5-
         926475293354923913346787745591/21904996365252000*ep^3*z4-
         132323655562626401863191368819978475097/
         3220623271994341973760000*ep^3*z3+352463124239355400/11907*
         ep^3*z3^2;
Fill mncnoptab(10,9,1,1)=
      +mncF321*(-590976100-710649769115/126*ep-37317802393211/1764*ep^2
         -1743171017582191/39690*ep^3)
      +3353552985725773322068635253060039/1158359709067717047091200-
         488988828299/190512*ep^-3-18109073158272563527/848799544320*
         ep^-2-722139951040772513005085393/11439665301789204480*ep^-1+
         370155303554579/47628*z3-1644451709664976201415914691744077755\
         728424263/68691705623246772283174991953920000*ep+
         370155303554579/31752*ep*z4+652046404939109344392583/
         4668397493760*ep*z3+793858983250549378438895592042494328552409\
         64974932811/841627263305369033238807963417496780800000*ep^2+
         5989474786438933/7938*ep^2*z5+652046404939109344392583/
         3112264995840*ep^2*z4-800166272017247865802790631533/
         5719832650894602240*ep^2*z3+1544242205035599686695493160663740\
         9380927651219976160103799295282790960152256944637270797397/
         25353078598987733327870406714439299015516091246647176156305151\
         754240000000000000*ep^3+177833467075395095/95256*ep^3*z6+
         1371083910458573092128569/518710832640*ep^3*z5-
         800166272017247865802790631533/3813221767263068160*ep^3*z4-
         43614928756513669994987164581025348877/
         70080762398596881349017600*ep^3*z3+6495076915609747/23814*ep^3
         *z3^2;
Fill mncnoptab(11,1,1,8)=
      +mncF321*(-7355714043392-3606503696425916/63*ep-
         1719722005146753511/11025*ep^2-765355645489623421516/3472875*
         ep^3)
      +4953683177459924149118927300622758132927/
      136876489059759533884800000+2317521277741/595350*ep^-3+
         102876424748888979457/7294371084000*ep^-2-
         127853877814463818730274929/1396443518284815000*ep^-1+
         4116295107511287676/42525*z3-123718454720359867493980947868305\
         21205988762535051239/33540871886350963028894039040000000000*ep
         +2058147553755643838/14175*ep*z4+204326840650636239129763657/
         130256626500*ep*z3+2911632295419116382992533581159652899036999\
         65602747642629433/164380324864329889304454680354979840000000000
         *ep^2+931656873685888060918/99225*ep^2*z5+
         204326840650636239129763657/86837751000*ep^2*z4-30171310168073\
         78305440046631152087/657149890957560000*ep^2*z3-
         62336611404623262897885454547819210765525796386398840674428867\
         6758495333379049557/116957064607966497803600164262653822169640\
         282882048000000000000000*ep^3+1383078277652542584511/59535*
         ep^3*z6+3312059831843531010940894129/202621419000*ep^3*z5-
         3017131016807378305440046631152087/438099927305040000*ep^3*z4-
         18376521955614932011750800945379105615357/
         17109561132469941735600000*ep^3*z3+1008495898853403615646/
         297675*ep^3*z3^2;
Fill mncnoptab(11,2,1,7)=
      +mncF321*(-32766362556928-2292772113852220/9*ep-51982262074636667/
         75*ep^2-9902759745538387688/10125*ep^3)
      +2408174899040566062638507784115665451/14937955807023849600000+
         387860692331/12150*ep^-3+155529938325563381/796068000*ep^-2-
         52574636782135478626211/239486111865000*ep^-1+
         2619461232356850812/6075*z3-1281216424735587017313529113767958\
         5886876828486986748761/7792756520284297695990440263680000000000
         *ep+1309730616178425406/2025*ep*z4+7644953781863283039209017/
         1094593500*ep*z3+905849668125951358320503417922777645115654529\
         5688009527849213757/114574467777705700323266294179524771840000\
         0000000*ep^2+84696094669965717338/2025*ep^2*z5+
         7644953781863283039209017/729729000*ep^2*z4-
         16174574807114575638833390951041/788895427320000*ep^2*z3-
         45236417697538132336270181839681260170775386499692595767192263\
         054664884028140153447051/1776781398122119806824940060861813417\
         150768644169400320000000000000000*ep^3+125734411388770150601/
         1215*ep^3*z6+17633041821389326812190807/243243000*ep^3*z5-
         16174574807114575638833390951041/525930284880000*ep^3*z4-
         5532124789429486113481288600508661203/1208217013803399600000*
         ep^3*z3+91681444992175043186/6075*ep^3*z3^2;
Fill mncnoptab(11,2,2,6)=
      +mncF321*(-125107929762816-2921104467467368/3*ep-
         199090129754192974/75*ep^2-88784555713422118394/23625*ep^3)
      +91662519321942162473531436441921839/148911900860923200000-
         3944156769733/22275*ep^-3-4437360755176835039/2293434000*ep^-2
         -645897891438835358438329/103307734530000*ep^-1+
         36672641782959470968/22275*z3-12769134337193961155353823607633\
         35744425187698379418073/203555957684337784989233971200000000000
         *ep+18336320891479735484/7425*ep*z4+53541499910843870369276089/
         2006754750*ep*z3+232073658807624580463304253106500018989217165\
         57024616703403223/770210961566843624086563715547136000000000000
         *ep^2+1185745904283969142132/7425*ep^2*z5+
         53541499910843870369276089/1337836500*ep^2*z4-1129044575797255\
         24690935916766257/1446308283420000*ep^2*z3-1398627548021506603\
         3070062923705431616418763885135194142839700843726021009683411/
         145994394586389552466370209887717494555852931072000000000000000
         *ep^3+1760282535534473977714/4455*ep^3*z6+
         124006698040010177233164919/445945500*ep^3*z5-1129044575797255\
         24690935916766257/964205522280000*ep^3*z4-23518641118112491294\
         98542622890906593/130297913253307800000*ep^3*z3+
         1283537843198551255204/22275*ep^3*z3^2;
Fill mncnoptab(11,3,1,6)=
      +mncF321*(-49149543835392-1151126310029696/3*ep-
         236696143879187764/225*ep^2-3939808690129848292/2625*ep^3)
      +236520779050722698426884822011299333/978080439745609200000-
         45590437786/2025*ep^-3-18094010931959903/66339000*ep^-2-
         2256774390298133957549659/2235203710740000*ep^-1+
         1309735171574055856/2025*z3-1564733775585056101305569129536474\
         9874054038491242361237229/636408449156550978505885954867200000\
         0000000*ep+654867585787027928/675*ep*z4+
         1915035032160200887656163/182432250*ep*z3+55099043028846430066\
         86030427205825868186642637109028354458546318579/46784574342563\
         1609653337367899726151680000000000000*ep^2+
         42348060547237190344/675*ep^2*z5+1915035032160200887656163/
         121621500*ep^2*z4-67987519282335738105830806180973/
         2235203710740000*ep^2*z3-1737370179564714521090025730977773314\
         479353131390289104204058532783773863010710493198481101/
         41935002298012230974079960336440233000453391283471463219200000\
         000000000000*ep^3+62867223235068757588/405*ep^3*z6+
         11338470623301413337388/102375*ep^3*z5-
         67987519282335738105830806180973/1490135807160000*ep^3*z4-
         53718640220837278052855256795516278093/6846563078219264400000*
         ep^3*z3+45840658840084883368/2025*ep^3*z3^2;
Fill mncnoptab(11,3,2,5)=
      +mncF321*(-156384912203520-3672360548729600/3*ep-
         151753844158507508/45*ep^2-7628869913107875392/1575*ep^3)
      +5728912316100849567080226191712539/7445595043046160000-
         5977662922342/4455*ep^-3-3599402241295346173/229343400*ep^-2-
         2387330768771441512855547/41323093812000*ep^-1+
         9168253413872072272/4455*z3-9343946281258099261109523040443220\
         1135413016454562317167/119690903118390617573669575065600000000\
         00*ep+4584126706936036136/1485*ep*z4+
         13422417037123489583827981/401350950*ep*z3+1030095092844586058\
         1344435453061651485153865748690104156490940351/276043608625556\
         754872624435652093542400000000000*ep^2+296436827137619785528/
         1485*ep^2*z5+13422417037123489583827981/267567300*ep^2*z4-
         27795504142123558643639378447683/289261656684000*ep^2*z3-
         41974821010614891348076464998749767122974296227533779927216101\
         1476416105855053190795546423/417486245100210655030840494016116\
         0974267359843332270116044800000000000000*ep^3+
         440071113999493642156/891*ep^3*z6+2649842028160455538866748/
         7432425*ep^3*z5-27795504142123558643639378447683/
         192841104456000*ep^3*z4-1406573338269622588110611910694154219/
         52119165301323120000*ep^3*z3+320883574786737597016/4455*ep^3*
         z3^2;
Fill mncnoptab(11,3,3,4)=
      +mncF321*(-156384912203520-3698222082747920/3*ep-
         154761537134386738/45*ep^2-23741592194552002916/4725*ep^3)
      +10031167541412173026329784760406527/13029791325330780000-
         54039468743272/4455*ep^-3-24506042709682066772/200675475*ep^-2
         -48288985371551233550180077/144630828342000*ep^-1+
         9169344872175627232/4455*z3-8359062100704631119639450282752739\
         6758289648172108179583/107721812806551555816302617559040000000\
         00*ep+4584672436087813616/1485*ep*z4+6734454180749184463265753/
         200675475*ep*z3+4009556219382519367888082289460503200694973835\
         862624394752308177/1086921708963129722310958715380118323200000\
         00000*ep^2+296440655227289282368/1485*ep^2*z5+
         6734454180749184463265753/133783650*ep^2*z4-
         6815728148644507886158231144357/72315414171000*ep^2*z3-
         41788444714592140796198870008283947590774989694911880861395141\
         9176731385469227657218609536063/383604627021296684058493845173\
         6206753949474421046835569439539200000000000000*ep^3+
         440076310404846109936/891*ep^3*z6+8195444896517969431066469/
         22297275*ep^3*z5-6815728148644507886158231144357/
         48210276114000*ep^3*z4-845120369680835184317899852552320337/
         26059582650661560000*ep^3*z3+320871295426645295296/4455*ep^3*
         z3^2;
Fill mncnoptab(11,4,1,5)=
      +mncF321*(-31506117843200-2236177123980800/9*ep-18729888451637524/
         27*ep^2-958651861075672856/945*ep^3)
      +127343941960353309854130171767566787/821587569386311728000+
         21146529806/243*ep^-3+1996819658305981/7960680*ep^-2-
         980227508834743040024551/268224445288800*ep^-1+
         100748019608181232/243*z3-213990682218417510136172915389711839\
         9305050564461280979/1368532729066247224179057157346426880000*
         ep+50374009804090616/81*ep*z4+148029328569034118502823/
         21891870*ep*z3+74703995004945134048076975231077400769900302075\
         437796083675881967/1006055486662478213398536675931571116572672\
         0000000*ep^2+3257540536797806248/81*ep^2*z5+
         148029328569034118502823/14594580*ep^2*z4-
         5087253568237544130318055744121/268224445288800*ep^2*z3-
         20205265977147669551844061245082374277302707587293183314609515\
         604252018343760543240828772137429123/4030334883896099696770462\
         102992291732353483129626038550922432952139776000000000000*ep^3
         +24179683976963093780/243*ep^3*z6+30074353222921508195924/
         405405*ep^3*z5-5087253568237544130318055744121/178816296859200
         *ep^3*z4-155036910806517917871903360459843859/
         23473930553894620800*ep^3*z3+3526216204570431496/243*ep^3*z3^2
         ;
Fill mncnoptab(11,4,2,4)=
      +mncF321*(-80197390873600-5714186211260800/9*ep-48192236675458112/
         27*ep^2-2489491139772098828/945*ep^3)
      +3085812958262530660274162030095811/7817874795198468000-
         12585622255912/2673*ep^-3-904941341116519921/18523890*ep^-2-
         6229049580883721166773501/43389248502600*ep^-1+
         2821250090630205376/2673*z3-1625298179857887060746296048546584\
         32814114570528148723/40976175623793913877714436096000000000*ep
         +1410625045315102688/891*ep*z4+2076437289511772959843622/
         120405285*ep*z3+2755581131409561470970243079313078791800958775\
         6610043495833577783/146734430710022512511979426576315973632000\
         0000000*ep^2+91212198981132952864/891*ep^2*z5+
         1038218644755886479921811/40135095*ep^2*z4-
         2071896363854518367244814689001/43389248502600*ep^2*z3-
         85537345023122360667600366098609775750206028854713070991832182\
         429971072544499830086118041472632314639/1402745461543525324149\
         406927252395286533966198631562636278081156389273600000000000000
         *ep^3+677038367131921633040/2673*ep^3*z6+
         285370693979248193782624/1486485*ep^3*z5-
         2071896363854518367244814689001/28926165668400*ep^3*z4-2868612\
         7087358312857235729365540561/1563574959039693600*ep^3*z3+
         98730567023067307168/2673*ep^3*z3^2;
Fill mncnoptab(11,4,3,3)=
      +mncF321*(-60148043155200-1440034404150160/3*ep-12317749002478714/
         9*ep^2-1945078998182066996/945*ep^3)
      +772765269223326332456690513608439/2605958265066156000-
         14380715048200/891*ep^-3-6502089282520644212/40135095*ep^-2-
         12712854060540643624459969/28926165668400*ep^-1+
         705553471127456608/891*z3-130861244283671995730099013616891230\
         47215429872718231313251/44319831554695497250135934081433600000\
         00000*ep+352776735563728304/297*ep*z4+521240426876478349801181/
         40135095*ep*z3+13050455886978150923202517252575789666468465604\
         269944303927752126957/9391003565441440800766683300884222312448\
         00000000000*ep^2+22803911551697584192/297*ep^2*z5+
         521240426876478349801181/26756730*ep^2*z4-
         506027639429651496758220927913/14463082834200*ep^2*z3-
         75333768294322394324068518021651119187627772996090644069760912\
         617550537991631468006292637019059/1869629936005335223226628463\
         861585076386451533211750012920686182400000000000000*ep^3+
         169265452959913239920/891*ep^3*z6+664010930863792494843353/
         4459455*ep^3*z5-506027639429651496758220927913/9642055222800*
         ep^3*z4-16809127915987728849177499929831473/
         1042383306026462400*ep^3*z3+24680040994424827840/891*ep^3*z3^2
         ;
Fill mncnoptab(11,4,4,2)=
      +mncF321*(-15422575168000-1122294195463840/9*ep-9820445129280484/
         27*ep^2-319525433794968580/567*ep^3)
      +15485967653842973894698010785801171/203264744675160168000-
         297553817045248/34749*ep^-3-135064590060997787549/1565268705*
         ep^-2-6663174382881177888431791/28203011526690*ep^-1+
         7059061372786100032/34749*z3-329825669124578278166280432033181\
         663687130774098837650360181/4411208234428286210677592189042688\
         00000000000*ep+3529530686393050016/11583*ep*z4+
         1049470359736112945855230/313053741*ep*z3+13296378932870258506\
         65916175964073759858997474238833566976897390387/38150951984605\
         8532531146509098421531443200000000000*ep^2+
         228051444279482939968/11583*ep^2*z5+524735179868056472927615/
         104351247*ep^2*z4-607818260877758485665962706716/
         70507528816725*ep^2*z3-576857307876027481656413928769648041795\
         034723253855392235399356892398243660383269208956778740897/
         58484361435666892451557971635170208170713687023280055091675214\
         643200000000000000*ep^3+1692738178664156799680/34749*ep^3*z6+
         1400299593943151504260522/34783749*ep^3*z5-
         303909130438879242832981353358/23502509605575*ep^3*z4-12983342\
         5876089018197026248013896347/25408093084395021000*ep^3*z3+
         246760462743013562944/34749*ep^3*z3^2;
Fill mncnoptab(11,5,1,4)=
      +mncF321*(-9001747955200-650350650492400/9*ep-39336786604782818/
         189*ep^2-599306169861799657/1890*ep^3)
      +509333068883543390515151041902919763/11502225971408364192000-
         126459653618/1701*ep^-3-62990033864573533/55724760*ep^-2-
         21947986282388009511823069/3755142234043200*ep^-1+
         201501480450259184/1701*z3-30519598533000232434496673777643590\
         0960559285556258498627/692819694089787657240647685906628608000\
         000*ep+100750740225129592/567*ep*z4+149313916993012331942938/
         76621545*ep*z3+73365701227981555910051394220533267739698472893\
         9605515232677556003/356520913086015716873106434533250514435440\
         640000000*ep^2+6515098221679056776/567*ep^2*z5+
         74656958496506165971469/25540515*ep^2*z4-
         2416075957857114011944429861663/469392779255400*ep^2*z3-
         79760249661743427526538280444589278390621516173548739383302933\
         19783596127851381634101967905379135291/51008925874310011787251\
         1609909961922375987708593295504101120420505190400000000000000*
         ep^3+48359482961467277860/1701*ep^3*z6+43170202575115627576967/
         1891890*ep^3*z5-2416075957857114011944429861663/
         312928519503600*ep^3*z4-1537128053624913584038313129854471927/
         575111298570418209600*ep^3*z3+7052358639411952232/1701*ep^3*
         z3^2;
Fill mncnoptab(11,5,2,3)=
      +mncF321*(-17185155187200-415841422745840/3*ep-3623064501080782/9
         *ep^2-390595110926233529/630*ep^3)
      +1764702549592056413296894013378927/20847666120529248000-
         3172934449946/891*ep^-3-2404262233630614895/64216152*ep^-2-
         13114986026284669990713233/115704662673600*ep^-1+
         201565434167887280/891*z3-173041857264933977549576161309173526\
         28383153427197265987743/20682588058857898716730102571335680000\
         000000*ep+100782717083943640/297*ep*z4+29938588475155868120066/
         8027019*ep*z3+244012726659049148951459880852093119662822461167\
         3691669260740005703/626066904362762720051112220058948154163200\
         000000000*ep^2+6515328712033657640/297*ep^2*z5+
         14969294237577934060033/2675673*ep^2*z4-
         28007477931625757353092943519/2892616566840*ep^2*z3-
         88037071990511538746282369617183824386485219517512190377172987\
         4495796519053225357379548547550177513567/119700946051714160994\
         08272445887106445089844894989334496239625867855134720000000000\
         0000*ep^3+48361051754832714100/891*ep^3*z6+
         26408334431393823870869/594594*ep^3*z5-
         28007477931625757353092943519/1928411044560*ep^3*z4-5733261462\
         457082803882552675783579/1042383306026462400*ep^3*z3+
         7051679744575191944/891*ep^3*z3^2;
Fill mncnoptab(11,5,3,2)=
      +mncF321*(-8592577593600-209740142466400/3*ep-1855005170580064/9*
         ep^2-305911424414993708/945*ep^3)
      +1770124492243944012151650526384367/41695332241058496000-
         4536510555394/891*ep^-3-2359480213719517627/45868680*ep^-2-
         1025965686751276813909681/7231541417100*ep^-1+
         100850180077588192/891*z3-562327051826430126263320346146464790\
         45876009887357907149503/13572948413625496032854129812439040000\
         0000000*ep+50425090038794096/297*ep*z4+75196561809466600238969/
         40135095*ep*z3+22541590465831407314469373317199135980644753898\
         8518311789389725501/117387544568018010009583541261052778905600\
         000000000*ep^2+3257900436198165688/297*ep^2*z5+
         75196561809466600238969/26756730*ep^2*z4-
         5238416830631625598265805919/1112544833400*ep^2*z3-
         92645129692943936870812941779155848365176837482249177760624503\
         56612373324130697576762855092725809559791/
         22011586467706990223326356785196744226756990438147821612131169\
         91002755727360000000000000*ep^3+24182127821292272180/891*ep^3*
         z6+205036737379386246288439/8918910*ep^3*z5-
         5238416830631625598265805919/741696555600*ep^3*z4-129589656391\
         05041407879367976451787/4169533224105849600*ep^3*z3+
         3525077280707742616/891*ep^3*z3^2;
Fill mncnoptab(11,5,4,1)=
      +mncF321*(-1101612512000-81770456576480/9*ep-740048191555088/27*
         ep^2-25146187566436232/567*ep^3)
      +2538375461662759889447451463624987219/469948089688970308416000-
         3951303141146/34749*ep^-3-26836850601593235449/12522149640*
         ep^-2-6128150855399546953601563/479451195953730*ep^-1+
         503810601602636384/34749*z3-3285122374775594182870563044411228\
         67509731355768675612480492812891/62416126240548970040809950023\
         32817129472000000000000*ep+251905300801318192/11583*ep*z4+
         75667964117050395980441/313053741*ep*z3+1102398373950047590210\
         38469862977786397169900707053267821474937729637642609/
         458842415141702227615687981244293412078412103680000000000000*
         ep^2+16287975284639677016/11583*ep^2*z5+
         75667964117050395980441/208702494*ep^2*z4-
         46516122407304039319850670233/80580032933400*ep^2*z3-
         71624713174299307919808860965156809622430633165489096586731194\
         70686100218807588046015531947081378271/10948272460756842266931\
         652290103862969557602210758026313161600181207040000000000000000
         *ep^3+120900288130790986660/34749*ep^3*z6+
         30832308712591032005257/9938214*ep^3*z5-
         46516122407304039319850670233/53720021955600*ep^3*z4-645464572\
         4076155803075125542411184811/13822002637910891424000*ep^3*z3+
         17630455321972321208/34749*ep^3*z3^2;
Fill mncnoptab(11,6,1,3)=
      +mncF321*(-1080209754624-133880357831792/15*ep-566888900121262/21
         *ep^2-2067902720798835631/47250*ep^3)
      +508455229085197249458600735123583079/95851883095069701600000+
         60427620878/2835*ep^-3-98453680307436241/464373000*ep^-2-
         111127511470447556671570849/31292851950360000*ep^-1+
         201482633483788208/14175*z3-2287470051115108801824672493836332\
         771832234804326169524251/4434046042174641006340145189802423091\
         2000000*ep+100741316741894104/4725*ep*z4+
         151446152407458431382562/638512875*ep*z3+535127045477610667788\
         2089348134909637915667768649502430470864831643/228173384375050\
         05879878811810128032923868200960000000*ep^2+
         6515042876083399592/4725*ep^2*z5+75723076203729215691281/
         212837625*ep^2*z4-2201804909107682420782873298167/
         3911606493795000*ep^2*z3+5011112726360567897851808512195020468\
         3771739307352393227209459924831538124157709783364530134554343/
         21102593768298905975333382698278967700105503135081391249173695\
         483084800000000000000*ep^3+9671822997383205284/2835*ep^3*z6+
         434536724317412147838427/141891750*ep^3*z5-
         2201804909107682420782873298167/2607737662530000*ep^3*z4-
         11264685640004598026298132849979964939/23962970773767425400000
         *ep^3*z3+1410528281289774184/2835*ep^3*z3^2;
Fill mncnoptab(11,6,2,2)=
      +mncF321*(-1374812414976-171309877470368/15*ep-522805517996092/15
         *ep^2-192923120727466271/3375*ep^3)
      +3543082583183870393449468114860517/521191653013231200000-
         4482570453164/4455*ep^-3-40548544707590086151/4013509500*ep^-2
         -19968017658282229638336781/723154141710000*ep^-1+
         403512591608317216/22275*z3-4416766339773155894316838064769512\
         146837743184749342241499/6786474206812748016427064906219520000\
         0000000*ep+201756295804158608/7425*ep*z4+
         303930182981188265103929/1003377375*ep*z3+34724721004973432933\
         05955490408427719331392018725382412848094853/11738754456801801\
         000958354126105277890560000000000*ep^2+13031976554251846384/
         7425*ep^2*z5+303930182981188265103929/668918250*ep^2*z4-
         508060941336277157531645315459/723154141710000*ep^2*z3-
         41804006664157066056537315195358009177585750495140836541919263\
         588812037650770055885514501297400760759/7855374584643741815236\
         67879261341360459021071233675076315725447577993216000000000000\
         00*ep^3+19346208535573610968/4455*ep^3*z6+
         443500967200113893230492/111486375*ep^3*z5-
         508060941336277157531645315459/482102761140000*ep^3*z4-2356489\
         3684383092021181165618482027/37227975215230800000*ep^3*z3+
         2819786903486077808/4455*ep^3*z3^2;
Fill mncnoptab(11,6,3,1)=
      +mncF321*(-343703103744-43219641107552/15*ep-80350247939504/9*
         ep^2-39192611960496752/2625*ep^3)
      +72427146952011831451047785213646497/43035539348806804800000-
         237802756106/4455*ep^-3-8016312490650599413/8027019000*ep^-2-
         18175266925304431641798707/3073405102267500*ep^-1+
         100762950998228704/22275*z3-5178151174573973049505753496437226\
         787512962947626171185612643983/3200826986694818976451792308888\
         62416896000000000000*ep+50381475499114352/7425*ep*z4+
         76287912107865918294881/1003377375*ep*z3+171149264424029482850\
         8923471489073399115472956130484755809761411205003417/
         23530380263677037313625024679194533952739082240000000000000*
         ep^2+3257607624256168696/7425*ep^2*z5+76287912107865918294881/
         668918250*ep^2*z4-1044674514480063591973905723671/
         6146810204535000*ep^2*z3-7553219440859146323443979560374325725\
         54146055776385272655801252045179416251998797377168752193299704\
         403960967/5520505886100913148010250281727343452070653201887473\
         660322497413434911364218880000000000000000*ep^3+
         4836029960885138692/4455*ep^3*z6+76367510652042184388917/
         74324250*ep^3*z5-1044674514480063591973905723671/
         4097873469690000*ep^3*z4-25884490346956615788836545863492925903
       /150624387720823816800000*ep^3*z3+705229090853221112/4455*ep^3*
         z3^2;
Fill mncnoptab(11,7,1,2)=
      +mncF321*(-45008739776-17568014796904/45*ep-134008300153874/105*
         ep^2-23027116864539463/10125*ep^3)
      +2038343525544617396168680663243729151/9201780777126691353600000-
         217368592124/8505*ep^-3-3292766646317647741/11144952000*ep^-2-
         198418717362508157137198201/187757111702160000*ep^-1+
         25213872263441476/42525*z3-39785100861489052064183150476803700\
         542067574500907723807/1939895143451405440273813520538560102400\
         0000*ep+12606936131720738/14175*ep*z4+621150885863705410473433/
         61297236000*ep*z3+12687489644360749330537226414204597511704376\
         829863269621568630289/1426083652344062867492425738133002057741\
         762560000000*ep^2+814476932386272124/14175*ep^2*z5+
         621150885863705410473433/40864824000*ep^2*z4-
         1819974956343352912583243737657/93878555851080000*ep^2*z3-
         40712178650553893462383372740936374134137107896252554094820376\
         7154214951756180152455847942114897035575794329/
         19451766750190594590411502749713008199596178502149938786686901\
         89221102413840121856000000000000*ep^3+1209108462447687448/8505
         *ep^3*z6+93681215346893365142269/619164000*ep^3*z5-
         1819974956343352912583243737657/62585703900720000*ep^3*z4-
         136014954629253337061207320145866172317/
         4600890388563345676800000*ep^3*z3+176247151536481388/8505*ep^3
         *z3^2;
Fill mncnoptab(11,7,2,1)=
      +mncF321*(-28641925312-11242662391688/45*ep-7417136268922/9*ep^2-
         105274240892034917/70875*ep^3)
      +2039392234336009649228427584524310591/14459941221199086412800000
         -400852410044/13365*ep^-3-63922406871911240351/192648456000*
         ep^-2-338504965624126746576925081/295046889817680000*ep^-1+
         25228551656273476/66825*z3-12419772717264496090105787817026703\
         01726572161890352287461849877/96024809600844569293553769266658\
         7250688000000000000*ep+12614275828136738/22275*ep*z4+
         623153789976500386280473/96324228000*ep*z3+3957498912315338974\
         44872264891764415937036403238145790919583631564727123/
         70591140791031111940875074037583601858217246720000000000000*
         ep^2+814535653967424124/22275*ep^2*z5+623153789976500386280473/
         64216152000*ep^2*z4-253240622470361816328021601231/
         21074777844120000*ep^2*z3-157259095662919685395421063249613609\
         21790563634712016388621527282547444339942209173568915331782687\
         949/1809878304301918114230530793818130494497584548122387375831\
         431431219696369664000000000000*ep^3+1209189205122999448/13365*
         ep^3*z6+149989266729293828393897/1528956000*ep^3*z5-
         253240622470361816328021601231/14049851896080000*ep^3*z4-
         140704107455332826919825431555357695837/
         7229970610599543206400000*ep^3*z3+176223664851649388/13365*
         ep^3*z3^2;
Fill mncnoptab(11,8,1,1)=
      +mncF321*(-378224704-1142996669672/315*ep-6048773186110/441*ep^2-
         14263695281477273/496125*ep^3)
      +184338959953187952495663666033705181/99546537498006933734400000-
         97795835932/59535*ep^-3-18193938246126396541/1326249288000*
         ep^-2-913657579321198145672239081/22343096292557040000*ep^-1+
         1480621291407428/297675*z3-26150142086642550249946533721724303\
         092009647869/1717292640581169307079374798848000000*ep+
         740310645703714/99225*ep*z4+653859394731488818390873/
         7294371084000*ep*z3+626752766508121438695732558564647705847520\
         162672340843/10520340791317112915485099542718709760000000*ep^2
         +47915799951077372/99225*ep^2*z5+653859394731488818390873/
         4862914056000*ep^2*z4-950885934259832081574253433017/
         11171548146278520000*ep^2*z3+111160190350176403043811876406409\
         3854633821763046590467069500836100557185534944097920046679/
         35156268990596323547980297310689161301515646528684084270076477\
         09921280000000000*ep^3+71133389280912344/59535*ep^3*z6+
         1390652620426733975568479/810485676000*ep^3*z5-
         950885934259832081574253433017/7447698764185680000*ep^3*z4-
         221029541604017379629897587506063934237/
         547505956239038135539200000*ep^3*z3+10392123057256684/59535*
         ep^3*z3^2;
Fill mncnoptab(12,1,1,7)=
      +mncF321*(-1895574693376-1486380500878364/99*ep-
         104448903649072937/2475*ep^2-48414950745154045372/779625*ep^3)
      +450336676591174684551018226434194084557/
      48285875149361234985600000+765849375617/1470150*ep^-3+
         7647015278876371187/2573232948000*ep^-2-
         4126492958072284390167589/492622932106305000*ep^-1+
         18336220824984672884/735075*z3-1314930980135777329520110520830\
         1667955359648911946803298113/140259876419467003155707936695910\
         400000000000*ep+9168110412492336442/245025*ep*z4+
         917933307557607332559513563/2251578829500*ep*z3+
         91424141858192823295052607464161995152530065815388720931743943\
         80173/20621972019139804736933892123637214871552000000000000*
         ep^2+592872495013357441166/245025*ep^2*z5+
         917933307557607332559513563/1501052553000*ep^2*z4-183014166218\
         2000627920810490000019/1622757893997240000*ep^2*z3-
         10694990469381709339572003137452340033412690234331680888675797\
         990146646207880345406229/7268146406693296334793270436462855509\
         532362985055453184000000000000000*ep^3+880140632107543825307/
         147015*ep^3*z6+2274734512195692020635377173/500350851000*ep^3*
         z5-1830141662182000627920810490000019/1081838595998160000*ep^3
         *z4-18871591087556238418872314820297887041409/
         42250140755691080612400000*ep^3*z3+641770118870038943702/
         735075*ep^3*z3^2;
Fill mncnoptab(12,2,1,6)=
      +mncF321*(-5686724080128-1491284990664560/33*ep-
         316290209822443036/2475*ep^2-5477626664679242438/28875*ep^3)
      +135158410373630197997812829835056441/4830519722825253600000-
         2745194665754/245025*ep^-3-893684769049091471/12613887000*
         ep^-2+918862212732834519688271/19318546357110000*ep^-1+
         18336370953150681584/245025*z3-9002697348758678097312231743826\
         813609669439435927592984573/3208559264497611183300508355788800\
         0000000000*ep+9168185476575340792/81675*ep*z4+
         13520642974046406105076786/11037151125*ep*z3+62376448547426855\
         48647908073715728388652735840743221939186931313761/
         4717444579541785397337818459655572029440000000000000*ep^2+
         592873116375656378216/81675*ep^2*z5+6760321487023203052538393/
         3679050375*ep^2*z4-56648932231681849302477392000497/
         16903728062471250*ep^2*z3-422488642548458313085024878597518464\
         031864915760607620457349708708373344719899036406561501/
         84568921300991332464394586678487803217581005755000784158720000\
         000000000000*ep^3+880141489086909226532/49005*ep^3*z6+
         11305792107422653809122827/817566750*ep^3*z5-
         56648932231681849302477392000497/11269152041647500*ep^3*z4-
         590626674814280970463715122239813853991/
         414217066232265496200000*ep^3*z3+641768154748002884552/245025*
         ep^3*z3^2;
Fill mncnoptab(12,2,2,5)=
      +mncF321*(-14216810200320-3747689304091460/33*ep-
         160453641764338678/495*ep^2-3618259236856719308/7425*ep^3)
      +45829847005649939799938433277487257/655212363788062080000-
         1875224642249/98010*ep^-3-2738837583942234007/10091109600*
         ep^-2-2546404984580642386834643/1818216127728000*ep^-1+
         9168146568757400812/49005*z3-945865032104397859444679844293042\
         9080689973672999260839/135421707528236241597637576359936000000\
         00*ep+4584073284378700406/16335*ep*z4+
         3872835326533478783970431/1261388700*ep*z3+1919096415837532405\
         95032195018795269855001356077203516857551581/58560679829850254\
         426549612420479844352000000000*ep^2+296436441368963735938/
         16335*ep^2*z5+3872835326533478783970431/840925800*ep^2*z4-
         7501370324325029392406128288883/909108063864000*ep^2*z3-
         83192374319403762206997763678367858628761423354867438084689505\
         19055504668985291461242010431/96449163365354594848992738215081\
         7698135867854434632943173369856000000000000*ep^3+
         440070588769066903501/9801*ep^3*z6+9901855314081789588474601/
         280308600*ep^3*z5-7501370324325029392406128288883/
         606072042576000*ep^3*z4-641800288472707420413370079042488849/
         163803090947015520000*ep^3*z3+320884714083340129786/49005*ep^3
         *z3^2;
Fill mncnoptab(12,3,1,5)=
      +mncF321*(-5468003923200-1447081275902080/33*ep-12476587635645620/
         99*ep^2-73613205493355812/385*ep^3)
      +127351060875320276419345597587381143/4733909328368748528000+
         78519808658/9801*ep^-3+25519419640463207/504555480*ep^-2-
         198402019710877192460527/1545483708568800*ep^-1+
         705238449091185424/9801*z3-35632722503598122000024404217767733\
         799122457887608832188691/1330653698172449309938386825312731136\
         00000000*ep+352619224545592712/3267*ep*z4+
         1044676945831100583325033/882972090*ep*z3+30616765408690270826\
         31689258482737419072663211162867953186427074887/24455232700344\
         61549979925089485448540061696000000000*ep^2+
         22802790555453518296/3267*ep^2*z5+1044676945831100583325033/
         588648060*ep^2*z4-33934850320743156841116243359783/
         10818385959981600*ep^2*z3-265252323111723116473451489862350897\
         3095902676854728633499950659153025938507593940801914318794849/
         20625163010163780873040569690594951581451800414298665328733691\
         18834688000000000000*ep^3+169257833043173423660/9801*ep^3*z6+
         75245902834917239808868/5450445*ep^3*z5-
         33934850320743156841116243359783/7212257306654400*ep^3*z4-
         53358365229741531922051491388478261639/33137365298581239696000
         *ep^3*z3+24683480930365322872/9801*ep^3*z3^2;
Fill mncnoptab(12,3,2,4)=
      +mncF321*(-10936007846400-2913636515273120/33*ep-
         25416428078729924/99*ep^2-4112143581927368164/10395*ep^3)
      +110187846051287043332961105726059/2047538636837694000-
         3355973118752/9801*ep^-3-223601922602734333/63069435*ep^-2-
         29721251301645256667669/2840962699575*ep^-1+
         1410562497498763328/9801*z3-4207107399999763910246850965693019\
         6683158635510881679197/789959960581378075986219195432960000000\
         00*ep+705281248749381664/3267*ep*z4+209628731944731888216746/
         88297209*ep*z3+25360977472717278673426826579472017838460925764\
         61616491579568661/10248118970223794524646182173583972761600000\
         00000*ep^2+45605875347792381632/3267*ep^2*z5+
         104814365972365944108373/29432403*ep^2*z4-
         488921671638163315864894531423/79546955588100*ep^2*z3-
         58327406117473257337548699281324051755686537471984695521619056\
         415558301953508596640053615947/6876468128826207225344852632001\
         200255227946739950623761513840640000000000000*ep^3+
         338517658864695953920/9801*ep^3*z6+278284257515867657173358/
         9810801*ep^3*z5-488921671638163315864894531423/53031303725400*
         ep^3*z4-102354093011330399249002432599093871/
         28665540915727716000*ep^3*z3+49365955248614177984/9801*ep^3*
         z3^2;
Fill mncnoptab(12,3,3,3)=
      +mncF321*(-6309235296000-566968332991760/11*ep-458834310236542/3*
         ep^2-838538373891875572/3465*ep^3)
      +551435658335567127888181900747537/17745334852593348000-
         48428433766952/42471*ep^-3-3235123878646389868/273300885*ep^-2
         -1377313791249826911484951/39394682767440*ep^-1+
         3527238174257271008/42471*z3-561963488363377769846297913189818\
         26165244440880336519426063/18485063077604246978077529173131264\
         0000000000*ep+1763619087128635504/14157*ep*z4+
         2635982336955398436536689/1913106195*ep*z3+1117804207624313996\
         731019208959755983254816941271516839979373894269/7993532796774\
         55972922402209539549875404800000000000*ep^2+
         114017696904555881792/14157*ep^2*z5+2635982336955398436536689/
         1275404130*ep^2*z4-470827361885759370443176995001/
         137881389686040*ep^2*z3-51105232348160919376527268913594552773\
         1169151653120701024443047405447881386394626478924222402639/
         12253866205568301275564527390226138854816201090592011543017664\
         0204800000000000000*ep^3+846314631348525935920/42471*ep^3*z6+
         3643151049245547755068957/212567355*ep^3*z5-
         470827361885759370443176995001/91920926457360*ep^3*z4-11984332\
         6811721988670260424122875157/49686937587261374400*ep^3*z3+
         123406127624954069696/42471*ep^3*z3^2;
Fill mncnoptab(12,4,1,4)=
      +mncF321*(-2083049113600-1681546740910400/99*ep-14920050370191592/
         297*ep^2-274185636952064186/3465*ep^3)
      +509410496385097155991321101114083933/49706047947871859544000-
         552656283992/29403*ep^-3-550914336766174013/2648916270*ep^-2-
         11895007775570522883914719/16227578939972400*ep^-1+
         806008341946615616/29403*z3-3515526109071525312554909702947166\
         07365087140628938482755819/34929659577026794385882654164459192\
         32000000000*ep+403004170973307808/9801*ep*z4+
         601851031181335409461432/1324458135*ep*z3+11890105531980226928\
         0065347434855038842900439711864649824107613555153/256779943353\
         618462747892134395972096706478080000000000*ep^2+
         26060400167804438624/9801*ep^2*z5+300925515590667704730716/
         441486045*ep^2*z4-2301464935484376889728672384463/
         2028447367496550*ep^2*z3-1156667643633706706376772482514742364\
         868628360875755532229180949122805698886895057942999044451547771
       /316516924655974944936276434867207141576894937127121825621720876\
         313477120000000000000*ep^3+193437980403666750640/29403*ep^3*z6
         +275534064605963583834782/49054005*ep^3*z5-
         2301464935484376889728672384463/1352298244997700*ep^3*z4-
         1935327385957138237488176972822169199/2485302397393592977200*
         ep^3*z3+28209397508890858208/29403*ep^3*z3^2;
Fill mncnoptab(12,4,2,3)=
      +mncF321*(-3124573670400-847373741992960/33*ep-7619276672920912/
         99*ep^2-1282124096089365212/10395*ep^3)
      +881833445406017807610701031697981/57331081831455432000-
         4327896044488/9801*ep^-3-4213968396467209801/882972090*ep^-2-
         2450140673698356696480911/159093911176200*ep^-1+
         403085305525189312/9801*z3-63916298084374427606697668725495568\
         38670953159988942114123/42657837871394416103255836553379840000\
         000000*ep+201542652762594656/3267*ep*z4+
         302128049572391344583894/441486045*ep*z3+126374237808947422544\
         781805800591684493878943745172370479488525369/1844661414640283\
         01443631279124511509708800000000000*ep^2+13030497274769830048/
         3267*ep^2*z5+151064024786195672291947/147162015*ep^2*z4-
         263817627221914372902437367697/159093911176200*ep^2*z3-
         56622781945957731627830423637252671954614254043014816019118476\
         3391354553303665825980565877244360777335653/
         32860154083934006833394346915043711024230078582663533692395817\
         9371125676441600000000000000*ep^3+96721016296960752080/9801*
         ep^3*z6+60839142494374265965256/7007715*ep^3*z5-
         263817627221914372902437367697/106062607450800*ep^3*z4-3674915\
         801640708761408401417734227/2866554091572771600*ep^3*z3+
         14103869977094996512/9801*ep^3*z3^2;
Fill mncnoptab(12,4,3,2)=
      +mncF321*(-1201759104000-330066177916160/33*ep-3031677982315376/
         99*ep^2-104864950906064276/2079*ep^3)
      +8851440107963071248467233018258873/1490608127617841232000-
         97635069452792/127413*ep^-3-12759640224762593381/1639805310*
         ep^-2-4497500713513684314776857/206822084529060*ep^-1+
         2017183142675954048/127413*z3-78781848661828531426629516593965\
         610898534218787874362212203/1386379730820318523355814687984844\
         800000000000*ep+1008591571337977024/42471*ep*z4+
         304185383936015800076636/1147863717*ep*z3+30891966149748898520\
         2054561352116005683520436044561992914310190269/119902991951618\
         3959383603314309324813107200000000000*ep^2+
         65158611808270456352/42471*ep^2*z5+152092691968007900038318/
         382621239*ep^2*z4-22529927778468357654824810542/36932515094475
         *ep^2*z3-13233901757832057517088670043688716805931337678732578\
         4366800511700488398828790905559827076856879/
         18380799308352451913346791085339208282224301635888017314526496\
         0307200000000000000*ep^3+483646630705338537520/127413*ep^3*z6+
         446545496015696550937466/127540413*ep^3*z5-
         11264963889234178827412405271/12310838364825*ep^3*z4-419629659\
         747204858427409218079092409/745304063808920616000*ep^3*z3+
         70499349633694644896/127413*ep^3*z3^2;
Fill mncnoptab(12,4,4,1)=
      +mncF321*(-114453248000-96130773125440/99*ep-6379171560966808/
         2079*ep^2-32810433253886770/6237*ep^3)
      +5069862501713536814076961153779447071/9046500726512678437008000-
         72820795687096/2675673*ep^-3-103098358547336058541/
         241051380570*ep^-2-667326391795720318307445313/
         295341936707497680*ep^-1+4031199639864224704/2675673*z3-
         864086458401604770989275956126485444085827349609058057010389/
         162173419464767259648740894334989107200000000000*ep+
         2015599819932112352/891891*ep*z4+87717202717010907283690/
         3443591151*ep*z3+564540428738399828411141362861886524480019596\
         71856779329759388119371/23843851882836000112304269622483123265\
         60153600000000000*ep^2+18615224296232564128/127413*ep^2*z5+
         43858601358505453641845/1147863717*ep^2*z4-
         39910775542307512878884782721057/738354841768744200*ep^2*z3-
         52019136425990270790962601378423575469258713989617226617724809\
         248486593943424345525908440095697/7396083531218010412751446889\
         10077666594263565825017839560709006950400000000000000*ep^3+
         967221276452549054960/2675673*ep^3*z6+955930637306439287364304/
         2678348673*ep^3*z5-39910775542307512878884782721057/
         492236561179162800*ep^3*z4-28601012498984312038161966437069091\
         4843/4523250363256339218504000*ep^3*z3+141037315549528243168/
         2675673*ep^3*z3^2;
Fill mncnoptab(12,5,1,3)=
      +mncF321*(-312457367040-86428520664304/33*ep-267645266347130/33*
         ep^2-1407544661737660247/103950*ep^3)
      +29919894379323978943652967777383587/19492567822694846880000+
         78413337590/9801*ep^-3-131941398982454111/17659441800*ep^-2-
         595595422428883728889451/909108063864000*ep^-1+
         201481537424542448/49005*z3-3634596421520925980077801435601641\
         94244760811113922516691569/24656230289665972507681873527853547\
         520000000000*ep+100740768712271224/16335*ep*z4+
         152528108227819676603002/2207430225*ep*z3+11965282590438965843\
         1814355117076042707259464285957700204497829242719/181256430602\
         5542089985120948677450094398668800000000000*ep^2+
         6515037792088431752/16335*ep^2*z5+76264054113909838301501/
         735810075*ep^2*z4-160939004969462257491074419819/
         1040229419229000*ep^2*z3+2361283565928812972358011387762202673\
         60207187268148383206724076771319911413568113955876479052967574\
         83/37982030958716993392353172184064856989227392455254619074606\
         505157617254400000000000000*ep^3+9671815919420376404/9801*ep^3
         *z6+457906028762014733641567/490540050*ep^3*z5-
         160939004969462257491074419819/693486279486000*ep^3*z4-
         12992436130495143318695229858810659459/82843413246453099240000
         *ep^3*z3+1410529234594746952/9801*ep^3*z3^2;
Fill mncnoptab(12,5,2,2)=
      +mncF321*(-312457367040-87171623104384/33*ep-821347640646008/99*
         ep^2-244323155573494462/17325*ep^3)
      +3541610123315341632760130905448467/2293243273258217280000-
         2176347469324/9801*ep^-3-9932177606979271079/4414860450*ep^-2-
         438805598483934608898497/69931389528000*ep^-1+
         201751136249773568/49005*z3-5178467018069133325443492190972575\
         75271579629127531382357/35548198226162013419379863794483200000\
         000000*ep+100875568124886784/16335*ep*z4+
         306597685468591279863449/4414860450*ep*z3+19987880088420939530\
         52458732430752752057863315892604928802745491/30744356910671383\
         573938546520751918284800000000000*ep^2+6515967592724506832/
         16335*ep^2*z5+306597685468591279863449/2943240300*ep^2*z4-
         476139045252617707163204022899/3181878223524000*ep^2*z3-
         30905425527537847187507270735835918876796860601345288858418722\
         62032007918017533372038249713500938765017/
         24097446328218271677822521071032054751102057627286591374423599\
         820549216272384000000000000*ep^3+9673075820961873464/9801*ep^3
         *z6+157425145791401166064559/163513350*ep^3*z5-
         476139045252617707163204022899/2121252149016000*ep^3*z4-
         193555599560144373307927304125076069/1146621636629108640000*
         ep^3*z3+1409901633657946576/9801*ep^3*z3^2;
Fill mncnoptab(12,5,3,1)=
      +mncF321*(-60087955200-16986065121760/33*ep-163520411292224/99*
         ep^2-3332249210950964/1155*ep^3)
      +101280582459976993980425171213191219/344628599105244892838400-
         2152006157602/127413*ep^-3-12567198330539029741/45914548680*
         ep^-2-530485305253196708314883/358773003774900*ep^-1+
         100777913311140448/127413*z3-673998160829180425908833349845128\
         895063620577278186677854281/2432601291971508894731113415024836\
         60800000000000*ep+50388956655570224/42471*ep*z4+
         77129079334707016628849/5739318585*ep*z3+218181696048975866021\
         44148277296687487745226567508168820110190830257/17882888912127\
         00008422820221686234244920115200000000000*ep^2+
         3257668248644836792/42471*ep^2*z5+77129079334707016628849/
         3826212390*ep^2*z4-191883765293681925468608844463/
         7031950873988040*ep^2*z3-6810068604665890126271463121197226811\
         07929318738756053496923564993440294016844530859995103807533351\
         931/2218793886247776131049506683437661291256606868583865835256\
         6372602626231500800000000000000*ep^3+24180567081558424820/
         127413*ep^3*z6+82347573974024878403933/425134710*ep^3*z5-
         191883765293681925468608844463/4687967249325360*ep^3*z4-
         30820767629158198135922230071438962023/
         861571497763112232096000*ep^3*z3+3526030715530420888/127413*
         ep^3*z3^2;
Fill mncnoptab(12,6,1,2)=
      +mncF321*(-15622868352-22647789485776/165*ep-15109403317820/33*
         ep^2-217354744619155084/259875*ep^3)
      +2037833290770887184720464358462984791/26509892238864991756800000
         -382381532848/49005*ep^-3-32324560584687194951/353188836000*
         ep^-2-25699750746425031808461583/77274185428440000*ep^-1+
         50423679061801352/245025*z3-1843275138922058519845129236917645\
         43711525095172642813487817/26197244682770095789411990623344394\
         2400000000000*ep+25211839530900676/81675*ep*z4+
         625183647022908933951073/176594418000*ep*z3+231546034932131502\
         6109554868549309708349087030741164957949887785289/770339830060\
         855388243676403187916290119434240000000000*ep^2+
         1628937476769837848/81675*ep^2*z5+625183647022908933951073/
         117729612000*ep^2*z4-1714817174847959021722732816117/
         270459648999540000*ep^2*z3-48682165215798653825809979725722299\
         86514807987462033347789728375008304687951826592080171257940059\
         757/6172080030791511426257390479910539260749451273978875599623\
         5570881128038400000000000000*ep^3+2418194375623856096/49005*
         ep^3*z6+1074245282350277741977079/19621602000*ep^3*z5-
         1714817174847959021722732816117/180306432666360000*ep^3*z4-
         146912048463726206262223249592452032037/
         13254946119432495878400000*ep^3*z3+352500565626587896/49005*
         ep^3*z3^2;
Fill mncnoptab(12,6,2,1)=
      +mncF321*(-7811434176-11424983891048/165*ep-115945575669826/495*
         ep^2-1143085973031158/2625*ep^3)
      +2039152315720332590929980625595219651/53019784477729983513600000
         -485555427014/49005*ep^-3-76961237558275794851/706377672000*
         ep^-2-116354241898720104157954811/309096741713760000*ep^-1+
         25235386682128276/245025*z3-2595646903406489148118210285349887\
         5200747818286569745418593/748492705222002736840342589238411264\
         00000000000*ep+12617693341064138/81675*ep*z4+
         628396600266479223430333/353188836000*ep*z3+930149634909698852\
         0980250976006900315993295985202891494978250293/628848840866004\
         3985662664515819724817301504000000000*ep^2+814562915197048324/
         81675*ep^2*z5+628396600266479223430333/235459224000*ep^2*z4-
         3276880783377332835648479322089/1081838595998160000*ep^2*z3-
         75827159794028165637984540587908754617004203213830005126921692\
         13970581043366020083877175963804539869703/
         28400561743971534477433685548002064528084567917873482691284956\
         93136157632102400000000000000*ep^3+1209226679454508348/49005*
         ep^3*z6+368472471734284115482553/13081068000*ep^3*z5-
         3276880783377332835648479322089/721225730665440000*ep^3*z4-
         154008078316738552739571164508555397417/
         26509892238864991756800000*ep^3*z3+176212606360519988/49005*
         ep^3*z3^2;
Fill mncnoptab(12,7,1,1)=
      +mncF321*(-153165376-735238593544/495*ep-2823580189346/495*ep^2-
         9505575367513501/779625*ep^3)
      +2025351470049029226400123311126764351/
      2704009008364229159193600000-97801564252/147015*ep^-3-
         202065284004736376351/36025261272000*ep^-2-
         133749216809854173814833343/7881966913700880000*ep^-1+
         1480621062274628/735075*z3-36141579824507157736279983594151790\
         8395758487529/59369259860091853187601243045888000000*ep+
         740310531137314/245025*ep*z4+657626643259897411051033/
         18012630636000*ep*z3+17067871716131901012044447949967507209585\
         369633287638073/727406420428211807299255454096550789120000000*
         ep^2+47915795024722172/245025*ep^2*z5+657626643259897411051033/
         12008420424000*ep^2*z4-848009666176654722635061673657/
         27586884197953080000*ep^2*z3+303809124055767792658471918400095\
         2804731410646920862382103919355445878663775871340333225917/
         17578134495298161773990148655344580650757823264342042135038238\
         549606400000000000*ep^3+71133382005945944/147015*ep^3*z6+
         1431314698478140669145759/2001403404000*ep^3*z5-
         848009666176654722635061673657/18391256131968720000*ep^3*z4-
         226832625142101712134459445957442497117/
         1352004504182114579596800000*ep^3*z3+10392123080169964/147015*
         ep^3*z3^2;
Fill mncnoptab(13,1,1,6)=
      +mncF321*(-236946836672-191048935594153/99*ep-84502569453561509/
         14850*ep^2-1262291055919838963/141750*ep^3)
      +225164038189342331527809843930671321741/
      193143500597444939942400000+3510370168171/5880600*ep^-3+
         21580991954307739381/10292931792000*ep^-2-
         450125523197312688146393387/31527867654803520000*ep^-1+
         2292008838450079423/735075*z3-21432800130047886713933795258401\
         136434031364287474809643/1870131685592893375409439155945472000\
         000000*ep+2292008838450079423/490050*ep*z4+
         465252557704112781535541269/9006315318000*ep*z3+
         14504271653326781840505188301972937414047257696701816111423815\
         047/274959626921864063159118561648496198287360000000000*ep^2+
         148217968423546597229/490050*ep^2*z5+
         465252557704112781535541269/6004210212000*ep^2*z4-841437481740\
         087673999856999908897/6491031575988960000*ep^2*z3-
         54842730006213127969434490215252238299026514930922326725723392\
         97422366349921268560639/22303891332129582188411759123996783266\
         175210309011195822080000000000000*ep^3+440069887593739632841/
         588060*ep^3*z6+1272878427620427175051823699/2001403404000*ep^3
         *z5-841437481740087673999856999908897/4327354383992640000*ep^3
         *z4-29893808055244997652633191352550235309159/
         338001126045528644899200000*ep^3*z3+160443020726454808313/
         1470150*ep^3*z3^2;
Fill mncnoptab(13,2,1,5)=
      +mncF321*(-455666993600-370434421827925/99*ep-6647585196726569/
         594*ep^2-1113289575857642053/62370*ep^3)
      +145541077529104679566184843842557943/64922185074771408384000+
         447383643079/235224*ep^-3+303156446544431369/24218663040*ep^-2
         -496225819513971026539639/74183218011302400*ep^-1+
         176308550439224491/29403*z3-7703832800327827406308559647503221\
         048326406079329920979/3520247878763093412535414881779712000000\
         00*ep+176308550439224491/19602*ep*z4+2113754101914469836740777/
         21191330160*ep*z3+51746447532806408152749547322706088835114742\
         71176151834679335519/51757106244115588359363493957363990265856\
         000000000*ep^2+11401389830312146673/19602*ep^2*z5+
         2113754101914469836740777/14127553440*ep^2*z4-
         3705694721307930387944636095397/15273015472915200*ep^2*z3-
         21884886721143262680254338907362241780852450037074316752811779\
         1210275824539211291327433/204125213471649936188344419502818560\
         4520355247480704641636761600000000000*ep^3+
         169257761950289955185/117612*ep^3*z6+5943766202980617522440287/
         4709184480*ep^3*z5-3705694721307930387944636095397/
         10182010315276800*ep^3*z4-1750909927273825006423171612461871159
       /9356432554893526502400*ep^3*z3+12341770637905269101/58806*ep^3*
         z3^2;
Fill mncnoptab(13,2,2,4)=
      +mncF321*(-701026144000-575665662132260/99*ep-5254153875022814/
         297*ep^2-899775434650867636/31185*ep^3)
      +2518316309277099807633739959492959/730093776792412032000-
         6659951727049/764478*ep^-3-7453948364577076631/78710654880*
         ep^-2-847499121071903193115799/2836417159255680*ep^-1+
         3526292167892313068/382239*z3-19677355662930023600006151485268\
         7275014233514458122571/5894471644644211408825742721024000000000
         *ep+1763146083946156534/127413*ep*z4+
         10621770503635817813586073/68871823020*ep*z3+84183255245406679\
         7249868189488599841417132730850760731672841/557584597989296856\
         1121667198239047680000000000*ep^2+114014284785924593282/127413
         *ep^2*z5+10621770503635817813586073/45914548680*ep^2*z4-
         17898342449110959310955875239973/49637300286974400*ep^2*z3-
         11619689578411684090289710798766699464903244934972221280989194\
         00997505563680901127975587/21019272975596349521983043382143506\
         99920992656140564713963520000000000000*ep^3+
         846291405474703666945/382239*ep^3*z6+
         30857230738347639788090783/15304849560*ep^3*z5-
         17898342449110959310955875239973/33091533524649600*ep^3*z4-
         2861709898462847405389630150383957143/8943648765707047392000*
         ep^3*z3+123416160556473135866/382239*ep^3*z3^2;
Fill mncnoptab(13,3,1,4)=
      +mncF321*(-260381139200-214991501539360/99*ep-1980209927107288/
         297*ep^2-343083698961816434/31185*ep^3)
      +254717067273308554370498349707269027/198824191791487438176000-
         42753791062/29403*ep^-3-5244931103802617/302733288*ep^-2-
         394634134269885760186031/6491031575988960*ep^-1+
         100750140346395472/29403*z3-3849221685193021848627921860083368\
         11784505544887800803599/31187196050916780701680941218267136000\
         000000*ep+50375070173197736/9801*ep*z4+
         152151593936897482934857/2648916270*ep*z3+39765480201463036966\
         34490391881246363582928500755969039828424739/71646189551790865\
         722068117856019000197120000000000*ep^2+3257547007094329528/
         9801*ep^2*z5+152151593936897482934857/1765944180*ep^2*z4-
         608990114152649307696486545849/4636451125706400*ep^2*z3-
         19160814082411556418181385907783374408773096217258079211467950\
         29713853175783926479117859741293910303/44453671650343623962925\
         25286126043158039783358044309211633633378938388480000000000000
         *ep^3+24179727202341482780/29403*ep^3*z6+
         112429195397408935773998/147162015*ep^3*z5-
         608990114152649307696486545849/3090967417137600*ep^3*z4-
         6229086500224947016799898096224706859/49706047947871859544000*
         ep^3*z3+3526186829218674136/29403*ep^3*z3^2;
Fill mncnoptab(13,3,2,3)=
      +mncF321*(-300439776000-83642549839520/33*ep-785181177045704/99*
         ep^2-139392429169473694/10395*ep^3)
      +629531745532740519514187781965537/425888036462240352000-
         2903332559774/127413*ep^-3-12085252368107669711/45914548680*
         ep^-2-1605666464558733989480963/1654576676232480*ep^-1+
         503798815624430096/127413*z3-562466875949784021452726804874467\
         60706978633937293719/3992023124415127303331719938048000000000*
         ep+251899407812215048/42471*ep*z4+765175376596614164916821/
         11478637170*ep*z3+13254780579977425411843658139824844052118750\
         176450960439427977/2114691216077925854292069337406216601600000\
         00000*ep^2+16287920012541826904/42471*ep^2*z5+
         765175376596614164916821/7652424780*ep^2*z4-
         48049929769733277956981156891/330915335246496*ep^2*z3-
         18589911038791153670095629156189154011776008364211552181427459\
         06375784443921697915488221193/10946214572417227828099969495838\
         645304240405014615278640777134080000000000000*ep^3+
         120899903055002626540/127413*ep^3*z6+585699124015128652915174/
         637702065*ep^3*z5-48049929769733277956981156891/
         220610223497664*ep^3*z4-4764693036229375707172193564802179/
         29812162552356824640*ep^3*z3+17630495126656161272/127413*ep^3*
         z3^2;
Fill mncnoptab(13,3,3,2)=
      +mncF321*(-85839936000-24331378388080/33*ep-1646309116869442/693*
         ep^2-86649576980929867/20790*ep^3)
      +17697267285708887748950609185224329/41737027573299554496000-
         50193144339202/891891*ep^-3-185880884476679040283/321401840760
         *ep^-2-38508471860003457848154767/23164073467254720*ep^-1+
         1008644907982030288/891891*z3-43416321569243016535533275252687\
         76972117035312594443951/11003013736669194629808053079244800000\
         00000*ep+504322453991015144/297297*ep*z4+
         220740664644506119924999/11478637170*ep*z3+8235146722435231225\
         7339934453955818990350469424872963941126713/475805523617533317\
         2157156009163987353600000000000*ep^2+4654209559568209816/42471
         *ep^2*z5+220740664644506119924999/7652424780*ep^2*z4-
         446559918249530382361446601811/11582036733627360*ep^2*z3-
         62996902917551746141873594022340171797605237502374354279393614\
         96516055362146670896572392067507/12326805885363350687919078148\
         5012944432377260970836306593451501158400000000000000*ep^3+
         241824389607375939620/891891*ep^3*z6+1246797725534194527795392/
         4463914455*ep^3*z5-446559918249530382361446601811/
         7721357822418240*ep^3*z4-218381741528332358028572677497285161/
         4173702757329955449600*ep^3*z3+35248903307851758856/891891*
         ep^3*z3^2;
Fill mncnoptab(13,4,1,3)=
      +mncF321*(-52076227840-44141940725792/99*ep-424362484981384/297*
         ep^2-43104449775788102/17325*ep^3)
      +254388242905167221592791188592239747/994120958957437190880000+
         50534384722/29403*ep^-3+358982605586805197/52978325400*ep^-2-
         9711687600266862419278291/162275789399724000*ep^-1+
         100739518808557264/147015*z3-178248150584905563065533860792004\
         858508770794719616297337/7392520545402496166324371251737395200\
         0000000*ep+50369759404278632/49005*ep*z4+
         11858373527145775866469/1018813950*ep*z3+286706896112259558410\
         23198215867049077301908906136863941779987093/27172480778160683\
         88866583432761609488957440000000000*ep^2+3257514675361983736/
         49005*ep^2*z5+11858373527145775866469/679209300*ep^2*z4-
         3851440011824430683592723157319/162275789399724000*ep^2*z3+
         14223626846007649085973883917527168342881161348257492126775942\
         79638601714831668606029589184343507/17832128115009636051224716\
         817280537796353318997511075128148592015798435840000000000*ep^3
         +4835902253638696972/29403*ep^3*z6+41092078779204240226826/
         245270025*ep^3*z5-3851440011824430683592723157319/
         108183859599816000*ep^3*z4-594561929940053267382879412481906359
       /19117710749181484440000*ep^3*z3+705267447457364024/29403*ep^3*
         z3^2;
Fill mncnoptab(13,4,2,2)=
      +mncF321*(-40058636800-34379541728000/99*ep-337181583902056/297*
         ep^2-3010458497112502/1485*ep^3)
      +3539365975188917853295749570202789/17887297531414094784000-
         10352802127412/382239*ep^-3-4792040688046085758/17217955755*
         ep^-2-39743005434916062007941503/49637300286974400*ep^-1+
         201742541768136992/382239*z3-401749545566645188440860197848870\
         2492110836370625034977/220060274733383892596161061584896000000\
         0000*ep+100871270884068496/127413*ep*z4+
         44356133878180388807981/4919415930*ep*z3+107759520866590952600\
         15420329891471047520870583200300023125963/13594443531929523349\
         02044574046853529600000000000*ep^2+6515933375532269648/127413*
         ep^2*z5+44356133878180388807981/3279610620*ep^2*z4-
         429059072691450292013773654109/24818650143487200*ep^2*z3-
         37234923082207630584626787318337551443612424969834474595536683\
         33850668249289034958849988465612748760467/
         18646833468264138798315046066870042366924211259209862373065880\
         8135202268774400000000000000*ep^3+48365143962071679880/382239*
         ep^3*z6+171433603273556773344577/1275404130*ep^3*z5-
         429059072691450292013773654109/16545766762324800*ep^3*z4-
         33230970756490193320742921989849949/1277664109386721056000*
         ep^3*z3+7049578265609615888/382239*ep^3*z3^2;
Fill mncnoptab(13,4,3,1)=
      +mncF321*(-5722662400-5003634723440/99*ep-353786345894434/2079*
         ep^2-2184534061285043/6930*ep^3)
      +59502790629084402275635638427648481/2128588406238277279296000-
         8227411349330/2675673*ep^-3-41950428394495825331/964205522280*
         ep^-2-73184123039294366905396739/347461102008820800*ep^-1+
         201621302502874448/2675673*z3-66944193291167014428528464143132\
         96621807927408027334197441/26165795409441440212233824968334376\
         960000000000*ep+100810651251437224/891891*ep*z4+
         44773162653481628001359/34435911510*ep*z3+21012877688237256241\
         61251498266142596507137967639918641659936880771/19235376308842\
         48748555638557780151120586342400000000000*ep^2+
         930799106460610136/127413*ep^2*z5+44773162653481628001359/
         22957274340*ep^2*z4-6673944291763727146707620178151/
         2953419367074976800*ep^2*z3-4166260958117883291084099807146916\
         63522862719385508823613971881958818236454863722341912419555429/
         13186160352800109993019722453711098970137727573566032339596640\
         5810585600000000000000*ep^3+48362899832924846020/2675673*ep^3*
         z6+91024093778534736143944/4463914455*ep^3*z5-
         6673944291763727146707620178151/1968946244716651200*ep^3*z4-
         74757723332274436360628915103902723093/
         18093001453025356874016000*ep^3*z3+7051507631989714760/2675673
         *ep^3*z3^2;
Fill mncnoptab(13,5,1,2)=
      +mncF321*(-3254764240-2886864320522/99*ep-59552560443005/594*ep^2
         -9875654707028291/51975*ep^3)
      +2037083404253018292396468736354261091/
      127247482746551960432640000-83643594055/58806*ep^-3-
         28915010090032889411/1695306412800*ep^-2-
         47270755169544062584130471/741832180113024000*ep^-1+
         6302447482502989/147015*z3-19938552526026209866162399764736885\
         687728942935027768507/1386097602262968031185819609700761600000\
         00000*ep+6302447482502989/98010*ep*z4+631453990695009389897533/
         847653206400*ep*z3+1223019109038008728732623528229127240697401\
         0589180248759417060309/203793605836205129164993757457120711671\
         80800000000000*ep^2+203615166725697361/49005*ep^2*z5+
         631453990695009389897533/565102137600*ep^2*z4-
         3100972838819095148904316873469/2596412630395584000*ep^2*z3-
         68456689228621304879983006329389256234091993514736451485138893\
         883170856332900303894635303507178677273/4781239350836958666234\
         62719663334419664723365620765701873484123423595560960000000000\
         0000*ep^3+302271526347294547/29403*ep^3*z6+
         380693590298222965340153/31394563200*ep^3*z5-
         3100972838819095148904316873469/1730941753597056000*ep^3*z4-
         162792411935797065329468096839082399497/
         63623741373275980216320000*ep^3*z3+44063456892456701/29403*
         ep^3*z3^2;
Fill mncnoptab(13,5,2,1)=
      +mncF321*(-1251832400-1124688286330/99*ep-23665867646197/594*ep^2
         -804457255282927/10395*ep^3)
      +2038286572457570062154796299288581091/
      330843455141035097124864000-1504891378403/764478*ep^-3-
         95181586144801672643/4407796673280*ep^-2-
         5782518230127601079617727/77150546731754496*ep^-1+
         6311142661233997/382239*z3-24089537333086103201448231189180049\
         122729880901332393842967/4448185219605044836079750244616844083\
         20000000000*ep+6311142661233997/254826*ep*z4+
         636197921762266504997053/2203898336640*ep*z3+73688487384863747\
         32111272485517638959502224049070242034629839582817/
         32700139725032228725445855482262569049967820800000000000*ep^2+
         203649957890839633/127413*ep^2*z5+636197921762266504997053/
         1469265557760*ep^2*z4-2873107902648450885753070397117/
         6750672839028518400*ep^2*z3-3883562828575403165933057413791347\
         72531154210470427109692225772758058622243307427432145818163936\
         9803519/767184005551438853416390466751224600239167548950348623\
         3489962391848321915289600000000000000*ep^3+1511596827528212255/
         382239*ep^3*z6+132013353726314558445011/27208621440*ep^3*z5-
         2873107902648450885753070397117/4500448559352345600*ep^3*z4-
         172317995473077258112876155607038008713/
         165421727570517548562432000*ep^3*z3+220247727511100401/382239*
         ep^3*z3^2;
Fill mncnoptab(13,6,1,1)=
      +mncF321*(-38291344-186968684266/495*ep-883204179305/594*ep^2-
         283754203056341/86625*ep^3)
      +2021585454693015068743015954378616291/
      10816036033456916636774400000-48892358711/294030*ep^-3-
         205036541917531648451/144101045088000*ep^-2-
         277610615891785355390838791/63055735309607040000*ep^-1+
         370155434036957/735075*z3-849356770243941429884053327866759454\
         7352539916119/5699448946568817906009719332405248000000*ep+
         370155434036957/490050*ep*z4+663669341855995832848573/
         72050522544000*ep*z3+39135525115556260996834793983302000552770\
         6906908496612171/698310163611083335007285235932688757555200000\
         00*ep^2+11978952378248993/245025*ep^2*z5+
         663669341855995832848573/48033681696000*ep^2*z4-
         1363784384680425767129341078109/220695073583624640000*ep^2*z3-
         83999568588434899826187619075915504459160117956962455814884927\
         1567608573197549118119/269865301655279103137533925542284024105\
         630733578597818345875046400000000000*ep^3+17783350850355011/
         147015*ep^3*z6+498847884019549407267193/2668537872000*ep^3*z5-
         1363784384680425767129341078109/147130049055749760000*ep^3*z4-
         235192589540919038763809667889997945737/
         5408018016728458318387200000*ep^3*z3+2598030753195661/147015*
         ep^3*z3^2;
Fill mncnoptab(14,1,1,5)=
      +mncF321*(-13481272000-147129715563005/1287*ep-2782352127245809/
         7722*ep^2-497022461032390301/810810*ep^3)
      +86605648281410786374537882846549912453/
      1305650064038727794010624000-71087597773/39752856*ep^-3+
         4093692536059241261/69580218913920*ep^-2+
         11889581216103538295710633/42625677069294359040*ep^-1+
         881540439713526119/4969107*z3-20056834402977509347019297899327\
         867537206548042127401/31852079099541343456205111348428800000000
         *ep+881540439713526119/3312738*ep*z4+
         182566931456454503343505997/60882691549680*ep*z3+
         5583043705559388601095148713845674377396775987826964503317409/
         2007047919222331354017537497833748299776000000000*ep^2+
         57006849819267364837/3312738*ep^2*z5+
         182566931456454503343505997/40588461033120*ep^2*z4-28052425971\
         9520081908259005546617/43879373453685369600*ep^2*z3-
         30208435163768026219436020316793475722108068197408173697006022\
         9544055426786728599/580713361154466292552625493158403642742573\
         052723414748364800000000000*ep^3+846287342891875211365/
         19876428*ep^3*z6+567682348271184104085050587/13529487011040*
         ep^3*z5-280524259719520081908259005546617/29252915635790246400
         *ep^3*z4-17292659303068491297786063053477770423183/
         2284887612067773639518592000*ep^3*z3+61708855546776773521/
         9938214*ep^3*z3^2;
Fill mncnoptab(14,2,1,4)=
      +mncF321*(-15407168000-170593755829840/1287*ep-1651564206178996/
         3861*ep^2-43443831595738742/57915*ep^3)
      +2547588848167691718651144985578348439/33601288412761377051744000
         -1161264861478/4969107*ep^-3-2977465545123928207/1790667398520
         *ep^-2-15797833278493391922521/27424608408553356*ep^-1+
         1007529969431425552/4969107*z3-1981008517238463195131729472497\
         812480079114236906938227/2788696366457638062742898976659865600\
         000000*ep+503764984715712776/1656369*ep*z4+
         110385846524654975512904/31976203545*ep*z3+1266661200280889821\
         233905309334993532256631032902678568199046271/4100133260276031\
         76534332678693492860387328000000000*ep^2+32575571137633777048/
         1656369*ep^2*z5+55192923262327487756452/10658734515*ep^2*z4-
         9441725902051124518710083797583/1371230420427667800*ep^2*z3-
         66029234202629112963787699668701185586412636488206311306124617\
         73664005406702849238176759/29645997800296658701104084051229664\
         3656510969145830463187714048000000000000*ep^3+
         241797958608674763980/4969107*ep^3*z6+
         2505906419513973758721163/49740761070*ep^3*z5-
         9441725902051124518710083797583/914153613618445200*ep^3*z4-
         5750127466243495574180121538703006393/600023007370738875924000
         *ep^3*z3+35261481398833995064/4969107*ep^3*z3^2;
Fill mncnoptab(14,2,2,3)=
      +mncF321*(-13206144000-49539128872760/429*ep-265052752267526/693*
         ep^2-13380143116318618/19305*ep^3)
      +35241176835577097479898590955671021/542581358452894208448000-
         3169558733069/11594583*ep^-3-30733006652594125417/
         8356447859760*ep^-2-2759110005143968674977927/
         150566477537155680*ep^-1+2015004866461985336/11594583*z3-
         54452728108232441627352300988680259162208602053648799/
         90818526080444146150796628590592000000000*ep+
         1007502433230992668/3864861*ep*z4+445196116196088539762999/
         149222283210*ep*z3+1257692426567235990785330039556955813002433\
         11857786454718673/49091046087523278760351609618358599680000000\
         000*ep^2+9307286313445365452/552123*ep^2*z5+
         445196116196088539762999/99481522140*ep^2*z4-
         4130964448185531098628497170073/752832387685778400*ep^2*z3-
         27208359537770199382495697005805572761615028196679772569727083\
         12402193265694355213497458089/46247756568462787573722371119918\
         2764104157111867495522572833914880000000000000*ep^3+
         483595019289726722890/11594583*ep^3*z6+
         10574852008449319289876503/232123551660*ep^3*z5-
         4130964448185531098628497170073/501888258457185600*ep^3*z4-
         9627367225623144133351622628826676/1059729215728309000875*ep^3
         *z3+70524100351011377732/11594583*ep^3*z3^2;
Fill mncnoptab(14,3,1,3)=
      +mncF321*(-4622150400-17488455970720/429*ep-1231583683816/9*ep^2-
         1261540781353366/5005*ep^3)
      +254492928952039736567111125741946227/11200429470920459017248000+
         213210797642/1656369*ep^-3+547876617702551717/596889132840*
         ep^-2-1889765543879778269787139/1828307227236890400*ep^-1+
         100741008021528400/1656369*z3-37916201910542729301866933411027\
         88279484732778960878291/18211894638090697552606687194513408000\
         000000*ep+50370504010764200/552123*ep*z4+
         156496032841127838011113/149222283210*ep*z3+577565026352040296\
         41852612919595324553424012853924492094380662933/65602132164416\
         508245493228590958857661972480000000000*ep^2+
         3257518212863938360/552123*ep^2*z5+156496032841127838011113/
         99481522140*ep^2*z4-3369183546062158006878364369871/
         1828307227236890400*ep^2*z3+4286991661902449636116515257658516\
         16378480912711331604704298998829305884860713226212020522670986\
         39/10520189438420024276192455114813464430340559032634756191337\
         931433595371520000000000000*ep^3+24179534076425716700/1656369*
         ep^3*z6+6470244369500485967662/394767945*ep^3*z5-
         3369183546062158006878364369871/1218871484824593600*ep^3*z4-
         9355587085625048923166001674536465051/
         2800107367730114754312000*ep^3*z3+3526314106073531992/1656369*
         ep^3*z3^2;
Fill mncnoptab(14,3,2,2)=
      +mncF321*(-2641228800-10169734149280/429*ep-736717867970444/9009*
         ep^2-1002639256271753/6435*ep^3)
      +1768060492381304482518809159675243/135645339613223552112000-
         19072213594780/11594583*ep^-3-36028144834793523539/
         2089111964940*ep^-2-1949119865420316937131391/
         37641619384288920*ep^-1+403460291386981216/11594583*z3-
         5286824202531718780053056553956391115037009608098503/454092630\
         40222073075398314295296000000000*ep+201730145693490608/3864861
         *ep*z4+45149290545735477646268/74611141605*ep*z3+
         190544067903612432834343921828361696069054858967887049283891/
         392728368700186230082812876946868797440000000000*ep^2+
         1861680876022495312/552123*ep^2*z5+22574645272867738823134/
         24870380535*ep^2*z4-22563709978336475993639275718/
         23526012115180575*ep^2*z3-171849084485380557999619930392541459\
         63511529060050622397919288928418112091327480207159586721/
         12024416707800324769167816491178751866708084908554883586893681\
         786880000000000000*ep^3+96729595262713550840/11594583*ep^3*z6+
         191402436191509244103641/19343629305*ep^3*z5-
         11281854989168237996819637859/7842004038393525*ep^3*z4-3534144\
         2888261408365567301526439141/16955667451652944014000*ep^3*z3+
         14099341521045608560/11594583*ep^3*z3^2;
Fill mncnoptab(14,3,3,1)=
      +mncF321*(-264122880-1044661843696/429*ep-3981522718206/455*ep^2-
         23681100445157951/1351350*ep^3)
      +1009483885672363067450991518760117253/
      784030062964432131207360000-15733267122746/57972915*ep^-3-
         73659585527733565487/20891119649400*ep^-2-
         80397293125164333823235191/5119260236263293120*ep^-1+
         40345915464375760/11594583*z3-20180213154385964920402860442884\
         9512535231412330811647/179273337843705304033472077070991360000\
         00000*ep+20172957732187880/3864861*ep*z4+
         45796562685154844534123/746111416050*ep*z3+1209940898523307551\
         97819819053096326584830247145833539614816323/26357999530345918\
         49149281505886739816775680000000000*ep^2+186172770906238552/
         552123*ep^2*z5+45796562685154844534123/497407610700*ep^2*z4-
         5186101454585962647379478905123/63990752953291164000*ep^2*z3-
         63766405495157093645632822870864912606517022854454970459467114\
         7870764470877686637380670013/493476540272290114091804203576117\
         7822848630509346344125105921064960000000000000*ep^3+
         9673205683916584580/11594583*ep^3*z6+311087019091561369823024/
         290154439575*ep^3*z5-5186101454585962647379478905123/
         42660501968860776000*ep^3*z4-913333519198162151886347136220707\
         94649/392015031482216065603680000*ep^3*z3+7050772231417152104/
         57972915*ep^3*z3^2;
Fill mncnoptab(14,4,1,2)=
      +mncF321*(-385179200-4566238483240/1287*ep-49111272237266/3861*
         ep^2-3425492112341158/135135*ep^3)
      +407302972064032528342225389013225159/215048245841672813131161600
         -757969997038/4969107*ep^-3-26381604756244849667/
         14325339188160*ep^-2-305603808307722979107347837/
         43879373453685369600*ep^-1+25208954813617492/4969107*z3-
         3692211565271523110655514528876821018719732101250553419/
         223095709316611045019431918132789248000000000*ep+
         12604477406808746/1656369*ep*z4+640587367918287684868957/
         7162669594080*ep*z3+218572172715288154684020496301223206724018\
         4001747305376397485591/328010660822082541227466142954794288309\
         86240000000000*ep^2+814456994642782468/1656369*ep^2*z5+
         640587367918287684868957/4775113062720*ep^2*z4-
         523636703640057249540428102149/4387937345368536960*ep^2*z3-
         78725914538628026353655724937796683528294188446745628297363792\
         488103152279138137179481928394842391/6359932705953923766970893\
         3194099580419786106879110116974906585484917473280000000000000*
         ep^3+6045405072786824780/4969107*ep^3*z6+
         137850472418213519027699/88428019680*ep^3*z5-
         523636703640057249540428102149/2925291563579024640*ep^3*z4-
         183710592407210969759360955283701793417/
         537620614604182032827904000*ep^3*z3+881271858840703492/4969107
         *ep^3*z3^2;
Fill mncnoptab(14,4,2,1)=
      +mncF321*(-110051200-1328443918640/1287*ep-102767818861732/27027*
         ep^2-151224357635284/19305*ep^3)
      +407449420851773750084529144362561803/752668860445854845959065600
         -7826208973376/34783749*ep^-3-123222476050673960087/
         50138687158560*ep^-2-163751562530645371530179839/
         19197225885987349200*ep^-1+50518806351048584/34783749*z3-
         2627761766920932752372858446414563667339575223603174751/
         573674681099856972907110646627172352000000000*ep+
         25259403175524292/11594583*ep*z4+92495339167946286619351/
         3581334797040*ep*z3+774558109563947038463180948918286872205987\
         494562493768404158647/4217279924855346958638850409418783706841\
         0880000000000*ep^2+232759597423571048/1656369*ep^2*z5+
         92495339167946286619351/2387556531360*ep^2*z4-
         114146045304384665198448279109/3839445177197469840*ep^2*z3-
         19948947719361415428729451305356190931516854456332351784298483\
         42455191848462127548202686924596759991/40329575607670445512754\
         23351754006134123830205401483315566503516829739122688000000000\
         0000*ep^3+12093581848859858560/34783749*ep^3*z6+
         435817458300524573592797/928494206640*ep^3*z5-
         114146045304384665198448279109/2559630118131646560*ep^3*z4-
         195532954883785228208786884995686041477/
         1881672151114637114897664000*ep^3*z3+1761736374941260184/
         34783749*ep^3*z3^2;
Fill mncnoptab(14,5,1,1)=
      +mncF321*(-5664400-73705514330/1287*ep-1803020193989/7722*ep^2-
         72516741058291/135135*ep^3)
      +403316173272454429199824910903818567/
      14623280717233751292918988800-244611082387/9938214*ep^-3-
         209376771961548651587/974123064794880*ep^-2-
         291932729784708717266346311/426256770692943590400*ep^-1+
         370154836881629/4969107*z3-97940377922071768784461641454744480\
         89140255276123/45866993903339534576935360341737472000000*ep+
         370154836881629/3312738*ep*z4+672593890747071452979517/
         487061532397440*ep*z3+1448071699324967669596307852379743368043\
         10018855086578997/18732447246075092637497016646448317464576000\
         0000*ep^2+11978939539409441/1656369*ep^2*z5+
         672593890747071452979517/324707688264960*ep^2*z4-
         34730261724499652149981745381/59675947897012102656*ep^2*z3+
         18057019577135830156041545573589705225886746871449626572560341\
         675074545296395731780217/6515319425677452632891890488092285724\
         835941996397575900064697548800000000000*ep^3+88916659453366735/
         4969107*ep^3*z6+530960038366117277182457/18039316014720*ep^3*
         z5-34730261724499652149981745381/39783965264674735104*ep^3*z4-
         245415041959945493110508830503072940297/
         36558201793084378232297472000*ep^3*z3+12990154064555969/
         4969107*ep^3*z3^2;
Fill mncnoptab(15,1,1,4)=
      +mncF321*(-314432000-25424072971060/9009*ep-1839046776276553/
         189189*ep^2-52294072142526206/2837835*ep^3)
      +173145968534365531373844574584250756991/
      111959492991320908336411008000+5723973400417/486972486*ep^-3+
         257033675085915381517/5966503771868640*ep^-2-
         501928557042102456902253347/1827575904345995643840*ep^-1+
         1007336925382014196/243486243*z3-82489179829264461643924477854\
         57853946860626072898187/59259797787224808833286603254022144000\
         0000*ep+503668462691007098/81162081*ep*z4+
         7669817046545920789564141/106544710211940*ep*z3+50173089924229\
         07288788914317324304625765593251645580923162363/87127831780865\
         675013545694222367232832307200000000*ep^2+664791268466860846/
         1656369*ep^2*z5+7669817046545920789564141/71029806807960*ep^2*
         z4-61553010625620093745762022793907/537522324807645777600*ep^2
         *z3-3293107667933713807011535599580659979839244524643618524347\
         836524860444281047488340743/6352713814349284007379446582406356\
         649782377910267795639736729600000000000*ep^3+
         241792448848116325415/243486243*ep^3*z6+
         195134396642020873237540877/165736215885240*ep^3*z5-
         61553010625620093745762022793907/358348216538430518400*ep^3*z4
         -1757531487550850544922331508702570316067/
         6997468311957556771025688000*ep^3*z3+35264006875616770582/
         243486243*ep^3*z3^2;
Fill mncnoptab(15,2,1,3)=
      +mncF321*(-188659200-5204684792660/3003*ep-390170876996353/63063*
         ep^2-1288390296529834/105105*ep^3)
      +81427573438719251555225331070225343/87811367052016398695224320+
         1792381513577/162324162*ep^-3+9692246290777795237/
         116990270036640*ep^-2+7039663699913149004654441/
         179174108269215259200*ep^-1+201470210555696276/81162081*z3-
         8088826651618945763302491603165778230714159003714419/991536485\
         851604644530808525034618880000000*ep+100735105277848138/
         27054027*ep*z4+13046832266471792900563/298444566420*ep*z3+
         955373253192614309068486106047714176907983974344161856804963/
         29156503184185114775774768262648381183098880000000*ep^2+
         132959437460690846/552123*ep^2*z5+13046832266471792900563/
         198963044280*ep^2*z4-125684890709149542317068628543/
         2107930685520179520*ep^2*z3+3333637518157469694511111664548163\
         817847508665858063268515076258420284415422878207811/
         53388463571097013072118177339010997299181196175179858305666252\
         800000000000*ep^3+48358917740414645215/81162081*ep^3*z6+
         820422499281565068212279/1083243241080*ep^3*z5-
         125684890709149542317068628543/1405287123680119680*ep^3*z4-
         1340295253945786548966131304010892527/
         8070897706986801350664000*ep^3*z3+7052798786723910086/81162081
         *ep^3*z3^2;
Fill mncnoptab(15,2,2,2)=
      +mncF321*(-75463680-2134626344792/3003*ep-92293980587982/35035*
         ep^2-25837087359500426/4729725*ep^3)
      +7059938217092489673882386115171809/18990347545851297295680000-
         15616758608797/405810405*ep^-3-124956974323371595913/
         292475675091600*ep^-2-7509972409764451435476097/
         5269826713800448800*ep^-1+80678822332246616/81162081*z3-
         1196964805267767773503472706523639743311535105563/378410525335\
         183942294985952460800000000*ep+40339411166123308/27054027*ep*
         z4+92597631055260286039531/5222779912350*ep*z3+252895847538673\
         5101873199902896019695390915202754749119/204546025364680328168\
         131706743160832000000000*ep^2+53189837763311108/552123*ep^2*z5
         +92597631055260286039531/3481853274900*ep^2*z4-
         520799343125771781371806255933/26349133569002244000*ep^2*z3-
         82606661646410320873714522707408826363602248589138208615820696\
         226452052917812793287/2033349686789827646301375894747489154949\
         283838703139134688460800000000000*ep^3+19345568322186215650/
         81162081*ep^3*z6+2644410840953499522326287/8124324308100*ep^3*
         z5-520799343125771781371806255933/17566089046001496000*ep^3*z4
         -171897340113532357028545219771967683/
         2373793443231412161960000*ep^3*z3+14099974008181517188/
         405810405*ep^3*z3^2;
Fill mncnoptab(15,3,1,2)=
      +mncF321*(-23582400-677968972600/3003*ep-4153721582390/4851*ep^2-
         38327932499797/21021*ep^3)
      +2034349885987996335883488141069563039/
      17562273410403279739044864000-595646939284/81162081*ep^-3-
         22816338462101360303/233980540073280*ep^-2-
         18565119722549248466745581/44793527067303814800*ep^-1+
         25204482078445444/81162081*z3-36121589364665822206399157654565\
         92469379799217052847/37182618219435174169905319688798208000000\
         00*ep+12602241039222722/27054027*ep*z4+13340808659498206347913/
         2387556531360*ep*z3+101290750020758101023561898559161312918407\
         6079422774505677721/273342217351735451022888452462328573591552\
         000000000*ep^2+16621229100063964/552123*ep^2*z5+
         13340808659498206347913/1591704354240*ep^2*z4-
         478338120408930482634909890171/89587054134607629600*ep^2*z3-
         12505530617004226203151628745226602065348877608127999436081497\
         463734943968898606441081282555937/2326468890273188564108400370\
         08719244392724070618389821834614998851754393600000000000*ep^3+
         6045290489077393160/81162081*ep^3*z6+460775673436009760948597/
         4332972964320*ep^3*z5-478338120408930482634909890171/
         59724702756405086400*ep^3*z4-209326299380557476230975449545055\
         468093/8781136705201639869522432000*ep^3*z3+881324665213935676/
         81162081*ep^3*z3^2;
Fill mncnoptab(15,3,2,1)=
      +mncF321*(-4716480-139148577752/3003*ep-19176348200426/105105*
         ep^2-1922032146821681/4729725*ep^3)
      +2034293855271601144235439422228253791/
      87811367052016398695224320000-5295400365652/405810405*ep^-3-
         167161534630989698927/1169902700366400*ep^-2-
         4487565273837983348510357/8958705413460762960*ep^-1+
         5055982722303668/81162081*z3-220020183710600763367171793982255\
         12000369367620029759/11898437830219255734369702300415426560000\
         0000*ep+2527991361151834/27054027*ep*z4+
         94849479342783457425151/83564478597600*ep*z3+76558297842489321\
         6396796839654432265953235998370160137399169/109336886940694180\
         4091553809849314294366208000000000*ep^2+3325482961871660/
         552123*ep^2*z5+94849479342783457425151/55709652398400*ep^2*z4-
         350827821497156550883192370771/447935270673038148000*ep^2*z3-
         12769001189436051877537317451217758891279871007572041655630399\
         177392983525973948418057/6543900249143033887982485165267347954\
         671066616900616918037377843200000000000*ep^3+
         1209475031682075880/81162081*ep^3*z6+1482060940875798095931551/
         64994594464800*ep^3*z5-350827821497156550883192370771/
         298623513782025432000*ep^3*z4-22268242460093547501043376331045\
         5879293/43905683526008199347612160000*ep^3*z3+
         880721801644980028/405810405*ep^3*z3^2;
Fill mncnoptab(15,4,1,1)=
      +mncF321*(-462400-43605208760/9009*ep-3917457847678/189189*ep^2-
         15885018180209/315315*ep^3)
      +401903117556771078000460909189093459/
      179135188786113453338257612800-487814251124/243486243*ep^-3-
         214495550500552201007/11933007543737280*ep^-2-
         135984303828637067219419457/2284469880432494554800*ep^-1+
         1480630610835716/243486243*z3-89600001260513980183508249774909\
         281940019107408459/5393958483032729266247598376188326707200000
         *ep+740315305417858/81162081*ep*z4+97933911110790225712831/
         852357681695520*ep*z3+1872681458666475684869048483696356855594\
         4922163245864640859/330440369420764634125447373643348320075120\
         640000000*ep^2+977877557526236/1656369*ep^2*z5+
         97933911110790225712831/568238454463680*ep^2*z4-
         6964791190194805761838816423/913787952172997821920*ep^2*z3-
         36925623315072937793018851123898380518657615245881919481120684\
         5391356684971095687251/221701841568191096535904606886473611470\
         1119151551952910438681804800000000000*ep^3+355668425863802440/
         243486243*ep^3*z6+577553131494148503773557/220981621180320*
         ep^3*z5-6964791190194805761838816423/609191968115331881280*
         ep^3*z4-255776822888467793240651898300111499837/
         447837971965283633345644032000*ep^3*z3+51960610626569276/
         243486243*ep^3*z3^2;
Fill mncnoptab(16,1,1,3)=
      +mncF321*(-2515456-1102360704916/45045*ep-16615379783487/175175*
         ep^2-14658640094680798/70945875*ep^3)
      +34692518568103400237856465275925539107/
      2798987324783022708410275200000-1524045404227/12174312150*ep^-3-
         24749377166082172231/149162594296716000*ep^-2+
         181252656921343486604584313/45689397608649891096000*ep^-1+
         40291342220246356/1217431215*z3-448147328501523643078136763501\
         9696196836422516761/43896146509055413950582669077053440000000*
         ep+20145671110123178/405810405*ep*z4+1600351528377283317427097/
         2663617755298500*ep*z3+337875503219414156712927797635165102732\
         93973684841303469/89637687017351517503647833562106206617600000\
         000*ep^2+26590713976933822/8281845*ep^2*z5+
         1600351528377283317427097/1775745170199000*ep^2*z4-
         6468330180994179893447258769671/13438058120191144440000*ep^2*
         z3+24081770883436934289408251771301394264338348621117096686384\
         18373664533926953207/62311465419114160915170608472235057538726\
         88629222672538009600000000000*ep^3+1934271806194512739/
         243486243*ep^3*z6+49051063634380346594717369/4143405397131000*
         ep^3*z5-6468330180994179893447258769671/8958705413460762960000
         *ep^3*z4-469683366192787584643839641904250524607/
         174936707798938919275642200000*ep^3*z3+7052806705185108734/
         6087156075*ep^3*z3^2;
Fill mncnoptab(16,2,1,2)=
      +mncF321*(-628864-286420390624/45045*ep-41034171802912/1576575*
         ep^2-4291396137991972/70945875*ep^3)
      +2039017494037690871140844805954609821/
      658585252890122990214182400000-2086908424394/6087156075*ep^-3-
         28349342545374380657/8774270252748000*ep^-2-
         11305506337044275152725091/1343805812019114444000*ep^-1+
         10090161630303064/1217431215*z3-156623541323599355278101521071\
         749996680954551697/6455315663096384404497451334860800000000*ep
         +5045080815151532/405810405*ep*z4+96195799466505646802341/
         626733589482000*ep*z3+3345381024953181991157224163860457289101\
         826098073575851/39546038390008022428079926571517444096000000000
         *ep^2+6649140591854368/8281845*ep^2*z5+96195799466505646802341/
         417822392988000*ep^2*z4-211348156219068308863321202561/
         3359514530047786110000*ep^2*z3-1399277844218127644877113297706\
         47829933362368183780386363066813529655236441184057/
         14020079719300686205913386906252887946213549415751013210521600\
         0000000000*ep^3+483666752686144516/243486243*ep^3*z6+
         1592923213117323472293341/487459458486000*ep^3*z5-
         211348156219068308863321202561/2239676353365190740000*ep^3*z4-
         238036197997423075839504614645261014423/
         329292626445061495107091200000*ep^3*z3+1762079376170943296/
         6087156075*ep^3*z3^2;
Fill mncnoptab(16,2,2,1)=
      +mncF321*(-78608-37260565388/45045*ep-433817000938/121275*ep^2-
         628948690113914/70945875*ep^3)
      +2051842959169332054199657327347405971/
      5268682023120983921713459200000-17781625837769/48697248600*ep^-3-
         133644045755166053671/35097081010992000*ep^-2-
         1047790026702661035325730501/86003571969223324416000*ep^-1+
         1267403216438648/1217431215*z3-4032704984526419364073011855647\
         17961263519493669/145244602419668649101192655034368000000000*
         ep+633701608219324/405810405*ep*z4+49295742211135950940133/
         2506934357928000*ep*z3+238177660041449567646050306123279186651\
         5797719241014869/250252274186769516927693285335383825920000000\
         000*ep^2+1663251962267047/16563690*ep^2*z5+
         49295742211135950940133/1671289571952000*ep^2*z4+
         27400545554896214000286417377/215008929923058311040000*ep^2*z3
         -1486094253166183938250193075134791115678163157291530175527991\
         79785219832384380181/76609721323321606768026721309167566277524\
         03787892517932892160000000000000*ep^3+241963232020378613/
         973944972*ep^3*z6+878231795007250264097233/1949837833944000*
         ep^3*z5+27400545554896214000286417377/143339286615372207360000
         *ep^3*z4-249510341202348885210035218183169340343/
         2634341011560491960856729600000*ep^3*z3+440025581172809999/
         12174312150*ep^3*z3^2;
Fill mncnoptab(16,3,1,1)=
      +mncF321*(-18496-9165389656/45045*ep-37603549702/40425*ep^2-
         173340511468393/70945875*ep^3)
      +2008043963846605219462818619759733471/
      22391898598264181667282201600000-497625844916/6087156075*ep^-3-
         224655776765570790767/298325188593432000*ep^-2-
         29178601805283339220664143/11422349402162472774000*ep^-1+
         296110423617076/1217431215*z3-18231135345528440604418893597507\
         50494455228758983/2962989889361240441664330162701107200000000*
         ep+148055211808538/405810405*ep*z4+14385175103727952928713/
         3044134577484000*ep*z3+344489985111387337747871216267451121695\
         70420203299702173/18151631621013682294488686296326506840064000\
         000000*ep^2+195568623365932/8281845*ep^2*z5+
         14385175103727952928713/2029423051656000*ep^2*z4+
         242636723308936115998022309869/114223494021624727740000*ep^2*
         z3+14405419257843788201528814751782627245163834875504787212684\
         585599739778068966174985191/3192506518581951790117026339165220\
         0051696115782348121910317017989120000000000000*ep^3+
         14226238605587464/243486243*ep^3*z6+1941343991142002548860191/
         16573621588524000*ep^3*z5+242636723308936115998022309869/
         76148996014416485160000*ep^3*z4-261677521388433278867236478058\
         000292093/11195949299132090833641100800000*ep^3*z3+
         51960649872944444/6087156075*ep^3*z3^2;
Fill mncnoptab(17,1,1,2)=
      +mncF321*(-4913-9728654447/180180*ep-3108703271447/12612600*ep^2-
         16667171558281/25798500*ep^3)
      +33190675202308735851931677714396215107/1433081510288907626706060\
      902400000+12118484802631/779155977600*ep^-3+614608345843139819593/
         9546406034989824000*ep^-2-7931817420900394663498347637/
         23392971575628744241152000*ep^-1+77770653753248/1217431215*z3-
         73324507147824186682266162546592923964511205473/43896146509055\
         4139505826690770534400000000*ep+38885326876624/405810405*ep*z4
         +853554256356831922000261/681886145356416000*ep*z3+
         2660321838858096919935573107799613521592796931303922783/
         5378261221041091050218870013726372397056000000000*ep^2+
         1659424027253287/265019040*ep^2*z5+853554256356831922000261/
         454590763570944000*ep^2*z4+1931110372971166605179545614977/
         3440142878768932976640000*ep^2*z3-1395447218501736418214700908\
         19928585453945101543442184868570667479059311241/
         94485417450847432527998817613457611866558179942187663360000000\
         00000*ep^3+241446671086129253/15583119552*ep^3*z6+
         16435564865388419193226961/530355890832768000*ep^3*z5+
         1931110372971166605179545614977/2293428585845955317760000*ep^3
         *z4-4421187521195545965493274256290823478631/71654075514445381\
         3353030451200000*ep^3*z3+442733537772958799/194788994400*ep^3*
         z3^2;
Fill mncnoptab(17,2,1,1)=
      +mncF321*(-289-618399871/180180*ep-218004885671/12612600*ep^2-
         14345282583763/283783500*ep^3)
      +1963673412909115341943007193698205971/14330815102889076267060609\
      02400000-753794498857/779155977600*ep^-3-95862545374906737991/
         9546406034989824000*ep^-2-980496387396772076526766373/
         23392971575628744241152000*ep^-1+4629743583904/1217431215*z3-
         234610778779424813029069472232044119017761252959/2809353376579\
         5464928372908209314201600000000*ep+2314871791952/405810405*ep*
         z4+7515425686440603010019/97412306479488000*ep*z3+721947322992\
         4151437142330627848218457985220576792342389/344208718146629827\
         214007680878487833411584000000000*ep^2+97826689883831/
         265019040*ep^2*z5+7515425686440603010019/64941537652992000*
         ep^2*z4+5685514847307929571982491838337/
         58482428939071860602880000*ep^2*z3-103728945233531386606962317\
         52549014846710215441893386771063202334165075386057/
         87077760722700993817803710312562535096220018634720150552576000\
         000000000*ep^3+14232371618238229/15583119552*ep^3*z6+
         1142209466352011538397633/530355890832768000*ep^3*z5+
         5685514847307929571982491838337/38988285959381240401920000*
         ep^3*z4-247192465600783159464992544932295423223/71654075514445\
         3813353030451200000*ep^3*z3+25980083479281247/194788994400*
         ep^3*z3^2;
Fill mncnoptab(18,1,1,1)=
      +mncF321*(-1-42142223/3063060*ep-344499373/4204200*ep^2-
         80847323107/283783500*ep^3)
      +3416363118341412897786400584730020371/41416055647349430411805160\
      0793600000-9064791593257/225176077526400*ep^-3-
         565778912885430752071/2758911344112059136000*ep^-2+
         1537000994714302269164934619/6760568785356707085692928000*
         ep^-1+4525856120224/351837621135*z3-11258754005199464046467192\
         4801045996633413641/5074394536446805852687356545307377664000000
         *ep+2262928060112/117279207045*ep*z4+57064833777061564692533/
         197065096008004224000*ep*z3-1931598460803876651620584180807234\
         24707310955823577/62172699715235012540530137358676864909967360\
         000000*ep^2+96368025087671/76590502560*ep^2*z5+
         57064833777061564692533/131376730672002816000*ep^2*z4+
         13825761243483339215096823822977/16901421963391767714232320000
         *ep^2*z3+37746375556466004163396322443202448000033306479898834\
         999143/54411059882785073574970355010819645094607034777600000000
         *ep^3+14021272292040469/4503521550528*ep^3*z6+
         1494567157097970836797633/153272852450669952000*ep^3*z5+
         13825761243483339215096823822977/11267614642261178476154880000
         *ep^3*z4-142886876268638307797430858300025764343/2070802782367\
         47152059025800396800000*ep^3*z3+25988394476375647/
         56294019381600*ep^3*z3^2;
*--#] 21 :
#case 20
*--#[ 20 :

Fill mncnoptab(5,5,5,5)=
      +mncF321*(10445559824700000+77015099698787250*ep+
         189866601333885775*ep^2+703560217280050750/3*ep^3)
      -215226310287075383749244599/4207408128-4112196453300*ep^-3-
         410122385387820115/11088*ep^-2-4427970193244099800073/61471872
         *ep^-1-137367616315492550*z3+309402726385920034175958344000391\
         92219707/56681865707765760000000*ep-206051424473238825*ep*z4-
         3008270961893286564575/1386*ep*z3-8603090929564541425884792091\
         727908097960928919/3142442634838533734400000000*ep^2-
         13332469524600069350*ep^2*z5-3008270961893286564575/924*ep^2*
         z4+25312578863288494831272689/3415104*ep^2*z3+8975209062840738\
         702111799815794598136832602469541570671229117148159/
         1130543675804194056256130931178340352000000000000*ep^3-
         32987754770711442000*ep^3*z6-7026325090888961633225/396*ep^3*
         z5+25312578863288494831272689/2276736*ep^3*z4-
         1273645065320710778164794919661/852000145920*ep^3*z3-
         4812026655094592050*ep^3*z3^2;

Fill mncnoptab(6,4,4,6)=
      +mncF321*(6685158287808000+49386990014762400*ep+
         122212562103832360*ep^2+455160986496266590/3*ep^3)
      -12794415156936844615593694474703/389967566788800-1488500350560*
         ep^-3-122693281293836485/9009*ep^-2-91251326461781440425433/
         3246483240*ep^-1-87940382343686240*z3+176360677258457944232325\
         388795694522616806040779/505903364524843084800000000000*ep-
         131910573515529360*ep*z4-12527935840251763430656/9009*ep*z3-
         636985921634796341802175161377257649690938267637821451/
         364614672880344908077056000000000000*ep^2-8533047715443622880*
         ep^2*z5-6263967920125881715328/3003*ep^2*z4+
         2555674707681774123348116831/541080540*ep^2*z3+
         60351146506112419895478460738114845159842270040069655284290877\
         10191254614483/12180621404608852920722319383459807625216000000\
         00000000000*ep^3-21112768332749841600*ep^3*z6-
         14777670528384374619716/1287*ep^3*z5+
         2555674707681774123348116831/360720360*ep^3*z4-515983831255691\
         317236179030216419/584951350183200*ep^3*z3-3079421230847781280
         *ep^3*z3^2;

Fill mncnoptab(6,5,3,6)=
      +mncF321*(3961575281664000+29367369155604480*ep+73159674195687872
         *ep^2+275072147116329832/3*ep^3)
      -30291881588723195219652536471/1557562766760-7243476883136/9*
         ep^-3-232822415974706284/31185*ep^-2-1739516362533435244868/
         108056025*ep^-1-469030663588604416/9*z3+2072659369878033151523\
         7143697712385612778455599/100581970698430341120000000000*ep-
         234515331794302208/3*ep*z4-5148038968705271991280/6237*ep*z3-
         74663610469270858583415842840946943841935731881448229/72491437\
         921772715452006400000000000*ep^2-15169916822820907264/3*ep^2*
         z5-2574019484352635995640/2079*ep^2*z4+
         3902431808822060678060797721/1404728325*ep^2*z3+
         49283412934300497604995950178659998578451761159388397888291439\
         255699533362655507/1671181256712334620723102219410685606179635\
         2000000000000000000*ep^3-112601799512185293440/9*ep^3*z6-
         686404019569885945024/99*ep^3*z5+3902431808822060678060797721/
         936485550*ep^3*z4-113751221138241594293298404734289/
         253103949598500*ep^3*z3-16423411720780969216/9*ep^3*z3^2;

Fill mncnoptab(6,5,4,5)=
      +mncF321*(7427953653120000+54894523887403200*ep+
         135945629267717880*ep^2+168984183548141670*ep^3)
      -30709949539067006420461126837/843679831995-2561422504160*ep^-3-
         48245521335694514/2079*ep^-2-34712069887320248938777/749188440
         *ep^-1-97691605566010560*z3+2171190632302996582382645067457916\
         0096643243023/56038526531982618624000000000*ep-
         146537408349015840*ep*z4-3212472022745838699340/2079*ep*z3-
         10029553843545408309153075311276302719307852450408121/51696751\
         15792705650520227840000000*ep^2-9480952013095334720*ep^2*z5-
         1606236011372919349670/693*ep^2*z4+
         1964435278976009746697741399/374594220*ep^2*z3+
         14614332609815381143024239188699908454058806843368120200932030\
         818088240525032139/2553837806175910538770324371213717105933287\
         424000000000000000*ep^3-23458151018823310400*ep^3*z6-
         1265400711770687579540/99*ep^3*z5+1964435278976009746697741399/
         249729480*ep^3*z4-16337459570147436826399701827089/
         16873596639900*ep^3*z3-3421798096645223360*ep^3*z3^2;

Fill mncnoptab(6,5,5,4)=
      +mncF321*(6602625469440000+48861770730572800*ep+
         363983642765869360/3*ep^2+1362509680127785430/9*ep^3)
      -3928177577819885471275918382423/121489895807280-71675245326880/
         27*ep^-3-449248669858583314/18711*ep^-2-
         40173656959004765556944/842836995*ep^-1-2344373901053425280/27
         *z3+81001621897596468092694912744493662135414419969/
         235361811434326998220800000000*ep-1172186950526712640/9*ep*z4-
         25714791202172805602720/18711*ep*z3-58386651182134677125274968\
         5041709741592866837124541653/339259929473896308315389952000000\
         000*ep^2-75846819932406149120/9*ep^2*z5-
         12857395601086402801360/6237*ep^2*z4+
         7834720489298982759921150637/1685673990*ep^2*z3+
         21914162156799415662297631726757568382721739859158633026663161\
         6495369995567734777/469267696884823561499047103210520518215241\
         56416000000000000000*ep^3-562990214740412555200/27*ep^3*z6-
         1133143368222198263000/99*ep^3*z5+7834720489298982759921150637/
         1123782660*ep^3*z4-246936547345165686456647229970453/
         303724739518200*ep^3*z3-82125626942489761280/27*ep^3*z3^2;

Fill mncnoptab(6,6,4,4)=
      +mncF321*(4159654045747200+30901157648000640*ep+77299249816036976
         *ep^2+1461875178277864792/15*ep^3)
      -490988187272869831267506789197/24105138057000-5160970435712/3*
         ep^-3-23222525994729532/1485*ep^-2-2113004010986193218557/
         66891825*ep^-1-164102948010671488/3*z3+50897973832898854430067\
         184688351908079054848819/235361811434326998220800000000*ep-
         82051474005335744*ep*z4-1288033320196965765296/1485*ep*z3-
         182859879544264935133522499716769180063224576241107289/
         169629964736948154157694976000000000*ep^2-5309266038031143552*
         ep^2*z5-644016660098482882648/495*ep^2*z4+
         38846845201591763326404299/13378365*ep^2*z3+
         51281537226213152344965559083130796926664552800782086353372448\
         801217139550481209/2346338484424117807495235516052602591076207\
         8208000000000000000*ep^3-39409237915206897920/3*ep^3*z6-
         3644053403826542864384/495*ep^3*z5+38846845201591763326404299/
         8918910*ep^3*z4-1028007992986386265033366499479/2410513805700*
         ep^3*z3-5748829870392708736/3*ep^3*z3^2;

Fill mncnoptab(6,6,5,3)=
      +mncF321*(2773102697164800+20644264584303360*ep+51851212184180864
         *ep^2+986188222494964988/15*ep^3)
      -983143737863241956602507089059/72315414171000-8072533187264/9*
         ep^-3-36912137857653244/4455*ep^-2-3536971599525029793734/
         200675475*ep^-1-328255629383508736/9*z3+6272324751290535037711\
         117014778698914004445723/43585520635986481152000000000*ep-
         164127814691754368/3*ep*z4-2578826872073472166352/4455*ep*z3-
         108014994339617963982130240315547175958252573696848971/
         150782190877287248140173312000000000*ep^2-10618708104868025344/
         3*ep^2*z5-1289413436036736083176/1485*ep^2*z4+
         11047002562299062374521607/5733585*ep^2*z3+1764580514823452047\
         32888325575097810716009372448065387467158890323774224769626607/
         104281710418849680333121578491226781825609236480000000000000000
         *ep^3-78819671713051418240/9*ep^3*z6-2457098380706088386336/
         495*ep^3*z5+11047002562299062374521607/3822390*ep^3*z4-
         1826864070688872330568935733609/7231541417100*ep^3*z3-
         11497110702817073152/9*ep^3*z3^2;

Fill mncnoptab(6,6,6,2)=
      +mncF321*(776468755206144+29089302811016448/5*ep+
         73968408663970912/5*ep^2+7156158067161714416/375*ep^3)
      -275937483177251493706544864801/72315414171000-23568798291584/225
         *ep^-3-114815259670865104/111375*ep^-2-527355821678020614221/
         200675475*ep^-1-2298510926160956416/225*z3+6418788365436126887\
         43049917460283374471117035397/16017678833725031823360000000000
         *ep-1149255463080478208/75*ep*z4-18109849782594022828592/
         111375*ep*z3-1528731074614838232452488182821534503894921598299\
         6747/76961743260282032904880128000000000*ep^2-
         74333518649097670144/75*ep^2*z5-9054924891297011414296/37125*
         ep^2*z4+2667248728296756835801383092/5016886875*ep^2*z3+
         48964858555560037943535033777240539445692648187606387220343035\
         889767190286355919/8871187171047976278338467614705056092803563\
         5200000000000000000*ep^3-110351022510566027008/45*ep^3*z6-
         17795246213982454399856/12375*ep^3*z5+
         1333624364148378417900691546/1672295625*ep^3*z4-
         807403923190375757354424013781/18447809737500*ep^3*z3-
         80471863275260294656/225*ep^3*z3^2;

Fill mncnoptab(7,3,3,7)=
      +mncF321*(1671289571952000+12422095692126120*ep+31095361546742038
         *ep^2+548845045203827941/14*ep^3)
      -2959074125183461201501144933517/359970061651200-58924609016*
         ep^-3-891002688914829/1540*ep^-2-7328925711288798976693/
         4994589600*ep^-1-21992006724271896*z3+809693104371802996784872\
         2246211946625385002661/93397544219971031040000000000*ep-
         32988010086407844*ep*z4-241652151391725419300/693*ep*z3-
         5827122778700264561141430073916245844187714481364819/134626956\
         14043504298229760000000000*ep^2-2133335362676997752*ep^2*z5-
         120826075695862709650/231*ep^2*z4+2909874150134919249715410421/
         2497294800*ep^2*z3+6772788150215634526342838825665066871875589\
         38230787258588222480721048308709/52470369127545827966188452728\
         7499405393920000000000000000*ep^3-5278358389881814640*ep^3*z6-
         2056413142923967987487/693*ep^3*z5+
         2909874150134919249715410421/1664863200*ep^3*z4-
         16391172613936915821803683516327/99991683792000*ep^3*z3-
         769779119253136616*ep^3*z3^2;

Fill mncnoptab(7,4,2,7)=
      +mncF321*(880350062592000+19691793460218880/3*ep+
         16531207376041024*ep^2+567629084225699768/27*ep^3)
      -12824542801436242444594201754687/2961316210302450-1708524842368/
         81*ep^-3-796164985487493176/3648645*ep^-2-
         102897730916539053061876/164353214025*ep^-1-938343495112713728/
         81*z3+13940770594875759936487128841445939107582497619/
         305970354864625097687040000000*ep-469171747556356864/27*ep*z4-
         134235657685940086727168/729729*ep*z3-500393722373491317185267\
         6993022596247152759266743393883/220518954158032600405003468800\
         00000000*ep^2-30340832790446938112/27*ep^2*z5-
         67117828842970043363584/243243*ep^2*z4+
         100171517898374982454374611194/164353214025*ep^2*z3+
         24229207371579637055511555367086292144475546355329142864638201\
         6184973168945363/359096798962980992882650063675023353393971200\
         000000000000000*ep^3-225210387190570251520/81*ep^3*z6-
         18410027828919466068448/11583*ep^3*z5+
         50085758949187491227187305597/54784404675*ep^3*z4-106130581880\
         6134850881155532018943/14806581051512250*ep^3*z3-
         32843711245009707008/81*ep^3*z3^2;

Fill mncnoptab(7,4,3,6)=
      +mncF321*(2971181461248000+22045274081550720*ep+55007452144847088
         *ep^2+69070186017153388*ep^3)
      -6406432629286879796680060652131/438713512637400-310198756096*
         ep^-3-395172046251235276/135135*ep^-2-80691445645941880226297/
         12174312150*ep^-1-39092351658438016*z3+12496673666620388249038\
         42514384598026249349181759/8094453832397489356800000000000*ep-
         58638527487657024*ep*z4-16739741664804862247296/27027*ep*z3-
         83339377804275408878652374886686549922626125463672189/10803397\
         7149731824615424000000000000*ep^2-3792547920976606592*ep^2*z5-
         8369870832402431123648/9009*ep^2*z4+
         12657820484755336592822576914/6087156075*ep^2*z3+
         13859031073256412664241600448617456031212600182614852240914247\
         047550688910229329/6207244667788671448400093957811117965810073\
         600000000000000000*ep^3-9383638923295421440*ep^3*z6-
         6725686216099130356880/1287*ep^3*z5+
         6328910242377668296411288457/2029052025*ep^3*z4-35214604661176\
         0917508534523388971/1096783781593500*ep^3*z3-
         1368546488669421696*ep^3*z3^2;

Fill mncnoptab(7,4,4,5)=
      +mncF321*(4401750312960000+97939821922342400/3*ep+
         732629212218591680/9*ep^2+2757759877398877600/27*ep^3)
      -51168339261085166616359817136013/2369052968241960-85822801855040/
         81*ep^-3-7100092778661262676/729729*ep^-2-
         667883322227547366662086/32870642805*ep^-1-4690015333028631040/
         81*z3+28015315188381876222217005735820490512591393820897/
         122388141945850039074816000000000*ep-2345007666514315520/27*ep
         *z4-669377744033537355917680/729729*ep*z3-10087254802211011531\
         160266636024069706562369918784608707/8820758166321304016200138\
         752000000000*ep^2-151698131507800764160/27*ep^2*z5-
         334688872016768677958840/243243*ep^2*z4+
         101356347684012399630016497499/32870642805*ep^2*z3+
         42906752871014568635233938316459802485865224726676683399976778\
         49505544031706677/12513805250261961639974589418947213819073108\
         37760000000000000*ep^3-1126010947975934153600/81*ep^3*z6-
         9940903716411312896800/1287*ep^3*z5+
         101356347684012399630016497499/21913761870*ep^3*z4-28851237266\
         44034927799161671716841/5922632420604900*ep^3*z3-
         164237295669139690240/81*ep^3*z3^2;

Fill mncnoptab(7,5,1,7)=
      +mncF321*(107842882667520+2436041175231664/3*ep+2083802130389070*
         ep^2+3673650761898914683/1350*ep^3)
      -4420865552108124844545799845599/8330735712499200+74082091174/405
         *ep^-3-2261651250076553/1603800*ep^-2-116843654744546803471/
         4623562944*ep^-1-574760614071686224/405*z3+3195596958751548720\
         838216696904591758440320825633/5766364380141011456409600000000\
         00*ep-287380307035843112/135*ep*z4-9077171388259205548681/
         400950*ep*z3-3414241195492903330350027795675842452198867897160\
         086651/124678024081656893305905807360000000000*ep^2-
         18583848796604070616/135*ep^2*z5-9077171388259205548681/267300
         *ep^2*z4+21097675752548908796761488931/288972684000*ep^2*z3+
         23371065302999580592348316566705297457198782603820454454414879\
         6991013022682822947/319362738157727146020184834129382019340928\
         2867200000000000000000*ep^3-27588392887870262812/81*ep^3*z6-
         4562648760758028635854/22275*ep^3*z5+
         21097675752548908796761488931/192648456000*ep^3*z4-
         47590922914654745996823228613247/14876313772320000*ep^3*z3-
         20116491069931876984/405*ep^3*z3^2;

Fill mncnoptab(7,5,2,6)=
      +mncF321*(924367565721600+6905052603088640*ep+17455377088895200*
         ep^2+1004666376621788648/45*ep^3)
      -140874606557932892075448132197/30992320359000-1665288532544/27*
         ep^-3-8220663127297156/13365*ep^-2-976883809354246018748/
         602026425*ep^-1-328396390839741952/27*z3+524934477629257272492\
         574169684572833244107334747/10983551200268593250304000000000*
         ep-164198195419870976/9*ep*z4-2583613636360861573856/13365*ep*
         z3-9403188338722694987410029067132049528857942433670944927/
         39580325105287902636795494400000000000*ep^2-
         10619207408978791168/9*ep^2*z5-1291806818180430786928/4455*
         ep^2*z4+383652096753614782427489849/602026425*ep^2*z3+
         14208586980086345610610203027376713787155767031664595986220734\
         905860274471593357/2433239909773159207772836831461958242597548\
         8512000000000000000*ep^3-78823064590241578880/27*ep^3*z6-
         2502637927642885471888/1485*ep^3*z5+
         383652096753614782427489849/401350950*ep^3*z4-
         1032131895465127958253652005419/15496160179500*ep^3*z3-
         11495563911747645184/27*ep^3*z3^2;

Fill mncnoptab(7,5,3,5)=
      +mncF321*(2599783778592000+19350953567946000*ep+48584659589552450
         *ep^2+369342006954164713/6*ep^3)
      -492158424964457976027959100449/38568220891200-1722471044840/3*
         ep^-3-3175843831092013/594*ep^-2-4993336567389171313063/
         428107680*ep^-1-102597514978569520/3*z3+4478036143447824724061\
         13340919646898173654133/3320801572265636659200000000*ep-
         51298757489284760*ep*z4-161180615407210432897/297*ep*z3-
         73831020350998852724426746510858207678193326804739/10989955603\
         3008198352896000000000*ep^2-3318408759783215280*ep^2*z5-
         161180615407210432897/198*ep^2*z4+386767255383333309010567661/
         214053840*ep^2*z3+58804136312279728267607393175783088259900574\
         310339340242839744254587901927477/3819842872485336275938519358\
         6529956712677376000000000000000*ep^3-24631571910927690800/3*
         ep^3*z6-460377337779564576133/99*ep^3*z5+
         386767255383333309010567661/142702560*ep^3*z4-
         4588876390937442073670915653151/19284110445600*ep^3*z3-
         3592652943813235120/3*ep^3*z3^2;

Fill mncnoptab(7,5,4,4)=
      +mncF321*(3081225219072000+68847753092518400/3*ep+
         519227951783384480/9*ep^2+1977302118189002716/27*ep^3)
      -196469429773449053677346400451/13016774550780-96107528753600/81*
         ep^-3-86835913505664548/8019*ep^-2-8008560940279288140643/
         361215855*ep^-1-3282215378865230080/81*z3+73165095097912923834\
         78112053539528265563010769/45764796667785805209600000000*ep-
         1641107689432615040/27*ep*z4-5158545694033569612064/8019*ep*z3
         -472232790319478485107367458960469653867976669010744357/
         593704876579318539551932416000000000*ep^2-
         106185875388233105920/27*ep^2*z5-2579272847016784806032/2673*
         ep^2*z4+772485109222132236342293983/361215855*ep^2*z3+
         14774333978864080721595130748049474170095065231737544634814507\
         0107845144542643439/821218469548441232623332430618410906876672\
         73728000000000000000*ep^3-788188526964585219200/81*ep^3*z6-
         547396872995785849808/99*ep^3*z5+772485109222132236342293983/
         240810570*ep^3*z4-8865720826475844952914844899713/
         32541936376950*ep^3*z3-114974877145465792000/81*ep^3*z3^2;

Fill mncnoptab(7,5,5,3)=
      +mncF321*(1617643240012800+12108920559095360*ep+92202455271775940/
         3*ep^2+3558869645038277743/90*ep^3)
      -13750557860513055672681884563087/1735569940104000-18013242073736/
         27*ep^-3-32964177262431451/5346*ep^-2-7912392283673537505182/
         602026425*ep^-1-574362134270238496/27*z3+918912916425271510736\
         4901546086930934699791907/109835512002685932503040000000*ep-
         287181067135119248/9*ep*z4-4524239928555449432204/13365*ep*z3-
         49202174478690724641780238639123168353286002438978641/11874097\
         5315863707910386483200000000*ep^2-18582436708386538624/9*ep^2*
         z5-2262119964277724716102/4455*ep^2*z4+
         5346965694124955182311177667/4816211400*ep^2*z3+
         32349551665384499073580729594977153450953884934009384538358592\
         60214526551283081/30415498872164490097160460393274478032469360\
         64000000000000000*ep^3-137932369977223443440/27*ep^3*z6-
         163903219248030603826/55*ep^3*z5+5346965694124955182311177667/
         3210807600*ep^3*z4-12390347970995480075581345406161/
         123969281436000*ep^3*z3-20120878865040798208/27*ep^3*z3^2;

Fill mncnoptab(7,6,1,6)=
      +mncF321*(70588068655104+2674406003837568/5*ep+6946094099289072/5
         *ep^2+691918448691767356/375*ep^3)
      -40194759443524171604747686621/115704662673600-24508482544/225*
         ep^-3-53787852926149/10125*ep^-2-69229710180759748859/
         1605403800*ep^-1-209002321025353856/225*z3+1388126299432369774\
         0720922551376389866033508052081/384424292009400763760640000000\
         0000*ep-104501160512676928/75*ep*z4-1655338625452499061172/
         111375*ep*z3-2950545662816160210072671714024799294046188741941\
         76199379/16623736544220919107454107648000000000000*ep^2-
         6757758253852983104/75*ep^2*z5-827669312726249530586/37125*
         ep^2*z4+944801197533530088498272563/20067547500*ep^2*z3+
         17869927004962785196142487439356494874252428566328332392042104\
         3381568336423861257/532271230262878576700308056882303365568213\
         8112000000000000000000*ep^3-10032136220266797728/45*ep^3*z6-
         1712543542979316708296/12375*ep^3*z5+
         944801197533530088498272563/13378365000*ep^3*z4+
         34635764661761762693856764257/147582477900000*ep^3*z3-
         7315107872061394496/225*ep^3*z3^2;

Fill mncnoptab(7,6,2,5)=
      +mncF321*(504200490393600+3794873329927680*ep+9731844319739360*
         ep^2+63503029447053132/5*ep^3)
      -179161803631594998935860662557/72315414171000-674829122240/9*
         ep^-3-300790633171676/405*ep^-2-35066034199628162218/18243225*
         ep^-1-59700313005249280/9*z3+227922115677225286674285063401260\
         5180742017792451/87868409602148746002432000000000*ep-
         29850156502624640/3*ep*z4-471377922036603406304/4455*ep*z3-
         3244853783442084014491215383730238360132726728228129469/
         25331408067384257687549116416000000000*ep^2-
         1930736111230151680/3*ep^2*z5-235688961018301703152/1485*ep^2*
         z4+6233591030480656387781371/18243225*ep^2*z3+
         13072513920002722940824736243241635667089966542077263331494271\
         6066458131069261943/486647981954631841554567366292391648519509\
         770240000000000000000*ep^3-14331270051713014400/9*ep^3*z6-
         157657945491141931504/165*ep^3*z5+6233591030480656387781371/
         12162150*ep^3*z4-589911578238044133945492831731/36157707085500
         *ep^3*z3-2090191360364843008/9*ep^3*z3^2;

Fill mncnoptab(7,6,3,4)=
      +mncF321*(1134451103385600+8516246716897920*ep+21732238148032048*
         ep^2+422525700573932096/15*ep^3)
      -134003270563606901592676896161/24105138057000-1266771740416/3*
         ep^-3-529479278795876/135*ep^-2-1136766317235364129967/
         133783650*ep^-1-44758450798914944/3*z3+96437923009482744938440\
         321637873438643430438469/1647532680040288987545600000000*ep-
         22379225399457472*ep*z4-353025569864008928768/1485*ep*z3-
         343572757552579056080685449913744529377568081744283489/
         1187409753158637079103864832000000000*ep^2-1447992636966069376
         *ep^2*z5-176512784932004464384/495*ep^2*z4+
         2069709160740035935992904/2675673*ep^2*z3+18389452968377064820\
         223343370033057531068247533475070575816196805130621832547091/
         27373948984948041087444414353947030229222424576000000000000000
         *ep^3-10748048650248232960/3*ep^3*z6-116654599373792463408/55*
         ep^3*z5+1034854580370017967996452/891891*ep^3*z4-
         127002892620043675000932200791/2410513805700*ep^3*z3-
         1567828541221324928/3*ep^3*z3^2;

Fill mncnoptab(7,6,4,3)=
      +mncF321*(1008400980787200+7580684315043840*ep+19396769945885696*
         ep^2+126179305834955184/5*ep^3)
      -44636686492549897412011688162/9039426771375-3939842548096/9*
         ep^-3-1644490931472376/405*ep^-2-1757699237973415646236/
         200675475*ep^-1-119343578023814144/9*z3+7139171632176902596420\
         94344240381407120746699/13729439000335741562880000000*ep-
         59671789011907072/3*ep*z4-941972004606727015648/4455*ep*z3-
         40628712247401866581735836178826434034002950912917729/15832130\
         0421151610547181977600000000*ep^2-3861270039123800576/3*ep^2*
         z5-470986002303363507824/1485*ep^2*z4+
         5501559700232756296737322/8027019*ep^2*z3+91168280439076743406\
         86275296631655826046320413349671922457621176755759956235857/
         15207749436082245048580230196637239016234680320000000000000000
         *ep^3-28661166348368968960/9*ep^3*z6-939923206307650070464/495
         *ep^3*z5+2750779850116378148368661/2675673*ep^3*z4-
         142511786699505676721927268157/3615770708550*ep^3*z3-
         4181010760424196608/9*ep^3*z3^2;

Fill mncnoptab(7,6,5,2)=
      +mncF321*(352940343275520+2668046307134208*ep+6898842231037120*
         ep^2+683056759540319956/75*ep^3)
      -125301375922729315354595984969/72315414171000-3842267700544/45*
         ep^-3-1695494180678524/2025*ep^-2-424038478202508977798/
         200675475*ep^-1-208918254758210816/45*z3+140350251844016081303\
         2349095444673805952877612443/77499937269095193974145024000000*
         ep-104459127379105408/15*ep*z4-1653076895961220131472/22275*ep
         *z3-29844818399663956456684623564960715518605936573832105529/
         335134528731493729206274810183680000000*ep^2-
         6757460285166316544/15*ep^2*z5-826538447980610065736/7425*ep^2
         *z4+237573404715047242406978587/1003377375*ep^2*z3+
         29904770311089725896338716165051915652500181645076264215862257\
         22791321946596209/14903594447360600147608625592704494235909986\
         713600000000000000*ep^3-10031731300370369408/9*ep^3*z6-
         1691981889624959639296/2475*ep^3*z5+
         237573404715047242406978587/668918250*ep^3*z4-
         86728661413085167498774023637/25826933632500*ep^3*z3-
         7316033192643209216/45*ep^3*z3^2;

Fill mncnoptab(7,6,6,1)=
      +mncF321*(38502582902784+1470165197574528/5*ep+3874180918647312/5
         *ep^2+393691578463996876/375*ep^3)
      -19145231388705672315030323341/101012007096000-68473046096/275*
         ep^-3-111013783981289/15125*ep^-2-44305125015903278119/
         840925800*ep^-1-139333562556965504/275*z3+21037863604362767741\
         79341589230401539926804415119629/10741491305496593884816500326\
         40000000*ep-209000343835448256/275*ep*z4-123069887784319254772/
         15125*ep*z3-63455970986233954656550204317757926246192395647716\
         47913517/663566366888357583828424124163686400000000*ep^2-
         13515503081469433408/275*ep^2*z5-184604831676478882158/15125*
         ep^2*z4+264931154828517575582545043/10511572500*ep^2*z3+
         52404808250686668661020332606461277040627229546110659756446753\
         5203155028808881447/208650322263048402066520758297862919302739\
         81399040000000000000000*ep^3-6688084759456233952/55*ep^3*z6-
         3557076167709260662592/45375*ep^3*z5+
         264931154828517575582545043/7007715000*ep^3*z4+
         2133910166555716133156980184741/1262650088700000*ep^3*z3-
         4876754433010160064/275*ep^3*z3^2;

Fill mncnoptab(7,7,3,3)=
      +mncF321*(236343979872000+1800547154406000*ep+4723075211462790*
         ep^2+38142057477773257/6*ep^3)
      -4056590801871638258192951911/3506201899200-115561970160*ep^-3-
         58886709487199/54*ep^-2-37934792494358715673/15289560*ep^-1-
         3107629375476080*z3+309452651718895082185245095559927197748600\
         523/25628286133960050917376000000*ep-4661444063214120*ep*z4-
         14810535775369565146/297*ep*z3-1087986722789002724292785026603\
         130056384666061651497/18470818382467687897171230720000000*ep^2
         -301658750735866160*ep^2*z5-7405267887684782573/99*ep^2*z4+
         16661519968776210331388779/107026920*ep^2*z3+
         87024665549593487790037741622189599187099005299860017441003194\
         017828776239448097348269/2184114703021470363233331267522928802\
         106947462680805376000000000000000*ep^3-746377803400975200*ep^3
         *z6-47066405180185687544/99*ep^3*z5+16661519968776210331388779/
         71351280*ep^3*z4+178124846774489454894381407/24105138057*ep^3*
         z3-108883456998294160*ep^3*z3^2;

Fill mncnoptab(7,7,4,2)=
      +mncF321*(140055691776000+3207105926984960/3*ep+25328072854063616/
         9*ep^2+11419311698957468/3*ep^3)
      -5808740264835633692266185169/8452451007000-3416536882304/81*
         ep^-3-1504268591047232/3645*ep^-2-1874839119682949278706/
         1806079275*ep^-1-149212122259782400/81*z3+92205426704208990170\
         5568834397414475666106193569/129166562115158656623575040000000
         *ep-74606061129891200/27*ep*z4-1186124564050579053536/40095*ep
         *z3-6479703007659112216071537052288697233012966430150715349/
         186185849295274294003486005657600000000*ep^2-
         4826703952390378240/27*ep^2*z5-593062282025289526768/13365*
         ep^2*z4+12755656294180650378831734/138929175*ep^2*z3+
         34097877902002959274503612672637523100312904740408670221664767\
         553509189193073458186104341/9173281752690175525579991323596300\
         96884917934325938257920000000000000000*ep^3-
         35827249337278380800/81*ep^3*z6-1266971108558675412448/4455*
         ep^3*z5+6377828147090325189415867/46309725*ep^3*z4+
         134884518143205960072456358541/23244240269250*ep^3*z3-
         5225908561154794240/81*ep^3*z3^2;

Fill mncnoptab(7,7,5,1)=
      +mncF321*(24509746060800+564551054347280/3*ep+4507276370370410/9*
         ep^2+20626390855242631/30*ep^3)
      -456964289537439408976439101033/3786698051136000+175815094/81*
         ep^-3-127653908345629/29160*ep^-2-1178620174061989669037/
         28897268400*ep^-1-26125523105303440/81*z3+12126465807682570212\
         6697842413548082069692097295119/976499209590599444074227302400\
         00000*ep-13062761552651720/27*ep*z4-208214107664155628231/
         40095*ep*z3-25485058817597908088968369413544391537667940855756\
         74723617/422269506201682098799906260831436800000000*ep^2-
         844720409760125080/27*ep^2*z5-208214107664155628231/26730*ep^2
         *z4+228760723208603077088365933/14448634200*ep^2*z3+
         72357098942879441528687284289278218044595325152665043596432001\
         5308559538864264619143219749/770555667225974744148719271182089\
         28138333106483378813665280000000000000000*ep^3-
         6270089265437679500/81*ep^3*z6-456121673774618753771/8910*ep^3
         *z5+228760723208603077088365933/9632422800*ep^3*z4+
         5259286489013311407924918707653/2975262754464000*ep^3*z3-
         914384624029517368/81*ep^3*z3^2;

Fill mncnoptab(8,2,2,8)=
      +mncF321*(136431801792000+7175092711644000/7*ep+
         128275996812750088/49*ep^2+5813102713259862662/1715*ep^3)
      -192397668127189199780213229797017/286626161589768000-14398664288/
         49*ep^-3-1819501945907923/735735*ep^-2-3419187697193233294453/
         795388393800*ep^-1-12567535309743264/7*z3+34814055743710774597\
         64852499791373678592284611/495785297234346223104000000000*ep-
         18851302964614896/7*ep*z4-9021452717942078409568/315315*ep*z3-
         24837292414436480066710067329101444815053593085662217/71464475\
         8845476019831029760000000000*ep^2-8533392173501529056/49*ep^2*
         z5-4510726358971039204784/105105*ep^2*z4+
         36928064257615646102876861041/397694196900*ep^2*z3+
         14402400307614841366274059720795248002568081336674949705425845\
         45500725792081/12998076441095935938957461706527554714730496000\
         000000000000*ep^3-21113548565833315520/49*ep^3*z6-
         565582285159598155654252/2207205*ep^3*z5+
         36928064257615646102876861041/265129464600*ep^3*z4-
         9405999180139517742861350966407/1769297293764000*ep^3*z3-
         3079065726769582496/49*ep^3*z3^2;

Fill mncnoptab(8,3,1,8)=
      +mncF321*(53898983424000+2842451529174400/7*ep+51087606368833840/
         49*ep^2+4199185733968201244/3087*ep^3)
      -31573076743059330141723316130179/119060097891134400-104721363760/
         1323*ep^-3-489573513295189/916839*ep^-2-37050237634074026419/
         330392102040*ep^-1-134053819217651840/189*z3+41770519846535060\
         531949273226363544241685291/15087295604764551168000000000*ep-
         67026909608825920/63*ep*z4-1482376770742796351420/130977*ep*z3
         -27057917089929375719141292630622352048059348980378467/
         1979016255264395131839774720000000000*ep^2-
         30340952909390477120/441*ep^2*z5-741188385371398175710/43659*
         ep^2*z4+6021238671929776630560989579/165196051020*ep^2*z3+
         61661961310201663337016930970273784213373973138053915416616701\
         073929886635189/1448357089150690004626688590155927525355683840\
         000000000000000*ep^3-225211204984119671200/1323*ep^3*z6-
         10458390420009063142720/101871*ep^3*z5+
         6021238671929776630560989579/110130700680*ep^3*z4-
         79088935741568937451149427561981/59530048945567200*ep^3*z3-
         32843361591621638720/1323*ep^3*z3^2;

Fill mncnoptab(8,3,2,7)=
      +mncF321*(424454494464000+3175559841168000*ep+56335583518798320/7
         *ep^2+505536478808252180/49*ep^3)
      -583011914405830064267505761129/279181326223800-20611008000/7*
         ep^-3-537169336935124/17199*ep^-2-148433648628536604413/
         1549457910*ep^-1-5585533192807040*z3+4232551553772245636384427\
         313693204569133224043/193163102818576450560000000000*ep-
         8378299789210560*ep*z4-218268408332761647968/2457*ep*z3-
         12121303477530908426835522300160900332713825517894659/11137320\
         9170723535558082560000000000*ep^2-3792615754933554560/7*ep^2*
         z5-109134204166380823984/819*ep^2*z4+
         45188097277935754703947436/154945791*ep^2*z3+
         34429169205496989767004708112384392527340076525084521337741958\
         642760165318317/1034540777964778574733348992968519660968345600\
         00000000000000*ep^3-9383792556459763200/7*ep^3*z6-
         4472488450859515599664/5733*ep^3*z5+22594048638967877351973718/
         51648597*ep^3*z4-3691174014072238580653477481633/
         139590663111900*ep^3*z3-1368476224239245440/7*ep^3*z3^2;

Fill mncnoptab(8,3,3,6)=
      +mncF321*(1131878651904000+8448085045171200*ep+149216775182848320/
         7*ep^2+3994431645738292264/147*ep^3)
      -12821858596130811313697020464389/2303245941346350-2947538949760/
         63*ep^-3-256748666859754600/567567*ep^-2-
         28322512388479035675668/25566055515*ep^-1-134044969150522880/9
         *z3+4976257262633822128819666599256397656023491478421/
         84991765240173638246400000000000*ep-67022484575261440/3*ep*z4-
         19185536028872454836480/81081*ep*z3-89204480125823632406292196\
         89268025299464882527644085447/30627632521948972278472704000000\
         000000*ep^2-30340732759698237440/21*ep^2*z5-
         9592768014436227418240/27027*ep^2*z4+
         19988742481338064575394266782/25566055515*ep^2*z3+
         18264970828629319996209118325236369737989629996718377247853629\
         0593504014172207/206908155592955714946669798593703932193669120\
         000000000000000*ep^3-225209708737602630400/63*ep^3*z6-
         129571554603681929681120/63063*ep^3*z5+
         9994371240669032287697133391/8522018505*ep^3*z4-19698812243558\
         0227806867261277861/2303245941346350*ep^3*z3-
         32844038692426342400/63*ep^3*z3^2;

Fill mncnoptab(8,4,1,7)=
      +mncF321*(88035006259200+1987992514668160/3*ep+1699154412848656*
         ep^2+2092958248553091196/945*ep^3)
      -205235652421081012456001334260723/473810593648392000+1356815120/
         81*ep^-3-1806443530490381/3648645*ep^-2-1598725857746692828921/
         262965142440*ep^-1-93838086320983424/81*z3+2422793194964883552\
         764133455677647019270439284399/5354481210130939209523200000000\
         00*ep-46919043160491712/27*ep*z4-67420628234096722941868/
         3648645*ep*z3-138085553837762991863481487563132286533765007145\
         786263/6174530716424912811340097126400000000*ep^2-
         3034096599420055616/27*ep^2*z5-33710314117048361470934/1216215
         *ep^2*z4+5601796777723032909987166243/93916122300*ep^2*z3+
         57059663487980138961893284437650726556780808225070326443218198\
         916485609187315503/9124649661649347029148138117982343409740808\
         19200000000000000000*ep^3-22521129279847958560/81*ep^3*z6-
         67682300358811872212264/405405*ep^3*z5+
         5601796777723032909987166243/62610748200*ep^3*z4-1267032169770\
         69394148639156047321/47381059364839200*ep^3*z3-
         3284330449981620032/81*ep^3*z3^2;

Fill mncnoptab(8,4,2,6)=
      +mncF321*(594236292249600+4449774006437760*ep+11298649469884208*
         ep^2+508607247192074724/35*ep^3)
      -6411934203748155074936704187279/2193567563187000-52185749120/3*
         ep^-3-23565296990990284/135135*ep^-2-572154322271058511421/
         1217431215*ep^-1-23458337063142016/3*z3+1158332130998711412983\
         7901717144179284325876913/377741178845216169984000000000*ep-
         11729168531571008*ep*z4-16813367788804670680592/135135*ep*z3-
         62135764292752966679946810614704846032321796946766311/40836843\
         3625986297046302720000000000*ep^2-758519983067689344*ep^2*z5-
         8406683894402335340296/45045*ep^2*z4+
         354310329905003971306251853/869593725*ep^2*z3+
         89200674882848852049970808893509777650807252774882028920555355\
         30560773093001629/21725356337260350069400328852338912880335257\
         600000000000000000*ep^3-5630254030349815040/3*ep^3*z6-
         49425411525284774817248/45045*ep^3*z5+
         354310329905003971306251853/579729150*ep^3*z4-
         7597602945252175259253384431599/219356756318700*ep^3*z3-
         821095869881058688/3*ep^3*z3^2;

Fill mncnoptab(8,4,3,5)=
      +mncF321*(1320525093888000+9879193586662400*ep+75126455412111680/
         3*ep^2+2024742699424123816/63*ep^3)
      -3202506741742231390469582425184/493552701717075-4552883658560/27
         *ep^-3-388599332240239364/243243*ep^-2-40269841993086599506939/
         10956880935*ep^-1-469090272697231360/27*z3+5454347764116349363\
         2095074892588880220119980464439/799602527379553588622131200000\
         000*ep-234545136348615680/9*ep*z4-67217608802476899518032/
         243243*ep*z3-9757015668677777634461252791033791744875498926778\
         9198353/288144766766495931195871199232000000000*ep^2-
         15170127660618691840/9*ep^2*z5-33608804401238449759016/81081*
         ep^2*z4+1420285389788306501469283111/1565268705*ep^2*z3+
         61793600392121235459850225427261124655539724516409750213925545\
         915959458681584281/6813071747364845781763943128093483079273136\
         7833600000000000000*ep^3-112603231772897110400/27*ep^3*z6-
         21858591048159319236352/9009*ep^3*z5+
         1420285389788306501469283111/1043512470*ep^3*z4-
         41468935799049238864696259279746/493552701717075*ep^3*z3-
         16422752693429582080/27*ep^3*z3^2;

Fill mncnoptab(8,4,4,4)=
      +mncF321*(1232490087628800+27758295551866880/3*ep+
         212503373959983680/9*ep^2+4129902203025998792/135*ep^3)
      -6391830679805307152822562476662/1057612932250875-30585560192768/
         81*ep^-3-363804758557899056/104247*ep^-2-
         174896242321937393634368/23479030575*ep^-1-1313058281660543488/
         81*z3+297832927144839313628037684583732776680105387719/
         4685171058864571808332800000000*ep-656529140830271744/27*ep*z4
         -134632974246720596335136/521235*ep*z3-63682587532070172939549\
         70735238897557921197521680033879/20260178913269245162209693696\
         000000000*ep^2-42474961323595612672/27*ep^2*z5-
         67316487123360298167568/173745*ep^2*z4+
         19728529038174361733519052536/23479030575*ep^2*z3+
         19282335014018852023387210867258043570029643859214441319557454\
         114884252593577001/2395220536182953595151386255970365145056962\
         1504000000000000000*ep^3-315279564222815736320/81*ep^3*z6-
         14833743174963536582752/6435*ep^3*z5+
         9864264519087180866759526268/7826343525*ep^3*z4-
         59406895533221087633007946179374/1057612932250875*ep^3*z3-
         45988063296242819584/81*ep^3*z3^2;

Fill mncnoptab(8,5,1,6)=
      +mncF321*(72028641484800+544917242950080*ep+1410784576418984*ep^2
         +195783775176033626/105*ep^3)
      -2870559758068634753176420602827/8099326387152000-1650498200/9*
         ep^-3-17006599649299/5670*ep^-2-76360730617438713727/
         4495130640*ep^-1-8530676892896704/9*z3+22509345815582709107908\
         0137633511842753120039827/61019728890381073612800000000000*ep-
         4265338446448352/3*ep*z4-42963104105826963166/2835*ep*z3-
         177441240607114370337567465493662511527417506800481729/
         9772919779083432749826048000000000000*ep^2-275826779191109536/
         3*ep^2*z5-21481552052913481583/945*ep^2*z4+
         77425609103502721495537297/1605403800*ep^2*z3+
         39588067030528208012617355526926968686253620697267646362441753\
         320431258883194443/1013849962405483003238682013109149267748978\
         688000000000000000000*ep^3-2047374151701079760/9*ep^3*z6-
         485408099331703216448/3465*ep^3*z5+77425609103502721495537297/
         1070269200*ep^3*z4-262863992717706740516280479713/
         809932638715200*ep^3*z3-298576287365024032/9*ep^3*z3^2;

Fill mncnoptab(8,5,2,5)=
      +mncF321*(405161108352000+3053367051134400*ep+7848117198695800*
         ep^2+215666846465259338/21*ep^3)
      -6111575993836537452173830583/3067926661800-101394386080/3*ep^-3-
         64119020878750/189*ep^-2-681226813584689153737/749188440*ep^-1
         -15992901656863040/3*z3+64017372052225545527538353110110345040\
         23684644041/307539433607520611008512000000000*ep-
         7996450828431520*ep*z4-176885623783997096620/2079*ep*z3-
         227709096092597879592280270821922728236405914558120123/
         2216498205896122547660547686400000000*ep^2-517167649721220160*
         ep^2*z5-88442811891998548310/693*ep^2*z4+
         14649855305789083754223977/53513460*ep^2*z3+512557934506972527\
         087949782172590377664558889348020973682732658205504547792171/
         2015701700403800527149095600027657715761283072000000000000000*
         ep^3-3838775118766993600/3*ep^3*z6-178533588786052370180/231*
         ep^3*z5+14649855305789083754223977/35675640*ep^3*z4-
         42615888761737966460825805361/4218399159975*ep^3*z3-
         559853472577555520/3*ep^3*z3^2;

Fill mncnoptab(8,5,3,4)=
      +mncF321*(720286414848000+5429147858534400*ep+13959492653822560*
         ep^2+127940501891575404/7*ep^3)
      -357697289317956665202039005023/101241579839400-1867036857920/9*
         ep^-3-1100284375873516/567*ep^-2-1208138053773333078226/
         280945665*ep^-1-85266137719409920/9*z3+10680023212868526014091\
         1771931493138388880084893/2883182190070505728204800000000*ep-
         42633068859704960/3*ep*z4-943282911325208653888/6237*ep*z3-
         1517445810679397070771924597778146683090313899471996197/
         8311868272110459553727053824000000000*ep^2-2758123642850068480/
         3*ep^2*z5-471641455662604326944/2079*ep^2*z4+
         19527485449684700805815899/40135095*ep^2*z3+
         23238532447772297019351243608685097344623136529552215014444591\
         652802823452195397/4790441072365907190302772511940730290113924\
         3008000000000000000*ep^3-20472761977076988800/9*ep^3*z6-
         952793027478781729904/693*ep^3*z5+19527485449684700805815899/
         26756730*ep^3*z4-68345878598642121503012565847/3893906916900*
         ep^3*z3-2986209181321999360/9*ep^3*z3^2;

Fill mncnoptab(8,5,4,3)=
      +mncF321*(504200490393600+3816958635409920*ep+9894993532767200*
         ep^2+1375942826976908252/105*ep^3)
      -312395887687072541486019985433/126551974799250-2082572807744/9*
         ep^-3-1222932614348908/567*ep^-2-6639051273850768978241/
         1404728325*ep^-1-59669374150107904/9*z3+2599261383708183308216\
         786684172791600649545864137/100462881645123399596113920000000*
         ep-29834687075053952/3*ep*z4-472534197429490776416/4455*ep*z3-
         18379349255634120174084121160944143976675308328847343373/
         144811216118546673113822448844800000000*ep^2-
         1930626380874021376/3*ep^2*z5-236267098714745388208/1485*ep^2*
         z4+473618476693884095666024087/1404728325*ep^2*z3+
         35613802484512840422999737434827623273820653479403626587659679\
         4382503355863179917/104325161131524201033260379148931459651369\
         9069952000000000000000*ep^3-14330524421179890560/9*ep^3*z6-
         3407353397522435424656/3465*ep^3*z5+
         473618476693884095666024087/936485550*ep^3*z4-
         8208301514161915499232313424/9039426771375*ep^3*z3-
         2090531435971343872/9*ep^3*z3^2;

Fill mncnoptab(8,5,5,2)=
      +mncF321*(137509224652800+1050371570626560*ep+2768883187467280*
         ep^2+393977028218968246/105*ep^3)
      -64184152433644633564654697611/95184391302000-550779612448/11*
         ep^-3-3730260661957442/7623*ep^-2-485438830394597428402/
         396205425*ep^-1-19892890350523008/11*z3+2757001777775871063815\
         456802515567433357431149913/393461219981560215561043968000000*
         ep-29839335525784512/11*ep*z4-158195370528134618912/5445*ep*z3
         -11613434748231798445974925310547366471327604593269215411/
         340290444558132094270986730340352000000*ep^2-
         1930659546441773056/11*ep^2*z5-79097685264067309456/1815*ep^2*
         z4+926986451298659049282371099/10301341050*ep^2*z3+
         88109343105994364061414092671041315075482709686046636324335653\
         93988034842797703/99357296315737334317390837284696628239399911\
         424000000000000000*ep^3-4776916640228125120/11*ep^3*z6-
         3559811078139651301576/12705*ep^3*z5+
         926986451298659049282371099/6867560700*ep^3*z4+
         78437945724080198964520906043/12626500887000*ep^3*z3-
         696810171942536704/11*ep^3*z3^2;

Fill mncnoptab(8,6,1,5)=
      +mncF321*(30011933952000+229728216477760*ep+1823698601496616/3*
         ep^2+17386344685636174/21*ep^3)
      -3589326221552232946214186223361/24297979161456000+1003612376/27*
         ep^-3-41444969891783/17010*ep^-2-857435310680897113001/
         33713479800*ep^-1-10663469764001600/27*z3+10497797272632601454\
         582292788028856050590887717/6888883312808461686590668800000*ep
         -5331734882000800/9*ep*z4-594040112744262572032/93555*ep*z3-
         73743404504635411944337970705639428418168608116660653/99299119\
         62414629013519253635072000000*ep^2-344783845404633440/9*ep^2*
         z5-297020056372131286016/31185*ep^2*z4+
         47040694543791224495240323/2408105700*ep^2*z3+
         44796439759742317821603451237939215336945179248464013897880787\
         19162991371815340830945451/23483601286886849345484777788406530\
         4802538991187440194027520000000000000*ep^3-2559220166124746800/
         27*ep^3*z6-642310398970024000526/10395*ep^3*z5+
         47040694543791224495240323/1605403800*ep^3*z4+
         20668010068583090678721832360553/12148989580728000*ep^3*z3-
         373218551665887200/27*ep^3*z3^2;

Fill mncnoptab(8,6,2,4)=
      +mncF321*(135053702784000+1030826019263040*ep+2713293783420168*
         ep^2+25678821048685498/7*ep^3)
      -223826334235058919198529985167/337471932798000-28783887808*ep^-3
         -267525729209654/945*ep^-2-338331199532914352137/468242775*
         ep^-1-1776596253490240*z3+528991851361975496257762569891988412\
         812912693/76884858401880152752128000000*ep-2664894380235360*ep
         *z4-296553372341164312952/10395*ep*z3-189783027538568899136250\
         86028041232499244360235869/565433215789827180525649920000000*
         ep^2-172385065371072320*ep^2*z5-148276686170582156476/3465*
         ep^2*z4+11844909364228432427779439/133783650*ep^2*z3+
         35030413255988291108976145703698441244041179274824599375994748\
         96124087261884037484142183/78628129308772933076399925630825436\
         875850108656508993536000000000000000*ep^3-426521172793955200*
         ep^3*z6-86381014257069738128/315*ep^3*z5+
         11844909364228432427779439/89189100*ep^3*z4+
         237538363214958467185586227409/42183991599750*ep^3*z3-
         62210321804030400*ep^3*z3^2;

Fill mncnoptab(8,6,3,3)=
      +mncF321*(180071603712000+1375768589395200*ep+3627748050322240*
         ep^2+103253316251559844/21*ep^3)
      -3570561347318886448953261721/4049663193576-766223269760/9*ep^-3-
         456675410888416/567*ep^-2-5701942424011069072/3087315*ep^-1-
         21310040992264960/9*z3+922210519848157569896599191840241930722\
         509401591/100462881645123399596113920000000*ep-
         10655020496132480/3*ep*z4-3081741401918628992/81*ep*z3-
         6469583932346098751111078844411876326134202724477677591/
         144811216118546673113822448844800000000*ep^2-
         689507773678647040/3*ep^2*z5-1540870700959314496/27*ep^2*z4+
         33092591062385106070596394/280945665*ep^2*z3+
         19763663037121594429185624960328674776508125303853244284080281\
         87228829344574958649673761/41162161710789249153243550811009042\
         808938625258215178240000000000000000*ep^3-5118033200109190400/
         9*ep^3*z6-254495356767474264832/693*ep^3*z5+
         16546295531192553035298197/93648555*ep^3*z4+
         105772311395421168242377354229/12655197479925*ep^3*z3-
         746622965022488320/9*ep^3*z3^2;

Fill mncnoptab(8,6,4,2)=
      +mncF321*(84033415065600+645205027667200*ep+5150816716359808/3*
         ep^2+247410693350901292/105*ep^3)
      -78196069675656044357223153083/189827962198875-918519147520/27*
         ep^-3-2820301421021656/8505*ep^-2-3482064616350654949231/
         4214184975*ep^-1-29837200686814976/27*z3+198402059366603897325\
         9002440753606466488171378051/464999623614571163844870144000000
         *ep-14918600343407488/9*ep*z4-237865547266601924512/13365*ep*
         z3-291146702035570205208279916637999757799706177665019073211/
         14075650206722736626663542027714560000000*ep^2-
         965322329259701504/9*ep^2*z5-118932773633300962256/4455*ep^2*
         z4+3520452093816442978208726/64833615*ep^2*z3+
         15226048820386393231466232770919656195858237954659154146468031\
         52864566361299999904051959/40770141123067446780355516993761337\
         639329685970041700352000000000000000*ep^3-7165324467730723840/
         27*ep^3*z6-165796526445804204352/945*ep^3*z5+
         1760226046908221489104363/21611205*ep^3*z4+
         656632753995229034905634815877/108473121256500*ep^3*z3-
         1045239566282472704/27*ep^3*z3^2;

Fill mncnoptab(8,6,5,1)=
      +mncF321*(11459102054400+88809681979200*ep+240408885804984*ep^2+
         35456493145635098/105*ep^3)
      -5028783246444616989057238229717/89092590258672000-11488641320/99
         *ep^-3-3200443176789941/686070*ep^-2-4410109321223735167459/
         123616092600*ep^-1-14928633814739008/99*z3+1456825673431333873\
         37314604753878287608968531018967813/25263987550527988817088408\
         7676928000000*ep-7464316907369504/33*ep*z4-
         119510511523436252336/49005*ep*z3-1517940527957522840839619315\
         9100693153173157960731284427194027/546247833222495963007558739\
         0115466444800000000*ep^2-482696517284686432/33*ep^2*z5-
         59755255761718126168/16335*ep^2*z4+89355576002423893720141729/
         12361609260*ep^2*z3+222290170742691862543655494911155458597080\
         8909471567389459348253251570139863050300239268797671/
         33226360370784030967692774973371689813249235515632944452468736\
         0000000000000000*ep^3-3582902295098300720/99*ep^3*z6-
         105832240182916170174/4235*ep^3*z5+89355576002423893720141729/
         8241072840*ep^3*z4+8785893673747242219868243941091/
         6363756447048000*ep^3*z3-522507956064401632/99*ep^3*z3^2;

Fill mncnoptab(8,7,1,4)=
      +mncF321*(6156294144000+144236913941120/3*ep+1187389821011312/9*
         ep^2+3960519530940944/21*ep^3)
      -1305717879022381593064252989983/43073690331672000-10700975408/81
         *ep^-3-879705402549419/331695*ep^-2-21141133947514554077521/
         1314825712200*ep^-1-6561827419450240/81*z3+5792119965368541815\
         824970672729667451413611408963/1880665144396710040439252582400\
         0000*ep-3280913709725120/27*ep*z4-4797995958936438237092/
         3648645*ep*z3-399654030251623447772175708051615461690979238945\
         80346219/27108659657391937206907562423746560000000*ep^2-
         212173653220882240/27*ep^2*z5-2398997979468219118546/1216215*
         ep^2*z4+357463049041452210718371593/93916122300*ep^2*z3-
         12486384846046265003421380034493954177027007030556273518698776\
         140202974482585818634234506722360777/2755111737038349402089183\
         0782173869264135138581427997906696319008768000000000000000*
         ep^3-1574897830607991200/81*ep^3*z6-5632587068303447075056/
         405405*ep^3*z5+357463049041452210718371593/62610748200*ep^3*z4
         +233857056829594910587775862544529/236905296824196000*ep^3*z3-
         229676809941490240/81*ep^3*z3^2;

Fill mncnoptab(8,7,2,3)=
      +mncF321*(20777492736000+161915392679040*ep+442563901634288*ep^2+
         13214416683115552/21*ep^3)
      -20307511781220962158974401143/199415233017000-27923450624/3*
         ep^-3-1128977714121212/12285*ep^-2-2890334455818833317097/
         12174312150*ep^-1-819650594346880/3*z3+27257659120420134711534\
         72156756811501526071639/2612034922773208389498961920000*ep-
         409825297173440*ep*z4-598880549835771718976/135135*ep*z3-
         46983158334583548222127576243710107867303456378527907/94127290\
         47705533752398459174912000000*ep^2-26519649482117760*ep^2*z5-
         299440274917885859488/45045*ep^2*z4+78673261626760587298580752/
         6087156075*ep^2*z3+1977158246073975545168657276071838182193095\
         5378322992674922758444528048774485310384121971653289/
         29434954455537920962491272203177210752281130963064100327667007\
         48800000000000000*ep^3-196848244630016000/3*ep^3*z6-
         2091160923968577052304/45045*ep^3*z5+
         39336630813380293649290376/2029052025*ep^3*z4+
         485206897958339227806685062307/156683397370500*ep^3*z3-
         28715901077284480/3*ep^3*z3^2;

Fill mncnoptab(8,7,3,2)=
      +mncF321*(18468882432000+144138798003200*ep+1185094659871040/3*
         ep^2+3945886486859064/7*ep^3)
      -8116128179676892746604238363/89736854857650-266131783040/27*
         ep^-3-2138383399552744/22113*ep^-2-2692828803010136783578/
         10956880935*ep^-1-6556234269007360/27*z3+415084031970466776850\
         674507630261797749150310869/447777415332550009628393472000000*
         ep-3278117134503680/9*ep*z4-958811621654678841472/243243*ep*z3
         -19995150278374600713095727915505139304471613301587380779/
         4518109942898656201151260403957760000000*ep^2-
         212153791489392640/9*ep^2*z5-479405810827339420736/81081*ep^2*
         z4+17912733407491823109340414/1565268705*ep^2*z3+
         18512425680996095485651224264167901209369915606773823612581802\
         2995742086745030093275639112161589/312370945242443242867254317\
         25820713451400383879170065653850701824000000000000000*ep^3-
         1574762850497926400/27*ep^3*z6-1122572337350931596576/27027*
         ep^3*z5+8956366703745911554670207/521756235*ep^3*z4+
         1426146129250470100473577444949/493552701717075*ep^3*z3-
         229738124771706880/27*ep^3*z3^2;

Fill mncnoptab(8,7,4,1)=
      +mncF321*(4309405900800+101430612483200/3*ep+841902769322672/9*
         ep^2+14196190383226256/105*ep^3)
      -914459891875556223184762775459/43073690331672000-10930796720/81*
         ep^-3-977934923949407/331695*ep^-2-24355175362727814112471/
         1314825712200*ep^-1-4593234820902784/81*z3+5132444479921557645\
         325736455538868284804090042726281/2388595186595373488161085919\
         8545920000*ep-2296617410451392/27*ep*z4-480851105431936348964/
         521235*ep*z3-5288118868587445874156396200271603049221849838769\
         25026391243/516452496864905274116237353247280463872000000*ep^2
         -148521362605731136/27*ep^2*z5-240425552715968174482/173745*
         ep^2*z4+346013753981777063999034817/131482571220*ep^2*z3+
         28254895845526512674126650458921049893483838656884212202750164\
         62335121812021988792841629551818804313/21600076018380659312379\
         19533322431350308194864783955035884991410287411200000000000000
         *ep^3-1102427132490726560/81*ep^3*z6-4022886157775767946584/
         405405*ep^3*z5+346013753981777063999034817/87655047480*ep^3*z4
         +26762188808138296923068677613747/33843613832028000*ep^3*z3-
         160774005703391296/81*ep^3*z3^2;

Fill mncnoptab(8,8,2,2)=
      +mncF321*(1272091392000+71669825884800/7*ep+1450768356502480/49*
         ep^2+2218398181617168/49*ep^3)
      -12136058941439407478573756327/1954269283566600-167839653760/147*
         ep^-3-1326738886754644/120393*ep^-2-1615066796772620092943/
         59654129535*ep^-1-2456932428652160/147*z3+31715555994261283404\
         986054283637183874341351/507895679428123853513687040000*ep-
         1228466214326080/49*ep*z4-364830809890528615024/1324323*ep*z3-
         63482106572017487135072424560457646568036691755353/21963034444\
         6462454222630714081280000*ep^2-79551994715386240/49*ep^2*z5-
         182415404945264307512/441441*ep^2*z4+
         43097875328404156746295391/59654129535*ep^2*z3-
         28292184055738363048341723338605370617762897996877043887380497\
         88338904095768069568215030307297/44643014257565846793111762841\
         48543630762638196064721883029496135680000000000000*ep^3-
         590497629293766400/147*ep^3*z6-159716675561292670144/49049*
         ep^3*z5+43097875328404156746295391/39769419690*ep^3*z4+
         852034531974826492608255757399/2149696211923260*ep^3*z3-
         86171274667283840/147*ep^3*z3^2;

Fill mncnoptab(8,8,3,1)=
      +mncF321*(565373952000+31908680918400/7*ep+647869141406160/49*
         ep^2+2984015458434928/147*ep^3)
      -130865840542339772176763367257/46902462805598400-6863872720/441*
         ep^-3-237617384567501/361179*ep^-2-7235841464315757700177/
         1431699108840*ep^-1-3281144161523840/441*z3+904473233267171546\
         357815005501524838083028917561/3276536607126712603787497832448\
         0000*ep-1640572080761920/147*ep*z4-487254353583713433572/
         3972969*ep*z3-605002315964408554479636073962273365774642489726\
         8625861/47229309269767286156034508756038451200000*ep^2-
         106087324720007360/147*ep^2*z5-243627176791856716786/1324323*
         ep^2*z4+45703621972654591160313919/143169910884*ep^2*z3-
         36404262921906599202624986357682517206452722055289297743642488\
         1519525082305104006824895134884737/436365172088498167926852430\
         9742285556178171444007989971484831131893760000000000000*ep^3-
         787452074996245600/441*ep^3*z6-214596202329594645992/147147*
         ep^3*z5+45703621972654591160313919/95446607256*ep^3*z4+
         46825346551732390510942046051087/257963545430791200*ep^3*z3-
         114833761372952000/441*ep^3*z3^2;

Fill mncnoptab(9,1,1,9)=
      +mncF321*(2131746903000+455958860610825/28*ep+67225125356591255/
         1568*ep^2+5071715854946310847/87808*ep^3)
      -307847564843819959992830202306751/29350518946792243200+
         2618596025/1568*ep^-3+963182847422777/75339264*ep^-2+
         624312432272282811287/81447771525120*ep^-1-785474585053545/28*
         z3+28662286426970310548525669375191237607402627/
         264418825191651318988800000000*ep-2356423755160635/56*ep*z4-
         227318937094562663095/504504*ep*z3-560062969425496132592215851\
         7157830674066652962593/10587329760673718812311552000000000*
         ep^2-1066674285033038635/392*ep^2*z5-227318937094562663095/
         336336*ep^2*z4+14204530727326849291257416731/10180971440640*
         ep^2*z3+245542235764625694045702423213999486811195276257979957\
         952711412343362601/1485494450410964107309424195031720538826342\
         40000000000000*ep^3-5278388204211445025/784*ep^3*z6-
         245593083413999294659975/56504448*ep^3*z5+
         14204530727326849291257416731/6787314293760*ep^3*z4+2679833714\
         13254789276096088800123/2445876578899353600*ep^3*z3-
         384882509589504565/392*ep^3*z3^2;

Fill mncnoptab(9,2,1,8)=
      +mncF321*(15159089088000+804631376577600/7*ep+14632798429507248/
         49*ep^2+678311476128096642/1715*ep^3)
      -513069602180409870947677445342813/6879027878154432000+47322852/
         49*ep^-3-21799953580402/6621615*ep^-2-1455951646258255062487/
         19089321451200*ep^-1-1396399872633824/7*z3+1536969648610925817\
         180286552021240242198082859/1983141188937384892416000000000*ep
         -2094599808950736/7*ep*z4-6040630542499603051033/1891890*ep*z3
         -3626885214705590421143748057333929207589276597482531/95285967\
         8460634693108039680000000000*ep^2-948155195744171696/49*ep^2*
         z5-6040630542499603051033/1261260*ep^2*z4+
         96382696515000697130584503929/9544660725600*ep^2*z3+
         17945801092694035435870787433545532927493015082691975943461459\
         76637661722281/14483570891506900046266885901559275253556838400\
         0000000000000*ep^3-2345950991589337320/49*ep^3*z6-
         131641210977871791448229/4414410*ep^3*z5+
         96382696515000697130584503929/6363107150400*ep^3*z4+5769489462\
         82199589753692931753787/3439513939077216000*ep^3*z3-
         342117784188095056/49*ep^3*z3^2;

Fill mncnoptab(9,2,2,7)=
      +mncF321*(94323220992000+711806372992000*ep+12831962493866112/7*
         ep^2+5293270913520015152/2205*ep^3)
      -128269678980831577708484234245799/276389512961562000+1770141536/
         189*ep^-3-4740022780184402/8513505*ep^-2-
         2096036861089480645333/383490832725*ep^-1-33513627368667392/27
         *z3+61692524221071845324932184686789363601204046623/
         12748764786026045736960000000000*ep-16756813684333696/9*ep*z4-
         24107756246569217869144/1216215*ep*z3-877037538696500159317900\
         77135620780411604309416990093/36753159026338766734167244800000\
         00000*ep^2-7585241820100931456/63*ep^2*z5-
         12053878123284608934572/405405*ep^2*z4+
         48734586536470860590200099199/766981665450*ep^2*z3+
         78950163006065194117272249450778973986928745874634387501538177\
         8758499688019/103454077796477857473334899296851966096834560000\
         00000000000*ep^3-56302825171805306560/189*ep^3*z6-
         171390153184134741473024/945945*ep^3*z5+
         48734586536470860590200099199/511321110300*ep^3*z4-19794294237\
         3756425550909263602409/138194756480781000*ep^3*z3-
         8210822418088208768/189*ep^3*z3^2;

Fill mncnoptab(9,3,1,7)=
      +mncF321*(37139768265600+281083483240560*ep+727873856149028*ep^2+
         67248856216631553/70*ep^3)
      -102617358464939254561696037452049/561553296175872000+181802095/3
         *ep^-3+159839706222719/540540*ep^-2-344881078683018022787/
         311662391040*ep^-1-1466225382386296/3*z3+134671339892374088711\
         8988852649532657877360539/708264710334780318720000000000*ep-
         733112691193148*ep*z4-8449247402439840165991/1081080*ep*z3-
         3819964722276500125905919508596209913212159286246823/408368433\
         625986297046302720000000000*ep^2-47407775461787964*ep^2*z5-
         8449247402439840165991/720720*ep^2*z4+
         19361587471130796558214704473/779155977600*ep^2*z3+
         29762413318400487469769612695845010821029907007025512897131829\
         948363580227249/1086267816863017503470016442616945644016762880\
         000000000000000*ep^3-351892752507443990/3*ep^3*z6-
         26081031899368799654629/360360*ep^3*z5+
         19361587471130796558214704473/519437318400*ep^3*z4-
         124887683924716585179481733681/11231065923517440*ep^3*z3-
         51317590230524428/3*ep^3*z3^2;

Fill mncnoptab(9,3,2,6)=
      +mncF321*(198078764083200+1494957863118720*ep+3851601394938096*
         ep^2+530252916503183324/105*ep^3)
      -12825967829649951086703182065913/13161405379122000-17497929760/9
         *ep^-3-8156839870702814/405405*ep^-2-213812945297855356847/
         3652293645*ep^-1-23459112310678016/9*z3+7739106541263538071449\
         79907620628121564072691338993/76152621655195579868774400000000\
         000*ep-11729556155339008/3*ep*z4-16876127127523616654992/
         405405*ep*z3-6875376885177952948041839778274114931386238669958\
         02471933/13721179369833139580755771392000000000000*ep^2-
         758522717736700544/3*ep^2*z5-8438063563761808327496/135135*
         ep^2*z4+4871863896046441015447554767/36522936450*ep^2*z3+
         12132820814946222909501127671946985434589400641887970564936060\
         422375457466523933/8110799699243864025909456104873194141991829\
         5040000000000000000*ep^3-5630272602248559040/9*ep^3*z6-
         17148264747646394745016/45045*ep^3*z5+
         4871863896046441015447554767/24348624300*ep^3*z4-
         805063615021105220814273727937/263228107582440*ep^3*z3-
         821087246583321728/9*ep^3*z3^2;

Fill mncnoptab(9,3,3,5)=
      +mncF321*(346637837145600+2620706560792320*ep+6774741030217800*
         ep^2+937376579067826517/105*ep^3)
      -25640732252137661627509408835293/15041606147568000-176469196924/
         9*ep^-3-8962148180556073/46332*ep^-2-10383723845778030510317/
         20870249400*ep^-1-41050312876436384/9*z3+378789395095797977554\
         839696020425649440974871049237/2132273406345476236325683200000\
         0000*ep-20525156438218192/3*ep*z4-29556001820191310140051/
         405405*ep*z3-3359927552651776261414726164330994781016258568977\
         4006631/384193022355327908261161598976000000000*ep^2-
         1327403553608812496/3*ep^2*z5-29556001820191310140051/270270*
         ep^2*z4+67929486720150410247963336241/292183491600*ep^2*z3+
         17000638163976041552707662298636122451227904474235006856169551\
         995693328500793167/6813071747364845781763943128093483079273136\
         7833600000000000000*ep^3-9852900869875002760/9*ep^3*z6-
         30268298056645547780188/45045*ep^3*z5+
         67929486720150410247963336241/194788994400*ep^3*z4-12466670345\
         0939605293759422401471/52645621516488000*ep^3*z3-
         1436936549705332112/9*ep^3*z3^2;

Fill mncnoptab(9,4,1,6)=
      +mncF321*(40516110835200+307822709113920*ep+803073212619136*ep^2+
         37507544657805598/35*ep^3)
      -27986501519953980928899560808077/140388324043968000-110995540/3*
         ep^-3-7935551034608/12285*ep^-2-291803369418985626707/
         77915597760*ep^-1-1599508334783072/3*z3+1944706493065969308185\
         338795916391349564215642131/940155822903649134182400000000000*
         ep-799754167391536*ep*z4-2308551217758322847743/270270*ep*z3-
         185597417876365982828848233461377176226596067774107469133/
         18294905826444186107674361856000000000000*ep^2-
         51717541645878448*ep^2*z5-2308551217758322847743/180180*ep^2*
         z4+747384299582329406201102687/27826999200*ep^2*z3+
         17218011714872124216986118782866767119043199390861463299867420\
         848489541830374801/6083099774432898019432092078654895606493872\
         12800000000000000000*ep^3-383882791507130680/3*ep^3*z6-
         2416463747316306979639/30030*ep^3*z5+
         747384299582329406201102687/18551332800*ep^3*z4+
         10823435581543199817569349270623/14038832404396800*ep^3*z3-
         55982967388184816/3*ep^3*z3^2;

Fill mncnoptab(9,4,2,5)=
      +mncF321*(180071603712000+1366436447376000*ep+3556936891185520*
         ep^2+99385015117957048/21*ep^3)
      -4663001123811587592928936517521/5264562151648800-64009145360/9*
         ep^-3-544323652668031/7371*ep^-2-782193113103844436719/
         3652293645*ep^-1-21325454049424000/9*z3+3924690729323549793155\
         05035747043616641282412127827/42645468126909524726513664000000\
         000*ep-10662727024712000/3*ep*z4-3076168785001073392828/81081*
         ep*z3-15866511926679639659131101142602291153510998601766584053/
         351262191867728373267347747635200000000*ep^2-
         689562462944113600/3*ep^2*z5-1538084392500536696414/27027*ep^2
         *z4+49971865917828002239706585/417404988*ep^2*z3+
         10806125365355598229338242858449993745163312556448238450249081\
         7517073843900060301/817568609683781493811673175371217969512776\
         414003200000000000000*ep^3-5118404836957292000/9*ep^3*z6-
         3202663343610839146264/9009*ep^3*z5+49971865917828002239706585/
         278269992*ep^3*z4+5897317842594313785245018949209/
         2632281075824400*ep^3*z3-746453706182161600/9*ep^3*z3^2;

Fill mncnoptab(9,4,3,4)=
      +mncF321*(252100245196800+1918744734466560*ep+5022832216333120*
         ep^2+101040200391004768/15*ep^3)
      -105798823083755617245498867119/85463671293000-443551394272/9*
         ep^-3-492652983302414/1053*ep^-2-5659751490504884933669/
         5217562350*ep^-1-29847746363869952/9*z3+9877927735351756110054\
         09187907432436469869916558423/76761842628437144507724595200000\
         000*ep-14923873181934976/3*ep*z4-3080069980559430709144/57915*
         ep*z3-23211217755401647179552109901579141345062615977372688601\
         17/36882530146111479193071513501696000000000*ep^2-
         965359601769922688/3*ep^2*z5-1540034990279715354572/19305*ep^2
         *z4+868321455704187339921763313/5217562350*ep^2*z3+
         14997242850941503858587305881236928685546253900384289637274577\
         8484524207190158379/817568609683781493811673175371217969512776\
         414003200000000000000*ep^3-7165577647364745280/9*ep^3*z6-
         361023148722319972208/715*ep^3*z5+868321455704187339921763313/
         3478374900*ep^3*z4+3282582012489917377381862689691/
         470050192111500*ep^3*z3-1045122792965611136/9*ep^3*z3^2;

Fill mncnoptab(9,4,4,3)=
      +mncF321*(137509224652800+1054636330325760*ep+2800319115612320*
         ep^2+402103685617169296/105*ep^3)
      -10834855653963310662489008462209/16086162130038000-655443855648/
         11*ep^-3-55738600665991402/99099*ep^-2-3179575865554842138929/
         2479952475*ep^-1-19890676923405568/11*z3+104087120423108211116\
         249667710789816796709749972253751/1489486794362194352027888045\
         2608000000*ep-29836015385108352/11*ep*z4-
         2060402464287806955496/70785*ep*z3-218400537111283650643386391\
         6788338995950645161616569247966389/644101753459632428036123683\
         18821826560000000*ep^2-1930635679344808576/11*ep^2*z5-
         1030201232143903477748/23595*ep^2*z4+
         1325808827453772709885885973/14879714850*ep^2*z3+
         59412171664905901286779589771603335799138329377862311343733815\
         9553223534758719813/606982755674322624193514933230146674335243\
         0952448000000000000000*ep^3-4776862506053507520/11*ep^3*z6-
         15724637610330978513136/55055*ep^3*z5+
         1325808827453772709885885973/9919809900*ep^3*z4+
         10598154403565051298817462257113/1149011580717000*ep^3*z3-
         696833806170353024/11*ep^3*z3^2;

Fill mncnoptab(9,5,1,5)=
      +mncF321*(21102141060000+162005217273900*ep+430932279367980*ep^2+
         99232432898224775/168*ep^3)
      -3588790585824448095427981523563/34557125918515200+311906855/4*
         ep^-3-2412600761171/6048*ep^-2-858365304721806744311/
         95896120320*ep^-1-277695888092350*z3+8416915332020642445891432\
         937701805657966392811/7873009500352527641817907200000*ep-
         416543832138525*ep*z4-297440161461446364743/66528*ep*z3-
         29487457585803283724568144466470220686752964971963227/56742354\
         07094073722011002077184000000*ep^2-26936251493304725*ep^2*z5-
         297440161461446364743/44352*ep^2*z4+93401707473408686251220443/
         6849722880*ep^2*z3+3361733394860357972777352983138008484600937\
         41016354133396500851017583881323630441172019/20967501149006115\
         487039980168220116500226695641735731609600000000000000*ep^3-
         133292778026061875/2*ep^3*z6-976991031639593274097/22176*ep^3*
         z5+93401707473408686251220443/4566481920*ep^3*z4+
         26583596707579910605055887690349/17278562959257600*ep^3*z3-
         9719216273259675*ep^3*z3^2;

Fill mncnoptab(9,5,2,4)=
      +mncF321*(75029834880000+575989255441600*ep+4595917602771560/3*
         ep^2+44089973962768010/21*ep^3)
      -895935478324236746748871260691/2429797916145600-284008962640/27*
         ep^-3-177654373079063/1701*ep^-2-1844271425596902622987/
         6742695960*ep^-1-26652195483804800/27*z3+163385448019089273399\
         17272888655449703280967163/4294368818374105986446131200000*ep-
         13326097741902400/9*ep*z4-297389655950223765884/18711*ep*z3-
         16338607525352706272414218774240545249060020699190337/88429642\
         7079595904728987336704000000*ep^2-861936854384465600/9*ep^2*z5
         -148694827975111882942/6237*ep^2*z4+11678018059775083541008573/
         240810570*ep^2*z3+35241078185104682199845850976959087322171824\
         362502004398727901456121720440736942923848451/
         10064400551522935433779190480745655920108813908033151172608000\
         00000000000*ep^3-6397895919173980000/27*ep^3*z6-
         108511710209906093704/693*ep^3*z5+11678018059775083541008573/
         160540380*ep^3*z4+600921004991948393339939964013/
         110445359824800*ep^3*z3-933119049520548800/27*ep^3*z3^2;

Fill mncnoptab(9,5,3,3)=
      +mncF321*(78781326624000+607170147183600*ep+1626609636842710*ep^2
         +94554182425828577/42*ep^3)
      -1250493732122075822012202910529/3239730554860800-300676958660/9*
         ep^-3-723055507814299/2268*ep^-2-6745587149293211635961/
         8990261280*ep^-1-9323915833392160/9*z3+41549018249745557249138\
         9395860980088914589794269267/104159915689663940701250912256000\
         000*ep-4661957916696080/3*ep*z4-14893355178761782981/891*ep*z3
         -8681571453694331396099148312736539005382377989983891360733/
         450420806615127572053233344886865920000000*ep^2-
         301662375613821040/3*ep^2*z5-14893355178761782981/594*ep^2*z4+
         14167569997613996563555492/280945665*ep^2*z3+
         34898506025902179041235772631373584140748791506833923691778806\
         796712473620499887166081113/8302283283242825526181487096911399\
         66473622696117212807168000000000000000*ep^3-
         2239158027520177400/9*ep^3*z6-116010245381307248206/693*ep^3*
         z5+7083784998806998281777746/93648555*ep^3*z4+
         336812073993547939786997664119/46281865069440*ep^3*z3-
         326638942119471280/9*ep^3*z3^2;

Fill mncnoptab(9,5,4,2)=
      +mncF321*(28647755136000+222643800724800*ep+605619716239720*ep^2+
         2566992061520062/3*ep^3)
      -7142010158589268543131210545/50910051576384-1474973361680/99*
         ep^-3-1423015050230267/9801*ep^-2-255654124470831894817/
         706377672*ep^-1-37289206869765760/99*z3+4627179127592174928032\
         73232376293836519602004044490241/32081254032416493735985280974\
         8480000000*ep-18644603434882880/33*ep*z4-59806007717608126060/
         9801*ep*z3-958975360667606913639204542237824270575782366471559\
         3839249539/1387296084374592921923958702251547033600000000*ep^2
         -1206627177111778240/33*ep^2*z5-29903003858804063030/3267*ep^2
         *z4+15847625014221005206687781/882972090*ep^2*z3+
         31087238151150814285296785994164170904483316682371070536577433\
         4871809185195831522727120470099/168768814581760157296217269706\
         01493238475802166670701944111104000000000000000*ep^3-
         8956480811163922400/99*ep^3*z6-22953993975939563920/363*ep^3*
         z5+15847625014221005206687781/588648060*ep^3*z4+
         351543751079273865546132143623/90910806386400*ep^3*z3-
         1306630522832340160/99*ep^3*z3^2;

Fill mncnoptab(9,5,5,1)=
      +mncF321*(2984141160000+23512032075350*ep+786547531023215/12*ep^2
         +96458228851005215/1008*ep^3)
      -25164824481227210120687602043833/1710577732966502400-95681592565/
         1188*ep^-3-32875123186550263/13172544*ep^-2-
         16888083108381365981315/949371591168*ep^-1-11662836801016310/
         297*z3+917777403799305028579907362284037172237285092315002211/
         6187098991966038077654304188006400000000*ep-5831418400508155/
         99*ep*z4-301145285147997656675/470448*ep*z3-269037735665648205\
         4481514622379601117696132792897571486909483/382214227327693968\
         2851722955182833664000000000*ep^2-377105884841682815/99*ep^2*
         z5-301145285147997656675/313632*ep^2*z4+
         328866037078658697923092079/182571459840*ep^2*z3+
         35818250106298274106484417217241953568214324545174482593069557\
         00013840582284295860391/17450511432534505716513876924393424828\
         46850489104990208000000000000000*ep^3-5598274088620160675/594*
         ep^3*z6-1280358562101617964685/182952*ep^3*z5+
         328866037078658697923092079/121714306560*ep^3*z4+
         5742492673450075505688844988999/9398778752563200*ep^3*z3-
         408209717120488595/297*ep^3*z3^2;

Fill mncnoptab(9,6,1,4)=
      +mncF321*(5194373184000+40628889100800*ep+111779709974840*ep^2+
         3365837746777004/21*ep^3)
      -717914363127619921742997517381/28077664808793600-225819140/3*
         ep^-3-3442993667101/2457*ep^-2-127213094952941843407/
         15583119552*ep^-1-205059259857760/3*z3+43575155692733927013744\
         76943394183078461889731/16791653074970625361064755200000*ep-
         102529629928880*ep*z4-60020185743867574223/54054*ep*z3-
         3003396701633428818933173469418759720864263433052311/242041604\
         0838565822045318073548800000*ep^2-6630434618515440*ep^2*z5-
         60020185743867574223/36036*ep^2*z4+2542895537883613460611681/
         795057120*ep^2*z3-60457225099476728223935105484145491317592332\
         03856424292891446469822532964839360197233683797579/
         61498029844606013439490693710209529607444505762116066756018569\
         21600000000000000*ep^3-49215611489221400/3*ep^3*z6-
         212657318671582861757/18018*ep^3*z5+2542895537883613460611681/
         530038080*ep^3*z4+12302458439277414868792236535187/
         14038832404396800*ep^3*z3-7177378579777840/3*ep^3*z3^2;

Fill mncnoptab(9,6,2,3)=
      +mncF321*(13851661824000+108427753674240*ep+298717560839008*ep^2+
         9010527991579564/21*ep^3)
      -894341232098173809459797205103/13161405379122000-44912923232/9*
         ep^-3-1836457060196786/36855*ep^-2-4840004970467251085341/
         36522936450*ep^-1-1639548723669760/9*z3+2316850745618536911903\
         6744765564461339131462949701/334340470114970673855867125760000\
         00*ep-819774361834880/3*ep*z4-1200448287568289099768/405405*ep
         *z3-159191829423292486051439967856146483258044552441959782353/
         48193172724252332812280110975549440000000*ep^2-
         53040168096952960/3*ep^2*z5-600224143784144549884/135135*ep^2*
         z4+310945800224613365932194457/36522936450*ep^2*z3+
         12781600253444267445853605806377505701276568431484355430381131\
         0311291492483101790714652754630973947/163265880713383668271951\
         58982028959563931933974179554315079300153344000000000000000*
         ep^3-393702388917972800/9*ep^3*z6-1422067981837107165824/45045
         *ep^3*z5+310945800224613365932194457/24348624300*ep^3*z4+
         1963996858046044426107669151603/822587836195125*ep^3*z3-
         57429023331203200/9*ep^3*z3^2;

Fill mncnoptab(9,6,3,2)=
      +mncF321*(9696163276800+76246573603200*ep+211780163426128*ep^2+
         32291071255602776/105*ep^3)
      -624470084699361192905450057239/13161405379122000-53782388000/9*
         ep^-3-2154160647708578/36855*ep^-2-5386099473976479559891/
         36522936450*ep^-1-1147174841833216/9*z3+7341531805928623393870\
         1759578089484227246380232419209/151656837244150697661021328244\
         736000000*ep-573587420916608/3*ep*z4-120278556989027145536/
         57915*ep*z3-15044240926936791983858790363698419831118578365375\
         63745455151/655812694431625744909507750155276779520000000*ep^2
         -37126333575931264/3*ep^2*z5-60139278494513572768/19305*ep^2*
         z4+43002868702426710051175739/7304587290*ep^2*z3+
         13643031571658670842387117721782615231431586400298272438442368\
         70843431227670182879995867051393956719/24935152690771323881534\
         4246270987746067324082514742284084847493251072000000000000000*
         ep^3-275579564714901440/9*ep^3*z6-1015155123787173566216/45045
         *ep^3*z5+43002868702426710051175739/4869724860*ep^3*z4+
         888531947893016129114288432161/470050192111500*ep^3*z3-
         40206059960481664/9*ep^3*z3^2;

Fill mncnoptab(9,6,4,1)=
      +mncF321*(1762938777600+13985470917600*ep+39456787408716*ep^2+
         2047491139990054/35*ep^3)
      -20130737589770431551299415021443/2316407346725472000-10211624260/
         99*ep^-3-36648318378934139/17837820*ep^-2-
         79129539830437337891927/6428036815200*ep^-1-2296533435258272/
         99*z3+336574917567118633011797650682801802789141071339766563531
       /3860749770986807760456285813315993600000000*ep-1148266717629136/
         33*ep*z4-241705936395682449397/637065*ep*z3-686160111095976228\
         3094459358499573483307532043001915168239757961/166951174496736\
         72534696325868238617444352000000000*ep^2-74260358462959088/33*
         ep^2*z5-241705936395682449397/424710*ep^2*z4+
         671065100289640944304299833/642803681520*ep^2*z3+
         25298338077777906797205903156837099537152345383911379259054440\
         7320563966963343055832224526199/284057641166183329682983872128\
         565392689151163740327658695688192000000000000000*ep^3-
         551211354884047480/99*ep^3*z6-234307537213494430748/55055*ep^3
         *z5+671065100289640944304299833/428535787680*ep^3*z4+
         69805211837807207221958962820569/165457667623248000*ep^3*z3-
         80387762447429168/99*ep^3*z3^2;

Fill mncnoptab(9,7,1,3)=
      +mncF321*(556539984000+4487248434240*ep+91105555083106/7*ep^2+
         139842676621763/7*ep^3)
      -981070896476292454520894760601/357352097566464000+34452557/21*
         ep^-3-31932525629999/85995*ep^-2-38728502433166771685737/
         10908183686400*ep^-1-153809616359240/21*z3+1930452393705743654\
         2807577382444166951107707/710757802115158745441894400000*ep-
         76904808179620/7*ep*z4-913652501727274213381/7567560*ep*z3-
         3165531060752894797899785491833014604757950722886091/251006107\
         93881423339729224466432000000*ep^2-4972866752628340/7*ep^2*z5-
         913652501727274213381/5045040*ep^2*z4+
         1713674117645933595185924147/5454091843200*ep^2*z3+
         85849746496200566251856777384432180484970247844232331328331349\
         394992288595370660881978359221/1301545605176846845280226321909\
         19639380834932829875273557711257600000000000000*ep^3-
         36911976603814450/21*ep^3*z6-402417119557928977311/280280*ep^3
         *z5+1713674117645933595185924147/3636061228800*ep^3*z4+3516006\
         57874527136822702047337813/1965436536615552000*ep^3*z3-
         5382781465123940/21*ep^3*z3^2;

Fill mncnoptab(9,7,2,2)=
      +mncF321*(989404416000+7987682651520*ep+162535819425648/7*ep^2+
         750585514333456/21*ep^3)
      -40457043180990034237805441713/8375439786714000-55675806112/63*
         ep^-3-2204133576477346/257985*ep^-2-5388237139938738373091/
         255660555150*ep^-1-818982071955200/63*z3+362844634452034804772\
         7437316526678741918717204777/748922653057534309437142361702400\
         00*ep-409491035977600/21*ep*z4-608962471202378383408/2837835*
         ep*z3-120678163458414294989208902103602571677319990921960784681
       /539763534511626127497537242926153728000000*ep^2-
         26517349547726720/21*ep^2*z5-304481235601189191704/945945*ep^2
         *z4+142325592367058987016619427/255660555150*ep^2*z3+
         11917958429954048008369975163196826451161066038295867646096563\
         170760585403202851793736638384956179/1828577863989897084645857\
         80598724347116037660510811008328888161717452800000000000000*
         ep^3-196832666428062400/63*ep^3*z6-808393057520530407544/
         315315*ep^3*z5+142325592367058987016619427/170440370100*ep^3*
         z4+7442669306075103892367197463687/23032459413463500*ep^3*z3-
         28723718613365120/63*ep^3*z3^2;

Fill mncnoptab(9,7,3,1)=
      +mncF321*(346291545600+2809427220600*ep+8236111233791*ep^2+
         1346054131531717/105*ep^3)
      -130938371224431073699393179827/76575449478528000-228404015/9*
         ep^-3-381811411913831/589680*ep^-2-1441307865540519478939/
         333923990400*ep^-1-41012109389752/9*z3+59078538973594366722067\
         78584386099677749281869043699/35097725190789161458693507393781\
         7600000*ep-20506054694876/3*ep*z4-122177764027950067901/
         1621620*ep*z3-480506988571882482835810350853380300847288245598\
         729585969/6194848775389117823635000322166462873600000*ep^2-
         1326082626921508/3*ep^2*z5-122177764027950067901/1081080*ep^2*
         z4+44834668540555750292989087/233746793280*ep^2*z3+
         59851449333442197536153200821672067811628870567750499929449561\
         5157432679296722080003599648365398563/634777744213635702241347\
         7812212859478456735929161010717702831899620147200000000000000*
         ep^3-9843089428436930/9*ep^3*z6-41235934239671131327/45045*
         ep^3*z5+44834668540555750292989087/155831195520*ep^3*z4+
         51218541685481696326146098620877/421164972131904000*ep^3*z3-
         1435438554902548/9*ep^3*z3^2;

Fill mncnoptab(9,8,1,2)=
      +mncF321*(21201523200+1258877093760/7*ep+27777156849192/49*ep^2+
         236134362038556/245*ep^3)
      -2602349455537345000431550147/25014646829652480-864742444/49*
         ep^-3-117026714760827/601965*ep^-2-2444501716862736821267/
         3817864290240*ep^-1-13651159093024/49*z3+607098024455595624623\
         85767391404599619111867/60947481531374862421642444800000*ep-
         20476738639536/49*ep*z4-62404511958893916043/13243230*ep*z3-
         191485325166239008846643270195905879800783372865807/4392606888\
         9292490844526142816256000000*ep^2-1325882764610288/49*ep^2*z5-
         62404511958893916043/8828820*ep^2*z4+3840683369020363629418637/
         381786429024*ep^2*z3-36099539289472468891347991966485283453477\
         543271595965557883031244298567217794882909282807401/
         11160753564391461698277940710371359076906595490161804707573740\
         33920000000000000*ep^3-3280579013793160/49*ep^3*z6-
         291387903564125980097/4414410*ep^3*z5+
         3840683369020363629418637/254524286016*ep^3*z4+
         8231923570795833073756767718643/687902787815443200*ep^3*z3-
         478712080775184/49*ep^3*z3^2;

Fill mncnoptab(9,8,2,1)=
      +mncF321*(18845798400+1120719577120/7*ep+24790894643404/49*ep^2+
         1902832942348598/2205*ep^3)
      -2080839430026647955288602357/22513182146687232-24399000196/1323*
         ep^-3-4346840633686609/21670740*ep^-2-11228318308215267001651/
         17180389306080*ep^-1-327568711665056/1323*z3+11363908672978266\
         11693631451393663486433266800833/12838674052414873876065297629\
         18400000*ep-163784355832528/441*ep*z4-249783068193390231427/
         59594535*ep*z3-71464612661182670647780064244433144953606233692\
         29940801/1850617832611289579991556261461098496000000*ep^2-
         10606826567888624/441*ep^2*z5-249783068193390231427/39729690*
         ep^2*z4+76361380798666669592182937/8590194653040*ep^2*z3-
         10201417115396982629306362462474124377389095266794069854343253\
         1842216351981391861078521998363791/417960654626262190776196069\
         93994136483665750973899659046603008392560640000000000000*ep^3-
         78732277480002040/1323*ep^3*z6-390555257744741277836/6621615*
         ep^3*z5+76361380798666669592182937/5726796435360*ep^3*z4+
         33311111158469599156266768226427/3095562545169494400*ep^3*z3-
         11489570639545136/1323*ep^3*z3^2;

Fill mncnoptab(9,9,1,1)=
      +mncF321*(165636900+21827835315/14*ep+1122244109291/196*ep^2+
         5666006878169/490*ep^3)
      -26058119159929490545499782973/32018747941955174400-1902447509/
         2352*ep^-3-4030919121231881/616412160*ep^-2-
         8938449854441597976463/488686629150720*ep^-1-1282611017011/588
         *z3+9085601848709823505814883736067957959/
         1269210360919926331146240000*ep-1282611017011/392*ep*z4-
         131858802000543745591/3390266880*ep*z3-24183166513131322618172\
         888559652126726343759/914745291322209305383718092800000*ep^2-
         20714934926997/98*ep^2*z5-131858802000543745591/2260177920*
         ep^2*z4+10841697570339759425012621/244343314575360*ep^2*z3-
         41120448984387925690041849857835151350720830569924833899033282\
         238505271894929452606961/9494362767522155279161345724337350660\
         13154034339462152355460415488000000000*ep^3-615034992724855/
         1176*ep^3*z6-805029478913863971739/1130088960*ep^3*z5+
         10841697570339759425012621/162895543050240*ep^3*z4+
         29794009055059517087810239588541/176103113680753459200*ep^3*z3
         -22378155911123/294*ep^3*z3^2;

Fill mncnoptab(10,1,1,8)=
      +mncF321*(1497193984000+723973888752400/63*ep+13459228790106668/
         441*ep^2+5778480181771232018/138915*ep^3)
      -2052222598116049672358705608448081/278600629065254496000-
         42146210566/11907*ep^-3-79727364734017879/4290806520*ep^-2+
         17077578837426613284533/386558759386800*ep^-1-
         33513300132136208/1701*z3+609300863920540966219326271975364899\
         5476658941/80317218151964088142848000000000*ep-
         16756650066068104/567*ep*z4-24302437077860695329991/76621545*
         ep*z3-42685557871371411149545727987208904883461930463110297/
         115772450932967115212626821120000000000*ep^2-
         7585232966666955944/3969*ep^2*z5-24302437077860695329991/
         51081030*ep^2*z4+374364826018863584296652639233/
         386558759386800*ep^2*z3+62496646507369986484726169272142072520\
         461823254042955836425501501771423717/5069249812027415016193410\
         0655457463387448934400000000000000*ep^3-56302764497689785940/
         11907*ep^3*z6-372163127322326642126647/119189070*ep^3*z5+
         374364826018863584296652639233/257705839591200*ep^3*z4+2496109\
         20662870281877114639011141/2176567414572300750*ep^3*z3-
         8210854003826648072/11907*ep^3*z3^2;

Fill mncnoptab(10,2,1,7)=
      +mncF321*(7336250521600+505352563555840/9*ep+1335620201992544/9*
         ep^2+570231048772630736/2835*ep^3)
      -986675762544671094531402232013/27335226556638000+236957552/243*
         ep^-3+1645150368821/168399*ep^-2+1196216481293724871/
         303421318200*ep^-1-23459523791989376/243*z3+939390754772001383\
         498593848998322651384696577/2521733693939217838080000000000*ep
         -11729761895994688/81*ep*z4-261367400515694466512/168399*ep*z3
         -1319400785381923692299508101817959646478144210064317/72698556\
         3158349232104407040000000000*ep^2-758524181146806464/81*ep^2*
         z5-130683700257847233256/56133*ep^2*z4+
         51777770658714074914419989/10836475650*ep^2*z3+
         11004589448197866256531547919939597102865093753778367363710977\
         8797829826559/197503239429639546085457535021262844366684160000\
         00000000000*ep^3-5630282549121075040/243*ep^3*z6-
         282487622204252009092/18711*ep^3*z5+51777770658714074914419989/
         7224317100*ep^3*z4+6065768166762678083405592983011/
         13667613278319000*ep^3*z3-821082604420664768/243*ep^3*z3^2;

Fill mncnoptab(10,2,2,6)=
      +mncF321*(30812252190720+707158318106240/3*ep+3112862770955632/5*
         ep^2+3985784944379132996/4725*ep^3)
      -12826351834257891089255882406203/84609034580070000-46889574208/
         405*ep^-3-2615031572023664/2606175*ep^-2-446728460612735105423/
         234790305750*ep^-1-164215234066191872/405*z3+80448753044000041\
         6645751751449328872192844286082197/514030196172570164114227200\
         000000000*ep-82107617033095936/135*ep*z4-
         118894819482743731730488/18243225*ep*z3-6360297078440653908556\
         779924274000814067341872268352473593/8335616467173632295309131\
         12064000000000000*ep^2-5309664388104988928/135*ep^2*z5-
         59447409741371865865244/6081075*ep^2*z4+
         16509189646632079864021355404/821766070125*ep^2*z3+
         28867251679258720813743978462526560454929804645629764847172291\
         8950424461021033/121661995488657960388641841573097912129877442\
         56000000000000000*ep^3-7882388965124387456/81*ep^3*z6-
         128242118516065289595224/2027025*ep^3*z5+
         8254594823316039932010677702/273922023375*ep^3*z4+521842778329\
         451219452175683380769/296131621030245000*ep^3*z3-
         5747596466387830016/405*ep^3*z3^2;

Fill mncnoptab(10,3,1,6)=
      +mncF321*(12004773580800+92140699530880*ep+734556833757712/3*ep^2
         +105404061358428188/315*ep^3)
      -4664162267366049653197348570537/78968432274732000-818665840/27*
         ep^-3-23978790036883/110565*ep^-2-1041563276457857441/
         7968640680*ep^-1-4265337002713472/27*z3+3828507141465946355473\
         1793353002684273155655061987/629424730007228772384768000000000\
         00*ep-2132668501356736/9*ep*z4-3093013860126130051624/1216215*
         ep*z3-13147874717159483690970994804834221945845107613942564794\
         759/4445662115825937224164869931008000000000000*ep^2-
         137913384903299648/9*ep^2*z5-1546506930063065025812/405405*
         ep^2*z4+77331589987063233385459429/9960800850*ep^2*z3+
         15669618295999565407696761169419301653437574974558031741266483\
         247854286487681/1655265244743645719573358388749631457549352960\
         000000000000000*ep^3-1023687044267963680/27*ep^3*z6-
         3383055287381919108052/135135*ep^3*z5+
         77331589987063233385459429/6640533900*ep^3*z4+
         40042462896461017200099623023/45124818442704*ep^3*z3-
         149288169573759296/27*ep^3*z3^2;

Fill mncnoptab(10,3,2,5)=
      +mncF321*(42016707532800+322930466418560*ep+2581107142391440/3*
         ep^2+123928095227858596/105*ep^3)
      -89691990557802745697421385663/433892485026000-16575468416/27*
         ep^-3-1624690917580/243*ep^-2-26110135111434949039/1204052850*
         ep^-1-14928434602671616/27*z3+48443356905626023585528169555245\
         0223355950698733467/227754917688769549638303744000000000*ep-
         7464217301335808/9*ep*z4-75751166266407234088/8505*ep*z3-
         1017095550188884339689520988365039368790453117303878689977/
         98488514565989993889190964625408000000000*ep^2-
         482695916854587904/9*ep^2*z5-37875583133203617044/2835*ep^2*z4
         +114119774882787011553693773/4214184975*ep^2*z3+
         23633505369255878496912427813079092290155223701974133260997098\
         705452903937519/7299719729319477623318510494385874727792646553\
         60000000000000*ep^3-3582898289902730240/27*ep^3*z6-
         305540396568848182328/3465*ep^3*z5+114119774882787011553693773/
         2809456650*ep^3*z4+5138956370190907572904751051579/
         1518623697591000*ep^3*z3-522510845896319488/27*ep^3*z3^2;

Fill mncnoptab(10,3,3,4)=
      +mncF321*(45836408217600+354442526430720*ep+2864974090470400/3*
         ep^2+419113371235322296/315*ep^3)
      -776616045007484525615905839971/3447034742151000-498510249344/99*
         ep^-3-692663908492408/14157*ep^-2-683342473088410298/5623475*
         ep^-1-59703945247343104/99*z3+28453583567091575557158628193584\
         429099962972116212177/12311064320748749236148870578176000000*
         ep-29851972623671552/33*ep*z4-14483981121772146818752/1486485*
         ep*z3-59385640219428228666732422307610330169283690358755850082\
         0059/53236981663500231296863284018618040320000000*ep^2-
         1930749287686706176/33*ep^2*z5-7241990560886073409376/495495*
         ep^2*z4+1947772853363163928726484852/66958716825*ep^2*z3+
         37394866316138065893459428321207115354669416156447340781965262\
         0621542670829036333/110371762307310501664575878675114425884224\
         81589043200000000000000*ep^3-14331359794531938560/99*ep^3*z6-
         147066741667550968329184/1486485*ep^3*z5+
         973886426681581964363242426/22319572275*ep^3*z4+
         10271185000785530625807247722473/2010770266254750*ep^3*z3-
         2090153378785795072/99*ep^3*z3^2;

Fill mncnoptab(10,4,1,5)=
      +mncF321*(8336648320000+581226107862400/9*ep+4713267094432640/27*
         ep^2+46164235748290580/189*ep^3)
      -2915546909412228367732528218283/71071589047258800+4989725240/243
         *ep^-3+1783454474093/398034*ep^-2-140418089525465416208/
         98611928415*ep^-1-26658709104104000/243*z3+1892751705953993141\
         7686249081631184262904522253/45117164646918158404540170240000*
         ep-13329354552052000/81*ep*z4-3883397229959525134958/2189187*
         ep*z3-115121121144755521702579731349310701633283855127650137/
         56904475082571996469310335116902400000*ep^2-861959765300885600/
         81*ep^2*z5-1941698614979762567479/729729*ep^2*z4+
         593470076127591085080491959/112699346760*ep^2*z3+
         95981830388654443659582392503958691672002670021336830395853563\
         56719447868605899439663/13693061974861136644597538069041708734\
         84192368439884513280000000000000*ep^3-6398051466996382000/243*
         ep^3*z6-1471097294727994542548/81081*ep^3*z5+
         593470076127591085080491959/75132897840*ep^3*z4+14314666181285\
         7507020779597677281/142143178094517600*ep^3*z3-
         933046165011212000/243*ep^3*z3^2;

Fill mncnoptab(10,4,2,4)=
      +mncF321*(23342615296000+1631914671587200/9*ep+13299935476945040/
         27*ep^2+18736913908924988/27*ep^3)
      -291329386140951729323231195287/2538271037402100-478868716480/243
         *ep^-3-560510399482928/28431*ep^-2-1489472427866432079193/
         28174836690*ep^-1-74633012609120000/243*z3+2625157810112794388\
         06466081129433886419753036326499/22383753310452271338452491960\
         3200000*ep-37316506304560000/81*ep*z4-1555267750886513361176/
         312741*ep*z3-5458379503140051254820470842410872861170467713703\
         490090201/967945121154549659942968800338509824000000*ep^2-
         2413447645035660800/81*ep^2*z5-777633875443256680588/104247*
         ep^2*z4+206246655195180948485434631/14087418345*ep^2*z3+
         61569600404716537602309945086655713156553965362790361256107863\
         905487932157707604088320329/4528980248185320945200635716335545\
         164048966258614918027673600000000000000*ep^3-
         17914274806244656000/243*ep^3*z6-595746602627242667816/11583*
         ep^3*z5+206246655195180948485434631/9391612230*ep^3*z4+
         3191011721042484056171122210237/1015308414960840*ep^3*z3-
         2612658573336896000/243*ep^3*z3^2;

Fill mncnoptab(10,4,3,3)=
      +mncF321*(19098503424000+149429309993600*ep+411264872466960*ep^2+
         37148587510117828/63*ep^3)
      -4068264249560844353760400724093/43432637751102600-1953167990080/
         297*ep^-3-170741614337135704/2675673*ep^-2-
         38010525843384763966909/241051380570*ep^-1-74601447720692480/
         297*z3+1647033284136406955443496123139355643965678166142748079/
         1723549004904824893060841880944640000000*ep-37300723860346240/
         99*ep*z4-1560273959743751989784/382239*ep*z3-23781632954308662\
         3235629601783328601375806209061498104844111627/521722420302302\
         26670926018338245679513600000000*ep^2-2413334681220485120/99*
         ep^2*z5-780136979871875994892/127413*ep^2*z4+
         1416623120988821247257634653/120525690285*ep^2*z3+
         18088352887730985412491306780581308328594671860592335796838710\
         742073550156497019768116463949/1394925916441078851121795800631\
         347910527081607653394752523468800000000000000*ep^3-
         17913506489851907200/297*ep^3*z6-12914760389594080604584/
         297297*ep^3*z5+1416623120988821247257634653/80350460190*ep^3*
         z4+4046719211100632228444234488651/1240932507174360*ep^3*z3-
         2612998833574077440/297*ep^3*z3^2;

Fill mncnoptab(10,4,4,2)=
      +mncF321*(5305139840000+378300756142400/9*ep+3194202751480040/27*
         ep^2+99082727692940900/567*ep^3)
      -10144827738345748601391239698673/390893739759923400-
         9131350313440/2673*ep^-3-802566644968402024/24081057*ep^-2-
         72469686435849938874283/867784970052*ep^-1-186405678657107840/
         2673*z3+4765897014310111980486696818679542583329022730152537979
       /18097264551500661377138839749918720000000*ep-93202839328553920/
         891*ep*z4-3923242934905829592620/3440151*ep*z3-969684194366128\
         02983335151049122331782736805521421389125448193/78258363045345\
         340006389027507368519270400000000*ep^2-6032994881175100160/891
         *ep^2*z5-1961621467452914796310/1146717*ep^2*z4+
         6842723545460736202693275613/2169462425130*ep^2*z3+
         12858800009352732879843667174769859107069105224326374392427750\
         6469788520484762305521/356942279301842162383238391635320053309\
         58305458965708800000000000000*ep^3-44781447412170481600/2673*
         ep^3*z6-34070944418382186773060/2675673*ep^3*z5+
         6842723545460736202693275613/1446308283420*ep^3*z4+13819004707\
         0243533789177239182063/111683925645692400*ep^3*z3-
         6533610228430158080/2673*ep^3*z3^2;

Fill mncnoptab(10,5,1,4)=
      +mncF321*(2565122560000+181964856673600/9*ep+1522159910979560/27*
         ep^2+15540234913008650/189*ep^3)
      -3588624876129082050006296919913/284286356189035200-8413423240/
         243*ep^-3-192039044534833/398034*ep^-2-3579913527875873182157/
         1577790854640*ep^-1-8202361276692800/243*z3+703972679036962889\
         735123866315083184368532445147/5526852669247474404556170854400\
         000*ep-4101180638346400/81*ep*z4-109533473376021458992/199017*
         ep*z3-963862995877641361029437986512095129219583579535659707/
         1593325302312015901140689383273267200000*ep^2-
         265217377386725600/81*ep^2*z5-54766736688010729496/66339*ep^2*
         z4+43580396277855229134700669/28174836690*ep^2*z3-
         53621284210470028078566571051929877794284645481010225736630215\
         46612197021566886998382936862329/27261464312067773922960376778\
         898077193949425930912057297906067046400000000000000*ep^3-
         1968624427208710000/243*ep^3*z6-488583209605939097222/81081*
         ep^3*z5+43580396277855229134700669/18783224460*ep^3*z4+
         19009780760447221739719374666371/35535794523629400*ep^3*z3-
         287095420758658400/243*ep^3*z3^2;

Fill mncnoptab(10,5,2,3)=
      +mncF321*(5386757376000+127854904777600/3*ep+1076654663790800/9*
         ep^2+11088945650814172/63*ep^3)
      -313306531248845151096999600671/11845264841209800-119083980160/81
         *ep^-3-990478965660836/66339*ep^-2-2726160848212718998801/
         65741285610*ep^-1-5739279969866240/81*z3+167423896297403136219\
         0143723467639713454569948233081/626745092692663597476669774888\
         9600000*ep-2869639984933120/27*ep*z4-120675246123250045496/
         104247*ep*z3-2393741934211547955989070227411596155298440240020\
         84186842277/189717243746291733348821884866347925504000000*ep^2
         -185643610162357760/27*ep^2*z5-60337623061625022748/34749*ep^2
         *z4+105680146029022961878786622/32870642805*ep^2*z3+
         26001665207891674753694520215125109284472547306358801233614578\
         212212291035403906361331304479538413/6667833447622223763039367\
         449803423821908336060043078484981966281113600000000000000*ep^3
         -1377978876293017600/81*ep^3*z6-115812118559968098104/9009*
         ep^3*z5+52840073014511480939393311/10956880935*ep^3*z4+
         413949507775428334748678728411/338436138320280*ep^3*z3-
         200991960241886720/81*ep^3*z3^2;

Fill mncnoptab(10,5,3,2)=
      +mncF321*(2938231296000+23432824979200*ep+200121704375200/3*ep^2+
         6299671766237912/63*ep^3)
      -1248208106250019825109418140531/86865275502205200-603374231360/
         297*ep^-3-53208071419288076/2675673*ep^-2-
         6064431224882769905197/120525690285*ep^-1-11470200046896640/
         297*z3+25217737238425528528931776391147428733686929230320793629
       /173733739694406349220532861599219712000000*ep-5735100023448320/
         99*ep*z4-242186660259103460464/382239*ep*z3-254875247438849960\
         9672958506454476412666672164273032739771530319/375640142617657\
         6320306673320353688924979200000000*ep^2-371257974730504960/99*
         ep^2*z5-121093330129551730232/127413*ep^2*z4+
         206635650894629270145329536/120525690285*ep^2*z3+
         11771935775481821350907953729516408825385004513848616110949246\
         2424237961987073380463254042069/639129692623912491786713712289\
         27213355059011841573723206529843200000000000000*ep^3-
         2755759310361545600/297*ep^3*z6-2154551300175376546144/297297*
         ep^3*z5+103317825447314635072664768/40175230095*ep^3*z4+
         2424060448779246422019864688871/3102331267935900*ep^3*z3-
         402078481525292800/297*ep^3*z3^2;

Fill mncnoptab(10,5,4,1)=
      +mncF321*(408087680000+29677611017600/9*ep+259293389579360/27*
         ep^2+8409737669194760/567*ep^3)
      -12594082442518552940597478954917/6254299836158774400-
         118691886760/2673*ep^-3-39719129752297937/48162114*ep^-2-
         8237819166750742076999/1735569940104*ep^-1-14352556968498560/
         2673*z3+194467736030096591244194669756149377679182218053394363\
         1883/97725228578103571436549734649561088000000000*ep-
         7176278484249280/891*ep*z4-304832420052757607000/3440151*ep*z3
         -3891423026138484692642682166431293619592997603607108394301608\
         1569/422595160444864836034500748539790004060160000000000*ep^2-
         464123967274785440/891*ep^2*z5-152416210026378803500/1146717*
         ep^2*z4+992958197704733118816285089/4338924850260*ep^2*z3+
         98608682320491610261641074263680583996963487929739962750818458\
         233020603313007990471448347992753/3828067293970923869556521779\
         75659544390125951425105815145510495846400000000000000*ep^3-
         3445048362139644400/2673*ep^3*z6-2841148693747799205110/
         2675673*ep^3*z5+992958197704733118816285089/2892616566840*ep^3
         *z4+60232205474338782694099403079403/446735702582769600*ep^3*
         z3-502428626863941920/2673*ep^3*z3^2;

Fill mncnoptab(10,6,1,3)=
      +mncF321*(329801472000+2675727957760*ep+164702131674112/21*ep^2+
         768493821821872/63*ep^3)
      -224735490114441774167208072061/138194756480781000+1216227632/189
         *ep^-3-83874094961989/773955*ep^-2-4449652289427864438041/
         3067926661800*ep^-1-820332801699200/189*z3+1092431551493125859\
         195676095428641859990647467/68232749003055239562421862400000*
         ep-410166400849600/63*ep*z4-610982380870641264712/8513505*ep*
         z3-3206033952077914545925156146158834750785476209434060093/
         43373855451827099531052099877994496000000*ep^2-
         26522018625318080/63*ep^2*z5-305491190435320632356/2837835*
         ep^2*z4+70033524562850557101963994/383490832725*ep^2*z3+
         14478621130476828220919839016335121758617179591102422877057626\
         8289314755334106743179774134519247/233236972447690954674216556\
         886127993770456199631136490215418573619200000000000000*ep^3-
         196864307685637600/189*ep^3*z6-824922921550219753516/945945*
         ep^3*z5+35016762281425278550981997/127830277575*ep^3*z4+
         32105048918141495097682698660587/276389512961562000*ep^3*z3-
         28708068203288000/189*ep^3*z3^2;

Fill mncnoptab(10,6,2,2)=
      +mncF321*(461722060800+3762574175360*ep+11112030980560*ep^2+
         5497423341230788/315*ep^3)
      -17805628081304231895982413293/7896843227473200-10977047360/27*
         ep^-3-62370053558912/15795*ep^-2-1079641760897069624719/
         109568809350*ep^-1-163798873699840/27*z3+885894899888709212079\
         5347838066329515171517226804407/394849408396378066410301958180\
         044800000*ep-81899436849920/9*ep*z4-2224601154590273384/22113*
         ep*z3-17517445782909369921708557556563346195015652572677447728\
         6213/1707455193716625600139396963797131329536000000*ep^2-
         5303479854373120/9*ep^2*z5-1112300577295136692/7371*ep^2*z4+
         13820971714447793300223506/54784404675*ep^2*z3+
         90025604259028743568460289160621511660938917843690954060750964\
         8064334357395528567560908892686309743/714124962240340165021516\
         2538739466913263827920306137057415685887072665600000000000000*
         ep^3-39366601723548800/27*ep^3*z6-33542982948867105368/27027*
         ep^3*z5+6910485857223896650111753/18261468225*ep^3*z4+
         3391774637694532060803937537253/19742108068683000*ep^3*z3-
         5744724805973248/27*ep^3*z3^2;

Fill mncnoptab(10,6,3,1)=
      +mncF321*(125924198400+1034849088000*ep+9301214632352/3*ep^2+
         520905555594328/105*ep^3)
      -360293648701266619286425343693/579101836681368000-1941000080/99*
         ep^-3-1676328400134419/4459455*ep^-2-3535593004980621768977/
         1607009203800*ep^-1-164031454494208/99*z3+39488154749949196953\
         1967197311326182538353207467762071347/651501523854023809576998\
         23099707392000000000*ep-82015727247104/33*ep*z4-
         122942920439190119836/4459455*ep*z3-77585598675367989999218796\
         92363910168107100193569966004862524981/28173010696324322402300\
         0499026526669373440000000000*ep^2-5304263548071232/33*ep^2*z5-
         61471460219595059918/1486485*ep^2*z4+1535988384123410001421391/
         22957274340*ep^2*z3+546146445050377591121646646459134495489135\
         795569308143936486995464060205882821853015818396428289909/
         10081764172804802329715523584102776818725404122785134669292733\
         017043763200000000000000*ep^3-39371897974298720/99*ep^3*z6-
         74272537986899069552/212355*ep^3*z5+1535988384123410001421391/
         15304849560*ep^3*z4+15051465573586770282872909520073/
         289550918340684000*ep^3*z3-5741896194252352/99*ep^3*z3^2;

Fill mncnoptab(10,7,1,2)=
      +mncF321*(14657843200+1124223717760/9*ep+8330890164560/21*ep^2+
         1930005196528028/2835*ep^3)
      -6508875327433501563604462753/90454749696511200-17911186864/1701*
         ep^-3-163722767112371/1393119*ep^-2-10815851521405535482763/
         27611339956200*ep^-1-327672398192000/1701*z3+98969554433821729\
         6761511444114414261571948178847/144435083089667331105734598328\
         3200000*ep-163836199096000/567*ep*z4-250223976506532044944/
         76621545*ep*z3-62189777878859493176802096829074926609849007447\
         35698259/2081945061687700777490500794143735808000000*ep^2-
         10607241401203520/567*ep^2*z5-125111988253266022472/25540515*
         ep^2*z4+23561777531403772356309001/3451417494525*ep^2*z3-
         53221471947633965376277527611273334850544601003338825436616327\
         470225063222012937589981566356547/1741502727609425794900816958\
         083089020152739623912485793608458683023360000000000000*ep^3-
         78735129513546400/1701*ep^3*z6-394850156166581960492/8513505*
         ep^3*z5+23561777531403772356309001/2300944996350*ep^3*z4+
         1333527080087928748252961657411/155469101040878625*ep^3*z3-
         11488742252193344/1701*ep^3*z3^2;

Fill mncnoptab(10,7,2,1)=
      +mncF321*(10260490240+790666868992/9*ep+843445677056/3*ep^2+
         6905978800275568/14175*ep^3)
      -32498468544124764337238642237/646105354975080000-2899324528/243*
         ep^-3-640065601404779/4975425*ep^-2-8233265190749411315803/
         19722385683000*ep^-1-163748047462144/1215*z3+27243913415929811\
         78162291309020086698685881451344023/56858314809078441563083481\
         97792645120000*ep-81874023731072/405*ep*z4-
         17909617987176693068/7818525*ep*z3-254307889027539896989499876\
         917976513591663890849892568832709/1229367739475970432100365813\
         93393455726592000000*ep^2-5303267536229056/405*ep^2*z5-
         8954808993588346534/2606175*ep^2*z4+46248744528523613677058519/
         9861192841500*ep^2*z3+3195083760842951395130610165279096248157\
         3312690695414582778279801902414726437154327223977013946337/
         93485449602371803420998491416225748682726474593098521478896251\
         61258762240000000000000*ep^3-7873027280612512/243*ep^3*z6-
         200570257371971411248/6081075*ep^3*z5+
         46248744528523613677058519/6574128561000*ep^3*z4+
         22060369137232399437547546632779/3553579452362940000*ep^3*z3-
         1149014259278528/243*ep^3*z3^2;

Fill mncnoptab(10,8,1,1)=
      +mncF321*(130873600+77839109920/63*ep+223315024536/49*ep^2+
         183658750078988/19845*ep^3)
      -5212988322939694063178240093/8104745572807403520-7612172416/
         11907*ep^-3-4042855857183931/780146640*ep^-2-
         281316209071364896397/19327937969340*ep^-1-20521795331216/
         11907*z3+2318666168574707288408941269322472659279/
         411224156938056131291381760000*ep-10260897665608/3969*ep*z4-
         132064258243354134161/4290806520*ep*z3-61437113732860382872511\
         57916916198861525270579/296377474388395814944324662067200000*
         ep^2-662878327433264/3969*ep^2*z5-132064258243354134161/
         2860537680*ep^2*z4+661294560562043030546543/19327937969340*
         ep^2*z3+766744729982270103548865856382375430753213670777967168\
         00485612974252951951119729241373193/18457041220063069862689656\
         08811180968329571442755914424179015047708672000000000*ep^3-
         4920282967421440/11907*ep^3*z6-270555069072862473223/476756280
         *ep^3*z5+661294560562043030546543/12885291979560*ep^3*z4+
         30050963200865123511182301953041/222880503252203596800*ep^3*z3
         -716100979626416/11907*ep^3*z3^2;

Fill mncnoptab(11,1,1,7)=
      +mncF321*(513537536512+35998643733052/9*ep+2454088908887729/225*
         ep^2+1091059282122071504/70875*ep^3)
      -205234283284964406636599501476223/81224673196867200000+
         8252478901/12150*ep^-3+6434556147144863/1250964000*ep^-2+
         11210329976203704823/3521854586250*ep^-1-41054136974602748/
         6075*z3+210928309688860737368060917971690297682213567/
         8195634505302457973760000000000*ep-20527068487301374/2025*ep*
         z4-119920863237389976001753/1094593500*ep*z3-58337853251459289\
         395062482793233443758115117863313/4725406160529270008678645760\
         00000000*ep^2-1327416678924072602/2025*ep^2*z5-
         119920863237389976001753/729729000*ep^2*z4+
         252410068462809129434831552449/788895427320000*ep^2*z3+
         16059912891872205514051818597756031589512857772070352503945708\
         646547965707/4345071267452070013880065770467782576067051520000\
         0000000000*ep^3-1970597949898807529/1215*ep^3*z6-
         278589825250985739667063/243243000*ep^3*z5+
         252410068462809129434831552449/525930284880000*ep^3*z4+5591990\
         448616260227556401317268851/71071589047258800000*ep^3*z3-
         1436894572411196594/6075*ep^3*z3^2;

Fill mncnoptab(11,2,1,6)=
      +mncF321*(1680668301312+13114954780928*ep+897353686461056/25*ep^2
         +401276345536859656/7875*ep^3)
      -1166063721816376022408395476373/141015057633450000+68183632/675*
         ep^-3-2188569248309/394875*ep^-2-65290779215449297837/
         1565268705000*ep^-1-14928788508364672/675*z3+16209501734389766\
         186987556007620769966079075861033/1927613235647138115428352000\
         00000000*ep-7464394254182336/225*ep*z4-10911702633353820207248/
         30405375*ep*z3-67181927857210283381183529437721670623471083646\
         3706635769/1667123293434726459061826224128000000000000*ep^2-
         482697220194929728/225*ep^2*z5-5455851316676910103624/10135125
         *ep^2*z4+2853702678553124464539783223/2739220233750*ep^2*z3+
         16287869849339431748856380222520454995273444982633745108886941\
         544810628901627/1216619954886579603886418415730979121298774425\
         6000000000000000*ep^3-716581436038212256/135*ep^3*z6-
         12768994128599039094604/3378375*ep^3*z5+
         2853702678553124464539783223/1826146822500*ep^3*z4+13389213569\
         7413068807747557378479/493552701717075000*ep^3*z3-
         522507111684318016/675*ep^3*z3^2;

Fill mncnoptab(11,2,2,5)=
      +mncF321*(4583640821760+35913666996480*ep+495133939907936/5*ep^2+
         31963275471633328/225*ep^3)
      -11899301534552091084973706591/527607358492500-461613376/495*
         ep^-3-294596994195188/3185325*ep^-2-112719782400856470148/
         143482964625*ep^-1-29857645102283264/495*z3+372371186408054811\
         47430680361715532874250249654577/16284476614747022799138717696\
         0000000*ep-14928822551141632/165*ep*z4-3123731724535613514208/
         3185325*ep*z3-199255260843222741659853523216544091262527114419\
         923499009/182568524223251822005703991833395200000000*ep^2-
         965394504607291136/165*ep^2*z5-1561865862267806757104/1061775*
         ep^2*z4+403217316505660214680403779/143482964625*ep^2*z3+
         13808261677664244920704335064097089006214500122156917424335506\
         08498485166031/38931838556370547324365389303391331881560781619\
         2000000000000*ep^3-1433162934359795072/99*ep^3*z6-
         3714062530967988307984/353925*ep^3*z5+
         403217316505660214680403779/95655309750*ep^3*z4+
         21476284007520233422515144364427/25852760566132500*ep^3*z3-
         1045012682833640192/495*ep^3*z3^2;

Fill mncnoptab(11,3,1,5)=
      +mncF321*(1750696147200+41319726448000/3*ep+344321667451148/9*
         ep^2+17461253943683372/315*ep^3)
      -1166195178580968660408049965523/135374455328112000+692034038/81*
         ep^-3+17361761352319/379080*ep^-2-14449595769098637491/
         107332711200*ep^-1-1866120518089424/81*z3+36088793234598216314\
         56736897129710208166002620823/41451395019356058034171281408000\
         000*ep-933060259044712/27*ep*z4-2738677852017961785221/7297290
         *ep*z3-74211434788478430780848305369534973467700375414820603199
       /179249096510101788878327555618242560000000*ep^2-
         60337216075894136/27*ep^2*z5-2738677852017961785221/4864860*
         ep^2*z4+5582128545346160318154986171/5259302848800*ep^2*z3+
         10658766629840734542107538718020087479334252538555797957065071\
         564365512061875459043047/6709600367681956955852793653830437280\
         072542605355434115072000000000000*ep^3-447863819273982460/81*
         ep^3*z6-16707088764821840956/4095*ep^3*z5+
         5582128545346160318154986171/3506201899200*ep^3*z4+
         66879117934182135600075960074567/189524237459356800*ep^3*z3-
         65313081497291672/81*ep^3*z3^2;

Fill mncnoptab(11,3,2,4)=
      +mncF321*(3819700684800+30224089168000*ep+254461043781104/3*ep^2+
         13084286959489436/105*ep^3)
      -72858347247474759309953073028/3877914084919875-48944649536/297*
         ep^-3-3211098043516216/1911195*ep^-2-811055840553126042271/
         172179557550*ep^-1-14927631615884032/297*z3+679136524140060312\
         52242404130774363429810408192758111/35907270935517185272100872\
         5196800000000*ep-7463815807942016/99*ep*z4-
         10984667746945167362504/13378365*ep*z3-13892303645164642084931\
         20409970277254681933128107678351164209/15527452985187567461585\
         12450543026176000000000*ep^2-482693181078734848/99*ep^2*z5-
         5492333873472583681252/4459455*ep^2*z4+
         1373318955877862882701916339/602628451425*ep^2*z3+
         52176681175781813077958647534424125276472396876414974658334820\
         0710741068864255841766751/211352411581981644109363000095658774\
         322285092068696174624768000000000000*ep^3-3582879779050801280/
         297*ep^3*z6-4520113473142712514904/495495*ep^3*z5+
         1373318955877862882701916339/401752300950*ep^3*z4+
         7628209206670093421258279118989/8686527550220520*ep^3*z3-
         522520407538072576/297*ep^3*z3^2;

Fill mncnoptab(11,3,3,3)=
      +mncF321*(2387312928000+19102154016400*ep+164015354241850/3*ep^2+
         5193915994186160/63*ep^3)
      -41569563915229058633900232403/3545521449069600-166233561080/297*
         ep^-3-2150206661355164/382239*ep^-2-601353364164702539827/
         39355327440*ep^-1-9326944922692960/297*z3+21059756153765011656\
         7403708671624085592581465118870967/179536354677585926360504362\
         5984000000000*ep-4663472461346480/99*ep*z4-
         1380292927198471650313/2675673*ep*z3-4257741841869660012449926\
         168211609286188839999304842712197597/7763726492593783730792562\
         252715130880000000000*ep^2-301673028306648640/99*ep^2*z5-
         1380292927198471650313/1783782*ep^2*z4+
         1329855525798462335957651669/964205522280*ep^2*z3+
         53581553055215008449230254371114037122626071126292437721844901\
         1952346097993436323/311616275580973316366319230792739729079794\
         730197319680000000000000*ep^3-2239230349993132400/297*ep^3*z6-
         1775221829840737939189/297297*ep^3*z5+
         1329855525798462335957651669/642803681520*ep^3*z4+235961378646\
         980989335596266421681/347461102008820800*ep^3*z3-
         326605050849672640/297*ep^3*z3^2;

Fill mncnoptab(11,4,1,4)=
      +mncF321*(718234316800+51679394166400/9*ep+443047671167696/27*
         ep^2+3333001969448692/135*ep^3)
      -4659915862136828006409596507/1318582357092000-1716970864/243*
         ep^-3-12667248732649/142155*ep^-2-204471318069135548591/
         563496733800*ep^-1-2296679473225088/243*z3+4604311994689523822\
         4675508066958571548412169171307/130571894310971582807639536435\
         2000000*ep-1148339736612544/81*ep*z4-242642613006594725368/
         1563705*ep*z3-933331877434158101680022156523152202279805885209\
         901116653/5646346540068206349667318001974640640000000*ep^2-
         74260927307642432/81*ep^2*z5-121321306503297362684/521235*ep^2
         *z4+8370016052023752293759453/20124883350*ep^2*z3+
         19866034609318533617645714076371478333613501382669280952713436\
         3450472503422024837632974650337/994326040434893017295344268830\
         3351313372080089537924056552054980608000000000000*ep^3-
         551215256124255520/243*ep^3*z6-103707275575201739668/57915*
         ep^3*z5+8370016052023752293759453/13416588900*ep^3*z4+
         1024364119944422623025062007567/5076542074804200*ep^3*z3-
         80386485602663744/243*ep^3*z3^2;

Fill mncnoptab(11,4,2,3)=
      +mncF321*(1175292518400+9462260953600*ep+82113793486592/3*ep^2+
         627702950072584/15*ep^3)
      -984591982139140317268125451/170457761974500-64781618048/297*
         ep^-3-4365324081229048/1911195*ep^-2-587858276796564028454/
         86089778775*ep^-1-4592117716619776/297*z3+61887454723750166975\
         9596323012610060213393174214526883/107721812806551555816302617\
         55904000000000*ep-2296058858309888/99*ep*z4-
         486860776967086832096/1911195*ep*z3-12441332107358138115702022\
         427527699406779865374760706619150933/4658235895556270238475537\
         3516290785280000000000*ep^2-148517319358987264/99*ep^2*z5-
         243430388483543416048/637065*ep^2*z4+8197521334060768215105338/
         12298539825*ep^2*z3+472409190160411340920897789246794910346768\
         9201316869914409930314732855323913801542578381/
         53650996786195340427761376947359535020272369525130567404748800\
         00000000000*ep^3-1102399600900855040/297*ep^3*z6-
         71114868972295173632/23595*ep^3*z5+4098760667030384107552669/
         4099513275*ep^3*z4+286924227555463812143583144428/
         775582816983975*ep^3*z3-160785751773488128/297*ep^3*z3^2;

Fill mncnoptab(11,4,3,2)=
      +mncF321*(489705216000+11972100882560/3*ep+106082931258416/9*ep^2
         +499974186800276/27*ep^3)
      -222819895550356285765932860023/93069938038077000-328823338816/
         891*ep^-3-20798923722216344/5733585*ep^-2-
         959512135436770759531/103307734530*ep^-1-5734408801431296/891*
         z3+23056198593645739262237173349845265927943784302979307311/
         969496315258964002346723558031360000000000*ep-2867204400715648/
         297*ep*z4-122370583002382655288/1146717*ep*z3-4562381048647556\
         24344179138108205887225545705522740757875260253/41924123060006\
         43214627983616466170675200000000000*ep^2-185626651104226304/
         297*ep^2*z5-61185291501191327644/382239*ep^2*z4+
         69090024700866131844459139/258269336325*ep^2*z3+
         24631330678509263748454714994657686788178717149708031639543816\
         3464680884363708857555193099769/759537161502167434435817813443\
         768937281995935367273442749028761600000000000000*ep^3-
         1377863861278119040/891*ep^3*z6-167748036526756243832/127413*
         ep^3*z5+69090024700866131844459139/172179557550*ep^3*z4+
         16955187890442692257923402509203/93069938038077000*ep^3*z3-
         201047598407032832/891*ep^3*z3^2;

Fill mncnoptab(11,4,4,1)=
      +mncF321*(50226176000+3754114851200/9*ep+34342521568880/27*ep^2+
         168622728497108/81*ep^3)
      -1440654160282029310684798992151/5807564133576004800-450628573360/
         34749*ep^-3-8896204046226907/44721963*ep^-2-
         16201032414090745283059/16116006586680*ep^-1-22959473605308800/
         34749*z3+71935187993121414948896891205396769912932208899452237\
         53/3000821928182507626311287203430400000000000*ep-
         11479736802654400/11583*ep*z4-494284725937744177244/44721963*
         ep*z3-27949760718965073517213210728328560841074886299430653600\
         094223/2595302856095636275722085095907629465600000000000*ep^2-
         742580610368878400/11583*ep^2*z5-247142362968872088622/
         14907321*ep^2*z4+207418024410268399110280481/8058003293340*
         ep^2*z3+318171266843401035702489858792517770901776995161962510\
         34313484892856701807571535157/96957178316479983292263326380941\
         0185622561317671088947200000000000000*ep^3-5511955893753316000/
         34749*ep^3*z6-720825756674014996352/4969107*ep^3*z5+
         207418024410268399110280481/5372002195560*ep^3*z4+
         13453520033458675096696380300367/580756413357600480*ep^3*z3-
         803927630563426880/34749*ep^3*z3^2;

Fill mncnoptab(11,5,1,3)=
      +mncF321*(115430515200+948554406800*ep+8521574770786/3*ep^2+
         317655662780581/70*ep^3)
      -359461812436628463304174818499/631747458197856000+103393906/27*
         ep^-3-6295447837219/884520*ep^-2-165901136936483768213/
         500885985600*ep^-1-41017440007408/27*z3+2714233935130059169167\
         385449297272982494823581213/4896446036661434355286482616320000\
         00*ep-20508720003704/9*ep*z4-30742777002626748266/1216215*ep*
         z3-6690522694462509974481300052559519002737354299367211417/
         264672494065697172640655531342561280000000*ep^2-
         1326103888747912/9*ep^2*z5-15371388501313374133/405405*ep^2*z4
         +26875568827090694454604183/438275237400*ep^2*z3+
         41836725235352581643504300543434932779781782234659445709750454\
         438357901261825933742777751169797/1771143259524653187057331978\
         85403445269440176594894272257333479342080000000000000*ep^3-
         9843235565590820/27*ep^3*z6-28883740882921661557/90090*ep^3*z5
         +26875568827090694454604183/292183491600*ep^3*z4+
         1510230142844897972347940316911/31587372909892800*ep^3*z3-
         1435395625994344/27*ep^3*z3^2;

Fill mncnoptab(11,5,2,2)=
      +mncF321*(125924198400+1042919230080*ep+3164508613840*ep^2+
         1619718729154124/315*ep^3)
      -44535129055469387764715440043/72387729585171000-10670436224/99*
         ep^-3-4709676622701796/4459455*ep^-2-30904675483035025169/
         11478637170*ep^-1-163803907073536/99*z3+4876425779893387189922\
         81932685086313097735404495393303/80791359604913666862226963169\
         280000000000*ep-81901953536768/33*ep*z4-123338007246403179512/
         4459455*ep*z3-474367411020272425508365838223043205286884772261\
         9291723305917/174683846083360133942832650686090444800000000000
         *ep^2-5303499798121984/33*ep^2*z5-61669003623201589756/1486485
         *ep^2*z4+13093782834611756352850982/200876150475*ep^2*z3+
         28818376744280779072064584059764972265803788089044137896760814\
         279389069469372203285339804566877963/4675818205145084413831356\
         42417465095511322066210520878759360385463091200000000000000*
         ep^3-39366738718231040/99*ep^3*z6-59439602177318900632/165165*
         ep^3*z5+6546891417305878176425491/66958716825*ep^3*z4+
         163839829129504843936132317647/2895509183406840*ep^3*z3-
         5744683176676864/99*ep^3*z3^2;

Fill mncnoptab(11,5,3,1)=
      +mncF321*(26234208000+220051293280*ep+2045894923408/3*ep^2+
         71729026296920/63*ep^3)
      -1802916313056547242179951747987/13898444080352832000-2280036038/
         297*ep^-3-13368526634663927/107026920*ep^-2-
         11367835249908454276/17217955755*ep^-1-102503279921248/297*z3+
         860425504427054198743408556059094253783879362379282173/
         692497368042117144533373970022400000000000*ep-51251639960624/
         99*ep*z4-15522607012897968769/2675673*ep*z3-330358460642723246\
         4184804994663150361625027932771978849148183/598916043714377602\
         089711945209452953600000000000*ep^2-3315097980334552/99*ep^2*
         z5-15522607012897968769/1783782*ep^2*z4+
         62549780469454726233458707/4821027611400*ep^2*z3+
         68525025185522680833857118068554435745796570593393824501480433\
         4105181511492288453518395913/477423358658505244502514054164654\
         76057725458794514330687081807872000000000000*ep^3-
         24606976652706020/297*ep^3*z6-46703313605825230175/594594*ep^3
         *z5+62549780469454726233458707/3214018407600*ep^3*z4+
         92608963851230467709767170023131/6949222040176416000*ep^3*z3-
         3588808425816376/297*ep^3*z3^2;

Fill mncnoptab(11,6,1,2)=
      +mncF321*(6156294144+795763800832/15*ep+2572611998656/15*ep^2+
         7107998114095168/23625*ep^3)
      -89544507306940083616966131253/2961316210302450000-1548597904/405
         *ep^-3-360538010298509/8292375*ep^-2-695228286037373565739/
         4695806115000*ep^-1-163856284180864/2025*z3+401520632909982125\
         79578467015940731970990585709391/14101764585584930943225069935\
         0016000000*ep-81928142090432/675*ep*z4-125825510975362452536/
         91216125*ep*z3-74821262553839771481316576309077567514098345683\
         0507679877/609805426327366285764070344213261189120000000*ep^2-
         5303700357305536/675*ep^2*z5-62912755487681226268/30405375*
         ep^2*z4+11248067053321188304666841/4108830350625*ep^2*z3-
         15402724162547205394793822584964019190902754660810968958968359\
         04958119173173553053245629161081733/10201785174862002357450232\
         1981992384475197541718659100820224084101038080000000000000*
         ep^3-7873622393867872/405*ep^3*z6-205032676844278572028/
         10135125*ep^3*z5+11248067053321188304666841/2739220233750*ep^3
         *z4+11552515938633933220749565006837/2961316210302450000*ep^3*
         z3-1148840749499072/405*ep^3*z3^2;

Fill mncnoptab(11,6,2,1)=
      +mncF321*(3357978624+145876791424/5*ep+477857289392/5*ep^2+
         1342479951975076/7875*ep^3)
      -714605627400341578494774754799/43432637751102600000-7048510448/
         1485*ep^-3-16980479331498173/334459125*ep^-2-
         2827966252575732263753/17217955755000*ep^-1-327394772774528/
         7425*z3+214664632505957951836607697723883639745834400088134551/
         1384994736084234289066747940044800000000000*ep-163697386387264/
         2475*ep*z4-252552343997013669172/334459125*ep*z3-
         786301705979301486288192583944332554729706022049820952083293/
         1197832087428755204179423890418905907200000000000*ep^2-
         10606131347166272/2475*ep^2*z5-126276171998506834586/111486375
         *ep^2*z4+86871516759671254454292103/60262845142500*ep^2*z3+
         10537324635495852153949450674102718901196358545574695684582687\
         3498691922521224553161195221848097/843756668597609217533477850\
         97888438287757365331221812708456009406873600000000000000*ep^3-
         15745499634362144/1485*ep^3*z6-421182853509118987856/37162125*
         ep^3*z5+86871516759671254454292103/40175230095000*ep^3*z4+
         48650434339429259323056893814223/21716318875551300000*ep^3*z3-
         2298193329968704/1485*ep^3*z3^2;

Fill mncnoptab(11,7,1,1)=
      +mncF321*(64128064+27491039576/45*ep+34259154706/15*ep^2+
         334249203909599/70875*ep^3)
      -130451089019468862678658564493/413507427184051200000-380451092/
         1215*ep^-3-4073791107088243/1592136000*ep^-2-
         1641152083320207199457/225398693520000*ep^-1-5130442531652/
         6075*z3+4500636235645301549638015782010030416637/
         1644896627752224525165527040000*ep-2565221265826/2025*ep*z4-
         132698741868594198761/8756748000*ep*z3-29394305270318580714829\
         8812013854130591834634357/296377474388395814944324662067200000\
         00*ep^2-165719446383548/2025*ep^2*z5-132698741868594198761/
         5837832000*ep^2*z4+12216136962824918216791657/788895427320000*
         ep^2*z3+339951113196361006514483339838031449402641664608882940\
         011192463651067322653363633/6776060001961926516452656819602230\
         288464959018631574008627200000000000*ep^3-246013948309496/1215
         *ep^3*z6-277380224779367946703/972972000*ep^3*z5+
         12216136962824918216791657/525930284880000*ep^3*z4+15407719200\
         3410071984628762934221/2274290849512281600000*ep^3*z3-
         35805049611436/1215*ep^3*z3^2;

Fill mncnoptab(12,1,1,6)=
      +mncF321*(83338924032+7325845280208/11*ep+1567205036397628/825*
         ep^2+27360177200491514/9625*ep^3)
      -37311361665785975939388196264861/91001717192786400000-
         15601537186/27225*ep^-3-4209902953605659/1401543000*ep^-2+
         883485681152655342427/126265008870000*ep^-1-29856821513460944/
         27225*z3+509096354281970423088988747861421712178018963127/
         124395307473761979715642982400000000*ep-14928410756730472/9075
         *ep*z4-22075936553172228746171/1226350125*ep*z3-20642913117578\
         891374517094452626707593405429897097984451/1075850232029876808\
         247898523303936000000000*ep^2-965391313439932856/9075*ep^2*z5-
         22075936553172228746171/817566750*ep^2*z4+
         42732067196382479806211908043/883855062090000*ep^2*z3+
         38113759827705784532911029779175924921492893798609195800264569\
         960886132843/5947919779445500285666934476907009037460674969600\
         00000000000*ep^3-1433158559403168812/5445*ep^3*z6-
         169566952625671052808023/817566750*ep^3*z5+
         42732067196382479806211908043/589236708060000*ep^3*z4+94229830\
         5610341554898960992155591/39813251271844050000*ep^3*z3-
         1045024108082825432/27225*ep^3*z3^2;

Fill mncnoptab(12,2,1,5)=
      +mncF321*(173622758400+15371677717760/11*ep+133216698012656/33*
         ep^2+4259760493970488/693*ep^3)
      -46643931067144030094628793657/54601030315671840+425089400/3267*
         ep^-3+82367137997621/42046290*ep^-2+19064268643502728601/
         3787950266100*ep^-1-7464413102566976/3267*z3+15189382222699331\
         645249440652186190731221093403041/1791292427622172507905258946\
         560000000*ep-3732206551283488/1089*ep*z4-
         5538313986231274848814/147162015*ep*z3-61146674987715380311721\
         7547551448976424126056617213259429/154922433412302260387697387\
         35576678400000000*ep^2-241348688114444384/1089*ep^2*z5-
         2769156993115637424407/49054005*ep^2*z4+
         1045534915267632355538289409/10606260745080*ep^2*z3+
         38231990554900501940779180374706449649285698227530702833323604\
         58827637833742896370489/23196046985414765475948229488956654596\
         822218721371643654963200000000000*ep^3-1791454128101915440/
         3267*ep^3*z6-7273127183319326034292/16351335*ep^3*z5+
         1045534915267632355538289409/7070840496720*ep^3*z4+52691542297\
         0998740493766110469033/9555180305242572000*ep^3*z3-
         261253309037889248/3267*ep^3*z3^2;

Fill mncnoptab(12,2,2,4)=
      +mncF321*(289371264000+77571892740160/33*ep+683136194294344/99*
         ep^2+15939130248702668/1485*ep^3)
      -104096326422656244700821778213/73126379887060500-62360280416/
         9801*ep^-3-3773949833250664/63069435*ep^-2-
         318292131675372538069/2272770159660*ep^-1-37320222619636096/
         9801*z3+1695829775562310649675849317627295351176697792256199/
         120912238864496644283604978892800000000*ep-18660111309818048/
         3267*ep*z4-3973775985070590283532/63069435*ep*z3-
         236914576446627455270789122132325237561472929497242584813587/
         3660042489365640901659350776279990272000000000*ep^2-
         1206737181126824704/3267*ep^2*z5-1986887992535295141766/
         21023145*ep^2*z4+907038648387104511566337799/5681925399150*
         ep^2*z3+712224087558957630592442863445753303232027029858399594\
         728958488190948611254031/4197280446600865077587156986187922881\
         482949427147571200000000000*ep^3-8957228301902095040/9801*ep^3
         *z6-5388375633798195800636/7007715*ep^3*z5+
         907038648387104511566337799/3787950266100*ep^3*z4+214085464339\
         369247561992401223783/2047538636837694000*ep^3*z3-
         1306289779136833792/9801*ep^3*z3^2;

Fill mncnoptab(12,3,1,4)=
      +mncF321*(106844774400+9601283036800/11*ep+28456951021104/11*ep^2
         +14118550951587364/3465*ep^3)
      -717504279283457620093850019293/1365025757891796000-4944980528/
         3267*ep^-3-272680475771443/21023145*ep^-2-24695045860577652811/
         1082271504600*ep^-1-4593300867108736/3267*z3+87242180098911513\
         70593873094789466962016187694967639/16927713441029530199704697\
         04499200000000*ep-2296650433554368/1089*ep*z4-
         264083623934139899504/11320155*ep*z3-1731958265096332714318110\
         78210556141895941633021558072486241/73200849787312818033187015\
         52559980544000000000*ep^2-148521664272349504/1089*ep^2*z5-
         132041811967069949752/3773385*ep^2*z4+
         383698499574393608236375292/6628912965675*ep^2*z3+
         14680448043016424394139025409392277970002138187990620092944648\
         52319636153664235927827/19927513092015412158882797151876398721\
         8154515379056393217638400000000000*ep^3-1102429229874849440/
         3267*ep^3*z6-4744734644824499568556/16351335*ep^3*z5+
         191849249787196804118187646/2209637655225*ep^3*z4+
         1523755135896573385614152909347/36750693481702200*ep^3*z3-
         160773782615798848/3267*ep^3*z3^2;

Fill mncnoptab(12,3,2,3)=
      +mncF321*(133555968000+12132066128000/11*ep+9988046104720/3*ep^2+
         3721517987418892/693*ep^3)
      -2241775523160610813021769569/3412564394729490-45076755520/3267*
         ep^-3-639041774305768/4204629*ep^-2-27672741789549080437/
         54113575230*ep^-1-5740960374352640/3267*z3+4905111884839578553\
         60277759364479368690806279908387/76769675469521678910225383424\
         000000000*ep-2870480187176320/1089*ep*z4-862790705271352993448/
         29432403*ep*z3-47148413394257619921516546885035206405341320879\
         0911051461833/16266855508291737340708225672355512320000000000*
         ep^2-185649506932290560/1089*ep^2*z5-431395352635676496724/
         9810801*ep^2*z4+92526729422706152000641607/1325782593135*ep^2*
         z3+41472573100622133701610164711637547657893550710052233646106\
         386662163203937008550904896411/4210082527852779933884603652245\
         63280932323269792895332337582080000000000000*ep^3-
         1378018901056297600/3267*ep^3*z6-1235599420350967907624/
         3270267*ep^3*z5+92526729422706152000641607/883855062090*ep^3*
         z4+27962697246109709141351504068841/477759015262128600*ep^3*z3
         -200973061968435200/3267*ep^3*z3^2;

Fill mncnoptab(12,3,3,2)=
      +mncF321*(41094144000+3799301112320/11*ep+35430113336192/33*ep^2+
         1245966667936120/693*ep^3)
      -891439161862847926886960246473/4436333713148337000-1368090368896/
         42471*ep^-3-87497283449483384/273300885*ep^-2-
         2075798808545626058126/2462167672965*ep^-1-22935827701500416/
         42471*z3+237711662207378974793228033029099143472624718126304767
       /122255708185213273664533923102720000000000*ep-11467913850750208/
         14157*ep*z4-3479096484166742834624/382621239*ep*z3-
         4555857699121697288854572460811338949349909321180543460234661/
         528672804019481463573017334351554150400000000000*ep^2-
         742500973906985984/14157*ep^2*z5-1739548242083371417312/
         127540413*ep^2*z4+1738459127090882363963467348/86175868553775*
         ep^2*z3+521002617731762331484670627581564840960257550656318002\
         8056288628864767233319409087/197505363237274040039795664850065\
         037812003231377444044800000000000000*ep^3-5511417735048643840/
         42471*ep^3*z6-5266936809562728577568/42513471*ep^3*z5+
         869229563545441181981733674/28725289517925*ep^3*z4+16507466932\
         1948190635449034840779/7763583998009589750*ep^3*z3-
         804215434790546432/42471*ep^3*z3^2;

Fill mncnoptab(12,4,1,3)=
      +mncF321*(22895308800+2111682518400/11*ep+19609238646704/33*ep^2+
         3427120395544028/3465*ep^3)
      -119774163480229225530175514683/1061686700582508000+892493168/
         1089*ep^-3+13450406287349/5450445*ep^-2-9957990246492534637/
         280588908600*ep^-1-328138835882624/1089*z3+4064165220837902227\
         373014155814206860160343680522973/3761714098006562266601043787\
         776000000000*ep-164069417941312/363*ep*z4-82805748966251773496/
         16351335*ep*z3-78532722828790942687218359365071992396338743133\
         203283598623/16266855508291737340708225672355512320000000000*
         ep^2-10608832294463936/363*ep^2*z5-41402874483125886748/
         5450445*ep^2*z4+16693709433019598912596247/1473091770150*ep^2*
         z3+10515649019815883311241146059578528595005385606433047185058\
         90388958937540643313861870202078162113/21771005399617324254876\
         156895628004447088011548426368958107785143255040000000000000*
         ep^3-78745895118772960/1089*ep^3*z6-1119729291563152823492/
         16351335*ep^3*z5+16693709433019598912596247/982061180100*ep^3*
         z4+103126067961371485214053340203/8847389171520900*ep^3*z3-
         11483191376683712/1089*ep^3*z3^2;

Fill mncnoptab(12,4,2,2)=
      +mncF321*(19079424000+1780765400960/11*ep+16862258345296/33*ep^2+
         201411427586252/231*ep^3)
      -55708737072403457532551984149/597198769077660750-50950209856/
         3267*ep^-3-22781680162196528/147162015*ep^-2-
         154143688823782232623/378795026610*ep^-1-819056355865856/3267*
         z3+25259513329105667050920045302978287931643453997181237/
         28212855735049216999507828408320000000000*ep-409528177932928/
         1089*ep*z4-124838703549656240888/29432403*ep*z3-68445458153952\
         190072839004004466183674542541798747818522313/1742877375888400\
         4293615956077523763200000000000*ep^2-26517648550521344/1089*
         ep^2*z5-62419351774828120444/9810801*ep^2*z4+
         59878139980444448299873963/6628912965675*ep^2*z3+
         20599646334284531040975421575038489613727901451413186707982069\
         6171077995074918369378392301/187024819987306185524489123782450\
         22672185899100415158032688742400000000000000*ep^3-
         196834723239245440/3267*ep^3*z6-4986545950117245160/83853*ep^3
         *z5+59878139980444448299873963/4419275310450*ep^3*z4+
         25546848879789346973843281268881/2388795076310643000*ep^3*z3-
         28723138307988992/3267*ep^3*z3^2;

Fill mncnoptab(12,4,3,1)=
      +mncF321*(2935296000+279035854720/11*ep+907234042064/11*ep^2+
         101237156144924/693*ep^3)
      -3607614081167223301461071654383/248434687936306872000-
         72277197776/42471*ep^-3-45396894531338803/1913106195*ep^-2-
         2181396282644772258647/19697341383720*ep^-1-1639448955085696/
         42471*z3+298560256932521774096692516054418648208090118157968291
       /2200602747333838925961610615848960000000000*ep-819724477542848/
         14157*ep*z4-252050018104331310196/382621239*ep*z3-
         5526882287646434160715163479231230491246610002982313145320993/
         9516110472350666344314312018327974707200000000000*ep^2-
         53039207567341504/14157*ep^2*z5-126025009052165655098/
         127540413*ep^2*z4+444146750293713029848705307/344703474215100*
         ep^2*z3+328642432828787660265528939880192286726542183429374542\
         50902389123465998000360023405706968199/18964316746712847212183\
         197151540452989596501687820970245146384793600000000000000*ep^3
         -393695434367347040/42471*ep^3*z6-414012364746973185224/
         42513471*ep^3*z5+444146750293713029848705307/229802316143400*
         ep^3*z4+233283757046153246305531886339579/
         124217343968153436000*ep^3*z3-57426106381911232/42471*ep^3*
         z3^2;

Fill mncnoptab(12,5,1,2)=
      +mncF321*(1526353920+147363396544/11*ep+1471093395128/33*ep^2+
         467889235904542/5775*ep^3)
      -716686507701447856065552342509/95551803052425720000-2729019272/
         3267*ep^-3-14173966979482291/1471620150*ep^-2-
         2527243075567083758971/75759005322000*ep^-1-327739250988608/
         16335*z3+3913943686933730841001306206481404961525121662610909/
         56425711470098433999015656816640000000000*ep-163869625494304/
         5445*ep*z4-254021704532559111712/735810075*ep*z3-7145357377549\
         9377921220832362408930938011776709935618993667/244002832624376\
         060110623385085332684800000000000*ep^2-10607509959120992/5445*
         ep^2*z5-127010852266279555856/245270025*ep^2*z4+
         41406183977257149712964129/66289129656750*ep^2*z3-
         69662551201934430157319529848603150534811989546645411425369281\
         621530460254904700467543207409723/1920971064672116846018484431\
         9671768629783539601552678492448045714636800000000000000*ep^3-
         15747395313187184/3267*ep^3*z6-16129608246981802038/3028025*
         ep^3*z5+41406183977257149712964129/44192753104500*ep^3*z4+
         6479354971620932568573831096701/5971987690776607500*ep^3*z3-
         2297644146229600/3267*ep^3*z3^2;

Fill mncnoptab(12,5,2,1)=
      +mncF321*(635980800+186499738880/33*ep+172581612560/9*ep^2+
         123737820573508/3465*ep^3)
      -357161521748671539133198032181/114662163662910864000-10942203496/
         9801*ep^-3-2101904455839137/176594418*ep^-2-
         125547216822078752963/3246814513800*ep^-1-81815254956800/9801*
         z3+4875819557598981817448985832987369739031715388872457/
         169277134410295301997046970449920000000000*ep-40907627478400/
         3267*ep*z4-12770644332145119248/88297209*ep*z3-866178382031085\
         28116763047148504660216656973254149528553671/73200849787312818\
         0331870155255998054400000000000*ep^2-2651398303304480/3267*
         ep^2*z5-6385322166072559624/29432403*ep^2*z4+
         19492283033831140103960803/79546955588100*ep^2*z3+
         39873241593413987867295870889705055999387173512468477645231513\
         93460907566095395546179904654270310337/14343718052510875998703\
         88158990003258994170096862297105620452370270786682880000000000\
         0000*ep^3-19680949137391600/9801*ep^3*z6-7543717593270799450/
         3270267*ep^3*z5+19492283033831140103960803/53031303725400*ep^3
         *z4+5530041007761298499136954361897/11466216366291086400*ep^3*
         z3-2873002428902816/9801*ep^3*z3^2;

Fill mncnoptab(12,6,1,1)=
      +mncF321*(19079424+10155736864/55*ep+116578118776/165*ep^2+
         130038405961036/86625*ep^3)
      -1437086356194067934388070809223/15288288488388115200000-
         1522918208/16335*ep^-3-45462270941269673/58864806000*ep^-2-
         850245092420383048591/378795026610000*ep^-1-20521814680208/
         81675*z3+18429418123337362054555486763654379151891/
         23036168050696662910304256000000*ep-10260907340104/27225*ep*z4
         -133819868683900278161/29432403000*ep*z3-422334521516628415676\
         756152776399608300251401643/1494236433374828900344303504588800\
         00000*ep^2-662878743436592/27225*ep^2*z5-133819868683900278161/
         19621602000*ep^2*z4+5210387550855207379843391/1325782593135000
         *ep^2*z3+10226366798135714546340777375541054518719941414384870\
         686083643084001779159769399019/3452224253631128877855879895460\
         50469433372648949229665281638400000000000*ep^3-984057207814784/
         16335*ep^3*z6-289445137566655688903/3270267000*ep^3*z5+
         5210387550855207379843391/883855062090000*ep^3*z4+160299184707\
         781357392069550992821/7644144244194057600000*ep^3*z3-
         143220193990384/16335*ep^3*z3^2;

Fill mncnoptab(13,1,1,5)=
      +mncF321*(6028568000+4958266114165/99*ep+8235713239267/54*ep^2+
         15464973010696393/62370*ep^3)
      -46649681948269080594580810914721/1572509673091348992000+
         9727936793/235224*ep^-3+7339613383901527/24218663040*ep^-2+
         35728667265553232591/174548748261888*ep^-1-2332620453109579/
         29403*z3+668796628367973879972802329085623089666688127/2332412\
         015133037119668305920000000*ep-2332620453109579/19602*ep*z4-
         28127137279059071855561/21191330160*ep*z3-26085230468160687076\
         823366163684194502058254330999563/2017219185056019015464809731\
         1948800000000*ep^2-150842557934846417/19602*ep^2*z5-
         28127137279059071855561/14127553440*ep^2*z4+
         47151773791826023432425398021/15273015472915200*ep^2*z3+
         53233355878464382711422177082923153138022762959678461787676766\
         1322501921/736055072706380660351283141517242368385758527488000\
         00000000*ep^3-2239312164491600465/117612*ep^3*z6-
         82119141524585128336831/4709184480*ep^3*z5+
         47151773791826023432425398021/10182010315276800*ep^3*z4+
         7843277557535843240739333153192211/2751891927909860736000*ep^3
         *z3-163283326552416461/58806*ep^3*z3^2;

Fill mncnoptab(13,2,1,4)=
      +mncF321*(7419776000+6186644114560/99*ep+57827942209024/297*ep^2+
         10171195346768336/31185*ep^3)
      -896966685208986250051929751501/24570463642052328000-51163736/
         29403*ep^-3-129002340029993/378416610*ep^-2-
         15880970752611931159/6818310478980*ep^-1-2870929599599296/
         29403*z3+9294512170737380872097467600723014201596887121/
         26656137315806138510494924800000000*ep-1435464799799648/9801*
         ep*z4-2178423087784624244714/1324458135*ep*z3-1191964462080786\
         23427696869597763518356440699981922151/76846445144991200589135\
         608807424000000000*ep^2-92826453125526304/9801*ep^2*z5-
         1089211543892312122357/441486045*ep^2*z4+
         1724642717094780860404910647/477281733528600*ep^2*z3+
         35657677880870334971595667638290938953883062068691450727269520\
         412288039721999451/6700538782551534144837986459520042031645073\
         6852701701734400000000000*ep^3-689021074442449040/29403*ep^3*
         z6-255239682373363504844/11320155*ep^3*z5+
         1724642717094780860404910647/318187822352400*ep^3*z4+170152704\
         266958135996885623735551/42998311373591574000*ep^3*z3-
         100482042366285472/29403*ep^3*z3^2;

Fill mncnoptab(13,2,2,3)=
      +mncF321*(6849024000+1933760792320/33*ep+18546580714528/99*ep^2+
         3371130088399592/10395*ep^3)
      -112178287644505569841562048723/3327250284861252750-15477801536/
         127413*ep^-3-1765759259244004/819902655*ep^-2-
         2675318411510012018/211042943397*ep^-1-11483713765843456/
         127413*z3+23102986002363426739839877760087531709832809668159/
         72771254872150758133651144704000000000*ep-5741856882921728/
         42471*ep*z4-8782678648656398764064/5739318585*ep*z3-
         54594329339800765307343779198056160342136141613224442423/
         39335774108592370801563789758300160000000000*ep^2-
         371305137525478144/42471*ep^2*z5-4391339324328199382032/
         1913106195*ep^2*z4+810267373126997792302644329/258527605661325
         *ep^2*z3+52815324755039267418601824041551332903039983414583968\
         690909519025256411078259/1068751965569664718830063121483035918\
         8961213819125760000000000000*ep^3-2756079247026477440/127413*
         ep^3*z6-14016687970560806004272/637702065*ep^3*z5+
         810267373126997792302644329/172351737107550*ep^3*z4+1918597996\
         04566271423333986195939/46581503988057538500*ep^3*z3-
         401925107019695872/127413*ep^3*z3^2;

Fill mncnoptab(13,3,1,3)=
      +mncF321*(2384928000+226438794400/11*ep+66739895800*ep^2+
         81460391294690/693*ep^3)
      -179631881762522960832954388547/15288288488388115200+398485390/
         3267*ep^-3+176187622948955/235459224*ep^-2-
         12343691417457059977/8485008596064*ep^-1-102546536225680/3267*
         z3+25047026792580767591540178267490499951252837779/22848117699\
         2624044375670784000000000*ep-51273268112840/1089*ep*z4-
         31508641903353278201/58864806*ep*z3-22984678838170133122085032\
         252220343629276858688158946451/4841326044134445637115543354867\
         7120000000000*ep^2-3315269203530520/1089*ep^2*z5-
         31508641903353278201/39243204*ep^2*z4+
         8921767549065579360253315/8485008596064*ep^2*z3+
         57734153301459022748369935698032349186211914841907182785907836\
         65490049613703612155687/12530007523371368850847034679302478599\
         17628779145521822433280000000000000*ep^3-24608152685914700/
         3267*ep^3*z6-25784100802151259374/3270267*ep^3*z5+
         8921767549065579360253315/5656672397376*ep^3*z4+
         1165965346544871903892344287659/764414424419405760*ep^3*z3-
         3588455932049080/3267*ep^3*z3^2;

Fill mncnoptab(13,3,2,2)=
      +mncF321*(1467648000+141756003200/11*ep+1416874828240/33*ep^2+
         18075863857724/231*ep^3)
      -89242094428452270672963453163/12421734396815343600-46536292480/
         42471*ep^-3-4266062322107188/382621239*ep^-2-
         1067547343629354250207/34470347421510*ep^-1-819132999441920/
         42471*z3+9321622584575812136944611883259309339792295049177/
         139720809354529455616610197831680000000*ep-409566499720960/
         14157*ep*z4-127028083265493742856/382621239*ep*z3-
         21263795239546056724299055602034695639532219946712203537/
         75524686288497351939002476335936307200000000*ep^2-
         26517947435962880/14157*ep^2*z5-63514041632746871428/127540413
         *ep^2*z4+10323581213998446865178387/17235173710755*ep^2*z3+
         21360716733854974353668462019555834074685520525146252073916715\
         9744955656158472859603247/273655364310430695702499237395966132\
         606010125365381966019428352000000000000*ep^3-
         196836773271116800/42471*ep^3*z6-10382537186769762488/2024451*
         ep^3*z5+10323581213998446865178387/11490115807170*ep^3*z4+
         6458134111593707229158633849453/6210867198407671800*ep^3*z3-
         28722463152243200/42471*ep^3*z3^2;

Fill mncnoptab(13,3,3,1)=
      +mncF321*(157248000+15601184400/11*ep+1137934605950/231*ep^2+
         13096911729425/1386*ep^3)
      -9628291273441177094927288083/12366526688385053184-17437735270/
         99099*ep^-3-5345146511777903/2380754376*ep^-2-
         1648122488809771511923/171585729387072*ep^-1-204812190166160/
         99099*z3+31474225202456263053313827842531525267978902846027/
         4491026014967018216248184930304000000000*ep-102406095083080/
         33033*ep*z4-340633480719021533/9447438*ep*z3-34333792124412854\
         088266809839526338637278510165153379477/1213789601065136013305\
         396941113262080000000000*ep^2-947056861947320/4719*ep^2*z5-
         340633480719021533/6298292*ep^2*z4+23948487602242527221070461/
         428964323467680*ep^2*z3+72446322291788244884392455939467918164\
         21190626675116940233648626587970795803057/87581824339327642828\
         142625725057994901474319220143554560000000000000*ep^3-
         49208454776818900/99099*ep^3*z6-177744279080418790984/
         297594297*ep^3*z5+23948487602242527221070461/285976215645120*
         ep^3*z4+19751363286021422566983855649831/154581583604813164800
         *ep^3*z3-7179041618566760/99099*ep^3*z3^2;

Fill mncnoptab(13,4,1,2)=
      +mncF321*(211993600+189244240640/99*ep+1969146058096/297*ep^2+
         131695824752948/10395*ep^3)
      -551716392257073646545089909/529209986136511680-2909512984/29403*
         ep^-3-3137715521131783/2648916270*ep^-2-36804162656650688014/
         8522888098725*ep^-1-81944783509184/29403*z3+100817544974103015\
         446080877479305260627070250343/1074775456573303504743155367936\
         0000000*ep-40972391754592/9801*ep*z4-64396098493490350882/
         1324458135*ep*z3-890772152452546057868338750491638802403450376\
         445653449/23238365011845339058154608103365017600000000*ep^2-
         2651915861339936/9801*ep^2*z5-32198049246745175441/441486045*
         ep^2*z4+7191377415646110672933667/95456346705720*ep^2*z3-
         45805375253237220192397229565037952658711149635026327305045340\
         08505845178663900280716355221259/12936253654861901153232216441\
         107532999586671147747989769304224118603776000000000000*ep^3-
         19684507001276560/29403*ep^3*z6-13160280492161354324/16351335*
         ep^3*z5+7191377415646110672933667/63637564470480*ep^3*z4+
         7453882056591577465445514820691/42998311373591574000*ep^3*z3-
         2871957155336864/29403*ep^3*z3^2;

Fill mncnoptab(13,4,2,1)=
      +mncF321*(65228800+59276813120/99*ep+633838777768/297*ep^2+
         43839969610034/10395*ep^3)
      -285508443573467537791985242547/894364876570704739200-57113515816/
         382239*ep^-3-54520005044250727/34435911510*ep^-2-
         9098135534009244140581/1772760724534800*ep^-1-327040132364096/
         382239*z3+3683415708002663679901069722307142271952252747763/
         1283150289990576633213767122944000000000*ep-163520066182048/
         127413*ep*z4-259643098959308850118/17217955755*ep*z3-
         62401282571672618270709154694949559846816748692577055713/
         5548752462012050346538957445089198080000000000*ep^2-
         10604718031589984/127413*ep^2*z5-129821549479654425059/
         5739318585*ep^2*z4+25846588841877604681802953/1240932507174360
         *ep^2*z3+49672922464180791413740707363390991516753334315521770\
         156297541049026430478242050619021/1579701519926101392101890641\
         527734526413702764499872573523230720000000000000*ep^3-
         78717784906014640/382239*ep^3*z6-55462888814169831776/
         212567355*ep^3*z5+25846588841877604681802953/827288338116240*
         ep^3*z4+128227320899744182029454897540571/
         2235912191426761848000*ep^3*z3-11493850855990496/382239*ep^3*
         z3^2;

Fill mncnoptab(13,5,1,1)=
      +mncF321*(3312400+3250184210/99*ep+77227942673/594*ep^2+
         2993914561037/10395*ep^3)
      -288126596120385364444674672791/17612108338623108710400-950139197/
         58806*ep^-3-46297204452269261/339061282560*ep^-2-
         3571936188934196977129/8727437413094400*ep^-1-1282606678781/
         29403*z3+658684295838763754803250963055270949112153/4874265109\
         175979613347643392000000*ep-1282606678781/19602*ep*z4-
         135547491835837548749/169530641280*ep*z3-160928183099054712481\
         5769026928867216868267919641/351298034948531202693191354548224\
         0000000*ep^2-41429776582049/9801*ep^2*z5-135547491835837548749/
         113020427520*ep^2*z4+3051679847338746984163369/
         6109206189166080*ep^2*z3+1001645030966160698560873131203077539\
         0409338417280150974980773292048349198609799/273143017869715691\
         4347509367836882835077234145532366582448128000000000*ep^3-
         307516807668415/29403*ep^3*z6-11408320414977334081/697656960*
         ep^3*z5+3051679847338746984163369/4072804126110720*ep^3*z4+
         168560618395311614255218466328761/44030270846557771776000*ep^3
         *z3-44756313991361/29403*ep^3*z3^2;

Fill mncnoptab(14,1,1,4)=
      +mncF321*(175616000+1985673533200/1287*ep+19833342918820/3861*
         ep^2+755708039090566/81081*ep^3)
      -2868342614911811935259432189759/3321926684405474745600-
         60095880470/4969107*ep^-3-3246834947908333/51161925672*ep^-2+
         16144010438291077553/115229447094762*ep^-1-11480842215911920/
         4969107*z3+42573346309640328262108365146864969734638047/
         5362960959965758819373383680000000*ep-5740421107955960/1656369
         *ep*z4-1780198476076786620469/44766684963*ep*z3-52058755964348\
         5412849942885794978506492075884634421/154607728922660867851951\
         40343398400000000*ep^2-371293908202251880/1656369*ep^2*z5-
         1780198476076786620469/29844456642*ep^2*z4+
         461362916371633680770334545/6452849037306672*ep^2*z3-
         58145460684602559677603169733579178221321930153334398526133133\
         126689727/4009747634171902264008894828074882235396703597363200\
         000000000*ep^3-2756002205977109300/4969107*ep^3*z6-
         6118641212605347994859/9948152214*ep^3*z5+
         461362916371633680770334545/4301899358204448*ep^3*z4+
         73621435205924793870160551869309/581337169770958080480*ep^3*z3
         -401965803082196680/4969107*ep^3*z3^2;

Fill mncnoptab(14,2,1,3)=
      +mncF321*(112896000+145121285120/143*ep+1502376249248/429*ep^2+
         299337283726472/45045*ep^3)
      -224342463434102636951160854929/403706367896498667000+949003664/
         552123*ep^-3+672474986896987/24870380535*ep^-2+
         3178671316390392761/36580776855480*ep^-1-820313636160896/
         552123*z3+1605445970288679608504945323048451662028930579/
         321777657597945529162403020800000000*ep-410156818080448/184041
         *ep*z4-643381904374320043264/24870380535*ep*z3-573117903831155\
         59518601377287529531603915141213100987/27829391206078956213351\
         25261811712000000000*ep^2-26522042694096704/184041*ep^2*z5-
         321690952187160021632/8290126845*ep^2*z4+
         91378838437521138559376543/2240572582398150*ep^2*z3+
         49754705105915151326975023170050670048839358944244702180849730\
         2240602840365270005589/282342836193301511439086514773615851101\
         4390182341242506549657600000000000*ep^3-196864536115323040/
         552123*ep^3*z6-1173797031001695895372/2763375615*ep^3*z5+
         91378838437521138559376543/1493715054932100*ep^3*z4+
         36850392653575971803050592404213/403706367896498667000*ep^3*z3
         -28708521962910272/552123*ep^3*z3^2;

Fill mncnoptab(14,2,2,2)=
      +mncF321*(48384000+63760652160/143*ep+1599692472656/1001*ep^2+
         143107113749836/45045*ep^3)
      -446894329045807837376330244911/1883963050183660446000-
         41044735552/1288287*ep^-3-19209100387726976/58030887915*ep^-2-
         1010124267256774199503/1045600538452470*ep^-1-819183288730112/
         1288287*z3+226473370002310251586212897361942603678838080703/
         108117292952909697798567414988800000000*ep-409591644365056/
         429429*ep*z4-93031620632837506504/8290126845*ep*z3-
         486220611882326801167874649201244325519803202994365899/
         58441721532765808048037630498045952000000000*ep^2-
         3788312323798784/61347*ep^2*z5-46515810316418753252/2763375615
         *ep^2*z4+39241893889995972973095838/2614001346131175*ep^2*z3+
         10159728860180510472579233166285420372811582399522391788856471\
         29105660044409/53669670133864077423306255494816683744337798309\
         986959360000000000*ep^3-196838438777610880/1288287*ep^3*z6-
         1263330130930569353944/6447876435*ep^3*z5+
         19620946944997986486547919/871333782043725*ep^3*z4+
         40817126830763310238425831444511/941981525091830223000*ep^3*z3
         -28722429255175424/1288287*ep^3*z3^2;

Fill mncnoptab(14,3,1,2)=
      +mncF321*(15052800+60502037120/429*ep+60578911088/117*ep^2+
         47672180825884/45045*ep^3)
      -10247213797272289352510139371/138413611850228114400-11542132816/
         1656369*ep^-3-5952433422318731/74611141605*ep^-2-
         7460578162440781085921/26886870988777800*ep^-1-327748684551296/
         1656369*z3+19760947748307079897420873178353688099975033077/
         30890655129402770799590689996800000000*ep-163874342275648/
         552123*ep*z4-262782921878940641368/74611141605*ep*z3-
         331912403851220717068939019798145385203869760571394803/
         133581077789178989824086012566962176000000000*ep^2-
         10607560564654784/552123*ep^2*z5-131391460939470320684/
         24870380535*ep^2*z4+5570232318010398182817073/1344343549438890
         *ep^2*z3-36600069407139425724535677351684158908100202608449042\
         3181342062790219873753131265903/338811403431961813726903817728\
         33902132172682188094910078595891200000000000*ep^3-
         78737332523532640/1656369*ep^3*z6-176612290944057710228/
         2763375615*ep^3*z5+5570232318010398182817073/896229032959260*
         ep^3*z4+34804265561806971486195220936859/
         2422238207378992002000*ep^3*z3-11488362141788096/1656369*ep^3*
         z3^2;

Fill mncnoptab(14,3,2,1)=
      +mncF321*(3225600+4434830080/143*ep+32289002944/273*ep^2+
         3800963140256/15015*ep^3)
      -71338768090191599637803794361/4521511320440785070400-38670235568/
         3864861*ep^-3-18512206912467013/174092663745*ep^-2-
         21876431431324448599513/62736032307148200*ep^-1-
         163373220717568/3864861*z3+58759750185488037102268872375656585\
         291810490449/432469171811638791194269659955200000000*ep-
         81686610358784/1288287*ep*z4-18995354574960925052/24870380535*
         ep*z3-115188398101000958572436866263296859847655197044723157/
         233766886131063232192150521992183808000000000*ep^2-
         757393744876096/184041*ep^2*z5-9497677287480462526/8290126845*
         ep^2*z4+4441310552881441071705559/6273603230714820*ep^2*z3+
         23960261746012945694644437550766660175288722328827805720802187\
         987842314179923746721/1669362308454855583669001317670241825171\
         1904634950553362340249600000000000*ep^3-39354738554201120/
         3864861*ep^3*z6-10524155690911157616/716430715*ep^3*z5+
         4441310552881441071705559/4182402153809880*ep^3*z4+
         37470394848440963893592503437389/11303778301101962676000*ep^3*
         z3-5747952674638528/3864861*ep^3*z3^2;

Fill mncnoptab(14,4,1,1)=
      +mncF321*(313600+4139935520/1287*ep+51614488408/3861*ep^2+
         4238579289404/135135*ep^3)
      -288726641925771725735426577131/186027894326706585753600-
         7647766336/4969107*ep^-3-47788620695446121/3581334797040*ep^-2
         -1906918870258258388177/46091778837904800*ep^-1-20522080082576/
         4969107*z3+10105819428782580292854712285325421731829103/
         823750803450740554655751733248000000*ep-10261040041288/1656369
         *ep*z4-138108501015522980609/1790667398520*ep*z3-2311746781633\
         4455747459065512198287736347393986427/593693679063017732551493\
         389186498560000000*ep^2-662884449587504/1656369*ep^2*z5-
         138108501015522980609/1193778265680*ep^2*z4+
         686174401943471769246047/32264245186533360*ep^2*z3+
         17321064767427104803237195635415098672120987522406767237621499\
         81747474746702342126809/25337353322078982461246240787025555596\
         58421887487946183358493491200000000000*ep^3-4920328171699840/
         4969107*ep^3*z6-4143086671198460807/2456333880*ep^3*z5+
         686174401943471769246047/21509496791022240*ep^3*z4+17786664610\
         2258679001156623256741/465069735816766464384000*ep^3*z3-
         716100837250736/4969107*ep^3*z3^2;

Fill mncnoptab(15,1,1,3)=
      +mncF321*(1728000+16472114460/1001*ep+1298511255883/21021*ep^2+
         13583830225522/105105*ep^3)
      -7194826585397750655021151137679/844015446482279879808000+
         4626282751/18036018*ep^-3+23121521944253923/12998918892960*
         ep^-2+63020778175347804655/46842904122670656*ep^-1-
         205062152330612/9018009*z3+78654591769108732995130577632076360\
         4028343/10949378626596757589553991680000000*ep-102531076165306/
         3006003*ep*z4-13532933457765596123/33160507380*ep*z3-
         3240876298168184319662189506964924436449165901479/118371542456\
         41222694915029325414400000000*ep^2-135309327879662/61347*ep^2*
         z5-13532933457765596123/22107004920*ep^2*z4+
         485387515455797700223994147/1171072603066766400*ep^2*z3+
         40666921922760692713351469887512870351709779017404508836834253\
         124739/1253648851472696715539096507094119025015804395520000000\
         0000*ep^3-49213522614949255/9018009*ep^3*z6-
         8317902322323106513751/1083243241080*ep^3*z5+
         485387515455797700223994147/780715068711177600*ep^3*z4+
         92768908595960832447574248583063/52750965405142492488000*ep^3*
         z3-7177136867012054/9018009*ep^3*z3^2;

Fill mncnoptab(15,2,1,2)=
      +mncF321*(460800+4565520640/1001*ep+126824617344/7007*ep^2+
         12760771138064/315315*ep^3)
      -5631278343055068541290661531/2472701503366054335375-1031642576/
         27054027*ep^-3-364695270281291/243729729243*ep^-2-
         4580653031067242898661/439152226150037400*ep^-1-
         164059042878592/27054027*z3+8053529052613604510081975182597869\
         34350763/43797514506387030358215966720000000*ep-82029521439296/
         9018009*ep*z4-19334117974436577632/174092663745*ep*z3-
         3103548938241717227788848539573088333712393369819/473486169825\
         64890779660117301657600000000*ep^2-108254822667712/184041*ep^2
         *z5-9667058987218288816/58030887915*ep^2*z4+
         7717399184535349967332891/109788056537509350*ep^2*z3-
         21519937227050569276931688820180220294880057781846476912784938\
         0204740203539023/155778663547785402287926521180587643846817215\
         7305668134502400000000000*ep^3-39373499723187680/27054027*ep^3
         *z6-307090250603043821572/135405405135*ep^3*z5+
         7717399184535349967332891/73192037691672900*ep^3*z4+
         407514730884262922204627380571/791264481077137387320*ep^3*z3-
         5741773514259136/27054027*ep^3*z3^2;

Fill mncnoptab(15,2,2,1)=
      +mncF321*(61440+1901163136/3003*ep+279309567568/105105*ep^2+
         30024703211908/4729725*ep^3)
      -705043774878633569718247004399/2373793443231412161960000-
         129469716304/405810405*ep^-3-58842539135360471/18279729693225*
         ep^-2-12613312005469723410019/1317456678450112200*ep^-1-
         65141810180992/81162081*z3+31653536406274470006306539326543983\
         8419067/131392543519161091074647900160000000*ep-32570905090496/
         27054027*ep*z4-39394376181024783844/2611389956175*ep*z3-
         3230052630050431488851889009536000165367572813053/426137552843\
         084017016941055714918400000000*ep^2-43263316381888/552123*ep^2
         *z5-19697188090512391922/870463318725*ep^2*z4+
         11491557786948514235690593/3293641696125280500*ep^2*z3+
         95149409383155677996109727450648282752529158529826127764743852\
         45255363/58084058586432984224357419366684722667032249253232640\
         0000000000*ep^3-15736414244891360/81162081*ep^3*z6-
         677664120311403852944/2031081077025*ep^3*z5+
         11491557786948514235690593/2195761130750187000*ep^3*z4+
         86466709388345610522935153831107/1186896721615706080980000*
         ep^3*z3-11506100419730624/405810405*ep^3*z3^2;

Fill mncnoptab(15,3,1,1)=
      +mncF321*(14400+155405240/1001*ep+14507374142/21021*ep^2+
         552082486009/315315*ep^3)
      -290525696594418097313885866403/4051274143114943423078400-
         1849367644/27054027*ep^-3-48021677235122081/77993513357760*
         ep^-2-1780643749726374853063/878304452300074800*ep^-1-
         5130019429124/27054027*z3+415129083579062976400164112020565233\
         87631/78835526111496654644788740096000000*ep-2565009714562/
         9018009*ep*z4-2897845743884728601/795852177120*ep*z3-
         42414199423644704999020443513928760662639817549/28409170189538\
         934467796070380994560000000*ep^2-3381843871004/184041*ep^2*z5-
         2897845743884728601/530568118080*ep^2*z4-
         305340985166205501847913/351321780920029920*ep^2*z3+
         14705585497513883768552946607059057458750181765115986813080428\
         57333354451063/50506750419180263933148458869739159797760190732\
         733041868800000000000*ep^3-1230002574021160/27054027*ep^3*z6-
         377289320558113191887/4332972964320*ep^3*z5-
         305340985166205501847913/234214520613353280*ep^3*z4+1854549412\
         38735499675602951006701/10128185357787358557696000*ep^3*z3-
         179025459608444/27054027*ep^3*z3^2;

Fill mncnoptab(16,1,1,2)=
      +mncF321*(4096+1986928816/45045*ep+28054704628/143325*ep^2+
         35145470335198/70945875*ep^3)
      -2768099385033983712970734245981/142427606593884729717600000-
         104850551734/6087156075*ep^-3-202748215735564423/
         2193567563187000*ep^-2+675766544175109321303/
         3952370035350336600*ep^-1-64629731557936/1217431215*z3+
         75854120165026599823009052527049997793/52557017407664436429859\
         1600640000*ep-32314865778968/405810405*ep*z4-
         40357575786798584239/39170849342625*ep*z3-20879657741926894182\
         76973107750095551341559723/47348616982564890779660117301657600\
         00000*ep^2-43217958373192/8281845*ep^2*z5-40357575786798584239/
         26113899561750*ep^2*z4-46516152066718728051413303/
         197618501767516830000*ep^2*z3+12672138227436274691305737576321\
         685380706366655531980625882682593/6447336950431011679915353465\
         055469271509851176960000000000*ep^3-3144205074650644/243486243
         *ep^3*z6-1503009197430055184503/60932432310750*ep^3*z5-
         46516152066718728051413303/131745667845011220000*ep^3*z4+
         92582300764817286175779897404227/17803450824235591214700000*
         ep^3*z3-11548649911235144/6087156075*ep^3*z3^2;

Fill mncnoptab(16,2,1,1)=
      +mncF321*(256+134318176/45045*ep+23067694088/1576575*ep^2+
         2940366228028/70945875*ep^3)
      -1398087007162660015270407435703/1139420852751077837740800000-
         9850369024/6087156075*ep^-3-60658151329566281/4387135126374000
         *ep^-2-602055592218991902149/15809480141401346400*ep^-1-
         4107940180816/1217431215*z3+5455157793957448061498652602355510\
         491327/656962717595805455373239500800000000*ep-2053970090408/
         405810405*ep*z4-21197841038113226807/313366794741000*ep*z3-
         4442979368906261719865974565039067533263296253/236743084912824\
         453898300586508288000000000*ep^2-2707197131632/8281845*ep^2*z5
         -21197841038113226807/208911196494000*ep^2*z4-
         14091879121065659408894183/197618501767516830000*ep^2*z3+
         12091927543797091089486440194529502100137623729547500258227103\
         5249052527241/170073751411525378550397871704223701359804723895\
         937794048000000000000*ep^3-196925019084544/243486243*ep^3*z6-
         446464404451705388407/243729729243000*ep^3*z5-
         14091879121065659408894183/131745667845011220000*ep^3*z4+
         180898351332336863482724030005829/569710426375538918870400000*
         ep^3*z3-716092026839984/6087156075*ep^3*z3^2;

Fill mncnoptab(17,1,1,1)=
      +mncF321*(1+2436559/180180*ep+993366559/12612600*ep^2+75588323677/
         283783500*ep^3)
      -2426232780881159938359670396003/291691738304275926461644800000+
         29568699913/779155977600*ep^-3+102264911510353847/
         561553296175872000*ep^-2-5141800369912898099039/
         16188907664794978713600*ep^-1-15615467776/1217431215*z3+
         5183794920578449528632733699184591209/210228069630657745719436\
         640256000000*ep-7807733888/405810405*ep*z4-1647467315106222163/
         5730135675264000*ep*z3-964931345563808338493485958416755750155\
         11/151515574344207650494912375365304320000000*ep^2-
         332345612759/265019040*ep^2*z5-1647467315106222163/
         3820090450176000*ep^2*z4-154442968773478242295958657/
         202361345809937233920000*ep^2*z3+96473461283205197638723048643\
         2655616670538563920219688873/188273563608252849740381851248510\
         882680301158400000000*ep^3-48355110106741/15583119552*ep^3*z6-
         294364727231946983441/31197405343104000*ep^3*z5-
         154442968773478242295958657/134907563873291489280000*ep^3*z4+
         118730024515500896411296114223879/
         145845869152137963230822400000*ep^3*z3-89545997239423/
         194788994400*ep^3*z3^2;
*--#] 20 :
#case 19
*--#[ 19 :

Fill mncnoptab(5,5,5,4)=
      +mncF321*(-652847489043750-4771209640947750*ep-46233304904805525/
         4*ep^2-222593189910709075/16*ep^3)
      +2936472933366682843591842365/908800155648-4965425188425/16*ep^-3
         -80653301091969665/29568*ep^-2-799234215271118879503/163924992
         *ep^-1+17195907820083525/2*z3-87192441430210807667732807480728\
         8860339/25506839568494592000000*ep+51587723460250575/4*ep*z4+
         1998936109784335704625/14784*ep*z3+245184094815798242006391845\
         546003750177722531/1414099185677340180480000000*ep^2+
         3333648314530541475/4*ep^2*z5+1998936109784335704625/9856*ep^2
         *z4-38668216659281847854865409/81962496*ep^2*z3-
         37247307502617136988212255412457149972040409691385883428812165\
         857/72677807730269617902179845575750451200000000000*ep^3+
         16496282494451872125/8*ep^3*z6+743579872920860890575/704*ep^3*
         z5-38668216659281847854865409/54641664*ep^3*z4+
         280082436079829673575779256899/2272000389120*ep^3*z3+
         1202457759472478925/4*ep^3*z3^2;

Fill mncnoptab(6,4,3,6)=
      +mncF321*(-313366794741000-2297796090309720*ep-5602066196723763*
         ep^2-27205200023595197/4*ep^3)
      +164789830608374824737627637751/106657796044800-226838910051/4*
         ep^-3-19047354486165319/36960*ep^-2-13816977758204612306857/
         13318905600*ep^-1+4124993173925286*z3-850513409166043500151996\
         39094362709871350597/5188752456665057280000000000*ep+
         6187489760887929*ep*z4+240178270074407291579/3696*ep*z3+
         61940739679096324380703688373639834745711250463937/74792753411\
         3528016568320000000000*ep^2+400016244608668857*ep^2*z5+
         240178270074407291579/2464*ep^2*z4-55477467870498278475430533/
         246646400*ep^2*z3-22137157908483147248493434119909988439173943\
         898359518811856533548810890729/8745061521257637994364742121458\
         3234232320000000000000000*ep^3+1979456257173717855/2*ep^3*z6+
         272723393693242807471/528*ep^3*z5-166432403611494835426291599/
         493292800*ep^3*z4+128324502687878413074657540233873/
         2399800411008000*ep^3*z3+144317163975256311*ep^3*z3^2;

Fill mncnoptab(6,4,4,5)=
      +mncF321*(-522277991235000-3821547303674100*ep-9279095395704290*
         ep^2-67220224520940475/6*ep^3)
      +586383946902060903588608237/227200038912-745632361305/4*ep^-3-
         36668031431068127/22176*ep^-2-1879542102457630807697/614718720
         *ep^-1+6877002947035780*z3-23245258308063940823131351046380617\
         832001/850227985616486400000000*ep+10315504420553670*ep*z4+
         1199900964359096931335/11088*ep*z3+652631297713806833866913800\
         2476100488766278677/47136639522578006016000000000*ep^2+
         666715192570691485*ep^2*z5+1199900964359096931335/7392*ep^2*z4
         -38574381597642533596244597/102453120*ep^2*z3-6677188466094048\
         533653129023341795895545567879508207227096781764557/
         16958155137062910843841963967675105280000000000000*ep^3+
         3299190948118278525/2*ep^3*z6+1347507454206365201515/1584*ep^3
         *z5-38574381597642533596244597/68302080*ep^3*z4+
         810992351199695447351080089181/8520001459200*ep^3*z3+
         240506507406746555*ep^3*z3^2;

Fill mncnoptab(6,5,2,6)=
      +mncF321*(-94783783594500-700418992252980*ep-3467390229687839/2*
         ep^2-51621904570613467/24*ep^3)
      +138303663958824268604681213755/296203936444416-838552203307/72*
         ep^-3-31798091320682587/285120*ep^-2-27020237552217119094901/
         102745843200*ep^-1+11228068148113271/9*z3-16123907883779356394\
         27752590385356236493297707/326891404769898608640000000000*ep+
         11228068148113271/6*ep*z4+562416898035684781999/28512*ep*z3+
         583440703168944438729164922759374746380838632856223/2355971732\
         4576132521902080000000000*ep^2+725947724234794243/6*ep^2*z5+
         562416898035684781999/19008*ep^2*z4-
         3437821379693825718643270843/51372921600*ep^2*z3-
         12866226608747815102005691479976762198819032058597617174511409\
         7701427742261993/181044636143836250578336073769490940669460480\
         0000000000000000*ep^3+10776935182040780935/36*ep^3*z6+
         516773195754159646525/3168*ep^3*z5-
         3437821379693825718643270843/34248614400*ep^3*z4+
         32314488946045721817348973030427/2644678003968000*ep^3*z3+
         785750375220679687/18*ep^3*z3^2;

Fill mncnoptab(6,5,3,5)=
      +mncF321*(-304662161553750-2238231671225550*ep-21911074859933805/
         4*ep^2-107022493058420875/16*ep^3)
      +1411121296331085815074894907/937650954240-1629993240785/16*ep^-3
         -3869866556245199/4224*ep^-2-69376980124960195703/39029760*
         ep^-1+8022865298125405/2*z3-2015281860300567086434124073540562\
         871203/126709461701222400000000*ep+24068595894376215/4*ep*z4+
         133570081294795841855/2112*ep*z3+15838170178714825975532062968\
         02493211987414897513/19725561339257881755648000000000*ep^2+
         1555662319038149595/4*ep^2*z5+133570081294795841855/1408*ep^2*
         z4-165746247090900452837918671/761080320*ep^2*z3-
         11639735601128702956135726342381465955652011838841157206693604\
         391439322032619/4965795734230937158720075166248894372648058880\
         0000000000000*ep^3+7698082942209493925/8*ep^3*z6+
         1072288969630296314005/2112*ep^3*z5-
         165746247090900452837918671/507386880*ep^3*z4+
         13404670687421620782855883162633/274262904115200*ep^3*z3+
         561188601373576085/4*ep^3*z3^2;

Fill mncnoptab(6,5,4,4)=
      +mncF321*(-406216215405000-2981648418348600*ep-7284660684570815*
         ep^2-106492822353517955/12*ep^3)
      +2937158243907193348522132733/1460571678720-2433248355265/12*
         ep^-3-17012550339757613/9504*ep^-2-857161976070554953423/
         263450880*ep^-1+16050167543336290/3*z3-19315676036892331883288\
         3097216499804451/9109585560176640000000*ep+8025083771668145*ep
         *z4+400603479995204585485/4752*ep*z3+5414131009866071585265995\
         9846710778357477719/505035423456192921600000000*ep^2+
         518569814275024785*ep^2*z5+400603479995204585485/3168*ep^2*z4-
         38318406138370143770235649/131725440*ep^2*z3-
         44531875872668382765597091007281957072729317198567962189949339\
         64518558040483/13966300502524510758900211405075015423072665600\
         000000000000*ep^3+7698296376408690325/6*ep^3*z6+
         1067120800857227579845/1584*ep^3*z5-38318406138370143770235649/
         87816960*ep^3*z4+244932845280638803929820421059/3651429196800*
         ep^3*z3+561139642637011165/3*ep^3*z3^2;

Fill mncnoptab(6,5,5,3)=
      +mncF321*(-236959458986250-1746374020441050*ep-17202570881869555/
         4*ep^2-254332019917397135/48*ep^3)
      +496108760709266369614522406149/423148480634880-15935990157815/
         144*ep^-3-113060595096379483/114048*ep^-2-
         11139791857426410699907/5871191040*ep^-1+56172466036499995/18*
         z3-12902438609680608508048888380558267294175831/
         1046052495263675547648000000*ep+56172466036499995/12*ep*z4+
         2809468379211575149355/57024*ep*z3+468674136540334023904969023\
         4590666645519406662403/75391095438643624070086656000000*ep^2+
         3629966826602178335/12*ep^2*z5+2809468379211575149355/38016*
         ep^2*z4-493855769494402591573025101/2935595520*ep^2*z3-
         24324835974673517716288790877809988317329536235187328490750598\
         426728624257593/1448357089150690004626688590155927525355683840\
         00000000000000*ep^3+53887777738667675075/72*ep^3*z6+
         2547122476580938183025/6336*ep^3*z5-
         493855769494402591573025101/1957063680*ep^3*z4+
         35891139759810708235291499563643/1057871201587200*ep^3*z3+
         3928047815475371315/36*ep^3*z3^2;

Fill mncnoptab(6,6,4,3)=
      +mncF321*(-146237837545800-1082823362580960*ep-2690810703039459*
         ep^2-67149730686536249/20*ep^3)
      +135347941093607510408673103981/186997434624000-292377456371/4*
         ep^-3-945556382459873/1440*ep^-2-659255492535823315999/
         518918400*ep^-1+1926021374551274*z3-12023243244562649863568862\
         6586191644230667/15849280231267811328000000*ep+
         2889032061826911*ep*z4+21940635715992592393/720*ep*z3+
         217600056002387698014845011959206785581216791119/
         5711446624139668490158080000000*ep^2+186685149779741613*ep^2*
         z5+21940635715992592393/480*ep^2*z4-5333232240239567729494973/
         51891840*ep^2*z3-165807550349061358464501814985989119336013029\
         06654453909888165578455807843607/21725356337260350069400328852\
         3389128803352576000000000000000*ep^3+923795642025951695/2*ep^3
         *z6+20365383438623055899/80*ep^3*z5-5333232240239567729494973/
         34594560*ep^3*z4+321914850657295372141862404139/18699743462400
         *ep^3*z3+67336750056859283*ep^3*z3^2;

Fill mncnoptab(6,6,5,2)=
      +mncF321*(-56870270156700-423078629713740*ep-2121776219239677/2*
         ep^2-53625670361082047/40*ep^3)
      +314725082641228269715561736489/1121984607744000-331124913119/24*
         ep^-3-1136706484500397/8640*ep^-2-951826589901929555731/
         3113510400*ep^-1+2246059340868343/3*z3-16329653690232949427761\
         71237518921694887143/554724808094373396480000000*ep+
         2246059340868343/2*ep*z4+51295649160099422477/4320*ep*z3+
         2940863396628521126817003295406970544534506035747/199900631844\
         888397155532800000000*ep^2+145192714203856319/2*ep^2*z5+
         51295649160099422477/2880*ep^2*z4-12317891747612056020542297/
         311351040*ep^2*z3-30211420715177166221394444851642329840905948\
         797945915497694354692309298399587/8448749686712358360322350109\
         24291056457482240000000000000000*ep^3+2155430119649161355/12*
         ep^3*z6+48718880750291449111/480*ep^3*z5-
         12317891747612056020542297/207567360*ep^3*z4+
         16930324785960752355682785797/3205670307840*ep^3*z3+
         157140328147870067/6*ep^3*z3^2;

Fill mncnoptab(6,6,6,1)=
      +mncF321*(-6824432418804-256332685396788/5*ep-261919593314379/2*
         ep^2-169819871105748041/1000*ep^3)
      +2510632027184037131278320317/74798973849600-11158594447/200*
         ep^-3-89317122825341/72000*ep^-2-40729477636384872887/
         5189184000*ep^-1+2245187101015859/25*z3-3409496911154970645312\
         1620988063945628699/97076841416515344384000000*ep+
         6735561303047577/50*ep*z4+51519684760894939981/36000*ep*z3+
         2737921511743098350307268475407772902612518221167/157421747577\
         8496127599820800000000*ep^2+435559533401853861/50*ep^2*z5+
         51519684760894939981/24000*ep^2*z4-60259218186483386528067133/
         12972960000*ep^2*z3-103966886930375164179215465395395201553488\
         6295328666546006753173081693639043/221779679276199406958461690\
         367626402320089088000000000000000*ep^3+431069159199822143/20*
         ep^3*z6+51243449684536124983/4000*ep^3*z5-
         60259218186483386528067133/8648640000*ep^3*z4+
         187439732075794875809904032221/667847980800000*ep^3*z3+
         157159395628998763/50*ep^3*z3^2;

Fill mncnoptab(7,3,2,7)=
      +mncF321*(-52227799123500-386104714795800*ep-1912134237896455/2*
         ep^2-9481378717149429/8*ep^3)
      +19241662228879901115441284118307/74873772823449600-5283299305/8*
         ep^-3-462008849986199/64064*ep^-2-4708325125471559970929/
         207774927360*ep^-1+687303534664455*z3-275085383887316573904945\
         16031034373684866973/10118067290496861696000000000*ep+
         2061910603993365/2*ep*z4+3133722757769681653463/288288*ep*z3+
         397687486876857552059837151732890543789460987456997/2916917383\
         0427592646164480000000000*ep^2+133334607202677095/2*ep^2*z5+
         3133722757769681653463/192192*ep^2*z4-
         3828110600736797447066961823/103887463680*ep^2*z3-
         32990395553373622505706446133304213945524394984777828842576406\
         69864317551/75790533184232862617827765052638803001344000000000\
         000000*ep^3+659800000666740925/4*ep^3*z6+
         3709644542469452650763/41184*ep^3*z5-
         3828110600736797447066961823/69258309120*ep^3*z4+
         27212962244909084658571180327057/4159654045747200*ep^3*z3+
         48110049378753305/2*ep^3*z3^2;

Fill mncnoptab(7,3,3,6)=
      +mncF321*(-156683397370500-1153170388720350*ep-2831410581649365*
         ep^2-13880932923514125/4*ep^3)
      +19254858367596824291253979605023/24957924274483200-90868127775/8
         *ep^-3-6832075940820733/64064*ep^-2-16491426793772949738277/
         69258309120*ep^-1+2062121323066650*z3-689605485417582444700764\
         28159094471992857767/8431722742080718080000000000*ep+
         3093181984599975*ep*z4+3127400235484924025647/96096*ep*z3+
         1564001820498312630889398112551399249868135328039/
         37980695091702594591360000000000*ep^2+400008271363374675/2*
         ep^2*z5+3127400235484924025647/64064*ep^2*z4-
         3864490066034084054155012043/34629154560*ep^2*z3-
         17745333354198569726180919460627894473199742418361231472659167\
         800857967/1435426764852895125337647065390886420480000000000000\
         00*ep^3+1979420143586206875/4*ep^3*z6+3619784114925100502227/
         13728*ep^3*z5-3864490066034084054155012043/23086103040*ep^3*z4
         +97741379345438514048298032515983/4159654045747200*ep^3*z3+
         144325441207821045/2*ep^3*z3^2;

Fill mncnoptab(7,4,1,7)=
      +mncF321*(-10531531510500-235202810042200/3*ep-1180704197626135/6
         *ep^2-53728576251903757/216*ep^3)
      +3452948756237092865169331701571/66645885699993600+23184708365/
         648*ep^-3+19980484107025/513216*ep^-2-346409227642146113873/
         184942517760*ep^-1+11225641648360685/81*z3-2293042392645435062\
         4994851395796662888839913/42028894898986963968000000000*ep+
         11225641648360685/54*ep*z4+564292800953557472503/256608*ep*z3+
         82413397910027733903988732749804902853119469213593/30291065131\
         597884671016960000000000*ep^2+725930660526508255/54*ep^2*z5+
         564292800953557472503/171072*ep^2*z4-
         135331679309585516516312563/18494251776*ep^2*z3-
         51057627569763550508085383158315415619446228159082407646575540\
         891746999/6414563355436375091352610323465523691520000000000000\
         000*ep^3+10776703491414016975/324*ep^3*z6+
         537674806541608301189/28512*ep^3*z5-
         135331679309585516516312563/12329501184*ep^3*z4+
         4424642539109772003070121533567/4760420407142400*ep^3*z3+
         785804674553111395/162*ep^3*z3^2;

Fill mncnoptab(7,4,2,6)=
      +mncF321*(-81243243081000-600138333194400*ep-1484151569279925*
         ep^2-7351565053578279/4*ep^3)
      +493571411175113432328280267621/1234183068518400-16866675735/4*
         ep^-3-392600889972569/9504*ep^-2-355036759105624454503/
         3424861440*ep^-1+1069211444256410*z3-4703708852990109172192199\
         75639035209356191/111187552642822656000000000*ep+
         1603817166384615*ep*z4+80325749407470595777/4752*ep*z3+
         3403503977790018045072898339034951623409739657283/160270185881\
         470289264640000000000*ep^2+103705457727343745*ep^2*z5+
         80325749407470595777/3168*ep^2*z4-98312166485210646571349641/
         1712430720*ep^2*z3-1005469384874912391410318069045581353329103\
         67565431207269806308162988722189/15674860272193614768687105954\
         06847971164160000000000000000*ep^3+513181231415436675/2*ep^3*
         z6+221007567106014128393/1584*ep^3*z5-
         98312166485210646571349641/1141620480*ep^3*z4+
         1306566987467612441633362856051/123418306851840*ep^3*z3+
         37418108863281055*ep^3*z3^2;

Fill mncnoptab(7,4,3,5)=
      +mncF321*(-203108107702500-1496210870904750*ep-3680686609406625*
         ep^2-18101340689085985/4*ep^3)
      +98892341814628201376430246677/98734645481472-323030155175/8*
         ep^-3-7021948406514325/19008*ep^-2-1040034021827098688755/
         1369944576*ep^-1+2673680412871650*z3-1256009280777708675271916\
         552638721941433663/118600056152344166400000000*ep+
         4010520619307475*ep*z4+401166989726084637245/9504*ep*z3+
         6834933672788893037069471234516771127081904516207/128216148705\
         176231411712000000000*ep^2+518541188110602475/2*ep^2*z5+
         401166989726084637245/6336*ep^2*z4-98886220793693573483757853/
         684972288*ep^2*z3-32094957809554284441724477267721459867188844\
         45629041923801606170536174607/20268554017269131260081939454077\
         119888359424000000000000*ep^3+2565969136424295875/4*ep^3*z6+
         1088513359074774930805/3168*ep^3*z5-98886220793693573483757853/
         456648192*ep^3*z4+7287645533676474012700681657963/
         246836613703680*ep^3*z3+187076278674082525/2*ep^3*z3^2;

Fill mncnoptab(7,4,4,4)=
      +mncF321*(-210630630210000-4665303629987000/3*ep-
         34582161259646000/9*ep^2-128380386802548370/27*ep^3)
      +266716029438209398552561451/256074255360-14255864297675/162*
         ep^-3-9157198178199785/11664*ep^-2-13702847164697223829/
         9237888*ep^-1+224671901291437600/81*z3-86092173916677815490793\
         168598234233/7860097420560000000*ep+112335950645718800/27*ep*
         z4+255606593137971373585/5832*ep*z3+29057203998869039872505694\
         99634917145698157/52727419920497414400000000*ep^2+
         7259869337916845650/27*ep^2*z5+255606593137971373585/3888*ep^2
         *z4-688114917178336208919835/4618944*ep^2*z3-11295828163667315\
         4212669682543028396128647920694337420407781668237403944071/
         678917385539385939668760276635591027510476800000000000000*ep^3
         +53887340281147748375/81*ep^3*z6+77944119702146981185/216*ep^3
         *z5-688114917178336208919835/3079296*ep^3*z4+
         3591904228676745602862351569/128037127680*ep^3*z3+
         7856289073604021050/81*ep^3*z3^2;

Fill mncnoptab(7,5,1,6)=
      +mncF321*(-9478378359450-70827030043770*ep-716377860510039/4*ep^2
         -54933787189239367/240*ep^3)
      +3452735496368862824124867317731/74050984111104000-2167871615/144
         *ep^-3-336844761225263/570240*ep^-2-184707879823897343293/
         41098337280*ep^-1+2245155303991327/18*z3-280134931762396176892\
         171067209245073761139277/572059958347322565120000000000*ep+
         2245155303991327/12*ep*z4+565296231281655202063/285120*ep*z3+
         50196205434862037187169167431642318452809982141177/20614752659\
         004115956664320000000000*ep^2+145186301727687311/12*ep^2*z5+
         565296231281655202063/190080*ep^2*z4-
         670931433030569099867969087/102745843200*ep^2*z3-
         56559064224429010185176442879680525656721016405838232556414387\
         8462171146309/880078092365870662533578136379469850476544000000\
         00000000000*ep^3+2155342972875396395/72*ep^3*z6+
         548444238268260551549/31680*ep^3*z5-
         670931433030569099867969087/68497228800*ep^3*z4+
         690836766179014814823949494323/1057871201587200*ep^3*z3+
         157160206376531267/36*ep^3*z3^2;

Fill mncnoptab(7,5,2,5)=
      +mncF321*(-60932432310750-452511927217350*ep-4523184409064685/4*
         ep^2-22745855572858723/16*ep^3)
      +23523282286080238924196025041/78360829747200-131571372205/16*
         ep^-3-112402064435569/1408*ep^-2-296251721050247658701/
         1522160640*ep^-1+1604036121234365/2*z3-11242394662599178693473\
         53930655718476590269/355800168457032499200000000*ep+
         4812108363703095/4*ep*z4+26844426714167987987/2112*ep*z3+
         28364123604705765586987427344200726401202310179253/17950260818\
         72467239763968000000000*ep^2+311121058222527735/4*ep^2*z5+
         26844426714167987987/1408*ep^2*z4-32388517819814050296491491/
         761080320*ep^2*z3-34588339949005524254572331210052595384000517\
         96405925069208852635293219333/92129790987586960273099724791259\
         635856179200000000000000*ep^3+1539564929900295025/8*ep^3*z6+
         227523759918776187089/2112*ep^3*z5-32388517819814050296491491/
         507386880*ep^3*z4+243320537442113563596754402147/
         39180414873600*ep^3*z3+112249569192152665/4*ep^3*z3^2;

Fill mncnoptab(7,5,3,4)=
      +mncF321*(-121864864621500-903683040460200*ep-4503715440472885/2*
         ep^2-67679401391439169/24*ep^3)
      +1486949559002900488507974031183/2468366137036800-1166512980815/
         24*ep^-3-8344892141488043/19008*ep^-2-5929724876563707475189/
         6849722880*ep^-1+4814244631095445/3*z3-25816010303307334460361\
         8377659696908191883/40861425596237326080000000*ep+
         4814244631095445/2*ep*z4+241490814863581172563/9504*ep*z3+
         7463120758473824882419170085754394779274140844793/235597173245\
         761325219020800000000*ep^2+311136172694564035/2*ep^2*z5+
         241490814863581172563/6336*ep^2*z4-292408457270081819702086459/
         3424861440*ep^2*z3-1802848763999060128415552668824699536356265\
         58950450124951507176004854708681/25067718850685019310846533291\
         16028409269452800000000000000*ep^3+4618900144107506075/12*ep^3
         *z6+75261879345938496243/352*ep^3*z5-
         292408457270081819702086459/2283240960*ep^3*z4+
         16486950443032273320645067691101/1234183068518400*ep^3*z3+
         336701488382772695/6*ep^3*z3^2;

Fill mncnoptab(7,5,4,3)=
      +mncF321*(-94783783594500-705134574744600*ep-3536143317898555/2*
         ep^2-17869998165243189/8*ep^3)
      +496589020146933074510147201701/1057871201587200-3794106696835/72
         *ep^-3-27063980949689327/57024*ep^-2-2720119719809321629703/
         2935595520*ep^-1+11236159313120105/9*z3-1793673059015473673219\
         5774361889414211200593/3661183733422864416768000000*ep+
         11236159313120105/6*ep*z4+564413271463662275767/28512*ep*z3+
         3235112390081938494715657467606004002649642867489/131934417017\
         626342122651648000000*ep^2+726005186527690615/6*ep^2*z5+
         564413271463662275767/19008*ep^2*z4-96770856492206073039889673/
         1467797760*ep^2*z3-5100380022244721289286414594331031817956683\
         377283983079553317535438781073789/8448749686712358360322350109\
         2429105645748224000000000000000*ep^3+10777716204784158175/36*
         ep^3*z6+536110951101160931461/3168*ep^3*z5-
         96770856492206073039889673/978531840*ep^3*z4+
         4621398398558164497561511951807/528935600793600*ep^3*z3+
         785572955035368955/18*ep^3*z3^2;

Fill mncnoptab(7,5,5,2)=
      +mncF321*(-28435135078350-213303729308670*ep-2173525074549465/4*
         ep^2-56148223503891787/80*ep^3)
      +3467432389592194174492357521283/24683661370368000-532029242927/
         48*ep^-3-3994540838753683/38016*ep^-2-16453420021658022288881/
         68497228800*ep^-1+2246612979636571/6*z3-1338207857416709546361\
         643583454241183578787/915295933355716104192000000*ep+
         2246612979636571/4*ep*z4+566541160971173162383/95040*ep*z3+
         4312860106501709909748905370414359146465047677333/593704876579\
         318539551932416000000*ep^2+145196637257276423/4*ep^2*z5+
         566541160971173162383/63360*ep^2*z4-
         664889368071679232461607039/34248614400*ep^2*z3-
         19147357362011383538818522540209692490656227515862515585657429\
         59198834444881/95048433975514031553626438728982743851466752000\
         000000000000*ep^3+2155483429062780635/24*ep^3*z6+
         559788345718124793629/10560*ep^3*z5-
         664889368071679232461607039/22832409600*ep^3*z4+
         2413766806944670817028289789279/1763118669312000*ep^3*z3+
         157128129743734331/12*ep^3*z3^2;

Fill mncnoptab(7,6,1,5)=
      +mncF321*(-4308353799750-32553337326510*ep-336249356647113/4*ep^2
         -5309655814236821/48*ep^3)
      +142613734547511215256655191239/6731907646464000+2108543983/144*
         ep^-3-31414649714083/51840*ep^-2-1307415138868432000607/
         205491686400*ep^-1+1020507770940385/18*z3-90536469060687803496\
         99726688337313242606129/41005257814336081467801600000*ep+
         1020507770940385/12*ep*z4+258301962862325003713/285120*ep*z3+
         321608348201339830200416237749574164237609768776893/2955330941\
         19483006354739691520000000*ep^2+65993672375710625/12*ep^2*z5+
         258301962862325003713/190080*ep^2*z4-
         297277248872182360822787633/102745843200*ep^2*z3-
         76016320332921644068435130480302094822512562781483182953611130\
         48857156596123/42581698421030286136024644550584269245457104896\
         00000000000000*ep^3+979700007926255525/72*ep^3*z6+
         263821535942648974259/31680*ep^3*z5-
         297277248872182360822787633/68497228800*ep^3*z4+
         230697697226795015050208438449/5289356007936000*ep^3*z3+
         71436982231237805/36*ep^3*z3^2;

Fill mncnoptab(7,6,2,4)=
      +mncF321*(-22157248113000-166576891080600*ep-426084580401935*ep^2
         -6640036753406243/12*ep^3)
      +12270539291378173576779795559/112198460774400-82781674885/12*
         ep^-3-56601134908259/864*ep^-2-103360927822356617011/684972288
         *ep^-1+875192291594530/3*z3-1952782943922255610645646544386204\
         53752983/171617987504196769536000000*ep+437596145797265*ep*z4+
         22094250782233948625/4752*ep*z3+279095434174907791269608331406\
         7576352381414136733/494754063816098782959943680000000*ep^2+
         28284660037187645*ep^2*z5+22094250782233948625/3168*ep^2*z4-
         396560866048699822695121/26345088*ep^2*z3-59991160952887744303\
         0798054615258503516623426074647292087445446120880845289/
         47524216987757015776813219364491371925733376000000000000000*
         ep^3+419893939099842025/6*ep^3*z6+7351580642130388225/176*ep^3
         *z5-396560866048699822695121/17563392*ep^3*z4+
         38114799964521966134397669971/47468579558400*ep^3*z3+
         30610575915540985/3*ep^3*z3^2;

Fill mncnoptab(7,6,3,3)=
      +mncF321*(-33235872169500-249721950277800*ep-1276130270656605/2*
         ep^2-6618950219642515/8*ep^3)
      +12313822884879960497342226407/74798973849600-156409188845/8*
         ep^-3-102980015922403/576*ep^-2-838982207314329089311/
         2283240960*ep^-1+437794645849015*z3-20811509194255141662599559\
         85660980784646719/1220394577807621472256000000*ep+
         1313383937547045/2*ep*z4+22093808182192547833/3168*ep*z3+
         7449640802941650046448587444592542381427844355411/879562780117\
         508947484344320000000*ep^2+84858231684188235/2*ep^2*z5+
         22093808182192547833/2112*ep^2*z4-1985155532737257034823413/
         87816960*ep^2*z3-259004724286330805176568979001772626921401288\
         0608660793734510168846798605837/126731245300685375404835251638\
         643658468622336000000000000000*ep^3+419913211962451025/4*ep^3*
         z6+21996888472590872459/352*ep^3*z5-1985155532737257034823413/
         58544640*ep^3*z4+531794534132145207085001479447/
         411394356172800*ep^3*z3+30606272537161685/2*ep^3*z3^2;

Fill mncnoptab(7,6,4,2)=
      +mncF321*(-17233415199000-129990063403200*ep-334588582323905*ep^2
         -1753250499895639/4*ep^3)
      +28671441763356486607094872987/336595382323200-273240297785/36*
         ep^-3-185657266278599/2592*ep^-2-1665162159780713573107/
         10274584320*ep^-1+2042559557453870/9*z3-2422796558249733740779\
         1586033563540442302171/27458878000671483125760000000*ep+
         1021279778726935/3*ep*z4+51640488223716240821/14256*ep*z3+
         172790978920400283751826817315434995661586906043771/3958032510\
         5287902636795494400000000*ep^2+65999110491173405/3*ep^2*z5+
         51640488223716240821/9504*ep^2*z4-59679385650571350659629213/
         5137292160*ep^2*z3-9088605154532468782624143594556629019469850\
         411691329624075085225543541241481/9504843397551403155362643872\
         89827438514667520000000000000000*ep^3+979773859580331725/18*
         ep^3*z6+52338707438780556383/1584*ep^3*z5-
         59679385650571350659629213/3424861440*ep^3*z4+
         16931590407700946972172749113/52893560079360*ep^3*z3+
         71419760840711465/9*ep^3*z3^2;

Fill mncnoptab(7,6,5,1)=
      +mncF321*(-2585012279850-19669220420850*ep-205842245362299/4*ep^2
         -16547194611254531/240*ep^3)
      +150863097893233933873051543/11872852992000-350601615/16*ep^-3-
         5660789419453/5760*ep^-2-72916456401229151701/9785318400*ep^-1
         +68035241463371/2*z3-25530934844013298211051344017950390786091\
         022621/193749843172737984935362560000000*ep+204105724390113/4*
         ep*z4+17277768357410838319/31680*ep*z3+54118138780728864689620\
         6124854390156767414261000541783/837836321828734323015687025459\
         200000000*ep^2+13198763661203029/4*ep^2*z5+
         17277768357410838319/21120*ep^2*z4-1670591272907872123540703/
         978531840*ep^2*z3-33120134283326178633985137058724408815017835\
         680694683440164097867697558672619/2069943673244527798278975776\
         7645130883208314880000000000000000*ep^3+65313465891381435/8*
         ep^3*z6+54615470239235637431/10560*ep^3*z5-
         1670591272907872123540703/652354560*ep^3*z4-
         4488679784557049844786210073/65300691456000*ep^3*z3+
         4762434212073083/4*ep^3*z3^2;

Fill mncnoptab(7,7,3,2)=
      +mncF321*(-3692874685500-28346430662550*ep-75352673847360*ep^2-
         309244913060468/3*ep^3)
      +820358034498858638193626753/44879384309760-17623365305/8*ep^-3-
         36252537681401/1728*ep^-2-334623485373445638701/6849722880*
         ep^-1+48644683244430*z3-34138287838378614612082913579895197080\
         741/183059186671143220838400000*ep+72967024866645*ep*z4+
         7439829229663035047/9504*ep*z3+1200842911127463808689837676879\
         69524794515533457/131934417017626342122651648000000*ep^2+
         9428708974966645/2*ep^2*z5+7439829229663035047/6336*ep^2*z4-
         8173280973429118022692379/3424861440*ep^2*z3-
         21151358798781419103121882235648312369617609597118850879636875\
         91842987090769823163/39002048268240542200595201205766585751909\
         77611930009600000000000000*ep^3+46657098042388925/4*ep^3*z6+
         24422218164224323303/3168*ep^3*z5-8173280973429118022692379/
         2283240960*ep^3*z4-67656344928728915281480534511/
         246836613703680*ep^3*z3+3400676030128195/2*ep^3*z3^2;

Fill mncnoptab(7,7,4,1)=
      +mncF321*(-957411955500-22141011142250/3*ep-177955018546760/9*
         ep^2-246055760615716/9*ep^3)
      +28512303443158399291887023107/6058716881817600-20906796365/648*
         ep^-3-30461599445615/46656*ep^-2-709773567153389112667/
         184942517760*ep^-1+1020582105926110/81*z3-62421110631765489467\
         9179563002598418868218637/12916656211515865662357504000000*ep+
         510291052963055/27*ep*z4+52157428592721006065/256608*ep*z3+
         4362813566438261800333660915381284849989159744343841/186185849\
         29527429400348600565760000000*ep^2+65994172093859555/54*ep^2*
         z5+52157428592721006065/171072*ep^2*z4-
         56622209198093724505544221/92471258880*ep^2*z3-
         97227109334248972536608873340058490257441845479352676798490241\
         34441559241262957872901/30577605842300585085266637745321003229\
         497264477531275264000000000000000*ep^3+979706760348632225/324*
         ep^3*z6+58091087686433085115/28512*ep^3*z5-
         56622209198093724505544221/61647505920*ep^3*z4-
         434123165563385503476909016843/4760420407142400*ep^3*z3+
         71435169071459375/162*ep^3*z3^2;

Fill mncnoptab(8,2,1,8)=
      +mncF321*(-2131746903000-111860632540800/7*ep-1990007972229075/49
         *ep^2-71490903886046215/1372*ep^3)
      +1282726495715484455943097738061/122293828944967680-1342270905/
         196*ep^-3-184288988239973/4708704*ep^-2+10809833824483909757/
         188536508160*ep^-1+196370385691050/7*z3-3632257542504537648492\
         326192529669624603449/33052353148956414873600000000*ep+
         294555578536575/7*ep*z4+150200156970319666187/336336*ep*z3+
         3244292798099345164119025225536062770091786510477/595537299037\
         8966831925248000000000*ep^2+133334436813682575/49*ep^2*z5+
         150200156970319666187/224224*ep^2*z4-
         1237555690260233777320970197/848414286720*ep^2*z3-
         10834199582354701208830652459793308746378766572801568572278469\
         279241089/6189560210045683780455934145965502245109760000000000\
         000*ep^3+659799220569226125/98*ep^3*z6+9319014452163310591903/
         2354352*ep^3*z5-1237555690260233777320970197/565609524480*ep^3
         *z4+6270942731398136959323297525751/61146914472483840*ep^3*z3+
         48110154404651985/49*ep^3*z3^2;

Fill mncnoptab(8,2,2,7)=
      +mncF321*(-14922228321000-111047863083300*ep-1948879935136380/7*
         ep^2-17191312053713407/49*ep^3)
      +2137796743888002057394830006103/29117578320230400-943667805/28*
         ep^-3-256228749906557/672672*ep^-2-323382744580413506983/
         242404081920*ep^-1+196369348137480*z3-273830657197021692197423\
         33371023172313544257/35413235516739015936000000000*ep+
         294554022206220*ep*z4+49895393452426227721/16016*ep*z3+
         196852552721871140228551912987097424877209978706489/5104605420\
         3248287130787840000000000*ep^2+133334367856240245/7*ep^2*z5+
         149686180357278683163/32032*ep^2*z4-
         419280368466265103720658947/40400680320*ep^2*z3-
         62042909709560426528897489889170573131044021429609504716740568\
         87483/497117494321348961155895087581259366400000000000000*ep^3
         +659798912096389425/14*ep^3*z6+8970071858486730937487/336336*
         ep^3*z5-419280368466265103720658947/26933786880*ep^3*z4+
         57607659668231639582592820861151/43676367480345600*ep^3*z3+
         48110268773587155/7*ep^3*z3^2;

Fill mncnoptab(8,3,1,7)=
      +mncF321*(-5803088791500-43324351270200*ep-218600406867655/2*ep^2
         -7783397464611763/56*ep^3)
      +6413217220118434466008352556737/224621318470348800+37203325/24*
         ep^-3-15999198563749/1729728*ep^-2-128039609736162313307/
         623324782080*ep^-1+229096568708245/3*z3-3035679299779529511836\
         676107083624647281011/10118067290496861696000000000*ep+
         229096568708245/2*ep*z4+1049383356760458166973/864864*ep*z3+
         43533905266956908535608653224140840089198613190419/29169173830\
         427592646164480000000000*ep^2+14814922569819135/2*ep^2*z5+
         1049383356760458166973/576576*ep^2*z4-
         25486089214356739775092709/6360456960*ep^2*z3-
         10786689749824512629764950160222923638717147064529312069691912\
         49223184549/22737159955269858785348329515791640900403200000000\
         0000000*ep^3+219932872860204575/12*ep^3*z6+
         3041191273402320028997/288288*ep^3*z5-
         25486089214356739775092709/4240304640*ep^3*z4+
         46608386194784135943743304923603/112310659235174400*ep^3*z3+
         16036778647105475/6*ep^3*z3^2;

Fill mncnoptab(8,3,2,6)=
      +mncF321*(-34818532749000-258671787273900*ep-646576608318630*ep^2
         -11368482732577437/14*ep^3)
      +38875233456300400747023187057/226890220677120-2708824855/4*ep^-3
         -56845450616317/8736*ep^-2-50098980861734003063/3148104960*
         ep^-1+458209455037180*z3-5537840972196769510084068758718774942\
         57937/306608099712026112000000000*ep+687314182555770*ep*z4+
         10575632467740644487/1456*ep*z3+996884088344424816049675294132\
         431483594279700823/110489294812225729720320000000000*ep^2+
         44444937722954835*ep^2*z5+31726897403221933461/2912*ep^2*z4-
         364341685657933373874545/14990976*ep^2*z3-58220991655661221120\
         6874441007740937251900409434453867750079249486120109/
         20526602737396400292328353035089675812864000000000000000*ep^3+
         219933641339588275/2*ep^3*z6+269373633426896904967/4368*ep^3*
         z5-364341685657933373874545/9993984*ep^3*z4+
         216101522988987055475574403351/63025061299200*ep^3*z3+
         16036589959305685*ep^3*z3^2;

Fill mncnoptab(8,3,3,5)=
      +mncF321*(-67702702567500-503066610296250*ep-1258089466235175*
         ep^2-18982205465089565/12*ep^3)
      +6419461694980405485569746616437/19253255868887040-445821744725/
         72*ep^-3-43451585922953905/741312*ep^-2-7162663044414925995383/
         53427838464*ep^-1+8019602788677550/9*z3-8524916962646718108597\
         4117124867628937685521/24283361497192468070400000000*ep+
         4009801394338775/3*ep*z4+5235763028689932779705/370656*ep*z3+
         153484198780391524297360951851007179940203758403653/8750752149\
         128277793849344000000000*ep^2+518530986652233275/6*ep^2*z5+
         5235763028689932779705/247104*ep^2*z4-
         1261804775080275495121551833/26713919232*ep^2*z3-
         20567132195632785395412616815708784437351605729354705579226062\
         36003106521/37619664653264675444849054289764351307939840000000\
         000000*ep^3+7697768771896723625/36*ep^3*z6+
         4943879541629423713115/41184*ep^3*z5-
         1261804775080275495121551833/17809279488*ep^3*z4+
         63816356462929613248039758715087/9626627934443520*ep^3*z3+
         561260472875212775/18*ep^3*z3^2;

Fill mncnoptab(8,4,1,6)=
      +mncF321*(-6963706549800-52113649868280*ep-132111375433739*ep^2-
         23700354738342663/140*ep^3)
      +1479984888565199355194247787279/43196407398144000-365229085/12*
         ep^-3-100276254256907/332640*ep^-2-22392714253805363729/
         23974030080*ep^-1+274919179571218/3*z3-48953347543920757993057\
         35080380885261565921/13620475198745775360000000000*ep+
         137459589785609*ep*z4+242439156882433055227/166320*ep*z3+
         2803026577904324876911158481836932476329913179391/157064782163\
         8408834793472000000000*ep^2+8888964050738837*ep^2*z5+
         242439156882433055227/110880*ep^2*z4-
         40944446506160507940648589/8562153600*ep^2*z3-
         18003470895660151820506823681932914531449276014121645852783105\
         11063332986171/36208927228767250115667214753898188133892096000\
         0000000000000*ep^3+131959864863226465/6*ep^3*z6+
         236874506389528885921/18480*ep^3*z5-40944446506160507940648589/
         5708102400*ep^3*z4+1799520172808553686345946463769/
         4319640739814400*ep^3*z3+9622022012608369/3*ep^3*z3^2;

Fill mncnoptab(8,4,2,5)=
      +mncF321*(-34818532749000-259759661861700*ep-654652719521580*ep^2
         -5825249865644537/7*ep^3)
      +493624892637879303882486951641/2879760493209600-9160010015/4*
         ep^-3-503749475336161/22176*ep^-2-469960136285398460003/
         7991343360*ep^-1+458243216707640*z3-14013373396814792736012205\
         7496478029818491/77831286849975859200000000*ep+687364825061460
         *ep*z4+80700082758214381601/11088*ep*z3+8047283443741311701048\
         633531589468112736048953861/897513040936233619881984000000000*
         ep^2+44445302972964855*ep^2*z5+80700082758214381601/7392*ep^2*
         z4-13742980580732095306946699/570810240*ep^2*z3-
         12256984453738550060941173011663370669626535169925288208628542\
         2075505704747/496579573423093715872007516624889437264805888000\
         0000000000*ep^3+219935298781286075/2*ep^3*z6+
         233077692874709546249/3696*ep^3*z5-13742980580732095306946699/
         380540160*ep^3*z4+3839455802512365460771409960987/
         1439880246604800*ep^3*z3+16036232276482145*ep^3*z3^2;

Fill mncnoptab(8,4,3,4)=
      +mncF321*(-54162162054000-404732725597200*ep-1023268260116830*
         ep^2-7840782100533811/6*ep^3)
      +494888598667639590100969750621/1851274602777600-270829109005/18*
         ep^-3-1962083548410761/14256*ep^-2-1456418930390185477103/
         5137292160*ep^-1+6417705320832260/9*z3-74596060450777014535063\
         12016271372004622831/2669613138954171970560000000*ep+
         3208852660416130/3*ep*z4+80778364628175697441/7128*ep*z3+
         40159912391568377388656629599182157058157850443633/28860653722\
         60576233933004800000000*ep^2+207419537505779690/3*ep^2*z5+
         80778364628175697441/4752*ep^2*z4-95835169835996917880532833/
         2568646080*ep^2*z3-1546033809986713331732664100103735152334934\
         2940385148032404300595401236749673/399203422697158932525231042\
         661727524176160358400000000000000*ep^3+1539602267991267025/9*
         ep^3*z6+8709002706735520267/88*ep^3*z5-
         95835169835996917880532833/1712430720*ep^3*z4+
         3397692564732724829719917390247/925637301388800*ep^3*z3+
         224481737130071330/9*ep^3*z3^2;

Fill mncnoptab(8,4,4,3)=
      +mncF321*(-32497297232400-244486848485880*ep-626129595238420*ep^2
         -12212444598091199/15*ep^3)
      +165482026984692066033635238563/1028485890432000-35504028287/2*
         ep^-3-85334477895349/528*ep^-2-133577611106327300423/407721600
         *ep^-1+428036450618504*z3-249114584410650294798287566375512110\
         1889753/1494983357814336303513600000*ep+642054675927756*ep*z4+
         3002087064835921307/440*ep*z3+10017383329357481461882462904097\
         363097515781441351/1212147456349442018251862016000000*ep^2+
         41485931448403078*ep^2*z5+9006261194507763921/880*ep^2*z4-
         31451067424430779794468479/1427025600*ep^2*z3-
         66839667959965958474806146370764016624608874907523648221107217\
         2538376549289/282265046351526517947133060467888148407386112000\
         00000000000*ep^3+102644737494461435*ep^3*z6+
         27060248414471124969/440*ep^3*z5-31451067424430779794468479/
         951350400*ep^3*z4+528291805271008644223776312953/
         514242945216000*ep^3*z3+14963385472502922*ep^3*z3^2;

Fill mncnoptab(8,5,1,5)=
      +mncF321*(-3956651448750-29894647132350*ep-308702927090805/4*ep^2
         -11363047788514445/112*ep^3)
      +442151724205273727727954257/22720003891200+169995995/16*ep^-3-
         586294789111/2688*ep^-2-2212573552723097423/819624960*ep^-1+
         104133993652325/2*z3-159761651984526515798661708686646440021/
         787774875400293580800000*ep+312401980956975/4*ep*z4+
         4099917388585826047/4928*ep*z3+1134753742515139940885099346329\
         377953691396213/1135530216396999179108352000000*ep^2+
         20202152974240575/4*ep^2*z5+12299752165757478141/9856*ep^2*z4-
         2022698690866547194180363/761080320*ep^2*z3-670309375967847127\
         90749018650461025324578871974777845475460593520617668757/
         30039998886088385281146133721752570896266035200000000000000*
         ep^3+99969424934679625/8*ep^3*z6+113041257912649015967/14784*
         ep^3*z5-2022698690866547194180363/507386880*ep^3*z4+
         6586425226727976105803234801/174530938982400*ep^3*z3+
         7289469039204625/4*ep^3*z3^2;

Fill mncnoptab(8,5,2,4)=
      +mncF321*(-15826605795000-119366583336000*ep-307127410085925*ep^2
         -11252783031389405/28*ep^3)
      +44940364578955692523869303407/575952098641920-13057483725/4*
         ep^-3-62913651443365/2016*ep^-2-117350003885187197525/
         1598268672*ep^-1+208342721973750*z3-25990931764883214052357353\
         0590699684520533/320353576674500636467200000*ep+
         312514082960625*ep*z4+36875860339847263375/11088*ep*z3+
         370229374878269400753436422954543648778284228023/
         92354091912338439485856153600000*ep^2+20202940798213875*ep^2*
         z5+36875860339847263375/7392*ep^2*z4-1218510548114101766814221/
         114162048*ep^2*z3-15737901918398187311895481184907498679932468\
         72395058159804584303072149780067/14516488098078506637281128824\
         0628190609512857600000000000000*ep^3+99972990381200625/2*ep^3*
         z6+112067613269906431175/3696*ep^3*z5-
         1218510548114101766814221/76108032*ep^3*z4+
         84878252950935645838517863421/287976049320960*ep^3*z3+
         7288631168616525*ep^3*z3^2;

Fill mncnoptab(8,5,3,3)=
      +mncF321*(-18464373427500-139637310813000*ep-722227017227625/2*
         ep^2-3806987799486455/8*ep^3)
      +45121361656671667037769998447/493673227407360-239788405675/24*
         ep^-3-158958318034885/1728*ep^-2-264964044924345359701/
         1369944576*ep^-1+729599348448425/3*z3-192280314643289253040789\
         215430624213346321/203861366974682223206400000*ep+
         729599348448425/2*ep*z4+36934381566154586815/9504*ep*z3+
         10950302342718853174033968374294929095213209725829/23508314304\
         95887550549065728000000*ep^2+47143050243609775/2*ep^2*z5+
         36934381566154586815/6336*ep^2*z4-8474165479383026987097307/
         684972288*ep^2*z3-10777191181250040898028121674248810462669487\
         108584784033133431651878904137879/8279774692978111193115903107\
         05805235328332595200000000000000*ep^3+699849760169662375/12*
         ep^3*z6+12625569567544085215/352*ep^3*z5-
         8474165479383026987097307/456648192*ep^3*z4+
         331120212310222855167785387/4487938430976*ep^3*z3+
         51011753899472275/6*ep^3*z3^2;

Fill mncnoptab(8,5,4,2)=
      +mncF321*(-7385749371000-56278021199400*ep-147604643321265*ep^2-
         5553037158742377/28*ep^3)
      +315870623479070480486830937321/8639281479628800-52043472455/12*
         ep^-3-247166052841079/6048*ep^-2-200797172109392518841/
         2179457280*ep^-1+291866503540430/3*z3-188392361207582482384037\
         3478121275517142819189/5023144082256169979805696000000*ep+
         145933251770215*ep*z4+7413803133277054043/4752*ep*z3+
         40004464575857028578417787396667385391723286717321591/21721682\
         417782000967073367326720000000*ep^2+9428699736478295*ep^2*z5+
         7413803133277054043/3168*ep^2*z4-5295879772522634590604663/
         1089728640*ep^2*z3-4487019409046597959300283401345742861109080\
         02190981525442090674848891678260637/86937634276270167527716982\
         624109549709474922496000000000000000*ep^3+139971163529472275/6
         *ep^3*z6+55027247887553274343/3696*ep^3*z5-
         5295879772522634590604663/726485760*ep^3*z4-
         32412143648375493060756150311/123418306851840*ep^3*z3+
         10202022034641515/3*ep^3*z3^2;

Fill mncnoptab(8,5,5,1)=
      +mncF321*(-839289701250-6480547286850*ep-69663865001055/4*ep^2-
         2708849669050095/112*ep^3)
      +1567040967121962246134863031629/380128385103667200-10062510835/
         528*ep^-3-1988144228810801/2927232*ep^-2-
         1025918029232781708211/210971464704*ep^-1+728953642490255/66*
         z3-10601770869005383092077126183278275820963753291603/25063479\
         7128253857312385007616000000*ep+728953642490255/44*ep*z4+
         37285033564244057335/209088*ep*z3+3172622900042554378061717455\
         5203671453104759388777019347/154832152273950102893298962304860\
         160000000*ep^2+47138505661635115/44*ep^2*z5+
         37285033564244057335/139392*ep^2*z4-
         281890768838518398925085201/527428661760*ep^2*z3-
         81017306158384816114897943297354456661764416498179294332363523\
         8295649373533861/132777477803758074042331391644094585010834427\
         0848000000000000000*ep^3+699788048499624175/264*ep^3*z6+
         292693282356915881555/162624*ep^3*z5-
         281890768838518398925085201/351619107840*ep^3*z4-
         2357643259529045666986438965071/27152027507404800*ep^3*z3+
         51026183179742095/132*ep^3*z3^2;

Fill mncnoptab(8,6,1,4)=
      +mncF321*(-1055107053000-8119489718340*ep-21682945117808*ep^2-
         626675353287128/21*ep^3)
      +20375196006412523169371863321/3926946127104000-323003629/12*
         ep^-3-13748644022717/30240*ep^-2-290298552636662512673/
         119870150400*ep^-1+41656190785300/3*z3-20504883233248853221471\
         504384728724962721/384424292009400763760640000*ep+
         20828095392650*ep*z4+37223943919271819987/166320*ep*z3+
         358642935920622425271498386077948471627237034987/1385311378685\
         076592287842304000000*ep^2+1346818646951115*ep^2*z5+
         37223943919271819987/110880*ep^2*z4-829064631645461030702903/
         1223164800*ep^2*z3-1031102821030788006371604939344634423350202\
         360421273822189163671373782630990972399/1353790105178597332582\
         643347638179009570421981000499200000000000000*ep^3+
         19993998750340225/6*ep^3*z6+123491050974458415923/55440*ep^3*
         z5-829064631645461030702903/815443200*ep^3*z4-
         1979054546547292413472267441303/21598203699072000*ep^3*z3+
         1457860274409175/3*ep^3*z3^2;

Fill mncnoptab(8,6,2,3)=
      +mncF321*(-3165321159000-24337908094500*ep-64891359090480*ep^2-
         623761459561868/7*ep^3)
      +1365495125799566405066118919/87265469491200-6104675525/4*ep^-3-
         9864095447075/672*ep^-2-93633771758661641951/2663781120*ep^-1+
         41687235579080*z3-955203444878285547593752233515092077644753/
         5979933431257345214054400000*ep+62530853368620*ep*z4+
         827220251244830071/1232*ep*z3+33529730566341867848176593462374\
         66958551563760129/4309857622575793842673287168000000*ep^2+
         4040788857577485*ep^2*z5+2481660753734490213/2464*ep^2*z4-
         9938688390566101169513/4878720*ep^2*z3-70503703347108717621565\
         47916350933721609769036022846279201948723692111206434657727/
         79629181880991106992881869128440112576815792910237696000000000\
         00000*ep^3+19995508109992025/2*ep^3*z6+24612594932743596991/
         3696*ep^3*z5-9938688390566101169513/3252480*ep^3*z4-
         42123245078949968369204233123/159986694067200*ep^3*z3+
         1457524798728635*ep^3*z3^2;

Fill mncnoptab(8,6,3,2)=
      +mncF321*(-2461916457000-18993984309300*ep-50959156787240*ep^2-
         1481972420727920/21*ep^3)
      +28747138390502985615323659843/2356167676262400-62772845915/36*
         ep^-3-299549873747087/18144*ep^-2-2721086461835449596379/
         71922090240*ep^-1+291925066656860/9*z3-62172546756729398508088\
         5597450462205852863443/5023144082256169979805696000000*ep+
         145962533328430/3*ep*z4+7458725497464679511/14256*ep*z3+
         4358049140791008788896302183756944731820931465435919/724056080\
         5927333655691122442240000000*ep^2+9428907912625565/3*ep^2*z5+
         7458725497464679511/9504*ep^2*z4-56481982907053647843844381/
         35961045120*ep^2*z3-323038710766897303684622726298388001290311\
         67401107982938870020156807704715064312773787/35673873482684015\
         932811077369541170434413475223786487808000000000000000*ep^3+
         139973993356099175/18*ep^3*z6+58355753610208380971/11088*ep^3*
         z5-56481982907053647843844381/23974030080*ep^3*z4-
         460301612313445202411869015051/1851274602777600*ep^3*z3+
         10201381427356145/9*ep^3*z3^2;

Fill mncnoptab(8,6,4,1)=
      +mncF321*(-492383291400-3829355029500*ep-10424554761504*ep^2-
         515322078213076/35*ep^3)
      +199289083736630761917624029/82383485184000-1128552295/36*ep^-3-
         53364429417359/90720*ep^-2-91632560544537288439/27662342400*
         ep^-1+58321463521048/9*z3-432489297115852489067690665445455752\
         07404429833/1752690889008768232953741312000000*ep+
         29160731760524/3*ep*z4+7483090308681864191/71280*ep*z3+
         900539053966687550312760493044647307655211893589946167/
         7579196265158396645126522630307840000000*ep^2+1885557137308117/
         3*ep^2*z5+7483090308681864191/47520*ep^2*z4-
         11067866113089787660001129/35961045120*ep^2*z3-
         15929153444666556875624196301420067964141909421240453828145817\
         95623297660199964876891763/59932107450909146767122609980829166\
         32981463837596129951744000000000000000*ep^3+27991749742016515/
         18*ep^3*z6+6720315082817172619/6160*ep^3*z5-
         11067866113089787660001129/23974030080*ep^3*z4-
         642458062328177420131608866011/9256373013888000*ep^3*z3+
         2040981007139737/9*ep^3*z3^2;

Fill mncnoptab(8,7,1,3)=
      +mncF321*(-121743121500-965971556550*ep-2723445829640*ep^2-
         28161149985228/7*ep^3)
      +12196863191598812898057249263/20420119860940800-37890995/24*
         ep^-3-20400758623627/157248*ep^-2-662614782168655656871/
         623324782080*ep^-1+4805915247490/3*z3-311235263482656966075356\
         209375811337983537/51826089737563658521804800000*ep+
         2402957623745*ep*z4+22666211573983692373/864864*ep*z3+
         3183577480512260246060533456629022785693625001531/112056298186\
         970639909505466368000000*ep^2+310801400522845/2*ep^2*z5+
         22666211573983692373/576576*ep^2*z4-3207889444952422125599623/
         44523198720*ep^2*z3+183093015300130074885898793429676354884351\
         53649255969232024977812325752042530820599900907/
         10718610866162268137601863827487499713715817997754434292987985\
         92000000000000*ep^3+4613961855367775/12*ep^3*z6+
         9423219755029774893/32032*ep^3*z5-3207889444952422125599623/
         29682132480*ep^3*z4-3341068262077236825857603836577/
         112310659235174400*ep^3*z3+336449265969425/6*ep^3*z3^2;

Fill mncnoptab(8,7,2,2)=
      +mncF321*(-243486243000-1931427798300*ep-5442735272760*ep^2-
         8034022273696*ep^3)
      +164866919822730253683937645/136134132406272-1054909665/4*ep^-3-
         64514530723961/26208*ep^-2-567281548729058029901/103887463680*
         ep^-1+3210226618980*z3-122012985159111857021733185657280489391\
         5851/102032614170828452714803200000*ep+4815339928470*ep*z4+
         7561942357765774007/144144*ep*z3+41808314033948564336054334672\
         50200777593347271443/73536945685199482440612962304000000*ep^2+
         310866232072485*ep^2*z5+7561942357765774007/96096*ep^2*z4-
         7486868392711815098416379/51943731840*ep^2*z3-
         60673088465301069774922710096854353414138013081115281666051000\
         086811361324178813334177870377/5978975123781140195506039666270\
         37093405710472687239537905736089600000000000000*ep^3+
         1538280027267525/2*ep^3*z6+28264056391336512343/48048*ep^3*z5-
         7486868392711815098416379/34629154560*ep^3*z4-
         223073152894670242953786186383/3743688641172480*ep^3*z3+
         112076238792435*ep^3*z3^2;

Fill mncnoptab(8,7,3,1)=
      +mncF321*(-94689094500-753945041850*ep-2138763683600*ep^2-
         66886447070420/21*ep^3)
      +28447661485585752356449712227/61260359582822400-413209175/72*
         ep^-3-81333718779407/471744*ep^-2-440995875710612552063/
         373994869248*ep^-1+11214404379010/9*z3-68088275583647490993097\
         11114378077204651742893/1462739556752996698119418675200000*ep+
         5607202189505/3*ep*z4+7568755388317664999/370656*ep*z3+
         46325893877458787548931435164603621260923845497806053/
         2108451306686039560537254855180288000000*ep^2+725208261008105/
         6*ep^2*z5+7568755388317664999/247104*ep^2*z4-
         51862934086956771900009853/934987173120*ep^2*z3-
         35739533401881786922671935117723880670131592363493291261952011\
         54468182490025873460586635116937/12605086378606827329819791861\
         1252996633298019653592147285538714419200000000000000*ep^3+
         10765979871331475/36*ep^3*z6+66936163528508633179/288288*ep^3*
         z5-51862934086956771900009853/623324782080*ep^3*z4-
         1192278517769115558882028352107/48133139672217600*ep^3*z3+
         785039729322125/18*ep^3*z3^2;

Fill mncnoptab(8,8,2,1)=
      +mncF321*(-4969107000-290604728700/7*ep-6250677648000/49*ep^2-
         10272851197540/49*ep^3)
      +4101641737147031192196753461/166764312197683200-1061390425/196*
         ep^-3-73707639875161/1284192*ep^-2-177422411264148435449/
         1018097144064*ep^-1+3210128071960/49*z3-1481300297305497742557\
         01101252937096681579/634869599285154816892108800000*ep+
         4815192107940/49*ep*z4+7757947506207989119/7063056*ep*z3+
         483921483183251063347724232158409325030797981569/4575632175967\
         96779630480654336000000*ep^2+310865684213745/49*ep^2*z5+
         7757947506207989119/4708704*ep^2*z4-6339197228293660786057099/
         2545242860160*ep^2*z3+3225780153730279098691974223938903648426\
         9188632426709545554782662168944363878221661364313/
         46503139851631090409491419626547329487110814542340852948223918\
         080000000000000*ep^3+1538277780708925/98*ep^3*z6+
         34572942296912179471/2354352*ep^3*z5-6339197228293660786057099/
         1696828573440*ep^3*z4-2283234582819418353960554697947/
         917203717087257600*ep^3*z3+112078403752375/49*ep^3*z3^2;

Fill mncnoptab(9,1,1,8)=
      +mncF321*(-266468362875-28257207617925/14*ep-256178561827973/49*
         ep^2-23583690175053109/3430*ep^3)
      +96200019097677646068433941732107/73376297366980608000+687201491/
         1568*ep^-3+288423618147023/188348160*ep^-2-
         2141487858850217001097/203619428812800*ep^-1+24545863384494/7*
         z3-225318651645768360851905117501053314569591/
         16526176574478207436800000000*ep+36818795076741/7*ep*z4+
         2264070470897914096549/40360320*ep*z3+132997582412711732000560\
         731578298715169374551097/1985124330126322277308416000000000*
         ep^2+133334134464755933/392*ep^2*z5+2264070470897914096549/
         26906880*ep^2*z4-18124793359817739403428945671/101809714406400
         *ep^2*z3-19447923576714770895976511265606948653930520165857466\
         7780280483938541/928434031506852567068390121894825336766464000\
         000000000*ep^3+659797830576121345/784*ep^3*z6+
         147307276327999048185361/282522240*ep^3*z5-
         18124793359817739403428945671/67873142937600*ep^3*z4-
         29907752868211389156766250291621/12229382894496768000*ep^3*z3+
         48110472979271243/392*ep^3*z3^2;

Fill mncnoptab(9,2,1,7)=
      +mncF321*(-1450772197875-21865367999475/2*ep-28059480092255*ep^2-
         72971221841167/2*ep^3)
      +6413018054008386578000926878821/898485273881395200+457912945/96*
         ep^-3+188441341962659/6918912*ep^-2-16163248828872474881/
         356185589760*ep^-1+57273738579190/3*z3-50257621491117553277857\
         6754045489749523021/6745378193664574464000000000*ep+
         28636869289595*ep*z4+1054005373521129301901/3459456*ep*z3+
         10726784177720580502161549470455647581201123866381/29169173830\
         427592646164480000000000*ep^2+14814913680583605/8*ep^2*z5+
         1054005373521129301901/2306304*ep^2*z4-
         1222731490144682526312752489/1246649564160*ep^2*z3-
         63380444010904062262912929265752248139881459736570951066052982\
         6750795047/517270388982389287366674496484259830484172800000000\
         000000*ep^3+219932755665586475/48*ep^3*z6+
         3190727803619316630389/1153152*ep^3*z5-
         1222731490144682526312752489/831099709440*ep^3*z4+
         12862360162254658254987614692799/449242636940697600*ep^3*z3+
         16036824091538585/24*ep^3*z3^2;

Fill mncnoptab(9,2,2,6)=
      +mncF321*(-6770270256750-50898532059375*ep-130084334716230*ep^2-
         3534144321826457/21*ep^3)
      +6413524515402818126864358784549/192532558688870400-4003891945/
         144*ep^-3-432559027040189/1482624*ep^-2-457298961990842768519/
         534278384640*ep^-1+801844651007980/9*z3-6607388602170624205398\
         561010163698829965421/18971376169681615680000000000*ep+
         400922325503990/3*ep*z4+7369855492425157545019/5189184*ep*z3+
         37683353155538806422192788566593974745140780501249/21876880372\
         820694484623360000000000*ep^2+103704549452036755/12*ep^2*z5+
         7369855492425157545019/3459456*ep^2*z4-
         8605260930294648230414980703/1869974346240*ep^2*z3-
         54202610551930418042646910401350095707593449662889622965740332\
         861636917/9579081277451653469753231416375182046003200000000000\
         000*ep^3+1539531348760391725/72*ep^3*z6+7356290456656008574897/
         576576*ep^3*z5-8605260930294648230414980703/1246649564160*ep^3
         *z4+151839927774816458791142737255417/673863955411046400*ep^3*
         z3+112257133524667855/36*ep^3*z3^2;

Fill mncnoptab(9,3,1,6)=
      +mncF321*(-2611389956175-39403817488035/2*ep-50694842323194*ep^2-
         4635449928651879/70*ep^3)
      +19239965997484124639703230301647/1497475456468992000-77817065/32
         *ep^-3-387920545448071/11531520*ep^-2-120744358238231866129/
         831099709440*ep^-1+34364589483826*z3-2824617456682057296689605\
         28455267631018497/2107930685520179520000000000*ep+
         51546884225739*ep*z4+3163781911734207271511/5765760*ep*z3+
         107081543138376914040852670797801986961462378197/1620509657245\
         97736923136000000000*ep^2+26666868288482841/8*ep^2*z5+
         3163781911734207271511/3843840*ep^2*z4-
         522534433141399232729064557/296821324800*ep^2*z3-
         27779504159737675919781531137542824169929151135157173368297052\
         7817852791/143686219161774802046298471245627730690048000000000\
         000000*ep^3+131959757863061165/16*ep^3*z6+
         3209614589799990907653/640640*ep^3*z5-
         522534433141399232729064557/197880883200*ep^3*z4+
         5806253364873370335193466214073/149747545646899200*ep^3*z3+
         9622055655037679/8*ep^3*z3^2;

Fill mncnoptab(9,3,2,5)=
      +mncF321*(-10155405385125-153199057836825/2*ep-197027589984540*
         ep^2-514669160515391/2*ep^3)
      +6414242108240038198729933358053/128355039125913600-21820808905/
         96*ep^-3-2450481451155533/988416*ep^-2-2789578339018711027559/
         356185589760*ep^-1+400932878284610/3*z3-1763783706783042878850\
         3124124840859077182721723/33845609624531368830566400000000*ep+
         200466439142305*ep*z4+1054494021852608233693/494208*ep*z3+
         15679847396073842738876104430554747348402070570718467/60983019\
         42148062035891453952000000000*ep^2+103704866481552595/8*ep^2*
         z5+1054494021852608233693/329472*ep^2*z4-
         1219873256564610596941583369/178092794880*ep^2*z3-
         37247536551710087824686246197710362845718835860633965078396431\
         4228561833/471901073410552088780186537010804022806797352960000\
         00000*ep^3+1539535682091904525/48*ep^3*z6+
         1068568175497792447319/54912*ep^3*z5-
         1219873256564610596941583369/118728529920*ep^3*z4+
         10814663483723488634742413625151/64177519562956800*ep^3*z3+
         112256315723056015/24*ep^3*z3^2;

Fill mncnoptab(9,3,3,4)=
      +mncF321*(-12186486462150-92376560731455*ep-239852275294695*ep^2-
         3174548298961831/10*ep^3)
      +6423914887401513267007890462557/106962532604928000-30778912661/
         16*ep^-3-2976106106698313/164736*ep^-2-12006341933236580928079/
         296821324800*ep^-1+160410655874714*z3-663800517654149004086851\
         75775869425724719887/106613670317273811816284160000*ep+
         240615983812071*ep*z4+1057111317851043731957/411840*ep*z3+
         73525144894738599308423879163730307986477115078863/24012063897\
         207994266322599936000000*ep^2+62224498100956317/4*ep^2*z5+
         1057111317851043731957/274560*ep^2*z4-
         1205573541376272226477294081/148410662400*ep^2*z3-
         98589882482212375506005849866231969778351218289665058911478661\
         31204896787777/10645424605257571534006161137646067311364276224\
         00000000000000*ep^3+307914277387287305/8*ep^3*z6+
         3286300428649403060173/137280*ep^3*z5-
         1205573541376272226477294081/98940441600*ep^3*z4-
         6106386039745634847111605723833/53481266302464000*ep^3*z3+
         22449574920605483/4*ep^3*z3^2;

Fill mncnoptab(9,4,1,5)=
      +mncF321*(-1978325724375-30096794002275/2*ep-39325885592240*ep^2-
         735150191517435/14*ep^3)
      +672575203878824950101096537253/69114251837030400+1278590365/96*
         ep^-3+1078938503609/48384*ep^-2-123684948794901341479/
         191792240640*ep^-1+78099781546150/3*z3-25219649368685264277602\
         8406022457795279027/2499368095350008775180288000*ep+
         39049890773075*ep*z4+10095532243380877751/24192*ep*z3+
         1484189405325187892954638482188749695387142943489/300224095613\
         4430540746561945600000*ep^2+20202134923203025/8*ep^2*z5+
         10095532243380877751/16128*ep^2*z4-1378305839682206974034731/
         1053803520*ep^2*z3-7276294308430256959333726529903395691493041\
         76101284988975298781381528678481/48664798195463184155456736629\
         2391648519509770240000000000000*ep^3+299908032586199375/48*
         ep^3*z6+116855057943920926423/29568*ep^3*z5-
         1378305839682206974034731/702535680*ep^3*z4-
         144517092176606710666686439493/2658240455270400*ep^3*z3+
         21868482491908325/24*ep^3*z3^2;

Fill mncnoptab(9,4,2,4)=
      +mncF321*(-6154791142500-46880051468250*ep-122819639788300*ep^2-
         493727628010670/3*ep^3)
      +44899812207693322719578611451/1481019682222080-54328995175/72*
         ep^-3-37926018358765/5184*ep^-2-73637241279360122425/
         4109833728*ep^-1+729097520933600/9*z3-401598668443854548409105\
         987426725630743753/1281414306698002545868800000*ep+
         364548760466800/3*ep*z4+37045328517092407375/28512*ep*z3+
         20735257396097642637249304947953029223389095533/
         13510084302604937433359528755200*ep^2+47139471924378925/6*ep^2
         *z5+37045328517092407375/19008*ep^2*z4-
         8333909302547835978687319/2054916864*ep^2*z3-
         30467529512937864320893384229923407393153645930203238812913595\
         216524513395497/6387254763154542920403696682587640386818565734\
         400000000000000*ep^3+699801103656347875/36*ep^3*z6+
         13070438739385729775/1056*ep^3*z5-8333909302547835978687319/
         1369944576*ep^3*z4-157529689763612278025167814239/
         740509841111040*ep^3*z3+51022663020408625/18*ep^3*z3^2;

Fill mncnoptab(9,4,3,3)=
      +mncF321*(-5539312028250-42455208220425*ep-112516378006305*ep^2-
         306353987722961/2*ep^3)
      +45063892250106655501617670483/1645577424691200-39671259355/16*
         ep^-3-26727879615817/1152*ep^-2-234616525088463459713/
         4566481920*ep^-1+72948305736670*z3-617919306925792053058874924\
         970046769497381549/2204442660098707739709014016000*ep+
         109422458605005*ep*z4+7433279523448959643/6336*ep*z3+
         65207915526318111834881816708628614485785182701153499/47663577\
         419590219264892417448345600000*ep^2+28285338814003635/4*ep^2*
         z5+7433279523448959643/4224*ep^2*z4-8206101487748588352895919/
         2283240960*ep^2*z3-4346152467426797517799212256350181779105221\
         24626748623684259557967134572422017/10598111607011982327188355\
         9770343070122026572185600000000000000*ep^3+139967727955284775/
         8*ep^3*z6+8081452334214368449/704*ep^3*z5-
         8206101487748588352895919/1522160640*ep^3*z4-
         61286300919005934260826215947/164557742469120*ep^3*z3+
         10202869996338565/4*ep^3*z3^2;

Fill mncnoptab(9,4,4,2)=
      +mncF321*(-1678579402500-13020021992250*ep-35268159473950*ep^2-
         1038544860503455/21*ep^3)
      +105459069680209936518615507527/12670946170122240-110763871725/88
         *ep^-3-5783776794060355/487872*ep^-2-313572161692042330687/
         11720636928*ep^-1+243290823748700/11*z3-2407041427268853150485\
         1897138731592683285751342691/286439768146575836928440008704000\
         000*ep+364936235623050/11*ep*z4+12463638377164558205/34848*ep*
         z3+503895666428369831439090578311772554432159539406177388437/
         1238657218191600823146391698438881280000000*ep^2+
         47144941511865925/22*ep^2*z5+12463638377164558205/23232*ep^2*
         z4-229262660521604825925891/217048832*ep^2*z3-
         40750382729882313121473095727332357157826300867494538964559082\
         32141640045397051/33384051562087744330643321327658067088438370\
         23846400000000000000*ep^3+233291799321842625/44*ep^3*z6+
         99670953011466778705/27104*ep^3*z5-687787981564814477777673/
         434097664*ep^3*z4-196289452183107654013808195341/
         905067583580160*ep^3*z3+17001815129075075/22*ep^3*z3^2;

Fill mncnoptab(9,5,1,4)=
      +mncF321*(-659441908125-10202363446275/2*ep-13748780324240*ep^2-
         804018833569855/42*ep^3)
      +224184007280635513354564032323/69114251837030400-1074882185/96*
         ep^-3-8385573228461/48384*ep^-2-165269908498946345489/
         191792240640*ep^-1+26034728396950/3*z3-27238522958029969794954\
         45302125909242220057/82010515628672162935603200000*ep+
         13017364198475*ep*z4+37316104470851739131/266112*ep*z3+
         126412626656741582879198456361633297320713916419/7880882509852\
         88016945972510720000*ep^2+6734082206401875/8*ep^2*z5+
         37316104470851739131/177408*ep^2*z4-5727899644061822819768753/
         13699445760*ep^2*z3-145908636672251884042274995116820937446613\
         71541434099409046777910901660353798501421/27301433787768379540\
         416640844036610026336843283510067200000000000000*ep^3+
         99969843960150125/48*ep^3*z6+126489374669678030699/88704*ep^3*
         z5-5727899644061822819768753/9132963840*ep^3*z4-
         2618610511286172163536824224039/34557125918515200*ep^3*z3+
         7289336777279375/24*ep^3*z3^2;

Fill mncnoptab(9,5,2,3)=
      +mncF321*(-1538697785625-23864487021375/2*ep-32303982579050*ep^2-
         271487680863085/6*ep^3)
      +45000097505908930875563165447/5924078728888320-161874560575/288*
         ep^-3-114128371474765/20736*ep^-2-1591667001784231475/
         114960384*ep^-1+182344879330250/9*z3-1418147624010319087772887\
         229373701866944805537/18370355500822564497575116800000*ep+
         91172439665125/3*ep*z4+37372769436400025275/114048*ep*z3+
         1975001927169707404512166519085259532402861788546193/529595304\
         6621135473876935272038400000*ep^2+47141504998349125/24*ep^2*z5
         +37372769436400025275/76032*ep^2*z4-724174032388706702946497/
         747242496*ep^2*z3-30262533893806680647393238289440831157622378\
         209723150397898787225318656179945680944611/4348815053127194323\
         2379218126678760148618331701377813708800000000000000*ep^3+
         699828779802026875/144*ep^3*z6+42654900065810354425/12672*ep^3
         *z5-724174032388706702946497/498161664*ep^3*z4-
         583705387871362254960715656859/2962039364444160*ep^3*z3+
         51016679379272425/72*ep^3*z3^2;

Fill mncnoptab(9,5,3,2)=
      +mncF321*(-923218671375-14420548867725/2*ep-19771572393105*ep^2-
         394439286392637/14*ep^3)
      +24348803476807747529216370677/5316480910540800-71834369555/96*
         ep^-3-342514317029999/48384*ep^-2-3106385845543056710731/
         191792240640*ep^-1+36497264322610/3*z3-23934650212148980942588\
         7799267665676935011468237/5207995784483197035062545612800000*
         ep+18248632161305*ep*z4+7503293928662882063/38016*ep*z3+
         4982799101672149047575643335543055146483054598937739803/
         22521040330756378602661667244343296000000*ep^2+
         9429092102957345/8*ep^2*z5+7503293928662882063/25344*ep^2*z4-
         54711954656915317674102733/95896120320*ep^2*z3-
         76318289828032164472698702558289268691569617540900286551722646\
         3192026200534255459537923/136987674173506621181994537099038094\
         4681477448593401131827200000000000000*ep^3+139976490971455775/
         48*ep^3*z6+61665722991193892563/29568*ep^3*z5-
         54711954656915317674102733/63930746880*ep^3*z4-
         150113758749025965005695426463/987346454814720*ep^3*z3+
         10200772226872565/24*ep^3*z3^2;

Fill mncnoptab(9,5,4,1)=
      +mncF321*(-139881616875-2212530800025/2*ep-3102125620815*ep^2-
         63756729084865/14*ep^3)
      +1566126793016002978270554128533/2280770310622003200-50722332895/
         3168*ep^-3-5133011330516537/17563392*ep^-2-
         2045209487603378371243/1265828788224*ep^-1+182263787650490/99*
         z3-1425945752937925781936121001495396736392121924891369/
         206236633065534602588476806266880000000*ep+91131893825245/33*
         ep*z4+37721796855260238475/1254528*ep*z3+292843402295012463421\
         89894547415066854211556442213259535131/89183319709795259266540\
         2022875994521600000000*ep^2+47139249823143205/264*ep^2*z5+
         37721796855260238475/836352*ep^2*z4-
         264348872369952857102503457/3164571970560*ep^2*z3-
         49611007857091756603427139012303544546286957021092706531523362\
         0272268227994596543/528803376743469870197390209830103782680863\
         7845772697600000000000000*ep^3+699798195841128475/1584*ep^3*z6
         +36148080439628562535/108416*ep^3*z5-
         264348872369952857102503457/2109714647040*ep^3*z4-
         5162812157977303459977245454887/162912165044428800*ep^3*z3+
         51024113808379465/792*ep^3*z3^2;

Fill mncnoptab(9,6,1,3)=
      +mncF321*(-91307341125-1454097599955/2*ep-2062268905098*ep^2-
         42970198409157/14*ep^3)
      +61002816034151700251391991643/136134132406272000+60663461/32*
         ep^-3-50011840190311/1048320*ep^-2-2293150324740499631059/
         4155498547200*ep^-1+1201424635250*z3-7451946570811299278010406\
         46706756044618167/165843487160203707269775360000*ep+
         1802136952875*ep*z4+113520229793618076721/5765760*ep*z3+
         1405912078478787018494206926614415669603983274259/664037322589\
         45564390818054144000000*ep^2+932399226858795/8*ep^2*z5+
         113520229793618076721/3843840*ep^2*z4-
         15879598386969521160261043/296821324800*ep^2*z3+
         21234322332469675953792461324987121434751718802019322617343002\
         99512393424909698117117624861/75923493635316065974679868778036\
         456305487044150760576241998233600000000000000*ep^3+
         4613939148883975/16*ep^3*z6+143442966903754138603/640640*ep^3*
         z5-15879598386969521160261043/197880883200*ep^3*z4-
         17959782527913062861476458048149/748737728234496000*ep^3*z3+
         336453182582125/8*ep^3*z3^2;

Fill mncnoptab(9,6,2,2)=
      +mncF321*(-142033641750-1134589180725*ep-3236233159260*ep^2-
         33961737704833/7*ep^3)
      +28845047725985534047634016691/40840239721881600-7300358015/48*
         ep^-3-448137160177151/314496*ep^-2-796099575199325266031/
         249329912832*ep^-1+5617811863580/3*z3-773126763448268899917284\
         777587157573173640747/111446823371656891285289041920000*ep+
         2808905931790*ep*z4+7587670571203726175/247104*ep*z3+
         26317754082762724820784451778824047658027447863720511/80321954\
         5404205546871335182925824000000*ep^2+725353189692005/4*ep^2*z5
         +7587670571203726175/164736*ep^2*z4-10271508441491123796692201/
         124664956416*ep^2*z3-75764830373915123234417382983523719704892\
         237534736350835190084695571361813220039984354651139547/
         81632940356691834135975794910144797819659669870897771575396500\
         7667200000000000000*ep^3+10767941608108475/24*ep^3*z6+
         22630940327892667425/64064*ep^3*z5-10271508441491123796692201/
         83109970944*ep^3*z4-1276413656793848058792353302939/
         32088759781478400*ep^3*z3+784536411961865/12*ep^3*z3^2;

Fill mncnoptab(9,6,3,1)=
      +mncF321*(-42610092525-685932422175/2*ep-991245628389*ep^2-
         105845813007867/70*ep^3)
      +9479712878377971060264324209/45378044135424000-207377875/32*
         ep^-3-15073261488151/116480*ep^-2-1042247814818464879609/
         1385166182400*ep^-1+560785836002*z3-16179928911969593488320530\
         82884027067854621762677/779949448684203587970966830972928000*
         ep+841178754003*ep*z4+2536525569366108997/274560*ep*z3+
         818485279942819461402843270061042780125419129735769015883/
         84318774998351881488365282162821300224000000*ep^2+
         435131114760867/8*ep^2*z5+2536525569366108997/183040*ep^2*z4-
         3347719847902571392679683/138516618240*ep^2*z3-
         77955855401295839653053567492772626991153342235758640646476644\
         84181968860909052809245563/39452450161969906900414426684522971\
         2068265505194899525966233600000000000000*ep^3+2153224140364255/
         16*ep^3*z6+209884637460016113913/1921920*ep^3*z5-
         3347719847902571392679683/92344412160*ep^3*z4-
         68420568852869422221461550031/5093453933568000*ep^3*z3+
         157003453786549/8*ep^3*z3^2;

Fill mncnoptab(9,7,1,2)=
      +mncF321*(-4347968625-72780010875/2*ep-784971544205/7*ep^2-
         2589248813031/14*ep^3)
      +12292973448121953256696685663/571763356106342400-2693040635/672*
         ep^-3-190050824756395/4402944*ep^-2-2325141243776331524503/
         17453093898240*ep^-1+1203545900110/21*z3-444248316255997416935\
         635189420956987589291/2176695768977673657915801600000*ep+
         601772950055/7*ep*z4+23291538254949002125/24216192*ep*z3+
         1446179976141779784344805539541498216999188612621/156878817461\
         7588958733076529152000000*ep^2+310857674812345/56*ep^2*z5+
         23291538254949002125/16144128*ep^2*z4-
         18898397320623246967419169/8726546949120*ep^2*z3-
         49840733095807915524094123762584920887510694407495945638614355\
         6759465735248159785964148109/797196683170818692734138622169382\
         79120761396358298605054098145280000000000000*ep^3+
         4614723286180775/336*ep^3*z6+11596818633582296885/896896*ep^3*
         z5-18898397320623246967419169/5817697966080*ep^3*z4-
         6962791466641955895791130271889/3144698458584883200*ep^3*z3+
         336251872902125/168*ep^3*z3^2;

Fill mncnoptab(9,7,2,1)=
      +mncF321*(-3381753375-56807075325/2*ep-88041561035*ep^2-
         877799677861/6*ep^3)
      +4105676914492253882786728981/245041438331289600-1264095785/288*
         ep^-3-86887863335513/1886976*ep^-2-1039491270536847547453/
         7479897384960*ep^-1+401365197370/9*z3-422189214779984854227276\
         7077426004511692090621/26747237609197653908469370060800000*ep+
         200682598685/3*ep*z4+7779652049431325807/10378368*ep*z3+
         9161277188033565692121030563004324228451508717611859/128515127\
         26467288749941362926813184000000*ep^2+103625089386515/24*ep^2*
         z5+7779652049431325807/6918912*ep^2*z4-
         6215239745955343015867051/3739948692480*ep^2*z3-
         29248505807958298989265110284490899103731154904752414613034272\
         8653237996905250591083651264949/237477644674012608395565948829\
         512139111737221442611699128426184048640000000000000*ep^3+
         1538321732902925/144*ep^3*z6+11747107969566357301/1153152*ep^3
         *z5-6215239745955343015867051/2493299128320*ep^3*z4-
         68397013619114892095835882377/38506511737774080*ep^3*z3+
         112072231328975/72*ep^3*z3^2;

Fill mncnoptab(9,8,1,1)=
      +mncF321*(-41409225-5384492685/14*ep-67784541281/49*ep^2-
         1331771042941/490*ep^3)
      +822303324782859320016255889/4002343492744396800-1077670613/4704*
         ep^-3-277173444712729/154103040*ep^-2-577013984995065010457/
         122171657287680*ep^-1+80036412226/147*z3-436145185511653894967\
         9507416895925587/2538420721839852662292480000*ep+40018206113/
         49*ep*z4+8176027721184845551/847566720*ep*z3+12920840676667501\
         882999912472936533864806667/1829490582644418610767436185600000
         *ep^2+20726101492407/392*ep^2*z5+8176027721184845551/565044480
         *ep^2*z4-749902197637581904447151/61085828643840*ep^2*z3+
         34629238221364242376201285273572266188240448463307029352009974\
         613026780175463/1115400823368218356617721287177321858183532348\
         745938108416000000000*ep^3+307690065897065/2352*ep^3*z6+
         48513283825653214879/282522240*ep^3*z5-
         749902197637581904447151/40723885762560*ep^3*z4-
         893953737907305846355383828223/22012889210094182400*ep^3*z3+
         22486710036803/1176*ep^3*z3^2;

Fill mncnoptab(10,1,1,7)=
      +mncF321*(-125375375125-17282613072725/18*ep-22838544324007/9*
         ep^2-19438792161770659/5670*ep^3)
      +32066876099138930037007962039833/51983790845995008000+1145412503/
         7776*ep^-3+266674329426191/400308480*ep^-2-
         437603027280844786243/144255163852800*ep^-1+400915654099034/
         243*z3-2607591020666138473945377695362921366663397/
         409781725265122898688000000000*ep+200457827049517/81*ep*z4+
         37173141292997610332039/1401079680*ep*z3+365955798941495232351\
         54754780747605018885012453233/11813515401323175021696614400000\
         00000*ep^2+103704307109446003/648*ep^2*z5+
         37173141292997610332039/934053120*ep^2*z4-
         41187874543575276304861803643/504893073484800*ep^2*z3-
         26882476093449096998549729197471345083645860816771320972717811\
         6615849/2554421673987107591934195044366715212267520000000000000
         *ep^3+1539527980477728685/3888*ep^3*z6+40274460365964688165717/
         155675520*ep^3*z5-41187874543575276304861803643/
         336595382323200*ep^3*z4-1547808031046815006942752283397059/
         181943267960982528000*ep^3*z3+112257770743021999/1944*ep^3*
         z3^2;

Fill mncnoptab(10,2,1,6)=
      +mncF321*(-451351350450-3456884476045*ep-27424310114668/3*ep^2-
         3897606470145887/315*ep^3)
      +6413817804456843435855342442309/2887988380333056000-1070087285/
         432*ep^-3-325488450169037/22239360*ep^-2+5495421487336421089/
         320567030784*ep^-1+160370157995948/27*z3-104302580099386877512\
         69002539417798555455097/455313028072358776320000000000*ep+
         80185078997974/9*ep*z4+7435055610230406862699/77837760*ep*z3+
         14636106101275850312056452373954715802437118593111/13126128223\
         6924166907740160000000000*ep^2+20740925927911703/36*ep^2*z5+
         7435055610230406862699/51891840*ep^2*z4-
         8234247291679091742784388831/28049615193600*ep^2*z3-
         27499719577842201855771240514171277387490517331853488946276913\
         7149959779/804642827305938891459271438975515291864268800000000\
         000000*ep^3+307906485758756585/216*ep^3*z6+
         8058959929811151715777/8648640*ep^3*z5-
         8234247291679091742784388831/18699743462400*ep^3*z4-
         61034915532630025200823328100859/2021591866233139200*ep^3*z3+
         22451350251010211/108*ep^3*z3^2;

Fill mncnoptab(10,2,2,5)=
      +mncF321*(-1354054051350-10398051058395*ep-27635772470910*ep^2-
         1319033598513019/35*ep^3)
      +916175613878320011361571497171/137523256206336000-817979861/144*
         ep^-3-104970941799577/1482624*ep^-2-798693140290972067879/
         2671391923200*ep^-1+160368508917164/9*z3-112802415383584517407\
         1753179488518306388540331/16448966277522245251655270400000*ep+
         80184254458582/3*ep*z4+7444402653330235344379/25945920*ep*z3+
         8888366273678412548086545750958671375433086893657899/266739726\
         94955623344989219586048000000*ep^2+20740905904451639/12*ep^2*
         z5+7444402653330235344379/17297280*ep^2*z4-
         8179769365289421243686903807/9349871731200*ep^2*z3-
         51877137805614414704015135934818571346234746592018515036505438\
         801496851847/4866479819546318415545673662923916485195097702400\
         0000000000*ep^3+307906218388431305/72*ep^3*z6+
         8159778528706299147377/2882880*ep^3*z5-
         8179769365289421243686903807/6233247820800*ep^3*z4-36402641381\
         7718767407302122107111/3369319777055232000*ep^3*z3+
         22451459175855683/36*ep^3*z3^2;

Fill mncnoptab(10,3,1,5)=
      +mncF321*(-512899261875-7911303975575/2*ep-31791448400110/3*ep^2-
         262997547220145/18*ep^3)
      +416408917239399951222377308477/165027907447603200+1289649305/864
         *ep^-3+5839668562007/808704*ep^-2-133025997996746968457/
         3205670307840*ep^-1+182234607408350/27*z3-10430456835473171833\
         996572506011782541450489/402831827204626414326251520000*ep+
         91117303704175/9*ep*z4+484394057978670673363/4447872*ep*z3+
         3566606425978246279030280674976934443150318280799877/284522375\
         41285998234655167558451200000*ep^2+47138356599166525/72*ep^2*
         z5+484394057978670673363/2965248*ep^2*z4-
         75059266099093772092315649/228976450560*ep^2*z3-
         39160664127670709940146560465667427262847115122462084818332235\
         72937660611/92694853705644160296108069769979361622763765760000\
         00000000*ep^3+699785964691163875/432*ep^3*z6+
         540573578062037810809/494208*ep^3*z5-
         75059266099093772092315649/152650967040*ep^3*z4-
         30156747810617443162957674367247/577597676066611200*ep^3*z3+
         51026257474732225/216*ep^3*z3^2;

Fill mncnoptab(10,3,2,4)=
      +mncF321*(-1230958228500-9537031153650*ep-77294067938570/3*ep^2-
         323428162122301/9*ep^3)
      +194454012885903287090259104333/32088759781478400-5810568155/72*
         ep^-3-648689708421/832*ep^-2-5161439287511446591/2698375680*
         ep^-1+145806102734740/9*z3-45828227728766313206028846040470240\
         7155201043/7402034824885010363244871680000*ep+72903051367370/3
         *ep*z4+32365938824759316133/123552*ep*z3+669032267638176022092\
         7478989787843551011350287622611/224061370637627236097909444522\
         80320000*ep^2+9427798213459745/6*ep^2*z5+32365938824759316133/
         82368*ep^2*z4-449572143598139124264437/578223360*ep^2*z3-
         31474006327083792708832152916888592346391738627788231465271465\
         2060024227/325880345058905251041004932785083693205028864000000\
         000000*ep^3+139958912174548775/36*ep^3*z6+
         331223468727616403671/123552*ep^3*z5-449572143598139124264437/
         385482240*ep^3*z4-6099184998934217494577196101/39615752816640*
         ep^3*z3+10204819555516565/18*ep^3*z3^2;

Fill mncnoptab(10,3,3,3)=
      +mncF321*(-839289701250-6570308233125*ep-18085719529325*ep^2-
         155237691457955/6*ep^3)
      +584764616070093451839910767031/141190543038504960-137932632775/
         528*ep^-3-13735839138651715/5436288*ep^-2-
         2420312226862194342221/391804148736*ep^-1+364656342940750/33*
         z3-200215840778356477541157487239849667337538895231861/
         4787636124735624702946783002624000000*ep+182328171470375/11*ep
         *z4+488028146506784560955/2718144*ep*z3+4145091565607623619380\
         939234396184528716471089296936374207/2070327064691675661544683\
         2673907015680000000*ep^2+47141033358971125/44*ep^2*z5+
         488028146506784560955/1812096*ep^2*z4-
         101021003303000422294259363/195902074368*ep^2*z3-
         53465542304177740535994639561804053695288541732722075512986667\
         3399046909477093/858447040167970568502256834139778867988415234\
         703360000000000000*ep^3+699822373525751875/264*ep^3*z6+
         1734927294827000807395/906048*ep^3*z5-
         101021003303000422294259363/130601382912*ep^3*z4-
         10542059010235056758113750932299/70595271519252480*ep^3*z3+
         51018165265495225/132*ep^3*z3^2;

Fill mncnoptab(10,4,1,4)=
      +mncF321*(-227955227500-16068047045050/9*ep-132788034650180/27*
         ep^2-63371822264110/9*ep^3)
      +32034751800640695699363123733/28562522442854400-8406103615/1944*
         ep^-3-6398732837197/139968*ep^-2-80272534105334027393/
         554827553280*ep^-1+728978726512400/243*z3-15112357321984853434\
         407586198726083848524057/1328570353184489039556771840000*ep+
         364489363256200/81*ep*z4+37538475394563744907/769824*ep*z3+
         26002805663961702934668978783931265671879541685017/47876361247\
         3562470294678300262400000*ep^2+47138612978636725/162*ep^2*z5+
         37538475394563744907/513216*ep^2*z4-38816894929221550337157287/
         277413776640*ep^2*z3-24022645132453211480594256777147429144932\
         35946510955899237419681914959902874760847/11648611749447841937\
         244433426788953611237053134297628672000000000000*ep^3+
         699789407414426875/972*ep^3*z6+1350344209348605097/2592*ep^3*
         z5-38816894929221550337157287/184942517760*ep^3*z4-
         4106691970507647193532727880823/99968828549990400*ep^3*z3+
         51025159446686425/486*ep^3*z3^2;

Fill mncnoptab(10,4,2,3)=
      +mncF321*(-410319409500-3232869690050*ep-9000938030630*ep^2-
         117641026567957/9*ep^3)
      +4085483401279940405714053933/2019572293939200-22268364755/216*
         ep^-3-16127044273337/15552*ep^-2-172882347252619369333/
         61647505920*ep^-1+145847374194340/27*z3-1362447689682375203272\
         56500487254281635645735211/6695994580049824759366130073600000*
         ep+72923687097170/9*ep*z4+7531059976853201543/85536*ep*z3+
         215694481473020302845444270591746295781531375156856797/
         2227355637107773707955549507682304000000*ep^2+9428100437937545/
         18*ep^2*z5+7531059976853201543/57024*ep^2*z4-
         7635707830027939785323539/30823752960*ep^2*z3-
         86483160425884033161968369382808856678198389401081161391112450\
         538544948243428350459169/3522540193033027401822716668260979572\
         03808486781160291041280000000000000*ep^3+139963032827119775/
         108*ep^3*z6+9147965134401764749/9504*ep^3*z5-
         7635707830027939785323539/20549168640*ep^3*z4-
         191868757592998200129479543783/2221529523333120*ep^3*z3+
         10203975213342365/54*ep^3*z3^2;

Fill mncnoptab(10,4,3,2)=
      +mncF321*(-186508822500-1486404305750*ep-4222826007400*ep^2-
         56687700004780/9*ep^3)
      +45251381615608383487707588119/48873649513328640-398158244575/
         2376*ep^-3-2990968037992895/1881792*ep^-2-71048082283435510603/
         19374930432*ep^-1+730067602082000/297*z3-108115994395314812412\
         96916432497738076108270689829/11837561846873797342450837094400\
         00000*ep+365033801041000/99*ep*z4+37888894768404386395/940896*
         ep*z3+221105876929147834022228158315610295053676867796349145511
       /5118940544567329932390700386405580800000000*ep^2+
         47146291265471125/198*ep^2*z5+37888894768404386395/627264*ep^2
         *z4-7387527203335543237817755/67812256512*ep^2*z3-
         79647063540757084321173517932566586289387215423903552208454630\
         2381029877653127/607044692690207759155167332713129342363236487\
         3973760000000000000*ep^3+699893692961246875/1188*ep^3*z6+
         48025607419024555385/104544*ep^3*z5-7387527203335543237817755/
         45208171008*ep^3*z4-1221899578708016167329621257323/
         24436824756664320*ep^3*z3+51000928605069625/594*ep^3*z3^2;

Fill mncnoptab(10,4,4,1)=
      +mncF321*(-20723202500-1514305479050/9*ep-13327583635730/27*ep^2-
         62185525337255/81*ep^3)
      +223643269291464950129193673567/2199314228099788800-124915634935/
         21384*ep^-3-1474077902178743/16936128*ep^-2-
         509643800454411369073/1220620617216*ep^-1+729224030132780/2673
         *z3-248889965549455496686941077139800167528972746030983/
         248588798784349744191467578982400000000*ep+364612015066390/891
         *ep*z4+38215416983086366855/8468064*ep*z3+49985496876185885421\
         22813820269984784390490104088128188433/10749775143591392858020\
         47081145171968000000000*ep^2+47140533741138565/1782*ep^2*z5+
         38215416983086366855/5645376*ep^2*z4-4987083511893736216066349/
         435935934720*ep^2*z3-40379670467762576692523346707937221600747\
         202587784476084298642796429691988770003/2804546480228759847296\
         873077134657561718152571775877120000000000000*ep^3+
         699815765815750675/10692*ep^3*z6+51727465228049415925/940896*
         ep^3*z5-4987083511893736216066349/290623956480*ep^3*z4-
         8142137165348140963218259272851/1099657114049894400*ep^3*z3+
         51020963036206345/5346*ep^3*z3^2;

Fill mncnoptab(10,5,1,3)=
      +mncF321*(-39453789375-635121311825/2*ep-2752461297460/3*ep^2-
         25155491231105/18*ep^3)
      +31966177381277198648374963237/165027907447603200+1201363205/864*
         ep^-3-5430705400813/808704*ep^-2-493061001855952228817/
         3205670307840*ep^-1+14016446012450/27*z3-827683613187917303872\
         289025043582653885020507/429866318719248009243257733120000*ep+
         7008223006225/9*ep*z4+38038070136963122683/4447872*ep*z3+
         1112316559572915559904584003589392739295826398973859/123925301\
         290934570088720285365698560000*ep^2+3625990225075225/72*ep^2*
         z5+38038070136963122683/2965248*ep^2*z4-
         5127749329410882497515889/228976450560*ep^2*z3+
         20032895254897891151347297909532183893278217760502044363912721\
         1470846568553783097347446066859/233236972447690954674216556886\
         12799377045619963113649021541857361920000000000000*ep^3+
         53829195535630375/432*ep^3*z6+49960043709403813369/494208*ep^3
         *z5-5127749329410882497515889/152650967040*ep^3*z4-
         7228460284478043459613567425767/577597676066611200*ep^3*z3+
         3925291581602125/216*ep^3*z3^2;

Fill mncnoptab(10,5,2,2)=
      +mncF321*(-47344547250-383712604275*ep-1121853427590*ep^2-
         1735447518319*ep^3)
      +45305800403943200999528394503/192532558688870400-7120165535/144*
         ep^-3-62925245557817/134784*ep^-2-570558960644969592733/
         534278384640*ep^-1+5617633954940/9*z3-255790426433322170517033\
         50889639657351103292771/11191876655226135669226245980160000*ep
         +2808816977470/3*ep*z4+7641405973499599343/741312*ep*z3+
         2576274200695833510073258301748414083778660712258197073/
         241986280288637414985742200084627456000000*ep^2+
         725350331578565/12*ep^2*z5+7641405973499599343/494208*ep^2*z4-
         7021830712438686597094219/267139192320*ep^2*z3-
         70331187761838878000288487451016841761151732230710309689028434\
         92340428775805184211341/22644901240926604726003178581677725820\
         2448312930745901383680000000000000*ep^3+10767902294579675/72*
         ep^3*z6+10278836742864130549/82368*ep^3*z5-
         7021830712438686597094219/178092794880*ep^3*z4-
         45832530705181321429019597033/2750465124126720*ep^3*z3+
         784542011120105/36*ep^3*z3^2;

Fill mncnoptab(10,5,3,1)=
      +mncF321*(-10760124375-176536412325/2*ep-790325837035/3*ep^2-
         2511513781225/6*ep^3)
      +223361745203751698946152298851/4235716291155148800-10252100635/
         3168*ep^-3-1737966146537119/32617728*ep^-2-
         649390434559305977117/2350824892416*ep^-1+14022030565970/99*z3
         -4991865236792473827113104922742024758555161286177353/
         9694963152589640023467235580313600000000*ep+7011015282985/33*
         ep*z4+38410257833298869195/16308864*ep*z3+99395018730026187307\
         390364040005400769754196716831325002623/4192412306000643214627\
         9836164661706752000000000*ep^2+3626171052543865/264*ep^2*z5+
         38410257833298869195/10872576*ep^2*z4-
         33761239765895886171423799/5877062231040*ep^2*z3-
         19780944399303735362876408135835468251764459032852995376840583\
         73532210737519219194436947/31385833119924274150240405514205327\
         9868593361722013819317780480000000000000*ep^3+
         53831684565519175/1584*ep^3*z6+161463707422375487995/5436288*
         ep^3*z5-33761239765895886171423799/3918041487360*ep^3*z4-
         9287232507951948706617472782343/2117858145577574400*ep^3*z3+
         3924947088755245/792*ep^3*z3^2;

Fill mncnoptab(10,6,1,2)=
      +mncF321*(-2254502250-19038754735*ep-178592413426/3*ep^2-
         6298610637121/63*ep^3)
      +20471832240919323464598027017/1837810787484672000-773896361/432*
         ep^-3-276962463751549/14152320*ep^-2-491056970773252566503/
         8014175769600*ep^-1+802246053740/27*z3-57620574484148107006252\
         1704706627292744721/5482988759174081750551756800000*ep+
         401123026870/9*ep*z4+38989782738189076939/77837760*ep*z3+
         25980953641625894740119591525677888417648033368759/55323795219\
         167218789607270252544000000*ep^2+103617314465075/36*ep^2*z5+
         38989782738189076939/51891840*ep^2*z4-
         30461527225489462035934199/28049615193600*ep^2*z3-
         88972359496338383324088253885873622347936987247354561999512253\
         740222394785318157405073017/1983307588840909478522249633385442\
         1238984370716933375018317905920000000000000*ep^3+
         1538214795901325/216*ep^3*z6+59854726760330971177/8648640*ep^3
         *z5-30461527225489462035934199/18699743462400*ep^3*z4-
         12540543645007665342158091614471/10107959331165696000*ep^3*z3+
         112087496933615/108*ep^3*z3^2;

Fill mncnoptab(10,6,2,1)=
      +mncF321*(-1352701350-11507420925*ep-109249792708/3*ep^2-
         6521013319567/105*ep^3)
      +4110857577372270511763549141/612603595828224000-308705845/144*
         ep^-3-104993876300137/4717440*ep^-2-25467854458616845229/
         381627417600*ep^-1+160603108492/9*z3-8786315244808546757930201\
         10452645622248675391403/14101764585584930943225069935001600000
         *ep+80301554246/3*ep*z4+7831149277776546751/25945920*ep*z3+
         3394558832484585171712383446879369987193688326826629317/
         12196108526547325715281406884265223782400000*ep^2+
         20725924584247/12*ep^2*z5+7831149277776546751/17297280*ep^2*z4
         -1182911027403381549848623/1869974346240*ep^2*z3-
         27994731557907965999832509552855474951270670280564200661034070\
         393766133200921382985414146165411/5100892587431001178725116099\
         0996192237598770859329550410112042050519040000000000000*ep^3+
         307676806593865/72*ep^3*z6+36859679203391818799/8648640*ep^3*
         z5-1182911027403381549848623/1246649564160*ep^3*z4-
         2656106381813381687063020229051/3369319777055232000*ep^3*z3+
         22412574370627/36*ep^3*z3^2;

Fill mncnoptab(10,7,1,1)=
      +mncF321*(-25050025-4216567355/18*ep-7661385179/9*ep^2-
         9605494201147/5670*ep^3)
      +164361326152060032190995517/1323223766988963840-1077762133/7776*
         ep^-3-278878936080569/254741760*ep^-2-83771069591859181439/
         28851032770560*ep^-1+80036389346/243*z3-1060365537019808663896\
         94434180558080409/102806039234514032822845440000*ep+
         40018194673/81*ep*z4+8205303410937915311/1401079680*ep*z3+
         44495519738578227715721459049812984464504537/10584909799585564\
         819440166502400000*ep^2+20726097557047/648*ep^2*z5+
         8205303410937915311/934053120*ep^2*z4-142602825818653003388995/
         20195722939392*ep^2*z3+225921935510558593597052644971229992386\
         1797056492398294580465731044041370149387/135521200039238530329\
         053136392044605769299180372631480172544000000000*ep^3+
         307690007781865/3888*ep^3*z6+16487223181037640373/155675520*
         ep^3*z5-142602825818653003388995/13463815292928*ep^3*z4-
         914214651713079881122985735903/36388653592196505600*ep^3*z3+
         22486710128323/1944*ep^3*z3^2;

Fill mncnoptab(11,1,1,6)=
      +mncF321*(-27081081027-424382593635/2*ep-43820541399403/75*ep^2-
         4373798335370719/5250*ep^3)
      +6413186944113627962968598085029/48133139672217600000+1094811307/
         7200*ep^-3+181044596882243/370656000*ep^-2-
         506563362752033112391/133569596160000*ep^-1+80181832226554/225
         *z3-164036860998636489619235421119949942079/
         121416807485962340352000000*ep+40090916113277/75*ep*z4+
         7516548066241201704923/1297296000*ep*z3+5638402398802405437742\
         53398368032545781808009/87507521491282777938493440000000*ep^2+
         20740818424024343/600*ep^2*z5+7516548066241201704923/864864000
         *ep^2*z4-7766422410261598933296247327/467493586560000*ep^2*z3-
         91707942140061725201051283421018663285714494191354894233312387\
         142387/4827856963835633348755628633853091751185612800000000000
         *ep^3+61581000614260597/720*ep^3*z6+26814073556875268681587/
         432432000*ep^3*z5-7766422410261598933296247327/311662391040000
         *ep^3*z4-857203102342577975529010628098567/
         168465988852761600000*ep^3*z3+22451690068033571/1800*ep^3*z3^2
         ;

Fill mncnoptab(11,2,1,5)=
      +mncF321*(-61547911425-970137393225/2*ep-1349981583693*ep^2-
         136802026248199/70*ep^3)
      +1081517814321679134044237821/3572032628736000+170866529/288*
         ep^-3+4854777540667/1347840*ep^-2-22435865654686926037/
         5342783846400*ep^-1+7289275466894/9*z3-37699162732913484260614\
         9916897576300093736829/123367247081416839387414528000000*ep+
         3644637733447/3*ep*z4+685242866251742738609/51891840*ep*z3+
         619248889587441530608339294193303793771447633362729/4267835631\
         1928997351982751337676800000*ep^2+1885532027548453/24*ep^2*z5+
         685242866251742738609/34594560*ep^2*z4-
         694770965770107817076806237/18699743462400*ep^2*z3-
         19133962519874065757445107002399469396061558412440861769117640\
         4484302317/389318385563705473243653893033913318815607816192000\
         0000000*ep^3+27991409394551035/144*ep^3*z6+
         833270867388632798227/5765760*ep^3*z5-
         694770965770107817076806237/12466495641600*ep^3*z4-
         3581264866450640228880989228317/269545582164418560*ep^3*z3+
         2041062655202761/72*ep^3*z3^2;

Fill mncnoptab(11,2,2,4)=
      +mncF321*(-111905293500-889216459950*ep-2511265611800*ep^2-
         77876852289184/21*ep^3)
      +583146494071615618065864809183/1058929072788787200-2221374875/
         792*ep^-3-234689242011703/8154432*ep^-2-6596975198535553367/
         83958031872*ep^-1+145795891021120/99*z3-1404727701053431098701\
         9926457250968853884121347/2544449471054222312365424640000000*
         ep+72897945510560/33*ep*z4+688001198279962477121/28540512*ep*
         z3+71545299628638819734689485458205984087023132847085021/
         2750753434167298657452013269811200000000*ep^2+9427726138998185/
         66*ep^2*z5+688001198279962477121/19027008*ep^2*z4-
         135755880250244349189903881/2056971780864*ep^2*z3-
         15496007344687979545683333910467328839522075594026897089651984\
         8571150993/182492993232986940582962762359646868194816163840000\
         0000000*ep^3+139957933174761575/396*ep^3*z6+
         95860210066994195787/352352*ep^3*z5-
         135755880250244349189903881/1371314520576*ep^3*z4-106271656941\
         802651534854786963493/3706251754760755200*ep^3*z3+
         10205048790812765/198*ep^3*z3^2;

Fill mncnoptab(11,3,1,4)=
      +mncF321*(-41031940950-327956153525*ep-935720814497*ep^2-
         126057008450377/90*ep^3)
      +83294261491279356139722471317/412569768619008000-181123831/432*
         ep^-3-10002664752293/2021760*ep^-2-132031749923512071937/
         8014175769600*ep^-1+14579247248398/27*z3-188335152773225939294\
         0869940685652938175747/934600356677400298389504000000*ep+
         7289623624199/9*ep*z4+98564127425665992107/11119680*ep*z3+
         343396090573622772881515549914678283075552294742237/3637359912\
         9484940924985299435520000000*ep^2+1885540135258213/36*ep^2*z5+
         98564127425665992107/7413120*ep^2*z4-
         95334134476139679161915431/4007087884800*ep^2*z3-
         22683039376942779025758740425943471384683125106499440649274647\
         89944293018994793/54461041945470429836467480956415887013575832\
         835677224960000000000*ep^3+27991517083905235/216*ep^3*z6+
         126259739057623027321/1235520*ep^3*z5-
         95334134476139679161915431/2671391923200*ep^3*z4-
         307017665134855508420502775201/26254439821209600*ep^3*z3+
         2041023894776041/108*ep^3*z3^2;

Fill mncnoptab(11,3,2,3)=
      +mncF321*(-55952646750-451704168825*ep-1311369317125*ep^2-
         4016767192821/2*ep^3)
      +583452146798073656570096022611/2117858145577574400-12061155155/
         1584*ep^-3-1338285297767479/16308864*ep^-2-
         1526199498770400236161/5877062231040*ep^-1+72908912842430/99*
         z3-950133498411587668582919042889786284940369051569/3489530703\
         16007631410115379200000000*ep+36454456421215/33*ep*z4+
         99057837243247078091/8154432*ep*z3+935888712124231197908447889\
         815992358235306200176140198179/7394025231041698791231011669252\
         5056000000000*ep^2+9427894723175705/132*ep^2*z5+
         99057837243247078091/5436288*ep^2*z4-
         13212680867604010467009121/419790159360*ep^2*z3-
         25069994541677174014450484399756799887112113793751980401471138\
         726964882551/7007730940146698518385770074610439738680940691456\
         00000000000*ep^3+139960242590786975/792*ep^3*z6+
         14607631107146155857/100672*ep^3*z5-13212680867604010467009121/
         279860106240*ep^3*z4-19762762554573040049991829136599/
         1058929072788787200*ep^3*z3+10204649346903725/396*ep^3*z3^2;

Fill mncnoptab(11,3,3,2)=
      +mncF321*(-18650882250-153173609225*ep-1373670310775/3*ep^2-
         13111338993089/18*ep^3)
      +84040844496485084187346981697/907653490961817600-83719545035/
         4752*ep^-3-8268592771006255/48926592*ep^-2-
         7091036189214953870317/17631186693120*ep^-1+73014713942450/297
         *z3-14278505835993339760970916466285600739277248390243/
         16030031667641600567902175232000000000*ep+36507356971225/99*ep
         *z4+99977532674713556879/24463296*ep*z3+2838147457731383725881\
         74449252834221648095010843075220223/69318986541015926167790734\
         399242240000000000*ep^2+9429359664496625/396*ep^2*z5+
         99977532674713556879/16308864*ep^2*z4-
         87469232430940923039080899/8815593346560*ep^2*z3-
         36230589561134957414653112244578766478344965409300260063492644\
         375876484446909/2782288174830118896127850274935176152498167233\
         904640000000000000*ep^3+139980100688600375/2376*ep^3*z6+
         140602695527962018157/2718144*ep^3*z5-
         87469232430940923039080899/5877062231040*ep^3*z4-
         24657536370396589652842713486619/3176787218366361600*ep^3*z3+
         10199760967675685/1188*ep^3*z3^2;

Fill mncnoptab(11,4,1,3)=
      +mncF321*(-9468909450-77655252675*ep-694575077861/3*ep^2-
         33012030545587/90*ep^3)
      +2131558768584763970456251043/45841085402112000+72880493/144*
         ep^-3+98529747311/74880*ep^-2-2161412037256824607/98940441600*
         ep^-1+1121281394926/9*z3-2829978307572267946939199079325703503\
         0319173589/62177092529034087051256922112000000*ep+560640697463/
         3*ep*z4+2559212666643955453/1235520*ep*z3+55983525370843799725\
         3305170885445480948434579821150391/268873644765152683317491333\
         427363840000000*ep^2+145039146176281/12*ep^2*z5+
         2559212666643955453/823680*ep^2*z4-2255634357772717478994049/
         445231987200*ep^2*z3+40704246681837787952244006009287925017911\
         68849567295908007740615907271996373360121/20128801103045870867\
         55838096149131184021762781606630234521600000000000*ep^3+
         2153161564745695/72*ep^3*z6+32247290847687643831/1235520*ep^3*
         z5-2255634357772717478994049/296821324800*ep^3*z4-
         8298362637401268090238762067/2139250652098560*ep^3*z3+
         157013217492397/36*ep^3*z3^2;

Fill mncnoptab(11,4,2,2)=
      +mncF321*(-8608099500-71390660250*ep-216892284350*ep^2-
         1056163191187/3*ep^3)
      +1293359603220544086018142213/30255116365393920-6795448415/792*
         ep^-3-669776950230259/8154432*ep^-2-571937748758664819253/
         2938531115520*ep^-1+11234602898260/99*z3-196023995388932635085\
         36892689386948765682379999151/48090095002924801703706525696000\
         000000*ep+5617301449130/33*ep*z4+7728430842114845255/4077216*
         ep*z3+55129153021246789530461988904863598035650514355585017493/
         29708137089006825500481743313960960000000000*ep^2+
         725345048668205/66*ep^2*z5+7728430842114845255/2718144*ep^2*z4
         -6507319154214367405730131/1469265557760*ep^2*z3-
         17996494875241542323409266584077438835175420910702311197167891\
         06017981127889121335259/31136739206274081498254370549806873002\
         8366430279775614402560000000000000*ep^3+10767829701040475/396*
         ep^3*z6+1246461878610674725/50336*ep^3*z5-
         6507319154214367405730131/979510371840*ep^3*z4-
         2110159511255472370472651732803/529464536394393600*ep^3*z3+
         784552967472785/198*ep^3*z3^2;

Fill mncnoptab(11,4,3,1)=
      +mncF321*(-1434683250-12114329045*ep-37915241609*ep^2-
         1150573635833/18*ep^3)
      +31922120146861066238390858137/4538267454809088000-4262766263/
         4752*ep^-3-3016219288340471/244632960*ep^-2-
         139328668609998387991/2518740956160*ep^-1+5611176121922/297*z3
         -513809279444499813587588755499520481635167521926851/769441520\
         0467968272593044111360000000000*ep+2805588060961/99*ep*z4+
         7795503927686190251/24463296*ep*z3+997126428683696833483982246\
         7845988079546981770911851289393/332731135396876445605395525116\
         36275200000000000*ep^2+725270971697237/396*ep^2*z5+
         7795503927686190251/16308864*ep^2*z4-
         30440867073093840692568971/44077966732800*ep^2*z3-
         13311200437260167841652974711954471347758542089510534827416190\
         121156662946345813/1469048156310302777155504945165773008519032\
         2995016499200000000000000*ep^3+10766841053020115/2376*ep^3*z6+
         11965017505255171777/2718144*ep^3*z5-
         30440867073093840692568971/29385311155200*ep^3*z4-
         1766417933774337066748591183301/2269133727404544000*ep^3*z3+
         784907013461081/1188*ep^3*z3^2;

Fill mncnoptab(11,5,1,2)=
      +mncF321*(-676350675-11616730125/2*ep-18657538788*ep^2-
         2267573075639/70*ep^3)
      +44995742403148288384288673543/13477279108220928000-132203701/288
         *ep^-3-48550747250921/9434880*ep^-2-89081375669311678747/
         5342783846400*ep^-1+80212238474/9*z3-1975815727958619775498035\
         79602084592529886029/6359020826833031630242185216000000*ep+
         40106119237/3*ep*z4+7863399816617209439/51891840*ep*z3+
         340560434336802175138815465374730737401796635731487/2499858267\
         444601394480807852113920000000*ep^2+20723075171863/24*ep^2*z5+
         7863399816617209439/34594560*ep^2*z4-5695769182747800414463627/
         18699743462400*ep^2*z3-650142682741954499592183700458250255082\
         151724755752485287064794111929612047086396922512221/
         40483274503420644275596159516663644633014897507404405087390509\
         5639040000000000*ep^3+307637638038985/144*ep^3*z6+
         12682104721566874117/5765760*ep^3*z5-5695769182747800414463627/
         12466495641600*ep^3*z4-51810612486852497676866346301/
         122520719165644800*ep^3*z3+22418374367011/72*ep^3*z3^2;

Fill mncnoptab(11,5,2,1)=
      +mncF321*(-307432125-5342936235/2*ep-8745071706*ep^2-217709895845/
         14*ep^3)
      +226402831092088641152318633923/148250070190430208000-1919945993/
         3168*ep^-3-7151606465185967/1141620480*ep^-2-
         221648740882188253819/11754124462080*ep^-1+401690891986/99*z3-
         106548622348226352680479119091043340619118557213621/7694415200\
         467968272593044111360000000000*ep+200845445993/33*ep*z4+
         7917689338410345887/114162048*ep*z3+20186271451942148410806823\
         40059683895351089063724542355243/33273113539687644560539552511\
         636275200000000000*ep^2+103635537254387/264*ep^2*z5+
         7917689338410345887/76108032*ep^2*z4-
         27012174544611198468115607/205697178086400*ep^2*z3-
         72720640821890870621012873373121214658177293558258595993761663\
         46917428127171109686039/49818782730038530397206992879690996804\
         538628844764098304409600000000000000*ep^3+1538465423136365/
         1584*ep^3*z6+13198563262376215429/12684672*ep^3*z5-
         27012174544611198468115607/137131452057600*ep^3*z4-
         15382736194562368187001357297959/74125035095215104000*ep^3*z3+
         112051575777071/792*ep^3*z3^2;

Fill mncnoptab(11,6,1,1)=
      +mncF321*(-9018009-855337483/10*ep-4761886598/15*ep^2-
         10214388903157/15750*ep^3)
      +373064642679236424204383519/8353685397657600000-215494769/4320*
         ep^-3-282274404728777/707616000*ep^-2-432657392646154367227/
         400708788480000*ep^-1+80036461418/675*z3-250360204447945170076\
         2279191331334670399/6853735948967602188189696000000*ep+
         40018230709/225*ep*z4+8266771989613659551/3891888000*ep*z3+
         7221052258380188816534389965831418837356471511/493962457313993\
         0249072077701120000000*ep^2+20726109953431/1800*ep^2*z5+
         8266771989613659551/2594592000*ep^2*z4-
         3175884189449189009474923/1402480759680000*ep^2*z3+
         22268012056493636714389793700790103953306361588262397671772853\
         9686378390647929/513337878936509584579746728757744718823102955\
         95693742489600000000000*ep^3+61538038168949/2160*ep^3*z6+
         17151100179268887173/432432000*ep^3*z5-
         3175884189449189009474923/934987173120000*ep^3*z4-
         4772040795767266657875503978683/505397966558284800000*ep^3*z3+
         4497341968007/1080*ep^3*z3^2;

Fill mncnoptab(12,1,1,5)=
      +mncF321*(-2543302125-454872604095/22*ep-2001948494459/33*ep^2-
         216792095262059/2310*ep^3)
      +2915296539399759694416539955467/232964396013533184000+68354149/
         34848*ep^-3+56238192929933/1793975040*ep^-2+
         4579757122234340107/129295369082880*ep^-1+36446180054182/1089*
         z3-153214687250458404767874378087885130546122431/1243953074737\
         619797156429824000000*ep+18223090027091/363*ep*z4+
         3478426589195573389109/6278912640*ep*z3+2442965240168537430521\
         54811652762747857104920450003/43034009281195072329915940932157\
         4400000*ep^2+9427626278861369/2904*ep^2*z5+
         3478426589195573389109/4185941760*ep^2*z4-
         3170064764044672275382936177/2262668958950400*ep^2*z3-
         33099872446604721348096643784425745612481077933981489656464306\
         322012211/1784375933833650085700080343072102711238202490880000\
         0000000*ep^3+139956546980753255/17424*ep^3*z6+
         14187094691708497553821/2092970880*ep^3*z5-
         3170064764044672275382936177/1508445972633600*ep^3*z4-77588962\
         2347006086015091046724489/815375386047366144000*ep^3*z3+
         10205314096561517/8712*ep^3*z3^2;

Fill mncnoptab(12,2,1,4)=
      +mncF321*(-3391069500-307145716150/11*ep-921158455130/11*ep^2-
         92432079234347/693*ep^3)
      +83319832774123039203043933829/4992094200289996800-2644972115/
         26136*ep^-3-180483711454327/269096256*ep^-2+
         11782472440559643983/96971526812160*ep^-1+145800968475700/3267
         *z3-11845704550132446342246530828108909220880309/
         72887875472907409989634560000000*ep+72900484237850/1089*ep*z4+
         700104189324465532829/941836896*ep*z3+233043506837748812477956\
         215785270681306678508126583/3151904976650029711663765204992000\
         00000*ep^2+9427760773886825/2178*ep^2*z5+700104189324465532829/
         627891264*ep^2*z4-121586302369096840456748045/67880068768512*
         ep^2*z3-334292557579187644883753817159970665182302661491966194\
         0532142720502181/920068840882975825439103926896552960482198159\
         360000000000*ep^3+139958401923545375/13068*ep^3*z6+
         993168929488394799487/104648544*ep^3*z5-
         121586302369096840456748045/45253379179008*ep^3*z4-
         35948840049622844082309506139293/24461261581420984320*ep^3*z3+
         10204889094831485/6534*ep^3*z3^2;

Fill mncnoptab(12,2,2,3)=
      +mncF321*(-3391069500-311812077850/11*ep-261570808400/3*ep^2-
         99443530093220/693*ep^3)
      +11895348171003579165633907007/713156314327142400-3614225675/
         26136*ep^-3-457292773292383/269096256*ep^-2-
         705214396589961930853/96971526812160*ep^-1+145794166516360/
         3267*z3-89758105017934843702024840995738329133871963283/
         559778883631928908720393420800000000*ep+72897083258180/1089*ep
         *z4+705363308916103257521/941836896*ep*z3+43520592654244028164\
         8773563597835900651674860719201783/605165755516805704639442919\
         358464000000000*ep^2+9427726129224905/2178*ep^2*z5+
         705363308916103257521/627891264*ep^2*z4-
         576527850622012879397734957/339400343842560*ep^2*z3-
         17742854317817437727433491234255915132230180393250118651698061\
         930007983169/9715926959724224716636937468027599262692012562841\
         600000000000*ep^3+139957950273209975/13068*ep^3*z6+
         1049843799858152769443/104648544*ep^3*z5-
         576527850622012879397734957/226266895895040*ep^3*z4-2082933600\
         88843336249651680415669/122306307907104921600*ep^3*z3+
         10205173361467325/6534*ep^3*z3^2;

Fill mncnoptab(12,3,1,3)=
      +mncF321*(-1173831750-108914817375/11*ep-339985486435/11*ep^2-
         3419819812693/66*ep^3)
      +6398156758190316394395657001/1109354266731110400+297619105/5808*
         ep^-3+18594509822413/59799168*ep^-2-1385841656428754969/
         1657632936960*ep^-1+5606572141310/363*z3-125868481767309595316\
         8649941207669773466767811/22848117699262404437567078400000000*
         ep+2803286070655/121*ep*z4+7785630707979577879/29899584*ep*z3+
         1184342460680901724729687179631647926216108874651737011/
         4841326044134445637115543354867712000000000*ep^2+
         725197263757085/484*ep^2*z5+7785630707979577879/19933056*ep^2*
         z4-175043876755332486003745/307846116864*ep^2*z3+
         27457999822769555266934239488582004539195438993552372130896109\
         79380108608172807/12182797786457334808796339017309167330263770\
         336854854860800000000000*ep^3+10765827513530075/2904*ep^3*z6+
         35741209939784380631/9966528*ep^3*z5-175043876755332486003745/
         205230744576*ep^3*z4-495390354511080813850399673431/
         776547986711777280*ep^3*z3+785055656237825/1452*ep^3*z3^2;

Fill mncnoptab(12,3,2,2)=
      +mncF321*(-782554500-73831198350/11*ep-236808447050/11*ep^2-
         410896920415/11*ep^3)
      +45208643621939302172133209171/11648219800676659200-6283265975/
         8712*ep^-3-631718856872491/89698752*ep^-2-
         566723003347696349041/32323842270720*ep^-1+11233649136220/1089
         *z3-302073843639030749863299758082883029852959798503/839668325\
         4478933630805901312000000000*ep+5616824568110/363*ep*z4+
         604549561197909287/3449952*ep*z3+14342447896088680273777163881\
         02180956110062575250481957/90774863327520855695916437903769600\
         00000000*ep^2+725337269299685/726*ep^2*z5+604549561197909287/
         2299968*ep^2*z4-5724624742077179438263807/16161921135360*ep^2*
         z3-40525334069041635370201400818538075831596102010388358341597\
         61821103356191807/80156397417724853912254734111227693917209103\
         64344320000000000000*ep^3+10767722548133075/4356*ep^3*z6+
         4209700829449598491/1661088*ep^3*z5-5724624742077179438263807/
         10774614090240*ep^3*z4-216345035653377001243731884563/
         448008453872179200*ep^3*z3+784566829330025/2178*ep^3*z3^2;

Fill mncnoptab(12,3,3,1)=
      +mncF321*(-90294750-8749892025/11*ep-29279752285/11*ep^2-
         321328057123/66*ep^3)
      +44718245443416489447300487843/100951238272531046400-8317692215/
         75504*ep^-3-1073352639374315/777389184*ep^-2-
         1584388643130202045793/280139966346240*ep^-1+5614667716490/
         4719*z3-4477185174362728551627361022160463611956777633/
         1113845737839042216331395072000000000*ep+2807333858245/1573*ep
         *z4+7967989578693109963/388694592*ep*z3+2610166681782509528513\
         092083157478797551545788660009/1505195437828789699039430730547\
         20000000000*ep^2+725330719821365/6292*ep^2*z5+
         7967989578693109963/259129728*ep^2*z4-
         1012525898146945453752835/28013996634624*ep^2*z3-
         45975471844632949368604974390630358530146024287670339793887838\
         035194234109/8997146648928299928926551787994945235605103470182\
         40000000000000*ep^3+10767667442990675/37752*ep^3*z6+
         41368355462912941667/129564864*ep^3*z5-
         1012525898146945453752835/18675997756416*ep^3*z4-
         132472747686055491785023541855/2019024765450620928*ep^3*z3+
         784820297739065/18876*ep^3*z3^2;

Fill mncnoptab(12,4,1,2)=
      +mncF321*(-111793500-10838905350/11*ep-108790992940/33*ep^2-
         4168350935942/693*ep^3)
      +14989153318201007915997597533/27179179534912204800-593052425/
         8712*ep^-3-17824805128729/23255232*ep^-2-1283380789344834133/
         513076861440*ep^-1+1604163906880/1089*z3-421004747538494170110\
         03784502426014827838620893/83966832544789336308059013120000000\
         00*ep+802081953440/363*ep*z4+2655864574641440293/104648544*ep*
         z3+387155347413030450421436574289046064574873342379869819/
         18154972665504171139183287580753920000000000*ep^2+
         103614641707715/726*ep^2*z5+2655864574641440293/69765696*ep^2*
         z4-337471774427488587985205/7542229863168*ep^2*z3-
         19043634364171503746476521073499588096805244813945970189102525\
         05874100725256491939/67957168902582320730317078580927699014127\
         59391026848727040000000000000*ep^3+1538177986546925/4356*ep^3*
         z6+41423820477645961471/104648544*ep^3*z5-
         337471774427488587985205/5028153242112*ep^3*z4-
         4969129996655551982766072281/60398176744249344*ep^3*z3+
         112092127472255/2178*ep^3*z3^2;

Fill mncnoptab(12,4,2,1)=
      +mncF321*(-37264500-3676732150/11*ep-12641302380/11*ep^2-
         1503240386822/693*ep^3)
      +45388272746429329265153222507/244612615814209843200-2518215665/
         26136*ep^-3-1860583959984907/1883673792*ep^-2-
         286736551286225858431/96971526812160*ep^-1+1608010269400/3267*
         z3-34711448543114737179172557742570248835999751/21420110343058\
         504160219136000000000*ep+804005134700/1089*ep*z4+
         8050501042522941395/941836896*ep*z3+25500831729719126165781068\
         17608533402910888949894079/37050964623477900284047525675008000\
         0000000*ep^2+103645366361675/2178*ep^2*z5+8050501042522941395/
         627891264*ep^2*z4-4608124831556509527651991/339400343842560*
         ep^2*z3-204707444215654682744361890516007245464352711405348899\
         3242120940729454158866446513/105482206191646727570906159290046\
         375962453443142352602398720000000000000*ep^3+1538600392731125/
         13068*ep^3*z6+14596971090722580265/104648544*ep^3*z5-
         4608124831556509527651991/226266895895040*ep^3*z4-
         3664960443872933574394579390351/122306307907104921600*ep^3*z3+
         112030565852135/6534*ep^3*z3^2;

Fill mncnoptab(12,5,1,1)=
      +mncF321*(-1863225-397733245/22*ep-2289295064/33*ep^2-
         1022988849767/6930*ep^3)
      +9012142464175305604477008859/978450463256839372800-1078417333/
         104544*ep^-3-3167071303418179/37673475840*ep^-2-
         454310024790593894107/1939430536243200*ep^-1+80036225546/3267*
         z3-1242890372134741554797723465536660310191/
         16924531629083262546345984000000*ep+40018112773/1089*ep*z4+
         8367365037383518559/18836737920*ep*z3+347533604425032581555090\
         0093108560767451106503/12197848435712888982402477588480000000*
         ep^2+20726069383447/8712*ep^2*z5+8367365037383518559/
         12557825280*ep^2*z4-506726192423750681043983/1357601375370240*
         ep^2*z3+817408646575490158217810622130832196510371276711170979\
         11783364652640298495383637/93703229741416355256088168591070841\
         703344004714790909147873280000000000*ep^3+307689591729865/
         52272*ep^3*z6+18237411464936675717/2092970880*ep^3*z5-
         506726192423750681043983/905067583580160*ep^3*z4-
         5066827618441944383918071030363/2446126158142098432000*ep^3*z3
         +22486710783523/26136*ep^3*z3^2;

Fill mncnoptab(13,1,1,4)=
      +mncF321*(-94196375-160160809445/198*ep-770767937119/297*ep^2-
         279829746673957/62370*ep^3)
      +2913856748288467738189934495611/6290038692365395968000+
         5479150837/940896*ep^-3+926552524511749/48437326080*ep^-2-
         503147865492610929013/3490974965237760*ep^-1+36438063852616/
         29403*z3-23004653172637151820959097354951678277973/
         5288916134088519545733120000000*ep+18219031926308/9801*ep*z4+
         3574453632731189537317/169530641280*ep*z3+25965573614386686996\
         55209316931427009258985678931/13722579490177000105202787287040\
         0000000*ep^2+9427357542503897/78408*ep^2*z5+
         3574453632731189537317/113020427520*ep^2*z4-
         2597825847248272943809988081/61092061891660800*ep^2*z3-
         48806422413298443784394366078444177100851828458997097633593894\
         8491779/350502415574466981119658638817734461136075489280000000\
         0000*ep^3+139952840583453815/470448*ep^3*z6+
         5765463540560759266591/18836737920*ep^3*z5-
         2597825847248272943809988081/40728041261107200*ep^3*z4-1308982\
         251261829178561998678221017/22015135423278885888000*ep^3*z3+
         10206163592634701/235224*ep^3*z3^2;

Fill mncnoptab(13,2,1,3)=
      +mncF321*(-65212875-12599193425/22*ep-20948120335/11*ep^2-
         4775068577173/1386*ep^3)
      +8954134926079108212351728287/27955727521623982080+667864585/
         104544*ep^-3+47419842444389/1076385024*ep^-2-
         3096914496630827881/387886107248640*ep^-1+2802996888520/3267*
         z3-10400585993790425384064563025360567092117/
         3525944089392346363822080000000*ep+1401498444260/1089*ep*z4+
         55617963469967140133/3767347584*ep*z3+127165783585189313366901\
         442456766585037026715071/10164873696427407485335397990400000000
         *ep^2+725192518679165/8712*ep^2*z5+55617963469967140133/
         2511565056*ep^2*z4-7227645953768038871835293/271520275074048*
         ep^2*z3+727823020488949864374822391055214542713120066130976731\
         47990000106263/93467310819857861631908970351395856302953463808\
         00000000000*ep^3+10765767904646675/52272*ep^3*z6+
         95477880040649373919/418594176*ep^3*z5-
         7227645953768038871835293/181013516716032*ep^3*z4-
         4614450807673941838562302790309/97845046325683937280*ep^3*z3+
         785088939446465/26136*ep^3*z3^2;

Fill mncnoptab(13,2,2,2)=
      +mncF321*(-30098250-2979993975/11*ep-10296494050/11*ep^2-
         37294604665/21*ep^3)
      +45090106528009515637783650971/302853714817593139200-5141993975/
         226512*ep^-3-549427264526011/2332167552*ep^-2-
         560843641969177952041/840419899038720*ep^-1+5615430920360/
         14157*z3-908669792548503146772231045338565363431257/6875590974\
         31507540945305600000000*ep+2807715460180/4719*ep*z4+
         56379966962948932997/8162586432*ep*z3+114588909400149454929410\
         0831338352464741958934799/209054921920665235977698712576000000\
         000*ep^2+725315771350685/18876*ep^2*z5+56379966962948932997/
         5441724288*ep^2*z4-31727616066616501242099409/2941469646635520
         *ep^2*z3-45869268834552904760616196295276108681545050036019580\
         228400854916773201/2544647537070630282928721717816752187847908\
         052172800000000000*ep^3+10767427951853075/113256*ep^3*z6+
         11462991719015581639/100772672*ep^3*z5-
         31727616066616501242099409/1960979764423680*ep^3*z4-
         26129894436795764789537464644793/1059988001861575987200*ep^3*
         z3+784620942829025/56628*ep^3*z3^2;

Fill mncnoptab(13,3,1,2)=
      +mncF321*(-9316125-1876203875/22*ep-302149260*ep^2-818158362493/
         1386*ep^3)
      +44885870156244096725744407067/978450463256839372800-449638385/
         104544*ep^-3-407354058205867/7534695168*ep^-2-
         79300403240866254511/387886107248640*ep^-1+400917280840/3267*
         z3-383052006050533637741211656848763968478033/9520049041359335\
         18231961600000000*ep+200458640420/1089*ep*z4+
         8123919370517962019/3767347584*ep*z3+2239315989663802082005967\
         800477081140431780298629/1372257949017700010520278728704000000\
         000*ep^2+103610932965755/8712*ep^2*z5+8123919370517962019/
         2511565056*ep^2*z4-818979031189697473938779/271520275074048*
         ep^2*z3-176814854056449843754343176968799034642581858703081682\
         112573170118231082280101/8701394113452339479754885193960054582\
         761310966288345989120000000000*ep^3+1538127303252725/52272*
         ep^3*z6+15500228680358583097/418594176*ep^3*z5-
         818979031189697473938779/181013516716032*ep^3*z4-
         161203532555340612844650749719/19569009265136787456*ep^3*z3+
         112103820442775/26136*ep^3*z3^2;

Fill mncnoptab(13,3,2,1)=
      +mncF321*(-2149875-444289125/22*ep-2454218830/33*ep^2-
         211109592643/1386*ep^3)
      +15167331809706435458826269737/1413317335815434649600-3401263985/
         453024*ep^-3-840222563147353/10883448576*ep^-2-
         131440156803335070661/560279932692480*ep^-1+402399192040/14157
         *z3-210045501832605257962709029956510705568601437/237620424072\
         3290061506976153600000000*ep+201199596020/4719*ep*z4+
         916778277190403723/1813908096*ep*z3+45906460863309531123419738\
         3231455208763512738592101/128443344028056720984698089006694400\
         0000000*ep^2+103658638716155/37752*ep^2*z5+916778277190403723/
         1209272064*ep^2*z4-1128082689097985924748749/1960979764423680*
         ep^2*z3-137416802606313137798578578364627300073811638551767249\
         2791171307503669/132266560860647504918577455386726644332952488\
         5094400000000000*ep^3+1538783613060725/226512*ep^3*z6+
         50141442799348396843/5441724288*ep^3*z5-
         1128082689097985924748749/1307319842949120*ep^3*z4-
         1475081446059075496106640701749/706658667907717324800*ep^3*z3+
         112009100093975/113256*ep^3*z3^2;

Fill mncnoptab(13,4,1,1)=
      +mncF321*(-207025-411396895/198*ep-2484745774/297*ep^2-
         43570323311/2310*ep^3)
      +8985700935392104324950353983/8806054169311554355200-1074453373/
         940896*ep^-3-3241053396763339/339061282560*ep^-2-
         484596983148557878927/17454874826188800*ep^-1+80037216536/
         29403*z3-19043683117347639450339991460829986425417/24371325545\
         87989806673821696000000*ep+40018608268/9801*ep*z4+
         8520955063561687139/169530641280*ep*z3+50634497770793075650789\
         654892108800131736203853/1756490174742656013465956772741120000\
         000*ep^2+20726239833727/78408*ep^2*z5+8520955063561687139/
         113020427520*ep^2*z4-307961979454540032167867/
         12218412378332160*ep^2*z3-191885472183061717085538426846228908\
         03355066773981816239727409164344409/20965699138501649229585536\
         4526902984911001878569943040000000000*ep^3+307692108844465/
         470448*ep^3*z6+6632386868447190419/6278912640*ep^3*z5-
         307961979454540032167867/8145608252221440*ep^3*z4-
         5435890743884913702751290718303/22015135423278885888000*ep^3*
         z3+22486706819563/235224*ep^3*z3^2;

Fill mncnoptab(14,1,1,3)=
      +mncF321*(-1157625-3081135015/286*ep-16752540713/429*ep^2-
         782154186871/10010*ep^3)
      +224654309010233586634976205287/39370982926287108096000-432356471/
         5889312*ep^-3-7348048376167/303181781760*ep^-2+
         55615247937589544119/21850917375006720*ep^-1+2802714584872/
         184041*z3-136294271787491982531298565665245028363/
         2758724773644937664286720000000*ep+1401357292436/61347*ep*z4+
         286563067769756743289/1061136236160*ep*z3+52093536397592256480\
         07879765544057540456568371/26841619604628622890963785318400000\
         000*ep^2+725144638967549/490776*ep^2*z5+286563067769756743289/
         707424157440*ep^2*z4-128593478646231051254705077/
         382391054062617600*ep^2*z3+59290523560163437575152045332842409\
         41476434206558886823200150199297/95470181765997672952592734001\
         782910366588180889600000000000*ep^3+10765061001118355/2944656*
         ep^3*z6+1706138456751509460241/353712078720*ep^3*z5-
         128593478646231051254705077/254927369375078400*ep^3*z4-1522392\
         45775095126293178291212989/137798440242004878336000*ep^3*z3+
         785090358596417/1472328*ep^3*z3^2;

Fill mncnoptab(14,2,1,2)=
      +mncF321*(-330750-457502325/143*ep-1754927040/143*ep^2-3759826527/
         143*ep^3)
      +45018374333011650305456957531/27559688048400975667200-782785265/
         2944656*ep^-3-499982416206859/212227247232*ep^-2-
         381651849505412512969/76478210812523520*ep^-1+802821500600/
         184041*z3-276194073839160483677396025254470037273/
         20521534285583260788418560000000*ep+401410750300/61347*ep*z4+
         1195148633188658597/15159089088*ep*z3+547335057080938256973906\
         40759239281037397284221/10870855939874592270840333053952000000\
         00*ep^2+103625925098075/245388*ep^2*z5+1195148633188658597/
         10106059392*ep^2*z4-518376730112828633994587/7647821081252352*
         ep^2*z3-274426316842640915062724850058964605349009651884160465\
         583684590918491/5077277848464421697933340853731182051314007801\
         85600000000000*ep^3+1538332446459125/1472328*ep^3*z6+
         18085213100230888537/11790402624*ep^3*z5-
         518376730112828633994587/5098547387501568*ep^3*z4-
         139408407442773613081609606901/393709829262871080960*ep^3*z3+
         112049879049335/736164*ep^3*z3^2;

Fill mncnoptab(14,2,2,1)=
      +mncF321*(-47250-68060175/143*ep-175962330/91*ep^2-4439584529/
         1001*ep^3)
      +46382910278401517208693182459/192917816338806829670400-
         5818147025/20612592*ep^-3-4078891446756283/1485590730624*ep^-2
         -3968378620846307363209/535347475687664640*ep^-1+807724352840/
         1288287*z3-4128350689643131010260880531333335756553/2346295419\
         985019483475855360000000*ep+403862176420/429429*ep*z4+
         1225425000310521173/106113623616*ep*z3+49612879105754200980136\
         892175565933915729489537/7609599157912214589588233137766400000\
         000*ep^2+14814468406445/245388*ep^2*z5+1225425000310521173/
         70742415744*ep^2*z4-1373234832548843700060679/
         267673737843832320*ep^2*z3-20903263339095455615450949702181098\
         371875210470083756059344435909421/1481736188429412862866260698\
         129712312934496154419200000000000*ep^3+1539364695619925/
         10306296*ep^3*z6+20112381354182316553/82532818368*ep^3*z5-
         1373234832548843700060679/178449158562554880*ep^3*z4-
         5330774333943045903257072341279/96458908169403414835200*ep^3*
         z3+111891662682455/5153148*ep^3*z3^2;

Fill mncnoptab(14,3,1,1)=
      +mncF321*(-11025-33262915/286*ep-215104148/429*ep^2-110301491969/
         90090*ep^3)
      +8995976672788866595023504031/165358128290405854003200-1098846973/
         17667936*ep^-3-3403232287076779/6366817416960*ep^-2-
         520546959754225523887/327763760625100800*ep^-1+80031118136/
         552123*z3-19499004496319437083484229788536118231/
         50277758999678988931625472000000*ep+40015559068/184041*ep*z4+
         8757411787475435939/3183408708480*ep*z3+7421863172298415248297\
         33047163343980344311/566190413535135014106267346560000000*ep^2
         +20725190908927/1472328*ep^2*z5+8757411787475435939/
         2122272472320*ep^2*z4+3566702017846111996069/
         229434632437570560*ep^2*z3-49659868175968622461975661385632197\
         1517313531121009195361158074484302051/141728126176271148791998\
         2264201864177998372699132814950400000000000*ep^3+
         307676618908465/8833968*ep^3*z6+22449748491982486457/
         353712078720*ep^3*z5+3566702017846111996069/152956421625047040
         *ep^3*z4-5818211221649696337527150886463/
         413395320726014635008000*ep^3*z3+22486731213163/4416984*ep^3*
         z3^2;

Fill mncnoptab(15,1,1,2)=
      +mncF321*(-3375-71183295/2002*ep-3215661143/21021*ep^2-
         26096784183/70070*ep^3)
      +213982348949082861857394296519/13504247143716478076928000+
         3910996399/288576288*ep^-3+5230734540096281/103991351143680*
         ep^-2-2401726049959244215721/7494864659627304960*ep^-1+
         394426762432/9018009*z3-14793262357779421371754074740709683533/
         121659762517741750995044352000000*ep+197213381216/3006003*ep*
         z4+6234553629792096137/7427953653120*ep*z3+3467720521962001997\
         107247052222583104408247/8768262404178683477714836537344000000
         *ep^2+2110096777931/490776*ep^2*z5+6234553629792096137/
         4951969102080*ep^2*z4+59151647061467801883773/
         18737161649068262400*ep^2*z3-106080645221116700350705728641597\
         76599767754065191704905480721/10279555086784138520273203866478\
         74564972871680000000000*ep^3+1535144061282005/144288144*ep^3*
         z6+334918396966901914471/17331891857280*ep^3*z5+
         59151647061467801883773/12491441099378841600*ep^3*z4-
         28861527785199194486980739958139/6752123571858239038464000*
         ep^3*z3+112779776821367/72144072*ep^3*z3^2;

Fill mncnoptab(15,2,1,1)=
      +mncF321*(-225-5137945/2002*ep-257291603/21021*ep^2-21107802137/
         630630*ep^3)
      +1751969245233896775413643059/1620509657245977369231360-833827933/
         865728864*ep^-3-2911426320504859/311974053431040*ep^-2-
         3929776179449587842889/112422969894409574400*ep^-1+80097372896/
         27054027*z3-10127460532069759770109918631019249157/14599171502\
         12901011940532224000000*ep+40048686448/9018009*ep*z4+
         1307309448485371637/22283860959360*ep*z3+414655945479977394406\
         057078406724719460431/21043829770028840346515607689625600000*
         ep^2+423195647503/1472328*ep^2*z5+1307309448485371637/
         14855907306240*ep^2*z4+538827103710319236732709/
         11242296989440957440*ep^2*z3-672331603433596549156746426837771\
         037996191394017029658285643729/6447336950431011679915353465055\
         469271509851176960000000000*ep^3+307844905998865/432864432*
         ep^3*z6+26726642584737759017/17331891857280*ep^3*z5+
         538827103710319236732709/7494864659627304960*ep^3*z4-
         5963892546847300672126492887583/20256370715574717115392000*
         ep^3*z3+22486466194123/216432216*ep^3*z3^2;

Fill mncnoptab(16,1,1,1)=
      +mncF321*(-1-1195757/90090*ep-13215487/175175*ep^2-35118025721/
         141891750*ep^3)
      +77821027005016461791793565979/9115366822008622701926400000-
         8913963997/194788994400*ep^-3-15097034170440379/
         70194162021984000*ep^-2+1708320267136836963307/
         5059033645248430848000*ep^-1+15615467776/1217431215*z3-8561739\
         2590941030986800430900304241/3284813587979027276866197504000000
         *ep+7807733888/405810405*ep*z4+1418601071996279477/
         5013868715856000*ep*z3+8531278130586947803907865609047431159727
       /1183715424564122269491502932541440000000*ep^2+83220983171/
         66254760*ep^2*z5+1418601071996279477/3342579143904000*ep^2*z4+
         8559627353481409539405017/12647584113121077120000*ep^2*z3+
         79444053322464297200392000385944263312679768007/12187534011312\
         2028866845141934466662400000000*ep^3+12108560783929/3895779888
         *ep^3*z6+35592793177838519977/3899675667888000*ep^3*z5+
         8559627353481409539405017/8431722742080718080000*ep^3*z4-
         4772815900208679826113746193727/4557683411004311350963200000*
         ep^3*z3+22494546330187/48697248600*ep^3*z3^2;
*--#] 19 :
#case 18
*--#[ 18 :

Fill mncnoptab(5,4,4,5)=
      +mncF321*(49519691020800+357807823132760*ep+7624439093755952/9*
         ep^2+133039629453966187/135*ep^3)
      -2898736361891945066648929159/11981252052000-237299976290/9*ep^-3
         -28165836551811001/124740*ep^-2-39236319684189160294/108056025
         *ep^-1-5859661223716976/9*z3+495896187113161066604767398705275\
         159/188939552359219200000*ep-2929830611858488/3*ep*z4-
         317851602293177054962/31185*ep*z3-1260068330475249142726953881\
         346700938731111/94273279045156012032000000*ep^2-
         568837585808661832/9*ep^2*z5-158925801146588527481/10395*ep^2*
         z4+15838685914616623724886761/432224100*ep^2*z3+93522929889571\
         4004919443901268657385772218432670758291931259/209748362857920\
         97518666622099783680000000000*ep^3-1407444811462362140/9*ep^3*
         z6-333167596079531673107/4455*ep^3*z5+
         15838685914616623724886761/288149400*ep^3*z4-
         24881803321753144897998620189/1996875342000*ep^3*z3-
         68442678899332712/3*ep^3*z3^2;

Fill mncnoptab(5,5,4,4)=
      +mncF321*(43329729643200+313637375091040*ep+6707095265338468/9*
         ep^2+117647982091315283/135*ep^3)
      -263140474199080727677878869/1244805408000-249357788680/9*ep^-3-
         765994057252859/3240*ep^-2-525869366004530503/1403325*ep^-1-
         5126277952619824/9*z3+1266993174009582060616361429594321/
         552096094556160000*ep-2563138976309912/3*ep*z4-
         14458251009523902691/1620*ep*z3-119018615634539697407158419895\
         947922177/10202735827397836800000*ep^2-497723070681204368/9*
         ep^2*z5-14458251009523902691/1080*ep^2*z4+
         16304850918726521517307/510300*ep^2*z3+14939793232770051324931\
         214958980893956637511135980775925417191/4326059983944620113224\
         99080808038400000000000*ep^3-1231491981821461360/9*ep^3*z6-
         107141861339155238957/1620*ep^3*z5+16304850918726521517307/
         340200*ep^3*z4-197831935014707525843438249/18860688000*ep^3*z3
         -59890758703663888/3*ep^3*z3^2;

Fill mncnoptab(5,5,5,3)=
      +mncF321*(28435135078350+206419490547270*ep+5919469562273267/12*
         ep^2+418743787005486523/720*ep^3)
      -263626988379357776800195799/1896846336000-698809896785/48*ep^-3-
         2184414130107139/17280*ep^-2-14694732308234411351/68428800*
         ep^-1-2243231245738483/6*z3+26332859582685682204183850358539/
         17526860144640000*ep-2243231245738483/4*ep*z4-
         50677036307997128141/8640*ep*z3-138889332399060763139883417685\
         5717599/182191711203532800000*ep^2-435517950612381637/12*ep^2*
         z5-50677036307997128141/5760*ep^2*z4+713229081184745396343623/
         34214400*ep^2*z3+108401515394806076230252480250154284701068023\
         62493181364734739/471059864918414190106721221324308480000000000
         *ep^3-2155157440604523355/24*ep^3*z6-381616623921938231407/
         8640*ep^3*z5+713229081184745396343623/22809600*ep^3*z4-
         676915868202536324414283373/105380352000*ep^3*z3-
         52400826216155417/4*ep^3*z3^2;

Fill mncnoptab(6,3,3,6)=
      +mncF321*(17827088767488+647466233902488/5*ep+7743939671503412/25
         *ep^2+137018816406686192/375*ep^3)
      -971447356060844761203388573/11093751900000-12296351834/5*ep^-3-
         7635416071679621/346500*ep^-2-101439717201788439277/2401245000
         *ep^-1-5863508845283856/25*z3+27750651241805852654832662228200\
         158079/29521805056128000000000*ep-8795263267925784/25*ep*z4-
         35415785768513158508/9625*ep*z3-781489481591121748436698721141\
         6850709707283/1636688872311736320000000000*ep^2-
         568878584259260392/25*ep^2*z5-53123678652769737762/9625*ep^2*
         z4+435278011961704002831931/33350625*ep^2*z3+12838823831146465\
         8733413104221903247518856770803670837871239/809214362877781540\
         0720147415040000000000000*ep^3-281507537706988268/5*ep^3*z6-
         344118671636654087717/12375*ep^3*z5+435278011961704002831931/
         22233750*ep^3*z4-65561300988819679048983346007/16640627850000*
         ep^3*z3-205285875679797016/25*ep^3*z3^2;

Fill mncnoptab(6,4,2,6)=
      +mncF321*(9099243225072+331878948312912/5*ep+12008898602045254/75
         *ep^2+430208761857750043/2250*ep^3)
      -492778841898971560637391344881/11019491683200000-28241912881/30*
         ep^-3-5192067269079509/594000*ep^-2-575368347837262802293/
         30579120000*ep^-1-8979005732898292/75*z3+211060197134441175043\
         395675954129693667/441220446995328000000000*ep-
         4489502866449146/25*ep*z4-558910215245808321931/297000*ep*z3-
         6932350511724268198944047259442736448972662833/
         2861967605026255165440000000000*ep^2-871100769411011594/75*
         ep^2*z5-558910215245808321931/198000*ep^2*z4+
         7767236372226273419305993/1176120000*ep^2*z3+91339517707068427\
         1297687641156969705560694466526046451668604098230091/
         121459187795244972143954751686921158656000000000000000*ep^3-
         431060881839056651/15*ep^3*z6-4321883047051997802137/297000*
         ep^3*z5+7767236372226273419305993/784080000*ep^3*z4-
         254380366198279386512987950757/141275534400000*ep^3*z3-
         104779497077081554/25*ep^3*z3^2;

Fill mncnoptab(6,4,3,5)=
      +mncF321*(25997837785920+188671824204864*ep+6758553679733128/15*
         ep^2+119364375139030538/225*ep^3)
      -2907337843127532828713703349/22821432480000-25018918652/3*ep^-3-
         4350822680870719/59400*ep^-2-53540683950783147353/411642000*
         ep^-1-5129019351833104/15*z3+185261073630094183083257496848247\
         0211/1349568231137280000000*ep-2564509675916552/5*ep*z4-
         159276947566159876571/29700*ep*z3-1565141301219261150297125480\
         794325555100637/224460188202752409600000000*ep^2-
         497752201620765728/15*ep^2*z5-159276947566159876571/19800*ep^2
         *z4+3924888100189724812895249/205821000*ep^2*z3+81630572489197\
         753812586338906060030806589127157959453067557133/3845386652395\
         217878422214051627008000000000000*ep^3-246311591134466312/3*
         ep^3*z6-1197591532242582008317/29700*ep^3*z5+
         3924888100189724812895249/137214000*ep^3*z4-
         22431731270779349391819302299/3803572080000*ep^3*z3-
         59880686633998048/5*ep^3*z3^2;

Fill mncnoptab(6,4,4,4)=
      +mncF321*(30330810750240+220262356442128*ep+23703148644587048/45*
         ep^2+419554601537792938/675*ep^3)
      -2897232437273634823519848259/19561227840000-157177071415/9*ep^-3
         -26718087402378239/178200*ep^-2-172096505347111100611/
         705672000*ep^-1-17943859407614504/45*z3+
         90519380444288883503750212969819/56483045388000000*ep-
         8971929703807252/15*ep*z4-557512640540730950761/89100*ep*z3-
         2443083674598941409783852019126198568389/
         300616323485829120000000*ep^2-1742050902549367228/45*ep^2*z5-
         557512640540730950761/59400*ep^2*z4+7839837354992564940758683/
         352836000*ep^2*z3+10414784461065053378099180783259515636310491\
         56535464458333422819/44161862336101330322505114499153920000000\
         000000*ep^3-862053521570876362/9*ep^3*z6-
         4206739343838623244947/89100*ep^3*z5+7839837354992564940758683/
         235224000*ep^3*z4-22133072359244926916224258019/3260204640000*
         ep^3*z3-209610803315752748/15*ep^3*z3^2;

Fill mncnoptab(6,5,1,6)=
      +mncF321*(1011027025008+37370416871788/5*ep+1388032127548066/75*
         ep^2+25811102918297821/1125*ep^3)
      -313997842584579895453039943327/63111634185600000-3198556361/270*
         ep^-3-86935802300969/486000*ep^-2-154543716262389838511/
         175134960000*ep^-1-8980347947062492/675*z3+2346575114829763946\
         721081399817112869867/44576100650440719360000000*ep-
         4490173973531246/225*ep*z4-51130751031667593881/243000*ep*z3-
         4239203033547159757404114759139882951741247363/
         16063443630392817628569600000000*ep^2-290371721520878998/225*
         ep^2*z5-51130751031667593881/162000*ep^2*z4+
         62467799609538949838266303/87567480000*ep^2*z3+
         18343712366012094020382823596127882689766894233338367066517224\
         20141860069/25145088353310590358102232467984852870758400000000\
         00000000*ep^3-431067408307787251/135*ep^3*z6-
         47072187180405696343/27000*ep^3*z5+62467799609538949838266303/
         58378320000*ep^3*z4-571787446619400177909219378323/
         4507973870400000*ep^3*z3-314324002827696862/675*ep^3*z3^2;

Fill mncnoptab(6,5,2,5)=
      +mncF321*(7582702687560+55536458529552*ep+675277051171723/5*ep^2+
         146899914585529021/900*ep^3)
      -3440813609212191679664704667/92471258880000-21091133063/12*ep^-3
         -1056741793918979/64800*ep^-2-8910680354846878711/256608000*
         ep^-1-498728694397934/5*z3+60597301638119041452896605079114473/
         152333453028556800000*ep-748093041596901/5*ep*z4-
         50898869005826572661/32400*ep*z3-77107446801282566311315888628\
         1406327731763/384264181933595099136000000*ep^2-
         145180090047631639/15*ep^2*z5-50898869005826572661/21600*ep^2*
         z4+9103248466390287949838939/1667952000*ep^2*z3+
         39995182005840881626076034176803830294364066094300884847242857\
         4452351073/689693851976519049822232661979013107312230400000000\
         00000*ep^3-143683903964437837/6*ep^3*z6-134021910505206576349/
         10800*ep^3*z5+9103248466390287949838939/1111968000*ep^3*z4-
         804493564384272865631476695053/601063182720000*ep^3*z3-
         52393162317192697/15*ep^3*z3^2;

Fill mncnoptab(6,5,3,4)=
      +mncF321*(17331891857280+126479836739256*ep+1526981391419484/5*
         ep^2+82213052526653332/225*ep^3)
      -526946756672156505476345083/6224027040000-9717762054*ep^-3-
         1368526656023123/16200*ep^-2-2025957270755557757/14033250*
         ep^-1-3417966666770656/15*z3+1259807555746153235268670879795523
       /1380240236390400000*ep-1708983333385328/5*ep*z4-
         29027537521477808897/8100*ep*z3-705672866129671383311954510757\
         432461249/153041037410967552000000*ep^2-331820154388915192/15*
         ep^2*z5-29027537521477808897/5400*ep^2*z4+
         352817595526172288031769/28066500*ep^2*z3+12229888030407534016\
         7653647691371185996169280389023215462528081541941/899704990113\
         1539089169894999146448814080000000000000*ep^3-
         54733697953690756*ep^3*z6-74966503185442179673/2700*ep^3*z5+
         352817595526172288031769/18711000*ep^3*z4-
         10624812084074660504189191519/3112013520000*ep^3*z3-
         119776607861126216/15*ep^3*z3^2;

Fill mncnoptab(6,5,4,3)=
      +mncF321*(15165405375120+110870913657504*ep+1343348163102946/5*
         ep^2+145404387283757371/450*ep^3)
      -263095104176578755561984059/3556586880000-60926628763/6*ep^-3-
         2856647995714079/32400*ep^-2-19237759991479293211/128304000*
         ep^-1-2990183549557204/15*z3+62937992416462345456737225051649/
         78870870650880000*ep-1495091774778602/5*ep*z4-
         50836020734192215361/16200*ep*z3-17595833517575674717669701819\
         1322310947/43726010688847872000000*ep^2-290336892489121478/15*
         ep^2*z5-50836020734192215361/10800*ep^2*z4+
         703016515408642089210203/64152000*ep^2*z3+25807003826032300979\
         0745627232235442591180881550165889862297079894846463/
         21552932874266220306944770686844159603507200000000000000*ep^3-
         143673354469782137/3*ep^3*z6-132559352096513130649/5400*ep^3*
         z5+703016515408642089210203/42768000*ep^3*z4-
         5050210135215846633587647937/1778293440000*ep^3*z3-
         34936793540847198/5*ep^3*z3^2;

Fill mncnoptab(6,5,5,2)=
      +mncF321*(5055135125040+37235146736788*ep+1373433885389566/15*
         ep^2+25297490861241571/225*ep^3)
      -44636014214382165856949441261/1803189548160000-111185835761/54*
         ep^-3-1839284763547469/97200*ep^-2-195567915107529065573/
         5003856000*ep^-1-8974486808779492/135*z3+235706143546021627542\
         6448399796295467869/8915220130088143872000000*ep-
         4487243404389746/45*ep*z4-51025110617189799881/48600*ep*z3-
         4261660533959913020900255530300154589019562693/
         3212688726078563525713920000000*ep^2-290350849622831998/45*
         ep^2*z5-51025110617189799881/32400*ep^2*z4+
         8995437119069773182423829/2501928000*ep^2*z3+60889573895873361\
         1330388220555387646161851523329613147052631130791587801/
         167633922355403935720681549786565685805056000000000000000*ep^3
         -431039031029858251/27*ep^3*z6-46117114708668549343/5400*ep^3*
         z5+8995437119069773182423829/1667952000*ep^3*z4-
         95031191148569704445373465689/128799253440000*ep^3*z3-
         314387855889969862/135*ep^3*z3^2;

Fill mncnoptab(6,6,3,3)=
      +mncF321*(5199567557184+38430425713680*ep+2378077062797436/25*
         ep^2+8839419109587877/75*ep^3)
      -262944462162174328688059403/10373378400000-95205338228/25*ep^-3-
         906760004028313/27000*ep^-2-708796085474120417/11694375*ep^-1-
         1708505628862032/25*z3+1249829245753163792439927375176627/
         4600800787968000000*ep-2562758443293048/25*ep*z4-
         2919557345576363969/2700*ep*z3-8656067478943857635256156081356\
         332867/6376709892123648000000*ep^2-165904947542157824/25*ep^2*
         z5-2919557345576363969/1800*ep^2*z4+171747167897471697211613/
         46777500*ep^2*z3+311357243885917064756104662001627581171182189\
         698589623491160054219/1292932901070571950889918936450596864000\
         00000000000*ep^3-82098220956647896/5*ep^3*z6-
         8053807160475493981/900*ep^3*z5+171747167897471697211613/
         31185000*ep^3*z4-3439604673668780433034495943/5186689200000*
         ep^3*z3-59893451652402368/25*ep^3*z3^2;

Fill mncnoptab(6,6,4,2)=
      +mncF321*(3033081075024+22475571806688*ep+1397732393803746/25*
         ep^2+31392534364925783/450*ep^3)
      -44602641845038812358638028547/3005315913600000-71458528141/50*
         ep^-3-2110004679251063/162000*ep^-2-219363365697615680527/
         8339760000*ep^-1-2991146706103556/75*z3+2347867899666984533920\
         90684788789197987/1485870021681357312000000*ep-
         1495573353051778/25*ep*z4-10233061002742300261/16200*ep*z3-
         422344852239218175126319545124607346194210063/
         535448121013093920952320000000*ep^2-290347244675429942/75*ep^2
         *z5-10233061002742300261/10800*ep^2*z4+
         8880207856129700215840751/4169880000*ep^2*z3+40630518244593591\
         4015570913922027742016201918329829872711763809347385579/
         251450883533105903581022324679848528707584000000000000000*ep^3
         -47892682994887731/5*ep^3*z6-28595062345936096829/5400*ep^3*z5
         +8880207856129700215840751/2779920000*ep^3*z4-
         516144544906101605963785317497/1502657956800000*ep^3*z3-
         104800023186252394/75*ep^3*z3^2;

Fill mncnoptab(6,6,5,1)=
      +mncF321*(505513512504+3775844376304*ep+715271696061923/75*ep^2+
         437644326614083/36*ep^3)
      -314176472447812135351068253289/126223268371200000-8335095769/
         2700*ep^-3-166705395846323/972000*ep^-2-456853202527049066909/
         350269920000*ep^-1-4490287498030334/675*z3+1631104511560082572\
         9313099873826011569207/624065409106170071040000000*ep-
         2245143749015167/225*ep*z4-2055133162777885421/19440*ep*z3-
         29211636161490541348484650137152069464407979283/22488821082549\
         9446799974400000000*ep^2-145186179950282471/225*ep^2*z5-
         2055133162777885421/12960*ep^2*z4+61064689556337930249222157/
         175134960000*ep^2*z3+35008242087737354276068100905363942156023\
         469293451517777107842766461760847/1056093710839044795040293763\
         65536382057185280000000000000000*ep^3-431068252352817079/270*
         ep^3*z6-1989840920114501191/2160*ep^3*z5+
         61064689556337930249222157/116756640000*ep^3*z4-
         45459214703315979619005969851/1287992534400000*ep^3*z3-
         157160187233140091/675*ep^3*z3^2;

Fill mncnoptab(7,2,2,7)=
      +mncF321*(1980787640832+72749664819832/5*ep+8000709003517712/225*
         ep^2+48563515124572789/1125*ep^3)
      -6413631623499729598179238857743/658070268956100000-3407546/5*
         ep^-3-270674392589597/4504500*ep^-2-279245145258553012673/
         608715607500*ep^-1-5864900920427056/225*z3+1572116729914821742\
         25562098342838844241641/1517710093574529254400000000*ep-
         2932450460213528/75*ep*z4-4165769005375218977786/10135125*ep*
         z3-47570155593495166375179978953850256928657914541/
         91153668220086227019264000000000*ep^2-568893226041262792/225*
         ep^2*z5-2082884502687609488893/3378375*ep^2*z4+
         2587887833990215905355413229/1826146822500*ep^2*z3+
         61936614686451909836930489945264141808762773000422525641535290\
         761/35153308527009676538881152621817626624000000000000*ep^3-
         93838054186805956/15*ep^3*z6-4773385444895545173671/1447875*
         ep^3*z5+2587887833990215905355413229/1217431215000*ep^3*z4-
         102655108467095512139359199147179/329035134478050000*ep^3*z3-
         205270214643385016/225*ep^3*z3^2;

Fill mncnoptab(7,3,1,7)=
      +mncF321*(758270268756+27952342393976/5*ep+6193133043965777/450*
         ep^2+50662550809206277/3000*ep^3)
      -3453813229491692106074036369267/925637301388800000+207316291/40*
         ep^-3+1951746792911/88000*ep^-2-95955213160032171317/
         856215360000*ep^-1-2245187380163273/225*z3+4122757487546896773\
         5342614635058938737/1042383306026462400000000*ep-
         2245187380163273/150*ep*z4-561745276463919262631/3564000*ep*z3
         -398065873305479779831437209699862159603238769/
         2003377323518378615808000000000*ep^2-435559480702989097/450*
         ep^2*z5-561745276463919262631/2376000*ep^2*z4+
         691270076006286611091854063/1284323040000*ep^2*z3+
         15297099883200566068162696613552053593219139517955374704497234\
         20741/2429183755904899442879095033738423173120000000000000*
         ep^3-143689701980887517/60*ep^3*z6-4591627369789775575037/
         3564000*ep^3*z5+691270076006286611091854063/856215360000*ep^3*
         z4-6910215526284022468045353863023/66116950099200000*ep^3*z3-
         157159292517676631/450*ep^3*z3^2;

Fill mncnoptab(7,3,2,6)=
      +mncF321*(5199567557184+190202459070624/5*ep+6920222349508468/75*
         ep^2+41602182229505011/375*ep^3)
      -44834134980190811848398830611/1753100949600000-875806932/5*ep^-3
         -15306948667603/9000*ep^-2-374084972606319437/90090000*ep^-1-
         5131475198673824/75*z3+689120649104951389814596330566683288171/
         2526989832791424000000000*ep-2565737599336912/25*ep*z4-
         14537944516450496741/13500*ep*z3-55776284640215235463849364618\
         2159522611542303/404722691619874467840000000000*ep^2-
         497778350950248368/75*ep^2*z5-14537944516450496741/9000*ep^2*
         z4+4562151802406791637866727/1216215000*ep^2*z3+
         14695207970625794896871888815571684521831026504117763463278000\
         25017/330501191279578155493754426358969139200000000000000*ep^3
         -82107812625262424/5*ep^3*z6-114188087338563856307/13500*ep^3*
         z5+4562151802406791637866727/810810000*ep^3*z4-
         823456313348187447300286263623/876550474800000*ep^3*z3-
         179615104411606864/75*ep^3*z3^2;

Fill mncnoptab(7,3,3,5)=
      +mncF321*(11374054031340+83065401757338*ep+3012149571098941/15*
         ep^2+24043387434648771/100*ep^3)
      -2913978436174487226145917329/52163274240000-13668352971/8*ep^-3-
         274814268048187/17600*ep^-2-19925592219422855387/627264000*
         ep^-1-2244592288829618/15*z3+432034601361812264740501383751381\
         31/72298298096640000000*ep-1122296144414809/5*ep*z4-
         559186237033723066271/237600*ep*z3-673095470725711202336494108\
         057534153853/222678758137651200000000*ep^2-435546880594680127/
         30*ep^2*z5-559186237033723066271/158400*ep^2*z4+
         7749237964359849430820513/940896000*ep^2*z3+362849771451610623\
         76919171687093765487626234923072945616517371/39254988743201182\
         50889343511035904000000000000*ep^3-143685898672340297/4*ep^3*
         z6-4350646335677417362517/237600*ep^3*z5+
         7749237964359849430820513/627264000*ep^3*z4-
         56720021712369367042109029987/26081637120000*ep^3*z3-
         157172485345687721/30*ep^3*z3^2;

Fill mncnoptab(7,4,1,6)=
      +mncF321*(1011027025008+37289686562128/5*ep+1378899679607086/75*
         ep^2+152759377297441141/6750*ep^3)
      -3453713663662019549525202745207/694227976041600000-149634667/90*
         ep^-3-260473470766909/5346000*ep^-2-645761050776605500211/
         1926484560000*ep^-1-2993520646989964/225*z3+824267536208714200\
         808557013243935979719/15635749590396936000000000*ep-
         1496760323494982/75*ep*z4-561879244752489369811/2673000*ep*z3-
         23867518922395304258574245583375564379468727077/
         90151979558327037711360000000000*ep^2-290372413168981598/225*
         ep^2*z5-561879244752489369811/1782000*ep^2*z4+
         690401724080479735099567123/963242280000*ep^2*z3+
         33550427561419641197532824558671102172895967528602906511774585\
         0062219377/431058657485324406138895413736883192070144000000000\
         000000*ep^3-143689446260995817/45*ep^3*z6-
         1535048929215261731099/891000*ep^3*z5+
         690401724080479735099567123/642161520000*ep^3*z4-
         6830749172428008784377338280163/49587712574400000*ep^3*z3-
         11641524556458706/25*ep^3*z3^2;

Fill mncnoptab(7,4,2,5)=
      +mncF321*(5777297285760+42380006861192*ep+1550334538223744/15*
         ep^2+84594981541304497/675*ep^3)
      -985521650295355740368011703387/34711398802080000-5713115590/9*
         ep^-3-3264406022237683/534600*ep^-2-692371026129529546883/
         48162114000*ep^-1-3420564742308896/45*z3+121110554019822843825\
         79786451534295770263/40027518951416156160000000*ep-
         1710282371154448/15*ep*z4-320207316827394601897/267300*ep*z3-
         88007574768155399742769321173330290916143434897/
         57697266917329304135270400000000*ep^2-331847716497460072/45*
         ep^2*z5-320207316827394601897/178200*ep^2*z4+
         99807201778762218838014319/24081057000*ep^2*z3+
         79754191455582636856184338551482242852811806635413403999600000\
         15248999/16890461681057609383401616211730933240299520000000000\
         00*ep^3-164213575877575588/9*ep^3*z6-850121145209324259473/
         89100*ep^3*z5+99807201778762218838014319/16054038000*ep^3*z4-
         16742627809867304617217481567431/17355699401040000*ep^3*z3-
         39915957160977352/15*ep^3*z3^2;

Fill mncnoptab(7,4,3,4)=
      +mncF321*(10110270250080+74158642013456*ep+2712578470637672/15*
         ep^2+148026358846881466/675*ep^3)
      -2904484384310189839902414679/58683683520000-36578948497/9*ep^-3-
         19118412372660559/534600*ep^-2-135566183985295310471/
         2117016000*ep^-1-5983022652844328/45*z3+8625450418792577098411\
         200318641881/16267117071744000000*ep-2991511326422164/15*ep*z4
         -560191512354236802361/267300*ep*z3-48148956659968507811868856\
         93097423606917/1803697940914974720000000*ep^2-
         580702113060610996/45*ep^2*z5-560191512354236802361/178200*
         ep^2*z4+7679601739416284385358303/1058508000*ep^2*z3+
         45273944907532789266032577124704025023314696406817351602295134\
         105956663/5542182739097028078928655319474212469473280000000000\
         000*ep^3-287359545203883334/9*ep^3*z6-1486461387633852490049/
         89100*ep^3*z5+7679601739416284385358303/705672000*ep^3*z4-
         7124413444171261202020513411/4191691680000*ep^3*z3-
         69863910587780036/15*ep^3*z3^2;

Fill mncnoptab(7,4,4,3)=
      +mncF321*(6740180166720+149156822406592/3*ep+5516414409084124/45*
         ep^2+101942004606694189/675*ep^3)
      -1446778249581566781762329807/44012762640000-378326573716/81*
         ep^-3-16396975311010637/400950*ep^-2-114145456524063796253/
         1587762000*ep^-1-35880886865020288/405*z3+23604165549569470140\
         37790917767808003/6695545386729830400000*ep-17940443432510144/
         135*ep*z4-280759490110575848078/200475*ep*z3-40945630428811635\
         179725520667605675519551/23200064765018862336000000*ep^2-
         1161342797397236272/135*ep^2*z5-140379745055287924039/66825*
         ep^2*z4+3794498346679951127985079/793881000*ep^2*z3+
         34658421802746689629327735372124029716867553843203447748045756\
         5205001/64474585521309206046415980687140648386560000000000000*
         ep^3-1724073752663344264/81*ep^3*z6-255612159093889095484/
         22275*ep^3*z5+3794498346679951127985079/529254000*ep^3*z4-
         20464510759580601299078304941/22006381320000*ep^3*z3-
         1257738331039376368/405*ep^3*z3^2;

Fill mncnoptab(7,5,1,5)=
      +mncF321*(631891890630+4701017951630*ep+706928175456503/60*ep^2+
         32078327293399649/2160*ep^3)
      -28555539838858308802264245499/9179874063360000+4111544437/720*
         ep^-3-41425040486483/777600*ep^-2-20475634552605976199/
         25474176000*ep^-1-748403245859269/90*z3+2654809350562770908245\
         496450856227303/81047455728074035200000*ep-748403245859269/60*
         ep*z4-10256730002430385033/77760*ep*z3-38169828572773864633256\
         397090804508986391297/233650089169350074597376000000*ep^2-
         145186622086096591/180*ep^2*z5-10256730002430385033/51840*ep^2
         *z4+4739254729692965938867409/10777536000*ep^2*z3+
         31870979180665420271565834495935890907017103057322476191892189\
         219282891/7543526505993177107430669740395455861227520000000000\
         0000*ep^3-143689815594378053/72*ep^3*z6-29227015661647760417/
         25920*ep^3*z5+4739254729692965938867409/7185024000*ep^3*z4-
         31822184491927792760922038609/554827553280000*ep^3*z3-
         17462064737736619/60*ep^3*z3^2;

Fill mncnoptab(7,5,2,4)=
      +mncF321*(2888648642880+21404104081360*ep+798477305998372/15*ep^2
         +1792068036497351/27*ep^3)
      -44690564001446517656631991847/3155581709280000-40320628348/45*
         ep^-3-400943786584573/48600*ep^-2-37682148741602821543/
         2189187000*ep^-1-1709691124693552/45*z3+1368114936128895231128\
         090517222811297/9097163398049126400000*ep-854845562346776/15*
         ep*z4-584820236760477721/972*ep*z3-895574417060931619189790065\
         3799110662131/11920922916803575234560000*ep^2-
         165917636941120064/45*ep^2*z5-584820236760477721/648*ep^2*z4+
         555056814708608983067951/273648375*ep^2*z3+2492939671224227325\
         8245657274320955971595015183641595565538190395873/143952798418\
         10462542671831998634318102528000000000000*ep^3-
         82103972908213256/9*ep^3*z6-1633822277616375845/324*ep^3*z5+
         555056814708608983067951/182432250*ep^3*z4-
         514499551465385790017918337827/1577790854640000*ep^3*z3-
         6653398559039232/5*ep^3*z3^2;

Fill mncnoptab(7,5,3,3)=
      +mncF321*(3791351343780+28124765268600*ep+700997678163783/10*ep^2
         +6312864861719101/72*ep^3)
      -37583403399493305965619329/2032335360000-105590886401/40*ep^-3-
         3031234544247203/129600*ep^-2-22044015268508863879/513216000*
         ep^-1-747517765593599/15*z3+53441568879007897452335746466248657
       /270527086332518400000*ep-747517765593599/10*ep*z4-
         2047253166316192541/2592*ep*z3-1476357746401963309904146688689\
         85770223/149980216662748200960000*ep^2-145167809699924011/30*
         ep^2*z5-2047253166316192541/1728*ep^2*z4+
         681567794813944720609847/256608000*ep^2*z3+3476903942765980407\
         0530831434828478642401325199817016311262162100456889/
         15087053011986354214861339480790911722455040000000000000*ep^3-
         47890924722912271/4*ep^3*z6-5751022662483550501/864*ep^3*z5+
         681567794813944720609847/171072000*ep^3*z4-
         2895221702635657828183978373/7113173760000*ep^3*z3-
         52405724771316917/30*ep^3*z3^2;

Fill mncnoptab(7,5,4,2)=
      +mncF321*(1685045041680+37745457830080/3*ep+1428967769014786/45*
         ep^2+10913975430630013/270*ep^3)
      -6357426664696970133115641221/772795520640000-899615465749/810*
         ep^-3-2943352425907103/291600*ep^-2-27565750062218752717/
         1364688000*ep^-1-8970606935398108/405*z3+654500375685403337715\
         9328627295799080581/74887849092740408524800000*ep-
         4485303467699054/135*ep*z4-10267824895006666813/29160*ep*z3-
         1461122915804895535539786370788551793658650529/
         3373323162382491701999616000000*ep^2-290337214418953702/135*
         ep^2*z5-10267824895006666813/19440*ep^2*z4+
         8733213454656189351744271/7505784000*ep^2*z3+77248462104247763\
         33974057512223366428981641428880998821153291010658068351/
         6336562265034268770241762581932182923431116800000000000000*
         ep^3-431020518160731499/81*ep^3*z6-9924027458176072199/3240*
         ep^3*z5+8733213454656189351744271/5003856000*ep^3*z4-
         329038320455248458653672300537/2704784322240000*ep^3*z3-
         314431329663072622/405*ep^3*z3^2;

Fill mncnoptab(7,5,5,1)=
      +mncF321*(210630630210+4778548781006/3*ep+741196336851971/180*
         ep^2+2340738048870755/432*ep^3)
      -314390720545943007182470860713/302935844090880000-20569101553/
         6480*ep^-3-369719699643779/2332800*ep^-2-983108014518240545933/
         840647808000*ep^-1-2245159645179451/810*z3+5661194357693290546\
         4897714026772394556187/5242149436491828596736000000*ep-
         2245159645179451/540*ep*z4-51677069595419507309/1166400*ep*z3-
         33426711755089243577268648932760897934711266113/62968699031139\
         8451039928320000000*ep^2-145186169319374183/540*ep^2*z5-
         51677069595419507309/777600*ep^2*z4+4566270018315746210251153/
         32332608000*ep^2*z3+538319166851589799457492790405038268787298\
         72998049767674240131191403459447/33266951891429911043769253555\
         1439603480133632000000000000000*ep^3-431068188667763647/648*
         ep^3*z6-52983016436701717207/129600*ep^3*z5+
         4566270018315746210251153/21555072000*ep^3*z4-
         92295745192391997213311861/128037127680000*ep^3*z3-
         157159039027297307/1620*ep^3*z3^2;

Fill mncnoptab(7,6,1,4)=
      +mncF321*(183823095456+1392399536528*ep+270750912376672/75*ep^2+
         3217599229691176/675*ep^3)
      -28557954448852879462408490929/31555817092800000-1524930043/225*
         ep^-3-30006753328273/243000*ep^-2-638606958310606221919/
         963242280000*ep^-1-544240531772392/225*z3+64603463569393824844\
         68140167591412881079/686471950016787078144000000*ep-
         272120265886196/75*ep*z4-10343359016835986197/267300*ep*z3-
         4573172380783537807944100697989734304697072483/
         98950812763219756591988736000000*ep^2-52794615853186844/225*
         ep^2*z5-10343359016835986197/178200*ep^2*z4+
         59132816636602338332290607/481621140000*ep^2*z3+
         12652158053770136253393153045149428924878308022796357185298195\
         4092950451/190096867951028063107252877457965487702933504000000\
         0000000*ep^3-26125187660707226/45*ep^3*z6-32048659768680511013/
         89100*ep^3*z5+59132816636602338332290607/321080760000*ep^3*z4+
         26280215870949869419216312513/24793856287200000*ep^3*z3-
         6350064661249036/75*ep^3*z3^2;

Fill mncnoptab(7,6,2,3)=
      +mncF321*(630250612992+4759831948872*ep+306800123752668/25*ep^2+
         723552837444196/45*ep^3)
      -16187098294000631837047465753/5259302848800000-10359754314/25*
         ep^-3-310111634171417/81000*ep^-2-649436797596084901049/
         80270190000*ep^-1-621353067292048/75*z3+1060016261412806369808\
         470610490270684333/32689140476989860864000000*ep-
         310676533646024/25*ep*z4-2359566834393354073/17820*ep*z3-
         93749210505528266271517673365045672866984461/
         588992933114403313047552000000*ep^2-60329903068443736/75*ep^2*
         z5-2359566834393354073/11880*ep^2*z4+1309117165799234187069529/
         3087315000*ep^2*z3+1770321740864020695275083763878447314705529\
         0756509824118209078284961/439855772944208577692750422180493053\
         13280000000000000*ep^3-9951425000191948/5*ep^3*z6-
         7213727529257133233/5940*ep^3*z5+1309117165799234187069529/
         2058210000*ep^3*z4-14884927167924288343912147331/
         2225089666800000*ep^3*z3-21778572534234152/75*ep^3*z3^2;

Fill mncnoptab(7,6,3,2)=
      +mncF321*(551469286368+4172869965264*ep+269937590066872/25*ep^2+
         3198926570907256/225*ep^3)
      -577005629727599258520294721/214665422400000-33563937043/75*ep^-3
         -331571398053973/81000*ep^-2-384688417293220942417/45868680000
         *ep^-1-543537509652592/75*z3+129764944072117860695782251796288\
         69675903/457647966677858052096000000*ep-271768754826296/25*ep*
         z4-10330999201035883657/89100*ep*z3-91595368632530381520764221\
         85311159038649616107/65967208508813171061325824000000*ep^2-
         52787130766978244/75*ep^2*z5-10330999201035883657/59400*ep^2*
         z4+8471594780193741484456001/22934340000*ep^2*z3+
         51837539609806979713277019912064787762414224551671740226152177\
         2558214513/158414056625856719256044064548304573085777920000000\
         0000000*ep^3-26121796628662826/15*ep^3*z6-31858712035265802953/
         29700*ep^3*z5+8471594780193741484456001/15289560000*ep^3*z4-
         425150138277808728911475641/1180659823200000*ep^3*z3-
         6352637350768436/25*ep^3*z3^2;

Fill mncnoptab(7,6,4,1)=
      +mncF321*(122548730304+2801560545784/3*ep+550871953221044/225*
         ep^2+2215746458769292/675*ep^3)
      -28566828847921911791029632439/47333725639200000-17662835008/2025
         *ep^-3-27277070871329/182250*ep^-2-1116992824296913788239/
         1444863420000*ep^-1-3265269156373952/2025*z3+72072004898855985\
         0378373757627407217171857/115327287602820229128192000000*ep-
         1632634578186976/675*ep*z4-10372270635124825021/400950*ep*z3-
         5072690989238916056206945670859289857240665148317/166237365442\
         209191074541076480000000*ep^2-105588595318021088/675*ep^2*z5-
         10372270635124825021/267300*ep^2*z4+58294650851173304003061007/
         722431710000*ep^2*z3+93978608765146608174502470103184908408804\
         932672628167668988062361581326493/1330678075657196441750770142\
         205758413920534528000000000000000*ep^3-156750258398844656/405*
         ep^3*z6-10999927481070511673/44550*ep^3*z5+
         58294650851173304003061007/481621140000*ep^3*z4+
         170450075858537451476464243303/37190784430800000*ep^3*z3-
         114302966301681248/2025*ep^3*z3^2;

Fill mncnoptab(7,7,2,2)=
      +mncF321*(52520884416+409376071104*ep+251479692330776/225*ep^2+
         355426529221768/225*ep^3)
      -4015615120673797308432723467/15777908546400000-47055206744/675*
         ep^-3-152239945799293/243000*ep^-2-73643580060254518879/
         60202642500*ep^-1-465437630375536/675*z3+115915776690886230241\
         6233211922197513/437800988531114208000000*ep-232718815187768/
         225*ep*z4-2992265990435721763/267300*ep*z3-5680516225006555038\
         8042563160734890347447/4507598977916351885568000000*ep^2-
         5026831965155728/75*ep^2*z5-2992265990435721763/178200*ep^2*z4
         +983943626419234593541547/30101321250*ep^2*z3+
         10324170566805713187996952433259977624003166344390047346522325\
         93504934522469/13536737563598688810424545746829996443117373358\
         0800000000000000*ep^3-22388025028013008/135*ep^3*z6-
         10457499753152279167/89100*ep^3*z5+983943626419234593541547/
         20067547500*ep^3*z4+709559680261624679537753027723/
         86778497005200000*ep^3*z3-16340716520665264/675*ep^3*z3^2;

Fill mncnoptab(7,7,3,1)=
      +mncF321*(22977886932+179516859522*ep+110739321772352/225*ep^2+
         10493628097436/15*ep^3)
      -28623588406325193139081802099/252446536742400000-4872437479/5400
         *ep^-3-76177439483393/1944000*ep^-2-2184301811530852208309/
         7705938240000*ep^-1-204117908070622/675*z3+1106352199963490692\
         2089928030274236903007/9610607300235019094016000000*ep-
         102058954035311/225*ep*z4-419866512692495477/85536*ep*z3-
         7605901412696324538168834784479359289361460653/138531137868507\
         6592287842304000000*ep^2-4399593555557837/150*ep^2*z5-
         419866512692495477/57024*ep^2*z4+54739270175747768719395757/
         3852969120000*ep^2*z3+1026749615777743526415334362134491656034\
         93065762355844181164369697908553837088483/13650716893884189770\
         208320422018305013168421641755033600000000000000*ep^3-
         39188106183879289/540*ep^3*z6-7404043291123507849/142560*ep^3*
         z5+54739270175747768719395757/2568646080000*ep^3*z4+
         772091494968968660295558974843/198350850297600000*ep^3*z3-
         14286578347536131/1350*ep^3*z3^2;

Fill mncnoptab(8,1,1,8)=
      +mncF321*(40424237568+10588485769576/35*ep+8440971062868212/11025
         *ep^2+375518364043610548/385875*ep^3)
      -582973021594645179901793775013/2931403925349900000-98586906/245*
         ep^-3-40002203838827/20065500*ep^-2+30526332528822691189/
         5423102685000*ep^-1-837809820290608/1575*z3+282105415003557921\
         759354348956051088451/135214171973003515392000000*ep-
         418904910145304/525*ep*z4-54574935806046954268/6449625*ep*z3-
         84073653907006817994151878896516484770246327/
         8120963168698591134443520000000*ep^2-568890527688169192/11025*
         ep^2*z5-27287467903023477134/2149875*ep^2*z4+
         5135088860707815860219956/184878500625*ep^2*z3+263881176616072\
         54121799746812697488576833055994592593351594831/74567624148202\
         3441733842631371889049600000000000*ep^3-93837643157689156/735*
         ep^3*z6-3359763728211821475877/45147375*ep^3*z5+
         2567544430353907930109978/61626166875*ep^3*z4-
         284485339162070725109202487699/133245632970450000*ep^3*z3-
         205273433937128216/11025*ep^3*z3^2;

Fill mncnoptab(8,2,1,7)=
      +mncF321*(247598455104+9190201564544/5*ep+1031131824904624/225*
         ep^2+45007180814531536/7875*ep^3)
      -6413434876249760637262052459873/5264562151648800000+553788/5*
         ep^-3+4162771320157/9009000*ep^-2-8795897139861759619/
         2434862430000*ep^-1-733111415636432/225*z3+3901309549411236556\
         3291222031968569801697/3035420187149058508800000000*ep-
         366555707818216/75*ep*z4-2093184849174978268663/40540500*ep*z3
         -11705336718202259704305000183856251622038929327/1823073364401\
         72454038528000000000*ep^2-71111661430197824/225*ep^2*z5-
         2093184849174978268663/27027000*ep^2*z4+
         90360551890495804078960423/521756235000*ep^2*z3+
         22424598211224366536861855042057540401352890624355935550593972\
         6501/1082721902631898037397539500751982900019200000000000*ep^3
         -11729758335760232/15*ep^3*z6-17705597335158855544801/40540500
         *ep^3*z5+90360551890495804078960423/347837490000*ep^3*z4-
         64267116181145454774599920442989/2632281075824400000*ep^3*z3-
         25658815205172352/225*ep^3*z3^2;

Fill mncnoptab(8,2,2,6)=
      +mncF321*(1299891889296+48018007453416/5*ep+1779911792882272/75*
         ep^2+3657113241483968/125*ep^3)
      -6412560905836607871534738657353/1002773743171200000-165736641/10
         *ep^-3-347481646594877/2574000*ep^-2-25927765766920571929/
         132509520000*ep^-1-1282907128146056/75*z3+30582692870630308997\
         62872358288575035717/45169943261146704000000000*ep-
         641453564073028/25*ep*z4-1044235402086492420329/3861000*ep*z3-
         14738594169084599309711105667093376352278316291/
         43406508676231536675840000000000*ep^2-124445016438260042/75*
         ep^2*z5-1044235402086492420329/2574000*ep^2*z4+
         1278162117942817978284191117/1391349960000*ep^2*z3+
         33667694604540193100379159026165440702575009159607223692881987\
         4811/300756084064416121499316527986661916672000000000000*ep^3-
         20527018218352331/5*ep^3*z6-8625401247585349588883/3861000*
         ep^3*z5+1278162117942817978284191117/927566640000*ep^3*z4-
         81963909972405359693202273951499/501386871585600000*ep^3*z3-
         44903405382792166/75*ep^3*z3^2;

Fill mncnoptab(8,3,1,6)=
      +mncF321*(495196910208+18363907810248/5*ep+228636732791532/25*
         ep^2+89777310300816892/7875*ep^3)
      -986597646981383390762369841107/404966319357600000-20705334/5*
         ep^-3-174689035207723/6237000*ep^-2-3831415901520187133/
         561891330000*ep^-1-488729066823088/75*z3+150145943099103758341\
         07720705322688998269/583734651374818944000000000*ep-
         244364533411544/25*ep*z4-321890051007551153137/3118500*ep*z3-
         108211124087693987678076453139402420800859419743/8414184758777\
         19018639360000000000*ep^2-47407654666447816/75*ep^2*z5-
         321890051007551153137/2079000*ep^2*z4+
         13926939859760062358752807/40135095000*ep^2*z3+
         49282225221984686347852404854819625347234839429855320319830147\
         4648157/1172948727851222873847334459147981475020800000000000000
         *ep^3-7819820933270788/5*ep^3*z6-903591973200317255033/1039500
         *ep^3*z5+13926939859760062358752807/26756730000*ep^3*z4-
         10535835081997408094425902914111/202483159678800000*ep^3*z3-
         17106038695331768/75*ep^3*z3^2;

Fill mncnoptab(8,3,2,5)=
      +mncF321*(2166486482160+16031556172632*ep+198744347355008/5*ep^2+
         11086574694183584/225*ep^3)
      -493149274688893976788147722661/46281865069440000-547931657/6*
         ep^-3-325274322804547/356400*ep^-2-308206197142521127673/
         128432304000*ep^-1-142539434355864/5*z3+2148880302962456866911\
         84707880699680003/1906072331019816960000000*ep-213809151533796/
         5*ep*z4-80383278897053962333/178200*ep*z3-27145943166542140980\
         37290509660025096194027381/4808105576444108677939200000000*
         ep^2-41481474893570894/15*ep^2*z5-80383278897053962333/118800*
         ep^2*z4+13996594188607248744488767/9173736000*ep^2*z3+
         76655979255960033093052936170939886531999885800404396873632021\
         597121/41799627392516306049832282544182612564377600000000000*
         ep^3-20526928295251651/3*ep^3*z6-223092712673519932997/59400*
         ep^3*z5+13996594188607248744488767/6115824000*ep^3*z4-
         5918703442494267765968661293503/23140932534720000*ep^3*z3-
         14967964966844162/15*ep^3*z3^2;

Fill mncnoptab(8,3,3,4)=
      +mncF321*(2888648642880+21451072058416*ep+803332460475272/15*ep^2
         +15089570013435272/225*ep^3)
      -727754822539931828729259301/51348223080000-18409880944/27*ep^-3-
         819463958324021/133650*ep^-2-11024712495133307357/926194500*
         ep^-1-5129708662888264/135*z3+41873065979227362826194215555909\
         357/278981057780409600000*ep-2564854331444132/45*ep*z4-
         40250806350470864834/66825*ep*z3-11581026463234766881194226901\
         883827369513/15466709843345908224000000*ep^2-
         165919889870860216/45*ep^2*z5-20125403175235432417/22275*ep^2*
         z4+1869778834626276977075567/926194500*ep^2*z3+
         27099565320761522559175842614182732204230964690398557314397726\
         764714751/1131528975898976566114600461059318379184128000000000\
         0000*ep^3-246314980474846192/27*ep^3*z6-37890591574058804852/
         7425*ep^3*z5+1869778834626276977075567/617463000*ep^3*z4-
         7391558289913536187460919223/25674111540000*ep^3*z3-
         179634778464736504/135*ep^3*z3^2;

Fill mncnoptab(8,4,1,5)=
      +mncF321*(412664091840+3081770932240*ep+116661253013656/15*ep^2+
         9342994739803456/945*ep^3)
      -493465257461548934334165496447/242979791614560000+81494816/45*
         ep^-3-36373494343673/3742200*ep^-2-69122702969979046321/
         337134798000*ep^-1-244372980416656/45*z3+298854570904354189500\
         29751210199370989/1400963163299565465600000*ep-122186490208328/
         15*ep*z4-32293280385851471197/374220*ep*z3-3426936730036566774\
         76507397180425435061223163/3231046947370441031575142400000*
         ep^2-23703907260227792/45*ep^2*z5-32293280385851471197/249480*
         ep^2*z4+6857702586475753156135379/24081057000*ep^2*z3+
         20855385379825078977706449402467445158494759664537232841621987\
         542011/72181460175459869159835966716798860001280000000000000*
         ep^3-11729767139905568/9*ep^3*z6-93722791305489727793/124740*
         ep^3*z5+6857702586475753156135379/16054038000*ep^3*z4-
         3456149606382420265488918807667/121489895807280000*ep^3*z3-
         2850967213935568/15*ep^3*z3^2;

Fill mncnoptab(8,4,2,4)=
      +mncF321*(1444324321440+10781246556080*ep+407780939567456/15*ep^2
         +4660315859976464/135*ep^3)
      -492325531107805423030710694267/69422797604160000-12205450439/45*
         ep^-3-1343250810796249/534600*ep^-2-1034885392687008058247/
         192648456000*ep^-1-855017813029016/45*z3+229101189086969304546\
         72437851784714749/306460691971779945600000*ep-427508906514508/
         15*ep*z4-16140146842842322643/53460*ep*z3-52509627675643312131\
         631363458081566570677259/141358303947456795131412480000*ep^2-
         82960660296744412/45*ep^2*z5-16140146842842322643/35640*ep^2*
         z4+96115756226612545099752511/96324228000*ep^2*z3+
         28625941969404539566162036552204008488032192356303217622249315\
         2073766319/271566954215754375867504110654236411004190720000000\
         000000*ep^3-41052821241857698/9*ep^3*z6-46738201286767922827/
         17820*ep^3*z5+96115756226612545099752511/64216152000*ep^3*z4-
         3597900338560609275718925429617/34711398802080000*ep^3*z3-
         9979473539372428/15*ep^3*z3^2;

Fill mncnoptab(8,4,3,3)=
      +mncF321*(1444324321440+10834982958800*ep+413717435929616/15*ep^2
         +1597188100173136/45*ep^3)
      -2898325986041987444204135683/410785784640000-115424804677/135*
         ep^-3-4106584543968589/534600*ep^-2-219944826382002917539/
         14819112000*ep^-1-2563372663423208/135*z3+32646720907128693616\
         69611723393991523/43744229859968225280000*ep-1281686331711604/
         45*ep*z4-16172001020816390351/53460*ep*z3-11174502644787923141\
         3113248343241682650569/303147512929579801190400000*ep^2-
         82954637213773052/45*ep^2*z5-16172001020816390351/35640*ep^2*
         z4+1044618533766055865727101/1058508000*ep^2*z3+
         62228974339626227789357171485797396527533776366826113812520028\
         6307362771/568665844297947197329388949660580518769459200000000\
         000000*ep^3-123150269488947974/27*ep^3*z6-15979758213564434413/
         5940*ep^3*z5+1044618533766055865727101/705672000*ep^3*z4-
         13597625124921866992705593913/205392892320000*ep^3*z3-
         89833326818374412/135*ep^3*z3^2;

Fill mncnoptab(8,4,4,2)=
      +mncF321*(481441440480+10956998260208/3*ep+427271550934592/45*
         ep^2+1698143411313808/135*ep^3)
      -37560657271860548370990439003/16020645600960000-170848850809/405
         *ep^-3-6130975453712437/1603800*ep^-2-337756715584947567463/
         44457336000*ep^-1-2562063818330744/405*z3+19184160790223550036\
         462345952346795302849/776241358865136157593600000*ep-
         1281031909165372/135*ep*z4-81265811990925017827/801900*ep*z3-
         33770247894986482146608306236931423890762982009/27972633608064\
         0465750429696000000*ep^2-82950105135828476/135*ep^2*z5-
         81265811990925017827/534600*ep^2*z4+92629309280414454973952867/
         288972684000*ep^2*z3+47697703388365035322247590577741022199216\
         06653995524653983488337214709727/12937147957778298739243598604\
         778206802005196800000000000000*ep^3-123144125794577342/81*ep^3
         *z6-84497342226536618921/89100*ep^3*z5+
         92629309280414454973952867/192648456000*ep^3*z4+
         661992697355613150119417007011/104134196406240000*ep^3*z3-
         89848440006314444/405*ep^3*z3^2;

Fill mncnoptab(8,5,1,4)=
      +mncF321*(150059669760+1138927429640*ep+44447625748604/15*ep^2+
         3712526108753228/945*ep^3)
      -1482899408810771275091932763/2008097451360000-220925666/45*ep^-3
         -22353498833177/340200*ep^-2-94499556232615598249/337134798000
         *ep^-1-88855162292624/45*z3+7520612400532548875882717010513841\
         6817/9806742143096958259200000*ep-44427581146312/15*ep*z4-
         11832421136577161261/374220*ep*z3-4747433741008946686966007661\
         18857872630577/12621277138165785279590400000*ep^2-
         8619527957447368/45*ep^2*z5-11832421136577161261/249480*ep^2*
         z4+2402233928614005659381671/24081057000*ep^2*z3+
         95156543936515153080913262929510098107803615892131914018746155\
         2557/10150517837174044100601932819549839687680000000000000*
         ep^3-4265336397577372/9*ep^3*z6-36990141175673049349/124740*
         ep^3*z5+2402233928614005659381671/16054038000*ep^3*z4+
         314020278265889651542668972937/121489895807280000*ep^3*z3-
         1036749576931432/15*ep^3*z3^2;

Fill mncnoptab(8,5,2,3)=
      +mncF321*(393906633120+2992164455280*ep+38982938111936/5*ep^2+
         93216695121416/9*ep^3)
      -4054805794946465036885262367/2103721139520000-2967302429/15*
         ep^-3-30071967286879/16200*ep^-2-264425030415954206017/
         64216152000*ep^-1-25896640936712/5*z3+646072649677189463139560\
         8734519100173821/320353576674500636467200000*ep-38844961405068/
         5*ep*z4-295798871690235095/3564*ep*z3-113802389984362031111367\
         4596159098705534827091/11544261489042304935732019200000*ep^2-
         7541456845483652/15*ep^2*z5-295798871690235095/2376*ep^2*z4+
         8393641141023298302727121/32108076000*ep^2*z3+4469533670688330\
         285797745862938652446895406596525400222830029320746837/
         15274082594779573481987719722288319719014400000000000000*ep^3-
         3731883461336758/3*ep^3*z6-928055669255799415/1188*ep^3*z5+
         8393641141023298302727121/21405384000*ep^3*z4+
         13744078641196312272434319919/1652923752480000*ep^3*z3-
         2722088083384124/15*ep^3*z3^2;

Fill mncnoptab(8,5,3,2)=
      +mncF321*(262604422080+2006680075400*ep+79300791065132/15*ep^2+
         64169377603700/9*ep^3)
      -576043156602552476989009741/450797387040000-33815920684/135*
         ep^-3-13874106364891/6075*ep^-2-446281935206560573427/
         96324228000*ep^-1-465771873124376/135*z3+902519154676561674041\
         11215056143773002777/6727425110164513365811200000*ep-
         232885936562188/45*ep*z4-296509133298475433/5346*ep*z3-
         63120816108383293191847060181342618440394390407/96971796507955\
         3614601489612800000*ep^2-15081628763563544/45*ep^2*z5-
         296509133298475433/3564*ep^2*z4+8275731458065115501729611/
         48162114000*ep^2*z3+623761215681425037996468364502410818479631\
         6762433426459035889821486245747/344990612207421299713162629460\
         75218138680524800000000000000*ep^3-22389557208783128/27*ep^3*
         z6-318228962571464641/594*ep^3*z5+8275731458065115501729611/
         32108076000*ep^3*z4+235654795494748660044463376413/
         17355699401040000*ep^3*z3-16336695880081304/135*ep^3*z3^2;

Fill mncnoptab(8,5,4,1)=
      +mncF321*(43767403680+1015300494208/3*ep+41003066747032/45*ep^2+
         1195931101400096/945*ep^3)
      -28585029969133986168880518733/132534431789760000-2127525959/405*
         ep^-3-95811338814829/1020600*ep^-2-2004543726238105627403/
         4045617576000*ep^-1-233223991395304/405*z3+1332008303791094033\
         049364320430618432647217/602777289870740397576683520000*ep-
         116611995697652/135*ep*z4-7460032806937676687/801900*ep*z3-
         415995835491903346311688430458748242945486678424309/3909902835\
         2007601740732061188096000000*ep^2-7541997474436516/135*ep^2*z5
         -7460032806937676687/534600*ep^2*z4+56223241253771975168117659/
         2022808788000*ep^2*z3+4173185796373514498093156284884279656738\
         8925851430334159926198602894108151/133750206578877180811872280\
         9601685380145768038400000000000000*ep^3-11196384215957122/81*
         ep^3*z6-58906911294346635307/623700*ep^3*z5+
         56223241253771975168117659/1348539192000*ep^3*z4+
         522318533534990444205402818701/104134196406240000*ep^3*z3-
         8164526530291924/405*ep^3*z3^2;

Fill mncnoptab(8,6,1,3)=
      +mncF321*(22508950464+175859139456*ep+36159336422768/75*ep^2+
         359643034309928/525*ep^3)
      -4088055000141475519475118167/36815119941600000+41870608/225*
         ep^-3-11529010315993/567000*ep^-2-52905967313405056133/
         280945665000*ep^-1-66654015330448/225*z3+161150253942538975208\
         85578739072189137/14301498958683064128000000*ep-33327007665224/
         75*ep*z4-2999309579616665023/623700*ep*z3-44357080654300930021\
         13463497606150215095317/824590106360164638266572800000*ep^2-
         718305722391504/25*ep^2*z5-2999309579616665023/415800*ep^2*z4+
         279231336757348203372217/20067547500*ep^2*z3+
         22453308792055168204498284175111646571353475201315415731792592\
         827139402451323/1263428839269210955639624269704133001357621513\
         420800000000000000*ep^3-3199048743096544/45*ep^3*z6-
         10579570276896489307/207900*ep^3*z5+279231336757348203372217/
         13378365000*ep^3*z4+774842063197084593555803179223/
         202483159678800000*ep^3*z3-2332483104685552/225*ep^3*z3^2;

Fill mncnoptab(8,6,2,2)=
      +mncF321*(39390663312+308258502552*ep+63566863977344/75*ep^2+
         18132484917496/15*ep^3)
      -4016200413299802034624058657/21037211395200000-23392092997/450*
         ep^-3-75819508901699/162000*ep^-2-590035720858770863687/
         642161520000*ep^-1-116360276361784/225*z3+22196968018382971604\
         652295256445866343719/11212375183607522276352000000*ep-
         58180138180892/75*ep*z4-59960487154647023/7128*ep*z3-
         15173527519097543037790221189279555903236590403/16161966084659\
         22691002482688000000*ep^2-1256709258004382/25*ep^2*z5-
         59960487154647023/4752*ep^2*z4+7788663392858695398276751/
         321080760000*ep^2*z3+39288458441181211805755232401663390280479\
         892259756335103226795943273197870042751/3539074750266271421905\
         860850152893892302924129343897600000000000000*ep^3-
         5597011522838827/45*ep^3*z6-1064351613747244747/11880*ep^3*z5+
         7788663392858695398276751/214053840000*ep^3*z4+
         804373012540663083040249903343/115704662673600000*ep^3*z3-
         4085174487678466/225*ep^3*z3^2;

Fill mncnoptab(8,6,3,1)=
      +mncF321*(13130221104+103421598280*ep+21575164406848/75*ep^2+
         656286710907152/1575*ep^3)
      -2601936651069608536402585469/40161949027200000-2521099997/1350*
         ep^-3-135939121539253/3402000*ep^-2-3140707131740559591929/
         13485391920000*ep^-1-116622971194184/675*z3+986135501647419027\
         2464043102809957832818847/15069432246768509939417088000000*ep-
         58311485597092/225*ep*z4-1505253542460007447/534600*ep*z3-
         13437972732824487257325239918097138947507721891551/43443364835\
         56400193414673465344000000*ep^2-3771019150098746/225*ep^2*z5-
         1505253542460007447/356400*ep^2*z4+53550992853188961673682257/
         6742695960000*ep^2*z3+3596423364275036048579492595218596128670\
         099702806403410217990274811859104585726013/5488288228105233220\
         43247344146787237452515003442869043200000000000000*ep^3-
         5598217239551027/135*ep^3*z6-12784612072269488107/415800*ep^3*
         z5+53550992853188961673682257/4495130640000*ep^3*z4+
         962736973411808642916738437383/347113988020800000*ep^3*z3-
         4082020188072866/675*ep^3*z3^2;

Fill mncnoptab(8,7,1,2)=
      +mncF321*(1154305152+9486428952*ep+6376617009772/225*ep^2+
         2825170528468/63*ep^3)
      -734363706740119799470287449/130526334338400000-951272818/675*
         ep^-3-321264456562571/22113000*ep^-2-222654546347887300853/
         5478440467500*ep^-1-10231220030192/675*z3+19473109467089795606\
         82377336070204169/34859903711789968812000000*ep-5115610015096/
         225*ep*z4-1228127925730214731/4864860*ep*z3-202533701076548819\
         09087707668730709675449591/80397535370116052230990848000000*
         ep^2-110481963770216/75*ep^2*z5-1228127925730214731/3243240*
         ep^2*z4+481180509980972851607759/782634352500*ep^2*z3-
         91121700419990520357921034645186345784235586587013771224770980\
         4324409357976080697/501930370515698260477974579229794836182589\
         5569356721487872000000000000*ep^3-492053226950876/135*ep^3*z6-
         5195207765232696787/1621620*ep^3*z5+481180509980972851607759/
         521756235000*ep^3*z4+3888572019389710316113181862211/
         7896843227473200000*ep^3*z3-359116536738008/675*ep^3*z3^2;

Fill mncnoptab(8,7,2,1)=
      +mncF321*(1010017008+8317373064*ep+5609843279888/225*ep^2+
         62411033568112/1575*ep^3)
      -28226277207910825918417162079/5743158710889600000-1985914369/
         1350*ep^-3-662979595030373/44226000*ep^-2-
         7294568209609296708569/175310094960000*ep^-1-8949854015368/675
         *z3+299178813650669512302207827924145965428771/
         6121956850249707162888192000000*ep-4474927007684/225*ep*z4-
         1536437918896951991/6949800*ep*z3-1936974916556670094791412853\
         10967423669998713599/882443348222393789287355547648000000*ep^2
         -96668396455414/75*ep^2*z5-1536437918896951991/4633200*ep^2*z4
         +46846454040889201079102257/87655047480000*ep^2*z3+
         31877034767496137121227212143732553273182918255345508712057361\
         659079051818086397239392863/7971966831708186927341386221693827\
         9120761396358298605054098145280000000000000*ep^3-
         430532857041679/135*ep^3*z6-45797657545419446273/16216200*ep^3
         *z5+46846454040889201079102257/58436698320000*ep^3*z4+
         1986674297241960378686206838663/4512481844270400000*ep^3*z3-
         314245629183082/675*ep^3*z3^2;

Fill mncnoptab(8,8,1,1)=
      +mncF321*(11778624+753426960/7*ep+4160466026936/11025*ep^2+
         161255286016/225*ep^3)
      -364122205142778514067974567/6395790382581600000-2463182684/33075
         *ep^-3-612145205510983/1083537000*ep^-2-368454123045603443809/
         268443582907500*ep^-1-5131575250096/33075*z3+14742221052947519\
         7057671304690146569/278879229694319750496000000*ep-
         2565787625048/11025*ep*z4-3246029083514875069/1191890700*ep*z3
         -40595895818833697778057130858174896228701/
         20099383842529013057747712000000*ep^2-55235819084608/3675*ep^2
         *z5-3246029083514875069/794593800*ep^2*z4+
         524422005841052875716047/134221791453750*ep^2*z3+
         14211822976991096725605738175961892015819323644592052995550830\
         21622651167/32677758497115772166534803335273101313970674279666\
         15552000000000*ep^3-245995398255688/6615*ep^3*z6-
         18480320530869353881/397296900*ep^3*z5+
         524422005841052875716047/89481194302500*ep^3*z4+
         4257341778995924534661442861133/386945318146186800000*ep^3*z3-
         178905589871104/33075*ep^3*z3^2;

Fill mncnoptab(9,1,1,7)=
      +mncF321*(27081081027+2039400121759/10*ep+117487954307467/225*
         ep^2+1179928511587949/1750*ep^3)
      -6414072101002068078497298836453/48133139672217600000+19135433/
         160*ep^-3+35950895477941/41184000*ep^-2+11372423933884826797/
         44523198720000*ep^-1-80183868292466/225*z3+8447345639779508421\
         88747584402516737837/607084037429811701760000000*ep-
         40091934146233/75*ep*z4-7375744676812372069403/1297296000*ep*
         z3-500882384827736853917734101865791518101117121/
         72922934576068981615411200000000*ep^2-62222604081228421/1800*
         ep^2*z5-7375744676812372069403/864864000*ep^2*z4+
         8576095103321147527351818719/467493586560000*ep^2*z3+
         50614014393063084187040064990890266649831647638773434552020535\
         297/2368454162007276956807117657894962593792000000000000*ep^3-
         20527044378296231/240*ep^3*z6-66779007634696129617881/
         1297296000*ep^3*z5+8576095103321147527351818719/
         311662391040000*ep^3*z4-85486918579031568005680412292793/
         168465988852761600000*ep^3*z3-22451464048678883/1800*ep^3*z3^2
         ;

Fill mncnoptab(9,2,1,6)=
      +mncF321*(108324324108+4070103215178/5*ep+51920035730962/25*ep^2+
         3006358172562086/1125*ep^3)
      -916190143979256199136224143259/1719040702579200000+3859499/120*
         ep^-3-69277735892731/92664000*ep^-2-213561189016769191649/
         33392399040000*ep^-1-106912090522888/75*z3+7553975092704412059\
         36043587321731788073/135509829783440112000000000*ep-
         53456045261444/25*ep*z4-1052613735893123292349/46332000*ep*z3-
         6154586534371757139748074761269023384477210949/223233473192047\
         902904320000000000*ep^2-20740902470299207/150*ep^2*z5-
         1052613735893123292349/30888000*ep^2*z4+
         1230989347745473248408400657/16696199520000*ep^2*z3+
         18023582827296035347692097495521922250907634003741654316974177\
         6336837/1915816255490330693950646283275036409200640000000000000
         *ep^3-20527078289253431/60*ep^3*z6-3145661897556209028341/
         15444000*ep^3*z5+1230989347745473248408400657/11130799680000*
         ep^3*z4-2975584987675473711088610824417/859520351289600000*
         ep^3*z3-2494607033145787/50*ep^3*z3^2;

Fill mncnoptab(9,2,2,5)=
      +mncF321*(361081080360+2715687756782*ep+104117501192929/15*ep^2+
         2016239494793269/225*ep^3)
      -6413854422580606975555475109583/3609985475416320000-59092439/108
         *ep^-3-607587984881341/27799200*ep^-2-1537751439868465736839/
         10017719712000*ep^-1-641474736918848/135*z3+966408273358297469\
         06056064362641869453/5203577463684100300800000*ep-
         320737368459424/45*ep*z4-1053029138192458785229/13899600*ep*z3
         -196688365273729736186165391676543465882304381/
         2143041342643659867881472000000*ep^2-20740899822594287/45*ep^2
         *z5-1053029138192458785229/9266400*ep^2*z4+
         1228514472683395173755816327/5008859856000*ep^2*z3+
         70834327267343573120380106580070366317599042671444135998718892\
         007619/229897950658839683274077553993004369104076800000000000*
         ep^3-61581224730864013/54*ep^3*z6-1053054685308280911187/
         1544400*ep^3*z5+1228514472683395173755816327/3339239904000*
         ep^3*z4-18503193656417671681816664243029/1804992737708160000*
         ep^3*z3-22451396329362203/135*ep^3*z3^2;

Fill mncnoptab(9,3,1,5)=
      +mncF321*(135405405135+2046135686595/2*ep+13189011409938/5*ep^2+
         310290975431537/90*ep^3)
      -70495124549247969280000319071/105787120158720000+275089997/160*
         ep^-3+44644337187041/5702400*ep^-2-72110887480253314397/
         2054916864000*ep^-1-26728822409198/15*z3+264608587332133265150\
         359895923208497/38121446620396339200000*ep-13364411204599/5*ep
         *z4-16235823437539456349/570240*ep*z3-536535265413616208116806\
         84757895097291641/1569993657614402833612800000*ep^2-
         20740956884347063/120*ep^2*z5-16235823437539456349/380160*ep^2
         *z4+93495638815117538985875341/1027458432000*ep^2*z3+
         13519771201507513761897113263484413116139670214944983473588005\
         82675683/13793877039530380996444653239580262146244608000000000\
         000*ep^3-6842375435024493/16*ep^3*z6-49739984542882824901/
         190080*ep^3*z5+93495638815117538985875341/684972288000*ep^3*z4
         -215230845499665439764568648987/370254920555520000*ep^3*z3-
         7483731100100801/120*ep^3*z3^2;

Fill mncnoptab(9,3,2,4)=
      +mncF321*(361081080360+2736575862020*ep+106455469908424/15*ep^2+
         420901396719536/45*ep^3)
      -492862341591495764656224537217/277691190416640000-18482316307/
         540*ep^-3-694901036468119/2138400*ep^-2-573851965612384583557/
         770593824000*ep^-1-641363799075272/135*z3+32470180743799587761\
         3850053965963145491969/17573681920429749200486400000*ep-
         320681899537636/45*ep*z4-16257689736732331589/213840*ep*z3-
         2872189810522447589778577603122460187269715371/
         31664260084230322109436395520000*ep^2-20740520607495143/45*
         ep^2*z5-16257689736732331589/142560*ep^2*z4+
         92823942759415145079061781/385296912000*ep^2*z3+
         23266455471662081661098762462852813809546500746776836821166856\
         208107663/8110799699243864025909456104873194141991829504000000\
         0000*ep^3-61580198023410157/54*ep^3*z6-16832583608315599247/
         23760*ep^3*z5+92823942759415145079061781/256864608000*ep^3*z4+
         576516415672192026621262139693/138845595208320000*ep^3*z3-
         22452705520823123/135*ep^3*z3^2;

Fill mncnoptab(9,3,3,3)=
      +mncF321*(270810810270+2071759949259*ep+27337135070427/5*ep^2+
         73812797102543/10*ep^3)
      -2905551460409974089181742761/2190857518080000-81557684299/720*
         ep^-3-3005179164419647/2851200*ep^-2-180709468072107110473/
         79035264000*ep^-1-160258926698234/45*z3+8040974624524327111456\
         064801996674241/583256398132909670400000*ep-80129463349117/15*
         ep*z4-81626634977730502537/1425600*ep*z3-433377076205973441791\
         5913892336095313760357/64671469424977024253952000000*ep^2-
         20739334259872319/60*ep^2*z5-81626634977730502537/950400*ep^2*
         z4+6981891279083971774203929/39517632000*ep^2*z3+
         47754741816894884646615140797120969855838496026684931183608918\
         03734549/22401987805676707773581988926022868921221120000000000\
         000*ep^3-61576967072824021/72*ep^3*z6-9782405775930424339/
         17600*ep^3*z5+6981891279083971774203929/26345088000*ep^3*z4+
         17840815917815115550144794389/1095428759040000*ep^3*z3-
         22456163424276491/180*ep^3*z3^2;

Fill mncnoptab(9,4,1,4)=
      +mncF321*(65651105520+503295993200*ep+19998887077988/15*ep^2+
         244211372252096/135*ep^3)
      -6407287334194644501277338101/19835085029760000-117094159/90*
         ep^-3-1628440690219/97200*ep^-2-25631956755625214767/
         385296912000*ep^-1-38875199989808/45*z3+5851612293076975042909\
         5940370210405624243/17573681920429749200486400000*ep-
         19437599994904/15*ep*z4-1486139052269783839/106920*ep*z3-
         41029019827551174954674709420722506123861261199/25331408067384\
         25768754911641600000*ep^2-3771054311730706/45*ep^2*z5-
         1486139052269783839/71280*ep^2*z4+1172432733193516055442713/
         27521208000*ep^2*z3+858523062694187941400910781090481024826076\
         61188951184459076612756911/15841405662585671925604406454830457\
         30857779200000000000*ep^3-1866089555870449/9*ep^3*z6-
         4852032601528912031/35640*ep^3*z5+1172432733193516055442713/
         18347472000*ep^3*z4+327141316812993042082994619703/
         69422797604160000*ep^3*z3-151191161472078/5*ep^3*z3^2;

Fill mncnoptab(9,4,2,3)=
      +mncF321*(131302211040+1011308678380*ep+40530472801546/15*ep^2+
         166901264397698/45*ep^3)
      -22347072260695365321767580361/34711398802080000-6090522347/135*
         ep^-3-5307971309611/12150*ep^-2-51083100303354052013/
         48162114000*ep^-1-233134121588368/135*z3+817979767761780604869\
         634488030393959780027/123015773443008244403404800000*ep-
         116567060794184/45*ep*z4-1489008350230045453/53460*ep*z3-
         162811984367435901166500218523450680811656714891/5066281613476\
         851537509823283200000*ep^2-7541681901700492/45*ep^2*z5-
         1489008350230045453/35640*ep^2*z4+156030073484078644517263/
         1852389000*ep^2*z3+5418573035294891445883755969584493707772400\
         20623167444328481017059017397/52569998050654674242005734013066\
         99906846556160000000000000*ep^3-11195955791756554/27*ep^3*z6-
         1652566173943472789/5940*ep^3*z5+156030073484078644517263/
         1234926000*ep^3*z4+16785294342880343354279039903/
         1335053800080000*ep^3*z3-8165536215350332/135*ep^3*z3^2;

Fill mncnoptab(9,4,3,2)=
      +mncF321*(65651105520+511037270744*ep+20878068976856/15*ep^2+
         88230130613428/45*ep^3)
      -44296818948414179101666554599/138845595208320000-19132374989/270
         *ep^-3-62847332315767/97200*ep^-2-507159356509514995739/
         385296912000*ep^-1-116415509489552/135*z3+62184781356134894478\
         82271565779735924097917/1878786358038671369070182400000*ep-
         58207754744776/45*ep*z4-7477653674325364907/534600*ep*z3-
         11661007612521102376322952673534253422776855453373/73858849307\
         2162488608870105088000000*ep^2-3770313477952658/45*ep^2*z5-
         7477653674325364907/356400*ep^2*z4+7898473678115202100670107/
         192648456000*ep^2*z3+86219782395942454594566472054262097695864\
         32827233584345140459944911047443/17663519345019970545313926628\
         3905116870044286976000000000000*ep^3-5597262462184211/27*ep^3*
         z6-8664853463580604561/59400*ep^3*z5+7898473678115202100670107/
         128432304000*ep^3*z4+61854557538396404110619533601/
         6311163418560000*ep^3*z3-4084499968157882/135*ep^3*z3^2;

Fill mncnoptab(9,4,4,1)=
      +mncF321*(7957709760+189237710116/3*ep+7984622539894/45*ep^2+
         35216283539786/135*ep^3)
      -89814814290408038847811668013/2290952320937280000-10994859148/
         4455*ep^-3-625525338417259/17641800*ep^-2-
         1015133002075884876883/6357399048000*ep^-1-466320556873808/
         4455*z3+16158052346465052698225736788549354474024069843/
         40919966878082262418348572672000000*ep-233160278436904/1485*ep
         *z4-7548143593841559167/4410450*ep*z3-328114198379250491495355\
         215394433414139642234831310341/1769510311702286890209130997769\
         83040000000*ep^2-15083517067778432/1485*ep^2*z5-
         7548143593841559167/2940300*ep^2*z4+15031497617816276754465779/
         3178699524000*ep^2*z3+5613022369553228783080309117099502394929\
         06449618127257630177878612276300143/95383004463107840944695203\
         793308763109823914967040000000000000*ep^3-22392115323230744/
         891*ep^3*z6-4690147450671681758/245025*ep^3*z5+
         15031497617816276754465779/2119133016000*ep^3*z4+
         2213649737041617985097302057277/1145476160468640000*ep^3*z3-
         16330286460557888/4455*ep^3*z3^2;

Fill mncnoptab(9,5,1,3)=
      +mncF321*(12309582285+193924085355/2*ep+4044503731814/15*ep^2+
         3900623316879/10*ep^3)
      -44918382676173549580122287/739770071040000+845300183/1440*ep^-3-
         1886366292119/518400*ep^-2-10813148760838717199/158070528000*
         ep^-1-7290702562234/45*z3+193060177990420975409794030359325083\
         7057/3154250601102775497523200000*ep-3645351281117/15*ep*z4-
         1505666570342189747/570240*ep*z3-13193769800031718525684263430\
         06293324970455469/454666298645358471314984140800000*ep^2-
         628521600446831/40*ep^2*z5-1505666570342189747/380160*ep^2*z4+
         7647077844264610166595211/1027458432000*ep^2*z3+
         79731614470674256524626598554886099618605187818490680913188741\
         727165211765549/7778186264321475652540353516819547016050382701\
         854720000000000000*ep^3-5598368783523607/144*ep^3*z6-
         5481563486820103523/190080*ep^3*z5+7647077844264610166595211/
         684972288000*ep^3*z4+970392150013634698460895440603/
         370254920555520000*ep^3*z3-2040889296468113/360*ep^3*z3^2;

Fill mncnoptab(9,5,2,2)=
      +mncF321*(16412776380+130024204310*ep+5478524045722/15*ep^2+
         4818848666626/9*ep^3)
      -365308851083271343786819607/4589937031680000-22852533977/1080*
         ep^-3-74624393668159/388800*ep^-2-593731188041952515147/
         1541187648000*ep^-1-29091223854056/135*z3+56283262068294460784\
         73253610769616153725299/6888883312808461686590668800000*ep-
         14545611927028/45*ep*z4-301588136487744167/85536*ep*z3-
         1521719132757023053525340323224344070093335841367/397196478496\
         585160540770145402880000*ep^2-1885072900891453/90*ep^2*z5-
         301588136487744167/57024*ep^2*z4+7530978841617790401744691/
         770593824000*ep^2*z3+17700980316792010112328550462813269699438\
         04311758775808886973403868726632628845067/21744075265635971616\
         1896090633393800743091658506889068544000000000000*ep^3-
         5597036254966247/108*ep^3*z6-373995298155530957/9504*ep^3*z5+
         7530978841617790401744691/513729216000*ep^3*z4+
         1092947516525675130642092894323/277691190416640000*ep^3*z3-
         2042567153689153/270*ep^3*z3^2;

Fill mncnoptab(9,5,3,1)=
      +mncF321*(4103194095+65751578893/2*ep+1412891609311/15*ep^2+
         12756173193007/90*ep^3)
      -371672581508447064730630079/18359748126720000-5359650569/4320*
         ep^-3-32588499554407/1555200*ep^-2-660386968636750674659/
         6164750592000*ep^-1-7287642993722/135*z3+150365778375247081374\
         662889554362844861211521/743999397783313862151792230400000*ep-
         3643821496861/45*ep*z4-7587621286950851087/8553600*ep*z3-
         3017465316762149464165136558390818258347593732802527/321729147\
         5822339800380238177763328000000*ep^2-1885466367741229/360*ep^2
         *z5-7587621286950851087/5702400*ep^2*z4+
         7287893451020968006864267/3082375296000*ep^2*z3+
         24545206062570275591584067815773375534114372608185983935703514\
         5511392230603/953830044631078409446952037933087631098239149670\
         40000000000000*ep^3-5598097959273911/432*ep^3*z6-
         9805385988105020501/950400*ep^3*z5+7287893451020968006864267/
         2054916864000*ep^3*z4+1357135231390284136812614552731/
         1110764761666560000*ep^3*z3-2041081413481201/1080*ep^3*z3^2;

Fill mncnoptab(9,6,1,2)=
      +mncF321*(757512756+6263795538*ep+1417789612022/75*ep^2+
         2271998817734/75*ep^3)
      -577929189614421940516065371/156276427507200000-1395395869/1800*
         ep^-3-68784721458239/8424000*ep^-2-783195270100588817867/
         33392399040000*ep^-1-2238649238392/225*z3+21239671765623070159\
         863694855622337898529/583043509547591158370304000000*ep-
         1119324619196/75*ep*z4-1540044407331807011/9266400*ep*z3-
         13739498770471400492180760258869332566371279669/84042223640227\
         979932129099776000000*ep^2-48337358184507/50*ep^2*z5-
         1540044407331807011/6177600*ep^2*z4+6597661694897046826864051/
         16696199520000*ep^2*z3-648728197124680148649049868451954263046\
         5052951883639547662985053185747629636648895149/
         23726091761036270617087458993136392595464701297112680075624448\
         000000000000*ep^3-430558925183779/180*ep^3*z6-
         6645954213826598819/3088800*ep^3*z5+6597661694897046826864051/
         11130799680000*ep^3*z4+2080117887818050642736771362163/
         6016642459027200000*ep^3*z3-157103756867141/450*ep^3*z3^2;

Fill mncnoptab(9,6,2,1)=
      +mncF321*(505008504+4201915718*ep+961030004123/75*ep^2+
         4682558582629/225*ep^3)
      -4023292871120722833935656027/1640902488825600000-2439438869/2700
         *ep^-3-114734227633669/12636000*ep^-2-1247135940843055245377/
         50088598560000*ep^-1-4473051433984/675*z3+86942172930862272190\
         157883261732830112650819/3582219322660400077027147776000000*ep
         -2236525716992/225*ep*z4-1543979333346058243/13899600*ep*z3-
         111080627019670475296048661799635422263800317924751/1032710844\
         091121417406002378047488000000*ep^2-144995159455321/225*ep^2*
         z5-1543979333346058243/9266400*ep^2*z4+
         6459532274263365545724001/25044299280000*ep^2*z3+
         11362192688718555326137982227852489357339817267883151716348519\
         9652587186535746551/511625300367905214498579036784456001748450\
         961192680161280000000000000*ep^3-430512426931979/270*ep^3*z6-
         2265581705582750509/1544400*ep^3*z5+6459532274263365545724001/
         16696199520000*ep^3*z4+2208509577940869185659036129453/
         9024963688540800000*ep^3*z3-157138431707341/675*ep^3*z3^2;

Fill mncnoptab(9,7,1,1)=
      +mncF321*(9018009+165456291/2*ep+65651356799/225*ep^2+
         195411608319/350*ep^3)
      -4007362384833306984908404277/91890539374233600000-1230143467/
         21600*ep^-3-306777748693319/707616000*ep^-2-
         424883477142736865861/400708788480000*ep^-1-80180501314/675*z3
         +115135373124182899894041563576934939811/
         285572331206983424507904000000*ep-40090250657/225*ep*z4-
         1626326577372213923/778377600*ep*z3-50441207680426736175260662\
         9780009152423101/329308304875995349938138513408000*ep^2-
         6904456632701/600*ep^2*z5-1626326577372213923/518918400*ep^2*
         z4+4092188378666765672306251/1402480759680000*ep^2*z3+
         40816900998540105841341407187984693240916552424535434189865582\
         9567913487947/669240494020931013970632772306393114910119409247\
         56286504960000000*ep^3-61498665683797/2160*ep^3*z6-
         9346791989421828947/259459200*ep^3*z5+
         4092188378666765672306251/934987173120000*ep^3*z4+
         4320239525009731570738039583003/505397966558284800000*ep^3*z3-
         22363200181763/5400*ep^3*z3^2;

Fill mncnoptab(10,1,1,6)=
      +mncF321*(8024024008+2772249321842/45*ep+110307155084719/675*ep^2
         +15678346263790723/70875*ep^3)
      -6412183895549125306990116899323/162449346393734400000-709542023/
         4860*ep^-3-903637848508081/1250964000*ep^-2+
         909021823125983317061/450797387040000*ep^-1-641429263096928/
         6075*z3+333135045540868623925770133449154884511/
         819563450530245797376000000*ep-320714631548464/2025*ep*z4-
         7443510748969333342483/4378374000*ep*z3-4663391171546961535615\
         86732985806945873716557/236270308026463500433932288000000*ep^2
         -20740723338124607/2025*ep^2*z5-7443510748969333342483/
         2918916000*ep^2*z4+8189191322011075781195992829/
         1577790854640000*ep^2*z3+1940318644469530293653002539793994929\
         8260092981350626719863222889561/287372438323549604092596942491\
         2554613800960000000000000*ep^3-61580740751276893/2430*ep^3*z6-
         8151773576111632744549/486486000*ep^3*z5+
         8189191322011075781195992829/1051860569760000*ep^3*z4+38917115\
         4437141506916021424542177/568572712378070400000*ep^3*z3-
         22452029578051883/6075*ep^3*z3^2;

Fill mncnoptab(10,2,1,5)=
      +mncF321*(20060060020+1391894934430/9*ep+55826376259682/135*ep^2+
         45888788080790/81*ep^3)
      -916255037945193778027719695323/9282819793927680000+342882533/
         9720*ep^-3+214395414607973/500385600*ep^-2+
         102869733270687723359/180318954816000*ep^-1-320737995855256/
         1215*z3+189791981349695091208095755621184935131/
         187328788692627610828800000*ep-160368997927628/405*ep*z4-
         42619750809558171109/10007712*ep*z3-37813346539774509198657732\
         966718749515021509/7714948833517175524373299200000*ep^2-
         20740916745568103/810*ep^2*z5-42619750809558171109/6671808*
         ep^2*z4+1157573633060694429057830993/90159477408000*ep^2*z3+
         57160909452605842488802146449891491691433617961754196099430435\
         096563/3862285571068506679004502907082473400948490240000000000
         *ep^3-61581274244993797/972*ep^3*z6-47492829071821757599/
         1111968*ep^3*z5+1157573633060694429057830993/60106318272000*
         ep^3*z4+68687281592555562386187418858649/32489869278746880000*
         ep^3*z3-22451418106579763/2430*ep^3*z3^2;

Fill mncnoptab(10,2,2,4)=
      +mncF321*(40120120040+2803123975652/9*ep+113868973054648/135*ep^2
         +476374710712892/405*ep^3)
      -6410264151169186120058835792157/32489869278746880000-9424472659/
         4860*ep^-3-4226327243989531/250192800*ep^-2-
         2746841674394733387697/90159477408000*ep^-1-641406287266136/
         1215*z3+345383084042781739911608868054961453123417/
         171343398724190054704742400000*ep-320703143633068/405*ep*z4-
         1068970732982154545701/125096400*ep*z3-20206269154060525178133\
         49486385344239874383263177/208390411679340807382728278016000000
         *ep^2-20740678361104919/405*ep^2*z5-1068970732982154545701/
         83397600*ep^2*z4+1137136410112622818583792321/45079738704000*
         ep^2*z3+744055520168702481216244437567829746196619547239992746\
         196749435980243/2339653759397268469012343107174959848651489280\
         0000000000*ep^3-61580628796048621/486*ep^3*z6-
         1225368333454685367823/13899600*ep^3*z5+
         1137136410112622818583792321/30053159136000*ep^3*z4+
         91476816276171932263090599722393/16244934639373440000*ep^3*z3-
         22452293602289411/1215*ep^3*z3^2;

Fill mncnoptab(10,3,1,4)=
      +mncF321*(14589134560+1025551667140/9*ep+42121115233106/135*ep^2+
         178856889694474/405*ep^3)
      -457513647427318806973025449/6375563045280000-546716807/1215*
         ep^-3-782492912177/218700*ep^-2-1940224067834841263/
         433459026000*ep^-1-233243481981328/1215*z3+3531914201419824132\
         898732075540357144561/4841728692363298249113600000*ep-
         116621740990664/405*ep*z4-1499471837549432119/481140*ep*z3-
         238755623981101891654913424799143239936516415217/6839480178193\
         7495756382614323200000*ep^2-7542083435582332/405*ep^2*z5-
         1499471837549432119/320760*ep^2*z4+1956242984932813712803639/
         216729513000*ep^2*z3+33677297403564735314053127230750100656341\
         475678465517261803069093847/2758775407906076199288930647916052\
         429248921600000000000*ep^3-11196503412382834/243*ep^3*z6-
         1761096284935954027/53460*ep^3*z5+1956242984932813712803639/
         144486342000*ep^3*z4+390775527111365691909023236979/
         156201294609360000*ep^3*z3-8164431422330092/1215*ep^3*z3^2;

Fill mncnoptab(10,3,2,3)=
      +mncF321*(21883701840+517388135264/3*ep+21592685872576/45*ep^2+
         18735727051990/27*ep^3)
      -44778850706807209021096924319/416536785624960000-3460340429/810*
         ep^-3-12659802500827/291600*ep^-2-139404305595080806019/
         1155890736000*ep^-1-116596779305552/405*z3+1032666871119143261\
         689632771658767395521643/948978823703206456826265600000*ep-
         58298389652776/135*ep*z4-7528658289323194967/1603800*ep*z3-
         1511167752190492335165525176321610360504702578821/293120579065\
         446410384496918528000000*ep^2-3770945511391058/135*ep^2*z5-
         7528658289323194967/1069200*ep^2*z4+7637906707578832145676067/
         577945368000*ep^2*z3+20456634664077229313427831128264286757485\
         460142840443200940577288033267/1216619954886579603886418415730\
         979121298774425600000000000*ep^3-5598119877433811/81*ep^3*z6-
         9153764548696664741/178200*ep^3*z5+7637906707578832145676067/
         385296912000*ep^3*z4+987192333778502010063582697891/
         208268392812480000*ep^3*z3-4082435178827642/405*ep^3*z3^2;

Fill mncnoptab(10,3,3,2)=
      +mncF321*(7957709760+191281792156/3*ep+8218088212334/45*ep^2+
         7409294485856/27*ep^3)
      -88552612597452596098737986533/2290952320937280000-40932907288/
         4455*ep^-3-1493458802785669/17641800*ep^-2-
         1128833533481688757663/6357399048000*ep^-1-465584288541008/
         4455*z3+2580810258734288261952746183421145581759718469/6576423\
         248263220745806020608000000*ep-232792144270504/1485*ep*z4-
         3791166054807429511/2205225*ep*z3-5179332507430183893006503357\
         9706838176720281867558423/284385585809296107355038910355865600\
         00000*ep^2-15081001073898032/1485*ep^2*z5-3791166054807429511/
         1470150*ep^2*z4+14576387320023304364907239/3178699524000*ep^2*
         z3+17712217470178889765255072247794320912387111172065045341200\
         953771219427893/3065882286314180601793774407642067385672911552\
         512000000000000*ep^3-22388709466576544/891*ep^3*z6-
         9800413368470045081/490050*ep^3*z5+14576387320023304364907239/
         2119133016000*ep^3*z4+2714380621316701413969984003557/
         1145476160468640000*ep^3*z3-16339007026732208/4455*ep^3*z3^2;

Fill mncnoptab(10,4,1,3)=
      +mncF321*(3647283640+262966964260/9*ep+11291745485384/135*ep^2+
         50831282864344/405*ep^3)
      -6420694153488643116452995361/357031530535680000+966246463/4860*
         ep^-3+317021926481/1749600*ep^-2-79491865122682394147/
         6935344416000*ep^-1-58325284551352/1215*z3+8083048118002177988\
         510256237940085401189/45189467795390783658393600000*ep-
         29162642275676/405*ep*z4-138009058042893161/174960*ep*z3-
         19040526000469418131853065564180954863411139411/22798267260645\
         831918794204774400000*ep^2-1885565316320413/405*ep^2*z5-
         138009058042893161/116640*ep^2*z4+7287221508995453865000571/
         3467672208000*ep^2*z3+2019264896464257374875060461856987960775\
         3525403428580147357796434939433248577/528281711993099407584781\
         5613056214789676668088116838400000000000*ep^3-5598370664409887/
         486*ep^3*z6-1960740028468446433/213840*ep^3*z5+
         7287221508995453865000571/2311781472000*ep^3*z4+
         195195018604823683708083170029/178515765267840000*ep^3*z3-
         2040901887672193/1215*ep^3*z3^2;

Fill mncnoptab(10,4,2,2)=
      +mncF321*(3647283640+265695321892/9*ep+11613799405208/135*ep^2+
         10702204233044/81*ep^3)
      -44243143774868861606098147799/2499220713749760000-21947774849/
         4860*ep^-3-72511372152127/1749600*ep^-2-596618078756380777619/
         6935344416000*ep^-1-58185761427976/1215*z3+2133695653885305233\
         3018887552955665958735951/119571331786604013560109465600000*ep
         -29092880713988/405*ep*z4-7619290589561785007/9622800*ep*z3-
         60552827716951553178866623854879348183674218253723/73866385924\
         492495416893223469056000000*ep^2-1885086588268429/405*ep^2*z5-
         7619290589561785007/6415200*ep^2*z4+7067969460301191131766187/
         3467672208000*ep^2*z3+6869658922516545022677951728888854470821\
         682656702146600827629157605052433/3065882286314180601793774407\
         642067385672911552512000000000000*ep^3-5597074003377311/486*
         ep^3*z6-10206413007269252261/1069200*ep^3*z5+
         7067969460301191131766187/2311781472000*ep^3*z4+
         1587965465873838916287125403691/1249610356874880000*ep^3*z3-
         2042543864958961/1215*ep^3*z3^2;

Fill mncnoptab(10,4,3,1)=
      +mncF321*(663142480+49160852104/9*ep+2213620155656/135*ep^2+
         10598633383252/405*ep^3)
      -44902295048852204583847370879/13745713925623680000-11931912629/
         26730*ep^-3-640763399095157/105850800*ep^-2-
         992874745478969999099/38144394288000*ep^-1-116545065679952/
         13365*z3+18952928911194962295899634585523673305398684443/
         591878092343689867122541854720000000*ep-58272532839976/4455*ep
         *z4-7688842127286516347/52925400*ep*z3-36859525056989948499642\
         6392103541760295129330611407337/255947027228366496619535019320\
         2790400000000*ep^2-3770712172066658/4455*ep^2*z5-
         7688842127286516347/35283600*ep^2*z4+6681322916477184955411387/
         19072197144000*ep^2*z3+272194393809987894467836661176308451957\
         432598354670223360883799692375450341/6070446926902077591551673\
         32713129342363236487397376000000000000*ep^3-5597795725260011/
         2673*ep^3*z6-10921005418389992081/5880600*ep^3*z5+
         6681322916477184955411387/12714798096000*ep^3*z4+
         1975986278428641272461532111971/6872856962811840000*ep^3*z3-
         4082672743536842/13365*ep^3*z3^2;

Fill mncnoptab(10,5,1,2)=
      +mncF321*(280560280+21189938770/9*ep+982722204653/135*ep^2+
         4868677812037/405*ep^3)
      -578623972257104887900630201/421946354269440000-1207728389/4860*
         ep^-3-60282679883329/22744800*ep^-2-695666650665182478677/
         90159477408000*ep^-1-4477948005664/1215*z3+1532569830402365244\
         611357252913067355947489/115142763942655716761586892800000*ep-
         2238974002832/405*ep*z4-1551545141751011899/25019280*ep*z3-
         1954457314269366084134834751922765557626561054977/331942771315\
         00331273764362151526400000*ep^2-145014763760041/405*ep^2*z5-
         1551545141751011899/16679520*ep^2*z4+6259652839030714163467381/
         45079738704000*ep^2*z3-734275950406005194176381796604196320483\
         204437927041519262571674849738121654433/5481699646798984441056\
         203965547742875876260298493001728000000000000*ep^3-
         430566343274459/486*ep^3*z6-2337976536200439517/2779920*ep^3*
         z5+6259652839030714163467381/30053159136000*ep^3*z4+
         2398795588585263536319080408233/16244934639373440000*ep^3*z3-
         157099533728221/1215*ep^3*z3^2;

Fill mncnoptab(10,5,2,1)=
      +mncF321*(140280140+10712203502/9*ep+505848807058/135*ep^2+
         2564604372122/405*ep^3)
      -4012892660179112738458192669/5907248959772160000-3038861693/9720
         *ep^-3-142176046972447/45489600*ep^-2-1551485665666516735979/
         180318954816000*ep^-1-2235375952376/1215*z3+185981569641638318\
         503675620665145296696344163/27979691638065339173065614950400000
         *ep-1117687976188/405*ep*z4-7793383600614527087/250192800*ep*
         z3-695325697470604774204262051530039521968532887798377/
         24198628028863741498574220008462745600000*ep^2-144985852870033/
         810*ep^2*z5-7793383600614527087/166795200*ep^2*z4+
         6009016486554451834296787/90159477408000*ep^2*z3+
         16255504846049581686026089954958445009677335264462653873363371\
         70474315535608663053/22644901240926604726003178581677725820244\
         831293074590138368000000000000*ep^3-430486806705347/972*ep^3*
         z6-12142501185699072101/27799200*ep^3*z5+
         6009016486554451834296787/60106318272000*ep^3*z4+
         2617978846159426172674198400851/32489869278746880000*ep^3*z3-
         157155847401637/2430*ep^3*z3^2;

Fill mncnoptab(10,6,1,1)=
      +mncF321*(4008004+334920586/9*ep+90225947182/675*ep^2+
         148364021054/567*ep^3)
      -4010009348223112183544601757/206753713592025600000-1232145467/
         48600*ep^-3-310512236967199/1592136000*ep^-2-
         437428468507563638141/901594774080000*ep^-1-320724007256/6075*
         z3+56881742880154949768213310070622049683/
         321268872607856352571392000000*ep-160362003628/2025*ep*z4-
         327320524118449703/350269920*ep*z3-305985122646258974107549668\
         73775853194382967/46308980373186846085050728448000000*ep^2-
         20713455984103/4050*ep^2*z5-327320524118449703/233513280*ep^2*
         z4+3770171902572989240538451/3155581709280000*ep^2*z3+
         42625833851748275757125000898176146984611823324429589371888194\
         324859266767611/8470075002452408145565821024502787860581198773\
         289467510784000000000*ep^3-61498919937797/4860*ep^3*z6-
         645237532782121613/38918880*ep^3*z5+3770171902572989240538451/
         2103721139520000*ep^3*z4+4508248451740114078826443689043/
         1137145424756140800000*ep^3*z3-22363198179763/12150*ep^3*z3^2;

Fill mncnoptab(11,1,1,5)=
      +mncF321*(1003003001+717258274733/90*ep+15161437991591/675*ep^2+
         37309912843139/1134*ep^3)
      -6415593266508093838726915581637/1299594771149875200000+
         2945254421/194400*ep^-3+1076227600219229/10007712000*ep^-2+
         135430562950380964583/3606379096320000*ep^-1-80183852258842/
         6075*z3+162260248409498103755670123901883003393/
         3278253802120983189504000000*ep-40091926129421/2025*ep*z4-
         7567630190240170404187/35026992000*ep*z3-275123453608318459219\
         804911230205528534434527/1181351540132317502169661440000000*
         ep^2-20740805149432919/16200*ep^2*z5-7567630190240170404187/
         23351328000*ep^2*z4+7475219128989471853091252927/
         12622326837120000*ep^2*z3+139862893539860638987291232205647330\
         6261191266299123603777044921/209542402944254919650851937233207\
         1072563200000000000*ep^3-61580944630228021/19440*ep^3*z6-
         9487520811887058627601/3891888000*ep^3*z5+
         7475219128989471853091252927/8414884558080000*ep^3*z4+12090721\
         60068035456859809144245991/4548581699024563200000*ep^3*z3-
         22451420537879651/48600*ep^3*z3^2;

Fill mncnoptab(11,2,1,4)=
      +mncF321*(1458913456+527727944744/45*ep+22772524754056/675*ep^2+
         102905086836068/2025*ep^3)
      -83285039524455657546498265541/11603524742409600000-3500189/12150
         *ep^-3-6941244965971/56862000*ep^-2-180069600273418549607/
         225398693520000*ep^-1-116632107487952/6075*z3+6873170570666383\
         9202031252396454051400171/963806617823569057714176000000*ep-
         58316053743976/2025*ep*z4-98835632421918328991/312741000*ep*z3
         -2769004824976592966996503829213572850413495782967/83356164671\
         73632295309131120640000000*ep^2-3771078461702258/2025*ep^2*z5-
         98835632421918328991/208494000*ep^2*z4+
         93813976805751344707747591/112699346760000*ep^2*z3+
         16947368829426165492035137025181638491513585498148465954514203\
         4989261/152077494360822450485802301966372390162346803200000000\
         000*ep^3-5598301638809411/1215*ep^3*z6-129212316972445932893/
         34749000*ep^3*z5+93813976805751344707747591/75132897840000*
         ep^3*z4+2716804355277151963464485856049/5801762371204800000*
         ep^3*z3-4082076113331482/6075*ep^3*z3^2;

Fill mncnoptab(11,2,2,3)=
      +mncF321*(1591541952+194654401396/15*ep+8608432617974/225*ep^2+
         40179739666744/675*ep^3)
      -1166512098097531036822827059089/148911900860923200000-1310618428/
         22275*ep^-3-1071755579863627/1146717000*ep^-2-
         1976642223674501675359/413230938120000*ep^-1-466522328351408/
         22275*z3+4661677728537266001648953704376353533222703/
         60582130263195769342033920000000*ep-233261164175704/7425*ep*z4
         -99525816614656539101/286679250*ep*z3-132149667617752285357917\
         71884022355537412393258363/37425216791391818468734874419200000\
         000*ep^2-15084242708078432/7425*ep^2*z5-99525816614656539101/
         191119500*ep^2*z4+179479480706030117874004487/206615469060000*
         ep^2*z3+990404866888652889329999130669096905417922032403036227\
         92735644119291/86901425349041400277601315409355651521341030400\
         000000000*ep^3-22393102897941944/4455*ep^3*z6-
         68335733369039366749/15926625*ep^3*z5+
         179479480706030117874004487/137743646040000*ep^3*z4+
         46157597003521037292649952896481/74455950430461600000*ep^3*z3-
         16328151097629728/22275*ep^3*z3^2;

Fill mncnoptab(11,3,1,3)=
      +mncF321*(547092546+67538784313/15*ep+3033911938967/225*ep^2+
         28891156309853/1350*ep^3)
      -6420870368952633619819702217/2380210203571200000+1585076311/
         32400*ep^-3+2953460253113/11664000*ep^-2-40946107757887547099/
         46235629440000*ep^-1-14582323613494/2025*z3+259207177042931312\
         9669292581329887193/98810789640067311206400000*ep-
         7291161806747/675*ep*z4-7691999444029134167/64152000*ep*z3-
         87434815433425641234745092202949297384348178797/73280144766361\
         6025961242296320000000*ep^2-1885577026598629/2700*ep^2*z5-
         7691999444029134167/42768000*ep^2*z4+6694518955139662123675747/
         23117814720000*ep^2*z3+239396042473753701085703479461085427810\
         9009540451526587996776773489/354699695302209797051433940446349\
         5980462899200000000000*ep^3-5598401785341911/3240*ep^3*z6-
         10894142271736187741/7128000*ep^3*z5+6694518955139662123675747/
         15411876480000*ep^3*z4+1980719448052882514189678775571/
         8330735712499200000*ep^3*z3-2040849738987241/8100*ep^3*z3^2;

Fill mncnoptab(11,3,2,2)=
      +mncF321*(397885488+49915085584/15*ep+2303177794736/225*ep^2+
         2270188097318/135*ep^3)
      -44322620855035269457692759359/22909523209372800000-20063796389/
         44550*ep^-3-748439945914097/176418000*ep^-2-
         600712186740096495419/63573990480000*ep^-1-116388460431152/
         22275*z3+2850794198364746355220190287782556461801881/150559140\
         299066409015705600000000*ep-58194230215576/7425*ep*z4-
         7743996880049168087/88209000*ep*z3-178023092156933039507793257\
         858421042371403308667533/2115964180128691274963087130624000000\
         000*ep^2-3770238529297058/7425*ep^2*z5-7743996880049168087/
         58806000*ep^2*z4+6334663797841940037366427/31786995240000*ep^2
         *z3+9664054151527807240048113599292901154059936544865906099122\
         692356713201/4014845851125712692825180771912231100285955604480\
         0000000000*ep^3-5597163563730011/4455*ep^3*z6-
         11547095168027113301/9801000*ep^3*z5+6334663797841940037366427/
         21191330160000*ep^3*z4+2312498953448910273429051292291/
         11454761604686400000*ep^3*z3-4084932987763082/22275*ep^3*z3^2;

Fill mncnoptab(11,3,3,1)=
      +mncF321*(49735686+6407448593/15*ep+308695277527/225*ep^2+
         3212817484201/1350*ep^3)
      -44800009965979064640879798179/183276185674982400000-23554783889/
         356400*ep^-3-1148993096412917/1411344000*ep^-2-
         1619390848906211842079/508591923840000*ep^-1-14558471958394/
         22275*z3+610357453731917877950143040804108257641817/2621342174\
         84981694268416000000000*ep-7279235979197/7425*ep*z4-
         7847327324485983947/705672000*ep*z3-56287913495002631774664500\
         10202960217797612197701/566776119677328020079398338560000000000
         *ep^2-1885187512328029/29700*ep^2*z5-7847327324485983947/
         470448000*ep^2*z4+5718038790025372739498767/254295961920000*
         ep^2*z3+895732180571987916330314816129681979300670156153930609\
         6392395947289689/295736413140956515319711976502463451583563694\
         080000000000000*ep^3-5597328649150511/35640*ep^3*z6-
         12666119592707805281/78408000*ep^3*z5+
         5718038790025372739498767/169530641280000*ep^3*z4+
         2858008977847333376542644644551/91638092837491200000*ep^3*z3-
         2041557571367041/89100*ep^3*z3^2;

Fill mncnoptab(11,4,1,2)=
      +mncF321*(56112056+21719541844/45*ep+1047864703256/675*ep^2+
         5449536308248/2025*ep^3)
      -6375379261168864772832201857/23207049484819200000-998274053/
         24300*ep^-3-52158019728367/113724000*ep^-2-
         58614370235382778249/40981580640000*ep^-1-4479017744152/6075*
         z3+240796956687198398807943164656786794475601/
         92525435311062629540560896000000*ep-2239508872076/2025*ep*z4-
         7855370979901469807/625482000*ep*z3-22427917022320420979836549\
         51203369245813698355473/200054795212167175087419146895360000000
         *ep^2-145018863156433/2025*ep^2*z5-7855370979901469807/
         416988000*ep^2*z4+73755960632167099228391/2927255760000*ep^2*
         z3-23350964456766599247021730790304649736205533369593593416630\
         146200717365510407/7488393267502184102514278631507184464366677\
         01490561843200000000000*ep^3-430577571725147/2430*ep^3*z6-
         12734953705990136261/69498000*ep^3*z5+73755960632167099228391/
         1951503840000*ep^3*z4+2912348981388541311429653277211/
         81224673196867200000*ep^3*z3-157088797247557/6075*ep^3*z3^2;

Fill mncnoptab(11,4,2,1)=
      +mncF321*(20404384+8033657996/45*ep+398248265674/675*ep^2+
         2143099707074/2025*ep^3)
      -2746730420549784359654476229/27920981411423100000-4008959003/
         66825*ep^-3-1019841271399801/1720075500*ep^-2-
         1001137672374972939517/619846407180000*ep^-1-17866599773008/
         66825*z3+51485849351693348013334239849023926747071499/54523917\
         236876192407830528000000000*ep-8933299886504/22275*ep*z4-
         7911711331834351577/1720075500*ep*z3-9235380104394095192644908\
         52446971831873357368868899/23577886578576845635302970884096000\
         0000000*ep^2-579878739800332/22275*ep^2*z5-7911711331834351577/
         1146717000*ep^2*z4+2637254971396682274688781/309923203590000*
         ep^2*z3+980493232097930117201153377213490075970630845985135999\
         9939466398865867/860324110955509862748253022552620950061276200\
         960000000000000*ep^3-860884809813994/13365*ep^3*z6-
         13454547346888277621/191119500*ep^3*z5+
         2637254971396682274688781/206615469060000*ep^3*z4+
         807061161975215173309602029089/55841962822846200000*ep^3*z3-
         628763470154428/66825*ep^3*z3^2;

Fill mncnoptab(11,5,1,1)=
      +mncF321*(1002001+855337483/90*ep+23785384966/675*ep^2+
         81348080305/1134*ep^3)
      -4018209752744516224833365269/827014854368102400000-1228253579/
         194400*ep^-3-315190263339127/6368544000*ep^-2-
         65450098191551730131/515197013760000*ep^-1-80180028842/6075*z3
         +63591140958452250396514594539139937011/
         1468657703350200468897792000000*ep-40090014421/2025*ep*z4-
         8275663371748430687/35026992000*ep*z3-165437378504295634291513\
         410019409035144256659/1058490979958556481944016650240000000*
         ep^2-20713288632919/16200*ep^2*z5-8275663371748430687/
         23351328000*ep^2*z4+3185772843956446677120427/
         12622326837120000*ep^2*z3+452208675377217693120655680546068750\
         0599969001496847850542249021333/260321876223051707892779725900\
         5768546753341030400000000000*ep^3-61498425668021/19440*ep^3*z6
         -17126190098590332101/3891888000*ep^3*z5+
         3185772843956446677120427/8414884558080000*ep^3*z4+
         4819310044918670171027437802491/4548581699024563200000*ep^3*z3
         -22363202071651/48600*ep^3*z3^2;

Fill mncnoptab(12,1,1,4)=
      +mncF321*(48228544+200057999596/495*ep+840431511034/675*ep^2+
         318095856900478/155925*ep^3)
      -1164699848475859189808395156489/4914092728410465600000-
         4428138328/735075*ep^-3-1126899583560277/37841661000*ep^-2+
         1086121216391469217541/13636620957960000*ep^-1-466316026924208/
         735075*z3+2166659199506132494176055144175084066843/
         952004904135933518231961600000*ep-233158013462104/245025*ep*z4
         -353065310170148190616/33111453375*ep*z3-418382000624009101407\
         719733483744473752000144979/4116773847053100031560836186112000\
         0000*ep^2-15083434720647632/245025*ep^2*z5-
         176532655085074095308/11037151125*ep^2*z4+
         1144551923808765991902625709/47728173352860000*ep^2*z3+
         29556361302545755081302770830931190097948994380387620820070383\
         35529/95591567883945540305361446950291216673475133440000000000
         *ep^3-22391994067509344/147015*ep^3*z6-1059153566780440252061/
         7358100750*ep^3*z5+1144551923808765991902625709/
         31818782235240000*ep^3*z4+437577227558909244172057411687967/
         17199324549436629600000*ep^3*z3-16331083870818128/735075*ep^3*
         z3^2;

Fill mncnoptab(12,2,1,3)=
      +mncF321*(36171408+51113282584/165*ep+2447654833736/2475*ep^2+
         2519283996188/1485*ep^3)
      -11909112058750621005268115483/66858404468169600000+451775611/
         490050*ep^-3+325875820058839/25227774000*ep^-2+
         279557695480234039753/9091080638640000*ep^-1-116643620259152/
         245025*z3+1517866960351592442245534671539699938861/
         906671337272317636411392000000*ep-58321810129576/81675*ep*z4-
         102000481008461710031/12613887000*ep*z3-8179360933528557476143\
         908285649869999873240871/1120210570626693886139003043840000000
         *ep^2-3771126154189058/81675*ep^2*z5-102000481008461710031/
         8409258000*ep^2*z4+75100507771625041611854551/4545540319320000
         *ep^2*z3+65817875486821090127456080199518809527437338446330062\
         621393015447399/1402009662297867924478634555270937844544301957\
         120000000000*ep^3-5598367421154011/49005*ep^3*z6-
         163245410023141615613/1401543000*ep^3*z5+
         75100507771625041611854551/3030360212880000*ep^3*z4+
         36936981988782669345037497147583/1638030909470155200000*ep^3*
         z3-4081924001167082/245025*ep^3*z3^2;

Fill mncnoptab(12,2,2,2)=
      +mncF321*(18085704+26184748772/165*ep+1303354684408/2475*ep^2+
         7041836741372/7425*ep^3)
      -577505486849417502327428907527/6552123637880620800000-
         17903646089/980100*ep^-3-8847651767184521/50455548000*ep^-2-
         7486255932095108492627/18182161277280000*ep^-1-58198021757176/
         245025*z3+2240056596347919007732115611338401126893/
         2720014011816952909234176000000*ep-29099010878588/81675*ep*z4-
         103143851971779150911/25227774000*ep*z3-1820860713204827413096\
         39896120349943663843339/52509870498126275912765767680000000*
         ep^2-1885139347303429/81675*ep^2*z5-103143851971779150911/
         16818516000*ep^2*z4+67523268402160755750211171/
         9091080638640000*ep^2*z3+4922746214712025072942785149309259031\
         96956855871057733238586444140653/57832898569787051884743675404\
         926186087452455731200000000000*ep^3-5597220020153111/98010*
         ep^3*z6-176730045309648785453/2803086000*ep^3*z5+
         67523268402160755750211171/6060720425760000*ep^3*z4+
         42904258058627828142389511538363/3276061818940310400000*ep^3*
         z3-2042483803704841/245025*ep^3*z3^2;

Fill mncnoptab(12,3,1,2)=
      +mncF321*(5564832+8197621796/165*ep+418914966274/2475*ep^2+
         2334837507314/7425*ep^3)
      -1594402772854091206321622063/58501103909648400000-990043103/
         245025*ep^-3-134919874584563/3153471750*ep^-2-
         281994149005746019267/2272770159660000*ep^-1-17913021348208/
         245025*z3+967465039573987639689553696414342672939/
         3885734302595647013191680000000*ep-8956510674104/81675*ep*z4-
         8005903278209814227/6306943500*ep*z3-1725065963565155212315392\
         7554575289208910803093/16803158559400408292085045657600000000*
         ep^2-580065128803132/81675*ep^2*z5-8005903278209814227/
         4204629000*ep^2*z4+2381809123413888492710831/1136385079830000*
         ep^2*z3-461144081935001152216523469418037454647862879814566170\
         2741919130187/191183135767891080610722893900582433346950266880\
         0000000000*ep^3-861141182530594/49005*ep^3*z6-
         14359125009541606571/700771500*ep^3*z5+
         2381809123413888492710831/757590053220000*ep^3*z4+
         454604792847075740929324961957/102376931841884700000*ep^3*z3-
         628408411050028/245025*ep^3*z3^2;

Fill mncnoptab(12,3,2,1)=
      +mncF321*(1391208+2102693684/165*ep+111754900936/2475*ep^2+
         11886594824/135*ep^3)
      -43703487911054382071577286259/6552123637880620800000-5414813453/
         980100*ep^-3-2766301027872797/50455548000*ep^-2-
         2766802103562677307119/18182161277280000*ep^-1-4461775173352/
         245025*z3+16867795905776976189821615255728081135901/2720014011\
         81695290923417600000000*ep-2230887586676/81675*ep*z4-
         8096267450055436187/25227774000*ep*z3-882333820125536547671073\
         1348444221408311352967/36756909348688393138936037376000000000*
         ep^2-144949444880233/81675*ep^2*z5-8096267450055436187/
         16818516000*ep^2*z4+4114316857757331640910527/9091080638640000
         *ep^2*z3+52541488910016488814210922207659990558505068380154165\
         636941661851821/7270421534487515094082062050905006250994023006\
         2080000000000*ep^3-430386559467347/98010*ep^3*z6-
         15491840715443845601/2803086000*ep^3*z5+
         4114316857757331640910527/6060720425760000*ep^3*z4+
         4056143194632473481129102500791/3276061818940310400000*ep^3*z3
         -157222542732157/245025*ep^3*z3^2;

Fill mncnoptab(12,4,1,1)=
      +mncF321*(132496+642931744/495*ep+3409904596/675*ep^2+
         1699107710176/155925*ep^3)
      -44223180623281771210755866099/68797298197746518400000-1239310079/
         1470150*ep^-3-3585708013381337/529783254000*ep^-2-
         490056076593663484577/27273241915920000*ep^-1-1282924687472/
         735075*z3+140220225658833090994737098549588673331/
         25386797443624893819518976000000*ep-641462343736/245025*ep*z4-
         8422775613599661707/264891627000*ep*z3-34494529395978434016497\
         6266902729951669713131/18296772653569333473603716382720000000*
         ep^2-41427528124838/245025*ep^2*z5-8422775613599661707/
         176594418000*ep^2*z4+2244621620237218835016007/
         95456346705720000*ep^2*z3+860608012325898909326830026848042131\
         3998064846207081718233831447747309/291190265812522905966465784\
         06514303459861372023603200000000000*ep^3-61499829843521/147015
         *ep^3*z6-18709771703190823961/29432403000*ep^3*z5+
         2244621620237218835016007/63637564470480000*ep^3*z4+
         5240230387785905231631677962711/34398649098873259200000*ep^3*
         z3-44726382030302/735075*ep^3*z3^2;

Fill mncnoptab(13,1,1,3)=
      +mncF321*(753571+6772313093/990*ep+177146811701/7425*ep^2+
         1287774465031/28350*ep^3)
      -585591508615652149200546263327/157250967309134899200000+
         4098292111/23522400*ep^-3+1414509512926879/1210933152000*ep^-2
         +229001711052657319573/436371870654720000*ep^-1-7289344040072/
         735075*z3+65407690556126677610638772645280891287/
         1983343550283194829649920000000*ep-3644672020036/245025*ep*z4-
         735608652305873404577/4238266032000*ep*z3-95692279954793597073\
         301955502974845465582537/714717681780052088812645171200000000*
         ep^2-1885408589921029/1960200*ep^2*z5-735608652305873404577/
         2825510688000*ep^2*z4+394751967542300968582496797/
         1527301547291520000*ep^2*z3+3252523914584183625041685714266865\
         20483573385929628324031331407/21732540648218438809502643775901\
         1942668697600000000000*ep^3-5597911017442511/2352240*ep^3*z6-
         1375259994369170234771/470918448000*ep^3*z5+
         394751967542300968582496797/1018201031527680000*ep^3*z4+
         363220539133607274311336852027941/550378385581972147200000*
         ep^3*z3-2040964353368041/5880600*ep^3*z3^2;

Fill mncnoptab(13,2,1,2)=
      +mncF321*(231868+1082878342/495*ep+60015537218/7425*ep^2+
         73561134722/4455*ep^3)
      -917440524864118464858146291/802300853618035200000-177812453/
         5880600*ep^-3-327670140419597/302733288000*ep^-2-
         752034462112762236719/109092967663680000*ep^-1-2243042460176/
         735075*z3+1388668417187148574495907523158368849/
         141667396448799630689280000000*ep-1121521230088/245025*ep*z4-
         8243525280161897987/151366644000*ep*z3-38995416242356472979324\
         824341945381853471/1041862509883457855412019200000000*ep^2-
         145046226488233/490050*ep^2*z5-8243525280161897987/
         100911096000*ep^2*z4+3316698580670649334886527/
         54546483831840000*ep^2*z3-696183731433664609066279444017489903\
         5218437227715518331870143239/141228079535499516202060257399087\
         145512704409600000000000*ep^3-430652594544347/588060*ep^3*z6-
         1298977642593432077/1293732000*ep^3*z5+
         3316698580670649334886527/36364322554560000*ep^3*z4+
         656368496512450421649014730913/2808052987663123200000*ep^3*z3-
         157000347528157/1470150*ep^3*z3^2;

Fill mncnoptab(13,2,2,1)=
      +mncF321*(35672+173533598/495*ep+10201168537/7425*ep^2+
         67087380317/22275*ep^3)
      -42626056181646628335706912289/255532821877344211200000-
         9247657853/38223900*ep^-3-4447091982717227/1967766372000*ep^-2
         -3896026961805405778409/709104289813920000*ep^-1-4442148997552/
         9555975*z3+611044479294768174809966363966004593/
         409261367518754488657920000000*ep-2221074498776/3185325*ep*z4-
         8390235216899766227/983883186000*ep*z3-60809762241590194939804\
         546194392334762410773/11945995538323727770154212147200000000*
         ep^2-144873981754033/3185325*ep^2*z5-8390235216899766227/
         655922124000*ep^2*z4+310489162026217526302591/
         50650306415280000*ep^2*z3+769754419630544198499137897438175114\
         1595742449267919985724266039/674436134924630342679226535334416\
         164285159833600000000000*ep^3-430179796264547/3822390*ep^3*z6-
         18796072799852529821/109320354000*ep^3*z5+
         310489162026217526302591/33766870943520000*ep^3*z4+
         5081956388484328778356468592581/127766410938672105600000*ep^3*
         z3-157419385362757/9555975*ep^3*z3^2;

Fill mncnoptab(13,3,1,1)=
      +mncF321*(8281+84465563/990*ep+2640559796/7425*ep^2+259545208673/
         311850*ep^3)
      -44549699395722528923943157019/1100756771163944294400000-
         1189760579/23522400*ep^-3-3581370435556757/8476532064000*ep^-2
         -525669726157931768657/436371870654720000*ep^-1-80170405592/
         735075*z3+77398574176629869791275994020261281/
         238001226033983379557990400000*ep-40085202796/245025*ep*z4-
         8655047627637685667/4238266032000*ep*z3-4314871303322036027352\
         06960680276409439127/428830609068031253287587102720000000*ep^2
         -20711633433919/1960200*ep^2*z5-8655047627637685667/
         2825510688000*ep^2*z4+735686947884088406850247/
         1527301547291520000*ep^2*z3+1576264663285187217390495300989583\
         7390229505967591335861403097/928975392458168516087088891645201\
         328216473600000000000*ep^3-61493537057021/2352240*ep^3*z6-
         21197118170609917241/470918448000*ep^3*z5+
         735686947884088406850247/1018201031527680000*ep^3*z4+
         5726888365294692271010741963071/550378385581972147200000*ep^3*
         z3-22363240564651/5880600*ep^3*z3^2;

Fill mncnoptab(14,1,1,2)=
      +mncF321*(2744+181641698/6435*ep+11328954487/96525*ep^2+
         3879644653/14175*ep^3)
      -42917812148176263333778493189/3321926684405474745600000-
         7565806253/496910700*ep^-3-1962102884311127/25580962836000*
         ep^-2+1621606184594273426491/9218355767580960000*ep^-1-
         4396586108752/124227675*z3+17243103704093843672713503510730496\
         27/16759252999892996310541824000000*ep-2198293054376/41409225*
         ep*z4-60181970518736619389/89533369926000*ep*z3-20803516542338\
         29455189530883929126218711093/60393644110414401504668516966400\
         00000*ep^2-144675676160833/41409225*ep^2*z5-
         60181970518736619389/59688913284000*ep^2*z4+
         5426089150713132073482259/32264245186533360000*ep^2*z3+
         63352384305568138319228729789776305074615796974452054135163/
         42172533689370824698556733811194853947604992000000000*ep^3-
         429630442373747/49691070*ep^3*z6-147518192559092741147/
         9948152214000*ep^3*z5+5426089150713132073482259/
         21509496791022240000*ep^3*z4+39928244511940794505370458787167/
         11626743395419161609600000*ep^3*z3-158173313566357/124227675*
         ep^3*z3^2;

Fill mncnoptab(14,2,1,1)=
      +mncF321*(196+14061922/6435*ep+974949878/96525*ep^2+4141713286/
         155925*ep^3)
      -42249154097398675144554754499/46506973581676646438400000-
         1601402579/993821400*ep^-3-4575983705086637/358133479704000*
         ep^-2-541657343108628290777/18436711535161920000*ep^-1-
         321093264368/124227675*z3+231108172513195514879285433089477243/
         33518505999785992621083648000000*ep-160546632184/41409225*ep*
         z4-9044329833814327907/179066739852000*ep*z3-21340221110119866\
         8111522561385886146616069/120787288220828803009337033932800000\
         00*ep^2-20729334039919/82818450*ep^2*z5-9044329833814327907/
         119377826568000*ep^2*z4-1890347577725182459187393/
         64528490373066720000*ep^2*z3+902410897162564810218065604080618\
         0268591735173775132090530321/164472881388546216324371261863659\
         93039565946880000000000*ep^3-61545815591021/99382140*ep^3*z6-
         25419980778180767561/19896304428000*ep^3*z5-
         1890347577725182459187393/43018993582044480000*ep^3*z4+
         6052883698361022800628107999911/23253486790838323219200000*
         ep^3*z3-22362828922651/248455350*ep^3*z3^2;

Fill mncnoptab(15,1,1,1)=
      +mncF321*(1+1171733/90090*ep+30946717/429975*ep^2+406841/1782*
         ep^3)
      -78128237719242118559992718459/9115366822008622701926400000+
         8336811421/194788994400*ep^-3+13112890104760603/
         70194162021984000*ep^-2-11084027338077298036919/
         25295168226242154240000*ep^-1-77788762592/6087156075*z3+
         95465082798993658891037275542517393/32848135879790272768661975\
         04000000*ep-38894381296/2029052025*ep*z4-1407419189302418741/
         5013868715856000*ep*z3-150122780647888521982212276684248817605\
         27/1183715424564122269491502932541440000000*ep^2-414326343631/
         331273800*ep^2*z5-1407419189302418741/3342579143904000*ep^2*z4
         -7801827766559495067526073/12647584113121077120000*ep^2*z3+
         154958336522387541850573132826374617122021060617/3046883502828\
         0507216711285483616665600000000*ep^3-60283662413021/
         19478899440*ep^3*z6-34196700652685818601/3899675667888000*ep^3
         *z5-7801827766559495067526073/8431722742080718080000*ep^3*z4+
         5258389369976311046256184728991/4557683411004311350963200000*
         ep^3*z3-22372767136651/48697248600*ep^3*z3^2;
*--#] 18 :
#case 17
*--#[ 17 :

Fill mncnoptab(5,4,3,5)=
      +mncF321*(-2652840590400-18986218615650*ep-132239296970209/3*ep^2
         -8957278058313407/180*ep^3)
      +133635294650779373777362123/10165910832000-58715464093/42*ep^-3-
         1249197521141363/105840*ep^-2-13028022773190558241/733471200*
         ep^-1+733752340463428/21*z3-18820634746991415513396162013313/
         133593622880256000*ep+366876170231714/7*ep*z4+
         1028449650884968409/1890*ep*z3+7256550921202169411975470126454\
         07485599/999868111084988006400000*ep^2+71118482702736326/21*
         ep^2*z5+1028449650884968409/1260*ep^2*z4-
         733332687702182876095103/366735600*ep^2*z3-2565379117610204166\
         7159399333788760635862249366713921103/105933516594909583427609\
         20252416000000000*ep^3+175961825905682245/21*ep^3*z6+
         100006609986056798957/26460*ep^3*z5-733332687702182876095103/
         244490400*ep^3*z4+1356400102870211273578755479/1694318472000*
         ep^3*z3+8550597704197406/7*ep^3*z3^2;

Fill mncnoptab(5,4,4,4)=
      +mncF321*(-3537120787200-25279676267560*ep-526763013512164/9*ep^2
         -8886306533597081/135*ep^3)
      +1108628446850557137980959/63011844000-176932766582/63*ep^-3-
         1839173996040629/79380*ep^-2-1571595291162860333/50009400*
         ep^-1+2936337603552496/63*z3-4418902475411974282669440599/
         23524421760000*ep+1468168801776248/21*ep*z4+
         2056051107729532978/2835*ep*z3+1551814412146470040473604060224\
         743/1600601656550400000*ep^2+284487988453151912/63*ep^2*z5+
         1028025553864766489/945*ep^2*z4-66840367229124261438073/
         25004700*ep^2*z3-301960352920262278972361825932255485742543051\
         50953/9249803336309094739869696000000000*ep^3+
         703879127123998540/63*ep^3*z6+99147600869135486327/19845*ep^3*
         z5-66840367229124261438073/16669800*ep^3*z4+
         11492241508883567370845771/10501974000*ep^3*z3+
         34197469354531912/21*ep^3*z3^2;

Fill mncnoptab(5,5,4,3)=
      +mncF321*(-1989630442800-14299411492080*ep-33482375575077*ep^2-
         459345710633623/12*ep^3)
      +53648986061510190008690233/5421819110400-11032663928/7*ep^-3-
         61971191627875/4704*ep^-2-1857566223846568607/97796160*ep^-1+
         183519971123060/7*z3-316404933792853829833883369434961/
         3005856514805760000*ep+275279956684590/7*ep*z4+
         229038174972699037/560*ep*z3+450838945048158391920827855486059\
         35269/83322342590415667200000*ep^2+17780489321860980/7*ep^2*z5
         +687114524918097111/1120*ep^2*z4-33059748105807543837179/
         22226400*ep^2*z3-112859614271244003033763760156632350296887908\
         87555689977231/7009819418428782590873827698278400000000000*
         ep^3+43992423376844800/7*ep^3*z6+34244355393088925759/11760*
         ep^3*z5-33059748105807543837179/14817600*ep^3*z4+
         62008831898751778832389433/112021056000*ep^3*z3+
         6412042444044380/7*ep^3*z3^2;

Fill mncnoptab(5,5,5,2)=
      +mncF321*(-746111416050-5397449544630*ep-51217712285883/4*ep^2-
         715991107505023/48*ep^3)
      +17782981810780122976153489/4819394764800-34043267973/112*ep^-3-
         51044287494631/18816*ep^-2-97278703304965047/19317760*ep^-1+
         137550997139985/14*z3-78851022842916793819265883400529/
         2003904343203840000*ep+412652991419955/28*ep*z4+
         1033451289329120629/6720*ep*z3+1116814771862921482066041296608\
         1089291/55548228393610444800000*ep^2+26668845253133655/28*ep^2
         *z5+1033451289329120629/4480*ep^2*z4-718026233437953801063823/
         1303948800*ep^2*z3-2542371335600661131935184348407192162380740\
         543979028353787/4089061327416789844676399490662400000000000*
         ep^3+131968716294268425/56*ep^3*z6+17817916192073736667/15680*
         ep^3*z5-718026233437953801063823/869299200*ep^3*z4+
         6537814148989609111912836493/36145460736000*ep^3*z3+
         9620030269160025/28*ep^3*z3^2;

Fill mncnoptab(6,3,2,6)=
      +mncF321*(-636681741696-22958942019156/5*ep-270555560326714/25*
         ep^2-9352282443659393/750*ep^3)
      +1460885781833231888480488717/465937579800000-1740424179/35*ep^-3
         -2134399954643227/4851000*ep^-2-27502461669356901169/
         33617430000*ep^-1+1466423657627864/175*z3-11606985003456600361\
         5610939991566519/3444210589881600000000*ep+2199635486441796/
         175*ep*z4+3782814378405481753/28875*ep*z3+98688827416379436127\
         405280018022366383483/572841105309107712000000000*ep^2+
         142225398465766148/175*ep^2*z5+3782814378405481753/19250*ep^2*
         z4-7948781508987966483493913/16808715000*ep^2*z3-1563605126036\
         9110551393507827886887728636965976145369251/269738120959260513\
         35733824716800000000000*ep^3+70379487404069142/35*ep^3*z6+
         1153728422909498578577/1212750*ep^3*z5-
         7948781508987966483493913/11205810000*ep^3*z4+
         12771285931821073883045930177/77656263300000*ep^3*z3+
         51315324093967804/175*ep^3*z3^2;

Fill mncnoptab(6,3,3,5)=
      +mncF321*(-1591704354240-11429501870358*ep-133542449685437/5*ep^2
         -9125359099982363/300*ep^3)
      +1464601989090931881681951517/186375031920000-5902954005/14*ep^-3
         -7099136956259437/1940400*ep^-2-83001416267549229679/
         13446972000*ep^-1+733433019671092/35*z3-7754218923256818999702\
         051336892999/91845615730176000000*ep+1100149529506638/35*ep*z4
         +3775856097789009893/11550*ep*z3+19862083904327282458729807350\
         970594119961/45827288424728616960000000*ep^2+71115079247576494/
         35*ep^2*z5+3775856097789009893/7700*ep^2*z4-
         8016115962257381926928873/6723486000*ep^2*z3-70892308368154118\
         2601719950401896894968410174381140014179/485528617726668924043\
         208844902400000000000*ep^3+35190823113952701/7*ep^3*z6+
         1123073209874715178787/485100*ep^3*z5-
         8016115962257381926928873/4482324000*ep^3*z4+
         4664889369570628885009604819/10354168440000*ep^3*z3+
         25655290437458162/35*ep^3*z3^2;

Fill mncnoptab(6,4,1,6)=
      +mncF321*(-119377826568-4346291643408/5*ep-52212458387947/25*ep^2
         -3713097559954943/1500*ep^3)
      +134550492202996221894378348293/229071857414400000-322171993/140*
         ep^-3-39297764383049/1764000*ep^-2-12948673118702820797/
         211891680000*ep^-1+274929313763962/175*z3-51836924597686414566\
         8802485967438469/82548334537853184000000*ep+412393970645943/
         175*ep*z4+1036209676472066989/42000*ep*z3+63184637394075160934\
         291986199644139689619/1983141188937384892416000000*ep^2+
         26666989130369159/175*ep^2*z5+1036209676472066989/28000*ep^2*
         z4-27642198826314969320345177/317837520000*ep^2*z3-
         30595750736903865249696465811674446974579199119488995973293542\
         5427/3036479694881124303598868792173028966400000000000000*ep^3
         +26392059816605197/70*ep^3*z6+166656809916948351563/882000*
         ep^3*z5-27642198826314969320345177/211891680000*ep^3*z4+
         2814992041946000524787363140639/114535928707200000*ep^3*z3+
         9621884946416457/175*ep^3*z3^2;

Fill mncnoptab(6,4,2,5)=
      +mncF321*(-795852177120-5743747347624*ep-67799064323276/5*ep^2-
         1175747134338511/75*ep^3)
      +29559583746924420958499761/7530304320000-1134122704/7*ep^-3-
         258948523055801/176400*ep^-2-439778532671582879/152806500*
         ep^-1+366679051571976/35*z3-158099373500067907241929209469571/
         3757320643507200000*ep+550018577357964/35*ep*z4+
         688088596974871811/4200*ep*z3+17927933747987943524976494842595\
         3143211/833223425904156672000000*ep^2+35557140700685032/35*
         ep^2*z5+688088596974871811/2800*ep^2*z4-
         60125626403042926154999/101871000*ep^2*z3-14902119307465421603\
         740605462680230700405559889836220368287/2243142213897210429079\
         6248634490880000000000*ep^3+17595230824556528/7*ep^3*z6+
         105354664651504909937/88200*ep^3*z5-60125626403042926154999/
         67914000*ep^3*z4+6881828668925266340175081637/33886369440000*
         ep^3*z3+12828056262471736/35*ep^3*z3^2;

Fill mncnoptab(6,4,3,4)=
      +mncF321*(-1591704354240-11460698325648*ep-134660893756532/5*ep^2
         -2320385728073557/75*ep^3)
      +267516057386231643066994739/33886369440000-6666587356/7*ep^-3-
         706722876337511/88200*ep^-2-2427333633882300119/203742000*
         ep^-1+733846646559312/35*z3-4392022052403685677821881244021/
         52185008937600000*ep+1100769969838968/35*ep*z4+
         2062752578600038883/6300*ep*z3+2248425083825806458180017810432\
         5958177/52076464119009792000000*ep^2+71119460869984384/35*ep^2
         *z5+2062752578600038883/4200*ep^2*z4-362373934795948787655199/
         305613000*ep^2*z3-13849643004397448659341528063420281411159423\
         6440276323340321/105147291276431738863107415474176000000000000
         *ep^3+35192807111712536/7*ep^3*z6+103898856416742369187/44100*
         ep^3*z5-362373934795948787655199/203742000*ep^3*z4+
         7222686681325480062785426527/16943184720000*ep^3*z3+
         25650700937722432/35*ep^3*z3^2;

Fill mncnoptab(6,4,4,3)=
      +mncF321*(-1193778265680-8632033797816*ep-102293235279664/5*ep^2-
         1784821562402974/75*ep^3)
      +805674149378123021405176087/135545477760000-14759528927/14*ep^-3
         -1560001849435579/176400*ep^-2-7047021830533642273/543312000*
         ep^-1+550642540297564/35*z3-236248205495335956153370900604747/
         3757320643507200000*ep+825963810446346/35*ep*z4+
         344551071180626013/1400*ep*z3+74487311089746209022813789597259\
         2583/2314509516400435200000*ep^2+53342350428722498/35*ep^2*z5+
         1033653213541878039/2800*ep^2*z4-2155783088674298607662239/
         2444904000*ep^2*z3-4401086004484032602339611307630327602816877\
         1336678522749581/45434014749075442718626661007360000000000000*
         ep^3+26395853944212467/7*ep^3*z6+160016825187145450513/88200*
         ep^3*z5-2155783088674298607662239/1629936000*ep^3*z4+
         19743576609137531285975687621/67772738880000*ep^3*z3+
         19235226371586654/35*ep^3*z3^2;

Fill mncnoptab(6,5,1,5)=
      +mncF321*(-82901268450-607996007190*ep-5927018386003/4*ep^2-
         143470199169297/80*ep^3)
      +14941011627513561503178355229/36651497186304000-79282775/336*
         ep^-3-437814622639/18816*ep^-2-3703392941635642147/20341601280
         *ep^-1+45819151133899/42*z3-4774910554220811105609509870320601/
         1100644460504709120000*ep+45819151133899/28*ep*z4+
         346556260598359783/20160*ep*z3+1737179420005999558981964889408\
         2661847453/793256475574953956966400000*ep^2+2962984278135167/
         28*ep^2*z5+346556260598359783/13440*ep^2*z4-
         1008563836231094920127851/16951334400*ep^2*z3-1836683405342141\
         6238077776252141361856977050136598757431333019648199/
         319302709248388448991774380545839401533440000000000000*ep^3+
         43986572660688515/168*ep^3*z6+19300109602013100187/141120*ep^3
         *z5-1008563836231094920127851/11300889600*ep^3*z4+
         84678661743191061556138241837/6108582864384000*ep^3*z3+
         3207365625079187/84*ep^3*z3^2;

Fill mncnoptab(6,5,2,4)=
      +mncF321*(-442140098400-3219851280360*ep-7739277531414*ep^2-
         826582222386449/90*ep^3)
      +267021837367413064537253027/121990929984000-1516447218/7*ep^-3-
         603617370984479/317520*ep^-2-7364158772640660037/2200413600*
         ep^-1+122286688785976/21*z3-156942396406346635038044062644577/
         6763177158312960000*ep+61143344392988/7*ep*z4+
         2073437958896240611/22680*ep*z3+221225428249751723778093658081\
         6791247/18747527082843525120000*ep^2+11853015408883792/21*ep^2
         *z5+2073437958896240611/15120*ep^2*z4-70841260759885679519531/
         220041360*ep^2*z3-91655730821378941868590031036331059707544568\
         46489387572596238523/26657925632982338041984874071545033523200\
         000000000*ep^3+9775607266748180/7*ep^3*z6+37082744114323120433/
         52920*ep^3*z5-70841260759885679519531/146694240*ep^3*z4+
         5534420100559260246658568063/60995464992000*ep^3*z3+
         4275340381227344/21*ep^3*z3^2;

Fill mncnoptab(6,5,3,3)=
      +mncF321*(-663210147600-4825422510480*ep-11577927901111*ep^2-
         822319500682273/60*ep^3)
      +4883424891222021055681003/1478677939200-12575485208/21*ep^-3-
         1076962847819437/211680*ep^-2-11566775627214678491/1466942400*
         ep^-1+183552076796660/21*z3-313602807302699396406041774725249/
         9017569544417280000*ep+91776038398330/7*ep*z4+
         2073297497172047717/15120*ep*z3+110740642386851215336011295520\
         97151333/62491756942811750400000*ep^2+5926945829092860/7*ep^2*
         z5+2073297497172047717/10080*ep^2*z4-354813210231938561823017/
         733471200*ep^2*z3-29729214689210204951071647497494963766188237\
         6225132432069849017391/563917657620780227811218489974991093760\
         000000000000*ep^3+43993213526204800/21*ep^3*z6+
         36904816464494695391/35280*ep^3*z5-354813210231938561823017/
         488980800*ep^3*z4+1130497790917453208020834781/8132728665600*
         ep^3*z3+6411703972791260/21*ep^3*z3^2;

Fill mncnoptab(6,5,4,2)=
      +mncF321*(-331605073800-2425439530800*ep-5880155452743*ep^2-
         28258836235005/4*ep^3)
      +267862827815177188861753679/162654573312000-6786783861/28*ep^-3-
         448502750728003/211680*ep^-2-21534412776976525121/5867769600*
         ep^-1+30583927163218/7*z3-390768544530499336779442664499991/
         22543923861043200000*ep+45875890744827/7*ep*z4+
         207809690992423321/3024*ep*z3+10991472602576627349235143667225\
         805867/124983513885623500800000*ep^2+2963384373534871/7*ep^2*
         z5+207809690992423321/2016*ep^2*z4-701983794574035048886511/
         2933884800*ep^2*z3-4662190219366122303164038819582603241937941\
         43214740114079726485563659/17960777395221850255787308905703466\
         33625600000000000000*ep^3+14664002231858265/14*ep^3*z6+
         3804448277933727719/7056*ep^3*z5-701983794574035048886511/
         1955923200*ep^3*z4+4881214648903924248220358621/81327286656000
         *ep^3*z3+1068700691017817/7*ep^3*z3^2;

Fill mncnoptab(6,5,5,1)=
      +mncF321*(-46056260250-340959059870*ep-10154587379365/12*ep^2-
         756611315778949/720*ep^3)
      +44793849685771228294840564631/197918084806041600-217675315/3024*
         ep^-3-45553911171523/1524096*ep^-2-662821885406818668929/
         2746116172800*ep^-1+229088355460679/378*z3-2133623495167540423\
         2101988997546117361/8915220130088143872000000*ep+
         229088355460679/252*ep*z4+5221295799328391113/544320*ep*z3+
         38555296275370067527494022569828943508752207/
         3212688726078563525713920000000*ep^2+14814886693965787/252*
         ep^2*z5+5221295799328391113/362880*ep^2*z4-
         44480708599060195501689743/1373058086400*ep^2*z3-
         39139757678413228807712530473464891619773729455104641449825205\
         1807469/104771201472127459825425968616603553628160000000000000\
         00*ep^3+219932416854880015/1512*ep^3*z6+33888620101866970733/
         423360*ep^3*z5-44480708599060195501689743/915372057600*ep^3*z4
         +2648402993697826914132917391529/494795212015104000*ep^3*z3+
         16037103321372991/756*ep^3*z3^2;

Fill mncnoptab(6,6,3,2)=
      +mncF321*(-106113623616-787462116012*ep-49075513636864/25*ep^2-
         183835621493102/75*ep^3)
      +536933714411779905344642351/1016591083200000-51359077913/525*
         ep^-3-2282996273790389/2646000*ep^-2-3551043931703233787/
         2292097500*ep^-1+734238757294328/525*z3-
         77294009615665596204869554256377/14089952413152000000*ep+
         367119378647164/175*ep*z4+837020144294388311/37800*ep*z3+
         4303110692625897613541450897214665359/156229392357029376000000
         *ep^2+23707882507755732/175*ep^2*z5+837020144294388311/25200*
         ep^2*z4-170146378439657177228113/2292097500*ep^2*z3-
         50273491663543060604370926728907200596078232727258009134702772\
         417/1110746901374264085082703086314376396800000000000000*ep^3+
         35194704382986434/105*ep^3*z6+16496165350518846353/88200*ep^3*
         z5-170146378439657177228113/1528065000*ep^3*z4+
         5445832962537959434346482451/508295541600000*ep^3*z3+
         25646423306704772/525*ep^3*z3^2;

Fill mncnoptab(6,6,4,1)=
      +mncF321*(-26528405904-198013392720*ep-12478687980616/25*ep^2-
         47482472390792/75*ep^3)
      +44834120198374727168040636457/343607786121600000-2322017269/1050
         *ep^-3-87714241593131/2646000*ep^-2-142943475497481452203/
         953512560000*ep^-1+183306388225532/525*z3-16967285040246204910\
         6103611633099717/123822501806779776000000*ep+91653194112766/
         175*ep*z4+209675550807213761/37800*ep*z3+304631895691067795000\
         386313651474838255301/44620676751091160079360000000*ep^2+
         5926068417555858/175*ep^2*z5+209675550807213761/25200*ep^2*z4-
         8736798110544392137962901/476756280000*ep^2*z3-
         56934041081794253936961042650319621783606324463688522051118923\
         112853/3492373382404248660847532287220118454272000000000000000
         *ep^3+8797449432221021/105*ep^3*z6+4249527672840204623/88200*
         ep^3*z5-8736798110544392137962901/317837520000*ep^3*z4+
         323534893865696766476957953267/171803893060800000*ep^3*z3+
         6414363553873418/525*ep^3*z3^2;

Fill mncnoptab(7,2,1,7)=
      +mncF321*(-35371207872-1294822905662/5*ep-141357583315312/225*
         ep^2-846491251396784/1125*ep^3)
      +246613558893342456178789451803/1417382117751600000+34416499/70*
         ep^-3+8403021708149/3234000*ep^-2-3881097241140888061/
         655539885000*ep^-1+733085376014732/1575*z3-1212005648967091498\
         394694407710455169/653782809539797217280000*ep+366542688007366/
         525*ep*z4+5713374156749919697/779625*ep*z3+9190242966805387652\
         245558495376973996510377/981654888524005521745920000000*ep^2+
         71111430116771174/1575*ep^2*z5+5713374156749919697/519750*ep^2
         *z4-25063460869346956075679771/983309827500*ep^2*z3-
         2905358642892984341698815830682622646819839263897499710443189/
         90136688530794042407387570825173401600000000000*ep^3+
         11729724123459407/105*ep^3*z6+1261287111439260640057/21829500*
         ep^3*z5-25063460869346956075679771/655539885000*ep^3*z4+
         4320314773996324075672998281849/708691058875800000*ep^3*z3+
         25659178227003802/1575*ep^3*z3^2;

Fill mncnoptab(7,2,2,6)=
      +mncF321*(-212227247232-7707263621772/5*ep-276219068805524/75*
         ep^2-540199376059856/125*ep^3)
      +1459770302957986124289661387/1397812739400000-109780593/35*ep^-3
         -152094846225109/4851000*ep^-2-682920918475562747/8404357500*
         ep^-1+1466256331741864/525*z3-17332302544003614739940237983759\
         4531/15498947654467200000000*ep+733128165870932/175*ep*z4+
         11384882558205572144/259875*ep*z3+2034898975502797080778340507\
         927233029361/35802569081819232000000000*ep^2+
         142223655298704148/525*ep^2*z5+5692441279102786072/86625*ep^2*
         z4-3919099886322693365856859/25213072500*ep^2*z3-1975750227700\
         0065271450245358772496109345783570186024159/101151795359722692\
         509001842688000000000000*ep^3+23459566494493714/35*ep^3*z6+
         1204046494133001027307/3638250*ep^3*z5-
         3919099886322693365856859/16808715000*ep^3*z4+
         32295453763613087147026403321/698906369700000*ep^3*z3+
         51317257061549804/525*ep^3*z3^2;

Fill mncnoptab(7,3,1,6)=
      +mncF321*(-79585217712-2902949498592/5*ep-34986224674518/25*ep^2-
         207973187463656/125*ep^3)
      +164437976588080674167203225567/419965071926400000-3801473/35*
         ep^-3-51317770328201/19404000*ep^-2-2360406282477263723/
         145675530000*ep^-1+183277837497508/175*z3-17577588109646996928\
         69580330642148819/420385036998326400000000*ep+274916756246262/
         175*ep*z4+22815907364165793853/1386000*ep*z3+57751186207073161\
         222727735109664571148241147/2726819134788904227072000000000*
         ep^2+17777911295777256/175*ep^2*z5+22815907364165793853/924000
         *ep^2*z4-2805049137798736651061599/48558510000*ep^2*z3-
         19334807208768616816353297756970034991906222663205986251396822\
         69/28918854236963088605703512306409799680000000000000*ep^3+
         8797316729139874/35*ep^3*z6+411848399626260155039/3234000*ep^3
         *z5-2805049137798736651061599/32372340000*ep^3*z4+
         1080576586828327360902153917857/69994178654400000*ep^3*z3+
         6414703380466888/175*ep^3*z3^2;

Fill mncnoptab(7,3,2,5)=
      +mncF321*(-397926088560-2888530053552*ep-34477975654278/5*ep^2-
         202261281936336/25*ep^3)
      +2921340498992475072742553389/1491000255360000-193946701/7*ep^-3-
         358524281082907/1293600*ep^-2-4736216086712203553/6723486000*
         ep^-1+183296857531268/35*z3-17333086477222674938026203427762523
       /826610541571584000000*ep+274945286296902/35*ep*z4+
         2529425381242313677/30800*ep*z3+977728191547608746363052971484\
         8468911361/91654576849457233920000000*ep^2+17778122702456376/
         35*ep^2*z5+7588276143726941031/61600*ep^2*z4-
         1961605062214276594277947/6723486000*ep^2*z3-86992566488296638\
         85355248276208099196835589123629625710297/24923802376635671434\
         218054038323200000000000*ep^3+8797412922462554/7*ep^3*z6+
         399982030929381296359/646800*ep^3*z5-1961605062214276594277947/
         4482324000*ep^3*z4+65862958272774720037510044217/
         745500127680000*ep^3*z3+6414510652637048/35*ep^3*z3^2;

Fill mncnoptab(7,3,3,4)=
      +mncF321*(-596889132840-4340194532388*ep-51988283986392/5*ep^2-
         306690567040304/25*ep^3)
      +8798117848685946549779084717/2982000510720000-5987394647/28*
         ep^-3-7167010235066089/3880800*ep^-2-329580012097435160867/
         107575776000*ep^-1+275082440430382/35*z3-864628663752938038450\
         390384151353/27553684719052800000*ep+412623660645573/35*ep*z4+
         34183163267587987487/277200*ep*z3+3657712746783289589464416720\
         04076731153/2291364421236430848000000*ep^2+26668626118375449/
         35*ep^2*z5+34183163267587987487/184800*ep^2*z4-
         23454356927998504572754709/53787888000*ep^2*z3-618810257664446\
         78339217483293227177038500795449103225187101/12267183982250369\
         5340291984719872000000000000*ep^3+26393543677945067/14*ep^3*z6
         +606302048377500893681/646800*ep^3*z5-
         23454356927998504572754709/35858592000*ep^3*z4+
         189281564622486340734195517991/1491000255360000*ep^3*z3+
         9620221036183927/35*ep^3*z3^2;

Fill mncnoptab(7,4,1,5)=
      +mncF321*(-73690016400-540395089520*ep-3949113425686/3*ep^2-
         214708928251256/135*ep^3)
      +44824086279467528910249944687/123698803003776000+89683165/63*
         ep^-3+286631102557/1905120*ep^-2-3427884809169605383/
         42908065200*ep^-1+61089266865484/63*z3-34388426345172287317348\
         7088746461153/89152201300881438720000*ep+30544633432742/21*ep*
         z4+2079185444210564719/136080*ep*z3+25013369774017909224470793\
         25267378161798847/128507549043142541028556800000*ep^2+
         5925940361537768/63*ep^2*z5+2079185444210564719/90720*ep^2*z4-
         2269983173332836175775069/42908065200*ep^2*z3-9869428735502156\
         78351596736063381581909751388297870721150646737/16917529728623\
         406834336554699249732812800000000000*ep^3+14662127736680710/63
         *ep^3*z6+38579988392029142117/317520*ep^3*z5-
         2269983173332836175775069/28605376800*ep^3*z4+
         759030587603707986798371261939/61849401501888000*ep^3*z3+
         712760582066104/21*ep^3*z3^2;

Fill mncnoptab(7,4,2,4)=
      +mncF321*(-294760065600-2155499643440*ep-15666002040832/3*ep^2-
         845247346748528/135*ep^3)
      +266322447417396917989798409/182986394976000-5388781112/63*ep^-3-
         363661595635553/476280*ep^-2-294603353336816404/206288775*
         ep^-1+244490883063856/63*z3-15663041401204904808998591443603/
         1014476573746944000*ep+122245441531928/21*ep*z4+
         296722543904332687/4860*ep*z3+10993136258243464758724492724642\
         173673/140606453121326438400000*ep^2+23705156367278672/63*ep^2
         *z5+296722543904332687/3240*ep^2*z4-15965656190813870660263/
         75014100*ep^2*z3-206945875060404043919181473993380656414461766\
         570552347975901563807/8247295742703910831739070415884244746240\
         00000000000*ep^3+58651663710537040/63*ep^3*z6+
         37978411968887004107/79380*ep^3*z5-15965656190813870660263/
         50009400*ep^3*z4+445378218446321107836553327/8317563408000*
         ep^3*z3+2850531699089360/21*ep^3*z3^2;

Fill mncnoptab(7,4,3,3)=
      +mncF321*(-331605073800-2433143487060*ep-5933974593976*ep^2-
         7183456961840*ep^3)
      +89383844030652404471026319/54218191104000-22094437937/84*ep^-3-
         53214640721441/23520*ep^-2-7226409362741010401/1955923200*
         ep^-1+91758811684826/21*z3-2651974840202546606444795431/
         153344378880000*ep+45879405842413/7*ep*z4+346872893560739509/
         5040*ep*z3+1215338573227141679710762060142395601/
         13887057098402611200000*ep^2+2963412346097489/7*ep^2*z5+
         346872893560739509/3360*ep^2*z4-77488841488935070890413/
         325987200*ep^2*z3-14794910422026622116575913471628423316845732\
         6935781811747612826143/534546946286364590946050860288793640960\
         000000000000*ep^3+43992391133038205/42*ep^3*z6+
         19370196015651481201/35280*ep^3*z5-77488841488935070890413/
         217324800*ep^3*z4+97427618145622616680730659/1807273036800*
         ep^3*z3+3206044813901501/21*ep^3*z3^2;

Fill mncnoptab(7,4,4,2)=
      +mncF321*(-122816694000-2731331214040/3*ep-20384231413832/9*ep^2-
         380671674707552/135*ep^3)
      +53772635563116652163524849/87833469588480-142726523797/1134*
         ep^-3-624828412204513/571536*ep^-2-146871362410619806583/
         79214889600*ep^-1+917984049761636/567*z3-193324096503439568035\
         1147149743763/304342972124083200000*ep+458992024880818/189*ep*
         z4+747036041716142797/29160*ep*z3+5387272394324094227344512227\
         1963367309/1687277437455917260800000*ep^2+29635477362227594/
         189*ep^2*z5+747036041716142797/19440*ep^2*z4-
         3410832921275617539822881/39607444800*ep^2*z3-1056185073967063\
         26587661654173388762338196440324427125625677176098697/
         1047712014721274598254259686166035536281600000000000000*ep^3+
         219971120092302865/567*ep^3*z6+34174123780627524119/158760*
         ep^3*z5-3410832921275617539822881/26404963200*ep^3*z4+
         2872130976591854946625237727/219583673971200*ep^3*z3+
         32055763795062722/567*ep^3*z3^2;

Fill mncnoptab(7,5,1,4)=
      +mncF321*(-29476006560-219515311730*ep-8263121045894/15*ep^2-
         93693050560247/135*ep^3)
      +89674668127881369029047334869/618494015018880000-761227181/630*
         ep^-3-182988861846199/9525600*ep^-2-4862512611687808163/
         53635081500*ep^-1+122195130411068/315*z3-340070817510182173200\
         959120870619883/222880503252203596800000*ep+61097565205534/105
         *ep*z4+119679283691411107/19440*ep*z3+122236207925261385861298\
         238592501236879471/16063443630392817628569600000*ep^2+
         11852040307690726/315*ep^2*z5+119679283691411107/12960*ep^2*z4
         -1097791893188573066774737/53635081500*ep^2*z3-519732703473709\
         313679925836166702012798195860175034840216357269/2776867253435\
         6602127067577157859409920000000000000*ep^3+5864922588639829/63
         *ep^3*z6+16794322977120497267/317520*ep^3*z5-
         1097791893188573066774737/35756721000*ep^3*z4+
         753503319444043205194102945249/309247007509440000*ep^3*z3+
         1425448625872414/105*ep^3*z3^2;

Fill mncnoptab(7,5,2,3)=
      +mncF321*(-88428019680-657669900030*ep-8230899599494/5*ep^2-
         18596698234519/9*ep^3)
      +535369592838373855682356321/1219909299840000-13065579241/210*
         ep^-3-1773271535068099/3175200*ep^-2-2932511085166249597/
         2750517000*ep^-1+40775457066916/35*z3-308971262245318601872433\
         014691963/67631771583129600000*ep+61163185600374/35*ep*z4+
         837720615780074569/45360*ep*z3+3898712048485424035647027277432\
         90207/17043206438948659200000*ep^2+11853451886219086/105*ep^2*
         z5+837720615780074569/30240*ep^2*z4-21167974335588979806301/
         343814625*ep^2*z3-76959662492951988059243491430583266699379070\
         8514227775131237993353/146618590981402859230916807393497684377\
         60000000000000*ep^3+5865562757509169/21*ep^3*z6+
         16688191825242427487/105840*ep^3*z5-21167974335588979806301/
         229209750*ep^3*z4+4788563400591013677729688381/609954649920000
         *ep^3*z3+4274935516945522/105*ep^3*z3^2;

Fill mncnoptab(7,5,3,2)=
      +mncF321*(-66321014760-495471499380*ep-6254273783758/5*ep^2-
         23834529673288/15*ep^3)
      +9968985560612239599008819/30121217280000-31286092409/420*ep^-3-
         76770749743159/117600*ep^-2-339365376246658709/296352000*ep^-1
         +91812166286126/105*z3-5123977637373045211213330315633/
         1502928257402880000*ep+45906083143063/35*ep*z4+
         69984117092062787/5040*ep*z3+236646609022466097329941803345554\
         041/13887057098402611200000*ep^2+2963598117863669/35*ep^2*z5+
         69984117092062787/3360*ep^2*z4-20318857806529646460449/
         444528000*ep^2*z3-38654409559158268104086158598786525011156451\
         968719433506235717338643/8572189211355883076625761068631199842\
         30400000000000000*ep^3+8798982187304881/42*ep^3*z6+
         4273959168724067663/35280*ep^3*z5-20318857806529646460449/
         296352000*ep^3*z4+52279540610874341999033531/12322316160000*
         ep^3*z3+3205435509273569/105*ep^3*z3^2;

Fill mncnoptab(7,5,4,1)=
      +mncF321*(-12281669400-278296575700/3*ep-2151796701626/9*ep^2-
         8438484878200/27*ep^3)
      +44812926528082499062874721449/742192818022656000-3489027113/2268
         *ep^-3-152920865881951/5715360*ep^-2-55077704050647022967/
         411917425920*ep^-1+91654890719678/567*z3-235296588445571196145\
         23635705112967817/37443924546370204262400000*ep+45827445359839/
         189*ep*z4+210866001852001801/81648*ep*z3+209460669416178368327\
         5422775448842557885383/674664632476498340399923200000*ep^2+
         2963045691557237/189*ep^2*z5+210866001852001801/54432*ep^2*z4-
         8502208882629948164099917/1029793564800*ep^2*z3-
         22687582168427988650896662977958629049402440122258628842077039\
         98139007/24371393327054879885545240699739165090119680000000000\
         0000*ep^3+43987410919760165/1134*ep^3*z6+1505228358629976293/
         63504*ep^3*z5-8502208882629948164099917/686529043200*ep^3*z4+
         31894209828022477578292999859/371096409011328000*ep^3*z3+
         3207200428974113/567*ep^3*z3^2;

Fill mncnoptab(7,6,1,3)=
      +mncF321*(-4823346528-36978488118*ep-2447972755462/25*ep^2-
         1988839864021/15*ep^3)
      +8131916377373581673309798539/343607786121600000-19530433/1050*
         ep^-3-37872790082329/5292000*ep^-2-38249632171511696261/
         655539885000*ep^-1+33318051732524/525*z3-332453059321949605000\
         115250353030303/1362047519874577536000000*ep+16659025866262/
         175*ep*z4+169869387544620901/166320*ep*z3+11690754344669352803\
         5469440906319039324569/98165488852400552174592000000*ep^2+
         1077437437769706/175*ep^2*z5+169869387544620901/110880*ep^2*z4
         -256380697387891246383743/81942485625*ep^2*z3-7985979793665870\
         0025438556254144739813191165571190136403329369/465455844385405\
         90232037081712221487104000000000000*ep^3+1599497130788297/105*
         ep^3*z6+3883047643494887971/388080*ep^3*z5-
         256380697387891246383743/54628323750*ep^3*z4-
         671488149252168726114526371211/1889842823668800000*ep^3*z3+
         1166409837738626/525*ep^3*z3^2;

Fill mncnoptab(7,6,2,2)=
      +mncF321*(-9646693056-73926057348*ep-4889958773024/25*ep^2-
         6613371479118/25*ep^3)
      +49243058267693232697905901/1016591083200000-8340092683/525*ep^-3
         -362422535642719/2646000*ep^-2-5747498645423935277/25213072500
         *ep^-1+66839758516648/525*z3-150585425260566907352648905182869/
         309978953089344000000*ep+33419879258324/175*ep*z4+
         850400922456113207/415800*ep*z3+409338598409960168188676779514\
         0281261/1718523315927323136000000*ep^2+2155571763130812/175*
         ep^2*z5+850400922456113207/277200*ep^2*z4-
         157873024754529717646813/25213072500*ep^2*z3-37688186702899646\
         4568213228111929987677562137765673077115491141653/549819716180\
         26072211593802772561631641600000000000000*ep^3+
         3199937765437894/105*ep^3*z6+19406442024218409521/970200*ep^3*
         z5-157873024754529717646813/16808715000*ep^3*z4-
         4007780091906634036912878829/5591250957600000*ep^3*z3+
         2330414307912652/525*ep^3*z3^2;

Fill mncnoptab(7,6,3,1)=
      +mncF321*(-3617509896-27863338932*ep-1860300214734/25*ep^2-
         7644208790032/75*ep^3)
      +312947957826435601353026279/17620912108800000-310728379/700*
         ep^-3-18987996777181/1764000*ep^-2-34371756021758732671/
         537878880000*ep^-1+8330886680506/175*z3-1069048074124989807088\
         471267510951277/5867281624075103232000000*ep+12496330020759/
         175*ep*z4+212839028714655209/277200*ep*z3+75004531828178677645\
         1199886285203085232509/845733442420681680273408000000*ep^2+
         808093583754717/175*ep^2*z5+212839028714655209/184800*ep^2*z4-
         8107737207474181185235501/3496212720000*ep^2*z3-
         15375077556564594515677428756191379427116446979817650765755659\
         23250249/79207028312928359628022032274152286542888960000000000\
         0000*ep^3+799762697074211/70*ep^3*z6+4961472991819110607/
         646800*ep^3*z5-8107737207474181185235501/2330808480000*ep^3*z4
         -447030682831577885372314116653/1259895215779200000*ep^3*z3+
         291589522573219/175*ep^3*z3^2;

Fill mncnoptab(7,7,2,1)=
      +mncF321*(-267963696-2163005988*ep-1409210549006/225*ep^2-
         2137094295062/225*ep^3)
      +4141390314871310418220323497/3092470075094400000-2079974377/4725
         *ep^-3-207223079917997/47628000*ep^-2-516921537341037185429/
         47198871720000*ep^-1+16708402543612/4725*z3-158354885772803571\
         439638828875740369/12258427678871197824000000*ep+8354201271806/
         1575*ep*z4+436063368479459431/7484400*ep*z3+536067224835525408\
         02474907225785073736103/883489399671604969571328000000*ep^2+
         179629700457376/525*ep^2*z5+436063368479459431/4989600*ep^2*z4
         -3558141303716744781539513/23599435860000*ep^2*z3-
         62293326740479087783649152516452638354932524530106763229591705\
         95072326629/54146950254394755241698182987319985772469493432320\
         000000000000*ep^3+799979450786386/945*ep^3*z6+
         12146274799428397693/17463600*ep^3*z5-
         3558141303716744781539513/15732957240000*ep^3*z4-
         1579339417039547645758080768713/17008585413019200000*ep^3*z3+
         582631680178288/4725*ep^3*z3^2;

Fill mncnoptab(8,1,1,7)=
      +mncF321*(-5053029696-1310485232342/35*ep-20904528443176/225*ep^2
         -128923272503552/1125*ep^3)
      +3206688691332568083324491297299/128981772715395600000+14831199/
         490*ep^-3+95263388956511/882882000*ep^-2-43139796887043546103/
         59654129535000*ep^-1+733081825964732/11025*z3-9765743427538062\
         94968698925211460163913/3718389729257596673280000000*ep+
         366540912982366/3675*ep*z4+74691904024102983721/70945875*ep*z3
         +293309186087734551493369643909078565522467837/223326487139211\
         256197196800000000*ep^2+71111202002906174/11025*ep^2*z5+
         74691904024102983721/47297250*ep^2*z4-
         317667283554151423855820243/89481194302500*ep^2*z3-
         18631154380324560823200441395883324219200739733487292382809877/
         4101219328151128929536134472545389772800000000000*ep^3+
         11729686696156907/735*ep^3*z6+17531388834121115352601/
         1986484500*ep^3*z5-317667283554151423855820243/59654129535000*
         ep^3*z4+33802996999329565700643923106857/64490886357697800000*
         ep^3*z3+25659180125508802/11025*ep^3*z3^2;

Fill mncnoptab(8,2,1,6)=
      +mncF321*(-22738633632-5867572809384/35*ep-72137815290736/175*
         ep^2-1320223499395936/2625*ep^3)
      +493445518693577101232031320851/4409633255227200000-102040016/245
         *ep^-3-155131378211851/67914000*ep^-2+664056269848214459/
         169954785000*ep^-1+366573389018616/1225*z3-1177927058764486892\
         8067174758943679377/9931596499085461200000000*ep+
         549860083527924/1225*ep*z4+22928692825541357803/4851000*ep*z3+
         4736937141908312312597903708858882378135021/
         795322247646763732896000000000*ep^2+35556004240858712/1225*
         ep^2*z5+22928692825541357803/3234000*ep^2*z4-
         24697938112070889288213541/1529593065000*ep^2*z3-
         280212278013567796147977193715353488845057157837626109319301/
         14605481937860145760456319346671616000000000000*ep^3+
         17594715425920048/245*ep^3*z6+1311944420448677233667/33957000*
         ep^3*z5-24697938112070889288213541/1019728710000*ep^3*z4+
         6686701196492110876533266367863/2204816627613600000*ep^3*z3+
         12829165224893576/1225*ep^3*z3^2;

Fill mncnoptab(8,2,2,5)=
      +mncF321*(-85269876120-4394213577468/7*ep-53886435651932/35*ep^2-
         983656524386252/525*ep^3)
      +8758178620687806790167431267/20874003575040000-260266877/196*
         ep^-3-392068067416979/27165600*ep^-2-11701600679837682479/
         251010144000*ep^-1+274922030539832/245*z3-51516645112144377475\
         59770644311053/1157254758200217600000*ep+412383045809748/245*
         ep*z4+545546319558470339/30800*ep*z3+2992342055047689150716981\
         8692604176599/1336629245721251328000000*ep^2+26666928989887849/
         245*ep^2*z5+1636638958675411017/61600*ep^2*z4-
         22866851754507286510426979/376515216000*ep^2*z3-39137224521683\
         645644696458310005090405463143288711139/5190296205046995300753\
         44732160000000000*ep^3+26392006959348017/98*ep^3*z6+
         1951903492792086554873/13582800*ep^3*z5-
         22866851754507286510426979/251010144000*ep^3*z4+
         126873006506727930065330414521/10437001787520000*ep^3*z3+
         9622007928108927/245*ep^3*z3^2;

Fill mncnoptab(8,3,1,5)=
      +mncF321*(-31581435600-1635604713600/7*ep-4050763229734/7*ep^2-
         224990358200432/315*ep^3)
      +493229276804277318167172775117/3174935943763584000+26461825/147*
         ep^-3+16624710792551/48898080*ep^-2-10018973975029034129/
         1101307006800*ep^-1+61091456273068/147*z3-37600152215995093356\
         75212611185810881/2288239833389290260480000*ep+30545728136534/
         49*ep*z4+22965790594227089261/3492720*ep*z3+542950719904629334\
         72577113535067462872526859/6596720850881317106132582400000*
         ep^2+5925959420087096/147*ep^2*z5+22965790594227089261/2328480
         *ep^2*z4-4901708260544327827495499/220261401360*ep^2*z3-
         87066529406682694088394908853835356805181902972311209159486298\
         37/312786327426992766359289189106128393338880000000000*ep^3+
         14662169909535070/147*ep^3*z6+445809612059717089903/8149680*
         ep^3*z5-4901708260544327827495499/146840934240*ep^3*z4+
         5809736666996115387275948637721/1587467971881792000*ep^3*z3+
         712750159801160/49*ep^3*z3^2;

Fill mncnoptab(8,3,2,4)=
      +mncF321*(-94744306800-4912449810840/7*ep-12194445862248/7*ep^2-
         45317676410128/21*ep^3)
      +584893350412980828625480451/1252440214502400-1451645507/98*ep^-3
         -214210042458967/1629936*ep^-2-11036954813853140957/
         45181825920*ep^-1+61109637088812/49*z3-85442796994704000800905\
         8582617617/173588213730032640000*ep+91664455633218/49*ep*z4+
         11490876310448045629/582120*ep*z3+1186159349825118161198627176\
         85464411477/4811865284596504780800000*ep^2+5926147950552674/49
         *ep^2*z5+11490876310448045629/388080*ep^2*z4-
         7521505775763040323118903/112954564800*ep^2*z3-593352913336237\
         640499888990277937756788989769792246862738198803241/
         7184310958088740102314923562281386534502400000000000*ep^3+
         14662595783659655/49*ep^3*z6+224344789232922186947/1358280*
         ep^3*z5-7521505775763040323118903/75303043200*ep^3*z4+
         32573664331586828255957382829/3131100536256000*ep^3*z3+
         2138038095183614/49*ep^3*z3^2;

Fill mncnoptab(8,3,3,3)=
      +mncF321*(-78953589000-4127020935180/7*ep-10405635499272/7*ep^2-
         197666985957776/105*ep^3)
      +2940370177617805728925860943/7514641287014400-80765412949/1764*
         ep^-3-3973004209854179/9779616*ep^-2-1015181940153801968293/
         1355454777600*ep^-1+458626365164578/441*z3-4239099251231324257\
         189810647378901/1041529282380195840000*ep+229313182582289/147*
         ep*z4+11538985742021354293/698544*ep*z3+5859619911553419001211\
         69357316340955207/28871191707579028684800000*ep^2+
         14816472293715157/147*ep^2*z5+11538985742021354293/465696*ep^2
         *z4-36931648408406962637320291/677727388800*ep^2*z3-
         28486202765861502379043471276499662988702538288881484980371579\
         4413/4298305701420613736427732045809376559104000000000000*ep^3
         +219953952579904465/882*ep^3*z6+78118684541928992425/543312*
         ep^3*z5-36931648408406962637320291/451818259200*ep^3*z4+
         97434561739432309353217314689/18786603217536000*ep^3*z3+
         16032102950083441/441*ep^3*z3^2;

Fill mncnoptab(8,4,1,4)=
      +mncF321*(-16843432320-884141961560/7*ep-33704742493136/105*ep^2-
         388360568497484/945*ep^3)
      +89715453917934011554576073179/1082364526283040000-1738370062/
         2205*ep^-3-131636329812529/16669800*ep^-2-4045645119160619041/
         187722785250*ep^-1+488795460247952/2205*z3-3385182257632201813\
         07924421381538693/390040880691356294400000*ep+244397730123976/
         735*ep*z4+840466966819517227/238140*ep*z3+24182370682257218083\
         293234368478806305537/5622205270637486169999360000*ep^2+
         47408291020182664/2205*ep^2*z5+840466966819517227/158760*ep^2*
         z4-2162288084113505172402779/187722785250*ep^2*z3-
         362416080524912131030782791956194358606088776460991163704121417
       /33322407041227922552481092589431291904000000000000*ep^3+
         23459747779967356/441*ep^3*z6+17410159313876307101/555660*ep^3
         *z5-2162288084113505172402779/125148523500*ep^3*z4+
         397855118294732778191771716399/541182263141520000*ep^3*z3+
         5701714148575016/735*ep^3*z3^2;

Fill mncnoptab(8,4,2,3)=
      +mncF321*(-37897722720-1995284182320/7*ep-25497715120592/35*ep^2-
         98697674332696/105*ep^3)
      +266906547178850025811367203/1423227516480000-13665579499/735*
         ep^-3-316893986767511/1852200*ep^-2-18267154392999495301/
         51342984000*ep^-1+366845049251824/735*z3-
         76691498788062633663372595363657/39451866756825600000*ep+
         183422524625912/245*ep*z4+210497452680606893/26460*ep*z3+
         2107612955461032094108615647773946191/218721149299841126400000
         *ep^2+11852980656730356/245*ep^2*z5+210497452680606893/17640*
         ep^2*z4-660609175144555878694027/25671492000*ep^2*z3-
         14410129146483256410003466772772740292849332430847731447677518\
         726741/502901767066211807162044649359697057415168000000000000*
         ep^3+17596048460469622/147*ep^3*z6+4421822229957307379/61740*
         ep^3*z5-660609175144555878694027/17114328000*ep^3*z4+
         728154971009238877932306793/711613758240000*ep^3*z3+
         12826309233648196/735*ep^3*z3^2;

Fill mncnoptab(8,4,3,2)=
      +mncF321*(-21054290400-1119060891520/7*ep-8733975899792/21*ep^2-
         34644906685024/63*ep^3)
      +269763894778149878749463573/2561809529664000-36461102249/1323*
         ep^-3-803043375802639/3333960*ep^-2-38702469252418054387/
         92417371200*ep^-1+367375370122904/1323*z3-21252380938437851018\
         96560517302033/1988374084544010240000*ep+183687685061452/441*
         ep*z4+1058017309370970617/238140*ep*z3+29074684951120799349544\
         95912036442649/551177296235599638528000*ep^2+11854826116666676/
         441*ep^2*z5+1058017309370970617/158760*ep^2*z4-
         645847163396818960019101/46208685600*ep^2*z3-30790327249045125\
         56265141766478642667434691409262784083588051815578149/
         184816399396832839132051408639688668600074240000000000000*ep^3
         +87992757449692810/1323*ep^3*z6+7733204866558388557/185220*
         ep^3*z5-645847163396818960019101/30805790400*ep^3*z4-
         665512969200411373163898217/1280904764832000*ep^3*z3+
         12820245444236516/1323*ep^3*z3^2;

Fill mncnoptab(8,4,4,1)=
      +mncF321*(-2807238720-455570510824/21*ep-18360543462976/315*ep^2-
         76075035426476/945*ep^3)
      +22431339381730906719584324317/1623546789424560000-19236420346/
         19845*ep^-3-166004392541039/12502350*ep^-2-
         124308921408286203079/2252673423000*ep^-1+733482928756864/
         19845*z3-517220999639012587244612167682999192563/
         3669504605544280017715200000*ep+366741464378432/6615*ep*z4+
         1066114254558711881/1786050*ep*z3+9053040307415779666152830427\
         47558232265532867/1322342679653936747183849472000000*ep^2+
         23705264020208056/6615*ep^2*z5+1066114254558711881/1190700*
         ep^2*z4-1004914891910199484284209/563168355750*ep^2*z3-
         21211444180625988779443055702957257092929389518555726385448982\
         6567053/958307256131725832536562859613200503852236800000000000\
         00*ep^3+35191154565933652/3969*ep^3*z6+8397735795008211691/
         1389150*ep^3*z5-1004914891910199484284209/375445570500*ep^3*z4
         -262868895991713766133929789523/811773394712280000*ep^3*z3+
         25655133551019544/19845*ep^3*z3^2;

Fill mncnoptab(8,5,1,3)=
      +mncF321*(-3445247520-185768475750/7*ep-2480194201862/35*ep^2-
         3393573038663/35*ep^3)
      +2710944706647064532916193093/160350300190080000+193542427/1470*
         ep^-3-1839213715181/823200*ep^-2-4090472711401180261/
         152959306500*ep^-1+33316989791644/735*z3-110515648815367305311\
         957656883246521/635622175941469516800000*ep+16658494895822/245
         *ep*z4+56746733208570667/77616*ep*z3+3866095737716036663960287\
         4216608984297829/45810561464453591014809600000*ep^2+
         1077431879296786/245*ep^2*z5+56746733208570667/51744*ep^2*z4-
         337917080908826225195839/152959306500*ep^2*z3-7503927693740308\
         137880361722579358471287417303330336211176005827/2932371819628\
         057184618336147869953687552000000000000*ep^3+1599489324049357/
         147*ep^3*z6+3969506823798826567/543312*ep^3*z5-
         337917080908826225195839/101972871000*ep^3*z4-
         302689148818252879027957478597/881926651045440000*ep^3*z3+
         1166410832852746/735*ep^3*z3^2;

Fill mncnoptab(8,5,2,2)=
      +mncF321*(-5167871280-279818613360/7*ep-3764151208168/35*ep^2-
         3121483853272/21*ep^3)
      +73829992737535283993693729/2846455032960000-12299881477/1470*
         ep^-3-268672176139963/3704400*ep^-2-138860490136237856653/
         1129545648000*ep^-1+50128181721956/735*z3-31403802790188417628\
         66721978313839/12151174961102284800000*ep+25064090860978/245*
         ep*z4+640635367130357483/582120*ep*z3+169336875605862989496868\
         125429471408053/134732227968702133862400000*ep^2+
         1616672219356714/245*ep^2*z5+640635367130357483/388080*ep^2*z4
         -1850710332467731592607571/564772824000*ep^2*z3-
         85884040241853818108056929406632640358809719962487004731904781\
         524243/23102049924604104891506426079961083575009280000000000000
         *ep^3+2399944238174093/147*ep^3*z6+5065869101399569303/452760*
         ep^3*z5-1850710332467731592607571/376515216000*ep^3*z4-
         10039380335344126525089418391/15655502681280000*ep^3*z3+
         1747823371307234/735*ep^3*z3^2;

Fill mncnoptab(8,5,3,1)=
      +mncF321*(-1435519800-78531856260/7*ep-215238183966/7*ep^2-
         4574731652384/105*ep^3)
      +814193333617629577525310687/115452216136857600-739748971/1764*
         ep^-3-33146905561229/4445280*ep^-2-26782163876897111467/
         704836484352*ep^-1+8332355844202/441*z3-4742041048877283689362\
         673166185838679/66443704791748280156160000*ep+4166177922101/
         147*ep*z4+1071836798049403277/3492720*ep*z3+296365827045072425\
         425057956623308542080242207/861971524515158768534657433600000*
         ep^2+269370861509503/147*ep^2*z5+1071836798049403277/2328480*
         ep^2*z4-7805833941296183680173229/8810456054400*ep^2*z3-
         76881085980426093619937772709213171956387381876794434675197394\
         3727683/796132182017126076261144529524812726277242880000000000\
         000*ep^3+3998901143421535/882*ep^3*z6+8832493163218003577/
         2716560*ep^3*z5-7805833941296183680173229/5873637369600*ep^3*
         z4-795414702166076000872957822093/3174935943763584000*ep^3*z3+
         291580567098691/441*ep^3*z3^2;

Fill mncnoptab(8,6,1,2)=
      +mncF321*(-229683168-13008954816/7*ep-2836381311712/525*ep^2-
         864494558596/105*ep^3)
      +317823433944301424963966939/277529365713600000-3490129604/11025*
         ep^-3-175942561895327/55566000*ep^-2-34033587219837683063/
         4235796180000*ep^-1+33407006898824/11025*z3-121782383685481007\
         32690681012773883/1100115304514081856000000*ep+16703503449412/
         3675*ep*z4+87298919028601541/1746360*ep*z3+4104021290058300741\
         460519784603337969587/79287510226938907525632000000*ep^2+
         359246015342552/1225*ep^2*z5+87298919028601541/1164240*ep^2*z4
         -3532874748648778954096763/27532675170000*ep^2*z3-
         52672187859227804467949345212620528674878725186318423898579597\
         33175734531/31585720981730273890990606742603325033940537835520\
         000000000000*ep^3+1599903565592072/2205*ep^3*z6+
         2451798788329201247/4074840*ep^3*z5-3532874748648778954096763/
         18355116780000*ep^3*z4-1633876180225489645108630390943/
         19843349648522400000*ep^3*z3+1165332659386376/11025*ep^3*z3^2;

Fill mncnoptab(8,6,2,1)=
      +mncF321*(-172262376-9803094444/7*ep-718268677828/175*ep^2-
         1106256984148/175*ep^3)
      +4155375410352114932307174677/4810509005702400000-5155518329/
         14700*ep^-3-126008722186681/37044000*ep^-2-
         1229942742623000204173/146840934240000*ep^-1+8358410126456/
         3675*z3-30791147252683566131009241773444484889/
         3737458394535840758784000000*ep+4179205063228/1225*ep*z4+
         4466366909406461/118800*ep*z3+20756658462987256402829724222846\
         527691908551/538732202821974230334160896000000*ep^2+
         269461126720539/1225*ep^2*z5+4466366909406461/79200*ep^2*z4-
         6958396165715097798464251/73420467120000*ep^2*z3-
         43803738287213764632642254195069035783651420321130768062103877\
         967551441716929/5308612125399407132858791275229340838454386194\
         01584640000000000000*ep^3+800024970035161/1470*ep^3*z6+
         6247067755145909147/13582800*ep^3*z5-6958396165715097798464251/
         48946978080000*ep^3*z4-1741188955135054926556912002203/
         26457799531363200000*ep^3*z3+291279889749719/3675*ep^3*z3^2;

Fill mncnoptab(8,7,1,1)=
      +mncF321*(-2944656-185412084/7*ep-20375485466/225*ep^2-
         37403037866/225*ep^3)
      +4195106346100140786913083977/281414776833590400000-709685629/
         33075*ep^-3-679964600477837/4334148000*ep^-2-
         1495968268132195704149/4295097326520000*ep^-1+1280240533324/
         33075*z3-139888166562190473633080878893338329/
         1115516918777279001984000000*ep+640120266662/11025*ep*z4+
         459408125584864903/681080400*ep*z3+867798906271275020739383325\
         7302478570369/16079507074023210446198169600000*ep^2+
         13818649999552/3675*ep^2*z5+459408125584864903/454053600*ep^2*
         z4-2300455478563058132080313/2147548663260000*ep^2*z3+
         17466862460339646412991804109778518377455340611948911704876505\
         051467006833/1307110339884630886661392133410924052558826971186\
         6462208000000000*ep^3+61543804731322/6615*ep^3*z6+
         17659178909412213469/1589187600*ep^3*z5-
         2300455478563058132080313/1431699108840000*ep^3*z4-
         4004851297025527712945368514153/1547781272584747200000*ep^3*z3
         +45009969384976/33075*ep^3*z3^2;

Fill mncnoptab(9,1,1,6)=
      +mncF321*(-2131746903-1122080307777/70*ep-7155064322534/175*ep^2-
         274806786369523/5250*ep^3)
      +19239445839130815095887159941599/1834407434174515200000+
         235380667/7840*ep^-3+137643937658977/1569568000*ep^-2-
         3948457192826158999813/5090485720320000*ep^-1+34362196066314/
         1225*z3-24160170354343297387062231891570006079/
         220349020993042765824000000*ep+51543294099471/1225*ep*z4+
         64464585339235727383/144144000*ep*z3+5161884000206020811968736\
         302161184971110251/9528596784606346931080396800000*ep^2+
         26666599974872009/9800*ep^2*z5+64464585339235727383/96096000*
         ep^2*z4-3689434038037798096500297611/2545242860160000*ep^2*z3-
         437569773811483367447051779488505945987334164857602159638216987
       /263161573556364106311901961988329177088000000000000*ep^3+
         26391702406341497/3920*ep^3*z6+28403779743772382070109/
         7063056000*ep^3*z5-3689434038037798096500297611/
         1696828573440000*ep^3*z4+14804711708547259071448772942959/
         305734572362419200000*ep^3*z3+9622298734108607/9800*ep^3*z3^2;

Fill mncnoptab(9,2,1,5)=
      +mncF321*(-5921519175-624640089645/14*ep-800035130674/7*ep^2-
         2063858360805/14*ep^3)
      +493130125610530601720263388297/16932991700072448000+711148685/
         4704*ep^-3+108459971574959/130394880*ep^-2-
         76080478270897271411/46989098956800*ep^-1+11454146411630/147*
         z3-74232690190147994038007583275970407/
         244078915561524294451200*ep+5727073205815/49*ep*z4+
         11581514035014426551/9313920*ep*z3+824813281506389590607700980\
         662821032545391/549726737573443092177715200000*ep^2+
         2962969368960705/392*ep^2*z5+11581514035014426551/6209280*ep^2
         *z4-94144879383049809887934077/23494549478400*ep^2*z3-
         24988567293452371475088491302611426952867117518865404040444580\
         171/4789540638725826734876615708187591023001600000000000*ep^3+
         43986374677945375/2352*ep^3*z6+245268238066599868553/21732480*
         ep^3*z5-94144879383049809887934077/15663032985600*ep^3*z4+
         691744172411607455960960025707/8466495850036224000*ep^3*z3+
         3207432533372821/1176*ep^3*z3^2;

Fill mncnoptab(9,2,2,4)=
      +mncF321*(-13158931500-697712908750/7*ep-5416055281234/21*ep^2-
         106329752404738/315*ep^3)
      +2920984951785503245515029257/45087847722086400-7938009391/10584*
         ep^-3-421235718838889/58677696*ep^-2-130542325222788355363/
         8132728665600*ep^-1+229121282456144/1323*z3-420644255751148436\
         2555543669260451/6249175694281175040000*ep+114560641228072/441
         *ep*z4+58057032433034136611/20956320*ep*z3+1145685305402014626\
         99389233453570477309/34645430049094834421760000*ep^2+
         14815089470724517/882*ep^2*z5+58057032433034136611/13970880*
         ep^2*z4-35761897954983696599970061/4066364332800*ep^2*z3-
         73157309292903499141972855228802259833399544997464733433297115\
         41/653119178008067282028629414752853321318400000000000*ep^3+
         219935129236306315/5292*ep^3*z6+419721535244213166191/16299360
         *ep^3*z5-35761897954983696599970061/2710909555200*ep^3*z4-
         20188250974676318863544266057/112719619305216000*ep^3*z3+
         16036187557639561/2646*ep^3*z3^2;

Fill mncnoptab(9,3,1,4)=
      +mncF321*(-4737215340-252796375260/7*ep-3310036369809/35*ep^2-
         13214678228869/105*ep^3)
      +493409967262689269780622098137/21166239625090560000-186829773/
         1960*ep^-3-185902369944581/162993600*ep^-2-
         216777770349267325123/58736373696000*ep^-1+15273836561516/245*
         z3-1839954823850688290124279883421462059/
         7627466111297634201600000*ep+22910754842274/245*ep*z4+
         465860341837805767/465696*ep*z3+647847810261885372243583682098\
         887519647057/549726737573443092177715200000*ep^2+
         2962997579022949/490*ep^2*z5+465860341837805767/310464*ep^2*z4
         -91561914147325603030427101/29368186848000*ep^2*z3-
         13833925815540905137317001608120454726776929411803958907649088\
         1527/43105865748532440613889541373688319207014400000000000*
         ep^3+2932449905899917/196*ep^3*z6+10393906185797417729/1086624
         *ep^3*z5-91561914147325603030427101/19578791232000*ep^3*z4-
         2376002821515951700939613455013/10583119812545280000*ep^3*z3+
         1069098509512163/490*ep^3*z3^2;

Fill mncnoptab(9,3,2,3)=
      +mncF321*(-7895358900-424550351940/7*ep-1127515994475/7*ep^2-
         4589010039115/21*ep^3)
      +585413788735505216157207389/15029282574028800-7479308135/3528*
         ep^-3-2051052591842117/97796160*ep^-2-144688819563819871919/
         2710909555200*ep^-1+45837590285812/441*z3-10641249123389571586\
         1478814582737709/266631496289330135040000*ep+22918795142906/
         147*ep*z4+11691426013530332239/6985440*ep*z3+44840659370424209\
         3378628378637323844303/230969533660632229478400000*ep^2+
         2963119926909701/294*ep^2*z5+11691426013530332239/4656960*ep^2
         *z4-6911136323797643020093553/1355454777600*ep^2*z3-
         36453156515152304535139736575339271624995923979225158027697083\
         42347/577692286270930486175887186956780209543577600000000000*
         ep^3+43988423000787395/1764*ep^3*z6+89831581274089304659/
         5433120*ep^3*z5-6911136323797643020093553/903636518400*ep^3*z4
         -5193380400159195004337416537/7514641287014400*ep^3*z3+
         3206991017036105/882*ep^3*z3^2;

Fill mncnoptab(9,3,3,2)=
      +mncF321*(-3158143560-172519570509/7*ep-2357194618857/35*ep^2-
         19939627030927/210*ep^3)
      +742637680912560080402422399/46966508043840000-39641701853/8820*
         ep^-3-606255706312583/15280650*ep^-2-241984911912723542821/
         3388636944000*ep^-1+91865485603268/2205*z3-5230947108261442978\
         1572456487416931/333289370361662668800000*ep+45932742801634/
         735*ep*z4+11792812670335264231/17463600*ep*z3+9989676731560126\
         73120839827838284135439/1319825906632184168448000000*ep^2+
         2963778180005747/735*ep^2*z5+11792812670335264231/11642400*
         ep^2*z4-3316105877489261956342777/1694318472000*ep^2*z3-
         77150620945016229047685064054773869420834199321143255026420899\
         07811/3129166550634206800119388929349226135027712000000000000*
         ep^3+8799469054413973/882*ep^3*z6+96621165429653351041/
         13582800*ep^3*z5-3316105877489261956342777/1129545648000*ep^3*
         z4-198113123834556103738064459/366925844092500*ep^3*z3+
         3204789992473823/2205*ep^3*z3^2;

Fill mncnoptab(9,4,1,3)=
      +mncF321*(-1291967820-70676094060/7*ep-967897329737/35*ep^2-
         4103607464741/105*ep^3)
      +12196969924150220254364447971/1924203602280960000+691166593/5880
         *ep^-3+1279975037977/14817600*ep^-2-372319535652287558459/
         58736373696000*ep^-1+12492761981284/735*z3-6299713181691250318\
         4018541997449576901/976315662246097177804800000*ep+
         6246380990642/245*ep*z4+642786061378993339/2328480*ep*z3+
         43477887764974982025855119698543380169598809/14073004481880143\
         1597495091200000*ep^2+808066429027117/490*ep^2*z5+
         642786061378993339/1552320*ep^2*z4-23443799355990973355724773/
         29368186848000*ep^2*z3-262072136572823441497909593267114236607\
         20681485743255429606559849/23468749129756551000895416970119196\
         012707840000000000*ep^3+2399213763118783/588*ep^3*z6+
         5296002523720371919/1811040*ep^3*z5-23443799355990973355724773/
         19578791232000*ep^3*z4-2419250645315599048394281658989/
         10583119812545280000*ep^3*z3+874833298986257/1470*ep^3*z3^2;

Fill mncnoptab(9,4,2,2)=
      +mncF321*(-1435519800-79253296980/7*ep-220637143532/7*ep^2-
         4779414126434/105*ep^3)
      +24583568341099207831336261/3415746039552000-3934478509/1764*
         ep^-3-87045168101393/4445280*ep^-2-46928794289707277041/
         1355454777600*ep^-1+8354008609336/441*z3-188577344804907729103\
         2083228083249/26663149628933013504000*ep+4177004304668/147*ep*
         z4+1077718616437511093/3492720*ep*z3+4995837088959248236724113\
         062098544467341/14782050154280462686617600000*ep^2+
         269442646879159/147*ep^2*z5+1077718616437511093/2328480*ep^2*
         z4-585837513812039994895279/677727388800*ep^2*z3-
         40591932250724768080824644082516212235487590246284097941277589\
         713707/37549998607610481601432667152190713620332544000000000000
         *ep^3+3999869660140705/882*ep^3*z6+9198739611124829833/2716560
         *ep^3*z5-585837513812039994895279/451818259200*ep^3*z4-
         6103329648349754215141788091/18786603217536000*ep^3*z3+
         291309667958179/441*ep^3*z3^2;

Fill mncnoptab(9,4,3,1)=
      +mncF321*(-287103960-16119911379/7*ep-231088021827/35*ep^2-
         2081395353337/210*ep^3)
      +510403585854144736787373173/360788175427680000-1827207343/8820*
         ep^-3-15427469119667/5556600*ep^-2-502582540366094316893/
         44052280272000*ep^-1+8337213082588/2205*z3-2057671906204481976\
         5387445832912107930463/1476189281316098932840857600000*ep+
         4168606541294/735*ep*z4+1085833866231659381/17463600*ep*z3+
         420225915415291240450443044413104252347759220661/6383514832980\
         832937262377336832000000*ep^2+269389376680177/735*ep^2*z5+
         1085833866231659381/11642400*ep^2*z4-3625777159192215031631021/
         22026140136000*ep^2*z3-789835337792231223483970653513060111801\
         8098967712030561867007254020537/378503985964713654542441284894\
         08239329295204352000000000000*ep^3+799830916957943/882*ep^3*z6
         +9860456607650688491/13582800*ep^3*z5-
         3625777159192215031631021/14684093424000*ep^3*z4-
         351447636304803821880181464529/3968669929704480000*ep^3*z3+
         291536005143253/2205*ep^3*z3^2;

Fill mncnoptab(9,5,1,2)=
      +mncF321*(-107663985-12344048145/14*ep-91544030916/35*ep^2-
         286168210159/70*ep^3)
      +4121632592430156531284599477/7696814409123840000-958293323/7840*
         ep^-3-74800127828921/59270400*ep^-2-789252948027792945533/
         234945494784000*ep^-1+347873493734/245*z3-12553352230981774421\
         08698722204551387/244078915561524294451200000*ep+521810240601/
         245*ep*z4+31358460315578083/1330560*ep*z3+33395585096453666544\
         268203137024586698923/1407300448188014315974950912000*ep^2+
         269423666737979/1960*ep^2*z5+31358460315578083/887040*ep^2*z4-
         6800192307892858048740971/117472747392000*ep^2*z3-
         64886179797593234965425175523969007512938472230204428415102473\
         18863088401/60188346092963799692276545070627447148008913764352\
         000000000000*ep^3+266640678788107/784*ep^3*z6+
         6422093608836326723/21732480*ep^3*z5-6800192307892858048740971/
         78315164928000*ep^3*z4-1906570909355714291821663222363/
         42332479250181120000*ep^3*z3+97119544992093/1960*ep^3*z3^2;

Fill mncnoptab(9,5,2,1)=
      +mncF321*(-59813325-6926513165/14*ep-31341537292/21*ep^2-
         1501852833203/630*ep^3)
      +4171388014392027353213708917/13854265936422912000-6424794337/
         42336*ep^-3-31212715855525/21337344*ep^-2-61225344941556572869/
         16916075624448*ep^-1+1045396783730/1323*z3-2765539748483156544\
         15468764396639853751/98412618754406595522723840000*ep+
         522698391865/441*ep*z4+1103990450703338441/83825280*ep*z3+
         367963371707290278484925044434043329978576343/2837117703547036\
         8610055010385920000*ep^2+269480571201595/3528*ep^2*z5+
         1103990450703338441/55883520*ep^2*z4-6569767987896263312317483/
         211450945305600*ep^2*z3-42080626299922554720745168698511161885\
         7640767966305581599983251992969/126167995321571218180813761631\
         36079776431734784000000000000*ep^3+4000392696674725/21168*ep^3
         *z6+11121502781554473221/65197440*ep^3*z5-
         6569767987896263312317483/140967296870400*ep^3*z4-
         2126740088707721061191082325147/76198462650326016000*ep^3*z3+
         291244978521367/10584*ep^3*z3^2;

Fill mncnoptab(9,6,1,1)=
      +mncF321*(-1656369-210521025/14*ep-9125515832/175*ep^2-
         102323250433/1050*ep^3)
      +4192636241543274422318640437/500292936593049600000-1418845733/
         117600*ep^-3-342622558598521/3852576000*ep^-2-
         3060600164740290019453/15271457160960000*ep^-1+80015164714/
         3675*z3-1108002795771057618938096543531793827/
         15865129511499079139328000000*ep+40007582357/1225*ep*z4+
         230800845194428661/605404800*ep*z3+680112373700742805573229685\
         177166147043771/2286863228305523263459295232000000*ep^2+
         20727997596903/9800*ep^2*z5+230800845194428661/403603200*ep^2*
         z4-4363479847070136531292651/7635728580480000*ep^2*z3+
         17959581247649957167818572611520796070258531762273525376001621\
         1481/311957738091163198923364017210897037372252225536000000000
         *ep^3+61543871472997/11760*ep^3*z6+9078564469103304323/
         1412611200*ep^3*z5-4363479847070136531292651/5090485720320000*
         ep^3*z4-4165662927669021511591435633883/2751611151261772800000
         *ep^3*z3+22504984166963/29400*ep^3*z3^2;

Fill mncnoptab(10,1,1,5)=
      +mncF321*(-365525875-357223022585/126*ep-1445784147478/189*ep^2-
         59815943060549/5670*ep^3)
      +116615115233331140563032952051/64837964582459228160+678940097/
         381024*ep^-3+32533738231049/2496469248*ep^-2-
         99938407489467424697/4498138291046400*ep^-1+57270006140006/
         11907*z3-10734119062597829443704653261855807801/
         584125222923375186493440000*ep+28635003070003/3969*ep*z4+
         69386324055743407621/891596160*ep*z3+1860355805657396636519651\
         9987310117852231079/210495365332667482204776038400000*ep^2+
         14814722613831877/31752*ep^2*z5+69386324055743407621/594397440
         *ep^2*z4-47139127177638580609813669/204460831411200*ep^2*z3-
         40592218200609593151243748470119427861934599409159331569453973/
         136034290330674368801229321889351697694720000000000*ep^3+
         219930038961877915/190512*ep^3*z6+554760905830950178921/
         693463680*ep^3*z5-47139127177638580609813669/136307220940800*
         ep^3*z4-3900828446215367635606212340861/73679505207340032000*
         ep^3*z3+16037165839229161/95256*ep^3*z3^2;

Fill mncnoptab(10,2,1,4)=
      +mncF321*(-584841400-288679388140/63*ep-2380363380772/189*ep^2-
         10107767462966/567*ep^3)
      +493716734954382409095095185333/171446540963233536000-1821173471/
         47628*ep^-3-61521961253293/264049632*ep^-2+
         88904031049353291217/475764626937600*ep^-1+91655420770472/
         11907*z3-1802727004294933418993310051370251047/
         61782475501510837032960000*ep+45827710385236/3969*ep*z4+
         11800426274151914191/94303440*ep*z3+61916055646325440974003776\
         9840173118296037/4452786574344889046639493120000*ep^2+
         2963041412924333/3969*ep^2*z5+11800426274151914191/62868960*
         ep^2*z4-17085369643234260790941661/47576462693760*ep^2*z3-
         22785387731212519012033563236812909408090680826643906368632961/
         55795314393440659078629214056179407257600000000000*ep^3+
         43987344090012635/23814*ep^3*z6+98202459202405273291/73347120*
         ep^3*z5-17085369643234260790941661/31717641795840*ep^3*z4-
         9795501246419783987620263139457/85723270481616768000*ep^3*z3+
         3207127058939921/11907*ep^3*z3^2;

Fill mncnoptab(10,2,2,3)=
      +mncF321*(-701809680-117002474446/21*ep-4938080247074/315*ep^2-
         21640499574934/945*ep^3)
      +1459955448422538915048823763/422698572394560000-2489492213/39690
         *ep^-3-190348543024037/275051700*ep^-2-9155960581310926969/
         3812216562000*ep^-1+183294938795176/19845*z3-10384928873503107\
         7717299056887787287/2999604333254964019200000*ep+
         91647469397588/6615*ep*z4+11875925629678751941/78586200*ep*z3+
         1272974598530100885899245862778015471629/
         7795221761046337744896000000*ep^2+5926041352386454/6615*ep^2*
         z5+11875925629678751941/52390800*ep^2*z4-
         1583590906409594650424081/3812216562000*ep^2*z3-
         91325883597926149894606283994676253648766770133213173971231171\
         35281/16897499373424716720644700218485821129149644800000000000
         *ep^3+8797414559182093/3969*ep^3*z6+103891784013809743051/
         61122600*ep^3*z5-1583590906409594650424081/2541477708000*ep^3*
         z4-38785924212795503617330947877/211349286197280000*ep^3*z3+
         6414591181749166/19845*ep^3*z3^2;

Fill mncnoptab(10,3,1,3)=
      +mncF321*(-239253300-13424768500/7*ep-38409892443/7*ep^2-
         2580450427517/315*ep^3)
      +44752110658627163945072442443/38099231325163008000+179048363/
         10584*ep^-3+2086661856883/26671680*ep^-2-47726000578618169161/
         105725472652800*ep^-1+4164527217500/1323*z3-308922650173781592\
         16244322231136731611/2636052288064462380072960000*ep+
         2082263608750/441*ep*z4+1084550186661127469/20956320*ep*z3+
         208029158651815550968068042829339855519756951/3799711210107638\
         653132367462400000*ep^2+269356700449135/882*ep^2*z5+
         1084550186661127469/13970880*ep^2*z4-1455834229126322785065323/
         10572547265280*ep^2*z3-465907811682887302199552048378875200816\
         91666635642873817513217153/24758240840182735121823736583862008\
         9804390400000000000*ep^3+3998705234562025/5292*ep^3*z6+
         9826915238622529849/16299360*ep^3*z5-1455834229126322785065323/
         7048364843520*ep^3*z4-282475471854637248182694213539/
         3809923132516300800*ep^3*z3+291602268368827/2646*ep^3*z3^2;

Fill mncnoptab(10,3,2,2)=
      +mncF321*(-191402640-10905105926/7*ep-480445117204/105*ep^2-
         445360521985/63*ep^3)
      +134962777152490732916421253/140899524131520000-3659665243/13230*
         ep^-3-41264711870269/16669800*ep^-2-11820425047367339353/
         2541477708000*ep^-1+16706033952296/6615*z3-4964689187410350786\
         28572003132765223/53992877998589352345600000*ep+8353016976148/
         2205*ep*z4+1094322496899781181/26195400*ep*z3+7657114945158174\
         57622873924192349426331703/17960190937450762164240384000000*
         ep^2+538877140583834/2205*ep^2*z5+1094322496899781181/17463600
         *ep^2*z4-16676782207185460104257/158842356750*ep^2*z3-
         83246001677845049858107689776250267422782620158609511965997123\
         802111/6083099774432898019432092078654895606493872128000000000\
         00*ep^3+799962693899603/1323*ep^3*z6+950369655659595781/
         1852200*ep^3*z5-16676782207185460104257/105894904500*ep^3*z4-
         5215719176916788295436913747/70449762065760000*ep^3*z3+
         582633083933186/6615*ep^3*z3^2;

Fill mncnoptab(10,3,3,1)=
      +mncF321*(-26100360-1526702229/7*ep-70283866211/105*ep^2-
         689195476789/630*ep^3)
      +11277280313294711335061852341/87310738453498560000-3657104503/
         97020*ep^-3-76870511428133/168087150*ep^-2-
         825391589822141344963/484575082992000*ep^-1+8342977422988/
         24255*z3-35717501913252040772774581105856512484969/
         29359032358317949758062592000000*ep+4171488711494/8085*ep*z4+
         1108556661744380341/192099600*ep*z3+17652422430331742563109660\
         5268383613864915027597/31739462701930369124446306959360000000*
         ep^2+269415167153977/8085*ep^2*z5+1108556661744380341/
         128066400*ep^2*z4-3167412498387811460194831/242287541496000*
         ep^2*z3-336843944681147902752490946207370382069441006309792960\
         8527336963779/195528207035343150624602959671050215923017318400\
         000000000*ep^3+799902524038943/9702*ep^3*z6+
         34605407326692786953/448232400*ep^3*z5-
         3167412498387811460194831/161525027664000*ep^3*z4-
         36313779010495775335423172759/2728460576671830000*ep^3*z3+
         291507252007933/24255*ep^3*z3^2;

Fill mncnoptab(10,4,1,2)=
      +mncF321*(-26583700-14033386510/63*ep-129663364090/189*ep^2-
         3184810730086/2835*ep^3)
      +4115594313920381633694224173/31172098356951552000-2549194609/
         95256*ep^-3-66319817383601/240045120*ep^-2-
         696122473428640166437/951529253875200*ep^-1+4174164367568/
         11907*z3-1971287882391587382081069853859154311/
         1581631372838677428043776000*ep+2087082183784/3969*ep*z4+
         221997708925719637/37721376*ep*z3+6395285868182124751790141909\
         7863419739853821/11399133630322915959397102387200000*ep^2+
         269420593748059/7938*ep^2*z5+221997708925719637/25147584*ep^2*
         z4-1256582578614420540396071/95152925387520*ep^2*z3-
         77582936130208465359419360750290296153933373563909716152095444\
         953/2048181742233298996441781844664948015654502400000000000*
         ep^3+3999567262545205/47628*ep^3*z6+2329439485288450225/
         29338848*ep^3*z5-1256582578614420540396071/63435283591680*ep^3
         *z4-2411229729245447082103687931971/171446540963233536000*ep^3
         *z3+291357416318839/23814*ep^3*z3^2;

Fill mncnoptab(10,4,2,1)=
      +mncF321*(-10633480-5706111268/63*ep-270767612492/945*ep^2-
         1376320804882/2835*ep^3)
      +4199386538280391929142501789/77930245892378880000-8549512933/
         238140*ep^-3-204519206193713/600112800*ep^-2-
         1968450243966543195541/2378823134688000*ep^-1+8372289143608/
         59535*z3-517169947272393511485020885828594375149/
         1067601176666107263929548800000*ep+4186144571804/19845*ep*z4+
         1120860940932510581/471517200*ep*z3+10070416905287076660866965\
         551515098169329624483/4616649120280780963555826466816000000*
         ep^2+269516197003807/19845*ep^2*z5+1120860940932510581/
         314344800*ep^2*z4-5889684046183381775301067/1189411567344000*
         ep^2*z3-506659388823746643035774396579682310001397678379265433\
         7960057785769/782112828141372602498411838684200863692069273600\
         000000000*ep^3+800176301867813/23814*ep^3*z6+
         12352597167658444841/366735600*ep^3*z5-
         5889684046183381775301067/792941044896000*ep^3*z4-
         2756217066675881386942862855491/428616352408083840000*ep^3*z3+
         291165630889003/59535*ep^3*z3^2;

Fill mncnoptab(10,5,1,1)=
      +mncF321*(-511225-596232065/126*ep-3193962964/189*ep^2-
         185747727623/5670*ep^3)
      +4189432713415547599932671413/1620949114561480704000-1420639525/
         381024*ep^-3-348662676073913/12482346240*ep^-2-
         640088936300299862297/9895904240302080*ep^-1+80014716266/11907
         *z3-1084354177612801367174051523631076003/
         51403019617257016411422720000*ep+40007358133/3969*ep*z4+
         1165707272734626953/9807557760*ep*z3+3251364758275681594911160\
         970715445826955143/37047184298549476868040582758400000*ep^2+
         20727920463847/31752*ep^2*z5+1165707272734626953/6538371840*
         ep^2*z4-770749728627202859394479/4947952120151040*ep^2*z3+
         23341037910885751374724326272825885054857889921496877612251582\
         4921/2165878010175790209667927319492799430898779737292800000000
         *ep^3+307718218307065/190512*ep^3*z6+16016132090159861573/
         7628100480*ep^3*z5-770749728627202859394479/3298634746767360*
         ep^3*z4-4489068484428658742422705006939/8915220130088143872000
         *ep^3*z3+22504985960755/95256*ep^3*z3^2;

Fill mncnoptab(11,1,1,4)=
      +mncF321*(-23393656-60154118453/315*ep-2658194874952/4725*ep^2-
         12304620009719/14175*ep^3)
      +400624645512613437087949602937/3482507863315681200000+3057608647/
         1190700*ep^-3+1576551160043963/214540326000*ep^-2-
         5183580782927880345109/77311751877360000*ep^-1+91596947890748/
         297675*z3-2833623361736240540982886513637621293/
         2509913067248877754464000000*ep+45798473945374/99225*ep*z4+
         156478489166465652733/30648618000*ep*z3+9356739247033490511056\
         105543642119851157069/1808944545827611175197294080000000*ep^2+
         2962799405475167/99225*ep^2*z5+156478489166465652733/
         20432412000*ep^2*z4-492385664849095210144776673/
         38655875938680000*ep^2*z3-559993856105908896609672170598431520\
         90748933834286019224389/39912838656048556123971797568229925191\
         68000000000*ep^3+8796801268534753/119070*ep^3*z6+
         1510007836268388558463/23837814000*ep^3*z5-
         492385664849095210144776673/25770583959120000*ep^3*z4-
         66613351122746184692873278420757/6965015726631362400000*ep^3*
         z3+3207891895313243/297675*ep^3*z3^2;

Fill mncnoptab(11,2,1,3)=
      +mncF321*(-19140264-5583724003/35*ep-255581235572/525*ep^2-
         1239043041001/1575*ep^3)
      +1016078974740795071060705221/10823645262830400000+447685277/
         132300*ep^-3+3497294746121/166698000*ep^-2-
         14027502321578112593/660784204080000*ep^-1+8327389548868/33075
         *z3-2990819820992772537555871936739290783/
         3295065360080577975091200000*ep+4163694774434/11025*ep*z4+
         1105507971341958251/261954000*ep*z3+58058362351739782486922547\
         1954576186781622583/142489170379036449492463779840000000*ep^2+
         269353237797397/11025*ep^2*z5+1105507971341958251/174636000*
         ep^2*z4-3207952770215734527910241/330392102040000*ep^2*z3-
         12341376205720334220121830278835696379362419272175660448209669\
         011/965571392767126669751125726770618350237122560000000000*
         ep^3+799732323843323/13230*ep^3*z6+11415044588451259361/
         203742000*ep^3*z5-3207952770215734527910241/220261401360000*
         ep^3*z4-288261260891572001244931758767/29765024472783600000*
         ep^3*z3+291626064572713/33075*ep^3*z3^2;

Fill mncnoptab(11,2,2,2)=
      +mncF321*(-10440144-3118989978/35*ep-148431530182/525*ep^2-
         756260395642/1575*ep^3)
      +134427937622789171121892553/2583157942411200000-2995363423/
         242550*ep^-3-198280436389187/1680871500*ep^-2-
         6144134495989167079/23296878990000*ep^-1+16699378015736/121275
         *z3-111683524554855428011558310762649029/
         232000647650188623360000000*ep+8349689007868/40425*ep*z4+
         1120355020803775711/480249000*ep*z3+40003615133746138935690317\
         319690025061/18840990096278990154900000000*ep^2+
         538851545337794/40425*ep^2*z5+1120355020803775711/320166000*
         ep^2*z4-112546720903160989077131/23296878990000*ep^2*z3-
         90190862258194887506700622399200505651002775480668476682343823\
         29/1357834771078771879337520553271182055020953600000000000*
         ep^3+799927628998823/24255*ep^3*z6+37279084533494474963/
         1120581000*ep^3*z5-112546720903160989077131/15531252660000*
         ep^3*z4-8297202842844234202273988287/1291578971205600000*ep^3*
         z3+582698914902026/121275*ep^3*z3^2;

Fill mncnoptab(11,3,1,2)=
      +mncF321*(-3190044-2910442964/105*ep-142408097611/1575*ep^2-
         750157083173/4725*ep^3)
      +45120113744511246822263658899/2857442349387225600000-1841214973/
         793800*ep^-3-54517098232133/2000376000*ep^-2-
         699210231907714884361/7929410448960000*ep^-1+4171716674684/
         99225*z3-536633763217137375176598816626810057/
         3706948530090650221977600000*ep+2085858337342/33075*ep*z4+
         102747967135937191/142884000*ep*z3+100305880140595480305755543\
         51793348661796441/16030031667641600567902175232000000*ep^2+
         269402256380647/66150*ep^2*z5+102747967135937191/95256000*ep^2
         *z4-417361285938289358483539/304977324960000*ep^2*z3-
         73042909515843983586969311948418370934628637936277689050411971\
         17/1357834771078771879337520553271182055020953600000000000*
         ep^3+799863335792573/79380*ep^3*z6+13187471553005209961/
         1222452000*ep^3*z5-417361285938289358483539/203318216640000*
         ep^3*z4-243877524618362623321242551347/109901628822585600000*
         ep^3*z3+291415326658963/198450*ep^3*z3^2;

Fill mncnoptab(11,3,2,1)=
      +mncF321*(-870012-271399804/35*ep-13819181441/525*ep^2-
         15300573347/315*ep^3)
      +46562405423736519994818953459/10477288614419827200000-
         11491000573/2910600*ep^-3-3037471647459703/80681832000*ep^-2-
         2728301290971700389481/29074504979520000*ep^-1+4191126319484/
         363825*z3-12278666814483476732748391879647205550387/3262114706\
         47977219534028800000000*ep+2095563159742/121275*ep*z4+
         1147706297801729741/5762988000*ep*z3+3585046085949064034431228\
         706038133878591053977/22041293543007200780865490944000000000*
         ep^2+269558817731047/242550*ep^2*z5+1147706297801729741/
         3841992000*ep^2*z4-4780187386737999717331927/14537252489760000
         *ep^2*z3-67853137939432469588008049317330043580958671903868100\
         433600004013/1365593826913507718648020670718445952478216192000\
         00000000*ep^3+800294200554173/291060*ep^3*z6+
         14327074372836934601/4482324000*ep^3*z5-
         4780187386737999717331927/9691501659840000*ep^3*z4-
         3658539981144781626093392627191/5238644307209913600000*ep^3*z3
         +291105322710163/727650*ep^3*z3^2;

Fill mncnoptab(11,4,1,1)=
      +mncF321*(-81796-246222548/315*ep-13825880407/4725*ep^2-
         85167340589/14175*ep^3)
      +4180589176665207615936155929/10130931966009254400000-1413828721/
         2381400*ep^-3-356079776027813/78014664000*ep^-2-
         3421198838499443397001/309247007509440000*ep^-1+320065675868/
         297675*z3-16710326104423788701514396809408257853/
         5140301961725701641142272000000*ep+160032837934/99225*ep*z4+
         1185435291181677581/61297236000*ep*z3+480827906724370926577239\
         35761652507154834773/3704718429854947686804058275840000000*
         ep^2+20728213328419/198450*ep^2*z5+1185435291181677581/
         40864824000*ep^2*z4-2983943838309919844309047/
         154623503754720000*ep^2*z3+13371983588549832855888152656102516\
         0267312954623504665069/366546477453507148077292018483744210944\
         00000000000*ep^3+61544508633521/238140*ep^3*z6+
         17510064357268010441/47675628000*ep^3*z5-
         2983943838309919844309047/103082335836480000*ep^3*z4-
         4973678167682012808316800347671/55720125813050899200000*ep^3*
         z3+22504979149951/595350*ep^3*z3^2;

Fill mncnoptab(12,1,1,3)=
      +mncF321*(-474552-1614359799/385*ep-80918198696/5775*ep^2-
         17482603493/693*ep^3)
      +36521554303205303628880841437/15606794498562867600000-199085323/
         5336100*ep^-3+43523694863393/961458498000*ep^-2+
         499021092239891108561/346471184339280000*ep^-1+8326041676468/
         1334025*z3-288313475694338072627494327966976603/
         13497754717205075924006400000*ep+4163020838234/444675*ep*z4+
         14801022946618981783/137351214000*ep*z3+3264193622465134483633\
         687648639463417020493/36480381674190158699812097280000000*ep^2
         +269324892404797/444675*ep^2*z5+14801022946618981783/
         91567476000*ep^2*z4-32719117177829225644539763/
         173235592169640000*ep^2*z3-11239814121003017311584614180865828\
         05521951298454967619897077/48632258793216086846439482575443231\
         92586240000000000*ep^3+799648635537923/533610*ep^3*z6+
         542369544349996055639/320486166000*ep^3*z5-
         32719117177829225644539763/115490394779760000*ep^3*z4-
         11536084067646840957493207273127/31213588997125735200000*ep^3*
         z3+291627010164913/1334025*ep^3*z3^2;

Fill mncnoptab(12,2,1,2)=
      +mncF321*(-158184-559195988/385*ep-29727285172/5775*ep^2-
         172685020262/17325*ep^3)
      +45287048878901991975473235839/57625087379309049600000-3179297173/
         16008300*ep^-3-724575580136323/443750076000*ep^-2-
         401604809727565172341/159909777387360000*ep^-1+8359600409368/
         4002075*z3-706989630549912234043278091459264777/
         103828882440039045569280000000*ep+4179800204684/1334025*ep*z4+
         1163275803747274061/31696434000*ep*z3+307473268332227440266018\
         6911781623884239941/112247328228277411384037222400000000*ep^2+
         269463605213647/1334025*ep^2*z5+1163275803747274061/
         21130956000*ep^2*z4-4039047315838097742536587/
         79954888693680000*ep^2*z3-362729367419471281654726697607551308\
         34417031657977147623100603/13373871168134423882770857708246888\
         7796121600000000000*ep^3+800031215231573/1600830*ep^3*z6+
         15645914396871941921/24652782000*ep^3*z5-
         4039047315838097742536587/53303259129120000*ep^3*z4-
         4226179356123765998110684136131/28812543689654524800000*ep^3*
         z3+291193497396763/4002075*ep^3*z3^2;

Fill mncnoptab(12,2,2,1)=
      +mncF321*(-26364-291309694/1155*ep-16451933186/17325*ep^2-
         9347866226/4725*ep^3)
      +48185299553954483459073103139/345750524275854297600000-
         20174775673/96049800*ep^-3-4995433993126723/2662500456000*
         ep^-2-3788495694963470381041/959458664324160000*ep^-1+
         4212750622184/12006225*z3-647743104173467964997026000320901837/
         622973294640234273415680000000*ep+2106375311092/4002075*ep*z4+
         170467400727824723/27168372000*ep*z3+2802722396490674678445795\
         005680222715687321/673483969369664468304223334400000000*ep^2+
         269715068926147/8004150*ep^2*z5+170467400727824723/18112248000
         *ep^2*z4-2901806297787833662606687/479729332162080000*ep^2*z3-
         5645455723429177582245565002761650962374087090459694151671667/
         585448033788741616909050811922236253719756800000000000*ep^3+
         800719705534073/9604980*ep^3*z6+17603184801073130921/
         147916692000*ep^3*z5-2901806297787833662606687/
         319819554774720000*ep^3*z4-4880815132088778565191648460231/
         172875262137927148800000*ep^3*z3+290661088019263/24012450*ep^3
         *z3^2;

Fill mncnoptab(12,3,1,1)=
      +mncF321*(-6084-23519548/385*ep-472197559/1925*ep^2-9483595031/
         17325*ep^3)
      +46171523317631319781349843699/1498252271862035289600000-
         1450519921/32016600*ep^-3-4124539261005463/11537501976000*
         ep^-2-3674847240389340825961/4157654212071360000*ep^-1+
         320028984668/4002075*z3-73533698318097520103770282358929807/
         323946113212921822176153600000*ep+160014492334/1334025*ep*z4+
         1217361379137765101/824107284000*ep*z3+98133586017840119355327\
         090896148757796369/116737221357408507839398711296000000*ep^2+
         20726635606819/2668050*ep^2*z5+1217361379137765101/
         549404856000*ep^2*z4-1553566436507032183582807/
         2078827106035680000*ep^2*z3-2317883144977937352335025402691780\
         0356214690887454856072149/354816990174994919338818673892264396\
         19379200000000000*ep^3+61539848851121/3201660*ep^3*z6+
         19923333794962281961/640972332000*ep^3*z5-
         1553566436507032183582807/1385884737357120000*ep^3*z4-
         5601882726036279988682394757111/749126135931017644800000*ep^3*
         z3+22505015841151/8004150*ep^3*z3^2;

Fill mncnoptab(13,1,1,2)=
      +mncF321*(-2197-152591777/6930*ep-4581551204/51975*ep^2-
         1110438941/5670*ep^3)
      +555243850797775890748373958767/53937081787033270425600000+
         13314587927/1152597600*ep^-3+15435014765119361/415350071136000
         *ep^-2-44175932518441631846053/149675551634568960000*ep^-1+
         1020474694496/36018675*z3-1632480906416635299873036185207587501
       /19436766792775309330569216000000*ep+510237347248/12006225*ep*z4
         +321667258442682017/605466576000*ep*z3+21071294788750565759690\
         23645690764091796531/7004233281444510470363922677760000000*
         ep^2+268653526536547/96049800*ep^2*z5+321667258442682017/
         403644384000*ep^2*z4-20239257625480309807886251/
         74837775817284480000*ep^2*z3-150355822792977905353067407625419\
         517504011582594551728581/2190228334413548884807522678347311087\
         6160000000000*ep^3+797796782053673/115259760*ep^3*z6+
         256986492515309665013/23075003952000*ep^3*z5-
         20239257625480309807886251/49891850544856320000*ep^3*z4-
         72029541154295811298471555578883/26968540893516635212800000*
         ep^3*z3+293750177653663/288149400*ep^3*z3^2;

Fill mncnoptab(13,2,1,1)=
      +mncF321*(-169-12735749/6930*ep-426426788/51975*ep^2-6440259743/
         311850*ep^3)
      +44726174802477431677004457899/53937081787033270425600000-
         1103673421/1152597600*ep^-3-3540405984178363/415350071136000*
         ep^-2-4134673808237017055161/149675551634568960000*ep^-1+
         80093957792/36018675*z3-4333121673643308965298002225403109/
         777470671711012373222768640000*ep+40046978896/12006225*ep*z4+
         1271942119017802901/29667862224000*ep*z3+125008100762457296395\
         962135259228851681827/7004233281444510470363922677760000000*
         ep^2+20741550006319/96049800*ep^2*z5+1271942119017802901/
         19778574816000*ep^2*z4+972706911437869792637993/
         74837775817284480000*ep^2*z3-307536670512473138597556798316705\
         93400040353984298980016017/34062431056799512256526592693657382\
         0346040320000000000*ep^3+61583898356621/115259760*ep^3*z6+
         24083436406772226761/23075003952000*ep^3*z5+
         972706911437869792637993/49891850544856320000*ep^3*z4-
         6233563801281841862095636717711/26968540893516635212800000*
         ep^3*z3+22504668994651/288149400*ep^3*z3^2;

Fill mncnoptab(14,1,1,1)=
      +mncF321*(-1-1145993/90090*ep-507416/7425*ep^2-9301169/44550*ep^3
         )
      +80620673626710593598476949419/9115366822008622701926400000-
         10324454221/194788994400*ep^-3-15796588988523643/
         70194162021984000*ep^-2+12285324564763875251399/
         25295168226242154240000*ep^-1+77788762592/6087156075*z3-
         101233618460025469497386846377374433/3284813587979027276866197\
         504000000*ep+38894381296/2029052025*ep*z4+1380508371645335381/
         5013868715856000*ep*z3+250600648068056683774197221647838648782\
         07/1183715424564122269491502932541440000000*ep^2+
         20345056431919/16232416200*ep^2*z5+1380508371645335381/
         3342579143904000*ep^2*z4+6573164663738889892797353/
         12647584113121077120000*ep^2*z3+126279696125623214594256111650\
         125022801147341061/2132818451979635505169789983853166592000000\
         00*ep^3+60412859195021/19478899440*ep^3*z6+
         32825574455017231241/3899675667888000*ep^3*z5+
         6573164663738889892797353/8431722742080718080000*ep^3*z4-
         6239627743498361001173598960271/4557683411004311350963200000*
         ep^3*z3+22513889775451/48697248600*ep^3*z3^2;
*--#] 17 :
#case 16
*--#[ 16 :

Fill mncnoptab(4,4,4,4)=
      +mncF321*(315555609600+2222232295360*ep+44907345763456/9*ep^2+
         144597413134144/27*ep^3)
      -343934506665179400799/225042300-3084617008/9*ep^-3-1536125585186/
         567*ep^-2-518163523995349/178605*ep^-1-37304746019200/9*z3+
         1380293436341811977723/81033750*ep-18652373009600/3*ep*z4-
         25984963088227312/405*ep*z3-157759044709108205176057394041/
         1786385777400000*ep^2-3624448205090240/9*ep^2*z5-
         12992481544113656/135*ep^2*z4+219070476008073565138/893025*
         ep^2*z3+3752358088531582946884844828039800926581213/
         12744989164887972249600000000*ep^3-8967858647677600/9*ep^3*z6-
         1140891570919753928/2835*ep^3*z5+109535238004036782569/297675*
         ep^3*z4-11661484006443425759537/93767625*ep^3*z3-
         436267994810560/3*ep^3*z3^2;

Fill mncnoptab(5,3,3,5)=
      +mncF321*(177500030400+1254507733710*ep+2837231658965*ep^2+
         184533837013043/60*ep^3)
      -3470908727511087381521/4000752000-167204433/2*ep^-3-
         3512235794719/5040*ep^-2-3113775235629383/3175200*ep^-1-
         2333996648236*z3+14252609951170667639279909/1493614080000*ep-
         3500994972354*ep*z4-1085037177357553/30*ep*z3-
         5021564216922535662974464950301/101625502003200000*ep^2-
         226553896889122*ep^2*z5-1085037177357553/20*ep^2*z4+
         217618019323184127743/1587600*ep^2*z3+178652629343283709773961\
         102459727254855492373/1087572408737106965299200000000*ep^3-
         560549750602215*ep^3*z6-292709753864471647/1260*ep^3*z5+
         217618019323184127743/1058400*ep^3*z4-2935851095267781218683/
         44452800*ep^3*z3-81772914810686*ep^3*z3^2;

Fill mncnoptab(5,4,2,5)=
      +mncF321*(86938790400+618128553240*ep+1415279000256*ep^2+
         1562599606181*ep^3)
      -48558047858669190337/114095520-227694126/7*ep^-3-167255597723/
         588*ep^-2-17919031443269/37044*ep^-1-8003583743760/7*z3+
         105999750320570341564670235379/22771640263680000*ep-
         12005375615640/7*ep*z4-621758347611146/35*ep*z3-30299919857013\
         046617220754300488267/1262459736218419200000*ep^2-
         776770095703800/7*ep^2*z5-932637521416719/35*ep^2*z4+
         225452948313224985791/3395700*ep^2*z3+326879248780615936192259\
         3344365831465181483346720299/401263320435263573589428797440000\
         00000*ep^3-1921916279900100/7*ep^3*z6-87089823944678047/735*
         ep^3*z5+225452948313224985791/2263800*ep^3*z4-
         4154098430146329571239019/141193206000*ep^3*z3-280349769718920/
         7*ep^3*z3^2;

Fill mncnoptab(5,4,3,4)=
      +mncF321*(202857177600+1434562612560*ep+3248858781784*ep^2+
         10592562425050/3*ep^3)
      -197089471629554068027/200037600-182902412*ep^-3-185362721947/126
         *ep^-2-92062112963299/52920*ep^-1-2665465086240*z3+
         55026337994980791712110499/5040947520000*ep-3998197629360*ep*
         z4-13019189994299326/315*ep*z3-26553512088618609073972429553/
         470488435200000*ep^2-258898035099440*ep^2*z5-6509594997149663/
         105*ep^2*z4+62112064875441995483/396900*ep^2*z3+19560819181219\
         8631439144660829376281700782337271/102775592625656608220774400\
         0000000*ep^3-640581425033000*ep^3*z6-83918753022751592/315*
         ep^3*z5+62112064875441995483/264600*ep^3*z4-
         37529107916183714612839/500094000*ep^3*z3-93476619550160*ep^3*
         z3^2;

Fill mncnoptab(5,4,4,3)=
      +mncF321*(173877580800+1232610263280*ep+2805554008312*ep^2+
         9216616936850/3*ep^3)
      -294691043170769829001/350065800-1362503692/7*ep^-3-1375850727557/
         882*ep^-2-55850540918759/30870*ep^-1-15987004723360/7*z3+
         82467627173627325328869001/8821658160000*ep-23980507085040/7*
         ep*z4-1241068924386232/35*ep*z3-39701513095440327857197929167/
         823354761600000*ep^2-1553326497237680/7*ep^2*z5-
         1861603386579348/35*ep^2*z4+92752848783733786082/694575*ep^2*
         z3+55747972710325778928431238037465285092819657637/34258530875\
         2188694069248000000000*ep^3-3843348731285800/7*ep^3*z6-
         511760950282377422/2205*ep^3*z5+46376424391866893041/231525*
         ep^3*z4-54278418949473074828401/875164500*ep^3*z3-
         560922988288080/7*ep^3*z3^2;

Fill mncnoptab(5,5,3,3)=
      +mncF321*(95089302000+678825100800*ep+1567268381745*ep^2+
         7008918078857/4*ep^3)
      -20035368147408468089/43545600-110994180*ep^-3-202236874613/224*
         ep^-2-479797331728843/423360*ep^-1-1248907045980*z3+
         5474764456154462419749569/1075402137600*ep-1873360568970*ep*z4
         -2178749105209813/112*ep*z3-50544822228899173135534676261/
         1935723847680000*ep^2-121352724735660*ep^2*z5-6536247315629439/
         224*ep^2*z4+15256367778803210999/211680*ep^2*z3+25527766674610\
         167473748794512251406377651655462638041/3477092965490467554996\
         93834240000000000*ep^3-300259544224200*ep^3*z6-
         14892215337347051/112*ep^3*z5+15256367778803210999/141120*ep^3
         *z4-32171199280785356135213/1066867200*ep^3*z3-43822784119620*
         ep^3*z3^2;

Fill mncnoptab(5,5,4,2)=
      +mncF321*(54336744000+389315322000*ep+905498041140*ep^2+
         1023286820305*ep^3)
      -119481702079617294445927/451818259200-300783780/7*ep^-3-
         423926383333/1176*ep^-2-426281123303389/814968*ep^-1-
         4998611035440/7*z3+14523087692196859443985332391/
         5009760858009600*ep-7497916553160/7*ep*z4-935590560874399/84*
         ep*z3-5152232864862279504304602521124241/347176427460065280000
         *ep^2-485443238971680/7*ep^2*z5-935590560874399/56*ep^2*z4+
         1893611792154615476/46305*ep^2*z3+1030868507107776403724047567\
         65850420857271791839992456103/23366064728095941969579425660928\
         00000000000*ep^3-1201111569840600/7*ep^3*z6-15253251240688997/
         196*ep^3*z5+946805896077307738/15435*ep^3*z4-
         330405163826895176417897/20537193600*ep^3*z3-175259667036960/7
         *ep^3*z3^2;

Fill mncnoptab(5,5,5,1)=
      +mncF321*(8490116250+61524307350*ep+585508623975/4*ep^2+
         2734408733241/16*ep^3)
      -24185873558608279919207/578327371776+21688425/112*ep^-3-
         74984747245/18816*ep^-2-21695465460112207/521579520*ep^-1-
         1564303694085/14*z3+179744672709904895308356302609/
         400780868640768000*ep-4692911082255/28*ep*z4-2352850515238213/
         1344*ep*z3-5067380187998080295084497531009567/
         2221929135744417792000*ep^2-303448791292515/28*ep^2*z5-
         2352850515238213/896*ep^2*z4+1629303529548611700191/260789760*
         ep^2*z3+989144078916307028338073810050996282269179072740274463\
         91/13630204424722632815587998302208000000000000*ep^3-
         1501600919521725/56*ep^3*z6-40949678532212299/3136*ep^3*z5+
         1629303529548611700191/173859840*ep^3*z4-
         14202334263048090129040061/7229092147200*ep^3*z3-
         109486277399565/28*ep^3*z3^2;

Fill mncnoptab(6,2,2,6)=
      +mncF321*(28400004864+1015052878224/5*ep+11739335807096/25*ep^2+
         196802492972696/375*ep^3)
      -580919998615720299554489/4160156962500-8078052/5*ep^-3-
         2130646234369/173250*ep^-2-13984228841901013/1200622500*ep^-1-
         9342116193568/25*z3+3101628807906090513728994019981/
         2050125351120000000*ep-14013174290352/25*ep*z4-
         24003813452714056/4125*ep*z3-397911249704475664350498617981875\
         1347/511465272597417600000000*ep^2-906281928092176/25*ep^2*z5-
         12001906726357028/1375*ep^2*z4+6444126496034326365317/
         300155625*ep^2*z3+27242532038114491001321349404956972672198618\
         6189507/10034900333305822669543833600000000000*ep^3-
         448469905949304/5*ep^3*z6-3474917834467419902/86625*ep^3*z5+
         6444126496034326365317/200103750*ep^3*z4-
         296797322969926380332921/34239975000*ep^3*z3-327026891211248/
         25*ep^3*z3^2;

Fill mncnoptab(6,3,1,6)=
      +mncF321*(10432654848+374799073968/5*ep+4380589606272/25*ep^2+
         24873494476924/125*ep^3)
      -181124601163137412434893/3529830150000-13257948/35*ep^-3-
         91028527907/36750*ep^-2-665852567372/21223125*ep^-1-
         24023167710432/175*z3+866998619657300014310078369863/
         1565550268128000000*ep-36034751565648/175*ep*z4-
         1874887818238768/875*ep*z3-16417426132126255969426057648467109/
         5786273791001088000000*ep^2-2330445928579824/175*ep^2*z5-
         2812331727358152/875*ep^2*z4+497135014396645172501/63669375*
         ep^2*z3+2950881912028774030835241887524505543358356557808879/
         306520591999159674269702553600000000000*ep^3-1153211380434696/
         35*ep^3*z6-279799135869121906/18375*ep^3*z5+
         497135014396645172501/42446250*ep^3*z4-
         5098537553216830005918409/1764915075000*ep^3*z3-
         840921581179152/175*ep^3*z3^2;

Fill mncnoptab(6,3,2,5)=
      +mncF321*(60857153280+433515375216*ep+4980550709904/5*ep^2+
         27604009949848/25*ep^3)
      -60279145274430905639171/201704580000-9222444*ep^-3-86786117477/
         1050*ep^-2-2259422560329283/14553000*ep^-1-4003239627552/5*z3+
         38780688337221203376643255543/11928002042880000*ep-
         6004859441328/5*ep*z4-2178496438127746/175*ep*z3-1661872257986\
         98085718977691939343579/9919326498859008000000*ep^2-
         388400615678064/5*ep^2*z5-3267744657191619/175*ep^2*z4+
         336965584305917332309/7276500*ep^2*z3+201109644424831619062873\
         5543918966261797697068673269/350309247999039627736802918400000\
         00000*ep^3-192198688025256*ep^3*z6-44112207942357076/525*ep^3*
         z5+336965584305917332309/4851000*ep^3*z4-
         667421703343852585068631/33617430000*ep^3*z3-140159307683472/5
         *ep^3*z3^2;

Fill mncnoptab(6,3,3,4)=
      +mncF321*(104326548480+742653290016*ep+8521678279224/5*ep^2+
         47177300526288/25*ep^3)
      -2970851087374555004831/5834430000-420254472/7*ep^-3-
         1803775028897/3675*ep^-2-1469873435827619/2315250*ep^-1-
         48003958858944/35*z3+82099125261099177042900451/14702763600000
         *ep-72005938288416/35*ep*z4-11196030220792348/525*ep*z3-
         42615048927350868640707796529/1482038570880000*ep^2-
         4660438979848608/35*ep^2*z5-5598015110396174/175*ep^2*z4+
         184050523561222557269/2315250*ep^2*z3+419270340636424243865847\
         155416854295394572752781/4282316359402358675865600000000000*
         ep^3-2306217510494832/7*ep^3*z6-175540875163253424/1225*ep^3*
         z5+184050523561222557269/1543500*ep^3*z4-
         100864340934812993835743/2917215000*ep^3*z3-1682302579519584/
         35*ep^3*z3^2;

Fill mncnoptab(6,4,1,5)=
      +mncF321*(10867348800+78322883760*ep+184290488888*ep^2+
         3173950940704/15*ep^3)
      -362527156911787534007987/6777273888000+102520/7*ep^-3-7719957073/
         3528*ep^-2-152809592529973/8149680*ep^-1-1001073358736/7*z3+
         108181597875674265078062614099/187866032175360000*ep-
         1501610038104/7*ep*z4-938786327664209/420*ep*z3-20432088293917\
         856598157016450427643/6943528549201305600000*ep^2-
         97102940291632/7*ep^2*z5-938786327664209/280*ep^2*z4+
         494116184384381419891/61122600*ep^2*z3+19508448938374294678679\
         08432410413385975848319567123833/21241877025541765426890386964\
         4800000000000*ep^3-240254667332240/7*ep^3*z6-
         142601681315212603/8820*ep^3*z5+494116184384381419891/40748400
         *ep^3*z4-9614475174002324702954503/3388636944000*ep^3*z3-
         35036875374864/7*ep^3*z3^2;

Fill mncnoptab(6,4,2,4)=
      +mncF321*(50714294400+363316448880*ep+844650660304*ep^2+
         14298353770952/15*ep^3)
      -4285784844423113019773/17288964000-24667940*ep^-3-26134208629/
         126*ep^-2-29678750531317/97020*ep^-1-666814018464*z3+
         18132694001066281582158239039/6709501149120000*ep-
         1000221027696*ep*z4-3275265655025764/315*ep*z3-
         30670700981929886225173470597919/2214135379209600000*ep^2-
         64729326612368*ep^2*z5-1637632827512882/105*ep^2*z4+
         41667352350372096973/1091475*ep^2*z3+1068087889141087293644485\
         6548246761867019070519798850717/250350693515313663959779560652\
         800000000000*ep^3-160156281484760*ep^3*z6-22871409816200378/
         315*ep^3*z5+41667352350372096973/727650*ep^3*z4-
         907262031501471981770779/60511374000*ep^3*z3-23364353242736*
         ep^3*z3^2;

Fill mncnoptab(6,4,3,3)=
      +mncF321*(65204092800+467725412880*ep+1090279869888*ep^2+
         6177164709064/5*ep^3)
      -737269362089560069331/2333772000-494710788/7*ep^-3-850174145839/
         1470*ep^-2-25728155239821/34300*ep^-1-5995584689952/7*z3+
         20460219115147368531095021/5881105440000*ep-8993377034928/7*ep
         *z4-467940329058536/35*ep*z3-29282365200457565561768973209/
         1646709523200000*ep^2-582501943115664/7*ep^2*z5-
         701910493587804/35*ep^2*z4+11337037925056668791/231525*ep^2*z3
         +71605950025420914702500138563820426302524297792954619631/
         1298114707116441220532190314496000000000000*ep^3-
         1441265896064280/7*ep^3*z6-69128566862771042/735*ep^3*z5+
         11337037925056668791/154350*ep^3*z4-22027035244850458940659/
         1166886000*ep^3*z3-210340278081648/7*ep^3*z3^2;

Fill mncnoptab(6,4,4,2)=
      +mncF321*(27168372000+196655801760*ep+466787627680*ep^2+
         8144919184024/15*ep^3)
      -32400868043581894216637/246446323200-227571685/7*ep^-3-
         950251335317/3528*ep^-2-1829986510350337/4939200*ep^-1-
         2497544501848/7*z3+49246851912098883343840462823/
         34157460395520000*ep-3746316752772/7*ep*z4-783058749717533/140
         *ep*z3-28494953390626700302307526545767/3896480667340800000*
         ep^2-242703114567716/7*ep^2*z5-2349176249152599/280*ep^2*z4+
         4900404046351088197019/244490400*ep^2*z3+399330686281295933432\
         081409379692912038259126235490570999/1703775553090329101948499\
         7877760000000000000*ep^3-600513925164670/7*ep^3*z6-
         365507203515277193/8820*ep^3*z5+4900404046351088197019/
         162993600*ep^3*z4-44059734805710722579516449/6777273888000*
         ep^3*z3-87649707122076/7*ep^3*z3^2;

Fill mncnoptab(6,5,1,4)=
      +mncF321*(4829932800+35317184760*ep+85512939028*ep^2+
         1534491525004/15*ep^3)
      -482965796273595604743541/20331821664000-10693870/21*ep^-3-
         66135898777/10584*ep^-2-1639378828360613/73347120*ep^-1-
         1334450517488/21*z3+142926923271423680371619258497/
         563598096526080000*ep-667225258744/7*ep*z4-3779855148533561/
         3780*ep*z3-20005233729354904043748540791562943/
         15622939235702937600000*ep^2-43155828749352/7*ep^2*z5-
         3779855148533561/2520*ep^2*z4+639870933676211864513/183367800*
         ep^2*z3+578882315853517883803284933531761119660777886328566617\
         20136307/18327323872675357403864600924187210547200000000000*
         ep^3-320332589326420/21*ep^3*z6-69074622204544343/8820*ep^3*z5
         +639870933676211864513/122245200*ep^3*z4-
         8891230355502564261066529/10165910832000*ep^3*z3-
         46719870927752/21*ep^3*z3^2;

Fill mncnoptab(6,5,2,3)=
      +mncF321*(16904764800+123084617040*ep+295531293728*ep^2+
         5239647600776/15*ep^3)
      -11911296564672835268101/145227297600-51976628/3*ep^-3-
         139165739141/945*ep^-2-2973673924050101/13097700*ep^-1-
         666238840960/3*z3+17978841917884047759176584529/
         20128503447360000*ep-333119420480*ep*z4-3298297585108321/945*
         ep*z3-5034141992095334441185728485535781/
         1115924231121638400000*ep^2-21574372440720*ep^2*z5-
         3298297585108321/630*ep^2*z4+40355612258053607894/3274425*ep^2
         *z3+2505865175216509169324078677596693000223696884781866604604\
         527/184704700152938850127131276635799552000000000000*ep^3-
         160142196203000/3*ep^3*z6-8413933751172919/315*ep^3*z5+
         20177806129026803947/1091475*ep^3*z4-36111219321485498039287/
         10373378400*ep^3*z3-23370476274640/3*ep^3*z3^2;

Fill mncnoptab(6,5,3,2)=
      +mncF321*(14489798400+105773176080*ep+255256056264*ep^2+
         1519492148444/5*ep^3)
      -237224697355920650225303/3388636944000-133708300/7*ep^-3-
         283000338959/1764*ep^-2-286908420214783/1222452*ep^-1-
         1331795107808/7*z3+287473690235066023374458140139/
         375732064350720000*ep-1997692661712/7*ep*z4-1886507147879443/
         630*ep*z3-80247002371602477197903345516587/
         20830585647603916800*ep^2-129439073442096/7*ep^2*z5-
         1886507147879443/420*ep^2*z4+80292279463113697516/7640325*ep^2
         *z3+4606074192408767543792409875816733399072122921142212375428\
         861489/407273863837230164530324464981938012160000000000000*
         ep^3-320268195835720/7*ep^3*z6-34154234083749109/1470*ep^3*z5+
         40146139731556848758/2546775*ep^3*z4-4717908510996923439148667/
         1694318472000*ep^3*z3-46748682901712/7*ep^3*z3^2;

Fill mncnoptab(6,5,4,1)=
      +mncF321*(3018708000+22254019920*ep+54744465160*ep^2+
         1004600361208/15*ep^3)
      -120786991727924701796977/8132728665600-8222995/21*ep^-3-
         69552270997/10584*ep^-2-45086280613619533/1466942400*ep^-1-
         834057260168/21*z3+111159119015705764833059634839/
         704497620657600000*ep-417028630084/7*ep*z4-2371238253739517/
         3780*ep*z3-4939445189525268531805286918758309/
         6249175694281175040000*ep^2-26972418747252/7*ep^2*z5-
         2371238253739517/2520*ep^2*z4+1572713927712013276829/733471200
         *ep^2*z3+72736402035285248418280500316113081063342755801967317\
         6042098702277/299346289920364170929788481761724438937600000000\
         000000*ep^3-200207997453970/21*ep^3*z6-45202403124660491/8820*
         ep^3*z5+1572713927712013276829/488980800*ep^3*z4-
         8358490147394729971550759/20331821664000*ep^3*z3-
         29199172765796/21*ep^3*z3^2;

Fill mncnoptab(6,6,2,2)=
      +mncF321*(2028571776+15223070016*ep+967914013704/25*ep^2+
         247564828512/5*ep^3)
      -117394119363567066159589/12102274800000-106014392/25*ep^-3-
         1096978961399/31500*ep^-2-1446375850639603/31185000*ep^-1-
         664904292448/25*z3+3212366084043815267359998521/
         30497732496000000*ep-997356438672/25*ep*z4-7638837539929/18*ep
         *z3-962190710646899501130900969537383/1859873718536064000000*
         ep^2-64709449681536/25*ep^2*z5-7638837539929/12*ep^2*z4+
         13756204251854565253/9922500*ep^2*z3+8418285147361122987177600\
         2898765239575386290659613638818031/124320471256785764508646051\
         581788160000000000000*ep^3-32022272694544/5*ep^3*z6-
         793629149655887/210*ep^3*z5+13756204251854565253/6615000*ep^3*
         z4-4090254345519401922169/50009400000*ep^3*z3-23386320381952/
         25*ep^3*z3^2;

Fill mncnoptab(6,6,3,1)=
      +mncF321*(869387904+6545186208*ep+418695590016/25*ep^2+
         540028998016/25*ep^3)
      -120981746711120189394979/28238641200000-13486176/175*ep^-3-
         178382269469/73500*ep^-2-7696635557294941/509355000*ep^-1-
         2002277242944/175*z3+35094508475432039523415761181/
         782775134064000000*ep-3003415864416/175*ep*z4-191580704706919/
         1050*ep*z3-956127108080672936489131395742283/
         4339705343250816000000*ep^2-194205710495808/175*ep^2*z5-
         191580704706919/700*ep^2*z4+150175906833170733833/254677500*
         ep^2*z3+152534981632288193570283028351631866087144896031900261\
         2225584219/3054553978779226233977433487364535091200000000000000
         *ep^3-96101716626432/35*ep^3*z6-4041529818251637/2450*ep^3*z5+
         150175906833170733833/169785000*ep^3*z4-
         242459606102003645651479/14119320600000*ep^3*z3-70068868030656/
         175*ep^3*z3^2;

Fill mncnoptab(7,1,1,7)=
      +mncF321*(788889024+28799566334/5*ep+3122606000224/225*ep^2+
         6140720191136/375*ep^3)
      -4652654431986951623868637/1198125205200000+150011/10*ep^-3+
         144190599943/1386000*ep^-2-77828800430273/7203735000*ep^-1-
         2335809953492/225*z3+687904806849221278828084865209/
         16606015344072000000*ep-1167904976746/75*ep*z4-
         18181002494503567/111375*ep*z3-8037535451742070662225136939347\
         871/38359895444806320000000*ep^2-226572114841994/225*ep^2*z5-
         18181002494503567/74250*ep^2*z4+6180757931125706827817/
         10805602500*ep^2*z3+180768450670173130055400736928927200755442\
         9163429/2675973422214886045211688960000000000*ep^3-
         37372717481417/15*ep^3*z6-3955790477731366927/3118500*ep^3*z5+
         6180757931125706827817/7203735000*ep^3*z4-
         86048337079581294121803431/599062602600000*ep^3*z3-
         81752910015862/225*ep^3*z3^2;

Fill mncnoptab(7,2,1,6)=
      +mncF321*(4057143552+146800618272/5*ep+1739172334368/25*ep^2+
         10044474373536/125*ep^3)
      -110725030734350270930231/5546875950000+35504/5*ep^-3-4307655596/
         86625*ep^-2-274676299979533/400207500*ep^-1-1334762343424/25*
         z3+5273011662762383091736488815921/24601504213440000000*ep-
         2002143515136/25*ep*z4-72424123009852708/86625*ep*z3-186159993\
         589091195038852274209969907/170488424199139200000000*ep^2-
         129470677301568/25*ep^2*z5-36212061504926354/28875*ep^2*z4+
         599226053587292377709/200103750*ep^2*z3+4293107881154807171308\
         934908267378733815498366908893/1123908837330252138988909363200\
         000000000*ep^3-64067957479072/5*ep^3*z6-178703515167444172/
         28875*ep^3*z5+599226053587292377709/133402500*ep^3*z4-
         1318747076518989294795679/1386718987500*ep^3*z3-46715942736064/
         25*ep^3*z3^2;

Fill mncnoptab(7,2,2,5)=
      +mncF321*(17387758080+125260952256*ep+1471246410624/5*ep^2+
         8403720303868/25*ep^3)
      -221446731256658664623057/2588542110000-1149504/7*ep^-3-
         154788778262/40425*ep^-2-11830792939856903/560290500*ep^-1-
         8008560192384/35*z3+507865479833038839441962124121/
         551073694381056000*ep-12012840288576/35*ep*z4-6883042348897196/
         1925*ep*z3-899450539099303858888447555076739037/
         190947035103035904000000*ep^2-776822598415488/35*ep^2*z5-
         10324563523345794/1925*ep^2*z4+1209154867609626126743/93381750
         *ep^2*z3+66594987225758681002044456052296942775991801505361427/
         4046071814388907700360073707520000000000*ep^3-384407019111552/
         7*ep^3*z6-1042874546209078532/40425*ep^3*z5+
         1209154867609626126743/62254500*ep^3*z4-
         17623081249770924561894283/3882813165000*ep^3*z3-
         280294226903424/35*ep^3*z3^2;

Fill mncnoptab(7,3,1,5)=
      +mncF321*(6339286800+45920952000*ep+109083097266*ep^2+
         633545561792/5*ep^3)
      -5756027132915628345479/184415616000+251185*ep^-3+9164407807/
         10080*ep^-2-36856958036027/5821200*ep^-1-83430146932*z3+
         3992438454391670279117473813/11928002042880000*ep-125145220398
         *ep*z4-6587229249242861/5040*ep*z3-241440689309716372925363559\
         808027/141704664269414400000*ep^2-8091978750504*ep^2*z5-
         6587229249242861/3360*ep^2*z4+603982026037199819/129360*ep^2*
         z3+235888080481802760204971948416385979264049323242983/
         44506789958277984703960810782720000000*ep^3-20021371508930*
         ep^3*z6-16344411269176729/1680*ep^3*z5+603982026037199819/
         86240*ep^3*z4-314627647243983598413583/215151552000*ep^3*z3-
         2919639993160*ep^3*z3^2;

Fill mncnoptab(7,3,2,4)=
      +mncF321*(21734697600+157224505680*ep+372500317728*ep^2+
         2156345846792/5*ep^3)
      -16419931695448190377561/154028952000-36701060/7*ep^-3-
         100515791042/2205*ep^-2-53160304989493/694575*ep^-1-
         2001280862944/7*z3+2454492821915970555460810877/
         2134841274720000*ep-3001921294416/7*ep*z4-1410278338383553/315
         *ep*z3-692842329260602275752573932953133/118355600270476800000
         *ep^2-194196846212688/7*ep^2*z5-1410278338383553/210*ep^2*z4+
         245303180336838331387/15280650*ep^2*z3+95030714891510795636036\
         4547079770265369798930455909921/486793015168665457699571367936\
         00000000000*ep^3-480488913374360/7*ep^3*z6-24302590051170829/
         735*ep^3*z5+245303180336838331387/10187100*ep^3*z4-
         4406857510235069247185567/847159236000*ep^3*z3-70083693971632/
         7*ep^3*z3^2;

Fill mncnoptab(7,3,3,3)=
      +mncF321*(20376279000+148354012620*ep+356048995896*ep^2+
         420087433992*ep^3)
      -2961408571160046848723/29872281600-464205687/28*ep^-3-
         660119943809/4704*ep^-2-2525123826001697/11854080*ep^-1-
         1874507126250/7*z3+80974388532496205780184871/75278149632000*
         ep-2811760689375/7*ep*z4-7069065700114093/1680*ep*z3-
         5157612775119484146817048264819/948504685363200000*ep^2-
         182041146281115/7*ep^2*z5-7069065700114093/1120*ep^2*z4+
         88058612548412277241/5927040*ep^2*z3+2043338425355092322474489\
         2431974277619444221255730120433/113585036872688606796566652518\
         4000000000000*ep^3-900833195774325/14*ep^3*z6-
         126209568797234659/3920*ep^3*z5+88058612548412277241/3951360*
         ep^3*z4-311443257055384999914877/74680704000*ep^3*z3-
         65721267857685/7*ep^3*z3^2;

Fill mncnoptab(7,4,1,4)=
      +mncF321*(3756614400+27543288080*ep+201048009712/3*ep^2+
         10883317973288/135*ep^3)
      -241549490941109288146543/13070456784000-1530100/9*ep^-3-
         15807256303/6804*ep^-2-10772590160975/1178793*ep^-1-
         444872043616/9*z3+71298781643417951722023203221/
         362313062052480000*ep-222436021808/3*ep*z4-13247155305371861/
         17010*ep*z3-9963091457041425100494884172095749/
         10043318080094745600000*ep^2-43156393643792/9*ep^2*z5-
         13247155305371861/11340*ep^2*z4+79539738714687817736/29469825*
         ep^2*z3+211704036998343964223430760709351101538473949494247770\
         71719/6818200845489344272271056891438694400000000000*ep^3-
         106778804000440/9*ep^3*z6-35079092275581349/5670*ep^3*z5+
         39769869357343908868/9823275*ep^3*z4-577614740881669273677061/
         933604056000*ep^3*z3-1730289880176*ep^3*z3^2;

Fill mncnoptab(7,4,2,3)=
      +mncF321*(9659865600+70880135040*ep+172716688936*ep^2+
         1041025807552/5*ep^3)
      -13295941277889982774039/282386412000-143526064/21*ep^-3-
         132314165351/2205*ep^-2-534665052046271/5093550*ep^-1-
         2666448977984/21*z3+11910430987801796532450343321/
         23483254021920000*ep-1333224488992/7*ep*z4-90097844171966/45*
         ep*z3-331739746386606881043966930023231/130191160297524480000*
         ep^2-86302688379776/7*ep^2*z5-45048922085983/15*ep^2*z4+
         385124080898614877/55566*ep^2*z3+12981732427556454928716987739\
         7901851934454234017029879916619967/152727698938961311698871674\
         36822675456000000000000*ep^3-640604040403360/21*ep^3*z6-
         35205496922977858/2205*ep^3*z5+385124080898614877/37044*ep^3*
         z4-60033888431336001915743/38507238000*ep^3*z3-93464851458176/
         21*ep^3*z3^2;

Fill mncnoptab(7,4,3,2)=
      +mncF321*(6037416000+44658670320*ep+110534184640*ep^2+
         681087842856/5*ep^3)
      -1575449324588825997845/54218191104-202422550/21*ep^-3-
         47269646665/588*ep^-2-27896518698792413/244490400*ep^-1-
         1663890393968/21*z3+6600537763409533993423010767/
         20874003575040000*ep-831945196984/7*ep*z4-790705267076657/630*
         ep*z3-2732130154778268639052915433760671/
         1735882137300326400000*ep^2-53930016058952/7*ep^2*z5-
         790705267076657/420*ep^2*z4+57851084798014053061/13582800*ep^2
         *z3+2424687708469787547542675975473668793397938060239784414874\
         619479/475152841143435191952045209145594347520000000000000*
         ep^3-400315394457220/21*ep^3*z6-45979743922688033/4410*ep^3*z5
         +57851084798014053061/9055200*ep^3*z4-89911218600721589814977/
         125505072000*ep^3*z3-58445861679656/21*ep^3*z3^2;

Fill mncnoptab(7,4,4,1)=
      +mncF321*(894432000+20185810480/3*ep+154757564720/9*ep^2+
         2990318046656/135*ep^3)
      -241043998574385012649327/54895918492800-198732160/567*ep^-3-
         321160772497/71442*ep^-2-165891995566840937/9901861200*ep^-1-
         6669627428288/567*z3+351367175461774585621910235457/
         7608574303102080000*ep-3334813714144/189*ep*z4-
         4786371583016438/25515*ep*z3-478668443176788365929659694943699\
         39/210909679681989657600000*ep^2-215769137853632/189*ep^2*z5-
         2393185791508219/8505*ep^2*z4+3008735293187711052781/
         4950930600*ep^2*z3+2508455976539982842628360748636589128458803\
         903811302073379/3339400084057045039819059584040960000000000000
         *ep^3-1601594465331520/567*ep^3*z6-33538596429843808/19845*
         ep^3*z5+3008735293187711052781/3300620400*ep^3*z4-
         3065116179071293561151381/137239796232000*ep^3*z3-
         233623654083776/567*ep^3*z3^2;

Fill mncnoptab(7,5,1,3)=
      +mncF321*(845238240+6363756630*ep+81412237742/5*ep^2+314800686661/
         15*ep^3)
      -242274133328935143741113/58090919040000+1412939/30*ep^-3-
         138729129733/151200*ep^-2-185688110225347/18711000*ep^-1-
         166892688292/15*z3+70096234874453382434960932307/
         1610280275788800000*ep-83446344146/5*ep*z4-383237482422977/
         2160*ep*z3-1912450646450773516645351272311059/
         8927393848973107200000*ep^2-5394733825998/5*ep^2*z5-
         383237482422977/1440*ep^2*z4+9383630699722136453/16372125*ep^2
         *z3+1274506279653963794330673942499392073436344536676154912478\
         547/2909099027408786889502317607013842944000000000000*ep^3-
         8008654394851/3*ep^3*z6-8087151929972231/5040*ep^3*z5+
         9383630699722136453/10914750*ep^3*z4-456194499664818412289333/
         29045459520000*ep^3*z3-5838700946518/15*ep^3*z3^2;

Fill mncnoptab(7,5,2,2)=
      +mncF321*(1448979840+10932427440*ep+140408478672/5*ep^2+
         36385050936*ep^3)
      -29362334408352906007081/4235796180000-104507612/35*ep^-3-
         543306219007/22050*ep^-2-5119400234241173/152806500*ep^-1-
         664935924928/35*z3+8799623623411179568727292649/
         117416270109600000*ep-997403887392/35*ep*z4-95730564945164/315
         *ep*z3-477060262836137054845554072867367/
         1301911602975244800000*ep^2-64709796284496/35*ep^2*z5-
         47865282472582/105*ep^2*z4+3396941941687231747/3472875*ep^2*z3
         +1687576015098280958407116338492797707980411894368503658564086\
         089/1832732387267535740386460092418721054720000000000000*ep^3-
         32022430179784/7*ep^3*z6-2039280737795762/735*ep^3*z5+
         3396941941687231747/2315250*ep^3*z4-2934669539079970134671/
         192536190000*ep^3*z3-23385987338032/35*ep^3*z3^2;

Fill mncnoptab(7,5,3,1)=
      +mncF321*(452806200+3447142380*ep+9003393762*ep^2+179031870232/15
         *ep^3)
      -120829542021312922959661/54218191104000-3300715/28*ep^-3-
         164714312461/70560*ep^-2-948579702219029/78236928*ep^-1-
         41707610582/7*z3+11628787260947181004805096473/
         500976085800960000*ep-62561415873/7*ep*z4-68769981322447/720*
         ep*z3-938989610656398234466560881093629/8332234259041566720000
         *ep^2-4045861517379/7*ep^2*z5-68769981322447/480*ep^2*z4+
         58538073166346195657/195592320*ep^2*z3+61453730451212156829333\
         8703282162444297611393223979903589492258977/188588162649829427\
         6857667435098863965306880000000000000*ep^3-20020769533985/14*
         ep^3*z6-10674558004065167/11760*ep^3*z5+58538073166346195657/
         130394880*ep^3*z4+497470649759514710264033/27109095552000*ep^3
         *z3-1459794722045/7*ep^3*z3^2;

Fill mncnoptab(7,6,1,2)=
      +mncF321*(61471872+486519264*ep+34005509488/25*ep^2+147384887504/
         75*ep^3)
      -10745673996637105960289/36306824400000-8578672/75*ep^-3-
         103566799879/94500*ep^-2-2215494557377427/900466875*ep^-1-
         60471291968/75*z3+34049902368712890821858909041/
         11070676896048000000*ep-30235645984/25*ep*z4-1371183118200073/
         103950*ep*z3-880330299927083791958246202805907/
         61375832711690112000000*ep^2-1960981435392/25*ep^2*z5-
         1371183118200073/69300*ep^2*z4+66238753473782457679/1800933750
         *ep^2*z3+36794657187409697139464937600390303279751108560132918\
         38581/129870492295035128995639178884546560000000000000*ep^3-
         2911236507104/15*ep^3*z6-726145275636571/4950*ep^3*z5+
         66238753473782457679/1200622500*ep^3*z4+
         3045087748978490308117121/199687534200000*ep^3*z3-
         2125734540032/75*ep^3*z3^2;

Fill mncnoptab(7,6,2,1)=
      +mncF321*(52690176+418166496*ep+29369393304/25*ep^2+25621386628/
         15*ep^3)
      -5345505872725934915737/21178980900000-21563944/175*ep^-3-
         63327824642/55125*ep^-2-41578173667404167/16808715000*ep^-1-
         120864739136/175*z3+2837550290603784554189334443/
         1076315809338000000*ep-181297108704/175*ep*z4-39216748955462/
         3465*ep*z3-175171042126231650408807863383739/
         14321027632727692800000*ep^2-11764975726752/175*ep^2*z5-
         19608374477731/1155*ep^2*z4+262948119592984314691/8404357500*
         ep^2*z3+299141118775319420106917346650214728044137532966885052\
         764268753/10996394323605214442318760554512326328320000000000000
         *ep^3-5822055493808/35*ep^3*z6-1028133219998998/8085*ep^3*z5+
         262948119592984314691/5602905000*ep^3*z4+
         1605222957858999787287913/116484394950000*ep^3*z3-
         4252163303264/175*ep^3*z3^2;

Fill mncnoptab(7,7,1,1)=
      +mncF321*(853776+7529676*ep+5610364586/225*ep^2+131506414/3*ep^3)
      -10506784114134633748349/2614091356800000-4884659/675*ep^-3-
         344476750759/6804000*ep^-2-51941769642618571/518668920000*
         ep^-1-7593498796/675*z3+4553002230983319697673388823/
         113869819502208000000*ep-3796749398/225*ep*z4-290190334693673/
         1496880*ep*z3-701809861635121657636921498031609/
         4419059955241688064000000*ep^2-81699930208/75*ep^2*z5-
         290190334693673/997920*ep^2*z4+1827265671717097817/5292540000*
         ep^2*z3+677232339059249995359811702247670547880354959724894017\
         700843/2072423323841167084684337911955895496998912000000000*
         ep^3-363852936538/135*ep^3*z6-1508686178708789/498960*ep^3*z5+
         1827265671717097817/3528360000*ep^3*z4+
         9945145375212901529955101/14377502462400000*ep^3*z3-
         264385214704/675*ep^3*z3^2;

Fill mncnoptab(8,1,1,6)=
      +mncF321*(496793088+128037526056/35*ep+1567864432324/175*ep^2+
         28377228182524/2625*ep^3)
      -3983950639075561831095371/1630781529300000-7094506/245*ep^-3-
         251565051781/1886500*ep^-2+52914597687361667/117661005000*
         ep^-1-8006818564944/1225*z3+195378896411411388404689518191/
         7534210665366000000*ep-12010227847416/1225*ep*z4-
         62577864004410844/606375*ep*z3-2612407593907539995956333640874\
         22501/2004943868581876992000000*ep^2-776802266047208/1225*ep^2
         *z5-31288932002205422/202125*ep^2*z4+5204626598420186467111/
         14707625625*ep^2*z3+535908007456443485461198281037189776946286\
         2321354343/11801042791967647459383548313600000000000*ep^3-
         384397723741132/245*ep^3*z6-3558252085517415091/4244625*ep^3*
         z5+5204626598420186467111/9805083750*ep^3*z4-
         18132447960439722233780341/271796921550000*ep^3*z3-
         280318628437784/1225*ep^3*z3^2;

Fill mncnoptab(8,2,1,5)=
      +mncF321*(1552478400+79962521760/7*ep+195668291688/7*ep^2+
         1181589000328/35*ep^3)
      -1328899294978063720611089/173950029792000+355500/49*ep^-3+
         5357620033/90552*ep^-2-47900746121561/627525360*ep^-1-
         1001082633456/49*z3+130329332148865442642562219761/
         1607298275278080000*ep-1501623950184/49*ep*z4-3475536795576563/
         10780*ep*z3-435964724376646489755909440284909301/
         1069303396577001062400000*ep^2-97103143061472/49*ep^2*z5-
         10426610386729689/21560*ep^2*z4+1737380384984388433777/
         1568813400*ep^2*z3+2697374016286972201868212441051277410112419\
         12899191023/207698353138630595285150450319360000000000*ep^3-
         240255151070040/49*ep^3*z6-590580651545255321/226380*ep^3*z5+
         1737380384984388433777/1045875600*ep^3*z4-
         2110417064266095399567349/9663890544000*ep^3*z3-35036814244704/
         49*ep^3*z3^2;

Fill mncnoptab(8,2,2,4)=
      +mncF321*(3881196000+200531833920/7*ep+70544566272*ep^2+
         3011591494712/35*ep^3)
      -442238894876956321137613/23193337305600-23495757/49*ep^-3-
         344614466605/90552*ep^-2-55474775551093819/12550507200*ep^-1-
         2502011205432/49*z3+1951486656111401934739045677557/
         9643789651668480000*ep-3753016808148/49*ep*z4-8700389301343703/
         10780*ep*z3-271237470610472521875231768384529831/
         267325849144250265600000*ep^2-242750655020004/49*ep^2*z5-
         26101167904031109/21560*ep^2*z4+5752504197908361861329/
         2091751200*ep^2*z3+1700181087370930946658980964618079467179056\
         26705885287/48679301516866545769957136793600000000000*ep^3-
         600621609536430/49*ep^3*z6-1502031167680501081/226380*ep^3*z5+
         5752504197908361861329/1394500800*ep^3*z4-
         84210815050424394490737529/173950029792000*ep^3*z3-
         87600725589084/49*ep^3*z3^2;

Fill mncnoptab(8,3,1,4)=
      +mncF321*(1379980800+71791845840/7*ep+179153927040/7*ep^2+
         3340649417584/105*ep^3)
      -482781888747052774302491/71161375824000-5292540/49*ep^-3-
         146377866403/185220*ep^-2-694049820743999/1283574600*ep^-1-
         889651450336/49*z3+141209959196003580068564494901/
         1972593337841280000*ep-1334477175504/49*ep*z4-761779311354347/
         2646*ep*z3-19523988272645333761896540590920673/
         54680287324960281600000*ep^2-86311887037552/49*ep^2*z5-
         761779311354347/1764*ep^2*z4+618220335105427567861/641787300*
         ep^2*z3+239095137644921855078306269098439580318541815708579042\
         199989/190909623673701639623589592960283443200000000000*ep^3-
         213555588968040/49*ep^3*z6-15119367122325157/6174*ep^3*z5+
         618220335105427567861/427858200*ep^3*z4-
         859062146495933862803683/7116137582400*ep^3*z3-31146541129616/
         49*ep^3*z3^2;

Fill mncnoptab(8,3,2,3)=
      +mncF321*(2587464000+135403036560/7*ep+341709253248/7*ep^2+
         431569974264/7*ep^3)
      -40061987760428738902169/3162727814400-52444414/49*ep^-3-
         40430269091/4116*ep^-2-2312906895816133/114095520*ep^-1-
         1667370037520/49*z3+3914381537962621281919884109/
         29223605005056000*ep-2501055056280/49*ep*z4-37880009885173/70*
         ep*z3-895632647671582160926886507325721/1350130551233587200000
         *ep^2-161826416905560/49*ep^2*z5-113640029655519/140*ep^2*z4+
         33907317539945053543/19015920*ep^2*z3+209412367488697762469704\
         4602433171349686358699873303867150656069/931299568641132976226\
         008609925364921139200000000000*ep^3-400397617170100/49*ep^3*z6
         -48718448365576937/10290*ep^3*z5+33907317539945053543/12677280
         *ep^3*z4-383011052776268734701589/2635606512000*ep^3*z3-
         58406152387880/49*ep^3*z3^2;

Fill mncnoptab(8,3,3,2)=
      +mncF321*(1149984000+61072746240/7*ep+158446052952/7*ep^2+
         623695960736/21*ep^3)
      -368383252763800260688/66713789835-905902624/441*ep^-3-
         479271247160/27783*ep^-2-4851718802856071/192536190*ep^-1-
         6653036165600/441*z3+875905843683071825352446587/
         14794450033809600*ep-3326518082800/147*ep*z4-685750737254456/
         2835*ep*z3-5910693391345648884368102952712507/
         20505107746860105600000*ep^2-215711592974240/147*ep^2*z5-
         342875368627228/945*ep^2*z4+147550477453215255191/192536190*
         ep^2*z3+743887912185535710494061665899911345085011427793427340\
         193/779193352946643842624447236276224000000000000*ep^3-
         1601204356892800/441*ep^3*z6-34945766712285032/15435*ep^3*z5+
         147550477453215255191/128357460*ep^3*z4+
         160215169421666661584137/6671378983500*ep^3*z3-233814472775840/
         441*ep^3*z3^2;

Fill mncnoptab(8,4,1,3)=
      +mncF321*(413994240+22063052880/7*ep+287994056944/35*ep^2+
         228521284616/21*ep^3)
      -726758529993652372556029/355806879120000+23476508/735*ep^-3-
         102641685449/926100*ep^-2-17940467900839801/6417873000*ep^-1-
         4005345959648/735*z3+208384522684403624363361544531/
         9862966689206400000*ep-2002672979824/245*ep*z4-
         1155873243276901/13230*ep*z3-5637931199734241995619561373716027
       /54680287324960281600000*ep^2-129473712585712/245*ep^2*z5-
         1155873243276901/8820*ep^2*z4+877556860272384259643/3208936500
         *ep^2*z3+51959744793988224763172636003987741318390371995799263\
         62158331/24436431830233809871819467898916280729600000000000*
         ep^3-192207895898744/147*ep^3*z6-8546588067150241/10290*ep^3*
         z5+877556860272384259643/2139291000*ep^3*z4+
         3193163021372619056012231/177903439560000*ep^3*z3-
         140131661383472/735*ep^3*z3^2;

Fill mncnoptab(8,4,2,2)=
      +mncF321*(517492800+27791192880/7*ep+73579412016/7*ep^2+
         495864947624/35*ep^3)
      -117571016442846559209179/47440917216000-50739678/49*ep^-3-
         106424821381/12348*ep^-2-4152068383403579/342286560*ep^-1-
         332486507760/49*z3+34769175077818171419601162997/
         1315062225227520000*ep-498729761640/49*ep*z4-482474584512923/
         4410*ep*z3-928979166900945652426606162446979/
         7290704976661370880000*ep^2-32355144765240/49*ep^2*z5-
         482474584512923/2940*ep^2*z4+26115777877782492373/77792400*
         ep^2*z3+174800579705413761143284775418166842741293641756109958\
         971525390689/4400390461829353312667890681897349252382720000000\
         00000*ep^3-80056645643700/49*ep^3*z6-11060047857793489/10290*
         ep^3*z5+26115777877782492373/51861600*ep^3*z4+
         90134969936983208341109/2156405328000*ep^3*z3-11692905200328/
         49*ep^3*z3^2;

Fill mncnoptab(8,4,3,1)=
      +mncF321*(114998400+6275224560/7*ep+17100505488/7*ep^2+
         359392320824/105*ep^3)
      -30059596631524869782393/53371031868000-38925172/441*ep^-3-
         162966783787/138915*ep^-2-3538758609730373/770144760*ep^-1-
         666846079328/441*z3+1540677276220264674712058868091/
         265116544605868032000*ep-333423039664/147*ep*z4-
         486651524223317/19845*ep*z3-2527472558340643439488749266903082\
         01/9186288270593327308800000*ep^2-21576145194032/147*ep^2*z5-
         486651524223317/13230*ep^2*z4+137961252249658883363/1925361900
         *ep^2*z3+15334206990953069413880648064699560097827378111745611\
         459035856803/1711262957378081843815290820737858042593280000000\
         00000*ep^3-160153973756920/441*ep^3*z6-3969935072415287/15435*
         ep^3*z5+137961252249658883363/1283574600*ep^3*z4+
         25614932632034366196977/1334275796700*ep^3*z3-23361249886832/
         441*ep^3*z3^2;

Fill mncnoptab(8,5,1,2)=
      +mncF321*(37635840+2102724360/7*ep+29820764004/35*ep^2+
         43870925884/35*ep^3)
      -43122977391379753691141/237204586080000-14513054/245*ep^-3-
         353286039181/617400*ep^-2-60480754570034539/47064402000*ep^-1-
         120975982576/245*z3+19295139733433476403343213367/
         10332631769644800000*ep-181463973864/245*ep*z4-786889157444839/
         97020*ep*z3-3470952889773676175249542910364689/
         400988773716375398400000*ep^2-11766313096632/245*ep^2*z5-
         786889157444839/64680*ep^2*z4+517296456096107728367/
         23532201000*ep^2*z3+754326493438499301800075950707176660472881\
         90612035988022501011/25658253421745500365410441293862094766080\
         00000000000*ep^3-5822668557028/49*ep^3*z6-21064333469939017/
         226380*ep^3*z5+517296456096107728367/15688134000*ep^3*z4+
         14355087938207793998265509/1304625223440000*ep^3*z3-
         4251287391304/245*ep^3*z3^2;

Fill mncnoptab(8,5,2,1)=
      +mncF321*(23522400+1325522880/7*ep+3815878008/7*ep^2+28620716464/
         35*ep^3)
      -2125856187443324199679/18976366886400-3355537/49*ep^-3-
         78363217763/123480*ep^-2-10376605899092869/7530304320*ep^-1-
         15098625704/49*z3+1891524702738845395022157018503/
         1620156661480304640000*ep-22647938556/49*ep*z4-493448390431201/
         97020*ep*z3-478043265967918620937430635740296059/
         89821485312468089241600000*ep^2-1470505057668/49*ep^2*z5-
         493448390431201/64680*ep^2*z4+252320380178045749849/
         18825760800*ep^2*z3+869970657445343802529707176725963342407413\
         36435209481575262189353/61605466465610946377350469546562889533\
         35808000000000000*ep^3-3638516079910/49*ep^3*z6-
         13620655519509103/226380*ep^3*z5+252320380178045749849/
         12550507200*ep^3*z4+4098180547559434176666461/521850089376000*
         ep^3*z3-531585409532/49*ep^3*z3^2;

Fill mncnoptab(8,6,1,1)=
      +mncF321*(627264+38933136/7*ep+3250529192/175*ep^2+17327722256/
         525*ep^3)
      -10498384958903440319489/3558068791200000-19624436/3675*ep^-3-
         347581121779/9261000*ep^-2-26363417420778983/352983015000*
         ep^-1-30374681584/3675*z3+31718259701386703942086355881/
         1084926335812704000000*ep-15187340792/1225*ep*z4-
         207848617031599/1455300*ep*z3-138687584371178894120925180073993
       /1202966321149126195200000*ep^2-980413920096/1225*ep^2*z5-
         207848617031599/970200*ep^2*z4+43589313725437331479/
         176491507500*ep^2*z3+72734545255641301282415590174832552927779\
         4199412692264294388523/104450135521594821068090630762577133048\
         7451648000000000*ep^3-1455433539352/735*ep^3*z6-
         7672873839143077/3395700*ep^3*z5+43589313725437331479/
         117661005000*ep^3*z4+10215519457401052257764321/
         19569378351600000*ep^3*z3-1057540515616/3675*ep^3*z3^2;

Fill mncnoptab(9,1,1,5)=
      +mncF321*(121287375+12840491565/14*ep+16523986204/7*ep^2+
         639488816627/210*ep^3)
      -362704456202123709465157/607243740364800+7324361/1568*ep^-3+
         2792771021/87808*ep^-2-210735282046649/109531699200*ep^-1-
         78207996042/49*z3+174311924814086632673026037149/
         28054660804853760000*ep-117311994063/49*ep*z4-7201037552037919/
         282240*ep*z3-6475787685112687882699059678101831/
         212093235684694425600000*ep^2-60688639932217/392*ep^2*z5-
         7201037552037919/188160*ep^2*z4+405517301642237020507/
         4978713600*ep^2*z3+1943664946113097600441604473533851649723548\
         48348531/2129719441362911377435624734720000000000*ep^3-
         300314879819405/784*ep^3*z6-465053405934062371/1975680*ep^3*z5
         +405517301642237020507/3319142400*ep^3*z4+
         77019631248750049452037/46003313664000*ep^3*z3-21898014273487/
         392*ep^3*z3^2;

Fill mncnoptab(9,2,1,4)=
      +mncF321*(215622000+11507189760/7*ep+30082090932/7*ep^2+
         595645676008/105*ep^3)
      -1328394415510556847414421/1252440214502400+8933/98*ep^-3-
         58376084455/1629936*ep^-2-51236282185244041/225909129600*ep^-1
         -139039484816/49*z3+1906409434364741409142744063343/
         173588213730032640000*ep-208559227224/49*ep*z4-
         26504897579578871/582120*ep*z3-2579166936494499926781657718609\
         19909/4811865284596504780800000*ep^2-13486567011802/49*ep^2*z5
         -26504897579578871/388080*ep^2*z4+16039803074649762249353/
         112954564800*ep^2*z3+20594054641115414143676835732541100151091\
         777098612103319331847/1105278608936729246509988240350982543769\
         60000000000*ep^3-33368818817465/49*ep^3*z6-591527459431738513/
         1358280*ep^3*z5+16039803074649762249353/75303043200*ep^3*z4+
         37346398635484310632815829/3131100536256000*ep^3*z3-
         4866224731062/49*ep^3*z3^2;

Fill mncnoptab(9,2,2,3)=
      +mncF321*(287496000+15524402520/7*ep+5924704992*ep^2+846202553506/
         105*ep^3)
      -664109513936455260577637/469665080438400-11083318/441*ep^-3-
         213423167039/611226*ep^-2-15618140518226969/10589490450*ep^-1-
         1668372457568/441*z3+472939738705586093382763282663/
         32547790074381120000*ep-834186228784/147*ep*z4-
         26652227072952839/436590*ep*z3-6324395064247875361451739885730\
         6769/902224740861844646400000*ep^2-53945542385432/147*ep^2*z5-
         26652227072952839/291060*ep^2*z4+3895235964576214531723/
         21178980900*ep^2*z3+234384678215468522913608377795657573105308\
         5246839403849/9894518767576429747612028397158400000000000*ep^3
         -400420636746820/441*ep^3*z6-208395126934167989/339570*ep^3*z5
         +3895235964576214531723/14119320600*ep^3*z4+
         39435225809112558338454083/1174162701096000*ep^3*z3-
         58394316613496/441*ep^3*z3^2;

Fill mncnoptab(9,3,1,3)=
      +mncF321*(97029900+5292605340/7*ep+14397466677/7*ep^2+
         100317599623/35*ep^3)
      -363685353937621177493173/759054675456000+6479297/392*ep^-3+
         65688650681/987840*ep^-2-11137900555741493/27382924800*ep^-1-
         62594781436/49*z3+102334821265470209591654003083/
         21040995603640320000*ep-93892172154/49*ep*z4-208732801007869/
         10080*ep*z3-13568602348864854141668030585025001/
         583256398132909670400000*ep^2-12138360109689/98*ep^2*z5-
         208732801007869/6720*ep^2*z4+165602543423231791889/2738292480*
         ep^2*z3+109412266116999963470019951049631571265261319035197206\
         087873909/1862599137282265952452017219850729842278400000000000
         *ep^3-60065852734085/196*ep^3*z6-11901157798100223/54880*ep^3*
         z5+165602543423231791889/1825528320*ep^3*z4+
         6268160704223554964116433/379527337728000*ep^3*z3-
         4378825544687/98*ep^3*z3^2;

Fill mncnoptab(9,3,2,2)=
      +mncF321*(86248800+4771823760/7*ep+1901701560*ep^2+95918698144/35
         *ep^3)
      -117889050380028034131671/284645503296000-23217073/147*ep^-3-
         500705584217/370440*ep^-2-21712061548863143/10268596800*ep^-1-
         166284437792/147*z3+870063564688651433884929111577/
         201993557794947072000*ep-83142218896/49*ep*z4-97894276038997/
         5292*ep*z3-12853924927078662223141490039310701/
         636279707054083276800000*ep^2-5392680152948/49*ep^2*z5-
         97894276038997/3528*ep^2*z4+4832609052432864529/93350880*ep^2*
         z3+20657072254030194468777021286477342319888934277776883408512\
         460453/312916655063420680011938892934922613502771200000000000*
         ep^3-40029390052630/147*ep^3*z6-280816873053027/1372*ep^3*z5+
         4832609052432864529/62233920*ep^3*z4+267839813146672873411457/
         12938431968000*ep^3*z3-5846053533188/147*ep^3*z3^2;

Fill mncnoptab(9,3,3,1)=
      +mncF321*(12937320+734549013/7*ep+10713993609/35*ep^2+6546259369/
         14*ep^3)
      -4976636762403715968077/79068195360000-19746991/980*ep^-3-
         49742362513/205800*ep^-2-9777891270707809/11409552000*ep^-1-
         41648770724/245*z3+6442259329101552717222542335229/
         10099677889747353600000*ep-62473156086/245*ep*z4-
         23611492318013/8400*ep*z3-7265338290390179014495746826696816993
       /2519667639934169776128000000*ep^2-4045117469613/245*ep^2*z5-
         23611492318013/5600*ep^2*z4+41092208715486106207/5704776000*
         ep^2*z3+275371715858274558680455394330295650586656459902980495\
         391/29921024753151123556778773873007001600000000000*ep^3-
         4003468698889/98*ep^3*z6-14046997692298909/411600*ep^3*z5+
         41092208715486106207/3803184000*ep^3*z4+
         380400077031433636382671/79068195360000*ep^3*z3-1460187097259/
         245*ep^3*z3^2;

Fill mncnoptab(9,4,1,2)=
      +mncF321*(11761200+670689360/7*ep+281286092*ep^2+45365672704/105*
         ep^3)
      -32469464385079085991463/569291006592000-4291765/294*ep^-3-
         110761423333/740880*ep^-2-3372686180149717/9036365184*ep^-1-
         22695178672/147*z3+6370223507847575599826982489773/
         11109645678722088960000*ep-11347589336/49*ep*z4-
         1490596416550427/582120*ep*z3-16059753532230854535314752220976\
         18481/615918756428352611942400000*ep^2-735441014978/49*ep^2*z5
         -1490596416550427/388080*ep^2*z4+145858870638631564489/
         22590912960*ep^2*z3+251654770745397590101745605630798730517863\
         079566466878178876977/2933593641219568875111927121264899501588\
         4800000000000*ep^3-5459069665655/147*ep^3*z6-14289873248962607/
         452760*ep^3*z5+145858870638631564489/15060608640*ep^3*z4+
         14636731788040735969874569/3131100536256000*ep^3*z3-
         796991008810/147*ep^3*z3^2;

Fill mncnoptab(9,4,2,1)=
      +mncF321*(5227200+302742660/7*ep+912270714/7*ep^2+21739836074/105
         *ep^3)
      -21042237805705422584507/853936509888000-9025540/441*ep^-3-
         206278269557/1111320*ep^-2-26417521031161439/67772738880*ep^-1
         -30156390896/441*z3+33980473025479061569299640215161/
         133315748144665067520000*ep-15078195448/147*ep*z4-
         499838171709389/436590*ep*z3-166078101007296326114636282978712\
         62029/14782050154280462686617600000*ep^2-980177122304/147*ep^2
         *z5-499838171709389/291060*ep^2*z4+18496138574633003987/
         6777273888*ep^2*z3+2569289610315834385444034446119069865051165\
         6447892653985778736807/750999972152209632028653343043814272406\
         6508800000000000*ep^3-7275937440040/441*ep^3*z6-
         2521936760699662/169785*ep^3*z5+18496138574633003987/
         4518182592*ep^3*z4+11517990383657795014015001/4696650804384000
         *ep^3*z3-1063535282240/441*ep^3*z3^2;

Fill mncnoptab(9,5,1,1)=
      +mncF321*(245025+30931065/14*ep+53006438/7*ep^2+2919382541/210*
         ep^3)
      -956273012661088032811/828059645952000-9749155/4704*ep^-3-
         175200830411/11854080*ep^-2-21941371672586263/722909214720*
         ep^-1-474588634/147*z3+17847413774307115508429676433/
         1587092239817441280000*ep-237294317/49*ep*z4-524153757476389/
         9313920*ep*z3-26677671742314461690802301085500157/
         615918756428352611942400000*ep^2-122549028303/392*ep^2*z5-
         524153757476389/6209280*ep^2*z4+31880009930661532511/
         361454607360*ep^2*z3+29557637086019979162912988394666972420714\
         594477297622323/71272926171515278792806781371839152128000000000
         *ep^3-1819251879185/2352*ep^3*z6-20201300552099347/21732480*
         ep^3*z5+31880009930661532511/240969738240*ep^3*z4+
         11038222912901674556102903/50097608580096000*ep^3*z3-
         132192627515/1176*ep^3*z3^2;

Fill mncnoptab(10,1,1,4)=
      +mncF321*(10648000+5323689580/63*ep+44776872718/189*ep^2+
         968412320542/2835*ep^3)
      -2651674333381341641958623/50723828687347200-31877056/11907*ep^-3
         -811862071019/66012408*ep^-2+367450064139236819/9149319748800*
         ep^-1-1666938393776/11907*z3+3695801051997944227433543883893/
         7030322656066321920000*ep-833469196888/3969*ep*z4-
         13507359446239534/5893965*ep*z3-482285469736902654649950222138\
         098779/194880544026158443622400000*ep^2-53939912893424/3969*
         ep^2*z5-6753679723119767/1964655*ep^2*z4+
         28900973476895129387213/4574659874400*ep^2*z3+1730258551337997\
         74624994487052117954790741365006509/21808327079556212504940797\
         283532800000000*ep^3-400382000716240/11907*ep^3*z6-
         236018254960144493/9168390*ep^3*z5+28900973476895129387213/
         3049773249600*ep^3*z4+368759257248251115321683099/
         126809571718368000*ep^3*z3-58414792209392/11907*ep^3*z3^2;

Fill mncnoptab(10,2,1,3)=
      +mncF321*(9583200+542935360/7*ep+1575362584/7*ep^2+107051764472/
         315*ep^3)
      -1330955055178335204063661/28179904826304000+576935/1323*ep^-3+
         190165327769/36673560*ep^-2+1282286731733167/203318216640*
         ep^-1-166877019488/1323*z3+363811451872742441470203924659/
         781146961785146880000*ep-83438509744/441*ep*z4-111364108491271/
         53460*ep*z3-46569730592283796960700685397432609/
         21653393780684271513600000*ep^2-5394749635412/441*ep^2*z5-
         111364108491271/35640*ep^2*z4+545246494469859466993/
         101659108320*ep^2*z3+22892740772589576793840249402297505708641\
         2968033149907188609/383163251098066138790129256655007281840128\
         00000000*ep^3-40043429716870/1323*ep^3*z6-51145647468536339/
         2037420*ep^3*z5+545246494469859466993/67772738880*ep^3*z4+
         50032211925054103169521673/14089952413152000*ep^3*z3-
         5839076339300/1323*ep^3*z3^2;

Fill mncnoptab(10,2,2,2)=
      +mncF321*(5749920+333373128/7*ep+718407172/5*ep^2+4793420204/21*
         ep^3)
      -1301075088571898048579623/46966508043840000-21083221/2205*ep^-3-
         5079952142401/61122600*ep^-2-233028749593416019/1694318472000*
         ep^-1-166290581216/2205*z3+34526617736854814538338327862617/
         124983513885623500800000*ep-83145290608/735*ep*z4-
         5509445207157643/4365900*ep*z3-9642044808072159028827642329386\
         174531/7795221761046337744896000000*ep^2-5392733503364/735*
         ep^2*z5-5509445207157643/2910600*ep^2*z4+
         2530874385383818212707/847159236000*ep^2*z3+384352588054551351\
         4991546869185014428685127650523102307/961747224208428971467889\
         160203796480000000000*ep^3-8005954964438/441*ep^3*z6-
         55780857670440523/3395700*ep^3*z5+2530874385383818212707/
         564772824000*ep^3*z4+64728316263172944778561427/
         23483254021920000*ep^3*z3-5846280169556/2205*ep^3*z3^2;

Fill mncnoptab(10,3,1,2)=
      +mncF321*(1742400+102896200/7*ep+319752544/7*ep^2+23699610206/315
         *ep^3)
      -5417474405857426034783/640452382416000-2838898/1323*ep^-3-
         8583784471/416745*ep^-2-720548266571692/15884235675*ep^-1-
         30249711200/1323*z3+12350816445695258001448301420003/
         149980216662748200960000*ep-15124855600/441*ep*z4-
         10317378629423/26730*ep*z3-60096445404801061438165994869938070\
         51/16629806423565520522444800000*ep^2-980552279240/441*ep^2*z5
         -10317378629423/17820*ep^2*z4+10771525691784147893/12707388540
         *ep^2*z3+51655543099751194442499092535137128588041340466784447\
         0214597/476120016157360290804302626612730941931520000000000*
         ep^3-7278517816300/1323*ep^3*z6-5419884332760817/1018710*ep^3*
         z5+10771525691784147893/8471592360*ep^3*z4+
         139834042215276682308251/140899524131520*ep^3*z3-1062837423848/
         1323*ep^3*z3^2;

Fill mncnoptab(10,3,2,1)=
      +mncF321*(522720+31651488/7*ep+1536047512/105*ep^2+7987011976/315
         *ep^3)
      -10383428815279474184033/4269682549440000-6053771/2205*ep^-3-
         139323310271/5556600*ep^-2-92568006377244499/1694318472000*
         ep^-1-15058700896/2205*z3+333695080374049925657427329628553/
         13498219499647338086400000*ep-7529350448/735*ep*z4-
         72965133004039/623700*ep*z3-2879618956853642841580055160972329\
         1241/280627983397668158816256000000*ep^2-490005764284/735*ep^2
         *z5-72965133004039/415800*ep^2*z4+195100208606431248707/
         847159236000*ep^2*z3+69688680859400281227035413470011192301081\
         3703008454495719999901/217253563372603500694003288523389128803\
         3525760000000000*ep^3-727479295978/441*ep^3*z6-
         17678538319428359/10187100*ep^3*z5+195100208606431248707/
         564772824000*ep^3*z4+8308489496768420151117407/
         23483254021920000*ep^3*z3-531873632236/2205*ep^3*z3^2;

Fill mncnoptab(10,4,1,1)=
      +mncF321*(48400+28341280/63*ep+305048236/189*ep^2+8888450176/2835
         *ep^3)
      -10491971153689857526141/46112571533952000-9889295/23814*ep^-3-
         181785031111/60011280*ep^-2-23484748821697291/3659727899520*
         ep^-1-7593978704/11907*z3+1941493018765356888014863086661/
         899881299976489205760000*ep-3796989352/3969*ep*z4-
         532496201777129/47151720*ep*z3-3964108063093421358261097429387\
         28617/49889419270696561567334400000*ep^2-245110108646/3969*
         ep^2*z5-532496201777129/31434480*ep^2*z4+26287511031957010091/
         1829863949760*ep^2*z3+1187366508830055220007499554500571992370\
         1191461374414311/112783531524156045562243697994998218752000000\
         000*ep^3-1819340868085/11907*ep^3*z6-7363019000083589/36673560
         *ep^3*z5+26287511031957010091/1219909299840*ep^3*z4+
         12418894139886913399155763/253619143436736000*ep^3*z3-
         264384974750/11907*ep^3*z3^2;

Fill mncnoptab(11,1,1,3)=
      +mncF321*(287496+86331267/35*ep+4124990108/525*ep^2+20909219609/
         1575*ep^3)
      -83691208677434841803753/58708135054800000+4922549/44100*ep^-3+
         438716365397/611226000*ep^-2+672060683899193/16943184720000*
         ep^-1-41711022284/11025*z3+43258970007947059012948221089/
         3254779007438112000000*ep-20855511142/3675*ep*z4-
         5617798175432813/87318000*ep*z3-103910071016396570852198562803\
         91869/180444948172368929280000000*ep^2-1348505057411/3675*ep^2
         *z5-5617798175432813/58212000*ep^2*z4+1108574936200817929541/
         8471592360000*ep^2*z3+1881662161683048852245191715382211043342\
         265905309/13630204424722632815587998302208000000000*ep^3-
         4003804149949/4410*ep^3*z6-189758510631813229/203742000*ep^3*
         z5+1108574936200817929541/5647728240000*ep^3*z4+
         22349441981866986493686493/117416270109600000*ep^3*z3-
         1459770907919/11025*ep^3*z3^2;

Fill mncnoptab(11,2,1,2)=
      +mncF321*(104544+32612448/35*ep+551513864/175*ep^2+602895592/105*
         ep^3)
      -120436612355094218154863/234832540219200000-256091/11025*ep^-3-
         20585101591/27783000*ep^-2-35568926635927079/8471592360000*
         ep^-1-15169103776/11025*z3+275516854346152465979245156421/
         58586022133886016000000*ep-7584551888/3675*ep*z4-
         520210684430453/21829500*ep*z3-9394634150767038470159211301725\
         6557/4872013600653961090560000000*ep^2-490445494204/3675*ep^2*
         z5-520210684430453/14553000*ep^2*z4+169359984877719823207/
         4235796180000*ep^2*z3+1599255453650654167281705382860130147610\
         9757568082985469957/331583582681018773952996472105294763130880\
         000000000*ep^3-728083689418/2205*ep^3*z6-6502642153515833/
         16978500*ep^3*z5+169359984877719823207/2823864120000*ep^3*z4+
         10098912385893515013448387/117416270109600000*ep^3*z3-
         530845902316/11025*ep^3*z3^2;

Fill mncnoptab(11,2,2,1)=
      +mncF321*(19008+6179016/35*ep+15886304/25*ep^2+655975274/525*ep^3
         )
      -27270195633871585993667/322894742801400000-21283282/121275*ep^-3
         -625694787149/420217875*ep^-2-61474008154014937/23296878990000
         *ep^-1-29922256352/121275*z3+228537414956720078984844321113/
         268519268113644240000000*ep-14961128176/40425*ep*z4-
         528691795408433/120062250*ep*z3-211967429337089929554060521385\
         978199/66990187008991964995200000000*ep^2-979263345608/40425*
         ep^2*z5-528691795408433/80041500*ep^2*z4+66025408992846242831/
         11648439495000*ep^2*z3+519921035334554297259299053106151758235\
         02180169073/7009819418428782590873827698278400000000000*ep^3-
         1453933890236/24255*ep^3*z6-7326474933068063/93381750*ep^3*z5+
         66025408992846242831/7765626330000*ep^3*z4+
         1483450430473894982306969/80723685700350000*ep^3*z3-
         1065753414632/121275*ep^3*z3^2;

Fill mncnoptab(11,3,1,1)=
      +mncF321*(4356+1488212/35*ep+28656021/175*ep^2+545365789/1575*
         ep^3)
      -10597305630055430294413/512361905932800000-9384791/264600*ep^-3-
         179738408911/666792000*ep^-2-127288062926029799/
         203318216640000*ep^-1-1897990172/33075*z3+
         86466669444865337391716039443/468688177071088128000000*ep-
         948995086/11025*ep*z4-546644608045433/523908000*ep*z3-81184716\
         23076680121683217260074337/12992036268410562908160000000*ep^2-
         122533360651/22050*ep^2*z5-546644608045433/349272000*ep^2*z4+
         83532041588380824487/101659108320000*ep^2*z3+16445657194554017\
         77137498063649245277453293004282415199301/14661859098140285923\
         0916807393497684377600000000000*ep^3-363804101609/26460*ep^3*
         z6-8419443349903813/407484000*ep^3*z5+83532041588380824487/
         67772738880000*ep^3*z4+14363980760461322010550627/
         2817990482630400000*ep^3*z3-132192991879/66150*ep^3*z3^2;

Fill mncnoptab(12,1,1,2)=
      +mncF321*(1728+6479316/385*ep+372894034/5775*ep^2+213861422/1575*
         ep^3)
      -228893566257542671663961/28414737366523200000-17645032/1334025*
         ep^-3-2280787758317/36979173000*ep^-2+180271099287162577/
         1025062675560000*ep^-1-29505070352/1334025*z3+
         10890347643990073679798383283/157531303960004620800000*ep-
         14752535176/444675*ep*z4-270924248560904/660342375*ep*z3-
         5553645204861318597743700465910337/
         21833838728856640442880000000*ep^2-977440986608/444675*ep^2*z5
         -135462124280452/220114125*ep^2*z4+169971838304752687999/
         512531337780000*ep^2*z3+51574456325767356864596535616104857914\
         9647891197/856755706696851205551245607567360000000000*ep^3-
         1451408944736/266805*ep^3*z6-25034398305519689/3081597750*ep^3
         *z5+169971838304752687999/341687558520000*ep^3*z4+
         28477915560287640985795129/14207368683261600000*ep^3*z3-
         1072617579632/1334025*ep^3*z3^2;

Fill mncnoptab(12,2,1,1)=
      +mncF321*(144+586528/385*ep+12593004/1925*ep^2+4936208/315*ep^3)
      -107907418492409792258663/170488424199139200000-12824591/8004150*
         ep^-3-2566419153101/221875038000*ep^-2-124376579534987279/
         6150376053360000*ep^-1-7605719888/4002075*z3+
         26032879201873688006940505969/4725939118800138624000000*ep-
         3802859944/1334025*ep*z4-571039888830353/15848217000*ep*z3-
         2100529671758216197417809129340091/
         131003032373139842657280000000*ep^2-245362544102/1334025*ep^2*
         z5-571039888830353/10565478000*ep^2*z4-2755604282210986193/
         3075188026680000*ep^2*z3+4821534218412056717327955772698845290\
         26887314806547647041/11827233005833163977960622463075479873126\
         40000000000*ep^3-364240956209/800415*ep^3*z6-10278983710032733/
         12326391000*ep^3*z5-2755604282210986193/2050125351120000*ep^3*
         z4+16546906262420092584091387/85244212099569600000*ep^3*z3-
         264379104158/4002075*ep^3*z3^2;

Fill mncnoptab(13,1,1,1)=
      +mncF321*(1+86021/6930*ep+3353402/51975*ep^2+5356117/28350*ep^3)
      -216480674170741642313543/24550333084676044800000+56544709/
         1152597600*ep^-3+6048282276079/31950005472000*ep^-2-
         528406106801734199/885654151683840000*ep^-1-458015168/36018675
         *z3+23501018840929542922639983817/680535233107219961856000000*
         ep-229007584/12006225*ep*z4-622840606714433/2282143248000*ep*
         z3-553801685325868378112773315264691/
         18864436661732137342648320000000*ep^2-119698392151/96049800*
         ep^2*z5-622840606714433/1521428832000*ep^2*z4-
         200774015797260985913/442827075841920000*ep^2*z3+6365523812609\
         589193245632044317881359592149531/1262022752650671896550171588\
         078796800000000*ep^3-355431055109/115259760*ep^3*z6-
         14207269963619813/1775000304000*ep^3*z5-200774015797260985913/
         295218050561280000*ep^3*z4+17790983669740997052181627/
         12275166542338022400000*ep^3*z3-132258921379/288149400*ep^3*
         z3^2;
*--#] 16 :
#case 15
*--#[ 15 :

Fill mncnoptab(4,4,4,3)=
      +4117176890804519/1143072-49840000*ep^-3-6875483575/18*ep^-2-
         2953074321035/9072*ep^-1+1125544000*z3+3301849403049876137/
         411505920*ep+1688316000*ep*z4+76849702925/9*ep*z3-
         725226966022524390211/113421319200*ep^2+11866008000*ep^2*z5+
         76849702925/6*ep^2*z4+31933910737585/4536*ep^2*z3-
         31051153660149057278234903/914629518028800*ep^3+26851160000*
         ep^3*z6+270990968825/3*ep^3*z5+31933910737585/3024*ep^3*z4-
         45849959710883893/571536*ep^3*z3-12613496000*ep^3*z3^2+3*
         mncnoptab(4,3,3,4)-3/2*mncnoptab(4,3,3,4)*ep+3/4*mncnoptab(4,3
         ,3,4)*ep^2-3/8*mncnoptab(4,3,3,4)*ep^3+2*mncnoptab(4,4,3,3)-
         mncnoptab(4,4,3,3)*ep+1/2*mncnoptab(4,4,3,3)*ep^2-1/4*
         mncnoptab(4,4,3,3)*ep^3-25*mncnoptab(4,4,4,2)+7/4*mncnoptab(4,
         4,4,2)*ep-15/8*mncnoptab(4,4,4,2)*ep^2+15/16*mncnoptab(4,4,4,2
         )*ep^3-13*mncnoptab(5,3,2,4)+5/2*mncnoptab(5,3,2,4)*ep-5/4*
         mncnoptab(5,3,2,4)*ep^2+5/8*mncnoptab(5,3,2,4)*ep^3;

Fill mncnoptab(5,3,2,5)=
      +7297163064067997/10160640-9966600*ep^-3-2513027785/32*ep^-2-
         145291311229/1792*ep^-1+219463650*z3+45495115268654973809/
         25604812800*ep+329195475*ep*z4+27671007695/16*ep*z3-
         8785331506168415393261/8065516032000*ep^2+2333573550*ep^2*z5+
         83013023085/32*ep^2*z4+4803068395133/2688*ep^2*z3-
         294127553741022388064502457/40650200801280000*ep^3+5285274750*
         ep^3*z6+294218409465/16*ep^3*z5+4803068395133/1792*ep^3*z4-
         11473616285189977/725760*ep^3*z3-2415687750*ep^3*z3^2-15/16*
         mncnoptab(4,3,3,4)-1/64*mncnoptab(4,3,3,4)*ep+1/256*mncnoptab(
         4,3,3,4)*ep^2-1/1024*mncnoptab(4,3,3,4)*ep^3-45/32*mncnoptab(4
         ,4,4,2)-3/128*mncnoptab(4,4,4,2)*ep+3/512*mncnoptab(4,4,4,2)*
         ep^2-3/2048*mncnoptab(4,4,4,2)*ep^3+1/8*mncnoptab(5,2,2,5)-1/
         32*mncnoptab(5,2,2,5)*ep+1/128*mncnoptab(5,2,2,5)*ep^2-1/512*
         mncnoptab(5,2,2,5)*ep^3+1/4*mncnoptab(5,3,1,5)-1/16*mncnoptab(
         5,3,1,5)*ep+1/64*mncnoptab(5,3,1,5)*ep^2-1/256*mncnoptab(5,3,1
         ,5)*ep^3-241/32*mncnoptab(5,3,2,4)-151/128*mncnoptab(5,3,2,4)*
         ep+23/512*mncnoptab(5,3,2,4)*ep^2-23/2048*mncnoptab(5,3,2,4)*
         ep^3+5/4*mncnoptab(6,2,1,5)-5/16*mncnoptab(6,2,1,5)*ep+5/64*
         mncnoptab(6,2,1,5)*ep^2-5/256*mncnoptab(6,2,1,5)*ep^3;

Fill mncnoptab(5,3,3,4)=
      +54714376316903161/17146080-130076800/3*ep^-3-8874859880/27*ep^-2
         -1763444516843/6804*ep^-1+2817875200/3*z3+73580885187910947619/
         10802030400*ep+1408937600*ep*z4+193360957520/27*ep*z3-
         183418456894249297954433/27221116608000*ep^2+10043756800*ep^2*
         z5+96680478760/9*ep^2*z4+19576475623105/3402*ep^2*z3-
         125601483277467408838001909/4287325865760000*ep^3+68283488000/
         3*ep^3*z6+687840715280/9*ep^3*z5+19576475623105/2268*ep^3*z4-
         597570601881539291/8573040*ep^3*z3-30646112000/3*ep^3*z3^2+2/3
         *mncnoptab(4,3,3,4)-2/9*mncnoptab(4,3,3,4)*ep+2/27*mncnoptab(4
         ,3,3,4)*ep^2-2/81*mncnoptab(4,3,3,4)*ep^3-14/3*mncnoptab(4,4,3
         ,3)+2/9*mncnoptab(4,4,3,3)*ep-2/27*mncnoptab(4,4,3,3)*ep^2+2/
         81*mncnoptab(4,4,3,3)*ep^3+4/3*mncnoptab(5,2,2,5)-4/9*
         mncnoptab(5,2,2,5)*ep+4/27*mncnoptab(5,2,2,5)*ep^2-4/81*
         mncnoptab(5,2,2,5)*ep^3+mncnoptab(5,3,2,4)-1/3*mncnoptab(5,3,2
         ,4)*ep+1/9*mncnoptab(5,3,2,4)*ep^2-1/27*mncnoptab(5,3,2,4)*
         ep^3-13*mncnoptab(5,3,3,3)-8/9*mncnoptab(5,3,3,3)*ep-4/27*
         mncnoptab(5,3,3,3)*ep^2+4/81*mncnoptab(5,3,3,3)*ep^3;

Fill mncnoptab(5,4,1,5)=
      +130507316182605433/3227273280-626925*ep^-3-1244811065/192*ep^-2-
         40651414257247/2483712*ep^-1+12900675*z3+
         326937189018349935854933/1431360245145600*ep+38702025/2*ep*z4+
         13291251055/96*ep*z3+1208059258984771872629208217/
         9919326498859008000*ep^2+140013225*ep^2*z5+13291251055/64*ep^2
         *z4+451080200680733/1241856*ep^2*z3-20824179717318088283474857\
         5811201/274963730548371701760000*ep^3+317781375*ep^3*z6+
         47574726995/32*ep^3*z5+451080200680733/827904*ep^3*z4-
         5553437893703879699/6454546560*ep^3*z3-135041325*ep^3*z3^2-15/
         32*mncnoptab(4,4,4,2)-1/128*mncnoptab(4,4,4,2)*ep+1/512*
         mncnoptab(4,4,4,2)*ep^2-1/2048*mncnoptab(4,4,4,2)*ep^3-241/32*
         mncnoptab(5,4,1,4)-151/128*mncnoptab(5,4,1,4)*ep+23/512*
         mncnoptab(5,4,1,4)*ep^2-23/2048*mncnoptab(5,4,1,4)*ep^3-15/8*
         mncnoptab(5,4,4,1)-1/32*mncnoptab(5,4,4,1)*ep+1/128*mncnoptab(
         5,4,4,1)*ep^2-1/512*mncnoptab(5,4,4,1)*ep^3;

Fill mncnoptab(5,4,2,4)=
      +434023504430570731/300056400-59516480/3*ep^-3-12877373923/84*
         ep^-2-265485319672199/1905120*ep^-1+1300215200/3*z3+
         10050647803340100794587/3024568512000*ep+650107600*ep*z4+
         141066769537/42*ep*z3-5045339538122996965718669/
         1905478162560000*ep^2+4620941600*ep^2*z5+141066769537/28*ep^2*
         z4+2934090357478213/952560*ep^2*z3-
         66839870419576684904938826627/4801804969651200000*ep^3+
         31406524000/3*ep^3*z6+1502546966999/42*ep^3*z5+
         2934090357478213/635040*ep^3*z4-951759160241772301/30005640*
         ep^3*z3-14229188320/3*ep^3*z3^2-14/9*mncnoptab(4,4,3,3)+2/27*
         mncnoptab(4,4,3,3)*ep-2/81*mncnoptab(4,4,3,3)*ep^2+2/243*
         mncnoptab(4,4,3,3)*ep^3+2/3*mncnoptab(4,4,4,2)-2/9*mncnoptab(4
         ,4,4,2)*ep+2/27*mncnoptab(4,4,4,2)*ep^2-2/81*mncnoptab(4,4,4,2
         )*ep^3+4/3*mncnoptab(5,3,1,5)-4/9*mncnoptab(5,3,1,5)*ep+4/27*
         mncnoptab(5,3,1,5)*ep^2-4/81*mncnoptab(5,3,1,5)*ep^3+1/3*
         mncnoptab(5,3,2,4)-1/9*mncnoptab(5,3,2,4)*ep+1/27*mncnoptab(5,
         3,2,4)*ep^2-1/81*mncnoptab(5,3,2,4)*ep^3+2/3*mncnoptab(5,4,1,4
         )-2/9*mncnoptab(5,4,1,4)*ep+2/27*mncnoptab(5,4,1,4)*ep^2-2/81*
         mncnoptab(5,4,1,4)*ep^3-13*mncnoptab(5,4,2,3)-8/9*mncnoptab(5,
         4,2,3)*ep-4/27*mncnoptab(5,4,2,3)*ep^2+4/81*mncnoptab(5,4,2,3)
         *ep^3-28/9*mncnoptab(5,4,3,2)+4/27*mncnoptab(5,4,3,2)*ep-4/81*
         mncnoptab(5,4,3,2)*ep^2+4/243*mncnoptab(5,4,3,2)*ep^3;

Fill mncnoptab(5,4,3,3)=
      +1837161945535955651/640120320-39375800*ep^-3-301791498835/1008*
         ep^-2-122661220985309/508032*ep^-1+871876100*z3+
         1001437969129519182857/161310320640*ep+1307814150*ep*z4+
         3332615766845/504*ep*z3-5721417625004579058440569/
         1016255020032000*ep^2+9253196700*ep^2*z5+3332615766845/336*
         ep^2*z4+1343255648918695/254016*ep^2*z3-
         33983029835315097114916463939/1280481325240320000*ep^3+
         20953301500*ep^3*z6+11799939188105/168*ep^3*z5+
         1343255648918695/169344*ep^3*z4-20265649049662577137/320060160
         *ep^3*z3-9635505100*ep^3*z3^2+5/4*mncnoptab(4,4,3,3)-5/8*
         mncnoptab(4,4,3,3)*ep+5/16*mncnoptab(4,4,3,3)*ep^2-5/32*
         mncnoptab(4,4,3,3)*ep^3-39/8*mncnoptab(4,4,4,2)+15/16*
         mncnoptab(4,4,4,2)*ep-15/32*mncnoptab(4,4,4,2)*ep^2+15/64*
         mncnoptab(4,4,4,2)*ep^3+3/2*mncnoptab(5,3,2,4)-3/4*mncnoptab(5
         ,3,2,4)*ep+3/8*mncnoptab(5,3,2,4)*ep^2-3/16*mncnoptab(5,3,2,4)
         *ep^3+mncnoptab(5,3,3,3)-1/2*mncnoptab(5,3,3,3)*ep+1/4*
         mncnoptab(5,3,3,3)*ep^2-1/8*mncnoptab(5,3,3,3)*ep^3-21/4*
         mncnoptab(5,4,2,3)+5/8*mncnoptab(5,4,2,3)*ep-5/16*mncnoptab(5,
         4,2,3)*ep^2+5/32*mncnoptab(5,4,2,3)*ep^3-213/8*mncnoptab(5,4,3
         ,2)+33/16*mncnoptab(5,4,3,2)*ep-65/32*mncnoptab(5,4,3,2)*ep^2+
         65/64*mncnoptab(5,4,3,2)*ep^3;

Fill mncnoptab(5,4,4,2)=
      -16085137911167/1481760+91200*ep^-3-1036747675/42*ep^-2-
         168246832843/1008*ep^-1+8736000*z3+149685296911055683/82978560
         *ep+13104000*ep*z4+12339884465/21*ep*z3+948374408776271782421/
         392073696000*ep^2+53856000*ep^2*z5+12339884465/14*ep^2*z4+
         12701271965015/3528*ep^2*z3-11239268588124243225263057/
         1976051427840000*ep^3+112800000*ep^3*z6+42585854285/7*ep^3*z5+
         12701271965015/2352*ep^3*z4-83000963957819/740880*ep^3*z3-
         182035200*ep^3*z3^2+3*mncnoptab(4,4,4,2)-3*mncnoptab(4,4,4,2)*
         ep+3*mncnoptab(4,4,4,2)*ep^2-3*mncnoptab(4,4,4,2)*ep^3+2*
         mncnoptab(5,3,3,3)-2*mncnoptab(5,3,3,3)*ep+2*mncnoptab(5,3,3,3
         )*ep^2-2*mncnoptab(5,3,3,3)*ep^3-48*mncnoptab(5,4,1,4)+32*
         mncnoptab(5,4,1,4)*ep-32*mncnoptab(5,4,1,4)*ep^2+32*mncnoptab(
         5,4,1,4)*ep^3+6*mncnoptab(5,4,3,2)-6*mncnoptab(5,4,3,2)*ep+6*
         mncnoptab(5,4,3,2)*ep^2-6*mncnoptab(5,4,3,2)*ep^3-95*
         mncnoptab(5,4,4,1)+52*mncnoptab(5,4,4,1)*ep-56*mncnoptab(5,4,4
         ,1)*ep^2+56*mncnoptab(5,4,4,1)*ep^3;

Fill mncnoptab(5,5,3,2)=
      -18438626801969471/228614400+1657460*ep^-3-702649681/72*ep^-2-
         12575574030881/90720*ep^-1-62270600*z3+116895384188468628571/
         82301184000*ep-93405900*ep*z4+3401580539/36*ep*z3+
         2454892057846155076324729/1451792885760000*ep^2-568491000*ep^2
         *z5+3401580539/24*ep^2*z4+142821852241867/45360*ep^2*z3-
         15700645026896448463474842083/3658518072115200000*ep^3-
         1265551000*ep^3*z6+17359855151/12*ep^3*z5+142821852241867/
         30240*ep^3*z4+8536770371514071/3265920*ep^3*z3+891428440*ep^3*
         z3^2-18*mncnoptab(5,4,1,4)+12*mncnoptab(5,4,1,4)*ep-12*
         mncnoptab(5,4,1,4)*ep^2+12*mncnoptab(5,4,1,4)*ep^3+5*
         mncnoptab(5,4,2,3)-5*mncnoptab(5,4,2,3)*ep+5*mncnoptab(5,4,2,3
         )*ep^2-5*mncnoptab(5,4,2,3)*ep^3+5/2*mncnoptab(5,4,3,2)-5/2*
         mncnoptab(5,4,3,2)*ep+5/2*mncnoptab(5,4,3,2)*ep^2-5/2*
         mncnoptab(5,4,3,2)*ep^3+7/2*mncnoptab(5,5,2,2)-7/2*mncnoptab(5
         ,5,2,2)*ep+7/2*mncnoptab(5,5,2,2)*ep^2-7/2*mncnoptab(5,5,2,2)*
         ep^3-95*mncnoptab(5,5,3,1)+52*mncnoptab(5,5,3,1)*ep-56*
         mncnoptab(5,5,3,1)*ep^2+56*mncnoptab(5,5,3,1)*ep^3-30*
         mncnoptab(6,4,1,3)+20*mncnoptab(6,4,1,3)*ep-20*mncnoptab(6,4,1
         ,3)*ep^2+20*mncnoptab(6,4,1,3)*ep^3;

Fill mncnoptab(5,5,4,1)=
      +409751245513566553/68848496640-1249275/8*ep^-3-2207546955/896*
         ep^-2-43006086289/4158*ep^-1+3400800*z3+
         225002976967562259816377/1908480326860800*ep+5101200*ep*z4+
         24505790075/448*ep*z3+1170035696167362084900986341/
         7557582094368768000*ep^2+70035075/2*ep^2*z5+73517370225/896*
         ep^2*z4+427621110367567/1862784*ep^2*z3-4699398242146345717490\
         45093179699/1466473229591315742720000*ep^3+316167375/4*ep^3*z6
         +258411055025/448*ep^3*z5+427621110367567/1241856*ep^3*z4-
         4640952039986648999/34424248320*ep^3*z3-75799275/2*ep^3*z3^2-
         193/32*mncnoptab(5,4,1,4)-135/128*mncnoptab(5,4,1,4)*ep+7/512*
         mncnoptab(5,4,1,4)*ep^2-7/2048*mncnoptab(5,4,1,4)*ep^3-1/8*
         mncnoptab(5,4,4,1)+1/32*mncnoptab(5,4,4,1)*ep-1/128*mncnoptab(
         5,4,4,1)*ep^2+1/512*mncnoptab(5,4,4,1)*ep^3+5/4*mncnoptab(6,4,
         3,1)-5/16*mncnoptab(6,4,3,1)*ep+5/64*mncnoptab(6,4,3,1)*ep^2-5/
         256*mncnoptab(6,4,3,1)*ep^3;

Fill mncnoptab(6,2,1,6)=
      +1606445663342084203/864448200000-918932/25*ep^-3-150290471/450*
         ep^-2-21736030758151/31185000*ep^-1+4334848/5*z3+
         4444176897837918847327/479250082080000*ep+6502272/5*ep*z4+
         8634857129/1125*ep*z3+1604439989995334495629226371/
         166060153440720000000*ep^2+41554128/5*ep^2*z5+8634857129/750*
         ep^2*z4+462637475317513/31185000*ep^2*z3-
         55798962138139066958550090891713/2301593726688379200000000*
         ep^3+18609640*ep^3*z6+29459645381/375*ep^3*z5+462637475317513/
         20790000*ep^3*z4-18896769265077504131/432224100000*ep^3*z3-
         260556688/25*ep^3*z3^2-8/25*mncnoptab(5,2,2,5)-2/125*
         mncnoptab(5,2,2,5)*ep+2/625*mncnoptab(5,2,2,5)*ep^2-2/3125*
         mncnoptab(5,2,2,5)*ep^3-16/25*mncnoptab(5,3,1,5)-4/125*
         mncnoptab(5,3,1,5)*ep+4/625*mncnoptab(5,3,1,5)*ep^2-4/3125*
         mncnoptab(5,3,1,5)*ep^3-281/50*mncnoptab(6,2,1,5)-249/250*
         mncnoptab(6,2,1,5)*ep+49/1250*mncnoptab(6,2,1,5)*ep^2-49/6250*
         mncnoptab(6,2,1,5)*ep^3;

Fill mncnoptab(6,2,2,5)=
      +73969203010423447/571536000-1893388*ep^-3-5255748821/360*ep^-2-
         12227586166937/907200*ep^-1+45355240*z3+62429510671310076823/
         205752960000*ep+68032860*ep*z4+61046602639/180*ep*z3-
         64138319962641430884391/453685276800000*ep^2+468957720*ep^2*z5
         +61046602639/120*ep^2*z4+128882564687419/453600*ep^2*z3-
         2744863732398688894931157461/2286573795072000000*ep^3+
         1059006200*ep^3*z6+212521784851/60*ep^3*z5+128882564687419/
         302400*ep^3*z4-6804626370068881/2286144*ep^3*z3-528513272*ep^3
         *z3^2+1/4*mncnoptab(5,2,2,5)-1/16*mncnoptab(5,2,2,5)*ep+1/64*
         mncnoptab(5,2,2,5)*ep^2-1/256*mncnoptab(5,2,2,5)*ep^3-15/8*
         mncnoptab(5,3,2,4)-1/32*mncnoptab(5,3,2,4)*ep+1/128*mncnoptab(
         5,3,2,4)*ep^2-1/512*mncnoptab(5,3,2,4)*ep^3+5/4*mncnoptab(6,1,
         1,6)-5/16*mncnoptab(6,1,1,6)*ep+5/64*mncnoptab(6,1,1,6)*ep^2-5/
         256*mncnoptab(6,1,1,6)*ep^3+1/2*mncnoptab(6,2,1,5)-1/8*
         mncnoptab(6,2,1,5)*ep+1/32*mncnoptab(6,2,1,5)*ep^2-1/128*
         mncnoptab(6,2,1,5)*ep^3-67/8*mncnoptab(6,2,2,4)-35/32*
         mncnoptab(6,2,2,4)*ep+3/128*mncnoptab(6,2,2,4)*ep^2-3/512*
         mncnoptab(6,2,2,4)*ep^3;

Fill mncnoptab(6,3,1,5)=
      +9938581452225837209/387272793600-416065*ep^-3-13517135231/4032*
         ep^-2-461511825069433/111767040*ep^-1+10911745*z3+
         1605595417240329537801113/21470403677184000*ep+32735235/2*ep*
         z4+165675221689/2016*ep*z3+491268266671567683342755111/
         29757979496577024000*ep^2+110291115*ep^2*z5+165675221689/1344*
         ep^2*z4+947868203854207/11176704*ep^2*z3-106925891400430275958\
         2279895609837/4124455958225575526400000*ep^3+248448425*ep^3*z6
         +567778691701/672*ep^3*z5+947868203854207/7451136*ep^3*z4-
         121135054289424080821/193636396800*ep^3*z3-133721495*ep^3*z3^2
         +1/4*mncnoptab(5,3,1,5)-1/16*mncnoptab(5,3,1,5)*ep+1/64*
         mncnoptab(5,3,1,5)*ep^2-1/256*mncnoptab(5,3,1,5)*ep^3-15/32*
         mncnoptab(5,3,2,4)-1/128*mncnoptab(5,3,2,4)*ep+1/512*
         mncnoptab(5,3,2,4)*ep^2-1/2048*mncnoptab(5,3,2,4)*ep^3-45/32*
         mncnoptab(5,4,1,4)-3/128*mncnoptab(5,4,1,4)*ep+3/512*
         mncnoptab(5,4,1,4)*ep^2-3/2048*mncnoptab(5,4,1,4)*ep^3+1/8*
         mncnoptab(6,2,1,5)-1/32*mncnoptab(6,2,1,5)*ep+1/128*mncnoptab(
         6,2,1,5)*ep^2-1/512*mncnoptab(6,2,1,5)*ep^3-67/8*mncnoptab(6,3
         ,1,4)-35/32*mncnoptab(6,3,1,4)*ep+3/128*mncnoptab(6,3,1,4)*
         ep^2-3/512*mncnoptab(6,3,1,4)*ep^3;

Fill mncnoptab(6,3,2,4)=
      +699165593765975783/1200225600-24186080/3*ep^-3-47747240641/756*
         ep^-2-120975575389897/1905120*ep^-1+523752800/3*z3+
         859686590538340327801/604913702400*ep+261876400*ep*z4+
         519226147547/378*ep*z3-896313991615143187237469/
         952739081280000*ep^2+1867052000*ep^2*z5+519226147547/252*ep^2*
         z4+1328763056637803/952560*ep^2*z3-
         28027671162100597636149270433/4801804969651200000*ep^3+
         12693508000/3*ep^3*z6+1848146959823/126*ep^3*z5+
         1328763056637803/635040*ep^3*z4-7627641045891281269/600112800*
         ep^3*z3-5694553120/3*ep^3*z3^2+1/2*mncnoptab(5,3,2,4)-1/6*
         mncnoptab(5,3,2,4)*ep+1/18*mncnoptab(5,3,2,4)*ep^2-1/54*
         mncnoptab(5,3,2,4)*ep^3-14/9*mncnoptab(5,3,3,3)+2/27*
         mncnoptab(5,3,3,3)*ep-2/81*mncnoptab(5,3,3,3)*ep^2+2/243*
         mncnoptab(5,3,3,3)*ep^3-7/3*mncnoptab(5,4,2,3)+1/9*mncnoptab(5
         ,4,2,3)*ep-1/27*mncnoptab(5,4,2,3)*ep^2+1/81*mncnoptab(5,4,2,3
         )*ep^3+4/3*mncnoptab(6,2,1,5)-4/9*mncnoptab(6,2,1,5)*ep+4/27*
         mncnoptab(6,2,1,5)*ep^2-4/81*mncnoptab(6,2,1,5)*ep^3+1/2*
         mncnoptab(6,2,2,4)-1/6*mncnoptab(6,2,2,4)*ep+1/18*mncnoptab(6,
         2,2,4)*ep^2-1/54*mncnoptab(6,2,2,4)*ep^3+2/3*mncnoptab(6,3,1,4
         )-2/9*mncnoptab(6,3,1,4)*ep+2/27*mncnoptab(6,3,1,4)*ep^2-2/81*
         mncnoptab(6,3,1,4)*ep^3-124/9*mncnoptab(6,3,2,3)-23/27*
         mncnoptab(6,3,2,3)*ep-13/81*mncnoptab(6,3,2,3)*ep^2+13/243*
         mncnoptab(6,3,2,3)*ep^3;

Fill mncnoptab(6,3,3,3)=
      +51030808833037703/35562240-19705500*ep^-3-8318691775/56*ep^-2-
         150193040497/1344*ep^-1+439412400*z3+134311143675532877117/
         44808422400*ep+659118600*ep*z4+92415905345/28*ep*z3-
         54877408603949456849503/18819537408000*ep^2+4652326800*ep^2*z5
         +277247716035/56*ep^2*z4+3856012411511/1568*ep^2*z3-
         915340441176258778643560139/71137851402240000*ep^3+10532286000
         *ep^3*z6+979640680215/28*ep^3*z5+11568037234533/3136*ep^3*z4-
         113022094543746713/3556224*ep^3*z3-4880667600*ep^3*z3^2+
         mncnoptab(5,3,3,3)-1/2*mncnoptab(5,3,3,3)*ep+1/4*mncnoptab(5,3
         ,3,3)*ep^2-1/8*mncnoptab(5,3,3,3)*ep^3-39/4*mncnoptab(5,4,3,2)
         +15/8*mncnoptab(5,4,3,2)*ep-15/16*mncnoptab(5,4,3,2)*ep^2+15/
         32*mncnoptab(5,4,3,2)*ep^3+3/2*mncnoptab(6,2,2,4)-3/4*
         mncnoptab(6,2,2,4)*ep+3/8*mncnoptab(6,2,2,4)*ep^2-3/16*
         mncnoptab(6,2,2,4)*ep^3+5/2*mncnoptab(6,3,2,3)-5/4*mncnoptab(6
         ,3,2,3)*ep+5/8*mncnoptab(6,3,2,3)*ep^2-5/16*mncnoptab(6,3,2,3)
         *ep^3-113/4*mncnoptab(6,3,3,2)+19/8*mncnoptab(6,3,3,2)*ep-35/
         16*mncnoptab(6,3,3,2)*ep^2+35/32*mncnoptab(6,3,3,2)*ep^3;

Fill mncnoptab(6,4,1,4)=
      +475887736431768347/12448054080-5193370/9*ep^-3-1867552865/324*
         ep^-2-17639957934097/1283040*ep^-1+97956880/9*z3+
         687936012618961647228379/3450600590976000*ep+48978440/3*ep*z4+
         9443893505/81*ep*z3+1541852371142977030979697643/
         19130129676370944000*ep^2+365808520/3*ep^2*z5+9443893505/54*
         ep^2*z4+38632517509747/128304*ep^2*z3-364808044511379446420718\
         702629359/530287194629002567680000*ep^3+2498671700/9*ep^3*z6+
         34468296950/27*ep^3*z5+38632517509747/85536*ep^3*z4-
         24089176933966718537/31120135200*ep^3*z3-949392920/9*ep^3*z3^2
         +1/2*mncnoptab(5,4,1,4)-1/6*mncnoptab(5,4,1,4)*ep+1/18*
         mncnoptab(5,4,1,4)*ep^2-1/54*mncnoptab(5,4,1,4)*ep^3-7/9*
         mncnoptab(5,4,2,3)+1/27*mncnoptab(5,4,2,3)*ep-1/81*mncnoptab(5
         ,4,2,3)*ep^2+1/243*mncnoptab(5,4,2,3)*ep^3-28/9*mncnoptab(5,5,
         3,1)+4/27*mncnoptab(5,5,3,1)*ep-4/81*mncnoptab(5,5,3,1)*ep^2+4/
         243*mncnoptab(5,5,3,1)*ep^3+1/3*mncnoptab(6,3,1,4)-1/9*
         mncnoptab(6,3,1,4)*ep+1/27*mncnoptab(6,3,1,4)*ep^2-1/81*
         mncnoptab(6,3,1,4)*ep^3-124/9*mncnoptab(6,4,1,3)-23/27*
         mncnoptab(6,4,1,3)*ep-13/81*mncnoptab(6,4,1,3)*ep^2+13/243*
         mncnoptab(6,4,1,3)*ep^3;

Fill mncnoptab(6,4,2,3)=
      +84432919406708693/114307200-10303510*ep^-3-1380343519/18*ep^-2-
         1884767324513/36288*ep^-1+237299860*z3+848971833905701772467/
         576108288000*ep+355949790*ep*z4+15680736188/9*ep*z3-
         84284719635344793840851/58071715430400*ep^2+2485379820*ep^2*z5
         +7840368094/3*ep^2*z4+102206490454847/90720*ep^2*z3-
         3306418519234866660697126709/522645438873600000*ep^3+
         5620199900*ep^3*z6+54995682572/3*ep^3*z5+102206490454847/60480
         *ep^3*z4-950134990043876047/57153600*ep^3*z3-2695279580*ep^3*
         z3^2+mncnoptab(5,4,2,3)-1/2*mncnoptab(5,4,2,3)*ep+1/4*
         mncnoptab(5,4,2,3)*ep^2-1/8*mncnoptab(5,4,2,3)*ep^3-13/4*
         mncnoptab(5,4,3,2)+5/8*mncnoptab(5,4,3,2)*ep-5/16*mncnoptab(5,
         4,3,2)*ep^2+5/32*mncnoptab(5,4,3,2)*ep^3-13/2*mncnoptab(5,5,2,
         2)+5/4*mncnoptab(5,5,2,2)*ep-5/8*mncnoptab(5,5,2,2)*ep^2+5/16*
         mncnoptab(5,5,2,2)*ep^3+3/2*mncnoptab(6,3,1,4)-3/4*mncnoptab(6
         ,3,1,4)*ep+3/8*mncnoptab(6,3,1,4)*ep^2-3/16*mncnoptab(6,3,1,4)
         *ep^3+mncnoptab(6,3,2,3)-1/2*mncnoptab(6,3,2,3)*ep+1/4*
         mncnoptab(6,3,2,3)*ep^2-1/8*mncnoptab(6,3,2,3)*ep^3+3/2*
         mncnoptab(6,4,1,3)-3/4*mncnoptab(6,4,1,3)*ep+3/8*mncnoptab(6,4
         ,1,3)*ep^2-3/16*mncnoptab(6,4,1,3)*ep^3-113/4*mncnoptab(6,4,2,
         2)+19/8*mncnoptab(6,4,2,2)*ep-35/16*mncnoptab(6,4,2,2)*ep^2+35/
         32*mncnoptab(6,4,2,2)*ep^3;

Fill mncnoptab(6,4,3,2)=
      +688916286975593/7408800-904140*ep^-3-610051741/28*ep^-2-
         122698045373/1176*ep^-1+4084200*z3+282525374224498431659/
         224042112000*ep+6126300*ep*z4+803587517/2*ep*z3+
         476959906253863096088659/564586122240000*ep^2+100920600*ep^2*
         z5+2410762551/4*ep^2*z4+457910664041/196*ep^2*z3-
         2014845033847781730002940223/474252342681600000*ep^3+242091000
         *ep^3*z6+9114498939/2*ep^3*z5+1373731992123/392*ep^3*z4-
         5649003251715247/3704400*ep^3*z3+81528840*ep^3*z3^2+5/2*
         mncnoptab(5,4,3,2)-5/2*mncnoptab(5,4,3,2)*ep+5/2*mncnoptab(5,4
         ,3,2)*ep^2-5/2*mncnoptab(5,4,3,2)*ep^3-18*mncnoptab(5,4,4,1)+
         12*mncnoptab(5,4,4,1)*ep-12*mncnoptab(5,4,4,1)*ep^2+12*
         mncnoptab(5,4,4,1)*ep^3-24*mncnoptab(5,5,3,1)+16*mncnoptab(5,5
         ,3,1)*ep-16*mncnoptab(5,5,3,1)*ep^2+16*mncnoptab(5,5,3,1)*ep^3
         +2*mncnoptab(6,3,2,3)-2*mncnoptab(6,3,2,3)*ep+2*mncnoptab(6,3,
         2,3)*ep^2-2*mncnoptab(6,3,2,3)*ep^3+3*mncnoptab(6,3,3,2)-3*
         mncnoptab(6,3,3,2)*ep+3*mncnoptab(6,3,3,2)*ep^2-3*mncnoptab(6,
         3,3,2)*ep^3+7/2*mncnoptab(6,4,2,2)-7/2*mncnoptab(6,4,2,2)*ep+7/
         2*mncnoptab(6,4,2,2)*ep^2-7/2*mncnoptab(6,4,2,2)*ep^3-101*
         mncnoptab(6,4,3,1)+56*mncnoptab(6,4,3,1)*ep-60*mncnoptab(6,4,3
         ,1)*ep^2+60*mncnoptab(6,4,3,1)*ep^3;

Fill mncnoptab(6,4,4,1)=
      +1458063311468658409/107575776000-256722*ep^-3-28126627/10*ep^-2-
         18636220913063/2328480*ep^-1+6139752*z3+
         308198131354049301491537/2982000510720000*ep+9209628*ep*z4+
         2225356902/35*ep*z3+1683623543763284481920537981/
         16532210831431680000*ep^2+63979344*ep^2*z5+3338035353/35*ep^2*
         z4+995801407838723/5821200*ep^2*z3-719843936056137294765281680\
         653931/2291364421236430848000000*ep^3+144598980*ep^3*z6+
         23480221624/35*ep^3*z5+995801407838723/3880800*ep^3*z4-
         16940219955084779369/53787888000*ep^3*z3-71194224*ep^3*z3^2-
         103/25*mncnoptab(5,4,4,1)-112/125*mncnoptab(5,4,4,1)*ep+12/625
         *mncnoptab(5,4,4,1)*ep^2-12/3125*mncnoptab(5,4,4,1)*ep^3-2/5*
         mncnoptab(6,4,3,1)+2/25*mncnoptab(6,4,3,1)*ep-2/125*mncnoptab(
         6,4,3,1)*ep^2+2/625*mncnoptab(6,4,3,1)*ep^3+6/5*mncnoptab(7,3,
         3,1)-6/25*mncnoptab(7,3,3,1)*ep+6/125*mncnoptab(7,3,3,1)*ep^2-
         6/625*mncnoptab(7,3,3,1)*ep^3;

Fill mncnoptab(6,5,1,3)=
      +1509819771042196583/27662342400-789670*ep^-3-50508983/8*ep^-2-
         1797289732043/249480*ep^-1+18201190*z3+
         111337652621766301767637/766800131328000*ep+27301785*ep*z4+
         286128835/2*ep*z3-150166284985937400766316623/
         3036528520058880000*ep^2+190789830*ep^2*z5+858386505/4*ep^2*z4
         +1952429309641/12474*ep^2*z3-329890101833436173466528460828607/
         589207994032225075200000*ep^3+431471600*ep^3*z6+1505492625*
         ep^3*z5+1952429309641/8316*ep^3*z4-17033295617323233349/
         13831171200*ep^3*z3-206715950*ep^3*z3^2-13/8*mncnoptab(5,5,2,2
         )+5/16*mncnoptab(5,5,2,2)*ep-5/32*mncnoptab(5,5,2,2)*ep^2+5/64
         *mncnoptab(5,5,2,2)*ep^3+mncnoptab(5,5,3,1)-1/2*mncnoptab(5,5,
         3,1)*ep+1/4*mncnoptab(5,5,3,1)*ep^2-1/8*mncnoptab(5,5,3,1)*
         ep^3+3/4*mncnoptab(6,4,1,3)-3/8*mncnoptab(6,4,1,3)*ep+3/16*
         mncnoptab(6,4,1,3)*ep^2-3/32*mncnoptab(6,4,1,3)*ep^3-113/4*
         mncnoptab(6,5,1,2)+19/8*mncnoptab(6,5,1,2)*ep-35/16*mncnoptab(
         6,5,1,2)*ep^2+35/32*mncnoptab(6,5,1,2)*ep^3-65/8*mncnoptab(6,5
         ,2,1)+25/16*mncnoptab(6,5,2,1)*ep-25/32*mncnoptab(6,5,2,1)*
         ep^2+25/64*mncnoptab(6,5,2,1)*ep^3;

Fill mncnoptab(6,5,2,2)=
      +34444553836427/364500-1223544*ep^-3-1123503833/90*ep^-2-
         184612469563/6480*ep^-1+24230640*z3+38261227963146095857/
         90016920000*ep+36345960*ep*z4+2373865259/9*ep*z3+
         30756625620879017153533/907370553600000*ep^2+267498000*ep^2*z5
         +2373865259/6*ep^2*z4+72828549111259/113400*ep^2*z3-
         3484151274341391781989745379/2286573795072000000*ep^3+
         608168400*ep^3*z6+8521551695/3*ep^3*z5+72828549111259/75600*
         ep^3*z4-35953478932264703/17860500*ep^3*z3-245038416*ep^3*z3^2
         +5/2*mncnoptab(5,5,2,2)-5/2*mncnoptab(5,5,2,2)*ep+5/2*
         mncnoptab(5,5,2,2)*ep^2-5/2*mncnoptab(5,5,2,2)*ep^3-12*
         mncnoptab(5,5,3,1)+8*mncnoptab(5,5,3,1)*ep-8*mncnoptab(5,5,3,1
         )*ep^2+8*mncnoptab(5,5,3,1)*ep^3+2*mncnoptab(6,4,1,3)-2*
         mncnoptab(6,4,1,3)*ep+2*mncnoptab(6,4,1,3)*ep^2-2*mncnoptab(6,
         4,1,3)*ep^3+5/2*mncnoptab(6,4,2,2)-5/2*mncnoptab(6,4,2,2)*ep+5/
         2*mncnoptab(6,4,2,2)*ep^2-5/2*mncnoptab(6,4,2,2)*ep^3-26*
         mncnoptab(6,5,1,2)+16*mncnoptab(6,5,1,2)*ep-16*mncnoptab(6,5,1
         ,2)*ep^2+16*mncnoptab(6,5,1,2)*ep^3-101*mncnoptab(6,5,2,1)+56*
         mncnoptab(6,5,2,1)*ep-60*mncnoptab(6,5,2,1)*ep^2+60*mncnoptab(
         6,5,2,1)*ep^3;

Fill mncnoptab(6,5,3,1)=
      +152020920290741/17288964000-26700*ep^-3-951127571/840*ep^-2-
         492150465169667/69854400*ep^-1-1092240*z3+
         150546813017105481590833/1917000328320000*ep-1638360*ep*z4+
         6600273973/420*ep*z3+8950753592499829930349533331/
         92993685926803200000*ep^2-5200800*ep^2*z5+6600273973/280*ep^2*
         z4+5431540411093033/34927200*ep^2*z3-
         3354187643002318399723191909299/14730199850805626880000*ep^3-
         10271400*ep^3*z6+28229088617/140*ep^3*z5+5431540411093033/
         23284800*ep^3*z4+736960273115196181/12102274800*ep^3*z3+
         25637088*ep^3*z3^2-103/25*mncnoptab(5,5,3,1)-112/125*
         mncnoptab(5,5,3,1)*ep+12/625*mncnoptab(5,5,3,1)*ep^2-12/3125*
         mncnoptab(5,5,3,1)*ep^3-3/10*mncnoptab(6,4,3,1)+3/50*
         mncnoptab(6,4,3,1)*ep-3/250*mncnoptab(6,4,3,1)*ep^2+3/1250*
         mncnoptab(6,4,3,1)*ep^3-1/10*mncnoptab(6,5,2,1)+1/50*
         mncnoptab(6,5,2,1)*ep-1/250*mncnoptab(6,5,2,1)*ep^2+1/1250*
         mncnoptab(6,5,2,1)*ep^3+6/5*mncnoptab(7,4,2,1)-6/25*mncnoptab(
         7,4,2,1)*ep+6/125*mncnoptab(7,4,2,1)*ep^2-6/625*mncnoptab(7,4,
         2,1)*ep^3;

Fill mncnoptab(6,6,2,1)=
      +34456461823572871/6174630000-2098852/25*ep^-3-1659312241/2250*
         ep^-2-38462494874813/31185000*ep^-1+49514416/25*z3+
         239783924537345832855809/11981252052000000*ep+74271624/25*ep*
         z4+19167026816/1125*ep*z3+969214998188076266168426701/
         332120306881440000000*ep^2+516671232/25*ep^2*z5+9583513408/375
         *ep^2*z4+430220224937071/15592500*ep^2*z3-63618934629646378166\
         9538343076617/9206374906753516800000000*ep^3+233578408/5*ep^3*
         z6+66786060974/375*ep^3*z5+430220224937071/10395000*ep^3*z4-
         2766513372889412501/21611205000*ep^3*z3-570078656/25*ep^3*z3^2
         -103/25*mncnoptab(6,5,1,2)-112/125*mncnoptab(6,5,1,2)*ep+12/
         625*mncnoptab(6,5,1,2)*ep^2-12/3125*mncnoptab(6,5,1,2)*ep^3-2/
         5*mncnoptab(6,5,2,1)+2/25*mncnoptab(6,5,2,1)*ep-2/125*
         mncnoptab(6,5,2,1)*ep^2+2/625*mncnoptab(6,5,2,1)*ep^3+6/5*
         mncnoptab(7,5,1,1)-6/25*mncnoptab(7,5,1,1)*ep+6/125*mncnoptab(
         7,5,1,1)*ep^2-6/625*mncnoptab(7,5,1,1)*ep^3;

Fill mncnoptab(7,1,1,6)=
      -2021926464233131817/2377232550000+286328/25*ep^-3+139895834/2475
         *ep^-2-53511540298003/343035000*ep^-1-8532608/25*z3+
         33333764627437013545987/32948443143000000*ep-12798912/25*ep*z4
         -22535396572/12375*ep*z3+838809236161063482565555409/
         228332710980990000000*ep^2-66758496/25*ep^2*z5-11267698286/
         4125*ep^2*z4+298695471645811/85758750*ep^2*z3-
         11236283512130383946841090016091/6329382748393042800000000*
         ep^3-29112944/5*ep^3*z6-63644520028/4125*ep^3*z5+
         298695471645811/57172500*ep^3*z4+27212275418768900737/
         1188616275000*ep^3*z3+121251424/25*ep^3*z3^2-16/25*mncnoptab(6
         ,2,1,5)-4/125*mncnoptab(6,2,1,5)*ep+4/625*mncnoptab(6,2,1,5)*
         ep^2-4/3125*mncnoptab(6,2,1,5)*ep^3-151/25*mncnoptab(7,1,1,5)-
         124/125*mncnoptab(7,1,1,5)*ep+24/625*mncnoptab(7,1,1,5)*ep^2-
         24/3125*mncnoptab(7,1,1,5)*ep^3;

Fill mncnoptab(7,2,1,5)=
      +837044471705492789/387272793600-29872*ep^-3-6917719699/20160*
         ep^-2-544668023760989/558835200*ep^-1+621277*z3+
         1342898093290111919004613/107352018385920000*ep+1863831/2*ep*
         z4+80049932909/10080*ep*z3+4323156305145368225111451851/
         743949487414425600000*ep^2+6114999*ep^2*z5+80049932909/6720*
         ep^2*z4+6656257635634759/279417600*ep^2*z3-1507953684604859888\
         32525757661229/4124455958225575526400000*ep^3+13734305*ep^3*z6
         +273367015001/3360*ep^3*z5+6656257635634759/186278400*ep^3*z4-
         47382086054560603109/968181984000*ep^3*z3-6921011*ep^3*z3^2+1/
         8*mncnoptab(6,2,1,5)-1/32*mncnoptab(6,2,1,5)*ep+1/128*
         mncnoptab(6,2,1,5)*ep^2-1/512*mncnoptab(6,2,1,5)*ep^3-15/32*
         mncnoptab(6,2,2,4)-1/128*mncnoptab(6,2,2,4)*ep+1/512*
         mncnoptab(6,2,2,4)*ep^2-1/2048*mncnoptab(6,2,2,4)*ep^3-15/16*
         mncnoptab(6,3,1,4)-1/64*mncnoptab(6,3,1,4)*ep+1/256*mncnoptab(
         6,3,1,4)*ep^2-1/1024*mncnoptab(6,3,1,4)*ep^3+1/4*mncnoptab(7,1
         ,1,5)-1/16*mncnoptab(7,1,1,5)*ep+1/64*mncnoptab(7,1,1,5)*ep^2-
         1/256*mncnoptab(7,1,1,5)*ep^3-283/32*mncnoptab(7,2,1,4)-141/
         128*mncnoptab(7,2,1,4)*ep+13/512*mncnoptab(7,2,1,4)*ep^2-13/
         2048*mncnoptab(7,2,1,4)*ep^3;

Fill mncnoptab(7,2,2,4)=
      +6194928739027711/100018800-868640*ep^-3-952780253/126*ep^-2-
         1316931709003/105840*ep^-1+16922240*z3+108200052168189217613/
         504094752000*ep+25383360*ep*z4+9746773951/63*ep*z3-
         9751515695550742367101/317579693760000*ep^2+187946880*ep^2*z5+
         9746773951/42*ep^2*z4+2917692436957/10584*ep^2*z3-
         644615139017605341770931853/800300828275200000*ep^3+427561600*
         ep^3*z6+35444586979/21*ep^3*z5+2917692436957/7056*ep^3*z4-
         64247787310356653/50009400*ep^3*z3-168641920*ep^3*z3^2+1/3*
         mncnoptab(6,2,2,4)-1/9*mncnoptab(6,2,2,4)*ep+1/27*mncnoptab(6,
         2,2,4)*ep^2-1/81*mncnoptab(6,2,2,4)*ep^3-28/9*mncnoptab(6,3,2,
         3)+4/27*mncnoptab(6,3,2,3)*ep-4/81*mncnoptab(6,3,2,3)*ep^2+4/
         243*mncnoptab(6,3,2,3)*ep^3+4/3*mncnoptab(7,1,1,5)-4/9*
         mncnoptab(7,1,1,5)*ep+4/27*mncnoptab(7,1,1,5)*ep^2-4/81*
         mncnoptab(7,1,1,5)*ep^3+4/3*mncnoptab(7,2,1,4)-4/9*mncnoptab(7
         ,2,1,4)*ep+4/27*mncnoptab(7,2,1,4)*ep^2-4/81*mncnoptab(7,2,1,4
         )*ep^3-131/9*mncnoptab(7,2,2,3)-22/27*mncnoptab(7,2,2,3)*ep-14/
         81*mncnoptab(7,2,2,3)*ep^2+14/243*mncnoptab(7,2,2,3)*ep^3;

Fill mncnoptab(7,3,1,4)=
      +6861906565536133/1131641280-860230/9*ep^-3-428611775/324*ep^-2-
         583760137817/116640*ep^-1+6914320/9*z3+569047553359919695777/
         8962598937600*ep+3457160/3*ep*z4+1769992229/81*ep*z3+
         15761080374042755002300759/347820539570380800*ep^2+40320280/3*
         ep^2*z5+1769992229/54*ep^2*z4+497847761828567/4490640*ep^2*z3-
         49063945523961002173312584253699/241039633922273894400000*ep^3
         +285116300/9*ep^3*z6+7019753156/27*ep^3*z5+497847761828567/
         2993760*ep^3*z4-2645488485782649593/31120135200*ep^3*z3+
         22273720/9*ep^3*z3^2+1/3*mncnoptab(6,3,1,4)-1/9*mncnoptab(6,3,
         1,4)*ep+1/27*mncnoptab(6,3,1,4)*ep^2-1/81*mncnoptab(6,3,1,4)*
         ep^3-7/9*mncnoptab(6,3,2,3)+1/27*mncnoptab(6,3,2,3)*ep-1/81*
         mncnoptab(6,3,2,3)*ep^2+1/243*mncnoptab(6,3,2,3)*ep^3-7/3*
         mncnoptab(6,4,1,3)+1/9*mncnoptab(6,4,1,3)*ep-1/27*mncnoptab(6,
         4,1,3)*ep^2+1/81*mncnoptab(6,4,1,3)*ep^3+1/2*mncnoptab(7,2,1,4
         )-1/6*mncnoptab(7,2,1,4)*ep+1/18*mncnoptab(7,2,1,4)*ep^2-1/54*
         mncnoptab(7,2,1,4)*ep^3-131/9*mncnoptab(7,3,1,3)-22/27*
         mncnoptab(7,3,1,3)*ep-14/81*mncnoptab(7,3,1,3)*ep^2+14/243*
         mncnoptab(7,3,1,3)*ep^3;

Fill mncnoptab(7,3,2,3)=
      +797663724154966111/3200601600-3468230*ep^-3-26189492755/1008*
         ep^-2-46868186315869/2540160*ep^-1+80347880*z3+
         2038409771128861792157/4032758016000*ep+120521820*ep*z4+
         42807459755/72*ep*z3-2447126488701184434235499/
         5081275100160000*ep^2+839893560*ep^2*z5+42807459755/48*ep^2*z4
         +104100532299931/254016*ep^2*z3-6873431722892620959133537877/
         3201203313100800000*ep^3+1898864200*ep^3*z6+149774095775/24*
         ep^3*z5+104100532299931/169344*ep^3*z4-9006877089998205701/
         1600300800*ep^3*z3-916201240*ep^3*z3^2+3/4*mncnoptab(6,3,2,3)-
         3/8*mncnoptab(6,3,2,3)*ep+3/16*mncnoptab(6,3,2,3)*ep^2-3/32*
         mncnoptab(6,3,2,3)*ep^3-13/4*mncnoptab(6,3,3,2)+5/8*mncnoptab(
         6,3,3,2)*ep-5/16*mncnoptab(6,3,3,2)*ep^2+5/32*mncnoptab(6,3,3,
         2)*ep^3-39/8*mncnoptab(6,4,2,2)+15/16*mncnoptab(6,4,2,2)*ep-15/
         32*mncnoptab(6,4,2,2)*ep^2+15/64*mncnoptab(6,4,2,2)*ep^3+3/2*
         mncnoptab(7,2,1,4)-3/4*mncnoptab(7,2,1,4)*ep+3/8*mncnoptab(7,2
         ,1,4)*ep^2-3/16*mncnoptab(7,2,1,4)*ep^3+5/4*mncnoptab(7,2,2,3)
         -5/8*mncnoptab(7,2,2,3)*ep+5/16*mncnoptab(7,2,2,3)*ep^2-5/32*
         mncnoptab(7,2,2,3)*ep^3+3/2*mncnoptab(7,3,1,3)-3/4*mncnoptab(7
         ,3,1,3)*ep+3/8*mncnoptab(7,3,1,3)*ep^2-3/16*mncnoptab(7,3,1,3)
         *ep^3-239/8*mncnoptab(7,3,2,2)+43/16*mncnoptab(7,3,2,2)*ep-75/
         32*mncnoptab(7,3,2,2)*ep^2+75/64*mncnoptab(7,3,2,2)*ep^3;

Fill mncnoptab(7,3,3,2)=
      +1292791016910719/19051200-759360*ep^-3-21971407/2*ep^-2-
         17162661239/432*ep^-1+6464640*z3+4187068932977716267/
         8001504000*ep+9696960*ep*z4+190096653*ep*z3+
         5394852875227785278023/30245685120000*ep^2+106001280*ep^2*z5+
         570289959/2*ep^2*z4+1350510674059/1512*ep^2*z3-
         139408710138928654373305099/76219126502400000*ep^3+248841600*
         ep^3*z6+2212201451*ep^3*z5+1350510674059/1008*ep^3*z4-
         11001052826640673/9525600*ep^3*z3+10819200*ep^3*z3^2+2*
         mncnoptab(6,3,3,2)-2*mncnoptab(6,3,3,2)*ep+2*mncnoptab(6,3,3,2
         )*ep^2-2*mncnoptab(6,3,3,2)*ep^3-36*mncnoptab(6,4,3,1)+24*
         mncnoptab(6,4,3,1)*ep-24*mncnoptab(6,4,3,1)*ep^2+24*mncnoptab(
         6,4,3,1)*ep^3+2*mncnoptab(7,2,2,3)-2*mncnoptab(7,2,2,3)*ep+2*
         mncnoptab(7,2,2,3)*ep^2-2*mncnoptab(7,2,2,3)*ep^3+7*mncnoptab(
         7,3,2,2)-7*mncnoptab(7,3,2,2)*ep+7*mncnoptab(7,3,2,2)*ep^2-7*
         mncnoptab(7,3,2,2)*ep^3-107*mncnoptab(7,3,3,1)+60*mncnoptab(7,
         3,3,1)*ep-64*mncnoptab(7,3,3,1)*ep^2+64*mncnoptab(7,3,3,1)*
         ep^3;

Fill mncnoptab(7,4,1,3)=
      +884619383435674729/27662342400-449785*ep^-3-130914481/36*ep^-2-
         300280453817/71280*ep^-1+10574200*z3+64535830498262058793217/
         766800131328000*ep+15861300*ep*z4+3043123633/36*ep*z3-
         148550365148126264866747381/4251139928082432000*ep^2+109794300
         *ep^2*z5+3043123633/24*ep^2*z4+1205225246795/12474*ep^2*z3-
         191634977223734361657070103797447/589207994032225075200000*
         ep^3+248050250*ep^3*z6+10577220367/12*ep^3*z5+1205225246795/
         8316*ep^3*z4-1442516539877472077/1975881600*ep^3*z3-121872380*
         ep^3*z3^2+3/4*mncnoptab(6,4,1,3)-3/8*mncnoptab(6,4,1,3)*ep+3/
         16*mncnoptab(6,4,1,3)*ep^2-3/32*mncnoptab(6,4,1,3)*ep^3-13/8*
         mncnoptab(6,4,2,2)+5/16*mncnoptab(6,4,2,2)*ep-5/32*mncnoptab(6
         ,4,2,2)*ep^2+5/64*mncnoptab(6,4,2,2)*ep^3-13/2*mncnoptab(6,5,1
         ,2)+5/4*mncnoptab(6,5,1,2)*ep-5/8*mncnoptab(6,5,1,2)*ep^2+5/16
         *mncnoptab(6,5,1,2)*ep^3+mncnoptab(7,3,1,3)-1/2*mncnoptab(7,3,
         1,3)*ep+1/4*mncnoptab(7,3,1,3)*ep^2-1/8*mncnoptab(7,3,1,3)*
         ep^3-239/8*mncnoptab(7,4,1,2)+43/16*mncnoptab(7,4,1,2)*ep-75/
         32*mncnoptab(7,4,1,2)*ep^2+75/64*mncnoptab(7,4,1,2)*ep^3;

Fill mncnoptab(7,4,2,2)=
      +4530368339533601/66679200-936120*ep^-3-709776659/84*ep^-2-
         3202692206321/211680*ep^-1+18371280*z3+42231941948091706001/
         168031584000*ep+27556920*ep*z4+1035309079/6*ep*z3-
         15780226720559043500903/846879183360000*ep^2+203488560*ep^2*z5
         +1035309079/4*ep^2*z4+34438668380899/105840*ep^2*z3-
         2011619303971555452899912183/2134135542067200000*ep^3+
         462793200*ep^3*z6+3760778971/2*ep^3*z5+34438668380899/70560*
         ep^3*z4-47475212988402847/33339600*ep^3*z3-184297200*ep^3*z3^2
         +2*mncnoptab(6,4,2,2)-2*mncnoptab(6,4,2,2)*ep+2*mncnoptab(6,4,
         2,2)*ep^2-2*mncnoptab(6,4,2,2)*ep^3-12*mncnoptab(6,4,3,1)+8*
         mncnoptab(6,4,3,1)*ep-8*mncnoptab(6,4,3,1)*ep^2+8*mncnoptab(6,
         4,3,1)*ep^3-24*mncnoptab(6,5,2,1)+16*mncnoptab(6,5,2,1)*ep-16*
         mncnoptab(6,5,2,1)*ep^2+16*mncnoptab(6,5,2,1)*ep^3+2*
         mncnoptab(7,3,1,3)-2*mncnoptab(7,3,1,3)*ep+2*mncnoptab(7,3,1,3
         )*ep^2-2*mncnoptab(7,3,1,3)*ep^3+3*mncnoptab(7,3,2,2)-3*
         mncnoptab(7,3,2,2)*ep+3*mncnoptab(7,3,2,2)*ep^2-3*mncnoptab(7,
         3,2,2)*ep^3+4*mncnoptab(7,4,1,2)-4*mncnoptab(7,4,1,2)*ep+4*
         mncnoptab(7,4,1,2)*ep^2-4*mncnoptab(7,4,1,2)*ep^3-107*
         mncnoptab(7,4,2,1)+60*mncnoptab(7,4,2,1)*ep-64*mncnoptab(7,4,2
         ,1)*ep^2+64*mncnoptab(7,4,2,1)*ep^3;

Fill mncnoptab(7,4,3,1)=
      +25900243565387062937/6970910284800-2479615/36*ep^-3-1596252815/
         1728*ep^-2-345829773005609/100590336*ep^-1+7551310/9*z3+
         8239333175784415731813877/193233633094656000*ep+3775655/3*ep*
         z4+98886716335/6048*ep*z3+52514865434364879786250903463/
         1339109077345966080000*ep^2+33791615/3*ep^2*z5+98886716335/
         4032*ep^2*z4+3724727427443893/50295168*ep^2*z3-194969494985908\
         43687714139992836043/148480414496120718950400000*ep^3+
         469117675/18*ep^3*z6+379341406715/2016*ep^3*z5+
         3724727427443893/33530112*ep^3*z4-50534063369343531469/
         871363785600*ep^3*z3-35017805/9*ep^3*z3^2-217/72*mncnoptab(6,4
         ,3,1)-323/432*mncnoptab(6,4,3,1)*ep+35/2592*mncnoptab(6,4,3,1)
         *ep^2-35/15552*mncnoptab(6,4,3,1)*ep^3-1/3*mncnoptab(7,3,3,1)+
         1/18*mncnoptab(7,3,3,1)*ep-1/108*mncnoptab(7,3,3,1)*ep^2+1/648
         *mncnoptab(7,3,3,1)*ep^3-1/4*mncnoptab(7,4,2,1)+1/24*
         mncnoptab(7,4,2,1)*ep-1/144*mncnoptab(7,4,2,1)*ep^2+1/864*
         mncnoptab(7,4,2,1)*ep^3+7/6*mncnoptab(8,3,2,1)-7/36*mncnoptab(
         8,3,2,1)*ep+7/216*mncnoptab(8,3,2,1)*ep^2-7/1296*mncnoptab(8,3
         ,2,1)*ep^3;

Fill mncnoptab(7,5,1,2)=
      +1927310307414139/285768000-135338*ep^-3-167853109/180*ep^-2-
         68720601007/56700*ep^-1+1027544*z3+102930787811490853273/
         3960744480000*ep+1541316*ep*z4+399101938/45*ep*z3+
         69980840229362947493977/21958367397120000*ep^2+18103008*ep^2*
         z5+199550969/15*ep^2*z4+2567356460821/124740*ep^2*z3-
         42504919035780473317030256297/434775674462976000000*ep^3+
         42688660*ep^3*z6+2129753017/15*ep^3*z5+2567356460821/83160*
         ep^3*z4-277036860186379729/3457792800*ep^3*z3+4346048*ep^3*
         z3^2+2*mncnoptab(6,5,1,2)-2*mncnoptab(6,5,1,2)*ep+2*mncnoptab(
         6,5,1,2)*ep^2-2*mncnoptab(6,5,1,2)*ep^3-6*mncnoptab(6,5,2,1)+4
         *mncnoptab(6,5,2,1)*ep-4*mncnoptab(6,5,2,1)*ep^2+4*mncnoptab(6
         ,5,2,1)*ep^3-30*mncnoptab(6,6,1,1)+20*mncnoptab(6,6,1,1)*ep-20
         *mncnoptab(6,6,1,1)*ep^2+20*mncnoptab(6,6,1,1)*ep^3+5/2*
         mncnoptab(7,4,1,2)-5/2*mncnoptab(7,4,1,2)*ep+5/2*mncnoptab(7,4
         ,1,2)*ep^2-5/2*mncnoptab(7,4,1,2)*ep^3-107*mncnoptab(7,5,1,1)+
         60*mncnoptab(7,5,1,1)*ep-64*mncnoptab(7,5,1,1)*ep^2+64*
         mncnoptab(7,5,1,1)*ep^3;

Fill mncnoptab(7,5,2,1)=
      +553783301871550559/138311712000-1109401/18*ep^-3-12269556133/
         22680*ep^-2-131495221473799/139708800*ep^-1+11822738/9*z3+
         1736050767762046619749/115020019699200*ep+5911369/3*ep*z4+
         52432276373/4536*ep*z3+250202266504283872532966447/
         82661054157158400000*ep^2+14078284*ep^2*z5+52432276373/3024*
         ep^2*z4+278491293900077/13970880*ep^2*z3-456667984984134558751\
         193195783963/8838119910483376128000000*ep^3+287204545/9*ep^3*
         z6+187280967179/1512*ep^3*z5+278491293900077/9313920*ep^3*z4-
         42343954302606336299/484090992000*ep^3*z3-127263124/9*ep^3*
         z3^2-217/72*mncnoptab(6,5,2,1)-323/432*mncnoptab(6,5,2,1)*ep+
         35/2592*mncnoptab(6,5,2,1)*ep^2-35/15552*mncnoptab(6,5,2,1)*
         ep^3-5/12*mncnoptab(7,4,2,1)+5/72*mncnoptab(7,4,2,1)*ep-5/432*
         mncnoptab(7,4,2,1)*ep^2+5/2592*mncnoptab(7,4,2,1)*ep^3-1/6*
         mncnoptab(7,5,1,1)+1/36*mncnoptab(7,5,1,1)*ep-1/216*mncnoptab(
         7,5,1,1)*ep^2+1/1296*mncnoptab(7,5,1,1)*ep^3+7/6*mncnoptab(8,4
         ,1,1)-7/36*mncnoptab(8,4,1,1)*ep+7/216*mncnoptab(8,4,1,1)*ep^2
         -7/1296*mncnoptab(8,4,1,1)*ep^3;

Fill mncnoptab(7,6,1,1)=
      +191244527607520253/1244805408000-84917/18*ep^-3-20074331/648*
         ep^-2-14094550305907/282268800*ep^-1-85652/9*z3+
         50265954902516392589021/54223723572480000*ep-42826/3*ep*z4-
         638811845/7128*ep*z3+4553895318415937615665856369/
         5260785661002009600000*ep^2+910322/3*ep^2*z5-638811845/4752*
         ep^2*z4+191364581667659/987940800*ep^2*z3-24182042977901989748\
         4722413062459719085645421817/174909753932707244438571284692992\
         0000000*ep^3+7041545/9*ep^3*z6+5044202029/2376*ep^3*z5+
         191364581667659/658627200*ep^3*z4+540524819647986119/
         1369285948800*ep^3*z3+9060394/9*ep^3*z3^2-217/72*mncnoptab(6,6
         ,1,1)-323/432*mncnoptab(6,6,1,1)*ep+35/2592*mncnoptab(6,6,1,1)
         *ep^2-35/15552*mncnoptab(6,6,1,1)*ep^3-1/2*mncnoptab(7,5,1,1)+
         1/12*mncnoptab(7,5,1,1)*ep-1/72*mncnoptab(7,5,1,1)*ep^2+1/432*
         mncnoptab(7,5,1,1)*ep^3;

Fill mncnoptab(8,1,1,5)=
      +65281796756604223/142000024320-8475*ep^-3-108282225/2464*ep^-2+
         3672305685163/40981248*ep^-1+312000*z3-445682194684945008317/
         1124640192614400*ep+468000*ep*z4+1886857055/1232*ep*z3-
         11705477620496552434170401/10911259148744908800*ep^2+3186000*
         ep^2*z5+5660571165/2464*ep^2*z4-48571968396473/20490624*ep^2*
         z3+862774842534815169651767329351/1512300518016044359680000*
         ep^3+7185000*ep^3*z6+18711162185/1232*ep^3*z5-48571968396473/
         13660416*ep^3*z4-994294012786007501/71000012160*ep^3*z3-
         4242000*ep^3*z3^2-15/16*mncnoptab(7,2,1,4)-1/64*mncnoptab(7,2,
         1,4)*ep+1/256*mncnoptab(7,2,1,4)*ep^2-1/1024*mncnoptab(7,2,1,4
         )*ep^3-149/16*mncnoptab(8,1,1,4)-71/64*mncnoptab(8,1,1,4)*ep+7/
         256*mncnoptab(8,1,1,4)*ep^2-7/1024*mncnoptab(8,1,1,4)*ep^3;

Fill mncnoptab(8,2,1,4)=
      +126567126318485621/871363785600-80590/9*ep^-3-233280023/2268*
         ep^-2-3040777527407/7858620*ep^-1+609040/9*z3+
         3876062516242507911709/862650147744000*ep+304520/3*ep*z4+
         746695298/567*ep*z3+1312321926017794271396977907/
         167388634668245760000*ep^2+2679160/3*ep^2*z5+373347649/189*
         ep^2*z4+5586147966611/785862*ep^2*z3-
         3425516529148281862860390579539/290000809562735779200000*ep^3+
         18571100/9*ep^3*z6+3150757907/189*ep^3*z5+5586147966611/523908
         *ep^3*z4+767998966210633433/435681892800*ep^3*z3+1008280/9*
         ep^3*z3^2+1/6*mncnoptab(7,2,1,4)-1/18*mncnoptab(7,2,1,4)*ep+1/
         54*mncnoptab(7,2,1,4)*ep^2-1/162*mncnoptab(7,2,1,4)*ep^3-7/9*
         mncnoptab(7,2,2,3)+1/27*mncnoptab(7,2,2,3)*ep-1/81*mncnoptab(7
         ,2,2,3)*ep^2+1/243*mncnoptab(7,2,2,3)*ep^3-14/9*mncnoptab(7,3,
         1,3)+2/27*mncnoptab(7,3,1,3)*ep-2/81*mncnoptab(7,3,1,3)*ep^2+2/
         243*mncnoptab(7,3,1,3)*ep^3+2/3*mncnoptab(8,1,1,4)-2/9*
         mncnoptab(8,1,1,4)*ep+2/27*mncnoptab(8,1,1,4)*ep^2-2/81*
         mncnoptab(8,1,1,4)*ep^3-46/3*mncnoptab(8,2,1,3)-7/9*mncnoptab(
         8,2,1,3)*ep-5/27*mncnoptab(8,2,1,3)*ep^2+5/81*mncnoptab(8,2,1,
         3)*ep^3;

Fill mncnoptab(8,2,2,3)=
      +10093516815917567/320060160-443650*ep^-3-120090665/36*ep^-2-
         152107809563/63504*ep^-1+10794700*z3+51474203582123768111/
         806551603200*ep+16192050*ep*z4+10024037095/126*ep*z3-
         22532244488972339992811/406502008012800*ep^2+111054900*ep^2*z5
         +10024037095/84*ep^2*z4+125914690481/2268*ep^2*z3-
         272047184685770398464630677/1024385060192256000*ep^3+250650500
         *ep^3*z6+4943293765/6*ep^3*z5+125914690481/1512*ep^3*z4-
         16689225671698789/22861440*ep^3*z3-127016900*ep^3*z3^2+1/2*
         mncnoptab(7,2,2,3)-1/4*mncnoptab(7,2,2,3)*ep+1/8*mncnoptab(7,2
         ,2,3)*ep^2-1/16*mncnoptab(7,2,2,3)*ep^3-13/2*mncnoptab(7,3,2,2
         )+5/4*mncnoptab(7,3,2,2)*ep-5/8*mncnoptab(7,3,2,2)*ep^2+5/16*
         mncnoptab(7,3,2,2)*ep^3+3/2*mncnoptab(8,1,1,4)-3/4*mncnoptab(8
         ,1,1,4)*ep+3/8*mncnoptab(8,1,1,4)*ep^2-3/16*mncnoptab(8,1,1,4)
         *ep^3+3*mncnoptab(8,2,1,3)-3/2*mncnoptab(8,2,1,3)*ep+3/4*
         mncnoptab(8,2,1,3)*ep^2-3/8*mncnoptab(8,2,1,3)*ep^3-63/2*
         mncnoptab(8,2,2,2)+3*mncnoptab(8,2,2,2)*ep-5/2*mncnoptab(8,2,2
         ,2)*ep^2+5/4*mncnoptab(8,2,2,2)*ep^3;

Fill mncnoptab(8,3,1,3)=
      +9948439275484815649/1161818380800-365065/3*ep^-3-2931705247/3024
         *ep^-2-85455976909979/83825280*ep^-1+9192640/3*z3+
         171085776938568371609117/8051401378944000*ep+4596320*ep*z4+
         35919462479/1512*ep*z3-4209118487213655512544397549/
         446369692448655360000*ep^2+31333060*ep^2*z5+35919462479/1008*
         ep^2*z4+204041990200757/8382528*ep^2*z3-1022209904526669168429\
         282748833257/12373367874676726579200000*ep^3+212016350/3*ep^3*
         z6+122953370711/504*ep^3*z5+204041990200757/5588352*ep^3*z4-
         117124484067196204283/580909190400*ep^3*z3-110141420/3*ep^3*
         z3^2+1/2*mncnoptab(7,3,1,3)-1/4*mncnoptab(7,3,1,3)*ep+1/8*
         mncnoptab(7,3,1,3)*ep^2-1/16*mncnoptab(7,3,1,3)*ep^3-13/8*
         mncnoptab(7,3,2,2)+5/16*mncnoptab(7,3,2,2)*ep-5/32*mncnoptab(7
         ,3,2,2)*ep^2+5/64*mncnoptab(7,3,2,2)*ep^3-39/8*mncnoptab(7,4,1
         ,2)+15/16*mncnoptab(7,4,1,2)*ep-15/32*mncnoptab(7,4,1,2)*ep^2+
         15/64*mncnoptab(7,4,1,2)*ep^3+5/4*mncnoptab(8,2,1,3)-5/8*
         mncnoptab(8,2,1,3)*ep+5/16*mncnoptab(8,2,1,3)*ep^2-5/32*
         mncnoptab(8,2,1,3)*ep^3-63/2*mncnoptab(8,3,1,2)+3*mncnoptab(8,
         3,1,2)*ep-5/2*mncnoptab(8,3,1,2)*ep^2+5/4*mncnoptab(8,3,1,2)*
         ep^3;

Fill mncnoptab(8,3,2,2)=
      +49514097065048513/2400451200-861620/3*ep^-3-135052195/54*ep^-2-
         7956382465229/1905120*ep^-1+15130520/3*z3+
         218870473652774015887/3024568512000*ep+7565260*ep*z4+
         8923864121/189*ep*z3-98731627001549363189471/7621912650240000*
         ep^2+58281080*ep^2*z5+8923864121/126*ep^2*z4+82454005898707/
         952560*ep^2*z3-2623679256591674925071498131/
         9603609939302400000*ep^3+399281800/3*ep^3*z6+4769374667/9*ep^3
         *z5+82454005898707/635040*ep^3*z4-496140300736460533/
         1200225600*ep^3*z3-135834760/3*ep^3*z3^2+3/2*mncnoptab(7,3,2,2
         )-3/2*mncnoptab(7,3,2,2)*ep+3/2*mncnoptab(7,3,2,2)*ep^2-3/2*
         mncnoptab(7,3,2,2)*ep^3-12*mncnoptab(7,3,3,1)+8*mncnoptab(7,3,
         3,1)*ep-8*mncnoptab(7,3,3,1)*ep^2+8*mncnoptab(7,3,3,1)*ep^3-18
         *mncnoptab(7,4,2,1)+12*mncnoptab(7,4,2,1)*ep-12*mncnoptab(7,4,
         2,1)*ep^2+12*mncnoptab(7,4,2,1)*ep^3+2*mncnoptab(8,2,1,3)-2*
         mncnoptab(8,2,1,3)*ep+2*mncnoptab(8,2,1,3)*ep^2-2*mncnoptab(8,
         2,1,3)*ep^3+7/2*mncnoptab(8,2,2,2)-7/2*mncnoptab(8,2,2,2)*ep+7/
         2*mncnoptab(8,2,2,2)*ep^2-7/2*mncnoptab(8,2,2,2)*ep^3+4*
         mncnoptab(8,3,1,2)-4*mncnoptab(8,3,1,2)*ep+4*mncnoptab(8,3,1,2
         )*ep^2-4*mncnoptab(8,3,1,2)*ep^3-113*mncnoptab(8,3,2,1)+64*
         mncnoptab(8,3,2,1)*ep-68*mncnoptab(8,3,2,1)*ep^2+68*mncnoptab(
         8,3,2,1)*ep^3;

Fill mncnoptab(8,3,3,1)=
      +326725926852867475/284645503296-1012800/49*ep^-3-4620720625/
         18522*ep^-2-687911311405/814968*ep^-1+10769600/49*z3+
         47529602694194156873189/4383540750758400*ep+16154400/49*ep*z4+
         37214622995/9261*ep*z3+9562063389835408964875431191/
         1093605746499205632000*ep^2+157995200/49*ep^2*z5+37214622995/
         6174*ep^2*z4+21419098350673/1222452*ep^2*z3-
         16294710741930952277463567637813/481186528459650478080000*ep^3
         +368064000/49*ep^3*z6+49632651485/1029*ep^3*z5+21419098350673/
         814968*ep^3*z4-12303651618337760041/711613758240*ep^3*z3-
         25419200/49*ep^3*z3^2-113/49*mncnoptab(7,3,3,1)-216/343*
         mncnoptab(7,3,3,1)*ep+20/2401*mncnoptab(7,3,3,1)*ep^2-20/16807
         *mncnoptab(7,3,3,1)*ep^3-5/7*mncnoptab(8,3,2,1)+5/49*
         mncnoptab(8,3,2,1)*ep-5/343*mncnoptab(8,3,2,1)*ep^2+5/2401*
         mncnoptab(8,3,2,1)*ep^3+8/7*mncnoptab(9,2,2,1)-8/49*mncnoptab(
         9,2,2,1)*ep+8/343*mncnoptab(9,2,2,1)*ep^2-8/2401*mncnoptab(9,2
         ,2,1)*ep^3;

Fill mncnoptab(8,4,1,2)=
      +10946406824081567/3227273280-65290*ep^-3-55889515/126*ep^-2-
         1121785239077/2328480*ep^-1+621160*z3+168264728774712906181/
         14910002553600*ep+931740*ep*z4+596064445/126*ep*z3-
         1860268536552304442251529/12399158123573760000*ep^2+9511920*
         ep^2*z5+596064445/84*ep^2*z4+1624407708263/232848*ep^2*z3-
         1661412123158460200033727526751/38189407020607180800000*ep^3+
         22226900*ep^3*z6+2966295355/42*ep^3*z5+1624407708263/155232*
         ep^3*z4-54284638639476731/1152597600*ep^3*z3-346640*ep^3*z3^2+
         3/2*mncnoptab(7,4,1,2)-3/2*mncnoptab(7,4,1,2)*ep+3/2*
         mncnoptab(7,4,1,2)*ep^2-3/2*mncnoptab(7,4,1,2)*ep^3-6*
         mncnoptab(7,4,2,1)+4*mncnoptab(7,4,2,1)*ep-4*mncnoptab(7,4,2,1
         )*ep^2+4*mncnoptab(7,4,2,1)*ep^3-24*mncnoptab(7,5,1,1)+16*
         mncnoptab(7,5,1,1)*ep-16*mncnoptab(7,5,1,1)*ep^2+16*mncnoptab(
         7,5,1,1)*ep^3+3*mncnoptab(8,3,1,2)-3*mncnoptab(8,3,1,2)*ep+3*
         mncnoptab(8,3,1,2)*ep^2-3*mncnoptab(8,3,1,2)*ep^3-113*
         mncnoptab(8,4,1,1)+64*mncnoptab(8,4,1,1)*ep-68*mncnoptab(8,4,1
         ,1)*ep^2+68*mncnoptab(8,4,1,1)*ep^3;

Fill mncnoptab(8,4,2,1)=
      +7207555811128934627/4744091721600-1191760/49*ep^-3-2547832963/
         12348*ep^-2-8164053393431/24449040*ep^-1+24475840/49*z3+
         145273677682269053983781/26301244504550400*ep+36713760/49*ep*
         z4+25884585401/6174*ep*z3+889107795984005260968243739/
         729070497666137088000*ep^2+267622080/49*ep^2*z5+25884585401/
         4116*ep^2*z4+78762887633533/12224520*ep^2*z3-27189917142532947\
         4557505765709561/14435595853789514342400000*ep^3+607865600/49*
         ep^3*z6+94239707669/2058*ep^3*z5+78762887633533/8149680*ep^3*
         z4-77577737142104219329/2372045860800*ep^3*z3-254720960/49*
         ep^3*z3^2-113/49*mncnoptab(7,4,2,1)-216/343*mncnoptab(7,4,2,1)
         *ep+20/2401*mncnoptab(7,4,2,1)*ep^2-20/16807*mncnoptab(7,4,2,1
         )*ep^3-3/7*mncnoptab(8,3,2,1)+3/49*mncnoptab(8,3,2,1)*ep-3/343
         *mncnoptab(8,3,2,1)*ep^2+3/2401*mncnoptab(8,3,2,1)*ep^3-2/7*
         mncnoptab(8,4,1,1)+2/49*mncnoptab(8,4,1,1)*ep-2/343*mncnoptab(
         8,4,1,1)*ep^2+2/2401*mncnoptab(8,4,1,1)*ep^3+8/7*mncnoptab(9,3
         ,1,1)-8/49*mncnoptab(9,3,1,1)*ep+8/343*mncnoptab(9,3,1,1)*ep^2
         -8/2401*mncnoptab(9,3,1,1)*ep^3;

Fill mncnoptab(8,5,1,1)=
      +1005131954859727/13178032560-117210/49*ep^-3-6234217/392*ep^-2-
         66527641390327/2510101440*ep^-1-232080/49*z3+
         15398855499296318305573/32145965505561600*ep-348120/49*ep*z4-
         104679453/2156*ep*z3+523616996606543854963115159/
         1113857704767709440000*ep^2+7962840/49*ep^2*z5-314038359/4312*
         ep^2*z4+88732747583021/1255050720*ep^2*z3-38988145515321871958\
         11635180734910194768631157/10043646026604673801746085488230400\
         0000*ep^3+20487300/49*ep^3*z6+16637684303/15092*ep^3*z5+
         88732747583021/836700480*ep^3*z4+55556342063366227/
         362395895400*ep^3*z3+25164840/49*ep^3*z3^2-113/49*mncnoptab(7,
         5,1,1)-216/343*mncnoptab(7,5,1,1)*ep+20/2401*mncnoptab(7,5,1,1
         )*ep^2-20/16807*mncnoptab(7,5,1,1)*ep^3-1/2*mncnoptab(8,4,1,1)
         +1/14*mncnoptab(8,4,1,1)*ep-1/98*mncnoptab(8,4,1,1)*ep^2+1/686
         *mncnoptab(8,4,1,1)*ep^3;

Fill mncnoptab(9,1,1,4)=
      -225172845043736743/1369285948800+20590/9*ep^-3+139440359/12474*
         ep^-2-10790338810847/345779280*ep^-1-653440/9*z3+
         45494767500643772026003/265696245505152000*ep-326720/3*ep*z4-
         4766510201/12474*ep*z3+5178447305778594363443201777/
         7365099925402813440000*ep^2-1830760/3*ep^2*z5-4766510201/8316*
         ep^2*z4+2793704554558/4322241*ep^2*z3-
         1136433862645698018717773093087/29165795704595141222400000*
         ep^3-12097100/9*ep^3*z6-13789212959/4158*ep^3*z5+1396852277279/
         1440747*ep^3*z4+21101352779905330907/4792500820800*ep^3*z3+
         9228920/9*ep^3*z3^2-14/9*mncnoptab(8,2,1,3)+2/27*mncnoptab(8,2
         ,1,3)*ep-2/81*mncnoptab(8,2,1,3)*ep^2+2/243*mncnoptab(8,2,1,3)
         *ep^3-145/9*mncnoptab(9,1,1,3)-20/27*mncnoptab(9,1,1,3)*ep-16/
         81*mncnoptab(9,1,1,3)*ep^2+16/243*mncnoptab(9,1,1,3)*ep^3;

Fill mncnoptab(9,2,1,3)=
      +17025555749888627/23236367616-28675/3*ep^-3-133211345/1512*ep^-2
         -647311726183/4191264*ep^-1+707425/3*z3+7964876404284452187707/
         3220560551577600*ep+707425/2*ep*z4+3366127745/1512*ep*z3-
         37719173815052320606185173/89273938489731072000*ep^2+2341075*
         ep^2*z5+3366127745/1008*ep^2*z4+17440638930397/4191264*ep^2*z3
         -21659281817103215936377173018181/2474673574935345315840000*
         ep^3+15789500/3*ep^3*z6+11295836855/504*ep^3*z5+17440638930397/
         2794176*ep^3*z4-991658184358649369/58090919040*ep^3*z3-8527925/
         3*ep^3*z3^2+1/4*mncnoptab(8,2,1,3)-1/8*mncnoptab(8,2,1,3)*ep+1/
         16*mncnoptab(8,2,1,3)*ep^2-1/32*mncnoptab(8,2,1,3)*ep^3-13/8*
         mncnoptab(8,2,2,2)+5/16*mncnoptab(8,2,2,2)*ep-5/32*mncnoptab(8
         ,2,2,2)*ep^2+5/64*mncnoptab(8,2,2,2)*ep^3-13/4*mncnoptab(8,3,1
         ,2)+5/8*mncnoptab(8,3,1,2)*ep-5/16*mncnoptab(8,3,1,2)*ep^2+5/
         32*mncnoptab(8,3,1,2)*ep^3+3/2*mncnoptab(9,1,1,3)-3/4*
         mncnoptab(9,1,1,3)*ep+3/8*mncnoptab(9,1,1,3)*ep^2-3/16*
         mncnoptab(9,1,1,3)*ep^3-265/8*mncnoptab(9,2,1,2)+53/16*
         mncnoptab(9,2,1,2)*ep-85/32*mncnoptab(9,2,1,2)*ep^2+85/64*
         mncnoptab(9,2,1,2)*ep^3;

Fill mncnoptab(9,2,2,2)=
      +699319810685761/240045120-131920/3*ep^-3-62533036/189*ep^-2-
         29813497421/95256*ep^-1+2508160/3*z3+4399749346912780603/
         604913702400*ep+1254080*ep*z4+1174109236/189*ep*z3-
         5351402450730728978723/1524382530048000*ep^2+9370240*ep^2*z5+
         587054618/63*ep^2*z4+164970671039/34020*ep^2*z3-
         559028858079805566091341397/19207219878604800000*ep^3+64006400/
         3*ep^3*z6+4389191764/63*ep^3*z5+164970671039/22680*ep^3*z4-
         36329724651038977/600112800*ep^3*z3-24437120/3*ep^3*z3^2+
         mncnoptab(8,2,2,2)-mncnoptab(8,2,2,2)*ep+mncnoptab(8,2,2,2)*
         ep^2-mncnoptab(8,2,2,2)*ep^3-24*mncnoptab(8,3,2,1)+16*
         mncnoptab(8,3,2,1)*ep-16*mncnoptab(8,3,2,1)*ep^2+16*mncnoptab(
         8,3,2,1)*ep^3+2*mncnoptab(9,1,1,3)-2*mncnoptab(9,1,1,3)*ep+2*
         mncnoptab(9,1,1,3)*ep^2-2*mncnoptab(9,1,1,3)*ep^3+8*mncnoptab(
         9,2,1,2)-8*mncnoptab(9,2,1,2)*ep+8*mncnoptab(9,2,1,2)*ep^2-8*
         mncnoptab(9,2,1,2)*ep^3-119*mncnoptab(9,2,2,1)+68*mncnoptab(9,
         2,2,1)*ep-72*mncnoptab(9,2,2,1)*ep^2+72*mncnoptab(9,2,2,1)*
         ep^3;

Fill mncnoptab(9,3,1,2)=
      +395385239534051/564537600-12985*ep^-3-821461/9*ep^-2-
         773777703443/6985440*ep^-1+116920*z3+12953979581487393950161/
         5367600919296000*ep+175380*ep*z4+234784603/252*ep*z3-
         13538557106419000930862689/148789897482885120000*ep^2+1886940*
         ep^2*z5+234784603/168*ep^2*z4+1227423439171/873180*ep^2*z3-
         768795677906012750341974380411/84172570576032153600000*ep^3+
         4425050*ep^3*z6+1209633697/84*ep^3*z5+1227423439171/582120*
         ep^3*z4-993541292888689087/96818198400*ep^3*z3+81700*ep^3*z3^2
         +mncnoptab(8,3,1,2)-mncnoptab(8,3,1,2)*ep+mncnoptab(8,3,1,2)*
         ep^2-mncnoptab(8,3,1,2)*ep^3-6*mncnoptab(8,3,2,1)+4*mncnoptab(
         8,3,2,1)*ep-4*mncnoptab(8,3,2,1)*ep^2+4*mncnoptab(8,3,2,1)*
         ep^3-18*mncnoptab(8,4,1,1)+12*mncnoptab(8,4,1,1)*ep-12*
         mncnoptab(8,4,1,1)*ep^2+12*mncnoptab(8,4,1,1)*ep^3+7/2*
         mncnoptab(9,2,1,2)-7/2*mncnoptab(9,2,1,2)*ep+7/2*mncnoptab(9,2
         ,1,2)*ep^2-7/2*mncnoptab(9,2,1,2)*ep^3-119*mncnoptab(9,3,1,1)+
         68*mncnoptab(9,3,1,1)*ep-72*mncnoptab(9,3,1,1)*ep^2+72*
         mncnoptab(9,3,1,1)*ep^3;

Fill mncnoptab(9,3,2,1)=
      +1010255489057145433/4130909798400-772355/192*ep^-3-61895037/1792
         *ep^-2-161754818993773/2682408960*ep^-1+3516485/48*z3+
         395839861685605897227103/412231750601932800*ep+3516485/32*ep*
         z4+10238492419/16128*ep*z3+954806587290348317367258791/
         3174184479634882560000*ep^2+3316885/4*ep^2*z5+10238492419/
         10752*ep^2*z4+141185554347857/134120448*ep^2*z3-10037606192891\
         53584472348822078601/316758217591724200427520000*ep^3+
         181430675/96*ep^3*z6+115844089423/16128*ep^3*z5+
         141185554347857/89413632*ep^3*z4-63176318031019496393/
         12392729395200*ep^3*z3-2061595/3*ep^3*z3^2-233/128*mncnoptab(8
         ,3,2,1)-551/1024*mncnoptab(8,3,2,1)*ep+39/8192*mncnoptab(8,3,2
         ,1)*ep^2-39/65536*mncnoptab(8,3,2,1)*ep^3-7/16*mncnoptab(9,2,2
         ,1)+7/128*mncnoptab(9,2,2,1)*ep-7/1024*mncnoptab(9,2,2,1)*ep^2
         +7/8192*mncnoptab(9,2,2,1)*ep^3-3/8*mncnoptab(9,3,1,1)+3/64*
         mncnoptab(9,3,1,1)*ep-3/512*mncnoptab(9,3,1,1)*ep^2+3/4096*
         mncnoptab(9,3,1,1)*ep^3+9/8*mncnoptab(10,2,1,1)-9/64*
         mncnoptab(10,2,1,1)*ep+9/512*mncnoptab(10,2,1,1)*ep^2-9/4096*
         mncnoptab(10,2,1,1)*ep^3;

Fill mncnoptab(9,4,1,1)=
      +12729654787417501/643778150400-38615/64*ep^-3-264814073/64512*
         ep^-2-20064746084521/2810142720*ep^-1-9815/8*z3+
         1858388071237693011110441/15115164188737536000*ep-29445/16*ep*
         z4-4369149241/354816*ep*z3+10183266539566205673254160779/
         83798470262360899584000*ep^2+605865/16*ep^2*z5-4369149241/
         236544*ep^2*z4+49094819783819/9835499520*ep^2*z3-4205683994723\
         5059611108764715375255677919059/834796552860648212093181131489\
         2800000*ep^3+3127475/32*ep^3*z6+4765066793/16896*ep^3*z5+
         49094819783819/6556999680*ep^3*z4-9908877742560971843/
         272640046694400*ep^3*z3+2054615/16*ep^3*z3^2-233/128*
         mncnoptab(8,4,1,1)-551/1024*mncnoptab(8,4,1,1)*ep+39/8192*
         mncnoptab(8,4,1,1)*ep^2-39/65536*mncnoptab(8,4,1,1)*ep^3-1/2*
         mncnoptab(9,3,1,1)+1/16*mncnoptab(9,3,1,1)*ep-1/128*mncnoptab(
         9,3,1,1)*ep^2+1/1024*mncnoptab(9,3,1,1)*ep^3;

Fill mncnoptab(10,1,1,3)=
      +153178131505525879/6390001094400-460*ep^-3-8475757/2772*ep^-2-
         81003816127/230519520*ep^-1+15560*z3+6227015300408142096893/
         177130830336768000*ep+23340*ep*z4+9554851/99*ep*z3+
         73240319429842095457545037/4910066616935208960000*ep^2+154720*
         ep^2*z5+9554851/66*ep^2*z4+504725921089/23051952*ep^2*z3-
         20084752109765104219806833612539/136107046621443992371200000*
         ep^3+347900*ep^3*z6+218680438/231*ep^3*z5+504725921089/
         15367968*ep^3*z4-2091174953473095683/3195000547200*ep^3*z3-
         209280*ep^3*z3^2-13/4*mncnoptab(9,2,1,2)+5/8*mncnoptab(9,2,1,2
         )*ep-5/16*mncnoptab(9,2,1,2)*ep^2+5/32*mncnoptab(9,2,1,2)*ep^3
         -139/4*mncnoptab(10,1,1,2)+29/8*mncnoptab(10,1,1,2)*ep-45/16*
         mncnoptab(10,1,1,2)*ep^2+45/32*mncnoptab(10,1,1,2)*ep^3;

Fill mncnoptab(10,2,1,2)=
      +522445010621/7409556-1281*ep^-3-2352927/280*ep^-2-570815290849/
         104781600*ep^-1+16336*z3+30104748995377752767/179718780780000*
         ep+24504*ep*z4+2131642/21*ep*z3-6191549608222309280978989/
         111592423112163840000*ep^2+206932*ep^2*z5+1065821/7*ep^2*z4-
         147540047747/6548850*ep^2*z3-2548196194469466911527038717331/
         3866677460836477056000000*ep^3+476490*ep^3*z6+2793309/2*ep^3*
         z5-147540047747/4365900*ep^3*z4-955549574638669/726136488*ep^3
         *z3-90868*ep^3*z3^2+1/2*mncnoptab(9,2,1,2)-1/2*mncnoptab(9,2,1
         ,2)*ep+1/2*mncnoptab(9,2,1,2)*ep^2-1/2*mncnoptab(9,2,1,2)*ep^3
         -6*mncnoptab(9,2,2,1)+4*mncnoptab(9,2,2,1)*ep-4*mncnoptab(9,2,
         2,1)*ep^2+4*mncnoptab(9,2,2,1)*ep^3-12*mncnoptab(9,3,1,1)+8*
         mncnoptab(9,3,1,1)*ep-8*mncnoptab(9,3,1,1)*ep^2+8*mncnoptab(9,
         3,1,1)*ep^3+4*mncnoptab(10,1,1,2)-4*mncnoptab(10,1,1,2)*ep+4*
         mncnoptab(10,1,1,2)*ep^2-4*mncnoptab(10,1,1,2)*ep^3-125*
         mncnoptab(10,2,1,1)+72*mncnoptab(10,2,1,1)*ep-76*mncnoptab(10,
         2,1,1)*ep^2+76*mncnoptab(10,2,1,1)*ep^3;

Fill mncnoptab(10,2,2,1)=
      +913577650290823783/47053644422400-79186/243*ep^-3-52482329/20412
         *ep^-2-27846258118181/8487309600*ep^-1+1556440/243*z3+
         43498625139210979164179/724626124104960000*ep+778220/81*ep*z4+
         2389803673/51030*ep*z3+1458170579536013342882938207/
         180779725441705420800000*ep^2+1939520/27*ep^2*z5+2389803673/
         34020*ep^2*z4+6110530476997/169746192*ep^2*z3-1006476087033973\
         970513421720865177/5011213989244074264576000000*ep^3+39748100/
         243*ep^3*z6+27111939251/51030*ep^3*z5+6110530476997/113164128*
         ep^3*z4-10438402136955715691/23526822211200*ep^3*z3-15500192/
         243*ep^3*z3^2-119/81*mncnoptab(9,2,2,1)-340/729*mncnoptab(9,2,
         2,1)*ep+16/6561*mncnoptab(9,2,2,1)*ep^2-16/59049*mncnoptab(9,2
         ,2,1)*ep^3-8/9*mncnoptab(10,2,1,1)+8/81*mncnoptab(10,2,1,1)*ep
         -8/729*mncnoptab(10,2,1,1)*ep^2+8/6561*mncnoptab(10,2,1,1)*
         ep^3+10/9*mncnoptab(11,1,1,1)-10/81*mncnoptab(11,1,1,1)*ep+10/
         729*mncnoptab(11,1,1,1)*ep^2-10/6561*mncnoptab(11,1,1,1)*ep^3;

Fill mncnoptab(10,3,1,1)=
      +16507580685627401/7842274070400-15965/243*ep^-3-56650673/122472*
         ep^-2-5371712438581/6224027040*ep^-1-30520/243*z3+
         100909890884777374610743/7173798628639104000*ep-15260/81*ep*z4
         -284602543/168399*ep*z3+2930952224001598532569727767/
         198857697985875962880000*ep^2+396820/81*ep^2*z5-284602543/
         112266*ep^2*z4-2807812305499/778003380*ep^2*z3-177678647316049\
         197390475182816436104411387301/6087679326329771671670586510213\
         12000000*ep^3+3052450/243*ep^3*z6+1245812917/37422*ep^3*z5-
         2807812305499/518668920*ep^3*z4-82282879848689791/
         4792500820800*ep^3*z3+3465860/243*ep^3*z3^2-119/81*mncnoptab(9
         ,3,1,1)-340/729*mncnoptab(9,3,1,1)*ep+16/6561*mncnoptab(9,3,1,
         1)*ep^2-16/59049*mncnoptab(9,3,1,1)*ep^3-1/2*mncnoptab(10,2,1,
         1)+1/18*mncnoptab(10,2,1,1)*ep-1/162*mncnoptab(10,2,1,1)*ep^2+
         1/1458*mncnoptab(10,2,1,1)*ep^3;

Fill mncnoptab(11,1,1,2)=
      +153026006001167/443750076000-2*ep^-3-14013/220*ep^-2-84036717379/
         192099600*ep^-1-480*z3+191309884903247838857/36902256320160000
         *ep-720*ep*z4-1694999/1155*ep*z3+75750982162034580532633/
         340976848398278400000*ep^2-2840*ep^2*z5-1694999/770*ep^2*z4+
         76861414876/12006225*ep^2*z3-386658318169542071743525496881/
         28355634712800831744000000*ep^3-5900*ep^3*z6-128498/1155*ep^3*
         z5+38430707438/4002075*ep^3*z4-124090423229/36522640*ep^3*z3+
         9688*ep^3*z3^2-12*mncnoptab(10,2,1,1)+8*mncnoptab(10,2,1,1)*ep
         -8*mncnoptab(10,2,1,1)*ep^2+8*mncnoptab(10,2,1,1)*ep^3-131*
         mncnoptab(11,1,1,1)+76*mncnoptab(11,1,1,1)*ep-80*mncnoptab(11,
         1,1,1)*ep^2+80*mncnoptab(11,1,1,1)*ep^3;

Fill mncnoptab(11,2,1,1)=
      +13936755890876821/116181838080000-851/300*ep^-3-5131229/252000*
         ep^-2-8596152032189/230519520000*ep^-1-502/75*z3+
         2132679193846560780859/3614914904832000000*ep-251/25*ep*z4-
         29818013/462000*ep*z3+1891818500399744749643857399/
         4910066616935208960000000*ep^2+2207/25*ep^2*z5-29818013/308000
         *ep^2*z4-48503872588223/115259760000*ep^2*z3-26200177039973298\
         18763049134386698447/377288733234642746852966400000000*ep^3+
         7123/30*ep^3*z6+257025841/198000*ep^3*z5-48503872588223/
         76839840000*ep^3*z4-9390962875922155007/3195000547200000*ep^3*
         z3+42851/75*ep^3*z3^2-241/200*mncnoptab(10,2,1,1)-819/2000*
         mncnoptab(10,2,1,1)*ep+19/20000*mncnoptab(10,2,1,1)*ep^2-19/
         200000*mncnoptab(10,2,1,1)*ep^3-1/2*mncnoptab(11,1,1,1)+1/20*
         mncnoptab(11,1,1,1)*ep-1/200*mncnoptab(11,1,1,1)*ep^2+1/2000*
         mncnoptab(11,1,1,1)*ep^3;

Fill mncnoptab(12,1,1,1)=
      -31488025355573/193297533105600-2/363*ep^-3-43391/1677060*ep^-2-
         3550342139/69732154800*ep^-1+32/363*z3+5514506567671963187/
         3827291155490880000*ep+16/121*ep*z4-91411/46585*ep*z3+
         1796605975449301885975307/742647575811450355200000*ep^2+1208/
         121*ep^2*z5-274233/93170*ep^2*z4-73935839867/3486607740*ep^2*
         z3+3980276376945956021287313800785443/103754401639526755384565\
         760000000*ep^3+8980/363*ep^3*z6+2251516/59895*ep^3*z5-
         73935839867/2324405160*ep^3*z4-27815812968661867/
         483243832764000*ep^3*z3+1688/363*ep^3*z3^2-mncnoptab(11,1,1,1)
         -4/11*mncnoptab(11,1,1,1)*ep;
*--#] 15 :
#case 14
*--#[ 14 :

Fill mncnoptab(4,3,3,4)=
      +mncF321*(1600300800+10938359880*ep+23027713542*ep^2+44620716665/
         2*ep^3)
      -341430704804411057/44452800-2619726*ep^-3-532682443/28*ep^-2-
         1023358542251/105840*ep^-1-21000709200*z3+
         8219350787543015909183/93350880000*ep-31501063800*ep*z4-
         1604506945696/5*ep*z3-677099834954707664440901/1452124800000*
         ep^2-2042115581880*ep^2*z5-2406760418544/5*ep^2*z4+
         86699941673577839/66150*ep^2*z3+751294406044520951566502034900\
         9250751/4425343460030545920000000*ep^3-5052787181700*ep^3*z6-
         56580453443949/35*ep^3*z5+86699941673577839/44100*ep^3*z4-
         50081511231523027913/55566000*ep^3*z3-737717570760*ep^3*z3^2;

Fill mncnoptab(4,4,3,3)=
      +mncF321*(1333584000+9146617200*ep+19400576640*ep^2+19020544112*
         ep^3)
      -28253882689070497/4445280-2763280*ep^-3-2545708301/126*ep^-2-
         235543613803/21168*ep^-1-17489021600*z3+1368692646611405904503/
         18670176000*ep-26233532400*ep*z4-2409657502199/9*ep*z3-
         10114404727606758118669/26138246400*ep^2-1701635733600*ep^2*z5
         -2409657502199/6*ep^2*z4+57473301553419397/52920*ep^2*z3+
         41783856820407505597226316241094251307/
         31469109049106104320000000*ep^3-4210366780000*ep^3*z6-
         29109147974957/21*ep^3*z5+57473301553419397/35280*ep^3*z4-
         8065180592421504281/11113200*ep^3*z3-614882439200*ep^3*z3^2;

Fill mncnoptab(4,4,4,2)=
      +mncF321*(740880000+5109594000*ep+32899604800/3*ep^2+295534091080/
         27*ep^3)
      -160256893789998097/45008460-1163800*ep^-3-4876635895/567*ep^-2-
         190017447002/35721*ep^-1-29168999200/3*z3+
         919665364829605340959/22684263840*ep-14584499600*ep*z4-
         12082471802600/81*ep*z3-15242125523455732790007871/
         71455431096000*ep^2-2836292694400/3*ep^2*z5-6041235901300/27*
         ep^2*z4+21351621212656634/35721*ep^2*z3+1844485887607658702019\
         8148117815347/25609626504806400000000*ep^3-2339269746000*ep^3*
         z6-50814210610700/63*ep^3*z5+10675810606328317/11907*ep^3*z4-
         17047249320187812029/45008460*ep^3*z3-1024607936000/3*ep^3*
         z3^2;

Fill mncnoptab(5,2,2,5)=
      +mncF321*(400075200+2764285020*ep+5951073128*ep^2+35679845057/6*
         ep^3)
      -112360555249438871/57153600-28819*ep^-3-3427435/8*ep^-2-
         37374143713/22680*ep^-1-5264679000*z3+72683998132898242159/
         3333960000*ep-7897018500*ep*z4-3632162196166/45*ep*z3-
         52070728484984390210488499/453685276800000*ep^2-510680174620*
         ep^2*z5-1816081098083/15*ep^2*z4+2606615023300709/8100*ep^2*z3
         +90681962520633030157589488391160670079/
         215788176336727572480000000*ep^3-1263538739050*ep^3*z6-
         39877787987969/90*ep^3*z5+2606615023300709/5400*ep^3*z4-
         64226929162205393/324000*ep^3*z3-184263863140*ep^3*z3^2;

Fill mncnoptab(5,3,1,5)=
      +mncF321*(138915000+1934340975/2*ep+16932779975/8*ep^2+
         625081189889/288*ep^3)
      -2630895524861534599/3840721920+177825/8*ep^-3+659955095/12096*
         ep^-2-10356465412603/15240960*ep^-1-1828813495*z3+
         182249969298336746643611/24196548096000*ep-5486440485/2*ep*z4-
         759445689512/27*ep*z3-1202457081634894073088290873/
         30487650600960000*ep^2-354654925955/2*ep^2*z5-379722844756/9*
         ep^2*z4+210066768589420361/1905120*ep^2*z3+4245647509392054363\
         8347460390006196941/314691090491061043200000000*ep^3-
         1754986494825/4*ep^3*z6-54862450795547/336*ep^3*z5+
         210066768589420361/1270080*ep^3*z4-301287205060085640691/
         4800902400*ep^3*z3-127941699805/2*ep^3*z3^2;

Fill mncnoptab(5,3,2,4)=
      +mncF321*(666792000+4597217100*ep+9856861095*ep^2+117710034667/12
         *ep^3)
      -103820433729735301/32006016-505815*ep^-3-1977343667/504*ep^-2-
         455296919209/127008*ep^-1-8763293400*z3+
         36731149016173566072781/1008189504000*ep-13144940100*ep*z4-
         1208861286842/9*ep*z3-9753031174000176698861527/50812751001600
         *ep^2-851019559500*ep^2*z5-604430643421/3*ep^2*z4+
         21363757132796027/39690*ep^2*z3+230888686758487833659614941152\
         8170840589/3398663777303459266560000000*ep^3-2105640665250*
         ep^3*z6-10150309276229/14*ep^3*z5+21363757132796027/26460*ep^3
         *z4-68113561546672343759/200037600*ep^3*z3-307238584500*ep^3*
         z3^2;

Fill mncnoptab(5,3,3,3)=
      +mncF321*(833490000+5754270375*ep+49501995225/4*ep^2+198116592035/
         16*ep^3)
      -6309161147249579/1580544-5839675/4*ep^-3-22136119535/2016*ep^-2-
         50208979217/6272*ep^-1-10937156750*z3+454268349351131737109/
         9957427200*ep-16405735125*ep*z4-6043388031695/36*ep*z3-
         1002381564422126471060059/4182119424000*ep^2-1063589220375*
         ep^2*z5-6043388031695/24*ep^2*z4+1052658151297201/1568*ep^2*z3
         +386742599950414745665645152497952678589/
         472036635736591564800000000*ep^3-5263260318125/2*ep^3*z6-
         153684694603645/168*ep^3*z5+3157974453891603/3136*ep^3*z4-
         831581665300544129/1975680*ep^3*z3-384224626025*ep^3*z3^2;

Fill mncnoptab(5,4,1,4)=
      +mncF321*(105840000+742761600*ep+4960065400/3*ep^2+47030499112/27
         *ep^3)
      -374410011444657991/720135360-13700*ep^-3-118271170/567*ep^-2-
         2326830484603/2857680*ep^-1-4177522720/3*z3+
         25928746672154106711221/4536852768000*ep-2088761360*ep*z4-
         12191191852109/567*ep*z3-169949815481807514238542983/
         5716434487680000*ep^2-405295504240/3*ep^2*z5-12191191852109/
         378*ep^2*z4+118351643915997509/1428840*ep^2*z3+854171134213234\
         14678970784625815926588069/892149241542158057472000000000*ep^3
         -334264984600*ep^3*z6-8305425223517/63*ep^3*z5+
         118351643915997509/952560*ep^3*z4-11104006890393695021/
         257191200*ep^3*z3-146253514640/3*ep^3*z3^2;

Fill mncnoptab(5,4,2,3)=
      +mncF321*(381024000+2656357200*ep+5832136740*ep^2+18059217536/3*
         ep^3)
      -73097503917845461/40007520-641980*ep^-3-416611969/84*ep^-2-
         80521193999/18144*ep^-1-5000278400*z3+20903742770802646075457/
         1008189504000*ep-7500417600*ep*z4-462492930761/6*ep*z3-
         109880610699184448571337/1016255020032*ep^2-486217261200*ep^2*
         z5-462492930761/4*ep^2*z4+95811882104630927/317520*ep^2*z3+
         2147789396085501022783776248425067564599/
         5664439628839098777600000000*ep^3-1203042457000*ep^3*z6-
         18949372065469/42*ep^3*z5+95811882104630927/211680*ep^3*z4-
         17088192769171330439/100018800*ep^3*z3-175641724400*ep^3*z3^2;

Fill mncnoptab(5,4,3,2)=
      +mncF321*(317520000+2221632000*ep+4914759400*ep^2+46180708180/9*
         ep^3)
      -361566051814934857/240045120-761500*ep^-3-2151696335/378*ep^-2-
         373533612145/95256*ep^-1-4161439200*z3+1305190047716594168803/
         75614212800*ep-6242158800*ep*z4-12153397698980/189*ep*z3-
         34187037990426521023813147/381095632512000*ep^2-405124812400*
         ep^2*z5-6076698849490/63*ep^2*z4+11900178243165215/47628*ep^2*
         z3+243057321758656483512309651702244573831013/
         793021548037473828864000000000*ep^3-1002408433000*ep^3*z6-
         1157432964970/3*ep^3*z5+11900178243165215/31752*ep^3*z4-
         16345805978623209769/120022560*ep^3*z3-146432026000*ep^3*z3^2;

Fill mncnoptab(5,4,4,1)=
      +mncF321*(60480000+429435600*ep+2937613900/3*ep^2+28861168492/27*
         ep^3)
      -744639423309124943/2520473760-241100/7*ep^-3-2768792615/7938*
         ep^-2-8298523885103/10001880*ep^-1-16695531040/21*z3+
         51564818985834343790851/15878984688000*ep-8347765520/7*ep*z4-
         7000633912094/567*ep*z3-334394165285251519539787783/
         20007520706880000*ep^2-1621031465680/21*ep^2*z5-3500316956047/
         189*ep^2*z4+231700883756809069/5000940*ep^2*z3+457752083905961\
         182518538606663270999646947/7930215480374738288640000000000*
         ep^3-1336946612200/7*ep^3*z6-36011555461004/441*ep^3*z5+
         231700883756809069/3333960*ep^3*z4-130214431185852689017/
         6301184400*ep^3*z3-585189976880/21*ep^3*z3^2;

Fill mncnoptab(5,5,2,2)=
      +mncF321*(71442000+511982100*ep+1188871920*ep^2+3990876748/3*ep^3
         )
      -142220657541419993/426746880-252915*ep^-3-1245970541/672*ep^-2-
         177671517355/169344*ep^-1-934214100*z3+2943993757934695413551/
         768144384000*ep-1401321150*ep*z4-1636708247411/112*ep*z3-
         52933833892873810005545063/2710013386752000*ep^2-91131803400*
         ep^2*z5-4910124742233/224*ep^2*z4+3252939283166899/60480*ep^2*
         z3+7337545697217263642215385343474006579033490379/154537465132\
         909669110975037440000000*ep^3-225493973250*ep^3*z6-
         34314290853151/336*ep^3*z5+3252939283166899/40320*ep^3*z4-
         22301157313815715753/1066867200*ep^3*z3-32972941800*ep^3*z3^2;

Fill mncnoptab(5,5,3,1)=
      +mncF321*(29767500+214340175*ep+502483875*ep^2+570127003*ep^3)
      -749412170055724517/5120962560-5025/4*ep^-3-1009383745/8064*ep^-2
         -8426947718887/10160640*ep^-1-391920495*z3+
         14632010370546242314883/9217732608000*ep-1175761485/2*ep*z4-
         24669794517997/4032*ep*z3-1310321679086399381484366391/
         162600803205120000*ep^2-37998497790*ep^2*z5-24669794517997/
         2688*ep^2*z4+2303107472912549/103680*ep^2*z3+37901095969643674\
         82808433425073419236678053311943/15453746513290966911097503744\
         0000000000*ep^3-188032886475/2*ep^3*z6-59152452518233/1344*
         ep^3*z5+2303107472912549/69120*ep^3*z4-99068355498384483061/
         12802406400*ep^3*z3-13706382390*ep^3*z3^2;

Fill mncnoptab(6,1,1,6)=
      +mncF321*(16003008+566500788/5*ep+6403216522/25*ep^2+102486956857/
         375*ep^3)
      -491236716955057681/6251175000-19909/5*ep^-3-350437109/21000*
         ep^-2+2740432706821/39690000*ep^-1-5260132296/25*z3+
         18008739995624065698553/21003948000000*ep-7890198444/25*ep*z4-
         3672078840566/1125*ep*z3-35245920167570957048393041/
         7939492344000000*ep^2-510626813972/25*ep^2*z5-1836039420283/
         375*ep^2*z4+122325554597121721/9922500*ep^2*z3+468659239919126\
         447186106118723563167/29970580046767718400000000*ep^3-
         252683340838/5*ep^3*z6-333930903721273/15750*ep^3*z5+
         122325554597121721/6615000*ep^3*z4-46558587454105843063/
         8334900000*ep^3*z3-184328277356/25*ep^3*z3^2;

Fill mncnoptab(6,2,1,5)=
      +mncF321*(66679200+467524890*ep+2074455889/2*ep^2+129744786473/
         120*ep^3)
      -2625665100262429219/8001504000+1875/2*ep^-3+1187551/1008*ep^-2-
         59371671647/1270080*ep^-1-877533652*z3+12086989115810230141313/
         3360631680000*ep-1316300478*ep*z4-203151364742/15*ep*z3-
         238185229652242645820247833/12703187750400000*ep^2-85114961074
         *ep^2*z5-101575682371/5*ep^2*z4+41497235725909807/793800*ep^2*
         z3+957102001681395948772609061143850586053/
         15105172343570930073600000000*ep^3-210593568555*ep^3*z6-
         104023059727231/1260*ep^3*z5+41497235725909807/529200*ep^3*z4-
         18149348169951899161/666792000*ep^3*z3-30710315918*ep^3*z3^2;

Fill mncnoptab(6,2,2,4)=
      +mncF321*(222264000+1552674900*ep+10260150595/3*ep^2+127222223119/
         36*ep^3)
      -2611261286348547493/2400451200-87785*ep^-3-312322565/504*ep^-2-
         47226397901/211680*ep^-1-8767555640/3*z3+
         7274422465515100922233/604913702400*ep-4383777820*ep*z4-
         1216428544636/27*ep*z3-79820911084872141396778933/
         1270318775040000*ep^2-851067881180/3*ep^2*z5-608214272318/9*
         ep^2*z4+41765748642482401/238140*ep^2*z3+479815396018837013868\
         7573698812858608157/21241648608146620416000000000*ep^3-
         701916937950*ep^3*z6-101189135910173/378*ep^3*z5+
         41765748642482401/158760*ep^3*z4-57582925847232463801/
         600112800*ep^3*z3-307199728420/3*ep^3*z3^2;

Fill mncnoptab(6,3,1,4)=
      +mncF321*(76204800+536843160*ep+1203598428*ep^2+19169711764/15*
         ep^3)
      -747954888966823829/2000376000-19170*ep^-3-32359577/252*ep^-2-
         2465883887/317520*ep^-1-1002174288*z3+10331396328941000155229/
         2520473760000*ep-1503261432*ep*z4-4884839202503/315*ep*z3-
         67629025953148280728309133/3175796937600000*ep^2-97266794856*
         ep^2*z5-4884839202503/210*ep^2*z4+47011213715341223/793800*
         ep^2*z3+22136378629343846854200999063428326315793/
         297383080514052685824000000000*ep^3-240661551420*ep^3*z6-
         487697488362/5*ep^3*z5+47011213715341223/529200*ep^3*z4-
         29253747560834751791/1000188000*ep^3*z3-35107179672*ep^3*z3^2;

Fill mncnoptab(6,3,2,3)=
      +mncF321*(190512000+1342542600*ep+3012281700*ep^2+3203359146*ep^3
         )
      -117240938381425/127008-196330*ep^-3-99154030/63*ep^-2-
         25592498629/14112*ep^-1-2502940400*z3+1151587910347509134713/
         112021056000*ep-3754410600*ep*z4-4882564135969/126*ep*z3-
         536733827130244157605151/10081895040000*ep^2-243138330600*ep^2
         *z5-4882564135969/84*ep^2*z4+1044340039910375/7056*ep^2*z3+
         10406367297350596161965123217910824955463/
         55070940835935682560000000000*ep^3-601588475500*ep^3*z6-
         10253818980451/42*ep^3*z5+1044340039910375/4704*ep^3*z4-
         81190691442638767/1111320*ep^3*z3-87789650840*ep^3*z3^2;

Fill mncnoptab(6,3,3,2)=
      +mncF321*(108864000+776061000*ep+1782839760*ep^2+1963268190*ep^3)
      -119576152575890117/233377200-2221570/7*ep^-3-4186223215/1764*
         ep^-2-150822530363/92610*ep^-1-9977871440/7*z3+
         3443624278414915899463/588110544000*ep-14966807160/7*ep*z4-
         1400229828104/63*ep*z3-11106374146130359847130623/
         370509642720000*ep^2-972200656680/7*ep^2*z5-700114914052/21*
         ep^2*z4+7667510339553971/92610*ep^2*z3+34320594171194824053400\
         7286495313511240117/3304256450156140953600000000000*ep^3-
         2405556963100/7*ep^3*z6-22123815266687/147*ep^3*z5+
         7667510339553971/61740*ep^3*z4-8157679156298983471/233377200*
         ep^3*z3-351549415640/7*ep^3*z3^2;

Fill mncnoptab(6,4,1,3)=
      +mncF321*(28576800+205790760*ep+482386248*ep^2+8198370704/15*ep^3
         )
      -27818164345819727/197568000+1350*ep^-3-814213/16*ep^-2-
         188228263379/423360*ep^-1-376209048*z3+2269382930910827252777/
         1493614080000*ep-564313572*ep*z4-4935144044353/840*ep*z3-
         1078454446379434382866649/139403980800000*ep^2-36478657776*
         ep^2*z5-4935144044353/560*ep^2*z4+22558933243918349/1058400*
         ep^2*z3+79827357278544940393741948753976173955833001021/
         3863436628322741727774375936000000000*ep^3-90256121820*ep^3*z6
         -35528764871431/840*ep^3*z5+22558933243918349/705600*ep^3*z4-
         6554490533546843147/889056000*ep^3*z3-13159317552*ep^3*z3^2;

Fill mncnoptab(6,4,2,2)=
      +mncF321*(47628000+343942200*ep+810645360*ep^2+925532492*ep^3)
      -237113247351638207/1066867200-168070*ep^-3-1242183085/1008*ep^-2
         -293465309113/423360*ep^-1-622770920*z3+2278025703534867544049/
         896168448000*ep-934156380*ep*z4-4927405648129/504*ep*z3-
         87250940232511781032795681/6775033466880000*ep^2-60754269840*
         ep^2*z5-4927405648129/336*ep^2*z4+7478367859251563/211680*ep^2
         *z3+8172199406153772329459303037962424719672535792569/19317183\
         1416137086388718796800000000000*ep^3-150328747300*ep^3*z6-
         11999918884141/168*ep^3*z5+7478367859251563/141120*ep^3*z4-
         6304593193547685923/533433600*ep^3*z3-21982763600*ep^3*z3^2;

Fill mncnoptab(6,4,3,1)=
      +mncF321*(13608000+99569520*ep+240809160*ep^2+4278107548/15*ep^3)
      -741267119494493177/11202105600-78240/7*ep^-3-527812199/3528*
         ep^-2-2959452187507/5556600*ep^-1-1252613136/7*z3+
         101688660347417283043949/141146530560000*ep-1878919704/7*ep*z4
         -3548119802509/1260*ep*z3-1279826758987007256502384339/
         355689257011200000*ep^2-121578932112/7*ep^2*z5-3548119802509/
         840*ep^2*z4+27327693789149741/2778300*ep^2*z3+1661220106154615\
         13697199465258056398171073311410641/13522028199129596047210315\
         776000000000000*ep^3-300815797440/7*ep^3*z6-65041351398407/
         2940*ep^3*z5+27327693789149741/1852200*ep^3*z4-
         64620092485754307529/28005264000*ep^3*z3-43876719792/7*ep^3*
         z3^2;

Fill mncnoptab(6,5,1,2)=
      +mncF321*(3175200+23995440*ep+61597642*ep^2+1182542276/15*ep^3)
      -715444412175329759/48009024000-30670/3*ep^-3-261376001/3024*
         ep^-2-230558356691/1905120*ep^-1-124614296/3*z3+
         407209080292163988547/2469035520000*ep-62307148*ep*z4-
         5032584880033/7560*ep*z3-243943349431351939604262677/
         304876506009600000*ep^2-4050487584*ep^2*z5-5032584880033/5040*
         ep^2*z4+1455645113580611/680400*ep^2*z3+1814609823173711344739\
         296251070453776427177313085946093/9696996758029289631674392023\
         37947648000000000*ep^3-30067121140/3*ep^3*z6-15425933871997/
         2520*ep^3*z5+1455645113580611/453600*ep^3*z4+
         800417833191775549/24004512000*ep^3*z3-4395900224/3*ep^3*z3^2;

Fill mncnoptab(6,5,2,1)=
      +mncF321*(2646000+20075580*ep+155739520/3*ep^2+3019751276/45*ep^3
         )
      -28329059469064709/2304433152-93265/9*ep^-3-1596355597/18144*
         ep^-2-14938049463811/114307200*ep^-1-311372108/9*z3+
         14263060682006970964139/103699491840000*ep-155686054/3*ep*z4-
         25200634131581/45360*ep*z3-1212117142979230904877123343/
         1829259036057600000*ep^2-3375159304*ep^2*z5-25200634131581/
         30240*ep^2*z4+14426484542989199/8164800*ep^2*z3+22521951539872\
         3204234292595188778413678635550087356245241/121212459475366120\
         395929900292243456000000000000*ep^3-75162654070/9*ep^3*z6-
         78620735744009/15120*ep^3*z5+14426484542989199/5443200*ep^3*z4
         +11937415785194002547/144027072000*ep^3*z3-10990089416/9*ep^3*
         z3^2;

Fill mncnoptab(6,6,1,1)=
      +mncF321*(63504+536004*ep+41242016/25*ep^2+7857220/3*ep^3)
      -683448564177699389/2400451200000-57629/75*ep^-3-3644876029/
         756000*ep^-2-6298450290287/952560000*ep^-1-62793676/75*z3+
         2696798003579706692143/864162432000000*ep-31396838/25*ep*z4-
         213287523793/15120*ep*z3-39625702977496520573506759/
         3048765060096000000*ep^2-2025334344/25*ep^2*z5-213287523793/
         10080*ep^2*z4+2112794565878443/68040000*ep^2*z3-12337285283755\
         6346547067332961823704856479912103/260873922768952566279119103\
         5904000000000*ep^3-3006604678/15*ep^3*z6-978383672269/5040*
         ep^3*z5+2112794565878443/45360000*ep^3*z4+48096316000694308951/
         1200225600000*ep^3*z3-2181412024/75*ep^3*z3^2;

Fill mncnoptab(7,1,1,5)=
      +mncF321*(9261000+132746005/2*ep+11068502701/72*ep^2+733143037901/
         4320*ep^3)
      -2632773594424898203/57610828800+27017/24*ep^-3+9715501/1344*
         ep^-2-36441353141/8467200*ep^-1-1096848733/9*z3+
         178750879760388738825439/362948221440000*ep-1096848733/6*ep*z4
         -769535596747/405*ep*z3-384767232749325504103043447/
         152438253004800000*ep^2-212778353777/18*ep^2*z5-769535596747/
         270*ep^2*z4+199283518785747509/28576800*ep^2*z3+66447265117865\
         962727321871705797057/8429225638153420800000000*ep^3-
         350974427185/12*ep^3*z6-603432890486743/45360*ep^3*z5+
         199283518785747509/19051200*ep^3*z4-184774387748032644623/
         72013536000*ep^3*z3-76775824687/18*ep^3*z3^2;

Fill mncnoptab(7,2,1,4)=
      +mncF321*(21168000+152020400*ep+3184807640/9*ep^2+10659816308/27*
         ep^3)
      -374736612790723609/3600676800+280/3*ep^-3-990905/126*ep^-2-
         3160135325/63504*ep^-1-2507244160/9*z3+5101619817529087920659/
         4536852768000*ep-1253622080/3*ep*z4-2464537350803/567*ep*z3-
         10966951193500603086267031/1905478162560000*ep^2-243186269920/
         9*ep^2*z5-2464537350803/378*ep^2*z4+22681864275415411/1428840*
         ep^2*z3+109450651854071031862971814398194915807/
         5310412152036655104000000000*ep^3-200565854800/3*ep^3*z6-
         17464605780281/567*ep^3*z5+22681864275415411/952560*ep^3*z4-
         409808785011590357/72013536*ep^3*z3-87743804960/9*ep^3*z3^2;

Fill mncnoptab(7,2,2,3)=
      +mncF321*(36288000+262521600*ep+1860700520/3*ep^2+6369857654/9*
         ep^3)
      -93422891445506131/525098700-62760/7*ep^-3-46263340/441*ep^-2-
         121979975053/370440*ep^-1-10026363520/21*z3+
         635810840049213207859/330812181000*ep-5013181760/7*ep*z4-
         1412812609424/189*ep*z3-10850744827610494588810411/
         1111528928160000*ep^2-972701239840/21*ep^2*z5-706406304712/63*
         ep^2*z4+11179793408838053/416745*ep^2*z3+572215240066349568810\
         5402710071556646917/165212822507807047680000000000*ep^3-
         802229063600/7*ep^3*z6-73068812494016/1323*ep^3*z5+
         11179793408838053/277830*ep^3*z4-2178003188008338443/262549350
         *ep^3*z3-350985010400/21*ep^3*z3^2;

Fill mncnoptab(7,3,1,3)=
      +mncF321*(11907000+87129000*ep+210518475*ep^2+1488414845/6*ep^3)
      -754408132086375047/12802406400+4320*ep^-3+44528317/4032*ep^-2-
         99203739443/725760*ep^-1-156846630*z3+20178687722869588477099/
         32262064128000*ep-235269945*ep*z4-710487101957/288*ep*z3-
         255943839571152651450793241/81300401602560000*ep^2-15200277510
         *ep^2*z5-710487101957/192*ep^2*z4+21848462789640271/2540160*
         ep^2*z3+18676638419505215743918946854731548946637093447/
         2146353682401523182096875520000000000*ep^3-37608577200*ep^3*z6
         -13034347536031/672*ep^3*z5+21848462789640271/1693440*ep^3*z4-
         12463570747740666539/6401203200*ep^3*z3-5481877650*ep^3*z3^2;

Fill mncnoptab(7,3,2,2)=
      +mncF321*(13608000+100650600*ep+248264940*ep^2+301160446*ep^3)
      -39682412535276031/622339200-307910/7*ep^-3-293209255/882*ep^-2-
         20033292199/82320*ep^-1-1246152640/7*z3+3362475129214147248643/
         4704884352000*ep-1869228960/7*ep*z4-355950525941/126*ep*z3-
         42086260975535611317165409/11856308567040000*ep^2-121515251880/
         7*ep^2*z5-355950525941/84*ep^2*z4+1186910403362407/123480*ep^2
         *z3+917978669093078168857649749709857092796137760159/751223788\
         84053311373390643200000000000*ep^3-300672748100/7*ep^3*z6-
         6894859762373/294*ep^3*z5+1186910403362407/82320*ep^3*z4-
         465187247194007563/311169600*ep^3*z3-43958997400/7*ep^3*z3^2;

Fill mncnoptab(7,3,3,1)=
      +mncF321*(2551500+19337400*ep+49925385*ep^2+386873059/6*ep^3)
      -146398406056053257/11948912640-243885/56*ep^-3-498348143/9408*
         ep^-2-4116206137567/23708160*ep^-1-234748350/7*z3+
         4000038403067248303957/30111259852800*ep-352122525/7*ep*z4-
         120162432037/224*ep*z3-242317809303280215476566729/
         379401874145280000*ep^2-45587697375/14*ep^2*z5-360487296111/
         448*ep^2*z4+4051529314219339/2370816*ep^2*z3+13000358161103964\
         7275122147340526865743793/60715712271619090022400000000000*
         ep^3-225591003375/28*ep^3*z6-23503078753699/4704*ep^3*z5+
         4051529314219339/1580544*ep^3*z4+2120728559591593913/
         29872281600*ep^3*z3-16452490665/14*ep^3*z3^2;

Fill mncnoptab(7,4,1,2)=
      +mncF321*(1764000+13494600*ep+318649160/9*ep^2+1257895112/27*ep^3
         )
      -28928604934157501/3456649728-111830/27*ep^-3-1032988069/27216*
         ep^-2-2263139881043/34292160*ep^-1-623994280/27*z3+
         3949066722161656427357/43553786572800*ep-311997140/9*ep*z4-
         5064514387705/13608*ep*z3-9565311430299318128245859/
         21951108432691200*ep^2-6751978640/3*ep^2*z5-5064514387705/9072
         *ep^2*z4+19802576025202441/17146080*ep^2*z3+327094942407465474\
         5625701033752551482297727671579597/225469604678880432284095796\
         6745600000000000*ep^3-150359533700/27*ep^3*z6-16384297727365/
         4536*ep^3*z5+19802576025202441/11430720*ep^3*z4+
         874583212813469449/6172588800*ep^3*z3-21969703120/27*ep^3*z3^2
         ;

Fill mncnoptab(7,4,2,1)=
      +mncF321*(1008000+7808400*ep+188596940/9*ep^2+767486168/27*ep^3)
      -347055554831648137/75614212800-1046180/189*ep^-3-534864319/11907
         *ep^-2-705512298187/12002256*ep^-1-2485164160/189*z3+
         1234733889620520924979/23818477032000*ep-1242582080/63*ep*z4-
         363262010879/1701*ep*z3-58598114175561337981463099/
         240090248482560000*ep^2-26993824880/21*ep^2*z5-363262010879/
         1134*ep^2*z4+19199371002041137/30005640*ep^2*z3+95259713056719\
         86622491483220409897669454829368357/12169825379216636442489284\
         198400000000000*ep^3-601148149400/189*ep^3*z6-8666276559047/
         3969*ep^3*z5+19199371002041137/20003760*ep^3*z4+
         5477725502326454123/37807106400*ep^3*z3-87976934800/189*ep^3*
         z3^2;

Fill mncnoptab(7,5,1,1)=
      +mncF321*(44100+375165*ep+10525019/9*ep^2+254776054/135*ep^3)
      -686770784731454261/3456649728000-56705/108*ep^-3-3612743677/
         1088640*ep^-2-1290362231791/274337280*ep^-1-15696571/27*z3+
         2680068291462331391767/1244393902080000*ep-15696571/18*ep*z4-
         5353836360121/544320*ep*z3-194864537835399864555503099/
         21951108432691200000*ep^2-168764618/3*ep^2*z5-5353836360121/
         362880*ep^2*z4+81981972565615/3919104*ep^2*z3-2224050182641843\
         5209590314795903685372412873635667/142045850947694672338980351\
         9049728000000000*ep^3-7515924955/54*ep^3*z6-25139919156469/
         181440*ep^3*z5+81981972565615/2612736*ep^3*z4+
         50961509397423091903/1728324864000*ep^3*z3-545353930/27*ep^3*
         z3^2;

Fill mncnoptab(8,1,1,4)=
      +mncF321*(1728000+90122120/7*ep+2022987356/63*ep^2+37049033464/
         945*ep^3)
      -746756431268748689/88216581600-149126/147*ep^-3-17452933/4116*
         ep^-2+55736455363/3241350*ep^-1-10007249488/441*z3+
         24837911456380881189841/277882232040000*ep-5003624744/147*ep*
         z4-7159628104222/19845*ep*z3-103794000463548560039059081/
         233421074913600000*ep^2-972475279336/441*ep^2*z5-3579814052111/
         6615*ep^2*z4+210265302744746383/175032900*ep^2*z3+521976103327\
         263212243294676438959481479/346946927266394800128000000000*
         ep^3-802056691540/147*ep^3*z6-431431898693923/138915*ep^3*z5+
         210265302744746383/116688600*ep^3*z4-5197564630811612057/
         55135363500*ep^3*z3-351259715096/441*ep^3*z3^2;

Fill mncnoptab(8,2,1,3)=
      +mncF321*(1944000+103006800/7*ep+264816320/7*ep^2+1013787944/21*
         ep^3)
      -752336570229758729/78414739200+8280/49*ep^-3+37656593/24696*
         ep^-2-2477643199/1944810*ep^-1-1254050320/49*z3+
         6552607102124551064971/65868380928000*ep-1881075480/49*ep*z4-
         11457560263/28*ep*z3-242929908919701043643889007/
         497964959815680000*ep^2-121598464240/49*ep^2*z5-34372680789/56
         *ep^2*z4+1267915678270366/972405*ep^2*z3+129438337295973173477\
         51693453922990232097273389/90146854660863973648068771840000000\
         00*ep^3-300861034800/49*ep^3*z6-46828259351921/12348*ep^3*z5+
         633957839135183/324135*ep^3*z4+796583043591990313/13069123200*
         ep^3*z3-43866170960/49*ep^3*z3^2;

Fill mncnoptab(8,2,2,2)=
      +mncF321*(1458000+78874200/7*ep+210615080/7*ep^2+849307216/21*
         ep^3)
      -2152456263712841339/313658956800-431765/98*ep^-3-553293355/16464
         *ep^-2-3225044289793/124467840*ep^-1-934484280/49*z3+
         6512034517676219493671/87824507904000*ep-1401726420/49*ep*z4-
         1090264891333/3528*ep*z3-706174926894191558786475727/
         1991859839262720000*ep^2-91136038510/49*ep^2*z5-1090264891333/
         2352*ep^2*z4+57902620128677353/62233920*ep^2*z3+23201480646789\
         2799299391006706689677983/192748292925774888960000000000*ep^3-
         225503885575/49*ep^3*z6-77304155049097/24696*ep^3*z5+
         57902620128677353/41489280*ep^3*z4+3489521291431752487/
         17425497600*ep^3*z3-32973954850/49*ep^3*z3^2;

Fill mncnoptab(8,3,1,2)=
      +mncF321*(432000+23841000/7*ep+197746700/21*ep^2+833872280/63*
         ep^3)
      -1451574131570912989/705732652800-444530/441*ep^-3-1889777081/
         222264*ep^-2-786942061153/70013160*ep^-1-2493898480/441*z3+
         38504425235441363063093/1778446285056000*ep-1246949240/147*ep*
         z4-29959682321/324*ep*z3-454597164400927524268967467/
         4481684638341120000*ep^2-27005550440/49*ep^2*z5-29959682321/
         216*ep^2*z4+4580967984957199/17503290*ep^2*z3+1483426365713243\
         2335096954111105983001064065679/450734273304319868240343859200\
         00000000*ep^3-601390138700/441*ep^3*z6-37546584953207/37044*
         ep^3*z5+4580967984957199/11668860*ep^3*z4+37580734521050559047/
         352866326400*ep^3*z3-87914627800/441*ep^3*z3^2;

Fill mncnoptab(8,3,2,1)=
      +mncF321*(162000+9153000/7*ep+26354200/7*ep^2+117215320/21*ep^3)
      -677089362923367833/940976870400-344495/294*ep^-3-1430066483/
         148176*ep^-2-5230559338283/373403520*ep^-1-310236440/147*z3+
         19313652772571204331013/2371261713408000*ep-155118220/49*ep*z4
         -370275472247/10584*ep*z3-218179283430182995385190293/
         5975579517788160000*ep^2-10120831710/49*ep^2*z5-370275472247/
         7056*ep^2*z4+17146341566909539/186701760*ep^2*z3+1858260921025\
         528214938951014166189568608034088383/1546018557433817148064379\
         4370560000000000*ep^3-75130646725/147*ep^3*z6-10316176150961/
         24696*ep^3*z5+17146341566909539/124467840*ep^3*z4+
         27566309526609616549/470488435200*ep^3*z3-10997963990/147*ep^3
         *z3^2;

Fill mncnoptab(8,4,1,1)=
      +mncF321*(14400+879120/7*ep+25655432/63*ep^2+652822312/945*ep^3)
      -680217700713453761/10585989792000-232760/1323*ep^-3-3774586807/
         3333960*ep^-2-343002227947/210039480*ep^-1-251192656/1323*z3+
         18367194492089886613249/26676694275840000*ep-125596328/441*ep*
         z4-774446421793/238140*ep*z3-185005488618972264404406239/
         67225269575116800000*ep^2-2700574448/147*ep^2*z5-774446421793/
         158760*ep^2*z4+129216490799143/21003948*ep^2*z3-12803817764517\
         9392558210439014625452857922135044537/212121804081890710692877\
         325511426048000000000*ep^3-60134943440/1323*ep^3*z6-
         27328144125139/555660*ep^3*z5+129216490799143/14002632*ep^3*z4
         +59586273123564103843/5292994896000*ep^3*z3-8725639120/1323*
         ep^3*z3^2;

Fill mncnoptab(9,1,1,3)=
      +mncF321*(91125+10226565/14*ep+29011433/14*ep^2+104575967/35*ep^3
         )
      -2284370748045959287/5018543308800+103511/1568*ep^-3+35271731/
         87808*ep^-2-1908435271609/9957427200*ep^-1-58762992/49*z3+
         94165002285121713165629/21077881896960000*ep-88144488/49*ep*z4
         -5565892319269/282240*ep*z3-3303177905118013149973568551/
         159348787141017600000*ep^2-45588182167/392*ep^2*z5-
         5565892319269/188160*ep^2*z4+262225379215637857/4978713600*
         ep^2*z3+11005810452590290014353305435957334959/
         202385707572063633408000000000*ep^3-225590391155/784*ep^3*z6-
         453760910222521/1975680*ep^3*z5+262225379215637857/3319142400*
         ep^3*z4+134376479884724769917/4182119424000*ep^3*z3-
         16449810337/392*ep^3*z3^2;

Fill mncnoptab(9,2,1,2)=
      +mncF321*(40500+2357550/7*ep+7116120/7*ep^2+11134238/7*ep^3)
      -738113184160193413/3763907481600-6705/392*ep^-3-278059375/592704
         *ep^-2-675940905875/298722816*ep^-1-26119760/49*z3+
         18495452661622150433921/9485046853632000*ep-39179640/49*ep*z4-
         377183041819/42336*ep*z3-205884998535208526877713329/
         23902318071152640000*ep^2-5066797615/98*ep^2*z5-377183041819/
         28224*ep^2*z4+15591096938248151/746807040*ep^2*z3+773763057221\
         4240445713054348937708471696879903/321250609336897069727663259\
         648000000000*ep^3-25072790475/196*ep^3*z6-11603963928797/98784
         *ep^3*z5+15591096938248151/497871360*ep^3*z4+
         8110894281915498733/376390748160*ep^3*z3-1827907145/98*ep^3*
         z3^2;

Fill mncnoptab(9,2,2,1)=
      +mncF321*(9000+545950/7*ep+1760805/7*ep^2+26966078/63*ep^3)
      -624269164320672211/16937583667200-633595/5292*ep^-3-2389301893/
         2667168*ep^-2-5618493422429/6721263360*ep^-1-153500240/1323*z3
         +18410784482580799999111/42682710841344000*ep-76750120/441*ep*
         z4-382449203083/190512*ep*z3-190117816538564615650488127/
         107560431320186880000*ep^2-5054228135/441*ep^2*z5-382449203083/
         127008*ep^2*z4+13254941798134573/3360631680*ep^2*z3+2015385798\
         50470799933534052868306072493/44409206690098534416384000000000
         *ep^3-75045920825/2646*ep^3*z6-4439475121763/148176*ep^3*z5+
         13254941798134573/2240421120*ep^3*z4+10800117790952574163/
         1693758366720*ep^3*z3-5516130035/1323*ep^3*z3^2;

Fill mncnoptab(9,3,1,1)=
      +mncF321*(2025+259065/14*ep+901801/14*ep^2+4172711/35*ep^3)
      -692055228234007181/75278149632000-108295/4704*ep^-3-1831749191/
         11854080*ep^-2-1534786253851/5974456320*ep^-1-3922864/147*z3+
         17628205205116618016809/189700937072640000*ep-1961432/49*ep*z4
         -56685115757/120960*ep*z3-165724020264782169861934649/
         478046361423052800000*ep^2-1012367763/392*ep^2*z5-56685115757/
         80640*ep^2*z4+403858287620119/597445632*ep^2*z3+29480340436922\
         866511875178388355257914054159/7211748372869117891845501747200\
         0000000*ep^3-15028601885/2352*ep^3*z6-15789307442477/1975680*
         ep^3*z5+403858287620119/398297088*ep^3*z4+74859209457462638953/
         37639074816000*ep^3*z3-1090712975/1176*ep^3*z3^2;

Fill mncnoptab(10,1,1,2)=
      +mncF321*(1000+573670/63*ep+1984769/63*ep^2+163738858/2835*ep^3)
      -702007408730958643/152438253004800-534811/47628*ep^-3-1138843117/
         24004512*ep^-2+51565624088879/302456851200*ep^-1-150423824/
         11907*z3+82213929461905821991043/1920721987860480000*ep-
         75211912/3969*ep*z4-1959941872031/8573040*ep*z3-
         842341836479050744785777659/4840219409408409600000*ep^2-
         5040722951/3969*ep^2*z5-1959941872031/5715360*ep^2*z4+
         50966316543290033/151228425600*ep^2*z3+65896727795422693250080\
         0975508018123/1427438786467452891955200000000*ep^3-74858725145/
         23814*ep^3*z6-25921325136631/6667920*ep^3*z5+50966316543290033/
         100818950400*ep^3*z4+366822621569453404699/381095632512000*
         ep^3*z3-5566354643/11907*ep^3*z3^2;

Fill mncnoptab(10,2,1,1)=
      +mncF321*(100+62470/63*ep+244088/63*ep^2+23267974/2835*ep^3)
      -613201863468651301/1524382530048000-151415/95256*ep^-3-
         2433588751/240045120*ep^-2-1286572827187/120982740480*ep^-1-
         15734576/11907*z3+16001056818020091149089/3841443975720960000*
         ep-7867288/3969*ep*z4-59156620717/2449440*ep*z3-
         134425878340813671939637969/9680438818816819200000*ep^2-
         1014221923/7938*ep^2*z5-59156620717/1632960*ep^2*z4+
         187568813584015/12098274048*ep^2*z3+13290635930478420386531446\
         65035544447127691/43270490237214707351073010483200000000*ep^3-
         15055983085/47628*ep^3*z6-6592035862079/13335840*ep^3*z5+
         187568813584015/8065516032*ep^3*z4+96496967353083182273/
         762191265024000*ep^3*z3-1090669855/23814*ep^3*z3^2;

Fill mncnoptab(11,1,1,1)=
      +mncF321*(1+7381/630*ep+177133/3150*ep^2+84095/567*ep^3)
      -1374626038309148413/152438253004800000+547129/9525600*ep^-3+
         4484514329/24004512000*ep^-2-48990270086519/60491370240000*
         ep^-1-3759008/297675*z3+15958987095783072676057/
         384144397572096000000*ep-1879504/99225*ep*z4-452355093163/
         1714608000*ep*z3-51711970726209024700013161/
         968043881881681920000000*ep^2-984184531/793800*ep^2*z5-
         452355093163/1143072000*ep^2*z4-8097159776564273/
         30245685120000*ep^2*z3-969032132882685965952225846480433031/
         2160835472162044822885171200000000*ep^3-2922481529/952560*ep^3
         *z6-9477301050143/1333584000*ep^3*z5-8097159776564273/
         20163790080000*ep^3*z4+127372056999413043737/76219126502400000
         *ep^3*z3-1091368399/2381400*ep^3*z3^2;
*--#] 14 :
#case 13
*--#[ 13 :

Fill mncnoptab(4,3,2,4)=
      +mncF321*(-80015040-539362152*ep-1100388096*ep^2-1011181520*ep^3)
      +112116002315598031/277830000-683112/5*ep^-3-163968906/175*ep^-2-
         16427034037/132300*ep^-1+5280902832/5*z3-514440288162135081851/
         116688600000*ep+7921354248/5*ep*z4+399706855632/25*ep*z3+
         386860663878243227434889/16336404000000*ep^2+510851321424/5*
         ep^2*z5+599560283448/25*ep^2*z4-22170030526764881/330750*ep^2*
         z3-513228869327958554320865699053101611/
         5900457946707394560000000*ep^3+252785209296*ep^3*z6+
         12535958066808/175*ep^3*z5-22170030526764881/220500*ep^3*z4+
         7076962207827827311/138915000*ep^3*z3+184081285488/5*ep^3*z3^2
         ;

Fill mncnoptab(4,3,3,3)=
      +mncF321*(-120022560-806729868*ep-1635778476*ep^2-1490053596*ep^3
         )
      +113943864925414901/185220000-1636848/5*ep^-3-795987653/350*ep^-2
         -43111748837/88200*ep^-1+7932397608/5*z3-514113004567806056011/
         77792400000*ep+11898596412/5*ep*z4+599225082388/25*ep*z3+
         129299074724059004501213/3630312000000*ep^2+766402774056/5*
         ep^2*z5+898837623582/25*ep^2*z4-22267452738527431/220500*ep^2*
         z3-172772301596512530931439469600995491/
         1311212877046087680000000*ep^3+379235188224*ep^3*z6+
         18320171949822/175*ep^3*z5-22267452738527431/147000*ep^3*z4+
         7252074658745730011/92610000*ep^3*z3+276019556472/5*ep^3*z3^2;

Fill mncnoptab(4,4,3,2)=
      +mncF321*(-53343360-362734848*ep-754548648*ep^2-715272356*ep^3)
      +43502877434951143/158760000-775348/5*ep^-3-244569413/225*ep^-2-
         22078013309/75600*ep^-1+3527049568/5*z3-194374227454703727503/
         66679200000*ep+5290574352/5*ep*z4+2409775634507/225*ep*z3+
         48527580190990854101959/3111696000000*ep^2+340638006576/5*ep^2
         *z5+2409775634507/150*ep^2*z4-8326396844091133/189000*ep^2*z3-
         105786811618365080014766114153804887/1966819315569131520000000
         *ep^3+168555478504*ep^3*z6+3892080708773/75*ep^3*z5-
         8326396844091133/126000*ep^3*z4+2471980593733938943/79380000*
         ep^3*z3+122654498512/5*ep^3*z3^2;

Fill mncnoptab(4,4,4,1)=
      +mncF321*(-11854080-81677904*ep-524390356/3*ep^2-4671930094/27*
         ep^3)
      +378928952014105447/6429780000-46004/5*ep^-3-306097327/4050*ep^-2
         -92565638021/1020600*ep^-1+2343791072/15*z3-
         5222622663036567403351/8101522800000*ep+1171895536/5*ep*z4+
         4841081071814/2025*ep*z3+34845530027085020288206951/
         10207918728000000*ep^2+227009548304/15*ep^2*z5+2420540535907/
         675*ep^2*z4-24436904712751459/2551500*ep^2*z3-3555447416272499\
         73851965798415871269/29502289733536972800000000*ep^3+
         37444292872*ep^3*z6+2893676299532/225*ep^3*z5-
         24436904712751459/1701000*ep^3*z4+19438841172201491797/
         3214890000*ep^3*z3+81847441648/15*ep^3*z3^2;

Fill mncnoptab(5,2,1,5)=
      +mncF321*(-10001880-137128383/2*ep-1159187175/8*ep^2-4473098585/
         32*ep^3)
      +2612969065564003459/53343360000+139203/40*ep^-3+480029441/33600*
         ep^-2-534462429041/8467200*ep^-1+657564219/5*z3-
         36741229325877047272507/67212633600000*ep+1972692657/10*ep*z4+
         150780799267/75*ep*z3+245546008237757106776357497/
         84687918336000000*ep^2+127662292791/10*ep^2*z5+150780799267/50
         *ep^2*z4-43150177503557137/5292000*ep^2*z3-1313019662746315250\
         107937539034032627/125876436196424417280000000*ep^3+
         126347164353/4*ep^3*z6+29069732220281/2800*ep^3*z5-
         43150177503557137/3528000*ep^3*z4+71655490240316896307/
         13335840000*ep^3*z3+46081941417/10*ep^3*z3^2;

Fill mncnoptab(5,2,2,4)=
      +mncF321*(-40007520-271693926*ep-1126052991/2*ep^2-4228241817/8*
         ep^3)
      +42017995187475613/211680000-218337/10*ep^-3-203211317/1200*ep^-2
         -14559208981/100800*ep^-1+2634853116/5*z3-9304102970026942963/
         4233600000*ep+3952279674/5*ep*z4+601027129748/75*ep*z3+
         438206942813158605212191/37340352000000*ep^2+255367253862/5*
         ep^2*z5+300513564874/25*ep^2*z4-298082181486371/9000*ep^2*z3-
         172069386574032210858821691371045501/3933638631138263040000000
         *ep^3+126366200373*ep^3*z6+3831366559763/100*ep^3*z5-
         298082181486371/6000*ep^3*z4+1255089049955236289/52920000*ep^3
         *z3+92105733594/5*ep^3*z3^2;

Fill mncnoptab(5,3,1,4)=
      +mncF321*(-13335840-91462392*ep-193692336*ep^2-564788909/3*ep^3)
      +2630573439886473799/40007520000-7047/5*ep^-3-140011051/6300*
         ep^-2-520868498279/6350400*ep^-1+877589112/5*z3-
         36714170390650252604077/50409475200000*ep+1316383668/5*ep*z4+
         2414042665237/900*ep*z3+245405933403076099009821127/
         63515938752000000*ep^2+85114886484/5*ep^2*z5+2414042665237/600
         *ep^2*z4-172422173819794543/15876000*ep^2*z3-30789315273243329\
         0309639390373799867/23601831786829578240000000*ep^3+
         42118648686*ep^3*z6+9736206828567/700*ep^3*z5-
         172422173819794543/10584000*ep^3*z4+143137073575107847759/
         20003760000*ep^3*z3+30709766508/5*ep^3*z3^2;

Fill mncnoptab(5,3,2,3)=
      +mncF321*(-40007520-273207816*ep-573313320*ep^2-549813609*ep^3)
      +11080049931014773/54880000-325821/5*ep^-3-1045544411/2100*ep^-2-
         280386539173/705600*ep^-1+2638984296/5*z3-50318157824729823853/
         23049600000*ep+3958476444/5*ep*z4+2412058529117/300*ep*z3+
         1014377806111222205327989/87127488000000*ep^2+255414172572/5*
         ep^2*z5+2412058529117/200*ep^2*z4-57878797421003981/1764000*
         ep^2*z3-7879200884437895640310575543449321363/
         188814654294636625920000000*ep^3+126387594138*ep^3*z6+
         28223085648941/700*ep^3*z5-57878797421003981/1176000*ep^3*z4+
         1843447616143172839/82320000*ep^3*z3+92065772964/5*ep^3*z3^2;

Fill mncnoptab(5,3,3,2)=
      +mncF321*(-26671680-183782844*ep-393219345*ep^2-777289517/2*ep^3)
      +102749750155287397/740880000-498779/5*ep^-3-8814891479/12600*
         ep^-2-65187400933/352800*ep^-1+1766045144/5*z3-
         449076688302207782407/311169600000*ep+2649067716/5*ep*z4+
         2425677058637/450*ep*z3+1000756228374532693902949/
         130691232000000*ep^2+170345574708/5*ep^2*z5+2425677058637/300*
         ep^2*z4-19006169642391707/882000*ep^2*z3-327297995840665191042\
         71377251676739/1204175091164774400000000*ep^3+84289764782*ep^3
         *z6+15260576013313/525*ep^3*z5-19006169642391707/588000*ep^3*
         z4+4979841340906600327/370440000*ep^3*z3+61298941196/5*ep^3*
         z3^2;

Fill mncnoptab(5,4,1,3)=
      +mncF321*(-5715360-40006008*ep-88457256*ep^2-275347397/3*ep^3)
      +124911299492581939/4445280000+7317/5*ep^-3-10926071/700*ep^-2-
         361279838329/2116800*ep^-1+375598488/5*z3-
         245383261676899176871/800150400000*ep+563397732/5*ep*z4+
         2436024625757/2100*ep*z3+11379121357025946769845427/
         7057326528000000*ep^2+36473789316/5*ep^2*z5+2436024625757/1400
         *ep^2*z4-484938931840721/108000*ep^2*z3-3326745516003712341186\
         8950600865127499/6608512900312281907200000000*ep^3+18049095414
         *ep^3*z6+14682446788769/2100*ep^3*z5-484938931840721/72000*
         ep^3*z4+5320415887701024539/2222640000*ep^3*z3+13169452092/5*
         ep^3*z3^2;

Fill mncnoptab(5,4,2,2)=
      +mncF321*(-11430720-79906176*ep-176183460*ep^2-181999914*ep^3)
      +44635210122080933/740880000-275586/5*ep^-3-788364841/2100*ep^-2-
         4976924039/176400*ep^-1+758636016/5*z3-1512617798789863043/
         2469600000*ep+1137954024/5*ep*z4+1221803011276/525*ep*z3+
         420356621755457503616351/130691232000000*ep^2+73022491512/5*
         ep^2*z5+610901505638/175*ep^2*z4-81083359344391/9000*ep^2*z3-
         113297230851203687275045195679873204663/
         9912769350468422860800000000*ep^3+36131927748*ep^3*z6+
         2438772689839/175*ep^3*z5-81083359344391/6000*ep^3*z4+
         1769328089155911413/370440000*ep^3*z3+26248414344/5*ep^3*z3^2;

Fill mncnoptab(5,4,3,1)=
      +mncF321*(-3810240-26926452*ep-60716163*ep^2-389027869/6*ep^3)
      +380691934705679677/20003760000-15177/5*ep^-3-528299677/12600*
         ep^-2-457634603423/3175200*ep^-1+250846152/5*z3-
         729122467022749490923/3600676800000*ep+376269228/5*ep*z4+
         2448821315257/3150*ep*z3+33676842616243085592770821/
         31757969376000000*ep^2+24320373564/5*ep^2*z5+2448821315257/
         2100*ep^2*z4-3335695197299527/1134000*ep^2*z3-1475465634895940\
         371433232315717511002311/396510774018736914432000000000*ep^3+
         12034763706*ep^3*z6+2622322481299/525*ep^3*z5-3335695197299527/
         756000*ep^3*z4+13791827408356532527/10001880000*ep^3*z3+
         8774536068/5*ep^3*z3^2;

Fill mncnoptab(5,5,2,1)=
      +mncF321*(-714420-5252121*ep-12783483*ep^2-15136072*ep^3)
      +803257047614132789/213373440000-65169/20*ep^-3-1777108147/67200*
         ep^-2-497526510737/16934400*ep^-1+47367081/5*z3-
         2819979286108672144567/76814438400000*ep+142101243/10*ep*z4+
         5002746358649/33600*ep*z3+253644015596485664926487963/
         1355006693376000000*ep^2+4563462042/5*ep^2*z5+5002746358649/
         22400*ep^2*z4-3087683543662807/6048000*ep^2*z3-573551444266874\
         7214874324849836623116367857/105127527301299094633316352000000\
         00*ep^3+4516094961/2*ep^3*z6+13449133103061/11200*ep^3*z5-
         3087683543662807/4032000*ep^3*z4+9496088355452755649/
         106686720000*ep^3*z3+1641246354/5*ep^3*z3^2;

Fill mncnoptab(6,1,1,5)=
      +mncF321*(-2000376-139522383/10*ep-244247755/8*ep^2-2960172383/96
         *ep^3)
      +7880523738924032377/800150400000+57203/200*ep^-3+137399441/
         168000*ep^-2-958113329923/127008000*ep^-1+657474219/25*z3-
         36376265170795385954507/336063168000000*ep+1972422657/50*ep*z4
         +455922471301/1125*ep*z3+719147063657439286762050491/
         1270318775040000000*ep^2+127651242791/50*ep^2*z5+455922471301/
         750*ep^2*z4-125724798766009411/79380000*ep^2*z3-21125059988920\
         2730532730291324494551/104897030163687014400000000*ep^3+
         126336294353/20*ep^3*z6+300110528016529/126000*ep^3*z5-
         125724798766009411/52920000*ep^3*z4+57386328420609042307/
         66679200000*ep^3*z3+46082111417/50*ep^3*z3^2;

Fill mncnoptab(6,2,1,4)=
      +mncF321*(-5334336-185487624/5*ep-403951764/5*ep^2-1221399106/15*
         ep^3)
      +2639018830460893609/100018800000-70524/25*ep^-3-435397157/31500*
         ep^-2+528812756851/15876000*ep^-1+1757520384/25*z3-
         36467381207929775508967/126023688000000*ep+2636280576/25*ep*z4
         +2429820282907/2250*ep*z3+240722259523249834207441777/
         158789846880000000*ep^2+170254489488/25*ep^2*z5+2429820282907/
         1500*ep^2*z4-168505428142729393/39690000*ep^2*z3-2214676005871\
         69198524990762017535901/44253434600305459200000000*ep^3+
         84248484552/5*ep^3*z6+10885746651287/1750*ep^3*z5-
         168505428142729393/26460000*ep^3*z4+120116601977257126309/
         50009400000*ep^3*z3+61387247856/25*ep^3*z3^2;

Fill mncnoptab(6,2,2,3)=
      +mncF321*(-10668672-372362508/5*ep-817630656/5*ep^2-167151904*
         ep^3)
      +98234795436832717/1852200000-190123/25*ep^-3-3886096213/63000*
         ep^-2-70490176693/882000*ep^-1+3513407368/25*z3-
         111914850813968262223/194481000000*ep+5270111052/25*ep*z4+
         2434233131567/1125*ep*z3+985708621830438375631549/
         326728080000000*ep^2+340494680676/25*ep^2*z5+2434233131567/750
         *ep^2*z4-18590597203130507/2205000*ep^2*z3-4341461887879076534\
         559489131551382209/393363863113826304000000000*ep^3+
         168490636654/5*ep^3*z6+67194888607657/5250*ep^3*z5-
         18590597203130507/1470000*ep^3*z4+2122423226987794901/
         463050000*ep^3*z3+122810093212/25*ep^3*z3^2;

Fill mncnoptab(6,3,1,3)=
      +mncF321*(-3429216-121197384/5*ep-273135456/5*ep^2-290322697/5*
         ep^3)
      +374077909156519937/22226400000+12231/25*ep^-3-8923493/3500*ep^-2
         -52136261003/1176000*ep^-1+1127423304/25*z3-
         5140162530200564580971/28005264000000*ep+1691134956/25*ep*z4+
         2446613810037/3500*ep*z3+33667294949974041949420481/
         35286632640000000*ep^2+109424920428/25*ep^2*z5+7339841430111/
         7000*ep^2*z4-7787907541001843/2940000*ep^2*z3-2294726065292108\
         972420151839946477929/674338051052273664000000000*ep^3+
         54148748562/5*ep^3*z6+15731918817529/3500*ep^3*z5-
         7787907541001843/1960000*ep^3*z4+1954861243873228031/
         1587600000*ep^3*z3+39497166036/25*ep^3*z3^2;

Fill mncnoptab(6,3,2,2)=
      +mncF321*(-4572288-162874152/5*ep-74592342*ep^2-405757893/5*ep^3)
      +7419107732858953/308700000-528042/25*ep^-3-1529626337/10500*
         ep^-2-1289054209/63000*ep^-1+1517003472/25*z3-
         7843305263208754687/32413500000*ep+2275505208/25*ep*z4+
         352094179196/375*ep*z3+68232923854726992336911/54454680000000*
         ep^2+146041495704/25*ep^2*z5+176047089598/125*ep^2*z4-
         959554286054936/275625*ep^2*z3-5309483681051621474451522936835\
         2927883/11800915893414789120000000000*ep^3+72262246116/5*ep^3*
         z6+5560966230083/875*ep^3*z5-479777143027468/91875*ep^3*z4+
         13473863267201968/9646875*ep^3*z3+52498006248/25*ep^3*z3^2;

Fill mncnoptab(6,3,3,1)=
      +mncF321*(-979776-35714844/5*ep-85590297/5*ep^2-198716453/10*ep^3
         )
      +128890146350345179/25930800000-282213/175*ep^-3-1023054657/49000
         *ep^-2-56463835781/823200*ep^-1+2257861608/175*z3-
         1650941434071511630747/32672808000000*ep+3386792412/175*ep*z4+
         355104068411/1750*ep*z3+10731603718067507273946547/
         41167738080000000*ep^2+218898841356/175*ep^2*z5+1065312205233/
         3500*ep^2*z4-7322361668320423/10290000*ep^2*z3-518377545132083\
         7157894005772998447511/5736556337076633600000000000*ep^3+
         108320489874/35*ep^3*z6+9590115468517/6125*ep^3*z5-
         7322361668320423/6860000*ep^3*z4+2277706177192183769/
         12965400000*ep^3*z3+78993038772/175*ep^3*z3^2;

Fill mncnoptab(6,4,1,2)=
      +mncF321*(-571536-21114324/5*ep-51864984/5*ep^2-186327916/15*ep^3
         )
      +264987271775457583/88905600000-56349/25*ep^-3-498025809/28000*
         ep^-2-336187664677/21168000*ep^-1+189480084/25*z3-
         940565809666665770069/32006016000000*ep+284220126/25*ep*z4+
         5013127089289/42000*ep*z3+83929972047696494722342321/
         564586122240000000*ep^2+18253602888/25*ep^2*z5+5013127089289/
         28000*ep^2*z4-3056626602250307/7560000*ep^2*z3-252392131132090\
         290061150638237769403726742121/9658591570806854319435939840000\
         00000*ep^3+9032061402/5*ep^3*z6+41462926546063/42000*ep^3*z5-
         3056626602250307/5040000*ep^3*z4+269598320786358587/4939200000
         *ep^3*z3+6563436456/25*ep^3*z3^2;

Fill mncnoptab(6,4,2,1)=
      +mncF321*(-381024-14217336/5*ep-35586672/5*ep^2-131209732/15*ep^3
         )
      +822973988566763249/400075200000-63816/25*ep^-3-2434842217/126000
         *ep^-2-249521831533/15876000*ep^-1+126737256/25*z3-
         2779356071651368710667/144027072000000*ep+190105884/25*ep*z4+
         5043948923759/63000*ep*z3+247651128243587704807395083/
         2540637550080000000*ep^2+12174025992/25*ep^2*z5+5043948923759/
         42000*ep^2*z4-1495211812443731/5670000*ep^2*z3-788759133073209\
         8942908003669973971949788817789/241464789270171357985898496000\
         00000000*ep^3+6023644368/5*ep^3*z6+14607147441451/21000*ep^3*
         z5-1495211812443731/3780000*ep^3*z4+2754041483049389069/
         200037600000*ep^3*z3+4372279704/25*ep^3*z3^2;

Fill mncnoptab(6,5,1,1)=
      +mncF321*(-15876-654129/5*ep-386255*ep^2-1732552/3*ep^3)
      +838970399683020149/9601804800000-69883/300*ep^-3-4127083187/
         3024000*ep^-2-1046893891313/762048000*ep^-1+15633907/75*z3-
         356136281042972059921/493807104000000*ep+15633907/50*ep*z4+
         5257159170169/1512000*ep*z3+209338848259223711357556443/
         60975301201920000000*ep^2+507010458/25*ep^2*z5+5257159170169/
         1008000*ep^2*z4-2297702445079927/272160000*ep^2*z3-29504304768\
         67999404932049983005842610596148126417/12626297862017304207909\
         36461377536000000000*ep^3+1505397467/30*ep^3*z6+22506203350741/
         504000*ep^3*z5-2297702445079927/181440000*ep^3*z4-
         39941633123858070271/4800902400000*ep^3*z3+552148438/75*ep^3*
         z3^2;

Fill mncnoptab(7,1,1,4)=
      +mncF321*(-592704-21317506/5*ep-446428438/45*ep^2-1474158508/135*
         ep^3)
      +2627595674628373609/900169200000+42109/150*ep^-3+7388177/14000*
         ep^-2-127174765813/15876000*ep^-1+1751147884/225*z3-
         4450308738075916851469/141776649000000*ep+875573942/75*ep*z4+
         2465755713617/20250*ep*z3+76482174706986128191687519/
         476369540640000000*ep^2+170175375238/225*ep^2*z5+2465755713617/
         13500*ep^2*z4-158329484359139413/357210000*ep^2*z3-61123939730\
         25310907359681213107191/12643838457230131200000000*ep^3+
         28070704559/15*ep^3*z6+246872880930121/283500*ep^3*z5-
         158329484359139413/238140000*ep^3*z4+33030160693013141827/
         225042300000*ep^3*z3+61470509306/225*ep^3*z3^2;

Fill mncnoptab(7,2,1,3)=
      +mncF321*(-762048-27759942/5*ep-13259202*ep^2-228028364/15*ep^3)
      +370565406122201587/100018800000+30861/50*ep^-3+341125051/126000*
         ep^-2-165757622783/15876000*ep^-1+250234212/25*z3-
         90004421710003786871/2250423000000*ep+375351318/25*ep*z4+
         2479572890797/15750*ep*z3+32226397954916611482983071/
         158789846880000000*ep^2+24314633634/25*ep^2*z5+2479572890797/
         10500*ep^2*z4-3150086705064577/5670000*ep^2*z3-111923412764264\
         458477462554928289653/157345545245530521600000000*ep^3+
         12032199711/5*ep^3*z6+12697439239441/10500*ep^3*z5-
         3150086705064577/3780000*ep^3*z4+3418527370846898201/
         25004700000*ep^3*z3+8781371358/25*ep^3*z3^2;

Fill mncnoptab(7,2,2,2)=
      +mncF321*(-653184-24244596/5*ep-60032088/5*ep^2-14493156*ep^3)
      +44137265423552143/12965400000-436467/175*ep^-3-2727684439/147000
         *ep^-2-1379814651/137200*ep^-1+1515014472/175*z3-
         30472679195008584293/907578000000*ep+2272521708/175*ep*z4+
         358749515711/2625*ep*z3+385360960662194108927911/
         2287096560000000*ep^2+146018667204/175*ep^2*z5+358749515711/
         1750*ep^2*z4-2354856080920391/5145000*ep^2*z3-1351690690551962\
         36858655149735594363/229462253483065344000000000*ep^3+
         72251826366/35*ep^3*z6+14171422467031/12250*ep^3*z5-
         2354856080920391/3430000*ep^3*z4+69634421325381187/1620675000*
         ep^3*z3+52518732348/175*ep^3*z3^2;

Fill mncnoptab(7,3,1,2)=
      +mncF321*(-190512-7222068/5*ep-18589566/5*ep^2-14178544/3*ep^3)
      +111793149088902107/114307200000-11358/25*ep^-3-1101733117/252000
         *ep^-2-245224934053/31752000*ep^-1+62953428/25*z3-
         19386779367242714438569/2016379008000000*ep+94430142/25*ep*z4+
         5069738476259/126000*ep*z3+34562244305144319097973369/
         725896442880000000*ep^2+6082219596/25*ep^2*z5+5069738476259/
         84000*ep^2*z4-10095549786987317/79380000*ep^2*z3-2745647434729\
         6076347684616401125079561679/234659659154685479092224000000000
         *ep^3+3009633084/5*ep^3*z6+15777011665951/42000*ep^3*z5-
         10095549786987317/52920000*ep^3*z4-3941025586422295831/
         400075200000*ep^3*z3+2190266052/25*ep^3*z3^2;

Fill mncnoptab(7,3,2,1)=
      +mncF321*(-81648-3164292/5*ep-1695294*ep^2-34112144/15*ep^3)
      +843187205163830749/1867017600000-122874/175*ep^-3-3192460637/
         588000*ep^-2-411277468229/74088000*ep^-1+190300284/175*z3-
         18726213308311761768329/4704884352000000*ep+285450426/175*ep*
         z4+244720059639/14000*ep*z3+232776386357809024991813743/
         11856308567040000000*ep^2+18264274788/175*ep^2*z5+734160178917/
         28000*ep^2*z4-9562035592869157/185220000*ep^2*z3-7875298790298\
         2631225636300180118488559/1156489757554649333760000000000*ep^3
         +9036987252/35*ep^3*z6+52715354638973/294000*ep^3*z5-
         9562035592869157/123480000*ep^3*z4-13697963293749490871/
         933508800000*ep^3*z3+6559326156/175*ep^3*z3^2;

Fill mncnoptab(7,4,1,1)=
      +mncF321*(-7056-296604/5*ep-8143546/45*ep^2-38095144/135*ep^3)
      +838661968600943549/21604060800000-69358/675*ep^-3-4168282877/
         6804000*ep^-2-565066969861/857304000*ep^-1+62539828/675*z3-
         2444728982739744568207/7777461888000000*ep+31269914/225*ep*z4+
         5309338104739/3402000*ep*z3+201417883482408674828930063/
         137194427704320000000*ep^2+676044044/75*ep^2*z5+5309338104739/
         2268000*ep^2*z4-1072008078184691/306180000*ep^2*z3-51484087067\
         651027512342741732439927076623/3018309865877141974823731200000\
         0000*ep^3+3010928284/135*ep^3*z6+24210012095071/1134000*ep^3*
         z5-1072008078184691/204120000*ep^3*z4-47665588578873892951/
         10802030400000*ep^3*z3+2208591652/675*ep^3*z3^2;

Fill mncnoptab(8,1,1,3)=
      +mncF321*(-46656-12582198/35*ep-33230674/35*ep^2-43275308/35*ep^3
         )
      +1128698373154460861/4900921200000-3517/2450*ep^-3+36233037/
         686000*ep^-2+24145217027/155584800*ep^-1+750262236/1225*z3-
         608440832748805622927/257298363000000*ep+1125393354/1225*ep*z4
         +155865901619/15750*ep*z3+88392160496341456333181473/
         7780702497120000000*ep^2+72917455102/1225*ep^2*z5+155865901619/
         10500*ep^2*z4-58434546723156857/1944810000*ep^2*z3-22970692519\
         0644742672043678568628499/6424943097525829632000000000*ep^3+
         36083596433/245*ep^3*z6+152765589149629/1543500*ep^3*z5-
         58434546723156857/1296540000*ep^3*z4-2848293644948974459/
         408410100000*ep^3*z3+26344614274/1225*ep^3*z3^2;

Fill mncnoptab(8,2,1,2)=
      +mncF321*(-23328-6517584/35*ep-3665448/7*ep^2-25999076/35*ep^3)
      +784647017710241999/6534561600000-114498/1225*ep^-3-1266332587/
         2058000*ep^-2+19792623881/259308000*ep^-1+380121768/1225*z3-
         18761265330062531322979/16467095232000000*ep+570182652/1225*ep
         *z4+743181739967/147000*ep*z3+221740769665318805177417093/
         41497079984640000000*ep^2+36520556976/1225*ep^2*z5+
         743181739967/98000*ep^2*z4-8858350542038507/648270000*ep^2*z3-
         56986859827689830606531127369575137/
         4130320562695176192000000000*ep^3+18070217604/245*ep^3*z6+
         19891156527141/343000*ep^3*z5-8858350542038507/432180000*ep^3*
         z4-26162148781557415021/3267280800000*ep^3*z3+13108164912/1225
         *ep^3*z3^2;

Fill mncnoptab(8,2,2,1)=
      +mncF321*(-5832-1697436/35*ep-5111712/35*ep^2-1585084/7*ep^3)
      +919169280579619949/26138246400000-478323/4900*ep^-3-2784269321/
         4116000*ep^-2-560656160501/2074464000*ep^-1+96419592/1225*z3-
         17495720890280730213769/65868380928000000*ep+144629388/1225*ep
         *z4+381411107731/294000*ep*z3+203690675745800369146535033/
         165988319938560000000*ep^2+9145651419/1225*ep^2*z5+
         381411107731/196000*ep^2*z4-15569686511570959/5186160000*ep^2*
         z3-819235388656191938912659005954905711/
         236116658834074238976000000000*ep^3+9049231827/490*ep^3*z6+
         11710961180613/686000*ep^3*z5-15569686511570959/3457440000*
         ep^3*z4-43440212167003269481/13069123200000*ep^3*z3+3265762653/
         1225*ep^3*z3^2;

Fill mncnoptab(8,3,1,1)=
      +mncF321*(-1296-398628/35*ep-1303702/35*ep^2-2217144/35*ep^3)
      +850630594465206749/117622108800000-71758/3675*ep^-3-4408397597/
         37044000*ep^-2-591300858517/4667544000*ep^-1+62520628/3675*z3-
         16409461897409014840009/296407714176000000*ep+31260314/1225*ep
         *z4+110802860851/378000*ep*z3+183332427224919714209410223/
         746947439723520000000*ep^2+2027719332/1225*ep^2*z5+
         110802860851/252000*ep^2*z4-6260661240807077/11668860000*ep^2*
         z3-1937083043110004646748005283534879687783943/394392489141279\
         8847103008768000000000*ep^3+3010318684/735*ep^3*z6+
         28099974461311/6174000*ep^3*z5-6260661240807077/7779240000*
         ep^3*z4-64152916996522955191/58811054400000*ep^3*z3+2208601252/
         3675*ep^3*z3^2;

Fill mncnoptab(9,1,1,2)=
      +mncF321*(-729-446409/70*ep-1448063/70*ep^2-1215248/35*ep^3)
      +2203119005661195847/627317913600000+295877/39200*ep^-3+158802093/
         10976000*ep^-2-11049750461423/49787136000*ep^-1+11277024/1225*
         z3-16586562496003802901769/526947047424000000*ep+16915536/1225
         *ep*z4+1156127783393/7056000*ep*z3+553220987663752640782725899/
         3983719678525440000000*ep^2+9070426619/9800*ep^2*z5+
         1156127783393/4704000*ep^2*z4-37493637343921277/124467840000*
         ep^2*z3-3448433152985643690963703913197999/
         10119285378603181670400000000*ep^3+8980210427/3920*ep^3*z6+
         123793332465317/49392000*ep^3*z5-37493637343921277/82978560000
         *ep^3*z4-62091534946692057481/104552985600000*ep^3*z3+
         3339772253/9800*ep^3*z3^2;

Fill mncnoptab(9,2,1,1)=
      +mncF321*(-81-54081/70*ep-199271/70*ep^2-195144/35*ep^3)
      +813443242400280749/1881953740800000-110441/117600*ep^-3-
         1916724601/296352000*ep^-2-1770625307237/149361408000*ep^-1+
         3915808/3675*z3-14721398873640490642249/4742523426816000000*ep
         +1957904/1225*ep*z4+404464304651/21168000*ep*z3+
         150031900921795278114997913/11951159035576320000000*ep^2+
         1015281891/9800*ep^2*z5+404464304651/14112000*ep^2*z4-
         7495338170484799/373403520000*ep^2*z3-438934594942490051704299\
         8426273687/123358907472495928934400000000*ep^3+3014519209/
         11760*ep^3*z6+17896789678973/49392000*ep^3*z5-7495338170484799/
         248935680000*ep^3*z4-91148402653255264201/940976870400000*ep^3
         *z3+1104267551/29400*ep^3*z3^2;

Fill mncnoptab(10,1,1,1)=
      +mncF321*(-1-7129/630*ep-6515/126*ep^2-72368/567*ep^3)
      +1431192045625367149/152438253004800000-737641/9525600*ep^-3-
         5687052281/24004512000*ep^-2+11960152010587/12098274048000*
         ep^-1+3759008/297675*z3-17167839680784555589129/
         384144397572096000000*ep+1879504/99225*ep*z4+62644980253/
         244944000*ep*z3+67262714062956196005903193/
         968043881881681920000000*ep^2+988312291/793800*ep^2*z5+
         62644980253/163296000*ep^2*z4+4185944980101761/30245685120000*
         ep^2*z3+499879858365362876645866114547/
         1219735291170919219200000000*ep^3+2934864809/952560*ep^3*z6+
         8824840773311/1333584000*ep^3*z5+4185944980101761/
         20163790080000*ep^3*z4-136495445473868880521/76219126502400000
         *ep^3*z3+1104894751/2381400*ep^3*z3^2;
*--#] 13 :
#case 12
*--#[ 12 :

Fill mncnoptab(3,3,3,3)=
      +mncF321*(12348000+80929380*ep+154821884*ep^2+127897200*ep^3)
      -18474865276279/324000-147056/3*ep^-3-9668041/30*ep^-2+85171103/
         1800*ep^-1-484428616/3*z3+13566578305724783/19440000*ep-
         242214308*ep*z4-36402268628/15*ep*z3-887066202169941451/
         233280000*ep^2-15750783384*ep^2*z5-18201134314/5*ep^2*z4+
         9716859062113/900*ep^2*z3+21900069325747311379654931/
         1612431360000000*ep^3-116919803840/3*ep^3*z6-120047125306/15*
         ep^3*z5+9716859062113/600*ep^3*z4-1622560428166393/162000*ep^3
         *z3-17093843032/3*ep^3*z3^2;

Fill mncnoptab(4,2,2,4)=
      +mncF321*(5488000+108813040/3*ep+636101336/9*ep^2+539316556/9*
         ep^3)
      -6586797294014227/250047000-269984/27*ep^-3-57006874/945*ep^-2+
         955059143/22050*ep^-1-1942771744/27*z3+32265602381017175333/
         105019740000*ep-971385872/9*ep*z4-48784892704/45*ep*z3-
         14716124151748322677783/8821658160000*ep^2-21007720352/3*ep^2*
         z5-24392446352/15*ep^2*z4+470261481652577/99225*ep^2*z3+
         71381371254473080387153598488361/11707257830768640000000*ep^3-
         467816778560/27*ep^3*z6-3742522457368/945*ep^3*z5+
         470261481652577/66150*ep^3*z4-518245498504037389/125023500*
         ep^3*z3-68334827488/27*ep^3*z3^2;

Fill mncnoptab(4,3,1,4)=
      +mncF321*(1756160+35253344/3*ep+212014264/9*ep^2+188470276/9*ep^3
         )
      -3041096169814853/357210000-291704/135*ep^-3-993209/75*ep^-2+
         158917319/18900*ep^-1-3110543296/135*z3+14638607366858786083/
         150028200000*ep-1555271648/45*ep*z4-235523635396/675*ep*z3-
         33097145826361049126221/63011844000000*ep^2-33614899808/15*
         ep^2*z5-117761817698/225*ep^2*z4+210963502033831/141750*ep^2*
         z3+116108173808332691718280351059461/61463103611535360000000*
         ep^3-149711777488/27*ep^3*z6-980661626032/675*ep^3*z5+
         210963502033831/94500*ep^3*z4-213839265046046363/178605000*
         ep^3*z3-109318516384/135*ep^3*z3^2;

Fill mncnoptab(4,3,2,3)=
      +mncF321*(6585600+43566880*ep+255405080/3*ep^2+218176756/3*ep^3)
      -91660413154999/2976750-193760/9*ep^-3-6413092/45*ep^-2+27103277/
         1890*ep^-1-775759936/9*z3+231211864343620921/625117500*ep-
         387879968/3*ep*z4-19502546104/15*ep*z3-1051763892065627126333/
         525098700000*ep^2-8401335488*ep^2*z5-9751273052/5*ep^2*z4+
         993928533023/175*ep^2*z3+116812278405327322382107731323609/
         15609677107691520000000*ep^3-187090648640/9*ep^3*z6-
         215591396824/45*ep^3*z5+2981785599069/350*ep^3*z4-
         7387245352032769/1488375*ep^3*z3-27344779840/9*ep^3*z3^2;

Fill mncnoptab(4,3,3,2)=
      +mncF321*(5268480+35041664*ep+207980752/3*ep^2+181332772/3*ep^3)
      -357433853456101/14883750-1156064/45*ep^-3-4163404/25*ep^-2+
         64087288/1575*ep^-1-3094354816/45*z3+230831625298283032/
         781396875*ep-1547177408/15*ep*z4-234320034976/225*ep*z3-
         1046312625153415872473/656373375000*ep^2-33595079168/5*ep^2*z5
         -117160017488/75*ep^2*z4+106457437663238/23625*ep^2*z3+4764497\
         54109623427520812256645027/81950804815380480000000*ep^3-
         149630678848/9*ep^3*z6-913580412592/225*ep^3*z5+53228718831619/
         7875*ep^3*z4-28406560722533101/7441875*ep^3*z3-109476419584/45
         *ep^3*z3^2;

Fill mncnoptab(4,4,2,2)=
      +mncF321*(2195200+44539040/3*ep+274271704/9*ep^2+253110668/9*ep^3
         )
      -86747864238209/8930250-417088/27*ep^-3-38521988/405*ep^-2+
         264311666/4725*ep^-1-769912640/27*z3+91377100658554171/
         750141000*ep-384956320/9*ep*z4-35353015376/81*ep*z3-
         68382332114496332623/105019740000*ep^2-25184286400/9*ep^2*z5-
         17676507688/27*ep^2*z4+25917365803922/14175*ep^2*z3+
         1048599066101083060351293522703/487802409615360000000*ep^3-
         186957366400/27*ep^3*z6-53956855232/27*ep^3*z5+12958682901961/
         4725*ep^3*z4-6156640386363296/4465125*ep^3*z3-27416355008/27*
         ep^3*z3^2;

Fill mncnoptab(4,4,3,1)=
      +mncF321*(878080+17952032/3*ep+112406056/9*ep^2+35486972/3*ep^3)
      -1515457055404949/357210000-82712/135*ep^-3-18631369/2025*ep^-2-
         89285363/2835*ep^-1-1559578048/135*z3+7299111146505237989/
         150028200000*ep-779789024/45*ep*z4-356235983624/2025*ep*z3-
         5388187639775682120241/21003948000000*ep^2-50435518112/45*ep^2
         *z5-178117991812/675*ep^2*z4+17096773309478/23625*ep^2*z3+
         904128052759704700290648619196617/983409657784565760000000*
         ep^3-74873488144/27*ep^3*z6-583811161436/675*ep^3*z5+
         8548386654739/7875*ep^3*z4-89924500079186459/178605000*ep^3*z3
         -54591134752/135*ep^3*z3^2;

Fill mncnoptab(5,1,1,5)=
      +mncF321*(343000+13993805/6*ep+347510143/72*ep^2+1279265441/288*
         ep^3)
      -54699046462671221/32006016000+39923/216*ep^-3+65445179/60480*
         ep^-2-453971069/313600*ep^-1-121886869/27*z3+
         253836725678646787039/13442526720000*ep-121886869/18*ep*z4-
         3093087769/45*ep*z3-22650122422155291501199/225834448896000*
         ep^2-2626651729/6*ep^2*z5-3093087769/30*ep^2*z4+
         900668820502039/3175200*ep^2*z3+572218018081655048579208227093/
         1734408567521280000000*ep^3-116980459115/108*ep^3*z6-
         5020119134743/15120*ep^3*z5+900668820502039/2116800*ep^3*z4-
         1573874063791386901/8001504000*ep^3*z3-8529646151/54*ep^3*z3^2
         ;

Fill mncnoptab(5,2,1,4)=
      +mncF321*(1097600+22161440/3*ep+134795440/9*ep^2+40386356/3*ep^3)
      -10775201906664373/2000376000+860/27*ep^-3-1053382/945*ep^-2-
         266829113/35280*ep^-1-390135008/27*z3+51071920301703536489/
         840157920000*ep-195067504/9*ep*z4-29544980671/135*ep*z3-
         114920084132188764077321/352866326400000*ep^2-4203430864/3*
         ep^2*z5-29544980671/90*ep^2*z4+732307182618563/793800*ep^2*z3+
         1562664890193727295151767010348841/1311212877046087680000000*
         ep^3-93601856920/27*ep^3*z6-911656397969/945*ep^3*z5+
         732307182618563/529200*ep^3*z4-704255657056887853/1000188000*
         ep^3*z3-13647504560/27*ep^3*z3^2;

Fill mncnoptab(5,2,2,3)=
      +mncF321*(2634240+17702272*ep+107380352/3*ep^2+96374632/3*ep^3)
      -2654032230525247/208372500-108592/45*ep^-3-35031746/1575*ep^-2-
         1264086542/33075*ep^-1-1558464128/45*z3+12827538004268185367/
         87516450000*ep-779232064/15*ep*z4-39340546696/75*ep*z3-
         28812333571720388839769/36756909000000*ep^2-16810404544/5*ep^2
         *z5-19670273348/25*ep^2*z4+367046202658463/165375*ep^2*z3+
         1281859080538325870973548377624297/437070959015362560000000*
         ep^3-74867588384/9*ep^3*z6-3585839545472/1575*ep^3*z5+
         367046202658463/110250*ep^3*z4-179374922607847747/104186250*
         ep^3*z3-54605916992/45*ep^3*z3^2;

Fill mncnoptab(5,3,1,3)=
      +mncF321*(823200+5611480*ep+35128688/3*ep^2+33153089/3*ep^3)
      -1553281109396459/381024000+6559/9*ep^-3+172871/540*ep^-2-
         2946557347/100800*ep^-1-97752760/9*z3+291223686024966251/
         6401203200*ep-48876380/3*ep*z4-17836904227/108*ep*z3-
         43035127636437464581/179233689600*ep^2-3153076220/3*ep^2*z5-
         17836904227/72*ep^2*z4+102556294640003/151200*ep^2*z3+12084809\
         8355365464959341928361503/157345545245530521600000*ep^3-
         23403689750/9*ep^3*z6-29335295797/36*ep^3*z5+102556294640003/
         100800*ep^3*z4-88904587002275411/190512000*ep^3*z3-3408512716/
         9*ep^3*z3^2;

Fill mncnoptab(5,3,2,2)=
      +mncF321*(1317120+9011296*ep+56857640/3*ep^2+54310940/3*ep^3)
      -349190112856271/59535000-381136/45*ep^-3-36449102/675*ep^-2+
         193339331/9450*ep^-1-770935424/45*z3+908441292764063803/
         12502350000*ep-385467712/15*ep*z4-177737284552/675*ep*z3-
         336672426316471728901/875164500000*ep^2-25187813056/15*ep^2*z5
         -88868642276/225*ep^2*z4+8482385865584/7875*ep^2*z3+3305262056\
         0149190647823325083775131/23601831786829578240000000*ep^3-
         37396251872/9*ep^3*z6-299689797328/225*ep^3*z5+4241192932792/
         2625*ep^3*z4-21844780501124381/29767500*ep^3*z3-27403576256/45
         *ep^3*z3^2;

Fill mncnoptab(5,3,3,1)=
      +mncF321*(329280+2300844*ep+15176623/3*ep^2+10330273/2*ep^3)
      -495589548067253/317520000-19369/45*ep^-3-12264643/1800*ep^-2-
         745482991/30240*ep^-1-195095096/45*z3+2420727150527484823/
         133358400000*ep-97547548/15*ep*z4-10002254099/150*ep*z3-
         5215308107863985935541/56010528000000*ep^2-6304354924/15*ep^2*
         z5-10002254099/100*ep^2*z4+98451031848443/378000*ep^2*z3+
         4313977870415624351769298257222697/13112128770460876800000000*
         ep^3-9358984838/9*ep^3*z6-89178432137/225*ep^3*z5+
         98451031848443/252000*ep^3*z4-22229303943908503/158760000*ep^3
         *z3-6819153404/45*ep^3*z3^2;

Fill mncnoptab(5,4,1,2)=
      +mncF321*(156800+3351040/3*ep+22964888/9*ep^2+24690728/9*ep^3)
      -1404687254200169/2000376000-22196/27*ep^-3-18341056/2835*ep^-2-
         7901872933/1587600*ep^-1-55213792/27*z3+1020579030364635443/
         120022560000*ep-27606896/9*ep*z4-90522116039/2835*ep*z3-
         188609945455644369829/4356374400000*ep^2-1799651888/9*ep^2*z5-
         90522116039/1890*ep^2*z4+13564975274353/113400*ep^2*z3+
         3266222533120520691255193786309/25803751953530880000000*ep^3-
         13359354680/27*ep^3*z6-203225899661/945*ep^3*z5+13564975274353/
         75600*ep^3*z4-9927143676795133/200037600*ep^3*z3-1955572336/27
         *ep^3*z3^2;

Fill mncnoptab(5,4,2,1)=
      +mncF321*(125440+2697296/3*ep+18710716/9*ep^2+20468072/9*ep^3)
      -2703599746937443/5000940000-141956/135*ep^-3-206700143/28350*
         ep^-2-395097751/264600*ep^-1-219587104/135*z3+5935816788455473/
         874800000*ep-109793552/45*ep*z4-362518693214/14175*ep*z3-
         10111746922861423806637/294055272000000*ep^2-7193822576/45*
         ep^2*z5-181259346607/4725*ep^2*z4+26792864884873/283500*ep^2*
         z3+1152725275657063752382157905657303987/
         9912769350468422860800000000*ep^3-10680940312/27*ep^3*z6-
         843770646296/4725*ep^3*z5+26792864884873/189000*ep^3*z4-
         89201440412140393/2500470000*ep^3*z3-7836289456/135*ep^3*z3^2;

Fill mncnoptab(5,5,1,1)=
      +mncF321*(4900+117215/3*ep+979507/9*ep^2+1345652/9*ep^3)
      -2629892605029463/128024064000-9421/108*ep^-3-169868023/362880*
         ep^-2-170678409/627200*ep^-1-1745339/27*z3+3906601924079214383/
         15362887680000*ep-1745339/18*ep*z4-192174586747/181440*ep*z3-
         33872779461257114128411/30111259852800000*ep^2-56228506/9*ep^2
         *z5-192174586747/120960*ep^2*z4+2099180994649/725760*ep^2*z3-
         18571020473326926896381314280217879559/
         8623742473934691356639232000000*ep^3-834700895/54*ep^3*z6-
         728875883983/60480*ep^3*z5+2099180994649/483840*ep^3*z4+
         114591641759088101/64012032000*ep^3*z3-60417974/27*ep^3*z3^2;

Fill mncnoptab(6,1,1,4)=
      +mncF321*(175616+18254152/15*ep+117885044/45*ep^2+114868736/45*
         ep^3)
      -21394537161736301/25004700000-204262/675*ep^-3-11650321/10500*
         ep^-2+954399088/165375*ep^-1-1550442608/675*z3+
         49946815471179451343/5250987000000*ep-775221304/225*ep*z4-
         119589917858/3375*ep*z3-221068053913697148215107/
         4410829080000000*ep^2-16799788984/75*ep^2*z5-59794958929/1125*
         ep^2*z4+1394825044812667/9922500*ep^2*z3+583783815084794978983\
         329252108523/3278032192615219200000000*ep^3-74823829124/135*
         ep^3*z6-4690409120177/23625*ep^3*z5+1394825044812667/6615000*
         ep^3*z4-253644821402229329/3125587500*ep^3*z3-54722446472/675*
         ep^3*z3^2;

Fill mncnoptab(6,2,1,3)=
      +mncF321*(263424+9202816/5*ep+60549488/15*ep^2+4068144*ep^3)
      -1355689314527311/1041862500+9944/225*ep^-3+4198591/23625*ep^-2-
         576422233/330750*ep^-1-780778304/225*z3+6235229745188311381/
         437582250000*ep-390389152/75*ep*z4-180342275932/3375*ep*z3-
         4550736140110325844179/61261515000000*ep^2-25222698976/75*ep^2
         *z5-90171137966/1125*ep^2*z4+38233962610057/183750*ep^2*z3+
         27455320228698969310537312489801211/
         118009158934147891200000000*ep^3-37443659312/45*ep^3*z6-
         2504864599936/7875*ep^3*z5+38233962610057/122500*ep^3*z4-
         113869619093002097/1041862500*ep^3*z3-27288074336/225*ep^3*
         z3^2;

Fill mncnoptab(6,2,2,2)=
      +mncF321*(263424+9349536/5*ep+63550216/15*ep^2+13453088/3*ep^3)
      -102264570285053/86821875-377056/225*ep^-3-27899296/2625*ep^-2+
         791190703/165375*ep^-1-770079104/225*z3+689816087850916079/
         48620250000*ep-385039552/75*ep*z4-60229585064/1125*ep*z3-
         4478494538081579549939/61261515000000*ep^2-25185362176/75*ep^2
         *z5-30114792532/375*ep^2*z4+167054477285254/826875*ep^2*z3+
         1427362780046678562315030518604047/5463386987692032000000000*
         ep^3-37393003712/45*ep^3*z6-2776970161016/7875*ep^3*z5+
         83527238642627/275625*ep^3*z4-5102431582030799/57881250*ep^3*
         z3-27419553536/225*ep^3*z3^2;

Fill mncnoptab(6,3,1,2)=
      +mncF321*(75264+2732576/5*ep+19418248/15*ep^2+4375172/3*ep^3)
      -712078941266617/2083725000-88616/225*ep^-3-65364799/23625*ep^-2-
         76182557/220500*ep^-1-220289344/225*z3+501012737525811601/
         125023500000*ep-110144672/75*ep*z4-365253982064/23625*ep*z3-
         2473236259397937148813/122523030000000*ep^2-7196656736/75*ep^2
         *z5-182626991032/7875*ep^2*z4+6531961141462/118125*ep^2*z3+
         291684578856890861380392724339851167/
         4130320562695176192000000000*ep^3-10684840432/45*ep^3*z6-
         916914185996/7875*ep^3*z5+3265980570731/39375*ep^3*z4-
         7865500278716921/520931250*ep^3*z3-7831926496/225*ep^3*z3^2;

Fill mncnoptab(6,3,2,1)=
      +mncF321*(37632+1393728/5*ep+2057504/3*ep^2+12219952/15*ep^3)
      -71933674894463/463050000-88408/225*ep^-3-22366649/7875*ep^-2-
         83726576/55125*ep^-1-109791872/225*z3+167588982845731357/
         83349000000*ep-54895936/75*ep*z4-6811801336/875*ep*z3-
         804102596362564545281/81682020000000*ep^2-3596707168/75*ep^2*
         z5-10217702004/875*ep^2*z4+1045759816222/39375*ep^2*z3+1126668\
         4751447630485676940284455987/327803219261521920000000000*ep^3-
         5340164816/45*ep^3*z6-511804687508/7875*ep^3*z5+522879908111/
         13125*ep^3*z4-2440291568652619/694575000*ep^3*z3-3915585248/
         225*ep^3*z3^2;

Fill mncnoptab(6,4,1,1)=
      +mncF321*(3136+379792/15*ep+3241304/45*ep^2+1525592/15*ep^3)
      -2549268572811643/200037600000-39952/675*ep^-3-181234189/567000*
         ep^-2-659982313/3969000*ep^-1-27943568/675*z3+
         3860910991384073903/24004512000000*ep-13971784/225*ep*z4-
         193264660837/283500*ep*z3-33187829405274755374943/
         47048843520000000*ep^2-900046192/225*ep^2*z5-193264660837/
         189000*ep^2*z4+93718485863/52500*ep^2*z3+791876812510580284326\
         896331419851123423/30183098658771419748237312000000000*ep^3-
         1336097504/135*ep^3*z6-766689336793/94500*ep^3*z5+93718485863/
         35000*ep^3*z4+134728857575406737/100018800000*ep^3*z3-
         966678512/675*ep^3*z3^2;

Fill mncnoptab(7,1,1,3)=
      +mncF321*(21952+809158/5*ep+3536738/9*ep^2+6779372/15*ep^3)
      -3723627858464321/33339600000+46897/1350*ep^-3+73683103/378000*
         ep^-2-3880010633/15876000*ep^-1-195059276/675*z3+
         2011180936405370417/1750329000000*ep-97529638/225*ep*z4-
         10275753179/2250*ep*z3-33605907394204683768077/
         5881105440000000*ep^2-6302387794/225*ep^2*z5-10275753179/1500*
         ep^2*z4+621304648328711/39690000*ep^2*z3+
         996713896353296658999514626097/60704299863244800000000*ep^3-
         9356052053/135*ep^3*z6-3524242023881/94500*ep^3*z5+
         621304648328711/26460000*ep^3*z4-15661539361486883/8334900000*
         ep^3*z3-6821924234/675*ep^3*z3^2;

Fill mncnoptab(7,2,1,2)=
      +mncF321*(12544+478016/5*ep+11122048/45*ep^2+2798944/9*ep^3)
      -122256120796157/2083725000-8008/675*ep^-3-230717/875*ep^-2-
         984557027/992250*ep^-1-111467072/675*z3+284789669522302391/
         437582250000*ep-55733536/225*ep*z4-62416905164/23625*ep*z3-
         143229441938944581463/45946136250000*ep^2-3603407968/225*ep^2*
         z5-31208452582/7875*ep^2*z4+41338483683169/4961250*ep^2*z3+
         248309320797824796102303032667293/25495805942562816000000000*
         ep^3-5349378416/135*ep^3*z6-596228973488/23625*ep^3*z5+
         41338483683169/3307500*ep^3*z4+592482558919429/520931250*ep^3*
         z3-3899073248/675*ep^3*z3^2;

Fill mncnoptab(7,2,2,1)=
      +mncF321*(3584+142176/5*ep+3551048/45*ep^2+982564/9*ep^3)
      -374471233554053/29172150000-352616/4725*ep^-3-77449193/165375*
         ep^-2+1455586687/13891500*ep^-1-215345344/4725*z3+
         2241732256522233103/12252303000000*ep-107672672/1575*ep*z4-
         18014703404/23625*ep*z3-4335196203663260819741/
         5145967260000000*ep^2-7177216736/1575*ep^2*z5-9007351702/7875*
         ep^2*z4+74024547125663/34728750*ep^2*z3+
         60769737920345472221703210655051/25495805942562816000000000*
         ep^3-10658152432/945*ep^3*z6-1415127690976/165375*ep^3*z5+
         74024547125663/23152500*ep^3*z4+15070316996637257/14586075000*
         ep^3*z3-7877843296/4725*ep^3*z3^2;

Fill mncnoptab(7,3,1,1)=
      +mncF321*(784+32956/5*ep+901354/45*ep^2+92264/3*ep^3)
      -886148642962981/266716800000-8938/675*ep^-3-56364883/756000*
         ep^-2-1845718393/31752000*ep^-1-6977492/675*z3+
         1253432482058137261/32006016000000*ep-3488746/225*ep*z4-
         2436345897/14000*ep*z3-30607596905136007648783/
         188195374080000000*ep^2-224830948/225*ep^2*z5-7309037691/28000
         *ep^2*z4+631667646391/1620000*ep^2*z3+
         72759153386743550850812363352023/295022897335369728000000000*
         ep^3-333757676/135*ep^3*z6-892583587373/378000*ep^3*z5+
         631667646391/1080000*ep^3*z4+67418828582763919/133358400000*
         ep^3*z3-241673828/675*ep^3*z3^2;

Fill mncnoptab(8,1,1,2)=
      +mncF321*(512+149736/35*ep+809764/63*ep^2+871376/45*ep^3)
      -952067717329531/408410100000-305366/33075*ep^-3-157911017/
         4630500*ep^-2+15496117051/97240500*ep^-1-208616944/33075*z3+
         2014469301675257923/85766121000000*ep-104308472/11025*ep*z4-
         18459022514/165375*ep*z3-7678404422199087183097/
         72043541640000000*ep^2-7147468136/11025*ep^2*z5-9229511257/
         55125*ep^2*z4+124386792382771/486202500*ep^2*z3+
         41758970210180917981483848917/132200475257733120000000*ep^3-
         10616893732/6615*ep^3*z6-1731875604241/1157625*ep^3*z5+
         124386792382771/324135000*ep^3*z4+7923958014749003/25525631250
         *ep^3*z3-7986442696/33075*ep^3*z3^2;

Fill mncnoptab(8,2,1,1)=
      +mncF321*(64+20432/35*ep+632008/315*ep^2+32152/9*ep^3)
      -716689569830281/3267280800000-51952/33075*ep^-3-25922261/3087000
         *ep^-2-18220093/24310125*ep^-1-28039568/33075*z3+
         7936745299016966827/2744515872000000*ep-14019784/11025*ep*z4-
         9782594417/661500*ep*z3-25946249266475761914583/
         2305393332480000000*ep^2-902110192/11025*ep^2*z5-9782594417/
         441000*ep^2*z4+5290793609221/243101250*ep^2*z3+561067363231405\
         475152405360858499/20238570757206363340800000000*ep^3-
         1339145504/6615*ep^3*z6-1163915645273/4630500*ep^3*z5+
         5290793609221/162067500*ep^3*z4+106997120053362619/
         1633640400000*ep^3*z3-966630512/33075*ep^3*z3^2;

Fill mncnoptab(9,1,1,1)=
      +mncF321*(1+761/70*ep+29531/630*ep^2+534/5*ep^3)
      -1896551334050581/209105971200000+73249/1058400*ep^-3+51235081/
         296352000*ep^-2-54957379097/49787136000*ep^-1-413312/33075*z3+
         8936224038226962907/175649015808000000*ep-206656/11025*ep*z4-
         1784446537/7056000*ep*z3-13316810311139996467993/
         147545173278720000000*ep^2-108497099/88200*ep^2*z5-1784446537/
         4704000*ep^2*z4-6464922123547/124467840000*ep^2*z3-
         734749375490460447186092483/1673162264980684800000000*ep^3-
         322184801/105840*ep^3*z6-892337660359/148176000*ep^3*z5-
         6464922123547/82978560000*ep^3*z4+184494885866275729/
         104552985600000*ep^3*z3-120928039/264600*ep^3*z3^2;
*--#] 12 :
#case 11
*--#[ 11 :

Fill mncnoptab(3,3,3,2)=
      +mncF321*(-771750-4953900*ep-9011205*ep^2-13597763/2*ep^3)
      +427977441983/103680-52955/12*ep^-3-3917279/144*ep^-2+44625631/
         2880*ep^-1+30740990/3*z3-452482708047761/10368000*ep+15370495*
         ep*z4+10894318111/72*ep*z3+450455563450084519/1866240000*ep^2+
         986109635*ep^2*z5+10894318111/48*ep^2*z4-1001390471183/1440*
         ep^2*z3-11576315727951864499267/13271040000000*ep^3+
         14637939575/6*ep^3*z6+9072775559/24*ep^3*z5-1001390471183/960*
         ep^3*z4+183611301673729/259200*ep^3*z3+1063500935/3*ep^3*z3^2;

Fill mncnoptab(4,2,1,4)=
      +mncF321*(-171500-3355520/3*ep-18978358/9*ep^2-15066425/9*ep^3)
      +492417147546743/571536000-22771/54*ep^-3-1974617/1080*ep^-2+
         915359519/151200*ep^-1+61350212/27*z3-2327268549647543977/
         240045120000*ep+30675106/9*ep*z4+6081755963/180*ep*z3+
         1066201813911538123943/20163790080000*ep^2+657223546/3*ep^2*z5
         +6081755963/120*ep^2*z4-4902171881419/32400*ep^2*z3-
         27141916109737246817375950397/144534047293440000000*ep^3+
         14634154255/27*ep^3*z6+57095102603/540*ep^3*z5-4902171881419/
         21600*ep^3*z4+5765926567672643/40824000*ep^3*z3+2127139574/27*
         ep^3*z3^2;

Fill mncnoptab(4,2,2,3)=
      +mncF321*(-514500-3323180*ep-18389812/3*ep^2-4714702*ep^3)
      +10310508922643/3888000-29239/18*ep^-3-410057/40*ep^-2+29037853/
         7200*ep^-1+61243448/9*z3-6775865580736891/233280000*ep+
         30621724/3*ep*z4+18176277881/180*ep*z3+89670954121749751/
         559872000*ep^2+657103734*ep^2*z5+18176277881/120*ep^2*z4-
         4963738475911/10800*ep^2*z3-1174505161802709426465049/
         1934917632000000*ep^3+14631725395/9*ep^3*z6+49768444787/180*
         ep^3*z5-4963738475911/7200*ep^3*z4+882618352576841/1944000*
         ep^3*z3+2129383466/9*ep^3*z3^2;

Fill mncnoptab(4,3,1,3)=
      +mncF321*(-154350-1014300*ep-1948821*ep^2-9641377/6*ep^3)
      +98209093589899/127008000-847/12*ep^-3-21579/16*ep^-2-513470983/
         100800*ep^-1+6090238/3*z3-152753095200805831/17781120000*ep+
         3045119*ep*z4+1219050631/40*ep*z3+1056374514389005786567/
         22404211200000*ep^2+197011647*ep^2*z5+3657151893/80*ep^2*z4-
         6771787296457/50400*ep^2*z3-527733745975116690481564232057/
         3035214993162240000000*ep^3+2924723515/6*ep^3*z6+4184868397/40
         *ep^3*z5-6771787296457/33600*ep^3*z4+7673313028366513/63504000
         *ep^3*z3+213354547/3*ep^3*z3^2;

Fill mncnoptab(4,3,2,2)=
      +mncF321*(-308700-2022720*ep-3860458*ep^2-3148955*ep^3)
      +746549351657/432000-18823/6*ep^-3-2095397/120*ep^-2+476289437/
         21600*ep^-1+12415172/3*z3-449125235438929/25920000*ep+6207586*
         ep*z4+3674812061/60*ep*z3+438287596415876359/4665600000*ep^2+
         394830758*ep^2*z5+3674812061/40*ep^2*z4-2923026406189/10800*
         ep^2*z3-1234323733055942631995167151983/3414616867307520000000
         *ep^3+2930192755/3*ep^3*z6+12332952367/60*ep^3*z5-
         2923026406189/7200*ep^3*z4+1165116737111/4800*ep^3*z3+
         423868046/3*ep^3*z3^2;

Fill mncnoptab(4,3,3,1)=
      +mncF321*(-92610-617988*ep-1229375*ep^2-6431339/6*ep^3)
      +33417478515833/70560000-1981/60*ep^-3-6027293/3600*ep^-2-
         2496913651/302400*ep^-1+18222274/15*z3-1343694916819313567/
         266716800000*ep+9111137/5*ep*z4+33147300541/1800*ep*z3+
         114871855302310598767/4148928000000*ep^2+590968581/5*ep^2*z5+
         33147300541/1200*ep^2*z4-8493750085031/108000*ep^2*z3-
         835750652321491189009332826769/8195080481538048000000*ep^3+
         1754683469/6*ep^3*z6+14981332583/200*ep^3*z5-8493750085031/
         72000*ep^3*z4+321803623869709/5040000*ep^3*z3+641050081/15*
         ep^3*z3^2;

Fill mncnoptab(4,4,2,1)=
      +mncF321*(-34300-706580/3*ep-4481344/9*ep^2-4267456/9*ep^3)
      +111808019020979/571536000-20419/54*ep^-3-7607927/3240*ep^-2+
         618574609/453600*ep^-1+12439448/27*z3-445250532042081389/
         240045120000*ep+6219724/9*ep*z4+11269028347/1620*ep*z3+
         109959409085167601159/11202105600000*ep^2+394928842/9*ep^2*z5+
         11269028347/1080*ep^2*z4-1267774525589/45360*ep^2*z3-
         1433545974253522186527398560447/40975402407690240000000*ep^3+
         2930867695/27*ep^3*z6+19815453883/540*ep^3*z5-1267774525589/
         30240*ep^3*z4+4895951725722377/285768000*ep^3*z3+423583538/27*
         ep^3*z3^2;

Fill mncnoptab(5,1,1,4)=
      +mncF321*(-42875-857465/3*ep-5081716/9*ep^2-4288988/9*ep^3)
      +3404545910519813/16003008000+11537/216*ep^-3+2265673/30240*ep^-2
         -6664583011/4233600*ep^-1+15136664/27*z3-15988216912889349067/
         6721263360000*ep+7568332/9*ep*z4+6125595259/720*ep*z3+
         1450963600645412040721/112917224448000*ep^2+328057799/6*ep^2*
         z5+6125595259/480*ep^2*z4-232064779901863/6350400*ep^2*z3-
         4527746984916843355074619459/108400535470080000000*ep^3+
         14611234315/108*ep^3*z6+515663295053/15120*ep^3*z5-
         232064779901863/4233600*ep^3*z4+235301586478636511/8001504000*
         ep^3*z3+1068801721/54*ep^3*z3^2;

Fill mncnoptab(5,2,1,3)=
      +mncF321*(-77175-515235*ep-1023456*ep^2-880308*ep^3)
      +94217706529879/254016000+1407/8*ep^-3+784633/1440*ep^-2-
         794391811/201600*ep^-1+1010184*z3-151196680058747123/
         35562240000*ep+1515276*ep*z4+11025810727/720*ep*z3+
         1037193501047679745891/44808422400000*ep^2+196942641/2*ep^2*z5
         +11025810727/480*ep^2*z4-1322641665353/20160*ep^2*z3-
         6174942559614683495307851453659/72845159835893760000000*ep^3+
         974611365/4*ep^3*z6+14962360703/240*ep^3*z5-1322641665353/
         13440*ep^3*z4+6726897680577397/127008000*ep^3*z3+71248023/2*
         ep^3*z3^2;

Fill mncnoptab(5,2,2,2)=
      +mncF321*(-92610-625338*ep-1274140*ep^2-3428356/3*ep^3)
      +6657499764253/12960000-48041/60*ep^-3-17309333/3600*ep^-2+
         1298841/320*ep^-1+18573464/15*z3-439852636788781/86400000*ep+
         9286732/5*ep*z4+33499700221/1800*ep*z3+1265751352711720849/
         46656000000*ep^2+592057291/5*ep^2*z5+33499700221/1200*ep^2*z4-
         2791715674057/36000*ep^2*z3-1103170489513813083683698732931/
         10926773975384064000000*ep^3+1757598409/6*ep^3*z6+17044103623/
         200*ep^3*z5-2791715674057/24000*ep^3*z4+360690146870023/
         6480000*ep^3*z3+636336071/15*ep^3*z3^2;

Fill mncnoptab(5,3,1,2)=
      +mncF321*(-25725-178115*ep-1148224/3*ep^2-1115492/3*ep^3)
      +15299981746757/108864000-10171/72*ep^-3-4960199/4320*ep^-2-
         67110217/86400*ep^-1+3074120/9*z3-12594448880199007/9144576000
         *ep+1537060/3*ep*z4+2256184967/432*ep*z3+9336714028372462327/
         1280240640000*ep^2+197199065/6*ep^2*z5+2256184967/288*ep^2*z4-
         692946828817/33600*ep^2*z3-7256148401135238415109424557989/
         368778621669212160000000*ep^3+2927244775/36*ep^3*z6+4211428631/
         144*ep^3*z5-692946828817/22400*ep^3*z4+4433789322108281/
         381024000*ep^3*z3+212644621/18*ep^3*z3^2;

Fill mncnoptab(5,3,2,1)=
      +mncF321*(-15435-108633*ep-241388*ep^2-246268*ep^3)
      +115620267808099/1270080000-23387/120*ep^-3-1040799/800*ep^-2+
         1988123/120960*ep^-1+3101224/15*z3-433205664999625789/
         533433600000*ep+1550612/5*ep*z4+3798914129/1200*ep*z3+
         953189996848508890063/224042112000000*ep^2+197423737/10*ep^2*
         z5+3798914129/800*ep^2*z4-18201985707979/1512000*ep^2*z3-
         6969372665556335293086780460787/437070959015362560000000*ep^3+
         586068763/12*ep^3*z6+23895199043/1200*ep^3*z5-18201985707979/
         1008000*ep^3*z4+3401275539718969/635040000*ep^3*z3+212214317/
         30*ep^3*z3^2;

Fill mncnoptab(5,4,1,1)=
      +mncF321*(-1225-28385/3*ep-223588/9*ep^2-280516/9*ep^3)
      +116607543852899/16003008000-6157/216*ep^-3-12443447/90720*ep^-2+
         33603169/12700800*ep^-1+433736/27*z3-56108643614351387/
         960180480000*ep+216868/9*ep*z4+11782494547/45360*ep*z3+
         10176588959807380511/34850995200000*ep^2+28181663/18*ep^2*z5+
         11782494547/30240*ep^2*z4-142743593939/181440*ep^2*z3-
         494571532731327674636764375637/885068692006109184000000*ep^3+
         418387585/108*ep^3*z6+39921563683/15120*ep^3*z5-142743593939/
         120960*ep^3*z4-2026504979194183/8001504000*ep^3*z3+30798667/54
         *ep^3*z3^2;

Fill mncnoptab(6,1,1,3)=
      +mncF321*(-9261-324849/5*ep-713484/5*ep^2-2105276/15*ep^3)
      +2037883590668579/44452800000+733/200*ep^-3+7183069/252000*ep^-2-
         1717712057/21168000*ep^-1+3025784/25*z3-9366902119661172109/
         18670176000000*ep+4538676/25*ep*z4+33824122981/18000*ep*z3+
         20365282487307021008543/7841473920000000*ep^2+590302451/50*
         ep^2*z5+33824122981/12000*ep^2*z4-384649802506099/52920000*
         ep^2*z3-78416200094150005055196963101/8672042837606400000000*
         ep^3+584250883/20*ep^3*z6+160657060521/14000*ep^3*z5-
         384649802506099/35280000*ep^3*z4+76535202001698329/22226400000
         *ep^3*z3+213761637/50*ep^3*z3^2;

Fill mncnoptab(6,2,1,2)=
      +mncF321*(-6174-223146/5*ep-104188*ep^2-563244/5*ep^3)
      +35390275843033/1058400000-16667/300*ep^-3-1822397/6000*ep^-2+
         682534127/1512000*ep^-1+6238568/75*z3-434777012367296309/
         1333584000000*ep+3119284/25*ep*z4+1280879763/1000*ep*z3+
         34232228875753080469/20744640000000*ep^2+197538817/25*ep^2*z5+
         3842639289/2000*ep^2*z4-2483000659637/540000*ep^2*z3-
         48588555198758539039745231647/10117383310540800000000*ep^3+
         586377883/30*ep^3*z6+28342510763/3000*ep^3*z5-2483000659637/
         360000*ep^3*z4+28683922329583/25200000*ep^3*z3+211368437/75*
         ep^3*z3^2;

Fill mncnoptab(6,2,2,1)=
      +mncF321*(-2058-77322/5*ep-582596/15*ep^2-697684/15*ep^3)
      +43705933939733/3175200000-51667/900*ep^-3-643293/2000*ep^-2+
         164162507/504000*ep^-1+6370168/225*z3-139189622958910043/
         1333584000000*ep+3185084/75*ep*z4+3941599109/9000*ep*z3+
         284817721145446935161/560105280000000*ep^2+198016217/75*ep^2*
         z5+3941599109/6000*ep^2*z4-1787394847591/1260000*ep^2*z3-
         736935591121786966046957133653/455282248974336000000000*ep^3+
         587678483/90*ep^3*z6+35438874503/9000*ep^3*z5-1787394847591/
         840000*ep^3*z4-213593000841617/1587600000*ep^3*z3+210294637/
         225*ep^3*z3^2;

Fill mncnoptab(6,3,1,1)=
      +mncF321*(-441-17619/5*ep-49024/5*ep^2-198916/15*ep^3)
      +4402290724537/1646400000-2127/200*ep^-3-13081511/252000*ep^-2+
         85049863/21168000*ep^-1+144504/25*z3-54838846552119547/
         2667168000000*ep+216756/25*ep*z4+11976922627/126000*ep*z3+
         86130091074774485687/871274880000000*ep^2+28172031/50*ep^2*z5+
         11976922627/84000*ep^2*z4-279967472731/1080000*ep^2*z3-
         5382314067192230983559042319563/21512086264037376000000000*
         ep^3+27883023/20*ep^3*z6+46223813203/42000*ep^3*z5-
         279967472731/720000*ep^3*z4-1318638481701517/7408800000*ep^3*
         z3+10266297/50*ep^3*z3^2;

Fill mncnoptab(7,1,1,2)=
      +mncF321*(-343-13587/5*ep-334588/45*ep^2-439492/45*ep^3)
      +238117911919931/133358400000+29933/5400*ep^-3+4181741/756000*
         ep^-2-10958786353/63504000*ep^-1+2849984/675*z3-
         883201342630552501/56010528000000*ep+1424992/225*ep*z4+
         3961449709/54000*ep*z3+1834162497944619811127/
         23524421760000000*ep^2+195314417/450*ep^2*z5+3961449709/36000*
         ep^2*z4-31912953008411/158760000*ep^2*z3-
         405960543303546756908972969/1897009370726400000000*ep^3+
         580243283/540*ep^3*z6+308962178921/378000*ep^3*z5-
         31912953008411/105840000*ep^3*z4-8239367484431519/66679200000*
         ep^3*z3+218368837/1350*ep^3*z3^2;

Fill mncnoptab(7,2,1,1)=
      +mncF321*(-49-2121/5*ep-12056/9*ep^2-95236/45*ep^3)
      +37694309069933/133358400000-4981/5400*ep^-3-3848197/756000*ep^-2
         -229928551/63504000*ep^-1+434912/675*z3-16503907631292229/
         8001504000000*ep+217456/225*ep*z4+4150542589/378000*ep*z3+
         218943420721111077521/23524421760000000*ep^2+28232231/450*ep^2
         *z5+4150542589/252000*ep^2*z4-497959087979/22680000*ep^2*z3-
         232742829671796429100961822407/7648741782768844800000000*ep^3+
         83826869/540*ep^3*z6+62069652863/378000*ep^3*z5-497959087979/
         15120000*ep^3*z4-2753680979639657/66679200000*ep^3*z3+30797491/
         1350*ep^3*z3^2;

Fill mncnoptab(8,1,1,1)=
      +mncF321*(-1-363/35*ep-1876/45*ep^2-3868/45*ep^3)
      +61242264325133/6534561600000-26581/264600*ep^-3-8290837/37044000
         *ep^-2+4495302041/3111696000*ep^-1+413312/33075*z3-
         152139085793242243/2744515872000000*ep+206656/11025*ep*z4+
         641079787/2646000*ep*z3+132285840513374288561/
         1152696666240000000*ep^2+27303431/22050*ep^2*z5+641079787/
         1764000*ep^2*z4-799682942573/7779240000*ep^2*z3+
         3098681191990633210513597/11619182395699200000000*ep^3+
         81083669/26460*ep^3*z6+100249580303/18522000*ep^3*z5-
         799682942573/5186160000*ep^3*z4-5759518766993417/3267280800000
         *ep^3*z3+30819091/66150*ep^3*z3^2;
*--#] 11 :
#case 10
*--#[ 10 :

Fill mncnoptab(3,2,2,3)=
      +mncF321*(72000+447180*ep+747924*ep^2+480618*ep^3)
      -13078015423/40500-1166/3*ep^-3-219653/90*ep^-2+179359/150*ep^-1-
         2821456/3*z3+565882214657/135000*ep-1410728*ep*z4-621784364/45
         *ep*z3-1380474171937/58320*ep^2-91821544*ep^2*z5-310892182/15*
         ep^2*z4+5079190309/75*ep^2*z3+12916185373958139234641/
         143327232000000*ep^3-681607940/3*ep^3*z6-225292126/15*ep^3*z5+
         5079190309/50*ep^3*z4-1651738402261/20250*ep^3*z3-99671752/3*
         ep^3*z3^2;

Fill mncnoptab(3,3,2,2)=
      +mncF321*(54000+338400*ep+579300*ep^2+389442*ep^3)
      -931159283/4320-800*ep^-3-48001/12*ep^-2+1417247/180*ep^-1-692080
         *z3+4000067937751/1296000*ep-1038120*ep*z4-62078545/6*ep*z3-
         1373111247871933/77760000*ep^2-68738160*ep^2*z5-62078545/4*
         ep^2*z4+4503970373/90*ep^2*z3+1494485109103408613489/
         22394880000000*ep^3-170115200*ep^3*z6-29097285/2*ep^3*z5+
         4503970373/60*ep^3*z4-127257836447/2160*ep^3*z3-25084240*ep^3*
         z3^2;

Fill mncnoptab(3,3,3,1)=
      +mncF321*(20250+128700*ep+228135*ep^2+326041/2*ep^3)
      -5573732533/57600+175/4*ep^-3-9581/48*ep^-2-7492889/2880*ep^-1-
         268870*z3+12321204871351/10368000*ep-403305*ep*z4-94545971/24*
         ep*z3-1342385534847433/207360000*ep^2-25864965*ep^2*z5-
         94545971/16*ep^2*z4+26728562377/1440*ep^2*z3+
         77812473484512299563339/3224862720000000*ep^3-127980475/2*ep^3
         *z6-64821819/8*ep^3*z5+26728562377/960*ep^3*z4-574343840911/
         28800*ep^3*z3-9286795*ep^3*z3^2;

Fill mncnoptab(4,1,1,4)=
      +mncF321*(8000+154100/3*ep+834880/9*ep^2+596896/9*ep^3)
      -2807827829/72900-1630/27*ep^-3-3245/18*ep^-2+34576/27*ep^-1-
         2767280/27*z3+979385889611/2187000*ep-1383640/9*ep*z4-42000568/
         27*ep*z3-82333006392269/32805000*ep^2-30534040/3*ep^2*z5-
         21000284/9*ep^2*z4+580881628/81*ep^2*z3+1224799610607621110783/
         128994508800000*ep^3-680097700/27*ep^3*z6-102467986/27*ep^3*z5
         +290440814/27*ep^3*z4-266302275491/36450*ep^3*z3-100474280/27*
         ep^3*z3^2;

Fill mncnoptab(4,2,1,3)=
      +mncF321*(18000+114480*ep+202824*ep^2+429344/3*ep^3)
      -28221879029/324000+4/3*ep^-3-1799/20*ep^-2-44113/75*ep^-1-712816/
         3*z3+6698633885851/6480000*ep-356408*ep*z4-35012467/10*ep*z3-
         1334945533997143/233280000*ep^2-22987584*ep^2*z5-105037401/20*
         ep^2*z4+1233387929/75*ep^2*z3+259044802357266600098233/
         12899450880000000*ep^3-170624840/3*ep^3*z6-73120709/10*ep^3*z5
         +1233387929/50*ep^3*z4-2845879844033/162000*ep^3*z3-24840832/3
         *ep^3*z3^2;

Fill mncnoptab(4,2,2,2)=
      +mncF321*(27000+172440*ep+308832*ep^2+222848*ep^3)
      -23078731723/216000-461*ep^-3-130721/60*ep^-2+19017283/3600*ep^-1
         -343096*z3+19670240647171/12960000*ep-514644*ep*z4-156219263/
         30*ep*z3-1341854811063227/155520000*ep^2-34339812*ep^2*z5-
         156219263/20*ep^2*z4+43860540853/1800*ep^2*z3+
         156637331588815614267317/4837294080000000*ep^3-84991790*ep^3*
         z6-113322567/10*ep^3*z5+43860540853/1200*ep^3*z4-2838716657281/
         108000*ep^3*z3-12585052*ep^3*z3^2;

Fill mncnoptab(4,3,1,2)=
      +mncF321*(7200+47340*ep+90744*ep^2+219752/3*ep^3)
      -9262246349/324000-338/3*ep^-3-11801/20*ep^-2+26071/25*ep^-1-
         274768/3*z3+869340324673/2160000*ep-137384*ep*z4-14061799/10*
         ep*z3-2593202167320779/1166400000*ep^2-9157272*ep^2*z5-
         42185397/20*ep^2*z4+93660934/15*ep^2*z3+
         5990876449471721724782068261/758803748290560000000*ep^3-
         67992620/3*ep^3*z6-47502533/10*ep^3*z5+46830467/5*ep^3*z4-
         927545699897/162000*ep^3*z3-10065208/3*ep^3*z3^2;

Fill mncnoptab(4,3,2,1)=
      +mncF321*(5400+35880*ep+70408*ep^2+176864/3*ep^3)
      -4269941147/216000-251/3*ep^-3-93673/180*ep^-2+3333209/10800*
         ep^-1-208696/3*z3+11837431004993/38880000*ep-104348*ep*z4-
         95416027/90*ep*z3-1288560599511527/777600000*ep^2-6877284*ep^2
         *z5-95416027/60*ep^2*z4+4997899579/1080*ep^2*z3+
         42295343542633443752791750229/6829233734615040000000*ep^3-
         51057890/3*ep^3*z6-40414601/10*ep^3*z5+4997899579/720*ep^3*z4-
         428404196921/108000*ep^3*z3-7505236/3*ep^3*z3^2;

Fill mncnoptab(4,4,1,1)=
      +mncF321*(400+8840/3*ep+63592/9*ep^2+7696*ep^3)
      -3869903417/2916000-364/27*ep^-3-89387/1620*ep^-2+432743/8100*
         ep^-1-143024/27*z3+3785470839041/174960000*ep-71512/9*ep*z4-
         67431383/810*ep*z3-373802388286249/3499200000*ep^2-4592896/9*
         ep^2*z5-67431383/540*ep^2*z4+15504985/54*ep^2*z3-
         1668368425726440526969745513/276583966251909120000000*ep^3-
         34089160/27*ep^3*z6-181608587/270*ep^3*z5+15504985/36*ep^3*z4-
         38101263701/1458000*ep^3*z3-4902464/27*ep^3*z3^2;

Fill mncnoptab(5,1,1,3)=
      +mncF321*(3375+22395*ep+43536*ep^2+104612/3*ep^3)
      -94014346831/5184000+121/8*ep^-3+106063/1440*ep^-2-16207369/86400
         *ep^-1-44488*z3+59566361995607/311040000*ep-66732*ep*z4-
         482890991/720*ep*z3-3781229088441071/3732480000*ep^2-8608297/2
         *ep^2*z5-482890991/480*ep^2*z4+125551041401/43200*ep^2*z3+
         1277650183171814707693/403107840000000*ep^3-42596605/4*ep^3*z6
         -205548973/80*ep^3*z5+125551041401/28800*ep^3*z4-6032517677917/
         2592000*ep^3*z3-3104607/2*ep^3*z3^2;

Fill mncnoptab(5,2,1,2)=
      +mncF321*(2700+18360*ep+37740*ep^2+33384*ep^3)
      -1631016859/144000-15/2*ep^-3-14459/120*ep^-2-80399/288*ep^-1-
         35568*z3+1309588517171/8640000*ep-53352*ep*z4-32279897/60*ep*
         z3-414365786043767/518400000*ep^2-3448146*ep^2*z5-32279897/40*
         ep^2*z4+8084649367/3600*ep^2*z3+3647817156341286226628674957/
         1300806425640960000000*ep^3-8531445*ep^3*z6-51729673/20*ep^3*
         z5+8084649367/2400*ep^3*z4-111458878849/72000*ep^3*z3-1242750*
         ep^3*z3^2;

Fill mncnoptab(5,2,2,1)=
      +mncF321*(1080+7614*ep+16860*ep^2+16668*ep^3)
      -1703250341/540000-201/5*ep^-3-28709/150*ep^-2+179513/450*ep^-1-
         66384/5*z3+1861089308173/32400000*ep-99576/5*ep*z4-32408209/
         150*ep*z3-599577817365743/1944000000*ep^2-6840588/5*ep^2*z5-
         32408209/100*ep^2*z4+1869171101/2250*ep^2*z3+
         30222783780962228777543/30958682112000000*ep^3-3387102*ep^3*z6
         -67409351/50*ep^3*z5+1869171101/1500*ep^3*z4-110264324321/
         270000*ep^3*z3-2538516/5*ep^3*z3^2;

Fill mncnoptab(5,3,1,1)=
      +mncF321*(225+1695*ep+4232*ep^2+14588/3*ep^3)
      -1507518839/1728000-49/8*ep^-3-37471/1440*ep^-2+1281373/86400*
         ep^-1-2968*z3+3821093000941/311040000*ep-4452*ep*z4-34159189/
         720*ep*z3-359327648879459/6220800000*ep^2-572607/2*ep^2*z5-
         34159189/480*ep^2*z4+1328419919/8640*ep^2*z3+
         638332593825727403856316913/6070429986324480000000*ep^3-
         2833355/4*ep^3*z6-102322021/240*ep^3*z5+1328419919/5760*ep^3*
         z4+16239094283/864000*ep^3*z3-204281/2*ep^3*z3^2;

Fill mncnoptab(6,1,1,2)=
      +mncF321*(216+8034/5*ep+19536/5*ep^2+12824/3*ep^3)
      -8071460023/8100000-181/25*ep^-3-24496/1125*ep^-2+1915223/13500*
         ep^-1-62704/25*z3+5141063764979/486000000*ep-94056/25*ep*z4-
         99509497/2250*ep*z3-1592976577402789/29160000000*ep^2-6791228/
         25*ep^2*z5-99509497/1500*ep^2*z4+2486005109/16875*ep^2*z3+
         11721027993647677230641/64497254400000000*ep^3-3364262/5*ep^3*
         z6-93936761/250*ep^3*z5+2486005109/11250*ep^3*z4+737714957/
         4050000*ep^3*z3-2596836/25*ep^3*z3^2;

Fill mncnoptab(6,2,1,1)=
      +mncF321*(36+1464/5*ep+4156/5*ep^2+3368/3*ep^3)
      -35661097/400000-77/50*ep^-3-55603/9000*ep^-2+967589/108000*ep^-1
         -11984/25*z3+3353461354561/1944000000*ep-17976/25*ep*z4-
         35320249/4500*ep*z3-106061586980389/12960000000*ep^2-1152438/
         25*ep^2*z5-35320249/3000*ep^2*z4+5421912199/270000*ep^2*z3+
         352272764050670129455188649/15176074965811200000000*ep^3-
         570227/5*ep^3*z6-143768761/1500*ep^3*z5+5421912199/180000*ep^3
         *z4+98936435671/5400000*ep^3*z3-408506/25*ep^3*z3^2;

Fill mncnoptab(7,1,1,1)=
      +mncF321*(1+49/5*ep+1624/45*ep^2+196/3*ep^3)
      -3387368219/388800000+469/5400*ep^-3+14099/108000*ep^-2-1960937/
         1296000*ep^-1-8288/675*z3+1489128179587/23328000000*ep-4144/
         225*ep*z4-4305961/18000*ep*z3-212389697488967/1399680000000*
         ep^2-546119/450*ep^2*z5-4305961/12000*ep^2*z4+671659133/
         3240000*ep^2*z3-2665789716801351008669/7410192854400000000*
         ep^3-1621781/540*ep^3*z6-251344361/54000*ep^3*z5+671659133/
         2160000*ep^3*z4+314742502271/194400000*ep^3*z3-613459/1350*
         ep^3*z3^2;
*--#] 10 :
#case 9
*--#[ 9 :

Fill mncnoptab(3,2,1,3)=
      +mncF321*(-3000-18175*ep-56775/2*ep^2-62681/4*ep^3)
      +2831372533/194400+455/18*ep^-3+6319/216*ep^-2-4589599/6480*ep^-1
         +347900/9*z3-981631156921/5832000*ep+173950/3*ep*z4+15385216/
         27*ep*z3+174859009381927/174960000*ep^2+11472050/3*ep^2*z5+
         7692608/9*ep^2*z4-2341452043/810*ep^2*z3-167615444200296683683/
         42998169600000*ep^3+85170625/9*ep^3*z6+101007/2*ep^3*z5-
         2341452043/540*ep^3*z4+186017498477/48600*ep^3*z3+12549290/9*
         ep^3*z3^2;

Fill mncnoptab(3,2,2,2)=
      +mncF321*(-6000-36050*ep-55115*ep^2-58769/2*ep^3)
      +145969549/3888-1435/9*ep^-3-70691/108*ep^-2+1431199/648*ep^-1+
         745480/9*z3-8538217571/23328*ep+372740/3*ep*z4+31188362/27*ep*
         z3+280520998435/139968*ep^2+23094220/3*ep^2*z5+15594181/9*ep^2
         *z4-960052477/162*ep^2*z3-13608144165689351/1719926784*ep^3+
         171342950/9*ep^3*z6-278719/3*ep^3*z5-960052477/108*ep^3*z4+
         7546575143/972*ep^3*z3+24458140/9*ep^3*z3^2;

Fill mncnoptab(3,3,2,1)=
      +mncF321*(-1500-9350*ep-15740*ep^2-10056*ep^3)
      +7510602449/777600-235/9*ep^-3-67391/432*ep^-2+2082899/12960*
         ep^-1+181420/9*z3-4047664683001/46656000*ep+90710/3*ep*z4+
         63188269/216*ep*z3+1333376175245399/2799360000*ep^2+5756680/3*
         ep^2*z5+63188269/144*ep^2*z4-1823745029/1296*ep^2*z3-
         2077697318223782201167/1074954240000000*ep^3+42721550/9*ep^3*
         z6+3212689/8*ep^3*z5-1823745029/864*ep^3*z4+123998267593/77760
         *ep^3*z3+6183160/9*ep^3*z3^2;

Fill mncnoptab(4,1,1,3)=
      +mncF321*(-1000-18715/3*ep-20873/2*ep^2-75349/12*ep^3)
      +15081744101/2916000+203/54*ep^-3+19823/3240*ep^-2-11583047/97200
         *ep^-1+345164/27*z3-5068206135881/87480000*ep+172582/9*ep*z4+
         77945816/405*ep*z3+34075577725679/104976000*ep^2+11433386/9*
         ep^2*z5+38972908/135*ep^2*z4-11323638923/12150*ep^2*z3-
         404088707258783832331/322486272000000*ep^3+84887485/27*ep^3*z6
         +7327807/30*ep^3*z5-11323638923/8100*ep^3*z4+781570941061/
         729000*ep^3*z3+12559298/27*ep^3*z3^2;

Fill mncnoptab(4,2,1,2)=
      +mncF321*(-1000-19000/3*ep-33140/3*ep^2-7356*ep^3)
      +1399378579/233280-740/27*ep^-3-70421/648*ep^-2+1649821/3888*
         ep^-1+380120/27*z3-830598308171/13996800*ep+190060/9*ep*z4+
         63915859/324*ep*z3+265513355415829/839808000*ep^2+11577080/9*
         ep^2*z5+63915859/216*ep^2*z4-9047565331/9720*ep^2*z3-
         837838902024356239511/806215680000000*ep^3+85877800/27*ep^3*z6
         +14518357/36*ep^3*z5-9047565331/6480*ep^3*z4+560619015779/
         583200*ep^3*z3+12114680/27*ep^3*z3^2;

Fill mncnoptab(4,2,2,1)=
      +mncF321*(-500-9800/3*ep-18380/3*ep^2-13820/3*ep^3)
      +8626579097/2332800-1505/54*ep^-3-70453/648*ep^-2+15165647/38880*
         ep^-1+195640/27*z3-4214387793553/139968000*ep+97820/9*ep*z4+
         32636837/324*ep*z3+1255131350992397/8398080000*ep^2+5807710/9*
         ep^2*z5+32636837/216*ep^2*z4-8745103783/19440*ep^2*z3-
         640867415908435786559/1209323520000000*ep^3+43068725/27*ep^3*
         z6+12175471/36*ep^3*z5-8745103783/12960*ep^3*z4+432476501867/
         1166400*ep^3*z3+6011350/27*ep^3*z3^2;

Fill mncnoptab(4,3,1,1)=
      +mncF321*(-100-2110/3*ep-1532*ep^2-4240/3*ep^3)
      +7805797697/11664000-119/27*ep^-3-93743/6480*ep^-2+5998307/194400
         *ep^-1+35276/27*z3-3678149914921/699840000*ep+17638/9*ep*z4+
         65653693/3240*ep*z3+1124429304138407/41990400000*ep^2+1150904/
         9*ep^2*z5+65653693/2160*ep^2*z4-1524656501/19440*ep^2*z3-
         8085814599049470168103363/94850468536320000000*ep^3+8543590/27
         *ep^3*z6+5106251/40*ep^3*z5-1524656501/12960*ep^3*z4+
         178981790621/5832000*ep^3*z3+1268456/27*ep^3*z3^2;

Fill mncnoptab(5,1,1,2)=
      +mncF321*(-125-2585/3*ep-5378/3*ep^2-4520/3*ep^3)
      +38410091629/46656000+763/216*ep^-3-13217/12960*ep^-2-88538189/
         777600*ep^-1+39136/27*z3-17384289807653/2799360000*ep+19568/9*
         ep*z4+162821989/6480*ep*z3+1145042053767533/33592320000*ep^2+
         2825303/18*ep^2*z5+162821989/4320*ep^2*z4-38018769899/388800*
         ep^2*z3-21434146506956702081/201553920000000*ep^3+41988185/108
         *ep^3*z6+96811367/720*ep^3*z5-38018769899/259200*ep^3*z4+
         1142882614903/23328000*ep^3*z3+3245219/54*ep^3*z3^2;

Fill mncnoptab(5,2,1,1)=
      +mncF321*(-25-565/3*ep-1394/3*ep^2-504*ep^3)
      +7464164057/46656000-193/216*ep^-3-42829/12960*ep^-2+3267047/
         777600*ep^-1+8864/27*z3-3355464483121/2799360000*ep+4432/9*ep*
         z4+33840689/6480*ep*z3+994245465988157/167961600000*ep^2+
         577387/18*ep^2*z5+33840689/4320*ep^2*z4-1335421139/77760*ep^2*
         z3-58081167356791238431/2579890176000000*ep^3+8572165/108*ep^3
         *z6+34528907/720*ep^3*z5-1335421139/51840*ep^3*z4-77106917509/
         23328000*ep^3*z3+634183/54*ep^3*z3^2;

Fill mncnoptab(6,1,1,1)=
      +mncF321*(-1-137/15*ep-30*ep^2-136/3*ep^3)
      +9848776457/1166400000-769/5400*ep^-3-49837/324000*ep^-2+8517547/
         3888000*ep^-1+8288/675*z3-4938159875041/69984000000*ep+4144/
         225*ep*z4+36299969/162000*ep*z3+812691746919341/4199040000000*
         ep^2+552619/450*ep^2*z5+36299969/108000*ep^2*z4-3874397359/
         9720000*ep^2*z3+168603613858579/15746400000000*ep^3+1641281/
         540*ep^3*z6+23055049/6000*ep^3*z5-3874397359/6480000*ep^3*z4-
         792344004853/583200000*ep^3*z3+634759/1350*ep^3*z3^2;
*--#] 9 :
#default
*--#[ 8 :

Fill mncnoptab(2,2,2,2)=
      +mncF321*(864+4872*ep+6160*ep^2+2080*ep^3)
      -79897/27-64*ep^-3-500/3*ep^-2+10846/9*ep^-1-9568*z3+2415263/54*
         ep-14352*ep*z4-466976/3*ep*z3-301544561/972*ep^2-1084256*ep^2*
         z5-233488*ep^2*z4+7862020/9*ep^2*z3+10095700133/8748*ep^3-
         2686720*ep^3*z6+1461488/3*ep^3*z5+3931010/3*ep^3*z4-13613594/9
         *ep^3*z3-420384*ep^3*z3^2;

Fill mncnoptab(3,1,1,3)=
      +mncF321*(216+1263*ep+3527/2*ep^2+2745/4*ep^3)
      -1209925/864+9/2*ep^-3+123/8*ep^-2-4087/48*ep^-1-2876*z3+74575541/
         5184*ep-4314*ep*z4-123208/3*ep*z3-261219799/3456*ep^2-274742*
         ep^2*z5-61604*ep^2*z4+3954535/18*ep^2*z3+138931438109/559872*
         ep^3-679665*ep^3*z6+296923/6*ep^3*z5+3954535/12*ep^3*z4-
         66792013/216*ep^3*z3-98698*ep^3*z3^2;

Fill mncnoptab(3,2,1,2)=
      +mncF321*(288+1680*ep+2352*ep^2+1000*ep^3)
      -466685/648-4*ep^-3-310/9*ep^-2+473/108*ep^-1-3808*z3+65128439/
         3888*ep-5712*ep*z4-478994/9*ep*z3-2423078429/23328*ep^2-368336
         *ep^2*z5-239497/3*ep^2*z4+15792437/54*ep^2*z3+239059507349731/
         573308928*ep^3-911320*ep^3*z6+255074/3*ep^3*z5+15792437/36*
         ep^3*z4-145579541/324*ep^3*z3-132144*ep^3*z3^2;

Fill mncnoptab(3,2,2,1)=
      +mncF321*(192+1144*ep+1700*ep^2+820*ep^3)
      -582479/972-148/9*ep^-3-1217/27*ep^-2+47689/162*ep^-1-18656/9*z3+
         57290287/5832*ep-9328/3*ep*z4-955180/27*ep*z3-2318262503/34992
         *ep^2-719984/3*ep^2*z5-477590/9*ep^2*z4+14768251/81*ep^2*z3+
         419930517304603/1719926784*ep^3-5353240/9*ep^3*z6+30040*ep^3*
         z5+14768251/54*ep^3*z4-130946501/486*ep^3*z3-844208/9*ep^3*
         z3^2;

Fill mncnoptab(3,3,1,1)=
      +mncF321*(36+234*ep+428*ep^2+288*ep^3)
      -1518557/10368-5/3*ep^-3-565/144*ep^-2+11917/864*ep^-1-1420/3*z3+
         273452161/124416*ep-710*ep*z4-514753/72*ep*z3-17588035523/
         1492992*ep^2-45480*ep^2*z5-514753/48*ep^2*z4+13856185/432*ep^2
         *z3+251730768137032151/11197440000000*ep^3-337550/3*ep^3*z6-
         501757/24*ep^3*z5+13856185/288*ep^3*z4-145796297/5184*ep^3*z3-
         48280/3*ep^3*z3^2;

Fill mncnoptab(4,1,1,2)=
      +mncF321*(64+1204/3*ep+2008/3*ep^2+1088/3*ep^3)
      -1072745/2916-142/27*ep^-3-1705/162*ep^-2+56761/486*ep^-1-16304/
         27*z3+7103453/2187*ep-8152/9*ep*z4-974044/81*ep*z3-2091442613/
         104976*ep^2-709256/9*ep^2*z5-487022/27*ep^2*z4+13585957/243*
         ep^2*z3+196242847314773/2579890176*ep^3-5278660/27*ep^3*z6-
         137522/9*ep^3*z5+13585957/162*ep^3*z4-46640755/729*ep^3*z3-
         880232/27*ep^3*z3^2;

Fill mncnoptab(4,2,1,1)=
      +mncF321*(16+328/3*ep+664/3*ep^2+512/3*ep^3)
      -471157/23328-40/27*ep^-3-1019/324*ep^-2+16361/972*ep^-1-5840/27*
         z3+204421561/279936*ep-2920/9*ep*z4-519899/162*ep*z3-
         15939861799/3359232*ep^2-185360/9*ep^2*z5-519899/108*ep^2*z4+
         6396317/486*ep^2*z3+2224610868660386009/134369280000000*ep^3-
         1375600/27*ep^3*z6-284797/18*ep^3*z5+6396317/324*ep^3*z4-
         96026881/11664*ep^3*z3-193040/27*ep^3*z3^2;

Fill mncnoptab(5,1,1,1)=
      +mncF321*(1+25/3*ep+70/3*ep^2+80/3*ep^3)
      -2696245/373248+25/216*ep^-3+17/2592*ep^-2-63191/31104*ep^-1-320/
         27*z3+369093769/4478976*ep-160/9*ep*z4-286261/1296*ep*z3-
         14446077745/53747712*ep^2-21235/18*ep^2*z5-286261/864*ep^2*z4+
         8334223/15552*ep^2*z3-115442880174131/1259712000000*ep^3-
         315325/108*ep^3*z6-405143/144*ep^3*z5+8334223/10368*ep^3*z4+
         180662513/186624*ep^3*z3-24175/54*ep^3*z3^2;
*--#] 8 :
*--#[ 7 :

Fill mncnoptab(2,2,2,1)=
      +mncF321*(-54-288*ep-300*ep^2-52*ep^3)
      +50881/216-9*ep^-3-85/6*ep^-2+6803/36*ep^-1+984*z3-5699221/1296*
         ep+1476*ep*z4+30293/3*ep*z3+169478029/7776*ep^2+71868*ep^2*z5+
         30293/2*ep^2*z4-1161235/18*ep^2*z3-3758160175/46656*ep^3+
         177210*ep^3*z6-45843*ep^3*z5-1161235/12*ep^3*z4+12166483/108*
         ep^3*z3+21444*ep^3*z3^2;

Fill mncnoptab(3,1,1,2)=
      +mncF321*(-27-150*ep-176*ep^2-32*ep^3)
      +144325/432+3/2*ep^-3-15/4*ep^-2-377/8*ep^-1+256*z3-4415225/2592*
         ep+384*ep*z4+30517/6*ep*z3+46434923/5184*ep^2+33082*ep^2*z5+
         30517/4*ep^2*z4-973087/36*ep^2*z3-8563854335/279936*ep^3+82065
         *ep^3*z6-92441/6*ep^3*z5-973087/24*ep^3*z4+9238751/216*ep^3*z3
         +13718*ep^3*z3^2;

Fill mncnoptab(3,2,1,1)=
      +mncF321*(-9-54*ep-80*ep^2-32*ep^3)
      +73417/1296-5/6*ep^-3-29/36*ep^-2+2027/216*ep^-1+352/3*z3-4203133/
         7776*ep+176*ep*z4+30409/18*ep*z3+130630981/46656*ep^2+11598*
         ep^2*z5+30409/12*ep^2*z4-953683/108*ep^2*z3-3502741707305/
         286654464*ep^3+86105/3*ep^3*z6-2519/6*ep^3*z5-953683/72*ep^3*
         z4+7415851/648*ep^3*z3+13030/3*ep^3*z3^2;

Fill mncnoptab(4,1,1,1)=
      +mncF321*(-1-22/3*ep-16*ep^2-32/3*ep^3)
      +44165/11664-13/54*ep^-3+59/324*ep^-2+6575/1944*ep^-1+320/27*z3-
         6225337/69984*ep+160/9*ep*z4+31733/162*ep*z3+146368673/419904*
         ep^2+10910/9*ep^2*z5+31733/108*ep^2*z4-756175/972*ep^2*z3-
         48636279691/80621568*ep^3+81025/27*ep^3*z6+9493/6*ep^3*z5-
         756175/648*ep^3*z4-395617/5832*ep^3*z3+13046/27*ep^3*z3^2;
*--#] 7 :
*--#[ 6 :

Fill mncnoptab(2,1,1,2)=
      +mncF321*(8+38*ep+22*ep^2-6*ep^3)
      -677/3-10/3*ep^-3+1/3*ep^-2+233/3*ep^-1+112/3*z3+1567/3*ep+56*ep*
         z4-4480/3*ep*z3-8735/3*ep^2-8472*ep^2*z5-2240*ep^2*z4+22024/3*
         ep^2*z3+103917/8*ep^3-63820/3*ep^3*z6+11300*ep^3*z5+11012*ep^3
         *z4-50308/3*ep^3*z3-16568/3*ep^3*z3^2;

Fill mncnoptab(2,2,1,1)=
      +mncF321*(4+20*ep+16*ep^2)
      -85/4-4/3*ep^-3+3/2*ep^-2+31/2*ep^-1-176/3*z3+571/8*ep-88*ep*z4-
         697*ep*z3-18683/16*ep^2-5344*ep^2*z5-2091/2*ep^2*z4+4579*ep^2*
         z3+3764275219/559872*ep^3-39640/3*ep^3*z6+5921*ep^3*z5+13737/2
         *ep^3*z4-20705/2*ep^3*z3-5024/3*ep^3*z3^2;

Fill mncnoptab(3,1,1,1)=
      +mncF321*(1+6*ep+8*ep^2)
      -53/16+1/6*ep^-3-5/12*ep^-2-47/24*ep^-1-32/3*z3+3427/32*ep-16*ep*
         z4-1151/6*ep*z3-34665/64*ep^2-1078*ep^2*z5-1151/4*ep^2*z4+
         11911/12*ep^2*z3+28556987/31104*ep^3-8005/3*ep^3*z6-159/2*ep^3
         *z5+11911/8*ep^3*z4-8559/8*ep^3*z3-1262/3*ep^3*z3^2;
*--#] 6 :
*--#[ 5 :
Fill mncnoptab(2,1,1,1)=
      +mncF321*(-1-4*ep)
      -10-2/3*ep^-3+10/3*ep^-2-2*ep^-1+32/3*z3-42*ep+16*ep*z4+404/3*ep*
         z3+478*ep^2+1208*ep^2*z5+202*ep^2*z4-1212*ep^2*z3-403903/192*
         ep^3+8980/3*ep^3*z6-2684*ep^3*z5-1818*ep^3*z4+3812*ep^3*z3+
         1688/3*ep^3*z3^2;
*--#] 5 :
#break
#endswitch
Fill mncnoptab(1,1,1,1) = mncF321;
*     (20*z5+50*z6*ep+68*z3^2*ep+450*z7*ep^2+204*z3*z4*ep^2+ep^3*zz5)*(1+2*ep+4*ep^2);
*--#] notabl.h :
*--#[ donotabl :
#if 1==2
#-
#: LargeSize 1G
#: SmallSize  500M
#: TermsInSmall 10M
#: SortIOSize  500K
#: ScratchSize 1G
*
#define MAX "20"
#define NEWPLANE "1"
#define GAUGE "0"
#define SCHEME "3"
#define EP2 "2"
#include mincer2c.h
#redefine INNOTABL "19"
propercount on;
*
*	Now some variables that are calcdia specific
*
Symbol n;
V	Q,p;
CFunction ftab;
Off Statistics;
Format nospaces;
.global
G F =
#do N2 = 1,`MAX'-3
 #do N5 = 1,`N2'
  #do N7 = 1,`N2'
   #do N8 = 1,`N2'
    #if ( {`N2'+`N7'+`N8'+`N5'} == `MAX' )
		+1/p2.p2^`N2'/p5.p5^`N5'/p7.p7^`N7'/p8.p8^`N8'
    #endif
   #enddo
  #enddo
 #enddo
#enddo
	;
	if ( count(p2.p2,1) > count(p5.p5,1) )
		multiply replace_(p2,p5,p5,p2);
	if ( count(p7.p7,1) > count(p8.p8,1) )
		multiply replace_(p7,p8,p8,p7);
	if ( ( count(p2.p2,1) > count(p7.p7,1) )
	|| ( ( count(p2.p2,1) == count(p7.p7,1) )
	  && ( count(p8.p8,1) > count(p5.p5,1) ) ) )
		multiply replace_(p2,p7,p7,p2,p8,p5,p5,p8);
	if ( ( count(p2.p2,1) > count(p8.p8,1) )
	|| ( ( count(p2.p2,1) == count(p8.p8,1) )
	  && ( count(p7.p7,1) > count(p5.p5,1) ) ) )
		multiply replace_(p2,p8,p8,p2,p7,p5,p5,p7);
	if ( count(p2.p2,1) > count(p5.p5,1) )
		multiply replace_(p2,p5,p5,p2);
	if ( count(p7.p7,1) > count(p8.p8,1) )
		multiply replace_(p7,p8,p8,p7);
    id 1/p2.p2^mncx2?/p5.p5^mncx5?/p7.p7^mncx7?/p8.p8^mncx8? =
           ftab(mncx2,mncx7,mncx8,mncx5);
.sort
DropCoefficient;
#$num = 0;
$num = $num+1;
id	ftab(?a) = ftab($num,?a);
.sort
#do i = 1,`$num'
	id	ftab(`i',mncx2?$x2x`i',mncx7?$x7x`i',mncx8?$x8x`i',mncx5?$x5x`i') = 1;
#enddo
.sort
Drop;
#do i = 1,`$num'
L  [noptab(`$x2x`i'',`$x7x`i'',`$x8x`i'',`$x5x`i'')] =
			Q.Q^{`$x2x`i''+`$x7x`i''+`$x8x`i''+`$x5x`i''-2}
			/p1.p1/p3.p3/p4.p4/p6.p6
			/p2.p2^`$x2x`i''/p7.p7^`$x7x`i''/p8.p8^`$x8x`i''/p5.p5^`$x5x`i''
			;
#call integral(no)
Multiply ep^3;
B	mncF321,mncF321ep2,mncG311;
Print +f;
.store
#enddo
Print +f +s;
.end
#endif
*--#] donotabl :
*--#[ gtabls.h :
Ctable,relax,mncT00(1:12,1:12);
Ctable,relax,mncT10(-8:12,1:12);
Ctable,relax,mncT20(-8:12,1:12);
Ctable,relax,mncT11(-8:12,-8:12);
Fill mncT00(1,1) = ep^-1;
Fill mncT00(2,1) = 2-ep^-1;
Fill mncT00(1,2) = 2-ep^-1;
Fill mncT00(2,2) = 2-2*ep^-1+4*ep;
Fill mncT00(3,1) = -1+2*ep;
Fill mncT00(1,3) = -1+2*ep;
Fill mncT00(3,2) = -1-2*ep^-1+8*ep+4*ep^2;
Fill mncT00(2,3) = -1-2*ep^-1+8*ep+4*ep^2;
Fill mncT00(3,3) = -5-6*ep^-1+23*ep+20*ep^2+4*ep^3;
Fill mncT00(4,1) = -1/3+4/3*ep^2;
Fill mncT00(1,4) = -1/3+4/3*ep^2;
Fill mncT00(4,2) = -8/3-2*ep^-1+22/3*ep+32/3*ep^2+8/3*ep^3;
Fill mncT00(2,4) = -8/3-2*ep^-1+22/3*ep+32/3*ep^2+8/3*ep^3;
Fill mncT00(4,3) = -15-12*ep^-1+127/3*ep+178/3*ep^2+68/3*ep^3+8/3*
      ep^4;
Fill mncT00(3,4) = -15-12*ep^-1+127/3*ep+178/3*ep^2+68/3*ep^3+8/3*
      ep^4;
Fill mncT00(4,4) = -58-40*ep^-1+1180/9*ep+226*ep^2+1036/9*ep^3+24*
      ep^4+16/9*ep^5;
Fill mncT00(5,1) = -1/6-1/6*ep+2/3*ep^2+2/3*ep^3;
Fill mncT00(1,5) = -1/6-1/6*ep+2/3*ep^2+2/3*ep^3;
Fill mncT00(5,2) = -23/6-2*ep^-1+35/6*ep+15*ep^2+26/3*ep^3+4/3*
      ep^4;
Fill mncT00(2,5) = -23/6-2*ep^-1+35/6*ep+15*ep^2+26/3*ep^3+4/3*
      ep^4;
Fill mncT00(5,3) = -97/3-20*ep^-1+371/6*ep+751/6*ep^2+217/3*ep^3+
      50/3*ep^4+4/3*ep^5;
Fill mncT00(3,5) = -97/3-20*ep^-1+371/6*ep+751/6*ep^2+217/3*ep^3+
      50/3*ep^4+4/3*ep^5;
Fill mncT00(5,4) = -505/3-100*ep^-1+5311/18*ep+11569/18*ep^2+3740/
      9*ep^3+1100/9*ep^4+152/9*ep^5+8/9*ep^6;
Fill mncT00(4,5) = -505/3-100*ep^-1+5311/18*ep+11569/18*ep^2+3740/
      9*ep^3+1100/9*ep^4+152/9*ep^5+8/9*ep^6;
Fill mncT00(5,5) = -3835/6-350*ep^-1+34147/36*ep+43147/18*ep^2+
      63929/36*ep^3+5720/9*ep^4+1082/9*ep^5+104/9*ep^6+4/9*ep^7;
Fill mncT00(6,1) = -1/10-1/6*ep+1/3*ep^2+2/3*ep^3+4/15*ep^4;
Fill mncT00(1,6) = -1/10-1/6*ep+1/3*ep^2+2/3*ep^3+4/15*ep^4;
Fill mncT00(6,2) = -71/15-2*ep^-1+62/15*ep+53/3*ep^2+46/3*ep^3+76/
      15*ep^4+8/15*ep^5;
Fill mncT00(2,6) = -71/15-2*ep^-1+62/15*ep+53/3*ep^2+46/3*ep^3+76/
      15*ep^4+8/15*ep^5;
Fill mncT00(6,3) = -58-30*ep^-1+2333/30*ep+6529/30*ep^2+500/3*ep^3
      +172/3*ep^4+136/15*ep^5+8/15*ep^6;
Fill mncT00(3,6) = -58-30*ep^-1+2333/30*ep+6529/30*ep^2+500/3*ep^3
      +172/3*ep^4+136/15*ep^5+8/15*ep^6;
Fill mncT00(6,4) = -401-210*ep^-1+8123/15*ep+13433/9*ep^2+52729/45
      *ep^3+3992/9*ep^4+3976/45*ep^5+80/9*ep^6+16/45*ep^7;
Fill mncT00(4,6) = -401-210*ep^-1+8123/15*ep+13433/9*ep^2+52729/45
      *ep^3+3992/9*ep^4+3976/45*ep^5+80/9*ep^6+16/45*ep^7;
Fill mncT00(6,5) = -11683/6-980*ep^-1+427073/180*ep+321547/45*ep^2
      +120747/20*ep^3+25521/10*ep^4+9106/15*ep^5+412/5*ep^6+268/45*ep^7
      ;
Fill mncT00(5,6) = -11683/6-980*ep^-1+427073/180*ep+321547/45*ep^2
      +120747/20*ep^3+25521/10*ep^4+9106/15*ep^5+412/5*ep^6+268/45*ep^7
      ;
Fill mncT00(6,6) = -37009/5-3528*ep^-1+1164389/150*ep+2400553/90*
      ep^2+2213339/90*ep^3+23205/2*ep^4+80157/25*ep^5+8092/15*ep^6+272/
      5*ep^7;
Fill mncT00(7,1) = -1/15-13/90*ep+1/6*ep^2+5/9*ep^3+2/5*ep^4+4/45*
      ep^5;
Fill mncT00(1,7) = -1/15-13/90*ep+1/6*ep^2+5/9*ep^3+2/5*ep^4+4/45*
      ep^5;
Fill mncT00(7,2) = -82/15-2*ep^-1+217/90*ep+1729/90*ep^2+196/9*
      ep^3+476/45*ep^4+104/45*ep^5+8/45*ep^6;
Fill mncT00(2,7) = -82/15-2*ep^-1+217/90*ep+1729/90*ep^2+196/9*
      ep^3+476/45*ep^4+104/45*ep^5+8/45*ep^6;
Fill mncT00(7,3) = -464/5-42*ep^-1+2603/30*ep+15089/45*ep^2+28489/
      90*ep^3+6416/45*ep^4+1508/45*ep^5+176/45*ep^6+8/45*ep^7;
Fill mncT00(3,7) = -464/5-42*ep^-1+2603/30*ep+15089/45*ep^2+28489/
      90*ep^3+6416/45*ep^4+1508/45*ep^5+176/45*ep^6+8/45*ep^7;
Fill mncT00(7,4) = -12467/15-392*ep^-1+77009/90*ep+405461/135*ep^2
      +249029/90*ep^3+57259/45*ep^4+14788/45*ep^5+2168/45*ep^6+56/15*
      ep^7;
Fill mncT00(4,7) = -12467/15-392*ep^-1+77009/90*ep+405461/135*ep^2
      +249029/90*ep^3+57259/45*ep^4+14788/45*ep^5+2168/45*ep^6+56/15*
      ep^7;
Fill mncT00(7,5) = -75782/15-2352*ep^-1+445667/90*ep+1953209/108*
      ep^2+465035/27*ep^3+1510033/180*ep^4+215411/90*ep^5+1246/3*ep^6+
      388/9*ep^7;
Fill mncT00(5,7) = -75782/15-2352*ep^-1+445667/90*ep+1953209/108*
      ep^2+465035/27*ep^3+1510033/180*ep^4+215411/90*ep^5+1246/3*ep^6+
      388/9*ep^7;
Fill mncT00(7,6) = -23499-10584*ep^-1+1544798/75*ep+74618423/900*
      ep^2+11272138/135*ep^3+23575927/540*ep^4+3092012/225*ep^5+617141/
      225*ep^6+5248/15*ep^7;
Fill mncT00(6,7) = -23499-10584*ep^-1+1544798/75*ep+74618423/900*
      ep^2+11272138/135*ep^3+23575927/540*ep^4+3092012/225*ep^5+617141/
      225*ep^6+5248/15*ep^7;
Fill mncT00(7,7) = -89691-38808*ep^-1+15230353/225*ep+839340229/
      2700*ep^2+2703725629/8100*ep^3+33824861/180*ep^4+526025219/8100*
      ep^5+3293521/225*ep^6+1483061/675*ep^7;
Fill mncT00(8,1) = -1/21-11/90*ep+7/90*ep^2+4/9*ep^3+4/9*ep^4+8/45
      *ep^5+8/315*ep^6;
Fill mncT00(1,8) = -1/21-11/90*ep+7/90*ep^2+4/9*ep^3+4/9*ep^4+8/45
      *ep^5+8/315*ep^6;
Fill mncT00(8,2) = -213/35-2*ep^-1+229/315*ep+899/45*ep^2+1247/45*
      ep^3+776/45*ep^4+248/45*ep^5+272/315*ep^6+16/315*ep^7;
Fill mncT00(2,8) = -213/35-2*ep^-1+229/315*ep+899/45*ep^2+1247/45*
      ep^3+776/45*ep^4+248/45*ep^5+272/315*ep^6+16/315*ep^7;
Fill mncT00(8,3) = -687/5-56*ep^-1+10807/126*ep+149903/315*ep^2+
      1061/2*ep^3+291*ep^4+268/3*ep^5+232/15*ep^6+88/63*ep^7;
Fill mncT00(3,8) = -687/5-56*ep^-1+10807/126*ep+149903/315*ep^2+
      1061/2*ep^3+291*ep^4+268/3*ep^5+232/15*ep^6+88/63*ep^7;
Fill mncT00(8,4) = -23332/15-672*ep^-1+25051/21*ep+734401/135*ep^2
      +5421223/945*ep^3+138649/45*ep^4+43618/45*ep^5+2776/15*ep^6+736/
      35*ep^7;
Fill mncT00(4,8) = -23332/15-672*ep^-1+25051/21*ep+734401/135*ep^2
      +5421223/945*ep^3+138649/45*ep^4+43618/45*ep^5+2776/15*ep^6+736/
      35*ep^7;
Fill mncT00(8,5) = -11610-5040*ep^-1+5635817/630*ep+152869817/3780
      *ep^2+81063041/1890*ep^3+89139203/3780*ep^4+351502/45*ep^5+73811/
      45*ep^6+69224/315*ep^7;
Fill mncT00(5,8) = -11610-5040*ep^-1+5635817/630*ep+152869817/3780
      *ep^2+81063041/1890*ep^3+89139203/3780*ep^4+351502/45*ep^5+73811/
      45*ep^6+69224/315*ep^7;
Fill mncT00(8,6) = -64989-27720*ep^-1+29212361/630*ep+1058350894/
      4725*ep^2+1159995587/4725*ep^3+133238803/945*ep^4+93995227/1890*
      ep^5+2574932/225*ep^6+2761202/1575*ep^7;
Fill mncT00(6,8) = -64989-27720*ep^-1+29212361/630*ep+1058350894/
      4725*ep^2+1159995587/4725*ep^3+133238803/945*ep^4+93995227/1890*
      ep^5+2574932/225*ep^6+2761202/1575*ep^7;
Fill mncT00(8,7) = -293898-121968*ep^-1+583171907/3150*ep+
      6289238647/6300*ep^2+64919324111/56700*ep^3+39277798103/56700*
      ep^4+14806523023/56700*ep^5+1858284077/28350*ep^6+53256769/4725*
      ep^7;
Fill mncT00(7,8) = -293898-121968*ep^-1+583171907/3150*ep+
      6289238647/6300*ep^2+64919324111/56700*ep^3+39277798103/56700*
      ep^4+14806523023/56700*ep^5+1858284077/28350*ep^6+53256769/4725*
      ep^7;
Fill mncT00(8,8) = -7885284/7-453024*ep^-1+6655456091/11025*ep+
      473865407/126*ep^2+9189330217/2025*ep^3+1644373427/567*ep^4+
      5518157081/4725*ep^5+51528089/162*ep^6+6012312059/99225*ep^7;
Fill mncT00(9,1) = -1/28-29/280*ep+1/36*ep^2+127/360*ep^3+4/9*ep^4
      +11/45*ep^5+4/63*ep^6+2/315*ep^7;
Fill mncT00(1,9) = -1/28-29/280*ep+1/36*ep^2+127/360*ep^3+4/9*ep^4
      +11/45*ep^5+4/63*ep^6+2/315*ep^7;
Fill mncT00(9,2) = -927/140-2*ep^-1-2263/2520*ep+6359/315*ep^2+
      3967/120*ep^3+1477/60*ep^4+151/15*ep^5+242/105*ep^6+86/315*ep^7;
Fill mncT00(2,9) = -927/140-2*ep^-1-2263/2520*ep+6359/315*ep^2+
      3967/120*ep^3+1477/60*ep^4+151/15*ep^5+242/105*ep^6+86/315*ep^7;
Fill mncT00(9,3) = -6733/35-72*ep^-1+2015/28*ep+1603937/2520*ep^2+
      513547/630*ep^3+62519/120*ep^4+11669/60*ep^5+1539/35*ep^6+206/35*
      ep^7;
Fill mncT00(3,9) = -6733/35-72*ep^-1+2015/28*ep+1603937/2520*ep^2+
      513547/630*ep^3+62519/120*ep^4+11669/60*ep^5+1539/35*ep^6+206/35*
      ep^7;
Fill mncT00(9,4) = -18855/7-1080*ep^-1+618431/420*ep+1527913/168*
      ep^2+40749427/3780*ep^3+49720691/7560*ep^4+108841/45*ep^5+355253/
      630*ep^6+8788/105*ep^7;
Fill mncT00(4,9) = -18855/7-1080*ep^-1+618431/420*ep+1527913/168*
      ep^2+40749427/3780*ep^3+49720691/7560*ep^4+108841/45*ep^5+355253/
      630*ep^6+8788/105*ep^7;
Fill mncT00(9,5) = -339795/14-9900*ep^-1+7169401/504*ep+177345113/
      2160*ep^2+1450750099/15120*ep^3+177108377/3024*ep^4+66478591/3024
      *ep^5+6787759/1260*ep^6+1106701/1260*ep^7;
Fill mncT00(5,9) = -339795/14-9900*ep^-1+7169401/504*ep+177345113/
      2160*ep^2+1450750099/15120*ep^3+177108377/3024*ep^4+66478591/3024
      *ep^5+6787759/1260*ep^6+1106701/1260*ep^7;
Fill mncT00(9,6) = -2256507/14-65340*ep^-1+76200941/840*ep+
      4550075377/8400*ep^2+9721402571/15120*ep^3+30385900253/75600*ep^4
      +2369271799/15120*ep^5+1538786057/37800*ep^6+9129529/1260*ep^7;
Fill mncT00(6,9) = -2256507/14-65340*ep^-1+76200941/840*ep+
      4550075377/8400*ep^2+9721402571/15120*ep^3+30385900253/75600*ep^4
      +2369271799/15120*ep^5+1538786057/37800*ep^6+9129529/1260*ep^7;
Fill mncT00(9,7) = -5970591/7-339768*ep^-1+910963763/2100*ep+
      1275352103/450*ep^2+37461814447/10800*ep^3+72796743971/32400*ep^4
      +5945016637/6480*ep^5+57488352751/226800*ep^6+5555807213/113400*
      ep^7;
Fill mncT00(7,9) = -5970591/7-339768*ep^-1+910963763/2100*ep+
      1275352103/450*ep^2+37461814447/10800*ep^3+72796743971/32400*ep^4
      +5945016637/6480*ep^5+57488352751/226800*ep^6+5555807213/113400*
      ep^7;
Fill mncT00(9,8) = -26476593/7-1472328*ep^-1+73265477633/44100*ep+
      54627219331/4410*ep^2+3572949997297/226800*ep^3+2411251880873/
      226800*ep^4+206938354943/45360*ep^5+304054549223/226800*ep^6+
      27782350087/99225*ep^7;
Fill mncT00(8,9) = -26476593/7-1472328*ep^-1+73265477633/44100*ep+
      54627219331/4410*ep^2+3572949997297/226800*ep^3+2411251880873/
      226800*ep^4+206938354943/45360*ep^5+304054549223/226800*ep^6+
      27782350087/99225*ep^7;
Fill mncT00(9,9) = -407455191/28-5521230*ep^-1+62145308573/11760*
      ep+8267348377283/176400*ep^2+26321703245023/423360*ep^3+
      4967716026299/113400*ep^4+1280830607257/64800*ep^5+279775500653/
      45360*ep^6+8796145865441/6350400*ep^7;
Fill mncT00(10,1) = -1/36-223/2520*ep-4/2835*ep^2+101/360*ep^3+229/
      540*ep^4+13/45*ep^5+14/135*ep^6+2/105*ep^7;
Fill mncT00(1,10) = -1/36-223/2520*ep-4/2835*ep^2+101/360*ep^3+229/
      540*ep^4+13/45*ep^5+14/135*ep^6+2/105*ep^7;
Fill mncT00(10,2) = -4469/630-2*ep^-1-3097/1260*ep+45329/2268*ep^2
      +85787/2268*ep^3+17489/540*ep^4+4273/270*ep^5+878/189*ep^6+152/
      189*ep^7;
Fill mncT00(2,10) = -4469/630-2*ep^-1-3097/1260*ep+45329/2268*ep^2
      +85787/2268*ep^3+17489/540*ep^4+4273/270*ep^5+878/189*ep^6+152/
      189*ep^7;
Fill mncT00(10,3) = -3615/14-90*ep^-1+13466/315*ep+2051033/2520*
      ep^2+6665453/5670*ep^3+19284803/22680*ep^4+49856/135*ep^5+192037/
      1890*ep^6+16792/945*ep^7;
Fill mncT00(3,10) = -3615/14-90*ep^-1+13466/315*ep+2051033/2520*
      ep^2+6665453/5670*ep^3+19284803/22680*ep^4+49856/135*ep^5+192037/
      1890*ep^6+16792/945*ep^7;
Fill mncT00(10,4) = -61445/14-1650*ep^-1+1187719/756*ep+13492646/
      945*ep^2+319245677/17010*ep^3+1605965/126*ep^4+36227755/6804*ep^5
      +457886/315*ep^6+748361/2835*ep^7;
Fill mncT00(4,10) = -61445/14-1650*ep^-1+1187719/756*ep+13492646/
      945*ep^2+319245677/17010*ep^3+1605965/126*ep^4+36227755/6804*ep^5
      +457886/315*ep^6+748361/2835*ep^7;
Fill mncT00(10,5) = -329285/7-18150*ep^-1+30067363/1512*ep+
      333243523/2160*ep^2+26798048483/136080*ep^3+2559867239/19440*ep^4
      +1496306639/27216*ep^5+1042194641/68040*ep^6+33169477/11340*ep^7;
Fill mncT00(5,10) = -329285/7-18150*ep^-1+30067363/1512*ep+
      333243523/2160*ep^2+26798048483/136080*ep^3+2559867239/19440*ep^4
      +1496306639/27216*ep^5+1042194641/68040*ep^6+33169477/11340*ep^7;
Fill mncT00(10,6) = -5124141/14-141570*ep^-1+97914331/630*ep+
      45269411767/37800*ep^2+43425450739/28350*ep^3+43960605211/42525*
      ep^4+74891892349/170100*ep^5+43216695169/340200*ep^6+4364358107/
      170100*ep^7;
Fill mncT00(6,10) = -5124141/14-141570*ep^-1+97914331/630*ep+
      45269411767/37800*ep^2+43425450739/28350*ep^3+43960605211/42525*
      ep^4+74891892349/170100*ep^5+43216695169/340200*ep^6+4364358107/
      170100*ep^7;
Fill mncT00(10,7) = -4484337/2-858858*ep^-1+16663386827/18900*ep+
      825227119253/113400*ep^2+1290630089159/136080*ep^3+2673094441009/
      408240*ep^4+1957097729129/680400*ep^5+1767730037873/2041200*ep^6+
      175217443/945*ep^7;
Fill mncT00(7,10) = -4484337/2-858858*ep^-1+16663386827/18900*ep+
      825227119253/113400*ep^2+1290630089159/136080*ep^3+2673094441009/
      408240*ep^4+1957097729129/680400*ep^5+1767730037873/2041200*ep^6+
      175217443/945*ep^7;
Fill mncT00(10,8) = -22789767/2-4294290*ep^-1+528877919/135*ep+
      29013083864323/793800*ep^2+116678567813779/2381400*ep^3+
      17786915424493/510300*ep^4+8105581054537/510300*ep^5+
      5111129560493/1020600*ep^6+1160065789751/1020600*ep^7;
Fill mncT00(8,10) = -22789767/2-4294290*ep^-1+528877919/135*ep+
      29013083864323/793800*ep^2+116678567813779/2381400*ep^3+
      17786915424493/510300*ep^4+8105581054537/510300*ep^5+
      5111129560493/1020600*ep^6+1160065789751/1020600*ep^7;
Fill mncT00(10,9) = -1394685435/28-18404100*ep^-1+100114668349/
      7056*ep+1852144738247/11760*ep^2+1386280258914223/6350400*ep^3+
      510011325931501/3175200*ep^4+62160020883013/816480*ep^5+
      642028199336/25515*ep^6+345612179314039/57153600*ep^7;
Fill mncT00(9,10) = -1394685435/28-18404100*ep^-1+100114668349/
      7056*ep+1852144738247/11760*ep^2+1386280258914223/6350400*ep^3+
      510011325931501/3175200*ep^4+62160020883013/816480*ep^5+
      642028199336/25515*ep^6+345612179314039/57153600*ep^7;
Fill mncT00(10,10) = -8074989065/42-69526600*ep^-1+1350488632313/
      31752*ep+47479977496171/79380*ep^2+24566922560195171/28576800*
      ep^3+18726665340585257/28576800*ep^4+10393828589694061/32148900*
      ep^5+45713706813533/408240*ep^6+2437850071617101/85730400*ep^7;
Fill mncT00(11,1) = -1/45-481/6300*ep-61/3240*ep^2+1271/5670*ep^3+
      427/1080*ep^4+853/2700*ep^5+19/135*ep^6+34/945*ep^7;
Fill mncT00(1,11) = -1/45-481/6300*ep-61/3240*ep^2+1271/5670*ep^3+
      427/1080*ep^4+853/2700*ep^5+19/135*ep^6+34/945*ep^7;
Fill mncT00(11,2) = -947/126-2*ep^-1-6226/1575*ep+2208569/113400*
      ep^2+238403/5670*ep^3+915079/22680*ep^4+15268/675*ep^5+2783/350*
      ep^6+1672/945*ep^7;
Fill mncT00(2,11) = -947/126-2*ep^-1-6226/1575*ep+2208569/113400*
      ep^2+238403/5670*ep^3+915079/22680*ep^4+15268/675*ep^5+2783/350*
      ep^6+1672/945*ep^7;
Fill mncT00(11,3) = -42257/126-110*ep^-1-2707/630*ep+113933903/
      113400*ep^2+183198229/113400*ep^3+5877841/4536*ep^4+2884187/4536*
      ep^5+1925347/9450*ep^6+410261/9450*ep^7;
Fill mncT00(3,11) = -42257/126-110*ep^-1-2707/630*ep+113933903/
      113400*ep^2+183198229/113400*ep^3+5877841/4536*ep^4+2884187/4536*
      ep^5+1925347/9450*ep^6+410261/9450*ep^7;
Fill mncT00(11,4) = -429022/63-2420*ep^-1+4979761/3780*ep+
      2416330001/113400*ep^2+2091988831/68040*ep^3+1112624069/48600*
      ep^4+144779119/13608*ep^5+561956837/170100*ep^6+3989957/5670*ep^7
      ;
Fill mncT00(4,11) = -429022/63-2420*ep^-1+4979761/3780*ep+
      2416330001/113400*ep^2+2091988831/68040*ep^3+1112624069/48600*
      ep^4+144779119/13608*ep^5+561956837/170100*ep^6+3989957/5670*ep^7
      ;
Fill mncT00(11,5) = -5399416/63-31460*ep^-1+89686433/3780*ep+
      15429898189/56700*ep^2+256298618123/680400*ep^3+185727350833/
      680400*ep^4+28336764061/226800*ep^5+26404474799/680400*ep^6+
      2873726957/340200*ep^7;
Fill mncT00(5,11) = -5399416/63-31460*ep^-1+89686433/3780*ep+
      15429898189/56700*ep^2+256298618123/680400*ep^3+185727350833/
      680400*ep^4+28336764061/226800*ep^5+26404474799/680400*ep^6+
      2873726957/340200*ep^7;
Fill mncT00(11,6) = -69555343/90-286286*ep^-1+4352287969/18900*ep+
      1394197679179/567000*ep^2+327892567487/97200*ep^3+1660234944457/
      680400*ep^4+764905853771/680400*ep^5+172784350919/486000*ep^6+
      486227771/6075*ep^7;
Fill mncT00(6,11) = -69555343/90-286286*ep^-1+4352287969/18900*ep+
      1394197679179/567000*ep^2+327892567487/97200*ep^3+1660234944457/
      680400*ep^4+764905853771/680400*ep^5+172784350919/486000*ep^6+
      486227771/6075*ep^7;
Fill mncT00(11,7) = -488605117/90-2004002*ep^-1+4171952099/2700*ep
      +3248816397557/189000*ep^2+11565586719359/486000*ep^3+
      17791769755469/1020600*ep^4+2088799797137/255150*ep^5+
      3397133116927/1275750*ep^6+6369289461953/10206000*ep^7;
Fill mncT00(7,11) = -488605117/90-2004002*ep^-1+4171952099/2700*ep
      +3248816397557/189000*ep^2+11565586719359/486000*ep^3+
      17791769755469/1020600*ep^4+2088799797137/255150*ep^5+
      3397133116927/1275750*ep^6+6369289461953/10206000*ep^7;
Fill mncT00(11,8) = -282208927/9-11451440*ep^-1+473096521/60*ep+
      39047886901997/396900*ep^2+22501501662161/162000*ep^3+
      1855966310127337/17860500*ep^4+1826232928511/36450*ep^5+
      17204423948441/1020600*ep^6+42112995957461/10206000*ep^7;
Fill mncT00(8,11) = -282208927/9-11451440*ep^-1+473096521/60*ep+
      39047886901997/396900*ep^2+22501501662161/162000*ep^3+
      1855966310127337/17860500*ep^4+1826232928511/36450*ep^5+
      17204423948441/1020600*ep^6+42112995957461/10206000*ep^7;
Fill mncT00(11,9) = -9738655498/63-55621280*ep^-1+94008003743/2940
      *ep+760791602875721/1587600*ep^2+5511453897851903/7938000*ep^3+
      30466885938693923/57153600*ep^4+37856143784012089/142884000*ep^5+
      125838848407267/1360800*ep^6+70465137553021/2976750*ep^7;
Fill mncT00(9,11) = -9738655498/63-55621280*ep^-1+94008003743/2940
      *ep+760791602875721/1587600*ep^2+5511453897851903/7938000*ep^3+
      30466885938693923/57153600*ep^4+37856143784012089/142884000*ep^5+
      125838848407267/1360800*ep^6+70465137553021/2976750*ep^7;
Fill mncT00(11,10) = -84214296023/126-236390440*ep^-1+
      16528092689051/158760*ep+3243255318999743/1587600*ep^2+
      435668955342493037/142884000*ep^3+76484619296564071/31752000*ep^4
      +795101727724779229/642978000*ep^5+576463599265255073/1285956000*
      ep^6+51438909169499267/428652000*ep^7;
Fill mncT00(10,11) = -84214296023/126-236390440*ep^-1+
      16528092689051/158760*ep+3243255318999743/1587600*ep^2+
      435668955342493037/142884000*ep^3+76484619296564071/31752000*ep^4
      +795101727724779229/642978000*ep^5+576463599265255073/1285956000*
      ep^6+51438909169499267/428652000*ep^7;
Fill mncT00(11,11) = -1629856819877/630-898283672*ep^-1+
      207923748102989/793800*ep+61787131987885627/7938000*ep^2+
      8569603130217344573/714420000*ep^3+2790041562079488443/285768000*
      ep^4+271930552939203719/52488000*ep^5+2508602368297880969/
      1285956000*ep^6+877120355481678323/1607445000*ep^7;
Fill mncT00(12,1) = -1/55-419/6300*ep-41/1400*ep^2+2041/11340*ep^3
      +8261/22680*ep^4+223/675*ep^5+233/1350*ep^6+52/945*ep^7;
Fill mncT00(1,12) = -1/55-419/6300*ep-41/1400*ep^2+2041/11340*ep^3
      +8261/22680*ep^4+223/675*ep^5+233/1350*ep^6+52/945*ep^7;
Fill mncT00(12,2) = -54731/6930-2*ep^-1-373253/69300*ep+37924/2025
      *ep^2+1297507/28350*ep^3+274181/5670*ep^4+1717189/56700*ep^5+
      57818/4725*ep^6+15451/4725*ep^7;
Fill mncT00(2,12) = -54731/6930-2*ep^-1-373253/69300*ep+37924/2025
      *ep^2+1297507/28350*ep^3+274181/5670*ep^4+1717189/56700*ep^5+
      57818/4725*ep^6+15451/4725*ep^7;
Fill mncT00(12,3) = -44546/105-132*ep^-1-4950863/69300*ep+71596543/
      59400*ep^2+242412281/113400*ep^3+30350839/16200*ep^4+115366453/
      113400*ep^5+20901247/56700*ep^6+865819/9450*ep^7;
Fill mncT00(3,12) = -44546/105-132*ep^-1-4950863/69300*ep+71596543/
      59400*ep^2+242412281/113400*ep^3+30350839/16200*ep^4+115366453/
      113400*ep^5+20901247/56700*ep^6+865819/9450*ep^7;
Fill mncT00(12,4) = -1065796/105-3432*ep^-1+5623127/11550*ep+
      576473683/18900*ep^2+4983242989/103950*ep^3+3289919531/85050*ep^4
      +334890907/17010*ep^5+1158051971/170100*ep^6+140492113/85050*ep^7
      ;
Fill mncT00(4,12) = -1065796/105-3432*ep^-1+5623127/11550*ep+
      576473683/18900*ep^2+4983242989/103950*ep^3+3289919531/85050*ep^4
      +334890907/17010*ep^5+1158051971/170100*ep^6+140492113/85050*ep^7
      ;
Fill mncT00(12,5) = -6674564/45-52052*ep^-1+4484913491/207900*ep+
      142011246871/311850*ep^2+1017237511967/1496880*ep^3+791895023827/
      1496880*ep^4+178543787987/680400*ep^5+60895540243/680400*ep^6+
      185089741/8505*ep^7;
Fill mncT00(5,12) = -6674564/45-52052*ep^-1+4484913491/207900*ep+
      142011246871/311850*ep^2+1017237511967/1496880*ep^3+791895023827/
      1496880*ep^4+178543787987/680400*ep^5+60895540243/680400*ep^6+
      185089741/8505*ep^7;
Fill mncT00(12,6) = -9211657/6-546546*ep^-1+1380122401/4950*ep+
      3287902013329/693000*ep^2+43368311221363/6237000*ep^3+
      10023608752159/1871100*ep^4+990883138921/374220*ep^5+
      1544483269241/1701000*ep^6+382129057123/1701000*ep^7;
Fill mncT00(6,12) = -9211657/6-546546*ep^-1+1380122401/4950*ep+
      3287902013329/693000*ep^2+43368311221363/6237000*ep^3+
      10023608752159/1871100*ep^4+990883138921/374220*ep^5+
      1544483269241/1701000*ep^6+382129057123/1701000*ep^7;
Fill mncT00(12,7) = -183959867/15-4372368*ep^-1+4438361431/1980*ep
      +9834115460318/259875*ep^2+692436168462001/12474000*ep^3+
      401953567999259/9355500*ep^4+8598900594217/400950*ep^5+
      59982731656043/8019000*ep^6+2770515926519/1458000*ep^7;
Fill mncT00(7,12) = -183959867/15-4372368*ep^-1+4438361431/1980*ep
      +9834115460318/259875*ep^2+692436168462001/12474000*ep^3+
      401953567999259/9355500*ep^4+8598900594217/400950*ep^5+
      59982731656043/8019000*ep^6+2770515926519/1458000*ep^7;
Fill mncT00(12,8) = -3595939256/45-28316288*ep^-1+143298135/11*ep+
      486169820660047/1984500*ep^2+15884080514284667/43659000*ep^3+
      112179662354839381/392931000*ep^4+14253519507869987/98232750*ep^5
      +121238878985254/2338875*ep^6+254336185388731/18711000*ep^7;
Fill mncT00(8,12) = -3595939256/45-28316288*ep^-1+143298135/11*ep+
      486169820660047/1984500*ep^2+15884080514284667/43659000*ep^3+
      112179662354839381/392931000*ep^4+14253519507869987/98232750*ep^5
      +121238878985254/2338875*ep^6+254336185388731/18711000*ep^7;
Fill mncT00(12,9) = -15447077438/35-154728288*ep^-1+1117533258397/
      19404*ep+12999785076524377/9702000*ep^2+3615559683747431/1782000*
      ep^3+566958080202310271/349272000*ep^4+82924646026230727/98232750
      *ep^5+44319253755926431/142884000*ep^6+816966437048177/9702000*
      ep^7;
Fill mncT00(9,12) = -15447077438/35-154728288*ep^-1+1117533258397/
      19404*ep+12999785076524377/9702000*ep^2+3615559683747431/1782000*
      ep^3+566958080202310271/349272000*ep^4+82924646026230727/98232750
      *ep^5+44319253755926431/142884000*ep^6+816966437048177/9702000*
      ep^7;
Fill mncT00(12,10) = -148740436871/70-734959368*ep^-1+
      37179607764683/194040*ep+278245171511294899/43659000*ep^2+
      246599545916388887/24948000*ep^3+317888262903197923/39293100*ep^4
      +193879036469641247/44906400*ep^5+5783132553224430139/3536379000*
      ep^6+6510615906476192839/14145516000*ep^7;
Fill mncT00(10,12) = -148740436871/70-734959368*ep^-1+
      37179607764683/194040*ep+278245171511294899/43659000*ep^2+
      246599545916388887/24948000*ep^3+317888262903197923/39293100*ep^4
      +193879036469641247/44906400*ep^5+5783132553224430139/3536379000*
      ep^6+6510615906476192839/14145516000*ep^7;
Fill mncT00(12,11) = -2869226747881/315-3103161776*ep^-1+
      449453982288422/1091475*ep+2352475645633332761/87318000*ep^2+
      168659515748892452441/3929310000*ep^3+565989744183674371727/
      15717240000*ep^4+558777856819913262283/28291032000*ep^5+
      13650824498444656361/1768189500*ep^6+159385064451234459353/
      70727580000*ep^7;
Fill mncT00(11,12) = -2869226747881/315-3103161776*ep^-1+
      449453982288422/1091475*ep+2352475645633332761/87318000*ep^2+
      168659515748892452441/3929310000*ep^3+565989744183674371727/
      15717240000*ep^4+558777856819913262283/28291032000*ep^5+
      13650824498444656361/1768189500*ep^6+159385064451234459353/
      70727580000*ep^7;
Fill mncT00(12,12) = -5831548349042/165-11848435872*ep^-1-
      47936862223886/571725*ep+4494358625171187431/43659000*ep^2+
      55268352042124870841/327442500*ep^3+1141856608259339237821/
      7858620000*ep^4+87831381079537137583/1071630000*ep^5+
      467768626208847072689/14145516000*ep^6+353919939401246354623/
      35363790000*ep^7;
Fill mncT10(-8,1) = -1/180-1289/75600*ep-16777/470400*ep^2-
      376898537/5927040000*ep^3-57893695123/553190400000*ep^4-
      76691257001969/464679936000000*ep^5-245099736573311/
      963780608000000*ep^6-522134027881118771/1349292851200000000*ep^7;
Fill mncT10(-7,1) = -1/144-2431/120960*ep-1378463/33868800*ep^2-
      675209159/9483264000*ep^3-307675537087/2655313920000*ep^4-
      44990911819997/247829299200000*ep^5-2148771979243069/
      7710244864000000*ep^6-913591296314163717/2158868561920000000*ep^7
      ;
Fill mncT10(-6,1) = -1/112-757/31360*ep-3727229/79027200*ep^2-
      596248999/7375872000*ep^3-805517926621/6195732480000*ep^4-
      116996591020151/578268364800000*ep^5-16699750590256581/
      53971714048000000*ep^6-7085343227873558733/15112079933440000000*
      ep^7;
Fill mncT10(-5,1) = -1/84-131/4410*ep-45907/823200*ep^2-32325739/
      345744000*ep^3-798737439/5378240000*ep^4-172809886751/
      752953600000*ep^5-36857412733959/105413504000000*ep^6-
      7802544599074431/14757890560000000*ep^7;
Fill mncT10(-4,1) = -1/60-17/450*ep-2441/36000*ep^2-26639/240000*
      ep^3-278431/1600000*ep^4-8544297/32000000*ep^5-259328439/
      640000000*ep^6-7826394393/12800000000*ep^7;
Fill mncT10(-3,1) = -1/40-121/2400*ep-4127/48000*ep^2-43883/320000
      *ep^3-1357221/6400000*ep^4-41346027/128000000*ep^5-1250042949/
      2560000000*ep^6-37648874763/51200000000*ep^7;
Fill mncT10(-2,1) = -1/24-7/96*ep-15/128*ep^2-93/512*ep^3-567/2048
      *ep^4-3429/8192*ep^5-20655/32768*ep^6-124173/131072*ep^7;
Fill mncT10(-1,1) = -1/12-1/8*ep-3/16*ep^2-9/32*ep^3-27/64*ep^4-81/
      128*ep^5-243/256*ep^6-729/512*ep^7;
Fill mncT10(0,1) = -1/4-3/8*ep-9/16*ep^2-27/32*ep^3-81/64*ep^4-243/
      128*ep^5-729/256*ep^6-2187/512*ep^7;
Fill mncT10(1,1) = 1/2*ep^-1;
Fill mncT10(-8,2) = -3209/2520-1/2*ep^-1-5168921/2116800*ep-
      819729151/197568000*ep^2-1102644847229/165957120000*ep^3-
      159795437284199/15489331200000*ep^4-205040443977739421/
      13011038208000000*ep^5-28980568768290016951/1214363566080000000*
      ep^6-1359144873904510759127/37780199833600000000*ep^7;
Fill mncT10(-7,2) = -647/560-1/2*ep^-1-3002999/1411200*ep-
      1397828207/395136000*ep^2-206397332717/36879360000*ep^3-
      267391292723743/30978662400000*ep^4-113944330470198199/
      8674025472000000*ep^5-16072702443692427269/809575710720000000*
      ep^6-2258934788088422411439/75560399667200000000*ep^7;
Fill mncT10(-6,2) = -143/140-1/2*ep^-1-317803/176400*ep-72277427/
      24696000*ep^2-15809639243/3457440000*ep^3-3390537990787/
      484041600000*ep^4-79974824548387/7529536000000*ep^5-
      16888593060673883/1054135040000000*ep^6-3556743455670590547/
      147578905600000000*ep^7;
Fill mncT10(-5,2) = -13/15-1/2*ep^-1-5267/3600*ep-55693/24000*ep^2
      -5155573/1440000*ep^3-52300417/9600000*ep^4-526842293/64000000*
      ep^5-15864216891/1280000000*ep^6-476827243317/25600000000*ep^7;
Fill mncT10(-4,2) = -41/60-1/2*ep^-1-1337/1200*ep-41419/24000*ep^2
      -1262653/480000*ep^3-12728737/3200000*ep^4-383416719/64000000*
      ep^5-11526078753/1280000000*ep^6-346139116911/25600000000*ep^7;
Fill mncT10(-3,2) = -11/24-1/2*ep^-1-73/96*ep-443/384*ep^2-891/512
      *ep^3-5361/2048*ep^4-32211/8192*ep^5-193401/32768*ep^6-1160811/
      131072*ep^7;
Fill mncT10(-2,2) = -1/6-1/2*ep^-1-5/12*ep-5/8*ep^2-15/16*ep^3-45/
      32*ep^4-135/64*ep^5-405/128*ep^6-1215/256*ep^7;
Fill mncT10(-1,2) = 1/4-1/2*ep^-1-1/8*ep-3/16*ep^2-9/32*ep^3-27/64
      *ep^4-81/128*ep^5-243/256*ep^6-729/512*ep^7;
Fill mncT10(0,2) = 1-1/2*ep^-1;
Fill mncT10(2,1) = 2-1/2*ep^-1-2*ep+2*ep^2-2*ep^3+2*ep^4-2*ep^5+2*
      ep^6-2*ep^7;
Fill mncT10(1,2) = 3-ep^-1;
Fill mncT10(2,2) = 3-3/2*ep^-1+6*ep-6*ep^2+6*ep^3-6*ep^4+6*ep^5-6*
      ep^6+6*ep^7;
Fill mncT10(-8,3) = -607/35-18*ep^-1-888317/19600*ep-2794921429/
      49392000*ep^2-1421665541197/13829760000*ep^3-182665560986407/
      1290777600000*ep^4-248394806902552253/1084253184000000*ep^5-
      100200727145114106629/303590891520000000*ep^6-
      14483962599403596455599/28335149875200000000*ep^7;
Fill mncT10(-7,3) = -91/10-14*ep^-1-96419/3150*ep-14350921/441000*
      ep^2-1339764163/20580000*ep^3-723100067201/8643600000*ep^4-
      170946280048009/1210104000000*ep^5-3717678754151209/
      18823840000000*ep^6-821451581677529681/2635337600000000*ep^7;
Fill mncT10(-6,3) = -59/20-21/2*ep^-1-24049/1200*ep-1127389/72000*
      ep^2-6231227/160000*ep^3-1260578141/28800000*ep^4-15537540689/
      192000000*ep^5-136438303381/1280000000*ep^6-4481141749947/
      25600000000*ep^7;
Fill mncT10(-5,3) = 5/4-15/2*ep^-1-3119/240*ep-22373/4800*ep^2-
      2122051/96000*ep^3-35026237/1920000*ep^4-543093073/12800000*ep^5-
      12465338751/256000000*ep^6-450949393137/5120000000*ep^7;
Fill mncT10(-4,3) = 11/3-5*ep^-1-211/24*ep+167/96*ep^2-4763/384*
      ep^3-1851/512*ep^4-41841/2048*ep^5-128211/8192*ep^6-1260921/32768
      *ep^7;
Fill mncT10(-3,3) = 9/2-3*ep^-1-20/3*ep+29/6*ep^2-31/4*ep^3+27/8*
      ep^4-159/16*ep^5+3/32*ep^6-951/64*ep^7;
Fill mncT10(-2,3) = 4-3/2*ep^-1-23/4*ep+47/8*ep^2-99/16*ep^3+183/
      32*ep^4-411/64*ep^5+687/128*ep^6-1779/256*ep^7;
Fill mncT10(-1,3) = 5/2-1/2*ep^-1-5*ep+6*ep^2-6*ep^3+6*ep^4-6*ep^5
      +6*ep^6-6*ep^7;
Fill mncT10(0,3) = 1/2-3*ep+6*ep^2-6*ep^3+6*ep^4-6*ep^5+6*ep^6-6*
      ep^7;
Fill mncT10(3,1) = -3/4+27/8*ep-75/16*ep^2+171/32*ep^3-363/64*ep^4
      +747/128*ep^5-1515/256*ep^6+3051/512*ep^7;
Fill mncT10(1,3) = -3/2+3*ep+6*ep^2-6*ep^3+6*ep^4-6*ep^5+6*ep^6-6*
      ep^7;
Fill mncT10(3,2) = 3/4-3/2*ep^-1+105/8*ep-105/16*ep^2+105/32*ep^3-
      105/64*ep^4+105/128*ep^5-105/256*ep^6+105/512*ep^7;
Fill mncT10(2,3) = -3/2-3/2*ep^-1+15*ep+12*ep^2-12*ep^3+12*ep^4-12
      *ep^5+12*ep^6-12*ep^7;
Fill mncT10(3,3) = -3-9/2*ep^-1+171/4*ep+201/8*ep^2-297/16*ep^3+
      489/32*ep^4-873/64*ep^5+1641/128*ep^6-3177/256*ep^7;
Fill mncT10(-8,4) = 497/15-168*ep^-1-245439/700*ep-119973151/
      1323000*ep^2-9422675807/15435000*ep^3-5682035468603/12965400000*
      ep^4-695322355217759/605052000000*ep^5-313754649193328393/
      254121840000000*ep^6-3092995709028019931/1317668800000000*ep^7;
Fill mncT10(-7,4) = 1799/30-98*ep^-1-188743/900*ep+105347/3375*
      ep^2-177315563/540000*ep^3-1153008631/10800000*ep^4-119752244197/
      216000000*ep^5-627155304913/1440000000*ep^6-10100384110277/
      9600000000*ep^7;
Fill mncT10(-6,4) = 235/4-105/2*ep^-1-30433/240*ep+1041767/14400*
      ep^2-51977471/288000*ep^3+178464223/5760000*ep^4-30193341199/
      115200000*ep^5-62610124171/768000000*ep^6-2230886293559/
      5120000000*ep^7;
Fill mncT10(-5,4) = 265/6-25*ep^-1-5579/72*ep+20767/288*ep^2-
      121699/1152*ep^3+315191/4608*ep^4-267971/2048*ep^5+331319/8192*
      ep^6-5822811/32768*ep^7;
Fill mncT10(-4,4) = 53/2-10*ep^-1-416/9*ep+331/6*ep^2-595/9*ep^3+
      1505/24*ep^4-595/8*ep^5+1925/32*ep^6-665/8*ep^7;
Fill mncT10(-3,4) = 12-3*ep^-1-74/3*ep+35*ep^2-499/12*ep^3+89/2*
      ep^4-747/16*ep^5+747/16*ep^6-3093/64*ep^7;
Fill mncT10(-2,4) = 10/3-1/2*ep^-1-39/4*ep+421/24*ep^2-375/16*ep^3
      +855/32*ep^4-1815/64*ep^5+3735/128*ep^6-7575/256*ep^7;
Fill mncT10(-1,4) = 1/6-17/12*ep+39/8*ep^2-151/16*ep^3+407/32*ep^4
      -919/64*ep^5+1943/128*ep^6-3991/256*ep^7;
Fill mncT10(0,4) = 1/4*ep-9/8*ep^2+9/16*ep^3+87/32*ep^4-279/64*
      ep^5+663/128*ep^6-1431/256*ep^7;
Fill mncT10(4,1) = -1/4+11/24*ep+239/144*ep^2-2989/864*ep^3+23879/
      5184*ep^4-163669/31104*ep^5+1048319/186624*ep^6-6499069/1119744*
      ep^7;
Fill mncT10(1,4) = -1/2-3/4*ep+39/8*ep^2+105/16*ep^3-105/32*ep^4+
      105/64*ep^5-105/128*ep^6+105/256*ep^7;
Fill mncT10(4,2) = -1/2-3/2*ep^-1+173/12*ep+257/72*ep^2-3187/432*
      ep^3+19577/2592*ep^4-109867/15552*ep^5+618497/93312*ep^6-3553027/
      559872*ep^7;
Fill mncT10(2,4) = -4-3/2*ep^-1+49/4*ep+295/8*ep^2+169/16*ep^3-233/
      32*ep^4+361/64*ep^5-617/128*ep^6+1129/256*ep^7;
Fill mncT10(4,3) = -15/2-9*ep^-1+85*ep+194/3*ep^2-302/9*ep^3+626/
      27*ep^4-1598/81*ep^5+4514/243*ep^6-13262/729*ep^7;
Fill mncT10(3,4) = -15-9*ep^-1+159/2*ep+543/4*ep^2+105/8*ep^3-105/
      16*ep^4+105/32*ep^5-105/64*ep^6+105/128*ep^7;
Fill mncT10(4,4) = -89/2-30*ep^-1+1607/6*ep+14399/36*ep^2+4547/216
      *ep^3+3623/1296*ep^4-92053/7776*ep^5+718463/46656*ep^6-4719613/
      279936*ep^7;
Fill mncT10(-8,5) = 22799/30-588*ep^-1-2975171/1800*ep+63997597/
      54000*ep^2-332802167/135000*ep^3+28203018577/32400000*ep^4-
      6704692659353/1944000000*ep^5-38057765814833/116640000000*ep^6-
      37714639438474613/6998400000000*ep^7;
Fill mncT10(-7,5) = 5425/12-245*ep^-1-154603/180*ep+346471/400*
      ep^2-277499471/216000*ep^3+11868270169/12960000*ep^4-
      1256015408291/777600000*ep^5+30029820504649/46656000000*ep^6-
      5996593665192011/2799360000000*ep^7;
Fill mncT10(-6,5) = 670/3-175/2*ep^-1-60443/144*ep+100289/192*ep^2
      -4637557/6912*ep^3+53277763/82944*ep^4-794249701/995328*ep^5+
      7478326387/11943936*ep^6-131358531829/143327232*ep^7;
Fill mncT10(-5,5) = 1055/12-25*ep^-1-6547/36*ep+3175/12*ep^2-36151/
      108*ep^3+473935/1296*ep^4-391195/972*ep^5+18390085/46656*ep^6-
      60438805/139968*ep^7;
Fill mncT10(-4,5) = 299/12-5*ep^-1-755/12*ep+3889/36*ep^2-15913/
      108*ep^3+225715/1296*ep^4-371315/1944*ep^5+9306745/46656*ep^6-
      28749175/139968*ep^7;
Fill mncT10(-3,5) = 47/12-1/2*ep^-1-167/12*ep+1111/36*ep^2-10793/
      216*ep^3+85315/1296*ep^4-594665/7776*ep^5+3861115/46656*ep^6-
      24135665/279936*ep^7;
Fill mncT10(-2,5) = 1/12-5/6*ep+257/72*ep^2-3883/432*ep^3+40625/
      2592*ep^4-332755/15552*ep^5+2353145/93312*ep^6-15367915/559872*
      ep^7;
Fill mncT10(-1,5) = 1/24*ep-41/144*ep^2+523/864*ep^3-641/5184*ep^4
      -46589/31104*ep^5+610039/186624*ep^6-5010149/1119744*ep^7;
Fill mncT10(0,5) = 1/24*ep-5/144*ep^2-449/864*ep^3+2275/5184*ep^4+
      37975/31104*ep^5-203525/186624*ep^6+789775/1119744*ep^7;
Fill mncT10(5,1) = -1/8+7/96*ep+1331/1152*ep^2-10697/13824*ep^3-
      16261/165888*ep^4+1688527/1990656*ep^5-32246509/23887872*ep^6+
      472522183/286654464*ep^7;
Fill mncT10(1,5) = -1/4-5/6*ep+119/72*ep^2+3299/432*ep^3+13895/
      2592*ep^4-19285/15552*ep^5+13055/93312*ep^6+50435/559872*ep^7;
Fill mncT10(5,2) = -11/8-3/2*ep^-1+1385/96*ep+13765/1152*ep^2-
      112975/13824*ep^3+625645/165888*ep^4-3023815/1990656*ep^5+
      13658965/23887872*ep^6-59326975/286654464*ep^7;
Fill mncT10(2,5) = -23/4-3/2*ep^-1+89/12*ep+457/9*ep^2+1487/27*
      ep^3+700/81*ep^4-700/243*ep^5+700/729*ep^6-700/2187*ep^7;
Fill mncT10(5,3) = -16-15*ep^-1+3359/24*ep+40699/288*ep^2-146353/
      3456*ep^3+909331/41472*ep^4-9088057/497664*ep^5+106452139/5971968
      *ep^6-1281080833/71663616*ep^7;
Fill mncT10(3,5) = -149/4-15*ep^-1+335/3*ep+24041/72*ep^2+90941/
      432*ep^3+30905/2592*ep^4-70315/15552*ep^5+166145/93312*ep^6-
      408835/559872*ep^7;
Fill mncT10(5,4) = -225/2-75*ep^-1+5331/8*ep+32337/32*ep^2+10551/
      128*ep^3+6201/512*ep^4-76569/2048*ep^5+364761/8192*ep^6-1530969/
      32768*ep^7;
Fill mncT10(4,5) = -625/4-75*ep^-1+3617/6*ep+100921/72*ep^2+281917/
      432*ep^3+99961/2592*ep^4-395051/15552*ep^5+1935361/93312*ep^6-
      10665731/559872*ep^7;
Fill mncT10(5,5) = -1025/2-525/2*ep^-1+103501/48*ep+2646365/576*
      ep^2+12919849/6912*ep^3+12547205/82944*ep^4-106259855/995328*ep^5
      +1130729645/11943936*ep^6-13089714695/143327232*ep^7;
Fill mncT10(-8,6) = 8617/4-882*ep^-1-316517/75*ep+95258447/18000*
      ep^2-8895797/1250*ep^3+146197841329/21600000*ep^4-5689546761703/
      648000000*ep^5+514988214016759/77760000000*ep^6-6026465251182397/
      583200000000*ep^7;
Fill mncT10(-7,6) = 4697/6-245*ep^-1-292573/180*ep+47059/20*ep^2-
      5328157/1728*ep^3+174164911/51840*ep^4-957484507/248832*ep^5+
      341253311/93312*ep^6-152249066137/35831808*ep^7;
Fill mncT10(-6,6) = 443/2-105/2*ep^-1-125593/240*ep+2499871/2880*
      ep^2-13702799/11520*ep^3+7218039/5120*ep^4-174569129/110592*ep^5+
      2178145403/1327104*ep^6-27579506801/15925248*ep^7;
Fill mncT10(-5,6) = 173/4-15/2*ep^-1-30149/240*ep+78807/320*ep^2-
      4323407/11520*ep^3+66872909/138240*ep^4-186295291/331776*ep^5+
      2427851377/3981312*ep^6-30539760979/47775744*ep^7;
Fill mncT10(-4,6) = 131/30-1/2*ep^-1-845/48*ep+25747/576*ep^2-
      570889/6912*ep^3+50613671/414720*ep^4-154047985/995328*ep^5+
      2122929235/11943936*ep^6-27532209145/143327232*ep^7;
Fill mncT10(-3,6) = 1/20-133/240*ep+2597/960*ep^2-91439/11520*ep^3
      +2244941/138240*ep^4-8504443/331776*ep^5+134586481/3981312*ep^6-
      1895224147/47775744*ep^7;
Fill mncT10(-2,6) = 1/80*ep-33/320*ep^2+239/768*ep^3-16369/46080*
      ep^4-28393/110592*ep^5+2065915/1327104*ep^6-48179569/15925248*
      ep^7;
Fill mncT10(-1,6) = 1/240*ep-37/2880*ep^2-1301/34560*ep^3+63767/
      414720*ep^4-55825/995328*ep^5-3527405/11943936*ep^6+69451655/
      143327232*ep^7;
Fill mncT10(0,6) = 1/80*ep+13/960*ep^2-1951/11520*ep^3-24083/
      138240*ep^4+178885/331776*ep^5+1844465/3981312*ep^6-11791955/
      47775744*ep^7;
Fill mncT10(6,1) = -3/40-13/800*ep+35531/48000*ep^2+233003/2880000
      *ep^3-93186661/172800000*ep^4+5785099307/10368000000*ep^5-
      256674082309/622080000000*ep^6+9764782347083/37324800000000*ep^7;
Fill mncT10(1,6) = -3/20-11/16*ep+65/192*ep^2+13213/2304*ep^3+
      1265101/138240*ep^4+1354885/331776*ep^5-1770895/3981312*ep^6-
      3862355/47775744*ep^7;
Fill mncT10(6,2) = -41/20-3/2*ep^-1+16777/1200*ep+1335301/72000*
      ep^2-19367987/4320000*ep^3-196568531/259200000*ep^4+20928087997/
      15552000000*ep^5-848911040339/933120000000*ep^6+27834592249693/
      55987200000000*ep^7;
Fill mncT10(2,6) = -71/10-3/2*ep^-1+511/240*ep+164303/2880*ep^2+
      3505459/34560*ep^3+25651559/414720*ep^4+8078735/995328*ep^5-
      21369005/11943936*ep^6+52638215/143327232*ep^7;
Fill mncT10(6,3) = -117/4-45/2*ep^-1+16461/80*ep+419211/1600*ep^2-
      885519/32000*ep^3+5867451/640000*ep^4-167036679/12800000*ep^5+
      4087781091/256000000*ep^6-88115296239/5120000000*ep^7;
Fill mncT10(3,6) = -285/4-45/2*ep^-1+10293/80*ep+196431/320*ep^2+
      169797/256*ep^3+1264407/5120*ep^4+46389/4096*ep^5-47733/16384*
      ep^6+50421/65536*ep^7;
Fill mncT10(6,4) = -999/4-315/2*ep^-1+110547/80*ep+3592917/1600*
      ep^2+10569807/32000*ep^3+5651397/640000*ep^4-934558713/12800000*
      ep^5+21933000477/256000000*ep^6-453295830033/5120000000*ep^7;
Fill mncT10(4,6) = -825/2-315/2*ep^-1+87101/80*ep+3474373/960*ep^2
      +34090769/11520*ep^3+115905997/138240*ep^4-1176443/331776*ep^5+
      56130161/3981312*ep^6-808775507/47775744*ep^7;
Fill mncT10(6,5) = -5677/4-735*ep^-1+181561/30*ep+22883293/1800*
      ep^2+275706917/54000*ep^3+823074373/1620000*ep^4-15404524363/
      48600000*ep^5+406322318053/1458000000*ep^6-11864681486443/
      43740000000*ep^7;
Fill mncT10(5,6) = -1750-735*ep^-1+650707/120*ep+22250591/1440*
      ep^2+185708083/17280*ep^3+552944999/207360*ep^4-58423921/497664*
      ep^5+817950547/5971968*ep^6-10184347129/71663616*ep^7;
Fill mncT10(6,6) = -120561/20-2646*ep^-1+4004489/200*ep+640164857/
      12000*ep^2+24618330341/720000*ep^3+348715791533/43200000*ep^4-
      1386850102771/2592000000*ep^5+94551935998877/155520000000*ep^6-
      5826659928470899/9331200000000*ep^7;
Fill mncT10(-8,7) = 66017/30-588*ep^-1-4508803/900*ep+217504703/
      27000*ep^2-2991739331/270000*ep^3+421383935569/32400000*ep^4-
      7212926744207/486000000*ep^5+1770122538918811/116640000000*ep^6-
      57865917803434741/3499200000000*ep^7;
Fill mncT10(-7,7) = 14147/30-98*ep^-1-1113373/900*ep+61188103/
      27000*ep^2-602106179/180000*ep^3+45691944773/10800000*ep^4-
      3178962926651/648000000*ep^5+205925117660437/38880000000*ep^6-
      13065626199034619/2332800000000*ep^7;
Fill mncT10(-6,7) = 337/5-21/2*ep^-1-260689/1200*ep+33888383/72000
      *ep^2-376269769/480000*ep^3+31338072103/28800000*ep^4-
      2307104628361/1728000000*ep^5+156415258787207/103680000000*ep^6-
      10079557406149609/6220800000000*ep^7;
Fill mncT10(-5,7) = 71/15-1/2*ep^-1-75287/3600*ep+4216483/72000*
      ep^2-515461421/4320000*ep^3+50009271427/259200000*ep^4-
      4105017792749/15552000000*ep^5+299730103147363/933120000000*ep^6-
      20236533466283981/55987200000000*ep^7;
Fill mncT10(-4,7) = 1/30-179/450*ep+4253/2000*ep^2-7480199/1080000
      *ep^3+1025875513/64800000*ep^4-108169063031/3888000000*ep^5+
      9399066509497/233280000000*ep^6-711902602410839/13996800000000*
      ep^7;
Fill mncT10(-3,7) = 1/200*ep-557/12000*ep^2+40553/240000*ep^3-
      4125511/14400000*ep^4+81009257/864000000*ep^5+34516542041/
      51840000000*ep^6-5845460301367/3110400000000*ep^7;
Fill mncT10(-2,7) = 1/1200*ep-89/24000*ep^2-5057/1440000*ep^3+
      3402559/86400000*ep^4-297978833/5184000000*ep^5-7537232129/
      311040000000*ep^6+3115335457423/18662400000000*ep^7;
Fill mncT10(-1,7) = 1/1200*ep-67/72000*ep^2-52171/4320000*ep^3+
      3702677/259200000*ep^4+700238501/15552000000*ep^5-57502321387/
      933120000000*ep^6-1677134252731/55987200000000*ep^7;
Fill mncT10(0,7) = 1/200*ep+143/12000*ep^2-42841/720000*ep^3-
      6769033/43200000*ep^4+281515271/2592000000*ep^5+70334313623/
      155520000000*ep^6+1834748783399/9331200000000*ep^7;
Fill mncT10(7,1) = -1/20-1/25*ep+17713/36000*ep^2+82091/240000*
      ep^3-48738953/129600000*ep^4+427746437/2592000000*ep^5-
      11004699857/466560000000*ep^6-260909559947/9331200000000*ep^7;
Fill mncT10(1,7) = -1/10-83/150*ep-3973/18000*ep^2+4308551/1080000
      *ep^3+632934263/64800000*ep^4+34727955719/3888000000*ep^5+
      671428228247/233280000000*ep^6-2152778192089/13996800000000*ep^7;
Fill mncT10(7,2) = -13/5-3/2*ep^-1+16009/1200*ep+1713467/72000*
      ep^2+5388271/4320000*ep^3-914192377/259200000*ep^4+25764655399/
      15552000000*ep^5-475059567913/933120000000*ep^6+5332305361831/
      55987200000000*ep^7;
Fill mncT10(2,7) = -41/5-3/2*ep^-1-1263/400*ep+465987/8000*ep^2+
      22952577/160000*ep^3+445571067/3200000*ep^4+3730168857/64000000*
      ep^5+8320258947/1280000000*ep^6-25069707663/25600000000*ep^7;
Fill mncT10(7,3) = -957/20-63/2*ep^-1+112243/400*ep+10355459/24000
      *ep^2+39466867/1440000*ep^3-820748029/86400000*ep^4-52688239277/
      5184000000*ep^5+5047121105699/311040000000*ep^6-329518026784013/
      18662400000000*ep^7;
Fill mncT10(3,7) = -591/5-63/2*ep^-1+48357/400*ep+7699887/8000*
      ep^2+229927077/160000*ep^3+2914218567/3200000*ep^4+15233331357/
      64000000*ep^5+13012446447/1280000000*ep^6-48530645163/25600000000
      *ep^7;
Fill mncT10(7,4) = -4991/10-294*ep^-1+760201/300*ep+40405069/9000*
      ep^2+276581461/270000*ep^3+34098109/8100000*ep^4-31522116779/
      243000000*ep^5+1038384247549/7290000000*ep^6-31364121813419/
      218700000000*ep^7;
Fill mncT10(4,7) = -9107/10-294*ep^-1+498149/300*ep+34741013/4500*
      ep^2+296389693/33750*ep^3+1083612773/253125*ep^4+3003598556/
      3796875*ep^5+1782598082/56953125*ep^6-17693419246/854296875*ep^7;
Fill mncT10(7,5) = -34601/10-1764*ep^-1+2884389/200*ep+557280473/
      18000*ep^2+2372481179/180000*ep^3+25064318153/16200000*ep^4-
      124218058181/162000000*ep^5+9440585906633/14580000000*ep^6-
      30654734745047/48600000000*ep^7;
Fill mncT10(5,7) = -49007/10-1764*ep^-1+850421/75*ep+760299527/
      18000*ep^2+43823276051/1080000*ep^3+1087265701763/64800000*ep^4+
      9074623643219/3888000000*ep^5+52946432915747/233280000000*ep^6-
      2990101848504589/13996800000000*ep^7;
Fill mncT10(7,6) = -356391/20-7938*ep^-1+302601/5*ep+25242353/160*
      ep^2+189122879/1920*ep^3+535864919/23040*ep^4-88343129/55296*ep^5
      +1285338523/663552*ep^6-15914843441/7962624*ep^7;
Fill mncT10(6,7) = -414603/20-7938*ep^-1+10807857/200*ep+720254637/
      4000*ep^2+12473875827/80000*ep^3+93453599817/1600000*ep^4+
      206943175107/32000000*ep^5+824875727697/640000000*ep^6-
      16195972051413/12800000000*ep^7;
Fill mncT10(7,7) = -1470819/20-29106*ep^-1+40709357/200*ep+
      7693396111/12000*ep^2+377114820443/720000*ep^3+8039414975059/
      43200000*ep^4+45909374983667/2592000000*ep^5+838138011830371/
      155520000000*ep^6-49490700725480077/9331200000000*ep^7;
Fill mncT10(-8,8) = 13421/15-168*ep^-1-5365907/2100*ep+479080783/
      94500*ep^2-15095688757/1890000*ep^3+403813110403/37800000*ep^4-
      29184665467961/2268000000*ep^5+216909210370823/15120000000*ep^6-
      17937657655875287/1166400000000*ep^7;
Fill mncT10(-7,8) = 977/10-14*ep^-1-1076489/3150*ep+50495891/63000
      *ep^2-1808941789/1260000*ep^3+160509345343/75600000*ep^4-
      4144890665747/1512000000*ep^5+876238390013767/272160000000*ep^6-
      306789898171261/86400000000*ep^7;
Fill mncT10(-6,8) = 353/70-1/2*ep^-1-86107/3600*ep+5200903/72000*
      ep^2-228739987/1440000*ep^3+23861797469/86400000*ep^4-
      696292338001/1728000000*ep^5+1125579800435627/2177280000000*ep^6-
      1255544281620923/2073600000000*ep^7;
Fill mncT10(-5,8) = 1/42-379/1260*ep+43399/25200*ep^2-9167693/
      1512000*ep^3+1366105291/90720000*ep^4-156453380117/5443200000*
      ep^5+14671220450779/326592000000*ep^6-169335072907139/
      2799360000000*ep^7;
Fill mncT10(-4,8) = 1/420*ep-101/4200*ep^2+24967/252000*ep^3-
      1045543/5040000*ep^4+159617923/907200000*ep^5+4446606433/
      18144000000*ep^6-530659892459/466560000000*ep^7;
Fill mncT10(-3,8) = 1/4200*ep-109/84000*ep^2+683/5040000*ep^3+
      171199/14400000*ep^4-507092773/18144000000*ep^5+4824724217/
      362880000000*ep^6+452666862509/9331200000000*ep^7;
Fill mncT10(-2,8) = 1/8400*ep-7/24000*ep^2-4979/3360000*ep^3+
      2574119/604800000*ep^4+1593769/576000000*ep^5-35029342489/
      2177280000000*ep^6+67288805083/6220800000000*ep^7;
Fill mncT10(-1,8) = 1/4200*ep+13/252000*ep^2-56531/15120000*ep^3-
      548003/907200000*ep^4+945051661/54432000000*ep^5+2733445693/
      3265920000000*ep^6-802749761813/27993600000000*ep^7;
Fill mncT10(0,8) = 1/420*ep+101/12600*ep^2-16957/756000*ep^3-
      4615741/45360000*ep^4-69750733/2721600000*ep^5+41921663171/
      163296000000*ep^6+439529975189/1399680000000*ep^7;
Fill mncT10(8,1) = -1/28-11/245*ep+841441/2469600*ep^2+140549527/
      345744000*ep^3-78460581929/435637440000*ep^4-119057887957/
      6776582400000*ep^5+4333167426208351/76846444416000000*ep^6-
      410287712663599453/10758502218240000000*ep^7;
Fill mncT10(1,8) = -1/14-9/20*ep-559/1200*ep^2+194473/72000*ep^3+
      39548249/4320000*ep^4+3093776137/259200000*ep^5+807404476367/
      108864000000*ep^6+1725199829353/933120000000*ep^7;
Fill mncT10(8,2) = -429/140-3/2*ep^-1+741721/58800*ep+76963479/
      2744000*ep^2+81887763001/10372320000*ep^3-6160336923403/
      1452124800000*ep^4+1295154979900681/1829677248000000*ep^5+
      39358375230671557/256154814720000000*ep^6-56475315896314779239/
      322755066547200000000*ep^7;
Fill mncT10(2,8) = -639/70-3/2*ep^-1-23221/2800*ep+9404347/168000*
      ep^2+1808749211/10080000*ep^3+139327252843/604800000*ep^4+
      5435434915259/36288000000*ep^5+102815332576267/2177280000000*ep^6
      +85547822813453/18662400000000*ep^7;
Fill mncT10(8,3) = -723/10-42*ep^-1+190459/525*ep+3999879/6125*
      ep^2+1606404113/11576250*ep^3-18966571957/810337500*ep^4-
      6990546924043/510512625000*ep^5+668899731827227/35735883750000*
      ep^6-418175338773746227/22513606762500000*ep^7;
Fill mncT10(3,8) = -1791/10-42*ep^-1+27859/350*ep+7153343/5250*
      ep^2+101471723/39375*ep^3+5250487699/2362500*ep^4+69188808181/
      70875000*ep^5+417392104039/2126250000*ep^6+72496587163/9112500000
      *ep^7;
Fill mncT10(8,4) = -4583/5-504*ep^-1+2976049/700*ep+3633118901/
      441000*ep^2+26640129587/10290000*ep^3+1404226137989/19448100000*
      ep^4-312289819072471/1361367000000*ep^5+186774011049303221/
      857661210000000*ep^6-12687236774553135719/60036284700000000*ep^7;
Fill mncT10(4,8) = -8891/5-504*ep^-1+4553953/2100*ep+454960141/
      31500*ep^2+4911347351/236250*ep^3+14142455467/1012500*ep^4+
      992017228511/212625000*ep^5+4449368188309/6378750000*ep^6-
      183295275247/27337500000*ep^7;
Fill mncT10(8,5) = -15261/2-3780*ep^-1+1708635/56*ep+160324043/
      2352*ep^2+1046272427/32928*ep^3+18358712195/4148928*ep^4-
      10404645445/6453888*ep^5+9435231606155/7318708992*ep^6-
      128926727934245/102461925888*ep^7;
Fill mncT10(5,8) = -23775/2-3780*ep^-1+2859667/140*ep+23847883/240
      *ep^2+2424900241/20160*ep^3+16526858893/241920*ep^4+7708831711/
      414720*ep^5+85445366581/34836480*ep^6-3269621077/11943936*ep^7;
Fill mncT10(8,6) = -187149/4-20790*ep^-1+44283219/280*ep+
      9735744713/23520*ep^2+34385651633/131712*ep^3+10575190295741/
      165957120*ep^4-1096338717877/309786624*ep^5+1178158555300417/
      234198687744*ep^6-34397839895131271/6557563256832*ep^7;
Fill mncT10(6,8) = -243381/4-20790*ep^-1+34826081/280*ep+
      8670420679/16800*ep^2+561756327107/1008000*ep^3+17090170665691/
      60480000*ep^4+238855334385083/3628800000*ep^5+1939963011438379/
      217728000000*ep^6-4196484063078739/1866240000000*ep^7;
Fill mncT10(8,7) = -2277627/10-91476*ep^-1+226386421/350*ep+
      584576884757/294000*ep^2+195459943419287/123480000*ep^3+
      28591792133478017/51861600000*ep^4+1079869635250403447/
      21781872000000*ep^5+165784336667979838577/9148386240000000*ep^6-
      67957703815844145893593/3842322220800000000*ep^7;
Fill mncT10(7,8) = -2560767/10-91476*ep^-1+403678357/700*ep+
      91955041481/42000*ep^2+5533074324853/2520000*ep^3+156314232405389/
      151200000*ep^4+1952097820330957/9072000000*ep^5+17483205627194141/
      544320000000*ep^6-56218980835830581/4665600000000*ep^7;
Fill mncT10(8,8) = -32429661/35-339768*ep^-1+10790696937/4900*ep+
      2046677027189/257250*ep^2+91578785899761/12005000*ep^3+
      77932951717863967/22689450000*ep^4+1055840020003157587/
      1588261500000*ep^5+109702578792907159663/1000604745000000*ep^6-
      3481171676667212532157/70042332150000000*ep^7;
Fill mncT10(-8,9) = 18821/140-18*ep^-1-9853007/19600*ep+3884669153/
      3087000*ep^2-2070710348593/864360000*ep^3+452764837013729/
      121010400000*ep^4-257078603825378861/50824368000000*ep^5+
      14614294203089176661/2371803840000000*ep^6-
      62585603242255485696341/8965418515200000000*ep^7;
Fill mncT10(-7,9) = 1487/280-1/2*ep^-1-4705693/176400*ep+
      1057264877/12348000*ep^2-346281904531/1728720000*ep^3+
      268482022992979/726062400000*ep^4-57934097867516537/
      101648736000000*ep^5+98177828136758401699/128077407360000000*ep^6
      -5573394919295133816899/5976945676800000000*ep^7;
Fill mncT10(-6,9) = 1/56-463/1960*ep+7054603/4939200*ep^2-
      1232361283/230496000*ep^3+1372388471947/96808320000*ep^4-
      1175386471449923/40659494400000*ep^5+273864823328300969/
      5692329216000000*ep^6-491369413834298328563/7172334812160000000*
      ep^7;
Fill mncT10(-5,9) = 1/784*ep-2263/164640*ep^2+1428971/23049600*
      ep^3-1443954119/9680832000*ep^4+725260343671/4065949440000*ep^5+
      82188214853761/1707698764800000*ep^6-487666924163719049/
      717233481216000000*ep^7;
Fill mncT10(-4,9) = 1/11760*ep-437/823200*ep^2+150043/345744000*
      ep^3+198757571/48404160000*ep^4-812570541017/60989241600000*ep^5+
      115819034717851/8538493824000000*ep^6+121603271554048423/
      10758502218240000000*ep^7;
Fill mncT10(-3,9) = 1/39200*ep-1439/16464000*ep^2-573283/
      2304960000*ep^3+1163405147/968083200000*ep^4-159267256723/
      406594944000000*ep^5-637601591075893/170769876480000000*ep^6+
      417647825841640637/71723348121600000000*ep^7;
Fill mncT10(-2,9) = 1/39200*ep-153/5488000*ep^2-303141/768320000*
      ep^3+446130407/968083200000*ep^4+235332367979/135531648000000*
      ep^5-401344876433833/170769876480000000*ep^6-5900576673582589/
      2656420300800000000*ep^7;
Fill mncT10(-1,9) = 1/11760*ep+257/2469600*ep^2-1351993/1037232000
      *ep^3-679414663/435637440000*ep^4+1056611141567/182967724800000*
      ep^5+502580460411497/76846444416000000*ep^6-289569977668393873/
      32275506654720000000*ep^7;
Fill mncT10(0,9) = 1/784*ep+291/54880*ep^2-196163/23049600*ep^3-
      616218973/9680832000*ep^4-235493357243/4065949440000*ep^5+
      208487366284787/1707698764800000*ep^6+198243350526018517/
      717233481216000000*ep^7;
Fill mncT10(9,1) = -3/112-1371/31360*ep+6431963/26342400*ep^2+
      2966087647/7375872000*ep^3-611577766213/18587197440000*ep^4-
      132891842895899/1734805094400000*ep^5+593820769327621163/
      13115126513664000000*ep^6-48167021090694550753/
      3672235423825920000000*ep^7;
Fill mncT10(1,9) = -3/56-729/1960*ep-312307/548800*ep^2+411281683/
      230496000*ep^3+789265539653/96808320000*ep^4+547737213033523/
      40659494400000*ep^5+198989510150684693/17076987648000000*ep^6+
      38525159393942520163/7172334812160000000*ep^7;
Fill mncT10(9,2) = -1941/560-3/2*ep^-1+5574893/470400*ep+
      1384537139/43904000*ep^2+4946688512957/331914240000*ep^3-
      290639078154967/92935987200000*ep^4-134149663854043507/
      234198687744000000*ep^5+34519055112763577017/65575632568320000000
      *ep^6-31499534201019882113443/165250594072166400000000*ep^7;
Fill mncT10(2,9) = -2781/280-3/2*ep^-1-259297/19600*ep+52749191/
      1029000*ep^2+45208808453/216090000*ep^3+3723811897181/11344725000
      *ep^4+663357839735273/2382392250000*ep^5+66924156611102909/
      500302372500000*ep^6+3526590809069974697/105063498225000000*ep^7;
Fill mncT10(9,3) = -3606/35-54*ep^-1+8832897/19600*ep+15295528679/
      16464000*ep^2+1480090671851/4609920000*ep^3-216275657823529/
      11616998400000*ep^4-79790911767110501/3252759552000000*ep^5+
      178558123530582551879/8196954071040000000*ep^6-
      4857161426003038109261/255016348876800000000*ep^7;
Fill mncT10(3,9) = -35673/140-54*ep^-1-64347/19600*ep+153855913/
      85750*ep^2+296173542391/72030000*ep^3+33238587150539/7563150000*
      ep^4+4145231326795487/1588261500000*ep^5+289258925694605171/
      333534915000000*ep^6+9922414780401535943/70042332150000000*ep^7;
Fill mncT10(9,4) = -11007/7-810*ep^-1+5227599/784*ep+619210523/
      43904*ep^2+41651662777/7375872*ep^3+489208925459/1239146496*ep^4-
      81859576744847/208176611328*ep^5+10789518441547451/34973670703104
      *ep^6-1705160030740618583/5875576678121472*ep^7;
Fill mncT10(4,9) = -88875/28-810*ep^-1+9252927/3920*ep+168366909/
      6860*ep^2+8166579979/192080*ep^3+144167672767/4033680*ep^4+
      562192184635/33882912*ep^5+6042881296211/1423082304*ep^6+
      143557466008487/298847283840*ep^7;
Fill mncT10(9,5) = -108615/7-7425*ep^-1+92424603/1568*ep+
      36431450201/263424*ep^2+1051649748017/14751744*ep^3+
      88092329320049/7434878976*ep^4-414528826232413/138784407552*ep^5+
      479329505174651561/209842024218624*ep^6-26507510653628314271/
      11751153356242944*ep^7;
Fill mncT10(5,9) = -1448565/56-7425*ep^-1+12607711/392*ep+
      68703347107/329280*ep^2+8372383405609/27659520*ep^3+
      500539948415827/2323399680*ep^4+16253187395221297/195165573120*
      ep^5+58469446302619391/3278781628416*ep^6+1690638188191429993/
      1377088283934720*ep^7;
Fill mncT10(9,6) = -3127311/28-49005*ep^-1+2898678549/7840*ep+
      433169530321/439040*ep^2+47397954971827/73758720*ep^3+
      2054240925109729/12391464960*ep^4-2252571502338001/416353222656*
      ep^5+791889372334040933/69947341406208*ep^6-140895507744038441929/
      11751153356242944*ep^7;
Fill mncT10(6,9) = -8845353/56-49005*ep^-1+61371918/245*ep+
      715102622253/548800*ep^2+128719613722761/76832000*ep^3+
      11393633670678117/10756480000*ep^4+536420721540120849/
      1505907200000*ep^5+14455100435858111853/210827008000000*ep^6+
      34989323864128121241/29515781120000000*ep^7;
Fill mncT10(9,7) = -22145607/35-254826*ep^-1+35373882351/19600*ep+
      30313548935039/5488000*ep^2+20203931885697673/4609920000*ep^3+
      5933616533636271311/3872332800000*ep^4+462091977884877380377/
      3252759552000000*ep^5+142769850251436137231039/
      2732318023680000000*ep^6-114999667913715451701923927/
      2295147139891200000000*ep^7;
Fill mncT10(7,9) = -109180863/140-254826*ep^-1+27831938271/19600*
      ep+4471028447173/686000*ep^2+1110743856904309/144060000*ep^3+
      135627586834713397/30252600000*ep^4+8622826680259950451/
      6353046000000*ep^5+331428982993570252933/1334139660000000*ep^6-
      2764334514498136420061/280169328600000000*ep^7;
Fill mncT10(9,8) = -103963002/35-1104246*ep^-1+20313977223/2800*ep
      +8587525177223/336000*ep^2+107219196240447/4480000*ep^3+
      50977876717066823/4838400000*ep^4+380601667803088541/193536000000
      *ep^5+24216309750942584423/69672960000000*ep^6-
      67745705206734496037/398131200000000*ep^7;
Fill mncT10(8,9) = -457261233/140-1104246*ep^-1+126658602561/19600
      *ep+56612672242069/2058000*ep^2+1477059000503353/48020000*ep^3+
      1532380088383876441/90757800000*ep^4+30091840120792481701/
      6353046000000*ep^5+3421671162113760915049/4002418980000000*ep^6-
      22217690250163259388811/280169328600000000*ep^7;
Fill mncT10(9,9) = -47947185/4-8281845/2*ep^-1+78174883767/3136*ep
      +445278263627459/4390400*ep^2+403289285860381253/3687936000*ep^3+
      179134080933423547571/3097866240000*ep^4+40107079404902794050197/
      2602207641600000*ep^5+6107288872524948039063779/
      2185854418944000000*ep^6-685704216791215900749886747/
      1836117711912960000000*ep^7;
Fill mncT10(-8,10) = 6989/1260-1/2*ep^-1-6874309/235200*ep+
      175474596593/1778112000*ep^2-40347144664961/165957120000*ep^3+
      21937483398922691/46467993600000*ep^4-89336945333212051889/
      117099343872000000*ep^5+35085719900476817652659/
      32787816284160000000*ep^6-111398552218190238818205761/
      82625297036083200000000*ep^7;
Fill mncT10(-7,10) = 1/72-1283/6720*ep+61341419/50803200*ep^2-
      67601682689/14224896000*ep^3+52947380677859/3982970880000*ep^4-
      95773519477036187/3345695539200000*ep^5+15683463115995200699/
      312264916992000000*ep^6-177211256299512571378763/
      2360722772459520000000*ep^7;
Fill mncT10(-6,10) = 1/1344*ep-3179/376320*ep^2+38770049/948326400
      *ep^3-9635223953/88510464000*ep^4+11802258330329/74348789760000*
      ep^5-2684367045608897/62452983398400000*ep^6-6977200904146404893/
      17486835351552000000*ep^7;
Fill mncT10(-5,10) = 1/28224*ep-5797/23708160*ep^2+2202023/
      6638284800*ep^3+8689170961/5576159232000*ep^4-31132238888473/
      4683973754880000*ep^5+37603929719849089/3934537954099200000*ep^6+
      431369864061302423/3305011881443328000000*ep^7;
Fill mncT10(-4,10) = 1/141120*ep-3529/118540800*ep^2-540767/
      11063808000*ep^3+10661942293/27880796160000*ep^4-8911337124349/
      23419868774400000*ep^5-17419482824261243/19672689770496000000*
      ep^6+39518875187540435699/16525059407216640000000*ep^7;
Fill mncT10(-3,10) = 1/235200*ep-1723/197568000*ep^2-3323987/
      55319040000*ep^3+6428460691/46467993600000*ep^4+7694842432037/
      39033114624000000*ep^5-21138442578435341/32787816284160000000*
      ep^6+2341869361670715413/27541765678694400000000*ep^7;
Fill mncT10(-2,10) = 1/141120*ep-19/39513600*ep^2-1286911/
      11063808000*ep^3+395635669/27880796160000*ep^4+4644027020161/
      7806622924800000*ep^5-2638518242353019/19672689770496000000*ep^6-
      6644799141814715311/5508353135738880000000*ep^7;
Fill mncT10(-1,10) = 1/28224*ep+569/7902720*ep^2-3349369/
      6638284800*ep^3-6050070703/5576159232000*ep^4+8556135083879/
      4683973754880000*ep^5+18148054426221953/3934537954099200000*ep^6-
      4264210082224378729/3305011881443328000000*ep^7;
Fill mncT10(0,10) = 1/1344*ep+1349/376320*ep^2-909109/316108800*
      ep^3-10682456563/265531392000*ep^4-13079587690741/223046369280000
      *ep^5+8749090485127613/187358950195200000*ep^6+
      32503393345138352891/157381518163968000000*ep^7;
Fill mncT10(10,1) = -1/48-4913/120960*ep+54821267/304819200*ep^2+
      287421825007/768144384000*ep^3+129457437294347/1935723847680000*
      ep^4-380383365844061513/4878024096153600000*ep^5+
      225517466029775449427/12292620722307072000000*ep^6+
      88358252242638620723167/30977404220213821440000000*ep^7;
Fill mncT10(1,10) = -1/24-2099/6720*ep-3411341/5644800*ep^2+
      5367611413/4741632000*ep^3+28254903745891/3982970880000*ep^4+
      46982106507854437/3345695539200000*ep^5+42428380840954381459/
      2810384252928000000*ep^6+22575907208684427993013/
      2360722772459520000000*ep^7;
Fill mncT10(10,2) = -3209/840-3/2*ep^-1+23449001/2116800*ep+
      183663936121/5334336000*ep^2+295519349213141/13442526720000*ep^3-
      16723146461182439/33875167334400000*ep^4-139225311874684347619/
      85365421682688000000*ep^5+113231580706386659715601/
      215120862640373760000000*ep^6-37266360896608344329084779/
      542104573853741875200000000*ep^7;
Fill mncT10(2,10) = -4469/420-3/2*ep^-1-4223269/235200*ep+
      8846797177/197568000*ep^2+38689293302239/165957120000*ep^3+
      59709391783310473/139403980800000*ep^4+51332799820998824911/
      117099343872000000*ep^5+26815487340198562455577/
      98363448852480000000*ep^6+8475835126447542394197439/
      82625297036083200000000*ep^7;
Fill mncT10(10,3) = -7863/56-135/2*ep^-1+5105869/9408*ep+
      5979475273/4741632*ep^2+1404672849793/2389782528*ep^3+
      25182200308273/1204450394112*ep^4-24400676646773807/
      607042998632448*ep^5+7116043446678299473/305949671310753792*ep^6-
      2870012866245748234607/154198634340619911168*ep^7;
Fill mncT10(3,10) = -4845/14-135/2*ep^-1-2120191/15680*ep+
      392726021/175616*ep^2+893381947379/147517440*ep^3+189024874192657/
      24782929920*ep^4+23238823471233947/4163532226560*ep^5+
      348695151341187701/139894682812416*ep^6+77695203471321026051/
      117511533562429440*ep^7;
Fill mncT10(10,4) = -142895/56-2475/2*ep^-1+279921139/28224*ep+
      324527671543/14224896*ep^2+79228822515679/7169347584*ep^3+
      4736815497678319/3613351182336*ep^4-1128953117831145521/
      1821128995897344*ep^5+369173183346962999119/917849013932261376*
      ep^6-174434960410436146996721/462595903021859733504*ep^7;
Fill mncT10(4,10) = -148145/28-2475/2*ep^-1+5844233/3136*ep+
      102041943371/2634240*ep^2+34685940027097/442552320*ep^3+
      5810307829273907/74348789760*ep^4+567484189539766993/
      12490596679680*ep^5+6715137669136815967/419684048437248*ep^6+
      228604495222090732853/70506920137457664*ep^7;
Fill mncT10(10,5) = -1652695/56-27225/2*ep^-1+2991229469/28224*ep+
      3731016922625/14224896*ep^2+1070807836572329/7169347584*ep^3+
      106428276085837625/3613351182336*ep^4-8696857836147578215/
      1821128995897344*ep^5+3373460800981843580825/917849013932261376*
      ep^6-1729606182036043603019815/462595903021859733504*ep^7;
Fill mncT10(5,10) = -2895365/56-27225/2*ep^-1+137893873/3136*ep+
      351913867217/878080*ep^2+6644184374413/9834496*ep^3+
      1574369597037737/2753658880*ep^4+8634850111386637/30840979456*
      ep^5+714451286287142393/8635474247680*ep^6+1278030556118875837/
      96717311574016*ep^7;
Fill mncT10(10,6) = -13805781/56-212355/2*ep^-1+37220066537/47040*
      ep+51518379298877/23708160*ep^2+17681366933446277/11948912640*
      ep^3+2462941888380796757/6022251970560*ep^4-1155889915078838159/
      607042998632448*ep^5+7017711542785441542001/305949671310753792*
      ep^6-3816886375815773701957199/154198634340619911168*ep^7;
Fill mncT10(6,10) = -10411467/28-212355/2*ep^-1+7007897301/15680*
      ep+13054357748157/4390400*ep^2+5432640205465833/1229312000*ep^3+
      1141773110158691877/344207360000*ep^4+137203192797278262513/
      96378060800000*ep^5+9999875366138777072397/26985857024000000*ep^6
      +347019107856932119086393/7556039966720000000*ep^7;
Fill mncT10(10,7) = -64298663/40-1288287/2*ep^-1+65399895179/14400
      *ep+72673731308677/5184000*ep^2+21008503589356631/1866240000*ep^3
      +2699732995940530693/671846400000*ep^4+98615194279443444479/
      241864704000000*ep^5+11762192716430678550637/87071293440000000*
      ep^6-3936235367065451168536489/31345665638400000000*ep^7;
Fill mncT10(7,10) = -10657361/5-1288287/2*ep^-1+104096074001/33600
      *ep+70010581183721/4032000*ep^2+11415336636644921/483840000*ep^3+
      941071217126100521/58060800000*ep^4+43764869471914228121/
      6967296000000*ep^5+1252640386513257715721/836075520000000*ep^6+
      13595190437829122963321/100329062400000000*ep^7;
Fill mncT10(10,8) = -68961035/8-6441435/2*ep^-1+85716427777/4032*
      ep+538624877659483/7257600*ep^2+180099386375368169/2612736000*
      ep^3+28379320048858941307/940584960000*ep^4+
      1897053674504596395521/338610585600000*ep^5+
      124876117988309979049363/121899810816000000*ep^6-
      3169489713348615490209073/6269133127680000000*ep^7;
Fill mncT10(8,10) = -40973075/4-6441435/2*ep^-1+22478238109/1344*
      ep+476548217134259/5644800*ep^2+510156069130971413/4741632000*
      ep^3+275923509539915048291/3982970880000*ep^4+
      83099258828924445467237/3345695539200000*ep^5+
      15732987929701618611111059/2810384252928000000*ep^6+
      780045112614771628625420213/2360722772459520000000*ep^7;
Fill mncT10(10,9) = -315660345/8-13803075*ep^-1+99248819645/1176*
      ep+991879090289449/2963520*ep^2+263813554159185809/746807040*ep^3
      +34403361676341944641/188195374080*ep^4+2243502897931080551873/
      47425234268160*ep^5+20719689617263108883405/2390231807115264*ep^6
      -4149982916295543386704447/3011692076965232640*ep^7;
Fill mncT10(9,10) = -85433205/2-13803075*ep^-1+117761275265/1568*
      ep+467167231082219/1317120*ep^2+95619206829958873/221276160*ep^3+
      9875467238318703923/37174394880*ep^4+561612840013743600337/
      6245298339840*ep^5+4110489028015557580639/209842024218624*ep^6+
      21780500082750423668021/35253460068728832*ep^7;
Fill mncT10(10,10) = -3802934135/24-52144950*ep^-1+12362003265215/
      42336*ep+141030167154691039/106686720*ep^2+16799338215122256935/
      10754021376*ep^3+25215345288750461743819/27100133867520*ep^4+
      826552886737401492355103/2731693493846016*ep^5+
      445334968453485106062533371/6883867604491960320*ep^6+
      446053749877384182139257983/693893854532789600256*ep^7;
Fill mncT10(-8,11) = 1/90-2983/18900*ep+98763821/95256000*ep^2-
      1021805644019/240045120000*ep^3+7533988148916401/604913702400000*
      ep^4-42808919586546751979/1524382530048000000*ep^5+
      198015866639623367928041/3841443975720960000000*ep^6-
      777999197524334532491679539/9680438818816819200000000*ep^7;
Fill mncT10(-7,11) = 1/2160*ep-29881/5443200*ep^2+385848811/
      13716864000*ep^3-2801327199049/34566497280000*ep^4+
      11785301188935571/87107573145600000*ep^5-18219423237817677409/
      219511084326912000000*ep^6-124467450922252274733989/
      553167932503818240000000*ep^7;
Fill mncT10(-6,11) = 1/60480*ep-18811/152409600*ep^2+84849841/
      384072192000*ep^3+607027586021/967861923840000*ep^4-
      8519480743133159/2439012048076800000*ep^5+38635808219919179261/
      6146310361153536000000*ep^6-43413438778542524851919/
      15488702110106910720000000*ep^7;
Fill mncT10(-5,11) = 1/423360*ep-12211/1066867200*ep^2-25730759/
      2688505344000*ep^3+925209884621/6775033466880000*ep^4-
      3603759443182559/17073084336537600000*ep^5-8413757889657618139/
      43024172528074752000000*ep^6+104934056452432102162681/
      108420914770748375040000000*ep^7;
Fill mncT10(-4,11) = 1/1058400*ep-7087/2667168000*ep^2-78661427/
      6721263360000*ep^3+686454642833/16937583667200000*ep^4+
      767730756410293/42682710841344000000*ep^5-18357029460213437047/
      107560431320186880000000*ep^6+36690520557972323224813/
      271052286926870937600000000*ep^7;
Fill mncT10(-3,11) = 1/1058400*ep-2551/2667168000*ep^2-102108011/
      6721263360000*ep^3+279359306969/16937583667200000*ep^4+
      3129650069654749/42682710841344000000*ep^5-9875404779185517871/
      107560431320186880000000*ep^6-33208897607613270014891/
      271052286926870937600000000*ep^7;
Fill mncT10(-2,11) = 1/423360*ep+1901/1066867200*ep^2-103904183/
      2688505344000*ep^3-184249511683/6775033466880000*ep^4+
      3380066029787857/17073084336537600000*ep^5+5133489198957426197/
      43024172528074752000000*ep^6-45258078255907377272663/
      108420914770748375040000000*ep^7;
Fill mncT10(-1,11) = 1/60480*ep+6821/152409600*ep^2-81296063/
      384072192000*ep^3-641704324843/967861923840000*ep^4+
      1206466912957897/2439012048076800000*ep^5+16564241219862445037/
      6146310361153536000000*ep^6+14117646285298182506977/
      15488702110106910720000000*ep^7;
Fill mncT10(0,11) = 1/2160*ep+13571/5443200*ep^2-6904313/
      13716864000*ep^3-897058600093/34566497280000*ep^4-
      4423491518982353/87107573145600000*ep^5+1592967696756799787/
      219511084326912000000*ep^6+79382876592639322056727/
      553167932503818240000000*ep^7;
Fill mncT10(11,1) = -1/60-2803/75600*ep+25795597/190512000*ep^2+
      163113470717/480090240000*ep^3+159430936342297/1209827404800000*
      ep^4-169199639758710643/3048765060096000000*ep^5-
      24334098127236258143/7682887951441920000000*ep^6+
      156868321548451747267877/19360877637633638400000000*ep^7;
Fill mncT10(1,11) = -1/30-5029/18900*ep-57716941/95256000*ep^2+
      159240526339/240045120000*ep^3+3691181490029519/604913702400000*
      ep^4+21373109934989204299/1524382530048000000*ep^5+
      68000783440139167402679/3841443975720960000000*ep^6+
      133907711344935810485096659/9680438818816819200000000*ep^7;
Fill mncT10(11,2) = -695/168-3/2*ep^-1+4363337/423360*ep+
      39319215001/1066867200*ep^2+77915252986373/2688505344000*ep^3+
      22826251529617129/6775033466880000*ep^4-36848346550613700883/
      17073084336537600000*ep^5+10506186835439695700641/
      43024172528074752000000*ep^6+7863906062347364743829093/
      108420914770748375040000000*ep^7;
Fill mncT10(2,11) = -947/84-3/2*ep^-1-47582173/2116800*ep+
      39463575743/1066867200*ep^2+135340986357023/537701068800*ep^3+
      142999934290618463/271001338675200*ep^4+85190339978941982879/
      136584674692300800*ep^5+32055839565992402551007/
      68838676044919603200*ep^6+7822298923485254475172127/
      34694692726639480012800*ep^7;
Fill mncT10(11,3) = -31043/168-165/2*ep^-1+53978935/84672*ep+
      352113060983/213373440*ep^2+511515665897179/537701068800*ep^3+
      152521053416305367/1355006693376000*ep^4-187941637697476000109/
      3414616867307520000*ep^5+184007962285687953589343/
      8604834505614950400000*ep^6-377277510860990402737705061/
      21684182954149675008000000*ep^7;
Fill mncT10(3,11) = -38099/84-165/2*ep^-1-136815743/423360*ep+
      2844733150577/1066867200*ep^2+4523973036631889/537701068800*ep^3+
      655973995320613789/54200267735040*ep^4+1416714443805753126353/
      136584674692300800*ep^5+391646519642574381791633/
      68838676044919603200*ep^6+69940611327950397573551441/
      34694692726639480012800*ep^7;
Fill mncT10(11,4) = -332233/84-1815*ep^-1+598377533/42336*ep+
      3757037860813/106686720*ep^2+5352935617429529/268850534400*ep^3+
      2281322911479014317/677503346688000*ep^4-1459953910168471909759/
      1707308433653760000*ep^5+2058785213607037215749893/
      4302417252807475200000*ep^6-5099657295993107842787519911/
      10842091477074837504000000*ep^7;
Fill mncT10(4,11) = -175472/21-1815*ep^-1+35881667/211680*ep+
      30748899134287/533433600*ep^2+35928138807539647/268850534400*ep^3
      +20712991861692531967/135500669337600*ep^4+7186965012135524825407/
      68292337346150400*ep^5+1592346892099232646687103/
      34419338022459801600*ep^6+224739901537423163834730943/
      17347346363319740006400*ep^7;
Fill mncT10(11,5) = -1114696/21-23595*ep^-1+7610475203/42336*ep+
      50154246537319/106686720*ep^2+79064175176573507/268850534400*ep^3
      +45991975535151546511/677503346688000*ep^4-
      10434116990387834001397/1707308433653760000*ep^5+
      23457332325816547259148919/4302417252807475200000*ep^6-
      63397621281142131297418543213/10842091477074837504000000*ep^7;
Fill mncT10(5,11) = -2027036/21-23595*ep^-1+10550628071/211680*ep+
      382191477188131/533433600*ep^2+369644358490164691/268850534400*
      ep^3+181283953667307543571/135500669337600*ep^4+
      53397832522132560313171/68292337346150400*ep^5+
      10003298602086093165717139/34419338022459801600*ep^6+
      1165596056921600334031143379/17347346363319740006400*ep^7;
Fill mncT10(11,6) = -61149517/120-429429/2*ep^-1+13613972267/8640*
      ep+13932506091133/3110400*ep^2+3592823502015887/1119744000*ep^3+
      385575907098535693/403107840000*ep^4+3525057088196435927/
      145118822400000*ep^5+2253132106235551947253/52242776064000000*
      ep^6-889386987033818223929233/18807399383040000000*ep^7;
Fill mncT10(6,11) = -48498307/60-429429/2*ep^-1+213368937539/
      302400*ep+680110812894301/108864000*ep^2+412247253965058503/
      39191040000*ep^3+128056575416098171909/14108774400000*ep^4+
      23725830787419442736927/5079158784000000*ep^5+
      2792253000326649470314381/1828497162240000000*ep^6+
      196215447948845307783973943/658258978406400000000*ep^7;
Fill mncT10(11,7) = -454671217/120-3006003/2*ep^-1+453803246797/
      43200*ep+513008082469091/15552000*ep^2+151600988117747233/
      5598720000*ep^3+20122105332211370339/2015539200000*ep^4+
      829037813120501883577/725594112000000*ep^5+
      84579288779838797709371/261213880320000000*ep^6-
      26892687314390055647490527/94036996915200000000*ep^7;
Fill mncT10(7,11) = -63946883/12-3006003/2*ep^-1+52265011207/8640*
      ep+4595590708720531/108864000*ep^2+2533732928743842953/
      39191040000*ep^3+718565673469209383659/14108774400000*ep^4+
      120464974507146896768177/5079158784000000*ep^5+
      12865562988619306730108131/1828497162240000000*ep^6+
      769103068517886285205255193/658258978406400000000*ep^7;
Fill mncT10(11,8) = -138065213/6-8588580*ep^-1+213988583759/3780*
      ep+26947564877509/136080*ep^2+4518904460831059/24494400*ep^3+
      51207493612844839/629856000*ep^4+12212122206869666611/
      793618560000*ep^5+404799878141729870377/142851340800000*ep^6-
      4929237873428505295523/3673320192000000*ep^7;
Fill mncT10(8,11) = -174914311/6-8588580*ep^-1+58584887341/1512*ep
      +1117512624081499/4762800*ep^2+12569348681479957/37507050*ep^3+
      931466938017312119/3780710640*ep^4+126322109467239217313/
      1190923851600*ep^5+4394726467741394373527/150056405301600*ep^6+
      78173190313954830050351/18907107068001600*ep^7;
Fill mncT10(11,9) = -711222941/6-41715960*ep^-1+27187619711459/
      105840*ep+13423731181540013/13335840*ep^2+17674445119541932403/
      16803158400*ep^3+11417546561952476709707/21171979584000*ep^4+
      3680501651527177817612543/26676694275840000*ep^5+
      859542504648370615833933707/33612634787558400000*ep^6-
      183057005915261028115237716457/42351919832323584000000*ep^7;
Fill mncT10(9,11) = -823160767/6-41715960*ep^-1+267122732792/1323*
      ep+148818229211776489/133358400*ep^2+101766492137102355589/
      67212633600*ep^3+35798928364277483612869/33875167334400*ep^4+
      7309897940069565641496709/17073084336537600*ep^5+
      966063287098048046246248261/8604834505614950400*ep^6+
      58342474774526044274575494661/4336836590829935001600*ep^7;
Fill mncT10(11,10) = -4260859889/8-177292830*ep^-1+23753750986661/
      23520*ep+17606658116384629/3951360*ep^2+17143622870403304879/
      3319142400*ep^3+8408206414437821960449/2788079616000*ep^4+
      2239309657180344086391559/2341986877440000*ep^5+
      398818946250512397684399169/1967268977049600000*ep^6-
      1584236737493664115321433321/1652505940721664000000*ep^7;
Fill mncT10(10,11) = -13680863339/24-177292830*ep^-1+
      38005785613247/42336*ep+2490969586314773063/533433600*ep^2+
      1641181361023284690443/268850534400*ep^3+555663866815082112073523/
      135500669337600*ep^4+108382597449269825006838083/
      68292337346150400*ep^5+13819434287444002085267645987/
      34419338022459801600*ep^6+711261041041247135848387385507/
      17347346363319740006400*ep^7;
Fill mncT10(11,11) = -255870487873/120-673712754*ep^-1+
      3717632559324581/1058400*ep+9361780383259151417/533433600*ep^2+
      30042689176631391499321/1344252672000*ep^3+
      49495027492907968295088533/3387516733440000*ep^4+
      46699917602231609182968110809/8536542168268800000*ep^5+
      29075766895976422924049622913757/21512086264037376000000*ep^6+
      6473146130635502169105811795761361/54210457385374187520000000*
      ep^7;
Fill mncT10(-8,12) = 1/3300*ep-323/86625*ep^2+69997517/3492720000*
      ep^3-541675360463/8801654400000*ep^4+229144535808847/
      2016379008000000*ep^5-5472807969270214823/55894026101760000000*
      ep^6-16361940468316167910723/140852945776435200000000*ep^7;
Fill mncT10(-7,12) = 1/118800*ep-1823/27216000*ep^2+108752887/
      754427520000*ep^3+491354181107/1901157350400000*ep^4-
      9225015362994113/4790916523008000000*ep^5+4502951989418644177/
      1097555421634560000000*ep^6-96077290063473594440153/
      30424236287710003200000000*ep^7;
Fill mncT10(-6,12) = 1/1108800*ep-13603/2794176000*ep^2-734533/
      640120320000*ep^3+952886468957/17744135270400000*ep^4-
      4906407083349263/44715220881408000000*ep^5-2789274070316096203/
      112682356621148160000000*ep^6+114138860656743037242697/
      283959538685293363200000000*ep^7;
Fill mncT10(-5,12) = 1/3880800*ep-8683/9779616000*ep^2-66525023/
      24644632320000*ep^3+805939554197/62104473446400000*ep^4-
      391263152949623/156503273084928000000*ep^5-18999643844695786963/
      394388248174018560000000*ep^6+66475304894396382575137/
      993858385398526771200000000*ep^7;
Fill mncT10(-4,12) = 1/5821200*ep-4441/14669424000*ep^2-96175301/
      36966948480000*ep^3+469228417799/93156710169600000*ep^4+
      2488971292248739/234754909627392000000*ep^5-15451588024629085201/
      591582372261027840000000*ep^6-11151731416867310466581/
      1490787578097790156800000000*ep^7;
Fill mncT10(-3,12) = 1/3880800*ep-41/889056000*ep^2-106724231/
      24644632320000*ep^3+62855797229/62104473446400000*ep^4+
      3641178156133249/156503273084928000000*ep^5-3077236042107939451/
      394388248174018560000000*ep^6-51685480205179303695911/
      993858385398526771200000000*ep^7;
Fill mncT10(-2,12) = 1/1108800*ep+3629/2794176000*ep^2-100147511/
      7041323520000*ep^3-363018034051/17744135270400000*ep^4+
      3012470666418769/44715220881408000000*ep^5+10899726173001035669/
      112682356621148160000000*ep^6-34774104735344390520791/
      283959538685293363200000000*ep^7;
Fill mncT10(-1,12) = 1/118800*ep+8279/299376000*ep^2-71038061/
      754427520000*ep^3-758177992801/1901157350400000*ep^4+
      244899530397019/4790916523008000000*ep^5+18128969336737222919/
      12073109637980160000000*ep^6+38694878585981736463459/
      30424236287710003200000000*ep^7;
Fill mncT10(0,12) = 1/3300*ep+1853/1039500*ep^2+5156797/
      10478160000*ep^3-451433421823/26404963200000*ep^4-
      2774848014981563/66540507264000000*ep^5-2070293525465074663/
      167682078305280000000*ep^6+40241404600623621079357/
      422558837329305600000000*ep^7;
Fill mncT10(12,1) = -3/220-34193/1016400*ep+2922536677/28174608000
      *ep^2+238579746368167/781000133760000*ep^3+3739048610944571017/
      21649323707827200000*ep^4-15103903830115276445153/
      600119253180969984000000*ep^5-256835387289382491826212983/
      16635305698176487956480000000*ep^6+
      3305814688144472379000420522607/461130673953452246153625600000000
      *ep^7;
Fill mncT10(1,12) = -3/110-241/1050*ep-1250443/2116800*ep^2+
      1722580777/5334336000*ep^3+70125286249421/13442526720000*ep^4+
      462355226534596033/33875167334400000*ep^5+1670558151792982802309/
      85365421682688000000*ep^6+3839915420485620715751257/
      215120862640373760000000*ep^7;
Fill mncT10(12,2) = -40871/9240-3/2*ep^-1+2444898649/256132800*ep+
      276180027326659/7100001216000*ep^2+7048010931067706749/
      196812033707520000*ep^3+44834336438480704988779/
      5455629574372454400000*ep^4-301849728471382259037721571/
      151230051801604435968000000*ep^5-757523228318762921976657512261/
      4192097035940474965032960000000*ep^6+1874642909758305839379050067\
      9390829/116204929836269966030713651200000000*ep^7;
Fill mncT10(2,12) = -54731/4620-3/2*ep^-1-624205919/23284800*ep+
      331241216413/11735539200*ep^2+7851097080953393/29573558784000*
      ep^3+46534942229280826549/74525368135680000*ep^4+
      155735998288188879541577/187803927701913600000*ep^5+
      336985299783204962621714221/473265897808822272000000*ep^6+
      492131805851730039903510934433/1192630062478232125440000000*ep^7;
Fill mncT10(12,3) = -33101/140-99*ep^-1+2847185989/3880800*ep+
      225607387665199/107575776000*ep^2+4243440341920449889/
      2982000510720000*ep^3+22697138351294186493319/
      82661054157158400000*ep^4-138764898356974114705523231/
      2291364421236430848000000*ep^5+978447897009226901865079605079/
      63516621756673863106560000000*ep^6-281455453647009061534475033273\
      69231/1760680755094999485313843200000000*ep^7;
Fill mncT10(3,12) = -40451/70-99*ep^-1-2226268069/3880800*ep+
      5988944914079/1955923200*ep^2+55097375769973723/4928926464000*
      ep^3+223416820945254239879/12420894689280000*ep^4+
      49764003084492592181897/2845514056089600000*ep^5+
      884028911845728458980585391/78877649634803712000000*ep^6+
      966807035799655591102721020843/198771677079705354240000000*ep^7;
Fill mncT10(12,4) = -206494/35-2574*ep^-1+37728143407/1940400*ep+
      2811617571286537/53787888000*ep^2+50122234613075865007/
      1491000255360000*ep^3+304594677644335331403097/
      41330527078579200000*ep^4-1092184981913744913052123553/
      1145682210618215424000000*ep^5+16383273249410556721437636647977/
      31758310878336931553280000000*ep^6-503884097463020074416088413201\
      229553/880340377547499742656921600000000*ep^7;
Fill mncT10(4,12) = -884251/70-2574*ep^-1-6560472397/1940400*ep+
      7266091044847/88905600*ep^2+528308573524834609/2464463232000*ep^3
      +1708066767811743402677/6210447344640000*ep^4+
      3389574241448147107554121/15650327308492800000*ep^5+
      403574466125125041206760103/3585347710672896000000*ep^6+
      3911148235365140542031654152609/99385838539852677120000000*ep^7;
Fill mncT10(12,5) = -1365806/15-39039*ep^-1+69028687333/237600*ep+
      755713624353229/940896000*ep^2+2042019620794498717/3725948160000*
      ep^3+2150053626542315381101/14754754713600000*ep^4-
      260683022792907214637507/58428828665856000000*ep^5+
      1757100732564399424203780109/231378161516789760000000*ep^6-
      8031668165873922375204426033443/916257519606487449600000000*ep^7;
Fill mncT10(5,12) = -5111639/30-39039*ep^-1+64112870579/1663200*ep
      +144554437798241/119750400*ep^2+10188738935295353/3919104000*ep^3
      +44116683291703651337/15519651840000*ep^4+10679561842231336603243/
      5587074662400000*ep^5+1701690888909468151875377/
      2011346878464000000*ep^6+180209122206482536967240803/
      724084876247040000000*ep^7;
Fill mncT10(12,6) = -39843167/40-819819/2*ep^-1+468146786917/
      158400*ep+5474556063869881/627264000*ep^2+16372879379254258033/
      2483965440000*ep^3+20888285620641801029329/9836503142400000*ep^4+
      4618159798466219706892417/38952552443904000000*ep^5+
      11959041509833979115410638801/154252107677859840000000*ep^6-
      51947290974908393854471795471007/610838346404324966400000000*ep^7
      ;
Fill mncT10(6,12) = -32892587/20-819819/2*ep^-1+152595699299/
      158400*ep+4891633697676763/399168000*ep^2+3310939559595464609/
      143700480000*ep^3+1155959270510862007987/51732172800000*ep^4+
      247329290660821381861001/18623582208000000*ep^5+
      34744970743061672998633963/6704489594880000000*ep^6+
      3183676351187753818273540529/2413616254156800000000*ep^7;
Fill mncT10(12,7) = -83785429/10-3279276*ep^-1+112106104813/4950*
      ep+1426572180848449/19602000*ep^2+2385348078858731141/38811960000
      *ep^3+1812053807085791172229/76847680800000*ep^4+
      467433161896372225512821/152158407984000000*ep^5+
      222578603282418091723787269/301273647808320000000*ep^6-
      359590354902660735877683822379/596521822660473600000000*ep^7;
Fill mncT10(7,12) = -123645431/10-3279276*ep^-1+209365756643/19800
      *ep+118558815146869/1247400*ep^2+18166370000772047/112266000*ep^3
      +1445724763787572717/10103940000*ep^4+10013222903711426921/
      129907800000*ep^5+318476387114305473211/11691702000000*ep^6+
      6427380399584187118601/1052253180000000*ep^7;
Fill mncT10(12,8) = -858029666/15-21237216*ep^-1+28935190189931/
      207900*ep+14456858035993061/29403000*ep^2+188737547669334929443/
      407525580000*ep^3+167327394337561631112767/806900648400000*ep^4+
      9291846207744908246635969/228237611976000000*ep^5+
      23531635357774848640092554087/3163373301987360000000*ep^6-
      2903450633391525183298649664431/894782733990710400000000*ep^7;
Fill mncT10(8,12) = -1146639754/15-21237216*ep^-1+16837575236689/
      207900*ep+114256109711053/190512*ep^2+15642323083417740089/
      16503102000*ep^3+8110576022630136675643/10396954260000*ep^4+
      2544405141852191490853241/6550081183800000*ep^5+
      524267915226684364145585317/4126551145794000000*ep^6+
      66041241371277078829338082529/2599727221850220000000*ep^7;
Fill mncT10(12,9) = -3293626869/10-116046216*ep^-1+154239838753809/
      215600*ep+464345313848659769/166012000*ep^2+
      2238532363776138156599/766975440000*ep^3+
      5303227968605204248578839/3543426532800000*ep^4+
      6288641486936847312149245859/16370630581536000000*ep^5+
      5442756533131692935573891204519/75632313286696320000000*ep^6-
      4179053146816016834498853700204501/349421287384536998400000000*
      ep^7;
Fill mncT10(9,12) = -4034154111/10-116046216*ep^-1+26409891814349/
      53900*ep+2324904523916669/724416*ep^2+72941479992913889867/
      15212736000*ep^3+47696073453580231057757/12778698240000*ep^4+
      18739784654281469045879387/10734106521600000*ep^5+
      4850040405134034518407955117/9016649478144000000*ep^6+
      733184651510037225458118049547/7573985561640960000000*ep^7;
Fill mncT10(12,10) = -65818534041/40-551219526*ep^-1+
      1366354977572763/431200*ep+18309858137982935877/1328096000*ep^2+
      64682618155687770185503/4090535680000*ep^3+
      345288437272329273557070091/37796549683200000*ep^4+
      998519587879530580246827369967/349240119072768000000*ep^5+1953415\
      505585457041731662710433619/3226978700232376320000000*ep^6-
      224002586655576818706203397258110777/
      29817283190147157196800000000*ep^7;
Fill mncT10(10,12) = -74682589449/40-551219526*ep^-1+
      3216126403093501/1293600*ep+9778155229903504489/651974400*ep^2+
      35285286191256516292841/1642975488000*ep^3+
      66318933431821547534708293/4140298229760000*ep^4+
      74417132998260071428217689289/10433551538995200000*ep^5+
      55227720753226124066511764966797/26292549878267904000000*ep^6+
      22755575592382299006573600627465281/66257225693235118080000000*
      ep^7;
Fill mncT10(12,11) = -87469583149/12-2327371332*ep^-1+
      14390585432877481/1164240*ep+9710408801113585178753/161363664000*
      ep^2+336825271499600192657540603/4473000766080000*ep^3+
      5994057050690368321658616747893/123991581235737600000*ep^4+
      60843047797157870947764149710272083/3437046631854646272000000*
      ep^5+410755590630383344193774704643635009973/
      95274932635010794659840000000*ep^6+895321239819358702985956561570\
      683563406563/2641021132642499227970764800000000*ep^7;
Fill mncT10(11,12) = -464006896457/60-2327371332*ep^-1+
      63864685518047459/5821200*ep+36698977542324528679/586776960*ep^2+
      641586154053435623199619/7393389696000*ep^3+
      1167528252540584717341548887/18631342033920000*ep^4+
      1261480842288784814787263414851/46950981925478400000*ep^5+9054909\
      48096423000980181753077423/118316474452205568000000*ep^6+34280257\
      4215656298518825573347468779/298157515619558031360000000*ep^7;
Fill mncT10(12,12) = -3203405061467/110-8886326904*ep^-1+
      32896741710145381/762300*ep+10000362392000955125279/42261912000*
      ep^2+375905461894778437366603709/1171500200640000*ep^3+
      7348377628631204561101745417099/32473985561740800000*ep^4+8491831\
      6265468987021850330170253629/900178879771454976000000*ep^5+
      654770540399856774783151514217752778779/
      24952958547264731934720000000*ep^6+254049524377143930545446180939\
      4125546168589/691696010930178369230438400000000*ep^7;
Fill mncT20(-8,1) = -1/135-2873/170100*ep-1564921/53581500*ep^2-
      379174921/8439086250*ep^3-86496026296/1329156084375*ep^4-
      38151684976592/418684166578125*ep^5-16500099586101184/
      131885512472109375*ep^6-7053176967987498368/41543936428714453125*
      ep^7;
Fill mncT20(-7,1) = -1/108-671/34020*ep-88393/2679075*ep^2-
      42034061/843908625*ep^3-18962183872/265831216875*ep^4-
      8306568395744/83736833315625*ep^5-3577389080927488/
      26377102494421875*ep^6-1525260495157726976/8308787285742890625*
      ep^7;
Fill mncT20(-6,1) = -1/84-23/980*ep-5843/154350*ep^2-453806/
      8103375*ep^3-67430704/850854375*ep^4-9775819136/89339709375*ep^5-
      1397284407424/9380669484375*ep^6-198057234223616/984970295859375*
      ep^7;
Fill mncT20(-5,1) = -1/63-379/13230*ep-30823/694575*ep^2-4683932/
      72930375*ep^3-687208288/7657689375*ep^4-98880776192/804057384375*
      ep^5-14069474000128/84426025359375*ep^6-1988829224010752/
      8864732662734375*ep^7;
Fill mncT20(-4,1) = -1/45-49/1350*ep-544/10125*ep^2-11528/151875*
      ep^3-238336/2278125*ep^4-4860032/34171875*ep^5-98320384/512578125
      *ep^6-1979844608/7688671875*ep^7;
Fill mncT20(-3,1) = -1/30-11/225*ep-232/3375*ep^2-4784/50625*ep^3-
      97408/759375*ep^4-1968896/11390625*ep^5-39626752/170859375*ep^6-
      795521024/2562890625*ep^7;
Fill mncT20(-2,1) = -1/18-2/27*ep-8/81*ep^2-32/243*ep^3-128/729*
      ep^4-512/2187*ep^5-2048/6561*ep^6-8192/19683*ep^7;
Fill mncT20(-1,1) = -1/9-4/27*ep-16/81*ep^2-64/243*ep^3-256/729*
      ep^4-1024/2187*ep^5-4096/6561*ep^6-16384/19683*ep^7;
Fill mncT20(0,1) = -1/3-2/3*ep-4/3*ep^2-8/3*ep^3-16/3*ep^4-32/3*
      ep^5-64/3*ep^6-128/3*ep^7;
Fill mncT20(1,1) = 1/3*ep^-1;
Fill mncT20(-8,2) = -1949/1890-2/3*ep^-1-477089/297675*ep-
      434862881/187535250*ep^2-95754598256/29536801875*ep^3-
      41358690009262/9304092590625*ep^4-17662805568809024/
      2930789166046875*ep^5-7492801511676874048/923198587304765625*ep^6
      -3165875548287312260096/290807555001001171875*ep^7;
Fill mncT20(-7,2) = -367/420-2/3*ep^-1-58343/44100*ep-2172028/
      1157625*ep^2-315191477/121550625*ep^3-45070979068/12762815625*
      ep^4-6389915791712/1340095640625*ep^5-901346518503808/
      140710042265625*ep^6-126758616134319872/14774554437890625*ep^7;
Fill mncT20(-6,2) = -73/105-2/3*ep^-1-11492/11025*ep-1677703/
      1157625*ep^2-240693302/121550625*ep^3-34187537368/12762815625*
      ep^4-4827576638912/1340095640625*ep^5-679339017668608/
      140710042265625*ep^6-95400076084163072/14774554437890625*ep^7;
Fill mncT20(-5,2) = -22/45-2/3*ep^-1-1033/1350*ep-10573/10125*ep^2
      -214376/151875*ep^3-4322512/2278125*ep^4-86870144/34171875*ep^5-
      1742441728/512578125*ep^6-34909300736/7688671875*ep^7;
Fill mncT20(-4,2) = -11/45-2/3*ep^-1-337/675*ep-6794/10125*ep^2-
      136528/151875*ep^3-2738336/2278125*ep^4-54860032/34171875*ep^5-
      1098320384/512578125*ep^6-21979844608/7688671875*ep^7;
Fill mncT20(-3,2) = 1/18-2/3*ep^-1-7/27*ep-28/81*ep^2-112/243*ep^3
      -448/729*ep^4-1792/2187*ep^5-7168/6561*ep^6-28672/19683*ep^7;
Fill mncT20(-2,2) = 4/9-2/3*ep^-1-2/27*ep-8/81*ep^2-32/243*ep^3-
      128/729*ep^4-512/2187*ep^5-2048/6561*ep^6-8192/19683*ep^7;
Fill mncT20(-1,2) = 1-2/3*ep^-1;
Fill mncT20(0,2) = 2-2/3*ep^-1;
Fill mncT20(2,1) = 2-1/3*ep^-1-4*ep+8*ep^2-16*ep^3+32*ep^4-64*ep^5
      +128*ep^6-256*ep^7;
Fill mncT20(1,2) = 4-ep^-1;
Fill mncT20(2,2) = 4-4/3*ep^-1+8*ep-16*ep^2+32*ep^3-64*ep^4+128*
      ep^5-256*ep^6+512*ep^7;
Fill mncT20(-8,3) = 229/35-24*ep^-1-185317/4900*ep-782951/171500*
      ep^2-240188096/4501875*ep^3-11794985689/472696875*ep^4-
      3986727160376/49633171875*ep^5-316557832534084/5211483046875*ep^6
      -69990596930050556/547205719921875*ep^7;
Fill mncT20(-7,3) = 173/15-56/3*ep^-1-94051/3150*ep+2141941/330750
      *ep^2-663962228/17364375*ep^3-8168870902/1823259375*ep^4-
      10102809343268/191442234375*ep^5-478444686397012/20101434609375*
      ep^6-165657334480786508/2110650633984375*ep^7;
Fill mncT20(-6,3) = 72/5-14*ep^-1-3697/150*ep+30361/2250*ep^2-
      484709/16875*ep^3+2108492/253125*ep^4-135135596/3796875*ep^5-
      46314652/56953125*ep^6-40810463324/854296875*ep^7;
Fill mncT20(-5,3) = 46/3-10*ep^-1-1937/90*ep+11788/675*ep^2-236794/
      10125*ep^3+2350972/151875*ep^4-59300836/2278125*ep^5+408577468/
      34171875*ep^6-15749882884/512578125*ep^7;
Fill mncT20(-4,3) = 131/9-20/3*ep^-1-1067/54*ep+1565/81*ep^2-5080/
      243*ep^3+13700/729*ep^4-47260/2187*ep^5+117140/6561*ep^6-449980/
      19683*ep^7;
Fill mncT20(-3,3) = 37/3-4*ep^-1-167/9*ep+538/27*ep^2-1628/81*ep^3
      +4828/243*ep^4-14708/729*ep^5+43228/2187*ep^6-133268/6561*ep^7;
Fill mncT20(-2,3) = 9-2*ep^-1-17*ep+20*ep^2-20*ep^3+20*ep^4-20*
      ep^5+20*ep^6-20*ep^7;
Fill mncT20(-1,3) = 5-2/3*ep^-1-14*ep+20*ep^2-20*ep^3+20*ep^4-20*
      ep^5+20*ep^6-20*ep^7;
Fill mncT20(0,3) = 1-8*ep+20*ep^2-20*ep^3+20*ep^4-20*ep^5+20*ep^6-
      20*ep^7;
Fill mncT20(3,1) = -2/3+14/3*ep-38/3*ep^2+86/3*ep^3-182/3*ep^4+374/
      3*ep^5-758/3*ep^6+1526/3*ep^7;
Fill mncT20(1,3) = -2+4*ep+20*ep^2-20*ep^3+20*ep^4-20*ep^5+20*ep^6
      -20*ep^7;
Fill mncT20(3,2) = 2-4/3*ep^-1+18*ep-26*ep^2+42*ep^3-74*ep^4+138*
      ep^5-266*ep^6+522*ep^7;
Fill mncT20(2,3) = -2-4/3*ep^-1+24*ep+28*ep^2-36*ep^3+52*ep^4-84*
      ep^5+148*ep^6-276*ep^7;
Fill mncT20(3,3) = -2-4*ep^-1+66*ep+30*ep^2-30*ep^3+30*ep^4-30*
      ep^5+30*ep^6-30*ep^7;
Fill mncT20(-8,4) = 5716/15-224*ep^-1-113439/175*ep+11435849/18375
      *ep^2-3261467743/3858750*ep^3+521028884801/810337500*ep^4-
      163641166744057/170170875000*ep^5+20016396870514049/
      35735883750000*ep^6-8315462621722780393/7504535587500000*ep^7;
Fill mncT20(-7,4) = 4291/15-392/3*ep^-1-214141/450*ep+3579283/6750
      *ep^2-64908979/101250*ep^3+1788800129/3037500*ep^4-64400656279/
      91125000*ep^5+1568034639929/2733750000*ep^6-62594349501079/
      82012500000*ep^7;
Fill mncT20(-6,4) = 587/3-70*ep^-1-5104/15*ep+95062/225*ep^2-
      3304937/6750*ep^3+100310887/202500*ep^4-3255229337/6075000*ep^5+
      92204855287/182250000*ep^6-3050038863737/5467500000*ep^7;
Fill mncT20(-5,4) = 1075/9-100/3*ep^-1-12457/54*ep+25549/81*ep^2-
      179305/486*ep^3+1142575/2916*ep^4-7163485/17496*ep^5+43042615/
      104976*ep^6-265340005/629856*ep^7;
Fill mncT20(-4,4) = 562/9-40/3*ep^-1-3842/27*ep+17653/81*ep^2-
      130045/486*ep^3+856255/2916*ep^4-5371645/17496*ep^5+32882935/
      104976*ep^6-199651045/629856*ep^7;
Fill mncT20(-3,4) = 77/3-4*ep^-1-223/3*ep+403/3*ep^2-1085/6*ep^3+
      2485/12*ep^4-5285/24*ep^5+10885/48*ep^6-22085/96*ep^7;
Fill mncT20(-2,4) = 20/3-2/3*ep^-1-28*ep+67*ep^2-215/2*ep^3+535/4*
      ep^4-1175/8*ep^5+2455/16*ep^6-5015/32*ep^7;
Fill mncT20(-1,4) = 1/3-4*ep+19*ep^2-95/2*ep^3+295/4*ep^4-695/8*
      ep^5+1495/16*ep^6-3095/32*ep^7;
Fill mncT20(0,4) = 2/3*ep-11/3*ep^2-5/6*ep^3+325/12*ep^4-965/24*
      ep^5+2245/48*ep^6-4805/96*ep^7;
Fill mncT20(4,1) = -2/9+22/27*ep+118/81*ep^2-2018/243*ep^3+17158/
      729*ep^4-120338/2187*ep^5+778678/6561*ep^6-4850978/19683*ep^7;
Fill mncT20(1,4) = -2/3-2*ep+11*ep^2+65/2*ep^3-25/4*ep^4-55/8*ep^5
      +215/16*ep^6-535/32*ep^7;
Fill mncT20(4,2) = 8/9-4/3*ep^-1+560/27*ep-1120/81*ep^2+2240/243*
      ep^3-4480/729*ep^4+8960/2187*ep^5-17920/6561*ep^6+35840/19683*
      ep^7;
Fill mncT20(2,4) = -16/3-4/3*ep^-1+18*ep+87*ep^2+105/2*ep^3-105/4*
      ep^4+105/8*ep^5-105/16*ep^6+105/32*ep^7;
Fill mncT20(4,3) = -10/3-8*ep^-1+1178/9*ep+1370/27*ep^2-3550/81*
      ep^3+9530/243*ep^4-26350/729*ep^5+74570/2187*ep^6-214750/6561*
      ep^7;
Fill mncT20(3,4) = -50/3-8*ep^-1+124*ep+269*ep^2+125/2*ep^3-145/4*
      ep^4+185/8*ep^5-265/16*ep^6+425/32*ep^7;
Fill mncT20(4,4) = -364/9-80/3*ep^-1+11414/27*ep+52583/81*ep^2+
      29995/486*ep^3-94465/2916*ep^4+301315/17496*ep^5-975625/104976*
      ep^6+3213595/629856*ep^7;
Fill mncT20(-8,5) = 36526/15-784*ep^-1-2130061/450*ep+88667761/
      13500*ep^2-1646252993/202500*ep^3+26584847209/3037500*ep^4-
      869285463859/91125000*ep^5+25668091445509/2733750000*ep^6-
      825870943979659/82012500000*ep^7;
Fill mncT20(-7,5) = 7427/6-980/3*ep^-1-474989/180*ep+3598429/900*
      ep^2-206164481/40500*ep^3+773473009/135000*ep^4-225354864431/
      36450000*ep^5+2304258756427/364500000*ep^6-214491664771631/
      32805000000*ep^7;
Fill mncT20(-6,5) = 3275/6-350/3*ep^-1-47683/36*ep+79933/36*ep^2-
      968071/324*ep^3+757925/216*ep^4-44696575/11664*ep^5+93315775/
      23328*ep^6-1724104375/419904*ep^7;
Fill mncT20(-5,5) = 1775/9-100/3*ep^-1-30707/54*ep+175897/162*ep^2
      -773903/486*ep^3+5761805/2916*ep^4-38852975/17496*ep^5+247843085/
      104976*ep^6-1535423015/629856*ep^7;
Fill mncT20(-4,5) = 157/3-20/3*ep^-1-3427/18*ep+23569/54*ep^2-
      59156/81*ep^3+479815/486*ep^4-3400565/2916*ep^5+22288735/17496*
      ep^6-140029085/104976*ep^7;
Fill mncT20(-3,5) = 47/6-2/3*ep^-1-727/18*ep+6667/54*ep^2-83453/
      324*ep^3+788095/1944*ep^4-6126365/11664*ep^5+42232855/69984*ep^6-
      272383685/419904*ep^7;
Fill mncT20(-2,5) = 1/6-43/18*ep+781/54*ep^2-16061/324*ep^3+214615/
      1944*ep^4-2073125/11664*ep^5+16076335/69984*ep^6-109933325/419904
      *ep^7;
Fill mncT20(-1,5) = 1/9*ep-28/27*ep^2+217/81*ep^3+1105/486*ep^4-
      69035/2916*ep^5+921745/17496*ep^6-7693715/104976*ep^7;
Fill mncT20(0,5) = 1/9*ep-1/27*ep^2-457/162*ep^3+995/972*ep^4+
      98855/5832*ep^5-266965/34992*ep^6-657985/209952*ep^7;
Fill mncT20(5,1) = -1/9+13/54*ep+461/324*ep^2-6623/1944*ep^3+60269/
      11664*ep^4-459047/69984*ep^5+3189941/419904*ep^6-21020063/2519424
      *ep^7;
Fill mncT20(1,5) = -1/3-17/9*ep+133/54*ep^2+9697/324*ep^3+90685/
      1944*ep^4+48265/11664*ep^5-785435/69984*ep^6+3637585/419904*ep^7;
Fill mncT20(5,2) = 1/9-4/3*ep^-1+1175/54*ep-785/324*ep^2-11845/
      1944*ep^3+111775/11664*ep^4-756925/69984*ep^5+4657015/419904*ep^6
      -27715045/2519424*ep^7;
Fill mncT20(2,5) = -23/3-4/3*ep^-1+73/9*ep+6289/54*ep^2+68989/324*
      ep^3+192745/1944*ep^4-257915/11664*ep^5+133105/69984*ep^6+881965/
      419904*ep^7;
Fill mncT20(5,3) = -62/9-40/3*ep^-1+5893/27*ep+17225/162*ep^2-
      73355/972*ep^3+345665/5832*ep^4-1772675/34992*ep^5+9660425/209952
      *ep^6-54748955/1259712*ep^7;
Fill mncT20(3,5) = -134/3-40/3*ep^-1+1522/9*ep+19061/27*ep^2+
      115049/162*ep^3+134645/972*ep^4-243775/5832*ep^5+411005/34992*
      ep^6-592375/209952*ep^7;
Fill mncT20(5,4) = -790/9-200/3*ep^-1+28721/27*ep+227557/162*ep^2+
      46625/972*ep^3-32195/5832*ep^4-567415/34992*ep^5+5757925/209952*
      ep^6-41894575/1259712*ep^7;
Fill mncT20(4,5) = -1490/9-200/3*ep^-1+25756/27*ep+213712/81*ep^2+
      439192/243*ep^3+121240/729*ep^4-122360/2187*ep^5+124600/6561*ep^6
      -129080/19683*ep^7;
Fill mncT20(5,5) = -485-700/3*ep^-1+62669/18*ep+836537/108*ep^2+
      2614229/648*ep^3+872705/3888*ep^4-2444035/23328*ep^5+8850185/
      139968*ep^6-40784155/839808*ep^7;
Fill mncT20(-8,6) = 27181/5-1176*ep^-1-338907/25*ep+71087023/3000*
      ep^2-6018773921/180000*ep^3+441448289167/10800000*ep^4-
      29830633100609/648000000*ep^5+1903917823280143/38880000000*ep^6-
      118764684614193761/2332800000000*ep^7;
Fill mncT20(-7,6) = 10955/6-980/3*ep^-1-937787/180*ep+3648103/360*
      ep^2-199642021/12960*ep^3+343349231/17280*ep^4-8616398945/373248*
      ep^5+37494368065/1492992*ep^6-1414906025225/53747712*ep^7;
Fill mncT20(-6,6) = 485-70*ep^-1-49229/30*ep+439127/120*ep^2-
      26640239/4320*ep^3+49332629/5760*ep^4-1299375595/124416*ep^5+
      5830037675/497664*ep^6-223799592835/17915904*ep^7;
Fill mncT20(-5,6) = 90-10*ep^-1-5711/15*ep+368137/360*ep^2-8629087/
      4320*ep^3+160556317/51840*ep^4-507053099/124416*ep^5+7166785409/
      1492992*ep^6-94427670659/17915904*ep^7;
Fill mncT20(-4,6) = 131/15-2/3*ep^-1-925/18*ep+39547/216*ep^2-
      1169689/2592*ep^3+130416407/155520*ep^4-469580545/373248*ep^5+
      7244152195/4478976*ep^6-100744971145/53747712*ep^7;
Fill mncT20(-3,6) = 1/10-8/5*ep+1339/120*ep^2-65581/1440*ep^3+
      2144431/17280*ep^4-10217753/41472*ep^5+190913387/497664*ep^6-
      2995340033/5971968*ep^7;
Fill mncT20(-2,6) = 1/30*ep-139/360*ep^2+6721/4320*ep^3-84259/
      51840*ep^4-902827/124416*ep^5+48531073/1492992*ep^6-1233076867/
      17915904*ep^7;
Fill mncT20(-1,6) = 1/90*ep-49/1080*ep^2-2909/12960*ep^3+176471/
      155520*ep^4+77183/373248*ep^5-28845437/4478976*ep^6+486526583/
      53747712*ep^7;
Fill mncT20(0,6) = 1/30*ep+29/360*ep^2-3599/4320*ep^3-106051/51840
      *ep^4+600341/124416*ep^5+18475009/1492992*ep^6-13077379/17915904*
      ep^7;
Fill mncT20(6,1) = -1/15+37/450*ep+13681/13500*ep^2-531047/405000*
      ep^3+10925689/12150000*ep^4-58905143/364500000*ep^5-6831185159/
      10935000000*ep^6+433494925033/328050000000*ep^7;
Fill mncT20(1,6) = -1/5-3/2*ep-17/24*ep^2+5783/288*ep^3+1068911/
      17280*ep^4+2624615/41472*ep^5+5278315/497664*ep^6-53746945/
      5971968*ep^7;
Fill mncT20(6,2) = -22/45-4/3*ep^-1+14917/675*ep+145621/20250*ep^2
      -7176827/607500*ep^3+178762549/18225000*ep^4-3758759963/546750000
      *ep^5+73789260181/16402500000*ep^6-1405333231547/492075000000*
      ep^7;
Fill mncT20(2,6) = -142/15-4/3*ep^-1-233/90*ep+135527/1080*ep^2+
      4831027/12960*ep^3+64777463/155520*ep^4+59776703/373248*ep^5-
      62823677/4478976*ep^6-248161417/53747712*ep^7;
Fill mncT20(6,3) = -40/3-20*ep^-1+14728/45*ep+140792/675*ep^2-
      1143752/10125*ep^3+11067512/151875*ep^4-126680072/2278125*ep^5+
      1636205432/34171875*ep^6-22679107592/512578125*ep^7;
Fill mncT20(3,6) = -88-20*ep^-1+5417/30*ep+474037/360*ep^2+9565217/
      4320*ep^3+75824797/51840*ep^4+33326293/124416*ep^5-71278207/
      1492992*ep^6+99031933/17915904*ep^7;
Fill mncT20(6,4) = -530/3-140*ep^-1+33557/15*ep+423607/150*ep^2+
      76397/1500*ep^3+536287/15000*ep^4-11154523/150000*ep^5+137664967/
      1500000*ep^6-1495894243/15000000*ep^7;
Fill mncT20(4,6) = -466-140*ep^-1+50969/30*ep+2595829/360*ep^2+
      37296929/4320*ep^3+203776669/51840*ep^4+45626581/124416*ep^5-
      120479359/1492992*ep^6+295836541/17915904*ep^7;
Fill mncT20(6,5) = -1225-1960/3*ep^-1+893521/90*ep+52848593/2700*
      ep^2+682276609/81000*ep^3+991720817/2430000*ep^4-19991371679/
      72900000*ep^5+496481288273/2187000000*ep^6-13783187881151/
      65610000000*ep^7;
Fill mncT20(5,6) = -1813-1960/3*ep^-1+394943/45*ep+30703469/1080*
      ep^2+347378191/12960*ep^3+1441025999/155520*ep^4+151385327/373248
      *ep^5-301490717/4478976*ep^6-776734153/53747712*ep^7;
Fill mncT20(6,6) = -5782-2352*ep^-1+1655967/50*ep+91233989/1000*
      ep^2+1443847463/20000*ep^3+8173903421/400000*ep^4+1458637007/
      8000000*ep^5+31015982069/160000000*ep^6-922353247177/3200000000*
      ep^7;
Fill mncT20(-8,7) = 74942/15-784*ep^-1-2418683/150*ep+158420983/
      4500*ep^2-1999374637/33750*ep^3+336670549663/4050000*ep^4-
      25011515511581/243000000*ep^5+1708061937698347/14580000000*ep^6-
      110562545671520789/874800000000*ep^7;
Fill mncT20(-7,7) = 5089/5-392/3*ep^-1-1745489/450*ep+43773733/
      4500*ep^2-14821506913/810000*ep^3+453349864277/16200000*ep^4-
      107566769892097/2916000000*ep^5+94692144835519/2160000000*ep^6-
      510420606497702593/10497600000000*ep^7;
Fill mncT20(-6,7) = 2092/15-14*ep^-1-16473/25*ep+17887891/9000*
      ep^2-2354883317/540000*ep^3+244404539179/32400000*ep^4-
      21223511520773/1944000000*ep^5+1617852734008651/116640000000*ep^6
      -112592639608494437/6998400000000*ep^7;
Fill mncT20(-5,7) = 142/15-2/3*ep^-1-13787/225*ep+6570173/27000*
      ep^2-1093489951/1620000*ep^3+137668367537/97200000*ep^4-
      13917130212319/5832000000*ep^5+1187850920775953/349920000000*ep^6
      -89451763606733311/20995200000000*ep^7;
Fill mncT20(-4,7) = 1/15-173/150*ep+39883/4500*ep^2-10971971/
      270000*ep^3+2049129277/16200000*ep^4-281553155699/972000000*ep^5+
      30278294934013/58320000000*ep^6-2690215973192531/3499200000000*
      ep^7;
Fill mncT20(-3,7) = 1/75*ep-22/125*ep^2+19867/22500*ep^3-2410529/
      1350000*ep^4-106376777/81000000*ep^5+82872618199/4860000000*ep^6-
      14816793371513/291600000000*ep^7;
Fill mncT20(-2,7) = 1/450*ep-377/27000*ep^2-35201/1620000*ep^3+
      30326287/97200000*ep^4-3031593569/5832000000*ep^5-363862505297/
      349920000000*ep^6+97329742485439/20995200000000*ep^7;
Fill mncT20(-1,7) = 1/450*ep-77/27000*ep^2-108701/1620000*ep^3+
      8508787/97200000*ep^4+3586068931/5832000000*ep^5-291503442797/
      349920000000*ep^6-37883243452061/20995200000000*ep^7;
Fill mncT20(0,7) = 1/75*ep+43/750*ep^2-11891/45000*ep^3-3854183/
      2700000*ep^4+28768321/162000000*ep^5+78897658273/9720000000*ep^6+
      6022589428849/583200000000*ep^7;
Fill mncT20(7,1) = -2/45+17/675*ep+14621/20250*ep^2-266827/607500*
      ep^3-2337451/18225000*ep^4+292240037/546750000*ep^5-11520739819/
      16402500000*ep^6+343766768453/492075000000*ep^7;
Fill mncT20(1,7) = -2/15-89/75*ep-8617/4500*ep^2+3351779/270000*
      ep^3+970238027/16200000*ep^4+101308463051/972000000*ep^5+
      4576619152763/58320000000*ep^6+52253788526219/3499200000000*ep^7;
Fill mncT20(7,2) = -44/45-4/3*ep^-1+14924/675*ep+154756/10125*ep^2
      -1870036/151875*ep^3+13127716/2278125*ep^4-60303796/34171875*ep^5
      -10489724/512578125*ep^6+4724500844/7688671875*ep^7;
Fill mncT20(2,7) = -164/15-4/3*ep^-1-5959/450*ep+3266573/27000*
      ep^2+827279549/1620000*ep^3+82540045037/97200000*ep^4+
      3971016625181/5832000000*ep^5+78592274213453/349920000000*ep^6-
      77901308295811/20995200000000*ep^7;
Fill mncT20(7,3) = -116/5-28*ep^-1+34276/75*ep+412444/1125*ep^2-
      2379164/16875*ep^3+17847484/253125*ep^4-185697404/3796875*ep^5+
      2418496924/56953125*ep^6-34701294044/854296875*ep^7;
Fill mncT20(3,7) = -2224/15-28*ep^-1+20927/150*ep+18515191/9000*
      ep^2+2581018183/540000*ep^3+162439806679/32400000*ep^4+
      4861399866727/1944000000*ep^5+50016011196151/116640000000*ep^6-
      308504566306937/6998400000000*ep^7;
Fill mncT20(7,4) = -1666/5-784/3*ep^-1+938503/225*ep+35955539/6750
      *ep^2+35076907/202500*ep^3+360336491/6075000*ep^4-26477428517/
      182250000*ep^5+973075001579/5467500000*ep^6-31298537909573/
      164025000000*ep^7;
Fill mncT20(4,7) = -15974/15-784/3*ep^-1+563653/225*ep+212948149/
      13500*ep^2+21367432837/810000*ep^3+981651206581/48600000*ep^4+
      20536825751653/2916000000*ep^5+115655271520789/174960000000*ep^6-
      1020974470358843/10497600000000*ep^7;
Fill mncT20(7,5) = -13916/5-1568*ep^-1+1802036/75*ep+50033084/1125
      *ep^2+287204996/16875*ep^3+221622524/253125*ep^4-2634047644/
      3796875*ep^5+35994598364/56953125*ep^6-521950402684/854296875*
      ep^7;
Fill mncT20(5,7) = -80164/15-1568*ep^-1+1368386/75*ep+20352181/250
      *ep^2+542082151/5000*ep^3+6553417021/100000*ep^4+34239683791/
      2000000*ep^5+37280105461/40000000*ep^6-154778624969/800000000*
      ep^7;
Fill mncT20(7,6) = -80066/5-7056*ep^-1+5093047/50*ep+760464367/
      3000*ep^2+31791539167/180000*ep^3+469636512367/10800000*ep^4-
      549658402433/648000000*ep^5+48886643642767/38880000000*ep^6-
      3179006717192033/2332800000000*ep^7;
Fill mncT20(6,7) = -105938/5-7056*ep^-1+13461241/150*ep+196444423/
      600*ep^2+22085957393/60000*ep^3+222489175979/1200000*ep^4+
      911520869801/24000000*ep^5+150398272087/96000000*ep^6-
      6452857305727/9600000000*ep^7;
Fill mncT20(7,7) = -1064182/15-25872*ep^-1+17267879/50*ep+
      9947129741/9000*ep^2+589989515933/540000*ep^3+15486776900429/
      32400000*ep^4+153970495460477/1944000000*ep^5+474888537289901/
      116640000000*ep^6-21336590857713187/6998400000000*ep^7;
Fill mncT20(-8,8) = 9564/5-224*ep^-1-1400831/175*ep+173518514/7875
      *ep^2-1784563114/39375*ep^3+1066173134083/14175000*ep^4-
      30156403399457/283500000*ep^5+6826149879858577/51030000000*ep^6-
      22563472992171419/145800000000*ep^7;
Fill mncT20(-7,8) = 1007/5-56/3*ep^-1-3266519/3150*ep+11981517/
      3500*ep^2-46664880733/5670000*ep^3+1763955736057/113400000*ep^4-
      498408722528677/20412000000*ep^5+13577619635667833/408240000000*
      ep^6-428020110453704659/10497600000000*ep^7;
Fill mncT20(-6,8) = 353/35-2/3*ep^-1-31619/450*ep+303089/1000*ep^2
      -1489855661/1620000*ep^3+68644660769/32400000*ep^4-22832247383309/
      5832000000*ep^5+4954100517779527/816480000000*ep^6-
      172142760599024621/20995200000000*ep^7;
Fill mncT20(-5,8) = 1/21-551/630*ep+136597/18900*ep^2-40929769/
      1134000*ep^3+8420292103/68040000*ep^4-1284520788361/4082400000*
      ep^5+153717823147207/244944000000*ep^6-2160152106667087/
      2099520000000*ep^7;
Fill mncT20(-4,8) = 2/315*ep-62/675*ep^2+75109/141750*ep^3-
      12130183/8505000*ep^4+49117903/72900000*ep^5+258432089273/
      30618000000*ep^6-9112591452593/262440000000*ep^7;
Fill mncT20(-3,8) = 1/1575*ep-118/23625*ep^2+841/1417500*ep^3+
      8151533/85050000*ep^4-1499687771/5103000000*ep^5+2099443877/
      306180000000*ep^6+4382757473443/2624400000000*ep^7;
Fill mncT20(-2,8) = 1/3150*ep-23/21000*ep^2-93791/11340000*ep^3+
      7404539/226800000*ep^4+1951554721/40824000000*ep^5-236905209509/
      816480000000*ep^6+2444882017207/20995200000000*ep^7;
Fill mncT20(-1,8) = 1/1575*ep+19/47250*ep^2-57553/2835000*ep^3-
      2102489/170100000*ep^4+2150196743/10206000000*ep^5+72191435959/
      612360000000*ep^6-4489653883519/5248800000000*ep^7;
Fill mncT20(0,8) = 2/315*ep+172/4725*ep^2-23929/283500*ep^3-
      14469227/17010000*ep^4-956061151/1020600000*ep^5+229563756937/
      61236000000*ep^6+5525867859983/524880000000*ep^7;
Fill mncT20(8,1) = -2/63+11/6615*ep+735761/1389150*ep^2-15307249/
      291721500*ep^3-20069423959/61261515000*ep^4+5172990804431/
      12864918150000*ep^5-840621012519079/2701632811500000*ep^6+
      105836185357024511/567342890415000000*ep^7;
Fill mncT20(1,8) = -2/21-43/45*ep-6341/2700*ep^2+1156907/162000*
      ep^3+510974491/9720000*ep^4+72810365483/583200000*ep^5+
      36530740505053/244944000000*ep^6+185719343236427/2099520000000*
      ep^7;
Fill mncT20(8,2) = -146/105-4/3*ep^-1+241897/11025*ep+51352127/
      2315250*ep^2-4773167543/486202500*ep^3+121383985487/102102525000*
      ep^4+32097376872217/21441530250000*ep^5-7442321128844353/
      4502721352500000*ep^6+1108843776498628777/945571484025000000*ep^7
      ;
Fill mncT20(2,8) = -426/35-4/3*ep^-1-74243/3150*ep+2252989/21000*
      ep^2+7047906613/11340000*ep^3+303789722423/226800000*ep^4+
      62608258173397/40824000000*ep^5+781673103203287/816480000000*ep^6
      +5821180512188899/20995200000000*ep^7;
Fill mncT20(8,3) = -554/15-112/3*ep^-1+955123/1575*ep+194381393/
      330750*ep^2-9944115137/69457500*ep^3+720242324633/14586075000*
      ep^4-106786845347297/3063075750000*ep^5+22761682272376073/
      643245907500000*ep^6-5047942622865918257/135081640575000000*ep^7;
Fill mncT20(3,8) = -1134/5-112/3*ep^-1+45233/1575*ep+4307843/1500*
      ep^2+48365901917/5670000*ep^3+1347457264207/113400000*ep^4+
      26378646127739/2916000000*ep^5+1490960577995183/408240000000*ep^6
      +6173995170491291/10497600000000*ep^7;
Fill mncT20(8,4) = -8888/15-448*ep^-1+1247644/175*ep+58053334/6125
      *ep^2+135651199/214375*ep^3+298200803/15006250*ep^4-231974825609/
      1050437500*ep^5+20969277226427/73530625000*ep^6-1579618136168081/
      5147143750000*ep^7;
Fill mncT20(4,8) = -31864/15-448*ep^-1+4807756/1575*ep+704184707/
      23625*ep^2+90017249191/1417500*ep^3+5633202721583/85050000*ep^4+
      190987510132879/5103000000*ep^5+3284586747827327/306180000000*
      ep^6+2629398027391993/2624400000000*ep^7;
Fill mncT20(8,5) = -17476/3-3360*ep^-1+5423872/105*ep+1026210586/
      11025*ep^2+39090448813/1157625*ep^3+462912373583/243101250*ep^4-
      78990538402847/51051262500*ep^5+15453545477886023/10720765125000*
      ep^6-3176159417389847807/2251360676250000*ep^7;
Fill mncT20(5,8) = -40180/3-3360*ep^-1+2038402/63*ep+1858182677/
      9450*ep^2+189734040541/567000*ep^3+9555153067133/34020000*ep^4+
      255951484910029/2041200000*ep^5+3322989357625277/122472000000*
      ep^6+1513183193016043/1049760000000*ep^7;
Fill mncT20(8,6) = -119554/3-18480*ep^-1+56805143/210*ep+
      11147568661/17640*ep^2+597336826967/1481760*ep^3+11261910805309/
      124467840*ep^4-7996110736781/2091059712*ep^5+755571661648913/
      175649015808*ep^6-65356919032209509/14754517327872*ep^7;
Fill mncT20(6,8) = -194530/3-18480*ep^-1+26018777/126*ep+
      36860355869/37800*ep^2+3184378641517/2268000*ep^3+135220583203421/
      136080000*ep^4+2985861528034573/8164800000*ep^5+30884531673810749/
      489888000000*ep^6+5643207878298091/4199040000000*ep^7;
Fill mncT20(8,7) = -3134692/15-81312*ep^-1+586429352/525*ep+
      180345975898/55125*ep^2+16981787031817/5788125*ep^3+
      1400937773650811/1215506250*ep^4+40384500100087813/255256312500*
      ep^5+705010910204914979/53603825625000*ep^6-135487391382322757243/
      11256803381250000*ep^7;
Fill mncT20(7,8) = -3889732/15-81312*ep^-1+1550451076/1575*ep+
      93444165512/23625*ep^2+1773570582514/354375*ep^3+16430603243333/
      5315625*ep^4+154326257660627/159468750*ep^5+673691618883113/
      4784062500*ep^6-52702879147579/20503125000*ep^7;
Fill mncT20(8,8) = -94105352/105-302016*ep^-1+42304774636/11025*ep
      +15966836211554/1157625*ep^2+1917150465063091/121550625*ep^3+
      222944364852849553/25525631250*ep^4+12784984115109386899/
      5360382562500*ep^5+351357322799970809617/1125680338125000*ep^6-
      5665483289043503675789/236392871006250000*ep^7;
Fill mncT20(-8,9) = 9673/35-24*ep^-1-7476443/4900*ep+5575808221/
      1029000*ep^2-1516333230941/108045000*ep^3+1295285290998169/
      45378900000*ep^4-915214176070881821/19059138000000*ep^5+
      557145711706357113589/8004837960000000*ep^6-
      302333970840711479307101/3362031943200000000*ep^7;
Fill mncT20(-7,9) = 1487/140-2/3*ep^-1-6925199/88200*ep+248202379/
      686000*ep^2-9172772961997/7779240000*ep^3+3188015654195791/
      1089093600000*ep^4-8002369489214719957/1372257936000000*ep^5+
      1866292950562567080671/192116111040000000*ep^6-
      3392645148600022286719717/242066299910400000000*ep^7;
Fill mncT20(-6,9) = 1/28-1349/1960*ep+2479361/411600*ep^2-
      1852848323/57624000*ep^3+8626260284921/72606240000*ep^4-
      3329436346797163/10164873600000*ep^5+9100192115087108201/
      12807740736000000*ep^6-28013775489646681963/22136835840000000*
      ep^7;
Fill mncT20(-5,9) = 1/294*ep-3257/61740*ep^2+4361053/12965400*ep^3
      -5867075167/5445468000*ep^4+2880118282903/2287096560000*ep^5+
      3711824900564273/960580555200000*ep^6-9340026839967092057/
      403443833184000000*ep^7;
Fill mncT20(-4,9) = 1/4410*ep-1913/926100*ep^2+493441/194481000*
      ep^3+2703618881/81682020000*ep^4-5052527519129/34306448400000*
      ep^5+2149946700964961/14408708328000000*ep^6+3273538894800540151/
      6051657497760000000*ep^7;
Fill mncT20(-3,9) = 1/14700*ep-263/771750*ep^2-879791/648270000*
      ep^3+2609273819/272273400000*ep^4-219838700171/114354828000000*
      ep^5-3502049481901261/48029027760000000*ep^6+2593627032642346549/
      20172191659200000000*ep^7;
Fill mncT20(-2,9) = 1/14700*ep-317/3087000*ep^2-2824597/1296540000
      *ep^3+1840664773/544546800000*ep^4+5160486513443/228709656000000*
      ep^5-3560122043238587/96058055520000000*ep^6-3592319147675474317/
      40344383318400000000*ep^7;
Fill mncT20(-1,9) = 1/4410*ep+439/926100*ep^2-2704141/388962000*
      ep^3-2439933731/163364040000*ep^4+4525924032779/68612896800000*
      ep^5+4334721351052189/28817416656000000*ep^6-2595742332647374501/
      12103314995520000000*ep^7;
Fill mncT20(0,9) = 1/294*ep+1447/61740*ep^2-566677/25930800*ep^3-
      5484186467/10890936000*ep^4-4758952611397/4574193120000*ep^5+
      2540285288472973/1921161110400000*ep^6+6343021820786569643/
      806887666368000000*ep^7;
Fill mncT20(9,1) = -1/42-17/1960*ep+988423/2469600*ep^2+130080361/
      1037232000*ep^3-132124778273/435637440000*ep^4+39081330520489/
      182967724800000*ep^5-6586788769157777/76846444416000000*ep^6+
      185980547880647161/32275506654720000000*ep^7;
Fill mncT20(1,9) = -1/14-769/980*ep-1010321/411600*ep^2+205879523/
      57624000*ep^3+3214970899279/72606240000*ep^4+1341980656664563/
      10164873600000*ep^5+2648786268235471999/12807740736000000*ep^6+
      111206430729244472801/597694567680000000*ep^7;
Fill mncT20(9,2) = -367/210-4/3*ep^-1+1911101/88200*ep+1042101407/
      37044000*ep^2-86110890751/15558480000*ep^3-17042462394457/
      6534561600000*ep^4+7907446988034401/2744515872000000*ep^5-
      1909987388370169993/1152696666240000000*ep^6+
      360593021366279574449/484132599820800000000*ep^7;
Fill mncT20(2,9) = -927/70-4/3*ep^-1-1476577/44100*ep+179362247/
      2058000*ep^2+5488605605993/7779240000*ep^3+2014683523898821/
      1089093600000*ep^4+3664245722376390233/1372257936000000*ep^5+
      444631880836318614101/192116111040000000*ep^6+
      285964680277501203949673/242066299910400000000*ep^7;
Fill mncT20(9,3) = -1922/35-48*ep^-1+1897591/2450*ep+301069579/
      343000*ep^2-4948522049/48020000*ep^3+80071131619/6722800000*ep^4-
      18482489761289/941192000000*ep^5+4054917550304059/131766880000000
      *ep^6-671150217145542929/18447363200000000*ep^7;
Fill mncT20(3,9) = -11366/35-48*ep^-1-205412/1225*ep+1902910333/
      514500*ep^2+2921999991203/216090000*ep^3+2096541650905573/
      90757800000*ep^4+872516058420356243/38118276000000*ep^5+
      218759912343140716213/16009675920000000*ep^6+
      31304828540972694572483/6724063886400000000*ep^7;
Fill mncT20(9,4) = -6998/7-720*ep^-1+16770571/1470*ep+3293023879/
      205800*ep^2+51986235451/28812000*ep^3-478953480881/4033680000*
      ep^4-174098181323789/564715200000*ep^5+33227828264991559/
      79060128000000*ep^6-4997495429859605429/11068417920000000*ep^7;
Fill mncT20(4,9) = -26930/7-720*ep^-1+414236/147*ep+15650506589/
      308700*ep^2+17001990837739/129654000*ep^3+9261629868042749/
      54454680000*ep^4+2943607325873278459/22870965600000*ep^5+
      555461160879416285069/9605805552000000*ep^6+
      57306060764458096513579/4034438331840000000*ep^7;
Fill mncT20(9,5) = -239485/21-6600*ep^-1+59678963/588*ep+
      8999125993/49392*ep^2+273368291219/4148928*ep^3+1420652321425/
      348509952*ep^4-91124037255205/29274835968*ep^5+7058323649431945/
      2459086221312*ep^6-580884246540597565/206563242590208*ep^7;
Fill mncT20(5,9) = -625915/21-6600*ep^-1+43566575/882*ep+
      155241292369/370440*ep^2+134457514968671/155584800*ep^3+
      59632498889714041/65345616000*ep^4+15336180514258890431/
      27445158720000*ep^5+2297926022899138306921/11526966662400000*ep^6
      +179498239379029190470511/4841325998208000000*ep^7;
Fill mncT20(9,6) = -637747/7-43560*ep^-1+629646273/980*ep+
      119042517491/82320*ep^2+6030757537057/6914880*ep^3+
      107478921385259/580849920*ep^4-105005045961691/9758278656*ep^5+
      9404776725200503/819695407104*ep^6-803625993147487939/
      68854414196736*ep^7;
Fill mncT20(6,9) = -1213465/7-43560*ep^-1+60822598/147*ep+
      194807431393/77175*ep^2+71368977411709/16206750*ep^3+
      13453624222021897/3403417500*ep^4+1454776080000749701/
      714717675000*ep^5+90011618956532004433/150090711750000*ep^6+
      2743643791414346398189/31519049467500000*ep^7;
Fill mncT20(9,7) = -19467998/35-226512*ep^-1+23281533403/7350*ep+
      2995897232957/343000*ep^2+349928274306329/48020000*ep^3+
      17758196394663413/6722800000*ep^4+289303778474762561/941192000000
      *ep^5+5354563838385813917/131766880000000*ep^6-
      728064688677169586551/18447363200000000*ep^7;
Fill mncT20(7,9) = -28622858/35-226512*ep^-1+8945694844/3675*ep+
      4693005624746/385875*ep^2+754866033770809/40516875*ep^3+
      124746450400539397/8508543750*ep^4+11669819549415577201/
      1786794187500*ep^5+616262713609025641933/375226779375000*ep^6+
      14725587316264435085689/78797623668750000*ep^7;
Fill mncT20(9,8) = -41386202/15-981552*ep^-1+283630630979/22050*ep
      +395546421637189/9261000*ep^2+175501506642798899/3889620000*ep^3+
      37418073001064553109/1633640400000*ep^4+3822672350863462613219/
      686128968000000*ep^5+201003651603358538880229/288174166560000000*
      ep^6-13015469509985083840954861/121033149955200000000*ep^7;
Fill mncT20(8,9) = -344915714/105-981552*ep^-1+125188224652/11025*
      ep+57327608405708/1157625*ep^2+169691073788368/2480625*ep^3+
      616775730790589453/12762815625*ep^4+25521414100086000862/
      1340095640625*ep^5+338629746139766599031/80405738437500*ep^6+
      5334489504198746786392/14774554437890625*ep^7;
Fill mncT20(9,9) = -162519643/14-3680820*ep^-1+262595305811/5880*
      ep+87238249360337/493920*ep^2+9315219944358107/41489280*ep^3+
      101175453391617973/697019904*ep^4+15089495884566992579/
      292748359680*ep^5+253487005234871483393/24590862213120*ep^6+
      1215551950864982918123/2065632425902080*ep^7;
Fill mncT20(-8,10) = 6989/630-2/3*ep^-1-7598879/88200*ep+
      31062663437/74088000*ep^2-90185834954741/62233920000*ep^3+
      200027718470275613/52276492800000*ep^4-356375734682258371109/
      43912253952000000*ep^5+530222707622939017899437/
      36886293319680000000*ep^6-680570062541044177600183541/
      30984486388531200000000*ep^7;
Fill mncT20(-7,10) = 1/36-39/70*ep+10819859/2116800*ep^2-
      5690067863/197568000*ep^3+168826977118031/1493614080000*ep^4-
      139105240405756861/418211942400000*ep^5+814057139091381622319/
      1053894094848000000*ep^6-434739671197658213202989/
      295090346557440000000*ep^7;
Fill mncT20(-6,10) = 1/504*ep-4591/141120*ep^2+26553911/118540800*
      ep^3-26897921381/33191424000*ep^4+112312437169799/83642388480000*
      ep^5+1246257971347153/867402547200000*ep^6-902779206652686528649/
      59018069311488000000*ep^7;
Fill mncT20(-5,10) = 1/10584*ep-8513/8890560*ep^2+14714953/
      7468070400*ep^3+77922221551/6273179136000*ep^4-395835392153543/
      5269470474240000*ep^5+573426495672749599/4426355198361600000*ep^6
      +524137320920355217993/3718138366623744000000*ep^7;
Fill mncT20(-4,10) = 1/52920*ep-5237/44452800*ep^2-9426899/
      37340352000*ep^3+96602667307/31365895680000*ep^4-104343711700451/
      26347352371200000*ep^5-406631267957312357/22131775991808000000*
      ep^6+1117880930628043829101/18590691833118720000000*ep^7;
Fill mncT20(-3,10) = 1/88200*ep-2563/74088000*ep^2-20465941/
      62233920000*ep^3+58042373213/52276492800000*ep^4+116022719392091/
      43912253952000000*ep^5-426151338224718163/36886293319680000000*
      ep^6-85672237033648426741/30984486388531200000000*ep^7;
Fill mncT20(-2,10) = 1/52920*ep-29/44452800*ep^2-23874563/
      37340352000*ep^3+1050578059/31365895680000*ep^4+195040341925213/
      26347352371200000*ep^5-13916621286503909/22131775991808000000*
      ep^6-694671269087988790163/18590691833118720000000*ep^7;
Fill mncT20(-1,10) = 1/10584*ep+2743/8890560*ep^2-19721351/
      7468070400*ep^3-60095960177/6273179136000*ep^4+102403388672761/
      5269470474240000*ep^5+413805349718330527/4426355198361600000*ep^6
      -31882876948583817911/3718138366623744000000*ep^7;
Fill mncT20(0,10) = 1/504*ep+2201/141120*ep^2+99943/118540800*ep^3
      -10086927493/33191424000*ep^4-74798499514553/83642388480000*ep^5+
      1049867743032281/7806622924800000*ep^6+309267153569276240503/
      59018069311488000000*ep^7;
Fill mncT20(10,1) = -1/54-899/68040*ep+26608661/85730400*ep^2+
      22301027281/108020304000*ep^3-30764322105499/136105583040000*ep^4
      +13987748932332121/171493034630400000*ep^5+2191132024393214141/
      216081223634304000000*ep^6-9765119659651775911439/
      272262341779223040000000*ep^7;
Fill mncT20(1,10) = -1/18-551/840*ep-5115629/2116800*ep^2+75291971/
      65856000*ep^3+54543220808719/1493614080000*ep^4+54914876768924611/
      418211942400000*ep^5+262421756301034160431/1053894094848000000*
      ep^6+84934962247973108662739/295090346557440000000*ep^7;
Fill mncT20(10,2) = -1949/945-4/3*ep^-1+25400111/1190700*ep+
      50002245931/1500282000*ep^2-307591759849/1890355320000*ep^3-
      12413937459889229/2381847703200000*ep^4+8738028774226905791/
      3001128106032000000*ep^5-3763272666543821846789/
      3781421413600320000000*ep^6+933539887857059329141031/
      4764590981136403200000000*ep^7;
Fill mncT20(2,10) = -4469/315-4/3*ep^-1-3789689/88200*ep+
      4624227637/74088000*ep^2+47595938660059/62233920000*ep^3+
      123202774990297213/52276492800000*ep^4+177176618299181880091/
      43912253952000000*ep^5+160217365936094282497837/
      36886293319680000000*ep^6+93328469939078307903285259/
      30984486388531200000000*ep^7;
Fill mncT20(10,3) = -1627/21-60*ep^-1+25410289/26460*ep+
      41398021589/33339600*ep^2-190296782231/42007896000*ep^3-
      1878209166342451/52929948960000*ep^4-604812037282539071/
      66691735689600000*ep^5+2567279209147663019909/
      84031586968896000000*ep^6-3981515745958749550393511/
      105879799580808960000000*ep^7;
Fill mncT20(3,10) = -9305/21-60*ep^-1-1638433/3528*ep+7361205209/
      1646400*ep^2+81972708321109/4148928000*ep^3+138028550387269363/
      3485099520000*ep^4+138795980231409673141/2927483596800000*ep^5+
      89274855913501250589187/2459086221312000000*ep^6+
      36792670238896693428144709/2065632425902080000000*ep^7;
Fill mncT20(10,4) = -101455/63-1100*ep^-1+275221241/15876*ep+
      103162952009/4000752*ep^2+4293929585705/1008189504*ep^3-
      89566560900055/254063755008*ep^4-27959241939151255/64024066262016
      *ep^5+9610093290099320105/16134064698028032*ep^6-
      2555614242099467670295/4065784303903064064*ep^7;
Fill mncT20(4,10) = -408245/63-1100*ep^-1+11019805/10584*ep+
      707513577751/8890560*ep^2+1814527882945273/7468070400*ep^3+
      2338002817201507471/6273179136000*ep^4+1826951548514338306297/
      5269470474240000*ep^5+910205680939115610296479/
      4426355198361600000*ep^6+285848276162272279779022153/
      3718138366623744000000*ep^7;
Fill mncT20(10,5) = -1329680/63-12100*ep^-1+737272054/3969*ep+
      84298599661/250047*ep^2+3965429329817/31505922*ep^3+
      34545751893985/3969746172*ep^4-2913598743696175/500188017672*ep^5
      +327310681489923505/63023690226672*ep^6-40193360491207768015/
      7940984968560672*ep^7;
Fill mncT20(5,10) = -3815020/63-12100*ep^-1+672043865/10584*ep+
      7209932656511/8890560*ep^2+14657572049878313/7468070400*ep^3+
      15493420641913630511/6273179136000*ep^4+9940372453388210088377/
      5269470474240000*ep^5+4029824464487680025867039/
      4426355198361600000*ep^6+1009752034531660345101568073/
      3718138366623744000000*ep^7;
Fill mncT20(10,6) = -4079713/21-94380*ep^-1+36973908163/26460*ep+
      20570227539667/6667920*ep^2+3033514159050163/1680315840*ep^3+
      157783074769647667/423439591680*ep^4-528901375770096745/
      21341355420672*ep^5+141420471909363556055/5378021566009344*ep^6-
      36182184549508555154665/1355261434634354688*ep^7;
Fill mncT20(6,10) = -8757815/21-94380*ep^-1+285953499/392*ep+
      86753994798313/14817600*ep^2+148907578338425071/12446784000*ep^3+
      134583634360736251897/10455298560000*ep^4+73478148911479794387679/
      8782450790400000*ep^5+25084014386175340989180553/
      7377258663936000000*ep^6+5179409494638992212487851471/
      6196897277706240000000*ep^7;
Fill mncT20(10,7) = -61332271/45-572572*ep^-1+459094453861/56700*
      ep+1531948229048633/71442000*ep^2+1529532469520022109/90016920000
      *ep^3+659328793858498496657/113421319200000*ep^4+
      84193338407945687943061/142910862192000000*ep^5+
      20216629462246954713251753/180067686361920000000*ep^6-
      25198383738901657758085926131/226885284816019200000000*ep^7;
Fill mncT20(7,10) = -103252721/45-572572*ep^-1+201215003399/37800*
      ep+1052670739682273/31752000*ep^2+1584389477988125111/26671680000
      *ep^3+1260115013745961428977/22404211200000*ep^4+
      600882741173995469811239/18819537408000000*ep^5+
      177394318056845020827177473/15808411422720000000*ep^6+
      30877072102128585018070293911/13279065595084800000000*ep^7;
Fill mncT20(10,8) = -69552769/9-2862860*ep^-1+434310052219/11340*
      ep+7004672898859/58320*ep^2+350749945127471/2939328*ep^3+
      5985907366175321/105815808*ep^4+33984285466122253/2720977920*ep^5
      +1077468925693934797/685686435840*ep^6-265340658127773895/
      705277476864*ep^7;
Fill mncT20(8,10) = -95522999/9-2862860*ep^-1+223988205851/7560*ep
      +198479962759177/1270080*ep^2+53777209618419011/213373440*ep^3+
      7693053960436534657/35846737920*ep^4+653914768896638272619/
      6022251970560*ep^5+34140797356386788221753/1011738331054080*ep^6+
      1015649344346936894463059/169972039617085440*ep^7;
Fill mncT20(10,9) = -1551477785/42-12269400*ep^-1+1627394154415/
      10584*ep+7543699807403531/13335840*ep^2+2260333080623120459/
      3360631680*ep^3+68488673475056100559/169375836672*ep^4+
      5610227992150949456143/42682710841344*ep^5+
      1311677731027876338887819/53780215660093440*ep^6+
      8651031282978344750569931/13552614346343546880*ep^7;
Fill mncT20(9,10) = -1794820885/42-12269400*ep^-1+239935332475/
      1764*ep+629668364238581/987840*ep^2+156590334768924257/165957120*
      ep^3+20499084628777351687/27880796160*ep^4+315771825523270174417/
      936794750976*ep^5+74323934108207709515959/786907590819840*ep^6+
      1897257191439758631671453/132200475257733120*ep^7;
Fill mncT20(10,10) = -29016110695/189-139053200/3*ep^-1+
      51295527403105/95256*ep+554800602494906533/240045120*ep^2+
      385811958544034384741/120982740480*ep^3+140661160501409433770533/
      60975301201920*ep^4+5972748132827112581530465/6146310361153536*
      ep^5+3869486535735311109942990757/15488702110106910720*ep^6+
      252801220626197196603975986789/7806305863493883002880*ep^7;
Fill mncT20(-8,11) = 1/45-26147/56700*ep+314503993/71442000*ep^2-
      4672247765077/180033840000*ep^3+48585430711265383/453685276800000
      *ep^4-380328918935526024157/1143286897536000000*ep^5+
      2355753513241542036899503/2881082981790720000000*ep^6-
      11994690984462733167533127637/7260329114112614400000000*ep^7;
Fill mncT20(-7,11) = 1/810*ep-2704/127575*ep^2+199636513/
      1285956000*ep^3-1995408076687/3240609120000*ep^4+
      10224340091873773/8166334982400000*ep^5+3062687130877478033/
      20579164155648000000*ep^6-520441684605264413690507/
      51859493672232960000000*ep^7;
Fill mncT20(-6,11) = 1/22680*ep-27739/57153600*ep^2+190143577/
      144027072000*ep^3+1773216411677/362948221440000*ep^4-
      36478510676655983/914629518028800000*ep^5+213025599689219649557/
      2304866385432576000000*ep^6+25823821928182168153897/
      5808263291290091520000000*ep^7;
Fill mncT20(-5,11) = 1/158760*ep-18259/400075200*ep^2-42826943/
      1008189504000*ep^3+2792731196837/2540637550080000*ep^4-
      15257122560999623/6402406626201600000*ep^5-72057915083762142883/
      16134064698028032000000*ep^6+1048481151803125953568657/
      40657843039030640640000000*ep^7;
Fill mncT20(-4,11) = 1/396900*ep-10741/1000188000*ep^2-157966961/
      2520473760000*ep^3+2107310654219/6351593875200000*ep^4+
      4112759245162999/16006016565504000000*ep^5-127771563484297264621/
      40335161745070080000000*ep^6+278278827257519879603359/
      101644607597576601600000000*ep^7;
Fill mncT20(-3,11) = 1/396900*ep-3937/1000188000*ep^2-210282917/
      2520473760000*ep^3+854058291143/6351593875200000*ep^4+
      14775607543376803/16006016565504000000*ep^5-63828658282050504337/
      40335161745070080000000*ep^6-426307863125758838992277/
      101644607597576601600000000*ep^7;
Fill mncT20(-2,11) = 1/158760*ep+2909/400075200*ep^2-213430439/
      1008189504000*ep^3-616012478899/2540637550080000*ep^4+
      15517870030957921/6402406626201600000*ep^5+44100435572401587941/
      16134064698028032000000*ep^6-489711926329196193101639/
      40657843039030640640000000*ep^7;
Fill mncT20(-1,11) = 1/22680*ep+10709/57153600*ep^2-155964239/
      144027072000*ep^3-2053868599099/362948221440000*ep^4+
      4069364964561721/914629518028800000*ep^5+119364550389240467741/
      2304866385432576000000*ep^6+235916137925621445854161/
      5808263291290091520000000*ep^7;
Fill mncT20(0,11) = 1/810*ep+10957/1020600*ep^2+22583903/
      2571912000*ep^3-1215189224897/6481218240000*ep^4-
      11668893306785437/16332669964800000*ep^5-16631285284456701377/
      41158328311296000000*ep^6+338687575181190386905883/
      103718987344465920000000*ep^7;
Fill mncT20(11,1) = -2/135-1277/85050*ep+5272819/21432600*ep^2+
      32420731771/135025380000*ep^3-24884699324761/170131978800000*ep^4
      +877170235707523/214366293288000000*ep^5+431294678094566183/
      10804061181715200000*ep^6-11101862956279817955509/
      340327927224028800000000*ep^7;
Fill mncT20(1,11) = -2/45-15787/28350*ep-165472523/71442000*ep^2-
      94806134083/180033840000*ep^3+13480153502466457/453685276800000*
      ep^4+144332077982983518797/1143286897536000000*ep^5+
      799738990143425794611937/2881082981790720000000*ep^6+
      2780184952336921654642411877/7260329114112614400000000*ep^7;
Fill mncT20(11,2) = -443/189-4/3*ep^-1+24954589/1190700*ep+
      56879937521/1500282000*ep^2+11106698706037/1890355320000*ep^3-
      3120371445926603/476369540640000*ep^4+6337559480392402669/
      3001128106032000000*ep^5-802323359467672495519/
      3781421413600320000000*ep^6-878349940275150126806363/
      4764590981136403200000000*ep^7;
Fill mncT20(2,11) = -947/63-4/3*ep^-1-8261273/158760*ep+
      68650827643/2000376000*ep^2+4041395928763343/5040947520000*ep^3+
      36144888420286029403/12703187750400000*ep^4+
      178469723699462169924263/32012033131008000000*ep^5+
      568080644193290747038448323/80670323490140160000000*ep^6+
      1219971083440710736567469629583/203289215195153203200000000*ep^7;
Fill mncT20(11,3) = -19829/189-220/3*ep^-1+276927239/238140*ep+
      505207738627/300056400*ep^2+63501959137871/378071064000*ep^3-
      39710932734584117/476369540640000*ep^4-4563193440360605641/
      600225621206400000*ep^5+26292061130570278605907/
      756284282720064000000*ep^6-38196898053936606613766689/
      952918196227280640000000*ep^7;
Fill mncT20(3,11) = -36713/63-220/3*ep^-1-27788827/31752*ep+
      2048778623153/400075200*ep^2+27416145505257997/1008189504000*ep^3
      +158094438163349028977/2540637550080000*ep^4+
      552091808866470861004117/6402406626201600000*ep^5+
      1275457699271168743747439657/16134064698028032000000*ep^6+
      1998649653091290825543772425997/40657843039030640640000000*ep^7;
Fill mncT20(11,4) = -470888/189-4840/3*ep^-1+1504210052/59535*ep+
      748220763334/18753525*ep^2+51997825155383/5907360375*ep^3-
      2233506982830133/3721637036250*ep^4-1539577334973512617/
      2344631332837500*ep^5+1216832623862673542867/1477117739687625000*
      ep^6-781342168281818241635617/930584176003203750000*ep^7;
Fill mncT20(4,11) = -72204/7-4840/3*ep^-1-52479467/15876*ep+
      23436031599433/200037600*ep^2+209250569606046317/504094752000*
      ep^3+927061733491696444897/1270318775040000*ep^4+
      2545717899015437717478437/3201203313100800000*ep^5+
      4638246719924098159411232377/8067032349014016000000*ep^6+
      5695531434939204336385594745117/20328921519515320320000000*ep^7;
Fill mncT20(11,5) = -7036304/189-62920/3*ep^-1+19109741516/59535*
      ep+11148348422482/18753525*ep^2+1383040348370609/5907360375*ep^3+
      69240298766882141/3721637036250*ep^4-24235833552204615391/
      2344631332837500*ep^5+12909022947114817211141/1477117739687625000
      *ep^6-7857634528563184145244391/930584176003203750000*ep^7;
Fill mncT20(5,11) = -7211248/63-62920/3*ep^-1+983594785/15876*ep+
      290614584662929/200037600*ep^2+2037550259967408341/504094752000*
      ep^3+7442881824882293355241/1270318775040000*ep^4+
      16951535455849893313238861/3201203313100800000*ep^5+
      25519844571705379609417327681/8067032349014016000000*ep^6+
      25633507123853709868213842256901/20328921519515320320000000*ep^7;
Fill mncT20(11,6) = -52743691/135-572572/3*ep^-1+481246804081/
      170100*ep+1329824571334613/214326000*ep^2+971006149559484649/
      270050760000*ep^3+251506211043514944077/340263957600000*ep^4-
      21439270230330588569279/428732586576000000*ep^5+
      29221122958985801912348933/540203059085760000000*ep^6-
      37471255381675694561272477991/680655854448057600000000*ep^7;
Fill mncT20(6,11) = -8295859/9-572572/3*ep^-1+25510085683/22680*ep
      +3551842715122507/285768000*ep^2+20948193232373944247/
      720135360000*ep^3+65706895895295870418387/1814741107200000*ep^4+
      128406627511162745392127327/4573147590144000000*ep^5+
      164840402041006704972195159067/11524331927162880000000*ep^6+
      139558013260638558379566836689607/29041316456450457600000000*ep^7
      ;
Fill mncT20(11,7) = -420737317/135-4008004/3*ep^-1+462259075321/
      24300*ep+214724774400539/4374000*ep^2+29586591739590721/787320000
      *ep^3+1752386078381718419/141717600000*ep^4+28780910347911200041/
      25509168000000*ep^5+1279406537518104957899/4591650240000000*ep^6-
      229085254583046229656239/826497043200000000*ep^7;
Fill mncT20(7,11) = -87814727/15-4008004/3*ep^-1+168388904951/
      16200*ep+668932208137751/8164800*ep^2+690456962681880407/
      4115059200*ep^3+382316164767461533079/2073989836800*ep^4+
      131374730442335984422871/1045290877747200*ep^5+
      29451668617100409822829079/526826602384588800*ep^6+
      4298485567313099883568649303/265520607601832755200*ep^7;
Fill mncT20(11,8) = -540103850/27-22902880/3*ep^-1+352334627279/
      3402*ep+954481243326113/3061800*ep^2+162922369695635827/551124000
      *ep^3+13188105259619457353/99202320000*ep^4+484231845706430874667/
      17856417600000*ep^5+11357490250559991360113/3214155168000000*ep^6
      -93171355575157108847099/82649704320000000*ep^7;
Fill mncT20(8,11) = -278298878/9-22902880/3*ep^-1+78481792553/1134
      *ep+6337013067965729/14288400*ep^2+5876486332167622433/7201353600
      *ep^3+2931531259395880204001/3629482214400*ep^4+
      902430248749912316545697/1829259036057600*ep^5+
      180048870762373942770655841/921946554173030400*ep^6+
      23038625213157146149732289057/464661063303207321600*ep^7;
Fill mncT20(11,9) = -20351173700/189-111242560/3*ep^-1+
      5659985460628/11907*ep+31065153578778268/18753525*ep^2+
      11029959417983632076/5907360375*ep^3+1968993138614985084262/
      1860818518125*ep^4+187148586148749179856494/586157833209375*ep^5+
      20758050269991045401087381/369279434921906250*ep^6-
      43646781901202777076923753/116323022000400468750*ep^7;
Fill mncT20(9,11) = -8873230652/63-111242560/3*ep^-1+1468570725121/
      3969*ep+102765551998267393/50009400*ep^2+87284472173988006721/
      25204737600*ep^3+39867832754385999134977/12703187750400*ep^4+
      11162337618007704436571329/6402406626201600*ep^5+
      2014240413580560291418836097/3226812939605606400*ep^6+
      228814591882979863068211948609/1626313721561225625600*ep^7;
Fill mncT20(11,10) = -94741819315/189-472780880/3*ep^-1+
      180297184094977/95256*ep+9118863522554161721/1200225600*ep^2+
      29927441942413957862621/3024568512000*ep^3+
      51265162642949916903220241/7621912650240000*ep^4+
      50611485632739890754525904661/19207219878604800000*ep^5+
      30557117502286964177908981981481/48402194094084096000000*ep^6+
      8383660765528111776131513929986701/121973529117091921920000000*
      ep^7;
Fill mncT20(10,11) = -107317790723/189-472780880/3*ep^-1+
      159839596776809/95256*ep+10066575267559676161/1200225600*ep^2+
      7949241304220457840833/604913702400*ep^3+
      3368770753942166607984769/304876506009600*ep^4+
      868804406144078288138238017/153657759028838400*ep^5+
      143799070774665462539681261569/77443510550534553600*ep^6+
      14628629715363870667722576619457/39031529317469415014400*ep^7;
Fill mncT20(11,11) = -43385111341/21-1796567344/3*ep^-1+
      1060036310136481/158760*ep+61604066404115591833/2000376000*ep^2+
      228884609343272106236093/5040947520000*ep^3+
      455020027442906394694864753/12703187750400000*ep^4+
      546376060759702924146035482613/32012033131008000000*ep^5+41993152\
      4195453547677148509793673/80670323490140160000000*ep^6+1923184661\
      12414497744666119492941933/203289215195153203200000000*ep^7;
Fill mncT20(-8,12) = 2/2475*ep-22493/1559250*ep^2+218502451/
      1964655000*ep^3-2349660195649/4950930600000*ep^4+
      13855351976586811/12476345112000000*ep^5-1501328314223600459/
      2858217243840000000*ep^6-515371431824006885255069/
      79229781999244800000000*ep^7;
Fill mncT20(-7,12) = 1/44550*ep-337/1275750*ep^2+61120681/
      70727580000*ep^3+344036023481/178233501600000*ep^4-
      9912082655994059/449148424032000000*ep^5+71240048932399725881/
      1131854028560640000000*ep^6-106373437385656050719939/
      2852272151972812800000000*ep^7;
Fill mncT20(-6,12) = 1/415800*ep-20431/1047816000*ep^2-1713851/
      2640496320000*ep^3+2858826253049/6654050726400000*ep^4-
      1943494843398601/1524382530048000000*ep^5-34843306318971418351/
      42255883732930560000000*ep^6+1181771600368991207342869/
      106484827006985011200000000*ep^7;
Fill mncT20(-5,12) = 1/1455300*ep-13261/3667356000*ep^2-128994521/
      9241737120000*ep^3+225858582889/2117197958400000*ep^4-
      1493331988200881/58688727406848000000*ep^5-12186048061417259711/
      13445053915023360000000*ep^6+607067991728251341452599/
      372696894524447539200000000*ep^7;
Fill mncT20(-4,12) = 1/2182950*ep-6961/5501034000*ep^2-195710261/
      13862605680000*ep^3+134434642309/3175796937600000*ep^4+
      11634890941012819/88033091110272000000*ep^5-106091551377803880481/
      221843389597885440000000*ep^6-194490445977670248157541/
      559045341786671308800000000*ep^7;
Fill mncT20(-3,12) = 1/1455300*ep-83/333396000*ep^2-220410293/
      9241737120000*ep^3+210714238967/23289177542400000*ep^4+
      16986250262494867/58688727406848000000*ep^5-17534858327267001313/
      147895593065256960000000*ep^6-53950850554718271541903/
      33881535865858867200000000*ep^7;
Fill mncT20(-2,12) = 1/415800*ep+5417/1047816000*ep^2-204952283/
      2640496320000*ep^3-1148154425623/6654050726400000*ep^4+
      13719762315932077/16768207830528000000*ep^5+82354683712516220897/
      42255883732930560000000*ep^6-360592481060751846188123/
      106484827006985011200000000*ep^7;
Fill mncT20(-1,12) = 1/44550*ep+6421/56133000*ep^2-66149329/
      141455160000*ep^3-1188965620049/356467003200000*ep^4-
      221054554107949/898296848064000000*ep^5+63193246467668329711/
      2263708057121280000000*ep^6+247144393114015356589451/
      5704544303945625600000000*ep^7;
Fill mncT20(0,12) = 2/2475*ep+11881/1559250*ep^2+43128791/
      3929310000*ep^3-1167034595129/9901861200000*ep^4-
      13902795158161429/24952690224000000*ep^5-38918613124480423769/
      62880779364480000000*ep^6+301219009915298674283171/
      158459563998489600000000*ep^7;
Fill mncT20(12,1) = -2/165-17687/1143450*ep+629619443/3169643400*
      ep^2+54869530854601/219656287620000*ep^3-236791817606262161/
      3044436146413200000*ep^4-1506330674134454001767/
      42195884989286952000000*ep^5+4753558400816512202680019/
      116966993190303430944000000*ep^6-158572753690015674796506412439/
      8105812628088027764419200000000*ep^7;
Fill mncT20(1,12) = -2/55-503/1050*ep-5797859/2646000*ep^2-
      11223780619/6667920000*ep^3+401682583632721/16803158400000*ep^4+
      5036369070856670501/42343959168000000*ep^5+
      31516286024844460680601/106706777103360000000*ep^6+
      125473173343428294404555261/268901078300467200000000*ep^7;
Fill mncT20(12,2) = -27011/10395-4/3*ep^-1+2962227307/144074700*ep
      +83851734855421/1996875342000*ep^2+340784220710686363/
      27676692240120000*ep^3-2564314134656350362611/
      383598954448063200000*ep^4+4760479695314448051117067/
      5316681508650155952000000*ep^5+31470991323072783006126255901/
      73689205709891161494720000000*ep^6-358822889122081761292607704248\
      197/1021332391139091498316819200000000*ep^7;
Fill mncT20(2,12) = -54731/3465-4/3*ep^-1-530146163/8731800*ep+
      82391869829/22004136000*ep^2+45400018770731329/55450422720000*
      ep^3+462040071431537777429/139735065254400000*ep^4+
      2551560118802052705626569/352132364441088000000*ep^5+
      9209438743044672761697666029/887373558391541760000000*ep^6+
      23052496167574323893731786119649/2236181367146685235200000000*
      ep^7;
Fill mncT20(12,3) = -43312/315-88*ep^-1+1507593656/1091475*ep+
      8347909082192/3781960875*ep^2+5626819356909944/13104494431875*
      ep^3-5446860170840086192/45407073206446875*ep^4-
      2801810568849002543944/157335508660338421875*ep^5+
      22978153899253943955578192/545167537508072631796875*ep^6-
      80599161013875651504322562056/1889005517465471669176171875*ep^7;
Fill mncT20(3,12) = -78172/105-88*ep^-1-2056169623/1455300*ep+
      20458137628129/3667356000*ep^2+330389523420477989/9241737120000*
      ep^3+2135139858707788205689/23289177542400000*ep^4+
      8398244536711974210259229/58688727406848000000*ep^5+
      2028065605242058154502916499/13445053915023360000000*ep^6+
      41564887613901430763563905313109/372696894524447539200000000*ep^7
      ;
Fill mncT20(12,4) = -1172312/315-2288*ep^-1+38835250156/1091475*ep
      +225339447605242/3781960875*ep^2+216338467145591419/
      13104494431875*ep^3-60032099225469459859/90814146412893750*ep^4-
      650159937005088568057301/629342034641353687500*ep^5+
      4846816427821889535364216061/4361340300064581054375000*ep^6-
      32715926784717083054856704632421/30224088279447546706818750000*
      ep^7;
Fill mncT20(4,12) = -1647472/105-2288*ep^-1-8402018299/727650*ep+
      27261205216907/166698000*ep^2+3076120879938673757/4620868560000*
      ep^3+15292398775036283258257/11644588771200000*ep^4+
      47701573848044333779312277/29344363703424000000*ep^5+
      101208490355477062082634751657/73947796532628480000000*ep^6+
      150418495414734406395183414920717/186348447262223769600000000*
      ep^7;
Fill mncT20(12,5) = -8503768/135-104104/3*ep^-1+247398715904/
      467775*ep+1629485641507628/1620840375*ep^2+2373118751973112046/
      5616211899375*ep^3+766762384507601803997/19460174231334375*ep^4-
      2363643287679884778386717/134859007423147218750*ep^5+
      12950933290811334864901411637/934572921442410225937500*ep^6-
      85953860742239831324387073325757/6476590345595902865746875000*
      ep^7;
Fill mncT20(5,12) = -9181328/45-104104/3*ep^-1+13575785633/623700*
      ep+3839039724199261/1571724000*ep^2+30516994282482740561/
      3960744480000*ep^3+125491163916964100760661/9981076089600000*ep^4
      +29737296399955952103342811/2286573795072000000*ep^5+
      579710544455724510539591322061/63383825599395840000000*ep^6+
      715808475376699782234461007720641/159727240510477516800000000*
      ep^7;
Fill mncT20(12,6) = -33628049/45-364364*ep^-1+96192899939/17820*ep
      +83735120060887/7056720*ep^2+19323093245698331/2794461120*ep^3+
      1597072285960429327/1106606603520*ep^4-7919275514146040105/
      87643242998784*ep^5+3552188032202859939035/34706724227518464*ep^6
      -1440080782227043570285745/13743862794097311744*ep^7;
Fill mncT20(6,12) = -28504021/15-364364*ep^-1+86830608131/59400*ep
      +734206223936771/29937600*ep^2+4883366874597359311/75442752000*
      ep^3+1572424269712592014273/17283248640000*ep^4+
      38927949613790444470952119/479091652300800000*ep^5+
      5396447563341434741021520217/109755542163456000000*ep^6+
      62624819824433843360574121120351/3042423628771000320000000*ep^7;
Fill mncT20(12,7) = -302363698/45-2914912*ep^-1+1856272952251/
      44550*ep+9342090141740299/88209000*ep^2+13869074243116126171/
      174653820000*ep^3+8830048938657706403659/345814563600000*ep^4+
      1492620402543104359660411/684712835928000000*ep^5+
      856538322760243635942936619/1355731415137440000000*ep^6-
      1688116082198486919685878291749/2684348201972131200000000*ep^7;
Fill mncT20(7,12) = -207081238/15-2914912*ep^-1+268968283117/14850
      *ep+1396616924272909/7484400*ep^2+8105194724369359649/18860688000
      *ep^3+2309125255925628788687/4320812160000*ep^4+
      50513168877883646002229561/119772913075200000*ep^5+
      67744513393810436328130668253/301827740949504000000*ep^6+
      62356736938318548563887480868369/760605907192750080000000*ep^7;
Fill mncT20(12,8) = -6536596144/135-56632576/3*ep^-1+
      120931005267848/467775*ep+175041002713936028/231548625*ep^2+
      79393608645890215778/114616569375*ep^3+16991898559268557273103/
      56735201840625*ep^4+3224747311305016028667481/56167849822218750*
      ep^5+435896541443510777654766887/55606171323996562500*ep^6-
      23682755535536203254529292393/7864301372965228125000*ep^7;
Fill mncT20(8,12) = -3718119184/45-56632576/3*ep^-1+22757757934616/
      155925*ep+2056971357840337/1786050*ep^2+117727581874834369363/
      49509306000*ep^3+332912596872915452927759/124763451120000*ep^4+
      595422790955399649153509707/314403896822400000*ep^5+
      714553808577059858561286134711/792297819992448000000*ep^6+
      53032437404599922256094807632473/181508227852815360000000*ep^7;
Fill mncT20(12,9) = -30586880012/105-103152192*ep^-1+
      488932975125604/363825*ep+5668204003353291208/1260653625*ep^2+
      21222878843379055210306/4368164810625*ep^3+
      39744526937313474793191817/15135691068815625*ep^4+
      78127119523706859864460684763/104890339106892281250*ep^5+
      92103011750683067370653062390357/726890050010763509062500*ep^6-
      25367893149715034928363018557081677/5037348046574591117803125000*
      ep^7;
Fill mncT20(9,12) = -14803351732/35-103152192*ep^-1+
      110367664342393/121275*ep+368189991665628469/61122600*ep^2+
      1751194051161962907161/154028952000*ep^3+
      4537517142254041716605053/388152959040000*ep^4+
      7402687109353686023733886769/978145456780800000*ep^5+
      8064092355598721330917237510837/2464926551087616000000*ep^6+
      5916078068867874734554362261392201/6211614908740792320000000*ep^7
      ;
Fill mncT20(12,10) = -158412721987/105-489972912*ep^-1+
      5849146887839369/970200*ep+68673472101860493751/2988216000*ep^2+
      788229787850303350529627/27611115840000*ep^3+
      4701020664894908249462605679/255126710361600000*ep^4+
      15996340121811369244438462572083/2357370803741184000000*ep^5+
      33460864209537581893992148971349991/21782106226568540160000000*
      ep^6+27569238442009971558605943562679138507/
      201266661533493311078400000000*ep^7;
Fill mncT20(10,12) = -66592771297/35-489972912*ep^-1+
      4578441420134969/970200*ep+13459646071859769113/488980800*ep^2+
      59393041080231411111613/1232231616000*ep^3+
      142777281638403780886792049/3105223672320000*ep^4+
      214984838198029606718937612277/7825163654246400000*ep^5+215203466\
      509041164904315349757321/19719412408700928000000*ep^6+14337276718\
      2588005601956391576090733/49692919269926338560000000*ep^7;
Fill mncT20(12,11) = -723032016122/105-6206323552/3*ep^-1+
      104162400926453033/4365900*ep+12508646427498493030079/
      121022748000*ep^2+485890641303307979116867529/3354750574560000*
      ep^3+10064385504488817240261180620399/92993685926803200000*ep^4+
      124972497692422610179547076737436569/2577784973890984704000000*
      ep^5+992199160044449632492534986817865655839/
      71456199476258095994880000000*ep^6+451350684551138851358748106680\
      7959547119209/1980765849481874420978073600000000*ep^7;
Fill mncT20(11,12) = -805971067226/105-6206323552/3*ep^-1+
      92535747249432833/4365900*ep+1236170371999679868421/11002068000*
      ep^2+5120897001797766164692121/27725211360000*ep^3+
      11540646881421364916173223101/69867532627200000*ep^4+
      16199563147939730895186788306801/176066182220544000000*ep^5+
      15061688116630856758209777010102261/443686779195770880000000*ep^6
      +9189187343155869163780920277149867401/
      1118090683573342617600000000*ep^7;
Fill mncT20(12,12) = -1551571532628/55-7898957248*ep^-1+
      96822514787659253/1143450*ep+75465162555986696117/181122480*ep^2+
      2328373358952081970708537/3586225104000*ep^3+
      7799193295732468711266224713/14201451411840000*ep^4+
      16177806608576828304410714549977/56237747590886400000*ep^5+
      22163752359183771036943712558576233/222701480459910144000000*ep^6
      +2798665797348194146080648936287543551/
      125985408945892024320000000*ep^7;
Fill mncT11(-8,-8) = 1/10914146614800*ep+913639927/
      2540732130674625888000*ep^2+646160075957812307/
      591463536974000687509793280000*ep^3+435925347773935674798933511/
      137688310918832273487164802721996800000*ep^4+26789323013165445935\
      522322722718913/2913892216442810650517929233413509398528000000*
      ep^5+15484592047608425610769942213482213159362299/573973593455981\
      218017128830276680946626255912960000000*ep^6+13872091908530167232\
      3691776089457915276056100157919331/173701816850922249570363207524\
      8882856288543203510242508800000000*ep^7;
Fill mncT11(-7,-8) = 1/2297715076800*ep+47719103/
      28152156572572032000*ep^2+1771794534564697/
      344926978844729953351680000*ep^3+62875160855488080534119/42261281\
      27280554123653587763200000*ep^4+203364901470710565487898929883/
      4707230553290172405090312194162688000000*ep^5+6187418313426240472\
      949520054524643971/48801177170514138571844691804298952048640000000
      *ep^6+2917698150893880461517982431358577178745562761/777300855468\
      3581939281479287259949299229576396800000000*ep^7;
Fill mncT11(-8,-7) = 1/2297715076800*ep+47719103/
      28152156572572032000*ep^2+1771794534564697/
      344926978844729953351680000*ep^3+62875160855488080534119/42261281\
      27280554123653587763200000*ep^4+203364901470710565487898929883/
      4707230553290172405090312194162688000000*ep^5+6187418313426240472\
      949520054524643971/48801177170514138571844691804298952048640000000
      *ep^6+2917698150893880461517982431358577178745562761/777300855468\
      3581939281479287259949299229576396800000000*ep^7;
Fill mncT11(-7,-7) = 1/540638841600*ep+47088473/
      6624036840605184000*ep^2+1740735607875907/
      81159289139936459612160000*ep^3+61710246390163863116309/994383088\
      771895087918491238400000*ep^4+18145279768896213003617836483/
      100689423599789784066102934634496000000*ep^5+60740193034459592845\
      06801499568627641/11482629922473914958081103953952694599680000000
      *ep^6+2864714758136116290504088607812640547820446571/182894318933\
      7313397477995126414105717465782681600000000*ep^7;
Fill mncT11(-6,-8) = 1/420496876800*ep+47647603/
      5152028653804032000*ep^2+252652011875171/
      9017698793326273290240000*ep^3+62758393658605967256619/7734090690\
      44807290603270963200000*ep^4+202991355400418820856033898383/
      861453957464868152565547329650688000000*ep^5+61761836851963724016\
      94255130610280471/8930934384146378300729747519740984688640000000*
      ep^6+2912441802087726113503892769961220128709576261/1422511369484\
      577086927329542766526669140053196800000000*ep^7;
Fill mncT11(-8,-6) = 1/420496876800*ep+47647603/
      5152028653804032000*ep^2+252652011875171/
      9017698793326273290240000*ep^3+62758393658605967256619/7734090690\
      44807290603270963200000*ep^4+202991355400418820856033898383/
      861453957464868152565547329650688000000*ep^5+61761836851963724016\
      94255130610280471/8930934384146378300729747519740984688640000000*
      ep^6+2912441802087726113503892769961220128709576261/1422511369484\
      577086927329542766526669140053196800000000*ep^7;
Fill mncT11(-6,-7) = 1/111307996800*ep+1374167/40110949726848000*
      ep^2+212921373991/2064911691938135040000*ep^3+1553214928064243711/
      5208781041147784401100800000*ep^4+147761239585655454936803/
      170639666908001416980062208000000*ep^5+
      132267259923146695228960698779/5203144723358779206556056846336000\
      0000*ep^6+1834936426167152962158502027963907521/24375068022624405\
      7733690283868933324800000000*ep^7;
Fill mncT11(-7,-6) = 1/111307996800*ep+1374167/40110949726848000*
      ep^2+212921373991/2064911691938135040000*ep^3+1553214928064243711/
      5208781041147784401100800000*ep^4+147761239585655454936803/
      170639666908001416980062208000000*ep^5+
      132267259923146695228960698779/5203144723358779206556056846336000\
      0000*ep^6+1834936426167152962158502027963907521/24375068022624405\
      7733690283868933324800000000*ep^7;
Fill mncT11(-6,-6) = 1/25971865920*ep+54143/374368864117248*ep^2+
      1461092694913/3372689096832287232000*ep^3+1521012295134409487/
      1215382242934483026923520000*ep^4+144702912918207566541491/
      39815922278533663962014515200000*ep^5+
      18508492482138886366234578941/17343815744529264021853522821120000\
      00*ep^6+1797716833285025988299632313966030257/5687515871945694680\
      4527732902751109120000000*ep^7;
Fill mncT11(-5,-8) = 1/64929664800*ep+706031/11699027003664000*
      ep^2+773062372651/4215861371040359040000*ep^3+807498349191499313/
      1519227803668103783654400000*ep^4+76823629227236577459749/
      49769902848167079952518144000000*ep^5+
      9819993526068589010296132091/2167976968066158002731690352640000000
      *ep^6+953277297809054174463751518023919943/7109394839932118350565\
      9666128438886400000000*ep^7;
Fill mncT11(-8,-5) = 1/64929664800*ep+706031/11699027003664000*
      ep^2+773062372651/4215861371040359040000*ep^3+807498349191499313/
      1519227803668103783654400000*ep^4+76823629227236577459749/
      49769902848167079952518144000000*ep^5+
      9819993526068589010296132091/2167976968066158002731690352640000000
      *ep^6+953277297809054174463751518023919943/7109394839932118350565\
      9666128438886400000000*ep^7;
Fill mncT11(-5,-7) = 1/19478899440*ep+55001/280776648087936*ep^2+
      1492077713263/2529516822624215424000*ep^3+1555178717410960337/
      911536682200862270192640000*ep^4+147952472132586332292941/
      29861941708900247971510886400000*ep^5+
      18919560052256680892619793091/13007861808396948016390142115840000\
      00*ep^6+1837260829293009111931992803283793807/4265636903959271010\
      3395799677063331840000000*ep^7;
Fill mncT11(-7,-5) = 1/19478899440*ep+55001/280776648087936*ep^2+
      1492077713263/2529516822624215424000*ep^3+1555178717410960337/
      911536682200862270192640000*ep^4+147952472132586332292941/
      29861941708900247971510886400000*ep^5+
      18919560052256680892619793091/13007861808396948016390142115840000\
      00*ep^6+1837260829293009111931992803283793807/4265636903959271010\
      3395799677063331840000000*ep^7;
Fill mncT11(-5,-6) = 1/5194373184*ep+191897/267406331512320*ep^2+
      1446714588313/674537819366457446400*ep^3+215051810762400977/
      34725206940985229340672000*ep^4+143219674905396635366459/
      7963184455706732792402903040000*ep^5+3664181241363054081390820657/
      69375262978117056087414091284480000*ep^6+177966222728730279808041\
      8636146022281/11375031743891389360905546580550221824000000*ep^7;
Fill mncT11(-6,-5) = 1/5194373184*ep+191897/267406331512320*ep^2+
      1446714588313/674537819366457446400*ep^3+215051810762400977/
      34725206940985229340672000*ep^4+143219674905396635366459/
      7963184455706732792402903040000*ep^5+3664181241363054081390820657/
      69375262978117056087414091284480000*ep^6+177966222728730279808041\
      8636146022281/11375031743891389360905546580550221824000000*ep^7;
Fill mncT11(-5,-5) = 1/1198701504*ep+188597/61709153425920*ep^2+
      1414297457413/155662573699951718400*ep^3+209999513637846077/
      8013509294073514463232000*ep^4+139865314491088852726559/
      1837657951316938336708362240000*ep^5+6647323484389435682887060543/
      29732255562050166894606039121920000*ep^6+173883104118860105960254\
      7272062669781/2625007325513397544824356903203897344000000*ep^7;
Fill mncT11(-4,-8) = 1/8116208100*ep+360523/731189187729000*ep^2+
      796068085381/526982671380044880000*ep^3+833476858455336443/
      189903475458512972956800000*ep^4+655469297865210512759/
      51415188892734586727808000000*ep^5+10134991322589328335836007761/
      270997121008269750341461294080000000*ep^6+98355590443149206961818\
      8404831674773/8886743549915147938207458266054860800000000*ep^7;
Fill mncT11(-8,-4) = 1/8116208100*ep+360523/731189187729000*ep^2+
      796068085381/526982671380044880000*ep^3+833476858455336443/
      189903475458512972956800000*ep^4+655469297865210512759/
      51415188892734586727808000000*ep^5+10134991322589328335836007761/
      270997121008269750341461294080000000*ep^6+98355590443149206961818\
      8404831674773/8886743549915147938207458266054860800000000*ep^7;
Fill mncT11(-4,-7) = 1/2782699920*ep+1393901/1002773743171200*ep^2
      +304084749167/72271909217834726400*ep^3+1586927072279333909/
      130219526028694610027520000*ep^4+150985799237567250731777/
      4265991672700035424501555200000*ep^5+
      135124214381258453218269622313/1300786180839694801639014211584000\
      000*ep^6+1874171797982341457035236348912116299/609376700565610144\
      3342257096723333120000000*ep^7;
Fill mncT11(-7,-4) = 1/2782699920*ep+1393901/1002773743171200*ep^2
      +304084749167/72271909217834726400*ep^3+1586927072279333909/
      130219526028694610027520000*ep^4+150985799237567250731777/
      4265991672700035424501555200000*ep^5+
      135124214381258453218269622313/1300786180839694801639014211584000\
      000*ep^6+1874171797982341457035236348912116299/609376700565610144\
      3342257096723333120000000*ep^7;
Fill mncT11(-4,-6) = 1/856215360*ep+1349351/308545767129600*ep^2+
      291188566637/22237510528564531200*ep^3+1515740361197464559/
      40067546470367572316160000*ep^4+144212179045019487639827/
      1312612822369241669077401600000*ep^5+
      1678633602897853571733189658319/520314472335877920655605684633600\
      0000*ep^6+1791738060295659142300101846969693649/18750052325095696\
      74874540645145640960000000*ep^7;
Fill mncT11(-6,-4) = 1/856215360*ep+1349351/308545767129600*ep^2+
      291188566637/22237510528564531200*ep^3+1515740361197464559/
      40067546470367572316160000*ep^4+144212179045019487639827/
      1312612822369241669077401600000*ep^5+
      1678633602897853571733189658319/520314472335877920655605684633600\
      0000*ep^6+1791738060295659142300101846969693649/18750052325095696\
      74874540645145640960000000*ep^7;
Fill mncT11(-4,-5) = 1/230519520*ep+14411/912857299200*ep^2+
      1659590243/35426166067353600*ep^3+94747430653571/
      701438088133601280000*ep^4+4854449588337788357/
      12373367874676726579200000*ep^5+621220901790108576028619/
      538983904620918209789952000000*ep^6+
      357173405156394104240164438111/1045844368526429694276422860800000\
      00*ep^7;
Fill mncT11(-5,-4) = 1/230519520*ep+14411/912857299200*ep^2+
      1659590243/35426166067353600*ep^3+94747430653571/
      701438088133601280000*ep^4+4854449588337788357/
      12373367874676726579200000*ep^5+621220901790108576028619/
      538983904620918209789952000000*ep^6+
      357173405156394104240164438111/1045844368526429694276422860800000\
      00*ep^7;
Fill mncT11(-4,-4) = 1/52390800*ep+14123/207467568000*ep^2+
      8083406479/40257006894720000*ep^3+92187701272739/
      159417747303091200000*ep^4+51962531752521149719/
      30933419686691816448000000*ep^5+86386337975521771560701/
      17499477422757084733440000000*ep^6+347765762062739900771823711487/
      23769190193782493051736883200000000*ep^7;
Fill mncT11(-3,-8) = 1/772972200*ep+150301/27854826199200*ep^2+
      168868919819/10037765169143712000*ep^3+888871287168799997/
      18086045281763140281600000*ep^4+84647389506509613788369/
      592498843430560475625216000000*ep^5+75678498331885455920716466441/
      180664747338846500227640862720000000*ep^6+10485359145727311247729\
      50534042271819/846356528563347422686424596767129600000000*ep^7;
Fill mncT11(-8,-3) = 1/772972200*ep+150301/27854826199200*ep^2+
      168868919819/10037765169143712000*ep^3+888871287168799997/
      18086045281763140281600000*ep^4+84647389506509613788369/
      592498843430560475625216000000*ep^5+75678498331885455920716466441/
      180664747338846500227640862720000000*ep^6+10485359145727311247729\
      50534042271819/846356528563347422686424596767129600000000*ep^7;
Fill mncT11(-3,-7) = 1/305791200*ep+288403/22038983366400*ep^2+
      318867210773/7941968045915904000*ep^3+1670602400293417319/
      14309838025131275827200000*ep^4+159010088008060294051883/
      468790293703300596099072000000*ep^5+
      1849092981532412209556469279431/185826597262813543091287744512000\
      0000*ep^6+1971857661148485665961584951173733593/66964472589627488\
      3883764516123443200000000*ep^7;
Fill mncT11(-7,-3) = 1/305791200*ep+288403/22038983366400*ep^2+
      318867210773/7941968045915904000*ep^3+1670602400293417319/
      14309838025131275827200000*ep^4+159010088008060294051883/
      468790293703300596099072000000*ep^5+
      1849092981532412209556469279431/185826597262813543091287744512000\
      0000*ep^6+1971857661148485665961584951173733593/66964472589627488\
      3883764516123443200000000*ep^7;
Fill mncT11(-3,-6) = 1/109771200*ep+21271/608571532800*ep^2+
      1781801717/16869602889216000*ep^3+715217051621027/
      2338126960445337600000*ep^4+5235259582269107603/
      5892079940322250752000000*ep^5+4685852275896291609848267/
      1796613015403060699299840000000*ep^6+
      384601167883485745067965699177/49802112786972842584591564800000000
      *ep^7;
Fill mncT11(-6,-3) = 1/109771200*ep+21271/608571532800*ep^2+
      1781801717/16869602889216000*ep^3+715217051621027/
      2338126960445337600000*ep^4+5235259582269107603/
      5892079940322250752000000*ep^5+4685852275896291609848267/
      1796613015403060699299840000000*ep^6+
      384601167883485745067965699177/49802112786972842584591564800000000
      *ep^7;
Fill mncT11(-3,-5) = 1/34927200*ep+2917/27662342400*ep^2+
      1687155977/5367600919296000*ep^3+96432007853561/
      106278498202060800000*ep^4+54350675476108434613/
      20622279791127877632000000*ep^5+90310110885570644784263/
      11666318281838056488960000000*ep^6+363404852513835037002362576557/
      15846126795854995367824588800000000*ep^7;
Fill mncT11(-5,-3) = 1/34927200*ep+2917/27662342400*ep^2+
      1687155977/5367600919296000*ep^3+96432007853561/
      106278498202060800000*ep^4+54350675476108434613/
      20622279791127877632000000*ep^5+90310110885570644784263/
      11666318281838056488960000000*ep^6+363404852513835037002362576557/
      15846126795854995367824588800000000*ep^7;
Fill mncT11(-3,-4) = 1/9525600*ep+1279/3429216000*ep^2+66497617/
      60491370240000*ep^3+2757573631/871075731456000*ep^4+
      3532802670886561/384144397572096000000*ep^5+3737702779431057319/
      138291983125954560000000*ep^6+195421441099663843167937/
      2439470582341838438400000000*ep^7;
Fill mncT11(-4,-3) = 1/9525600*ep+1279/3429216000*ep^2+66497617/
      60491370240000*ep^3+2757573631/871075731456000*ep^4+
      3532802670886561/384144397572096000000*ep^5+3737702779431057319/
      138291983125954560000000*ep^6+195421441099663843167937/
      2439470582341838438400000000*ep^7;
Fill mncT11(-3,-3) = 1/2116800*ep+1249/762048000*ep^2+64485187/
      13442526720000*ep^3+13352658713/967861923840000*ep^4+
      3421865471751211/85365421682688000000*ep^5+3621734351382278989/
      30731551805767680000000*ep^6+189415597246205076473707/
      542104573853741875200000000*ep^7;
Fill mncT11(-2,-8) = 1/50965200*ep+161719/1836581947200*ep^2+
      188151006599/661830670492992000*ep^3+1003164507265153097/
      1192486502094272985600000*ep^4+95800300057620898687229/
      39065857808608383008256000000*ep^5+
      1112876256769757235367330242353/154855497719011285909406453760000\
      000*ep^6+1184788692157094446800823388558743759/558037271580229069\
      90313709676953600000000*ep^7;
Fill mncT11(-8,-2) = 1/50965200*ep+161719/1836581947200*ep^2+
      188151006599/661830670492992000*ep^3+1003164507265153097/
      1192486502094272985600000*ep^4+95800300057620898687229/
      39065857808608383008256000000*ep^5+
      1112876256769757235367330242353/154855497719011285909406453760000\
      000*ep^6+1184788692157094446800823388558743759/558037271580229069\
      90313709676953600000000*ep^7;
Fill mncT11(-2,-7) = 1/23522400*ep+23713/130408185600*ep^2+
      2077806107/3614914904832000*ep^3+845919039766877/
      501027205809715200000*ep^4+6204897630191906573/
      1262588558640482304000000*ep^5+5546678770757863413406997/
      384988503300655864135680000000*ep^6+
      454539860281249718990478475447/10671881311494180553841049600000000
      *ep^7;
Fill mncT11(-7,-2) = 1/23522400*ep+23713/130408185600*ep^2+
      2077806107/3614914904832000*ep^3+845919039766877/
      501027205809715200000*ep^4+6204897630191906573/
      1262588558640482304000000*ep^5+5546678770757863413406997/
      384988503300655864135680000000*ep^6+
      454539860281249718990478475447/10671881311494180553841049600000000
      *ep^7;
Fill mncT11(-2,-6) = 1/9979200*ep+22531/55324684800*ep^2+
      1933272617/1533600262656000*ep^3+781840739076527/
      212556996404121600000*ep^4+63017127138305883733/
      5892079940322250752000000*ep^5+5123905471171712170122167/
      163328455945732790845440000000*ep^6+
      420193454508149711175406035277/4527464798815712962235596800000000
      *ep^7;
Fill mncT11(-6,-2) = 1/9979200*ep+22531/55324684800*ep^2+
      1933272617/1533600262656000*ep^3+781840739076527/
      212556996404121600000*ep^4+63017127138305883733/
      5892079940322250752000000*ep^5+5123905471171712170122167/
      163328455945732790845440000000*ep^6+
      420193454508149711175406035277/4527464798815712962235596800000000
      *ep^7;
Fill mncT11(-2,-5) = 1/3810240*ep+1387/1371686400*ep^2+14843729/
      4839309619200*ep^3+77510868451/8710757314560000*ep^4+
      3973230536370181/153657759028838400000*ep^5+85684132319874643/
      1128914147966976000000*ep^6+43853158799966899231649/
      195157646587347075072000000*ep^7;
Fill mncT11(-5,-2) = 1/3810240*ep+1387/1371686400*ep^2+14843729/
      4839309619200*ep^3+77510868451/8710757314560000*ep^4+
      3973230536370181/153657759028838400000*ep^5+85684132319874643/
      1128914147966976000000*ep^6+43853158799966899231649/
      195157646587347075072000000*ep^7;
Fill mncT11(-2,-4) = 1/1270080*ep+263/91445760*ep^2+69071293/
      8065516032000*ep^3+71796516667/2903585771520000*ep^4+
      3679611959381101/51219253009612800000*ep^5+778261869502398143/
      3687786216692121600000*ep^6+203369558733054060831373/
      325262744312245125120000000*ep^7;
Fill mncT11(-4,-2) = 1/1270080*ep+263/91445760*ep^2+69071293/
      8065516032000*ep^3+71796516667/2903585771520000*ep^4+
      3679611959381101/51219253009612800000*ep^5+778261869502398143/
      3687786216692121600000*ep^6+203369558733054060831373/
      325262744312245125120000000*ep^7;
Fill mncT11(-2,-3) = 1/352800*ep+209/21168000*ep^2+600599/
      20744640000*ep^3+829559/9957427200*ep^4+885842668847/
      3659354496000000*ep^5+22321886458789/31365895680000000*ep^6+
      1361900103769062359/645510133094400000000*ep^7;
Fill mncT11(-3,-2) = 1/352800*ep+209/21168000*ep^2+600599/
      20744640000*ep^3+829559/9957427200*ep^4+885842668847/
      3659354496000000*ep^5+22321886458789/31365895680000000*ep^6+
      1361900103769062359/645510133094400000000*ep^7;
Fill mncT11(-2,-2) = 1/75600*ep+1423/31752000*ep^2+1737677/
      13335840000*ep^3+419308739/1120210560000*ep^4+2559077496341/
      2352442176000000*ep^5+3161233117752343/988025713920000000*ep^6+
      3937635832092958157/414970799846400000000*ep^7;
Fill mncT11(-1,-8) = 1/1960200*ep+883/339604650*ep^2+1358204921/
      150621454368000*ep^3+575756174560451/20876133575404800000*ep^4+
      4277034176108223539/52607856610020096000000*ep^5+
      3827937530958130075085771/16041187637527327672320000000*ep^6+
      313050081169471626786334204201/444661721312257523076710400000000*
      ep^7;
Fill mncT11(-8,-1) = 1/1960200*ep+883/339604650*ep^2+1358204921/
      150621454368000*ep^3+575756174560451/20876133575404800000*ep^4+
      4277034176108223539/52607856610020096000000*ep^5+
      3827937530958130075085771/16041187637527327672320000000*ep^6+
      313050081169471626786334204201/444661721312257523076710400000000*
      ep^7;
Fill mncT11(-1,-7) = 1/1069200*ep+26821/5927644800*ep^2+2509563167/
      164314313856000*ep^3+1051113288674777/22773963900441600000*ep^4+
      85547250110670942883/631294279320241152000000*ep^5+
      6956478334503509781876017/17499477422757084733440000000*ep^6+
      569184542978417914215491136427/485085514158826388810956800000000*
      ep^7;
Fill mncT11(-7,-1) = 1/1069200*ep+26821/5927644800*ep^2+2509563167/
      164314313856000*ep^3+1051113288674777/22773963900441600000*ep^4+
      85547250110670942883/631294279320241152000000*ep^5+
      6956478334503509781876017/17499477422757084733440000000*ep^6+
      569184542978417914215491136427/485085514158826388810956800000000*
      ep^7;
Fill mncT11(-1,-6) = 1/544320*ep+11509/1371686400*ep^2+19034489/
      691329945600*ep^3+716347562557/8710757314560000*ep^4+
      5281738326720781/21951108432691200000*ep^5+39036195740730511549/
      55316793250381824000000*ep^6+58109824256412122144009/
      27879663798192439296000000*ep^7;
Fill mncT11(-6,-1) = 1/544320*ep+11509/1371686400*ep^2+19034489/
      691329945600*ep^3+716347562557/8710757314560000*ep^4+
      5281738326720781/21951108432691200000*ep^5+39036195740730511549/
      55316793250381824000000*ep^6+58109824256412122144009/
      27879663798192439296000000*ep^7;
Fill mncT11(-1,-5) = 1/254016*ep+1543/91445760*ep^2+86761273/
      1613103206400*ep^3+92265059071/580717154304000*ep^4+
      189942040247089/409754024076902400*ep^5+5014304370159902143/
      3687786216692121600000*ep^6+261460572078799671326953/
      65052548862449025024000000*ep^7;
Fill mncT11(-5,-1) = 1/254016*ep+1543/91445760*ep^2+86761273/
      1613103206400*ep^3+92265059071/580717154304000*ep^4+
      189942040247089/409754024076902400*ep^5+5014304370159902143/
      3687786216692121600000*ep^6+261460572078799671326953/
      65052548862449025024000000*ep^7;
Fill mncT11(-1,-4) = 1/105840*ep+1/26460*ep^2+364073/3111696000*
      ep^3+63883327/186701760000*ep^4+546850483751/548903174400000*ep^5
      +19258090719143/6586838092800000*ep^6+837584694032895143/
      96826519964160000000*ep^7;
Fill mncT11(-4,-1) = 1/105840*ep+1/26460*ep^2+364073/3111696000*
      ep^3+63883327/186701760000*ep^4+546850483751/548903174400000*ep^5
      +19258090719143/6586838092800000*ep^6+837584694032895143/
      96826519964160000000*ep^7;
Fill mncT11(-1,-3) = 1/37800*ep+521/5292000*ep^2+658699/2222640000
      *ep^3+32087681/37340352000*ep^4+979800893347/392073696000000*ep^5
      +1208665006225361/164670952320000000*ep^6+1503447266945644459/
      69161799974400000000*ep^7;
Fill mncT11(-3,-1) = 1/37800*ep+521/5292000*ep^2+658699/2222640000
      *ep^3+32087681/37340352000*ep^4+979800893347/392073696000000*ep^5
      +1208665006225361/164670952320000000*ep^6+1503447266945644459/
      69161799974400000000*ep^7;
Fill mncT11(-1,-2) = 1/10800*ep+209/648000*ep^2+36853/38880000*
      ep^3+10193/3732480*ep^4+1111096141/139968000000*ep^5+195991088969/
      8398080000000*ep^6+34860186732373/503884800000000*ep^7;
Fill mncT11(-2,-1) = 1/10800*ep+209/648000*ep^2+36853/38880000*
      ep^3+10193/3732480*ep^4+1111096141/139968000000*ep^5+195991088969/
      8398080000000*ep^6+34860186732373/503884800000000*ep^7;
Fill mncT11(-1,-1) = 1/2160*ep+203/129600*ep^2+35419/7776000*ep^3+
      6106487/466560000*ep^4+1064948251/27993600000*ep^5+187940075423/
      1679616000000*ep^6+33442709792179/100776960000000*ep^7;
Fill mncT11(0,-8) = 1/29700*ep+2249/10291050*ep^2+2048476601/
      2282143248000*ep^3+965314069745651/316305054172800000*ep^4+
      83495836467212093569/8767976101670016000000*ep^5+
      6965024104385737765519931/243048297538292843520000000*ep^6+
      574010066066119795280458274041/6737298807761477622374400000000*
      ep^7;
Fill mncT11(-8,0) = 1/29700*ep+2249/10291050*ep^2+2048476601/
      2282143248000*ep^3+965314069745651/316305054172800000*ep^4+
      83495836467212093569/8767976101670016000000*ep^5+
      6965024104385737765519931/243048297538292843520000000*ep^6+
      574010066066119795280458274041/6737298807761477622374400000000*
      ep^7;
Fill mncT11(0,-7) = 1/19440*ep+15559/48988800*ep^2+31214459/
      24690355200*ep^3+1312535576407/311098475520000*ep^4+
      10218197153238631/783968158310400000*ep^5+77134330152372553399/
      1975599758942208000000*ep^6+115393714103453748849179/
      995702278506872832000000*ep^7;
Fill mncT11(-7,0) = 1/19440*ep+15559/48988800*ep^2+31214459/
      24690355200*ep^3+1312535576407/311098475520000*ep^4+
      10218197153238631/783968158310400000*ep^5+77134330152372553399/
      1975599758942208000000*ep^6+115393714103453748849179/
      995702278506872832000000*ep^7;
Fill mncT11(0,-6) = 1/12096*ep+14701/30481920*ep^2+142493173/
      76814438400*ep^3+1175022146197/193572384768000*ep^4+
      362229416590381/19512096384614400*ep^5+68061134974297348501/
      1229262072230707200000*ep^6+508402963121761393950853/
      3097740422021382144000000*ep^7;
Fill mncT11(-6,0) = 1/12096*ep+14701/30481920*ep^2+142493173/
      76814438400*ep^3+1175022146197/193572384768000*ep^4+
      362229416590381/19512096384614400*ep^5+68061134974297348501/
      1229262072230707200000*ep^6+508402963121761393950853/
      3097740422021382144000000*ep^7;
Fill mncT11(0,-5) = 1/7056*ep+41/52920*ep^2+198451/69148800*ep^3+
      38167517/4148928000*ep^4+13589568749/487913932800*ep^5+
      8650017846943/104552985600000*ep^6+527115477891659141/
      2151700443648000000*ep^7;
Fill mncT11(-5,0) = 1/7056*ep+41/52920*ep^2+198451/69148800*ep^3+
      38167517/4148928000*ep^4+13589568749/487913932800*ep^5+
      8650017846943/104552985600000*ep^6+527115477891659141/
      2151700443648000000*ep^7;
Fill mncT11(0,-4) = 1/3780*ep+71/52920*ep^2+529973/111132000*ep^3+
      698334139/46675440000*ep^4+879324400001/19603684800000*ep^5+
      218622273742511/1646709523200000*ep^6+1358483429560750793/
      3458089998720000000*ep^7;
Fill mncT11(-4,0) = 1/3780*ep+71/52920*ep^2+529973/111132000*ep^3+
      698334139/46675440000*ep^4+879324400001/19603684800000*ep^5+
      218622273742511/1646709523200000*ep^6+1358483429560750793/
      3458089998720000000*ep^7;
Fill mncT11(0,-3) = 1/1800*ep+31/12000*ep^2+18961/2160000*ep^3+
      698329/25920000*ep^4+622296697/7776000000*ep^5+110191900613/
      466560000000*ep^6+19558523287201/27993600000000*ep^7;
Fill mncT11(-3,0) = 1/1800*ep+31/12000*ep^2+18961/2160000*ep^3+
      698329/25920000*ep^4+622296697/7776000000*ep^5+110191900613/
      466560000000*ep^6+19558523287201/27993600000000*ep^7;
Fill mncT11(0,-2) = 1/720*ep+253/43200*ep^2+49169/2592000*ep^3+
      8860237/155520000*ep^4+1566217001/9331200000*ep^5+276770669173/
      559872000000*ep^6+49138941510929/33592320000000*ep^7;
Fill mncT11(-2,0) = 1/720*ep+253/43200*ep^2+49169/2592000*ep^3+
      8860237/155520000*ep^4+1566217001/9331200000*ep^5+276770669173/
      559872000000*ep^6+49138941510929/33592320000000*ep^7;
Fill mncT11(0,-1) = 1/216*ep+23/1296*ep^2+427/7776*ep^3+7547/46656
      *ep^4+132547/279936*ep^5+2339771/1679616*ep^6+41570131/10077696*
      ep^7;
Fill mncT11(-1,0) = 1/216*ep+23/1296*ep^2+427/7776*ep^3+7547/46656
      *ep^4+132547/279936*ep^5+2339771/1679616*ep^6+41570131/10077696*
      ep^7;
Fill mncT11(0,0) = 1/36*ep+23/216*ep^2+427/1296*ep^3+7547/7776*
      ep^4+132547/46656*ep^5+2339771/279936*ep^6+41570131/1679616*ep^7;
Fill mncT11(1,-8) = -1/270-4931/170100*ep-24204353/171460800*ep^2-
      1199308158541/2160406080000*ep^3-10593142957406893/
      5444223321600000*ep^4-87601909964814213757/13719442770432000000*
      ep^5-139430577405710132920073/6914599156297728000000*ep^6-
      5425512861197318518137913501/87123949369351372800000000*ep^7;
Fill mncT11(-8,1) = -1/270-4931/170100*ep-24204353/171460800*ep^2-
      1199308158541/2160406080000*ep^3-10593142957406893/
      5444223321600000*ep^4-87601909964814213757/13719442770432000000*
      ep^5-139430577405710132920073/6914599156297728000000*ep^6-
      5425512861197318518137913501/87123949369351372800000000*ep^7;
Fill mncT11(1,-7) = -1/216-18751/544320*ep-222671023/1371686400*
      ep^2-2159550047647/3456649728000*ep^3-752356527272071/
      348430292582400*ep^4-154159374372723844351/21951108432691200000*
      ep^5-1220039527127802654733903/55316793250381824000000*ep^6-
      9463038102945407598806180767/139398318990962196480000000*ep^7;
Fill mncT11(-7,1) = -1/216-18751/544320*ep-222671023/1371686400*
      ep^2-2159550047647/3456649728000*ep^3-752356527272071/
      348430292582400*ep^4-154159374372723844351/21951108432691200000*
      ep^5-1220039527127802654733903/55316793250381824000000*ep^6-
      9463038102945407598806180767/139398318990962196480000000*ep^7;
Fill mncT11(1,-6) = -1/168-491/11760*ep-2809459/14817600*ep^2-
      164251523/230496000*ep^3-9394096633/3872332800*ep^4-
      953372760821057/121978483200000*ep^5-1250270740263597691/
      51230962944000000*ep^6-1610693889694637207129/
      21517004436480000000*ep^7;
Fill mncT11(-6,1) = -1/168-491/11760*ep-2809459/14817600*ep^2-
      164251523/230496000*ep^3-9394096633/3872332800*ep^4-
      953372760821057/121978483200000*ep^5-1250270740263597691/
      51230962944000000*ep^6-1610693889694637207129/
      21517004436480000000*ep^7;
Fill mncT11(1,-5) = -1/126-1373/26460*ep-278951/1234800*ep^2-
      428917169/518616000*ep^3-24133350683/8712748800*ep^4-
      808252068538657/91483862400000*ep^5-1053587516876855291/
      38423222208000000*ep^6-1352518102181747848729/
      16137753327360000000*ep^7;
Fill mncT11(-5,1) = -1/126-1373/26460*ep-278951/1234800*ep^2-
      428917169/518616000*ep^3-24133350683/8712748800*ep^4-
      808252068538657/91483862400000*ep^5-1053587516876855291/
      38423222208000000*ep^6-1352518102181747848729/
      16137753327360000000*ep^7;
Fill mncT11(1,-4) = -1/90-1/15*ep-14927/54000*ep^2-3184063/3240000
      *ep^3-628561811/194400000*ep^4-23803415627/2332800000*ep^5-
      22024582363307/699840000000*ep^6-4024461634922383/41990400000000*
      ep^7;
Fill mncT11(-4,1) = -1/90-1/15*ep-14927/54000*ep^2-3184063/3240000
      *ep^3-628561811/194400000*ep^4-23803415627/2332800000*ep^5-
      22024582363307/699840000000*ep^6-4024461634922383/41990400000000*
      ep^7;
Fill mncT11(1,-3) = -1/60-323/3600*ep-8431/24000*ep^2-5219689/
      4320000*ep^3-1010598197/259200000*ep^4-189197104081/15552000000*
      ep^5-34783698574013/933120000000*ep^6-6332409222568249/
      55987200000000*ep^7;
Fill mncT11(-3,1) = -1/60-323/3600*ep-8431/24000*ep^2-5219689/
      4320000*ep^3-1010598197/259200000*ep^4-189197104081/15552000000*
      ep^5-34783698574013/933120000000*ep^6-6332409222568249/
      55987200000000*ep^7;
Fill mncT11(1,-2) = -1/36-7/54*ep-307/648*ep^2-6101/3888*ep^3-
      115633/23328*ep^4-2138849/139968*ep^5-39057337/839808*ep^6-
      708382241/5038848*ep^7;
Fill mncT11(-2,1) = -1/36-7/54*ep-307/648*ep^2-6101/3888*ep^3-
      115633/23328*ep^4-2138849/139968*ep^5-39057337/839808*ep^6-
      708382241/5038848*ep^7;
Fill mncT11(1,-1) = -1/18-23/108*ep-463/648*ep^2-8807/3888*ep^3-
      163039/23328*ep^4-2977367/139968*ep^5-53992975/839808*ep^6-
      975607943/5038848*ep^7;
Fill mncT11(-1,1) = -1/18-23/108*ep-463/648*ep^2-8807/3888*ep^3-
      163039/23328*ep^4-2977367/139968*ep^5-53992975/839808*ep^6-
      975607943/5038848*ep^7;
Fill mncT11(1,0) = -1/6-1/2*ep-3/2*ep^2-9/2*ep^3-27/2*ep^4-81/2*
      ep^5-243/2*ep^6-729/2*ep^7;
Fill mncT11(0,1) = -1/6-1/2*ep-3/2*ep^2-9/2*ep^3-27/2*ep^4-81/2*
      ep^5-243/2*ep^6-729/2*ep^7;
Fill mncT11(1,1) = 1/3*ep^-1;
Fill mncT11(2,-8) = -3839/3780-1/6*ep^-1-83871589/19051200*ep-
      772653885181/48009024000*ep^2-1306441047725561/24196548096000*
      ep^3-52580102782184042413/304876506009600000*ep^4-
      411732124407365775137629/768288795144192000000*ep^5-
      3173783661667402627681940941/1936087763763363840000000*ep^6-
      4850060478976064687720112145241/975788232936735375360000000*ep^7;
Fill mncT11(-8,2) = -3839/3780-1/6*ep^-1-83871589/19051200*ep-
      772653885181/48009024000*ep^2-1306441047725561/24196548096000*
      ep^3-52580102782184042413/304876506009600000*ep^4-
      411732124407365775137629/768288795144192000000*ep^5-
      3173783661667402627681940941/1936087763763363840000000*ep^6-
      4850060478976064687720112145241/975788232936735375360000000*ep^7;
Fill mncT11(2,-7) = -787/840-1/6*ep^-1-1036877/264600*ep-172751867/
      12348000*ep^2-48010779661/1037232000*ep^3-319289947098091/
      2178187200000*ep^4-414599694912409673/914838624000000*ep^5-
      531070861108946060947/384232222080000000*ep^6-
      135032742336298251066541/32275506654720000000*ep^7;
Fill mncT11(-7,2) = -787/840-1/6*ep^-1-1036877/264600*ep-172751867/
      12348000*ep^2-48010779661/1037232000*ep^3-319289947098091/
      2178187200000*ep^4-414599694912409673/914838624000000*ep^5-
      531070861108946060947/384232222080000000*ep^6-
      135032742336298251066541/32275506654720000000*ep^7;
Fill mncT11(2,-6) = -89/105-1/6*ep^-1-1805329/529200*ep-97649753/
      8232000*ep^2-2971437071/76832000*ep^3-528741075088307/
      4356374400000*ep^4-683016375960851521/1829677248000000*ep^5-
      872258913447312423419/768464444160000000*ep^6-
      221411121236727187937477/64551013309440000000*ep^7;
Fill mncT11(-6,2) = -89/105-1/6*ep^-1-1805329/529200*ep-97649753/
      8232000*ep^2-2971437071/76832000*ep^3-528741075088307/
      4356374400000*ep^4-683016375960851521/1829677248000000*ep^5-
      872258913447312423419/768464444160000000*ep^6-
      221411121236727187937477/64551013309440000000*ep^7;
Fill mncT11(2,-5) = -67/90-1/6*ep^-1-10367/3600*ep-699593/72000*
      ep^2-26955169/864000*ep^3-25135874401/259200000*ep^4-
      4614144435149/15552000000*ep^5-839231033240713/933120000000*ep^6-
      30381632427334609/11197440000000*ep^7;
Fill mncT11(-5,2) = -67/90-1/6*ep^-1-10367/3600*ep-699593/72000*
      ep^2-26955169/864000*ep^3-25135874401/259200000*ep^4-
      4614144435149/15552000000*ep^5-839231033240713/933120000000*ep^6-
      30381632427334609/11197440000000*ep^7;
Fill mncT11(2,-4) = -28/45-1/6*ep^-1-2789/1200*ep-1633991/216000*
      ep^2-310028443/12960000*ep^3-57229724639/777600000*ep^4-
      10450629954547/46656000000*ep^5-1894940170552631/2799360000000*
      ep^6-342442849059573163/167961600000000*ep^7;
Fill mncT11(-4,2) = -28/45-1/6*ep^-1-2789/1200*ep-1633991/216000*
      ep^2-310028443/12960000*ep^3-57229724639/777600000*ep^4-
      10450629954547/46656000000*ep^5-1894940170552631/2799360000000*
      ep^6-342442849059573163/167961600000000*ep^7;
Fill mncT11(2,-3) = -17/36-1/6*ep^-1-7/4*ep-293/54*ep^2-10979/648*
      ep^3-200341/3888*ep^4-3640769/23328*ep^5-65810161/139968*ep^6-
      1187486729/839808*ep^7;
Fill mncT11(-3,2) = -17/36-1/6*ep^-1-7/4*ep-293/54*ep^2-10979/648*
      ep^3-200341/3888*ep^4-3640769/23328*ep^5-65810161/139968*ep^6-
      1187486729/839808*ep^7;
Fill mncT11(2,-2) = -5/18-1/6*ep^-1-127/108*ep-2159/648*ep^2-40519/
      3888*ep^3-727775/23328*ep^4-13187287/139968*ep^5-237569039/839808
      *ep^6-4281716359/5038848*ep^7;
Fill mncT11(-2,2) = -5/18-1/6*ep^-1-127/108*ep-2159/648*ep^2-40519/
      3888*ep^3-727775/23328*ep^4-13187287/139968*ep^5-237569039/839808
      *ep^6-4281716359/5038848*ep^7;
Fill mncT11(2,-1) = -1/6*ep^-1-2/3*ep-4/3*ep^2-14/3*ep^3-40/3*ep^4
      -122/3*ep^5-364/3*ep^6-1094/3*ep^7;
Fill mncT11(-1,2) = -1/6*ep^-1-2/3*ep-4/3*ep^2-14/3*ep^3-40/3*ep^4
      -122/3*ep^5-364/3*ep^6-1094/3*ep^7;
Fill mncT11(2,0) = 1/2-1/6*ep^-1-1/2*ep+1/2*ep^2-1/2*ep^3+1/2*ep^4
      -1/2*ep^5+1/2*ep^6-1/2*ep^7;
Fill mncT11(0,2) = 1/2-1/6*ep^-1-1/2*ep+1/2*ep^2-1/2*ep^3+1/2*ep^4
      -1/2*ep^5+1/2*ep^6-1/2*ep^7;
Fill mncT11(2,1) = 5/2-1/2*ep^-1-5/2*ep+5/2*ep^2-5/2*ep^3+5/2*ep^4
      -5/2*ep^5+5/2*ep^6-5/2*ep^7;
Fill mncT11(1,2) = 5/2-1/2*ep^-1-5/2*ep+5/2*ep^2-5/2*ep^3+5/2*ep^4
      -5/2*ep^5+5/2*ep^6-5/2*ep^7;
Fill mncT11(2,2) = 3-ep^-1+7*ep-17*ep^2+27*ep^3-37*ep^4+47*ep^5-57
      *ep^6+67*ep^7;
Fill mncT11(3,-8) = -6991/420-6*ep^-1-4816541/58800*ep-8674715311/
      37044000*ep^2-23857480841/28812000*ep^3-291416189974057/
      121010400000*ep^4-1171062263344943863/152473104000000*ep^5-
      1449204733803539756657/64038703680000000*ep^6-
      374048828780255946226151/5379251109120000000*ep^7;
Fill mncT11(-8,3) = -6991/420-6*ep^-1-4816541/58800*ep-8674715311/
      37044000*ep^2-23857480841/28812000*ep^3-291416189974057/
      121010400000*ep^4-1171062263344943863/152473104000000*ep^5-
      1449204733803539756657/64038703680000000*ep^6-
      374048828780255946226151/5379251109120000000*ep^7;
Fill mncT11(3,-7) = -307/30-14/3*ep^-1-530267/9450*ep-21307399/
      147000*ep^2-147442983/274400*ep^3-116422857579691/77792400000*
      ep^4-159350616455597633/32672808000000*ep^5-193591000737979121227/
      13722579360000000*ep^6-10093517791961835098129/230539333248000000
      *ep^7;
Fill mncT11(-7,3) = -307/30-14/3*ep^-1-530267/9450*ep-21307399/
      147000*ep^2-147442983/274400*ep^3-116422857579691/77792400000*
      ep^4-159350616455597633/32672808000000*ep^5-193591000737979121227/
      13722579360000000*ep^6-10093517791961835098129/230539333248000000
      *ep^7;
Fill mncT11(3,-6) = -53/10-7/2*ep^-1-132547/3600*ep-5766373/72000*
      ep^2-94663519/288000*ep^3-73265935007/86400000*ep^4-
      14991092330803/5184000000*ep^5-2515671623642231/311040000000*ep^6
      -95624307205185839/3732480000000*ep^7;
Fill mncT11(-6,3) = -53/10-7/2*ep^-1-132547/3600*ep-5766373/72000*
      ep^2-94663519/288000*ep^3-73265935007/86400000*ep^4-
      14991092330803/5184000000*ep^5-2515671623642231/311040000000*ep^6
      -95624307205185839/3732480000000*ep^7;
Fill mncT11(3,-5) = -7/4-5/2*ep^-1-16687/720*ep-515657/14400*ep^2-
      54125287/288000*ep^3-7162742651/17280000*ep^4-1628632766623/
      1036800000*ep^5-254670926769779/62208000000*ep^6-
      50707254621683767/3732480000000*ep^7;
Fill mncT11(-5,3) = -7/4-5/2*ep^-1-16687/720*ep-515657/14400*ep^2-
      54125287/288000*ep^3-7162742651/17280000*ep^4-1628632766623/
      1036800000*ep^5-254670926769779/62208000000*ep^6-
      50707254621683767/3732480000000*ep^7;
Fill mncT11(3,-4) = 19/36-5/3*ep^-1-57/4*ep-223/27*ep^2-8182/81*
      ep^3-582373/3888*ep^4-2237203/2916*ep^5-233894107/139968*ep^6-
      2643306313/419904*ep^7;
Fill mncT11(-4,3) = 19/36-5/3*ep^-1-57/4*ep-223/27*ep^2-8182/81*
      ep^3-582373/3888*ep^4-2237203/2916*ep^5-233894107/139968*ep^6-
      2643306313/419904*ep^7;
Fill mncT11(3,-3) = 5/3-ep^-1-9*ep+58/9*ep^2-5849/108*ep^3-3065/
      324*ep^4-1329407/3888*ep^5-286607/729*ep^6-343402469/139968*ep^7;
Fill mncT11(-3,3) = 5/3-ep^-1-9*ep+58/9*ep^2-5849/108*ep^3-3065/
      324*ep^4-1329407/3888*ep^5-286607/729*ep^6-343402469/139968*ep^7;
Fill mncT11(3,-2) = 11/6-1/2*ep^-1-25/4*ep+97/8*ep^2-545/16*ep^3+
      1537/32*ep^4-10625/64*ep^5+16897/128*ep^6-223745/256*ep^7;
Fill mncT11(-2,3) = 11/6-1/2*ep^-1-25/4*ep+97/8*ep^2-545/16*ep^3+
      1537/32*ep^4-10625/64*ep^5+16897/128*ep^6-223745/256*ep^7;
Fill mncT11(3,-1) = 5/4-1/6*ep^-1-37/8*ep+197/16*ep^2-901/32*ep^3+
      3845/64*ep^4-15877/128*ep^5+64517/256*ep^6-260101/512*ep^7;
Fill mncT11(-1,3) = 5/4-1/6*ep^-1-37/8*ep+197/16*ep^2-901/32*ep^3+
      3845/64*ep^4-15877/128*ep^5+64517/256*ep^6-260101/512*ep^7;
Fill mncT11(3,0) = 1/4-19/8*ep+151/16*ep^2-799/32*ep^3+3631/64*
      ep^4-15439/128*ep^5+63631/256*ep^6-258319/512*ep^7;
Fill mncT11(0,3) = 1/4-19/8*ep+151/16*ep^2-799/32*ep^3+3631/64*
      ep^4-15439/128*ep^5+63631/256*ep^6-258319/512*ep^7;
Fill mncT11(3,1) = -1+9/2*ep-1/4*ep^2-111/8*ep^3+719/16*ep^4-3471/
      32*ep^5+15119/64*ep^6-62991/128*ep^7;
Fill mncT11(1,3) = -1+9/2*ep-1/4*ep^2-111/8*ep^3+719/16*ep^4-3471/
      32*ep^5+15119/64*ep^6-62991/128*ep^7;
Fill mncT11(3,2) = -ep^-1+37/2*ep-27/4*ep^2-209/8*ep^3+1305/16*
      ep^4-5513/32*ep^5+21033/64*ep^6-78569/128*ep^7;
Fill mncT11(2,3) = -ep^-1+37/2*ep-27/4*ep^2-209/8*ep^3+1305/16*
      ep^4-5513/32*ep^5+21033/64*ep^6-78569/128*ep^7;
Fill mncT11(3,3) = -3/2-3*ep^-1+225/4*ep+57/8*ep^2-1635/16*ep^3+
      6957/32*ep^4-24375/64*ep^5+84417/128*ep^6-303435/256*ep^7;
Fill mncT11(4,-8) = -1291/45-56*ep^-1-10874173/18900*ep-484407481/
      661500*ep^2-260856291173/55566000*ep^3-1081118063539513/
      116688600000*ep^4-1889361247859984239/49009212000000*ep^5-
      1954999100188494603421/20583869040000000*ep^6-
      568413483267458052199763/1729044999360000000*ep^7;
Fill mncT11(-8,4) = -1291/45-56*ep^-1-10874173/18900*ep-484407481/
      661500*ep^2-260856291173/55566000*ep^3-1081118063539513/
      116688600000*ep^4-1889361247859984239/49009212000000*ep^5-
      1954999100188494603421/20583869040000000*ep^6-
      568413483267458052199763/1729044999360000000*ep^7;
Fill mncT11(4,-7) = 623/90-98/3*ep^-1-291343/900*ep-4993543/27000*
      ep^2-787940357/324000*ep^3-333572686261/97200000*ep^4-
      108498672269569/5832000000*ep^5-13722984703550413/349920000000*
      ep^6-637969638611974517/4199040000000*ep^7;
Fill mncT11(-7,4) = 623/90-98/3*ep^-1-291343/900*ep-4993543/27000*
      ep^2-787940357/324000*ep^3-333572686261/97200000*ep^4-
      108498672269569/5832000000*ep^5-13722984703550413/349920000000*
      ep^6-637969638611974517/4199040000000*ep^7;
Fill mncT11(4,-6) = 19-35/2*ep^-1-127459/720*ep+746551/14400*ep^2-
      117119053/96000*ep^3-12251704507/17280000*ep^4-2900897885237/
      345600000*ep^5-770934015046003/62208000000*ep^6-78799903998314173/
      1244160000000*ep^7;
Fill mncT11(-6,4) = 19-35/2*ep^-1-127459/720*ep+746551/14400*ep^2-
      117119053/96000*ep^3-12251704507/17280000*ep^4-2900897885237/
      345600000*ep^5-770934015046003/62208000000*ep^6-78799903998314173/
      1244160000000*ep^7;
Fill mncT11(4,-5) = 655/36-25/3*ep^-1-3409/36*ep+3161/27*ep^2-
      49598/81*ep^3+1147271/3888*ep^4-2667887/729*ep^5-220885207/139968
      *ep^6-10056989321/419904*ep^7;
Fill mncT11(-5,4) = 655/36-25/3*ep^-1-3409/36*ep+3161/27*ep^2-
      49598/81*ep^3+1147271/3888*ep^4-2667887/729*ep^5-220885207/139968
      *ep^6-10056989321/419904*ep^7;
Fill mncT11(4,-4) = 73/6-10/3*ep^-1-883/18*ep+926/9*ep^2-25784/81*
      ep^3+103267/216*ep^4-4865789/2916*ep^5+34821455/23328*ep^6-
      1863177427/209952*ep^7;
Fill mncT11(-4,4) = 73/6-10/3*ep^-1-883/18*ep+926/9*ep^2-25784/81*
      ep^3+103267/216*ep^4-4865789/2916*ep^5+34821455/23328*ep^6-
      1863177427/209952*ep^7;
Fill mncT11(4,-3) = 35/6-ep^-1-139/6*ep+578/9*ep^2-18179/108*ep^3+
      233215/648*ep^4-3293897/3888*ep^5+36539731/23328*ep^6-535996649/
      139968*ep^7;
Fill mncT11(-3,4) = 35/6-ep^-1-139/6*ep+578/9*ep^2-18179/108*ep^3+
      233215/648*ep^4-3293897/3888*ep^5+36539731/23328*ep^6-535996649/
      139968*ep^7;
Fill mncT11(4,-2) = 5/3-1/6*ep^-1-299/36*ep+6187/216*ep^2-103013/
      1296*ep^3+1504375/7776*ep^4-20294069/46656*ep^5+260965567/279936*
      ep^6-3260748413/1679616*ep^7;
Fill mncT11(-2,4) = 5/3-1/6*ep^-1-299/36*ep+6187/216*ep^2-103013/
      1296*ep^3+1504375/7776*ep^4-20294069/46656*ep^5+260965567/279936*
      ep^6-3260748413/1679616*ep^7;
Fill mncT11(4,-1) = 1/12-77/72*ep+2683/432*ep^2-60473/2592*ep^3+
      1053499/15552*ep^4-15759953/93312*ep^5+215432755/559872*ep^6-
      2790990617/3359232*ep^7;
Fill mncT11(-1,4) = 1/12-77/72*ep+2683/432*ep^2-60473/2592*ep^3+
      1053499/15552*ep^4-15759953/93312*ep^5+215432755/559872*ep^6-
      2790990617/3359232*ep^7;
Fill mncT11(4,0) = 1/6*ep-47/36*ep^2+697/216*ep^3-2123/1296*ep^4-
      85583/7776*ep^5+2252461/46656*ep^6-38135879/279936*ep^7;
Fill mncT11(0,4) = 1/6*ep-47/36*ep^2+697/216*ep^3-2123/1296*ep^4-
      85583/7776*ep^5+2252461/46656*ep^6-38135879/279936*ep^7;
Fill mncT11(4,1) = -1/3+1/9*ep+331/54*ep^2-1391/324*ep^3-14147/
      1944*ep^4+345409/11664*ep^5-4709795/69984*ep^6+55418761/419904*
      ep^7;
Fill mncT11(1,4) = -1/3+1/9*ep+331/54*ep^2-1391/324*ep^3-14147/
      1944*ep^4+345409/11664*ep^5-4709795/69984*ep^6+55418761/419904*
      ep^7;
Fill mncT11(4,2) = -5/3-ep^-1+343/18*ep+2581/108*ep^2-30839/648*
      ep^3+175645/3888*ep^4-564887/23328*ep^5-1098779/139968*ep^6+
      38696401/839808*ep^7;
Fill mncT11(2,4) = -5/3-ep^-1+343/18*ep+2581/108*ep^2-30839/648*
      ep^3+175645/3888*ep^4-564887/23328*ep^5-1098779/139968*ep^6+
      38696401/839808*ep^7;
Fill mncT11(4,3) = -15/2-6*ep^-1+449/4*ep+2363/24*ep^2-33247/144*
      ep^3+257735/864*ep^4-1975171/5184*ep^5+17900243/31104*ep^6-
      191229847/186624*ep^7;
Fill mncT11(3,4) = -15/2-6*ep^-1+449/4*ep+2363/24*ep^2-33247/144*
      ep^3+257735/864*ep^4-1975171/5184*ep^5+17900243/31104*ep^6-
      191229847/186624*ep^7;
Fill mncT11(4,4) = -91/3-20*ep^-1+6647/18*ep+46397/108*ep^2-463897/
      648*ep^3+2998481/3888*ep^4-21706837/23328*ep^5+205258085/139968*
      ep^6-2312350753/839808*ep^7;
Fill mncT11(5,-8) = 26033/90-196*ep^-1-658391/300*ep+41294437/
      27000*ep^2-2478006287/162000*ep^3-173842724591/97200000*ep^4-
      146807470332821/1458000000*ep^5-36573768691387733/349920000000*
      ep^6-1512492006695207957/2099520000000*ep^7;
Fill mncT11(-8,5) = 26033/90-196*ep^-1-658391/300*ep+41294437/
      27000*ep^2-2478006287/162000*ep^3-173842724591/97200000*ep^4-
      146807470332821/1458000000*ep^5-36573768691387733/349920000000*
      ep^6-1512492006695207957/2099520000000*ep^7;
Fill mncT11(5,-7) = 3521/18-245/3*ep^-1-185323/180*ep+1332743/900*
      ep^2-1512792019/216000*ep^3+33111480169/6480000*ep^4-
      32341360501901/777600000*ep^5-5141021701901/972000000*ep^6-
      81637337143546031/311040000000*ep^7;
Fill mncT11(-7,5) = 3521/18-245/3*ep^-1-185323/180*ep+1332743/900*
      ep^2-1512792019/216000*ep^3+33111480169/6480000*ep^4-
      32341360501901/777600000*ep^5-5141021701901/972000000*ep^6-
      81637337143546031/311040000000*ep^7;
Fill mncT11(5,-6) = 1865/18-175/6*ep^-1-65051/144*ep+552703/576*
      ep^2-21762941/6912*ep^3+393823703/82944*ep^4-17125296709/995328*
      ep^5+60917131717/3981312*ep^6-494196329879/5308416*ep^7;
Fill mncT11(-6,5) = 1865/18-175/6*ep^-1-65051/144*ep+552703/576*
      ep^2-21762941/6912*ep^3+393823703/82944*ep^4-17125296709/995328*
      ep^5+60917131717/3981312*ep^6-494196329879/5308416*ep^7;
Fill mncT11(5,-5) = 85/2-25/3*ep^-1-12743/72*ep+414557/864*ep^2-
      14012279/10368*ep^3+347829317/124416*ep^4-10748954831/1492992*
      ep^5+218035899629/17915904*ep^6-7397831047367/214990848*ep^7;
Fill mncT11(-5,5) = 85/2-25/3*ep^-1-12743/72*ep+414557/864*ep^2-
      14012279/10368*ep^3+347829317/124416*ep^4-10748954831/1492992*
      ep^5+218035899629/17915904*ep^6-7397831047367/214990848*ep^7;
Fill mncT11(5,-4) = 37/3-5/3*ep^-1-449/8*ep+157679/864*ep^2-
      1769167/3456*ep^3+153246119/124416*ep^4-476712269/165888*ep^5+
      107805251999/17915904*ep^6-950069524127/71663616*ep^7;
Fill mncT11(-4,5) = 37/3-5/3*ep^-1-449/8*ep+157679/864*ep^2-
      1769167/3456*ep^3+153246119/124416*ep^4-476712269/165888*ep^5+
      107805251999/17915904*ep^6-950069524127/71663616*ep^7;
Fill mncT11(5,-3) = 47/24-1/6*ep^-1-1103/96*ep+159143/3456*ep^2-
      2004967/13824*ep^3+193964447/497664*ep^4-625422901/663552*ep^5+
      152356033943/71663616*ep^6-1313581148567/286654464*ep^7;
Fill mncT11(-3,5) = 47/24-1/6*ep^-1-1103/96*ep+159143/3456*ep^2-
      2004967/13824*ep^3+193964447/497664*ep^4-625422901/663552*ep^5+
      152356033943/71663616*ep^6-1313581148567/286654464*ep^7;
Fill mncT11(5,-2) = 1/24-179/288*ep+14881/3456*ep^2-800819/41472*
      ep^3+32595961/497664*ep^4-1102859819/5971968*ep^5+33006397441/
      71663616*ep^6-911083571459/859963392*ep^7;
Fill mncT11(-2,5) = 1/24-179/288*ep+14881/3456*ep^2-800819/41472*
      ep^3+32595961/497664*ep^4-1102859819/5971968*ep^5+33006397441/
      71663616*ep^6-911083571459/859963392*ep^7;
Fill mncT11(5,-1) = 1/36*ep-43/144*ep^2+6583/5184*ep^3-55583/20736
      *ep^4+1116007/746496*ep^5+10469203/995328*ep^6-5431004801/
      107495424*ep^7;
Fill mncT11(-1,5) = 1/36*ep-43/144*ep^2+6583/5184*ep^3-55583/20736
      *ep^4+1116007/746496*ep^5+10469203/995328*ep^6-5431004801/
      107495424*ep^7;
Fill mncT11(5,0) = 1/36*ep-13/144*ep^2-2147/5184*ep^3+36787/20736*
      ep^4-1243883/746496*ep^5-2437447/995328*ep^6+1404562429/107495424
      *ep^7;
Fill mncT11(0,5) = 1/36*ep-13/144*ep^2-2147/5184*ep^3+36787/20736*
      ep^4-1243883/746496*ep^5-2437447/995328*ep^6+1404562429/107495424
      *ep^7;
Fill mncT11(5,1) = -1/6-7/24*ep+2759/864*ep^2+4931/1152*ep^3-
      1045681/124416*ep^4+3278833/497664*ep^5-20515321/17915904*ep^6-
      386453767/71663616*ep^7;
Fill mncT11(1,5) = -1/6-7/24*ep+2759/864*ep^2+4931/1152*ep^3-
      1045681/124416*ep^4+3278833/497664*ep^5-20515321/17915904*ep^6-
      386453767/71663616*ep^7;
Fill mncT11(5,2) = -17/6-ep^-1+1249/72*ep+40177/864*ep^2-251579/
      10368*ep^3-1938527/124416*ep^4+60671869/1492992*ep^5-855956663/
      17915904*ep^6+9143585701/214990848*ep^7;
Fill mncT11(2,5) = -17/6-ep^-1+1249/72*ep+40177/864*ep^2-251579/
      10368*ep^3-1938527/124416*ep^4+60671869/1492992*ep^5-855956663/
      17915904*ep^6+9143585701/214990848*ep^7;
Fill mncT11(5,3) = -58/3-10*ep^-1+6497/36*ep+126887/432*ep^2-
      1603513/5184*ep^3+13345907/62208*ep^4-160892713/746496*ep^5+
      3612243227/8957952*ep^6-95442409873/107495424*ep^7;
Fill mncT11(3,5) = -58/3-10*ep^-1+6497/36*ep+126887/432*ep^2-
      1603513/5184*ep^3+13345907/62208*ep^4-160892713/746496*ep^5+
      3612243227/8957952*ep^6-95442409873/107495424*ep^7;
Fill mncT11(5,4) = -95-50*ep^-1+32401/36*ep+206587/144*ep^2-
      7720667/5184*ep^3+23993707/20736*ep^4-1006400483/746496*ep^5+
      7334173219/2985984*ep^6-545527270331/107495424*ep^7;
Fill mncT11(4,5) = -95-50*ep^-1+32401/36*ep+206587/144*ep^2-
      7720667/5184*ep^3+23993707/20736*ep^4-1006400483/746496*ep^5+
      7334173219/2985984*ep^6-545527270331/107495424*ep^7;
Fill mncT11(5,5) = -1455/4-175*ep^-1+446189/144*ep+1074551/192*
      ep^2-92479423/20736*ep^3+81031771/27648*ep^4-11094823867/2985984*
      ep^5+29873212447/3981312*ep^6-6859777105399/429981696*ep^7;
Fill mncT11(6,-8) = 12145/12-294*ep^-1-4174379/900*ep+176094527/
      18000*ep^2-754908527/22500*ep^3+1075802534507/21600000*ep^4-
      24406914159883/129600000*ep^5+12465404623521277/77760000000*ep^6-
      402721416254461259/388800000000*ep^7;
Fill mncT11(-8,6) = 12145/12-294*ep^-1-4174379/900*ep+176094527/
      18000*ep^2-754908527/22500*ep^3+1075802534507/21600000*ep^4-
      24406914159883/129600000*ep^5+12465404623521277/77760000000*ep^6-
      402721416254461259/388800000000*ep^7;
Fill mncT11(6,-7) = 13657/36-245/3*ep^-1-73762/45*ep+15492607/3600
      *ep^2-2757288709/216000*ep^3+328656304883/12960000*ep^4-
      54578667444221/777600000*ep^5+1692668947405009/15552000000*ep^6-
      36121178488586887/103680000000*ep^7;
Fill mncT11(-7,6) = 13657/36-245/3*ep^-1-73762/45*ep+15492607/3600
      *ep^2-2757288709/216000*ep^3+328656304883/12960000*ep^4-
      54578667444221/777600000*ep^5+1692668947405009/15552000000*ep^6-
      36121178488586887/103680000000*ep^7;
Fill mncT11(6,-6) = 1313/12-35/2*ep^-1-117053/240*ep+7250177/4800*
      ep^2-1244217599/288000*ep^3+174112515313/17280000*ep^4-
      25434137985631/1036800000*ep^5+1012756439751899/20736000000*ep^6-
      16074214414018157/138240000000*ep^7;
Fill mncT11(-6,6) = 1313/12-35/2*ep^-1-117053/240*ep+7250177/4800*
      ep^2-1244217599/288000*ep^3+174112515313/17280000*ep^4-
      25434137985631/1036800000*ep^5+1012756439751899/20736000000*ep^6-
      16074214414018157/138240000000*ep^7;
Fill mncT11(6,-5) = 259/12-5/2*ep^-1-26179/240*ep+5674733/14400*
      ep^2-1023344371/864000*ep^3+158892462077/51840000*ep^4-
      22936759409299/3110400000*ep^5+3042627631277213/186624000000*ep^6
      -399326105658810931/11197440000000*ep^7;
Fill mncT11(-5,6) = 259/12-5/2*ep^-1-26179/240*ep+5674733/14400*
      ep^2-1023344371/864000*ep^3+158892462077/51840000*ep^4-
      22936759409299/3110400000*ep^5+3042627631277213/186624000000*ep^6
      -399326105658810931/11197440000000*ep^7;
Fill mncT11(6,-4) = 131/60-1/6*ep^-1-17149/1200*ep+13715489/216000
      *ep^2-946662581/4320000*ep^3+494298681041/777600000*ep^4-
      8467731288263/5184000000*ep^5+10798394340460529/2799360000000*
      ep^6-481236493268482741/55987200000000*ep^7;
Fill mncT11(-4,6) = 131/60-1/6*ep^-1-17149/1200*ep+13715489/216000
      *ep^2-946662581/4320000*ep^3+494298681041/777600000*ep^4-
      8467731288263/5184000000*ep^5+10798394340460529/2799360000000*
      ep^6-481236493268482741/55987200000000*ep^7;
Fill mncT11(6,-3) = 1/40-329/800*ep+50941/16000*ep^2-46047001/
      2880000*ep^3+3470853629/57600000*ep^4-1929124683769/10368000000*
      ep^5+103566048500701/207360000000*ep^6-45365675285478361/
      37324800000000*ep^7;
Fill mncT11(-3,6) = 1/40-329/800*ep+50941/16000*ep^2-46047001/
      2880000*ep^3+3470853629/57600000*ep^4-1929124683769/10368000000*
      ep^5+103566048500701/207360000000*ep^6-45365675285478361/
      37324800000000*ep^7;
Fill mncT11(6,-2) = 1/120*ep-757/7200*ep^2+242359/432000*ep^3-
      43044433/25920000*ep^4+4074665071/1555200000*ep^5+64968741023/
      93312000000*ep^6-108829254720401/5598720000000*ep^7;
Fill mncT11(-2,6) = 1/120*ep-757/7200*ep^2+242359/432000*ep^3-
      43044433/25920000*ep^4+4074665071/1555200000*ep^5+64968741023/
      93312000000*ep^6-108829254720401/5598720000000*ep^7;
Fill mncT11(6,-1) = 1/360*ep-119/7200*ep^2-12041/1296000*ep^3+
      6722789/25920000*ep^4-3468808529/4665600000*ep^5+23647758247/
      31104000000*ep^6+19683853281199/16796160000000*ep^7;
Fill mncT11(-1,6) = 1/360*ep-119/7200*ep^2-12041/1296000*ep^3+
      6722789/25920000*ep^4-3468808529/4665600000*ep^5+23647758247/
      31104000000*ep^6+19683853281199/16796160000000*ep^7;
Fill mncT11(6,0) = 1/120*ep-19/2400*ep^2-79541/432000*ep^3+676763/
      2880000*ep^4+1092053971/1555200000*ep^5-52408037759/31104000000*
      ep^6+10219512343699/5598720000000*ep^7;
Fill mncT11(0,6) = 1/120*ep-19/2400*ep^2-79541/432000*ep^3+676763/
      2880000*ep^4+1092053971/1555200000*ep^5-52408037759/31104000000*
      ep^6+10219512343699/5598720000000*ep^7;
Fill mncT11(6,1) = -1/10-47/150*ep+30253/18000*ep^2+5658839/
      1080000*ep^3-104471693/64800000*ep^4-13141480309/3888000000*ep^5+
      1174076123083/233280000000*ep^6-54572001367621/13996800000000*
      ep^7;
Fill mncT11(1,6) = -1/10-47/150*ep+30253/18000*ep^2+5658839/
      1080000*ep^3-104471693/64800000*ep^4-13141480309/3888000000*ep^5+
      1174076123083/233280000000*ep^6-54572001367621/13996800000000*
      ep^7;
Fill mncT11(6,2) = -56/15-ep^-1+26869/1800*ep+6747947/108000*ep^2+
      99246511/6480000*ep^3-16902461257/388800000*ep^4+700982831959/
      23328000000*ep^5-12305260936633/1399680000000*ep^6-
      535819089463529/83980800000000*ep^7;
Fill mncT11(2,6) = -56/15-ep^-1+26869/1800*ep+6747947/108000*ep^2+
      99246511/6480000*ep^3-16902461257/388800000*ep^4+700982831959/
      23328000000*ep^5-12305260936633/1399680000000*ep^6-
      535819089463529/83980800000000*ep^7;
Fill mncT11(6,3) = -38-15*ep^-1+30613/120*ep+4364099/7200*ep^2-
      100543913/432000*ep^3-73359169/25920000*ep^4-101532208097/
      1555200000*ep^5+33525779969039/93312000000*ep^6-5149565210706593/
      5598720000000*ep^7;
Fill mncT11(3,6) = -38-15*ep^-1+30613/120*ep+4364099/7200*ep^2-
      100543913/432000*ep^3-73359169/25920000*ep^4-101532208097/
      1555200000*ep^5+33525779969039/93312000000*ep^6-5149565210706593/
      5598720000000*ep^7;
Fill mncT11(6,4) = -241-105*ep^-1+218491/120*ep+27182593/7200*ep^2
      -912704891/432000*ep^3+25055078317/25920000*ep^4-2377547244179/
      1555200000*ep^5+347585143595773/93312000000*ep^6-
      46309884382133651/5598720000000*ep^7;
Fill mncT11(4,6) = -241-105*ep^-1+218491/120*ep+27182593/7200*ep^2
      -912704891/432000*ep^3+25055078317/25920000*ep^4-2377547244179/
      1555200000*ep^5+347585143595773/93312000000*ep^6-
      46309884382133651/5598720000000*ep^7;
Fill mncT11(6,5) = -4557/4-490*ep^-1+6086473/720*ep+28575877/1600*
      ep^2-23703069623/2592000*ep^3+75358338539/17280000*ep^4-
      69528709761587/9331200000*ep^5+1101157511428991/62208000000*ep^6-
      1298727147157127903/33592320000000*ep^7;
Fill mncT11(5,6) = -4557/4-490*ep^-1+6086473/720*ep+28575877/1600*
      ep^2-23703069623/2592000*ep^3+75358338539/17280000*ep^4-
      69528709761587/9331200000*ep^5+1101157511428991/62208000000*ep^6-
      1298727147157127903/33592320000000*ep^7;
Fill mncT11(6,6) = -8673/2-1764*ep^-1+5986513/200*ep+821439983/
      12000*ep^2-18129375839/720000*ep^3+421716164459/43200000*ep^4-
      2440992111923/103680000*ep^5+9252141041206079/155520000000*ep^6-
      1211544487594382471/9331200000000*ep^7;
Fill mncT11(7,-8) = 98063/90-196*ep^-1-26243563/5400*ep+2332957667/
      162000*ep^2-5123488153/121500*ep^3+27621039307147/291600000*ep^4-
      4221805594184107/17496000000*ep^5+474300455169272641/
      1049760000000*ep^6-14757028574240292827/12597120000000*ep^7;
Fill mncT11(-8,7) = 98063/90-196*ep^-1-26243563/5400*ep+2332957667/
      162000*ep^2-5123488153/121500*ep^3+27621039307147/291600000*ep^4-
      4221805594184107/17496000000*ep^5+474300455169272641/
      1049760000000*ep^6-14757028574240292827/12597120000000*ep^7;
Fill mncT11(7,-7) = 21203/90-98/3*ep^-1-3032479/2700*ep+154111003/
      40500*ep^2-10969956613/972000*ep^3+8228658359237/291600000*ep^4-
      1202103406721687/17496000000*ep^5+154192124520223601/
      1049760000000*ep^6-4196814000717200131/12597120000000*ep^7;
Fill mncT11(-7,7) = 21203/90-98/3*ep^-1-3032479/2700*ep+154111003/
      40500*ep^2-10969956613/972000*ep^3+8228658359237/291600000*ep^4-
      1202103406721687/17496000000*ep^5+154192124520223601/
      1049760000000*ep^6-4196814000717200131/12597120000000*ep^7;
Fill mncT11(7,-6) = 2027/60-7/2*ep^-1-74183/400*ep+5800583/8000*
      ep^2-222102029/96000*ep^3+546926396573/86400000*ep^4-
      81787562480723/5184000000*ep^5+11265197676233629/311040000000*
      ep^6-299404614589014359/3732480000000*ep^7;
Fill mncT11(-6,7) = 2027/60-7/2*ep^-1-74183/400*ep+5800583/8000*
      ep^2-222102029/96000*ep^3+546926396573/86400000*ep^4-
      81787562480723/5184000000*ep^5+11265197676233629/311040000000*
      ep^6-299404614589014359/3732480000000*ep^7;
Fill mncT11(7,-5) = 71/30-1/6*ep^-1-60467/3600*ep+17415031/216000*
      ep^2-773765929/2592000*ep^3+715830606667/777600000*ep^4-
      116118457957877/46656000000*ep^5+17131960859897851/2799360000000*
      ep^6-472433327521893937/33592320000000*ep^7;
Fill mncT11(-5,7) = 71/30-1/6*ep^-1-60467/3600*ep+17415031/216000*
      ep^2-773765929/2592000*ep^3+715830606667/777600000*ep^4-
      116118457957877/46656000000*ep^5+17131960859897851/2799360000000*
      ep^6-472433327521893937/33592320000000*ep^7;
Fill mncT11(7,-4) = 1/60-53/180*ep+266561/108000*ep^2-87124181/
      6480000*ep^3+21293362823/388800000*ep^4-6769202801/37324800*ep^5+
      723258947576351/1399680000000*ep^6-110841505566771761/
      83980800000000*ep^7;
Fill mncT11(-4,7) = 1/60-53/180*ep+266561/108000*ep^2-87124181/
      6480000*ep^3+21293362823/388800000*ep^4-6769202801/37324800*ep^5+
      723258947576351/1399680000000*ep^6-110841505566771761/
      83980800000000*ep^7;
Fill mncT11(7,-3) = 1/300*ep-841/18000*ep^2+309163/1080000*ep^3-
      13185257/12960000*ep^4+8539596691/3888000000*ep^5-439115151421/
      233280000000*ep^6-96752480786477/13996800000000*ep^7;
Fill mncT11(-3,7) = 1/300*ep-841/18000*ep^2+309163/1080000*ep^3-
      13185257/12960000*ep^4+8539596691/3888000000*ep^5-439115151421/
      233280000000*ep^6-96752480786477/13996800000000*ep^7;
Fill mncT11(7,-2) = 1/1800*ep-461/108000*ep^2+3287/720000*ep^3+
      3937531/77760000*ep^4-5571523609/23328000000*ep^5+221518409053/
      466560000000*ep^6-20634516706457/83980800000000*ep^7;
Fill mncT11(-2,7) = 1/1800*ep-461/108000*ep^2+3287/720000*ep^3+
      3937531/77760000*ep^4-5571523609/23328000000*ep^5+221518409053/
      466560000000*ep^6-20634516706457/83980800000000*ep^7;
Fill mncT11(7,-1) = 1/1800*ep-211/108000*ep^2-62167/6480000*ep^3+
      3518981/77760000*ep^4-169501453/7776000000*ep^5-84425699197/
      466560000000*ep^6+41751262596793/83980800000000*ep^7;
Fill mncT11(-1,7) = 1/1800*ep-211/108000*ep^2-62167/6480000*ep^3+
      3518981/77760000*ep^4-169501453/7776000000*ep^5-84425699197/
      466560000000*ep^6+41751262596793/83980800000000*ep^7;
Fill mncT11(7,0) = 1/300*ep+17/9000*ep^2-14077/180000*ep^3-119341/
      6480000*ep^4+813955783/1944000000*ep^5-8975470091/38880000000*
      ep^6-2030905198801/6998400000000*ep^7;
Fill mncT11(0,7) = 1/300*ep+17/9000*ep^2-14077/180000*ep^3-119341/
      6480000*ep^4+813955783/1944000000*ep^5-8975470091/38880000000*
      ep^6-2030905198801/6998400000000*ep^7;
Fill mncT11(7,1) = -1/15-5/18*ep+8173/9000*ep^2+7556441/1620000*
      ep^3+241319777/97200000*ep^4-1397739257/388800000*ep^5+
      341765431129/349920000000*ep^6+23165545647721/20995200000000*ep^7
      ;
Fill mncT11(1,7) = -1/15-5/18*ep+8173/9000*ep^2+7556441/1620000*
      ep^3+241319777/97200000*ep^4-1397739257/388800000*ep^5+
      341765431129/349920000000*ep^6+23165545647721/20995200000000*ep^7
      ;
Fill mncT11(7,2) = -67/15-ep^-1+7363/600*ep+7963583/108000*ep^2+
      77642911/1296000*ep^3-4851581503/129600000*ep^4-72804350141/
      23328000000*ep^5+24000342333043/1399680000000*ep^6-28550061328657/
      1866240000000*ep^7;
Fill mncT11(2,7) = -67/15-ep^-1+7363/600*ep+7963583/108000*ep^2+
      77642911/1296000*ep^3-4851581503/129600000*ep^4-72804350141/
      23328000000*ep^5+24000342333043/1399680000000*ep^6-28550061328657/
      1866240000000*ep^7;
Fill mncT11(7,3) = -643/10-21*ep^-1+198433/600*ep+37491071/36000*
      ep^2+40354283/432000*ep^3-31200286513/129600000*ep^4-456002246177/
      7776000000*ep^5+210439603174991/466560000000*ep^6-
      1136065422254153/1119744000000*ep^7;
Fill mncT11(3,7) = -643/10-21*ep^-1+198433/600*ep+37491071/36000*
      ep^2+40354283/432000*ep^3-31200286513/129600000*ep^4-456002246177/
      7776000000*ep^5+210439603174991/466560000000*ep^6-
      1136065422254153/1119744000000*ep^7;
Fill mncT11(7,4) = -5243/10-196*ep^-1+2917037/900*ep+150586423/
      18000*ep^2-973581653/648000*ep^3-2685625673/21600000*ep^4-
      21233987539753/11664000000*ep^5+1324797774949133/233280000000*
      ep^6-844350269541817/67184640000*ep^7;
Fill mncT11(4,7) = -5243/10-196*ep^-1+2917037/900*ep+150586423/
      18000*ep^2-973581653/648000*ep^3-2685625673/21600000*ep^4-
      21233987539753/11664000000*ep^5+1324797774949133/233280000000*
      ep^6-844350269541817/67184640000*ep^7;
Fill mncT11(7,5) = -15239/5-1176*ep^-1+1961923/100*ep+871210943/
      18000*ep^2-2501501699/216000*ep^3+57388478537/21600000*ep^4-
      52691121964811/3888000000*ep^5+8591095585149103/233280000000*ep^6
      -8328702766626289/103680000000*ep^7;
Fill mncT11(5,7) = -15239/5-1176*ep^-1+1961923/100*ep+871210943/
      18000*ep^2-2501501699/216000*ep^3+57388478537/21600000*ep^4-
      52691121964811/3888000000*ep^5+8591095585149103/233280000000*ep^6
      -8328702766626289/103680000000*ep^7;
Fill mncT11(7,6) = -139503/10-5292*ep^-1+17533043/200*ep+886911423/
      4000*ep^2-30367486541/720000*ep^3+82520804861/8640000*ep^4-
      17712342624601/288000000*ep^5+25507322702791853/155520000000*ep^6
      -3311712591116545669/9331200000000*ep^7;
Fill mncT11(6,7) = -139503/10-5292*ep^-1+17533043/200*ep+886911423/
      4000*ep^2-30367486541/720000*ep^3+82520804861/8640000*ep^4-
      17712342624601/288000000*ep^5+25507322702791853/155520000000*ep^6
      -3311712591116545669/9331200000000*ep^7;
Fill mncT11(7,7) = -532091/10-19404*ep^-1+63271401/200*ep+
      3391764741/4000*ep^2-160369010221/2160000*ep^3+45079119479/
      8640000*ep^4-562005021127483/2592000000*ep^5+268746705312681253/
      466560000000*ep^6-11508329156302093783/9331200000000*ep^7;
Fill mncT11(8,-8) = 20249/45-56*ep^-1-43068923/18900*ep+
      32810440429/3969000*ep^2-265610909422/10418625*ep^3+
      23461666142006621/350065800000*ep^4-24379987062051806747/
      147027636000000*ep^5+22836410068908536036567/61751607120000000*
      ep^6-4305488729800044306714619/5187134998080000000*ep^7;
Fill mncT11(-8,8) = 20249/45-56*ep^-1-43068923/18900*ep+
      32810440429/3969000*ep^2-265610909422/10418625*ep^3+
      23461666142006621/350065800000*ep^4-24379987062051806747/
      147027636000000*ep^5+22836410068908536036567/61751607120000000*
      ep^6-4305488729800044306714619/5187134998080000000*ep^7;
Fill mncT11(8,-7) = 491/10-14/3*ep^-1-302713/1050*ep+176468161/
      147000*ep^2-16592841833/4116000*ep^3+898433660368249/77792400000*
      ep^4-108072502130577617/3630312000000*ep^5+967194562085407308593/
      13722579360000000*ep^6-813662716600772292101/5123096294400000*
      ep^7;
Fill mncT11(-7,8) = 491/10-14/3*ep^-1-302713/1050*ep+176468161/
      147000*ep^2-16592841833/4116000*ep^3+898433660368249/77792400000*
      ep^4-108072502130577617/3630312000000*ep^5+967194562085407308593/
      13722579360000000*ep^6-813662716600772292101/5123096294400000*
      ep^7;
Fill mncT11(8,-6) = 353/140-1/6*ep^-1-373727/19600*ep+800940667/
      8232000*ep^2-29289691863/76832000*ep^3+5385992171933273/
      4356374400000*ep^4-709521618026979929/203297472000000*ep^5+
      6833762723520913208521/768464444160000000*ep^6-
      150757075568387293531733/7172334812160000000*ep^7;
Fill mncT11(-6,8) = 353/140-1/6*ep^-1-373727/19600*ep+800940667/
      8232000*ep^2-29289691863/76832000*ep^3+5385992171933273/
      4356374400000*ep^4-709521618026979929/203297472000000*ep^5+
      6833762723520913208521/768464444160000000*ep^6-
      150757075568387293531733/7172334812160000000*ep^7;
Fill mncT11(8,-5) = 1/84-1961/8820*ep+14678609/7408800*ep^2-
      35755774219/3111696000*ep^3+13000149370291/261382464000*ep^4-
      95609558172939007/548903174400000*ep^5+120195630373405828679/
      230539333248000000*ep^6-134415276233199852507199/
      96826519964160000000*ep^7;
Fill mncT11(-5,8) = 1/84-1961/8820*ep+14678609/7408800*ep^2-
      35755774219/3111696000*ep^3+13000149370291/261382464000*ep^4-
      95609558172939007/548903174400000*ep^5+120195630373405828679/
      230539333248000000*ep^6-134415276233199852507199/
      96826519964160000000*ep^7;
Fill mncT11(8,-4) = 1/630*ep-53/2205*ep^2+9018689/55566000*ep^3-
      5067714581/7779240000*ep^4+16436907354443/9801842400000*ep^5-
      218843576050951/91483862400000*ep^6-2671654201579155901/
      1729044999360000000*ep^7;
Fill mncT11(-4,8) = 1/630*ep-53/2205*ep^2+9018689/55566000*ep^3-
      5067714581/7779240000*ep^4+16436907354443/9801842400000*ep^5-
      218843576050951/91483862400000*ep^6-2671654201579155901/
      1729044999360000000*ep^7;
Fill mncT11(8,-3) = 1/6300*ep-1259/882000*ep^2+3355417/1111320000*
      ep^3+367419121/31116960000*ep^4-16828556763959/196036848000000*
      ep^5+2152128929086807/9148386240000000*ep^6-10462605856183560743/
      34580899987200000000*ep^7;
Fill mncT11(-3,8) = 1/6300*ep-1259/882000*ep^2+3355417/1111320000*
      ep^3+367419121/31116960000*ep^4-16828556763959/196036848000000*
      ep^5+2152128929086807/9148386240000000*ep^6-10462605856183560743/
      34580899987200000000*ep^7;
Fill mncT11(8,-2) = 1/12600*ep-2167/5292000*ep^2-1838653/
      2222640000*ep^3+1565353577/186701760000*ep^4-1969039700503/
      130691232000000*ep^5-729345944607409/54890317440000000*ep^6+
      7413277433082680587/69161799974400000000*ep^7;
Fill mncT11(-2,8) = 1/12600*ep-2167/5292000*ep^2-1838653/
      2222640000*ep^3+1565353577/186701760000*ep^4-1969039700503/
      130691232000000*ep^5-729345944607409/54890317440000000*ep^6+
      7413277433082680587/69161799974400000000*ep^7;
Fill mncT11(8,-1) = 1/6300*ep-401/1323000*ep^2-2005079/555660000*
      ep^3+391786789/46675440000*ep^4+154028720287/10890936000000*ep^5-
      807993751954877/13722579360000000*ep^6+959101445341472591/
      17290449993600000000*ep^7;
Fill mncT11(-1,8) = 1/6300*ep-401/1323000*ep^2-2005079/555660000*
      ep^3+391786789/46675440000*ep^4+154028720287/10890936000000*ep^5-
      807993751954877/13722579360000000*ep^6+959101445341472591/
      17290449993600000000*ep^7;
Fill mncT11(8,0) = 1/630*ep+71/26460*ep^2-2011631/55566000*ep^3-
      1183313023/23337720000*ep^4+68567159309/363031200000*ep^5+
      31917173570351/274451587200000*ep^6-447507640173457321/
      1729044999360000000*ep^7;
Fill mncT11(0,8) = 1/630*ep+71/26460*ep^2-2011631/55566000*ep^3-
      1183313023/23337720000*ep^4+68567159309/363031200000*ep^5+
      31917173570351/274451587200000*ep^6-447507640173457321/
      1729044999360000000*ep^7;
Fill mncT11(8,1) = -1/21-524/2205*ep+902201/1852200*ep^2+
      3014463589/777924000*ep^3+1208942969/268912000*ep^4-
      57410968341421/45741931200000*ep^5-89198318130860369/
      57634833312000000*ep^6+35454283178666940569/24206629991040000000*
      ep^7;
Fill mncT11(1,8) = -1/21-524/2205*ep+902201/1852200*ep^2+
      3014463589/777924000*ep^3+1208942969/268912000*ep^4-
      57410968341421/45741931200000*ep^5-89198318130860369/
      57634833312000000*ep^6+35454283178666940569/24206629991040000000*
      ep^7;
Fill mncT11(8,2) = -178/35-ep^-1+843481/88200*ep+1007464943/
      12348000*ep^2+326316812099/3111696000*ep^3-3321224463607/
      726062400000*ep^4-81840394319902889/2744515872000000*ep^5+
      6705161346535843003/384232222080000000*ep^6-83265247086136802753/
      19365303992832000000*ep^7;
Fill mncT11(2,8) = -178/35-ep^-1+843481/88200*ep+1007464943/
      12348000*ep^2+326316812099/3111696000*ep^3-3321224463607/
      726062400000*ep^4-81840394319902889/2744515872000000*ep^5+
      6705161346535843003/384232222080000000*ep^6-83265247086136802753/
      19365303992832000000*ep^7;
Fill mncT11(8,3) = -989/10-28*ep^-1+2534177/6300*ep+1411806601/
      882000*ep^2+167103911539/222264000*ep^3-5874194518813/17287200000
      *ep^4-44948630072541313/196036848000000*ep^5+16027256233408331171/
      27445158720000000*ep^6-7383101028768693711869/6916179997440000000
      *ep^7;
Fill mncT11(3,8) = -989/10-28*ep^-1+2534177/6300*ep+1411806601/
      882000*ep^2+167103911539/222264000*ep^3-5874194518813/17287200000
      *ep^4-44948630072541313/196036848000000*ep^5+16027256233408331171/
      27445158720000000*ep^6-7383101028768693711869/6916179997440000000
      *ep^7;
Fill mncT11(8,4) = -5094/5-336*ep^-1+2757512/525*ep+1203147311/
      73500*ep^2+41798420893/18522000*ep^3-23640276255767/12965400000*
      ep^4-48468564911944603/16336404000000*ep^5+2185161246222520409/
      254121840000000*ep^6-2063922489958384054387/115269666624000000*
      ep^7;
Fill mncT11(4,8) = -5094/5-336*ep^-1+2757512/525*ep+1203147311/
      73500*ep^2+41798420893/18522000*ep^3-23640276255767/12965400000*
      ep^4-48468564911944603/16336404000000*ep^5+2185161246222520409/
      254121840000000*ep^6-2063922489958384054387/115269666624000000*
      ep^7;
Fill mncT11(8,5) = -7207-2520*ep^-1+16965961/420*ep+4066003721/
      35280*ep^2+88549370213/74088000*ep^3-51961797853837/10372320000*
      ep^4-112317791140034653/4356374400000*ep^5+15494833043801886461/
      219561269760000*ep^6-344976808798510227569267/2305393332480000000
      *ep^7;
Fill mncT11(5,8) = -7207-2520*ep^-1+16965961/420*ep+4066003721/
      35280*ep^2+88549370213/74088000*ep^3-51961797853837/10372320000*
      ep^4-112317791140034653/4356374400000*ep^5+15494833043801886461/
      219561269760000*ep^6-344976808798510227569267/2305393332480000000
      *ep^7;
Fill mncT11(8,6) = -78521/2-13860*ep^-1+187205549/840*ep+
      221181512717/352800*ep^2-115715020399/29635200*ep^3-
      289203450863189/20744640000*ep^4-1302317090554369133/
      8712748800000*ep^5+4344778502835368560909/10978063488000000*ep^6-
      3870568918767234673672243/4610786664960000000*ep^7;
Fill mncT11(6,8) = -78521/2-13860*ep^-1+187205549/840*ep+
      221181512717/352800*ep^2-115715020399/29635200*ep^3-
      289203450863189/20744640000*ep^4-1302317090554369133/
      8712748800000*ep^5+4344778502835368560909/10978063488000000*ep^6-
      3870568918767234673672243/4610786664960000000*ep^7;
Fill mncT11(8,7) = -878053/5-60984*ep^-1+1021262989/1050*ep+
      1237038993709/441000*ep^2+6809609127931/61740000*ep^3-
      366227813869447/5186160000*ep^4-2411323300828693423/3630312000000
      *ep^5+23511312201655304300383/13722579360000000*ep^6-
      20814476473445595354301463/5763483331200000000*ep^7;
Fill mncT11(7,8) = -878053/5-60984*ep^-1+1021262989/1050*ep+
      1237038993709/441000*ep^2+6809609127931/61740000*ep^3-
      366227813869447/5186160000*ep^4-2411323300828693423/3630312000000
      *ep^5+23511312201655304300383/13722579360000000*ep^6-
      20814476473445595354301463/5763483331200000000*ep^7;
Fill mncT11(8,8) = -23526338/35-226512*ep^-1+13076140537/3675*ep+
      2369104264591/220500*ep^2+276406698978143/216090000*ep^3-
      1272364093560383/3630312000*ep^4-10493366424372887233/
      4235364000000*ep^5+295301905997605649805619/48029027760000000*
      ep^6-258682055140563395175773579/20172191659200000000*ep^7;
Fill mncT11(9,-8) = 7106/105-6*ep^-1-8238597/19600*ep+1445799969/
      784000*ep^2-5966822920451/921984000*ep^3+74672499502543111/
      3872332800000*ep^4-71463768481254800891/1394039808000000*ep^5+
      340687750433250310177463/2732318023680000000*ep^6-
      393997388210381339284232201/1377088283934720000000*ep^7;
Fill mncT11(-8,9) = 7106/105-6*ep^-1-8238597/19600*ep+1445799969/
      784000*ep^2-5966822920451/921984000*ep^3+74672499502543111/
      3872332800000*ep^4-71463768481254800891/1394039808000000*ep^5+
      340687750433250310177463/2732318023680000000*ep^6-
      393997388210381339284232201/1377088283934720000000*ep^7;
Fill mncT11(9,-7) = 1487/560-1/6*ep^-1-3316141/156800*ep+
      2135018371/18816000*ep^2-1145643755121/2458624000*ep^3+
      439656207727252847/278807961600000*ep^4-17176088305781997241/
      3717439488000000*ep^5+2390104466596829392173151/
      196726897704960000000*ep^6-108192761678673490454172211/
      3672235423825920000000*ep^7;
Fill mncT11(-7,9) = 1487/560-1/6*ep^-1-3316141/156800*ep+
      2135018371/18816000*ep^2-1145643755121/2458624000*ep^3+
      439656207727252847/278807961600000*ep^4-17176088305781997241/
      3717439488000000*ep^5+2390104466596829392173151/
      196726897704960000000*ep^6-108192761678673490454172211/
      3672235423825920000000*ep^7;
Fill mncT11(9,-6) = 1/112-5471/31360*ep+14340133/8780800*ep^2-
      24494628927/2458624000*ep^3+6237727760217/137682944000*ep^4-
      864838163864034797/5204415283200000*ep^5+755622747957539277031/
      1457236279296000000*ep^6-5256078396957425007002941/
      3672235423825920000000*ep^7;
Fill mncT11(-6,9) = 1/112-5471/31360*ep+14340133/8780800*ep^2-
      24494628927/2458624000*ep^3+6237727760217/137682944000*ep^4-
      864838163864034797/5204415283200000*ep^5+755622747957539277031/
      1457236279296000000*ep^6-5256078396957425007002941/
      3672235423825920000000*ep^7;
Fill mncT11(9,-5) = 1/1176*ep-13513/987840*ep^2+11790271/118540800
      *ep^3-304304606929/697019904000*ep^4+148251273664517/
      117099343872000*ep^5-160773781134778039/70259606323200000*ep^6+
      334720166623102844137/413126485180416000000*ep^7;
Fill mncT11(-5,9) = 1/1176*ep-13513/987840*ep^2+11790271/118540800
      *ep^3-304304606929/697019904000*ep^4+148251273664517/
      117099343872000*ep^5-160773781134778039/70259606323200000*ep^6+
      334720166623102844137/413126485180416000000*ep^7;
Fill mncT11(9,-4) = 1/17640*ep-563/987840*ep^2+2929291/1778112000*
      ep^3+9789209929/3485099520000*ep^4-303031735346099/
      8782450790400000*ep^5+2773791425625553/23419868774400000*ep^6-
      1320828895530164544803/6196897277706240000000*ep^7;
Fill mncT11(-4,9) = 1/17640*ep-563/987840*ep^2+2929291/1778112000*
      ep^3+9789209929/3485099520000*ep^4-303031735346099/
      8782450790400000*ep^5+2773791425625553/23419868774400000*ep^6-
      1320828895530164544803/6196897277706240000000*ep^7;
Fill mncT11(9,-3) = 1/58800*ep-1793/16464000*ep^2-338951/
      5927040000*ep^3+1515706901/774466560000*ep^4-162680266832969/
      29274835968000000*ep^5+2757706043449421/1170993438720000000*ep^6+
      496466930332909871623/20656324259020800000000*ep^7;
Fill mncT11(-3,9) = 1/58800*ep-1793/16464000*ep^2-338951/
      5927040000*ep^3+1515706901/774466560000*ep^4-162680266832969/
      29274835968000000*ep^5+2757706043449421/1170993438720000000*ep^6+
      496466930332909871623/20656324259020800000000*ep^7;
Fill mncT11(9,-2) = 1/58800*ep-2929/49392000*ep^2-210289/658560000
      *ep^3+10265988779/6970199040000*ep^4-7503545288719/
      29274835968000000*ep^5-9044799887088629/1170993438720000000*ep^6+
      350949289738083675073/20656324259020800000000*ep^7;
Fill mncT11(-2,9) = 1/58800*ep-2929/49392000*ep^2-210289/658560000
      *ep^3+10265988779/6970199040000*ep^4-7503545288719/
      29274835968000000*ep^5-9044799887088629/1170993438720000000*ep^6+
      350949289738083675073/20656324259020800000000*ep^7;
Fill mncT11(9,-1) = 1/17640*ep-121/2963520*ep^2-2512789/1778112000
      *ep^3+15188895707/10455298560000*ep^4+2773974518263/
      325275955200000*ep^5-1033024571110093/70259606323200000*ep^6-
      31421919356543790563/6196897277706240000000*ep^7;
Fill mncT11(-1,9) = 1/17640*ep-121/2963520*ep^2-2512789/1778112000
      *ep^3+15188895707/10455298560000*ep^4+2773974518263/
      325275955200000*ep^5-1033024571110093/70259606323200000*ep^6-
      31421919356543790563/6196897277706240000000*ep^7;
Fill mncT11(9,0) = 1/1176*ep+2167/987840*ep^2-2147569/118540800*
      ep^3-30974065249/697019904000*ep^4+1001999162669/13011038208000*
      ep^5+3581601704367667/23419868774400000*ep^6-34186068626069023943/
      413126485180416000000*ep^7;
Fill mncT11(0,9) = 1/1176*ep+2167/987840*ep^2-2147569/118540800*
      ep^3-30974065249/697019904000*ep^4+1001999162669/13011038208000*
      ep^5+3581601704367667/23419868774400000*ep^6-34186068626069023943/
      413126485180416000000*ep^7;
Fill mncT11(9,1) = -1/28-227/1120*ep+4829183/19756800*ep^2+
      17493523283/5531904000*ep^3+2131548126517/398297088000*ep^4+
      1653666696353377/1301103820800000*ep^5-19097172257184410257/
      9836344885248000000*ep^6+122074168517106877909/
      393453795409920000000*ep^7;
Fill mncT11(1,9) = -1/28-227/1120*ep+4829183/19756800*ep^2+
      17493523283/5531904000*ep^3+2131548126517/398297088000*ep^4+
      1653666696353377/1301103820800000*ep^5-19097172257184410257/
      9836344885248000000*ep^6+122074168517106877909/
      393453795409920000000*ep^7;
Fill mncT11(9,2) = -787/140-ep^-1+2427349/352800*ep+8586842269/
      98784000*ep^2+7377872489189/49787136000*ep^3+373227039620317/
      7744665600000*ep^4-6457306438212806471/175649015808000000*ep^5+
      79981675165471429109/49181724426240000000*ep^6+
      32081761408442005280113/4957517822164992000000*ep^7;
Fill mncT11(2,9) = -787/140-ep^-1+2427349/352800*ep+8586842269/
      98784000*ep^2+7377872489189/49787136000*ep^3+373227039620317/
      7744665600000*ep^4-6457306438212806471/175649015808000000*ep^5+
      79981675165471429109/49181724426240000000*ep^6+
      32081761408442005280113/4957517822164992000000*ep^7;
Fill mncT11(9,3) = -4983/35-36*ep^-1+4556749/9800*ep+18784846207/
      8232000*ep^2+2508753664829/1382976000*ep^3-667379229950441/
      5808499200000*ep^4-2514512912366469071/4879139328000000*ep^5+
      2656280915572496514727/4098477035520000000*ep^6-
      143732931832469920491479/137708828393472000000*ep^7;
Fill mncT11(3,9) = -4983/35-36*ep^-1+4556749/9800*ep+18784846207/
      8232000*ep^2+2508753664829/1382976000*ep^3-667379229950441/
      5808499200000*ep^4-2514512912366469071/4879139328000000*ep^5+
      2656280915572496514727/4098477035520000000*ep^6-
      143732931832469920491479/137708828393472000000*ep^7;
Fill mncT11(9,4) = -12723/7-540*ep^-1+15515811/1960*ep+9610794797/
      329280*ep^2+5562667894709/460992000*ep^3-3161052127785863/
      1161699840000*ep^4-1879943028022084523/325275955200000*ep^5+
      404933737754648802961/32787816284160000*ep^6-
      1835348874529481827701257/76504904663040000000*ep^7;
Fill mncT11(4,9) = -12723/7-540*ep^-1+15515811/1960*ep+9610794797/
      329280*ep^2+5562667894709/460992000*ep^3-3161052127785863/
      1161699840000*ep^4-1879943028022084523/325275955200000*ep^5+
      404933737754648802961/32787816284160000*ep^6-
      1835348874529481827701257/76504904663040000000*ep^7;
Fill mncT11(9,5) = -108175/7-4950*ep^-1+178300085/2352*ep+
      489246542041/1975680*ep^2+97721162938507/1659571200*ep^3-
      7710456819734617/464679936000*ep^4-20412668993201052719/
      390331146240000*ep^5+123496588778630547368501/983634488524800000*
      ep^6-211438975552151045258711293/826252970360832000000*ep^7;
Fill mncT11(5,9) = -108175/7-4950*ep^-1+178300085/2352*ep+
      489246542041/1975680*ep^2+97721162938507/1659571200*ep^3-
      7710456819734617/464679936000*ep^4-20412668993201052719/
      390331146240000*ep^5+123496588778630547368501/983634488524800000*
      ep^6-211438975552151045258711293/826252970360832000000*ep^7;
Fill mncT11(9,6) = -1388409/14-32670*ep^-1+1989252439/3920*ep+
      5225117077949/3292800*ep^2+152407746348439/553190400*ep^3-
      57305585470090057/774466560000*ep^4-229501098284133484783/
      650551910400000*ep^5+1411891865700092007460693/
      1639390814208000000*ep^6-2450424234970503006990024797/
      1377088283934720000000*ep^7;
Fill mncT11(6,9) = -1388409/14-32670*ep^-1+1989252439/3920*ep+
      5225117077949/3292800*ep^2+152407746348439/553190400*ep^3-
      57305585470090057/774466560000*ep^4-229501098284133484783/
      650551910400000*ep^5+1411891865700092007460693/
      1639390814208000000*ep^6-2450424234970503006990024797/
      1377088283934720000000*ep^7;
Fill mncT11(9,7) = -18034071/35-169884*ep^-1+25853745639/9800*ep+
      22610051516631/2744000*ep^2+9993527473165147/6914880000*ep^3-
      120104412190290221/387233280000*ep^4-3028135184250064568279/
      1626379776000000*ep^5+18401032210837883648981581/
      4098477035520000000*ep^6-10658543327303096530180269319/
      1147573569945600000000*ep^7;
Fill mncT11(7,9) = -18034071/35-169884*ep^-1+25853745639/9800*ep+
      22610051516631/2744000*ep^2+9993527473165147/6914880000*ep^3-
      120104412190290221/387233280000*ep^4-3028135184250064568279/
      1626379776000000*ep^5+18401032210837883648981581/
      4098477035520000000*ep^6-10658543327303096530180269319/
      1147573569945600000000*ep^7;
Fill mncT11(9,8) = -79327391/35-736164*ep^-1+333168518807/29400*ep
      +894920683392109/24696000*ep^2+54340449286415137/6914880000*ep^3-
      1380763360930866373/1161699840000*ep^4-4426483375360648100903/
      542126592000000*ep^5+234844645050630226576022053/
      12295431106560000000*ep^6-58030529563353293671970075563/
      1475451732787200000000*ep^7;
Fill mncT11(8,9) = -79327391/35-736164*ep^-1+333168518807/29400*ep
      +894920683392109/24696000*ep^2+54340449286415137/6914880000*ep^3-
      1380763360930866373/1161699840000*ep^4-4426483375360648100903/
      542126592000000*ep^5+234844645050630226576022053/
      12295431106560000000*ep^6-58030529563353293671970075563/
      1475451732787200000000*ep^7;
Fill mncT11(9,9) = -487558929/56-2760615*ep^-1+656747596753/15680*
      ep+366565498288861/2634240*ep^2+144763052912195807/3687936000*
      ep^3-10749363204853737433/3097866240000*ep^4-
      8985300007371764321381/289134182400000*ep^5+
      18200222337635504217270689/262302530273280000*ep^6-
      111613599540889650549767600957/786907590819840000000*ep^7;
Fill mncT11(10,-8) = 6989/2520-1/6*ep^-1-146518763/6350400*ep+
      295232638079/2286144000*ep^2-4451750569328599/8065516032000*ep^3+
      196908406490397578369/101625502003200000*ep^4-
      4379204594379913161341/746636341248000000*ep^5+
      10236513764223790687169654873/645362587921121280000000*ep^6-
      12806938990944580367868039026407/325262744312245125120000000*ep^7
      ;
Fill mncT11(-8,10) = 6989/2520-1/6*ep^-1-146518763/6350400*ep+
      295232638079/2286144000*ep^2-4451750569328599/8065516032000*ep^3+
      196908406490397578369/101625502003200000*ep^4-
      4379204594379913161341/746636341248000000*ep^5+
      10236513764223790687169654873/645362587921121280000000*ep^6-
      12806938990944580367868039026407/325262744312245125120000000*ep^7
      ;
Fill mncT11(10,-7) = 1/144-51139/362880*ep+1256884273/914457600*
      ep^2-2878918703869/329204736000*ep^3+48137423058005717/
      1161434308608000*ep^4-2313503696413041354739/14634072288460800000
      *ep^5+2693521505467790656858039/5268266023845888000000*ep^6-
      135358184109062587618067443003/92932212660641464320000000*ep^7;
Fill mncT11(-7,10) = 1/144-51139/362880*ep+1256884273/914457600*
      ep^2-2878918703869/329204736000*ep^3+48137423058005717/
      1161434308608000*ep^4-2313503696413041354739/14634072288460800000
      *ep^5+2693521505467790656858039/5268266023845888000000*ep^6-
      135358184109062587618067443003/92932212660641464320000000*ep^7;
Fill mncT11(10,-6) = 1/2016*ep-42589/5080320*ep^2+827883523/
      12802406400*ep^3-9821121950233/32262064128000*ep^4+
      15684812553506807/16260080320512000*ep^5-414041852222253713089/
      204877012038451200000*ep^6+936874582256234061083323/
      516290070336897024000000*ep^7;
Fill mncT11(-6,10) = 1/2016*ep-42589/5080320*ep^2+827883523/
      12802406400*ep^3-9821121950233/32262064128000*ep^4+
      15684812553506807/16260080320512000*ep^5-414041852222253713089/
      204877012038451200000*ep^6+936874582256234061083323/
      516290070336897024000000*ep^7;
Fill mncT11(10,-5) = 1/42336*ep-27589/106686720*ep^2+34849789/
      38407219200*ep^3+317044794767/677503346688000*ep^4-
      5172935456652193/341461686730752000*ep^5+38446533470050730273/
      614631036115353600000*ep^6-1498975664849050643751677/
      10842091477074837504000000*ep^7;
Fill mncT11(-5,10) = 1/42336*ep-27589/106686720*ep^2+34849789/
      38407219200*ep^3+317044794767/677503346688000*ep^4-
      5172935456652193/341461686730752000*ep^5+38446533470050730273/
      614631036115353600000*ep^6-1498975664849050643751677/
      10842091477074837504000000*ep^7;
Fill mncT11(10,-4) = 1/211680*ep-3737/106686720*ep^2+3220069/
      192036096000*ep^3+1849098148199/3387516733440000*ep^4-
      17893832061607469/8536542168268800000*ep^5+1508095773584484661/
      614631036115353600000*ep^6+285629151077809434552763/
      54210457385374187520000000*ep^7;
Fill mncT11(-4,10) = 1/211680*ep-3737/106686720*ep^2+3220069/
      192036096000*ep^3+1849098148199/3387516733440000*ep^4-
      17893832061607469/8536542168268800000*ep^5+1508095773584484661/
      614631036115353600000*ep^6+285629151077809434552763/
      54210457385374187520000000*ep^7;
Fill mncT11(10,-3) = 1/352800*ep-11797/889056000*ep^2-12737699/
      320060160000*ep^3+342043914019/1129172244480000*ep^4-
      5184963405893189/14227570280448000000*ep^5-795832270659295753/
      731703614423040000000*ep^6+388526327803548434889187/
      90350762308956979200000000*ep^7;
Fill mncT11(-3,10) = 1/352800*ep-11797/889056000*ep^2-12737699/
      320060160000*ep^3+342043914019/1129172244480000*ep^4-
      5184963405893189/14227570280448000000*ep^5-795832270659295753/
      731703614423040000000*ep^6+388526327803548434889187/
      90350762308956979200000000*ep^7;
Fill mncT11(10,-2) = 1/211680*ep-1133/106686720*ep^2-20839151/
      192036096000*ep^3+1005421668539/3387516733440000*ep^4+
      3636684674926231/8536542168268800000*ep^5-1337494490764132847/
      614631036115353600000*ep^6+109384470655156539960223/
      54210457385374187520000000*ep^7;
Fill mncT11(-2,10) = 1/211680*ep-1133/106686720*ep^2-20839151/
      192036096000*ep^3+1005421668539/3387516733440000*ep^4+
      3636684674926231/8536542168268800000*ep^5-1337494490764132847/
      614631036115353600000*ep^6+109384470655156539960223/
      54210457385374187520000000*ep^7;
Fill mncT11(10,-1) = 1/42336*ep+551/106686720*ep^2-23198471/
      38407219200*ep^3+34557361427/677503346688000*ep^4+
      1401049384583171/341461686730752000*ep^5-241271864192374501/
      87804433730764800000*ep^6-84321218153980069817897/
      10842091477074837504000000*ep^7;
Fill mncT11(-1,10) = 1/42336*ep+551/106686720*ep^2-23198471/
      38407219200*ep^3+34557361427/677503346688000*ep^4+
      1401049384583171/341461686730752000*ep^5-241271864192374501/
      87804433730764800000*ep^6-84321218153980069817897/
      10842091477074837504000000*ep^7;
Fill mncT11(10,0) = 1/2016*ep+1193/725760*ep^2-123315497/
      12802406400*ep^3-1087179659173/32262064128000*ep^4+60277238568413/
      2322868617216000*ep^5+25111791629474830451/204877012038451200000*
      ep^6+8925464608965128419903/516290070336897024000000*ep^7;
Fill mncT11(0,10) = 1/2016*ep+1193/725760*ep^2-123315497/
      12802406400*ep^3-1087179659173/32262064128000*ep^4+60277238568413/
      2322868617216000*ep^5+25111791629474830451/204877012038451200000*
      ep^6+8925464608965128419903/516290070336897024000000*ep^7;
Fill mncT11(10,1) = -1/36-493/2835*ep+11263261/114307200*ep^2+
      741728374799/288054144000*ep^3+812764988352467/145179288576000*
      ep^4+6149677687096924787/1829259036057600000*ep^5-
      4849610438930985778289/4609732770865152000000*ep^6-
      8009486385328024939544341/11616526582580183040000000*ep^7;
Fill mncT11(1,10) = -1/36-493/2835*ep+11263261/114307200*ep^2+
      741728374799/288054144000*ep^3+812764988352467/145179288576000*
      ep^4+6149677687096924787/1829259036057600000*ep^5-
      4849610438930985778289/4609732770865152000000*ep^6-
      8009486385328024939544341/11616526582580183040000000*ep^7;
Fill mncT11(10,2) = -3839/630-ep^-1+13517821/3175200*ep+
      722967654779/8001504000*ep^2+762299414847911/4032758016000*ep^3+
      5863782749601411287/50812751001600000*ep^4-2410867506661744804829/
      128048132524032000000*ep^5-5609463326272112971221361/
      322681293960560640000000*ep^6+1382361582772960749185551247/
      162631372156122562560000000*ep^7;
Fill mncT11(2,10) = -3839/630-ep^-1+13517821/3175200*ep+
      722967654779/8001504000*ep^2+762299414847911/4032758016000*ep^3+
      5863782749601411287/50812751001600000*ep^4-2410867506661744804829/
      128048132524032000000*ep^5-5609463326272112971221361/
      322681293960560640000000*ep^6+1382361582772960749185551247/
      162631372156122562560000000*ep^7;
Fill mncT11(10,3) = -2733/14-45*ep^-1+12100511/23520*ep+
      36522506621/11854080*ep^2+499108024384793/149361408000*ep^3+
      238057627322242549/376390748160000*ep^4-730345405419777932839/
      948504685363200000*ep^5+10935936143374017122657/
      19121854456922112000*ep^6-5858355924150051615801044527/
      6023384153930465280000000*ep^7;
Fill mncT11(3,10) = -2733/14-45*ep^-1+12100511/23520*ep+
      36522506621/11854080*ep^2+499108024384793/149361408000*ep^3+
      238057627322242549/376390748160000*ep^4-730345405419777932839/
      948504685363200000*ep^5+10935936143374017122657/
      19121854456922112000*ep^6-5858355924150051615801044527/
      6023384153930465280000000*ep^7;
Fill mncT11(10,4) = -42475/14-825*ep^-1+158826085/14112*ep+
      1722812465123/35562240*ep^2+2862905548098763/89616844800*ep^3+
      51383427764068223/225834448896000*ep^4-6023904889151281594517/
      569102811217920000*ep^5+23363096452385184095005943/
      1434139084269158400000*ep^6-110264432781197828882485348397/
      3614030492358279168000000*ep^7;
Fill mncT11(4,10) = -42475/14-825*ep^-1+158826085/14112*ep+
      1722812465123/35562240*ep^2+2862905548098763/89616844800*ep^3+
      51383427764068223/225834448896000*ep^4-6023904889151281594517/
      569102811217920000*ep^5+23363096452385184095005943/
      1434139084269158400000*ep^6-110264432781197828882485348397/
      3614030492358279168000000*ep^7;
Fill mncT11(10,5) = -428725/14-9075*ep^-1+1863930935/14112*ep+
      17420500082353/35562240*ep^2+19591470539173193/89616844800*ep^3-
      3490364875570682747/225834448896000*ep^4-59881195837843542836887/
      569102811217920000*ep^5+296873508701169258538304173/
      1434139084269158400000*ep^6-1476156242971097816374029937567/
      3614030492358279168000000*ep^7;
Fill mncT11(5,10) = -428725/14-9075*ep^-1+1863930935/14112*ep+
      17420500082353/35562240*ep^2+19591470539173193/89616844800*ep^3-
      3490364875570682747/225834448896000*ep^4-59881195837843542836887/
      569102811217920000*ep^5+296873508701169258538304173/
      1434139084269158400000*ep^6-1476156242971097816374029937567/
      3614030492358279168000000*ep^7;
Fill mncT11(10,6) = -1604691/7-70785*ep^-1+24874620107/23520*ep+
      217302808748161/59270400*ep^2+37867626431250733/29872281600*ep^3-
      44685664886587404371/376390748160000*ep^4-
      759955588865113975328047/948504685363200000*ep^5+
      4099524744313667143406168437/2390231807115264000000*ep^6-
      20833037715691712211582053432119/6023384153930465280000000*ep^7;
Fill mncT11(6,10) = -1604691/7-70785*ep^-1+24874620107/23520*ep+
      217302808748161/59270400*ep^2+37867626431250733/29872281600*ep^3-
      44685664886587404371/376390748160000*ep^4-
      759955588865113975328047/948504685363200000*ep^5+
      4099524744313667143406168437/2390231807115264000000*ep^6-
      20833037715691712211582053432119/6023384153930465280000000*ep^7;
Fill mncT11(10,7) = -6857708/5-429429*ep^-1+325970190527/50400*ep+
      2784773997117157/127008000*ep^2+314001610292351747/45722880000*
      ep^3-95626190195515256131/161310320640000*ep^4-
      9860721257991817665174811/2032510040064000000*ep^5+
      1108956725942688441770328361/104529087774720000000*ep^6-278285492\
      513417518709651847866179/12907251758422425600000000*ep^7;
Fill mncT11(7,10) = -6857708/5-429429*ep^-1+325970190527/50400*ep+
      2784773997117157/127008000*ep^2+314001610292351747/45722880000*
      ep^3-95626190195515256131/161310320640000*ep^4-
      9860721257991817665174811/2032510040064000000*ep^5+
      1108956725942688441770328361/104529087774720000000*ep^6-278285492\
      513417518709651847866179/12907251758422425600000000*ep^7;
Fill mncT11(10,8) = -6878157-2147145*ep^-1+325203879839/10080*ep+
      558376514581289/5080320*ep^2+2276261966505252557/64012032000*ep^3
      -353006015772044616599/161310320640000*ep^4-
      1416153373047555093193573/58071715430400000*ep^5+
      2163931597787517400749343417/40975402407690240000*ep^6-2772731969\
      21937364921581416686123/2581450351684485120000000*ep^7;
Fill mncT11(8,10) = -6878157-2147145*ep^-1+325203879839/10080*ep+
      558376514581289/5080320*ep^2+2276261966505252557/64012032000*ep^3
      -353006015772044616599/161310320640000*ep^4-
      1416153373047555093193573/58071715430400000*ep^5+
      2163931597787517400749343417/40975402407690240000*ep^6-2772731969\
      21937364921581416686123/2581450351684485120000000*ep^7;
Fill mncT11(10,9) = -1673149335/56-9202050*ep^-1+1289073256967/
      9408*ep+11312477611942837/23708160*ep^2+10298545085451680663/
      59744563200*ep^3-134009329612247902531/30111259852800*ep^4-
      40019532931754029975386181/379401874145280000*ep^5+
      212134946069703741277797894757/956092722846105600000*ep^6-1549292\
      07423781617543429942894631/344193380224598016000000*ep^7;
Fill mncT11(9,10) = -1673149335/56-9202050*ep^-1+1289073256967/
      9408*ep+11312477611942837/23708160*ep^2+10298545085451680663/
      59744563200*ep^3-134009329612247902531/30111259852800*ep^4-
      40019532931754029975386181/379401874145280000*ep^5+
      212134946069703741277797894757/956092722846105600000*ep^6-1549292\
      07423781617543429942894631/344193380224598016000000*ep^7;
Fill mncT11(10,10) = -29016110695/252-34763300*ep^-1+
      64837836509717/127008*ep+588017945454375487/320060160*ep^2+
      617147766869674120613/806551603200*ep^3+5319449752682429703959/
      406502008012800*ep^4-2063640067151239842477253231/
      5121925300961280000*ep^5+10489058461465056561219564952207/
      12907251758422425600000*ep^6-7633634691805624635423644506701781/
      4646610633032073216000000*ep^7;
Fill mncT11(11,-8) = 1/180-26413/226800*ep+134456089/114307200*
      ep^2-1596111015937/205752960000*ep^3+138248526166679213/
      3629482214400000*ep^4-1374511006495037218783/9146295180288000000*
      ep^5+330208715575653767543191/658533252980736000000*ep^6-
      85322613394473533364412276999/58082632912900915200000000*ep^7;
Fill mncT11(-8,11) = 1/180-26413/226800*ep+134456089/114307200*
      ep^2-1596111015937/205752960000*ep^3+138248526166679213/
      3629482214400000*ep^4-1374511006495037218783/9146295180288000000*
      ep^5+330208715575653767543191/658533252980736000000*ep^6-
      85322613394473533364412276999/58082632912900915200000000*ep^7;
Fill mncT11(11,-7) = 1/3240*ep-14797/2721600*ep^2+181235561/
      4115059200*ep^3-77414542469/352719360000*ep^4+97447367116709221/
      130661359718400000*ep^5-63492270011656558159/36585180721152000000
      *ep^6+51851780862560516512511/23707197107306496000000*ep^7;
Fill mncT11(-7,11) = 1/3240*ep-14797/2721600*ep^2+181235561/
      4115059200*ep^3-77414542469/352719360000*ep^4+97447367116709221/
      130661359718400000*ep^5-63492270011656558159/36585180721152000000
      *ep^6+51851780862560516512511/23707197107306496000000*ep^7;
Fill mncT11(11,-6) = 1/90720*ep-9847/76204800*ep^2+59909711/
      115221657600*ep^3-69488011931/483930961920000*ep^4-
      26025337810957829/3658518072115200000*ep^5+35541037054048779791/
      1024385060192256000000*ep^6-413932336693923940206073/
      4646610633032073216000000*ep^7;
Fill mncT11(-6,11) = 1/90720*ep-9847/76204800*ep^2+59909711/
      115221657600*ep^3-69488011931/483930961920000*ep^4-
      26025337810957829/3658518072115200000*ep^5+35541037054048779791/
      1024385060192256000000*ep^6-413932336693923940206073/
      4646610633032073216000000*ep^7;
Fill mncT11(11,-5) = 1/635040*ep-6947/533433600*ep^2+1853093/
      115221657600*ep^3+2415870283/13940398080000*ep^4-
      21808699613130929/25609626504806400000*ep^5+4527410686347123839/
      3073155180576768000000*ep^6+26597805962521403804267/
      32526274431224512512000000*ep^7;
Fill mncT11(-5,11) = 1/635040*ep-6947/533433600*ep^2+1853093/
      115221657600*ep^3+2415870283/13940398080000*ep^4-
      21808699613130929/25609626504806400000*ep^5+4527410686347123839/
      3073155180576768000000*ep^6+26597805962521403804267/
      32526274431224512512000000*ep^7;
Fill mncT11(11,-4) = 1/1587600*ep-1583/444528000*ep^2-8253989/
      1440270720000*ep^3+126513644671/1693758366720000*ep^4-
      9575708271918539/64024066262016000000*ep^5-21291625203013643/
      156793631662080000000*ep^6+468250257156387207478957/
      406578430390306406400000000*ep^7;
Fill mncT11(-4,11) = 1/1587600*ep-1583/444528000*ep^2-8253989/
      1440270720000*ep^3+126513644671/1693758366720000*ep^4-
      9575708271918539/64024066262016000000*ep^5-21291625203013643/
      156793631662080000000*ep^6+468250257156387207478957/
      406578430390306406400000000*ep^7;
Fill mncT11(11,-3) = 1/1587600*ep-953/444528000*ep^2-18013679/
      1440270720000*ep^3+93957432661/1693758366720000*ep^4+
      244299171917911/64024066262016000000*ep^5-2561069843864866937/
      7682887951441920000000*ep^6+255176270264704882514527/
      406578430390306406400000000*ep^7;
Fill mncT11(-3,11) = 1/1587600*ep-953/444528000*ep^2-18013679/
      1440270720000*ep^3+93957432661/1693758366720000*ep^4+
      244299171917911/64024066262016000000*ep^5-2561069843864866937/
      7682887951441920000000*ep^6+255176270264704882514527/
      406578430390306406400000000*ep^7;
Fill mncT11(11,-2) = 1/635040*ep-1067/533433600*ep^2-4555267/
      115221657600*ep^3+71451184963/1129172244480000*ep^4+
      6060236731487671/25609626504806400000*ep^5-1778869391576004121/
      3073155180576768000000*ep^6-1051365290878367040013/
      32526274431224512512000000*ep^7;
Fill mncT11(-2,11) = 1/635040*ep-1067/533433600*ep^2-4555267/
      115221657600*ep^3+71451184963/1129172244480000*ep^4+
      6060236731487671/25609626504806400000*ep^5-1778869391576004121/
      3073155180576768000000*ep^6-1051365290878367040013/
      32526274431224512512000000*ep^7;
Fill mncT11(11,-1) = 1/90720*ep+17/1555200*ep^2-32244889/
      115221657600*ep^3-94025257811/483930961920000*ep^4+
      1008254803097653/522645438873600000*ep^5+209305252303818151/
      1024385060192256000000*ep^6-21353220451789311721633/
      4646610633032073216000000*ep^7;
Fill mncT11(-1,11) = 1/90720*ep+17/1555200*ep^2-32244889/
      115221657600*ep^3-94025257811/483930961920000*ep^4+
      1008254803097653/522645438873600000*ep^5+209305252303818151/
      1024385060192256000000*ep^6-21353220451789311721633/
      4646610633032073216000000*ep^7;
Fill mncT11(11,0) = 1/3240*ep+827/680400*ep^2-11023697/2057529600*
      ep^3-213635188993/8641624320000*ep^4+202679708214773/
      65330679859200000*ep^5+1584207632214102713/18292590360576000000*
      ep^6+4847598889051111062481/82975189875572736000000*ep^7;
Fill mncT11(0,11) = 1/3240*ep+827/680400*ep^2-11023697/2057529600*
      ep^3-213635188993/8641624320000*ep^4+202679708214773/
      65330679859200000*ep^5+1584207632214102713/18292590360576000000*
      ep^6+4847598889051111062481/82975189875572736000000*ep^7;
Fill mncT11(11,1) = -1/45-79/525*ep+233561/28576800*ep^2+
      252429447293/120022560000*ep^3+5018292630035287/907370553600000*
      ep^4+3762344410096824121/762191265024000000*ep^5+
      498522516677473675643/1152433192716288000000*ep^6-
      1700186332247649384707509/1613406469802803200000000*ep^7;
Fill mncT11(1,11) = -1/45-79/525*ep+233561/28576800*ep^2+
      252429447293/120022560000*ep^3+5018292630035287/907370553600000*
      ep^4+3762344410096824121/762191265024000000*ep^5+
      498522516677473675643/1152433192716288000000*ep^6-
      1700186332247649384707509/1613406469802803200000000*ep^7;
Fill mncT11(11,2) = -821/126-ep^-1+5427613/3175200*ep+738577344259/
      8001504000*ep^2+4578739455717211/20163790080000*ep^3+
      1960827592133017187/10162550200320000*ep^4+3209747998239756183643/
      128048132524032000000*ep^5-9157143962606778208417241/
      322681293960560640000000*ep^6+1329766238662796763370771651/
      813156860780612812800000000*ep^7;
Fill mncT11(2,11) = -821/126-ep^-1+5427613/3175200*ep+738577344259/
      8001504000*ep^2+4578739455717211/20163790080000*ep^3+
      1960827592133017187/10162550200320000*ep^4+3209747998239756183643/
      128048132524032000000*ep^5-9157143962606778208417241/
      322681293960560640000000*ep^6+1329766238662796763370771651/
      813156860780612812800000000*ep^7;
Fill mncT11(11,3) = -16246/63-55*ep^-1+347119823/635040*ep+
      6388820281973/1600300800*ep^2+21726567844536293/4032758016000*
      ep^3+21409223078689335233/10162550200320000*ep^4-
      19823516717062354417867/25609626504806400000*ep^5+
      22770059407573565454852713/64536258792112128000000*ep^6-
      149239285271455025301507908467/162631372156122562560000000*ep^7;
Fill mncT11(3,11) = -16246/63-55*ep^-1+347119823/635040*ep+
      6388820281973/1600300800*ep^2+21726567844536293/4032758016000*
      ep^3+21409223078689335233/10162550200320000*ep^4-
      19823516717062354417867/25609626504806400000*ep^5+
      22770059407573565454852713/64536258792112128000000*ep^6-
      149239285271455025301507908467/162631372156122562560000000*ep^7;
Fill mncT11(11,4) = -605099/126-1210*ep^-1+4839212053/317520*ep+
      60789977962453/800150400*ep^2+135372458982606673/2016379008000*
      ep^3+62110249687307439013/5081275100160000*ep^4-
      211162263002971831706087/12804813252403200000*ep^5+
      627259991516880293448839293/32268129396056064000000*ep^6-
      3040805981195238718057420004687/81315686078061281280000000*ep^7;
Fill mncT11(4,11) = -605099/126-1210*ep^-1+4839212053/317520*ep+
      60789977962453/800150400*ep^2+135372458982606673/2016379008000*
      ep^3+62110249687307439013/5081275100160000*ep^4-
      211162263002971831706087/12804813252403200000*ep^5+
      627259991516880293448839293/32268129396056064000000*ep^6-
      3040805981195238718057420004687/81315686078061281280000000*ep^7;
Fill mncT11(11,5) = -3583756/63-15730*ep^-1+68732712289/317520*ep+
      724669260874939/800150400*ep^2+1167238996433602699/2016379008000*
      ep^3+231844936514671883119/5081275100160000*ep^4-
      2508610298468264069626181/12804813252403200000*ep^5+
      10196031307693362805357906759/32268129396056064000000*ep^6-
      50177397128153085220962659453981/81315686078061281280000000*ep^7;
Fill mncT11(5,11) = -3583756/63-15730*ep^-1+68732712289/317520*ep+
      724669260874939/800150400*ep^2+1167238996433602699/2016379008000*
      ep^3+231844936514671883119/5081275100160000*ep^4-
      2508610298468264069626181/12804813252403200000*ep^5+
      10196031307693362805357906759/32268129396056064000000*ep^6-
      50177397128153085220962659453981/81315686078061281280000000*ep^7;
Fill mncT11(11,6) = -22147697/45-143143*ep^-1+929446844269/453600*
      ep+8973730030918711/1143072000*ep^2+1645740216514940689/
      411505920000*ep^3+179602604427740547407/1451792885760000*ep^4-
      31193741201021364666736313/18292590360576000000*ep^5+
      20766947791952255479890654757/6585332529807360000000*ep^6-7282298\
      92803785902132409172473969/116165265825801830400000000*ep^7;
Fill mncT11(6,11) = -22147697/45-143143*ep^-1+929446844269/453600*
      ep+8973730030918711/1143072000*ep^2+1645740216514940689/
      411505920000*ep^3+179602604427740547407/1451792885760000*ep^4-
      31193741201021364666736313/18292590360576000000*ep^5+
      20766947791952255479890654757/6585332529807360000000*ep^6-7282298\
      92803785902132409172473969/116165265825801830400000000*ep^7;
Fill mncT11(11,7) = -60553493/18-1002001*ep^-1+945159223237/64800*
      ep+8766160524938491/163296000*ep^2+9923084905935640339/
      411505920000*ep^3+74739077068888490843/207398983680000*ep^4-
      30648804029589777294573293/2613227194368000000*ep^5+
      151121650755004109275598796991/6585332529807360000000*ep^6-
      764444508533544349921095848556101/16595037975114547200000000*ep^7
      ;
Fill mncT11(7,11) = -60553493/18-1002001*ep^-1+945159223237/64800*
      ep+8766160524938491/163296000*ep^2+9923084905935640339/
      411505920000*ep^3+74739077068888490843/207398983680000*ep^4-
      30648804029589777294573293/2613227194368000000*ep^5+
      151121650755004109275598796991/6585332529807360000000*ep^6-
      764444508533544349921095848556101/16595037975114547200000000*ep^7
      ;
Fill mncT11(11,8) = -343750121/18-5725720*ep^-1+474562352021/5670*
      ep+696597284464451/2286144*ep^2+19040176011641779457/144027072000
      *ep^3+913708015611120060641/362948221440000*ep^4-
      8713551761159224993019413/130661359718400000*ep^5+
      61048606018720608059013850141/460973277086515200000*ep^6-15502815\
      64744136786772351482194123/5808263291290091520000000*ep^7;
Fill mncT11(8,11) = -343750121/18-5725720*ep^-1+474562352021/5670*
      ep+696597284464451/2286144*ep^2+19040176011641779457/144027072000
      *ep^3+913708015611120060641/362948221440000*ep^4-
      8713551761159224993019413/130661359718400000*ep^5+
      61048606018720608059013850141/460973277086515200000*ep^6-15502815\
      64744136786772351482194123/5808263291290091520000000*ep^7;
Fill mncT11(11,9) = -5871358207/63-27810640*ep^-1+64299918242831/
      158760*ep+23784548829995657/16003008*ep^2+671781145882129744763/
      1008189504000*ep^3+62529903464453403540869/2540637550080000*ep^4-
      2076147741620746585704246769/6402406626201600000*ep^5+
      2058569100251687354169663458629/3226812939605606400000*ep^6-
      7474175761182282940746135035477851/5808263291290091520000000*ep^7
      ;
Fill mncT11(9,11) = -5871358207/63-27810640*ep^-1+64299918242831/
      158760*ep+23784548829995657/16003008*ep^2+671781145882129744763/
      1008189504000*ep^3+62529903464453403540869/2540637550080000*ep^4-
      2076147741620746585704246769/6402406626201600000*ep^5+
      2058569100251687354169663458629/3226812939605606400000*ep^6-
      7474175761182282940746135035477851/5808263291290091520000000*ep^7
      ;
Fill mncT11(11,10) = -11225533891/28-118195220*ep^-1+
      1083072429914077/635040*ep+45435762707413735/7112448*ep^2+
      12437721494202379897021/4032758016000*ep^3+
      225196039730145061494947/1129172244480000*ep^4-
      35412063647655407728047914423/25609626504806400000*ep^5+
      3807984282148491590238202486387/1434139084269158400000*ep^6-
      124380566207783042599578040609782317/23233053165160366080000000*
      ep^7;
Fill mncT11(10,11) = -11225533891/28-118195220*ep^-1+
      1083072429914077/635040*ep+45435762707413735/7112448*ep^2+
      12437721494202379897021/4032758016000*ep^3+
      225196039730145061494947/1129172244480000*ep^4-
      35412063647655407728047914423/25609626504806400000*ep^5+
      3807984282148491590238202486387/1434139084269158400000*ep^6-
      124380566207783042599578040609782317/23233053165160366080000000*
      ep^7;
Fill mncT11(11,11) = -43385111341/28-449141836*ep^-1+
      20306578005030763/3175200*ep+2435909327000943049/98784000*ep^2+
      263881159572412731762211/20163790080000*ep^3+
      293509533679007951702389/225834448896000*ep^4-
      674148861321813427710319636457/128048132524032000000*ep^5+3508885\
      41457086934556957937912241/35853477106728960000000*ep^6-229185060\
      9267557284902860502631021907/116165265825801830400000000*ep^7;
Fill mncT11(12,-8) = 1/4950*ep-50599/13721400*ep^2+11843508841/
      380357208000*ep^3-175106820216701/1075867531200000*ep^4+
      855790798456578961829/1461329350278336000000*ep^5-
      59823716472752970058288589/40508049589715473920000000*ep^6+
      362300811107480662592901934883/160411876375273276723200000000*
      ep^7;
Fill mncT11(-8,12) = 1/4950*ep-50599/13721400*ep^2+11843508841/
      380357208000*ep^3-175106820216701/1075867531200000*ep^4+
      855790798456578961829/1461329350278336000000*ep^5-
      59823716472752970058288589/40508049589715473920000000*ep^6+
      362300811107480662592901934883/160411876375273276723200000000*
      ep^7;
Fill mncT11(12,-7) = 1/178200*ep-22927/329313600*ep^2+8514162677/
      27385718976000*ep^3-48551510287213/180745745241600000*ep^4-
      369393540347591511047/105215713220040192000000*ep^5+
      6516687574405666468432903/324064396717723791360000000*ep^6-
      672254909075218205554223082449/11549655099019675924070400000000*
      ep^7;
Fill mncT11(-7,12) = 1/178200*ep-22927/329313600*ep^2+8514162677/
      27385718976000*ep^3-48551510287213/180745745241600000*ep^4-
      369393540347591511047/105215713220040192000000*ep^5+
      6516687574405666468432903/324064396717723791360000000*ep^6-
      672254909075218205554223082449/11549655099019675924070400000000*
      ep^7;
Fill mncT11(12,-6) = 1/1663200*ep-16657/3073593600*ep^2+2552021327/
      255600043776000*ep^3+712636434536759/11808722022451200000*ep^4-
      365827606807350699197/982013323387041792000000*ep^5+
      2480222064471160725292253/3024601036032088719360000000*ep^6-
      142991627698288722676016757293/754577466469285493705932800000000*
      ep^7;
Fill mncT11(-6,12) = 1/1663200*ep-16657/3073593600*ep^2+2552021327/
      255600043776000*ep^3+712636434536759/11808722022451200000*ep^4-
      365827606807350699197/982013323387041792000000*ep^5+
      2480222064471160725292253/3024601036032088719360000000*ep^6-
      142991627698288722676016757293/754577466469285493705932800000000*
      ep^7;
Fill mncT11(12,-5) = 1/5821200*ep-11971/10757577600*ep^2-91113049/
      127800021888000*ep^3+883132705839809/41330527078579200000*ep^4-
      199218361406215667867/3437046631854646272000000*ep^5+
      1286135377999827527023/504100172672014786560000000*ep^6+
      875340140109179943794992462837/2641021132642499227970764800000000
      *ep^7;
Fill mncT11(-5,12) = 1/5821200*ep-11971/10757577600*ep^2-91113049/
      127800021888000*ep^3+883132705839809/41330527078579200000*ep^4-
      199218361406215667867/3437046631854646272000000*ep^5+
      1286135377999827527023/504100172672014786560000000*ep^6+
      875340140109179943794992462837/2641021132642499227970764800000000
      *ep^7;
Fill mncT11(12,-4) = 1/8731800*ep-13381/26893944000*ep^2-
      1789090493/958500164160000*ep^3+748731600177601/
      61995790617868800000*ep^4-49333203049006577051/
      5155569947781969408000000*ep^5-391218291455487666341401/
      6805352331072199618560000000*ep^6+675341738481504956005753943797/
      3961531698963748841956147200000000*ep^7;
Fill mncT11(-4,12) = 1/8731800*ep-13381/26893944000*ep^2-
      1789090493/958500164160000*ep^3+748731600177601/
      61995790617868800000*ep^4-49333203049006577051/
      5155569947781969408000000*ep^5-391218291455487666341401/
      6805352331072199618560000000*ep^6+675341738481504956005753943797/
      3961531698963748841956147200000000*ep^7;
Fill mncT11(12,-3) = 1/5821200*ep-59/143434368*ep^2-4075163/
      1022400175104*ep^3+480579468056959/41330527078579200000*ep^4+
      55108624455881322283/3437046631854646272000000*ep^5-
      400990580103067993863703/4536901554048133079040000000*ep^6+
      208161375792874552172340272827/2641021132642499227970764800000000
      *ep^7;
Fill mncT11(-3,12) = 1/5821200*ep-59/143434368*ep^2-4075163/
      1022400175104*ep^3+480579468056959/41330527078579200000*ep^4+
      55108624455881322283/3437046631854646272000000*ep^5-
      400990580103067993863703/4536901554048133079040000000*ep^6+
      208161375792874552172340272827/2641021132642499227970764800000000
      *ep^7;
Fill mncT11(12,-2) = 1/1663200*ep-41/146361600*ep^2-160406749/
      10224001751040*ep^3+141454080571459/11808722022451200000*ep^4+
      15333746234136279529/140287617626720256000000*ep^5-
      1335353804264160090244861/9073803108096266158080000000*ep^6-
      141681681170436625640896859153/754577466469285493705932800000000*
      ep^7;
Fill mncT11(-2,12) = 1/1663200*ep-41/146361600*ep^2-160406749/
      10224001751040*ep^3+141454080571459/11808722022451200000*ep^4+
      15333746234136279529/140287617626720256000000*ep^5-
      1335353804264160090244861/9073803108096266158080000000*ep^6-
      141681681170436625640896859153/754577466469285493705932800000000*
      ep^7;
Fill mncT11(12,-1) = 1/178200*ep+761/82328400*ep^2-76018001/
      547714379520*ep^3-121683124182083/632610108345600000*ep^4+
      48212070873539775989/52607856610020096000000*ep^5+
      121396529060809616493619/162032198358861895680000000*ep^6-
      91568550571485357601584649939/40423792846568865734246400000000*
      ep^7;
Fill mncT11(-1,12) = 1/178200*ep+761/82328400*ep^2-76018001/
      547714379520*ep^3-121683124182083/632610108345600000*ep^4+
      48212070873539775989/52607856610020096000000*ep^5+
      121396529060809616493619/162032198358861895680000000*ep^6-
      91568550571485357601584649939/40423792846568865734246400000000*
      ep^7;
Fill mncT11(12,0) = 1/4950*ep+23/25410*ep^2-46817753/15214288320*
      ep^3-317930721150583/17572503009600000*ep^4-9818890327352440471/
      1461329350278336000000*ep^5+782683377447413846648077/
      13502683196571824640000000*ep^6+77564853127943018503676222801/
      1122883134626912937062400000000*ep^7;
Fill mncT11(0,12) = 1/4950*ep+23/25410*ep^2-46817753/15214288320*
      ep^3-317930721150583/17572503009600000*ep^4-9818890327352440471/
      1461329350278336000000*ep^5+782683377447413846648077/
      13502683196571824640000000*ep^6+77564853127943018503676222801/
      1122883134626912937062400000000*ep^7;
Fill mncT11(12,1) = -1/55-50069/381150*ep-206430751/4226191200*
      ep^2+1010973614386049/585750100320000*ep^3+17229860140437041879/
      3247398556174080000*ep^4+545681740471866616996201/
      90017887977145497600000*ep^5+26249738748818990175249763003/
      12476479273632365967360000000*ep^6-270619745679343502962638395944\
      243/345848005465089184615219200000000*ep^7;
Fill mncT11(1,12) = -1/55-50069/381150*ep-206430751/4226191200*
      ep^2+1010973614386049/585750100320000*ep^3+17229860140437041879/
      3247398556174080000*ep^4+545681740471866616996201/
      90017887977145497600000*ep^5+26249738748818990175249763003/
      12476479273632365967360000000*ep^6-270619745679343502962638395944\
      243/345848005465089184615219200000000*ep^7;
Fill mncT11(12,2) = -47801/6930-ep^-1-291352379/384199200*ep+
      991408203220049/10650001824000*ep^2+77433580692480566467/
      295218050561280000*ep^3+454641430271328830566489/
      1636688872311736320000*ep^4+21337291247974529416854674443/
      226845077702406653952000000*ep^5-143874707455513173147995852217859
      /6288145553910712447549440000000*ep^6-170387167934685210369376381\
      1168819621/174307394754404949046070476800000000*ep^7;
Fill mncT11(2,12) = -47801/6930-ep^-1-291352379/384199200*ep+
      991408203220049/10650001824000*ep^2+77433580692480566467/
      295218050561280000*ep^3+454641430271328830566489/
      1636688872311736320000*ep^4+21337291247974529416854674443/
      226845077702406653952000000*ep^5-143874707455513173147995852217859
      /6288145553910712447549440000000*ep^6-170387167934685210369376381\
      1168819621/174307394754404949046070476800000000*ep^7;
Fill mncT11(12,3) = -69457/210-66*ep^-1+3245099701/5821200*ep+
      808259317293959/161363664000*ep^2+35771181877069745257/
      4473000766080000*ep^3+111919702770409881545203/
      24798316247147520000*ep^4-853074718720551960552259607/
      3437046631854646272000000*ep^5+6989613627302784790974932454671/
      95274932635010794659840000000*ep^6-248955575083938002365378350768\
      8773511/2641021132642499227970764800000000*ep^7;
Fill mncT11(3,12) = -69457/210-66*ep^-1+3245099701/5821200*ep+
      808259317293959/161363664000*ep^2+35771181877069745257/
      4473000766080000*ep^3+111919702770409881545203/
      24798316247147520000*ep^4-853074718720551960552259607/
      3437046631854646272000000*ep^5+6989613627302784790974932454671/
      95274932635010794659840000000*ep^6-248955575083938002365378350768\
      8773511/2641021132642499227970764800000000*ep^7;
Fill mncT11(12,4) = -764341/105-1716*ep^-1+57597784513/2910600*ep+
      9180623029256267/80681832000*ep^2+277753338857088597541/
      2236500383040000*ep^3+510037922371053278434759/
      12399158123573760000*ep^4-35245014972058731131741564891/
      1718523315927323136000000*ep^5+996915098571603128215024391771123/
      47637466317505397329920000000*ep^6-594174550240702794384021863569\
      19144843/1320510566321249613985382400000000*ep^7;
Fill mncT11(4,12) = -764341/105-1716*ep^-1+57597784513/2910600*ep+
      9180623029256267/80681832000*ep^2+277753338857088597541/
      2236500383040000*ep^3+510037922371053278434759/
      12399158123573760000*ep^4-35245014972058731131741564891/
      1718523315927323136000000*ep^5+996915098571603128215024391771123/
      47637466317505397329920000000*ep^6-594174550240702794384021863569\
      19144843/1320510566321249613985382400000000*ep^7;
Fill mncT11(12,5) = -4505969/45-26026*ep^-1+840532535149/2494800*
      ep+109475021613098681/69155856000*ep^2+355171398491001823789/
      273857189760000*ep^3+2850013495129033238923201/
      10627849820206080000*ep^4-476051496054792357962227603133/
      1473019985080562688000000*ep^5+2611635268871603421988612786304147/
      5833159140919028244480000000*ep^6-1011685874756440845240214843741\
      624877549/1131866199703928240558899200000000*ep^7;
Fill mncT11(5,12) = -4505969/45-26026*ep^-1+840532535149/2494800*
      ep+109475021613098681/69155856000*ep^2+355171398491001823789/
      273857189760000*ep^3+2850013495129033238923201/
      10627849820206080000*ep^4-476051496054792357962227603133/
      1473019985080562688000000*ep^5+2611635268871603421988612786304147/
      5833159140919028244480000000*ep^6-1011685874756440845240214843741\
      624877549/1131866199703928240558899200000000*ep^7;
Fill mncT11(12,6) = -14892514/15-273273*ep^-1+887106697069/237600*
      ep+103836740470102421/6586272000*ep^2+1914064737697134764983/
      182571459840000*ep^3+1482366508700803892562757/
      1012176173352960000*ep^4-465918960700648351455467903633/
      140287617626720256000000*ep^5+20968755828658254630032232031669049/
      3888772760612685496320000000*ep^6-1157523771235402560697412886827\
      855987009/107796780924183641957990400000000*ep^7;
Fill mncT11(6,12) = -14892514/15-273273*ep^-1+887106697069/237600*
      ep+103836740470102421/6586272000*ep^2+1914064737697134764983/
      182571459840000*ep^3+1482366508700803892562757/
      1012176173352960000*ep^4-465918960700648351455467903633/
      140287617626720256000000*ep^5+20968755828658254630032232031669049/
      3888772760612685496320000000*ep^6-1157523771235402560697412886827\
      855987009/107796780924183641957990400000000*ep^7;
Fill mncT11(12,7) = -230901853/30-2186184*ep^-1+455294025983/14850
      *ep+201593877688223737/1646568000*ep^2+3250870682671431522569/
      45642864960000*ep^3+1921012417379417814603719/253044043338240000*
      ep^4-915546198933207715392764514931/35071904406680064000000*ep^5+
      44665027576129194159811948469610139/972193190153171374080000000*
      ep^6-2477574348727636516124641835741264424019/
      26949195231045910489497600000000*ep^7;
Fill mncT11(7,12) = -230901853/30-2186184*ep^-1+455294025983/14850
      *ep+201593877688223737/1646568000*ep^2+3250870682671431522569/
      45642864960000*ep^3+1921012417379417814603719/253044043338240000*
      ep^4-915546198933207715392764514931/35071904406680064000000*ep^5+
      44665027576129194159811948469610139/972193190153171374080000000*
      ep^6-2477574348727636516124641835741264424019/
      26949195231045910489497600000000*ep^7;
Fill mncT11(12,8) = -2211369212/45-14158144*ep^-1+31301886588829/
      155925*ep+3380522249779057769/4322241000*ep^2+
      51060422559577895997763/119812520520000*ep^3+
      27019921451610871707066889/664240613762880000*ep^4-
      2201731326044627566902389149811/13151964152505024000000*ep^5+
      779340160806302309291822424060083693/2552007124152074856960000000
      *ep^6-43393416025440572609337255380263656803093/
      70741637481495515034931200000000*ep^7;
Fill mncT11(8,12) = -2211369212/45-14158144*ep^-1+31301886588829/
      155925*ep+3380522249779057769/4322241000*ep^2+
      51060422559577895997763/119812520520000*ep^3+
      27019921451610871707066889/664240613762880000*ep^4-
      2201731326044627566902389149811/13151964152505024000000*ep^5+
      779340160806302309291822424060083693/2552007124152074856960000000
      *ep^6-43393416025440572609337255380263656803093/
      70741637481495515034931200000000*ep^7;
Fill mncT11(12,9) = -9374616901/35-77364144*ep^-1+1066011957855811/
      970200*ep+114633680710250620271/26893944000*ep^2+
      1714442367717814829200567/745500127680000*ep^3+
      947154423394917709703068951/4133052707857920000*ep^4-521483788948\
      070773874811712908893/572841105309107712000000*ep^5+2660438205136\
      8750227365825569204467687/15879155439168465776640000000*ep^6-
      212071575677065665901903144614011260866791/
      62881455539107124475494400000000*ep^7;
Fill mncT11(9,12) = -9374616901/35-77364144*ep^-1+1066011957855811/
      970200*ep+114633680710250620271/26893944000*ep^2+
      1714442367717814829200567/745500127680000*ep^3+
      947154423394917709703068951/4133052707857920000*ep^4-521483788948\
      070773874811712908893/572841105309107712000000*ep^5+2660438205136\
      8750227365825569204467687/15879155439168465776640000000*ep^6-
      212071575677065665901903144614011260866791/
      62881455539107124475494400000000*ep^7;
Fill mncT11(12,10) = -179095517939/140-367479684*ep^-1+
      20159750211845599/3880800*ep+2188676820458456987359/107575776000*
      ep^2+33731196374817966021707383/2982000510720000*ep^3+
      21513730846069468434592939583/16532210831431680000*ep^4-987857494\
      0779086521144432242557117/2291364421236430848000000*ep^5+50009672\
      4347412173444150862130471250623/63516621756673863106560000000*
      ep^6-570236253880675455818162441062796860672817/
      35932260308061213985996800000000*ep^7;
Fill mncT11(10,12) = -179095517939/140-367479684*ep^-1+
      20159750211845599/3880800*ep+2188676820458456987359/107575776000*
      ep^2+33731196374817966021707383/2982000510720000*ep^3+
      21513730846069468434592939583/16532210831431680000*ep^4-987857494\
      0779086521144432242557117/2291364421236430848000000*ep^5+50009672\
      4347412173444150862130471250623/63516621756673863106560000000*
      ep^6-570236253880675455818162441062796860672817/
      35932260308061213985996800000000*ep^7;
Fill mncT11(12,11) = -382250770837/70-1551580888*ep^-1+
      379503082270232659/17463600*ep+1555529107336359808613/17929296000
      *ep^2+684159660915110295619573663/13419002298240000*ep^3+
      58438737399156143356042285447/8266105415715840000*ep^4-1868874223\
      60904279061442317506453813/10311139895563938816000000*ep^5+
      1033337974332037038311638190352908027351/
      31758310878336931553280000000*ep^6-743373954314243004501670112419\
      31583418882607/1131866199703928240558899200000000*ep^7;
Fill mncT11(11,12) = -382250770837/70-1551580888*ep^-1+
      379503082270232659/17463600*ep+1555529107336359808613/17929296000
      *ep^2+684159660915110295619573663/13419002298240000*ep^3+
      58438737399156143356042285447/8266105415715840000*ep^4-1868874223\
      60904279061442317506453813/10311139895563938816000000*ep^5+
      1033337974332037038311638190352908027351/
      31758310878336931553280000000*ep^6-743373954314243004501670112419\
      31583418882607/1131866199703928240558899200000000*ep^7;
Fill mncT11(12,12) = -1163678649471/55-5924217936*ep^-1+
      374677075387602739/4573800*ep+4728659097099453028879/14087304000*
      ep^2+106175834964185470237357129/502071514560000*ep^3+
      8558206694858349448613419247/240548041198080000*ep^4-185208145109\
      147085762650437923286613/2700536639314364928000000*ep^5+477602756\
      72561920930387890155647076251/396078707099440189440000000*ep^6-
      506280866712104094806467437912675031314214889/2075088032790535107\
      691315200000000*ep^7;
*--#] gtabls.h :
*--#[ poch.h :
*
*	Table can be extended with the procedure makepochs
*
CTable,relax,mncpoch(0:50,0:49);
Fill mncpoch(0,0) = 1;
Fill mncpoch(1,0) = 1;
Fill mncpoch(2,0) = 1;
Fill mncpoch(3,0) = 1;
Fill mncpoch(3,1) = 1/2+1/4*ep+1/8*ep^2+1/16*ep^3+1/32*ep^4+1/64*ep^5+1/128*
      ep^6+1/256*ep^7+1/512*ep^8;
Fill mncpoch(4,0) = 1;
Fill mncpoch(4,1) = 1/3+1/9*ep+1/27*ep^2+1/81*ep^3+1/243*ep^4+1/729*ep^5+1/2187
      *ep^6+1/6561*ep^7+1/19683*ep^8;
Fill mncpoch(4,2) = 1/12+5/72*ep+19/432*ep^2+65/2592*ep^3+211/15552*ep^4+665/
      93312*ep^5+2059/559872*ep^6+6305/3359232*ep^7+19171/20155392*ep^8;
Fill mncpoch(5,0) = 1;
Fill mncpoch(5,1) = 1/4+1/16*ep+1/64*ep^2+1/256*ep^3+1/1024*ep^4+1/4096*ep^5+1/
      16384*ep^6+1/65536*ep^7+1/262144*ep^8;
Fill mncpoch(5,2) = 1/24+7/288*ep+37/3456*ep^2+175/41472*ep^3+781/497664*ep^4+
      3367/5971968*ep^5+14197/71663616*ep^6+58975/859963392*ep^7+242461/
      10319560704*ep^8;
Fill mncpoch(5,3) = 1/144+13/1728*ep+115/20736*ep^2+865/248832*ep^3+5971/
      2985984*ep^4+39193/35831808*ep^5+249355/429981696*ep^6+1555105/5159780352
      *ep^7+9573091/61917364224*ep^8;
Fill mncpoch(6,0) = 1;
Fill mncpoch(6,1) = 1/5+1/25*ep+1/125*ep^2+1/625*ep^3+1/3125*ep^4+1/15625*ep^5+
      1/78125*ep^6+1/390625*ep^7+1/1953125*ep^8;
Fill mncpoch(6,2) = 1/40+9/800*ep+61/16000*ep^2+369/320000*ep^3+2101/6400000*
      ep^4+11529/128000000*ep^5+61741/2560000000*ep^6+325089/51200000000*ep^7+
      1690981/1024000000000*ep^8;
Fill mncpoch(6,3) = 1/360+47/21600*ep+1489/1296000*ep^2+39743/77760000*ep^3+
      965041/4665600000*ep^4+22102367/279936000000*ep^5+487056529/
      16796160000000*ep^6+10452100223/1007769600000000*ep^7+220136530801/
      60466176000000000*ep^8;
Fill mncpoch(6,4) = 1/2880+77/172800*ep+3799/10368000*ep^2+153713/622080000*
      ep^3+5576431/37324800000*ep^4+189395297/2239488000000*ep^5+6168915439/
      134369280000000*ep^6+195519563393/8062156800000000*ep^7+6085723432591/
      483729408000000000*ep^8;
Fill mncpoch(7,0) = 1;
Fill mncpoch(7,1) = 1/6+1/36*ep+1/216*ep^2+1/1296*ep^3+1/7776*ep^4+1/46656*ep^5
      +1/279936*ep^6+1/1679616*ep^7+1/10077696*ep^8;
Fill mncpoch(7,2) = 1/60+11/1800*ep+91/54000*ep^2+671/1620000*ep^3+4651/
      48600000*ep^4+31031/1458000000*ep^5+201811/43740000000*ep^6+1288991/
      1312200000000*ep^7+8124571/39366000000000*ep^8;
Fill mncpoch(7,3) = 1/720+37/43200*ep+919/2592000*ep^2+19153/155520000*ep^3+
      361711/9331200000*ep^4+6418657/559872000000*ep^5+109195759/33592320000000
      *ep^6+1802927233/2015539200000000*ep^7+29123798671/120932352000000000*
      ep^8;
Fill mncpoch(7,4) = 1/8640+19/172800*ep+2059/31104000*ep^2+20111/622080000*ep^3
      +1568371/111974400000*ep^4+4198453/746496000000*ep^5+864917299/
      403107840000000*ep^6+6367091071/8062156800000000*ep^7+411149262931/
      1451188224000000000*ep^8;
Fill mncpoch(7,5) = 1/86400+29/1728000*ep+4669/311040000*ep^2+22267/2073600000*
      ep^3+7580461/1119744000000*ep^4+88399969/22394880000000*ep^5+8820914509/
      4031078400000000*ep^6+94576236161/80621568000000000*ep^7+8923010517421/
      14511882240000000000*ep^8;
Fill mncpoch(8,0) = 1;
Fill mncpoch(8,1) = 1/7+1/49*ep+1/343*ep^2+1/2401*ep^3+1/16807*ep^4+1/117649*
      ep^5+1/823543*ep^6+1/5764801*ep^7+1/40353607*ep^8;
Fill mncpoch(8,2) = 1/84+13/3528*ep+127/148176*ep^2+1105/6223392*ep^3+9031/
      261382464*ep^4+70993/10978063488*ep^5+543607/461078666496*ep^6+4085185/
      19365303992832*ep^7+30275911/813342767698944*ep^8;
Fill mncpoch(8,3) = 1/1260+107/264600*ep+7669/55566000*ep^2+460223/11668860000*
      ep^3+24973741/2450460600000*ep^4+1270750247/514596726000000*ep^5+
      61865369749/108065312460000000*ep^6+2917500607583/22693715616600000000*
      ep^7+134361553252861/4765680279486000000000*ep^8;
Fill mncpoch(8,4) = 1/20160+319/8467200*ep+64171/3556224000*ep^2+10419739/
      1493614080000*ep^3+1493652451/627317913600000*ep^4+197497515259/
      263473523712000000*ep^5+24696622766131/110658879959040000000*ep^6+
      2966585468214379/46476729582796800000000*ep^7+345888031795242211/
      19520226424774656000000000*ep^8;
Fill mncpoch(8,5) = 1/302400+17/4704000*ep+128431/53343360000*ep^2+9466693/
      7468070400000*ep^3+5469663511/9409768704000000*ep^4+321083468933/
      1317367618560000000*ep^5+159551679717991/1659883199385600000000*ep^6+
      2811535625414791/77461215971328000000000*ep^7+3888422919817878871/
      292803396371619840000000000*ep^8;
Fill mncpoch(8,6) = 1/3628800+223/508032000*ep+268921/640120320000*ep^2+
      28291163/89616844800000*ep^3+23293096201/112917224448000000*ep^4+
      650533401001/5269470474240000000*ep^5+1389059807609881/
      19918598392627200000000*ep^6+105668793408936043/2788603774967808000000000
      *ep^7+70459762767447585961/3513640756459438080000000000*ep^8;
Fill mncpoch(9,0) = 1;
Fill mncpoch(9,1) = 1/8+1/64*ep+1/512*ep^2+1/4096*ep^3+1/32768*ep^4+1/262144*
      ep^5+1/2097152*ep^6+1/16777216*ep^7+1/134217728*ep^8;
Fill mncpoch(9,2) = 1/112+15/6272*ep+169/351232*ep^2+1695/19668992*ep^3+15961/
      1101463552*ep^4+144495/61681958912*ep^5+1273609/3454189699072*ep^6+
      11012415/193434623148032*ep^7+93864121/10832338896289792*ep^8;
Fill mncpoch(9,3) = 1/2016+73/338688*ep+3565/56899584*ep^2+145585/9559130112*
      ep^3+5369221/1605933858816*ep^4+185450473/269796888281088*ep^5+6121074205/
      45325877231222784*ep^6+195474229345/7614747374845427712*ep^7+
      6089120919541/1279277558974031855616*ep^8;
Fill mncpoch(9,4) = 1/40320+533/33868800*ep+178669/28449792000*ep^2+48214517/
      23897825280000*ep^3+11455801981/20074173235200000*ep^4+2504107460933/
      16862305517568000000*ep^5+516331837889869/14164336634757120000000*ep^6+
      102015172933076117/11898042773195980800000000*ep^7+19517111911952490781/
      9994355929484623872000000000*ep^8;
Fill mncpoch(9,5) = 1/806400+743/677376000*ep+334699/568995840000*ep^2+
      118501307/477956505600000*ep^3+36341076451/401483464704000000*ep^4+
      10135733515643/337246110351360000000*ep^5+2644835876174899/
      283286732695142400000000*ep^6+657430706929804907/
      237960855463919616000000000*ep^7+157577560367211521251/
      199887118589692477440000000000*ep^8;
Fill mncpoch(9,6) = 1/14515200+341/4064256000*ep+621139/10241925120000*ep^2+
      97473409/2867739033600000*ep^3+118218740011/7226702364672000000*ep^4+
      1601369656249/224830740234240000000*ep^5+14751190477417339/
      5099161188512563200000000*ep^6+1595921346868886609/
      1427765132783517696000000000*ep^7+1498151491737076272811/
      3597968134614464593920000000000*ep^8;
Fill mncpoch(9,7) = 1/203212800+481/56899584000*ep+1227199/143386951680000*ep^2
      +29920141/4460927385600000*ep^3+457513138951/101173833105408000000*ep^4+
      78464166359381/28328673269514240000000*ep^5+113616040090237399/
      71388256639175884800000000*ep^6+17502166959502122469/
      19988711858969247744000000000*ep^7+23550881860709750583751/
      50371553884602504314880000000000*ep^8;
Fill mncpoch(10,0) = 1;
Fill mncpoch(10,1) = 1/9+1/81*ep+1/729*ep^2+1/6561*ep^3+1/59049*ep^4+1/531441*
      ep^5+1/4782969*ep^6+1/43046721*ep^7+1/387420489*ep^8;
Fill mncpoch(10,2) = 1/144+17/10368*ep+217/746496*ep^2+2465/53747712*ep^3+26281/
      3869835264*ep^4+269297/278628139008*ep^5+2685817/20061226008576*ep^6+
      26269505/1444408272617472*ep^7+253202761/103997395628457984*ep^8;
Fill mncpoch(10,3) = 1/3024+191/1524096*ep+24385/768144384*ep^2+2601215/
      387144769536*ep^3+250388161/195120963846144*ep^4+22554022271/
      98340965778456576*ep^5+1939873287745/49563846752342114304*ep^6+
      161304943673855/24980178763180425609216*ep^7+13073619474333121/
      12590010096642934507044864*ep^8;
Fill mncpoch(10,4) = 1/72576+275/36578304*ep+47485/18435465216*ep^2+6589955/
      9291474468864*ep^3+803944381/4682903132307456*ep^4+90085350275/
      2360183178682957824*ep^5+9507042710845/1189532322056210743296*ep^6+
      959896531384835/599524290316330214621184*ep^7+93704928110659261/
      302160242319430428169076736*ep^8;
Fill mncpoch(10,5) = 1/1814400+1879/4572288000*ep+2134141/11522165760000*ep^2+
      1899351439/29035857715200000*ep^3+1459738363381/73170361442304000000*ep^4
      +1017224854753399/184389310834606080000000*ep^5+661228869152666221/
      464661063303207321600000000*ep^6+408251266567384009759/
      1170945879524082450432000000000*ep^7+242362125893187814746661/
      2950783616400687775088640000000000*ep^8;
Fill mncpoch(10,6) = 1/43545600+2509/109734912000*ep+3714811/276531978240000*
      ep^2+4239682369/696860585164800000*ep^3+4130738255851/
      1756088674615296000000*ep^4+3619589955939529/4425343460030545920000000*
      ep^5+2941570541394569491/11151865519276975718400000000*ep^6+
      2261440707645962789089/28102701108577978810368000000000*ep^7+
      1667069771710144371872731/70818806793616506602127360000000000*ep^8;
Fill mncpoch(10,7) = 1/914457600+3349/2304433152000*ep+6527971/5807171543040000
      *ep^2+9723178009/14634072288460800000*ep^3+12298207783411/
      36877862166921216000000*ep^4+13950084494004769/92932212660641464320000000
      *ep^5+14659641516358575451/234189175904816490086400000000*ep^6+
      14575539581387166167929/590156723280137555017728000000000*ep^7+
      13910523020075363952933091/1487194942665946638644674560000000000*ep^8;
Fill mncpoch(10,8) = 1/14631321600+4609/36870930432000*ep+12335311/
      92914744688640000*ep^2+25265669869/234145156615372800000*ep^3+
      44132951818351/590045794670739456000000*ep^4+69557603785127029/
      1486915402570263429120000000*ep^5+102302222285618631991/
      3747026814477063841382400000000*ep^6+143476339661266642476589/
      9442507572482200880283648000000000*ep^7+194690710993271333473435231/
      23795119082655146218314792960000000000*ep^8;
Fill mncpoch(11,0) = 1;
Fill mncpoch(11,1) = 1/10+1/100*ep+1/1000*ep^2+1/10000*ep^3+1/100000*ep^4+1/
      1000000*ep^5+1/10000000*ep^6+1/100000000*ep^7+1/1000000000*ep^8;
Fill mncpoch(11,2) = 1/180+19/16200*ep+271/1458000*ep^2+3439/131220000*ep^3+
      40951/11809800000*ep^4+468559/1062882000000*ep^5+5217031/95659380000000*
      ep^6+56953279/8609344200000000*ep^7+612579511/774840978000000000*ep^8;
Fill mncpoch(11,3) = 1/4320+121/1555200*ep+9781/559872000*ep^2+660241/
      201553920000*ep^3+40194301/72559411200000*ep^4+2288547961/
      26121388032000000*ep^5+124353617221/9403699691520000000*ep^6+
      6529035298081/3385331888947200000000*ep^7+333952599246541/
      1218719480020992000000000*ep^8;
Fill mncpoch(11,4) = 1/120960+1207/304819200*ep+913789/768144384000*ep^2+
      555426703/1935723847680000*ep^3+296460129781/4878024096153600000*ep^4+
      145189272301687/12292620722307072000000*ep^5+66898216741040749/
      30977404220213821440000000*ep^6+29460299343262190623/
      78063058634938830028800000000*ep^7+12530878041663447427621/
      196718907760045851672576000000000*ep^8;
Fill mncpoch(11,5) = 1/3628800+1627/9144576000*ep+1597129/23044331520000*ep^2+
      1226220883/58071715430400000*ep^3+811472900641/146340722884608000000*ep^4
      +486007890570907/368778621669212160000000*ep^5+271021530780821689/
      929322126606414643200000000*ep^6+143289342271207300003/
      2341891759048164900864000000000*ep^7+72712401795570513428881/
      5901567232801375550177280000000000*ep^8;
Fill mncpoch(11,6) = 1/108864000+2131/274337280000*ep+2671153/691329945600000*
      ep^2+514496399/348430292582400000*ep^3+2108003826121/
      4390221686538240000000*ep^4+1548441818935891/11063358650076364800000000*
      ep^5+1051436207524510753/27879663798192439296000000000*ep^6+
      134642638172712143903/14051350554288989405184000000000*ep^7+
      412011849990805116064441/177047016984041266505318400000000000*ep^8;
Fill mncpoch(11,7) = 1/3048192000+2761/7681443840000*ep+4410583/
      19357238476800000*ep^2+1070229857/9756048192307200000*ep^3+5479227875671/
      122926207223070720000000*ep^4+5000355380608621/
      309774042202138214400000000*ep^5+4201660097307941983/
      780630586349388300288000000000*ep^6+664051810433512833761/
      393437815520091703345152000000000*ep^7+2503775052856370542411591/49573164\
      75553155462148915200000000000*ep^8;
Fill mncpoch(11,8) = 1/73156608000+3601/184354652160000*ep+7435423/
      464573723443200000*ep^2+2319380921/234145156615372800000*ep^3+
      15220627743871/2950228973353697280000000*ep^4+17785682685460261/
      7434577012851317145600000000*ep^5+19141633553094561223/
      18735134072385319206912000000000*ep^6+155193849894135964769/
      377700302899288035211345920000000*ep^7+18799129291740646843156591/
      118975595413275731091573964800000000000*ep^8;
Fill mncpoch(11,9) = 1/1316818944000+4861/3318383738880000*ep+13560283/
      8362327021977600000*ep^2+5736572237/4214612819076710400000*ep^3+
      51361032836971/53104121520366551040000000*ep^4+82500584060043721/
      133822386231323708620800000000*ep^5+123092369468749649683/
      337232413302935745724416000000000*ep^6+34899123353478310839341/
      169965136304679615845105664000000000*ep^7+238663606418654005131004891/
      2141560717438963159648331366400000000000*ep^8;
Fill mncpoch(12,0) = 1;
Fill mncpoch(12,1) = 1/11+1/121*ep+1/1331*ep^2+1/14641*ep^3+1/161051*ep^4+1/
      1771561*ep^5+1/19487171*ep^6+1/214358881*ep^7+1/2357947691*ep^8;
Fill mncpoch(12,2) = 1/220+21/24200*ep+331/2662000*ep^2+4641/292820000*ep^3+
      61051/32210200000*ep^4+771561/3543122000000*ep^5+9487171/389743420000000*
      ep^6+114358881/42871776200000000*ep^7+1357947691/4715895382000000000*ep^8
      ;
Fill mncpoch(12,3) = 1/5940+299/5880600*ep+59701/5821794000*ep^2+9950399/
      5763576060000*ep^3+1495099501/5705940299400000*ep^4+210020850599/
      5648880896406000000*ep^5+28144165209301/5592392087441940000000*ep^6+
      3642833155720799/5536468166567520600000000*ep^7+459166842516359101/
      5481103484901845394000000000*ep^8;
Fill mncpoch(12,4) = 1/190080+1691/752716800*ep+1792261/2980758528000*ep^2+
      1523994731/11803803770880000*ep^3+1137122864101/46743062932684800000*ep^4
      +777937168743371/185102529213431808000000*ep^5+500357399225265541/
      733006015685189959680000000*ep^6+307361091039836013611/
      2902703822113352240332800000000*ep^7+182235698255870936780581/
      11494707135568874871717888000000000*ep^8;
Fill mncpoch(12,5) = 1/6652800+15797/184415616000*ep+150376909/5112000875520000
      *ep^2+1118222752373/141704664269414400000*ep^3+7158394096103581/
      3928053293548167168000000*ep^4+41422030615640017157/
      108885637297155193896960000000*ep^5+222897788899387733574829/
      3018309865877141974823731200000000*ep^6+1135800319039795095113566613/
      83667549482114375542113828864000000000*ep^7+
      5548321798938731608873353916861/23192644716442104900273953361100800000000\
      00*ep^8;
Fill mncpoch(12,6) = 1/239500800+20417/6638962176000*ep+244703449/
      184032031518720000*ep^2+2248752686753/5101367913698918400000*ep^3+
      17547631508902441/141409918567734018048000000*ep^4+122492088186769294577/
      3919882942697586980290560000000*ep^5+788811236322261874520569/
      108659155171577111093654323200000000*ep^6+4780108230848644955398595393/
      3012031781356117519516097839104000000000*ep^7+
      27632421825459471302814864632521/8349352097919157764098623209996288000000\
      0000*ep^8;
Fill mncpoch(12,7) = 1/8382528000+25961/232363676160000*ep+388631233/
      6441121103155200000*ep^2+880664848501/35709575395892428800000*ep^3+
      41959661109350161/4949347149870690631680000000*ep^4+355116449377006587161/
      137195902994415544310169600000000*ep^5+2757576831668386393741153/38030704\
      31005198888277901312000000000*ep^6+160544913484945432978396381/8433688987\
      79712905464507394949120000000*ep^7+138890046870526656356843556665521/
      2922273234271705217434518123498700800000000000*ep^8;
Fill mncpoch(12,8) = 1/268240896000+32891/7435637637120000*ep+616565863/
      206115875300966400000*ep^2+1735225134619/1142706412668557721600000*ep^3+
      102085212023898511/158379108795862100213760000000*ep^4+
      1062566968702623268391/4390268895821297417925427200000000*ep^5+
      10121165924777565643690783/121698253792166364424892841984000000000*ep^6+
      18041558808865341806615334763/674695119023770324371605915959296000000000*
      ep^7+764030059597710749956064906203471/9351274349669456695790457995195842\
      5600000000000*ep^8;
Fill mncpoch(12,9) = 1/7242504192000+42131/200762216202240000*ep+1005856303/
      5565128633126092800000*ep^2+3594047582563/30853073142051058483200000*ep^3
      +268130210338309111/4276235937488276705771520000000*ep^4+
      3540090112228599454031/118537260187175030283986534400000000*ep^5+
      42831598561769824598937223/3285852852388491839472106733568000000000*ep^6+
      97194352951015977665451322867/18216768213641798758033359730900992000000000
      *ep^7+5254409165934648918099916022658871/25248440744107533078634236587028\
      77491200000000000*ep^8;
Fill mncpoch(12,10) = 1/144850083840000+55991/4015244324044800000*ep+1781891563/
      111302572662521856000000*ep^2+8533450995199/617061462841021169664000000*
      ep^3+859498364305599811/85524718749765534115430400000000*ep^4+
      15452737441504212834491/2370745203743500605679730688000000000*ep^5+
      257006539501018214484982483/65717057047769836789442134671360000000000*
      ep^6+809616480447838468217822765743/3643353642728359751606671946180198400\
      00000000*ep^7+61360831260969854765595033688648771/50496881488215066157268\
      473174057549824000000000000*ep^8;
Fill mncpoch(13,0) = 1;
Fill mncpoch(13,1) = 1/12+1/144*ep+1/1728*ep^2+1/20736*ep^3+1/248832*ep^4+1/
      2985984*ep^5+1/35831808*ep^6+1/429981696*ep^7+1/5159780352*ep^8;
Fill mncpoch(13,2) = 1/264+23/34848*ep+397/4599936*ep^2+6095/607191552*ep^3+
      87781/80149284864*ep^4+1214423/10579705602048*ep^5+16344637/
      1396521139470336*ep^6+215622815/184340790410084352*ep^7+2801832661/
      24332984334131134464*ep^8;
Fill mncpoch(13,3) = 1/7920+181/5227200*ep+21871/3449952000*ep^2+2205361/
      2276968320000*ep^3+200416951/1502799091200000*ep^4+17022590641/
      991847400192000000*ep^5+1378875935431/654619284126720000000*ep^6+
      107851344160321/432048727523635200000000*ep^7+8212654597784311/
      285152160165599232000000000*ep^8;
Fill mncpoch(13,4) = 1/285120+763/564537600*ep+364699/1117784448000*ep^2+
      139778527/2213213207040000*ep^3+46985048971/4382162149939200000*ep^4+
      14473200299383/8676681056879616000000*ep^5+4189304622793459/
      17179828492621639680000000*ep^6+1157517906693183007/
      34016060415390846566400000000*ep^7+308537166288563126011/
      67351799622473876201472000000000*ep^8;
Fill mncpoch(13,5) = 1/11404800+2021/45163008000*ep+2459191/178845511680000*
      ep^2+2335527761/708228226252800000*ep^3+1907847025231/
      2804583775961088000000*ep^4+1407526687069601/11106151752805908480000000*
      ep^5+964841205958233871/43980360941111397580800000000*ep^6+
      625758689006053191041/174162229326801134419968000000000*ep^7+
      388736065627868489824111/689682428134132492303073280000000000*ep^8;
Fill mncpoch(13,6) = 1/479001600+18107/13277924352000*ep+192204079/
      368064063037440000*ep^2+1562214174863/10202735827397836800000*ep^3+
      10767108840037111/282819837135468036096000000*ep^4+66294052036125743567/
      7839765885395173960581120000000*ep^5+376037049102838201214599/
      217318310343154222187308646400000000*ep^6+2004445902467351339919290303/
      6024063562712235039032195678208000000000*ep^7+
      10178591833638313204086914516791/1669870419583831552819724641999257600000\
      00000*ep^8;
Fill mncpoch(13,7) = 1/20118067200+22727/557672822784000*ep+297202819/
      15458690647572480000*ep^2+2935291198643/428514904750709145600000*ep^3+
      24328154177767771/11878433159689657516032000000*ep^4+
      178690124337412845587/329270167186597306344407040000000*ep^5+
      1201585423541685547826539/9127369034412477331866963148800000000*ep^6+
      7555770559229938570877900483/253010669633913871639352218484736000000000*
      ep^7+45086251817280629401542814748251/70134557622520925218428434963968819\
      20000000000*ep^8;
Fill mncpoch(13,8) = 1/804722688000+28271/22306912911360000*ep+453937243/
      618347625902899200000*ep^2+1090383854767/3428119238005673164800000*ep^3+
      54553594631909011/475137326387586300641280000000*ep^4+
      481135252976716402571/13170806687463892253776281600000000*ep^5+
      3868999266044601283680163/365094761376499093274678525952000000000*ep^6+
      5801100498036241617520144831/2024085357071310973114817747877888000000000*
      ep^7+205892757622845247039201229463571/2805382304900837008737137398558752\
      76800000000000*ep^8;
Fill mncpoch(13,9) = 1/28970016768000+35201/803048864808960000*ep+697880173/
      22260514532504371200000*ep^2+411529154909/24682458513640846786560000*ep^3
      +125851020719893261/17104943749953106823086080000000*ep^4+
      1353282826565576701301/474149040748700121135946137600000000*ep^5+
      13247249254144047823696093/13143411409553967357888426934272000000000*ep^6
      +24161787964279891901162929729/728670728545671950321334389236039680000000\
      00*ep^7+1043098710585143501414496744573421/100993762976430132314536946348\
      11509964800000000000*ep^8;
Fill mncpoch(13,10) = 1/869100503040000+44441/24091465944268800000*ep+
      1108515013/667815435975131136000000*ep^2+4106181518569/
      3702368777046127017984000000*ep^3+315556606877781061/
      513148312498593204692582400000000*ep^4+4269025874116273704941/14224471222\
      461003634078384128000000000*ep^5+52693048330978416857350933/3943023422866\
      19020736652808028160000000000*ep^6+121538541279928006253547453913/
      2186012185637015850964003167708119040000000000*ep^7+
      6658179317717817390328389115354021/30298128892929039694361083904434529894\
      4000000000000*ep^8;
Fill mncpoch(13,11) = 1/19120211066880000+58301/530012250773913600000*ep+
      1916566873/14691939591452884992000000*ep^2+376756195621/
      3258084523800591775825920000*ep^3+968286715791163561/
      11289262874969050503236812800000000*ep^4+17689479754981800660401/31293836\
      6894142079949724450816000000000*ep^5+297869237735026174010508793/
      8674651530305618456206361776619520000000000*ep^6+
      947232068281420560610677828109/480922680840143487212080696895786188800000\
      00000*ep^7+72301361649620262240648362603307721/66655883564443887327594384\
      58975596576768000000000000*ep^8;
Fill mncpoch(14,0) = 1;
Fill mncpoch(14,1) = 1/13+1/169*ep+1/2197*ep^2+1/28561*ep^3+1/371293*ep^4+1/
      4826809*ep^5+1/62748517*ep^6+1/815730721*ep^7+1/10604499373*ep^8;
Fill mncpoch(14,2) = 1/312+25/48672*ep+469/7592832*ep^2+7825/1184481792*ep^3+
      122461/184779159552*ep^4+1840825/28825548890112*ep^5+26916709/
      4496785626857472*ep^6+385749025/701498557789765632*ep^7+5444719021/
      109433775015203438592*ep^8;
Fill mncpoch(14,3) = 1/10296+431/17667936*ep+123985/30318178176*ep^2+29756735/
      52025993750016*ep^3+6435002161/89276605275027456*ep^4+1300327044191/
      153198654651947114496*ep^5+250535610806545/262888891382741248475136*ep^6+
      46600712499079295/451117337612783982383333376*ep^7+8436835026557345521/
      774117351343537313769800073216*ep^8;
Fill mncpoch(14,4) = 1/411840+3013/3533587200*ep+5684779/30318178176000*ep^2+
      8597132257/260129968750080000*ep^3+11398215827131/2231915131875686400000*
      ep^4+13843191192775273/19149831831493389312000000*ep^5+
      15792076962253449859/164305557114213280296960000000*ep^6+
      17190282697604029900897/1409741680039949944947916800000000*ep^7+
      18044901236793220749110251/12095583614742770527653126144000000000*ep^8;
Fill mncpoch(14,5) = 1/18532800+11899/477034272000*ep+85194151/
      12278862161280000*ep^2+475777842799/316057912031347200000*ep^3+
      2283980112402751/8135330655686876928000000*ep^4+9896078581316259199/
      209403411077380212126720000000*ep^5+39815208848047266256351/
      5390043801131766660141772800000000*ep^6+151466645565075194886425599/
      138739727441131673832049231872000000000*ep^7+
      551587203330715378710089569951/3571160584334729284436947228385280000000000
      *ep^8;
Fill mncpoch(14,6) = 1/889574400+30233/45795290112000*ep+535325959/
      2357541534965760000*ep^2+7251045288557/121366238220037324800000*ep^3+
      83204158230308311/6247933943567521480704000000*ep^4+852093272814154275653/
      321643639414856005826641920000000*ep^5+8031393576834107804233519/16558214\
      557076787179955526041600000000*ep^6+71069748299257108665705171437/
      852416885398313004024110480621568000000000*ep^7+
      598540154358382631213595708104551/438824212603051534471612075423983206400\
      00000000*ep^8;
Fill mncpoch(14,7) = 1/43589145600+263111/15707784508416000*ep+39775926271/
      5660457225452789760000*ep^2+4534773218406131/2039802365764167317913600000
      *ep^3+433223309194517878591/735063180526775334683344896000000*ep^4+
      36623467593521271300764651/264887367734628759606490166722560000000*ep^5+
      2830261534635430995623633510311/95454811836850819811794796480141721600000\
      000*ep^6+204230857526647084696585487111551571/343980959935275614273783728\
      59583870795776000000000*ep^7+13964269425857150470982988628179498584431/
      12395697872227592035970070443679643679965839360000000000*ep^8;
Fill mncpoch(14,8) = 1/2092278988800+323171/753973656403968000*ep+59185576531/
      271701946821733908480000*ep^2+8089458944857991/
      97910513556680031259852800000*ep^3+919076213422688818051/
      35283032665285216064800555008000000*ep^4+91823184971687961712907711/
      12714593651262180461111528002682880000000*ep^5+
      8345162024035009976100870632971/45818309681688393509661502310468026368000\
      00000*ep^6+705441288690189783861203777327789831/1651108607689322948514161\
      897260025798197248000000000*ep^7+56333073224589948889686887494486555834291
      /594993497866924417726563381296622896638360289280000000000*ep^8;
Fill mncpoch(14,9) = 1/94152554496000+395243/33928814538178560000*ep+
      87671530027/12226587606978025881600000*ep^2+2881624291392787/
      881194622010120281338675200000*ep^3+1957498343068993541371/15877364699378\
      34722916024975360000000*ep^4+232904005553356464226598423/5721567143067981\
      20750018760120729600000000*ep^5+25131019512276517065840272175427/
      206182393567597770793476760397106118656000000000*ep^6+
      100667365079159316873217754942206583/297199549384078130732549141506804643\
      6755046400000000*ep^7+237715531624219206031850638349354377083691/
      26774707404011598797695352158348030348726213017600000000000*ep^8;
Fill mncpoch(14,10) = 1/3766102179840000+485333/1357152581527142400000*ep+
      131395179997/489063504279121035264000000*ep^2+5249102644578733/
      35247784880404811253547008000000*ep^3+4321956629319483821221/635094587975\
      13388916640999014400000000*ep^4+622269078288748761680398313/2288626857227\
      1924830000750404829184000000000*ep^5+81191240775309893005627356193597/
      8247295742703910831739070415884244746240000000000*ep^6+196624060168533023\
      6541482478607263661/594399098768156261465098283013609287351009280000000000
      *ep^7+1123408610653376211081961420837996293181141/10709882961604639519078\
      14086333921213949048520704000000000000*ep^8;
Fill mncpoch(14,11) = 1/124281371934720000+605453/44786035190395699200000*ep+
      204122194357/16139095641210994163712000000*ep^2+10152934241811301/
      1163176901053358771367051264000000*ep^3+10419808934951351201821/209581214\
      0317941834249152967475200000000*ep^4+1873896527555105068043136833/
      755246862884973519390024763359363072000000000*ep^5+
      306283691665229113778968952573557/272160759509229057447389323724180076625\
      920000000000*ep^6+9324400010250794465967432595234397029/19615170259349156\
      628348243339449106482583306240000000000*ep^7+6723643256810003367342001437\
      535775148798541/353426137732953104129578648490194000603186011832320000000\
      00000*ep^8;
Fill mncpoch(14,12) = 1/2982752926433280000+785633/1074864844569496780800000*ep
      +345677548297/387338295389063859929088000000*ep^2+22609770372241993/
      27916245625280610512809230336000000*ep^3+30788951063304162695521/
      50299491367630604021979671219404800000000*ep^4+
      7421449730141249102522110613/18125924709239364465360594320624713728000000\
      000*ep^5+1643480504042079377071402842823897/65318582282214973787373437693\
      80321839022080000000000*ep^6+68548863453911166898112505439236349321/
      470764086224379759080357840146778555581999349760000000000*ep^7+6847931434\
      2438573625851557587743802252087441/84822273055908744991098875637646560144\
      7646428397568000000000000*ep^8;
Fill mncpoch(15,0) = 1;
Fill mncpoch(15,1) = 1/14+1/196*ep+1/2744*ep^2+1/38416*ep^3+1/537824*ep^4+1/
      7529536*ep^5+1/105413504*ep^6+1/1475789056*ep^7+1/20661046784*ep^8;
Fill mncpoch(15,2) = 1/364+27/66248*ep+547/12057136*ep^2+9855/2194398752*ep^3+
      166531/399380572864*ep^4+2702727/72687264261248*ep^5+42664987/
      13229082095547136*ep^6+660058335/2407692941389578752*ep^7+10056547411/
      438200115332903332864*ep^8;
Fill mncpoch(15,3) = 1/13104+253/14309568*ep+42715/15626048256*ep^2+6015745/
      17063644695552*ep^3+763256971/18633500007542784*ep^4+90472789513/
      20347782008236720128*ep^5+10223601479155/22219777952994498379776*ep^6+
      1115121824669665/24263997524669992230715392*ep^7+118367223981213691/
      26496285296939631515941208064*ep^8;
Fill mncpoch(15,4) = 1/576576+3875/6925830912*ep+9400015/83193080914944*ep^2+
      18271772975/999315287950307328*ep^3+31127621401111/
      12003775238859091623936*ep^4+48562095793871375/
      144189348169175408586719232*ep^5+71141542266920852455/
      1732002450208135007943671414784*ep^6+99417133838647351248575/
      20804813431900117715419381034385408*ep^7+133936575831492239388083671/
      249907418943984213997617604985037520896*ep^8;
Fill mncpoch(15,5) = 1/28828800+25381/1731457728000*ep+387438661/
      103991351143680000*ep^2+4610928219841/6245720549689420800000*ep^3+
      47147998264059421/375117976214346613248000000*ep^4+434927426929788929401/
      22529585651433657591674880000000*ep^5+3723760724060950629591781/135312691\
      4225105474955993292800000000*ep^6+30131870489854393797623158561/812688024\
      68359834825856957165568000000000*ep^7+233290989096242145159494874301741/
      4881004276249691679640968847364014080000000000*ep^8;
Fill mncpoch(15,6) = 1/1556755200+96163/280496151936000*ep+5412131209/
      50539796655828480000*ep^2+232845928739887/9106260561447175526400000*ep^3+
      8480563352761350841/1640766027961552086346752000000*ep^4+
      275468243066220953681263/295633222918112454917957775360000000*ep^5+
      8229495794026176501671293609/53267194105385502127117631964364800000000*
      ep^6+230652906557715612798861145825087/9597683033908359773264054927339249\
      664000000000*ep^7+6148293368745911282624646009711964441/17293105290496082\
      63946717416807986004459520000000000*ep^8;
Fill mncpoch(15,7) = 1/87178291200+237371/31415569016832000*ep+32340901531/
      11320914450905579520000*ep^2+3319563339382991/
      4079604731528334635827200000*ep^3+285218744266688443051/
      1470126361053550669366689792000000*ep^4+21662662113612051435032711/
      529774735469257519212980333445120000000*ep^5+
      1502482345725330152998011257971/19090962367370163962358959296028344320000\
      0000*ep^6+97202889302585095180049643780914831/687961919870551228547567457\
      19167741591552000000000*ep^7+5952467251033898900737245582597571459291/
      24791395744455184071940140887359287359931678720000000000*ep^8;
Fill mncpoch(15,8) = 1/4881984307200+288851/1759271864942592000*ep+6744421573/
      90567315607244636160000*ep^2+5749983097429271/
      228457864965586739606323200000*ep^3+581227874122347314131/
      82327076218998837484534628352000000*ep^4+7369181867632927309499513/
      4238197883754060153703842667560960000000*ep^5+
      4158040723545531838249255762651/10690938925727291818921017205775872819200\
      000000*ep^6+311258825750709074213121330442188311/385258675127508687986637\
      7760273393529126912000000000*ep^7+3139438800097200291604104524823060815653
      /198331165955641472575521127098874298879453429760000000000*ep^8;
Fill mncpoch(15,9) = 1/263627152588800+348911/95000680706899968000*ep+
      9738077953/4890635042791210352640000*ep^2+9844065830429531/
      12336724708141683938741452800000*ep^3+1172462467897944945991/444566211582\
      5937224164869931008000000*ep^4+17428909842197294946102293/228862685722719\
      248300007504048291840000000*ep^5+11485502999402118579489581785711/
      577310701989273758221734929111897132236800000000*ep^6+1001078135894800316\
      097265612491990971/208039684568854691512784399054763250572853248000000000
      *ep^7+11728689206074587003718643480004343346833/1070988296160463951907814\
      0863339212139490485207040000000000*ep^8;
Fill mncpoch(15,10) = 1/13181357629440000+420983/4750034035344998400000*ep+
      14072518921/244531752139560517632000000*ep^2+3388741583229943/
      123367247081416839387414528000000*ep^3+2393629384830687205471/22228310579\
      1296861208243496550400000000*ep^4+6010531141202007201947387/1634733469447\
      994630714339314630656000000000*ep^5+32711862019428960669368433503047/
      28865535099463687911086746455594856611840000000000*ep^6+
      671737491071816873891997470384718871/208039684568854691512784399054763250\
      5728532480000000000*ep^7+46309735246451719671678673255409670825913/
      535494148080231975953907043166960606974524260352000000000000*ep^8;
Fill mncpoch(15,11) = 1/579979735695360000+511073/209001497555179929600000*ep+
      20650028431/10759397094140662775808000000*ep^2+5993247069118249/
      5428158871582340933046239232000000*ep^3+5093287527115002467521/9780456654\
      817061893162713848217600000000*ep^4+107624328462384132170626979/
      503497908589982346260016508906242048000000000*ep^5+
      100582992277662265940130925269817/127008354437640226808781684404617369092\
      0960000000000*ep^6+2484041845930735581601276481896281577/9153746121029606\
      4265625135584095830252055429120000000000*ep^7+206157828032094554347720814\
      865435390305863/235617425155302069419719098993462667068790674554880000000\
      00000*ep^8;
Fill mncpoch(15,12) = 1/20879270485032960000+631193/7524053911986477465600000*
      ep+31481300311/387338295389063859929088000000*ep^2+11287394379818497/
      195413719376964273589664612352000000*ep^3+11872496591633991765721/
      352096439573414228153857698535833600000000*ep^4+
      44479481424974775838628477/2589417815605623495051513474374959104000000000
      *ep^5+362383882407292799553197505474577/457230075975504816511614063856622\
      52873154560000000000*ep^6+447598089475341511922691734136700777/
      131813944142826332542500195241097995562959817932800000000*ep^7+1166255729\
      956702097421894584588658556970863/848222730559087449910988756376465601447\
      646428397568000000000000*ep^8;
Fill mncpoch(15,13) = 1/542861032610856960000+811373/
      195625401711648414105600000*ep+52366041331/
      10070795680115660358156288000000*ep^2+24496833037645909/50807567038010711\
      13331279921152000000*ep^3+33941693475249191183821/91545074289087699320003\
      00161931673600000000*ep^4+1185015560027737611941951879/471274042440223476\
      099375452336242556928000000000*ep^5+1856996607647877139991103732382117/
      1188798197536312522930196566027218574702018560000000000*ep^6+781086819900\
      82438414786707453539487637/8567906369283711615262512690671369711592388165\
      6320000000000*ep^7+11218843102080311921404943833859190615852763/
      22053790994536273697685707665788105637638807138336768000000000000*ep^8;
Fill mncpoch(16,0) = 1;
Fill mncpoch(16,1) = 1/15+1/225*ep+1/3375*ep^2+1/50625*ep^3+1/759375*ep^4+1/
      11390625*ep^5+1/170859375*ep^6+1/2562890625*ep^7+1/38443359375*ep^8;
Fill mncpoch(16,2) = 1/420+29/88200*ep+631/18522000*ep^2+12209/3889620000*ep^3+
      221551/816820200000*ep^4+3861089/171532242000000*ep^5+65445871/
      36021770820000000*ep^6+1087101569/7564571872200000000*ep^7+17782312591/
      1588560093162000000000*ep^8;
Fill mncpoch(16,3) = 1/16380+587/44717400*ep+229909/122078502000*ep^2+75104063/
      333274310460000*ep^3+22099571341/909838867555800000*ep^4+6074505299687/
      2483860108427334000000*ep^5+1591540832089909/6780938096006621820000000*
      ep^6+402437586022004063/18511961002098077568600000000*ep^7+
      99017471735524661341/50537653535727751762278000000000*ep^8;
Fill mncpoch(16,4) = 1/786240+181/476985600*ep+1660831/23439072384000*ep^2+
      150723401/14219703912960000*ep^3+970805468551/698756250282854400000*ep^4+
      23559283621507/141304041723866112000000*ep^5+391284412543967671/
      20831041830932342231040000000*ep^6+25505157635369090041/
      12637498710765620953497600000000*ep^7+129792093281130737021191/
      621006686647022613654872064000000000*ep^8;
Fill mncpoch(16,5) = 1/43243200+7793/865728864000*ep+328609891/
      155987026715520000*ep^2+1199908541813/3122860274844710400000*ep^3+
      33868064779952131/562676964321519919872000000*ep^4+95788093578258793133/
      11264792825716828795837440000000*ep^5+2262193177982682942722971/202969037\
      1337658212433989939200000000*ep^6+5608261688595662272985899253/4063440123\
      4179917412928478582784000000000*ep^7+119685414337587751234076805811411/
      7321506414374537519461453271046021120000000000*ep^8;
Fill mncpoch(16,6) = 1/2594592000+653/3462915456000*ep+505096201/
      9359221602931200000*ep^2+16378601009/1387937899930982400000*ep^3+
      73707865232274001/33760617859291195192320000000*ep^4+16223415984884756209/
      45059171302867315183349760000000*ep^5+6646895816217486003329401/121781422\
      280259492746039396352000000000*ep^6+1261023140844204616776757337/
      162537604936719669651713914331136000000000*ep^7+
      460502138613550933010331011282401/439290384862472251167687196262761267200\
      000000000*ep^8;
Fill mncpoch(16,7) = 1/163459296000+4327/1178083838131200*ep+6711529309/
      5306678648861990400000*ep^2+62692963759919/191231471790390686054400000*
      ep^3+12245902756182085981/172280432935962969066408960000000*ep^4+
      84513205394696034097007/6208297681280361553277113282560000000*ep^5+
      13305358910031620309537534029/5593055381065477723347351356258304000000000
      *ep^6+78095375557003087191405200916287/2015513437120755552385451534741242\
      42944000000000*ep^7+10838701624699516699340442376744161661/18157760555020\
      8867714405328764838530468249600000000000*ep^8;
Fill mncpoch(16,8) = 1/10461394944000+52279/753973656403968000*ep+38620655011/
      1358509734108669542400000*ep^2+849477191073451/
      97910513556680031259852800000*ep^3+387257944458431377171/
      176415163326426080324002775040000000*ep^4+6193229394256281368037763/
      12714593651262180461111528002682880000000*ep^5+
      2246413060563394670926707349531/22909154840844196754830751155234013184000\
      000000*ep^6+6046828666782403550175714445841903/33022172153786458970283237\
      9452005159639449600000000*ep^7+9584192548303410472972779678770218401091/
      2974967489334622088632816906483114483191801446400000000000*ep^8;
Fill mncpoch(16,9) = 1/659067881472000+2503/1900013614137999360*ep+22793611/
      35646028008682291200000*ep^2+1412951119346707/
      6168362354070841969370726400000*ep^3+750951562578273758971/11114155289564\
      843060412174827520000000*ep^4+1989289526080312570057597/11443134286135962\
      4150003752024145920000000*ep^5+5830714928654901859656485624131/
      1443276754973184395554337322779742830592000000000*ep^6+
      90267184239342887297901748215262291/1040198422844273457563921995273816252\
      86426624000000000*ep^7+4688423681644324237636098524196961729213/
      26774707404011598797695352158348030348726213017600000000000*ep^8;
Fill mncpoch(16,10) = 1/39544072888320000+74587/2850020421206999040000*ep+
      11017990873/733595256418681552896000000*ep^2+2339387863912039/
      370101741244250518162243584000000*ep^3+1453469738111059070671/66684931737\
      3890583624730489651200000000*ep^4+4483443596678889935329033/6865880571681\
      577449000225121448755200000000*ep^5+15255361713233596392711645893431/
      86596605298391063733260239366784569835520000000000*ep^6+
      273514589138704847167154038687155463/624119053706564074538353197164289751\
      7185597440000000000*ep^7+16422199555694762181107006783875931091913/
      1606482444240695927861721129500881820923572781056000000000000*ep^8;
Fill mncpoch(16,11) = 1/2174924008857600000+445007/783755615831924736000000*ep+
      3119956589/8069547820605497081856000000*ep^2+782683688577779/
      4071119153686755699784679424000000*ep^3+2863709208190501272871/3667671245\
      5563982099360176930816000000000*ep^4+51901967990923850782124981/
      1888117157212433798475061908398407680000000000*ep^5+
      8288022434505328561539365461571/95256265828230170106586263303463026819072\
      0000000000*ep^6+34833957681534915490176767449340023/137306191815444096398\
      43770337614374537808314368000000000*ep^7+87505004416900283452806437844537\
      91527559/12622362061891182290342094588935500021542357565440000000000000*
      ep^8;
Fill mncpoch(16,12) = 1/104396352425164800000+535097/37620269559932387328000000
      *ep+4497296267/387338295389063859929088000000*ep^2+1349909677549421/
      195413719376964273589664612352000000*ep^3+5904043279451184720121/
      1760482197867071140769288492679168000000000*ep^4+
      127887004997460598130082251/906296235461968223268029716031235686400000000\
      00*ep^5+24417898826815043961294119451197/45723007597550481651161406385662\
      252873154560000000000*ep^6+614131489469228039545481281518367661/
      3295348603570658313562504881027449889073995448320000000000*ep^7+258850309\
      828554320140723108819711335619663/424111365279543724955494378188232800723\
      8232141987840000000000000*ep^8;
Fill mncpoch(16,13) = 1/4071457744581427200000+655217/
      1467190512837363105792000000*ep+6746001011/
      15106193520173490537234432000000*ep^2+2484371175567269/762113505570160666\
      9996919881728000000*ep^3+13364609919679693527121/686588057168157744900022\
      51214487552000000000*ep^4+357223711219164139055478611/3534555318301676070\
      745315892521819176960000000000*ep^5+16898299179023887779595169301169/
      356639459260893756879058969808165572410605568000000000*ep^6+2643955186853\
      577439630453017974787941/128518595539255674228937690360070545673885822484\
      480000000000*ep^7+199015297855534148820312493361556480329809/
      23629061779860293247520401070487256040327293362503680000000000000*ep^8;
Fill mncpoch(16,14) = 1/114000816848279961600000+835397/
      41081334359446166962176000000*ep+11046624767/
      422973418564857735042564096000000*ep^2+5270904366292553/21339178155964498\
      6759913756688384000000*ep^3+37107398637644498515621/192244656007084168572\
      0063034005651456000000000*ep^4+1312368152152133530847563151/9896754891244\
      6929980868844990610936954880000000000*ep^5+
      415538987011799426321335346471897/499295242965251259630682557731431801374\
      84779520000000000*ep^6+17618318122810781566546093563436068233/
      3598520675099158878410255330081975278868803029565440000000000*ep^7+
      12730494797017476979814598661602005270244163/4631296108852617476513998609\
      815502183904149499050721280000000000000*ep^8;
Fill mncpoch(17,0) = 1;
Fill mncpoch(17,1) = 1/16+1/256*ep+1/4096*ep^2+1/65536*ep^3+1/1048576*ep^4+1/
      16777216*ep^5+1/268435456*ep^6+1/4294967296*ep^7+1/68719476736*ep^8;
Fill mncpoch(17,2) = 1/480+31/115200*ep+721/27648000*ep^2+14911/6635520000*ep^3
      +289201/1592524800000*ep^4+5386591/382205952000000*ep^5+97576081/
      91729428480000000*ep^6+1732076671/22015062835200000000*ep^7+30276117361/
      5283615080448000000000*ep^8;
Fill mncpoch(17,3) = 1/20160+337/33868800*ep+75769/56899584000*ep^2+14206753/
      95591301120000*ep^3+2399181961/160593385881600000*ep^4+378434270257/
      269796888281088000000*ep^5+56891840784409/453258772312227840000000*ep^6+
      8253460511994433/761474737484542771200000000*ep^7+1164951053078142121/
      1279277558974031855616000000000*ep^8;
Fill mncpoch(17,4) = 1/1048320+6061/22895308800*ep+22987441/500033544192000*
      ep^2+69831137221/10920732605153280000*ep^3+185839346519401/
      238508800096547635200000*ep^4+452720097659125981/
      5209032194108600352768000000*ep^5+1035175813192084068961/
      113765263119331831704453120000000*ep^6+2256987773408412618860341/24846333\
      46526207204425256140800000000*ep^7+4742025821783275341389172121/542643922\
      88132365344647594115072000000000*ep^8;
Fill mncpoch(17,5) = 1/62899200+2627/457906176000*ep+37330861/30002012651520000
      *ep^2+45924434747/218414652103065600000*ep^3+436586760238021/
      14310528005792858112000000*ep^4+415769333764108067/
      104180643882172007055360000000*ep^5+3305276375544114114781/
      6825915787159909902267187200000000*ep^6+2757530258966233435920587/
      49692666930524144088505122816000000000*ep^7+19798141035738909901515577141/
      3255863537287941920678855646904320000000000*ep^8;
Fill mncpoch(17,6) = 1/4151347200+12059/110813294592000*ep+6887351221/
      239596073035038720000*ep^2+37088446512379/6395617842881966899200000*ep^3+
      13682171803118081701/13828349075165673550774272000000*ep^4+
      18507364188749222564633/123041577104363015327333744640000000*ep^5+
      16768921235956947907208330581/798106729055908611660443787932467200000000*
      ep^6+58604736763971951652059555973019/21304128954265720540589446179210657\
      792000000000*ep^7+15763254416627500551377525642070553861/4606293545975517\
      0324040876950842115851550720000000000*ep^8;
Fill mncpoch(17,7) = 1/290594304000+8837/4654158372864000*ep+10071852541/
      16771725112452710400000*ep^2+38384146937093/268615949401042609766400000*
      ep^3+27514282993368915181/967984435261597148554199040000000*ep^4+
      77380131181928255170229/15503238715149739931244051824640000000*ep^5+
      44653625308676613940352053021/55867471033913602816231065155272704000000000
      *ep^6+21336017670551927175620716340449/1789546832158320525409513479053695\
      25452800000000*ep^7+54206491055427962936410932344291562061/32244054821828\
      61922682861386558948109608550400000000000*ep^8;
Fill mncpoch(17,8) = 1/20922789888000+95549/3015894625615872000*ep+128904492469/
      10868077872869356339200000*ep^2+5173650253288037/
      1566568216906880500157644800000*ep^3+4300186483879412144461/5645285226445\
      634570368088801280000000*ep^4+125281902357438362924784317/813733993680779\
      549511137792171704320000000*ep^5+82715366553943572077600287179109/
      2932371819628057184618336147869953687552000000000*ep^6+202469737041041622\
      1391083799009039189/422683803568466674819625445698566604338495488000000000
      *ep^7+1166337614926993519870782080234116229957821/15231833545393265093800\
      02256119354615394202340556800000000000*ep^8;
Fill mncpoch(17,9) = 1/1506440871936000+113567/217144413044342784000*ep+
      180060747619/782501606846593656422400000*ep^2+8417984803887179/
      112792911617295396011350425600000*ep^3+8092067738790391925011/40646053630\
      4085689066502393692160000000*ep^4+54216955774992728925926503/117177695090\
      03225512960384207272542208000000*ep^5+204825505198170945801018253560859/
      211130771013220117292520202646636665503744000000000*ep^6+5715243323071060\
      322833830691668596651/304332338569296005870130320902967955123716751360000\
      00000*ep^7+3740768969804352642291281115296235591400771/109669201526831508\
      675360162440593532308382568520089600000000000*ep^8;
Fill mncpoch(17,10) = 1/105450861035520000+134159/15200108913103994880000*ep+
      35589400117/7825016068465936564224000000*ep^2+13547983294352027/
      7895503813210677720794529792000000*ep^3+15066569538722815424611/284522375\
      41285998234655167558451200000000*ep^4+83047939830906265693317461/
      585888475450161275648019210363627110400000000*ep^5+
      504097061172824764853457056020459/147791539709254082104764141852645665852\
      62080000000000*ep^6+16095610006741867880696218389241888379/21303263699850\
      72041090912246320775685866017259520000000000*ep^7+17181127144678666038962\
      42048868279961272853/1096692015268315086753601624405935323083825685200896\
      000000000000*ep^8;
Fill mncpoch(17,11) = 1/6959756828344320000+158183/1003207188264863662080000*ep
      +49161501517/516451060518751813238784000000*ep^2+21815374681462883/
      521103251671904729572438966272000000*ep^3+28168883572409422954411/
      1877847677724875883487241058857779200000000*ep^4+
      179723548251415405272856013/386686393797106441927692678839993892864000000\
      00*ep^5+1259690802731425411701598305875059/975424162081076941891443336227\
      461394627297280000000000*ep^6+9271684370312326394283083217916861159/
      28120308083802950942400041651434239053431427825664000000000*ep^7+
      5695665309331854627043684749354613398483853/72381673007708795725737707210\
      791731323532495223259136000000000000*ep^8;
Fill mncpoch(17,12) = 1/417585409700659200000+935059/
      300962156479459098624000000*ep+13683247289/
      6197412726225021758865408000000*ep^2+7124376132408439/6253239020062856754\
      869267595264000000*ep^3+53842285403156473734811/1126708606634925530092344\
      63531466752000000000*ep^4+2007338082278875133511508177/116005918139131932\
      57830780365199816785920000000000*ep^5+131404439458218746096631125941339/
      2341017988994584660539464006945907347105513472000000000*ep^6+112851383566\
      3112373265435209424209199/67488739401127082261760099963442173728235426781\
      593600000000*ep^7+20219638374316110870969835894644185789613853/
      4342900380462527743544262432647503879411949713395548160000000000000*ep^8;
Fill mncpoch(17,13) = 1/21714441304434278400000+1115239/
      15650032136931873128448000000*ep+19424497661/
      322265461763701131461001216000000*ep^2+12024244516391011/3251684290432685\
      51253201914953728000000*ep^3+108005494827239782784311/5858884754501612756\
      480192103636271104000000000*ep^4+683914217018861020339953331/861758249033\
      55149915314368427198638981120000000000*ep^5+
      1864653300791185841202712983266579/60866467713859201174026064180593591024\
      7433502720000000000*ep^6+95407492238888982305216845300599670819/
      87735361221465206940288129952474825846706054816071680000000000*ep^7+
      81614359630041170984376875845580073961640353/2258308197840514426643016464\
      97670201729421385096568504320000000000000*ep^8;
Fill mncpoch(17,14) = 1/912006534786239692800000+1355479/
      657301349751138671394816000000*ep+28728505517/
      13535149394075447521362051072000000*ep^2+21686675147956723/13657074019817\
      279152634480428056576000000*ep^3+238255665765867861122311/246073159689067\
      735772168068352723386368000000000*ep^4+12964333968216612136097386837/
      25335692521586414075102424317596399860449280000000000*ep^5+
      6225025530325288300609163682475811/25563916439820864493090946955849308230\
      392207114240000000000*ep^6+394507518919958434572885941916197437747/
      3684885171301538691492101458003942685561654302275010560000000000*ep^7+
      420101810863365507847913014009677475548566353/948489443093016059190066915\
      2902148472635698174055877181440000000000000*ep^8;
Fill mncpoch(17,15) = 1/27360196043587190784000000+1715839/
      19719040492534160141844480000000*ep+46394783861/
      406054481822263425640861532160000000*ep^2+45093029184966667/4097122205945\
      18374579034412841697280000000*ep^3+644498765693232564125311/7382194790672\
      032073165042050581701591040000000000*ep^4+46143130426104224537268397117/
      760070775647592422253072729527891995813478400000000000*ep^5+
      29504419402816573996559219101590779/7669174931946259347927284086754792469\
      11766213427200000000000*ep^6+504190006823950911130580396201209612367/
      22109311027809232148952608748023656113369925813650063360000000000*ep^7+
      3664564504775489620973197863564461331130211353/28454683292790481775702007\
      4587064454179070945221676315443200000000000000*ep^8;
Fill mncpoch(18,0) = 1;
Fill mncpoch(18,1) = 1/17+1/289*ep+1/4913*ep^2+1/83521*ep^3+1/1419857*ep^4+1/
      24137569*ep^5+1/410338673*ep^6+1/6975757441*ep^7+1/118587876497*ep^8;
Fill mncpoch(18,2) = 1/544+33/147968*ep+817/40247296*ep^2+17985/10947264512*
      ep^3+371281/2977655947264*ep^4+7360353/809922417655808*ep^5+141903217/
      220298897602379776*ep^6+2680790145/59921300147847299072*ep^7+49868399761/
      16298593640214465347584*ep^8;
Fill mncpoch(18,3) = 1/24480+767/99878400*ep+392449/407503872000*ep^2+167445503/
      1662615797760000*ep^3+64341277441/6783472454860800000*ep^4+23090095523327/
      27676567615832064000000*ep^5+7896872313485569/112920395872594821120000000
      *ep^6+2605987397948934143/460715215160186870169600000000*ep^7+
      836635826473329227521/1879718077853562430291968000000000*ep^8;
Fill mncpoch(18,4) = 1/1370880+7409/39152332800*ep+34344361/1118190624768000*
      ep^2+127496303969/31935524243374080000*ep^3+414575867232601/
      912078572390763724800000*ep^4+1233810004615062929/
      26048964027480211980288000000*ep^5+3446031540223992082441/
      743958412624834854157025280000000*ep^6+9176047021726002919108289/21247452\
      264565283434724641996800000000*ep^7+23542174973410320759123197881/
      606827236675984494895735775428608000000000*ep^8;
Fill mncpoch(18,5) = 1/89107200+124877/33083721216000*ep+9370684129/
      12283324013076480000*ep^2+547736118544133/4560552539575035494400000*ep^3+
      27484044889650755641/1693241946893419178360832000000*ep^4+
      1243049340091966141204157/628666870042588672541809704960000000*ep^5+
      52134825205663579992245684689/233411435509412322341323107257548800000000*
      ep^6+2064753950409325308090252851875253/866609977759346070388864432625827\
      18464000000000*ep^7+78173448188658487580738454984851027881/32175495254249\
      000901397758654531711711313920000000000*ep^8;
Fill mncpoch(18,6) = 1/6415718400+5771/88223256576000*ep+14191662109/
      884399328941506560000*ep^2+109647349355177/36484420316600283955200000*
      ep^3+58016445791093343061/121913420176326180841979904000000*ep^4+
      337564241429821575056833/5029334960340709380334477639680000000*ep^5+
      146132963874211695782571401869/168056233566776872085752637225435136000000\
      00*ep^6+243929920469534636133444889840819/2310959940691589521036971820335\
      53915904000000000*ep^7+281947625150498331913895647060074404101/
      2316635658305928064900638623126283243214602240000000000*ep^8;
Fill mncpoch(18,7) = 1/494010316800+695089/672525884878848000*ep+2491409046949/
      8239948547748016619520000*ep^2+746158649625630001/
      11217536354962239905149747200000*ep^3+1680520133126409356069941/137439947\
      629722554255471938633728000000*ep^4+371076347615267005360649932609/
      187105247105199096461229278378411950080000000*ep^5+
      672203138641751347243174296203656069/229245839279220457762613181371911403\
      1248179200000000*ep^6+125973397088159142437612225384802298796881/
      3120861157611595623797110805924653077580021235712000000000*ep^7+
      200752186040543458234139260377176681531750104021/382375399097350963657119\
      12900782271423249039385039994880000000000*ep^8;
Fill mncpoch(18,8) = 1/39520825344000+11083/717360943870771200*ep+3509845866349/
      659195883819841329561600000*ep^2+81598335099127831/
      59826860559798612827465318400000*ep^3+3180163710978816320207101/109951958\
      10377804340437755090698240000000*ep^4+17866913657179536531741418541/
      332631550409242838153296494894954577920000000*ep^5+1657296852483437668283\
      659946775174349/183396671423376366210090545097529122499854336000000000*
      ep^6+23439410759856294189805103726599162264823/16644592840595176660251257\
      631598149747093446590464000000000*ep^7+6315301151730559811202857865019576\
      61333082534301/3059003192778807709256953032062581713859923150803199590400\
      000000000*ep^8;
Fill mncpoch(18,9) = 1/3201186852864000+1768477/7844341921226883072000*ep+
      43626282040741/480553799304664329250406400000*ep^2+6341322098576939297/
      235514419279703219256599972413440000*ep^3+473413816892251673970873181/
      72139479711888774277612111150071152640000000*ep^4+
      246122147257642086960153029784733/176774043781038423151026042543469555844\
      382720000000*ep^5+2883473637413744217699157744337822684821/10829390050878\
      951048339636597463997154493898686464000000000*ep^6+1246447056192166404179\
      318934016998968900094421/265368571913962238385017658209824568992352650484\
      48335872000000000*ep^7+12627784907739258572097983165306252797515517212411\
      661/162567971577356234781522437631237048859543141918600319352176640000000\
      0000*ep^8;
Fill mncpoch(18,10) = 1/256094948229120000+2074783/627547353698150645760000*ep+
      59514244080691/38444303944373146340032512000000*ep^2+49936180540264833931/
      94205767711881287702639988965376000000*ep^3+855807609806410679522595331/
      5771158376951101942208968892005692211200000000*ep^4+
      508261152987004516562001115242019/141419235024830738520820834034775644675\
      50617600000000*ep^5+6775559655584679353950165584470869480171/
      866351204070316083867170927797119772359511894917120000000000*ep^6+
      3321841632055687198370378353533933115893352747/21229485753116979070801412\
      65678596551938821203875866869760000000000*ep^7+38065285481450491646698910\
      964245375722436249875476211/130054377261884987825217950104989639087634513\
      534880255481741312000000000000*ep^8;
Fill mncpoch(18,11) = 1/19719311013642240000+2424847/48321146234757599723520000
      *ep+11533647869413/422887343388104609740357632000000*ep^2+
      15639756978914436191/1450768822762971830620655830066790400000*ep^3+
      1540172095689748578368373331/44437919502523484955009060468443830026240000\
      0000*ep^4+149631422498934380414278193855029/15556115852731381237290291743\
      8253209143056793600000000*ep^5+15942160155576398219385344873862572054971/
      66709042713414338457772161440378222471682415908618240000000000*ep^6+
      8902617984757383464641289721457760539744720891/16346704029900073884517087\
      7457251934499289232698441748971520000000000*ep^7+236688647013986140358884\
      9430419492099225839780105139/20437116426867640943962820730784086142342566\
      4126240401471307776000000000000*ep^8;
Fill mncpoch(18,12) = 1/1419790392982241280000+566651/
      695824505780509436018688000*ep+15666233612413/
      30447888723943531901305749504000000*ep^2+122986290854820760483/5222767761\
      94669859023436098824044544000000*ep^3+2795886722575639507051899931/
      31995302041816909167606523537279557618892800000000*ep^4+
      44679233920126784544816320489899/1600057630566656355835572865079175865471\
      441305600000000*ep^5+38295171949969044501800041051694943775171/
      4803051075365832368959595623707232017961133945420513280000000000*ep^6+
      24542672570500340991532440887298389137074758659/1176962690152805319685230\
      3176922139283948824754287805925949440000000000*ep^7+523661475023108271953\
      71164291149875089918121440753373/1030030667914129103575726164831517941574\
      06534719625162341539119104000000000000*ep^8;
Fill mncpoch(18,13) = 1/92286375543845683200000+16616723/
      1130714821893327833530368000000*ep+4296630026537/
      395822553411265914716974743552000000*ep^2+39337394008338706103/6789598090\
      530708167304669284712579072000000*ep^3+5205742684399278649369003531/
      2079694632718099095894424029923171245228032000000000*ep^4+
      3386116294275986540181282069222449/36401311095391432095259282680551250939\
      47528970240000000000*ep^5+19275537051500212631939807407885805145047/
      62439663979755820796474743108194016233494741290466672640000000000*ep^6+
      14355274757454986807008815614067468916628977943/1530051497198646915590799\
      41299987810691334721805741477037342720000000000*ep^7+17799777006965388973\
      5589515019222736060688284806712173/66951993414418391732422200714048666202\
      31424756775635552200042741760000000000000*ep^8;
Fill mncpoch(18,14) = 1/5168037030455358259200000+19679783/
      63320030026026358677700608000000*ep+1203785183113/44332125982061782448301\
      17127782400000*ep^2+65148257709241446563/38021749306971965736906147994390\
      4428032000000*ep^3+10194568240871006282100573031/116462899432213549370087\
      745675697589732769792000000000*ep^4+7847055465116321469102850816127429/
      203847342134192019733451983011087005261061622333440000000000*ep^5+
      52925939449671092126750056917072000886883/3496621182866325964602585614058\
      864909075705512266133667840000000000*ep^6+4677834037559689389696142148214\
      8781523944146339/85682883843124227273084767127993173987147444211215227140\
      91192320000000000*ep^7+68972942460849611052139898532318933154187527368220\
      2673/37493116312074299370156432399867253073295978637943559092320239353856\
      0000000000000*ep^8;
Fill mncpoch(18,15) = 1/232561666370491121664000000+23763863/
      2849401351171186140496527360000000*ep+8791883561309/997472834596390105086\
      776353751040000000*ep^2+115417715850340651571/171097871881373845816077665\
      97475699261440000000*ep^3+21978947864622487488802815031/52408304744496097\
      21653948555406391537974640640000000000*ep^4+
      20670452807251665569569965217814069/9173130396038640888005339235498915236\
      747773005004800000000000*ep^5+171113635511127627373867081882550116977011/
      157347953228984668407116352632648920908406748051976015052800000000000*
      ep^6+37309339135850823595594807167425167574527672663/77114595458811804545\
      776290415193856588432699790093704426820730880000000000*ep^7+3410699527786\
      096675348128272043506802752178440994792673/168719023404334347165703945799\
      40263882983190387074601591544107709235200000000000000*ep^8;
Fill mncpoch(18,16) = 1/7441973323855715893248000000+29889983/
      91180843237477956495888875520000000*ep+2804717413153/63838261414168966725\
      55368664006656000000*ep^2+235691963923794646091/5475131900203963066114485\
      31119222376366080000000*ep^3+58075879215443408921577738031/16770657518238\
      7511092926353773004529215188500480000000000*ep^4+
      10213734180205588474482562633289147/4193431038189092977373869364799504108\
      2275533737164800000000000*ep^5+784305135624330012093778824553194147329483/
      5035134503327509389027723284244765469069015937663232481689600000000000*
      ep^6+1147496171169438232715562102371488583840256842507/123383352734098887\
      27324206466431017054149231966414992708291316940800000000000*ep^7+
      28516768256802235768931911509829305528593157898205445673/
      5399008748938699109302526265580884442554620923863872509294114466955264000\
      00000000000*ep^8;
Fill mncpoch(19,0) = 1;
Fill mncpoch(19,1) = 1/18+1/324*ep+1/5832*ep^2+1/104976*ep^3+1/1889568*ep^4+1/
      34012224*ep^5+1/612220032*ep^6+1/11019960576*ep^7+1/198359290368*ep^8;
Fill mncpoch(19,2) = 1/612+35/187272*ep+919/57305232*ep^2+21455/17535400992*
      ep^3+469711/5365832703552*ep^4+9874655/1641944807286912*ep^5+201881359/
      502435111029795072*ep^6+4044203135/153745143975117292032*ep^7+79771413871/
      47046014056385891361792*ep^8;
Fill mncpoch(19,3) = 1/29376+433/71912448*ep+125065/176041672704*ep^2+30119905/
      430950014779392*ep^3+6532281721/1054965636179951616*ep^4+1323011798353/
      2582555877368521555968*ep^5+255342792121705/6322096787798140769009664*
      ep^6+47548755887592385/15476492936529848602535657472*ep^7+
      8613301891940798041/37886454708625069379007289491456*ep^8;
Fill mncpoch(19,4) = 1/1762560+2981/21573734400*ep+5559121/264062509056000*ep^2
      +8301230861/3232125110845440000*ep^3+10856480458201/
      39561211356748185600000*ep^4+12993299923745141/
      484229227006597791744000000*ep^5+14592263864677675681/
      5926965738560756970946560000000*ep^6+15622033867295138433821/
      72546060639983665324385894400000000*ep^7+16112150687252207196763561/
      887963782233400063570483347456000000000*ep^8;
Fill mncpoch(19,5) = 1/123379200+26987/10571129856000*ep+437557369/
      905734406062080000*ep^2+5525173283603/77603323911399014400000*ep^3+
      59880470075790961/6649052792728667553792000000*ep^4+584846868682225266107/
      569690843280992236008898560000000*ep^5+5296028087750682494768809/48811111\
      452315414781242428620800000000*ep^6+45277108534208017059189358883/
      4182136029234384738456851284230144000000000*ep^7+
      369979246623375275702348649580321/358325414984802084390983018032838737920\
      000000000*ep^8;
Fill mncpoch(19,6) = 1/9623577600+436511/10719125673984000*ep+111347457841/
      11939390940710338560000*ep^2+21679055891892671/
      13298571205400803501670400000*ep^3+3567707614652029688401/
      14812480551423630972300558336000000*ep^4+522830736837015369430864031/
      16498733337397697122187253896970240000000*ep^5+
      70359053570403260874728970376561/1837694914052705096257705088060133212160\
      0000000*ep^6+8869435124481748231721611673952772991/2046898103068465044415\
      6822352848987770322944000000000*ep^7+106173663906871891759615833353980518\
      6610321/22799169831217791050719635009497316538096507944960000000000*ep^8;
Fill mncpoch(19,7) = 1/808380518400+529331/900406556614656000*ep+160479961261/
      1002908839019668439040000*ep^2+36574805896138691/
      1117079981253667494140313600000*ep^3+6962581097931622987021/1244248366319\
      585001673246900224000000*ep^4+1169097514347028615086153251/13858936003414\
      06558263729327345500160000000*ep^5+178874684852094456927025715134381/
      1543663727804272280856472273970511898214400000000*ep^6+254725833724531557\
      23688138552726017411/1719394406577510637309173077639314972707127296000000\
      000*ep^7+3426101827699820831868891354003834122699341/19151302658222944482\
      60449340797774589200106667376640000000000*ep^8;
Fill mncpoch(19,8) = 1/71137485619200+6936481/871593546802987008000*ep+
      27144205309621/10678973317881429538897920000*ep^2+78915368289828852361/
      130841344044279566253666651340800000*ep^3+189838243670759861066750701/
      1603099549153083872835824692223803392000000*ep^4+
      399733753113342469138829668028641/196415604201153803501140047270521728715\
      98080000000*ep^5+762126859139026684033692640366200630181/2406531122417544\
      67740880813276977714544308859699200000000*ep^6+13452759687741648168212277\
      17194153327357939321/2948539687932913759833529535664717433248362783160926\
      208000000000*ep^7+2232837539037204136988060969874372494395814569500061/
      36126215906079163284782763918052677524342920426355626522705920000000000*
      ep^8;
Fill mncpoch(19,9) = 1/6402373705728000+1632341/15688683842453766144000*ep+
      37144122156541/961107598609328658500812800000*ep^2+24885047642990928509/
      2355144192797032192565999724134400000*ep^3+342287031737439448024305781/
      144278959423777548555224222300142305280000000*ep^4+
      163822407857362995880992338849717/353548087562076846302052085086939111688\
      765440000000*ep^5+1765722588362175280360157427240228938221/21658780101757\
      902096679273194927994308987797372928000000000*ep^6+1403472664551049065010\
      08849633085423518433033/1061474287655848953540070632839298275969410601937\
      9334348800000000*ep^7+6531758518916940486057862639445558868019529430109861
      /3251359431547124695630448752624740977190862838372006387043532800000000000
      *ep^8;
Fill mncpoch(19,10) = 1/576213633515520000+634871/470660515273612984320000*ep+
      50108441924941/86499683874839579265073152000000*ep^2+12842724447592821487/
      70654325783910965776979991724032000000*ep^3+604540602047063899917440581/
      12985106348139979369970180007012807475200000000*ep^4+
      36491320739769019782145968968861/3535480875620768463020520850869391116887\
      654400000000*ep^5+4001224686465313155038158061435416431421/19492902091582\
      11188701134587543519487808901763563520000000000*ep^6+59705259336960275861\
      7864539956190273402674559/15922114314837734303101059492589474139541159029\
      06900152320000000000*ep^7+18723811296561576658138103691166946727011504994\
      713461/292622348839241222606740387736226687947177655453480574833917952000\
      000000000*ep^8;
Fill mncpoch(19,11) = 1/50706799749365760000+736973/41418125344077942620160000*
      ep+67038885805291/7611972180985882975326437376000000*ep^2+
      19687528766084643169/6217580668984164988374239271714816000000*ep^3+
      1056821216013888103206719131/11426893586363181845573758406171270578176000\
      00000*ep^4+14491834801117137497336689574663/62224463410925524949161166975\
      301283657222717440000000*ep^5+8995027630880172313079771602899231919171/
      171537538405922584605699843703829714927183355193589760000000000*ep^6+
      1515462904537730112127935380155407650813872001/14011460597057206186728932\
      3534787372427962199455807213404160000000000*ep^7+535384648293616236375475\
      56782708118918776045780086411/2575076669785322758939315412078794853935163\
      3679906290585384779776000000000000*ep^8;
Fill mncpoch(19,12) = 1/4259371178946723840000+853661/
      3479122528902547180093440000*ep+12778797804013/
      91343666171830595703917248512000000*ep^2+30125455273167325777/52227677619\
      4669859023436098824044544000000*ep^3+1847759019119841608016698731/
      95985906125450727502819570611838672856678400000000*ep^4+
      20618515544753006667442994530613/3733467804655531496949670018518077019433\
      363046400000000*ep^5+20363062671292178341579800591748333959571/
      14409153226097497106878786871121696053883401836261539840000000000*ep^6+
      3891587961525471818450199151605337243888292849/11769626901528053196852303\
      176922139283948824754287805925949440000000000*ep^7+2224447549166008301951\
      3406495467989598516342410287373/30900920037423873107271784944945538247221\
      9604158875487024617357312000000000000*ep^8;
Fill mncpoch(19,13) = 1/332230951957844459520000+989797/
      271371557254398680047288320000*ep+17109951516613/712480596140278646490554\
      5383936000000*ep^2+15476805930275572451/135791961810614163346093385694251\
      58144000000*ep^3+3269950574303538456569500531/748690067778515674521992650\
      7723416482820915200000000*ep^4+125449545403314235905692629918727/
      873631466289394370286222784333230022547406952857600000000*ep^5+4726122658\
      9307477581910161281668248682971/11239139516356047743365453759474922922029\
      05343228400107520000000000*ep^6+20651084608974869173082241735693051893186\
      46581/1836061796638376298708959295599853728296016661668897724448112640000\
      00000*ep^7+67426983507636199283300043188990817835619010955986373/
      2410271762919062102367199225705751983283312912439228798792015387033600000\
      0000000*ep^8;
Fill mncpoch(19,14) = 1/23256166637049112166400000+5765801/
      94980045039039538016550912000000*ep+4633029920081/99747283459639010508677\
      635375104000000*ep^2+972276647483105227/380217493069719657369061479943904\
      42803200000*ep^3+5950278111359178723522658531/524083047444960972165394855\
      540639153797464064000000000*ep^4+1321573779274851026418875128258963/
      305771013201288029600177974516630507891592433500160000000000*ep^5+
      184429809438582369103388536652477688571/125878362583187734725693082106119\
      136726725398441580812042240000000*ep^6+5831238941557114327347059447427560\
      581013894981/128524325764686340909627150691989760980721166316822840711367\
      88480000000000*ep^7+220524995670429924524931619569311935378022620903145173
      /168719023404334347165703945799402638829831903870746015915441077092352000\
      0000000000*ep^8;
Fill mncpoch(19,15) = 1/1395369998222946729984000000+6786821/
      5698802702342372280993054720000000*ep+6414896199989/598483700757834063052\
      0658122506240000000*ep^2+7917927319201484899/1140652479209158972107184439\
      8317132840960000000*ep^3+11407222563588671298837120031/314449828466976583\
      29923691332438349227847843840000000000*ep^4+
      426490180342842088866751065140089/262089439886818311085866835299969006764\
      2220858572800000000000*ep^5+61460857526770605266414768298646940834171/
      944087719373908010442698115795893525450440488311856090316800000000000*
      ep^6+3676358378390755801034004158616892097422989973/154229190917623609091\
      552580830387713176865399580187408853641461760000000000*ep^7+8237878328765\
      15020806103946967154301874404603047647673/1012314140426006082994223674796\
      41583297899142322447609549264646255411200000000000000*ep^8;
Fill mncpoch(19,16) = 1/66977759914701443039232000000+8148181/
      273542529712433869487666626560000000*ep+9267281033573/2872721763637603502\
      64991589880299520000000*ep^2+41416329948615369689/16425395700611889198343\
      45593357667129098240000000*ep^3+24093292924829250726795954031/
      1509359176641487599836337183957040762936696504320000000000*ep^4+
      2557031623473562434471511531976501/29354017267323650841617085553596528757\
      5928736160153600000000000*ep^5+193044191107999031795357544599330752205579/
      45316210529947584501249509558202889221621143438969092335206400000000000*
      ep^6+70942319893310891390155610176233443051632355353/37015005820229666181\
      972619399293051162447695899244978124873950822400000000000*ep^7+
      3928081866768013006256533137058777302927733208584221673/
      4859107874044829198372273639022795998299158831477485258364703020259737600\
      000000000000*ep^8;
Fill mncpoch(19,17) = 1/2277243837099849063333888000000+10190221/93004460102227\
      51562580665303040000000*ep+14618125319789/9767253996367851909009714055930\
      183680000000*ep^2+83207445227846071073/5584634538208042327436775017416068\
      2389340160000000*ep^3+62323702501770178695925461031/513182120058105783944\
      35464254539385939847681146880000000000*ep^4+
      319162535360951652254196420838183/369643180403334862449992929193437769540\
      058408497971200000000000*ep^5+858212753688871384631081484547427071719971/
      1540751158018217873042483324978898233535118876924949139397017600000000000
      *ep^6+421443274201875475844566337117279038558642271521/125851019788780865\
      0187069059575963739523221660574329256245714327961600000000000*ep^7+
      31590354055556513614266333806425621556801335984408098673/
      1652096677175241927446573037267750639421714002702344987843999026888310784\
      00000000000000*ep^8;
Fill mncpoch(20,0) = 1;
Fill mncpoch(20,1) = 1/19+1/361*ep+1/6859*ep^2+1/130321*ep^3+1/2476099*ep^4+1/
      47045881*ep^5+1/893871739*ep^6+1/16983563041*ep^7+1/322687697779*ep^8;
Fill mncpoch(20,2) = 1/684+37/233928*ep+1027/80003376*ep^2+25345/27361154592*
      ep^3+586531/9357514870464*ep^4+13033657/3200270085698688*ep^5+281651707/
      1094492369308951296*ep^6+5963602465/374316390303661343232*ep^7+
      124328407411/128016205483852179385344*ep^8;
Fill mncpoch(20,3) = 1/34884+971/202815576*ep+628885/1179169758864*ep^2+
      339598655/6855692978035296*ep^3+165130395661/39858998974297210944*ep^4+
      74980524443111/231740220036563984428416*ep^5+32441726871224245/
      1347337639292583005466810624*ep^6+13542167311746320735/
      7833421034847077593784036967936*ep^7+5498706033742204486621/
      45543509896600909130260390931579904*ep^8;
Fill mncpoch(20,4) = 1/2232576+10675/103841574912*ep+71280865/4829879332306944*
      ep^2+381087985915/224647347504260579328*ep^3+1784196875682361/
      10448797427118168065703936*ep^4+7643622142560484675/
      485994465930120233072021471232*ep^5+30724413617353537431505/
      22604574599341752280645862669942784*ep^6+117715853647810153335431755/
      1051383973764583582077400364504378769408*ep^7+
      434452965402780368734309738921/489019713877383115695840457538276653227048\
      96*ep^8;
Fill mncpoch(20,5) = 1/167443200+68879/38940590592000*ep+2849921641/
      9056023748075520000*ep^2+91821183361439/2106068882852442931200000*ep^3+
      2538718674137225881/489787379396164128079872000000*ep^4+
      63246613519325064668399/113904952952371929626255032320000000*ep^5+
      1460644458774764824986123721/26489735858603615953881870316339200000000*
      ep^6+31842382755079122075915468029759/61604529712768569262347677607678443\
      52000000000*ep^7+663392491845207790201833158099399161/1432674943000145846\
      765157590444169882501120000000000*ep^8;
Fill mncpoch(20,6) = 1/14065228800+598433/22897067268096000*ep+209231949649/
      37274593747078840320000*ep^2+55824156998159297/
      60680056652744585733734400000*ep^3+12586696512349442395441/
      98782277826135966007660904448000000*ep^4+2526566903875289523623661473/
      160809645718723261783191339568988160000000*ep^5+
      465632559513010972701751825732369/261785238458423972322092845511147205427\
      200000000*ep^6+80367325441439041337525354583791683457/4261654253912375530\
      22581385064506758659047424000000000*ep^7+13169438302712277440890766222647\
      871335111921/693763219302903437316520688374211842556236482478080000000000
      *ep^8;
Fill mncpoch(20,7) = 1/1279935820800+9407549/27087230578157568000*ep+
      50674936658761/573245977236325485281280000*ep^2+205140415810486182629/
      12131581686413266791988317388800000*ep^3+693440824795419090681592081/
      256740177966296508588177081366478848000000*ep^4+
      2066962792941526519197177519796109/54333821166936143593912480458755372010\
      70080000000*ep^5+5612369498835806831267039256237912043801/114986448400302\
      292943222606744942158764758060236800000000*ep^6+1417941904125145684658765\
      0996046902148204707189/24334536080376614134657022976389411082522242384689\
      88928000000000*ep^7+33825675247470573962106828422527667558411486860141921/
      51499081368756706986718119096841005116297491469749673923706880000000000*
      ep^8;
Fill mncpoch(20,8) = 1/122873838796800+11171129/2600374135503126528000*ep+
      70376116340581/55031613814687246587002880000*ep^2+329254327066408022609/
      1164631841895673612030878469324800000*ep^3+1274107170923194951194372301/
      24647057084764464824464999811181969408000000*ep^4+
      4313952717438254671224548622393689/52160468320258697850155981240405157130\
      2727680000000*ep^5+13220370232255564004345228715718974090421/
      11038699046429020122549370247514447241416773782732800000000*ep^6+
      37494599575452724413370809454514570474589374369/2336115463716154956927074\
      20573338346392213526893022937088000000000*ep^7+99950401166747489683039320\
      560320473755987815709822941/494391181140064387072493943329673649116455918\
      1095968696675860480000000000*ep^8;
Fill mncpoch(20,9) = 1/12164510040883200+144045379/2831807433562904788992000*ep
      +11563936671172141/659223701886138526865707499520000*ep^2+
      682964638539938251189939/153462373174751016183696825024459571200000*ep^3+
      33107756416321668892839436318381/3572489871502561642000421416131600619615\
      0272000000*ep^4+1395424523824507178967790057413570374899/8316490627611523\
      711990816225401006051377683963576320000000*ep^5+5295200568974199167131002\
      0002288914759772858221/19360171434176932904150448056006372252757025767518\
      78288179200000000*ep^6+18512848518351568231194987511561823683343569007284\
      14259/4506903870200919703705417428104746773032275086406662315136537067520\
      00000000*ep^7+60603923417598436739420380725078830969488676941031268167535\
      661/104917368961797981218002560895711994944592227998882812139616121348287\
      365120000000000*ep^8;
Fill mncpoch(20,10) = 1/1216451004088320000+33464927/56636148671258095779840000
      *ep+15459129684443701/65922370188613852686570749952000000*ep^2+
      208568335200260476871279/3069247463495020323673936500489191424000000*ep^3
      +57384334759425043431682350760501/357248987150256164200042141613160061961\
      5027200000000*ep^4+546257828615772235565008402289813568431/16632981255223\
      0474239816324508020121027553679271526400000000*ep^5+116534384861495429218\
      360696197566696018666694901/193601714341769329041504480560063722527570257\
      675187828817920000000000*ep^6+9128237259656866925447194596555128124054159\
      34000537583/9013807740401839407410834856209493546064550172813324630273074\
      135040000000000*ep^7+1668532094157437753971294594725906038258169435114193\
      60828926901/1049173689617979812180025608957119949445922279988828121396161\
      2134828736512000000000000*ep^8;
Fill mncpoch(20,11) = 1/120428649404743680000+2575873/
      373798581230303432146944000*ep+20456163600317701/652631464867277141597050\
      4245248000000*ep^2+104797168713396265839349/10128516629533567068123990451\
      6143316992000000*ep^3+98044336735330748463653354832901/353676497278753602\
      558041720197028461341887692800000000*ep^4+3901695014800776788641589261496\
      3791437/609875979358178405545993189862740443767696823995596800000000*ep^5
      +252777220486702037010828869195404425757546325701/19166569719835163575108\
      943575446308530229455509843595052974080000000000*ep^6+7401609180388126986\
      47985006417788244930910114878176117/2974556554332607004445575502549132870\
      20130155702839712799011446456320000000000*ep^7+45402646761941942119508440\
      6948612862284772924798727204841076101/10386819527218000140582253528675487\
      49951463057188939840182199601348044914688000000000000*ep^8;
Fill mncpoch(20,12) = 1/11561150342855393280000+14819303/
      179423318990545647430533120000*ep+26924582630540851/626526206272586055933\
      168407543808000000*ep^2+157029189692522423246587/972337596435222438539903\
      0833549758431232000000*ep^3+166585387478920575522984290444251/
      33952943738760345845572005138914732288821218508800000000*ep^4+22477262491\
      5717378138883377323504506457/17564428205515538079724603868046924780509668\
      5310731878400000000*ep^5+547107566079481220911421539531192588299392600251/
      1839990693104175703210458583242845618902027728944985125085511680000000000
      *ep^6+360303135112781867876089256994570186458251439404780111/
      5711148584318605448535504964894335110786498989494522485741019771961344000\
      000000*ep^7+1240362928859391731299364853113586922959401228261761313685833\
      851/997134674612928013495896338752846799953404534901382246574911617294123\
      11810048000000000000*ep^8;
Fill mncpoch(20,13) = 1/1052064681199840788480000+136291/
      130620176225117231329428111360*ep+722918946514099/11635486687919455324473\
      12756867072000000*ep^2+235564594067231841654859/8848272127560524190713118\
      05853028017242112000000*ep^3+284094712260931388092304139835051/
      3089717880227191471947052467641240638282730884300800000000*ep^4+207012112\
      16649520775829064379093487461/7611252222390066501213995009487000738220856\
      36346504806400000000*ep^5+11976844398997963570755101321250803507248947718\
      51/1674391530724799889921517310750989513200845233339936463827815628800000\
      00000*ep^6+4456868312101430648354561684623667075633601098641140827/
      2598572605864965479083654759026922475407857040220007731012163996242411520\
      000000000*ep^7+4948046379871491310916189184778969364812796515184609104565\
      00893/1296275076996806417544665240378700839939425895371796920547385102482\
      360053530624000000000000*ep^8;
Fill mncpoch(20,14) = 1/88373433220786626232320000+19622959/
      1371511850363730928958995169280000*ep+6691889361450493/684166617249663973\
      079019901037838336000000*ep^2+39636503525768697284027/8258387319056489244\
      665576854628261494259712000000*ep^3+491704082578217610786112219715251/
      259536301939084083643552407281864213615749394281267200000000*ep^4+
      368001459911488032779259477943263214661/575410668012689027491778022717217\
      255809496741077957633638400000000*ep^5+2696874473789118126876345385681906\
      474383259909651/140648888580883190753407454103083119108870999600554662961\
      53651281920000000000*ep^6+11432560676012782969442886637702315451769751048\
      785863011/218280098892657100243026999758261487934259991378480649405021775\
      684362567680000000000*ep^7+1445310019102987109727694402113794983604507107\
      664727318363643093/108887106467731739073751880191810870554911775211230941\
      325980348608518244496572416000000000000*ep^8;
Fill mncpoch(20,15) = 1/6628007491558996967424000000+113634299/
      514316943886399098359623188480000000*ep+1791861632884649/1026249925874495\
      9596185298515567575040000000*ep^2+36759343878994477827661/371627429357542\
      016009950958458271767241687040000000*ep^3+
      876782662026233073157512154812451/194652226454313062732664305461398160211\
      81204571095040000000000*ep^4+3783897589621264775867769177810666436777/
      215779000504758385309416758518956470928561277904234112614400000000000*
      ep^5+1279299988357065097769419812185359092380304604391/210973332871324786\
      130111181154624678663306499400831994442304769228800000000000*ep^6+
      1251466478500808327301431539623689785096090315114016203/
      6548402966779713007290809992747844638027799741354419482150653270530877030\
      40000000000*ep^7+65238931693979632064755553669034854110426944973771388799\
      7637299/11666475692971257757901987163408307559454833058346172284926465922\
      34124048177561600000000000000*ep^8;
Fill mncpoch(20,16) = 1/424192479459775805915136000000+133033679/32916284408729\
      542295015884062720000000*ep+2455488433612397/6567999525596774141558591049\
      96324802560000000*ep^2+19662996236659528938043/79280518262942296748789537\
      80443131034489323520000000*ep^3+1649218782291627541449949696825951/
      1245774249307603601489051554952948225355597092550082560000000000*ep^4+
      8354443569737343846589672770612297481117/13809856032304536659802672545213\
      214139427921785870983207321600000000000*ep^5+3321394909630494639499669865\
      710145065396621598387/135022933037647863123271155938959794344516159616532\
      47644307505230643200000000000*ep^6+19143932788901566656430578818010463721\
      231234196233441027/209548894936950816233305919767931028416889591723341423\
      428820904656988064972800000000000*ep^7+1650395322499732948550016082467109\
      1456799204078076653718530851593/52265811104511234755400902492069217866357\
      6521013908518364705673320887573583547596800000000000000*ep^8;
Fill mncpoch(20,17) = 1/21633816452448566101671936000000+158899519/167873050484\
      5206657045810087198720000000*ep+3512363456777501/334967975805435481219488\
      14354812564930560000000*ep^2+304157289802731019494563/3638975788269051420\
      769439785223397144830599495680000000*ep^3+
      3419357635687618766938680368107951/63534486714687783675941629302600359493\
      135451720054210560000000000*ep^4+6996460118839792568226709790805116460079/
      234767552549177123216645433268624640370274670359806714524467200000000000*
      ep^5+2032407026008299343034169136508042531424864017959/
      1377233916984008203857365790577389902314064828088631259719365533525606400\
      00000000*ep^6+71713847738508076135457512235865650552261738906518061587/
      1068699364178449162789860190816448244926136917789041259486986613750639131\
      3612800000000000*ep^7+108752842374983458572388296303706092938929597612047\
      97594012260799/3807937666185818532179208610136471587406057510244190633799\
      998477052180893251561062400000000000000*ep^8;
Fill mncpoch(20,18) = 1/778817392288148379660189696000000+197698279/60434298174\
      427439653649163139153920000000*ep+5484764391463397/1205884712899567732390\
      157316773252337500160000000*ep^2+602080169996039164077371/131003128377685\
      851147699832268042297213901581844480000000*ep^3+
      8675349539385611774407351611598951/22872415217287602123338986548936129417\
      52876261921951580160000000000*ep^4+23024688913827073458150756334330874369\
      639/845163189177037643579923559767048705332988813295304172288081920000000\
      0000*ep^5+43929885665398066829245940510472343485868209330587/
      2479021050571214766943258423039301824165316690559536267494857960346091520\
      0000000000*ep^6+412598865890352056009832357603884438861414547995959196011/
      3847317711042416986043496686939213681734092904040548534153151809502300872\
      90060800000000000*ep^7+59068027311094414110670177007747136041463738537783\
      8284380991958593/95960029187882627010916056975439084002632649258153603971\
      7599616217149585099393387724800000000000000*ep^8;
Fill mncpoch(21,0) = 1;
Fill mncpoch(21,1) = 1/20+1/400*ep+1/8000*ep^2+1/160000*ep^3+1/3200000*ep^4+1/
      64000000*ep^5+1/1280000000*ep^6+1/25600000000*ep^7+1/512000000000*ep^8;
Fill mncpoch(21,2) = 1/760+39/288800*ep+1141/109744000*ep^2+29679/41702720000*
      ep^3+723901/15847033600000*ep^4+16954119/6021872768000000*ep^5+386128261/
      2288311651840000000*ep^6+8616436959/869558427699200000000*ep^7+
      189312302221/330432202525696000000000*ep^8;
Fill mncpoch(21,3) = 1/41040+541/140356800*ep+195211/480020256000*ep^2+58726081/
      1641669275520000*ep^3+15907469851/5614508922278400000*ep^4+4023543044521/
      19201620514192128000000*ep^5+969677567613091/65669542158537077760000000*
      ep^6+225450888711838561/224589834182196805939200000000*ep^7+
      50984942710824393931/768097232903113076312064000000000*ep^8;
Fill mncpoch(21,4) = 1/2790720+12617/162252460800*ep+99566119/9433358070912000*
      ep^2+629037362933/548455438242823680000*ep^3+3479915570656231/
      31887199179437768755200000*ep^4+17614167008208763517/
      1853921760292511875427328000000*ep^5+83646110364087120543919/
      107787011143406640437344849920000000*ep^6+378580915945864466771172533/
      6266736827877662075027229574348800000000*ep^7+
      1650405326028848453565898553431/36434807917280727304208312745263923200000\
      0000*ep^8;
Fill mncpoch(21,5) = 1/223257600+65003/51920787456000*ep+2537876509/
      12074698330767360000*ep^2+77146426286027/2808091843803257241600000*ep^3+
      2012181692155397581/653049839194885504106496000000*ep^4+
      47283967911884477681243/151873270603162572835006709760000000*ep^5+
      1029886941650541728844759229/35319647811471487938509160421785600000000*
      ep^6+21172076423747667452337466174187/82139372950358092349796903476904591\
      36000000000*ep^7+415897094265798958672619798439462061/1910233257333527795\
      686876787258893176668160000000000*ep^8;
Fill mncpoch(21,6) = 1/20093184000+80507/4672870871040000*ep+3786057037/
      1086722849769062400000*ep^2+5433818183507/10109130637691726069760000*ep^3
      +4118329620082710781/58774485527539695369584640000000*ep^4+
      111134550341646825629867/13668594354284631555150603878400000000*ep^5+
      2752917010147434113410217197/3178768303032433914465824437960704000000000*
      ep^6+2554132069962939437865978943859/295701742621289132459268852516856528\
      89600000000*ep^7+1405878684583434284789473237079210461/171920993160017501\
      611818910853300385900134400000000000*ep^8;
Fill mncpoch(21,7) = 1/1969132032000+679829/3205589417533440000*ep+264567310933/
      5218443124591037644800000*ep^2+15471775567772353/
      1699041586276848400544563200000*ep^3+18883399732921434619381/138295188956\
      59035241072526622720000000*ep^4+4063600108536162615902797349/225133504006\
      21256649646787539658342400000000*ep^5+796393353947420464985775918751573/
      36649933384179356125092998371560608759808000000000*ep^6+29038111775868655\
      501101514253298943873/119326319109546514846322787818061892424533278720000\
      00000*ep^7+24987369033255302856729060493455475512545461/97126850702406481\
      224312896372389657957873107546931200000000000*ep^8;
Fill mncpoch(21,8) = 1/204789731328000+10465697/4333956892505210880000*ep+
      61749193007917/91719356357812077645004800000*ep^2+54096040178685508069/
      388210613965224537343626156441600000*ep^3+979648908410397655642573141/
      41078428474607441374108333018636615680000000*ep^4+
      3103576326078171977720055003798977/86934113867097829750259968734008595217\
      1212800000000*ep^5+8896412581122772353147560018397791958397/1839783174404\
      8366870915617079190745402361289637888000000000*ep^6+471862804422827123330\
      5207066878897782679715189/77870515457205165230902473524446115464071175631\
      007645696000000000*ep^7+5879070938619085770700401965954652721314636319919\
      1781/82398530190010731178748990554945608186075986351599478277931008000000\
      00000*ep^8;
Fill mncpoch(21,9) = 1/22117290983424000+12229277/468067344390562775040000*ep+
      83316501339577/9905690486643704385660518400000*ep^2+83483103265175749201/
      41926746308244250033111624895692800000*ep^3+1715794564692390894522071041/
      4436470275257603668403699966012754493440000000*ep^4+
      6129517304478378711481289050285757/93888842976465656130280766232729282834\
      490982400000000*ep^5+19706306708954751481141731761700747288457/
      1986965828357223622058886644552600503455019280891904000000000*ep^6+
      11669357721383955356727594126938938563275114401/8410015669378157844937467\
      140640180470119686968148825735168000000000*ep^7+1616899388375824376470922\
      71911481393570249994475769681/8899041260521158967304890979934125684096206\
      52597274365401654886400000000000*ep^8;
Fill mncpoch(21,10) = 1/2432902008176640000+155685007/
      566361486712580957798400000*ep+13376052237829537/
      131844740377227705373141499904000000*ep^2+33546276427873663571287/
      1227698985398008129469574600195676569600000*ep^3+
      42869410876462125767012740349281/7144979743005123284000842832263201239230\
      054400000000*ep^4+1894408519005680278985033026339791282367/16632981255223\
      04742398163245080201210275536792715264000000000*ep^5+75002216130999040005\
      632021996598286884167697697/387203428683538658083008961120127445055140515\
      350375657635840000000000*ep^6+1089713098710233966856869356833761477241339\
      19661518039/3605523096160735762964333942483797418425820069125329852109229\
      654016000000000*ep^7+9231356115688444465736610212043943455903781311708016\
      5398772961/20983473792359596243600512179142398988918445599776562427923224\
      269657473024000000000000*ep^8;
Fill mncpoch(21,11) = 1/267619220899430400000+178964263/
      62299763538383905357824000000*ep+3508441426211573/29005842882990095182091\
      12997888000000*ep^2+249405288261152635886123/6752344419689044712082660301\
      07622113280000000*ep^3+71899258642387961096351961171721/78594777173056356\
      1240092711548952136315305984000000000*ep^4+356816976715204207666505099655\
      8344401943/182962793807453521663797956958822133130309047198679040000000000
      *ep^5+31613310718398363686217874079707021030633138421/8518475431037850477\
      826197144642803791213091337708264467988480000000000*ep^6+1280790902576256\
      401661004240894144886190162269693484971/198303770288840466963038366836608\
      8580134201038018931418660076309708800000000000*ep^7+241392857674603106136\
      892816824741773092596073905758556259080841/230818211715955558679605633970\
      5663888781029015975421867071554669662322032640000000000000*ep^8;
Fill mncpoch(21,12) = 1/28902875857138483200000+68276701/
      2242791487381820592881664000000*ep+4568061960487877/313263103136293027966\
      584203771904000000*ep^2+122520682680406128102601/243084399108805609634975\
      77083874396078080000000*ep^3+119435764265920301764172676919321/
      84882359346900864613930012847286830722053046272000000000*ep^4+73971957065\
      9117117205428798902799366287/21955535256894422599655754835058655975637085\
      66384148480000000000*ep^5+13210710645113143179406447455713718431899764673/
      183999069310417570321045858324284561890202772894498512508551168000000000*
      ep^6+996440513913407706179698855061211840004337771680278857/
      7138935730398256810669381206117918888483123736868153107176274714951680000\
      0000000*ep^7+627999421210632769879059344322689207987463075529337917317254\
      041/249283668653232003373974084688211699988351133725345561643727904323530\
      779525120000000000000*ep^8;
Fill mncpoch(21,13) = 1/3005899089142402252800000+77976391/
      233250314687709341659693056000000*ep+5929486236521699/3257936272617447490\
      8524757192278016000000*ep^2+180034861033933286675911/25280777507315783402\
      03748016722937192120320000000*ep^3+198018469620920758028858699460871/
      8827765372077689919848721336117830395093516812288000000000*ep^4+137995882\
      7191566739687075611760671309617/22833756667170199503641985028461002214662\
      5690903951441920000000000*ep^5+138333486542783263039119021658018467993464\
      984507/956795160414171365669438463286279721829054419051392265044466073600\
      00000000*ep^6+2338232449997577094847611238247276993815870147252981687/
      7424493159614187083096156454362635644022448686342879231463325703549747200\
      000000000*ep^7+1648605267291897705579568525640852066274026663416710244598\
      220391/259255015399361283508933048075740167987885179074359384109477020496\
      47201070612480000000000000*ep^8;
Fill mncpoch(21,14) = 1/294578110735955420774400000+89061751/
      22858530839395515482649919488000000*ep+1100941866605621/45611107816644264\
      8719346600691892224000000*ep^2+265465219546700294335831/24775161957169467\
      7339967305638847844827791360000000*ep^3+330443458297860188895697838498071/
      865121006463613612145174690939547378719164647604224000000000*ep^4+
      371569579831022268697049515535951917591/319672593340382793050987790398454\
      0310052759672655320186880000000000*ep^5+588062054430723474927416519522183\
      40414543449167/1875318514411775876712099388041108254784946661340728839487\
      153504256000000000*ep^6+5597672237849659484858304232672492504304686995542\
      457287/727600329642190334143423332527538293114199971261602164683405918947\
      875225600000000000*ep^7+6344221148039296089425238341474682048731974128425\
      00612656292113/3629570215591057969125062673060362351830392507041031377532\
      67828695060814988574720000000000000*ep^8;
Fill mncpoch(21,15) = 1/26512029966235987869696000000+101994671/205726777554559\
      6393438492753920000000*ep+1440136160440589/410499970349798383847411940622\
      70300160000000*ep^2+131947126603765803454997/7432548587150840320199019169\
      165435344833740800000000*ep^3+560815778698370791596289811665471/
      77860890581725225093065722184559264084724818284380160000000000*ep^4+
      2150849539585028745812789751048513353533/86311600201903354123766703407582\
      5883714245111616936450457600000000000*ep^5+644522266561735863051652284582\
      933977506909725971/843893331485299144520444724618498714653225997603327977\
      769219076915200000000000*ep^6+1393322714951126446283627909700081100068334\
      9928747322607/65484029667797130072908099927478446380277997413544194821506\
      532705308770304000000000000*ep^7+1792833406659726038635624645527935031632\
      211262588538763666793513/326661319403195217221255640575432611664735325633\
      69282397794104582555473348971724800000000000000*ep^8;
Fill mncpoch(21,16) = 1/2120962397298879029575680000000+4700567/658325688174590\
      8459003176812544000000*ep+1909103457032669/328399976279838707077929552498\
      1624012800000000*ep^2+201079916992041251032741/59460388697206722561592153\
      3533234827586699264000000000*ep^3+982104956468853833677919602528111/
      6228871246538018007445257774764741126777985462750412800000000000*ep^4+
      24732839655047676871730070400369814083/3945673152087010474229335012918061\
      18269369193882028091637760000000000*ep^5+14908925622888415093420089880528\
      34130671436230531/6751146651882393156163557796947989717225807980826623822\
      1537526153216000000000000*ep^6+370711402335231894224356249551227225029752\
      27194218099231/5238722373423770405832647994198275710422239793083535585720\
      522616424701624320000000000000*ep^7+5491355822551523646498643460600608039\
      762444443355816700089016953/261329055522556173777004512460346089331788260\
      5069542591823528366604437867917737984000000000000000*ep^8;
Fill mncpoch(21,17) = 1/144225443016323774011146240000000+27382711/223830733979\
      3608876061080116264960000000*ep+2592084677757329/223311983870290320812992\
      095698750432870400000000*ep^2+318411200189355854830121/404330643141005713\
      41882664280259968275895549952000000000*ep^3+
      1815997238747320968392957220400411/42356324476458522450627752868400239662\
      0903011467028070400000000000*ep^4+1872198545452668789019780076649838497053
      /939070210196708492866581733074498561481098681439226858097868800000000000
      *ep^5+3779020496465907922039085085124472799077917940351/
      4590779723280027346191219301924633007713549426962104199064551778418688000\
      000000000*ep^6+110381794872253994247082211373784717631951406927904481611/
      3562331213928163875966200636054827483087123059296804198289955379168797104\
      53760000000000000*ep^7+19257102575608780945250540165688712311058393986756\
      862973141310253/177703757755338198168363068473035340745616017144728896243\
      999928929101775018406182912000000000000000*ep^8;
Fill mncpoch(21,18) = 1/7788173922881483796601896960000000+32555879/12086859634\
      8854879307298326278307840000000*ep+3674765594251649/120588471289956773239\
      01573167732523375001600000000*ep^2+1620589892856994073881483/
      6550156418884292557384991613402114860695079092224000000000*ep^3+
      3702303588088847790211455041232811/22872415217287602123338986548936129417\
      528762619219515801600000000000*ep^4+2194423691588781637301433536686607339\
      77/2414751969077250410228353027905853443808539466558011920823091200000000\
      000*ep^5+11288449477143071208076450493848872632073685174991/
      2479021050571214766943258423039301824165316690559536267494857960346091520\
      00000000000*ep^6+402367022896120331223794387615600641313548215874593689051
      /192365885552120849302174834346960684086704645202027426707657590475115043\
      64503040000000000000*ep^7+86162852089584828069275560456165833188931716741\
      670651426017210653/959600291878826270109160569754390840026326492581536039\
      7175996162171495850993933877248000000000000000*ep^8;
Fill mncpoch(21,19) = 1/295950609069496384270872084480000000+40315631/459300666\
      1256485413677336398575697920000000*ep+5685875368931369/458236190901835738\
      308259780373835888250060800000000*ep^2+3164824289660551569998563/
      248905943917603117180629681309280364706413005504512000000000*ep^3+
      9227910200640807772651340119417411/86915177825692888068688148885957291786\
      6092979530341600460800000000000*ep^4+164864004605711110259964848862893050\
      3757/21410800792484953637358063514098567201769049936814372364631408640000\
      0000000*ep^5+47556711908537510787153661623430506914067600903431/
      9420279992170616114384382007549346931828203424126237816480460249315147776\
      000000000000*ep^6+2247508474624609163251980388064291255750797687102596234\
      611/730990365098059227348264370518450599529477651767704221489098843805437\
      165851115520000000000000*ep^7+6467377643355396203330824600353941967730491\
      26337412465820433597253/3646481109139539826414810165066685192100040671809\
      83695092687854162516842337769487335424000000000000000*ep^8;
Fill mncpoch(22,0) = 1;
Fill mncpoch(22,1) = 1/21+1/441*ep+1/9261*ep^2+1/194481*ep^3+1/4084101*ep^4+1/
      85766121*ep^5+1/1801088541*ep^6+1/37822859361*ep^7+1/794280046581*ep^8;
Fill mncpoch(22,2) = 1/840+41/352800*ep+1261/148176000*ep^2+34481/62233920000*
      ep^3+884101/26138246400000*ep^4+21766121/10978063488000000*ep^5+521088541/
      4610786664960000000*ep^6+12222859361/1936530399283200000000*ep^7+
      282280046581/813342767698944000000000*ep^8;
Fill mncpoch(22,3) = 1/47880+1199/382082400*ep+958801/3049017552000*ep^2+
      639201599/24331160064960000*ep^3+383681598001/194162657318380800000*ep^4+
      215041341602399/1549418005400678784000000*ep^5+114832432963357201/
      12364355683097416696320000000*ep^6+59155290397179523199/
      98667558351117385236633600000000*ep^7+29639342933140229756401/
      787367115641916734188336128000000000*ep^8;
Fill mncpoch(22,4) = 1/3447360+4927/82529798400*ep+15182119/1975763373696000*
      ep^2+37450661443/47299775166282240000*ep^3+80887589157271/
      1132356617480796825600000*ep^4+159835539588553387/
      27108617422490276004864000000*ep^5+296294111283063404239/
      648980301094417207556444160000000*ep^6+523443788105105944874083/155365884\
      08200347948901273190400000000*ep^7+890643967164123954114277351/3719459264\
      92316329896696480178176000000000*ep^8;
Fill mncpoch(22,5) = 1/293025600+107699/119255558688000*ep+6965946451/
      48534627274842240000*ep^2+350759857706399/19752622608315294835200000*ep^3
      +15153003327495623251/8038922349132158692029696000000*ep^4+
      589706509393829867034599/3271680617649805944482245678080000000*ep^5+
      21269393390276908468002055051/1331508577771118023285384346064998400000000
      *ep^6+723978507164371546668011568232799/541897360981289613116685721161533\
      048832000000000*ep^7+23544961742741952168391209739069226851/2205413879721\
      65246746228754798320720213647360000000000*ep^8;
Fill mncpoch(22,6) = 1/28130457600+532541/45794134536192000*ep+165638527261/
      74549187494157680640000*ep^2+39301522849379981/
      121360113305489171467468800000*ep^3+7877902294149045719101/
      197564555652271932015321808896000000*ep^4+1405396634537476440533360621/
      321619291437446523566382679137976320000000*ep^5+
      230111515907589757527003193872541/523570476916847944644185691022294410854\
      400000000*ep^6+35274360047398783300193641494487862861/8523308507824751060\
      45162770129013517318094848000000000*ep^7+51320323757949257841858883753163\
      08457699581/1387526438605806874633041376748423685112472964956160000000000
      *ep^8;
Fill mncpoch(22,7) = 1/2953698048000+641069/4808384126300160000*ep+235212463693/
      7827664686886556467200000*ep^2+12965732221810777/
      2548562379415272600816844800000*ep^3+14913627226992445750381/207442783434\
      88552861608789934080000000*ep^4+3023942770228512592930709789/337700256009\
      31884974470181309487513600000000*ep^5+558293976874949772212587265853133/
      54974900076269034187639497557340913139712000000000*ep^6+19172977753936666\
      435776262456599336217/178989478664319772269484181727092838636799918080000\
      00000*ep^7+15536057024191118458895519434765372262492461/14569027605360972\
      1836469344558584486936809661320396800000000000*ep^8;
Fill mncpoch(22,8) = 1/330814181376000+757349/538539022145617920000*ep+
      323277005413/876698444931294324326400000*ep^2+4096772451939101/
      57087797298902106258297323520000*ep^3+26822944744779412357381/23233591744\
      70717920500184472616960000000*ep^4+877559255021637523120996067/5403204096\
      14910159591522900951800217600000000*ep^5+
      1272592108092361850532153224548453/61571888085421318290156237264221822716\
      47744000000000*ep^6+9753675963946526726350403569339631837/400936432208076\
      289883644567068687958546431816499200000000*ep^7+4388999305138367165239614\
      2610835682012651461/16317310918004288845684566590561462536922682067884441\
      600000000000*ep^8;
Fill mncpoch(22,9) = 1/38705259220992000+11473457/819117852683484856320000*ep+
      73311684034237/17334958351626482674905907200000*ep^2+68872156719154043893/
      73371806039427437557945343567462400000*ep^3+1326681931686871052010621541/
      7763822981700806419706474940522320363520000000*ep^4+
      634364758507847592727754138279591/234722107441164140325701915581823207086\
      22745600000000*ep^5+13371424584359851783478810591146276341517/
      3477190199625141338603051627967050881046283741560832000000000*ep^6+
      7413665412055168079968928299145612071865149573/14717527421411776228640567\
      496120315822709452194260445036544000000000*ep^7+9614668666445443862835145\
      5573281437320860478867624181/15573322205912028192783559214884719947168361\
      42045230139452896051200000000000*ep^8;
Fill mncpoch(22,10) = 1/4644631106519040000+13237037/98294142322018182758400000
      *ep+96656257746697/2080195002195177920988708864000000*ep^2+
      20592873065307604589/1760923344946258501390688245619097600000*ep^3+
      2234611408699750684537337041/93165875780409677036477699286267844362240000\
      0000*ep^4+1197352756815662780190090832389131/2816665289293969683908422986\
      981878485034729472000000000*ep^5+28152816208414617744692293322440041884377
      /417262823955016960632366195356046105725554048987299840000000000*ep^6+
      3468722826764467678481163046132674777031013501/35322065811388262948737361\
      9906887579745026852662250680877056000000000*ep^7+249080941735086436338746\
      693695748001902769348619963681/186879866470944338313402710578616639366020\
      337045427616734347526144000000000000*ep^8;
Fill mncpoch(22,11) = 1/562000363888803840000+166770367/
      130829503430606201251430400000*ep+15224761793356657/304561350271395999411\
      95686477824000000*ep^2+201485775218089148104739/1417992328134699389537358\
      663226006437888000000*ep^3+54037122642320109361184487954481/1650490320634\
      183478604194694252799486262142566400000000*ep^4+5088631585428469237741087\
      9627160750623/78412625917480080713056267268066628484418163085148160000000\
      00*ep^5+102642779516603254522781939957201679111950482417/8944399202589743\
      0017175070018749439807737459045936776913879040000000000*ep^6+772422981823\
      551594139767879601673779732759878260813219/416437917606564980622380570356\
      8786018281822179839755979186160250388480000000000*ep^7+135126495285822074\
      155432188429545486813529548337466607525642161/484718244603506673227171831\
      3381894166440160933548385920850264806290876268544000000000000*ep^8;
Fill mncpoch(22,12) = 1/67440043666656460800000+190049623/
      15699540411672744150171648000000*ep+3929795123975429/73094724065135039858\
      8696475467776000000*ep^2+292968481936664897505563/17015907937616392674448\
      3039587120772546560000000*ep^3+88137564096995099037413300460121/
      198058838476102017432503363310335938351457107968000000000*ep^4+6493151992\
      41472523961490128706707332929/6586660577068326779896726450517596792691125\
      699152445440000000000*ep^5+41690360550287193487728315978131280310854085637
      /2146655808621538320412201680449986555385699017102482645933096960000000000
      *ep^6+1742943557805988044862128205705482255696891716450459291/
      4997255011278779767468566844282543221938186615807707175023392300466176000\
      00000000*ep^7+33799864166440404430185702445673839698265655169511487328947\
      9641/58166189352420800787260619760582729997281931202580631050203177675490\
      5152225280000000000000*ep^8;
Fill mncpoch(22,13) = 1/7890485108998805913600000+888541/
      7559037975990580516749312000000*ep+5046762087872213/855208271562079966348\
      77487629729792000000*ep^2+141169074206544499803161/6636204095670393143034\
      838543897710129315840000000*ep^3+142909414392614203809242209263721/
      23172884101703936039602893507309304787120481632256000000000*ep^4+39246087\
      8183969706913699067000422691483/25687976250566474441597233157018627491495\
      3902266945372160000000000*ep^5+843259477320246077040101782538965760459823\
      76661/2511587296087199834882275966126484269801267850009904695741723443200\
      00000000*ep^6+436011669965655491532980314976916718694456057109291059/
      6496431514662413697709136897567306188519642600550019327530409990606028800\
      000000000*ep^7+8455000058703043140619610842221523162410679684050052003380\
      84841/6805444154233233692109492511988179409681985950701933832873771788032\
      3902810357760000000000000*ep^8;
Fill mncpoch(22,14) = 1/883734332207866262323200000+27223837/
      22858530839395515482649919488000000*ep+258908043889163/383133305659811824\
      924251144581189468160000*ep^2+203952268312326386289911/743254858715084032\
      019901916916543534483374080000000*ep^3+231931734376801714471699616505271/
      2595363019390840836435524072818642136157493942812672000000000*ep^4+
      713841724557872538605699074603281558053/287705334006344513745889011358608\
      62790474837053897881681920000000000*ep^5+17156889504171166632226292529132\
      4247653454281643/28129777716176638150681490820616623821774199920110932592\
      307302563840000000000*ep^6+9907333684813689024361104729165850159350340441\
      45887949/7276003296421903341434233325275382931141999712616021646834059189\
      47875225600000000000*ep^7+21428238897051859465134807972831288355250781680\
      39297964142919191/7622097452741221735162631613426760938843824264786165892\
      818624402596277114760069120000000000000*ep^8;
Fill mncpoch(22,15) = 1/92792104881825957543936000000+10306319/
      800048579378843041892747182080000000*ep+8323539050744483/1005724927357006\
      040426159254525622353920000000*ep^2+296221695163887248358791/780417601650\
      83823362089701276237071120754278400000000*ep^3+
      54242760036912775158242421356353/3893044529086261254653286109227963204236\
      2409142190080000000000*ep^4+1315142246960663939833873282610142850133/
      3020906007066617394331834619265390592999857890659277576601600000000000*
      ep^5+355262093302186773034430926995975429282348727931/2953626660198547005\
      821556536164745501286290991611647922192266769203200000000000*ep^6+
      2303469434684145291211096879877953744184826475698284669/
      7639803461242998508505944991539152077699099698246822729175762148952689868\
      8000000000000*ep^7+559002026058866792063975985990685173340603375082660745\
      0819607591/80032023253782828219207631940980989857860154780254741874595556\
      2272609097049807257600000000000000*ep^8;
Fill mncpoch(22,16) = 1/8908042068655291924217856000000+105689791/6912419725833\
      20388195333565317120000000*ep+10783918752019979/9654959302627257988091128\
      8434459745976320000000*ep^2+435689253670261475167471/74920089758480470427\
      60611322518758827592410726400000000*ep^3+90466051724909048255960993790553/
      3737322747922810804467154664858844676066791277650247680000000000*ep^4+
      828377485544924889401452112807953851631/966689922261317566186187078164924\
      98975995452501096882451251200000000000*ep^5+76022633586555549905854082761\
      7717396796734125187/28354815937906051255886942747181556812348393519471820\
      0530457609843507200000000000*ep^6+167423546876947958985174744799475909079\
      34898129408310047/2200263396837983570449712157563275798377340713095084946\
      0026194988983746822144000000000000*ep^7+153337592810298480103732175822110\
      22616633256873037036903606733391/7683074232363151509043932666334175026354\
      5748589044552199611733978170473316781496729600000000000000*ep^8;
Fill mncpoch(22,17) = 1/757183575835699813558517760000000+24241859/117511135339\
      16446599320670610391040000000*ep+14169913401481403/8206715407233169289877\
      459516929078407987200000000*ep^2+655599281384205714951583/636820762947083\
      998634651962414094500345354911744000000000*ep^3+
      155874038173876016234622114914473/317672433573438918379708146513001797465\
      677258600271052800000000000*ep^4+326948014371359746510775945955165662419/
      1643372867844239862516518032880372482591922692518647001671270400000000000
      *ep^5+1719225758046118387555592788188808110007280638451/
      2410159354722014356750390133510432329049613449155104704508889683669811200\
      0000000000*ep^6+43423885716594562398660046978614951126425330026971158351/
      1870223887312286034882255333928784428620739606130822204102226574063618479\
      882240000000000000*ep^7+4566003184437029599896465629982714179761956555050\
      7491899690739071/65306130975086787826873427663840487724013886300687869369\
      66997388144490231926427222016000000000000000*ep^8;
Fill mncpoch(22,18) = 1/54517217460170386576213278720000000+5624347/16921603488\
      8396831030217656789630976000000*ep+19079811413200103/59088350932078818887\
      1177085218893645375078400000000*ep^2+1025735793317211529087723/
      45851094932190047901694941293814804024865553645568000000000*ep^3+
      283793856679203461190610776561373/228724152172876021233389865489361294175\
      28762619219515801600000000000*ep^4+138795267772744029848180667679155374467
      /236645692969570540202378596734773637493236867722685168240662937600000000\
      00*ep^5+4263678081976446636035200919697570372976891423151/
      1735314735399850336860280896127511276915721683391675387246400572242264064\
      000000000000*ep^6+1261365970265268017408286029961776038685457779634182047\
      31/1346561198864845945115223840428724788606932516414191986953603133325805\
      30551521280000000000000*ep^7+15577376183747115382093945759746659661971209\
      7285366405261941744171/47020414302062487235348867917965151161289998136495\
      2659461623811946403296698702759985152000000000000000*ep^8;
Fill mncpoch(22,19) = 1/3107481395229712034844156887040000000+11098301/
      16075523314397698947870677395014942720000000*ep+26830617117521783/
      33680360031284926765657093857476937786379468800000000*ep^2+
      1719732242780291164680443/26135124111348327303966116537474438294173365577\
      97376000000000*ep^3+569751621901607388170140710778573/1303727667385393321\
      030322233289359376799139469295512400691200000000000*ep^4+5029349874960654\
      936768060495684299546269/202332067488982811873033700208231460056717521902\
      89581884576681164800000000000*ep^5+12459244709670841970083325422874089675\
      256484133631/989129399177914692010360110792681427841961359533254970730448\
      32617809051648000000000000*ep^6+14946847573590641760142956168405704918479\
      3985175485423257/25584662778432072957189252968145770983531717811869647752\
      11845953319030080478904320000000000000*ep^7+67770099842536423692892716745\
      9109871606323670509415919102150262971/26801636152175617724148854713240136\
      161935298937802301589312557280944987911826057319153664000000000000000*
      ep^8;
Fill mncpoch(22,20) = 1/124299255809188481393766275481600000000+2736977/
      128604186515181591582965419160119541760000000*ep+41166444473571983/
      1347214401251397070626283754299077511455178752000000000*ep^2+
      3316939241963736875821523/10454049644539330921586446614989775317669346231\
      1895040000000000*ep^3+1397064597795747817979670470352373/5214910669541573\
      2841212889331574375071965578771820496027648000000000000*ep^4+317404493636\
      7080931766288877468413327553/16186565399118624949842696016658516804537401\
      7522316655076613449318400000000000*ep^5+512511821399971601363189601708574\
      98202363507931831/3956517596711658768041440443170725711367845438133019882\
      921793304712362065920000000000000*ep^6+2707653047526394966238772560189811\
      34945368348059073733259/3411288370457609727625233729086102797804229041582\
      6197002824612710920401073052057600000000000000*ep^7+493237101897229451132\
      1329857383406693811872327925305296705233593171/10720654460870247089659541\
      8852960544647741195751209206357250229123779951647304229276614656000000000\
      0000000*ep^8;
Fill mncpoch(23,0) = 1;
Fill mncpoch(23,1) = 1/22+1/484*ep+1/10648*ep^2+1/234256*ep^3+1/5153632*ep^4+1/
      113379904*ep^5+1/2494357888*ep^6+1/54875873536*ep^7+1/1207269217792*ep^8;
Fill mncpoch(23,2) = 1/924+43/426888*ep+1387/197222256*ep^2+39775/91116682272*
      ep^3+1069531/42095907209664*ep^4+27613783/19448309130864768*ep^5+
      693269347/8985118818459522816*ep^6+17053014175/4151124894128299540992*
      ep^7+412989171211/1917819701087274387938304*ep^8;
Fill mncpoch(23,3) = 1/55440+661/256132800*ep+291391/1183333536000*ep^2+
      107086321/5467000936320000*ep^3+35432250151/25257544325798400000*ep^4+
      10946228084881/116689854785188608000000*ep^5+3221848034607511/
      539107129107571368960000000*ep^6+914777037744335041/
      2490674936476979724595200000000*ep^7+252612412840041394471/
      11506918206523646327629824000000000*ep^8;
Fill mncpoch(23,4) = 1/4213440+17179/369855763200*ep+184559131/
      32465938893696000*ep^2+1587168260959/2849860116088634880000*ep^3+
      11950283637559051/250160720990260369766400000*ep^4+82314254820268574839/
      21959108088525055258094592000000*ep^5+531866536505869659968371/1927570508\
      010729350555543285760000000*ep^6+3274916740182915229551180319/16920213919\
      3181822391765589624012800000000*ep^7+19420374178053029232574230420091/
      14852563778377500369549183457195843584000000000*ep^8;
Fill mncpoch(23,5) = 1/379209600+66167/99861056064000*ep+2629055389/
      26297410503893760000*ep^2+81316623386963/6925160082095382758400000*ep^3+
      2157635174793551821/1823671656018998095597056000000*ep^4+
      51568566528554926827107/480245693896042958494528727040000000*ep^5+
      1142178833425537561597517869/126467901030583952689949194978713600000000*
      ep^6+23872319243795650133200117781123/33304057057393978101371221005694439\
      424000000000*ep^7+476669105518936286243637248924046541/877029038549413019\
      3215097339639573677916160000000000*ep^8;
Fill mncpoch(23,6) = 1/38679379200+1388179/173159071214976000*ep+1125360065281/
      775195066833780257280000*ep^2+695860890291247759/
      3470377771300130780185958400000*ep^3+363455854283229426496801/15536117799\
      000999474120894845952000000*ep^4+168932454832480049913623239039/
      69551781440211694425754939628460994560000000*ep^5+
      72056093057733715599405381560250721/3113680241159109093713311986299016112\
      26316800000000*ep^6+28770987345755067224777022753826141137919/
      1393926143001627640855388083402370935105750523904000000000*ep^7+
      10901679867349673368141739650079262909470651041/6240300678466826590028584\
      264014066154862721830402949120000000000*ep^8;
Fill mncpoch(23,7) = 1/4332090470400+6671911/77575263904309248000*ep+
      25472930476141/1389149559766134221045760000*ep^2+73044273402884483071/
      24875667864679337432372949811200000*ep^3+174795484267648032213828901/
      445451569532956656921994297023135744000000*ep^4+
      368617065763389910525106433630631/797675470981499881030098251610893454409\
      7280000000*ep^5+707696134081534470005310937858021015261/14284070379922236\
      1495916930033864623953295284633600000000*ep^6+126343383145623399256834071\
      5894695326578699791/25578656238171307339907639761480178848865330573680312\
      32000000000*ep^7+2128481318783287997167061137233358110065316499211221/
      45804006669568218109260689412559694026809333842256219435171840000000000*
      ep^8;
Fill mncpoch(23,8) = 1/519850856448000+7865719/9309031668517109760000*ep+
      34863088744093/166697947171936106525491200000*ep^2+22932821530058531843/
      597016028752304098376950795468800000*ep^3+311682413293428611125969621/
      53454188343954798830639315642776289280000000*ep^4+
      740706024212391333916177974937399/957210565177799857236117901933072145291\
      673600000000*ep^5+1591956911434480943565115533762087440653/17140884455906\
      683379510031604063754874395434156032000000000*ep^6+6327849455964017637687\
      84832204829081985955283/6138877497161113761577833542755242923727679337683\
      2749568000000000*ep^7+5905599970446033981173488552057271093602763021649541
      /5496480800348186173111282729507163283217120061070746332220620800000000000
      *ep^8;
Fill mncpoch(23,9) = 1/65501207912448000+9144799/1172937990233155829760000*ep+
      46560018249013/21003941343663949422211891200000*ep^2+34843619158448041451/
      75224019622790316395495800229068800000*ep^3+534521295259367215421695021/
      6735227731338304652660553770989812449280000000*ep^4+
      203485931793248964545394234628297/172297901732003974302501222347952986152\
      50124800000000*ep^5+3413880410901243142560175537160622327973/
      2159751441444242105818263982112033114173824703660032000000000*ep^6+
      1506110176791514179525958697419110843438696251/77349856464230033395880702\
      63871606083896875965480926445568000000000*ep^7+15537776995098483764913804\
      805531452581730601025294941/692556580843871457812021623917902573685357127\
      694914037859798220800000000000*ep^8;
Fill mncpoch(23,10) = 1/8515157028618240000+136789507/
      1982265203494033352294400000*ep+10318149200673037/
      461456591320296968805995249664000000*ep^2+22701019694796315586507/
      4296946448893028453143511100684867993600000*ep^3+
      25429209808829812008795312240781/2500742910051793149400294991292120433730\
      5190400000000*ep^4+140604889437866859681372877519720600981/83164906276115\
      2371199081622540100605137768396357632000000000*ep^5+341029490865161193140\
      60279501783300475933221197/1355212000392385303290531363920446057692991803\
      726314801725440000000000*ep^6+4332866007230044780959293874413913760162320\
      6191190859/12619330836562575170375168798693290964490370241938654482382303\
      789056000000000*ep^7+3207192991479621950206288012796815744589188830338712\
      2834984461/73442158273258586852601792626998396461214559599217968497731284\
      943801155584000000000000*ep^8;
Fill mncpoch(23,11) = 1/1124000727777607680000+156188887/
      261659006861212402502860800000*ep+13348116771363097/609122700542791998823\
      91372955648000000*ep^2+165294136380390745268507/2835984656269398779074717\
      326452012875776000000*ep^3+41462228625904935088530158869081/3300980641268\
      366957208389388505598972524285132800000000*ep^4+2555108221179822424896200\
      47999959539521/1097776762844721129982787741752932798781854283192074240000\
      00000*ep^5+68800209813170115801218277069169486118483500057/
      178887984051794860034350140037498879615474918091873553827758080000000000*
      ep^6+483579583210585455262332257682716717131553319223107227/
      8328758352131299612447611407137572036563644359679511958372320500776960000\
      000000*ep^7+78977650389515055847597795893192862585829452452738932221580761
      /969436489207013346454343662676378833288032186709677184170052961258175253\
      7088000000000000*ep^8;
Fill mncpoch(23,12) = 1/148368096066644213760000+177351847/
      34538988905680037130377625600000*ep+17101406815350217/8040419647164854384\
      475661230145536000000*ep^2+237677414055787550940971/374349974627560638837\
      862687091665699602432000000*ep^3+66612016658735283633838817039881/
      435729444647424438351507399282739064373205637529600000000*ep^4+4568975998\
      42003450794132266780290969201/1449065326955031891577279819113871294392047\
      6538135379968000000000*ep^5+136485349220036393244345602845233872105417464\
      777/236132138948369215245342184849498521092426891881273091052640665600000\
      00000*ep^6+1061266380436517733017203501520630842333966437298519211/
      1099396102481331548843084705742159508826401055477695578505146306102558720\
      000000000*ep^7+1912753401821290924632665809658981110412296442221942828297\
      03561/1279656165753257617319733634732820059940202486456773883104469908860\
      791334895616000000000000*ep^8;
Fill mncpoch(23,13) = 1/19287852488663747788800000+200631103/
      4490068557738404826949091328000000*ep+4354389924729917/209050910826286213\
      996367191983783936000000*ep^2+339044371837396019642723/486654967015828830\
      48922149321916540948316160000000*ep^3+106075520295544945207058703310321/
      56644827804165176985695961906756078368516732878848000000000*ep^4+80966319\
      8741030084934288346978720969369/18837849250415414590504637648480326827096\
      61949957599395840000000000*ep^5+10736953894437424504022195763807007043799\
      249241/122788712253151991927577936121739230968061983778262007347373146112\
      000000000*ep^6+2311007872280546638066232125859525100165996115743742691/
      1429214933225731013496010117464807361474321372121004252056690197933326336\
      00000000000*ep^7+46026805956629983750068239403243863526717897458921536533\
      9293041/16635530154792349025156537251526660779222632323938060480358108815\
      1902873536430080000000000000*ep^8;
Fill mncpoch(23,14) = 1/2430269413571632221388800000+25166327/
      62860959808337667577287278592000000*ep+5526096662355341/26340414764112062\
      963542266189956775936000000*ep^2+160660501310137764364721/204395086146648\
      1088054730271520494719829278720000000*ep^3+
      168409802613662152072292328769921/713724830332481230019769120025126587443\
      3108342734848000000000*ep^4+477319209524941792099885725621010484963/
      79118966851744741280119478123617372673805801898219174625280000000000*ep^5
      +105539071142681328215940393247262258156972774669/77356888719485754914374\
      099756695715509879049780305064628845082050560000000000*ep^6+1866986888965\
      09594247675251375195966951590695914375913/6669669688386744729648047214835\
      76768688016640323135317626455425702218956800000000000*ep^7+
      1112199045619230490142846331276569479992221887200552009183402241/
      2096076799503835977169723693692359258182051672816195620525121710713976206\
      5590190080000000000000*ep^8;
Fill mncpoch(23,15) = 1/291632329628595866566656000000+9466519/2514438392333506\
      703091491143680000000*ep+7013617917156923/3160849771693447555625071942794\
      813112320000000*ep^2+228690420885005598818591/245274103375977730566567632\
      582459366379513446400000000*ep^3+268229981098595750128503780925471/
      856469796398977476023722944030151904931973001128181760000000000*ep^4+
      848997447433832965180449559736007885533/949427602220936895361433737483408\
      4720856696227786300955033600000000000*ep^5+209300222984014716668732943602\
      216813080015142771/928282664633829058972489197080348586118548597363660775\
      5461409846067200000000000*ep^6+123681182664813468511787316936858336740946\
      9447804608069/24010810878192281026732969973408763672768599051632871434552\
      3953252798824448000000000000*ep^7+273175237204001763586812906357259132440\
      0996042804295652691214591/25152921594046031726036684324308311098184620073\
      79434744630146052856771447870822809600000000000000*ep^8;
Fill mncpoch(23,16) = 1/32662820918402737055465472000000+32094677/8448512998240\
      58252238741024276480000000*ep+8934835579752011/35401517442966612623000805\
      7593019068579840000000*ep^2+327736289827365351477551/27470699578109505823\
      455574849235449034505505996800000000*ep^3+
      61674049314232353556855299260953/1370351674238363961637956710448243047891\
      1568018050908160000000000*ep^4+1532676486739851728005471019951405833613/
      1063358914487449322804805785981417488735949977512065706963763200000000000
      *ep^5+423377632784000399338423319246396116843437734339/
      1039676584389888546049187900729990416452774429047300068611677902759526400\
      000000000*ep^6+103749740188924082989676590547493577284444188470938287/
      9960040067990872129607750507488079745741048495492154076555067690486469754\
      88000000000000*ep^7+69238786085780380535331875648628399242750513479036862\
      89946190991/2817127218533155553316108644322530842996677448264966913985763\
      57919958402161532154675200000000000000*ep^8;
Fill mncpoch(23,17) = 1/3331607733677079179657478144000000+109216951/2585244977\
      46161825185054753428602880000000*ep+11477324941620467/3610954779182594487\
      5460821874487944995143680000000*ep^2+476171615111347521551191/
      2802011356967169593992468634622015801519561611673600000000*ep^3+
      101263052628912808768125629239153/139775870772313124087071584465720790884\
      8979937841192632320000000000*ep^4+35090165991918157663937510282111511733/
      1339044558984195443531977656421044245074899971681860519880294400000000000
      *ep^5+177308919904227732290716978651392575355844054351/
      2120940232155372633940343317489180449563659835256492139967822921629433856\
      0000000000*ep^6+19869339337341775339650100972047820088395492703131675847/
      8228985104174058553481923469286651485931254266975617698049796925879921311\
      481856000000000000*ep^7+1848746453319927674418822883871659112626758394496\
      2043383729436791/28734697629038186643824308172089814598566109972302662522\
      654788507835757020476279776870400000000000000*ep^8;
Fill mncpoch(23,18) = 1/299844696030937126169173032960000000+24947291/465344095\
      9430912853330985561714851840000000*ep+14961851183793443/32498593012643350\
      38791473968703915049562931200000000*ep^2+708372124405634595363463/
      252181022127045263459322177115981422136760545050624000000000*ep^3+
      171936092745924018430650493054273/125798283695081811678364426019148711796\
      408194405707336908800000000000*ep^4+3673777549640073039006328254939196327\
      31/6507756556663189855565411410206275031064013862373842126618230784000000\
      00000*ep^5+1964131981141700659938536286698174355074357216891/
      9544231044699176852731544928701312023036469258654214629855203147332452352\
      000000000000*ep^6+50351693475198323298368854627605283784669399828100417911
      /740608659375665269813373112235798633733812884027805592824481723329192918\
      033367040000000000000*ep^7+5365196340647941930919301731780083317154661896\
      3903212051444063271/25861227866134367979441877354880833138709498975072396\
      27038930965705218131842865179918336000000000000000*ep^8;
Fill mncpoch(23,19) = 1/22788196898351221588857150504960000000+28827167/
      353661512916749376853154902690328739840000000*ep+19994913686401583/
      246989306896089462948152021621497543766782771200000000*ep^2+
      1096261053075339736582003/19165757681655440022908485460814588082393801423\
      847424000000000*ep^3+44093019650466508511673294540739/1365809937260888241\
      079385196779328870932431824976251086438400000000000*ep^4+8517264466139391\
      3998131741621798843583/54954388700711381002552363019519655817873894837823\
      55573588728217600000000000*ep^5+47746883266063901862789041714752139325107\
      87913431/7253615593971374408075974145812997137507716636577203118689954391\
      97266378752000000000000*ep^6+14297768670459979695026410263363811944274052\
      8660155490691/56286258112550560505816356529920696163769779186113225054660\
      610973018661770535895040000000000000*ep^7+1784674948221359837124386665485\
      03432941526648023469337086496784371/1965453317826211966437582678970943318\
      54192192210550211654958753393596578020057753673793536000000000000000*ep^8
      ;
Fill mncpoch(23,20) = 1/1367291813901073295331429030297600000000+755563/
      471548683888999169137539870253771653120000000*ep+27909938711909183/
      14819358413765367776889121297289852626006966272000000000*ep^2+
      1818175062207388758590723/11499454608993264013745091276488752849436280854\
      30845440000000000*ep^3+610978014167135045315681918514373/
      573640173649573061253341782647318125791621366490025456304128000000000000*
      ep^4+1092070663490121069211038524565146144081/178052219390304874448269656\
      1832436848499114192745483205842747942502400000000000*ep^5+136725957175231\
      23830684023515200227950426857221031/4352169356382824644845584487487798282\
      5046299819463218712139726351835982725120000000000000*ep^6+165543619972912\
      704751641381811348261190669849747395990577/112572516225101121011632713059\
      8413923275395583722264501093212219460373235410717900800000000000000*ep^7+
      756527341099558171647320088655521414553396884586144326788832391171/
      1179271990695727179862549607382565991125153153263301269929752520361579468\
      1203465220427612160000000000000000*ep^8;
Fill mncpoch(23,21) = 1/57426256183845078403920019272499200000000+13920029/
      297075670850069476556650118259876141465600000000*ep+42492095049738263/
      622413053378145446629343094486173810292292583424000000000*ep^2+
      3466815659939371687544603/48297709357771708857729383361252761967632379588\
      095508480000000000*ep^3+1475673256158609095246069325536173/
      24092887293282068572640354871187361283248097392581069164773376000000000000
      *ep^4+16911211818273884590109069563793700229501/3739096607196402363413662\
      77984811738184813980476551473226977067925504000000000000*ep^5+55009040782\
      244563766882453836423225227557173002911/182791112968078635083514548474487\
      5278651944592417455185909868506777111274455040000000000000*ep^6+
      876971143686419068383630806681502919200648563620203720697/
      4728045681454247082488573948513338477756661451633510904591491321733567588\
      7250151833600000000000000*ep^7+534995538675956814528873083425619522173771\
      9872259221393696873713371/49529423609220541554227083510067771627256432437\
      0586533370496058551863376610545539257959710720000000000000000*ep^8;
Fill mncpoch(24,0) = 1;
Fill mncpoch(24,1) = 1/23+1/529*ep+1/12167*ep^2+1/279841*ep^3+1/6436343*ep^4+1/
      148035889*ep^5+1/3404825447*ep^6+1/78310985281*ep^7+1/1801152661463*ep^8;
Fill mncpoch(24,2) = 1/1012+45/512072*ep+1519/259108432*ep^2+45585/131108866592
      *ep^3+1282711/66341086495552*ep^4+34655985/33568589766749312*ep^5+
      910467559/16985706421975151872*ep^6+23435111745/8594767449519426847232*
      ep^7+593883443671/4348952329456829984699392*ep^8;
Fill mncpoch(24,3) = 1/63756+1451/677471256*ep+1404085/7198809566256*ep^2+
      1132629695/76494550451036256*ep^3+822573543661/812831093092711256256*ep^4
      +557760756086951/8637143195203149808976256*ep^5+360314213411765845/
      91778283592228669870181696256*ep^6+224527703207327531615/
      975236041451021846040550704416256*ep^7+136073387789702329551421/103628581\
      76458558136026891785127136256*ep^8;
Fill mncpoch(24,4) = 1/5100480+19823/541977004800*ep+245728099/
      57590476530048000*ep^2+2438183084987/6119564036082900480000*ep^3+
      21179802167145931/650264874474169005004800000*ep^4+168304364522741431403/
      69097145561625198471810048000000*ep^5+1254515302121091070044139/734226268\
      7378293589614535700480000000*ep^6+8910516832242632171294510507/7801888331\
      60817476832440563533004800000000*ep^7+60948914708675337681229834323691/
      82902865411668465088215134281017090048000000000*ep^8;
Fill mncpoch(24,5) = 1/484545600+482897/978268493664000*ep+140020478959/
      1975065392597996160000*ep^2+31602073874109173/
      3987538523731798367270400000*ep^3+6118209368087465596831/
      8050601027103076995616901376000000*ep^4+1066859196143369629874798957/
      16253680437659486269530786864061440000000*ep^5+
      172384235798462354941955365312279/328152055828082432090064868313282036736\
      00000000*ep^6+26282408072170102725024547106128628213/66251931159354874544\
      391556523241763524777984000000000*ep^7+3827898416984114862672238029143619\
      732217711/133758673894867930412653889127033726050715263016960000000000*
      ep^8;
Fill mncpoch(24,6) = 1/52330924800+1785181/316958991947136000*ep+1860879865321/
      1919763561605252267520000*ep^2+1479423460482810961/
      11627662335201924038960486400000*ep^3+993386159032945773610201/7042665778\
      5097717557656653237248000000*ep^4+593511293315834743421672681041/
      426561589405935557657565970460428431360000000*ep^5+
      325378722984924289566644101756137481/258360676594565860433149872120413213\
      1629875200000000*ep^6+166966312951033188855908758321026010883521/
      15648441132114983947887108084563611577498460708864000000000*ep^7+
      81297336158725935332117291796653331465276383161/9477979121781667707524159\
      3988746573874824226790661652480000000000*ep^8;
Fill mncpoch(24,7) = 1/6227380051200+36404897/641208040709056128000*ep+
      758292189325309/66022588647166230732280320000*ep^2+
      11861246759501368308773/6798077901288799283606131492300800000*ep^3+
      154810041986473741557640079581/699970481299428429707831918868354634752000\
      000*ep^4+1780357722898055058631611494692623557/72073118579248069727590838\
      888283871220596346880000000*ep^5+1863715764038389383941196923786596583363\
      2429/7421076403243741992686934661520703787067650217065267200000000*ep^6+
      181394644431459648578519191617818860484889133323413/764118107671810943394\
      483353142061094896980448191329278599168000000000*ep^7+1665785207928064229\
      176048614709910366428427363452827177661/786781392274492252888997692706242\
      74173496795009641519020485216337920000000000*ep^8;
Fill mncpoch(24,8) = 1/797104646553600+171361073/328298516843036737536000*ep+
      16543763519418349/135214261549396440539710095360000*ep^2+
      1184980833086742211269737/55689854167357843731301429184928153600000*ep^3+
      70134537088727156169022626312181/2293663273121967078466623631747824467155\
      3536000000*ep^4+3628453442699022139656323570440859051153/9446767798419202\
      995334786434765143568626004378255360000000*ep^5+1697395775634476670888625\
      84341948812706927611389/3890781305303855001861847599819366747114124197004\
      714809753600000000*ep^6+7341318644120859552963408317365854443247610065026\
      571257/160247181774015366356162755300857970928539234088534257927280236953\
      6000000000*ep^7+298145343144631061692995802763977067437295121465974990528\
      687941/660000068148494390852266915701712951325988602592238923587394449654\
      006415360000000000*ep^8;
Fill mncpoch(24,9) = 1/107609127284736000+198818657/44320299773809959567360000*
      ep+22002843494763037/18253925309168519472860862873600000*ep^2+
      357825151316610371958469/1503626062518661780745138587993060147200000*ep^3
      +119259607836669855585627161706661/30964454187146555559299419028595630306\
      59727360000000*ep^4+6903034142681442979666550555683086818177/
      1275313652786592404370196168693294381764510591064473600000000*ep^5+
      359280217390991372944267188214863846396315315757/525255476216020425251349\
      425975614510860406766595636499316736000000000*ep^6+3441257078534453203771\
      190391243857710847507027582184469/432667390789841489161639439312316521507\
      05593203904249640365663977472000000000*ep^7+77058836964190279037607868750\
      1832505335510798468115725334002421/89100009200046742765056033619731248429\
      008461349952254684298250703290866073600000000000*ep^8;
Fill mncpoch(24,10) = 1/15065277819863040000+228237497/
      6204841968333394339430400000*ep+28717325901006517/25555495432835927262005\
      20802304000000*ep^2+21071649379940947378981/84203059501045059721727760927\
      61136824320000*ep^3+196747543042242598134459836961661/4335023586200517778\
      30191866400338824292361830400000000*ep^4+18130169474048987450526461408120\
      39701631/25506273055731848087403923373865887635290211821289472000000000*
      ep^5+732638205841943292722599306967031908787826212037/7353576667024285953\
      5188919636586031520456947323389109904343040000000000*ep^6+155038606192893\
      8441461410614079731422150447536705339977/12114686942115561696525904300744\
      86260219756609709318989930238591369216000000000*ep^7+19108523569948410748\
      56143813249666654115922598736328823558169421/1247400128800654398710784470\
      6762374780061184588993315655801755098460721250304000000000000*ep^8;
Fill mncpoch(24,11) = 1/2154334728240414720000+3378951221/
      11534801219131780077001113600000*ep+6244895632007752333/61759965812534585\
      414087986229280768000000*ep^2+1671769581354514379794161841/66135398516257\
      068644587330945971477930835968000000*ep^3+9062013104980971772498765012875\
      910621/1770520303630263732204959715165191033967822912041779200000000*ep^4
      +172335475525640556140878182826187623680668309/19346471310864340646915064\
      0534164077648726090334281509371904000000000*ep^5+701426279533928095997606\
      2564219524317198928014517610093/50756863355173442122396554242307476629063\
      214675787646664922913811988480000000000*ep^6+1064206260520864579304404271\
      346751282629804301078527243511206481/543527727268966682441488251073298418\
      41451062272548410904113189621179921968660480000000000*ep^7+
      3750280930264265323688467802846506168015308596579250629008992844237625341/
      1455085927212132469443002652038672694366648293631785664304548753293188989\
      403741984653312000000000000*ep^8;
Fill mncpoch(24,12) = 1/310224200866619719680000+3825136961/
      1661011375554976331088160358400000*ep+7951617197552888473/889343507700498\
      0299628670017016430592000000*ep^2+476269844410377345257351369/
      1904699477268203576964115131243978564408075878400000*ep^3+143746334291791\
      98759320935288307862121/2549549237227579774375141989837875088913664993340\
      16204800000000*ep^4+2122599250654777948848246338226992909804157383/
      195012430813512553720903845658437390269915899056955761446879232000000000*
      ep^5+13643777416977214045473821145088232153248976533589839033/
      7308988323144975665625103810892276634585102913313421119748899588926341120\
      000000000*ep^6+4563476090317435883416060757993038656695283801710021361190\
      40873/1565359854534624045431486163091099445033790593449394234038459861089\
      981752697421824000000000*ep^7+8840675821090745235049839795821718337730786\
      490519248495155367344481400841/209532373518547075599792381893568867988797\
      354282977135659855020474219214474138845790076928000000000000*ep^8;
Fill mncpoch(24,13) = 1/44362060723926619914240000+4311885041/
      237524626704361615345606931251200000*ep+10050418962440359753/127176121601\
      1712182846899812433349574656000000*ep^2+3359753648684574171143161693/
      1361860126246765557529342318839444673551774253056000000*ep^3+225514016180\
      30253776428562084294359321/3645855409235439077356453045468161377146540940\
      4764317286400000000*ep^4+3690720884781223578503868031325718274707993623/
      27886777606332295182089249929156546808597973565144673886903730176000000000
      *ep^5+26218936548359346623686230402836444727094175730122295913/
      1045185330209731520184389844957595558745669716603819220124092641216466780\
      160000000000*ep^6+4834141450069865765534781413200172533335484704018935820\
      764123773/111923229599225619248351260661013610319916027431631687733749880\
      0679336953178656604160000000000*ep^7+206057211674403603712087649262960715\
      19079702368272174967156174241431930041/2996312941315223181077031061078034\
      8122398021662465730399359267927813347669801854947981000704000000000000*
      ep^8;
Fill mncpoch(24,14) = 1/6210688501349726787993600000+4847307929/332534477386106\
      26148384970375168000000*ep+2529155714562167741/35609314048327941119713194\
      748133788090368000000*ep^2+4713921505577153678569817701/19066041767454717\
      8054107924637522254297248395427840000000*ep^3+351711089496373924234269395\
      99809061761/5104197572929614708299034263655425928005157316667004420096000\
      000000*ep^4+6380923274492294893381092439544480002800134447/
      3904148864886521325492494990081916553203716299120254344166522224640000000\
      000*ep^5+10026876624500983096523705318573508187999329647385891293/
      2926518924587248256516291565881267564487875206490693816347459395406106984\
      4480000000000*ep^6+102027606899798736939146864753317603276457327258863113\
      87316237957/1566925214389158669476917649254190544478824384042843628272498\
      32095107173445011924582400000000000*ep^7+47919679138449843546563912217479\
      430882839224653122980980476907722592729121/419483811784131245350784348550\
      9248737135723032745202255910297509893868673772259692717340098560000000000\
      000*ep^8;
Fill mncpoch(24,15) = 1/838442947682213116379136000000+67187929/554224128976843\
      76913974950625280000000*ep+3176686904272708877/48072573965242720511612812\
      90998061392199680000000*ep^2+2201259345028485791562745447/857971879535462\
      3012434856608688501443376177794252800000000*ep^3+548145195455063975031851\
      26273835577361/6890666723454979856203696255934825002806962377500455967129\
      60000000000*ep^4+525689833625766746802209008898805349096106467/
      2509809984569906566388032493624089212773817620863020649821335715840000000\
      0000*ep^5+19221444675631136160905686721164566140253589775195370029/
      3950800548192785146296993613939711212058631528762436652069070183798244429\
      004800000000000*ep^6+2404208153177843514878589297242934200118857968283957\
      535029683693/235038782158373800421537647388128581671823657606426544240874\
      7481426607601675178868736000000000000*ep^7+112283082774831211163982174762\
      264544233919668485143428354224628154220998321/566303145908577181223558870\
      5437485795133226094206023045478901638356722709592550585168409133056000000\
      00000000*ep^8;
Fill mncpoch(24,16) = 1/107320697303323278896529408000000+679055651/63846619658\
      132402204899143120322560000000*ep+159789850570310963/24613157870204272901\
      945760209910074328062361600000*ep^2+3092458754043531029766090697/
      1098204005805391745591661645912128184752150757664358400000000*ep^3+
      85860266991335192409590893376166944911/8820053406022374215940731207596576\
      0035929118432005836379258880000000000*ep^4+641623074710368625713801276645\
      6362206433728779/22487897461746362834836771142871839346453405882932665022\
      399168013926400000000000*ep^5+3725727785824656614993010012364847477760328\
      5803365062227/50570247016867649872601518258428303514350483568159189146484\
      0983526175286912614400000000000*ep^6+517481916843907005155617474256696523\
      6538234218718279998346357523/30084964116271846453956818865680458453993428\
      1736225976628319677622605773014422895198208000000000000*ep^7+
      2681358928772727614848986983502692288782080459242627172040069889242627346\
      71/7248680267629787919661553542959981817770529400583709498212994097096605\
      0682784647490155636903116800000000000000*ep^8;
Fill mncpoch(24,17) = 1/12771162979095470188686999552000000+254681137/253258257\
      9772585287460999343772794880000000*ep+5046682540564893707/732241446638577\
      11883288636624482471125985525760000000*ep^2+4379177487704689382154169657/
      130686276690841617725407735863543253985505940162058649600000000*ep^3+
      2777634541017669792674998339597973839/21420129700340051667284632932734541\
      7230113573334871316921057280000000000*ep^4+113735944396378036552193756210\
      65535245853152219/2676059797947817177345575766001748882227955300068987137\
      665500993657241600000000000*ep^5+7379537454911625319225718633517468988920\
      6194513368593059/60178593950072503348395806727529681182077075446109435084\
      316077039614859142601113600000000000*ep^6+1144652274972947038995896235309\
      6071338916516868533766776782315363/35801107298363497280208614450159745560\
      252179526610891218770041637090086988716324528586752000000000000*ep^7+
      6621256958341348207286188727874247168755678621661169429060723300018202710\
      71/8625929518479447624397248716122378363146929986694614302873462975544960\
      031251373051328520791470899200000000000000*ep^8;
Fill mncpoch(24,18) = 1/1379285601742310780378195951616000000+2589587393/
      2461670267538952899412091362147156623360000000*ep+6433206901253344691/
      7908207623696632883395172755444106881606436782080000000*ep^2+
      6292780942243909734440107217/14114117882610894714344035473262671430434641\
      537502334156800000000*ep^3+31476652307293671943100828624170755073/
      1619361805345707906046718249714731354259658614411627155923193036800000000\
      00*ep^4+6912183347090942199128609899086025134974441633/
      9633815272612141838444072757606295976020639080248353695595803577166069760\
      0000000000*ep^5+151515139120899965281125925642649280791586906765262811243/
      6499288146607830361626747126573205567664324148179818989106136320278404787\
      400920268800000000000*ep^6+7940883122909621148649920650332184395705754378\
      5181162816305795969/11599558764669773118787591081851757561521706166621928\
      754881493490417188184344089147262107648000000000000*ep^7+
      1725058339568816900327623326680348798999895314057320687863688899223338732\
      871/931600387995780343434902861341216863219868438563018344710334001358855\
      683375148289543480245478857113600000000000000*ep^8;
Fill mncpoch(24,19) = 1/131032132165519524135928615403520000000+589307197/
      46771735083240105088829735880795975843840000000*ep+8326378269274894307/
      751279724251180123922541411767190153752611494297600000000*ep^2+
      9264869941920980118272572961/13408411988480349978626833699599537858912909\
      46062721744896000000000*ep^3+52736466969783915269026896849753603793/
      1538393715078422510744382337228994786546675683691045798127033384960000000\
      0000*ep^4+2637383844879446779794152115860457321717368957/
      1830424901796306949304373823945196235443921425247187202163202679661553254\
      400000000000*ep^5+3294417141696270385227662320371991804801139164117922760\
      59/6174323739277438843545409770244545289281107940770828039650829504264484\
      54803087425536000000000000*ep^6+19700258724801103205233037297414538305298\
      8090247976107952041154897/11019580826436284462848211527759169683445620858\
      29083231713741881589632877512688468989900226560000000000000*ep^7+
      4889449165802878071447202189518370908782809523362600804104138118717551208\
      951/885020368595991326263157718274156020058875016634867427474817301290912\
      89920639087506630623320491425792000000000000000*ep^8;
Fill mncpoch(24,20) = 1/10482570573241561930874289232281600000000+135708869/
      748347761331841681421275774092735613501440000000*ep+11051189565544657007/
      60102377940094409913803312941375212300208919543808000000000*ep^2+
      14195753136103801407987053141/1072672959078427998290146695967963028713032\
      75685017739591680000000000*ep^3+93454669513361171077828116096344806693/
      1230714972062738008595505869783195829237340546952836638501626707968000000\
      000000*ep^4+1083451980619549276020528230815471715936449229/
      2928679842874091118886998118312313976710274280395499523461124287458485207\
      0400000000000*ep^5+786274392591830331840127275482340168697958717053828040\
      759/493945899142195107483632781619563623142488635261666243172066360341158\
      76384246994042880000000000000*ep^6+54782700894964736661886312307941718815\
      5211636906088992150845731557/88156646611490275702785692222073357467564966\
      866326658537099350527170630201015077519192018124800000000000000*ep^7+
      1588891613791120455707219551336390856774166478149255904019470636494461408\
      2051/70801629487679306101052617461932481604710001330789394197985384103273\
      03193651127000530449865639314063360000000000000000*ep^8;
Fill mncpoch(24,21) = 1/660401946114218401645080221633740800000000+265842403/
      78576514939843376549233956279737239417651200000000*ep+
      15321332780558252927/3786449810225947824569608715306638374913161931259904\
      000000000*ep^2+23310633408743323668441267781/6757839642194096389227924184\
      598167080892106368156117594275840000000000*ep^3+1826050028049228482869393\
      87908376031893/7753504323995249454151686979634133724195245445802870822560\
      2482601984000000000000*ep^4+379786459237509929285254656299776256026312199\
      87/2767602451516016107348213221805136707991209194973747049670762451648268\
      5206528000000000000*ep^5+220969893238952324170623504272265534598600709136\
      2028412679/31118591645958291771468865242032508257976784021484973319840180\
      70149300212207560624701440000000000000*ep^6+62080284890562885369424119442\
      6978880635613925059635999700150798279/18512895788412957897584995366635405\
      06818864304192859829279086361070583234221316627903032380620800000000000000
      *ep^7+6574772427386312060223720890666328917548081729275944091842798753245\
      1755544851/44605026577237962843663149001017463410967300838397318344730791\
      9850620101200021001033418341535276785991680000000000000000*ep^8;
Fill mncpoch(24,22) = 1/29057685629025609672383529751884595200000000+65066767/
      691473331470621713633258815261687706875330560000000*ep+
      23159935948049949527/1666037916499417042810627834734920884961791249754357\
      76000000000*ep^2+43977899727409860241775557741/29734494425654024112602866\
      4122319351559252680198869174148136960000000000*ep^3+434891867950182135397\
      594895481557917693/341154190255790975982674227103901883864590799615326316\
      1926509234487296000000000000*ep^4+231191331784569425230775789388484511892\
      23067823/2435490157334094174466427635188520303032264091576897403710270957\
      45047629817446400000000000*ep^5+87084182859841919051182421235529172392679\
      53052617558145279/1369218032422164837944630070649430363350978496945338826\
      07296795086569209337132667486863360000000000000*ep^6+10703947401155181275\
      61900986897132917447766573034861803909903181973/
      2715224715633900491645799320439859410001000979482861082942659996236855410\
      1912643875911141582438400000000000000*ep^7+452599568334408734998230370899\
      459608441811235479586767336400773639803664211051/
      1962621169398470365121178556044768390082561236889482007168154847342728445\
      2800924045470407027552178583633920000000000000000*ep^8;
Fill mncpoch(25,0) = 1;
Fill mncpoch(25,1) = 1/24+1/576*ep+1/13824*ep^2+1/331776*ep^3+1/7962624*ep^4+1/
      191102976*ep^5+1/4586471424*ep^6+1/110075314176*ep^7+1/2641807540224*ep^8
      ;
Fill mncpoch(25,2) = 1/1104+47/609408*ep+1657/336393216*ep^2+51935/185689055232
      *ep^3+1526281/102500358488064*ep^4+43067087/56580197885411328*ep^5+
      1181645977/31232269232747053056*ep^6+31764328895/17240212616476373286912*
      ep^7+840654878761/9516597364294958054375424*ep^8;
Fill mncpoch(25,3) = 1/72864+793/442430208*ep+419365/2686436222976*ep^2+
      184870225/16312040745910272*ep^3+73370462221/99046711409167171584*ep^4+
      27186245001433/601411631676463065858048*ep^5+9596761549055605/
      3651771427539483735890067456*ep^6+3267703096416453025/
      22173556108019745244324489592832*ep^7+1082087893729339661341/
      134637832687895893123538300807675904*ep^8;
Fill mncpoch(25,4) = 1/6120576+2525/86716320768*ep+35880685/11057371493769216*
      ep^2+45344331205/156660839323722252288*ep^3+451493258869381/
      19976136943846471833747456*ep^4+152304619521190175/
      94340636073472270980177985536*ep^5+3903430348682843100445/
      36088689561001788651673365874999296*ep^6+3530545678955389802956085/
      511304553700273341616908247716990025728*ep^7+
      27675494734475917892587606261/65197466251429254336255204482888832160628736
      *ep^8;
Fill mncpoch(25,5) = 1/612057600+5389/14452720128000*ep+1412388751/
      27643428734423040000*ep^2+10670722356667/1958260491546528153600000*ep^3+
      622344574079193751/1248508558990404489609216000000*ep^4+
      3632200289399662156667/88444346318880254043916861440000000*ep^5+
      176778380023651853674683751/56388577439065294768239634179686400000000*
      ep^6+300657634404054898023891328889/1331522275261128493794031895096328192\
      000000000*ep^7+39563832339252041544408857042673751/2546776025446455247509\
      968925112845006274560000000000*ep^8;
Fill mncpoch(25,6) = 1/69774566400+378013/93913775391744000*ep+750878307391/
      1137637666136445788160000*ep^2+126382703939957393/
      1531214793113010573031833600000*ep^3+161681123962533844305151/18548584766\
      445489397901340770304000000*ep^4+757302900958818948038440699/924653820453\
      517441111084763822161920000000*ep^5+21352997643418726723216067267649511/
      302424934651160769414203782637520725055897600000000*ep^6+2318894440584918\
      942116876422343385463153/407051865043076349200741723278797395096235933696\
      000000000*ep^7+2150369180216562467093454556492255313192263471/
      4930879754460411386732072968778971277133567455857213440000000000*ep^8;
Fill mncpoch(25,7) = 1/8791595366400+4075097/106498221294237696000*ep+
      9500363545579/1290081113398729523773440000*ep^2+16630553678040304253/
      15627578178511385908362893721600000*ep^3+24288201055212805344901171/
      189306856126342664794981083901722624000000*ep^4+
      31251466545709547095252218337997/2293195104646309557967074657195263246991\
      360000000*ep^5+36597947237983862785387350935221714579/2777893994744772131\
      3772274250386828679284418150400000000*ep^6+398439529568960331565388056393\
      80461501122253/3365040781050006148153643722504559033625268990834114560000\
      00000*ep^7+40922755652332758740287640764335950090879694457171/
      4076289260695859647651990474268012649208440345812776349859840000000000*
      ep^8;
Fill mncpoch(25,8) = 1/1195656969830400+81390289/246223887632277553152000*ep+
      3731537725114291/50705348081023665202391285760000*ep^2+
      126908414868665494824229/10441847656379595699619017972174028800000*ep^3+
      3565897691022089799934064086651/21503093185518441360624596547635854379581\
      44000000*ep^4+87568614441064348294096805055352426069/44281724055090014040\
      6318114129616104779343955230720000000*ep^5+194416014735304964093812219651\
      6848028475399611/91190186843059101606137053120766408135487285867298003353\
      600000000*ep^6+39900370910788940696871809343682646066158833050584309/
      18778966614142425744862822886819293468188191494750108350853152768000000000
      *ep^7+768805946327754394373873521080159279963122941240297167934171/
      3867187899307584321400001459189724324175714468313899942894889353441443840\
      000000000*ep^8;
Fill mncpoch(25,9) = 1/172174603655577600+188522063/70912479638095935307776000*
      ep+19778988757340719/29206280494669631156577380597760000*ep^2+
      1524407861361578716621547/12029008500149294245961108703944481177600000*
      ep^3+96294885153474594909177828163711/49543126699434488894879070445753008\
      49055563776000000*ep^4+5280969003868948128146775187780021885043/
      2040501844458547846992313869909271010823216945703157760000000*ep^5+
      260366233829152647226508111871689890475931683959/840408761945632680402159\
      081560983217376650826553018398906777600000000*ep^6+1180946097920060984049\
      1041760114805936806168934130130667/34613391263187319132931155144985321720\
      5644745631233997122925311819776000000000*ep^7+500807384914082935159564165\
      498889650970766418482892821603768271/142560014720074788424089653791569997\
      486413538159923607494877201125265385717760000000000*ep^8;
Fill mncpoch(25,10) = 1/25826190548336640000+215979647/
      10636871945714390296166400000*ep+25709268057133567/4380942074200444673486\
      607089664000000*ep^2+89212889944753617269747/7217405100089576547576665222\
      3666887065600000*ep^3+157534145641995290046376050944911/74314690049151733\
      3423186056686295127358334566400000000*ep^4+960647604070226773219950950218\
      8195040067/306075276668782177048847080486390651623482541855473664000000000
      *ep^5+524136856660722582473865648786820439596954702087/126061314291844902\
      060323862234147482606497623982952759836016640000000000*ep^6+1048039709938\
      334385978565424655737049998259152435156339/207680347579123914797586930869\
      9119303233868473787403982737551870918656000000000*ep^7+122022334418826921\
      5736936224173403929276751431776820564884392671/21384002208011218263613448\
      068735499622962030723988541124231580168789807857664000000000000*ep^8;
Fill mncpoch(25,11) = 1/3977233344443842560000+245398487/
      1638078279640016105609625600000*ep+32928606882428647/67466507942686847971\
      6937491808256000000*ep^2+639808733183181521850631/55574019270689739416340\
      322212223503040512000000*ep^3+251646299402588829457777137385111/
      114444622675693669347170652729689449613183523225600000000*ep^4+2429945465\
      631303441686448837511256275901/673365608671320789507463577070059433571661\
      5920820420608000000000*ep^5+102454009469565228707082642841932796565504632\
      5967/19413442400944114917289874784058712321400634093374725014746562560000\
      000000*ep^6+11268354773578920595686969396366617715817556373417985351/
      1599138676359254143941419367698321863490078724816301066707914940607365120\
      000000000*ep^7+2877732974924041677623034437956434468890762232479640385701\
      456871/329313634003372761259647100258526694193615273149423533313166334599\
      3630410080256000000000000*ep^8;
Fill mncpoch(25,12) = 1/620448401733239439360000+3602044091/
      3322022751109952662176320716800000*ep+7048485986135483503/177868701540099\
      60599257340034032861184000000*ep^2+1986262974914863424498546563/
      19046994772682035769641151312439785644080758784000000*ep^3+11277618643223\
      446207645810330717439671/509909847445515954875028397967575017782732998668\
      032409600000000*ep^4+1565770658662658845236764389805513762229713273/
      390024861627025107441807691316874780539831798113911522893758464000000000*
      ep^5+9459448685359181425279351744868099966481198347972254663/
      1461797664628995133125020762178455326917020582662684223949779917785268224\
      0000000000*ep^6+148627337168776593230765649784717772122364316917620503813\
      9117043/15653598545346240454314861630910994450337905934493942340384598610\
      899817526974218240000000000*ep^7+5408165890736267552322171858240884664154\
      520928916326217343568246181542391/419064747037094151199584763787137735977\
      594708565954271319710040948438428948277691580153856000000000000*ep^8;
Fill mncpoch(25,13) = 1/96789950670385352540160000+4048229831/
      518235549173152615299506031820800000*ep+8854748408970293443/2774751744025\
      553853484145045309126344704000000*ep^2+2776435469188910028074967127/
      2971331184538397580064019604740606560476598370304000000*ep^3+174716482151\
      34951310996060245898284571/7954593620150048896050443008294170277410634779\
      2213055897600000000*ep^4+2679427842646897052459728286648472057378601493/
      60843878413815916760921999845432465764213760505770197571426320384000000000
      *ep^5+17828106148595246665668290545308364340016754719207423403/
      2280404356821232407675032388998390309990552108953787389361656671745018429\
      440000000000*ep^6+3077202718629669951108404260145860935471640632533816323\
      051291687/244196137307401351087311841442211513425271332578105500509999738\
      3300371534207978045440000000000*ep^7+122731857514452229177775077334025520\
      11307052052122170772967166442781259291/6537410053778668758713522315079348\
      6812504774536288866325874766387956394915931319886504001536000000000000*
      ep^8;
Fill mncpoch(25,14) = 1/14905652403239344291184640000+4534977911/79808274572665\
      502756123928900403200000*ep+11062140199991954323/427311768579935293436558\
      336977605457084416000000*ep^2+770666113959257996901711419/915170004837826\
      45465971803826010682062679229805363200000*ep^3+26849654497403202016409909\
      793706422571/122500741750310752999176822327730222272123775600008106082304\
      00000000*ep^4+4546430381971807562079678584514157381679017733/
      9369957275727651181181987976196599727688919117888610425999653339136000000\
      000*ep^5+33318869963544354280470641051514051208467378123973341883/
      3511822709504697907819549879057521077385450247788832579616951274487328381\
      33760000000000*ep^6+12641563830269293678560354931569180078440551682858843\
      09919611723/7521241029067961613489204716420114613498357043405649415707991\
      9405651443253605723799552000000000*ep^7+276563280578977843702659825510521\
      26487195021866552947746854565455674805291/1006761148281914988841882436522\
      2196969125735278588485414184714023745284817053423262521616236544000000000\
      000*ep^8;
Fill mncpoch(25,15) = 1/2235847860485901643677696000000+5070400799/119712411858\
      99825413418589335060480000000*ep+2755389767822008367/12819353057398058803\
      096750109328163712532480000000*ep^2+5328629316849199174327860991/
      68637750362836984099478852869508011547009422354022400000000*ep^3+41115004\
      986947528428439103747025232611/183751112625466129498765233491595333408185\
      6634000121591234560000000000*ep^4+769127534057835727288210233599471044645\
      8074957/14054935913591476771772981964294899591533378676832915638999480008\
      70400000000000*ep^5+12429092790066777553973403253052578149646368234951050\
      519/105354681285140937234586496371725632321563507433664977388508538234619\
      85144012800000000000*ep^6+12975602672012178590082192910722596247949630500\
      498375557114937487/564093077180097121011690353731508596012376778255423706\
      17809939554238582440204292849664000000000000*ep^7+62393501338844171529633\
      861979213219736870798072101576147350009341819817571/
      1510141722422872483262823654783329545368860291788272812127707103561792722\
      558013489378242435481600000000000000*ep^8;
Fill mncpoch(25,16) = 1/321962091909969836689588224000000+1888438373/5746195769\
      23191619844092288082903040000000*ep+3429465186143129183/18459868402653204\
      67645932015743255574604677120000000*ep^2+2456289088675737431634820517/
      3294612017416175236774984937736384554256452272993075200000000*ep^3+
      63034228280641718948032739789921784211/2646016021806712264782219362278972\
      80107787355296017509137776640000000000*ep^4+16109152105529318924475260860\
      9913993354991757/24986552735273736483151967936524265940503784314369627802\
      66574223769600000000000*ep^5+46593711613939502650130113604063517869235845\
      39868392347/3034214821012058992356091095505698210861029014089551348789045\
      90115705172147568640000000000*ep^6+89450786008512131534007900446215649109\
      80592147663321056719494229/2707646770464466180856113697911241260859408535\
      626033789654877098603451957129806056783872000000000000*ep^7+
      1422168316364234349445911624320953389321489907329685396783493994416617067\
      71/2174604080288936375898466062887994545331158820175112849463898229128981\
      52048353942470466910709350400000000000000*ep^8;
Fill mncpoch(25,17) = 1/43786844499755897789783998464000000+2111531243/
      78148262461554060298796551179274813440000000*ep+4277386803315096521/
      251054210276083583599846754141082758146236088320000000*ep^2+
      3410543586727427828831725787/44806723436859983220139795153214829937887750\
      9127058227200000000*ep^3+97273286346681929140369970169289525261/
      35985817896571286801038183326994030094659080320258381242737623040000000000
      *ep^4+2483203528803023776967619644483568133119401483/30583540547975053455\
      37800875430570151117663200078842443046286849893990400000000000*ep^5+
      44237488883884973562362621784456832699095967355376612473/
      2063266078288200114802141944943874783385499729580894917176551212786795170\
      60346675200000000000*ep^6+18814146957550208655302391319240561108931757910\
      400599464198861739/368239960783167400596431462915928811476879560845140595\
      393063285410069466169653623722606592000000000000*ep^7+3310954234976974247\
      55052466309356173851237573519909805966835783665563248621/
      2957461549192953471221913845527672581650375995438153475270901591615414867\
      8576136175983499856471654400000000000000*ep^8;
Fill mncpoch(25,18) = 1/5517142406969243121512783806464000000+2366494523/
      9846681070155811597648365448588626493440000000*ep+5363451373550104313/
      31632830494786531533580691021776427526425747128320000000*ep^2+
      4778026741048267668816352427/56456471530443578857376141893050685721738566\
      150009336627200000000*ep^3+21727606855546270354648808875480592923/
      6477447221382831624186872998858925417038634457646508623692772147200000000\
      00*ep^4+1443261388538848290254542499159594216372341321/
      1284508703014952245125876367680839463469418544033113826079440476955475968\
      00000000000*ep^5+17193253729312885431501577877094055628791492903920117013/
      5199430517286264289301397701258564454131459318543855191284909056222723829\
      920736215040000000000*ep^6+4073238878103943573470167942283724756702746524\
      4801588922290274939/46398235058679092475150364327407030246086824666487715\
      019525973961668752737376356589048430592000000000000*ep^7+
      7984322785609031602471462166313352934149979810204375287045814961402790450\
      21/3726401551983121373739611445364867452879473754252073378841336005435422\
      733500593158173920981915428454400000000000000*ep^8;
Fill mncpoch(25,19) = 1/628954234394493715852457353936896000000+2663951683/
      1122521641997762522131913661139103420252160000000*ep+6789792077154424817/
      3606142676405664594828198776482512738012535172628480000000*ep^2+
      755299889923235972923854683/715115306052285332193431130645308685808688504\
      566784930611200000000*ep^3+34726334124542805805918168540400809123/
      7384289832376428051573035218699174975424043281717019831009760247808000000\
      0000*ep^4+23318949222747223925750812098865317890780742569/
      1317905929293341003499149153240541289519623426177974785557505929356318343\
      16800000000000*ep^5+17336476261234514465566527106170894834079672084715021\
      9969/29636753948531706449017966897173817388549318115699974590323981620469\
      52583054819642572800000000000*ep^6+92300978711781803403765048863483376087\
      067569965307687447644302979/528939879668941654216714153332440144805389801\
      1979599512225961031630237812060904651151521087488000000000000*ep^7+
      2033933693238121480354449030030019967528194425069615074250058033584358628\
      821/424809776926075836606315704771594889628260007984736365187912304619638\
      191619067620031826991938358843801600000000000000*ep^8;
Fill mncpoch(25,20) = 1/62895423439449371585245735393689600000000+120836011/
      4490086567991050088527654644556413681008640000000*ep+8730743056675017857/
      360614267640566459482819877648251273801253517262848000000000*ep^2+
      3304708483501015860648566497/21453459181568559965802933919359260574260655\
      1370035479183360000000000*ep^3+8210853659038345394188381065354003349/
      1054898547482346864510433602671310710774863325959574261572822892544000000\
      000000*ep^4+1753396711669188886520296213085132729188103393/
      5271623717173364013996596612962165158078493704711899142230023717425273372\
      67200000000000*ep^5+37051459615838543164568753755706503104309212577090860\
      6609/29636753948531706449017966897173817388549318115699974590323981620469\
      5258305481964257280000000000000*ep^6+224555642125966092223005458266424858\
      570335595585520429137408747507/528939879668941654216714153332440144805389\
      801197959951222596103163023781206090465115152108748800000000000000*ep^7+
      5640900605951498226997926705173200103849813496597597048802580246384180835\
      301/424809776926075836606315704771594889628260007984736365187912304619638\
      19161906762003182699193835884380160000000000000000*ep^8;
Fill mncpoch(25,21) = 1/5283215568913747213160641773069926400000000+693417203/
      1885836358556241037181614950713693746023628800000000*ep+
      11515278867318584837/3029159848180758259655686972245310699930529545007923\
      2000000000*ep^2+1672453185913772463688369319/6006968570839196790424821497\
      420592960792983438360993417134080000000000*ep^3+1006504082933797217415300\
      05824118163343/6202803459196199563321349583707306979356196356642296658048\
      19860815872000000000000*ep^4+17748738939482698081849211941593358157667982\
      729/221408196121281288587857057744410936639296735597899763973660996131861\
      481652224000000000000*ep^5+8694263518785193118790152230673951962289320353\
      10411927589/2489487331676663341717509219362600660638142721718797865587214\
      4561194401697660484997611520000000000000*ep^6+612481282314383621498034656\
      042015654072186845170202704753533128367/444309498921910989542039888799249\
      7216365274330062863590269807266569399762131159906967277713489920000000000\
      0000*ep^7+179385192443031458230870492750020502605200350384715514384731315\
      88656700731401/3568402126179037027493051920081397072877384067071785467578\
      463358804960809600168008267346732282214287933440000000000000000*ep^8;
Fill mncpoch(25,22) = 1/348692227548307316068602357022615142400000000+812400067/
      124465199664711908453986586747103787237559500800000000*ep+
      15865054768163919797/1999245499799300451372753401681905061954149499705229\
      312000000000*ep^2+24490426942388948167762116911/3568139331078482893512343\
      969467832218711032162386430089777643520000000000*ep^3+2775897171726536866\
      4367042804956940649/58483575472421310168458438932097465805358422791198797\
      06159730116263936000000000000*ep^4+13622877545263106921254976814201316507\
      780084627/487098031466818834893285527037704060606452818315379480742054191\
      4900952596348928000000000000*ep^5+240116644389109523168155215981626393880\
      8446385083687910549/16430616389065978055335560847793164360211741963344065\
      91287561541038830512045592009842360320000000000000*ep^6+20409695844886726\
      95309107715743639640168935336608723041150012290047/
      2932442692884612530977463266075048162801081057841489969578072795935803843\
      006565538598403290903347200000000000000*ep^7+7257761070665740271354437456\
      8329180449046643329086282272707252667279620518201/
      2355145403278164438145414267253722068099073484267378408601785816811274134\
      33611088545644884330626143003607040000000000000000*ep^8;
Fill mncpoch(25,23) = 1/16039842467222136539155708423040296550400000000+
      990874363/5725399184576747788883382990366774212927737036800000000*ep+
      23823106964403224957/9196529299076782076314665647736763284989087698644054\
      8352000000000*ep^2+45749488162411761339413143271/164134409229610213101567\
      822595520282060707479469775784129771601920000000000*ep^3+4567626921255752\
      76738233586013090584343/1883171130211966187424361733613538398932541213876\
      601265383433097436987392000000000000*ep^4+4079634418398870395820878199661\
      5246116061933803/22406509447473666405091134243734386787896829642507456114\
      1344928085443819432050688000000000000*ep^5+928180481708356432997612302934\
      7158448400635476938819075709/75580835389703499054543579899848556056974013\
      031382703199227830887786203554097232452748574720000000000000*ep^6+
      10323787486180662280125108988104246858562714050105122889192684669367/
      1348923638726921764249633102394522154888497286607085386005913486130469767\
      78302014775526551381553971200000000000000*ep^7+48714701902784067429683818\
      8747744192804789834765995902342191093728214940910401/
      1083366885507955641546890562936712151325573802762994067956821475733186101\
      7946110073099664679208802578165923840000000000000000*ep^8;
Fill mncpoch(26,0) = 1;
Fill mncpoch(26,1) = 1/25+1/625*ep+1/15625*ep^2+1/390625*ep^3+1/9765625*ep^4+1/
      244140625*ep^5+1/6103515625*ep^6+1/152587890625*ep^7+1/3814697265625*ep^8
      ;
Fill mncpoch(26,2) = 1/1200+49/720000*ep+1801/432000000*ep^2+58849/259200000000
      *ep^3+1803001/155520000000000*ep^4+53037649/93312000000000000*ep^5+
      1517044201/55987200000000000000*ep^6+42512576449/33592320000000000000000*
      ep^7+1172889725401/20155392000000000000000000*ep^8;
Fill mncpoch(26,3) = 1/82800+1727/1142640000*ep+1988929/15768432000000*ep^2+
      1909373183/217604361600000000*ep^3+1650177512641/3002940190080000000000*
      ep^4+1331475008462207/41440574623104000000000000*ep^5+1023461992024653889/
      571879929798835200000000000000*ep^6+758825097325880431103/
      7891943031223925760000000000000000*ep^7+547145208417642101484481/10890881\
      3830890175488000000000000000000*ep^8;
Fill mncpoch(26,4) = 1/7286400+25897/1106075520000*ep+419349709/
      167902263936000000*ep^2+5434888698673/25487563665484800000000*ep^3+
      61660980983420581/3869012164420592640000000000*ep^4+639896150373448908457/
      587316046559045962752000000000000*ep^5+6228408787629985336604029/89154575\
      867663177145753600000000000000*ep^6+57763375065327973509025679713/
      13533664616711270290725396480000000000000000*ep^7+
      515852722571680558744978976045461/205441028881677083013211518566400000000\
      0000000000*ep^8;
Fill mncpoch(26,5) = 1/765072000+77293/270988502400000*ep+32281213141/
      863857147950720000000*ep^2+43180200105919/11332525992746112000000000*ep^3
      +325026383495312428381/975397311711253507507200000000000*ep^4+
      9067023201396454893505133/345485727808125992359050240000000000000*ep^5+
      2109140187427861997700206597221/11013394031067440384421803550720000000000\
      00000*ep^6+51431038891758404123724663055755253/39009441658040873841622028\
      1766502400000000000000000*ep^7+10781019994702872402715017397949497023661/
      1243542981175026976323227014215256350720000000000000000000*ep^8;
Fill mncpoch(26,6) = 1/91808640000+95003/32518620288000000*ep+47423741311/
      103662857754086400000000*ep^2+2005739861477623/
      36717384216497402880000000000*ep^3+644721260016230758351/
      117047677405350420900864000000000000*ep^4+6828345572094633874633781/
      13819429112325039694362009600000000000000*ep^5+
      5374250189636353077533841657991/13216072837280928461306164260864000000000\
      0000000*ep^6+146609009750218217126848998818775863/46811329989649048609946\
      433811980288000000000000000000*ep^7+3414903005879015403056347931967418182\
      7231/149225157741003237158787241705830762086400000000000000000000*ep^8;
Fill mncpoch(26,7) = 1/12210549120000+2159257/82174553467776000000*ep+
      24003250077871/4977164789346950323200000000*ep^2+7419773629152308119/
      11165107866449035428357120000000000*ep^3+154978982451610392124305271/
      2028751458829975402895459146752000000000000*ep^4+
      105616534512514253417469418489157/136530915676339684664058609658116096000\
      00000000000*ep^5+589520723604852237203849900374421969671/8269431806867677\
      28866963468149470732574720000000000000000*ep^6+33985789079933417579025973\
      2877168388168503957/55651622173858094617288907479523081360813506560000000\
      00000000000*ep^7+1663371189082584002752365068243823646446431173094071/
      337071858215067184639887800600124989647802462802739200000000000000000000*
      ep^8;
Fill mncpoch(26,8) = 1/1758319073280000+22798213/106498221294237696000000*ep+
      292742957624539/6450405566993647618867200000000*ep^2+
      2788055769994822154017/390689454462784647709072343040000000000*ep^3+
      21934826439036018828120530251/2366335701579283309937263548771532800000000\
      0000*ep^4+150802951144335190496077978320185353/14332469404039434737294216\
      60747039529369600000000000000*ep^5+93719745781351076342185936662254531019\
      9859/86809187335774129105538357032458839622763806720000000000000000*ep^6+
      5383383347331113895198108690155304509065060010977/52578762203906346064900\
      68316413373490039482798178304000000000000000000*ep^7+29027924997005298788\
      010383144251311086888055357606707131/318460098491864034972811755802188488\
      219409402016623152332800000000000000000000*ep^8;
Fill mncpoch(26,9) = 1/269022818211840000+448137821/277001873586312247296000000
      *ep+111745615923383971/285217582955758116763450982400000000*ep^2+
      20465948812355266275007721/293676965335676129051784880467394560000000000*
      ep^3+3071604319871223567341377454165971/302387247921353081633783388951129\
      202212864000000000000*ep^4+400160170569766573843635807983178779476721/
      311355872262351661223192423997386323672976218521600000000000000*ep^5+
      46858649547701940982213908915234753331677433274971/3205905006201296540840\
      75577377694403601322489377219543040000000000000000*ep^6+50471544365292680\
      69166381469987817402904378309654766135721/3300990225142223275464168085573\
      70392995495553618654248354840576000000000000000000*ep^7+50818882313724163\
      0003774937954288181710958116029676709482157683971/33988956146258065324804\
      7003249096864429506154441651362168496134579814400000000000000000000*ep^8;
Fill mncpoch(26,10) = 1/43043650913894400000+1024983067/
      88640599547619919134720000000*ep+578905394915708359/182539253091685194728\
      608628736000000000*ep^2+238237013197051045137927343/375906515629665445186\
      284646998265036800000000000*ep^3+79808541626223034690723437421277311/
      774111354678663888982485475714890757664931840000000000000*ep^4+2307707734\
      3949009633725030873102963852989247/15941420659832405054627452108666179772\
      05638238830592000000000000000*ep^5+59691447725184405841186320522976084506\
      13680263657119/3282846726350127657820933912347590692877542291222728120729\
      600000000000000000*ep^6+1414309020998805565450701854132131144908486880144\
      438934780863/676042798109127326815061623925494564854774893811003900630713\
      4996480000000000000000000*ep^7+312128410970161049685795184204369983941478\
      484693271600992820183104351/139218764375073035570400052530830075670325720\
      85930039794421601672389197824000000000000000000000*ep^8;
Fill mncpoch(26,11) = 1/7102202400792576000000+1162270987/
      14625698925357286657228800000000*ep+738471161197285399/301189767601280571\
      30220423741440000000000*ep^2+339620182897811067213007423/6202457507889479\
      8455736966754713731072000000000000*ep^3+
      126434290126283088661377423469507471/127728373521979541682110103492956975\
      014713753600000000000000*ep^4+40434978052062952207221121676190827971039567
      /263033440887234683401352959792991966238930309407047680000000000000000*
      ep^5+11520378804531815001707428827288760745835522654787759/
      5416697098477710635404540955373524643247944780517501399203840000000000000\
      00000*ep^6+2995917864685065020859911206378644347081894447533128409352143/
      1115470616880060089244851679477066032010378574788156436040677274419200000\
      000000000000000*ep^7+7234317431036150814644090051127847987721098430546439\
      31405684443116911/2297109612188705086911600866758696248560374394178456566\
      079564275944217640960000000000000000000000*ep^8;
Fill mncpoch(26,12) = 1/1193170003333152768000000+1309365187/
      2457117419460024158414438400000000*ep+931071185886900799/5059988095701513\
      597877031188561920000000000*ep^2+476575354128896030721273223/104201286132\
      54326140563810414791906820096000000000000*ep^3+
      196535760581589747183498531188114071/214583667516925630025944973868167718\
      02471910604800000000000000*ep^4+99063212180290615424828701889259309647896\
      81/6312802581293632401632471035031807189734327425769144320000000000000000
      *ep^5+21720515566094887692103415456296121467482286719439159/
      9100051125442553867479628805027521400656547231269402350662451200000000000\
      0000000*ep^6+6190879725467339650019709420190157297444027426699655951129943
      /187399063635850094993135082152147093377743600564410281254833782102425600\
      000000000000000000*ep^7+1634074243617453033412338146508119834313801102163\
      088463812382504747511/385914414847702454601148945615460969758142898221980\
      703101366798358628563681280000000000000000000000*ep^8;
Fill mncpoch(26,13) = 1/201645730563302817792000000+19081066231/539828697055367\
      3076036521164800000000*ep+196645028828429677831/1445183200013309298689658\
      87776516997120000000000*ep^2+1451990857814111789529958793731/
      3868920813201038515708358860339331458953904128000000000000*ep^3+860336992\
      8895512082788588856419296424631/10357543776237042833399014333716367548711\
      7640354444083200000000000000*ep^4+887022765427935544872762116426385461428\
      224215419/565884285842781963922265623562429927122523814227773414912819200\
      00000000000000*ep^5+19434725020588004669072540373513680120586174077192163\
      9896431/74231912656941159104004960579374684570004951463339433247449761450\
      033152000000000000000000*ep^6+7886914677757153456691243964372196637064343\
      64505074360509178808747331/1987273252827159432676691417986747342328054464\
      340051273681638495524390896979148800000000000000000000*ep^7+
      2957131727903719405914010135668691697999535481109443138166986682740456249\
      108231/532015792136935934140097844651639703877805782359121633511350637922\
      82222425074316313886720000000000000000000000*ep^8;
Fill mncpoch(26,14) = 1/33876482734634873389056000000+21311994931/9069122110530\
      17076774135555686400000000*ep+244190569974252097531/242790777602235962179\
      86269146454855516160000000000*ep^2+1996762608639029054947065833431/
      649978696617774470639004288537007685104255893504000000000000*ep^3+
      13058004939595189941603875005009933794331/1740067354407823196011034408064\
      3497481835763579546605977600000000000000*ep^4+103707990700647881887772503\
      54968884670979415965033/6654799201511115895725843733094175942960880055318\
      6153593747537920000000000000000*ep^5+356302843217265974499074703803033708\
      142207994071333852926131/124709613263661147294728333773349470077608318458\
      41024785571559923605569536000000000000000000*ep^6+15835777066007143437125\
      78276595406710268309859848242900283663436607031/3338619064749627846896841\
      5822177355351111315000912861397851526724809767069249699840000000000000000\
      0000*ep^7+648998068223943247580406556392192281610969264793786586898104958\
      4607712328797931/89378653079005236935536437901475470251471371436332434429\
      90690717103413367412485140732968960000000000000000000000*ep^8;
Fill mncpoch(26,15) = 1/5589619651214754109194240000000+23745735331/14964051482\
      3747817667732366688256000000000*ep+301981525377014169931/4006047830436893\
      375967734409165051160166400000000000*ep^2+2731707247002693671680605745831/
      107246484941932787655435707608606268042202222428160000000000000*ep^3+
      19706271227598424439197301105110970066731/2871111134772908273418206773306\
      177084502900990625189986304000000000000000*ep^4+1722222027291677112220893\
      8250750772433064263198233/10980418682493341227947642159605390305885452091\
      275715342968343756800000000000000000*ep^5+6497037360085419765227873156367\
      36104553091546063743877918531/2057708618850408930363017507260266256280537\
      254563769089619307387394918973440000000000000000000*ep^6+3164787936955637\
      697071937287268083092057792700402037351226660239959431/
      5508721456836885947379788610659263632933366975150622130645501909593611566\
      4262004736000000000000000000000*ep^7+141922529418410209469310010462126622\
      67807661877731400412970362167670673914510331/1474747775803586409436351225\
      3743452591492776286994851680934639683220632056230600482209398784000000000\
      00000000000000*ep^8;
Fill mncpoch(26,16) = 1/894339144194360657471078400000000+26422849771/
      23942482371799650826837178670120960000000000*ep+372718518044908963171/
      640967652869902940154837505466408185626624000000000000*ep^2+
      3729517373716120025471118035071/17159437590709246024869713217377002886752\
      355588505600000000000000*ep^3+29690616043004725820159198999743970591971/
      4593777815636653237469130837289883335204641585000303978086400000000000000\
      00*ep^4+28577245550234430048121657499471935286592964935553/
      1756866989198934596471622745536862448941672334604114454874935001088000000\
      000000000000*ep^5+1185235633034250342991762004816730376866476499883422117\
      715771/329233379016065428858082801161642601004885960730203054339089181983\
      187035750400000000000000000000*ep^6+6337799364954170304870136151406301537\
      553678890160605019178930599792671/881395433093901751580766177705482181269\
      3387160240995409032803055349778506281920757760000000000000000000000*ep^7+
      3115926713958266020831804486190849842098681790970353002895075422013349445\
      4779571/23595964412857382550981619605989524146388442059191762689495423493\
      1530112899689607715350380544000000000000000000000000*ep^8;
Fill mncpoch(26,17) = 1/136833889061737180593074995200000000+9799140457/
      1221066600961782192168696112176168960000000000*ep+460163252768318626771/
      98068050889095149843690138336360452400873472000000000000*ep^2+
      1699435305588127330805044779557/87513131712617154726835537408622714722437\
      0135013785600000000000000*ep^3+44855892031124020386348673013739508935571/
      7028480057924079453327770181053521502863101625050465086472192000000000000\
      0000*ep^4+756162769569362443210669825262266440099425126831/
      4266676973768841162859655239160951661715489955467135104696270716928000000\
      000000000000*ep^5+2177159425042471404365114438944856611086083860825091872\
      139371/503727069894580106152866685777313179537475519917210673138806448434\
      27616469811200000000000000000000*ep^6+42713053197859448460355738640805353\
      26320863032596425289811844939418757/4495116708778898933061907506297959124\
      47362745172290765860672955822838703820377958645760000000000000000000000*
      ep^7+69275177637075229062869416679297159904399132902457132814739004121329\
      759693283171/361018255516717953030018779971639719439743163505633969149279\
      97944524107273652509980448608223232000000000000000000000000*ep^8;
Fill mncpoch(26,18) = 1/19704080024890154005402799308800000000+10914604807/
      175833590538496635672292240153368330240000000000*ep+569736925777242800821/
      14121799328029701577491379920435905145725779968000000000000*ep^2+
      2334956535171237716415021010907/12601890966616870280664317386841670920030\
      9299441985126400000000000000*ep^3+682969389951713517486759646932489859246\
      21/1012101128341067441279198906071707096412286634007266972451995648000000\
      0000000000*ep^4+2973630599840234034427407343344938034399714387389/
      1433603463186330630720844160358079758336404625036957395177946960887808000\
      000000000000000*ep^5+4057886475058709867886387068306376380984302373786424\
      191718421/725366980648195352860128027519330978533964748680783369319881285\
      7453576771652812800000000000000000000*ep^6+879773301906109986065604848907\
      7313056990870240175555989651308803210107/64729680606416144636091468090690\
      6113924202353048098702839369056384887733501344260449894400000000000000000\
      00000*ep^7+15759719552929997536003552399223112388416463915798306684570403\
      9228728118956952221/51986628794407385236322704315916119599323015544811291\
      55749631704011471447405961437184599584145408000000000000000000000000*ep^8
      ;
Fill mncpoch(26,19) = 1/2620642643310390482718572308070400000000+12189421207/
      23385867541620052544414867940397987921920000000000*ep+
      709590392327965354021/187819931062795030980635352941797538438152873574400\
      0000000000*ep^2+3239554004593362128352797755307/1676051498560043747328354\
      2124499422323641136825784021811200000000000000*ep^3+215235649303761208367\
      2314872905835543629/27471316340686116263292541736232049759762065780197246\
      395125596160000000000000000*ep^4+1532323029678598073919071355723812198554\
      8527498567/57200778181134592165761681998287382357622544538974600067600083\
      7394235392000000000000000000*ep^5+774987017360612098426682705432511124072\
      3711459629995742391621/96473808426209981930397027660071020145017311574544\
      1881195442110041325710629824102400000000000000000000*ep^6+
      18677394614245030031783541593894655798489805477779812493982322476594507/
      8609047520653347236600165256061851315191891295539712747763608449919006855\
      567878663983595520000000000000000000000*ep^7+3718894362009011164871271446\
      58042547642593732460934931851986133257989762018585421/
      6914221629656182236430919674016843906709961067459901777147010166335257025\
      04992871145551744691339264000000000000000000000000*ep^8;
Fill mncpoch(26,20) = 1/314477117197246857926228676968448000000000+13676707007/
      2806304104994406305329784152847758550630400000000000*ep+
      892660941428409759421/225383917275354037176762423530157046125783448289280\
      000000000000*ep^2+1522398648998155893373689092369/67042059942401749893134\
      1684979976892945645473031360872448000000000000000*ep^3+237999998941264017\
      47538639935879871037603/2307590572617633766116573505843492179820013525536\
      5686971905500774400000000000000000*ep^4+813670927728936429417815447996614\
      08656703790433101/2059228014520845317967420551938345764874411603403085602\
      43360301461924741120000000000000000000*ep^5+15373885838715783407894487906\
      128927488619806665621594680137021/115768570111451978316476433192085224174\
      020773889453025743453053204959085275578892288000000000000000000000*ep^6+
      41542756712988104930220621354951942621543705530304158435105655864196307/
      1033085702478401668392019830727422157823026955464765529731633013990280822\
      668145439678031462400000000000000000000000*ep^7+9279630055696380727717712\
      33733613603133524278292360532545331904456542824340450821/
      8297065955587418683717103608820212688051953280951882132576412199602308430\
      0599144537466209362960711680000000000000000000000000*ep^8;
Fill mncpoch(26,21) = 1/33020097305710920082254011081687040000000000+
      15461449967/294661931024412662059627336049014647816192000000000000*ep+
      1141013367248369100301/23665311313912173903560054470666489843207262070374\
      400000000000000*ep^2+27175356055378144046768769169/8690637399940967578739\
      61443492562639003614502077690019840000000000000000*ep^3+38953105974334350\
      937583048967184738055443/242297010124851545442240218113566678881101420181\
      3397132050077581312000000000000000000*ep^4+150888374430720816463802290859\
      179640920599774364381/216218941524688758386579157953526305311813218357323\
      98825552831653502097817600000000000000000000*ep^5+32339594571413381457175\
      551613024900065647013740909894944125901/121556998617024577232300254851689\
      48538272181258392567703062570586520703953935783690240000000000000000000000
      *ep^6+9926062045357235473570922858041477731841075114941635743097395102760\
      3267/10847399876023217518116208222637932657141783032380038062182146646897\
      9486380155271166193303552000000000000000000000000*ep^7+
      2522355247607345475458388590576948212424535676812455300849301909815640092\
      401703701/871191925336678961790295878926122332245455094499947623920523280\
      9582423851562910176433951983110874726400000000000000000000000000*ep^8;
Fill mncpoch(26,22) = 1/2905768562902560967238352975188459520000000000+
      17692378667/25930249930148314261247205572313289007824896000000000000*ep+
      1496247285303671486401/20825473956242713035132847934186511062022390621929\
      47200000000000000*ep^2+3313877510845979312582820505589/619468633867792169\
      0125597169214986490817764170809774461419520000000000000000*ep^3+674690574\
      13653368974336864053957492857743/2132213689098693599891713919399386774153\
      69249759578947620406827155456000000000000000000*ep^4+30140703097678788916\
      0339964345151760316983650288481/19027266854172610738018965899910314867439\
      56321544451096648649185508184607948800000000000000000000*ep^5+
      74701903106051405008809495290543173446287848881048034109322001/
      1069701587829816279644242242694867471367951950738545957869506211613821947\
      946348964741120000000000000000000000*ep^6+2659152400374815778451860844566\
      02381548812221679409302804039340599931967/9545711890900431415942263235921\
      3807382847690684944334947202890492701948014536638626250107125760000000000\
      00000000000000*ep^7+78614967145104060250833767244706716297948964031106630\
      14901998477676811081451479801/7666488942962774863754603734549876523760004\
      8315995390905006048724325329893753609552618777451375697592320000000000000\
      0000000000000*ep^8;
Fill mncpoch(26,23) = 1/200498030840276706739446355288003706880000000000+
      20666950267/1789187245180233684026057184489616941539917824000000000000*ep
      +2049525195209147041201/1436957702980747199424166507458869263279544952913\
      13356800000000000000*ep^2+16038091971691522786728986008367/
      1282300072106329789855998614027502203599277183357623313513840640000000000\
      000000*ep^3+128805925424315435942824305210467859314143/
      1471227445478098583925282604385576874166047823341094738580807107372646400\
      0000000000000000*ep^4+76061053183963837150831596268215719705069877380809/
      1458757125486566823248120718993124139837033179850745840763964375556274866\
      0940800000000000000000000*ep^5+202985113700301870879618321648614135688471\
      968146519720361956801/738094095602573232954527147459458555243886846009596\
      71092995928601353714408298078567137280000000000000000000000*ep^6+
      869708994473170434390565762872235168926287385524151501832657761281383567/
      6586541204721297677000161632785752709416490657261159111356999443996434413\
      00302806521125739167744000000000000000000000000*ep^7+31144601791530453649\
      963938760019438087878928956876192557940944040721459585395554601/
      5289877370644314655990676576839414801394403333803681972445417361978447762\
      6689990591306956441449231338700800000000000000000000000000*ep^8;
Fill mncpoch(26,24) = 1/9623905480333281923493425053824177930240000000000+
      25128807667/85880987768651216833250744855501613193916055552000000000000*
      ep+3058615603188773213401/68973969743075865572359992358025724637418157739\
      83041126400000000000000*ep^2+29685198634534814145864017025767/
      6155040346110382991308793347332010577276530480116591904866435072000000000\
      0000000*ep^3+299100226678847079441271790044939333118743/
      7061891738294873202841356501050768995997029552037254745187874115388702720\
      00000000000000000*ep^4+673030679468121933076970256079066791124185809891827
      /210061026070065622547729383535009876136532777898507401070010870080103580\
      7175475200000000000000000000*ep^5+770545861128944906096755593408540894485\
      023792591438763761749001/354285165889235151818173030780540106517065686084\
      6064212463804572864978291598307771222589440000000000000000000000*ep^6+
      4307774746990725617850679823313524582186909983674327726569869378335840967/
      3161539778266222884960077583737161300519915515485356373451359733118288518\
      2414534713014035480051712000000000000000000000000*ep^7+
      2041306914830737251143535895421587176818920814009967977693294787655720049\
      19884506801/2539141137909271034875524756882919104669313600225767346773800\
      333749654926081119548382733909189563104257638400000000000000000000000000*
      ep^8;
Fill mncpoch(27,0) = 1;
Fill mncpoch(27,1) = 1/26+1/676*ep+1/17576*ep^2+1/456976*ep^3+1/11881376*ep^4+1/
      308915776*ep^5+1/8031810176*ep^6+1/208827064576*ep^7+1/5429503678976*ep^8
      ;
Fill mncpoch(27,2) = 1/1300+51/845000*ep+1951/549250000*ep^2+66351/357012500000
      *ep^3+2115751/232058125000000*ep^4+64775151/150837781250000000*ep^5+
      1928294551/98044557812500000000*ep^6+56239173951/63728962578125000000000*
      ep^7+1614806413351/41423825675781250000000000*ep^8;
Fill mncpoch(27,3) = 1/93600+937/730080000*ep+585469/5694624000000*ep^2+
      304931953/44418067200000000*ep^3+142975097461/346460924160000000000*ep^4+
      62585037048457/2702395208448000000000000*ep^5+26097993717321709/
      21078682625894400000000000000*ep^6+10496999241220388833/
      164413724481976320000000000000000*ep^7+4105861953720966394021/12824270509\
      59415296000000000000000000*ep^8;
Fill mncpoch(27,4) = 1/8611200+29351/1544849280000*ep+538650901/
      277145960832000000*ep^2+7911584099951/49719985373260800000000*ep^3+
      101720650228201501/8919765375962987520000000000*ep^4+
      1196239836891548580551/1600205908447759961088000000000000*ep^5+
      13194110428814212819112101/287076939975528137019187200000000000000*ep^6+
      138654511478397731222907421151/515016030316097477812421836800000000000000\
      00*ep^7+1403039284555162806001952062382701/923938758387078875195484775219\
      2000000000000000000*ep^8;
Fill mncpoch(27,5) = 1/947232000+412561/1869267628800000*ep+102183480721/
      3688812738673920000000*ep^2+19696176657708481/
      7279503058499113728000000000*ep^3+3256039086187548921841/
      14365371335642151030835200000000000*ep^4+484722328002243928735456801/
      28348623793756220844250183680000000000000*ep^5+
      66853764287181816083609527809361/5594317419459852621404331247411200000000\
      0000000*ep^6+8698766831661208297052610677638235521/1103982599556207316307\
      93072836412620800000000000000000*ep^7+10810333158362956661130177056921477\
      06351281/217859926196421951800207049935376665886720000000000000000000*
      ep^8;
Fill mncpoch(27,6) = 1/119351232000+1181909/549564682867200000*ep+7339369775929/
      22774729848572782080000000*ep^2+3861208677400035061/
      104868521060738232365568000000000*ep^3+15437459049917534150717641/
      4345898328686477382754449715200000000000*ep^4+
      2033498747752163074955431856023/66703744814232512522103797195366400000000\
      00000*ep^5+19903997801065009316771725011270876889/82928897110336057333005\
      3690327617138688000000000000000*ep^6+675221942879577653105067962256940273\
      7751701/3818543996342534095955565222482545876802764800000000000000000*
      ep^7+19556771760951978498679401749970258152400777813481/15824580917002949\
      2484132960610988176698934097182720000000000000000000*ep^8;
Fill mncpoch(27,7) = 1/16709172480000+470713/25646351867136000000*ep+
      10265420633659/3188462178800189491200000000*ep^2+6224616469887346631/
      14681592948503352531179520000000000*ep^3+28335300098677008484413811/
      608425766016106833585622960128000000000000*ep^4+
      12624132384974896888232887274599/2801557282197765525928359482205388800000\
      000000000*ep^5+46062083791999943911972443746349226819/1161004559544704802\
      66207516645866399416320000000000000000*ep^6+19285658866919915131004550384\
      76820580921119/5939957327643941927041990346083960252804300800000000000000\
      0000*ep^7+55521883412492852189629940594160248742383785230451/
      22154413283804128947778614485538344737850773605580800000000000000000000*
      ep^8;
Fill mncpoch(27,8) = 1/2539794216960000+31435241/222199992576866304000000*ep+
      5008537245128299/174957296675123997761126400000000*ep^2+
      65756954965875076117429/15306558997135243241726769807360000000000*ep^3+
      6417744917682501802110114423931/12052179446453728916276219407599845376000\
      000000000*ep^4+20269916607421601669350932274726663967/3514712813678919877\
      29941372600150237449420800000000000000*ep^5+46870724789748628035500492380\
      79512625734783939/8302313317017234641577607667128963648634763470438400000\
      00000000000*ep^6+37097108822908679965921661964072211551188943886722869/
      72634780609121361398155679301717849431356900564363247616000000000000000000
      *ep^7+2480315532664812332064220944659907728749957484264806374738091/
      5719165294556199773866504659606999162306804332191205870532034560000000000\
      0000000000*ep^8;
Fill mncpoch(27,9) = 1/411446663147520000+326660869/323967589177071071232000000
      *ep+59366190261429991/255087738552330788735722291200000000*ep^2+
      7923210169174796262818449/200852667160408661817938673412177920000000000*
      ep^3+866427867009614181252770655859711/1581486986963658308393765510665251\
      71023872000000000000*ep^4+82231068306539502711337312623557654166529/
      124524166160955923900791848663997628226905092915200000000000000*ep^5+
      7013967019853447028541911896771083660725052108831/98048659811310137670103\
      231027259634897646829633183416320000000000000000*ep^6+5502110001134670800\
      38840855585063032317009122773859358209/7720220088338413084559450472756847\
      1239299485185651537352589312000000000000000000*ep^7+403416151354773036197\
      68396352369976375094023018144266232343648351/6078797846608482728046778205\
      6124064836309808022080532780828299572019200000000000000000000*ep^8;
Fill mncpoch(27,10) = 1/69945932735078400000+6340621373/
      936266332721735395860480000000*ep+22149349290327069199/125324605950760116\
      50586036166656000000000*ep^2+56366832391078817943792373337/16775415613904\
      4918436960559420585120563200000000000*ep^3+116747410389691406825194325895\
      810006631/2245485368849258994781046716676632297544418263040000000000000*
      ep^4+208681704478062050570517817296140495539085910953/3005710652877538719\
      1141124017648005671632693366920511488000000000000000*ep^5+333613290676623\
      000127023452200462166970359557838689201639/402331569564014322829974715927\
      381454103648908943375598183553433600000000000000000*ep^6+4884554863172408\
      14604139309287343827381741351792028367071359354057/5385438272738436240074\
      734884220454410845378754112779781204143338010705920000000000000000000*
      ep^7+66601662658594279020459922221779219995665256321037426623362583902271\
      3065991/72087172828383630006616897188591533233179280349522660704008263590\
      091308465127424000000000000000000000*ep^8;
Fill mncpoch(27,11) = 1/12310484161373798400000+14354439271/
      329565749118050859342888960000000*ep+112615195067869010071/88228522589335\
      12202012569461325824000000000*ep^2+639362012178386110356326189971/
      236197851843775245159240467664183849752985600000000000*ep^3+2937736863228\
      945829159580707158927156871/632328679867951332930342755416139654988508182\
      8720640000000000000*ep^4+115932256542170580590196242631518553988554362237\
      71/1692816239700629806605068104673935679426353290424963207004160000000000\
      00000*ep^5+40748995481480705148204381164740948686770416568648868500671/
      4531862799569057332356835200206024699023501310338182737939545876070400000\
      000000000000*ep^6+1307033798854610419778550121434000177727704675048453417\
      05638674687571/1213231534082514916164036274717183969675246925726527029109\
      66941118705182965760000000000000000000*ep^7+38919269743610966775260353415\
      9924514611240842033588458560120418182663802784471/
      3247959658955652833578130919729180121354125655428093000679796324315153994\
      204781215744000000000000000000000*ep^8;
Fill mncpoch(27,12) = 1/2215887149047283712000000+16139182231/
      59321834841249154681720012800000000*ep+141419486934803353831/158811340660\
      8032196362262503038648320000000000*ep^2+891759445892088375090592469731/
      42515613331879544128663284179553092955537408000000000000*ep^3+45292982562\
      98351476300354979740342500631/1138191623762312399274616959749051378979314\
      729169715200000000000000*ep^4+1967685883088581651595228965874437430484540\
      9031531/30470692314611336518891225884130842229674359227649337726074880000\
      000000000000*ep^5+7586713075481799673890195782906577316694815422599423877\
      2431/81573530392243031982423033603708444582423023586087289282911825769267\
      2000000000000000000*ep^6+266106707395521947738913239509042039809438090444\
      682808355293944023331/218381676134852684909526529449093114541544446630774\
      86523974049401366932933836800000000000000000000*ep^7+86412477006904739950\
      5116856424481151505175215510579370205260463508937880784231/
      5846327386120175100440635655512524218437426179770567401223633383767277189\
      56860618833920000000000000000000000*ep^8;
Fill mncpoch(27,13) = 1/403291461126605635584000000+18051406831/107965739411073\
      46152073042329600000000*ep+175937831141649596431/289036640002661859737931\
      775553033994240000000000*ep^2+1228192094671796817966022872331/
      7737841626402077031416717720678662917907808256000000000000*ep^3+687787739\
      3255290277816705880374340043231/20715087552474085666798028667432735097423\
      5280708888166400000000000000*ep^4+468984359686463666647631841916583493489\
      6684387733/79223800017989474949117187298740189797153333991888278087794688\
      0000000000000000*ep^5+138643370827357284464788037618999920461290022638607\
      104595031/148463825313882318208009921158749369140009902926678866494899522\
      900066304000000000000000000*ep^6+5312239717185169000816787588298191151135\
      60219468784223496685259985931/3974546505654318865353382835973494684656108\
      928680102547363276991048781793958297600000000000000000000*ep^7+
      1879944316898899691357044988356328476975556860760187494467520036111430792\
      886831/106403158427387186828019568930327940775561156471824326702270127584\
      564444850148632627773440000000000000000000000*ep^8;
Fill mncpoch(27,14) = 1/73399045925042225676288000000+20110725631/1964976457281\
      536999677293703987200000000*ep+217352226515209759231/52604668480484458472\
      303583150652186951680000000000*ep^2+1675789620956426761093894715131/
      1408287176005178019717842625163516651059221102592000000000000*ep^3+
      10328862464535733887760471832464252806031/3770145934550283591357241217472\
      7577877310821089017646284800000000000000*ep^4+772847511912646096174235121\
      0803561525098454628133/14418731603274084440739328088370714543081906786523\
      6666119786332160000000000000000*ep^5+250051129584402808916662769851273681\
      950433458905236175197831/270204162071265819138578056508923851834818023326\
      55553702071713167812067328000000000000000000*ep^6+10461589638329137912565\
      70034044620212299308509541364497521672357508731/7233674640290860334943156\
      7614717603260741182501977866362011641237087828650041016320000000000000000\
      0000*ep^7+403431913890853912047097528298105491902351410145869878186645332\
      9369481705329631/19365374833784468002699561545319685221152130477872027459\
      813163220390728962727051138254766080000000000000000000000*ep^8;
Fill mncpoch(27,15) = 1/13211828266507600621731840000000+22341654331/3536957623\
      10676659941912866717696000000000*ep+267194864367716958931/946884032648720\
      2525014644967117393651302400000000000*ep^2+
      2271882312366973878249783934831/25349169168093204354921167252943299719065\
      9798466560000000000000*ep^3+15397269918217580844898220581477660355731/
      6786262682190510464443034191450964017915947796023176331264000000000000000
      *ep^4+12635648170869068669092878192824875938877382825233/
      2595371688589335199333079055906728617754743221574259990156153978880000000\
      0000000000*ep^5+447375740616862973569713504333113730592300452785131862407\
      531/486367491728278474449440501716062933302672441987799966637290837020617\
      2119040000000000000000000*ep^6+204422234325882910296058534163893799424173\
      9588682710102651084361548431/13020614352523548602897682170649168586933412\
      8503560159451620954226758091570073829376000000000000000000000*ep^7+
      8594833433665912494661000090442666727897845687777151943650703517669052863\
      199331/348576747008120424048592107815754333980738348601696494276636937967\
      0331213290869204885857894400000000000000000000000*ep^8;
Fill mncpoch(27,16) = 1/2325281774905337709424803840000000+24775394731/
      62250454166679092149776664542314496000000000*ep+327491743450498791331/
      1666515897461747644402577514212661282629222400000000000*ep^2+
      3068912199068888186863208407231/44614537735844039664661254365180207505556\
      124530114560000000000000*ep^3+22866205521144376408349960155775397188131/
      1194382232065529841741974017695369667153206812100079034302464000000000000\
      000*ep^4+20585706481085086254494048959896429862134642138433/
      4567854171917229950826219138395842367248348069970697582674831002828800000\
      000000000000*ep^5+7980775992957732453550414439260591787910050144680593559\
      59931/8560067854417701150310152830202707626127034978985279412816318731562\
      86292951040000000000000000000*ep^6+39865360389999639994202620473961228304\
      56231648996210666848749217460831/2291628126044144554109992062034253671300\
      2806616626588063485287943909424116332993970176000000000000000000000*ep^7+
      1829702724783610047859566841377732566374152708369784929047144517767186268\
      5471731/61349507473429194632552210975572762780609949353898582992688101082\
      1978293539192980059910989414400000000000000000000000*ep^8;
Fill mncpoch(27,17) = 1/395297901733907410602216652800000000+27452509171/
      10582577208335445665462032972193464320000000000*ep+400985252166415320571/
      283307702568497099548438177416152418046967808000000000000*ep^2+
      4142395607870639924601061552471/75844714150934867429924132420806352759445\
      41170119475200000000000000*ep^3+33955872619167444202539973277224328969371/
      2030449794511400730961355830082128434160451580570134358314188800000000000\
      00000*ep^4+33571957468452769919138912836706626176879416683753/
      7765352092259290916404572535272932024322191718950185890547212704808960000\
      00000000000000*ep^5+14272094041207985290147123553733998756636461782680238\
      43813171/1455211535251009195552725981134460296441595946427497500178774184\
      36568669801676800000000000000000000*ep^6+78073389436755492457763074664126\
      63229489583415888351489385293963750071/3895767814275045741986986505458231\
      2412104771248265199707924989504646020997766089749299200000000000000000000\
      00*ep^7+39198167071924260039394530141990481394265124675957080490500322371\
      672014310596971/104294162704829630875338758658473696727036913901627591087\
      569771839736309901662806610184868200448000000000000000000000000*ep^8;
Fill mncpoch(27,18) = 1/64038260080893000517559097753600000000+10142360257/
      571459169250114065934949780498447073280000000000*ep+491492782498738024171/
      45895847816096530126846984741416691723608784896000000000000*ep^2+
      1868125360098787695713410565357/40956145641504828412159031507235430490100\
      5223186451660800000000000000*ep^3+506264905433363254248356316977769571529\
      71/3289328667108469184157396444733048063339931560523617660468985856000000\
      0000000000*ep^4+2040189541042572445984372458059330704337567772539/
      4659211255355574549842743521163759214593315031370111534328327622885376000\
      000000000000000*ep^5+2574191789059827632491797894953274882780315575120010\
      240076771/235744268710663489679541608943782568023538543321254595028961417\
      86724124507871641600000000000000000000*ep^6+51548189107887010740938822392\
      26819340933746388226000180408946266684557/2103714619708524700672972712947\
      4448702536576474063207842279494332508851338793688464621568000000000000000\
      0000000*ep^7+851983008774492714870620036696359897038818431400159840452183\
      06224089742542940571/1689565435818240020180487890267273886977998005206366\
      9756186303038037282204069374670849948648472576000000000000000000000000*
      ep^8;
Fill mncpoch(27,19) = 1/9733815532295736078668982858547200000000+11257824607/
      86861793726017338022112366635763955138560000000000*ep+
      604512100567689368221/697616886804667257928074168069533714198853530419200\
      0000000000*ep^2+2542437057425659947837958986707/6225334137508733918648172\
      7890997854344952793924340652441600000000000000*ep^3+761504716404313634481\
      60557135680998712021/4999779574004873159919242595994233056276695971995898\
      843912858501120000000000000000*ep^4+1016547987791758422120626854374895720\
      9948671981967/21246003324421419947282910456506742018545516543047708596537\
      17396035731456000000000000000000*ep^5+47173063355026575280617600342410881\
      57963852062082608170225821/3583312884402085043129032455945495033957785858\
      483069844440213551582066925196489523200000000000000000000*ep^6+
      10416805956071054876905900155677532486349591952153136349314581041665907/
      3197646221956957545022918523680116202785559624057607592026483138541345403\
      4966406466224783360000000000000000000000*ep^7+189774482041233621525801533\
      024495627964290326277079548090364365008567397363179621/
      2568139462443724830674341593206256308206556967913677802940318061781666895\
      018544949969192194567831552000000000000000000000000*ep^8;
Fill mncpoch(27,20) = 1/1362734174521403051013657600196608000000000+12532641007/
      12160651121642427323095731329006953719398400000000000*ep+
      748303447187014401421/976663641526534161099303835297347199878394942586880\
      000000000000*ep^2+3496386564076199773805633091107/87154677925122274861074\
      41904739699608293391149407691341824000000000000000*ep^3+16609390004863896\
      620010565775430582643603/999955914800974631983848519198846611255339194399\
      17976878257170022400000000000000000*ep^4+57411513784388142047458714505604\
      99493940719492789/9914801551396662642065358213036479608654574386755597345\
      0506811815000801280000000000000000000*ep^5+886713053501266015234237806172\
      4488165951028079779033268979021/50166380381629190603806454383236930475409\
      0020187629778221629897221489369527508533248000000000000000000000*ep^6+
      21720769383045968246738462123764122281909884145115956336754648268410307/
      4476704710739740563032085933152162683899783473680650628837076393957883564\
      895296905271469670400000000000000000000000*ep^7+4389844193123575619991944\
      75259875623313547618949723757448373100507776948996892821/
      3595395247421214762944078230488758831489179755079148924116445286494333653\
      02596292995686907239496417280000000000000000000000000*ep^8;
Fill mncpoch(27,21) = 1/171704505989696784427720857624772608000000000+
      14019926807/1532242041326945842710062147454876168644198400000000000*ep+
      935968189700828366821/123059618832343304298512283247465747184677762765946\
      880000000000000*ep^2+543159862429994228001744170323/122016549095171184805\
      504186666355794516107476091707678785536000000000000000*ep^3+2595718286090\
      5153285797062184014657555803/12599444526492280362996491341905467301817273\
      849429665086660403422822400000000000000000*ep^4+9027611188297693747150215\
      5323046482620074984932501/11243384959283815436102116213583367876214287354\
      5808473892874724598210908651520000000000000000000*ep^5+173259124298267203\
      84560120859450259285420440241374363103484421/6320963928085278016079613252\
      2878532399015342543641352055925367049907660560466075189248000000000000000\
      000000*ep^6+4748935291197074593526526912430828872343385194586061906461095\
      8142932107/56406479355320731094204282757717249817137271768376197923347162\
      5638693329176807410064205178470400000000000000000000000*ep^7+
      1074656581446822226003544261275734997079517276095151565074419545641172586\
      943518221/453019801175073060130953857041583612767636649139972764438672106\
      09828604028127132917456550312176548577280000000000000000000000000*ep^8;
Fill mncpoch(27,22) = 1/18887495658866646287049294338724986880000000000+
      15804669767/168546624545964042698106836220036378550861824000000000000*ep+
      1189833647616831179701/13536558071557763472836351157221232190314553904254\
      156800000000000000*ep^2+2337328662675069425831850729289/
      4026546120140649098581638159989741219031546711026353399922688000000000000\
      0000*ep^3+42047373382293683711817807725082376269643/138593889791415083992\
      9614047609601403199900123437263159532644376510464000000000000000000*ep^4+
      165319865513516978128635656463020869087391390895781/
      1236772345521219697971232783494170466383571609003893212821621970580319995\
      1667200000000000000000000*ep^5+359142807956006817125601779829236240609390\
      55050323116810945301/6953060320893805817687574577516638563891687679800548\
      726151790375489842661651268270817280000000000000000000000*ep^6+
      111587112725382261592957790355678226983881441435977247518203235047763067/
      6204712729085280420362471103348897479885099894521381771568187882025626620\
      9448815107062569631744000000000000000000000000*ep^7+286704540621699386818\
      5732478505808501792397200792765714129035806047656165129843101/
      4983217812925803661440492427457419740444003140539700408825393167081146443\
      093984620920220534339420343500800000000000000000000000000*ep^8;
Fill mncpoch(27,23) = 1/1737649600615731458408535079162698792960000000000+
      18035598467/15506289458228691928225828932243346826679287808000000000000*
      ep+1551958855792187905801/12453633425833142395009443064643533615089389591\
      91382425600000000000000*ep^2+1163810615625684612482211064063/
      1234807476843132390231702369063520640503007658048081709309624320000000000\
      000000*ep^3+10298740254713070509646021003263411098849/
      1821519694401455389621778462572618987062725876517545866814332609128038400\
      0000000000000000*ep^4+326150151970109872984286202141902831449636788359881/
      1137830557879522122133534160814636829072885880283581755795892212933894395\
      553382400000000000000000000*ep^5+8175419807158790015358209843738309151635\
      1265941179837254481401/63968154952223013522725686113153074787803526654165\
      0482805964714545065524871916680915189760000000000000000000000*ep^6+
      293974899548772362618318501565861318742435999905487858310554996154871767/
      5708335710758457986733473415080985681494291902959671229842732851463576491\
      269290989849756406120448000000000000000000000000*ep^7+8769578770563753689\
      973857496464283107613532621713917069587991690700293793509959201/
      4584560387891739368525253033260826161208482889296524376119361713714654727\
      64646585124660289159226671602073600000000000000000000000000*ep^8;
Fill mncpoch(27,24) = 1/125110771244332665005414525699714313093120000000000+
      21010170067/1116452840992465818832259683121520971520908722176000000000000
      *ep+2114425152524402580601/8966616066599862524406799006543344202864360506\
      1779534643200000000000000*ep^2+16763804549655917735562345108167/
      8001552449943497888701431351531613750459489624151569476326365593600000000\
      00000000*ep^3+136203500681879428426559369321897074308343/
      9180459259783335163693763451365999694796138417648431168744236350005313536\
      000000000000000000*ep^4+2437657389730030184687207959469097089367745064062\
      27/2730793338910853093120481985955128389774926112680596213910141311041346\
      5493281177600000000000000000000*ep^5+218797841825786301843883915980513837\
      102226842347216226854236201/460570715656005697363624940014702138472185391\
      90998834762029459447244717790778001025893662720000000000000000000000*ep^6
      +944804745985048443752163231738283931993746261909194585770323339341363367/
      4110001711746089750448100858858309690675890170130963285486767653053775073\
      71388951269182461240672256000000000000000000000000*ep^7+
      3406308305513480581865829718570054525921789369624518501294350304289813338\
      4337154001/33008834792820523453381821839477948360701076802934975508059404\
      338745514039054554128975540819464320355349299200000000000000000000000000*
      ep^8;
Fill mncpoch(27,25) = 1/6255538562216633250270726284985715654656000000000000+
      25472027467/55822642049623290941612984156076048576045436108800000000000000
      *ep+3137298140744137432801/4483308033299931262203399503271672101432180253\
      088976732160000000000000000*ep^2+30761981474941388846722489685567/
      4000776224971748944350715675765806875229744812075784738163182796800000000\
      0000000000*ep^3+312674953845261050359164491771859521352943/
      4590229629891667581846881725682999847398069208824215584372118175002656768\
      00000000000000000000*ep^4+70880275784271517596099104442341321463980341851\
      5627/13653966694554265465602409929775641948874630563402981069550706555206\
      73274664058880000000000000000000000*ep^5+81652486273754145645116156652754\
      3149266923538445123975170708401/23028535782800284868181247000735106923609\
      26959549941738101472972362235889538900051294683136000000000000000000000000
      *ep^6+4588022247074532049025556205944794636369673627154755488303164881585\
      380767/205500085587304487522405042942915484533794508506548164274338382652\
      68875368569447563459123062033612800000000000000000000000000*ep^7+
      2183029921854019683889948639051968987171149303763927654990283100757948275\
      47846786201/1650441739641026172669091091973897418035053840146748775402970\
      2169372757019527277064487770409732160177674649600000000000000000000000000\
      00*ep^8;
Fill mncpoch(28,0) = 1;
Fill mncpoch(28,1) = 1/27+1/729*ep+1/19683*ep^2+1/531441*ep^3+1/14348907*ep^4+1/
      387420489*ep^5+1/10460353203*ep^6+1/282429536481*ep^7+1/7625597484987*
      ep^8;
Fill mncpoch(28,2) = 1/1404+53/985608*ep+2107/691896816*ep^2+74465/485711564832
      *ep^3+2467531/340969518512064*ep^4+78504713/239360601995468928*ep^5+
      2428543027/168031142600819187456*ep^6+73602471905/
      117957862105775069594112*ep^7+2196093806011/82806419198254098855066624*
      ep^8;
Fill mncpoch(28,3) = 1/105300+2027/1848015000*ep+2739829/32432663250000*ep^2+
      3086875583/569193240037500000*ep^3+3130865956141/9989341362658125000000*
      ep^4+2964515489101607/175312940914650093750000000*ep^5+
      2673995885800499989/3076742113052109145312500000000*ep^6+
      2326378949142742007903/53996824084064515500234375000000000*ep^7+
      1968215343772051325094781/947644262675332247029113281250000000000*ep^8;
Fill mncpoch(28,4) = 1/10108800+11033/709637760000*ep+76108789/
      49816570752000000*ep^2+420178245137/3497123266790400000000*ep^3+
      2030523051797821/245498053328686080000000000*ep^4+8974943787348671993/
      17233963343673762816000000000000*ep^5+37204397726233713534469/12098242267\
      25898149683200000000000000*ep^6+146938256051988297145804577/8492966071615\
      8050107760640000000000000000*ep^7+558783359721510924792889955341/
      5962062182274295117564796928000000000000000000*ep^8;
Fill mncpoch(28,5) = 1/1162512000+323959/1876991875200000*ep+63003471181/
      3030591081697920000000*ep^2+9535152385488079/4893192360509461632000000000
      *ep^3+1237591298799417172261/7900548385278576751027200000000000*ep^4+
      144644725796814199034163799/12756225422870790022208517120000000000000*
      ep^5+15661645843048943177044749247741/20596201567767177569857871741952000\
      000000000000*ep^6+1599746651525647320096774290250089119/33254627051316884\
      904292519714555699200000000000000000*ep^7+1560610903955194121613302584417\
      18054489621/53692920837056242366470702331121631928320000000000000000000*
      ep^8;
Fill mncpoch(28,6) = 1/153451584000+4370849/2725392202790400000*ep+
      11152006410601/48404600756879178240000000*ep^2+21694302600362820449/
      859694752202628333049344000000000*ep^3+35633384694995171767551001/
      15268694615970000771956179046400000000000*ep^4+
      52062009198572325736595037100049/2711811775963967957104049135714918400000\
      00000000*ep^5+69775220997365067390821746472946851401/48163404228185649298\
      94217507977837973504000000000000000*ep^6+87504072466130519117027973070117\
      112563219649/855410957135114042938792394721911891122151424000000000000000\
      00*ep^7+104095118406730556687857228330513030850179406311801/
      1519261184529390647101871620569798833346408258109440000000000000000000*
      ep^8;
Fill mncpoch(28,7) = 1/22557382848000+36516143/2804428576671321600000*ep+
      762631183908049/348658339251800720862720000000*ep^2+
      11956074926896879103807/43346669100808723180680973824000000000*ep^3+
      156338111434898311084248154801/538903995862276386245961752588974080000000\
      0000*ep^4+1800559075917290059935918714593403743/6699880816238082189892019\
      81212221313167360000000000000*ep^5+18868654816364543426295413624931592959\
      784849/83295732257414657779257344952624444982481498112000000000000000*
      ep^6+183769576594815896097548675768403473872169862446207/1035567527631727\
      1396679946005359072022891026267575910400000000000000000*ep^7+
      1688040290042867788001423708021072096776165111339711398001/
      1287461044187923712575116943159462341988308527895360999751680000000000000\
      000000*ep^8;
Fill mncpoch(28,8) = 1/3609181255680000+42732353/448708572267411456000000*ep+
      1028264463950179/55785334280288115338035200000000*ep^2+
      18347982770348621305397/6935467056129395708908955811840000000000*ep^3+
      270393025411767114329070040171/862246393379642217993538804142358528000000\
      000000*ep^4+3481378904412170913699427189004775653/10719809305980931503827\
      2316993955410106777600000000000000*ep^5+405096371757605243817429299114949\
      69421719979/1332731716118634524468117519241991119719703969792000000000000\
      0000*ep^6+435585988303150225364582894113537617741159813105797/
      1656908044210763423468791360857451523662564202812145664000000000000000000
      *ep^7+4395734266392793250414997540238585771554940153166097767371/
      2059937670700677940120187109055139747181293644632577599602688000000000000\
      00000000*ep^8;
Fill mncpoch(28,9) = 1/617169994721280000+936238907/
      1457854151296819820544000000*ep+487600624607664019/3443684470456465647932\
      250931200000000*ep^2+186469371395669336564677823/813453301999655080362651\
      6273193205760000000000*ep^3+58420544887956375839413055307341491/
      19215066891608448446984250954582808279400448000000000000*ep^4+15883326330\
      595338048374594533908520984999847/453890585656684342618386288380271354887\
      06906367590400000000000000*ep^5+38804934093142066411548092189600826081561\
      94925753899/1072162095036676355422578831283084107605768082038860657459200\
      00000000000000*ep^6+87179724356683184042114035287075783600514018320620664\
      5426783/25326181999794164123897277275878836990052196115152986828516923801\
      6000000000000000000*ep^7+183040724893417406931388347594876626986959199851\
      243693403483186383811/598244890073973827680723677105344984086542975649305\
      563362521710238026956800000000000000000000*ep^8;
Fill mncpoch(28,10) = 1/111090599049830400000+1067470007/
      262413747233427567697920000000*ep+627685887843281719/61986320468216381662\
      7805167616000000000*ep^2+268841280911819824158938723/14642159435993791446\
      52772929174777036800000000000*ep^3+93700881907423494365597158759226791/
      3458712040489520720457165171824905490292080640000000000000*ep^4+
      28179796134276621379815711834756487917399947/8170030541820318167130953190\
      844884387967243146166272000000000000000*ep^5+7578559053791075369111542880\
      318194749693299110505599/192989177106601743976064189630955139369038254766\
      99491834265600000000000000000*ep^6+18663398846107938312925541477520828830\
      21616488106877958355683/4558712759962949542301509909658190658209395300727\
      5376291330462842880000000000000000000*ep^7+427962560924764953285124650213\
      944991017057255363646205444253657725111/107684080213315288982530261878962\
      097135577735616875001405253907842844852224000000000000000000000*ep^8;
Fill mncpoch(28,11) = 1/20773942022318284800000+20509149919/
      834213302455066237711687680000000*ep+229847111057543472991/33499267170638\
      179142016474673471488000000000*ep^2+1863752819006035474744591907899/
      1345220578079001200945986725993672081796300800000000000*ep^3+122284733439\
      82650628724630568973701071311/5401964151840662363744764086308974318202607\
      0153953280000000000000*ep^4+688968889483529900150990447584426465928035140\
      45379/2169251435288248468971846061477674217327403112984020234600448000000\
      000000000*ep^5+3456734535003205025295986915169330981132871662941971703130\
      31/8711001512101343307888631566958514077234333622205708088951570456903680\
      0000000000000000*ep^6+158236736740379264040038888300313600685776713012076\
      4112591815468582459/34980521902362511369419032219616697375660964705676608\
      66303558059628135912570880000000000000000000*ep^7+67231676029534143067443\
      80197139360162383857139558630310566227472471057825749151/
      1404702904553264239526037983489416677142381097368457985330624705721329552\
      27391205572608000000000000000000000*ep^8;
Fill mncpoch(28,12) = 1/3988596868285110681600000+46037889413/
      320337908142745435281288069120000000*ep+1150479753982671561439/2572743718\
      7050121581068652549226102784000000000*ep^2+
      20684958731388266698404911661617/2066258807929345844653035611126280317639\
      118028800000000000*ep^3+299485576711104178856227052809027837983751/
      165948338744545147814239152731411691055184087512944476160000000000000*
      ep^4+3707995125069217003408822170383335292397737988447953/
      1332788081841099859336302220171883039125956472617382032138515251200000000\
      0000000*ep^5+407357146979687749856179794865687818666996410032234342089239\
      59/1070407865807013065673355046947862209810554915496637409970368977744324\
      198400000000000000000*ep^6+4070195918557837945645785617877459188563287502\
      91480698162565456542682177/8596813062724610794148421358292999547042438686\
      0670833450276242873421068187341946880000000000000000000*ep^7+
      3764202206456121301176861543485938978610291145462904083315489453869353801\
      599287431/690439571646020439011838189644718085149023156978544468949708655\
      3561479015336732536304828416000000000000000000000*ep^8;
Fill mncpoch(28,13) = 1/777776389315596582912000000+51392118293/624658920878353\
      59879851173478400000000*ep+1425644917951428463279/50168502514747737083083\
      87247099090042880000000000*ep^2+28318187923709035413747352959137/
      402920467546222439707341944169624661939628015616000000000000*ep^3+
      451107636321494332985455879046392623260311/323599260551863038237766347826\
      25279755760897065024172851200000000000000*ep^4+61233286594502989258358866\
      57939317535677054902429633/2598936759590144725705789329335171926295615121\
      603894962670104739840000000000000000*ep^5+7352141784812925041896146197091\
      4157103712158715157757385324999/20872953383236754780630423415483313091305\
      8208521844294944221950660143218688000000000000000000*ep^6+
      800670090596784881130534121079436218821881545691322056511105854374453297/
      1676378547231299104858942164867134911673275543783081252280386736031710829\
      6531679641600000000000000000000*ep^7+805117312888164334687333438439487315\
      5544408893342420203668244460098125978607904791/
      1346357164709739856073084469807200266040595156108161714451931877944488407\
      990662844579441541120000000000000000000000*ep^8;
Fill mncpoch(28,14) = 1/152444172305856930250752000000+57128792093/122433148492\
      15730536450830001766400000000*ep+1753374162776988726679/98330264928905564\
      6828443900431421648404480000000000*ep^2+38376723544908721884982133269337/
      78972411639059598182639021057246433740167091060736000000000000*ep^3+
      671262380811415321214519496440706534530911/634254550681651554946022041739\
      4554832129135824744737878835200000000000000*ep^4+142487742462525256285225\
      7833251415995115618189465919/72770229268524052319762101221384813936277223\
      404909058954762932715520000000000000000*ep^5+1307398167785433787888432674\
      50921325768277022583345772026880399/4091098863114403937003562989434729365\
      8959408870281481809067502329388070862848000000000000000000*ep^6+
      1550681772127055084391967025771529374218021212287210063238483535051299497/
      3285701952573346245523526643139584426879620065814839254469558002622153226\
      120209209753600000000000000000000*ep^7+1694692862318049052066152055160233\
      0502551326669714696248544796107358297459000983391/
      2638860042831090117903245560822112521439566505971996960325786480771197279\
      66169917537570542059520000000000000000000000*ep^8;
Fill mncpoch(28,15) = 1/29726613599642101398896640000000+63306748493/2387446395\
      597067454607911850344448000000000*ep+2144480494792508431879/1917440166113\
      65851131546560584127221438873600000000000*ep^2+
      51625230542387266023762965344937/1539962026961662164561460910616305457933\
      2582756843520000000000000*ep^3+990200804242232202624528460276438281277711/
      1236796373829220532144742981391938192265181485825223886372864000000000000\
      000*ep^4+2298794195461459075208015318700982802119137453723119/
      1419019470736219020235360973817003871757405856395726649617877187952640000\
      0000000000000*ep^5+230152768963481183117979344437188760488770034146304900\
      004961599/797764278307308767715694782939772226349708472970488895276816295\
      4230673818255360000000000000000000*ep^6+297255554412271502591525947180506\
      4075087685172869592956575496077347583097/64071188075180251787708769541221\
      8963241525912833893654621563810511319879093440795901952000000000000000000\
      000*ep^7+3531124717134890020039086366310104565764937184462950442001530418\
      1582693477643954191/51457770835206257299113288436031194168071546866453940\
      726352836375038346953403133919826255701606400000000000000000000000*ep^8;
Fill mncpoch(28,16) = 1/5707509811131283468588154880000000+69999534593/
      458389707954636951284719075266134016000000000*ep+2612972406923007989179/
      36814851189382243417256939632152426516263731200000000000*ep^2+
      69113295947125117663929126956837/2956727091766391355958004948383306479231\
      855889313955840000000000000*ep^3+1452761310682337525086537792558292254843\
      411/237464903775210342171790652427252132914914845278442986183589888000000\
      000000000*ep^4+3687797153568963375694812666580814493969657284778419/
      2724517383813540518851893069728647433774219244279795167266324200869068800\
      000000000000000*ep^5+4029242316666626474237945848361608288922006268276061\
      09847192899/1531707414350032834014133983244362674591440268103338678931487\
      287212289373105029120000000000000000000*ep^6+5669241241174534625982432678\
      451792048061883926512682224835861835793486997/123016681104346083432400837\
      5191460409423729752641075816873402516181734167859406328131747840000000000\
      00000000000*ep^7+73254266147828573219134787937628968997008480527807005488\
      113835057701825721696295891/987989200035960140142975137971798928026973699\
      8359156619459744584007362615053401712606641094708428800000000000000000000\
      000*ep^8;
Fill mncpoch(28,17) = 1/1067304334681550008625984962560000000+77300755793/
      85718875387517109890242467074767060992000000000*ep+3177362323894882400779/
      6884377172414479519027047711212503758541317734400000000000*ep^2+
      92311921106427699620003658271637/5529079661603151835641469253476783116163\
      57051301709742080000000000000*ep^3+21267510660773149018193404464087236779\
      47811/4440593700596433398612485200389614885508907606706883841633130905600\
      0000000000000*ep^4+843723674403041551634754606191888543676778186943717/
      7278353582473315386075771486275101001653985695433167089697180365178798080\
      0000000000000000*ep^5+704774677412838479166346269224928356145571550291946\
      568440012499/286429286483456139960643054866695820148599330135324332960188\
      122708698112770640445440000000000000000000*ep^6+1081495705712431208224751\
      8385857746530433081215621108699597332021757265797/
      2300411936651271760185895661608030965622374637438811777553262705259842893\
      8970898336063684608000000000000000000000*ep^7+152216659890394211629456512\
      823843328149232938280621615493118307078394836012787592291/
      1847539804067245462067363508007263995410440818693162287838972237209376809\
      014986120257441884710476185600000000000000000000000*ep^8;
Fill mncpoch(28,18) = 1/192114780242679001552677293260800000000+85332099113/
      15429397569753079780243644073458070978560000000000*ep+
      3862693708087652875939/12391878910346063134248685880182506765374371921920\
      00000000000*ep^2+123334540416083500519655134649117/9952343390885673304154\
      6446562582096090944269234307753574400000000000000*ep^3+311729310337329714\
      4280089240776610039796251/79930686610735801175024733607013067939160336920\
      72390914939635630080000000000000000*ep^4+94826444554297479308845638051882\
      33899360669398590779/9170725513916377386455472072706627262084021976245790\
      5330184472601252855808000000000000000000*ep^5+123788328983419368558430121\
      1680314481837166601407649860786736459/51557271567022105192915749876005247\
      626747879424358379932833862087565660298715280179200000000000000000000*
      ep^6+20756822747873787446551176219154346219635270527563540005925817826347\
      369677/414074148597228916833461219089445573812027434738986119959587286946\
      7717209014761700491463229440000000000000000000000*ep^7+
      3189218296109543986414151589896914427092679210685619283952633844935667034\
      67732099931/3325571647321041831721254314413075191738793473647692118110150\
      02697687825622697501646339539247885713408000000000000000000000000*ep^8;
Fill mncpoch(28,19) = 1/32851627421498109265507817147596800000000+94255813913/
      2638426984427776642421663136561330137333760000000000*ep+
      4703805709689136888339/21190112936691767959565252855112086568790175986483\
      2000000000000*ep^2+165309961043960954769351816366317/17018507198414501350\
      104442362201538431551470039066625861222400000000000000*ep^3+4592472049328\
      714966977484630891595274187851/136681474104358220009292294467992346175964\
      1761344378846454677692743680000000000000000*ep^4+153372031404556027617129\
      19643396786177057838534147179/1568194062879700533083885724432833261816367\
      7579380301811461544814814238343168000000000000000000*ep^5+219593707641982\
      4673337630392291248843401691780689906267130580859/
      8816293437960779987988593228796897344173887381565282968514590416973727911\
      080312910643200000000000000000000*ep^6+4035273893659010789741935394777356\
      9433981829815944410772531735770402382877/70806679410126144778521868464295\
      1931218566913403666265130894260678979642741524250784040212234240000000000\
      000000000000*ep^7+6790181632799398060192131296198768713161191987281863427\
      83384268457595849502483579531/5686727516918981532243344877646358577873336\
      8399375535219683565461304618181481272781524061211388456992768000000000000\
      000000000000*ep^8;
Fill mncpoch(28,20) = 1/5256260387439697482481250743615488000000000+
      104294993063/422148317508444262787466101849812821973401600000000000*ep+
      5750841829496601124789/33904180698706828735304404568179338510064281578373\
      120000000000000*ep^2+223043692433591087777200093315667/272296115174632021\
      6016710777952246149048235206250660137795584000000000000000*ep^3+683164763\
      5947035375016171653084293788930901/21869035856697315201486767114878775388\
      1542681815100615432748430838988800000000000000000*ep^4+251349366414479267\
      67595031268034625519673495978420629/2509110500607520852934217159092533218\
      906188412700848289833847170370278134906880000000000000000000*ep^5+
      3962275999491590038849398927138807761367840310129090867237378309/
      1410606950073724798078174916607503575067821981050445274962334466715796465\
      772850065702912000000000000000000000*ep^6+8013073753723148921578392964713\
      7857467764027737921913615356642190777440227/11329068705620183164563498954\
      2872308994970706144586602420943081708636742838643880125446433957478400000\
      000000000000000000*ep^7+1483464992837836521277761007038490107182167623114\
      753682278773790553259049719753246581/909876402707037045158935180423417372\
      4597338943900085635149370473808738909037003645043849793822153118842880000\
      000000000000000000000*ep^8;
Fill mncpoch(28,21) = 1/772670276953635529924743859311476736000000000+
      115768340663/62055802673741306629757516971922484830090035200000000000*ep+
      7079092242998414583589/49839145627099038240897474715223627609794493920208\
      48640000000000000*ep^2+304264578429975564543625945852067/
      4002752893067090717544564843589801839100905753188470402559508480000000000\
      00000*ep^3+1474654415234515326647346784889119522631443/
      4592497529906436192312221094124542831512396318117112924087717047618764800\
      000000000000000*ep^4+42054159337308256627747583548809921260770108207007429
      /368839243589305565381329922386602383179209696667024698605575534044430885\
      831311360000000000000000000*ep^5+7339789916210652975330461744947572312041\
      960176169353788132621109/207359221660837545317491712741303025534969831214\
      415455419463166607222080468608959658328064000000000000000000000*ep^6+
      1643426985568911856247245421154238983799571026244701460939789590734319286\
      27/1665373099726166925190834346280222942226069380325423055587863301116960\
      1197280650378440625791749324800000000000000000000000*ep^7+
      3369025898903067469326348832979587814642492334614171934237776655088917491\
      795714991781/133751831197934445638363471522242353751580882475331258836695\
      7459649884619628439535821445919691856508469903360000000000000000000000000
      *ep^8;
Fill mncpoch(28,22) = 1/101992476557879889950066189429114929152000000000+
      129153912863/8191365952933852475127992240293767997571884646400000000000*
      ep+8807891268538609792189/65787672227770730477984666624095188444928731974\
      6752020480000000000000*ep^2+422163242934748714404598801397867/
      5283633818848559747158825593538538427613195594208780931378551193600000000\
      0000000*ep^3+2281925353590118013150194966052635187559643/
      6062096739476495773852131844244396537596363139914589059795786502856769536\
      00000000000000000*ep^4+72599035912799310499290067710984018564110251389732\
      029/486867801537883346303355497550315145796556799600472602159359704938648\
      76929733099520000000000000000000*ep^5+14142247374238829498919718495565429\
      506794226867331212677956577709/273714172592305559819089060818519993706160\
      17720302840115369137992153314621856382674899304448000000000000000000000*
      ep^6+35364477185502545792600425604149033486716161690031191470832207846216\
      2018427/21982924916385403412519013370898942837384115820295584333759795574\
      74387358041045849954162604510910873600000000000000000000000*ep^7+
      8102763525721038669232941059730242887609061566702037271086263777198252157\
      548053921181/176552417181273468242639782409359906952086764867437261664438\
      3846737847697909540187284308613993250591180272435200000000000000000000000\
      00*ep^8;
Fill mncpoch(28,23) = 1/11729134804156187344257611784348216852480000000000+
      145216599503/942007084587393034639719107633783319720766734336000000000000
      *ep+11140460001281678532109/756558230619363400496823666177094667116680417\
      70876482355200000000000000*ep^2+601108960960790315039080846721627/
      6076178891675843709232649432569319191755174933340098071085333872640000000\
      000000000*ep^3+3661271764505713464181571393840544589268683/
      6971411250397970139929951620881056018235817610901777418765154478285284966\
      4000000000000000000*ep^4+131408896969934460364067513073032712428480613184\
      227149/559897971768565848248858822182862417666040319540543492483263660679\
      4460846919306444800000000000000000000*ep^5+289177069103915486660783359436\
      39024766249649373584265672729703229/3147712984811513937919524199412979927\
      6208420378348266132674508690976311815134840076134200115200000000000000000\
      00000*ep^6+81814083630400746385353056399681269096262898279806826784388809\
      4849785178987/25280363653843213924396865376533784262991733193339921983823\
      7649109554546174720272744728699518754750464000000000000000000000000*ep^7+
      2124430340665984633733332936687351110131693086796935825479022668399694935\
      8932547554861/20303527975846448847903574977076389299489977959755285091410\
      4142374852485259597121537695490609223817985731330048000000000000000000000\
      00000*ep^8;
Fill mncpoch(28,24) = 1/1125996941198993985048730731297428817838080000000000+
      165294957803/904326801203897313254130343328431986931936064962560000000000\
      00*ep+14459311389233693347009/7262959013945888644769507195300108804320132\
      010004142306099200000000000000*ep^2+891428195805095172492653782046327/
      5833131736008809960863343455266546424084967936006494148241920517734400000\
      00000000000*ep^3+6218188152233893155454115215808581832834983/
      6692554800382051334332753556045813777506384906465706322014548299153873567\
      744000000000000000000*ep^4+2562599066673015125431928375855192426830121066\
      32636049/5375020528978232143189044692955479209593987067589217527839331142\
      52268241304253418700800000000000000000000*ep^5+64934654478326019306897526\
      076889360489188842175039377129958200129/302180446541905338040274323143646\
      0730516008356321433548736752834333725934252944647308883211059200000000000\
      00000000000*ep^6+21219220950065368637101367539521906203224258323506601984\
      68014501062953399687/2426914910768948536742099076147243289247206386560632\
      5104470814314517236432773146183493955153800456044544000000000000000000000\
      000*ep^7+6384901551488773432906372245472453544604985825508164496118013292\
      5934658574051241406961/19491386856812590893987431977993333727510378841365\
      0736877539976679858385849213236676187670984854865266302076846080000000000\
      0000000000000000*ep^8;
Fill mncpoch(28,25) = 1/84449770589924548878654804847307161337856000000000000+
      192066102203/678245100902922984940597757496323990198952048721920000000000\
      0000*ep+19601140745655364460209/54472192604594164835771303964750816032400\
      9900750310672957440000000000000000*ep^2+
      1416173165111758607091536975225927/43748488020066074706475075914499098180\
      637259520048706111814403883008000000000000000000*ep^3+1163427048060702627\
      0938458127481798167243383/50194161002865385007495651670343603331297886798\
      4927974151091122436540517580800000000000000000000*ep^4+567722641692289612\
      497079823629688069789940062870141249/403126539673367410739178351971660940\
      71954903006919131458794983568920118097819006402560000000000000000000000*
      ep^5+171324748217582238386353105833907740592315183808130785907585689329/
      2266353349064290035302057423577345547887006267241075161552564625750294450\
      6897084854816624082944000000000000000000000000*ep^6+670848166883307358642\
      6418739620217159997037148390671362085476045463151507287/
      1820186183076711402556574307110432466935404789920474382835311073588792732\
      457985963762046636535034203340800000000000000000000000000*ep^7+
      2434427469759709268071112585079633701956884433268125356085150972817696524\
      54709170649761/1461854014260944317049057398349500029563278413102380526581\
      5498250989378938690992750714075323864114894972655763456000000000000000000\
      0000000000*ep^8;
Fill mncpoch(28,26) = 1/4391388070676076541690049852059972389568512000000000000
      +232222818803/35268745246951995216911083389808847490345506533539840000000\
      0000000*ep+28926446668380586690009/28325540154388965714601078061670424336\
      848514839016154993786880000000000000000*ep^2+
      2577764286218932007743960439675327/22749213770434358847367039475539531053\
      93137495042532717814349001916416000000000000000000*ep^3+26422063323934874\
      583744633090003727074575983/261009637214900002038977388685786737322749011\
      35216254655856738366700106914201600000000000000000000*ep^4+16287459505787\
      96368013056021395950030867434877367559049/2096258006301510535843727430252\
      6368917416549563597948358573391455838461410865883329331200000000000000000\
      00000*ep^5+62916037507311456042222027609175265303344902558396454525879528\
      3129/11785037415134308183570698602602196849012432589653590840073336053901\
      53114358648412450464452313088000000000000000000000000*ep^6+
      3197349654659383926863509470941048404515937998931208511049079188749116574\
      8687/94649681519988992932941863969742488280641049075864667907436175826617\
      222087815270115626425099821778573721600000000000000000000000000*ep^7+
      1527393386508618425623642025567919531065975267389328966345573514017331480\
      428359851753961/760164087415691044865509847141740015372904774813237873822\
      4059090514477048119316230371319168409339745385780996997120000000000000000\
      000000000000*ep^8;
Fill mncpoch(29,0) = 1;
Fill mncpoch(29,1) = 1/28+1/784*ep+1/21952*ep^2+1/614656*ep^3+1/17210368*ep^4+1/
      481890304*ep^5+1/13492928512*ep^6+1/377801998336*ep^7+1/10578455953408*
      ep^8;
Fill mncpoch(29,2) = 1/1512+55/1143072*ep+2269/864162432*ep^2+83215/
      653306798592*ep^3+2861461/493899939735552*ep^4+94469815/
      373388354440077312*ep^5+3032575309/282281595956698447872*ep^6+95372461855/
      213404886543264026591232*ep^7+2952858468421/161334094226707604102971392*
      ep^8;
Fill mncpoch(29,3) = 1/117936+1093/1159075008*ep+796615/11391389178624*ep^2+
      483943825/111954572847516672*ep^3+264656953471/1100289541945393852416*
      ep^4+135116309432833/10813645618239330781544448*ep^5+65711626760269855/
      106276509136056142921018834944*ep^6+30823475459422324225/
      1044485531789159772627773109829632*ep^7+14060011091117656618591/102652038\
      06423862245385754123405623296*ep^8;
Fill mncpoch(29,4) = 1/11793600+37153/2897687520000*ep+863024059/
      711961823664000000*ep^2+16043422717477/174929020074244800000000*ep^3+
      261056380916973331/42980060232241947360000000000*ep^4+
      3885157320957023662693/10560200799061846466352000000000000*ep^5+
      54226203777384636125306179/2594641336329495676782686400000000000000*ep^6+
      721066694807524413220612642837/637503376336157087785506048480000000000000\
      000*ep^7+9232030911126097830256051903411411/15663457956579379646889883611\
      1536000000000000000000*ep^8;
Fill mncpoch(29,5) = 1/1415232000+94781/695445004800000*ep+5392737211/
      341741675358720000000*ep^2+238763676135041/167931859271275008000000000*
      ep^3+9065588363536537771/82521715645904538931200000000000*ep^4+
      309942956014035368067401/40551171068397490430791680000000000000*ep^5+
      9816559066139990873199630931/19926845463010526797691031552000000000000000
      *ep^6+293290583814579438021000861595361/979205186052337286838537290465280\
      0000000000000000*ep^7+8368524616851795038025541928438337691/4811814284261\
      185427524572245346385920000000000000000000*ep^8;
Fill mncpoch(29,6) = 1/195302016000+2671363/2207342445235200000*ep+
      4165465762819/24947825784537277440000000*ep^2+4951947523384300447/
      281965316581997217082368000000000*ep^3+4970310326231473506030211/
      3186828401073048946908339609600000000000*ep^4+
      4437309669650390523876285639943/36018171954607813807747435935621120000000\
      000000*ep^5+3633697019943245250798800402810472859/40708458306536843321792\
      3070431577022464000000000000000*ep^6+278420195873747711641939357190987651\
      2863967/4600951374721407105915610126631769823292620800000000000000000*
      ep^7+2023504250617563340789737050496496336657361909971/520008726273762873\
      92479408773217588896817858805760000000000000000000*ep^8;
Fill mncpoch(29,7) = 1/30076510464000+35036093/3739238102228428800000*ep+
      702013822453399/464877785669067627816960000000*ep^2+
      10558192465690906983857/57795558801078297574241298432000000000*ep^3+
      132435714929220888058262611951/718538661149701848327949003451965440000000\
      0000*ep^4+1463040628243385204766847524994756193/8933174421650776253189359\
      74949628417556480000000000000*ep^5+14705104820613869630408305688901190830\
      825199/111060976343219543705676459936832593309975330816000000000000000*
      ep^6+137356237520223199344652006530658079699140106736257/1380756703508969\
      5195573261340478762697188035023434547200000000000000000*ep^7+
      1209969940711657758494872644534071323334282036610668235151/
      1716614725583898283433489257545949789317744703860481333002240000000000000\
      000000*ep^8;
Fill mncpoch(29,8) = 1/5052853757952000+5850899/89741714453482291200000*ep+
      944483268271999/78099467992403361473249280000000*ep^2+
      2307103187216399351951/1387093411225879141781791162368000000000*ep^3+
      228045300951930580162204783351/120714495073149910519095432579930193920000\
      0000000*ep^4+401873488419857803634733183341335199/21439618611961863007654\
      463398791082021355520000000000000*ep^5+3135930480361656481395673743302279\
      9346663799/18658244025660883342553645269387875676075855577088000000000000\
      000*ep^6+46144227688370569479462669068805665198751304225151/
      331381608842152684693758272171490304732512840562429132800000000000000000*
      ep^7+3122251338036497876521076898482074417101814335526840886551/
      2883912738980949116168261952677195646053811102485608639443763200000000000\
      00000000*ep^8;
Fill mncpoch(29,9) = 1/909513676431360000+6738929/16153508601626812416000000*ep
      +1237717453145629/14057904238632605065184870400000000*ep^2+
      3406233417133312272821/249676814020658245520722409226240000000000*ep^3+
      376262336561358449746233182221/217286091131669838934371778643874349056000\
      000000000*ep^4+736005731156440947762880636149049829/385913135015313534137\
      7803411782394763843993600000000000000*ep^5+633854681061204233012084111076\
      75394609360429/3358483924618959001659656148489817621693654003875840000000\
      000000000*ep^6+102432424930648688983634774384754645873701645990021/
      59648689591587483244876488990868254851852311301237243904000000000000000000
      *ep^7+7579441587283531685149799144629864157687754697264239969421/
      5191042930165708409102871514818952162896859984474095550998773760000000000\
      0000000000*ep^8;
Fill mncpoch(29,10) = 1/172807598521958400000+145800251/
      58314166051872792821760000000*ep+573701497543191469/964231651727810381421\
      030260736000000000*ep^2+33552637825382995283600639/3253813207998620321450\
      60650927728230400000000000*ep^3+78234717951726158605040812482369541/
      5380218729650365565155590267283186318232125440000000000000*ep^4+321191858\
      6564159886835408834462398602421671/18155623426267373704735451535210854195\
      48276254703616000000000000000*ep^5+57772596508278762925185972102930657557\
      10358397010349/3002053866102693795183220727592635501296150629708809840885\
      7600000000000000000*ep^6+277384353653199253858253651333291877223320365734\
      57778909417/1447210399988237949936987272907362113717268349437313533058109\
      931520000000000000000000*ep^7+2977053045294172302308316404368523599445652\
      23181659189993430374347861/1675085692207126717506026295894965955442320331\
      81805557741506078866647547904000000000000000000000*ep^8;
Fill mncpoch(29,11) = 1/34215904507347763200000+23506793/
      1649457839752973282672640000000*ep+724857790383444169/1909178670421064555\
      21363991625728000000000*ep^2+47141764279038538153094339/64425501518372682\
      364722008883690189619200000000000*ep^3+
      121539977027678698734598582057569841/106528330847077238190080687292207089\
      1009960837120000000000000*ep^4+5490464997895160755622548831870277682600971
      /359481343840093999353761940397174913070558698431315968000000000000000*
      ep^5+10820897979124833706978845086363426938862592394797049/
      5944066654883333714462777040633418292566378246823443484953804800000000000\
      000000*ep^6+397031668241286472655622058420885387907262934417183169083619/
      2005833614383697798612664360249603889612133932320116556818540365086720000\
      000000000000000*ep^7+6624256224363908547828520678127117269475429132912228\
      33255735567804161/3316669670570110900661932065872032591775794256999750043\
      2818203615596214484992000000000000000000000*ep^8;
Fill mncpoch(29,12) = 1/6980044519498943692800000+3134759767/
      40042238517843179410161008640000000*ep+261317525950668731041/112557537693\
      34428191717535490286419968000000000*ep^2+319789452879505832172161394907/
      64570587747792057645407362847696259926222438400000000000*ep^3+15438896951\
      720493041370792455158971660361/181505995501846255421824073299981537091607\
      59571728302080000000000000*ep^4+13005552551330242050496797149875669068933\
      910836547/104124068893835926510648610950928362431715349423232971260821504\
      000000000000000*ep^5+4762385255078643732873993846057443401224283966924188\
      70708081/2926896508066051351450580206498060729950736097061117917887727673\
      5196364800000000000000000*ep^6+660458785819735262812886257421023390153767\
      6600702960965440158597163/34266633700273480525145174419216356612892373589\
      23422889440220140043888240885760000000000000000000*ep^7+
      9972094998250957242130320249882468849529926737150412322874252299776327724\
      570201/471980175929896784480748762452444003519840048715801883071089901122\
      36672956403445072396288000000000000000000000*ep^8;
Fill mncpoch(29,13) = 1/1451849260055780288102400000+6986603759/166575712234227\
      62634626979594240000000*ep+1290759287556000411139/93647871360862442555089\
      89527918301413376000000000*ep^2+3483898746414693356298582341531/
      107445458012325983921957851778566576517234137497600000000000*ep^3+
      369436544022539232448619550844340226541051/604051953030144338043830515942\
      33855544087007854711789322240000000000000*ep^4+68109479949964867364841071\
      1733083217191399133789979/69304980255737192685487715448937918034549736576\
      1038656712027930624000000000000000*ep^5+544109801185893817792505379823036\
      40665185272489768269520399659/3896284631537527559051012370890218443710419\
      89240776017229214307898934008217600000000000000000*ep^6+80441230556442870\
      610027219175319856911517173244348271153867585885685611/
      4470342792616797612957179106312359764462068116754883339414364629417895545\
      741781237760000000000000000000*ep^7+5379330055661289630765527622840641582\
      784464346466102121528397274038172340411708731/251320004079151439800309101\
      0306773829942444291401901866976939505496378361582570643214957543424000000\
      000000000000000*ep^8;
Fill mncpoch(29,14) = 1/304888344611713860501504000000+7751493599/3498089956918\
      780153271665714790400000000*ep+1581282183792306984979/1966605298578111293\
      656887800862843296808960000000000*ep^2+4693405422970441639270052054891/
      22563546182588456623611148873498981068619168874496000000000000*ep^3+
      545343512051057910527959334664145388705611/126850910136330310989204408347\
      89109664258271649489475757670400000000000000*ep^4+10982225111774204306628\
      75842750847837295171738682219/1455404585370481046395242024427696278725544\
      46809818117909525865431040000000000000000*ep^5+95571922920675252695550989\
      650080137609704719744453320306392699/818219772622880787400712597886945873\
      17918817740562963618135004658776141725696000000000000000000*ep^6+
      153543223387730497336286784360611309354982198776928012210493048400963771/
      9387719864495274987210076123255955505370343045185255012770165721777580646\
      05774059929600000000000000000000*ep^7+11134068982597436096228496032342063\
      431805883370507402606137298905551918638065054091/
      5277720085662180235806491121644225042879133011943993920651572961542394559\
      32339835075141084119040000000000000000000000*ep^8;
Fill mncpoch(29,15) = 1/64026552368459910705315840000000+59997128993/5142192236\
      670606825309348600741888000000000*ep+1925466141761670468379/4129871127014\
      03371667946438181197092329881600000000000*ep^2+
      43899609129024352295073902154437/3316841288840503123670838884404350217087\
      0178245509120000000000000*ep^3+113883035653110390271582808316752525765173/
      3805527304089909329676132250436732899277481494846842727301120000000000000\
      00*ep^4+1751532338073084695041639823751984152936064640249619/
      3056349629278010197430008251298162185323643383006180476100043174051840000\
      0000000000000*ep^5+165907710636411504882135545251762513926849325422238223\
      747368099/171826152250804965354149645556258633367629517255182223598083509\
      78342989762396160000000000000000000*ep^6+20265609805399966874299265610187\
      79582951167033135924041003515731295852597/1379994820080805423119881190118\
      6254592894404276422324868772143611013043549704878680965120000000000000000\
      00000*ep^7+22759788263763544945094545070862597573296769968921989890952293\
      309164676279936912691/110832121798905784951936313554528725900461793250823\
      872333683032192390285745791365365779627664998400000000000000000000000*
      ep^8;
Fill mncpoch(29,16) = 1/13317522892639661426705694720000000+66175085393/
      1069575985227486219664344508954312704000000000*ep+2334292934085901333579/
      85901319441891901306932859141688995204615372800000000000*ep^2+
      58320769100635124588626820110037/6899029880788246497235344879561048451540\
      997075065896960000000000000*ep^3+23622130985509464161595593647504478953939
      /113078525607243020081805072584405777578530878704020469611233280000000000\
      00000*ep^4+2773087805198050204685540747656781631411133892066819/
      6357207228898261210654417162700177345473178236652855390288089802027827200\
      000000000000000*ep^5+2858318195136082375890439703978915075091013150404960\
      19428209299/3573983966816743279366312627570179574046693958907790250840137\
      003495341870578401280000000000000000000*ep^6+3792417499227737585935881327\
      819843968272667560638772683404545710592416197/287038922576807528008935287\
      5446740955322036089495843572704605871090713058338614765640744960000000000\
      00000000000*ep^7+46189178224589541421647673109707700664088293470242683678\
      536580271011641715656723491/230530813341724032700027532193419749872960529\
      9617136544540607069601717943512460399608216255431966720000000000000000000\
      0000*ep^8;
Fill mncpoch(29,17) = 1/2716774670098490931047961722880000000+72867871493/
      218193500986407188811526279826679791616000000000*ep+
      2821982011550837980879/17523869166145947866614303264904555021741536051200\
      000000000*ep^2+77207691081992612470405857091937/1407402095680802285436010\
      355430453884114363403313442979840000000000000*ep^3+2391741399966596944232\
      57581490174549202673/1614761345671430326768176436505314503821420947893412\
      3060484112384000000000000000*ep^4+437382916484714825395176660577383914088\
      8549829312119/12968702746952452869735011011908361784765283602771824996187\
      70319613676748800000000000000000*ep^5+49074354078145345479985754566486281\
      9929525110667938677661430599/72909272923061562899072777602431663310552556\
      7617189211171387948713049741597993861120000000000000000000*ep^6+
      7076859047634632406017346191425753107903796200918114380909348929694290097/
      5855594020566873571382279865911351548856953622571520888317395977025054639\
      0107741219071197184000000000000000000000*ep^7+935530820902578470672501240\
      58569920246698620820980246845296776147719463726225975191/
      4702828592171170267080561656745762897408394811218958550862838421987504604\
      765419215200761161081212108800000000000000000000000*ep^8;
Fill mncpoch(29,18) = 1/537921384679501204347496421130240000000+80169092693/
      43202313195308623384682203405682598739968000000000*ep+
      3407314290705734672479/34697260948968976775896320464511018943048241381376\
      00000000000*ep^2+102085246416356285422684588446737/2786656149447988525163\
      30050375229869054643953856061710008320000000000000*ep^3+34565227790270605\
      6977736964073116157091873/31972274644294320470009893442805227175664134768\
      28956365975854252032000000000000000*ep^4+68975129040986772545260276558881\
      13177110263324619719/2567803143896585668207532180357855633383526153348821\
      34924516523283507996262400000000000000000*ep^5+84326541288020525963878014\
      9175558997226542775931010497767330199/14436036038766189454016409965281469\
      3354894062388203463811934813845183848836402784501760000000000000000000*
      ep^6+13233726357382340108043512158725506980304971519252457964630732846033\
      308897/115940761607224096713369141345044760667367681726916113588684440345\
      09608185241332761376097042432000000000000000000000*ep^7+
      1901754455257765651697077055543143567920492613427425010887675329747141945\
      51150991591/9311600612498917128819512080356610536868621726213537930708420\
      07553525911743553004609750709894079997542400000000000000000000000*ep^8;
Fill mncpoch(29,19) = 1/102205063089105228826024320014745600000000+88200436013/
      8208439507108638443089618647079693760593920000000000*ep+
      4115682273299829655639/65924795803041055874203008882570935991791658624614\
      4000000000000*ep^2+135139703749265286684638771428217/52946466839511781978\
      102709571293675120382351232651724901580800000000000000*ep^3+5007027574703\
      40444852388184576404366014793/6074732182415920889301879754132993163376185\
      60597501709535412307886080000000000000000*ep^4+10918828650613676084417083\
      888132745411722006106352479/487882597340351276959431114267992570342869969\
      13627605635658139423866519289856000000000000000000*ep^5+14571154436975205\
      88887368468627400862176402060005782840241962159/2742846847365575996263117\
      8934034791737429871853758658124267614630584931278916529055334400000000000\
      000000000*ep^6+2493632074259125819016654514161481246370765886551414113997\
      8642815410736777/22028744705372578375540136855558504526799859528114061581\
      85004366556825555195853224661458438062080000000000000000000000*ep^7+
      3904475985471643061256970775649009348855005098051282768988721908929292084\
      21388271231/1769204116374794254475707295267756002005038127980572206834599\
      81435169923231275070875852634879875199533056000000000000000000000000*ep^8
      ;
Fill mncpoch(29,20) = 1/18396911356038941188684377602654208000000000+
      97124150813/1477519111279554919756131356474344876906905600000000000*ep+
      4982390495347229788039/11866463244547390057356541598862768478522498552430\
      5920000000000000*ep^2+179601135551974692283163258705417/
      9530364031112120756058487722832861521668823221877310482284544000000000000\
      000*ep^3+104237318647231547851416878664501818064799/156207398976409394296\
      33405082056268134395905843935758245196316488499200000000000000000*ep^4+
      17430117372485989082537262895890279171164285473628879/
      8781886752126322985269760056823866266171659444452969014418465096295973472\
      174080000000000000000000*ep^5+2545905218235652923866701829816229466087355\
      332592912100919926559/493712432525803679327361220812626251273737693367655\
      8462368170633505287630204975229960192000000000000000000000*ep^6+
      47655252817957984074539105487532980630427489739832433230056885064872109977
      /396517404696706410759722463400053081482397471506053108473300785980228599\
      935253580439062518851174400000000000000000000000*ep^7+
      8157094834165176743898259963827602096253596303233191108339426209882274163\
      30370830831/3184567409474629658056273131481960803609068630365029972302279\
      6658330586181629512757653474278377535915950080000000000000000000000000*
      ep^8;
Fill mncpoch(29,21) = 1/3090681107814542119698975437245906944000000000+
      107163329963/248223210694965226519030067887689939320360140800000000000*ep
      +6058222363156349659489/1993565825083961529635898988608945104391779756808\
      3394560000000000000*ep^2+240420715186237645974814827159767/
      1601101157226836287017825937435920735640362301275388161023803392000000000\
      000000*ep^3+1074465034977158741019267070356253667204743/
      1836999011962574476924888437649817132604958527246845169635086819047505920\
      0000000000000000*ep^4+282168643490327018416181386168923640590771801803373\
      29/1475356974357222261525319689546409532716838786668098794422302136177723\
      543325245440000000000000000000*ep^5+4528824311993964884842477766067839079\
      480034301143562373764359009/829436886643350181269966850965212102139879324\
      857661821677852666428888321874435838633312256000000000000000000000*ep^6+
      93120931424940891272281859310979808202698642937157705769476545041139572327
      /666149239890466770076333738512089176890427752130169222235145320446784047\
      89122601513762503166997299200000000000000000000000*ep^7+
      1750567196606364060032935011300782066204890820231327510856706258379271703\
      075506212881/535007324791737782553453886088969415006323529901325035346782\
      9838599538478513758143285783678767426033879613440000000000000000000000000
      *ep^8;
Fill mncpoch(29,22) = 1/475964890603439486433642217335869669376000000000+
      118636677563/38226374447024644883930630454704250655335461683200000000000*
      ep+7419382202945769558289/30700913706293007556392844424577754607633408254\
      84842762240000000000000*ep^2+46506552311126886295223283630881/
      3522422545899039831439217062359025618408797062805853954252367462400000000\
      0000000*ep^3+1608050875320300855190040023066741474440343/
      2828978478422364694464328193980718384211636131960141561238033701333159116\
      800000000000000000*ep^4+4666659100006677488979073185944910699466775088256\
      4129/22720497405101222827489923219014706803839317314688721434103452897136\
      9425672087797760000000000000000000*ep^5+827677845094954900549312307124081\
      6722895935467844617592922041809/12773328054307592791557489504864266372954\
      1416028079920538389310630048801568663119149530087424000000000000000000000
      *ep^6+1880832876008746170755387697169052617723765891869076262021464304175\
      29380727/1025869829431318825917553957308617332411258738280460602242123793\
      4880474337524880633119425487717584076800000000000000000000000*ep^7+
      3908512133001968605757486773539189730788359506075120075364800120658799421\
      369117918081/823911280179276185132318984577012899109738236048040554434045\
      7951443289256911187540660106865301836092174604697600000000000000000000000\
      00*ep^8;
Fill mncpoch(29,23) = 1/65683154903274649127842625992350014373888000000000+
      132022249763/5275239673689400993982427002749186590436293712281600000000000
      *ep+9186575559154838946889/4236726091468435042782212530591730135853410339\
      16908301189120000000000000*ep^2+64073348085101524538502522900281/
      4860943113340674967386119546055455353404139946672078456868267098112000000\
      000000000*ep^3+2465709302209159056230237223230606200228543/
      3903990300222863278360772907693391370212057862104995354508486507839759581\
      18400000000000000000*ep^4+79671520888999092938244432034129903537594569709\
      868729/313542864190396875019360940422402953892982578942704355790627649980\
      48980742748116090880000000000000000000*ep^5+15741920716954087815308789974\
      926687538766488158100284064784178409/176271927149444780523493355167126875\
      9467671541187502903429772486694673461647551044263515206451200000000000000\
      0000000*ep^6+398797903924339323612494843220922627529375715367603993391824\
      527928880010527/141570036461521997976622446108589191872753705882703563109\
      4130835013505458578433527370480717305026602598400000000000000000000000*
      ep^7+92466502691898759592717013196005301121965257650548328699193902289817\
      39267415036467481/1136997566647401135482600198716277800771438765746295965\
      1189831972991739174537438806110947474116533807200954482688000000000000000\
      0000000000*ep^8;
Fill mncpoch(29,24) = 1/7881978588392957895341115119082001724866560000000000+
      148084936403/633028760842728119277891240329902390852355245473792000000000\
      000*ep+11565217488700556702809/508407130976212205133865503671007616302409\
      24070028996142694400000000000000*ep^2+90611700148593636411470033581961/
      5833131736008809960863343455266546424084967936006494148241920517734400000\
      00000000000*ep^3+3921176647613660074605774474407922499929583/
      4684788360267435934032927489232069644254469434525994425410183809407711497\
      4208000000000000000000*ep^4+142656152639703018500116008951055062187368883\
      504739849/376251437028476250023233128506883544671579094731245226948753179\
      9765877689129773930905600000000000000000000*ep^5+317820082567909966771151\
      93762924315467876423550863392109239599929/2115263125793337366281920262005\
      5225113612058494250034841157269840336081539770612531162182477414400000000\
      00000000000000*ep^6+90930234334306575521027745981765835692637969310903876\
      2289988870267373259087/16988404375382639757194693533030703024730444705924\
      4275731295700201620655029412023284457686076603192311808000000000000000000\
      000000*ep^7+2385248887132723120212933546410676783808223632512468986019693\
      0261174168944045049965161/13643970799768813625791202384595333609257265188\
      9555515814277983675900870094449265673331369689398405686411453792256000000\
      00000000000000000000*ep^8;
Fill mncpoch(29,25) = 1/788197858839295789534111511908200172486656000000000000+
      168163294703/633028760842728119277891240329902390852355245473792000000000\
      00000*ep+14941660372655882787709/5084071309762122051338655036710076163024\
      092407002899614269440000000000000000*ep^2+2723865631484699102316951525389/
      1190435048165063257319049684748274780425503660409488601682024595456000000\
      000000000000*ep^3+6601023403003932002262172006042025054985883/
      4684788360267435934032927489232069644254469434525994425410183809407711497\
      420800000000000000000000*ep^4+2751938656719012615503723090245966060989526\
      43820618749/3762514370284762500232331285068835446715790947312452269487531\
      79976587768912977393090560000000000000000000000*ep^5+70460095515248523078\
      527914795883534659407578612402041300077966829/
      2115263125793337366281920262005522511361205849425003484115726984033608153\
      97706125311621824774144000000000000000000000000*ep^6+23240253869504487151\
      26779969641279330888433522224263771164352106195550089787/
      1698840437538263975719469353303070302473044470592442757312957002016206550\
      2941202328445768607660319231180800000000000000000000000000*ep^7+
      7051510328881448485021945361982749671404446191007447081134400003672807351\
      2385606647261/13643970799768813625791202384595333609257265188955551581427\
      7983675900870094449265673331369689398405686411453792256000000000000000000\
      0000000000*ep^8;
Fill mncpoch(29,26) = 1/61479432989465071583660697928839613453959168000000000000
      +194934439103/49376243345732793303675516745732386486483709146955776000000\
      00000000*ep+20160278390415302260909/3965575621614455200044150928633859407\
      15879207746226169913016320000000000000000*ep^2+
      210571376504751346413022241066861/454984275408687176947340789510790621078\
      6274990085065435628698003832832000000000000000000*ep^3+122382601299193975\
      83179612462054570940714283/3654134921008600028545683441601014322518486158\
      93027565181994337133801496798822400000000000000000000*ep^4+60282609481473\
      6214610684725382299045432858553156083949/29347612088221147501812184023536\
      9164843831693890371277020027480381738459752122366610636800000000000000000\
      00000*ep^5+18342850654186228422329212875847064530426409643161823526048661\
      6029/16499052381188031456998978043643075588617405625515027176102670475462\
      143601021077774306502332383232000000000000000000000000*ep^6+
      7234616422658988570982375392017689699490069583530640272996010918175263677\
      387/132509554127984590106118609557639483592897468706210535070410646157264\
      1109229413781618769951397504900032102400000000000000000000000000*ep^7+
      2641940642184296998419382750945396750134857210968211033841756289511746419\
      27787998330061/1064229722381967462811713785998436021522066684738533023351\
      3682726720267867367042722519846835773075643540093395795968000000000000000\
      0000000000000*ep^8;
Fill mncpoch(29,27) = 1/3319889381431113865517677688157339126513795072000000000\
      000+235091155703/26663171406695708383984779042695488702701202939356119040\
      0000000000000*ep+29600767305147147030709/21414108356718058080238415014622\
      840798657477218296213175302881280000000000000000*ep^2+
      380381322764085589928838356791061/245691508720691075551564026335826935382\
      458849464593533523949692206972928000000000000000000*ep^3+2751312510808991\
      1276095788522922892931026883/19732328573446440154146690584645477341599825\
      258223488519827694205225280827136409600000000000000000000*ep^4+
      1707662862560647149044007659550846260516248440768441749/
      1584771052763941965097857937270993490156691147008004895908148394061387682\
      661460779697438720000000000000000000000*ep^5+6634474418832108893605993643\
      48158961320309404749529646027895949829/8909488285841536986779448143567260\
      8178533990377781146750954420567495575445513819981255112594869452800000000\
      0000000000000000*ep^6+338764873253580585530699192722868528409800961743721\
      96251836544269746235138787/7155515922911167865730404916112532114016463310\
      1353688938021748924922619898388344207413577375465264601733529600000000000\
      000000000000000*ep^7+1624562565146325250683773083296641058454628309411829\
      571188757966714728160313019225094261/574684050086262429918325444439155451\
      6219160097588078326097388672428944648378203070160717291317460847511650433\
      729822720000000000000000000000000000*ep^8;
Fill mncpoch(30,0) = 1;
Fill mncpoch(30,1) = 1/29+1/841*ep+1/24389*ep^2+1/707281*ep^3+1/20511149*ep^4+1/
      594823321*ep^5+1/17249876309*ep^6+1/500246412961*ep^7+1/14507145975869*
      ep^8;
Fill mncpoch(30,2) = 1/1624+57/1318688*ep+2437/1070774656*ep^2+92625/
      869469020672*ep^3+3300781/706008844785664*ep^4+112933017/
      573279181965959168*ep^5+3756947797/465502695756358844416*ep^6+
      122444414625/377988188954163381665792*ep^7+3928690022461/
      306926409430780665912623104*ep^8;
Fill mncpoch(30,3) = 1/131544+2351/2883970656*ep+3685585/63228172662144*ep^2+
      4815832895/1386214457444845056*ep^3+5664626666161/30391365765020783007744
      *ep^4+6220142211085151/666300303032315646661779456*ep^5+
      6506274028062355345/14607967843680488237412852793344*ep^6+
      6563906335498711334015/320265087004851024117039384641273856*ep^7+
      6439470046446143312119921/7021491767494353852741971468875288018944*ep^8;
Fill mncpoch(30,4) = 1/13680576+41525/3899128326912*ep+1078060915/
      1111298362709842944*ep^2+22398088620545/316733368952657757155328*ep^3+
      407315249670638611/90272810951934892682354343936*ep^4+
      6774485028869979424025/25728834395032867633183176273887232*ep^5+
      105666446921590343786606155/7333026548597107669868803436173147766784*ep^6
      +1570190979433921940209309576865/2090000562668758851204647404950581191306\
      641408*ep^7+22465307060400068280239362777387171/5956752403673482976995389\
      66179775046496688480976896*ep^8;
Fill mncpoch(30,5) = 1/1710072000+1323137/12184776021600000*ep+1050897994519/
      86820184586706480000000*ep^2+649488673909864853/
      618619861235659681944000000000*ep^3+344219585330991608905111/440785209726\
      2445931755583200000000000*ep^4+164263792814414973250007636957/31407268548\
      624105997538056974960000000000000*ep^5+
      72614624510588432881958069934935359/2237862105895113424642579173636824880\
      00000000000000*ep^6+30279724538220826649650470201153462554933/
      1594543886313445168460576938591446831746400000000000000000*ep^7+
      12058018666676760132557875549266800541532736071/1136160355314919085883214\
      8860545636110242623920000000000000000000*ep^8;
Fill mncpoch(30,6) = 1/246250368000+3240049/3509215494220800000*ep+
      6127452073051/50008426321942932480000000*ep^2+8834237245954776349/
      712650080143479953599488000000000*ep^3+10753062586012663069109251/
      10155691232092675426764863692800000000000*ep^4+
      11641341107070948157860589895149/1447246934720598804366553665406156800000\
      00000000*ep^5+11559673284528711946878988240827960451/20624137167929365321\
      50600966423697809408000000000000000*ep^6+10739649745413301747413331428445\
      265423823949/293906329125294213450653541321175480027496448000000000000000\
      00*ep^7+9463788306252033839005167009537388415663445751651/
      418834153383291771819988335595154329567984088186880000000000000000000*
      ep^8;
Fill mncpoch(30,7) = 1/39646309248000+88771727/12994624975099622400000*ep+
      4506472519430179/4259167661413557616389120000000*ep^2+
      171706101856923472695683/1396000977542021015866640249856000000000*ep^3+
      5456062762254643285919702068891/45755858520288746784031030152575201280000\
      0000000*ep^4+152679832344894367289536209050451084707/14997114060872216743\
      1717897607226277572976640000000000000*ep^5+388702573003890948957741650034\
      5871449146200139/49155110936249090741656098647755392197173600837632000000\
      000000000*ep^6+91959081613542764894054408854444175034907861304063603/
      16111265949886559728030021185963168817035968670225447321600000000000000000
      *ep^7+2051590675195355467641859316187971371590657978406972223360731/
      5280689750545428385386086257991794871513213828034039470827438080000000000\
      000000000*ep^8;
Fill mncpoch(30,8) = 1/6977750427648000+1140370897/25157593951792868966400000*
      ep+732169324156115959/90703234517463122998622699520000000*ep^2+
      348530121535985322139196173/327021604995083675092855678370267136000000000
      *ep^3+136999993426718425313433891294601831/117904428328816367333039702993\
      6382198615244800000000000*ep^4+470410589017357090517207376335370054509059\
      57/4250928381246855226520025446447286264375361109360640000000000000*ep^5+
      14595281300161821831508450305554780543925716418925279/1532630483741849807\
      8034707480666849502694202819338848305152000000000000000*ep^6+
      4183924778911053444512319850780365738480760328071241107087213/
      5525748704817736032384287481326972439734278369440935848932197007360000000\
      0000000000*ep^7+112544622362993422392916422233108154879133875031397905638\
      5244288646711/19922544326697534163083168376893732822768358754883415103424\
      6711682903572480000000000000000000*ep^8;
Fill mncpoch(30,9) = 1/1318794830825472000+187436671/
      679255036698407462092800000*ep+957430827825918559/17142911323800530246739\
      690209280000000*ep^2+10467497941957967564815477/1261369047838179889643871\
      902285316096000000000*ep^3+225058910576725379472664345329805231/
      222839369541462934259445038657976235538281267200000000000*ep^4+1224006828\
      7318466743826956270422982911332251/11477506629366509111604068705407672913\
      8134749952737280000000000000*ep^5+293054027119021275553197326475228836605\
      54562470075879/2896671614272096136748559713846034556009204332855042329673\
      728000000000000000*ep^6+1316463755403734247935633200879492862578571261342\
      313493415059/149195215030078872874375761995828255872825515974905267921169\
      3191987200000000000000000*ep^7+270757315475239528533875696452797659873398\
      3239337928218159558243882111/37653608777458339568227188232329155035032198\
      046729654545472628508068775198720000000000000000000*ep^8;
Fill mncpoch(30,10) = 1/263758966165094400000+213189541/
      135851007339681492418560000000*ep+1226452712027819389/3428582264760106049\
      347938041856000000000*ep^2+104857162847705642062104769/176591666697345184\
      5501420663199442534400000000000*ep^3+357377181862629246188968231409219701/
      44567873908292586851889007731595247107656253440000000000000*ep^4+
      21443556392793115579129450568034534672624121/2295501325873301822320813741\
      0815345827626949990547456000000000000000*ep^5+563648255978443596331302098\
      76373840480349058271962109/5793343228544192273497119427692069112018408665\
      71008465934745600000000000000000*ep^6+27680197815976923218008831888984644\
      47869738113642578331417889/2983904300601577457487515239916565117456510319\
      49810535842338638397440000000000000000000*ep^7+62005113808051696558422361\
      86323468906888929225497372983616826987362181/7530721755491667913645437646\
      465831007006439609345930909094525701613755039744000000000000000000000*
      ep^8;
Fill mncpoch(30,11) = 1/55125623928504729600000+4565658679/
      539464350145875206394101760000000*ep+557976667178208354829/25868310329388\
      5241317252577319993344000000000*ep^2+1006605291429886330800478795171/
      2531496285523119397533497064736960055780966400000000000*ep^3+719782674247\
      95563248636620708280403608621/1213899148180943026125130721707147857448225\
      956351836160000000000000*ep^4+9016930781695853903074518482885280642195686\
      3229379/11879327043361533647098696179469535600584224018130714138116096000\
      000000000000*ep^5+4927408970618054309849180124411858612212908473391693032\
      898429/569635636495493874444735712975397403103488882943403734871694640994\
      0582400000000000000000*ep^6+501215310890634087996481617480778433642098653\
      7859365712671006080963571/55745059477335695470612083802328345577754633845\
      769436218327831323023279983165440000000000000000000*ep^7+
      2318025568074281782689680174340837583017597016358394156584029382530747436\
      37547021/2673078392483219236198155498767450635782879337784178034763039935\
      3602560507396750060814336000000000000000000000*ep^8;
Fill mncpoch(30,12) = 1/11907134768557021593600000+5109330379/
      116524299631509044581125980160000000*ep+694088785495824495529/55875550311\
      479212124526556701118562304000000000*ep^2+1383961721391336577186372624471/
      546803197672993789867235365983183372048688742400000000000*ep^3+1088468876\
      93179525036000345365681301972921/2622022160070836936430282358887439372088\
      16806571996610560000000000000*ep^4+30478832712003781594338786488653037045\
      67105658471/5236601308910390342394527295439632019849372220237212762924646\
      4000000000000000*ep^5+890598092918967890348125323454800748153689740329842\
      8710549129/12304129748302667688006291400268583907035359871577520673228604\
      24547165798400000000000000000*ep^6+98540829008464732318746050389649982955\
      20870161836208057064058977912871/1204093284710451022165221010130292264479\
      5000910686198223158811565773028476363735040000000000000000000*ep^7+
      4943144709369907217768782921438544346290834610877129670993509219707602420\
      31631321/5773849327763753550188015877337693373291019369613824555088166260\
      378153069597698013135896576000000000000000000000*ep^8;
Fill mncpoch(30,13) = 1/2631476783851101772185600000+96644707043/43778179371557\
      9480491290307461120000000*ep+246934578105822827902081/3568715522843865799\
      181386649943741455794176000000000*ep^2+9215928090811995185114621298564623/
      593704148346999486205517745029658959419420921901875200000000000*ep^3+
      13510208362750836520498262160496777503089681041/4839765473571207816063818\
      845015695905895487058875640089238568960000000000000*ep^4+3442624845547983\
      62699030873845528438233998708599391588303/8051605179210356690702873321882\
      86295471419278317837316786772254567432192000000000000000*ep^5+
      380048938528683503283737546674201787768399439887232264805002483465601/
      6563518355339842859893423517488779333202658413914741324587499719247708315\
      143739801600000000000000000*ep^6+7762704646040859864557499872463478071814\
      824441738873584112519873409877165210783/109193014976201783228356253106736\
      9943648189657790173307725613757960554836044289825261821624320000000000000\
      000000*ep^7+7170577866225333780469727198583250453277442770780248567283005\
      543906730997586683781046459761/890121090291074822963694233388556727789097\
      9404758987271994078634615047889547372346944405828816691265536000000000000\
      000000000*ep^8;
Fill mncpoch(30,14) = 1/589450799582646796969574400000+214084856611/19612624358\
      4579607260098057742581760000000*ep+1205885789648510233964299/319756910846\
      8103756066522438349592344391581696000000000*ep^2+
      98804353356845796003195853144931959/1063917833837823079280287799093148855\
      279602292048160358400000000000*ep^3+3168426661251651850655165645072433194\
      22022563931/1734571945727920881277272674053625412672942561901029407983103\
      1152640000000000000*ep^4+176052829586271846685299260397027434187188451226\
      60779391471/5771390592457983675895819597125636165939133386982257886727583\
      520739353952256000000000000000*ep^5+4226250491105792922233099039400473859\
      0768262044033636779965102071307939/94094599142151987239432119546719140520\
      793311021881731629286395975135146405900653795737600000000000000000*ep^6+
      1872493686533665466751862040940177839134268417473416331590892895426106974\
      197686199/313078212539765752872343048907636310242808938681598490791087976\
      68245028259061877869906949612503040000000000000000000*ep^7+
      3743695340753759575679616792783244711671798706360809250135192415233080840\
      737243473573114110091/510431038016513946480300821194333969983380322986499\
      3661252284452233653061782045198631800078476643439308963840000000000000000\
      00000*ep^8;
Fill mncpoch(30,15) = 1/132626429906095529318154240000000+236266661971/
      44128404806530411633522062992080896000000000*ep+1462686023984494396227739/
      719453049405323345114967548628658277488105881600000000000*ep^2+
      18749910006237448908332896839401857/3419735894478717040543782211370835606\
      2558645101548011520000000000000*ep^3+459498717141790473891778150830607231\
      005240421291/390278687788782198287386351662065717851412076427731616796198\
      2009344000000000000000*ep^4+277977940654360764822995106857279953474856452\
      87742141311231/1298562883303046327076559409353268137336305012071008024513\
      706292166354639257600000000000000000*ep^5+7247616252350437067290061072545\
      3606203112957353201808029296822047217779/21171284806984197128872226898011\
      8066171784949799233896165894390944054079413276471040409600000000000000000\
      00*ep^6+34801458168697658421274356146773181296418086635761196100968401797\
      44048477507181639/7044259782144729439627718600421816980463201120335966042\
      799479475355131358288922520729063662813184000000000000000000000*ep^7+
      7526295280330703744243132783697751979638977174757362380162305196520465840\
      114206888377839577051/114846983553715637958067684768725143246260572671962\
      3573781764001752571938900960169692155017657244773844516864000000000000000\
      00000000*ep^8;
Fill mncpoch(30,16) = 1/29708320298965398567266549760000000+1820230173997/
      69193338736639685441362594771582844928000000000*ep+
      1765505959709497300407139/16115748306679242930575273089281945415733571747\
      8400000000000*ep^2+1212461412007105530966386490524178793/
      375350211777983982370085535520062916142643688634590974443520000000000000*
      ep^3+94458298571311905368335276370809052672354771413/12488918009241030345\
      1963632531861029712451864456874117374783424299008000000000000000*ep^4+
      43512211017028127217783152243321197288266855730370577613831/
      2908780858598823772651493076951320627633323227039057974910702094452634391\
      93702400000000000000000*ep^5+12314808079056006276138528194725500950916395\
      5644591549677587377558761179/47423677967644601568673788251546446822479828\
      75502839274116034357146811378857392951305175040000000000000000000*ep^6+
      4484837140724154767661029266366171996162184064830286045804548598371788260\
      7316167273/11045399338402935761336262765461409025366299356686794755109583\
      817356845969797030512503171823291072512000000000000000000000*ep^7+
      1498742911984386353225110580698260360767539471864928936774934581740125234\
      8715330896609499451651/25725724316032302902607161388194432087162368278519\
      5680527115136392576114313815078011042723955222829341171777536000000000000\
      00000000000*ep^8;
Fill mncpoch(30,17) = 1/6565538786071353083365907496960000000+1999390909597/
      15291727860797370482541133444519808729088000000000*ep+
      2123718305824848919960339/35615803757761126876571353527313099368771193562\
      726400000000000*ep^2+1592948345885871228225346348589547193/
      82952396802934460103788903349933904467524255188244605352017920000000000000
      *ep^3+135228841060128465782010781281962952325039795813/
      2760050880042267706288396278954128756645186204496917993982713677008076800\
      0000000000000*ep^4+677399096556962269777876330649283908387687158475014576\
      56631/6428405697503400537559799700062418587069644331756318124552651628740\
      3220061808230400000000000000000*ep^5+208102405094304614049780262350723180\
      957150684551131719708427212803106379/104806328308494569466769072035917647\
      4776804215486127479579643592929445314727483842238443683840000000000000000\
      000*ep^6+8213215138406634970024301948477827025387686937252717517350032294\
      8580159434008559673/24410332537870488032553140711669713946059521578277816\
      40879218023635862959325143743263200972947327025152000000000000000000000*
      ep^7+29702285778223748863753484676640611509255573387256368502823721303706\
      434688477584104320674910451/568538507384313894147618266679096949126288338\
      9552824539649244514275932126335313224044044199410424528439896283545600000\
      000000000000000000*ep^8;
Fill mncpoch(30,18) = 1/1418156377791412266007036019343360000000+2193481706497/
      3303013217932232024228884824016278685483008000000000*ep+
      2549452918224423557419639/76930136116764034053394123618996294636545778095\
      48902400000000000*ep^2+2087773694443080129528056989809866293/
      1791771770943384338241840312358572336498523912066083475603587072000000000\
      0000*ep^3+193117078217459112072104467290650399223728208913/
      5961709900891298245582935962540918114353602201713342867002661542337445888\
      000000000000000*ep^4+1052221572619224975330287993814207107434052653044353\
      10426331/1388535630660734516112916735213482414807043175659364714903372751\
      8079095533350577766400000000000000000*ep^5+351060971575830231055347168548\
      854390573614120089288113244445450535323679/226381669146348270048221195597\
      5821185517897105450035355892030160727601879811365099235038357094400000000\
      00000000000*ep^6+15026985511770748802488647943458403550237348205374940422\
      6812184941560663890558354773/52726318281800254150314783937206582123488566\
      6090800834429911093105346399214231048544851410156622637432832000000000000\
      000000000*ep^7+5886828170806713851560090850213448837992913436049643900210\
      5926625644123872689109568165163514151/12280431759501180113588554560268494\
      1011278281214341010056423681508360133928842765639351354707265169814301759\
      7245849600000000000000000000000*ep^8;
Fill mncpoch(30,19) = 1/296394682958405163595470528042762240000000+
      2405217121297/690329762547836493063836928219402245265948672000000000*ep+
      3058722563086305766415239/16078398448403683117159371836370225579038067621\
      95720601600000000000*ep^2+2735413585096278249179619528516003493/
      3744803001271673266925446252829416183281914976218114464011496980480000000\
      000000*ep^3+275857639658875622504427967373009888942100194113/
      1245997369286281333326833616171051885899902860158088659203556262348526190\
      592000000000000000*ep^4+1636309890208434579656120698898658259030627830881\
      11883498731/2902039468080935138675995976596178246946720237128072254148049\
      051278530966470270753177600000000000000000*ep^5+5935862989170679789828538\
      18826975707321121200862514675454337035445655279/
      4731376885158678844007822987989466277732404950390573893814343035920687928\
      8057530574012301663272960000000000000000000*ep^6+275953096338509667354618\
      714851677786321534476319448066805223615600648787247433083973/
      1101980052089625311741578984287617566380911042129773743958514184590173974\
      35774289145873944722734131223461888000000000000000000000*ep^7+
      1172973250266458441467411207870974049426650028764955527341680596816032459\
      89641303838431550514551/2566610237735746643740007903096115267135716077379\
      7271101792549435247267991128138018624433133818420491189067782438256640000\
      0000000000000000000*ep^8;
Fill mncpoch(30,20) = 1/59278936591681032719094105608552448000000000+
      2638126077577/138065952509567298612767385643880449053189734400000000000*
      ep+3673165754349815147748799/32156796896807366234318743672740451158076135\
      2439144120320000000000000*ep^2+3590926787185332565252726295229511213/
      7489606002543346533850892505658832366563829952436228928022993960960000000\
      00000000*ep^3+395337498241908406318386178208212260324155446633/
      2491994738572562666653667232342103771799805720316177318407112524697052381\
      18400000000000000000*ep^4+25570863311471267983658555203031862397986148263\
      5881153703971/58040789361618702773519919531923564938934404742561445082960\
      9810255706193294054150635520000000000000000000*ep^5+101048411487080020939\
      2600412003139726710088424480389634965536027355370439/
      9462753770317357688015645975978932555464809900781147787628686071841375857\
      611506114802460332654592000000000000000000000*ep^6+5113038968705873711726\
      54729566427044152585609411685218012776805502725644847688490893/
      2203960104179250623483157968575235132761822084259547487917028369180347948\
      7154857829174788944546826244692377600000000000000000000000*ep^7+
      2363845819886711069971130935272195847250091942279189016974281611558356366\
      26306389822888465672591/5133220475471493287480015806192230534271432154759\
      4542203585098870494535982256276037248866267636840982378135564876513280000\
      000000000000000000000*ep^8;
Fill mncpoch(30,21) = 1/11203719015827715183908785960016412672000000000+
      2896913806777/26094465024308219437813035886693404871052859801600000000000
      *ep+4422851500093762548537199/6077634613496592218286242554147945268876389\
      5610998238740480000000000000*ep^2+4735506483483410962272672806168022013/
      1415535534480692494897818683569519317280563861010447267396345858621440000\
      00000000000*ep^3+570407636737986867575090730597185713238424429433/
      4709870055902143439975431069126576128701632811397575131789442671677429000\
      4377600000000000000000*ep^4+403323130144474796675764392685533274619515718\
      914652867247571/109697091893459348241952647915335537734586024963441131206\
      796254138328470532576234470113280000000000000000000*ep^5+
      1741109653758273113301069843004283447518859692791789163814411700495782839/
      1788460462589980603034957089460018252982849071247636931861821667578020037\
      088574655697665002871717888000000000000000000000*ep^6+
      9618817104548891158772529101681060634091386834826819441214752197079397999\
      28827689693/4165484596898783678383168560607194400919843739250544752163183\
      617750857623072268129714035110519350160246859366400000000000000000000000*
      ep^7+48530776559630376033278304008371534313941140465427970954246602221812\
      4464660190029256622180808191/97017866986411223133372298737033157097730067\
      7249536847647758368652346730064643617104003572458336294566946762176166100\
      9920000000000000000000000000*ep^8;
Fill mncpoch(30,22) = 1/1971854546785677872367946328962888630272000000000+
      3188050002127/45926258442782466210550943160580392573053033250816000000000\
      00*ep+5351008248298576736046649/10696636919754002304183786895300383673222\
      445627535690018324480000000000000*ep^2+6293378666179526704025315396144904\
      163/249134254068601879102016088308235399841379239537838719061756871117373\
      44000000000000000*ep^3+832154825419181885385612995528243635425023892583/
      8289371298387772454356758681662773986514873748059732231949419102152275040\
      770457600000000000000000*ep^4+6455935199591588796965715278311426901050096\
      55184114571336621/1930668817324884529058366603309905464128714039356563909\
      2396140728345810813733417266739937280000000000000000000*ep^5+
      3056799141762939738648267222367552087799815913689018804216491714950169289/
      3147690414158365861341524477449632125249814365395841000076806134937315265\
      27589139402789040505422348288000000000000000000000*ep^6+
      1851826582536896683018632781158307597544126241024486861855671155323328801\
      566702295843/733125289054185927395437666666866214561892498108095876380720\
      3167241509416607191908296701794514056282034472484864000000000000000000000\
      00*ep^7+10244415112840886116228627411489341831334073222062459006891871631\
      99697311045394854914463321738241/1707514458960837527147352457771783564920\
      0491919591848518600547288281302449137727661030462875266718784378263014300\
      52337745920000000000000000000000000*ep^8;
Fill mncpoch(30,23) = 1/317468582032494137451239358963025069473792000000000+
      3520777082527/73941276092879770598987018488534432042615383533813760000000\
      0000*ep+6522466127707015300217449/172215854408039437097358969014336177138\
      8813746033246092950241280000000000000*ep^2+120908282540848220735211381243\
      5829109/57300878435778432193463700310894141963517225093702905384204080356\
      9958912000000000000000*ep^3+123444942387912910763322923910853026721592725\
      6183/13345887790404313651514381477477066118288946734376168893438564754465\
      16281564043673600000000000000000*ep^4+10563282726679235501740332465836374\
      64650796967512667009449821/3108376795893064091783970231328947797247229603\
      364067893875778657263675541011080179945129902080000000000000000000*ep^5+
      5517082296524352989706930180565700863977041077424662212717958776378428089/
      5067781566794969036759854408693907721652201128287304010123657877249077577\
      0941851443849035521372998074368000000000000000000000*ep^6+
      3687509267385971720782830911784578066394964651346865070849521327635279665\
      161023651443/118033171537723934310665464333365460544464692195403436097295\
      9709925883016073757897235768988916763061407550070063104000000000000000000\
      00000*ep^7+22513757037693659221958980728738867969108812639100922434056875\
      42281315750071911850334439958755441/2749098278926948418707237457012571539\
      5212791990542876114946881134132896943111741534259045229179417242849003453\
      0238426377093120000000000000000000000000*ep^8;
Fill mncpoch(30,24) = 1/45715475812679155792978467690675610004226048000000000+
      3908958676327/10647543757374686966254130662348958214136615228869181440000\
      0000000*ep+8039851936781968490190049/247990830347576789420196915380644095\
      079989179428787437384834744320000000000000*ep^2+1654928902370773831869735\
      653252985709/825132649475209423585877284476875644274648041349321837532538\
      75714074083328000000000000000*ep^3+18768623628271006922277564589729584143\
      44170260383/1921807841818221165818070932756697521033608329750168320655153\
      32464298344545222288998400000000000000000*ep^4+17848916960133813707160870\
      21426004773032037760926700947875221/4476062586086012292168917133113684828\
      0360106288442577671811212664596927790559554591209870589952000000000000000\
      0000*ep^5+103671170197563693959895253315021898349109268129128331851731768\
      55529036689/7297605456184755412934190348519227119179169624733717774578067\
      343238671711015626607914261115077711722708992000000000000000000000*ep^6+
      7711833275226105280619588183072571464700847102618523077143575648423813469\
      275718579643/169967767014322465407358268640046263184029156761380947980106\
      1982293271543146211372019507344040138808426872100890869760000000000000000\
      0000000*ep^7+524496743566650952539340606527864376914285653241466268489336\
      1088917340120449267620220531933768841/
      3958701521654805722938421938098103016910642046638174160552350883315137159\
      8080907809333025130018360829702564972354333398301409280000000000000000000\
      000000*ep^8;
Fill mncpoch(30,25) = 1/5714434476584894474122308461334451250528256000000000000
      +4374776588887/1330942969671835870781766332793619776767076903608647680000\
      0000000000*ep+10077701235333668123910769/30998853793447098677524614422580\
      511884998647428598429673104343040000000000000000*ep^2+2325553724205982774\
      808010773150751229/103141581184401177948234660559609455534331005168665229\
      69156734464259260416000000000000000000*ep^3+29601469441828655318521405920\
      88033046032804796623/2402259802272776457272588665945871901292010412187710\
      4008189416558037293068152786124800000000000000000000*ep^4+316378116642350\
      6627682625342600094778291337280571582145160101/
      5595078232607515365211146416392106035045013286055322208976401583074615973\
      8199443239012338237440000000000000000000000*ep^5+206833385909366481235466\
      44862395906782283713961880163254778492939260416609/
      9122006820230944266167737935649033898973962030917147218222584179048339638\
      76953325989282639384713965338624000000000000000000000000*ep^6+
      1734650288242790644473332727666548120231259313002566813735650867457279960\
      4316052288683/21245970876790308175919783580005782898003644595172618497513\
      2747786658942893276421502438418005017351053359012611358720000000000000000\
      0000000000*ep^7+133252791985751000101700555831582678202120277088438160758\
      56073316236373981886965063834657505327321/
      4948376902068507153673027422622628771138302558297717700690438604143921449\
      7601134761666281412522951037128206215442916747876761600000000000000000000\
      00000000*ep^8;
Fill mncpoch(30,26) = 1/5943011855648290253087200799787829300549386240000000000\
      00+4957048979587/13841806884587093056130369861053645678377599797529935872\
      00000000000000*ep+12964053995494786112551669/3223880794518498262462559899\
      948373236039859332574236686002851676160000000000000000*ep^2+3403926683223\
      216508970956428280048129/107267244431777225066164046981993833755704245375\
      4118388792300384282963083264000000000000000000*ep^3+494215947179076939027\
      4367388448189759216696796923/24983501943636875155634922125837067773436908\
      28675218816851699322035878479087889756979200000000000000000000*ep^4+
      6041464177283767130750062570801937792477700683872969758976201/
      5818881361911815979819592273047790276446813817497535097335457646397600612\
      772742096857283176693760000000000000000000000*ep^5+4530778311978464216021\
      4073783323933124614412737344336511453620323976531509/
      9486887093040182036814447453074995254932920512153833106951487546210273224\
      3203145902885394496010252395216896000000000000000000000000*ep^6+
      4372797407690201450450518844226770153530874825027568612698590611278472313\
      6755360854983/22095809711861920502956574923206014213923790378979523237413\
      8057698125300609007478362535954725218045095493373115813068800000000000000\
      000000000000*ep^7+3878687120480046164535436757799149132257031301515628177\
      1098980653733278557163112069906804923185421/
      5146311978151247439819948519527533921983834660629626408718056148309678307\
      7505180152132932669023869078613334464060633417791832064000000000000000000\
      0000000000*ep^8;
Fill mncpoch(30,27) = 1/4813839603075115105000632647828141733445002854400000000\
      0000+5733412167187/112118635765155453754655995874534529994858558359992480\
      563200000000000000*ep+17415264141436709557832869/261134344355998359259467\
      351895818232119228605938513171566230985768960000000000000000*ep^2+
      5335436680614899519824458246121937329/86886467989739552303592878055415005\
      342120438754083589492176331126920009744384000000000000000000*ep^3+
      9084396100390915909538993184850522362246566717323/
      2023663657434586887606428692192802489648389571226927241649876450849061568\
      06119070315315200000000000000000000*ep^4+13094254891204268212363308566287\
      165363156527117689922177771001/471329390314857094365386974116871012392191\
      9192173003428841720693582056496345921098454399373121945600000000000000000\
      00000*ep^5+11646906538586030026474419755795956031277400367319345482376521\
      7718396044709/76843785453625474498197024369907461564956656148446048166307\
      04912430321311699454818133716954176830444012568576000000000000000000000000
      *ep^6+1341502689366613411863351175569693215316284267404102653854208667746\
      46675566266715263383/1789760586660815560739482568779687151327827020697341\
      3822305182673548149349329605747365412332742661652734963222380858572800000\
      000000000000000000000*ep^7+1429362016138641229904686650063409183822746726\
      18114273137486267350452902463532974163568404362836221/
      4168512702302510426254158300817302476806906075109997391061625480130839429\
      2779195923227675461909333953676800915889113068411383971840000000000000000\
      000000000000*ep^8;
Fill mncpoch(30,28) = 1/2695750177722064458800354282783759370729201598464000000\
      000000+6897956948587/6278643602848705410260735768973933679712079268159578\
      911539200000000000000*ep+25448243908235568511714669/146235232839359081185\
      30171706165820998676801932556737607708935203061760000000000000000*ep^2+
      9569096629062052632992955753233131129/48656422074254149290012011711032402\
      99158744570228681011561874543107520545685504000000000000000000*ep^3+
      20228037642477460880063069270239271396105406917923/
      1133251648163368657059600067627969394203098159887079255323930812475474478\
      1142667937657651200000000000000000000*ep^4+366507105657141542473634071878\
      11015196829371028280609954803201/2639444585763199728446167055054477669396\
      2747476168819201513635884059516379537158151344636489482895360000000000000\
      000000000*ep^5+4152388214531901209149161014071795323711001686737932077874\
      89920838352874509/4303251985403026571899033364714817847637572744312978697\
      3131947509609799345516946981548814943390250486470384025600000000000000000\
      0000000*ep^6+617714471494660260879835656869533442447285496346135904457108\
      094292049628547411752595983/100226592853005671401411023851662480474358313\
      1590511174049090229718696363562457921852463090633589052553157940453328080\
      076800000000000000000000000000*ep^7+8622923657882297877640438517033971494\
      37038241983915608728180498693958424898229793126248309615952421/
      2334367113289405838702328648457689387011867402061598538994510268873270080\
      3956349717007498258669227014059008512897903318310375024230400000000000000\
      00000000000000*ep^8;
Fill mncpoch(31,0) = 1;
Fill mncpoch(31,1) = 1/30+1/900*ep+1/27000*ep^2+1/810000*ep^3+1/24300000*ep^4+1/
      729000000*ep^5+1/21870000000*ep^6+1/656100000000*ep^7+1/19683000000000*
      ep^8;
Fill mncpoch(31,2) = 1/1740+59/1513800*ep+2611/1317006000*ep^2+102719/
      1145795220000*ep^3+3788851/996841841400000*ep^4+134176679/
      867252402018000000*ep^5+4620123691/754509589755660000000*ep^6+
      155853587039/656423343087424200000000*ep^7+5175854024131/
      571088308486059054000000000*ep^8;
Fill mncpoch(31,3) = 1/146160+1261/1780228800*ep+1060291/21683186784000*ep^2+
      743087521/264101215029120000*ep^3+468795571651/3216752799054681600000*
      ep^4+276089511874681/39180049092486021888000000*ep^5+154886325321323611/
      477212997946479746595840000000*ep^6+83804624235525745441/
      5812454314988123313537331200000000*ep^7+44093480266719788977171/707956935\
      56555341958884694016000000000*ep^8;
Fill mncpoch(31,4) = 1/15785280+15409/1730382393600*ep+148444111/
      189684517986432000*ep^2+1144393893469/20793216861672675840000*ep^3+
      7722006953086351/2279352432376558725580800000*ep^4+47654157816218623429/
      249862613637118367498167296000000*ep^5+275788824348937152275191/273899397\
      06900915445149098987520000000*ep^6+1520537546631853177383469789/300248519\
      0670478351097244231011942400000000*ep^7+8071462182285816241456042749631/
      329132426601297836847279912603529125888000000000*ep^8;
Fill mncpoch(31,5) = 1/2052086400+255127/2924346245184000*ep+39070565629/
      4167368860161911040000*ep^2+4655691086076883/5938750667862332946662400000
      *ep^3+475726669014973228141/8463076026743896188970719744000000*ep^4+
      43768233946767943983231907/12060391122671656703054613878384640000000*ep^5
      +3730116882089219996757203218189/1718678097327447110125500805353081507840\
      0000000*ep^6+299859182401277279864812977962992003/24492194093774517787554\
      461776764623335624704000000000*ep^7+2301942145289425002010684716411490979\
      8381/34902846115274314318332361299596194130665340682240000000000*ep^8;
Fill mncpoch(31,6) = 1/307812960000+1560647/2193259683888000000*ep+
      1421567263489/15627633225607166400000000*ep^2+987125114661137243/
      111351575022418742749920000000000*ep^3+578671671314158315490041/793413377\
      507240267716004976000000000000*ep^4+301704101468240714762047274867/
      5653308338752339079556850255492800000000000000*ep^5+
      144272365650310285045091918188596529/402815179061120416435664251254628478\
      40000000000000000*ep^6+64545854103826022450710251690127024157723/
      287017899536420130322903848946460429714352000000000000000000*ep^7+
      27388304474876478724826067428188870049233525801/2045088639566854354589786\
      794898214499843672305600000000000000000000*ep^8;
Fill mncpoch(31,7) = 1/51712577280000+3715069/736935253786368000000*ep+
      7892184149431/10501769527608015820800000000*ep^2+12583182560617489969/
      149656516830130790255892480000000000*ep^3+16730325965957183154183631/
      2132695158739461839620621375488000000000000*ep^4+
      19588580547419929299760898292769/3039218562913257489169762697352929280000\
      0000000000*ep^5+20864640816164126762851410147859090831/433106880526516671\
      751626202948976539975680000000000000000*ep^6+2065077142590758524230300827\
      6881290750365569/61720329116311784824637243677446850805774254080000000000\
      00000000*ep^7+19273317748986654980803942001221539147902098338031/
      87955172210491272082197550474982409209276658519244800000000000000000000*
      ep^8;
Fill mncpoch(31,8) = 1/9515114219520000+99697187/3118709994023909376000000*ep+
      5595710148111199/1022200238739253827933388800000000*ep^2+
      232841809251706452922223/335040234610085043807993659965440000000000*ep^3+
      7999966635561792069063332566471/10981406044869299228167447236618048307200\
      0000000000*ep^4+240083147823059304068404886472127336367/35993073746093320\
      183612295425734306617514393600000000000000*ep^5+6510044558253830993804611\
      351301639777530403959/117972266246997817779974636754612941273216642010316\
      80000000000000000*ep^6+16308431303296266526362693798863618835872518854195\
      9743/38667038279727743347272050846311605160886324808541073571840000000000\
      00000000*ep^7+38333618138644677484730048821052965020563756768146117171175\
      11/1267365540130902812492660701918030769163171318728169472998585139200000\
      000000000000000*ep^8;
Fill mncpoch(31,9) = 1/1883992615464960000+1260550957/
      6792550366984074620928000000*ep+883662413801433379/2448987331971504320962\
      8128870400000000*ep^2+454728723446386413713418913/88295833348672592275071\
      033159972126720000000000*ep^3+191649318694228551296697399064076611/
      318341956487804191799207198082823193626116096000000000000*ep^4+7007348552\
      1367218000270908854901676405482617/11477506629366509111604068705407672913\
      81347499527372800000000000000*ep^5+23016716994528865372814088147991395308\
      437201658942299/413810230610299448106937101978004936572743476122148904239\
      1040000000000000000*ep^6+695007520831655215674903933325126050613246172967\
      5026137445153/14919521503007887287437576199582825587282551597490526792116\
      931919872000000000000000000*ep^7+1960706679169929961120393174343578031493\
      968368934027478084971022895891/537908696820833422403245546176130786214745\
      68638185220779246612154383964569600000000000000000000*ep^8;
Fill mncpoch(31,10) = 1/395638449247641600000+204605251/
      203776511009522238627840000000*ep+1129557127216383979/5142873397140159074\
      021907062784000000000*ep^2+92665377496890438607888159/2648875000460177768\
      252130994799163801600000000000*ep^3+303014624969217978549920553283172011/
      66851810862438880277833511597392870661484380160000000000000*ep^4+
      2491771302467497592285650183301340605135233/49189314125856467621160294451\
      74716963062917855117312000000000000000*ep^5+43979002719106405981166236479\
      763023148828404362720899/869001484281628841024567914153810366802761299856\
      512698902118400000000000000000*ep^6+2071520781906930107535764225181222706\
      551083627916036265568479/447585645090236618623127285987484767618476547924\
      715803763507957596160000000000000000000*ep^7+4450261597778147708514939141\
      624906588960684603613696611666928426183291/112960826332375018704681564696\
      98746510509659414018896363641788552420632559616000000000000000000000*ep^8
      ;
Fill mncpoch(31,11) = 1/87040458834481152000000+32908303/
      6404404631727841785446400000000*ep+1420243881650690209/113143214737083499\
      6284819553812480000000000*ep^2+129240733549336048970537989/58275250010123\
      9109015468818855816036352000000000000*ep^3+
      466102295649451781467063587661315081/147073983897365536611233725514264315\
      45526563635200000000000000*ep^4+29445870943834380445389249137884835545979\
      101/7575154375381896013658685345569064123116893496880660480000000000000000
      *ep^5+81136471355320266937058156669595475143390366090444529/
      1911803265419583450254049411138382806966074859684327937584660480000000000\
      00000000*ep^6+41610177809792167503311211163329479305070470850956624631167\
      09/9846884191985205609708800291724664887606484054343747682797175067115520\
      0000000000000000000*ep^7+970101094685921355049683027572059354274541846926\
      4725727516624109719961/24851381793122504115029944233337242323121250710841\
      57200001193481532539163115520000000000000000000000*ep^8;
Fill mncpoch(31,12) = 1/19845224614261702656000000+4891861699/
      194207166052515074301876633600000000*ep+636167930100378772849/93125917185\
      798686874210927835197603840000000000*ep^2+1214125191455778789647716599151/
      911338662788322983112058943305305620081147904000000000000*ep^3+9138478132\
      6232271892753085354892499773601/43700369334513948940504705981457322868136\
      1344286661017600000000000000*ep^4+119979299467615111343622357385936511623\
      454825704399/427655773561015211295553062460903281621032064652705708972179\
      4560000000000000000*ep^5+684515185198525594422754778963363659758487575533\
      0773506062449/20506882913837779480010485667114306511725599785962534455381\
      00707578609664000000000000000000*ep^6+72450623153825243644447938309806012\
      88135697715573045129284565253359551/2006822141184085036942035016883820440\
      7991668184476997038598019276288380793939558400000000000000000000*ep^7+
      3476072559683608015113361636103026016804416851025638048950798038796893270\
      57704001/9623082212939589250313359795562822288818365616023040925146943767\
      296921782662830021893160960000000000000000000000*ep^8;
Fill mncpoch(31,13) = 1/4643782559737238421504000000+5435533399/454444768562885\
      27386639132262400000000*ep+780970068588993079549/217914646214768927285653\
      57113436239298560000000000*ep^2+1638716516294673258494356662451/
      213253247092467578048221792733441515098988609536000000000000*ep^3+
      135040047243600404750871235381864505271901/102258864242762640520781011996\
      610135511438554563078678118400000000000000*ep^4+1933967515206236575152165\
      98407094936374288204606099/1000714510132775594431594166158513678993215031\
      287331358994899927040000000000000000*ep^5+1199722454499631334236181140191\
      9563807464929875249911517279149/47986106018380403983224536461047477237437\
      9034991523306255915565573394661376000000000000000000*ep^6+
      1966801968434628076145617407277370543799804118747278921247614223534693/
      6708519729101084266349088485011628330671500507382310438617052158073544436\
      83122380800000000000000000000*ep^7+71437529338993560217519148494418218405\
      2046125065436710405757599107366614492522301/22518012378278638845733261921\
      6170041558349755414939157648438484154747969714310222512299966464000000000\
      0000000000000*ep^8;
Fill mncpoch(31,14) = 1/1105220249217462744317952000000+102190158383/1838683533\
      60543381806341929133670400000000*ep+274702415092073987479861/149886051959\
      4423635656182392976371411433553920000000000*ep^2+
      10739276966685573102363959704028363/2493557423057397842063174529124567629\
      56156787198787584000000000000*ep^3+16428361117182181209737698858408871863\
      911145621/203270149889990728274680391490659228047610456472776883748019896\
      3200000000000000*ep^4+435365161726080186512693617028408386979613068724301\
      170443/338167417526834981009520679519080244097996096893491673050444346918\
      321520640000000000000000*ep^5+4983494581833606993627066172066238590429227\
      98274527977598640917902981/2756677709242734001155237877345287319945116533\
      844191356326749882084037492360370716672000000000000000000*ep^6+
      1052627731671205142054175842887881740782037179094690444535439313377379314\
      1655323/45861066290004748955909626304829537633223965627187278924475777834\
      3433031138601726609965082214400000000000000000000*ep^7+
      1003085284013278382773514489104698475517627032492307941242478687665679233\
      8866174497722117941/37385085792225142564475157802319382567142113499987746\
      54237513026538320113609896385716650448103010331525120000000000000000000000
      *ep^8;
Fill mncpoch(31,15) = 1/265252859812191058636308480000000+4595423659/1801159379\
      858384148307022979268608000000000*ep+1328258508825897987158419/
      1438906098810646690229935097257316554976211763200000000000*ep^2+
      113535939212115751642377768016594879/478763025227020385676129509591916984\
      875821031421672161280000000000000*ep^3+3785442526968797973051890019617591\
      70392815974211/7805573755775643965747727033241314357028241528554632335923\
      964018688000000000000000*ep^4+2180368042536160604009990351946694345914310\
      4463784370176951/25971257666060926541531188187065362746726100241420160490\
      27412584332709278515200000000000000000*ep^5+54111807296569751465894152557\
      182809004506779706278032452710340157613259/423425696139683942577444537960\
      2361323435698995984677923317887818881081588265529420808192000000000000000\
      0000*ep^6+247264247509883447809188142613296550877228079259594497454578498\
      0343891490844320319/14088519564289458879255437200843633960926402240671932\
      085598958950710262716577845041458127325626368000000000000000000000*ep^7+
      5087463356387778907998953593554920842353711281424238873625988957871871700\
      151532390323116301171/229693967107431275916135369537450286492521145343924\
      7147563528003505143877801920339384310035314489547689033728000000000000000\
      00000000*ep^8;
Fill mncpoch(31,16) = 1/63660686354925854072714035200000000+247357564651/
      21181634307134597584090590236198830080000000000*ep+
      1597113539143090805297059/34533746371455520565518442334175597319429082316\
      8000000000000*ep^2+148962800875208533074282787735031119/11490312605448489\
      2562271082302060076370197047541201318707200000000000000*ep^3+540453181586\
      701150478367299699455291617664868371/187333770138615455177945448797791544\
      5686777966853111760621751364485120000000000000000*ep^4+482741538650150670\
      3499873978855578176546883730242844635073/89044311997923176713821216641366\
      957988775200827726264538082717177121460977664000000000000000000*ep^5+
      90840517750438989879907068893724403401719135000125583605883303936822299/
      1016221670735241462185866891104566717624567759036322701596293076531459581\
      1837270609939660800000000000000000000*ep^6+448764915864069720616298980322\
      1670750511336534556294245647895379144205464170042959/
      3381244695429470131021304928202472150622336537761263700543750148170463051\
      978682809949950558150328320000000000000000000000*ep^7+
      9965127204273628580487311973840583116924243068090485886698621435169059980\
      076881386432562852931/551265521057835062198724886889880687582050748825419\
      3154152467208412345306724608814522344084754774914453680947200000000000000\
      0000000000*ep^8;
Fill mncpoch(31,17) = 1/15151243352472353269305940377600000000+1897866492757/
      35288602755686239575094923333507250913280000000000*ep+
      1912849327705102983628459/82190316364064138945933892755337921620241215913\
      984000000000000*ep^2+1360967992152670605481992594855769633/
      1914286080067718310087436231152320872327482812036413969661952000000000000\
      00*ep^3+109552662122872178755832730732835062308457087853/
      6369348184712925476050145259124912515335045087300579986113954639249408000\
      0000000000000*ep^4+520174764146060099744066823357368285841506916467074096\
      36111/1483478237885400124052261469245173520092994845789919567204458068170\
      84353988788224000000000000000000*ep^5+15141719845066600153267871836909428\
      9853178173708499269990328441977957699/24186075763498746800023632008288687\
      8794647126650644802979917752214487380321727040516563927040000000000000000\
      0000*ep^6+566038452919036315058959861996329915811590149414105611042419270\
      22212771420676300513/5633153662585497238281494010385318602936812671910265\
      325105887746851991444596485561376617629878446981120000000000000000000000*
      ep^7+19381943295967819115044425410981871537082652412888242413668729651854\
      420671273974218014318975531/131201194011764744803296523079791603644528078\
      2204497970688287195602138183000456897856317892171636429639976065433600000\
      0000000000000000000*ep^8;
Fill mncpoch(31,18) = 1/3545390944478530665017590048358400000000+2077027228357/
      8257533044830580060572212060040696713707520000000000*ep+
      2284971053798772283037659/19232534029191008513348530904749073659136444523\
      872256000000000000*ep^2+1770345086975965822087910983797730033/
      4479429427358460845604600780896430841246309780165208689008967680000000000\
      0000*ep^3+154863566129795038213793996407766632925955984253/
      1490427475222824561395733990635229528588400550428335716750665385584361472\
      0000000000000000*ep^4+797629468400593340980201247990160560923001461186969\
      06142911/3471339076651836290282291838033706037017607939148411787258431879\
      5197738833376444416000000000000000000*ep^5+251449916057087082445210854807\
      262921213129663430791828316385096375278899/565954172865870675120552988993\
      9552963794742763625088389730075401819004699528412748087595892736000000000\
      00000000000*ep^6+10165379721924960479003780964400701276830816981985164475\
      5874390421684632620674404913/13181579570450063537578695984301645530872141\
      6522700208607477773276336599803557762136212852539155659358208000000000000\
      0000000000*ep^7+375943123823018127892368829386149420762113364853025825710\
      01067861005033642809756370319652978331/3070107939875295028397138640067123\
      5252819570303585252514105920377090033482210691409837838676816292453575439\
      93114624000000000000000000000000*ep^8;
Fill mncpoch(31,19) = 1/808349135341104991624010531025715200000000+
      2271118025257/1882717534221372253810464349689278850725314560000000000*ep+
      2725774161174857740340959/43850177586555499410434650462827887942831093514\
      42874368000000000000*ep^2+2299392766087823001154820993817957133/
      1021309909437729072797848978044386231804158629877667581094044631040000000\
      0000000*ep^3+218619419609235161310978114545906243422243025353/
      3398174643508039999982273498648323325181553254976605434191517079132344156\
      160000000000000000*ep^4+1221949642098312731563679157696904805108086780949\
      27579948611/7914653094766186741843625390716849764400146101258378874949224\
      685305084454009829326848000000000000000000*ep^5+4174683419216589967954380\
      44376582036813937091194952303196485686642020199/
      1290375514134185139274860814906218075745201350106520152858457191614733071\
      49247810656397186354380800000000000000000000*ep^6+18268056038334607684811\
      8925961635383991750356876347910540770714621478018070480988013/
      3005400142062614486567942684420775181038848296717564756250493230700474475\
      52111697670565303789274903336714240000000000000000000000*ep^7+
      7305092792524402233317692554448085258240766627729234328950916580207018402\
      5942011700062170538031/69998461029156726647454760993530416376428620292174\
      3757321614984597652763394403764144302721831411467941520030430134272000000\
      000000000000000000*ep^8;
Fill mncpoch(31,20) = 1/177836809775043098157282316825657344000000000+
      2482853440057/414197857528701895838302156931641347159569203200000000000*
      ep+3251482164192933570984559/96470390690422098702956231018221353474228405\
      7317432360960000000000000*ep^2+2987846690838015498036081838078030333/
      2246881800763003960155267751697649709969148985730868678406898188288000000\
      000000000*ep^3+308995556529720100037477882167648841611491186553/
      7475984215717687999961001697026311315399417160948531955221337574091157143\
      55200000000000000000*ep^4+18762026654300840706570079069628313113015726492\
      6271217133011/17412236808485610832055975859577069481680321422768433524888\
      29430767118579882162451906560000000000000000000*ep^5+69554932665125212656\
      5041898771940463930543580143734996235198342647759799/
      2838826131095207306404693792793679766639442970234344336288605821552412757\
      2834518344407380997963776000000000000000000000*ep^6+329952985575709640805\
      750171577491808722988440207558683589906874062273969402510613213/
      6611880312537751870449473905725705398285466252778642463751085107541043846\
      1464573487524366833640478734077132800000000000000000000000*ep^7+
      1429136601906153199335414443486122510459718819602447792547600508750171239\
      68625104550119086290431/1539966142641447986244004741857669160281429646427\
      8362661075529661148360794676882811174659880291052294713440669462953984000\
      0000000000000000000000*ep^8;
Fill mncpoch(31,21) = 1/37345730052759050613029286533388042240000000000+
      2715762396337/86981550081027398126043452955644682903509532672000000000000
      *ep+3884007549428255936130919/2025878204498864072762080851382648422958796\
      52036660795801600000000000000*ep^2+3892466835358991098861048523805251653/
      4718451781602308316326062278565064390935212870034824224654486195404800000\
      00000000000*ep^3+438508469098002559458840326228493969680487576673/
      1569956685300714479991810356375525376233877603799191710596480890559143000\
      14592000000000000000000*ep^4+28975281640056481622202793269733637040471359\
      1490686121989451/36565697297819782747317549305111845911528674987813710402\
      2654180461094901775254114900377600000000000000000000*ep^5+
      1167951508980574250806379668618739358099860846648716954330704869709175759/
      5961534875299935343449856964866727509942830237492123106206072225260066790\
      295248852325550009572392960000000000000000000000*ep^6+
      6019793525180262363561070085608946618673841940137484852242117712229514825\
      70277429733/1388494865632927892794389520202398133639947913083514917387727\
      8725836192076907560432380117035064500534156197888000000000000000000000000
      *ep^7+2831200428876990005288989181165232515645278503617559629187622162962\
      44892955147032459273155363671/3233928899547040771112409957901105236591002\
      2574984561588258612288411557668821453903466785748611209818898225405872203\
      366400000000000000000000000000*ep^8;
Fill mncpoch(31,22) = 1/7394454550446292021379798733610832363520000000000+
      2974550125537/17222346916043424828956603685217647214894887469056000000000\
      000*ep+4653784621807551096711319/4011238844907750864068920085737643877458\
      4171103258837568716800000000000000*ep^2+509680918982244804659194035575206\
      6453/93425345275725704663256033115588274940517214826689519648158826669015\
      040000000000000000*ep^3+626935851440837285339198046755196460477540223473/
      3108514236895414670383784505623540244943077655522399586981032163307103140\
      2889216000000000000000000*ep^4+451996121749007645441651446966189090711573\
      773524924329501051/724000806496831698396887476241214549048267764758711465\
      96485527731296790551500314750274764800000000000000000000*ep^5+
      1986748858663001197227365632026659485841287769710248682164571770832900159/
      1180383905309387198003071679043612046968680387023440375028802300601493224\
      478459272760458901895333806080000000000000000000000*ep^6+
      1116125578142116064243458296571196664069890607540796283648873840487220507\
      368206372533/274921983395319722773289125000074830460709686790535953642770\
      1187715566031227696965611263172942771105762927181824000000000000000000000\
      000*ep^7+5719596467571343716773048066410833823857900707796470295240533676\
      13215709676637027884057477427271/6403179221103140726802571716644188368450\
      1844698469431944752052331054884184266478728864235782250195441418486303626\
      96266547200000000000000000000000000*ep^8;
Fill mncpoch(31,23) = 1/1360579637282117731933882966984393154887680000000000+
      3265686320887/31689118325519901685280150780800470875406592943063040000000\
      00000*ep+5604544112477131513986769/73806794746302615898868129577572647345\
      23487482999626112643891200000000000000*ep^2+67284948394002825794556335926\
      51390603/1719026353073352965803911009326824258905516752811087161526122410\
      7098767360000000000000000*ep^3+906779906865852649038854795082078971769563\
      408623/571966619588756299350616349034731405069526288616121524004509918048\
      5069778131615744000000000000000000*ep^4+715992573853759328516542466327489\
      453520804521242001932004101/133216148395417032505027295628383477024881268\
      71560290973753337102558609461476057914050556723200000000000000000000*ep^5
      +3445908335617462844619504164309694852148371602408571575871735330992812609
      /217190638576927244432565188944024616642237191212313029005299623310674753\
      304036506187924437948741420318720000000000000000000000*ep^6+
      2119354220498635089845968957371802482443848289564010708476324724354640908\
      547973540683/505856449447388289902851990000137688047705823694586154702697\
      0185396641497458962416724724238214698834603786014556160000000000000000000\
      00000*ep^7+11889803711120719716030656264245162924961772318159182174765085\
      43412963347906761337470974537851321/1178184976682977893731673195862530659\
      7948339424518375477834377628914098689905032086111019383934035961221001479\
      86736113044684800000000000000000000000000*ep^8;
Fill mncpoch(31,24) = 1/228577379063395778964892338453378050021130240000000000+
      3598413401287/53237718786873434831270653311744791070683076144345907200000\
      0000000*ep+6801833697559588626461569/123995415173788394710098457690322047\
      5399945897143937186924173721600000000000000*ep^2+128452130099366015830903\
      3946974934029/41256632473760471179293864223843782213732402067466091876626\
      9378570370416640000000000000000*ep^3+133417492905708281242282146120353718\
      3221342340223/96090392090911058290903546637834876051680416487508416032757\
      6662321491722726111444992000000000000000000*ep^4+115990870274179961763500\
      8701444204250646881625073304206933301/22380312930430061460844585665568424\
      1401800531442212888359056063322984638952797772956049352949760000000000000\
      0000000*ep^5+614743958897427607734223375073057225888141874373390718914941\
      8085843615409/36488027280923777064670951742596135595895848123668588872890\
      336716193358555078133039571305575388558613544960000000000000000000000*
      ep^6+41647738468734219997636149848667271571626957179764294420065811634163\
      43634564995424283/8498388350716123270367913432002313159201457838069047399\
      0053099114663577157310568600975367202006940421343605044543488000000000000\
      000000000000*ep^7+2574713413708542341941542730488912602602312925851797381\
      731959411502118655078696789032016391204521/
      1979350760827402861469210969049051508455321023319087080276175441657568579\
      9040453904666512565009180414851282486177166699150704640000000000000000000\
      0000000*ep^8;
Fill mncpoch(31,25) = 1/34286606859509366844733850768006707503169536000000000000
      +3986594995087/7985657818031015224690597996761718660602461421651886080000\
      0000000000*ep+8349356496587563456122169/185993122760682592065147686535483\
      071309991884571590578038626058240000000000000000*ep^2+
      249647257530721750037130154260356947/884070695866295810984868519082366761\
      7228371871599876830705772397936508928000000000000000000*ep^3+201253422126\
      9605162178990208415313722124877240423/14413558813636658743635531995675231\
      4077520624731262624049136499348223758408916716748800000000000000000000*
      ep^4+1941137444331276808986356601421454903628326794890050133110701/
      3357046939564509219126687849835263621027007971633193325385840949844769584\
      29196659434074029424640000000000000000000000*ep^5+11422036377451892725651\
      348226695094228918303830207564684179116547950392009/
      5473204092138566559700642761389420339384377218550288330933550507429003783\
      261719955935695836308283792031744000000000000000000000000*ep^6+
      8598598132314276100833581482624032541585384948779046485927824269675680927\
      953399368483/127475825260741849055518701480034697388021867571035710985079\
      6486719953657359658529014630508030104106320154075668152320000000000000000\
      0000000000*ep^7+591253094115600132125637189897607656077799243405537901068\
      3711508271145486791910328017660819409921/
      2969026141241104292203816453573577262682981534978630620414263162486352869\
      8560680856999768847513770622276923729265750048726056960000000000000000000\
      000000000*ep^8;
Fill mncpoch(31,26) = 1/4457258891736217689815400599840871975412039680000000000\
      000+4452412907647/1038135516344031979209777739579023425878319984814745190\
      4000000000000000*ep+10423370183082889057468489/24179105958888736968469199\
      249612799270298944994306775145021387571200000000000000000*ep^2+2441158308\
      504168879717630711816401749/804504333238329187996230352364953753167781840\
      3155887915942252882122223124480000000000000000000*ep^3+314966948876551760\
      5786770668822576910814390307863/18737626457727656366726191594377800830077\
      681215064141126387744915269088593159173177344000000000000000000000*ep^4+
      3408309910841952591421879090835822753223939377707888547569981/
      4364161021433861984864694204785842707335110363123151323001593234798200459\
      5795565726429623825203200000000000000000000000*ep^5+225355990336335992031\
      25704189536069292956795988214682968898368217522421529/
      7115165319780136527610835589806246441199690384115374830213615659657704918\
      24023594271640458720076892964126720000000000000000000000000*ep^6+
      1909608383245063251351327643547377093445803476627499246764224555555222333\
      9588582872723/16571857283896440377217431192404510660442842784234642428060\
      3543273593975456755608771901966043913533821620029836859801600000000000000\
      0000000000000*ep^7+148078288500589197479527923199947060720988347638015034\
      88890545677829419680905976010998056842510801/
      3859733983613435579864961389645650441487875995472219806538542111232258730\
      8128885114099699501767901808960000848045475063343874048000000000000000000\
      00000000000*ep^8;
Fill mncpoch(31,27) = 1/4813839603075115105000632647828141733445002854400000000\
      00000+5034685298347/11211863576515545375465599587453452999485855835999248\
      05632000000000000000*ep+13354928428173539505641389/2611343443559983592594\
      673518958182321192286059385131715662309857689600000000000000000*ep^2+
      3552044894718454605779160384659070649/86886467989739552303592878055415005\
      3421204387540835894921763311269200097443840000000000000000000*ep^3+
      5217927161486961972503228422236745582047820872163/
      2023663657434586887606428692192802489648389571226927241649876450849061568\
      061190703153152000000000000000000000*ep^4+6446564833659430906031321567719\
      801644670587038667597637654081/471329390314857094365386974116871012392191\
      9192173003428841720693582056496345921098454399373121945600000000000000000\
      000000*ep^5+4881119605611557184591997679775283525256173839105659090261596\
      6801892548429/76843785453625474498197024369907461564956656148446048166307\
      0491243032131169945481813371695417683044401256857600000000000000000000000\
      00*ep^6+47517495652971457887734713366389844704670396478583485151500315429\
      282030797857942083023/178976058666081556073948256877968715132782702069734\
      1382230518267354814934932960574736541233274266165273496322238085857280000\
      00000000000000000000000*ep^7+42475954643991468091108456079221765976489001\
      976903170737592586034641564538125748386661996935596901/
      4168512702302510426254158300817302476806906075109997391061625480130839429\
      2779195923227675461909333953676800915889113068411383971840000000000000000\
      0000000000000*ep^8;
Fill mncpoch(31,28) = 1/4043625266583096688200531424175639056093802397696000000\
      0000000+5811048485947/941796540427305811539110365346090051956811890223936\
      83673088000000000000000*ep+17866412554021506230298589/
      2193528492590386217779525755924873149801520289883510641156340280459264000\
      00000000000000*ep^2+5533591323492282288051713564062255849/
      7298463311138122393501801756654860448738116855343021517342811814661280818\
      5282560000000000000000000*ep^3+951400376026913301365407815847427533782420\
      5144563/16998774722450529855894001014419540913046472398306188829858962187\
      1321171717140019064864768000000000000000000000*ep^4+138328871198203612464\
      00196010572427998543853793136847126672881/3959166878644799592669250582581\
      7165040944121214253228802270453826089274569305737227016954734224343040000\
      0000000000000000000*ep^5+123986606422498603422391333197982529763908699815\
      653106370559578931340877629/645487797810453985784855004707222677145635911\
      6469468045969792126441469901827542047232322241508537572970557603840000000\
      000000000000000000*ep^6+1437761326348491059972907180225892634012904301028\
      35463189189816924131636096089912283423/
      1503398892795085071021165357774937207115374697385766761073635344578044545\
      3436868827786946359503835788297369106799921201152000000000000000000000000\
      000*ep^7+1540984512771833068681753548871319353162508582449155067374744541\
      63320828899689332583224671854751701/
      3501550669934108758053492972686534080517801103092397808491765403309905120\
      5934524575511247388003840521088512769346854977465562536345600000000000000\
      000000000000000*ep^8;
Fill mncpoch(31,29) = 1/2345302654618196079156308226021870652534405390663680000\
      000000000+6975593267347/5462419934478373706926840119007322301349508963298\
      833653039104000000000000000*ep+25989803290679430103244389/
      1272246525702424006312124938436426426884881768132436171870677362666373120\
      0000000000000000*ep^2+1408192429718760277620843089126884807/
      6047298172085872840330064312656884371811582537284217828655472646433632678\
      20912640000000000000000000*ep^3+20993325776920912870520854349651056828839\
      778473163/985928933902130731641852058836333372956695399101758952131819806\
      8536627959594121105762156544000000000000000000000*ep^4+382805550975637108\
      90289350843328057139564050830790878728241081/
      2296316789613983763748165337897395572374759030426687270531686321913177925\
      0197327591669833745850118963200000000000000000000000*ep^5+
      4360425510982395150215250134221221754144709878779460721744135166888537314\
      29/3743829227300633117552159027301891527444688287552291466662479433336052\
      54305997438739474690007495179232292341022720000000000000000000000000*ep^6
      +651567209984646771942874581072886598093428001077800221690530828389758056\
      579649026904023/871971357821149341192275907509463580126917324483744721422\
      7084998552658362993383920116428888512224757212474081943954296668160000000\
      00000000000000000000*ep^7+91287764539616167925660588719027323615995162653\
      6701330298945216160432538898125540307892855170323901/
      2030899388561783079671025924158189766700324639793590728925223933919744969\
      9442024253796523485042227502231337406221175886930026271080448000000000000\
      00000000000000000*ep^8;
Fill mncpoch(32,0) = 1;
Fill mncpoch(32,1) = 1/31+1/961*ep+1/29791*ep^2+1/923521*ep^3+1/28629151*ep^4+1/
      887503681*ep^5+1/27512614111*ep^6+1/852891037441*ep^7+1/26439622160671*
      ep^8;
Fill mncpoch(32,2) = 1/1860+61/1729800*ep+2791/1608714000*ep^2+113521/
      1496104020000*ep^3+4329151/1391376738600000*ep^4+158503681/
      1293980366898000000*ep^5+5642614111/1203401741215140000000*ep^6+
      196791037441/1119163619330080200000000*ep^7+6756622160671/
      1040822165976974586000000000*ep^8;
Fill mncpoch(32,3) = 1/161820+2699/4364285400*ep+4857301/117704777238000*ep^2+
      7285953599/3174497842108860000*ep^3+9837863095501/85616206801675954200000
      *ep^4+12400305296855399/2309069097441200484774000000*ep^5+
      14888642390702003701/62275593557989177074354780000000*ep^6+
      17241058477929901327199/1679572758258968105695348416600000000*ep^7+
      19414160384083277393151901/45298077290244369810603546795702000000000*ep^8
      ;
Fill mncpoch(32,4) = 1/18123840+51271/6843199507200*ep+1643420431/
      2583855269928576000*ep^2+42154181187691/975612072819631726080000*ep^3+
      946380481992779551/368371606455236547133286400000*ep^4+
      19431122595648590357011/139089751165368215466586278912000000*ep^5+
      374133257074238043103106071/52517508245019730795873647191592960000000*
      ep^6+6862627358473597576519682462731/198295607631545499539059717066016698\
      36800000000*ep^7+121193735355275320688793702851322991/7487245552951894971\
      595816796978658496978944000000000*ep^8;
Fill mncpoch(32,5) = 1/2446718400+587299/8314487401248000*ep+207034507051/
      28254457376668978560000*ep^2+56787761143265599/
      96014862146544056322163200000*ep^3+13356509959846034924251/
      326279624843628943075101429504000000*ep^4+2828438701696675567557373399/
      1108769946736116746936671179769082880000000*ep^5+
      554817047268333726797528809476451/376784420839760665177513473651489282447\
      3600000000*ep^6+102653007483323587381705745069792151199/12803963545860914\
      876195298364319639093982676992000000000*ep^7+1813690043463747931573751542\
      7681845424368651/43510685000815478150584386807598283961953812607754240000\
      000000*ep^8;
Fill mncpoch(32,6) = 1/381688070400+9333997/16861780449730944000*ep+
      50848319334289/744900514278500950755840000*ep^2+211159599095838303793/
      32907365733209337511407637862400000*ep^3+740258667382892423829257041/
      1453744088964786253934203620777944064000000*ep^4+
      2307960395206010107757608772368417/64221849094024907269975762566600326003\
      159040000000*ep^5+6599474504206702481701883876559119983729/28371196363678\
      65164978701466297943277795916467814400000000*ep^6+17654557110011107593006\
      436347009885341530803073/125335036979074087892140997658438958471131310370\
      331254784000000000*ep^7+4479186139944301739820231616813950140927919345939\
      2401/55369083817193789104388079538171856869249819398466719962170982400000\
      00000*ep^8;
Fill mncpoch(32,7) = 1/66795412320000+55505357/14754057893514576000000*ep+
      1761618460445029/3258939749968441659556800000000*ep^2+
      41959504307078904739913/719848625413954258062042078240000000000*ep^3+
      833389496602952121622980253261/159003259730523496524053521022587632000000\
      000000*ep^4+14575682458398599879470801699866451217/3512132372329487116326\
      7995153609553282977600000000000000*ep^5+231898365802055880490871631727788\
      696567813349/775774900569338131048863682190843865022320909168000000000000\
      0000*ep^6+3428170602272859849628021310172163163878848155058953/
      1713564958698278545400365202361470135347498383969372624000000000000000000
      *ep^7+47785983409702190946500409652477938335566271326534688326141/
      3784995964065981677057778874679716778171374372942060934914032000000000000\
      00000000*ep^8;
Fill mncpoch(32,8) = 1/12824719165440000+129417739/5665558231109597184000000*ep
      +9428669398996591/2502865727975763194539622400000000*ep^2+
      509229787800696463371079/1105687488635833740383296632176640000000000*ep^3
      +22707637380439348764650719482151/488458013892168181321892416581389205504\
      000000000000*ep^4+884401887621436799837710564171666949719/215785412955923\
      688427118562223777095370614374400000000000000*ep^5+3112070306682655406194\
      8518728050454415491430311/95327219781960269543284369267610894133942793318\
      563840000000000000000*ep^6+1011645396459579112034524660642229800663803708\
      867880759/421125724249688935317593752132354900463001202844313016074240000\
      00000000000000*ep^7+30854593856650145087001401162592392210468616923816683\
      039424071/186040121625771131390743947248257439080679393178848179072894500\
      86400000000000000000000*ep^8;
Fill mncpoch(32,9) = 1/2654716867246080000+3418376597/
      26973722738312792193024000000*ep+6497897555598650839/27407130581052999709\
      1672271667200000000*ep^2+9066365934251312012869773593/2784750232566063147\
      683419015604488028160000000000*ep^3+10359763738041421953737283853101197791
      /28294949866578834858065037019950375088091086848000000000000*ep^4+
      10268932221464347115089634181319481176608400217/2874958689614605292922075\
      72604787933259240150514345574400000000000000*ep^5+91434727557738899143142\
      96608933751608367894970074217679/2921152893348421055555583195957356927175\
      043042199769659334328320000000000000000*ep^6+7483775147662351931565560280\
      017114328898289605643069009351953673/296808933538510694842361808452169662\
      76623676552923662742711872538935296000000000000000000*ep^7+
      5722350515056953021389694563988917687313923855512926459807380248184166751/
      3015779941846421062147360126707812654302388493056719851245596351027894977\
      03628800000000000000000000*ep^8;
Fill mncpoch(32,10) = 1/584037710794137600000+42682481467/
      65276409026716957107118080000000*ep+1003087075172765917819/72957781606763\
      08522580315871780864000000000*ep^2+17163355346575923202019737511383/
      815430563099994610904658756149306184405811200000000000*ep^3+2388729627103\
      97103271301003940122884556731/9113859941924775865452464554200055716624315\
      2559144960000000000000*ep^4+286737740781493440542880841846174332416772921\
      9483967/10186329382264679534668650790626214316653454805706891202592768000\
      000000000000*ep^5+3076546872459492345134089620377795870465646125949068662\
      2043219/11385001189965088737922429948869504629578922139141425502411960428\
      39654400000000000000000*ep^6+30213661356633947870496778303241688042365104\
      2425622580183717883376748183/12724726172823704590588229731388686186543575\
      5279813072478982158057215979639275520000000000000000000*ep^7+
      2761593044112724285205233443054794730486643484247397347785312615086817416\
      260984331/142221027008817656402082706250323085597457963259761242105568347\
      79648500875386426625622016000000000000000000000*ep^8;
Fill mncpoch(32,11) = 1/134912711193445785600000+6857820181/
      2154121497881659584534896640000000*ep+1258580779827521084419/168532475511\
      6227268716052966381379584000000000*ep^2+3408835605157798514753626795369/
      26909208582299822159853738952927104085391769600000000000*ep^3+36587192365\
      3377269112311547520489668620131/21053016465846232249195193120202128705402\
      168241162485760000000000000*ep^4+6878061198605676255798636932722621662542\
      81987359681/3361488696147344246440654760906650724495640085883274096855613\
      44000000000000000*ep^5+56390248758090088202977017773055398382269032453810\
      454911909819/262993527488193549846008131818885556943273101414166929105716\
      285895960166400000000000000000*ep^6+8603716680621746856087522929283359291\
      5226649519919045883012579180817769/41991596370318225148941158113582664415\
      59379924233831391806411215888127328096092160000000000000000000*ep^7+
      5966978123503103646060404042822009348122572716647278407887906086565500817\
      781687731/328530572390368786288811051438246327730127895130048469263862883\
      4098803702214264550518685696000000000000000000000*ep^8;
Fill mncpoch(32,12) = 1/32379050686426988544000000+7656159151/
      516989159491598300288375193600000000*ep+1558079080155026393449/
      404477941227894544491852711931531100160000000000*ep^2+
      4652710853187309726022516202899/64582100597519573183648973487025049804940\
      24704000000000000*ep^3+547879502775204794235757638849793903647601/
      5052723951803095739806846348848510889296520377878996582400000000000000*
      ep^4+1125199677790236762549100383841238616004587012670651/
      8067572870753626191457571426175961738789536206119857832453472256000000000\
      0000000*ep^5+100406495596848173363386603141313933313310080491382813871813\
      849/631184465971664519630419516365325336663855443394000629853719086150304\
      39936000000000000000000*ep^6+23742226440330682075740389393781274697603329\
      495718099340734022774744757/143971187555376771939226827817997706567750168\
      830874219147648384544735794106151731200000000000000000000*ep^7+
      1246831832194806821945661129124039101397106703024377535333537871014507187\
      9265827201/78847337373688508709314652345179118655230694831211632623327092\
      0183712888531423492124484567040000000000000000000000*ep^8;
Fill mncpoch(32,13) = 1/7997625519547466170368000000+161433803269/2426230125494\
      070823253344783564800000000*ep+688767866236421499106489/36066084585467672\
      848705030764798833607966720000000000*ep^2+
      42910348320017407732439045607210841/1094132511156015278592621323594336897\
      0318503314849792000000000000*ep^3+104972067895708513107359886045230844146\
      497304521/162643581416364016257119901687986836538190922544895472262892748\
      800000000000000*ep^4+6374530926041896418568983897460352009161779487811737\
      05407/7048712788674207450833356548919099361867704081682831347418302741862\
      154240000000000000000*ep^5+8214791050734734700983133202731008454938430644\
      269407690427259176225369/733457343096241515552635549510916013379825200720\
      574826726770953701062431485855793152000000000000000000*ep^6+
      2797212931758268825428099920285164561366204735589422203420522603323031000\
      51655561/2225080803340282237110614172451329036736992304188566466912519419\
      49377070394083199719930278707200000000000000000000*ep^7+
      4306026311354968595946971323719325493270241014373008154590527621552235548\
      47572251481438004841/3307598550505554381033949666763089693671286235658365\
      5741648954499093252845229562866272440139969913998540800000000000000000000\
      00*ep^8;
Fill mncpoch(32,14) = 1/2015401630925961474932736000000+178287625969/6114099916\
      24505847459842885458329600000000*ep+836004440083008142225189/908865331553\
      7853557873667752729306069207613440000000000*ep^2+
      57000218929589200244158764487201141/2757213928113158502053405735457728980\
      520262835342147584000000000000*ep^3+1520449754970320411801024638838297221\
      79430638821/4098618251692373209679421522537268280762411248131365901024897\
      2697600000000000000*ep^4+702471070768214989126683442235346594101562721510\
      5086974549/12433929359221301943270040952293291274334630000088514496845886\
      036644840079360000000000000000*ep^5+1401605926125199232987267298421651780\
      8256366555890526679546543840878069/18483125046025286191926415847675083537\
      1715950581584856335146280332667732734435659874304000000000000000000*ep^6+
      5159454709176609412922439360795815456883658716381307976087494266242390872\
      96021861/5607203624417511237518747714577349172577220606555187496619548937\
      1243021739308966329422430234214400000000000000000000*ep^7+
      8566896521314957859541719533798671719269838262499815515521176556027512247\
      32724019651722195141/8335148347273997040205553160242986028051641313859081\
      2468955365337714997169978498423006549152724183276322816000000000000000000\
      0000*ep^8;
Fill mncpoch(32,15) = 1/513927415886120176107847680000000+3334258450073/
      2650462313692232848738418908461858816000000000*ep+
      291169273848582654161441821/669788306088562117947499945037386210770255072\
      460800000000000*ep^2+368373751309443397391134447220603666333/
      3454278967349086668750037506467474732730493084059172625448960000000000000
      *ep^3+18174850595146281247791893353372313891931699287294941/
      8729177722489766922563691607087797193977712421307085191197261344124436480\
      00000000000000*ep^4+22125382061157117975753716842529061068904534537310855\
      49199930299/6431246311057070612689600695402964850814644158212996959466811\
      21233538619806108876800000000000000000*ep^5+56854036981951651081736427802\
      8977080346629059867548988384888212208379828664461/
      1137651150641861979066046318887174587071070773418716622781893518988893140\
      002504851150518752378880000000000000000000*ep^6+3841897945098632038284830\
      95141042246994516256224635338099664588092341300273990431352895053/
      5867173860934893495873378412044703149099110968991382383504097126631273804\
      759639261057304624079367103840256000000000000000000000*ep^7+
      1168706802708404827295682617937385686037795677647575780230132810868835022\
      1387234021923996392302433728381/14826713141860536414351595224906949164076\
      2692649909531205310497669116911708671720306995148715181231562166443921668\
      8332800000000000000000000000*ep^8;
Fill mncpoch(32,16) = 1/131565418466846765083609006080000000+7313175618421/
      1357036704610423218554070481132471713792000000000*ep+
      1395687714008202471273612259/68586322543468760877823994371828347982874119\
      4199859200000000000*ep^2+3846732263300239747097009963481096663889/
      7074363325130929497600076813245388252632049836153185536919470080000000000\
      000*ep^3+412309254552245396430994954815945810565076188223421331/
      3575471195131808531482088082263161730653271007767382094314398246553369182\
      208000000000000000*ep^4+7614073137424906689433577243272901327141995426135\
      96607598538911001/3687933884612566572140724622771876164051149546085660976\
      4366482216016038614161507431219200000000000000000*ep^5+
      6043812895360885326662275841169746367660419550918288445610859436763863793\
      9445979/18639276452116266665018102888647468434572423551692253147658543415\
      114025205801039481250099238975569920000000000000000000*ep^6+
      1259118006334787719608563006481189561658944436831295322325706488786764212\
      9640115299844733287/27465079010730655724682694829411547541382809747415659\
      7060946078064933685763376941866179654174046716083767869440000000000000000\
      00000*ep^7+57760252173477148636809849537012198961138861522240625863909707\
      70232000101862216433476388288515603202399811/
      9716834724649721144509461446595018204169023825504471037071228775243245925\
      7395098620392340661981171916581400688504886578380800000000000000000000000
      *ep^8;
Fill mncpoch(32,17) = 1/33549181709045925096320296550400000000+8000811584581/
      346044359675657920731287972688780287016960000000000*ep+
      1665268358405548819468781299/17489512248584534023845118564816228735632900\
      4520964096000000000000*ep^2+4991830679848116466677472809976701505729/
      1803962647908387021888019587377574004421172708219062311914464870400000000\
      000000*ep^3+580504807862025367653373458394923312687188685039822691/
      9117451547586111755279324609771062413165841069806824340501715528711091414\
      63040000000000000000*ep^4+11605832981572196466041143943739837876729623199\
      05175021799415047561/9404231405762044758958847788068284218330431342518435\
      489913452965084089846611184394960896000000000000000000*ep^5+
      9954301101294630815094850267741682657663320891408911571535664593730871667\
      9698219/47530154952896479995796162366051044508159680056815245526529285708\
      54076427479265067718775305938770329600000000000000000000*ep^6+
      1565876149957979952461819672126741356721904524697714660840687609931518130\
      91714799178209402049/4902516603415422046855861027049961236136831539913695\
      2575378874934590662908762784123113068270067338820952564695040000000000000\
      000000000*ep^7+1105211373773767214494465673339859434864317669077542673987\
      1767188452603440667191522056229702156843136829971/
      2477792854785678891849912668881729642063101075503640114453163337687027711\
      0635750148200046868805198838728257175568746077487104000000000000000000000\
      000*ep^8;
Fill mncpoch(32,18) = 1/8454393790679573124272714730700800000000+61162950838267/
      610422250467860572169991983823008426297917440000000000*ep+
      1980702194352061147806616699/44073570866433025740089698783336896413794909\
      139282952192000000000000*ep^2+45157830262100652735937820459769322333903/
      3182190110910394706610466552134040543798948657298425918217116031385600000\
      000000000*ep^3+116199417096684554352528262476637001855814657357891613/
      3282282557131000231900556859517582468739702785130456762580617590335992909\
      2669440000000000000000*ep^4+175985503647602593909123793192519648166342850\
      6851548663343033668161/23698663142520352792576296425932076230192686983146\
      45743458190147201190641346018467530145792000000000000000000*ep^5+
      1630753409741548504119202998321825231312475891395540350678891813626518651\
      14865619/1197759904812991295894063291624486321605623937431744187268537999\
      855227259724774797065131377096570123059200000000000000000000*ep^6+
      1937136827327844012866656940658866813366498050619509977404240065087952046\
      201903238994701712143/864803928842480449065373885171613162054537083640775\
      8434296833538461792937105755119317145242839878568016032412205056000000000\
      0000000000000*ep^7+210424508915654154613746701081928168599934188598767017\
      13807700083732617370660651713383392944285278204936571/
      6244037994059910807461779925581958697999014710269173088421971610971309831\
      8802090373464118109389101073595208082433240115267502080000000000000000000\
      00000*ep^8;
Fill mncpoch(32,19) = 1/2088235266297854561695360538483097600000000+
      66716933641867/150774295865561561325988020004283081295585607680000000000*
      ep+2351246896507912786804937899/10886172004008957357802155599484213414207\
      342557402889191424000000000000*ep^2+5821661509232346924518099853838123597\
      0303/78600095739486749253278523837710801431834031835271120179962765975224\
      3200000000000000*ep^3+162389999826193807860589510769729304592954174826676\
      013/810723791611357057279437544300842869778706587927222820357412544812990\
      2485889351680000000000000000*ep^4+266176630298731333678975458089881003879\
      9682491561735250093643714961/58535697962025271397663452172052228288575936\
      8483717498634172966358694088412466561479946010624000000000000000000*ep^5+
      2665591708921092494823869250290167350416229865424711928754614787405621634\
      27482819/2958466964888088500858336330312481214365891125456408142553288859\
      64241133152019374875087450142852820395622400000000000000000000*ep^6+
      3417601878604492455424336123351508190804289648110869203682931954427261287\
      674955651355153060543/213606570424092670919147349637388451027470659659271\
      6333271317884000062855465121514471334874981450006299960005814648832000000\
      0000000000000000*ep^7+400237529548858213245073724782333817498449912185979\
      64497311529945450565449451348027402550078787009883291371/
      1542277384532797969443059641618743798405756633436485752840226987909913528\
      4744116322245637173019107965178016396361010308471073013760000000000000000\
      00000000*ep^8;
Fill mncpoch(32,20) = 1/501176463911485094806886529235943424000000000+
      72733748345767/36185831007734774718237124801027939510940545843200000000000
      *ep+2788872383024485973728329199/2612681280962149765872517343876211219409\
      762213776693405941760000000000000*ep^2+7499674345380582920564891876690414\
      5146403/18864022977476819820786845721050592343640167640465068843191063834\
      0538368000000000000000*ep^3+226853072505833091229172435252278664192773801\
      768829113/194573709986725693747065010632202288746889581102533476885779010\
      7551176596613444403200000000000000000*ep^4+402669920526530269861662941395\
      3291011495014326171130085878438355661/14048567510886065135439228521292534\
      7892582248436092199672201511926086581218991974755187042549760000000000000\
      000000*ep^5+4361544917970682725250331273575365433419353293772044354942128\
      82264738061653928119/7100320715731412402060007192749954914478138701095379\
      5421278932631417871956484649970020988034284676894949376000000000000000000\
      000*ep^6+6041862638021124772465127824870935417265625783390522480640811087\
      794536789516295110948022024643/512655769017822410205953639129732282465929\
      5831822519199851162921600150853116291634731203699955480015119904013955157\
      196800000000000000000000000*ep^7+7637652091427536805429209542490985008819\
      6090364137016554734665192914888226702491819606290865280060431499071/
      3701465722878715126663343139884985116173815920247565806816544770983792468\
      3385879173389529215245859116427239351266424740330575233024000000000000000\
      0000000000*ep^8;
Fill mncpoch(32,21) = 1/115771763163553056900390788253502930944000000000+
      79297546204567/8358926962786732959912775829037454027027266089779200000000\
      000*ep+3309365447010116915109468799/6035293759022565959165515064354047916\
      83655071382416176772546560000000000000*ep^2+96718749288877539474982111437\
      385752727603/435758930779714537860176136156268683138087872494743090277713\
      57456664363008000000000000000*ep^3+31754483243271143640935815799813803476\
      7497634776894313/44946527006933635255572017456038728700531493234685233160\
      6149514844321793817705657139200000000000000000*ep^4+611099929646013881999\
      8646851703781538488755257153773393261735360061/
      3245219095014681046286461788418575536318649938873729812427854925492600026\
      1587146168448206828994560000000000000000000*ep^5+716934040477701831768838\
      265126311040101303560190686703761435404595122533515635719/
      1640174085333956264875861661525239585244450039953032674231543343785752842\
      1947954143074848235919760362733305856000000000000000000000*ep^6+
      1074767275780949658497426624607052253382536302685896878649175070249051375\
      5929856079641020501843/11842348264311697675757529063896815724962973371510\
      0193516561863488963484706986336762290805468971588349269782722364131246080\
      0000000000000000000000*ep^7+146922072349068432717052096463968659809516158\
      772966602765085252817785518245186826958146183507924045285267471/
      8550385819849831942592322653134315618361514775771877013746218420972560601\
      8621380890529812487217934558946922901425441150163628788285440000000000000\
      000000000000*ep^8;
Fill mncpoch(32,22) = 1/25469787895981672518085973415770644807680000000000+
      86517723849247/1838963931813081251180810682388239885945998539751424000000\
      000000*ep+3934038782615047782961024759/1327764626984964511016413314157890\
      54170404115704131558889960243200000000000000*ep^2+12512320816041882970768\
      7299018061537359723/95866964771537198329238749954379110290379331948843479\
      86109698640466159861760000000000000000*ep^3+44660365963135403376381125735\
      7306381566529725639354833/98882359415253997562258438403285203141169285116\
      307512953352893265750794639895244570624000000000000000000*ep^4+
      9335557055762716984578658811269927249736915220341736978506450098501/
      7139482009032298301830215934520866179901029865522205587341280836083720057\
      549172157058605502378803200000000000000000000*ep^5+1188764702960270097139\
      546273733348663889346574987477623816644729189802862766008479/
      3608382987734703782726895655355527087537790087896671883309395356328656252\
      828549911476466611902347279801327288320000000000000000000000*ep^6+
      1933076509090789935855591026603844244023517034879627997691441571547248103\
      4289256449512149743563/26053166181485734886666563940572994594918541417322\
      0425736436099675719666355369940877039772031737494368393521989201088741376\
      000000000000000000000000*ep^7+2864936303130021955905167914547075333419890\
      82687237101601949023652263993392697400907613316178446212616462311/
      1881084880366963027370310983689549436039533250669812943024168052613963332\
      4096703795916558747187945602968323038313597053035998333422796800000000000\
      000000000000000*ep^8;
Fill mncpoch(32,23) = 1/5272246094468206211243796497064523475189760000000000+
      94540143454447/3806655338853078189944278112543656563908216977285447680000\
      00000000*ep+4692479482942423848885349159/27484727778588765378039755603068\
      334213273651950755232690221770342400000000000000*ep^2+1627682475613748897\
      75793166278270469386523/1984446170770820005415242124055647583010852171341\
      060033124707618576495091384320000000000000000*ep^3+6331458282514141774787\
      12990147446457617193801619457633/2046864839895757749538749674948003705022\
      2042019075655181344048906010414490458315626119168000000000000000000*ep^4+
      14414918561277454116609118209092716150042381651061593403276436590101/
      1477872775869685748478854698445819299239513182163096556579645133069330051\
      912678636511131338992412262400000000000000000000*ep^5+1998262379873745475\
      372345331793316696515677246566118529995015852899149153302884879/
      7469352784610836830244674006585941071203225481946110798450448387600318443\
      35509831675628588663785886918874748682240000000000000000000000*ep^6+
      3536166438354064496093780722572184518069503802080386365001343515205541446\
      0145300436520379514363/53930053995675471215399787356986098811481380733856\
      6281274422726328739709355615777615472328105696613342574590517646253694648\
      32000000000000000000000000*ep^7+57017973993602123791619684432023668584151\
      6092267693422811724437059512193434578633170198526863816398805949911/
      3893845702359613466656543736237367332601833828886512792060027868910904098\
      0880176857547276606679047398144428689309145899784516550185189376000000000\
      00000000000000000*ep^8;
Fill mncpoch(32,24) = 1/1012271250137895592558808927436388507236433920000000000
      +103565365510297/73087782505979101246930139760838206027037765963880595456\
      000000000000*ep+5627179903968123223569436609/5277067733489042952583633075\
      789120168948541174545004676522579905740800000000000000*ep^2+2135547957429\
      03880428482646125775701999173/3810136647879974410397264878186843359380836\
      16897483526359943862766687057545789440000000000000000*ep^3+90848575006161\
      3861445811951056492374599044244199430783/39299804925998548791143993759001\
      6711364263206766252579481805738995399958216799660021488025600000000000000\
      0000*ep^4+226142041901589620353759461993792918386110160641402895320234718\
      20651/2837515729669796637079401021015973054539865309753145388632918655493\
      11369967234298210137217086543154380800000000000000000000*ep^5+
      3426949880901372537126869914889723460486779532242121725466177642188561678\
      240393329/143411573464528067140697740926450068567101929253365327330248609\
      0419261141124178876817206890234468902884239517469900800000000000000000000\
      00*ep^6+66290648032944243061552706571258389676787506632531806849091240231\
      529770783188589327790384939013/103545703671696904733567591725413309718044\
      2510090047260046891634551180241962782293021706869962937497617743213793880\
      8070937247744000000000000000000000000*ep^7+116846755865953903780860566081\
      4421134041812649901347647112794790926145541292907217961420234360958183535\
      825961/747618374853045785598056397357574527859552095146210456075525350830\
      8935868328993956649077108482377100443730308347356012758627177635556360192\
      00000000000000000000000000*ep^8;
Fill mncpoch(32,25) = 1/1771474687741317286977915623013679887663759360000000000\
      00+113879905002697/127903619385463427182127744581466860547316090436791042\
      04800000000000000*ep+6801798681509201758580439409/92348685336058251670213\
      5788263096029565994705545375818391451483504640000000000000000*ep^2+
      40530316694669255943051445567435931141539/9525341619699936025993162195467\
      108398452090422437088158998596569167176438644736000000000000000000*ep^3+
      1326537302248258934426539491726719213765215273814234383/
      6877465862049746038450198907825292448874606118409420140931600432419499268\
      79399405037604044800000000000000000000*ep^4+36296825582340384123659629733\
      462760237278206707284889656746919009851/496565252692214411488895178677795\
      2845444764292068004430107607647112948974426600218677401299014505201664000\
      0000000000000000000*ep^5+604764516732600417756698242759926394439160873661\
      9105653462224275862488787217820129/25097025356292411749622104662128761999\
      2428376193389322827935065823370699696731303443011205791032058004741915557\
      23264000000000000000000000000*ep^6+12866932294735031925655472896702782135\
      2386152437558442168095461316459403450698975369400547458613/
      1812049814254695832837432855194732920065774392657582705082060360464565423\
      4348690127879870224351406208310506241392914124140183552000000000000000000\
      00000000*ep^7+24956323716603534717180876203068078548305315961934307238886\
      36905967962552326486635793317059637002426563867161/
      1308332155992830124796598695375755423754216166505868298132169363954063776\
      9575739424135884939844159925776528039607873022327597560862223630336000000\
      0000000000000000000000*ep^8;
Fill mncpoch(32,26) = 1/2763500512876454967685548371901340624755464601600000000\
      0000+125913534410497/1995296462413229464041192815470883024538131010813940\
      255948800000000000000*ep+8316995492031395694794116009/
      1440639491242508726055331829690429806122951740650786276690664314267238400\
      00000000000000*ep^2+54827979771447689342158986677765526780139/
      1485953292673190020054933302492868910158526105900185752803781064790079524\
      428578816000000000000000000*ep^3+1986316891996215371673702510155326879219\
      754389185918583/107288467447976038199823102962074562202443855447186954198\
      532966745744188593186307185866230988800000000000000000000*ep^4+
      60199426947075937866534703365576579916878841843685685818792224157251/
      7746417941998544819226764787373606438893832295626086910967867929496200400\
      105496341136746026462628114595840000000000000000000000*ep^5+
      1111856832842728963848046561289402770842650951221757433072473098933914522\
      3659524729/39151359555816162329410483272920868718818826686168734361157870\
      2684458291526900833371097481034010010487397388269282918400000000000000000\
      0000000*ep^6+262466053756946640574221490472186044049495441168886278026286\
      987236514929701843140482866272944813/
      2826797710237325499226395254103783355302608052545829019928014162324722060\
      5583956599492597549988193684964389736572946033658686341120000000000000000\
      0000000000*ep^7+565405159469916223926745602664365334245728613579537544551\
      9650937019751864370335936970643333780485649835608561/
      2040998163348814994682693964786178461056577219749154545086184207768339492\
      0538153501651980506156889484211383741788281914831052194945068863324160000\
      000000000000000000000000*ep^8;
Fill mncpoch(32,27) = 1/3730725692383214206375490302066809843419877212160000000\
      000000+140353889699857/26936502242578597764556103008856920831264768645988\
      1934553088000000000000000*ep+10343755525540975747579737529/
      1944863313177386780174697970082080238265984849878561473532396824260771840\
      0000000000000000*ep^2+76166194745032311586727349969944904836059/
      2006036945108806527074159958365373028714010242965250766285104437466607357\
      97858140160000000000000000000*ep^3+30861838051530665488792084126659966227\
      96920813492950823/1448394310547676515697611889988006589732992048537023881\
      6801950510675465460080151470091941183488000000000000000000000*ep^4+
      104765017581755194030066661547147813867900254069929692292774639300531/
      1045766422169803550595613246295436869250667359909521732980662170481987054\
      014242006053460713572454795470438400000000000000000000000*ep^5+
      2170847685886343372489354908951429769349016887144675402668772940767636791\
      9206075849/52854335400351819144704152418443172770405416026327791387563124\
      8624018693561316125050981599395913514157986474163531939840000000000000000\
      000000000*ep^6+5759441723897843839613798591698966448610318492708420344111\
      70019189662788971024015000822775611453/
      3816176908820389423955633593040107529658520870936869176902819119138374781\
      7538341409315006692484061474701926144373477145439226560512000000000000000\
      000000000000*ep^7+1397089007084405283983409682597184225696080486256100147\
      6350013056691451620122832043763358486333287386580648641/
      2755347520520900242821636852461340922426379246661358635866348680487258314\
      2726507227230173683311800803685368051414180585021920463175842965487616000\
      00000000000000000000000000*ep^8;
Fill mncpoch(32,28) = 1/4178412775469199911140549138314827024630262477619200000\
      00000000+158404333811557/301688825116880294963028353699197513310165408835\
      06776669945856000000000000000*ep+13203024100057556015638654429/
      2178246910758673193795661726491929866857903031863988850356284443172064460\
      800000000000000000*ep^2+110211973119820469245809873248924072795959/
      2246761378521863310323059153369217792159691472121080858239316969962600240\
      9360111697920000000000000000000*ep^3+507555886639256861653836817914976150\
      0957121100597571123/16222016278133976975813253167865673805009510943614667\
      47481818457195652131528976964650297412550656000000000000000000000*ep^4+
      196381109235217661235099864683608277065311074554394943321251945739631/
      1171258392830179976667086835850889293560747443098664340938341630939825500\
      49595104677987599920114937092689100800000000000000000000000*ep^5+
      4652184051677107758945622500239222435133065396558099936889316138581299991\
      6171554749/59196855648394037442068650708656353502854065949487126354070699\
      8458900936788674060057099391323423135856944851063155772620800000000000000\
      00000000000*ep^6+14156840546111813665328438057692376893173736042035738389\
      38809000272608865225195449026943997074753/
      4274118137878836154830309624204920433217543375449293478131157413434979755\
      5642942378432807495582148851666157281698294402891933747773440000000000000\
      00000000000000*ep^7+39524615978428032770347626744474997195097305229066407\
      245519202152273128006224180131133397252976924700162558741/
      3085989222983408271960233274756701833117544756260721672170310522145729311\
      9853688094497794525309216900127612217583882255224550918756944121346129920\
      0000000000000000000000000000*ep^8;
Fill mncpoch(32,29) = 1/3635219114658203922692277750333899511428328355528704000\
      0000000000+182471592627157/2624692778516858566178346677183018365798439056\
      865089570285289472000000000000000*ep+17594615146310072287853903629/
      1895074812360045678602225702047978984166375637721670299809967465559696080\
      89600000000000000000*ep^2+170705424046551950828799176523198798769159/
      1954682399314021079981061463431219479178931580745340346668205763867462209\
      614329717719040000000000000000000*ep^3+9183970488147682279906162886689738\
      348545493472745651523/141131541619765599689575302560431362103582745209447\
      607030918205776021735443020995924575874891907072000000000000000000000*
      ep^4+417414103928300202900879370159061426236399987773984983274739261898431
      /101899480176225657970036554719027368539785027549583797661635721891764818\
      54314774106984921193049999527063951769600000000000000000000000*ep^5+
      1168439334244401811295824290035621511450000011131092055323200707898281546\
      52079819949/5150126441410281257459972611653102754748303737605379992804150\
      8865924381500614643224967647045137812819554202042494552218009600000000000\
      00000000000000*ep^6+42277972413699188123186472861520799952643745148550611\
      78512051514709916575084543646569374989479153/
      3718482779954587454702369373058280776899262736640885325974106949688432387\
      3409359869236542521156469500949556835077516130515982360562892800000000000\
      0000000000000000*ep^7+141276106406357572326779872518385660263400229024331\
      851550340699260516700774668222524333158165501226991833745541/
      2684810623995565196605402949038330594812263937946827854788170154266784501\
      4272708642213081237019018703111022629297977562045359299318541385571133030\
      400000000000000000000000000000*ep^8;
Fill mncpoch(32,30) = 1/2181131468794922353615366650200339706856997013317222400\
      000000000000+218572480850557/15748156671101151397070080063098110194790634\
      3411905374217117368320000000000000000*ep+25485275846207267504484337429/
      1137044887416027407161335421228787390499825382633002179885980479335817648\
      5376000000000000000000*ep^2+302139866141758295544246622777532789288959/
      1172809439588412647988636878058731687507358948447204208000923458320477325\
      76859783063142400000000000000000000*ep^3+20091488023564336726488712484544\
      394019494627095491092123/846789249718593598137451815362588172621496471256\
      6856421855092346561304126581259755474552493514424320000000000000000000000
      *ep^4+1142734667308776108322407837525378694809262961105173898137554466176\
      631/611396881057353947820219328314164211238710165297502785969814331350588\
      911258886446419095271582999971623837106176000000000000000000000000*ep^5+
      4056200888790683677924082998279247813994548887056782979289018493387322364\
      97391377749/3090075864846168754475983566991861652848982242563227995682490\
      5319554628900368785934980588227082687691732521225496731330805760000000000\
      0000000000000000*ep^6+188710427311587393579190599333344259825489748777094\
      40512922500897997036249139163700368949890605753/
      2231089667972752472821421623834968466139557641984531195584464169813059432\
      4045615921541925512693881700569734101046509678309589416337735680000000000\
      000000000000000000*ep^7+8225375107029242782490701407960972283106014901007\
      75047730307467445893831349319165742707347506295173761822965741/
      1610886374397339117963241769422998356887358362768096712872902092560070700\
      8563625185327848742211411221866613577578786537227215579591124831342679818\
      24000000000000000000000000000000*ep^8;
Fill mncpoch(33,0) = 1;
Fill mncpoch(33,1) = 1/32+1/1024*ep+1/32768*ep^2+1/1048576*ep^3+1/33554432*ep^4
      +1/1073741824*ep^5+1/34359738368*ep^6+1/1099511627776*ep^7+1/
      35184372088832*ep^8;
Fill mncpoch(33,2) = 1/1984+63/1968128*ep+2977/1952382976*ep^2+125055/
      1936763912192*ep^3+4925281/1921269800894464*ep^4+186238143/
      1905899642487308288*ep^5+6847124257/1890652445347409821696*ep^6+
      246620590335/1875527225784630543122432*ep^7+8744749928161/
      1860523007978353498777452544*ep^8;
Fill mncpoch(33,3) = 1/178560+1441/2656972800*ep+1384561/39535755264000*ep^2+
      1108802881/588292038328320000*ep^3+799308579601/8753785530325401600000*
      ep^4+537881645322721/130256328691241975808000000*ep^5+344782320819960241/
      1938214170925680600023040000000*ep^6+213149471053469420161/
      28840626863374127328342835200000000*ep^7+128133975251374082790481/
      429148527727007014645741387776000000000*ep^8;
Fill mncpoch(33,4) = 1/20712960+56669/8938056499200*ep+2007650521/
      3856950140534784000*ep^2+56916433217189/1664351124643569991680000*ep^3+
      1412252297760547201/718200797306193322809753600000*ep^4+
      32046884762256425867309/309918008053568542658864873472000000*ep^5+
      681942210354591810545138281/133735818835275897528153370200637440000000*
      ep^6+13824102101077449564002858487029/57709680543798255301348742308979068\
      108800000000*ep^7+269801200761965882714662095852815761/249028813482598231\
      27638009281170647470309376000000000*ep^8;
Fill mncpoch(33,5) = 1/2899814400+504563/8759295369216000*ep+152807131969/
      26458677964068618240000*ep^2+36007169990311547/
      79922141005384231000473600000*ep^3+7275271265477883519961/
      241416016006503823529270575104000000*ep^4+1323468256318997823685255043/
      729230874589885709505455869982146560000000*ep^5+
      223005574597700857137990287660209/220274394902119236956056021910287118499\
      8400000000*ep^6+35442583904227594514333998319766670667/665369648217137451\
      9189410620230896816253566976000000000*ep^7+537889618354185457884571850357\
      0836583384521/20098421741906140727644301295894256159048174550384640000000\
      000*ep^8;
Fill mncpoch(33,6) = 1/469769932800+5547947/12771052648316928000*ep+
      17963494564849/347190772244508408545280000*ep^2+44336310330392278883/
      9438645008453866912693931212800000*ep^3+92374398918265771536179161/
      256596737925024796960438167407689728000000*ep^4+
      171159411850203942535138698661787/697577733401262212421520151398527509987\
      3280000000*ep^5+290851294173510086878051149373009225729/18964180841590698\
      2039604656710840332399131020492800000000*ep^6+462373131171243389782401710\
      890191602235485843/515555668956082739605300269222329467492300013167234252\
      8000000000*ep^7+697098101614592550182248781128867426600412696805481/
      140157726828795158990521878470136355441734700059612702604001280000000000*
      ep^8;
Fill mncpoch(33,7) = 1/85498127769600+85716191/30216310565917851648000*ep+
      4200960479779561/10678893772696589630035722240000*ep^2+
      154510025482257835831631/3774079961210312500508319171162931200000*ep^3+
      4738541442681861592363873404601/13338160166015472471296475588782467904962\
      56000000*ep^4+127960716709499195237310300366163721471/4713904274493138281\
      58654736463248524073619454689280000000*ep^5+31432383113245634698910896258\
      95204814140495241/1665963913501479526610315846485906015456553307446773284\
      86400000000*ep^6+71738889458879428053511854410660684500164676374228911/
      58877643657445576671944158164791489614385593236490448685741637632000000000
      *ep^7+1543782452785615845081414695213203624942767654256418092635481/
      2080823536787888958604594402451080452708933070740308354341753857471676416\
      0000000000*ep^8;
Fill mncpoch(33,8) = 1/17099625553920000+499263931/30216310565917851648000000*
      ep+140313472447027681/53394468863482948150178611200000000*ep^2+
      29231526990732148326412531/94351999030257812512707979279073280000000000*
      ep^3+5027759722405436157811677972647881/166727002075193405891205944859780\
      848812032000000000000*ep^4+755254259509735091328729735304660458770731/
      294619017155821142599159210289530327546012159180800000000000000*ep^5+
      102496717313270681443794687395638243116385806916081/520613722969212352065\
      723702026845629830172908577116651520000000000000000*ep^6+1284937374890765\
      1374675998863946266419453028538726621008931/91996318214758713549912747132\
      4867025224774894320163260714713088000000000000000000*ep^7+151127199692845\
      0737817518250793998880609072964274042140771100424281/
      1625643388115538248909839376914906603678853961515865901829495201149747200\
      000000000000000000*ep^8;
Fill mncpoch(33,9) = 1/3693519119646720000+572892031/
      6526723082238255955968000000*ep+182494424194698781/1153320527451231680043\
      8580019200000000*ep^2+42668244704781849643758631/203800317905356875027449\
      23524279828480000000000*ep^3+8169341510353584661567302831778981/
      36013032448241775672500484089712663343398912000000000000*ep^4+13567473531\
      68199858149073264933166449736831/6363770770565736680141838942253855074993\
      8626383052800000000000000*ep^5+202391447107074217419580468653463915794254\
      173467181/112452564161349868046196319637798656043317348252657196728320000\
      000000000000*ep^6+2775107145565202256226661156801037295794395424818557039\
      5031/19871204734387882126781153380617127744855137717315526431437802700800\
      0000000000000000*ep^7+355453066117234342023434055398462342179386622205487\
      4136373482395381/35113897183295626176452530541361982639463245568742703479\
      5170963448345395200000000000000000000*ep^8;
Fill mncpoch(33,10) = 1/849509397518745600000+14943591113/
      34526365105040374007070720000000*ep+122945987698845462349/140324508574991\
      3585109362030936064000000000*ep^2+736399240768425490688693028977/
      57031684762952973264556421439579914816716800000000000*ep^3+35873889441401\
      78498181083412711576710821/2317922293070138151572687832674334727216421834\
      588160000000000000*ep^4+15071674495365810415165019728106993135926496131433
      /942066463412913862384705773911369099703878125205407578193920000000000000\
      00*ep^5+56593967964386052184578358821184991735494989256728641274109/
      3828813520369642445937814006605226871586872416272082087882690815590400000\
      000000000000*ep^6+1944933062580060429294559937321564655671730030678661934\
      01472787863457/1556133621470386951775121878297711281523847413257924129205\
      09222296933084692480000000000000000000*ep^7+62204294074781285729219133314\
      4485377782660206423770139053042852313539673587861/
      6324548936603105623324460584445542723595562632990886149479404878750852006\
      881605451776000000000000000000000*ep^8;
Fill mncpoch(33,11) = 1/205581274199536435200000+184700857843/
      91909183909617475606822256640000000*ep+18629836323412952915029/4108982260\
      0928969599172338989869826048000000000*ep^2+
      1358730918160645549939011314880787/18370019725516678594460152458531569722\
      294114713600000000000*ep^3+80134215683813329537737449487626238857987461/
      8212681470867254027876524859080754207364502963409670635520000000000000*
      ep^4+4055744141791026966729087922706449951257799223785547683/
      3671642053178539208912245840179637698009104477807437520192158040064000000\
      000000000*ep^5+1826778854089079988742549864726003890170376439625895410712\
      00888949/1641480363568214522162665612084046081888985330883699415797354524\
      997870996684800000000000000000*ep^6+7502386587055604730407785152016363405\
      176668718917008276882250052310650474547/733856335926713387562935396835134\
      265370761393905568997582466574518518166864281322127360000000000000000000*
      ep^7+28579909439687776798622555929327467467777526891273735089129212810810\
      1955539977475056741/32808502235695556233483460673610531556756817882274828\
      9244594558889903541986002349078541083082752000000000000000000000*ep^8;
Fill mncpoch(33,12) = 1/51806481098283181670400000+29427128149/3308730620746229\
      121845601239040000000*ep+23015163316365344000629/103546352954341003389914\
      29425447196164096000000000*ep^2+264100233171021337127126702933941/
      661320710118600429400565488507136510002588129689600000000000*ep^3+
      119491297200762424388688159822518213574397861/206959573065854801502488426\
      4488350060255854746779237000151040000000000000*ep^4+134685694937896091620\
      957269260079698831778110265524467/188827305592039159315486928923524224469\
      03965885866821532416812777472000000000000000*ep^5+32317700833030146041647\
      7177965937182491179645324678507610784102549/41365305161919005958499173424\
      5179612636024303382692252780933340299463491164569600000000000000000*ep^6+
      2054644940848302724147345159948368049709849406068026536115104450601875913\
      621/264188280933616819522656742860648335533474101806004839129687966826666\
      54007114127596584960000000000000000000*ep^7+59198901121148615362110288309\
      5772216381878997335889894449254848634806554970270455659141/
      8267742563395280170837832089749853952302718106333256888963782884025569258\
      0472591967792352936853504000000000000000000000*ep^8;
Fill mncpoch(33,13) = 1/13469685085553627234304000000+4660069147/12289570877057\
      4224525693760307200000000*ep+28119435226005552786109/26922051768128660881\
      37771650616271002664960000000000*ep^2+353895596992265298029298260404861/
      171943384630836111644147027011855492600672913719296000000000000*ep^3+
      174866911893269098883796948417262282266099181/538094889971222483906469908\
      766971015666522234162601620039270400000000000000*ep^4+1501212145877085450\
      689575306774879094399114316168205549/343665696177511269954186210640814088\
      53365217912277615188998599254999040000000000000000*ep^5+55807833535533788\
      0896355440634963018118215496972746502299225230429/10754979342098941549209\
      7850903746699285366318879499985723042668477860507702788096000000000000000\
      000*ep^6+3836787674555882835494461476870018137200199398433068778981768859\
      636677986141/686889530427403730758907531437685672387032664695612581737188\
      7137493330041849673175112089600000000000000000000*ep^7+
      1192348206773359340845651135060993680674489268157666340067741596670168890\
      195056577754061/214961306648277284441783634333496202759870670764664679113\
      05835498466480070922873911626011763581911040000000000000000000000*ep^8;
Fill mncpoch(33,14) = 1/3582936232757264844324864000000+683656314151/4347804384\
      885374915269993852148121600000000*ep+12290610869067363152507749/
      258521694308632278979517660522078039301905448960000000000*ep^2+3212335789\
      520511163966075908411223999/313709673598652700678076385900968275116972127\
      043373236224000000000000*ep^3+3284179957920249360757088048488433503010000\
      0204701/18653267065479956296496567284791834308892040524828971922886643574\
      374400000000000000*ep^4+5814660969114661580814984401793624198527748811983\
      440431510951/226352776246090901153929278847081426931887308801611357240358\
      88536043228873359360000000000000000*ep^5+44452203113815545553681624512759\
      467923051706734607819475638904589997355349/134590009224034795097121065443\
      6926971880086281923860571642238514209079170275997267280265216000000000000\
      000000*ep^6+6268630154678176675428826630913763027615653932324030660905240\
      634444025137418445611599/163321642991033785094234955654462735721786990964\
      9781190126483373970570076758823296606679283479766630400000000000000000000
      *ep^7+3986792856126577925887462744546406539425760173376910428276022919430\
      6232070118891462822478782337101/97111516815457541338117534561721659081669\
      7538035677775282748235159553787472304155137805725381854591146149701222400\
      00000000000000000000*ep^8;
Fill mncpoch(33,15) = 1/967392782844461507967713280000000+751071604951/
      1173907183919051227122898340079992832000000000*ep+
      14771662691377688005296949/6980085746333071532446976834096107061151447121\
      9200000000000*ep^2+4208171725459248653474841665598993199/8470161187163622\
      9183080624193261434281582474301710773780480000000000000*ep^3+467428604890\
      02971172223109672029646682292556395501/5036382107679588200054073166893795\
      263400850941703822419179393765081088000000000000000*ep^4+8965844501804627\
      084454422222813795455835756712061540158201751/611152495864445433115609052\
      8871198527160957337643506645489689904731671795807027200000000000000000*
      ep^5+74069518817295808478200125154111214253489125427910168741430307977972\
      704549/363393024904893946762226876697970282407623296119442354343404398836\
      451375974519262165671608320000000000000000000*ep^6+1608864043594606524801\
      113361253509336007961176812038446126547836387516429864537637257/
      6299549086797017425063348289529276949268926794363441733345007299600770296\
      0697470011971915219933855744000000000000000000000*ep^7+
      7707040737457761598897288045401014444602722528428267383649589429893633994\
      2038685494988849064447901/26220109540173536161291734331664847952050833526\
      9632999326342023493079522617522121887207545853100739609460419330048000000\
      00000000000000000*ep^8;
Fill mncpoch(33,16) = 1/263130836933693530167218012160000000+13981692518567/
      5428146818441692874216281924529886855168000000000*ep+
      5100365960515715850708953461/54869058034775008702259195497462678386299295\
      53598873600000000000*ep^2+26863915466643878071344739810353519845087/
      1131898132020948719616012290119262120421127973784509685907115212800000000\
      00000*ep^3+5501346560673602956148800168081799823554974554364886221/
      1144150782442178730074268186324211753809046722485562270180607438897078138\
      30656000000000000000*ep^4+19405964884027846567357400779259548613798841406\
      561528074561168772007/236027768615204260617006375857400074499273570949482\
      3024919454861825026471306336475598028800000000000000000*ep^5+
      2941742352783065107096452124376144514933196719129344346734631670194275205\
      856700581/238582738587088213312231716974687595962527021461660840290029355\
      7134595226342533053600012702588872949760000000000000000000*ep^6+
      8190985447890012362592541464091062381741160536186783679931969445366583838\
      139251597153740366127/492174215872293350586313891343054931941579950673688\
      6219332153718923611648879714798241939402798917152221120220364800000000000\
      0000000000*ep^7+102466280905503184408579636497091615763364971569250526576\
      3501770761477464264732588644665995790860788070852541/
      4975019379020657225988844260656649320534540198658289170980469132924541913\
      9786290493640878418934360021289677152514501928130969600000000000000000000\
      000*ep^8;
Fill mncpoch(33,17) = 1/71571587645964640205483299307520000000+2181572850731/
      210922276373734351683832669067447032086528000000000*ep+
      6065135751549903919479944611/14924383785458802367014501175309848521073408\
      38578893619200000000000*ep^2+34683800746159957882207419605344026777137/
      3078762919096980517355553429124392967545468088693866345667353378816000000\
      0000000*ep^3+7692549584998249729643038386028466114527463468784596371/
      3112090128242726145802009466801855970360607085160729374891252233800052536\
      1938432000000000000000*ep^4+293241031954915562450174935776870198799099293\
      20708654811745321532057/6419955306333555888782573423321282026380241129825\
      91862778091722416407200195323521362663833600000000000000000*ep^5+
      4794338153278868111031260952321130835672140306046064863647268408863470450\
      392384731/648945048956879940209270270171150261018073498375717485588879847\
      540609901565168990579203455104173442334720000000000000000000*ep^6+
      1437240922562938357279290761205185456318712377183002849614469083369223085\
      8175835020168021684177/13387138671726379135947737844531094148810974658324\
      3305165834581154722236849528242512180751756130546540414469993922560000000\
      00000000000000*ep^7+19326621022269981661188679313241084291766599942462147\
      78468675263597306587888722225295244807929128051557850691/
      1353205271093618765468965638898608615185394934035054654506687604155475400\
      6021871014270318929950145925790792185483944524451623731200000000000000000\
      000000*ep^8;
Fill mncpoch(33,18) = 1/19324328664410452855480490813030400000000+
      16646281887437/398643102346357924682443744537474890643537920000000000*ep+
      7186900800156570005870872771/40295836220738766390939153173336591006898202\
      6416301277184000000000000*ep^2+44567743696983438072724808545522069635857/
      8312659881561847396859994258635861012372763839473439133301854122803200000\
      000000000*ep^3+10695895167669602487875390288692573198701685571095310131/
      8402643346255360593665425560365011119973639129933969312206381031260141847\
      723376640000000000000000*ep^4+6290552515803525835692022993055916809903062\
      821615709244927909123711/247626847530008584281613546328106592446095015007\
      57114707154966436061420578962478681131319296000000000000000000*ep^5+
      7761706720901824554569036423443099899638982780315502119431846161568011470\
      831540091/175215163218357583856502972946210570474879844561443721108997558\
      835964673422595627456384932878126829430374400000000000000000000*ep^6+
      2504686662578516676096868961896090830973442569051373515518678132485684491\
      4766252478319140325297/36145274413661223667058892180233954201789631577475\
      6923947753369117750039493726254782888029741552475659119068983590912000000\
      0000000000000000*ep^7+362052848271423751291785935236115638037852961983171\
      0245647022814932007562800870562897409505948937541384903651/
      3653654231952770666766207225026243261000566321894647567168056531219783581\
      6259051738529861110865393999635138900806650216019384074240000000000000000\
      00000000*ep^8;
Fill mncpoch(33,19) = 1/5140271424733180459557810556266086400000000+
      126838512704459/742273456568918455758710252328778246378267607040000000000
      *ep+8495181648603991490947484371/1071869243471651185998981474410753320783\
      49219026736139730944000000000000*ep^2+39959809248852167607072504445776576\
      0731399/15478172699468159852953309309579973205038086269099543666208052376\
      659558400000000000000*ep^3+2116795067675738158485760545036277697376318523\
      613882533/319300447157703702559286171293870422558998286937490833863842479\
      187885390213488312320000000000000000*ep^4+6586763393348361276286718827621\
      7852769602813027647018070018410115177/46108119010087598393236442326293447\
      5134628917944097475847225475039463651180281353042665165291520000000000000\
      00000*ep^5+12517466901246866104424792451561467154324961312966090785943955\
      398264381064644623691/466072334160831173058297908036920117463180386533440\
      2981499335065036660313041043690339839214558173662847959040000000000000000\
      0000*ep^6+304439973078216818562605291460030525177511238759287045679970152\
      042460043310883495780390136725479/673025009582371984680636572395956227237\
      3229399725973923907167732972505735373182864057375113787707096772797064474\
      462781440000000000000000000000*ep^7+6760686608094697682151737032958853688\
      431481812359222055580797759827194201179992830859612328683326304191763251/
      9718720256994369973598111218569807074261506416239762528667030373044624327\
      1249077624489430554901948039029469476145689574611561637478400000000000000\
      0000000000*ep^8;
Fill mncpoch(33,20) = 1/1336470570430626919485030744629182464000000000+
      137946478311659/192991098707918798497264665605482344058349577830400000000\
      000*ep+10027486385324260385721829171/278686003302629308359735183346795863\
      40370796946951396330045440000000000000*ep^2+51098306638336980725510052883\
      5507448362599/40243249018617215617678604204907930333099024299658813532140\
      93617931485184000000000000000*ep^3+29276496858540333454898390751910417834\
      57915616014612933/8301811626100296266541440453640630986533955460374761680\
      4599044588850201455506961203200000000000000000*ep^4+983878659538800995239\
      70275960502599669791489578937140062402728032777/
      1198811094262277558224147500483629635350035186654653437202786235102605493\
      0687315179109294297579520000000000000000000*ep^5+201676901195173938727582\
      16873111957913632598914232727515351246751749176676794984491/
      1211788068818161049951574560895992305404269004986944775189827116909531681\
      3906713594883581957851251523404693504000000000000000000000*ep^6+
      5284619813024832871633795774877568801171960155153362454971409109885306142\
      77638573831875534660679/1749865024914167160169655088229486190817039643928\
      7532202158636105728514911970275446549175295848038451609272367633603231744\
      00000000000000000000000*ep^7+12630824121115451495915358627011724491848468\
      658004454654706614865019868818240291381016143682765260158391052051/
      2526867266818536193135508916828149839307991668222338257453427896991602325\
      0524760182367251944274506490147662063797879289399006025744384000000000000\
      0000000000000*ep^8;
Fill mncpoch(33,21) = 1/336790583748517983710227747646553980928000000000+
      149980107719459/486337568743955372213106957325815507027040936132608000000\
      00000*ep+11832291420162154000428209371/7022887283226258570665326620339255\
      757773440830631751875171450880000000000000*ep^2+6533684763786927294792458\
      42915068588856399/1014129875269153833565500825963679844394095412351402101\
      009951591718734266368000000000000000*ep^3+4050848844636907128172910897343\
      708733260259955673257533/209205652977727465916844299431743900860655677601\
      44399434758959236390250766787754223206400000000000000000*ep^4+
      147134279737255438454789260418106939986669839752599576359534406990177/
      3021003957540939446724851701218746681082088670369726661751021312458565842\
      533203425135542162990039040000000000000000000*ep^5+3256160588830935478290\
      8462117544567290034618379686097685396651092859671507285248691/
      3053705933421765845877967893457900609618757892567100833478364334612019837\
      104491825910662653378515383897982763008000000000000000000000*ep^6+
      9202962794852363811028304320409134453856825511291772567369535641872027659\
      26354094423029589850479/4409659862783701243627530822338305200858939902700\
      4581149439762986435857578165094125303921745537056898055366366436680143994\
      8800000000000000000000000*ep^7+237053284938179198574888271098360399010160\
      37418347849187995349944006016926713165820701050528759556657707388251/
      6367705512382711206701482470406937595056139003920292408782638300418837859\
      1322395659565474899571756355172108400770655809285495184875847680000000000\
      000000000000000*ep^8;
Fill mncpoch(33,22) = 1/81503321267141352057875114930466063384576000000000+
      163107703437059/117693691636037200075571883672847352700543906544091136000\
      00000000*ep+13973503409310060529966747771/1699538722540754574101009042122\
      099893381172681012883953791491112960000000000000*ep^2+8368069798946204800\
      63034107424047534325999/2454194298151352277228511998832105223433710897890\
      39308444408285195933692461056000000000000000*ep^3+56201722340258227157947\
      31286869803701671234737779240733/5062776802061004675187632046248202400827\
      867397954944663211668135206440685562636522015948800000000000000000*ep^4+
      220913628688827253746472976740261712169481768859374695940244691990977/
      7310829577249073461074141116949366968218654582294738521437471576149729338\
      93035228882801203443589447680000000000000000000*ep^5+52862059529853830897\
      647032556461655711289947099713299750669359361397836288565915091/
      7389968358880673347024682302168119475277394100012384017017641689761088005\
      79287021870380362117600722903311828647936000000000000000000000*ep^6+
      1614248025792861800948736180545467257109818042647304110731605793873424472\
      338037879216966404152079/106713768679365570095786245900586985860786345645\
      3510863816442264271747753391595277832354906241996776932939866067767659484\
      67609600000000000000000000000*ep^7+44896523964360546780272079810696896297\
      541902907919812799220454366630132346225031543496284737169459797244278651/
      1540984733996616112021758757838478898003585638948710762925398468701358761\
      9100019749614844925696365037951650232986498705847089834739955138560000000\
      000000000000000000*ep^8;
Fill mncpoch(33,23) = 1/18745763891442510973311276434007194578452480000000000+
      177548058726419/270695490762885560173815332447548911211250985051409612800\
      0000000000*ep+16537360458255705041788349611/39089390618437355204323207968\
      8082975477669716632963309372042955980800000000000000*ep^2+107561234046004\
      6163842618521562876282764959/56446468857481102376255775973138420138975350\
      651479040942213905595064749266042880000000000000000*ep^3+7839061426863410\
      824051093222647401379334130552252603053/116443866447403107529315537063708\
      6552190409501529637272538683671097481357679406400063668224000000000000000\
      000*ep^4+3341124608278522570338098570608085628198083407743723502994617264\
      07057/1681490802767286896047052456898354402690290553927789859930618462514\
      43774795398102643044276792025572966400000000000000000000*ep^5+
      8663497801654976590751456559278552302420374157169187163953612780757899545\
      7233009731/16996927225425548698156769294986674793138006430028483239140575\
      8864505024133236015030187483287048166267761720589025280000000000000000000\
      000*ep^6+2865287888837733534688983938374490348368412605554387349005699492\
      356410799684927982956004604914239/245441667962540811220308365571350067479\
      8085949843074986777817207825019832800669139014416284356592586945761691955\
      8656168147550208000000000000000000000000*ep^7+862722990854776599306723980\
      6772705228009797892248400946958917536786569592776030876364570176191530799\
      0073475691/35442648881922170576500451430285014654082469695820347547284164\
      7801312515239300454241141433291016395872887955358689470234483066199018968\
      1868800000000000000000000000000*ep^8;
Fill mncpoch(33,24) = 1/4049085000551582370235235709745554028945735680000000000
      +193592897936819/58470226004783280997544111808670564821630212771104476364\
      8000000000000*ep+19643527377927343794836067211/84433083735824687241338129\
      212625922703176658792720074824361278491852800000000000000*ep^2+1390789578\
      763980709044325385790058852959359/121924372732159181132712476101978987500\
      18675740719472843518203608533985841465262080000000000000000*ep^3+
      11026917879258841802288748345724607560260697889516907853/
      2515187515263907122633215600576106952731284523304016508683556729570559732\
      58751782413752336384000000000000000000*ep^4+51103758518684533487406297098\
      1028881402831467118161760533039805678257/36320201339773396954616333069004\
      4550981102759648402609745013587903118553558059901708975637870775237607424\
      00000000000000000000*ep^5+14403158921010794958238835431207142988027275334\
      0094952377129013759532456819530919331/36713362806919185188018621677171217\
      5531780938888615237965436439147330852127789792465204963900024039138365316\
      47229460480000000000000000000000*ep^6+51762515789322991281652349109211419\
      44557007055792310407365379780504838279634382553973192741156639/
      5301540027990881522358660696341161457563865651661041971440085168902042838\
      8494453402711391742102399878028452546246697323198708449280000000000000000\
      00000000*ep^7+16932442338202552354927969417660154173447034858932993193249\
      3217829597070663748929741628478965702007265551321291/
      7655612158495188844524097508941563165281813454297195070213379592508350329\
      1688898116086549590859541508543798357476925570648342298988097128366080000\
      0000000000000000000000*ep^8;
Fill mncpoch(33,25) = 1/8098170001103164740470471419491108057891471360000000000\
      00+211643342048519/116940452009566561995088223617341129643260425542208952\
      729600000000000000*ep+23463783695187542594091639511/168866167471649374482\
      67625842525184540635331758544014964872255698370560000000000000000*ep^2+
      1814321295002981154889039763411587870338059/24384874546431836226542495220\
      39579750003735148143894568703640721706797168293052416000000000000000000*
      ep^3+15705390041561481776747738840630301471359377913082220753/
      5030375030527814245266431201152213905462569046608033017367113459141119465\
      1750356482750467276800000000000000000000*ep^4+794526850384500601884686047\
      513173491313126196363931766521988195788357/726404026795467939092326661380\
      0891019622055192968052194900271758062371071161198034179512757415504752148\
      480000000000000000000000*ep^5+2444225267668811399740301146332325920014476\
      02304629403114070820880246444270003257631/
      7342672561383837037603724335434243510635618777772304759308728782946617042\
      555795849304099278000480782767306329445892096000000000000000000000000*
      ep^6+95881867379783844397832502845210511899860654466879915664564450726794\
      68120452725060618494782539339/1060308005598176304471732139268232291512773\
      1303322083942880170337804085677698890680542278348420479975605690509249339\
      46463974168985600000000000000000000000000*ep^7+34239545222844748372224416\
      7499121899841448601636550019570336216026258654540062687150288613673306390\
      891711487591/153112243169903776890481950178831263305636269085943901404267\
      5918501670065833777962321730991817190830170875967149538511412966845979761\
      94256732160000000000000000000000000000*ep^8;
Fill mncpoch(33,26) = 1/1473866940200775982765625798347381666536247787520000000\
      00000+232272421033319/212831622657411142831060566983560855950733974486820\
      29396787200000000000000*ep+28255349814674601077586190711/
      3073364247984018615584707903339583586395630380055010723606750537103441920\
      000000000000000*ep^2+342457591153293934661285212074080420075837/
      6340067382072277418901048757302907350009711385174125878629465876437672637\
      5619362816000000000000000000*ep^3+227699747384071280795661619151867250859\
      30982992052498353/9155282555560621926384904786097029307941875664826620091\
      608146495636837426618564879860585044377600000000000000000000*ep^4+
      1264250457745001965177386340578946081751240011748488185714197107822757/
      1322055328767751649148034523711762165571214045120185499471849459967351534\
      951338042220671321849621864891023360000000000000000000000*ep^5+
      4269847846126195430335587683716265765641552590585409022596855828321860770\
      53282912831/1336366406171858340843877829049032318935682617554559466194188\
      6384962843017451548445733460685960875024636497519591523614720000000000000\
      00000000000*ep^6+18396489585059928663854616714291943917178848890296937526\
      212955761738457587635757107549407156508139/
      1929760570188680874138552493468182770553247097204619277604191001480343593\
      3411981038586946594125273555602356726833797825644329875537920000000000000\
      0000000000000*ep^7+721898088921699330170354584522380665915262984982429374\
      124134400860229545875125588414673322273327165686768774791/
      2786642825692248739406771493254728992162580097364179005557670171673039519\
      8174758914255504051072873109109942602121600907715996596831667354725253120\
      000000000000000000000000000*ep^8;
Fill mncpoch(33,27) = 1/2387664443125257092080313793322758299788721415782400000\
      0000000+256339679848919/3447872287050060513863181185133685866401890386686\
      488762279526400000000000000*ep+34424743234306578556466527111/
      4978850081734110157247226803410125409960921215689117372242935870107575910\
      40000000000000000*ep^2+65830864145993653096840600643206001842091/
      1467272736993869916945671283832958558145104634854583417625676388547004238\
      978619539456000000000000000000*ep^3+3386055385660075006998225821955411583\
      2497244204264435553/14831557740008207520743545753477187478865838577019124\
      54840519732293167663112207510537414777189171200000000000000000000*ep^4+
      2079181171051374945548739161649105436322172845286277429390694418849557/
      2141729632603757671619815928413054708225366753094700509144396125147109486\
      62116762839748754139638742112345784320000000000000000000000*ep^5+
      7772661241901296892848708063452772802874061510257825698371590603528251136\
      82115737231/2164913577998410512167082083059432356675805840438386335234585\
      5943639805688271508482088206311256617539911125981738268255846400000000000\
      0000000000000*ep^6+371031545645420718388032124880123989586023166802298680\
      63015144813474400251266729260481685040111739/
      3126212123705663016104455039418456088296260297471483229718789422398156621\
      2127409282510853482482943160075817897470752477543814398371430400000000000\
      000000000000000*ep^7+1614869312701743887809879702428097084073788850559274\
      592498160541188631922987347633275979625257299055743565103191/
      4514361377621442957838969819072660967303379757729969989003425678110324022\
      1043109441093916562738054436758107015436993470499914486867301114654910054\
      40000000000000000000000000000*ep^8;
Fill mncpoch(33,28) = 1/3342730220375359928912439310651861619704209982095360000\
      000000000+285220390427639/48270212018700847194084536591871602129626465413\
      6108426719133696000000000000000*ep+42662110781396740848439769191/
      6970390114427754220146117524774175573945289701964764321140110218150606274\
      5600000000000000000*ep^2+636832059615499774363436317399766132353997/
      1437927282253992518606757858156299386982202542157491749273162860776064154\
      199047148666880000000000000000000*ep^3+5225271625760616009912012652545258\
      1174427305018039579393/20764180836011490529040964054868062470412174007826\
      7743677672762521043472835709051475238068806483968000000000000000000000*
      ep^4+35882767462392757021868357635568086747821850348583932504017688351665\
      17/2998421485645260740267742299778276591515513454332580712802154575205953\
      2812696346797564825579549423895728409804800000000000000000000000*ep^5+
      1502689999481543104524356833466625750919660559022001459165580537968780590\
      004572764911/303087900919777471703391491628320529934612817661374086932841\
      9832109572796358011187492348883575926455587557637443357555818496000000000\
      0000000000000000*ep^6+805019095291054250930294755822160986132509211560081\
      34541965802760499510458110397005220802359405659/
      4376696973187928222546237055185838523614764416460076521606305191357419269\
      6978372995515194875476120424106145056459053468561340157720002560000000000\
      00000000000000000*ep^7+39398216628461393120322786180081794943945914511593\
      83375250685342758267113226277849486279059027992407116698079671/
      6320105928670020140974557746701725354224731660821957984604795949354453630\
      9460353217531483187833276211461349821611790858699880281614221560516874076\
      1600000000000000000000000000000*ep^8;
Fill mncpoch(33,29) = 1/3877567055635417517538429600356159478856883579230617600\
      00000000000+321321278651039/559934459416929827451380624465710584703666998\
      79788577499419508736000000000000000*ep+54262094345777864521713881791/
      8085652532736194895369496328738043665776536054279126612522527853054703278\
      489600000000000000000*ep^2+916676317150430036766913652933053503798197/
      1667995647414631321583839115461307288899354948902690429156868918500234418\
      87089469245358080000000000000000000*ep^3+85345545520091803259684428629388\
      127278297742265492789193/240864497697733290136875183036469524656781218490\
      79058266610040452441042848942249971127615981552140288000000000000000000000
      *ep^4+6669326745425206510571247085063844321991064293009530319976961324882\
      717/347816892334850245871058106774280084615799560702579362685049930723890\
      5806272776228517519767227733171904495537356800000000000000000000000*ep^5+
      3188070335015035517325318623965456159565947753050781459672531155938210766\
      725037609511/351581965066941867175934130288851814724150868487193940842096\
      7005247104443775292977491124704948074688481566859434294764749455360000000\
      000000000000000000*ep^6+1955940803418206134623717973607833278925342356497\
      78782361624944788378852504641391828338550092163059/
      5076968488897996738153634984015572687393126723093688765063314021974606352\
      8494912674797626055552299691963128265492502023531154582955202969600000000\
      0000000000000000000*ep^7+110009416944249245430913801363823735373092413797\
      09802666224662952156728434788691865582131216438392768402317460271/
      7331322877257223363530486986174001410900688726553471262141563301251166211\
      8974009732336520497886600405295165793069677396091861126672497010199573928\
      345600000000000000000000000000000*ep^8;
Fill mncpoch(33,30) = 1/3489810350071875765784586640320543530971195221307555840\
      0000000000000+369455796282239/5039410134752368447062425620191395262333002\
      989180971974947755786240000000000000000*ep+72045670885874333078626138591/
      7277087279462575405832546695864239299198882448851213951270275067749232950\
      64064000000000000000000*ep^2+1412088262222965837995580973487576964603797/
      1501196082673168189425455203915176560009419454012421386241182026650210976\
      9838052232082227200000000000000000000*ep^3+153315732874873721294238003865\
      413160435186187284458455593/216778047927959961123187664732822572191103096\
      6417115243994903640719693856404802497401485438339692625920000000000000000\
      000000*ep^4+1404910559263116511168230116509266784483104808970800110046214\
      2076184317/31303520310136522128395229609685207615421960463232142641654493\
      7651501522564549860566576779050495985471404598362112000000000000000000000\
      000*ep^5+7921798780972702910393408921634445416078005483465355467281859017\
      577704428527046842311/316423768560247680458340717259966633251735781638474\
      5467578870304722393999397763679742012234453267219633410173490865288274509\
      82400000000000000000000000000*ep^6+57690604343536984878862289282746791989\
      3975010548172215175878902409885577035598848305625665745866259/
      4569271640008197064338271485614015418653814050784319888556982619777145717\
      5645421407317863449997069722766815438943251821178039124659682672640000000\
      000000000000000000000*ep^7+3877003581371056754730022673315407614709817075\
      9593004134541966189161469911783310459399684070430030110755003141071/
      6598190589531501027177438287556601269810619853898124135927406971126049590\
      7076608759102868448097940364765649213762709656482675014005247309179616535\
      51104000000000000000000000000000000*ep^8;
Fill mncpoch(33,31) = 1/2163682417044562974786443716998736989202141037210684620\
      800000000000000+441657572729039/31244342835464684371787038845186650626464\
      6185329220262446760858746880000000000000000*ep+
      103934132218092719147224763791/451179411326679675161617895143582836550330\
      71182877526497875705420045244293971968000000000000000000*ep^2+50696346399\
      894008151929233662634857230453/189947259440278423968118821719879483103232\
      66560973495091214956255574098076121617109981593600000000000000000000*ep^3
      +332673680077173098712458159478530113903695889944084075193/
      1344023897153351758963763521343499947584839199178611451276840257246210190\
      97097754838892097177060942807040000000000000000000000*ep^4+
      38068736271297480156626034109860081593167439199742735649731049640416717/
      1940818259228464371960504235800482872156161548720392843782578613439309439\
      9002091355127760301130751099227085098450944000000000000000000000000*ep^5+
      2716221148207955371393551267347736871579758670340994810746090898035227371\
      6320114931511/19618273650735356188417124470117931261607618461585421898988\
      9958892788427962661348144004758536102567617271430756433647873019609088000\
      00000000000000000000000*ep^6+25380659646651818904153074567094290994910883\
      69266717463685960195779202977413427227336665580680981059/
      2832948416805082179889728321080689559565364711486278330905329224261830344\
      8900161272537075338998183228115425572144816129130384257289003257036800000\
      00000000000000000000000*ep^7+22202290720169781841072607133117734473420836\
      8846212106091253161364614644219668532828181974087690333441178124302271/
      4090878165509530636850011738285092787282584309416836964274992322098150746\
      2387497430643778437820723026154702512532879987019258508683253331691362252\
      0168448000000000000000000000000000000*ep^8;
Fill mncpoch(34,0) = 1;
Fill mncpoch(34,1) = 1/33+1/1089*ep+1/35937*ep^2+1/1185921*ep^3+1/39135393*ep^4
      +1/1291467969*ep^5+1/42618442977*ep^6+1/1406408618241*ep^7+1/
      46411484401953*ep^8;
Fill mncpoch(34,2) = 1/2112+65/2230272*ep+3169/2355167232*ep^2+137345/
      2487056596992*ep^3+5580961/2626331766423552*ep^4+217726145/
      2773406345343270912*ep^5+8258704609/2928717100682494083072*ep^6+
      306896990465/3092725258320713751724032*ep^7+11227112313121/
      3265917872786673721820577792*ep^8;
Fill mncpoch(34,3) = 1/196416+3071/6429874176*ep+6288385/210488361025536*ep^2+
      10732179455/6890546986531946496*ep^3+16487316188161/
      225568946151109800493056*ep^4+23643920576550911/
      7384225021202730428940681216*ep^5+32297610869616927745/
      241729990294092583321802140286976*ep^6+42549815548806267150335/7913272962\
      267414807622514864434446336*ep^7+54508108687743813037317121/2590489036927\
      86091142330646602126035255296*ep^8;
Fill mncpoch(34,4) = 1/23569920+6937/1285974835200*ep+270754441/
      631465083076608000*ep^2+939586220657/34452734932659732480000*ep^3+
      25683719877314401/16917670961333235036979200000*ep^4+23779736383594329859/
      307676042550113767872528384000000*ep^5+1672330345217780469411961/45324373\
      1801423593728379013038080000000*ep^6+4149479567752899954077193697/
      24728978007085671273820358951357644800000000*ep^7+
      89210911521129393416037506823121/1214291736059934802229674905947465790259\
      2000000000*ep^8;
Fill mncpoch(34,5) = 1/3417638400+255733/5407524182016000*ep+353279617201/
      77004009555776962560000*ep^2+14063501416696711/
      40612941359844180413644800000*ep^3+38882832285511065762001/17350043491043\
      96112477504405504000000*ep^4+3584696477931357113854068533/274519328132693\
      9705006406570564648960000000*ep^5+2754970448274930244251463371586801/
      39091991557020633709644030589891891534233600000000*ep^6+22188919694834050\
      3410243213064860286933/61852912721180327480747170960550546461125771264000\
      000000*ep^7+153583909754939248010480360461872838244451601/880795373615643\
      252178236634025593469693864762922762240000000000*ep^8;
Fill mncpoch(34,6) = 1/574163251200+2185691/6359248438050816000*ep+
      25091848630489/633897006663155955793920000*ep^2+24396674602057144459/
      7020840398758983156467603865600000*ep^3+180210817767819585454382761/
      699845234289542051097825997039337472000000*ep^4+
      43844061593610344744960324925097/2583753954838665034834389812962883083960\
      320000000*ep^5+792379357376246983423486079642842522489/772654464068242649\
      931392973218192112714656199475200000000*ep^6+4961688735261754399629760800\
      80597023477412459/8557673594591353752992130525613266018951463375403483136\
      000000000*ep^7+2651761713047309145155858556601093627244980284434761/
      853038488503292084414458921979319043627023094899199650897592320000000000*
      ep^8;
Fill mncpoch(34,7) = 1/108516854476800+70089337/32451244779373314048000*ep+
      2808726807093769/9704329275006254527249121280000*ep^2+
      84464086677491290369753/2902015232944234374843788784618700800000*ep^3+
      2117860370906821035088671201961/86782838603082654008078607328269260606668\
      8000000*ep^4+46757275690215134823517353896653883257/259518316462035432122\
      932938795662626765338763591680000000*ep^5+9389715012799920375796955518575\
      63354705966409/7760722933635038806109379907212930533433283540270165524480\
      0000000*ep^6+17519228899818635664493509646098816490803986011665433/
      23207926621032790183093374949694429821644814457150856061966614528000000000
      *ep^7+308187019761172843228790219718573725497760556744246402438121/
      6940176355387092246527258038696453267148866041842968023646864616277934080\
      000000000*ep^8;
Fill mncpoch(34,8) = 1/22571505731174400+1060683061/87748165883425441185792000*
      ep+633269943627109441/341126582675019859141861111234560000*ep^2+
      280255184295079062104528221/1326151313089924447678615223639915416780800000
      *ep^3+102392436037979552681860933410539401/515549767895269885673944485611\
      7612572549100601344000000*ep^4+326705382185382945766685811702622912198549\
      81/20042325529020812513437789046005656445353248514451093585920000000*ep^5
      +9417189854061830036356387766760037342406917132146961/7791581678935809669\
      1330260634753439071513193694794026560903551385600000000*ep^6+
      2507379680305440607820745464035304510552511753140146236527341/
      3029026994478427472111436921286012154895076144486862627391239543496722350\
      08000000000*ep^7+62630524202975516403422001452371887192133358838760547119\
      3749993468121/11775535329473895184094635087802519745408632230141559387395\
      55599947763800721525309440000000000*ep^8;
Fill mncpoch(34,9) = 1/5078588789514240000+6080928041/
      98716686618853621334016000000*ep+20559747589254766201/1918837027546986707\
      672968750694400000000*ep^2+51017363636475760233045863561/3729800568065412\
      5090961053164872621096960000000000*ep^3+103661922508240398162638570372382\
      938521/724991861102723276728984432891539268014717272064000000000000*ep^4+
      182693896921334145073251803986429657431229319081/140922601375927587985109\
      45422972727188139002861723425177600000000000000*ep^5+28919042311552458222\
      4193489390050213296005919911881581241/27392279340008705868045794754405505\
      9235788571583260249628176547840000000000000000*ep^6+420738274625411709486\
      385384706803077404076121376957851867394701001/532446151373161079082088521\
      3198068241026501035230813212211163260052832256000000000000000000*ep^7+
      5717798522117963443200638483871267028699339356479749739471593543656742143\
      61/1034959159817041568914567537013893336998805567102285493032812539016589\
      27797790310400000000000000000000*ep^8;
Fill mncpoch(34,10) = 1/1218861309483417600000+6890837141/
      23692004788524869120163840000000*ep+26140699296368649301/4605208866112768\
      09841512500166656000000000*ep^2+72188953876968326256634402661/
      8951521363356990021830652759569429063270400000000000*ep^3+162128413172677\
      326009655708460591053621/173998046664653586414956263893969424323532145295\
      360000000000000*ep^4+314003174118445382772138650135609343137465170181/
      3382142433022262111642626901513454525153360686813622042624000000000000000
      *ep^5+543504451262937975584331808596596454348061512174522128341/
      6574147041602089408330990741057321421658925717998245991076237148160000000\
      0000000000*ep^6+860927475593771668647713533908644774808305707446864111762\
      138504101/127787076329558658979701245116753637784636024845539517093067918\
      2412679741440000000000000000000*ep^7+126905284913521992208003173369289667\
      4654631483691127984526732364297461433461/24839019835608997653949620888333\
      440087971333610454851832787500936398142671469674496000000000000000000000*
      ep^8;
Fill mncpoch(34,11) = 1/308371911299304652800000+177927072643/
      137863775864426213410233384960000000*ep+17286944054257257511429/
      61634733901393454398758508484804739072000000000*ep^2+
      1214343481038685943953663603669987/27555029588275017891690228687797354583\
      441172070400000000000*ep^3+68974365330309016341071954254147041872715061/
      12319022206300881041814787288621131311046754445114505953280000000000000*
      ep^4+3361743319260839785808164303954995893256453256501210483/
      5507463079767808813368368760269456547013656716711156280288237060096000000\
      000000000*ep^5+1458031207653716219555208487342146104395279244093988551678\
      62317349/2462220545352321783243998418126069122833477996325549123696031787\
      496806495027200000000000000000*ep^6+5765402360513707808204254253727984566\
      901191796069242527999590430734630079747/110078450389007008134440309525270\
      1398056142090858353496373699861777777250296421983191040000000000000000000
      *ep^7+2114476230760361039832436562926294302725607087533788852313730879985\
      22350302729235832341/4921275335354333435022519101041579733513522682341224\
      33866891838334855312979003523617811624624128000000000000000000000*ep^8;
Fill mncpoch(34,12) = 1/81410184583016428339200000+198248428243/363960368282085\
      20340301613629440000000*ep+21315620861724343722229/1627156974996787196127\
      2246239988451115008000000000*ep^2+1647505792404564761909706737302387/
      7274527811304604723406220373578501610028469426585600000000000*ep^3+
      102453916390821955931068439954584632828532261/325222186246343259503910384\
      4195978666116343173510229571665920000000000000*ep^4+544374578685140132857\
      0935160209358067260491158354222083/14539702530587015267292493527111365284\
      11605373211745257996094583865344000000000000000*ep^5+25642741469598075271\
      1723261949371946172057083068970912877878032149/65002622397301295077641558\
      2385282248428038191029944968655752391899156914687180800000000000000000*
      ep^6+10976355040139398574814846948593121081727622564612539774647569295462\
      691264147/290607109026978501474922417146713169086821511986605323042656763\
      509333194078255403562434560000000000000000000*ep^7+4345020370385610959921\
      89365294565163488204389231454282211130208327261166014473953505541/
      1299216688533544026845945042674977049647569988138083225408594453204018026\
      26456930235102268900769792000000000000000000000*ep^8;
Fill mncpoch(34,13) = 1/22224980391163484936601600000+31362495349/1419445436300\
      132293271762931548160000000*ep+25989362611987094487829/444213854174122904\
      5427323223516847154397184000000000*ep^2+44914170445595355231738821248963/
      40529512091554226316120370652794508970158615376691200000000000*ep^3+
      149306713618158244189522669591401979879662661/887856568452517098445675349\
      465502175849761686368292673064796160000000000000*ep^4+1231763180841649431\
      560693643204194685696605833022790469/567048398692893595424407247557343246\
      08052609555258065061847688770748416000000000000000*ep^5+43998879719036269\
      8899796530994926346049644129272166798393369725749/17745715914463253556196\
      1453991182053820854426151174976443020402988469837709600358400000000000000\
      000*ep^6+2906184827297982847701487452709731866270180225533938030654644915\
      289485946421/113336772520521615575219742687218135943860389674776075986636\
      13776863994569051960738934947840000000000000000000*ep^7+
      8675912160141050044717015392478845589458095615186522158659729691730109856\
      42914334427941/3546861559696575193289429966502687345537866067616967205365\
      4628572469692117022741954182919409910153216000000000000000000000*ep^8;
Fill mncpoch(34,14) = 1/6222994509525775782248448000000+34555851229/39744472216\
      4037042116093620833484800000000*ep+31396470016803180937309/12437987916875\
      44132719650502584717203231211520000000000*ep^2+
      414659295258569623271031355269661/794378436994462835795959264794772375815\
      10886138314752000000000000*ep^3+21419029385497810610575737738012428593753\
      9981/24859983916670478756478909785034060923793327218312194845814292480000\
      0000000000*ep^4+1915749015162371633964777866114393569326050444084228749/
      1587735516340102067188340293160561089025473067547225821731735285580955648\
      0000000000000000*ep^5+739754547916838160891061455465788667454479139589022\
      969846695237629/496880045604971099573492071175309750698392393223289934040\
      45712836771554558688100352000000000000000000*ep^6+52684843626449597397913\
      44590962766246323305818277885314869651850940050354941/
      3173429630574605236106152795242107806428090910893730127625811857521918479\
      334549006901785395200000000000000000000*ep^7+1691974346402981396805573590\
      158084637180150355294611146532001023588873358736813875178861/
      9931212367150410541210403906207524567506024989327508175023296000291513792\
      766367747171217434774842900480000000000000000000000*ep^8;
Fill mncpoch(34,15) = 1/1773553435214846097940807680000000+720428290951/
      2152163170518260583058646956813320192000000000*ep+
      13588697916712140427410949/1279682386827729780948612419584286294544431972\
      35200000000000*ep^2+3712019074056058324041173409105207199/
      155286288431333086835647811020979296182901202886469751930880000000000000*
      ep^3+39530215263547489678534237116259620836260228381501/
      9233367197412578366765800805971957982901560059790341101828888569315328000\
      000000000000*ep^4+7268265127684835756972284827038421878695506528790696752\
      687751/112044624241814996071194993029305306331284217856797621833977648253\
      41398292312883200000000000000000*ep^5+57548358469737860643874194011999062\
      162619882171313881094876701143390018549/666220545658972235730749273946278\
      8510806427095523109829629080645334941892866186473037312819200000000000000\
      00000*ep^6+83847970572054607891070015552416914630812700667463183220440052\
      87749296372853843274799/8084421328056172362164630304895905418228456052766\
      41689112609270115432187995617531820306245322484482048000000000000000000000
      *ep^7+5497588114141888563042189278690272384104354518480667765511746665429\
      5760141625269522717976562833901/48070200823651482962368179608052221245426\
      5281327660498764960376403979124798790556793213834064018022617344102105088\
      00000000000000000000000*ep^8;
Fill mncpoch(34,16) = 1/510783389341875676206952611840000000+787843581751/
      619822993109259047920890323562236215296000000000*ep+
      16191220420976345098760149/3685485274063861769132003768402744528287964080\
      3737600000000000*ep^2+4803554907143077048795243573391536399/
      44722451068223929008666569574042037300675546431303288556093440000000000000
      *ep^3+55398034759549548964649756738953677697531350012301/
      2659209752854822569628550632119923899075649297219618237326719907962814464\
      000000000000000*ep^4+1571848535821196668204712442534891964057722418855221\
      749259793/460983596880610269550059399891998974620140782039395929831222324\
      242617529740872908800000000000000000*ep^5+9389491123436534587939124252464\
      5796762532217335825713917294636179471927749/19187151714978400389045579089\
      6528309111225100351065563093317522585646326514546170423474609192960000000\
      000000000000*ep^6+1471474980271038753500874389701401401882507804280981008\
      3896030335068597372489267683999/23283133424801776403034135278100207604497\
      9534319672806464431469793244470142737849164248198652875530829824000000000\
      000000000000*ep^7+1035838388543680924192340656545390491720076414036538692\
      54150007472505035702534784661713896066384701/
      1384421783721162709316203572711903971868284010223662236443085884043459879\
      4205168035644558421043719051379510140626534400000000000000000000000*ep^8;
Fill mncpoch(34,17) = 1/147616399519802070423809304821760000000+14606816124167/
      3045190365145789702435334159661266525749248000000000*ep+
      5547788173047614975199178261/30781541557508779881967408674076562574713904\
      79568968089600000000000*ep^2+30331968812484439885121804703026977706687/
      6349948520637522317045828947569060495562527932931099337938916343808000000\
      0000000*ep^3+6430446816414947100538105993287427638920649391226599021/
      6418685889500622675716644525278827938868752113144004335713207732212608355\
      8998016000000000000000*ep^4+234257889835241995645790472979783547765900126\
      46298544661194118889607/1324115781931295902061405768560014417940924733026\
      595716979814177483839850402854762810494156800000000000000000*ep^5+
      3659299022779930031802968724939277684639395346871127789633908272281798819\
      999661381/133844916347356487668161993222799741334977659039991731402706468\
      5552507921978161043069607126152357724815360000000000000000000*ep^6+
      1047849964697875875938893594220913828902255909122672576232627648855504845\
      5751265310423535699727/27610973510435656967892209304345381681922635232793\
      9316904533823631614613502152000181372800497019252239604844362465280000000\
      00000000000000*ep^7+13456303256043185963776042949290354357022867705959940\
      62409264490266731376477087796997760026876830185678741341/
      2790985871630588703779741630228380268819877051447300224920043183570668013\
      7420108966932532793022175971943508882560635581681473945600000000000000000\
      000000*ep^8;
Fill mncpoch(34,18) = 1/42513523061702996282057079788666880000000+
      15896133560717/877014825161987434301376237982444759415783424000000000*ep+
      6552051119552058219979489411/88650839685625286060066136981340500215176045\
      8115862809804800000000000*ep^2+38779642566089857173582115983995367078737/
      1828785173943606427309198736899889422722008044684156609326407907016704000\
      0000000000*ep^3+8880411014253122792330033579196502326863288482956829171/
      1848581536176179330606393623280302446394200608585473248685403826877231206\
      4991428608000000000000000*ep^4+348754577479314213560183841938834105653874\
      97955447582012264100489657/3813453451962132197936848613452841523669863231\
      11659566490186483115345876916022171689422317158400000000000000000*ep^5+
      5862610276101398067952006578092286742526488502916593874483372066822690808\
      409065531/385473359080386684484306540481663255044735658035176186439794629\
      439122281529710380404046852331879024746823680000000000000000000*ep^6+
      1803726529965350104423193977190382282122436111828019577503261021735075547\
      2222488864633420257777/79519603710054692067529562796514699243937189470446\
      5232685057412059050086886197760522353665431415446450061951763900006400000\
      0000000000000000*ep^7+248516259787187305528711605969594183479959949885818\
      7217112826579673142080982025216634054013625408395914659491/
      8038039310296095466885655895057735174201245908168224647769724368683523879\
      5769913824765694443903866799197305581774630475242644963328000000000000000\
      00000000*ep^8;
Fill mncpoch(34,19) = 1/12116354072585353940386267739770060800000000+
      17271405493037/249949225171166418775892227824996756433498275840000000000*
      ep+7715942200660329827447025571/25265489310403206527118849039682042561325\
      1730563020900794368000000000000*ep^2+705588018658020316504910271620871263\
      3351/74457682081989690254731662859495497925110327533569233379718036214251\
      5200000000000000*ep^3+122087986288500022341631875466059655919003498112107\
      10931/5268457378102111092228221826348861972223471734468598758753400906600\
      108938522557153280000000000000000*ep^4+5166587582953573042803230824931475\
      6922599724581195283633021416679577/10868342338092076764120018548340598342\
      4591102086822976449703147687873574921066318931485360390144000000000000000\
      000*ep^5+9344287091568846626749894627902110863899394678147925656888907907\
      189112022850268891/109859907337910205078027364037274027687749662540025213\
      1353414693901498502359674584151533529145855220528447488000000000000000000\
      00*ep^6+30888201064228221524915981158175146216826146167375017971981923914\
      445252783552722156390573714897/226630870573655872392459253970066892845220\
      9899907725913152413624368292747625663617488707946479534022382676562527115\
      018240000000000000000000000*ep^7+4566666720082874560943478762915501835027\
      638053976312769425519677647728797649908351450205749551878495943440451/
      2290841203434387208062411930091454524647355083827944024614371445074804305\
      6794425440058222916512602037771232090805769685444153814548480000000000000\
      00000000000*ep^8;
Fill mncpoch(34,20) = 1/3392579140323899103308154967135617024000000000+
      131214377943659/489900481335486180800748766536993642609656620646400000000\
      000*ep+9069358083930900085105717171/7074337006912897827593277731110971917\
      1710484557645852222423040000000000000*ep^2+439284381269852417847907473883\
      531223034599/102155939816489855029491841443227823153251369376056988196973\
      14568595308544000000000000000*ep^3+23914021039789134085107222575255385699\
      79884824044036933/2107382951240844436891288730539544788889388693787439503\
      50136036264004357540902286131200000000000000000*ep^4+76332087273234683956\
      956047243409607604236667672400927655174089488777/
      3043135854665781493953605193535367535888550858431043340591688135260460097\
      7898569300815900909240320000000000000000000*ep^5+148555993925885646669220\
      85584784150736743799885990001933668727233793526674387832491/
      3076077405461485742184766193043672775256990551120705967789561142924195806\
      6070888356242938816083946174796529664000000000000000000000*ep^6+
      3694460740677257527960109718252548948215215028765116182202519196729235082\
      35315188917189383572679/4441965063243655098892201377813311099766331403819\
      1427897787307037618537853463006902778675750998866838700460625531454357504\
      00000000000000000000000*ep^7+83773328413665673504104536529907971593606298\
      44851892055905739504591010814307423499898122439622287847111580051/
      6414355369616284182574753404256072669012594234718243268920240046209452055\
      9024391232163024166235285705759449854256155119243630680735744000000000000\
      0000000000000*ep^8;
Fill mncpoch(34,21) = 1/926174105308424455203126306028023447552000000000+
      142322343550859/133742831404587727358604413264599264432436257436467200000\
      000000*ep+10650269781229944581122301971/193129400288722110693296482059329\
      53333876962284237317656721489920000000000000*ep^2+55758721170715611036977\
      6014554291994825799/27888571569901730423051272714001195720837623839663557\
      77777366877226519232512000000000000000*ep^3+32762106140728613045262650066\
      73618872218635630795487333/5753155456887505312713218234372957273668031134\
      0397098445587137900073189608666324113817600000000000000000*ep^4+
      112724122096299619642529524626613044512402123818185678127101343086377/
      8307760883237583478493342178351553372975743843516748319815308609261056066\
      966309419122740948222607360000000000000000000*ep^5+2362054909202113285655\
      1702210525032578610318282590499143444884438420349178359633291/
      8397691316909856076164411707009226676451584204559527292065501920183054552\
      037352521254322296790917305719452598272000000000000000000000*ep^6+
      6318223210050756845021691711683831705593844487305722532271187553436752332\
      05148774026421532867879/1212656462265517841997570976143033930236208473242\
      6259816095934821269860833995400884458578480022690646965225750770087039598\
      59200000000000000000000000*ep^7+15395593452952226190493546860125327257965\
      563886553620343927183849298626520796655503742857490808192160722708851/
      1751119015905245581842907679361907838640438226078080412415225532615180411\
      2613658806380505597382232997672329810211930347553511175840858112000000000\
      0000000000000000*ep^8;
Fill mncpoch(34,22) = 1/244509963801424056173625344791398190153728000000000+
      154355972958659/353081074908111600226715651018542058101631719632273408000\
      00000000*ep+12507732356694845097174442171/5098616167622263722303027126366\
      299680143518043038651861374473338880000000000000*ep^2+7081006276195707975\
      41800030549798071159599/7362582894454056831685535996496315670301132693671\
      17925333224855587801077383168000000000000000*ep^3+44934992621020761702567\
      08549155188653855473855603411933/1518833040618301402556289613874460720248\
      3602193864833989635004405619322056687909566047846400000000000000000*ep^4+
      166797226960658763490366252298960594543394248857978946778067586363777/
      2193248873174722038322242335084810090465596374688421556431241472844918801\
      679105686648403610330768343040000000000000000000*ep^5+3767078120047405302\
      6540896350127158553705647006597868280797660609682141409528457491/
      2216990507664202004107404690650435842583218230003715205105292506928326401\
      737861065611141086352802168709935485943808000000000000000000000*ep^6+
      1085138541473899636303208295396645031000710038214094401599716312097789927\
      481328563221091336697679/320141306038096710287358737701760957582359036936\
      0532591449326792815243260174785833497064718725990330798819598203302978454\
      02828800000000000000000000000*ep^7+28453748517169744810057558681099304268\
      473450865087408527462873426695954301522600287534303693303193513127205051/
      4622954201989848336065276273515436694010756916846132288776195406104076285\
      7300059248844534777089095113854950698959496117541269504219865415680000000\
      000000000000000000*ep^8;
Fill mncpoch(34,23) = 1/61861020841760286211927212232223742108893184000000000+
      15225778970569/8120864722886566805214459973426467336337529551542288384000\
      00000000*ep+14706388935617668246362900571/1289949890408432721742665862970\
      673819076310064888778920927741754736640000000000000*ep^2+9011601560321453\
      21323651145861172265909199/1862733472296876378416440607113567864586186571\
      49880835109305888463713672577941504000000000000000*ep^3+61835087199876959\
      88563742655727111225579115178867155133/3842647592764302548467412723102385\
      6222283513550478029993776561146216884803420411202101051392000000000000000\
      00*ep^4+24797182955291149887452633896091227098252552886007257052133324480\
      4577/55489196491320467569552731077645695288779588279617065377710409262976\
      4456824813738722046113413684390789120000000000000000000*ep^5+
      6045769869454371983320010065962890429008209714627101548560520873725568372\
      8084643891/56089859843904310703917338673456026817355421219093994689163900\
      4252866579639678849599618694847258948683613677943783424000000000000000000\
      000*ep^6+1878802767952342883271500123119878370164372044863908965297550534\
      761241744766392537214903937879279/809957504276384677027017606385455222683\
      3683634482147456366796785822565448242208158747573738376755536921013583454\
      3565354886915686400000000000000000000000*ep^7+482890106254144979685266730\
      6863244755643284448121455903190840439690656488052386106497934114463872085\
      391165041/106327946645766511729501354290855043962247409087461042641852494\
      3403937545717901362723424299873049187618663866076068410703449198597056904\
      560640000000000000000000000000*ep^8;
Fill mncpoch(34,24) = 1/14846645002022468690862530935733698106134364160000000000
      +16538538542329/194900753349277603325147039362235216072100709237014921216\
      000000000000*ep+17333435033315721039799414411/309587973698023853218239807\
      112961716578314415573306941022658021136793600000000000000*ep^2+1151461116\
      298263921459560858824486724876159/447056033351250330819945745707256287500\
      68477715971400426233413231291281418705960960000000000000000*ep^3+
      8558866951591982491654289121308397098358050279811493453/
      9222354222634326116321790535445725493348043252114727198506374675092052352\
      82089868850425233408000000000000000000*ep^4+37156490920826128232045486493\
      0328689705583476389285298029082805364657/13317407157916912216692655458634\
      9668693071011871080956906504982231143469637955297293291067219284253789388\
      800000000000000000000*ep^5+9801640380872630767895563730285361812599576088\
      7092243880375657838154348382949690531/13461566362537034568940161281629446\
      4361653010925825587253993361020687979113522923903908486763342147684067282\
      706508021760000000000000000000000*ep^6+3294194463135729470087889945006930\
      338891908501506769254965764256528223432258204263713004894929439/
      1943898010263323224864842255325092534440084072275715389528031228597415707\
      5781299580994176972104213288610432600290455685172859764736000000000000000\
      000000000*ep^7+9153386375261673122760457440632552577559177925488585625080\
      831378551761865337263705476424527874226222448207681/
      2551870719498396281508032502980521055093937818099065023404459864169450109\
      7229632705362183196953180502847932785825641856882780766329365709455360000\
      0000000000000000000000*ep^8;
Fill mncpoch(34,25) = 1/3340495125455055455444069460540082073880231936000000000\
      000+17997160288729/438526695035874607481580838565029236162226595783283572\
      73600000000000000*ep+20509812007156702327974812011/6965729408205536697410\
      3956600416386230120743503994061730098054755778560000000000000000*ep^2+
      1480537752188624504388612083402148400990559/10058760750403132443448779278\
      413266468765407486093565095902517977040538319208841216000000000000000000*
      ep^3+11952436977133914043776670554880686483474190743156438253/
      2075029700092723376172402870475288236003309731725813619663934301895711779\
      38470220491345677516800000000000000000000*ep^4+56333983867881435458166601\
      0750041453289299463641490433972023680795857/
      2996416610531305248755847478192867545594097767099321530396362100200728066\
      8539941890990490124338957102612480000000000000000000000*ep^5+
      1612872837356260652961756231905281092881266255099709680634115222300492474\
      83248880131/3028852431570832778011536288366625448137192745831075713214850\
      6229654795300542657878379409521751983228915138608964304896000000000000000\
      000000000*ep^6+5882022997356012749944239273138971296681419013649388339515\
      235601996068847400449412820763183491839/
      4373770523092477255945895074481458202490189162620359626438070264344185342\
      0507924057236898187234479899373473350653525291638934470656000000000000000\
      00000000000*ep^7+17733033032030063022624790231837985500224101851608021882\
      156340461742723133467142328149900672759916074775837281/
      5741709118871391633393073131706172373961360090722896302660034694381262746\
      8766673587064912193144656131407848768107694177986256724241072846274560000\
      000000000000000000000000*ep^8;
Fill mncpoch(34,26) = 1/6948229860946515347323664477923370713670882426880000000\
      00000+19638109753429/9121355256746191835616881442152608112174313192292298\
      312908800000000000000*ep+24409054635357411479249024311/
      1448871716906751633061362297288660833586511464883076483986039538920194048\
      0000000000000000*ep^2+1921132028703575283049176621014608500529259/
      2092222236083851548237346089909959425503204757107461539947723739224431970\
      395438972928000000000000000000*ep^3+1690633502217830345129848069207017826\
      7482637807458471153/43160617761928646224385979705885995308868842419896923\
      289009833479430805011201805862199900923494400000000000000000000*ep^4+
      868506694130320201021652459277375743480750750835112992937976840585957/
      6232546549905114917412162754641164494835723355566588783224433168417514379\
      056307913326021945862503077343395840000000000000000000000*ep^5+
      2710258045368827638709435518948980264697103148789201023302817964483095472\
      41764658431/6300013057667332178263995479802580932125360911328637483486889\
      2957681974225128728387029171805244125116143488306645754183680000000000000\
      00000000000*ep^6+10774159134977543380531733808163316755843552305260344599\
      077632103298155887829453267913768894234539/
      9097442688032352692367461754921433061179593458250348022991186149835905511\
      4656482039052748229447718190696824569359332606608983698964480000000000000\
      0000000000000*ep^7+354128836971640778794293672257064726209021196038714353\
      46150316975393367142098036913026665425513593763077110581/
      1194275496725249459745759211394883853783962898870362430953287216431302651\
      3503468106109501736174088475332832543766400389021141398642143152025108480\
      000000000000000000000000000*ep^8;
Fill mncpoch(34,27) = 1/1313215443718891400644172586327517064883796778680320000\
      00000000+21513480570229/1723936143525030256931590592566842933200945193343\
      244381139763200000000000000*ep+29290890824490767507907735511/
      2738367544953760586485974741875568975478506668629014554733614728559166750\
      720000000000000000*ep^2+360768018436735560029739822208847898537437/
      5649000037426399180240834442756890448858652844190146157858854095905966320\
      0676852269056000000000000000000*ep^3+243486469696995039410228453214104107\
      67820922080212428753/8157356757004514136408950164412453113376211217360518\
      501622858527612422147117141307955781274540441600000000000000000000*ep^4+
      1370796855641262440142391616313984249747140966609781506846256410540357/
      1177951297932066719390898760627180089523951714202085280029417868830910217\
      641642195618618147768013081617901813760000000000000000000000*ep^5+
      4689737407868563681927244035768996477434288978761311176252942945509220658\
      48691673631/1190702467899125781691895145682687796171693212241112484379022\
      0769001893128549329665148513471191139646951119289956047540715520000000000\
      00000000000000*ep^6+20448655475466724701672315958249651229846044124729866\
      391210927515933923429891300448989771304043339/
      1719416668038114658857450271680150848562943163609315776345334182318986141\
      6670075105380969415365618738041699843608913862649097919104286720000000000\
      0000000000000000*ep^7+737616954186519017444253147302767957461336199123149\
      25959590422452035964139641942571262819570822551566106405781/
      2257180688810721478919484909536330483651689878864984994501712839055162011\
      0521554720546958281369027218379053507718496735249957243433650557327455027\
      20000000000000000000000000000*ep^8;
Fill mncpoch(34,28) = 1/2206201945447737553082209945030228669004778588182937600\
      0000000000+23701413189829/28962127211220508316450721955122961277775879248\
      1665056031480217600000000000000*ep+35565599325376758789479591911/
      4600457475522317785296437566350955878803891203296744451952472743979400141\
      20960000000000000000*ep^2+483048944707560018710805178345462927196237/
      9490320062876350622804601863831575954082536778239445545202874881122023417\
      713711181201408000000000000000000*ep^3+3597431094257880476530657219691938\
      3624647538009609325953/13704359351767583749167036276212921230472034845165\
      67108272640232638886920715679739736571254122794188800000000000000000000*
      ep^4+22365999078091777245279275050569101444499577072143876344005695318071\
      57/1978958180525872088576709917853662550400238879859503270449422019635929\
      16563795888863927848825026197711807504711680000000000000000000000*ep^5+
      8457755427241904273053477847382500875194010961701495592175734527532480132\
      00654418031/2000380146070531313242383844746915497568444596565068973756757\
      0891923180455962873837449502631601114606877880407126159868402073600000000\
      0000000000000000*ep^6+408041543621143712026100783835152317872148216925632\
      01767860526435150061767127935663035443648126939/
      2888620002304032626880516456422653425585744514863650504260161426295896718\
      0005726177040028617814239479910055737262975289250484504095201689600000000\
      000000000000000000*ep^7+1630384357627155649245587858852826102868357345260\
      71637842108855142728888300895972014828220679517105845705810181/
      3792063557202012084584734648021035212534838996493174790762877569612672178\
      5676211930518889912699965726876809892967074515219928168968532936310124445\
      6960000000000000000000000000000*ep^8;
Fill mncpoch(34,29) = 1/3198992820899219451969204420293831570056928952865259520\
      000000000000+26326932333349/419950844562697370588535468349282938527750249\
      09841433124564631552000000000000000*ep+43929344969971737644682657991/
      6670663339507360788679834471208886024265642244780279455331085478770130204\
      7539200000000000000000*ep^2+664293330134774730729977592230891704703597/
      1376096409117070840306667270255578513341967832844719604054416857762693395\
      568488121274204160000000000000000000*ep^3+5515957434957533069444397551269\
      0652165459406269544981793/19871321060062996436292202600508735784184450525\
      4902230699532833732638603503773562261802831847805157376000000000000000000\
      000*ep^4+3829647610244650341054497952574647698055797057651965681830554425\
      052117/286948936176251452843622938088781069808034637579627974215166192847\
      20972901750403885269538079628798668212088183193600000000000000000000000*
      ep^5+16199961524739275111706084493109785479554211773884035841562960889001\
      25693005272469711/2900551211802270404201456574883027471474244665019350011\
      9472977793288611661146167064301778815821616179972926590332931809183006720\
      000000000000000000000000*ep^6+8759079438035382757346151079626982483218593\
      8917337586823056030675740483438642979387753902129276859/
      4188499003340847308976748861812847467099329546552293231177234068129050241\
      1008302956708041495830647245869580819031314169413202530938042449920000000\
      00000000000000000000*ep^7+39300974320445857540978721159279019399105698860\
      1706854876482562591469889220512631728024859774513989004341613861/
      5498492157942917522647865239630501058175516544915103446606172475938374658\
      9230507299252390373414950303971374344802258047068895845004372757649680446\
      259200000000000000000000000000000*ep^8;
Fill mncpoch(34,30) = 1/3838791385079063342363045304352597884068314743438311424\
      00000000000000+29608831262749/5039410134752368447062425620191395262333002\
      989180971974947755786240000000000000000*ep+55687301156233882021994050591/
      8004796007408832946415801365450663229118770693736335346397302574524156245\
      704704000000000000000000*ep^2+951487763635348010013387592340248234707797/
      1651315690940485008368000724306694216010361399413663524865300229315232074\
      68218574552904499200000000000000000000*ep^3+89509127750507868441096904921\
      346399707654754127002831593/238455852720755957235506431206104829410213406\
      3058826768394394004791663242045282747141633982173661888512000000000000000\
      0000000*ep^4+706100662613976598222872972402787144253385977374850475282474\
      1586928317/34433872341150174341234752570653728376964156509555356905819943\
      1416651674821004846623234456955545584018545058198323200000000000000000000\
      0000*ep^5+340435642915863662162252002736607376116739969452145427008856357\
      8977946638962246594311/34806614541627244850417478898596329657690935980232\
      2001433675733519463339933754004771621345789859394159675119083995181710196\
      0806400000000000000000000000000*ep^6+210491085302022928757393905852440362\
      797409862785287912780737898459087593065468759061522639466354259/
      5026198804009016770772098634175416960519195455862751877412680881754860289\
      3209963548049649794996776695043496982837577003295843037125650939904000000\
      0000000000000000000000*ep^7+108382021070541170095293074354399861503322400\
      6369744157902346848486355370602897416201182558973004218937571928461/
      6598190589531501027177438287556601269810619853898124135927406971126049590\
      7076608759102868448097940364765649213762709656482675014005247309179616535\
      51104000000000000000000000000000000*ep^8;
Fill mncpoch(34,31) = 1/3570075988123528908397632133047916032183532711397629624\
      3200000000000000+33984696501949/46866514253197026557680558267779975939696\
      9277993830393670141288120320000000000000000*ep+
      73681507858838378184289347391/7444460286890214640166695269869116803080456\
      74517479187214949139430746530850537472000000000000000000*ep^2+14581483120\
      81727620793800311602309837593397/1535723592574651057782240673605225620889\
      6361014547070781247292132631658294544327433420118425600000000000000000000
      *ep^3+159696393387310306579552113759819836507939330600204017993/
      2217639430303030402290209810216774913514984678644708894606786424456246815\
      102112954841719603421505556316160000000000000000000000*ep^4+
      14747915489280305024627658309199147485060766921303950735225882125109917/
      3202350127726966213734831989070796739057666555388648192241254712174860575\
      83534507359608044968657393137246904124440576000000000000000000000000*ep^5
      +837354301615410953927049781106128258156906606235974558700118856143768020\
      7483526867111/32370151523713337710888255375694586581652570461615946133331\
      8432173100906138391224437607851584569236568497860748115518990482354995200\
      000000000000000000000000*ep^6+6135475392487045407917457915249706756036315\
      25324460645415393002804965375432611857230035968373817459/
      4674364887728385596818051729783137773282851773952359245993793220032020069\
      0685266099686174309347002326390452194038946613065134024526855374110720000\
      000000000000000000000000*ep^7+3768621560300515584634729598961007753206494\
      675322325997663961934067511454118041304319850151145702589181743121261/
      6136317248264295955275017607427639180923876464125255446412488483147226119\
      3581246145965667656731084539232053768799319980528887763024879997537043378\
      0252672000000000000000000000000000000*ep^8;
Fill mncpoch(34,32) = 1/2284848632399058501374484565150666260597460935294482959\
      564800000000000000+40548494360749/299945691220460969969155572913791846014\
      06033791605145194889042439700480000000000000000*ep+
      105885914434818805660962532591/476445458360973736970668497271623475397149\
      23169118667981756744923567777974434398208000000000000000000*ep^2+
      2550312758208553417421999039008901434401797/98286309924777667698063403110\
      7344397369367104931012529999826696488426130850836955738887579238400000000\
      000000000000*ep^3+3438335050249061820758714527507049705098737324823989175\
      93/1419289235393939457465734278538735944649590194332613692548343311651997\
      96166535229109870054618976355604234240000000000000000000000*ep^4+
      39573305354008265649013026096999496696916256766093624999053963673662317/
      2049504081745258376790292473005309912996906595448734843034403015791910768\
      5346208471014914877994073160783801863964196864000000000000000000000000*
      ep^5+28374383641171517854236481374278406530909104164122864399103471588024\
      182974954733516311/207168969751765361349684834404445354122576450954342055\
      2533237965907845799285703836400690250141243114038386308787939321539087071\
      9692800000000000000000000000000*ep^6+266222844372430946135876304801165222\
      3612859778553314677767932272745282822702512089924190071797572259/
      2991593528146166781963553107061208174901025135329509917436027660820492844\
      2038570303799151557982081488889889404184925832361685775697187439430860800\
      00000000000000000000000000*ep^7+21242950918854594324609959832116452216006\
      842489935215041239727749216416443573210189545361998734825649844222150461/
      3927243038889149411376011268753689075791280937040163485703992629214224716\
      3891997533418027300307894105108514412031564787538488168335923198423707761\
      936171008000000000000000000000000000000*ep^8;
Fill mncpoch(35,0) = 1;
Fill mncpoch(35,1) = 1/34+1/1156*ep+1/39304*ep^2+1/1336336*ep^3+1/45435424*ep^4
      +1/1544804416*ep^5+1/52523350144*ep^6+1/1785793904896*ep^7+1/
      60716992766464*ep^8;
Fill mncpoch(35,2) = 1/2244+67/2517768*ep+3367/2824935696*ep^2+150415/
      3169577850912*ep^3+6300031/3556266348723264*ep^4+253336447/
      3990130843267502208*ep^5+9904907167/4476926806146137477376*ep^6+
      379385286655/5023111876495966249615872*ep^7+14305508364511/
      5635931525428474132069008384*ep^8;
Fill mncpoch(35,3) = 1/215424+1633/3867291648*ep+1778065/69425619664896*ep^2+
      1613594305/1246328724224212992*ep^3+1318105236721/22374093257273071632384
      *ep^4+1005099556049953/401659722154566181944557568*ep^5+
      730037617944730705/7210595332118772098268697460736*ep^6+
      511391566089919565185/129444607402196196708119656815132672*ep^7+
      348332359154674068101041/2323789592084226123304164079145261727744*ep^8;
Fill mncpoch(35,4) = 1/26712576+68575/14865869094912*ep+2939778865/
      8273034541747666944*ep^2+100845498124735/4604042998897077626339328*ep^3+
      3027676248657057361/2562205177402210463989352103936*ep^4+
      83127990976078561724575/1425897927686458949735642318065631232*ep^5+
      2140224767196982495320795505/793529307532646643035281777711340568182784*
      ep^6+52491033838172139879962736231295/44160858199360824860885073267769356\
      2280537489408*ep^7+1239408586636567234852007784126283921/2457604751824269\
      13649808738943928599731866479305424896*ep^8;
Fill mncpoch(35,5) = 1/4006886400+48403/1238822424576000*ep+113899747129/
      31023879531553751040000*ep^2+7723372203766961/
      28775268743106735164620800000*ep^3+4041372311342040350641/
      240206735381457230999001759744000000*ep^4+211540112140614143997316969/
      222796551201009210896194112197754880000000*ep^5+
      92303317431251580741504860291689/1859834314529640569613941666510954456678\
      400000000*ep^6+468969604332986853520672132216468889/191670391490281357903\
      147019391360053073149952000000000*ep^7+1658586435164425385333298844072561\
      561238881/14400027842720326971668480797495816390539051521802240000000000*
      ep^8;
Fill mncpoch(35,6) = 1/697198233600+5138581/18753293863231488000*ep+
      138684917177569/4539848387370386604687360000*ep^2+316998359058211210709/
      122113205111359648523808984268800000*ep^3+5504586711681358200653022241/
      29561496841275846612887663672228315136000000*ep^4+
      3148181675470513005768705046786567/26504916898546167475372713615623033293\
      1112960000000*ep^5+133744205439849330467147474771221348522849/
      192491471285220608040412785775531751827408193952153600000000*ep^6+
      196857434436391294040680884897299666313882760789/517765099394756673271966\
      6344813115103193771793580543705088000000000*ep^7+247300478307275087068522\
      3975415837056307673000078656161/12534198358255304920382898262448167958542\
      28962849256559206580879360000000000*ep^8;
Fill mncpoch(35,7) = 1/136650853785600+1581281/952945154827911168000*ep+
      9379466379260041/43600703912305192951417405440000*ep^2+
      171802846413628176178507/8209426553226486450958630394422886400000*ep^3+
      23614137785635279529250951425401/1391152216751704831263848297349595618974\
      1056000000*ep^4+317528210081158886163902485043163027227/26193526532855287\
      68140504482698124764877050725007360000000*ep^5+34951895219087424858811403\
      107861476191001216361/443870010462604418580791867140628487386557833561427\
      6101734400000000*ep^6+132385093522235588559906304805951170990348483304109\
      049/278582524523892648717924609132953247093394549074445844695260069888000\
      000000*ep^7+38292488091950456111614300768131491623436020558126416434488921
      /141624032090542338518243374481068543747322197593542198410704870534341984\
      2560000000000*ep^8;
Fill mncpoch(35,8) = 1/29516584417689600+1341040409/150054555859822204157952000
      *ep+1012236662151666361/762837915649691655877998925578240000*ep^2+
      566323384129024278682802969/3878067428331766387541249329282216152268800000
      *ep^3+261563439856765646581081794492852601/197150753392731404595117547464\
      47105209152470777856000000*ep^4+10549805014364434952820448568162736161352\
      3929/100226260325859457972993764680849336868313779433101821214720000000*
      ep^5+38438735095381340590494836464607881888508347493200441/
      5095239600173550224003883590365787269648313123115522852488755544064000000\
      00*ep^6+12936241387271207184981719944806319026918365134344474812251289/
      2590285869069623571595285803250142712073457876936551357340537094196395245\
      568000000000*ep^7+4084086441428937017966897376066813687068893810285591148\
      390700421253881/131683324240007052153459320549917671506653099757387380200\
      98472906503151080085557084160000000000*ep^8;
Fill mncpoch(35,9) = 1/6906880753739366400+19975393877/
      456465958925579145048489984000*ep+221842821573194422129/30167188212282706\
      223351345510917079040000*ep^2+1808107768350058980643191487133/
      1993706708770504436302181197685328759449085542400000*ep^3+120664856952098\
      61629044854151713380375641/1317612504230053585314029631913065306195932699\
      85404780544000000*ep^4+69842108150327831346195125700214179683732987917157/
      8707914276789624560625025085497302723120157777050793834000825712640000000
      *ep^5+363065891378440581386141656743519914374660713676788590306689/
      5754937116070137945262706955649595496742393680488474616119025052179794755\
      58400000000*ep^6+17345957371085241033109022956285836252508526210068124810\
      79915342886253/3803356367230096143460831695275345504170638958049848157958\
      4649394769267366826820501504000000000*ep^7+774062914595933379013790160120\
      2112227481341515067514674860595701868618229083881/
      2513584312807878874938487796194694332849060971070297665827019312034862758\
      523248131935947708170240000000000*ep^8;
Fill mncpoch(35,10) = 1/1726720188434841600000+113094685897/
      570582448656973931310612480000000*ep+7040924036530090984489/1885449263267\
      66913895945909443231744000000000*ep^2+319078408941138847370941527073993/
      62303334649078263634443162427666523732783923200000000000*ep^3+11759041513\
      990142897132575456213275056648041/205876953785945872705317129986416454093\
      11448435219496960000000000000*ep^4+37368426515453546373352852787384545022\
      1520134139268617/68030580287418941879883008480447677524376232633209326828\
      13145088000000000000000*ep^5+10612157234595823714838700577518677922433134\
      385952887430066319529/224802231096489763486824490455062324091499753144081\
      0396921494161007732326400000000000000000*ep^6+275783777869260922333028913\
      886075660886477156605281686122833223056519878473/742843040474628153019693\
      6904834659187833279214941109683512626834915872532583363379200000000000000\
      00000*ep^7+66689150546246350321302436510149834386404006996956895289443941\
      48658770902684696461801/2454672180476444213807116988471381184422911104560\
      83756428419854690904566262035950384369893376000000000000000000000*ep^8;
Fill mncpoch(35,11) = 1/455854129746798182400000+126863140597/
      150633766445441117866001694720000000*ep+8787633440939616440389/4977586055\
      0266465268529720093013180416000000000*ep^2+
      440070541892921081765812723952293/164480803473566615994929948809039622654\
      54955724800000000000*ep^3+17818132834847279062100163954634026188275141/
      5435151579948971039420372231641394388058222386897947197440000000000000*
      ep^4+619012419929712806918313122145796894873400084133881317/
      1796007319587860065628911423883818686643532541516726228262670303232000000\
      000000000*ep^5+1913500169713545168090334140019864926489820567932642107835\
      7159429/59347789009473297560521665480136453560155934830037394478727445850\
      6041334169600000000000000000*ep^6+539243181920693508565585425033345334291\
      416401612370241253318923075384244773/196110562685301832397199134287635002\
      558798571274445295644733348441779034860200793210880000000000000000000*
      ep^7+14093460377183562597399568554566844663288124024132616155268786965674\
      983561935458744901/648033455645781272445078884956444632687648531604061116\
      97102841638398805493177490901473651851264000000000000000000000*ep^8;
Fill mncpoch(35,12) = 1/125815739810116298342400000+3248295146531/9562231493956\
      60216213378758082560000000*ep+5722034200110863552462581/72674747437811049\
      95066413252460296393457664000000000*ep^2+72451439314370226370437342909734\
      85731/55234167029815626463964630165604548451926163179805081600000000000*
      ep^3+7380350574995790669961440721327261895073980989381/419789997906522001\
      281312442446233607357813879028246729903350743040000000000000*ep^4+
      6422960797414431433540158171171158326396838767337401586480531/
      3190482482468351741075690960842763183905053190606295706845775886234184318\
      976000000000000000*ep^5+4955088861949790774653959949103430365252946903234\
      868146142908519717444181/242482634691169929121280627065908084136743206636\
      86192881929820937134181653773816325734400000000000000000*ep^6+
      3473402904650353544779040661242122296100287961371639600140228218813072264\
      047037555331/184291336654767595582792684209899125268189667025402979504092\
      879859928027412698842518100980908687360000000000000000000*ep^7+
      2251434141296622169686691170442919575334572916390370265309441087749045647\
      597238467638491752938981/140064862002415668270289984696354157159923151935\
      8934259246016467081066687662040424310004821688088367447670784000000000000\
      000000000*ep^8;
Fill mncpoch(35,13) = 1/35983301585693261325926400000+3593758191731/27347982072\
      7158821837026324811612160000000*ep+6963544848738700271703781/207849777672\
      1396028588994190203644768528891904000000000*ep^2+965079134026906741199658\
      9867587386931/15796971770527269168693884227362900857250882669424253337600\
      000000000*ep^3+10714342339994932085473865668999465361367923270581/
      1200599394012652923664553585396228117043347694020785647523583125094400000\
      00000000*ep^4+10124370129504374424355146490199448867306919977992257419741\
      731/912477989985948597947647614801030270596845212513400572157891903462976\
      715227136000000000000000*ep^5+8452684597620290330012685901899823926314486\
      201864790376389181508496685381/693500335216745997286862593408497120631085\
      5709814251164231928788020375952979311469160038400000000000000000*ep^6+
      6393493065859395715493336087543543935028710777541232002227289043073866869\
      873619776531/527073222832635323366787076840311498267022447692652521381705\
      63639939415840031868960176880539884584960000000000000000000*ep^7+
      4460149725293493168592851875552766050729582291029824041358573543109937665\
      003171294785834505140181/400585505326908811253029356231572889477380214536\
      6551981443607095851850726713435613526613790027932730900338442240000000000\
      00000000000*ep^8;
Fill mncpoch(35,14) = 1/10579090666193818829822361600000+565095979733/
      11486152470540670517155105642087710720000000*ep+8395156553990191133202181/
      611078346356090432405164291919871561947494219776000000000*ep^2+1812730461\
      246521004950080280824829333/663472814362145305085143137549241836004537072\
      115818640179200000000000*ep^3+1530670583196777280349653839285305456178999\
      8848981/35297622183971995955737875410649106641074422204211098037193343877\
      775360000000000000*ep^4+2237725165379727629472969348523608771457654829754\
      107290525733/383240755794098411138011998216432713650674989255628240306314\
      59945445022039539712000000000000000*ep^5+14121727830607155352324287158232\
      814668376562924338627836201147603538983781/203889098553723323202337602462\
      0981534655391578685389842284187063677990530175917571933051289600000000000\
      000000*ep^6+1643477051562478492446771802106574119493224685902704371081706\
      431451176300769352062133/221370753589706835814050572272930829272149428030\
      9140589803163672877455465281338496327428982675152568320000000000000000000
      *ep^7+8623727362920162247700743103764444432633594883268076969652979103134\
      626078232748713698516946158581/117772138566111190508390630732082429506349\
      7830737766282544420486180444113653750070376824454268212222884699502018560\
      00000000000000000000*ep^8;
Fill mncpoch(35,15) = 1/3173727199858145648946708480000000+619383029693/
      3445845741162201155146531692626313216000000000*ep+
      10042755950378873801853901/1833235039068271297215492875759614685842482659\
      32800000000000*ep^2+2357922055260826207959858145032723293/
      199041844308643591525542941264772550801361121634745592053760000000000000*
      ep^3+21578932820338560109433852663754368948645388044701/
      1058928665519159878672136262319473199232232666126332941115800316333260800\
      0000000000000*ep^4+340918176948093074624826797539612127974103968486037719\
      0787693/11497222673822952334140359946492981409520249677668847209189437983\
      633506611861913600000000000000000*ep^5+2319037446169124739607939765927888\
      1716849089828822167493057208744101955501/61166729566116996960701280738629\
      4460396617473605616952685256119103397159052775271579915386880000000000000\
      000000*ep^6+2902414068555419345932453970962553828828741799220501225732791\
      075680388014385835892093/664112260769120507442151716818792487816448284092\
      7421769409491018632366395844015488982286948025457704960000000000000000000\
      00*ep^7+16344338742589633085708640027609627333379539405841035285435245173\
      184090969561053231428796084506301/353316415698333571525171892196247288519\
      0493492213298847633261458541332340961250211130473362804636668654098506055\
      6800000000000000000000000*ep^8;
Fill mncpoch(35,16) = 1/964813068756876277279799377920000000+12854018563367/
      19903205000952873872126367056609585135616000000000*ep+
      4309285511064319762188271861/20118654612750836524161705015736315408309741\
      696529203200000000000*ep^2+20851755333655064154463267685662832577887/
      4150293150743478638592045063770627774877469237209868848326089113600000000\
      00000*ep^3+3921528781960133850438674631432836248269865432403308621/
      4195219535621322010272316683188776430633171315780394990662227275955953173\
      79072000000000000000*ep^4+12699236148346917801195620038265939860532011588\
      470203461282729952807/865435151589082288929023378143800273164003093481435\
      1091371334493358430394789900410526105600000000000000000*ep^5+
      1766627583164529639861320782125622600259513585422007339408977845667737660\
      580306981/874803374819323448811516295573854518529265745359423081063440970\
      9493515829922621196533379909492534149120000000000000000000*ep^6+
      6446408440167193454005616832826503538263031749704690110652912359640088459\
      16536728461065953561/2578055416473917550690215621320763929217799741624083\
      2577454138527695108636988982276505396871803851749729677344768000000000000\
      000000000*ep^7+5176552643772202669325353318905328711523162867637022293112\
      61066422339088963668343239773892367679108181082941/
      1824173772307574316195909562240771417529331406174706029359505348738998701\
      7921639847668322086942598674472881622588650706981355520000000000000000000\
      0000*ep^8;
Fill mncpoch(35,17) = 1/295232799039604140847618609643520000000+2000011215281/
      870054390041654200695809759903219007356928000000000*ep+
      5095487041084738201314270661/61563083115017559763934817348153125149427809\
      59137936179200000000000*ep^2+26691488924575170100282266165283627297487/
      1269989704127504463409165789513812099112505586586219867587783268761600000\
      00000000*ep^3+5420441050243567411294079746400628215019372642848235421/
      1283737177900124535143328905055765587773750422628800867142641546442521671\
      17996032000000000000000*ep^4+18911386512676185434846111075439746135641682\
      472440235091233512208407/264823156386259180412281153712002883588184946605\
      3191433959628354967679700805709525620988313600000000000000000*ep^5+
      2828633128610187658322941683281715329528692989066531594177439018611582716\
      006721781/267689832694712975336323986445599482669955318079983462805412937\
      1105015843956322086139214252304715449630720000000000000000000*ep^6+
      7754269031957118631886938399106484210255031526424587692927652501810491759\
      229155480781213226527/552219470208713139357844186086907633638452704655878\
      6338090676472632292270043040003627456009940385044792096887249305600000000\
      0000000000000*ep^7+953111263718996363799599167270108798787875713430431088\
      480747124132500312053719448018981549970001382731065741/
      5581971743261177407559483260456760537639754102894600449840086367141336027\
      4840217933865065586044351943887017765121271163362947891200000000000000000\
      000000*ep^8;
Fill mncpoch(35,18) = 1/90341236506118867099371294550917120000000+
      15213553741367/1863656503469223297890424505712695113758539776000000000*ep
      +6000089305010491749084085861/1883830343319537328776405410853485629572490\
      973496208470835200000000000*ep^2+33972448700393709669961343240770328115887
      /388616849463016365803204731591226502328426709495383279481861680241049600\
      00000000000*ep^3+7440452582586326789782132240174227062821926139604962621/
      3928235764374381077538586449470642698587676293244130653456483132114116313\
      8106785792000000000000000*ep^4+279401914543722136943119835205169634175383\
      42820156854231154725570807/8103588585419530920615803303587288237798459366\
      12276578791646276620109988446547114840022423961600000000000000000*ep^5+
      4489964916949672405282995766596840039750097704675723985090377525952014923\
      992600981/819130888045821704529151398523534416970063273324749396184563587\
      558134848250634558358599561205242927587000320000000000000000000*ep^6+
      1584961616086482459410676288752916250635064424493260964192665123085186692\
      9499850108122278719/20285613191340482670288153774621096745902344252664929\
      4052310564300778083389336163398559608528422307767872946878545920000000000\
      00000000000*ep^7+17381493874896408289556094225879620726166978277615570363\
      37781856400962440900456145976538503783658988626416941/
      1708083353437920286713201877699768724517764755485747737651066428345248824\
      4101106687762710069329571694829427436127108975989062054707200000000000000\
      000000000*ep^8;
Fill mncpoch(35,19) = 1/27463735897860135598208873543478804480000000+
      16502871177917/566551577054643882558689049736659314582596091904000000000*
      ep+7042683843589006194108737011/57268442436913934794802724489945963139003\
      7255942847375133900800000000000*ep^2+430527037800419882879116917557509572\
      67937/1181395222367569752041742384037328567078417196865965169624859507932\
      7907840000000000000*ep^3+101603740646236081279281681027718581171222772326\
      02932771/1194183672369811847571730280639075380370653593146215718650770872\
      1626913593984462880768000000000000000*ep^4+410401388977618281664240736813\
      20252474586746964594895595472433750857/2463490929967537399867204204290535\
      6242907316473013207995266046809251343648775032291136681688432640000000000\
      0000000*ep^5+708273948423626532365779396608823936721661365690847822061047\
      8325374402705668145131/24901578996592979817686202515115446275889923509072\
      3816440107330617672993868192905741014266606393849986448097280000000000000\
      000000*ep^6+1313801751621609978149120968888043457637212063807401421710818\
      103872980403984283069138831888881/302174494098207829856612338626755857126\
      9613199876967884203218165824390330167551489984943928639378696510235416702\
      82002432000000000000000000000*ep^7+31491743404338572564706775149030349567\
      39956539832969600023977444803968427721197723885178911262518980170875091/
      5192573394451277671608133708207296922534004856676673122459241942169556426\
      2067364330798638610761897952281459405826411287006748646309888000000000000\
      00000000000*ep^8;
Fill mncpoch(35,20) = 1/8239120769358040679462662063043641344000000000+
      17878143110237/1699654731163931647676067149209977943747788275712000000000\
      00*ep+8247461956242953748503569171/17180532731074180438440817346983788941\
      7011176782854212540170240000000000000*ep^2+543952067213399225770005826379\
      68907774657/3544185667102709256125227152111985701235251590597895508874578\
      523798372352000000000000000*ep^3+1382597591639715547592767658121183991409\
      3565004848430531/35825510171094355427151908419172261411119607794386471559\
      52312616488074078195338864230400000000000000000*ep^4+60054615512515126950\
      354598697731470960504706910090326820560087412777/
      7390472789902612199601612612871606872872194941903962398579814042775403094\
      6325096873410045065297920000000000000000000*ep^5+111297194131472002870857\
      63571439377834964748115968542053950825998095461483783524491/
      7470473698977893945305860754534633882766977052721714493203219918530189816\
      0457871722304279981918154995934429184000000000000000000000*ep^6+
      2214177676533278598820797251738402135215479546191527085173767172147147342\
      491642014510456268241/906523482294623489569837015880267571380883959963090\
      3652609654497473170990502654469954831785918136089530706250108460072960000\
      0000000000000000000*ep^7+568573965138473032763253237976744937051791293356\
      3162640005684598313855405488364110054174306096109692605992051/
      1557772018335383301482440112462189076760201457003001936737772582650866927\
      8620209299239591583228569385684437821747923386102024593892966400000000000\
      00000000000000*ep^8;
Fill mncpoch(35,21) = 1/2422301506191263959762022646534830555136000000000+
      135461541264059/349788943673537133091734619307413460823294827141529600000\
      000000*ep+9644685373312462520727220771/5051076622935809048901600300013233\
      9488601285974159138486810050560000000000000*ep^2+480246935224183489714139\
      850675955431062999/729393410289737564910571747904646657314214777345046895\
      7263882601977050300416000000000000000*ep^3+268278598512443724687546017967\
      2231577556447700390019733/15046714271859629279403801536052349792670235273\
      6423180549997129892499111284204232297676800000000000000000*ep^4+
      87726317505738373861577061225384303254849040206018348239403890941977/
      2172799000231367986682874108184252420624425312919764945182465328575968509\
      8219578480782553249197588480000000000000000000*ep^5+174637153781975197328\
      07510994125491767989136125005023849471258098782172307810848091/
      2196319267499500819919923061833182361533491253500184061001746656047875805\
      9174614286357458314683937568804722180096000000000000000000000*ep^6+
      2609513679175951014537919064900731901959630051131267910467373282377132884\
      5322473020617702642887/18656253265623351415347245786815906619018591896040\
      3997170706689557997858984544628991670438154195240722541934627232108301516\
      800000000000000000000000*ep^7+1026144807435385326635499854424714061155053\
      1682754002647035777938985019600480765072788886133090612555265491651/
      4579849733906026906358373930638835885674992283588825694009051392993548767\
      9143415339764399254691993993912247195938894755139952306045321216000000000\
      0000000000000000*ep^8;
Fill mncpoch(35,22) = 1/692778230770701492491938476908961538768896000000000+
      146569506871259/100039637890631620064236101121920249795462320562477465600\
      000000000*ep+11272774414702671570890685571/144460791415964138798585768580\
      37849093739967788609513607227674460160000000000000*ep^2+60546452572042487\
      5537550782669452724774199/20860651534286494356442351990072894399186542632\
      06834121777470424165436385918976000000000000000*ep^3+52050981681537142955\
      4503591096353953382311505727730019/61476575453597913912992674847299600581\
      48124697516718519614168449893535118183201491019366400000000000000000*ep^4
      +128198953509504200364071525779754646243268318435241644248056908699577/
      6214205140661712441913019949406961922985856394950527743221850839727269938\
      090799445503810229270510305280000000000000000000*ep^5+2743192234343575050\
      4583820582581891175661526284905317182571415029624934860127928891/
      6281473105048572344970979956842901553985784985010526414464995436296924804\
      923939685898233077999606144678150543507456000000000000000000000*ep^6+
      4401942208177513033878137447141291399352461861019427038540376114182491387\
      7195495180229187208487/53356884339682785047893122950293492930393172822675\
      5431908221132135873876695797638916177453120998388466469933033883829742338\
      04800000000000000000000000*ep^7+18573873925417885619722172008049918991460\
      583822239097965812339889016573661944587675285792140823836678386700451/
      1309837023897123695218494944162707063303047793106404148486588698396154947\
      6235016787172618186841910282258902698038523899970026359528961867776000000\
      0000000000000000000*ep^8;
Fill mncpoch(35,23) = 1/191206791692713611927775019626873384700215296000000000+
      158603136279059/276109400578143271377291639096499889435476004752437805056\
      00000000000*ep+13181345779599667020601945771/3987117843080610230840967212\
      818446349872231109656225755594838151004160000000000000*ep^2+7640839559281\
      95845907754165757259169187999/5757539823463072442378089149260118854175485\
      76645086217610581837069660442513637376000000000000000*ep^3+49570977408626\
      99532097717682690121915771452027699394733/1187727437763511696799018478049\
      8282832342176915602300179894573445194309848329945280649415884800000000000\
      000000*ep^4+1878508306612885251956179213094365663434629381794720208853461\
      37816977/1715120618822632633967993506036321490744096365006345657129230831\
      764726502913060646959051623278660844257280000000000000000000*ep^5+
      4325561330431312712942657404151548621445698558206653251619379456244061770\
      9201473091/17336865769934059672119904680886408289000766558629052903923387\
      4041795124615900735330791232952789129593116955000805785600000000000000000\
      0000*ep^6+439049202664838959502951897630036121411530655910657101223151735\
      4261178846086393540854097398111/86626471045602639254226481966358847345814\
      7982297555877686288426291183470400236166710970453302326795392621773631481\
      982405207654400000000000000000000000*ep^7+3384277102176166800478595141185\
      3514419571378343004668833817709901793798286746970803306219085564660877531\
      116651/361515018595606139880304604588907149471641190897367544982298480757\
      3387655440864633259642619568367237903457144658632596391727275229993475506\
      1760000000000000000000000000*ep^8;
Fill mncpoch(35,24) = 1/50478593006876393548932605181494573560856838144000000000
      +15611884726969/662662561387543851305499933831599734645142411405850732134\
      400000000000*ep+15435757401539321006509444171/105259911057328110094201534\
      4184069836366269012949243599477037271865098240000000000000*ep^2+966718338\
      690555940000819266780435051297599/151999051339425112478781553540467137750\
      232824234302761449193604986390356823600267264000000000000000*ep^3+
      6770053101308346467743145903701323504182780164208257933/
      3135600435695670879549408782051546667738334705719007247492167389531297799\
      959105554091445793587200000000000000000*ep^4+2767253507619485732426999300\
      11618042766425028750794572521153165537777/4527918433691750153675502855935\
      8887355644144036167525348211693958588779676904801079718962854556646288392\
      1920000000000000000000*ep^5+686847830116105250393526568682918433697288896\
      33499246470975885081732454432767899491/4576932563262591753439654835754011\
      7882962023714780699666357742747033912898597794127328885499536330212582876\
      1202127273984000000000000000000000*ep^6+127677544648758126620542617290069\
      095360399207094560397882948144533723610665853455751743115752687/
      3887796020526646449729684510650185068880168144551430779056062457194831415\
      1562599161988353944208426577220865200580911370345719529472000000000000000\
      00000000*ep^7+51517733242943725331306220166599528566126597981472265563111\
      0138528413131648356351057800556546272687848887331/
      7887600405722315779206645918303428715744898710488019163250148671069209430\
      0527955634755838972400739736075428610733802103092231459563494011043840000\
      000000000000000000000*ep^8;
Fill mncpoch(35,25) = 1/1261964825171909838723315129537364339021420953600000000\
      0000+16924644298729/16566564034688596282637498345789993366128560285146268\
      3033600000000000000*ep+18124134046555887720336902011/26314977764332027523\
      5503836046017459091567253237310899869259317966274560000000000000000*ep^2+
      1228437273634808913734036522176174922200559/37999762834856278119695388385\
      116784437558206058575690362298401246597589205900066816000000000000000000*
      ep^3+9304206055876830834950598795311344429264412827979508253/
      7839001089239177198873521955128866669345836764297518118730418473828244499\
      89776388522861448396800000000000000000000*ep^4+41108139189422491110285275\
      4479791459263566162905323100324053488625857/
      1131979608422937538418875713983972183891103600904188133705292348964719491\
      92262002699297407136391615720980480000000000000000000000*ep^5+
      1102379124741912171121235458172543576077736239094226594676255631533301375\
      28858770131/1144233140815647938359913708938502947074050592869517491658943\
      5686758478224649448531832221374884082553145719030053181849600000000000000\
      0000000000*ep^6+221317228324328236415431404879715405174159372169497272129\
      251961154967114910744748746190776347167/
      9719490051316616124324211276625462672200420361378576947640156142987078537\
      8906497904970884860521066443052163001452278425864298823680000000000000000\
      0000000000*ep^7+106060679246524495128924462832603044255946996536246841305\
      55256318026435789172823640410015530318070662494227281/
      2169090111573636839281827627533442896829847145384205269893790884544032593\
      2645187799557855717410203427420742867951795578350363651379960853037056000\
      0000000000000000000000000*ep^8;
Fill mncpoch(35,26) = 1/2952997690902269022612557403117432553310125031424000000\
      000000+18383266045129/387657598411713153013717461291485844767408310672422\
      67829862400000000000000*ep+21368656072972995586724459611/
      6157704796853694440510789763476808542742673725753075056940668040410824704\
      0000000000000000*ep^2+1571293924467998117024259285443498853354959/
      8891944503356369080008720882117327558388620217706711544777825891703835874\
      180615634944000000000000000000*ep^3+1843685729826637714136293769760807088\
      998530113231447579/262046607840281066362343448214307828660989400406517034\
      25470256041082988756801096416335654132121600000000000000000000*ep^4+
      618152879521266554234038783007331451138563451906510674085292949977057/
      2648832283709673839900169170722494910305182426115800232870384096577443611\
      0989308631635593269915638078709432320000000000000000000000*ep^5+
      1796650573897426106424343710449066598930537060861683591578944674976681270\
      66829319731/2677505549508616175762198078916096896153278387314670930481927\
      9507014839045679709564487398017228753174360982530324445528064000000000000\
      000000000000*ep^6+3908876375917228548859838360944201578718161471109320491\
      94688142143897346424167843477032375194367/
      2274360672008088173091865438730358265294898364562587005747796537458976377\
      8664120509763187057361929547674206142339833151652245924741120000000000000\
      0000000000000*ep^7+202987404706860038861284340533259506870906866428820234\
      72732730753480586577413097055736259324038980423197216881/
      5075670861082310203919476648428256378581842320199040331551470669833036268\
      2389739450965382378739876020164538311007201653339850944229108396106711040\
      000000000000000000000000000*ep^8;
Fill mncpoch(35,27) = 1/6378475012348901088843123990733654315149870067875840000\
      00000000+20024215509829/8373404125693004105096297163896094246976019510524\
      329851250278400000000000000*ep+25344561885321847138487351911/
      1330064236120397999150330588910990645232417524762664212299184296728738136\
      0640000000000000000*ep^2+2028774522314522103364535801190334545813659/
      1920660012724975721281883710537342752611941967024649693672010392608028548\
      823012977147904000000000000000000*ep^3+1813726884168348482125061124706849\
      4773480461504331805953/39621447105450497233986329370003343693541597341465\
      375579311027134117479000283257781499509047767859200000000000000000000*
      ep^4+945538637086952092340918205822004756509116073582375244892648806927157
      /572147773281289549418436540876058900625919404041012850300002964860727819\
      9973690664433288146301777825001237381120000000000000000000000*ep^5+
      2991368036590797340951002229256646008009892714305360233064009745869684457\
      57129378031/5783411986938610939646347850458769295691081316599689209840964\
      3735152052338668172659292779717214106856619722265500802340618240000000000\
      00000000000000*ep^6+70850835266235784315290757413735662495048367052435510\
      7869144579594043577087137068769664568727467/
      4912619051537470453878429347657573853036980467455187932415240520911388976\
      1914500301088484043901767822976285267454039607568851197440819200000000000\
      000000000000000*ep^7+3311023909529849385923620512547401346516041237725914\
      22119278109070416335096003966496190893158026174367146861/
      9060701702427925653277743438516556841104776373247873649711716237057320941\
      6497386127343161932295977027731737811384756670424857883913119120322723840\
      000000000000000000000000000*ep^8;
Fill mncpoch(35,28) = 1/1250181102420384613413252302183796245769374533303664640\
      00000000000+180988316749/135635306498828826826353243316002848959280977195\
      27013643347558400000000000000*ep+30314013142053080196275983111/
      2606925902795980078334647954265541664655538348534821856106401221588326746\
      685440000000000000000*ep^2+379160670538314331023948820515203481646637/
      5377848035629932019589274389504559707313437507669019142281629099302479936\
      7044363360141312000000000000000000*ep^3+259590042621481014905934245258694\
      26025612893340625923553/7765803632668297457861320556520655363934153078927\
      213613544961318287025884055518525173903773362500403200000000000000000000*
      ep^4+14810489863775651229057365745896826368829251981354053525379324559215\
      57/1121409635631327516860135620117075445226802031920385186588005811127026\
      527194843370228924476675148453700242526699520000000000000000000000*ep^5+
      5130055393014651251809973393012939191729502825101742902264888589860211525\
      39096713231/1133548749439967744170684178689918781955451938053539085128829\
      0172089802258378961841221384824573964943897465564038157258761175040000000\
      00000000000000000*ep^6+13310278697147016481953436628717705957421741687329\
      35075086586776841094141487875608021921875073867/
      9628733341013442089601721521408844751952481716212168347533871420986322393\
      3352420590133428726047464933033519124209917630834948346984005632000000000\
      00000000000000000*ep^7+82498293299888385789730742348764672641430903117900\
      835114483177962465931293389284733357858477893280872542385381/
      2148836015747806847931349633878586620436408764679465714765630622780514234\
      5216520093960704283863313911896858939348008891957959295748835330575737185\
      89440000000000000000000000000000*ep^8;
Fill mncpoch(35,29) = 1/2175315118211469227339059005799805467638711687948376473\
      6000000000000+24087518946229/28556657430263421200020411847751239819887016\
      9386921745247039494553600000000000000*ep+36690939221803261345166079511/
      4536051070865005336302287440422042496500636726450590029625138125563688539\
      23266560000000000000000*ep^2+505310717743826951786560112166232808385437/
      9357455581996081714085337437737933890725381263344093307570034632786315089\
      865719224664588288000000000000000000*ep^3+3812044808838538403845938955500\
      1517395869247581534340753/13512498320842837576678697768345940333245426357\
      3333516875682326938194250382566022338025925656507507015680000000000000000\
      0000*ep^4+239850367668738042487553984729988746750003610201702669479970604\
      8068357/19512527659985098793366359790037112746946355355414702246631301113\
      6102615731902746419832858941475830943842199645716480000000000000000000000
      *ep^5+9170834006004887063319943087604549807364976990972871168585201514176\
      53769056702497631/1972374824025543874856990470920458680602486372213158008\
      1241624899436255929579393603725209594758699002381590081426393630244444569\
      6000000000000000000000000*ep^6+154668364508278429655563224348318991596589\
      492379682338414288933212717560263295415289788563121451/
      9855291772566699550533526733677288157880775403652454661593491925009529979\
      0607771662842450578425052343222543103603092163325182425736570470400000000\
      000000000000000000*ep^7+1802970377190356747391647952145364540679939126849\
      65381283742928824213807659647405003714726865579354054240829781/
      3738974667401183915400548362948740719559351250542270343692197283638094768\
      0676744963491625453922166206700534554465535472006849174602973475201782703\
      4562560000000000000000000000000000*ep^8;
Fill mncpoch(35,30) = 1/3262972677317203841008588508699708201458067531922564710\
      400000000000000+2428458008159/3894089649581375618184601615602441793620956\
      855276205617005084016640000000000000000*ep+45177345961035268041151033591/
      6804076606297508004453431160633063744750955089675885044437707188345532808\
      8489984000000000000000000*ep^2+691704125374593313306428881897212204068797/
      1403618337299412257112800615660690083608807189501613996135505194917947263\
      479857883699688243200000000000000000000*ep^3+5809735473943566632478614550\
      5395675401595640526098540593/20268747481264256365018046652518910499868139\
      5360000275313523490407291375573849033507038888484761260523520000000000000\
      000000000*ep^4+4076396564306248602464663143139261530910238601726955162353\
      114490049317/292687914899776481900495396850556691204195330331220533699469\
      5167041539235978541196297492884122137464157632994685747200000000000000000\
      0000000*ep^5+174118800624521006372899019768175847333799419088687194058694\
      7112604000162651577637311/29585622360383158122854857063806880209037295583\
      1973701218624373491543838943690904055878143921380485035723851221395904453\
      66666854400000000000000000000000000*ep^6+55874061302587582284896602594114\
      66737195233482151799133824051794082757732927787878478475048042427/
      2513099402004508385386049317087708480259597727931375938706340440877430144\
      6604981774024824897498388347521748491418788501647921518562825469952000000\
      0000000000000000000000*ep^7+429684347598497006559894524761454631908826484\
      449420902047644568413410592937903188059802468896744098478496921461/
      5608462001101775873100822544423111079339026875813405515538295925457142152\
      1015117445237438180883249310050801831698303208010273761904460212802674055\
      184384000000000000000000000000000000*ep^8;
Fill mncpoch(35,31) = 1/4046086119873332762850649750787638169808003739583980240\
      89600000000000000+29994937019149/5311538282028996343203796603681730606498\
      985150596744461594934598696960000000000000000*ep+
      57088628515593697219439786191/8437054991808909925522254639184999043491184\
      311198097455102756913548460682972758016000000000000000000*ep^2+2012501187\
      8981944957298954157809245689653/35520137515332065282038219661617463340304\
      50846902043582057196819792356340234742399566558003200000000000000000000*
      ep^3+93697364151984162056605006176806496281795969273790070393/
      2513324687676767789262237784912344901983649302464003413887691281050413057\
      1157280154872822172110396304916480000000000000000000000*ep^4+
      7458954634384234966197271934813019430750342596684711364887625199845517/
      3629330144757228375566142920946902970932022096107134617873422007131508652\
      613391083408891176311450455555464913410326528000000000000000000000000*
      ep^5+36261122188804268293416573379906491328779870950060652473554457744944\
      72835803669121911/3668617172687511607234002275912053145920624652316473895\
      1109422312951436029017672102928889846251180144429757551453092152254666899\
      45600000000000000000000000000*ep^6+13287751536100360820027639022241161954\
      867959721398954300872652991394805173307545553637712624684627/
      3116243258485590397878701153188758515521901182634906163995862146688013379\
      3790177399790782872898001550926968129359297742043422683017903582740480000\
      000000000000000000000000*ep^7+1064580296169394236550305066104549526772554\
      85693253387152997619923886182511354240601821203422712627424131690551/
      6322266255787456438768199959167870671254903023644202581152260861424414789\
      6417041483722203040268390131329994792096269070847944967965027876250287116\
      7533056000000000000000000000000000000*ep^8;
Fill mncpoch(35,32) = 1/3884242675078399452336623760756132643015683590000621031\
      2601600000000000000+34370802258349/50990767507478364894756447395344613822\
      3902574457287468313113721474908160000000000000000*ep+
      75287270375926573116371562991/8099572792136553528501364453617599081751536\
      93875017355689864663700652225565384769536000000000000000000*ep^2+
      1503827931115109458008589172041308882638597/16708672687212203508670778528\
      8248547552792407838272130099970538403032442244642282475610888470528000000\
      00000000000000*ep^3+16608339621653541733983731771946628878788868814792149\
      6793/24127917001696970776917482735158511059043033303654432773321836298083\
      96534831098894867790928522598045271982080000000000000000000000*ep^4+
      15453298797818634385120921506720385683865001533363877125903777956587117/
      3484156938966939240543497204109026852094741212262849233158485126846248306\
      50885544007253552925899243733324631687391346688000000000000000000000000*
      ep^5+88329718029870465757152243084552148507972349946842952972894862504967\
      00275710609874711/3521872485780011142944642184875571020083799666223814939\
      3065045420433378587856965218811734252401132938652567249394968466164480223\
      4777600000000000000000000000000*ep^6+382978007706163870684970537413941246\
      88472876499507239610586066020507946301461325090295445124954227/
      2991593528146166781963553107061208174901025135329509917436027660820492844\
      2038570303799151557982081488889889404184925832361685775697187439430860800\
      00000000000000000000000000*ep^7+40200005829954364160311225692428790377635\
      93159131668456275025300026036948939958529258542110516270042812352268861/
      6676313166111553999339219156881271428845177592968277925696787469664182017\
      8616395806810646410523419978684474500453660138815429886171069437320303195\
      2914907136000000000000000000000000000000*ep^8;
Fill mncpoch(35,33) = 1/2563600165551743638542171682099047544390351169400409880\
      631705600000000000000+40934600117149/336539065549357208305392552809274451\
      22777569914180972908665505617343938560000000000000000*ep+
      107798329688499570194999468191/534571804281012532881090053938761539395601\
      43795751145475531067804243046887315394789376000000000000000000*ep^2+
      2615718059901893664885337155694375968886997/11027723973560054315722713829\
      0244041384842989173259605865980555346001411881463906433903186390548480000\
      0000000000000000*ep^3+354942886825429354871873586190157388117497797753303\
      756393/159244252211200007127655386052046172989684019804119256303924119567\
      354171298852527061274201282491470987950817280000000000000000000000*ep^4+
      41080805763770117603006282633891941135231960218139234241125850280979517/
      2299543579718179898758708154711957722382529200093480493884600183718523882\
      2958445904478734493109350086399425691367828881408000000000000000000000000
      *ep^5+2959572188105804730914405994089235601091609598721277496796684567161\
      9650643657491243911/23244358406148073543434638420178768732553077797077178\
      5994229299774860298679855970444157446065847477395106943846006791876685569\
      47495321600000000000000000000000000*ep^6+16399566518460581714314162464189\
      1131182774181378362964884834137920298429775065672802118414167038627/
      1974451728576470076095945050660397395434676589317476545507778256141525277\
      1745456400507440028268173782667327006762051049358712611960143710024368128\
      0000000000000000000000000000*ep^7+223193853148457916938961371610460505396\
      47045573110436702800021652290815161987788418313288241748485375283714018061
      /440636668963362563956388464354163914303781721135906343095987972997836013\
      1788682123249502663094545718593175317029941569161818372487290582863140010\
      8892383870976000000000000000000000000000000*ep^8;
Fill mncpoch(36,0) = 1;
Fill mncpoch(36,1) = 1/35+1/1225*ep+1/42875*ep^2+1/1500625*ep^3+1/52521875*ep^4
      +1/1838265625*ep^5+1/64339296875*ep^6+1/2251875390625*ep^7+1/
      78815638671875*ep^8;
Fill mncpoch(36,2) = 1/2380+69/2832200*ep+3571/3370318000*ep^2+164289/
      4010678420000*ep^3+7086451/4772707319800000*ep^4+293461209/
      5679521710562000000*ep^5+11815946731/6758630835568780000000*ep^6+
      466081485729/8042770694326848200000000*ep^7+18098645905411/
      9570897126248949358000000000*ep^8;
Fill mncpoch(36,3) = 1/235620+3467/9252797400*ep+8014549/363357353898000*ep^2+
      15441367103/14269043287574460000*ep^3+26779197908941/
      560345329903049044200000*ep^4+43351965256109927/
      22004761105292735965734000000*ep^5+66848755381267572469/
      864126968604845741374374180000000*ep^6+99413686125885237013343/3393426605\
      7112292263771674048600000000*ep^7+143756378069665648941080221/13325986280\
      62799717198313639888522000000000*ep^8;
Fill mncpoch(36,4) = 1/30159360+75107/18949729075200*ep+3526450489/
      11906493772529664000*ep^2+132489695005403/7481088167155838484480000*ep^3+
      4356436675591445281/4700517317187356436568473600000*ep^4+
      130996464445628750906387/2953429040735159796224703332352000000*ep^5+
      3693651587752608941154975049/1855698534874715603163905597783408640000000*
      ep^6+99211007093365353560922741376523/11659725034324813077799451651992713\
      16684800000000*ep^7+2565437066678854289025274607035481521/732603843356696\
      655304295146198006153699393536000000000*ep^8;
Fill mncpoch(36,5) = 1/4674700800+2956637/91053448206336000*ep+5246633079769/
      1773531779887156101120000*ep^2+7243565000586418853/
      34544710126099635565127270400000*ep^3+8574537516247345831071361/672859100\
      259358613566703762669568000000*ep^4+9137870973288569132219097830957/
      13105895726123766326363170552976831938560000000*ep^5+90196364703986087097\
      84456296597557609/255275588481780630603595726977238494352716595200000000*
      ep^6+8396772140804298545390516692854707650802933/497223749040104458044638\
      9282404493213922665623977984000000000*ep^7+746389815279948078898380836871\
      8875343095173490321/96848844059032314254368334731532126461328567210593254\
      113280000000000*ep^8;
Fill mncpoch(36,6) = 1/841446144000+1201967/5463206892380160000*ep+
      7587814786633/319235720379688098201600000*ep^2+811337332014327131/
      414536521513195626781527244800000*ep^3+16476119339241597186795121/
      121114638046684550442006677280522240000000*ep^4+
      734637856294886129189127602663/873726381741584421757544703531788795904000\
      00000*ep^5+21897932124893568299894399379613088473/45949605926720513508647\
      230855902928983488987136000000000*ep^6+1507620742929413084936876934110654\
      661675787/59666849884812534965356671388853918567071987487735808000000000*
      ep^7+22146556263359317646660655354945176666969196051841/17432791930625816\
      565786300251675782763039142097906785740390400000000000*ep^8;
Fill mncpoch(36,7) = 1/170813567232000+41349683/32161898975442001920000*ep+
      8797569688056433/54500879890381491189271756800000*ep^2+
      10403865587463322742861/684118879435540537579885866201907200000*ep^3+
      20772300934529498249256860786401/1738940270939631039079810371686994523717\
      6320000000*ep^4+270481470723108577517538073560320896723/32741908166069109\
      60175630603372655956096313406259200000000*ep^5+28830650054242932140284726\
      169567933782673247313/554837513078255523225989833925785609233197291951784\
      5127168000000000*ep^6+634436776900510282193868830896806457518686948970854\
      47/2089368933929194865384434568497149353200459118058343835214450524160000\
      00000*ep^7+29614998508473447142222983249373087533008348362063002197764801/
      1770300401131779231478042181013356796841527469919277480133810881679274803\
      200000000000*ep^8;
Fill mncpoch(36,8) = 1/38262239059968000+48074203/7204265370499008430080000*ep+
      11707053144074473/12208197095445454026396873523200000*ep^2+
      1878258374562732130567/18389115479227329650147332083507265536000*ep^3+
      34981485190058404649227313981401/3895226206904773527538775232578867733127\
      495680000000*ep^4+24081674643493339083302863379739597583/3492470204380705\
      0241873393102641663531694009666764800000000*ep^5+594368758784653957329181\
      10861035645824313092553/1242836029295292372026217227993759764682361933971\
      997308485632000000000*ep^6+1433805698065026528021713820591309299635706703\
      23985359/4680186412001396498461133433433614551169028424450690190880369174\
      1184000000000*ep^7+730024464258584919891795708431651079851467093423800733\
      81385401/3965472898535185478510814485469919224925021532619181555499736374\
      96157555916800000000000*ep^8;
Fill mncpoch(36,9) = 1/9297724091572224000+1486290041/
      47267185095843994309754880000*ep+1228119743652181273/24029394342965287160\
      1569661557145600000*ep^2+148941464989287588916668901/24431824798490128241\
      5098707744779617592934400000*ep^3+369731904752940177742648977173324761/
      6210248731871039244746202745130838140883028295024640000000*ep^4+
      22743067606809708751905548617318454766465983/4510181714663675608784719410\
      638220159074120074489581954662400000000*ep^5+6156269049846295682218505811\
      2573182559973157292078233/16050004740546683205612233309652229899392186337\
      8138969853395799638016000000000*ep^6+437563990542056964580719781431123767\
      3364656832179390934142309/16318800975138628501050300560475899086062784624\
      7002735512453836934372900470784000000000*ep^7+726188687156319974938622650\
      3466371714672656843687302604232233510655321/41480247135602221428339685973\
      22406652459572642357702476331018965548492590226950481510400000000000*ep^8
      ;
Fill mncpoch(36,10) = 1/2417408263808778240000+21863639093/
      159763085623952700766971494400000*ep+263126733494902251217/10558515874298\
      947178172970928820977664000000*ep^2+460991112814703023378264383001/
      139559469613935310541152683837973013161435987968000000*ep^3+1641880701216\
      4258020818573549637530241721/46116437648051875485991037116957285716857644\
      494891673190400000000*ep^4+2940082855494875958023190250998874189408687748\
      51/8885626813050637306760229679078880329714446711276320238776352768000000\
      000*ep^5+553485681736481967606740865975291609321774068768478969252577/
      2014227990624548280841947434477358423859837788170966115641658768262928164\
      45440000000000*ep^6+55594248555438695026291954103162503615152670219834958\
      1273540991761577/26623494570610673004225821866927418529194472706348937105\
      70925457633848715677877435105280000000000*ep^7+12989407839555435123371840\
      428931520623576078247678966074537430527237084143412041/
      8797545094827576062284707286681430164971713398746041830394567592122019654\
      83136846177581697859584000000000000*ep^8;
Fill mncpoch(36,11) = 1/664787272547414016000000+122535911977/
      219674242732934963554585804800000000*ep+8197813284423927744649/7258979663\
      5805261849939175135644221440000000000*ep^2+
      396475817521012491769757246319913/239867838398951314992606175346516116371\
      21810432000000000000*ep^3+15502259342458846982434992925437821695579081/
      7926262720758916099154709504477033482584907647559506329600000000000000*
      ep^4+74292085765354511598689012140872072547458739196985871/
      3741681915808041803393565466424622263840692794826512975547229798400000000\
      00000000*ep^5+15522015878254056142297136944155544239384170789566396268803\
      329289/865488589721485589424274288251989947752274049604712002814775251987\
      976945664000000000000000000*ep^6+4223306389932072220494688343125684887359\
      44753002910138467473905930654535593/2859945705827318389125820708361343787\
      31581249775232722815236133144261092504459490099200000000000000000000*ep^7
      +106562340978703679997880398596740039262803885351859230441399200210507331\
      75595616327241/9450487894834310223157400405614817560028207752559224622494\
      1644055998258010883840897982408949760000000000000000000000*ep^8;
Fill mncpoch(36,12) = 1/191458734493655236608000000+136304366677/63266181907085\
      269503720711782400000000*ep+10074513782428391776549/209058614311119154127\
      82482439065535774720000000000*ep^2+535186304158903459939024675150213/
      6908193745889797871787057849979664151491081404416000000000000*ep^3+
      22870947727331130872278718927425745081430181/2282763663578567836556556337\
      289385642984453402497137822924800000000000000*ep^4+1703963689974098384705\
      2328822702009522441437401840853/15394348453610229133962097919004160171230\
      278927286224813680031170560000000000000000*ep^5+2701787984742213285604415\
      1122474514775110645438802838844656425189/24926071383978784975419099501657\
      3104952654926286157056810655272572537360351232000000000000000000*ep^6+
      7943250937624817700552943502423129973215363622148286473315262332093399738\
      93/8236643632782676960682363640080670107469539993526702417078800634554719\
      4641284333148569600000000000000000000*ep^7+215928631684123508103701766161\
      51224453123183272743582943186314844855166223040569474341/
      2721740513712281344269331316817067457288123832737056691278319348812749830\
      7134546178618933777530880000000000000000000000*ep^8;
Fill mncpoch(36,13) = 1/57246161613602915745792000000+3465443346371/43508153297\
      5025398377087334927564800000000*ep+6474548984422831799243221/330670100842\
      0402772755218029869434859023237120000000000*ep^2+865108058818034076364450\
      8005446770371/25131545998566110041103906725350069545626404246811312128000\
      000000000*ep^3+9258917151389920048064616552412496996078479930021/
      1910044490474675105829971613130362913478053149578522621060245880832000000\
      00000000*ep^4+12047882841866361894141308473610570083163840319292901299824\
      53/2073813613604428631699199124547796069538284573894092209449754326052219\
      80733440000000000000000*ep^5+67864121116459434844678903934421017723815778\
      15215833183406293477879296821/1103295987844823177501826853149881782822181\
      5901977217761278068526396052652467086428209152000000000000000000*ep^6+
      4947060078066643271869620060460504037239021013524637936982641406861294429\
      532222263971/838525581779192559901706713155041019970262984965583556743622\
      60336267252472777973345735946313452748800000000000000000000*ep^7+
      3325679331749123623724626877756669988440078653281177686812993030577220757\
      542380265534563692903621/637295122110991290629819430368411415077650341308\
      3150879569374925218853428862283930610521938680802071886902067200000000000\
      00000000000*ep^8;
Fill mncpoch(36,14) = 1/17631817776989698049703936000000+3810906391571/
      134005112156307822700142899157689958400000000*ep+
      7791076311427093071252421/10184639105934840540086071531997859365791570329\
      60000000000*ep^2+11342609536111527893823189941979199571/77405161675583618\
      92660003271407821420052932508017884135424000000000000*ep^3+13177369582249\
      567841089518020146642594934673539221/588293703066199932595631256844151777\
      35124037007018496728655573129625600000000000000*ep^4+18551160304166058426\
      66527216081076165659550091347454172238053/6387345929901640185633533303607\
      2118941779164875938040051052433242408370065899520000000000000000*ep^5+
      11272530343115338837857724454674430648354792702347641010667915098772266021
      /339815164256205538670562670770163589109231929780898307047364510612998421\
      6959862619888418816000000000000000000*ep^6+884130273750866908162577859491\
      4842223595878070492391189564385042818220230451369413171/
      2582658791879913084497256676517526341508409993693997354770357618357031376\
      1615615790486671464543446630400000000000000000000*ep^7+
      6380022698983964706062155717976928617681049985681379410589555948934535508\
      398356113518754341232821/196286897610185317513984384553470715843916305122\
      9610470907367476967406856089583450628040757113687038141165836697600000000\
      00000000000000*ep^8;
Fill mncpoch(36,15) = 1/5554022599751754885656739840000000+4172820057971/
      42211610329236964150545013234672336896000000000*ep+
      9301276917834838226126821/32081613183694747701271125325793257002243446538\
      2400000000000*ep^2+14708868767646825745891620001465713971/
      2438262592780883996187901030493463747316673740025633502658560000000000000
      *ep^3+2642958600935011463872438421701810358867569544803/
      2647321663797899696680340655798682998080581665315832352789500790833152000\
      000000000000*ep^4+2811638867824410309682632547187407680154811937364086967\
      957253/201201396791901665847456299063627174666604369359204826160815164713\
      58636570758348800000000000000000*ep^5+18395524061844880124024131213570390\
      698409218257325108074500996360689060421/107041776740704744681227241292601\
      5305694080578809829667199198208430945028342356725264851927040000000000000\
      000000*ep^6+1549889429608036999537983864449278375573761489755873970958328\
      4986168254917786606967571/81353751944217262161663585310302079757514914801\
      3609166752662649782464883490891897400330151133118568857600000000000000000\
      0000*ep^7+119892843588244585601586241824457181550624122296481233082481138\
      34434761932984337613968160853547221/6183037274720837501690508113434327549\
      0833636113732729833582075524473315966821878694783283849081141701446723855\
      974400000000000000000000000*ep^8;
Fill mncpoch(36,16) = 1/1777287231920561563410156748800000000+4552829407691/
      13507715305355828528174404235095147806720000000000*ep+
      11031394660437587902823341/1026611621878231926440676010425384224071790289\
      22368000000000000*ep^2+18900901879064393735488856366913528491/
      7802440296898828787801283297579083991413355968082027208507392000000000000\
      00*ep^3+3669032805532838084648032992315709171058369955163/
      8471429324153279029377090098555785593857861329010663528926402530666086400\
      00000000000000*ep^4+42059056383562913283357818796744060791893433481887641\
      54561613/6438444697340853307118601570036069589331339819494554437146085270\
      834763702642671616000000000000000000*ep^5+2958350832815307042548641958689\
      0203074768918590818246717798825255319148941/34253368557025518297992717213\
      6324897822105785219145493503743426697902409069554152084752616652800000000\
      000000000000*ep^6+2674090405829802265639029666639800086321929619052320040\
      7524540921221997677919843614091/26033200622149523891732347299296665522404\
      7727364354933360852047930388762717085407168105648362597942034432000000000\
      0000000000000*ep^7+221510779209431991197753278211615062378023756407649179\
      21684753624849863018330007388042976392451741/
      1978571927910668000540962596298984815706676355639447354674626416783146110\
      9383001182330650831705965344462951633911808000000000000000000000000*ep^8;
Fill mncpoch(36,17) = 1/574063775910341384981480629862400000000+94103945740529/
      82896848828968719677406318790778922089840640000000000*ep+
      4697541056956861015695263701/11970599494586747731876214484363107667944296\
      309434875904000000000000*ep^2+165343476435246241365053583274678502194169/
      1728597097284658852973586769060466468236465937297910375327816115814400000\
      000000000*ep^3+657672215565850900227153957057765379912554273400462123/
      3565936605278123708731469180710459966038195618413335742062893184562560197\
      7221120000000000000000*ep^4+154126705645501878504768486866368417482126238\
      73089184824520268498887/5149339151955039619127689099955611625325818406214\
      538899365944023548266084899990744263032832000000000000000000*ep^5+
      2211756460984460604732950723586223974036008450365382578296521650952598216\
      026191621/520508008017497452042852195866443438524913118488856733232747377\
      7148641918803959611937361046148057818726400000000000000000000*ep^6+
      4071270110257727940071952511845517267220328812593452706766903363675732240\
      1747075721622020996649/75163205667297066190373236439606872356344951467050\
      1473795675408774950892311413778271514845797441297763368742986711040000000\
      000000000000000*ep^7+6856283697231444156532035506145647377949171088021372\
      94949736672285890048238748115754527318029854355605469981/
      1085383394523006718136566189533258993429952186673950087468905682499704227\
      5663375709362651641730846211311364565440247170653906534400000000000000000\
      0000000*ep^8;
Fill mncpoch(36,18) = 1/185996663394950608733999724075417600000000+
      102126365345729/26858579020585865175479647288212370757108367360000000000*
      ep+5516841612514255221381454501/38784742362461062651278934929336468844139\
      52004256899792896000000000000*ep^2+20960189474626378411754063009119268519\
      9369/56006545952022946836344211317559113570861496368452296160621242152386\
      5600000000000000*ep^3+897888551237207108963625147350786131568875664296050\
      523/115536346011011208162899601455018902899637538036592078042837739179826\
      95040619642880000000000000000*ep^4+22615909281280182877119447722407527251\
      743038636458994197165182018487/166838588523343283659737126838561816660556\
      5163613510603394565863629638211507597001141222637568000000000000000000*
      ep^5+34817966590374280680064615229592944118150648535736305521689985843681\
      54539515518421/1686445945976691744618841114607276740820718503903895815674\
      101503796159981692482914267704978951970733267353600000000000000000000*
      ep^6+68645134881359002094079320920523266083107266923953088091131309263643\
      451634099748811894168385849/243528786362042494456809286064326266434557642\
      7532424775097988324430840891088980641599708100383709804753314727276943769\
      60000000000000000000000*ep^7+12363284455969572500722533496112730986627730\
      59507448046337111131970087650210747917475462501436039411452284781/
      3516642198254541766762474454087759138713045084823598283399254411299041697\
      3149337298334991319207941724648821192026400832918657171456000000000000000\
      000000000*ep^8;
Fill mncpoch(36,19) = 1/60076922276569046621081910876359884800000000+
      110620691986529/8675321023649234451679926074092595754546002657280000000000
      *ep+6456489903479159580803237701/1252747178307492323636309598217567943665\
      706497374978633105408000000000000*ep^2+2644454289394430299523521323576919\
      30000169/1809011434250341182813918025557159368338826332701009165988066121\
      52208588800000000000000*ep^3+12187865301055062831405018719948761709688191\
      33610664123/3731823976155662023661657126997110563658292478581924120783658\
      975508410498120144650240000000000000000*ep^4+3296868017340357613277160066\
      3175875351900574549204833152144850036887/53888864093039880622095091968855\
      4667813597547847163924896444773952373142316953831368614911934464000000000\
      000000000*ep^5+5442123827200125390488611441143410910577628730716590005071\
      679859670105287109845621/544722040550471433511885680018150387285092076760\
      9583484627347857261596740866719813084687082014865468453552128000000000000\
      00000000*ep^6+67571948405457342865651315302369072114240120686923828144554\
      52153485178380808108429784099313097/4627046940878807394679376435222199062\
      2565952123116070726861778164185976930690632190394453907290486290312979818\
      26193162240000000000000000000000*ep^7+22120913881660642090121123803992794\
      36906515664445993304671748651696788632107402806227554728223077478179763981
      /113587543003621699066427924867034620180431356239802224553795917484959046\
      8232723594736220219610416517706156924502452746903272626638028800000000000\
      0000000000000*ep^8;
Fill mncpoch(36,20) = 1/19224615128502094918746211480435163136000000000+
      119645914042379/277610272756775502453757634370963064145472085032960000000\
      0000*ep+7536320845786771763208104851/400879097058397543563619071429621741\
      973026079159993162593730560000000000000*ep^2+3324623980567999290158279138\
      12416507928519/5788836589601091785004537681782909978684244264643229331161\
      8115888706748416000000000000000*ep^3+164743609691736526891541108220743536\
      0532120001328633573/11941836723698118475717302806390753803706535931462157\
      18650770872162691359398446288076800000000000000000*ep^4+47837156770905619\
      352657735170283938472638260577554948179327241088937/
      1724443650977276179907042943003374937003512153110924559668623276647594055\
      41425226037956771819028480000000000000000000*ep^5+84643105638456463200107\
      89776568094909649443068438489349485255980704337373927765771/
      1743110529761508587238034176058081239312294645635066715080751314323710957\
      07735034018709986624475694990513668096000000000000000000000*ep^6+
      1125085851045066821376276488914632272307014539651238017304543163121670236\
      2274716687498327566647/14806550210812183662974004592711036999221104679397\
      1426325957690125395126178210023009262252503329556129001535418438181191680\
      0000000000000000000000*ep^7+393829682655410403327789025974830276291548569\
      8053581217162696428473172466132814496649494012769417087110758131/
      3634801376115894370125693595745107845773803399673671185721469359518689498\
      3447155031559047027533328566597021584078487900904724052416921600000000000\
      00000000000000*ep^8;
Fill mncpoch(36,21) = 1/6055753765478159899405056616337076387840000000000+
      129272817568619/874472359183842832729336548268533652058237067853824000000\
      000000*ep+8780817789085090237475167411/1262769155733952262225400075003308\
      48721503214935397846217025126400000000000000*ep^2+41699448379381410480638\
      6201955806739293159/18234835257243439122764293697616166432855369433626172\
      393159706504942625751040000000000000000*ep^3+2220916906411264917295360833\
      647383458124301250215632453/376167856796490731985095038401308744816755881\
      841057951374992824731247778210510580744192000000000000000000*ep^4+
      69217709568722257648627246343317120326404541659491860801484722155657/
      5431997500578419966707185270460631051561063282299412362956163321439921274\
      5548946201956383122993971200000000000000000000*ep^5+131287760501233657623\
      91993917592840028951226901616081582300003511138804566175343531/
      5490798168748752049799807654582955903833728133750460152504366640119689514\
      7936535715893645786709843922011805450240000000000000000000000*ep^6+
      1868553265469466167523269266693568411408701539346192166359457413539002817\
      3816577162129343610967/46640633164058378538368114467039766547546479740100\
      9992926766723894994647461361572479176095385488101806354836568080270753792\
      000000000000000000000000*ep^7+6996321770007700048398513969781809326219733\
      360195348707137925725694367610005026320107684526091129146727417491/
      1144962433476506726589593482659708971418748070897206423502262848248387191\
      9785853834941099813672998498478061798984723688784988076511330304000000000\
      00000000000000000*ep^8;
Fill mncpoch(36,22) = 1/1865172159767273249016757437831819527454720000000000+
      19941051008717/3847678380408908464009080812381548069056243098556825600000\
      0000000*ep+10220597096130710709561923011/38893289996605729676542322310101\
      901406222990200102536634843738931200000000000000*ep^2+1066153543219924652\
      3523311901143970589991/11461896447410161734308984609930161757794803643993\
      5940757003869459639361863680000000000000000*ep^3+299069870426655213326219\
      3077022130323844545333839611253/11585969989331914545140927182760309340356\
      0811607045849023497790017224315688837258869211136000000000000000000*ep^4+
      100065389463749118003543604480095758540478705903702673198016670132857/
      1673055230178153349745813063301874363880807490948219007790498303003495752\
      5629075430202566001882143129600000000000000000000*ep^5+
      2035367493024695571308452237848059292734774227393098536091876115721108413\
      5567851131/16911658359746156313383407576115504183807882651951417269713449\
      2515686437055644530004952429023066319279796360786739200000000000000000000\
      00*ep^6+44335532690194393988776460910078679461813081795066453426752150403\
      84599422808533846610944094881/2052187859218568655688197036549749728092045\
      1085644439688777735851379764488299909189083748196961476479479612808995531\
      913166848000000000000000000000000*ep^7+1243819894391795541165932159389069\
      4801771063897793105273634346081178787594131257574576353871090268160957541\
      091/352648429510764071789594792659190363196974405836339578438696957260503\
      2551294042981161858742611283537531243034087294896145776327565489733632000\
      00000000000000000000000*ep^8;
Fill mncpoch(36,23) = 1/557686475770414701456010473911714038708961280000000000+
      3075414748331/16435083367746623296267359470029755323540238378121297920000\
      00000000*ep+11894515557495193898039499811/1162909370898511317328615437072\
      0468520460674069830658453818277940428800000000000000*ep^2+935055865578178\
      61093051478651961922735537/2398974926442946850990870478858382855906452402\
      68785924004409098779025184380682240000000000000000*ep^3+40293555438318555\
      68565675900787228380394874071062677653/3464205026810242448997137227645332\
      4927664682670506708858025839215150070390962340401894129664000000000000000\
      000*ep^4+1448233322638140217589289338204621707949167258402419453230806860\
      34457/5002435138232678515739981059272604348003614397935174833293589925980\
      452300163093553630567234562760795750400000000000000000000*ep^5+
      3161452308759276560865158770318720377693785320048105871354798322696039210\
      6458883931/50565858495641007377016388652585357509585569129334737636443213\
      2621902446796377144714807762778968294646591118752350208000000000000000000\
      0000*ep^6+738458717780104270493170332608919484851209485079022556692004591\
      7460217131339387995236530127681/61360416990635202805077091392837516869952\
      1487460768746694454301956254958200167284753604071089148146736440422988966\
      4042036887552000000000000000000000000*ep^7+221995000508496625608502199800\
      5309692173166377759354819300842713910253815656155546206864202748458171141\
      3021891/10544188042371845746508884300509791859589534734506553395317039022\
      0890473283691885136739576404077377772184166719210117394758712194208143035\
      596800000000000000000000000000*ep^8;
Fill mncpoch(36,24) = 1/1606137050218794340193310164865736431481808486400000000\
      00+23246993153717/3313312806937719256527499669157998673225712057029253660\
      672000000000000*ep+13852735460697652997591048011/334917898818771259390641\
      2458767494933892674132111229634699664046843494400000000000000*ep^2+
      117319684389007169409658829780989251004937/690904778815568693085370697911\
      21426250105829197410346113269820448359253101636485120000000000000000*ep^3
      +5441137148009226817418782960204675064663579657248986253/
      9976910477213498253111755215618557579167428609105932151111441693963220272\
      597154035745509343232000000000000000000*ep^4+2102999602599708748147600017\
      38466685760095744617331190743919417007857/1440701319811011412533114545070\
      5100522250409466053303519885538986823702624469709434456033635540751091761\
      15200000000000000000000*ep^5+49329225591297663575048306044121546616640880\
      737676344934965522215734648458458476131/
      1456296724674461012458071993194458296276064390924840443929564541951079046\
      773566176778646356803428688582182422006768599040000000000000000000000*
      ep^6+12372903310065243613840377090106972392071996491938079532027757569681\
      634623533512827380865969881/176718000933029384078622023211372048585462188\
      3887013990480028389634014279616481780090379724736746662600948418208223244\
      106623614976000000000000000000000000*ep^7+3991752109354184475814372433279\
      2862679313838116262644820326900908415325311191535329169302768041223920723\
      166091/303672615620309157499455867854682005556178600353788737785130723836\
      1645630570326291938099800437428479838904001513251380969050911193194519425\
      1878400000000000000000000000000*ep^8;
Fill mncpoch(36,25) = 1/4416876888101684435531602953380775186574973337600000000\
      0000+2283851270047/828328201734429814131874917289499668306428014257313415\
      16800000000000000*ep+16161309124425085510597042411/9210242217516209633242\
      63426161061106820485386330588149542407612881960960000000000000000*ep^2+
      147628131882237534854077050262970562309737/189998814174281390598476941925\
      58392218779103029287845181149200623298794602950033408000000000000000000*
      ep^3+7379139579903776307475145586137287372295747063231257453/
      2743650381233712019605732684295103334271042867504131341555646465839885574\
      964217359830015069388800000000000000000000*ep^4+3071703214086883516888390\
      63803479081394325950645298622502385300280657/
      3961928629480281384466064998943902643618862603164658467968523221376518221\
      72917009447540924977370655023431680000000000000000000000*ep^5+
      7755608016258725321049215099603656271489422704408474300831396806198144883\
      7659718531/40048159928547677842596979812847603147591770750433112208063024\
      9036546737862730698614127748120942889360100166051861364736000000000000000\
      000000000*ep^6+2092857445137803972293620576913203252038350308589512977343\
      4807891755003019599943235730252212281/
      4859745025658308062162105638312731336100210180689288473820078071493539268\
      9453248952485442430260533221526081500726139212932149411840000000000000000\
      0000000000*ep^7+660107299549131240697438430452563842917806517135023239990\
      2104267709322098892735826170162979261406704212435681/
      7591815390507728937486396696367050138904465008844718444628268095904114076\
      4258157298452495010935711995972600037831284524226272779829862985629696000\
      0000000000000000000000000*ep^8;
Fill mncpoch(36,26) = 1/1148387990906437953238216767879001548509493067776000000\
      0000000+2471388351727/215365332450951751674287478495269913759671283706901\
      48794368000000000000000*ep+18909264015408208604232845851/
      2394662976554214504643084908018758877733262004459529188810259793493098496\
      00000000000000000*ep^2+186636201974066768805176484330046759516217/
      4939969168531316155560400490065181976882566787614839747098792162057686596\
      767008686080000000000000000000*ep^3+1007423264626605264594078007898096725\
      2051879133878808573/71334909912076512509749049791672686691047114555107414\
      8804468081118370249490696513555803918041088000000000000000000000*ep^4+
      452645820088439534868458230750316410411262247809332891452720763963937/
      1030101443664873159961176899725414687340904276822811201671816037557894737\
      64958422456360640494116370306092236800000000000000000000000*ep^5+
      1233106453988328026727761037457414755649253826555578260513502011898696130\
      05338390771/1041252158142239623907521475134037681837386039511260917409638\
      6474950215184430998163967321451144515123362604317348395483136000000000000\
      0000000000000*ep^6+358920158843144313939117986682902680266784731995414025\
      16476469074291421774308972454946054384521/
      1263533706671160096162147465961310147386054646979215003193220298588320209\
      9257844727646215031867738637596781190188796195362358847078400000000000000\
      0000000000000*ep^7+122080658963169043552596710747541708241613534465344648\
      22816517138153281265284858766105956550740736245806943921/
      1973872001532009523746463141055433036115160902299626795603349704935069659\
      8707120897597648702843285118952876009836133976298830922755764376263720960\
      0000000000000000000000000000*ep^8;
Fill mncpoch(36,27) = 1/2790582817902644226368866745945973762878068154695680000\
      000000000+382823269561/74762536836544679509788367534786555776571602772538\
      6593861632000000000000000*ep+22219984092899268003740787451/
      5819031033026741246282696326485584072891826670836655928808931298188229345\
      2800000000000000000*ep^2+237567069406668833302873387240272055043417/
      1200412507953109825801177319085839220382463729390406058545006495380017843\
      014383110717440000000000000000000*ep^3+1388595807658199100576634434156034\
      7366775883289876745373/17334383108634592539869019099376462865924448836891\
      1018159485743711763970626239252794060352083984384000000000000000000000*
      ep^4+675443784709552830168278204942452042159552330247841444996567937443137
      /250314650810564177870565986633275769023839739267943122006251297126568421\
      24884896656895635640070277984380413542400000000000000000000000*ep^5+
      1991723538481344672473160789561561467758673565044566206178520981426753050\
      11191564371/2530242744285642286095277184575711566864848076012364029305421\
      9134129022898167325538440591126281171749771128491156601024020480000000000\
      000000000000000*ep^6+6274654019229939968787357663298032219688363372149183\
      1666352018809648612928925325588101822558121/
      3070386907210919033674018342285983658148112792159492457759525325569618110\
      1196562688180302527438604889360178292158774754730531998400512000000000000\
      000000000000000*ep^7+2309935859258299987758300585360079756272007121084848\
      6082319112389555423031611333386762133360949911099986157521/
      4796508963722783142703905432764702277759840992588093113316139782992219273\
      4858303781162286347909182839055488703901805562406159142296507434320841932\
      800000000000000000000000000000*ep^8;
Fill mncpoch(36,28) = 1/6250905512101923067066261510918981228846872666518323200\
      00000000000+2914184239027/11722765775970205747134816029454531945766427314\
      73406179175038976000000000000000*ep+26270362712706315030264111751/
      1303462951397990039167323977132770832327769174267410928053200610794163373\
      3427200000000000000000*ep^2+43615534689519893388358158243542308405931/
      3841320025449951442563767421074685505223883934049299387344020785216057097\
      6460259542958080000000000000000000*ep^3+193969164757876311369496532931449\
      82893985521716022194273/3882901816334148728930660278260327681967076539463\
      6068067724806591435129420277592625869518866812502016000000000000000000000
      *ep^4+1025566741495070392243922650527057412612690516051866741158154249737\
      237/560704817815663758430067810058537722613401015960192593294002905563513\
      2635974216851144622383375742268501212633497600000000000000000000000*ep^5+
      3287558998993598131611103396573708094010253943715965870659710120519441911\
      63333174671/5667743747199838720853420893449593909777259690267695425644145\
      0860449011291894809206106924122869824719487327820190786293805875200000000\
      00000000000000000*ep^6+11261368302864422289857589843047927952508701047592\
      0032815366916573815888222380842190500306043421/
      6877666672152458635429801086720603394251772654437263105381336729275944566\
      6680300421523877661462474952166799374435655450596391676417146880000000000\
      00000000000000000*ep^7+45089768775749156145110712601296966286954922018153\
      214222836662696176659069580967815454495023579317023888062821/
      1074418007873903423965674816939293310218204382339732857382815311390257117\
      2608260046980352141931656955948429469674004445978979647874417665287868592\
      947200000000000000000000000000000*ep^8;
Fill mncpoch(36,29) = 1/1268933818956690382614451086716553189455915151303219609\
      60000000000000+22274660489989/1665805016765366236667857357785488989493409\
      321423710180607730384896000000000000000*ep+4474989392769967355396992993/
      3780042559054171113585239533685035413750530605375491691354281771303073782\
      69388800000000000000000*ep^2+397623652466233100350309248717805312347917/
      5458515756164380999883113505347128102923139070284054429415853535792017135\
      7550028810543431680000000000000000000*ep^3+275995262087382190790043673340\
      50536808519736246776855873/7882290687158321919729240364868465194393165375\
      1111218177481357380613312723163513030515123299629379092480000000000000000\
      00000*ep^4+15949195475981888055711900556053389429504838686562900053828770\
      07467637/1138230780165797429613037654418831576905204062399190964386825898\
      2939319251027660207823583438252756805057461646000128000000000000000000000\
      00*ep^5+55906794915199145318596908921227469661593150454481871601661832071\
      9540392883037597871/11505519806815672603332444413702675636847837171243421\
      7140576145246711492922546462688397055969425744180559275474987296176425926\
      6560000000000000000000000000*ep^6+146671089184324967017167175633637450550\
      8815442583308786431341367047189872470678036194026808266347/
      9773164341128643720945747344229977423231768941955350872746879492301117229\
      2352706898985430156938176907029021911073066395297472572188765716480000000\
      00000000000000000000*ep^7+13121489204417599028697964255090228461435699770\
      405391476770686682719749907048766280404814191638824547815138003/
      3115812222834319929500456969123950599632792708785225286410164403031745640\
      0563954136243021211601805172250445462054612893339040978835811229334818919\
      5468800000000000000000000000000000*ep^8;
Fill mncpoch(36,30) = 1/2284080874122042688706011956089795741020647272345795297\
      2800000000000000+24462593109589/29984490301776592260021432440138801810881\
      3677856267832509391469281280000000000000000*ep+
      771452018484711835435706599/972010943756786857779061594376151963535850727\
      0965550063482438840493618298355712000000000000000000*ep^2+527590800215053\
      265876818911500390221358717/982532836109588579978960430962483058526165032\
      6511297972948536364425630844359005185897817702400000000000000000000*ep^3+
      40297190546243418168001807945543099586355353374932441073/
      1418812323688497945551263265676323734990769767520001927194664432851039629\
      016943234549272219393328823664640000000000000000000000*ep^4+
      2564762462016178690938508769719449231199943460643386009851463780606437/
      2048815404298435373303467777953896838429367312318543735896286616929077465\
      18497883740824501888549622491034309628002304000000000000000000000000*ep^5
      +991155562969143310431171940391112970554545877280556441170637771562091019\
      299529718271/207099356522682106859983999446648161463261069082381590853037\
      0614440806872605836328391147007449663395250066958549771331175666679808000\
      00000000000000000000000*ep^6+28699107424609023318631064810079845850661329\
      41738315125445305760664958935235748409664139110609147/
      1759169581403155869770234521961395936181718409551963157094438308614201101\
      2623487241817377428248871843265223943993151951153545062993977828966400000\
      00000000000000000000000*ep^7+28370905288574923431849523811797962054184667\
      751806708881313466345681053063998083701246370661312545620148735203/
      5608462001101775873100822544423111079339026875813405515538295925457142152\
      1015117445237438180883249310050801831698303208010273761904460212802674055\
      184384000000000000000000000000000000*ep^8;
Fill mncpoch(36,31) = 1/3540325354889166167494318531939183398582003272135982710\
      784000000000000000+27088112253109/464759599677537180030332202822151428068\
      66120067721514038955677738598400000000000000000*ep+
      6629530305273714198850181233/10546318739761137406902818298981248804363980\
      388997621818878446141935575853715947520000000000000000000*ep^2+7190563462\
      34516654544697210296682534520477/1522925895969862298967388667991848740715\
      5558006092511858070231364859727808756458038141617438720000000000000000000\
      00*ep^3+61064048771634374350916868432037771370802355051292890513/
      2199159101717171815604458061798301789235693139656002987151729870919111424\
      97626201355137194005965967668019200000000000000000000000*ep^4+
      4328335581354593587719022205375896914195287791907550021103389608289797/
      3175663876662574828620375055828540099565519334093742790639244256240070071\
      0367171979827797792725191486110317992340357120000000000000000000000000*
      ep^5+18661934134578878559452932405635327238019022431545911904896653361109\
      85019876918957151/3210040026101572656329751991423046502680546570776914658\
      2220744523832506525390463090062778615469782626376037857521455633222833537\
      024000000000000000000000000000*ep^6+6040322028225067544594085889145380429\
      216750238887379801887176132985724199209794456614197704281307/
      2726712851174891598143863509040163701081663534805542893496379378352011706\
      9566405224816935013785751357061097113189385524287994847640665634897920000\
      0000000000000000000000000*ep^7+668855737183203471880075001582761116424403\
      02782935698861055183677954923312317517393092683039238592143058031043/
      8693116101707752603306274943855822172975491657510778549084358684458570335\
      7573432040118029180369036430578742839132369972415924330951913329844144785\
      53579520000000000000000000000000000000*ep^8;
Fill mncpoch(36,32) = 1/4531616454258132694392727720882154750184964188334057869\
      80352000000000000000+30370011182509/5948922875872475904388252196123538279\
      278863368668353796986326750540595200000000000000000*ep+
      8352420043770117074251555033/13499287986894255880835607422695998469585894\
      89791695592816441106167753709275641282560000000000000000000*ep^2+
      1020586128629547386567384436756649232892677/19493451468414237426782574950\
      2956638811591142477984151783298961470204515952082662888212703215616000000\
      000000000000000*ep^3+9790811452364219917991960459548633175418224207669293\
      2313/28149236501979799239737063191018262902216872187596838235542142347764\
      626239696153773457560832763643861506457600000000000000000000000*ep^4+
      7862905479936446756968658996675873949015510958591441860859784631013997/
      4064849762128095780634080071460531327443864747639990772018232647987289690\
      926998013417958117468824510222120703019565711360000000000000000000000000*
      ep^5+38531985163543028259089301247554383469523206242772231901768367988020\
      19650761959465751/4108851233410013000102082549021499523431099610594450762\
      5242552990505608352499792755280356627801321761761328457627463210525226927\
      39072000000000000000000000000000*ep^6+14222903730664914791051323297479327\
      313016502880432705849128843553770170460287900533898811324091507/
      3490192449503861245624145291571409537384529324551094903675365604290574984\
      9044998687765676817645761737038204304882413471088633404980052012669337600\
      000000000000000000000000000*ep^7+1802467527115608681378918665465134822799\
      77112967651403160343495519416785318555263339606305035233552895322930843/
      1112718861018592333223203192813545238140862932161379654282797911610697002\
      9769399301135107735087236663114079083408943356469238314361844906220050532\
      54858178560000000000000000000000000000000*ep^8;
Fill mncpoch(36,33) = 1/4486300289715551367448800443673333202683114546450717291\
      1054848000000000000000+34745876421709/58894336471137511453443696741623028\
      9648607473498167025901646348303518924800000000000000000*ep+
      10980596617135078573721973433/1336429510702531332202725134846903848489003\
      59489377863688827669510607617218288486973440000000000000000000*ep^2+
      1549131850098130902206202115974245724802277/19298516953730095052514749200\
      7927072423475231053204310265465971855502470792561836259330576183459840000\
      00000000000000000*ep^3+17247482887524415654232960332483940975979866746709\
      9174713/27867744136960001247339692559108080273194703465720869853186720924\
      28697997729919223572298522443600742289139302400000000000000000000000*ep^4
      +16164898171370089475260196117037058659007141274748792932001652330859597/
      4024201264506814822827739270745926014169426100163590864298050321507416794\
      01772803328377853629413626511989949598937005424640000000000000000000000000
      *ep^5+9299825548608866302259564388177068898032695716909958307331297136593\
      076584299545850551/406776272107591287010106172353128452819678861448850625\
      4899012746060055226897479482772755306152330854414371517305118857841997465\
      81168128000000000000000000000000000*ep^6+40554822368111837594507590970511\
      136942421911526295477150722680626764612786571333642457629543785107/
      3455290525008822633167903838655695442010684031305583954638611948247669235\
      0554548700888020049469304119667822261833589336377747070930251492542644224\
      00000000000000000000000000000*ep^7+61122695802632810861693553895546421068\
      6813576773605877246690500424122949648253964258559113671114048605493517243/
      1101591672408406409890971160885409785759454302839765857739969932494590032\
      9471705308123756657736364296482938292574853922904545931218226457157850027\
      2230959677440000000000000000000000000000000*ep^8;
Fill mncpoch(36,34) = 1/3050684197006574929865184301697866577824517891586487757\
      951729664000000000000000+41309674280509/400481488003735077883417137843036\
      59696105308197875357761311951684639286886400000000000000000*ep+
      2238227078823496510075988719/12982458103967447227112187024227065956750320\
      63611099247262897360960188281549088159170560000000000000000000*ep^2+
      2680359648374848983835587764162262650346677/13122991528536464635710029456\
      5390409247963157116178930980516860861741680138942048656344791804752691200\
      0000000000000000000*ep^3+366001557004228457800936857878964538320994714740\
      346458313/189500660131328008481909909401934945857723983566901915001669702\
      285151463845634507202916299526164850475661472563200000000000000000000000*
      ep^4+42590860769370119307718166665216479467124373487435624623497013793107\
      997/273645685986463407952286270410722968963520974811124178772267421862504\
      3419932055062632969404680012660281531657272771636887552000000000000000000\
      0000000*ep^5+308257762042367855519855445198447976541211505490493093110356\
      66794954594526042821267751/2766078650331620751668721972001273479173816257\
      8521842533313286673208375542902860482854736081835849810017726317674808233\
      325582767519432704000000000000000000000000000*ep^6+
      1714769283856054522673012630462171914397652280360640247475075595744519944\
      41035026690582704144205507/2349597557005999390554174610285872900567265141\
      2877970891542561248084150798377093116603853633639126801374119138046840748\
      7368680082325710149289980723200000000000000000000000000000*ep^7+
      3344680989641706128855964082646040129601866688242574901803234159412297876\
      080073762516646150951521175127502516843/
      7490823372377163587258603894020786543164289259310407832631795540963212224\
      0407596095241545272607277216083980389509006675750912332283939908673380185\
      11705258065920000000000000000000000000000000*ep^8;
Fill mncpoch(37,0) = 1;
Fill mncpoch(37,1) = 1/36+1/1296*ep+1/46656*ep^2+1/1679616*ep^3+1/60466176*ep^4
      +1/2176782336*ep^5+1/78364164096*ep^6+1/2821109907456*ep^7+1/
      101559956668416*ep^8;
Fill mncpoch(37,2) = 1/2520+71/3175200*ep+3781/4000752000*ep^2+178991/
      5040947520000*ep^3+7944301/6351593875200000*ep^4+338516711/
      8003008282752000000*ep^5+14024867221/10083790436267520000000*ep^6+
      569234516831/12705575949697075200000000*ep^7+22744317996541/
      16009025696618314752000000000*ep^8;
Fill mncpoch(37,3) = 1/257040+1837/5505796800*ep+2250019/117934167456000*ep^2+
      2296894753/2526149866907520000*ep^3+2110559658211/54110130149159078400000
      *ep^4+1810297906403257/1159038987794987459328000000*ep^5+
      1479013881296777659/24826615118568631378805760000000*ep^6+
      1165357681479198630433/531786095839740084134019379200000000*ep^7+
      892834184836736230184371/11390858172887232602150695102464000000000*ep^8;
Fill mncpoch(37,4) = 1/33929280+27347/7994416953600*ep+467509879/
      1883644522607232000*ep^2+6395187452303/443824322416716003840000*ep^3+
      76562342365310671/104573886847826624824780800000*ep^4+
      838205412612469134047/24639699219084909341214852096000000*ep^5+
      8604949956617030343451279/5805605930000786338977043450859520000000*ep^6+
      84148867105394273306455807103/1367916869226785277189770977891520102400000\
      000*ep^7+792209847912665057402574653964271/322308572727215147011453837810\
      799966527488000000000*ep^8;
Fill mncpoch(37,5) = 1/5428684800+277681/10232853700608000*ep+46277431561/
      19288519911498055680000*ep^2+6000308081679841/
      36358088492377375034572800000*ep^3+667047501879663542521/
      68533542484591656845168345088000000*ep^4+66758748058706969556651601/
      129182986241755889486868523757076480000000*ep^5+
      6188160055825548844088254639081/24350476174626018144716769254113888174080\
      0000000*ep^6+540986533036215765714199048292736961/45899673570123059162065\
      3213732345146526138368000000000*ep^7+451578874642562204830902888653675015\
      37241/865190486927391615981266481756921307395909778145280000000000*ep^8;
Fill mncpoch(37,6) = 1/1009735372800+10493071/59002634437705728000*ep+
      64251630842281/3447745780100631460577280000*ep^2+299866932133790136991/
      201464749455413074615822240972800000*ep^3+1181269548378317811075091801/
      11772342818137738302963049031666761728000000*ep^4+
      4137892126654872637353886780633711/68790225487278424693815009598464795479\
      1137280000000*ep^5+13291775971221708819480203507073033843721/
      40196715264695105217364597552743882274756165946572800000000*ep^6+
      39938419757387229806196547131813911246080192831/2348845212565530251446230\
      725893623358311355859442207817728000000000*ep^7+1137970811939180493887487\
      54149639609304234959065562041/1372518574282031789857486991414937728499597\
      73565239705491241697280000000000*ep^8;
Fill mncpoch(37,7) = 1/212044428288000+12440863/12390553231918202880000*ep+
      88483844266777/724026613821132606721228800000*ep^2+3777720449006913947/
      338460779085093965354581364834304000*ep^3+2101046256979827177406969801/
      2472191991808925043622240296650019962880000000*ep^4+
      8230293217630124174889763303263103/14445947352328469185701152015677607050\
      6138828800000000*ep^5+29322675258175923646337085351062479762297/
      8441310205585972095646565486076215277698794848780288000000000*ep^6+
      19410578408772045695428550256386120165448838211/9865149892775227056074169\
      0487532181049076946096572728344576000000000*ep^7+302835927893812651534699\
      587954573778150734576448962601/288228900599226675870072268197136922984915\
      52448700338153160756428800000000000*ep^8;
Fill mncpoch(37,8) = 1/49194307362816000+419218787/83363642144345668976640000*
      ep+98911443015408577/141266280675868825162592393625600000*ep^2+
      3459324105253952824406479/47877375658416868981990732460274273484800000*
      ep^3+2496736670326070237827030689476281/405659986404797128796538163507142\
      082492849192960000000*ep^4+314706481877533613859993626509453221481907/
      687422910328254169910793996439295863294333192270931558400000000*ep^5+
      35831294110148883889784195766962462366005390108657/1164892455458059036123\
      430176123865402297282378398610620139175936000000000*ep^6+7535815247418345\
      17919741608117790901179241299470630255263/3948004677746720883394735258726\
      02150902828513479126864401849884803596288000000000*ep^7+37166559643058792\
      3535583122450845481781991883212563847163775065961/33451029883657738188655\
      01207893046575894251378280429309581484760072943931333017600000000000*ep^8
      ;
Fill mncpoch(37,9) = 1/12396965455429632000+479739467/
      21007637820375108582113280000*ep+127945601781086137/355991027303189439409\
      73283193651200000*ep^2+5007995069814061654369111/120650986659210509834616\
      64579989116918169600000*ep^3+4012173005635042662248748533053681/
      102226316574008876456727617203799804788197996625920000000*ep^4+7964656006\
      5172889658328316696980638872141/24747224771817150116788583871814651078595\
      994921753536102400000000*ep^5+6957314193378463708759317749525881784564023\
      4739817/29355289877543087710310440438321408137891515935644987627507233587\
      2000000000*ep^6+12765634373245334079508906729540343900656781662666398707/
      7959177430337389300923786281591659362201022831739197586341293677640501166\
      08000000*ep^7+85453114199320131435999131078106904447049242873512701147550\
      0540961/84296595306817500235410630438904773712535134732666818601453415953\
      8381870695920435200000000000*ep^8;
Fill mncpoch(37,10) = 1/3347180672966000640000+1627504961/
      17016186634503837951511756800000*ep+1457947726519399393/86505819634675033\
      776565078160572416000000*ep^2+190118259302211361662777613/879545692745644\
      61669435534788120662333456384000000*ep^3+
      503969578642445344044150015161254561/223568954347357412810863298824710173\
      0717890186208870400000000*ep^4+329099281397277984467008515971749333280731\
      43/1623665417278923219162498987829759257266683226816249503678464000000000
      *ep^5+94094300584664825978173953268161695611477435792333153/
      5778001706596805954020403991474802763781187081613002914722248786968576000\
      0000000*ep^6+7033143731324448971271549125680676151932484267623283496990861
      /587476835104990626037810820177132367098260246489209847844833812963742441\
      69482240000000000*ep^7+12227811018400617526997197043761704856377924899955\
      705450056656894885921/149328889688167997142022869503606639488544615124877\
      2891479166827597457332481702173343744000000000000*ep^8;
Fill mncpoch(37,11) = 1/957293672468276183040000+23699433053/
      63266181907085269503720711782400000*ep+306634009549024011097/418117228622\
      2383082556496487813107154944000000*ep^2+22942979413873565762865339913/
      2210621998684735318971858511993492528477146049413120000*ep^3+216836298912\
      13437049709946462841570926721/1826210930862854269245245069831508514387562\
      7219977102583398400000000*ep^4+200930741040913328809847378682384721487005\
      72025579/1724167026804345663003754966928465939177791239856057179132163491\
      10272000000000*ep^5+81169289028334492894556913039015985039326319258019922\
      5172457/79763428428732111921341118405303393584849576411570258179409687223\
      211955312394240000000000*ep^6+8539626666258084120939005366981666155088179\
      40924158891907196295553521/1054290384996182650967342545930325773756101119\
      171417909386086481223004091408439464301690880000000000*ep^7+
      2082790536684119843856770821948778370269972976112000463375504972679472768\
      6077841/34838278575517201206647440855258463453287985059034325648362487664\
      8031978331322191086322352352395264000000000000*ep^8;
Fill mncpoch(37,12) = 1/287188101740482854912000000+131714881777/94899272860627\
      904255581067673600000000*ep+9406820206465581079249/3135879214666787311917\
      3723658598303662080000000000*ep^2+482820736110189825235635224000113/
      10362290618834696807680586774969496227236622106624000000000000*ep^3+
      19934056298028048860540166530351094119166481/3424145495367851754834834505\
      934078464476680103745706734387200000000000000*ep^4+1004312430155115487478\
      06526465023997735571129235739271/1616406587629074059066020281495436817979\
      17928736505360543640327290880000000000000000*ep^5+21975003304564946204848\
      544402813036459814701256613631213084439889/373891070759681774631286492524\
      859657428982389429235585215982908858806040526848000000000000000000*ep^6+
      6240385306807090654023982369599483854468828094333887096407133445217008877\
      93/1235496544917401544102354546012100516120430999029005362561820095183207\
      91961926499722854400000000000000000000*ep^7+16384264925024969953702878124\
      302613965856085347114153121592996660872421069280751978641/
      4082610770568422016403996975225601185932185749105585036917479023219124746\
      0701819267928400666296320000000000000000000000*ep^8;
Fill mncpoch(37,13) = 1/89602687743030650732544000000+145483336477/296085731325\
      15906127741293114163200000000*ep+11409900934354013171149/9783943149760376\
      413182201781482670742568960000000000*ep^2+
      639917440256330729345803577450413/323303467307642540399634307379048282289\
      7826097266688000000000000*ep^3+287447305859372948957558237215750470059575\
      81/1068333394554769747508468365851432480916724192368660501128806400000000\
      000000*ep^4+156969888863537563292485852346694204500127926967179371/
      5043188553402711064285983278265762872095039376578967248961578211475456000\
      0000000000000*ep^5+371036329331365061584353645617974714057025338031812541\
      07800395789/1166540140770207136849613856677562131178425055019215025873866\
      67563947484644376576000000000000000000*ep^6+11348982199260271793610865768\
      07042221070843467777708522713152010584618146093/
      3854749220142292817599346183557753610295744716970496731192878696971608709\
      2121067913530572800000000000000000000*ep^7+320100596551871125237047735998\
      48445427657379124002442586372951212820656530560204465741/
      1273774560417347669118047056270387570010841953720942531518253455244366920\
      7738967611593661007884451840000000000000000000000*ep^8;
Fill mncpoch(37,14) = 1/28852065453255869535879168000000+3676559651771/
      219281092619412800782052016803492659200000000*ep+
      7250730674687435886106621/16665773082438829974686298870541951689477115084\
      80000000000*ep^2+10181828059670801527718713021444823771/12666299183277319\
      460716368989576435050995707740392901312512000000000000*ep^3+1140846707356\
      5670406853266935942799160566095593421/96266242319923625333830569301770290\
      839293878738757540101436392393932800000000000000*ep^4+1548861629736455380\
      923984640994803040389660528241613282378653/104520206125663203037639635877\
      208921904729542524262247356267618033031878289653760000000000000000*ep^5+
      9075341725566426134456239323014279161795842564793905466385730494199680221/
      5560611778737908814609207339875404185423795214596517751684146537303610536\
      843411559817412608000000000000000000*ep^6+6863012693410687879658024944313\
      475845321568124883987371482860720076847047651197757371/
      4226168932167130501904601834301406740650125444226541125987857920947869524\
      6280098566250916941980185395200000000000000000000*ep^7+
      4774573215495290973750588919461171748336509990741090904300711905222628310\
      323398883955494830007021/321196741543939610477428992905679353199135772019\
      3908043302964962310302128146591101027703057095124244230998641868800000000\
      00000000000000*ep^8;
Fill mncpoch(37,15) = 1/9521181599574436946840125440000000+4022022696971/
      72362760564406224258077165545152577536000000000*ep+
      8640190883446554362195821/54997051172048138916464786272788440575274479779\
      8400000000000*ep^2+13166694713375526469130225102818932971/
      4179878730481515422036401766560223566828583554329657433128960000000000000
      *ep^3+15957073524467120952032198295324110848942438882621/
      3176785996557479636016408786958419597696697998378998823347400948999782400\
      0000000000000*ep^4+233637294577112799683337983407379107679794797622806128\
      4874253/34491668021468857002421079839478944228560749033006541627568313950\
      900519835585740800000000000000000*ep^5+1472525531354934451463148680442609\
      7270090285775646368294539919477386329421/18350018869835099088210384221588\
      8338118985242081685085805576835731019147715832581473974616064000000000000\
      0000000*ep^6+119500442353769252561465343315741322465983651278770257608353\
      51835697520946280210586571/1394635747615153065628518605319464224414541396\
      5947585715759931139127969431272432526862802590853461180416000000000000000\
      000000*ep^7+8902871887323309142551760687073117983793898549158975634757739\
      446196103962516146045689590716016221/105994924709500071457551567658874186\
      5557148047663989654289978437562399702288375063339142008841391000596229551\
      81670400000000000000000000000*ep^8;
Fill mncpoch(37,16) = 1/3199117017457010814138282147840000000+4383936363371/
      24313887549640491350713927623171266052096000000000*ep+
      10226797365978435635630221/1847900919380817467593216818765691603329222520\
      60262400000000000*ep^2+16867912443626644733357572859571207371/
      1404439253441789181804230993564235118454404074254764897531330560000000000\
      000*ep^3+450240848192943331841058936145646098784811304429/
      2178367540496557464696966025342916295563450056031313478866789222171279360\
      00000000000000*ep^4+34770111586990055476715863455464709248544214829545229\
      24273453/1158920045521353595281348282606492526079641167509019798686295348\
      7502574664756808908800000000000000000*ep^5+235339003094586299771738333863\
      72401498055723731675343766446503997312883821/6165606340264593293638689098\
      4538481607979041339446188830673816805622433632519747375255470997504000000\
      0000000000000*ep^6+204672843810651926303064646825788958685325645751131392\
      37830391396827282477895561900971/4685976111986914300511822513873399794032\
      8590925583888004953368627469977289075373290259016705267629566197760000000\
      00000000000000*ep^7+16310261818926067744808233075967358394838331382332930\
      051134637977968883091639805809558159046090621/
      3561429470239202400973732673338172668272017440151005238414327550209662999\
      6889402128195171497070737620033312941041254400000000000000000000000*ep^8;
Fill mncpoch(37,17) = 1/1087699785935383676807015930265600000000+4763945713091/
      8266721766877767059242735391878230457712640000000000*ep+
      12037141278511528236814741/6282863125894779389816937183803351451319356570\
      0489216000000000000*ep^2+21442138673361579988152960751091429891/
      4775093461702083218134385378118399402744973852466200651606523904000000000\
      00000*ep^3+4315716390760631536848808541435942270514233485363/
      5184514746381806765978779140316140783441011133354526079702958348767644876\
      80000000000000000*ep^4+51170237379278985541660262973343250221079956797315\
      65692421813/3940328154772602223956584160862074588670779969530667315533404\
      185750875386017315028992000000000000000000*ep^5+3714551835152112098587715\
      2337537455045660412164746875406989226827826980341/
      2096306155689961719837154293474308374671287405541170420242909771391162743\
      50567141075868601391513600000000000000000000*ep^6+34582928654839060188995\
      086646171882106577710709785776869642227826715391677950195755491/
      1593231878075550862174019654716955929971172091469852192168414533333979227\
      828562691868806567979099405250723840000000000000000000000*ep^7+
      2945209804846461333848419625265419104150743096380490275987239818345108792\
      6692759361148998075403141/12108860198813288163310691089349787072124859296\
      5134178106087136707128541989423967235863583090040507908113263999540264960\
      00000000000000000000000*ep^8;
Fill mncpoch(37,18) = 1/371993326789901217467999448150835200000000+
      98115155543129/53717158041171730350959294576424741514216734720000000000*
      ep+5091101530655083787571599101/77569484724922125302557869858672937688279\
      04008513799585792000000000000*ep^2+18576495280104177785328511763796704965\
      6769/11201309190404589367268842263511822714172299273690459232124248430477\
      31200000000000000*ep^3+76412110123086020120104379255520932098670181314957\
      6323/23107269202202241632579920291003780579927507607318415608567547835965\
      390081239285760000000000000000*ep^4+1847772061618092121516468384068617827\
      8249372090237958951374732338687/33367717704668656731947425367712363332111\
      30327227021206789131727259276423015194002282445275136000000000000000000*
      ep^5+27305825594417637682065189087518554791763239522349840472831168526728\
      45839318495021/3372891891953383489237682229214553481641437007807791631348\
      203007592319963384965828535409957903941466534707200000000000000000000*
      ep^6+51665640631818679411583027986462870301213878936972669256785693853679\
      901643260047453336513851249/487057572724084988913618572128652532869115285\
      5064849550195976648861681782177961283199416200767419609506629454553887539\
      20000000000000000000000*ep^7+89287009388310435997473219245765474324807863\
      4673291733440843104039213439792796666320291908466495022658917381/
      7033284396509083533524948908175518277426090169647196566798508822598083394\
      6298674596669982638415883449297642384052801665837314342912000000000000000\
      000000000*ep^8;
Fill mncpoch(37,19) = 1/127221717762146216374055811267585638400000000+
      106137575148329/183712680500807317800280787451372615978621232742400000000\
      00*ep+5942581694373426655191309901/26528763775923366853474791491666144689\
      39143170911719458340864000000000000*ep^2+23343883669148579038179614254441\
      8320741969/38308477431183695636059440541210433682469263516021370573864929\
      6322324070400000000000000*ep^3+103165600124355401672620650214636294215104\
      9515442524723/79026860671531666383423327395232929583352076017028981381301\
      01359900163407783835729920000000000000000*ep^4+26754097946379444539074211\
      604128876225236705182680029442955631698287/114117594549966806023260194757\
      5762825958206571911641252721883050722672536671196348780596284096512000000\
      000000000000*ep^5+4233010758633092367806404137166733344453805754912277057\
      054880316063463239712541821/115352902704805715331928732239137729072137145\
      6670264737921085428596573427477658313359110205603147981554869862400000000\
      000000000000*ep^6+8562462913089932477657561385458366186500065491093350692\
      5476924673607001624939450170451822920449/
      1665736898716370662084575516679991662412374276432178546167024013910695169\
      50486275885420034066245750645126727345742953840640000000000000000000000*
      ep^7+15797867973108101401697745067648914540774674843416043592333791599009\
      61860628699168630633094405583800245652181/
      2405383263606106568465532526596027250879722838019341225845090017328544520\
      9634146712061134062338232139659793695346058169716361505275904000000000000\
      000000000000*ep^8;
Fill mncpoch(37,20) = 1/43255384039129713567178975830979117056000000000+
      114631901789129/624623113702744880520954677334666894327312191324160000000\
      0000*ep+6916302511626394303719173101/901977968381394473018142910716648919\
      439308678109984615835893760000000000000*ep^2+2921881693718258232523232811\
      37989369862769/1302488232660245651626020978401154745203954959544726599511\
      40760749590183936000000000000000*ep^3+13862191085609372583532924660698616\
      91489981423550578323/2686913262832076657036393131437919605833970584578985\
      366964234462366055558646504148172800000000000000000*ep^4+3852909585021464\
      1242921896137060032465231405035042815418261519076687/
      3879998214698871404790846621757593608257902344499580259254402372457086624\
      68206758585402736592814080000000000000000000*ep^5+65239618359179970423621\
      65344701490838162101919594133169086711030265521855833749021/
      3921998691963394321285576896130682788452662952678900108931690457228349653\
      42403826542097469905070313728655753216000000000000000000000*ep^6+
      8296546585723532081040480064944473565592830503262751283943123834308390530\
      744865963251355386897/333147379743274132416915103335998332482474855286435\
      7092334048027821390339009725517708400681324915012902534546914859076812800\
      000000000000000000000*ep^7+2777837601036554691660519951545837105753558772\
      960446571642921354882528375009400797761642505849256032120811381/
      8178303096260762332782810590426492652991057649265760167873306058917051371\
      2756098821007855811949989274843298564176597777035629117938073600000000000\
      00000000000000*ep^8;
Fill mncpoch(37,21) = 1/14533809037147583758572135879208983330816000000000+
      123657123844979/209873366204122279855040771584448076493976896284917760000\
      0000000*ep+8032335513115073730799250251/303064597376148542934096018000794\
      036931607715844954830920860303360000000000000*ep^2+3646817810047792136266\
      31619951958218381119/4376360461738425389463430487427879943885288664070281\
      3743583295611862301802496000000000000000*ep^3+185640968760250767736510597\
      5117494295765830863551077773/90280285631157775676422809216314098756021411\
      6418539083299982779354994667705225393786060800000000000000000*ep^4+
      55283605507458401840446406396863063278563745011564654388179818698737/
      1303679400138820792009724464910551452374655187751858967109479197145581105\
      89317470884695319495185530880000000000000000000*ep^5+10016589546187765742\
      129689322061378166839315987513974293804091941055389788402979171/
      1317791560499700491951953837099909416920094752100110436601047993628725483\
      55047685718144749888103625412828333080576000000000000000000000*ep^6+
      1361430805023237711994059274850780204905199731111208328432727786874335182\
      7498597266895905310447/11193751959374010849208347472089543971411155137624\
      2398302424013734798715390726777395002262892517144433525160776339264980910\
      0800000000000000000000000*ep^7+486666420696814350657178650631027528864502\
      7238128088933578516487345687739031545455759775218305545931102715531/
      2747909840343616143815024358383301531404995370153295416405430835796129260\
      7486049203858639552815196396347348317563336853083971383627192729600000000\
      00000000000000000*ep^8;
Fill mncpoch(37,22) = 1/4796156982258702640328804840138964499169280000000000+
      133284027371219/692582108473603523521634546228678652430123757740228608000\
      000000000*ep+9315447986206530599386536811/1000113171341290191682516859402\
      62032187430546228835094203883900108800000000000000*ep^2+45436070007169616\
      9934782331958555682801759/14441989523736803785229320608512003814821452591\
      431928535382487551914559594823680000000000000000*ep^3+3544684579371967473\
      61608165881247551401274707853718379/4256070608326009424745646720197664655\
      6410094059731128212713473883878320048960625707057152000000000000000000*
      ep^4+79170641041053583225899274876498589646290824979439865382416796053457/
      4302142020458108613632090734204819792836362119581134591461281350580417649\
      4474765391949455433411225190400000000000000000000*ep^5+
      1535176641007736577686506862868674135903116326883187250265422606119838655\
      0298460931/43487121496490116234414476624297010758363126819303644407834583\
      7897479409571657362869877674630741963862333499165900800000000000000000000\
      00*ep^6+22307835943596293500441335465812742731969171166568949077356928611\
      566225564043705658724656682767/369393814659342358023875466578954951056568\
      1195415999143979992453248357607893983654035074675453065766306330305619195\
      74437003264000000000000000000000000*ep^7+85175057436073832925604621579757\
      6221020166630452910568825178946737199608927179836607047688879511715788791\
      8891/90681024731339332745895803826648950536364847215058748741379217581272\
      2656047039623727335105242901481079462494479590116151771055659697360076800\
      000000000000000000000000*ep^8;
Fill mncpoch(37,23) = 1/1544362548287302250185875158524746568732508160000000000
      +20514080980517/318587769897857620819951891265192180117856928560505159680\
      00000000000*ep+10796601075173370779673532411/3220364411718954417217704287\
      2764374364352635885684900333650615835033600000000000000*ep^2+808175240350\
      37172002650451598689510139737/6643315180918929741205487479915521754817868\
      19205868712627594427388069741361889280000000000000000*ep^3+33148747488977\
      54343454606841656110528230850484025527453/9593183151166825243376687707325\
      5361338148352010633962991456170134261733390357250343706820608000000000000\
      000000*ep^4+1133620475509190037711354505914757751095073574009608236261256\
      80910657/1385289730587510973589533216413951973293308602505125338450532594\
      8868944831220874456207724649558414511308800000000000000000000*ep^5+
      2353670762490033112704235658289486210718556527717587536163255621831007350\
      8012008531/14002853121869817427481461473023637464192926835815773499322735\
      9802988369882073670844100611231098912363671386731420057600000000000000000\
      00000*ep^6+52269202635230559708505721974844436635722160058682424627997220\
      10486960367864536689115667002281/1699211547432974846909827146263192774860\
      2133498913596062307965284942444996312324808561343507084102525009119405848\
      300424102150144000000000000000000000000*ep^7+1493318552593377403290405032\
      5836560996406135093506559555241427562692200369950913434534639223459909708\
      365482491/291992899634912651441784488321809620727094808032489170947241080\
      6116966952471467588402019038882142769075869232224280174008702799224225499\
      44729600000000000000000000000000*ep^8;
Fill mncpoch(37,24) = 1/4818411150656383020579930494597209294445425459200000000\
      00+22100933210117/9939938420813157769582499007473996019677136171087760982\
      016000000000000*ep+12515075917068398269289829211/100475369645631377817192\
      37376302484801678022396333688904098992140530483200000000000000*ep^2+
      14382442879664346355996256898681152712191/2961020480638151541794445848190\
      9182678616783941747291191401351620725394186415636480000000000000000*ep^3+
      4433192514881564956671932325513512383791930881127153853/
      2993073143164049475933526564685567273750228582731779645333432508188966081\
      7791462107236528029696000000000000000000*ep^4+162605797536319901491160033\
      036845785747539412349400840195272645452257/432210395943303423759934363521\
      1530156675122839815991055965661696047110787340912830336810090662225327528\
      345600000000000000000000*ep^5+3618024487085370683738724007552635341636305\
      9418001379738543659362284485227320161331/
      4368890174023383037374215979583374888828193172774521331788693625853237140\
      320698530335939070410286065746547266020305797120000000000000000000000*
      ep^6+50612576719958519119305340453174743457799643619478508540338942939191\
      1334900202022685451185593/31185529576416950131521533507889185044493327362\
      7120115967063833464826049344085020015949363188837646341343838507333513665\
      874755584000000000000000000000000*ep^7+2630654739101951259838501152374070\
      4183872179990338367857833252986638816035950179216761774047150700669657283\
      291/911017846860927472498367603564046016668535801061366213355392171508493\
      6891710978875814299401312285439516712004539754142907152733579583558275563\
      5200000000000000000000000000*ep^8;
Fill mncpoch(37,25) = 1/1445523345196914906173979148379162788333627637760000000\
      00000+23820023125517/2981981526243947330874749702242198805903140851326328\
      294604800000000000000*ep+14521565232512280361741657411/
      3014261089368941334515771212890745440503406718900106671229697642159144960\
      000000000000000*ep^2+125640976504685541868501345526099842014737/
      6218143009340118237768336281200928362509524627766931150194283840352332779\
      1472836608000000000000000000*ep^3+594510946457305774779220827755025640509\
      9404045309902453/89792194294921484278005796940567018212506857481953389360\
      00297524566898245337438632170958408908800000000000000000000*ep^4+
      234147041621796361476559986089277135766373910751296366018242802785657/
      1296631187829910271279803090563459047002536851944797316789698508814133236\
      202273849101043027198667598258503680000000000000000000000*ep^5+
      5590371595151964194387883902841914321677979139751382753317645364245973007\
      4027633531/13106670522070149112122647938750124666484579518323563995366080\
      8775597114209620955910078172112308581972396417980609173913600000000000000\
      0000000000*ep^6+203675513484305589937423024237722934202786071860734943887\
      3260886384457941235507435463566268183/
      2272088583424663509582283155574783481813085279283303702045750786672304073\
      7926194315447739318043885662012193948391441709942303621120000000000000000\
      0000000000*ep^7+467230079448030108380230807373189419270346671792247833015\
      73724869303579948812213385373067128486485546256107491/
      2733053540582782417495102810692138050005607403184098640066176514525481067\
      5132936627442898203936856318550136013619262428721458200738750674826690560\
      000000000000000000000000000*ep^8;
Fill mncpoch(37,26) = 1/4134196767263176631657580364364405574634175043993600000\
      0000000+2335944903847/775315196823426306027434922582971689534816621344845\
      35659724800000000000000*ep+16882796436866719776093411811/
      8620786715595172216715105668867531959839743216054305079716935256575154585\
      60000000000000000*ep^2+157302480248360411767730360347193679239537/
      1778388900671273816001744176423465511677724043541342308955565178340767174\
      8361231269888000000000000000000*ep^3+801011283064929247373563800191558099\
      7862137991116653653/25680567568347544503509657925002167208776961239838669\
      35696085092026132898166507448800894104947916800000000000000000000*ep^4+
      339300564514920827382241857997727937470624848198659615355407999178457/
      3708365197193543375860236839011492874427255396562120326018537735208421055\
      53850320842898305778818933101932052480000000000000000000000*ep^5+
      8708312041545700216780200826178822729406457872857594581737447440657100509\
      3657835931/37485077693120626460670773104825356546145897422405393026746991\
      3098207746639515933902823572241202544441053755424542237392896000000000000\
      000000000000*ep^6+2386394139466776503095550716102826045590643343037835060\
      2016479834063073889218555358223779079681/
      4548721344016176346183730877460716530589796729125174011495593074917952755\
      7328241019526374114723859095348412284679666303304491849482240000000000000\
      0000000000000*ep^7+763662479571536943252219016902416166093502715957534332\
      3796081150729280624453051054270112004996966232215663081/
      7105939205515234285487267307799558930014579248278656464172058937766250775\
      5345635231351535330235826428230353635410082314675791321920751754549395456\
      0000000000000000000000000000*ep^8;
Fill mncpoch(37,27) = 1/1116233127161057690547546698378389505151227261878272000\
      0000000000+2523481985527/209335103142325102627407429097402356174400487763\
      10824628125696000000000000000*ep+19688674622539550461209551251/
      2327612413210696498513078530594233629156730668334662371523572519275291738\
      11200000000000000000*ep^2+197918402637799983050348070477297944238017/
      4801650031812439303204709276343356881529854917561624234180025981520071372\
      057532442869760000000000000000000*ep^3+1086812488304172963525045010862150\
      0426740241111864252773/69337532434538370159476076397505851463697795347564\
      4072637942974847055882504957011176241408335937536000000000000000000000*
      ep^4+496240149155177499286233758732081207696122786121130305336302596573737
      /100125860324225671148226394653310307609535895707177248802500518850627368\
      499539586627582542560281111937521654169600000000000000000000000*ep^5+
      1372443088539773413285353712395696479767949226274739338336485576449844622\
      02138604171/1012097097714256914438110873830284626745939230404945611722168\
      7653651609159266930215376236450512468699908451396462640409608192000000000\
      0000000000000000*ep^6+826902007761885306021404772722266125903736813877321\
      023997635862114490145198538033591695578529/
      2506438291600750231570627218192639720937234932375095883885326796383361722\
      5466581786269634716276412154579737381354101840596352651755520000000000000\
      00000000000000*ep^7+13966312473471340864004856038496482040786863556903357\
      707055146364085589204066323270658204452949878558726667321/
      1918603585489113257081562173105880911103936397035237245326455913196887709\
      3943321512464914539163673135622195481560722224962463656918602973728336773\
      1200000000000000000000000000000*ep^8;
Fill mncpoch(37,28) = 1/2812907480445865380179817679913541552981092699933245440\
      000000000000+2731856520727/5275244599186592586210667213254539375594892291\
      630327806287675392000000000000000*ep+23063753916352507184584532851/
      5865583281290955176252957897097468745474961284203349176239402748573735180\
      0422400000000000000000*ep^2+35826184523279778579102165642085251235031/
      1728594011452478149153695339483608477350747770322184724304809353347225693\
      94071167943311360000000000000000000*ep^3+14891902474428744795938309085873\
      296346787764015880909573/174730581735036692801879712521714745688518444275\
      8623063047616296614580823912491668164128349006562590720000000000000000000\
      00*ep^4+73517832989434460712895968701257565364736217829007849154998971773\
      2937/25231716801704869129353051452634197517603045718208666698230130750358\
      096861883975830150800725190840208255456850739200000000000000000000000*
      ep^5+21981503551285350922024298152835164637555816779678418287925327830857\
      2252614209217771/25504846862399274243840394020523172593997668606204629415\
      3986528872020550813526641427481158552914211237692975190858538322126438400\
      00000000000000000000000*ep^6+70155987462955072918815157556176749539417143\
      668659532163174639331661478200324312902138068961521/
      3094950002468606385943410489024271527413297694496768397421601528174175055\
      0006135189685744947658113728475059718496044952768376254387716096000000000\
      000000000000000000*ep^7+2614370729895355288210905579196890273669780709549\
      6862207407101064712034307459670092130109663616588613739320921/
      4834881035432565407845536676226819895981919720528797858222668901256157027\
      6737170211411584638692456301767932613533020006905408415434879493795408668\
      262400000000000000000000000000000*ep^8;
Fill mncpoch(37,29) = 1/6525945354634407682017177017399416402916135063845129420\
      80000000000000+2966277872827/12238567470112894800008747934750531351380150\
      11658236051058740690944000000000000000*ep+27186536654521688700458277151/
      1360815321259501600890686232126612748950191017935177008887541437669106561\
      7697996800000000000000000*ep^2+320887443159119483337019092907710273183317/
      2807236674598824514225601231321380167217614379003227992271010389835894526\
      95971576739937648640000000000000000000*ep^3+20684063333318741520095751638\
      079750478899166773205418473/405374949625285127300360933050378209997362790\
      7200005506270469808145827511476980670140777769695225210470400000000000000\
      0000000*ep^4+110853485909527775941962635438833791517421289826952052676048\
      6973167037/58537582979955296380099079370111338240839066066244106739893903\
      3408307847195708239259498576824427492831526598937149440000000000000000000\
      0000*ep^5+359881861152647328572786727694233427408301744821542988262176078\
      835764745034511448071/591712447207663162457097141276137604180745911663947\
      4024372487469830876778873818081117562878427609700714477024427918089073333\
      370880000000000000000000000000*ep^6+1247444531902696943213646815374228595\
      20992686706565890144564710071574291085825564844318088066821/
      7180284005727166815388712334536309943598850651232502682018115545364086127\
      6014233640070928278566823850062138546910824290422632910179501342720000000\
      00000000000000000000*ep^7+50502929197690757077396900261104984444171240567\
      483600512959394590880837573044195736404319412140096569644846221/
      1121692400220355174620164508884622215867805375162681103107659185091428430\
      4203023489047487636176649862010160366339660641602054752380892042560534811\
      036876800000000000000000000000000000*ep^8;
Fill mncpoch(37,30) = 1/1370448524473225613223607173653877444612388363407477178\
      36800000000000000+22639315926589/1799069418106595535601285946408328108652\
      882067137606995056348815687680000000000000000*ep+
      4617692465006797796339085193/40824459637785048026720586963798382468505730\
      5380553102666262431300731968530939904000000000000000000*ep^2+416146185747\
      260525146620665637483425249717/589519701665753147987376258577489835115699\
      01959067787837691218186553785066154031115386906214400000000000000000000*
      ep^3+29268775868322230903568515950319347301876425430052720073/
      8512873942130987673307579594057942409944618605120011563167986597106237774\
      101659407295633316359972941987840000000000000000000000*ep^4+
      1712322748271305264987084742105994363448204447715165396774488395057437/
      1229289242579061223982080666772338103057620387391126241537771970157446479\
      110987302444947011331297734946205857768013824000000000000000000000000*
      ep^5+60714734970355727636846138337180189952811799827112665030217334462252\
      0721674061151271/12425961391360926411599039966798889687795664144942895451\
      1822236866448412356350179703468820446979803715004017512986279870540000788\
      4800000000000000000000000000*ep^6+160996944482875079670459702871640558902\
      7197044288875437739469600696265349853067469848737199390147/
      1055501748841893521862140713176837561709031045731177894256662985168520660\
      7574092345090426456949323105959134366395891170692127037796386697379840000\
      000000000000000000000000*ep^7+1454726490211526923985275216972907724715565\
      3488521051470716735378863108933817634150281689361615778867300004203/
      3365077200661065523860493526653866647603416125488043309322977555274285291\
      2609070467142462908529949586030481099018981924806164257142676127681604433\
      1106304000000000000000000000000000000*ep^8;
Fill mncpoch(37,31) = 1/2549034255520199640595909342996212046979042355937907551\
      7644800000000000000+24827248546189/33462691176782676962183918603194902820\
      9436064487594901080480879717908480000000000000000*ep+
      5556658462270219858392118393/75933494926280189329700291752664991391420658\
      800782877095924812221936146146754822144000000000000000000*ep^2+5498797231\
      08611814022858560672971580580517/1096506645098300855256519840954131093315\
      2001764386608537810566582699004022304649787461964555878400000000000000000\
      000*ep^3+42502873481827655620888466344587850043251138963908385273/
      1583394553236363707235209804494777288249699060552322150749245507061760225\
      982908649756987796842954967209738240000000000000000000000*ep^4+
      2735250404765153376128793575242140204750291263229030132466858857716237/
      2286477991197053876606670040196548871687173920547494809260255864492850451\
      14643638254760144107621378699994289544850571264000000000000000000000000*
      ep^5+10679572056222605172437140517949751847598314530824423993443306569500\
      05078824623431671/2311228818793132312557421433824593481929993530959378553\
      9198936057159404698281133424845200603138243490990747257415448055920440146\
      6572800000000000000000000000000*ep^6+312189900198733263889480837146630038\
      4273920121228203062986472992658697652312284597627219492852947/
      1963233252845921950663581726508917864778797745059990883317393152413448429\
      0087811761868193209925740977083989921496357577487356290301279257126502400\
      00000000000000000000000000*ep^7+31135633365866854270248878140211739015590\
      470604463840363432812539044641890034173611439306921251898970718481403/
      6259043593229581874380517959576191964542353993407760555340738252810170641\
      7452871068884981009865706230016694844175306380139465518285377597487784245\
      585772544000000000000000000000000000000*ep^8;
Fill mncpoch(37,32) = 1/4078454808832319424953454948793939275166467769500652082\
      823168000000000000000+27452767689709/535403058828522831394942697651118445\
      13509770318015184172876940754865356800000000000000000*ep+
      6802574150919439092472449433/12149359188204830292752046680426398622627305\
      408125260335347969955509783383480771543040000000000000000000*ep^2+
      746342898351598080435316347332764946446277/175441063215728136841043174552\
      6609749304320282301857366049690653231840643568743965993914328940544000000\
      000000000000000*ep^3+6405778672160319995253435263969098448814932538796781\
      0713/25334312851781819315763356871916436611995184968837154411987928112988\
      1636157265383961118047494872794753558118400000000000000000000000*ep^4+
      4585284803385148460556155855397470577008996909436343551528636503543597/
      3658364785915286202570672064314478194699478272875991694816409383188560721\
      8342982120761623057219420591999086327176091402240000000000000000000000000
      *ep^5+1994941188915247104122967303268138778486107209295260350351816090814\
      368881336966622551/369796611006901170009187429411934957108798964953500568\
      6271829769145504751724981347975232096502118958558519561186471688947270423\
      4651648000000000000000000000000000*ep^6+383002083503160850874597818125051\
      600627008364314619843554091035719530517855770735199193586128771/
      1847748943854985365330429860243687402144750818879991419592840614036186756\
      7141469893523005374047756213726108161408336543517511802636498124354355200\
      000000000000000000000000000*ep^7+7265169313000639443280727790312520400160\
      9630553656966360671695151972710638492250261101292090526768461177313243/
      1001446974916733099900882873532190714326776638945241688854518120449627302\
      6792459371021596961578512996802671175068049020822314482925660415598045479\
      293723607040000000000000000000000000000000*ep^8;
Fill mncpoch(37,33) = 1/5383560347658661640938560532407999843219737455740860749\
      32658176000000000000000+30734666619109/7067320376536501374413243608994763\
      475783289681978004310819756179642227097600000000000000000*ep+
      8546150780376451821973943233/16037154128430375986432701618162846181868043\
      13872534364265932034127291406619461843681280000000000000000000*ep^2+
      1054866532414291049833892947934634768698477/23158220344476114063017699040\
      9512486908170277263845172318559166226602964951074203511196691420151808000\
      000000000000000000*ep^3+1021394054988970740833427610899607501624363566627\
      83572513/3344129296435200149680763107092969632783364415886504382382406510\
      9144375972759030682867582269323208907469671628800000000000000000000000*
      ep^4+82726080645053590440202218893356743705163252147358291495261781469477\
      97/4829041517408177787393287124895111217003311320196309037157660385808900\
      1528212736399405342435529635181438793951872440650956800000000000000000000\
      00000*ep^5+40854806822841847911321754774413507930105973011499685451549643\
      87300475996940083571151/4881315265291095444121274068237541433836146337386\
      2075058788152952720662722769753793273063673827970252972458207661426294103\
      96958974017536000000000000000000000000000*ep^6+15186887269553812331824218\
      346148508575811172966318226912717505547087439417380375288337876369079307/
      4146348630010587159801484606386834530412820837566700745566334337897203082\
      0665458441065624059363164943601386714200307203653296485116301791051173068\
      800000000000000000000000000000*ep^7+2767087645132216819300392001813385958\
      0681864038485815394328924366478184950509019996345633093331700135655876149/
      1888442866985839559813093418660702489873350233439598613268519884276440056\
      4808637671069297127548053079685037072985463867836364453516959640842028618\
      0967359447040000000000000000000000000000000*ep^8;
Fill mncpoch(37,34) = 1/5491231554611834873757331743056159840084132204855677964\
      3131133952000000000000000+35110531858309/72086667840672314019015084811746\
      5874529895547561756439703615130323507163955200000000000000000*ep+
      11201909875022226460244521633/1635789721099898350616135565052610310550540\
      40014998505155125067480983723475185108055490560000000000000000000*ep^2+
      1594065060796661797876412040341483084448077/23621384751365636344278053021\
      7702736646333682809122075764930349551135024250095687581420625248554844160\
      00000000000000000000*ep^3+17886895827309389131132840716437383335955887754\
      0218774913/34110118823639041526743783692348290254390317042042344700300546\
      41132726349221421129652493391470967308561906506137600000000000000000000000
      *ep^4+1688237909017597405991837559228263904886994273474997145768124089303\
      3397/49256223477563413431411528673930134413433775466002352179008135935250\
      7815587769911273934492842402278850675698309098894639759360000000000000000\
      000000000*ep^5+9773856900092928257816599743698497816671068300160866467529\
      145568346949364968587875951/497894157059691735300369954960229226251286926\
      4133931655996391601177507597722514886913852494730452965803190737181465481\
      99860489815349788672000000000000000000000000000*ep^6+
      4286099828616256716384244302727137588484106957720249989963224199764435582\
      0134148038286698014212907/42292756026107989029975142985145712210210772543\
      1803476047766102465514714370787676098869365405504282424734144484843133477\
      2636241481862782687219653017600000000000000000000000000000*ep^7+
      6491843055596983750956544570307848646524536248194427108363621395021934637\
      38680402829844539309095152937848279443/
      1348348207027889445706548700923741577769572066675873409873723197373378200\
      3273367297143478149069309898895116470111621201635164219811109183561208433\
      3210694645186560000000000000000000000000000000*ep^8;
Fill mncpoch(37,35) = 1/3843862088228284411630132220139311888058892543398974575\
      019179376640000000000000000+41674329717109/504606674884706198133105593682\
      22611217092688329322950779253059122645501476864000000000000000000*ep+
      15930276591572843165254709233/1145052804769928845431294895536827217385378\
      2801049895360858754723668860643262957563884339200000000000000000000*ep^2+
      2744259329997095288892009865563484977752477/
      1653496932595594544099463711523919156524335779663854530354512446857945169\
      750669813069944376739883909120000000000000000000000*ep^3+3770093569295893\
      14653266766744528697436373293399177498513/
      2387708317654732906872064858464380317807322192942964129021038248792908444\
      45499479075674537402967711599333455429632000000000000000000000000*ep^4+
      44103124397558010204647566140094940668198163531711251280309706316641797/
      3447935643429438940198807007175109408940364282620164652530569515467554709\
      1143893789175414498968159519547298881636922624783155200000000000000000000\
      000000*ep^5+3206412439859818892223077656550046235044174362251333536065369\
      7455343279535517776173151/34852590994178421471025896847216045837590084848\
      9375215919747412082425531840576042083969674631131707606223351602702583739\
      90234287074485207040000000000000000000000000000*ep^6+
      1790425713326315043322106054002728276488784138277617615032649311966171496\
      54029196023070704504793307/2960492921827559232098260008960199854714754078\
      0226243323343627172586030005955137326920855578385299769731390113939019343\
      4084536903730394788105375711232000000000000000000000000000000*ep^7+
      3503239618117118349665394060623408086363596868443935618918932513524656959\
      158979254262928598695193294079835119043/
      9438437449195226119945840906466191044387004466731113869116062381613647402\
      2913571080004347043485169292265815290781348411446149538677764284928459033\
      24748625163059200000000000000000000000000000000*ep^8;
Fill mncpoch(38,0) = 1;
Fill mncpoch(38,1) = 1/37+1/1369*ep+1/50653*ep^2+1/1874161*ep^3+1/69343957*ep^4
      +1/2565726409*ep^5+1/94931877133*ep^6+1/3512479453921*ep^7+1/
      129961739795077*ep^8;
Fill mncpoch(38,2) = 1/2664+73/3548448*ep+3997/4726532736*ep^2+194545/
      6295741604352*ep^3+8877781/8385927816996864*ep^4+388944073/
      11170055852239822848*ep^5+16567713037/14878514395183444033536*ep^6+
      691369546465/19818181174384347452669952*ep^7+28401783126661/
      26397817324279950806956376064*ep^8;
Fill mncpoch(38,3) = 1/279720+3887/13040546400*ep+10073809/607950273168000*ep^2
      +21759430463/28342641735092160000*ep^3+42305781489841/
      1321333957689996499200000*ep^4+76779372928565087/
      61600589107507636792704000000*ep^5+132725982101630149009/
      2871819464192006027275860480000000*ep^6+221273238659717100276863/13388422\
      3420631320991600615577600000000*ep^7+358693230367539450795734641/
      6241682495869832184628420698227712000000000*ep^8;
Fill mncpoch(38,4) = 1/38041920+89389/30149743276800*ep+4994988391/
      23894877536595072000*ep^2+223337261258929/18937646242853058362880000*ep^3
      +8739412735758645151/15008842153310762874916915200000*ep^4+
      312731440978767657202369/11895107760184912008886651972608000000*ep^5+
      10493452440285936823572240511/9427348704256950163523027154370744320000000
      *ep^6+335399343505105800840484822334209/747155094207180328259853994092498\
      9703372800000000*ep^7+10320315667876706706341100501627625471/592150298362\
      9586973590646844780691339511078912000000000*ep^8;
Fill mncpoch(38,5) = 1/6276916800+1247459/54721784047392000*ep+933947313931/
      477061230018120612480000*ep^2+543992096129926079/
      4158991179624174412363891200000*ep^3+271665573819846195206011/36257835564\
      492775076523661648128000000*ep^4+122134322592798477809622715799/
      316093634981114143550628690828681016320000000*ep^5+
      50855236441130896392850591031687491/2755685344147254236625767888922991379\
      416780800000000*ep^6+19970920723189696323133740594482551305119/
      24023899489155113599649246909557303466272730007552000000000*ep^7+
      7488169154785072470181945498087836878436995371/20943891431248493105492615\
      5602705998180757683842037882880000000000*ep^8;
Fill mncpoch(38,6) = 1/1205168025600+12159157/84052660296794112000*ep+
      86273328385729/5862128394462666086154240000*ep^2+466555378335292722013/
      408845468921774841433019960524800000*ep^3+2129592639117185473800324361/
      28514322138655182088980656277260599296000000*ep^4+
      8643512695787139503231417091235717/19886891963637404651264641806862501522\
      12561920000000*ep^5+32169801369401451444207750414502562306449/
      138698184740378460404356857114975101215839856518758400000000*ep^6+
      111995655874068640424331699267352388443103919853/967329962140427996078047\
      0551335408271148951349913156845568000000000*ep^7+369723483397061085183120\
      632499352746608221560491082841/674649965611401827530291963506472073467042\
      311451695252722008719360000000000*ep^8;
Fill mncpoch(38,7) = 1/261521461555200+446677387/565422245816533991424000*ep+
      114061521852467809/1222470668996060997608346746880000*ep^2+
      21854203306534731167836963/2643041634128744963345448188746766745600000*
      ep^3+3490912589063513399848209939924841/571438583919141501470545851248554\
      0945169743872000000*ep^4+490924962111710008768658854758315065366587/
      12354782874964260344098723636115872813228212989082992640000000*ep^5+
      62789652045919918154234278831613941758601205305009/2671164744260754910840\
      9542630587523033871982252219453844278476800000000*ep^6+746046461542925764\
      5709254847385811263209132560201062137363/57751893847039902055193636244064\
      239258362649421066688230902897800380416000000000*ep^7+8356529084363025070\
      70957359347974340367550281602257562888382787641/1248624312703260348433175\
      92671079193712012418821685742750937966994762414078033920000000000*ep^8;
Fill mncpoch(38,8) = 1/62765150773248000+518745691/135701338995968157941760000*
      ep+151446644010145873/293392960559054639426003219251200000*ep^2+
      6553741217367540605509271/126865998438179758240581513059844803788800000*
      ep^3+5852497661016383380299141026156761/137145260140593960352931004299652\
      9826840738529280000000*ep^4+912704542705127675200604961170252468769931/
      2965147889991422482583693672667809475174771117379918233600000000*ep^5+
      128566720491774041809404738157139892434663098672033/641079538622581178601\
      8290231341005528129275740532668922626834432000000000*ep^6+334521002242269\
      1758027629115186993760343546578575826535879/27720909046579152986492945397\
      15083484401407172211201035083339094418259968000000000*ep^7+
      2041070972635329337650105436710710756200259577917070332083356183721/
      2996698350487824836239622224105900649088298051720457826022511207874297937\
      8728140800000000000*ep^8;
Fill mncpoch(38,9) = 1/16381704351817728000+17205674159/
      1027123434860482987461181440000*ep+164566140287005369273/6440004823567305\
      2408647132628857651200000*ep^2+230999210308240249042158548371/80756919217\
      2187958293410598246320834016916275200000*ep^3+663651859501945744955225542\
      6151169994441/25317061788487353023691543743188406785147128519692648448000\
      0000*ep^4+33069098056627191171745111486827624828009470402639/
      15873652036627565243440475977406580256368519703093234041765652070400000000
      *ep^5+147971498005520317571606262538162928530657106703941054509273/
      9952688470923282208673689389206580650392370401734862502006506678460004433\
      92000000000*ep^6+12168878852400194089037273142292758098074698594101352860\
      8081844888563/12480556783112420174329271776430706612166114207435245448554\
      816279094373814100643807232000000000*ep^7+2336524123370565366201965151842\
      662083853743433512201678730642893103019012680681/
      3912618637455544640351933051998562665912729634820706132459632142156761468\
      750464377554612309196800000000000*ep^8;
Fill mncpoch(38,10) = 1/4586877218508963840000+19444939319/
      287594561760935236489130803200000*ep+208108515442356195313/18032013505988\
      454674421197136080142336000000*ep^2+324201239934118292337069787387/
      226119373808212628322154967508969833524736557056000000*ep^3+1026638130208\
      5816386297732183072752679041/70887773007764588466336322480927538998411959\
      855139415654400000000*ep^4+8008321146523342162248389221627597378211806273\
      457/634946081465102609737619039096263210254740788123729361670626082816000\
      000000*ep^5+273500779740027144186379459288934309655416392925692904516113/
      2786752771858519018428633028977842582109863712485761500561821869968801241\
      49760000000000*ep^6+24417694198493726917654394536799737560875209273528844\
      6596509544793179/34945558992714776488121960974005978514065119780818687255\
      95348558146424667948180266024960000000000*ep^7+50704087186816217244648488\
      82200161594714305195208304283801064899417144714398881/
      1095533218487552499298541254559597546455564297749797717088696999803893211\
      250130025715291446575104000000000000*ep^8;
Fill mncpoch(38,11) = 1/1362302533897162260480000+65301420677/
      256246754528993295711815545651200000*ep+2327905693889458199257/4819957210\
      1507139344727859944742220464128000000*ep^2+
      11996952306011951267154907895257/1813251258568057066515360684454429095034\
      862451032064000000*ep^3+1249466888302816787541460446851127423497521/
      1705347155247792704734652909923673805684796518235088922397900800000000*
      ep^4+3189527670405220661961787218256288983420386311858211/
      4582469364541792044737370367061641214729489741967767176113075502291353600\
      0000000*ep^5+354923273439601704472632937416991587161816037728325394440783\
      817/603368202893403528237038623003079630980352921981429679771141738532555\
      06320036986880000000000*ep^6+10285368605481844057082377659939709335240657\
      64527630695497813858151518921/2269850344256896320531825040909486927804734\
      383731318930154477107109870532394393061813586493440000000000*ep^7+
      6909399005484633099355683725101686726836903508884704199807159569633621590\
      7021383841/21347746536095590885256255638361592921816023351883175780802254\
      81666862977626594620319254072750839431168000000000000*ep^8;
Fill mncpoch(38,12) = 1/425038390575914625269760000+942967605521/10393368363695\
      96807407123853161267200000*ep+482101351521493991505553/254146703776826844\
      3368810599166367800632541184000000*ep^2+
      35425547400736610619092187193120861/1242918460703094669041885196208870785\
      198976955134242717696000000*ep^3+5234473455118034087309367660056333484087\
      8276881/15196403071522048721257043589222974840019003687481460910333210761\
      625600000000*ep^4+1887531739667203840406033770195724578016662710211511332\
      583/530848904903870465224001806177594400880653607646504711573612268451346\
      2282878976000000000*ep^5+295579196507883257256903782858329507981841203094\
      7077754866820999184273/90865103847638833150660315356396799864618564778283\
      393469017704375327007447994759484842967040000000000*ep^6+
      1201370992071496965398252065753711555937297397089469490365544550498659135\
      60351069/4443807978918662987447214585760680641659754222531134706822064604\
      7057493974561570608094267469352151285760000000000*ep^7+
      1128560426665937541824814240957982711058833788101833197136331344705425070\
      70772020700932447761/5433171954167726769858347468671997445280302183753563\
      90248239111936836914586835256303216868983535355193073583783936000000000000
      *ep^8;
Fill mncpoch(38,13) = 1/138137476937172253212672000000+5203893538549/1688922359\
      100594812036576261387059200000000*ep+14597526601430611143019081/
      20649419681867181102371586118226738380139397120000000000*ep^2+29279967956\
      041661010843993512896860589/252467812330316104649132930479926878243542194\
      011643052032000000000000*ep^3+4703498878365361490309230064747527988447585\
      4836641/30867693739029161465053369790609167643788601240196717474114334359\
      55200000000000000*ep^4+13120913730011247289882940175872440851352294136049\
      27516488821/7702048843471334874901811919987418762777340289514019252742142\
      28779855018721280000000000000000*ep^5+77626839778942456456471355360949366\
      351642609337603641164887819724192959801/461424355476290949593196913919202\
      4993125161492647203574598555300309574596968483880089681920000000000000000\
      00*ep^6+84892388168851577265163291709853643559816297057090536089853128031\
      511221598037843890269/564155309823658387078259664207898909585710985282272\
      9608270199205192845914739261893605717549820097331200000000000000000000*
      ep^7+85601481937812273892646534086176592701341709031761354928627936575923\
      036235618326517905351871244561/689758158243949687579673018483749675670350\
      8631718391673073348100760624892215681964786932907017538688974566981632000\
      0000000000000000000*ep^8;
Fill mncpoch(38,14) = 1/46414192250889877079457792000000+5713326362449/
      567477912657799856844289623826051891200000000*ep+
      17508082584115320132750181/6938205013107372850396852935724184095726837432\
      320000000000*ep^2+38199159907941937829323441092962986489/8482918494298621\
      1162108664641255431089830177187912065482752000000000000*ep^3+664948946861\
      64140328722777469928716509744671123741/1037154509631379825225793224964468\
      032831297001670609707130241634480947200000000000000*ep^4+1402387989313725\
      9141000503666933149079269717277883658895737447/18115218879844579625769061\
      63581040893005230436093697328244951866090219004032450560000000000000000*
      ep^5+12763641293090986553801317934152578066744700849599189473332700281149\
      9042901/15503858344003375906331416307685203976900542615294604010651145809\
      0401706458141058371013312512000000000000000000*ep^6+149914566440711465662\
      562638457224264539885853398810978855363440515896418415241522024169/
      1895561841007492180582952471738540336207988910548437148378786932944796227\
      352391996251521096739552703283200000000000000000000*ep^7+
      1619728828634480877702337035060750891414963935123790447892389237387558215\
      08790777883211809592083661/2317587411699670950267701342105398910252378900\
      2573796021526449618555699637844691401684094567578929994954545058283520000\
      000000000000000000*ep^8;
Fill mncpoch(38,15) = 1/16012896326557007592412938240000000+143632894109927/
      4502937236939641864059438165059721756672000000000*ep+
      11017887147429399277413372949/1266257105917161082061677645034342218390626\
      465585561600000000000*ep^2+599478139310164945563937845434871232958063/
      3560802591544530647672347623281034163741374992166375047513820364800000000\
      00000*ep^3+25937450016873137422372350000457558174532277336677341981/
      1001322325197654617764988646442121860775623295643542564132967124860000471\
      61344000000000000000*ep^4+13556554714941458035181687893775296892585868570\
      3159289154345218765121/40225537969610647900980155219294821821207475388548\
      22569254993888883117866999576052472217600000000000000000*ep^5+
      3049710849432131482706744502387378334065006678143201603631215505107020903\
      0170913189/79181897124518961209675841989936046248904851526994498705879920\
      43549106349013543737857077404249316392960000000000000000000*ep^6+
      8833024051184294437040937948330985816369624405001069647156864408514672207\
      18051713371238146238943/2226649731455444735465312775207591011238129163928\
      5483074636719477771260701860624882789261367094813325600165336186880000000\
      00000000000000*ep^7+23483853772172060144820349534609387750970146055035424\
      530675004404655667028436337900095378067040779710078898541/
      6261493102134011754774024876990534466593558199838526429185286835546616932\
      9217986732783828396125254809101209990153574753647984640000000000000000000\
      0000*ep^8;
Fill mncpoch(38,16) = 1/5636539506948066672529354260480000000+156415026782327/
      1585033907402753936148922234101022058348544000000000*ep+
      13017204771718102267014047749/4457225012828407008857105310520884608735005\
      15886117683200000000000*ep^2+765865777726064084033662613957137807385663/
      1253402512223674787980666363394924025636963997242564016724864768409600000\
      00000000*ep^3+35726847997018497327955208079757477595505858396313143181/
      3524654584695744254532760035476268949930194000665269825748044279507201660\
      0793088000000000000000*ep^4+200803448730065813563646645092039900274676746\
      276462445605116556894321/141593893653029480611450146371917772810650313367\
      6897544377757848886857489183850770470220595200000000000000000*ep^5+
      4846398275352352249334666903771105554190775039193428571973753196449386652\
      6964995989/27872027787830674345805896380457488279614507737502063544469731\
      99329285434852767395725691246295759370321920000000000000000000*ep^6+
      1502775462506872576788236564759734532389872584211634103647700297727363628\
      781775704213369997242543/783780705472316546883790096873072035955821465702\
      8490042272125256175483767054939958741820001217374290611258198337781760000\
      00000000000000000*ep^7+42692529110762177318128845985005128973381272468559\
      973203104362399359809135403298138609613049704586497640811741/
      2204045571951172137680456756700668132240932486343161303073220966112409160\
      3884731329939907595436089692803625916534058313284090593280000000000000000\
      0000000*ep^8;
Fill mncpoch(38,17) = 1/2012244603980459802092979470991360000000+
      169805832439127/565857104942783155205165237574064874830430208000000000*ep
      +15291041673301597040267661349/159122932957974130216198659585595580531839\
      684171344012902400000000000*ep^2+9706251450632756472129529509354337264088\
      63/4474646968638518993090978917319878771523961470155953539707767223222272\
      0000000000000*ep^3+6960614382880589922656014229910848055809023515195623083
      /179757383819482956981170761809289716446439894033928761113150258254867284\
      6640447488000000000000000*ep^4+294011683183146658178869874922471380180089\
      500464228215943553612808721/505490200341315245782877022547746448934021618\
      722652423342859552052608123638634725057868752486400000000000000000*ep^5+
      7602335592586271039870605598911162307596927159076099966045929963974555324\
      9175665589/99503139202555507414527050078233233158223792622882366853756943\
      2160554900242437960274071774927586095204925440000000000000000000*ep^6+
      2520789447087834760615409802699147973882191322372172032517801566629434585\
      343482826919456301097743/279809711853617007237513064583686716836228263255\
      9170945091148716454647704838613565270829740434602621748219176806588088320\
      00000000000000000000*ep^7+76447930698427699317041349420239051570583178684\
      961126851046493164481143890206370348336323804424647511753414141/
      7868442691865684531519230621421385232100128976245085851971398849021300702\
      5868490847885470115706840203308944522026588178424203418009600000000000000\
      000000000*ep^8;
Fill mncpoch(38,18) = 1/724408057432965528753472609556889600000000+
      183866178378767/203708557779401935873859485526663354938954874880000000000
      *ep+17876263747906617586707285229/572842558648706868778315174508144089914\
      62286301683844644864000000000000*ep^2+12219715974670881863480989444422112\
      23986423/1610872908709866837512752410235156357748626129256143274294796200\
      3600179200000000000000*ep^3+941509200985227247829220061178527870263770025\
      8415267043/64712658175013864513221474251344297920718361852214354000734092\
      9717522224790561095680000000000000000*ep^4+426391133895210064395252537835\
      866847518247256250624694652584972093241/181976472122873488481835728117188\
      7216162477827401548724034294387389389245099085010208327508951040000000000\
      00000000*ep^5+11798980386299679724185861965628217439180939533239229041016\
      3215169354539890041478269/35821130112919982669229738028163963936960565344\
      2376520673524995577799764087277665698665838973930994273773158400000000000\
      000000000*ep^6+4179766906751841765557300996630290137010178940506777541153\
      979639225556345246027937970173746780903/
      1007314962673021226055047032501272180610421747721301540232813537923673173\
      74190088349749870655645694382935890365037171179520000000000000000000000*
      ep^7+13521689935441760018648671528996707682072938744046543357571159378489\
      3427123206397282813258028400842528496109061/
      2832639369071646431346923023711698683556046431448230906709703585647668252\
      9312656705238769241654462473191220027929571744232713230483456000000000000\
      000000000000*ep^8;
Fill mncpoch(38,19) = 1/261511308733300555880003612050037145600000000+
      3774664307989373/13972369978089178781588022112273839515262914868019200000\
      00000*ep+7514792932521137170257718882069/74653415085658127846058811857075\
      84594176356613121740317963321344000000000000*ep^2+10494714952946936660567\
      782601046475268369178557/398868079838359256649848873023086042226501541002\
      50071053380705769152400116940800000000000000*ep^3+16485822708912341574372\
      04970190246581676585618372470600023603/3044464015695379443239140404273307\
      9300066634862142160848104100505919914202351987230590894080000000000000000
      *ep^4+1519379401020556840230834041900549280533219917413759267528513815399\
      368405259/162663625593557946826254972204442678382302296212836420924576581\
      969369303466461634538375046270760419065856000000000000000000*ep^5+
      8541754270619573456121209826165102957590649661881804814542794172553230099\
      143188045866806389/608370421472639974251490706713237715007820311454860029\
      9717051542084808513451208061464614585806911796832436448620078694400000000\
      000000000000*ep^6+6138175913079090628249186431664450096884281832065362246\
      112487432226721910692642549429350083083794623799517/
      3250481462432965393901030572414013078498360766664203333351733442243740042\
      5799627084301395112373338409143414484845392681678038714286080000000000000\
      000000000*ep^7+4022562269919456344308870987967907068932553740644811053758\
      765160328511695031809509704967282350571645272691510367567892101/
      1736709965623388498529197560296409203689486768970590534606241150471080088\
      8380806563449365124661340788542068066292776213589740941010498417596144025\
      6000000000000000000000000*ep^8;
Fill mncpoch(38,20) = 1/94144071143988200116801300338013372416000000000+
      4071493833381773/50300531921121043613716879604185822254946493524869120000\
      0000000*ep+8723332514721932173724551607269/268752294308369260245811722685\
      4730453903488380723826514466795683840000000000000*ep^2+130840576031319389\
      73553544920439633136286534157/1435925087418093323939455942883109752015405\
      5476090025579217054076894864042098688000000000000000*ep^3+220340150068330\
      2180482613420764913741933543367000673661196003/10960070456503365995660905\
      4553839085480239885503711779053174761821311691128467154030127218688000000\
      00000000000*ep^4+21734140227172833507630802299662012695254783289421923222\
      72398662441254982459/5855890521368086085745178999359936421762882663662111\
      1532847569508972949247926188433815016657473750863708160000000000000000000
      *ep^5+1305768844053008007780293817942543975547532426345832158483254915245\
      2566143067145345510187589/21901335173015039073053665441676557740281531212\
      3749610789813855515053106484243490212726125089048824685967712150322832998\
      4000000000000000000000*ep^6+100140833756034619900193990375975410940246810\
      42457187940416625591576661991392732299982647781365757458723117/
      1170173326475867541804371006069044708259409875999113200006624039207746415\
      3287865750348502240454401827291629214544341365404093937142988800000000000\
      000000000000*ep^7+6995037885539754871748682429967054515393155278049167824\
      008560984598540157157150492183482286048864272418604662799944002901/
      6252155876244198594705111217067073133282152368294125924582468141695888319\
      8170903628417714448780826838751445038653994368923067387637794303346118492\
      160000000000000000000000000*ep^8;
Fill mncpoch(38,21) = 1/33609433398403787441698064220670773952512000000000+
      4385783919091373/17957289895840212570096926018694338545015898188378275840\
      0000000000*ep+10101740918556945185648494888069/95944569068087825907754784\
      9987138772043545351918406065664646059130880000000000000*ep^2+162589346222\
      41374709099359462669076604725296557/5126252562082593166463857716092701814\
      694997804964139131780488305451466463029231616000000000000000*ep^3+
      2933404637250591402737208771128445725887915026323931915745603/
      3912745152971701660450943247572055351644563912482510512198338997020827373\
      286277398875541707161600000000000000000*ep^4+3095354017579709819622646466\
      689229366625422930128382624285759155100589871259/
      2090552916128406732611028902771497302569349110927373681722658231470334288\
      1509649270871960946718129058343813120000000000000000000*ep^5+
      1986756199693685200831662637704000224836246672445711141466131148782743703\
      7599706523132892389/78187766567663689490801585626785311132805066428178611\
      0519635464188739590148749260059432266567904304128904732376652513804288000\
      000000000000000000*ep^6+9563683022624433494336495549207155015417822009137\
      93614909397981478887663237320092999640632083265938997501/
      2457363985599321837789179112744993887344760739598137720013910482336267472\
      1904518075731854704954243837312421350543116867348597268000276480000000000\
      0000000000000*ep^7+121048481722358901898211581909512011613992646188516105\
      09411479421236666386866516173766026338779486589132658207433543066101/
      2232019647819178898309724704492945108581728395481002955075941126585432130\
      1747012595345124058214755181434265878799475989705535057386692566294564301\
      701120000000000000000000000000*ep^8;
Fill mncpoch(38,22) = 1/11830520556238133179477718605676112431284224000000000+
      4719717135157823/63209660433357548246741179585804071678455961623091530956\
      800000000000*ep+11677811240424128891228500226419/337724883119669147195296\
      843195472847759327963875278935113955412814069760000000000000*ep^2+
      20158543686373143830671990098956035278274839107/1804440901853072794595277\
      9160646310387726392273473769743867318835189161949862895288320000000000000\
      00*ep^3+3895062826451536334646687700044545846624972240484566368697053/
      1377286293846038984478732023145363483778886497193843700293815326951331235\
      396769644404190680920883200000000000000000*ep^4+4396044873997548140809771\
      703550020302116302727812348675530407228312957043109/
      7358746264771991698790821737755670505044108870464355359663756974775576694\
      291396543346930253244781428537022218240000000000000000000*ep^5+
      3014345981616188446888458125908346583072567869948216129263569121503174995\
      8976151551543043739/27522093831817618700762158140628429518747383382718871\
      0902911683394436335732359739540920157831902315053374465796581684859109376\
      000000000000000000000*ep^6+9108707134339888132342934190058344258877761668\
      4730063868930480231332981876062545746290707177192009838803/
      5088188958417419334716417927566104990266798707873791043793508763425683236\
      5355237427397722683199375474905719502301041984157095519624101888000000000\
      00000000000000*ep^7+20895360789534970588671400305532139598871485968470956\
      943481066192316026844523854047324552310892209446146624236927879818251/
      7856709160323509722050230959815166782207683952093130401867312765580721098\
      2149484335614836684915938238648615893374155483763483402001157833356866341\
      98794240000000000000000000000000*ep^8;
Fill mncpoch(38,23) = 1/4081529591902155946919812918958258788793057280000000000
      +5075912565628703/2180733284950835414512570695710240472906730675996657818\
      0096000000000000*ep+13485828101770793685559033895059/11651508467628585578\
      2377410902438132476968147536971232614314617420854067200000000000000*ep^2+
      24962134032339682185502806298247188539150221027/6225321111393101141353708\
      8104229770837656053343484505616342249981402608727026988744704000000000000\
      0000*ep^3+5165262551754541573971919329061749703441018090859189609724733/
      4751637713768834496451625479851504019037158415318760766013662877982092762\
      11885527319445784917704704000000000000000000*ep^4+62358877921148731615737\
      54853242379107954445346680023386641615884310329318149/
      2538767461346337136082833499525706324240217560310202599083996156297573959\
      530531807454690937369449592845272665292800000000000000000000*ep^5+
      4569182297152512336001750318599320647185502958466261588485258348179161460\
      6642315650343051579/94951223719770784517629445585168081839678472670380105\
      2615045307710805358276641101416174544520062986934141906998206812763927347\
      20000000000000000000000*ep^6+25058460100343477279016064265820515861587292\
      61525041568175102224389545741605608922701377698372712408290211/
      2984222824111816439811179114517520576791477442167978447184892889749163218\
      2280846751168764353696433716032204488099561123708136522259535757312000000\
      000000000000000000*ep^7+3606906605957963732821635937319705699464158613217\
      0547164266645429771635606583131057816505357452566007645795779702097264811/
      2710564660311610854107329681136232539861650963472129988644222904125348778\
      8841572095787118656295998692333772483214083641898401773690399452508118887\
      98584012800000000000000000000000000*ep^8;
Fill mncpoch(38,24) = 1/1371393942879124398165057140769974953034467246080000000\
      000+779650075263929/10467519767764009989660339339409154269952307244783957\
      52644608000000000000*ep+15568636558085462543694650551459/
      3914906845123204754287881006321921251226129757242233415840971145340696657\
      9200000000000000*ep^2+4414816678189127693332772192267702344986921461/
      2988154133468688547849780229003029000207490560487256269584427999107325218\
      8972954597457920000000000000000*ep^3+685012418797339532841185294229750614\
      8204918641985509046391533/15965502718263283908077461612301053503964852275\
      4710361738059072700198316807193537179333783732348780544000000000000000000
      *ep^4+8850155221308627649284358676229163433515028652605498249519964325445\
      009738549/853025867012369277723832055840637324944713100264228073292222708\
      515984850402258687304776154956135063196011615538380800000000000000000000*
      ep^5+69334709337436119951441537574358429930884658484292811594534243498445\
      409507208776776027699979/319036111698429835979234937166164754981319668172\
      4771536786552233908306003809514100758346469587411636098716807513974890886\
      7958865920000000000000000000000*ep^6+580337304906059895490570585780280020\
      739094234495211168733069011974206578478120837447126607818792222817973/
      1432426955573671891109365974968409876859909172240629654648748587079598344\
      7494806440561006889774288183695458154287789339379905530684577163509760000\
      00000000000000000000*ep^7+62425036817343491215524862001031779124464663848\
      2718738759314915815606732863359484052441606523313429672154105385515308604\
      11/9107497258647012469800627728617741333935147237266356761844588957861171\
      8970507682241844718685154555606241475543599321036778629959599742160427279\
      4636324228300800000000000000000000000000*ep^8;
Fill mncpoch(38,25) = 1/4457030314357154294036435707502418597362018549760000000\
      00000+838363607759129/340194392452330324663961028530797513773449985455478\
      619609497600000000000000*ep+17980577715506440186096135910659/
      1272344724665041545143561327054624406648492171103725860148315622235726413\
      8240000000000000000*ep^2+5470519912170984050124002803289335185533258261/
      9711500933773237780511785744259844250674344321583582876149390997098806961\
      416210244173824000000000000000000*ep^3+9098479028375623382450468751560476\
      072248800400918410446321933/518878838343556727012517502399784238878857698\
      9528086756486919862756445296233789958328347971301335367680000000000000000\
      0000*ep^4+125895821299346228536437964173736907465467626895552914071683419\
      65056850289749/2772334067790200152602454181482071306070317575858741238199\
      7238026769507638073407337405225036074389553870377504997376000000000000000\
      0000000*ep^5+105554472472294499622321145713549243071842174503911621626456\
      548727366898424933209676661235179/103686736301989696693251354579003545368\
      9288921560550749455629476020199451238092082746462602615908781732082962442\
      0418395382086631424000000000000000000000000*ep^6+
      9448947137011044240364162749627840015640335863105784590785915796056829664\
      90188702402437461743756098620373/
      4655387605614433646105439418647332099794704809782046377608432908008694620\
      4358120931823272391766436597010239001435315352984692974724875781406720000\
      0000000000000000000000*ep^7+108638299513044759767763437555547015810989645\
      6515993489590359767046968678778597673549585273557402758170734320767473739\
      57211/2959936609060279052685204011800765933528922852111565947599491411304\
      8808665414996728599533572675230572028479551669779336953054736869916202138\
      8658256805374197760000000000000000000000000000*ep^8;
Fill mncpoch(38,26) = 1/1390593458079432139739367940740754602376949787525120000\
      00000000+901969934628929/106140650445127061295155840901608824297316395462\
      109329318163251200000000000000*ep+20791756445454690197205861676459/
      3969715540954929620847911340410428148743295573843624683662744741375466411\
      130880000000000000000*ep^2+970429595548263721327567523388964478764470923/
      4328554701910357410742395931727244866014850611905825510512299987278325388\
      51693942311747584000000000000000000*ep^3+12123026669245586369280564428590\
      533305088082001303000080766533/161890197563189698827905460748732682530203\
      6020732763068023918997180010932424942466998444567046016634716160000000000\
      0000000000*ep^4+179872905087619856166717853509378675998841137883418648157\
      08625252026269113549/8649682291505424476119657046224062474939390836679272\
      6631831382643520863830789030892704302112552095408075577815591813120000000\
      000000000000000*ep^5+1616156409728104335273842191808792112887345378727685\
      43101223239746650185047549511387668324979/
      3235026172622078536829442262864910615510581435268918338301563965183022287\
      8628472981689633201616353990040988428191705393592110290042880000000000000\
      00000000000*ep^6+15495874952886821939949248428800339970571434170362233718\
      30093648755421967062605801039102689007410582192973/
      1452480932951703297584897098617967615135947900651998469813831067298712721\
      5759733730728860986231128218267194568447818390131224208114161243798896640\
      0000000000000000000000000*ep^7+190741752272370686858492363686227386565235\
      7241040010959647501613332484400980052585081770728526087553240230781056394\
      21485411/9235002220268070644377836516818389712610239298588085756510413203\
      2712283036094789793230544746746719384728856201209711531293530779034138550\
      673261376123276749701120000000000000000000000000000*ep^8;
Fill mncpoch(38,27) = 1/4130062570495913455025922784000041169059540868949606400\
      0000000000+88305332259139/28657975620184306549692077043434382560275426774\
      76951891590407782400000000000000*ep+24094421808331090948045965770059/
      1179005515663614097391829668101897160176758785431556531047835188188513524\
      105871360000000000000000*ep^2+8464888262597349659107638483757945700476370\
      861/899906522527163305693344114206094207644487442215221123635507167355163\
      848272671706066123227136000000000000000000*ep^3+1623460101276889881988698\
      0856073234614992318721912562000349733/48081388676267340551887921842373606\
      7114704698157630631203103942162463246930207912698538036412666940510699520\
      0000000000000000000*ep^4+258727778218522615221291782242185341371829839647\
      36790021013744103451094943149/2568955640577111069407538142728546555056999\
      0784937439809653920645125696557744342175133177727427972336198446611230768\
      496640000000000000000000000*ep^5+2495843091129805105783487879226561372373\
      05220439543195010800123992380757994938392803077426579/
      9608027732687573254383443520708784528066426862748687464755644976593576194\
      9526564755618210608800571350421735631729365018968567561427353600000000000\
      0000000000000*ep^6+256831313039114901243107562238983751274546962335413963\
      8648480636641651262745553890870932249970513323952173/
      4313868370866558793827144382895363816953765264936435455347078269877176783\
      0806409180264717129106450808253567868290020618689735898099058894082723020\
      800000000000000000000000000*ep^7+3083566509003935408932782342578084572785\
      5082786841523571981302702094876967434747361877251235288134943691355382713\
      507421801/249345059947237907398201585954096522240476461061878315425781156\
      4883231641974559324417224708162161423387679117432662211344925331033921740\
      868178057155328472241930240000000000000000000000000000*ep^8;
Fill mncpoch(38,28) = 1/1156417519738855767407258379520011527336671443305889792\
      0000000000000+95244204281299/80242331736516058339137815721616271168771194\
      9693546529645314179072000000000000000*ep+28012822873043886667821768215419/
      3301215443858119472697123070685312048494924599208358286933938526927837867\
      49643980800000000000000000*ep^2+15147199406353881346166508215673213516735\
      58043/3599626090108653222773376456824376830577949768860884494542028669420\
      6553930906868242644929085440000000000000000000*ep^3+218997323863921015123\
      54188444524529952497546022652641263872053/1346278882935485535452861811586\
      4609879211731548413657673686910380548970914045821555559065019554674334299\
      58656000000000000000000000*ep^4+37573654728704271621480623062372213657286\
      164430010177671164731755925888418109/719307579361591099434110679963993035\
      4159597419782483146703097780635195036168415809037289763679832254135565051\
      144615179059200000000000000000000000*ep^5+3901117323777583666512235174123\
      26161376152052800524632101781307241945378500671135295063668739/
      2690247765152520511227364185798459667858599521569632490131580593446201334\
      5867438131573098970464159978118085976884222205311198917199659008000000000\
      0000000000000000*ep^6+431985955618152350471009764549308290220862947707012\
      3514864407131554596179791518808771050794738646640412093/
      1207883143842636462271600427210701868747054274182201927497181915565609499\
      2625794570474120796149806226310999003121205773233126051467736490343162445\
      824000000000000000000000000000*ep^7+5580480061754174470091587559556423032\
      0149864440191396409636196259534301994215399169391685927227472953038827841\
      526615494841/698166167852266140714964440671470262273334090973259283192187\
      2381673048597528766108368229182854051985485501528811454191765790926894980\
      87443089856003491972227740467200000000000000000000000000000*ep^8;
Fill mncpoch(38,29) = 1/3018249726518413552932944370547230086348712467028372357\
      120000000000000+102954062083699/20943248583230691226514969903341846775049\
      2818870015644237427000737792000000000000000*ep+
      32719032902414591657513015305819/8616172308469691823739491214488664446571\
      7532039338151288975795552816568341657078988800000000000000000*ep^2+
      13377889586654014972509709116957561093708727901/
      6576516866628509438006958786618136469465914227708835971528286379031537403\
      1766848279312285439098880000000000000000000*ep^3+298416376199089844672261\
      49425099514276693924351411404970576853/3513787884461617247531969328240663\
      1784742619341359646528322836093232814085659594260009159701037700012521920\
      9216000000000000000000000*ep^4+552894129920034176308634260751139195270678\
      15505590330336150334880804252652509/1877392782133752769523028874706021822\
      4356549265632281012895085207457859044399565261587326283204362183293824783\
      48744561734451200000000000000000000000*ep^5+61987315542472913141653491793\
      3718985619906581584792559739108665214261669261396689062037111139/
      7021546667048078534303420524933979733110944751296740799243425348894585483\
      2714013523405788312911457542888204399667819955862229173891110010880000000\
      000000000000000000*ep^6+7412240304554830185730204334636412142246108991581\
      704445028547458622823990592254255309357215237889352780893/
      3152575005429281166528877115019931877429811655615547030767644799626240793\
      0753323828937455277950994250671707398146347068138458994330792239795653983\
      60064000000000000000000000000000*ep^7+10340851713240647423604307010217301\
      8307607736744323967353487088652197660289472532360253793237135743926110657\
      651590004980441/182221369809441462726605719015253738453340197744020672913\
      1608691616665683955007954284107816724907568211715899019789544050871431919\
      59000822646452416911404751440261939200000000000000000000000000000*ep^8;
Fill mncpoch(38,30) = 1/7243799343644192527039066489313352207236909920868093657\
      08800000000000000+111627652111399/502637965997536589436359277680204322601\
      18276528803754616982480177070080000000000000000*ep+
      38459564756626564292558930692519/2067881354032726037697477891477279467177\
      2207689441156309354190932675976401997698957312000000000000000000*ep^2+
      17047297057424358973459081629218851881029267201/
      1578364047990842265121670108788352752671819414650120633166788730967568976\
      7624043587034948505383731200000000000000000000*ep^3+412269550831606759836\
      49146278375367778136614939506691413589753/
      8433090922707881394076726387777591628338228641926315166797480662375875380\
      5583026224021983282490480030052610211840000000000000000000000*ep^4+
      8282351239109726391332332557812552670213577051151091629612999881754162682\
      6209/45057426771210066468552692992944523738455718237517474430948204497898\
      8617065589566278095830796904692399051794803698694816268288000000000000000\
      000000000*ep^5+1007078461446229272497247949565942904771969765893444741216\
      196254673601624400625486912475343839/
      1685171200091538848232820925984155135946626740311217791818422083734700515\
      9851363245617389195098749810293169055920276789406935001733866402611200000\
      000000000000000000000*ep^6+1306428987534460692188899919355075238613757985\
      8836536490343363755498909063902939451908859159678175786765793/
      7566180013030274799669305076047836505831547973477312873842347519102977903\
      3807977189449892667082386201612097755551232963532301586393901375509569560\
      6415360000000000000000000000000000*ep^7+197799324352421766132037526039685\
      1366334534021000434922238192032152656028823222978600248491561805439881450\
      04357225299241741/4373312875426595105438537256366089722880164745856496149\
      9158608598799976414920190902818587601397781637081181576474949057220914366\
      070160197435148580058737140345662865408000000000000000000000000000000*
      ep^8;
Fill mncpoch(38,31) = 1/1571904457570789778367477428180997428970409452828376323\
      58809600000000000000+850782285001393/763507070350258079353829742796230366\
      03119662047252903263196387388969451520000000000000000*ep+
      6514680389112092149513491719617/64104321975014507168621814635795663482493\
      8438372675845589979918912955268461928667676672000000000000000000*ep^2+
      22019795740810034008503405397575987019407666401/
      3425049984140127715314024136070725473297848129790761773971931546199624679\
      574417458386583825668269670400000000000000000000*ep^3+5803413498911499033\
      4519409755471046037414285325291182952667353/
      1829980730227610262514649626147737383349395615298010391195053303735564957\
      5811516690612770372300434166521416415969280000000000000000000000*ep^4+
      1271195703077822055961614362565141776196417353851161051411452766980033264\
      99009/9777461609352584423675934379468961651244890857541291951515760376044\
      0529903232935882346795282928318250594239472402616775130218496000000000000\
      000000000000*ep^5+1686269612452035947525272161184850228313850670978212946\
      648480116395253068130136162573325712639/
      3656821504198639300665221409385616645004180026475342608245975921704300119\
      6877458242989734553364287088336176851347000633013048953762490093666304000\
      00000000000000000000000*ep^6+16716114641699001321989985657640575306664866\
      7021935472043316573123411716443492413697917582392037060507879751/
      1149302743979298742069767441051666365235812137171203825536652588151742343\
      5235431735077438696129814464024877649068232287160556610973233618939903616\
      26144931840000000000000000000000000000*ep^7+80608977694587578062454103394\
      7016922916149371136354477958041592003646519963522574737759022590819361910\
      0011385944043616509/19367528448317778324084950706764111629897872445935911\
      5210559552366114181266075131141053745091904461535645232695817631539121192\
      192596423731498515140260121621530792689664000000000000000000000000000000*
      ep^8;
Fill mncpoch(38,32) = 1/3018056558535916374465556662107515063623186149430482541\
      2891443200000000000000+931735791926593/1465933575072495512359353106168762\
      3027798975113072557426533706378682134691840000000000000000*ep+
      7818494798538738502905000730417/12308029819202785376375388410072767388638\
      8180167553762353276144431287411544690304193921024000000000000000000*ep^2+
      28982076041809639417092715823998747365029558801/
      6576095969549045213402926341255792908731868409198262606026108568703279384\
      78288152010224094528307776716800000000000000000000*ep^3+83842342618245396\
      476728440434265186448295787372985178148204553/
      3513563002037011704028127282203655776030839581372179951094502343172284718\
      555811204597651911481683359972111951866101760000000000000000000000*ep^4+
      2017802186092645234352318465732000847513109397483224708219392396235517012\
      90609/1877272628995696209345779400858040637039019044647928054691025992200\
      4581741420723689410584694322237104114093978701302420825001951232000000000\
      000000000000000*ep^5+2944050469442652791856311523047647773436167406191677\
      364329510870559081814771752086933685116239/
      7021097288061387457277225106020383958408025650832657807832273769672256229\
      8004719826540290342459431209605459554586241215385053991223980979839303680\
      0000000000000000000000000*ep^6+321375458812743256835652169487466308819636\
      109721354838136868605997521505582707859491809343297725918640912151/
      2206661268440253584773953486819199421252759303368711345030372969251345299\
      5652028931348682296569243770927765086211005991348268693068608548364614943\
      2219826913280000000000000000000000000000*ep^7+
      1196091411462076698449075427183846325206655405485760507191303117171221230\
      76851781631722725271445759493963855558236387856763/
      2602995823453909406757017374989096603058274056733786508429920383800574596\
      2160497625357623340351959630390719274317889678857888230684959349513400434\
      8509603459337385374908416000000000000000000000000000000*ep^8;
Fill mncpoch(38,33) = 1/4979793321584262017868168492477399854978257146560296193\
      127088128000000000000000+1028880000236833/2418790398869617595392932625178\
      457799586830893656971975378061552482552224153600000000000000000*ep+
      9546197327307145494890061796177/20308249201684595871019390876620066191254\
      049727646370788290563831162422904873900191996968960000000000000000000*
      ep^2+39183011640890037904414666928547760874111036081/
      1085055834975592460211482846307205829940758287517713329994307913836041098\
      48917545081686975597170783158272000000000000000000000*ep^3+12571277171396\
      2383943353187134320068418512965388041321647668393/
      5797378953361069311646410015636032030450885309264096919305928866234269785\
      61708848758612565394477754395398472057906790400000000000000000000000*ep^4
      +336115163118291418326827021026477344608621778199956112513880587462045949\
      978129/309749983784289874542053601141576705111438142366908129024019288713\
      0755987334419408752746474563169122178825506485714899436125321953280000000\
      000000000000000000*ep^5+5458226858951559864989188504437158156426718634666\
      399508662424503243957108755025367133284170159/
      1158481052530128930450742142493363353137324232387388538292325171995922277\
      9170778771379147906505806149584900826506729800538533908551956861673485107\
      2000000000000000000000000000*ep^6+664468776277208564828065661354847404197\
      716934473512076413018350953018002172484485729017761034966922772877431/
      3640991092926418414877023253251679045067052850558373719300115399264719744\
      2825847736725325789339252222030812392248159885724643343563204104801614656\
      316271440691200000000000000000000000000000*ep^7+
      2763717103907073740971596512814879367987092657858028792441144685808250470\
      65093785316181787803756483414215307075759447469403/
      4294943108698950521149078668732009395046152193610747738909368633270948083\
      7564821081840078511580733390144686802624517970115515580630182926697110717\
      504084570790668586859888640000000000000000000000000000000*ep^8;
Fill mncpoch(38,34) = 1/6772518917354596344300709149769263802770429719322002822\
      65283985408000000000000000+1150310260624633/32895549424626799297343883702\
      4270260743809001537348188651416371137627102484889600000000000000000*ep+
      11960708671793328247238966648377/2761921891429105038458637159220329002010\
      550762959906427207516681038089515062850426111587778560000000000000000000*
      ep^2+55159323293713332625153938590300969370977642681/
      1475675935566805745887616670977799928719431271024090128792258762817015893\
      9452786131109428681215226509524992000000000000000000000*ep^3+
      199390892608037355057203699780188821735687208185107947456278193/
      7884435376571054263839117621265003561413204020599171810256063258078606908\
      4392403431171308893648974597774192199875323494400000000000000000000000*
      ep^4+60244813121013968327158693173946987332799089261456025325441826541255\
      9445677529/42125997794663422937719289755254431895155587361899505547266623\
      2649782814277481039590373520540591000616320268882057226323313043785646080\
      000000000000000000000000*ep^5+1109119523406184851275364231423361497181597\
      7685486200469721701322643138922997321093052286627559/
      1575534231440975345413009313790974160266760956046848412077562233914454297\
      9672259129075641152847896363435465124049152528732406115630661331875939745\
      792000000000000000000000000000*ep^6+1535931951461009915433254044267363440\
      580089288256056820807238673041178956003286455945666541347412933630594031/
      4951747886379929044232751624422283501291191876759388258248156943000018852\
      2243152921946443073501383021961904853457497444585514947245957582530195932\
      59012915934003200000000000000000000000000000*ep^7+
      7293212083429199197248311997943032650854680802147759348567743300085925682\
      89294668708553283129812481853514266734656765865203/
      5841122627830572708762746989475532777262766983310616924916741341248489393\
      9088156671302506775749797410596774051569344439357101189657048780308070575\
      80555501627530927812944855040000000000000000000000000000000*ep^8;
Fill mncpoch(38,35) = 1/7111144863222326161515744607257726992908951205288102963\
      7854818467840000000000000000+1312217274475033/345403268958581392622110778\
      87548377378099945161421559808398718969450845760913408000000000000000000*
      ep+15633182790709436827913201597977/2900017986000560290381569017181345452\
      1110783011079017485678925150899939908159929474171671674880000000000000000\
      0000*ep^2+83001664662546837467482130887280334438804691481/
      1549459732345146033181997504526689925155402834575294635231871700957866688\
      642542543766490011527598783500124160000000000000000000000*ep^3+
      347214960979414852673053517057184251976569256428290372229144593/
      8278657145399606977031073502328253739483864221629130400768866420982537253\
      861202360272987433833142332766290180986908966912000000000000000000000000*
      ep^4+12208300436701020603828459954788874699975376765594706770942862019679\
      07425436729/4423229768439659408460525424301715348991336672999448082462995\
      4428227195499135509156989219656762055064713628232616008763947869597492838\
      400000000000000000000000000*ep^5+2631108813685178165044024314040953649451\
      2902408537174653562690506554548066517011628386379930759/
      1654310943013024112683659779480522868280099003849190832681440345610177012\
      8655872085529423210490291181607238380251610155169026421412194398469736733\
      08160000000000000000000000000000*ep^6+42923700000090053251760302319914890\
      04615312364283459786349252901808448006807727971489671612275251408091122831
      /519933528069892549644438920564339767635575147059735767116056479015001979\
      4835531056804376522717645217306000009613037231681479069460825546165670572\
      92196356173070336000000000000000000000000000000*ep^7+
      2417092887446132926329981057510774308309454037971261134328396979325946469\
      000880449406478124106433350793253689021525222179603/
      6133178759222101344200884338949309416125905332476147771162578408310913863\
      6042564504867632114537287281126612754147811661324956249139901219323474104\
      5958327670890747420359209779200000000000000000000000000000000*ep^8;
Fill mncpoch(38,36) = 1/5120024301520074836291336117225563434894444867807434133\
      925546929684480000000000000000+1555077795250633/2486903536501786026879197\
      6079034831712231960516223523062047077658004608947857653760000000000000000\
      00*ep+22161426703186295748394868102377/2088012949920403409074729692370568\
      7255199763767976892589688826108647956733875149221403603605913600000000000\
      000000000*ep^2+142205156595474069394004966853707597157484304681/
      1115611007288505143891038203259216746111890040894212137366947624689664015\
      82263063151187280829987112412008939520000000000000000000000*ep^3+
      727111163244693250217985529958493127895449753730410501365564193/
      5960633144687717023462372921676342692428382239572973888553583823107426822\
      78006569939655095235986247959172893031057445617664000000000000000000000000
      *ep^4+3163282597111045650594001799778800231419687407585523571946774365477\
      318854435529/318472543327655477409157830549723505127376240455960261937335\
      6718832358075937756659303223815286867964659381232748352631004246611019484\
      364800000000000000000000000000*ep^5+8546529547174992071144723676875561558\
      6222919686561369594413590525134110602000366112862654445559/
      1191103878969377361132235041225976465161671282771417399530637048839327449\
      2632227901581184711553009650757211633781159311721699023416779966898210447\
      8187520000000000000000000000000000*ep^6+104251867761854652930146519758509\
      6029034145170758477929112562251738599238463315207700044890507594364507820\
      943/220207141300189785731762366356661548645655356401770442543270979347530\
      2501342107271117147703739237974388423533483168709888626429418702584258401\
      654414008096733003776000000000000000000000000000000*ep^7+
      1287008371184713103978196640630801439806096452353414520405394216016747574\
      0239852616210404463218687605798441948662008922171203/
      4415888706639912967824636724043502779610651839382826395237056453983857981\
      7950646443504695122466846842411161182986424396153968499380728877912901355\
      308999592304133814265863104102400000000000000000000000000000000*ep^8;
Fill mncpoch(39,0) = 1;
Fill mncpoch(39,1) = 1/38+1/1444*ep+1/54872*ep^2+1/2085136*ep^3+1/79235168*ep^4
      +1/3010936384*ep^5+1/114415582592*ep^6+1/4347792138496*ep^7+1/
      165216101262848*ep^8;
Fill mncpoch(39,2) = 1/2812+75/3953672*ep+4219/5558862832*ep^2+210975/
      7815761141792*ep^3+9891211/10988960165359552*ep^4+445209975/
      15450477992495530112*ep^5+19483705459/21723372057448715337472*ep^6+
      835312684575/30543061112772893764485632*ep^7+35254361467771/
      42943543924558688632866798592*ep^8;
Fill mncpoch(39,3) = 1/303696+2053/7685938368*ep+2810215/194515728217344*ep^2+
      3205987345/4922804049724541952*ep^3+3292148869471/
      124586324890428707721216*ep^4+3155635177278913/
      3153030710326969735008534528*ep^5+2881095684048606655/
      79796901216954950053595991834624*ep^6+2536805424366682884865/201949997599\
      8695875956407361350664192*ep^7+2171875886836667982656191/5110950539257499\
      5228704757501062609371136*ep^8;
Fill mncpoch(39,4) = 1/42517440+97163/37661098003200*ep+5901514579/
      33359447389274496000*ep^2+286812238382207/29549131308471563066880000*ep^3
      +12198925026226814131/26174029530417941133380966400000*ep^4+
      474470270890394120749223/23184431877453603897126192417792000000*ep^5+
      17304112774016508850954070059/20536306068410853259996438719831797760000000
      *ep^6+601148763397248174988256284350047/181906491892769656006396454892526\
      09819852800000000*ep^7+20104666765116896821620130877530598851/
      16112913238877750589734585181470176726229213184000000000*ep^8;
Fill mncpoch(39,5) = 1/7227964800+2094661/108840573229248000*ep+2633242123621/
      1638949650235055988480000*ep^2+2575345131302287681/
      24679729960148534189088844800000*ep^3+2159461022317959934073341/371633790\
      469706266438188988098048000000*ep^4+1630083627590023600306371516601/
      5596158241678359083655523711917312276480000000*ep^5+113962695388995044186\
      8703462867363461/84268405804335567455046626490215986760427724800000000*
      ep^6+751403967456337939175582950973435556709921/1268935564387194101985630\
      413812559784795078391246848000000000*ep^7+4730345819323271021197198108009\
      52808351306211981/1910796165178910945816613903509711650498833713577676136\
      4480000000000*ep^8;
Fill mncpoch(39,6) = 1/1431137030400+28060691/237054768493302144000*ep+
      459470690577361/39265955720331471372003840000*ep^2+5734060743461162254031/
      6504046674237624403124095980902400000*ep^3+60398328004701078435896067601/
      1077335884600859950490461944999217112064000000*ep^4+
      565691173860357577975646878757919071/178450842434147198938797538366943021\
      768997335040000000*ep^5+4858360257958390528789883631555843423691441/
      29558751008516635398813511620983437696815439913733734400000000*ep^6+
      39028888249901597042520701688207986748831720707711/4896136937576562811765\
      913044519690665856928728589181577027584000000000*ep^7+2973015459166375295\
      63525127144648890578814370043294700881/8110003330179481799849239553794598\
      48826514311562218623115005257482240000000000*ep^8;
Fill mncpoch(39,7) = 1/320574694809600+265895743/424802145139997442048000*ep+
      40416924082165849/562916741206671973589047050240000*ep^2+
      4609512616533280546811407/745936104974964667545496319857734451200000*ep^3
      +438272460003111319372208221216201/98845998346482740801480079638456169718\
      7168256000000*ep^4+36685525182363937519242804388469937011743/
      1309834893893598332921139973134589521961137047108321280000000*ep^5+
      2792745476651849187697506421640058631152904264249/17356974262603550108769\
      91498643122433317053016487062799804006400000000*ep^6+19749770167948818905\
      1045470470824236354933404202585442607/23000193150844143032557938083834850\
      63519434514532090088268347612332032000000000*ep^7+13166314541530812825758\
      085686506220536069742288831251282561957801/304781741893754686230072389122\
      6525405748110077606223198545960074284995088220160000000000*ep^8;
Fill mncpoch(39,8) = 1/79502524312780800+9567894913/
      3265878891836300334465024000*ep+51519338777192942329/13415882109830371812\
      1530405389598720000*ep^2+205591651012627659596506329457/55111012608206747\
      57890274454490678224853401600000*ep^3+67718884359494549994076159991941366\
      7881/226390160992576376423954737876910967180701722107445248000000*ep^4+
      1947636579443977818299509256225989370818184861473/92998663186625035424238\
      01670985514473316315746032844333845053440000000*ep^5+50594374745170861706\
      90832469960555962069488161108532894809/3820285880172562018569909983263664\
      60895835274866696637078646996119794483200000000*ep^6+12138074649279061053\
      402319585699757944022079171056006487228147193297/156933268782134750047495\
      45321809399511969746286119492048554114066277456462684880896000000000*ep^7
      +273139206578069956542533316058196759888256540845052279554468245596893635\
      50601/6446651277713620253170542553849444514290697690660304039700449721981\
      21131998737031991530618880000000000*ep^8;
Fill mncpoch(39,9) = 1/21465681564450816000+10937192689/
      881787300795801090305556480000*ep+66495612401924101993/362228816965420038\
      92813209455191654400000*ep^2+11865757807533614023052735881/59519893616863\
      287385214964108499324828416737280000*ep^3+1083382738005205843115974699233\
      631184281/61125343467995621634467779226765961138789464969010216960000000*
      ep^4+3431110153151296855700418321958869455858404320529/251096390603887595\
      6454426451166088907795405251428867970138164428800000000*ep^5+
      9757648976438176346717208200488487871450731368117683738313/
      1031477187646591745013875695481189444418755242140080920112346889523445104\
      64000000000*ep^6+50998403383409064652915995351115213000005079053985976272\
      74300817037/8474396514235276502564754473777075736463662994504525706219221\
      59578982648984983568384000000000*ep^7+62229920824033449417992373780373876\
      129162275453168818578174709813308098599161/174059584498267746835604648953\
      9350018858488376478282090719121424934927056396589986377132670976000000000\
      00*ep^8;
Fill mncpoch(39,10) = 1/6225047653690736640000+358257521261/
      7415831199692687169469729996800000*ep+70639646842956970242193/88343986169\
      69629329418213654026692591616000000*ep^2+
      2027330103756604965739164214585153/21048644938614341382551112514811755481\
      98370918006784000000*ep^3+1182658816662825257659488764518197412477409161/
      12537510275482349266921921554193014170459203956096489425888870400000000*
      ep^4+118958374209395020366195727480581006133688784352593855901/
      1493579889501176151525273326832857326716125740195759241268111794382884044\
      8000000000*ep^5+106907602865622175965251726862588458245656174529671451615\
      46146882753/1779285390245889040690982323575186815241995832666174032318889\
      4227980316010591561973760000000000*ep^6+175804620736861950244518399321296\
      745033255159871790661237188371795883983820401/423928645825539904441602794\
      2132659274317974764119644840016780892403446961203957976376218474250240000\
      000000*ep^7+6723962609889605280455657317494531011659647228927343186995379\
      1645849222055255860123352121/25251078008154751169074556417635065629608788\
      9117992211064501143721159082013908400366049617579522060126781440000000000\
      00*ep^8;
Fill mncpoch(39,11) = 1/1917314677336746885120000+400803559301/2284076009505347\
      648196676839014400000*ep+87692250323544712052233/272099477402664583346080\
      9805440221318217728000000*ep^2+2773521667372352091062194551573817/
      648298264109321714582574265456202068845098242746089472000000*ep^3+
      1772670608486766852212517131503899212227402561/38615531648485635742119518\
      38691448364501434818477718743173772083200000000*ep^4+27768355050066135671\
      005791360242512060777412406184753763/657175151380517506671120263806457223\
      755095325686134066157969189528468979712000000000*ep^5+1896079471844059698\
      5946065956171114656906579514411276415626564894393/54801990019573382453282\
      25556611575390945347164611816019542179422217937331262201087918080000000000
      *ep^6+6742919188174857920267850656664355768432898720421520803080578157643\
      1723192469/26114004582853258113602732123537181129798724546977012214503370\
      2972052332810163811344775058013814784000000000*ep^7+138960750169079408616\
      384388431815475125556357325903769100583198515919103615494268011371121/
      7777332026511663360074963376631600213919506984834160100786635226611699726\
      028378731274328221449279451904868352000000000000*ep^8;
Fill mncpoch(39,12) = 1/621209955457105990778880000+1334776129583/2220121881239\
      197914047169887521996800000*ep+965908498195838413519537/79344207610616992\
      50371721392663685363922894848000000*ep^2+
      100455667948102029799040879594387491/567131321442834635916835967421085569\
      8256919427542790701056000000*ep^3+210070618596261234894588215943293813386\
      204281841/101342601258285702441618464054618370877975655376129250695852474\
      551500800000000*ep^4+1531429882762318830458726479483917875330549766317433\
      736607/739153057407012919074723437285857002009802359741724389953560431856\
      5059958669312000000000*ep^5+237551313489993003285687770127175296852284497\
      72950773280410095384850737/1294401083466315464193545563569427661039727218\
      892652496551784610810187925894806848161898823680000000000*ep^6+
      1366209951372524734380285184752958687485951870714657810150212735787811139\
      586826147/925203513967741223010076637497648205120090931464667356552525707\
      607803092006441773765857344039464950824960000000000*ep^7+
      1815916468375005361973190339336329461726065175524687856254789352566155849\
      470986750049051309681/165327724380055395509663944473618969971423868461090\
      0351248860084586299325640099048530864105734090608479910056742092800000000\
      0000*ep^8;
Fill mncpoch(39,13) = 1/209968964944501824883261440000+19139023282259/975521554\
      6165035634323264485771653939200000*ep+197438699924945048872360873/
      453229982713366384579733469391735035358003599507456000000*ep^2+5825261435\
      1521791980010212169980086531/84228755892989760189387910740670849790916255\
      4004258155106874163200000*ep^3+860216578116357802796833951245748049709331\
      9014862801/97832275967380950623305195373001688823830159030079810484399397\
      3674910049894400000000*ep^4+617619280353391895606527845610506235246708346\
      2114340810923860197/64933061463628296500491871024762044730253564551651191\
      88924186235642543125916128699744256000000000*ep^5+19191660677622130234613\
      7675223469791949310956143256412060343727119105945808953/
      2111765458158317385640101212233681118994560587821256485229274548825797981\
      871330720813686504339076546560000000000*ep^6+1543160948795022413236295735\
      08252423662166603632342483324137107916870809607047633909879807/
      1962264016753661708327322175005151736034115934484010190842965261578665843\
      8179546203722084107347902716557528305500160000000000*ep^7+
      2860061923038102653181541333100786306228419699785186726944192317429335342\
      181815167927524852306546648801/455836614877231706400749561798911787346746\
      2626633445756183844298829635922416595827788895694905396086211102616752658\
      555280031744000000000000*ep^8;
Fill mncpoch(39,14) = 1/73489137730575638709141504000000+104987171119231/
      17071627205788812360065712850100394393600000000*ep+
      5911514035794959085746939041/39657623487419558650726678571776815593825314\
      95690240000000000*ep^2+236969531675843893134623256262213021338751/
      9212520175795755020714302737260874195881465434421573571481436160000000000\
      00*ep^3+7578287465673150594527583092282896409712188443313278561/
      2140081036786458294884801148784411943021284728782995854346236817413865734\
      14400000000000000*ep^4+29360297042972150591028273156822422813436254701885\
      995192891843881353/710205359758434492974129839333334864237148362283684911\
      2885828695234031543970765765345280000000000000000*ep^5+
      4908419385430299387568894388937667546398625937441790283116057992897304816\
      625512481/115487173493032982027193035044029436195015032146474964035975951\
      88891082713358839879449848070604324864000000000000000000*ep^6+
      1058890260212175042064843247719397305951939794076511713646720027852106640\
      73043724409771577358591/2682782835405396866853760786139855889109142879177\
      3576827931165685645822083448598325401286865514710745293495730176000000000\
      00000000000*ep^7+21011383114459705690875541370985832540543961609986162686\
      31300717384600973733250462762687103669501109533368801/
      6232141219024652235947747915219497092631296559850414119782599627306142862\
      67893960830513083287847121161674185884152536854691840000000000000000000000
      *ep^8;
Fill mncpoch(39,15) = 1/26456089583007229935290941440000000+114666394773331/
      6145785794083972449623656626036141981696000000000*ep+
      7021395716415353108795746141/14276744455471041114261604285839653613777113\
      38448486400000000000*ep^2+304931191178967794605683013075639015166851/
      3316507263286471807457148985413914710517327556391766485733317017600000000\
      00000*ep^3+10529784664205504938497020494731181157788001300723517661/
      7704291732431249861585284135623882994876625023618785075646452542689916642\
      9184000000000000000*ep^4+439203171564517718744760912246759275396210899337\
      60943705536173175653/2556739295130364174706867421600005511253734104221265\
      680638898330284251355829475675524300800000000000000000*ep^5+
      7884221394444413672841896936525216274537132417908366582541607620572125839\
      320903581/415753824574918735297894926158505970302054115727309870529513426\
      8000789776809182356601945305417556951040000000000000000000*ep^6+
      1822021682364851593562610723694689302208120710358537596367027113636932022\
      72120430231572172690691/9658018207459428720673538830103481200792914365038\
      4876580552196468324959500414953971444632715852958683056584628633600000000\
      0000000000000*ep^7+386471384806886540617228423771217885810270269507966146\
      8095289423745665085100934396023989218208567479607351901/
      2243570838848874804941189249479018953347266761546149083121735865830211430\
      5644182589898470998362496361820270691829491326768906240000000000000000000\
      0000*ep^8;
Fill mncpoch(39,16) = 1/9735840966546660616187066449920000000+2869628447485013/
      52017930961126742813614629682769905733074944000000000*ep+
      4380936947120726534189253787789/27792823966354585157955350295329770483012\
      1821678443744460800000000000*ep^2+472779544769109900876179652318238735048\
      9913717/14849515345045592913129856467635444904094071371331653202145554680\
      35522560000000000000*ep^3+40449388189128443416291185696964229300094464737\
      49076784724701/7933994265918679684458465991893412791502912213502976318422\
      642447675911384837014945792000000000000000*ep^4+5956017145109719046409300\
      4446703480921313336469725848269255523544475752597/
      8651181131333870434205312757981591274590766461440313548310157766954166220\
      79249746354549508643225600000000000000000*ep^5+18451072783330111012125132\
      80688100688913976171057766207657758320124161890478580637821113709/
      2264910722560411628638927632186667333097376207359084096053060288155329095\
      70837672816347709209406157879563601838080000000000000000000*ep^6+
      1048987523217190667639664983675396165392616199547312414053713912173643514\
      659227090196862369911749194179477/121012627470077652311893465556866508163\
      5446595791395948781539946957314573785906651816014900306817936446263254870\
      889072118726656000000000000000000000*ep^7+5463307856133083053043506388989\
      9598175747965511209100907506380436835087645499050874054887202488151139903\
      3190038604105981/64656217401174821282603327998263975583994402560567734495\
      4126682746334079717297051431660148762478864590995762813628553468852647848\
      4721316659200000000000000000000000*ep^8;
Fill mncpoch(39,17) = 1/3641204521488451070453962852270080000000+
      3112488968260613/19454706179461401812291871501355944744170029056000000000
      *ep+5136837638860808946670945230589/1039451616341661484907530101045333416\
      06465561307737960428339200000000000*ep^2+59753305118045385498713979698127\
      36917614742117/5553718739047051749510566318895656394131182692878038297602\
      43745045285437440000000000000*ep^3+54961106988160270571665323130523447858\
      31318657251591610669901/2967313855453586201987466280968136384022089167850\
      113143090068275430790857929043589726208000000000000000*ep^4+
      6076052439512242151685430810816468955791478263275943750218264017319152989\
      79/2264879220183207279674950880039580595687862659605074086947599303388600\
      716603475835956210613627964620800000000000000000*ep^5+
      2878050560136869664399469611878391277339616292347600408223664099913054741\
      503463042597900509/847076610237593949110958934437813582578418701552297451\
      9238445477700930817949328963331404324431790304695678708744192000000000000\
      0000000*ep^6+174795238107053811995010177304860907874365990361192906629192\
      4128402133819861788964033056574274685508959877/
      4525872267380904196464815611826807405316570268259820848442959401620356505\
      9592908777918957271474990823090245732171251297240376934400000000000000000\
      0000*ep^7+970839411171049216553564095387802103074387047480016601559247153\
      808656219044905895360681809346688935948939658143924707181/
      2418142530803938315969364467135072686841390655765233270128433793471289458\
      1426909723544089563716709535703241529229707899735089029532857724305408000\
      00000000000000000000*ep^8;
Fill mncpoch(39,18) = 1/1376375309122634504631597958158090240000000+
      3366914275739813/73538789358364098850463274275125471132962709831680000000\
      00*ep+5993465838722018842253054620189/39291271097714804129504637819513603\
      127243982174324949041912217600000000000*ep^2+7500219900687469511387007392\
      449755414632310917/209930568335978556131499406854255811698158705790789847\
      649372135627117895352320000000000000*ep^3+1057765207601435910723392436363\
      471033105139921302938788728043/160234948194493654907323179172279364737192\
      815063906109726863686873262706328168353845215232000000000000000*ep^4+
      8767274821360193678777748822035506322679055331470334666345351490745945045\
      79/8561243452292523517171314326549614651700120853307180048661925366808910\
      70876113865991447611951370626662400000000000000000*ep^5+
      4439482174662320534488274669658289784936848333852591389826434195131100754\
      655457714028698109/320194958669810512763942477217493534214642269186768436\
      8272132390570951849184846348139270834635216735174966551905304576000000000\
      0000000000*ep^6+287746899840742650136786914390352426407143398150655084497\
      6233119218489300919758953781221634029882105792677/
      1710779717069981786263700301270533199209663561402212280711438653812494759\
      2526119518053365848617546531128112886760732990356862481203200000000000000\
      0000000*ep^7+170294034585272435928085890171676633610127953549808428674137\
      3837781998870237131022543216425071744744916167487316614525581/
      9140578766438886834364197685770574756260456678792581761085479739321474151\
      7793718754996658550849162044958252980488295860998636531634202197874442240\
      0000000000000000000000*ep^8;
Fill mncpoch(39,19) = 1/523022617466601111760007224100074291200000000+
      3634060848592973/27944739956178357563176044224547679030525829736038400000\
      00000*ep+6964292739963477956077191464869/14930683017131625569211762371415\
      169188352713226243480635926642688000000000000*ep^2+9360706838514856046577\
      836512683983863867946957/797736159676718513299697746046172084453003082005\
      00142106761411538304800233881600000000000000*ep^3+14150053149432047693325\
      46142111800719919011973236932935847203/6088928031390758886478280808546615\
      8600133269724284321696208201011839828404703974461181788160000000000000000
      *ep^4+1254741302592102831195959893104298101945505601630340099326833049860\
      110216059/325327251187115893652509944408885356764604592425672841849153163\
      938738606932923269076750092541520838131712000000000000000000*ep^5+
      6785881046295851061903091249746403516548827580419785084540141607327901614\
      722407535794973189/121674084294527994850298141342647543001564062290972005\
      9943410308416961702690241612292922917161382359366487289724015738880000000\
      0000000000000*ep^6+469029386371457868383560805944971316347984016441354848\
      9798805988736975510953987400172385229541979539719917/
      6500962924865930787802061144828026156996721533328406666703466884487480085\
      1599254168602790224746676818286828969690785363356077428572160000000000000\
      000000000*ep^7+2955936277218280353858543356235516786108311709083540590817\
      964856922901804987275233155965238538389891482516418098582913301/
      3473419931246776997058395120592818407378973537941181069212482300942160177\
      6761613126898730249322681577084136132585552427179481882020996835192288051\
      2000000000000000000000000*ep^8;
Fill mncpoch(39,20) = 1/198748594637308422468802745158028230656000000000+
      3915267767385773/10619001183347775874006896805328118031599815299694592000\
      00000000*ep+8065293125078796384438246299269/56736595465100177163004697011\
      37764291574031025972522641652124221440000000000000*ep^2+11628723067379017\
      274557728689408966672870410157/303139740677153035053885143497545392092141\
      17116190054000569336384555824088875008000000000000000*ep^3+18821592268392\
      63545541863798268692443434159263508008264200003/
      2313792651928488376861746707247714026805064249522804224455911638449913479\
      3787510295249079500800000000000000000*ep^4+178401749944901084926570819069\
      6800459120934233197178435730194580938626594459/
      1236243554511040395879537788753764355705497451217556799026782022967206706\
      34510842249165035165777918490050560000000000000000000*ep^5+
      1029762749494329585033932840258380239863247174334382454454544673777855858\
      3563968555938639589/46236152031920638043113293710206066340594343670569362\
      2778495917198445447022291812671310708521325296559265170095125980774400000\
      0000000000000000*ep^6+758605796244360257266276480387918703028872349971717\
      6002426168875716468310431297698686314936625609707879117/
      2470365911449053699364783235034649939658754182664794533347317416105242432\
      3607716584069060285403737190948995008482498438075309422857420800000000000\
      000000000000*ep^7+5089188262620632334759198619700297351756795772206081516\
      699565463734121585076343786253969326162753399062866602636552870901/
      1319899573873775258882190145825270994804009944417648806300743274358020867\
      5169412988221517494742618999291971730382509922328203115167978797373069459\
      4560000000000000000000000000*ep^8;
Fill mncpoch(39,21) = 1/75126968772902583693207437669734671187968000000000+
      4212097292778173/40139824473054592803746069924140286159447301832845557760\
      0000000000*ep+9315567965400754384082226384469/214464330858078669676157754\
      7030074902214983727817613558544502955704320000000000000*ep^2+143938586853\
      09568502649779528367232953361045757/1145868219759638472503685842420721582\
      1082936269919840412215209153362101505594753024000000000000000*ep^3+
      2492519547142936951929288081011512910582989060144072518492403/
      8746136224289686064537402553396359021323142863196199968443345993340672952\
      051678891604152051302400000000000000000*ep^4+2523870893658728602110715065\
      308661998889568015112704820160382335793620531659/
      4673000636051732696424652841489229264566780365602364700321236046816041349\
      9845098370184383292664053189239111680000000000000000000*ep^5+
      1554174329155818588252018697858291337663389153156136892109094132565917294\
      6620004456124580789/17477265468066001180296825022457893076744661907475218\
      9410271456701012378974426305189755447821060962099402234295957620732723200\
      0000000000000000000*ep^6+121993062474473354656403698479440597513870428309\
      23198684608036635850836304258023441149347341631890434482717/
      9337983145277422983598880628430976771910090810472923336052859832877816394\
      3237168687781047878826126581787201132063844095924669618401050624000000000\
      00000000000000*ep^7+87103025461669651550392178592071359626658788333079455\
      00586656953376516872029876527520043949946364058438768916946996021701/
      4989220389242870478574678751219524360359157589898712487816809577073318879\
      2140381095477336130127099817323653140845887506400607775334959854070202556\
      743680000000000000000000000000*ep^8;
Fill mncpoch(39,22) = 1/28097486321065566301259581688480767024300032000000000+
      4526387378487773/15012294352922417708601030151628467023633290885484238602\
      2400000000000*ep+10738166642540528215487855105269/80209659740921422458883\
      0002589248013428403914203787470895644105433415680000000000000*ep^2+
      17768757999757598780987114647580092893924928157/4285547141901047887163785\
      0506534987170850181649500203141684882233574259630924376309760000000000000\
      00*ep^3+3290311614956787862915049329794534195420474141802865713522003/
      3271054947884342588136988554970238273974855430835378788197811401509411684\
      067327905459952867187097600000000000000000*ep^4+3557983213134789852846590\
      934473498188125876908950597989530111818349088860459/
      1747702237883348028462820162716971744947975856735284397920142281509199464\
      8942066790448959351456355892775427768320000000000000000000*ep^5+
      2336941523462434363396136303293383609690464664251556962374208733339222225\
      4107084386901525589/65364972850566844414310125583992520107025035533957318\
      8394415248061786297364354381409685374850767998251764356266881501540384768\
      000000000000000000000*ep^6+1149651868501214848230395868525863300342889562\
      085759937235670793349852138036197147277952222739629297496301/
      2054356291961033056391753738254814889820219978304043133931629163233119606\
      7512177111311830533341747847993184249054045701103427316048231137280000000\
      0000000000000000*ep^7+148528136790535914084541575071249682270405769214345\
      77421317288085694882660781891125488964463072966733027711442589319244901/
      1865968425576833558986929852956102110774324938622118470443486781825421260\
      8260502529708523712667535331679046274676361927393827307975274985422255756\
      222136320000000000000000000000000*ep^8;
Fill mncpoch(39,23) = 1/10339874966152128398863526061360922264942411776000000000
      +4860320594554223/5524524321875449716765179095799275864697051045858199805\
      6243200000000000*ep+12361189129794020291767151223619/29517154784659083464\
      8689440952843268941652640426993789289597030799496970240000000000000*ep^2+
      21896569640275358412260990427229447921438410707/1577081348219585622476272\
      8986404875278872866847016074756140036661955327544180170481991680000000000\
      00000*ep^3+4334881889356807950451515605680917956591879948616712299733453/
      1203748220821438072434411788229047684822746798547419394056794595755463499\
      736776669209262655124851916800000000000000000*ep^4+5005544263715917804782\
      994081060218203200248777893621901712440253741224812309/
      6431544235410720744743178198798456021408551152785846584346123595953854030\
      810680578885217041335938968541357418741760000000000000000000*ep^5+
      3507003769364373234882873996901046927350461110454877341546740312895140647\
      1608200398555056939/24054310009008598744466126214909247399385213076496293\
      3329144811286737357430082412358764217945082623356649283106212392566861594\
      624000000000000000000000*ep^6+1838537190537101807420410044152867777584732\
      153861975557434470797083794185607147736166207330574180436178451/
      7560031154416601647521653756777718794538409520158878732868395320697880152\
      8444811769627536362697632080614918036518888180060612523057490585190400000\
      000000000000000000*ep^7+2528994050624870090155666779528280968747578345722\
      4687505054722997131404432699827081386798018397113237505833541901378417051/
      6866763806122747497071901858878455767649515774129395971232031357117550239\
      8398649309327367262616530020578890290809011892809284493349011946353901182\
      89746165760000000000000000000000000*ep^8;
Fill mncpoch(39,24) = 1/3722354987814766223590869382089932015379268239360000000\
      000+5216516025025103/1988828755875161898035464474487739311290938376508951\
      9300247552000000000000*ep+14219288300886080681510261724259/
      1062617572247727004735281987430235768189949505537177641442549310878189092\
      86400000000000000*ep^2+26961415157599023776747468822823975898527488627/
      5677492853590508240914582435105755100394232064925786912210413198303917915\
      90486137351700480000000000000000*ep^3+57068151576661069806156608877883791\
      03560021227104283507545133/4333493594957177060763882437624571665361888474\
      77070981860446054471966859905239600915334555844946690048000000000000000000
      *ep^4+7038285745418539698611207530752484045837617021975502615943252165116\
      267039349/231535592474785946810754415156744416770707841500290477036460449\
      4543387451091845008398678134880938028674888670747033600000000000000000000
      *ep^5+5261907423970863923687974006663412203599660685430207836488639675538\
      3054694708042988465656779/86595516032430955480078054373673290637786767075\
      3866559984921320632254486748296684491551184602297444083937419182364613240\
      70174064640000000000000000000000*ep^6+29410474140542907195197779803402149\
      39576553462174867227353774894371557625952431435659097503458711520537011/
      2721611215589976593107795352439978766033827427257196343832622315451236855\
      0240132237065913090571147549021370493146799744821820508300696610668544000\
      000000000000000000000*ep^7+4309893055088242195429876692401069654279319657\
      2352629550709203538015264633028764085922836230749600422954466804354739991\
      611/247203497020418909894588466919624407635382567868658254964353128856231\
      8086342351375135785221454195080740840050469124428141134241760564430068740\
      442584308619673600000000000000000000000000*ep^8;
Fill mncpoch(39,25) = 1/1302824245735168178256804283731476205382743883776000000\
      000000+799736283749129/99441437793758094901773223724386965564546918825447\
      5965012377600000000000000*ep+16355756374785101963302210700659/
      3719161502867044516573486956005825188664823269380121745048922588073661825\
      0240000000000000000*ep^2+4743341810666200199714600235855197388018668261/
      2838746426795254120457291217552877550197116032462893456105206599151958957\
      9524306867585024000000000000000000*ep^3+751705445565264686462629830742783\
      0257581108800666223944051933/15167227582350119712673588531686000828766609\
      6616974843651156119065188400966833860320367094545731341516800000000000000\
      000000*ep^4+9907079082244512287177030177757226409660185437139662369106379\
      752303442979749/810374573661750813837640453048605458697477445251016669627\
      6115730901856078821457529395373472083283100362110347614617600000000000000\
      00000000*ep^5+79085496477777150368269252787197609536236021935120739311828\
      820765231783147834204818772225179/303084306113508344180273190307856517232\
      2536847638532959947224622212890703619038395720429146108041054293780967138\
      2761463424560922624000000000000000000000000*ep^6+
      1375061459040960424285895093449847866405822617896963431730363321962307375\
      0224259312646782389623028423477/27771543016224250950079544412652844551365\
      5859924203708554349215862371107655511553439448092760930077030830311154559\
      18106961041335000710827212800000000000000000000000000*ep^7+
      7369859880611244828457341746262741063043968642589143306564449294029549500\
      0765139258181599898254026118034294383499658867211/
      8652122395714661846310596342186854267238389875403038923752359509968113302\
      1982298129752482750896827825929401766419354984939698461619755052405915490\
      4508016885760000000000000000000000000000*ep^8;
Fill mncpoch(39,26) = 1/4403545950584868442507998479012389574193674327162880000\
      00000000+858449816244329/336112059742902360767993496188427943608168585630\
      012876174183628800000000000000*ep+18825484812681536061948977019859/
      1257076587969061046601838591129968913768710265050481149826535834768897696\
      8581120000000000000000*ep^2+5848652524953471652336892138355086840240845061
      /959496292256795892714564431532872611966625218972457988163559830513362127\
      7879215721243738112000000000000000000*ep^3+992081980619157117171903738250\
      9451895876000033049547427502333/51265229228343404628836729237098682801231\
      1406565374971540907682440336795267898447882840779564571934326784000000000\
      00000000000*ep^4+13984483714733480348206514861974252201727782860811418506\
      960562315688622090949/273906605897671775077122473130428645039747376494843\
      6343341327117044827354641652644935636233564149687922393297493740748800000\
      00000000000000000*ep^5+11931833998944352123442813003525209251035737383968\
      2880430062967267677158369024692202763520379/
      1024424954663658203329323383240555028245017454501824140462161922307957057\
      8232349777535050513845178763512979668927373374637501591846912000000000000\
      000000000000*ep^6+1085874305062042008427306668132410446017127448151932975\
      394562626564642189909372700365464926562914505672773/
      4599522954347060442352174145623564114597168352064661821077131713112590284\
      9905823480641393123065239357846116133418091568748876659028177272029839360\
      0000000000000000000000000*ep^7+126806943880649561739022248003865210504875\
      6244489674652235995482621855817739489739652825296336331256605737836772361\
      85804011/2924417369751555704052981563659156742326575777886227156228297514\
      3692222961430016767856339169803127805164137797049741984909618080027477207\
      7131994357723709707386880000000000000000000000000000*ep^8;
Fill mncpoch(39,27) = 1/1426748887989497375372591507200014222038750482000773120\
      00000000000+922056143114129/108900307356700364888829892765050653729046621\
      744124171880435495731200000000000000*ep+21699266429811530567324423825659/
      4072928145019757790989957035261099280610621258763558925437976104651228537\
      820282880000000000000000*ep^2+7228863158322941924811163675430904202633043\
      261/310876798691201869239518875816650726277186570947076388164993385086329\
      3294032865893682971148288000000000000000000*ep^3+131394298368089779989243\
      46142166417032416735217419978228426933/1660993426998326309974310027281997\
      3227598889572718149077925408911066912166679909711404041257892130672187801\
      600000000000000000000*ep^4+1983473979831360343288652557661338239903318960\
      1048224650515423530335952354749/88745740310845655124987681294258880992878\
      1499843293375242589985922524062903895456959146139674784498886855428387972\
      00261120000000000000000000000*ep^5+18113747219590285458567164494039941995\
      5677844349577310487912596275406966591484043319162850179/
      3319136853110252578787007761699398291513856552585910215097404628277780867\
      3472813279213563664858379193782054127324689733825505157583994880000000000\
      00000000000000*ep^6+17636089677009776642569024619943217898448430949828189\
      39415723351305012633441021078273089348597178002125373/
      1490245437208447583322104423182034773129482546068950430028990675048479252\
      3369486807727811371873137551942141627227461668274636037525129436137667952\
      6400000000000000000000000000*ep^7+220250125376241975375170878616548390900\
      7865393294012332298965981352774516321850821433591697229051997840765986110\
      56299492211/9475112277995040481131660266255667845138105520351375986179683\
      9465562802395033254327854538910162134088731806462441164031107162579289026\
      152990766171902481945193349120000000000000000000000000000*ep^8;
Fill mncpoch(39,28) = 1/4394386575007651916147581842176043803879351484562381209\
      6000000000000+90131351212339/30492086059876102168872369974214183044133054\
      08835476812652193880473600000000000000*ep+
      25070225851431652584636223599259/1254461868666085399624906766860418578428\
      071347699176149034896640232578389648647127040000000000000000*ep^2+
      1281207720831465216260145301338952330101262523/
      1367857914241288224653883053593263195619620912167136107925970894379849049\
      37446099322050730524672000000000000000000*ep^3+17495596677048866561760646\
      850627864000486074964483614648170133/511585975515484503472087488402855175\
      4100457988397189916001025944608608947337412191112444707430776247033842892\
      800000000000000000000*ep^4+2833271923884949259552433300657618854902178907\
      5869168505290837670275782664349/27333688015740461778496205838631735345806\
      4701951734359574717715664137411374399800743417011019833625657151471943495\
      37680424960000000000000000000000*ep^5+27747005748660474079758762395246442\
      9463153410698418185001606153802999710048197572222450031779/
      1022294150757957794266398390603414673786267818196460346250000625509556507\
      1429626489997777608776380791684872671216004438018255588535870423040000000\
      00000000000000000*ep^6+28961555670427003024279609840324550294827619126906\
      03627224789160297318852462215407114497876455946232844573/
      4589955946602018556632081623400667101238806241892367324489291279149316097\
      1978019367801659025369263659981796211860581938285878995577398663304017294\
      131200000000000000000000000000*ep^7+3203721037189405656630593978327015982\
      3491804935036251262807841903849423337721727865588430209361748420073902556\
      63491523691/2411846761671464849742604431410533633307881405180350251027555\
      9136688713336917555647090246268041270495313550735894114480645459565637206\
      6571249222983024499496855797760000000000000000000000000000*ep^8;
Fill mncpoch(39,29) = 1/1274372106752219055682798734231052703125011930523090550\
      7840000000000000+97070223234499/88427049573640696289729872925221130827985\
      8568562288275669136225337344000000000000000*ep+
      29063750380762541697530891292619/3637939419131647658912229623895213877441\
      40690832761083220120025667447732998107666841600000000000000000*ep^2+
      11186820133957524238207819551542172015645645101/
      2776751565909815096047382598794324287107830451699286299089720915591093570\
      23015581623762982965084160000000000000000000*ep^3+23472637996871828280423\
      310442344767792501642829141579340908453/148359932899490506006905371636828\
      0008689132816635185075640297523936496594727849535422608965154925111639814\
      438912000000000000000000000*ep^4+4087398883222383555932215522515650833880\
      9155627917680944691122500800926187309/
      7926769524564733915763899693203203250283876356600296427666813754259984929\
      8575942215590933195751751440573926863613659273232384000000000000000000000\
      00*ep^5+43034090198174180445609347936227677991650871069413407749470100489\
      8711688662268836392425681939/29646530371980776033725553327499025539801766\
      7276973500412500181397771387071459168209935550654515042958861307465264128\
      702529412067540242268160000000000000000000000000*ep^6+
      4828325266588246076953717881729021428182153607205666331878556407003623796\
      694841452219819694125325357400493/
      1331087224514585381423303670786193459359253810148786524101894470953301668\
      1873625616662481117357086461394720901439568762102904908717445612358165015\
      298048000000000000000000000000000*ep^7+6314903962056255987162278339340960\
      6932403035515781224988403185604284279252330220068407547604702312128380804\
      637679547185641/769379116973197287067890813619960229025214168252531730077\
      7903364603699554476700251421788559505165288005022684750222519325901601438\
      26892362285021315848153394969994854400000000000000000000000000000*ep^8;
Fill mncpoch(39,30) = 1/3440804688230991450343556582423842298437532212412344487\
      116800000000000000+104780081036899/23875303384882987998227065689809705323\
      5561813511817834430666780841082880000000000000000*ep+
      33853430926375572679576433103019/9822436431655448679063019984517077469091\
      7986524845492469432406930210887909489070047232000000000000000000*ep^2+
      14057876658180512096948226568293371497245546701/
      7497229227956500759327933016744675575191142219588073007542246472095952639\
      6214207038416005400572723200000000000000000000*ep^3+318182237098170674217\
      51168419747539047650149651426178441853253/
      4005718188286243662186445034194356023460658604914999704228803314628540805\
      76519374564104420591829780142749898506240000000000000000000000*ep^4+
      5976316531745225344616933771820415058549291684693701463005146975735700914\
      1709/21402277716324781572562529171648648775766466162820800354700397136501\
      9593106155043982095519628529728889549602531756880037727436800000000000000\
      0000000000*ep^5+678693509941518301852533985076580359803719713930169330090\
      821387381156490826643264028468244339/
      8004563200434809529105899398424736895746477016478284511137504897739827450\
      9293975416682598676719061598892553015621314749682941258235865412403200000\
      000000000000000000000*ep^6+8214144971509976978109113923469740294886646869\
      491509376695786060849472326629382366613006790755581627209293/
      3593935506189380529842919911122722340269985287401723615075115071573914504\
      1058789164988699016864133445765746433886835657677843253537103153367045541\
      30472960000000000000000000000000000*ep^7+11590283773953044765948384873592\
      7180458533333677319990846099334425688019921689112037033662571339222759888\
      887897286353951241/207732361582763267508330519677389261836807825428183567\
      1210033908442998879708709067883882911066394627761356124882560080217993432\
      38833260937816955755279001416641898610688000000000000000000000000000000*
      ep^8;
Fill mncpoch(39,31) = 1/8533195626812858796852020324411128900125079886782614328\
      04966400000000000000+113453671064599/592107523945098102356031229107280692\
      02419329750930822938805361648588554240000000000000000*ep+
      39687867111360162056020930049719/2435964235050551272407628956160235212334\
      7660658161682132419236918692300201553289371713536000000000000000000*ep^2+
      17844475830556051473861976312132313316704926001/
      1859312848533212188313327388152679542647403270457842105870477125079796254\
      6261123345527169339342035353600000000000000000000*ep^3+437359501160523049\
      33488607040676122106266339016328161539386153/
      9934181106949884282222383684802002938182433340189199266487432220278781198\
      2976804891897896306773785475401974829547520000000000000000000000*ep^4+
      8897293827740260003789772234077122699990719815539729007375093990025752487\
      5409/53077648736485458299955072345688648963900836083795584879656984898524\
      8590903264509075596888678753727646083014278757062493564043264000000000000\
      000000000000*ep^5+1094647781847485531335838340096439583430169779750318184\
      182962885951586993353687413014877237039/
      1985131673707832763218263050809334750145126300086614558762101214639477207\
      8304905903337284471826327276525353147874086057921369432042494622275993600\
      000000000000000000000000*ep^6+2930135071367450661271490190252861689211801\
      76652963477292164308994668548173657578394307886899133351618657/
      1818971439867278308981722730527418653850931329133933584772711301531287340\
      8535876965137137461596541009285520644089663761436949238524901187826586314\
      782801920000000000000000000000000000*ep^7+1996712613174479858103501575642\
      6114389099886698130584174958591050832087121681013401165681719285293604455\
      754734534153150231/468342051568411730382417898909023063050257642783541133\
      1455349175398761110615998625774572381313326069861966536098862726309657920\
      293695337507145911573562941029744623222784000000000000000000000000000000*
      ep^8;
Fill mncpoch(39,32) = 1/1911435820406080370494852552668092873628017894639305609\
      48312473600000000000000+7136896013833/76729305582306927644153468366960010\
      3383417430160822565025180223677577297920000000000000000*ep+
      6705483473383849665338443719217/77950855521617640717044126597127526794712\
      5141061173828237415581398153606449705259894833152000000000000000000*ep^2+
      22962609914093191355035340997514881081308285201/
      4164860780714395301821853349462002175530183325825566317149868760178743610\
      362491629398085932012615919206400000000000000000000*ep^3+6126275737980656\
      4457332816820102157892834789330540897465343753/
      2225256567956774079217813945395648658152865068202380635693184817342446988\
      4186804295785128772717327946490042361818644480000000000000000000000*ep^4+
      1357333259275453423351242103665206503402269534692461601563633527491072171\
      88209/1188939331697274265918993620543425736791378728277021101304316461726\
      9568436233125003293370306404083499272259519844158199855834569113600000000\
      0000000000000000*ep^5+181986163871757958989062818530158811586823022706193\
      1118818113039398661536628043944731685045839/
      4446694949105545389608909233812909840325082912194016611627106720792428945\
      5402989223475517216890973099416791051237952769743867527775187953898225664\
      00000000000000000000000000*ep^6+18221284300678372898660999210399053306299\
      6636860960729957017524928820840022185802412778544982341584582678551/
      1397552136678827270356837208318826300126747558800183851852569547192518689\
      7246284989854165454493854388254251221266970461187236838943452080630922797\
      37392237117440000000000000000000000000000*ep^7+
      6208259416860763845386754764446379860247930882397633824012406881195312208\
      9176738754503758102562621710696442792943223139963/
      1648564021520809290946111004159761181936906902598064788672282909740363910\
      9368315162726494782222907765914122207067996796609995879433807588025153608\
      73894155242470107374419968000000000000000000000000000000*ep^8;
Fill mncpoch(39,33) = 1/3784642924404039133579808054282823889783475431385825106\
      7765869772800000000000000+944517924598993/1838280703140909372498628795135\
      6279276859914791792987012873267798867396903567360000000000000000*ep+
      8027184422005280159948730170017/15434269393280292861974737066231250305353\
      0777930112417991008285116834414077041641459176964096000000000000000000*
      ep^2+30110725940756473428728473603964472293227297601/
      8246424345814502697607269631934764307549762985134621307956740145153912348\
      51773342620821014538497952002867200000000000000000000*ep^3+88076014850452\
      677480365119861920754302444724505943480776240953/
      4406008004554412676851271611883384343142672835040713658672505938338045037\
      068987250565455496998030933405028387640091607040000000000000000000000*
      ep^4+21416401098708686989150202836195247870338918717564927907173471841251\
      0042059809/23540998767606030465196073686759829588469298819885017805825465\
      9421937455037415875065208732066800853285590738492914332357145524468449280\
      00000000000000000000000*ep^5+31548358752036040172248771488750339592301556\
      27278504785362897963901660616923697363596560129439/
      8804455999228979871425640282949561483843664166144152891021671307169009312\
      1697918662481524089444126736845246281451146484092857704994872148718486814\
      7200000000000000000000000000*ep^6+347468449276360668307347577746868016774\
      006010882678733420590683697902880375305745194127617981860481276830951/
      2767153230624077995306537672471276074250960166424364026668087703441187005\
      6547644279911247599897831688743417418108601513150728941108035119649227138\
      8003662949253120000000000000000000000000000*ep^7+
      1303953687045076757307275417947447888803254589969384968089439822618413107\
      62040852171201281615611347828326495451728856241163/
      3264156762611202396073299788236327140235075667144168281571120161285920543\
      6549264022198459668801357376509961969994633657287791841278939024289804145\
      3031042738009081260135153664000000000000000000000000000000*ep^8;
Fill mncpoch(39,34) = 1/6433892971486866527085673692280800612631908233355902681\
      520197861376000000000000000+94696557537203/284097926849049630295242631975\
      506134278744137691346162926223229618859770327859200000000000000000*ep+
      9776350797807428121396324163777/26238257968576497865357053012593125519100\
      232248119111058471408469861850393097079048060083896320000000000000000000*
      ep^2+40557600383334517370427726523181592477275238881/
      1401892138788465458593235837428909932283459707472885622352645824676165099\
      24801468245539572471544651840487424000000000000000000000*ep^3+
      131415310632675975831684712478622994799735426127753115719096793/
      7490213607742501550647161740201753383342543819569213219743260095174676563\
      01727832596127434489665258678854825898815573196800000000000000000000000*
      ep^4+35459261041089816808975505021807202126092974653697229939905420398470\
      2905723329/40019697904930251790833325267491710300397807993804530269903292\
      1017293673563606987610854844513561450585504255437954365007147391596363776\
      0000000000000000000000000*ep^5+580722549285276529646862961891626788327468\
      2726694868406132049736477638395396135670699454479359/
      1496757519868926578142358848101425452253422908244505991473684122218731583\
      0688646172621859095205501545263691867846694902295785809849128265282142758\
      5024000000000000000000000000000*ep^6+712499128853094609755447189174238220\
      474036771381214098078537694476520293353875203991879903921801232090460231/
      4704160492060932592021114043201169326226632282921418845335749095850017909\
      6130995275849120919826313870863809610784622572356239199883659703403686135\
      960622701373030400000000000000000000000000000*ep^7+
      6091619141202437747086226988078427738991542860158204655059758747533794208\
      202448720568275527807476580456740378243793891547/
      1132462550293682463943797885714644109877475231458180832381817198813482637\
      5945663028109669681012715824503456193671607595385560434729427824753605519\
      79903617662480486004550533120000000000000000000000000000000*ep^8;
Fill mncpoch(39,35) = 1/9007450160081613137919943169193120857684671526698263754\
      12827700592640000000000000000+1163092393297033/43751080734753643065467365\
      3242279446789265972044673090906383773613044046304903168000000000000000000
      *ep+12217691951085787085573395175977/367335611560070970114998742176303757\
      2674032514736675548185997185780659055033591066728411745484800000000000000\
      000000*ep^2+56877173047875546184533492951138543123177925481/
      1962648994303851642030530172400473905196843590462039871293704154546631138\
      9472205554375540146016251257668239360000000000000000000000*ep^3+
      207388019899256340848441227698020095492858006074208515895946593/
      1048629905083950217090602643628245473667956134739689850764056413324454718\
      82241896563457840828553136215039675625834180247552000000000000000000000000
      *ep^4+6316076042453445674106259766243402088652922039178058948844610961687\
      77862142729/5602757706690235250716665537448839442055693119132634237786460\
      8942421114298904978265519678231898603081970595761313611101000634823490928\
      6400000000000000000000000000*ep^5+117128387330276230087871732195650675704\
      67894739461651300732248568074374279185695848623208056759/
      2095460527816497209399302387341995633154792071542308388063157771106224216\
      2964104641670602733287702163369168614985372863214100133788779571394999861\
      903360000000000000000000000000000*ep^6+1632806401179588186689466615454789\
      9370631542902413324352459093764017270339620407208814061457504260749882568\
      31/6585824688885305628829559660481637056717285196089986383470048734190025\
      0734583393386188769287756839419209333455098471601298734879837123584765160\
      59034487178192224256000000000000000000000000000000*ep^7+
      7090975552234031858586814198534800063210011937853068826782275889253982334\
      2742025298646103624285050536534815566259822192873/
      7062448268195147002413139541820416903417709170730109554672059985327718994\
      4533862157120303647042936869176099535079298276677222347494431707099758059\
      8376256105874193999201514291200000000000000000000000000000000*ep^8;
Fill mncpoch(39,36) = 1/9728046172888142188953538622728570526299445248834124854\
      4585391664005120000000000000000+1324999407147433/472511671935339345107047\
      5455016618025324072498082469381788944755020875700092954214400000000000000\
      0000*ep+15925939148391463948685185005577/39672246048487664772419864155040\
      8057848795511591560959204087696064311177943627835206668468512358400000000\
      000000000000*ep^2+85240906800947233863163442710378202265858414281/
      2119660913848159773392972586192511817612591077699003060997200486910361630\
      062998199872558335769755135828169850880000000000000000000000*ep^3+
      359200127357714153686591713287969751103744506458640245629132993/
      1132520297490666234457850855118505111561392625518865038825180926390411096\
      3282124828853446809483738711224284967590091466735616000000000000000000000\
      000*ep^4+1271334824192224131209036282809277235237444431357327658426556925\
      322118530861929/605097832322545407077399878044474659742014856866324497680\
      9377765781480344281737652676125249045049132852824342221869998908068560937\
      0202931200000000000000000000000000*ep^5+275623666571795666768676491336247\
      76688002474494457933798091014101281420105431124409508937519959/
      2263097370041816986151246578329355283807175437265693059108210392794722153\
      6001233013004250951950718336438702104184202692271228144491881937106599850\
      85562880000000000000000000000000000*ep^6+45203325941943839370463071134089\
      2035326264019920135641644382520398616694733735830725609436654880786521422\
      5631/71126906639961300791359244333201680212546680117771852941476526329252\
      2707933500648570838708307773865727460801315063493294026336702240934715463\
      734375724615244760219648000000000000000000000000000000*ep^7+
      5219213282257482255813739446057897358303204052677341713798305199471262486\
      9809312094805158773436186975182502197744247411347/
      1712283376044047885483022403200541894134742549964769418561307604605985748\
      0429842498501820557691226326649225764831470684222967377310894871027451545\
      936142699056704948388804060774400000000000000000000000000000000*ep^8;
Fill mncpoch(39,37) = 1/7198754167937225219825618580819142189461589484137252392\
      299318983136378880000000000000000+1567859927923033/
      3496586372321511153792151836712297338739813648581027342523819118715448018\
      068786118656000000000000000000*ep+22507842678452675292823183829977/
      2935746207588087193159069947473019628081086785777551098110248950875902716\
      7828459805293466669914521600000000000000000000*ep^2+145369837139614449145\
      718384861670341318130187481/156854907624763823231079971378245874503331739\
      7497262265137928360313667606246618667905693168469618800512845689651200000\
      00000000000000000*ep^3+74755066523841431113639629755129998216165560080106\
      4404462032593/83806502014309301349880963278769378255543054288396012873063\
      3885528904211282877237335155063901796664630597087601666768538435584000000\
      000000000000000000*ep^4+3268390806717646846115388772943773731207589795153\
      756678253453112152607761300729/447772395918683601237275909752911248209090\
      9940810801282838939546678295454768485862980332684293336358311090013244183\
      799191970735093395016908800000000000000000000000000*ep^5+
      8868212485033716260225721385959621774723516664167822713865373365979259340\
      7365323985271194274759/16746920538309445697519224679637229100173098235766\
      1286374007569066809439366409124296231457044435315689646395570963099922807\
      088269239926334588838896331653120000000000000000000000000000*ep^6+
      1845628890425534139040705287258761650137590277532150081593965456153229928\
      2017414098881022514855787326156218831/
      5263391091357136258560584080656924335728454328715117117669262948364668038\
      7079047994242064414775266063832099297314698503757948915965829168944316343\
      803621528112256253952000000000000000000000000000000*ep^7+
      1344300977871051796947270163284910576986609755340760341318131841641339558\
      0329807967519568445625371741577025245382705633227603/
      6208739521535717632761439234005164908132576486172253911703301374301304322\
      4038608899567601342188386660430092623278912700992479710129304802345539305\
      564453426779612142857803524367974400000000000000000000000000000000*ep^8;
Fill mncpoch(40,0) = 1;
Fill mncpoch(40,1) = 1/39+1/1521*ep+1/59319*ep^2+1/2313441*ep^3+1/90224199*ep^4
      +1/3518743761*ep^5+1/137231006679*ep^6+1/5352009260481*ep^7+1/
      208728361158759*ep^8;
Fill mncpoch(40,2) = 1/2964+77/4392648*ep+4447/6509904336*ep^2+228305/
      9647678225952*ep^3+10989031/14297859130860864*ep^4+507807377/
      21189427231935800448*ep^5+22815424087/31402731157728856263936*ep^6+
      1004217121985/46538847575754164983153152*ep^7+43512259895911/
      68970572107267672505032971264*ep^8;
Fill mncpoch(40,3) = 1/329004+4331/18040605336*ep+12506485/989238552994224*ep^2
      +30098943935/54243906814885278816*ep^3+65201848239661/
      2974410386287419378596544*ep^4+131842512006148391/
      163098819121684354205962893696*ep^5+253928738905662529045/
      8943360647718439878529769312926464*ep^6+471654607497326761113695/49040023\
      7756992932299301370505009726976*ep^7+851828047189096357551313021/
      26890606637166950449699891350271703369001984*ep^8;
Fill mncpoch(40,4) = 1/47376576+35125/15587083010304*ep+771240835/
      5128212658722057216*ep^2+13549741881025/1687202477570191712292864*ep^3+
      208332686369288131/555096363930503354111201427456*ep^4+
      2929159794088734117625/182628924118591325516001714438733824*ep^5+
      38616890600559532056098395/60085646550713020460066628057201183031296*ep^6
      +484952867402885227659806555425/19768418057770786583443760897331418022028\
      509184*ep^7+5862728272502529363267878281109011/65038886146788198690993311\
      10265625854919467635572736*ep^8;
Fill mncpoch(40,5) = 1/8290900800+1558379/95470883438112000*ep+1457482947391/
      1099360588713541015680000*ep^2+1060462902772375439/
      12659291089518844691297395200000*ep^3+661525774346635610514631/1457735091\
      96562029258546287363328000000*ep^4+371489590423294734635891204399/
      1678602366689699285596256695468952785920000000*ep^5+
      193209663743019854418958000958260471/193293412567632238315408793242623569\
      83258828800000000*ep^6+94768278716325247077211113621831744797759/
      222580070679404469271529641141986437392203069868032000000000*ep^7+
      44381276289555736345600151156824439069274323911/2563040675083237580287361\
      831899733704672453257960170004480000000000*ep^8;
Fill mncpoch(40,6) = 1/1691343763200+32250013/331093023763372416000*ep+
      606894279144409/64813902868195524120430080000*ep^2+8704290536094155457937/
      12687799813052441129542196933990400000*ep^3+
      105366856261104979465746828841/248373044936763567812342107124199364915200\
      0000*ep^4+1134119145992898188658512547134427313/4862085653944310171439642\
      25543126022734634741760000000*ep^5+11193381961458270828482145742236842903\
      244409/95178914895172482506837519606051427220352532303914188800000000*
      ep^6+103333769910784341696003884765565241584019993359937/1863197501112193\
      9823634344923779259537916894400179605344313344000000000*ep^7+
      904544431943179900615715488852618306755047472661774944841/
      3647346612402701800392321440295327545482621905515831071636778120478720000\
      000000*ep^8;
Fill mncpoch(40,7) = 1/390700409299200+420002603/841307373382729309056000*ep+
      100840410828626869/1811613399068933094690141166080000*ep^2+
      18165495577519862538861887/3901003618320916602130173411521622374400000*
      ep^3+2728019416071129733880583048053101/840015272462324896554655682583648\
      0702981153792000000*ep^4+360661000407706996296495494348309704064423/
      18088310778693195750414146554715523479197637412688834560000000*ep^5+
      43363776443686860194733878978406148682590167683029/3895012359329013806321\
      0279689358512737778354023077395095909580800000000*ep^6+484327593216672830\
      8134922367774152855068876091154099369567/83872515598285293078015506151616\
      399676685293646970994413201190797369344000000000*ep^7+5099328012787928513\
      35117679611103432365394351724645391598649367741/1806053029828240761203289\
      61919757400823148361857478554825551927757104470411345920000000000*ep^8;
Fill mncpoch(40,8) = 1/100019304780595200+3898353619/
      1722997500687829624946688000*ep+8552397892646754721/296814739303453998234\
      03272865054720000*ep^2+13904769997190807036532661339/51131234626055918087\
      4406089394962087857356800000*ep^3+18659361224647216690257162852237814201/
      8808198543374547907296946370208313589609166318600192000000*ep^4+
      21863085742338701904480352105820766906298034659/1517357485046319714174901\
      13102059077981785134781180859100692480000000*ep^5+23137169867051691511799\
      048942625930657959841018086296081/261389854700529918782520206307512267856\
      1835222278553768965663014204211200000000*ep^6+226125831306150341058863262\
      09047912098889113845338043121568449579/4502871394098565093098147193775990\
      6768578538737237123808162228142869686914121728000000000*ep^7+
      20728347831413225265347269636652795092244905015498374731719593996533832361
      /775693869795400656658227452206987412789385693933844205997088514866518332\
      072130393743032320000000000*ep^8;
Fill mncpoch(40,9) = 1/27905386033786060800+138075611629/
      14902205383449038426163904512000*ep+10597434532579901624641/7958167108730\
      278255251062117305606471680000*ep^2+596795292642415556502721486801189/
      4249869203978080877522811474757123041061026083635200000*ep^3+275130952313\
      40526271677880753541188286905881/2269541215226249834352644515244361400910\
      455681673871048572928000000*ep^4+1099880029603000737314660629314087803915\
      771039517101149/121199431803436008164978336843265384349470322262441227780\
      7462330841169920000000*ep^5+394815711209583729077792965026432495164265578\
      38791863726387580721/6472366384415435210406284431378823903333081843026598\
      39970452407071590170470698188800000000*ep^6+13022664587666974703654617963\
      61854015088914094400284386290321544989956855509/3456412789298514432535752\
      7580410747918885549024040978960486199081962028635150528220551656243200000\
      0000*ep^7+401127098490160403342504643571798880313303438668236791675146158\
      94032230711007144193161/1845814754676520840904292233907888833381237816409\
      17303791480522698333005353583741498743819509028072980480000000000*ep^8;
Fill mncpoch(40,10) = 1/8371615810135818240000+155876482717/
      4470661615034711527849171353600000*ep+13372171707076078610737/23874501326\
      19083476575318635191681941504000000*ep^2+
      166966319473335545852200991294609/254992152238684852651368688485427382463\
      661565018112000000*ep^3+42373824876253876797093595489046913478728841/
      680862364567874950305793354573308420273136704502161314571878400000000*
      ep^4+1854171023730683550539958055685030226734912768265750157/
      3635982954103080244949350105297961530484109667873236833422386992523509760\
      00000000*ep^5+72487430489493259621063222644819598113918151175615699596760\
      341537/194170991532463056312188532941364717099992455290797951991135722121\
      477051141209456640000000000*ep^6+5185211728821055446649847904320260184261\
      47808412143020768237193424189127553/2073847673579108659521451654824644875\
      1331329414424587376291719449177217181090316932330993745920000000000*ep^7+
      8626335262338065144720756636698584293465919279671507860008610091978679051\
      3517853631481/55374442640295625227128767017236665001437134492275191137444\
      156809499901606075122449623145852708421894144000000000000*ep^8;
Fill mncpoch(40,11) = 1/2670545443433326018560000+5054444131433/413580906006861\
      16344132684192153600000*ep+13945201657805090962902937/6405027341289150960\
      12149908130589239584751616000000*ep^2+55615619876756945073538238074457316\
      37/1983862148702821873949239670967277209459091169043328008192000000*ep^3+
      44820298430882130636366418151119610526060845049721/1536179634895840409099\
      86953647492564742946204077540816997416359795097600000000*ep^4+
      61966388774037230744396130561117456745358888307134067207993833/
      2379044201444883244393292497067536489302080935409822314303410829304039870\
      621024256000000000*ep^5+7620888508518284946872120160028806537852261939596\
      8307086962136324092593497/36843681454039614874470892705593846515948117424\
      594250275333726181295616250247234616712086159360000000000*ep^6+
      1708393333078320049876135486571385842292878697701921837020136850799409729\
      1405978530293/11411783457090103113325851740733667410706236514063905291515\
      7004872156478014089401048061430887371050917560320000000000*ep^7+
      8876926695442477219093322578122210619377795475690029643960564862267385824\
      5685218574116407216342841/88365763498666878727609309671951179271960083242\
      6531835333287393579108742776416578957198026235947383203860286726052249600\
      0000000000*ep^8;
Fill mncpoch(40,12) = 1/897303268993597542236160000+5607542625953/1389631844183\
      0535091628581888563609600000*ep+17046725042176422743180497/21520891866731\
      5472260082369131877984500476542976000000*ep^2+
      297890623165621083682090724196432277/266631072785659259858777811778002056\
      95130185311942328430100480000*ep^3+65415655331448337887033332881007514171\
      540297804721/516156357325002377457556164255575017536299245700537145111318\
      96891152793600000000*ep^4+14021098465128645434410077829522961019206484578\
      919673322374679/114194121669354395730878039859241751486499884899671471086\
      563719806593913789809164288000000000*ep^5+1304942242532382050240147997630\
      64318024992879375322779185271627427970407057/1237947696855731059782221994\
      9079532429358567454663668092512131996915327060083070831215260949544960000\
      000000*ep^6+3151916512638746498550729210474388382323959924026141581148859\
      4365530251667873635295821/38343592415822746460774861848865122499972954687\
      254721779492753637044576612734038752148640778156673108300267520000000000*
      ep^7+17593528085408573423934971018930072765783597540208392072249597694130\
      2542140773352232707056953347441/29690896535552071252476728049775596235378\
      5879695314696671984564242580537572875970529618536815278320756497056339953\
      5558656000000000000*ep^8;
Fill mncpoch(40,13) = 1/314953447416752737324892160000+18543378749699/
      14632823319247553451484896728657480908800000*ep+
      185329060529991688076200633/679844974070049576869600204087602553037005399\
      261184000000*ep^2+264857199133648497430426353150493761919/
      6317156691974232014204093305550313734318719155031936163301556224000000*
      ep^3+7577434363458946092017260697994728005637767329487201/
      1467484139510714259349577930595025332357452385451197157265990960512365074\
      841600000000*ep^4+5269823610916597544259686371203078835585011833741219140\
      318664117/973995921954424447507378065371430670953803468274767878338627935\
      3463814688874193049616384000000000*ep^5+158606664491104916623185597201562\
      534272395936970038745778597872418253543101513/316764818723747607846015181\
      8350521678491840881731884727843911823238696972806996081220529756508614819\
      840000000000*ep^6+1235169253719500169641558728616188329333260412558252883\
      31146037592710435082059142866579311/2943396025130492562490983262507727604\
      0511739017260152862644478923679987657269319305583126161021854074836292458\
      250240000000000*ep^7+2217020662787552542204243489833436086381982285022758\
      470732990718781975458966208924149338331679695071601/
      6837549223158475596011243426983676810201193939950168634275766448244453883\
      624893741683343542358094129316653925128987832920047616000000000000*ep^8;
Fill mncpoch(40,14) = 1/114643054859697996386260746240000+20330312347379/
      5326347688206109456340502409231323050803200000*ep+
      221657978714851770464681353/247463570561498045980534474287887329305469965\
      331070976000000*ep^2+26467293615809991141484652019131828779/
      176880387375278496397714612555408784560924136340894212572443574272000000*
      ep^3+10651628616572841899870497141382985480004422385614001/
      5341642267818999904032463667365892209781126683042357652448207096265008872\
      42342400000000*ep^4+79889311887685617796764626259090293862312267188605841\
      52134252357/3545345155914104988926856157952007642271844624520155077152605\
      684660828546750206270060363776000000000*ep^5+2585364913464540737920418312\
      67284307303140994489691744623835436520810751223833/
      1153023940154441292559495261879589890971030080950406040935183903658885698\
      101746573564272831369135794421760000000000*ep^6+1660880260727743769558284\
      4215501508086142132952721297946932249889630119896694201230498523/
      8241508870365379174974753135021637291343286924832842801540454098630396544\
      03540940556327532508611914095416188831006720000000000*ep^7+
      4146144443539202875136137019635486745921294529310043239366595514724055108\
      613027655483897893560249803201/248886791722968511694809260742205835891323\
      4594141861382876378987160981213639461321972737049418346263071262028746951\
      571182897332224000000000000*ep^8;
Fill mncpoch(40,15) = 1/42991145572386748644847779840000000+110943616444831/
      9986901915386455230638442017308730720256000000000*ep+
      6572343621372931985978912641/23199709740140441810675106964489437122387809\
      24978790400000000000*ep^2+21239795162892897701298005784836017096027/
      4145634079108089759321436231767393388146659445489708107166646272000000000\
      0000*ep^3+9222965287664444178649944483208843703836160679571364161/
      1251947406520078102507608672038880986667451566338052574792548538187111454\
      47424000000000000000*ep^4+53154728117690814695191735761931792747418300608\
      42557914666259652879/5935287649409773976998085085857155651124739884799366\
      75862601398101701207603271138960998400000000000000000*ep^5+
      6459824221398075252869324344984721554946925756263855949845753166575227725\
      113230081/675599964934242944859079255007572201740837938056878539610459318\
      5501283387314921329478161121303530045440000000000000000000*ep^6+
      8542403302305427754039931938121553674826932478381021364340975578418288604\
      55916837020481282439/9286555968710989154493787336637962693070109966383161\
      2096684804296466307211937455741773685303704767964477485219840000000000000\
      00000000*ep^7+29610501653539517226366623760333533324988434565109031047986\
      65618180166950396262132118561191165087770529758401/
      3645802613129421558029432530403405799189308487512492260072820781974093574\
      6671796708585015372339056587957939874222923405999472640000000000000000000\
      0000*ep^8;
Fill mncpoch(40,16) = 1/16508599899796511479621547458560000000+120622840098931/
      3834970335508398808565161734646552596578304000000000*ep+
      7739879068483226905302679741/89086885402139296552992410743639438549969187\
      5191855513600000000000*ep^2+27002565975164922599059793359390175679727/
      1591923486377506467579431512998679061048317227068047913151992168448000000\
      0000000*ep^3+12620695666671202154252342113166921084110946294566963261/
      4807478041037099913629217300629302988803014014738121887203386386638507985\
      1810816000000000000000*ep^4+546595291149608944150230931307938037259063371\
      46341804990131942144453/1595405320161347245017085271078403439022330081034\
      069784718672558097372846037592821527163699200000000000000000*ep^5+
      1016325687131855514479801308299000782588146307653958359485497474696716282\
      2053181181/25943038653474929082588643392290772546848176821384135921041637\
      83232492820728929790519613870580555537448960000000000000000000*ep^6+
      1867223477850174214284915604260095440052239465213822748951131306962860015\
      6941015836288423863407/46358487395805257859232986384496709763805988952184\
      7407586650543047959805601991779062934237036094201678671606217441280000000\
      00000000000000*ep^7+53105757404127272998292792163982996990688774767896748\
      49369887512650462100628410018272674061478135014131501501/
      1399988203441697878283302091674907826888694459204797027867963180278051932\
      6721969936096645902978197729775848911701602587903797493760000000000000000\
      0000000*ep^8;
Fill mncpoch(40,17) = 1/6454862560820435988532025056296960000000+
      3006626689973813/34487888227227030485426499479676447501028687872000000000
      *ep+4792839519467057067285199582189/1842664228969308995972439724580363783\
      02370767772808202577510400000000000*ep^2+41418507987607312007761862100387\
      8493692453609/75732528259732523856962267984940769010879763993791431330942\
      328869811650560000000000000*ep^3+4782592983018212752276790114029585869943\
      657004362623911754301/526023819830408463079596295262533268076643079755247\
      3299114211942809129248146940909060096000000000000000*ep^4+
      5105221763309321119833944791751997675789052441276702736204962278119508865\
      79/4015013163052049268514685650979256510537574714754449517770744219643428\
      543069798072831464269613210009600000000000000000*ep^5+
      2334691764695275746687935832927039085959669998916249948256663636989133229\
      921602550165820109/150163580905755290978760902013976044184356042547907275\
      5683178971046983190454653770772385312058362826741506680186470400000000000\
      00000000*ep^6+10529509167180911117109233079817455919762419827046671212828\
      6982302641394309427443090613527681080803189129/
      6171644000973960267906566743400191916340777638536119338785853729482304326\
      3081239242616759915647714758759425998415342678055059456000000000000000000\
      000*ep^7+7338589381358623952939831919320059170309928686937481556191576155\
      26648455497559713229972916318319398754855710469439423581/
      4286707213697890651036600646284901581218828889765640797045859906608194948\
      5256794509919067862952348722383019074543573094984930552353702329450496000\
      00000000000000000000*ep^8;
Fill mncpoch(40,18) = 1/2556125574084892651458681922293596160000000+
      3249487210749413/13657203737981904072228893793951873210407360397312000000\
      000*ep+5582011675723311378817204304989/7296950346718463624050861309338240\
      5807738824038032048220694118400000000000*ep^2+518465869302353353406269661\
      608993170094720409/299900811908540794473570581220365445283083865415414068\
      07053162232445413621760000000000000*ep^3+64194865663190808634944339823759\
      15147568292560990255691619501/2083054326528417513795201329239631741583506\
      595830779426449227929352415182266188599987798016000000000000000*ep^4+
      7332421549892492898787353894311667082853441091745549768353125091577515973\
      79/1589945212568611510331815517787785578172879587042762009037214710978797\
      703055640036841259850766831163801600000000000000000*ep^5+
      3581220766002461793202630972874258819125429142670524532886841169579306109\
      432929562215886909/594647780386790952275893171975345134970049928489712811\
      2505388725346053434200428932258645835751116793896366453538422784000000000\
      0000000000*ep^6+132459960472027778917930952107963209677974993162240702807\
      84881332797695858723815131699873818281804781533/
      1879977711065914050839231100297289229900729188354079429353229289903840394\
      7830900569289413020458842341899025150286519769622925803520000000000000000\
      00000*ep^7+12775200233342321617130217351541265791305442200269522374817159\
      68055960383635589189882775670912814219376577708075611544781/
      1697536056624364697810493855928821026162656240347193755630160523016845199\
      6161690625927950873729130094063675553519254945614032498732066122462396416\
      00000000000000000000000*ep^8;
Fill mncpoch(40,19) = 1/1019894104059872167932014086995144867840000000+
      3503912518228613/54492242914547797248193286237867974109525367985274880000\
      00000*ep+6473495695553844216261546654589/29114831883406669859962936624259\
      579917287790791174787240056953241600000000000*ep^2+6451598025951660062571\
      86626864467203994878009/1196604239515077769949546619069258126679504623007\
      5021316014211730745720035082240000000000000*ep^3+122191018874993099598494\
      4615058201380466421069324658093640843/11873409661211979828632647576665900\
      9270259875962354427307605991973087665389172750199304486912000000000000000
      *ep^4+1044127030473917792209987623771331876914227194448258371400294895644\
      244562979/634388139814875992622394391597326445690978955230062041605848669\
      680540283519200374699662680455965634356838400000000000000000*ep^5+
      5440787151432155732654858982572992578383504056898336056255959391608194507\
      415073891143644509/237264464374329589958081375618162708853049921467395411\
      6889650101413075320245971143971199688464695600764650214961830690816000000\
      0000000000000*ep^6+278680559685328952202449579953509842666976923955026741\
      570801486322316496295981962799422186094372978445529/
      9751444387298896181703091717242039235495082299992610000055200326731220127\
      7398881252904185337120015227430243454536178045034116142858240000000000000\
      00000000*ep^7+21992640554576319231100022627065127192338040702144050108776\
      41352462377104605596493980397304923830358045688896431118003181/
      6773168865931215144263870485155995894388998398985303084964340486837212346\
      4685145597452523986179229075314065458541827232999989669940943828624961699\
      8400000000000000000000000*ep^8;
Fill mncpoch(40,20) = 1/407957641623948867172805634798057947136000000000+
      3771059091081773/21796897165819118899277314495147189643810147194109952000\
      00000000*ep+7480921207763092419041028107269/11645932753362667943985174649\
      703831966915116316469914896022781296640000000000000*ep^2+6145313548032893\
      9330322983808755495998810853/36818591985079315998447588279054096205523219\
      1694616040492744976330637539540992000000000000000*ep^3+161826334251507189\
      9172126696905063182500686608934064348696003/47493638644847919314530590306\
      6636037081039503849417709230423967892350661556691000797217947648000000000\
      00000000*ep^4+14764405364007186617075096502968941282942197144535840234600\
      31106929442482459/2537552559259503970489577566389305782763915820920248166\
      42339467872216113407680149879865072182386253742735360000000000000000000*
      ep^5+82017693566786882505854410046657834514596944472844682722077018344012\
      77517151179793322687589/9490578574973183598323255024726508354121996858695\
      8164675586004056523012809838845758847987538587824030586008598473227632640\
      00000000000000000000*ep^6+44722475775985036881357013575152329668947273758\
      6321612525283591566557716154859102343616419302025213171009/
      3900577754919558472681236686896815694198032919997044000022080130692488051\
      0959552501161674134848006090972097381814471218013646457143296000000000000\
      00000000000*ep^7+37524333527558050178043760862660473828183197499984201486\
      49884335302401489599568642814457800237926242468650651432756502901/
      2709267546372486057705548194062398357755599359594121233985736194734884938\
      5874058238981009594471691630125626183416730893199995867976377531449984679\
      9360000000000000000000000000*ep^8;
Fill mncpoch(40,21) = 1/162775099007955598001949448284425120907264000000000+
      4052266009874573/86969619691618284408116484835637286678802487304498708480\
      0000000000*ep+8620446446528715151565603581669/464672716859170450965008468\
      5231828954799131410271496043513089737359360000000000000*ep^2+985362236924\
      790190454170453373214625345247489/190978036626606412083947640403453597018\
      0489378319973402035868192227016917599125504000000000000000*ep^3+
      2132860316947245609593114044564140241320958285353254983928803/
      1894996181929431980649770553235877787953347620359176659829391631890479139\
      6111970931808996111155200000000000000000*ep^4+207621561434488842744599680\
      4076711473406313026003593127386849881247351500859/
      1012483471144542084225341448989333007322802412547179018402934476810142292\
      49664379802066163800772115243351408640000000000000000000*ep^5+
      1228869272629467307010552143060592039844661017460021300326630439598697559\
      6656117880423793989/37867408514143002557309787548658768332946767466196307\
      7055588156185526821111256994577803470278965417882038174307908178254233600\
      0000000000000000000*ep^6+713045174494682535526523091617930922688309424250\
      570868464905919369240416217578507576511642156917503669409/
      1556330524212903830599813438071829461985015135078820556008809972146302732\
      3872861447963507979804354430297866855343974015987444936400175104000000000\
      00000000000000*ep^7+63591054269922182858662800264628348222483479933033598\
      16346762535744255675779280172521505275791339197827371756280159420501/
      1080997751002621937024513729430896944744484144478054372360308741699219090\
      4963749237353422828194204960420124847183275626386798351322574635048543887\
      2944640000000000000000000000000*ep^8;
Fill mncpoch(40,22) = 1/64458939207150416808771981520632347879276544000000000+
      4349095535266973/34439969397880840625614127994912365524805784972581488558\
      0800000000000*ep+9911386410148216583382188786869/184010395876231498582143\
      3535351804266100456038467512433231183535994306560000000000000*ep^2+
      1211669323394403908560679544018277885898508689/75627302504136139185243265\
      5997676244191473793814709467206203804121898699369253699584000000000000000
      *ep^3+2800798887310672388217437255109260912807586867107630405261203/
      7504184880440550643373091390814076040295256576622339572924390862286297392\
      860340488996362460017459200000000000000000*ep^4+2907575418784877323251902\
      146364619592160929434349086271109124439690422558059/
      4009434545732386653532352137997758708998297553686828912875620528168163478\
      2867094401618200865105757636367157821440000000000000000000*ep^5+
      1833007234749833972173275744827747878650870412324235970779777297966391353\
      2303335806725255189/14995493771600629012694675869268872259846919916613737\
      8514012909849468621160057769852810174230470305481287117025931638588676505\
      6000000000000000000000*ep^6+870443428624092335437497944861151012665624866\
      52964543668336276039949382493984092260332719655938301235893/
      4740822212217768591673277857511111284200507642240099539842221145922583707\
      8874254872258070461557879649215040574740105464084832267803610316800000000\
      000000000000000*ep^7+1072561436260246247147316457298796551159519098188330\
      4658506566454204169325958959117518791384936385367534252197518570251301/
      4280751093970382870617074368546351901188157212133095314546822617128907598\
      3656446979919554399649051643263694394845771480491721471237395554792233793\
      686077440000000000000000000000000*ep^8;
Fill mncpoch(40,23) = 1/25203445229995812972229844774567248020797128704000000000
      +4663385620976573/1346602803457140868461512404601073492019906192427936202\
      62092800000000000*ep+11377042276661859931205869987669/
      7194806478760651594561805123225554680452783110407973613933927625737738649\
      60000000000000*ep^2+1486722522798542268064990531564979755522733489/
      2957027527911723042143011684950914114788662533815514016776256874116623914\
      53378196537344000000000000000*ep^3+36685714499560589115450222965967908228\
      94068854067365724450803/2934136288252255301558878733808303731755445321459\
      334773013436827153942280608393131197577721866826547200000000000000000*
      ep^4+40605710542233586257152140889212680122806090484154024992190566109489\
      67366859/1567688907381363181531149685957123655218334343491550104934367626\
      5137519200101033911032716538256351235819558708183040000000000000000000*
      ep^5+27263452920130801202501649166531930382210602225590322740608148424909\
      551720955435562492279989/586323806469584594396361826488412905360014568739\
      5971499897904775114223087358258801244877812411388944318326275713927068817\
      25136896000000000000000000000*ep^6+10533541583146929584647455805718607202\
      5607107262215488364483672342282474622127192838615059667804089837377/
      1417505841453112808910310079395822273975951785029789762412824122630852528\
      6583402206805163068005806015115297131847291533761364848073279484723200000\
      000000000000000000*ep^7+1804201315085673649612128841077628850715746605654\
      2379101671027528210433874054156768011370932542143242727202677416716194501/
      1673773677742419702411276078101623593364569469944040267987807643297402870\
      9609670769148545770262779192516104508384696648872263095253821661923763413\
      331256279040000000000000000000000000*ep^8;
Fill mncpoch(40,24) = 1/9678122968318392181336260393433823239986097422336000000\
      000+4997318837043023/5170954765275420934892207633668122209356439778923275\
      0180643635200000000000*ep+13045813027625088368679346866019/
      2762805687844090212311733167318612997293868714396661867750628208283291641\
      44640000000000000*ep^2+1821832545915191258597527077245594246780499839/
      1135498570718101648182916487021151020078846412985157382442082639660783583\
      18097227470340096000000000000000*ep^3+47984021950268942383864674728698759\
      62642531144824953395582253/1126708334688866035798609433782388632994091003\
      4403845528371597416271138357536229623798698451968613941248000000000000000\
      00*ep^4+56629169311890024510910149451568792055791285897045571382295767009\
      01056078709/6019925404344434617079614794075354836038403879007552402947971\
      6858128073728387970218365631506904388745547105439422873600000000000000000\
      00*ep^5+40500705362174467059317150962039018067448269455128565189282536836\
      110957602497080284511771339/225148341684320484248202941371550555658245594\
      3960053055960795433643861665545571379678033079965973354618237289874147994\
      42582452568064000000000000000000000*ep^6+16653238775251289950946248711059\
      2442623673162843064298194420592772820128820322092307860045088594603092927/
      5443222431179953186215590704879957532067654854514392687665244630902473710\
      0480264474131826181142295098042740986293599489643641016601393221337088000\
      00000000000000000000*ep^7+30331976927390937009685627367113433117262439040\
      3080324813216415842068622126272499080827472955136141034387941432820130066\
      51/6427290922530891657259300139910234598519946764585114629073181350262027\
      0244901135753530415757809072099261841312197235131669490285774675181787251\
      50719202411151360000000000000000000000000*ep^8;
Fill mncpoch(40,25) = 1/3629296113119397068001097647537683714994786533376000000\
      000000+5353514267513903/1939108036978282850584577862625545828508664917096\
      2281317741363200000000000000*ep+14952710346674200877029583510659/
      1036052132941533829616899937744479873985200767898748200406485578106234365\
      54240000000000000000*ep^2+2231531553502883435469979179574500583078123679/
      4258119640192881180685936826329316325295674048694340184157809898727938436\
      9286460301377536000000000000000000*ep^3+627457325931561494450890677211244\
      3566633452528528864827521933/42251562550832476342447853766839573737278412\
      6290144207313934903110167688407608610892451191948823022796800000000000000\
      000000*ep^4+7897891254312000478311327896749737070999172292144843539514299\
      330250773889749/225747202662916298140485554777825806351440145462783215110\
      5489382179802764814548883188711181508914577958016453978357760000000000000\
      000000000*ep^5+6019305478816749684785635825700606201633931772878552409963\
      8809204928115377339894678436835179/84430628131620181593076103014331458371\
      8420978985019895985298287616448124579589267379262404987240007981838983702\
      80549790968419713024000000000000000000000000*ep^6+
      2027293726242044444204293793064666083132872738422640131136223010103324021\
      0104047828074973827074408702619/15701603166865249575621896264076800573272\
      0813110992096759574364352955972405231532136918729368679697398200214383539\
      229297048964470965557369241600000000000000000000000000*ep^7+
      5107827656556460004468197914707148618374992002988050271907642975914551614\
      5779710447072891815272091872651762217525194357211/
      2410234095949084371472237552466337974444980036719417985902443006348260134\
      1837925907573905909178402037223190492073963174376058857165503193170219315\
      19700904181760000000000000000000000000000*ep^8;
Fill mncpoch(40,26) = 1/1321063785175460532752399543703716872258102298148864000\
      000000000+819307461247529/10083361792287070823039804885652838308245057568\
      90038628522550886400000000000000*ep+17141462150527206571614881927059/
      3771229763907183139805515773389906741306130795151443449479607504306693090\
      5743360000000000000000*ep^2+390678492999713349128153693936663639915990297/
      2214222212900298213956687149691244489153750505321056895762061147338527987\
      202895935671631872000000000000000000*ep^3+8212843925601384739892037567204\
      446804511796313063145049308733/153795687685030213886510187711296048403693\
      4219696124914622723047321010385803695343648522338693715802980352000000000\
      00000000000*ep^4+11032224265886718900141823455121420439310352798336760913\
      677944788652937670149/821719817693015325231367419391285935119242129484530\
      9030023981351134482063924957934806908700692449063767179892481222246400000\
      00000000000000000*ep^5+89665263823958556339700473724104876147378176290668\
      459830655227239001837099311018497360043579/
      3073274863990974609987970149721665084735052363505472421386485766923871173\
      4697049332605151541535536290538939006782120123912504775540736000000000000\
      000000000000*ep^6+5976975903869121072828597604697852728008049345274599242\
      1928644026309103832810435017165107670826022079321/
      1061428374080090871312040187451591718753192696630306574094722703025982373\
      4593651572455706105322747544118334492327251900480509998237271678160732160\
      0000000000000000000000000*ep^7+863659792608192432989126229193387283205859\
      5560765755405972260832173948315955697939240247642472390929544851239644535\
      8992811/87732521092546671121589446909774702269797273336586814686848925431\
      0766688842900503035690175094093834154924133911492259547288542400824316231\
      395983073171129122160640000000000000000000000000000*ep^8;
Fill mncpoch(40,27) = 1/4636933885965866469960922398400046221625939066502512640\
      00000000000+878020993742729/353925998909276185888697151486414624619401520\
      668403558611415361126400000000000000*ep+19667496143758700807116024566259/
      1323701647131421282071736036459857266198451909098156650767342234011649274\
      7915919360000000000000000*ep^2+623356858293207070917233919694431660090733\
      0661/10103495957464060750284363464041148604008563555779982615362285015305\
      703205606814154469656231936000000000000000000*ep^3+1077480774648666438763\
      2537290161954441558101893042748616599133/53982286377445605074165075886664\
      9129896963911113339845032575789609674645417097065620631340881494246846103\
      55200000000000000000000*ep^4+15460613439156861072238860565400668082936497\
      892048747303601871079206464301349/288423656010248379156209964206341363226\
      8539874490703469538417454248203204437660235117224953943049621382280142260\
      90900848640000000000000000000000*ep^5+13414487807218600368179195819082570\
      0691846972614190090729766837282014819003881529055465258779/
      1078719477260832088105777522552304444742003379590420819906656504190278781\
      8878664315744408191078973237979167591380524163493289176214798336000000000\
      000000000000000*ep^6+1240308023841570142907101157893255241705167964785050\
      512349307753675954109950791222936624189984002614993573/
      4843297670927454645796839375341613012670818274724088897594219693907557570\
      0950832125115386958587697043811960288489250421892567121956670667447420846\
      0800000000000000000000000000*ep^7+147027426190564720959077060546128451597\
      0204588696224208055380182324086310811449712517225562380877338431364193176\
      31599209611/3079411490348388156367789586533092049669884294114197195508397\
      2826307910778385807656552725145802693578837837100293378310109827838268933\
      4997219990058683066321878384640000000000000000000000000000*ep^8;
Fill mncpoch(40,28) = 1/1558009785684531133906869925862415530466315526344844247\
      04000000000000+941627320612529/118919135633516798458602242899435313872118\
      910944583595693435561338470400000000000000*ep+
      22602275445835010460750379052059/4447637534361575507761033082505120414426\
      798414569806346578269906279141563299748904960000000000000000*ep^2+
      1095888043277300987077075730044833146517464123/
      4849678059582749160136494462739751329924110506774391655373896807346737538\
      69127079414543499132928000000000000000000*ep^3+14190372988063339603942927\
      854168400406131683361587635833683733/181380482228217233049194654979194107\
      6453798741340821879309454653088506808601446140485321305361820669402907934\
      7200000000000000000000*ep^4+217787959579388222598410433593745887617428303\
      60603547915810335730837947045149/9691034841944345539648654797333069804422\
      2939782887636576490826462739627669105383899938758452486467278444612779966\
      542685143040000000000000000000000*ep^5+2020230695842214549873959501624321\
      84072936009565304963713755155828025698852640716325250668579/
      3624497443596395816035412475775742934333131355423813954886365854079336707\
      1432312100901211522025350079610003107038561189337451632081722408960000000\
      00000000000000000*ep^6+19961871649718254515234808193725735890180320417373\
      82684778574728029038643881123236200407196869700396406173/
      1627348017431624760987738030114781972257394940307293869591657817152939343\
      5519479594038770018085466206720818656932388141755902552977441344262333404\
      2828800000000000000000000000000*ep^7+252793547236542977337879242203401697\
      2580159084226362609740559669809969274326473536507532201606018513133833449\
      63689499617811/1034682260757058420539577301075118928689081122822370257690\
      8214869639458021537631372601715648989705042489513265698575112196902153658\
      3616559065916659717510284151137239040000000000000000000000000000*ep^8;
Fill mncpoch(40,29) = 1/4970051216333654317162915063501105542187546529040053148\
      0576000000000000+91910549166739/34486549333719871552994650440836241022914\
      48417392924275109631278815641600000000000000*ep+
      26039777796487476276162805385659/1418796373461342586975769553319133412202\
      148694247768224558468100103046158692619900682240000000000000000*ep^2+
      9478083159094208144074458430431494065564283261/
      1082933110704827887458479213529786471972053876162721656644991157080526492\
      389760768332675633563828224000000000000000000*ep^3+1879407741200746643804\
      6179313522653269696728808478463468146933/57860373830801297342693094938362\
      9203388761798487722179499716034335233671943861318814817496410420793539527\
      6311756800000000000000000000*ep^4+309074748134929702273999110822625313225\
      95665714009233736872463432197789514749/
      3091440114580246227147920880349249267610711779074115606790057364161394122\
      6444617464080463946343183061823831476809327116560629760000000000000000000\
      000*ep^5+3071099455911124602230200672271199544378816754292840933646904744\
      36025214446452051324921210179/1156214684507250265315296579772461996052268\
      9023801966516087507074513084095786907560187486475526086675395590991145301\
      01939864707063406944845824000000000000000000000000*ep^6+
      3249714582141972565283292477291694166808191504850797568900087687259857505\
      833358759973604929150542811445373/
      5191240175606882987550884316066154491501089859580267443997388436717876505\
      9307139904983676357692637199439411515614318172201329143998037888196843559\
      662387200000000000000000000000000*ep^7+4005724206134685890559448480353171\
      9970349375831800675650014301810505119062700527563678229850750612710992395\
      525569584430201/300057855619546941956477417311784489319833525618487374730\
      3382312195442826245913098054497538207014462321958847052586782537101624560\
      924880212911583131807798240382979932160000000000000000000000000000*ep^8;
Fill mncpoch(40,30) = 1/1491015364900096295148874519050331662656263958712015944\
      4172800000000000000+98849421188899/10345964800115961465898395132250872306\
      87434525217877282532889383644692480000000000000000*ep+
      30106499547753943566968162295019/4256389120384027760927308659957400236606\
      44608274330467367540430030913847607785970204672000000000000000000*ep^2+
      1682291397208873713543647183279949595835159243/
      4641141903020690946250625200841942022737373754983092814192819244630827824\
      5275461499971812867021209600000000000000000000*ep^3+250859347502733323640\
      01631521248945214158509732818515848757253/
      1735811214924038920280792848150887610166285395463166538499148103005701015\
      831583956444452489231262380618582893527040000000000000000000000*ep^4+
      4431071780419999601860568768822339696508966939133438687842169459342269745\
      3709/92743203437407386814437626410477478028321353372223468203701720924841\
      8236793338523922413918390295491854714944304279813496818892800000000000000\
      0000000000*ep^5+472834335219889854191636035270951547322931826302703037539\
      532222299638059081516003657082396339/
      3468644053521750795945889739317385988156806707140589954826252122353925228\
      7360722680562459426578260026186772973435903058195941211902208345374720000\
      0000000000000000000000*ep^6+537267377846627142580558871084534117348351984\
      9397000388078028379329060448716042380580583406185595200833293/
      1557372052682064896265265294819846347450326957874080233199216531015362951\
      7792141971495102907307791159831823454684295451660398743199411366459053067\
      898716160000000000000000000000000000*ep^7+7111172843408521537714978290716\
      0602436559469889567621311985559326277093110823217483831450278478760203342\
      325021165741239241/900173566858640825869432251935353467959500576855462124\
      1910146936586328478737739294163492614621043386965876541157760347611304873\
      68277464063873474939542339472114893979648000000000000000000000000000000*
      ep^8;
Fill mncpoch(40,31) = 1/4159932868071268663465359908150425338810976444806524484\
      924211200000000000000+106559278991299/28865241792323532489856522418979933\
      7361794232535787761826676138036869201920000000000000000*ep+
      34977510339962061413358914345419/1187532564587143745298719116128114666013\
      19845708538200395543779978624963482572285687103488000000000000000000*ep^2
      +14742427721496030927591035453893488795165376301/
      9064150136599409418027471017244312770406090943481980266118575984764006741\
      3022976309444950529292422348800000000000000000000*ep^3+338379103976801879\
      39076029489297117197697641627008477219782053/
      4842913289638068587583412046340976432363936253342234642412623207385905834\
      17011923848002244495522204192584627294044160000000000000000000000*ep^4+
      6439889957142793067443843272719837667161389108361780295554040230653730264\
      8109/25875353759036660921228097768523216369901657590850347628832780138030\
      8688065341448174353483230892442227465469460894067965612471091200000000000\
      0000000000000*ep^5+740451262358006836150803370018269003547956080218409217\
      856208136905612020350181442139883998739/
      9677516909325684720689032372695506906957490712922245973965243421367451388\
      1736416278769261800153345473061096595886169532366675981207161283595468800\
      000000000000000000000000*ep^6+9066586329423088643800171487257060031307584\
      975519862073281113365305595890003384362422733806126577555122093/
      4345068026982961060580090172547371309386412212468683850625814121532862635\
      4640076100471337111388737335930787438569184310132512493526357712420758059\
      43741808640000000000000000000000000000*ep^7+12934017053116401734418406848\
      4557153865125492813645701706333466955511297964948880402994326259197361526\
      852856760122537764841/251148425153560790417571598289963617560700660942673\
      9326492930995307585645567829263071614439479271104963479554983015136983554\
      0597574941247382069950813231271272005542032179200000000000000000000000000\
      0000*ep^8;
Fill mncpoch(40,32) = 1/1064942814226244777847132136486508886735609969870470268\
      140598067200000000000000+115232869018999/73895018988348243174032697392588\
      630364619323529161667027629091337438515691520000000000000000*ep+
      40903443052366123512191772812119/3040083365343087987964720937287973544993\
      7880501385779301259207674527990651538505135898492928000000000000000000*
      ep^2+18645004374829605163222219114258461580328035601/
      2320422434969448811015032580414544069223959281531386948126355452099585725\
      7733881935217907335498860121292800000000000000000000*ep^3+462902829465999\
      48028820885118451349179445357697442918783154953/
      1239785802147345558421353483863289966685167680855612068457631541090791893\
      54755052505088574590853684273301664587275304960000000000000000000000*ep^4
      +953146256853960630994356035313706722459183741739210286849020463760562919\
      01809/6624090562313385195834393028741943390694824343257688992981191715335\
      9024144727410732634491707108465210231160181988881399196792599347200000000\
      0000000000000000*ep^5+118605333526412519460939575172951586210945073446823\
      0175493093143769903115419108308724552911439/
      2477444328787375288496392287410049768181117622508094969335102315870067555\
      3724522567364931020839256441103640728546859400285869051189033288600440012\
      800000000000000000000000000*ep^6+1572310069364306813608323882126662543735\
      2085089666268016744422179560220272252663142327112948878426274266993/
      1112337414907638031508503084172127055202921526391983065760208415112412834\
      6787859481720662300515516757998281584273711183393923198342747574379714063\
      21597903011840000000000000000000000000000*ep^7+
      2429411531054582726616306197300111561936402403544791934647279943600927416\
      60695603415358801532252002067635352484973270946141/
      6429399683931156234689832916223068609553936920132452675821903347987419252\
      6536429134633329650669340287065076607565187506778983929791849593298099074\
      081872054456334187602378752000000000000000000000000000000*ep^8;
Fill mncpoch(40,33) = 1/2460017900862625436826875235283835528359259030400786319\
      40478153523200000000000000+876018803354593/119488245704159109212410871683\
      815815299589446146654415583676240692638079873187840000000000000000*ep+
      6894075387800125419875235382417/10032275105632190360283579093050312698479\
      50056545730716941553853259423691500770669484650266624000000000000000000*
      ep^2+23907086125807100834494461409477222847147714801/
      5360175824779426753444725260757596799907345940337503850171881094350043026\
      536526727035336594500236688018636800000000000000000000*ep^3+
      64537986162070511801069801879838272298888727500281080302072553/
      2863905202960368239953326547724199823042737342776463878137128859919729274\
      0948417128675460730487201067132684519660595445760000000000000000000000*
      ep^4+14457491660551549716793109311170970804835695519009853266574551351821\
      2107094609/15301649198943919802377447896393889232505044232925261573786552\
      8624259345774320318792385675843420554635633980020394316032144590904492032\
      000000000000000000000000*ep^5+1958507205098022738858397780145478921377963\
      241066803200170461141567452441267498615108245200239/
      5722896399498836916426666183917214964498381707993699379164086349659856052\
      9103647130612990658138682378949410082943245214660357508246666896667016429\
      56800000000000000000000000000*ep^6+19799590447737672161905346843167394196\
      9581770880744416734475212044548811485152056253885459994258715977668151/
      1798649599905650696949249487106329448263124108175836617334257007236771553\
      6755968781942310939933590597683221321770590983547973811720222827771997640\
      22023809170145280000000000000000000000000000*ep^7+
      9724464372634998334996445260732486559388628588306241062054065577259281338\
      469630392903070377087902877899669269820591212109/
      3031002708138973653496635517648018058789713119491013404316040149765497647\
      6795745163469998263886974706759250400709302681767235281187586236840532420\
      6385968256722718312982642688000000000000000000000000000000*ep^8;
Fill mncpoch(40,34) = 1/5018436517759755891126825479979024477852888422017604091\
      5857543318732800000000000000+956972310279793/2437560212364845827933181782\
      3498426321116247013917500779069953101298168294130319360000000000000000*ep
      +8233204246406217385416638313217/2046584121548966833497850134982263790489\
      81811535329066256076986064922433066157216574868654391296000000000000000000
      *ep^2+31238660452565450264043748548416699465241767201/
      1093475868255003057702723953194549747181098571828850785435063743247408777\
      413451452315208665278048284355801907200000000000000000000*ep^3+
      92355656430158525785691541313208478303091269416063917226089753/
      5842366614039151209504786157357367639007184179263986311399742874236247719\
      153477094249793989019389017695067642010761470935040000000000000000000000*
      ep^4+22681657360191802856851492568017843700430413844574941478191457384783\
      6939326209/31215364365845596396849993708643534034310290235167533610524567\
      8393489065379613450336466778720577931456693319241604404705574965445163745\
      28000000000000000000000000*ep^5+33723501788591642496551461250076803297487\
      36061135177800852431931598789376133915317867162843839/
      1167470865497762730951039901519111852757669868430714673349473615330610634\
      7937144014645050094260291205305679656920422023790712931682320046920071351\
      63187200000000000000000000000000*ep^6+37464527560344865861431014307690330\
      3102083145428484972818066223998512711082606415910535283070515347694860551/
      3669245183807527421776468953696912074456773180678706699361884294763013969\
      4982176315162314317464524819273771496412005606437866575909254568654875186\
      0492857070709637120000000000000000000000000000*ep^7+
      1417270265401554370735916190619479494193445606112648257861377137565733728\
      33450568429543061429428807407059006463180623105963/
      4328271867222454377193195519201369787951710334633167141363305333865130640\
      8864324093435157520830599881252209572212884229563611981535873146208280296\
      6719162670600041750939213758464000000000000000000000000000000*ep^8;
Fill mncpoch(40,35) = 1/8782263906079572809471944589963292836242554738530807160\
      275070080778240000000000000000+1054116518590033/4265730371638480198883068\
      1191122246061953432274355626363372417927271794514728058880000000000000000\
      00*ep+10003284114189959111981572082977/3581522212710691958621237736218961\
      6333571817018682586594813472561361425786577512900602014518476800000000000\
      000000000*ep^2+41928032726094674297837135048882312037868396481/
      1913582769446255350979766918090462057566922500700488874511361550682965360\
      47354004155161516423658449762265333760000000000000000000000*ep^3+
      137159377427163836132566061179419247225712507997119174321009593/
      1022414157456851461663337577537539336826257231371197604494955002991343350\
      8518584914937139480783930780966368373518832574136320000000000000000000000\
      00*ep^4+37338320405927760037229036265011519541631586537391684125451591429\
      8947900781729/54626887640229793694487488990126184560043007911543183818417\
      9937188605864414323538088816862761011380049213308672807708234756189529036\
      5542400000000000000000000000000*ep^5+616529539196947133276473013272635428\
      8204969001041881730437875884253939721758226899057144425759/
      2043074014621084779164319827658445742325922269753750678361578826828568610\
      8890002025628837664955509609284939399610738541633747630444060082110124865\
      3557760000000000000000000000000000*ep^6+762183519036866073158555578306199\
      2377346181869624977929697834989585802319231794375332541128705197445015778\
      31/6421179071663172988108820668969596130299353066187736723883297515835274\
      4466218808551534050055562918433729100118721009811266266507841195495146031\
      575586249987374186496000000000000000000000000000000*ep^7+
      3215426190040318043915829905561216371210622236090001460849561881692415843\
      44341960672301741955674814947574583250234912094603/
      7574475767639295160088092158602397128915493085608042497385784334263978621\
      5512567163511525661453549792191366751372547401736320967687778005864490519\
      175853467355007306414362407731200000000000000000000000000000000*ep^8;
Fill mncpoch(40,36) = 1/1264646002475458484563960020954714168418927882348436231\
      079610091632066560000000000000000+1175546778977833/
      6142651735159411486391618091521603432921294247507210196325628181527138410\
      12084047872000000000000000000*ep+12470767132445310282555317815177/
      5157391986303396420414582340155304752034341650690292469653140048836045313\
      267161857686690090660659200000000000000000000*ep^2+5858564622750764582872\
      7362425682112390070443081/27555591880026077054108643620502653628963684010\
      0870397929636063298347011908189765983432583650068167657662080614400000000\
      00000000000000*ep^3+21541415046749548424454124672871733529481749156873301\
      2075939393/14722763867378661047952061116540566450298104131745245504727352\
      0430753442522667622775094808523288603245915704578671189067563008000000000\
      000000000000000*ep^4+6611189642666093636435786182213944961166037854656789\
      29585026259811044143441129/7866271820193090292006198414578170576646193139\
      2622184698521910955159244475662589484789628237585638727086716448884309985\
      8048912921812638105600000000000000000000000000*ep^5+
      1234684368629141177176116671520377765986937196670962496590874830336813822\
      8605978014287901043159/29420265810543620819966205518281618689493280684454\
      0097684067351063313879968016029169055262375359338373703127354394634999525\
      96587839446518238579806112317440000000000000000000000000000*ep^6+
      1732306159138756428235856448271771731272129844901770680077466619538086668\
      480767724692623520936701084186734431/
      9246497863194969102876701763316218427631068415310340882391948422802795203\
      1355084314209032080010602544569904170958254128223423771291321513010285468\
      84419998181882855424000000000000000000000000000000*ep^7+
      8324032755162248415934600271282801635053343519701047052158896803492176536\
      18827457440856328199873926296661072712129259210403/
      1090724510540058503052685270838745186563831004327558119623552944134012921\
      5033809671545659695249311170075556812197646825850030219347040032844486634\
      761322899299121052123668186713292800000000000000000000000000000000*ep^8;
Fill mncpoch(40,37) = 1/1403757062747758917865995623259732726945009949406764216\
      49836720171159388160000000000000000+1337453792828233/
      6818343426026946749894696081588979810542636614733003317921447281495123635\
      2341329313792000000000000000000*ep+16213870149720310087529340604777/
      5724705104796770026660186397572388274758119232266224641314985454208010297\
      72654966203222600063333171200000000000000000000*ep^2+87462178515400532866\
      033116067436209755507411881/305867069868289455300605944187579455281496892\
      5119661417018960302611651832180906402416101678515756661000049094819840000\
      000000000000000000*ep^3+3711822920985657094734292521679074524211550910327\
      99181758565793/1634226789279031376322678783936002875983089558623722251024\
      7360767813632120016106128035523746085034960296643208232501986499493888000\
      000000000000000000000*ep^4+1322186145852692028506157754858267463497514485\
      181631719163351147448041396480329/
      8731561720414330224126880240181769340077274384581062501535932116022676136\
      7985474328116487343720058987066255258261584084243429334321202829721600000\
      000000000000000000000*ep^5+2883032690475357958562652266849319327368023303\
      8436959534106202917774193595166553275777357226359/
      3265649504970341911016248812529259674533754155974395084293147596802784067\
      6449779237765134123664886559481047136337804484947382212501785635244823584\
      78467235840000000000000000000000000000*ep^6+47526681304490195627805113355\
      0368273842851606205965522780768841935684030390874085580305027034981676363\
      3183231/10263612628146415704193138957281002454670485940994478379455062749\
      3111026754804143588772025608811768824472593629763662082328000386133366879\
      4414168704170619798188996952064000000000000000000000000000000*ep^7+
      2701165444371994760661671687021710500740506288632046834306609536690227032\
      370808695579169150873248098074549402270913028484803/
      1210704206699464938388480650631007157085852414803589512782143767988754342\
      8687528735415682261726735398783868061539387976693533543475214436457380164\
      58506841822202436785727168725175500800000000000000000000000000000000*ep^8
      ;
Fill mncpoch(40,38) = 1/1066855367688296777578156673677396872478207561549140804\
      5387590733008113500160000000000000000+1580314313603833/
      5181941003780479529919969022007624656012403827197082521620299933936293962\
      777941027848192000000000000000000*ep+22848057409735505844460688869177/
      4350775879645545220261741662155015088816170616522330727399388945198087826\
      2721777431444917604813321011200000000000000000000*ep^2+148499980849031417\
      593268939931628943024217905081/232458973099899986028460517582560386013937\
      6383090942676934409829984855392457488865836237275671975062360037312063078\
      40000000000000000000000*ep^3+76789490162435207338844857027472660539087184\
      4572321984067625393/12420123598520638460052358757913621857471480645540289\
      1077879941835383604112122406573069980470246265698254488382567015097396153\
      5488000000000000000000000000*ep^4+337359105865629305247264450365109839432\
      7053325422520189555620785920422159399129/
      6635986907514890970336428982538144698458728532281607501167308408177233863\
      9668960489368530381227244830170353996278803904025006294084114150588416000\
      00000000000000000000000*ep^5+91917357171720058981534548518574759610670568\
      458069647009169816402604398802619311591189780061159/
      2481893623777459852372349097522237352645653158540540264062792173570115891\
      4101832220701501933985313785205595823616731408560010481501357082786065924\
      4363509923840000000000000000000000000000*ep^6+191970251622989263540625416\
      0432188319126495070576808706394678786651475652407734238229064263618043438\
      3589896431/78003455973912759351867856075335618655495693151558035683858476\
      8947643803336511491274667394626969443065991711586203831825692802934613588\
      28375476821516967104662363768356864000000000000000000000000000000*ep^7+
      1402365001299908679157059514343437037900802140555763349852589727477681009\
      6435699820056887326422783830414996912577937665916403/
      9201351970915933531752452944795654393852478352507280297144292636714533005\
      8025218389159185189123189030757397267699348622870854930411629717076089250\
      846519978487385195715264823113338060800000000000000000000000000000000*
      ep^8;
Fill mncpoch(41,0) = 1;
Fill mncpoch(41,1) = 1/40+1/1600*ep+1/64000*ep^2+1/2560000*ep^3+1/102400000*
      ep^4+1/4096000000*ep^5+1/163840000000*ep^6+1/6553600000000*ep^7+1/
      262144000000000*ep^8;
Fill mncpoch(41,2) = 1/3120+79/4867200*ep+4681/7592832000*ep^2+246559/
      11844817920000*ep^3+12175801/18477915955200000*ep^4+577256239/
      28825548890112000000*ep^5+26608993321/44967856268574720000000*ep^6+
      1201590739519/70149855778976563200000000*ep^7+53415638841241/
      109433775015203438592000000000*ep^8;
Fill mncpoch(41,3) = 1/355680+2281/10542355200*ep+3469021/312475408128000*ep^2+
      4396984561/9261771096913920000*ep^3+5016410519701/
      274518895312528588800000*ep^4+5342143801498441/
      8136740057063347372032000000*ep^5+5418715698478344781/
      241172975291357616107028480000000*ep^6+5300666248713253482721/71483669876\
      35839741412324147200000000*ep^7+5041707543631842430696261/211877597513526\
      289935461287723008000000000*ep^8;
Fill mncpoch(41,4) = 1/52640640+114037/57729937075200*ep+8129146429/
      63311267391630336000*ep^2+463668359123893/69432200723053156884480000*ep^3
      +23144691120445534381/76144905888957936092071526400000*ep^4+
      1056454034868930067323877/83506595390302389353453001572352000000*ep^5+
      45216239563963857514698735709/91580013032636824356144837764366991360000000
      *ep^6+1843411537721775335706024836933653/10043396869263215253489692067942\
      5992084684800000000*ep^7+72347612137758781132365696291809964301/
      110143924785835829041970754970712896999432126464000000000*ep^8;
Fill mncpoch(41,5) = 1/9475315200+433501/31174166020608000*ep+112779974251/
      102564253174441144320000*ep^2+22826007543144001/
      337440495514038342458572800000*ep^3+3960788810124018536251/11101927278610\
      06708222402854912000000*ep^4+618694819830384060387681001/3652578482371826\
      510320034288774676480000000*ep^5+89505158226428451407045545013251/
      12017129310142604092013325611440236606259200000000*ep^6+12211417443310818\
      833278968677134908001/395368361155415731668875217946628360440570183680000\
      00000*ep^7+1590674123380011096182816280773924417990251/130077772293576397\
      381986622205312517098389352711454720000000000*ep^8;
Fill mncpoch(41,6) = 1/1989816192000+738503/9165204810058752000*ep+
      7955923148419/1055386165164999375052800000*ep^2+2612876333268656339/
      4861167778375236361458199756800000*ep^3+18106321584614978607102211/
      559770275314798192352817743475179520000000*ep^4+
      4462501658027719549247573247899/25783332352353781026758502842403114791731\
      20000000*ep^5+25212001315158599305393987213781592859/29689868170388311805\
      2467906420669803262855610368000000000*ep^6+532926518338028025723174968796\
      7942378766483/13675319542542610592042781151763646713376956612691886080000\
      00000*ep^7+26703415401063668604788541221623849402591496684371/
      157473219077114116932855510951919638815075528169072845075251200000000000*
      ep^8;
Fill mncpoch(41,7) = 1/473576253696000+14857579/37082418661497710592000*ep+
      3154697301123391/72591571212378987014881689600000*ep^2+
      4020483528272101904291/1136826863249498725206980845285539840000*ep^3+
      2669668852462307916298220408431/11127112413167007837992926399164131548200\
      960000000*ep^4+12484436334610827871892469559830159511/8712857491868203827\
      21983892173281832740465457233920000000*ep^5+13273565824433840789810186981\
      93684263521502471/1705606154921490886522528351340441575788717378886142263\
      296000000000*ep^6+5243742978764787803768072350892533824292900803879247/
      1335539968797220646558109844136497323677882990604874111080380497920000000\
      00*ep^7+488188721306551678738021157911561057280531806493238193152511/
      2614418051770256650521216008403690784601943381873747712149242556759146496\
      00000000000*ep^8;
Fill mncpoch(41,8) = 1/125024130975744000+189534353/107687343792989351559168000
      *ep+505394201313514111/2318865150808234361203380692582400000*ep^2+
      39947603842827648968041829/1997313852580309300290648786699070655692800000
      *ep^3+65153415887400224714334152251331671/4300878195007103470359837094828\
      2781199263507415040000000*ep^4+148447968869911500258455775745831157714813/
      1481794418990546595873926885762295683415870456847469327155200000*ep^5+
      4773141942241270285882411258146655933953298111522231/79769853119058202753\
      4546528038062340869700690392625051564228214784000000000*ep^6+
      226769417571407108582235112372520545442899802807304316615541/
      6870836477811531208951030263940415461514059255559863862329441550120496660\
      48000000000*ep^7+25262021150910867078773324137108054510874171779171419942\
      8463365108791/14795186420352948315777348560466526275432313803364643211309\
      213921861998216097457766400000000000*ep^8;
Fill mncpoch(41,9) = 1/36006949721014272000+865803971/
      124055820049523732996161536000*ep+10416760579168870501/106853306149243439\
      36425178231419699200000*ep^2+735636682685385780142790623/7362897786152052\
      204591447687287454065145937920000*ep^3+2657970825453825334380764235582543\
      9901/3170951475614837246626900693274992892259299874696069120000000*ep^4+
      6662013730059764278014480669447656356301183459/10924973892333501942059288\
      143348253614688529704245021855249858560000000*ep^5+3748269175357748519509\
      7818659654842467908368831251247701/94100347692190770761707274270704416428\
      2260680020279356827638685113516032000000000*ep^6+775102258065529783784096\
      5884602405632743232368558547427852354603/32420674037509668670306659795187\
      13287337654789081072914187680426286617457816764416000000000*ep^7+
      37418866431222342931756805357283437044238536208700746563622869599590253901
      /279249793126344236396961882794515468604178849816183914158951865351946599\
      545966941747491635200000000000*ep^8;
Fill mncpoch(41,10) = 1/11162154413514424320000+30285252989/
      1192176430675923074093112360960000*ep+12619074098797360432261/31832668434\
      92111302100424846922242588672000000*ep^2+
      153053635220874849633946799965733/339989536318246470201824917980569843284\
      882086690816000000*ep^3+37729925344277662290110146909191698101009021/
      907816486090499933741057806097744560364182272669548419429171200000000*
      ep^4+320719836502602750198569563230507019809535605735332957/
      9695954544274880653198266947461230747957625780995298222459698646729359360\
      0000000*ep^5+608906678645106291556255584916434505983338289544443215300682\
      57781/2588946553766174084162513772551529561333232737210639359881809628286\
      36068188279275520000000000*ep^6+42303933112109618804385208777853312142184\
      8362401182656092619504888041461461/27651302314388115460286022064328598335\
      108439219232783168388959265569622908120422576441324994560000000000*ep^7+
      6835196709316746443656353150274986948696249623852627391693770687433127544\
      2006073466541/73832590187060833636171689356315553335249512656366921516592\
      209079333202141433496599497527803611229192192000000000000*ep^8;
Fill mncpoch(41,11) = 1/3683510956459760025600000+169227136033/1967091110615273\
      072253635395584000000*ep+3126292906382446629233/2100956116704793459386280\
      39896868010852352000000*ep^2+208704372230717634506963565281237/
      112196546985021335166602222933588048284011088607969280000000*ep^3+
      56305523472182520318043941228612559611888301/2995794404098649781345490760\
      12255704920180149980950978411626496000000000*ep^4+26058865473836929491812\
      88774282515609796616987033006273/1599832499805355307777714046331103073413\
      00825386422420670585027671034429440000000000*ep^5+21455543672888230203475\
      243020869608132134223567825966759367318561/170870472548567489554725908988\
      40095104799336065590219775219943546689980500426432184320000000000*ep^6+
      8049666981651336145283828983925047094390461464450241147950902590326321258\
      29/9124929763748078101894387281228437450585784942346818445568356557637975\
      559679739450225637248204800000000000*ep^7+1399975092140202124791396709596\
      93763277749282471281492649531283056153335728053194126301/
      2436475476173007509993665748758413260063233917660108410047542899617995670\
      6673053877834184175191705633423360000000000000*ep^8;
Fill mncpoch(41,12) = 1/1281861812847996488908800000+5441613077597/198518834883\
      29335845183688412233728000000*ep+3210405051698112442078169/61488262476375\
      849217166391180536567000136155136000000*ep^2+6804531128301234640221204989\
      286425353/952253831377354499495635042064293060540363761140797443932160000\
      000*ep^3+57992814161304745092339096268860831597419153529181/
      7373662247500033963679373775079643107661417795721959215875985270164684800\
      0000000*ep^4+844194055179542844090497093332684493237083346812159964000055\
      17/1141941216693543957308780398592417514864998848996714710865637198065939\
      137898091642880000000000*ep^5+2177869147107211526890034261350802519377864\
      2766999623459842298028953716057/35369934195878030279492056997370092655310\
      19272761048026432037713404379160023734523204360271298560000000000*ep^6+
      2551596635646908625866783399852430208836082598620868358133332260949612189\
      6726353885641/54776560594032494943964088355521603571389935267506745399275\
      362338635109446762912503069486825938104440428953600000000000*ep^7+
      1381642159773758466449954197798878280472491817932053065394584081063500983\
      14687354951065169924498461/4241556647936010178925246864253656605054083995\
      6473528095997794891797219653267995789945505259325474393785293762850507980\
      80000000000000*ep^8;
Fill mncpoch(41,13) = 1/466597699876670721962803200000+5994711572117/7226085589\
      751878247646862582053076992000000*ep+3873538240822019463937937/
      22381727541400809115048566389715310388049560469504000000*ep^2+89469792977\
      65542812991415374701030593/3466203946213570378164111553114026740366924090\
      55250269591306240000000*ep^3+82735618061783387741319884976016440177822967\
      780981/268401305809001236277929205412899009118875607764279315457885863833\
      99452672000000000*ep^4+18597193044444056645017022987320386956118837035993\
      578941247091/593809432680642857800565807268057107729799401478291649650131\
      34299428835170700765429760000000000*ep^5+72358405472647735443818134154381\
      63979569017292109879610109811243550986781/2574931209459920604347021749408\
      5427453065820305700429632425234553583880284972787328927742775053516800000\
      0000*ep^6+455266289228636820147993610192562412046234034997177910151842284\
      62943221133883958586241/1993866805622782815960292816140986369998593643737\
      2455325336231891263179838621700151117293204641470016316139110400000000000
      *ep^7+2640677655664088052928430544779308267492051604894673538162503042228\
      58244401640679223204793353995061/1543926619848707705128789858588331004239\
      6865744156364226943197340614187953789550467540163914394472679337846929677\
      58490501120000000000000*ep^8;
Fill mncpoch(41,14) = 1/176373930553381532901939609600000+19704885588191/
      8194381058778629932831542168048189308928000000*ep+
      41643283978475598067129721/7614263709584555260939522285781148594014460471\
      7252608000000*ep^2+313226158251912245118947101374053782651/
      3537607747505569927954292251108175691218482726817884251448871485440000000
      *ep^3+9396505987479813437724910729018551196662450972498661/
      8217911181259999852357636411332141861201733358526704080689549378869244419\
      11296000000000*ep^4+68289816055435727786485205406395457387926756581919149\
      36863415433/5454377162944776906041317166080011757341299422338700118696316\
      437939736225769548107785175040000000000*ep^5+4282600526690589573962681617\
      9396412779221742996716628030755838908612152366153/
      3547765969705973207875370036552584279910861787539710895185181242027340609\
      54383561096699332728964859822080000000000*ep^6+17325962335475562455956518\
      8126053194649325715152167360891555999784621779888280911084940587/
      1648301774073075834994950627004327458268657384966568560308090819726079308\
      8070818811126550650172238281908323776620134400000000000*ep^7+
      3223231849593037004381420847825802406856757295052512730987102777624026841\
      356224274124651826069818445621/382902756496874633376629631911085901371266\
      8606372094435194429211016894174829940495342672383720532712417326198072233\
      186435226664960000000000000*ep^8;
Fill mncpoch(41,15) = 1/68785832915818797831756447744000000+21491819185871/
      3195808612923665673804301445538793830481920000000*ep+
      49324174734174900998005577/2969562846737976551766413691454647951665639583\
      9728517120000000*ep^2+30874244866326796815820848429797541847/
      1061282324251670978386287675332452707365544818045365275434661445632000000\
      00*ep^3+12982570642031323329569443335774077720496655009971061/
      3204985360691399942419478200419535325868676009825414591468924257759005323\
      45405440000000000*ep^4+10143123271900684210156926498552356160045678688673\
      826980494378073/212720709354846299335611369477120458536310677471209304629\
      1563410796497128050123762036218265600000000000*ep^5+682011281308628072218\
      59816390997694726097331285921544870787977181612146305049/
      1383628728185329551071394314255507869165236097140487249122220684390662837\
      72209588827712739764296295330611200000000000*ep^6+22702346970113304193155\
      956597710995296216706271751228292441285429711516863657587646432839/
      4944905322219227504984851881012982374805972154899705680924272459178237926\
      42124564333796519505167148457249713298604032000000000000*ep^7+
      5860124975153510920823467052996329089898292250074028469214224883624107604\
      947091078008212018899622324421/149332075033781107016885556445323501534794\
      0756485116829725827392296588728183676793183642229651007757842757217248170\
      942709738399334400000000000000*ep^8;
Fill mncpoch(41,16) = 1/27514333166327519132702579097600000000+116751150637291/
      6391617225847331347608602891077587660963840000000000*ep+
      7250379920708047588025938501/14847814233689882758832068457273239758328197\
      91986425856000000000000*ep^2+24478782031957313853647964978523606165447/
      2653205810629177445965719188331131768413862045113413188586653614080000000\
      0000000*ep^3+11071063014989222674765015147125585584712412843470449221/
      8012463401728499856048695501048838314671690024563536478672310644397513308\
      6351360000000000000000*ep^4+463933921118734571697905812423124914616095846\
      32218232217028627723533/2659008866935578741695142118464005731703883468390\
      116307864454263495621410062654702545272832000000000000000000*ep^5+
      8345842698355439317305201327381432645731212005515914711204823915344859050\
      165358341/432383977557915484709810723204846209114136280356402265350693963\
      8720821367881549650866023117634259229081600000000000000000000*ep^6+
      1483349097265796712991918814218662351009228111271616814349058680354829837\
      1028041726063638233927/77264145659675429765388310640827849606343314920307\
      9012644417571746599676003319631771557061726823669464452677029068800000000\
      00000000000000*ep^7+40809482435783042546199883067944571354277152003871293\
      28151763989871000145752603265071233476635792437284433861/
      2333313672402829797138836819458179711481157432007995046446605300463419887\
      7869949893494409838296996216293081519502670979839662489600000000000000000\
      0000000*ep^8;
Fill mncpoch(41,17) = 1/11225847931861627806142652271820800000000+
      126430374291391/2607779828145711189824309979559655765673246720000000000*
      ep+8474127790145995881217791601/60579082073454721656034839305674818213979\
      0475130461749248000000000000*ep^2+2368326299228948901321348917745386919319
      /832698439028234152272318022183924431932965934158671216110272826572800000\
      000000000*ep^3+14945144644194171373483332562228924333208746471211734321/
      3269085067905227941267867764427926032386049530021922883298302742914185429\
      9231354880000000000000000*ep^4+670587346195920502828718609635157721223514\
      65917527164149786913775833/1084875617709716126611617984333314338535184455\
      103167453608697339506213535305563118638471315456000000000000000000*ep^5+
      1288937813076322888603723071640287059610683968307508692033020099440061847\
      9884915441/17641266284362951776160277506757725331856760238541212426308313\
      72598095118095672257553337431994777765465292800000000000000000000*ep^6+
      2443035048726740466224410789322245073616756496127131650854240246874905283\
      5810477001625602307627/31523771429147575344278430741457762639388072487485\
      6237158922369272612667809354409762795281184544057141496692227860070400000\
      00000000000000000*ep^7+71550169856643618676432155808040635445306208913934\
      93131197072796819655032942120148074834938741648879402102961/
      9519919783403545572326454223389373222843122322592619789502149625890753142\
      1709395565457192140251744562475772599570897597745822957568000000000000000\
      000000000*ep^8;
Fill mncpoch(41,18) = 1/4647501043790713911743058040533811200000000+
      3140199976400393/24831279523603461949507079625367042200740655267840000000\
      000*ep+5212286350351526517919477228129/1326718244857902477100156601697861\
      92377706952796421905855807488000000000000*ep^2+46774063507706217880435682\
      3986759475067012749/54527420347007417177012832949157353687833430075529830\
      558278476786264388403200000000000000*ep^3+5594802482710697913561868906329\
      954898127558663867447573843761/378737150277894093417309332589023953015183\
      0174237780775362232598822573058665797454523269120000000000000000*ep^4+
      6172816269771116763751848091876198124413231610324986187210125983003676819\
      19/2890809477397475473330573668705064687587053794623203652794935838143268\
      551010254612438654274121511206912000000000000000000*ep^5+
      2911858113657829095556023952027237019347892533703913339540553852423846993\
      177263781274869249/108117778252143809504707849450062751812736350634493238\
      4091888859153827897127350714956117424682021235253884809734258688000000000\
      00000000000*ep^6+13521404996789973778986024248658018286154130216393759311\
      6677817741827684309956008790861738344582029207469/
      4443583680701251392892728055248138179765359899746005923925814685227259114\
      9418492254684067139266354626306786718859046728199642808320000000000000000\
      000000*ep^7+9686517434642446303896600347411487232048831477715686235711933\
      83407015265605243875603530120419049088405534067671369061841/
      3086429193862481268746352465325129138477556800631261373873019132757900362\
      9384892047141728861325691080115773733671372628389149997694665677204357120\
      00000000000000000000000*ep^8;
Fill mncpoch(41,19) = 1/1942655436304518415108598260943133081600000000+
      3383060497175993/10379474840866247094893959283403423639909593901957120000\
      000000*ep+6033898184511048431025537398929/5545682263506032354278654595097\
      0628413881506268904356647727529984000000000000*ep^2+580463377799931455697\
      496463147278797350807549/227924617050491003799913641727477738415143737715\
      71469173360403296658514352537600000000000000*ep^3+74274337796182155800786\
      80186432088785773633990807021168900961/1583121288161597310484353010222120\
      1236034650128313923641014132263078355385223033359907264921600000000000000\
      00*ep^4+87497168922630637304974165417327958098359193468151274786390128909\
      4554160719/12083583615521447478521797935187170394113884861524991268682831\
      80343886254322286427999357486582791684489216000000000000000000*ep^5+
      4399330674423679534770706220576174352186862775851938213643414557213756140\
      412076627810464049/451932313093961123729678810701262302577237945652181736\
      5504095431263000609992325988516570835170848763361238504689201315840000000\
      0000000000000*ep^6+217400491402869459575304676383851271127821722046104972\
      080068127929699599539852870838054230106985213546269/
      1857417978533123082229160327093721759141920438093830476200990538424994310\
      0456929762457940064213336233796236848483081532387450693877760000000000000\
      000000000*ep^7+1655025698730883588886019368992210625261907752783532210039\
      021349293559972339344574001853565960749379452297713014130135041/
      1290127403034517170335975330505903979883618742663867254278921997492802351\
      7082884875705242664034138871488393420674633758666664699036370253071421276\
      16000000000000000000000000*ep^8;
Fill mncpoch(41,20) = 1/815915283247897734345611269596115894272000000000+
      3637485804655193/43593794331638237798554628990294379287620294388219904000\
      00000000*ep+6959366628811671136785556884529/23291865506725335887970349299\
      407663933830232632939829792045562593280000000000000*ep^2+7166663773688462\
      98981054702551885969233061149/9572833916120622159596372952554065013436036\
      984060017052811369384596576028065792000000000000000*ep^3+1999556857980646\
      09768133413857381871137864216545603460443089/1356961104138511980415159723\
      0475315345172557252840505978012113368352876044476885737063369932800000000\
      000000000*ep^4+1231088197116014623913417379642863361890192481558871955308\
      940460778112902319/507510511851900794097915513277861156552783164184049633\
      284678935744432226815360299759730144364772507485470720000000000000000000*
      ep^5+65918706260204715303162909826747390389166338938443547244066668401494\
      15860418386655880317649/1898115714994636719664651004945301670824399371739\
      1632935117200811304602561967769151769597507717564806117201719694645526528\
      000000000000000000000*ep^6+3464111614712052335271886838989219480523589892\
      22782381534243619282577276921177274967249926922538402807869/
      7801155509839116945362473373793631388396065839994088000044160261384976102\
      1919105002323348269696012181944194763628942436027292914286592000000000000\
      00000000000*ep^7+28007906602608800819891412504960045073080052631643170539\
      09800303333174987636717037114577226935656702806805467576209857441/
      5418535092744972115411096388124796715511198719188242467971472389469769877\
      1748116477962019188943383260251252366833461786399991735952755062899969359\
      8720000000000000000000000000*ep^8;
Fill mncpoch(41,21) = 1/342684418964117048425156733230368675594240000000000+
      3904632377508353/18309393619288059875392944175923639300800523643052359680\
      00000000000*ep+8002475786714513701296499330009/97825835128246410729475467\
      05751218852208697705834728512659136289177600000000000000*ep^2+88111514511\
      9706123607342876475756926736021029/40205902447706613070304766400727073056\
      43135533305207162180775141530561931787632640000000000000000*ep^3+
      1836836884443691529967319496808453267036323702048904474290383/
      3989465646167225222420569585759742711480731832335108757535561330295745557\
      0762044066966307602432000000000000000000*ep^4+172179287568542269950160192\
      0950924894698246947348296091611121753080772062599/
      2131544149777983335211245155767016857521689289573008459795651530126615352\
      62451325899086660633204453143897702400000000000000000000*ep^5+
      9811668087336904970854591026656827864002755000724581820008736828653139173\
      883972930765057529/797208600297747422259153422077026701746247736130448583\
      2749224340747933076026463043743230953241377218569224722271751121141760000\
      000000000000000000*ep^6+5480383540484955040999515876041246453265864859498\
      60843516323563850538155388540929719982911681512023534149/
      3276485314132429117052238816993325183126347652797516960018547309781689962\
      9206024100975806273272325116416561800724155823131463024000368640000000000\
      00000000000000*ep^7+47040760452507299536196109220360902583286342368325232\
      43389968367271627991562420248514338373540195782130495835289303148361/
      2275784738952888288472660483012414620514703462059061836548018403577303348\
      4134208920744048059356220969305525994070053950287996529100157126417987131\
      1462400000000000000000000000000*ep^8;
Fill mncpoch(41,22) = 1/143242087127000926241715514490294106398392320000000000+
      4185839296301153/76533265328624090279142506655360812277346188827958863462\
      4000000000000*ep+9179562757789183130380507428409/408911990836069996849207\
      4523004009480223235641038916518291518968876236800000000000000*ep^2+
      1079681034272247203315585880089962066944071429/16806067223141364263387392\
      35550391653758830652921576593791564009159774887487230443520000000000000000
      *ep^3+2400691041593318348302166254438333218054675289295286397411183/
      1667596640097900142971798086847572453398945905916075460649864636063621642\
      8578534419991916577816576000000000000000000*ep^4+239688380646535741939568\
      7412619089806523134716215528540707746759112351944999/
      8909854546071970341183004751106130464440661230415175361945823395929252173\
      9704654225818224144679461414149239603200000000000000000000*ep^5+
      1452981025678027277895160131989319459627676485572578407383267505214616093\
      1545201406305507929/33323319492445842250432613042819716132993155370252750\
      7808917577443263602577906155228467053845489567736193593390959196863725568\
      0000000000000000000000*ep^6+862337059660280325864849690487565173634630177\
      951213271989813764838542461729564887541942398301331985696549/
      1369570861307355370927835825503209926546813318869362089287752775488746404\
      5008118074207887022227831898662122832702697134068951544032154091520000000\
      00000000000000000*ep^7+78565129628535648721846949304679846657947556777293\
      54810926719164362347390070724865670846758780468954886449970509981761961/
      9512780208823073045815720818991893113751460471406878476770716926953127996\
      3680993288710120888109003651697098655212825512203825491638656788427186208\
      191283200000000000000000000000000*ep^8;
Fill mncpoch(41,23) = 1/59302224070578383464070222998981760048934420480000000000
      +4482668821693553/3168477184605037337556499775531937628282132217477496947\
      34336000000000000*ep+10510151216623789408565382625609/
      1692895642061329786955718852523659924812419555390111438572688853114762035\
      200000000000000*ep^2+1319659741767077576488483450868718101406684629/
      6957711830380524805042380435178621446561558903095327098297074997921468034\
      19713403617280000000000000000*ep^3+31281598519885075117844771647491108448\
      78150885317730048047583/6903850090005306591903244079548949957071636050492\
      552407090439593303393601431513249876653463216062464000000000000000000*
      ep^4+33254140106826663354978960194291439622282160219129062323466152692542\
      98514199/3688679782073795721249763966957938012278433749391882599845570885\
      9147104000237726849488744795897297025457785195724800000000000000000000*
      ep^5+21439377694449485402190067007864620396698472614846830681041944011269\
      347478378173043432321129/137958542698725786916791017997273624790591663232\
      8463882328918770615111314672531482645853602920326810427841476638571075015\
      823851520000000000000000000000*ep^6+1351863237025807071690118122909258160\
      599506811655441991441737080621814299351798181800820502348360950005749/
      5670023365812451235641240317583289095903807140119159049651296490523410114\
      6333608827220652272023224060461188527389166135045459392293117938892800000\
      0000000000000000000*ep^7+130730609623970150527091851895952225672500925943\
      72899988344623327711114546231150778121655169973044250609726746889233560761
      /393829100645275224096770841906264374909310463516244768938307680775859499\
      0496393122152599004767712751180259884325810976205238375353840391040885509\
      0191191244800000000000000000000000000*ep^8;
Fill mncpoch(41,24) = 1/2419530742079598045334065098358455809996524355584000000\
      0000+4796958907403153/129273869131885523372305190841703055233910994473081\
      875451609088000000000000*ep+12017787842776955534896664994409/
      6907014219610225530779332918296532493234671785991654669376570520708229103\
      61600000000000000*ep^2+1610203708778320518360669678166564456391117429/
      2838746426795254120457291217552877550197116032462893456105206599151958957\
      95243068675850240000000000000000*ep^3+40680061093233795113680339157885542\
      84905834309230139920053183/2816770836722165089496523584455971582485227508\
      6009613820928993540677845893840574059496746129921534853120000000000000000\
      00*ep^4+46039479994490877097888839663719683971019430245259432182117306461\
      14592170999/1504981351086108654269903698518838709009600969751888100736992\
      9214532018432096992554591407876726097186386776359855718400000000000000000\
      000*ep^5+3156820417389525201142760119685124645845869802483551252376577777\
      4121876595903846989623553929/56287085421080121062050735342887638914561398\
      5990013263990198858410965416386392844919508269991493338654559322468536998\
      606456131420160000000000000000000000*ep^6+1244153650536071635725593130164\
      42813931512064297094675788591731003021073284056066597555734102774027977797
      /136080560779498829655389767621998938301691371362859817191631115772561842\
      7512006611853295654528557377451068524657339987241091025415034830533427200\
      0000000000000000000000*ep^7+217147169423269653890780603568666415931759594\
      8510242888108619585031862642070594380401681301791930336733577184345876857\
      5961/16068227306327229143148250349775586496299866911462786572682953375655\
      0675612252839383826039394522680248154603280493087829173725714436687954468\
      12876798006027878400000000000000000000000000*ep^8;
Fill mncpoch(41,25) = 1/9678122968318392181336260393433823239986097422336000000\
      000000+5130892123469603/5170954765275420934892207633668122209356439778923\
      2750180643635200000000000000*ep+13731163150857176924534468113759/
      2762805687844090212311733167318612997293868714396661867750628208283291641\
      44640000000000000000*ep^2+150993725949213211699135795638329290285134983/
      8734604390139243447560896054008854000606510869116595249554481843544489101\
      392094420795392000000000000000000*ep^3+5285332918829237389732089844257423\
      747800329035221495712601633/112670833468886603579860943378238863299409100\
      3440384552837159741627113835753622962379869845196861394124800000000000000\
      000000*ep^4+6368896219015612278625768931013486411230585633156966418241474\
      070758698683849/601992540434443461707961479407535483603840387900755240294\
      7971685812807372838797021836563150690438874554710543942287360000000000000\
      000000000*ep^5+4645570615436061042457685080549753247344131707532393363296\
      0376210770344940225902481103916279/22514834168432048424820294137155055565\
      8245594396005305596079543364386166554557137967803307996597335461823728987\
      414799442582452568064000000000000000000000000*ep^6+
      1946104028851167234673979365066921950851138952070440464649731672860194991\
      77832776114729585745808319836347/
      5443222431179953186215590704879957532067654854514392687665244630902473710\
      0480264474131826181142295098042740986293599489643641016601393221337088000\
      00000000000000000000000*ep^7+36076816917433584756757338707277960799986758\
      7437784348814786054067990194072414539774600368139098212608408090098308426\
      27111/6427290922530891657259300139910234598519946764585114629073181350262\
      0270244901135753530415757809072099261841312197235131669490285774675181787\
      25150719202411151360000000000000000000000000000*ep^8;
Fill mncpoch(41,26) = 1/3774467957644172950721141553439191063594577994711040000\
      000000000+5487087553940483/2016672358457414164607960977130567661649011513\
      7800772570451017728000000000000000*ep+15685638664164415248526652748799/
      1077494218259195182801575935254259068944608798614698128422745001230483740\
      16409600000000000000000*ep^2+23926994232007504454987074813402324687009450\
      19/4428444425800596427913374299382488978307501010642113791524122294677055\
      9744057918713432637440000000000000000000*ep^3+981159637658205925339285275\
      546493636847618089216183756639159/627737500755225362802082398821616524096\
      7078447739285365807032846208205656341613647544989137525370624409600000000\
      0000000000000*ep^4+881528827548983339812266327619148746686032428753756981\
      2277994485946019013289/23477709076943295006610497696893883860549775128129\
      4543714970895746699487540713083851625962876927116107633711213749207040000\
      0000000000000000000*ep^5+684354639684516287018240627279111797420781181208\
      62478379645869001422777639608289996836586519/
      8780785325688498885679914713490471670671578181444206918247102191211060495\
      6277283807443290118672960830111254305091771782607156501544960000000000000\
      000000000000*ep^6+3049108533272752103140543470534352282405691924676827193\
      97350485729879696863464529155121704155662709112667/
      2122856748160181742624080374903183437506385393260613148189445406051964746\
      9187303144911412210645495088236668984654503800961019996474543356321464320\
      00000000000000000000000000*ep^7+60079152354443209217436763410947601414007\
      8168015417434216351243705534141889026643288406048160894542397383341421418\
      05395271/2506643459787047746331127054564991493422779238188194705338540726\
      6021905395511442943876862145545538118712118111756921701351101211452123320\
      89702808780488940349030400000000000000000000000000000*ep^8;
Fill mncpoch(41,27) = 1/1426748887989497375372591507200014222038750482000773120\
      000000000000+838389359308469/10890030735670036488882989276505065372904662\
      17441241718804354957312000000000000000*ep+
      17925367104722555745585466869199/4072928145019757790989957035261099280610\
      6212587635589254379761046512285378202828800000000000000000*ep^2+
      416990033599501272081874338261003102278373917/239135998993232207107322212\
      1666544048286050545746741447423026039125610226179127610525362421760000000\
      000000000000*ep^3+8936927405136584958170444064793134452669433837666915146\
      988913/166099342699832630997431002728199732275988895727181490779254089110\
      669121666799097114040412578921306721878016000000000000000000000*ep^4+
      1222595902994658032430598662839138434755267584261324842981637956703358617\
      7689/88745740310845655124987681294258880992878149984329337524258998592252\
      4062903895456959146139674784498886855428387972002611200000000000000000000\
      000*ep^5+1010966945153853635293262334912860972886935922282562959965833432\
      13082869116074026151488058919/3319136853110252578787007761699398291513856\
      5525859102150974046282777808673472813279213563664858379193782054127324689\
      733825505157583994880000000000000000000000000*ep^6+
      6849879441896530801935885952970271672008005204517208684932479959971556767\
      6364936245244649943142902497981/
      1146342644006498141017003402447719056253448112360731100022300519268060963\
      3361143698252162593748567347647801251713432052518950798096253412413590732\
      8000000000000000000000000000*ep^7+100520424518098646265861162654626258193\
      3587995801814520956158689108396741437554567343204072909116927869847622256\
      85734006871/9475112277995040481131660266255667845138105520351375986179683\
      9465562802395033254327854538910162134088731806462441164031107162579289026\
      1529907661719024819451933491200000000000000000000000000000*ep^8;
Fill mncpoch(41,28) = 1/5193365952281770446356233086208051768221051754482814156\
      80000000000000+897102891803669/396397118778389328195340809664784379573729\
      703148611985644785204461568000000000000000*ep+
      20506299014405733614519626420399/1482545844787191835920344360835040138142\
      2661381899354488594233020930471877665829683200000000000000000*ep^2+
      946409670047445044365379919109328781752635103/161655935319424972004549815\
      4246583776641370168924797218457965602448912512897090264715144997109760000\
      000000000000000*ep^3+1165971309602559152033650810237657147324523836414963\
      1398263313/60460160742739077683064884993064702548459958044694062643648488\
      436283560286714871349510710178727355646763597824000000000000000000000*
      ep^4+17018039636184033284206540609145878770343523323258431946535626251734\
      146360889/323034494731478184654955159911102326814076465942958788588302754\
      8757987588970179463331291948416215575948153759332218089504768000000000000\
      00000000000*ep^5+15005696645138631190334952934245588010818008168889895486\
      0558889981870943023936993416639466119/
      1208165814532131938678470825258580978111043785141271318295455284693112235\
      7144104033633737174008450026536667702346187063112483877360574136320000000\
      000000000000000000*ep^6+1408741655439172913370829594637424094167155177621\
      034733942089593136527165212073136741430435517368669540153/
      5424493391438749203292460100382606574191316467690979565305526057176464478\
      5064931980129233393618220689069395523107960472519675176591471147541111347\
      6096000000000000000000000000000*ep^7+169419686255085423589143974345740618\
      7913760726015754798140190530909418325695177004638050723978391610183205505\
      10049978751671/3448940869190194735131924336917063095630270409407900858969\
      4049565464860071792104575339052163299016808298377552328583707323007178861\
      2055196886388865725034280503790796800000000000000000000000000000*ep^8;
Fill mncpoch(41,29) = 1/1807291351394056115331969114000402015340926010560019326\
      56640000000000000+960709218673469/137946197334879486211978601763344964091\
      657936695716971004385251152625664000000000000000*ep+
      23500551059304700537706415894199/5159259539859427589002798375705939680735\
      086160900975362030793091283804213427708729753600000000000000000*ep^2+
      8119651422630674737674617543120345119916735921/
      3937938584381192318030833503744678079898377731500806024163604207565550881\
      417311884846093212959375360000000000000000000*ep^3+1527494151322237449691\
      7107747793469948797302646203923448863913/21040135938473199033706579977586\
      5164868640653995535337999896739758266789797767752296297271421971197650737\
      32042752000000000000000000000*ep^4+23819120095833731820827258823758321615\
      199676233751454759785211221882433052689/
      1124160041665544082599243956490636097312986101481496584287293586967779680\
      9616224532392895980488430204299575082476118951476592640000000000000000000\
      0000*ep^5+224294256641150802023415844799564885772117121512336110365124984\
      047806308493513740428941183919/420441703457181914660107847189986180382643\
      2372291624187668184390732030580286148203704540536554940609234760360416473\
      097963144389321479799439360000000000000000000000000*ep^6+
      3211356466000150158188228450982339511771194874389943397134587449159347947\
      58673733709791442084589754192679/
      2696748143172406746779680164190210125455111615366372698180461525567728055\
      0289423327264247458541629713994499488630814634909781373505474227634723927\
      097344000000000000000000000000000*ep^7+2885252019428819289444800712852564\
      4517229012377451945289978607293387768237398863358801671205892871858269597\
      1158106437131871/12002314224781877678259096692471379572793341024739494989\
      2135292487817713049836523922179901528280578492878353882103471301484064982\
      436995208516463325272311929615319197286400000000000000000000000000000*
      ep^8;
Fill mncpoch(41,30) = 1/5964061459600385180595498076201326650625055834848063777\
      6691200000000000000+93645267172279/41383859200463845863593580529003489227\
      49738100871509130131557534578769920000000000000000*ep+
      27002932765763701556266953123799/1702555648153611104370923463982960094642\
      578433097321869470161720123655390431143880818688000000000000000000*ep^2+
      9993350369476927712019225663549516079430594321/
      1299519732845793464950175056235743766366464651395265987973989388496631790\
      867712921999210760276593868800000000000000000000*ep^3+2012892206327077717\
      4336516803971653839693062870030875199599113/
      6943244859696155681123171392603550440665141581852666153996592412022804063\
      326335825777809956925049522474331574108160000000000000000000000*ep^4+
      3359616108570854341609988262859171431505621344790011541783659358093809713\
      8289/37097281374962954725775050564190991211328541348889387281480688369936\
      7294717335409568965567356118196741885977721711925398727557120000000000000\
      00000000000*ep^5+33852279312385653747114580676860635979386133381157470760\
      5904970790177213256187272699258461519/
      1387457621408700318378355895726954395262722682856235981930500848941570091\
      4944289072224983770631304010474709189374361223278376484760883338149888000\
      00000000000000000000000*ep^6+36296944309475084963200806903139224976444641\
      26249287537864385659719562794376430100113457107776148323619953/
      6229488210728259585061061179279385389801307831496320932796866124061451807\
      1168567885980411629231164639327293818737181806641594972797645465836212271\
      594864640000000000000000000000000000*ep^7+4530222346589629059583790761572\
      4563918678789982672674934509862051252657935656292033072844205899854822655\
      167236712997933661/360069426743456330347772900774141387183800230742184849\
      6764058774634531391495095717665397045848417354786350616463104139044521949\
      473109856255493899758169357888459575918592000000000000000000000000000000*
      ep^8;
Fill mncpoch(41,31) = 1/1848859052476119405984604403622411261693767308802899771\
      0774272000000000000000+100584139194439/1282899635214379221771400996399108\
      166052418811270167830340782835719418675200000000000000000*ep+
      31141021808417357570535232018759/5277922509276194423549862738347176293391\
      99314260169779535750133238333171033654603053793280000000000000000000*ep^2
      +12370269584123845422400965156096357534651288161/
      4028511171821959741345542674330805675736040419325324562719367104339558551\
      68991005819755335685744099328000000000000000000000*ep^3+26738272312607517\
      427223336427008042338980325353747729398476633/
      2152405906505808261148183131707100636606193890374326507738943647727069259\
      631164105991121086646765351967042787973529600000000000000000000000*ep^4+
      4788223671036381355277428937476729118176748803914581069861672826425089755\
      8849/11500157226238515964990265674899207275511847818155710057259013394680\
      3861362373976966379325880396640989984653093730696873605542707200000000000\
      00000000000000*ep^5+51760484925190095976513277810506660983262199046641248\
      0850741306136125007689958913976357041279/
      4301118626366970986972903276753558625314440316854331543984552631718867283\
      6327296123897449688957042432471598487060519792162967102758738348264652800\
      0000000000000000000000000*ep^6+850523842043694152709632102527021056966172\
      155778034000687987040837937095261320924867089357950772975224439/
      2758773350465372101955612807966584958340579182519799270238612140655785800\
      2946080063791325150088087197416372976869323371512706345096100134870322577\
      42058291200000000000000000000000000000*ep^7+79714896756814856970920408004\
      3059486091863631918659367711441250846185715025455259674176523026717286635\
      71377615983322341101/1116215222904714624078095992399838300269780715300773\
      0339968582201367047313634796724762730842130093799837686911035622831038018\
      0433666405543920310892503250094542246853476352000000000000000000000000000\
      0000*ep^8;
Fill mncpoch(41,32) = 1/5324714071131223889235660682432544433678049849352351340\
      702990336000000000000000+108293996996839/36947509494174121587016348696294\
      3151823096617645808335138145456687192578457600000000000000000*ep+
      36091329591055685109662564053159/1520041682671543993982360468643986772496\
      89402506928896506296038372639953257692525679492464640000000000000000000*
      ep^2+2204445541948048978350381252308167437763840823/
      1657444596406749150725023271724674335159970915379562105804539608642561232\
      6952772810869933811070614372352000000000000000000000*ep^3+358990956481851\
      56797355843604155235705067185061180952393709433/
      6198929010736727792106767419316449833425838404278060342288157705453959467\
      73775262525442872954268421366508322936376524800000000000000000000000*ep^4
      +691940597568981582258893130553235305235047822900774136107763076736527105\
      77249/3312045281156692597917196514370971695347412171628844496490595857667\
      9512072363705366317245853554232605115580090994440699598396299673600000000\
      00000000000000000*ep^5+80514860809848918735954644508984389204595629982382\
      7625373924313580624378864439595477682147679/
      1238722164393687644248196143705024884090558811254047484667551157935033777\
      6862261283682465510419628220551820364273429700142934525594516644300220006\
      4000000000000000000000000000*ep^6+997033713316680045584838829132516369882\
      0469458283172286706495194820445116086198588073636215940787250507873/
      5561687074538190157542515420860635276014607631959915328801042075562064173\
      3939297408603311502577583789991407921368555916969615991713737871898570316\
      07989515059200000000000000000000000000000*ep^7+
      1437475080785557090654541634626946005523336272199688592681626307244801540\
      34678886529452070311091900100063608769711342242701/
      3214699841965578117344916458111534304776968460066226337910951673993709626\
      3268214567316664825334670143532538303782593753389491964895924796649049537\
      0409360272281670938011893760000000000000000000000000000000*ep^8;
Fill mncpoch(41,33) = 1/1405724514778643106758214420162191730491005160229020753\
      945589448704000000000000000+116967587024539/97541425064619680989723160558\
      216992081297507058493400476470400565418840712806400000000000000000*ep+
      42106471417693733112824075001859/4012910042252876144113431637220125079391\
      8002261829228677662154130376947660030826779386010664960000000000000000000
      *ep^2+19448475770127920741914606701283783959323323061/
      3062957614159672430539843006147198171375626251621430771526789196771453158\
      0208724154487637682858495360106496000000000000000000000*ep^3+
      48888079771203645836687145497025377548039900856508410380516333/
      1636517258834496137116186598699542756024421338729407930364073634239845299\
      48276669306716918459926863240758197255203402547200000000000000000000000*
      ep^4+10184476716752053931782217615038245767652177214488193245343348105165\
      7187232949/87437995422536684585013987979393652757171681331001494707351730\
      6424339118710401821670775290533831740775051314402253234469397662311383040\
      000000000000000000000000*ep^5+1281279517055534196421858078389433854625324\
      343129330813022885351317222799557775487036270602379/
      3270226513999335380815237819381265693999075261710685359522335056948489173\
      0916369788921708947507818502256805761681854408377347147569523940952580816\
      896000000000000000000000000000*ep^6+1716129158376213505614195145375199087\
      1984988997512041949253903925745164061294279280890482132112836030206773/
      1468285387678082201591224071107207712867856414837417646803475107948384941\
      7759974515871274236680482120557731691241298762079978621812426798181222563\
      44509231975628800000000000000000000000000000*ep^7+
      2677395643621839135606747337968402951039668936381067770138693352689958885\
      67199782636835484337542027559528288413788753122001/
      8486807582789126229790579449414450564611196734574837532084912419343393413\
      5028086457715995138883529178925901121986047508948258787325241463153490777\
      788071111882361127635139952640000000000000000000000000000000*ep^8;
Fill mncpoch(41,34) = 1/3345624345173170594084550319986016318568592281345069394\
      39050288791552000000000000000+888161829393373/162504014157656388528878785\
      489989508807441646759450005193799687341987788627535462400000000000000000*
      ep+7080501336191251020672283039237/13643894143659778889985667566548425269\
      9321207690219377504051324043281622044104811049912436260864000000000000000\
      0000*ep^2+24852851958829957217768976044548558368807434261/
      7289839121700020384684826354630331647873990478859005236233758288316058516\
      089676348768057768520321895705346048000000000000000000000*ep^3+
      67857663275284695490484304748919795427856660424717707255129933/
      3894911076026100806336524104904911759338122786175990874266495249490831812\
      7689847294998626593462593451300450946738409806233600000000000000000000000
      *ep^4+1536388876984235185300754088307791247938977515936293266501753385868\
      75271913749/2081024291056373093123332913909568935620686015677835574034971\
      1892899271025307563355764451914705195430446221282773626980371664363010916\
      3520000000000000000000000000*ep^5+210216156316764152058736074718463999614\
      3674522447479161080552975862955698599864127123512539179/
      7783139103318418206340266010127412351717799122871431155663157435537404231\
      9580960097633667295068608035371197712802813491938086211215466979467142344\
      21248000000000000000000000000000*ep^6+21451311792396134081852070048585182\
      2001697162859142018601986884527892103648565532284599538645358171928078611/
      2446163455871684947850979302464608049637848787119137799574589529842009312\
      9988117543441542878309683212849180997608003737625244383939503045769916790\
      69952380471397580800000000000000000000000000000*ep^7+
      7439728666592774606782817997600775580378330639659517334428087958677584503\
      6493840223515885492335478128859972943514448068743/
      2885514578148302918128797012800913191967806889755444760908870222576753760\
      5909549395623438347220399920834806381475256153042407987690582097472186864\
      44794417804000278339594758389760000000000000000000000000000000*ep^8;
Fill mncpoch(41,35) = 1/7025811124863658247577555671970634268994043790824645728\
      2200560646225920000000000000000+969115336318573/3412584297310784159106454\
      4952897796849562745819484501090697934341817435611782447104000000000000000\
      000*ep+8436622407032387920371524538037/2865217770168553566896990188975169\
      3066857453614946069275850778049089140629262010320481611614781440000000000\
      0000000000*ep^2+32365567833812890213386355460864018482259590661/
      1530866215557004280783813534472369646053538000560391099609089240546372288\
      378832033241292131389267598098122670080000000000000000000000*ep^3+
      96678831692783319367198700706906481163426788649830895456259133/
      8179313259654811693306700620300314694610057850969580835959640023930746806\
      8148679319497115846271446247730946988150660593090560000000000000000000000\
      00*ep^4+23973028287900529504588660512419008033555232436082943033457443889\
      3888998281349/43701510112183834955589991192100947648034406329234547054734\
      3949750884691531458830471053490208809104039370646938246166587804951623229\
      24339200000000000000000000000000*ep^5+35965011110400212018435788387411580\
      35679041038550654031400410570846289436875218469174865838779/
      1634459211696867823331455862126756593860737815803000542689263061462854888\
      7112001620503070131964407687427951519688590833306998104355248065688099892\
      28462080000000000000000000000000000*ep^6+40290389166453465587239063294591\
      2388002151259999545494150315519199210465335672454197465120322013672830175\
      011/513694325733053839048705653517567690423948245295018937910663801266821\
      9557297504684122724004445033474698328009497680784901301320627295639611682\
      52604689999898993491968000000000000000000000000000000*ep^7+
      1536087453414897354863734024300550424103259584138535879817595080218317600\
      91737049877665504241857041985564718260768771641943/
      6059580614111436128070473726881917703132394468486433997908627467411182897\
      2410053730809220529162839833753093401098037921389056774150222404691592415\
      3406827738840058451314899261849600000000000000000000000000000000*ep^8;
Fill mncpoch(41,36) = 1/1264646002475458484563960020954714168418927882348436231\
      0796100916320665600000000000000000+1066259544628813/
      6142651735159411486391618091521603432921294247507210196325628181527138410\
      120840478720000000000000000000*ep+10227092929498183567925864589397/
      5157391986303396420414582340155304752034341650690292469653140048836045313\
      2671618576866900906606592000000000000000000000*ep^2+432940991392777863099\
      01532132884925402955368741/2755559188002607705410864362050265362896368401\
      0087039792963606329834701190818976598343258365006816765766208061440000000\
      0000000000000000*ep^3+142942312532075338527618541246921070948896182189588\
      928444545373/147227638673786610479520611165405664502981041317452455047273\
      5204307534425226676227750948085232886032459157045786711890675630080000000\
      000000000000000000*ep^4+3924764785136022154189194708681044975707106569472\
      15042814507553642527743996069/7866271820193090292006198414578170576646193\
      1392622184698521910955159244475662589484789628237585638727086716448884309\
      98580489129218126381056000000000000000000000000000*ep^5+
      6532266003530821351467751746152810895708672995683485687443228071883604048\
      170085246183184223899/294202658105436208199662055182816186894932806844540\
      0976840673510633138799680160291690552623753593383737031273543946349995259\
      65878394465182385798061123174400000000000000000000000000000*ep^6+
      8135091800900562756280077133576687876963991765286338356582789246384901985\
      78537578009795397520306326168921091/
      9246497863194969102876701763316218427631068415310340882391948422802795203\
      1355084314209032080010602544569904170958254128223423771291321513010285468\
      844199981818828554240000000000000000000000000000000*ep^7+
      3455331723843949570923272174312740077940245472083067972425557139045858449\
      51856947928678347343363068227861706820158646444983/
      1090724510540058503052685270838745186563831004327558119623552944134012921\
      5033809671545659695249311170075556812197646825850030219347040032844486634\
      7613228992991210521236681867132928000000000000000000000000000000000*ep^8;
Fill mncpoch(41,37) = 1/1871676083663678557154660831012976969260013265875685621\
      997822935615458508800000000000000000+1187689805016613/
      9091124568035928999859594775451973080723515486310671090561929708660164846\
      97884390850560000000000000000000*ep+12720064266106102139736368173597/
      7632940139729026702213581863429851033010825643021632855086647272277347063\
      635399549376301334177775616000000000000000000000*ep^2+6028470701508874133\
      0819121347104022055305451341/40782275982438594040080792558343927370866252\
      3349288188935861373681553577624120853655480223802100888133339879309312000\
      00000000000000000000*ep^3+22346657690476438932419932511558358688880874816\
      6415688034983173/21789690523720418350969050452480038346441194114982963346\
      9964810237515094933548081707140316614467132803955242776433359819993251840\
      000000000000000000000000*ep^4+6909681293502768245574296345939822737328141\
      33078841583670639449385323743379469/
      1164208229388577363216917365357569245343636584610808333538124282136356818\
      2398063243748864979162674531608834034434877877899123911242827043962880000\
      00000000000000000000000*ep^5+12992907873264810707349323933987218411442782\
      963490307107960472773533086470876632766299536245299/
      4354199339960455881354998416705679566045005541299193445724196795737045423\
      5266372317020178831553182079308062848450405979929842950002380846993098113\
      046229811200000000000000000000000000000*ep^6+1834394712366389778525617418\
      8177831694472110302765636627907096967491529429143488521018266457607449461\
      88713691/1368481683752855427225751860970800327289398125465930450594008366\
      5748136900640552478502936747841569176596345817301821610977066718151115583\
      925522249388941597309186626027520000000000000000000000000000000*ep^7+
      1266428505202833882355916357754210734485606186109958770621641442791681062\
      10101867086982300550085336424424587623827522946969/
      2306103250856123692168534572630489823020671266292551452918369081883341605\
      4642911876982251927098543616731177260075024717511492463762313212299771742\
      06679698708957022449004130905096192000000000000000000000000000000000*ep^8
      ;
Fill mncpoch(41,38) = 1/2133710735376593555156313347354793744956415123098281609\
      07751814660162270003200000000000000000+1349596818867013/
      1036388200756095905983993804401524931202480765439416504324059986787258792\
      55558820556963840000000000000000000*ep+16497151707851191813026068099197/
      8701551759291090440523483324310030177632341233044661454798777890396175652\
      54435548628898352096266420224000000000000000000000*ep^2+89665757285696083\
      531050466990706387136604868141/464917946199799972056921035165120772027875\
      2766181885353868819659969710784914977731672474551343950124720074624126156\
      800000000000000000000000*ep^3+3831592419791441948909343813883661442210750\
      64778722167736153573/2484024719704127692010471751582724371494296129108057\
      8215575988367076720822424481314613996094049253139650897676513403019479230\
      709760000000000000000000000000*ep^4+1373365985028563531529027602447263559\
      964922621838614703122219663507180665650669/
      1327197381502978194067285796507628939691745706456321500233461681635446772\
      7933792097873706076245448966034070799255760780805001258816822830117683200\
      0000000000000000000000000*ep^5+301144419613607770622435928361558398841319\
      18179648850271361262118658607686325195479248531900499/
      4963787247554919704744698195044474705291306317081080528125584347140231782\
      8203664441403003867970627570411191647233462817120020963002714165572131848\
      87270198476800000000000000000000000000000*ep^6+49892848940773408966390162\
      4766740432510267592950152751686311912659530144128666453177882515883001177\
      5858410491/15600691194782551870373571215067123731099138630311607136771695\
      3789528760667302298254933478925393888613198342317240766365138560586922717\
      6567509536430339342093247275367137280000000000000000000000000000000*ep^7+
      2848300484160914574959984949448231823978391312282458377134025255074231109\
      849194827414598316848057617785650263533409274527183/
      1840270394183186706350490588959130878770495670501456059428858527342906601\
      1605043677831837037824637806151479453539869724574170986082325943415217850\
      16930399569747703914305296462266761216000000000000000000000000000000000*
      ep^8;
Fill mncpoch(41,39) = 1/1664294373593742973021924410936739121066003796016659655\
      0804641543492657060249600000000000000000+1592457339642613/
      8083827965897548066675151674331894463379349970427448733727667896940618581\
      933588003443179520000000000000000000*ep+23182315604571522372430932067597/
      6787210372247050543608316992961823538553226161774835934743046754509017008\
      9845972793054071463508780777472000000000000000000000*ep^2+151596518931312\
      224649175175349572235439355433341/362635998035843978204398407428794202181\
      7427157621870576017679334776374412233682630704530150048281097281658206818\
      40230400000000000000000000000*ep^3+78814414686883669857252826442664031387\
      3492727719353553348229173/19375392813692195997681679662345250097655509807\
      0428510081492709263198422414910954253989169533584174489277001876804543551\
      9379995361280000000000000000000000000*ep^4+347886606253143671146967697213\
      5510754030323362453252057262641897626382238017469/
      1035213957572322991372482921275950572959561651035930770182100111675648482\
      7788357836341490739471450193506575223419493409027900981877121807491792896\
      000000000000000000000000000*ep^5+9517014218279160013518144092291259749101\
      4707946407583679580792943864703598213738754976161543299/
      3871754053092837369700864592134690270127218927323242811937955790769380790\
      5998858264294343017017089504920729484842100997353616351142117049146262842\
      1207075481190400000000000000000000000000000*ep^6+
      1994480096588953611497956925467211892106296516767685335589855990545788573\
      8961062269159685661304140836628395691/
      1216853913193039045889138554775235651025732813164305356668192239558324333\
      2049579263884811356180723311829470700744779776480807725779971977226574384\
      1566468683273287478636707840000000000000000000000000000000*ep^7+
      1461182630399056953981325883785469346085168614730895850491494317055063004\
      3098147451248586747979348367921804630948702318094783/
      1435410907462885630953382659388122085440986622991135726354509651327467148\
      9051934068708832889503217488798153973761098385167853369144214235863869923\
      1320571166440320905315813124056807374848000000000000000000000000000000000
      *ep^8;
Fill mncpoch(42,0) = 1;
Fill mncpoch(42,1) = 1/41+1/1681*ep+1/68921*ep^2+1/2825761*ep^3+1/115856201*
      ep^4+1/4750104241*ep^5+1/194754273881*ep^6+1/7984925229121*ep^7+1/
      327381934393961*ep^8;
Fill mncpoch(42,2) = 1/3280+81/5379200*ep+4921/8821888000*ep^2+265761/
      14467896320000*ep^3+13456201/23727349964800000*ep^4+654104241/
      38912853942272000000*ep^5+30914273881/63817080465326080000000*ep^6+
      1431325229121/104660011963134771200000000*ep^7+65237934393961/
      171642419619541024768000000000*ep^8;
Fill mncpoch(42,3) = 1/383760+4799/24545289600*ep+15355201/1569916722816000*
      ep^2+40947206399/100411873591311360000*ep^3+98283545592001/
      6422343434900274585600000*ep^4+220201045977609599/
      410773086096221562494976000000*ep^5+469909123747893748801/
      26273046586714331137178664960000000*ep^6+967073165023870904332799/
      1680424059686248619533947410841600000000*ep^7+
      1935154019650279489628145601/107479922857532461705391276397428736000000000
      *ep^8;
Fill mncpoch(42,4) = 1/58331520+123161/70886796364800*ep+9481916341/
      86144470414359552000*ep^2+584088573275921/104686206226346301972480000*
      ep^3+31487562518459115901/127218865254505080009036595200000*ep^4+
      1552211839084435676988281/154601453811884753430181631950848000000*ep^5+
      71747023330577936256820965061/1878778707303548277584939264119485235200000\
      00*ep^6+3158909177872003863260596139518241/228316703626356400885232159132\
      856323722444800000000*ep^7+133887725795121758032442781004303679821/
      277459590914893352611769529064612318840463818752000000000*ep^8;
Fill mncpoch(42,5) = 1/10791331200+5772197/485220121117056000*ep+19995348153109/
      21817379299492771937280000*ep^2+53884985391729407573/
      980994024736877058255225446400000*ep^3+124495951304603100375146581/
      44109297608985971622140966344876032000000*ep^4+
      258928970887767898654234378262357/198332516457473214970135175381504451772\
      4160000000*ep^5+498744075108054009447415942281420716629/89177994700918507\
      411313616096329203889607003340800000000*ep^6+9059749277823626675884339951\
      75153492100509013/4009788652372735657021416076521414764187822545375330304\
      000000000*ep^7+1571254857225812266339668643120328710988739479986261/
      180295655790649401354032109894779710887169550391550906749419520000000000*
      ep^8;
Fill mncpoch(42,6) = 1/2330927539200+21063581/314422638483852288000*ep+
      258883160749171/42412985358213948646072320000*ep^2+2424927220072230249761/
      5721157152265467003744474803404800000*ep^3+19170350100011297153938842451/
      771736270966818559500978347169951055872000000*ep^4+
      134750850046968929695816257193225241/104100771238198541073524550854244056\
      646305710080000000*ep^5+868494518371263482768092779463598748197131/
      14042323757585431851015087244992381761273077174055731200000000*ep^6+
      5235607442451967711313121111170370560730981097121/18941920810716613424916\
      60783220104163284213867854943032967168000000000*ep^7+29926771849051652774\
      067717639856743460150498589291274211/255510676290769356013301809372244331\
      556235394745696547823515357675520000000000*ep^8;
Fill mncpoch(42,7) = 1/571077247104000+34884679/107846964999961334784000*ep+
      17390926437892939/509167889225358453496098201600000*ep^2+
      260185630830024462578803/96155488258125703931933388020824473600000*ep^3+
      81124877037223685463980526631771/4539700027148761835336530078309878588614\
      24640000000*ep^4+1425078745090974591108378453673980763/137170338316511585\
      778101806694650741028269669434261504000*ep^5+2223220172509004723547699645\
      09079985657595090019/4047560102002612756008181298250966368488439828303682\
      66387456000000000*ep^6+20619248325991344166839716332661798628003940790776\
      85587/7643748282207796065200088002337627790423499572736830415974514137497\
      6000000000*ep^7+450658306508207521010542648042717352783939204391123623097\
      639691/360877209536967351207135379572876256225930753167019620124439543573\
      582866022400000000000*ep^8;
Fill mncpoch(42,8) = 1/155333011212288000+687463691/498684366159821212041216000
      *ep+6648807073141316071/40024669436226977312421287431372800000*ep^2+
      1906099947365652638252541647/12849604055691067068958413601419649375272960\
      0000*ep^3+11275177443347124304410828911124439591/103131597783157752531766\
      71339838126853110492881223680000000*ep^4+23292790434922679244486907282180\
      53745489450343/3310958505868142241018351048116794192470990096576678016843\
      7760000000*ep^5+10864817760013109047440752290652701358730466650046892911/
      2657392705829594817333231825708350016981080663978369576491827182174208000\
      000000*ep^6+1871988659798982248126414595888016590377402445358886590849220\
      879/853134943307872020960480560578584519253361850972468248143829476176137\
      2851142656000000000*ep^7+756270639165260609342298907931908640844866657922\
      6236002413296493114843031/68473059128242999681396790812715945735015045576\
      7115429198286277834353519162554701368524800000000000*ep^8;
Fill mncpoch(42,9) = 1/46133904330049536000+1726448189/
      325840364848827179947730534400*ep+1035448388209428871591/1438366545529688\
      883676483806421244313600000*ep^2+3645094124296367418202057499461/
      50795384304430686498287436055363973355910279987200000*ep^3+26259892995021\
      7581612507487937297278916431/44845506777353415848082614590711294531148045\
      703376781967360000000*ep^4+6561504284644309871620429283140409342547148847\
      82757/1583702539635853422892991970311265729830186915349998596733399696670\
      720000000*ep^5+3680201354656342268633939164499986790710945348960722218351\
      4271/13981967839616582987843342193959619485366070119209807624339330428398\
      77463310336000000000*ep^6+75863082560175633866580511522696560669590066591\
      547052537836195582692533/493768039831579489241602327107270843299898725028\
      87704979638235663341895781657421411254272000000000*ep^7+
      3650736911142369221079946366332921135521664718896560552694880019698168649\
      387092111/435930907501297045761290906089464659748852066333240214202314739\
      69365455746650893017333904990378393600000000000*ep^8;
Fill mncpoch(42,10) = 1/14762849385615851520000+38943292699/
      2085378335032493951665475420160000*ep+20864886790407793504981/73644367131\
      12007084423597088876770885632000000*ep^2+
      325390497105525729436949678811043/104028947055474045948492669041385417432\
      9042534137856000000*ep^3+103134843100773401446604330770031819688919261/
      3673743915200791826274927787271069247991647904020625978766131200000000*
      ep^4+1127169159203848988125673890262370916879817919705952027/
      5189476481878764496135756088315955543507556484218875401776004126050615296\
      00000000*ep^5+27513343288868541943304739468162986984469845875374128229399\
      3674341/18326444886742247653826025480466752451859015426650679049374047179\
      11084188710123601920000000000*ep^6+24574702140501873401670007994285859825\
      20222096347275750654427165073379028051/2588766580672191472555012008744168\
      15892017302747939890683645712994621958555736061568636797583360000000000*
      ep^7+51045674004519786159936741302433746398547394157281958270594343222500\
      4275620573506258221/91421337452816010211238274628733299012162460861488738\
      1694812760978027042500004135930878335183820288950272000000000000*ep^8;
Fill mncpoch(42,11) = 1/5034131640495005368320000+1348500599077/220445343796284\
      93563055740666511360000*ep+24813336359017430204497141/2413333275323517833\
      572697189622006695992492032000000*ep^2+1319880360379823088011299390927164\
      0541/10568020893498029102723768802634623230235848591864796020736000000*
      ep^3+141858281790827711529466766958165488204297688981181/
      1156937862119761309653897426494672513754302680413440090866802001916723200\
      000000*ep^4+2092343510562995699707312024885219243437450618780456564083437/
      2026498971257346645863141273803371519793937293666254944652885343710087989\
      70655801344000000*ep^5+42890778379807905076767104197155175180594556516131\
      2339014717363728644809221/55462924681499341558256160695022864121069621561\
      0819773669694523750903162229766468486121725624320000000000*ep^6+
      1281983107637692950117297650782314729851297332926222190331974727166211245\
      98359348614829/2428729396150305164583081438190229639081983864881143368397\
      509951768827827948211391299150969308998152864399360000000000*ep^7+
      8880915870430642745412161253619863058996341954944169937977494558275994653\
      99363587871526812276933261/2658860181643221440956149440742339946324532428\
      6857824778877453191854911071436490027763926417839628142905113935424467763\
      2000000000000*ep^8;
Fill mncpoch(42,12) = 1/1812287390578201932595200000+7472338709993/396801618833\
      31288413500333199720448000000*ep+6053383204243638446034977/17375999582329\
      3284017234197652784482111459426304000000*ep^2+176167788604634515635129139\
      92229484557/3804487521659290476980556768948464362884905493071326567464960\
      000000*ep^3+206145053734414966979079979369941728308225665524461/
      4164976303631140714754030735380821049515489649488384327120487206900203520\
      00000000*ep^4+41199496142553576893140156284049972430483378883012845354945\
      5913/91192453706580599063841357321151718390727178214981472509379840466953\
      95953679511060480000000000*ep^5+29183856835399213722599410644730235456711\
      636778432532289256738162503635453/798666115413590518438888714008329243343\
      4025504795804740843601142013005536108637146200152848990208000000000*ep^6+
      2346954158061750479027030688143131400047959166825054298604211010066710526\
      54550242601949/8743425826141098592499093177484826700695141913572116126231\
      03582636778018061356100867694348951239335031183769600000000000*ep^7+
      1744537069593671597067255754776630454870057097490300889067852735572629044\
      845969946232692880819788221/957189665391559718744213798667242380676831674\
      3268816920395883149067767985717136409995013510422266131445841016752808394\
      7520000000000000*ep^8;
Fill mncpoch(42,13) = 1/683232346247982128588390400000+238592894028037/
      433823209870460976224799142872543657984000000*ep+
      6135696966648959130010202633/55091822995745898750652223005198889544812991\
      325667328000000*ep^2+563997143036014551074427925866078043746593/
      34980942604487160162040707237282304699592784946584752037521396858880000000
      *ep^3+207546268439014762844484379809140802994184165110855882141/
      1110569844088218387123723495931682699756331618111982321136829702693210732\
      87757824000000000*ep^4+12994730415260780644623525357533292017787907649278\
      481328318777900945877/705164176130531409361206893325896672814378504760323\
      70860949376464104868455508916202462290903040000000000*ep^5+
      1437003033646645399189952440963670622730837165990185192887802500966116848\
      50191624361/8954979606998070633419909159838840778223816144529129675308414\
      800900606769868404557303500090128377830891847680000000000*ep^6+
      7194795300811933033963100896054380397198619963997085261809728099396797543\
      705492538646964663290881/568602762847294837422477238948671997053569943970\
      2285546638383858239551193964907388714386170222040225381835667660029611212\
      800000000000*ep^7+1660351196815682258487168010311312103561734108795066288\
      357083661721214832335029659245417575927114170563662979581/
      1805191726315712824957077425730276769569529503740346908735237235973106631\
      3060113433988529202550226501966239351637240203266014194371133440000000000\
      000*ep^8;
Fill mncpoch(42,14) = 1/267827079729208994406649036800000+261269932303357/
      170058698269220702680121264006037113929728000000*ep+
      7320662617655657525675452481/21595994614332392310255671418037964701566692\
      599661592576000000*ep^2+730008089417296199592111767413874898815513/
      1371252950095896678351995723701466344224037169906122279870838756868096000\
      0000*ep^3+290318375364061017613363843417099876054552067272761077941/
      4353433788825816077524996104052196183044819942998970698856372434557386072\
      8801067008000000000*ep^4+279689876077433018294196084454860701806688754673\
      4387974177768091094571/39489193863309758924227586026250213677605196266578\
      12768213165081989872633508499307337888290570240000000000*ep^5+
      2324958357150489264383097814638571817567324881134956791984977980271987074\
      51389027169/3510352005943243688300604390656825585063735928655418832720898\
      601953037853788414586462972035330324109709604290560000000000*ep^6+
      1246711226617460819973112689307741436709810863404496371923750260510632141\
      8979872796057837045459961/22289228303613957626961107766787942284499941803\
      6329593428224647242990406803424369637603937872703976834967958172273160759\
      5417600000000000*ep^7+307393710702944752800520542974687369729425152265415\
      1313832231605629036142816494207769959571368848962721435292181/
      7076351567157594273831743508862684936712555654662159882242129965014577994\
      7195644661235034473996887887707658258417981596802775641934843084800000000\
      00000*ep^8;
Fill mncpoch(42,15) = 1/108469967290329642734692859904000000+854360582655511/
      206621318397103153756347335767335093424619520000000*ep+
      77941125642156565403250896297/7871740036924156997088192231874838133721059\
      4525766504939520000000*ep^2+25209026070205204869779400120080913548654531/
      1499465100929863017777907323867553447408984645292344713038762180635262976\
      00000000*ep^3+32408371390140235968795108183930883659857862706922990256421/
      1428143954424308964232074971934322957847853182300812337759832977156550501\
      208319003197440000000000*ep^4+1006280122625938131133449040527436315758265\
      547827897288208987174311905073/388632901405762992452785787877341477908151\
      539057528643583698641544033315226738959331658276116470169600000000000*
      ep^5+26888085890005937894597575674150786393969386843391488611318515597702\
      9649482640952470169/10364138779947129827523119433194744698621427142558691\
      33266681707733624661141760464580260178571101541771212118766387200000000000
      *ep^6+4623533039343184132252330018573089521085178075556114877782074250610\
      7151354101126785236473260448714067/19742349631501508758716396787815918059\
      3615559534408392435148557925770107970031084040963123911679456921920344431\
      7183680453527207936000000000000*ep^7+364777958015034049201385968463478850\
      5959544512478430481106600515466921171250983034459922249746523232909674699\
      7521941/18803316766008995292397078010467470727257286448346564549893198953\
      6865617204588002972057039779476900479656228062559552788932319449627474719\
      14598400000000000000*ep^8;
Fill mncpoch(42,16) = 1/45123506392777131377632229720064000000+927624860160391/
      85954468453194911962640491679211398864641720320000000*ep+
      91533478677199843413267937913/3274643855360449310788687968459932663627960\
      7322718866054840320000000*ep^2+2455012327153737730500795749311420303320767
      /479828832297556165688930343637617103170875086493550308172403897803284152\
      3200000000*ep^3+440995771770822605851942571856899375879451901521911000488\
      21/5941078850405125291205431883246783504647069238371379325080905184971250\
      08502660705330135040000000000*ep^4+29955931540907271820406090860660521287\
      973535849343584642602589155245137/329941402009790622163997730116273581244\
      4715107100651341445278262904446104782110348611629446213297766400000000000
      *ep^5+8388745140786246551902962315095378078791931141653023240401677878542\
      5327094147871398677/86229634649160120164992353684180275892530273826088311\
      8877879180834375718069944706530776468571156482753648482813634150400000000\
      00*ep^6+59203921530035155319213064269734406878720383386872557804862282426\
      70979335018084319020661971301071759/6317551882080482802789246972101093778\
      9956979051010685579247538536246434550409946893108199651737426215014510218\
      149877774512870653952000000000000*ep^7+6467175728780203463747708761791384\
      0297824534097831751431074039896699401438924540799030298791900005537314739\
      921976741/782217977465974204163718445235446782253903116251217085275557076\
      4733609675710860923637572854826239059953699087402477396019584489104502948\
      316472934400000000000000*ep^8;
Fill mncpoch(42,17) = 1/19177490216930280835493697631027200000000+
      5019098543827331/182653245463039187920611044818324222587363655680000000000
      *ep+13353832103054364821742087590581/173965454816023869635649048324433922\
      7552354139019439759163392000000000000*ep^2+192572624885178619458269959891\
      7931352643293487/12745453357903835651112212252874204302976369484984930060\
      82947853539973529600000000000000*ep^3+37099713034771692087354559632938821\
      308343764591256747765352581/157809906963886140547644284398742686842187776\
      644239763322461543975798830383519249853317120000000000000000*ep^4+
      6606149887184400338753876904062347267721517795279990008229217522377593045\
      333/214719678026684053330164147802231166544253725329284575579993499453078\
      406662773275030741197554349768704000000000000000000*ep^5+
      5038594637427202545339119866219720390836664893001679284685905881068951425\
      7341119378369794581/14315466689801973074266308717100241114970846240659192\
      4032460410880706906320205664170148437165133400457148673904607232000000000\
      00000000000*ep^6+37892491677712654353010657546594577712352874136603723442\
      80744522168490801095923591866780798686211085881487/
      1048812324173517652806808579352720646903582660026544584811726713980653698\
      5907901339676165957807971148977018297935038302409363292160000000000000000\
      000000*ep^7+4402928752378818961247877160133813025943960820218974116556728\
      6056082277454208797633377883538603078865895364552732869436581/
      1298604064152496237381173200097909697101206345338934614226999052738978168\
      8191858955257689309770123439376258250570519114485638311989897472791019520\
      00000000000000000000000*ep^8;
Fill mncpoch(42,18) = 1/8284675773713881320933277376603750400000000+
      5415946713645431/78906202040032929181703971361516064157741099253760000000\
      000*ep+15503140644196907435741253691681/751530764805223116826003888761554\
      546302616988056397975958585344000000000000*ep^2+2398987248165797160148383\
      572647778662432003187/550603585061445700128047569324165625888579161751348\
      978627833472729268564787200000000000000*ep^3+4947615111984192891636597742\
      8759267891869009172740321099053681/68173879808398812716582330860256840715\
      825119510311577755303386997545094725680315936632995840000000000000000*
      ep^4+13444401884049757278022002581921200084323936307621258694378551078640\
      62382519/1325127155821821586266155883579483770673108704889299095007959882\
      3389981668331150687611456763354157154304000000000000000000*ep^5+
      7652933915599441759728215293013985914164668315615068764972066940957225039\
      3594696828009695681/61842816099944523680830453657873041616674055759647711\
      1820228975004653835303288469215041248553376289974882271267903242240000000\
      0000000000000*ep^6+612544364326703792462582227797026679634511946129288718\
      8275316720851532207701973038890286731012887249391187/
      4530869240429596260125413062803753194623477091314672606386659404396423977\
      9122133787401036937730435363580719047079365466408449422131200000000000000\
      00000000*ep^7+75630611812795891711453828595825960321760521815263522666333\
      559380891944182604822198173366453249923000453130350108799537681/
      5609969557138783745486668224422969891477211411864197533460635907832385689\
      2988830686713217818206933258105435642464642574577957507796357082457204326\
      4000000000000000000000000*ep^8;
Fill mncpoch(42,19) = 1/3620403313112966137247842213575838924800000000+
      134091130489479313/793086236704370971205306616154597960849455788599541760\
      000000000*ep+9478293074146321465048025354066449/1737336214923178435860177\
      96976674849132414876979961689296274049728512000000000000*ep^2+36132680789\
      001636463738574219573467352844600487429/292754769909642049722112623709763\
      2825371431742869525741035639389998593644333681868800000000000000*ep^3+
      18319282336949604557586375871425595245413617005245304830475480593521/
      8337019007664951749297027713965863803924903946502789674781750687780867364\
      817419012614188300532449280000000000000000*ep^4+8549857137279731481444665\
      2757688250448461972120963015184911570054448575339398519319/
      2609012808116660958826597671948982782630454814441616306948104083336573606\
      85358970111658597376909971732352674562048000000000000000000*ep^5+
      1702932062052808770947986313316792877573929745755104588966960077965541608\
      2206454404240553935823110609/40007158854534157808189270594307269158430950\
      4654776341296930219657888741154688873125359226063545630675856728128001643\
      567385883443200000000000000000000*ep^6+3333247510737945193327855905805963\
      5097733615826171674499428449600904676470018316377367015080884677289446816\
      527854789/674151985355093749402562352193012705529860101386469636894351223\
      3036523111643057409240303235062016330875873988227334216649590386998043781\
      816647680000000000000000000000*ep^7+1004982243192860827654010828847735393\
      1378678644594296117251261470639755973914691445534929417907222844187985722\
      743564524902351686714161/191983820372771628094400205645474191151833016686\
      7615895925923028805978063801225437146010166276600786790000491165352793207\
      4460639536966914943903630855814049169408000000000000000000000000*ep^8;
Fill mncpoch(42,20) = 1/1592977457769705100389050573973369126912000000000+
      144048411841278913/348957944149923227330334911108023102773760546983798374\
      400000000000*ep+10912623639129836667560763435901249/764427934566198511778\
      47830669736933618262545871183143290360581880545280000000000000*ep^2+
      44491147239856637262156035282573757890433372618229/
      1288120987602425018777295544322958443163429966862591326055681331599381203\
      506820022272000000000000000*ep^3+2407842365646033617052773149066476083238\
      6131895998615288683374402721/36682883633725787696906921941449800737269577\
      36461227456903970302623581640519664365550242852234277683200000000000000000
      *ep^4+1197493769235405781826883986723004829811947165096243344134645612071\
      33690072039478119/1147965635571330821883702975657552424357400118354311175\
      0571657966680923870155794684912978284584038756223517680730112000000000000\
      0000000*ep^5+253759682846408313862079890993783275969864989617004883364141\
      17494484792306421950888382412114133777409/
      1760314989599502943560327906149519842970961820481015901706492966494710461\
      0806310417515805946796007749737696037632072316964978871500800000000000000\
      0000000*ep^6+527690640138803930360034126921260208791878635689925622170857\
      58586654906941897824765531866360177855907930060218257589/
      2966268735562412497371274349649255904331384446100466402335145382536070169\
      1229452600657334234272871855853845548200270553258197702791392639993249792\
      00000000000000000000000*ep^7+16880495853673905898536903884039622924779051\
      3996630833625628634444275503080188473363234221333374752664063256004416385\
      63490091279851361/8447288096401951636153609048400864410680652734217509942\
      0740613267463034807253919234424447316170434618760021611275522901127626813\
      96265442575317597576558181634539520000000000000000000000000*ep^8;
Fill mncpoch(42,21) = 1/702503058876439949271571303122255784968192000000000+
      154479849447926113/153890453370116143252677695798638188323228401219855083\
      110400000000000*ep+12524070550130130819981066694234849/
      3371127191436935436943089332535398772565378272919176619104901660932046848\
      0000000000000*ep^2+54540690357158955207486368820183546630344164023829/
      5680613555326694332807873350464246734350726153864027747905554672353271107\
      46507629821952000000000000000*ep^3+44963735952506461685200401431372426638\
      48653599585443769484017725303/2311021668924724624905136082311337446447983\
      3739705732978495012906528564335273885502966529969075949404160000000000000\
      0000*ep^4+166653017538573644611634376986318108904651601812850047170310238\
      130440038288473579719/506252845286956892450713012264980619141613452194251\
      2282002101163306287426738705456046623423501561091494571297201979392000000\
      0000000000000*ep^5+375449821655326189208807178754490936594328178346330342\
      45905790081229977250361338668572021408690735009/
      7762989104133807981101046066119382507501941628321280126525633982241673133\
      3655828941244704225370394176343239525957438917815556823318528000000000000\
      000000000*ep^6+6376603379188642011577037485499812850745896641443945273179\
      389772644663887628328452687528257459559570742359615320553/
      1006249624910018393339024606304093733700108108254081294945999318229543803\
      5255529689915295690241797298793496835966399472297588605331541657105402429\
      4400000000000000000000000*ep^7+281218925630797065610722613001126204820754\
      1245237786938829150317006908773229898351314384440025805816156103075110356\
      7724869908283221761/37252540505132606715437415903447812051101678557899218\
      8445466104509511983499989783823811812664311616668731695305725055993972834\
      2495753060175715060531262158100831928320000000000000000000000000*ep^8;
Fill mncpoch(42,22) = 1/309101345905633577679491373373792545386004480000000000+
      165432858934905673/677117994828511030311781861514008028622204965367362365\
      68576000000000000*ep+14336058223502303924163556973278729/
      1483295964232251592254959306315575459928766440084437712406156730810100613\
      1200000000000000*ep^2+66619381259306037685765782741397163640172487545309/
      2499469964343745506435464274204268563114319507700172209078444055835439287\
      28463357121658880000000000000000*ep^3+58514986373004369384519280090816269\
      96566377196853957772071694795663/1016849534326878834958259876216988476437\
      1126845470522510537805678872568307520509621305273186393417737830400000000\
      0000000000*ep^4+230744537625973297835597158632208234146932819219402096451\
      405199974644258301731227999/222751251926261032678313725396591472422309918\
      9654705404080924511854766467765030400660514306340686880257611370768870932\
      4800000000000000000000*ep^5+552364119333346019140509993296565215445718291\
      26523660776431389357893585238751551109674658890179638089/
      3415715205818875511684460269092528303300854316461363255671278952186336178\
      6808564734147669859162973437591025391421273123838845002260152320000000000\
      000000000000*ep^6+1294346857704157980005054561573772069445287300676470986\
      76476424737867478220553927920164931547200791119291311809971869/
      5755747854485305209899220748059416156764618379213345007091116100272990556\
      1661629826315491348183080549098801901727804981542206822496418278642901896\
      3968000000000000000000000000*ep^7+465519839985182789890141010113991226373\
      7808520222357992056705649352292611899804702859192757046665803045584868751\
      4210928177338197191081/16391117822258346954792462997517037302484738565475\
      6562916005085984185272739995504882477197572297111334241945934519024637348\
      0470698131346477314626633755349564366048460800000000000000000000000000*
      ep^8;
Fill mncpoch(42,23) = 1/1350772881607618734459377301643473423336839577600000000\
      00+176962342605410473/295900563740059320246248673481621508507903569865537\
      35380467712000000000000*ep+16376342662865659816811244090049129/
      6482003363694939458154172168599064759888709343168992803214904913640139679\
      334400000000000000*ep^2+81143287052698400611759245455561145049394043723709
      /109226837441821678631229788782726536208095762486497525536728005240008696\
      854338487062164930560000000000000000*ep^3+7588930442955752226695325006230\
      625567325369207550120524621531644463/444363246500846050876759565906823964\
      2030182431470618337105021081667312350386462704510404382453923551431884800\
      0000000000000000*ep^4+318240987244628401753451110080922679942440368860957\
      898122532282840697611895066150399/973422970917760712804230979983104734485\
      4943458791062615833640116805329464133182850886447518708801666725761690259\
      965974937600000000000000000000*ep^5+8092049179339048843922091582884210930\
      5656796917486602172567287485116875607662580733232306029539544489/
      1492667544942848598606109137593434868542473336293615742728348902105428910\
      0835342788822531728454219392227278096051096355117575265987686563840000000\
      000000000000000*ep^6+1547705564352969638258695730876391729489466311444719\
      4976748768173993133544080799486406808754744169635737648581169713/
      1934816778776983366712276513001511431158567870550947513922167489091766825\
      4189332487769130553196927846120135716196192905333803370331488298282267791\
      327232000000000000000000000000*ep^7+7670875979083557405535334467867161883\
      4642947677792574074388814981562489899618097722800828830584880237951633936\
      956886578737877806876681/716291848832689761924430632991494530118583075311\
      2861799429422257508896418737803563364253533909383765306373037338481376652\
      10965695083398410586491838951087759627963177369600000000000000000000000000
      *ep^8;
Fill mncpoch(42,24) = 1/5835338848544912932864509943099805188815146975232000000\
      0000+189132353146498873/1278290435357056263463794269440604916754143421819\
      1213684362051584000000000000*ep+18678085394319404918484014883422329/
      2800225453116213845922602376834795976271922436249004890988838922692540341\
      472460800000000000000*ep^2+9862886367856120385234813332217996174173746856\
      0909/47185993774866965168691268754137863641897369394166931031866498263683\
      757041074226410855250001920000000000000000*ep^3+9818085591256836343252017\
      607257906104505487988773770081180559304863/
      1919649224883654939787601324717479525357038810395307121629369107280278935\
      3669518883484946932200949742185742336000000000000000000*ep^4+
      4377271923835322362554071629135124736963420041763218548130177165803323158\
      98499039599/4205187234364726279314277833527012452977335574197739050040132\
      5304599023285055349915829453280822023200255290501923053011730432000000000\
      00000000000*ep^5+11821050361139080963615909836296741279160395040397821957\
      4533275812491934275056216756297742126656405689/
      6448323794153105945978391474403638632103484812788420008586467257095452891\
      5608680847713337066922227774421841374940736254107925149066805955788800000\
      00000000000000000*ep^6+31186503682880870908607871804486982652660020756507\
      7683141748922908347345395107134729568461456071507935689338786891469/
      1086593102961153858745614489701648819738651716101412123818689261873936249\
      1552729125131143718675394678381068218215781935635463972778163828315321591\
      6093734912000000000000000000000000*ep^7+126048970003681386982329357821657\
      1655948404693409141265480688533116387741763460518054099056337361522942093\
      08554667842061460444960051481/
      3094380786957219771513540334523256370112278885344756297353510415243843252\
      8947311393733575266488537866123531521302239547137113718027602811337336447\
      4426869912159280092623667200000000000000000000000000*ep^8;
Fill mncpoch(42,25) = 1/2480019010631587996467416725817417205246437464473600000\
      0000000+202018246660592473/5432734350267489119721125645122570896205109542\
      731265815853871923200000000000000*ep+21281271008691694533599366460895129/
      1190095817574390884517106010154788289915567035405827078670256542144329645\
      125795840000000000000000*ep^2+1197233399910664708663935851653570831352784\
      75489709/2005404735431846019669378922050859204780638199252094568854326176\
      2065596742456546224613481250816000000000000000000*ep^3+126831782674846338\
      68043850958292975623119512916404548102322333006463/
      8158509205755533494097305630049287982767414944180055266924818705941185475\
      309545525481102446185403640428940492800000000000000000000*ep^4+
      6011612769586053823961347155746115172397540666309824318138095415080393780\
      48885976399/1787204574605008668708568079248980292515367619034039096267056\
      3254454584896148523714227517644349359860108498463317297529985433600000000\
      00000000000000*ep^5+17243600500918664570934927138016520958873455864116080\
      8885892504887664651089849420604233390450995030489/
      2740537612515070027040816376621546418643981045435078503649248584265567478\
      9133689360278168253441946804129282584349812907995868188353392531210240000\
      00000000000000000000*ep^6+28399264603251596997961099139638006964411363885\
      182362697670879838703195722532316031797053898878697949025393155788957/
      2716482757402884646864036224254122049346629290253530309546723154684840622\
      8881822812827859296688486695952670545539454839088659931945409570788303979\
      02343372800000000000000000000000000*ep^7+20692389780557235050182968355325\
      5884416584909518005474107530095679326086509320959603754464396814636528418\
      576748495483409690435466970681/
      1315111834456818402893254642172383957297718526271521426375241926478633382\
      4802607342336769488257628593102500896553451807533273330161731194818367990\
      1631419712667694039365058560000000000000000000000000000*ep^8;
Fill mncpoch(42,26) = 1/1031687908422740606530445357940045557382517985221017600\
      0000000000+215709508519316923/2260017489711275473803988268370989492821325\
      569776206579395210720051200000000000000*ep+
      24234606375246415131130008539762479/4950798601109466079591161002243919286\
      04875886728824064726826721532041132372331069440000000000000000*ep^2+
      145246597062344289283672171303927193889036699329059/
      8342483699396479441824616315731574291887454908888713406433996893019288244\
      861923229439208200339456000000000000000000*ep^3+1637630962864170679251258\
      8872546366859896640876331396686506227906913/
      3393939829594301933544479142100503800831244616778902991040724581671533157\
      728770938600138617613127914418439245004800000000000000000000*ep^4+
      8253736203638895444629513280759765581738483911550742997184981232589519462\
      80403099249/7434771030356836061827643209675758016863929295181602640470954\
      3138531073167977858651186473400493337018051353607399957724739403776000000\
      0000000000000000*ep^5+251538849582984690148671814128947941855301147440417\
      053414942094366821212921760290245903011640245596839/
      1140063646806269131248979612674563310155896114900992657518087411054476071\
      2279614773875717993431849870517781555089522169726281166355011292983459840\
      00000000000000000000000*ep^6+43982451287789808824254547180006946990369747\
      104782766531589230418927407186084519777335110850489869870007393108241507/
      1130056827079600013095439069289714772528197784745468608771436832348893699\
      1214838290136389467422410465516310946944413213060882531689290381447934455\
      27374843084800000000000000000000000000*ep^7+
      3400046297726810622319965864874600978427370565746036141891496428469478081\
      34602157565961531196563790590336495421168979835206465496869831/
      5470865231340364556035939311437117262358509069289529133721006414151114871\
      1178846544120961071151734947306403729662359519338417053472801770444410839\
      078670600469760720375864360960000000000000000000000000000*ep^8;
Fill mncpoch(42,27) = 1/4178336029112099456448303699657184507399197840145121280\
      000000000000+230313521168623003/91530708333306656689061524869025074459263\
      6855759363664655060341620736000000000000000*ep+
      27598107951699209091413665615520719/2005073433449333762234420205908787310\
      84974734125173746214364822220476658610794083123200000000000000000*ep^2+
      176249913802615824629530406985405720486665407996099/
      3378705898255574173938969607871287588214419238099928929605768741672811739\
      169078907922879321137479680000000000000000000*ep^3+2115651357406493550041\
      5606287391890713554650802434302847586808016193/
      1374545630985692283085514052550704039336654069795455711371493455576970928\
      880152230133056140133316805339467894226944000000000000000000000*ep^4+
      1134343612214749646533139782512018868147071057136207666013761678068558485\
      303256452689/301108226729451860504019549991868199682989136454854906939073\
      6497110508463303103275373052172719980149231079821099698287851945852928000\
      00000000000000000000*ep^5+36750062881309097259482641480205841364234552096\
      1587091271610048145808516202678125765901539227645940679/
      4617257769565389981558367431331981406131379265349020262948254014770628088\
      4732439834196657873398991975597015298112564787391438723737795736583012352\
      0000000000000000000000000*ep^6+682674460018817500596829100696920437012851\
      41626950918753768566231657275830846066686838072898017191821574893190567427
      /457673014967238005303652823062334482873920102821914786552431917101301948\
      1442009507505237734306076238534105933512487351289657425334162604486413454\
      38586811449344000000000000000000000000000*ep^7+
      5603369103060345513076894798990448386953186887558195940469856383149572114\
      45944493442827259851038326965630982146793627384603278730281191/
      2215700418692847645194555421132032491255196173062259299157007597731201522\
      8027432850368989233816452653659093510513255605332058906656484717029986389\
      826861593190253091752225066188800000000000000000000000000000*ep^8;
Fill mncpoch(42,28) = 1/1637907723411942986927735050265616326900485553336887541\
      760000000000000+35137239654084829/512571966666517277458744539266540416971\
      87663922524365220683379130761216000000000000000*ep+
      31446693144473864343026097906473119/7859887859121388347958927207162446258\
      5310095777068108516031010310426850175431280584294400000000000000000*ep^2+
      4369388077930839496509462952317137282137086466051/
      2702964718604459339151175686297030070571535390479943143684614993338249391\
      3352631263383034569099837440000000000000000000*ep^3+273780469531482786059\
      83447103942368095508511185883676016788027298993/
      5388218873463913749695215085998759834199683953598186388576254345861726041\
      21019674212158006932260187693071414536962048000000000000000000000*ep^4+
      1562732195090185264832187611483071912707851432999575280187581923691561581\
      401255857089/118034424877945129317575663596812334275731741490303123520116\
      8706867319317614816483946236451706232218498583289871081728837962774347776\
      00000000000000000000000*ep^5+53866683439740289039709556464930628249248170\
      7112938535547357614456372015086802352142764454563886949079/
      1809965045669632872770880033082136711203500672016815943075715573790086210\
      6815116415005089886372404854434029996860125396657443979705215928740540841\
      9840000000000000000000000000*ep^6+152008466561705680772171688886795789706\
      8633644238353676739560755498487728344210136114053881844131098919948567717\
      6661/25629688838165328297004558091490731040939525758027228046936187357672\
      9090960752532420293313121140269357909932276699291672220815818713105851239\
      15344560861441163264000000000000000000000000000*ep^7+
      9282908992797331875024634691969785264211075342226127252867089702871366095\
      13057089106800035820793926186405523628641970488441808198924791/
      8685545641275962769162657250837567365720368998404056452695469783106309969\
      3867536773446437796560494402343646561211961972901670914093420090757546648\
      12129744530579211966872225946009600000000000000000000000000000*ep^8;
Fill mncpoch(42,29) = 1/6174912117263025060717561139501373552414830536080066032\
      43520000000000000+5363499212341147/27605661633325287657420955900497962456\
      91392756970240812599661990328139776000000000000000*ep+
      35875272267632047499534567847720319/2963177722888763407180515557100242239\
      4661906107954676910543690887030922516137592780278988800000000000000000*
      ep^2+483975237618156620275215271665174951743235077131441/
      9273061060116318654825938426979221063109766464119540943038808657645532186\
      85388720752881766962108123054080000000000000000000*ep^3+35533409059448057\
      515936330642707780609055564742619396469102181677393/
      2031358515295895483635096087421532457493280850506516268493247888389870717\
      53624417177983568613462090760287923280434692096000000000000000000000*ep^4
      +216149798975612375417772171136295097390994880484635046020750708957010720\
      2684186760289/44498978178985313752726025175998250021950866541844277567084\
      0602488979382740785814447731142293249546373965900281397811771911965929111\
      55200000000000000000000000*ep^5+79362738195925288876418508208543273726232\
      6476615734968933296187011635877369683606317712807780100564279/
      6823568222174515930346217724719655401237197533503396105395447713188625014\
      2692988884569188871623966301216293088162672745398563803488664051351838974\
      279680000000000000000000000000*ep^6+1823477668264098446665253580506561405\
      8808669280620975863323070048799894081541047441003622948193752694597100940\
      738529/738888852916754552844819642390565134303791857294655556811966201411\
      4995734109695067010926632980638000724215165224136638150318931338311363393\
      665241393693054302420992000000000000000000000000000*ep^7+
      1549898675713260746036816399599892031286620112300126269212627817965685688\
      542988834557305854548763965772036898738967330840036210146965591/
      3274450706761037963974321783565762896876579112398329282666192108231078858\
      4588061363589307049303306389683554753576909663783929934613219374215595086\
      34172913688028362911510829181645619200000000000000000000000000000*ep^8;
Fill mncpoch(42,30) = 1/2222968362214689021858322010220494478869338992988823771\
      67667200000000000000+40152353888049829/6956626731597972489670080886925486\
      539142309747565006847751148215626912235520000000000000000*ep+
      41006145253336368819477554333498119/1066743980239954826584985600556087206\
      2078286198863683687795728719331132105809533400900435968000000000000000000
      *ep^2+590913499042979263244951092527006556051110851285641/
      3338301981641874715737337833712519582719515927083034739493971116752391587\
      26739939471037436106358924299468800000000000000000000*ep^3+
      46320544327784789214512632684638765295401835404310375325895329173993/
      7312890655065223741086345914717516846975811061823458566575692398203534583\
      1304790184074084700846352673703652380956489154560000000000000000000000*
      ep^4+30070802588632638242357087493373677026373298786763271404098373448035\
      60372922977732089/1601963214443471295098136906335937000790231195506393992\
      4150261689603257778668289320118321122556983669462772410130321223788830773\
      448015872000000000000000000000000*ep^5+1177887465666032819555893704421526\
      085039498631614967038999180683100089492177556835852489657187590074079/
      2456484559982825734924638380899075944445391112061222597942361176747905005\
      1369475998444907993784627868437865511738562188343482969255919058486662030\
      740684800000000000000000000000000*ep^6+4906832566305881676761022005693202\
      9318934431458601940140366467095488219833867997011546371457335859876979504\
      9975171593/45219997798505378634102962114302586219392061666432920076892331\
      5263837738927513338101068709938415045644321968111717162254799518597904655\
      43969231277329401492330816471040000000000000000000000000000*ep^7+
      2615832918100337640057668109500783782573819895838642504577096452124907675\
      573159647210811594501954833376824830635827058255850916402049791/
      1178802254433973667030755842083674642875568480463398541759829158963188389\
      0451702090892150537749190300286079711287687478962214776460758974717614231\
      08302248927690210648143898505392422912000000000000000000000000000000*ep^8
      ;
Fill mncpoch(42,31) = 1/7580322115152089564536878054851886172944445966091889061\
      4174515200000000000000+3908844674285039/215655428679537147179772507494690\
      082713411602174515212280285594684434279301120000000000000000*ep+
      47000051045416667264840719285895719/3637596972618245958654800897896257373\
      1686955938125161375383434932919160480810508897070486650880000000000000000\
      00*ep^2+724625708131024027758289903748675732985521875832041/
      1138360975739879278066432201295969177707354931135314846167444150812565531\
      25818319359623765712268393186118860800000000000000000000*ep^3+
      60751148429000039879216819098326370243482702690950660824860711141193/
      2493695713377241295710443956918673244818751572081799371202311107787405292\
      8474933452769262882988606261732945461906162801704960000000000000000000000
      *ep^4+4216912813568247150138529463698822843213276699561065741538229314032\
      275595763459577689/546269456125223711628464685060554517269468837667680351\
      4135239236154710902525886658160347502791931431286805391854439537311991293\
      745773412352000000000000000000000000*ep^5+1765733288155943287949767961255\
      369321751253731997024960799397432667616452035590491024014344373817815679/
      8376612349541435756093016878865848970558783692128769058983451612710356067\
      5169913154697136258805581031373121395028497062251276925162683989439517524\
      82573516800000000000000000000000000*ep^6+78617742709120940495551967617318\
      6073994572394521404798273482608215281083492222781873346220136597418576406\
      257164178793/154200192492903341142291100809771819008126930282536257462202\
      8505049686689742820482924644300889995305647137911260955523288866358418854\
      8750493507865569325908884808416624640000000000000000000000000000*ep^7+
      4071765544170760759160575658558450228876108673145059694933258406053944788\
      53866439027815219004921487499458784673358744931559344763832381/
      3654286988745318367795343110459391392914262289436535479455470392785884006\
      0400276481765666667022489930886847104991831184782865807028352821624604116\
      357369716758396530092460853667165110272000000000000000000000000000000*
      ep^8;
Fill mncpoch(42,32) = 1/2425703076848668660651800977552603575342222709149404499\
      6535844864000000000000000+4193338427193599/690097371774518870975272023983\
      00826468291712695844867929691390299018969376358400000000000000000*ep+
      54073221083992452531304888164707479/1164031031237838706769536287326802359\
      4139825900200051640122699178534131353859362847062555728281600000000000000\
      00000*ep^2+893844137709456170550524989128040065600598062154681/
      3642755122367613689812583044147101368663535779633007507735821282600209700\
      0261862195079605027925885819558035456000000000000000000000*ep^3+
      80331715069425515302168436967574254174406054268376981684997121781913/
      7979826282807172146273420662139754383420005030661757987847395544919696937\
      1119787048861641225563540037545425478099720965455872000000000000000000000\
      00*ep^4+59766608880897602551155204721888748322084799940339558710161355039\
      10967781442276974249/1748062259600715877211086992193774455262300280536577\
      1245232765555695074888082837306113112008934180580117777253934206519398372\
      13998647491952640000000000000000000000000*ep^5+26822072158638388580157338\
      9964034998411542236708609089093961180291736745468863175986931014619854872\
      1839/26805159518532594419497654012370716705788107814812060988747045160673\
      1394160543722095030836028177859300393988464091190599204086160520588766206\
      4560794423525376000000000000000000000000000*ep^6+
      1279929378039136456999104928807983009508990406891667501483946653990748215\
      307651274413249149183426535157011177344323513/
      4934406159772906916553315225912698208260061769041160238790491216158997407\
      1770255453588617628479849780708413160350576745243723469403356001579225169\
      82184290843138693319884800000000000000000000000000000*ep^7+
      7104984372932314592620731335832608520093002869373578252695586120381647569\
      27206221667632185877059185187790387105180175078382750790908621/
      1169371836398501877694509795347005245732563932619691353425750525691482881\
      9328088474165013333447196777883791073597385979130517058249072902919873317\
      234358309362686889629587473173492835287040000000000000000000000000000000*
      ep^8;
Fill mncpoch(42,33) = 1/7204338138240545922135848903331232618766401446173731363\
      971145924608000000000000000+644206085298857/29279845631004586382807970160\
      42192208726091238666560825016906131258376272111206400000000000000000*ep+
      62524735530913025020665924488293879/3457172162776380959105522773360603007\
      4595282923594153371164416560246370120962307655775790512996352000000000000\
      0000000*ep^2+1111251763563735008400991776349146753103610552984281/
      1081898271343181265874337164111689106493070126551003229797538920932262280\
      9077773071938642693293988088408736530432000000000000000000000*ep^3+
      107379606422172974169108092263106410483718313204280777585376784662713/
      2370008405993730127443205936655507051875741494106542122390676476841149990\
      3222576753511907443992371391150991366995617126740393984000000000000000000\
      00000*ep^4+85902827722012977530576930528427842649036467685491503678660763\
      38991871076286110632649/5191744911014126155316928366815510132129031833193\
      6340598341313700414372417606026799155942666534516322949798444184593362613\
      1652557598305109934080000000000000000000000000*ep^5+
      4145820862304517127974894577818882348312949042208508105729706705518423155\
      129777840950548959261041124239/
      7961132377004180542590803241674102861619068020999182113657872412719922406\
      5681485462224158300368824212217014573835083607963613589674614863563317455\
      5943787036672000000000000000000000000000*ep^6+
      2127907253597290634538554211321134667466748602018797959667908086251993572\
      289091663560642000529367351638049776313764313/
      1465518629452553354216334622096071367853238345405224590920775891199222229\
      9315765869715819435658515384870398708624121293337385870412796732469029875\
      43708734380412191916005785600000000000000000000000000000*ep^7+
      1270807853857188151792717003739222975125730501195941757898907216590914666\
      343535840925812683808911947238486885419437426374067378371642221/
      3473034354103550576752694092180605579825714879880483319674479061303704159\
      3404422768270089600338174430314859488584236358017635662999746521672023752\
      18604417880718006219987479532527372080250880000000000000000000000000000000
      *ep^8;
Fill mncpoch(42,34) = 1/1959579973601428490820950901706095272304461193359254931\
      000151691493376000000000000000+4865059788227699/5574882608143273247286637\
      5185443339654144777184211318108321892739159484220997369856000000000000000\
      00*ep+72782491888835320597079414463538579/9403508282751756208767021943540\
      8401802899169552176097169567213043870126729017476823710150195350077440000\
      000000000000000*ep^2+199423074598106334962707475047762738614080295551083/
      4203947568647790061683138694833991956658786777455326835784722664193933434\
      38450610795330116082280680006739476611072000000000000000000000*ep^3+
      145604555912097570019247708021659568467783375879317100925835529773613/
      6446422864302945946645520147702979181102016863969794572902640017007927973\
      6765408769552388247659250183930696518228078584733871636480000000000000000\
      0000000*ep^4+125773029778329239164767521634254088443036333892680645711636\
      75837664696258881006508349/1412154615795842314246204515773818755939096658\
      6286684642748837326512709297588839289370416405297388439842345176818209394\
      6307809495666738989902069760000000000000000000000000*ep^5+
      6556608941948872137966807327000518470113041315836304512662841260216664484\
      131343944174715703104857186939/
      2165428006545137107584698481735355978360386501711777534914941296259818894\
      5865364045724971057700320185723027964083142741366102896391495242889222347\
      9216710073974784000000000000000000000000000*ep^6+
      3636617336445631216667272249078230224510928788935791575250288714220256876\
      802279532311692731861645606582409780712755213/
      3986210672110945123468430172101314120560808299502210887304510424061884465\
      4138883165627028864991161846847484487457609917877689567522807112315761261\
      1888775751472116201153573683200000000000000000000000000000*ep^7+
      2348079807994869314743367316233573754563592975790971517535703456063392245\
      404210797952815533308189892603459721958781178343070220353257521/
      9446653443161657568767327930731247177125944473274914629514583046746075313\
      4060029929694643712919834450456417808949122893807969003359310538947904605\
      9460401663555297691836594432847445205828239360000000000000000000000000000\
      000*ep^8;
Fill mncpoch(42,35) = 1/4800970935323499802511329709179933417145929923730174580\
      95037164415877120000000000000000+36900356046679493/
      9560923672965713619096583344303532750685829287092241055577204604765851543\
      901048930304000000000000000000*ep+12212139432435349735255147202462197/
      3291227898963114673068457680239294063101470934326163400934852456535454435\
      515611688829855256837252710400000000000000000000*ep^2+1778132033786120244\
      837276859978800136844403816552781/720977008023095995578658286164029620566\
      9819323335885523370799369092595839969427975139911490811113662115582023879\
      88480000000000000000000000*ep^3+20124997601255938302454733065248498154982\
      8194652930010397901267363213/15793736017542217569281524361872298993699941\
      3167259967036114680416694235355075251485403351206765162950630206469658792\
      532597985509376000000000000000000000000*ep^4+1887528268217570049907400059\
      9791615003165780207070197679553719657396303007157654869149/
      3459778808699813669903201063645855952050786813640237737473465144995613777\
      9092656258957520192978601677613745683204613016845413326438351052526007091\
      200000000000000000000000000*ep^5+1069143194769470098975089716632772200572\
      2373016458944334896536510077264854657888789234604466125609075739/
      5305298616035585913582511280251622146982946929193854960541606175836556291\
      7370141912026179091365784455021418512003699716346952096159163345078594752\
      408093968123822080000000000000000000000000000*ep^6+
      4513755758242974034042871864124819102396239753929518962199071826611538937\
      2878738701685774995185201771276021588751453691/
      6836351302670270886748357745153753716761786233646291671727235377266131858\
      1848184629050354503459842567343435895989801009160237608301614197621530562\
      9389250413774679284978378866688000000000000000000000000000000*ep^7+
      6473014063046646338058434762541051926766677021604471328908602890636071861\
      76860055292086974329167143484805786311778099651308045418200103/
      3306328705106580149068564775755936511994080565646220120330104066361126359\
      6921010475393125299521942057659746233132193012832789151175758688631766612\
      0811140582244354192142808051496605822039883776000000000000000000000000000\
      00000*ep^8;
Fill mncpoch(42,36) = 1/1037009722029875957342447217182865618103520863525717709\
      48528027513829457920000000000000000+40219449830612693/
      2065159513360594141724862002369563074148139126011924068004676194629423933\
      482626568945664000000000000000000*ep+2074235168654967793666918201923571/
      1015578894537189670546838369902410739471311031163501849431325900873797368\
      67338874969606962210978083635200000000000000000000*ep^2+23082447749978921\
      42664148000959250540268054864757181/1557310337329887350449901898114303980\
      4246809738405512730480926637240007014333964426302208820152005510169657171\
      5805511680000000000000000000000*ep^3+285524065741969091425888042632093985\
      159249105905192765074369634764413/341144697978911899496480926216441658263\
      9187324412815287980077097000595483669625432084712386066127519733612459744\
      6299187041164870025216000000000000000000000000*ep^4+292997753516182439675\
      56521400193084064944089079467494435215822090733704619329476196749/
      7473122226791597526990914297475048856429699517462913512942684713190525760\
      2840137519348243616833779623645690675721964116386092785106838273456175316\
      99200000000000000000000000000*ep^5+18179582020189739313068164350955574094\
      668734003845116814675803292285206223252749309485250024292642919339/
      1145944501063686557333822436534350383748316536705872671476986933980696159\
      0151950652997654683735009442284626398592799138730941652770379282536976466\
      520148297114745569280000000000000000000000000000*ep^6+
      8418091725624567163054632431617612970927701474162852884291791436455729608\
      9299227637062511545529989977026394362834142091/
      1476651881376778511537645272953210802820545826467599001093082841489484481\
      3679207879874876572747325994546182153533797017978611323393148666686250601\
      5948078089375330725555329835204608000000000000000000000000000000*ep^7+
      1325854850054236204723455198803835438555184062456648632332645602845031721\
      833845557547225549847552543213450998462285433136186646573837303/
      7141670003030213121988099915632822865907214021795835459913024783340032936\
      9349382626849150646967394844545051863565536907718824566539638767444615882\
      0952063657647805055028465391232668575606148956160000000000000000000000000\
      0000000*ep^8;
Fill mncpoch(42,37) = 1/1918467985755270521083527351788301393491513597522577762\
      5477685090058449715200000000000000000+44202362371332533/
      3820545099717099162190994704383691687174057383122059525808650960064434276\
      94285915254947840000000000000000000*ep+
      17562867802528345469629899341625157/1315174668425660623358155689023621907\
      6153477853567348950135670416315675924320384308564101606321661830758400000\
      0000000000000000*ep^2+3077709805636535444653692314904355194173341427920861
      /288102412406029159833231851151146236378565980160501985513897142788940129\
      76517834188659086317281210193813865767424019660800000000000000000000000*
      ep^3+420364804539197053068593820913044675033175868954546421552056053169053
      /631117691260987014068489713500417067788249655016370828276314262945110164\
      4788807049356717914222335911507183050527565349602615500954664960000000000\
      000000000000000*ep^4+4771681412005877888362839897797482514491906787643124\
      4884336383234173264211645618423469/
      1382527611956445542493319145032884038439494410730638999894396671940247265\
      6525425441079425069114249230374452775008563361531427165244765080589392433\
      64352000000000000000000000000000*ep^5+32813578117062172165091451754299518\
      077430671060255131063546749613581692978733704232190303336567807141259/
      2119997326967820131067571507588548209934385592905864442232425827864287894\
      1781108708045661164909767468226558837396678406652242057625201672693406463\
      06227434966227930316800000000000000000000000000000*ep^6+
      9926315996636276307075199014977709294563260501178814724503605114961985883\
      225074869963498967319466204002199393608453563/
      1606944694439435439026261032331435285422358693508857736483648974562086053\
      2533255633981483329166207699947315872963249696035547616633720607864449184\
      08846732149084481425160942324285440000000000000000000000000000000*ep^7+
      2958112336728167377079012408347781735255695805021895600768952301530092732\
      937732799432511075857951417285631138698047960413231844899021143/
      1321208950560589427567798484392072230192834594032229560083909584917906093\
      3329635785967092869688968046240834594759624327927982544809833171977253938\
      1876131776664843935180266097378043686487137556889600000000000000000000000\
      0000000000*ep^8;
Fill mncpoch(42,38) = 1/2916071338348011192046961574718218118107100668234318199\
      072608133688884356710400000000000000000+49181003047232333/
      5807228551569990726530311950663211364504567222345530479229149459297940100\
      9531459118752071680000000000000000000*ep+
      21795353461464467126871638743945357/1999065496007004147504396647315905299\
      5753286337422370404206219032799827404966984149017434441608925982752768000\
      000000000000000000*ep^2+4271333371814000946300054105332340207846719507435\
      461/437915666857164322946512413749742279295420289843963017981123657039188\
      9972430710796676181120226743949459707596648450988441600000000000000000000\
      000*ep^3+6542845792568527766192517808379249074258942568191473436844886840\
      54853/9592988907167002613841043645206339430381394756248836589799976796765\
      6745000789867150222112296179505854909182368018993313959755614510907392000\
      0000000000000000000000*ep^4+835487401389824703599931313360015192150645146\
      72886994984424736831633462155087267446869/
      2101441970173797224589845100449983738428031504310571279839482941349175843\
      7918646670440726105053658830169168218013016309527769291172042922495876499\
      1381504000000000000000000000000000*ep^5+648424331349234457696855612422361\
      35852588400361930042430766160848772422666200774351410738796053422058659/
      3222395936991086599222708691534593279100266101216913952193287258353717599\
      1507285236229404970662846551704369432842951178111407927590306542493977823\
      8546570114866645408153600000000000000000000000000000*ep^6+
      3776355440856561893381660697433268016004666861828478154551190664802030122\
      02803333788923879514757176781659673676947831171/
      4152345090431501174443858507544428777531374864026888391073748950268430361\
      6065932558208152922565480696663864215737037214555855041381534050721736691\
      68459955873234300002615874965953576960000000000000000000000000000000*ep^7
      +752409784639342464348430700637969926596331408804650578290899373821281086\
      0380281349307189993452541681233081738946345554759424610829780943/
      2008237604852095929903053696275949789893108582928988931327542569075217261\
      8661046394669981161927231430286068584034628978450533468110946421405425986\
      0451720300530562781474004468014626403460449086472192000000000000000000000\
      000000000000*ep^8;
Fill mncpoch(42,39) = 1/3411803465867173094694945042420315198185307781834152292\
      91495151641599469735116800000000000000000+55819190615098733/
      6794457405336889150040464982275957296470343650144270660698104867378589918\
      115180716893992386560000000000000000000*ep+
      28200371907168910251709334821918957/2338906630328194852580144077359609200\
      5031345014784173372921276268375798063811371454350398296682443399820738560\
      00000000000000000000*ep^2+63305263120511538909443299036349592262626197442\
      28261/5123613302228822578474195240871984667756417391174367310379146787358\
      5112677439316321111319106652904208678578880786876564766720000000000000000\
      0000000*ep^3+111654001094665287687919766909019558800510995712195299887742\
      2559689253/11223797021385393058194021064891417133546231864811138810065972\
      8522158391650924144565759871386530021850243743370582222177332914068977761\
      648640000000000000000000000000*ep^4+1650785623555888085835261009206001067\
      73393242452994261418750983012214511247241685238069/
      2458687105103342752770118767526480973960796860043368397412195041378535737\
      2364816604415649542912780831297926815075229082147490070671290219320175503\
      991635968000000000000000000000000000*ep^5+1492207625818832962663714363111\
      43041906159097315984868917451419231703987728476487782689458353389142641859
      /377020324627957132109056916909547413654731133842378932406614609227384959\
      1006352372638840381567553046549411223642625287839034727528065865471795405\
      3909948703439397512753971200000000000000000000000000000*ep^6+
      1018583162992986497551979531079044993621642918675701389593220275886397256\
      028936087212871790224280512244535985928215831971/
      4858243755804856374099314453826981669711708590911459417556286271814063523\
      0797141093103538919401612415096721132412333541030350398416394839344431929\
      2709814837168413100306057371016568504320000000000000000000000000000000*
      ep^7+23944995492123042470243499768629628954896795720158965268684767597644\
      852243119846556872749742778600776688877964915545492522454828458847343/
      2349637997676952237986572824642861254174937042026917049653224805818004196\
      3833424281763877959454860773434700243320515904787124157689807313044348403\
      6728512751620758454324585227577112892048725431172464640000000000000000000\
      00000000000000*ep^8;
Fill mncpoch(42,40) = 1/2729442772693738475755956033936252158548246225467321834\
      3319612131327957578809344000000000000000000+65776471966898333/
      5435565924269511320032371985820765837176274920115416528558483893902871934\
      49214457351519390924800000000000000000000*ep+
      5645962014536029571160782415337051/26730361489465084029487360884109819434\
      3215371597533409976243157352866263586415673764004551962085067426522726400\
      00000000000000000000*ep^2+10659345597634909114230493150351606952174954081\
      657461/409889064178305806277935619269758773420513391293949384830331742988\
      6809014195145305688905528532232336694286310462950125181337600000000000000\
      0000000000*ep^3+228405914550554254954453467547214355853385236206276386843\
      6456844660853/89790376171083144465552168519131337068369854918489110480527\
      7828177267133207393156526078971092240174801949946964657777418663312551822\
      0931891200000000000000000000000000*ep^4+415251777251035156456619326317941\
      749894198983632938057400198670839870181533317116884869/
      1966949684082674202216095014021184779168637488034694717929756033102828589\
      7891853283532519634330224665038341452060183265717992056537032175456140403\
      19330877440000000000000000000000000000*ep^5+46759872848198307347027231016\
      6842444517381376240049227798810273276747968403037222674313651285204482076\
      659/301616259702365705687245533527637930923784907073903145925291687381907\
      9672805081898111072305254042437239528978914100230271227782022452692377436\
      324312795896275151801020317696000000000000000000000000000000*ep^6+
      4031296874265186494189120055613809394570665913257136863767953478414088663\
      346975034913889938994275491002358285134266473171/
      3886595004643885099279451563061585335769366872729167534045029017451250818\
      4637712874482831135521289932077376905929866832824280318733115871475545543\
      416785186973473048024484589681325480345600000000000000000000000000000000*
      ep^7+12142969152422431259773067805427112726412968197839202375916455556498\
      6239239872613684671200330154793410699955571670600074776668157239566943/
      1879710398141561790389258259714289003339949633621533639722579844654403357\
      1066739425411102367563888618747760194656412723829699326151845850435478722\
      9382810201296606763459668182061690313638980344937971712000000000000000000\
      0000000000000000*ep^8;
Fill mncpoch(43,0) = 1;
Fill mncpoch(43,1) = 1/42+1/1764*ep+1/74088*ep^2+1/3111696*ep^3+1/130691232*
      ep^4+1/5489031744*ep^5+1/230539333248*ep^6+1/9682651996416*ep^7+1/
      406671383849472*ep^8;
Fill mncpoch(43,2) = 1/3444+83/5930568*ep+5167/10212438096*ep^2+285935/
      17585818401312*ep^3+14835031/30282779287059264*ep^4+738927503/
      52146945932316052608*ep^5+35785059367/89797040895448242590976*ep^6+
      1697726767295/154630504421961873741660672*ep^7+79289449455511/
      266273728614618346583139677184*ep^8;
Fill mncpoch(43,3) = 1/413280+2521/14233363200*ep+4237381/490197028608000*ep^2+
      5935865041/16882385665259520000*ep^3+7484384760301/
      581429362311537868800000*ep^4+8808623288219161/
      20024427238009364201472000000*ep^5+9874468450644697621/
      689641274077042503098695680000000*ep^6+10675007598142684651681/2375124547\
      9213343806719079219200000000*ep^7+11220991448061933085097341/817992894304\
      107560703405088309248000000000*ep^8;
Fill mncpoch(43,4) = 1/64471680+1639/1069083724800*ep+1224141829/
      12923554462221312000*ep^2+1003490507111/214301251993545400320000*ep^3+
      524803430723082421/2590567826648853959044300800000*ep^4+
      114757080879675841213/14319123794410183883250794496000000*ep^5+
      154372487556180853506465829/519287606523899529784932702651678720000000*
      ep^6+90445816773783022760958223111/86109424886251962027892618381929480192\
      00000000*ep^7+37187892811464180463146819164598421/10409286161719636678564\
      5824375285160553218048000000000*ep^8;
Fill mncpoch(43,5) = 1/12249619200+354889/34734530218752000*ep+680251554889/
      886426600563759790080000*ep^2+112706843520286321/
      2513515811494574710359244800000*ep^3+144084569866616711644321/64145024049\
      974006391356341665792000000*ep^4+18423637720092219733194271369/1818870643\
      95144293563074388173853163520000000*ep^5+
      19635536299301598176962232887693369/4641765158846658177501400909172259687\
      156940800000000*ep^6+2192826354377596457441050591866895235041/
      13162003613819230061795872362012492678514735054848000000000*ep^7+
      2104241244998358865297515337006553740451393041/33589485870481130394623313\
      4513453293655403179189123153920000000000*ep^8;
Fill mncpoch(43,6) = 1/2719415462400+5322151/95103143738942976000*ep+
      1338728897861161/269400999590136747881533440000*ep^2+
      3168328619484085567591/9421466613572967267483185187225600000*ep^3+
      512605300852924172057067360601/266884187369121801019196359688999329136640\
      00000*ep^4+910363676244056862177104317161346231/9333448891482106507208573\
      29938344689862918799360000000*ep^5+12007696633488238135364082408995393474\
      4389641/2643908878439227092565276176269492696118910332682528358400000000*
      ep^6+182884854902772462952259884511351602248965619550471/9246253453194799\
      5553330865677386913416018894389608998047318016000000000*ep^7+
      21392790576688728816041976897502122195431926705353825380281/
      2619208813529930478129316666106910649697206096392242908125500203755110400\
      00000000*ep^8;
Fill mncpoch(43,7) = 1/685292696524800+169927007/647081789999768008704000*ep+
      16505563652462959/611001467070430144195317841920000*ep^2+
      1202827128185628072128483/576932929548754223591600328124946841600000*ep^3
      +73069897916368723646515387821871/544764003257851420240383609397185430633\
      709568000000*ep^4+3907510597501333464295123992734571135227/51438876868691\
      8446667881775104940278856011260378480640000000*ep^5+190025930394249906348\
      458467308331993314549565399/485707212240313530720981755790115964218612779\
      396441919664947200000000*ep^6+8583899425546923584409604053774461856474178\
      821992713763/458624896932467763912005280140257667425409974364209824958470\
      848249856000000000*ep^7+3655045961333652201728800064786780195453601542433\
      55798119787231/4330526514443608214485624554874515074711169038004235441493\
      27452288299439226880000000000*ep^8;
Fill mncpoch(43,8) = 1/191881955026944000+39381067/36236580239987008487424000*
      ep+3116820052148977/24440058682817205767812713676800000*ep^2+
      71657331358903740668867/6461648810946047304225923674999404625920000*ep^3+
      121399772641498494551306220681271/152533920912198397667307410631211920577\
      438679040000000*ep^4+205219242369974464623042172648979532289/
      4115110149495347573343054200839522230848090083027845120000000*ep^5+
      383802451534153302386327450512819947372822713119/135998019427287788601874\
      891621232469981211578231003737506185216000000000*ep^6+3787649570047882915\
      694225745822617320328185652473399759/256829942282181947790722956878544293\
      75822958564395750197674367501991936000000000*ep^7+12520383691177414645697\
      9407980416288425262065018566106855271713/17322106057774432857942498219498\
      060298844676152016941765973098091531977569075200000000000*ep^8;
Fill mncpoch(43,9) = 1/58715878238244864000+763902287/
      188502690408412418151579648000*ep+1158371075804006053/2161332149556256774\
      870749521294131200000*ep^2+2525909758135927195320292763/48571503330512233\
      520662803413366274638531788800000*ep^3+1610210233171237060362335263894145\
      8291/3898374396203363045700781766458811950475766309102551040000000*ep^4+
      508585876910955401317333188107376249063721397/178791759316879681014990956\
      5983068863934334652151406129095639040000000*ep^5+176680460759010024291206\
      14679200755460111472821368650011/1004494442803586840951961630117756306418\
      848490983823699913910674861850624000000000*ep^6+6445018591808328617601967\
      79324622547977531486263292999221089087/6449700171407512478461233037974098\
      96555541559335185995596735083989159787546384793600000000*ep^7+
      1960115506578453978767775770175869054730972839099451628864205631180724933/
      3697545192925121982795426703886661069690812461142423317670745900305509003\
      4777953873900339200000000000*ep^8;
Fill mncpoch(43,10) = 1/19376239818620805120000+9473065501/
      684264766182537077890234122240000*ep+176368291507908562213/86301992731781\
      333020589028385274658816000000*ep^2+4683157657093677929381466216457/
      21334061407860888329280723143252868809482317594624000000*ep^3+36104177889\
      2812381496986755089333701868731/18835112846488434656194698128098743703082\
      179195418248426291200000000*ep^4+1958618820202918631480713126530429968294\
      5448941657/13574593196878743624797074031239420541401602131571416543429140\
      257177600000000*ep^5+5697598484497536806702089505043429523971879964087925\
      7921896971/58724264926389648548942037214630401838537494500681192022225187\
      7992748534590341120000000000*ep^6+123769889720114776552469933846200574571\
      699539864442314029624698901512409/207382576729263385481472977385053754185\
      95746451212836091448058978603596228296116992726794240000000000*ep^7+
      8932079964849258575248842767246350565073598018849515392477391396015164464\
      33568173/2615585445007782274567745436536787958493112397999441285213888438\
      161927344799053581040034299422703616000000000000*ep^8;
Fill mncpoch(43,11) = 1/6820436416154523402240000+42306590923/
      963444790785012205669449644113920000*ep+3488875549039757717683/
      486052823065392467571957407865866878451712000000*ep^2+
      407529399670422823697864369875987/480613735396290092282036130971200628540\
      017650771689472000000*ep^3+137400915754256383153406639464951474122596461/
      1697269688822765823739016637719233992572141331657529202189952614400000000
      *ep^4+227041345019444728860884280046378645720361222179419613/
      3425054478039984567449599018288530658714987279584457765172162723193406095\
      3600000000*ep^5+408764789572417617290742782057793058781691276112780776200\
      885453941/846681753767491841606762377197563963275886512711261372081080979\
      674920895184077104087040000000000*ep^6+7664536209705666463574535379928760\
      88496042393802736991790441335908115625767/2392020320541104920640831096079\
      6113788422398773909645899168863880703068970550012088942040096702464000000\
      000*ep^7+1189547504026831937636178367444402925888321026194287605799185961\
      25642623505239067640603/6033808271885856673941726125496397734802722416858\
      2567191857642224549784805000272971437970122132139070717952000000000000*
      ep^8;
Fill mncpoch(43,12) = 1/2537202346809482705633280000+1452762844021/111104453273\
      32760755780093295921725440000*ep+4085720606605559914498963/17375999582329\
      3284017234197652784482111459426304000000*ep^2+323614168448176618909946079\
      0130318409/10652565060646013335545558953055700216077735380599714388901888\
      00000*ep^3+184034206413443545293169942418026867659281485743181/
      5830966825083597000655643029533149469321685509283738057968682089660284928\
      00000000*ep^4+14591103524740407989092866009946362041428845647165550082002\
      61/5210997354661748517933791846922955336612981612284655571964562312397369\
      1163882920345600000000*ep^5+615267181986297958034899664317321695390427442\
      286275329805828651437389529621/279533140394756681453611049902915235170190\
      892667853165929526039970455193763802300117005349714657280000000000*ep^6+
      1923474483980293171641315067797474441319718349931332808388371635316794294\
      15644994101053/1224079615659753802949873044847875738097319867900096257672\
      345015691489225285898541214772088531735069043657277440000000000*ep^7+
      1984937152176832287668156700906331318376106097912139015598827155906218692\
      47838145269901769519297723/1914379330783119437488427597334484761353663348\
      6537633840791766298135535971434272819990027020844532262891682033505616789\
      504000000000000*ep^8;
Fill mncpoch(43,13) = 1/989508915255698255196979200000+7993649934713/2166536838\
      8298883473771181927047364608000000*ep+983831298819039265768007/
      13553279674216876153344267416917189604693835251712000000*ep^2+21206954955\
      600003108551939096174215837/207725018682597260043138399584586154213515839\
      9216944305835868160000000*ep^3+261422172036843521193855071749728879930586\
      114977661/227407706178260283025570078151792829303545734862065784260778601\
      496751112192000000000*ep^4+7832532487128931456113820383321919428991449500\
      2365663557205119/71130113891132867269796258710498340344767199007685548557\
      3162755642240884387001862717440000000000*ep^5+203083903626337261128039854\
      124118272797239922479431650159078592125118855617/
      2180358495079102115338166189242738834327488962809254694250303111769550511\
      3576579409126417277743267840000000000*ep^6+340565334326539374749131973900\
      727379686856120905935802414380944694150110751813363854189/
      4773910501073039831504504874906715378579547484810375404922145561196807978\
      61500431073761114527376676927026338201600000000000*ep^7+
      3760342467526277266165887021617323978410020242671156906342195788097598493\
      03389609941592016611649803/7466079390054165806204867629604490569279287059\
      7496771979087888562728590288593663997961105381293675825277559930671905479\
      06560000000000000*ep^8;
Fill mncpoch(43,14) = 1/401740619593813491609973555200000+253710919544917/
      255088047403831054020181896009055670894592000000*ep+
      39444677701526788083831671/1851085252657062198021914692974682688705716508\
      54242222080000*ep^2+668354130735452718962019142345698637380593/
      2056879425143845017527993585552199516336055754859183419806258135302144000\
      0000*ep^3+258067242452868391275117283916887227684336421001385431341/
      6530150683238724116287494156078294274567229914498456048284558651836079109\
      3201600512000000000*ep^4+241374251024772894066702063085764467986586685940\
      9680085880557311068851/59233790794964638386341379039375320516407794399867\
      19152319747622984808950262748961006832435855360000000000*ep^5+
      1947877325702089513400983812910748366177236921378333267896080474222714655\
      68551411193/5265528008914865532450906585985238377595603892983128249081347\
      902929556780682621879694458052995486164564406435840000000000*ep^6+
      1013960121218354942643609449554243337578704373579817493425148225154049066\
      8581167109920871905728721/33433842455420936440441661650181913426749912705\
      4494390142336970864485610205136554456405906809055965252451937258409741139\
      3126400000000000*ep^7+346686420871367665048902262203231314217359076364079\
      019600831898089996099345093962515913328895662537172727790283/
      1516361050105198772963945037613432486438404783141891403337599278217409570\
      2970495284550364530142190261651641055375281770743451923271752089600000000\
      00000*ep^8;
Fill mncpoch(43,15) = 1/168731060229401666476188893184000000+276387957820237/
      107136979909609042688476396323803381775728640000000*ep+
      8156350657432596747685272593/13605476607029407155461072993363917761987016\
      337786803322880000000*ep^2+853316006780983160852297017550227421685353/
      8638893585604149073617573059319237968611434170408570363186284168269004800\
      000000*ep^3+50688663026635181469979566059646453256426194259358910163/
      3918090409943234469772496493646976564740337948699073628970735191101647465\
      592096030720000000000*ep^4+5090301802610760953559773245615045277812755601\
      97686250110312807306573/3554027447697878303180482742362519230984467663992\
      03149139184857379088537015764937660409946151321600000000000*ep^5+
      3079120420047288766347325818094218720347500800648203840162772992370531912\
      17064259121/2211521763744243523629380766113800118590153635052913864614166\
      119230413847886701189471672382258104189117050703052800000000000*ep^6+
      1712213437415672574632119168814737634972023843053854128920954331223798291\
      9777284168331767324922441/14042213831276793304985497893076403639234963336\
      2887643859781527763083956286157352871690480859803505406029813648532091278\
      5113088000000000000*ep^7+436820142888919527333098461839538269283972749886\
      5347667085048243627163037618167148087092109567271367746116812581/
      4458101487309284392513998410583491510128910062437160725812541877959184136\
      6733256136578071718618039369255824702803328405985748654418951143424000000\
      00000000*ep^8;
Fill mncpoch(43,16) = 1/72891818019101519917713601855488000000+899714659206151/
      138849525962853319324265409635649182781344317440000000*ep+
      688818169181042526532808749/423184744385042680163461214385591298068844156\
      170520730554859520000*ep^2+29114115067018792017960685283285505242324531/
      1007640547824867947946753721638995916658837681636455647162048185386896719\
      87200000000*ep^3+55729414867726849291950225420759005791562059597546670008\
      03/1371018196247336605662791973056950039533939055008779844249439658070288\
      48115998624306954240000000000*ep^4+17986224820418056834467513444777244585\
      1776289100690949485344047808866999/37308758534953247275467435636224781879\
      1825477495227497840350695882271982617669400958391945071811362816000000000\
      00*ep^5+34882422340156102912863602502589863854714377655390437321075936467\
      6821821036362946097897/69647012601244712440955362591068684374735990397994\
      4057555210107596995772287263032197934839999780236070254543811012198400000\
      000000*ep^6+6205593092430378913009723732048554485207629550991319493879579\
      0814143980229487898141607289877966718147/
      1326685895236901388585741864141229693589096560071224397164198309261175125\
      558608884755272192686485950515304714581147433264770283732992000000000000*
      ep^7+50550243009313915437403809023448287640968632533296070592243811685485\
      722753364494579398882597335089122662801259842341/
      1263582886675804483649083642303414032871689649328889137752822969687736947\
      6148313799722233073180847712232898525804001947416251867014966301126610124\
      800000000000000*ep^8;
Fill mncpoch(43,17) = 1/32218183564442871803629412020125696000000+
      972978936711031/61371490475581167141325311058956938789354188308480000000*
      ep+100359190912750325757851559881/233809571272736080790312320948039192183\
      03639628421270363155988480000000*ep^2+28051429754012125403195031815317901\
      40926447/3425977862604551023018962653572586116640048117563949200350963830\
      315448847564800000000*ep^3+1068758789342890672786562116251484022050087374\
      638618377429/865700061059032542432791502987388453534287231876972415940360\
      4698100964409610198849096253440000000000*ep^4+258164088732377696139864826\
      087006854157377251443065574894138498038220519/
      1649047127244933529575660655121135359059868610528905540454350075799642163\
      1700987522360923972174062236467200000000000*ep^5+534183436700658187603230\
      263189183085202332325441864693835236253958871958926601024698553/
      3078397956975016289890227026525235849363330775591352734394028675578721313\
      50970260231487199279902864343052508364467391692800000000000*ep^6+
      7784038036096254630031274705744588699154563700314897056426875285243323225\
      736484069728326439919473599/451073204380546472119152233808018095820292830\
      4242162950358274251487995426899270208167925455134052231752036029575901273\
      1002189646921728000000000000*ep^7+876192179903452283375961653339203633652\
      1537414020223279417316073992162930295961590593135010806799471112414024794\
      5141/55850363591070558177289496989810900252928682500336899888674775260197\
      9730845755469947722701834593468880694114840536886075798332522061510509796\
      1675161600000000000000*ep^8;
Fill mncpoch(43,18) = 1/14498182603999292311633235409056563200000000+
      5245868926580531/13808585357005762606798194988265311227604692369408000000\
      0000*ep+14543439807408150265875385539781/13151788384091404544455068053327\
      20456029579729098696457927524352000000000000*ep^2+21794202035959455429400\
      67408418758579943681887/9635562738575299752240832463172898453050135330648\
      60712598708577276219988377600000000000000*ep^3+62178109190736167757704191\
      96036874290490251820378917738871683/1704346995209970317914558271506421017\
      8956279877577894438825846749386273681420078984158248960000000000000000*
      ep^4+11451664641699643836233130521368631250167064119229671771041608808840\
      92954419/2318972522688187775965772796264096598677940233556273416263929794\
      0932467919579513703320049335869775020032000000000000000000*ep^5+
      6311074840667364978705124917770055005091729011365078349536086244326692964\
      8812316913362943781/10822492817490291644145329390127782282917959757938349\
      4568540070625814421178075482112632218496840850745604397471883067392000000\
      00000000000000*ep^6+48901452117729800977203290969064839633353403081087042\
      29007209763154252074687996389115535626763662131869887/
      7929021170751793455219472859906568090591084909800677061176653957693741961\
      3463734127951814641028261886266258332388889566214786488729600000000000000\
      00000000*ep^7+58445508841890520190574756186302083671060715082591570548425\
      220088509323053826735383559427513072223618634331123878896985781/
      9817446724992871554601669392740197310085119970762345683556112838706674956\
      2730453701748131181862133201684512374313124505511425638643624894300107571\
      2000000000000000000000000*ep^8;
Fill mncpoch(43,19) = 1/6611171267423677294104755346529792819200000000+
      5642717096398631/62967149227946277486999769146489819197877397204500480000\
      000000*ep+16782741759915250328895744560881/599721550314568047227151103231\
      720527949488356469005584814951104512000000000000*ep^2+2691743307592265983\
      092805124953138772416431587/439381660879033668702181960320684169459086171\
      077576484945011111237956314700185600000000000000*ep^3+1673803227452208286\
      61797963568787555985768720348467007779367/1586086183297441765242935860830\
      4652737967476784031673192050175750449266936178685748522778624000000000000\
      0000*ep^4+161013848738499085337404986626579585298664325588100412588278074\
      3837354953319/10574514703458136258403923950964280489971407465016606778163\
      519861065205371328258248713942497156617409134592000000000000000000*ep^5+
      9442079348842210801092335793339227126261920721281722652220041203131267805\
      3304536714205364881/49350567247755729897302702018982687210105896496198873\
      5232542722053713760572024198433602916345594279399956052471786787307520000\
      0000000000000000*ep^6+777250821859244836049981318605531057369149166553846\
      4467299459331114572385053941905256621536678520739419587/
      3615633653862817815580079624117395049309534718869108739896554204708346334\
      3739462762346027476308887420137413799569333642193942638860697600000000000\
      00000000000*ep^7+98544082440669720405959258475191129189360264125492792156\
      878011770735439020975604617658618373486855509544862651748669606881/
      4476755706596749428898361243089529973398814706667629631701587454450243780\
      0605086887997147818929132739968137642686784774513210091221492951800849052\
      4672000000000000000000000000*ep^8;
Fill mncpoch(43,20) = 1/3041138783014891555288187459403704696832000000000+
      139306849292802913/666192438831671615812457557569862287113542862423615078\
      400000000000*ep+10204878427434560567386449515713249/145936242053546988612\
      254949460406873271228496663167819008870201771950080000000000000*ep^2+
      40226971273586390868544549381582859031983504670229/
      2459140067240993217665746039162011573312002664010401622469937087598818661\
      240292769792000000000000000*ep^3+3006692250441548789944825442488039581796\
      435920663946466132675850103/100044228091979420991564332567590365647098847\
      3580334760973810082533704083778090281513702596063893913600000000000000000
      *ep^4+1445437609703323592897809447700743701586214701134627195377600332213\
      9333690171550017/31308153697399931505919172063387793391565457773299395683\
      3772490000388832822430764133990316852291966078823209474457600000000000000\
      00000*ep^5+20723428719308852135009465712355245913313568243577783681230103\
      127759426758055861891212161714411669409/
      3360601343780869255887898729921810609308199839100121266894213845126265425\
      6993865342530174989337832976771965162752138059660414209228800000000000000\
      0000000*ep^6+416469040951206435316234751695830280692933576339101822704192\
      32512622369914221104153464960405817747731748725269989589/
      5662876676982787494981523758421306726450824851646344949912550275750679413\
      7801682237618547174520937179357341501109607419856559250783567767259840512\
      00000000000000000000000*ep^7+12873663462187368205964997310942759137941052\
      5074206554791983715076308301860491098617145064495335830262858813679070424\
      24868189460719361/1612664091131281675992961727421983205675397340168797352\
      5777753441970215735930293672026485396723446609036004125788963462942546937\
      211052208552879049918883801302302720000000000000000000000000*ep^8;
Fill mncpoch(43,21) = 1/1405006117752879898543142606244511569936384000000000+
      149264130644602513/307780906740232286505355391597276376646456802439710166\
      220800000000000*ep+11691143371994640377752508748108049/
      6742254382873870873886178665070797545130756545838353238209803321864093696\
      0000000000000*ep^2+49181740802753908295128669773663746634728227361029/
      1136122711065338866561574670092849346870145230772805549581110934470654221\
      493015259643904000000000000000*ep^3+3916165621452397182219011460462584709\
      739760056069243473859068885703/462204333784944924981027216462267489289596\
      6747941146595699002581305712867054777100593305993815189880832000000000000\
      00000*ep^4+20024999370325613932930615676981964176910053240406401174885764\
      707786839962423138417/144643670081987683557346574932851605469032414912643\
      2080572028903801796407639630130299035263857588883284163227771994112000000\
      0000000000000*ep^5+304937618065060085625263648251037174490267227516354634\
      57116533297882694409624648785269687553828096209/
      1552597820826761596220209213223876501500388325664256025305126796448334626\
      6731165788248940845074078835268647905191487783563111364663705600000000000\
      0000000000*ep^6+650034399245161174908213439669233129700718200975831801584\
      18937268090697672342217438805462909973974901729528661352389/
      2616249024766047822681463976390643707620281081460611366859598227396813889\
      1664377193779768794628672976863091773512638627973730373862008308474046316\
      54400000000000000000000000*ep^7+21288011484309097360366001114446173090300\
      8501811297540342638045749039424421855585583932293855217567305388142562296\
      94315974183280896561/7450508101026521343087483180689562410220335711579843\
      7689093220901902396699997956764762362532862323333746339061145011198794566\
      84991506120351430121062524316201663856640000000000000000000000000*ep^8;
Fill mncpoch(43,22) = 1/649112826401830513126931884084964345310609408000000000+
      159695568251249713/142194778913987316365474190917941686010663042727146096\
      794009600000000000*ep+13356997728265621262209624640361649/
      3114921524887728343735414543262708465850409524177319196052929134701211287\
      5520000000000000*ep^2+8557091415937714588549152552386192375137157240947/
      7498409893031236519306392822612805689342958523100516627235332167506317861\
      8539007136497664000000000000000*ep^3+507658156904889515482106882581190061\
      7957547143101644065108966564903/21353840220864455534123457400556758005179\
      3663754880972721293919256323934457930702047410736914261772494438400000000\
      000000000*ep^4+1931310394848679916927544442337624685709328309428552861164\
      20123306372196839985190519/4677776290451481686244588233328420920868508298\
      2748813485699414748950095823065638413870800433154424485409838786146289582\
      080000000000000000000*ep^5+4459620252455922927923507092579446986983891291\
      7630605034695046864577260091098028551874355263553373809/
      7173001932219638574537366565094309436931794064568862836909685799591305975\
      2297985941710106704242244218941153321984673560061574504746319872000000000\
      000000000000*ep^6+1007882479343885748101816306560718211493214925799593969\
      44245196820670563405994322331070271783974573937571821336981989/
      1208707049441914094078836357092477392920569859634802451489134381057328016\
      7948942263526253183118446915310748399362839046123863432724247838515009398\
      24332800000000000000000000000*ep^7+34955773641850315761778521485779067873\
      8499747236259847423192017652342330224124084678944594149943595925832472459\
      77441133765633285546961/3442134742674252860506417229478577833521795098749\
      8878212361068056678907275399056025320211490182393380190808646248995173843\
      08988466075827602360715930886234085168701767680000000000000000000000000*
      ep^8;
Fill mncpoch(43,23) = 1/2985919001448420360383886666790835988428803276800000000\
      00+170648577738229273/654095983004341655281181278222531755649049996544872\
      04525244416000000000000*ep+15226113219172015435030768185021529/
      1432863901448355038118290689900845894291188381121566830184347401962557192\
      2739200000000000000*ep^2+103897481471400879247096202454845061062859900205\
      87/3449268550794368798880940698401890617097760920626237648528252797052906\
      2164527943282788925440000000000000000*ep^3+655596869934729310538907272114\
      5014613483495427537879323855993187263/98227665015976495456967904042561086\
      8238250853272452474517952028579090098506481229418089389805604153474416640\
      00000000000000000*ep^4+26493862684515993978363598990352256648875099037989\
      9196755937087854891586903318534799/21517770936076815756725105873310736235\
      9951381720644542034217307845170440786101936703805681992510352632885258416\
      27293207756800000000000000000000*ep^5+64909329577675849763883661514985659\
      430692662043699165996191700715453880827527480707674934914385332889/
      3299580888821033744287188619943382340988625269701676904978455467812000748\
      6057073533186649083951432340712930528112949837628324272183307141120000000\
      000000000000000*ep^6+1554769019849860009007998429767457394856262186928177\
      36614868450117137400779244478455705531331951897648127212239962669/
      5560052427432804832762647242625396007434621354320091276850018152863708877\
      2565134412220764642344855810429442637069059612169771790531540057169043231\
      9193088000000000000000000000000*ep^7+570939934136709728319555369437809906\
      0422182200094866644624692442833082893407590026558962589362329297397639545\
      2547638014006160844140281/
      1583381981630156315832951925560145803420025745424948397768609130607229734\
      6683565771647297285483900954887771977274537779967821346943948806970859293\
      28207667679177602813132800000000000000000000000000*ep^8;
Fill mncpoch(43,24) = 1/1361579064660479684335052320056621210723534294220800000\
      00000+182178061408734073/298267768249979794808218662869474480575966798424\
      46165263511453696000000000000*ep+17326532203308235610455985055071929/
      6533859390604498973819405545947857277967819017914344745640624152949260796\
      769075200000000000000*ep^2+1258497858784907535222055165518092409899697617\
      1787/15728664591622321722897089584712621213965789798055643677288832754561\
      252347024742136951750000640000000000000000*ep^3+8442246665936653239948316\
      024344825920499091025821102386123498196063/
      4479181524728528192837736424340785559166423890922383283801861250320650849\
      1895544061464876175135549398433398784000000000000000000*ep^4+
      3622733719224501746850375137057314693172272467366150862079804873941895455\
      83901137199/9812103546851027985066648278229695723613783006461391116760309\
      2377397720998462483136935390988584720800595677837820457027371008000000000\
      00000000000*ep^5+94147104058546059518847343305506133115409777900180571187\
      834076555708045208643750319562308255101719289/
      1504608885302391387394958010694182347490813122983964668670175693322272341\
      3642025531133111982281853147365096320819505125958515868115588056350720000\
      000000000000000000*ep^6+2389744018979339220772731162620404257732864306662\
      88324418362037859766969576629192561726629773183937643406047511277069/
      2535383906909359003739767142637180579390187337569961622243608277705851248\
      0289701291972668676909254249555825842503491183149415936482382266069083713\
      7552048128000000000000000000000000*ep^7+929122624502324185442471858509725\
      7259020822541083754124546255065597125330593556518745356169155314797775726\
      5728425396262646687471745881/
      7220221836233512800198260780554264863595317399137764693824857635568967590\
      0877059918711675621806588354288240216371892276653265342064406559787118377\
      3662696461704986882788556800000000000000000000000000*ep^8;
Fill mncpoch(43,25) = 1/6127105790972158579507735440254795448255904323993600000\
      0000000+194348071949822473/1342204957124909076636983982912635162591850592\
      9100774368580154163200000000000000*ep+19691750287577781899505037254685129/
      2940236725772024538218732495676535775085518558061455135538280868827167358\
      546083840000000000000000*ep^2+1521848197875349444892161958915929736118663\
      5011387/70778990662300447753036903131206795462846054091250396547799747395\
      52563556161133961628287500288000000000000000000*ep^3+10849964785246973670\
      729793794442716242510285710988270852473355136463/
      2015631686127837686776981390953353501624890750915072477710837562644292882\
      1352994827659194278810997229295029452800000000000000000000*ep^4+
      4943175577293437824331843998193482269806780722561019312667956384699393936\
      34447466399/4415446596082962593279991725203363075626202352907626002542139\
      1569828974449308117411620925944863124360268055027019205662316953600000000\
      00000000000000*ep^5+13625805327602437222414291465606337254874957978182645\
      5864557675255079851074865566583849317530322420489/
      6770739983860761243277311048123820563708659053427841009015790619950225536\
      1389114890099003920268339163142933443687773066813321406520146253578240000\
      00000000000000000000*ep^6+36653301302696479934268291938199187709158554023\
      9169702184289086694782627258965591355449835218237185654901807243602269/
      1140922758109211551682895214186731260725584301906482730009623724967633061\
      6130365581387700904609164412300121629126571032417237171417072019731087671\
      1898421657600000000000000000000000000*ep^7+
      1509015006687681133108909867996706103483146522884715655250235803033894148\
      29153916768877163590373405531548340674349676410570763076280681/
      3249099826305080760089217351249419188617892829611994112221185936006035415\
      5394676963420254029812964759429708097367351524493969403928982951904203269\
      8148213407767244097254850560000000000000000000000000000*ep^8;
Fill mncpoch(43,26) = 1/2708180759609694092142419064592619588129109711205171200\
      0000000000+207233965463916073/5932545910492098118735469204473847418655979\
      620662542270912428140134400000000000000*ep+
      22362145099049155124783510321117929/1299584632791234845892679763089028812\
      587799202663163169907920144021607972477369057280000000000000000*ep^2+
      18385033852303576782667759119057377746859922309787/
      3128431387273679790684231118399340359457795590833267527412748834882233091\
      823221211039703075127296000000000000000000*ep^3+1392976343540624280221740\
      9829711152001933787416087616632219637958063/
      8909092052685042575554257748013822477182017119044620351481902026887774539\
      038023713825363871234460775348403018137600000000000000000000*ep^4+
      6738150060345032703709409302881905546159257428059011721857789955739473674\
      50704163199/1951627395468669466229756342539886479426781439985170693123625\
      5073864406706594187895936449267629500967238480321942488902744093491200000\
      00000000000000000*ep^5+19703701218773699167928959395255445877592434426550\
      8168940400189037822315100038441338094560037052405289/
      2992667072866456469528571483270728689159227301615105725984979454017999686\
      9733988781423759732758605910109176582109995695531488061681904644081582080\
      00000000000000000000000*ep^6+33049444012384090982867329779312176616547669\
      717539581244715514661230063723495667279201057141386725128166588211981357/
      2966399171083950034375527556885501277886519184956855098025021684915845960\
      1938950511608022351983827471980316235729084684284816645684387251300827945\
      09358963097600000000000000000000000000*ep^7+
      2450191278585992317916679973456938707830086844340885319436345261349630232\
      51834548731471028945194673606290337278914632169091812692639881/
      1436102123226845695959434069252243281369108630688501397601764183714667653\
      6684447217831752281177330423667930979036369373826334476536610464741657845\
      2581510326233121890986643947520000000000000000000000000000*ep^8;
Fill mncpoch(43,27) = 1/1169934088151387847805525035904011662071775395240633958\
      4000000000000+220925227322640523/2562859833332586387293722696332702084859\
      383196126218261034168956538060800000000000000*ep+
      25386890237521652058112468982005279/5614205613658134534256376576544604470\
      37929255550486489400221502217334644110223432744960000000000000000*ep^2+
      22204578489892634891513418535332504591710055346837/
      1351482359302229669575587843148515035285767695239971571842307496669124695\
      667631563169151728454991872000000000000000000*ep^3+1788187651678660770961\
      7314437368037541719935313404492104528744798513/
      3848727766759938392639439347141971310142631395427275991840181675615518600\
      864426244372557192373287054950510103835443200000000000000000000*ep^4+
      9186404599512041746734192651761525603633392516776423782001714326035701486\
      37140906049/8431030348424652094112547399772309591123695820735937394294062\
      1919094236972486891710445460836159444178470234990791552059854483881984000\
      0000000000000000000*ep^5+285078441826214043052907026545190085288763795548\
      053290014660189953897457735127581881477443396056791639/
      1292832175478309194836342880772954793716786194297725673625511124135775864\
      7725083153575064204551717753167164283471518140469602842646582806243243458\
      56000000000000000000000000*ep^6+50710455764962558265108219426588344143491\
      0254969324190158192093467411570092161213146483746714764204803709653520939\
      07/1281484441908266414850227904574536552046976287901361402346809367883645\
      4548037626621014665656057013467895496613834964583611040790935655292561957\
      67228043072058163200000000000000000000000000*ep^7+
      3984572463351929578875834105747008529564160548149205878786974069773999834\
      47074532233340301812790939503595669662556270706661636453319031/
      6203961172339973406544755179169690975514549284574326037639621273647364263\
      8476811981033169854686067430245461829437115694929764938638157207683961891\
      515212460932708656906230185328640000000000000000000000000000*ep^8;
Fill mncpoch(43,28) = 1/4913723170235828960783205150796848980701456660010662625\
      280000000000000+235529239971946603/10764011299996862826633635324597348756\
      40940942373011669634350961745985536000000000000000*ep+
      28826562237353407443247663745251519/2357966357736416504387678162148733877\
      55930287331204325548093030931280550526293841752883200000000000000000*ep^2
      +26830770572863163866832635699349879779420059917557/
      5676225909069364612217468941223763148200224320007880601737691486010323721\
      80405256531043725951096586240000000000000000000*ep^3+22975756383664006495\
      303546204071809142351714963006419927063509803793/
      1616465662039174124908564525799627950259905186079455916572876303758517812\
      363059022636474020796780563079214243610886144000000000000000000000*ep^4+
      1254178696805608242010762292143055705804699837946521714799089592215774227\
      895542867489/354103274633835387952726990790437002827195224470909370560350\
      6120601957952844449451838709355118696655495749869613245186513888323043328\
      00000000000000000000000*ep^5+41329073269468926678478163050031859606100203\
      5080216980858804413807981326462428427923914925800751023479/
      5429895137008898618312640099246410133610502016050447829227146721370258632\
      0445349245015269659117214563302089990580376189972331939115647786221622525\
      9520000000000000000000000000*ep^6+458948996863746215366025911008331301372\
      8999054200331813553358696140497232586694947990138217090578974511069790244\
      931/316602038589101114257115129365473736388076494657983405285682314418312\
      4064809295988721270338555262150891828575182755955950963018937044248750601\
      3072692828839084032000000000000000000000000000*ep^7+
      6502700569565021032077484073014581641058201520563190419182568779469334492\
      23094471892542236538953542222317266860258825539015302217482391/
      2605663692382788830748797175251270209716110699521216935808640934931892990\
      8160261032033931338968148320703093968363588591870501274228026027227263994\
      436389233591737635900616677838028800000000000000000000000000000*ep^8;
Fill mncpoch(43,29) = 1/1994971607115746558077981291223520686164791403964329025\
      863680000000000000+251176396381917403/43701885877987263076132559417865235\
      9510222022603442737871546490468870127616000000000000000*ep+
      4679536942576298970416473569583417/13676204874871215725448533340462656489\
      843956665209850881789395794014271930525042821667225600000000000000000*
      ep^2+32463189531842232779933043149655001572729377934757/
      2304547719082162032560292390136847838169291073923199524305502743320191431\
      05244534151603752736145214013440000000000000000000*ep^3+29579192237890414\
      661323397553877647572086909297322304061650286046593/
      6562850587879046947128771974746489478055215055482591021285877793259582318\
      19401963190408452443492908610160982906019774464000000000000000000000*ep^4
      +245286992033210539463271467307582859451346747218014580411689727061350751\
      164873193127/205379899287624525012581654658453461639773230193127434925003\
      3549949135612649780682066451425968844060187534924375682208178055227365130\
      2400000000000000000000000*ep^5+601354885248759702203252531723800125708221\
      543129299312891634214780567359398989314252189218945454911879/
      2204537425625612839034931880294042514245863818516481818666221568876325004\
      6100811793476199481601589112700648536175632733128766767280953001205978745\
      5365120000000000000000000000000*ep^6+120598225156372536504668070895427418\
      5755100406843243156424503304101469849991551572340594827483638441032505063\
      93273027/2185187270341975890602608622880499728550503966129401463281779334\
      1151922295313760914154207876708419365455400825911381607973546756703479404\
      8766502227725904647357988864000000000000000000000000000*ep^7+
      1524716172059069613785458571635341010826787464722513667101335737796054556\
      65434056816275562208816302595492807430404791851879294455663713/
      1511284941582017521834302361645736721635344205722305822769011742260497934\
      6732951398579680176601526026007794501650881383284890739052255095791813116\
      77310575548320782882235767314605670400000000000000000000000000000*ep^8;
Fill mncpoch(43,30) = 1/7780389267751411576504127035771730676042686475460883200\
      86835200000000000000+268027180208039803/170437354924150325996916981729674\
      420208986588815342667769903131282859349770240000000000000000*ep+
      5324746667320703392475629333853017/53337199011997741329249280027804360310\
      39143099431841843897864359665566052904766700450217984000000000000000000*
      ep^2+511747618933835886612081279918815610600848564432641/
      1168405693574656150508068241799381853951830574479062158822889890863337055\
      543589788148631026372256235048140800000000000000000000*ep^3+
      38202540738077345692142128234252323004938065459476713755201307304993/
      2559511729272828309380221070151130896441533871638210498301492339371237104\
      09566765644259296452962234357962783333347712040960000000000000000000000*
      ep^4+33725024283120708662220004114410788519283396949116942123769227881458\
      9084515923070727/80098160722173564754906845316796850039511559775319699620\
      7513084480162888933414466005916056127849183473138620506516061189441538672\
      4007936000000000000000000000000*ep^5+879818501174301558601844501213061149\
      338304550247585435434730864218666592322063806209154416568045167079/
      8597695959939890072236234333146765805558868892214279092798264118617667517\
      9793165994557177978246197539532529291084967659202190392395716704703317107\
      592396800000000000000000000000000*ep^6+2439872889945264886035878274910024\
      3216091217996169940697005033884340355225753425357786225831240995280740336\
      17977518151/1107889946063381776535522571800413362375105510827606541883862\
      1223964024603724076783476183393491168618285888218737070475242588205648664\
      05827246166294570336562105003540480000000000000000000000000000*ep^7+
      2523193458828542751137862846370140990912033437814306844153113947813532140\
      55423802370077683399240408996234996408225575550544359757178113/
      5894011272169868335153779210418373214377842402316992708799145794815941945\
      2258510454460752688745951501430398556438437394811073882303794873588071155\
      4151124463845105324071949252696211456000000000000000000000000000000*ep^8;
Fill mncpoch(43,31) = 1/2894304807603525106459535257307083811487879368871448550\
      72302694400000000000000+286282196019672403/634026960317839212708531172034\
      38884317743011039307472410403964837223678114529280000000000000000*ep+
      6071330383738992406905259133158417/19841438032463159774480732170343222035\
      46561232988645165930005541795590571680573212567481090048000000000000000000
      *ep^2+622579851086636613898099017570282934231215766026841/
      4346469180097720879890013859493700496700809737062111230821150394011613846\
      62215401191290741810479319437908377600000000000000000000*ep^3+
      49567745763667766623460834464793342211587343382243839954172937921593/
      9521383632894921310894422380962206934762506002494143053681551502461002027\
      2358836819664458280501951181162155400005348879237120000000000000000000000
      *ep^4+4665159546401699301982617334098303864503323879387976595868905574348\
      76440778226318127/2979651578864856608882534645784842821469830023641892825\
      8919486742662059468323018135420077287955989625200756682842397476247225238\
      61330952192000000000000000000000000*ep^5+12971150514627253239375133857049\
      12059319976264161919680424960610652658652119754047709823753435408036879/
      3198342897097639106871879171930596879667899227903711822520954252125772316\
      6883057749975270207907585484706100896283607969223214825971206614149633964\
      024371609600000000000000000000000000*ep^6+3832746759001658088811450255615\
      3291446119255630961925058757124199842313346889266928200953695692744567143\
      78042565674351/4121350599355780208712143967097537708035392500278696335807\
      9670953146171525853565634531402223787147260023504173701902167902428125013\
      0302967735573861580165201103061317058560000000000000000000000000000*ep^7+
      6031983503813225970943130114933587383975466309359374673561353321606289278\
      4637486927733035077242114725267281080553597347278919911076959/
      3132245990353130029538865523250906908212224819517030410961831765245043433\
      7485951270084857143162134226474440375707283872671027834595730989963946385\
      449174042935768454364966446000427237376000000000000000000000000000000*
      ep^8;
Fill mncpoch(43,32) = 1/1018795292276440837473756410572093501643733537842749889\
      85450548428800000000000000+27836068974842873/2028886273017085480667299750\
      510044298167776353257839117132926874791157699664936960000000000000000*ep+
      6942441033915196358486660169375217/69841861874270322406172177239608141564\
      8389554012003098407361950712047881231561770823753343696896000000000000000\
      000*ep^2+760835528372580852031260863360363500285436947053241/
      1529957151394397749721284878541782574838685027445863153249044938692088074\
      01099821219334341117288720442143748915200000000000000000000*ep^3+
      64719452600569556195775394290870347932219765671459532746717662928793/
      3351527038779012301434836678098696841036402112877938354895906128866272713\
      5870310560521889314736686815769078700801882805491466240000000000000000000\
      000*ep^4+6506387542054068925371063778930581551072904493561167804443090242\
      71290733097427998927/1048837355760429526326652195316264673157380168321946\
      2747139659333417044932849702383667867205360508348070666352360523911639023\
      28399188495171584000000000000000000000000*ep^5+19320171785954722429218582\
      9451520899551719089800303006028710082112453696168314535800646907019067289\
      8479/11258166997783689656189014685195701016431005282221065615273758967482\
      7185547428363279912951131834700906165475154918300051665716187418647281806\
      71155336578806579200000000000000000000000000*ep^6+
      6095998361799913744516026838166067263344293638555964294444227425660196576\
      294687233862669021125729743148557456066004751/
      1450715410973234633466674676418333273228458160098101110204404417550745237\
      7100455103355053582773075835528273469143069563101654700004586664464292199\
      9276218150788277583604613120000000000000000000000000000*ep^7+
      5926159769019151429707701721670730265241591091589089706189619680703597136\
      747027054758827180319161647858890734534537501930802431687553/
      6378391834900919332879144338256392249450348723380134655049548321953542992\
      3607755313627345455166527879366133128713014431621002135904034015926581730\
      3692271419782921252522953082190518288384000000000000000000000000000000*
      ep^8;
Fill mncpoch(43,33) = 1/3362024464512254763663396154887908555424320674881074636\
      5198680981504000000000000000+29827525245202793/66953247009563820862020891\
      7668314618395366196575086908653865868681082040889429196800000000000000000
      *ep+7969216130150085987592585227952897/2304781441850920639403681848907068\
      6716396855282396102247442944373497580080641538437183860341997568000000000\
      0000000000*ep^2+935409328127229707587795028430438992261585910623881/
      5048858599601512574080240099187882496967660590571348405721848297683890644\
      2362941002380332568705277745907437142016000000000000000000000*ep^3+
      85210547090943002522916262804044224875089269454913684478209452673513/
      1106003922797074059473496103772569957542012697249719657115649022525869995\
      4837202484972223473863106649203795971264621325812183859200000000000000000\
      000000*ep^4+9172993058276403939163143454438333575680617334575802319266788\
      36898528104927480683007/3461163274009417436877952244543673421419354555462\
      4227065560875800276248278404017866103961777689677548633198962789728908408\
      7768371732203406622720000000000000000000000000*ep^5+
      2916641602510203425232570026241956543052369701174547400518521484727626983\
      752846260451447982451009916639/
      3715195109268617586542374846114581335422231743132951653040340459269297123\
      0651359882371273873505451299034606801123039017049686341848153602996214812\
      61071006171136000000000000000000000000000*ep^6+
      5796677454512995972657657733233204635334563294863797839923493419424228116\
      49820960181743675824761220413006822754726223/
      2816094621300984876729427313047352824502301134308078625690902692892623108\
      4959706965336280484206558974849001440101252681314976770597138819254214270\
      44773646456478329564089548800000000000000000000000000000*ep^7+
      2303005771152603379020785466910577029897466008641165232102355553157903607\
      475168593100970743257173042003995115964465513557339437027947/
      4725216808304150444561488560789939564388727727728548734250991920141094094\
      3407377916013727347398876775938584338209845385058007704761559893431324832\
      906182556200244982584863667109215946670080000000000000000000000000000000*
      ep^8;
Fill mncpoch(43,34) = 1/1028779486140749957680999223395700017959842126513608838\
      7750796380340224000000000000000+32040254434491593/
      2048769358492652918377839288065042732289820561519765940480829558164111045\
      12165334220800000000000000000*ep+9194711151943253825323099390248097/
      7052631212063817156575266457655630135217437716413207287717540978290259504\
      6763107617782612646512558080000000000000000000*ep^2+115920879141005463589\
      5499980326976142424162728173481/15449507314780628476685534703514920440721\
      0414071483261215088557909127053713630599467283817660238149902476757654568\
      96000000000000000000000*ep^3+11342571351250842098170586393375973383152623\
      4226835439341876966114313/33843720037590466219888980775440640700785588535\
      8414215077388600892916218618018396040150038300211063465636156720697412569\
      8528260915200000000000000000000000*ep^4+131169705699269766585149482448673\
      3496100282576065960003632010560662559803435434474207/
      1059115961846881735684653386830364066954322493971501348206162799488453197\
      3191629467027812303973041329881758882613657045973085712175005424242655232\
      0000000000000000000000000*ep^5+448105156952114813781371036461258938611128\
      8862490497388969120856643185747323486453813940134754685999039/
      1136849703436196981481966702911061888639202913398683205830344180536404919\
      6579316124005609805292668097504589681143649939217204020605535002516841732\
      65887727888367616000000000000000000000000000*ep^6+
      1627016871222892752038402347908925943377591729036698464216774327396652788\
      0926374005424908053165016201769593647114351391/
      1464932422000772332874648088247232939306097050067062501084407580842742541\
      0396039563367933107884251978716450549140671644820050916064631613776042263\
      486912508866600270392393832857600000000000000000000000000000*ep^7+
      2002794417595403278972162312584173751687757726474211115162516515334197729\
      44383808969616606214456314300216953526554402023200532681834203/
      7084990082371243176575495948048435382844458354956185972135937285059556485\
      0545022447270982784689875837842313356711842170355976752519482904210928454\
      4595301247666473268877445824635583904371179520000000000000000000000000000\
      000*ep^8;
Fill mncpoch(43,35) = 1/2880582561194099881506797825507960050287557954238104748\
      570222986495262720000000000000000+34529574772441493/
      5736554203779428171457950006582119650411497572255344633346322762859510926\
      3406293581824000000000000000000*ep+10680507709337232146467402695860197/
      1974736739377868803841074608143576437860882560595698040560911473921272661\
      3093670132979131541023516262400000000000000000000*ep^2+145166804707537721\
      7407999935924306941563126619606781/43258620481385759734719497169841777234\
      0189159400153131402247962145555750398165678508394689448666819726934921432\
      7930880000000000000000000000*ep^3+153176048241412663910434024277636000146\
      902703326959844827943427105213/947624161052533054156891461712337939621996\
      4790035598022166880825001654121304515089124201072405909777037812388179527\
      55195587913056256000000000000000000000000*ep^4+19108894532663518285896633\
      64254664267559398227267079629350763839431991150758898919307/
      2965524693171268859917029483125019387472102983120203774977255838567668952\
      4936562507677874451124515723668924871318239728724639994090015187879434649\
      600000000000000000000000000*ep^5+7044975382520101314473418376974148842819\
      336010741200306473128413998659481027310412494898189775485701739/
      3183179169621351548149506768150973288189768157516312976324963705501933775\
      0422085147215707454819470673012851107202219829808171257695498007047156851\
      4448563808742932480000000000000000000000000000*ep^6+
      1624574649164678473247587981654473374629767691391326723159589854306268682\
      928130087294530101629764150036456273966496923/
      2412829871530683842381773321818971900033571611875161766491965427270399479\
      3593476927900125118868179729650624433878753297350672097047628540337010786\
      9196206028391063277051192541184000000000000000000000000000000*ep^7+
      3338567730987404616385688247950295060436190287049855671947649070618447938\
      2005867154973156016399702784008082095027411373991489467018373/
      1803452020967225535855580786775965370178589399443392792907329490742432559\
      8320551168396250163375604758723497945344832552454248627914050193799145424\
      7715167590315102286623349846270875902930845696000000000000000000000000000\
      00000*ep^8;
Fill mncpoch(43,36) = 1/7259068054209131701397130520280059326724646044680023966\
      39696192596806205440000000000000000+69340468091887/
      2682025342026745638603716886194237758633946916898602685720358694323927186\
      3410734661632000000000000000000*ep+12518465777054973253012696103782597/
      4976336583232229385679508012521812623409424052701159062213496914281607106\
      499604873510741148337926098124800000000000000000000*ep^2+2633464044468955\
      50046161749255671253700094179420283/1557310337329887350449901898114303980\
      4246809738405512730480926637240007014333964426302208820152005510169657171\
      5805511680000000000000000000000*ep^3+210864761566788726847369991927454777\
      830413292918124043511892835414813/238801288585238329647536648351509160784\
      7431127088970701586053967900416838568737802459298670246289263813528721821\
      24094309288154090176512000000000000000000000000*ep^4+19975093984037948038\
      863272009793408029215778730310325734373394213670775997526727355949/
      5231185558754118268893640008232534199500789662224039459059879299233368032\
      1988096263543770531783645736551983473005374881470264949574786791419322721\
      894400000000000000000000000000*ep^5+1142072326072962092480639292419843663\
      8302980417602493140581218129292985929384004464582545721395633750539/
      8021611507445805901336757055740452686238215756941108700338908537864873113\
      1063654570983582786145066095992384790149593971116591569392654977758835265\
      641038079803218984960000000000000000000000000000*ep^6+
      9926839855460363591729114945280126480615034060494636058703317635652480352\
      14262125412684237728184571743005603571748059/
      2109502687681112159339493247076015432600779752096570001561546916413549259\
      0970296971249823675353322849351688790762567168540873319133069523837500859\
      421154012767904389365047119314944000000000000000000000000000000*ep^7+
      7033131974838746590065270300500197398824050562774397346861840673227227687\
      71819158609563425958921226056949162965073414558788377674399703/
      4999169002121149185391669940942976006135049815257084821939117348338023055\
      8544567838794405452877176391181536304495875835403177196577747137211231117\
      4666444560353463538519925773862868002924304269312000000000000000000000000\
      00000000*ep^8;
Fill mncpoch(43,37) = 1/1611513108034427237710162975502173170532871421918965320\
      54012554756490977607680000000000000000+5813372297922899/
      4584654119660518994629193645260430024608868859746471430970381152077321132\
      33143098305937408000000000000000000*ep+
      14853176247839741439444382631745397/1104746721477554923620850778779842402\
      3968921396996573118113963149705167776429122819193845349310195937837056000\
      00000000000000000*ep^2+340816395091832765436331041950596547761326780889483
      /345722894887234991799878221381375483654279176192602382616676571346728155\
      71821401026390903580737452232576638920908823592960000000000000000000000*
      ep^3+297967283104499152188974384416200519714055074736370885334782434656013
      /530138860659229091817531359340350336942129710213751495752103980873892538\
      1622597921459643047946762165666033762443154893666197020801918566400000000\
      0000000000000000*ep^4+308538889128816266223387296319263634042321408043270\
      22552022893403577526056296601003549/
      1161323194043414255694388081827622592289175305013736759911293204429807703\
      1481357370506717058055969353514540331007193223686398818805602667695089644\
      260556800000000000000000000000000*ep^5+1930605848009975904444512625541509\
      7004063026268218887427024900819450576272230873450302367408108811114139/
      1780797754652968910096760066374380496344883898040926131475237695406001831\
      1096131314758355378524204673310309423413209861587883328405169405062461428\
      972310453716314614661120000000000000000000000000000*ep^6+
      1287202155957056951938932397574667352880774848321371393363759866993342664\
      0466565459862286980238782995804225856305317613/
      3278167176656448295613572505956127982261611734758069782426643908106655548\
      6367841493322225991499063707892524380845029379912517137932790040043476335\
      540473335841323421073283223415422976000000000000000000000000000000*ep^7+
      1429611792149296462342943226929471388333980563486516781940389192098749880\
      677516624036835903828991096072867971045154102899086358057076903/
      1109815518470895119156950726889340673361981058987072830470484051331041118\
      3996894060212358010538733158842301059598084435459505337640259864460893308\
      0775950692398468905551423521797556696649195547787264000000000000000000000\
      00000000000*ep^8;
Fill mncpoch(43,38) = 1/3061874905265411751649309653454129024012455701646034109\
      0262385403733285745459200000000000000000+580214527612729/
      7918948024868169172541334478177106406142591666834814289857931080860827410\
      390653516193464320000000000000000000*ep+
      17929042336945724392627942140257557/2099018770807354354879616479681700564\
      5540950654293488924416529984439818775215333356468306163689372281890406400\
      0000000000000000000*ep^2+453031806982704022722716180531706714222524720623\
      723/656873500285746484419768620624613418943130434765944526971685485558783\
      4958646066195014271680340115924189561394972676482662400000000000000000000\
      000*ep^3+4369050101384805531874613123315371284546786789840296021219578935\
      08653/1007263835252535274453309582746665640190046449406127841928997563660\
      3958225082936050773321791098848114765464148641994297965774339523645276160\
      000000000000000000000000*ep^4+4999558779670434000001889483554894159636324\
      7210499383037351719697767282881287377534269/
      2206514068682487085819337355472482925349433079526099843831457088416634635\
      9814579003962762410306341771677626628913667125004157755730645068620670324\
      09505792000000000000000000000000000*ep^5+34638918608543579343557171416310\
      926330588460897016785609022675126302114155288140824337321705278482280059/
      3383515733840640929183844126111322943055279406277759649802951621271403479\
      1082649498040875219195988879289587904485098737016978323969821869618676715\
      04738986206099776785612800000000000000000000000000000*ep^6+
      2562497632051479285742496431483764811895713050551812249273458725341771424\
      0179048903701769182848422644032519158555018253/
      6228517635647251761665787761316643166297062296040332586610623425402645542\
      4098898837312229383848221044995796323605555821833782562072301076082605037\
      52689933809851450003923812448930365440000000000000000000000000000000*ep^7
      +316466646437396074393523797340431016051538705387802787358362299199378771\
      2972897147458953666672675785017085620813303887104332586364148743/
      2108649485094700726398206381089747279387764012075438377893919697528978124\
      9594098714403480220023593001800372013236360427373060141516493742475697285\
      3474306315557090920547704691415357723633471540795801600000000000000000000\
      0000000000000*ep^8;
Fill mncpoch(43,39) = 1/4776524852214042332572923059388441277459430894567813210\
      080932122982392576291635200000000000000000+7093594186011419/
      1358891481067377830008092996455191459294068730028854132139620973475717983\
      6230361433787984773120000000000000000000*ep+
      22202333579834861098897291018017757/3274469282459472793612201708303452880\
      7043883020697842722089786775726117289335920036090557615355420759749033984\
      000000000000000000000*ep^2+6267335000777155154449857871017687997418478463\
      71523/1024722660445764515694839048174396933551283478234873462075829357471\
      7022535487863264222263821330580841735715776157375312953344000000000000000\
      00000000*ep^3+67716663916404985276996656699649204205444326501231763227001\
      8240954453/15713315829939550281471629490847983986964724610735594334092361\
      9931021748311293802392063819941142030590341240718815111048266079696568866\
      3080960000000000000000000000000*ep^4+870806509118538525031483141255228431\
      74927805984717269926221896529935165236539887437669/
      3442161947144679853878166274537073363545115604060715756377073057929950032\
      1310743246181909360077893163817097541105320715006486098939806307048245705\
      5882903552000000000000000000000000000*ep^5+680217504534897474987517075397\
      01947381219972937184069464633896187979823562086314722681624805608678877459
      /527828454479139984952679683673366379116623587379330505369260452918338942\
      7408893321694376534194574265169175713099675402974648618539292211660513567\
      54739281848151565178555596800000000000000000000000000000*ep^6+
      5692929892715468327892885687370026887176241039671090533578358025967229516\
      4634310713650952640977615002995472774407024053/
      9716487511609712748198628907653963339423417181822918835112572543628127046\
      1594282186207077838803224830193442264824667082060700796832789678688863858\
      5419629674336826200612114742033137008640000000000000000000000000000000*
      ep^7+65975085622233143116702901777801245873944681053162490514972432587421\
      249518068775137247969782147900711553086244561395770221510071638583/
      2718589418799779448910084259917360128797447817221226338441747709210913946\
      2286606606999528217551078580833537471610514270001631256831182015092634516\
      6462742026668646145499520098023105825510921986480537600000000000000000000\
      0000000000000*ep^8;
Fill mncpoch(43,40) = 1/5731829822656850799087507671266129532951317073481375852\
      09711854757887109154996224000000000000000000+8041906695706619/
      1630669777280853396009711595746229751152882476034624958567545168170861580\
      347643372054558172774400000000000000000000*ep+
      28661759470809990955771799729911357/3929363138951367352334642049964143456\
      8452659624837411266507744130871340747203104043308669138426504911698840780\
      80000000000000000000000*ep^2+92571685569419940511105184770524228098333781\
      8621923/12296671925349174188338068578092763202615401738818481544909952289\
      6604270425854359170667165855966970100828589313888503755440128000000000000\
      000000000000*ep^3+1150337962622237724887600061558942014616699702668848027\
      077992122668853/188559789959274603377659553890175807843576695328827132009\
      1083439172260979735525628704765839293704367084094888625781332579192956358\
      82639569715200000000000000000000000000*ep^4+17107840169741457443586285375\
      0990665511736737565938645379714758895466768632680285068869/
      4130594336573615824653799529444488036254138724872858907652487669515940038\
      5572891895418291232093471796580517049326384858007783318727767568457894846\
      705948426240000000000000000000000000000*ep^5+1554668404379135692484960308\
      3202312610038518380666185349074507485045200035666034724884390708783379370\
      0659/63339414537496798194321562040803965493994830485519660644311254350200\
      6731289067198603325184103348911820301085571961048356957834224715065399261\
      62810568713821778187821426671616000000000000000000000000000000*ep^6+
      8960348538727684668891539390427102798061191977170551465387588106394218175\
      987501645756075238948341219394011308063459909/
      6858697067018620763434326287755738827828294481286766236550051207266913209\
      0537140366734407886214041056607135716346823822631082915411380949662727429\
      55903268289436420239614927590822143590400000000000000000000000000000000*
      ep^7+25172842425340952635868303511207758047523679513445604031482698617226\
      920016307040769585499388866193452888182159478900615932120375365814943/
      3947391836097279759817442345400006907013894230605220643417417673774247049\
      9240152793363314971884166099370296408778466720042368584918876285914505318\
      1703901422722874203265303182329549658641858724369740595200000000000000000\
      00000000000000000*ep^8;
Fill mncpoch(43,41) = 1/4700100454578617655251756290438226217020080000254728198\
      7196372090146742950709690368000000000000000000+9464375460249419/
      1337149217370299784727963508511908395945363630348392466025387037900106495\
      88506756508473770167500800000000000000000000*ep+
      40064732833299317800243160766231757/3222077773940121228914406480970597634\
      6131180892366677238536350187314499412706545315513108693509734027593049440\
      2560000000000000000000000*ep^2+155261599686052639687902138016747892877707\
      6221317523/10083270978786322834437216234036065826144629425831154866826160\
      8775215501749200574519947076001892915482679443237388573079460904960000000\
      00000000000000000*ep^3+23407452046497077907773814061678036357297099950324\
      59660504380080760453/1546190277666051747696808341899441624317328901696382\
      4824746884201212540033831310155379079882208375810089578086731406927149382\
      242142376444716646400000000000000000000000000*ep^4+4274604460287161855576\
      57149946289304113322095936288028001222866437090352178348958475669/
      3387087355990364976216115614144480189728393754395744304275039889003070831\
      6169771354242998810316646873196023980447635583566382321356769406135473774\
      29887770951680000000000000000000000000000*ep^5+48320532288418654868136112\
      4133583410438231185861718596514213533198062766805356066445587138495073016\
      495459/519383199207473745193436808734592517050757609981261217283352285671\
      6455196570351028547266509647461076926468901690080596527054240642663536273\
      945350466634533385811401356987072512000000000000000000000000000000*ep^6+
      5970782348818594421598101998602083718072478738079755608196135718716782140\
      52456878838190826896035233613868833158286030053/
      9561023711423957344227450845131499925992642506913752133750771382930077013\
      4208773671227764593382373232910347188587472408747729584083465043829842036\
      80529155995474369814023209061606068165017600000000000000000000000000000000
      *ep^7+1262425339791684805958237967814242957249599821016393447455486484123\
      74205201050892330425485377219223408590544242280185047718895546333254543/
      3236861305599769403050302723228005663751393269096280927602282492494882580\
      9376925290557918276945016201483643055198342710434742239633478554449894360\
      8997199166632756846677548609510230720086324153983187288064000000000000000\
      0000000000000000000*ep^8;
Fill mncpoch(44,0) = 1;
Fill mncpoch(44,1) = 1/43+1/1849*ep+1/79507*ep^2+1/3418801*ep^3+1/147008443*
      ep^4+1/6321363049*ep^5+1/271818611107*ep^6+1/11688200277601*ep^7+1/
      502592611936843*ep^8;
Fill mncpoch(44,2) = 1/3612+85/6523272*ep+5419/11781029232*ep^2+307105/
      21276538792992*ep^3+16317211/38425429060143552*ep^4+832331305/
      69396324882619254912*ep^5+41279277859/125329762738010374371072*ep^6+
      2005548281185/226345551504846736114156032*ep^7+95921228087371/
      408780066017753205422165793792*ep^8;
Fill mncpoch(44,3) = 1/444276+5291/32896860696*ep+18664885/2435880947096016*
      ep^2+54874766015/180367240608671600736*ep^3+145212365895661/
      13355472698109697348097856*ep^4+358684275778236071/
      988919331404230649837253845376*ep^5+843864674878947644245/
      73225520813157662697849298234711296*ep^6+1914608702066851734735455/
      5422056914131072292124949137087432623616*ep^7+
      4223707150095852815713762621/401481626263749378942683983804776036048270336
      *ep^8;
Fill mncpoch(44,4) = 1/71084160+142843/105269954227200*ep+12754430389/
      155896380614145024000*ep^2+911205404411947/230870067979099648942080000*
      ep^3+56969536230849273781/341900101071608252111305113600000*ep^4+
      3256972822365088090393963/506326697678966092716673968832512000000*ep^5+
      174590243994675305602335692149/749829333126734466025976813923443671040000\
      000*ep^6+8914553742060434059776656730432427/11104372560140436054271895832\
      75506201316556800000000*ep^7+438170426234757282277383485228399744821/
      1644468741176317456149233597664362643653715296256000000000*ep^8;
Fill mncpoch(44,5) = 1/13861411200+783533/88953111321984000*ep+3315848426101/
      5137565223139149265920000*ep^2+1212917896851181733/
      32969400057755325367173734400000*ep^3+3423341296094138160493501/190417671\
      3407709641267442143158272000000*ep^4+966396469179437004630885845933/
      12219711306485563235098381814132442071040000000*ep^5+22738696201629065660\
      57075806845120901/705760179852023411938753928251215628361937715200000000*
      ep^6+560616008776103319631896487447909681510133/4529088917367986881902804\
      358845091076199630138507264000000000*ep^7+1187656537430062801241398698590\
      213779061036508301/261581516020835366192752540212934018786056694324008918\
      712320000000000*ep^8;
Fill mncpoch(44,6) = 1/3160401753600+2010643/42816097582981632000*ep+
      1719590333061241/422862718386137097779343360000*ep^2+
      1537442730286948561523/5728806913235642342900597654323200000*ep^3+
      845716871316248329298401067401/565791606707053972203920666787846496911360\
      00000*ep^4+189130045453938079704301458561324001/2555053706574552605228504\
      41831217327961573949440000000*ep^5+25444172438973391191507277969746736551\
      7883161/7570308951375371158780888024067944111054355842746128793600000000*
      ep^6+146392865561810927752050397600792259552112190467283/
      102560089528551526672076399817513586994697270877628906373906432000000000*
      ep^7+58218359167597628080184764186548658956642863711777487236521/
      1012909646235647631757460706676389563530835652446226895981700328047247360\
      000000000*ep^8;
Fill mncpoch(44,7) = 1/818544054182400+791473199/3692759968239416815104000*ep+
      3222651556949381209/149934856920891016896719554498560000*ep^2+
      1093819719054428906764078391/676412509078947355407814401026713438617600000
      *ep^3+2785325465534416163830569340243918081/27463960192518403571631508964\
      403428923095386456064000000*ep^4+6937178664760631185442872280850187086988\
      18319/123900249778924497730636527520534124985221215244796725821440000000*
      ep^5+1414087282969142668877704924812239486534803020459447529/
      5030645474615717643453613671786144520361661111636253175618001017241600000\
      000*ep^6+297494507192081832098012688098585412238187960950486047030300071/
      2269513305746413881482448409402334265024532844470266884095670793243929975\
      1936000000000*ep^7+530949874520035250448368648104439808926330782057684018\
      909967807476530961/921476499160005129701718622450613589400435165629622286\
      012398400104331649541062304727040000000000*ep^8;
Fill mncpoch(44,8) = 1/235740687604531200+8251102781/
      9571633837676568384749568000*ep+38309820694967567071/38863114913894951579\
      6297085260267520000*ep^2+131806898272205535213839602961/15779351011793683\
      906953494347151171096071372800000*ep^3+3742689807651361062059384775833074\
      18951/640679263371069318519019841121603189917969175247060992000000*ep^4+
      927837345260434372335154803526061635427736009041/260131052415847561475426\
      00225991180608897164583075562179662970880000000*ep^5+20773254028340408972\
      39473501064622009570614539018414762231/1056194078686519150678373097618844\
      614338971473710254626727350549571908403200000000*ep^6+4294760432547950893\
      760809025554811424810691300234678543475311107521/428839971811263978520502\
      70760575499524938764778599932556468884694483462753666203648000000000*ep^7
      +832738186906495808053500365722298006742173133179543263290888213085132328\
      3911/17411925055647725729202170539867610188962014750484341237358756200883\
      41746360006017018463518720000000000*ep^8;
Fill mncpoch(44,9) = 1/74258316595427328000+1882234177/
      603012931773623808239222784000*ep+1004641221631622839/2498343101607532601\
      547624119530291200000*ep^2+37782811578789823876929827701/9940991137430020\
      86138070143870523779052496486400000*ep^3+59342215372511589420295805039403\
      6163471/201813967961886835333491249953305004824160290202824212480000000*
      ep^4+9235699760022434885162542515646900688531274503/468235894348525610655\
      76680406784125096014896249536011923393347584000000*ep^5+39522825270354750\
      78310917975955152832234249316563196416831/3327011347862535324636875257499\
      36053516776014218730207419115423115151147008000000000*ep^6+
      1775935466031664641719241432884124631986181397752688321385608593189/
      2701691822410963064679167057916256470071142181051795751057539735752458153\
      480970829824000000000*ep^7+2661201759084786586421486029149089805008752481\
      892941091767515742683668000313/783536627504147657814097674294042458503290\
      66377179535568114402903975378586200270765830858342400000000000*ep^8;
Fill mncpoch(44,10) = 1/25247827642445291520000+36058219373/
      3485414745651545611622707691520000*ep+2555264068631425238197/171841035214\
      7693073996486821895324893184000000*ep^2+258251821697850696804233326622969/
      1660563041578585544726755129724200331004871180812288000000*ep^3+
      75777310552037929987442268086008326843829291/5730939502169215127122097713\
      698995684692355143330227557184307200000000*ep^4+1095202852599917890320196\
      08517192001679546423965047487/1130207620811424697547070648109699887609691\
      18325101670578572964144978329600000000*ep^5+17321722337736056097725026290\
      5766563178917811364578586686669495739/27304028430757082630542392000576418\
      00698617058254857701147491551098092957153812807680000000000*ep^6+
      1432038218127386843804486816815369780903294922796500476338083285414593429\
      193/376926936669442523168237277638828080519263277376820668337036328616567\
      673963720046360974254407680000000000*ep^7+3932967122992019045971186033356\
      4322853059303551208935154029626032922716529041772079933/
      1858358896266755116002200639693536774637249614069256396629473908548706069\
      22182723561726188734000666771456000000000000*ep^8;
Fill mncpoch(44,11) = 1/9164961434207640821760000+88531289579/27834522158773243\
      25441894362447872000*ep+381934432687400507974837/754777378973831228891476\
      90678108355283320832000000*ep^2+466758931679482704291494567702874067/
      802306015227818341691365921191636562525996525622999384064000000*ep^3+
      1646415484783383010777133790474609227957168126131/30458126746207190759458\
      651643334919482507820110219723784298965342617600000000*ep^4+2846142463710\
      4037502164689894233497123389960779971654307373/66073647516766175504169138\
      80638364540559250003561469540850960864810184500628684800000000*ep^5+
      536059211071521691434493003463817114097112078459915148351050608812126379/
      1755858294362782264652281071692073695689741712565069328896626114551024582\
      588416775013259018240000000000*ep^6+5257369294242290096180064360279837118\
      4112785693102092227871469039967577297725361171/
      2666321999986245683285277280045801813219076777735300495479174862533658913\
      503983503261816587073106886000640000000000*ep^7+2438683108044214832849993\
      606521979527395066178648590969732216953613121441012677079792202236339/
      2065759018007851765895918041805360478821759613897329424844882715883378557\
      423667028597328224155101974057871185281024000000000000*ep^8;
Fill mncpoch(44,12) = 1/3519345190735734075555840000+1960441935097/213769130179\
      37850819393748703599656960000*ep+7439963521959541525155067/46373522164152\
      1907030923411526297734860723191808000000*ep^2+397581479130055128811001391\
      76446194761/1971747263023886356540700887920566016063889061371083286275686\
      4000000*ep^3+610150821860175262355223654730624589626597778150461/
      2994155691659151680417823291146395924808448748115039726891725489040680550\
      400000000*ep^4+4568970968114118133164410826326388578001010745266829286728\
      0143/25981215381952728467047372084890951511805460494004268069752514274172\
      01508599208922316800000000*ep^5+37134113143139256353132822070295519877025\
      32531412410741256834428692619161309/2761726300304623163910045415545881801\
      297349908991945204925662937037182729068347562414454632465039360000000000*
      ep^6+15662328001441205141424331234540924598384604148827241470388057856246\
      53687847585635009417/1677504754474546532157925745520784009258803990774342\
      2714085427563936563573318118035497575537640620756570042531840000000000*
      ep^7+21805231459428894922717571024832304132861298308291931524688774546625\
      66686971378470412029063605344603/3639056951151889971103811303094884084660\
      8890869553702462967282009994176511048528513398330271523891486835066444417\
      5483666432000000000000*ep^8;
Fill mncpoch(44,13) = 1/1418296111866500832449003520000+66847816580551/
      267061774333097570286686102554070514401280000*ep+
      8599952915557629212181204187/17959676784299352872065711158613916565006545\
      9892977664000000*ep^2+1550094801372747448652553884285070608597047/
      2367235005323607317442472012127275762037740556800429469911990633758720000\
      00*ep^3+798873510980990949126381509934905770502093692574807332381/
      1114361760382250821877612879216112716482634428712103690258365605791828352\
      062141235200000000*ep^4+4002529723327539325513766481956480655390438640708\
      85278669899696203069/5995190314967585545449487780946514627083163897525505\
      248820191506106503720161432787834927925166080000000*ep^5+
      5422951528424412811649312486165702929355976372595009859632329270741571991\
      028773122429/987770029746250385153076758647180323386050373769472646594895\
      550758265675084867017378772910769850487931383316480000000000*ep^6+
      7603079849772074399963902104336596188826860914372632540942829452882391769\
      9917434894510270592652663/18599474014628077722322628048122242822297520907\
      0071970462186815100576869831476616854223860844201440972425404592912654370\
      078720000000000*ep^7+5013007939639955811580598832843862655811761333722311\
      49853403004709510059876568091063560460369098223679735726189/
      1786855400750073732373304418692708865362149061892103998200575602972544488\
      6793273246918535519463054733114828469736131922475831280478978048000000000\
      000*ep^8;
Fill mncpoch(44,14) = 1/595684366983930349628581478400000+365622018630899/
      560829726099504897602040815363548080242688000000*ep+
      2047827506296890740794592879/15086128498811456412535197373235689914605498\
      631010123776000000*ep^2+1999962674459832520611066261952875924603079/
      9942387022359150733258382450934558200558510338561803773630360661786624000\
      0000*ep^3+1112697011337290477811899228271827322743584774080054109261/
      4680319393605453451885974092707673409227064600590835499085135544325679078\
      66099318784000000000*ep^4+14994852707132577280137246688215840334425721848\
      021962630342889600611237/629494983071596482272196216999384035843732209240\
      17805112612010814118289061695044272266743214243840000000000*ep^5+
      3486811607900362793152353588364076511786098048590984578951366599054972762\
      29808720053/1659453649973700647057168954527262943288564627932714046279424\
      5252738863341425765891963384900933488197247239716864000000000*ep^6+
      1307439907911625057180992827522529222633595974239934694696617852264624939\
      64045139029181951639010823/7811779086143792643375503780211341985364958780\
      9430227594118462342242285329220179078774021554564605208418669929023314835\
      433062400000000000*ep^7+6439912886205186155269611809962317218573603616544\
      950334321807541011887326242281737569540368815746934859151299403/
      5253354878205216773177514990956564064164718241962785754709692272739280796\
      7172223345940494427221380915357595701024227852078943964608195461120000000\
      000000*ep^8;
Fill mncpoch(44,15) = 1/259122699638009702088432943104000000+11544526612140391/
      7074866994745254283249744885811159032261509120000000*ep+
      290395252033748879870314193153/788433402766098450954259133005382659987100\
      370239369804513280000000*ep^2+6217386929699083471641103207502320073901560\
      0771/10548092153341803734654582997419167887973835626152496702225582678843\
      65781401600000000*ep^3+10796692364932734884706226790672907163854311888799\
      17524372082941/1439980926747466544462963184385003541099914452830161724343\
      36868252290162162897527645656842240000000000*ep^4+45277533063700411118857\
      3801281670467567619038854524896791289189481820984573473/
      5616574445752287005355980696388154007324277446023643925032198288541263157\
      97731301849075985948261031188889600000000000*ep^5+16338140323844722734994\
      68757394468917211815249630252331177839662223277363532713235013344592769/
      2146902765192368794854707198798259850503526614449394275474023103450668770\
      8763667300646958502354566752881970955568213603123200000000000*ep^6+
      3793534092394438468908574739943136988305254012314971959267125693014560134\
      406175214152920905718989981028014387/586172170003078633155716409754052934\
      4000315182945549750474540271141749237227620431530214260427516103746680614\
      66448245688447482329349226496000000000000*ep^7+
      5772662676908416632259881949592913791197517943554157789839006137799879360\
      485987206390168962189661619425970597975740450927883/
      1143167791217498866862475119061734104356271322289879654202345655532014733\
      2925222032525015076104953143561407102628550216889400019828093913115671982\
      715699200000000000000*ep^8;
Fill mncpoch(44,16) = 1/116086969437828346535617958510592000000+
      12519639257979151/3169540413645873918895885708843399246453156085760000000
      *ep+16670979062012667095742793003049/173076900575213931953478964877341601\
      52036827327494645948675522560000000*ep^2+78429951798872575949698999853139\
      029252857980011/472554528469712807312525318284378721381227836051631852259\
      706104012195870067916800000000*ep^3+2088656322216141068694437687983404905\
      43851320464281430916744963/9215877931183785884562964380064022663039452498\
      113035035797559568146570378425441769322037903360000000000*ep^4+
      1339679285504913483243981291084088551897402976097456580550044567630422703\
      5497/51351537789735195477540394938405979495536250935073315886008670066662\
      97744436400474048694728669815142298419200000000000*ep^5+
      2529962046272028234330948622450145102745521587561964002783157827795804200\
      612568486124435203961/961812438806181220094908825061620413025579923273328\
      6354123623503458996093526122950689837409054845905291122988094559694199193\
      600000000000*ep^6+6260532077206399275932832258367030826643520035845951466\
      199271010903382748009616222207162660006246439547342747/
      2626051321613792276537609515698157146112141201959606288212594041471503658\
      2779739533255359886715272144785129153696881406842447208354845347020800000\
      0000000*ep^7+709322587291747168956121154595455025143467759569779015889397\
      90486114765243223643812690581844739663510460200447747508243863781/
      3584974193258076446480721973377598151261266866701062595578555975748398203\
      6053496293998447278665133058208572673843133480165158462180902511530747337\
      796432691200000000000000*ep^8;
Fill mncpoch(44,17) = 1/53283918971963211059848642956361728000000+
      40592601560991373/4364457149590368386319634621077360762365995930091520000\
      000*ep+174667835004097838460312778193873/71498067627620875289982160390829\
      815588064133689880382413978583695360000000*ep^2+2647495677741300331404089\
      869640213517664430092457/585636827132515082102412626949830549407755657218\
      7873545054537747023143417751692902400000000*ep^3+226550195769929659154407\
      49056156842446571828379716923022287971603/3426371256034819754021664526864\
      0029858914380442734452959591746718412134009947949954162404720902144000000\
      0000*ep^4+326062540158832522880240752031916506461157312564481452935100288\
      93464814185928077/4009317529317586148584896121171491414495538774381690703\
      784424323257771960648419597717784847661516200685771476172800000000000*
      ep^5+28137295605448671460692095642611784735691707672961812485913183231714\
      13076772344114918863104623601/3218330219613751042371775368626938680229023\
      2370641176802396597841159181418508695266532771852812510432153679541693087\
      13835686369689600000000000*ep^6+22227749401829709861468805220569219966354\
      542441470720425215314779730884226766479902480849353079189153148330153609/
      2636116976329537942333578172971828182453189039186717459115312914432463931\
      8001534274886327681161051782916090553743001553274874308504469469235930726\
      4000000000000*ep^7+802546364437256613499104031328239039499926963249126801\
      9131817037628923221349832810186866192671746425827812704989944055838182535\
      41/1079614619802250396050024774210466345492515390780338330552222574241032\
      5441759306803588002998125276953966205839870592263238389454369932573257233\
      4077026619253116108800000000000000*ep^8;
Fill mncpoch(44,18) = 1/24936874078878782776009164903577288704000000+
      43742965493701213/2042565946008292404797589002664204836787286095282831360\
      000000*ep+202229087164323314709492455201057/33461095649726569635711651062\
      908353695214014566864018969741977169428480000000*ep^2+2526608384683553041\
      91098709249625801780036337949/2108292577677054295568685457019389977867920\
      36598763447621963358892833163039060944486400000000*ep^3+30046202937954490\
      745739135339431278472697620755554519339981068803/
      1603541747824295644882138998572353397397193004719972398508893746421687871\
      66556405785480054093822033920000000000*ep^4+46128607451685003458921499541\
      072557063598092668101463222852260997475353510945437/
      1876360603720630317537731384708257981983912146410631249371110583284637277\
      583460371731923308705589581920941050848870400000000000*ep^5+
      8475768384255342737559817253647432269745503156347819845545814970100866609\
      38777577670508695204877/3012357085558470975659981745034814604694365749892\
      0141487043215579324993807724138769474674454232509764495844051024729561502\
      0244202946560000000000*ep^6+273681745474691567659707741916807948765605023\
      7240304511506688935922132243079528475677096507621268297742407661693/
      9490021114786336592400881422698581456831480541072182852815126491956870154\
      4805523389590779652179786418497925993474805591789547510616090089249350615\
      04000000000000*ep^7+13629744794272094229609374197474771519247173763616053\
      0317294532483272174460643629648858299886958404409050021932498553982820859\
      6341/50525964206745318535141159433049824969049720288519833869844016474480\
      3230674335558407918540312262961445618433305943717919556626464512844428438\
      52348048457810458338918400000000000000*ep^8;
Fill mncpoch(44,19) = 1/11845015187467421818604353329199212134400000000+
      235096719918597233/485109412176969446139427388132748648736980447629672448\
      0000000000*ep+29129965076616080262321686422670269/19867525542025150721203\
      79281860183500653332114907551126328429894434816000000000000*ep^2+
      194621020578109477231284892441336505503165099916909/
      6258993589978754939969534950526313996795388586525789851277037217130984527\
      7221217894400000000000000*ep^3+246999322875484714823619700993377185497667\
      39027015611229411249698483/4760514563853377695743850152011674148522916732\
      7624180580732783096893858690071432967564391059103416320000000000000000*
      ep^4+20195641746639468972523498394950464048098191279532171852781936256356\
      8536716827533217/27852227711478106275950700241763204420073695923282807607\
      8524227206313345891294898928957366135985953566389687235379200000000000000\
      0000*ep^5+493197689726443697376807657097048265270385166883545574056417415\
      297520436254121859642582175030123123469/
      5589334436094819193119106753482566161053998949994948127478721640695067210\
      4175648107423712366251727102091898141549791178568209373593600000000000000\
      000000*ep^6+1690570203624516583738748027008898180219547983168895160865775\
      705025855215246013850579919085853438501933349160077322109/
      1760843761532621047418132295227275856248028616019252677768431673312309891\
      9446337347677976693275546308119732362070520568789076198258844840778688102\
      40000000000000000000000*ep^7+89244351634262591875497335664106313416988082\
      0944611655546987435667351774870687930991616725336910476062395928944196669\
      143718365522136181/937493476492344777507501981667916674230414731915895355\
      0068713994288341194152710556396926040950191667447998274231377578585523342\
      603265668105792916141803695299887104000000000000000000000000*ep^8;
Fill mncpoch(44,20) = 1/5685607289984362472930089598015621824512000000000+
      252161191220775533/232852517844945334146925146303719351393750614862242775\
      0400000000000*ep+33432962487726099031778604666204169/95364122601720723461\
      7782055292888080313599415155624540637646349328711680000000000000*ep^2+
      18346681043988336363209829293128905490688689587293/
      2311013017838309516296443674040485168047528093486445483548444510940671210\
      235860353024000000000000000*ep^3+3225849138125496159724245450799924594550\
      0766339032757408910415095783/22850469906496212939570480729656035912910000\
      3172596066787517358865090521712342878244309077083696398336000000000000000\
      00*ep^4+28059557467025059285873979922673063926861247690439527251075210515\
      4555009821262405917/13369069301509491012456336116046338121635374043175747\
      6517691629059030406027821551485899535745273257711867049872982016000000000\
      0000000000*ep^5+727820231168900955128365356197376769743373586652859016029\
      173785932318645915313423680811551494664177369/
      2682880529325513212697171241671631757305919495997575101189786387533632261\
      0004311091563381935800829009004111107943899765712740499324928000000000000\
      000000000*ep^6+2645944622695784784576116902955092893910105887180261809002\
      852537900527871674713685603248032929829329661982774482160009/
      8452050055356581027607035017090924109990537356892412853288472031899087481\
      3342419268854288127722622278974715337938498730187565751642455235737702891\
      5200000000000000000000000*ep^7+147941491539751363912189610481919803741659\
      1152997800645410367735313278014327263339316934140195717551162996411749819\
      225015873866540997281/449996868716325493203600951200600003630599071319629\
      7704032982717258403773193301067070524499656092000375039171631061237721051\
      204449567520690780599748065773743945809920000000000000000000000000*ep^8;
Fill mncpoch(44,21) = 1/2746148321062447074425233275841545341239296000000000+
      6209254709330116459/25867586207394977170381914502880182746331755805046549\
      879193600000000000*ep+20229020727093808005577207933605358201/
      2436620087359785688954856396017199547366868457681681595047031057779311352\
      21760000000000000*ep^2+35392006603354403108474975030232270751473330586856\
      99503/1765535209414950719245262747130956109058636084141499266233387110854\
      18505595206457394810847232000000000000000*ep^3+11719121556263872341332127\
      641578667719783147436260459065098911015925308903/
      3088542702617138648282391619670086902271944693611824621220276664230607979\
      958130805773983138060630427865763020800000000000000000*ep^4+
      2491657180517915387986035857958760485129922259014799254948910673914839717\
      011846969315858331/415611432421828974232961596030562634096485373369099699\
      2425551952478477923215499642590625835135148893193492361328388262110167040\
      000000000000000000*ep^5+1577456383966075706632520551968246866836716896342\
      13034983687222836912740643809717542999027486893824428116340841/
      1918295378476750797914470951197633311310589801378251254513162780441430085\
      0248268388694463463962904416046127821867978291850376158283890246926991360\
      00000000000000000000*ep^6+13978541280177031431511161044393854710597540054\
      6224717912832881761070207983516429935528333004372702356318204512061111481\
      14703423/1389965571706539349324778585138463776973929691610253012394342366\
      0477621646790040817329975772538020574812974378060980101380206869086793228\
      43516893626060510540595200000000000000000000000*ep^7+
      1902778016190179993521544338910747398473645315381912551682435940896885350\
      01951676726089209407331117803722070714114505695497336760169454185744141761
      /170207742125069431952707013991975407165765605802613935628718744888409367\
      1545941082576509744967732472282187933608594606958485324192052460448819577\
      47147956328971014009833757249372160000000000000000000000000*ep^8;
Fill mncpoch(44,22) = 1/1329135787394224384021812905507307945159819264000000000
      +6637417807457499259/1251991172437916895046484661939400844922456980964253\
      0141529702400000000000*ep+23070918099100671256727149452214703401/
      1179324122282136273454150495672324580925564333517933892002763031965186694\
      47331840000000000000*ep^2+42990557195626751235547260135409711907292462447\
      15615103/8545190413568361481147071696113827567843798647244856448569593616\
      5342556708079925379088450060288000000000000000*ep^3+151375588715256722317\
      28445318429997528534277020885813516559851236504104503/
      1494854668066695105768677543920322060699621231708123116670613905487614262\
      299735309994607838821345127087029302067200000000000000000*ep^4+
      4882233544519079216202338050761984864932151010353888062661022108420784961\
      40663553516239933/2873656189888074621839334463982747355752841724437775063\
      3342387785708333069090026100198041488648743775795004326899141698018869248\
      0000000000000000000*ep^5+229446092235560950920220039976148968436963222634\
      515343811359515888814857336727218098033454599892060721228214041/
      9284549631827473861906039403796545226743254638670736071843707857336521611\
      5201619001281203165580457373663258657841014932555820606094028795126638182\
      4000000000000000000000*ep^6+215354912574692628308843438641440080755012462\
      0322784180136134656475231616806571069285502772402729416829430636514778256\
      0541003023/67274333670596504507319283520701646805538197073936245799886170\
      5167116887704637975558770827390840195820947959898151436906802012463800792\
      256262176515013287101648076800000000000000000000000*ep^7+
      3101469361534296824117498365958158694205390243166827515432005758496845335\
      96931127797463416721467091335561889470483824806922756527372514726160798961
      /823805471885336050651101947721160970682305532084651448442998725259901337\
      0282354839670307165643825165845789598665597897679068969089533908572286754\
      9619610863221970780759538508696125440000000000000000000000000*ep^8;
Fill mncpoch(44,23) = 1/6419725853114103774825356333600297375121927045120000000\
      00+7085969624543328859/60471173628751386030745209171673060809754672180573\
      42058358846259200000000000*ep+26249342650004575150146840353851129801/
      5696135510622718200783546894097327725870475730891620698373345444391851734\
      3061278720000000000000*ep^2+743537524145965872835556966119434241187434071\
      743636329/589618138536216942199147947031854102181222106659895094951301959\
      5408636412857514851157103054159872000000000000000*ep^3+194732552693789068\
      50645087272337080573520774007630400041095587458130103703/
      7220148046762137360862712537135155553179170549150234653519065163505176886\
      90772154727395586150709696383035152898457600000000000000000*ep^4+
      3265770840379960299919074179029222474844546790989609793467462293965573358\
      2567916022082765517/68010821046081062075071528759079681668602505092268822\
      4239314291724359118746153647713387047911849818941740367404721986567012578\
      4924160000000000000000000*ep^5+331986813360245308668882946132498232881124\
      759262193178807651788743479725026658856158982509214201805962753536441/
      4484437472172669875300617032033731344516991990477965522700510895093539938\
      3642381977618821128975360911479353931737210212424461352743415908046166242\
      0992000000000000000000000*ep^6+329903595944902016128180213712956973694621\
      3282627692760111122648813517828579690844488590190401440704845782855121293\
      7501180730223/32493503162898111677035213940498895407074949186711206721345\
      0203595717456761340142194886309629775814581517864630807144025985372020015\
      782659774631256751417670096021094400000000000000000000000*ep^7+
      5025194508049353447814522689980474199243125996419127793948680064422752243\
      24020671561216466588744902799275982414939462056178904184415003044884809361
      /397898042920617312464482240749320748839553571996886649597968384300532345\
      7846377387560758361005967555103516376155483784578990312070244877840414502\
      6466272046936211887106857099700228587520000000000000000000000000*ep^8;
Fill mncpoch(44,24) = 1/3081468409494769811916171040128142740058524981657600000\
      00000+7556949032483449939/29026163341800665294757700402403069188682242646\
      67524188012246204416000000000000*ep+29808510031157301225654542565629743921
      /273414504509890473637610250916671730841782835082797793521920581330808883\
      24669413785600000000000000*ep^2+89781438575092879479887109054321696247512\
      9023195657809/28301670649738413225559101457528996904698661119674964557662\
      49405796145478171607128555409465996738560000000000000000*ep^3+
      24970332411313153855433945413154789742175651689015433134784807196327782063
      /346567106244582593321410201782487466552600186359211263368915127848248490\
      571570634269149881352340654263856873391259648000000000000000000*ep^4+
      4441822077894788816780551154942696225090116637181423026192473564093320346\
      5228339170154953557/32645194102118909796034333804358247200929202444289034\
      7634870860027692376998153750902425782997687913092035376354266553552166037\
      6763596800000000000000000000*ep^5+478427284629802529673790949594919337210\
      908719063086081107218885431534678135584282419795134755687261793250307361/
      2152529986642881540144296175376191045368156155429423450896245229644899170\
      4148343349257034141908173237510089887233860901963741449316839635862159796\
      2076160000000000000000000000*ep^6+503233903065936004959333536225140354371\
      4120607605120227932945177915297491476029295249155726157144488708098478681\
      0224469915750983/15596881518191093604976902691439469795395975609621379226\
      2456097725944379245443268253545428622292390999128575022787429132472978569\
      607575676691823003240680481646090125312000000000000000000000000*ep^7+
      8106360982427434133277090160577661294990728578446418933532488821656642009\
      34864301153061862310009691360128637138461869355205204565639198298822090681
      /190991060601896309982951475559673959442985714558505591807024824464255525\
      9766261146029164013282864426449687860554632216597915349793717541363398961\
      2703810582529381705811291407856109722009600000000000000000000000000*ep^8;
Fill mncpoch(44,25) = 1/1463697494510015660660181244060867801527799366287360000\
      00000000+8052716830315156339/13787427587355316015009907691141457864624065\
      25717073989305816947097600000000000000*ep+3380078772068496522471198729277\
      6613521/12987188964219797497786486918541907214984684666432895192291227613\
      213421954217971548160000000000000000*ep^2+1545658574514842831075501398747\
      80215497306605311690887/1920470508375106611734367598903753361390266290263\
      65830926995495393309871733073340866259928049778688000000000000000000*ep^3
      +319435509152641085909359323483725811907198238554141595319453724494292708\
      63/1646193754661767318276698458466815466124850885206253501002346857279180\
      33021496051277846193642361810775332014860848332800000000000000000000*ep^4
      +602548046711333646920536097032970702871364756496822527631044751978712177\
      04868138905245576757/1550646719850648215311630855707016742044137116103729\
      1512656365851315387907412303167865224692390175871871680376827661293727886\
      78962708480000000000000000000000*ep^5+68753402737391436034995056268983433\
      6753903296074824591822743378405804678209308703210125270070445500419667320\
      961/102245174365536873156854068330369074654987417382897613917571648408132\
      7105947046309089709121740638228781729269643608392843277718842549882703452\
      59031986176000000000000000000000000*ep^6+76543177282403574994550192551637\
      8574448469907732843662313226972487642434305950951601864204363727166156147\
      55304961523672309431783/7408518721140769462364028778433748152813088414570\
      1551324666646419823580141585552420434078595588885724586073135824028837924\
      664820563598446428615926539323228781892809523200000000000000000000000000*
      ep^7+13039554499671519429347762728080488342166707736245681706762817136991\
      5031110009136017947530520111026030698649216522547522581562712772153848752\
      0736281/90720753785900747241901950890845130735418214415290156108336791620\
      5213748388974044363852906309360602563601733763450302884009791152015832147\
      6145066034310026701456310260363418731652117954560000000000000000000000000\
      000*ep^8;
Fill mncpoch(44,26) = 1/6850104274306873291889648222204861311150101034224844800\
      0000000000+8576027283581957539/645251611088228789502463679945420228064406\
      254035590626995122331241676800000000000000*ep+382887124456846932575652490\
      29530860321/6078004435254865228964075877877612576612832423890594949992294\
      522983881474574010684538880000000000000000*ep^2+1302146534742296236156654\
      573952603513002463867771673409/629146138543684926004178825400869601191451\
      2366903744621168372429084831397975482646778675242910749818880000000000000\
      00000*ep^3+40802100528369320606365395086455172242771627378403152708374957\
      340310051263/770418677181707104953494878562469638146430214276526638469098\
      3292066563945406015199803201862462532744285538295487701975040000000000000\
      0000000*ep^4+816069703928719025933624880704769156852346656491997705340631\
      66243862234460105421093275492357/7257026648901033647658432404708838352766\
      5617033654524279231792184156015406689578825609251560386023080359464163553\
      4548546465101754547568640000000000000000000000*ep^5+
      9864744920360839069739602170747584984322064838599645064001168553371225143\
      11312109111131891503761947506736319761/
      4785074160307125663740770397861272693853411133519608331342353145500610855\
      8321767265398386897461869106984929819320872785065397241831334510521581226\
      969530368000000000000000000000000*ep^6+1162533629411374626829479317887694\
      8508699805400022329107361390594756146710943528086854081288029282722833674\
      7316870448282218548183/34671867614938801083863654683069941355165253780188\
      3260199439905244774355062620385327631487827355985191062822275656454961487\
      43136023764072928592253620403271069925834856857600000000000000000000000000
      *ep^7+2094831250675867673626772338399326069015472809140958641527787323032\
      9447436445276409322057816418043294013263564662875265003584169591862933017\
      89591081/4245731277180154970921011301691552118417572434635579305870161847\
      8404003424603985276228316015278076199976561140129474174971658225914340944\
      5083589090405709249628155320185007996641319120273408000000000000000000000\
      0000000*ep^8;
Fill mncpoch(44,27) = 1/3144197861906854840977348533992031341817896374709203763\
      2000000000000+9130120704687982339/296170489489497014381630829094947884681\
      562470602336097790761150039929651200000000000000*ep+433476522620562073510\
      59743138426867521/2789804035781983140094510827945824172665290082565783082\
      046463186049601596829470904203345920000000000000000*ep^2+2237268188388477\
      17546693350476913309765387711541228887/4125401108450734014798829726557130\
      6706696588234411696873089756356427680166724950498163027664229059526656000\
      000000000000000*ep^3+5208296634673555294329717884957667951590390044996846\
      4486197628286664232863/35362217282640356117365414926017356390921146835292\
      5727057316133105855285094136097670966965487030252962706207762885520654336\
      00000000000000000000*ep^4+11046579939728456339636000857259019716811307928\
      7104044227765233836762594225073633372728494757/
      3330975231845574444275220473761356803919851821844742664416739261252761107\
      1670516680954646466217184593884994051071035778282748170533733400576000000\
      0000000000000000*ep^5+141493310095885669988898420439809403715016662933618\
      2843005396488626539447655825270459258298597686852162120134961/
      2196349039580970679657013612618324166478715710285500224086140093784780382\
      8269691174817859585934997920106082787068280608345017334000582540329405783\
      179014438912000000000000000000000000*ep^6+1038596760534496064710915511818\
      2335065745152312406634757291356370388436506755911428089912137429082958492\
      163512560888570746851399/936140425603347629264318676442888416589461852065\
      0848025384877441608907586690750403846050171338611600158696201442724283960\
      1606467264162996907199084775088831888799754113515520000000000000000000000\
      0000*ep^7+336664123782503580990566066106640117644606901446052002769309997\
      5385736306557439618593373006067261787744565853172742720186637511415351244\
      876911230281/194879065622569113165274418747642242235366574749773090139440\
      4288158743757189322924178879705101263697578924156331942864631199112569468\
      2493529336739249622054557932329196491867045836547620549427200000000000000\
      00000000000000*ep^8;
Fill mncpoch(44,28) = 1/1408600642134270968757852143228430041134417575869723285\
      9136000000000000+9718844964613133689/132684379291294662442970611434536652\
      337339986829846571810260995217888483737600000000000000*ep+490693720711753\
      58243236747449535697671/1249832208030328446762340850919729229354049956989\
      470820756815507350221515379602965083098972160000000000000000*ep^2+
      144887838848639560383223109825068408367292037712832043/
      9951736827770386054160869248063970602476961592547313953385344302596708077\
      142264981710711904232486975045632000000000000000000*ep^3+
      66498494929751619094440098506876642397012326862400591915311184036559893313
      /158422733426228795405797058868557756631326737822110725721677627631423167\
      72217297175659320053818955332729238107777271325314252800000000000000000000
      *ep^4+1496150766109390147590123721558451894954720552300998178276593732643\
      48173906410448094106417307/1492276903866817351035298772245087848156093616\
      1864447136586991890412369760108391473067681616865298698060477334879824028\
      6706711803991125634580480000000000000000000000*ep^5+
      2031507277718795949945057140886860924447999328499208506715572617918835931\
      872866995004536436129717658859761036111/
      9839643697322748644863420984530092265824646382079041003905907620155816115\
      0648216463184010944988790682075250886065897125385677656322609780675737908\
      64198468632576000000000000000000000000*ep^6+
      1579772153569589755443935353197182755579186258488857454807306785077012374\
      4878415304290334507555141766641596399956671828595224249/
      4193909106702997379104147670464140106320789097251579915372425093840790598\
      8374561809230304767596979968710958982463404792141519697334345022614425189\
      9792397966861822898428549529600000000000000000000000000*ep^7+
      5422052162058004406053488758156992537821836338764052800647945546502659615\
      2604173430285867201341359722052829626148459059102181886519177395587452694\
      31/8730582139891096269804293959894372452144422548789834438246931210951172\
      0322081667003213810788536613651535802203671040335477720243112177571011428\
      5918383068044195368348002835643653477333400614338560000000000000000000000\
      000000*ep^8;
Fill mncpoch(44,29) = 1/6127412793284078714096656823043670678934716455033296293\
      724160000000000000+10346817508533295129/577177049917131781626922159740234\
      43766742894270983258737463532919781490425856000000000000000*ep+5556688938\
      3486678283633599630381323431/54367701049319287434161827015008221476901173\
      1290419807029214745697346359190127289811148052889600000000000000000*ep^2+
      2266997738921087257727241976631597453862111889721483599/
      5627707176104153313627971559780175375700721780585506040639412203118438417\
      6239508471574075818434713843883048960000000000000000000*ep^3+
      85005455312981497985709273651285974509110931148405982634004013493658786593
      /689138890404095260015217206078226241346271309526181656889297680196690779\
      5914524271411804223411245569737218576883113026511699968000000000000000000\
      000*ep^4+2029961686309236091296963082692134827925129834885690406640068145\
      75287522519615464033173991227/6491404531820655477003549659266132139479007\
      2304110345044153414723293808456471502907844415033364049336563076406727234\
      524717419634736139651042508800000000000000000000000*ep^5+
      2923839420667246168685845470485019872699490867668462266732265377323722791\
      868422713271570144972904933452646844271/
      4280245008335395660515588128270590135633721176204382836699069814767780010\
      0531974161485044761070123946702734135438665249542769780500335254593945990\
      25926333855170560000000000000000000000000*ep^6+
      2410582506063011305220675780173635175761814737885609008924984011814957234\
      1697479752157193728886313136853276822701814557956577689/
      1824350461415803859910304236651900946249543257304437263187004915820743910\
      4942934387015182573904686286389267157371581084581561068340440084837274957\
      6409693115584892960816419045376000000000000000000000000000*ep^7+
      8767505141400642512738275569994038424264394866868945822496217494512258420\
      2072744769007717006823275327141709478086050682842631848252682650415920567\
      91/3797803230852626877364867872554052016682823808723577980637415076763759\
      8340105525146398007693013426938418073958596902545932808305753797243389971\
      4374496634599224985231381233504989262640029267237273600000000000000000000\
      000000000*ep^8;
Fill mncpoch(44,30) = 1/2573513373179313059920595865678341685152580911113984443\
      364147200000000000000+11019645234162039529/242414360965195348283307307090\
      89846382032015593812968669734683826308225978859520000000000000000*ep+
      1285330861706603180658302289833034919/46600886613702246372138708870007046\
      9802010055391788406025041210597725450734394819838126902476800000000000000\
      0000*ep^2+2732662637577811574554706213111769126819972536435323999/
      2363637013963744391723748055107673657794303147845912537068553125309744135\
      4020593558061111843742579814430880563200000000000000000000*ep^3+
      1089074007485591204201929366464675151361266813932376631861975301138979093\
      93/2894383339697200092063912265528550213654339500009962958935050256826101\
      2742841001939929577738327231392896318022909074711349139865600000000000000\
      00000000*ep^4+39467441054387836784175445846749615160568199109419408083782\
      104108549756875958351094390020061/
      3894842719092393286202129795559679283687404338246620702649204883397628507\
      3882901744706649020018429601937845844036340714830451780841683790625505280\
      00000000000000000000000*ep^5+42250240621167509684716273932536044306306176\
      70244964345311783344089732114452891712888360406837655733410475855871/
      1797702903500866177416547013873647856966162894005840791413609322202467604\
      2223429147823718799649452057615148336884239404807963307810140806929457315\
      90889060219171635200000000000000000000000000*ep^6+
      3696878130696826896817721528441334406307480062767920720178291506571172929\
      2088750862186349565074633419317868283257662608585982089/
      7662271937946376211623277793937983974248081680678636505385420646447124424\
      0760324425463766810399682402834922060960640555242556487029848356316554822\
      092071108545655043542895999057920000000000000000000000000000*ep^7+
      2037796484653447813616429862545745429821014696226136782050878108912075701\
      1285382762684474756754242828207088412075656268517837896741195372506489229\
      13/2278681938511576126418920723532431210009694285234146788382449046058255\
      9004063315087838804615808056163050844375158141527559684983452278346033982\
      8624697980759534991138828740102993557584017560342364160000000000000000000\
      00000000000*ep^8;
Fill mncpoch(44,31) = 1/1037125889391263163148000133868371699116490107178935730\
      675751321600000000000000+11744228938685302729/976929874689737253581728447\
      5763208091958902284306626373903077582002215069480386560000000000000000*ep
      +10212984162112209172855145102394854833/131461101137254037015803297722289\
      8795311470366260235093396641255096183496521727786763355991887052800000000\
      0000000000*ep^2+42924776186932230229517491395061258196840543809110257587/
      1238309431615605686824071606070910229318435419156473578170214982349774952\
      53713889650682164949367375647803383270604800000000000000000000*ep^3+
      1400099940939184279437354476673231859106459818839220554162753148996958077\
      93/1166436485897971637101756643008005736102698818504015072450825253500918\
      8135364923781791619828545874251337216163232357108673703365836800000000000\
      00000000000*ep^4+53960149653080924774874558905563275748004276863700646870\
      716548797333404053007852906440036861/
      1569621615794234494339458307610550751326023948313388143167629568009244288\
      4774809403116779555067427129580951875146645308076672067679198567622078627\
      84000000000000000000000000*ep^5+61408576735974445196602528338607533567600\
      34173643080985037906092969907946019879385601922365717714077970711800671/
      7244742701108490694988684465910800863573636462843538389396845568475944445\
      0160419465729586762587291792189047797643484801376092130474867451925712983\
      1128291268326168985600000000000000000000000000*ep^6+
      4366666460527796413144721705526144337739168199062624463499859176768402524\
      9566303594933071910303715203928143307164880501655265221/
      2361331922523592057217314844849476355357982348533845685394954045102146168\
      1020196450882627901157878594614832745727811521700926672679375031690731218\
      408256502215922751360072478768496640000000000000000000000000000*ep^7+
      3344082826298820721328914344634543232552720808900009900912460451501622495\
      7277879689520305090821921348750334521315714494641311950472849816152873973\
      13/9183088212201651789468250515835697776339067969493611557181269655614771\
      2786375159803990382601706466337094902831887310356065530483312681734516950\
      9357532862460926014289479822615064037063590768179727564800000000000000000\
      0000000000000*ep^8;
Fill mncpoch(44,32) = 1/3982563415262450546488320514054547324607322011567113205\
      79488507494400000000000000+12529194618585504529/3751410718808591053753837\
      2386930719073122184771737445275787817914888505866804684390400000000000000\
      00*ep+11617982415309340620050151505525419433/5048106283670555021406846632\
      5359313739960462064393027586431024195693446266434347011712870088462827520\
      00000000000000000*ep^2+52044493652634115467007255568631153789371876335451\
      836987/475510821740392583740443496731229528058279200956085854017362553222\
      31358177426133625861951340557072248756499175912243200000000000000000000*
      ep^3+18086313543902010339604900561748804272141548795235342235512423154169\
      9784393/44791161058482110864707455091507420266343634630554178782111689734\
      4352824398013073220798201416161571251349100668122512973070209248133120000\
      000000000000000000*ep^4+1060596738061916677667145741355221783082244289640\
      4797402542175064552254875483974268617770723/
      8610495720928372083233599858892164121559902802176300671090996487364997239\
      6478954439954904987798457396558364572233025690020601056983032142383974187\
      008000000000000000000000000*ep^5+8996442569400435228961564998425849800993\
      894610999437905533781148617721556900634647087181884837343983375053980871/
      2781981197225660426875654834909747531612276401731918741528388698294762666\
      8861601074840161316833520048200594354295098163728419378102349101539473785\
      5153263847037248890470400000000000000000000000000*ep^6+
      1157739101711638981820969280985714776391490035932526180087191129363090162\
      427167412214007447820933241650574537445888332944977142157/
      1541477479023400894951463130717738164777690877122894463425826000642681018\
      5369984243136179493875863146564562816411115361366364931925096020687709339\
      3769098446465543720878553141400746065920000000000000000000000000000*ep^7+
      5551133231881125698558318217210607893274853830588488898744036332747780326\
      3331197332985998362858387316166501055287260382372595154944113840205707979\
      13/3526305873485434287155808198080907946114202100285546837957607547756072\
      1709968061364732306919055283073444442687444727176729163705592069786054509\
      1593292619184995589487160251884184590232418854981015384883200000000000000\
      0000000000000000*ep^8;
Fill mncpoch(44,33) = 1/1445670519740269548375260346601800678832457890198862093\
      70354328220467200000000000000+1216865528621842739/
      1237965537206835047738766288768713729413032097467335694100997991191320693\
      60455458488320000000000000000*ep+13255464147346649064176475735179242633/
      1832462580972411472770685327610543088760564772937466901387446178303672099\
      471566796525177184211200638976000000000000000000*ep^2+6339549484552289123\
      0257714364447856358008171260393661787/17261042829176250789778098931343631\
      8685155349947059165008302606819699830184056865061878883366222172262986092\
      00856144281600000000000000000000*ep^3+23515035839977531975579390095686157\
      7951510216178444618771753451275061911593/
      1625919146422900624388880619821719355668273937089116689790654337360000752\
      5647874557914974711406665036423972354252847220922448595707232256000000000\
      0000000000000*ep^4+103008259086680520146571121804746485072812761688974783\
      063554793387351805197685520333486909461/
      2187926962687899346349657724144498903288371302032998000524222207439445798\
      5945302323192541357399588024465480437804411827834234728579388467379767840\
      9187328000000000000000000000000*ep^5+133186674330400389547253880676221099\
      1369945557238662230949808219471737330241535209707980325772411309728694371\
      9271/10098591745929147349558627050722383539752563338286865031748050974809\
      9884807967611901669785580105677774968157506091206334334162342511527238588\
      289841420634776474521347240755200000000000000000000000000*ep^6+
      1828628738306780133207481818450104098401650652579727882566817521113109232\
      095154736514407404193820989351135992933393857175701134957/
      5595563248854945248673811164505389538143017883956106902235748382332932097\
      2893042802584331562769383222029363023572348761759904702888098555096384901\
      938182736066992370678914790328470821928960000000000000000000000000000*
      ep^7+85036725174528072029606012563775413188254592499267582295210121536455\
      9983501194279882047315868373513956425774967332508087896633149296723961350\
      830283/116368093825019331476141670536669962221768669309423045652601049075\
      9503816428946025036166128328824341423666608685675996832062402284538302939\
      7988022578656433104854453076288312178091477669822214373507701145600000000\
      0000000000000000000000*ep^8;
Fill mncpoch(44,34) = 1/4915279767116916464475885178446122308030356826676131118\
      5920471594958848000000000000000+1302498148247319299/
      4209082826503239162311805381813626680004309131388941359943393170050490358\
      2554855886028800000000000000000*ep+15183449254132618059810876253547228953/
      6230372775306199007420330113875846501785920227987387464717317006232485138\
      20332710818560242631808217251840000000000000000000*ep^2+77697678725923398\
      158432851131773778594024862430996920267/
      5868754561919925268524553636656834835295281898200011610282288631869794226\
      257933412103882034451553856941527128291089055744000000000000000000000*
      ep^3+30833837184908960621457735165553757037920123717545070505506983492923\
      3768313/55281250978378621229221941073938458092721313861029967452882247470\
      2400255872027734969109140187826611238415060044596805511363252254045896704\
      00000000000000000000000*ep^4+20642854311105589383102522439436384591845118\
      301038471239907401484792793389609160220289449843/
      1062707381876979682512690894584470895882923203844599028826050786470587959\
      3173432556979234373594085611883233355505000030662342582452845827013030094\
      160527360000000000000000000000000*ep^5+1998820591396417788774234613081775\
      9731083382630742056905857604232140283208833963760703434570292414976891739\
      161111/343352119361591009884993319724561040351587153501753411079433733143\
      5396083470898804656772709723593044348917355207101015367361519645391926112\
      0018546083015824001337258061856768000000000000000000000000000*ep^6+
      2936162077970788986373339788640427170101926485585329433195939051401395131\
      323504286546224471037702858803727886719555398869697290237/
      1902491504610681384549095795931832442968626080545076346760154449993196913\
      0783634552878672731341590295489983428014598578998367598981953508732770866\
      658982130262777406030831028711680079455846400000000000000000000000000000*
      ep^7+14609860026720756035859357899998661986821137433161659220414782303826\
      1547438946614307434836776660114445439027291125947643042852505628829977705\
      4524603/39565151900506572701888167982467787155401347565203835521884356685\
      8231297585841648512296483631800276084046646953129838922901216776743022999\
      5315927676743187255650514045938026140551102407739552886992618389504000000\
      0000000000000000000000000*ep^8;
Fill mncpoch(44,35) = 1/1548313126641828686309903831210528527029562400402981302\
      3564948552412037120000000000000000+1397645503386737699/
      1325861090348520336128218695271292404201357376387516528382168848565904462\
      8504779604099072000000000000000000*ep+17482142831481138804460758145250893\
      753/196256742422145268733740398587089164806256487181602705138595485696323\
      281853404803907846476429019588434329600000000000000000000*ep^2+
      95994854904358106347890457883996539863224888157742727467/
      1848657687004776459585234395546902973118013797933003657238920919038985181\
      271249024812722840852239464936581045411693052559360000000000000000000000*
      ep^3+40880859391165051579346806988153045509571426096356854145219555799017\
      0889113/17413594058189265687204911438290614299207213866224439747657907953\
      1256080599688736515269379159165382540100743914047993736079424460024457461\
      76000000000000000000000000*ep^4+20562392605753041048843322327178486128449\
      0277112837284281092089947298015166002401430430530501/
      2343269777038740199940483422558758325421845664477340858561441984167646450\
      2947418788139211793774958774202529548888525067610465394308525048563731357\
      623962828800000000000000000000000000*ep^5+3053351060883539232043650187158\
      8375631762054431151952855955233402185713389228889902067735273283277459607\
      472478711/108155917598901168113772895713236727710749953353052324490021625\
      9402149766293333123466883403562931808969908966890236819840718878688298456\
      7252805842016149984560421236289484881920000000000000000000000000000*ep^6+
      4815986228151533954407499815195662923576466064077289432911378503605021046\
      832770951303933539635997561969161062151968510913234849437/
      5992848239523646361329651757185272195351172153716990492294486517478570276\
      1968448841567819103726009430793447798245985523844857936793153552508228229\
      97579371032774882899711774044179225028591616000000000000000000000000000000
      *ep^7+2573826286092103534756401841116492772545060781288401962630285846471\
      1707103283353350891486830266336725077370865039250250349408007726043028272\
      98309403/1246302284865957040109477291447735295395142448303920818939357235\
      6034285873954011928137339234401708696647469379023589926071388328467405224\
      4852451721817410398552991192447047823427359725843795915940267479269376000\
      00000000000000000000000000000*ep^8;
Fill mncpoch(44,36) = 1/4459141804728466616572523033886322157845139713160586150\
      786705183094666690560000000000000000+1504686277918583399/
      3818479940203738568049269842381322124099909243996047601740646283869804853\
      009376525980532736000000000000000000*ep+289517544405888247278978661623571\
      2379/80745631167968339136167478275830970663145526154716541542736428400773\
      00739111511932208540744508234495583846400000000000000000000*ep^2+
      119857295193556624441958969310456690777633135570752590567/
      5324134138573756203605475059175080562579879738047050532848092246832277322\
      06119719146064178165444965901735341078567599137095680000000000000000000000
      *ep^3+5499343887305645633030700801207778417593778171679639537160000470542\
      85520013/5015115088758508517915014494227696918171677593472638647325477490\
      5001751212710356116397581197839630171549014247245822195990874244487043748\
      98688000000000000000000000000*ep^4+29812670206118530058208039965640523533\
      0705918560557804253422790712353539644979220713995949801/
      6748616957871571775828592256969223977214915513694741672656952914402821776\
      8488566109840929966071881269703285100798952194718140335608552139863546309\
      95701294694400000000000000000000000000*ep^5+47733923968255338464159931580\
      7696080755584779746973565165704754255110745479671375612451600709107089121\
      76355851011/3114890426848353641676659396541217758069598656567906945312622\
      8270781913269247993955846242022612436098333378246438820411412703706222995\
      55368808082500651195553401316051371645992960000000000000000000000000000*
      ep^6+81221178824497184085410924389843421567364917001826247113482372787695\
      13960903254254256587780871875453740320974535939384971143733537/
      1725940292982810152062939706069358392261137580270493261780812117033828239\
      5446913266371531901873090716068512965894843830867319085796428223122369730\
      2330285885743916627511699092472361680823438540800000000000000000000000000\
      0000*ep^7+468522091646329351597164099876699788259392480891120267445814601\
      4769819796275003223195333155961090025735829111248453279562004922834055754\
      088325037303/358935058041395627551529459936947765073801025111529195854534\
      8838537874331698755435303553699507692104634471181158793898708559838598612\
      7046517506095883414194783261463424749773147079601043013223790797034029580\
      28800000000000000000000000000000000*ep^8;
Fill mncpoch(44,37) = 1/1154917727424672853692283465776557438881891185708591813\
      053756642421518672855040000000000000000+232431227381323457/
      1412837577875383270178229841681089185916966420278537612644039125031827795\
      61346931461279711232000000000000000000*ep+2370672393826179214612724680355\
      2584253/14639182930752659885387163811408154981228283891850108981698114469\
      060146240009171133094084369793429140493513523200000000000000000000*ep^2+
      3097109744745612416473844703200720027950406925101152183/
      2814185187531842564762893959849685440220793575824869567362563044754203727\
      3752042297720535131602091054806010885581430240103628800000000000000000000\
      00*ep^3+75414887667738609168507418325922919304012031995057206782043381632\
      7969989613/12989148079884537061399887540049735018064644967094134096572986\
      7003954535640919822341469735302404642144311946900366679487616364293221443\
      3098760192000000000000000000000000*ep^4+310171146138893335605917677952167\
      1086346109614002124916444556850169542516647710774522435483007/
      1223524254462115962957723776188520307069064182632856665252705563381231588\
      1426977035714160602848832074197205588774850032902398842845830502957260945\
      995206447280947200000000000000000000000000*ep^5+
      7695076852197628961073219684624289227098191413190130679659133007377918514\
      9063436408222184167991988259453605602211/
      8067566205537235931942547837041753993400260520510878988359693122132515536\
      7352304345641766838566209494683449658276544865558902599117558484052129336\
      7668659648330940857305256312176640000000000000000000000000000*ep^6+
      2030464076820972952928037552020214067279628635432739113187418609056210719\
      938084848057884041884333124151617299948496948813924631991/
      6385979084036397562632876912456626051366209047000825068589004833025164486\
      3153579085574668036930435649453497973810922174209080617446784425552768001\
      8622057777252491521793286642147738219046722600960000000000000000000000000\
      00000*ep^7+89078741810508385145946996180888249695564433250653877241109713\
      1337630604430762217909815710389808322868794858091700002645947506076364567\
      8205386074903/92964180032721467535846130123669471154114465503886061726324\
      5349181309451909977657743620408172492255100328035920127619765516998197040\
      6905048034078833804276448864719027010191245093616670140424961816431813661\
      29459200000000000000000000000000000000*ep^8;
Fill mncpoch(44,38) = 1/2633212418528254106418406301970550960650711903415589333\
      76256514472106257410949120000000000000000+36117135191395751/
      4601813825079819794294805770046976205558119197478665366897727435817953391\
      426728624738824880128000000000000000000*ep+280727335218222586418686770021\
      85561453/3337733708211606453868273349001059335720048727341824847827170098\
      945713342722091018345451236312901844032521083289600000000000000000000*
      ep^2+27975806029109114292286284459927329375920396458851269681/
      4491439559300820733361578759920097962592386547016491829510650619427709148\
      8908259507161974070036937323470393373387962663205391564800000000000000000\
      00000*ep^3+10615895430829273002165059708203710059652248603659212680182512\
      58501672750813/2961525762213674449999174359131339584118739052497462574018\
      6409676901634126129719493855099648948258408903123893283602923176531058854\
      4890746517323776000000000000000000000000*ep^4+476833417631100255419220710\
      2154882643091412092287168383077833985470907095114101695162063609807/
      2789635300173624395543610209709826300117466336402913196776168684509208020\
      9653507641428286174495337129169628742406658075017469361688493546742554956\
      86907069980055961600000000000000000000000000*ep^5+
      1293524700237669774216768248958036230210323527385704701161931183082380189\
      79842836088036145758329961000474232338611/
      1839405094862489792482900906845519910495259398676480409346010031846213542\
      3756325390806322839193095764787826522087052229347429792598803334363885488\
      7828454399819454515465598439176273920000000000000000000000000000*ep^6+
      5338532104437565633100684954949679927682829045539068849754002734027399278\
      44254710964378828781280589451411765529829087133573462913/
      2080004615943283777543279908628729628159279518165983022340418717042482146\
      9712880045015749017743056182964853625755557508170957686825524070037187292\
      0351184533162240095669813363442406162775218218598400000000000000000000000\
      0000000*ep^7+179747318806951616196475178867423121524734685226086151195802\
      9362368144508089661974215017516413812139864190199347427697060845775859713\
      6610232365232103/
      2119583304746049459817291766819663942313809813488602207360199396133385550\
      3547490596554545306332823416287479218978909730653787558892527743509517699\
      7410737503034115593815832360388134460079201689129414645351477516697600000\
      000000000000000000000000000*ep^8;
Fill mncpoch(44,39) = 1/5134764216130095507515892288842574373268888211660399200\
      8370020322060720195135078400000000000000000+277286409089906417/
      6281475871233954019212409876114122520586832704558378225815397949891506379\
      297484572768495961374720000000000000000000*ep+338189658282745372651401687\
      03540257293/6508580731012632585043133030552065704654095018316558453262981\
      69294414101830807748577362991081015859586341611241472000000000000000000000
      *ep^2+37077541173650787477026667853114284195028414607864433361/
      8758307140636600430055078581844191027055153766682159067545768707884032840\
      3371106038965849436572027780767267078106527193250513551360000000000000000\
      0000000*ep^3+155054677799848957917854854722352942160492590423445808773071\
      7624835750547453/57749752363166651774983900003061121890315411523700520193\
      3634988699581865459529530130174443154491038973610915919030257001942355647\
      66253695570878136320000000000000000000000000*ep^4+76894365902517664758708\
      17515907410469022437979912296917216404678597816166613941405774486046767/
      5439788835338567571310039908934161285229059355985680733713528934792955640\
      8824339900785158040265907401880776047692983246284065255292562416147982165\
      8946878646110912512000000000000000000000000000*ep^5+
      2307563262185236282668363420724246833090523580877639387718200812884191152\
      54446652047879371600036632605688863692691/
      3586839934981855095341656768348763825465755827419136798224719562100116407\
      6324834512072329536426536741336261718069751847227488095567666502009576703\
      126548607964793630515791695639373414400000000000000000000000000000*ep^6+
      4347136114201680707608809327807879841491498244362671266374268038264940963\
      52202376626064882774208885209112156411068261964506425463/
      1670121353389754327262692397222479966139656789586215779702747969860581253\
      3034165447909704358364277464557073646562550587443151319127553150353388619\
      7811392286921445723876056024175814360110689922580480000000000000000000000\
      000000000*ep^7+3949116644303071650239922588832708921533958647839024691140\
      8494879975914519124208243414856451506361265832416638697486935862408123858\
      923255071693359943/
      4133187444254796446643718945298344687511929136302774304352388822460101823\
      1917606663281363347349005661760584477008873974774885739840429099843559514\
      4950938130916525407940873102756862197154443293802358558435381157560320000\
      00000000000000000000000000000*ep^8;
Fill mncpoch(44,40) = 1/8215622745808152812025427662148118997230221138656638721\
      339203251529715231221612544000000000000000000+307869487527576617/
      1005036139397432643073985580178259603293893232729340516130463671982641020\
      687597531642959353819955200000000000000000000*ep+417939762209956962135760\
      57491163507093/1041372916962021213606901284888330512744655202930649352522\
      0770708710625629292923977237807857296253753381465779863552000000000000000\
      0000000*ep^2+51137614156527967487454517500432234296054243604906447961/
      1401329142501856068808812573095070564328824602669145450807322993261445254\
      4539376966234535909851524444922762732497044350920082168217600000000000000\
      0000000000*ep^3+239351349136040595162507251249526574045883389754767586129\
      5873504742819673253/92399603781066642839974240004897795024504658437920832\
      3093815981919330984735247248208279109047185662357777465470448411203107769\
      0362600591291340501811200000000000000000000000000*ep^4+
      1332591442553984701021063176964346684039283907884060567063878036370877464\
      6808123677948773412967/87036621365417081140960638542946580563664949695770\
      8917394164629566872902541189438412562528644254518430092416763087731940545\
      04408468099865836771465431500583377746001920000000000000000000000000000*
      ep^5+45042442124257528341814028183068576063256921709442167595886447161274\
      4127378652021614868913815653421174187635245291/
      5738943895970968152546650829358022120745209323870618877159551299360186252\
      2119735219315727258282458786138018748911602955563980952908266403215322725\
      00247777274366980882526671302299746304000000000000000000000000000000*ep^6
      +163036031268571346606693229332312691461758860565971058377360167243527637\
      29656866637701844642303755373636383607497891650534678133471/
      4542730081220131770154523320445145507899866467674506920791474478020781008\
      9852930018314395854750834703595240318650137597845371588026944568961217045\
      8046987020426332368942872385758215059501076589418905600000000000000000000\
      000000000000*ep^7+9882627685922342586927619701484386162355998835377971448\
      0767001223255646612772022933058757419660817760684011536445764304409178541\
      971925287707325799743/
      6613099910807674314629950312477351500019086618084438886963822115936162917\
      1068170661250181355758409058816935163214198359639817183744686559749695223\
      1921501009466440652705396964410979515447109270083773693496609852096512000\
      0000000000000000000000000000000*ep^8;
Fill mncpoch(44,41) = 1/1010521597734402795879127602444218636659317200054766562\
      724721999938154973440258342912000000000000000000+348646925444470217/
      1236194451458842150981002263619259312051488676257088834840470316538648455\
      44574496392084000519854489600000000000000000000*ep+5383571453956757155699\
      5507716314293493/12808886878632860927364885804126465306759258996046987036\
      0215479717140695240302964920025036644743921166592029092321689600000000000\
      00000000000*ep^2+75285721737365017948267640387130832814498839670693240761/
      1723634845277282964634839464906936794124454261283048904493007281711577662\
      9783433668468479169117375067254998160971364551631701066907648000000000000\
      000000000000*ep^3+4048221308370153681417830437974960526867694084881681637\
      011746025139615627653/113651512650711970693168315206024287880140729878642\
      6237405393657760777111224354115296183304128038364700066282528651545779822\
      555914599872728834881722777600000000000000000000000000*ep^4+
      2603677359238489571605728922060682598971581928571532342231317774876553402\
      2540825920782214914567/10705504427946300980338158540782429409330788812579\
      8196839482249436725367012566300924745191023243305766901367261859791028687\
      04042241576283497922890248074571755462758236160000000000000000000000000000
      *ep^5+1022687684432488105194520900096767961840332851719111680049401312740\
      309652149533204031911814865184364936233304622091/
      7058900992044290827632380520110367208516607468360861218906248098213029090\
      2207274319758344527687424306949763061161271635343696572077167675954846951\
      7530476604747138648550780570182868795392000000000000000000000000000000*
      ep^6+43287627783533136325119685830671527743694328408418879381382621221165\
      660113556087560671217914675722152300581601196970852401691174271/
      5587557999900762077290063684147528974716835755239643512573513607965560641\
      0519103922526706901343526685422145591939669245349807053273141819822296966\
      3397794035124388813799733034482604523186324204985253888000000000000000000\
      00000000000000*ep^7+30888014484622532222910621032596530905102294696111807\
      6990690867833868654782608038952684656225774251194992405023772625147257418\
      308179617132522509106143/
      8134112890293439406994838884347142345023476540243859830965501202601480388\
      0413849913337723067582843142344830250753463982356975136005964468492125124\
      5263446241643722002827638266225504803999944402203041643000830118078709760\
      000000000000000000000000000000000*ep^8;
Fill mncpoch(44,42) = 1/8488381420968983485384671860531436547938264480460039126\
      8876647994805017768981700804608000000000000000000+8363532292241033/
      2119190488215157973110289594775873106373980587869295145440806256923397352\
      19270565243572572319750553600000000000000000000*ep+7506720205604862724951\
      0779697759993093/10759464978051603178986504075466230857677777556679469110\
      2581002962398184001854490532821030781584893779937304437550219264000000000\
      0000000000000*ep^2+125793016566049621226338046164968182037878031296955669\
      961/144785327003291769029326515052182690706454157947776107977412611663772\
      5236901808428151352250205859505649419845521594622337062889620242432000000\
      000000000000000000*ep^3+8195435740939746228397974128339743613771425537597\
      469899439854104939737079253/954672706265980553822613847730604018193182130\
      9805980394205306725190527734284574568487939754675522263480556773240672984\
      5505094696826389309222130064713318400000000000000000000000000*ep^4+
      6463558832317598772829967776194907048064503334915740369715563900516473578\
      7549514929125974446967/89926237194748928234840531742572407038378626025670\
      4853451650895268493082905556927767859604595243768441971484999622244640971\
      1395482924078138255227808382640274588716918374400000000000000000000000000\
      00*ep^5+31536298628542462162358629575634469618676990597870170854748305256\
      79025314920547389799328745003483726255514618127291/
      5929476833317204295211199636892708455153950273423123423881248402498944435\
      7854110428597009403257436417837800971375468173688705120544820847802071439\
      472560034798759646478265567895360978812928000000000000000000000000000000*
      ep^6+34306594002631151521359468438776584008281683244844993569820138215001\
      31979298436144993171532831010109699998715262263209723261048479/
      9578670856972734989640109172824335385228861294696531735840309042226675384\
      6604178152902926116588902889295106729039432992028240662753957405409651942\
      2967646917356095109370970916255893468319412922831863808000000000000000000\
      00000000000000*ep^7+15324586487908168265303863943046550174936978258759179\
      0278193055480201101502621022842661393287171180261404989186256733624322389\
      9285650143974205413185743/
      6832654827846489101875664662851599569819720293804842258011021010185243525\
      9547633927203687376769588239569657410632909745179859114245010153533385104\
      6021294842980726482375216143629424035359953297850554980120697299186116198\
      40000000000000000000000000000000000*ep^8;
Fill mncpoch(45,0) = 1;
Fill mncpoch(45,1) = 1/44+1/1936*ep+1/85184*ep^2+1/3748096*ep^3+1/164916224*
      ep^4+1/7256313856*ep^5+1/319277809664*ep^6+1/14048223625216*ep^7+1/
      618121839509504*ep^8;
Fill mncpoch(45,2) = 1/3784+87/7159328*ep+5677/13545448576*ep^2+329295/
      25627988705792*ep^3+17907781/48488154631358464*ep^4+934950807/
      91739588562530213888*ep^5+47459198557/173571301560307164676096*ep^6+
      2360023347615/328396902552101155567173632*ep^7+115529227572661/
      621326939628575386333092511744*ep^8;
Fill mncpoch(45,3) = 1/476784+2773/18943581888*ep+5126815/752666395574016*ep^2+
      7899567985/29904941228946803712*ep^3+10955714470471/
      1188183124908514405085184*ep^4+14182539414885073/
      47208891918865094342844530688*ep^5+17487073652483966455/
      1875703693720347928429898893295616*ep^6+20793382683131668446145/745254591\
      58896863892376742828421414912*ep^7+24040185744808278761582791/29610455433\
      01290196171912746058839657283584*ep^8;
Fill mncpoch(45,4) = 1/78192576+153425/127376644614912*ep+14714058115/
      207498082597427026944*ep^2+1129065082119365/338016866528199796016099328*
      ep^3+75818244520559213611/550633531776835806107777998503936*ep^4+
      4655545628432206084579925/896988630866846850179243652898893791232*ep^5+
      268039561628211861394926815755/146120524354566392110419006149613277264242\
      2784*ep^6+14699348008595181272288241272216405/238032087619880907544577886\
      0457938240227778424209408*ep^7+775993580743978385637105507785987860171/
      3877571271178374369610079113032306888589933786378216144896*ep^8;
Fill mncpoch(45,5) = 1/15638515200+1941503/254753289229824000*ep+2262088732759/
      4149961651948540538880000*ep^2+2050307504801666027/
      67603373305639959203219865600000*ep^3+1593176327458585030603831/110126706\
      3553671612215555997007872000000*ep^4+1114380401729711737926494486243/
      17939772617336937003584873057977875824640000000*ep^5+
      721874323373842155800705474760920479/292241048709132784220838012299226554\
      528484556800000000*ep^6+440978963902919152199187119434973197834187/
      4760641752397618150891557720915876480455556848418816000000000*ep^7+
      257189364060753372054286102729849925754666158311/775514254235674873922015\
      82260646137771798675727564322897920000000000*ep^8;
Fill mncpoch(45,6) = 1/3659412556800+3407731/86106611759680512000*ep+
      548830036589431/164114383487956984150548480000*ep^2+831632737770148240951/
      3861639889964765749606325162803200000*ep^3+86144900371157388847718129551/
      7360069532904601090458307790346788732928000000*ep^4+
      97947988590092147560956141051970471/1731837118546309671226729950802102656\
      62509547520000000*ep^5+8271102944603467366675295949345859443461071/
      330078463434411238186894543842076077786276723538840780800000000*ep^6+
      8064799538491035634570867151870270745690466680391/77668034582120250658189\
      14344991649403497907592834336971292672000000000*ep^7+60392692215270060422\
      3330776944175352797011849672045282991/14803092761030598230528167515107338\
      030366392129033351257786919294074880000000000*ep^8;
Fill mncpoch(45,7) = 1/973403740108800+229535927/1305548447500275922944000*ep+
      271041415214038771/15759247788814557360040568340480000*ep^2+
      26678984065843794426574187/21136616428204125964686727864750384742400000*
      ep^3+19701264673527926665075855916298451/25513965134497769797675815645917\
      8505287400030208000000*ep^4+1422948008780799018355393073996221159460147/
      342198372560152826683063817395200619760146034027570135040000000*ep^5+
      841131204298169577165374677412770114785621906427531/413066934163191120286\
      9676860792195990295658232868401798889393356800000000*ep^6+513146337142891\
      51125896450856040616563141862071023358912907/5540135838703230947683523654\
      870485811040823899608769916498216291280093184000000000*ep^7+
      26557301003292901877736000787597496631394052373457367509223662823011/
      6687486292292322090537943686926298955523288855160965790918012906964258463\
      9699681280000000000*ep^8;
Fill mncpoch(45,8) = 1/288127507072204800+1092672131/
      1588707399669224656453632000*ep+489762297765971384179/6386025425974590191\
      665079265202667520000*ep^2+223138834458376236340139396959/352119308281773\
      09264091771183758618505956556800000*ep^3+61164879404627635063162076694928\
      231163131/141539144094889005235674436807236372207789922692338024448000000
      *ep^4+6692903620348907322169504480244971001974866556517/26014441528723112\
      5480514580540213279991636718578118319873133117440000000*ep^5+
      4339439804202018264428992075910630315174378598295344913150459/
      3137057555334804768182323206081103158368021501648184173841952528037152240\
      435200000000*ep^6+1187948604038761283721525723080025218274698914361719237\
      429701868197839/172974340492235430896869070997231733987063572653651003394\
      17055579880931183106057043968000000000*ep^7+22233929714221970627875766893\
      6053557823146222387153591713323795219327703179961051/
      6952938827216312112410633422525200238911930154213025377616244495673929510\
      8274210275784395304468480000000000*ep^8;
Fill mncpoch(45,9) = 1/93353312291394355200+100912726501/
      41694036996919131883969118208000*ep+5659812612979074826501/18621650142141\
      904998895371137330978488320000*ep^2+232885452360977377219085521752001/
      8316917213892167738941419986519050656632914889932800000*ep^3+784359826761\
      6194539763721921333281305777501/37145532976262670534050399195691113522212\
      38731137719113613312000000*ep^4+22904632878648624584403898436373869941657\
      6873012683001/16590168984559367586778817903624578287844249122944853363803\
      72844785172480000000*ep^5+60050653961506988762902155275826628265035520567\
      61131322669838501/7409604463398595470255920119835322415938932066032945091\
      24773819312263210581832499200000000*ep^6+14464772320254569852363277628662\
      9049581655579103717148357599674799072244001/33093236334792272267254678545\
      5423387790548587612664194421285019639390070159718378214122323968000000000
      *ep^7+3253308846643025399477471162610227393108567215645181412016746224962\
      978028259479899501/147803070530986565013264777468008597606703802923404976\
      788230183641017950926545418332692539300008133918720000000000*ep^8;
Fill mncpoch(45,10) = 1/32673659301988024320000+22734695129/
      2918582589784339231877838274560000*ep+1015767331430216203483/931082507107\
      095249944768556866548924416000000*ep^2+64723823419267289443879975246373/
      582184204972451741725899399056333545964304042295296000000*ep^3+1197322063\
      9085305624154680072152758550051061/13000936541691934686917639718491889732\
      77433555898201689764659200000000*ep^4+10909531251646205500869977251944453\
      466325132309277851/165901689845593675867788179036245782878442491229448533\
      63803728447851724800000000*ep^5+10877548101481693666552828399139400818212\
      021329706774136894172541/259336156218950841458957204194236284557862622311\
      153078193670836759292123703641374720000000000*ep^6+5669067716546940922215\
      3400542345209781865505979456521639194665174045259781/
      2316526543435459058707827498187963714533840113288649360948995137475730491\
      1180286474988562677760000000000*ep^7+981483771029035135703767103092475892\
      927252946628223551782800032472614475299678112403/
      7390153526549328250663238873400429880335190146170248839411509182050897546\
      327270916634626965000406695936000000000000*ep^8;
Fill mncpoch(45,11) = 1/12219948578943521095680000+431152439197/185563481058488\
      28836279295749652480000*ep+362329610276040355273687/100636983863177497185\
      530254237477807044427776000000*ep^2+86253255486233632887170434304858357/
      213948270727418224451030912317769750006932406832799835750400000*ep^3+
      1481552429296555307443947570366570959290250594281/40610835661609587679278\
      202191113225976677093480292965045731953790156800000000*ep^4+2494283376133\
      7195734655748684282145932825165444512702710039/88098196689021567338892185\
      07517819387412333338081959387801281153080246000838246400000000*ep^5+
      457509730148795609582682775275936746347902980986999868991805733198470129/
      2341144392483709686203041428922764927586322283420092438528834819401366110\
      117889033351012024320000000000*ep^6+4369596138033781978895850955737425338\
      8947329505970928337401463731440391223087929129/
      3555095999981660911047036373394402417625435703647067327305566483378211884\
      671978004349088782764142514667520000000000*ep^7+1381650774123156822872073\
      0159700594356458513189811062135340079536027444782134095355870304335423/
      1928041750140661648169523505685003113566975639637507463188557201491153320\
      2620892266908396758780951757873464395956224000000000000*ep^8;
Fill mncpoch(45,12) = 1/4839099637261634353889280000+477168473989/7348313849916\
      136219166601116862382080000*ep+440748899921480966078287/39852245609818288\
      885469980678041211589593399296000000*ep^2+
      573236894424426323858421756238620913/423617576040288084413041206389184105\
      013726165528943674785792000000*ep^3+1946367864767151018887902227998840030\
      87083701971/1461990083817945156454015278880076135160375365290546741646350\
      336445644800000000*ep^4+6242751562304730048750642163854008111213495485815\
      7614559/55819017422164065065922088463632903638644544030087294681108917385\
      91643866131112919040000*ep^5+77170765383969993698992368802745821734473937\
      0878660986428785235653095129/92709317942354903573640440585341491132418362\
      4234356605657418588482940979606684057207000761630720000000000*ep^6+
      7920688762867814448032704573907072456960915425449558389928148496554913552\
      1637657297/14078180159927377207746264038641833573796725386442386616130043\
      27417771906330103289722239157974600435808337920000000000*ep^7+
      2683360380154331063363763050351364369768631343272736074648183609308506600\
      1952672166570749611223/76350453305570201267513130825126123297252235329645\
      2955422668651790496714823787333769572511647725689611789190079866470400000\
      0000000*ep^8;
Fill mncpoch(45,13) = 1/2013065449100839891217940480000+2098490039473/
      12227594246260450668693224258459003781120000*ep+8474579850535131039561667/
      265256546778950530821688191393042304340333665714176000000*ep^2+9589489139\
      850290925105972783115615661/225567886889932599188256181578112752237708908\
      6208519279499385241600000*ep^3+705115610519542445623270928121540504347501\
      18837951/1556960959662758873817268111396125880900393349019820657983697254\
      30115388620800000000*ep^4+87122822144071817215263005765036918231419149097\
      89725476095313/2123036456925280097593013833222517752107531914652920190842\
      63402354662751845535357652172800000000*ep^5+51867360188112981510534282893\
      47106999591812713528184983508914704579396529109/
      1579707443774244449756545977692244390342084147943392657217479199985268521\
      027094805701068049770002513920000000000*ep^6+2282251875439741300747112606\
      294513015811751165754906814860080281488911425077116989290401/
      9595327195594406163943335264378884532960358827229237792456864566571714363\
      937963516304613207530435072758064328212480000000000*ep^7+
      3305739378489415056500240701963124439724955414034454055368727706572283490\
      884466863221758175829968803/208154057605888106347138006537027369642602855\
      7738471780881728530971666896431975830966384491531166593046965800620683766\
      57199104000000000000*ep^8;
Fill mncpoch(45,14) = 1/873670404909764512788586168320000+71127307816207/
      164510052989188103296598639173307436871188480000*ep+
      9687055381326430502799335587/11063160899128401369192478073706172604044032\
      3294074241024000000*ep^2+1840284481598652701037569650412655717227551/
      1458216763279342107544562759470401869415248182989064553465786230395371520\
      00000*ep^3+90523685793988221833825752940726933603869074678429663071/
      6240425858140604602514632123610231212302752800787780665446847392434238771\
      5479909171200000000*ep^4+261002893590964846818994628487126416897640744775\
      4200864252266046480393/18465186170100163479984422365315265051416144804378\
      556166366189838808031458097212986531578009511526400000000*ep^5+
      7377630820730344673512999132528701682897414053222745465408986070547897410\
      664409363829/608466338323690237254295283326663079205807030241995150302455\
      659267091655852278082705324113034227900565732122951680000000000*ep^6+
      1076033049349418361468659435954096715570966702926395917501961671332790311\
      78814390994864254674139487/1145727599301089587695073887764330157853527287\
      8716433380470707810195535181618959598220189828002808763901404922923419509\
      1968491520000000000*ep^7+515370341630762478618727926459393291143042131612\
      8801740477086672129396763344758596043804466817325661651478470723/
      7704920488034317933993688653402960627441586754878752440240882000017611835\
      1852594240712725159924692009191140361502200849715784481425353342976000000\
      000000*ep^8;
Fill mncpoch(45,15) = 1/393151682209394030754863775744000000+387019474809179/
      370147619225673232417346938139941732960174080000000*ep+
      2284434142078900684154719511/99568448092155612322732302663355553436396290\
      96466681692160000000*ep^2+2342130230590932133982844715253347797550639/
      6561975434757039483950532417616808412368616823450790490596038036779171840\
      0000000*ep^3+123934105109251089730916023204678663061304775426237610351/
      2808191636163272071131584455624604045536238760354501299451081326595407447\
      1965959127040000000000*ep^4+191620841948132950069676365393433820977336174\
      39274016149803373961059677/4154666888272536782996495032195934636568632580\
      9851751374323927137318070780718729219696050521400934400000000000*ep^5+
      2317433603530422386305270296345533797279262339261799138891153482565858307\
      612247302049/547619704491321213528865754993996771285226327217795635272210\
      09334038249026705027443479170173080511050915891065651200000000000*ep^6+
      1803311747687782262278850095169170309196372984197517788685166811404270570\
      75253884817005587992306543/5155774196854903144627832494939485710340872795\
      4223950212118185145879908317285318191990854226012639437556322153155387791\
      385821184000000000000*ep^7+9196076035985674803303181550037426448166137117\
      436697321131923688617224246736974183696117301669506806018450218003/
      3467214219615443070297159894031332282348714039695438598108396900007925325\
      8333667408320726321966111404136013162675990382372103016641409004339200000\
      000000000*ep^8;
Fill mncpoch(45,16) = 1/182422380545158830270256791945216000000+
      12165052841310511/4980706364300659015407820399611055958712102420480000000
      *ep+2248444889015489747613821155823/3885399808831333166302589007450525748\
      416430624539614396641443840000000*ep^2+7194040249633411045777100121679451\
      6594484862091/74258568759526298291968264301830941931335802808113576783668\
      1020590593510106726400000000*ep^3+118443069993038904933286817188702754024\
      700424822704797478335231/921587793118378588456296438006402266303945249811\
      3035035797559568146570378425441769322037903360000000000*ep^4+
      5682706659991817187533359700360215249486253874017739562388698627118454379\
      27033/3954068409809610051770610410257260421156291322000645323222667595133\
      04926321602836501749494107575765956978278400000000000*ep^5+
      2127491627313123210112406479905626641978234326713538203809989076615237349\
      513869549781529988313/151141954669542763157771386795397493475448273657237\
      3569933712264829270814696962177965545878565761499402890755272002237659873\
      2800000000000*ep^6+511369844948205309233050951953846235469548606348221500\
      7785278766489960792553755846976080971026103824316821947/
      4126652076821673577416243524668532658176221888793667024334076350883791463\
      0082447837972708393409713370376631527237956496466702755986185545318400000\
      0000000*ep^7+803922268831569362425097249664653532325575624789377891588743\
      4060520035475283491153204464335644702591895082602710830174230483/
      8047901250171192022711824838194608094668150108920752765584513414945383722\
      3793563108976106135778870130672306002504993526901376139589781148334330758\
      31852236800000000000000*ep^8;
Fill mncpoch(45,17) = 1/86833053139495603208642232965922816000000+
      13140165487149271/2370816229407113691334122510214862636346960752148480000\
      000*ep+18301742530095085105023371599553/129461521630260021101202265728251\
      51793723546840965995169609290874880000000*ep^2+89786663078314890560572997\
      466741926405010936371/353470787295345179869768938076715283593158421366620\
      625490260165801122510810801766400000000*ep^3+2260564055714380048403923790\
      2409434129787723910394158359602433/62667969932049744015028157784435354108\
      6682769871686382434234050633966785732930040313898577428480000000000*ep^4+
      1158205959599004158361324060246816650030937260483169026961661135908950109\
      51559/2688766518670534835204015078974937086386278098960438819791413964690\
      4734989868992882118965599315152085074522931200000000000*ep^5+
      6468570558900224053426794743806104818176548588093418301972406284723592380\
      07058324944903866269/1438871408454047105261983602292184137886267565216899\
      6385768940761174658155915079934231996763946049474315519990189461302521993\
      62560000000000*ep^6+82674909257240050972368970513170256525525794874824902\
      68423757438626871170057371878861555615721496016200754147/
      1964286388567116622850131917742221545291881619065785503583020343020684736\
      3919245170875009195263023564299276606965267292318150511849424319571558400\
      0000000000*ep^7+965832335733632245658589044298300742045706198449904376499\
      63356595445169846642253858144411961386467903050789348097978036301981/
      2681560696557041181967580036086443417143427616292394821492759869859801856\
      2968015227910838564441519527540012360034663843163538529711315078624999008\
      671731653017600000000000000*ep^8;
Fill mncpoch(45,18) = 1/42200863825794863159400125221438488576000000+
      42454180248501733/3456650062475571761965150619893269723793868776632483840\
      000000*ep+190474194433364659513710761284649/56626469561075733229665871029\
      537213945746793882385262871871038286725120000000*ep^2+3002078378619156433\
      124837594759678260469526556097/463824367088951945025110800544265795130942\
      4805172795847683193895642329586859340778700800000000*ep^3+242244367114696\
      3059009951937179878667320091842755039279805962673/
      2466987304345070222895598459342082149841835391876880613090605763725673648\
      7162523966996931399049543680000000000*ep^4+396927203885856748454232113536\
      76248490811425804747717313229141178975862195744517/
      3175379483219528229679237727967821200280466709310299037397264064020155392\
      833548321392485599347920830943131009128857600000000000*ep^5+
      3537862559326917612073260020960239545232882990077094042303327633437349468\
      795205647469250741445577/254891753393409082555844609195253543474138640375\
      4781202749810549019807168345888665109395530742750826226571419702092501357\
      863604794163200000000000*ep^6+2881375894161355628928740563069568416247191\
      7721668125344077611606745928838647491978485963175455629675169893831329/
      2087804645252994050328193912993687920502925719035880227619327828230511433\
      9857215145709971523479553012069543718564457230193700452335539819634857135\
      3088000000000000*ep^7+107074176220110093245837470796537703428704204642829\
      7542694231543220819804183301707094911947178350332001213983606367137087718\
      595741/855054778883382313671619621174689345630072189498027957797360278798\
      8977749873370988441698374515219347541235025177509072484804447860986598019\
      7288589005082448467958169600000000000000*ep^8;
Fill mncpoch(45,19) = 1/20847226729942662400743661859390613356544000000+
      45604544181211573/1707585130862932450410784406227275243554171175656447016\
      960000000*ep+219208376664596927770066013080313/27973475963171412215454940\
      288591383689198916177898319858704292913642209280000000*ep^2+2840511186316\
      28917675481556525787708743474764309/1762532594938017391095421042068210021\
      49758142596566242211961368034408524300654949590630400000000*ep^3+
      3177848683444273524927655055058237141137116395032614226942735873/
      1218691728346464690110425638914988582021866683587179022866759247280482782\
      4658286839696484111130474577920000000000*ep^4+554248887650507003450856935\
      89533891668734389248501318425641211846419063188457877/
      1568637464710446945461543437616103672938550554399287724474248447625956764\
      059772870767887886077872890485906718509655654400000000000*ep^5+
      5249026550617649017356178835293182319908117316535977305673411715158221067\
      658651125183966314860441/125916526176344086782587236942455250476224488345\
      4861914158406411215784741162869000564041392186918908155926281332833695670\
      784620768316620800000000000*ep^6+3488469451424287621760921954555784951773\
      465277513174878785504998171220056566903831823351110245808097240341636213/
      7933657651961377391247136869376014097911117732336344864953445747275943449\
      1457417553697891789222301445864266130544937474736061718875051314612457114\
      17344000000000000*ep^7+17850884043093661314646391145438439885124706307097\
      1651275330967604991343632874181450166340686803273933058033758521212156447\
      1930541/42239706076839086295378009286029653674125566161202581115189597772\
      6655500843744526829019899701051835768537010243768948180749339724332737942\
      17460562968510729543171335782400000000000000*ep^8;
Fill mncpoch(45,20) = 1/10423613364971331200371830929695306678272000000000+
      244404613356149033/426896282715733112602696101556818810888542793914111754\
      2400000000000*ep+31404857173381164855826205880079669/17483422476982132634\
      65933768036961480574932261118644991169018307102638080000000000000*ep^2+
      217106640885137639973533470879124910159077431790309/
      5507914359181304347173190756463156317179941956142695069123792751075266384\
      3954671747072000000000000000*ep^3+369517620085542196259047144075683600517\
      289567185547726478682336679/544058807297528879513582874515619902688333340\
      887133492351231806821644099315102091057878754961181900800000000000000000*
      ep^4+23979015440798844123423786747872994181807000015552579543267538301555\
      4015996954727417/24509960386100733522836616212751619889664852412488870694\
      9101319941555744384339511057482482199667639138422924767133696000000000000\
      0000000*ep^5+602562808752022470923986848662532997543495037316667083333630\
      737732763088021608360284141131190190452869/
      4918614303763440889944813943064658221727519075995554352181275043811659145\
      1674570334532866882301519849840870364563816237140024248762368000000000000\
      000000000*ep^6+2122000235416495835697153143470141184736703389932462560655\
      496514387989926627023115414027715345109178181823776434715509/
      1549542510148706521727956419800002753498265182096942356436219872514832704\
      9112776865956619490082480751145364478622058100534387054467783459885245530\
      11200000000000000000000000*ep^7+11492110931969414104018137546968184975346\
      1369044938618548478459811518643119275787796780680037518045930106432970074\
      0332508976941383396781/82499425931326340420660174386776667332276496408598\
      7912406046831497374025085438528962929491603616866735423848132361226915526\
      0541490873787933097766204787251863900651520000000000000000000000000*ep^8;
Fill mncpoch(45,21) = 1/5253501135945550924987402788566434565849088000000000+
      261469084658327333/215155726488729488751758835184636680687825568132712324\
      1369600000000000*ep+35866688864940020042921483209553569/
      8811644928398994847868306190906285862097658596037970755491852267797295923\
      20000000000000*ep^2+264187108795901252019560952728536804842803604048209/
      2775988837027377390975288141257430783858690745895918314838391546541934257\
      7353154560524288000000000000000*ep^3+334775026753243787087249489136410694\
      4754920903447950579361151391053/19194394721456818869239203812911070166844\
      4002664980696101514581446676038238368017725219624750304974602240000000000\
      0000000*ep^4+329562078984965174808142117324331476209263449003038645004444\
      171721356202410431620117/123530200345947696955096545712268164243910856158\
      9439083023470652505440951697071135729711710286324901257651540826353827840\
      000000000000000000*ep^5+8781291380691551361736195652391892963832278458562\
      89335263825443771785315387759499756816055860032646769/
      2478981609096774208532186227304587743750669614301759393499362622081076209\
      1643983448604564908679966004319798663740163383518572221376233472000000000\
      000000000000*ep^6+3274677887430931523230873414337034944918188883877620907\
      019679766115573405731942369830312414031493511438173572139093409/
      7809694251149480869508900355792013877631256517768589476438548157474756832\
      7528395404421362230015702985772636972255172826693310754517628637821637471\
      7644800000000000000000000000*ep^7+187565950203820031358599492496605348527\
      4964108055897997321067499950987914088669892935886947980362061397314910208\
      713896024150176730117881/415797106693884755720127278909354403354673541899\
      3379078526476030746765086430610185973164637682229008346536194587100583654\
      251312911400389118281274167212774939405928366080000000000000000000000000*
      ep^8;
Fill mncpoch(45,22) = 1/2658271574788448768043625811014615890319638528000000000
      +6423336258393807859/2503982344875833790092969323878801689844913961928506\
      0283059404800000000000*ep+21604138503447729923008164898476070801/
      2358648244564272546908300991344649161851128667035867784005526063930373388\
      94663680000000000000*ep^2+38949735401050272100420920743102630144032214867\
      48377303/1709038082713672296229414339222765513568759729448971289713918723\
      30685113416159850758176900120576000000000000000*ep^3+12061532011845216953\
      43020199035597175905136565360997318313264420759856973/
      2717917578303082010488504625309676473999311330378405666673843464522935022\
      36315510908110516149335477652187145830400000000000000000*ep^4+
      2897423838074320942124850236844559520685519747060960843007798463838729611\
      382337090103208931/402311866584330447057506824957584629805397841421288508\
      8667934289999166629672603654027725808410824128611300605765879837722641694\
      720000000000000000000*ep^5+1881396025905093931308762058493722788621864338\
      25470766932440498823996108851164921657331409082519792803203117441/
      1856909926365494772381207880759309045348650927734147214368741571467304322\
      3040323800256240633116091474732651731568202986511164121218805759025327636\
      48000000000000000000000*ep^6+17076788785008072836506630878019421396267658\
      4270890747505499365717666058860153862743334672045899059106246801954171978\
      51436373223/1345486673411930090146385670414032936110763941478724915997723\
      4103342337754092759511175416547816803916418959197963028738136040249276015\
      84512524353030026574203296153600000000000000000000000*ep^7+
      2378035317686820096945075778372319206358776525758921252739726556328239065\
      03281866862514913083012182086649730867460968950651089167009635816184110361
      /164761094377067210130220389544232194136461106416930289688599745051980267\
      4056470967934061433128765033169157919733119579535813793817906781714457350\
      99239221726443941561519077017392250880000000000000000000000000*ep^8;
Fill mncpoch(45,23) = 1/1345085416842955076630074660373395640501737095168000000\
      000+6851499356521190659/1267015066507171897787042477882673655061526464735\
      8240503228058828800000000000*ep+24537697694753612590446134005953336001/
      1193476011749521908735600301620392475896671105520149098706796188348768934\
      80699822080000000000000*ep^2+47031378990203230370673599527716793670552710\
      02682852903/8647732698531181818920836556467193498657924231011794725952428\
      7399326667388576884483637511461011456000000000000000*ep^3+
      17007432530021605814683668447468426122112051822800656531673793844649782303
      /151279292408349544703790167444736592542801668648862059407066127235346563\
      3447332133714543132887201268612073653692006400000000000000000*ep^4+
      3579730112956718145962202758383835718381356061304074949743302261773063031\
      44268423556740921/1850634586287920056464531394804889297104830070537927140\
      7872497733996166496493976808527538718689790991611982786523047253524151795\
      7120000000000000000000*ep^5+270752581880612508709563874102925658011740011\
      443559920690278532953633605822289514538735500117264328639253310641/
      9395964227409403548248911876642103769464173694334784904705832351624559870\
      8584038429296577603567422862147217761735107111746490453367157140668157840\
      5888000000000000000000000*ep^6+259941937299304528252620568502685947547348\
      3397936660885217275655773802645011603511137658824346468242596393253487836\
      7269645632823/68081625674643662561407114922950066567204655438823480749484\
      8045629122290357093631265476077319530278170799335416929254149683636613366\
      401763337322633193446546867853721600000000000000000000000*ep^7+
      3477184913983430501172655412312725620047276327795212525567531782423137824\
      4598217157491992759992909144043095279409698242108583989794126694194317051/
      7579010341345091665990137919034680930277210895178793325675588272391092300\
      6597664524966825923923191525781264307723500658647434515623711958865038145\
      65004199416421311829877542800043540480000000000000000000000000*ep^8;
Fill mncpoch(45,24) = 1/6779230500888493586215576288281914028128754959646720000\
      00000+7300051173607020259/63857559351961463648466940885286752215100933822\
      68553213626941649715200000000000*ep+27812148913494584443786615714975202401
      /601511909921759042002742552016677807851922237182155145748225278927779543\
      14272710328320000000000000*ep^2+80896684197224040406793159351913341352527\
      3310811801729/62263675429424509096230023206563793190337054463284922026857\
      48692751520051977535682821900825192824832000000000000000*ep^3+
      21724658640096442579131600112434547681328737741605383245350268583481701503
      /762447633738081705307102443921472426415720409990264779411613281266146679\
      257455395392129738975149439380485121460771225600000000000000000*ep^4+
      3391686998031941532657329852735935388416345110365847390324867326546039468\
      176704601108267247/652903882042378195920686676087164944018584048885780695\
      2697417200553847539963075018048515659953758261840707527085331071043320753\
      52719360000000000000000000*ep^5+38789632905904047384913079450732536645751\
      9529009640936219166500551600094734996081116599343607057763518992873041/
      4735565970614339388317451585827620299809943541944731591971739505218778174\
      9126355368365475112197981122522197751914493984320231188497047198896751551\
      6567552000000000000000000000*ep^6+393781632099577983318908585426682693220\
      3923177345591428492461207675866474446205366243788394190763387769138578351\
      8414669104080023/34313139340020405930949185921166833549871146341167034297\
      7403414997077634339975190157799942969043260198082865050132344091440552853\
      136666488722010607129497059621398275686400000000000000000000000*ep^7+
      5564647701231395538606745388723988258640532042307202118305610223740182409\
      3892179388588435582396892137921692556180616745236319693564493547889503451/
      3819821212037926199659029511193479188859714291170111836140496489285110519\
      5325222920583280265657288528993757211092644331958306995874350827267979225\
      40762116505876341162258281571221944401920000000000000000000000000*ep^8;
Fill mncpoch(45,25) = 1/3389615250444246793107788144140957014064377479823360000\
      00000000+7771030581547141339/31928779675980731824233470442643376107550466\
      91134276606813470824857600000000000000*ep+3147214429587623187721114827450\
      8528521/30075595496087952100137127600833890392596111859107757287411263946\
      388977157136355164160000000000000000*ep^2+9718540055665024537413206713966\
      19919933342116848871209/3113183771471225454811501160328189659516852723164\
      246101342874346375760025988767841410950412596412416000000000000000000*
      ep^3+27675060553993746585685899830421658126214746645190474709313589373699\
      515863/381223816869040852653551221960736213207860204995132389705806640633\
      073339628727697696064869487574719690242560730385612800000000000000000000*
      ep^4+45766309647980300840864770476245475514699068033308322183833998347005\
      01020724136027435602887/3264519410211890979603433380435824720092920244428\
      9034763487086002769237699815375090242578299768791309203537635426655355216\
      6037676359680000000000000000000000*ep^5+553869747605437576194341078834580\
      9795053997107742903685139292061648134976360744501724582940462118436884648\
      35961/2367782985307169694158725792913810149904971770972365795985869752609\
      3890874563177684182737556098990561261098875957246992160115594248523599448\
      3757758283776000000000000000000000000*ep^6+
      5944441288712343563263543285571884053305951799488060894133348486448156672\
      3342159027536285027957954061572317289553399303925476783/
      1715656967001020296547459296058341677493557317058351714887017074985388171\
      6998759507889997148452163009904143252506617204572027642656833324436100530\
      3564748529810699137843200000000000000000000000000*ep^7+
      8873395219686227273289529110359445276117437595488029790632806182977584674\
      4233900701686614066337538445086695726259797604837267682969455093229095571/
      1909910606018963099829514755596739594429857145585055918070248244642555259\
      7662611460291640132828644264496878605546322165979153497937175413633989612\
      70381058252938170581129140785610972200960000000000000000000000000000*ep^8
      ;
Fill mncpoch(45,26) = 1/1674469933719457915795247343205632764947802475032739840\
      00000000000+8266798379378847739/15772817159934481521171334398665827797129\
      93065420332643765854587479654400000000000000*ep+3557055672353960256881262\
      4946660358121/14857344175067448337467741034811941853942479258399232099981\
      164389516154715625359451095040000000000000000*ep^2+1165642319571744503041\
      614012995861115777477368634889609/153791278310678537467688157320212569180\
      1325245243137574063379927109625452838451313657009503822627733504000000000\
      000000000*ep^3+3518760358982958371492595706201528271974368253518415999714\
      5527586983884663/18832456553330618121085430364860368932468294126759540051\
      4668480472738229776591482661856045526861911526979825000810492723200000000\
      000000000000*ep^4+6162529214134835486822854996332875106824706933417727956\
      125332157287014057028558843988234087/
      1612672588644674143924096089935297411725902600747878317316262048536800342\
      3708795294579833680085782906746547591900767745477002261212168192000000000\
      0000000000000*ep^5+789118879997956716308213770419826888262766020903230601\
      537442149308957975444966735518752171848863079535381209561/
      1169684794741741828914410541699422214053056054860348703217019657789038209\
      2034209775986272352712901337262982844722880014127097103558770658127497633\
      2592185344000000000000000000000000*ep^6+895382382228164809096054099205363\
      1029780547008487122177171449866081907772810732662100052334676793615668700\
      8196671698192281237583/84753454169850402649444489225282078868181731462682\
      5747154186435042781756819738719689765859133536852689264676673826889905858\
      16554724756622714336619960985773726485374094540800000000000000000000000000
      *ep^7+1411950683251289835925637824105560293761747980542218808993957472012\
      3440625039685309543422214176111243085194999447862985645417690137866028714\
      9205171/94349583937336777131578028926478935964834942991901762352670263285\
      3422298324533006138407022561735026666145803113988314999370182798096465433\
      5190868675682427769514562670777955480918202672742400000000000000000000000\
      00000*ep^8;
Fill mncpoch(45,27) = 1/8137923877876565470764902087979375237646320028659115622\
      4000000000000+8790108832645648939/766558913972815801928926851775159230940\
      514629794281664870205329515112038400000000000000*ep+401705125610159098882\
      40142625364284921/7220669269082779892009322142918603741016044919582026800\
      590845893304851191793924693232189440000000000000000*ep^2+1396649452937293\
      589851682654614963634158223751789446809/747425612589897692092964444576233\
      0862154440691881648609948026445752779700794873384373066188577970784829440\
      00000000000000000*ep^3+44689059947358369223515775257221249604867896885247\
      070739226101015689705063/915257388491868040684751915732213930117959094560\
      5136465012888150975077967142346057366203812605488900211219495039389946347\
      5200000000000000000000*ep^4+828855214296386813887071393645830426223438222\
      2895383804846026390164718646688754814665913687/
      7837588780813116339471106997085545420987886639634688622157033555888849663\
      9224745131657991685216904926788221296637731243018230989491137413120000000\
      000000000000000*ep^5+1123105300370171962050246218605095767011049881291549\
      517458891651818159502757243521598164005110999625333059088361/
      5684668102444865288524035232659191960297852426621294697634715536854725696\
      7286259511293283634184700499098096625353196868657691923295625398499638497\
      639802077184000000000000000000000000*ep^6+1347484492845904500644927546206\
      2322147951599671085164674415964945376773668112386457837639794196390566255\
      5797477008044498328993983/
      4119017872654729568763002176348709032993632149086373131169346074307919338\
      1439301776922620753889891040698263286347986849424706845596231718639167597\
      301039086031071891809946828800000000000000000000000000*ep^7+
      2245312989558134226861900488541267595111824950610707965354625324042138331\
      56575661846577197231366049763460397152482106484048403215843434155325871971
      /458538977935456736859469220582687628789097822940642565033977479566763236\
      9857230409832658129650032229597468603133983210896939088398748822006902762\
      17638165989598407745799808636372624649895280640000000000000000000000000000
      *ep^8;
Fill mncpoch(45,28) = 1/3873651765869245164084093393878182613119648333641739036\
      2624000000000000+9344202253751673739/364882043051060321718169181444975793\
      927684963782078072478217736849193330278400000000000000*ep+453480735553038\
      02049872084202207012121/3437038572083403228596437340029255380723637381721\
      044757081242645213109167293908153978522173440000000000000000*ep^2+
      1672771092682633554700109141423515467668504124973255609/
      3557745915927913014362510756182869490385513769335664738335260588178323137\
      57835973096157950576311409357881344000000000000000000*ep^3+
      56738388894491557507603988518837505756185828620348601289846367679500046663
      /435662516922129187365941911888533830736148529010804495734613475986413711\
      23597567233063130148002127165005404796387496144614195200000000000000000000
      *ep^4+1114658559847231463794955175446554134127658590219239452698809210052\
      7783700243914875614572087/37306922596670433775882469306127196203902340404\
      6611178414674797260309244002709786826692040421632467451511933371995600716\
      76677950997781408645120000000000000000000000*ep^5+
      1598676530959139682972634047304796651682203100327248270201343978468852746\
      295673038260688038941156587573010423561/
      2705902016763755877337440770745775373101777755071736276074124595542849431\
      6428259527375603009871917437570693993668121709481061355488717689685827924\
      876545788739584000000000000000000000000*ep^6+
      1193459723520695623734481742886664894123224833463112157691333447567864702\
      2819860676206656892774657204114792484284113059797498799/
      1153325004343324279253640609377638529238217001744184476727416900806217414\
      6803004497538333811089169491395513720177436317838917916766944881218966927\
      24429094408870012970678511206400000000000000000000000000*ep^7+
      3573901062611598168132374745831648071886730978445880210988717352100485208\
      35850823073395543382808307592571728188843521130286192258965429587670559171
      /218264553497277406745107348997359311303610563719745860956173280273779300\
      8052041675080345269713415341288395055091776008386943006077804439275285714\
      7959576701104884208700070891091336933335015358464000000000000000000000000\
      0000*ep^8;
Fill mncpoch(45,29) = 1/1797374419363329756135019334759476732487516826809766912\
      8257536000000000000+9932926513676825089/169305267975691989277230500190468\
      768382445823194884225629893029898025705249177600000000000000*ep+511958283\
      65959104639445126448009232271/1594785897446699098068746925773574496655767\
      745118564767285696587378882653624373383446034288476160000000000000000*
      ep^2+2003982369232131845142924019898674360835534984720279959/
      1650794104990551638664204990868851443538878388971748438587560912914741935\
      83635891516617289067408493942056943616000000000000000000*ep^3+
      72075698378471654286917875642899006191770325857858872272719650526308377113
      /202147407851867942937797047116279697461572917461013286020860652857695962\
      0134927119614129238867298700456250782552379821110098657280000000000000000\
      0000*ep^4+150041048881499651724591664482832891614808159459043199599581435\
      51748148443633541227378304137/1731041208485508127200946575804301903861068\
      5947762758678440910592878348921725734108758510675563746489750153708460595\
      873257978569262970573611335680000000000000000000000*ep^5+
      2278839133010028102500727480076611937457025744597471499009417554747397752\
      202692113143878377380323985309332814711/
      1255538535778382727084572517626039773119224878353285632098393812331882136\
      2822712420702279796580569691032802013062008473199212468946765008014224157\
      142717245975166976000000000000000000000000*ep^6+
      1800522113597529259277908844803192962125449929932140481730720120796525330\
      0340446520338150287429704373799770066055276839336781649/
      5351428020153024655736892427512242775665326888093015972015214419740848804\
      1165940868577868883453746440075183661623304514772579133798624248856006542\
      4135099805715686018394829199769600000000000000000000000000*ep^7+
      5703559624304807341143626942606190441524491353408143880360655150946379331\
      31002007247857792371843248833570864265638831627010488516579431601151861821
      /101274752822736716729729809934774720444875301565962079483664402047033595\
      5736147337237280205147024718357815305562584067891541554820101259823732571\
      6653243589312666272836832893466380337067447126327296000000000000000000000\
      0000000*ep^8;
Fill mncpoch(45,30) = 1/8088184887134983902607587006417645296193825720643951107\
      715891200000000000000+10560899057596986529/761873705890613951747537250857\
      10945772100620437697901533451863454111567362129920000000000000000*ep+
      57827783013242319823731085759194474031/7176536538510145941309361165981085\
      2349509548530335414527856346432049719413096802255071542981427200000000000\
      0000000*ep^2+2403040171518822815960509885286557674393099944032450999/
      7428573472457482373988922458909831495924952750372867973644024108116338711\
      2636151182477780080333822273925624627200000000000000000000*ep^3+
      91693260623934865416118617448727509845666416643516556958806270200908998393
      /909663335333405743220086712023258638577078128574559787093872937859631829\
      0607172038263581574902844152053128521485709194995443957760000000000000000\
      000000*ep^4+2023872762763603306661716332250360668095998947467970218126396\
      9138790615980136508197311082857/77896854381847865724042595911193585673748\
      0867649324140529840976679525701477658034894132980400368592038756916880726\
      8142966090356168336758125101056000000000000000000000000*ep^5+
      3257460259110634823609182362075575701273179724429319560382014251070097812\
      385179920234169335106998527319878238871/
      5649923411002722271880576329317178979036511952589785344442772155493469613\
      2702205893160259084612563609647609058779038129396456110260442536064008707\
      14222760688825139200000000000000000000000000*ep^6+
      2726130984924467535880727643296277700056486190275334109197879127858973736\
      3089048665167043784812145255674056179587954757242679089/
      2408142609068861095081601592380509249049397099641857187406846488883381961\
      8524673390860040997554185898033832647730487031647660610209380911985202944\
      0860794912572058708277673139896320000000000000000000000000000*ep^7+
      9142993492808744496288848919333402770610635323228816368773754224699815408\
      22898889616731721281091772357004166456890958576961910743185571936175527581
      /455736387702315225283784144706486242001938857046829357676489809211651180\
      0812663017567760923161611232610168875031628305511936996690455669206796572\
      4939596151906998227765748020598711516803512068472832000000000000000000000\
      000000000*ep^8;
Fill mncpoch(45,31) = 1/3510272241016583013731692760785258058548120362759474780\
      748696780800000000000000+11233726783225730929/330653188356526455058431166\
      87198550465091669269960889265518108739084420235164385280000000000000000*
      ep+9340877979304971333176497791672860233/44494526538762904836118039229082\
      7284566959200888079570072709347878708260361200173981443566484848640000000\
      00000000000*ep^2+2886486455072006328565331166096867804619179746223331399/
      3224000887046547350311192347166866869231429493661824700561506462922491000\
      6884089613195356554864878866883721088204800000000000000000000*ep^3+
      1169406661400504394220942856054128509383414716097741794256467847399594011\
      93/3947938875346980925575176330180942491424519078013589475987408550310802\
      1381235126646063944035078343619910577783247977906280226776678400000000000\
      00000000000*ep^4+39130769654093093667822485580663749093450939162772742657\
      53349271887259851452012932764597151/
      4829604971674567674890640946494002311772381379425809671285014055413059349\
      1614798163436244784822852706402928846605062486389760208243687900375626547\
      2000000000000000000000000*ep^5+467655383685293850274076840780335117099742\
      2044958931911612342254165561455417823882793649573645295762919421410471/
      2452066760375181465996170126923655676901846187423966839488163115484165812\
      1592757357631552442721852606587062331510102548158061951853032060651779778\
      89972678138950110412800000000000000000000000000*ep^6+
      4149893465390594598588318674842360869224610536597794471969150616636865885\
      8955278554128692262530461229018313931636859605879523489/
      1045133892335885715265415091093141014087438341244566019334571376175387771\
      4439708251633257792938516679746683369115031371735084704830871315801578077\
      7333584992056273479392510142715002880000000000000000000000000000*ep^7+
      2107529080017347451735983222105433721720643906752927951482920530236113240\
      95611844194677548671317119552294234397216019675107044573670233504341487883
      /282556560375435439675946169718021470041202091369034201759423681711223731\
      6503851070892011772360198964218304702519609549417400937948082514908213874\
      9462549614182338901214763772771201140418177482453155840000000000000000000\
      00000000000*ep^8;
Fill mncpoch(45,32) = 1/1460273252262898533712384188486667352356018070907941508\
      791457860812800000000000000+11958310487748994129/137551726356315005304307\
      3654187459699347813441630372993445553323545911881782838427648000000000000\
      0000*ep+10578706109741050847559093974633110633/
      1850972304012536841182510431929841503798550275694411011502470887175426363\
      1025927237628052365769703424000000000000000000*ep^2+451894819779951309861\
      68666268139506505817501628680913787/1743539679714772807048292821347841602\
      8803570701723147980636626951484831331722915662816048824870926491210716364\
      5011558400000000000000000000*ep^3+149684228397153390872165612402963003802\
      257550708564713089764698515069139593/
      1642342572144344065039273353355272076432599936453653222010761956929293689\
      4593812684762600718592590945882800357831158809012574339098214400000000000\
      00000000000*ep^4+53216321955484734623009356247545235216300285981676781299\
      37827569509652843327588499994205951/
      2009115668216620152754506633741504961697310653841136823254565847051832689\
      2511756035989477830486306725863618400187705994338140246629374166556260643\
      6352000000000000000000000000*ep^5+675492057287739865578777856091708330562\
      8226356639659628732497380210440345304612338392488375296470145572865835271/
      1020059772316075489854406772800240761591168013968370205227075856041412977\
      8582587060774725816172290684340217929908202660033753771970861337231140388\
      02228634105803245931724800000000000000000000000000*ep^6+
      8273982312334778160873632192532893476548189136173599461080994225842370174\
      03617839140715767630307452414005036752022623930467706957/
      5652084089752469948155364812631706604184866549450613032561362002356497067\
      9689942224832658144211498204070063660174089658343338083725352075854934244\
      3820027637040326976554694851802735575040000000000000000000000000000*ep^7+
      3431143064894429418728670706387454545798079405426204279587756489257917022\
      47361222621848835600053096300655121334273469099359135507465383577571298283
      /117543529116181142905193606602696931537140070009518227931920251591869072\
      3665602045491076897301842769114814756248157572557638790186402326201816971\
      9776420639499852982905341729472819674413961832700512829440000000000000000\
      00000000000000*ep^8;
Fill mncpoch(45,33) = 1/5782682078961078193501041386407202715329831560795448374\
      81417312881868800000000000000+12743276167649195929/
      5447048363710074210050571670582340409417341228856277054044391161241811051\
      860040173486080000000000000000*ep+12007711029897449284734298079610035233/
      7329850323889645891082741310442172355042259091749867605549784713214688397\
      886267186100708736844802555904000000000000000000*ep^2+5461512303062373464\
      7321726556315521520704766850490933187/69044171316705003159112395725374527\
      4740621399788236660033210427278799320736227460247515533464888689051944368\
      03424577126400000000000000000000*ep^3+19255522557972012059250527807293493\
      2316099714418774188329634056426686276193/
      6503676585691602497555522479286877422673095748356466759162617349440003010\
      2591498231659898845626660145695889417011388883689794382828929024000000000\
      0000000000000*ep^4+728460938471109338122467437757524428135837681004131842\
      8497717842917103199800631797542722151/
      7956098046137815804907846269616359648321350189210901820088080754325257449\
      4346553902518332208725774634419928864743315737579035376652321699562792148\
      795392000000000000000000000000*ep^5+9837013318096573943901734912491637236\
      7560202063843547593342625617704520112491430128476919509151716725508745354\
      71/4039436698371658939823450820288953415901025335314746012699220389923995\
      3923187044760667914232042271109987263002436482533733664937004610895435315\
      9365682539105898085388963020800000000000000000000000000*ep^6+
      1281616928140949418971071554135374312167741706800713517829350519405160091\
      810998502116491827892417912614288100206087973825418180357/
      2238225299541978099469524465802155815257207153582442760894299352933172838\
      9157217121033732625107753288811745209428939504703961881155239422038553960\
      7752730944267969482715659161313883287715840000000000000000000000000000*
      ep^7+56522378905159960911746462566179644119192875112007845185846367324630\
      0652448879508179131666185709930339335592690738203867397763621501904160982\
      112883/465472375300077325904566682146679848887074677237692182610404196303\
      8015265715784100144664513315297365694666434742703987328249609138153211759\
      1952090314625732419417812305153248712365910679288857494030804582400000000\
      0000000000000000000000*ep^8;
Fill mncpoch(45,34) = 1/2162723097531443244369389478516293815533357003737497692\
      18050075017818931200000000000000+13599602363903961529/
      2037196088027567754558913804797795313122085619592247618212602294304437333\
      395655024883793920000000000000000*ep+136713818531630489906572016203689784\
      33/2741364021134727563264945250105372460785804900314450484475619482742293\
      460809463927601665067579956155908096000000000000000000*ep^2+6632228545048\
      9276757903043633825301303775972730361237987/
      2582252007244767118150803600129007327529924035208005108524206998022709459\
      5534907013257080951586836970542719364480791845273600000000000000000000*
      ep^3+24934873600646038614355677525150379316331371676500142891912658289118\
      7123393/24323750430486593340857654072532921560797378098853185679268188886\
      9056112583692203386408021682643708944902626419622594424999830991780194549\
      760000000000000000000000*ep^4+1106341110383000177976043563552194177321029\
      67281814876513581425759106361864311710520325898061/
      3273138736181097422139087955320170359319403467841365008784236422329410914\
      6974172275496041870669783684600358734955400094440015153954765147200132690\
      0144242688000000000000000000000000*ep^5+144792188046878606249999391193322\
      6747268060069438737815955268873903301373280408845849050702666042690553230\
      0113871/15107493251910004434939706067880685775469834754077150087495084258\
      3157427672719547404897999227838093951352363629112444676163906864397244748\
      928081602765269625605883935472169779200000000000000000000000000*ep^6+
      1661955378811617386737976782276871096815113196561487055768021918745806291\
      0660111415815806580944534558650842621287844228312359117/
      6918150925857023216542166530661208883522276656527550351855107090884352411\
      1940489283195173568514873801781757920053085741812245814479830940846439515\
      1235713827737360219302946498606548343848960000000000000000000000000000*
      ep^7+13505929609188206057460837508996286125420261661193451618809243753390\
      1870550280838635669409394656386927922262246599610880199465189318332937353\
      390869/248695240517469885554725627318368947833951327552709823280415956310\
      8882441968147504934435039971316021099721780848244701801093362596670430282\
      7700116825242891321231802574467592883464072277220046718239315591168000000\
      000000000000000000000000*ep^8;
Fill mncpoch(45,35) = 1/7569530841360051355292863174807028354366749513081241922\
      6317526256236625920000000000000000+14541561179784203689/
      7130186308096487140956198316792283595927299668572866663744108030065530666\
      88479258709327872000000000000000000*ep+1562817496030013837426783938095259\
      6753/95947740739715464714273083753688036127503171511005766956646681895980\
      2711283312374660582773652984654567833600000000000000000000*ep^2+
      81043382630462845629176912160582154267627477048830944467/
      9037882025356684913527812600451525646354734123228017879834724493079483108\
      437217454639978333055392939689951777568277145845760000000000000000000000*
      ep^3+32568826474398055329428928589201809308975639023734755097740608552865\
      9252113/85133126506703076693001789253865225462790823345986149877438661104\
      1696394042922711852428075889252981307159192468679080487499408471230680924\
      16000000000000000000000000*ep^4+15446052992463298094175098081747683167550\
      7845997108834610460747050738727804603065960173281501/
      1145598557663384097748680784362059625761791213744477753074482747815293820\
      1440960296423614654734424289610125557234390033054005303884167801520046441\
      5050484940800000000000000000000000000*ep^5+216084962402219182591371717224\
      3113980708420084731696241947669702423065658413686826135429561253711735082\
      0985939711/52876226381685015522288971237582400214144421639270025306232794\
      9041050996854518415917142997297433328829733272701893556366573674025390356\
      62124828560967844368962059377415259422720000000000000000000000000000*ep^6
      +291661688093834612355340726295798543350325924297755352101145061617211576\
      621217790895445857654320959816568201721663492069542048767/
      2663488106454953938368734114304565420156076512763106885464216229990475678\
      3097088374030141823878226413685976799220438010597714638574734912225879213\
      32257498236788836844316344019635211123818496000000000000000000000000000000
      *ep^7+1612624511504105362281134955991079778065259457149290718725252103219\
      4691157240250467874843977677795079717239309068660059213203688007177024875\
      19462403/6093033392678012196090777869300039221931807525041390670370190929\
      6167619828219613870893658479297242516943183630781995194126787383618425541\
      9278652862218450837370179163074456025644869770791891144596863231983616000\
      00000000000000000000000000000*ep^8;
Fill mncpoch(45,36) = 1/2452527992600656639114887668637477186814826842238322382\
      9326878507020666798080000000000000000+15588182086317806089/
      2310180363823261833669808254640699885080445092617608799053091001741231936\
      07067279821822230528000000000000000000*ep+1795887742692768177222465154178\
      4741553/31087067999667810567424479136194923705311027569565868493953524934\
      2976078455793209390028818663567028079978086400000000000000000000*ep^2+
      99839519203359744818416798212874524730664222442891471667/
      2928273776215565911983011282546294309418933855925877793066450735757752527\
      1336584553033529799099473124595443759321217952540262400000000000000000000\
      00*ep^3+43018239284047993472182832862169077675438914200745393900285570805\
      1702452913/27583132988171796848532579718252333049944226764099512560290126\
      1977509631669906958640186696588117965943519578359852022077949808344678740\
      61942784000000000000000000000000*ep^4+21878022792027546380043722847432121\
      1755371473685453171339254435263556117630362230551353823101/
      3711739326829364476705725741333073187468203532532107919961324102921551977\
      2668711360412511481339534698336806805439423707094977184584703676924950470\
      476357120819200000000000000000000000000*ep^5+3282851430362171422191347248\
      1371664843822073924138093253906857042231299424823981181108334043189432916\
      152569017311/171318973476659450292216266809766976693827926111234881992194\
      2554893005229808639667571543311243683985408335803554135122627698703842264\
      7554528444453753581575543707238282544052961280000000000000000000000000000
      *ep^6+4753997062789035516123409349748704229757980267894102732210059559961\
      47999935432105347334898275860045986500869517511503286487455967/
      8629701464914050760314698530346791961305687901352466308904060585169141197\
      7234566331857659509365453580342564829474219154336595428982141115611848651\
      1651429428719583137558495462361808404117192704000000000000000000000000000\
      000*ep^7+2820992456700445921964327611577313256839866836067030568205865951\
      8787511203694436949381480706646247433884261836574544870927289118510894286\
      28955727203/1974142819227675951533412029653212707905905638113410577199941\
      8611958308824343154894169545347292306575489591496373366442897079112292369\
      8755846283527358778071307938048836123752308937805736572730849383687162691\
      58400000000000000000000000000000000*ep^8;
Fill mncpoch(45,37) = 1/7259482858097943651780067499166932472971887453025434253\
      480756038078117372231680000000000000000+16765630606168108789/
      6838133876916855027662632433736471659838117474148122045197149365154046530\
      7691914827259380236288000000000000000000*ep+20778972704297620762262696262\
      953374453/920177212790167192795764582431369741677206416059149707421024338\
      05520919222914789979448530324415840311673513574400000000000000000000*ep^2
      +124305689858044819913857229554363838788070671821388394767/
      8667690377598075099469713396337031155880044213540598267476694177842947480\
      3156290276979248205334440448802513527590805139519176704000000000000000000\
      0000*ep^3+576545943372805591876679358231686078427153078314743956985587677\
      943748423813/816460736449885186716564359660269058278349112217345571784587\
      7354534285097429245975749526219008291791928179519451619853507314327002490\
      722335064064000000000000000000000000*ep^4+3157592518702763754224455488079\
      79462791891350755025500456571314145419633426005218527916422401/
      1098674840741491885104894819434589663490588245629503944308551934464779385\
      2709938562682103398476502270707694814410069417300113246637072288369785339\
      261001707762483200000000000000000000000000*ep^5+
      5104623722706281051799247804730248434927767887482163724160683506623991346\
      4221172312386676965959881355737197369611/
      5071041614909119728649601497569102510137306612892552506968949962483295480\
      2335734160117682012813045968086739785202399629779881633731036761404195583\
      11060146360937342531633039676538880000000000000000000000000000*ep^6+
      7243756030193849803349909665691516475540298632933135520107298350280018142\
      4569596399615333174951064260275951873746630084829988097/
      2322174212376871840957409786347864018678621471636663661305092666554605267\
      7510392394754424740701976599801271990476698972439665679071557972928279273\
      4044384646273633280652104233508268443289717309440000000000000000000000000\
      00000*ep^7+50994939075217040924177106403647055772059376917654631425142082\
      5096783505758734978503026317491586008847969642849089745566628848083027049\
      3079295995103/
      5843462744913920816538899607773509615401480688815695308511827909139659412\
      0055738486741854227985227463449190829265164670975354172385414831730499924\
      0981983091071496624554926306834455904980255283314175714001567088640000000\
      0000000000000000000000000*ep^8;
Fill mncpoch(45,38) = 1/1931022440254053011373497954778404037810522062504765511\
      425881106128779221013626880000000000000000+2587326579632228227/
      2598490873228404910511800324819859230738484640176286377174916758758537681\
      692292763435856448978944000000000000000000*ep+242606228203631218673989185\
      27449732053/2447671386021844732836733789267443512861369066717338221739924\
      7392268564513295334134533309066294613522905154610790400000000000000000000
      *ep^2+22421732743881183901623971325174538643801477327290985881/
      3293722343487268537798491090608071839234416801145427341641143787580320042\
      5199390305252114318027087370544955140484505953017287147520000000000000000\
      000000*ep^3+7877494316269013213785542852914670795885195278276206293297290\
      31697957853413/2171785558956694596666061196696315695020408638498139220947\
      0033763061198359161794295493739742562056166528957521741308810329456109826\
      62532141127041024000000000000000000000000*ep^4+32703540799856628451595661\
      19117906327633139103489114778410500189576602937692568064084304231207/
      2045732553460657890065314153787205953419475313362136344302523701973419215\
      3745905603714076527963247228057727744431549255012810865238228600944540301\
      703985179853743718400000000000000000000000000*ep^5+
      8185162579398694781746673824063702349941244512648394698266947777790823654\
      8898459345272144989998062538535088240811/
      1348897069565825847820793998353381267696523559029418966853740690020556597\
      7421305286591303415408270227511072782863838301521448514572455778533516025\
      10741998932009333113414388553959342080000000000000000000000000000*ep^6+
      1979741390260153603606394633744537691029481538407651769064289626403794833\
      53569563022588310881428940263336046734669590927636990781/
      9706688207735324295201972906934071598076637751441254104255287346198250019\
      1993440210073495416134262187169316920192601704797802538519112326840207362\
      8305527821423787113125795696064562092951018353459200000000000000000000000\
      0000000*ep^7+962837855712391799987142726252311782756870114758158967198062\
      9190048178933687133172570461360732557876835455744889505918231159008318608\
      551067078792703/
      1554361090147102937199347295667753557696793863224974952064146223831149403\
      5934826437473333224644070505277484760584533802479444209854520345240312979\
      8101207502225018102131610397617965270724747905361570739924416845578240000\
      0000000000000000000000000000*ep^8;
Fill mncpoch(45,39) = 1/4518592510194484046613985214181465448476621626261151296\
      73656178834134337717188689920000000000000000+2811602488175143027/
      6080468643354467490597612760078470599928054058012510122589305215494978175\
      15996506643990409061072896000000000000000000*ep+2867464573784212234310074\
      4129775429253/57275510432911166748379570668858178200956036161185714388714\
      2388979084409611110818748079432151293956435980617892495360000000000000000\
      0000*ep^2+28852764968881945406601386533835664754676015269097630281/
      7707310283760208378448469152022888103808535314680299979440276462937948899\
      4966573314289947504183384447075195028733743930060451925196800000000000000\
      00000000*ep^3+11048274554180892968751299211670400469720730707667055793901\
      23189049627734613/5081978207958665356198583200269378726347756214085645777\
      0159879005563204160438598651455350997595211429677760600874662616170927296\
      9943032521023727599616000000000000000000000000*ep^4+
      5004857349415003560881571467897563113953244669465808425920044584822639330\
      496449110595394038007/478701417509793946275283511986206193100157223326739\
      9045667905462617800963976541911269093907543399851365508292196982525672997\
      742465745492621022430598732532085776030105600000000000000000000000000*
      ep^5+13685260332320592946444683857819834926128812762468939482148632470776\
      3774100518263994788356405961313389201465617211/
      3156419142784032483900657956146912166409865128128840382437753214648102438\
      7165854370623649992055352332375910311901381625560189524099546521768427498\
      7513627750090183948538966921626486046720000000000000000000000000000*ep^6+
      3621064489018182002767916077266416100761640106438105715229640494588010810\
      39939856022817824752296917448934556695452549846690395181/
      2271365040610065885077261660222572753949933233837253460395737239010390504\
      4926465009157197927375417351797620159325068798922685794013472284480608522\
      9023493510213166184471436192879107529750538294709452800000000000000000000\
      0000000000*ep^7+192925771423116737701384795642506059932479054765602507165\
      6971432372880289361390709524170892257057879682186719061924082098382071916\
      7430514311094669903/
      3637204950944220873046472671862543325010497639946441387830102163764889604\
      4087493863687599745667124982349314339767809097801899451059577607862332372\
      7556825555206542358987968330426038733495910098546075531423135418653081600\
      000000000000000000000000000000*ep^8;
Fill mncpoch(45,40) = 1/9037185020388968093227970428362930896953243252522302593\
      4731235766826867543437737984000000000000000000+440104796918091541/
      1737276755244133568742175074308134457122301159432145749311230061569993764\
      3314185904114011687459225600000000000000000000*ep+34478494044996641742324\
      710315561389093/114551020865822333496759141337716356401912072322371428777\
      4284777958168819222221637496158864302587912871961235784990720000000000000\
      000000000*ep^2+38131999661441664665542729560714107200201799138475561961/
      1541462056752041675689693830404577620761707062936059995888055292587589779\
      8993314662857989500836676889415039005746748786012090385039360000000000000\
      00000000000*ep^3+16076902808934126922943714480000024183527275495508366144\
      41050244808330395253/1016395641591733071239716640053875745269551242817129\
      1554031975801112640832087719730291070199519042285935552120174932523234185\
      4593988606504204745519923200000000000000000000000000*ep^4+
      8033613416000069413689951624626621668390283276123385185331322639338223453\
      295671187207702970967/957402835019587892550567023972412386200314446653479\
      8091335810925235601927953083822538187815086799702731016584393965051345995\
      48493149098524204486119746506417155206021120000000000000000000000000000*
      ep^5+24279526505125666657483499636655626459722725942918375209878594751670\
      8261556232342823916681240302699171905196779291/
      6312838285568064967801315912293824332819730256257680764875506429296204877\
      4331708741247299984110704664751820623802763251120379048199093043536854997\
      502725550018036789707793384325297209344000000000000000000000000000000*
      ep^6+10164832722367156707090089886615521931048120149614326649718022861870\
      9132405677883994352831153423881344230600192217505730230714123/
      6489614401743045385935033314921636439856952096677867029702106397172544298\
      5504185740449136935358335290850343312357339425493387982895635098516024351\
      1495695743466189098489817693940307227858680842027008000000000000000000000\
      00000000000*ep^7+42080729173892132237304449776029202448941084042727425910\
      7468000794947749839332212111293625449596667105773588756305954121288936885\
      62960785938436781743/
      7274409901888441746092945343725086650020995279892882775660204327529779208\
      8174987727375199491334249964698628679535618195603798902119155215724664745\
      5113651110413084717975936660852077466991820197092151062846270837306163200\
      00000000000000000000000000000000*ep^8;
Fill mncpoch(45,41) = 1/1482098343343790767289387150251520667100331893413657625\
      3295922665759606277123789029376000000000000000000+3417147441241012987/
      1994393715020265336916016985305738356776401731028103320209292110682352841\
      4524685417922885417203190988800000000000000000000*ep+42525524438595601660\
      701192208723718893/187863674219948626934684991793854824499135798608689143\
      1949827035851396863524443485493700537456244177110016426687384780800000000\
      00000000000000*ep^2+52438175606036597769645696294404047005639488051549536\
      561/252799777307334834813109788186350729804919958321513839325641067984364\
      7239034903604708710278137215009864066396942466800905982823146455040000000\
      00000000000000000*ep^3+24720958124071052775581426189447920726694445323473\
      59785981355830736268601053/1666888852210442236833135289688356222242064038\
      2200918148612440313824730964623860357677355127211229348934305477086889338\
      104064153414131466689578265267404800000000000000000000000000*ep^4+
      1385514452649382476986269978414515135759309465911232771916952613614582976\
      6159368927022880457167/15701406494321241437829299193147563133685156925117\
      0688697907299173863871618430574689626280167423515124788671984061026842074\
      3259528764521579695357236384270524134537874636800000000000000000000000000\
      00*ep^5+47118733686170714510247081037709871023610341286094546834487232402\
      2347713960893989493964137073188493374415879091891/
      1035305478833162654719415809616187190582435762026259645439583054404577599\
      8990400233564557197394155565019298582303653173183742163904651259140044219\
      590446990202958033512078115029348742332416000000000000000000000000000000*
      ep^6+14174604396628576082884560582880166010002288769203729974777959203656\
      1816389246558634012498402088983674788812783203355549300573951/
      6772797575637287366412198405027307848141619097260173954634561949049164413\
      3962550209123281092537608103541994656896568782242190367603808266451269050\
      1088235194090168259151191556948611543256150551497277440000000000000000000\
      0000000000000*ep^7+104500831627756555232473371738725327541021878784884943\
      3377690213376317337756559031052516969071309328656946768025272811936372070\
      27312821737884214701543/
      1193003223909704446359243036370914210603443225902432775208273509714883790\
      2460697987289532716578816994210575103443841384079023019947541455378845018\
      2638638782107745893748053612379740704586658512323112774306788417318210764\
      80000000000000000000000000000000000*ep^8;
Fill mncpoch(45,42) = 1/1867443912613176366784627809316916040546418185701208607\
      915286255885710390917597417701376000000000000000000+552242751189548941/
      3589908687036477606448830573550329042197523115850585976376725799228235114\
      61444337522611937509657437798400000000000000000000*ep+5466328942500454496\
      4041433241259945293/23670822951713526993770308966025707886891110624694832\
      0425678206517276004804079879172206267719486766315862069762610482380800000\
      00000000000000000*ep^2+76957493405510999912557050930501085434659280033069\
      609361/318527719407241891864518333114801919554199147485107437550307745660\
      2995521183978541932974950452890912428723660147508169141538357164533350400\
      0000000000000000000000*ep^3+416354756417232795487097832717228992595537088\
      1408583235867628234486201995453/
      2100279953785157218409750465007328840025000688157315686725167479541916101\
      5426064050673467460286148979657224901129480566011120833301805648028868614\
      23693004800000000000000000000000000*ep^4+26928112304523266760900795764738\
      168035968701575466762132299298598469414821788249603252410118767/
      1978377218284476421166491698336592954844329772564750677593631969590684782\
      3922252410892911301095362905723372669991689382101365070062432971904161501\
      178441808604095177220423680000000000000000000000000000*ep^5+
      1063041368401081833981744077393329126591861835050197012613147336305038574\
      456019000217615303484110892123683360148691/
      1304484903329784944946463920116395860133869060153087153253874648549767775\
      8727904294291342068716636011924316213702602998211515126519860586516455716\
      68396320765572712222521842493697941533884416000000000000000000000000000000
      *ep^6+5870135598719341992791875900011695337682110046684260858322430604440\
      97911196443253685583481572940599818586395759380392600975072323/
      1341013919976182898549615284195406953932040581257514443017643265911734553\
      8524584941406409656322446404501314942065520618883953692785554036757351271\
      9215470568429853315311935928275825085564717809196460933120000000000000000\
      0000000000000000*ep^7+323834728740259622253250076564056039405413269022793\
      6721360266126994469660757996586488382873954310793654288241619125283633759\
      70353121089966276530647943/
      1503184062126227602412646225827351905360338464637065296762424622240753575\
      7100479463984811222889309412705324630339240143939569005133902233777344723\
      0124684865455759826122547551598473287779189725527122095626553405820945563\
      6480000000000000000000000000000000000*ep^8;
Fill mncpoch(45,43) = 1/1606001764847331675434779916012547794869919639703039402\
      80714618006171093618913377922318336000000000000000000+4538526983955586987/
      2161125029595959519082196005277298083402908915742052757778788931135397538\
      99789491188612386380813777554636800000000000000000000*ep+7603881694324120\
      2596437891433783804893/20356907738473633214642465710782108782726355137237\
      5555566083257604857364131508696088097390238758619031641379995845014847488\
      0000000000000000000000*ep^2+128118517668932412717470474509466615209459876\
      595235958561/273933838690228027003485766478729650816611266837192396293264\
      6612678576148218221546062358457389486184688702347726857025461722987161498\
      681344000000000000000000000000*ep^3+8387430416023909003327831071252479503\
      667428140273131169133769622580381607053/
      1806240760255235207832385399906302802421500591815291490583644032406047847\
      3266415083579182015846088122505213414971353286769563916639552857304827008\
      2437598412800000000000000000000000000*ep^4+664311824193023077743662911903\
      87684882772477719333148533577369500721655833538146611310429891167/
      1701404407724649722203182860569469941166123604405685582730523493847988912\
      8573137073367903718942012098922100496192852868607173960253692355837578891\
      01345995539952185240956436480000000000000000000000000000*ep^5+
      3253181695923444520152725761381071620690357975250675184182529725173024683\
      514096360731791289837739575499887535173891/
      1121857016863615052653958971300100439715127391731654951798332197752800287\
      2505997693090554179096306970254911943784238578461903008807080104404151916\
      3482083585839253251136878454458022971914059776000000000000000000000000000\
      000*ep^6+1581407268127055931020802274142868269260871517937152163730531681\
      3519249932993887592072939326020400311993798539304101514508226535461/
      8072903798256621049268684010856349862670884299170236946966212460788642014\
      1918001347266586131061127355097915951234434125681401230569035301279254656\
      9677132821947716958177854288220467015099601211362694817382400000000000000\
      000000000000000000*ep^7+1590012168793224312448345266578016873593139947630\
      8285804317355044259426364048012079398413445610585037211270855625985175708\
      35705425294384641249645687543/
      1292738293428555738074875754211522638609891079587876155215685175127048075\
      1106412339026937651684806094926579182091746523788029344415155921048516461\
      7907228984291953450465390894374687027490103163953325002238835929006013184\
      737280000000000000000000000000000000000*ep^8;
Fill mncpoch(46,0) = 1;
Fill mncpoch(46,1) = 1/45+1/2025*ep+1/91125*ep^2+1/4100625*ep^3+1/184528125*
      ep^4+1/8303765625*ep^5+1/373669453125*ep^6+1/16815125390625*ep^7+1/
      756680642578125*ep^8;
Fill mncpoch(46,2) = 1/3960+89/7840800*ep+5941/15524784000*ep^2+352529/
      30739072320000*ep^3+19611901/60863363193600000*ep^4+1047451769/
      120509459123328000000*ep^5+54391643461/238608729064189440000000*ep^6+
      2766901765409/472445283547095091200000000*ep^7+138558803068621/
      935441661423248280576000000000*ep^8;
Fill mncpoch(46,3) = 1/510840+5807/43492917600*ep+22482769/3702987004464000*
      ep^2+72544405823/315272313560064960000*ep^3+210687110280241/
      26842284776503930694400000*ep^4+571144732033162847/
      2285352125871544659321216000000*ep^5+1474695894574410309649/
      194574879996703312294608330240000000*ep^6+3671993266200313128902783/
      16566105282919320008762953236633600000000*ep^7+
      8890049707567338258079768561/14104382037877509055460778385669847040000000\
      00*ep^8;
Fill mncpoch(46,4) = 1/85821120+54839/51147671097600*ep+1879821091/
      30482989020747648000*ep^2+51557392478579/18167251796585183255040000*ep^3+
      1237459151053894651/10827318725728837516338739200000*ep^4+
      27158774864736133067219/6452865414159872582987561788416000000*ep^5+
      558879512631390526743732811/3845778729531000862008927074660167680000000*
      ep^6+10954544634665836049609553208259/22920072072258858937400803579559667\
      33926400000000*ep^7+206694355810142112701476067905416571/1365990455362483\
      474951213091734597054085455872000000000*ep^8;
Fill mncpoch(46,5) = 1/17593329600+2844379/429896175575328000*ep+4855172250391/
      10504590431494743239040000*ep^2+6446972604804171439/
      256681558019851720099725427200000*ep^3+7339030541152394497119631/
      6272060072895520353946408764208896000000*ep^4+
      7520427901558621316991828658399/15325891685201516104234420850702193136128\
      0000000*ep^5+7136760563929288343313419189534587471/3744909219884023822798\
      668356826612156760521830400000000*ep^6+6386810946911926587767433597214138\
      958149759/91507530871525701234373565059362496840631567819753472000000000*
      ep^7+5456850564565886514616039871062239104027218532911/223600298820128738\
      4288140249467233295550263673357883643944960000000000*ep^8;
Fill mncpoch(46,6) = 1/4222399104000+6910517/206350164276157440000*ep+
      27863675340967/10084406814234953509478400000*ep^2+17123695391867574493/
      98565718279623060518294564044800000*ep^3+222029633449801991678880031/
      24084710679918798159154209654562160640000000*ep^4+
      511920395783872513695335304863297/117702848142347643680520352133392843285\
      4630400000000*ep^5+1082196026923982752431957994864690477567/5752180561741\
      8605918187545960856762727841615314944000000000*ep^6+427938907372668969372\
      549613658259831964989901/562222269674653908383991183724723180588840352684\
      565331968000000000*ep^7+4011144802192490284499890424159442580839538426704\
      511/137380023595087096890663336927266813678608200091108371083978342400000\
      000000*ep^8;
Fill mncpoch(46,7) = 1/1152714955392000+106126841/732336733016082754560000*ep+
      6437780107734343/465264277188358050066804940800000*ep^2+
      58595200873654136279353/59117845075470598860723231917354188800000*ep^3+
      11114002629239448276775562027191/1877921741320608968230437232706983145206\
      57920000000*ep^4+371120896022407498389949249838992785941/1193071250152145\
      46405645039675732253066231139834265600000000*ep^5+11269157453233463102955\
      426811022014941447896623/757975679507610246810475285751751401224516554098\
      41702699008000000000*ep^6+63567717246648844552589160246531938464068154154\
      979769/963106152548319923034236253630565001817010685443477004017508076748\
      8000000000*ep^7+844964275189777885867570939569675222248776706293847158489\
      3831/30593773855613352822006021725985062117428678108955162544737092908853\
      965619200000000000*ep^8;
Fill mncpoch(46,8) = 1/350425346439168000+2334067319/
      4229976969900893990338560000*ep+3065472234826569283/510599628357591658465\
      31441423155200000*ep^2+596658433984166392692779671/1232687470092864626260\
      52996907224243817676800000*ep^3+2396052591784993630978587156425234011/
      7439872233219549673002267842349645214180584880865280000000*ep^4+
      1680055772326714113089454540645283943087514899/89806540894686507834703268\
      237196450649852725170195506239897600000000*ep^5+1063849488204034186463987\
      069487853984221471082252668523/108405286201787877608111799534630391569319\
      2546633983368100532392558592000000000*ep^6+248818611352346539981612754559\
      39708868231296988818523961886011/5234231698233393347676230212743157066498\
      39376716797207678885078054077155875225600000000*ep^7+34110268591248516125\
      6102831605739183475996957420191498477705853017268571/
      1579557512294277308496700147077244108098778734433599475951670976573329992\
      15585059196108800000000000*ep^8;
Fill mncpoch(46,9) = 1/116691640364242944000+98431469723/
      52117546246148914854961397760000*ep+5384795685568524587587/23277062677677\
      381248619213921663723110400000*ep^2+43222490698400901991520242808371/
      2079229303473041934735354996629762664158228722483200000*ep^3+709927719192\
      3822276671594232138712701986371/46431916220328338167562998994613891902765\
      48413922148892016640000000*ep^4+20219694056477470635689749455890130954386\
      4806861414663/20737711230699209483473522379530722859805311403681066704754\
      66055981465600000000*ep^5+51702617343321128675327816050408174779172845595\
      19490598636027867/9262005579248244337819900149794153019923665082541181364\
      05967274140329013227290624000000000*ep^6+24292433001853435292995858880191\
      479689775041348159016226975630483035345043/827330908369806806681366963638\
      55846947637146903166048605321254909847517539929594553530580992000000000*
      ep^7+26642834093492979505615368813375793712397355378891110519310228119711\
      06338593973484691/1847538381637332062665809718350107470083797536542562209\
      85287729551272438658181772915865674125010167398400000000000*ep^8;
Fill mncpoch(46,10) = 1/42008990531127459840000+12315305957/
      2084701849845956594198455910400000*ep+6759880322621275782157/837974256396\
      3857249502917011798940319744000000*ep^2+6666165507485974361444950057613/
      83169172138921677389414199865190506566329148899328000000*ep^3+10820882570\
      385683592132232678111555720942021/167154898393182017403226796380610010849\
      9557429011973601125990400000000*ep^4+124608845064197186589853682808551207\
      00275005096953939/2765028164093227931129802983937429714640708187157475560\
      6339547413086208000000000*ep^5+934428004342504291131995121775004422084862\
      2045727694218805081037/33343220085293679616151640539258950871725194297148\
      2529106148218690518444761824624640000000000*ep^6+527533235501466192796103\
      7862873681202506157079009009272188572540770095981/
      3309323633479227226725467854554233877905485876126641944212850196393900701\
      597183782141223239680000000000*ep^7+5609410595817935195141208287700819480\
      583893926669462852359639876930464786921505558741/
      6651138173894395425596914986060386892301671131553223955470358263845807791\
      6945438249711642685003660263424000000000000*ep^8;
Fill mncpoch(46,11) = 1/16173461354484072038400000+13733166973/
      802610212190693288766405525504000000*ep+238202566025067004919/92177168203\
      602429744532087129788343517184000000*ep^2+1003370270381414939653629157949/
      3557792363720538421658274105344260558670746925137920000000*ep^3+
      16006403879533982736233245951296968451932701/6435463588137507670024231660\
      65348541772329610169609836433506304000000000*ep^4+85825013694859357636968\
      90708578452615400323127763719/4562296470753826086364174923496759029157168\
      508809834675046025323159224320000000000*ep^5+3248797260935994261973579706\
      800429781796783764726710770041198561/256742794656761333044367632152293921\
      71228399608804154741173412839169920246660496097280000000000*ep^6+
      9881675340183387863213067751114720682161203213196728366937328694327293957/
      1274089598889502482289305124003380042993612062308757148521947325611651770\
      114915756124370947276800000000000*ep^7+3289738105554470434890505755236187\
      3017973291765148460343730208319623117252812218907/
      7465563256412076498118986208843291409726365555825047296956524581867743439\
      6571410280288578523983700295680000000000000*ep^8;
Fill mncpoch(46,12) = 1/6598772232629501391667200000+258276406321/5566904431754\
      648650883788724895744000000*ep+83671643520186800648099/108687942572231696\
      96037267457647603160798199808000000*ep^2+
      58898781528215453912060651036582473/6418448121822546733530927369533092500\
      2079722049839950725120000000*ep^3+192875001199800223483070771574130669977\
      7241695921/21929851257269177346810229183201142027405630479358201124695255\
      046684672000000000*ep^4+3019471948575863713056146146890491551020456159818\
      64937421/4195152223286741301852008813103723517815396827658075898952991025\
      2763076194467840000000000*ep^5+263886046825843498082988883924908336753960\
      58500203516561076808237922401/5056871887764812922198569486473172243586456\
      1321873996672222832099069507978546403120381859725312000000000*ep^6+
      7328678757638922778363386610938179023481038997992206098360874601542644135\
      960497961/213305759998899654662822182403664145057526142218824039638333989\
      002692713080318680260945326965848550880051200000000000*ep^7+
      2176565939180287694965275859010058082237688925478913337884813891787920894\
      7317731593630086443063/10411425450759572900115426930699016813261668454042\
      5403012182088880522279294152818241305342497417139492516707738163609600000\
      00000000*ep^8;
Fill mncpoch(46,13) = 1/2830873287798056097025228800000+851522610283/7164606003\
      668232813687436088940822528000000*ep+100464655260597022776443/
      4662712736348739799599987739330821755982427717632000000*ep^2+
      230631170422755410048526824246470739/826054273278561764605430352458909004\
      77676602278144016583229440000000*ep^3+24770044628818107337528640656423833\
      6632253458411/85526419903349791652559893814484453906881958869496984386311\
      4946820702208000000000*ep^4+869204283752980010432287635409138934799889585\
      08103880646529/3401471374163122714954627265752630065479901901833444519630\
      074653204282980923646935040000000000*ep^5+2159374259942401428783330506238\
      44699971858723781197387106782813468388333/1084699019925552371811593154848\
      4954462492948403541972286191797485250409461398203469321908911079424000000\
      0000*ep^6+385470097853265676789108676335984287682928710846837795626246407\
      44209605280372963443/2745245131185838555510521487535157546890361450356265\
      39014535843846465521734370141495836635805047084982625894400000000000*ep^7
      +407704509283295032645960282653995666047872299220574860074745033249011729\
      02198758742157573323663/4466501518375856774149518153269878212889255766784\
      2497892226116129744057817191559025519991931391952842289667619672188518400\
      00000000000*ep^8;
Fill mncpoch(46,14) = 1/1268231232933529131467302502400000+3722450680327/
      12838973958573473202127885471381953970176000000*ep+
      1910255012414654130347399/33422324894147766883532712115523330346882041879\
      986176000000*ep^2+18990696035612979969505001744376853931/
      2368462812344292291476689906570183898495943540518945243474354503680000000
      *ep^3+87989091641935511708797917997899370451718078184991/
      9808854045875380905048789101795593049672478098824870145297292702097269483\
      1104000000000*ep^4+132749197350923500432060590688905518892094395018927531\
      840352081/156043179584008087173086516741855054779903595726989634026933600\
      7306771226064684878743470080000000000*ep^5+282727290298225220802030538350\
      082930486382273512377860441846083296707279677/398086275831109601338649586\
      3784455863662052052817349496188047583962876672988278910366691485420406335\
      0784000000000*ep^6+107877257425129415353583600957951093962350266854437790\
      7967065890448731218686198044750187/20150187110748252944281004055195657519\
      2167535371813993641594155898006001642697233842396877358139136527919350892\
      4620800000000000*ep^7+486587994821350793170436474765395137563540344815751\
      7815080429015302277887354544427026606053960160643/
      1311370562917095069986969441183272428748397991375237221955488974512150144\
      75214477350882222966463495361958845439103077294035435520000000000000*ep^8
      ;
Fill mncpoch(46,15) = 1/589727523314091046132295663616000000+125519498744377/
      185073809612836616208673469069970866480087040000000*ep+
      2162506525506636666286761191/14935267213823341848409845399503333015459443\
      644700022538240000000*ep^2+718997187891032545796165431444369945657301/
      3280987717378519741975266208808404206184308411725395245298019018389585920\
      0000000*ep^3+10094239414023768087978670516137878264330735654165075101/
      3829352231131734642452160621306278243913052855028865408342383627175555609\
      813539880960000000000*ep^4+5566912063891684266527650479564774199662981514\
      485629688454484090179951/207733344413626839149824751609796731828431629049\
      25875687161963568659035390359364609848025260700467200000000000*ep^5+
      1964703085961027072939057968460087406391240094365726136207089885995409013\
      042172547409/821429556736981820293298632490995156927839490826693452908315\
      14001057373540057541165218755259620766576373836598476800000000000*ep^6+
      4956957957200307626835371723925931242025372496203910321278217574525447468\
      2484297821999363285952917/25778870984274515723139162474697428551704363977\
      1119751060590925729399541586426590959954271130063197187781610765776938956\
      92910592000000000000*ep^7+73760447445637566579107010238399379618486329117\
      35628815254279472615057210876365125002796097312113072734758179363/
      5200821329423164605445739841046998423523071059543157897162595350011887988\
      7500501112481089482949167106204019744013985573558154524962113506508800000\
      000000000*ep^8;
Fill mncpoch(46,16) = 1/283069211190763702143501918535680000000+1813073030939/
      1184472381522154343735510202047813545472557056000000*ep+
      2528289375223428719890636151/71689282626352040872367257917615998474205329\
      49456010818355200000000*ep^2+100459539423207449154501539151623100692893/
      1749860115935210529053475311364482243298297819586877464158943476474445824\
      000000000*ep^3+149729048219230371257217318259002667368638141887081178831/
      2021897978037555891214740808049714912786091907455240935604778555148693361\
      9815490571468800000000000*ep^4+218456056245712285004417294699696155058711\
      6846340886196705960756653/27132518454024730011405681842912226197999233181\
      94400089751766670192200540781631295980150238132305920000000000*ep^5+
      3022894638669213013037694952116426579055306829053945144259280675706756896\
      752396811329/394286187233751273740783343595677675325362955596812857395991\
      26720507539299227619759305002524617967956659441567268864000000000000*ep^6
      +270640052082573578970591916794661353597099494985578574809841098833060359\
      03428429724335620473466903/4124619357483922515702265995951588568272698236\
      3379160169694548116703926653828254553592683380810111550045057722524310233\
      10865694720000000000000*ep^7+12836138618829511094088142602432403420801145\
      528838834332887212120621558318458192301082759710384294272585834295283/
      2496394238123119010613955123702559243291074108580715790638045768005706234\
      6000240533990922951815600210977929477126713075307914171981814483124224000\
      000000000000*ep^8;
Fill mncpoch(46,17) = 1/139553121117046505156746445838090240000000+
      94605848879417/28224002731037067753977648931129317099368580382720000000*
      ep+2469848152085802224575576682831/29723308537559698722214805906996521975\
      38569427772805013430704537600000000*ep^2+91589151233321117970324997966171\
      98008057134291/6311978344559735354817302465655630064163543238689654026611\
      7886750200448359071744000000000*ep^3+141176458252120744488487814581299976\
      832246516355790790776674911/705014661735559620169066775074897733722518116\
      1056471802385133069632126339495462953531358996070400000000000*ep^4+
      1561943197943875962375701765771278509833678084529177893531147796616768208\
      1053/67219162966763370880100376974373427159656952474010970494785349117261\
      83747467248220529741399828788021268630732800000000000*ep^5+
      2724535288556710725861553082329447664577280739430353621531609710401886443\
      975787559091099348089/115623595322200213815695110898479082508717929347786\
      5780999289882594392173243176066143642597102807547043211427783081711809803\
      0592000000000000*ep^6+278468072259761583238738441420028710192343579615163\
      10628570911099737248162681546905770001537959325046482361/
      1299131209369786126223632220728982503499921705731339618771838851204156571\
      6877807652695111901628983838822272888204541859998776793551206560563200000\
      00000000*ep^7+31987843342630650064087513294137796488583036251541602375061\
      416953986216253113781900333815655972488718512322623957458619141/
      1794940074746636121683541108227077315574674878520226199904417714995107448\
      2857748040340151951565841297365689239625749285154388555914338944162030037\
      934014464000000000000000*ep^8;
Fill mncpoch(46,18) = 1/70334773042991438599000208702397480960000000+
      305486716545779/426746921293280464440142051838675274542452935386726400000\
      00*ep+19969892708556564335837570126177/1048638325205106170919738352398837\
      2952916072941182456087383525608652800000000*ep^2+125806334600179949337225\
      4856394954822218659619/35347078729534517986976893807671528359315842136662\
      06254902601658011225108108017664000000000*ep^3+26620470121352237872224379\
      251954389912438912384974939004435873/507610556449602926521728078053926368\
      280213043596065969771729581013513096443673332654257847717068800000000000*
      ep^4+31378157671850221965355491408135602711615648627735168797011883368367\
      22507491/4839779733606962703367227142154886755495300578128789875624545136\
      44285229817641871878141380787672737531341412761600000000000*ep^5+
      4073873499745125933998787966494871988282851913414824140676121736178118124\
      721533615179564009649/582742920423889077631103358928334575843938363912844\
      3536236421008275736553145607373363958689398150037097785596026731827521407\
      418368000000000000*ep^6+1193251080340120576078579946190056339542454283441\
      536500407010494219588014076447643149744524465307667403712107/
      1767857749710404960565118725967999390762693457159206953224718308718616262\
      7527320653787508275736721207869348946268740563086335460664481887614402560\
      000000000000*ep^7+1291627516801748095855985503296504445218363254062312264\
      57513065165438076284386358471815104667216034357008182076529234328586941/
      2172064164211203357393739829230019167886176369196839805409135494586439503\
      6004092334607779237197630817307410011628077712962466209066165213686249197\
      024102638944256000000000000000*ep^8;
Fill mncpoch(46,19) = 1/36081738571054608001287107064329907732480000000+
      8854878104146817/59108716068332277129604075600174912276875156080415473664\
      0000000*ep+206591934517898030250469706508233/4841563147471975191136431973\
      0254317923613508769439399755449737735149977600000000*ep^2+337811913998898\
      7844804411930495546356885503510113/39656983386105391299646973446534725483\
      69558208422740449769130780774191796764736365789184000000000*ep^3+
      403103151160444392292802537691034041991271678873306158639421159/
      3013248778878621486536766689624971768735384657221047034560668468550644242\
      360565427397482335169622835200000000000*ep^4+9552755570042372106976736720\
      399239775860199370045336532754822250495062912048033/
      5429898916305393272751496514824974252479598072920611353949321549474465721\
      74536762958115037488494462091275402561034649600000000000*ep^5+
      4389875726345998821355475411038456343894908907873624907928979965082601502\
      605017110474273609062761/217932449151364765585247140861941779670388537521\
      0337928351088019411935128935734808668533178785051956423718563845289088660\
      973382099009536000000000000*ep^6+3680425583253200077478648045545089200935\
      8602812700668953927247680278595775018651506040275726063097961663836475201/
      1785072971691309913030605795609603172030001489775677594614525293137087276\
      0577918949582025652575017825319459879372610931815613886746886545787802850\
      6890240000000000000*ep^7+140569918484231194260926863684418773595595291958\
      5319241553964027226390682705465920836911515363469227878538935109755383074\
      508109501/731071835945291878189234776104359390513711722020813903916743038\
      3730575976141732195117652110210512542147755946526770256974507802921143541\
      3068681743599345493440104235008000000000000000*ep^8;
Fill mncpoch(46,20) = 1/18762504056948396160669295673451552020889600000000+
      1896990178137757/61473064711065568214788238624181908767950162323632092610\
      560000000*ep+236472981707448050691618853652633/25176128366854270993909446\
      259732245320279024560108487872833863622277988352000000000*ep^2+
      317161160970806610830939272772071272615018809141/158627933544421565198587\
      8937861389019347823283369096179907652312309676718705894546315673600000000\
      00*ep^3+3665179854936391011813390295676446089934673274817153649476234913/
      1096822555511818221099383075023489723819680015228461120580083322552434504\
      2192458155726835700017427120128000000000000*ep^4+263634056909846977183553\
      7763951839903644677048582453852412058190577894031398653/
      5647094872957609003661556375417973222578781995837435808107294411453444350\
      6151823347643963898803424057492641866347603558400000000000*ep^5+
      6424706625936749285567667731641754708136718296810775323639476215261700472\
      468887145313019491215161/113324873558709678104328513248209725428602039510\
      9375722742565770094206267046582100507637252968227017340333653199550326103\
      706158691484958720000000000000*ep^6+4388032297317312706824659318110975726\
      8994069401416595598680647135340900523933352326300130794176404448677737199\
      57/7140291886765239652122423182438412688120005959102710378458101172548349\
      1042311675798328102610300071301277839517490443727262455546987546183151211\
      40275609600000000000000*ep^7+23042525993695455477930408208696893867477053\
      9330099698913136161654526036233954040583237652155848807079126857255162660\
      5813896106701/38015735469155177665840208357426688306713009545082323003670\
      6379953989950759370074146117909730946652191683309219392053362674405751899\
      46414795714506671659656588854202204160000000000000000*ep^8;
Fill mncpoch(46,21) = 1/9850314629897907984351380228562064810967040000000000+
      253505664717310793/403416987166367791409547815971193776289672940248835607\
      7568000000000000*ep+33712025248318863005043517346955349/
      1652183424074811533975307410794928599143310986757119516654722300211992985\
      600000000000000*ep^2+18515983460239771171444538663450028163649290529753/
      4003830053404871236983588665275140553642342421965266800247680115204712871\
      733628061614080000000000000000*ep^3+2687709776980212830091619409722539273\
      07804289747406854853267116083/3271771827521048670893046104473477869348477\
      3181530800471849076382956142881540003021344254218801984307200000000000000\
      0000*ep^4+282072713716951554121220967066220503500357007324302780698904554\
      111374071989373429657/231619125648651931790806023210502807957332855298019\
      8280669007473447701784432008379493209456786859189858096639049413427200000\
      000000000000000*ep^5+7283535632529148871602528575725591362563874377895736\
      59801501560752066511284079050354842985488947952549/
      4648090517056451640997849176196102019532505526815798862811304916402017892\
      1832468966133559203774936258099622494512806344097322915080437760000000000\
      000000000000*ep^6+2631906634512646535189366390136442799007481582356996054\
      508038683967659926515618790623938785592100902438510860280355989/
      1464317672090527663032918816711002602055860597081610526832227779526516906\
      1411574138329005418127944309832369432297844905004995766472055369591557025\
      95584000000000000000000000000*ep^7+14606016201572072613957602347525635985\
      7997777943836648124146768143042905888510151164222520242692553011134563413\
      5441819525131659762545101/77961957505103391697523864795503950629001289106\
      1258577223714255765018453705739409869968369565417939064975536485081359435\
      1721211708875729596777389063523953011386115686400000000000000000000000000
      *ep^8;
Fill mncpoch(46,22) = 1/5200966124586095415737528760680770220190597120000000000
      +270570136019489093/21300416922384219386424124683279031388094731245138520\
      08955904000000000000*ep+38329161569649913800496301338237249/
      8723528479115004899389623128997223003476682010077591047936933745119322963\
      96800000000000000*ep^2+291020621724797511209026038561321306231789692232689
      /274822894865710361706553525984485647602010383843695913169000763107651491\
      51579623014919045120000000000000000*ep^3+37949154250800993083258817949861\
      79795462433721992493637618537807213/1900245077424225068054681177478195946\
      5175956263833088914049943563220927785598433754796742850280192485621760000\
      00000000000000*ep^4+38383563929126645559319486047645830216229938235016534\
      7067918020418478637177355266357/12229489834248821998554558025514548260147\
      1747597354469219323594598038654218010042437241459318346165224507502541809\
      0289561600000000000000000000*ep^5+104930122357342970647461008828676662224\
      2474026503964392935052738651463948649108584787642421998415154449/
      2454191793005806466446864365031541866313162918158741799564368995860265447\
      0727543614118519259593166344276600677102761749683386499162471137280000000\
      000000000000000*ep^6+3084056619270637424939359350985052943045382483440477\
      49112427329890025512899496540906188746436654895077632051646632453/
      5947382545106143123702931809410841337580726117377618139749355904538468664\
      9425470346443960467473496889165315848102016229558752036132655654956477766\
      959104000000000000000000000000*ep^7+2350011367045049516089120285210041927\
      2120913407616483014120387211173408914641766144143575143271466685812797971\
      49596269165885624693058201/
      4116391356269459081629260061202608593211268064803445287741211270439297435\
      5663040841134329913054067182630708326412295778177087997822863852270984614\
      25540647190011869082419200000000000000000000000000*ep^8;
Fill mncpoch(46,23) = 1/2751311079906044474925152714400127446480825876480000000\
      000+6632660439700528339/2591621726946487972746223250214559748989485950596\
      0037392966483968000000000000*ep+22992514719873515696578587365867753521/
      2441200933124022086050091526041711882515918170382123156445719476167936457\
      55976908800000000000000*ep^2+42651957954835074598931403494055963632243048\
      92708593463/1768854415608650826597443841095562306543666319979685284853905\
      87862259092385725445534713091624796160000000000000000*ep^3+
      27691573953151349413717790302982504167407308341126666834013252735160317/
      5740907537844265062970616912643908470590382095799285438790669358737219894\
      175235791630497637031882027959463182336000000000000000000*ep^4+
      3343755573680840123000028960779168640855535330335709158416279242771508883\
      188496887757005251/416392781914782012704519563831100091848586765871033606\
      6771311990149137461711144781918696211705202973112696126967685632042934154\
      035200000000000000000000*ep^5+2224361185900851342372243716009114963653171\
      70566769731841483993828739999188128876874035972688930643845715900961/
      1921901773788287089414550156585884861935853710204842366871647526468659973\
      5846735133265209055275154676348294542173090091039054865461463960591214103\
      75680000000000000000000000*ep^6+20658424047847623490950468332842986854366\
      4612068440530460722244973590142776664564605096148633832895928725932026791\
      56699697171783/1392578706981347643301509168878524088874640679430480288057\
      6437296959319575486006094066556126990392053493622769891734743970801658000\
      67639970462705386077504300411518976000000000000000000000000*ep^7+
      2940195318804180241150137164486830807019371965376384882600773972703530193\
      12070058219948469214818855368786899093685250973419490752458158206198916281
      /170527732680264562484778103178280320931237245141522849827700736128799576\
      7648447451811753583288271809330078446923778764819567276601533519074463358\
      27712594486869479516172244713000979660800000000000000000000000000*ep^8;
Fill mncpoch(46,24) = 1/1452692250190391482760480633203267291741876062781440000\
      000000+7060823537827911139/1368376271827745649610005876113287547466448581\
      9146899743486303535104000000000000*ep+26015698801160661793275961226904762\
      721/128895409268948366143444832575002387396840479396176102660333988341667\
      044959155807846400000000000000*ep^2+3940030031949076005029502012969981656\
      40643770839930851/7184270241856674126488079600757360752731198591917491003\
      098940799328676983051002710948347105991720960000000000000000*ep^3+
      18998599126717546100560848814057071351214194335519544722069198785900398463
      /163381635801017508280093380840315519946225802140771024159631417414174288\
      4123118704411706583518177370101039545987366912000000000000000000*ep^4+
      4096206243888500613404284561377792804784796354433443024787957257580767771\
      78916751501710041/1998685353190953660981693906389280440873216476180961312\
      0502297552715859816213494953209741816184974270940941409444891033806083939\
      3689600000000000000000000*ep^5+316968329375899562552671224322243551760492\
      294021359231763038526899184012168008385348448091570453070615680398161/
      1014764136560215583210882482677347207102130758988156769708229893975452466\
      0527076150364030381185281669111899518267391568068620968963652971192161046\
      78359040000000000000000000000*ep^6+31097973425835767840690532823458306659\
      4350166313447057101819611372309946150678059948145627809338407880513005917\
      64568684378943383/7352815572861515556631968411678607189258102787392935920\
      9443588927945207358566112176671416350509270042446328225028359448165832754\
      2435713904404308443848922270617282019328000000000000000000000000*ep^7+
      4246496293616120336076815228884175511379999801880733304283628293694373836\
      4468680680314901555219269597581108234176779084697708610253016731580279771/
      8185331168652698999269348952557455404699387766793096791729635334182379684\
      7125477686964171997837046847843765452341380711339229276873608915574241197\
      30204535369735016776267746224047023718400000000000000000000000000*ep^8;
Fill mncpoch(46,25) = 1/7626634313499555284492523324317153281644849329602560000\
      00000000+7509375354913740739/71839754270956646604525308495947596241988550\
      55052122365330309355929600000000000000*ep+2938404276178676676298343839203\
      6837121/67670089866197892225308537101876253383341251682992453896675343879\
      375198603556799119360000000000000000*ep^2+1252225640723179866871539515343\
      93304456263047165320087/1000666212258608181903696801534060961987559803874\
      221961145923897049351436924961091882091204048846848000000000000000000*
      ep^3+24109960714302976997881007498514839470178963221930491953221204656365\
      341663/857753587955341918470490249411656479717685461239047876838064941424\
      415014164637319816145956347043119303045761643367628800000000000000000000*
      ep^4+38504867969281837480223691800359807603499593148454800041765024170056\
      03742610456024130027087/7345168672976754704107725105980605620209070549965\
      0328217845943506230784824584593953045801174479780445707959679709974549237\
      3584771809280000000000000000000000*ep^5+449958328781788771233532918419271\
      9543174183596243874276182784774974641669811103149137316891390868698093912\
      88561/5327511716941131811857133034056072837286186484687823040968206943371\
      1254467767149789411159501222728762837472470903805732360260087059178098758\
      8454956138496000000000000000000000000*ep^6+
      4662332927106457501169114354697698665181792002280322178782443164884537610\
      7682020371608289957759702831126460326303029905738574583/
      3860228175752295667231783416131268774360503963381291358495788418717123386\
      3247208892752493584017366772284322318139888710287062195977874979981226193\
      3020684192074073060147200000000000000000000000000*ep^7+
      6718030182894761340820434278583824412493497752680362330574844412530264910\
      7137740758327777856177311860719703837933974698207604391462035762160074171/
      4297298863542666974616408200092664087467178577566375815658058550445749334\
      4740875785656190298864449595117976862479224873453095370358644680676476628\
      58357381069110883807540566767624687452160000000000000000000000000000*ep^8
      ;
Fill mncpoch(46,26) = 1/3965849843019768747936112128644919706455321651393331200\
      00000000000+7980354762853861819/37356672220897456234353160417892750045834\
      04628627103629971760865083392000000000000000*ep+3314262552314780396859331\
      6180485881641/35188446730422903957160439292975651759337450875156076026271\
      178817275103273849535542067200000000000000000*ep^2+1048090851214723691286\
      315079921313350924942746202175689/364242501262133378212945635758398190163\
      4717686102167938571162985259639230406858374450811982737802526720000000000\
      000000000*ep^3+3052714042574636225592981369594711305104337338379846091418\
      7497147566855223/44603186573677779760465492969406136945319643984430489595\
      5793769540695807365611406304395897300462422037583796054551166976000000000\
      000000000000*ep^4+4688678453721733775397966674268546349423513449199194536\
      13537978986947167565007275461823957/
      3472261554498102223760015504645377202280651532710742788479990056658182555\
      3439989868712560555208623483425580939499260696003114916485529600000000000\
      000000000000*ep^5+6369988826643566201629876071668281996557847916942127212\
      30449789098692962160045758379439577971911822791723673881/
      2770306092809388542165709177709157875388816972037667981303467610552985232\
      3238917890493802940635818956675485684869978980827335245270772611354599657\
      7192017920000000000000000000000000*ep^6+697012797799705241293908643027123\
      2363805279637254251866414072743699051921587026995227868108411655504592900\
      2860153694822474998543/20073186513911937469605273763882597626674620609582\
      7150641780997773290416088885486242312966636890307215878476054327421293492\
      7234190849498959023762051707557798785179912765440000000000000000000000000\
      00*ep^7+10597687249119400019264804975779941967016589469734163758679175599\
      3354404853910828656373683034465719712580289236920455930140998316175390558\
      084312691/223459540904218682680053226404818532548293286033451542414219044\
      6231789653926525540854121895540951378946134796848919693419560959258649523\
      3951767846863458381559376595799210947191648374751232000000000000000000000\
      00000000*ep^8;
Fill mncpoch(46,27) = 1/2034480969469141367691225521994843809411580007164778905\
      60000000000000+8476122560685568219/19163972849320395048223171294378980773\
      51286574485704162175513323787780096000000000000000*ep+3734481413921053231\
      5126735198864783241/18051673172706949730023305357296509352540112298955067\
      001477114733262127979484811733080473600000000000000000*ep^2+1251545315678\
      798173170486310242646020862021900412642089/186856403147474423023241111144\
      0582715538610172970412152487006611438194925198718346093266547144492696207\
      360000000000000000000*ep^3+3859332667127501478111544644491125286225544691\
      5042940096230242138865560023/22881434712296701017118797893305348252948977\
      3640128411625322203774376949178558651434155095315137222505280487375984748\
      658688000000000000000000000*ep^4+6896939805895513884661960436260260042467\
      706958289792008477327287293987482507639515690358727/
      1959397195203279084867776749271386355246971659908672155539258388972212415\
      9806186282914497921304226231697055324159432810754557747372784353280000000\
      0000000000000000*ep^5+900283493434049094260494428181633622244790765325205\
      206377167335616459331307024372659019067374327459463438639481/
      1421167025611216322131008808164797990074463106655323674408678884213681424\
      1821564877823320908546175124774524156338299217164422980823906349624909624\
      4099505192960000000000000000000000000*ep^6+
      1040344770848962185566852701797153774722401162592652740426337930166937935\
      63972868032758792692551637737625550557973316039447335343/
      1029754468163682392190750544087177258248408037271593282792336518576979834\
      5359825444230655188472472760174565821586996712356176711399057929659791899\
      3252597715077679729524867072000000000000000000000000000*ep^7+
      1669314422037737791540406639644935518536428428150189817816832792377620995\
      78598178647055385335553899417281240548078833879529192021334895858388934291
      /114634744483864184214867305145671907197274455735160641258494369891690809\
      2464307602458164532412508057399367150783495802724234772099687205501725690\
      5440954149739960193644995215909315616247382016000000000000000000000000000\
      00*ep^8;
Fill mncpoch(46,28) = 1/1025378408612447249316377663085401279943436323611048568\
      42240000000000000+8999433013952369419/96586423160574791043044783323670063\
      0985048433540794897736458715189041168384000000000000000*ep+42054311508886\
      161603649080909697286041/909804327904430266393174590007744071368021659867\
      3353768744465825564112501660345113472558694400000000000000000*ep^2+
      114875811110996707767113862886910926386335255336460253/
      7244279014332854554131809232046566835626611747516059421949625632037309556\
      1550311263923564596986486068346880000000000000000000*ep^3+
      48752882131413938851782661132094580766609530198716491167890006933572468423
      /115322430949975373126278741382258955194862845914624719459162390702285982\
      3859935603228141680388291601426613656374963133239787520000000000000000000\
      00*ep^4+92162937010094376416765496032570004087454990659657783357584924587\
      45206089476165013982950327/9875361863824526587733594816327787230444737165\
      9397076639178622804199505765423178865889069523373300207753158833763541366\
      202971046758833140531200000000000000000000000*ep^5+
      1271653171660920540576747412220737196855222625269112391513374529285959617\
      057389620890927296935447735912806054281/
      7162681809080530263540284393150581869975294057542831319019741576436954377\
      8780686984229537379072722628863601747945028054508691823352488002109544507\
      026150617251840000000000000000000000000*ep^6+
      1552244307510532710696977442478951174843665836785758952118435537451503654\
      25891195608788134774905417612509295423031196804250099743/
      5189962519544959256641382742199373381571976507848830145273376053627978366\
      0613520238922502149901262711279811740798463430275130625451251965485351172\
      599309248399150583680533004288000000000000000000000000000*ep^7+
      2629312034571731850409563054472155646162089298917720063713153678485149888\
      75227317312925071828574149994246501555417621553727877345515793019950497091
      /577759112198675488442931217934186412274263256905209631942811624254121678\
      6020110316389149243359040609292810439948818845730143251382423515728697480\
      3422408914689399375970775888182950705886805360640000000000000000000000000\
      0000*ep^8;
Fill mncpoch(46,29) = 1/5055115554459364939129741879011028310121141075402469442\
      3224320000000000000+9553526435058394219/476171066181633719842210781785693\
      411075628877735611884584074146588197296013312000000000000000*ep+473478576\
      54914512320793193344087917241/4485335336568841213318350728738178271844346\
      783145963407991021652003107463318550140941971436339200000000000000000*
      ep^2+1781683746971008483749026702358960046917949792658528089/
      4642858420285926483743076536818644684953095468983042483527515067572711694\
      53975944890486125502086389212035153920000000000000000000*ep^3+
      61586732286360111691495508717931424499857152662053811006748443846670362023
      /568539584583378589512554195014536649110673830359099866933670586162269893\
      1629482523914738484314277595033205325928568246872152473600000000000000000\
      0000*ep^4+123185485362176328142581602034135840503133171956156972145203490\
      25895777249638620148748056727/4868553398865491607752662244449599104609255\
      4228082758783115061042470356342353627180883311275023037002422307305045425\
      893538064726052104738281881600000000000000000000000*ep^5+
      1797226427675915590855850932891547034970012674469687910833325429758466431\
      904630827378042775158908390366705933481/
      3531202131876701419925360205823236861897819970368615840276732597183418508\
      2938878683225161927882852256029755661736898830872785068912776585040005441\
      963892254305157120000000000000000000000000*ep^6+
      1363687302975927712895782285896800303111016397785087770533058920215674109\
      2892947672161122335712648449023441656062638960237048079/
      1505089130668038184426000995237818280655873187276160742129279055552113726\
      1577920869287525623471366186271145404831554394779787881380863069990751840\
      05379968203575366926735457124352000000000000000000000000000*ep^7+
      4147401543921517003892653272728482758933834855302263157548881011081224509\
      54800808713681186826450474705840615787709245873196597742131280360929168291
      /284835242313947015802365090441553901251211785654268348547806130757281987\
      5507914385979850576976007020381355546894767690944960622931534793254247857\
      8087247594941873892353592512874194698002195042795520000000000000000000000\
      0000000*ep^8;
Fill mncpoch(46,30) = 1/2426455466140495170782276101925293588858147716193185332\
      3147673600000000000000+10142250694983545569/22856211176718418552426117525\
      7132837316301861313093704600355590362334702086389760000000000000000*ep+
      53318846689294052125597917126034785391/2152960961553043782392808349794325\
      5704852864559100624358356903929614915823929040676521462894428160000000000\
      00000000*ep^2+2126629884962406803153350126127482258169375090685384439/
      2228572041737244712196676737672949448777485825111860392093207232434901613\
      37908453547433340241001466821776873881600000000000000000000*ep^3+
      77862714153429746753357802222191465056274145552096147453945143866798316473
      /272899000600021722966026013606977591573123438572367936128161881357889548\
      7182151611479074472470853245615938556445712758498633187328000000000000000\
      0000000*ep^4+164857911512850450942252388592458850848835738770980428539927\
      88807390835998941083891450164777/
      2336905631455435971721277877335807570212442602947972421589522930038577104\
      4329741046823989412011057761162707506421804428898271068505010274375303168\
      000000000000000000000000*ep^5+2544556487677124660649624885420096021587791\
      576392110720072089071982670204780932822531925606192139485967333852631/
      1694977023300816681564172898795153693710953585776935603332831646648040883\
      9810661767948077725383769082894282717633711438818936833078132760819202612\
      142668282066475417600000000000000000000000000*ep^6+
      1570411094543076213824227624450792531720662718365647675049163467172224246\
      761360558781535293270382816012240282428342796833852533/
      5557252174774294834803695982416559805498608691481208894015799589730881450\
      4287707825061633071278890533924229187070354688417678331252417489196622178\
      660183441362782778833309186129920000000000000000000000000000*ep^7+
      6562129599688691665144164139780098128471060455811388417084392607423706129\
      52354392646024195431370296628180656529324120318769876530068066768171278941
      /136720916310694567585135243411945872600581657114048807302946942763495354\
      0243798905270328276948483369783050662509488491653581099007136700762038971\
      7481878845572099468329724406179613455041053620541849600000000000000000000\
      0000000000*ep^8;
Fill mncpoch(46,31) = 1/1128301791755330254413758387395261518819038688029831179\
      5263668224000000000000000+10770223238903707009/10628138197174064626878144\
      6494566769352080365510588572639165349518485636470171238400000000000000000
      *ep+60082251175216453672797670075774318351/100112684712216535881265588265\
      4361390275658201998179032663596032727093585812700391458248024590909440000\
      000000000000000*ep^2+27925772690077261784220766646880169038516070007758069
      /113877582352507559469390624507463900404563836118353305749817732206838379\
      1451949790105016518813908594199189520384000000000000000000000*ep^3+
      98608533859187424747499025061995532240362552189226761711236833367964339353
      /126898035279010101179202096327244580081502398936151090299595274831418640\
      1539700499337769629698946759211411428747256432701864432107520000000000000\
      0000000000*ep^4+221151958658115270528131255541324674789981972734705318448\
      99559304490505970734220350241541897/
      1086661118626777726850394212961150520148785810370807176039128162467938353\
      5613329586773155076585141858940658990486139059437696046854829777584515973\
      120000000000000000000000000*ep^5+3613912144827389905088961100403315541115\
      873798447923980536976840613811616187303469085291199564428047996150431991/
      7881643158348797569273403979397464675755934173862750555497667156913390110\
      5119577220958561423034526235458414636996758190508056273813317337809292146\
      46340751160911069184000000000000000000000000000*ep^6+
      3068429265933701764835343509051401404466298518475330175014862438126514844\
      0684729365670586270960729579431522433597703956443977169/
      3359358939651061227638834221370810402423908954000390776432550851992317836\
      7841919380249757191588089327757196543584029409148486551242086372219358107\
      0000808903038021898047354030155366400000000000000000000000000000*ep^7+
      1043342543936877091186119130911005509168042275693753034461843503333787004\
      7581711381020854842059525102214159214206743777060579278497443245201776519\
      01/6357522608447297392708788818655483075927047055803269539587032838502533\
      9621336649095070264878104476694911855806691214861891521103831856585434812\
      1862907366319102625277332184887352025659408993355196006400000000000000000\
      00000000000000*ep^8;
Fill mncpoch(46,32) = 1/5054792027063879539773637575530771604309293322373643684\
      278123364352000000000000000+11443050964532451409/476140591233398095284140\
      8802956591266973200374874368054234607658428156513863671480320000000000000\
      0000*ep+9683064732848090407978937434636453993/
      6407211821581858296400997648987912897764212492788345809047014609453398949\
      2012825053327873573818204160000000000000000000*ep^2+304240180874457591201\
      1053089233345672670761786779552679/46425612773470281844481169799202882916\
      9325847087302756880856930660838704099130890430013134390054255683125583670\
      14912000000000000000000000*ep^3+12521969362173051056545988714114970454388\
      0338444860110006348053101505558153/56850319804996525328282539154605571876\
      5130747233956884542186831244755507889785823703320794105128148126712320078\
      7708818504352655841689600000000000000000000000*ep^4+552400803149542804355\
      15263512661054027035120102863962408505068548783276654324315573491323/
      9031988518456334353042237614222549777860037904380734969675870441291955146\
      4838064097854795441746633632753529271573103870650980129702481268234937958\
      40000000000000000000000000*ep^5+51564565364773798049061007401775608102987\
      66414351000009517345989317964608618704069629682387746332795465414755591/
      3530976134940261311034484982770064174738658509890512248862954886297198769\
      5093570594989435517519467753485369757374547669347609210668366167338562881\
      61560656520088158994432000000000000000000000000000*ep^6+
      4638296652242094588025146169070536111373525641556326735109796890802830872\
      5271010445690417549045823909476864930751316995947189569/
      1504992804963675429982197731174123060285911211392175067841782781692558390\
      8793179882351891221831464018835224051525645175298521974956454694754272431\
      9360362388561033810325214605509604147200000000000000000000000000000*ep^7+
      2386192184582035274335382657307238944969939686774409584757888832062882443\
      47941635888913507154753721271303506613979746127990359681150705117903601643
      /406881446940627033133362484393950916859331011571409250533570101664162173\
      5765545542084496952198686508474358771628237751161057350645238821467827979\
      9226071444422568017749259832790529642202175574732544409600000000000000000\
      00000000000000*ep^8;
Fill mncpoch(46,33) = 1/2168505779610404322562890519902701018248686835298293140\
      555314923307008000000000000000+12167634669055714609/
      2042643136391277828768964376468377653531502960821103895266646685465679144\
      4475150650572800000000000000000*ep+10942560419103816026138532569006752393/
      2748693871458617209156027991415814633140847159406200352081169267455508149\
      2073501947877657763168009584640000000000000000000*ep^2+474800244791233614\
      13991312812057574190013400978903022427/2589156424376437618466714839701544\
      7802773302492058874751245391022954974527608529759281832504933325839447913\
      8012842164224000000000000000000000*ep^3+159622945649668935996764813290574\
      656625973293190694708092402710714329344553/
      2438878719634350936583320929732579033502410905633675034685981506040001128\
      8471811836872462067109997554635958531379270831383672893560848384000000000\
      00000000000000*ep^4+57555665126378772214872288855556201060090353654555840\
      46134020844081322438086338831583576671/
      2983536767301680926840442351106134868120506320954088182533030282871971543\
      5379957713444374578272165487907473324278743401592138266244620637336047055\
      7982720000000000000000000000000*ep^5+740429658766490631395846017559251431\
      9355819458194427599038652632760508613333262572577378307738713444054017836\
      391/151478876188937210243379405760835753096288450074302975476220764622149\
      8272119514178525046783701585166624522362591368095015012435137672908578824\
      347621309521647117820208611328000000000000000000000000000*ep^6+
      9185687207255425584427764950209004567576747743297189185165286647135588002\
      68500062375329030549221597435269890017001422017374117997/
      8393344873282417873010716746758084307214526825934160353353622573499398145\
      9339564203876497344154074833044044535358523142639857054332147832644577352\
      9072741041004885560183721854927062328934400000000000000000000000000000*
      ep^7+55080776571733421998406342518947030480493016658978512490891288928477\
      1402884286328188719732544222810580470306877703991509253858124151031002587\
      57149/2493602010536128531631607225785784904752185770916208121127165337341\
      7938923477414822203559892760521601935713043264485646401337191811535062995\
      6886198114066423675452565920463832387674521496190308003736453120000000000\
      000000000000000000000*ep^8;
Fill mncpoch(46,34) = 1/8847503580810449636056593321203020154454642288017036013\
      46568488709259264000000000000000+12952600348955916409/
      8333983996476413541377374655990980826408532080150103892687918476699970909\
      345861465433702400000000000000000*ep+123950385247314977424054855380112289\
      93/1121467099555115821335659420497652370321465641037729743649117061121847\
      3248765988794734084367372547910533120000000000000000000*ep^2+
      57209704322078415823078240645136593277319808985613809827/
      1056375821145586548334419654598230270353150741676002089850811953736562960\
      72642801417869876620127969424947488309239603003392000000000000000000000*
      ep^3+20453060009973873317277453799379321438523659486534854477953636395845\
      2433153/99506251761081518212599493933089224566898364949853941415188045446\
      4320460569649922944396452338087900229147108080274249920453854057282614067\
      200000000000000000000000*ep^4+7840624974555899257492836374673289436030864\
      608072494567539062206130114385878556512436956871/
      1217283001059085818150900479251303026193166578949267978473476355411764389\
      7635022747085304827935043519066249116305727307849592412627805220033107198\
      7656949760000000000000000000000000*ep^5+107216375837080894456992893622731\
      3647944700229663523736307812071777406779230946317294598782116115648291336\
      7880591/61803381485086381779298797550420987263285687630315613994298071965\
      8371295024761784838219087750246747982805123937278182766125073536170546700\
      160333829494284832024070645113421824000000000000000000000000000*ep^6+
      1413634458110188277344997030177001168680493318608347917579467557474833288\
      735543389295096481471762027224840176638483083573797839397/
      3424484708299226492188372432677298397343526944981137424168278009987754443\
      5410542195181610916414862531881970170426277442197061678167516315718987559\
      9861678344729993308554958516810241430205235200000000000000000000000000000
      *ep^7+6305540992514053018915083449451299785841024363954344025574544553361\
      0453260519917306895997651471137140588336646395471652591415014317324323704\
      4226643/71217273420911830863398702368442016879722425617366903939391842034\
      4816335654514967322133670537240496951283964515633710061222190198137441399\
      1568669818137737060170925282688447052991984333931195196586713101107200000\
      00000000000000000000000000*ep^8;
Fill mncpoch(46,35) = 1/3406288878612023109881788428663162759465037280886558865\
      18428868153064816640000000000000000+13808926545210682009/
      3208583838643419213430289242556527618167284850857789998684848613529488800\
      098156664191975424000000000000000000*ep+140843164594203155709739332940729\
      56193/4317648333287195912142288768915961625737642717995259513049100685319\
      112200774905685972622481438430945555251200000000000000000000*ep^2+
      69270473462622202354464009306636353900570613941897170627/
      4067046911410508211087515670203186540859630355452608045925626021885767398\
      7967478545879902498749268228604782999057247156305920000000000000000000000
      *ep^3+2638487211527526856341039696584101568856327856148891267289940066635\
      42464353/3830990692801638451185080516423935145825587050569376744484739749\
      6876337731931522033359263415016384158822163661090558621937473381205380641\
      5872000000000000000000000000*ep^4+118524099258889323256928318666158993417\
      202909120732282365851106829942424800080048100288047981/
      5155193509485228439869063529629268315928060461850149888835172365168822190\
      6484321333906265946304909303245565007554755148743023867478755106840208986\
      7727182233600000000000000000000000000*ep^5+156949068467695513006560316877\
      9257455872676488189542371135328427532267271355234958028432206373372027755\
      6072306991/23794301871758256985030037056912080096364989737671511387804757\
      7068472948584533287162714348783844997973379972715852100364958153311425660\
      479561728524355299660329267198368667402240000000000000000000000000000*
      ep^6+20038366667668581726494082476745619883983285306973567671977179236226\
      1995648270934162756699296934781744333144732323523807082938927/
      1198569647904729272265930351437054439070234430743398098458897303495714055\
      2393689768313563820745201886158689559649197104768971587358630710501645645\
      9951587420655497657994235480883584500571832320000000000000000000000000000\
      00*ep^7+10472818581522761988292660693806432803131969833061645344446211416\
      0240998131415509607286188875455696461267045813456986898464046714883438822\
      5259753843/27418650267051054882408500411850176498693133862686258016665859\
      1832754289226988262419021463156837591326244326338518978373570543226282914\
      9386753937879983028768165806233835052115401913968563510150685884543926272\
      00000000000000000000000000000000*ep^8;
Fill mncpoch(46,36) = 1/1226263996300328319557443834318738593407413421119161191\
      46634392535103333990400000000000000000+14750885361090924169/
      1155090181911630916834904127320349942540222546308804399526545500870615968\
      035336399109111152640000000000000000000*ep+160692773891229448894946696914\
      89636913/1554353399983390528371223956809746185265551378478293424697676246\
      714880392278966046950144093317835140399890432000000000000000000000*ep^2+
      84407070964131600850523455833138097229643723650812022707/
      1464136888107782955991505641273147154709466927962938896533225367878876263\
      5668292276516764899549736562297721879660608976270131200000000000000000000\
      000*ep^3+3433567057700456583400565191016203605766488487009071007626666794\
      90121191473/1379156649408589842426628985912616652497211338204975628014506\
      3098875481583495347932009334829405898297175978917992601103897490417233937\
      0309713920000000000000000000000000*ep^4+164728081543416883137414598574996\
      214035023542247502135251777787113823385805895356777283348221/
      1855869663414682238352862870666536593734101766266053959980662051460775988\
      6334355680206255740669767349168403402719711853547488592292351838462475235\
      2381785604096000000000000000000000000000*ep^5+232980932097797373901317831\
      6089930130661489683743740205036910066677579483287530217023143091219523080\
      0325246977631/85659486738329725146108133404883488346913963055617440996097\
      1277446502614904319833785771655621841992704167901777067561313849351921132\
      37772642222268767907877718536191412720264806400000000000000000000000000000
      *ep^6+2888555661676805034634006346918538301913334561740684175936054506273\
      2210367459977269266224938896351621564253584809407545606656637/
      3922591574960932163779408422884905436957130864251121049501845720531427817\
      1470257423571663413347933445610256740670099615607543376810064143459931205\
      0750649740327083244344770664709912910962360320000000000000000000000000000\
      000*ep^7+1774150983890342266124526066451204491708705878247326771376860949\
      3957717255554164612773765432001288060743106374132363307603717692726843637\
      05307950563/9870714096138379757667060148266063539529528190567052885999709\
      3059791544121715774470847726736461532877447957481866832214485395561461849\
      3779231417636793890356539690244180618761544689028682863654246918435813457\
      92000000000000000000000000000000000*ep^8;
Fill mncpoch(46,37) = 1/4083459107680093304126287968281399516046686692326806767\
      5829252714189410218803200000000000000000+15797506267624526569/
      3846450305765730953060230743976765308658941079208318650423396517899151173\
      55767020903334013829120000000000000000000*ep+1843127743637886599290714700\
      4358517713/51759968219446904594761757761764547969342860903327171042432619\
      0156055170628895693634397983074839101753163513856000000000000000000000*
      ep^2+103697631263166780810390133807808631605919347140911333907/
      4875575837398917243451713785439580025182524870116586525455640475036657957\
      6775413280800827115500622752451413859269827890979536896000000000000000000\
      00000*ep^3+45188881460808850381727128100170838079882421533409064856290296\
      5192097768273/45925916425306041752806745230890134528157137562225688412883\
      0601192553536730395086135910849819216413295960097969153616759786430893890\
      10313134735360000000000000000000000000*ep^4+23229326451449010896619288594\
      9152461185458456544940930361123597300989300586478948994871441821/
      6180045979170891853715033359319566857134558881665959686735604631364384042\
      1493404415086831616430325272730783331056640472313137012333531622080042533\
      343134606163968000000000000000000000000000*ep^5+
      3521111957708220842985889481148975572812386819581326605479129613609517557\
      2811150933827559825937983445109399527231/
      2852460908386379847365400842382620161952234969752060785170034353896853707\
      6313850465066196132207338357048791129176349791751183418973708178289860015\
      499713323280272551740435848180531200000000000000000000000000000*ep^6+
      5148143521525173010629909941783282254171308330388940266880159460726714214\
      08775194193686504262860090523824389538663508357691014207/
      1436845293908189451592397305302740861557397035575185640432526087430662009\
      4209555294254300308309348021127037044107457489197043138925526495749372800\
      4189962999881810592403489494483241099285512585216000000000000000000000000\
      0000000*ep^7+440386117843281690846325428265548635446093867931708073916159\
      6003570708527247072147647629932186783896738507243169298608822597424993843\
      84979981095909/
      4695639705734400656147330041960855940947618410655469444339861712701512027\
      5044789855417561433202414925985956916373793039176623888523994061212008867\
      5789093555325309787588780067991973495073419424091748341608402124800000000\
      0000000000000000000000000*ep^8;
Fill mncpoch(46,38) = 1/1241371568734748364454391542357545452878192754467349257\
      3452092825113580706516172800000000000000000+16974954787474829269/
      1169320892952782209730310146168936653832318088079328869728712541441341956\
      76153174354613540204052480000000000000000000*ep+2128658249195572990158281\
      5021568478613/15735030338711858996807574359576422582680229714611459996899\
      5161807440771871184290864856986854751086932961708212224000000000000000000\
      000*ep^2+128761486310991422963255520526591991692319606887437489007/
      1482175054569270842009320990773632327655487560515442303738514704411144019\
      1339725637363451443112189316745229813218027678857779216384000000000000000\
      00000000*ep^3+60349883607869036767330813168681639142787283247272305069860\
      0588808970187173/13961478593293036692853250550190600896559769818916609277\
      5164502762536275166040106185316898345041789641971869782622699494975074991\
      74259135192959549440000000000000000000000000*ep^4+47686564548442146804171\
      840188285158826839548770720540840373437676200652893739008655587905303/
      2683905682382787319327671630333069035098437000037788206810891154192532498\
      3048564203123424016278312689871654475201741005118848073927705161589047043\
      05187560039120896000000000000000000000000000*ep^5+
      5447004644868023799650784739558631756466228658920182560632370834843337030\
      5607122880723783374613264687764829335531/
      8671481161494594735990818560843165292334794308046264786916904435846435271\
      1994105413801236241910308605428325032696103366923597593680072862001174447\
      11912850277202855729092497846881484800000000000000000000000000000*ep^6+
      8577858792497140031913006727499021824483089613164288813791080882514788765\
      91668882817840483445889083368810839491764157435927459307/
      4368009693480895932840887808120332219134486988148564346914879305789212508\
      6397048094533072937260417984226192614086670767159011142333600547078093313\
      2737487519640704200906608063229052941827958259056640000000000000000000000\
      000000000*ep^7+5535556844304132688416290671176784524034755122304599710103\
      6333425285570226715442243117598716477760583743432086579003593399036772269\
      36395397010227263/
      9992321293802804596281518329292701442336531977874838977555225724628817594\
      5295312812328570729854738962498116318043431587367855634779059362259154870\
      2079191085732259227988923984686919597516236534467240470942679721574400000\
      0000000000000000000000000000*ep^8;
Fill mncpoch(46,39) = 1/3388944382645863034960488910636099086357466219695863472\
      552421341256007532878915174400000000000000000+2617230034104616867/
      4560351482515850617948209570058852949946040543509382591941978911621233631\
      369973799829928067958046720000000000000000000*ep+248084723545434309137334\
      63910112068213/4295663282468337506128467800164363365071702712088928579153\
      5679173431330720833311406105957411347046732698546341937152000000000000000\
      000000*ep^2+23163591767464785594995347081743743349440707180017286201/
      5780482712820156283836351864017166077856401486010224984580207347203461674\
      6224929985717460628137538335306396271550307947545338943897600000000000000\
      000000000*ep^3+8216903308068349181137312083239027326707439190772070253933\
      57955388034528773/3811483655968999017148937400202034044760817160564234332\
      7619909254172403120328948988591513248196408572258320450655996962128195472\
      74572743907677956997120000000000000000000000000*ep^4+
      3442353735769451886272356162519051980681191958648763671584853142316060743\
      516133760919132602247/359026063132345459706462633989654644825117917495054\
      9284250929096963350722982406433451820430657549888524131219147736894254748\
      3068493091194657668229490493990643320225792000000000000000000000000000*
      ep^5+86895600936543446995011797080514785118971684857035916709891066883337\
      817172662652904531053708621577932098030670731/
      2367314357088024362925493467110184124807398846096630286828314910986076829\
      0374390777967737494041514249281932733926036219170142143074659891326320624\
      06352208125676379614042251912198645350400000000000000000000000000000*ep^6
      +211869746761078347711512504713171511241693630566263265247636716593831523\
      008393722452595618584695084960034506936009669323887819101/
      1703523780457549413807946245166929565462449925377940095296802929257792878\
      3694848756867898445531563013848215119493801599192014345510104213360456392\
      1767620132659874638353577144659330647312903721032089600000000000000000000\
      00000000000*ep^7+10382319398959141609876320845139547646640743836448403612\
      3263915830123198120321100840918011087218597907625027910374332580269165693\
      09179737637880896863/
      2727903713208165654784854503896907493757873229959831040872576622823667203\
      3065620397765699809250343736761985754825856823351424588294683205896749279\
      5667619166404906769240976247819529050121932573909556648567351563989811200\
      0000000000000000000000000000000*ep^8;
Fill mncpoch(46,40) = 1/8133466518350071283905173385526637807257918927270072334\
      12581121901441807890939641856000000000000000000+2841505942647531667/
      1094484355803804148307570296814124707987049730442251822066074938789096071\
      528793711959182736309931212800000000000000000000*ep+292694416429649979476\
      18787240492869413/1030959187792401001470832272039447207617208650901342858\
      9968563001623519372999994737465429778723291215847651122064916480000000000\
      000000000000*ep^2+29728022384484585377617700295695960355481447282802298601
      /138731585107683750812072444736411985868553635664245399629924976332883080\
      1909398319657219055075300920047353510517207390741088134653542400000000000\
      0000000000000*ep^3+114838701305058997053072972314290732609535447871893612\
      6158856301920642073973/91475607743255976411574497604848817074259611853541\
      6239862877822100137674887894775726196317956713805734199690815743927091076\
      691345897458537842709679308800000000000000000000000000*ep^4+
      5245242520745088433898373822571180211379714317283815311202381729823651420\
      801113010545588105047/861662551517629103295510321575171147580283001988131\
      8282202229832712041735157775440284369033578119732457914925954568546211395\
      936438341886717840375077718557754396854190080000000000000000000000000000*
      ep^5+14453829599807708061359069111630351297549065728125146837711636437306\
      0075166342204162520249128628964997986609455131/
      5681554457011258471021184321064441899537757230631912688387955786366584389\
      6898537867122569985699634198276638561422486926008341143379183739183169497\
      7524529950162331107370140458927674884096000000000000000000000000000000*
      ep^6+35019980699336477683418525220092875025587922367305119177267044116743\
      728458617555212846686252552892250447198157760621741626435591/
      3716779157361925993762791807636937233736254382642778389738479118380639007\
      3516033651348142062977955666577923897077385307328031299294772829150086673\
      8402080289439726483680531951983994139591789936797286400000000000000000000\
      000000000000*ep^7+2066338602590437102556342705949846112349516111350053488\
      6453302437685184906164952789264771663162689413138692482862595830669498280\
      684084479953127558063/
      6546968911699597571483650809352577985018895751903594498094183894776801287\
      9357488954637679542200824968228765811582056376043419011907239694152198270\
      9602285999371776246178342994766869720292638177382935956561643753575546880\
      000000000000000000000000000000000*ep^8;
Fill mncpoch(46,41) = 1/1667360636261764613200560544032960750487873380090364828\
      49579129989795570617642626580480000000000000000000+3110637032899029427/
      2243692929397798504030519108468955651373451947406616235235453624517646946\
      63402710951632460943535898624000000000000000000000*ep+3512962559525059721\
      6662950699944954053/21134663349744220530152061576808667756152777343477528\
      6094355541533282147146499892118041310463827469924876848002330787840000000\
      0000000000000000*ep^2+391824968210612995765333582188413755557918431204347\
      19881/2843997494707516891647485117096445710305349531117030692413462014824\
      1031439142665552972990629043668860970746965602751510192306760397619200000\
      00000000000000000000*ep^3+16651031893737655325148266636071393048848991834\
      04824175476324487669291435413/
      1875249958736747516437277200899400750022322042997603291718899535305282233\
      5201842902387024518112633017551093661722750505367072172590897900025775548\
      4258304000000000000000000000000000*ep^4+838215977790694203616389884988355\
      1850516604395978331419597440253027544957357490959290467329207/
      1766408230611139661755796159229100852539580154075670247851457115705968555\
      7073439652582956518835145451538725598206865519733361669698600867771572768\
      90932304339651355108966400000000000000000000000000000*ep^5+
      2550773861829041148199905345228378585499443346976752875639946454096642848\
      54968610156591235254261915943645020194811/
      1164718663687307986559342785818210589405240232279542101119530936205149799\
      8864200262760126847068425010646710905091609819831709934392732666532549747\
      0392528639783277877010878794080173351239680000000000000000000000000000000
      *ep^6+7523281034248259338686441063933446489098560685270836847965521147118\
      11791064114198037864351735952838741451079046792002730830524781/
      8381336999851143115935095526221293462075253632859465268860270411948340961\
      5778655883790060352015290028133218387909503868024710579909712729733445449\
      5096691052686583220699599551723906784779486307477880832000000000000000000\
      000000000000000*ep^7+4475789706739060238877207761559554511462182440888078\
      7288783487284720973743654254763862436405184288872757192174726595359811318\
      114547820324186600434703/
      1342128626898417502154148415917278486928873629140236872109307698429244264\
      0268285235700724306151169118486896991374321557088900897440984137301200645\
      5468468629871214130466560313927208292659990826363501871095136969482987110\
      400000000000000000000000000000000000*ep^8;
Fill mncpoch(46,42) = 1/2801165868919764550176941713975374060819627278551812911\
      8729293838285655863763961265520640000000000000000000+492435842244771661/
      5384863030554716409673245860325493563296284673775878964565088698842352671\
      921665062839179062644861566976000000000000000000000*ep+432470755452634069\
      72314679185189939853/3550623442757029049065546344903856183033666593704224\
      8063851730977591400720611981875830940157923014947379310464391572357120000\
      0000000000000000000*ep^2+537314125606683341787298268383613808056246241423\
      90006481/4777915791108628377967774996722028793312987212276611563254616184\
      9044932817759678128994624256793363686430854902212622537123075357468000256\
      0000000000000000000000000*ep^3+255082680002011403317212466336797770855086\
      3590780777894323310108108656617213/
      3150419930677735827614625697510993260037501032235973530087751219312874152\
      3139096076010201190429223469485837351694220849016681249952708472043302921\
      355395072000000000000000000000000000*ep^4+1438909425806327674388209499724\
      3843992429825416491254187420461344254930723115649704362628079407/
      2967565827426714631749737547504889432266494658847126016390447954386027173\
      5883378616339366951643044358585059004987534073152047605093649457856242251\
      7676627129061427658306355200000000000000000000000000000*ep^5+
      4922712344889074407397859592409290372298750302427279250064213658382192680\
      20008660648829786031132549709125231179411/
      1956727354994677417419695880174593790200803590229630729880811972824651663\
      8091856441437013103074954017886474320553904497317272689779790879774683575\
      0259448114835906833378276374054691230082662400000000000000000000000000000\
      00*ep^6+23398947508575661280419511658426286813195785760784016946329160139\
      1117951039792995580783028927143677923535393768287432006900564483/
      2011520879964274347824422926293110430898060871886271664526464898867601830\
      7786877412109614484483669606751972413098280928325930539178331055136026907\
      8823205852644779972967903892413737628347076713794691399680000000000000000\
      00000000000000000*ep^7+11032941060925567258307837604342091607042676213864\
      1446366938341733037661583656063919045771102442800572322724083288323714010\
      464482216724314830323410503/
      2254776093189341403618969338741027858040507696955597945143636933361130363\
      5650719195977216834333964119057986945508860215909353507700853350666017084\
      5187027298183639739183821327397709931668784588290683143439830108731418345\
      47200000000000000000000000000000000000*ep^8;
Fill mncpoch(46,43) = 1/3613503970906496269728254811028232538457319189331838656\
      316078905138849606425551003252162560000000000000000000+
      3895602712799231227/48625313165909089179349410118739206876565450604196187\
      05002275095054644462745263551743778693568309994979328000000000000000000000
      *ep+55478733273557483392021915673836374253/
      4580304241156567473294554784925974476113429905878450000236873296109290692\
      9589456619821912803720689282119310499065128340684800000000000000000000000
      *ep^2+78616499180142618893544709794225350051018898310975295281/
      6163511370530130607578429745771417143373753503836828916598454878526796333\
      4909984786403065291263439155495802823854283072888767211133720330240000000\
      000000000000000000*ep^3+4278741904468914663563753588872597941484264259310\
      569331692222386370312379613/406404171057427921762286714978918130544837633\
      1584405853813199072913607656484943393805315953565369827563673018368554489\
      523151881243899392893586076854845964288000000000000000000000000000*ep^4+
      2782375645069898033354498867670204832479290701539358412836207268805616368\
      5979149596030251693007/38281599173804618749571614362813073676237781099127\
      9256114367786115797505392895584150777833676195272225747261164339189543661\
      4141057080780063455250478028489964892416792151982080000000000000000000000\
      0000000*ep^5+110381066368052286207045537154707199011771803539358766172791\
      3477052668524915734024472528554730752202296151797932211/
      2524178287943133868471407685425225989359036631396223641546247444943800646\
      3138494809453746902966690683073551873514536801539281769815930234909341811\
      7834688068138319815057976522530551686806634496000000000000000000000000000\
      0000*ep^6+428560696149662818819180936671664006919560360620927555901017715\
      2635175358453427904851484597333482659677630271311209228503862760181/
      1816403354607739736085453902442678719100948967313303313067397803677444453\
      1931550303134981879488753654897031089027747678278315276878032942787832297\
      8177354884938236315590017214849605078397410272556606333911040000000000000\
      00000000000000000000*ep^7+33908510860675990437254805517267283392934087665\
      7375973976675774911333344968095629700966324273501670707793545596099971552\
      616363629614258941379831164903/
      2908661160214250410668470446975925936872254929072721349235291644035858168\
      9989427762810609716290813713584803159706429678523066024934100822359162039\
      0291265214656895263547129512343045811852732118894981255037380840263529665\
      6588800000000000000000000000000000000000*ep^8;
Fill mncpoch(46,44) = 1/3179883494397716717360864233704844633842440886612018017\
      55814943652218765365448488286190305280000000000000000000+
      4568430438427975627/42790275585999998477827480904490502051377596531692644\
      6040200208364808712721583192553452525034011279558180864000000000000000000\
      000*ep+76995099904621840698968867050525545853/
      4030667732217779376499208210734857538979818317173036000208448500576175809\
      8038721825443283267274206568264993239177312939802624000000000000000000000\
      00*ep^2+130420937133527286848815858914826674054038526747992268481/
      5423890006066514934669018176278847086168903083376409446606640293103580773\
      4720786612034697456311826456836306484991769104142115145797673890611200000\
      00000000000000000000*ep^3+85785322072590250191308114192701484135364125068\
      29529394131050889380849943213/
      3576356705305365711508123091814479548794571171794277151355615184163974737\
      7067501865486780391375254482560322561643279507803736554946314657463557476\
      3226444857344000000000000000000000000000*ep^4+682268766504001369576603052\
      60791667978492457752074523622192034468752608956680425542253693993407/
      3368780727294806449962302063927550483508924736723257453806436517819018047\
      4574811405268449363505183955865758982461848679842204441302310864558406204\
      20665071169105326777093744230400000000000000000000000000000*ep^5+
      3353152441609161806575156942303583231414666809662632743366465364620483109\
      495415539162454672865971546346572918301411/
      2221276893389957804254838763174198870635952235628676804560697751550544568\
      7561875432319297274610687801104725648692792385354567957438018606720220794\
      3694525499961721437251019339826885484389838356480000000000000000000000000\
      000000*ep^6+1486389126287911020259994512961643638539114113867441696745705\
      924530858131644435699436742707137951477210075420139666278426770546671/
      1453122683686191788868363121954142975280759173850642650453918242941955562\
      5545240242507985503591002923917624871222198142622652221502426354230265838\
      2541883907950589052472013771879684062717928218045285067128832000000000000\
      000000000000000000000*ep^7+1648194822755385447707684671759660782414711997\
      4435473063133661895196453941460433278579285548069913796752356223052263569\
      20520325973930669557522660316503/
      2559621820988540361388253993338814824447584337583994787327056646751555188\
      7190696431273336550335916067954626780541658117100298101942008723676062594\
      3456313388898067831921473970861880314430404264627583504432895139431906105\
      779814400000000000000000000000000000000000*ep^8;
Fill mncpoch(47,0) = 1;
Fill mncpoch(47,1) = 1/46+1/2116*ep+1/97336*ep^2+1/4477456*ep^3+1/205962976*
      ep^4+1/9474296896*ep^5+1/435817657216*ep^6+1/20047612231936*ep^7+1/
      922190162669056*ep^8;
Fill mncpoch(47,2) = 1/4140+91/8569800*ep+6211/17739486000*ep^2+376831/
      36720736020000*ep^3+21434851/76011923561400000*ep^4+1170531271/
      157344681772098000000*ep^5+62148204091/325703491268242860000000*ep^6+
      3232486841311/674206226925262720200000000*ep^7+165509520090931/
      1395606889735293830814000000000*ep^8;
Fill mncpoch(47,3) = 1/546480+3037/24886699200*ep+6149419/1133340281568000*ep^2
      +10377145153/51612316422606720000*ep^3+15761587689211/
      2350424889885510028800000*ep^4+22345730673559657/
      107038349485386126711552000000*ep^5+30174188660744232259/
      4874526435564484210444078080000000*ep^6+39293264314350577499233/221985933\
      875606610943623315763200000000*ep^7+49751008058866828488208171/1010923942\
      8695125062372605799856128000000000*ep^8;
Fill mncpoch(47,4) = 1/93994560+176131/184062027283200*ep+19391281471/
      360433943066507904000*ep^2+1708134637868911/705808955991697107770880000*
      ep^3+131674183162012462951/1382129213802061110379092633600000*ep^4+
      9281453375215394005972591/2706513069051472107566546776968192000000*ep^5+
      613419387940892429673908191831/529994802207797371047896322959465293824000\
      0000*ep^6+38615759458615261871874658473764671/103784642157935296793341153\
      75456841276720332800000000*ep^7+2340061431949915878530537146332519595111/
      20323316196651205688665651410527095724899290095616000000000*ep^8;
Fill mncpoch(47,5) = 1/19738857600+1559287/270571180106304000*ep+1459077290269/
      3708865274154366332160000*ep^2+1062089236014130003/
      50839419100081942672736486400000*ep^3+662783777729923532624461/6968833708\
      91137232464242296787456000000*ep^4+372306128414960270401026673507/
      9552556681825099259492899852905924618240000000*ep^5+
      193677728702648636909488700293204909/130942052818384821103469304449702077\
      941509529600000000*ep^6+95012338708509824235899098978152864599683/
      1794893426690122670668649629516469221466359537373184000000000*ep^7+
      44499165467262658342339108005214605713814028621/2460357344209192411309734\
      1542582182512018982012924414607360000000000*ep^8;
Fill mncpoch(47,6) = 1/4855758969600+77638307/2728980922552182144000*ep+
      3516939123676969/1533712221359958491872796160000*ep^2+
      121408835950696853583023/861960286533999902453127159276902400000*ep^3+
      3537085025689501599835860633241/48442955934912686593776588509585493968793\
      6000000*ep^4+91618708120215319254409749956764704047/272253840040381749676\
      579098604060252218768779735040000000*ep^5+2175856506803875015409223232326\
      681033035333449/153009146502792512407429497348443102857653333757739258265\
      600000000*ep^6+48329699136185849063340008500719583555304527073285183/
      85992538838168427496538781415430788575961292523320008882087747584000000000
      *ep^7+1017803793111608546658585344167570721159831175279462054051961/
      4832859279885563711248211351993424021709783068431950813661449642422091776\
      0000000000*ep^8;
Fill mncpoch(47,7) = 1/1359612511488000+183377071/1528229316629222000640000*ep+
      19220735993129323/1717757687923153510897531699200000*ep^2+
      302276430577771533012959/386158208367231956299000967356052275200000*ep^3+
      99063889608852796193647444243171/2170244425884088359401191165229430129801\
      953280000000*ep^4+5715539230053205034910465678731594758651/24393944067618\
      20477102148723492379859880168266425958400000000*ep^5+29986408080137119678\
      1875326524080579171159144243/27419239053300418223411365924841004032091477\
      40938687508119552000000000*ep^6+58450076791340982145260588321771969898452\
      9305533508899/12327890367839825765903799703716157850249810896143156473336\
      0994936422400000000*ep^7+671176238417015598222263577089561955601109516256\
      148007723973091/346419353182197206822271789710888633876157250345202234323\
      2527103688155385036800000000000*ep^8;
Fill mncpoch(47,8) = 1/424199103584256000+2758574683/
      6198498108248124434595840000*ep+4281867172984590667/905739273688120383226\
      05051435417600000*ep^2+984961116310470862564497107/2646975501402362856925\
      38399087749016767692800000*ep^3+4674554250822070386969868700487733531/
      19339117526874739661451515311476739228429359340584960000000*ep^4+
      3873567850269382037827280276102642480928121303/28258778105058278244626268\
      9069396732938120042637581132129894400000000*ep^5+289870700149648181657469\
      8367285309957891150068074216867/41292398108714044775972109425474555131314\
      25477867267897462256320905216000000000*ep^6+40059609239604044804810022147\
      4591654040540294442248829772252499/12067486677800323541442100498742361387\
      040905926909415779052328458331823221506048000000000*ep^7+
      1297961294798177471315184999673790080078334974145038983311090214592164811/
      8816649152677622002821918039419295286110086690244242705853917871423971944\
      35583660366233600000000000*ep^8;
Fill mncpoch(47,9) = 1/145076093425815552000+59719037797/
      40277840707396312576003768320000*ep+1982068435408390270327/11182438220808\
      271875385464860319527731200000*ep^2+9652093796466558554318082107741/
      620921689772863193779271340735261713055284880998400000*ep^3+9617893052152\
      30899671976918684620860421551/8619402522451862880176478410021803654819447\
      48209535419678720000000*ep^4+16618284424191889221221053256584795057274127\
      124926817/239302640148475906145083740564579109912720366013566225260509192\
      729395200000000*ep^5+2577873852339715305917553675763554454208555351422618\
      14699470767/6643819386884976166371969876176501669186264329410217380030229\
      3399763174641631232000000000*ep^6+734766579109955252611220426192904047471\
      863218653475080887869518191932749/368908057329929010137300921769327184501\
      2241672597498821240276256978503504820482117073895424000000000*ep^7+
      4888546713469414705829087211741936431885260666305702138484587655679631032\
      0496531151/51210435909648832514333995922302351787018117827650442403303656\
      39590862150480928172235135830719673139200000000000*ep^8;
Fill mncpoch(47,10) = 1/53678154567551754240000+2487236913649/
      551403639284255519165491588300800000*ep+3403989528209253883496503/
      5664240431986013953038999515697650381684736000000*ep^2+
      677919141931427975744300161594301969/116370721502639905611655295522373882\
      74014057678568423424000000*ep^3+27436099882991392039415195683859901722785\
      66193911/5977034778825935141328538712759803217022426089621785113217811349\
      50400000000*ep^4+19140929421945203135583604678426860685421696491375180333\
      85629/6139851035723683134966467386830451922727803281131529164213313405730\
      800552378368000000000*ep^5+1192826339993326564616337610391236722706901880\
      101792566295405574684021343/630710245729607949029657210660364880280959857\
      41083139467585089952844345463773574229194178560000000000*ep^6+
      1359862459937899068879515691566493025806718488405922954833613643014944815\
      83909140593/1295781971757286010856762814929176290144440277772534232926048\
      67430430358560476316177156621892957807575040000000000*ep^7+
      3604802164180553181622814032767181433420933769582467770141458811839292271\
      60770288669582465042471/6655397346482248904618453345880452997947019169155\
      3578469075133249622181521476501761569469785773343356312662929571840000000\
      00000*ep^8;
Fill mncpoch(47,11) = 1/21256549208750494679040000+102688201597/808725337616908\
      0947760543295078400000*ep+4195130475513298507713433/224303921106646152540\
      3443808216269551147155456000000*ep^2+101925627583505319958503189176775119/
      512031174611615584691283300298445084056618537857010630656000000*ep^3+
      4052386399267879243497559728237348356516187755761/23669057724150703159661\
      0133025288207394088073149022690483425329440358400000000*ep^4+
      341157692502693429864327911732199256423639894749257317795811/
      2701534455718420579385245650205398846000233443697872832253857898521552243\
      04648192000000000*ep^5+20689536711735945956870114555903455279592884868693\
      16943101005100672472873/2497612573089247478157442554215044925912601035346\
      8923229163695621326360803654335394760894709760000000000*ep^6+
      1881919765578085906717930401435812531338697995266185176187054643915450608\
      069732993/380096045048803896517983759045891711775702481479943374991640944\
      462595718444063860786326090886009568886784000000000*ep^7+
      7229521856742461654393560629034074872764234028048685571523101865333612674\
      11081547108963332546721/2635537349206970566228907524968659387187019590985\
      5217073753752766850383882504694697581510035166243969099814520110448640000\
      00000000*ep^8;
Fill mncpoch(47,12) = 1/8927750667675207765196800000+340675408159/1018993925397\
      3041994178284551798784000000*ep+145571887830971089998683/2691647053279753\
      8304841325698595234613765865472000000*ep^2+
      135156141053255771613580968020525527/215053093336878545570338986125346935\
      303779785899944464875520000000*ep^3+5837444286913364779139709763955452286\
      869925604841/994100424414329532705762558706210471055169907225895300030386\
      38364950528000000000*ep^4+25310544776899054491814749287863819279155284135\
      310268461919/540306891143684115877049130041079769200046688739574566450771\
      5797043104486092963840000000000*ep^5+694590861285671130274379733241944167\
      952879461973701187198494590276168493/209799456139496788165225174554063773\
      7766584869691389551249750432191414307506964173159915155619840000000000*
      ep^6+50879962482268073506061065390454522401226189152822780245724085527839\
      614662705879319/239460508380746454806329768198911778418692563332364326244\
      7337950114353026197602322953854372581860283986739200000000000*ep^7+
      1992775640979761435437626865087331471166260682442161747991121787550011562\
      38809990255884180690783/1581322409524182339737344514981195632312211754591\
      3130244252251660110230329502816818548906021099746381459888712066269184000\
      0000000000*ep^8;
Fill mncpoch(47,13) = 1/3946065795112441832216985600000+706907888627/8507467061\
      594826393806181124690673664000000*ep+50473033632758639720315159/
      3438256112918491947983821262087158079093224123662336000000*ep^2+865652977\
      454727589544511436114327214371/466997684623325258119087343964552635971181\
      778951880802922575953920000000*ep^3+6876267509315513871536684841561754283\
      81013198222754861/3669849160399907387029415364224002090082548985306498859\
      839635230776532607696896000000000*ep^4+1638722144388945152248936537805445\
      27295346722779165360130947706369/1017252199560180812372528973635009789558\
      4757367084943220113455604514398579567719497995386880000000000*ep^5+
      2737091189542389904083817154437253554054858399495423887944106237974757062\
      3110241/22383095911384731885304956746904052879110422898447110407633090182\
      091637152326162043897526845490474589880320000000000*ep^6+
      1216609874639759464958168659225786144979510121374875804822440506077473001\
      0393348653741069409/14476959667409502841496750818249154722191728138694903\
      1093469957659983002669456200286103367739458584899571532370962022400000000\
      000*ep^7+2595228697028182930917881300977487011814947918441742155419456073\
      632636942312369108707357321189845152259003/
      4875667331667396987831698375794590241972946142558043842889759806356619560\
      87538950635839952756005464000672862617928572154654731796480000000000000*
      ep^8;
Fill mncpoch(47,14) = 1/1823082397341948126484247347200000+20850460993289/
      106122144126333864436338303349391463284736000000*ep+
      11986104788158966791870211/3176948648336686559937050846168534065082139090\
      26399846400000*ep^2+3336959227425427849374842913276526301713/
      6472587908879288077530550587348699534560579456273067928506902721331200000\
      00*ep^3+86591524179458946710924355330865588575865895990045951/
      1541336647367961102552354452974080877834670573828729521132646796926143695\
      23269632000000000*ep^4+73164127262658257241924024292508030656027790851732\
      0976827215971387/14099115485904106059483251574581235683280473710779731303\
      077249467856956431280859224221606215680000000000*ep^5+4363218410928827380\
      4189902342009049695571250877295381883124046205167386306921673/
      1034099031105974613101089001706967243014901537908256500832648766412633636\
      4374686864280657402616599260524707840000000000*ep^6+
      1864597926284967701259321277562112970836826856566479070318188780804098274\
      68722268199165426961/6019519829708871281494348990227998533487320560069340\
      7128664808395020932509959888078961780306066879601241843159846008913920000\
      0000000*ep^7+470962041502189315530874491471308754006040203025544698566531\
      6670741735480937159972212423934031498177511603/
      2252558307230337408378244649617100691791501117861816255415069030536758237\
      12442995193758058173274524368310862529483000335450486089973760000000000000
      *ep^8;
Fill mncpoch(47,15) = 1/875079550724135100712438726656000000+90678129474641/
      203754516722561019717769542430831609506693120000000*ep+
      1128551229600802758620419079/12199482809612876390158275249287170809915414\
      106613754101760000000*ep^2+271047017202619115698058578564714321135837/
      1988379005607717297417385140433520497017010008967086467637320515992944640\
      0000000*ep^3+30235584432409470215770479783589739557796540074884473231/
      1893994472285750602816333151814550582683243201120742835567796384062845372\
      7019372380160000000000*ep^4+223452910587943921018517245026610355204486751\
      76082571773251369996007/1414285151761548206195348533456769176131840497616\
      82725103847544049817371940880978079375589533286400000000000*ep^5+
      2791009350082072773697638844773505286504106802326944137809490783182433081\
      08794134481/2033121423076834567325789064476034157146737615650664941157054\
      0866685507399269784350124914906136443474132417590067200000000000*ep^6+
      5085775329276416963550550879098085989904240458466670157880191657739542162\
      814188137925835970533309/473394301871760705964816386508298534268750048269\
      6451755501012259571310199567277470171407080966078825856382519988401648219\
      193344000000000000*ep^7+5465425261117439694479649278914912035925315505856\
      49282548993757853694306656555307429175891793051328589724110483/
      7085935738687074834982878785150702924987895228489215525514334271292335415\
      7529587838487014882129852299207779296314549967923598670684097609728000000\
      00000000*ep^8;
Fill mncpoch(47,16) = 1/434039457159171009953369608421376000000+
      3043863149761391/3132929449126098239180424484416466827774913413120000000*
      ep+1266784274042732110357409469287/58149566780988352086272828472242256895\
      71041626402085575128514560000000*ep^2+10139478115949924596513513631132288\
      357045347747/293809562822055149796512150764528845268103376078606825868621\
      740840051236300390400000000*ep^3+3758137373015810518865147704679141731877\
      7985959624583444783151/86757525984374510650191723311367508206042487639374\
      58539462178146654270986357606268749280706560000000000*ep^4+
      4509737849392909666603209836294178405326122588319396416557653695830541401\
      5753/98406369008686185112973796156033408977652709382480783566480229243905\
      690940617938223807698379592013589354905600000000000*ep^5+
      3800097201905979610814268326421553330539767170300716169494108624130700052\
      10197181309997464817/8949837624627219160675213399922052187717331971514396\
      5930576881491307817707575164801147791753479000834843106507364393625321472\
      00000000000*ep^6+22840486904790504845184108610196818788283231911390461385\
      4003841822544335513858409162313516915327489029027139/
      6460060115873022666426092875746233159171422703600264010942182439666294940\
      8456960492966357078078279269030932203907932816592994261317151883264000000\
      000000*ep^7+8080258240232796056457955790848339450418390970711575730107193\
      79730763453336908350383178773433769662553184040530562104170803/
      2997591417370902655892011077803806650558766305241417661243537622632454425\
      4805103873757282127830960285337121325119932825122674106061480707676743837\
      89771980800000000000000*ep^8;
Fill mncpoch(47,17) = 1/221360123151177215076218500294901760000000+
      218964377134033/106519601270287340132134432470159872144347056046080000000
      *ep+1469991589712809447443528501239/2965627905830405956399914252084355101\
      681231229465063643315542425600000000*ep^2+4205087916929970544245878437190\
      829822221608913/499476256797493754654070656299699036955775739333631603976\
      65695942808710171066368000000000*ep^3+49998363181266785949877466269154093\
      164724091834194123016113471/442463382520310004315977788887974291850816686\
      9608103855125710854793678203042379197062133160345600000000000*ep^4+
      1580277588694562670307921080985058397663631533290215726983167927463114271\
      57/1239191313442714923644855210853754038977848932964572830096417701589923\
      51554852218504054138700226980075483955200000000000*ep^5+
      5740353483102296582541105066946407159081268945630846385843652342957088142\
      19044325225584389601/4564417188559881771944358833960246615735839305472342\
      2624594209560566987030863334048585373794274290425769984318755840748913950\
      72000000000000*ep^6+12217307103365300645966825528582365708475473750516182\
      9831277894669217990960318656470977759728128930841064881/
      1098210219698413853292435788876859637059141859612044881860171014743270139\
      9437683283804280703273307475735258474664348578820809024423915820154880000\
      000000000*ep^7+1374932234482947088534626170901111167912512793609985685438\
      693940511787518881476840755423408434629221160650304012855614277123/
      1528771622859160354504925649679941391784970815673123007234204187542551756\
      9950602975616213885193789745521931875811165740812563794091355160915139357\
      32783710208000000000000000*ep^8;
Fill mncpoch(47,18) = 1/115549984284914506269786057153938718720000000+
      1366234390277033/32249874480592195098405020774665602890422514688511180800\
      0000*ep+1426450591255894218771874493134799/130191658191535987567147515649\
      3536058348263872197621869542809755923251200000000*ep^2+140647133796249444\
      33215518981931629464409877520653/7065401327679763605709714957166148691142\
      3604138326058898442782184251374677003983650816000000000*ep^3+
      46576255335563654265734765267188374394543922831830598779529379340751/
      1633577825865253324448819431542921301497885630829117016039241643324628961\
      851780874457951959174410875699200000000000*ep^4+2454718701526740098815705\
      6951803826484799784516134798167389549052029274030919305359/
      7164610954286899003828107634538280365440724564055093657322789694939439376\
      562392238710475897259065394151579140067940106240000000000*ep^5+
      5088879651829152588115156903537241240590879047212584692070937976950885498\
      67448683752299015311680010521/1417241374655966827302670853690263009402423\
      4586785706752628880612273303863441594200786026098799707400738953160501341\
      87042121636808138686464000000000000*ep^6+33318675669402266630305497828535\
      4898154674735365507438665658441867947101448437704265777127375068843324618\
      1669972036069/98887630154623789199545998565212480547881610491078328419724\
      1221138819800879403066531514898202060045671897947644503001504472620137374\
      71112890183934269194240000000000000*ep^7+
      1151619996397768417893021590113819399691238772523016979330994761596710405\
      462311244833342170696401780060915049599483038514081453542321603/
      3992060357385117960420056808808812394135399170638271538001554509886067694\
      3050180221467753791124963996236070883546208112654020598656864953565567198\
      2304174770344167825473536000000000000000*ep^8;
Fill mncpoch(47,19) = 1/61472591639574517335526182405895398359040000000+
      7329562859258309/85784666118375238961757355260610503688523889071439740928\
      0000000*ep+11464614071325564981610223933109473/48483373510528001770005734\
      82781928281288934660063943842177423531058187468800000000*ep^2+15515171749\
      3740349959767905521377739902753641151437/33829141556930708144138115214911\
      5199331896216614305170005744041098195581953495073720107008000000000*ep^3+
      8687329539016368692417416365920569449234328999220617364174337938993/
      1241519147657592526581102767972620189138393079430128932189823648926718011\
      00735346458804348897255226553139200000000000*ep^4+81124991281769547580482\
      28431314196783277239701129355380339851084435663849390603367/
      9075173875430072071515603003748488462891584447803118632608866946923289876\
      97903016903326946986148283259200024408605746790400000000000*ep^5+
      7495996274700376856597217856141095337650788180477572591449615449864263797\
      19946207699677644450527621201/7539724113169743521250208941632199210020892\
      8001699959923985644857293976553509281148181658845614443371931230813867138\
      7506408710781929781198848000000000000*ep^6+519983576132103973606969087839\
      1287588090601412670502832689496384503344261049270399361998455755935007971\
      333212936665789/526082192422598558541584712366930396514730167812536707192\
      9323296458521340678424313947659258434959442974497081468755968003794339130\
      8334632057577853031211335680000000000000*ep^7+
      1330923047818334758940821746788557255369168069091664824487675910870512508\
      5181645515512557835061410973216006688050954064697774466554248621/
      1486643277090217928460429155600401735576022651145692320751778899481571609\
      3591887114474591511814936592198312797032607901152357270939816508707817224\
      62100746844761680982063448064000000000000000*ep^8;
Fill mncpoch(47,20) = 1/33195199485370239361184138499183515113881600000000+
      1694825140963379/10005923456047287872499377917597609150229426421292731381\
      8419200000*ep+117963521854022019872823443285565257/2356291952611660886022\
      2787126320171447064222447910767072982278360942791098368000000000*ep^2+
      45932739896362434677357139471465738137496091365920311/
      4439059955100447522673803478500689645633142154412912440815373307290522426\
      3937623573552441589760000000000*ep^3+911786964824408191937135805348980962\
      082931995710886187303732291492833/543040475185430971126574350711224070729\
      1331329427383949398288640405464580146164054108102220765943609434308608000\
      000000000*ep^4+4184049453722362828650343228645039917955000076955912211428\
      60710292784996289901214153/1837302658869498259717456600348609697983834868\
      7714046358980148034818514649568048655471275277457738278230572197018432254\
      477598720000000000*ep^5+7967974577351672873855766062279223030255732374166\
      41440081524632513947140738541941530193630012373777771529/
      2968087794390401234575357251962931541016824659714920622367618895452234681\
      0054463616793191821164581777794448322186937840577285308641447766673850368\
      0000000000000*ep^6+157944692459312060468155618085582825980207726993748940\
      879598003810180801999862289519612484664654097291312752996980961129527/
      5591632928465164010997966422499877137083694302249246404146383003986426079\
      6229649916573159679238665626676194069456742807838089347640585330390622463\
      5855199668902297600000000000000*ep^7+142424600235339684809926859794955789\
      6079030338918439186220879230170191553109514767983787055644350661854930601\
      98813113935792953509890531223981/
      5267087932134016707459592872542887325041713691650119150884307534129239317\
      6630440533356609250869611449963090341118707837308732669503513501361273957\
      79875220026179950018591872683868160000000000000000*ep^8;
Fill mncpoch(47,21) = 1/18124578919012150691206539620554199252179353600000000+
      226344816710887639/682904275875227397298082542876036824503158353253228916\
      8107110400000000*ep+134364098433223417441822182967923737/
      1286535406125966843768164177097081361009706545655927882184832398507476393\
      9708928000000000*ep^2+4282195655086905810418373756034345886236338720290627
      /186440518114218795952299746097028965116591970485342322514245678906201941\
      9085380190089202546769920000000000*ep^3+117371241603435492389652664663082\
      7154875028884541494273678229845923633/29650009945124531023510959548832834\
      2618106690586735163637146559766138366075980557354302381253820521075113249\
      9968000000000000*ep^4+999493848544451962548551888881667285273808017516528\
      70111646102689356396686994228908951/1755542690549805587160029781633096566\
      4235542171110771296005531447269090747662270490302803527610868924849311734\
      25111201915334557696000000000000*ep^5+11516637658941779443947369052171623\
      57866350432563548804466752904879297470355294462824043835393551401397209/
      1620575935737159074078145059571760621395186264204346659812719916916920135\
      8289737134769082734355861650675768783914068060955197778518230480603922300\
      9280000000000000*ep^6+185686440188456630702464546022845290893560005663313\
      80896814295027334280558484070470537518051645822763847776677781028182339/
      2348485829955368884619145897449948397575151606944683489741480861674298953\
      4416452964960727065280239563204001509171831979291997526009045838764061434\
      705918386093896499200000000000000*ep^7+2298790898978076936747188563084818\
      0083440144502583589559381586609403287379837737368662889273217291249126199\
      5920882068886619176622530307285181/
      2875830010945173122272937708408416479472775675640965056382831913634564667\
      4440220531212708650974807851679847326250814479170568037548918371743255580\
      95811870134294252710151162485392015360000000000000000*ep^8;
Fill mncpoch(47,22) = 1/9968518405456682880163596791304809588698644480000000000
      +6035403944124287839/9389933793284376712848634964545506336918427357231897\
      6061472768000000000000*ep+19069553085179430136144506159335704021/
      8844930917116022050906128717542434356941732501384504190020722739738900208\
      54988800000000000000*ep^2+32290717811518095060145904670973737210712150659\
      52894963/6408892810176271110860303772085370675882848985433642336427195212\
      40069175310599440343163375452160000000000000000*ep^3+13414008108489212984\
      0487182507097145636597029687921206110803938173641719/
      1456027274090936791333127477844469539642488212702717321432416141708715190\
      55169023700773490794286863027957399552000000000000000000*ep^4+
      2117668638890246694356205290035010470495133195667902119262237863096280431\
      482698464616520751/150866949969123917646565059359094236177024190532983190\
      8250475358749687486127226370260397178154059048229237727162204939145990635\
      5200000000000000000000*ep^5+129070961923391957705274022611083893422307659\
      064450399886762866589301293291685975976776997017210160540040171461/
      6963412223870605396429529552847408920057440979003052053882780893002391208\
      6401214250960902374185343030247443993380761199416865454570521596344978636\
      80000000000000000000000*ep^6+10994285199334882877655462220283204611490689\
      0561473677644502896322108914662766823223558872555424913977741494216662789\
      25375433283/5045575025294737838048946264052623510415364780545218434991462\
      7887533766577847848166907812054313014686571096992361357768010150934785059\
      41921966323862599653262360576000000000000000000000000*ep^7+
      1436485716039699541003042778476231235912165656293905001054343566768044981\
      61073849072292929800862647243696392495038525644536858042342088497885646781
      /617854103914002037988326460790870728011729149063488586332249043944926002\
      7711766129752730374232868874384342198999198423259301726817150431429215066\
      22147081474164780855696538815220940800000000000000000000000000*ep^8;
Fill mncpoch(47,23) = 1/5502622159812088949850305428800254892961651752960000000\
      000+6427886784074388739/5183243453892975945492446500429119497978971901192\
      0074785932967936000000000000*ep+21592388345070667234264038588209469121/
      4882401866248044172100183052083423765031836340764246312891438952335872915\
      11953817600000000000000*ep^2+38809673118424860238245427319882028185777889\
      52059380263/3537708831217301653194887682191124613087332639959370569707811\
      75724518184771450891069426183249592320000000000000000*ep^3+
      1196146410970489337804291607217324835435628777793177378520280152645894333/
      5626089387087379761711204574391030301178574453883299730014855971562475496\
      29173107579788768429124438740027391868928000000000000000000*ep^4+
      2855402402334818123394832730949394789644092091122073729004175743146751991\
      296895995326548851/832785563829564025409039127662200183697173531742067213\
      3542623980298274923422289563837392423410405946225392253935371264085868308\
      070400000000000000000000*ep^5+1839850876827587495642913469698811734267018\
      05536713237527820016706902672423941315602708913213672235005264400561/
      3843803547576574178829100313171769723871707420409684733743295052937319947\
      1693470266530418110550309352696589084346180182078109730922927921182428207\
      51360000000000000000000000*ep^6+16548976716426996937274776322266345154372\
      2012722427985079777028364607502878827411223203500132366816510567059340761\
      00801526710583/2785157413962695286603018337757048177749281358860960576115\
      2874593918639150972012188133112253980784106987245539783469487941603316001\
      35279940925410772155008600823037952000000000000000000000000*ep^7+
      2280860335430776778653534460575391972797524776849466267583504075825141263\
      49932412646071782581743782623779036275836888511784356313931733565207367881
      /341055465360529124969556206356560641862474490283045699655401472257599153\
      5296894903623507166576543618660156893847557529639134553203067038148926716\
      55425188973738959032344489426001959321600000000000000000000000000*ep^8;
Fill mncpoch(47,24) = 1/3037447432216273100317368596697740700914831767633920000\
      000000+6837434095326667939/2861150386548922721911830468236873962884392489\
      4579881281834998300672000000000000*ep+24392641094676364158893136143526037\
      921/269508583016892038299930104475004991829757366010186396471607430168940\
      184914598507315200000000000000*ep^2+4649424279124528895961737966822989907\
      870820833357806663/195281527483195051256357800056950078642420761725757255\
      447871208999934037993840891870323253153774960640000000000000000*ep^3+
      1517627836438342904740051842474960572970287439637235971213018615399816733/
      3105601341672233628464584925063848726250573098543581450968200496302486473\
      95303555384043400172876690184495120311648256000000000000000000*ep^4+
      3832108745026862122605225190608942492066978569549344587828382742396265775\
      080097780187461651/459697631233919342025789598469534501400839789521621101\
      7715528437124647757729103839238240617722544082316416524172324937775399306\
      054860800000000000000000000*ep^5+2608871494974115189101573962319418193039\
      32535596826226155147970950577325952316438145363032164189052686167401361/
      2121779558262268946713663372870816887577182496066145973026298869221400610\
      8374795587124790797023770762688517174559091460507116571469456212492700370\
      54750720000000000000000000000*ep^6+24767871379268250044626160343419628554\
      3607211414453075841667461582572782674501717986988797135298975346884804712\
      82212597867632983/1537406892507407798204866122441890594117603310091250238\
      0156386775843088811336550727849477964197392827056959537960475157343765030\
      43274674527390826746229564747654316949504000000000000000000000000*ep^7+
      3599530302177583703646739868398269641241219153903303497618043869581919122\
      74207703793825155847893928113794761911533613435054625190984582847190464681
      /188262616879012076983195025908821474308085918636241226209781612686194732\
      7483885986800175955950252077500406605403851756360802273368093005058207547\
      53794704313503905385854158163153081545523200000000000000000000000000*ep^8
      ;
Fill mncpoch(47,25) = 1/1670596087718950205174552728183757385503157472198656000\
      000000000+7265597193454050739/1573632712601907497051506757530280679586415\
      8692018934705009249065369600000000000000*ep+27503501698771267958126884220\
      001927121/148229720659290621064961557461252745506366551305602518059384086\
      592917101703029179023360000000000000000*ep^2+5555269240408962891233582712\
      729130211664454859516954263/107404840115757278190996790031322543253331418\
      9491664904963291649499637208966124905286777892345762283520000000000000000\
      00*ep^3+21111234308788672403279437481986867645710140793403664674234693301\
      027611663/187888881171170134522107387966362847938159672461886677783576130\
      0263004316741586510073462571045903975616195477885471948800000000000000000\
      000*ep^4+4657638013263907740187191083799984132448377538039645307653265791\
      69958341669582292029322441/2298488156169596710128947992347672507004198947\
      6081055088577642185623238788645519196191203088612720411582082620861624688\
      8769965302743040000000000000000000000*ep^5+368376077597846935891642233405\
      0201398456720725771811535702715365187401411990593369512760626928617537177\
      33978561/1166978757044247920692514855078949288167450372836380285164464378\
      0717703359606137572918634938363073919478684446007500303278914114308200916\
      87098520380112896000000000000000000000000*ep^6+
      3690056696852265915374954093016042825575312083041915399236257486795690126\
      7050637341253938926054122103633885702206728430347644583/
      8455737908790742890126763673430398267646818205501876309086012726713698846\
      2351029003172128803085660548813277458782613365390707667380107099006495471\
      0426260611209874322227200000000000000000000000000*ep^7+
      5139509310949577557774945965029445029110650325351985918528584338262617250\
      9047662654451464993512439385880893956211025459416056070402900164929664171/
      9413130843950603849159751295441073715404295931812061310489080634309736637\
      4194299340008797797512603875020330270192587818040113668404650252910377376\
      89735215675195269292707908157654077276160000000000000000000000000000*ep^8
      ;
Fill mncpoch(47,26) = 1/9121454638945468120253057895883315324847239798204661760\
      00000000000+7714149010539880339/85920346108064149339012268961153325105418\
      30645842338348935049989691801600000000000000*ep+3096369725471978575906294\
      3896546161521/80933427479972679101469010373843999046476137012858974860423\
      711279732737529853931746754560000000000000000*ep^2+9462343164023801215825\
      12970235490135996933464347288209/8377577529029067698897749622443158373759\
      8506780349862587136748660971702299357742612368675602969458114560000000000\
      00000000*ep^3+26628890894934992857346326312398335802732774061893026867569\
      874194849034863/102587329119458893449070633829634114974235181164190126069\
      8325669943600356940906234500110563791063570686442730925467684044800000000\
      000000000000*ep^4+4346204554548680345131090933991813929164279146948371766\
      784644161770955837386095207266833887/
      8784821732880198626112839226752804321770048377758179254854374843345201865\
      0203174367842778204677817413066719776933129560887880738708389888000000000\
      0000000000000*ep^5+518487419776299912920721093831243478473685240744040697\
      818604307919592348638033136402194415353915967326383428961/
      6371704013461593646981131108731063113394279035686636356997975504271866034\
      3449511148135746763462383600353617075200951655902871064122777006115579212\
      7541641216000000000000000000000000*ep^6+547904496051997843323620897451028\
      9570451235134440583873601239134479169497381238211710594482439239064222022\
      3010543923145066955783/46168328981997456180092129656929974541351627402040\
      2446476096294878567957004436618357319823264847706596520494924953068975033\
      2638638953847605754652718927382937205913799360512000000000000000000000000\
      00*ep^7+80439877153287157185786444619695030945350895916361985166937028749\
      1508894495334063655838806608158047395843041385812520587925049811517096638\
      33618571/5139569440797029701641224207310826248610745578769385475527038026\
      3331162040310087439644803597441881715761100327525152948649902062948939038\
      0890660477859542775865661703381851785407912619278336000000000000000000000\
      0000000*ep^8;
Fill mncpoch(47,27) = 1/4925585505030552784936651263776990275417509491030517350\
      40000000000000+8185128418480001419/46396986898354640643066625239022795556\
      92588548754862708424926994433572864000000000000000*ep+3481872419116935643\
      7462833321977974041/43704050839185246714793265601875759485097113986943846\
      424628804091055678266121123143247462400000000000000000*ep^2+1126442031839\
      603360289239779679638900869565270705935289/452389186567569655740478479611\
      9305521830319366138892579705384427692471924165318101067908482560350738186\
      240000000000000000000*ep^3+3352579391098587717791711168329232631897460363\
      1418025565431822495811332423/55397157724507802462498142268002422086086997\
      8286626680777095861769544192748089366630059704447174328170679074699752549\
      384192000000000000000000000*ep^4+5781655333359466235865972886082775642213\
      238368865838776644512851229851924621991432244086327/
      4743803735755307258100933182446514333755826123989416797621362415406409007\
      1109714158635100230526021403056028679543889962879455598902530539520000000\
      0000000000000000*ep^5+728161546424400241118577232809585677488169061655883\
      508470330928467231895638517006054243549216524019303523862281/
      3440720167269260569369810798714774081232910679270783632778906772306807658\
      5462736019993303252269687144190953220608513894187550374626299583302412774\
      8872486256640000000000000000000000000*ep^6+
      8117114914517878551172069088548880666385313870187842630116252443098961478\
      6684029825488478206981296894935756590622749958942723743/
      2493089765027862633724975001474218625232987879710173210970919992344266967\
      8239577391295270456301776156212106725947465724651796248650350777071075124\
      6822078678609119345165467648000000000000000000000000000*ep^7+
      1256207150588146486594646690948027956123312783750182932943723154119724936\
      26508845803135069475734885076423354697181381985024454727732068169046385091
      /277536749803039603888626107194784617424980261253546815678460053421988275\
      0176744721740819394261861612651099417686358259227094711399242708056809566\
      5804415309896745731982619996412027281441030144000000000000000000000000000\
      00*ep^8;
Fill mncpoch(47,28) = 1/2620411488676254081586298472329358826522115049228235230\
      41280000000000000+8680896216311707819/24683197029924668822111444627160127\
      23628457107937586960882061161038660763648000000000000000*ep+3912243299153\
      5804229038369852970315641/23250555046446551252270017300197904046071664641\
      054126297902523776441620837576437512207649996800000000000000000*ep^2+
      1339580959861935263716548683601799179375232121317361689/
      2406710472539470568539345511535470537613729902785890852403264515532395063\
      655949229768127312722106592715079680000000000000000000*ep^3+
      42159368243330333835217978314198645614934558855371583654940241146940757223
      /294712879094381509100490116865772885497982828448485394173414998461397510\
      5419835430471917627658967425868012677402683562723901440000000000000000000\
      00*ep^4+76817696199023622301109887123110823982023330026992405790263448534\
      13193986204947426263661527/2523703587421823461309696453061545625558099497\
      9623697363345648049962095917830367932393873322639843386425807257517349460\
      2518703786161462470246400000000000000000000000*ep^5+
      1021406345033431620545547269369371064851302334573987141941237399906656415\
      666344371380898135707596546983378667881/
      1830463128987246622904739344916259811215908481372056892638378402867221674\
      3466175562636437330207473560709587113363729391707776799301191378316883596\
      2400162688532480000000000000000000000000*ep^6+
      1201234856350677455142529370904674087818457671329819446755209820214485860\
      36879828252689754737952988700999850016479269947950580543/
      1326323754994822921141686700784284308623949552005812148236529435927150026\
      8823455172169083882752544915104840778204051765514755604281986613401811966\
      3309345857020051491628028788736000000000000000000000000000*ep^7+
      1960019538983746487613348825764981580975287585320565033097909945225770074\
      70809190648332644644315428027514567628340003731217710857573922750889246691
      /147649550895217069268749089027625416470089498986886905940940748420497762\
      3094028191966115917747310377930384890209142593908814386464397120686222689\
      4207948944865068729414753838091198513726628036608000000000000000000000000\
      00000*ep^8;
Fill mncpoch(47,29) = 1/1367854797089004630588047802555925307444544055697138790\
      27548160000000000000+9204206669578509019/12884628849620677125142174095377\
      58641734054610343420393580435926062180918624256000000000000000*ep+
      43939090555754248487327395160450338441/1213678973424509975368494903070330\
      5912049408942630253927505117411302526077214900381372393298329600000000000\
      000000*ep^2+1592259920245042732065579060769298169652653732410382889/
      1256302866665603636777538357021515620634367009254235024954504077107910223\
      228405497938962457240939641397271592960000000000000000000*ep^3+
      52991569630896256362431385800741967649829154633723931711929142082121425623
      /153840122887267147750455841003933446229947036450109375758522629196849500\
      5029154094706341001637980996303102617604200819741876551680000000000000000\
      00000*ep^4+10202773467435414691968695890293661986951820106637124036514873\
      062172928155864804891802493127/131737327263419184680366154849812681654132\
      7937936357002366642828208021406910745206070960187441799824771427138842405\
      64182514763376376283409468620800000000000000000000000*ep^5+
      1432526131635734846311090361196615424572028526430264337666891255315511675\
      094490138433088900581923500224580802681/
      9555017533313427371562739380462876214547042272762136979572335262966897140\
      0893436436962202863683011986904044731758667424714594892352218994814132372\
      372884923413954560000000000000000000000000*ep^6+
      1777893240399011089267694059919557873645585371721720062709080641389586521\
      75969931766279950512946264769908224612957435497585504943/
      6923410001072975648359604578093964091017016661470339413794683655539723140\
      3258435998722617867968284456847268862225150215987024254351970121957458464\
      247478537364466878629831027720192000000000000000000000000000*ep^7+
      3059571496021151012207129344355338973782176114801605440537238935580465483\
      49496113025877346447026185544288459079967518725341555802049852478632729491
      /770730655673033101582870244724204673973867184711549649011710706754998319\
      2550827162063125090640960172796609126891724340204011097344152969982082438\
      7765493492195658767545015034836056241652998351093760000000000000000000000\
      0000000*ep^8;
Fill mncpoch(47,30) = 1/6976059465153923615999043793035219067967174684055407830\
      4049561600000000000000+9758300090684533819/657116071330654533382250878864\
      256907284367851275144400726022322291712268498370560000000000000000*ep+
      49346100437180873878342109520703049641/6189762764465000874379324005658686\
      0151451985607414295030276098797642882993795991944999205821480960000000000\
      00000000*ep^2+1892725300568988407149668423290830802556226793493647689/
      6407144619994578547565445620809729665235271747196598627267970793250342138\
      46486803948870853192879217112608512409600000000000000000000*ep^3+
      66625275911976854470602063531456278515390806678660981627849413846578359223
      /784584626725062453527324789120060575772729885895557816368465408903932452\
      5648685883002339108353703081145823349781424180683570413568000000000000000\
      0000000*ep^4+135588304730899675756002599731735383633183327305341711464545\
      93556353999132195684264888559527/
      6718603690434378418698673897340446764360772483475420712069878423860909175\
      2448005509618969559531791063342784080962687733082529321951904538828996608\
      000000000000000000000000*ep^5+2011016256389124992830365750781679358306762\
      002630729315792959256156060599689885714000946770600589188036227561881/
      4873058941989847959496997084036066869418991559108689859581890984113117541\
      4455652582850723460478336113321062813196920386604443395099631687355207509\
      910171310941116825600000000000000000000000000*ep^6+
      1550023570100088410363070501795077076091410364858511614394134617793970476\
      1969160729418333687235709099488623847100826092183403679/
      2077023000321892694507881373428189227305104998441101824138405096661916942\
      0977530799616785360390485337054180658667545064796107276305591036587237539\
      27424356120934006358894930831605760000000000000000000000000000*ep^7+
      4785095020276903964535891437636877391608945151457821129590188434650634973\
      09634595841014472566112989041922914547419913511594380948385910498827080691
      /393072634393246881807263824809344383726672264202890320995972460445049142\
      8200921852652193796226889688126270654714779413504045659645518014690862043\
      7760401681019785971447957667766388683243029159057817600000000000000000000\
      0000000000*ep^8;
Fill mncpoch(47,31) = 1/3460125494716346113535525721345468657711718643291482283\
      8808582553600000000000000+10347024350609685169/32592957138000464855759643\
      5916671426013046454232471622760107071856689285175191797760000000000000000
      *ep+55437644690421080524134347848878377791/307012233117464043369214470680\
      6708263512018486127749033501694500363086996492281200471960608745455616000\
      000000000000000*ep^2+2251378996638896614355313700973696367829720849187644\
      039/317794373151731095959246102792162591395669478660951291912491351345216\
      970067857454758639943183668091687853822155161600000000000000000000*ep^3+
      83856014548871289304160862857250231211411926284594902561196199877582293673
      /389153974855630976949553095403550045583274023404196676918758842816350496\
      4721748197969160197743436728248328381491586393619050925129728000000000000\
      0000000000*ep^4+180468368463224197708252275984844700030517024885987744313\
      46492941277148994538630358949687577/
      3332427430455451695674542253080861595122943151803808673186659698235010950\
      9214210732771008901527768367418020904157493115608934543688144651259182317\
      568000000000000000000000000*ep^5+2829111277697391150153229757227251575337\
      674015731514135687624973756861994162824613748447651840966311530590541031/
      2417037235226964587910510553681889167231819813317910170352617928120106300\
      5570003681093958836397254712207247155345672511755803923969417316928182924\
      915444970226793945497600000000000000000000000000*ep^6+
      2303673544402484767362656130447872005981102157350984837921127381739849411\
      2392901416022158879330585946116723577951192501056978529/
      1030203408159658776475909161220381856743332079226786504772648927944310803\
      2804855276609925538753680727178873606699102352138869209047573154147269819\
      48002480635983267154011885692476456960000000000000000000000000000*ep^7+
      7509881375374978438801909580923149188130855284799957637081301499569344079\
      61804950942029380959507527340851452253006363949263474173631883445154851341
      /194964026659050453376402857105434814328429443044633599214002340380744374\
      8387657238915488122928537285310630244738530589098006647184176935286667573\
      7129159233785813841838187003212128786888542462892677529600000000000000000\
      0000000000000*ep^8;
Fill mncpoch(47,32) = 1/1660860237463846134497052346245824955701624948779911496\
      2628119625728000000000000000+10974996894529846609/
      1564461942624022313076462892400022844862622980315863789248513944912108568\
      84092062924800000000000000000*ep+62329641409794860035054116314594934751/
      1473658718963827408172229459267219966485768873341319536080813360174281758\
      316294976226541092197818695680000000000000000000*ep^2+2681503210679998987\
      529626569975320712186530848860019879/152541299112830926060438129340238043\
      8699213497572566201179958486457041456325715782841471727281606840101698346\
      34477568000000000000000000000*ep^3+10574684965450168383298523258042067789\
      9532209885016370977385526992342748553/
      1867939079307028689357854857937040218799715312340144049210042445518482383\
      0664391350251968949168496295591976231159614689371444440622694400000000000\
      000000000000*ep^4+2408375668169335315700081811331698238671424313711815639\
      9844591415722775475344989700866632697/
      1599565166618616813923780281478813565659012712865828163129596655152805256\
      4422821151730084272733328816360650033995596695492288580970309432604407512\
      432640000000000000000000000000*ep^5+3993654499890292528444960137423991653\
      5891962739558642280447277439316904655539867861837638839467482430601310243\
      91/1160177872908943002197045065767306800271273510392596881769256605497651\
      0242673601766925100241470682261859478634565922805642785883505320312125527\
      803959413585708861093838848000000000000000000000000000*ep^6+
      3438472356997193860386643853536980145668812886761303725221508433152320698\
      6632388050984341460459186176196747686329886918728008769/
      4944976359166362127084363973857832912367993980288575222908714854132691855\
      7463305327727642586017667490458593312155691290266572203428351139906895133\
      5041190705271968233925705132388699340800000000000000000000000000000*ep^7+
      1184804353484963823753503730661984827081731024345571068697511254967747938\
      6918967125343706954542323406474955032759976101690229860801213121371241683\
      01/9358273279634421762067337141060871087764613266142412762272112338275729\
      9922607547467943429900569789694910251747449468276704319064840492893760043\
      5382199643221719064408232976154182181770650038218848521420800000000000000\
      00000000000000000*ep^8;
Fill mncpoch(47,33) = 1/7673174297082969141376381839655711295341507263363191112\
      734191267086336000000000000000+11647824620158591009/
      7227814174922983086413258562888105543265318169059290706328134425493941588\
      0450533071257600000000000000000*ep+10023802965356951209278840292627719193/
      9726147545161260893936714431163651778806074564052708938133368177150259604\
      8875468430951712085056033914880000000000000000000*ep^2+320029494539782831\
      6471677191408731592882612822119348279/70474080190127887839922415755189976\
      2679036635878525584945140820743153152822480691672759938004102360126984636\
      01128636416000000000000000000000*ep^3+13373906285739312226091754851146865\
      3700782644689791745831519158274264287353/
      8629878546398472544833289443669125810854684743011465507350396098295388609\
      7669488038164096545158452885634930187957419864896073315676848128000000000\
      00000000000000*ep^4+46091515972556673433935445979753590184478096603158700\
      64101117811510775467466460823736656271/
      1055713009968287097189694985776016953334948390491446587665533792400851469\
      2519061960141855620003997018798029022437093819024910463440404225518908958\
      20554240000000000000000000000000*ep^5+56651824274842304883578497538822473\
      1635920335077387191391161647167445954620951788113727173315865103714272638\
      7991/53600217728393166701503482038449574172532836180137975937739655173991\
      4773211520401631939631155945520497907912916945633620696707817945798420199\
      3845429249076597493825353547776000000000000000000000000000*ep^6+
      5163219781411738656366990932116466846369337471779149301935923091024929073\
      5925407743374325837802477917786916225185692654730581169/
      2284579077934859302712976155922318805514013218893321752983826262609303637\
      3548047061410170874740162380591870110215929376103156357983898226636985551\
      6789030105835649324073675771163579095449600000000000000000000000000000*
      ep^7+26896485444085733170111727382154154664682064095222318601535206617355\
      5105081922557056914998069068953037030321802846034423422205411646556598416\
      166843/617646036455871836296444251310017491792464475565399242309959414326\
      1981794892098132884266373437606119864076615331664906262485058279472530988\
      1628735225176452633458250943376426176023996862902522444002413772800000000\
      00000000000000000000000*ep^8;
Fill mncpoch(47,34) = 1/3391543039310672360488360773127824392540946210406530471\
      828512540052160512000000000000000+12372408324681854209/
      3194693865315958524194660284796542650123270630724206492197035416068322181\
      9159135617495859200000000000000000*ep+11304495173610156711568108314246977\
      593/429895721496127731512002777857433408623228495731129735065494873430041\
      47453602957046480656741594766990376960000000000000000000*ep^2+
      49794887280831564835148089212320387077074390245193005227/
      4049440647724748435281942009293216036353744509758008011094779155990158016\
      11797405435167860377157216128965371852085144846336000000000000000000000*
      ep^3+16981962674965637777149252365810126383892718502438375383153865561496\
      1033753/38144063175081248648163139341017536083977706564110677542488750754\
      4656176551699137128685306729600361754506391430771795802840644055291668725\
      7600000000000000000000000*ep^4+620718450960662656740292269581451083747254\
      8522025774402692437190245477305300230168008121071/
      4666251504059828969578451837129994933740471885972193917481659362411763494\
      0934253863827001840417666823087288279171954680090104248406586676793577595\
      2684974080000000000000000000000000*ep^5+808940216591789982101324609929655\
      8896293880348996464687119000211370164306442616541932571806815707725564526\
      588791/236912962359497796820645390609947117842595135916209853644809275869\
      0423297594920175213173169709279200600752975092899700603479448555320429017\
      281279679728091856092270806268116992000000000000000000000000000*ep^6+
      1016009688569367253306288002899533092136026039147282058529957834939138626\
      605442695776814373899259839815649275718960101640901248797/
      1312719138181370155338876099192964385648351995576102679264506570495305870\
      0240707841486284184625697303888088565330073019508873643297547921025611897\
      99469766988131641016127340981105925482453401600000000000000000000000000000
      *ep^7+4314989984353641385264338706491182941912146373276418061778005507488\
      9160020633413714960243675836600336999241509166879027556016852261387765163\
      3625243/27299954811349535164302835907902773137226929819990646510100206113\
      2179595334230737473484573705942190497992186397659588856801839575952685869\
      6767990096952799206398854691697238036980260661340291492024906688757760000\
      000000000000000000000000000*ep^8;
Fill mncpoch(47,35) = 1/1424448076510482391405111524713686244867197408370742798\
      167975266821907415040000000000000000+13157374004582056009/
      1341771423432702580161757319614547913051773664904166726722754874748695316\
      4046836959348260864000000000000000000*ep+12779936178068441635642206911104\
      494193/180556203028373647235041166700122031621755968207074488727507846840\
      61741930513241959521875831469802135958323200000000000000000000*ep^2+
      59826698571930245583524176444954077818582897952821152627/
      1700765072044394342818415643903150735268572694098363364659807245515866366\
      76954910282770501358406030774165456177875760835461120000000000000000000000
      *ep^3+2167815318703560350791093665828609616368752101033361180553002610208\
      61162353/1602050653353412443222851852322736515527063675692648456784527531\
      6875559415171363759404782882643215193689268440092415423719307050322250086\
      48192000000000000000000000000*ep^4+84171333739497602069363353201528583531\
      69093814912513449249635741148221590788554045764781271/
      1959825631705128167222949771594597872170998192108321445342296932212940667\
      5192386622807340772975420065696661077252220965637843784330766404253302590\
      0127689113600000000000000000000000000*ep^5+116506618488105093132355399256\
      7663444997163357227245124871075148474015137555658551330366406151837369138\
      9429512991/99503444190989074664671064056177789493889957084808138530819895\
      8649977784989866473589532731277897264252316249539017874253461368393234580\
      187258137465485798579558753738632609136640000000000000000000000000000*
      ep^6+15539726120657721681821884515690487251079523584181358678322356948403\
      72581252049516419196048850292211016319318139491194844231930197/
      5513420380361754652423279616610450419723078381419631252910927596080284654\
      1010972934242393575427928676329971974386306681937269301849701268307569971\
      5777302135015289226773483212064488702630428672000000000000000000000000000\
      000*ep^7+7008088407158904183732993358731341024874746007723023777502734804\
      8453262639303389162873322584048032483031546694829092579074496718572360756\
      1306791843/11465981020766804769007191081319164717635310524396071534242086\
      5675515430040376909738863520956495720009156718287017027319856772621900128\
      0652642555840720175666687518970512839975531709477762922426650460809278259\
      200000000000000000000000000000000*ep^8;
Fill mncpoch(47,36) = 1/5640814382981510269964241637866197529674101737148141480\
      74518205661475336355840000000000000000+14013700200836821609/
      5313414836793502217440558985673609735685023713020500237822109304004833452\
      962547435901911302144000000000000000000*ep+144942645478451902363639044430\
      05901393/7150025639923596430507630201324832452221536341000149753609310734\
      888449804483243815970662829262041645839495987200000000000000000000*ep^2+
      72238516999696817339616528206022212097766753252749633427/
      6735029685295801597560925949856476911663547868629518924052836692242830812\
      4074144471977118537928788186569520646438801290842603520000000000000000000\
      000*ep^3+2786412663557916329513879877678684753923851664899486437407263267\
      22670873553/6344120587279513275162493335198036601487172155742887888866729\
      0254827215284078600487242940215267132167009503022765965077928455919276110\
      3424684032000000000000000000000000*ep^4+126675297933171082422268745282994\
      795327367813369979167470569856842811906523379062087877476381/
      8537000451707538296423169205066068331176868124823848215911045436719569547\
      7138036128948776407080929806174655652510674526318447524544818456927386082\
      0956213778841600000000000000000000000000*ep^5+169659552746995359252739005\
      2731472716433552043634835791389808029522003656263673257276395743585854349\
      0351302899391/39403363899631673567209741366246404639580423005584022858204\
      6787625391202855987123541454961586047316643917234817451078204370701883720\
      8937541542224363323762375052664804985132181094400000000000000000000000000\
      00*ep^6+21896217300176501217157398536382675490069596807970586460792190725\
      2105120530526098716217489108820221406371581129925454293759521727/
      1984831336930231674872380661979762151100308217311067251047933934588902475\
      4763950256327261687154054323478789910779070405497416948665892456590725189\
      7679828768605504121638453956343215932946954321920000000000000000000000000\
      00000*ep^7+16516762541685677773077529182410251333487690050444180583346760\
      9095432654082154129026267679177405456322650493623506178733041905509401723\
      164030914149/648646926317664955503835381171769889740511852522977761079980\
      8972500587185141322322369993471253186446232294348808391831237611708324635\
      8162635207444703598509144036787474726375758650993313445325850511782924884\
      377600000000000000000000000000000000*ep^8;
Fill mncpoch(47,37) = 1/2087101321703158799886769406010493085979417642744812347\
      87571736094745874451660800000000000000000+14955659016717063769/
      1965963489613595820453006824699235602203458773817585087994180442481788377\
      596142551283707181793280000000000000000000*ep+165067809561445434042532155\
      93846230113/2645509486771730679287823174490188007321968446170055408835444\
      971908726427658800211909145246826955408960613515264000000000000000000000*
      ep^2+87787224843141262936886491285114731988498437650273797507/
      2491960983559446591097542601446896457315512711392922001899549576129847400\
      5907433454631533859033651629030722639182356477611763302400000000000000000\
      000000*ep^3+3613332167184495542813533333609958842389443159817288943798723\
      33036635168673/2347324617293419911810122534023273542550253697624868518880\
      6897394286069655109082180279887879648838901793516118423407078833528690132\
      1608267133091840000000000000000000000000*ep^4+175298299212929605558288446\
      711663274787150133602369626302113323300215463384372105302118312621/
      3158690167131789169676572605874445282535441206184823839887086811586240732\
      6541073367711047270619944028284622591428949574737825584081582829063132850\
      3753799098171392000000000000000000000000000*ep^5+
      2505702041396868224148119500356168301280361250440658097716660632554128324\
      1274904836194617988955421719762453666031/
      1457924464286371921986760430551116971664475651206608845753573114213947450\
      5671523571033833578683750715824937688245689893561715969697673068903706230\
      1442979207876948597784449890700492800000000000000000000000000000*ep^6+
      3451797199463050931536758961602648960742920333780778690043671313672624233\
      50819097530181525777593102956883236183730713198315917807/
      7343875946641857197027808449325119959071140404050948828877355557978939159\
      2626615948410868242470000996871522669882560500340442710063802089385683202\
      1415366443840365250062279638469898951903730991104000000000000000000000000\
      0000000*ep^7+194581142999377138334927579525189529680997464900183625208313\
      5306542367044161065782970016206799653976023132076871206630657338000024593\
      336360055603763/
      1679995539162752234754933637234884014427925698034512401197150523877652080\
      9516024814938283090545752895741642363413734842905414324560806764122518728\
      1782320138683055279559541313214906072681823393952825517775450537984000000\
      000000000000000000000000000*ep^8;
Fill mncpoch(47,38) = 1/7137886520224803095612751368555886354049608338187258229\
      7349533744403089062467993600000000000000000+16002279923250666169/
      6723595134478497705949283340471385759535829006456141000940097113287716251\
      37880752539027856173301760000000000000000000*ep+1889939820184126878474188\
      7077185830913/90476424447593189231643552567564429850411320859015894982172\
      2180392784438259309672472927674414818749864529822220288000000000000000000\
      000*ep^2+107567730122091906779620749556572012593940649449444788707/
      8522506563773307341553595696948385884019053472963793246496459550364078110\
      0203422414839845797895088571285071426003659153432230494208000000000000000\
      00000000*ep^3+47391585193259527532600807907647628536744365031169215633715\
      3659500183265473/80278501911434960983906190663595955155218676458770503345\
      7195890884583582204730610565572165483990290441338251250080522096106681202\
      51990027359517409280000000000000000000000000*ep^4+24615690472297779898433\
      1803601514695714776697260701517834936907193069423149153586649865446221/
      1080272037159071896029387831209060286627120892515209753241383689562494330\
      5677047091757178166552020857673340926268700754560336349755901327539591434\
      8283799291574616064000000000000000000000000000*ep^5+
      3768103558973144452973455152152631395617474120183110837097027473866233857\
      2374021606224761894393201162085683655631/
      4986101667859391973194720672484820043092506727126602252477220050611700280\
      9396610612935710839098427448121286893800259435981068616366041895650675307\
      093498889093916420442281862619568537600000000000000000000000000000*ep^6+
      5055243911424828012411425716648824153444567572330816807520744308854428396\
      7189894484368416373693430558928680081388071168719762637/
      2283277794319559237621373172426537296365754561986749544978232364389815629\
      5162093322142288126295218491754600684636214264651301278947109376881730595\
      5749141203448549923201181487597004946864614544506880000000000000000000000\
      000000000*ep^7+3359243975016020594658737993087556836279796044134958744115\
      0046907052840859434089488519875123031771808316687713029879872478809482319\
      03565846308444563/
      5745584743936612642861873039343303329343505887278032412094254791661570116\
      8544804867088928169666474903436416882874973162736516989997959133299014050\
      3695534874296049056093631291194978768571836007318663270792040839905280000\
      00000000000000000000000000000*ep^8;
Fill mncpoch(47,39) = 1/2227020594310138565831178426989436542463477801514424567\
      6773054528253763787490014003200000000000000000+17179728443100968869/
      2097761681957291284256176402227072356975178650014315992293310299345767470\
      43018794792176691126070149120000000000000000000*ep+2178914760566403750512\
      8273536175351813/28228644427649075040272788401080102113328332108012959234\
      4377320282548744736904617811553434417423449957733304532729856000000000000\
      000000000*ep^2+133223329719180794791389156520280408344609913716488583807/
      2659022047897271890564721857447896395813944683564703492906895379713592370\
      3263467793430031888943267634240942284913141655870855914192896000000000000\
      00000000000*ep^3+63077946431997354500958182697320378217743687082241376530\
      1010468663451644373/25046892596367707826978731487041938008428227055136397\
      0438645117955990077647875950496458515631004970617697534390025122893985284\
      53518620888536169431695360000000000000000000000000*ep^4+
      3522583828109091810281231082056764099085295033180632107347566230050540749\
      10282423523694261521/3370448755936304315611690033372268094276617184647454\
      4301131171114349823113712386926282395879642305075940823689958346354228249\
      411238412141923525276664545378971280211968000000000000000000000000000*
      ep^5+58004575050564194515828541263809476219080717197069345024292852266279\
      903302077249464828840528343804377381491583931/
      1555663720372130295636752849815263853444862098863499902772892655790850487\
      6531742511235941781798709363813841510865680944026093408306205071443010695\
      813171653397301923177991941137305383731200000000000000000000000000000*
      ep^6+92130357377455251304941516620643513519976296728696341454791360704674\
      0298265896260394637936779628314362620388669973709979087474107/
      7836209390104727303516552727767876001127269656738524438365293474585847240\
      4996304281592332849445189863701789549671487356283265989346479381458099404\
      0131052610235423336426454865432920977639357116747612160000000000000000000\
      000000000000*ep^7+5993727974680577339733670182353464037246325454550839913\
      4696604271229302725090463875664487894045337168043799323115661218855926728\
      04838043723473760463/
      1792622440108223144572904388275110638755173836830746112573407494998409876\
      4585979118531745588935940169872162067456991626773793300879363249589292383\
      7153006880780367305501212962852833375794412834283422940487116742050447360\
      00000000000000000000000000000000*ep^8;
Fill mncpoch(47,40) = 1/6235657664068387984327299595570422318897737844240388789\
      496455267911053860497203920896000000000000000000+2646483413479779667/
      8391046727829165137024705608908289427900714600057263969173241197383069881\
      720751791687067645042805964800000000000000000000*ep+253504024376756297306\
      62600643895581413/7904020439741741011276380752302428591731932990243628585\
      6425649679113648526333292987234961636878565988165325269164359680000000000\
      000000000000*ep^2+23905176707287162630215302801023891941786220937546322601
      /106360881915890875622588874297915855832557787342588139716275815188543694\
      8130538711737201275557730705369637691396525666234834236567715840000000000\
      00000000000000*ep^3+85595638376601516456832212292531023660544005594345196\
      9512497247877062225973/70131299269829581915540448163717426423599035754381\
      9117228206330276772217414052661390083843766813917729553096292070344103158\
      7966985213848790127440874700800000000000000000000000000*ep^4+
      3617631053529749664055137209584570436559407293211744399151286410751054987\
      977905493579976433047/660607956163515645859891246540964546478216968190901\
      0683021709538412565330287627837551349592409891794884401443231835885428736\
      8846027287798170109542262508942783709215457280000000000000000000000000000
      *ep^5+9208116968530895385024981735530804569074698674472222444833177207101\
      4878636613879162939143253799639852175358199131/
      4355858417041964827782907979482738789645613876817799727764099436214381365\
      4288879031460636989036386218678756230423906643273061543257374200040429948\
      27688062951244538489837743518445507444736000000000000000000000000000000*
      ep^6+22627448146756542260718359104101165081841394971182427658572757323767\
      9737438979871087814372259393476764076075138114643049224415501/
      3134483756041890921406621091107150400450907862695409775346117389834338896\
      1998521712636933139778075945480715819868594942513306395738591752583239761\
      6052421044094169334570581946173168391055742846699044864000000000000000000\
      00000000000000*ep^7+11170015295624524940414745323075511371403844571660786\
      8403263176879155435755362497219296848583429183168575504836292555645138208\
      58425343631417389870063/
      5019342832303024804804132287170309788514486743126089115205540985995547654\
      0840741531888887649020632475642053788879576554966621242462217098850018674\
      4028419266185028455403396295987933452224355935993584233363926877741252608\
      0000000000000000000000000000000000*ep^8;
Fill mncpoch(47,41) = 1/1533971785360823444144515700510323890448843509683135642\
      216127995906119249682312164540416000000000000000000+2870759322022694467/
      2064197495045974623708077579791439199263575791614086936416617334556235190\
      903304940755018640680530267340800000000000000000000*ep+298572975237584031\
      80162215229982462613/1944389028176468288773989665066397433566055515599932\
      6320680709821061957537477990074859800562672127233088670016214432481280000\
      000000000000000000*ep^2+3060144923606419878972805991989677061753573123459\
      0695001/26164776951309155403156863077287300534809215686276682370203850536\
      3817489240112523087351513787201753520930872083545313893769222195658096640\
      00000000000000000000000*ep^3+11922516074432761914250908631755468895188416\
      42135258749655810160027179051173/
      1725229962037807715122295024827448690020536279557795028381387572480859654\
      8385695470196062556663622376147006168784930464937706398783626068023713504\
      55176396800000000000000000000000000*ep^4+54893842408273892493748593145191\
      71677602760370894625948010046027684540885724594138090429855847/
      1625095572162248488815332466490772784336413741749616628023340546449491071\
      2507564480376319997328333815415627550350316278154692736122712798349846947\
      396577199924792467002490880000000000000000000000000000*ep^5+
      1524068649449922996280918221804528330682022078617308549664340532183668546\
      45801452912457415009853363769858297143531/
      1071541170592323347634595362952753742252821013697178733029968461308737815\
      8955064241739316699302951009794974032684281034245173139641314053209945767\
      27611263486006156468500084905537594831405056000000000000000000000000000000
      *ep^6+4090615836264716293041668053780231214509251254896361161045689720911\
      56204385665092779338425255885065453545645424954668574190747901/
      7710830039863051666660287884123589985109233342230708047351448778992473684\
      6516363413086855523854066825882560916876743558582733733516935711354769813\
      5488955768471656563043631587585994241997127402879650365440000000000000000\
      0000000000000000*ep^7+220873916354463479383357293199619035863088585947764\
      9709337235015015063110575925824936503468388565507758086378274759687059284\
      9894022895607233488211263/
      1234758336746544101981816542643896207974563738809017922340563082554904722\
      9046822416844666361659075589007945232064375832521788825645705406317104593\
      9030991139481517000029235488813031629247191560254421721407526011924348141\
      5680000000000000000000000000000000000*ep^8;
Fill mncpoch(47,42) = 1/3221340749257729232703482971071680169942571370334584848\
      65386879140285042433285554553487360000000000000000000+448555773182027461/
      6192592485137923871124232739374317597790727374842260809249852003668705572\
      7099148222650559220415908020224000000000000000000000*ep+35772592433237450\
      147943528196281843253/408321695917058340642537829663943461048871658275985\
      8527342949062423011082870377915720558118161146718948620703405030821068800\
      000000000000000000000*ep^2+4022896603874387284321693118212730298728649091\
      1391308281/54946031597749226346629412462303331123099352941181032977428086\
      1264016727404236298483438178953123682393954831375445159176915366610882002\
      9440000000000000000000000000*ep^3+172276801643845935459894078561099203846\
      6125712827941910332484771528085628613/
      3622982920279396201756819552137642249043126187071369559600913902209805275\
      1609960487411731368993606989908712954448353976369183437445614742849798359\
      5587043328000000000000000000000000000*ep^4+873493728242883871747963537858\
      6525042335365862451954038083707841484008868532234474070959704007/
      3412700701540721826512198179630622847106468857674194918849015147543931249\
      6265885408790271994389501012372817855735664184124854745857696876534678589\
      53281211984206418070523084800000000000000000000000000000*ep^5+
      2675981814558201898433928165158116421452787404093758281246727664086029958\
      56086556161973408454799544257521449835211/
      2250236458243879030032650262200782858730924128764075339362933768748349413\
      3805634907652565068536197120569445468636990171914863593246759511740886111\
      2798365332061292858385017830162894914595061760000000000000000000000000000\
      000*ep^6+1134556963045631874962954524989677290682883398076573829969287540\
      63719726017494521414094313775520575800832827209155605514798781883/
      2313249011958915499998086365237076995532770002669212414205434633697742105\
      3954909023926056657156220047764768275063023067574820120055080713406430944\
      0646686730541496968913089476275798272599138220863895109632000000000000000\
      000000000000000000*ep^7+4752259285177404805345943716384355017905023487401\
      5456824809235715766137479982912875386509785830463725827476124967936638984\
      302043880128216497955583903/
      2592992507167742614161814739552182036746583851498937636915182473365299918\
      0998327075373799359484058736916684987335189248295756533855981353265919647\
      1965081392911185700061394526507366421419102276534285614955804625041131097\
      292800000000000000000000000000000000000*ep^8;
Fill mncpoch(47,43) = 1/5540706088723294280249990710243289892301222756975485939\
      6846543212129027298525115383199825920000000000000000000+
      3476304275088564427/74558813521060603408335762182066783877400357593100820\
      1433682181241712150954273744600712733013807532563496960000000000000000000\
      00*ep+43958931079742069527016693565085949053/
      7023133169773403459051650670219827530040592522346956667029872387367579062\
      53705001503935996323717235659162760985665301223833600000000000000000000000
      *ep^2+55017359848470663829731054996097959645466351116770834881/
      9450717434812866931620258943516172953173088705883137672117630813741087711\
      3528643339151366779937273371760230996576567378429443057071704506368000000\
      0000000000000000000*ep^3+262968954131360495494099931839245253427321957915\
      7238464227198235402044330413/
      6231530622880561467021729629676744668354177041762755642513571911800865073\
      2769132038348177954669004022642986281651168839354995512406457357701653178\
      440971452416000000000000000000000000000*ep^4+1492758539859988988925375781\
      8068350559105488231161663725452533106423589947361689250104691734207/
      5869845206650041541600980868964671297023126435199615260420306053775561749\
      3577322903119267830349941741281246711865342396694750162875238627639647173\
      9964368461283503908129970585600000000000000000000000000000*ep^5+
      5136686681111062265394424490242735510474556292744757437570640895934208177\
      49906003933292298181259502609277972259811/
      3870406708179471931656158450985346517017189501474209583704246082247160991\
      0145692041162411917882259047379446206055623095693565380384426360194324111\
      4013188371145423716422230667880179253103506227200000000000000000000000000\
      00000*ep^6+17182821781210919065012989254800368362994846817883363772206164\
      41289424473960083285176607012591087813546549467417433241709705139781/
      2785151810398534261997695983745440702621455083213731746703343298972081494\
      8961710464806972215216088937508781003175879773360083424546317178941342856\
      6538610823571962350571359729436061120209362417920129711996928000000000000\
      000000000000000000000*ep^7+1163110123004443987287563702224282842505578599\
      7336773108523635182992066387924398306606093884688207074817941436503312248\
      3060575190629733467052453679703/
      4459947112328517296358321352029753103204124224578172735494113854188315859\
      1317122569642934898312581027496698178216525507068701238232287927617381793\
      1779939995807239404105598585592670244840855915638971257723983955070745487\
      34361600000000000000000000000000000000000*ep^8;
Fill mncpoch(47,44) = 1/7313732037114748449929987737521142657837614039207641440\
      383743704001031603405315230582377021440000000000000000000+
      560693727453484861/140596619782571423570004580114754506740240674318418689\
      4132086398912942913228059061247058296540322775691165696000000000000000000\
      000*ep+56282440403358558777952512565144543453/
      9270535784100892565948178884690172339653582129497982800479431551325204362\
      5489060198519551514730675107009484450107819761546035200000000000000000000\
      000*ep^2+80262950761422057618927057803397028451406285324524443681/
      1247494701395298434973874180544134829818847709176574172719527267413823577\
      8985780920767980414951720085072350491548106893952686483533464994840576000\
      0000000000000000000000*ep^3+439379206934021534090952714262702669082456970\
      2111964508492107792251819452813/
      8225620422202341136468683111173302962227513695126837448117914923577141896\
      7255254290619594900163085309888741891779542867948594076376523712166182195\
      54208231718912000000000000000000000000000*ep^4+28723489314798916876169958\
      271490445843329238558479532063448784751890994411929204969001802387807/
      7748195672778054834913294747033366112070526894463492143754803990983741509\
      1522066232117433536061923098491245659662251963637070214995314988484334269\
      675296636889422515873156117299200000000000000000000000000000*ep^5+
      1144983361045830999433084180095174206797038668378641981586344829666104411\
      462187142184568293559786576692910436932611/
      5108936854796902949786129155300657402462690141945956650489604828566252508\
      1392313494334383731604581942540868991993422486315506302107442795456507827\
      0497408649911959305677344481601836614096628219904000000000000000000000000\
      0000000*ep^6+579834109617884690236542839300891974249771403927096546610710\
      66051751674136809856166607813482200827213691133820013085106024938553/
      4774545960683201591996050257849326918779637285509254422920017083952139705\
      5362932225383380940370438178586481719730079611474428727793686592470873468\
      5494761411837649743836616679033247634644621287863079506280448000000000000\
      000000000000000000000*ep^7+3546274874188284280221149169133875699534420173\
      5626026999235759512631562504406202365223879302419606140265034544943021683\
      6538860497450388625635229594103/
      5887130188273642831192984184679274096229443976443188010852230287528576934\
      0538601791928674065772606956295641595245813669330685634466620064454943966\
      9949520794465556013419390132982324723189929808643442060195658820693384043\
      2935731200000000000000000000000000000000000*ep^8;
Fill mncpoch(47,45) = 1/6582358833403273604936988963769028392053852635286877296\
      34536933360092844306478370752413931929600000000000000000000+
      4597683817803138427/88575870463019996849102885472295339246351624820603774\
      3303214431315154035333677208585646726820403348685434388480000000000000000\
      000000*ep+77936584427406535331742337708951955053/
      8343482205690803309353360996221155105688223916548184520431488396192683926\
      2940154178667596363257607596308536005097037785391431680000000000000000000\
      00000*ep^2+132700845604986615450174440783528021581430901358149896881/
      1122745231255768591476486762489721346836962938258916755447574540672441220\
      1087202828691182373456548076565115442393296204557417835180118495356518400\
      000000000000000000000000*ep^3+8768747668073516368140869795481199400932405\
      361589418707114639211977624056413/
      7403058379982107022821814800055972666004762325614153703306123431219427707\
      0529728861557635410146776778899867702601588581153734668738871340949563975\
      9878740854702080000000000000000000000000000*ep^4+700224851656547378704553\
      21033032632620999876806328841420316727637700864163260026477401507248207/
      6973376105500249351421965272330029500863474205017142929379323591885367358\
      2369859608905690182455730788642121093696026767273363193495783489635900842\
      70776697320048026428584050556928000000000000000000000000000000*ep^5+
      3453523763452949570536160249676692732533649906993723232538289025300227595\
      769653193570540417379889044967193940181811/
      4598043169317212654807516239770591662216421127751360985440644345709627257\
      3253082144900945358444123748286782092794080237683955671896698515910857044\
      3447667784920763375109610033441652952686965397913600000000000000000000000\
      000000000*ep^6+1689053301394471709140714690530358965221239231810109572126\
      1869400923737654432176046939413784898739092667948363236116404036774001781/
      3308760350753458703253262828689583554714288638857913315083571839178832815\
      9366512032190682991676713657760431831772945170751779108361024808582315313\
      7047869658403491272478775358570040610808722552489114097852350464000000000\
      0000000000000000000000000*ep^7+170699333799795622132975602425267320116295\
      1541992969444327957489264796747287042478049096271251663894142171316707762\
      545106155847131952500508972088985703/
      5298417169446278548073685766211346686606499578798869209767007258775719240\
      6484741612735806659195346260666077435721232302397617071019958058009449570\
      2954568715019000412077451119684092250870936827779097854176092938624045638\
      964215808000000000000000000000000000000000000*ep^8;
Fill mncpoch(48,0) = 1;
Fill mncpoch(48,1) = 1/47+1/2209*ep+1/103823*ep^2+1/4879681*ep^3+1/229345007*
      ep^4+1/10779215329*ep^5+1/506623120463*ep^6+1/23811286661761*ep^7+1/
      1119130473102767*ep^8;
Fill mncpoch(48,2) = 1/4324+93/9348488*ep+6487/20211431056*ep^2+402225/
      43697113943072*ep^3+23382031/94473160344921664*ep^4+1304918433/
      204250972665720637568*ep^5+70805463247/441590602903288018422016*ep^6+
      3763674429825/954718883476908695828398592*ep^7+196940310433711/
      2064102226077076600380997755904*ep^8;
Fill mncpoch(48,3) = 1/583740+6347/56792064600*ep+26858389/5525299964934000*
      ep^2+94720590143/537556433588428860000*ep^3+300666856758541/
      52298865423818243789400000*ep^4+890835896031393767/
      5088156617083276938270726000000*ep^5+2513939178992512808629/
      495026757276032013324358932540000000*ep^6+6841506670915066631709023/
      48161153215385154576326880546816600000000*ep^7+
      18102913436929837499798267101/4685598596324821688730842208399787014000000\
      000*ep^8;
Fill mncpoch(48,4) = 1/102738240+188279/219898874131200*ep+22158292231/
      470667152212937856000*ep^2+2086474969419659/1007406559253527928225280000*
      ep^3+171929590084248092551/2156232851295066107014824806400000*ep^4+
      12954555290184312384355139/4615157670254933594132390719122432000000*ep^5+
      915204524867025794898082128271/987819117426025476620908644739527100416000\
      0000*ep^6+61585290242558086423666197570566219/211430828255631640964986044\
      50275890151883980800000000*ep^7+3989229632247354988823202311766619062391/
      45254231618178885168863682993281509763289434824704000000000*ep^8;
Fill mncpoch(48,5) = 1/22088721600+10236377/2032965091342944000*ep+
      62880418938379/187106666354970250584960000*ep^2+300477356480976472133/
      17220612760912602672722577446400000*ep^3+1230928778774369884485481891/
      1584922171071691009871603863533202176000000*ep^4+
      4539084342480494760004702273297157/14587043581029231815948628952945539675\
      9075840000000*ep^5+15500705410730419872817453738339346557939/
      13425381026184239293514654368471396910953202096025600000000*ep^6+
      49917427905372794281833640231081937857833871253/1235622932755441550259274\
      524439118766371438632198524770304000000000*ep^7+1534691792351494911468124\
      32390503540025914165891300131/1137222123508769553697896782846170440821422\
      92242158373258120847360000000000*ep^8;
Fill mncpoch(48,6) = 1/5566357843200+86994029/3586150421128953216000*ep+
      4415575866482881/2310393116151172654223086080000*ep^2+
      170795973563543769924209/1488480884602241724619448704157030400000*ep^3+
      5575366046758149761587354312801/95896032945126878890483366083849104299315\
      2000000*ep^4+161811104728051170302794477979541849089/61781439249522291380\
      9234489166632327039106486005760000000*ep^5+430572613262144400884808320243\
      6490227692281121/39802962839208649129796180409266542654453678489561958522\
      8800000000*ep^6+107156360710946479136128320571448186183014779937965569/
      2564323314613740793575437773594016269258860887401207605974377021440000000\
      00*ep^7+2528432485849854334308570856347673790698805094676962555951841/
      1652076527176020514445651646055393323261280480518914817438306563834073907\
      20000000000*ep^8;
Fill mncpoch(48,7) = 1/1597544700998400+4211009569/42198232005424392492672000*
      ep+10135544390607885181/1114642227707784793511965210037760000*ep^2+
      18301298161306561057342751269/2944263863068160624601664592795232066094080\
      0000*ep^3+27545343435761054512383342576598674781/777710504759526915586694\
      849371690327695999818148864000000*ep^4+3649302803049845472790752059650205\
      6085821641669/20542779361596778545879355483677221406493110844185974084997\
      120000000*ep^5+43963441111261052675659449923851096076012408739870094381/
      5426257988243754632549850345993788042918808311488847648918613607428096000\
      00000*ep^6+49192798717792898982114507228364121595459347707321079550946642\
      069/143331509513377124616286797803791549377124879801340871177709282284639\
      20670547968000000000*ep^7+51882020384788086812908153019651257893158295741\
      698930901589899078412273981/378602006463620012615979214167195053802115800\
      037848283129945350261994384122895680748093440000000000*ep^8;
Fill mncpoch(48,8) = 1/511214304319488000+9742740617/
      27006868483471611195310080000*ep+53409624359629153267/1426742051465964535\
      695315468848332800000*ep^2+43389924673507266330610386409/1507463097890898\
      2397960522715111588178401689600000*ep^3+727255522414642416725186743779858\
      691051/3981877784368777807803877628783054477803519068922183680000000*ep^4
      +2128278886150334735166463631884194815602173317837/2103580606627510123098\
      04600152854747202489455044464374630370508800000000*ep^5+56245238693616500\
      79016329954228275482451028779299705761307/1111297635992320948746209350859\
      5277911897719421929159984985320668012740608000000000*ep^6+274502154385832\
      2469589914217506195572604191556201074031971874439577/
      1174171725933585404856621447608660372497407015332584416687794440475764381\
      33128953856000000000*ep^7+31408841784962885316583107317170273562213822478\
      400896895278950645275700011051/310150763694997514335010172245766188074693\
      26339100531354005123093462579947347614166883814604800000000000*ep^8;
Fill mncpoch(48,9) = 1/179436220816140288000+144265247741/
      123232340890080961884199895040000*ep+11566682668307925954643/846329117509\
      09550292910418296614253363200000*ep^2+27212928229971791702597451722513/
      2324951291098545009848012642038031177801985545994240000*ep^3+327513779156\
      21001019332870115959366394016611/3991797040117418870200897868344115944813\
      1754152747757317652480000000*ep^4+136695436287550831042034599211137509084\
      0157940772822161/27414670871596838876354042070998418076221924948370333178\
      421589220681318400000000*ep^5+5122004893818222390444873884194606338914960\
      4412930514632427094283/18827715223113469988901564457251371938709840834020\
      105839066420744555717876957315072000000000*ep^6+3526391477783959432787918\
      96753781882699666629715567592005633048983306069461/
      2586081461148768655130675530721065879053883667168809280748867275238534526\
      885627738903126474752000000000*ep^7+5667036360883487836118772760251369006\
      3505801366797955847309110358294924571674917052371/
      8880282663675495220805869485527893767025248929752547193442882559852117235\
      166473981035663892192145755340800000000000*ep^8;
Fill mncpoch(48,10) = 1/68185763910133309440000+3084427291619/
      889737501226384544803923242188800000*ep+5234726480617463865596383/
      11609942833989772109181451181929543276363776000000*ep^2+12927753900282438\
      05350154239809727099/3029899772072534842284028555230382611223325583395153\
      5104000000*ep^3+6487807414014419687327515933005451076445596009431/
      1976816931847540149417114602181799429367191766517291382929639761510400000\
      000*ep^4+5612546847820798573084726034834090058848020339388818329826679/
      2579494686958622323506251954282370256004371221423923677284747708614112088\
      7390208000000000*ep^5+433697123235067224690949346802760239158103713971132\
      1198829984157473740983/33659125095762420826607504242447749989980733685437\
      5247346607112948833886421384465043591004160000000000*ep^6+
      6130665834034256582714521629665926869739529400388236987097827780828549592\
      04353903243/8784175504916300946787323193783470908725142939448346881700851\
      01167110988996343362010390733518933736816640000000000*ep^7+
      2015061959092503366983265688769110562729156180860052666057013959153540030\
      875097512147061990336311/573111593673642260627912657075068639633652272501\
      2466300026263075944299770629352453491006574928643934593859491096166400000\
      0000000*ep^8;
Fill mncpoch(48,11) = 1/27751605911424256942080000+127172538002423/133985570309\
      68124860202280104121139200000*ep+8825780436455296876220384287/
      6468862778070923193110048513901048711354197803008000000*ep^2+177031987733\
      67379152581438731852141536059/1249274397079991473960972993041808403107242\
      20171431774560505036800000*ep^3+17934301363003888264394952322697701455251\
      184717512679391/150788339150798530144649367041543486393929391374942002755\
      7778210124341759180800000000*ep^4+623216031443035726527716750897381443309\
      376986276265190634472318204123/728010540422541770424462532728115180984115\
      666847164231953085766978281059378024289289633792000000000*ep^5+
      1925965823790088662481556896890546686373401072845467388800888527129509853\
      4392940007/35148563207947144921571582789558086497432682903894643064043049\
      7819708070035199218092004261656233330606080000000000*ep^6+
      1084623707324802074112757089254901921614012277201774995966692493476778415\
      53872744141483187499847/3393965957872009652042111547612849391533436767685\
      9818046425067184071072510345818092660775064382653028686851601166499840000\
      000000*ep^7+1415434371455880676698630761673401863716294130521066579584108\
      5338430372774202564348948154040093573800835047631/
      8193083779161137254018855135753003416047093315452616352315501197919105762\
      5694357783550964560267234134877783894655430659759992209408000000000000*
      ep^8;
Fill mncpoch(48,12) = 1/11988693753735278998978560000+15620414543057/6431307374\
      86469993289709444997814681600000*ep+10711175967893318492945265457/
      2794548720126638819423540958005253043305013450899456000000*ep^2+130273248\
      05905385468072729638933850794169/2998258552991979537506335183300340167457\
      3812841143625894521208832000000*ep^3+257963398216960529506258415216723185\
      54327356966169488841/6514056251314496502248852656194678612217749707397494\
      51904960186773715639966105600000000*ep^4+35895397056338135965766145843538\
      042257169482616729706933701246980919/116481686467606683267914005236498428\
      95745850669554627711249372271652496950048388628634140672000000000*ep^5+
      3225746076535583517655510018449198091788068721987224467589705037524946540\
      0712078177/15184179305833166606118923765089093366890919014482485803666597\
      5058113886255206062215745841035492798821826560000000000*ep^6+
      2166495293266246754974020107106804359220105908012350751643343114987227006\
      1893770430542804337337/16291036597785646329802135428541677079360496484892\
      7126622840322483541148049659926844771720309036734537696887685599199232000\
      0000000*ep^7+272292225327437744272964531794354371023576177078758463867692\
      07902470624231438618005775180800095122299527287481/
      3539412192597611293736145418645297475732344312275530264200296517501053689\
      4299962562494016690035445146267202642491146045016316634464256000000000000
      *ep^8;
Fill mncpoch(48,13) = 1/5454855657949551944535244800000+17153122301353/
      292624485556343846946817797474005680128000000*ep+
      7487302963234001673448979/74141088493155723780624556028710795026459540534\
      0672000000*ep^2+5654513481227880152794023729130034620027/
      4547358805371168965217941694672182587310361614240116594002383339520000000
      *ep^3+36326400590407816699453811377816700251574300176317189121/
      2963895594348095908523227958568578768559076116865860006167568849820406161\
      84578048000000000*ep^4+23337706740700123358736280333585825788127238959759\
      605326829075662939/227139288611833032372432310211171936467044088056315240\
      3693627592972236905259435782583657431040000000000*ep^5+
      2101559403868977364215212475756590321665785753868588859479161427916514684\
      370660417/276352063366163632231364412524621499277414726063581241626732074\
      6057672729844750332326574306845968938557243392000000000*ep^6+
      3777033494681195957576152628615912258454513929679019371933935546141142814\
      0489375007008457184497/74124216519924690800599716199864630711090259006261\
      8426133923467300112223625952667143711327406117142146520838969476356505600\
      000000000*ep^7+7239290160334678763335123333221160004671934059052917203215\
      701392781019601167369928875911369820356969147688263/
      2300617925188447340928494522119443359226023802979094671730192736375684898\
      1294975665621110848523039345073681717619244929260605812401766400000000000\
      00*ep^8;
Fill mncpoch(48,14) = 1/2596511293183986725598776524800000+318425464893181/
      2367917337121934409493649617159653963595776000000*ep+
      125793851071828656150777464447/499758090176151225321733984851145018543974\
      1314673925947392000000*ep^2+106960512606573839186699474908136815904111173/
      3190319620180605386409328749558009039747889184016769735600453694760419328\
      0000000*ep^3+4195936436891889739749617542425543813620954489430746982136741
      /117832621393320523546865816627940583248519555865814662941757842523184668\
      08871620137975808000000000*ep^4+16404689035027646681184105551680066559570\
      745697685162506951493173058821021/511708423471376509967756401318146270818\
      110004140129266682260714932931978260430211629698942131513589760000000000*
      ep^5+40332506340267917594035595397409741437986748714864318909068628963715\
      9463048221018570607321/15875711454747689713094934282068887217707074458902\
      3816443527841148374557320589528633647370518989759350551690321581834240000\
      000000*ep^6+2631676956220931329287803982099602213595827136401484234776684\
      4505445036107223400686647059351254746640261/
      1447803153852047402513341609122343034451693987359535279773279137072117846\
      74626268919163134238257848730894928731680849041490222828748800000000000*
      ep^7+91339648045815038351618577265987731530703857060389890300622877625885\
      705549875079286551688500968011323354867114555311683/
      7639111042612895404082058127522764345455910455169879908912303898765133602\
      6087287446116306538816717811954746921035299703163406261038028694059640422\
      40000000000000*ep^8;
Fill mncpoch(48,15) = 1/1285273090126073429171394379776000000+1038181950696463/
      3516357245626072598098069681482086135939727360000000*ep+
      147926407266771170941860589751/247380254637194856534258322501316784179267\
      1950763593343959040000000*ep^2+406728985127980650998716773285326311854441\
      959/473762463596819899881785319309364342402561543826490305736667373671922\
      27020800000000*ep^3+51939460060021515502719433018223030622344431990043711\
      5429031/53024679626994235596089617482573262461833800139616598323791029135\
      4331006399222906208911360000000000*ep^4+215309012701593992371003406587337\
      833631289672984105190776041907912136139149/227966102656498235190635476787\
      2341636494680068444275883069471485026211963150216592810308787195893042380\
      800000000000*ep^5+6282390124125239064758344062284744239157085882073133891\
      01063849239016606104224415582460929/7858477170100106407981992469624099172\
      7650018571566789139546281368445405873691816673655448406899930878523086709\
      183007948800000000000*ep^6+1310348133222089397983250759728607197077721189\
      84000676145436314672585957273098082157863642332441002839463/
      2149987683470290392732312289546679406160765571228909890463319518552095002\
      41820009344957254343812905365378969166546060826612980900691968000000000000
      *ep^7+2302521773148984579431918368931858128709486486659652705527302677697\
      5744946717598333592043388791848459745944763328863469/
      5401942808704833178600883961605383358572393821870129364159414899841058761\
      8447438979753673909591821881310856751303533361522694427448320290799317155\
      8400000000000000*ep^8;
Fill mncpoch(48,16) = 1/658059822144549595735753922445312000000+
      4494713221355647/7201499639042196680904846707675312406404561633280000000*
      ep+2762083586017153685734343205767/20265390459879002647286441779307870959\
      965568620655356673712455680000000*ep^2+3264280122721261839088308206805969\
      7106436339731/15524248407140594479326341343129250771847136668106434338379\
      11650048154895017574400000000*ep^3+17863331701220522823462641623386110902\
      8571234628385279184025711/69500508080693884480506583426758426573974798518\
      998267754959377708394873670758944762614429777920000000000*ep^4+
      3164749842318934991039517091406921267232372509353081112147585908976253219\
      15961/1195198920295701467316278928538254251914522823724512514182727065941\
      422617736100757011331173421360371403744870400000000000*ep^5+
      3936962852204306393798304996417131532003599119496075621850552756789054422\
      616822193574077739921/164804211142297783537122514716571188283624691747398\
      4349775777630643980198188245407207898709374270038417564483383365634858418\
      17600000000000*ep^6+34932582703758949615106967482848564564588690810971552\
      09158266206609541146560420834510498007613633488318047987/
      1803540388146034575079741673058959123995544735693540333841972581988225255\
      4045332649511831834465436884512609437822416182186122644873918483005440000\
      00000000*ep^7+18242715060400777570225845210661437694181267978729754606737\
      458610723143563587830606841580148192483485494731981559443823254963/
      1268813858498027330738950512207049127174043039012129580066232270915525319\
      2262655757742058195647010545507900496063487250772612666358155176982921392\
      0644667801600000000000000*ep^8;
Fill mncpoch(48,17) = 1/346797526270177636952742317128679424000000+
      150279643256258497/117650899603032367175942480663291578783431323402895360\
      000000*ep+3077256973306346902620344055423719/1026334620223434125371027657\
      9805133324061682331225043421331652041768960000000*ep^2+120819414251000121\
      6004557742156292278185137789669741/24372848002458511222041301542031716963\
      513967154872747989244174084390074965625930566860800000000*ep^3+
      219061263427464651467464139056790995569289326932720672723702938217231/
      3382558918712139186067265206811899539344853200891462219701777139575440370\
      1083395941562310303146458480640000000000*ep^4+128276025068283133854305402\
      98203267177933101877503081277600229397230324078941926557831/
      1803263850192423123224507858510742216409668515803832276655149461990281916\
      1496570243385530577065613792021962064302755020800000000000*ep^5+
      1052569631589915332649689038165992805502718284441104137805374427694912429\
      465290304923671912663076282813/154162618610877384562453653284716015770475\
      0791895149806099163457113026331007868905639085154834433814535914288336710\
      7532014584394693203722240000000000*ep^6+153702821348212439048727198874998\
      8877478408078920560373425679926286710993268942252325070410924562818618088\
      92127020678157/2614979835611445920495028017423812368281093601368902588553\
      5177105630852764982282664136362342352646294951752827419694146634980630097\
      624564542736903719354368000000000000*ep^7+
      3767462761934348741094017117230044963071895918974418825574505379345261069\
      324514587329538642567552134354515528258530852352829286329962069/
      8147118616935509587077678358607394298291672572595352668035605648892924367\
      4954681232608069180005928890039140203944664510849742823381988808920653893\
      56659275453452152052121600000000000000*ep^8;
Fill mncpoch(48,18) = 1/187270664185895923954480851249486888960000000+
      10772530739797759/4235432385709165218333929303878496836203527642504232960\
      000000*ep+3547131036444859304901125760083831/5542206949206544277003549353\
      094771994993308458861523447519092102555238400000000*ep^2+1838245356530009\
      4630219378903500790579252254696077/16248565334972340814694201028021144642\
      3426447699151653261627827229267166437506203779072000000000*ep^3+
      287943355939543161677542645819863500815507010988251400045783351339551/
      1826581816104555160476323211678425751246220728481389598638959655370737799\
      8585033808443647563699087579545600000000000*ep^4+119629449931168577781891\
      6046031748457310881307676937576696289197470974572071669512057/
      6491749860692723243608228290638671979074806656893796195958538063165014898\
      13876528761879100774362096512790634314899180748800000000000*ep^5+
      7819654981088608455965540810186706502742340557574006349152089513455720066\
      486602041702764880172841475489/416239070249368938318624863868733242580282\
      7138116904476467741334205171093721246045225529918052971299246968578509119\
      0336439377865671650050048000000000000*ep^6+807099884263456841991166771022\
      5260312556249127847966347785926118448263764876393199603330297011239140935\
      6288652393878463/47069637041006026568910504313628622629059684824640246593\
      9633187901355349769681087954454522162347633309131550893554494639429651341\
      7572421617692642669483786240000000000000*ep^7+
      4397419894440775946688791131458046253125936551409011215050035478942141551\
      2220612490991311291261496415134909644366233675591599932488474403/
      3079610837201622623915362419553595044754252232441043308517458935281525410\
      9132869505925850150042241120434794997091083185101202787238391769772007171\
      768172061214049134757019648000000000000000*ep^8;
Fill mncpoch(48,19) = 1/103186135966428654098918949038467275816960000000+
      37224447459505643/7519774899027416780417539594074944549521796466619459829\
      760000000*ep+69826985133908199419862550269897599/524124249061177501849990\
      15066937540602692738776740820650394277724391315865600000000*ep^2+
      14813317114322289893174479645265143805734356844384720891/
      5895550689345185530267715078214809303539523793516818808138568172178871841\
      2229028386628767318016000000000*ep^3+265332362707368269745630691004512620\
      608156162819388154672649323364739629231/711840544025411479029726750970999\
      8827157152119266361899099440752296592118037688934685477152367860553654073\
      923993600000000000*ep^4+3396740032329952668649698331395864524526472027177\
      0362038947429248002608327106148459034942181/
      7336744001353212700564182912051311347483546105864303255396726339169771672\
      178216465719765953538894944180952237536812918990429172531200000000000*
      ep^5+68292404269000442755583490924265027564147280093443718469783470015451\
      01991529183098112901164508601192657743616729/
      1364213770587207434547556573214446212935010074945476166619701845629270811\
      7026010753044204108124605594168074236273453202193951909535219230853971530\
      743808000000000000*ep^6+7215031769450859495215920475075529118347847747680\
      5367566119820581180608492527730211600798808547480881292506764260082660757\
      3205529/14912730823121672476657929974326616016854606388805543455072943772\
      0782800913910638449352685780309131209813853161028585176417397900457396033\
      71697490129129971906022966558720000000000000*ep^7+
      3615960600804519680218705173137247042266060786995790919435700851905252339\
      0841459636159073985912845470564632004922191420900493106323498128277084499\
      683/848850915318889552861087075787837304264694715405782529911069080660677\
      9347594605913864649085812472154482954846487499738802461660137546073258193\
      996192873258481092372758813238864076370608128000000000000000*ep^8;
Fill mncpoch(48,20) = 1/57784236141200046295394611461541674457497600000000+
      71688879961117711/7579933098219636114660879910827544105917970838352415508\
      398080000000*ep+27351171657956830834597807716585698657/
      1006737857596709745553461081405736279896522126423637683052773286530108395\
      1464448000000000*ep^2+600557910123768925654639970026382499413766313622303\
      6257/11005027953444346323166401479334310699940444414564728441858660588067\
      227436949418632170703232696320000000000*ep^3+4900348437408119852076475996\
      5574583123474140931000150802120410019987191633/
      5694724352203291832237814007767999061725721695413089519279552601837273694\
      43015114774838172189428844292325913919488000000000000*ep^4+
      1331258142985625188542009650826444839619101663606119265548990811839664315\
      057920247686699679/117387904021651403209026926592820981559736737693828852\
      0863476214267163467548514634515162552566223191068952358005890067038468667\
      60499200000000000*ep^5+99234616007142940331316412227526525040805214587819\
      03824809833954836738405785376896850135409709837109747696550929/
      7639597115288361633466316810000898792436056419694666533070330335523916545\
      5345660217047543005497791327341215723131337932286130693397227692782240572\
      16532480000000000000*ep^6+33267638443949636031936194856603383920658130868\
      9522838987809070434827389094195503836970107971465741112817347698277988839\
      1547048947/25053387782844409760785322356868714908315738733193313004522545\
      5370915105535369872594912512110919340432487273310528023096381228472768425\
      33664451783416938352802118583818649600000000000000*ep^7+
      4109201381108545833568754814364922738720792631528420053333160404462726512\
      0120388092818849214978390343724779181522986901794361517524049972849471784\
      7181/33274955880500470472154613370883222327176032843906675172513907961898\
      5750425708551823494244163848908455731829982309989761056497077391806071721\
      20465076063173245882101214547896347179372783861760000000000000000*ep^8;
Fill mncpoch(48,21) = 1/32763661892060426249488744698694129417401139200000000+
      10333881229511948489/5802059790032220463967170527742943635874910778216856\
      45090331033600000000*ep+280049600828330913822444053855345845193/
      5137383287316009831559311898413472236311952411139823096618302081163143140\
      4323078144000000000*ep^2+529646523502801519861189891964842685904517205511\
      3368322713/45488512693605464422565698866724819876454831156494285483431843\
      43453471990470983545677334986312394997760000000000*ep^3+
      5097158375202353469288361239650053145036941346036991639957022840241891836\
      673/261541605323640583979186083934760892907877220305236962351952012344580\
      46896409355176263992734143898531813652248580325376000000000000*ep^4+
      1981080823646135288404735062949403507684067573293499586793274972679330642\
      8492690659157149487881/72782202618032183934943225377984604471269393552870\
      4488118907773250748223750358526861601252448070588699020961772842926969822\
      631710775312384000000000000*ep^5+1041762598639581791672349115591414688610\
      5623787807791111778404435288186338446158768506398735007768438268190852338\
      121/315777399042463726266186778919620150956189686868585254877888955187646\
      2236680894123109508256852147356061720013064627661494494611920089028621768\
      966482053184880640000000000000*ep^6+9964438223116283046892677145654496153\
      0924262881681739792314504858370418134053356052546587240216650830703285693\
      684200568923805225973721/279602346590754935321311762471790001111394714670\
      2467365851657885783264386617272509695970907323520789174410849323826785569\
      64266525672701931596568324848503838181724748366506203545600000000000000*
      ep^7+43299220268462302395734547088282506299456001629206591927446476450862\
      2412877779659742364149943675814452496590342536169740483146869910530174311\
      9595641664141/12378573079662335369734623919104885389743730649419025152249\
      1746328255384334392284942740723228876019431035805620340162288023938104314\
      3251673931121045634166219707538082609238400784894713613979431731200000000\
      00000000*ep^8;
Fill mncpoch(48,22) = 1/18740814602258563814707561967653042026753451622400000000
      +11014989911763815897/331877819989843010538922154186896375972044896514004\
      188991669351219200000000*ep+317561627147426243318036147716178770073/
      2938583240344757623651926405892506119170436779171978811265668790425317876\
      3272800698368000000000*ep^2+490610395540671296888778220424884726209775212\
      035226209741/200149455851864043459289075013589207456401257088574856127100\
      111111952767580723276009802739397745379901440000000000*ep^3+
      6507569738863088193335046610301533260935386126352829207062425995936921147\
      473/149601798245122414036094440010683230743305770014595542465316551061100\
      02824746151160823003843930309960197409086187946115072000000000000*ep^4+
      2677594891424575801311987268436535023106034120978175123943095803026631567\
      4849669050086365610713/41631419897514409210787524916207193757566093112241\
      8967204015246299427983985205077364835916400296376735839990134066154226738\
      545338563478683648000000000000*ep^5+1488577215024700370469722574767897330\
      3124140588943446426757184480458412285667685241332193718151321678498462836\
      104601/180624672252289251424258837542022726346940500888830765790152482367\
      3336399381471438418638722919428287667303847472967022374850918018290924371\
      651848827734421751726080000000000000*ep^6+
      1156450196145724984965465319701368078678757210662053773811302912972467749\
      0378954903619390487183173249955934170384478492901783736899597/
      1230250324999321715413771754875876004890136744549085640974729469744636330\
      1115999042662271992223491472367407737024837856506427727129598884990249006\
      293334168879995888928126272956006400000000000000*ep^7+
      6889843901703097337516447744231694667017315658764715111709285943188929537\
      8185781740494245273867149302805593367043303682179224710255876346450676677\
      47901341/7080543801566855831488204881727994442933413931467682387086527889\
      9762079839272386987247693686917083114552480814834572828749692595667793995\
      7488601238102743077672711783252484365248959776187196234950246400000000000\
      00000*ep^8;
Fill mncpoch(48,23) = 1/1077596839629867419345684813140049916538323468288000000\
      0000+293083573532643950033/4770743662353993276497005966436635404598145387\
      388810216755246923776000000000000*ep+448853693239489529389121864258023700\
      95189/2112106703997794541999822104235238773153751435029859770597199443118\
      197223610232550195200000000000000*ep^2+3677751267181660885559828695880616\
      29526489550736076314488349/7192871069676364061818201133300862142964420176\
      6206588920676602430858025849322427316022859471064745902080000000000000000
      *ep^3+5166805803546832671214544954660993168537370381155705520734772620268\
      890813071073/537631462443408675442214393788392860483755110989952730734731\
      3553758282265143148073420767006412455141945943890348793135104000000000000\
      000000*ep^4+5621568731564119769327743446039118580103952807986004699691082\
      98370856812246949341608599000870046657/
      3740322881417310202531691691690490064156328678052982908473574478471423293\
      6170768669496976864089127597360624113607506043808541182761562537984000000\
      00000000000000*ep^5+16507527163563050388794396895129202910738404273580190\
      91839084517308702298312310012121521627026052486097592304280844494469/
      8113998948833306216324127467708052160116467813365444556979506043845065856\
      5964537272712286381146192610054665023199690458245256082852912618257797896\
      558382227128320000000000000000000000*ep^6+
      6766067593416505373198860261928545178367503022907669255585666740492223304\
      681963820128440241983339894131534797081288031679160245688359810829/
      2763257565916445259230151402553237120358705578577047826408083769934241757\
      0866013474729712482533232799262732221833131904262484152732497495583567103\
      97916854338280326614715862089728000000000000000000000000*ep^7+
      4248993729414467555972860735558964305425062093192259766906858156524714030\
      4716282855351573895430295338042842908252652851455744927574100261046933567\
      15594211024541/1590356517930055509025671018356873751830747269763248973662\
      0131002876248401399071295963837449209891715182686120519484131457450485355\
      0709170139041293714483308461644248191475980475840574729546029334528000000\
      00000000000000000000*ep^8;
Fill mncpoch(48,24) = 1/6206957796268036335431144523686687519260743177338880000\
      000000+311530267010298692333/27479483495159001272622754366675019930485317\
      43135954684851022228094976000000000000*ep+5063207266849987016213490452714\
      8470881089/12165734615027296561918975320394975333365608265771992278639868\
      79236081600799493948912435200000000000000*ep^2+33816987999942702066483543\
      922600155215132891483974037436173/318699518164121976892867988675484353411\
      3466170564230401408440230782632529939209087233012850410253356892160000000\
      000000000*ep^3+6535950770083816081000067146758033863450488736723512083971\
      337320177405426497373/309675722367403397054715490822114287638642943930212\
      7729032052606964770584722453290290361795693574161760863680840904845819904\
      000000000000000000*ep^4+7516187995633482373799134879281201933719496166845\
      35246551800170201603142053130074101577031064583357/
      2154425979696370676658254414413722276954045318558518155280778899599539817\
      1234362753630258673715337496079719489437923481233719721270660021878784000\
      00000000000000000*ep^5+23301319151281122858943770126452414248686770900266\
      70117435020183585868261545896045605103484328209630753404197471335648369/
      4673663394527984380602697421399838044227085460498496064820195481254757933\
      3995573469082276955540206943391487053363021703949267503723277668116491588\
      417628162825912320000000000000000000000*ep^6+
      1007246983963719017727161015291827313756301730850675481306264980556510436\
      2004074908870387818500843484114186007355175862165932128418983680729/
      1591636357967872469316567207870664581326614413260379548011056251482123252\
      0818823761444314389939142092375333759775883976855190871973918557456134651\
      89200108098849468130076336563683328000000000000000000000000*ep^7+
      6664442657445690590042062542014237449066232353248276167491802720567133928\
      5171641240169227188707056818188806193023056038481145413532025997105078200\
      81301835801641/9160453543277119731987865065735592810545104273836314088293\
      1954576567190792058650664751703707448976279452272054192228597194914795645\
      2084820000877851795423856739070869582901647540841710442185128966881280000\
      0000000000000000000000*ep^8;
Fill mncpoch(48,25) = 1/3569000732854120892872908101119845323574927326969856000\
      000000000+330778990639155814733/15800703009716425731758083760838136460029\
      05752303173943789337781154611200000000000000*ep+5699914604154529759748580\
      2904370375200289/69952974036406955231034108092271108166852247528188955602\
      1792455560746920459709020624650240000000000000000*ep^2+524017829324991348\
      737370410451138658637677513384667424237449/238227889827681177727418821534\
      9245541749815962496762225052809072510017816129558792706677105681664384276\
      8896000000000000000000*ep^3+823889579414245161220858244238949796138472261\
      2123882639465033103163372984131773/17806354036125695330646140722271571539\
      2219692759872344419343024900474308621541064191695803252380514301249661648\
      3520286346444800000000000000000000*ep^4+142975553195425566958438753379536\
      281591744018499145697216258846211190559332615860063567186949841851/
      1769707054750590198683566126125557584640822940244497056123496953242479135\
      4942512261910569624837598657494055294895437145299126913900899303686144000\
      0000000000000000000*ep^5+327410115496371763649724173894437207656850078002\
      8438169702989483000391300407550749478998483726503021933406023819035551569/
      2687356451853591018846551017304906875430574139786635237271612401721485811\
      7047454744722309249435618992450105055683737479770828814640884659166982663\
      340136193624899584000000000000000000000000*ep^6+
      1492033662923861376128315213682313359914237883049377061783794629755991743\
      8176730503751153024654516571658107237122084633625043796878840991929/
      9151909058315266698570261445256321342628032876247182401063573446022208699\
      4708236628304807742150067031158169118711332866917347513850031705372774248\
      3790062156838444174793893524117913600000000000000000000000000*ep^7+
      1039800932838015114630615489015792982814282264074498620757459155795515071\
      1951929443471738404379418622208557949562263098659490744649203767131007675\
      963525182226441/526726078738434384589302241279796586606343495745588060076\
      8587388152613470543372413223222963178316136068505643116053144338707600749\
      5994877150050476478236871762496575001016844733598398350425644915595673600\
      00000000000000000000000000*ep^8;
Fill mncpoch(48,26) = 1/2041468419192557150723303433840551525084858431026757632\
      000000000000+350902656251142806333/90380021215577955185656239111994140551\
      3662090317415495847501210820437606400000000000000*ep+64060593758301312242\
      876793459084473003089/400131011488247783921515098287790738714394855861240\
      826044465284580747238502953559797299937280000000000000000*ep^2+
      623181980686329551113417243812309774014244538355194702472249/
      1362663529814336336600835659179768449880894730548147992730206789475730190\
      8261076294282193044499120278063808512000000000000000000*ep^3+
      1139177359258121977478540984481632810983345155240067771914988177520597776\
      75365103/1120375795953028750204255174245327281247846306845116791086506312\
      6737843498467363758941499940639781959834628710914309641691830681600000000\
      000000000000*ep^4+1207564224885913610451443759472553324304006194773433107\
      98811060676931168886382354175179454248524487/
      6441733679292148323208180699097029608092595502489969284289528909802624053\
      1990744633354473434408859113278361273419391208888821966599273465417564160\
      000000000000000000000*ep^5+4583904501093586234749103330898947811738720459\
      7535394678695684222138072641087420495205309291692389576564018798351592103\
      69/1537167890460254062780227181898406732746288407957955355719362293784689\
      8842951144113981160890677174063681460091851097838428914081974586025043514\
      083430557902753442562048000000000000000000000000*ep^6+
      2201610288903010517994969554764387997531926136680984063427048129883462941\
      1905758820681943577518242638262865198109328640704587754244674522729/
      5234891981356332551582189546686615807983234805213388333408364011124703376\
      0973111351390350028509838341822472735902882399876722777922218135473226870\
      0727915553711590067982107095795446579200000000000000000000000000*ep^7+
      1468871848401218614191993745696446472286286926842555541185105311919452690\
      6091436987725811165193477871950356533648632736836116039181568504829837025\
      89786372656331/2738975609439858799864371654654942250352986177877057912399\
      6654418393590046825536548760759408527243907556229344203476350561279523897\
      9173361180262477686831733164982190005287592614711671422213353561097502720\
      000000000000000000000000000*ep^8;
Fill mncpoch(48,27) = 1/1157512593682179904460113046987592714723114730392171577\
      344000000000000+371984591654176797533/51245472029232700590267087576500677\
      6926246405209974586145533186535188122828800000000000000*ep+71902748890478\
      644606260744674243776712689/226874283513836493483499060729177348851061883\
      273323548367211816357283684231174668405069064437760000000000000000*ep^2+
      105683679739911306950908720833644516164189179583617521829407/
      1103757459149612432646676883935612444403524731743999874111467499475341454\
      569147179836857636604428742523168489472000000000000000000*ep^3+
      1428819505484248480272348900819173695538874561673127830450971422082121512\
      85204303/6352530763053673013658126837971005684675288559811812205460490792\
      8603572636309952513198304663427563712262344790884135668392679964672000000\
      00000000000000*ep^4+11191338712129931453585324094588828460959394952635179\
      16641947056571652350886000872533565702058229009/
      2556724097311053669481326919471611051451951154938268808934514024300661486\
      7147126544978390506116876182060181589420156370807973438543251638424231215\
      1040000000000000000000000*ep^5+640060461557358186024306626692358795928245\
      5978545729129810323644122631800600606638728596238263031068568810942003744\
      711969/871574193890964053596388812136396617467145527312160686692878420575\
      9191643953298712627318225013957694107387872079572474389194284479590276199\
      672485305126330861201932681216000000000000000000000000*ep^6+
      3239588235409806401091783259792536697598646015403551580456698809082802117\
      3726348587016543522465040282186233065917056453652675186995480728329/
      2968183753429040556747101472971311163126494134555991185042542394307706814\
      2471754136238328466165078339813342041256934320730101815081897682813319635\
      3312728118954471568545854723316018210406400000000000000000000000000*ep^7+
      2276015729171581680135943279504382489763090733819967925186260827868997861\
      1038077875789652080838461252638820461152702154439390675559924776961595591\
      27018836034731/1552999170552399939523098728189352255950143162856291836330\
      6103055229165556550079223147350584634947295584382038163371090768245490050\
      1191295789208824848433592704544901732998065012541517696394971469142284042\
      240000000000000000000000000000*ep^8;
Fill mncpoch(48,28) = 1/6482070524620207464976633063130519202449442490196160833\
      12640000000000000+394120623827362488293/286974643363703123305495690428403\
      795078697986917585768241498584459705348784128000000000000000*ep+806270156\
      99637155603018105574179394985369/1270495987677484363507594740083393153565\
      94654633061187085638617160078863169457814306838676085145600000000000000000
      *ep^2+125296451317440052804495682987927026227789538446342910384247/
      6181041771237829622821390550039429688659738497766399295024217997061912145\
      58722420708640276498480095812974354104320000000000000000000*ep^3+
      1789383121565598673231793489920782582071765029379087715677110164503838696\
      12154663/3557417227310056887648551029263763183418161593494614835057874844\
      0018000676333573407391050611519435678866913082895115974299900780216320000\
      00000000000000000*ep^4+14792233471141889114716213457031173719812580965607\
      12864918896258454861827798722412084474302386412089/
      1431765494494190054909543074904102188813092646765430533003327853608370432\
      5602390865187898683425450661953701690075287567652465125584220917517569480\
      4582400000000000000000000000*ep^5+892190305700820937310673607208845042376\
      1445267025324532157521257476904614822818988382266858585299856680218081507\
      673730249/488081548578939870013977734796382105781601495294809984548011915\
      5225147320613847279071298206007816308700137208364560585657948799308570554\
      671816591770870745282273082301480960000000000000000000000000*ep^6+
      4758784643994248637764960555019466691940525671205565001071601879167903285\
      9894589811767245747665884374172318702849752054552651277909247789809/
      1662182901920262711778376824863934251350836715351355063623823740812315815\
      9784182316293463941052443870295471543103883219608857016445862702375458995\
      7855127746614504078385678645056970197827584000000000000000000000000000*
      ep^7+35209502108091663331602166836872107536649782378082216273786631842484\
      7293226260560901047205852744085695235244825358393966594646916107534268054\
      7228622925599220451/
      8696795355093439661329352877860372633320801711995234283451417710928332711\
      6680443649625163273955704855272539413714878108302174744280667125641956941\
      9151228119145451449704789164070232499099811840227196790636544000000000000\
      00000000000000000*ep^8;
Fill mncpoch(48,29) = 1/3571620859065734313202124817784916080549642812098084619\
      05264640000000000000+417421710325452689093/158123028493400420941328125426\
      050491088362590791589758301065720037297647180054528000000000000000*ep+
      90353395078111280214789523833411734859769/7000432892102938842926847017859\
      4962761483654702816714084186878055203453606371255683068110522915225600000\
      000000000000*ep^2+2120456725902391390970517357232702817900464705357913013\
      5921/48653628799314916031065517043881796549307370175275514450833487376873\
      051317408007687208684621523218970421267015925760000000000000000000*ep^3+
      2239004526395548442003570161480803454289761481931014707556016384953400882\
      59403463/1960136892247841345094351617124333514063407038015532774116889039\
      0449918372659798947472468886947209059055669108675208901839245329899192320\
      00000000000000000000*ep^4+19535073301974448970057924760975128691300273611\
      28739571165735122432477994956259214400548063648718489/
      7889027874662987202551582342721603060360140483677522236848336473382121083\
      4069173667185321745674233147364896312314834497765082841969057255521807837\
      324902400000000000000000000000*ep^5+1242685398922817112746043266636782246\
      3544302419922466124532703251004632519573165146345846269664325353201390948\
      856233252649/268932933266995868377701731872806540285662423907440301485954\
      5654529056173658229850768285311510306786093775601808872882697529788419022\
      375624170942065749780650532468348116008960000000000000000000000000*ep^6+
      6986163103241501621385062840017737766569800694452901682109527268889676341\
      3485452717276084802065237519553914825275323840024791890030597168209/
      9158627789580647541898856305000277724943110301585966400567268811875860146\
      0410844562776986315198965725328048202502396540044802160616703490088779066\
      778175388384591747190508933426390579002998784000000000000000000000000000*
      ep^7+54447751924993066809182757781583907111935906914977038292743468359324\
      4003467297814209176315162390951213205364855643326065528842383569852790850\
      1635550627274018051/
      4791934240656485253392473435701065320959761743309374090181731158721511324\
      1290924450943464963949593375255169216956897837674498284098647586228718274\
      9952326693649143748787338829402698107003996323965185431640735744000000000\
      00000000000000000000*ep^8;
Fill mncpoch(48,30) = 1/1928675263895496529129147401603854683496807118532965694\
      28842905600000000000000+442017301628992345493/853864353864362273083171877\
      30067265187715799027458469482575488820140729477229445120000000000000000*
      ep+101225071978071389545985542025587043464969/
      3780233761735586975180497389644127989120117353952102560546091414980986494\
      7440478068856779682374221824000000000000000000*ep^2+175791207077387490042\
      263621611054624525318809961071006519047/183910716861410382597427654425873\
      1909563818592625414446241505822845801339798022690576488278693577677081923\
      89320199372800000000000000000000*ep^3+28010840553196214262445498009742830\
      8900767943131023140722037295910759011920263863/
      1058473921813834326350949873247140097594239800528387698023120081084295592\
      1236291431635133198951492891890061318684612806993192478145563852800000000\
      00000000000000*ep^4+25798193177565619385874660468633624812743160268136548\
      19789387698085482528182791044210405352044779689/
      4260075052318013089377854465069665652594475861185862007898101695626345385\
      0397353780280073742664085899577044008650010628793144734663290917981776232\
      155447296000000000000000000000000*ep^5+1731267197061997275806560466340587\
      1473346250165770613747212334423805116382467649023335417630715386341272530\
      016238665441849/145223783964177768923958935211315531754257708910017762802\
      4154653445690333775444119414874068215565664490638824976791356656666085746\
      272082837052308715504881551287532907982644838400000000000000000000000000*
      ep^6+10261666212177004449972916604859410458457859550014892059739274235728\
      7513805352442979256742995780078245305916674332744877049654687907492605409/
      4945659006373549672625382404700149971469279562856421856306325158412964478\
      8621856063899572610207441491677146029351294131624193166733019884647940696\
      0602147097276795434828748240502509126616193433600000000000000000000000000\
      00*ep^7+84275867627035039022831359418053452383472418971596869012008542756\
      2080721915707301237560366508087070743137517222135473924840285514167406678\
      4437817182904759388851/
      2587644489954502036831935655278575273318271341387062008698134825709616115\
      0297099203509471080532780422637791377156724832344229073413269696563507868\
      4974256414570537624345162967877456977782158014941200133085997301760000000\
      00000000000000000000000*ep^8;
Fill mncpoch(48,31) = 1/1016411864072926670851060680645231418202817351466872920\
      89000211251200000000000000+468059692420975511093/449986514486518917914831\
      5793374544875392622608747061341731728260821416443449991757824000000000000\
      0000*ep+113414465402073874879645287411099099465769/
      1992183192434654335920122124342455450266301845532758049407790175694979882\
      7301131942287522892611214901248000000000000000000*ep^2+297497388909056885\
      18428664733544266307228340697922233989921/
      1384584968370903880412062484034788166200189140447990590241819383771053294\
      3907970827625847469593077654602484167392152780800000000000000000000*ep^3+
      3506110492121968882594158964393334554997733044075252063263787061035502506\
      46765463/5578157567958906899869505832012428314321643748784603168581842827\
      3142377704915255844717151958474367540260623149467909492854124359827121504\
      2560000000000000000000000*ep^4+340988749589940491770121219608467237737957\
      2367328807734791775599922081660570298983471798878180204489/
      2245059552571592898102129303091713798917288778844949278162299593595084017\
      9159405442207598862383973269077102192558555601373987275167554313776396074\
      345920724992000000000000000000000000*ep^5+2415039692043798092529157066015\
      7212097000032431605288911930409346470526167408898571010077391195718508920\
      668807162044578649/765329341491216842229263588563632852344938125955793609\
      9687295023658788058996590509316386339496031051865666607627690449580630271\
      8828538765512656669307107257752852984250685382983680000000000000000000000\
      0000*ep^6+888212978265413236249070849394086051027015858077443066135156210\
      8047029169900470977145519584500995324473674962736550057382717011853170113\
      777/153315429197580039851386854545704649115547666448549077545496079910801\
      8988447277537980886750916430686241991526909890118080349988168723616424086\
      1615778666560015580658479691195455577782925101996441600000000000000000000\
      00000000*ep^7+13074853014081967737890969632319199541223076249227925644944\
      6085206625079159956510639450771895726095157933121268033630109973854749782\
      29107155844957701719284492051/
      1363688646206022573410430090331809169038728996910981678583917053148967692\
      6206571280249491259440775282730116055761593986645408721688793130088968646\
      6981433130478673328029900884071419827291197273874012470136320578027520000\
      00000000000000000000000000*ep^8;
Fill mncpoch(48,32) = 1/5204028744053384554757430684903584861198424839510389354\
      9568108160614400000000000000+495729732637457624543/
      2303930954170976859723937686207766976201022775678495406966644869540565219\
      0463957800058880000000000000000*ep+12713132704065825307041534832698432986\
      9119/10199977945265430199911025276633371905363465449127721212967885699558\
      296999578179554451211721016942029438976000000000000000000*ep^2+
      1460973574712053933187619978149278457617508284962306135713/
      2936303270201964205560255587444189815184306437494436849364899805583109471\
      65480280746810871781192842095238480804340092108800000000000000000000*ep^3
      +439425208267994757271327221873959967417306898164628987704509712633571170\
      166515913/285601667479496033273318698599036329693268159937771682231390352\
      7584889738491661099249518180273887618061343905252756966034131167223148621\
      01790720000000000000000000000*ep^4+45152432399822634124784698442626741350\
      72981624754530107235966620137149506781385739106660084479870839/
      1149470490916655563828290203182957465045651854768614030419097391920683017\
      1729615586410290617540594313767476322589980467903481484885787808653514790\
      065111411195904000000000000000000000000*ep^5+
      3377054299732611442323370031102395890860336851188668453028943241530520932\
      4615378064234193627056253652327627634312385288999/
      3918486228435030232213829573445800204006083204893663283039895052113299486\
      2062543407699898058219678985552213031053775101852826992040211847942480214\
      6852389159694607279363509160876441600000000000000000000000000*ep^6+
      7711958916249707883048056809510606290453834323476728282729826846999366702\
      78066122701364569315757167862760875487482826250775420402646566431/
      4617499985244763553171180560435340020421200307156301629605528994960621894\
      6176829379189059792306618315052921281050808262184658467199205388772477336\
      9333957572233958655388346592544460285744248363417600000000000000000000000\
      00000*ep^7+20363098755857881657489638356938837557643506882299683234285997\
      3221051038089343097406898293888196333567871043230976580895572876534800718\
      57540810541363830140286701/
      6982085868574835575861402062498862945478292464184226194349655312122714586\
      2177644954877395248336769447578194205499361211624492655046620826055519471\
      0944937628050807439513092526445669515730930042234943847097961359500902400\
      0000000000000000000000000000*ep^8;
Fill mncpoch(48,33) = 1/2575994228306425354604928189027274506293220295557642730\
      7036213539504128000000000000000+525244442201705212223/
      1140445822314633545563349154672844653219506273960855226448489210422579783\
      4279659111029145600000000000000000*ep+14263376420247681116759979041329453\
      0081759/50489890829063879489559575119335190931549153973182220004191034212\
      81357014791198879453349801903386304572293120000000000000000000*ep^2+
      293166008021847856838654345812353814315709360522395769035817/
      2456364500687453156161431811676436989892431550285971146336206932360550228\
      5128252885874463478855687205477175111687070405361664000000000000000000000
      *ep^3+5519104328193660906599336459044940288922923906354723119173573387579\
      36533149665193/1413728254023505364702927558065229831981677391691969827045\
      3822461545204205533722441285114992355743709403652331001146981868949277754\
      5856740386406400000000000000000000000*ep^4+599610470635878796375552233152\
      0848861024951599841847773152649178251359700516974639385275952653654679/
      5689878930037445040950036505755639451975976681104639450574532090007380935\
      0061597152730938556825941853149007796820403316122233350184649652834898210\
      82230148541972480000000000000000000000000*ep^5+
      4739748624455093673669294965943839294979923195429350888736359751676140300\
      3261104020099197807051824444877248412747481402439/
      1939650683075339964945845638855671100983011186422363325104748050796083245\
      6720958986811449538818741097848345450371618675417149361059904864731527706\
      2691932634048830603284937034633838592000000000000000000000000000*ep^6+
      1944029866705138579504934648618278842020937674382270136537525209364501464\
      3378877691779953745893190149331082228933345397777998063464308454447/
      3885626237583468529993548441606338627184440058472027821313052649259363324\
      3207801922587593815226019312117033258004255152628390100148131334652039679\
      0294525297034876208509293657626163330453784997815910400000000000000000000\
      000000000*ep^7+3189075547849929145616849898201891991172151382577645216347\
      4768965004372886821664858466812930804973817145853092234267314285419873804\
      921478024502502949003864765261/
      3456132504944543610051394020936937158011754769771191966203079379500743720\
      1777934252664310647926700876551206131722183799754123864248077308897482138\
      1917744125885149682558980800590606410286810370906297204313490872952946688\
      0000000000000000000000000000000*ep^8;
Fill mncpoch(48,34) = 1/1226173252673858468791945817976982664995572860685437939\
      8149237644803964928000000000000000+556867345306256199023/
      5428522114217655676881541976242740549324849864053670877894808641611479769\
      117117736849873305600000000000000000*ep+327027604704459360634527036742380\
      3591391/49047322519662054361286444401639899762076321002519870861214147521\
      018896715114503400403969504204324101559418880000000000000000000*ep^2+
      348851343246907584285080890535684769317245150640564326149017/
      1169229502327227702332841542357984007188797417936122265656034499803621908\
      7721048373676244615935307109807135353163045512952152064000000000000000000\
      000*ep^3+6953224317494284956800884832461424714786205479685511639220902858\
      31337558749347993/6729346489151885535985935176390494000232784384453776376\
      7360194916955172018340518820517147363613340056761385095565459633696198562\
      111827808423929446400000000000000000000000*ep^4+1142146307215319631288526\
      0044575586234509430447656792130492631322233080050472020007827145584927232\
      97/3869117672425462627846024823913834827343664143151154826390681821205019\
      0358041886063857038218641640460141325301837874254963118678125561763927730\
      7833591650100854128640000000000000000000000000*ep^5+
      6686507854486366516431742241456373281138842128477925546943899612210682133\
      1941498068217326163893167080383572133604500906839/
      9232737251438618233142225240952994440679133247370449427498600721789356249\
      3991764777222499804777207625758124343768904894985630958645147156122071881\
      841359933807243367163630028485707169792000000000000000000000000000*ep^6+
      2900802672090846622962261876953095752377286225755078958048875353385272710\
      3043847195633790266719302783893308710407804952609281974543549715647/
      1849558089089731020276929058204617186539793467832685242945013061047456942\
      3766913715151694656047585192567707830810025452651113687670510515294370887\
      2180194041388601075250423781030053745296001658960373350400000000000000000\
      000000000000*ep^7+7188644055800452861702298688583732961920705464476533849\
      9610765244111807531124576604695478566451290925520858626317956273515458694\
      85489618857467652300149491740123/
      2350170103362289654834947934237117267447993243444410537018093978060505729\
      7208995291811731240590156596054820169571084983832804227688692570050287853\
      9704066005601901784140106944401612358995031052216282098933173793608003747\
      840000000000000000000000000000000*ep^8;
Fill mncpoch(48,35) = 1/5579088299666056033003353471795271125729856516118742626\
      157903128385804042240000000000000000+590922779418849569423/
      2469977561969033332981101599190446949942806688144420249442137931933223294\
      948288570266692354048000000000000000000*ep+257668082979020377084622384139\
      55818465337/1562157222251236431406973254192230807422130823930257886929670\
      59854445186037639693330286642870890772263466749132800000000000000000000*
      ep^2+5412567304490825570063576253386295079942088447288184641762021/
      6915992506265551859298757723047475402521736727092163201355444066338423590\
      3870001130294986903257341554509205613959414209111979458560000000000000000\
      000000*ep^3+8796497609674929048163660869592661127242804411269535900645098\
      84616954097854926393/3061852652564107918873600505257674770105916894926468\
      2514148888687214603268344936063335302050444069725826430218482284133331770\
      345760881652832887898112000000000000000000000000*ep^4+
      1531196365355410048487570528946397566325248913628314464851697562192962769\
      900006704824885140723696897/
      1760448540953585495669941294880794846441367185133775446007760228648283661\
      2909058159054952389481946409364303012336232786008218998547130602587117506\
      4284200795888628531200000000000000000000000000*ep^5+
      9497153373218381255450098311450755560971821739991806144825611467393295695\
      2698267424517546387564137866008542968699139610039/
      4200895449404571296079712484633612470509005627553554489511863328414157093\
      4766252973636237411173629469719946576414851727218462086183541956035542706\
      237818769882295732059451662960996762255360000000000000000000000000000*
      ep^6+56735710087700562447227322289945102907634034662016980798139672244996\
      8775249832696786322719726797233812786290118293409259539885327915127800211/
      1094013609696575898493803537928031065838287836223033321201975225609570781\
      4158129462512227389052146641403799181924130055243133746257106969796620379\
      7894584775481357536010625666479276790342584981275060836761600000000000000\
      0000000000000000*ep^7+114544501628509793719530189451507669026822340652341\
      4250314976538639400706391150041166416661610027198452203201064889114666414\
      3588400285496648624974283141744462523/
      1069327397029841792949901310077888356688836925767206794343232760017530107\
      0230092857774337714468521251204943177154843667643925923598355119372880973\
      5565350032548865311783748659702733623342739128758408355014594076091641705\
      267200000000000000000000000000000000*ep^8;
Fill mncpoch(48,36) = 1/2410166145455736206257448699815557126315298014963296814\
      500214151462667346247680000000000000000+627816166374159054023/
      1067030306770622399847835890850273082375292489278389547759003586595152463\
      417660662355211096948736000000000000000000*ep+290757032640221532410209710\
      61832345114737/6748519200125341383678124458110437088063605159378714071536\
      1769857120320368260347518683829720224813617817635625369600000000000000000\
      000*ep^2+6485268476008149881671254908527269098415867219938915976312221/
      2987708762706718403217063336356509373889390266103814502985551836658198991\
      0471840488287434342207171551547976825230466938336375126097920000000000000\
      000000000*ep^3+1118913280361931802854691148262874856398414606450075703942\
      044175300793750046222993/132272034590769462095339541827131550068575609860\
      8234284611231991287670861192501237936085048579183812155701785438434674559\
      9324789368700874023807571984384000000000000000000000000*ep^4+
      2953295375773543833331898427049756840316041012865480823993876178870842163\
      00884353101853371902085471/
      1086448242417069905899163770555004819518100891396844275250503455394369345\
      2538161606731056331794572641207684144756075090793643724817657743310906803\
      967253534831983932211200000000000000000000000000*ep^5+
      1360810359004971200687343013338522564118793158119789813786516699088448666\
      61687999059576923722489634941386697668014204031839/
      1814786834142774799906435793361720587259890431103135539469124957874915864\
      3819021284610854561627007930919016921011215946158375621231290125007354449\
      094737708589151756249683118399150601294315520000000000000000000000000000*
      ep^6+86268006056855868991475332685221621403857153421115324854796610035375\
      2463686074185774881154503037391358477666414153717574602454503759661928411/
      4726138793889207881493231283849094204421403452483503947592532974633345775\
      7163119278052822320705273490864412465912241838650337783830702109521400040\
      6904606230079464555565902879190475734279967119108262814810112000000000000\
      000000000000000000*ep^7+1848123221459326777716263027455560246076358543043\
      7529073441664283187015353176693214858796284956552345149395733688772175820\
      274418824640053152668706863549882365123/
      4619494355168916545543573659536477700895775519314333351562765523275730062\
      3394001145585138926504011805205354525308924644221759989944894115690845805\
      7642312140611098146905794209915809252840633036236324093663046408715892166\
      75430400000000000000000000000000000000*ep^8;
Fill mncpoch(48,37) = 1/9809376212004846359467816208249317504103262920900618035\
      01587159645305609922805760000000000000000+668063497598133037223/
      4342813348556433167380692075760611445267440431363045459379144597442270526\
      10987889578570916458135552000000000000000000*ep+3291681367351909722941052\
      6925167941779537/27466473144510139431569966544509478948418872998671366271\
      1522403318479703898819614401043186961314991424517776995254272000000000000\
      00000000*ep^2+78100823787641087953948198883080753852463341349945141180906\
      21/1215997466421634390109344777897099315172981838304252502715119597519886\
      9893562039078732985777278318821480026567868800043902904676321853440000000\
      000000000000000*ep^3+1433248252746573519954886280095724623432315085677294\
      566249858323860736313977790193/
      5383471807844317107280319352364254087791027321335513538367714204540820405\
      0534800383998661477172781154737062667344291254589251892730612557276896817\
      97644288000000000000000000000000*ep^4+30981005415523905181734164259470542\
      679033667591921787906031762358194814307046489884945050902190118067/
      3404820146910855378097389340542329603887776383548570274207552778860414091\
      0909344659334457438211011200280761341251063727038200069206057601762050832\
      9529758528099544451566796800000000000000000000000000*ep^5+
      1971792724444029145678932821790909283766794525956151016688849485086781570\
      35705717262910115554005041394019970351083653277439/
      7386182414961093435619193678982202790147754054589761645639338578550907568\
      0343416628366178065821922278840398868515648900864588778411350808779932607\
      81558247395784764793621029188454294726786416640000000000000000000000000000
      *ep^6+1098760355772366941292194981939052734774030027934610712601710345377\
      4257394926997850057292751039817760792769727890324074279373968317288175891/
      1589701230671824469229541431840149868759926615835360418735670182376670851\
      8318503757163222053328137446927120556715935891182386345470327073202652740\
      9595185731935819895963076423000432746985079849154597492254310400000000000\
      0000000000000000000*ep^7+302948695849351877451499678691679059355127920163\
      4870884930002340237814249224095518065189486294247813987690126213049847447\
      0752688134582685576451866184334536484323/
      1880134202553749034036234479431346424264580636360933674086045567973222135\
      3721358466253151543087132804718579291800732330198256315907571905086174242\
      9460421041228716945790658243435734365906137645748183906120859888347368111\
      86900172800000000000000000000000000000000*ep^8;
Fill mncpoch(48,38) = 1/3727562960561841616597770159134740651559239909942234853\
      30603120665216131770666188800000000000000000+712335561944504418743/
      1650269072451444603604662988789032349201627363917957274564074947028062799\
      92175398039856948254091509760000000000000000000*ep+3742203736417848533961\
      2873874276154898017/10437259794913852983996587286913602000399171739495119\
      1830378513261022287481551453472396411045299696741316755258196623360000000\
      00000000000000*ep^2+94668332249233327868967841026367347743758027941021771\
      16536461/4620790372402210682415510156008977397657330985556159510317454470\
      5755705595535748499185345953657611521624100957901440166831037770023043072\
      00000000000000000000000*ep^3+18523645024367458069258107407619915773899654\
      85531537283544743179480704347999390913/
      2045719286980840500766521353898416553360590382107495144579731397725511753\
      9203224145919491361325656838800083813590830676743915719237632771765220790\
      83104829440000000000000000000000000*ep^4+60994905786424725382798640355338\
      03042014097515180860183395459058034236482027788099085503407544386821/
      1848330936894464348110011356294407499253364322497795291712671508524224792\
      3065072815067276895028834651580984728107720308963594323283288412385113309\
      317329748668260984513626112000000000000000000000000000*ep^5+
      2898019769509696401474692835148031071156711033304161452982754692918599395\
      36944919835059083145696729933188661834574128413999/
      2806749317685215505535293598013237060256146540744109425342948659849344875\
      8530498318779147665012330465959351570035946582328543735796313307336374390\
      9699213401039821062157599109161263199617883832320000000000000000000000000\
      0000*ep^6+189473969462655357629843486084192594239104586880498832042752116\
      3316023109932002875975173118989923916906047875988765451610855242586704915\
      27841/6644951144208226281379483185091826451416493254191806550315101362334\
      4841606571345704942268182911614528155363927072612025142374924065967165987\
      0884572107876359491727165125659448141808882397633769466217517623017472000\
      0000000000000000000000000000*ep^7+506667073072526778669245829732075865935\
      3907902322209618711670062237311799450311675946299678438966066347322939629\
      7569352632398427562539987730810564363709696380243/
      7144509969704246329337691021839116412205406418171547961526973158298244114\
      4141162171761975863731104657930601308842782854753374000448773239327462123\
      1949599956669124394004501325055790590443323053843098843259267575719998825\
      1022065664000000000000000000000000000000000*ep^8;
Fill mncpoch(48,39) = 1/1308374599157206407425817325856293968697293208389724433\
      51041695353490862251503832268800000000000000000+761526744551583731543/
      5792444444304570558652367090649503545697712047352030033719903064068500427\
      7253564711989788837186119925760000000000000000000*ep+42773523242951570552\
      151080977531029705217/366347818801476239738280213770667430214010928056278\
      6833246285815461882290602456016881114027690019355620218109562701479936000\
      000000000000000000*ep^2+1157091341751551480747935531297979636886922834471\
      5700051414061/16218974207131759495278440647591510665777231759302119881214\
      2651917202526640330477232140564297338216440900594362234054985576942572780\
      8811827200000000000000000000000*ep^3+242155141728845564961784088186823902\
      6484754531133072479607550310074179168136671713/
      7180474697302750157690489952183442102295672241197307957474857206016546256\
      2603316752177414678253055504188294185703815675371144174524091028895924975\
      8169795133440000000000000000000000000*ep^4+597134309019641847217620677359\
      21974316331669564951366283842233713348089215862977482872964710987682947/
      4541349111949698903306297902415359225665516140377083031738033896444020314\
      6970883906620299331085846738934479476960668799123551252307039629230223400\
      992679192477917238949979357184000000000000000000000000000*ep^5+
      4337333168470625554336706981386915191842745811736680448611158412497577984\
      78963976673332645988562849137600761644297030672399/
      9851690105075106424428880529026462081499074358011824082953749796071200514\
      2442049098914808304193279935517324010826172503973188512645059708750674112\
      3044239037649771928173172873156033830658772251443200000000000000000000000\
      000000*ep^6+3035694496326983750614059625092843010283197153193496753997870\
      2648992166750654198607362424746138264753503619521089781530890371145278015\
      3813441/23323778516170874247641985979672310844471891322213240991606005781\
      7940394039065423424347361322019766993825327384024868208249735983471544752\
      6146804848098646021815962349591064662977749177215694530826423486856791326\
      720000000000000000000000000000000*ep^7+
      8693241929636906935411381224946248580510444603687505761895995172529820810\
      0010573341740445474239822434014567110091888234969514591576286127719382987\
      887859498789043/
      2507722999366190461597529548665529860684097652778213334495967578562683684\
      1593547922288453528169617734933641059403816782018434274157519407003939205\
      2414309584790862662295579965094582497245606391898927693984002919077719587\
      6108745048064000000000000000000000000000000000*ep^8;
Fill mncpoch(48,40) = 1/4186798717303060503762615442740140699831338266847118187\
      2333342513117075920481226326016000000000000000000+816866824984547958443/
      1853582222177462578768757469007841134623267855152649610790368980501920136\
      8721140707836732427899558376243200000000000000000000*ep+70330640509862446\
      94057597419509470013331/1674732885949605667374995262951622538121192813971\
      5596951983020870682890471325513220027949840868659911406711358000921051136\
      0000000000000000000000*ep^2+142953857294178908063745073890820526236020672\
      20929823813041361/5190071746282163038489101007229283413048714162976678361\
      9885648613504808524905752714284980575148229261088190195914897595384621623\
      2898819784704000000000000000000000000*ep^3+321265921337469071084858031075\
      1187128821351234147692331358876937489722171225482613/
      2297751903136880050460956784698701472734615117183138546391954305925294802\
      0033061360696772697040977761340254139425221016118766135847709129246695992\
      2614334442700800000000000000000000000000*ep^4+851118336550868942254124114\
      40573770460745009063979804960828412155732518333844276397510042584835810047
      /145323171582390364905801532877291495221296516492066657015617084686208650\
      0703068285011849578594747095645903343262741401571953640073825268135367148\
      8317657341592933516463993394298880000000000000000000000000000*ep^5+
      6645280071402719946368667034830508302396427517503065163055871955151621439\
      91091333855513404839980435329770359745592806223099/
      3152540833624034055817241769288467866079703794563783706545199934742784164\
      5581455711652738657341849579365543683464375201271420324046419106800215715\
      9374156492047927017015415319409930825810807120461824000000000000000000000\
      000000000*ep^6+4547521655148987574444931128974060009417339610408874948001\
      5924390219188304289348565818130476537490135033998049619468822732746999599\
      152270431/678509920470425432658675955772285406384636838464385192483083804\
      5612811462954630499617377783913302312547645887535268893330901410428263120\
      0760634322853778793361918904715376426559352703337183840896768683254015747\
      686400000000000000000000000000000000*ep^7+
      1541616479380156776941105743251266322661808383047208754344801717061696900\
      8546475818146653228035117615641930619778593805078732253119536024987245123\
      2981365152568943/
      8024713597971809477112094555729695554189112488890282670387096251400587789\
      3099353351323051290142776751787651390092213702458989677304062102412605456\
      7725790671330760519345855888302663991185940454076568620748809341048702680\
      354798415380480000000000000000000000000000000000*ep^8;
Fill mncpoch(48,41) = 1/1201611231865978364579870632066420380851594082585122919\
      7359669301264600789178111955566592000000000000000000+
      125730375884807133149/759968711092759657295190562293214865195539820612586\
      3404240512820057872561175667690213060295438818934259712000000000000000000\
      00*ep+57183367344711772887944022827380172959717/
      3364538367872757785756365483269809679085476363268863427653388892920192695\
      68929560590361512303051377620160831182238503917322240000000000000000000000
      *ep^2+365550895895620850800704041422575047967090218392204118581889/
      3039899165679552636829330589948580284785675438314911612021873704505281642\
      1730512304081202908301105710065939971893011448725278379355502301675520000\
      00000000000000000000*ep^3+43455177083222149826021981771325456697424211807\
      34938430812383233485437903915872213/
      6594547962002845744822945972085273226748345386315607628144908858005596081\
      7494886105199737640507606175046529380150384316260858809882925200938017497\
      790313985055129600000000000000000000000000*ep^4+8706186064443759829817631\
      7875410431547662199175018556067702122183015672327437450165581502419755024\
      7129/29195425170902224309575527955047861389958470163256191394437472313459\
      3177991246418458880580339684691515261981661484747575805486290831496368395\
      26020030173599260203434576162729146449920000000000000000000000000000*ep^5
      +104996883679680794913473884890651550731947298619433815330053501781794737\
      1056122979214871233598197141899656487282484242783899/
      9047792192500977740195483877857902775648749890398059237784723812711790552\
      2818777892443359946571108292779110371542756827648976330013222836516619104\
      7403829132177550538834241966706501470077016435725434880000000000000000000\
      00000000000*ep^6+12219147900997846246697833366374599842060980807693307406\
      2305817345089793163936378796195954212002466775672063729926766721420467939\
      483800934563/
      3060079741321618701290628560533007182794712141474377218098707958571377969\
      7925383553274373805448993429589882952784062708922365361031466671543046079\
      6070542358062254260266347683782680692050699122444426761475611022065664000\
      00000000000000000000000000000*ep^7+
      2855393241697827161248330570965937640637324614618307884805267566925453881\
      2444394348265386843673344657218864724123464651869627003017112899560928290\
      1200376962694543/
      2303092802617909319931171137494422624052275284311511126401096624151968695\
      5319514411829715720270976927763055948956465332605730037386265823392417766\
      0937301922671928269052260639942864565470364910319975194154908280880977669\
      261827145214197760000000000000000000000000000000000*ep^8;
Fill mncpoch(48,42) = 1/3028060304302265478741273992807379359746017088114509757\
      734636663918679398872884212802781184000000000000000000+
      19467334798046304107/2735887359933934766262686024255573514703943354205310\
      8255265846152208341220232403684767017063579748163334963200000000000000000\
      000*ep+67238390164412147708446769142882638490517/
      8478636687039349620106041017839920391295400435437535837686540010158885593\
      1370249268771101100368947160280529457924102987165204480000000000000000000\
      000*ep^2+3267613970294412436117791205322771744612916715952833760798423/
      5362382128258730851366939160669295622361931473187504083606585214747316816\
      7932623704399241930243150472556318110419272195551391061183106060155617280\
      00000000000000000000000*ep^3+60332645610952717153587223153130870630993277\
      06414458104920700715638826152634873413/
      1661826086424717127695382384965488853140583037351533122292517032217410212\
      6008711298510333885407916756111725403797896847697736420090497150636380409\
      443159124233892659200000000000000000000000000*ep^4+
      1315793734556862583951724588238021017530209478345364978010949216015410272\
      002037448674951564516096126729/
      7357247143067360526013033044672061070269534481140560231398243022991748085\
      3794097451637906245600542261846019378694156389102982545289537084835605570\
      47603747013571265513193007744905379840000000000000000000000000000*ep^5+
      1729586060430101414348334639851552144572795100761224577159524172153325356\
      561208360994124579422081516920603438012006077011499/
      2280043632510246390529261937220191499463484972380310927921750400803371219\
      1750332028895726706535919289780335813628774720567542035163332154802188014\
      3945764941308742735786228975610038370459408141802809589760000000000000000\
      00000000000000*ep^6+31383741310048658549418531960051219382310150361127801\
      8162660230891765408861795418887467033868754819224697543362106146766208074\
      54748262725109/
      1101628706875782732464626281791882585806096370930775798515534865085696069\
      1253138079178774569961637634652357863002262575212051529971328001755496588\
      6585395248902411533695885166161765049138251684079993634131219967943639040\
      0000000000000000000000000000000*ep^7+
      5611082220869383808244672215280077759309355956181842502857355884219273363\
      3587165743148004139830376792228461006939590425974001365207394304483490484\
      8098700942187743/
      5803793862597131486226551266485945012611733716465008038530763492862961112\
      7405176317810883615082861857962900991370292638166439694213389874948892770\
      5562000845133259238011696812656018704985319574006337489270368867820063726\
      53980440593977835520000000000000000000000000000000000*ep^8;
Fill mncpoch(48,43) = 1/6510329654249870779293739084535865623453936739446195979\
      12946882742516070757670105752597954560000000000000000000+
      148920504828144523469/411751047670057182322534246650463813962943474807899\
      2792417509845907355353644976754557436068068752098581911961600000000000000\
      0000000*ep+80424426508903596384945406719241824276277/
      1822906887713460168322798818835582884128511093619070205102606102184160402\
      5244603592785786736579323639460313833453682142240518963200000000000000000\
      000000*ep^2+4284915508986468523782682903360006696315251135172016232855863/
      1152912157575627133043891919543898558807815266735313377975415821170673115\
      6105514096445837015002277351599608393740143522043549078154367802933457715\
      20000000000000000000000000*ep^3+86890933329518623136408558355231674529395\
      53150936477064195085444650192105420798053/
      3572926085813141824545072127675801034252253530305796212928911619267431957\
      0918729291797217853627021025640209618165478222550133303194568873868217880\
      30279211710286921728000000000000000000000000000*ep^4+
      2085161932853005422270632451833344857179350054086632942934776363571544741\
      524867150717932953633168487849/
      1581808135759482513092802104604493130107949913445220449750622249943225838\
      3565730952102149842804116586296894166419243623657141247237250473239655197\
      65234805607917822085336496665154656665600000000000000000000000000000*ep^5
      +302198798612431470666083463778716992380765294155538079097259174899796449\
      2055590174981705860816385824197446956752630561118219/
      4902093809897029739637913165023411723846492690617668495031763361727248121\
      2263213862125812419052226473027721999301865649220215375601164132824704230\
      9483394623813796881940392297561582496487727504876040617984000000000000000\
      0000000000000000*ep^6+424101233594568152000476970148009024312226632296539\
      3278208724997699298555957558254072637674767916663447054129532775724651616\
      08612124487008403/
      1657951203848053012359262554096783291638175038250817576765879971953972584\
      0335972809164055727792264640151798583818405175694137552606848642642022365\
      9311019849598129358212307175073456398953068784540390419367486051755176755\
      2000000000000000000000000000000000*ep^7+
      1199486683591461230539731349717996140696232290201846377179264443113318691\
      4399782305094547274978310042581824258927787323394383824347753499797442392\
      45969225545214783/
      1247815680458383269538708522294478177711522749039976728284114150965536639\
      2392112908329339977242815299462023713144612917205784534255878823114011945\
      6695830181703650736172514814721044021571843708411362560193129306581313701\
      20605794727705234636800000000000000000000000000000000000*ep^8;
Fill mncpoch(48,44) = 1/1145818019147977257155698078878312349727892866142530492\
      32678651362682828453349938612457240002560000000000000000000+
      164731956380420016869/724681843899300640887660274104816312574780515661902\
      7314654817328796945422415159088021087479801003693504165052416000000000000\
      000000000*ep+98656985940847592999155175561184911428477/
      3208316122375689896248125921150625876066179524769563560980586739844122308\
      4430502323302984656379609605450152346878480570343313375232000000000000000\
      00000000*ep^2+58448256624837047267952356409528897915229740730964502184076\
      63/2029125397333103754157249778397261463501754869454151545236731845260384\
      6834745704809744673146404008138815310772982652598796646377551687333162885\
      5787520000000000000000000000000*ep^3+132174370448508853100375523237585950\
      09495373760246697707490132258373691543051083853/
      6288349911031129611199326944709409820283966213338201334754884449910680244\
      4816963553563103422383557005126768927971241671688234613622441218008063469\
      3329141261010498224128000000000000000000000000000*ep^4+
      3548069991212383407973806717117269257854376722163264403134932252752441166\
      551440820213750608875604979249/
      2783982318936689223043331704103907908989991847663587991561095159900077475\
      5075686475699783723335245191882533732897868777636568595137560832901793147\
      8681325786993536687019223413067219573145600000000000000000000000000000*
      ep^5+57708946878610343639450693237611999155383553798453179269003775226350\
      51201742796217155731915218809430295207189177304147491619/
      8627685105418772341762727170441204633969827135487096551255903516639956693\
      3583256397341429857531918592528790718771283542627579061058048873771479446\
      4690774537912282512215090443708385193818400408581831487651840000000000000\
      000000000000000000*ep^6+8291354032697277354244752926788982352432972876929\
      8507686790195574328398111228121982725940588290612205884999176298511885886\
      492794086793709473/
      2652721926156884819774820086554853266621080061201308122825407955126356134\
      4537556494662489164467623424242877734109448281110620084170957828227235785\
      4897631759357006973139691480117530238324910055264624670987977682808282808\
      32000000000000000000000000000000000*ep^7+
      2915563988104470859033361847304079123203921550526336985570311292748761337\
      7301831998596561915417155092342858592606872551587935202143977561289025875\
      48867709177678583/
      2196155597606754554388126999238281592772280038310359041780040905699344485\
      0610118718659638359947354927053161735134518734282180780290346728680661024\
      3784661119798425295663626073909037477966444926803998105939907579583112114\
      1226619872076121296076800000000000000000000000000000000000*ep^8;
Fill mncpoch(48,45) = 1/1546854325849769297160192406485721672132655369292416164\
      6411617933962181841202241712681727400345600000000000000000000+
      185813891783454008069/978320489264055865198341370041502021975953696143568\
      6874784003393875876320260464768828468097731354986230622820761600000000000\
      00000000000*ep+126078201185803474295588595121987436378077/
      4331226765207181359934969993553344932689342358438910807323792098789565116\
      3981178136459029286112472967357705668285948769963473056563200000000000000\
      0000000000*ep^2+850279815561353712189995221423362604127767617180389570933\
      0063/27393192863996900681122872008363029757273690737631045860695879911015\
      1932269067014931553087476454109874006695435265810083754726096947778997698\
      95531315200000000000000000000000000*ep^3+22000953676473261745733868907300\
      219312905946655048098224122809642809704625885918253/
      8489272379892024975119091375357703257383354388006571801919094007379418330\
      0502900797310189620217801956921138052761176256779116728390295644310885683\
      599434070236417260257280000000000000000000000000000*ep^4+
      6794828780700250934551967928590644312224902965840241857765212373766989663\
      692416004636498779560254594449/
      3758376130564530451108497800540275677136488994345843788607478465865104591\
      9352176742194708026502581009041420539412122849809367603435707124417420749\
      621978981244127452747595160764074642374656000000000000000000000000000000*
      ep^5+12790053617901580840861179166106668846102080194139224812565151634270\
      065402520794678476251268684856219217662065469278055082819/
      1164737489231534266137968168009562625585926663290758034419546974746394153\
      6033739613641093030766809009991386747034123278254723173242836597959149725\
      2733254562618158139149037209900632001165484055158547250832998400000000000\
      000000000000000000000*ep^6+2353969179820990995432990299406403460555368021\
      8037299038877848502536030982329178307028872103860949028744338120388854929\
      53848989170072314318603/
      3939292060342973957365607828533957100932303890883942562395730813362638859\
      6638271394573796409234420785000673435152530697449270824993872374917445141\
      4522983162645155355112441847974532403912491432067967636417146858970299970\
      35520000000000000000000000000000000000*ep^7+
      8821084904681036322288785839687990397525965650268457507013516525157146117\
      4547115138770759399127753672113596277458714189566707537361378301135397896\
      89912293474616983/
      2964810056769118648423971448971680150242578051718984706403055222694115054\
      8323660270190511785928929151521768342431600291280944053391968083718892382\
      9109292511727874149145895199777200595254700651185397443018875232437201354\
      065593682730276374970368000000000000000000000000000000000000*ep^8;
Fill mncpoch(48,46) = 1/1423105979781787753387377013966863938362042939749022871\
      469868849924520729390606237566718920831795200000000000000000000+
      31062399269714999267/1285792643032759137117820086340259800311253429217261\
      7035430404460522580306628039410460272357018352267617389993000960000000000\
      000000000000*ep+174210080058556039314584611949167643482477/
      3984728623990606851140172394069077338074194969763797942737888730886399907\
      0862683885542306943223475129969089214823072868366395212038144000000000000\
      000000000000*ep^2+1401182663714132485383828357663421217324317710725845456\
      7633663/25201737434877148626633042247693987376691795478620562191840209518\
      1339777687541653737028840478337781084086159800444545277054348009191956677\
      8830388880998400000000000000000000000000*ep^3+437125908436135058772092138\
      31469417918876142686010368179130939124174739195769689853/
      7810130589500662977109564065329086996792686036966046057765566486789064863\
      6462668733525374450600377800367447008540282156236787390119071992766014828\
      91147934461750387943669760000000000000000000000000000*ep^4+
      1647106195357555895345744170737111511735683363213802062082572839644198075\
      5061653422419537810187933177249/
      3457706040119368015019817976497053622965569874798176285518880188595896224\
      5804002602819131384382374528318106896259153021824618195160850554464027089\
      65222066274459725652778754790294867098468352000000000000000000000000000000
      *ep^5+3831233063106341389832628602971586491879172879208158537328882353013\
      4398426397428660645956720553158089412297673530548761429619/
      1071558490093011524846930714568797615539052530227497391665983216766682621\
      3151040444549805588305464289192075807271393415994345319383409670122417747\
      2514594197608705488017114233108581441072245330745863470766358528000000000\
      00000000000000000000000*ep^6+74225468740491817498186305123075784559284381\
      3304623081500403901209173729051132455143434705662871285672311175703461174\
      68421869271187928278237/
      3045503105475240370400301850631294565426655108918678283532833906129098950\
      3283369481519237560080392539664386185159939698868343831087699651196680277\
      4253062613137431030843232353055941018150833712187000189498970680884601657\
      75360000000000000000000000000000000000*ep^7+
      4206013538061249179403379874921139305958312544066771962238352644266091824\
      6768339100686012660672374259147714201511286149833984897287771946447132394\
      017635526874744583/
      2727625252227589156550053733053945738223171807581465929890810804878585850\
      4457767448575270843054614819400026875037072267978468529120610637021380992\
      2780549110789644217214223583795024547634324599090565647577365213842225245\
      74034618811185426497273856000000000000000000000000000000000000*ep^8;
Fill mncpoch(49,0) = 1;
Fill mncpoch(49,1) = 1/48+1/2304*ep+1/110592*ep^2+1/5308416*ep^3+1/254803968*
      ep^4+1/12230590464*ep^5+1/587068342272*ep^6+1/28179280429056*ep^7+1/
      1352605460594688*ep^8;
Fill mncpoch(49,2) = 1/4512+95/10179072*ep+6769/22963986432*ep^2+428735/
      51806753390592*ep^3+25458961/116876035649175552*ep^4+1451375135/
      263672336424540045312*ep^5+80445221809/594844790973762342223872*ep^6+
      4367993767295/1341969848436807844057055232*ep^7+233474987491921/
      3027483978073438496192716603392*ep^8;
Fill mncpoch(49,3) = 1/622656+3313/32308374528*ep+7317865/1676416937508864*ep^2
      +13470970465/86985922053459935232*ep^3+22319715789721/
      4513525523509929119318016*ep^4+34518187601336593/
      234197812363883202143173214208*ep^5+50845295540605180105/
      12152056087937171592804971738824704*ep^6+72225749701026055514305/63054588\
      6290883959607464373584136241152*ep^7+99754301971718875157550841/
      32717764947861386896112111416533661280894976*ep^8;
Fill mncpoch(49,4) = 1/112078080+66991/87232611225600*ep+2805195961/
      67894885969108992000*ep^2+93983194660831/52843947647476910653440000*ep^3+
      2755468946708358601/41129501332984229099785420800000*ep^4+
      73870839612032745672271/32011913477488285192944988717056000000*ep^5+
      1856829736446924248781114841/24915512497798682131372943618259025920000000
      *ep^6+44456173574409750510807618149311/1939224168728667027649018947696336\
      5054054400000000*ep^7+1024573343469728365111761011870248681/1509336955004\
      8961209597844273710126288871620608000000000*ep^8;
Fill mncpoch(49,5) = 1/24657177600+931481/211102919165952000*ep+520676284261/
      1807361864497681367040000*ep^2+226404823485071441/
      15473764750134188977540300800000*ep^3+84396671402482279267021/13247894638\
      3568861614990836105216000000*ep^4+28318876911852487623041863001/
      1134221149041852480093976343131528888320000000*ep^5+
      8799774214237906610786406291571381/97106570519448008453741803412474472079\
      29446400000000*ep^6+2578585123056615900598264339192286304161/
      83137984563366451333687952475196844219632113942528000000000*ep^7+
      721367488652955951657726805563969293514533341/711787517598953140422396078\
      875447285723264736161232322560000000000*ep^8;
Fill mncpoch(49,6) = 1/6361551820800+48615203/2341975785227071488000*ep+
      1378950482387149/862187518563702914695495680000*ep^2+
      29806680434794798966067/317410334409141092463622547492044800000*ep^3+
      543725915263582186084332603661/116853141828773634775813609650575930032128\
      000000*ep^4+8818234300367546608944890476492042163/43018941965684928133050\
      420617710749969012574126080000000*ep^5+1311240568847092701879518722753365\
      96818668429/1583722387677618551411597499645854642321212294617240698880000\
      0000*ep^6+1823528662269998127527745896576834189799907303168307/
      5830400485516364455521010696822230298050139358382901392958291968000000000
      *ep^7+24043664793723650340506414633389902300475710819425693741581/
      2146434885684596778368986470545470829078575852142042251155131861544468480\
      000000000*ep^8;
Fill mncpoch(49,7) = 1/1870296235315200+401663981/4819786165997313122304000*ep+
      92213695451016661/12420673392428704189103310766080000*ep^2+
      15881698740592097883668141/32008292942486606046216624934192781721600000*
      ep^3+2279948205925664910211523562886021/824859316980803361464381721706836\
      45554098962432000000*ep^4+288100122728253696124734943939594559302301/
      212567691139476376616860455280628184970383134001085808640000000*ep^5+
      33103734734735350783537541628191384827184013748981/5477906642523793861677\
      67720653355349274478017433305827888647372800000000*ep^6+35329186553224294\
      37760534161608826345187417814817063698061/1411666139070819379841183075414\
      162581866049139780494549987148888807571456000000000*ep^7+3553782112155881\
      76779759960037944001176102378025242933584759581541/3637888372776258062606\
      263602869778229597242926395263409581398461305643550763909120000000000*
      ep^8;
Fill mncpoch(49,8) = 1/613457165183385600+19045240741/
      64816484360331866868744192000*ep+204091141115333789461/684836184703662977\
      1337514250471997440000*ep^2+1620529005231355494329280302581/7235822869876\
      31155102105090325356232563281100800000*ep^3+10618720360474087564579041023\
      326503806101/764520534598805339098344504726346459738275661233059266560000\
      00*ep^4+60742814135851667757154532878700528109702764308021/
      8077749529449638872696496645869622292575595073707431985806227537920000000
      *ep^5+313781486998598807700910686046613237999226341410637751056341/
      8534765844421024886370887814601173436337448516041594868468726273033784786\
      94400000000*ep^6+14966713968450000039802696713001639326055346436427759622\
      09983946739061/9017638855169935909298852717634511660780085877754248320162\
      2613028538704486243036561408000000000*ep^7+669461685596767928905712812812\
      6525440641418799957356163025959137175276572604181/
      9527831460710323640371512491389937297654577051371683231950373814311704559\
      825187072066707846594560000000000*ep^8;
Fill mncpoch(49,9) = 1/220844579466018816000+21686683699/
      23333934369719472072747909120000*ep+261375279054430731103/246541026493318\
      6717681505130169919078400000*ep^2+462187379096993289540018245051/
      52097924663109443167351566503425648744556239257600000*ep^3+16722928349435\
      234182722722286233915310391/275227392455569922075404021701484725505779238\
      04390133596160000000*ep^4+10491547546160593036618835292826276404710345548\
      4599/29079898306018699941707387925130640253272142265346755148902419136512\
      00000000*ep^5+590909730841879591837717272190591595265063344197898257060183
      /307251570399156895909351961325642243708148146577497415264874145829216252\
      329984000000000*ep^6+2446020595352766610659137790978377068617937886078595\
      5773776624914243/25970799902889415418780695826787393583046647327932235162\
      0673125522191468920379945296855040000000*ep^7+147708967018645954009860121\
      98540912988353337327036996816018672505267092353953431/
      3430019325855716510533744496900377427155647738493805963502134573152213641\
      537067345944014824774041600000000000*ep^8;
Fill mncpoch(49,10) = 1/86129385991747338240000+317146127527/
      118303047254477723408831899238400000*ep+55342067563040981621287/
      162495190561746336562388003129499366457344000000*ep^2+
      1405246777597573782369969335168903/44639064789092064189081842727130198613\
      798122483089408000000*ep^3+725082170250706618514515674620982893175748951/
      306570012681017769231428956288828104561651871893102776199571046400000000*
      ep^4+64491224198300531930108636783902994214241827603841043947/
      4210893445877274451407980862105357016507687672069683176205556104296650506\
      24000000000*ep^5+51235402738338304659244816929692683183140827197873922787\
      31360515727/5783874116540457980590560601267621459571663104210976513761204\
      45272751653180128719011840000000000*ep^6+74460479564388167556846538561153\
      530123507673773818423392371168653920230425351/158888844972980346171228704\
      6075022876090706125108516422092104053906555613318529682782080906087628800\
      00000000*ep^7+25161281509405597302256694106232870400093080137127699489101\
      702363059596993516069045270951/109120913371244485273262524238166758609206\
      2588487992999130261408954628165857256322789662379072570870416277504000000\
      000000*ep^8;
Fill mncpoch(49,11) = 1/36002083344550387384320000+6712551592093/93956280129506\
      2079312942943751372800000*ep+24588500144875687631369047/24520199265386398\
      694591224896235195399680294912000000*ep^2+1301594191642587954699856806298\
      4199029/127982966372343871738077366172931361498073272642611284279296000000
      *ep^3+139188562061186550507318474172150418509106013159871/
      1670014944024801918227578415923184157929403604353807760298959670523985920\
      0000000*ep^4+255277903989761215341695670308971636769674018795558316172111\
      433/435831422308528827779616330195549278454498561571786144514030972847440\
      378513344954368000000000*ep^5+4163599916964500671291770546644586656438916\
      75534076662987616345570167162127/1137409155236003724572720783360794367661\
      4289526983048358336547560766994689951423842753027212574720000000000*ep^6+
      1237472590940889919827453811634768643703396676428717666929775745931666178\
      92316047542021/5936697173242632831876744507286620978952800604196770756528\
      7031477278029080328869778110247334143617669015797760000000000*ep^7+
      8522609346449852717087197138731384587094049836890945220771021857427929162\
      57469760794211832634075391/7746634789367887708455369803152287788200151036\
      9448504484194992744923911139642831243347237671995494335118279969248661995\
      52000000000000*ep^8;
Fill mncpoch(49,12) = 1/15984925004980371998638080000+274461865332481/
      15435137699675279838953026679947552358400000*ep+
      40824413269184435876597949583/1490425984067540703692555177602801623096007\
      1738130432000000*ep^2+872379175166793194115816276878689301167601/
      2878328210872300356006081775968326560759086032749788085874036047872000000
      *ep^3+374696162211294059972500265957511409000496216186382638431/
      1389665333613759253813088566654864770606453270911465497397248398450593365\
      2610252800000000*ep^4+274805967632550963764043990205174708028449973250379\
      08101108307983872621/1341869028106828991246369340324461901589921997132693\
      1123359276856943676486455743700186530054144000000000*ep^5+
      1785439502909747791496071789060761783320711644004571841692750175928087712\
      031223341783/129571663409776355038881482795426930064135842256917212191288\
      29871625718293777583975743645101695385499462533120000000000*ep^6+
      2106664552121201732875882837770341131330918961829560919999613461087524843\
      2220491032084518874395057/25023032214198752762576080018240015993897722600\
      7952066492682735334719203404277647633569362394680424249902419485080370020\
      3520000000000*ep^7+574247833987799244339491614923076159860826809887542869\
      6200632651754715636534218671627712812562625921635759694511/
      1208119361739984654928604302897594871716640191923380996847034544640359659\
      3254387221331291030198765276592538501970311183365569411230466048000000000\
      000*ep^8;
Fill mncpoch(49,13) = 1/7480944902330814095362621440000+100428083700887/
      2407881481149343654876672162071818167910400000*ep+
      48905575678739788257330398563/6975193605436090493281158231181111596089313\
      573445042176000000*ep^2+378244006200123810819165768458960375072623/
      4490192008960788555369487570510589434784174211089669413963496234680320000\
      00*ep^3+526877261954665208922553059514494160475462197275699370531/
      6503633761312393307845254491944767126438201307865658527819122504748776949\
      421598310400000000*ep^4+1387090064564643625615820099123835387741424664943\
      4714286515528538146067/20933156838466532263443361709061605664802783155270\
      01255244047189683213531887096017229098688446464000000000*ep^5+
      2901591447201850430709890280047661765015320996273579111951394368279600006\
      488621987963/606395384757753341581965339482598032700155741762372553055229\
      2379920836161487909300648025907593440413748465500160000000000*ep^6+
      4884288873343013131056848186982841457724654851509639338098246254131423353\
      13933613969169143510183/1561437210166002172384747393138176998019217890289\
      6208949143402684886478292426925212334728213428058473193910975869015089269\
      964800000000*ep^7+1065528885389564768336681960804960279698939623623858061\
      1449770936865772303390488823030646701609527469808663297011/
      5653998612943128185065868137560743999633876098201423065244121668916883205\
      6430532195830442021330221494453080189221056338150864844558581104640000000\
      00000*ep^8;
Fill mncpoch(49,14) = 1/3665663002142098906727684505600000+109624330250663/
      1179861925763178390889569359415190902276096000000*ep+
      1656536199951207652805968913/97652710476105266905936215236535562345250390\
      028230590464000000*ep^2+484881413393786186875795700908445116867039/
      2200194084390786392131048909550188823044245363433938012842113154993356800\
      00000*ep^3+727536268078455454837782311935071552043683510058624867411/
      3186780543043072720844174701052935891954718640854172678631370027326900705\
      216583172096000000000*ep^4+2937357648685691319712751909305516603432237221\
      492206916419287535699429/146532097869265725844103531963431239653619482086\
      890087867083303277824947232096721206036908191252480000000000*ep^5+
      9206778702318876384135716667144303835137863235004977767646276119108050389\
      62537699183/5942674770625982747503260326929460720461526269271251019941246\
      53232241943825815111463506538944157160547349619015680000000000*ep^6+
      2067750287093264537945863354965279384057143907779564681163588097140276154\
      5062172915858221711787583/19127605824533526611713155565942668225735419156\
      0478559627006682889859359082229833851100420614493716296625409454395434843\
      557068800000000000*ep^7+2744611786208791863617530575259507704035518810496\
      103348912744925397254410937861351605689646484993006757190530053/
      3957799029060189729546107696292520799743713268740996145670885168241818243\
      9501372537081309414931155046117156132454739436705605391191006773248000000\
      0000000*ep^8;
Fill mncpoch(49,15) = 1/1869488131092470442431119097856000000+2024547928882351/
      10229402896366756649012566346129705122733752320000000*ep+
      562521050362181113176987331049/143930329970731552892659387637129765340664\
      54986260906728488960000000*ep^2+30159249619034450367836521159303659078451\
      53047/5512872303672086107715320079236239620684352509980978103117583984546\
      00459878400000000*ep^3+82606018397344876189177722316316276537194026628585\
      416110418331/135743179845105243125989420755387551902294528357418491708905\
      034586708737638201063989481308160000000000*ep^4+6069791098183208616868132\
      597495567280537390214894773691528704998342520021293/
      1061078586910246331069139673773308107168432904584972047392335818484927750\
      12082808683534372640390657972633600000000000*ep^5+34531080265013748344665\
      417484887999280792614724224709412320944753148314456066638332746777271/
      7315527838347735419794145717177343229919419910662217461717762920117099601\
      332765479438470833515048110873421890018490921779200000000000*ep^6+
      1404201482458768109879874049351666005788374929310708942190604527047547581\
      5464964457530377424876250787570039/40028861597701406584688868809014540216\
      5204353625164314151716215817699142268406708307702233541935300171178298957\
      35121142991216807692468224000000000000*ep^7+33673302008335545464870050745\
      6046798847800520826576049666306093844526700216064141758640796728676458173\
      51700929600672016573/1408040947374408880880404954064995924154433415096912\
      2648107158546203894256328408822068157621234697427099498952485226441287079\
      04203452944888907292265676800000000000000*ep^8;
Fill mncpoch(49,16) = 1/987089733216824393603630883667968000000+730119680305397/
      1800374909760549170226211676918828101601140408320000000*ep+
      131182340443574507813288684101/151990428449092519854648313344809032199741\
      7646549151750528434176000000*ep^2+125907570102957519488103824701918286207\
      1459149/97026552544628715495789633394557817324044604175665214614869478128\
      009680938598400000000*ep^3+1007179987126204069955680524206693637120154385\
      3185297087882721/65156726325650516700474921962586024913101373611560876020\
      27441660162019406633651071495102791680000000000*ep^4+13800162674032009304\
      2553287619891208677171492711172530382595878949987247651/
      8892849109343016869912789646862010802935437676521670492431004954921299239\
      10789253728669027843274085865881600000000000*ep^5+52694973159054649687986\
      967928837963600193366471563421380791797867224309126798555979245088263/
      3862598698647604301651308938669637225397453712829650819786978821821828589\
      503700173143512600095945402541166757929763206699417600000000000*ep^6+
      7593142307561294441345574010915699554986403830337026740325804964948387101\
      679350881764705854880027676796653/704507964119544755890524091038655907810\
      7596623802891929070205398391504903923958066215559310338061283012738061649\
      381321166454158153874407424000000000000*ep^7+
      5795454414111717170022981530769817678620067850916439381917030410409383777\
      4923284697249238328379155009393403605711556240173/
      7434456202136878891048538157463178479535408431711696758200579712395656167\
      3413998580519872240119202415085354469121995609995777341942315490134305031\
      6277350400000000000000*ep^8;
Fill mncpoch(49,17) = 1/536976814869952470120375200715374592000000+
      1574234500134059/19588079018194774972061183044876849745420407642521600000\
      00*ep+3038957140308480744671482253261/16536558615261266160185736491915222\
      703331903994454771045749363834880000000*ep^2+4165863336913138424262156705\
      250923771097664449/140753185558074723279225494844371873664747372457498338\
      001303989604366043814926745600000000*ep^3+2136023551562303823180614809554\
      41363207264300583226330739830061/5671241459384620973609337207623487608436\
      3435591502586488046852210050216915339298926293374698782720000000000*ep^4+
      1310007978929032940547600905795583422611187647314922303805497295888424610\
      73017/3250941063204307991100278685624051565207502080530674038577017619360\
      66952024219405907082079170610021021818604748800000000000*ep^5+
      5065931992253924021332583094360135255186046450128108928810308143362451699\
      620251415378861922099/134480236292114991366291972008722089639437748465877\
      1229417034546605487841721608252281645346849404351348732618440826358044469\
      23161600000000000*ep^6+15494138396402035845262298014904373703823497005308\
      76363634860135582754048530507008778733308764346403058104819/
      4905629855757214044216897350720368817267881681086429708050165423007972694\
      7003304806672182589745988325874297670876972015546253594057058273774796800\
      0000000000*ep^7+250554185809503408001598701944428465680090565394970941847\
      97180130873385750002770055533130420447323091674773298554014674796313/
      1035352108534390301882983617960952087774019119833897737334045533067068660\
      4886327098317519487647960605134446804787805596630451935748254624418063855\
      9246048926105600000000000000*ep^8;
Fill mncpoch(49,18) = 1/299633062697433478327169361999179022336000000+
      52449113968900309/3388345908567332174667143443102797468962822114003386368\
      0000000*ep+3363221326574982438898140403143533/886753111873047084320567896\
      4951635191989293534178437516030547364088381440000000*ep^2+458195262108937\
      877878464129807680078525796830935357/701938022470805123194789484410513448\
      5492022540603351420902322136304341590100268003255910400000000*ep^3+
      258805092046762062603927441715824278142310219674353976518306147277581/
      2922530905767288256762117138685481201993953165570223357822335448593180479\
      7736054093509836101918540127272960000000000*ep^4+249237954524829963350878\
      568095240399820529028466882267103545530930064102329605119467/
      2473047565978180283279325063100446468218973964530969979412776405015243770\
      71952963337858705056899846290586908310437783142400000000000*ep^5+
      6661157621536942771264039911403857151938363574809936800044604963496881379\
      596565338209474124122163396243/665982512398990301309799782189973188128452\
      3420987047162348386134728273749953993672360847868884754078795149725614590\
      4538303004585074640080076800000000000*ep^6+669272920267777987882713007135\
      5479924113027784422716395574390913580168056889297761559394772643614872308\
      3442350123489549/75311419265609642510256806901805796206495495719424394550\
      3413100642168559631489740727127235459756213294610481429687191423087442146\
      8115874588308228271174057984000000000000*ep^7+
      3549480515600932980354782571627489645403962825681708010535650578636806714\
      0895258840165584677459154464921942122525151244383006216410755833/
      4927377339522596198264579871285752071606803571905669293627934296450440657\
      4612591209481360240067585792695671995345733096161924459581426831635211474\
      829075297942478615611231436800000000000000*ep^8;
Fill mncpoch(49,19) = 1/170790845737537082646486536339532042731520000000+
      33731131949481763/1158814300730027603736163057541156734385285162989158137\
      8560000000*ep+3853647219561320748239434688317661/505449273767636838062723\
      7010022432059433897314481709384137411997530377420800000000*ep^2+
      1679633659560131050735065194117770372489502859675847/
      1200314018425076760663090018341977997019135854443173092974297085308042411\
      9071458285567606784000000000*ep^3+336507129094178326800234652659928871937\
      501663178080439258245358109501/166584261628735430635440676905072428513655\
      3304375027313958731205698112873470955083330060657809356787254558720000000\
      0000*ep^4+433635894947205699218287843825393926225594086361097300439585743\
      0236450427651648587649/17761427618855290794512112603187406534748671013261\
      4263921425601408194807613076618269250121971865469605899517548556415852871\
      6800000000000*ep^5+975048391367471793046804230815812208741563552884745559\
      7664563763387117877969996547524916140257304940899/
      3796100320674244717465858758482847172332178349962616882538580096795116037\
      4737763932456832852643098249132353436003165586832712613492544845643776000\
      000000000*ep^6+3110434472768764796515769132502468287988485410067014880441\
      54543796852698345646567890296685128718387659433097468533579959/
      1287825269441924886925391398020879115131072976802157146810836402098108236\
      9698474566433875726361831247337839232447650973334795260710478145546007070\
      343707639152640000000000000*ep^7+5810652192507180890578805397842307265995\
      8927609545165559073436461176996131096201909034188980932066332156522180768\
      037727605922792618005353/280860508352787983301081052663287868081587803598\
      6231497367922548976751174752917698940437533683852390183653303734706786481\
      2296941961413294032070540652572919827212810898401918976000000000000000*
      ep^8;
Fill mncpoch(49,20) = 1/99058690527771507934962191076928584784281600000000+
      209210546715843691/389825130765581285896845252556845125447209928829552797\
      57475840000000*ep+3697182473530054384563428716916827301/
      2465480467583778968702353668748741909950666432057888203394546824155367498\
      317824000000000*ep^2+4974445737342424710116723280828262953689470071036879\
      2963/16979185985314134327171019425258650794193828525328438167439076335875\
      1509027219601753490849875886080000000000*ep^3+307042397133723697590524577\
      502397808814709500744063684246097236987640467181/
      6833669222643950198685376809321598874070866034495707423135463122204728433\
      316181377298058066273146131507910967033856000000000000*ep^4+
      2433619173875886006383236637082677181063948444907626441149829785701688779\
      4480647727059935913/42259645447794505155249693573415553361505225569778386\
      7510851437136178848317465268425458518923840348784822848882120424133848720\
      3377971200000000000*ep^5+840046836986415827714539811280871919401401821596\
      2391487677750625436503648127146960603021704282981662282599386379/
      1309645219763719137165654310285868364417609671947657119954913771804099979\
      2344970322922435943799621370401351266822515074106193833153810461619812669\
      514055680000000000000*ep^6+8215315982368197255124058241190853160954608834\
      4246554015288571995997522557377010524586196189060458638646723009583233763\
      79263017891/1288459943117712501983245149781819623856237991992798954518302\
      3419075633998961879162024072051418708936527916913112869759242463178599519\
      0173131466314715682957268038431067340800000000000000*ep^7+
      4698427856153263867360625051003082873654756985686030595344320166086864227\
      8410758686067384265934099711773414040468100499971043952165753009537505534\
      633/814896878706133970746643592756323812094106926789551228714626317434250\
      8173690821677310063122379973268303636652627999749250363193732044230327866\
      236345158328141848677848460709309513315783802880000000000000000*ep^8;
Fill mncpoch(49,21) = 1/58246510030329646665757768353234007853157580800000000+
      1116325851589331759/11460858844508089805367250425171246688147971907588852\
      2486978969600000000*ep+29410423738501861034313137094020769227/
      1014791760457483423517888770056982170135694303435026784517195472822349262\
      3076163584000000000*ep^2+600782682639401419997681075941029385217209427479\
      01273003/9983761359364710984376559422052086666985971172893121642454176885\
      4945887308005125831052619727021015040000000000*ep^3+561998830710501369317\
      30508416899437733396038085587625075869536650441166483/
      5740282147020918166895716519830143054219527468976394235433789022651971883\
      98559235693036877566944275046664521230843904000000000000*ep^4+
      2358910140872364672367998105892524241564817544074402914826537136921102754\
      7604481189661252531/17749051088073692165204871300834532411832194739306922\
      4354557603597195116293335412738692577948012946489625596530490578136216462\
      5418747904000000000000*ep^5+120556521239044840915123815766741591381736259\
      98729221096794750615997067066506898807596094597307434736198832581299/
      7700713892210668526534047344480905982775544871052223865334892978208107877\
      8988425498783923349541773657959945448916388635744419738944405514324498496\
      74264739840000000000000*ep^6+12451257304328261785820378759087241997537401\
      8574511268449818529918679188567492948028197803074770691507123078129343624\
      69488170527371/7576144465532149511661481480717099388274679392917657852567\
      6177704164727913895849472701543662342008546784151449103674184345683490165\
      171821801302193052821578873606597467596390400000000000000*ep^7+
      5257624015630311410551599004492793356748240469695898144562151207945416685\
      5446387910419201535332719107401524275996430074334844568935281985491976859\
      3831/33541155527544474235931850277850288105793441106657928573894019225593\
      7636429114220238082198117159699723377684622168469679144949054010940520294\
      97428796671678631849158024264279517956807766132654080000000000000000*ep^8
      ;
Fill mncpoch(49,22) = 1/34598426958015810119460114401821000664775602995200000000
      +2140563019813008667/1225395027654804961989866415459309695896781156359400\
      08243077914296320000000*ep+299792755776377696768534393867121602243/
      5425076751405706382126633364724626681545421746163653190028926997708279156\
      2965170520064000000000*ep^2+584948374229083995142277603975339822319831223\
      1227695020603/48035869404447370430229378003261409789536301701257965470504\
      02666686866421937358624235265745545889117634560000000000*ep^3+
      5797831320634586526483177028354451458992192824599783937000496175099808431\
      523/276187935221764456682020504635107502910718344642330232243661325035876\
      97522608279066134776327255956849595216774500823597056000000000000*ep^4+
      4634423926878451428305521552694172735439518076006810247004425545008552889\
      030001413175626112863/153716011929283972470600091998303484643320959183662\
      3878907133217105580248560757208731701845170325083332332271264244261760265\
      39817315745975500800000000000*ep^5+12512126028199395220451874710009598867\
      4475457753231768817691588818648891988266824599234861581700308154415018673\
      58171/3334609333888416949370932385391188794097363093332260291510507366781\
      5441219350241940036407192358676080011763337962468105381863101876140142245\
      88028605048163233955840000000000000*ep^6+12272511759076082247313154256562\
      5261683171737689468035372528377202445421367523512575577169781036136715834\
      501007569434234567700306407051/
      2952600779998372116993052211702102411736328186917805538339350727387127192\
      2678397702389452781336379533681778568859610855615426545111037323976597615\
      1040020053119901334275030550944153600000000000000*ep^7+
      5461858339949179712144162625660359226695273922460462590012759379083242153\
      4246011373649756680556447152385611978675221662690458756678700240395365877\
      95642791/1307177317212342615043976285857475897156937956578649056077512841\
      2263768585711825289953420372969307651917381073507921137615327863815592737\
      6767126382418967952801116021523535575122884881757636227990814720000000000\
      000000*ep^8;
Fill mncpoch(49,23) = 1/2068985932089345445143714841228895839753581059112960000\
      0000+11383923781316910743/36639311326878668363497005822233359907313756575\
      1460624646802963745996800000000*ep+338561202404119980149265493174155422963
      /324419589734061241651172675210532675556416220420586460763729834462955093\
      54653171970998272000000000*ep^2+53865143188047919762799102276762138234875\
      3896147066728471/22096499926045790397905513881500248503186698782578664116\
      4318522667595855409118496714822224295110899411189760000000000*ep^3+
      1049478786551486906438439185436739341500659224839879347902490566573877895\
      189/235943407518021635851211802531134695343727957280162112688156389102077\
      7588359964411649799463385580313722562804450213215862784000000000000*ep^4+
      3103501988134534995227436759087701615835268309948357851736866657280323985\
      5403815031423370665547/45961087566855907768709427507492741908352966795915\
      0539793232831914568494319666405410778851705927199916367349108009034266319\
      354053774080466747392000000000000*ep^5+1769099029448508645880536788310641\
      5818014661732312855889015760187887121388297961255724302652674665425747598\
      526441291/199409638166527333572381756646393089887022312981269165432328340\
      5335363384917144468014177150103048829584703447610155592701835413492193180\
      506303641105818801613905592320000000000000*ep^6+
      1407481177129210671987092128751846156361181753358407912201675653735880349\
      1051945919208018355578183753009810825605277235915919034471207/
      1358196358799251173816804017382967109398710965982190547636101334598078508\
      4432062943099148279414734585493618141675420993583096210751077169029234902\
      947840922443515461376651405343431065600000000000000*ep^7+
      8577463201957727258410966520725091096488819528942468091896090064404741901\
      1932783083128640884143433662392844098751036977938675382665266289970589440\
      55115991/7816920356929808837962978189427705864998488980340321355343526790\
      5337336142556715233921453830356459758465938819577368402939660625617244571\
      3067415766865428357750673808710742739234851592910664643385072025600000000\
      00000000*ep^8;
Fill mncpoch(49,24) = 1/1241391559253607267086228904737337503852148635467776000\
      0000000+302306920271471321183/5495896699031800254524550873335003986097063\
      486271909369702044456189952000000000000*ep+476736508711597740478839253160\
      55568165639/2433146923005459312383795064078995066673121653154398455727973\
      758472163201598987897824870400000000000000*ep^2+4015990199712819472934703\
      48238385831220531252523206324481799/8286187472267171399214567705562593188\
      6950120434669990436619446000348445778419436268058334110666587279196160000\
      000000000000*ep^3+5792171143094742948982342257242795939702572851244002666\
      018877393647341923526723/619351444734806794109430981644228575277285887860\
      4255458064105213929541169444906580580723591387148323521727361681809691639\
      808000000000000000000*ep^4+6461076204503151116376519000348449890279328975\
      04219552181307084426080931275497963067956429370997507/
      4308851959392741353316508828827444553908090637117036310561557799199079634\
      2468725507260517347430674992159438978875846962467439442541320043757568000\
      00000000000000000*ep^5+19427571724428894511460378673881719816080197529244\
      07380436615226689159841629192391488978672988926670566137053631516923919/
      9347326789055968761205394842799676088454170920996992129640390962509515866\
      7991146938164553911080413886782974106726043407898535007446555336232983176\
      835256325651824640000000000000000000000*ep^6+
      8144430903476859922926340298875986624108412586876569634442048499281832751\
      410004521691275102674222356753358105047838696243838911827538698279/
      3183272715935744938633134415741329162653228826520759096022112502964246504\
      1637647522888628779878284184750667519551767953710381743947837114912269303\
      78400216197698936260152673127366656000000000000000000000000*ep^7+
      5225539562185913583859900885994535605271928359169551254417671172955813731\
      9042412706986844058540911168119623541054858320964929553900709626837337987\
      74360001285591/1832090708655423946397573013147118562109020854767262817658\
      6390915313438158411730132950340741489795255890454410838445719438982959129\
      0416964000175570359084771347814173916580329508168342088437025793376256000\
      00000000000000000000000*ep^8;
Fill mncpoch(49,25) = 1/7448349355521643602517373428424025023112891812806656000\
      000000000+320753613749126063483/32975380194190801527147305240010023916582\
      38091763145621821226673713971200000000000000*ep+5359049446583996627638588\
      3738241373596539/14598881538032755874302770384473970400038729918926390734\
      36784255083297920959392738694922240000000000000000*ep^2+47764266802722830\
      6435101793749218204372923926060118648858699/
      4971712483360302839528740623337555913217007226080199426197166760020906746\
      7051661760835000466399952367517696000000000000000000*ep^3+
      1485659264708752900615875925770055466775184616776126837127305560552544679\
      48327/7583895241650695438074665081357900921762684341148067907833598221138\
      2136768713141803029268465965081512510947285899710509875200000000000000000\
      000*ep^4+8571299786763813631221750758213953977159663358648509409222932559\
      77125352830762185135197632758169207/
      2585311175635644811989905297296466732344854382270221786336934679519447780\
      5481235304356310408458404995295663387325508177480463665524792026254540800\
      00000000000000000000*ep^5+27175066578133351206427161579023108681293344271\
      28932854433425140482576681462599699721228295667492590940671341311154372819
      /560839607343358125672323690567980565307250255259819527778423457750570952\
      0079468816289873234664824833206978446403562604473912100446793320173978990\
      6101153795391094784000000000000000000000000*ep^6+
      1200050877579752043161688000696055965101762203013693999168325111184837597\
      2598145296049500534327464611475013909662513028088025345010428663179/
      1909963629561446963179880649444797497591937295912455457613267501778547902\
      4982588513733177267926970510850400511731060772226229046368702268947361582\
      27040129718619361756091603876419993600000000000000000000000000*ep^7+
      8103345752705467596224224198033939292860536347327001080565934268178454125\
      1300869773351610318873202468257988844991253755997361273163342367372818413\
      88243670317691/1099254425193254367838543807888271137265412512860357690595\
      1834549188062895047038079770204444893877153534272646503067431663389775477\
      4250178400105342215450862808688504349948197704901005253062215476025753600\
      00000000000000000000000000*ep^8;
Fill mncpoch(49,26) = 1/4454112914601942874305389310197566963821509304058380288\
      000000000000+340002337377983185883/19719277356126099313234088533525994302\
      11626378874361081849093550880954777600000000000000*ep+6013510549119420241\
      2897728537209056675739/87301311597435880128330566899154342992231604915179\
      8165915196984539812156733716857739563499520000000000000000*ep^2+
      566682977718933347655457537816905476561250813723252297585899/
      2973084065049461098038186892755858436103770321195959256865905722492502234\
      5296893732979330278907171515775582208000000000000000000*ep^3+
      9121327959446449019464109616016426041636135162851074886002970091102804714\
      422423/222223298370848677726463836213949212809490176564320685835340095075\
      7919371596832481112363624589708818479595777371433317360363110400000000000\
      000000000*ep^4+1133031854564248765849015775665283858694350579632855304938\
      009097579445792826055948929961170468358807/
      1546016083030115597569963367783287105942222920597592628229486938352629772\
      7677778712005073624258126187186806705620653890133317271983825631700215398\
      40000000000000000000000*ep^5+37861680923420695510834052735030683883325338\
      2469598305975098867811678074983690571525614705674079261844672193172628623\
      6019/33538208519132815915204956695965237805373565264537207761149722773484\
      1429300752235214134419432956525025777311094933043747539943606718240546403\
      94363848489969643874680832000000000000000000000000*ep^6+
      1760657825440441962457612249629670163141715508682205479390026586841453558\
      6509028894836673315755404375026553098384890510719100772597780334379/
      1142158250477745283981568628367988903559978502955648363652733966063571645\
      6939587931212440006220328365488539506015174341791284969728483956830522226\
      19769997571734378330142779118099156172800000000000000000000000000*ep^7+
      1250909981800086001238153112691200112060252603068953252442255626454971157\
      1828024512317389587072149127560696289420349803874464992595443735093235443\
      772784173182491/657354146265566111967449197117186140084716682690493898975\
      9197060414461611238128771702582258046538537813495042608834324134707085735\
      5001606683262994644839615959595725601269022227530801141331204854663400652\
      80000000000000000000000000000*ep^8;
Fill mncpoch(49,27) = 1/2645743071273554067337401250257354776509976526610677891\
      072000000000000+360126002989970177483/11713250749538902992061048588914440\
      61545706069051370482618361569223287137894400000000000000*ep+6738216075354\
      5789791320617623748286818539/51856979088876912796228356738097679737385573\
      3196168110553627008816648421099827813497300718714880000000000000000*ep^2+
      670988829351049415577844687346882641089854613043761352760699/
      1766011934639379892234683014296979911045639570790399798578347999160546327\
      3106354877389722185670859880370695831552000000000000000000*ep^3+
      1254111522404978780456416230167639381016966167593217377992009419250765610\
      58742253/1452007031555125260264714705821944156497208813671271361248112181\
      2252245174013703431588183923069157419945678809344945295632612563353600000\
      000000000000000*ep^4+1357786373201495307103422497745264707411741759864141\
      65710265873743607866188240042405718902422786837/
      8348486848362624226877802186029750372088003771227000192439229467104200772\
      9460005044827397570993881410808756210351531006719913268712658411181163151\
      360000000000000000000000*ep^5+5258912231575638813235463225618538093082416\
      8432637795055083666672189835454156804862057788212240781677569002974657440\
      34819/1992169586036489265363174427740335125639189776713510141012293532744\
      9580900464682771719584514317617586531172279039022798603872650239063488456\
      394252126003041968461560414208000000000000000000000000*ep^6+
      2574723911832876218834271889878380011246719744987642865304527897072855495\
      6472222604089479952856028861001283128645391673769230584868969605179/
      6784420007837806986850517652505854087146272307556551280097239758417615575\
      4221152311401893636948750491001924665730135590240232720187194703573302023\
      6143378557610220728104810796150898766643200000000000000000000000000*ep^7+
      1590477240813173897078763550335854140857927287659566466015382602903297412\
      7826170809947242803770767667916195378556901233938610840168056417131729663\
      2042578815171/32270112634855063678402051494843683240522455332078791404272\
      4219329437206369871776065399492667739164583571574818979139548431075117924\
      5533418996547009837581147107426529516842909351512056028986420138021486592\
      0000000000000000000000000000*ep^8;
Fill mncpoch(49,28) = 1/1555696925908849791594391935151324608587866197647078599\
      950336000000000000+381207938393004168683/68873914407288749593318965702816\
      9108188875168602205843779596602703292837081907200000000000000*ep+
      75418761885870865017880843491295824408139/3049190370425962472418227376200\
      1435685582717111934684900553268118418927160669875433641282260434944000000\
      0000000000*ep^2+113327782943059055070743871776825513059685806699346555167\
      757/148345002509707910947713373200946312527833723946393583080581231929485\
      8914940933809700736663596352229951138449850368000000000000000000*ep^3+
      1564703492323680469018074311325922606833692201513058182363497424284287214\
      61341453/8537801345544136530356522470233031640203587824387075604138899625\
      6043201623200576177738521467646645629280591398948278338319761872519168000\
      00000000000000000*ep^4+12503320789689514801033053680433698301352774778757\
      76949607569454634405796772472431406313890468345459/
      3436237186786056131782903379769845253151422352237033279207986848660089038\
      1445738076450956840221081588688884056180690162365916301402130202042166753\
      0997760000000000000000000000*ep^5+728858758090531534124897974349418229966\
      0264194876134393156290181714358221299993646246343118182216658089185887755\
      523016419/117139571658945568803354656351131705387584358870754396291522859\
      7254035356947323346977111569441875914088032930007494540557907711834056933\
      1212359820250089788677455397523554304000000000000000000000000*ep^6+
      3756704931525196542847625436392436342539033114615925025575053962868316156\
      4924002129293148521049826943107860794906129060228687655316100490779/
      3989238964608630508268104379673442203242008116843252152697176977949557958\
      3482037559104313458525865288709131703449319727061256839470070485701101589\
      8852306591874809788125628748136728474786201600000000000000000000000000*
      ep^7+26855085458315408749631792371648936612892679584600916682957474670609\
      5285547053034195600737449311632221407136626172327744114385932960846688301\
      3456151669200865281/
      2087230885222425518719044690686489431996992410878856228028340250622799850\
      8003306475910039185749369165265409459291570745992521938627360110154069666\
      0596294748594908347929149399376855799783954841654527229752770560000000000\
      000000000000000000*ep^8;
Fill mncpoch(49,29) = 1/9023042170271328791247473223877682729809623946353055879\
      71194880000000000000+403343970566189859443/399468703562274747641250001076\
      338082749547597789279389392166029567909845507506176000000000000000*ep+
      84347196995184506020973292776239088254819/1768530414847058234002571878196\
      0832697637975924922117242320895508682977753188527751511943711052267520000\
      0000000000000*ep^2+133845500156283622614318405281570964205006489694197449\
      824597/860401014556305883496737564565488612661435598889082781867371145191\
      018170665741609626427264885884293371660300913213440000000000000000000*
      ep^3+19498685710241116762415929032028254215275313349976802394725478360892\
      3261148449813/49519247804155991876067830327351583513180809381445038504005\
      6178285050569414563341830883424512350544649827430113900014362254618860611\
      1744000000000000000000000*ep^4+164271711007507279102041847260293704472838\
      7109907095661569843975469473278531758112568874596613602539/
      1993017568335912556434083960266510246827824964297479301940632372222851642\
      1238528084341554967328227321439552752584800294172231454813235517184456716\
      7978700800000000000000000000000*ep^5+100885569685102765387194191639414990\
      8383371746141760320287268631159300918162483708990792667315893071281666964\
      8473495668699/67940951562188429905945700683656389124798928145037549849083\
      2586407340507029447541246724710276288030171059099404346833523586472863753\
      0212103168695745052077432924130563661496320000000000000000000000000*ep^6+
      5474555867186428705563057068324488370084448925912450697854850390810465521\
      3445009584963029480963068253504074351380911336212625294047210146259/
      2313758599473005694795500540210596477880364707769086248564362647210743615\
      8419581784280501805945001867451296388000605441695528966892640881706638922\
      1334337823287389677112864673919302515375996928000000000000000000000000000
      *ep^7+4117694257221755946158100574060294391076199865914028741009317267953\
      8444156855165140493754042662440960511246496763415555408054761835516825359\
      28494673823026617001/
      1210593913429006800857045920598163870558255598309736612256437345361223913\
      4641917756027822727734634115853937486389111032675662724403868863889360406\
      3145850954185046841798906651638576363874693808159625793256606924800000000\
      000000000000000000000*ep^8;
Fill mncpoch(49,30) = 1/5143134037054657411011059737610279155991485649421241851\
      43581081600000000000000+426645057064280060243/227697161030496606155512500\
      613512707167242130739889251953534636853708611939278520320000000000000000*
      ep+94288490373821925376255330388111055049219/
      1008062336462823193381465970571767463765364627720560682812291043994929731\
      93174608183618079152997924864000000000000000000*ep^2+15798862400216021530\
      9961676550070108560359934683201247551797/
      4904285782970943535931404118023285092170182913667771856644015527588803572\
      79472717487063540984954047221846371520531660800000000000000000000*ep^3+
      2428438428190627702330382847938789061961567440266647634921047503174752508\
      49338613/2822597124836891536935866328659040260251306134742367194728320216\
      2247882456630110484360355197203981045040163516492300818648513275054836940\
      80000000000000000000000*ep^4+21571285088983093802375892370077522023586882\
      15377402822280284494580653498820587522497161714464828939/
      1136020013951470157167427857351910840691860229649563202106160452167025436\
      0105961008074686331377089573220545068973336167678171929243544244795140328\
      5747859456000000000000000000000000*ep^5+139588416924571365476700622024402\
      4122956158222032220390079271434923983401684965594194310393634027356586724\
      2835313888911099/38726342390447405046389049389684141801135389042671403413\
      9774574252184089006785098510633084857484177197503686660477695108444289532\
      3392220898806156574679684136766754421287052902400000000000000000000000000
      *ep^6+7976526464794825255889135586989177026336065646255266120069487982113\
      9868785925743045343258977959762211103810308171663066660349314985230044659/
      1318842401699613246033435307920039992391807883428379161681686708910123861\
      0299161617039886029388651064447238941160345101766451511128805302572784185\
      6160572559273812115954332864134002433764318248960000000000000000000000000\
      000*ep^7+5740220011058098987682549418321541087988857546693518424012276490\
      0825729707297221646854701754510664187262447268607619735479166237186848705\
      7759990933001478517691/
      6273077551404853422622874315826849147438233554877726081692448062326342097\
      0417210190325990498261285873061312429470848078410252299183684112881231196\
      3573954944413424543867061740308986612805231551372606383238781337600000000\
      0000000000000000000000*ep^8;
Fill mncpoch(49,31) = 1/2869868792676498835344171333586535769043248992377052953\
      10118243532800000000000000+451240648367819716643/127055015855017106234775\
      9753423400905993211089528582025900723273643694054621174143385600000000000\
      00000*ep+105387020940621068047823669008072636514419/
      5624987837462553419068580115790462447810734622680728610092584025491707904\
      1791431366458888167372842074112000000000000000000*ep^2+186472756922523854\
      881644788647645334104294135127792861899397/
      2736591466897786493049723497856993081430962065826616696007360664394552393\
      61945776357781455869604358349790275308456666726400000000000000000000*ep^3
      +302467143159701766059304997279557950523534662593638167059996823266729268\
      562819013/157500919565898547761021341139174446522022882318624089465840268\
      0653431841079960165027307820003982142313241124220270385680587040748059901\
      296640000000000000000000000*ep^4+2833433803071513473597392132776728648623\
      692713675406018294849620188379945800113157238351534592750139/
      6338991677849203476994247444023662491060580081444562667752375323092001932\
      9391262425056749729084159818570641484871215815644199365178976885956883033\
      447305576448000000000000000000000000*ep^5+1932497013751767448430293013998\
      5249619617050933039659655064106468544285801838444872170805847340454006515\
      702324793531360299/216092990538696520158850895594437511250335470858106431\
      0499942124327187216657860849689332613504761708762070571565465538705119135\
      5904528592615338353686712637483158489670781755195392000000000000000000000\
      00000*ep^6+11632750060606311966423185215581550517730935892270667623541145\
      9878976100817008462939604833406472267865827180494029393963283237911660850\
      141859/735914060148384191286656901819382315754628798953035572218381183571\
      8491144546932182308256404398867293961559329167472566785679943209873358835\
      6135755737599488074787160702517738186773358040489582919680000000000000000\
      000000000000*ep^7+9695593613027260911782534890796335263282941054637776882\
      0732643575387933899697001911085555483316892955308787558260646802558195965\
      72346492273884567334837856805401/
      3850415001052299030805920255054520006697587755983948268942824620655908779\
      1642083614822092967832777268885033569209206550528212861238945308486499708\
      3241693544880959985025602496201655982939851126232505798031963985018880000\
      00000000000000000000000000*ep^8;
Fill mncpoch(49,32) = 1/1561208623216015366427229205471075458359527451853116806\
      48704324481843200000000000000+477283039159802882243/
      6911792862512930579171813058623300928603068327035486220899934608621695657\
      1391873400176640000000000000000*ep+11781661236480605927128940072888780495\
      5219/30599933835796290599733075829900115716090396347383163638903657098674\
      890998734538663353635163050826088316928000000000000000000*ep^2+
      220189529021335671264647417530996864498571683139657805429797/
      1488705757992395852219049582834204236298443363809679482628004201430636502\
      12898502338633111993064770942285909767800426699161600000000000000000000*
      ep^3+37701254607969421333689606694630711951900094669256003431116877088503\
      2724692800613/85680500243848809981995609579710898907980447981331504669417\
      1058275466921547498329774855454082166285418403171575827089810239350166944\
      586305372160000000000000000000000*ep^4+3726007262934055064467823198543867\
      325406990241912931256741702750098627762218465404309495808534614939/
      3448411472749966691484870609548872395136955564305842091257292175762049051\
      5188846759230871852621782941302428967769941403710444454657363425960544370\
      195334233587712000000000000000000000000*ep^5+
      2679659870462008445744663159057409474588747389856063398827644640855910959\
      3689469954244516624922799042497585910396390537099/
      1175545868530509069664148872033740061201824961468098984911968515633989845\
      8618763022309969417465903695665663909316132530555848097612063554382744064\
      40557167479083821838090527482629324800000000000000000000000000*ep^6+
      1000047512778500753984910179204341288115026622433761275836979100991229997\
      8652069160109035698373403474480942507010484154551199311525526300627/
      2354924992474829412117302085822023410414812156649713831098819787429917166\
      2550182983386420494076375340676989853335912213714175818271594748273963441\
      8360318361839318914248056762197674745729566665342976000000000000000000000\
      0000000*ep^7+149279952662732585780149499744446412420289568398096201278095\
      3919076260943026794670388768583154343673335658203991994596656534095668468\
      0863704016784677105873868601/
      2094625760572450672758420618749658883643487739255267858304896593636814375\
      8653293486463218574501030834273458261649808363487347796513986247816655841\
      3283481288415242231853927757933700854719279012670483154129388407850270720\
      00000000000000000000000000000*ep^8;
Fill mncpoch(49,33) = 1/8243181530580561134735770204887278420138304945784456738\
      2515883326413209600000000000000+504953079376284995693/
      3649426631406827345802717294953102890302420076674736724635165473352255306\
      9694909155293265920000000000000000*ep+13178868437858434996997832212603259\
      2326069/16156765065300441436659064038187261098095729271418310401341130948\
      100342447331836414250719366090836174631337984000000000000000000*ep^2+
      260262036678837836430737955695343656756752508668115702688347/
      7860366402199850099716581797364598367655780960915107668275862183553760731\
      2410409234798283132338199057526960357398625297157324800000000000000000000
      *ep^3+4706315393621450292385427993377863913664598739006634644011801835078\
      40392903373563/4523930412875217167049368185808735462341367653414303446545\
      2231876944653457707911812112367975538379870091687459203670341980637688814\
      6741569236500480000000000000000000000*ep^4+490986122850636758648379316712\
      2077539905977316175329532483098555156410379062845906505242222452498789/
      1820761257611982413104011681841804624632312537953484624183850268802361899\
      2019711088873900338184301393007682494982529061159114672059087888907167427\
      463136475334311936000000000000000000000000*ep^5+
      3725751514367912940612723467124889098996131581854970980129592541867825919\
      0078332119229032128122980957242648496270382664949/
      6206882185841087887826706044338147523145635796551562640335193762547466386\
      1507068757796638524219971513114705441189179761334877955391695567140888660\
      0614184428956257930511798510828283494400000000000000000000000000*ep^6+
      1466525767254425133184799396823033960008214441269685074177616295489223510\
      2764651548830278668365106043259931071425569992119173564504724293677/
      1243400396026709929597935501314028360699020818711048902820176847762996263\
      7826496615228030020872326179877450642561361648841084832047402027088652697\
      2894248095051160386722973970440372265745211199301091328000000000000000000\
      0000000000*ep^7+230806505006501931972269825481859357154507819035447147875\
      2422638777635099826749125909090116745773166850236546468651415105326100187\
      7767354459207419707192273495751/
      1105962401582253955216446086699819890563761526326781429184985401440237990\
      4568938960852579407336544280496385962151098815921319636559384738847194284\
      2213678120283247898418873856188994051291779318690015105380317079344942940\
      16000000000000000000000000000000*ep^8;
Fill mncpoch(49,34) = 1/4204022580596086178715242804492511994270535522350072936\
      5083100496470736896000000000000000+534467788940532583373/
      1861207582017481946359385820426082474054234239104115729563934391409650206\
      5544403669199565619200000000000000000*ep+14756334594060974807560954872568\
      6319970709/82399501833032251326961226594755031600288219284233383046839767\
      83531174648139236571267866876706326449061982371840000000000000000000*ep^2
      +308122358632306957024070886774631158660689747728886708284667/
      4008786865121923550855456716655945167504448290066704910820689713612417972\
      9329308709747124397492481519338749782273298901550235648000000000000000000\
      000*ep^3+5888553843908302094878385761620884095858526255149308789701651365\
      98889324170706843/2307204510566360755195177774762455085794097503241294757\
      7380638257241773263431035024177307667524573733746760604193871874410125221\
      2954838200310615244800000000000000000000000*ep^4+648985174174625177160630\
      8315338472188806303546962992428002444916021791210268851336148927648199634\
      629/928588241382111030683045957739320358562479394356277158333763637089204\
      5685930052655325689172473993710433918072441089821191148482750134823342655\
      388006199602420499087360000000000000000000000000*ep^5+
      5200656401767448552331372919952453020427101201599523574466708483407192291\
      8344182156858364024746753302892975647509799010389/
      3165509914778954822791620082612455236804274256241296946570948818899207856\
      9368605066476285647352185471688499775006481678280787757249764739241853216\
      6313234058767691544561017240522424582144000000000000000000000000000*ep^6+
      2161077184637281055104996126707026515663084598524354255792029261125991443\
      4567162302211624235678682924817969118709606945804736472082301254797/
      6341342019736220640949471056701544639565006175426349404382901923591280945\
      2915132737662953106448863517374998277062944409089532643441750338152128756\
      1760665284760917972287167249245898555300577116435565772800000000000000000\
      000000000000*ep^7+2966557739689990212716461840506183621414652980425992942\
      7345993350953284086987917463562321642042894269858889718430932101675463033\
      1697901484670175017767167895391/
      4661494419892144769920557886090149951962961805178996106482169873839019629\
      1984784049874508245798657711183114385926118976197297641696580304231975908\
      7016329267309557257798559228565181538502540930015766146644311656743147929\
      60000000000000000000000000000000*ep^8;
Fill mncpoch(49,35) = 1/2059971064492082227570468974201330877192562405951535738\
      8890719243270661079040000000000000000+566090692045083570173/
      9119917151885661537160990520087804122865747771610167074863278517907286012\
      116757797907787153408000000000000000000*ep+236378252919342339876703454706\
      77216669587/5767965128312257592887285861632852212020175349896336813278783\
      74847182225369746559988750681369442851434338766028800000000000000000000*
      ep^2+365622101617625489627849715613765667822885610663019815857867/
      1964305563909742539919173791161413132077179662132685406302137959670084806\
      7371361267776090954771315944475987393313916461759615467520000000000000000\
      000000*ep^3+7391618041912042605827796214572235557874073395671006930199418\
      17868228008281729643/1130530210177516770045637109633602992039107776588234\
      4312916512746048468899081207161846880757087041129535912696054997218460961\
      3584347870718152201469952000000000000000000000000*ep^4+
      1230685860671848198783430340684878516118607619259606393245874721019858877\
      109646863684483632683866147/
      6500117689674777214781321704175242509937355760493940108336345459624431980\
      1510368587279824207317955973037426507087628748338039379250943763398587716\
      0433972169434936115200000000000000000000000000*ep^5+
      7298329040900038619296600197369752212020147216016091065022743018188589714\
      9305098737600428221188749224056170686702319334789/
      1551099858241687863167893840480103066034094385558235503819764921260611849\
      8990616482573379967202570881127364889753176022357586001052384722228508076\
      1493484688796168856834898447855988045250560000000000000000000000000000*
      ep^6+32053955198658442097270183623485360263184280722618479530958119796096\
      826437122482151748799808912499196453742659930592367175859534380534375997/
      3107257589670748114065240817783756873386853025958911208147621942559727663\
      1928415041454847022159943123513749155760842760453870995286457665694543090\
      5262725989532849806420711952130490292097282787053427228672000000000000000\
      000000000000000*ep^7+8037182864056587476881528250346162898057625299075429\
      2818810108606596979017319766894328670219183056561600473025800980713770465\
      05736253221937301910473750616848273/
      3948285773648646620122712529518357009312628648986609702190397883141649625\
      9311112090243708484191463081372097884879422772839111102517003517684483594\
      6702830889411194997355379666594708763111652167723353926207731973261446296\
      371200000000000000000000000000000000*ep^8;
Fill mncpoch(49,36) = 1/9640664581822944825029794799262228505261192059853187258\
      000856605850669384990720000000000000000+600146126157676940573/
      4268121227082489599391343563401092329501169957113558191036014346380609853\
      670642649420844387794944000000000000000000*ep+265575734144043648047563700\
      78602156275187/2699407680050136553471249783244174835225442063751485628614\
      4707942848128147304139007473531888089925447127054250147840000000000000000\
      0000*ep^2+5657517012633740560455573092109021885004359350508071826417071/
      1195083505082687361286825334542603749555756106441525801194220734663279596\
      4188736195314973736882868620619190730092186775334550050439168000000000000\
      0000000000*ep^3+931831002055828686960269631288596205300833307420613237538\
      206595123623788267828043/529088138363077848381358167308526200274302439443\
      2937138444927965150683444770004951744340194316735248622807141753738698239\
      7299157474803496095230287937536000000000000000000000000*ep^4+
      1642814552809304449806251170300676070687715680108120320019574617485829930\
      079283217248462843709919747/
      3042055078767795736517658557554013494650682495911163970701409675104234166\
      7106852498846957729024803395381515605317010254222202429489441681270539051\
      1083098975295550101913600000000000000000000000000*ep^5+
      1031385955379376566316425475382369966201101513461135746018096260566932934\
      51101444365372475992217853647305138387726529997989/
      7259147336571099199625743173446882349039561724412542157876499831499663457\
      5276085138443418246508031723676067684044863784633502484925160500029417796\
      378950834356607024998732473596602405177262080000000000000000000000000000*
      ep^6+36665583888273938252488157423201047917959988564110298726680874675727\
      962259022302457307467864168159426576570447310610982193603755343892142633/
      1112032657385695972116054419729198636334447871172589164139419523443140182\
      5214851594835958193107123174321038227273468667917726537371929908122682362\
      5154024995312815189544918324515406055124698145672532427014144000000000000\
      000000000000000000*ep^7+1272372087383175350440814406036390553297137446409\
      3093128192445638809607609863894937064363608225002335056483473645871431770\
      779647675497484398544969412344163290673/
      1847797742067566618217429463814591080358310207725733340625106209310292024\
      9357600458234055570601604722082141810123569857688703995977957646276338322\
      3056924856244439258762317683966323701136253214494529637465218563486356866\
      701721600000000000000000000000000000000*ep^8;
Fill mncpoch(49,37) = 1/4280455074329387502313228890872429456335969274574815142\
      552380332997697206935879680000000000000000+637039513112986425173/
      1895045824824625382129756542150084994298519460958419836819990369792990775\
      029765336342854908180955136000000000000000000*ep+299150798805614160531091\
      71389575741394587/1198537009942260629741234903760413626840096276305659619\
      1048250326624568897403037719318248158311926898524412087065640960000000000\
      0000000000*ep^2+676118563046628632207648218066668483621970317641586402627\
      7271/53061707625671318841135044853691606480275571126003745573023400619049\
      6140809979887071984833917599366755492068416093092824854022239499059200000\
      00000000000000000*ep^3+11812740397972995081528316539209677400976083727932\
      29859409990035359850403972354643/
      2349151334332065646813230262849856329217902831128224089469548016526903449\
      4778821985744870462766304503885263709386599820184400825918812752266282247\
      844265984000000000000000000000000*ep^4+2208804166452206094507688141812881\
      027399066385305075329054426227784176042115159556534477189849491147/
      1350672454972901307013840399553981991624903028184556802991425895746279970\
      0195442509488049231687012707549392928760752552874657878693312106484119338\
      6920895945031224245249638400000000000000000000000000*ep^5+
      1470618493546836078810982192657240096758023706339341169709323511928953910\
      65216850624311739632580228706080550761443428709789/
      3223061417437568044633829969010415762973565405639168718097165925185850575\
      1422581801468877701449566085312174051715919520377275103306771262013061501\
      5922541704543335190994372182768914678987043635200000000000000000000000000\
      00*ep^6+94246843872452593645557154373814901384965544375157930527942984397\
      5878165446972533775099221440430285060702989350778161200372851391397493762\
      961/839362249794723319753197876011599130705241253161070301092433856294882\
      2097672169983782181244157256571977519653946014150544299990408332694651000\
      6472266258066462112905068504351344228490408122160353627475910275891200000\
      0000000000000000000000000*ep^7+264940294305373669282434532631422096580445\
      7457041429574267281882854478519603587788847221711324727577729051924723342\
      73902642069383649622200052510207973399853549/
      1065483373348051400634465820693088882700116535363929354853957346667233323\
      4694512472020676199152094151434377874928396125732187758719757396034667811\
      8230226800224066273883726041144217822473371983422819687057866288555769414\
      0461875200000000000000000000000000000000*ep^8;
Fill mncpoch(49,38) = 1/1789230221069683975966929676384675512748435156772272729\
      586894979193037432499197706240000000000000000+677286844336960408373/
      7921291547766934097302382346187355276167811346806194917907559745734701439\
      62441910591313351619639246848000000000000000000*ep+3380922101737138082236\
      4983976289947299387/50098847015586494323183618977185289601916024349576572\
      0785816863652906979911446976667502773017438544358320425239343792128000000\
      00000000000000*ep^2+81219165471769749361110824500392996025245217172746533\
      34575671/2217979378753061127559444874884309150875518873066956564952378145\
      8762738685857159279608966057755653530379568459792691280078898129611060674\
      560000000000000000000000*ep^3+1508159505245006334274416033823355048207498\
      162480665154769819166388026719655081843/
      9819452577508034403679302498712399456130833834115976693982710709082456418\
      8175475900413558534363152826240402305235987248370795452340637304473059795\
      98903181312000000000000000000000000*ep^4+32968187994714338142913773494465\
      606602117000318657613639836189719769345557899924544234883873873979417/
      6210391947965400209649638157149209197491304123592592180154576268641395302\
      1498644658626050367296884429312108686441940238117676926231849065613980719\
      3062279555253569079657837363200000000000000000000000000*ep^5+
      2120790468764816273666701927749567690715348012869256646871951801431000604\
      32337542479790713800915120841785743742598314635389/
      1347239672488903442656940927046353788922950339557172524164615356727685540\
      4094639193013990879205918623660488753617254359517700993182230387521459707\
      6655622432499114109835647572397406335816584239513600000000000000000000000\
      00000*ep^6+13132395242577220306938426921351484934478981361468014208804326\
      4313971074029040063001490577056989013314537281810143593243760448753517044\
      948851/318957654921994861506215192884407669667991676201206714415124865392\
      0552397115424593837228872779757497351457468499485377206833996355166423967\
      3802459461178065255602903926031653510806826355086420934378440845904838656\
      000000000000000000000000000000*ep^7+
      3323646785946587875364801104273635051624260730198186323853952291449666240\
      5868701701511656066811743915687582771843156669704278277365101051465546308\
      937691569602473/
      3429364785458038238082091690482775877858595080722343021532947115983157174\
      9187757842445748414590930235806688628244535770281619520215411154877181819\
      1335807979201179709122160636026779483412795065844687444764448436345599436\
      04905915187200000000000000000000000000000000*ep^8;
Fill mncpoch(49,39) = 1/6977997862171767506271025737900234499718897111411863645\
      38889041885284598674687105433600000000000000000+721558908683331789893/
      3089303703629104297947929115013068557705446425254416017983948300836533561\
      45352345130612207131659306270720000000000000000000*ep+3837277850807509179\
      1520213321114630581867/19538550336078732786041611401102262944747249496334\
      8631106468576824633722165464320900326081476801032299744965843344078929920\
      00000000000000000000*ep^2+98207586664355322213140740112150071880208767616\
      88367585473511/8650119577136938397481835012048805688414523604961130603314\
      2747689174680874842921190474967625247048768480316993191495992307702705483\
      13663078400000000000000000000000*ep^3+19429447648556246155182830320616327\
      69280088465281766791117091603978777408089998563/
      3829586505228133417434927974497835787891025195305230910653257176542158003\
      3388435601161287828401629602233756899042035026864610226412848548744493320\
      43572240711680000000000000000000000000*ep^4+45256498802019141879813067920\
      913204107778072681952444347960851218468684273219409364483692268320373097/
      2422052859706506081763358881288191587021608608201110950260284744770144167\
      8384471416864159643245784927431722387712356692865894001230421135589452480\
      5294289026548891941066556571648000000000000000000000000000*ep^5+
      3102553796021506961424164126568679329167596038681767980906650190678493814\
      06578440191708654025902416536189429753515132039949/
      5254234722706723426362069615480779776799506324272972844241999891237973607\
      5969092852754564428903082632275906139107292002119033873410698511333692859\
      8956927486746545028359025532349884709684678534103040000000000000000000000\
      0000000*ep^6+204776605524993029882595911576476211316555843003082697820307\
      0773888736891416635045964717158047827544211488680695957430340658072863424\
      51153891/1243934854195779959874239252249189911705167537184706186218986975\
      0290154348750155915965192603841054239670684127147992971106652585785149053\
      4727829591898594454496851325311523448692146622784837041644075919299028870\
      75840000000000000000000000000000000*ep^7+
      1127624743369210392092320017339742562474462792746961323628467454741645026\
      6796254497524743743193266770622122359311771010898562522821433452719782191\
      19270220048457/
      2729494421078846760922481141404658351765004247921864853873161990272308771\
      8741276650109881391205026106050221561255855000836391046702061939596124305\
      0246867575282571605219678873572334690879571583019241027465581408519966898\
      079863406592000000000000000000000000000000000*ep^8;
Fill mncpoch(49,40) = 1/2512079230381836302257569265644084419898802960108270912\
      34000055078702455522887357956096000000000000000000+770750091290411102693/
      1112149333306477547261254481404704680773960713091589766474221388301152082\
      12326844247020394567397350257459200000000000000000000*ep+4378907972023075\
      7958450511975165583349067/70338781209883438029749801043968146601090098186\
      8055071983286876568681399795671555241173893316483716279081877036038684147\
      7120000000000000000000000*ep^2+119747952831493569427482663826178246413726\
      94094645084466631111/3114043047769297823093460604337570047829228497786007\
      0171931389168102885114943451628570988345088937556652914117548938557230772\
      97397392918708224000000000000000000000000*ep^3+25319991063114166574869696\
      16438994316608908238637219946182271549942348805070519363/
      1378651141882128030276574070819220883640769070309883127835172583555176881\
      2019836816418063618224586656804152483655132609671259681508625477548017595\
      35686006656204800000000000000000000000000*ep^4+63049646001951502300673375\
      3855393828259978842302588098075071681352433365103191855101935660439109082\
      97/8719390294943421894348091972637489713277790989523999420937025081172519\
      0042184097100710974715684825738754200595764484094317218404429516088122028\
      929905944049557601098783960365793280000000000000000000000000000*ep^5+
      4622282254420422152701139947883431160152395759364737171927583386763520485\
      72591408169092028749176795122541838234477468818349/
      1891524500174420433490345061573080719647822276738270223927119960845670498\
      7348873426991643194405109747619326210078625120762852194427851464080129429\
      5624493895228756210209249191645958495486484272277094400000000000000000000\
      0000000000*ep^6+326367798272938070102669820416855398654111378161565131764\
      2823993593942778984370202606594470744441613305486553204290627569432277988\
      81162119491/4478165475104807855547261308097083682138603133864942270388353\
      1101044555655500561297474693373827795262814462857732774695983949308826536\
      5925020186530834940036188664771121484415291727842025413349918673309476503\
      9347302400000000000000000000000000000000*ep^7+
      9424291318974086015601922718788135509214808508124596979461342398136534697\
      5251094796479491889453549032006759621506705992254104952288115868348409968\
      897925356423193/
      4814828158783085686267256733437817332513467493334169602232257750840352673\
      5859612010793830774085666051072590834055328221475393806382437261447563274\
      0635474402798456311607513532981598394711564272445941172449285604629221608\
      2128790492282880000000000000000000000000000000000*ep^8;
Fill mncpoch(49,41) = 1/8239619875652423071404827191312596897268073709155128592\
      4752018065814405411507053409599488000000000000000000+
      826090171723375329593/364784981324524635501691469900743135293859113894041\
      4434035446153627778829364320491302268941810633088444661760000000000000000\
      0000*ep+50319922084238303838393715928846431442167/
      2307112023684176767375793474242155208515755220527220636105180955145274991\
      3298027011910503700780665893953885566782068840044953600000000000000000000\
      00*ep^2+14759503818671597579099755590374898220047941846186771682323411/
      1021406119668329685974655078222722975687986947273810301639349564713774631\
      7701452134171284177189171518582155830556051846771693535463448773362974720\
      00000000000000000000000*ep^3+33487912347873455215209024496136256912638398\
      33249786808394198014999196844456475263/
      4521975745373379939307162952287044498341722550616416659299366074060980170\
      3425064757851248667776644234317620146388834959721731755348291566357497712\
      7705010183235174400000000000000000000000000*ep^4+895242711857139726103602\
      1865158064798769443403072400399149266095983035469854929457497333789302079\
      0397/28599600167414423813461741670250966259551154445638718100673442266245\
      8623338363838490331997067446228423113777954107507829360476366528812769040\
      25489009149648254893160401138999980195840000000000000000000000000000*ep^5
      +704987963479917950510217245221992373084523386913073076128152966882924163\
      074791318992797680058141163371216064047815873704049/
      6204200360572099021848331801959704760444857067701526334480953471573799235\
      8504304840532589677648759972191389969057890396102155197723352802182824528\
      9648339976350320369486337348598743865195668413068869632000000000000000000\
      000000000000*ep^6+5349992988250787458061969449412048415122665529416584667\
      8335372207901443003693199701666743287540603751633904319089117590868361483\
      4932577545791/
      1468838275834376976619501709055843447741461827907701064687379820114261425\
      5004184105571699426615516846203143817336350100282735373295104002340662118\
      2113860331869882044927846888215686732184335578773324845508293290591518720\
      0000000000000000000000000000000*ep^7+
      1661453948876706412017288437525756877009873889494158565624535212511305587\
      0750749085846394035853070158130181551304178446249396604697680912617725948\
      5798053111798093/
      1579263636080852105095660208567604085064417337813607629532180542275635676\
      9361952739540376493900098464751809793570147656643929168493439421754800753\
      8928435604117893670207264438817964273465393081362268704563365678318384687\
      4938243281468784640000000000000000000000000000000000*ep^8;
Fill mncpoch(49,42) = 1/2422448243441812382993019194245903487796813670491607806\
      1877093311349435190983073702422249472000000000000000000+
      18149713835356679657/2188709887947147813010148819404458811763154683364248\
      6604212676921766672976185922947813613650863798530667970560000000000000000\
      0000*ep+58355175072109682237867245956398128828567/
      6782909349631479696084832814271936313036320348350028670149232008127108474\
      5096199415016880880295157728224423566339282389732163584000000000000000000\
      0000*ep^2+2635746273225780689998458593356349216997423695941312491736373/
      4289905702606984681093551328535436497889545178550003266885268171797853453\
      4346098963519393544194520378045054488335417756441112848946484848124493824\
      000000000000000000000000*ep^3+4515690520876948793030712081830897861189983\
      849817769195615488026885527840896744863/
      1329460869139773702156305907972391082512466429881226497834013625773928170\
      0806969038808267108326333404889380323038317478158189136072397720509104327\
      5545272993871141273600000000000000000000000000*ep^4+
      9122683858836600615906580942992574485727031301586202613881433722150203740\
      71733186470864087920107149579/
      5885797714453888420810426435737648856215627584912448185118594418393398468\
      3035277961310324996480433809476815502955325111282386036231629667868484456\
      380829976108570124105544061959243038720000000000000000000000000000*ep^5+
      1108868010289935509875510830023385310725439990949676093305575855782463528\
      516350335838152084202596943111829242468891037504849/
      1824034906008197112423409549776153199570787977904248742337400320642696975\
      3400265623116581365228735431824268650903019776454033628130665723841750411\
      5156611953046994188628983180488030696367526513442247671808000000000000000\
      000000000000000*ep^6+1688372408506141099971100117490846716083941791178691\
      5071926910074391180366905334764652322994300641012720684244046859761544183\
      86525273952269/
      8011845140914783508833645685759146078589791788587460352840253564259607775\
      4568276939481996872448273706562602640016455092451283854336930921858157008\
      4257419992017538426879164844812836721005466793309044611863417948681011200\
      000000000000000000000000000000*ep^7+
      3059236535594116069653630447406944112476157665249260207592221871337625541\
      2245748417458873420618269571697420387775537906487715119803357385136596982\
      5781261522603693/
      4643035090077705188981241013188756010089386973172006430824610794290368890\
      1924141054248706892066289486370320793096234110533151755370711899959114216\
      4449600676106607390409357450124814963988255659205069991416295094256050981\
      231843524751822684160000000000000000000000000000000000*ep^8;
Fill mncpoch(49,43) = 1/6249916468079875948121989521154430998515779269868348139\
      964290074328154279273633015224940363776000000000000000000+
      137588964549013753199/395281005763254895029632876784445261404425735815583\
      3080720809452071061139499177684375138625346002014638635483136000000000000\
      00000000*ep+68507420891883928489958129598094711299367/
      1749990612204921761589886866082159568763370649874307396898501858096793986\
      4234819449074355267116150693881901280115534856550898204672000000000000000\
      0000000*ep^2+3357880784161359828420553007032260677129415718811622513521573
      /110679567127260204772213624276214261645550265606590084285639918832384619\
      0986129353258800353440218625753562405799053778116180711502819309081611940\
      6592000000000000000000000000*ep^3+625006085255503213283415234866768552051\
      4948257356842234821445385460725911454606063/
      3430009042380616151563269242568768992882163389093564364411755154496734678\
      8081980120125329139481940184614601233438859093648127971066786118913489165\
      090680432418754448588800000000000000000000000000*ep^4+
      1373440212938748658574734087372130098809853242372042794671350050844037400\
      277795200418392632601237409179/
      1518535810329103212569090020420313404903631916907411631760597359945496804\
      8223101714018063849091951922845018399762473878710855597347760454310068989\
      746254133836011092019230367985484703989760000000000000000000000000000*
      ep^5+18182600675929822578444523269698616922652744021628743605672310744920\
      19903424759507444977793024865027464714037375308225512449/
      4706010057501148550052396638422475254892632982992961755230492827258158196\
      3772685307640779922290137414106613119329791023251406760577117567511716061\
      7104058838861245006662776605659119196628218404680998993264640000000000000\
      00000000000000000*ep^6+23249783398682171629566615438801044118155784318605\
      6807951008583631582028685840466868856071801273150265765282021233371675267\
      857386208088325913/
      1591633155694130891864892051932911959972648036720784873695244773075813680\
      6722533896797493498680574054545726640465668968666372050502574696936341471\
      2938579055614204183883814888070518142994946033158774802592786609684969684\
      99200000000000000000000000000000000*ep^7+
      5975631604480136342329106753547668280285527140600782830752375028916651623\
      6635939646817879956860677823732895381105883643043470828836542435818760985\
      1286906573556893/
      1197903053240047938757160181402699050603061839078377659152749584926915173\
      6696428391996166378153102687483542764618828400517553152885643670189451467\
      8427996974435504706725614222132202260708969960074908057785404134318061153\
      157815629385970252513280000000000000000000000000000000000*ep^8;
Fill mncpoch(49,44) = 1/1374981622977572708586837694653974819673471439371036590\
      792143816352193941440199263349486880030720000000000000000000+
      150238125790834147919/869618212679160769065192328925779575089736618794283\
      2777585780794556334506898190905625304975761204432204998062899200000000000\
      0000000000*ep+81810124836464022884362531965886837413127/
      3849979346850827875497751105380751051279415429723476273176704087812946770\
      1316602787963581587655531526540182816254176684411976050278400000000000000\
      000000000*ep^2+4392710244431248604638744519212070186918255253353457363011\
      013/243495047679972450498869973407671375620210584334498185428407821431246\
      1620169484577169360777568480976657837292757918311855597565306202479979546\
      269450240000000000000000000000000*ep^3+8972701760904982102106751589808688\
      607872646743213178788540857544555943988440122703/
      7546019893237355533439192333651291784340759456005841601705861339892816293\
      3780356264275724106860268406152122713565490006025881536346929461609676163\
      19949695132125978689536000000000000000000000000000*ep^4+
      2167920272377918999444574122119532619780454334518562029942151516214278153\
      297782493776019037474090706299/
      3340778782724027067651998044924689490787990217196305589873314191880092970\
      6090823770839740468002294230259040479477442533163882314165072999482151777\
      44175909443922440244230680956806634877747200000000000000000000000000000*
      ep^5+31619563487442370844301814181147639042195574228800908410197267111498\
      18513989407694462720752420051033119857761331388972235169/
      1035322212650252681011527260452944556076379256258451586150708421996794803\
      2029990767680971582903830231103454886252554025115309487326965864852577533\
      5762892944549473901465810853245006223258208049029819778518220800000000000\
      00000000000000000000*ep^6+23870625597071462149663678392195474395074106621\
      4446010392324798791179242944497914254500441237155008496667496724924221116\
      1723408338631381019/
      1872509594934271637488108296391661129379585925553864557288523262442133741\
      9673569290349992351388910652406737224077257610195731824120676114042754672\
      1104210653663769628098605750671197815288171803716205650109160717276434923\
      52000000000000000000000000000000000*ep^7+
      1269477790933722578947501195574185595657590380450889178819267575697231892\
      4950501879561147191175082398420025970650717434916481119866834808659717542\
      91862518448895933/
      2635386717128105465265752399085937911326736045972430850136049086839213382\
      0732142462391566031936825912463794082161422481138616936348416074416793229\
      2541593343758110354796351288690844973559733912164797727127889095499734536\
      94719438464913455552921600000000000000000000000000000000000*ep^8;
Fill mncpoch(49,45) = 1/2474966921359630875456307850377154675412248590867865863\
      42585886943394909459235867402907638405529600000000000000000000+
      166049577343109641319/156531278282248938431734619206640323516152591382970\
      9899965440543020140211241674363012554895637016797796899651321856000000000\
      0000000000000*ep+100188518768518826645954506797121099975327/
      6929962824331490175895951989685351892302947773502257291718067358063304186\
      2369885018334446857779956747772329069257518031941556890501120000000000000\
      00000000000*ep^2+59768361550339280106276439247475097555779485112549041143\
      52813/4382910858239504108979659521338084761163790518020967337711340785762\
      4309163050722389048493996232657579841071269642529613400756175511644639631\
      8328501043200000000000000000000000000*ep^3+136033220706641492380312614813\
      90404682370167125431563063758248141448032229833898503/
      1358283580782723996019054620057232521181336702081051488307055041180706932\
      8080464127569630339234848313107382088441788201084658676542447303089741709\
      37590945123782676164116480000000000000000000000000000*ep^4+
      3673538147470061990567373316662518043133824211949146437061548683346819622\
      301773395344453479003015367699/
      6013401808903248721773596480864441083418382390953350061771965545384167347\
      0963482787511532842404129614466272863059396559694988165497131399067873199\
      3951663699906039243961522572225194277994496000000000000000000000000000000
      *ep^5+6008070900508015934810059133365421371112791557751247661980436687315\
      526900629467901036914748200514739129329864436023708878569/
      1863579982770454825820749068815300200937482661265212855071275159594230645\
      7653983381825748849226894415986218795254597245207557077188538556734639560\
      4373207300189053022638459535841011201864774488253675601332797440000000000\
      0000000000000000000000*ep^6+954382420408651796854942097947945575820330763\
      9751262704747871310974403060341728183694462120491709950261865156723450250\
      40888615587284791036353/
      6302867296548758331784972525654331361491686225414308099833169301380222175\
      4621234231318074254775073256001077496244049115918833319990195799867912226\
      3236773060232248568179906956759251846259986291308748218267434974352479952\
      568320000000000000000000000000000000000*ep^7+
      3065208187847266157222985542915887625708133475078650422547678903389809469\
      1151952918508872344893707155426752467330159380376249209623717811528053905\
      72231817425749733/
      4743696090830589837478354318354688240388124882750375530244888356310584087\
      7317856432304818857486286642434829347890560466049510485427148933950227812\
      6574868018764598638633432319643520952407521041896635908830200371899522166\
      5049498923684421999525888000000000000000000000000000000000000*ep^8;
Fill mncpoch(49,46) = 1/3415454351476290608129704833520473452068903055397654891\
      5276852398188497505374549701601254099963084800000000000000000000+
      187131512746143632519/216013164029503535035793774505163646452290576108499\
      9661952307949367793491513510620957325755979083180959721518824161280000000\
      000000000000000*ep+127804180013622450805564201010311858804927/
      9563348697577456442736413745765785611378067927433115062570932954127359777\
      0070441325301536663736340311925814115575374884079348508891545600000000000\
      0000000000000*ep^2+867119562231884439598477276686603379365765801584049514\
      8995213/60484169843705156703919301394465569704060309148689349260416502843\
      5215466450099968968869217148010674601806783521066908664930435222060696026\
      91929333143961600000000000000000000000000*ep^3+22560795783527202579580709\
      402360873621608331957022533901480447076233816118956052903/
      1874431341480159114506295375678980879230244648871851053863735956829375567\
      2751040496046089868144090672088187282049667717496828973628577278263843558\
      9387550427082009310648074240000000000000000000000000000*ep^4+
      7002914822915596864150940902719186063497641549432981552478789953128334333\
      118458845255968466264070542899/
      8298494496286483236047563143592928695117367699515623085245312452630150938\
      9929606246765915322517698867963456551021967252379083668386041330713665015\
      1653295905870334156666901149670768103632404480000000000000000000000000000\
      00*ep^5+13242185799061151834597920501622752011101366103231756622604132630\
      733701302646883130305540370050478984556884212204828344829769/
      2571740376223227659632633714965114277293726072545993739998359720240038291\
      1562497066919533411933114294060981937451344198386428766520183208293802593\
      4035026074260893171241074159460595458573388793790072329839260467200000000\
      000000000000000000000000*ep^6+2447274963781813608671526846170300652871037\
      1723256368127819846981973472843795008315251166102752231633976502984633215\
      24148046347408924815870753/
      8697956869237286497863262085402977278858526991071745177769773635904706602\
      1377303239218942471589601093281486944816787779967989981586470203817718872\
      3266746823120503024088271600327767547838781082006072541209060264606422334\
      54428160000000000000000000000000000000000*ep^7+
      9204810019136620999959839192806130582313821128614444645977905699941635227\
      3440125953454885202743356773226052531467284510179404759210555667109220829\
      64424325211208133/
      6546300605346213975720128959329469771735612338195518231737945931708606041\
      0698641876580650023331075566560064500088973443148324469889465528851314381\
      4673317865895146121314136601108058914322379037817357554185676513221340589\
      776830851468450235934572544000000000000000000000000000000000000*ep^8;
Fill mncpoch(49,47) = 1/3210527090387713171641922543509245044944768872073795598\
      036024125429718765505207671950517885396529971200000000000000000000+
      218754415850694619319/203052374187733322933646148034853827665153141541989\
      9682235169472405725882022699983699886210620338190102138227694711603200000\
      00000000000000000*ep+176227727886596630119324629816074416729327/
      8989547775722809056172228921019838474695383851787128158816676976879718190\
      3866214845783444463912159893210265268640852391034587598358052864000000000\
      000000000000000*ep^2+1424402798561186748244061013358065471148602576340706\
      1498878813/56855119653082847301684143310797635521816690599767988304791512\
      6729102538463093970830737064119130034125698376509802894145034609108737054\
      2653041357315532390400000000000000000000000000*ep^3+446322341070955190640\
      62627067517615497018221413357665321637482256693909764326804503/
      1761965460991349567635917653138242026476429969939539990631911799419613033\
      2385978066283324476055445231762896045126687654447019235210862641568012945\
      402429740145708875200918978560000000000000000000000000000*ep^4+
      1688272052447381817473163739452989464143766807051650058031907354615126972\
      9928748838817953868619405465699/
      7800584826509294241884709354977352973410325637544685700130593705472341882\
      6533829871959960403166636935885649157960649217236338648282878850870845114\
      2554098151518114107266887080690522017414460211200000000000000000000000000\
      0000*ep^5+394023369281069905097927367048503480886913097785533170581012013\
      95325733083951800205443366127096752833101663476196884431716569/
      2417435953649834000054675692067207420656102508193234115598458137025635993\
      6868747242904361407217127436417323021204263546483243040528972215796174437\
      7992924509805239580966609709892959731058985466162667990048904839168000000\
      00000000000000000000000000*ep^6+91104636416983833550499374167536582629758\
      7634380324848972753780378881172750538818945390588378438330541801832532370\
      3911550644012656686884642353/
      8176079457083049307991466360278798642127015371607440467103587217750424206\
      0094665044865805923294225027684597728127780513169910582691281991588655739\
      9870742013733272842642975304308101494968454217085708188736516648730036994\
      4716247040000000000000000000000000000000000*ep^7+
      4348862778763318182855875351253336099337744301945264462135768386625740881\
      2830266340048644145037506371400979807961919093260769437347194397740011103\
      193862100860115733/
      6153522569025441137176921221769701585431475597903787137833669175806089678\
      6056723363985811021931211032566460630083635036559425001696097597120235518\
      5792918793941437354035288405041575379463036295548316100934535922428060154\
      39022100038034322177849819136000000000000000000000000000000000000*ep^8;
Fill mncpoch(50,0) = 1;
Fill mncpoch(50,1) = 1/49+1/2401*ep+1/117649*ep^2+1/5764801*ep^3+1/282475249*
      ep^4+1/13841287201*ep^5+1/678223072849*ep^6+1/33232930569601*ep^7+1/
      1628413597910449*ep^8;
Fill mncpoch(50,2) = 1/4704+97/11063808*ep+7057/26022076416*ep^2+456385/
      61203923730432*ep^3+27671281/143951628613976064*ep^4+1610696737/
      338574230500071702528*ep^5+91154730577/796326590136168644345856*ep^6+
      5053650140545/1872960140000268651501453312*ep^7+275808137315761/
      4405202249280631868331418189824*ep^8;
Fill mncpoch(50,3) = 1/663264+6911/73319855616*ep+31843585/8105070119215104*
      ep^2+122279371775/895966871258514456576*ep^3+422628106556161/
      99043761816401222087737344*ep^4+1363426561042232831/
      10948693606232256694466836955136*ep^5+4189355740717795033345/121031238600\
      7338584033142024368553984*ep^6+12413660706099440333899775/133792772398795\
      236433359651941797431607296*ep^7+35764276602017809902193585921/1478998823\
      2052420616289309364254055279596929024*ep^8;
Fill mncpoch(50,4) = 1/122040576+214225/310289628966912*ep+28685900665/
      788915105123921362944*ep^2+3073300217942305/2005826121758831552341475328*
      ep^3+288136121612889732361/5099836984485290327806829119143936*ep^4+
      24701340715965889273234225/12966396731097664481932796717372887007232*ep^5
      +1985467505467278917791213802905/3296721928557658511728791884748117369053\
      1446784*ep^6+152007107824738802905476099981739585/83819550640209894579725\
      941124747053882260489825681408*ep^7+1120247260225519252034201295486275017\
      0921/213112213337341339487688162020962881460293882507672888016896*ep^8;
Fill mncpoch(50,5) = 1/27459129600+4060879/1047227497763328000*ep+9895938845641/
      39938827196898518999040000*ep^2+18759235990991409439/
      1523174211210612710059307827200000*ep^3+30485418695961726165965881/
      58090330651402760140174662935248896000000*ep^4+
      44594094892688943939422987620399/2215430441477390017342736439132383116001\
      280000000*ep^5+60409389602396674667402284423953399721/8449137723932342771\
      6611732639970304915459696230400000000*ep^6+771690387640820727699999361787\
      55738983005759/3222305107912600302759268943668742698368228947732201472000\
      000000*ep^7+94111781037853799768820692706886494385823891291161/
      122891241067936218314536116007576535032704037775347425434664960000000000*
      ep^8;
Fill mncpoch(50,6) = 1/7249210214400+54204089/3041148653504704512000*ep+
      1714213150565941/1275805895977726290905333760000*ep^2+
      41312571251028485152529/535219047032029936511479821552844800000*ep^3+
      840228420714806642203882011901/224532140201737582160046471369234478792704\
      000000*ep^4+15193014235594113855949548311162011769/9419448404001903687632\
      9172212299290368792246353920000000*ep^5+251875497441544686400900350805292\
      617013723461/395159499909168854452740569894731864034328874571966447616000\
      00000*ep^6+3905293034617908499017904749029497686301184560645409/
      16577513212145501920793714475429209267979217996504372684907347968000000000
      *ep^7+57408400087313038311248753775534873260781731698947717628621/
      6954506834886349922640776315428157502867482288610173724635109930974576640\
      000000000*ep^8;
Fill mncpoch(50,7) = 1/2182012274534400+2750290307/39361587022311390498816000*
      ep+4323366723386570269/710048495600507589477072598794240000*ep^2+
      5098353545266342634405118323/12808651892485056852827686077832811485593600\
      000*ep^3+5011406901366767854947567348780967741/23105684234160603493553105\
      9945446671804623543599104000000*ep^4+433585912754681676387691352736603318\
      6670755347/41680627158113760387661692838851042222634342220156240501145600\
      00000*ep^5+3411152149721531128450050440349641324791985072873717149/
      7518819450173287947046032199500437073459190831851283023615005388963840000\
      0000*ep^6+2492559048926991434787794058863468265820878693377886641325775283
      /135632906169693310528797200572177331101733032450928912704341098355779612\
      2853376000000000*ep^7+171666549111706289675717976707136928302127308670541\
      3772381162462067416061/24466986284147102798165759528101850475720484889214\
      064381954631336322107788268556402032640000000000*ep^8;
Fill mncpoch(50,8) = 1/733156124243558400+3179793227/
      13225493239496627207602176000*ep+5689097199379293109/23857629452177055006\
      4296393194864640000*ep^2+7541837404563571212256496603/4303707035874979102\
      550102522151824659159449600000*ep^3+8250648088792043016239672428739548501/
      77635099026779627738338436141670081726353510649298944000000*ep^4+
      7879536573575418512117460255353161187331878267/14004690725126223490254328\
      79385395018680513898597249680838492160000000*ep^5+67954361163189682196265\
      55003007769685981693797634756789/2526323335258224750207466819032146856682\
      2881195020310959346418106918502400000000*ep^6+541121870355944793650460074\
      2195914128637499246007903775691099163/45572656473016952337675859392251583\
      2501822989035121146686586090475419497278734336000000000*ep^7+
      4040799725054460179073880379278681613340334634363606787119514570585472021/
      8220907391473426540183695201442221759842082922775925632336756129004228216\
      858234951082967040000000000*ep^8;
Fill mncpoch(50,9) = 1/270534609845873049600+148410644947/
      200088487220344473023813320704000*ep+12240570217437021016309/147986251152\
      614532728832345438449392680960000*ep^2+740600123095803780109385493511123/
      109451227476610051414209722277884359806219589150310400000*ep^3+3667413604\
      1757393124381230534391567312858981/80950568737513364405623019372894941177\
      573553941567370686365696000000*ep^4+1574462410828310751496407202677709389\
      043399149493513507/598713667265838955152338184350646571652512496440761569\
      38981362407351255040000000*ep^5+60680950436573261879066571404489510604566\
      231496693438029701940629/442811040072157518173782024000505933042744035884\
      52591925409043518760292016203602329600000000*ep^6+21484890762601130853724\
      96041052082261957175787495437970922671586097361602163/
      3275048289865117607091301933064745478764332090434304813630142619620057598\
      6142895634971208187904000000000*ep^7+710223416077690517368977211445513597\
      12926481919115418682651067252196123026242606193861/
      2422238907864764148466076499160784604824427391718311811244875938956700658\
      2359496031882618192193469242408960000000000*ep^8;
Fill mncpoch(50,10) = 1/108213843938349219840000+166900745653/
      80035394888137789209525328281600000*ep+15326581812467482747327/5919450046\
      1045813091532938175379757072384000000*ep^2+
      204798032857415108491555855164797/875609819812880411313677778223074878449\
      7567132024832000000*ep^3+55607817301378904598655148097496801093092391/
      32380227495005345762249207749157976471029421576626948274546278400000000*
      ep^4+2602656552771655850189507403165769547767528340045841553/
      2394854669063355820609352737402586286610049985763046277559254496294050201\
      6000000000*ep^5+108804332200451981971444612473557132754775907980850061001\
      191377047/177124416028863007269512809600202373217097614353810367701636174\
      07504116806481440931840000000000*ep^6+83205842717910976214836066839785948\
      1727518705704788943664188666735041699469/26200386318920940856730415464517\
      96383011465672347443850904114095696046078891431650797696655032320000000000
      *ep^7+1479465621668575867446521995019808271728204205190170400567821127207\
      70089237698589819431/9688955631459056593864305996643138419297709566873247\
      244979503755826802632943798412753047276877387696963584000000000000*ep^8;
Fill mncpoch(50,11) = 1/46423739049551815311360000+2416244369569/44635739729114\
      4450421522755826483200000*ep+3185880349288821808507783/429166047792628249\
      4949229550653207767504912384000000*ep^2+
      607027274176052381941009427809845137/825273638101297355108488383786364972\
      9123155490306120482816000000*ep^3+233648123199827500861688568957923770944\
      6102894151/39674420964099965485539223806266771440931159183986813368813667\
      4417049600000000*ep^4+154237180314594047595253589454243287289086503318850\
      7959346109/38146370032079190568894710614329152367903696913712114011800375\
      19880854092646449152000000000*ep^5+90542586278764139085352606470446955852\
      8240369773266161426994340376225743/36677171619997203577663088779223004003\
      536201338300395779257815709316844033049051414369916682240000000000*ep^6+
      9685420672220277017928731054064515316078646509162126524313019290036031435\
      1531902961/70529118073959319589294896381352602223551456457634094455165973\
      273897155937849903900505035479110488172789760000000000*ep^7+
      2400741582320601539906815847409482736214435898805563450405790765094082856\
      38811675795468348804151/3390635289321468695918583103419915948582427482674\
      0339153353511242250436293823595606051768066990253026008319375504834560000\
      00000000*ep^8;
Fill mncpoch(50,12) = 1/21169225006595627781980160000+50716069205371/3867240490\
      130475518452073156480650444800000*ep+1393916565118406221255210423/
      706475981234312919188562371710328449855588657004544000000*ep^2+5503830272\
      143192055685123104669252443859/258121165898398014276223955192214887123774\
      09919652414258585534464000000*ep^3+43678885943610390722845337179240025099\
      4021952912442671/23577070577948870505306764766593603159548368557834535502\
      969476753297170340249600000000*ep^4+5918895478938294366968486066137975989\
      380375071277753666311763837551/430711100426679307699330285701879887311503\
      7306710161721738223313660395099704187725061029888000000000*ep^5+
      7105121049823256799410063076620950267765194319382325109258812649170323528\
      1176143/78683249226164034089046544135669088777867679455329684991024265257\
      8285581067519897441517928336935501168640000000000*ep^6+
      3097798562736163203724247400907939337015190411863404411306071015196928223\
      8873670628770096199/57496114705690589026284292868748705442227980911468569\
      06673247305033696836581190340272091496627590149536926991036448768000000000
      *ep^7+7800424081322294308024248786300704680632637949024576050417725822954\
      723702054016618795107751700791278194191/
      2625879109246507959659963988639028173469796311198325795622071656821069034\
      2269379031835388665830929107028750694518273768121618661376000000000000*
      ep^8;
Fill mncpoch(50,13) = 1/10182397228172496963132456960000+2059176755574007/
      68825279002852072801891545965886135966105600000*ep+
      2284446707197433351205958616047/46520666240700147984355724758516247061695\
      6719162265174016000000*ep^2+362251062529844687269136513544175021274053559/
      6288888091216997770841248133130956385868134663815339486707040101356011520\
      00000*ep^3+1149496741765025105943568666629836985481726148191273473831631/
      2125405578846227111874128738118916410162022071303019055942755398781080164\
      7847267211673600000000*ep^4+620432221481558891363852167659607818635520480\
      445925332954864431382218610987/143661289851843694831941136933047682616738\
      987067004432895620696227773560140907892943075301764938858496000000000*
      ep^5+29563988722037359330744306640947236940976108582120627336016865632128\
      1841232842003077261847/97104131123524478369584871417072795041885847785207\
      4182284816268446111561793935028452362233336682580294932435105218560000000\
      000*ep^6+2550562033095508762425996991032499221608394727899922776240098980\
      9484172854613771501210587033069142015767/
      1312700490296151175532507272853593568218902024835759953590866372059695384\
      638806700493639947451016655000598163152509829978062659256320000000000*
      ep^7+50695942848840165001831543884233827628370496776050850091197240453963\
      948469447182309747812725328763101562986488350571711/
      4436429627879902102542775509885103927560652943540542868081045872815533732\
      8276101758943669088209215632974405403519958347672760407033420812832997376\
      000000000000*ep^8;
Fill mncpoch(50,14) = 1/5131928202998938469418758307840000+748977818655089/
      11562646872479148230717779722268870842305740800000*ep+
      2706323518888202381725828982467/23446415785312874584115285278292188519094\
      6186457781647704064000000*ep^2+154625712449795741631390839073818982196687\
      081/105653319932445562550132968636600067282584662352097703376678273702780\
      993536000000*ep^3+1584976945243346411581613300011276308341193131723300783\
      512531/107120441173849846438456088401193387072165912393672160419514872098\
      56644030515022674683494400000000*ep^4+30600742097222279671838979284708568\
      0280085781774177608630883441715677163349/24135096695109740731766111004752\
      0106796121498272567447264642769662659581036725260144366506965097282273280\
      00000000*ep^5+46800471819132501582606583119754117629774526192888456132234\
      1429083573854817177108773051067/48940482086256337098270775194204688701110\
      4672837445387871547399296840227144143254339990565601688020468645947293030\
      154240000000000*ep^6+1435994155399467451731917131280925717137017099024366\
      3327275385700561068200204016080039384534352571370217/
      2205336823697533974894612218394037194607755401724076722032655505060288246\
      19319525682931511171770798040100491409621651436314526755061760000000000*
      ep^7+91138571508680904562259995945344319985333712942563482949441972310878\
      474313648716258952123350488038550021125661517123011/
      2235960532451470659681558856982092379490569083544433605512847119899029001\
      3451155286507609220457444679019100323374059007227071245144844089667830677\
      504000000000000*ep^8;
Fill mncpoch(50,15) = 1/2694262306574442696444848111616000000+813351544503521/
      6070389608051552821126834354191157192210513920000000*ep+
      635509948597323596330651188823/246187365745785183133210495422067979450493\
      49578067073008926720000000*ep^2+19553585565475096326591564125604090730716\
      2617/55467992964533920338819808534215035323356947734851294272756093693960\
      021606400000000*ep^3+2151408665688934385775270408318183016746111547469402\
      114507011/562382316162711693801894464106265282128871040066778842202453078\
      5174738116020386904208834560000000000*ep^4+444501612605223151459124940704\
      882329369983014614234258707136053217064520101/
      1267092576493261388417720827749480560679637865930979098139374540728962800\
      4428076157579241615667607319347200000000000*ep^5+145106548546527212787981\
      109961730482516174434142842939623865144156143129692574037812607151/
      5138750619056915395318431395391492313616599064793176572651247692616822385\
      0135041705699009388177242149207824465768166195200000000000*ep^6+
      2370099072894100621477632679081284486403460880794855294949420487850913507\
      8357939543657734855285956707449/11578018324412053368196714146568695271690\
      7158590514027906714414015665132925142750983539043365179668971052757990051\
      367004065126546407424000000000000*ep^7+1597960200871293624266180051424105\
      3919409145806312659613332582026034174603888856376376655797756509079844522\
      4604788771571/11738792795370220963328183999155984992325487688608276428942\
      4473794699022570618565254164948407401584564850276697713809787942124037010\
      43147075611105689600000000000000*ep^8;
Fill mncpoch(50,16) = 1/1465678694776496826865997372719104000000+
      14953516458907417/56138963095260760489780964107559821713562832732160000000
      *ep+213984702567991754108043166104383/38704592893089363351470821248275839\
      45728878543265392950171423211520000000*ep^2+12017300289620193551571840377\
      16671638316695292801/1482477516925068019397942153147575668877470602164004\
      78366555574445223518866820300800000000*ep^3+24060867671673604789420890803\
      3695523407211508794394657585296265931/25552078984954858797647246979920944\
      1500048783467550850096975494625467140390347471636775782779453440000000000
      *ep^4+9021840735238648040163913196270021353541229706704953778855783699547\
      21606566023917/9787051038238039935349931936812864559220302682854962310047\
      015869980367966118879801306362158907147287540738398617600000000000*ep^5+
      1066388651925965479512772604810302522443188126259002672793404131545642707\
      365492739556038297804491/134952199033711563186447075278494929373384645825\
      2974780336896684788927228763607288596236035184588251667558828320015567499\
      63692605440000000000*ep^6+15732081523108049586449742296469109462073463954\
      228585272014689868913256945107911221463457641146407103030626334977/
      2584494319313655463465194926709649301093056889740624966992463127781538373\
      0138196517140241608597560196055618884885536875226533880150663033140543488\
      000000000000*ep^7+1912225279772548462917310794706789293632637611609753705\
      9319097533650518745953759101829222498852886270221589903022090755648897852\
      11/4454651232771958902370441760547844801626497365894311292695882067703993\
      7990051615607219994613130611043387411521039239287628257168271513933935064\
      848714236762154598400000000000000*ep^8;
Fill mncpoch(50,17) = 1/822245747769614719871824526095417344000000+
      1790466027016033/34993286996045874038630134293712288868120832403046400000\
      00*ep+247650799652003492407768130436431/217132766130231328401751307202827\
      4593553900862771885445046168421662720000000*ep^2+496390936788866087102286\
      587673001146334460356027/277223295664987719627415182638596650080087002604\
      66889454545892421256798028095396249600000000*ep^3+28944447056493730161220\
      740988927901682115994150013315271026590321/130315602823269779868000959597\
      5968151650248795684509335494575022589882415990772105347556492175212544000\
      0000000*ep^4+423910338984761963896724026226008885265334511752163327751446\
      196712508529245882399/183017854415051346791043727218400567257419660169387\
      7951978791967686328809664230522844289723715636542770118080541491200000000\
      000*ep^5+7988869149656693716021842556839569074827017399743740133031140964\
      483844860198196267560109057868103/378540918289560934737984046156178276892\
      3439315399594258844995200832940876681918444512442078692770045927502513437\
      64366683648157758259200000000000*ep^6+30869857365790059918147379528876306\
      9187935479204168094063511567028079078677894773291061047420873127049162649\
      057/179000162115427248765922759738779414557185791993146988454663186998202\
      8428716978795816750066965831020986074344990220516913837716884508884147141\
      34528000000000000*ep^7+32182272360069281389447460517836457526137096123621\
      4088664227040721379308451325128557732145230438714700529665483707426276257\
      7558411/24990593415850689442298178276673409337124650222667086352023898399\
      8194052124189563556504169779662727953403378633030132403594522714003193169\
      37571380128686823568729702400000000000000*ep^8;
Fill mncpoch(50,18) = 1/473613550715298078646170927030960390144000000+
      11540762138759053/1209367998583345406775057441190696703282255967849283584\
      0000000*ep+1139791194218128755735251854982027/500273893164052980637635011\
      7953144663548187587826424065386372043510906880000000*ep^2+488064208779691\
      9658325696281833443176523146355301/12774449464242634120431291615986533635\
      6904090800231426606547472277151325313463585918156800000000*ep^3+
      606502740520621082752505634505625604631061687912304539202626623661/
      1200988595619254291263496843651452248560869290102843803591800340818835634\
      57709557228830806318867588055040000000000*ep^4+62962616386943245380378357\
      27013635539481121098208939089657697181370193617419723491/
      1124461697526075474684172660029853085229586392080718613695769784946480420\
      6577032332355316062508870918779605486846921932800000000000*ep^5+
      1510927740750647614316395623357995836939534603184681492760801941164834193\
      73371988513698532198404263/2790906482365274859636208775500271199871873338\
      4578128551612380616701106495600448307701332957786054994614290531073059226\
      85201137520093429760000000000*ep^6+16696967357192502226638358019093081502\
      8768347268490107559049212885316772840666285736456062019511114672055084389\
      5317/35632774671604794531937673721055967426474923994591001144920600117709\
      4478379602614176538842130593331691205481130085241331763253414244891728081\
      180182970368000000000000*ep^7+1363472452929615523816751197333460264621092\
      1539574107034715158310511054495354726484374021509164580272742693944275214\
      16819891906717391/3685012942727679262403520175965154247215052423233597885\
      1240359624437702150024496283787878859029947213097048599712091203704433941\
      31605485198346525428255644256150606997094400000000000000*ep^8;
Fill mncpoch(50,19) = 1/278958381371310568322594676021235669794816000000+
      127766179184914001/736061676204443459410192460623364370174357057232002298\
      67520000000*ep+1253896742710747560469564319103544043/28316953147375574457\
      73399080914900520763517072149802987306582781416435110379520000000*ep^2+
      177417350483367770762596737432365322442068594018700571/
      2241519745296696124051617104252624910655624033958490019291001234752474312\
      991488882283719635763200000000*ep^3+6608334209055974904739636440309416522\
      5836821620766816023155468260854471/59389308473815438420693818779408685279\
      4031393049750268060396265512658428639346650299085776759433383829429026816\
      0000000000*ep^4+744949180916425836928092186106692831066430523696197262131\
      584897218129968512326522649116183/568839420547803329041634562483152024327\
      3648522551138007047212380130904639570398344862174291075177950275328581463\
      53097036139174297600000000000*ep^5+97863678763083225453949070124288602107\
      3360160319559538136013712282660042568490817450264103966919265519070371/
      7294587641574402207163966678920225287302571361347614589025096360194860575\
      9816212085197027495249928476565480073408161659379602835658145339570695176\
      19200000000000*ep^6+78807917215023595364478216709302589175743849895302180\
      79863108076892146754177182922253664960653118113593007942217128030848083/
      6415851210830684717346504049001868346482354616567205710450098211303831510\
      8819870512761483030672207154986538347577056228533309552613972329315107374\
      7989299991683268608000000000000*ep^7+189639616614495696879782762864378634\
      0153465743291535776914587497941156285568978231568269094537059477986800597\
      297247428663976059450461198391234031/
      1851176647395141859967549954139034919550598899860630639844842455481485794\
      3652035277976499664913482127915361196383125020576421139532473793455111793\
      23160036871064761004720399011792132505600000000000000*ep^8;
Fill mncpoch(50,20) = 1/167375028822786340993556805612741401876889600000000+
      49162153501967249/1589893220601597872326015714946467039576611243621124965\
      1384320000000*ep+1429018238833931105345960485970979323/
      1699017188842534467464039448548940312458110243289881792383949668849861066\
      227712000000000*ep^2+6453705985644222737405544394012888226655211105731004\
      81/4034735541534053023292910787654724839180123261125282034723802222554453\
      763384679988110695344373760000000000*ep^3+9359065442587509886357898104087\
      84070002578001914996647929052821586458301/3919694359271818935765792039440\
      9732284406071941283517691986153523835456290196878919739661266122603332742\
      315769856000000000000*ep^4+1219911700187347216409177942505713300399637970\
      52145790193112791155349265563734463389931069/
      4095643827944183969099768849878694575157026936236819365073992913694251340\
      4906868083007654895741281241982365786537422986602020549427200000000000*
      ep^5+14131839887953136823208094594118773544976283317236081438311507094346\
      32592262346818087382156382309148159336051/
      4376752584944641324298380007352135172381542816808568753415057816116916345\
      5889727251118216497149957085939288044044896995627761701394887203742417105\
      71520000000000000*ep^6+32464651246944118015160505969052860311104022288359\
      6819482099661334728566055065978658862259313580029330109296044317118262190\
      257/103936789615457092421013365593830267213014144788388732509291591023122\
      0704762881902306736025096889755910781921230748310902239614752346351734904\
      7394717426659865268951449600000000000000*ep^7+
      3052826040042716888466603040113152438640261081326770769414780383019045638\
      913405631232256965115847762379947065841468337816255722080157316635107071/
      1110705988437085115980529972483420951730359339916378383906905473288891476\
      6191221166785899798948089276749216717829875012345852683719484276073067075\
      93896022122638856602832239407075279503360000000000000000*ep^8;
Fill mncpoch(50,21) = 1/101931392553076881665076094618159513743025766400000000+
      7603461607094982401/14039552084522410011574881770834777192981265586796344\
      00465492377600000000*ep+1364311000284943915653745807643745086963/
      8701839345922920356665896203238622108913578651955354677234951179451644924\
      28781027328000000000*ep^2+18979836637594908541791229867731159742144839911\
      595761101349/599275275595866776837202979308676502185832919652909626588311\
      96755181268856630076780089334991144364277760000000000*ep^3+
      8463356200509561608010817242301639420296225135818783403847874990964325364\
      63981/1688346135787160003542785382103741250464682967994009513511374611814\
      9546004475523880012523902218356753741258564571888615424000000000000*ep^4+
      1693252739714234897759489940569725006974699552729798226420830430545613367\
      9244590455462782296884541/25579936865394577166916301819980553320565662016\
      3378214407094506943678500900734070172856928011820745484085032126142153832\
      5596998694655833931776000000000000*ep^5+120248897252414332806783924772528\
      8848390448633465597457714187668219098506492075591778209698633185462408034\
      466094126491/158546725523321264758685723805395968894323013743524039968237\
      3441988109946522111622513625214676292022589932683870923736156171666626737\
      313762083511637573251660513280000000000000*ep^6+
      8455718959508432641636798061660083699980106653409567919602705263017904455\
      988839056405934857441286048338907005820372000494638039901733093/
      1091874129776105025924390502537985381765631500974277672653491387262866319\
      1068867673401983290155321830312745576448607751039754513244691817087299217\
      0953274722678036546671949284743577600000000000000*ep^7+
      2430773874922313127564888109703179321429429194076668393498455371896621627\
      2727289075995729996951000829154743168092983985873572729268778564306896479\
      11637316031/3383766521211018470846047912238028327644907363989297832762474\
      2787001376992423396503997538641290006197187979494532324783059078425401448\
      1686408972912292842956884984651548014299951444615892266258152816640000000\
      000000000*ep^8;
Fill mncpoch(50,22) = 1/62789737812695359105686874284786260465703872102400000000
      +8095373433165775529/8648364084065804567130127170834222750876459601466547\
      90686743304601600000000*ep+1543510447055454224051474264224714499003/
      5360333037088518939706192061194991219090764449604498481176729926542213273\
      36129112834048000000000*ep^2+22776191850446882258092768954172172140690874\
      630442637358269/369153569767053934531717035254144725346473078506192329978\
      40017201191661615684127296535030354544928395100160000000000*ep^3+
      1075505854407384305558945229273048727259273476801261713670608373667340883\
      234181/104002121964489056218235579537590461028624470828430986032300676087\
      80120338756922710087714723766507760304615275776283387101184000000000000*
      ep^4+22752121933847363815312493621894765374661011773261563640372047970924\
      855366826499648263083021474389/157572411090830595348204419211080208454684\
      4780206409800747702162773059565548521872264798676552815792181963797897035\
      667608567751195907993701974016000000000000*ep^5+
      1706130675660032409968341423299270548522375980669689699620296211224559525\
      727996199197090579472538291773752438708072131/
      9766478292236589909135040586412391683890297646601080862043420402646757270\
      5762075946839313224059588591539853326448902147220174664207018527744344316\
      8745123022876180480000000000000*ep^6+126520482404050457682039710147081856\
      5157506171719928060288913668576718422311727840098884430218632384124661158\
      9676779232163107594917311933/
      6725944639420806959694245495633989951676290046001550463545506945539256525\
      6984224868156217067356782474726512750923423746404887801587301593257763177\
      307217229169670512749920759402043801600000000000000*ep^7+
      3831104609453830628213978502025541486441737536417898249925067401471325242\
      9600592808892615471085770931176072503693337106258206499004921170148235889\
      06616511431/2084400177065987378041165513938625449829262936217407464981684\
      1556792848227332812246462483803034643817467795368631912066364392310047292\
      0718827927313972391261441150545353576808770089883389636015022135050240000\
      000000000000*ep^8;
Fill mncpoch(50,23) = 1/3899242718168381800463154893085226774920210457559040000\
      0000+77449537941819382289/48335706865843781725690280757792470954648532712\
      59653625148208329418342400000000*ep+1566951672657306697712467424856151562\
      3987/29958901344287732354017907430018805923498282508839542011296743559444\
      42998481625611629494272000000000*ep^2+22045791672615825256869868726073101\
      57527413220612082832215469/1856879371285257996087989859031873382965294232\
      1939980390243507052371417709305272871430085618639644432019331481600000000\
      00*ep^3+11011964071365544616009644741099783869894438007204638613779905037\
      8170319249481461/52314107369357640168334678863203377802008395071409070284\
      1075630789248833159811969240122138320179106851082452986822830654576656384\
      000000000000*ep^4+2214766332087868938887966597170443281412516949135306331\
      9204752650384811201268656754859405798880697069/
      7133444865251882798949027441662891008931175536024635744866914984068290228\
      5990578827112474406354868446290464898216912004740709807614831192082695480\
      9344000000000000*ep^5+175218847956697653822042379751538651609520695025487\
      8320616974480263663180608232212856956320561217300813873461607148535659/
      4421372621200134381174615088834167426822292757295128715974814807061810837\
      2052843639817678650350792291687415459563356042165898052058495150676614371\
      3479435898563252788920320000000000000*ep^6+
      1232331261201507462898858852115682979825137890095990989784139469773473904\
      20085903310655822996218527469261028519276752894276944179168757322173/
      2740406104590798688124599965674671161330079431391784317921100613427318154\
      2431664310254319585111419473615868374862013016730089316591907145283915839\
      2120157041401551313408534893613258626406809600000000000000*ep^7+
      3928050483313424782897495508552659837688638495483656552225287290069015300\
      9148399435052940473968930930820086235826828822437994729717370422153596780\
      824734697832391/849264047783429471933074198784677069890080215132841684457\
      9539271900720175332849089355406121989209511165825356184185851686581910460\
      2795919129884931743014548018185640012825163169348758917494857652190162813\
      1901440000000000000000*ep^8;
Fill mncpoch(50,24) = 1/2433127456137070243489008653285181507550211325516840960\
      0000000+16443459743516490829/60322962168573039593661470385725003751401368\
      8253204772418496399511409131520000000*ep+17629478786147492649267170376023\
      815839587/186943544388355449889071742363317348962629282855158742150491679\
      8109332431052534381656804425728000000000*ep^2+201911142656176035789550929\
      323512706873073056144329775694833/891302098216923838122235132335299223823\
      3412314531190587316883385138280500466530978286441096947029327369279111168\
      0000000000*ep^3+138561986940685072589596218346041590715208170354041533264\
      558704819270850590301061/326440029984791674650408396106389077484532385245\
      5925985728311936124912718917226688058362143117917626750754506637774463284\
      55833583616000000000000*ep^4+58829195581404431229624110493171534106048655\
      16668892036036645878982032506249715673499189562451425689/
      8902539191834349733088386247195287979146107068958745409593909900117226205\
      2916242376236368059130875820970500192974706181916405839903309327719203960\
      206131200000000000*ep^5+2453397307473762213438114123586943460679624315759\
      654243730982906958114024807279904812167448776083221732803118740931255259/
      2758936515628883853852959815432520474337110680552160318768284439606569962\
      4160974431246231477818894390012947246767534170311520384484500974022207367\
      7211168000703469740286279680000000000000*ep^6+
      1397839872075626366069384686701380031380735683855491445173658029428535622\
      7302888503811412085971792608879170267924669083288843191414479367361/
      1315394930203583370299807983523842157438438127068056472602128294445112714\
      0367198868922073400853481347335616819933766248030442871964115429736279602\
      821767537987274463043609674893436414067526860800000000000000*ep^7+
      6094034469999373266262505565429531348823114405775372510236209685440050117\
      7497665302417330476295976232548600657816975067467635677052282909351362138\
      617515527737591/529940765816859990486238300041638491611410054242893211101\
      7632505666049389407697831757773420121266734967475022258931971452427112127\
      2144653537048197407641077963347839368002901817673625564516791174966661595\
      4306498560000000000000000*ep^8;
Fill mncpoch(50,25) = 1/1520704660085668902180630408303238442218882078448025600\
      0000000000+2179394248109401221881/471273141941976871825480237388476591807\
      82319394781622845195031211828838400000000000000*ep+2473846438955987623333\
      724885782291444457911/146049644053402695225837298721341678877054127230592\
      767305071624852291596175979248566937845760000000000000000*ep^2+
      149783880193941047039567619673444359184654260787598997930576257/
      3481648821159858742664980985684762593059926685363746323170657572319640820\
      4947386633931410534949333310036246528000000000000000000*ep^3+
      9867693006626778913717137037498500157747531408523260342130509782558355565\
      354219551/115923306102553861736650708844598393993086784533236008015920168\
      1862540028024583340929816101959487793590466799232164227018664181760000000\
      0000000000000*ep^4+607612322223505252777123837337993989086037008583859453\
      856516035369129508838186566922571809574897908192901/
      4346942964762866080609563597263324208567435092265012407028276318416614358\
      0525508972771664091372497959458252047350930752888870039015287757675392558\
      69440000000000000000000000*ep^5+26699236976234373865561723318026884504608\
      3443248345912348387662720013703728420473481741299776435413206644015067547\
      543191560031/134713697052191594426414053487916038785991732448835953064857\
      6386526645489460985079650694896377875702637350939783571004409742206273657\
      2741221780941270076562534349108412416000000000000000000000000*ep^6+
      8006223496257281317181519919100935928208443241589900503902835311607434549\
      286385324646640402922163784123048406402639684630151763668296805656565697/
      3211413403817342212646015584775005267183686833662247247563789781360138462\
      0037106613579280763802444695643595751791421503980573417881141185879588874\
      07658090328924429454006268284530374528204800000000000000000000000000*ep^7
      +367068764698725261816608364484437244564602670740658000877974651036275273\
      1690704830740700160764473137475686349398247439767460041424343695938012571\
      5565273379301051071991/
      1293800697795068336148042724711031473660669077741438503666414185953625339\
      2108637284564876513967936364666687066061845633428777129216832190804943407\
      5702248725496454685957038334515804749913371072204508451160719360000000000\
      000000000000000000*ep^8;
Fill mncpoch(50,26) = 1/9489197078934573949607133747812207879445824169515679744\
      000000000000+2308521102452984417981/2940744405717935680190996681304093932\
      8808167302343732655401699476181195161600000000000000*ep+27719385071015222\
      42783724383869701733532011/9113497788932328182092247440211720761928177539\
      1889886798364693907829956013811051105769215754240000000000000000*ep^2+
      177317087875161640692205319015217829618561206655601527241372957/
      2172548864403751855422948135067291858069394251666977705658490325127455871\
      9887169259573200173808383985462617833472000000000000000000*ep^3+
      1356040022658851507173994931611598010319754978373120882574550069339921286\
      13094804161/7956975730879297069603704655093233763685476890361319590212760\
      3443044747523607400521422577238499242152049641099295752542561109436006400\
      000000000000000000*ep^4+8002236229624379057162229559511974533189565974683\
      02923640082189663688370630097484930611348394237456886001/
      2712492410012028434300367684692314306146079497573367741985644422691967359\
      4247917599009518393016438726701949277546980789802654904345539560789444956\
      62530560000000000000000000000*ep^5+37032272896690889556325748613859789255\
      1874103875479894072374391119950785855607393919633816218312281551516669097\
      629720119356131/840613469605675549220823693764596082024588410480736347124\
      7116651926267854236546897020336153397944384457069864249483067516791367147\
      621390522391307352527775021433843649347584000000000000000000000000*ep^6+
      1168457804113637997838325889234484905520878526722122482053204545485055913\
      6143803056566433097536343416756689595055648037468819754022045033588126397/
      2003921963982021540691113724899603286722620584205242282479804823568726400\
      2903154526873471196612725490081603749117847018483877812757832099988863457\
      42378648365248843979299911409546953705599795200000000000000000000000000*
      ep^7+56321182958065150181800364616352517009864700688286636501959687233371\
      2379930171726774655572141597669468277710266893318084225430782453891305786\
      24742230243013697537944091/
      8073316354241226417563786602196836395642575045106576262878424520350622116\
      6757896655684829447159922915520127292225916752595569286313032870622846863\
      2382032047097877240371919207378621639459435490556132735242888806400000000\
      00000000000000000000*ep^8;
Fill mncpoch(50,27) = 1/5892791386018370422706030057391381093135856809269237121\
      024000000000000+2443262167854984274781/1826202275950838057398608939089842\
      3323189871894755457979004455374708522195353600000000000000*ep+31011462546\
      54702631128530207262915584892811/5659482126926975801079285660371478593157\
      3982518363619701784474916762402684576662736682682983383040000000000000000
      *ep^2+209459530207438270697098173105335394743770564352610239960562557/
      1349152844794729902217650791876788243861093830285193155213922491904150096\
      5049932110194957307935006454972285674586112000000000000000000*ep^3+
      1689582207535018653206285724152438510719888926985263359585414937790483901\
      85707884961/4941281928876043480223900590812898167248681148914379465522124\
      1738130788212160195723803420465108029376422827122662662328930448959759974\
      400000000000000000000*ep^4+1050645340362722273685887536966134113494590564\
      190595385369680312456952856808224575758756253279719066318801/
      1684457786617469657700528332193927184116715367993061367773085186491711730\
      2027956828984910922063208449281910501356675070467448695598580067250245318\
      06431477760000000000000000000000*ep^5+51188780148702885739231706241953886\
      9978256728307891933660421087955285681106214378617799001377892136612669140\
      365082425267052931/522020964625124516066131513827814166937269402908537271\
      5644459440846212337480895623049628751260123462747840385698928984927927438\
      998672883514405001865919748288310416906244849664000000000000000000000000*
      ep^6+16990140174878662657323747472134020183102487241753073354356933868767\
      3470005458609104944416510786383727114722157913962133001932933961600351281\
      47997/1244435539632835376769181623162653641054747382791455457419958795436\
      1790945802858961188425613096502529340675928202182998478488121722613734093\
      0842070601714063481953211114524498532865825117747281920000000000000000000\
      0000000*ep^7+860816876084672753857772193038311625539842097968236423840302\
      8291067889135734260145050962979663607176906929666744364403549316048944373\
      7512793975043232581516459226728891/
      5013529455983801605307111479964235401694039103011183859247501627137736334\
      4556653823180279086686312130537999048472294303361848526800393412656787902\
      0709241901247781766270961827782124038104309439635358428585833948774400000\
      00000000000000000000000*ep^8;
Fill mncpoch(50,28) = 1/3629959493787316180386914515353090753371687794509850066\
      550784000000000000+2584127827138893215981/1124940601985716243357543106479\
      3428767084961087169362115066744510820449672337817600000000000000*ep+
      3465161124698517903856782902030944214210011/34862409901870170934648399667\
      8883081338495732313119897362992365487256400536992242457965327177639526400\
      00000000000000*ep^2+24700739223479428045483984636746955053460126169144710\
      2841358957/83107815239355361976607288779610155821843379945567898361177625\
      50129564594470758179880093701687963976262927975545044992000000000000000000
      *ep^3+2310873597305514539694434245170585626543119437880693652237048141528\
      652440705869003771/334821263500640706219971504033481979812770634650438352\
      5837791340175742209255974862244919770715720070546410765831621999408327221\
      51333586534400000000000000000000*ep^4+12510618846990380726473358922091894\
      7570265195849014955983910529986935736320458427458748245714112953053091/
      9432963605057830083122958660285992231053606060761143659529277044353585689\
      1356558242315501163553967315978698807597380394617712695352048376601373781\
      160162754560000000000000000000000*ep^5+7057426243994384942054680098251525\
      5103770228435889840061499532357534735471330162788770303422436148296608983\
      3470333530436794131/32156491420907670189673701251793352683335795219165895\
      9283698701556126679988823170379857131077623605305266967759054025471560330\
      2423182496244873481149406564945599216814246827393024000000000000000000000\
      000*ep^6+2463744018032351065495257834689058532136305062833881431972874058\
      0639369495532342124113546315859284149550037671173180047101906935535815747\
      019232397/766572292413826592089815879868194642889724387799536561770694617\
      9886863222614561120092070177667445558073856371772544727062748682981130060\
      2013398715490655863104883178046547091096245348272532325662720000000000000\
      0000000000000*ep^7+119271898101241901552530399457372796357484471493494980\
      1569108135639099936451195904471046074337683286713321602744699277662175841\
      7706493636470322302929956077432393769281/
      2807576495350928898971982428779971824948661897686262961178600911197132347\
      2951726140980956288544334793101279467144484809882635175008220311087801225\
      1597175464698757789111738623557989461338413286195800720008067011313664000\
      0000000000000000000000000*ep^8;
Fill mncpoch(50,29) = 1/2210645331716475553855630939850032268803357866856498690\
      529427456000000000000+2731701374960131154381/6850888266093011922047437518\
      459198119154741302086141528075647407089653850453730918400000000000000*ep+
      3868287988189538247390695152855408782340411/21231207630238934099200875397\
      7439796535143900978690017494062350581739147927028275656900884251182471577\
      60000000000000000*ep^2+29091946780490267430236817846267443659758389203039\
      4061045103757/50612659480767415443753838866782584895502618386850850101957\
      1739302890483803269173154697706432797006154412313710693240012800000000000\
      0000000*ep^3+286898983123058118271685993245164749937708676698472431324429\
      1605594063332271938398171/20390614947189019008796264595639052570597731650\
      2116956723521492616702700543688869110715614036587352296276415639145779763\
      967127790162154199449600000000000000000000*ep^4+1635959164751539467461289\
      1126294601932707530810380152711473374535429381103250424530035130578890844\
      1295491/57446748354802185206218818241141692687116460910035364886533297200\
      1133368468361439695701402086043660954310275738268046603221870314693974613\
      50236632726539117527040000000000000000000000*ep^5+
      9713093522357976573654511238552429301240015256910452861745311785983864121\
      26038945936885761976013201088618228287211525050092531/
      1958330327533277114551128406234215178415149928847203062037725092476811481\
      1319331076133299282627277563090758336526390151218024111757181402131279500\
      19988598051869923039876317882351616000000000000000000000000*ep^6+
      2743350825358525261330530857552572658364701048013337482200283555001042499\
      731508192819435248840744441592404346246463607139032269566278157390107169/
      3591096354461695342943829775690234903998785785922444354756561710423922848\
      1325136324123621063072879575899834849303690298317030368734678512789353705\
      9490841697160568118694978295981641669984401433296896000000000000000000000\
      00000*ep^7+18147096755813729551735288642475018524303222766335592579826927\
      2469625346204124260916842376623166354176280894254344154876866524191827056\
      56764668269116580773356107027681/
      1709814085668715699473937299127002841393735095690934143357767954919053599\
      5027601219857402379723499888998679195490991249218524821580006169452470946\
      1222679858001543493569048821746815581955093691293242638484912809890021376\
      0000000000000000000000000000*ep^8;
Fill mncpoch(50,30) = 1/1326387199029885332313378563910019361282014720113899214\
      317656473600000000000000+2886653600172430989701/4110532959655807153228462\
      5110755188714928447812516849168453884442537923102722385510400000000000000\
      00*ep+4315581386953352896846309410297995698379731/
      1273872457814336045952052523864638779210863405872140104964374103490434887\
      5621696539414053055070948294656000000000000000000*ep^2+342358616958226152\
      789813189438553573648383816049129467362480597/
      3036759568846044926625230332006955093730157103211051006117430435817342902\
      819615038928186238596782036926473882264159440076800000000000000000000*
      ep^3+35586298149682543642884764061794308836056220166243093614037315222676\
      62848639277116691/1223436896831341140527775875738343154235863899012701740\
      3411289557002162032621332146642936842195241137776584938348746785838027667\
      4097292519669760000000000000000000000*ep^4+194295263616765227768800037806\
      29980225221769835434183180623270258760247037313707815323306356283773368401
      /313345900117102828397557190406227414656998877691101990290181621091527291\
      8918335125612916738651147241568965140390552981472119292625603497891831089\
      057811224592384000000000000000000000000*ep^5+
      1335597801927898536323352546158767560603574749706094987518380736199653885\
      542043571103468632890793548634616739325704338048614251/
      1174998196519966268730677043740529107049089957308321837222635055486086888\
      6791598645679979569576366537854455001915834090730814467054308841278767700\
      11993158831121953823925790729410969600000000000000000000000000*ep^6+
      5158308776022885618041948839909367691206075224810219907962172527052925246\
      2885134578268208155365658034553608939666367776111060671276146095417942837/
      2801055156480122367496187225038383225119052913019506596710118134130659821\
      5433606332816424429196846069201871182456878432687283687613049239975695890\
      6402856523785243132582083070865680502587833117971578880000000000000000000\
      000000000*ep^7+2759326812063141269219083724742152512574098206107310446942\
      1546953310732048957836591931881460974146723250329780643932432989769246960\
      628210117654744719024750291339467401/
      1025888451401229419684362379476201704836241057414560486014660772951432159\
      7016560731914441427834099933399207517294594749531114892948003701671482567\
      6733607914800926096141429293048089349173056214775945583090947685934012825\
      6000000000000000000000000000000*ep^8;
Fill mncpoch(50,31) = 1/7812420602286024607325799741430014037951066701470866372\
      33099662950400000000000000+3049761205659062395301/
      2421103913237270413251564419023480615309285576157242416021933793665483670\
      750348506562560000000000000000*ep+481302063451442459294363898220642416346\
      5331/75031087765264393106575893655627224095519854605869052182401634695586\
      61487741179261714877249436788545552384000000000000000000*ep^2+
      402746330100795008933174356170222676756616448353682789777807797/
      1788651386050320461782260665552096550207062533791309042603166526696414969\
      760753257928701694533504619749693116653589910205235200000000000000000000*
      ep^3+44126126787447526021515332152198743085664898376696567151302507822539\
      64212869020138291/7206043322336599317708599908098841178449238365184813250\
      6092495490742734372139646343726898000529970301504085286874118568585982961\
      043305294085488640000000000000000000000*ep^4+2791548525211696517711704626\
      9799536789460727623633742941779809501873847466186189456255297734150838994\
      6011/20301680868587092251877730366419474195626957285606497950900867230520\
      0532416718932788460875497207829781253251445903927669578608969212850628411\
      73626005558924134055936000000000000000000000000*ep^5+
      1836452877029617367900040795922437380964997283362661886888150216180624018\
      495669519093454783013108932290910977235731989522291851/
      6920739377502601322823687787631716440519139848546015621241320476813051774\
      3202516023055079664804798907962739961284262794404497210949879075131941753\
      7063970551530830802292290739623061094400000000000000000000000000*ep^6+
      4415655768066960301124804439621253981090311908161574998785358041566967968\
      88362329200723687957369310340003082352040866308149188557275425683199373/
      9762257320513562570741149559453300115947468436499937192084376218952417957\
      9233101361117597566845812631715397198030185780194142556237195280151981536\
      0185103505973421331898502536922401278249903588670177280000000000000000000\
      000000000*ep^7+4197816634467547834539592600612305838645477100133899443136\
      1384217976966819470129431355872206112208453266713347606302775388048739851\
      345341786629962724973810754887585001/
      6042482978753241281940894415114828041485459828171761262626351952683935420\
      6427542710976060009942848607721332276865163074738266719463741802845032323\
      5960950618177454706273018536053246266629301105030319484405681870151335542\
      784000000000000000000000000000000*ep^8;
Fill mncpoch(50,32) = 1/4499954266916750173819660651063688085859814420047219030\
      46265405859430400000000000000+3221930344783839990101/
      1394555854024667758032901105357524834418148491866571631628633865151318594\
      352200739780034560000000000000000*ep+536773760829585618418835895511828275\
      2540131/43217906552792290429387714745641281079019436252980574057063341584\
      65789016938919254747769295675590202238173184000000000000000000*ep^2+
      473835465721409640070112558985252184852161439783335877212955397/
      1030263198364984585986582143358007612919268019463794008539423919377135022\
      5821938765669321760512986609758232351924677882782154752000000000000000000\
      00*ep^3+54731506536053136995822779838916534094776286954289914884756919271\
      92924715754428901091/4150680953665881207000153547064932518786761298346452\
      4323509277402667814998352436293986693248305262893666353125239492295505526\
      185560943849393241456640000000000000000000000*ep^4+
      3648191830967551681363435947051452086519864970075684051661871508056225921\
      29513678284995244284666760484811/
      1169376818030616513708157269105761713668112739650934281971889952477955066\
      7203010528615346428639170995400187283284066233767727876626660196196516008\
      579201940301216219136000000000000000000000000*ep^5+
      2527369528619319831051073601526233359195098185010001582425371359442559193\
      606516693350095084687681800515462247981577373160702651/
      3986345881441498361946444165675868669739024552762504997835000594644317822\
      0084649229279725886927564170986538217699735369576990393507130347275998450\
      1348847037681758542120359466022883190374400000000000000000000000000*ep^6+
      1080965083259149556297489873627450386898043324169708862725654070647676606\
      00888394313234733026417281025871915969652248230100463896239703838134833637
      /950297176608072234886226462715422046486790367482649886026261518657704173\
      6960867018896631417547038784821703624845050404587218612994353537351114490\
      6421858715685476726132327830954174230029958614935509737144320000000000000\
      000000000000000*ep^7+6397284599479117934279393254898927615571430496248473\
      3219534969990806783459380091424978423059203410199578023338189173267367198\
      287855771153780089678261808431682065015801/
      3480470195761866978397955183106140951895624861026934487272778724745946802\
      2902264601522210565727080798047487391474333931049241630411115278438738618\
      3913507556070213910813258676766669849578477436497464023017672757207169272\
      643584000000000000000000000000000000*ep^8;
Fill mncpoch(50,33) = 1/2524474343740296847512829625246729016167355889646489876\
      08954892687140454400000000000000+3404227080327722149301/
      7823458341078386122564575201055714321085813039371466853436635983498897314\
      31584615016599388160000000000000000*ep+5988317092089681036848867153532775\
      403259331/242452455761164749308865079723047586853299037379221020460125346\
      2899307638502733701913498574874006103455615156224000000000000000000*ep^2+
      557808593205223640856955953823592592778303608543152851199685797/
      5779776542827563527384725824238422708477093589191884387906168187705727476\
      6861076475404895076477854880743683494297442922407888158720000000000000000\
      0000*ep^3+679507756640060245753777099796889050527865340061681603226987813\
      4959149531995556372291/23285320150065593571270861399034271430393730883723\
      5981454887046228966442140757167609265349122992524833468241032593551777786\
      00190099689499509608457175040000000000000000000000*ep^4+
      4774301338351458034806665791500442610715553845137889104365825997429917298\
      76969970324495831053025681460011/
      6560203949151758641902762279683323213678112469441741321862302633401327924\
      3008889065532093464665749284195050659223611571436953387875563700662454808\
      12932288508982298935296000000000000000000000000*ep^5+
      3484743031952004074140767125438348901839693321022694202344335419437014289\
      171870821710847726380655819819570860567256475653965851/
      2236340039488680581051955176944162323723592774099765303785435333595462298\
      1467488217625926222566363499923447940129551542332691610757500124821835130\
      5256703188139466542129521660438837469800038400000000000000000000000000*
      ep^6+92330854623123755976674533017615803642147255857913429467773468756676\
      9991261704982220704283420979943861770521712011169444955920311662359267284\
      3061/31359806828066383751245473269608927534064082126927446238866630115704\
      2377319708611623588836779052279899116219619886663351378214228813666732586\
      7781911921337617620731962366818421487749590988634292871821325762560000000\
      000000000000000000000*ep^7+9778908743749718656370818957565549927845798950\
      5413596670822403676319102496725775864836566602892074130556897523940585357\
      088999706745479120189552469418566343181267359001/
      1952543779822407374881252857722545074013445547036110247360028864582476156\
      0848170441453960127372892327704640426617101335318624554660635671204132364\
      9175477738955390003966238117666101785613525841875077316912914416793221961\
      953050624000000000000000000000000000000*ep^8;
Fill mncpoch(50,34) = 1/1373314042994721485046979316134220584795041603967690492\
      59271461621804407193600000000000000+3597917361843096943451/
      4255961337546642050675128909374308590670682293418077968269529975023400138\
      98782030569030067159040000000000000000*ep+6685198718774125081464729605093\
      328718870981/131894135934073623624022603369337887248194676334296235130308\
      1883817223355345487133840943224731459320279854644985856000000000000000000
      *ep^2+657413056422576192864502863285575890585524792594081778375344347/
      3144198439298194558897290848385701953411538912520385107020955494111915747\
      3172425602620262921603953055124563820897808949789891158343680000000000000\
      0000000*ep^3+845042632601543528768463383719807181880757604611833439233403\
      2779007606308511941582941/12667214161635682902771348601074643658134189600\
      7456373911458553148557744524571899179440349922907933509406723121730892167\
      11558503414231087733227000703221760000000000000000000000*ep^4+
      6262269932906788943405664262793276226358373268498252514303871950901927888\
      36374352105314956739029592968661/
      3568750948338556701195102680147727828240893183376307279093092632570322390\
      8196835651649458844778167610602107558617644694861702643004306653160375415\
      62235164948886370620801024000000000000000000000000*ep^5+
      4818977940804985566464224683425354412072269401688729647718520770864533897\
      893115937330002424822575625096371015905208928691430501/
      1216568981481842236092263616257624304105634469110272325259276821475931490\
      1918313590388503865076101743958355679430476039028984236252080067903078311\
      0059646534347869798918459783278727583571220889600000000000000000000000000
      *ep^6+1345656597801779996339215998497431284457019436286524357038958217693\
      9296487475653482973505749585819114095544661499230124296281210210509585079\
      659211/170597349144681127606775374586672565785308606770485307539434467829\
      4310532619214847232323272078044402651192234732183448631497485404746347025\
      2720733600852076639856781875275492212893357774978170553222708012148326400\
      00000000000000000000000000*ep^7+15015415449252069697774142338202996063832\
      1967677632416530506954048436050442405931763019416826234553452923660040705\
      285637799076316954064699754637476173926759263275346151/
      1062183816223389611935401554601064520263314377587643974563855702332867028\
      9101404720150954309290853426271324392079703126413331757735385805135048006\
      5151459889991732162157633536010359371373758057980042060400625442735512747\
      302459539456000000000000000000000000000000*ep^8;
Fill mncpoch(50,35) = 1/7209898725722287796496641409704658070173968420830375086\
      1117517351447313776640000000000000000+3804520328792830057211/
      2234379702211987076604442677421512010102108204044490933341503236887285072\
      96860566048740785258496000000000000000000*ep+7471223906523297909046105365\
      116850690194341/692444213653886524026118667689023908053022050755055234434\
      1179890040422615563807452664951929840161431469236886175744000000000000000\
      00000*ep^2+776149750717459949822275670848968906661429889460134284333900667
      /165070418063155214342107769540249352554105792907320218118600163440875576\
      7341552344137563803384207535394039600597134969863969285813043200000000000\
      00000000000*ep^3+10535039262857233938146280499125991112160240825960814852\
      197535747204265178465802995901/
      6650287434858733523954958015564187920520449540391459630351574040299281587\
      5400247069206183709526665092438529638908718387735682142924713210599441753\
      69191424000000000000000000000000*ep^4+82409702680324560423821533495240074\
      9204859046796718439426032780234542534064807916761851467770101706304821/
      1873594247877742268127428907077557109826468921272561321523873632099419255\
      1803338717115965893508537995566106468274263464802393887577260992909197093\
      20173461598165344575920537600000000000000000000000000*ep^5+
      6691847739517032597715327622110820443089049803396776655891610110458077848\
      329315311237918159290749229730151872563588321015237061/
      6386987152779671739484383985352527596554580962828929707611203312748640323\
      5071146349539645291649534155781367317009999204902167240323420356491161132\
      7813144305326316444321913862213319813748909670400000000000000000000000000\
      00*ep^6+19712473658380169794460034545940024377880049633031384179830779197\
      2263798421769317765900155586607547739494618362369227632656004758770003739\
      85003371/8956360830095759199355707165800309703728701855450478645820309561\
      0451302962508779479696971784097331139187592323439631053153617983749183218\
      8267838514044734023592481048451963341176901283186353954044192170637787136\
      000000000000000000000000000000*ep^7+
      2319775067803840082318849852735570263194400900840602938574676416246628220\
      0793785572421409351058852251625327681655808268963783051771930660522062940\
      4426225877040343816711/
      5576465035172795462660858161655588731382400482335130866460242437247551901\
      7782374780792510123776980487924453058418441413669991728110775476959002034\
      2045164422456593851327576064054386699712229804395220817103283574361441923\
      33791258214400000000000000000000000000000000*ep^8;
Fill mncpoch(50,36) = 1/3633788957764033049434307270491147667367680084098509043\
      4003228745129446143426560000000000000000+4025880650524686964811/
      1126127369914841486608639109420442053091462534838423430404117631391191676\
      77617725288565355770281984000000000000000000*ep+8362394142577499997260857\
      748972459168657941/348991883681558808109163808515268049658723113580547838\
      1547954664580372998244158956143135772639441361460495390632574976000000000\
      00000000000*ep^2+91854223209050234090614376572452435315527573589862109529\
      1073867/83195490703830228028422315848285673687269319625289389931774482374\
      2012906740142381445332156905640597838595958700956024811440520049773772800\
      00000000000000000000*ep^3+13178313715115304435402175737313782378102440888\
      161639945741612687194125317881120955501/
      3351744867168801696073298839844350711942306568357295653697193316310837920\
      1201724522879916589601439206589018938009994067418783800034055458142118643\
      86072477696000000000000000000000000*ep^4+99026636848735271994881588027376\
      851930715404154944751209784477766198516481653700288935854447988742463311/
      8584468190276200937602037901518988939568548512012462782254839187073702769\
      1898933758422243730257301361502887818274807147821877448535814003874866681\
      578856785952303060569450086400000000000000000000000000*ep^5+
      9344236490853067970216628983840627514651796276080368705567405662672940339\
      874307661436766627996189528553317446142342305979932661/
      3219041525000954556700129528617673908663508805265780572636046469625314723\
      0475857760167981226991365214513809127773039599270692289123003859671545210\
      9217824729884463487938244586555513186129450473881600000000000000000000000\
      00000*ep^6+29071945133284209214373036546194395914960981085593793011777068\
      3128412042914392517355407203539794149464633616934473386564713122535804876\
      40662374971/4514005858368262636475276411563356090679265735147041237493436\
      0187667456693104424857767273779185054894150546531013574050789423463809588\
      3422886990611078545947890610448419789523953158246725922392838272854001444\
      716544000000000000000000000000000000*ep^7+
      3612700434444299362317242930939905296369018285073821536932588895974453650\
      0812838703226331875581696056988223840299507595547506471139788879667007214\
      8079192340807764652311/
      2810538377727088913181072513474416720616729843096905956695962188372766158\
      4962316889519425102383598165913924341442894472489675830967830840387337025\
      2390762868918123301069098336283410896654963821415191291820054921478166729\
      36230794140057600000000000000000000000000000000*ep^8;
Fill mncpoch(50,37) = 1/1747852488684499896777901797106242028003854120451382849\
      8755553026407263594988175360000000000000000+4264268689312840557611/
      5416672649290387550587554116312326275369934792572816700243805806991631965\
      2934125863799936125505634304000000000000000000*ep+93789447922885183141430\
      32254845124203458741/1678650960508297867005077918958439318858458176322435\
      1015245661936631594121554404579048483066395712948624982828942685634560000\
      0000000000000000*ep^2+141768772721125568773305395085024916684898964961404\
      77144498625071/5202214033710504158617247409993303175664950556169345552433\
      8583828588067058461103111776619771309706582847405297570780231459375718712\
      3540131840000000000000000000000*ep^3+165579116841545657412525846770895892\
      71853678692972021338535730806510302120249926044301/
      1612189281108193615811256741965132692444249459379859209428349985145513039\
      5778029495505239879598292258369318109182807146428435007816380675366359067\
      69700861771776000000000000000000000000*ep^4+14481301046827298282101282994\
      9135178235399987468510292999402683612867003362167762914506288230861481388\
      1221/45420421194751379160852382536936970479257190177057940580910354138806\
      9613517837258515812091576791381503711779446492004619125553580202991894501\
      919612233731254473635493472960407142400000000000000000000000000*ep^5+
      1314162234207246270208148369169577829617039636114394688349195723573620362\
      1162140499451823578012861418129032841190384385588829461/
      1548358973525459141772762303265101150067147735332840455437938351889776381\
      7858887582640798970182846668181142190458832047249202991068164856502013246\
      4533773695074426937698295646133201842528265677937049600000000000000000000\
      00000000*ep^6+56221796771041449046346979804063719929870915946180197422177\
      8966208324254145579883773557096617377521113215795023982555823524107075325\
      398224707197023/
      2822607863237674626587990340150566563501744864187444885804645542534846067\
      0198196863561876294124414825312336745842787853958626491920135590433123522\
      9107414781215998713396894389327909851677719272241772015607103381254963200\
      0000000000000000000000000000*ep^7+
      5684011941532573865510493285370077732497289780756277301653356790951435018\
      6707002827167347030537920530378228024273836961552462783501962242704881389\
      9503211332336268469111/
      1351868959686729767240095878981194442616647054529611765170757812607300522\
      2366874423858843474246510717804597608234032241267534074695526634226309109\
      1399956939949617307814236299752320641291037598100707011365446417230998196\
      82327011981367705600000000000000000000000000000000*ep^8;
Fill mncpoch(50,38) = 1/7970207348401319529307232194804463647697574789258305795\
      432532180041712199314607964160000000000000000+4522522398000006949811/
      2470002728076416723067924677038420781568690265413204415311175447988184176\
      1737961393892770873230569242624000000000000000000*ep+10546902974192797292\
      834850175309675545332941/765464837991783827354315531045048329399456928403\
      0304062952021843104006919428808488046108278276445104572992169997864649359\
      3600000000000000000000*ep^2+169006540803615523507570156208439163317441378\
      66174709759284085271/2372209599371989896329464818956946248103217453613221\
      5719098394225836158578658263018970138615717226201778416815692275785545475\
      3277328334300119040000000000000000000000*ep^3+209225682796468281066939573\
      68647580116782717509178125460693314973303612318800155330501/
      7351583121853362888099330743361005077545777534772157994993275932263539460\
      4747814499503893850968212698164090577873600587713663635642695879670597348\
      6983592967929856000000000000000000000000*ep^4+193934200045357165087152881\
      5118406679166761042791631074976477718187867038347850430728265402214793976\
      471421/207117120648066288973486864368432585385412787207384209048951214872\
      9597437641337898832103137590168699656925714276003541063212524325725643038\
      92875343178581452039977785023669945656934400000000000000000000000000*ep^5
      +186508872464016179722050024654301539770008223161931532120606568178464891\
      85248850802769217784040102648851174892319870990339307661/
      7060516919276093686483796102888861244306193673117752476796998884617380300\
      9436527376842043304033780806906008388492274135456365639270831745649180403\
      8274008049539386835904228146367400401928891491392946176000000000000000000\
      0000000000*ep^6+845550956045084513931715390808241346506541701324870627673\
      4537706317301059075986584451863569893126319156483793432080105778433787463\
      23050416188999623/
      1287109185636379629724123595108658352956795658069474867926918367395889806\
      5610377769784215590120733160342425556104311261405133680315581829237504326\
      4472981140234495413308983841533526892365039988142248039116839141852263219\
      2000000000000000000000000000000*ep^7+
      9058769573173100177611474463379681458136718242940180643343091972133091984\
      9744820653340413014704175595758804307509515719455817328282331755573538418\
      8403951539653467777311/
      6164522456171487738614837208154246658331910568655029649178655625489290381\
      3992947372796326242564088873188965093547187020179955380611601452071969537\
      6783803646170254923632917526870582124287131447339223971826435662573351777\
      5141117463503673753600000000000000000000000000000000*ep^8;
Fill mncpoch(50,39) = 1/3419218952464166078072802611571114904862259584591813186\
      240556305237894533505966816624640000000000000000+4804253716567824832211/
      1059631170344782774196139686449482515292968123862264694168494267186931011\
      5785585437979998704615914205085696000000000000000000*ep+11900411708495790\
      191060656151607860875319341/328384415498475261935001362818325733312367022\
      2849000443006417370691618968434958841371780451380594949861813640929083934\
      5751654400000000000000000000*ep^2+202533727624959696947422517719839599812\
      68998394413786389667583671/1017677918130583665525340407332529940436280287\
      6000720543493211122883712030244394835138189466142690040562940813931986311\
      9990089155973855414751068160000000000000000000000*ep^3+
      2662857769347034585194004928125957645214046754270671167070986107995670929\
      6792193620901/31538291592750926789946128889018711782671385624172557798521\
      1537494105842854368124202871704620653632475123948579077746521291616996907\
      165323786862625915961383241908224000000000000000000000000*ep^4+
      2883486631015627128759992799614090935945412401842623021862198264284948393\
      8173668375515486996551527941228031/
      9773856923382248176658845129546333704337629428316460825020007829854970308\
      2294735445886947062880060936810324456684607102772999022930993095007047874\
      4459725872176655167526698473555073433600000000000000000000000000*ep^5+
      2677457215268869379554612281209294377771957496093541245741421675494242080\
      1122698378804699765415477905433799302567261208280862061/
      3028961758369444191501548528139321473807357085767515812545912521500856149\
      1048270244665236577430491966162677598663185604110780859247186818883498393\
      2419549453252396952602913874791614772427494449807573909504000000000000000\
      0000000000000*ep^6+117206426574505885269852924763582525595192471970662664\
      6539895662234574532849523850308474948360957530183409599387256622302294992\
      73598517085554719893/
      5019725823981880555924082020923767576531503066470951984914981632843970245\
      5880473302158440801470859325335459668806813919480021353230769134026266873\
      1444626446914532111905036981980754880223655953754767352555672653223826554\
      88000000000000000000000000000000*ep^7+
      1467229216076090462110818398259059267632578242816358325654089098735503994\
      1024993091900304114607262283006085835254077461948670377167612997591356535\
      18289315640116515691711/
      2644580133697568239865765162298171816424389633953007719497643263334905573\
      6202974422929623958059994126598066025131743231657200858282377022938874931\
      6640251764207039362238521619027479731319179390908527083913540899243967912\
      5535539391843076040294400000000000000000000000000000000*ep^8;
Fill mncpoch(50,40) = 1/1367687580985666431229121044628445961944903833836725274\
      496222522095157813402386726649856000000000000000000+
      5114158166992424502851/42385246813791310967845587457979300611718724954490\
      5877667397706874772404631423417519199948184636568203427840000000000000000\
      0000*ep+13485312084622055534089068301843461216313981/
      1313537661993901047740005451273302933249468089139600177202566948276647587\
      3739835365487121805522379799447254563716335738300661760000000000000000000\
      000*ep^2+24432530992884980342511717323733199508994311440813766517094801511
      /407071167252233466210136162933011976174512115040028821739728444915348481\
      2097757934055275786457076016225176325572794524799603566238954216590042726\
      4000000000000000000000000*ep^3+342003277833023642107275094938599351587135\
      18449653203891021650256818645898018967957941/
      1261531663710037071597845155560748471306855424966902311940846149976423371\
      4174724968114868184826145299004957943163109860851664679876286612951474505\
      0366384553296763289600000000000000000000000000*ep^4+
      3943370009618175756459534606111357502773130123181237512104522089812978429\
      7098461192598456557415989913780271/
      3909542769352899270663538051818533481735051771326584330008003131941988123\
      2917894178354778825152024374724129782673842841109199609172397238002819149\
      7783890348870662067010679389422029373440000000000000000000000000000*ep^5+
      3899525130920438454659069358922552509664802388537218844194158012917776855\
      8225584995065519045718499940920599174533876272210805501/
      1211584703347777676600619411255728589522942834307006325018365008600342459\
      6419308097866094630972196786465071039465274241644312343698874727553399357\
      2967819781300958781041165549916645908970997779923029563801600000000000000\
      0000000000000000*ep^6+165300941641131434800069983867786625183340847608239\
      4482470986656884526921075368890540848078750800573917283056220992690202187\
      4607540360304021600783/
      1825354845084320202154211643972279118738728387807618903605447866488716452\
      9411081200784887564171221572849258061384295970720007764811188776009551590\
      2343500526150738949783649811629365410990420346819915400929335510263209656\
      3200000000000000000000000000000000*ep^7+
      2425183418839210905171722068774721664460597199231565039644209929142795039\
      6214623016417754131491998377463416327775507697770898228802818226341316764\
      75420655592793978471151/
      1057832053479027295946306064919268726569755853581203087799057305333962229\
      4481189769171849583223997650639226410052697292662880343312950809175549972\
      6656100705682815744895408647610991892527671756363410833565416359697587165\
      0214215756737230416117760000000000000000000000000000000000*ep^8;
Fill mncpoch(50,41) = 1/5046767173837109131235456654678965599576695146857516262\
      89106110653113233145480702133796864000000000000000000+
      5458496445241979692451/15640156074288993747135021771994361925724209508207\
      0268859269753836791017308995241064584780880130893667064872960000000000000\
      0000000*ep+15364881352407996230021903501250420210023581/
      4846953972757494866160620115198487823690537248925124653877472039140829597\
      4099992498647479462377581459960369340113278874329441894400000000000000000\
      00000*ep^2+29723247783281846796869633393375141391297682114339391094020759\
      111/150209260716074149031540244122281419208394970449770635221959796173763\
      5895664072677666396765202661049987090064136361179651053715942174105921725\
      7660416000000000000000000000000*ep^3+444351797489825432615060958346569820\
      01365711288128329777989790168570098722300500403541/
      4655051839090036794196048624019161859122296518127869531061722293413002240\
      5304735132343863602008476153328294810271875386542642668743497601790940923\
      585195900166505653862400000000000000000000000000*ep^4+
      5473443338465590847049027777803768905833215729932625357926207311323410980\
      5807142647626488726194540680153871/
      1442621281891219830874845541121038854760234103619509617772953155686593617\
      4946702951812913386481096994273203889806648008369294655784614580823040266\
      2682255538733274302726940694696728838799360000000000000000000000000000*
      ep^5+57842411861841773592801304624170136441948422690745248134226406059929\
      326223482331436225005625345415955773472975628726506789747101/
      4470747555353299626656285627533638495339659058592853339317766881735263676\
      0787246881125889188287406142056112135626861951667512548248847744672043628\
      4251254993000537902041900879192423404102981807915979090427904000000000000\
      000000000000000000*ep^6+2883409636678555102935223685892817835950316274309\
      6528236181979476125916991244245570535623225290317153998618263800676766429\
      6448744025744644377209413/
      7409115316197255700543945062883480942960498526111125129734512890077700082\
      4879578593985858622970988364195138471158857345152511517368615241822769904\
      7612268635645849397171834585403594203210116187742036612372172836158367995\
      0028800000000000000000000000000000000*ep^7+
      4113059545468728446994361793045449848865956578857572461976536280571651971\
      7761247041582765711431325904382913515344952696082146041941373535965198296\
      18772003603456013452751/
      3903400277337610722041869379552101601042399099714639393978521456682320626\
      6635590248244124962096551330858745453094453009926028466824788485857779399\
      1361011603969590098664057909684560083427108780980985975856386367284096638\
      929045614236038023547453440000000000000000000000000000000000*ep^8;
Fill mncpoch(50,42) = 1/1695713770409268668095113435972132441457769569344125464\
      33139653179446046336881515916955746304000000000000000000+
      5845877008272729280751/52550924409611018990373673153901056070433343947575\
      6103367146372891617818158224009977004863757239802721337973145600000000000\
      000000000*ep+17629460479281200067602633063563868574836881/
      1628576534846518275029968358706691908760020515638841883702830605151318744\
      7297597479545553099358867370546684098278061701774692476518400000000000000\
      00000000*ep^2+36552558109674146566062197031829640720976557398714935924426\
      851411/504703116006009140745975220250865568540207100711229334345784915143\
      8456609431284196959093131080941127956622615498173563627540485565704995896\
      998573899776000000000000000000000000*ep^3+5859493028972230601799609266792\
      4348454867579450951281446864992549217628709654024494841/
      1564097417934252362849872337670438384665091630090964162436738690586768752\
      8182391004467538170274847987518307056251350129878327936697815194201756150\
      324625822455945899697766400000000000000000000000000*ep^4+
      7743297047103605847227605291891838744473426264801591107085438045978936687\
      1448891761577907390332016904114171/
      4847207507154498631739481018166690551994386588161552315717122603106954554\
      7820921918091388978576485900757965069750337308120830043436304991565415294\
      661237861014380165716252073418100889836584960000000000000000000000000000*
      ep^5+87838439560055129079922937767795750312547466435948990177142465930736\
      914351947839488565829604733875831642974473997150841235546401/
      1502171178598708674556511970851302534434125443687198722010769672263048595\
      1624514952058298767264568463730853677570625615760284216211612842209806659\
      1508421677648180735086078695408654263778601887459768974383775744000000000\
      000000000000000000000*ep^6+4703030180663401309748290422449698539542204179\
      8060140092447443621155360726194657677299805312023877636687103333115108173\
      3475972937464223137191630313/
      2489462746242277915382765541128849596834727504773338043590796331066107227\
      7159538407579248497318252090369566526309376067971243869835854721252450687\
      9997722261577005397449736420695607652278599039081324301757050072949211646\
      3209676800000000000000000000000000000000*ep^7+
      7210225760339922249955639176635921551996363391330782139350709927312342852\
      2604165588781113317788952121891253111247274033479386026162961013957219000\
      67530319182075365797051/
      1311542493185437202606068111529506137950246097504118836376783209445259730\
      5589558323410025987264441247168538472239736211335145564853128931248213878\
      1097299898933782273151123457654012188031508550409611287887745819407456470\
      680159326383308775911944355840000000000000000000000000000000000*ep^8;
Fill mncpoch(50,43) = 1/5104098448931898690966291442276118648787886403725817647\
      6375035607013259947401336291003679637504000000000000000000+
      6288597651736443095951/15817828247292916716102475619324217877200436528220\
      2587113511058240376963265625427003078463990929180619122729916825600000000\
      000000000000*ep+20413552478142357830919437412958006457092081/
      4902015369888020007840204759707142645367661752072914069945520121505469421\
      6365768413432114829070190785345519135816965722341824354320384000000000000\
      0000000000*ep^2+455900591981776209719277430029919147182588905008474229026\
      44282611/1519156379178087513645385412955105361306023373140800296380812594\
      5829754394388165432846870324553632795149434072649502426518896861552772037\
      64996570743832576000000000000000000000000*ep^3+78778590633488307088879025\
      507899825669378805082709907774683593054306306040667851982041/
      4707933227982099612178115736388019537841925806573802128934583458666173945\
      9828996923447289892527292442430104239316563890933767089460423734547286012\
      47712372559239715809027686400000000000000000000000000*ep^4+
      1123098788074584999383798810057624982541958985453674491422535627873808595\
      08784745304032819361276130896937371/
      1459009459653504088153583786468173856150310363036627247030853903535193320\
      9894097497345508082551522256128147485994851529744369843074327802461190003\
      6930325961653284298805918740988483678408120729600000000000000000000000000\
      00*ep^5+13756034137302487175491414628702550977303559333845335145533523184\
      4653407885498810856432242045954236414917035892760130143103385601/
      4521535247582113110415101032262420628646717585498468153252416713511776271\
      4389790005695479289466351075829869569487583103438455490796954655051518044\
      0440349249721024012609096873180049333973591681253904612895164989440000000\
      00000000000000000000000*ep^6+79597576056769684111722422352812469014314349\
      4671862392658062180026521551673016466667979236124601714942300860147518957\
      492970897514248470987867859913/
      7493282866189256525302124278797837286472529789367747511208296956508982755\
      4250210606813537976927938792012395244191221964593444048205922710969876570\
      8793144007346786246323706626293779033358583107634786148288720719577127055\
      426112716800000000000000000000000000000000*ep^7+
      1320093907564076795351257021031497878301371681902059338019829107160363848\
      8392789629208733472617896516659066075970164809848770306076480997104794902\
      766086358158253657116251/
      3947742904488165979844265015703813475230240753487397697494117460430231788\
      9824570553464178221665968153977300801441605996118788150207918083057123773\
      1102872695790684642184881607538576685974840736732929976542114916416443976\
      74727957241375941549495251107840000000000000000000000000000000000*ep^8;
Fill mncpoch(50,44) = 1/1347481990518021254415100940760895323280002010583615858\
      9763009400251500626113952780824971424301056000000000000000000+
      6805105069110775880351/41759066572853300130510535635015935195809152434501\
      4829979669193754595183021251127288127144936053036834484006980419584000000\
      00000000000000*ep+23928439722349745096400224643661157536416481/
      1294132057650437282069814056562685658377062702547249314465617312077443927\
      3120562861146078314874530367331217051855678950698241629540581376000000000\
      0000000000000*ep^2+579492758009658844498925820244748271282706294491208256\
      33423979011/4010572841030151036023817490201478153847901705091712782445345\
      2496990551601184756742715737656821590579194505951794686406009887714499318\
      1793959094676371800064000000000000000000000000*ep^3+108709821416158115935\
      752608712358901921050446563073639021940838110526622396582640210441/
      1242894372187274297615022554406437157990268412935483762038730033087869921\
      7394855187790084531627205204801547519179572867206514511617551865920483507\
      29396066355639284973583309209600000000000000000000000000*ep^4+
      1684593079103432606062792175716829761912550090745904646490853969239877323\
      74561059938208217456850912378857771/
      3851784973485250792725461196275978980236819358416695932161454305332910367\
      4120417392992141337936018756178309363026408038525136385716225398497541609\
      7496060538764670548847625476209596910997438726144000000000000000000000000\
      0000*ep^5+224570823434463778662197017238279827785914711135633027161402857\
      544063962417906143445109813347251384109397877488805894253110958001/
      1193685305361677861149586672517279045962733442571595592458638012367108935\
      6598904561503606532419116684019085566344721939307752249570396028933600763\
      6276252201926350339328801574519533024169028203851030817804323557212160000\
      00000000000000000000000000*ep^6+12875058981814364901167507238997239713848\
      1067640281555598642613916087375278900274530757915032724949997214924003420\
      731936835115796575323656974758283/
      1798387887885421566072509826911480948753407149448259402689991269562155861\
      3020050545635249114462705310082974858605893271502426571569421450632770377\
      0110354561763228699117689590310506968006059945832348675589292972698510493\
      30226705203200000000000000000000000000000000*ep^7+
      2563655775189796773200649181040189741609434763214189157016282904917691921\
      9025182800246913675742689924646198716348777152587641534361158682729283780\
      316356632202023702748651/
      1042204126784875818678885964145806757460783558920672992138447009553581192\
      2913686626114543050519815592650007411580583982975360071654890373927080676\
      1011158391688740745536808744390184245097357954497493513807118337933941209\
      86128180711723248569066746292469760000000000000000000000000000000000*ep^8
      ;
Fill mncpoch(50,45) = 1/3031834478665547822433977116712014477380004523813135682\
      696677115056587640875639375685618570467737600000000000000000000+
      7424913969959975221631/93957899788919925293648705178785854190570592977628\
      3367454255685947839161797815036398286076106119332877589015705944064000000\
      0000000000000000*ep+28530467488970502434897271625735324743644161/
      2911797129713483884657081627266042731348391080731310957547638952174248836\
      4521266437578676208467693326495238366675277639071043666466308096000000000\
      000000000000000*ep^2+7563271349601850789455778789688844959781517133788323\
      2021342245091/90237888923178398310535893529533258461577788364563537605020\
      2681182287411026657026711104097278485788031876383915380444135222473576234\
      65903640796302183655014400000000000000000000000000*ep^3+
      1555876504363677521735576700219095984679093382734236978168545285059909697\
      29296153866921/2796512337421367169633800747414483605478103929104838464587\
      1425744477073239138424172527690196161211710803481918154038951214657651139\
      4916983210878914114114930018839119056244572160000000000000000000000000000
      *ep^4+2648939185130178073383110058161452019337888155162270133074345004137\
      19278421281920868441982635577750360656651/
      8666516190341814283632287691620952705532843556437565847363272186999048326\
      6770939134232318010356042201401196066809418086681556867861507146619468621\
      9366136212220508734907157321471593049744237133824000000000000000000000000\
      000000*ep^5+3887544319096547226193002087076820438836189839840546687407806\
      19919156025163070926118655408853081947618940903521293704710561811281/
      2685791937063775187586570013163877853416150245786090083031935527825995105\
      2347535263383114697943012539042942524275624363442442561533391065100601718\
      1621567454334288263489803542668949304380313458664819340059728003727360000\
      0000000000000000000000000000*ep^6+270477764918769778888154335805135242530\
      6113788021320833263409479769954146212462670969930720344791048262945184317\
      859374380634301172511042037144121753/
      4451010022516418376029461821605915348164682694884442021657728392166335756\
      7224625100447241558295195642455362775049585846968505764634318090316106683\
      1023127540363991030316281736018504745814998365935062972083500107428813470\
      92311095377920000000000000000000000000000000000*ep^7+
      5413612720223460811899523745412047571951514527373586621722347263302338400\
      0178132222081081275187930739527700824328995087653040938748234390431098398\
      689613678348242923433931/
      2344959285265970592027493419328065204286763007571514232311505771495557682\
      6555794908757721863669585083462516676056313961694560161223503341335931521\
      2275106381299666677457819674877914551469055397619360406066016260351367722\
      1878840660137730928040017915805696000000000000000000000000000000000000*
      ep^8;
Fill mncpoch(50,46) = 1/5578575440744607993278517894750106638379208323816169656\
      16188589170412125921117645126153816966063718400000000000000000000+
      8199675096021474398231/17288253561161266254031361752896597171064989107883\
      6139611583046214402405770797966697284638003525957249476378889893707776000\
      0000000000000000000*ep+34883256999702531326643740205250511740238761/
      5357706718672810347769030194169518625681039588545612161887655672000617859\
      0719130245144764223580555720751238594682510855890720346298006896640000000\
      00000000000000000*ep^2+10265890496980071431284645798068410284992599478784\
      1434910246437691/16603771561864825289138604409434119556930313059079690919\
      3237293337540883628904892914843153899241384997865254640430001720880935138\
      02717726269906519601792522649600000000000000000000000000*ep^3+
      2351237792510109877164832998684679922102563820419020210877609074473016206\
      16375859097521/5145582700855315592126193375242649834079711229552902774840\
      3423369837814760014700477450949960936629547878406729403431670234970078096\
      6647249108017201969971471234663979063490012774400000000000000000000000000\
      00*ep^4+44705868248936643564292311644455155266312794864008318391753588688\
      1145599817327953061807396214838910961865251/
      1594638979022893828188340935258255297818043214384512115914842082407824892\
      1085852800698746513905511765057820076292932927949406463686517314977982226\
      4363369063048573607222916947150773121152939632623616000000000000000000000\
      000000000*ep^5+7351181201706864861895947303834085846683981321995495910682\
      08020351035837591630521797575234265083283959371918172121757647214137881/
      4941857164197346345159288824221535250285716452246405752778761371199830993\
      6319464884624931044215143071839014244667148828734094313221439559785107161\
      4183684115975090404821238518510866720059776763943267585709899526858342400\
      000000000000000000000000000000*ep^6+5750451138875684598119355834804953463\
      7127079258699719939056267813258950472175404154235859968737158415677337066\
      15925019218082436990966853639071227553/
      8189858441430209811894209751754884240623016158587373319850220241586057792\
      3693310184822924467263159982117867506091237958422050606927145286181636296\
      9082554674269743495781958394274048732299596993320515868633640197669016786\
      4985241549537280000000000000000000000000000000000*ep^7+
      1298749691974228564364415772998550422003868011509243565329529288381664462\
      4345323709680277715405317649167703821848888477725365628149257960045024610\
      3517235357289675382050531/
      4314725084889385889330587891563639975887643933931586187453170619551826136\
      0862662632114208229152036553571030683943617689517990696651246148058113999\
      0586195741591386686522388201775362774703061931619623147161469919046516608\
      825706681465342490759363296508248064000000000000000000000000000000000000*
      ep^8;
Fill mncpoch(50,47) = 1/7865791371449897270522710231597650360114683736580799215\
      1882591073028109754877587962787688192214984294400000000000000000000+
      9232689930770139967031/24376437521237385418184220071584202011201634642115\
      8956852332095162307392136825133043171339584971599721761694234750127964160\
      000000000000000000000*ep+44420762662822716015417093603577388602471561/
      7554366473328662590354332573779021262210265819849313148261594497520871181\
      2913973645654117555248583566259246418502340306805915688280189724262400000\
      0000000000000000000*ep^2+148546211771346215814433659669589168695226753716\
      865317212135334491/234113179022294036576854322173021085752717414133023641\
      9624645836059326459167558990099288469979303528469900090430063024264421185\
      446183199404056819263852745693593600000000000000000000000000*ep^3+
      3885742196565284789314388318205016732245526386686196211644267196556721905\
      69658632578321/7255271608205994984897932659092136266052392833669592912524\
      8826951471318811620727673205839444920647662508553488458838655031307810116\
      2972621242304254777659774440876210479520918011904000000000000000000000000\
      0000*ep^4+848461615795446878502726932991365475653214862084620694238232024\
      781320393313992191530544132209631812975850051/
      2248440960422280297745560718714139969923440932282162083439927336195033097\
      8731052448985232584606771588731526307573035428408663113797989414118954939\
      2752350378898488786184312895482590100825644881999298560000000000000000000\
      00000000000*ep^5+16115915560022058195363726633592416665726950438408235877\
      50876137668112271530981803284256168000263509755965106714918290742638146681
      /696801860151825834667459724215236470290286019766743211141805353339176170\
      1021044548732115277234335173129301008498067984851507298164222977929700109\
      7599899460352487747079794631110032207528428523716000729585095833287026278\
      400000000000000000000000000000000*ep^6+
      1465311415976318971710260951255925028116240579050717938679218760855451826\
      4193927970315078396758879871448168542467462822676622989932687861401149821\
      953/115477004024165958347708357499743867792784527836081963809888105406363\
      4148724075673606003234988410555747861931835886455213750913557672748535161\
      0717864064020907203383290525613359264087125424317605819273747734326787133\
      13668962919058484756480000000000000000000000000000000000*ep^7+
      3872020023365416066210145050003376106121330637538045840214439465459180333\
      7930089683511007487121265438812988893095313945271691971687767369663426188\
      0962374560173520403779331/
      6083762369694034103956128927104732366001577946843536524308970573568074851\
      8816354311281033603104371540535153264360500942220366882278257068761940738\
      6726535995643855227996567364503261512331317323583668637497672585855588418\
      44424642086613291197070224807662977024000000000000000000000000000000000000
      *ep^8;
Fill mncpoch(50,48) = 1/7551159716591901379701801822333744345710096387117567246\
      580728743010698536468248444427618066452638492262400000000000000000000+
      10782212182893138320231/2340138002038789000145685126872083393075356925643\
      1259857823881135581509645135212772144448600157273573289122646536012284559\
      360000000000000000000000*ep+61128040367327321923077763108757615846060761/
      7252191814395516086740159270827860411721855187055340622331130717620036334\
      0397414699827952853038640223608876561762246694533679060748982135291904000\
      000000000000000000000*ep^2+2432654705491928032013344696148986124610826086\
      77442787522274119691/2247486518614022751137801492861002423226087175677026\
      9628396600026169534008008566304953169311801313873311040868128605032938443\
      3802833587142789454649329863586584985600000000000000000000000000*ep^3+
      7655194794456746403981372429664607717619525923422036708435839066130452797\
      42631325439521/6965060743877755185502015352728450815410297120322809196023\
      8873873412466059155898566277605867123821756008211348920485108830055497711\
      6453716392612084586553383463241162060340081291427840000000000000000000000\
      000000*ep^4+2034651083630133994266077959949800004415916608647071312201010\
      881880079683058191422376712574794718162172667251/
      2158503322005389085835738289965574371126503294990875600102330242747231773\
      9581810351025823281222500725182265255270114011272316589246069837554196741\
      7042256363742549234736940379663286496792619086719326617600000000000000000\
      0000000000000*ep^5+476432868539327011401640283025828740806149704712834667\
      1369300247439126741809286344033438513975594910840539840336456148667209199\
      881/668929785745752801280761335246627011478674578976073482696133139205609\
      1232980202766782830666144961766204128968158145265457447006237654058812512\
      1053695903481938388237196602845865630919227291382767360700401691999955545\
      22726400000000000000000000000000000000*ep^6+
      4473666708940867314367823562874605044720754949231612212715097253499294354\
      86691897611573954941276767498945215130550614097448373062368806669875266393
      /916181188952060495981818373551686884967546667129245332706550257769494861\
      7976137575717050459412182921635929376549181793431412206738560649535162222\
      4376045124553018578172765196899946476367002850426334733866321931534279431\
      5871406856318484480000000000000000000000000000000000*ep^7+
      1813123888003977274266996499086738832992638252081165409868995093280820717\
      0369056459642701242368214207963359143154085248893914179104237257718688125\
      89366627582223895747412531/
      5840411874906272739797883770020543071361514828969795063336611750625351857\
      8063700138829792258980196678913747133786080904531552206987126786011463109\
      1257474555818101018876704669923131051838064630640321891997765682421364881\
      7064765640314875954918741581535645794304000000000000000000000000000000000\
      000*ep^8;
*--#] poch.h :
*--#] Tables :
#endif
